/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 94;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 91,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 90,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXqciaBit = 88,
  Feature_HasVendorXqciintBit = 89,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 93,
  Feature_HwMode0Bit = 92,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9911,
  GICXXPred_MI_Predicate_anonymous_9913,
  GICXXPred_MI_Predicate_anonymous_10001,
  GICXXPred_MI_Predicate_anonymous_10015,
  GICXXPred_MI_Predicate_anonymous_10019,
  GICXXPred_MI_Predicate_anonymous_10021,
  GICXXPred_MI_Predicate_anonymous_10023,
  GICXXPred_MI_Predicate_anonymous_10025,
  GICXXPred_MI_Predicate_anonymous_10028,
  GICXXPred_MI_Predicate_anonymous_10030,
  GICXXPred_MI_Predicate_anonymous_10043,
  GICXXPred_MI_Predicate_anonymous_10054,
  GICXXPred_MI_Predicate_anonymous_11181,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9911: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9913: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10001: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10015: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10019: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10021: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10023: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10025: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10028: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10030: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10043: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10054: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11181: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 123*/ GIMT_Encode4(2430822),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56945),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76178),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103232),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105966),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108700),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111479), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114213),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123657),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(136278), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(151185), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(151246), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(151307), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(151398), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151765),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151963),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(152161),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152741),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152951),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(153149),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(153188),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(153227),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(163339),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(165309), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(166436), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(174538),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(179424),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(182334), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(185244),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(188154),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(189066),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(191976),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(194886),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(197796),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(200706),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(203616), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(206526), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(206744),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2192131), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2193647), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2196768),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2200243),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2200792),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2204479),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2213075),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2216106), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2219045),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2221985),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2224895),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2251558), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2259020), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2263412),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2266146),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2268880),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2271733),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2274586),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2277439),
     /*     470 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2280292),
     /*     474 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2280350), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2280408),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2282836),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2285264),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2287692), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2304337), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2306765),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2308736),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2309189),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2310725),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2315611),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2320497),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2325783), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2331069),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2333040), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2339102),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2339292),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2341377), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2343462),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2343588), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 78*/ GIMT_Encode4(2343714),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 79*/ GIMT_Encode4(2346490),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 80*/ GIMT_Encode4(2349266),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 81*/ GIMT_Encode4(2352042),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 82*/ GIMT_Encode4(2354818),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 83*/ GIMT_Encode4(2354976),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 84*/ GIMT_Encode4(2355556),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 85*/ GIMT_Encode4(2355766), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 86*/ GIMT_Encode4(2355782), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 87*/ GIMT_Encode4(2358302), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 88*/ GIMT_Encode4(2360960),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 89*/ GIMT_Encode4(2363511),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 90*/ GIMT_Encode4(2366046),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 91*/ GIMT_Encode4(2368540), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 92*/ GIMT_Encode4(2368738),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 93*/ GIMT_Encode4(2370914),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 94*/ GIMT_Encode4(2371112),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 95*/ GIMT_Encode4(2371310), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 96*/ GIMT_Encode4(2371508),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 97*/ GIMT_Encode4(2373936),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 98*/ GIMT_Encode4(2376364),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 99*/ GIMT_Encode4(2378792), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 100*/ GIMT_Encode4(2381220),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 101*/ GIMT_Encode4(2397865), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 102*/ GIMT_Encode4(2400041),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 103*/ GIMT_Encode4(2400054), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 104*/ GIMT_Encode4(2400067),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 105*/ GIMT_Encode4(2400162),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 106*/ GIMT_Encode4(2400192),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 107*/ GIMT_Encode4(2400229),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 108*/ GIMT_Encode4(2400266),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 109*/ GIMT_Encode4(2400626),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 110*/ GIMT_Encode4(2400824),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 111*/ GIMT_Encode4(2401022),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 112*/ GIMT_Encode4(2401082),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 113*/ GIMT_Encode4(2401119),
     /*    1074 */ /*RISCV::G_RORW*//*Label 114*/ GIMT_Encode4(2401244),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 115*/ GIMT_Encode4(2401365), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 116*/ GIMT_Encode4(2401412),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 117*/ GIMT_Encode4(2401459),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 118*/ GIMT_Encode4(2401506),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 119*/ GIMT_Encode4(2402155),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 120*/ GIMT_Encode4(2402804),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 121*/ GIMT_Encode4(2407062),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 122*/ GIMT_Encode4(2418942),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 148*/ GIMT_Encode4(56944),
     /*    1125 */ /*GILLT_s32*//*Label 124*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 125*/ GIMT_Encode4(2818), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 126*/ GIMT_Encode4(7304),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 127*/ GIMT_Encode4(7699),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 128*/ GIMT_Encode4(10824),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 129*/ GIMT_Encode4(13949), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 130*/ GIMT_Encode4(17074),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 131*/ GIMT_Encode4(17469),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 132*/ GIMT_Encode4(20594),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 133*/ GIMT_Encode4(23719), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 134*/ GIMT_Encode4(26844),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 135*/ GIMT_Encode4(27239),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 136*/ GIMT_Encode4(30364),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 137*/ GIMT_Encode4(33489), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 138*/ GIMT_Encode4(36614),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 139*/ GIMT_Encode4(37009),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 140*/ GIMT_Encode4(40134),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 141*/ GIMT_Encode4(43259), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 142*/ GIMT_Encode4(46384),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 143*/ GIMT_Encode4(46779),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 144*/ GIMT_Encode4(49904), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 145*/ GIMT_Encode4(53029),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 146*/ GIMT_Encode4(53424), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 147*/ GIMT_Encode4(56549),
     /*    1249 */ // Label 124: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(2817),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1308), // Rule ID 2453 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2453,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 150: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1356), // Rule ID 2463 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2463,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 151: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1404), // Rule ID 2473 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2473,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 152: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1455), // Rule ID 62259 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 62259,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 153: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1506), // Rule ID 62263 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 62263,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 154: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1557), // Rule ID 62267 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 62267,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 155: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1605), // Rule ID 64838 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 64838,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 156: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1653), // Rule ID 64846 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 64846,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 157: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1701), // Rule ID 64854 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 64854,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 158: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1752), // Rule ID 73542 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 73542,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 159: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1803), // Rule ID 73546 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 73546,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 160: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1854), // Rule ID 73550 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 73550,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 161: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1922), // Rule ID 2447 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2447,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 162: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1990), // Rule ID 2457 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2457,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 163: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2058), // Rule ID 2467 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2467,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 164: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2126), // Rule ID 64834 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 64834,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 165: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2194), // Rule ID 64842 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 64842,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 166: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2262), // Rule ID 64850 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 64850,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 167: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2341), // Rule ID 62253 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 62253,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 168: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2420), // Rule ID 73538 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 73538,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 169: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 170: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 171: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2583), // Rule ID 286 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10043),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10043>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 286,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 172: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2625), // Rule ID 64252 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    2611 */     // MIs[1] Operand 1
     /*    2611 */     // No operand predicates
     /*    2611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2613 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    2613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    2616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2623 */     GIR_RootConstrainSelectedInstOperands,
     /*    2624 */     // GIR_Coverage, 64252,
     /*    2624 */     GIR_EraseRootFromParent_Done,
     /*    2625 */   // Label 173: @2625
     /*    2625 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2667), // Rule ID 64256 //
     /*    2630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    2653 */     // MIs[1] Operand 1
     /*    2653 */     // No operand predicates
     /*    2653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2655 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    2655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    2658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2665 */     GIR_RootConstrainSelectedInstOperands,
     /*    2666 */     // GIR_Coverage, 64256,
     /*    2666 */     GIR_EraseRootFromParent_Done,
     /*    2667 */   // Label 174: @2667
     /*    2667 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2728), // Rule ID 73552 //
     /*    2672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2711 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2726 */     GIR_RootConstrainSelectedInstOperands,
     /*    2727 */     // GIR_Coverage, 73552,
     /*    2727 */     GIR_EraseRootFromParent_Done,
     /*    2728 */   // Label 175: @2728
     /*    2728 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2789), // Rule ID 62321 //
     /*    2733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2772 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2787 */     GIR_RootConstrainSelectedInstOperands,
     /*    2788 */     // GIR_Coverage, 62321,
     /*    2788 */     GIR_EraseRootFromParent_Done,
     /*    2789 */   // Label 176: @2789
     /*    2789 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2816), // Rule ID 73 //
     /*    2794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2809 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2814 */     GIR_RootConstrainSelectedInstOperands,
     /*    2815 */     // GIR_Coverage, 73,
     /*    2815 */     GIR_Done,
     /*    2816 */   // Label 177: @2816
     /*    2816 */   GIM_Reject,
     /*    2817 */ // Label 149: @2817
     /*    2817 */ GIM_Reject,
     /*    2818 */ // Label 125: @2818
     /*    2818 */ GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(7303),
     /*    2823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2829 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2924), // Rule ID 2497 //
     /*    2834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2841 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2886 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2911 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2922 */     GIR_RootConstrainSelectedInstOperands,
     /*    2923 */     // GIR_Coverage, 2497,
     /*    2923 */     GIR_EraseRootFromParent_Done,
     /*    2924 */   // Label 179: @2924
     /*    2924 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3019), // Rule ID 2499 //
     /*    2929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2936 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2981 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2992 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3006 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3017 */     GIR_RootConstrainSelectedInstOperands,
     /*    3018 */     // GIR_Coverage, 2499,
     /*    3018 */     GIR_EraseRootFromParent_Done,
     /*    3019 */   // Label 180: @3019
     /*    3019 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3114), // Rule ID 2501 //
     /*    3024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    3035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3076 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3087 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3101 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3112 */     GIR_RootConstrainSelectedInstOperands,
     /*    3113 */     // GIR_Coverage, 2501,
     /*    3113 */     GIR_EraseRootFromParent_Done,
     /*    3114 */   // Label 181: @3114
     /*    3114 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3209), // Rule ID 2488 //
     /*    3119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3126 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3167 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3178 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3196 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3207 */     GIR_RootConstrainSelectedInstOperands,
     /*    3208 */     // GIR_Coverage, 2488,
     /*    3208 */     GIR_EraseRootFromParent_Done,
     /*    3209 */   // Label 182: @3209
     /*    3209 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3304), // Rule ID 2491 //
     /*    3214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3262 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3273 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3277 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3291 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3302 */     GIR_RootConstrainSelectedInstOperands,
     /*    3303 */     // GIR_Coverage, 2491,
     /*    3303 */     GIR_EraseRootFromParent_Done,
     /*    3304 */   // Label 183: @3304
     /*    3304 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3399), // Rule ID 2494 //
     /*    3309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3316 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3357 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3386 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3397 */     GIR_RootConstrainSelectedInstOperands,
     /*    3398 */     // GIR_Coverage, 2494,
     /*    3398 */     GIR_EraseRootFromParent_Done,
     /*    3399 */   // Label 184: @3399
     /*    3399 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3494), // Rule ID 64864 //
     /*    3404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3411 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3460 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3464 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3481 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3492 */     GIR_RootConstrainSelectedInstOperands,
     /*    3493 */     // GIR_Coverage, 64864,
     /*    3493 */     GIR_EraseRootFromParent_Done,
     /*    3494 */   // Label 185: @3494
     /*    3494 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3589), // Rule ID 64866 //
     /*    3499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3506 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3559 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3576 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3587 */     GIR_RootConstrainSelectedInstOperands,
     /*    3588 */     // GIR_Coverage, 64866,
     /*    3588 */     GIR_EraseRootFromParent_Done,
     /*    3589 */   // Label 186: @3589
     /*    3589 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3684), // Rule ID 64868 //
     /*    3594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3650 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3654 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3671 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3682 */     GIR_RootConstrainSelectedInstOperands,
     /*    3683 */     // GIR_Coverage, 64868,
     /*    3683 */     GIR_EraseRootFromParent_Done,
     /*    3684 */   // Label 187: @3684
     /*    3684 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3779), // Rule ID 64858 //
     /*    3689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3696 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3745 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3766 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3777 */     GIR_RootConstrainSelectedInstOperands,
     /*    3778 */     // GIR_Coverage, 64858,
     /*    3778 */     GIR_EraseRootFromParent_Done,
     /*    3779 */   // Label 188: @3779
     /*    3779 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3874), // Rule ID 64860 //
     /*    3784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3791 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3840 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3851 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3861 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3872 */     GIR_RootConstrainSelectedInstOperands,
     /*    3873 */     // GIR_Coverage, 64860,
     /*    3873 */     GIR_EraseRootFromParent_Done,
     /*    3874 */   // Label 189: @3874
     /*    3874 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3969), // Rule ID 64862 //
     /*    3879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3886 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3935 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3956 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3967 */     GIR_RootConstrainSelectedInstOperands,
     /*    3968 */     // GIR_Coverage, 64862,
     /*    3968 */     GIR_EraseRootFromParent_Done,
     /*    3969 */   // Label 190: @3969
     /*    3969 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4017), // Rule ID 2452 //
     /*    3974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3981 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4004 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4015 */     GIR_RootConstrainSelectedInstOperands,
     /*    4016 */     // GIR_Coverage, 2452,
     /*    4016 */     GIR_EraseRootFromParent_Done,
     /*    4017 */   // Label 191: @4017
     /*    4017 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4065), // Rule ID 2462 //
     /*    4022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4029 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    4033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4052 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4063 */     GIR_RootConstrainSelectedInstOperands,
     /*    4064 */     // GIR_Coverage, 2462,
     /*    4064 */     GIR_EraseRootFromParent_Done,
     /*    4065 */   // Label 192: @4065
     /*    4065 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4113), // Rule ID 2472 //
     /*    4070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4077 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    4081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4100 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4111 */     GIR_RootConstrainSelectedInstOperands,
     /*    4112 */     // GIR_Coverage, 2472,
     /*    4112 */     GIR_EraseRootFromParent_Done,
     /*    4113 */   // Label 193: @4113
     /*    4113 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4161), // Rule ID 2503 //
     /*    4118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4125 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4129 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4148 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4159 */     GIR_RootConstrainSelectedInstOperands,
     /*    4160 */     // GIR_Coverage, 2503,
     /*    4160 */     GIR_EraseRootFromParent_Done,
     /*    4161 */   // Label 194: @4161
     /*    4161 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4209), // Rule ID 2505 //
     /*    4166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4173 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4177 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4196 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4207 */     GIR_RootConstrainSelectedInstOperands,
     /*    4208 */     // GIR_Coverage, 2505,
     /*    4208 */     GIR_EraseRootFromParent_Done,
     /*    4209 */   // Label 195: @4209
     /*    4209 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4257), // Rule ID 2507 //
     /*    4214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4225 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4244 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4255 */     GIR_RootConstrainSelectedInstOperands,
     /*    4256 */     // GIR_Coverage, 2507,
     /*    4256 */     GIR_EraseRootFromParent_Done,
     /*    4257 */   // Label 196: @4257
     /*    4257 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4308), // Rule ID 62258 //
     /*    4262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4269 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4292 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4299 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4306 */     GIR_RootConstrainSelectedInstOperands,
     /*    4307 */     // GIR_Coverage, 62258,
     /*    4307 */     GIR_EraseRootFromParent_Done,
     /*    4308 */   // Label 197: @4308
     /*    4308 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4359), // Rule ID 62262 //
     /*    4313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4343 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4350 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4357 */     GIR_RootConstrainSelectedInstOperands,
     /*    4358 */     // GIR_Coverage, 62262,
     /*    4358 */     GIR_EraseRootFromParent_Done,
     /*    4359 */   // Label 198: @4359
     /*    4359 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4410), // Rule ID 62266 //
     /*    4364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4371 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4375 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4394 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4401 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4408 */     GIR_RootConstrainSelectedInstOperands,
     /*    4409 */     // GIR_Coverage, 62266,
     /*    4409 */     GIR_EraseRootFromParent_Done,
     /*    4410 */   // Label 199: @4410
     /*    4410 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4458), // Rule ID 64837 //
     /*    4415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4456 */     GIR_RootConstrainSelectedInstOperands,
     /*    4457 */     // GIR_Coverage, 64837,
     /*    4457 */     GIR_EraseRootFromParent_Done,
     /*    4458 */   // Label 200: @4458
     /*    4458 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4506), // Rule ID 64845 //
     /*    4463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4504 */     GIR_RootConstrainSelectedInstOperands,
     /*    4505 */     // GIR_Coverage, 64845,
     /*    4505 */     GIR_EraseRootFromParent_Done,
     /*    4506 */   // Label 201: @4506
     /*    4506 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4554), // Rule ID 64853 //
     /*    4511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4541 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4552 */     GIR_RootConstrainSelectedInstOperands,
     /*    4553 */     // GIR_Coverage, 64853,
     /*    4553 */     GIR_EraseRootFromParent_Done,
     /*    4554 */   // Label 202: @4554
     /*    4554 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4602), // Rule ID 64870 //
     /*    4559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4566 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4574 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4594 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4600 */     GIR_RootConstrainSelectedInstOperands,
     /*    4601 */     // GIR_Coverage, 64870,
     /*    4601 */     GIR_EraseRootFromParent_Done,
     /*    4602 */   // Label 203: @4602
     /*    4602 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4650), // Rule ID 64872 //
     /*    4607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4637 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4648 */     GIR_RootConstrainSelectedInstOperands,
     /*    4649 */     // GIR_Coverage, 64872,
     /*    4649 */     GIR_EraseRootFromParent_Done,
     /*    4650 */   // Label 204: @4650
     /*    4650 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4698), // Rule ID 64874 //
     /*    4655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4662 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4685 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4690 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4696 */     GIR_RootConstrainSelectedInstOperands,
     /*    4697 */     // GIR_Coverage, 64874,
     /*    4697 */     GIR_EraseRootFromParent_Done,
     /*    4698 */   // Label 205: @4698
     /*    4698 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4749), // Rule ID 73541 //
     /*    4703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4710 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4718 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4733 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4747 */     GIR_RootConstrainSelectedInstOperands,
     /*    4748 */     // GIR_Coverage, 73541,
     /*    4748 */     GIR_EraseRootFromParent_Done,
     /*    4749 */   // Label 206: @4749
     /*    4749 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4800), // Rule ID 73545 //
     /*    4754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4761 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4784 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4798 */     GIR_RootConstrainSelectedInstOperands,
     /*    4799 */     // GIR_Coverage, 73545,
     /*    4799 */     GIR_EraseRootFromParent_Done,
     /*    4800 */   // Label 207: @4800
     /*    4800 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(4851), // Rule ID 73549 //
     /*    4805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4820 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4824 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4835 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4849 */     GIR_RootConstrainSelectedInstOperands,
     /*    4850 */     // GIR_Coverage, 73549,
     /*    4850 */     GIR_EraseRootFromParent_Done,
     /*    4851 */   // Label 208: @4851
     /*    4851 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(4926), // Rule ID 2485 //
     /*    4856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4888 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4913 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4924 */     GIR_RootConstrainSelectedInstOperands,
     /*    4925 */     // GIR_Coverage, 2485,
     /*    4925 */     GIR_EraseRootFromParent_Done,
     /*    4926 */   // Label 209: @4926
     /*    4926 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5021), // Rule ID 2509 //
     /*    4931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4938 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4963 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4974 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4988 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5004 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5019 */     GIR_RootConstrainSelectedInstOperands,
     /*    5020 */     // GIR_Coverage, 2509,
     /*    5020 */     GIR_EraseRootFromParent_Done,
     /*    5021 */   // Label 210: @5021
     /*    5021 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5116), // Rule ID 2511 //
     /*    5026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    5037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5058 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5069 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    5073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5083 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5099 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5114 */     GIR_RootConstrainSelectedInstOperands,
     /*    5115 */     // GIR_Coverage, 2511,
     /*    5115 */     GIR_EraseRootFromParent_Done,
     /*    5116 */   // Label 211: @5116
     /*    5116 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5211), // Rule ID 2513 //
     /*    5121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5128 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5153 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5164 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5178 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5194 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5209 */     GIR_RootConstrainSelectedInstOperands,
     /*    5210 */     // GIR_Coverage, 2513,
     /*    5210 */     GIR_EraseRootFromParent_Done,
     /*    5211 */   // Label 212: @5211
     /*    5211 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5306), // Rule ID 2515 //
     /*    5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5223 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5248 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5259 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5273 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5289 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5304 */     GIR_RootConstrainSelectedInstOperands,
     /*    5305 */     // GIR_Coverage, 2515,
     /*    5305 */     GIR_EraseRootFromParent_Done,
     /*    5306 */   // Label 213: @5306
     /*    5306 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5401), // Rule ID 2517 //
     /*    5311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5318 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5343 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5354 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5368 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5399 */     GIR_RootConstrainSelectedInstOperands,
     /*    5400 */     // GIR_Coverage, 2517,
     /*    5400 */     GIR_EraseRootFromParent_Done,
     /*    5401 */   // Label 214: @5401
     /*    5401 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5496), // Rule ID 2519 //
     /*    5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5413 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5449 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5463 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5494 */     GIR_RootConstrainSelectedInstOperands,
     /*    5495 */     // GIR_Coverage, 2519,
     /*    5495 */     GIR_EraseRootFromParent_Done,
     /*    5496 */   // Label 215: @5496
     /*    5496 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5564), // Rule ID 2446 //
     /*    5501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5508 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5533 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5537 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5551 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5562 */     GIR_RootConstrainSelectedInstOperands,
     /*    5563 */     // GIR_Coverage, 2446,
     /*    5563 */     GIR_EraseRootFromParent_Done,
     /*    5564 */   // Label 216: @5564
     /*    5564 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5632), // Rule ID 2456 //
     /*    5569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5576 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5601 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5605 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5619 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5630 */     GIR_RootConstrainSelectedInstOperands,
     /*    5631 */     // GIR_Coverage, 2456,
     /*    5631 */     GIR_EraseRootFromParent_Done,
     /*    5632 */   // Label 217: @5632
     /*    5632 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5700), // Rule ID 2466 //
     /*    5637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5644 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5669 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5687 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5698 */     GIR_RootConstrainSelectedInstOperands,
     /*    5699 */     // GIR_Coverage, 2466,
     /*    5699 */     GIR_EraseRootFromParent_Done,
     /*    5700 */   // Label 218: @5700
     /*    5700 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5775), // Rule ID 64856 //
     /*    5705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5712 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5720 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5745 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5762 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5773 */     GIR_RootConstrainSelectedInstOperands,
     /*    5774 */     // GIR_Coverage, 64856,
     /*    5774 */     GIR_EraseRootFromParent_Done,
     /*    5775 */   // Label 219: @5775
     /*    5775 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5870), // Rule ID 64876 //
     /*    5780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5787 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5820 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5837 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5868 */     GIR_RootConstrainSelectedInstOperands,
     /*    5869 */     // GIR_Coverage, 64876,
     /*    5869 */     GIR_EraseRootFromParent_Done,
     /*    5870 */   // Label 220: @5870
     /*    5870 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5965), // Rule ID 64878 //
     /*    5875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5915 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5932 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5963 */     GIR_RootConstrainSelectedInstOperands,
     /*    5964 */     // GIR_Coverage, 64878,
     /*    5964 */     GIR_EraseRootFromParent_Done,
     /*    5965 */   // Label 221: @5965
     /*    5965 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6060), // Rule ID 64880 //
     /*    5970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6010 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    6021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6027 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    6034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6058 */     GIR_RootConstrainSelectedInstOperands,
     /*    6059 */     // GIR_Coverage, 64880,
     /*    6059 */     GIR_EraseRootFromParent_Done,
     /*    6060 */   // Label 222: @6060
     /*    6060 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6155), // Rule ID 64882 //
     /*    6065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    6076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6105 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6122 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6138 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6153 */     GIR_RootConstrainSelectedInstOperands,
     /*    6154 */     // GIR_Coverage, 64882,
     /*    6154 */     GIR_EraseRootFromParent_Done,
     /*    6155 */   // Label 223: @6155
     /*    6155 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6250), // Rule ID 64884 //
     /*    6160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6200 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6217 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6233 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6248 */     GIR_RootConstrainSelectedInstOperands,
     /*    6249 */     // GIR_Coverage, 64884,
     /*    6249 */     GIR_EraseRootFromParent_Done,
     /*    6250 */   // Label 224: @6250
     /*    6250 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6345), // Rule ID 64886 //
     /*    6255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6295 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6312 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6328 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6343 */     GIR_RootConstrainSelectedInstOperands,
     /*    6344 */     // GIR_Coverage, 64886,
     /*    6344 */     GIR_EraseRootFromParent_Done,
     /*    6345 */   // Label 225: @6345
     /*    6345 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6413), // Rule ID 64833 //
     /*    6350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6400 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6411 */     GIR_RootConstrainSelectedInstOperands,
     /*    6412 */     // GIR_Coverage, 64833,
     /*    6412 */     GIR_EraseRootFromParent_Done,
     /*    6413 */   // Label 226: @6413
     /*    6413 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6481), // Rule ID 64841 //
     /*    6418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6425 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6433 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6458 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6468 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6479 */     GIR_RootConstrainSelectedInstOperands,
     /*    6480 */     // GIR_Coverage, 64841,
     /*    6480 */     GIR_EraseRootFromParent_Done,
     /*    6481 */   // Label 227: @6481
     /*    6481 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6549), // Rule ID 64849 //
     /*    6486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6493 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6536 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6547 */     GIR_RootConstrainSelectedInstOperands,
     /*    6548 */     // GIR_Coverage, 64849,
     /*    6548 */     GIR_EraseRootFromParent_Done,
     /*    6549 */   // Label 228: @6549
     /*    6549 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6628), // Rule ID 62252 //
     /*    6554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6561 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6598 */     // MIs[2] Operand 1
     /*    6598 */     // No operand predicates
     /*    6598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6612 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6626 */     GIR_RootConstrainSelectedInstOperands,
     /*    6627 */     // GIR_Coverage, 62252,
     /*    6627 */     GIR_EraseRootFromParent_Done,
     /*    6628 */   // Label 229: @6628
     /*    6628 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6707), // Rule ID 73537 //
     /*    6633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6640 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6685 */     // MIs[2] Operand 1
     /*    6685 */     // No operand predicates
     /*    6685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6691 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 73537,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 230: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6756), // Rule ID 114 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6727 */     // MIs[1] Operand 1
     /*    6727 */     // No operand predicates
     /*    6727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6735 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6739 */     // MIs[2] Operand 1
     /*    6739 */     // No operand predicates
     /*    6739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6741 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6746 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6754 */     GIR_RootConstrainSelectedInstOperands,
     /*    6755 */     // GIR_Coverage, 114,
     /*    6755 */     GIR_EraseRootFromParent_Done,
     /*    6756 */   // Label 231: @6756
     /*    6756 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6802), // Rule ID 265 //
     /*    6761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6784 */     // MIs[1] Operand 1
     /*    6784 */     // No operand predicates
     /*    6784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10015),
     /*    6788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10015>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6800 */     GIR_RootConstrainSelectedInstOperands,
     /*    6801 */     // GIR_Coverage, 265,
     /*    6801 */     GIR_EraseRootFromParent_Done,
     /*    6802 */   // Label 232: @6802
     /*    6802 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6878), // Rule ID 287 //
     /*    6807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6830 */     // MIs[1] Operand 1
     /*    6830 */     // No operand predicates
     /*    6830 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10043),
     /*    6834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10015),
     /*    6838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6840 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10043>>:$rs2)<<P:Predicate_anonymous_10015>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6856 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6876 */     GIR_RootConstrainSelectedInstOperands,
     /*    6877 */     // GIR_Coverage, 287,
     /*    6877 */     GIR_EraseRootFromParent_Done,
     /*    6878 */   // Label 233: @6878
     /*    6878 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6943), // Rule ID 73553 //
     /*    6883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10015),
     /*    6924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6926 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10015>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6941 */     GIR_RootConstrainSelectedInstOperands,
     /*    6942 */     // GIR_Coverage, 73553,
     /*    6942 */     GIR_EraseRootFromParent_Done,
     /*    6943 */   // Label 234: @6943
     /*    6943 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7008), // Rule ID 62324 //
     /*    6948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10015),
     /*    6989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6991 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10015>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7006 */     GIR_RootConstrainSelectedInstOperands,
     /*    7007 */     // GIR_Coverage, 62324,
     /*    7007 */     GIR_EraseRootFromParent_Done,
     /*    7008 */   // Label 235: @7008
     /*    7008 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7050), // Rule ID 74 //
     /*    7013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    7036 */     // MIs[1] Operand 1
     /*    7036 */     // No operand predicates
     /*    7036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    7038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    7048 */     GIR_RootConstrainSelectedInstOperands,
     /*    7049 */     // GIR_Coverage, 74,
     /*    7049 */     GIR_EraseRootFromParent_Done,
     /*    7050 */   // Label 236: @7050
     /*    7050 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7122), // Rule ID 285 //
     /*    7055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    7078 */     // MIs[1] Operand 1
     /*    7078 */     // No operand predicates
     /*    7078 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10043),
     /*    7082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7084 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10043>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7100 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7115 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7120 */     GIR_RootConstrainSelectedInstOperands,
     /*    7121 */     // GIR_Coverage, 285,
     /*    7121 */     GIR_EraseRootFromParent_Done,
     /*    7122 */   // Label 237: @7122
     /*    7122 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7183), // Rule ID 73551 //
     /*    7127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7166 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7181 */     GIR_RootConstrainSelectedInstOperands,
     /*    7182 */     // GIR_Coverage, 73551,
     /*    7182 */     GIR_EraseRootFromParent_Done,
     /*    7183 */   // Label 238: @7183
     /*    7183 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7244), // Rule ID 62320 //
     /*    7188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7227 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7242 */     GIR_RootConstrainSelectedInstOperands,
     /*    7243 */     // GIR_Coverage, 62320,
     /*    7243 */     GIR_EraseRootFromParent_Done,
     /*    7244 */   // Label 239: @7244
     /*    7244 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7275), // Rule ID 264 //
     /*    7249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10015),
     /*    7268 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10015>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7273 */     GIR_RootConstrainSelectedInstOperands,
     /*    7274 */     // GIR_Coverage, 264,
     /*    7274 */     GIR_Done,
     /*    7275 */   // Label 240: @7275
     /*    7275 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7302), // Rule ID 72 //
     /*    7280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7295 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7300 */     GIR_RootConstrainSelectedInstOperands,
     /*    7301 */     // GIR_Coverage, 72,
     /*    7301 */     GIR_Done,
     /*    7302 */   // Label 241: @7302
     /*    7302 */   GIM_Reject,
     /*    7303 */ // Label 178: @7303
     /*    7303 */ GIM_Reject,
     /*    7304 */ // Label 126: @7304
     /*    7304 */ GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7698),
     /*    7309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7319 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7387), // Rule ID 68625 //
     /*    7324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7361 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7385 */     GIR_RootConstrainSelectedInstOperands,
     /*    7386 */     // GIR_Coverage, 68625,
     /*    7386 */     GIR_EraseRootFromParent_Done,
     /*    7387 */   // Label 243: @7387
     /*    7387 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7455), // Rule ID 68626 //
     /*    7392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7429 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7453 */     GIR_RootConstrainSelectedInstOperands,
     /*    7454 */     // GIR_Coverage, 68626,
     /*    7454 */     GIR_EraseRootFromParent_Done,
     /*    7455 */   // Label 244: @7455
     /*    7455 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7523), // Rule ID 45789 //
     /*    7460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7497 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7521 */     GIR_RootConstrainSelectedInstOperands,
     /*    7522 */     // GIR_Coverage, 45789,
     /*    7522 */     GIR_EraseRootFromParent_Done,
     /*    7523 */   // Label 245: @7523
     /*    7523 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7591), // Rule ID 45790 //
     /*    7528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7565 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7589 */     GIR_RootConstrainSelectedInstOperands,
     /*    7590 */     // GIR_Coverage, 45790,
     /*    7590 */     GIR_EraseRootFromParent_Done,
     /*    7591 */   // Label 246: @7591
     /*    7591 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7644), // Rule ID 45617 //
     /*    7596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7607 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7642 */     GIR_RootConstrainSelectedInstOperands,
     /*    7643 */     // GIR_Coverage, 45617,
     /*    7643 */     GIR_EraseRootFromParent_Done,
     /*    7644 */   // Label 247: @7644
     /*    7644 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7697), // Rule ID 45618 //
     /*    7649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7660 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7695 */     GIR_RootConstrainSelectedInstOperands,
     /*    7696 */     // GIR_Coverage, 45618,
     /*    7696 */     GIR_EraseRootFromParent_Done,
     /*    7697 */   // Label 248: @7697
     /*    7697 */   GIM_Reject,
     /*    7698 */ // Label 242: @7698
     /*    7698 */ GIM_Reject,
     /*    7699 */ // Label 127: @7699
     /*    7699 */ GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(10823),
     /*    7704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7810), // Rule ID 68539 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7767 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7771 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7773 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7784 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7808 */     GIR_RootConstrainSelectedInstOperands,
     /*    7809 */     // GIR_Coverage, 68539,
     /*    7809 */     GIR_EraseRootFromParent_Done,
     /*    7810 */   // Label 250: @7810
     /*    7810 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7906), // Rule ID 68540 //
     /*    7815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7863 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7867 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7880 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7904 */     GIR_RootConstrainSelectedInstOperands,
     /*    7905 */     // GIR_Coverage, 68540,
     /*    7905 */     GIR_EraseRootFromParent_Done,
     /*    7906 */   // Label 251: @7906
     /*    7906 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8002), // Rule ID 70361 //
     /*    7911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7963 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7965 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7976 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8000 */     GIR_RootConstrainSelectedInstOperands,
     /*    8001 */     // GIR_Coverage, 70361,
     /*    8001 */     GIR_EraseRootFromParent_Done,
     /*    8002 */   // Label 252: @8002
     /*    8002 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8098), // Rule ID 70362 //
     /*    8007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8055 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8059 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8061 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8072 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8096 */     GIR_RootConstrainSelectedInstOperands,
     /*    8097 */     // GIR_Coverage, 70362,
     /*    8097 */     GIR_EraseRootFromParent_Done,
     /*    8098 */   // Label 253: @8098
     /*    8098 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8194), // Rule ID 70363 //
     /*    8103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8155 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8168 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8192 */     GIR_RootConstrainSelectedInstOperands,
     /*    8193 */     // GIR_Coverage, 70363,
     /*    8193 */     GIR_EraseRootFromParent_Done,
     /*    8194 */   // Label 254: @8194
     /*    8194 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8290), // Rule ID 70364 //
     /*    8199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8247 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8251 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8253 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8264 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8288 */     GIR_RootConstrainSelectedInstOperands,
     /*    8289 */     // GIR_Coverage, 70364,
     /*    8289 */     GIR_EraseRootFromParent_Done,
     /*    8290 */   // Label 255: @8290
     /*    8290 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8386), // Rule ID 70239 //
     /*    8295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8343 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8347 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8349 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8360 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8384 */     GIR_RootConstrainSelectedInstOperands,
     /*    8385 */     // GIR_Coverage, 70239,
     /*    8385 */     GIR_EraseRootFromParent_Done,
     /*    8386 */   // Label 256: @8386
     /*    8386 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8482), // Rule ID 70240 //
     /*    8391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8443 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8445 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8456 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8480 */     GIR_RootConstrainSelectedInstOperands,
     /*    8481 */     // GIR_Coverage, 70240,
     /*    8481 */     GIR_EraseRootFromParent_Done,
     /*    8482 */   // Label 257: @8482
     /*    8482 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8578), // Rule ID 45701 //
     /*    8487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8535 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8539 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8543 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8545 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8552 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8576 */     GIR_RootConstrainSelectedInstOperands,
     /*    8577 */     // GIR_Coverage, 45701,
     /*    8577 */     GIR_EraseRootFromParent_Done,
     /*    8578 */   // Label 258: @8578
     /*    8578 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8674), // Rule ID 45702 //
     /*    8583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8635 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8639 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8641 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8648 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8672 */     GIR_RootConstrainSelectedInstOperands,
     /*    8673 */     // GIR_Coverage, 45702,
     /*    8673 */     GIR_EraseRootFromParent_Done,
     /*    8674 */   // Label 259: @8674
     /*    8674 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8770), // Rule ID 52017 //
     /*    8679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8731 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8735 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8744 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8768 */     GIR_RootConstrainSelectedInstOperands,
     /*    8769 */     // GIR_Coverage, 52017,
     /*    8769 */     GIR_EraseRootFromParent_Done,
     /*    8770 */   // Label 260: @8770
     /*    8770 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8866), // Rule ID 52018 //
     /*    8775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8812 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8827 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8831 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8833 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8840 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8864 */     GIR_RootConstrainSelectedInstOperands,
     /*    8865 */     // GIR_Coverage, 52018,
     /*    8865 */     GIR_EraseRootFromParent_Done,
     /*    8866 */   // Label 261: @8866
     /*    8866 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8962), // Rule ID 70359 //
     /*    8871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8908 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8927 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8929 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8936 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8960 */     GIR_RootConstrainSelectedInstOperands,
     /*    8961 */     // GIR_Coverage, 70359,
     /*    8961 */     GIR_EraseRootFromParent_Done,
     /*    8962 */   // Label 262: @8962
     /*    8962 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9058), // Rule ID 70360 //
     /*    8967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8990 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9019 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9023 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9025 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9032 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    9035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    9043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 70360,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 263: @9058
     /*    9058 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9154), // Rule ID 51957 //
     /*    9063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9115 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9119 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9121 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9128 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9152 */     GIR_RootConstrainSelectedInstOperands,
     /*    9153 */     // GIR_Coverage, 51957,
     /*    9153 */     GIR_EraseRootFromParent_Done,
     /*    9154 */   // Label 264: @9154
     /*    9154 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9250), // Rule ID 51958 //
     /*    9159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9211 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9215 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9217 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9224 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9248 */     GIR_RootConstrainSelectedInstOperands,
     /*    9249 */     // GIR_Coverage, 51958,
     /*    9249 */     GIR_EraseRootFromParent_Done,
     /*    9250 */   // Label 265: @9250
     /*    9250 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9339), // Rule ID 46543 //
     /*    9255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9298 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9337 */     GIR_RootConstrainSelectedInstOperands,
     /*    9338 */     // GIR_Coverage, 46543,
     /*    9338 */     GIR_EraseRootFromParent_Done,
     /*    9339 */   // Label 266: @9339
     /*    9339 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9428), // Rule ID 46544 //
     /*    9344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9387 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9426 */     GIR_RootConstrainSelectedInstOperands,
     /*    9427 */     // GIR_Coverage, 46544,
     /*    9427 */     GIR_EraseRootFromParent_Done,
     /*    9428 */   // Label 267: @9428
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9517), // Rule ID 45693 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9476 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9515 */     GIR_RootConstrainSelectedInstOperands,
     /*    9516 */     // GIR_Coverage, 45693,
     /*    9516 */     GIR_EraseRootFromParent_Done,
     /*    9517 */   // Label 268: @9517
     /*    9517 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9606), // Rule ID 45694 //
     /*    9522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9565 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9604 */     GIR_RootConstrainSelectedInstOperands,
     /*    9605 */     // GIR_Coverage, 45694,
     /*    9605 */     GIR_EraseRootFromParent_Done,
     /*    9606 */   // Label 269: @9606
     /*    9606 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9695), // Rule ID 46423 //
     /*    9611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9654 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9693 */     GIR_RootConstrainSelectedInstOperands,
     /*    9694 */     // GIR_Coverage, 46423,
     /*    9694 */     GIR_EraseRootFromParent_Done,
     /*    9695 */   // Label 270: @9695
     /*    9695 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9784), // Rule ID 46424 //
     /*    9700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9743 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9782 */     GIR_RootConstrainSelectedInstOperands,
     /*    9783 */     // GIR_Coverage, 46424,
     /*    9783 */     GIR_EraseRootFromParent_Done,
     /*    9784 */   // Label 271: @9784
     /*    9784 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9852), // Rule ID 69931 //
     /*    9789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9826 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9850 */     GIR_RootConstrainSelectedInstOperands,
     /*    9851 */     // GIR_Coverage, 69931,
     /*    9851 */     GIR_EraseRootFromParent_Done,
     /*    9852 */   // Label 272: @9852
     /*    9852 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9920), // Rule ID 69932 //
     /*    9857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9894 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9918 */     GIR_RootConstrainSelectedInstOperands,
     /*    9919 */     // GIR_Coverage, 69932,
     /*    9919 */     GIR_EraseRootFromParent_Done,
     /*    9920 */   // Label 273: @9920
     /*    9920 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9975), // Rule ID 68923 //
     /*    9925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9953 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9973 */     GIR_RootConstrainSelectedInstOperands,
     /*    9974 */     // GIR_Coverage, 68923,
     /*    9974 */     GIR_EraseRootFromParent_Done,
     /*    9975 */   // Label 274: @9975
     /*    9975 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10030), // Rule ID 68924 //
     /*    9980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10008 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10028 */     GIR_RootConstrainSelectedInstOperands,
     /*   10029 */     // GIR_Coverage, 68924,
     /*   10029 */     GIR_EraseRootFromParent_Done,
     /*   10030 */   // Label 275: @10030
     /*   10030 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10085), // Rule ID 68535 //
     /*   10035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10063 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10083 */     GIR_RootConstrainSelectedInstOperands,
     /*   10084 */     // GIR_Coverage, 68535,
     /*   10084 */     GIR_EraseRootFromParent_Done,
     /*   10085 */   // Label 276: @10085
     /*   10085 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10140), // Rule ID 68536 //
     /*   10090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10118 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10138 */     GIR_RootConstrainSelectedInstOperands,
     /*   10139 */     // GIR_Coverage, 68536,
     /*   10139 */     GIR_EraseRootFromParent_Done,
     /*   10140 */   // Label 277: @10140
     /*   10140 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10195), // Rule ID 68833 //
     /*   10145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10173 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10193 */     GIR_RootConstrainSelectedInstOperands,
     /*   10194 */     // GIR_Coverage, 68833,
     /*   10194 */     GIR_EraseRootFromParent_Done,
     /*   10195 */   // Label 278: @10195
     /*   10195 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10250), // Rule ID 68834 //
     /*   10200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10228 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10248 */     GIR_RootConstrainSelectedInstOperands,
     /*   10249 */     // GIR_Coverage, 68834,
     /*   10249 */     GIR_EraseRootFromParent_Done,
     /*   10250 */   // Label 279: @10250
     /*   10250 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10318), // Rule ID 51737 //
     /*   10255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10292 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10316 */     GIR_RootConstrainSelectedInstOperands,
     /*   10317 */     // GIR_Coverage, 51737,
     /*   10317 */     GIR_EraseRootFromParent_Done,
     /*   10318 */   // Label 280: @10318
     /*   10318 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10386), // Rule ID 51738 //
     /*   10323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10360 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10384 */     GIR_RootConstrainSelectedInstOperands,
     /*   10385 */     // GIR_Coverage, 51738,
     /*   10385 */     GIR_EraseRootFromParent_Done,
     /*   10386 */   // Label 281: @10386
     /*   10386 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10441), // Rule ID 46603 //
     /*   10391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10419 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10439 */     GIR_RootConstrainSelectedInstOperands,
     /*   10440 */     // GIR_Coverage, 46603,
     /*   10440 */     GIR_EraseRootFromParent_Done,
     /*   10441 */   // Label 282: @10441
     /*   10441 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10496), // Rule ID 46604 //
     /*   10446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10474 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10494 */     GIR_RootConstrainSelectedInstOperands,
     /*   10495 */     // GIR_Coverage, 46604,
     /*   10495 */     GIR_EraseRootFromParent_Done,
     /*   10496 */   // Label 283: @10496
     /*   10496 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10551), // Rule ID 45697 //
     /*   10501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10529 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10549 */     GIR_RootConstrainSelectedInstOperands,
     /*   10550 */     // GIR_Coverage, 45697,
     /*   10550 */     GIR_EraseRootFromParent_Done,
     /*   10551 */   // Label 284: @10551
     /*   10551 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10606), // Rule ID 45698 //
     /*   10556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10584 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10604 */     GIR_RootConstrainSelectedInstOperands,
     /*   10605 */     // GIR_Coverage, 45698,
     /*   10605 */     GIR_EraseRootFromParent_Done,
     /*   10606 */   // Label 285: @10606
     /*   10606 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10661), // Rule ID 46483 //
     /*   10611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10639 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10659 */     GIR_RootConstrainSelectedInstOperands,
     /*   10660 */     // GIR_Coverage, 46483,
     /*   10660 */     GIR_EraseRootFromParent_Done,
     /*   10661 */   // Label 286: @10661
     /*   10661 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10716), // Rule ID 46484 //
     /*   10666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10694 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10714 */     GIR_RootConstrainSelectedInstOperands,
     /*   10715 */     // GIR_Coverage, 46484,
     /*   10715 */     GIR_EraseRootFromParent_Done,
     /*   10716 */   // Label 287: @10716
     /*   10716 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10769), // Rule ID 45973 //
     /*   10721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10732 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10767 */     GIR_RootConstrainSelectedInstOperands,
     /*   10768 */     // GIR_Coverage, 45973,
     /*   10768 */     GIR_EraseRootFromParent_Done,
     /*   10769 */   // Label 288: @10769
     /*   10769 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10822), // Rule ID 45974 //
     /*   10774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10785 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10820 */     GIR_RootConstrainSelectedInstOperands,
     /*   10821 */     // GIR_Coverage, 45974,
     /*   10821 */     GIR_EraseRootFromParent_Done,
     /*   10822 */   // Label 289: @10822
     /*   10822 */   GIM_Reject,
     /*   10823 */ // Label 249: @10823
     /*   10823 */ GIM_Reject,
     /*   10824 */ // Label 128: @10824
     /*   10824 */ GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(13948),
     /*   10829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10839 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(10935), // Rule ID 70137 //
     /*   10844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10892 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10896 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10898 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10909 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10933 */     GIR_RootConstrainSelectedInstOperands,
     /*   10934 */     // GIR_Coverage, 70137,
     /*   10934 */     GIR_EraseRootFromParent_Done,
     /*   10935 */   // Label 291: @10935
     /*   10935 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11031), // Rule ID 70138 //
     /*   10940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10988 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10992 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10994 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11003 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11005 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11029 */     GIR_RootConstrainSelectedInstOperands,
     /*   11030 */     // GIR_Coverage, 70138,
     /*   11030 */     GIR_EraseRootFromParent_Done,
     /*   11031 */   // Label 292: @11031
     /*   11031 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11127), // Rule ID 70397 //
     /*   11036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11069 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11088 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11090 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11101 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11125 */     GIR_RootConstrainSelectedInstOperands,
     /*   11126 */     // GIR_Coverage, 70397,
     /*   11126 */     GIR_EraseRootFromParent_Done,
     /*   11127 */   // Label 293: @11127
     /*   11127 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11223), // Rule ID 70398 //
     /*   11132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11184 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11197 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11221 */     GIR_RootConstrainSelectedInstOperands,
     /*   11222 */     // GIR_Coverage, 70398,
     /*   11222 */     GIR_EraseRootFromParent_Done,
     /*   11223 */   // Label 294: @11223
     /*   11223 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11319), // Rule ID 70399 //
     /*   11228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11280 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11282 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11293 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11317 */     GIR_RootConstrainSelectedInstOperands,
     /*   11318 */     // GIR_Coverage, 70399,
     /*   11318 */     GIR_EraseRootFromParent_Done,
     /*   11319 */   // Label 295: @11319
     /*   11319 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11415), // Rule ID 70400 //
     /*   11324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11372 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11376 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11378 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11387 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11389 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11413 */     GIR_RootConstrainSelectedInstOperands,
     /*   11414 */     // GIR_Coverage, 70400,
     /*   11414 */     GIR_EraseRootFromParent_Done,
     /*   11415 */   // Label 296: @11415
     /*   11415 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11511), // Rule ID 70251 //
     /*   11420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11472 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11483 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11485 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11509 */     GIR_RootConstrainSelectedInstOperands,
     /*   11510 */     // GIR_Coverage, 70251,
     /*   11510 */     GIR_EraseRootFromParent_Done,
     /*   11511 */   // Label 297: @11511
     /*   11511 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11607), // Rule ID 70252 //
     /*   11516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11568 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11570 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11581 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11605 */     GIR_RootConstrainSelectedInstOperands,
     /*   11606 */     // GIR_Coverage, 70252,
     /*   11606 */     GIR_EraseRootFromParent_Done,
     /*   11607 */   // Label 298: @11607
     /*   11607 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11703), // Rule ID 51911 //
     /*   11612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11668 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11670 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11675 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11677 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11701 */     GIR_RootConstrainSelectedInstOperands,
     /*   11702 */     // GIR_Coverage, 51911,
     /*   11702 */     GIR_EraseRootFromParent_Done,
     /*   11703 */   // Label 299: @11703
     /*   11703 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11799), // Rule ID 51912 //
     /*   11708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11764 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11766 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11773 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11797 */     GIR_RootConstrainSelectedInstOperands,
     /*   11798 */     // GIR_Coverage, 51912,
     /*   11798 */     GIR_EraseRootFromParent_Done,
     /*   11799 */   // Label 300: @11799
     /*   11799 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11895), // Rule ID 52029 //
     /*   11804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11856 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11862 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11869 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11893 */     GIR_RootConstrainSelectedInstOperands,
     /*   11894 */     // GIR_Coverage, 52029,
     /*   11894 */     GIR_EraseRootFromParent_Done,
     /*   11895 */   // Label 301: @11895
     /*   11895 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11991), // Rule ID 52030 //
     /*   11900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11952 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11958 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11963 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11965 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11989 */     GIR_RootConstrainSelectedInstOperands,
     /*   11990 */     // GIR_Coverage, 52030,
     /*   11990 */     GIR_EraseRootFromParent_Done,
     /*   11991 */   // Label 302: @11991
     /*   11991 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12087), // Rule ID 70395 //
     /*   11996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12048 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12061 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12085 */     GIR_RootConstrainSelectedInstOperands,
     /*   12086 */     // GIR_Coverage, 70395,
     /*   12086 */     GIR_EraseRootFromParent_Done,
     /*   12087 */   // Label 303: @12087
     /*   12087 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12183), // Rule ID 70396 //
     /*   12092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12140 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12144 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12157 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12181 */     GIR_RootConstrainSelectedInstOperands,
     /*   12182 */     // GIR_Coverage, 70396,
     /*   12182 */     GIR_EraseRootFromParent_Done,
     /*   12183 */   // Label 304: @12183
     /*   12183 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12279), // Rule ID 51969 //
     /*   12188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12246 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12253 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12277 */     GIR_RootConstrainSelectedInstOperands,
     /*   12278 */     // GIR_Coverage, 51969,
     /*   12278 */     GIR_EraseRootFromParent_Done,
     /*   12279 */   // Label 305: @12279
     /*   12279 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12375), // Rule ID 51970 //
     /*   12284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12336 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12342 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12349 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12373 */     GIR_RootConstrainSelectedInstOperands,
     /*   12374 */     // GIR_Coverage, 51970,
     /*   12374 */     GIR_EraseRootFromParent_Done,
     /*   12375 */   // Label 306: @12375
     /*   12375 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12464), // Rule ID 46567 //
     /*   12380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12423 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12462 */     GIR_RootConstrainSelectedInstOperands,
     /*   12463 */     // GIR_Coverage, 46567,
     /*   12463 */     GIR_EraseRootFromParent_Done,
     /*   12464 */   // Label 307: @12464
     /*   12464 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12553), // Rule ID 46568 //
     /*   12469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12512 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12551 */     GIR_RootConstrainSelectedInstOperands,
     /*   12552 */     // GIR_Coverage, 46568,
     /*   12552 */     GIR_EraseRootFromParent_Done,
     /*   12553 */   // Label 308: @12553
     /*   12553 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12642), // Rule ID 46331 //
     /*   12558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12601 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12640 */     GIR_RootConstrainSelectedInstOperands,
     /*   12641 */     // GIR_Coverage, 46331,
     /*   12641 */     GIR_EraseRootFromParent_Done,
     /*   12642 */   // Label 309: @12642
     /*   12642 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12731), // Rule ID 46332 //
     /*   12647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12690 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12729 */     GIR_RootConstrainSelectedInstOperands,
     /*   12730 */     // GIR_Coverage, 46332,
     /*   12730 */     GIR_EraseRootFromParent_Done,
     /*   12731 */   // Label 310: @12731
     /*   12731 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12820), // Rule ID 46447 //
     /*   12736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12779 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12818 */     GIR_RootConstrainSelectedInstOperands,
     /*   12819 */     // GIR_Coverage, 46447,
     /*   12819 */     GIR_EraseRootFromParent_Done,
     /*   12820 */   // Label 311: @12820
     /*   12820 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12909), // Rule ID 46448 //
     /*   12825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12868 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12907 */     GIR_RootConstrainSelectedInstOperands,
     /*   12908 */     // GIR_Coverage, 46448,
     /*   12908 */     GIR_EraseRootFromParent_Done,
     /*   12909 */   // Label 312: @12909
     /*   12909 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12977), // Rule ID 69947 //
     /*   12914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12951 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12975 */     GIR_RootConstrainSelectedInstOperands,
     /*   12976 */     // GIR_Coverage, 69947,
     /*   12976 */     GIR_EraseRootFromParent_Done,
     /*   12977 */   // Label 313: @12977
     /*   12977 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13045), // Rule ID 69948 //
     /*   12982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13019 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13043 */     GIR_RootConstrainSelectedInstOperands,
     /*   13044 */     // GIR_Coverage, 69948,
     /*   13044 */     GIR_EraseRootFromParent_Done,
     /*   13045 */   // Label 314: @13045
     /*   13045 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13100), // Rule ID 68947 //
     /*   13050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13078 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13098 */     GIR_RootConstrainSelectedInstOperands,
     /*   13099 */     // GIR_Coverage, 68947,
     /*   13099 */     GIR_EraseRootFromParent_Done,
     /*   13100 */   // Label 315: @13100
     /*   13100 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13155), // Rule ID 68948 //
     /*   13105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13133 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13153 */     GIR_RootConstrainSelectedInstOperands,
     /*   13154 */     // GIR_Coverage, 68948,
     /*   13154 */     GIR_EraseRootFromParent_Done,
     /*   13155 */   // Label 316: @13155
     /*   13155 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13210), // Rule ID 68767 //
     /*   13160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13188 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13208 */     GIR_RootConstrainSelectedInstOperands,
     /*   13209 */     // GIR_Coverage, 68767,
     /*   13209 */     GIR_EraseRootFromParent_Done,
     /*   13210 */   // Label 317: @13210
     /*   13210 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13265), // Rule ID 68768 //
     /*   13215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13243 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13263 */     GIR_RootConstrainSelectedInstOperands,
     /*   13264 */     // GIR_Coverage, 68768,
     /*   13264 */     GIR_EraseRootFromParent_Done,
     /*   13265 */   // Label 318: @13265
     /*   13265 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13320), // Rule ID 68857 //
     /*   13270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13298 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13318 */     GIR_RootConstrainSelectedInstOperands,
     /*   13319 */     // GIR_Coverage, 68857,
     /*   13319 */     GIR_EraseRootFromParent_Done,
     /*   13320 */   // Label 319: @13320
     /*   13320 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13375), // Rule ID 68858 //
     /*   13325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13353 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13373 */     GIR_RootConstrainSelectedInstOperands,
     /*   13374 */     // GIR_Coverage, 68858,
     /*   13374 */     GIR_EraseRootFromParent_Done,
     /*   13375 */   // Label 320: @13375
     /*   13375 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13443), // Rule ID 51745 //
     /*   13380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13417 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13441 */     GIR_RootConstrainSelectedInstOperands,
     /*   13442 */     // GIR_Coverage, 51745,
     /*   13442 */     GIR_EraseRootFromParent_Done,
     /*   13443 */   // Label 321: @13443
     /*   13443 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13511), // Rule ID 51746 //
     /*   13448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13485 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13509 */     GIR_RootConstrainSelectedInstOperands,
     /*   13510 */     // GIR_Coverage, 51746,
     /*   13510 */     GIR_EraseRootFromParent_Done,
     /*   13511 */   // Label 322: @13511
     /*   13511 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13566), // Rule ID 46627 //
     /*   13516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13544 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13564 */     GIR_RootConstrainSelectedInstOperands,
     /*   13565 */     // GIR_Coverage, 46627,
     /*   13565 */     GIR_EraseRootFromParent_Done,
     /*   13566 */   // Label 323: @13566
     /*   13566 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13621), // Rule ID 46628 //
     /*   13571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13599 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13619 */     GIR_RootConstrainSelectedInstOperands,
     /*   13620 */     // GIR_Coverage, 46628,
     /*   13620 */     GIR_EraseRootFromParent_Done,
     /*   13621 */   // Label 324: @13621
     /*   13621 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13676), // Rule ID 46387 //
     /*   13626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13654 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13674 */     GIR_RootConstrainSelectedInstOperands,
     /*   13675 */     // GIR_Coverage, 46387,
     /*   13675 */     GIR_EraseRootFromParent_Done,
     /*   13676 */   // Label 325: @13676
     /*   13676 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13731), // Rule ID 46388 //
     /*   13681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13709 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13729 */     GIR_RootConstrainSelectedInstOperands,
     /*   13730 */     // GIR_Coverage, 46388,
     /*   13730 */     GIR_EraseRootFromParent_Done,
     /*   13731 */   // Label 326: @13731
     /*   13731 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13786), // Rule ID 46507 //
     /*   13736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13764 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13784 */     GIR_RootConstrainSelectedInstOperands,
     /*   13785 */     // GIR_Coverage, 46507,
     /*   13785 */     GIR_EraseRootFromParent_Done,
     /*   13786 */   // Label 327: @13786
     /*   13786 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13841), // Rule ID 46508 //
     /*   13791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13819 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13839 */     GIR_RootConstrainSelectedInstOperands,
     /*   13840 */     // GIR_Coverage, 46508,
     /*   13840 */     GIR_EraseRootFromParent_Done,
     /*   13841 */   // Label 328: @13841
     /*   13841 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13894), // Rule ID 45981 //
     /*   13846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13857 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13892 */     GIR_RootConstrainSelectedInstOperands,
     /*   13893 */     // GIR_Coverage, 45981,
     /*   13893 */     GIR_EraseRootFromParent_Done,
     /*   13894 */   // Label 329: @13894
     /*   13894 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13947), // Rule ID 45982 //
     /*   13899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13910 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13945 */     GIR_RootConstrainSelectedInstOperands,
     /*   13946 */     // GIR_Coverage, 45982,
     /*   13946 */     GIR_EraseRootFromParent_Done,
     /*   13947 */   // Label 330: @13947
     /*   13947 */   GIM_Reject,
     /*   13948 */ // Label 290: @13948
     /*   13948 */ GIM_Reject,
     /*   13949 */ // Label 129: @13949
     /*   13949 */ GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(17073),
     /*   13954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13964 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14060), // Rule ID 70147 //
     /*   13969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14034 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14058 */     GIR_RootConstrainSelectedInstOperands,
     /*   14059 */     // GIR_Coverage, 70147,
     /*   14059 */     GIR_EraseRootFromParent_Done,
     /*   14060 */   // Label 332: @14060
     /*   14060 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 70148 //
     /*   14065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14130 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 70148,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14252), // Rule ID 70427 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14226 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14250 */     GIR_RootConstrainSelectedInstOperands,
     /*   14251 */     // GIR_Coverage, 70427,
     /*   14251 */     GIR_EraseRootFromParent_Done,
     /*   14252 */   // Label 334: @14252
     /*   14252 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14348), // Rule ID 70428 //
     /*   14257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14305 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14309 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14311 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14322 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14346 */     GIR_RootConstrainSelectedInstOperands,
     /*   14347 */     // GIR_Coverage, 70428,
     /*   14347 */     GIR_EraseRootFromParent_Done,
     /*   14348 */   // Label 335: @14348
     /*   14348 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14444), // Rule ID 70429 //
     /*   14353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14401 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14405 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14407 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14418 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 70429,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 336: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14540), // Rule ID 70430 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14482 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14501 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14503 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14514 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14538 */     GIR_RootConstrainSelectedInstOperands,
     /*   14539 */     // GIR_Coverage, 70430,
     /*   14539 */     GIR_EraseRootFromParent_Done,
     /*   14540 */   // Label 337: @14540
     /*   14540 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14636), // Rule ID 70261 //
     /*   14545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14578 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14593 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14597 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14599 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14610 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14634 */     GIR_RootConstrainSelectedInstOperands,
     /*   14635 */     // GIR_Coverage, 70261,
     /*   14635 */     GIR_EraseRootFromParent_Done,
     /*   14636 */   // Label 338: @14636
     /*   14636 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14732), // Rule ID 70262 //
     /*   14641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14689 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14693 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14695 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14706 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 70262,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 339: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14828), // Rule ID 51921 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14802 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14826 */     GIR_RootConstrainSelectedInstOperands,
     /*   14827 */     // GIR_Coverage, 51921,
     /*   14827 */     GIR_EraseRootFromParent_Done,
     /*   14828 */   // Label 340: @14828
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14924), // Rule ID 51922 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14898 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14922 */     GIR_RootConstrainSelectedInstOperands,
     /*   14923 */     // GIR_Coverage, 51922,
     /*   14923 */     GIR_EraseRootFromParent_Done,
     /*   14924 */   // Label 341: @14924
     /*   14924 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15020), // Rule ID 52039 //
     /*   14929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14994 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15018 */     GIR_RootConstrainSelectedInstOperands,
     /*   15019 */     // GIR_Coverage, 52039,
     /*   15019 */     GIR_EraseRootFromParent_Done,
     /*   15020 */   // Label 342: @15020
     /*   15020 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15116), // Rule ID 52040 //
     /*   15025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15088 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15090 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15114 */     GIR_RootConstrainSelectedInstOperands,
     /*   15115 */     // GIR_Coverage, 52040,
     /*   15115 */     GIR_EraseRootFromParent_Done,
     /*   15116 */   // Label 343: @15116
     /*   15116 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15212), // Rule ID 70425 //
     /*   15121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15186 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15210 */     GIR_RootConstrainSelectedInstOperands,
     /*   15211 */     // GIR_Coverage, 70425,
     /*   15211 */     GIR_EraseRootFromParent_Done,
     /*   15212 */   // Label 344: @15212
     /*   15212 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15308), // Rule ID 70426 //
     /*   15217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15282 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15306 */     GIR_RootConstrainSelectedInstOperands,
     /*   15307 */     // GIR_Coverage, 70426,
     /*   15307 */     GIR_EraseRootFromParent_Done,
     /*   15308 */   // Label 345: @15308
     /*   15308 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15404), // Rule ID 51979 //
     /*   15313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15378 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15402 */     GIR_RootConstrainSelectedInstOperands,
     /*   15403 */     // GIR_Coverage, 51979,
     /*   15403 */     GIR_EraseRootFromParent_Done,
     /*   15404 */   // Label 346: @15404
     /*   15404 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15500), // Rule ID 51980 //
     /*   15409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15474 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15498 */     GIR_RootConstrainSelectedInstOperands,
     /*   15499 */     // GIR_Coverage, 51980,
     /*   15499 */     GIR_EraseRootFromParent_Done,
     /*   15500 */   // Label 347: @15500
     /*   15500 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15589), // Rule ID 46587 //
     /*   15505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15548 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15587 */     GIR_RootConstrainSelectedInstOperands,
     /*   15588 */     // GIR_Coverage, 46587,
     /*   15588 */     GIR_EraseRootFromParent_Done,
     /*   15589 */   // Label 348: @15589
     /*   15589 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15678), // Rule ID 46588 //
     /*   15594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15637 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15676 */     GIR_RootConstrainSelectedInstOperands,
     /*   15677 */     // GIR_Coverage, 46588,
     /*   15677 */     GIR_EraseRootFromParent_Done,
     /*   15678 */   // Label 349: @15678
     /*   15678 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15767), // Rule ID 46351 //
     /*   15683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15726 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15765 */     GIR_RootConstrainSelectedInstOperands,
     /*   15766 */     // GIR_Coverage, 46351,
     /*   15766 */     GIR_EraseRootFromParent_Done,
     /*   15767 */   // Label 350: @15767
     /*   15767 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15856), // Rule ID 46352 //
     /*   15772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15815 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15854 */     GIR_RootConstrainSelectedInstOperands,
     /*   15855 */     // GIR_Coverage, 46352,
     /*   15855 */     GIR_EraseRootFromParent_Done,
     /*   15856 */   // Label 351: @15856
     /*   15856 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15945), // Rule ID 46467 //
     /*   15861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15904 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15943 */     GIR_RootConstrainSelectedInstOperands,
     /*   15944 */     // GIR_Coverage, 46467,
     /*   15944 */     GIR_EraseRootFromParent_Done,
     /*   15945 */   // Label 352: @15945
     /*   15945 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16034), // Rule ID 46468 //
     /*   15950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15993 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   16010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16032 */     GIR_RootConstrainSelectedInstOperands,
     /*   16033 */     // GIR_Coverage, 46468,
     /*   16033 */     GIR_EraseRootFromParent_Done,
     /*   16034 */   // Label 353: @16034
     /*   16034 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16102), // Rule ID 69979 //
     /*   16039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16076 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16100 */     GIR_RootConstrainSelectedInstOperands,
     /*   16101 */     // GIR_Coverage, 69979,
     /*   16101 */     GIR_EraseRootFromParent_Done,
     /*   16102 */   // Label 354: @16102
     /*   16102 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16170), // Rule ID 69980 //
     /*   16107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16144 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16168 */     GIR_RootConstrainSelectedInstOperands,
     /*   16169 */     // GIR_Coverage, 69980,
     /*   16169 */     GIR_EraseRootFromParent_Done,
     /*   16170 */   // Label 355: @16170
     /*   16170 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16225), // Rule ID 68967 //
     /*   16175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16203 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16223 */     GIR_RootConstrainSelectedInstOperands,
     /*   16224 */     // GIR_Coverage, 68967,
     /*   16224 */     GIR_EraseRootFromParent_Done,
     /*   16225 */   // Label 356: @16225
     /*   16225 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16280), // Rule ID 68968 //
     /*   16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16258 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16278 */     GIR_RootConstrainSelectedInstOperands,
     /*   16279 */     // GIR_Coverage, 68968,
     /*   16279 */     GIR_EraseRootFromParent_Done,
     /*   16280 */   // Label 357: @16280
     /*   16280 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16335), // Rule ID 68787 //
     /*   16285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16313 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16333 */     GIR_RootConstrainSelectedInstOperands,
     /*   16334 */     // GIR_Coverage, 68787,
     /*   16334 */     GIR_EraseRootFromParent_Done,
     /*   16335 */   // Label 358: @16335
     /*   16335 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16390), // Rule ID 68788 //
     /*   16340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16368 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16388 */     GIR_RootConstrainSelectedInstOperands,
     /*   16389 */     // GIR_Coverage, 68788,
     /*   16389 */     GIR_EraseRootFromParent_Done,
     /*   16390 */   // Label 359: @16390
     /*   16390 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16445), // Rule ID 68877 //
     /*   16395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16423 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16443 */     GIR_RootConstrainSelectedInstOperands,
     /*   16444 */     // GIR_Coverage, 68877,
     /*   16444 */     GIR_EraseRootFromParent_Done,
     /*   16445 */   // Label 360: @16445
     /*   16445 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16500), // Rule ID 68878 //
     /*   16450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16478 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16498 */     GIR_RootConstrainSelectedInstOperands,
     /*   16499 */     // GIR_Coverage, 68878,
     /*   16499 */     GIR_EraseRootFromParent_Done,
     /*   16500 */   // Label 361: @16500
     /*   16500 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16568), // Rule ID 51761 //
     /*   16505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16542 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16566 */     GIR_RootConstrainSelectedInstOperands,
     /*   16567 */     // GIR_Coverage, 51761,
     /*   16567 */     GIR_EraseRootFromParent_Done,
     /*   16568 */   // Label 362: @16568
     /*   16568 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16636), // Rule ID 51762 //
     /*   16573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16610 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16634 */     GIR_RootConstrainSelectedInstOperands,
     /*   16635 */     // GIR_Coverage, 51762,
     /*   16635 */     GIR_EraseRootFromParent_Done,
     /*   16636 */   // Label 363: @16636
     /*   16636 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16691), // Rule ID 46647 //
     /*   16641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16669 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16689 */     GIR_RootConstrainSelectedInstOperands,
     /*   16690 */     // GIR_Coverage, 46647,
     /*   16690 */     GIR_EraseRootFromParent_Done,
     /*   16691 */   // Label 364: @16691
     /*   16691 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16746), // Rule ID 46648 //
     /*   16696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16724 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16744 */     GIR_RootConstrainSelectedInstOperands,
     /*   16745 */     // GIR_Coverage, 46648,
     /*   16745 */     GIR_EraseRootFromParent_Done,
     /*   16746 */   // Label 365: @16746
     /*   16746 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16801), // Rule ID 46407 //
     /*   16751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16779 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16799 */     GIR_RootConstrainSelectedInstOperands,
     /*   16800 */     // GIR_Coverage, 46407,
     /*   16800 */     GIR_EraseRootFromParent_Done,
     /*   16801 */   // Label 366: @16801
     /*   16801 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16856), // Rule ID 46408 //
     /*   16806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16834 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16854 */     GIR_RootConstrainSelectedInstOperands,
     /*   16855 */     // GIR_Coverage, 46408,
     /*   16855 */     GIR_EraseRootFromParent_Done,
     /*   16856 */   // Label 367: @16856
     /*   16856 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16911), // Rule ID 46527 //
     /*   16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16889 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16909 */     GIR_RootConstrainSelectedInstOperands,
     /*   16910 */     // GIR_Coverage, 46527,
     /*   16910 */     GIR_EraseRootFromParent_Done,
     /*   16911 */   // Label 368: @16911
     /*   16911 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16966), // Rule ID 46528 //
     /*   16916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16944 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16964 */     GIR_RootConstrainSelectedInstOperands,
     /*   16965 */     // GIR_Coverage, 46528,
     /*   16965 */     GIR_EraseRootFromParent_Done,
     /*   16966 */   // Label 369: @16966
     /*   16966 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17019), // Rule ID 45997 //
     /*   16971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16982 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17017 */     GIR_RootConstrainSelectedInstOperands,
     /*   17018 */     // GIR_Coverage, 45997,
     /*   17018 */     GIR_EraseRootFromParent_Done,
     /*   17019 */   // Label 370: @17019
     /*   17019 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17072), // Rule ID 45998 //
     /*   17024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17035 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   17038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17070 */     GIR_RootConstrainSelectedInstOperands,
     /*   17071 */     // GIR_Coverage, 45998,
     /*   17071 */     GIR_EraseRootFromParent_Done,
     /*   17072 */   // Label 371: @17072
     /*   17072 */   GIM_Reject,
     /*   17073 */ // Label 331: @17073
     /*   17073 */ GIM_Reject,
     /*   17074 */ // Label 130: @17074
     /*   17074 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17468),
     /*   17079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17089 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17157), // Rule ID 69915 //
     /*   17094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17131 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17155 */     GIR_RootConstrainSelectedInstOperands,
     /*   17156 */     // GIR_Coverage, 69915,
     /*   17156 */     GIR_EraseRootFromParent_Done,
     /*   17157 */   // Label 373: @17157
     /*   17157 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17225), // Rule ID 69916 //
     /*   17162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17199 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17223 */     GIR_RootConstrainSelectedInstOperands,
     /*   17224 */     // GIR_Coverage, 69916,
     /*   17224 */     GIR_EraseRootFromParent_Done,
     /*   17225 */   // Label 374: @17225
     /*   17225 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17293), // Rule ID 51729 //
     /*   17230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17267 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17291 */     GIR_RootConstrainSelectedInstOperands,
     /*   17292 */     // GIR_Coverage, 51729,
     /*   17292 */     GIR_EraseRootFromParent_Done,
     /*   17293 */   // Label 375: @17293
     /*   17293 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17361), // Rule ID 51730 //
     /*   17298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17335 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17359 */     GIR_RootConstrainSelectedInstOperands,
     /*   17360 */     // GIR_Coverage, 51730,
     /*   17360 */     GIR_EraseRootFromParent_Done,
     /*   17361 */   // Label 376: @17361
     /*   17361 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17414), // Rule ID 45965 //
     /*   17366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17377 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17412 */     GIR_RootConstrainSelectedInstOperands,
     /*   17413 */     // GIR_Coverage, 45965,
     /*   17413 */     GIR_EraseRootFromParent_Done,
     /*   17414 */   // Label 377: @17414
     /*   17414 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17467), // Rule ID 45966 //
     /*   17419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17430 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17465 */     GIR_RootConstrainSelectedInstOperands,
     /*   17466 */     // GIR_Coverage, 45966,
     /*   17466 */     GIR_EraseRootFromParent_Done,
     /*   17467 */   // Label 378: @17467
     /*   17467 */   GIM_Reject,
     /*   17468 */ // Label 372: @17468
     /*   17468 */ GIM_Reject,
     /*   17469 */ // Label 131: @17469
     /*   17469 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(20593),
     /*   17474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17484 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17580), // Rule ID 70127 //
     /*   17489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17508 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17537 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17541 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17543 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17554 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17578 */     GIR_RootConstrainSelectedInstOperands,
     /*   17579 */     // GIR_Coverage, 70127,
     /*   17579 */     GIR_EraseRootFromParent_Done,
     /*   17580 */   // Label 380: @17580
     /*   17580 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17676), // Rule ID 70128 //
     /*   17585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17633 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17637 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17639 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17648 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17650 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17674 */     GIR_RootConstrainSelectedInstOperands,
     /*   17675 */     // GIR_Coverage, 70128,
     /*   17675 */     GIR_EraseRootFromParent_Done,
     /*   17676 */   // Label 381: @17676
     /*   17676 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17772), // Rule ID 70367 //
     /*   17681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17729 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17733 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17735 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17746 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17770 */     GIR_RootConstrainSelectedInstOperands,
     /*   17771 */     // GIR_Coverage, 70367,
     /*   17771 */     GIR_EraseRootFromParent_Done,
     /*   17772 */   // Label 382: @17772
     /*   17772 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17868), // Rule ID 70368 //
     /*   17777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17825 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17829 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17831 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17842 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17866 */     GIR_RootConstrainSelectedInstOperands,
     /*   17867 */     // GIR_Coverage, 70368,
     /*   17867 */     GIR_EraseRootFromParent_Done,
     /*   17868 */   // Label 383: @17868
     /*   17868 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17964), // Rule ID 70369 //
     /*   17873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17921 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17925 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17927 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17938 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17962 */     GIR_RootConstrainSelectedInstOperands,
     /*   17963 */     // GIR_Coverage, 70369,
     /*   17963 */     GIR_EraseRootFromParent_Done,
     /*   17964 */   // Label 384: @17964
     /*   17964 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18060), // Rule ID 70370 //
     /*   17969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18034 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18058 */     GIR_RootConstrainSelectedInstOperands,
     /*   18059 */     // GIR_Coverage, 70370,
     /*   18059 */     GIR_EraseRootFromParent_Done,
     /*   18060 */   // Label 385: @18060
     /*   18060 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18156), // Rule ID 70241 //
     /*   18065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18130 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18154 */     GIR_RootConstrainSelectedInstOperands,
     /*   18155 */     // GIR_Coverage, 70241,
     /*   18155 */     GIR_EraseRootFromParent_Done,
     /*   18156 */   // Label 386: @18156
     /*   18156 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18252), // Rule ID 70242 //
     /*   18161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18226 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18250 */     GIR_RootConstrainSelectedInstOperands,
     /*   18251 */     // GIR_Coverage, 70242,
     /*   18251 */     GIR_EraseRootFromParent_Done,
     /*   18252 */   // Label 387: @18252
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18348), // Rule ID 51901 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18313 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18315 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18322 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18346 */     GIR_RootConstrainSelectedInstOperands,
     /*   18347 */     // GIR_Coverage, 51901,
     /*   18347 */     GIR_EraseRootFromParent_Done,
     /*   18348 */   // Label 388: @18348
     /*   18348 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18444), // Rule ID 51902 //
     /*   18353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18405 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18409 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18418 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18442 */     GIR_RootConstrainSelectedInstOperands,
     /*   18443 */     // GIR_Coverage, 51902,
     /*   18443 */     GIR_EraseRootFromParent_Done,
     /*   18444 */   // Label 389: @18444
     /*   18444 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18540), // Rule ID 52019 //
     /*   18449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18501 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18505 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18507 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18514 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18538 */     GIR_RootConstrainSelectedInstOperands,
     /*   18539 */     // GIR_Coverage, 52019,
     /*   18539 */     GIR_EraseRootFromParent_Done,
     /*   18540 */   // Label 390: @18540
     /*   18540 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18636), // Rule ID 52020 //
     /*   18545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18568 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18597 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18601 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18603 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18610 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18634 */     GIR_RootConstrainSelectedInstOperands,
     /*   18635 */     // GIR_Coverage, 52020,
     /*   18635 */     GIR_EraseRootFromParent_Done,
     /*   18636 */   // Label 391: @18636
     /*   18636 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18732), // Rule ID 70365 //
     /*   18641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18678 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18693 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18697 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18699 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18706 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18730 */     GIR_RootConstrainSelectedInstOperands,
     /*   18731 */     // GIR_Coverage, 70365,
     /*   18731 */     GIR_EraseRootFromParent_Done,
     /*   18732 */   // Label 392: @18732
     /*   18732 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18828), // Rule ID 70366 //
     /*   18737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18802 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18826 */     GIR_RootConstrainSelectedInstOperands,
     /*   18827 */     // GIR_Coverage, 70366,
     /*   18827 */     GIR_EraseRootFromParent_Done,
     /*   18828 */   // Label 393: @18828
     /*   18828 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18924), // Rule ID 51959 //
     /*   18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18898 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18922 */     GIR_RootConstrainSelectedInstOperands,
     /*   18923 */     // GIR_Coverage, 51959,
     /*   18923 */     GIR_EraseRootFromParent_Done,
     /*   18924 */   // Label 394: @18924
     /*   18924 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19020), // Rule ID 51960 //
     /*   18929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18994 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19018 */     GIR_RootConstrainSelectedInstOperands,
     /*   19019 */     // GIR_Coverage, 51960,
     /*   19019 */     GIR_EraseRootFromParent_Done,
     /*   19020 */   // Label 395: @19020
     /*   19020 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19109), // Rule ID 46547 //
     /*   19025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19059 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19068 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19107 */     GIR_RootConstrainSelectedInstOperands,
     /*   19108 */     // GIR_Coverage, 46547,
     /*   19108 */     GIR_EraseRootFromParent_Done,
     /*   19109 */   // Label 396: @19109
     /*   19109 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19198), // Rule ID 46548 //
     /*   19114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19157 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19196 */     GIR_RootConstrainSelectedInstOperands,
     /*   19197 */     // GIR_Coverage, 46548,
     /*   19197 */     GIR_EraseRootFromParent_Done,
     /*   19198 */   // Label 397: @19198
     /*   19198 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19287), // Rule ID 46311 //
     /*   19203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19246 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19285 */     GIR_RootConstrainSelectedInstOperands,
     /*   19286 */     // GIR_Coverage, 46311,
     /*   19286 */     GIR_EraseRootFromParent_Done,
     /*   19287 */   // Label 398: @19287
     /*   19287 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19376), // Rule ID 46312 //
     /*   19292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19335 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19374 */     GIR_RootConstrainSelectedInstOperands,
     /*   19375 */     // GIR_Coverage, 46312,
     /*   19375 */     GIR_EraseRootFromParent_Done,
     /*   19376 */   // Label 399: @19376
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19465), // Rule ID 46427 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19424 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19463 */     GIR_RootConstrainSelectedInstOperands,
     /*   19464 */     // GIR_Coverage, 46427,
     /*   19464 */     GIR_EraseRootFromParent_Done,
     /*   19465 */   // Label 400: @19465
     /*   19465 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19554), // Rule ID 46428 //
     /*   19470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19513 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19552 */     GIR_RootConstrainSelectedInstOperands,
     /*   19553 */     // GIR_Coverage, 46428,
     /*   19553 */     GIR_EraseRootFromParent_Done,
     /*   19554 */   // Label 401: @19554
     /*   19554 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19622), // Rule ID 69939 //
     /*   19559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19596 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19620 */     GIR_RootConstrainSelectedInstOperands,
     /*   19621 */     // GIR_Coverage, 69939,
     /*   19621 */     GIR_EraseRootFromParent_Done,
     /*   19622 */   // Label 402: @19622
     /*   19622 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19690), // Rule ID 69940 //
     /*   19627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19664 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19688 */     GIR_RootConstrainSelectedInstOperands,
     /*   19689 */     // GIR_Coverage, 69940,
     /*   19689 */     GIR_EraseRootFromParent_Done,
     /*   19690 */   // Label 403: @19690
     /*   19690 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19745), // Rule ID 68927 //
     /*   19695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19723 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19743 */     GIR_RootConstrainSelectedInstOperands,
     /*   19744 */     // GIR_Coverage, 68927,
     /*   19744 */     GIR_EraseRootFromParent_Done,
     /*   19745 */   // Label 404: @19745
     /*   19745 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19800), // Rule ID 68928 //
     /*   19750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19778 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19798 */     GIR_RootConstrainSelectedInstOperands,
     /*   19799 */     // GIR_Coverage, 68928,
     /*   19799 */     GIR_EraseRootFromParent_Done,
     /*   19800 */   // Label 405: @19800
     /*   19800 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19855), // Rule ID 68747 //
     /*   19805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19833 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19853 */     GIR_RootConstrainSelectedInstOperands,
     /*   19854 */     // GIR_Coverage, 68747,
     /*   19854 */     GIR_EraseRootFromParent_Done,
     /*   19855 */   // Label 406: @19855
     /*   19855 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19910), // Rule ID 68748 //
     /*   19860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19888 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19908 */     GIR_RootConstrainSelectedInstOperands,
     /*   19909 */     // GIR_Coverage, 68748,
     /*   19909 */     GIR_EraseRootFromParent_Done,
     /*   19910 */   // Label 407: @19910
     /*   19910 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19965), // Rule ID 68837 //
     /*   19915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19943 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19963 */     GIR_RootConstrainSelectedInstOperands,
     /*   19964 */     // GIR_Coverage, 68837,
     /*   19964 */     GIR_EraseRootFromParent_Done,
     /*   19965 */   // Label 408: @19965
     /*   19965 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20020), // Rule ID 68838 //
     /*   19970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19998 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20018 */     GIR_RootConstrainSelectedInstOperands,
     /*   20019 */     // GIR_Coverage, 68838,
     /*   20019 */     GIR_EraseRootFromParent_Done,
     /*   20020 */   // Label 409: @20020
     /*   20020 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20088), // Rule ID 51741 //
     /*   20025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20062 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20086 */     GIR_RootConstrainSelectedInstOperands,
     /*   20087 */     // GIR_Coverage, 51741,
     /*   20087 */     GIR_EraseRootFromParent_Done,
     /*   20088 */   // Label 410: @20088
     /*   20088 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20156), // Rule ID 51742 //
     /*   20093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20130 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 51742,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 411: @20156
     /*   20156 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20211), // Rule ID 46607 //
     /*   20161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20189 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20209 */     GIR_RootConstrainSelectedInstOperands,
     /*   20210 */     // GIR_Coverage, 46607,
     /*   20210 */     GIR_EraseRootFromParent_Done,
     /*   20211 */   // Label 412: @20211
     /*   20211 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20266), // Rule ID 46608 //
     /*   20216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20244 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20264 */     GIR_RootConstrainSelectedInstOperands,
     /*   20265 */     // GIR_Coverage, 46608,
     /*   20265 */     GIR_EraseRootFromParent_Done,
     /*   20266 */   // Label 413: @20266
     /*   20266 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20321), // Rule ID 46367 //
     /*   20271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20299 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20319 */     GIR_RootConstrainSelectedInstOperands,
     /*   20320 */     // GIR_Coverage, 46367,
     /*   20320 */     GIR_EraseRootFromParent_Done,
     /*   20321 */   // Label 414: @20321
     /*   20321 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20376), // Rule ID 46368 //
     /*   20326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20354 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20374 */     GIR_RootConstrainSelectedInstOperands,
     /*   20375 */     // GIR_Coverage, 46368,
     /*   20375 */     GIR_EraseRootFromParent_Done,
     /*   20376 */   // Label 415: @20376
     /*   20376 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20431), // Rule ID 46487 //
     /*   20381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20409 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20429 */     GIR_RootConstrainSelectedInstOperands,
     /*   20430 */     // GIR_Coverage, 46487,
     /*   20430 */     GIR_EraseRootFromParent_Done,
     /*   20431 */   // Label 416: @20431
     /*   20431 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20486), // Rule ID 46488 //
     /*   20436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20464 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20484 */     GIR_RootConstrainSelectedInstOperands,
     /*   20485 */     // GIR_Coverage, 46488,
     /*   20485 */     GIR_EraseRootFromParent_Done,
     /*   20486 */   // Label 417: @20486
     /*   20486 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20539), // Rule ID 45977 //
     /*   20491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20502 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20537 */     GIR_RootConstrainSelectedInstOperands,
     /*   20538 */     // GIR_Coverage, 45977,
     /*   20538 */     GIR_EraseRootFromParent_Done,
     /*   20539 */   // Label 418: @20539
     /*   20539 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20592), // Rule ID 45978 //
     /*   20544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20555 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20590 */     GIR_RootConstrainSelectedInstOperands,
     /*   20591 */     // GIR_Coverage, 45978,
     /*   20591 */     GIR_EraseRootFromParent_Done,
     /*   20592 */   // Label 419: @20592
     /*   20592 */   GIM_Reject,
     /*   20593 */ // Label 379: @20593
     /*   20593 */ GIM_Reject,
     /*   20594 */ // Label 132: @20594
     /*   20594 */ GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(23718),
     /*   20599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20609 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20705), // Rule ID 70139 //
     /*   20614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20662 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20666 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20679 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20703 */     GIR_RootConstrainSelectedInstOperands,
     /*   20704 */     // GIR_Coverage, 70139,
     /*   20704 */     GIR_EraseRootFromParent_Done,
     /*   20705 */   // Label 421: @20705
     /*   20705 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20801), // Rule ID 70140 //
     /*   20710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20758 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20762 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20764 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20775 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 70140,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 422: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20897), // Rule ID 70403 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20854 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20858 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20860 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20871 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20895 */     GIR_RootConstrainSelectedInstOperands,
     /*   20896 */     // GIR_Coverage, 70403,
     /*   20896 */     GIR_EraseRootFromParent_Done,
     /*   20897 */   // Label 423: @20897
     /*   20897 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20993), // Rule ID 70404 //
     /*   20902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20950 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20954 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20956 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20967 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20991 */     GIR_RootConstrainSelectedInstOperands,
     /*   20992 */     // GIR_Coverage, 70404,
     /*   20992 */     GIR_EraseRootFromParent_Done,
     /*   20993 */   // Label 424: @20993
     /*   20993 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21089), // Rule ID 70405 //
     /*   20998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21046 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21050 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21052 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21063 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21087 */     GIR_RootConstrainSelectedInstOperands,
     /*   21088 */     // GIR_Coverage, 70405,
     /*   21088 */     GIR_EraseRootFromParent_Done,
     /*   21089 */   // Label 425: @21089
     /*   21089 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21185), // Rule ID 70406 //
     /*   21094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21146 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21148 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21159 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21183 */     GIR_RootConstrainSelectedInstOperands,
     /*   21184 */     // GIR_Coverage, 70406,
     /*   21184 */     GIR_EraseRootFromParent_Done,
     /*   21185 */   // Label 426: @21185
     /*   21185 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21281), // Rule ID 70253 //
     /*   21190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21238 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21242 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21244 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21255 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21279 */     GIR_RootConstrainSelectedInstOperands,
     /*   21280 */     // GIR_Coverage, 70253,
     /*   21280 */     GIR_EraseRootFromParent_Done,
     /*   21281 */   // Label 427: @21281
     /*   21281 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21377), // Rule ID 70254 //
     /*   21286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21334 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21338 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21340 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21351 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21375 */     GIR_RootConstrainSelectedInstOperands,
     /*   21376 */     // GIR_Coverage, 70254,
     /*   21376 */     GIR_EraseRootFromParent_Done,
     /*   21377 */   // Label 428: @21377
     /*   21377 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21473), // Rule ID 51913 //
     /*   21382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21426 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21430 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21434 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21438 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21440 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21447 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21471 */     GIR_RootConstrainSelectedInstOperands,
     /*   21472 */     // GIR_Coverage, 51913,
     /*   21472 */     GIR_EraseRootFromParent_Done,
     /*   21473 */   // Label 429: @21473
     /*   21473 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21569), // Rule ID 51914 //
     /*   21478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21530 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21534 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21543 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21567 */     GIR_RootConstrainSelectedInstOperands,
     /*   21568 */     // GIR_Coverage, 51914,
     /*   21568 */     GIR_EraseRootFromParent_Done,
     /*   21569 */   // Label 430: @21569
     /*   21569 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21665), // Rule ID 52031 //
     /*   21574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21626 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21632 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21639 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21663 */     GIR_RootConstrainSelectedInstOperands,
     /*   21664 */     // GIR_Coverage, 52031,
     /*   21664 */     GIR_EraseRootFromParent_Done,
     /*   21665 */   // Label 431: @21665
     /*   21665 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21761), // Rule ID 52032 //
     /*   21670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21728 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21733 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21735 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21759 */     GIR_RootConstrainSelectedInstOperands,
     /*   21760 */     // GIR_Coverage, 52032,
     /*   21760 */     GIR_EraseRootFromParent_Done,
     /*   21761 */   // Label 432: @21761
     /*   21761 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21857), // Rule ID 70401 //
     /*   21766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21818 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21831 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21855 */     GIR_RootConstrainSelectedInstOperands,
     /*   21856 */     // GIR_Coverage, 70401,
     /*   21856 */     GIR_EraseRootFromParent_Done,
     /*   21857 */   // Label 433: @21857
     /*   21857 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21953), // Rule ID 70402 //
     /*   21862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21910 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21914 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21920 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21927 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21951 */     GIR_RootConstrainSelectedInstOperands,
     /*   21952 */     // GIR_Coverage, 70402,
     /*   21952 */     GIR_EraseRootFromParent_Done,
     /*   21953 */   // Label 434: @21953
     /*   21953 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22049), // Rule ID 51971 //
     /*   21958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22010 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22016 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22023 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22047 */     GIR_RootConstrainSelectedInstOperands,
     /*   22048 */     // GIR_Coverage, 51971,
     /*   22048 */     GIR_EraseRootFromParent_Done,
     /*   22049 */   // Label 435: @22049
     /*   22049 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22145), // Rule ID 51972 //
     /*   22054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22106 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22112 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22119 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22143 */     GIR_RootConstrainSelectedInstOperands,
     /*   22144 */     // GIR_Coverage, 51972,
     /*   22144 */     GIR_EraseRootFromParent_Done,
     /*   22145 */   // Label 436: @22145
     /*   22145 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22234), // Rule ID 46571 //
     /*   22150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22193 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22232 */     GIR_RootConstrainSelectedInstOperands,
     /*   22233 */     // GIR_Coverage, 46571,
     /*   22233 */     GIR_EraseRootFromParent_Done,
     /*   22234 */   // Label 437: @22234
     /*   22234 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22323), // Rule ID 46572 //
     /*   22239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22282 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22321 */     GIR_RootConstrainSelectedInstOperands,
     /*   22322 */     // GIR_Coverage, 46572,
     /*   22322 */     GIR_EraseRootFromParent_Done,
     /*   22323 */   // Label 438: @22323
     /*   22323 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22412), // Rule ID 46335 //
     /*   22328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22371 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22410 */     GIR_RootConstrainSelectedInstOperands,
     /*   22411 */     // GIR_Coverage, 46335,
     /*   22411 */     GIR_EraseRootFromParent_Done,
     /*   22412 */   // Label 439: @22412
     /*   22412 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22501), // Rule ID 46336 //
     /*   22417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22460 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22499 */     GIR_RootConstrainSelectedInstOperands,
     /*   22500 */     // GIR_Coverage, 46336,
     /*   22500 */     GIR_EraseRootFromParent_Done,
     /*   22501 */   // Label 440: @22501
     /*   22501 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22590), // Rule ID 46451 //
     /*   22506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22549 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 46451,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 441: @22590
     /*   22590 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22679), // Rule ID 46452 //
     /*   22595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22638 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22677 */     GIR_RootConstrainSelectedInstOperands,
     /*   22678 */     // GIR_Coverage, 46452,
     /*   22678 */     GIR_EraseRootFromParent_Done,
     /*   22679 */   // Label 442: @22679
     /*   22679 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22747), // Rule ID 69971 //
     /*   22684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22721 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22745 */     GIR_RootConstrainSelectedInstOperands,
     /*   22746 */     // GIR_Coverage, 69971,
     /*   22746 */     GIR_EraseRootFromParent_Done,
     /*   22747 */   // Label 443: @22747
     /*   22747 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22815), // Rule ID 69972 //
     /*   22752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22789 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22813 */     GIR_RootConstrainSelectedInstOperands,
     /*   22814 */     // GIR_Coverage, 69972,
     /*   22814 */     GIR_EraseRootFromParent_Done,
     /*   22815 */   // Label 444: @22815
     /*   22815 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22870), // Rule ID 68951 //
     /*   22820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22848 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22868 */     GIR_RootConstrainSelectedInstOperands,
     /*   22869 */     // GIR_Coverage, 68951,
     /*   22869 */     GIR_EraseRootFromParent_Done,
     /*   22870 */   // Label 445: @22870
     /*   22870 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22925), // Rule ID 68952 //
     /*   22875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22903 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22923 */     GIR_RootConstrainSelectedInstOperands,
     /*   22924 */     // GIR_Coverage, 68952,
     /*   22924 */     GIR_EraseRootFromParent_Done,
     /*   22925 */   // Label 446: @22925
     /*   22925 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22980), // Rule ID 68771 //
     /*   22930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22958 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22978 */     GIR_RootConstrainSelectedInstOperands,
     /*   22979 */     // GIR_Coverage, 68771,
     /*   22979 */     GIR_EraseRootFromParent_Done,
     /*   22980 */   // Label 447: @22980
     /*   22980 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23035), // Rule ID 68772 //
     /*   22985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23013 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23033 */     GIR_RootConstrainSelectedInstOperands,
     /*   23034 */     // GIR_Coverage, 68772,
     /*   23034 */     GIR_EraseRootFromParent_Done,
     /*   23035 */   // Label 448: @23035
     /*   23035 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23090), // Rule ID 68861 //
     /*   23040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23068 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23088 */     GIR_RootConstrainSelectedInstOperands,
     /*   23089 */     // GIR_Coverage, 68861,
     /*   23089 */     GIR_EraseRootFromParent_Done,
     /*   23090 */   // Label 449: @23090
     /*   23090 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23145), // Rule ID 68862 //
     /*   23095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23123 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23143 */     GIR_RootConstrainSelectedInstOperands,
     /*   23144 */     // GIR_Coverage, 68862,
     /*   23144 */     GIR_EraseRootFromParent_Done,
     /*   23145 */   // Label 450: @23145
     /*   23145 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23213), // Rule ID 51757 //
     /*   23150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23187 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23211 */     GIR_RootConstrainSelectedInstOperands,
     /*   23212 */     // GIR_Coverage, 51757,
     /*   23212 */     GIR_EraseRootFromParent_Done,
     /*   23213 */   // Label 451: @23213
     /*   23213 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23281), // Rule ID 51758 //
     /*   23218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23255 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23279 */     GIR_RootConstrainSelectedInstOperands,
     /*   23280 */     // GIR_Coverage, 51758,
     /*   23280 */     GIR_EraseRootFromParent_Done,
     /*   23281 */   // Label 452: @23281
     /*   23281 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23336), // Rule ID 46631 //
     /*   23286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23314 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23334 */     GIR_RootConstrainSelectedInstOperands,
     /*   23335 */     // GIR_Coverage, 46631,
     /*   23335 */     GIR_EraseRootFromParent_Done,
     /*   23336 */   // Label 453: @23336
     /*   23336 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23391), // Rule ID 46632 //
     /*   23341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23369 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23389 */     GIR_RootConstrainSelectedInstOperands,
     /*   23390 */     // GIR_Coverage, 46632,
     /*   23390 */     GIR_EraseRootFromParent_Done,
     /*   23391 */   // Label 454: @23391
     /*   23391 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23446), // Rule ID 46391 //
     /*   23396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23424 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23444 */     GIR_RootConstrainSelectedInstOperands,
     /*   23445 */     // GIR_Coverage, 46391,
     /*   23445 */     GIR_EraseRootFromParent_Done,
     /*   23446 */   // Label 455: @23446
     /*   23446 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23501), // Rule ID 46392 //
     /*   23451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23479 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23499 */     GIR_RootConstrainSelectedInstOperands,
     /*   23500 */     // GIR_Coverage, 46392,
     /*   23500 */     GIR_EraseRootFromParent_Done,
     /*   23501 */   // Label 456: @23501
     /*   23501 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23556), // Rule ID 46511 //
     /*   23506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23534 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23554 */     GIR_RootConstrainSelectedInstOperands,
     /*   23555 */     // GIR_Coverage, 46511,
     /*   23555 */     GIR_EraseRootFromParent_Done,
     /*   23556 */   // Label 457: @23556
     /*   23556 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23611), // Rule ID 46512 //
     /*   23561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23589 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23609 */     GIR_RootConstrainSelectedInstOperands,
     /*   23610 */     // GIR_Coverage, 46512,
     /*   23610 */     GIR_EraseRootFromParent_Done,
     /*   23611 */   // Label 458: @23611
     /*   23611 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23664), // Rule ID 45993 //
     /*   23616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23627 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23662 */     GIR_RootConstrainSelectedInstOperands,
     /*   23663 */     // GIR_Coverage, 45993,
     /*   23663 */     GIR_EraseRootFromParent_Done,
     /*   23664 */   // Label 459: @23664
     /*   23664 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23717), // Rule ID 45994 //
     /*   23669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23680 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23715 */     GIR_RootConstrainSelectedInstOperands,
     /*   23716 */     // GIR_Coverage, 45994,
     /*   23716 */     GIR_EraseRootFromParent_Done,
     /*   23717 */   // Label 460: @23717
     /*   23717 */   GIM_Reject,
     /*   23718 */ // Label 420: @23718
     /*   23718 */ GIM_Reject,
     /*   23719 */ // Label 133: @23719
     /*   23719 */ GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(26843),
     /*   23724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23734 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23830), // Rule ID 70149 //
     /*   23739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23804 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23828 */     GIR_RootConstrainSelectedInstOperands,
     /*   23829 */     // GIR_Coverage, 70149,
     /*   23829 */     GIR_EraseRootFromParent_Done,
     /*   23830 */   // Label 462: @23830
     /*   23830 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 70150 //
     /*   23835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23900 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 70150,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24022), // Rule ID 70433 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23996 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   23999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24020 */     GIR_RootConstrainSelectedInstOperands,
     /*   24021 */     // GIR_Coverage, 70433,
     /*   24021 */     GIR_EraseRootFromParent_Done,
     /*   24022 */   // Label 464: @24022
     /*   24022 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24118), // Rule ID 70434 //
     /*   24027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24075 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24079 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24081 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24092 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24116 */     GIR_RootConstrainSelectedInstOperands,
     /*   24117 */     // GIR_Coverage, 70434,
     /*   24117 */     GIR_EraseRootFromParent_Done,
     /*   24118 */   // Label 465: @24118
     /*   24118 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24214), // Rule ID 70435 //
     /*   24123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24171 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24175 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24177 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24188 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 70435,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 466: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24310), // Rule ID 70436 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24271 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24273 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24284 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24308 */     GIR_RootConstrainSelectedInstOperands,
     /*   24309 */     // GIR_Coverage, 70436,
     /*   24309 */     GIR_EraseRootFromParent_Done,
     /*   24310 */   // Label 467: @24310
     /*   24310 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24406), // Rule ID 70263 //
     /*   24315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24363 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24367 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24369 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24380 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24404 */     GIR_RootConstrainSelectedInstOperands,
     /*   24405 */     // GIR_Coverage, 70263,
     /*   24405 */     GIR_EraseRootFromParent_Done,
     /*   24406 */   // Label 468: @24406
     /*   24406 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24502), // Rule ID 70264 //
     /*   24411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24463 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24465 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24476 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 70264,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 469: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24598), // Rule ID 51923 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24572 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24596 */     GIR_RootConstrainSelectedInstOperands,
     /*   24597 */     // GIR_Coverage, 51923,
     /*   24597 */     GIR_EraseRootFromParent_Done,
     /*   24598 */   // Label 470: @24598
     /*   24598 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24694), // Rule ID 51924 //
     /*   24603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24668 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24692 */     GIR_RootConstrainSelectedInstOperands,
     /*   24693 */     // GIR_Coverage, 51924,
     /*   24693 */     GIR_EraseRootFromParent_Done,
     /*   24694 */   // Label 471: @24694
     /*   24694 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24790), // Rule ID 52041 //
     /*   24699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24764 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24788 */     GIR_RootConstrainSelectedInstOperands,
     /*   24789 */     // GIR_Coverage, 52041,
     /*   24789 */     GIR_EraseRootFromParent_Done,
     /*   24790 */   // Label 472: @24790
     /*   24790 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24886), // Rule ID 52042 //
     /*   24795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24860 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24884 */     GIR_RootConstrainSelectedInstOperands,
     /*   24885 */     // GIR_Coverage, 52042,
     /*   24885 */     GIR_EraseRootFromParent_Done,
     /*   24886 */   // Label 473: @24886
     /*   24886 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24982), // Rule ID 70431 //
     /*   24891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24956 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24980 */     GIR_RootConstrainSelectedInstOperands,
     /*   24981 */     // GIR_Coverage, 70431,
     /*   24981 */     GIR_EraseRootFromParent_Done,
     /*   24982 */   // Label 474: @24982
     /*   24982 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25078), // Rule ID 70432 //
     /*   24987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25052 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   25055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25076 */     GIR_RootConstrainSelectedInstOperands,
     /*   25077 */     // GIR_Coverage, 70432,
     /*   25077 */     GIR_EraseRootFromParent_Done,
     /*   25078 */   // Label 475: @25078
     /*   25078 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25174), // Rule ID 51981 //
     /*   25083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25148 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25172 */     GIR_RootConstrainSelectedInstOperands,
     /*   25173 */     // GIR_Coverage, 51981,
     /*   25173 */     GIR_EraseRootFromParent_Done,
     /*   25174 */   // Label 476: @25174
     /*   25174 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25270), // Rule ID 51982 //
     /*   25179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25244 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25268 */     GIR_RootConstrainSelectedInstOperands,
     /*   25269 */     // GIR_Coverage, 51982,
     /*   25269 */     GIR_EraseRootFromParent_Done,
     /*   25270 */   // Label 477: @25270
     /*   25270 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25359), // Rule ID 46591 //
     /*   25275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25318 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25357 */     GIR_RootConstrainSelectedInstOperands,
     /*   25358 */     // GIR_Coverage, 46591,
     /*   25358 */     GIR_EraseRootFromParent_Done,
     /*   25359 */   // Label 478: @25359
     /*   25359 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25448), // Rule ID 46592 //
     /*   25364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25407 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25446 */     GIR_RootConstrainSelectedInstOperands,
     /*   25447 */     // GIR_Coverage, 46592,
     /*   25447 */     GIR_EraseRootFromParent_Done,
     /*   25448 */   // Label 479: @25448
     /*   25448 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25537), // Rule ID 46355 //
     /*   25453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25496 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25535 */     GIR_RootConstrainSelectedInstOperands,
     /*   25536 */     // GIR_Coverage, 46355,
     /*   25536 */     GIR_EraseRootFromParent_Done,
     /*   25537 */   // Label 480: @25537
     /*   25537 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25626), // Rule ID 46356 //
     /*   25542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25585 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25624 */     GIR_RootConstrainSelectedInstOperands,
     /*   25625 */     // GIR_Coverage, 46356,
     /*   25625 */     GIR_EraseRootFromParent_Done,
     /*   25626 */   // Label 481: @25626
     /*   25626 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25715), // Rule ID 46471 //
     /*   25631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25674 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25713 */     GIR_RootConstrainSelectedInstOperands,
     /*   25714 */     // GIR_Coverage, 46471,
     /*   25714 */     GIR_EraseRootFromParent_Done,
     /*   25715 */   // Label 482: @25715
     /*   25715 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25804), // Rule ID 46472 //
     /*   25720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25763 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25802 */     GIR_RootConstrainSelectedInstOperands,
     /*   25803 */     // GIR_Coverage, 46472,
     /*   25803 */     GIR_EraseRootFromParent_Done,
     /*   25804 */   // Label 483: @25804
     /*   25804 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25872), // Rule ID 70059 //
     /*   25809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25846 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25870 */     GIR_RootConstrainSelectedInstOperands,
     /*   25871 */     // GIR_Coverage, 70059,
     /*   25871 */     GIR_EraseRootFromParent_Done,
     /*   25872 */   // Label 484: @25872
     /*   25872 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25940), // Rule ID 70060 //
     /*   25877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25914 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25938 */     GIR_RootConstrainSelectedInstOperands,
     /*   25939 */     // GIR_Coverage, 70060,
     /*   25939 */     GIR_EraseRootFromParent_Done,
     /*   25940 */   // Label 485: @25940
     /*   25940 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25995), // Rule ID 68971 //
     /*   25945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25973 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25993 */     GIR_RootConstrainSelectedInstOperands,
     /*   25994 */     // GIR_Coverage, 68971,
     /*   25994 */     GIR_EraseRootFromParent_Done,
     /*   25995 */   // Label 486: @25995
     /*   25995 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26050), // Rule ID 68972 //
     /*   26000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26028 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26048 */     GIR_RootConstrainSelectedInstOperands,
     /*   26049 */     // GIR_Coverage, 68972,
     /*   26049 */     GIR_EraseRootFromParent_Done,
     /*   26050 */   // Label 487: @26050
     /*   26050 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26105), // Rule ID 68791 //
     /*   26055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26083 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26103 */     GIR_RootConstrainSelectedInstOperands,
     /*   26104 */     // GIR_Coverage, 68791,
     /*   26104 */     GIR_EraseRootFromParent_Done,
     /*   26105 */   // Label 488: @26105
     /*   26105 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26160), // Rule ID 68792 //
     /*   26110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26138 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26158 */     GIR_RootConstrainSelectedInstOperands,
     /*   26159 */     // GIR_Coverage, 68792,
     /*   26159 */     GIR_EraseRootFromParent_Done,
     /*   26160 */   // Label 489: @26160
     /*   26160 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26215), // Rule ID 68881 //
     /*   26165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26193 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26213 */     GIR_RootConstrainSelectedInstOperands,
     /*   26214 */     // GIR_Coverage, 68881,
     /*   26214 */     GIR_EraseRootFromParent_Done,
     /*   26215 */   // Label 490: @26215
     /*   26215 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26270), // Rule ID 68882 //
     /*   26220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26248 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26268 */     GIR_RootConstrainSelectedInstOperands,
     /*   26269 */     // GIR_Coverage, 68882,
     /*   26269 */     GIR_EraseRootFromParent_Done,
     /*   26270 */   // Label 491: @26270
     /*   26270 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26338), // Rule ID 51801 //
     /*   26275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26312 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26336 */     GIR_RootConstrainSelectedInstOperands,
     /*   26337 */     // GIR_Coverage, 51801,
     /*   26337 */     GIR_EraseRootFromParent_Done,
     /*   26338 */   // Label 492: @26338
     /*   26338 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26406), // Rule ID 51802 //
     /*   26343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26380 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26404 */     GIR_RootConstrainSelectedInstOperands,
     /*   26405 */     // GIR_Coverage, 51802,
     /*   26405 */     GIR_EraseRootFromParent_Done,
     /*   26406 */   // Label 493: @26406
     /*   26406 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26461), // Rule ID 46651 //
     /*   26411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26439 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26459 */     GIR_RootConstrainSelectedInstOperands,
     /*   26460 */     // GIR_Coverage, 46651,
     /*   26460 */     GIR_EraseRootFromParent_Done,
     /*   26461 */   // Label 494: @26461
     /*   26461 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26516), // Rule ID 46652 //
     /*   26466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26494 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26514 */     GIR_RootConstrainSelectedInstOperands,
     /*   26515 */     // GIR_Coverage, 46652,
     /*   26515 */     GIR_EraseRootFromParent_Done,
     /*   26516 */   // Label 495: @26516
     /*   26516 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26571), // Rule ID 46411 //
     /*   26521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26549 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26569 */     GIR_RootConstrainSelectedInstOperands,
     /*   26570 */     // GIR_Coverage, 46411,
     /*   26570 */     GIR_EraseRootFromParent_Done,
     /*   26571 */   // Label 496: @26571
     /*   26571 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26626), // Rule ID 46412 //
     /*   26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26604 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26624 */     GIR_RootConstrainSelectedInstOperands,
     /*   26625 */     // GIR_Coverage, 46412,
     /*   26625 */     GIR_EraseRootFromParent_Done,
     /*   26626 */   // Label 497: @26626
     /*   26626 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26681), // Rule ID 46531 //
     /*   26631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26659 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26679 */     GIR_RootConstrainSelectedInstOperands,
     /*   26680 */     // GIR_Coverage, 46531,
     /*   26680 */     GIR_EraseRootFromParent_Done,
     /*   26681 */   // Label 498: @26681
     /*   26681 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26736), // Rule ID 46532 //
     /*   26686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26714 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26734 */     GIR_RootConstrainSelectedInstOperands,
     /*   26735 */     // GIR_Coverage, 46532,
     /*   26735 */     GIR_EraseRootFromParent_Done,
     /*   26736 */   // Label 499: @26736
     /*   26736 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26789), // Rule ID 46037 //
     /*   26741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26752 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26787 */     GIR_RootConstrainSelectedInstOperands,
     /*   26788 */     // GIR_Coverage, 46037,
     /*   26788 */     GIR_EraseRootFromParent_Done,
     /*   26789 */   // Label 500: @26789
     /*   26789 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26842), // Rule ID 46038 //
     /*   26794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26805 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26840 */     GIR_RootConstrainSelectedInstOperands,
     /*   26841 */     // GIR_Coverage, 46038,
     /*   26841 */     GIR_EraseRootFromParent_Done,
     /*   26842 */   // Label 501: @26842
     /*   26842 */   GIM_Reject,
     /*   26843 */ // Label 461: @26843
     /*   26843 */ GIM_Reject,
     /*   26844 */ // Label 134: @26844
     /*   26844 */ GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(27238),
     /*   26849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26859 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26927), // Rule ID 69923 //
     /*   26864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26901 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26925 */     GIR_RootConstrainSelectedInstOperands,
     /*   26926 */     // GIR_Coverage, 69923,
     /*   26926 */     GIR_EraseRootFromParent_Done,
     /*   26927 */   // Label 503: @26927
     /*   26927 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(26995), // Rule ID 69924 //
     /*   26932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26969 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26993 */     GIR_RootConstrainSelectedInstOperands,
     /*   26994 */     // GIR_Coverage, 69924,
     /*   26994 */     GIR_EraseRootFromParent_Done,
     /*   26995 */   // Label 504: @26995
     /*   26995 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27063), // Rule ID 51733 //
     /*   27000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27037 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27061 */     GIR_RootConstrainSelectedInstOperands,
     /*   27062 */     // GIR_Coverage, 51733,
     /*   27062 */     GIR_EraseRootFromParent_Done,
     /*   27063 */   // Label 505: @27063
     /*   27063 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27131), // Rule ID 51734 //
     /*   27068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27105 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27129 */     GIR_RootConstrainSelectedInstOperands,
     /*   27130 */     // GIR_Coverage, 51734,
     /*   27130 */     GIR_EraseRootFromParent_Done,
     /*   27131 */   // Label 506: @27131
     /*   27131 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27184), // Rule ID 45969 //
     /*   27136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27147 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 45969,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 507: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27237), // Rule ID 45970 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27200 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27235 */     GIR_RootConstrainSelectedInstOperands,
     /*   27236 */     // GIR_Coverage, 45970,
     /*   27236 */     GIR_EraseRootFromParent_Done,
     /*   27237 */   // Label 508: @27237
     /*   27237 */   GIM_Reject,
     /*   27238 */ // Label 502: @27238
     /*   27238 */ GIM_Reject,
     /*   27239 */ // Label 135: @27239
     /*   27239 */ GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(30363),
     /*   27244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27254 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27350), // Rule ID 70129 //
     /*   27259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27307 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27311 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27313 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27324 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27348 */     GIR_RootConstrainSelectedInstOperands,
     /*   27349 */     // GIR_Coverage, 70129,
     /*   27349 */     GIR_EraseRootFromParent_Done,
     /*   27350 */   // Label 510: @27350
     /*   27350 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27446), // Rule ID 70130 //
     /*   27355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27407 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27409 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27420 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27444 */     GIR_RootConstrainSelectedInstOperands,
     /*   27445 */     // GIR_Coverage, 70130,
     /*   27445 */     GIR_EraseRootFromParent_Done,
     /*   27446 */   // Label 511: @27446
     /*   27446 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27542), // Rule ID 70373 //
     /*   27451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27499 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27503 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27516 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27540 */     GIR_RootConstrainSelectedInstOperands,
     /*   27541 */     // GIR_Coverage, 70373,
     /*   27541 */     GIR_EraseRootFromParent_Done,
     /*   27542 */   // Label 512: @27542
     /*   27542 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27638), // Rule ID 70374 //
     /*   27547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27595 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27599 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27601 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27612 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27636 */     GIR_RootConstrainSelectedInstOperands,
     /*   27637 */     // GIR_Coverage, 70374,
     /*   27637 */     GIR_EraseRootFromParent_Done,
     /*   27638 */   // Label 513: @27638
     /*   27638 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27734), // Rule ID 70375 //
     /*   27643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27676 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27691 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27695 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27697 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27708 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27732 */     GIR_RootConstrainSelectedInstOperands,
     /*   27733 */     // GIR_Coverage, 70375,
     /*   27733 */     GIR_EraseRootFromParent_Done,
     /*   27734 */   // Label 514: @27734
     /*   27734 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27830), // Rule ID 70376 //
     /*   27739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27804 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27828 */     GIR_RootConstrainSelectedInstOperands,
     /*   27829 */     // GIR_Coverage, 70376,
     /*   27829 */     GIR_EraseRootFromParent_Done,
     /*   27830 */   // Label 515: @27830
     /*   27830 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27926), // Rule ID 70243 //
     /*   27835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27900 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27924 */     GIR_RootConstrainSelectedInstOperands,
     /*   27925 */     // GIR_Coverage, 70243,
     /*   27925 */     GIR_EraseRootFromParent_Done,
     /*   27926 */   // Label 516: @27926
     /*   27926 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28022), // Rule ID 70244 //
     /*   27931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27996 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28020 */     GIR_RootConstrainSelectedInstOperands,
     /*   28021 */     // GIR_Coverage, 70244,
     /*   28021 */     GIR_EraseRootFromParent_Done,
     /*   28022 */   // Label 517: @28022
     /*   28022 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28118), // Rule ID 51903 //
     /*   28027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28083 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28085 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28092 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28116 */     GIR_RootConstrainSelectedInstOperands,
     /*   28117 */     // GIR_Coverage, 51903,
     /*   28117 */     GIR_EraseRootFromParent_Done,
     /*   28118 */   // Label 518: @28118
     /*   28118 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28214), // Rule ID 51904 //
     /*   28123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28160 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28175 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28179 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28188 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28212 */     GIR_RootConstrainSelectedInstOperands,
     /*   28213 */     // GIR_Coverage, 51904,
     /*   28213 */     GIR_EraseRootFromParent_Done,
     /*   28214 */   // Label 519: @28214
     /*   28214 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28310), // Rule ID 52021 //
     /*   28219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28275 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28277 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28284 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28308 */     GIR_RootConstrainSelectedInstOperands,
     /*   28309 */     // GIR_Coverage, 52021,
     /*   28309 */     GIR_EraseRootFromParent_Done,
     /*   28310 */   // Label 520: @28310
     /*   28310 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28406), // Rule ID 52022 //
     /*   28315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28352 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28367 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28371 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28373 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28380 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28404 */     GIR_RootConstrainSelectedInstOperands,
     /*   28405 */     // GIR_Coverage, 52022,
     /*   28405 */     GIR_EraseRootFromParent_Done,
     /*   28406 */   // Label 521: @28406
     /*   28406 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28502), // Rule ID 70371 //
     /*   28411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28448 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28467 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28469 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28476 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28500 */     GIR_RootConstrainSelectedInstOperands,
     /*   28501 */     // GIR_Coverage, 70371,
     /*   28501 */     GIR_EraseRootFromParent_Done,
     /*   28502 */   // Label 522: @28502
     /*   28502 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28598), // Rule ID 70372 //
     /*   28507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28572 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28596 */     GIR_RootConstrainSelectedInstOperands,
     /*   28597 */     // GIR_Coverage, 70372,
     /*   28597 */     GIR_EraseRootFromParent_Done,
     /*   28598 */   // Label 523: @28598
     /*   28598 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28694), // Rule ID 51961 //
     /*   28603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28668 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28692 */     GIR_RootConstrainSelectedInstOperands,
     /*   28693 */     // GIR_Coverage, 51961,
     /*   28693 */     GIR_EraseRootFromParent_Done,
     /*   28694 */   // Label 524: @28694
     /*   28694 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28790), // Rule ID 51962 //
     /*   28699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28764 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28788 */     GIR_RootConstrainSelectedInstOperands,
     /*   28789 */     // GIR_Coverage, 51962,
     /*   28789 */     GIR_EraseRootFromParent_Done,
     /*   28790 */   // Label 525: @28790
     /*   28790 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28879), // Rule ID 46551 //
     /*   28795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28838 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28877 */     GIR_RootConstrainSelectedInstOperands,
     /*   28878 */     // GIR_Coverage, 46551,
     /*   28878 */     GIR_EraseRootFromParent_Done,
     /*   28879 */   // Label 526: @28879
     /*   28879 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28968), // Rule ID 46552 //
     /*   28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28927 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28966 */     GIR_RootConstrainSelectedInstOperands,
     /*   28967 */     // GIR_Coverage, 46552,
     /*   28967 */     GIR_EraseRootFromParent_Done,
     /*   28968 */   // Label 527: @28968
     /*   28968 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29057), // Rule ID 46315 //
     /*   28973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29016 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29055 */     GIR_RootConstrainSelectedInstOperands,
     /*   29056 */     // GIR_Coverage, 46315,
     /*   29056 */     GIR_EraseRootFromParent_Done,
     /*   29057 */   // Label 528: @29057
     /*   29057 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29146), // Rule ID 46316 //
     /*   29062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29105 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29144 */     GIR_RootConstrainSelectedInstOperands,
     /*   29145 */     // GIR_Coverage, 46316,
     /*   29145 */     GIR_EraseRootFromParent_Done,
     /*   29146 */   // Label 529: @29146
     /*   29146 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29235), // Rule ID 46431 //
     /*   29151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29194 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29233 */     GIR_RootConstrainSelectedInstOperands,
     /*   29234 */     // GIR_Coverage, 46431,
     /*   29234 */     GIR_EraseRootFromParent_Done,
     /*   29235 */   // Label 530: @29235
     /*   29235 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29324), // Rule ID 46432 //
     /*   29240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29283 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29322 */     GIR_RootConstrainSelectedInstOperands,
     /*   29323 */     // GIR_Coverage, 46432,
     /*   29323 */     GIR_EraseRootFromParent_Done,
     /*   29324 */   // Label 531: @29324
     /*   29324 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29392), // Rule ID 69963 //
     /*   29329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29366 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29390 */     GIR_RootConstrainSelectedInstOperands,
     /*   29391 */     // GIR_Coverage, 69963,
     /*   29391 */     GIR_EraseRootFromParent_Done,
     /*   29392 */   // Label 532: @29392
     /*   29392 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29460), // Rule ID 69964 //
     /*   29397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29434 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29458 */     GIR_RootConstrainSelectedInstOperands,
     /*   29459 */     // GIR_Coverage, 69964,
     /*   29459 */     GIR_EraseRootFromParent_Done,
     /*   29460 */   // Label 533: @29460
     /*   29460 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29515), // Rule ID 68931 //
     /*   29465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29493 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29513 */     GIR_RootConstrainSelectedInstOperands,
     /*   29514 */     // GIR_Coverage, 68931,
     /*   29514 */     GIR_EraseRootFromParent_Done,
     /*   29515 */   // Label 534: @29515
     /*   29515 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29570), // Rule ID 68932 //
     /*   29520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29548 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29568 */     GIR_RootConstrainSelectedInstOperands,
     /*   29569 */     // GIR_Coverage, 68932,
     /*   29569 */     GIR_EraseRootFromParent_Done,
     /*   29570 */   // Label 535: @29570
     /*   29570 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29625), // Rule ID 68751 //
     /*   29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29603 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29623 */     GIR_RootConstrainSelectedInstOperands,
     /*   29624 */     // GIR_Coverage, 68751,
     /*   29624 */     GIR_EraseRootFromParent_Done,
     /*   29625 */   // Label 536: @29625
     /*   29625 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29680), // Rule ID 68752 //
     /*   29630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29658 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29678 */     GIR_RootConstrainSelectedInstOperands,
     /*   29679 */     // GIR_Coverage, 68752,
     /*   29679 */     GIR_EraseRootFromParent_Done,
     /*   29680 */   // Label 537: @29680
     /*   29680 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29735), // Rule ID 68841 //
     /*   29685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29713 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29733 */     GIR_RootConstrainSelectedInstOperands,
     /*   29734 */     // GIR_Coverage, 68841,
     /*   29734 */     GIR_EraseRootFromParent_Done,
     /*   29735 */   // Label 538: @29735
     /*   29735 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29790), // Rule ID 68842 //
     /*   29740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29768 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29788 */     GIR_RootConstrainSelectedInstOperands,
     /*   29789 */     // GIR_Coverage, 68842,
     /*   29789 */     GIR_EraseRootFromParent_Done,
     /*   29790 */   // Label 539: @29790
     /*   29790 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29858), // Rule ID 51753 //
     /*   29795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29832 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29856 */     GIR_RootConstrainSelectedInstOperands,
     /*   29857 */     // GIR_Coverage, 51753,
     /*   29857 */     GIR_EraseRootFromParent_Done,
     /*   29858 */   // Label 540: @29858
     /*   29858 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29926), // Rule ID 51754 //
     /*   29863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29900 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29924 */     GIR_RootConstrainSelectedInstOperands,
     /*   29925 */     // GIR_Coverage, 51754,
     /*   29925 */     GIR_EraseRootFromParent_Done,
     /*   29926 */   // Label 541: @29926
     /*   29926 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29981), // Rule ID 46611 //
     /*   29931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29959 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29979 */     GIR_RootConstrainSelectedInstOperands,
     /*   29980 */     // GIR_Coverage, 46611,
     /*   29980 */     GIR_EraseRootFromParent_Done,
     /*   29981 */   // Label 542: @29981
     /*   29981 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30036), // Rule ID 46612 //
     /*   29986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30014 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30034 */     GIR_RootConstrainSelectedInstOperands,
     /*   30035 */     // GIR_Coverage, 46612,
     /*   30035 */     GIR_EraseRootFromParent_Done,
     /*   30036 */   // Label 543: @30036
     /*   30036 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30091), // Rule ID 46371 //
     /*   30041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30069 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30089 */     GIR_RootConstrainSelectedInstOperands,
     /*   30090 */     // GIR_Coverage, 46371,
     /*   30090 */     GIR_EraseRootFromParent_Done,
     /*   30091 */   // Label 544: @30091
     /*   30091 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30146), // Rule ID 46372 //
     /*   30096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30124 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30144 */     GIR_RootConstrainSelectedInstOperands,
     /*   30145 */     // GIR_Coverage, 46372,
     /*   30145 */     GIR_EraseRootFromParent_Done,
     /*   30146 */   // Label 545: @30146
     /*   30146 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30201), // Rule ID 46491 //
     /*   30151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30179 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30199 */     GIR_RootConstrainSelectedInstOperands,
     /*   30200 */     // GIR_Coverage, 46491,
     /*   30200 */     GIR_EraseRootFromParent_Done,
     /*   30201 */   // Label 546: @30201
     /*   30201 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30256), // Rule ID 46492 //
     /*   30206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30234 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30254 */     GIR_RootConstrainSelectedInstOperands,
     /*   30255 */     // GIR_Coverage, 46492,
     /*   30255 */     GIR_EraseRootFromParent_Done,
     /*   30256 */   // Label 547: @30256
     /*   30256 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30309), // Rule ID 45989 //
     /*   30261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30272 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30307 */     GIR_RootConstrainSelectedInstOperands,
     /*   30308 */     // GIR_Coverage, 45989,
     /*   30308 */     GIR_EraseRootFromParent_Done,
     /*   30309 */   // Label 548: @30309
     /*   30309 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30362), // Rule ID 45990 //
     /*   30314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30325 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30360 */     GIR_RootConstrainSelectedInstOperands,
     /*   30361 */     // GIR_Coverage, 45990,
     /*   30361 */     GIR_EraseRootFromParent_Done,
     /*   30362 */   // Label 549: @30362
     /*   30362 */   GIM_Reject,
     /*   30363 */ // Label 509: @30363
     /*   30363 */ GIM_Reject,
     /*   30364 */ // Label 136: @30364
     /*   30364 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(33488),
     /*   30369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30379 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30475), // Rule ID 70141 //
     /*   30384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30432 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30436 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30438 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30449 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30473 */     GIR_RootConstrainSelectedInstOperands,
     /*   30474 */     // GIR_Coverage, 70141,
     /*   30474 */     GIR_EraseRootFromParent_Done,
     /*   30475 */   // Label 551: @30475
     /*   30475 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30571), // Rule ID 70142 //
     /*   30480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30532 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30534 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30543 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30545 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30569 */     GIR_RootConstrainSelectedInstOperands,
     /*   30570 */     // GIR_Coverage, 70142,
     /*   30570 */     GIR_EraseRootFromParent_Done,
     /*   30571 */   // Label 552: @30571
     /*   30571 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30667), // Rule ID 70409 //
     /*   30576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30624 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30628 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30630 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30641 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30665 */     GIR_RootConstrainSelectedInstOperands,
     /*   30666 */     // GIR_Coverage, 70409,
     /*   30666 */     GIR_EraseRootFromParent_Done,
     /*   30667 */   // Label 553: @30667
     /*   30667 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30763), // Rule ID 70410 //
     /*   30672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30705 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30720 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30724 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30737 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30761 */     GIR_RootConstrainSelectedInstOperands,
     /*   30762 */     // GIR_Coverage, 70410,
     /*   30762 */     GIR_EraseRootFromParent_Done,
     /*   30763 */   // Label 554: @30763
     /*   30763 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30859), // Rule ID 70411 //
     /*   30768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30816 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30820 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30833 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30857 */     GIR_RootConstrainSelectedInstOperands,
     /*   30858 */     // GIR_Coverage, 70411,
     /*   30858 */     GIR_EraseRootFromParent_Done,
     /*   30859 */   // Label 555: @30859
     /*   30859 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30955), // Rule ID 70412 //
     /*   30864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30897 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30912 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30916 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30918 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30929 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30953 */     GIR_RootConstrainSelectedInstOperands,
     /*   30954 */     // GIR_Coverage, 70412,
     /*   30954 */     GIR_EraseRootFromParent_Done,
     /*   30955 */   // Label 556: @30955
     /*   30955 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31051), // Rule ID 70255 //
     /*   30960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31008 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31012 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31014 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31023 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31025 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31049 */     GIR_RootConstrainSelectedInstOperands,
     /*   31050 */     // GIR_Coverage, 70255,
     /*   31050 */     GIR_EraseRootFromParent_Done,
     /*   31051 */   // Label 557: @31051
     /*   31051 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31147), // Rule ID 70256 //
     /*   31056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31104 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31108 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31110 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31121 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31145 */     GIR_RootConstrainSelectedInstOperands,
     /*   31146 */     // GIR_Coverage, 70256,
     /*   31146 */     GIR_EraseRootFromParent_Done,
     /*   31147 */   // Label 558: @31147
     /*   31147 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31243), // Rule ID 51915 //
     /*   31152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31208 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31210 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31217 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31241 */     GIR_RootConstrainSelectedInstOperands,
     /*   31242 */     // GIR_Coverage, 51915,
     /*   31242 */     GIR_EraseRootFromParent_Done,
     /*   31243 */   // Label 559: @31243
     /*   31243 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31339), // Rule ID 51916 //
     /*   31248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31304 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31306 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31313 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31337 */     GIR_RootConstrainSelectedInstOperands,
     /*   31338 */     // GIR_Coverage, 51916,
     /*   31338 */     GIR_EraseRootFromParent_Done,
     /*   31339 */   // Label 560: @31339
     /*   31339 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31435), // Rule ID 52033 //
     /*   31344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31396 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31402 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31409 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31433 */     GIR_RootConstrainSelectedInstOperands,
     /*   31434 */     // GIR_Coverage, 52033,
     /*   31434 */     GIR_EraseRootFromParent_Done,
     /*   31435 */   // Label 561: @31435
     /*   31435 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31531), // Rule ID 52034 //
     /*   31440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31503 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31505 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31529 */     GIR_RootConstrainSelectedInstOperands,
     /*   31530 */     // GIR_Coverage, 52034,
     /*   31530 */     GIR_EraseRootFromParent_Done,
     /*   31531 */   // Label 562: @31531
     /*   31531 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31627), // Rule ID 70407 //
     /*   31536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31601 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31625 */     GIR_RootConstrainSelectedInstOperands,
     /*   31626 */     // GIR_Coverage, 70407,
     /*   31626 */     GIR_EraseRootFromParent_Done,
     /*   31627 */   // Label 563: @31627
     /*   31627 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31723), // Rule ID 70408 //
     /*   31632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31697 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31721 */     GIR_RootConstrainSelectedInstOperands,
     /*   31722 */     // GIR_Coverage, 70408,
     /*   31722 */     GIR_EraseRootFromParent_Done,
     /*   31723 */   // Label 564: @31723
     /*   31723 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31819), // Rule ID 51973 //
     /*   31728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31793 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 51973,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 565: @31819
     /*   31819 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31915), // Rule ID 51974 //
     /*   31824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31889 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31913 */     GIR_RootConstrainSelectedInstOperands,
     /*   31914 */     // GIR_Coverage, 51974,
     /*   31914 */     GIR_EraseRootFromParent_Done,
     /*   31915 */   // Label 566: @31915
     /*   31915 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32004), // Rule ID 46575 //
     /*   31920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31963 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 46575,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 567: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32093), // Rule ID 46576 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32052 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32091 */     GIR_RootConstrainSelectedInstOperands,
     /*   32092 */     // GIR_Coverage, 46576,
     /*   32092 */     GIR_EraseRootFromParent_Done,
     /*   32093 */   // Label 568: @32093
     /*   32093 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32182), // Rule ID 46339 //
     /*   32098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32141 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32180 */     GIR_RootConstrainSelectedInstOperands,
     /*   32181 */     // GIR_Coverage, 46339,
     /*   32181 */     GIR_EraseRootFromParent_Done,
     /*   32182 */   // Label 569: @32182
     /*   32182 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32271), // Rule ID 46340 //
     /*   32187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32230 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32269 */     GIR_RootConstrainSelectedInstOperands,
     /*   32270 */     // GIR_Coverage, 46340,
     /*   32270 */     GIR_EraseRootFromParent_Done,
     /*   32271 */   // Label 570: @32271
     /*   32271 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32360), // Rule ID 46455 //
     /*   32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32319 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32358 */     GIR_RootConstrainSelectedInstOperands,
     /*   32359 */     // GIR_Coverage, 46455,
     /*   32359 */     GIR_EraseRootFromParent_Done,
     /*   32360 */   // Label 571: @32360
     /*   32360 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32449), // Rule ID 46456 //
     /*   32365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32408 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32447 */     GIR_RootConstrainSelectedInstOperands,
     /*   32448 */     // GIR_Coverage, 46456,
     /*   32448 */     GIR_EraseRootFromParent_Done,
     /*   32449 */   // Label 572: @32449
     /*   32449 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32517), // Rule ID 70035 //
     /*   32454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32491 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32515 */     GIR_RootConstrainSelectedInstOperands,
     /*   32516 */     // GIR_Coverage, 70035,
     /*   32516 */     GIR_EraseRootFromParent_Done,
     /*   32517 */   // Label 573: @32517
     /*   32517 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32585), // Rule ID 70036 //
     /*   32522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32559 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32583 */     GIR_RootConstrainSelectedInstOperands,
     /*   32584 */     // GIR_Coverage, 70036,
     /*   32584 */     GIR_EraseRootFromParent_Done,
     /*   32585 */   // Label 574: @32585
     /*   32585 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32640), // Rule ID 68955 //
     /*   32590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32618 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32638 */     GIR_RootConstrainSelectedInstOperands,
     /*   32639 */     // GIR_Coverage, 68955,
     /*   32639 */     GIR_EraseRootFromParent_Done,
     /*   32640 */   // Label 575: @32640
     /*   32640 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32695), // Rule ID 68956 //
     /*   32645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32673 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32693 */     GIR_RootConstrainSelectedInstOperands,
     /*   32694 */     // GIR_Coverage, 68956,
     /*   32694 */     GIR_EraseRootFromParent_Done,
     /*   32695 */   // Label 576: @32695
     /*   32695 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32750), // Rule ID 68775 //
     /*   32700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32728 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32748 */     GIR_RootConstrainSelectedInstOperands,
     /*   32749 */     // GIR_Coverage, 68775,
     /*   32749 */     GIR_EraseRootFromParent_Done,
     /*   32750 */   // Label 577: @32750
     /*   32750 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32805), // Rule ID 68776 //
     /*   32755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32783 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32803 */     GIR_RootConstrainSelectedInstOperands,
     /*   32804 */     // GIR_Coverage, 68776,
     /*   32804 */     GIR_EraseRootFromParent_Done,
     /*   32805 */   // Label 578: @32805
     /*   32805 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32860), // Rule ID 68865 //
     /*   32810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32838 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32858 */     GIR_RootConstrainSelectedInstOperands,
     /*   32859 */     // GIR_Coverage, 68865,
     /*   32859 */     GIR_EraseRootFromParent_Done,
     /*   32860 */   // Label 579: @32860
     /*   32860 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32915), // Rule ID 68866 //
     /*   32865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32893 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32913 */     GIR_RootConstrainSelectedInstOperands,
     /*   32914 */     // GIR_Coverage, 68866,
     /*   32914 */     GIR_EraseRootFromParent_Done,
     /*   32915 */   // Label 580: @32915
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32983), // Rule ID 51789 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32957 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32981 */     GIR_RootConstrainSelectedInstOperands,
     /*   32982 */     // GIR_Coverage, 51789,
     /*   32982 */     GIR_EraseRootFromParent_Done,
     /*   32983 */   // Label 581: @32983
     /*   32983 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33051), // Rule ID 51790 //
     /*   32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   33011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33025 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   33028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33049 */     GIR_RootConstrainSelectedInstOperands,
     /*   33050 */     // GIR_Coverage, 51790,
     /*   33050 */     GIR_EraseRootFromParent_Done,
     /*   33051 */   // Label 582: @33051
     /*   33051 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33106), // Rule ID 46635 //
     /*   33056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33084 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33104 */     GIR_RootConstrainSelectedInstOperands,
     /*   33105 */     // GIR_Coverage, 46635,
     /*   33105 */     GIR_EraseRootFromParent_Done,
     /*   33106 */   // Label 583: @33106
     /*   33106 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33161), // Rule ID 46636 //
     /*   33111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33139 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33159 */     GIR_RootConstrainSelectedInstOperands,
     /*   33160 */     // GIR_Coverage, 46636,
     /*   33160 */     GIR_EraseRootFromParent_Done,
     /*   33161 */   // Label 584: @33161
     /*   33161 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33216), // Rule ID 46395 //
     /*   33166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33194 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33214 */     GIR_RootConstrainSelectedInstOperands,
     /*   33215 */     // GIR_Coverage, 46395,
     /*   33215 */     GIR_EraseRootFromParent_Done,
     /*   33216 */   // Label 585: @33216
     /*   33216 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33271), // Rule ID 46396 //
     /*   33221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33249 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33269 */     GIR_RootConstrainSelectedInstOperands,
     /*   33270 */     // GIR_Coverage, 46396,
     /*   33270 */     GIR_EraseRootFromParent_Done,
     /*   33271 */   // Label 586: @33271
     /*   33271 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33326), // Rule ID 46515 //
     /*   33276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33304 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33324 */     GIR_RootConstrainSelectedInstOperands,
     /*   33325 */     // GIR_Coverage, 46515,
     /*   33325 */     GIR_EraseRootFromParent_Done,
     /*   33326 */   // Label 587: @33326
     /*   33326 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33381), // Rule ID 46516 //
     /*   33331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33359 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33379 */     GIR_RootConstrainSelectedInstOperands,
     /*   33380 */     // GIR_Coverage, 46516,
     /*   33380 */     GIR_EraseRootFromParent_Done,
     /*   33381 */   // Label 588: @33381
     /*   33381 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33434), // Rule ID 46025 //
     /*   33386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33397 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33432 */     GIR_RootConstrainSelectedInstOperands,
     /*   33433 */     // GIR_Coverage, 46025,
     /*   33433 */     GIR_EraseRootFromParent_Done,
     /*   33434 */   // Label 589: @33434
     /*   33434 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33487), // Rule ID 46026 //
     /*   33439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33450 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33485 */     GIR_RootConstrainSelectedInstOperands,
     /*   33486 */     // GIR_Coverage, 46026,
     /*   33486 */     GIR_EraseRootFromParent_Done,
     /*   33487 */   // Label 590: @33487
     /*   33487 */   GIM_Reject,
     /*   33488 */ // Label 550: @33488
     /*   33488 */ GIM_Reject,
     /*   33489 */ // Label 137: @33489
     /*   33489 */ GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(36613),
     /*   33494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33504 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33600), // Rule ID 70151 //
     /*   33509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33574 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33598 */     GIR_RootConstrainSelectedInstOperands,
     /*   33599 */     // GIR_Coverage, 70151,
     /*   33599 */     GIR_EraseRootFromParent_Done,
     /*   33600 */   // Label 592: @33600
     /*   33600 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 70152 //
     /*   33605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33670 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 70152,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33792), // Rule ID 70439 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33766 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33790 */     GIR_RootConstrainSelectedInstOperands,
     /*   33791 */     // GIR_Coverage, 70439,
     /*   33791 */     GIR_EraseRootFromParent_Done,
     /*   33792 */   // Label 594: @33792
     /*   33792 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33888), // Rule ID 70440 //
     /*   33797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33845 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33849 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33851 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33862 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33886 */     GIR_RootConstrainSelectedInstOperands,
     /*   33887 */     // GIR_Coverage, 70440,
     /*   33887 */     GIR_EraseRootFromParent_Done,
     /*   33888 */   // Label 595: @33888
     /*   33888 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33984), // Rule ID 70441 //
     /*   33893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33912 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33941 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33945 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33958 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 70441,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 596: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34080), // Rule ID 70442 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34037 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34041 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34043 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34054 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34078 */     GIR_RootConstrainSelectedInstOperands,
     /*   34079 */     // GIR_Coverage, 70442,
     /*   34079 */     GIR_EraseRootFromParent_Done,
     /*   34080 */   // Label 597: @34080
     /*   34080 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34176), // Rule ID 70265 //
     /*   34085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34133 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34137 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34139 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34150 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34174 */     GIR_RootConstrainSelectedInstOperands,
     /*   34175 */     // GIR_Coverage, 70265,
     /*   34175 */     GIR_EraseRootFromParent_Done,
     /*   34176 */   // Label 598: @34176
     /*   34176 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34272), // Rule ID 70266 //
     /*   34181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34196 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34229 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34233 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34235 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34246 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 70266,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 599: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34368), // Rule ID 51925 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34342 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34366 */     GIR_RootConstrainSelectedInstOperands,
     /*   34367 */     // GIR_Coverage, 51925,
     /*   34367 */     GIR_EraseRootFromParent_Done,
     /*   34368 */   // Label 600: @34368
     /*   34368 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34464), // Rule ID 51926 //
     /*   34373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34438 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34462 */     GIR_RootConstrainSelectedInstOperands,
     /*   34463 */     // GIR_Coverage, 51926,
     /*   34463 */     GIR_EraseRootFromParent_Done,
     /*   34464 */   // Label 601: @34464
     /*   34464 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34560), // Rule ID 52043 //
     /*   34469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34534 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34558 */     GIR_RootConstrainSelectedInstOperands,
     /*   34559 */     // GIR_Coverage, 52043,
     /*   34559 */     GIR_EraseRootFromParent_Done,
     /*   34560 */   // Label 602: @34560
     /*   34560 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34656), // Rule ID 52044 //
     /*   34565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34617 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34623 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34630 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34654 */     GIR_RootConstrainSelectedInstOperands,
     /*   34655 */     // GIR_Coverage, 52044,
     /*   34655 */     GIR_EraseRootFromParent_Done,
     /*   34656 */   // Label 603: @34656
     /*   34656 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34752), // Rule ID 70437 //
     /*   34661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34719 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34726 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34750 */     GIR_RootConstrainSelectedInstOperands,
     /*   34751 */     // GIR_Coverage, 70437,
     /*   34751 */     GIR_EraseRootFromParent_Done,
     /*   34752 */   // Label 604: @34752
     /*   34752 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34848), // Rule ID 70438 //
     /*   34757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34794 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34815 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34822 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34846 */     GIR_RootConstrainSelectedInstOperands,
     /*   34847 */     // GIR_Coverage, 70438,
     /*   34847 */     GIR_EraseRootFromParent_Done,
     /*   34848 */   // Label 605: @34848
     /*   34848 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34944), // Rule ID 51983 //
     /*   34853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34905 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34918 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34942 */     GIR_RootConstrainSelectedInstOperands,
     /*   34943 */     // GIR_Coverage, 51983,
     /*   34943 */     GIR_EraseRootFromParent_Done,
     /*   34944 */   // Label 606: @34944
     /*   34944 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35040), // Rule ID 51984 //
     /*   34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34986 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35001 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35007 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35014 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35038 */     GIR_RootConstrainSelectedInstOperands,
     /*   35039 */     // GIR_Coverage, 51984,
     /*   35039 */     GIR_EraseRootFromParent_Done,
     /*   35040 */   // Label 607: @35040
     /*   35040 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35129), // Rule ID 46595 //
     /*   35045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35088 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35127 */     GIR_RootConstrainSelectedInstOperands,
     /*   35128 */     // GIR_Coverage, 46595,
     /*   35128 */     GIR_EraseRootFromParent_Done,
     /*   35129 */   // Label 608: @35129
     /*   35129 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35218), // Rule ID 46596 //
     /*   35134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35177 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35216 */     GIR_RootConstrainSelectedInstOperands,
     /*   35217 */     // GIR_Coverage, 46596,
     /*   35217 */     GIR_EraseRootFromParent_Done,
     /*   35218 */   // Label 609: @35218
     /*   35218 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35307), // Rule ID 46359 //
     /*   35223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35266 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35305 */     GIR_RootConstrainSelectedInstOperands,
     /*   35306 */     // GIR_Coverage, 46359,
     /*   35306 */     GIR_EraseRootFromParent_Done,
     /*   35307 */   // Label 610: @35307
     /*   35307 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35396), // Rule ID 46360 //
     /*   35312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35346 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35355 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35394 */     GIR_RootConstrainSelectedInstOperands,
     /*   35395 */     // GIR_Coverage, 46360,
     /*   35395 */     GIR_EraseRootFromParent_Done,
     /*   35396 */   // Label 611: @35396
     /*   35396 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35485), // Rule ID 46475 //
     /*   35401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35444 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35483 */     GIR_RootConstrainSelectedInstOperands,
     /*   35484 */     // GIR_Coverage, 46475,
     /*   35484 */     GIR_EraseRootFromParent_Done,
     /*   35485 */   // Label 612: @35485
     /*   35485 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35574), // Rule ID 46476 //
     /*   35490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35533 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35572 */     GIR_RootConstrainSelectedInstOperands,
     /*   35573 */     // GIR_Coverage, 46476,
     /*   35573 */     GIR_EraseRootFromParent_Done,
     /*   35574 */   // Label 613: @35574
     /*   35574 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35642), // Rule ID 70067 //
     /*   35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35616 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35640 */     GIR_RootConstrainSelectedInstOperands,
     /*   35641 */     // GIR_Coverage, 70067,
     /*   35641 */     GIR_EraseRootFromParent_Done,
     /*   35642 */   // Label 614: @35642
     /*   35642 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35710), // Rule ID 70068 //
     /*   35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35684 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35708 */     GIR_RootConstrainSelectedInstOperands,
     /*   35709 */     // GIR_Coverage, 70068,
     /*   35709 */     GIR_EraseRootFromParent_Done,
     /*   35710 */   // Label 615: @35710
     /*   35710 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35765), // Rule ID 68975 //
     /*   35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35743 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35763 */     GIR_RootConstrainSelectedInstOperands,
     /*   35764 */     // GIR_Coverage, 68975,
     /*   35764 */     GIR_EraseRootFromParent_Done,
     /*   35765 */   // Label 616: @35765
     /*   35765 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35820), // Rule ID 68976 //
     /*   35770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35798 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35818 */     GIR_RootConstrainSelectedInstOperands,
     /*   35819 */     // GIR_Coverage, 68976,
     /*   35819 */     GIR_EraseRootFromParent_Done,
     /*   35820 */   // Label 617: @35820
     /*   35820 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35875), // Rule ID 68795 //
     /*   35825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35853 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35873 */     GIR_RootConstrainSelectedInstOperands,
     /*   35874 */     // GIR_Coverage, 68795,
     /*   35874 */     GIR_EraseRootFromParent_Done,
     /*   35875 */   // Label 618: @35875
     /*   35875 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35930), // Rule ID 68796 //
     /*   35880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35908 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35928 */     GIR_RootConstrainSelectedInstOperands,
     /*   35929 */     // GIR_Coverage, 68796,
     /*   35929 */     GIR_EraseRootFromParent_Done,
     /*   35930 */   // Label 619: @35930
     /*   35930 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35985), // Rule ID 68885 //
     /*   35935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35963 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35983 */     GIR_RootConstrainSelectedInstOperands,
     /*   35984 */     // GIR_Coverage, 68885,
     /*   35984 */     GIR_EraseRootFromParent_Done,
     /*   35985 */   // Label 620: @35985
     /*   35985 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36040), // Rule ID 68886 //
     /*   35990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36018 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36038 */     GIR_RootConstrainSelectedInstOperands,
     /*   36039 */     // GIR_Coverage, 68886,
     /*   36039 */     GIR_EraseRootFromParent_Done,
     /*   36040 */   // Label 621: @36040
     /*   36040 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36108), // Rule ID 51805 //
     /*   36045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36082 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   36082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36106 */     GIR_RootConstrainSelectedInstOperands,
     /*   36107 */     // GIR_Coverage, 51805,
     /*   36107 */     GIR_EraseRootFromParent_Done,
     /*   36108 */   // Label 622: @36108
     /*   36108 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36176), // Rule ID 51806 //
     /*   36113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36150 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36174 */     GIR_RootConstrainSelectedInstOperands,
     /*   36175 */     // GIR_Coverage, 51806,
     /*   36175 */     GIR_EraseRootFromParent_Done,
     /*   36176 */   // Label 623: @36176
     /*   36176 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36231), // Rule ID 46655 //
     /*   36181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36209 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36229 */     GIR_RootConstrainSelectedInstOperands,
     /*   36230 */     // GIR_Coverage, 46655,
     /*   36230 */     GIR_EraseRootFromParent_Done,
     /*   36231 */   // Label 624: @36231
     /*   36231 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36286), // Rule ID 46656 //
     /*   36236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36264 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36284 */     GIR_RootConstrainSelectedInstOperands,
     /*   36285 */     // GIR_Coverage, 46656,
     /*   36285 */     GIR_EraseRootFromParent_Done,
     /*   36286 */   // Label 625: @36286
     /*   36286 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36341), // Rule ID 46415 //
     /*   36291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36319 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36339 */     GIR_RootConstrainSelectedInstOperands,
     /*   36340 */     // GIR_Coverage, 46415,
     /*   36340 */     GIR_EraseRootFromParent_Done,
     /*   36341 */   // Label 626: @36341
     /*   36341 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36396), // Rule ID 46416 //
     /*   36346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36374 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36394 */     GIR_RootConstrainSelectedInstOperands,
     /*   36395 */     // GIR_Coverage, 46416,
     /*   36395 */     GIR_EraseRootFromParent_Done,
     /*   36396 */   // Label 627: @36396
     /*   36396 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36451), // Rule ID 46535 //
     /*   36401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36429 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36449 */     GIR_RootConstrainSelectedInstOperands,
     /*   36450 */     // GIR_Coverage, 46535,
     /*   36450 */     GIR_EraseRootFromParent_Done,
     /*   36451 */   // Label 628: @36451
     /*   36451 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36506), // Rule ID 46536 //
     /*   36456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36484 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36504 */     GIR_RootConstrainSelectedInstOperands,
     /*   36505 */     // GIR_Coverage, 46536,
     /*   36505 */     GIR_EraseRootFromParent_Done,
     /*   36506 */   // Label 629: @36506
     /*   36506 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36559), // Rule ID 46041 //
     /*   36511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36522 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36557 */     GIR_RootConstrainSelectedInstOperands,
     /*   36558 */     // GIR_Coverage, 46041,
     /*   36558 */     GIR_EraseRootFromParent_Done,
     /*   36559 */   // Label 630: @36559
     /*   36559 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36612), // Rule ID 46042 //
     /*   36564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36575 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36610 */     GIR_RootConstrainSelectedInstOperands,
     /*   36611 */     // GIR_Coverage, 46042,
     /*   36611 */     GIR_EraseRootFromParent_Done,
     /*   36612 */   // Label 631: @36612
     /*   36612 */   GIM_Reject,
     /*   36613 */ // Label 591: @36613
     /*   36613 */ GIM_Reject,
     /*   36614 */ // Label 138: @36614
     /*   36614 */ GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(37008),
     /*   36619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36629 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36697), // Rule ID 69955 //
     /*   36634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36671 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36695 */     GIR_RootConstrainSelectedInstOperands,
     /*   36696 */     // GIR_Coverage, 69955,
     /*   36696 */     GIR_EraseRootFromParent_Done,
     /*   36697 */   // Label 633: @36697
     /*   36697 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36765), // Rule ID 69956 //
     /*   36702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36739 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36763 */     GIR_RootConstrainSelectedInstOperands,
     /*   36764 */     // GIR_Coverage, 69956,
     /*   36764 */     GIR_EraseRootFromParent_Done,
     /*   36765 */   // Label 634: @36765
     /*   36765 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36833), // Rule ID 51749 //
     /*   36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36807 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36831 */     GIR_RootConstrainSelectedInstOperands,
     /*   36832 */     // GIR_Coverage, 51749,
     /*   36832 */     GIR_EraseRootFromParent_Done,
     /*   36833 */   // Label 635: @36833
     /*   36833 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36901), // Rule ID 51750 //
     /*   36838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36875 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36899 */     GIR_RootConstrainSelectedInstOperands,
     /*   36900 */     // GIR_Coverage, 51750,
     /*   36900 */     GIR_EraseRootFromParent_Done,
     /*   36901 */   // Label 636: @36901
     /*   36901 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36954), // Rule ID 45985 //
     /*   36906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36917 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36952 */     GIR_RootConstrainSelectedInstOperands,
     /*   36953 */     // GIR_Coverage, 45985,
     /*   36953 */     GIR_EraseRootFromParent_Done,
     /*   36954 */   // Label 637: @36954
     /*   36954 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37007), // Rule ID 45986 //
     /*   36959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36970 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37005 */     GIR_RootConstrainSelectedInstOperands,
     /*   37006 */     // GIR_Coverage, 45986,
     /*   37006 */     GIR_EraseRootFromParent_Done,
     /*   37007 */   // Label 638: @37007
     /*   37007 */   GIM_Reject,
     /*   37008 */ // Label 632: @37008
     /*   37008 */ GIM_Reject,
     /*   37009 */ // Label 139: @37009
     /*   37009 */ GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40133),
     /*   37014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37024 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37120), // Rule ID 70131 //
     /*   37029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37094 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37118 */     GIR_RootConstrainSelectedInstOperands,
     /*   37119 */     // GIR_Coverage, 70131,
     /*   37119 */     GIR_EraseRootFromParent_Done,
     /*   37120 */   // Label 640: @37120
     /*   37120 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37216), // Rule ID 70132 //
     /*   37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37190 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37214 */     GIR_RootConstrainSelectedInstOperands,
     /*   37215 */     // GIR_Coverage, 70132,
     /*   37215 */     GIR_EraseRootFromParent_Done,
     /*   37216 */   // Label 641: @37216
     /*   37216 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37312), // Rule ID 70379 //
     /*   37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37286 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37310 */     GIR_RootConstrainSelectedInstOperands,
     /*   37311 */     // GIR_Coverage, 70379,
     /*   37311 */     GIR_EraseRootFromParent_Done,
     /*   37312 */   // Label 642: @37312
     /*   37312 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37408), // Rule ID 70380 //
     /*   37317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37382 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37406 */     GIR_RootConstrainSelectedInstOperands,
     /*   37407 */     // GIR_Coverage, 70380,
     /*   37407 */     GIR_EraseRootFromParent_Done,
     /*   37408 */   // Label 643: @37408
     /*   37408 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37504), // Rule ID 70381 //
     /*   37413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37478 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37502 */     GIR_RootConstrainSelectedInstOperands,
     /*   37503 */     // GIR_Coverage, 70381,
     /*   37503 */     GIR_EraseRootFromParent_Done,
     /*   37504 */   // Label 644: @37504
     /*   37504 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37600), // Rule ID 70382 //
     /*   37509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37574 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37598 */     GIR_RootConstrainSelectedInstOperands,
     /*   37599 */     // GIR_Coverage, 70382,
     /*   37599 */     GIR_EraseRootFromParent_Done,
     /*   37600 */   // Label 645: @37600
     /*   37600 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37696), // Rule ID 70245 //
     /*   37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37670 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37694 */     GIR_RootConstrainSelectedInstOperands,
     /*   37695 */     // GIR_Coverage, 70245,
     /*   37695 */     GIR_EraseRootFromParent_Done,
     /*   37696 */   // Label 646: @37696
     /*   37696 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37792), // Rule ID 70246 //
     /*   37701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37766 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 70246,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 647: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37888), // Rule ID 51905 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37849 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37853 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37855 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37862 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37886 */     GIR_RootConstrainSelectedInstOperands,
     /*   37887 */     // GIR_Coverage, 51905,
     /*   37887 */     GIR_EraseRootFromParent_Done,
     /*   37888 */   // Label 648: @37888
     /*   37888 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(37984), // Rule ID 51906 //
     /*   37893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37945 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37949 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37958 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37982 */     GIR_RootConstrainSelectedInstOperands,
     /*   37983 */     // GIR_Coverage, 51906,
     /*   37983 */     GIR_EraseRootFromParent_Done,
     /*   37984 */   // Label 649: @37984
     /*   37984 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38080), // Rule ID 52023 //
     /*   37989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38045 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38047 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38054 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38078 */     GIR_RootConstrainSelectedInstOperands,
     /*   38079 */     // GIR_Coverage, 52023,
     /*   38079 */     GIR_EraseRootFromParent_Done,
     /*   38080 */   // Label 650: @38080
     /*   38080 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38176), // Rule ID 52024 //
     /*   38085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38137 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38141 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38143 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38150 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38174 */     GIR_RootConstrainSelectedInstOperands,
     /*   38175 */     // GIR_Coverage, 52024,
     /*   38175 */     GIR_EraseRootFromParent_Done,
     /*   38176 */   // Label 651: @38176
     /*   38176 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38272), // Rule ID 70377 //
     /*   38181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38233 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38237 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38246 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38270 */     GIR_RootConstrainSelectedInstOperands,
     /*   38271 */     // GIR_Coverage, 70377,
     /*   38271 */     GIR_EraseRootFromParent_Done,
     /*   38272 */   // Label 652: @38272
     /*   38272 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38368), // Rule ID 70378 //
     /*   38277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38342 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38366 */     GIR_RootConstrainSelectedInstOperands,
     /*   38367 */     // GIR_Coverage, 70378,
     /*   38367 */     GIR_EraseRootFromParent_Done,
     /*   38368 */   // Label 653: @38368
     /*   38368 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38464), // Rule ID 51963 //
     /*   38373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38438 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38462 */     GIR_RootConstrainSelectedInstOperands,
     /*   38463 */     // GIR_Coverage, 51963,
     /*   38463 */     GIR_EraseRootFromParent_Done,
     /*   38464 */   // Label 654: @38464
     /*   38464 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38560), // Rule ID 51964 //
     /*   38469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38534 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38558 */     GIR_RootConstrainSelectedInstOperands,
     /*   38559 */     // GIR_Coverage, 51964,
     /*   38559 */     GIR_EraseRootFromParent_Done,
     /*   38560 */   // Label 655: @38560
     /*   38560 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38649), // Rule ID 46555 //
     /*   38565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38599 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38608 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38647 */     GIR_RootConstrainSelectedInstOperands,
     /*   38648 */     // GIR_Coverage, 46555,
     /*   38648 */     GIR_EraseRootFromParent_Done,
     /*   38649 */   // Label 656: @38649
     /*   38649 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38738), // Rule ID 46556 //
     /*   38654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38697 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38736 */     GIR_RootConstrainSelectedInstOperands,
     /*   38737 */     // GIR_Coverage, 46556,
     /*   38737 */     GIR_EraseRootFromParent_Done,
     /*   38738 */   // Label 657: @38738
     /*   38738 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38827), // Rule ID 46319 //
     /*   38743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38786 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38825 */     GIR_RootConstrainSelectedInstOperands,
     /*   38826 */     // GIR_Coverage, 46319,
     /*   38826 */     GIR_EraseRootFromParent_Done,
     /*   38827 */   // Label 658: @38827
     /*   38827 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38916), // Rule ID 46320 //
     /*   38832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38875 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38914 */     GIR_RootConstrainSelectedInstOperands,
     /*   38915 */     // GIR_Coverage, 46320,
     /*   38915 */     GIR_EraseRootFromParent_Done,
     /*   38916 */   // Label 659: @38916
     /*   38916 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39005), // Rule ID 46435 //
     /*   38921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38964 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39003 */     GIR_RootConstrainSelectedInstOperands,
     /*   39004 */     // GIR_Coverage, 46435,
     /*   39004 */     GIR_EraseRootFromParent_Done,
     /*   39005 */   // Label 660: @39005
     /*   39005 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39094), // Rule ID 46436 //
     /*   39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39053 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   39053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   39070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39092 */     GIR_RootConstrainSelectedInstOperands,
     /*   39093 */     // GIR_Coverage, 46436,
     /*   39093 */     GIR_EraseRootFromParent_Done,
     /*   39094 */   // Label 661: @39094
     /*   39094 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39162), // Rule ID 70011 //
     /*   39099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39136 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39160 */     GIR_RootConstrainSelectedInstOperands,
     /*   39161 */     // GIR_Coverage, 70011,
     /*   39161 */     GIR_EraseRootFromParent_Done,
     /*   39162 */   // Label 662: @39162
     /*   39162 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39230), // Rule ID 70012 //
     /*   39167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39204 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39228 */     GIR_RootConstrainSelectedInstOperands,
     /*   39229 */     // GIR_Coverage, 70012,
     /*   39229 */     GIR_EraseRootFromParent_Done,
     /*   39230 */   // Label 663: @39230
     /*   39230 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39285), // Rule ID 68935 //
     /*   39235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39263 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39283 */     GIR_RootConstrainSelectedInstOperands,
     /*   39284 */     // GIR_Coverage, 68935,
     /*   39284 */     GIR_EraseRootFromParent_Done,
     /*   39285 */   // Label 664: @39285
     /*   39285 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39340), // Rule ID 68936 //
     /*   39290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39318 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39338 */     GIR_RootConstrainSelectedInstOperands,
     /*   39339 */     // GIR_Coverage, 68936,
     /*   39339 */     GIR_EraseRootFromParent_Done,
     /*   39340 */   // Label 665: @39340
     /*   39340 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39395), // Rule ID 68755 //
     /*   39345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39373 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39393 */     GIR_RootConstrainSelectedInstOperands,
     /*   39394 */     // GIR_Coverage, 68755,
     /*   39394 */     GIR_EraseRootFromParent_Done,
     /*   39395 */   // Label 666: @39395
     /*   39395 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39450), // Rule ID 68756 //
     /*   39400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39428 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39448 */     GIR_RootConstrainSelectedInstOperands,
     /*   39449 */     // GIR_Coverage, 68756,
     /*   39449 */     GIR_EraseRootFromParent_Done,
     /*   39450 */   // Label 667: @39450
     /*   39450 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39505), // Rule ID 68845 //
     /*   39455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39483 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39503 */     GIR_RootConstrainSelectedInstOperands,
     /*   39504 */     // GIR_Coverage, 68845,
     /*   39504 */     GIR_EraseRootFromParent_Done,
     /*   39505 */   // Label 668: @39505
     /*   39505 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39560), // Rule ID 68846 //
     /*   39510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39538 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39558 */     GIR_RootConstrainSelectedInstOperands,
     /*   39559 */     // GIR_Coverage, 68846,
     /*   39559 */     GIR_EraseRootFromParent_Done,
     /*   39560 */   // Label 669: @39560
     /*   39560 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39628), // Rule ID 51777 //
     /*   39565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39602 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39626 */     GIR_RootConstrainSelectedInstOperands,
     /*   39627 */     // GIR_Coverage, 51777,
     /*   39627 */     GIR_EraseRootFromParent_Done,
     /*   39628 */   // Label 670: @39628
     /*   39628 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39696), // Rule ID 51778 //
     /*   39633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39670 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39694 */     GIR_RootConstrainSelectedInstOperands,
     /*   39695 */     // GIR_Coverage, 51778,
     /*   39695 */     GIR_EraseRootFromParent_Done,
     /*   39696 */   // Label 671: @39696
     /*   39696 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39751), // Rule ID 46615 //
     /*   39701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39729 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39749 */     GIR_RootConstrainSelectedInstOperands,
     /*   39750 */     // GIR_Coverage, 46615,
     /*   39750 */     GIR_EraseRootFromParent_Done,
     /*   39751 */   // Label 672: @39751
     /*   39751 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39806), // Rule ID 46616 //
     /*   39756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39784 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39804 */     GIR_RootConstrainSelectedInstOperands,
     /*   39805 */     // GIR_Coverage, 46616,
     /*   39805 */     GIR_EraseRootFromParent_Done,
     /*   39806 */   // Label 673: @39806
     /*   39806 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39861), // Rule ID 46375 //
     /*   39811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39839 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39859 */     GIR_RootConstrainSelectedInstOperands,
     /*   39860 */     // GIR_Coverage, 46375,
     /*   39860 */     GIR_EraseRootFromParent_Done,
     /*   39861 */   // Label 674: @39861
     /*   39861 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39916), // Rule ID 46376 //
     /*   39866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39894 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39914 */     GIR_RootConstrainSelectedInstOperands,
     /*   39915 */     // GIR_Coverage, 46376,
     /*   39915 */     GIR_EraseRootFromParent_Done,
     /*   39916 */   // Label 675: @39916
     /*   39916 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(39971), // Rule ID 46495 //
     /*   39921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39949 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39969 */     GIR_RootConstrainSelectedInstOperands,
     /*   39970 */     // GIR_Coverage, 46495,
     /*   39970 */     GIR_EraseRootFromParent_Done,
     /*   39971 */   // Label 676: @39971
     /*   39971 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40026), // Rule ID 46496 //
     /*   39976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40004 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   40007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40024 */     GIR_RootConstrainSelectedInstOperands,
     /*   40025 */     // GIR_Coverage, 46496,
     /*   40025 */     GIR_EraseRootFromParent_Done,
     /*   40026 */   // Label 677: @40026
     /*   40026 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40079), // Rule ID 46013 //
     /*   40031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40042 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   40042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40077 */     GIR_RootConstrainSelectedInstOperands,
     /*   40078 */     // GIR_Coverage, 46013,
     /*   40078 */     GIR_EraseRootFromParent_Done,
     /*   40079 */   // Label 678: @40079
     /*   40079 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40132), // Rule ID 46014 //
     /*   40084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40095 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40130 */     GIR_RootConstrainSelectedInstOperands,
     /*   40131 */     // GIR_Coverage, 46014,
     /*   40131 */     GIR_EraseRootFromParent_Done,
     /*   40132 */   // Label 679: @40132
     /*   40132 */   GIM_Reject,
     /*   40133 */ // Label 639: @40133
     /*   40133 */ GIM_Reject,
     /*   40134 */ // Label 140: @40134
     /*   40134 */ GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(43258),
     /*   40139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40149 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40245), // Rule ID 70143 //
     /*   40154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40187 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40202 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40206 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40219 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40243 */     GIR_RootConstrainSelectedInstOperands,
     /*   40244 */     // GIR_Coverage, 70143,
     /*   40244 */     GIR_EraseRootFromParent_Done,
     /*   40245 */   // Label 681: @40245
     /*   40245 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40341), // Rule ID 70144 //
     /*   40250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40298 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40302 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40304 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40315 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40339 */     GIR_RootConstrainSelectedInstOperands,
     /*   40340 */     // GIR_Coverage, 70144,
     /*   40340 */     GIR_EraseRootFromParent_Done,
     /*   40341 */   // Label 682: @40341
     /*   40341 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40437), // Rule ID 70415 //
     /*   40346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40394 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40398 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40400 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40411 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40435 */     GIR_RootConstrainSelectedInstOperands,
     /*   40436 */     // GIR_Coverage, 70415,
     /*   40436 */     GIR_EraseRootFromParent_Done,
     /*   40437 */   // Label 683: @40437
     /*   40437 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40533), // Rule ID 70416 //
     /*   40442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40494 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40507 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40531 */     GIR_RootConstrainSelectedInstOperands,
     /*   40532 */     // GIR_Coverage, 70416,
     /*   40532 */     GIR_EraseRootFromParent_Done,
     /*   40533 */   // Label 684: @40533
     /*   40533 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40629), // Rule ID 70417 //
     /*   40538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40590 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40592 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40603 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40627 */     GIR_RootConstrainSelectedInstOperands,
     /*   40628 */     // GIR_Coverage, 70417,
     /*   40628 */     GIR_EraseRootFromParent_Done,
     /*   40629 */   // Label 685: @40629
     /*   40629 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40725), // Rule ID 70418 //
     /*   40634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40667 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40686 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40688 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40699 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40723 */     GIR_RootConstrainSelectedInstOperands,
     /*   40724 */     // GIR_Coverage, 70418,
     /*   40724 */     GIR_EraseRootFromParent_Done,
     /*   40725 */   // Label 686: @40725
     /*   40725 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40821), // Rule ID 70257 //
     /*   40730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40782 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40784 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40795 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40819 */     GIR_RootConstrainSelectedInstOperands,
     /*   40820 */     // GIR_Coverage, 70257,
     /*   40820 */     GIR_EraseRootFromParent_Done,
     /*   40821 */   // Label 687: @40821
     /*   40821 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40917), // Rule ID 70258 //
     /*   40826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40874 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40878 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40880 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40891 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40915 */     GIR_RootConstrainSelectedInstOperands,
     /*   40916 */     // GIR_Coverage, 70258,
     /*   40916 */     GIR_EraseRootFromParent_Done,
     /*   40917 */   // Label 688: @40917
     /*   40917 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41013), // Rule ID 51917 //
     /*   40922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40974 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40978 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40980 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40987 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   40994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41011 */     GIR_RootConstrainSelectedInstOperands,
     /*   41012 */     // GIR_Coverage, 51917,
     /*   41012 */     GIR_EraseRootFromParent_Done,
     /*   41013 */   // Label 689: @41013
     /*   41013 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41109), // Rule ID 51918 //
     /*   41018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41070 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41074 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41083 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41107 */     GIR_RootConstrainSelectedInstOperands,
     /*   41108 */     // GIR_Coverage, 51918,
     /*   41108 */     GIR_EraseRootFromParent_Done,
     /*   41109 */   // Label 690: @41109
     /*   41109 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41205), // Rule ID 52035 //
     /*   41114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41166 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41179 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41203 */     GIR_RootConstrainSelectedInstOperands,
     /*   41204 */     // GIR_Coverage, 52035,
     /*   41204 */     GIR_EraseRootFromParent_Done,
     /*   41205 */   // Label 691: @41205
     /*   41205 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41301), // Rule ID 52036 //
     /*   41210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41262 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41268 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41275 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41299 */     GIR_RootConstrainSelectedInstOperands,
     /*   41300 */     // GIR_Coverage, 52036,
     /*   41300 */     GIR_EraseRootFromParent_Done,
     /*   41301 */   // Label 692: @41301
     /*   41301 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41397), // Rule ID 70413 //
     /*   41306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41358 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41364 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41371 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41395 */     GIR_RootConstrainSelectedInstOperands,
     /*   41396 */     // GIR_Coverage, 70413,
     /*   41396 */     GIR_EraseRootFromParent_Done,
     /*   41397 */   // Label 693: @41397
     /*   41397 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41493), // Rule ID 70414 //
     /*   41402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41454 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41460 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41467 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41491 */     GIR_RootConstrainSelectedInstOperands,
     /*   41492 */     // GIR_Coverage, 70414,
     /*   41492 */     GIR_EraseRootFromParent_Done,
     /*   41493 */   // Label 694: @41493
     /*   41493 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41589), // Rule ID 51975 //
     /*   41498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41550 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41556 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41563 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41587 */     GIR_RootConstrainSelectedInstOperands,
     /*   41588 */     // GIR_Coverage, 51975,
     /*   41588 */     GIR_EraseRootFromParent_Done,
     /*   41589 */   // Label 695: @41589
     /*   41589 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41685), // Rule ID 51976 //
     /*   41594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41646 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41652 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41659 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41683 */     GIR_RootConstrainSelectedInstOperands,
     /*   41684 */     // GIR_Coverage, 51976,
     /*   41684 */     GIR_EraseRootFromParent_Done,
     /*   41685 */   // Label 696: @41685
     /*   41685 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41774), // Rule ID 46579 //
     /*   41690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41772 */     GIR_RootConstrainSelectedInstOperands,
     /*   41773 */     // GIR_Coverage, 46579,
     /*   41773 */     GIR_EraseRootFromParent_Done,
     /*   41774 */   // Label 697: @41774
     /*   41774 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41863), // Rule ID 46580 //
     /*   41779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41822 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41861 */     GIR_RootConstrainSelectedInstOperands,
     /*   41862 */     // GIR_Coverage, 46580,
     /*   41862 */     GIR_EraseRootFromParent_Done,
     /*   41863 */   // Label 698: @41863
     /*   41863 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41952), // Rule ID 46343 //
     /*   41868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41902 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41911 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41950 */     GIR_RootConstrainSelectedInstOperands,
     /*   41951 */     // GIR_Coverage, 46343,
     /*   41951 */     GIR_EraseRootFromParent_Done,
     /*   41952 */   // Label 699: @41952
     /*   41952 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42041), // Rule ID 46344 //
     /*   41957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41991 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42000 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   42017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42039 */     GIR_RootConstrainSelectedInstOperands,
     /*   42040 */     // GIR_Coverage, 46344,
     /*   42040 */     GIR_EraseRootFromParent_Done,
     /*   42041 */   // Label 700: @42041
     /*   42041 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42130), // Rule ID 46459 //
     /*   42046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42089 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42128 */     GIR_RootConstrainSelectedInstOperands,
     /*   42129 */     // GIR_Coverage, 46459,
     /*   42129 */     GIR_EraseRootFromParent_Done,
     /*   42130 */   // Label 701: @42130
     /*   42130 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42219), // Rule ID 46460 //
     /*   42135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42178 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42217 */     GIR_RootConstrainSelectedInstOperands,
     /*   42218 */     // GIR_Coverage, 46460,
     /*   42218 */     GIR_EraseRootFromParent_Done,
     /*   42219 */   // Label 702: @42219
     /*   42219 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42287), // Rule ID 70043 //
     /*   42224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42261 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42285 */     GIR_RootConstrainSelectedInstOperands,
     /*   42286 */     // GIR_Coverage, 70043,
     /*   42286 */     GIR_EraseRootFromParent_Done,
     /*   42287 */   // Label 703: @42287
     /*   42287 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42355), // Rule ID 70044 //
     /*   42292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42329 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42353 */     GIR_RootConstrainSelectedInstOperands,
     /*   42354 */     // GIR_Coverage, 70044,
     /*   42354 */     GIR_EraseRootFromParent_Done,
     /*   42355 */   // Label 704: @42355
     /*   42355 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42410), // Rule ID 68959 //
     /*   42360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42388 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42408 */     GIR_RootConstrainSelectedInstOperands,
     /*   42409 */     // GIR_Coverage, 68959,
     /*   42409 */     GIR_EraseRootFromParent_Done,
     /*   42410 */   // Label 705: @42410
     /*   42410 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42465), // Rule ID 68960 //
     /*   42415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42443 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42463 */     GIR_RootConstrainSelectedInstOperands,
     /*   42464 */     // GIR_Coverage, 68960,
     /*   42464 */     GIR_EraseRootFromParent_Done,
     /*   42465 */   // Label 706: @42465
     /*   42465 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42520), // Rule ID 68779 //
     /*   42470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42498 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42518 */     GIR_RootConstrainSelectedInstOperands,
     /*   42519 */     // GIR_Coverage, 68779,
     /*   42519 */     GIR_EraseRootFromParent_Done,
     /*   42520 */   // Label 707: @42520
     /*   42520 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42575), // Rule ID 68780 //
     /*   42525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42553 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42573 */     GIR_RootConstrainSelectedInstOperands,
     /*   42574 */     // GIR_Coverage, 68780,
     /*   42574 */     GIR_EraseRootFromParent_Done,
     /*   42575 */   // Label 708: @42575
     /*   42575 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42630), // Rule ID 68869 //
     /*   42580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42608 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42628 */     GIR_RootConstrainSelectedInstOperands,
     /*   42629 */     // GIR_Coverage, 68869,
     /*   42629 */     GIR_EraseRootFromParent_Done,
     /*   42630 */   // Label 709: @42630
     /*   42630 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42685), // Rule ID 68870 //
     /*   42635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42663 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42683 */     GIR_RootConstrainSelectedInstOperands,
     /*   42684 */     // GIR_Coverage, 68870,
     /*   42684 */     GIR_EraseRootFromParent_Done,
     /*   42685 */   // Label 710: @42685
     /*   42685 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42753), // Rule ID 51793 //
     /*   42690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42727 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42751 */     GIR_RootConstrainSelectedInstOperands,
     /*   42752 */     // GIR_Coverage, 51793,
     /*   42752 */     GIR_EraseRootFromParent_Done,
     /*   42753 */   // Label 711: @42753
     /*   42753 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42821), // Rule ID 51794 //
     /*   42758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42795 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42819 */     GIR_RootConstrainSelectedInstOperands,
     /*   42820 */     // GIR_Coverage, 51794,
     /*   42820 */     GIR_EraseRootFromParent_Done,
     /*   42821 */   // Label 712: @42821
     /*   42821 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42876), // Rule ID 46639 //
     /*   42826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42854 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42874 */     GIR_RootConstrainSelectedInstOperands,
     /*   42875 */     // GIR_Coverage, 46639,
     /*   42875 */     GIR_EraseRootFromParent_Done,
     /*   42876 */   // Label 713: @42876
     /*   42876 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42931), // Rule ID 46640 //
     /*   42881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42909 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42929 */     GIR_RootConstrainSelectedInstOperands,
     /*   42930 */     // GIR_Coverage, 46640,
     /*   42930 */     GIR_EraseRootFromParent_Done,
     /*   42931 */   // Label 714: @42931
     /*   42931 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42986), // Rule ID 46399 //
     /*   42936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42964 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42984 */     GIR_RootConstrainSelectedInstOperands,
     /*   42985 */     // GIR_Coverage, 46399,
     /*   42985 */     GIR_EraseRootFromParent_Done,
     /*   42986 */   // Label 715: @42986
     /*   42986 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43041), // Rule ID 46400 //
     /*   42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43019 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   43022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43039 */     GIR_RootConstrainSelectedInstOperands,
     /*   43040 */     // GIR_Coverage, 46400,
     /*   43040 */     GIR_EraseRootFromParent_Done,
     /*   43041 */   // Label 716: @43041
     /*   43041 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43096), // Rule ID 46519 //
     /*   43046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43074 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43094 */     GIR_RootConstrainSelectedInstOperands,
     /*   43095 */     // GIR_Coverage, 46519,
     /*   43095 */     GIR_EraseRootFromParent_Done,
     /*   43096 */   // Label 717: @43096
     /*   43096 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43151), // Rule ID 46520 //
     /*   43101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43129 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43149 */     GIR_RootConstrainSelectedInstOperands,
     /*   43150 */     // GIR_Coverage, 46520,
     /*   43150 */     GIR_EraseRootFromParent_Done,
     /*   43151 */   // Label 718: @43151
     /*   43151 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43204), // Rule ID 46029 //
     /*   43156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43167 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43202 */     GIR_RootConstrainSelectedInstOperands,
     /*   43203 */     // GIR_Coverage, 46029,
     /*   43203 */     GIR_EraseRootFromParent_Done,
     /*   43204 */   // Label 719: @43204
     /*   43204 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43257), // Rule ID 46030 //
     /*   43209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43220 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43255 */     GIR_RootConstrainSelectedInstOperands,
     /*   43256 */     // GIR_Coverage, 46030,
     /*   43256 */     GIR_EraseRootFromParent_Done,
     /*   43257 */   // Label 720: @43257
     /*   43257 */   GIM_Reject,
     /*   43258 */ // Label 680: @43258
     /*   43258 */ GIM_Reject,
     /*   43259 */ // Label 141: @43259
     /*   43259 */ GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(46383),
     /*   43264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43274 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43370), // Rule ID 70153 //
     /*   43279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43344 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43368 */     GIR_RootConstrainSelectedInstOperands,
     /*   43369 */     // GIR_Coverage, 70153,
     /*   43369 */     GIR_EraseRootFromParent_Done,
     /*   43370 */   // Label 722: @43370
     /*   43370 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 70154 //
     /*   43375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43440 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 70154,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43562), // Rule ID 70445 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43536 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43560 */     GIR_RootConstrainSelectedInstOperands,
     /*   43561 */     // GIR_Coverage, 70445,
     /*   43561 */     GIR_EraseRootFromParent_Done,
     /*   43562 */   // Label 724: @43562
     /*   43562 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43658), // Rule ID 70446 //
     /*   43567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43619 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43621 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43632 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43656 */     GIR_RootConstrainSelectedInstOperands,
     /*   43657 */     // GIR_Coverage, 70446,
     /*   43657 */     GIR_EraseRootFromParent_Done,
     /*   43658 */   // Label 725: @43658
     /*   43658 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43754), // Rule ID 70447 //
     /*   43663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43711 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43715 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43717 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43728 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 70447,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 726: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43850), // Rule ID 70448 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43792 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43807 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43811 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43813 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43824 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43848 */     GIR_RootConstrainSelectedInstOperands,
     /*   43849 */     // GIR_Coverage, 70448,
     /*   43849 */     GIR_EraseRootFromParent_Done,
     /*   43850 */   // Label 727: @43850
     /*   43850 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43946), // Rule ID 70267 //
     /*   43855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43907 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43909 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43920 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43944 */     GIR_RootConstrainSelectedInstOperands,
     /*   43945 */     // GIR_Coverage, 70267,
     /*   43945 */     GIR_EraseRootFromParent_Done,
     /*   43946 */   // Label 728: @43946
     /*   43946 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44042), // Rule ID 70268 //
     /*   43951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43999 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44003 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44005 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44016 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 70268,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 729: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44138), // Rule ID 51927 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44112 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44136 */     GIR_RootConstrainSelectedInstOperands,
     /*   44137 */     // GIR_Coverage, 51927,
     /*   44137 */     GIR_EraseRootFromParent_Done,
     /*   44138 */   // Label 730: @44138
     /*   44138 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44234), // Rule ID 51928 //
     /*   44143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44208 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44232 */     GIR_RootConstrainSelectedInstOperands,
     /*   44233 */     // GIR_Coverage, 51928,
     /*   44233 */     GIR_EraseRootFromParent_Done,
     /*   44234 */   // Label 731: @44234
     /*   44234 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44330), // Rule ID 52045 //
     /*   44239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44304 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44328 */     GIR_RootConstrainSelectedInstOperands,
     /*   44329 */     // GIR_Coverage, 52045,
     /*   44329 */     GIR_EraseRootFromParent_Done,
     /*   44330 */   // Label 732: @44330
     /*   44330 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44426), // Rule ID 52046 //
     /*   44335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44387 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44400 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 52046,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 733: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44522), // Rule ID 70443 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44483 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44489 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44496 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44520 */     GIR_RootConstrainSelectedInstOperands,
     /*   44521 */     // GIR_Coverage, 70443,
     /*   44521 */     GIR_EraseRootFromParent_Done,
     /*   44522 */   // Label 734: @44522
     /*   44522 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44618), // Rule ID 70444 //
     /*   44527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44575 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44579 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44585 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44592 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44616 */     GIR_RootConstrainSelectedInstOperands,
     /*   44617 */     // GIR_Coverage, 70444,
     /*   44617 */     GIR_EraseRootFromParent_Done,
     /*   44618 */   // Label 735: @44618
     /*   44618 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44714), // Rule ID 51985 //
     /*   44623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44675 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44688 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44712 */     GIR_RootConstrainSelectedInstOperands,
     /*   44713 */     // GIR_Coverage, 51985,
     /*   44713 */     GIR_EraseRootFromParent_Done,
     /*   44714 */   // Label 736: @44714
     /*   44714 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44810), // Rule ID 51986 //
     /*   44719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44756 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44771 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44784 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44808 */     GIR_RootConstrainSelectedInstOperands,
     /*   44809 */     // GIR_Coverage, 51986,
     /*   44809 */     GIR_EraseRootFromParent_Done,
     /*   44810 */   // Label 737: @44810
     /*   44810 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(44899), // Rule ID 46599 //
     /*   44815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44858 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 46599,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 738: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44988), // Rule ID 46600 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44947 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44986 */     GIR_RootConstrainSelectedInstOperands,
     /*   44987 */     // GIR_Coverage, 46600,
     /*   44987 */     GIR_EraseRootFromParent_Done,
     /*   44988 */   // Label 739: @44988
     /*   44988 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45077), // Rule ID 46363 //
     /*   44993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45036 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45075 */     GIR_RootConstrainSelectedInstOperands,
     /*   45076 */     // GIR_Coverage, 46363,
     /*   45076 */     GIR_EraseRootFromParent_Done,
     /*   45077 */   // Label 740: @45077
     /*   45077 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45166), // Rule ID 46364 //
     /*   45082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45125 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45164 */     GIR_RootConstrainSelectedInstOperands,
     /*   45165 */     // GIR_Coverage, 46364,
     /*   45165 */     GIR_EraseRootFromParent_Done,
     /*   45166 */   // Label 741: @45166
     /*   45166 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45255), // Rule ID 46479 //
     /*   45171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45214 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45253 */     GIR_RootConstrainSelectedInstOperands,
     /*   45254 */     // GIR_Coverage, 46479,
     /*   45254 */     GIR_EraseRootFromParent_Done,
     /*   45255 */   // Label 742: @45255
     /*   45255 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45344), // Rule ID 46480 //
     /*   45260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45303 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45342 */     GIR_RootConstrainSelectedInstOperands,
     /*   45343 */     // GIR_Coverage, 46480,
     /*   45343 */     GIR_EraseRootFromParent_Done,
     /*   45344 */   // Label 743: @45344
     /*   45344 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45412), // Rule ID 70075 //
     /*   45349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45386 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45410 */     GIR_RootConstrainSelectedInstOperands,
     /*   45411 */     // GIR_Coverage, 70075,
     /*   45411 */     GIR_EraseRootFromParent_Done,
     /*   45412 */   // Label 744: @45412
     /*   45412 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45480), // Rule ID 70076 //
     /*   45417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45454 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45478 */     GIR_RootConstrainSelectedInstOperands,
     /*   45479 */     // GIR_Coverage, 70076,
     /*   45479 */     GIR_EraseRootFromParent_Done,
     /*   45480 */   // Label 745: @45480
     /*   45480 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45535), // Rule ID 68979 //
     /*   45485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45513 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45533 */     GIR_RootConstrainSelectedInstOperands,
     /*   45534 */     // GIR_Coverage, 68979,
     /*   45534 */     GIR_EraseRootFromParent_Done,
     /*   45535 */   // Label 746: @45535
     /*   45535 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45590), // Rule ID 68980 //
     /*   45540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45568 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45588 */     GIR_RootConstrainSelectedInstOperands,
     /*   45589 */     // GIR_Coverage, 68980,
     /*   45589 */     GIR_EraseRootFromParent_Done,
     /*   45590 */   // Label 747: @45590
     /*   45590 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45645), // Rule ID 68799 //
     /*   45595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45623 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45643 */     GIR_RootConstrainSelectedInstOperands,
     /*   45644 */     // GIR_Coverage, 68799,
     /*   45644 */     GIR_EraseRootFromParent_Done,
     /*   45645 */   // Label 748: @45645
     /*   45645 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45700), // Rule ID 68800 //
     /*   45650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45678 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45698 */     GIR_RootConstrainSelectedInstOperands,
     /*   45699 */     // GIR_Coverage, 68800,
     /*   45699 */     GIR_EraseRootFromParent_Done,
     /*   45700 */   // Label 749: @45700
     /*   45700 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45755), // Rule ID 68889 //
     /*   45705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45733 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45753 */     GIR_RootConstrainSelectedInstOperands,
     /*   45754 */     // GIR_Coverage, 68889,
     /*   45754 */     GIR_EraseRootFromParent_Done,
     /*   45755 */   // Label 750: @45755
     /*   45755 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45810), // Rule ID 68890 //
     /*   45760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45788 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45808 */     GIR_RootConstrainSelectedInstOperands,
     /*   45809 */     // GIR_Coverage, 68890,
     /*   45809 */     GIR_EraseRootFromParent_Done,
     /*   45810 */   // Label 751: @45810
     /*   45810 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45878), // Rule ID 51809 //
     /*   45815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45852 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45876 */     GIR_RootConstrainSelectedInstOperands,
     /*   45877 */     // GIR_Coverage, 51809,
     /*   45877 */     GIR_EraseRootFromParent_Done,
     /*   45878 */   // Label 752: @45878
     /*   45878 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45946), // Rule ID 51810 //
     /*   45883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45920 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45944 */     GIR_RootConstrainSelectedInstOperands,
     /*   45945 */     // GIR_Coverage, 51810,
     /*   45945 */     GIR_EraseRootFromParent_Done,
     /*   45946 */   // Label 753: @45946
     /*   45946 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46001), // Rule ID 46659 //
     /*   45951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45979 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45999 */     GIR_RootConstrainSelectedInstOperands,
     /*   46000 */     // GIR_Coverage, 46659,
     /*   46000 */     GIR_EraseRootFromParent_Done,
     /*   46001 */   // Label 754: @46001
     /*   46001 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46056), // Rule ID 46660 //
     /*   46006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46034 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46054 */     GIR_RootConstrainSelectedInstOperands,
     /*   46055 */     // GIR_Coverage, 46660,
     /*   46055 */     GIR_EraseRootFromParent_Done,
     /*   46056 */   // Label 755: @46056
     /*   46056 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46111), // Rule ID 46419 //
     /*   46061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46089 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46109 */     GIR_RootConstrainSelectedInstOperands,
     /*   46110 */     // GIR_Coverage, 46419,
     /*   46110 */     GIR_EraseRootFromParent_Done,
     /*   46111 */   // Label 756: @46111
     /*   46111 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46166), // Rule ID 46420 //
     /*   46116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46144 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46164 */     GIR_RootConstrainSelectedInstOperands,
     /*   46165 */     // GIR_Coverage, 46420,
     /*   46165 */     GIR_EraseRootFromParent_Done,
     /*   46166 */   // Label 757: @46166
     /*   46166 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46221), // Rule ID 46539 //
     /*   46171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46199 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46219 */     GIR_RootConstrainSelectedInstOperands,
     /*   46220 */     // GIR_Coverage, 46539,
     /*   46220 */     GIR_EraseRootFromParent_Done,
     /*   46221 */   // Label 758: @46221
     /*   46221 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46276), // Rule ID 46540 //
     /*   46226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46254 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46274 */     GIR_RootConstrainSelectedInstOperands,
     /*   46275 */     // GIR_Coverage, 46540,
     /*   46275 */     GIR_EraseRootFromParent_Done,
     /*   46276 */   // Label 759: @46276
     /*   46276 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46329), // Rule ID 46045 //
     /*   46281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46292 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46327 */     GIR_RootConstrainSelectedInstOperands,
     /*   46328 */     // GIR_Coverage, 46045,
     /*   46328 */     GIR_EraseRootFromParent_Done,
     /*   46329 */   // Label 760: @46329
     /*   46329 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46382), // Rule ID 46046 //
     /*   46334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46345 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46380 */     GIR_RootConstrainSelectedInstOperands,
     /*   46381 */     // GIR_Coverage, 46046,
     /*   46381 */     GIR_EraseRootFromParent_Done,
     /*   46382 */   // Label 761: @46382
     /*   46382 */   GIM_Reject,
     /*   46383 */ // Label 721: @46383
     /*   46383 */ GIM_Reject,
     /*   46384 */ // Label 142: @46384
     /*   46384 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46778),
     /*   46389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46399 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46467), // Rule ID 69987 //
     /*   46404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46441 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46465 */     GIR_RootConstrainSelectedInstOperands,
     /*   46466 */     // GIR_Coverage, 69987,
     /*   46466 */     GIR_EraseRootFromParent_Done,
     /*   46467 */   // Label 763: @46467
     /*   46467 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46535), // Rule ID 69988 //
     /*   46472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46509 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46533 */     GIR_RootConstrainSelectedInstOperands,
     /*   46534 */     // GIR_Coverage, 69988,
     /*   46534 */     GIR_EraseRootFromParent_Done,
     /*   46535 */   // Label 764: @46535
     /*   46535 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46603), // Rule ID 51765 //
     /*   46540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46577 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46601 */     GIR_RootConstrainSelectedInstOperands,
     /*   46602 */     // GIR_Coverage, 51765,
     /*   46602 */     GIR_EraseRootFromParent_Done,
     /*   46603 */   // Label 765: @46603
     /*   46603 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46671), // Rule ID 51766 //
     /*   46608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46645 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46669 */     GIR_RootConstrainSelectedInstOperands,
     /*   46670 */     // GIR_Coverage, 51766,
     /*   46670 */     GIR_EraseRootFromParent_Done,
     /*   46671 */   // Label 766: @46671
     /*   46671 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46724), // Rule ID 46001 //
     /*   46676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46687 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46722 */     GIR_RootConstrainSelectedInstOperands,
     /*   46723 */     // GIR_Coverage, 46001,
     /*   46723 */     GIR_EraseRootFromParent_Done,
     /*   46724 */   // Label 767: @46724
     /*   46724 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46777), // Rule ID 46002 //
     /*   46729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46740 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46775 */     GIR_RootConstrainSelectedInstOperands,
     /*   46776 */     // GIR_Coverage, 46002,
     /*   46776 */     GIR_EraseRootFromParent_Done,
     /*   46777 */   // Label 768: @46777
     /*   46777 */   GIM_Reject,
     /*   46778 */ // Label 762: @46778
     /*   46778 */ GIM_Reject,
     /*   46779 */ // Label 143: @46779
     /*   46779 */ GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(49903),
     /*   46784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46794 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46890), // Rule ID 70133 //
     /*   46799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46864 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46888 */     GIR_RootConstrainSelectedInstOperands,
     /*   46889 */     // GIR_Coverage, 70133,
     /*   46889 */     GIR_EraseRootFromParent_Done,
     /*   46890 */   // Label 770: @46890
     /*   46890 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(46986), // Rule ID 70134 //
     /*   46895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46958 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46960 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46984 */     GIR_RootConstrainSelectedInstOperands,
     /*   46985 */     // GIR_Coverage, 70134,
     /*   46985 */     GIR_EraseRootFromParent_Done,
     /*   46986 */   // Label 771: @46986
     /*   46986 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47082), // Rule ID 70385 //
     /*   46991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47056 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47080 */     GIR_RootConstrainSelectedInstOperands,
     /*   47081 */     // GIR_Coverage, 70385,
     /*   47081 */     GIR_EraseRootFromParent_Done,
     /*   47082 */   // Label 772: @47082
     /*   47082 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47178), // Rule ID 70386 //
     /*   47087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47152 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47176 */     GIR_RootConstrainSelectedInstOperands,
     /*   47177 */     // GIR_Coverage, 70386,
     /*   47177 */     GIR_EraseRootFromParent_Done,
     /*   47178 */   // Label 773: @47178
     /*   47178 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47274), // Rule ID 70387 //
     /*   47183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47248 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47272 */     GIR_RootConstrainSelectedInstOperands,
     /*   47273 */     // GIR_Coverage, 70387,
     /*   47273 */     GIR_EraseRootFromParent_Done,
     /*   47274 */   // Label 774: @47274
     /*   47274 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47370), // Rule ID 70388 //
     /*   47279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47344 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47368 */     GIR_RootConstrainSelectedInstOperands,
     /*   47369 */     // GIR_Coverage, 70388,
     /*   47369 */     GIR_EraseRootFromParent_Done,
     /*   47370 */   // Label 775: @47370
     /*   47370 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47466), // Rule ID 70247 //
     /*   47375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47440 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47464 */     GIR_RootConstrainSelectedInstOperands,
     /*   47465 */     // GIR_Coverage, 70247,
     /*   47465 */     GIR_EraseRootFromParent_Done,
     /*   47466 */   // Label 776: @47466
     /*   47466 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47562), // Rule ID 70248 //
     /*   47471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47536 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47560 */     GIR_RootConstrainSelectedInstOperands,
     /*   47561 */     // GIR_Coverage, 70248,
     /*   47561 */     GIR_EraseRootFromParent_Done,
     /*   47562 */   // Label 777: @47562
     /*   47562 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47658), // Rule ID 51907 //
     /*   47567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47623 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47625 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47632 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47656 */     GIR_RootConstrainSelectedInstOperands,
     /*   47657 */     // GIR_Coverage, 51907,
     /*   47657 */     GIR_EraseRootFromParent_Done,
     /*   47658 */   // Label 778: @47658
     /*   47658 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47754), // Rule ID 51908 //
     /*   47663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47715 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47719 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47721 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47728 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47752 */     GIR_RootConstrainSelectedInstOperands,
     /*   47753 */     // GIR_Coverage, 51908,
     /*   47753 */     GIR_EraseRootFromParent_Done,
     /*   47754 */   // Label 779: @47754
     /*   47754 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47850), // Rule ID 52025 //
     /*   47759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47811 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47815 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47824 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47848 */     GIR_RootConstrainSelectedInstOperands,
     /*   47849 */     // GIR_Coverage, 52025,
     /*   47849 */     GIR_EraseRootFromParent_Done,
     /*   47850 */   // Label 780: @47850
     /*   47850 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47946), // Rule ID 52026 //
     /*   47855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47907 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47911 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47913 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47920 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47944 */     GIR_RootConstrainSelectedInstOperands,
     /*   47945 */     // GIR_Coverage, 52026,
     /*   47945 */     GIR_EraseRootFromParent_Done,
     /*   47946 */   // Label 781: @47946
     /*   47946 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48042), // Rule ID 70383 //
     /*   47951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48007 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48009 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48016 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48040 */     GIR_RootConstrainSelectedInstOperands,
     /*   48041 */     // GIR_Coverage, 70383,
     /*   48041 */     GIR_EraseRootFromParent_Done,
     /*   48042 */   // Label 782: @48042
     /*   48042 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48138), // Rule ID 70384 //
     /*   48047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48112 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48136 */     GIR_RootConstrainSelectedInstOperands,
     /*   48137 */     // GIR_Coverage, 70384,
     /*   48137 */     GIR_EraseRootFromParent_Done,
     /*   48138 */   // Label 783: @48138
     /*   48138 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48234), // Rule ID 51965 //
     /*   48143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48208 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48232 */     GIR_RootConstrainSelectedInstOperands,
     /*   48233 */     // GIR_Coverage, 51965,
     /*   48233 */     GIR_EraseRootFromParent_Done,
     /*   48234 */   // Label 784: @48234
     /*   48234 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48330), // Rule ID 51966 //
     /*   48239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48304 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48328 */     GIR_RootConstrainSelectedInstOperands,
     /*   48329 */     // GIR_Coverage, 51966,
     /*   48329 */     GIR_EraseRootFromParent_Done,
     /*   48330 */   // Label 785: @48330
     /*   48330 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48419), // Rule ID 46559 //
     /*   48335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48378 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48417 */     GIR_RootConstrainSelectedInstOperands,
     /*   48418 */     // GIR_Coverage, 46559,
     /*   48418 */     GIR_EraseRootFromParent_Done,
     /*   48419 */   // Label 786: @48419
     /*   48419 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48508), // Rule ID 46560 //
     /*   48424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48467 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48506 */     GIR_RootConstrainSelectedInstOperands,
     /*   48507 */     // GIR_Coverage, 46560,
     /*   48507 */     GIR_EraseRootFromParent_Done,
     /*   48508 */   // Label 787: @48508
     /*   48508 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48597), // Rule ID 46323 //
     /*   48513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48556 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48595 */     GIR_RootConstrainSelectedInstOperands,
     /*   48596 */     // GIR_Coverage, 46323,
     /*   48596 */     GIR_EraseRootFromParent_Done,
     /*   48597 */   // Label 788: @48597
     /*   48597 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48686), // Rule ID 46324 //
     /*   48602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48645 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48684 */     GIR_RootConstrainSelectedInstOperands,
     /*   48685 */     // GIR_Coverage, 46324,
     /*   48685 */     GIR_EraseRootFromParent_Done,
     /*   48686 */   // Label 789: @48686
     /*   48686 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48775), // Rule ID 46439 //
     /*   48691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48734 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48773 */     GIR_RootConstrainSelectedInstOperands,
     /*   48774 */     // GIR_Coverage, 46439,
     /*   48774 */     GIR_EraseRootFromParent_Done,
     /*   48775 */   // Label 790: @48775
     /*   48775 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48864), // Rule ID 46440 //
     /*   48780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48823 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48862 */     GIR_RootConstrainSelectedInstOperands,
     /*   48863 */     // GIR_Coverage, 46440,
     /*   48863 */     GIR_EraseRootFromParent_Done,
     /*   48864 */   // Label 791: @48864
     /*   48864 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48932), // Rule ID 70019 //
     /*   48869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48906 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48930 */     GIR_RootConstrainSelectedInstOperands,
     /*   48931 */     // GIR_Coverage, 70019,
     /*   48931 */     GIR_EraseRootFromParent_Done,
     /*   48932 */   // Label 792: @48932
     /*   48932 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49000), // Rule ID 70020 //
     /*   48937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48974 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48998 */     GIR_RootConstrainSelectedInstOperands,
     /*   48999 */     // GIR_Coverage, 70020,
     /*   48999 */     GIR_EraseRootFromParent_Done,
     /*   49000 */   // Label 793: @49000
     /*   49000 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49055), // Rule ID 68939 //
     /*   49005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49033 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49053 */     GIR_RootConstrainSelectedInstOperands,
     /*   49054 */     // GIR_Coverage, 68939,
     /*   49054 */     GIR_EraseRootFromParent_Done,
     /*   49055 */   // Label 794: @49055
     /*   49055 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49110), // Rule ID 68940 //
     /*   49060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49088 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49108 */     GIR_RootConstrainSelectedInstOperands,
     /*   49109 */     // GIR_Coverage, 68940,
     /*   49109 */     GIR_EraseRootFromParent_Done,
     /*   49110 */   // Label 795: @49110
     /*   49110 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49165), // Rule ID 68759 //
     /*   49115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49143 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49163 */     GIR_RootConstrainSelectedInstOperands,
     /*   49164 */     // GIR_Coverage, 68759,
     /*   49164 */     GIR_EraseRootFromParent_Done,
     /*   49165 */   // Label 796: @49165
     /*   49165 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49220), // Rule ID 68760 //
     /*   49170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49198 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49218 */     GIR_RootConstrainSelectedInstOperands,
     /*   49219 */     // GIR_Coverage, 68760,
     /*   49219 */     GIR_EraseRootFromParent_Done,
     /*   49220 */   // Label 797: @49220
     /*   49220 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49275), // Rule ID 68849 //
     /*   49225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49253 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49273 */     GIR_RootConstrainSelectedInstOperands,
     /*   49274 */     // GIR_Coverage, 68849,
     /*   49274 */     GIR_EraseRootFromParent_Done,
     /*   49275 */   // Label 798: @49275
     /*   49275 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49330), // Rule ID 68850 //
     /*   49280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49308 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49328 */     GIR_RootConstrainSelectedInstOperands,
     /*   49329 */     // GIR_Coverage, 68850,
     /*   49329 */     GIR_EraseRootFromParent_Done,
     /*   49330 */   // Label 799: @49330
     /*   49330 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49398), // Rule ID 51781 //
     /*   49335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49372 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 51781,
     /*   49397 */     GIR_EraseRootFromParent_Done,
     /*   49398 */   // Label 800: @49398
     /*   49398 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49466), // Rule ID 51782 //
     /*   49403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49440 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49464 */     GIR_RootConstrainSelectedInstOperands,
     /*   49465 */     // GIR_Coverage, 51782,
     /*   49465 */     GIR_EraseRootFromParent_Done,
     /*   49466 */   // Label 801: @49466
     /*   49466 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49521), // Rule ID 46619 //
     /*   49471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49499 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49519 */     GIR_RootConstrainSelectedInstOperands,
     /*   49520 */     // GIR_Coverage, 46619,
     /*   49520 */     GIR_EraseRootFromParent_Done,
     /*   49521 */   // Label 802: @49521
     /*   49521 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49576), // Rule ID 46620 //
     /*   49526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49554 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49574 */     GIR_RootConstrainSelectedInstOperands,
     /*   49575 */     // GIR_Coverage, 46620,
     /*   49575 */     GIR_EraseRootFromParent_Done,
     /*   49576 */   // Label 803: @49576
     /*   49576 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49631), // Rule ID 46379 //
     /*   49581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49609 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49629 */     GIR_RootConstrainSelectedInstOperands,
     /*   49630 */     // GIR_Coverage, 46379,
     /*   49630 */     GIR_EraseRootFromParent_Done,
     /*   49631 */   // Label 804: @49631
     /*   49631 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49686), // Rule ID 46380 //
     /*   49636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49664 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49684 */     GIR_RootConstrainSelectedInstOperands,
     /*   49685 */     // GIR_Coverage, 46380,
     /*   49685 */     GIR_EraseRootFromParent_Done,
     /*   49686 */   // Label 805: @49686
     /*   49686 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49741), // Rule ID 46499 //
     /*   49691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49719 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49739 */     GIR_RootConstrainSelectedInstOperands,
     /*   49740 */     // GIR_Coverage, 46499,
     /*   49740 */     GIR_EraseRootFromParent_Done,
     /*   49741 */   // Label 806: @49741
     /*   49741 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49796), // Rule ID 46500 //
     /*   49746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49774 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49794 */     GIR_RootConstrainSelectedInstOperands,
     /*   49795 */     // GIR_Coverage, 46500,
     /*   49795 */     GIR_EraseRootFromParent_Done,
     /*   49796 */   // Label 807: @49796
     /*   49796 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49849), // Rule ID 46017 //
     /*   49801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49812 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49847 */     GIR_RootConstrainSelectedInstOperands,
     /*   49848 */     // GIR_Coverage, 46017,
     /*   49848 */     GIR_EraseRootFromParent_Done,
     /*   49849 */   // Label 808: @49849
     /*   49849 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49902), // Rule ID 46018 //
     /*   49854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49865 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49900 */     GIR_RootConstrainSelectedInstOperands,
     /*   49901 */     // GIR_Coverage, 46018,
     /*   49901 */     GIR_EraseRootFromParent_Done,
     /*   49902 */   // Label 809: @49902
     /*   49902 */   GIM_Reject,
     /*   49903 */ // Label 769: @49903
     /*   49903 */ GIM_Reject,
     /*   49904 */ // Label 144: @49904
     /*   49904 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(53028),
     /*   49909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49919 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50015), // Rule ID 70145 //
     /*   49924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49989 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   49992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   49996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50013 */     GIR_RootConstrainSelectedInstOperands,
     /*   50014 */     // GIR_Coverage, 70145,
     /*   50014 */     GIR_EraseRootFromParent_Done,
     /*   50015 */   // Label 811: @50015
     /*   50015 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50111), // Rule ID 70146 //
     /*   50020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50085 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50109 */     GIR_RootConstrainSelectedInstOperands,
     /*   50110 */     // GIR_Coverage, 70146,
     /*   50110 */     GIR_EraseRootFromParent_Done,
     /*   50111 */   // Label 812: @50111
     /*   50111 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50207), // Rule ID 70421 //
     /*   50116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50181 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50205 */     GIR_RootConstrainSelectedInstOperands,
     /*   50206 */     // GIR_Coverage, 70421,
     /*   50206 */     GIR_EraseRootFromParent_Done,
     /*   50207 */   // Label 813: @50207
     /*   50207 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50303), // Rule ID 70422 //
     /*   50212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50260 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50264 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50277 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50301 */     GIR_RootConstrainSelectedInstOperands,
     /*   50302 */     // GIR_Coverage, 70422,
     /*   50302 */     GIR_EraseRootFromParent_Done,
     /*   50303 */   // Label 814: @50303
     /*   50303 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50399), // Rule ID 70423 //
     /*   50308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50356 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50360 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50362 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50373 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50397 */     GIR_RootConstrainSelectedInstOperands,
     /*   50398 */     // GIR_Coverage, 70423,
     /*   50398 */     GIR_EraseRootFromParent_Done,
     /*   50399 */   // Label 815: @50399
     /*   50399 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50495), // Rule ID 70424 //
     /*   50404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50456 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50458 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50469 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50493 */     GIR_RootConstrainSelectedInstOperands,
     /*   50494 */     // GIR_Coverage, 70424,
     /*   50494 */     GIR_EraseRootFromParent_Done,
     /*   50495 */   // Label 816: @50495
     /*   50495 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50591), // Rule ID 70259 //
     /*   50500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50552 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50554 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50565 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50589 */     GIR_RootConstrainSelectedInstOperands,
     /*   50590 */     // GIR_Coverage, 70259,
     /*   50590 */     GIR_EraseRootFromParent_Done,
     /*   50591 */   // Label 817: @50591
     /*   50591 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50687), // Rule ID 70260 //
     /*   50596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50648 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50650 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50661 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50685 */     GIR_RootConstrainSelectedInstOperands,
     /*   50686 */     // GIR_Coverage, 70260,
     /*   50686 */     GIR_EraseRootFromParent_Done,
     /*   50687 */   // Label 818: @50687
     /*   50687 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50783), // Rule ID 51919 //
     /*   50692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50757 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50781 */     GIR_RootConstrainSelectedInstOperands,
     /*   50782 */     // GIR_Coverage, 51919,
     /*   50782 */     GIR_EraseRootFromParent_Done,
     /*   50783 */   // Label 819: @50783
     /*   50783 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50879), // Rule ID 51920 //
     /*   50788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50853 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50877 */     GIR_RootConstrainSelectedInstOperands,
     /*   50878 */     // GIR_Coverage, 51920,
     /*   50878 */     GIR_EraseRootFromParent_Done,
     /*   50879 */   // Label 820: @50879
     /*   50879 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50975), // Rule ID 52037 //
     /*   50884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50949 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50973 */     GIR_RootConstrainSelectedInstOperands,
     /*   50974 */     // GIR_Coverage, 52037,
     /*   50974 */     GIR_EraseRootFromParent_Done,
     /*   50975 */   // Label 821: @50975
     /*   50975 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51071), // Rule ID 52038 //
     /*   50980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51032 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51038 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51043 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51045 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51069 */     GIR_RootConstrainSelectedInstOperands,
     /*   51070 */     // GIR_Coverage, 52038,
     /*   51070 */     GIR_EraseRootFromParent_Done,
     /*   51071 */   // Label 822: @51071
     /*   51071 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51167), // Rule ID 70419 //
     /*   51076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51128 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51134 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51141 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51165 */     GIR_RootConstrainSelectedInstOperands,
     /*   51166 */     // GIR_Coverage, 70419,
     /*   51166 */     GIR_EraseRootFromParent_Done,
     /*   51167 */   // Label 823: @51167
     /*   51167 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51263), // Rule ID 70420 //
     /*   51172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51230 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51237 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51261 */     GIR_RootConstrainSelectedInstOperands,
     /*   51262 */     // GIR_Coverage, 70420,
     /*   51262 */     GIR_EraseRootFromParent_Done,
     /*   51263 */   // Label 824: @51263
     /*   51263 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51359), // Rule ID 51977 //
     /*   51268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51326 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51333 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51357 */     GIR_RootConstrainSelectedInstOperands,
     /*   51358 */     // GIR_Coverage, 51977,
     /*   51358 */     GIR_EraseRootFromParent_Done,
     /*   51359 */   // Label 825: @51359
     /*   51359 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51455), // Rule ID 51978 //
     /*   51364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51416 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51422 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51429 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51453 */     GIR_RootConstrainSelectedInstOperands,
     /*   51454 */     // GIR_Coverage, 51978,
     /*   51454 */     GIR_EraseRootFromParent_Done,
     /*   51455 */   // Label 826: @51455
     /*   51455 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51544), // Rule ID 46583 //
     /*   51460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51503 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51542 */     GIR_RootConstrainSelectedInstOperands,
     /*   51543 */     // GIR_Coverage, 46583,
     /*   51543 */     GIR_EraseRootFromParent_Done,
     /*   51544 */   // Label 827: @51544
     /*   51544 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51633), // Rule ID 46584 //
     /*   51549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51592 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51631 */     GIR_RootConstrainSelectedInstOperands,
     /*   51632 */     // GIR_Coverage, 46584,
     /*   51632 */     GIR_EraseRootFromParent_Done,
     /*   51633 */   // Label 828: @51633
     /*   51633 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51722), // Rule ID 46347 //
     /*   51638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51681 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51720 */     GIR_RootConstrainSelectedInstOperands,
     /*   51721 */     // GIR_Coverage, 46347,
     /*   51721 */     GIR_EraseRootFromParent_Done,
     /*   51722 */   // Label 829: @51722
     /*   51722 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51811), // Rule ID 46348 //
     /*   51727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51770 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51809 */     GIR_RootConstrainSelectedInstOperands,
     /*   51810 */     // GIR_Coverage, 46348,
     /*   51810 */     GIR_EraseRootFromParent_Done,
     /*   51811 */   // Label 830: @51811
     /*   51811 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51900), // Rule ID 46463 //
     /*   51816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51859 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51898 */     GIR_RootConstrainSelectedInstOperands,
     /*   51899 */     // GIR_Coverage, 46463,
     /*   51899 */     GIR_EraseRootFromParent_Done,
     /*   51900 */   // Label 831: @51900
     /*   51900 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51989), // Rule ID 46464 //
     /*   51905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51948 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51987 */     GIR_RootConstrainSelectedInstOperands,
     /*   51988 */     // GIR_Coverage, 46464,
     /*   51988 */     GIR_EraseRootFromParent_Done,
     /*   51989 */   // Label 832: @51989
     /*   51989 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52057), // Rule ID 70051 //
     /*   51994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52031 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52055 */     GIR_RootConstrainSelectedInstOperands,
     /*   52056 */     // GIR_Coverage, 70051,
     /*   52056 */     GIR_EraseRootFromParent_Done,
     /*   52057 */   // Label 833: @52057
     /*   52057 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52125), // Rule ID 70052 //
     /*   52062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52099 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52123 */     GIR_RootConstrainSelectedInstOperands,
     /*   52124 */     // GIR_Coverage, 70052,
     /*   52124 */     GIR_EraseRootFromParent_Done,
     /*   52125 */   // Label 834: @52125
     /*   52125 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52180), // Rule ID 68963 //
     /*   52130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52158 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52178 */     GIR_RootConstrainSelectedInstOperands,
     /*   52179 */     // GIR_Coverage, 68963,
     /*   52179 */     GIR_EraseRootFromParent_Done,
     /*   52180 */   // Label 835: @52180
     /*   52180 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52235), // Rule ID 68964 //
     /*   52185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52213 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52233 */     GIR_RootConstrainSelectedInstOperands,
     /*   52234 */     // GIR_Coverage, 68964,
     /*   52234 */     GIR_EraseRootFromParent_Done,
     /*   52235 */   // Label 836: @52235
     /*   52235 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52290), // Rule ID 68783 //
     /*   52240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52268 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52288 */     GIR_RootConstrainSelectedInstOperands,
     /*   52289 */     // GIR_Coverage, 68783,
     /*   52289 */     GIR_EraseRootFromParent_Done,
     /*   52290 */   // Label 837: @52290
     /*   52290 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52345), // Rule ID 68784 //
     /*   52295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52323 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52343 */     GIR_RootConstrainSelectedInstOperands,
     /*   52344 */     // GIR_Coverage, 68784,
     /*   52344 */     GIR_EraseRootFromParent_Done,
     /*   52345 */   // Label 838: @52345
     /*   52345 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52400), // Rule ID 68873 //
     /*   52350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52378 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52398 */     GIR_RootConstrainSelectedInstOperands,
     /*   52399 */     // GIR_Coverage, 68873,
     /*   52399 */     GIR_EraseRootFromParent_Done,
     /*   52400 */   // Label 839: @52400
     /*   52400 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52455), // Rule ID 68874 //
     /*   52405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52433 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52453 */     GIR_RootConstrainSelectedInstOperands,
     /*   52454 */     // GIR_Coverage, 68874,
     /*   52454 */     GIR_EraseRootFromParent_Done,
     /*   52455 */   // Label 840: @52455
     /*   52455 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52523), // Rule ID 51797 //
     /*   52460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52497 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52521 */     GIR_RootConstrainSelectedInstOperands,
     /*   52522 */     // GIR_Coverage, 51797,
     /*   52522 */     GIR_EraseRootFromParent_Done,
     /*   52523 */   // Label 841: @52523
     /*   52523 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52591), // Rule ID 51798 //
     /*   52528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52565 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52589 */     GIR_RootConstrainSelectedInstOperands,
     /*   52590 */     // GIR_Coverage, 51798,
     /*   52590 */     GIR_EraseRootFromParent_Done,
     /*   52591 */   // Label 842: @52591
     /*   52591 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52646), // Rule ID 46643 //
     /*   52596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52624 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52644 */     GIR_RootConstrainSelectedInstOperands,
     /*   52645 */     // GIR_Coverage, 46643,
     /*   52645 */     GIR_EraseRootFromParent_Done,
     /*   52646 */   // Label 843: @52646
     /*   52646 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52701), // Rule ID 46644 //
     /*   52651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52679 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52699 */     GIR_RootConstrainSelectedInstOperands,
     /*   52700 */     // GIR_Coverage, 46644,
     /*   52700 */     GIR_EraseRootFromParent_Done,
     /*   52701 */   // Label 844: @52701
     /*   52701 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52756), // Rule ID 46403 //
     /*   52706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52725 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52734 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52754 */     GIR_RootConstrainSelectedInstOperands,
     /*   52755 */     // GIR_Coverage, 46403,
     /*   52755 */     GIR_EraseRootFromParent_Done,
     /*   52756 */   // Label 845: @52756
     /*   52756 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52811), // Rule ID 46404 //
     /*   52761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52789 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52809 */     GIR_RootConstrainSelectedInstOperands,
     /*   52810 */     // GIR_Coverage, 46404,
     /*   52810 */     GIR_EraseRootFromParent_Done,
     /*   52811 */   // Label 846: @52811
     /*   52811 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52866), // Rule ID 46523 //
     /*   52816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52844 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52864 */     GIR_RootConstrainSelectedInstOperands,
     /*   52865 */     // GIR_Coverage, 46523,
     /*   52865 */     GIR_EraseRootFromParent_Done,
     /*   52866 */   // Label 847: @52866
     /*   52866 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52921), // Rule ID 46524 //
     /*   52871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52899 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52919 */     GIR_RootConstrainSelectedInstOperands,
     /*   52920 */     // GIR_Coverage, 46524,
     /*   52920 */     GIR_EraseRootFromParent_Done,
     /*   52921 */   // Label 848: @52921
     /*   52921 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52974), // Rule ID 46033 //
     /*   52926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52937 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52972 */     GIR_RootConstrainSelectedInstOperands,
     /*   52973 */     // GIR_Coverage, 46033,
     /*   52973 */     GIR_EraseRootFromParent_Done,
     /*   52974 */   // Label 849: @52974
     /*   52974 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53027), // Rule ID 46034 //
     /*   52979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52990 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   53007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53025 */     GIR_RootConstrainSelectedInstOperands,
     /*   53026 */     // GIR_Coverage, 46034,
     /*   53026 */     GIR_EraseRootFromParent_Done,
     /*   53027 */   // Label 850: @53027
     /*   53027 */   GIM_Reject,
     /*   53028 */ // Label 810: @53028
     /*   53028 */ GIM_Reject,
     /*   53029 */ // Label 145: @53029
     /*   53029 */ GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53423),
     /*   53034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53044 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53112), // Rule ID 69995 //
     /*   53049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53086 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53110 */     GIR_RootConstrainSelectedInstOperands,
     /*   53111 */     // GIR_Coverage, 69995,
     /*   53111 */     GIR_EraseRootFromParent_Done,
     /*   53112 */   // Label 852: @53112
     /*   53112 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53180), // Rule ID 69996 //
     /*   53117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53154 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53178 */     GIR_RootConstrainSelectedInstOperands,
     /*   53179 */     // GIR_Coverage, 69996,
     /*   53179 */     GIR_EraseRootFromParent_Done,
     /*   53180 */   // Label 853: @53180
     /*   53180 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53248), // Rule ID 51769 //
     /*   53185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53222 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53246 */     GIR_RootConstrainSelectedInstOperands,
     /*   53247 */     // GIR_Coverage, 51769,
     /*   53247 */     GIR_EraseRootFromParent_Done,
     /*   53248 */   // Label 854: @53248
     /*   53248 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53316), // Rule ID 51770 //
     /*   53253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53290 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53314 */     GIR_RootConstrainSelectedInstOperands,
     /*   53315 */     // GIR_Coverage, 51770,
     /*   53315 */     GIR_EraseRootFromParent_Done,
     /*   53316 */   // Label 855: @53316
     /*   53316 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53369), // Rule ID 46005 //
     /*   53321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53332 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53367 */     GIR_RootConstrainSelectedInstOperands,
     /*   53368 */     // GIR_Coverage, 46005,
     /*   53368 */     GIR_EraseRootFromParent_Done,
     /*   53369 */   // Label 856: @53369
     /*   53369 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53422), // Rule ID 46006 //
     /*   53374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53385 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53420 */     GIR_RootConstrainSelectedInstOperands,
     /*   53421 */     // GIR_Coverage, 46006,
     /*   53421 */     GIR_EraseRootFromParent_Done,
     /*   53422 */   // Label 857: @53422
     /*   53422 */   GIM_Reject,
     /*   53423 */ // Label 851: @53423
     /*   53423 */ GIM_Reject,
     /*   53424 */ // Label 146: @53424
     /*   53424 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(56548),
     /*   53429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53439 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53535), // Rule ID 70135 //
     /*   53444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53509 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53533 */     GIR_RootConstrainSelectedInstOperands,
     /*   53534 */     // GIR_Coverage, 70135,
     /*   53534 */     GIR_EraseRootFromParent_Done,
     /*   53535 */   // Label 859: @53535
     /*   53535 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53631), // Rule ID 70136 //
     /*   53540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53605 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53629 */     GIR_RootConstrainSelectedInstOperands,
     /*   53630 */     // GIR_Coverage, 70136,
     /*   53630 */     GIR_EraseRootFromParent_Done,
     /*   53631 */   // Label 860: @53631
     /*   53631 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53727), // Rule ID 70391 //
     /*   53636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53701 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53725 */     GIR_RootConstrainSelectedInstOperands,
     /*   53726 */     // GIR_Coverage, 70391,
     /*   53726 */     GIR_EraseRootFromParent_Done,
     /*   53727 */   // Label 861: @53727
     /*   53727 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53823), // Rule ID 70392 //
     /*   53732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53797 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53821 */     GIR_RootConstrainSelectedInstOperands,
     /*   53822 */     // GIR_Coverage, 70392,
     /*   53822 */     GIR_EraseRootFromParent_Done,
     /*   53823 */   // Label 862: @53823
     /*   53823 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53919), // Rule ID 70393 //
     /*   53828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53893 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53917 */     GIR_RootConstrainSelectedInstOperands,
     /*   53918 */     // GIR_Coverage, 70393,
     /*   53918 */     GIR_EraseRootFromParent_Done,
     /*   53919 */   // Label 863: @53919
     /*   53919 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54015), // Rule ID 70394 //
     /*   53924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53989 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54013 */     GIR_RootConstrainSelectedInstOperands,
     /*   54014 */     // GIR_Coverage, 70394,
     /*   54014 */     GIR_EraseRootFromParent_Done,
     /*   54015 */   // Label 864: @54015
     /*   54015 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54111), // Rule ID 70249 //
     /*   54020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54085 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54109 */     GIR_RootConstrainSelectedInstOperands,
     /*   54110 */     // GIR_Coverage, 70249,
     /*   54110 */     GIR_EraseRootFromParent_Done,
     /*   54111 */   // Label 865: @54111
     /*   54111 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54207), // Rule ID 70250 //
     /*   54116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54181 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54205 */     GIR_RootConstrainSelectedInstOperands,
     /*   54206 */     // GIR_Coverage, 70250,
     /*   54206 */     GIR_EraseRootFromParent_Done,
     /*   54207 */   // Label 866: @54207
     /*   54207 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54303), // Rule ID 51909 //
     /*   54212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54268 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54270 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54277 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54301 */     GIR_RootConstrainSelectedInstOperands,
     /*   54302 */     // GIR_Coverage, 51909,
     /*   54302 */     GIR_EraseRootFromParent_Done,
     /*   54303 */   // Label 867: @54303
     /*   54303 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54399), // Rule ID 51910 //
     /*   54308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54364 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54366 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54373 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54397 */     GIR_RootConstrainSelectedInstOperands,
     /*   54398 */     // GIR_Coverage, 51910,
     /*   54398 */     GIR_EraseRootFromParent_Done,
     /*   54399 */   // Label 868: @54399
     /*   54399 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54495), // Rule ID 52027 //
     /*   54404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54460 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54462 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54469 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54493 */     GIR_RootConstrainSelectedInstOperands,
     /*   54494 */     // GIR_Coverage, 52027,
     /*   54494 */     GIR_EraseRootFromParent_Done,
     /*   54495 */   // Label 869: @54495
     /*   54495 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54591), // Rule ID 52028 //
     /*   54500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54552 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54556 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54565 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54589 */     GIR_RootConstrainSelectedInstOperands,
     /*   54590 */     // GIR_Coverage, 52028,
     /*   54590 */     GIR_EraseRootFromParent_Done,
     /*   54591 */   // Label 870: @54591
     /*   54591 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54687), // Rule ID 70389 //
     /*   54596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54648 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54652 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54654 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54661 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54685 */     GIR_RootConstrainSelectedInstOperands,
     /*   54686 */     // GIR_Coverage, 70389,
     /*   54686 */     GIR_EraseRootFromParent_Done,
     /*   54687 */   // Label 871: @54687
     /*   54687 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54783), // Rule ID 70390 //
     /*   54692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54757 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54781 */     GIR_RootConstrainSelectedInstOperands,
     /*   54782 */     // GIR_Coverage, 70390,
     /*   54782 */     GIR_EraseRootFromParent_Done,
     /*   54783 */   // Label 872: @54783
     /*   54783 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54879), // Rule ID 51967 //
     /*   54788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54853 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54877 */     GIR_RootConstrainSelectedInstOperands,
     /*   54878 */     // GIR_Coverage, 51967,
     /*   54878 */     GIR_EraseRootFromParent_Done,
     /*   54879 */   // Label 873: @54879
     /*   54879 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54975), // Rule ID 51968 //
     /*   54884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54949 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54973 */     GIR_RootConstrainSelectedInstOperands,
     /*   54974 */     // GIR_Coverage, 51968,
     /*   54974 */     GIR_EraseRootFromParent_Done,
     /*   54975 */   // Label 874: @54975
     /*   54975 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55064), // Rule ID 46563 //
     /*   54980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55023 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55062 */     GIR_RootConstrainSelectedInstOperands,
     /*   55063 */     // GIR_Coverage, 46563,
     /*   55063 */     GIR_EraseRootFromParent_Done,
     /*   55064 */   // Label 875: @55064
     /*   55064 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55153), // Rule ID 46564 //
     /*   55069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55112 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55151 */     GIR_RootConstrainSelectedInstOperands,
     /*   55152 */     // GIR_Coverage, 46564,
     /*   55152 */     GIR_EraseRootFromParent_Done,
     /*   55153 */   // Label 876: @55153
     /*   55153 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55242), // Rule ID 46327 //
     /*   55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55201 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55240 */     GIR_RootConstrainSelectedInstOperands,
     /*   55241 */     // GIR_Coverage, 46327,
     /*   55241 */     GIR_EraseRootFromParent_Done,
     /*   55242 */   // Label 877: @55242
     /*   55242 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55331), // Rule ID 46328 //
     /*   55247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55290 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55329 */     GIR_RootConstrainSelectedInstOperands,
     /*   55330 */     // GIR_Coverage, 46328,
     /*   55330 */     GIR_EraseRootFromParent_Done,
     /*   55331 */   // Label 878: @55331
     /*   55331 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55420), // Rule ID 46443 //
     /*   55336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55370 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55379 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55418 */     GIR_RootConstrainSelectedInstOperands,
     /*   55419 */     // GIR_Coverage, 46443,
     /*   55419 */     GIR_EraseRootFromParent_Done,
     /*   55420 */   // Label 879: @55420
     /*   55420 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55509), // Rule ID 46444 //
     /*   55425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55459 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55468 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55507 */     GIR_RootConstrainSelectedInstOperands,
     /*   55508 */     // GIR_Coverage, 46444,
     /*   55508 */     GIR_EraseRootFromParent_Done,
     /*   55509 */   // Label 880: @55509
     /*   55509 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55577), // Rule ID 70027 //
     /*   55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55551 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55575 */     GIR_RootConstrainSelectedInstOperands,
     /*   55576 */     // GIR_Coverage, 70027,
     /*   55576 */     GIR_EraseRootFromParent_Done,
     /*   55577 */   // Label 881: @55577
     /*   55577 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55645), // Rule ID 70028 //
     /*   55582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55619 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55643 */     GIR_RootConstrainSelectedInstOperands,
     /*   55644 */     // GIR_Coverage, 70028,
     /*   55644 */     GIR_EraseRootFromParent_Done,
     /*   55645 */   // Label 882: @55645
     /*   55645 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55700), // Rule ID 68943 //
     /*   55650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55678 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55698 */     GIR_RootConstrainSelectedInstOperands,
     /*   55699 */     // GIR_Coverage, 68943,
     /*   55699 */     GIR_EraseRootFromParent_Done,
     /*   55700 */   // Label 883: @55700
     /*   55700 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55755), // Rule ID 68944 //
     /*   55705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55733 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55753 */     GIR_RootConstrainSelectedInstOperands,
     /*   55754 */     // GIR_Coverage, 68944,
     /*   55754 */     GIR_EraseRootFromParent_Done,
     /*   55755 */   // Label 884: @55755
     /*   55755 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55810), // Rule ID 68763 //
     /*   55760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55788 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55808 */     GIR_RootConstrainSelectedInstOperands,
     /*   55809 */     // GIR_Coverage, 68763,
     /*   55809 */     GIR_EraseRootFromParent_Done,
     /*   55810 */   // Label 885: @55810
     /*   55810 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55865), // Rule ID 68764 //
     /*   55815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55843 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55863 */     GIR_RootConstrainSelectedInstOperands,
     /*   55864 */     // GIR_Coverage, 68764,
     /*   55864 */     GIR_EraseRootFromParent_Done,
     /*   55865 */   // Label 886: @55865
     /*   55865 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55920), // Rule ID 68853 //
     /*   55870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55898 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55918 */     GIR_RootConstrainSelectedInstOperands,
     /*   55919 */     // GIR_Coverage, 68853,
     /*   55919 */     GIR_EraseRootFromParent_Done,
     /*   55920 */   // Label 887: @55920
     /*   55920 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55975), // Rule ID 68854 //
     /*   55925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55953 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55973 */     GIR_RootConstrainSelectedInstOperands,
     /*   55974 */     // GIR_Coverage, 68854,
     /*   55974 */     GIR_EraseRootFromParent_Done,
     /*   55975 */   // Label 888: @55975
     /*   55975 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56043), // Rule ID 51785 //
     /*   55980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56017 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56041 */     GIR_RootConstrainSelectedInstOperands,
     /*   56042 */     // GIR_Coverage, 51785,
     /*   56042 */     GIR_EraseRootFromParent_Done,
     /*   56043 */   // Label 889: @56043
     /*   56043 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56111), // Rule ID 51786 //
     /*   56048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56085 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56109 */     GIR_RootConstrainSelectedInstOperands,
     /*   56110 */     // GIR_Coverage, 51786,
     /*   56110 */     GIR_EraseRootFromParent_Done,
     /*   56111 */   // Label 890: @56111
     /*   56111 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56166), // Rule ID 46623 //
     /*   56116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56144 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56164 */     GIR_RootConstrainSelectedInstOperands,
     /*   56165 */     // GIR_Coverage, 46623,
     /*   56165 */     GIR_EraseRootFromParent_Done,
     /*   56166 */   // Label 891: @56166
     /*   56166 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56221), // Rule ID 46624 //
     /*   56171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56199 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56219 */     GIR_RootConstrainSelectedInstOperands,
     /*   56220 */     // GIR_Coverage, 46624,
     /*   56220 */     GIR_EraseRootFromParent_Done,
     /*   56221 */   // Label 892: @56221
     /*   56221 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56276), // Rule ID 46383 //
     /*   56226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56254 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56274 */     GIR_RootConstrainSelectedInstOperands,
     /*   56275 */     // GIR_Coverage, 46383,
     /*   56275 */     GIR_EraseRootFromParent_Done,
     /*   56276 */   // Label 893: @56276
     /*   56276 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56331), // Rule ID 46384 //
     /*   56281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56309 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56329 */     GIR_RootConstrainSelectedInstOperands,
     /*   56330 */     // GIR_Coverage, 46384,
     /*   56330 */     GIR_EraseRootFromParent_Done,
     /*   56331 */   // Label 894: @56331
     /*   56331 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56386), // Rule ID 46503 //
     /*   56336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56364 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56384 */     GIR_RootConstrainSelectedInstOperands,
     /*   56385 */     // GIR_Coverage, 46503,
     /*   56385 */     GIR_EraseRootFromParent_Done,
     /*   56386 */   // Label 895: @56386
     /*   56386 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56441), // Rule ID 46504 //
     /*   56391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56419 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56439 */     GIR_RootConstrainSelectedInstOperands,
     /*   56440 */     // GIR_Coverage, 46504,
     /*   56440 */     GIR_EraseRootFromParent_Done,
     /*   56441 */   // Label 896: @56441
     /*   56441 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56494), // Rule ID 46021 //
     /*   56446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56457 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56492 */     GIR_RootConstrainSelectedInstOperands,
     /*   56493 */     // GIR_Coverage, 46021,
     /*   56493 */     GIR_EraseRootFromParent_Done,
     /*   56494 */   // Label 897: @56494
     /*   56494 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56547), // Rule ID 46022 //
     /*   56499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56510 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56545 */     GIR_RootConstrainSelectedInstOperands,
     /*   56546 */     // GIR_Coverage, 46022,
     /*   56546 */     GIR_EraseRootFromParent_Done,
     /*   56547 */   // Label 898: @56547
     /*   56547 */   GIM_Reject,
     /*   56548 */ // Label 858: @56548
     /*   56548 */ GIM_Reject,
     /*   56549 */ // Label 147: @56549
     /*   56549 */ GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56943),
     /*   56554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56564 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56632), // Rule ID 70003 //
     /*   56569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56606 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56630 */     GIR_RootConstrainSelectedInstOperands,
     /*   56631 */     // GIR_Coverage, 70003,
     /*   56631 */     GIR_EraseRootFromParent_Done,
     /*   56632 */   // Label 900: @56632
     /*   56632 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56700), // Rule ID 70004 //
     /*   56637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56674 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56698 */     GIR_RootConstrainSelectedInstOperands,
     /*   56699 */     // GIR_Coverage, 70004,
     /*   56699 */     GIR_EraseRootFromParent_Done,
     /*   56700 */   // Label 901: @56700
     /*   56700 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56768), // Rule ID 51773 //
     /*   56705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56742 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56766 */     GIR_RootConstrainSelectedInstOperands,
     /*   56767 */     // GIR_Coverage, 51773,
     /*   56767 */     GIR_EraseRootFromParent_Done,
     /*   56768 */   // Label 902: @56768
     /*   56768 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56836), // Rule ID 51774 //
     /*   56773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56810 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56834 */     GIR_RootConstrainSelectedInstOperands,
     /*   56835 */     // GIR_Coverage, 51774,
     /*   56835 */     GIR_EraseRootFromParent_Done,
     /*   56836 */   // Label 903: @56836
     /*   56836 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56889), // Rule ID 46009 //
     /*   56841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56852 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56887 */     GIR_RootConstrainSelectedInstOperands,
     /*   56888 */     // GIR_Coverage, 46009,
     /*   56888 */     GIR_EraseRootFromParent_Done,
     /*   56889 */   // Label 904: @56889
     /*   56889 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56942), // Rule ID 46010 //
     /*   56894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56905 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56940 */     GIR_RootConstrainSelectedInstOperands,
     /*   56941 */     // GIR_Coverage, 46010,
     /*   56941 */     GIR_EraseRootFromParent_Done,
     /*   56942 */   // Label 905: @56942
     /*   56942 */   GIM_Reject,
     /*   56943 */ // Label 899: @56943
     /*   56943 */ GIM_Reject,
     /*   56944 */ // Label 148: @56944
     /*   56944 */ GIM_Reject,
     /*   56945 */ // Label 1: @56945
     /*   56945 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 930*/ GIMT_Encode4(76177),
     /*   56956 */ /*GILLT_s32*//*Label 906*/ GIMT_Encode4(57080),
     /*   56960 */ /*GILLT_s64*//*Label 907*/ GIMT_Encode4(57327), GIMT_Encode4(0),
     /*   56968 */ /*GILLT_nxv1s8*//*Label 908*/ GIMT_Encode4(57603),
     /*   56972 */ /*GILLT_nxv1s16*//*Label 909*/ GIMT_Encode4(57850),
     /*   56976 */ /*GILLT_nxv1s32*//*Label 910*/ GIMT_Encode4(58973),
     /*   56980 */ /*GILLT_nxv1s64*//*Label 911*/ GIMT_Encode4(60096), GIMT_Encode4(0),
     /*   56988 */ /*GILLT_nxv2s8*//*Label 912*/ GIMT_Encode4(61219),
     /*   56992 */ /*GILLT_nxv2s16*//*Label 913*/ GIMT_Encode4(61466),
     /*   56996 */ /*GILLT_nxv2s32*//*Label 914*/ GIMT_Encode4(62589),
     /*   57000 */ /*GILLT_nxv2s64*//*Label 915*/ GIMT_Encode4(63712), GIMT_Encode4(0),
     /*   57008 */ /*GILLT_nxv4s8*//*Label 916*/ GIMT_Encode4(64835),
     /*   57012 */ /*GILLT_nxv4s16*//*Label 917*/ GIMT_Encode4(65082),
     /*   57016 */ /*GILLT_nxv4s32*//*Label 918*/ GIMT_Encode4(66205),
     /*   57020 */ /*GILLT_nxv4s64*//*Label 919*/ GIMT_Encode4(67328), GIMT_Encode4(0),
     /*   57028 */ /*GILLT_nxv8s8*//*Label 920*/ GIMT_Encode4(68451),
     /*   57032 */ /*GILLT_nxv8s16*//*Label 921*/ GIMT_Encode4(68698),
     /*   57036 */ /*GILLT_nxv8s32*//*Label 922*/ GIMT_Encode4(69821),
     /*   57040 */ /*GILLT_nxv8s64*//*Label 923*/ GIMT_Encode4(70944), GIMT_Encode4(0),
     /*   57048 */ /*GILLT_nxv16s8*//*Label 924*/ GIMT_Encode4(72067),
     /*   57052 */ /*GILLT_nxv16s16*//*Label 925*/ GIMT_Encode4(72314),
     /*   57056 */ /*GILLT_nxv16s32*//*Label 926*/ GIMT_Encode4(73437), GIMT_Encode4(0),
     /*   57064 */ /*GILLT_nxv32s8*//*Label 927*/ GIMT_Encode4(74560),
     /*   57068 */ /*GILLT_nxv32s16*//*Label 928*/ GIMT_Encode4(74807), GIMT_Encode4(0),
     /*   57076 */ /*GILLT_nxv64s8*//*Label 929*/ GIMT_Encode4(75930),
     /*   57080 */ // Label 906: @57080
     /*   57080 */ GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57326),
     /*   57085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57095 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57170), // Rule ID 98 //
     /*   57100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57130 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57136 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57152 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57168 */     GIR_RootConstrainSelectedInstOperands,
     /*   57169 */     // GIR_Coverage, 98,
     /*   57169 */     GIR_EraseRootFromParent_Done,
     /*   57170 */   // Label 932: @57170
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57245), // Rule ID 99 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57205 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57211 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57227 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57243 */     GIR_RootConstrainSelectedInstOperands,
     /*   57244 */     // GIR_Coverage, 99,
     /*   57244 */     GIR_EraseRootFromParent_Done,
     /*   57245 */   // Label 933: @57245
     /*   57245 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57302), // Rule ID 62323 //
     /*   57250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57285 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57300 */     GIR_RootConstrainSelectedInstOperands,
     /*   57301 */     // GIR_Coverage, 62323,
     /*   57301 */     GIR_EraseRootFromParent_Done,
     /*   57302 */   // Label 934: @57302
     /*   57302 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57325), // Rule ID 77 //
     /*   57307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57318 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57323 */     GIR_RootConstrainSelectedInstOperands,
     /*   57324 */     // GIR_Coverage, 77,
     /*   57324 */     GIR_Done,
     /*   57325 */   // Label 935: @57325
     /*   57325 */   GIM_Reject,
     /*   57326 */ // Label 931: @57326
     /*   57326 */ GIM_Reject,
     /*   57327 */ // Label 907: @57327
     /*   57327 */ GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57602),
     /*   57332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57338 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57417), // Rule ID 100 //
     /*   57343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57377 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57383 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57399 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57415 */     GIR_RootConstrainSelectedInstOperands,
     /*   57416 */     // GIR_Coverage, 100,
     /*   57416 */     GIR_EraseRootFromParent_Done,
     /*   57417 */   // Label 937: @57417
     /*   57417 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57482), // Rule ID 62325 //
     /*   57422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10019),
     /*   57463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57465 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10019>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57480 */     GIR_RootConstrainSelectedInstOperands,
     /*   57481 */     // GIR_Coverage, 62325,
     /*   57481 */     GIR_EraseRootFromParent_Done,
     /*   57482 */   // Label 938: @57482
     /*   57482 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57543), // Rule ID 62322 //
     /*   57487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57526 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57541 */     GIR_RootConstrainSelectedInstOperands,
     /*   57542 */     // GIR_Coverage, 62322,
     /*   57542 */     GIR_EraseRootFromParent_Done,
     /*   57543 */   // Label 939: @57543
     /*   57543 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57574), // Rule ID 267 //
     /*   57548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10019),
     /*   57567 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10019>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57572 */     GIR_RootConstrainSelectedInstOperands,
     /*   57573 */     // GIR_Coverage, 267,
     /*   57573 */     GIR_Done,
     /*   57574 */   // Label 940: @57574
     /*   57574 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57601), // Rule ID 76 //
     /*   57579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57594 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57599 */     GIR_RootConstrainSelectedInstOperands,
     /*   57600 */     // GIR_Coverage, 76,
     /*   57600 */     GIR_Done,
     /*   57601 */   // Label 941: @57601
     /*   57601 */   GIM_Reject,
     /*   57602 */ // Label 936: @57602
     /*   57602 */ GIM_Reject,
     /*   57603 */ // Label 908: @57603
     /*   57603 */ GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57849),
     /*   57608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57622 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57686), // Rule ID 51813 //
     /*   57627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57660 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57684 */     GIR_RootConstrainSelectedInstOperands,
     /*   57685 */     // GIR_Coverage, 51813,
     /*   57685 */     GIR_EraseRootFromParent_Done,
     /*   57686 */   // Label 943: @57686
     /*   57686 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57750), // Rule ID 51814 //
     /*   57691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57724 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57748 */     GIR_RootConstrainSelectedInstOperands,
     /*   57749 */     // GIR_Coverage, 51814,
     /*   57749 */     GIR_EraseRootFromParent_Done,
     /*   57750 */   // Label 944: @57750
     /*   57750 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57799), // Rule ID 46091 //
     /*   57755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57762 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57797 */     GIR_RootConstrainSelectedInstOperands,
     /*   57798 */     // GIR_Coverage, 46091,
     /*   57798 */     GIR_EraseRootFromParent_Done,
     /*   57799 */   // Label 945: @57799
     /*   57799 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57848), // Rule ID 46092 //
     /*   57804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57811 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57846 */     GIR_RootConstrainSelectedInstOperands,
     /*   57847 */     // GIR_Coverage, 46092,
     /*   57847 */     GIR_EraseRootFromParent_Done,
     /*   57848 */   // Label 946: @57848
     /*   57848 */   GIM_Reject,
     /*   57849 */ // Label 942: @57849
     /*   57849 */ GIM_Reject,
     /*   57850 */ // Label 909: @57850
     /*   57850 */ GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58972),
     /*   57855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57865 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(57954), // Rule ID 47083 //
     /*   57870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57913 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57952 */     GIR_RootConstrainSelectedInstOperands,
     /*   57953 */     // GIR_Coverage, 47083,
     /*   57953 */     GIR_EraseRootFromParent_Done,
     /*   57954 */   // Label 948: @57954
     /*   57954 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58043), // Rule ID 47084 //
     /*   57959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58002 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58041 */     GIR_RootConstrainSelectedInstOperands,
     /*   58042 */     // GIR_Coverage, 47084,
     /*   58042 */     GIR_EraseRootFromParent_Done,
     /*   58043 */   // Label 949: @58043
     /*   58043 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58132), // Rule ID 46843 //
     /*   58048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58082 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58091 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58130 */     GIR_RootConstrainSelectedInstOperands,
     /*   58131 */     // GIR_Coverage, 46843,
     /*   58131 */     GIR_EraseRootFromParent_Done,
     /*   58132 */   // Label 950: @58132
     /*   58132 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58221), // Rule ID 46844 //
     /*   58137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58171 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58180 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58219 */     GIR_RootConstrainSelectedInstOperands,
     /*   58220 */     // GIR_Coverage, 46844,
     /*   58220 */     GIR_EraseRootFromParent_Done,
     /*   58221 */   // Label 951: @58221
     /*   58221 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58310), // Rule ID 46963 //
     /*   58226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58269 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58308 */     GIR_RootConstrainSelectedInstOperands,
     /*   58309 */     // GIR_Coverage, 46963,
     /*   58309 */     GIR_EraseRootFromParent_Done,
     /*   58310 */   // Label 952: @58310
     /*   58310 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58399), // Rule ID 46964 //
     /*   58315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58358 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58397 */     GIR_RootConstrainSelectedInstOperands,
     /*   58398 */     // GIR_Coverage, 46964,
     /*   58398 */     GIR_EraseRootFromParent_Done,
     /*   58399 */   // Label 953: @58399
     /*   58399 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58467), // Rule ID 51825 //
     /*   58404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58441 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58465 */     GIR_RootConstrainSelectedInstOperands,
     /*   58466 */     // GIR_Coverage, 51825,
     /*   58466 */     GIR_EraseRootFromParent_Done,
     /*   58467 */   // Label 954: @58467
     /*   58467 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58535), // Rule ID 51826 //
     /*   58472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58509 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58533 */     GIR_RootConstrainSelectedInstOperands,
     /*   58534 */     // GIR_Coverage, 51826,
     /*   58534 */     GIR_EraseRootFromParent_Done,
     /*   58535 */   // Label 955: @58535
     /*   58535 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58590), // Rule ID 47143 //
     /*   58540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58568 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58588 */     GIR_RootConstrainSelectedInstOperands,
     /*   58589 */     // GIR_Coverage, 47143,
     /*   58589 */     GIR_EraseRootFromParent_Done,
     /*   58590 */   // Label 956: @58590
     /*   58590 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58645), // Rule ID 47144 //
     /*   58595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58623 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58643 */     GIR_RootConstrainSelectedInstOperands,
     /*   58644 */     // GIR_Coverage, 47144,
     /*   58644 */     GIR_EraseRootFromParent_Done,
     /*   58645 */   // Label 957: @58645
     /*   58645 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58700), // Rule ID 46903 //
     /*   58650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58678 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58698 */     GIR_RootConstrainSelectedInstOperands,
     /*   58699 */     // GIR_Coverage, 46903,
     /*   58699 */     GIR_EraseRootFromParent_Done,
     /*   58700 */   // Label 958: @58700
     /*   58700 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58755), // Rule ID 46904 //
     /*   58705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58733 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58753 */     GIR_RootConstrainSelectedInstOperands,
     /*   58754 */     // GIR_Coverage, 46904,
     /*   58754 */     GIR_EraseRootFromParent_Done,
     /*   58755 */   // Label 959: @58755
     /*   58755 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(58810), // Rule ID 47023 //
     /*   58760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58788 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58808 */     GIR_RootConstrainSelectedInstOperands,
     /*   58809 */     // GIR_Coverage, 47023,
     /*   58809 */     GIR_EraseRootFromParent_Done,
     /*   58810 */   // Label 960: @58810
     /*   58810 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58865), // Rule ID 47024 //
     /*   58815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58843 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58863 */     GIR_RootConstrainSelectedInstOperands,
     /*   58864 */     // GIR_Coverage, 47024,
     /*   58864 */     GIR_EraseRootFromParent_Done,
     /*   58865 */   // Label 961: @58865
     /*   58865 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58918), // Rule ID 46103 //
     /*   58870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58881 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58916 */     GIR_RootConstrainSelectedInstOperands,
     /*   58917 */     // GIR_Coverage, 46103,
     /*   58917 */     GIR_EraseRootFromParent_Done,
     /*   58918 */   // Label 962: @58918
     /*   58918 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58971), // Rule ID 46104 //
     /*   58923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58934 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58969 */     GIR_RootConstrainSelectedInstOperands,
     /*   58970 */     // GIR_Coverage, 46104,
     /*   58970 */     GIR_EraseRootFromParent_Done,
     /*   58971 */   // Label 963: @58971
     /*   58971 */   GIM_Reject,
     /*   58972 */ // Label 947: @58972
     /*   58972 */ GIM_Reject,
     /*   58973 */ // Label 910: @58973
     /*   58973 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(60095),
     /*   58978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58988 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59077), // Rule ID 47107 //
     /*   58993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59075 */     GIR_RootConstrainSelectedInstOperands,
     /*   59076 */     // GIR_Coverage, 47107,
     /*   59076 */     GIR_EraseRootFromParent_Done,
     /*   59077 */   // Label 965: @59077
     /*   59077 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59166), // Rule ID 47108 //
     /*   59082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59125 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59164 */     GIR_RootConstrainSelectedInstOperands,
     /*   59165 */     // GIR_Coverage, 47108,
     /*   59165 */     GIR_EraseRootFromParent_Done,
     /*   59166 */   // Label 966: @59166
     /*   59166 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59255), // Rule ID 46867 //
     /*   59171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59214 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59253 */     GIR_RootConstrainSelectedInstOperands,
     /*   59254 */     // GIR_Coverage, 46867,
     /*   59254 */     GIR_EraseRootFromParent_Done,
     /*   59255 */   // Label 967: @59255
     /*   59255 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59344), // Rule ID 46868 //
     /*   59260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59303 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59342 */     GIR_RootConstrainSelectedInstOperands,
     /*   59343 */     // GIR_Coverage, 46868,
     /*   59343 */     GIR_EraseRootFromParent_Done,
     /*   59344 */   // Label 968: @59344
     /*   59344 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59433), // Rule ID 46987 //
     /*   59349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59392 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59431 */     GIR_RootConstrainSelectedInstOperands,
     /*   59432 */     // GIR_Coverage, 46987,
     /*   59432 */     GIR_EraseRootFromParent_Done,
     /*   59433 */   // Label 969: @59433
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59522), // Rule ID 46988 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59481 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59520 */     GIR_RootConstrainSelectedInstOperands,
     /*   59521 */     // GIR_Coverage, 46988,
     /*   59521 */     GIR_EraseRootFromParent_Done,
     /*   59522 */   // Label 970: @59522
     /*   59522 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59590), // Rule ID 51833 //
     /*   59527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59564 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59588 */     GIR_RootConstrainSelectedInstOperands,
     /*   59589 */     // GIR_Coverage, 51833,
     /*   59589 */     GIR_EraseRootFromParent_Done,
     /*   59590 */   // Label 971: @59590
     /*   59590 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59658), // Rule ID 51834 //
     /*   59595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59632 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59656 */     GIR_RootConstrainSelectedInstOperands,
     /*   59657 */     // GIR_Coverage, 51834,
     /*   59657 */     GIR_EraseRootFromParent_Done,
     /*   59658 */   // Label 972: @59658
     /*   59658 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59713), // Rule ID 47167 //
     /*   59663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59691 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59711 */     GIR_RootConstrainSelectedInstOperands,
     /*   59712 */     // GIR_Coverage, 47167,
     /*   59712 */     GIR_EraseRootFromParent_Done,
     /*   59713 */   // Label 973: @59713
     /*   59713 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59768), // Rule ID 47168 //
     /*   59718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59746 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59766 */     GIR_RootConstrainSelectedInstOperands,
     /*   59767 */     // GIR_Coverage, 47168,
     /*   59767 */     GIR_EraseRootFromParent_Done,
     /*   59768 */   // Label 974: @59768
     /*   59768 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59823), // Rule ID 46927 //
     /*   59773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59801 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59821 */     GIR_RootConstrainSelectedInstOperands,
     /*   59822 */     // GIR_Coverage, 46927,
     /*   59822 */     GIR_EraseRootFromParent_Done,
     /*   59823 */   // Label 975: @59823
     /*   59823 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59878), // Rule ID 46928 //
     /*   59828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59856 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59876 */     GIR_RootConstrainSelectedInstOperands,
     /*   59877 */     // GIR_Coverage, 46928,
     /*   59877 */     GIR_EraseRootFromParent_Done,
     /*   59878 */   // Label 976: @59878
     /*   59878 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59933), // Rule ID 47047 //
     /*   59883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59911 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59931 */     GIR_RootConstrainSelectedInstOperands,
     /*   59932 */     // GIR_Coverage, 47047,
     /*   59932 */     GIR_EraseRootFromParent_Done,
     /*   59933 */   // Label 977: @59933
     /*   59933 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59988), // Rule ID 47048 //
     /*   59938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59966 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59986 */     GIR_RootConstrainSelectedInstOperands,
     /*   59987 */     // GIR_Coverage, 47048,
     /*   59987 */     GIR_EraseRootFromParent_Done,
     /*   59988 */   // Label 978: @59988
     /*   59988 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(60041), // Rule ID 46111 //
     /*   59993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60004 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60039 */     GIR_RootConstrainSelectedInstOperands,
     /*   60040 */     // GIR_Coverage, 46111,
     /*   60040 */     GIR_EraseRootFromParent_Done,
     /*   60041 */   // Label 979: @60041
     /*   60041 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60094), // Rule ID 46112 //
     /*   60046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60057 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60092 */     GIR_RootConstrainSelectedInstOperands,
     /*   60093 */     // GIR_Coverage, 46112,
     /*   60093 */     GIR_EraseRootFromParent_Done,
     /*   60094 */   // Label 980: @60094
     /*   60094 */   GIM_Reject,
     /*   60095 */ // Label 964: @60095
     /*   60095 */ GIM_Reject,
     /*   60096 */ // Label 911: @60096
     /*   60096 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(61218),
     /*   60101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60111 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60200), // Rule ID 47127 //
     /*   60116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60159 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60198 */     GIR_RootConstrainSelectedInstOperands,
     /*   60199 */     // GIR_Coverage, 47127,
     /*   60199 */     GIR_EraseRootFromParent_Done,
     /*   60200 */   // Label 982: @60200
     /*   60200 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60289), // Rule ID 47128 //
     /*   60205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60220 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60248 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_RootConstrainSelectedInstOperands,
     /*   60288 */     // GIR_Coverage, 47128,
     /*   60288 */     GIR_EraseRootFromParent_Done,
     /*   60289 */   // Label 983: @60289
     /*   60289 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60378), // Rule ID 46887 //
     /*   60294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60309 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60337 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60376 */     GIR_RootConstrainSelectedInstOperands,
     /*   60377 */     // GIR_Coverage, 46887,
     /*   60377 */     GIR_EraseRootFromParent_Done,
     /*   60378 */   // Label 984: @60378
     /*   60378 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60467), // Rule ID 46888 //
     /*   60383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60426 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60465 */     GIR_RootConstrainSelectedInstOperands,
     /*   60466 */     // GIR_Coverage, 46888,
     /*   60466 */     GIR_EraseRootFromParent_Done,
     /*   60467 */   // Label 985: @60467
     /*   60467 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60556), // Rule ID 47007 //
     /*   60472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60515 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60554 */     GIR_RootConstrainSelectedInstOperands,
     /*   60555 */     // GIR_Coverage, 47007,
     /*   60555 */     GIR_EraseRootFromParent_Done,
     /*   60556 */   // Label 986: @60556
     /*   60556 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60645), // Rule ID 47008 //
     /*   60561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60604 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60643 */     GIR_RootConstrainSelectedInstOperands,
     /*   60644 */     // GIR_Coverage, 47008,
     /*   60644 */     GIR_EraseRootFromParent_Done,
     /*   60645 */   // Label 987: @60645
     /*   60645 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60713), // Rule ID 51849 //
     /*   60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60687 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60711 */     GIR_RootConstrainSelectedInstOperands,
     /*   60712 */     // GIR_Coverage, 51849,
     /*   60712 */     GIR_EraseRootFromParent_Done,
     /*   60713 */   // Label 988: @60713
     /*   60713 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60781), // Rule ID 51850 //
     /*   60718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60755 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60779 */     GIR_RootConstrainSelectedInstOperands,
     /*   60780 */     // GIR_Coverage, 51850,
     /*   60780 */     GIR_EraseRootFromParent_Done,
     /*   60781 */   // Label 989: @60781
     /*   60781 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60836), // Rule ID 47187 //
     /*   60786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60814 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60834 */     GIR_RootConstrainSelectedInstOperands,
     /*   60835 */     // GIR_Coverage, 47187,
     /*   60835 */     GIR_EraseRootFromParent_Done,
     /*   60836 */   // Label 990: @60836
     /*   60836 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60891), // Rule ID 47188 //
     /*   60841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60860 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60869 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60889 */     GIR_RootConstrainSelectedInstOperands,
     /*   60890 */     // GIR_Coverage, 47188,
     /*   60890 */     GIR_EraseRootFromParent_Done,
     /*   60891 */   // Label 991: @60891
     /*   60891 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60946), // Rule ID 46947 //
     /*   60896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60924 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60944 */     GIR_RootConstrainSelectedInstOperands,
     /*   60945 */     // GIR_Coverage, 46947,
     /*   60945 */     GIR_EraseRootFromParent_Done,
     /*   60946 */   // Label 992: @60946
     /*   60946 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61001), // Rule ID 46948 //
     /*   60951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60979 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60999 */     GIR_RootConstrainSelectedInstOperands,
     /*   61000 */     // GIR_Coverage, 46948,
     /*   61000 */     GIR_EraseRootFromParent_Done,
     /*   61001 */   // Label 993: @61001
     /*   61001 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61056), // Rule ID 47067 //
     /*   61006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   61009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61034 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   61034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61054 */     GIR_RootConstrainSelectedInstOperands,
     /*   61055 */     // GIR_Coverage, 47067,
     /*   61055 */     GIR_EraseRootFromParent_Done,
     /*   61056 */   // Label 994: @61056
     /*   61056 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61111), // Rule ID 47068 //
     /*   61061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   61064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61089 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61109 */     GIR_RootConstrainSelectedInstOperands,
     /*   61110 */     // GIR_Coverage, 47068,
     /*   61110 */     GIR_EraseRootFromParent_Done,
     /*   61111 */   // Label 995: @61111
     /*   61111 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61164), // Rule ID 46127 //
     /*   61116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61127 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61162 */     GIR_RootConstrainSelectedInstOperands,
     /*   61163 */     // GIR_Coverage, 46127,
     /*   61163 */     GIR_EraseRootFromParent_Done,
     /*   61164 */   // Label 996: @61164
     /*   61164 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61217), // Rule ID 46128 //
     /*   61169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61180 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61215 */     GIR_RootConstrainSelectedInstOperands,
     /*   61216 */     // GIR_Coverage, 46128,
     /*   61216 */     GIR_EraseRootFromParent_Done,
     /*   61217 */   // Label 997: @61217
     /*   61217 */   GIM_Reject,
     /*   61218 */ // Label 981: @61218
     /*   61218 */ GIM_Reject,
     /*   61219 */ // Label 912: @61219
     /*   61219 */ GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61465),
     /*   61224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61238 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61302), // Rule ID 51817 //
     /*   61243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61276 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61300 */     GIR_RootConstrainSelectedInstOperands,
     /*   61301 */     // GIR_Coverage, 51817,
     /*   61301 */     GIR_EraseRootFromParent_Done,
     /*   61302 */   // Label 999: @61302
     /*   61302 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61366), // Rule ID 51818 //
     /*   61307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61340 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61364 */     GIR_RootConstrainSelectedInstOperands,
     /*   61365 */     // GIR_Coverage, 51818,
     /*   61365 */     GIR_EraseRootFromParent_Done,
     /*   61366 */   // Label 1000: @61366
     /*   61366 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61415), // Rule ID 46095 //
     /*   61371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61378 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61413 */     GIR_RootConstrainSelectedInstOperands,
     /*   61414 */     // GIR_Coverage, 46095,
     /*   61414 */     GIR_EraseRootFromParent_Done,
     /*   61415 */   // Label 1001: @61415
     /*   61415 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61464), // Rule ID 46096 //
     /*   61420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61427 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61462 */     GIR_RootConstrainSelectedInstOperands,
     /*   61463 */     // GIR_Coverage, 46096,
     /*   61463 */     GIR_EraseRootFromParent_Done,
     /*   61464 */   // Label 1002: @61464
     /*   61464 */   GIM_Reject,
     /*   61465 */ // Label 998: @61465
     /*   61465 */ GIM_Reject,
     /*   61466 */ // Label 913: @61466
     /*   61466 */ GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(62588),
     /*   61471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61481 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61570), // Rule ID 47087 //
     /*   61486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61520 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61529 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61568 */     GIR_RootConstrainSelectedInstOperands,
     /*   61569 */     // GIR_Coverage, 47087,
     /*   61569 */     GIR_EraseRootFromParent_Done,
     /*   61570 */   // Label 1004: @61570
     /*   61570 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61659), // Rule ID 47088 //
     /*   61575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61618 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61657 */     GIR_RootConstrainSelectedInstOperands,
     /*   61658 */     // GIR_Coverage, 47088,
     /*   61658 */     GIR_EraseRootFromParent_Done,
     /*   61659 */   // Label 1005: @61659
     /*   61659 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61748), // Rule ID 46847 //
     /*   61664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61707 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61746 */     GIR_RootConstrainSelectedInstOperands,
     /*   61747 */     // GIR_Coverage, 46847,
     /*   61747 */     GIR_EraseRootFromParent_Done,
     /*   61748 */   // Label 1006: @61748
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(61837), // Rule ID 46848 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61787 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61796 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61835 */     GIR_RootConstrainSelectedInstOperands,
     /*   61836 */     // GIR_Coverage, 46848,
     /*   61836 */     GIR_EraseRootFromParent_Done,
     /*   61837 */   // Label 1007: @61837
     /*   61837 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(61926), // Rule ID 46967 //
     /*   61842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61924 */     GIR_RootConstrainSelectedInstOperands,
     /*   61925 */     // GIR_Coverage, 46967,
     /*   61925 */     GIR_EraseRootFromParent_Done,
     /*   61926 */   // Label 1008: @61926
     /*   61926 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62015), // Rule ID 46968 //
     /*   61931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61974 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62013 */     GIR_RootConstrainSelectedInstOperands,
     /*   62014 */     // GIR_Coverage, 46968,
     /*   62014 */     GIR_EraseRootFromParent_Done,
     /*   62015 */   // Label 1009: @62015
     /*   62015 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62083), // Rule ID 51829 //
     /*   62020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62057 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62081 */     GIR_RootConstrainSelectedInstOperands,
     /*   62082 */     // GIR_Coverage, 51829,
     /*   62082 */     GIR_EraseRootFromParent_Done,
     /*   62083 */   // Label 1010: @62083
     /*   62083 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62151), // Rule ID 51830 //
     /*   62088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62125 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62149 */     GIR_RootConstrainSelectedInstOperands,
     /*   62150 */     // GIR_Coverage, 51830,
     /*   62150 */     GIR_EraseRootFromParent_Done,
     /*   62151 */   // Label 1011: @62151
     /*   62151 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62206), // Rule ID 47147 //
     /*   62156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62184 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62204 */     GIR_RootConstrainSelectedInstOperands,
     /*   62205 */     // GIR_Coverage, 47147,
     /*   62205 */     GIR_EraseRootFromParent_Done,
     /*   62206 */   // Label 1012: @62206
     /*   62206 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62261), // Rule ID 47148 //
     /*   62211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62239 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62259 */     GIR_RootConstrainSelectedInstOperands,
     /*   62260 */     // GIR_Coverage, 47148,
     /*   62260 */     GIR_EraseRootFromParent_Done,
     /*   62261 */   // Label 1013: @62261
     /*   62261 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62316), // Rule ID 46907 //
     /*   62266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62294 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62314 */     GIR_RootConstrainSelectedInstOperands,
     /*   62315 */     // GIR_Coverage, 46907,
     /*   62315 */     GIR_EraseRootFromParent_Done,
     /*   62316 */   // Label 1014: @62316
     /*   62316 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62371), // Rule ID 46908 //
     /*   62321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62349 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62369 */     GIR_RootConstrainSelectedInstOperands,
     /*   62370 */     // GIR_Coverage, 46908,
     /*   62370 */     GIR_EraseRootFromParent_Done,
     /*   62371 */   // Label 1015: @62371
     /*   62371 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62426), // Rule ID 47027 //
     /*   62376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62404 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62424 */     GIR_RootConstrainSelectedInstOperands,
     /*   62425 */     // GIR_Coverage, 47027,
     /*   62425 */     GIR_EraseRootFromParent_Done,
     /*   62426 */   // Label 1016: @62426
     /*   62426 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62481), // Rule ID 47028 //
     /*   62431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62459 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62479 */     GIR_RootConstrainSelectedInstOperands,
     /*   62480 */     // GIR_Coverage, 47028,
     /*   62480 */     GIR_EraseRootFromParent_Done,
     /*   62481 */   // Label 1017: @62481
     /*   62481 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62534), // Rule ID 46107 //
     /*   62486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62497 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62532 */     GIR_RootConstrainSelectedInstOperands,
     /*   62533 */     // GIR_Coverage, 46107,
     /*   62533 */     GIR_EraseRootFromParent_Done,
     /*   62534 */   // Label 1018: @62534
     /*   62534 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62587), // Rule ID 46108 //
     /*   62539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62550 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62585 */     GIR_RootConstrainSelectedInstOperands,
     /*   62586 */     // GIR_Coverage, 46108,
     /*   62586 */     GIR_EraseRootFromParent_Done,
     /*   62587 */   // Label 1019: @62587
     /*   62587 */   GIM_Reject,
     /*   62588 */ // Label 1003: @62588
     /*   62588 */ GIM_Reject,
     /*   62589 */ // Label 914: @62589
     /*   62589 */ GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63711),
     /*   62594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62604 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62693), // Rule ID 47111 //
     /*   62609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62652 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62691 */     GIR_RootConstrainSelectedInstOperands,
     /*   62692 */     // GIR_Coverage, 47111,
     /*   62692 */     GIR_EraseRootFromParent_Done,
     /*   62693 */   // Label 1021: @62693
     /*   62693 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(62782), // Rule ID 47112 //
     /*   62698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62741 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62780 */     GIR_RootConstrainSelectedInstOperands,
     /*   62781 */     // GIR_Coverage, 47112,
     /*   62781 */     GIR_EraseRootFromParent_Done,
     /*   62782 */   // Label 1022: @62782
     /*   62782 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(62871), // Rule ID 46871 //
     /*   62787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62830 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62869 */     GIR_RootConstrainSelectedInstOperands,
     /*   62870 */     // GIR_Coverage, 46871,
     /*   62870 */     GIR_EraseRootFromParent_Done,
     /*   62871 */   // Label 1023: @62871
     /*   62871 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(62960), // Rule ID 46872 //
     /*   62876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62919 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62958 */     GIR_RootConstrainSelectedInstOperands,
     /*   62959 */     // GIR_Coverage, 46872,
     /*   62959 */     GIR_EraseRootFromParent_Done,
     /*   62960 */   // Label 1024: @62960
     /*   62960 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63049), // Rule ID 46991 //
     /*   62965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63008 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63047 */     GIR_RootConstrainSelectedInstOperands,
     /*   63048 */     // GIR_Coverage, 46991,
     /*   63048 */     GIR_EraseRootFromParent_Done,
     /*   63049 */   // Label 1025: @63049
     /*   63049 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63138), // Rule ID 46992 //
     /*   63054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63097 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63136 */     GIR_RootConstrainSelectedInstOperands,
     /*   63137 */     // GIR_Coverage, 46992,
     /*   63137 */     GIR_EraseRootFromParent_Done,
     /*   63138 */   // Label 1026: @63138
     /*   63138 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63206), // Rule ID 51845 //
     /*   63143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63180 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63204 */     GIR_RootConstrainSelectedInstOperands,
     /*   63205 */     // GIR_Coverage, 51845,
     /*   63205 */     GIR_EraseRootFromParent_Done,
     /*   63206 */   // Label 1027: @63206
     /*   63206 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63274), // Rule ID 51846 //
     /*   63211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63248 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63272 */     GIR_RootConstrainSelectedInstOperands,
     /*   63273 */     // GIR_Coverage, 51846,
     /*   63273 */     GIR_EraseRootFromParent_Done,
     /*   63274 */   // Label 1028: @63274
     /*   63274 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63329), // Rule ID 47171 //
     /*   63279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63307 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63327 */     GIR_RootConstrainSelectedInstOperands,
     /*   63328 */     // GIR_Coverage, 47171,
     /*   63328 */     GIR_EraseRootFromParent_Done,
     /*   63329 */   // Label 1029: @63329
     /*   63329 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63384), // Rule ID 47172 //
     /*   63334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63362 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63382 */     GIR_RootConstrainSelectedInstOperands,
     /*   63383 */     // GIR_Coverage, 47172,
     /*   63383 */     GIR_EraseRootFromParent_Done,
     /*   63384 */   // Label 1030: @63384
     /*   63384 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63439), // Rule ID 46931 //
     /*   63389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63417 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63437 */     GIR_RootConstrainSelectedInstOperands,
     /*   63438 */     // GIR_Coverage, 46931,
     /*   63438 */     GIR_EraseRootFromParent_Done,
     /*   63439 */   // Label 1031: @63439
     /*   63439 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63494), // Rule ID 46932 //
     /*   63444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63472 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 46932,
     /*   63493 */     GIR_EraseRootFromParent_Done,
     /*   63494 */   // Label 1032: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63549), // Rule ID 47051 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63527 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63547 */     GIR_RootConstrainSelectedInstOperands,
     /*   63548 */     // GIR_Coverage, 47051,
     /*   63548 */     GIR_EraseRootFromParent_Done,
     /*   63549 */   // Label 1033: @63549
     /*   63549 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63604), // Rule ID 47052 //
     /*   63554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63582 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63602 */     GIR_RootConstrainSelectedInstOperands,
     /*   63603 */     // GIR_Coverage, 47052,
     /*   63603 */     GIR_EraseRootFromParent_Done,
     /*   63604 */   // Label 1034: @63604
     /*   63604 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(63657), // Rule ID 46123 //
     /*   63609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63620 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63655 */     GIR_RootConstrainSelectedInstOperands,
     /*   63656 */     // GIR_Coverage, 46123,
     /*   63656 */     GIR_EraseRootFromParent_Done,
     /*   63657 */   // Label 1035: @63657
     /*   63657 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63710), // Rule ID 46124 //
     /*   63662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63673 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63708 */     GIR_RootConstrainSelectedInstOperands,
     /*   63709 */     // GIR_Coverage, 46124,
     /*   63709 */     GIR_EraseRootFromParent_Done,
     /*   63710 */   // Label 1036: @63710
     /*   63710 */   GIM_Reject,
     /*   63711 */ // Label 1020: @63711
     /*   63711 */ GIM_Reject,
     /*   63712 */ // Label 915: @63712
     /*   63712 */ GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64834),
     /*   63717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63727 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(63816), // Rule ID 47131 //
     /*   63732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63775 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63814 */     GIR_RootConstrainSelectedInstOperands,
     /*   63815 */     // GIR_Coverage, 47131,
     /*   63815 */     GIR_EraseRootFromParent_Done,
     /*   63816 */   // Label 1038: @63816
     /*   63816 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(63905), // Rule ID 47132 //
     /*   63821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63864 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 47132,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1039: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(63994), // Rule ID 46891 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63953 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63992 */     GIR_RootConstrainSelectedInstOperands,
     /*   63993 */     // GIR_Coverage, 46891,
     /*   63993 */     GIR_EraseRootFromParent_Done,
     /*   63994 */   // Label 1040: @63994
     /*   63994 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64083), // Rule ID 46892 //
     /*   63999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64042 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   64059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64081 */     GIR_RootConstrainSelectedInstOperands,
     /*   64082 */     // GIR_Coverage, 46892,
     /*   64082 */     GIR_EraseRootFromParent_Done,
     /*   64083 */   // Label 1041: @64083
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64172), // Rule ID 47011 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64131 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64170 */     GIR_RootConstrainSelectedInstOperands,
     /*   64171 */     // GIR_Coverage, 47011,
     /*   64171 */     GIR_EraseRootFromParent_Done,
     /*   64172 */   // Label 1042: @64172
     /*   64172 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64261), // Rule ID 47012 //
     /*   64177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64220 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64259 */     GIR_RootConstrainSelectedInstOperands,
     /*   64260 */     // GIR_Coverage, 47012,
     /*   64260 */     GIR_EraseRootFromParent_Done,
     /*   64261 */   // Label 1043: @64261
     /*   64261 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64329), // Rule ID 51889 //
     /*   64266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64303 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64327 */     GIR_RootConstrainSelectedInstOperands,
     /*   64328 */     // GIR_Coverage, 51889,
     /*   64328 */     GIR_EraseRootFromParent_Done,
     /*   64329 */   // Label 1044: @64329
     /*   64329 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64397), // Rule ID 51890 //
     /*   64334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64371 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64395 */     GIR_RootConstrainSelectedInstOperands,
     /*   64396 */     // GIR_Coverage, 51890,
     /*   64396 */     GIR_EraseRootFromParent_Done,
     /*   64397 */   // Label 1045: @64397
     /*   64397 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64452), // Rule ID 47191 //
     /*   64402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64430 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64450 */     GIR_RootConstrainSelectedInstOperands,
     /*   64451 */     // GIR_Coverage, 47191,
     /*   64451 */     GIR_EraseRootFromParent_Done,
     /*   64452 */   // Label 1046: @64452
     /*   64452 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64507), // Rule ID 47192 //
     /*   64457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64485 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64505 */     GIR_RootConstrainSelectedInstOperands,
     /*   64506 */     // GIR_Coverage, 47192,
     /*   64506 */     GIR_EraseRootFromParent_Done,
     /*   64507 */   // Label 1047: @64507
     /*   64507 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64562), // Rule ID 46951 //
     /*   64512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64540 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64560 */     GIR_RootConstrainSelectedInstOperands,
     /*   64561 */     // GIR_Coverage, 46951,
     /*   64561 */     GIR_EraseRootFromParent_Done,
     /*   64562 */   // Label 1048: @64562
     /*   64562 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64617), // Rule ID 46952 //
     /*   64567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64595 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64615 */     GIR_RootConstrainSelectedInstOperands,
     /*   64616 */     // GIR_Coverage, 46952,
     /*   64616 */     GIR_EraseRootFromParent_Done,
     /*   64617 */   // Label 1049: @64617
     /*   64617 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64672), // Rule ID 47071 //
     /*   64622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64650 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64670 */     GIR_RootConstrainSelectedInstOperands,
     /*   64671 */     // GIR_Coverage, 47071,
     /*   64671 */     GIR_EraseRootFromParent_Done,
     /*   64672 */   // Label 1050: @64672
     /*   64672 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64727), // Rule ID 47072 //
     /*   64677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64705 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64725 */     GIR_RootConstrainSelectedInstOperands,
     /*   64726 */     // GIR_Coverage, 47072,
     /*   64726 */     GIR_EraseRootFromParent_Done,
     /*   64727 */   // Label 1051: @64727
     /*   64727 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(64780), // Rule ID 46167 //
     /*   64732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64743 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64778 */     GIR_RootConstrainSelectedInstOperands,
     /*   64779 */     // GIR_Coverage, 46167,
     /*   64779 */     GIR_EraseRootFromParent_Done,
     /*   64780 */   // Label 1052: @64780
     /*   64780 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64833), // Rule ID 46168 //
     /*   64785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64796 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64831 */     GIR_RootConstrainSelectedInstOperands,
     /*   64832 */     // GIR_Coverage, 46168,
     /*   64832 */     GIR_EraseRootFromParent_Done,
     /*   64833 */   // Label 1053: @64833
     /*   64833 */   GIM_Reject,
     /*   64834 */ // Label 1037: @64834
     /*   64834 */ GIM_Reject,
     /*   64835 */ // Label 916: @64835
     /*   64835 */ GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65081),
     /*   64840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(64918), // Rule ID 51821 //
     /*   64859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64892 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64916 */     GIR_RootConstrainSelectedInstOperands,
     /*   64917 */     // GIR_Coverage, 51821,
     /*   64917 */     GIR_EraseRootFromParent_Done,
     /*   64918 */   // Label 1055: @64918
     /*   64918 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(64982), // Rule ID 51822 //
     /*   64923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64956 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64980 */     GIR_RootConstrainSelectedInstOperands,
     /*   64981 */     // GIR_Coverage, 51822,
     /*   64981 */     GIR_EraseRootFromParent_Done,
     /*   64982 */   // Label 1056: @64982
     /*   64982 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65031), // Rule ID 46099 //
     /*   64987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64994 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   64994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65029 */     GIR_RootConstrainSelectedInstOperands,
     /*   65030 */     // GIR_Coverage, 46099,
     /*   65030 */     GIR_EraseRootFromParent_Done,
     /*   65031 */   // Label 1057: @65031
     /*   65031 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65080), // Rule ID 46100 //
     /*   65036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65043 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65078 */     GIR_RootConstrainSelectedInstOperands,
     /*   65079 */     // GIR_Coverage, 46100,
     /*   65079 */     GIR_EraseRootFromParent_Done,
     /*   65080 */   // Label 1058: @65080
     /*   65080 */   GIM_Reject,
     /*   65081 */ // Label 1054: @65081
     /*   65081 */ GIM_Reject,
     /*   65082 */ // Label 917: @65082
     /*   65082 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(66204),
     /*   65087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65097 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65186), // Rule ID 47091 //
     /*   65102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65145 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65184 */     GIR_RootConstrainSelectedInstOperands,
     /*   65185 */     // GIR_Coverage, 47091,
     /*   65185 */     GIR_EraseRootFromParent_Done,
     /*   65186 */   // Label 1060: @65186
     /*   65186 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65275), // Rule ID 47092 //
     /*   65191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65234 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65273 */     GIR_RootConstrainSelectedInstOperands,
     /*   65274 */     // GIR_Coverage, 47092,
     /*   65274 */     GIR_EraseRootFromParent_Done,
     /*   65275 */   // Label 1061: @65275
     /*   65275 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65364), // Rule ID 46851 //
     /*   65280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65323 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65362 */     GIR_RootConstrainSelectedInstOperands,
     /*   65363 */     // GIR_Coverage, 46851,
     /*   65363 */     GIR_EraseRootFromParent_Done,
     /*   65364 */   // Label 1062: @65364
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65453), // Rule ID 46852 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65412 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 46852,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1063: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65542), // Rule ID 46971 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65501 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65540 */     GIR_RootConstrainSelectedInstOperands,
     /*   65541 */     // GIR_Coverage, 46971,
     /*   65541 */     GIR_EraseRootFromParent_Done,
     /*   65542 */   // Label 1064: @65542
     /*   65542 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65631), // Rule ID 46972 //
     /*   65547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65590 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65629 */     GIR_RootConstrainSelectedInstOperands,
     /*   65630 */     // GIR_Coverage, 46972,
     /*   65630 */     GIR_EraseRootFromParent_Done,
     /*   65631 */   // Label 1065: @65631
     /*   65631 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65699), // Rule ID 51841 //
     /*   65636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65673 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65697 */     GIR_RootConstrainSelectedInstOperands,
     /*   65698 */     // GIR_Coverage, 51841,
     /*   65698 */     GIR_EraseRootFromParent_Done,
     /*   65699 */   // Label 1066: @65699
     /*   65699 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65767), // Rule ID 51842 //
     /*   65704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65741 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65765 */     GIR_RootConstrainSelectedInstOperands,
     /*   65766 */     // GIR_Coverage, 51842,
     /*   65766 */     GIR_EraseRootFromParent_Done,
     /*   65767 */   // Label 1067: @65767
     /*   65767 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65822), // Rule ID 47151 //
     /*   65772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65800 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65820 */     GIR_RootConstrainSelectedInstOperands,
     /*   65821 */     // GIR_Coverage, 47151,
     /*   65821 */     GIR_EraseRootFromParent_Done,
     /*   65822 */   // Label 1068: @65822
     /*   65822 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(65877), // Rule ID 47152 //
     /*   65827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65855 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65875 */     GIR_RootConstrainSelectedInstOperands,
     /*   65876 */     // GIR_Coverage, 47152,
     /*   65876 */     GIR_EraseRootFromParent_Done,
     /*   65877 */   // Label 1069: @65877
     /*   65877 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(65932), // Rule ID 46911 //
     /*   65882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65910 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65930 */     GIR_RootConstrainSelectedInstOperands,
     /*   65931 */     // GIR_Coverage, 46911,
     /*   65931 */     GIR_EraseRootFromParent_Done,
     /*   65932 */   // Label 1070: @65932
     /*   65932 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(65987), // Rule ID 46912 //
     /*   65937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65965 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65985 */     GIR_RootConstrainSelectedInstOperands,
     /*   65986 */     // GIR_Coverage, 46912,
     /*   65986 */     GIR_EraseRootFromParent_Done,
     /*   65987 */   // Label 1071: @65987
     /*   65987 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66042), // Rule ID 47031 //
     /*   65992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66020 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66040 */     GIR_RootConstrainSelectedInstOperands,
     /*   66041 */     // GIR_Coverage, 47031,
     /*   66041 */     GIR_EraseRootFromParent_Done,
     /*   66042 */   // Label 1072: @66042
     /*   66042 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66097), // Rule ID 47032 //
     /*   66047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66075 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66095 */     GIR_RootConstrainSelectedInstOperands,
     /*   66096 */     // GIR_Coverage, 47032,
     /*   66096 */     GIR_EraseRootFromParent_Done,
     /*   66097 */   // Label 1073: @66097
     /*   66097 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66150), // Rule ID 46119 //
     /*   66102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66113 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66148 */     GIR_RootConstrainSelectedInstOperands,
     /*   66149 */     // GIR_Coverage, 46119,
     /*   66149 */     GIR_EraseRootFromParent_Done,
     /*   66150 */   // Label 1074: @66150
     /*   66150 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66203), // Rule ID 46120 //
     /*   66155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66166 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66201 */     GIR_RootConstrainSelectedInstOperands,
     /*   66202 */     // GIR_Coverage, 46120,
     /*   66202 */     GIR_EraseRootFromParent_Done,
     /*   66203 */   // Label 1075: @66203
     /*   66203 */   GIM_Reject,
     /*   66204 */ // Label 1059: @66204
     /*   66204 */ GIM_Reject,
     /*   66205 */ // Label 918: @66205
     /*   66205 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(67327),
     /*   66210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66220 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66309), // Rule ID 47115 //
     /*   66225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66268 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66307 */     GIR_RootConstrainSelectedInstOperands,
     /*   66308 */     // GIR_Coverage, 47115,
     /*   66308 */     GIR_EraseRootFromParent_Done,
     /*   66309 */   // Label 1077: @66309
     /*   66309 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66398), // Rule ID 47116 //
     /*   66314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66357 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66396 */     GIR_RootConstrainSelectedInstOperands,
     /*   66397 */     // GIR_Coverage, 47116,
     /*   66397 */     GIR_EraseRootFromParent_Done,
     /*   66398 */   // Label 1078: @66398
     /*   66398 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66487), // Rule ID 46875 //
     /*   66403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66446 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66485 */     GIR_RootConstrainSelectedInstOperands,
     /*   66486 */     // GIR_Coverage, 46875,
     /*   66486 */     GIR_EraseRootFromParent_Done,
     /*   66487 */   // Label 1079: @66487
     /*   66487 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66576), // Rule ID 46876 //
     /*   66492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66535 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66574 */     GIR_RootConstrainSelectedInstOperands,
     /*   66575 */     // GIR_Coverage, 46876,
     /*   66575 */     GIR_EraseRootFromParent_Done,
     /*   66576 */   // Label 1080: @66576
     /*   66576 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66665), // Rule ID 46995 //
     /*   66581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66624 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66663 */     GIR_RootConstrainSelectedInstOperands,
     /*   66664 */     // GIR_Coverage, 46995,
     /*   66664 */     GIR_EraseRootFromParent_Done,
     /*   66665 */   // Label 1081: @66665
     /*   66665 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66754), // Rule ID 46996 //
     /*   66670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66713 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66752 */     GIR_RootConstrainSelectedInstOperands,
     /*   66753 */     // GIR_Coverage, 46996,
     /*   66753 */     GIR_EraseRootFromParent_Done,
     /*   66754 */   // Label 1082: @66754
     /*   66754 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66822), // Rule ID 51877 //
     /*   66759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66796 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66820 */     GIR_RootConstrainSelectedInstOperands,
     /*   66821 */     // GIR_Coverage, 51877,
     /*   66821 */     GIR_EraseRootFromParent_Done,
     /*   66822 */   // Label 1083: @66822
     /*   66822 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(66890), // Rule ID 51878 //
     /*   66827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66864 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66888 */     GIR_RootConstrainSelectedInstOperands,
     /*   66889 */     // GIR_Coverage, 51878,
     /*   66889 */     GIR_EraseRootFromParent_Done,
     /*   66890 */   // Label 1084: @66890
     /*   66890 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(66945), // Rule ID 47175 //
     /*   66895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66923 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66943 */     GIR_RootConstrainSelectedInstOperands,
     /*   66944 */     // GIR_Coverage, 47175,
     /*   66944 */     GIR_EraseRootFromParent_Done,
     /*   66945 */   // Label 1085: @66945
     /*   66945 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67000), // Rule ID 47176 //
     /*   66950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66978 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66998 */     GIR_RootConstrainSelectedInstOperands,
     /*   66999 */     // GIR_Coverage, 47176,
     /*   66999 */     GIR_EraseRootFromParent_Done,
     /*   67000 */   // Label 1086: @67000
     /*   67000 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67055), // Rule ID 46935 //
     /*   67005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67033 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67053 */     GIR_RootConstrainSelectedInstOperands,
     /*   67054 */     // GIR_Coverage, 46935,
     /*   67054 */     GIR_EraseRootFromParent_Done,
     /*   67055 */   // Label 1087: @67055
     /*   67055 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67110), // Rule ID 46936 //
     /*   67060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67088 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67108 */     GIR_RootConstrainSelectedInstOperands,
     /*   67109 */     // GIR_Coverage, 46936,
     /*   67109 */     GIR_EraseRootFromParent_Done,
     /*   67110 */   // Label 1088: @67110
     /*   67110 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67165), // Rule ID 47055 //
     /*   67115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67143 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67163 */     GIR_RootConstrainSelectedInstOperands,
     /*   67164 */     // GIR_Coverage, 47055,
     /*   67164 */     GIR_EraseRootFromParent_Done,
     /*   67165 */   // Label 1089: @67165
     /*   67165 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67220), // Rule ID 47056 //
     /*   67170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67198 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67218 */     GIR_RootConstrainSelectedInstOperands,
     /*   67219 */     // GIR_Coverage, 47056,
     /*   67219 */     GIR_EraseRootFromParent_Done,
     /*   67220 */   // Label 1090: @67220
     /*   67220 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67273), // Rule ID 46155 //
     /*   67225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67236 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67271 */     GIR_RootConstrainSelectedInstOperands,
     /*   67272 */     // GIR_Coverage, 46155,
     /*   67272 */     GIR_EraseRootFromParent_Done,
     /*   67273 */   // Label 1091: @67273
     /*   67273 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67326), // Rule ID 46156 //
     /*   67278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67289 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67324 */     GIR_RootConstrainSelectedInstOperands,
     /*   67325 */     // GIR_Coverage, 46156,
     /*   67325 */     GIR_EraseRootFromParent_Done,
     /*   67326 */   // Label 1092: @67326
     /*   67326 */   GIM_Reject,
     /*   67327 */ // Label 1076: @67327
     /*   67327 */ GIM_Reject,
     /*   67328 */ // Label 919: @67328
     /*   67328 */ GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(68450),
     /*   67333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67343 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67432), // Rule ID 47135 //
     /*   67348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67391 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67430 */     GIR_RootConstrainSelectedInstOperands,
     /*   67431 */     // GIR_Coverage, 47135,
     /*   67431 */     GIR_EraseRootFromParent_Done,
     /*   67432 */   // Label 1094: @67432
     /*   67432 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67521), // Rule ID 47136 //
     /*   67437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67480 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67519 */     GIR_RootConstrainSelectedInstOperands,
     /*   67520 */     // GIR_Coverage, 47136,
     /*   67520 */     GIR_EraseRootFromParent_Done,
     /*   67521 */   // Label 1095: @67521
     /*   67521 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67610), // Rule ID 46895 //
     /*   67526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67569 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67608 */     GIR_RootConstrainSelectedInstOperands,
     /*   67609 */     // GIR_Coverage, 46895,
     /*   67609 */     GIR_EraseRootFromParent_Done,
     /*   67610 */   // Label 1096: @67610
     /*   67610 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67699), // Rule ID 46896 //
     /*   67615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67658 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67697 */     GIR_RootConstrainSelectedInstOperands,
     /*   67698 */     // GIR_Coverage, 46896,
     /*   67698 */     GIR_EraseRootFromParent_Done,
     /*   67699 */   // Label 1097: @67699
     /*   67699 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67788), // Rule ID 47015 //
     /*   67704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67719 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67738 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67747 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67786 */     GIR_RootConstrainSelectedInstOperands,
     /*   67787 */     // GIR_Coverage, 47015,
     /*   67787 */     GIR_EraseRootFromParent_Done,
     /*   67788 */   // Label 1098: @67788
     /*   67788 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(67877), // Rule ID 47016 //
     /*   67793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67827 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67836 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67875 */     GIR_RootConstrainSelectedInstOperands,
     /*   67876 */     // GIR_Coverage, 47016,
     /*   67876 */     GIR_EraseRootFromParent_Done,
     /*   67877 */   // Label 1099: @67877
     /*   67877 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(67945), // Rule ID 51893 //
     /*   67882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67919 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67943 */     GIR_RootConstrainSelectedInstOperands,
     /*   67944 */     // GIR_Coverage, 51893,
     /*   67944 */     GIR_EraseRootFromParent_Done,
     /*   67945 */   // Label 1100: @67945
     /*   67945 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68013), // Rule ID 51894 //
     /*   67950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67987 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68011 */     GIR_RootConstrainSelectedInstOperands,
     /*   68012 */     // GIR_Coverage, 51894,
     /*   68012 */     GIR_EraseRootFromParent_Done,
     /*   68013 */   // Label 1101: @68013
     /*   68013 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68068), // Rule ID 47195 //
     /*   68018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68046 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68066 */     GIR_RootConstrainSelectedInstOperands,
     /*   68067 */     // GIR_Coverage, 47195,
     /*   68067 */     GIR_EraseRootFromParent_Done,
     /*   68068 */   // Label 1102: @68068
     /*   68068 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68123), // Rule ID 47196 //
     /*   68073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68101 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68121 */     GIR_RootConstrainSelectedInstOperands,
     /*   68122 */     // GIR_Coverage, 47196,
     /*   68122 */     GIR_EraseRootFromParent_Done,
     /*   68123 */   // Label 1103: @68123
     /*   68123 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68178), // Rule ID 46955 //
     /*   68128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68156 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68176 */     GIR_RootConstrainSelectedInstOperands,
     /*   68177 */     // GIR_Coverage, 46955,
     /*   68177 */     GIR_EraseRootFromParent_Done,
     /*   68178 */   // Label 1104: @68178
     /*   68178 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68233), // Rule ID 46956 //
     /*   68183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68211 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68231 */     GIR_RootConstrainSelectedInstOperands,
     /*   68232 */     // GIR_Coverage, 46956,
     /*   68232 */     GIR_EraseRootFromParent_Done,
     /*   68233 */   // Label 1105: @68233
     /*   68233 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68288), // Rule ID 47075 //
     /*   68238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68266 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68286 */     GIR_RootConstrainSelectedInstOperands,
     /*   68287 */     // GIR_Coverage, 47075,
     /*   68287 */     GIR_EraseRootFromParent_Done,
     /*   68288 */   // Label 1106: @68288
     /*   68288 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68343), // Rule ID 47076 //
     /*   68293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68321 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68341 */     GIR_RootConstrainSelectedInstOperands,
     /*   68342 */     // GIR_Coverage, 47076,
     /*   68342 */     GIR_EraseRootFromParent_Done,
     /*   68343 */   // Label 1107: @68343
     /*   68343 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68396), // Rule ID 46171 //
     /*   68348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68359 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68394 */     GIR_RootConstrainSelectedInstOperands,
     /*   68395 */     // GIR_Coverage, 46171,
     /*   68395 */     GIR_EraseRootFromParent_Done,
     /*   68396 */   // Label 1108: @68396
     /*   68396 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68449), // Rule ID 46172 //
     /*   68401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68412 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68447 */     GIR_RootConstrainSelectedInstOperands,
     /*   68448 */     // GIR_Coverage, 46172,
     /*   68448 */     GIR_EraseRootFromParent_Done,
     /*   68449 */   // Label 1109: @68449
     /*   68449 */   GIM_Reject,
     /*   68450 */ // Label 1093: @68450
     /*   68450 */ GIM_Reject,
     /*   68451 */ // Label 920: @68451
     /*   68451 */ GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68697),
     /*   68456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68470 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68534), // Rule ID 51837 //
     /*   68475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68508 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68532 */     GIR_RootConstrainSelectedInstOperands,
     /*   68533 */     // GIR_Coverage, 51837,
     /*   68533 */     GIR_EraseRootFromParent_Done,
     /*   68534 */   // Label 1111: @68534
     /*   68534 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68598), // Rule ID 51838 //
     /*   68539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68572 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68596 */     GIR_RootConstrainSelectedInstOperands,
     /*   68597 */     // GIR_Coverage, 51838,
     /*   68597 */     GIR_EraseRootFromParent_Done,
     /*   68598 */   // Label 1112: @68598
     /*   68598 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(68647), // Rule ID 46115 //
     /*   68603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68610 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_RootConstrainSelectedInstOperands,
     /*   68646 */     // GIR_Coverage, 46115,
     /*   68646 */     GIR_EraseRootFromParent_Done,
     /*   68647 */   // Label 1113: @68647
     /*   68647 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68696), // Rule ID 46116 //
     /*   68652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68659 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68694 */     GIR_RootConstrainSelectedInstOperands,
     /*   68695 */     // GIR_Coverage, 46116,
     /*   68695 */     GIR_EraseRootFromParent_Done,
     /*   68696 */   // Label 1114: @68696
     /*   68696 */   GIM_Reject,
     /*   68697 */ // Label 1110: @68697
     /*   68697 */ GIM_Reject,
     /*   68698 */ // Label 921: @68698
     /*   68698 */ GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69820),
     /*   68703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68713 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(68802), // Rule ID 47095 //
     /*   68718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68761 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68800 */     GIR_RootConstrainSelectedInstOperands,
     /*   68801 */     // GIR_Coverage, 47095,
     /*   68801 */     GIR_EraseRootFromParent_Done,
     /*   68802 */   // Label 1116: @68802
     /*   68802 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(68891), // Rule ID 47096 //
     /*   68807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68850 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68889 */     GIR_RootConstrainSelectedInstOperands,
     /*   68890 */     // GIR_Coverage, 47096,
     /*   68890 */     GIR_EraseRootFromParent_Done,
     /*   68891 */   // Label 1117: @68891
     /*   68891 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(68980), // Rule ID 46855 //
     /*   68896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68939 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68978 */     GIR_RootConstrainSelectedInstOperands,
     /*   68979 */     // GIR_Coverage, 46855,
     /*   68979 */     GIR_EraseRootFromParent_Done,
     /*   68980 */   // Label 1118: @68980
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69069), // Rule ID 46856 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69028 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   69045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69067 */     GIR_RootConstrainSelectedInstOperands,
     /*   69068 */     // GIR_Coverage, 46856,
     /*   69068 */     GIR_EraseRootFromParent_Done,
     /*   69069 */   // Label 1119: @69069
     /*   69069 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69158), // Rule ID 46975 //
     /*   69074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69117 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69156 */     GIR_RootConstrainSelectedInstOperands,
     /*   69157 */     // GIR_Coverage, 46975,
     /*   69157 */     GIR_EraseRootFromParent_Done,
     /*   69158 */   // Label 1120: @69158
     /*   69158 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69247), // Rule ID 46976 //
     /*   69163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69206 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69245 */     GIR_RootConstrainSelectedInstOperands,
     /*   69246 */     // GIR_Coverage, 46976,
     /*   69246 */     GIR_EraseRootFromParent_Done,
     /*   69247 */   // Label 1121: @69247
     /*   69247 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69315), // Rule ID 51865 //
     /*   69252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69289 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69313 */     GIR_RootConstrainSelectedInstOperands,
     /*   69314 */     // GIR_Coverage, 51865,
     /*   69314 */     GIR_EraseRootFromParent_Done,
     /*   69315 */   // Label 1122: @69315
     /*   69315 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69383), // Rule ID 51866 //
     /*   69320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69357 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69381 */     GIR_RootConstrainSelectedInstOperands,
     /*   69382 */     // GIR_Coverage, 51866,
     /*   69382 */     GIR_EraseRootFromParent_Done,
     /*   69383 */   // Label 1123: @69383
     /*   69383 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69438), // Rule ID 47155 //
     /*   69388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69416 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 47155,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1124: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69493), // Rule ID 47156 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69471 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69491 */     GIR_RootConstrainSelectedInstOperands,
     /*   69492 */     // GIR_Coverage, 47156,
     /*   69492 */     GIR_EraseRootFromParent_Done,
     /*   69493 */   // Label 1125: @69493
     /*   69493 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69548), // Rule ID 46915 //
     /*   69498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69526 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69546 */     GIR_RootConstrainSelectedInstOperands,
     /*   69547 */     // GIR_Coverage, 46915,
     /*   69547 */     GIR_EraseRootFromParent_Done,
     /*   69548 */   // Label 1126: @69548
     /*   69548 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69603), // Rule ID 46916 //
     /*   69553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69581 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69601 */     GIR_RootConstrainSelectedInstOperands,
     /*   69602 */     // GIR_Coverage, 46916,
     /*   69602 */     GIR_EraseRootFromParent_Done,
     /*   69603 */   // Label 1127: @69603
     /*   69603 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(69658), // Rule ID 47035 //
     /*   69608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69636 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69656 */     GIR_RootConstrainSelectedInstOperands,
     /*   69657 */     // GIR_Coverage, 47035,
     /*   69657 */     GIR_EraseRootFromParent_Done,
     /*   69658 */   // Label 1128: @69658
     /*   69658 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69713), // Rule ID 47036 //
     /*   69663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69691 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69711 */     GIR_RootConstrainSelectedInstOperands,
     /*   69712 */     // GIR_Coverage, 47036,
     /*   69712 */     GIR_EraseRootFromParent_Done,
     /*   69713 */   // Label 1129: @69713
     /*   69713 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69766), // Rule ID 46143 //
     /*   69718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69729 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69764 */     GIR_RootConstrainSelectedInstOperands,
     /*   69765 */     // GIR_Coverage, 46143,
     /*   69765 */     GIR_EraseRootFromParent_Done,
     /*   69766 */   // Label 1130: @69766
     /*   69766 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(69819), // Rule ID 46144 //
     /*   69771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69782 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69817 */     GIR_RootConstrainSelectedInstOperands,
     /*   69818 */     // GIR_Coverage, 46144,
     /*   69818 */     GIR_EraseRootFromParent_Done,
     /*   69819 */   // Label 1131: @69819
     /*   69819 */   GIM_Reject,
     /*   69820 */ // Label 1115: @69820
     /*   69820 */ GIM_Reject,
     /*   69821 */ // Label 922: @69821
     /*   69821 */ GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70943),
     /*   69826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69836 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(69925), // Rule ID 47119 //
     /*   69841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69884 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69923 */     GIR_RootConstrainSelectedInstOperands,
     /*   69924 */     // GIR_Coverage, 47119,
     /*   69924 */     GIR_EraseRootFromParent_Done,
     /*   69925 */   // Label 1133: @69925
     /*   69925 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70014), // Rule ID 47120 //
     /*   69930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69973 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70012 */     GIR_RootConstrainSelectedInstOperands,
     /*   70013 */     // GIR_Coverage, 47120,
     /*   70013 */     GIR_EraseRootFromParent_Done,
     /*   70014 */   // Label 1134: @70014
     /*   70014 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70103), // Rule ID 46879 //
     /*   70019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70062 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70101 */     GIR_RootConstrainSelectedInstOperands,
     /*   70102 */     // GIR_Coverage, 46879,
     /*   70102 */     GIR_EraseRootFromParent_Done,
     /*   70103 */   // Label 1135: @70103
     /*   70103 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70192), // Rule ID 46880 //
     /*   70108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70142 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70151 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70190 */     GIR_RootConstrainSelectedInstOperands,
     /*   70191 */     // GIR_Coverage, 46880,
     /*   70191 */     GIR_EraseRootFromParent_Done,
     /*   70192 */   // Label 1136: @70192
     /*   70192 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70281), // Rule ID 46999 //
     /*   70197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70240 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70279 */     GIR_RootConstrainSelectedInstOperands,
     /*   70280 */     // GIR_Coverage, 46999,
     /*   70280 */     GIR_EraseRootFromParent_Done,
     /*   70281 */   // Label 1137: @70281
     /*   70281 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70370), // Rule ID 47000 //
     /*   70286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70329 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70368 */     GIR_RootConstrainSelectedInstOperands,
     /*   70369 */     // GIR_Coverage, 47000,
     /*   70369 */     GIR_EraseRootFromParent_Done,
     /*   70370 */   // Label 1138: @70370
     /*   70370 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70438), // Rule ID 51881 //
     /*   70375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70412 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70436 */     GIR_RootConstrainSelectedInstOperands,
     /*   70437 */     // GIR_Coverage, 51881,
     /*   70437 */     GIR_EraseRootFromParent_Done,
     /*   70438 */   // Label 1139: @70438
     /*   70438 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70506), // Rule ID 51882 //
     /*   70443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70480 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70504 */     GIR_RootConstrainSelectedInstOperands,
     /*   70505 */     // GIR_Coverage, 51882,
     /*   70505 */     GIR_EraseRootFromParent_Done,
     /*   70506 */   // Label 1140: @70506
     /*   70506 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70561), // Rule ID 47179 //
     /*   70511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70539 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70559 */     GIR_RootConstrainSelectedInstOperands,
     /*   70560 */     // GIR_Coverage, 47179,
     /*   70560 */     GIR_EraseRootFromParent_Done,
     /*   70561 */   // Label 1141: @70561
     /*   70561 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70616), // Rule ID 47180 //
     /*   70566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70594 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70614 */     GIR_RootConstrainSelectedInstOperands,
     /*   70615 */     // GIR_Coverage, 47180,
     /*   70615 */     GIR_EraseRootFromParent_Done,
     /*   70616 */   // Label 1142: @70616
     /*   70616 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70671), // Rule ID 46939 //
     /*   70621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70649 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70669 */     GIR_RootConstrainSelectedInstOperands,
     /*   70670 */     // GIR_Coverage, 46939,
     /*   70670 */     GIR_EraseRootFromParent_Done,
     /*   70671 */   // Label 1143: @70671
     /*   70671 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70726), // Rule ID 46940 //
     /*   70676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70704 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70724 */     GIR_RootConstrainSelectedInstOperands,
     /*   70725 */     // GIR_Coverage, 46940,
     /*   70725 */     GIR_EraseRootFromParent_Done,
     /*   70726 */   // Label 1144: @70726
     /*   70726 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70781), // Rule ID 47059 //
     /*   70731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70759 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70779 */     GIR_RootConstrainSelectedInstOperands,
     /*   70780 */     // GIR_Coverage, 47059,
     /*   70780 */     GIR_EraseRootFromParent_Done,
     /*   70781 */   // Label 1145: @70781
     /*   70781 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70836), // Rule ID 47060 //
     /*   70786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70814 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70834 */     GIR_RootConstrainSelectedInstOperands,
     /*   70835 */     // GIR_Coverage, 47060,
     /*   70835 */     GIR_EraseRootFromParent_Done,
     /*   70836 */   // Label 1146: @70836
     /*   70836 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70889), // Rule ID 46159 //
     /*   70841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70852 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70887 */     GIR_RootConstrainSelectedInstOperands,
     /*   70888 */     // GIR_Coverage, 46159,
     /*   70888 */     GIR_EraseRootFromParent_Done,
     /*   70889 */   // Label 1147: @70889
     /*   70889 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70942), // Rule ID 46160 //
     /*   70894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70905 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70940 */     GIR_RootConstrainSelectedInstOperands,
     /*   70941 */     // GIR_Coverage, 46160,
     /*   70941 */     GIR_EraseRootFromParent_Done,
     /*   70942 */   // Label 1148: @70942
     /*   70942 */   GIM_Reject,
     /*   70943 */ // Label 1132: @70943
     /*   70943 */ GIM_Reject,
     /*   70944 */ // Label 923: @70944
     /*   70944 */ GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(72066),
     /*   70949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70959 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71048), // Rule ID 47139 //
     /*   70964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71007 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71046 */     GIR_RootConstrainSelectedInstOperands,
     /*   71047 */     // GIR_Coverage, 47139,
     /*   71047 */     GIR_EraseRootFromParent_Done,
     /*   71048 */   // Label 1150: @71048
     /*   71048 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71137), // Rule ID 47140 //
     /*   71053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71096 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71135 */     GIR_RootConstrainSelectedInstOperands,
     /*   71136 */     // GIR_Coverage, 47140,
     /*   71136 */     GIR_EraseRootFromParent_Done,
     /*   71137 */   // Label 1151: @71137
     /*   71137 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71226), // Rule ID 46899 //
     /*   71142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71185 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71224 */     GIR_RootConstrainSelectedInstOperands,
     /*   71225 */     // GIR_Coverage, 46899,
     /*   71225 */     GIR_EraseRootFromParent_Done,
     /*   71226 */   // Label 1152: @71226
     /*   71226 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71315), // Rule ID 46900 //
     /*   71231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71274 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71313 */     GIR_RootConstrainSelectedInstOperands,
     /*   71314 */     // GIR_Coverage, 46900,
     /*   71314 */     GIR_EraseRootFromParent_Done,
     /*   71315 */   // Label 1153: @71315
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71404), // Rule ID 47019 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71363 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71402 */     GIR_RootConstrainSelectedInstOperands,
     /*   71403 */     // GIR_Coverage, 47019,
     /*   71403 */     GIR_EraseRootFromParent_Done,
     /*   71404 */   // Label 1154: @71404
     /*   71404 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71493), // Rule ID 47020 //
     /*   71409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71452 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71491 */     GIR_RootConstrainSelectedInstOperands,
     /*   71492 */     // GIR_Coverage, 47020,
     /*   71492 */     GIR_EraseRootFromParent_Done,
     /*   71493 */   // Label 1155: @71493
     /*   71493 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71561), // Rule ID 51897 //
     /*   71498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71535 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71559 */     GIR_RootConstrainSelectedInstOperands,
     /*   71560 */     // GIR_Coverage, 51897,
     /*   71560 */     GIR_EraseRootFromParent_Done,
     /*   71561 */   // Label 1156: @71561
     /*   71561 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71629), // Rule ID 51898 //
     /*   71566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71603 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71627 */     GIR_RootConstrainSelectedInstOperands,
     /*   71628 */     // GIR_Coverage, 51898,
     /*   71628 */     GIR_EraseRootFromParent_Done,
     /*   71629 */   // Label 1157: @71629
     /*   71629 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71684), // Rule ID 47199 //
     /*   71634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71662 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71682 */     GIR_RootConstrainSelectedInstOperands,
     /*   71683 */     // GIR_Coverage, 47199,
     /*   71683 */     GIR_EraseRootFromParent_Done,
     /*   71684 */   // Label 1158: @71684
     /*   71684 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71739), // Rule ID 47200 //
     /*   71689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71717 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71737 */     GIR_RootConstrainSelectedInstOperands,
     /*   71738 */     // GIR_Coverage, 47200,
     /*   71738 */     GIR_EraseRootFromParent_Done,
     /*   71739 */   // Label 1159: @71739
     /*   71739 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71794), // Rule ID 46959 //
     /*   71744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71772 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71792 */     GIR_RootConstrainSelectedInstOperands,
     /*   71793 */     // GIR_Coverage, 46959,
     /*   71793 */     GIR_EraseRootFromParent_Done,
     /*   71794 */   // Label 1160: @71794
     /*   71794 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71849), // Rule ID 46960 //
     /*   71799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71827 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71847 */     GIR_RootConstrainSelectedInstOperands,
     /*   71848 */     // GIR_Coverage, 46960,
     /*   71848 */     GIR_EraseRootFromParent_Done,
     /*   71849 */   // Label 1161: @71849
     /*   71849 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(71904), // Rule ID 47079 //
     /*   71854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71882 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71902 */     GIR_RootConstrainSelectedInstOperands,
     /*   71903 */     // GIR_Coverage, 47079,
     /*   71903 */     GIR_EraseRootFromParent_Done,
     /*   71904 */   // Label 1162: @71904
     /*   71904 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71959), // Rule ID 47080 //
     /*   71909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71937 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71957 */     GIR_RootConstrainSelectedInstOperands,
     /*   71958 */     // GIR_Coverage, 47080,
     /*   71958 */     GIR_EraseRootFromParent_Done,
     /*   71959 */   // Label 1163: @71959
     /*   71959 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72012), // Rule ID 46175 //
     /*   71964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71975 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72010 */     GIR_RootConstrainSelectedInstOperands,
     /*   72011 */     // GIR_Coverage, 46175,
     /*   72011 */     GIR_EraseRootFromParent_Done,
     /*   72012 */   // Label 1164: @72012
     /*   72012 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72065), // Rule ID 46176 //
     /*   72017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72028 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72063 */     GIR_RootConstrainSelectedInstOperands,
     /*   72064 */     // GIR_Coverage, 46176,
     /*   72064 */     GIR_EraseRootFromParent_Done,
     /*   72065 */   // Label 1165: @72065
     /*   72065 */   GIM_Reject,
     /*   72066 */ // Label 1149: @72066
     /*   72066 */ GIM_Reject,
     /*   72067 */ // Label 924: @72067
     /*   72067 */ GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72313),
     /*   72072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72150), // Rule ID 51853 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72124 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72148 */     GIR_RootConstrainSelectedInstOperands,
     /*   72149 */     // GIR_Coverage, 51853,
     /*   72149 */     GIR_EraseRootFromParent_Done,
     /*   72150 */   // Label 1167: @72150
     /*   72150 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72214), // Rule ID 51854 //
     /*   72155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72188 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72212 */     GIR_RootConstrainSelectedInstOperands,
     /*   72213 */     // GIR_Coverage, 51854,
     /*   72213 */     GIR_EraseRootFromParent_Done,
     /*   72214 */   // Label 1168: @72214
     /*   72214 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72263), // Rule ID 46131 //
     /*   72219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72226 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72261 */     GIR_RootConstrainSelectedInstOperands,
     /*   72262 */     // GIR_Coverage, 46131,
     /*   72262 */     GIR_EraseRootFromParent_Done,
     /*   72263 */   // Label 1169: @72263
     /*   72263 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72312), // Rule ID 46132 //
     /*   72268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72275 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72310 */     GIR_RootConstrainSelectedInstOperands,
     /*   72311 */     // GIR_Coverage, 46132,
     /*   72311 */     GIR_EraseRootFromParent_Done,
     /*   72312 */   // Label 1170: @72312
     /*   72312 */   GIM_Reject,
     /*   72313 */ // Label 1166: @72313
     /*   72313 */ GIM_Reject,
     /*   72314 */ // Label 925: @72314
     /*   72314 */ GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(73436),
     /*   72319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72329 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72418), // Rule ID 47099 //
     /*   72334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72377 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72416 */     GIR_RootConstrainSelectedInstOperands,
     /*   72417 */     // GIR_Coverage, 47099,
     /*   72417 */     GIR_EraseRootFromParent_Done,
     /*   72418 */   // Label 1172: @72418
     /*   72418 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72507), // Rule ID 47100 //
     /*   72423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72466 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72505 */     GIR_RootConstrainSelectedInstOperands,
     /*   72506 */     // GIR_Coverage, 47100,
     /*   72506 */     GIR_EraseRootFromParent_Done,
     /*   72507 */   // Label 1173: @72507
     /*   72507 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72596), // Rule ID 46859 //
     /*   72512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72555 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72594 */     GIR_RootConstrainSelectedInstOperands,
     /*   72595 */     // GIR_Coverage, 46859,
     /*   72595 */     GIR_EraseRootFromParent_Done,
     /*   72596 */   // Label 1174: @72596
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72685), // Rule ID 46860 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72644 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72683 */     GIR_RootConstrainSelectedInstOperands,
     /*   72684 */     // GIR_Coverage, 46860,
     /*   72684 */     GIR_EraseRootFromParent_Done,
     /*   72685 */   // Label 1175: @72685
     /*   72685 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72774), // Rule ID 46979 //
     /*   72690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72733 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72772 */     GIR_RootConstrainSelectedInstOperands,
     /*   72773 */     // GIR_Coverage, 46979,
     /*   72773 */     GIR_EraseRootFromParent_Done,
     /*   72774 */   // Label 1176: @72774
     /*   72774 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72863), // Rule ID 46980 //
     /*   72779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72822 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72861 */     GIR_RootConstrainSelectedInstOperands,
     /*   72862 */     // GIR_Coverage, 46980,
     /*   72862 */     GIR_EraseRootFromParent_Done,
     /*   72863 */   // Label 1177: @72863
     /*   72863 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72931), // Rule ID 51869 //
     /*   72868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72905 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72929 */     GIR_RootConstrainSelectedInstOperands,
     /*   72930 */     // GIR_Coverage, 51869,
     /*   72930 */     GIR_EraseRootFromParent_Done,
     /*   72931 */   // Label 1178: @72931
     /*   72931 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(72999), // Rule ID 51870 //
     /*   72936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72973 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72997 */     GIR_RootConstrainSelectedInstOperands,
     /*   72998 */     // GIR_Coverage, 51870,
     /*   72998 */     GIR_EraseRootFromParent_Done,
     /*   72999 */   // Label 1179: @72999
     /*   72999 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73054), // Rule ID 47159 //
     /*   73004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73032 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73052 */     GIR_RootConstrainSelectedInstOperands,
     /*   73053 */     // GIR_Coverage, 47159,
     /*   73053 */     GIR_EraseRootFromParent_Done,
     /*   73054 */   // Label 1180: @73054
     /*   73054 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73109), // Rule ID 47160 //
     /*   73059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73087 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73107 */     GIR_RootConstrainSelectedInstOperands,
     /*   73108 */     // GIR_Coverage, 47160,
     /*   73108 */     GIR_EraseRootFromParent_Done,
     /*   73109 */   // Label 1181: @73109
     /*   73109 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73164), // Rule ID 46919 //
     /*   73114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73142 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73162 */     GIR_RootConstrainSelectedInstOperands,
     /*   73163 */     // GIR_Coverage, 46919,
     /*   73163 */     GIR_EraseRootFromParent_Done,
     /*   73164 */   // Label 1182: @73164
     /*   73164 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73219), // Rule ID 46920 //
     /*   73169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73197 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73217 */     GIR_RootConstrainSelectedInstOperands,
     /*   73218 */     // GIR_Coverage, 46920,
     /*   73218 */     GIR_EraseRootFromParent_Done,
     /*   73219 */   // Label 1183: @73219
     /*   73219 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73274), // Rule ID 47039 //
     /*   73224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73252 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73272 */     GIR_RootConstrainSelectedInstOperands,
     /*   73273 */     // GIR_Coverage, 47039,
     /*   73273 */     GIR_EraseRootFromParent_Done,
     /*   73274 */   // Label 1184: @73274
     /*   73274 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73329), // Rule ID 47040 //
     /*   73279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73307 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73327 */     GIR_RootConstrainSelectedInstOperands,
     /*   73328 */     // GIR_Coverage, 47040,
     /*   73328 */     GIR_EraseRootFromParent_Done,
     /*   73329 */   // Label 1185: @73329
     /*   73329 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73382), // Rule ID 46147 //
     /*   73334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73345 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73380 */     GIR_RootConstrainSelectedInstOperands,
     /*   73381 */     // GIR_Coverage, 46147,
     /*   73381 */     GIR_EraseRootFromParent_Done,
     /*   73382 */   // Label 1186: @73382
     /*   73382 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73435), // Rule ID 46148 //
     /*   73387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73398 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73433 */     GIR_RootConstrainSelectedInstOperands,
     /*   73434 */     // GIR_Coverage, 46148,
     /*   73434 */     GIR_EraseRootFromParent_Done,
     /*   73435 */   // Label 1187: @73435
     /*   73435 */   GIM_Reject,
     /*   73436 */ // Label 1171: @73436
     /*   73436 */ GIM_Reject,
     /*   73437 */ // Label 926: @73437
     /*   73437 */ GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(74559),
     /*   73442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73452 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73541), // Rule ID 47123 //
     /*   73457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73500 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73539 */     GIR_RootConstrainSelectedInstOperands,
     /*   73540 */     // GIR_Coverage, 47123,
     /*   73540 */     GIR_EraseRootFromParent_Done,
     /*   73541 */   // Label 1189: @73541
     /*   73541 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73630), // Rule ID 47124 //
     /*   73546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73589 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73628 */     GIR_RootConstrainSelectedInstOperands,
     /*   73629 */     // GIR_Coverage, 47124,
     /*   73629 */     GIR_EraseRootFromParent_Done,
     /*   73630 */   // Label 1190: @73630
     /*   73630 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73719), // Rule ID 46883 //
     /*   73635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73678 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73717 */     GIR_RootConstrainSelectedInstOperands,
     /*   73718 */     // GIR_Coverage, 46883,
     /*   73718 */     GIR_EraseRootFromParent_Done,
     /*   73719 */   // Label 1191: @73719
     /*   73719 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(73808), // Rule ID 46884 //
     /*   73724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73767 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73806 */     GIR_RootConstrainSelectedInstOperands,
     /*   73807 */     // GIR_Coverage, 46884,
     /*   73807 */     GIR_EraseRootFromParent_Done,
     /*   73808 */   // Label 1192: @73808
     /*   73808 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(73897), // Rule ID 47003 //
     /*   73813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73856 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73895 */     GIR_RootConstrainSelectedInstOperands,
     /*   73896 */     // GIR_Coverage, 47003,
     /*   73896 */     GIR_EraseRootFromParent_Done,
     /*   73897 */   // Label 1193: @73897
     /*   73897 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(73986), // Rule ID 47004 //
     /*   73902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73945 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73984 */     GIR_RootConstrainSelectedInstOperands,
     /*   73985 */     // GIR_Coverage, 47004,
     /*   73985 */     GIR_EraseRootFromParent_Done,
     /*   73986 */   // Label 1194: @73986
     /*   73986 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74054), // Rule ID 51885 //
     /*   73991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74028 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74052 */     GIR_RootConstrainSelectedInstOperands,
     /*   74053 */     // GIR_Coverage, 51885,
     /*   74053 */     GIR_EraseRootFromParent_Done,
     /*   74054 */   // Label 1195: @74054
     /*   74054 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74122), // Rule ID 51886 //
     /*   74059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74096 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74120 */     GIR_RootConstrainSelectedInstOperands,
     /*   74121 */     // GIR_Coverage, 51886,
     /*   74121 */     GIR_EraseRootFromParent_Done,
     /*   74122 */   // Label 1196: @74122
     /*   74122 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74177), // Rule ID 47183 //
     /*   74127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74155 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74175 */     GIR_RootConstrainSelectedInstOperands,
     /*   74176 */     // GIR_Coverage, 47183,
     /*   74176 */     GIR_EraseRootFromParent_Done,
     /*   74177 */   // Label 1197: @74177
     /*   74177 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74232), // Rule ID 47184 //
     /*   74182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74210 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74230 */     GIR_RootConstrainSelectedInstOperands,
     /*   74231 */     // GIR_Coverage, 47184,
     /*   74231 */     GIR_EraseRootFromParent_Done,
     /*   74232 */   // Label 1198: @74232
     /*   74232 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74287), // Rule ID 46943 //
     /*   74237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74265 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74285 */     GIR_RootConstrainSelectedInstOperands,
     /*   74286 */     // GIR_Coverage, 46943,
     /*   74286 */     GIR_EraseRootFromParent_Done,
     /*   74287 */   // Label 1199: @74287
     /*   74287 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74342), // Rule ID 46944 //
     /*   74292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74320 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74340 */     GIR_RootConstrainSelectedInstOperands,
     /*   74341 */     // GIR_Coverage, 46944,
     /*   74341 */     GIR_EraseRootFromParent_Done,
     /*   74342 */   // Label 1200: @74342
     /*   74342 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74397), // Rule ID 47063 //
     /*   74347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74375 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74395 */     GIR_RootConstrainSelectedInstOperands,
     /*   74396 */     // GIR_Coverage, 47063,
     /*   74396 */     GIR_EraseRootFromParent_Done,
     /*   74397 */   // Label 1201: @74397
     /*   74397 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74452), // Rule ID 47064 //
     /*   74402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74430 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74450 */     GIR_RootConstrainSelectedInstOperands,
     /*   74451 */     // GIR_Coverage, 47064,
     /*   74451 */     GIR_EraseRootFromParent_Done,
     /*   74452 */   // Label 1202: @74452
     /*   74452 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74505), // Rule ID 46163 //
     /*   74457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74468 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 46163,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 1203: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74558), // Rule ID 46164 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74521 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74556 */     GIR_RootConstrainSelectedInstOperands,
     /*   74557 */     // GIR_Coverage, 46164,
     /*   74557 */     GIR_EraseRootFromParent_Done,
     /*   74558 */   // Label 1204: @74558
     /*   74558 */   GIM_Reject,
     /*   74559 */ // Label 1188: @74559
     /*   74559 */ GIM_Reject,
     /*   74560 */ // Label 927: @74560
     /*   74560 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74806),
     /*   74565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74579 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(74643), // Rule ID 51857 //
     /*   74584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74617 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74641 */     GIR_RootConstrainSelectedInstOperands,
     /*   74642 */     // GIR_Coverage, 51857,
     /*   74642 */     GIR_EraseRootFromParent_Done,
     /*   74643 */   // Label 1206: @74643
     /*   74643 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74707), // Rule ID 51858 //
     /*   74648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74681 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74705 */     GIR_RootConstrainSelectedInstOperands,
     /*   74706 */     // GIR_Coverage, 51858,
     /*   74706 */     GIR_EraseRootFromParent_Done,
     /*   74707 */   // Label 1207: @74707
     /*   74707 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(74756), // Rule ID 46135 //
     /*   74712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74719 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74754 */     GIR_RootConstrainSelectedInstOperands,
     /*   74755 */     // GIR_Coverage, 46135,
     /*   74755 */     GIR_EraseRootFromParent_Done,
     /*   74756 */   // Label 1208: @74756
     /*   74756 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(74805), // Rule ID 46136 //
     /*   74761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74768 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74803 */     GIR_RootConstrainSelectedInstOperands,
     /*   74804 */     // GIR_Coverage, 46136,
     /*   74804 */     GIR_EraseRootFromParent_Done,
     /*   74805 */   // Label 1209: @74805
     /*   74805 */   GIM_Reject,
     /*   74806 */ // Label 1205: @74806
     /*   74806 */ GIM_Reject,
     /*   74807 */ // Label 928: @74807
     /*   74807 */ GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75929),
     /*   74812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74822 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(74911), // Rule ID 47103 //
     /*   74827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74870 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74909 */     GIR_RootConstrainSelectedInstOperands,
     /*   74910 */     // GIR_Coverage, 47103,
     /*   74910 */     GIR_EraseRootFromParent_Done,
     /*   74911 */   // Label 1211: @74911
     /*   74911 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75000), // Rule ID 47104 //
     /*   74916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74959 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74998 */     GIR_RootConstrainSelectedInstOperands,
     /*   74999 */     // GIR_Coverage, 47104,
     /*   74999 */     GIR_EraseRootFromParent_Done,
     /*   75000 */   // Label 1212: @75000
     /*   75000 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75089), // Rule ID 46863 //
     /*   75005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75048 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75087 */     GIR_RootConstrainSelectedInstOperands,
     /*   75088 */     // GIR_Coverage, 46863,
     /*   75088 */     GIR_EraseRootFromParent_Done,
     /*   75089 */   // Label 1213: @75089
     /*   75089 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75178), // Rule ID 46864 //
     /*   75094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75137 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75176 */     GIR_RootConstrainSelectedInstOperands,
     /*   75177 */     // GIR_Coverage, 46864,
     /*   75177 */     GIR_EraseRootFromParent_Done,
     /*   75178 */   // Label 1214: @75178
     /*   75178 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75267), // Rule ID 46983 //
     /*   75183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75226 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75265 */     GIR_RootConstrainSelectedInstOperands,
     /*   75266 */     // GIR_Coverage, 46983,
     /*   75266 */     GIR_EraseRootFromParent_Done,
     /*   75267 */   // Label 1215: @75267
     /*   75267 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75356), // Rule ID 46984 //
     /*   75272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75315 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75354 */     GIR_RootConstrainSelectedInstOperands,
     /*   75355 */     // GIR_Coverage, 46984,
     /*   75355 */     GIR_EraseRootFromParent_Done,
     /*   75356 */   // Label 1216: @75356
     /*   75356 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75424), // Rule ID 51873 //
     /*   75361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75398 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75422 */     GIR_RootConstrainSelectedInstOperands,
     /*   75423 */     // GIR_Coverage, 51873,
     /*   75423 */     GIR_EraseRootFromParent_Done,
     /*   75424 */   // Label 1217: @75424
     /*   75424 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75492), // Rule ID 51874 //
     /*   75429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75466 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75490 */     GIR_RootConstrainSelectedInstOperands,
     /*   75491 */     // GIR_Coverage, 51874,
     /*   75491 */     GIR_EraseRootFromParent_Done,
     /*   75492 */   // Label 1218: @75492
     /*   75492 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75547), // Rule ID 47163 //
     /*   75497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75525 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75545 */     GIR_RootConstrainSelectedInstOperands,
     /*   75546 */     // GIR_Coverage, 47163,
     /*   75546 */     GIR_EraseRootFromParent_Done,
     /*   75547 */   // Label 1219: @75547
     /*   75547 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75602), // Rule ID 47164 //
     /*   75552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75580 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75600 */     GIR_RootConstrainSelectedInstOperands,
     /*   75601 */     // GIR_Coverage, 47164,
     /*   75601 */     GIR_EraseRootFromParent_Done,
     /*   75602 */   // Label 1220: @75602
     /*   75602 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75657), // Rule ID 46923 //
     /*   75607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75635 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75655 */     GIR_RootConstrainSelectedInstOperands,
     /*   75656 */     // GIR_Coverage, 46923,
     /*   75656 */     GIR_EraseRootFromParent_Done,
     /*   75657 */   // Label 1221: @75657
     /*   75657 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75712), // Rule ID 46924 //
     /*   75662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75690 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75710 */     GIR_RootConstrainSelectedInstOperands,
     /*   75711 */     // GIR_Coverage, 46924,
     /*   75711 */     GIR_EraseRootFromParent_Done,
     /*   75712 */   // Label 1222: @75712
     /*   75712 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(75767), // Rule ID 47043 //
     /*   75717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75745 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75765 */     GIR_RootConstrainSelectedInstOperands,
     /*   75766 */     // GIR_Coverage, 47043,
     /*   75766 */     GIR_EraseRootFromParent_Done,
     /*   75767 */   // Label 1223: @75767
     /*   75767 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75822), // Rule ID 47044 //
     /*   75772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75800 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75820 */     GIR_RootConstrainSelectedInstOperands,
     /*   75821 */     // GIR_Coverage, 47044,
     /*   75821 */     GIR_EraseRootFromParent_Done,
     /*   75822 */   // Label 1224: @75822
     /*   75822 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(75875), // Rule ID 46151 //
     /*   75827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75838 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75873 */     GIR_RootConstrainSelectedInstOperands,
     /*   75874 */     // GIR_Coverage, 46151,
     /*   75874 */     GIR_EraseRootFromParent_Done,
     /*   75875 */   // Label 1225: @75875
     /*   75875 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(75928), // Rule ID 46152 //
     /*   75880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75891 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75926 */     GIR_RootConstrainSelectedInstOperands,
     /*   75927 */     // GIR_Coverage, 46152,
     /*   75927 */     GIR_EraseRootFromParent_Done,
     /*   75928 */   // Label 1226: @75928
     /*   75928 */   GIM_Reject,
     /*   75929 */ // Label 1210: @75929
     /*   75929 */ GIM_Reject,
     /*   75930 */ // Label 929: @75930
     /*   75930 */ GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76176),
     /*   75935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75949 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76013), // Rule ID 51861 //
     /*   75954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75987 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76011 */     GIR_RootConstrainSelectedInstOperands,
     /*   76012 */     // GIR_Coverage, 51861,
     /*   76012 */     GIR_EraseRootFromParent_Done,
     /*   76013 */   // Label 1228: @76013
     /*   76013 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76077), // Rule ID 51862 //
     /*   76018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   76033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   76037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76051 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   76054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76075 */     GIR_RootConstrainSelectedInstOperands,
     /*   76076 */     // GIR_Coverage, 51862,
     /*   76076 */     GIR_EraseRootFromParent_Done,
     /*   76077 */   // Label 1229: @76077
     /*   76077 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76126), // Rule ID 46139 //
     /*   76082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76089 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76124 */     GIR_RootConstrainSelectedInstOperands,
     /*   76125 */     // GIR_Coverage, 46139,
     /*   76125 */     GIR_EraseRootFromParent_Done,
     /*   76126 */   // Label 1230: @76126
     /*   76126 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76175), // Rule ID 46140 //
     /*   76131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76138 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76173 */     GIR_RootConstrainSelectedInstOperands,
     /*   76174 */     // GIR_Coverage, 46140,
     /*   76174 */     GIR_EraseRootFromParent_Done,
     /*   76175 */   // Label 1231: @76175
     /*   76175 */   GIM_Reject,
     /*   76176 */ // Label 1227: @76176
     /*   76176 */ GIM_Reject,
     /*   76177 */ // Label 930: @76177
     /*   76177 */ GIM_Reject,
     /*   76178 */ // Label 2: @76178
     /*   76178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1256*/ GIMT_Encode4(103231),
     /*   76189 */ /*GILLT_s32*//*Label 1232*/ GIMT_Encode4(76313),
     /*   76193 */ /*GILLT_s64*//*Label 1233*/ GIMT_Encode4(76347), GIMT_Encode4(0),
     /*   76201 */ /*GILLT_nxv1s8*//*Label 1234*/ GIMT_Encode4(76551),
     /*   76205 */ /*GILLT_nxv1s16*//*Label 1235*/ GIMT_Encode4(76666),
     /*   76209 */ /*GILLT_nxv1s32*//*Label 1236*/ GIMT_Encode4(78391),
     /*   76213 */ /*GILLT_nxv1s64*//*Label 1237*/ GIMT_Encode4(80116), GIMT_Encode4(0),
     /*   76221 */ /*GILLT_nxv2s8*//*Label 1238*/ GIMT_Encode4(81841),
     /*   76225 */ /*GILLT_nxv2s16*//*Label 1239*/ GIMT_Encode4(81956),
     /*   76229 */ /*GILLT_nxv2s32*//*Label 1240*/ GIMT_Encode4(83681),
     /*   76233 */ /*GILLT_nxv2s64*//*Label 1241*/ GIMT_Encode4(85406), GIMT_Encode4(0),
     /*   76241 */ /*GILLT_nxv4s8*//*Label 1242*/ GIMT_Encode4(87131),
     /*   76245 */ /*GILLT_nxv4s16*//*Label 1243*/ GIMT_Encode4(87246),
     /*   76249 */ /*GILLT_nxv4s32*//*Label 1244*/ GIMT_Encode4(88971),
     /*   76253 */ /*GILLT_nxv4s64*//*Label 1245*/ GIMT_Encode4(90696), GIMT_Encode4(0),
     /*   76261 */ /*GILLT_nxv8s8*//*Label 1246*/ GIMT_Encode4(92421),
     /*   76265 */ /*GILLT_nxv8s16*//*Label 1247*/ GIMT_Encode4(92536),
     /*   76269 */ /*GILLT_nxv8s32*//*Label 1248*/ GIMT_Encode4(94261),
     /*   76273 */ /*GILLT_nxv8s64*//*Label 1249*/ GIMT_Encode4(95986), GIMT_Encode4(0),
     /*   76281 */ /*GILLT_nxv16s8*//*Label 1250*/ GIMT_Encode4(97711),
     /*   76285 */ /*GILLT_nxv16s16*//*Label 1251*/ GIMT_Encode4(97826),
     /*   76289 */ /*GILLT_nxv16s32*//*Label 1252*/ GIMT_Encode4(99551), GIMT_Encode4(0),
     /*   76297 */ /*GILLT_nxv32s8*//*Label 1253*/ GIMT_Encode4(101276),
     /*   76301 */ /*GILLT_nxv32s16*//*Label 1254*/ GIMT_Encode4(101391), GIMT_Encode4(0),
     /*   76309 */ /*GILLT_nxv64s8*//*Label 1255*/ GIMT_Encode4(103116),
     /*   76313 */ // Label 1232: @76313
     /*   76313 */ GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76346), // Rule ID 289 //
     /*   76318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76339 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76344 */   GIR_RootConstrainSelectedInstOperands,
     /*   76345 */   // GIR_Coverage, 289,
     /*   76345 */   GIR_Done,
     /*   76346 */ // Label 1257: @76346
     /*   76346 */ GIM_Reject,
     /*   76347 */ // Label 1233: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76550),
     /*   76352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76358 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76491), // Rule ID 311 //
     /*   76363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76423 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76436 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76436 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76439 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76443 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76448 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76452 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76489 */     GIR_RootConstrainSelectedInstOperands,
     /*   76490 */     // GIR_Coverage, 311,
     /*   76490 */     GIR_EraseRootFromParent_Done,
     /*   76491 */   // Label 1259: @76491
     /*   76491 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76522), // Rule ID 304 //
     /*   76496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /*   76515 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10054>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76520 */     GIR_RootConstrainSelectedInstOperands,
     /*   76521 */     // GIR_Coverage, 304,
     /*   76521 */     GIR_Done,
     /*   76522 */   // Label 1260: @76522
     /*   76522 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(76549), // Rule ID 288 //
     /*   76527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76542 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76547 */     GIR_RootConstrainSelectedInstOperands,
     /*   76548 */     // GIR_Coverage, 288,
     /*   76548 */     GIR_Done,
     /*   76549 */   // Label 1261: @76549
     /*   76549 */   GIM_Reject,
     /*   76550 */ // Label 1258: @76550
     /*   76550 */ GIM_Reject,
     /*   76551 */ // Label 1234: @76551
     /*   76551 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76665),
     /*   76556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76574 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(76619), // Rule ID 50723 //
     /*   76579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76582 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76617 */     GIR_RootConstrainSelectedInstOperands,
     /*   76618 */     // GIR_Coverage, 50723,
     /*   76618 */     GIR_EraseRootFromParent_Done,
     /*   76619 */   // Label 1263: @76619
     /*   76619 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76664), // Rule ID 50724 //
     /*   76624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76627 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76662 */     GIR_RootConstrainSelectedInstOperands,
     /*   76663 */     // GIR_Coverage, 50724,
     /*   76663 */     GIR_EraseRootFromParent_Done,
     /*   76664 */   // Label 1264: @76664
     /*   76664 */   GIM_Reject,
     /*   76665 */ // Label 1262: @76665
     /*   76665 */ GIM_Reject,
     /*   76666 */ // Label 1235: @76666
     /*   76666 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78390),
     /*   76671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76681 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76770), // Rule ID 51489 //
     /*   76686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76729 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76768 */     GIR_RootConstrainSelectedInstOperands,
     /*   76769 */     // GIR_Coverage, 51489,
     /*   76769 */     GIR_EraseRootFromParent_Done,
     /*   76770 */   // Label 1266: @76770
     /*   76770 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76859), // Rule ID 51490 //
     /*   76775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76818 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76857 */     GIR_RootConstrainSelectedInstOperands,
     /*   76858 */     // GIR_Coverage, 51490,
     /*   76858 */     GIR_EraseRootFromParent_Done,
     /*   76859 */   // Label 1267: @76859
     /*   76859 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76948), // Rule ID 69855 //
     /*   76864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76907 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76946 */     GIR_RootConstrainSelectedInstOperands,
     /*   76947 */     // GIR_Coverage, 69855,
     /*   76947 */     GIR_EraseRootFromParent_Done,
     /*   76948 */   // Label 1268: @76948
     /*   76948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77037), // Rule ID 69856 //
     /*   76953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76996 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77035 */     GIR_RootConstrainSelectedInstOperands,
     /*   77036 */     // GIR_Coverage, 69856,
     /*   77036 */     GIR_EraseRootFromParent_Done,
     /*   77037 */   // Label 1269: @77037
     /*   77037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77126), // Rule ID 69735 //
     /*   77042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77085 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77124 */     GIR_RootConstrainSelectedInstOperands,
     /*   77125 */     // GIR_Coverage, 69735,
     /*   77125 */     GIR_EraseRootFromParent_Done,
     /*   77126 */   // Label 1270: @77126
     /*   77126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77215), // Rule ID 69736 //
     /*   77131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77174 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77213 */     GIR_RootConstrainSelectedInstOperands,
     /*   77214 */     // GIR_Coverage, 69736,
     /*   77214 */     GIR_EraseRootFromParent_Done,
     /*   77215 */   // Label 1271: @77215
     /*   77215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77304), // Rule ID 51669 //
     /*   77220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77263 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77302 */     GIR_RootConstrainSelectedInstOperands,
     /*   77303 */     // GIR_Coverage, 51669,
     /*   77303 */     GIR_EraseRootFromParent_Done,
     /*   77304 */   // Label 1272: @77304
     /*   77304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77393), // Rule ID 51670 //
     /*   77309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77352 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77391 */     GIR_RootConstrainSelectedInstOperands,
     /*   77392 */     // GIR_Coverage, 51670,
     /*   77392 */     GIR_EraseRootFromParent_Done,
     /*   77393 */   // Label 1273: @77393
     /*   77393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77482), // Rule ID 51369 //
     /*   77398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77441 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77480 */     GIR_RootConstrainSelectedInstOperands,
     /*   77481 */     // GIR_Coverage, 51369,
     /*   77481 */     GIR_EraseRootFromParent_Done,
     /*   77482 */   // Label 1274: @77482
     /*   77482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77571), // Rule ID 51370 //
     /*   77487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77530 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77569 */     GIR_RootConstrainSelectedInstOperands,
     /*   77570 */     // GIR_Coverage, 51370,
     /*   77570 */     GIR_EraseRootFromParent_Done,
     /*   77571 */   // Label 1275: @77571
     /*   77571 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77660), // Rule ID 51609 //
     /*   77576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77619 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77658 */     GIR_RootConstrainSelectedInstOperands,
     /*   77659 */     // GIR_Coverage, 51609,
     /*   77659 */     GIR_EraseRootFromParent_Done,
     /*   77660 */   // Label 1276: @77660
     /*   77660 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(77749), // Rule ID 51610 //
     /*   77665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77708 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77747 */     GIR_RootConstrainSelectedInstOperands,
     /*   77748 */     // GIR_Coverage, 51610,
     /*   77748 */     GIR_EraseRootFromParent_Done,
     /*   77749 */   // Label 1277: @77749
     /*   77749 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(77838), // Rule ID 51549 //
     /*   77754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77797 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77836 */     GIR_RootConstrainSelectedInstOperands,
     /*   77837 */     // GIR_Coverage, 51549,
     /*   77837 */     GIR_EraseRootFromParent_Done,
     /*   77838 */   // Label 1278: @77838
     /*   77838 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(77927), // Rule ID 51550 //
     /*   77843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77886 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77925 */     GIR_RootConstrainSelectedInstOperands,
     /*   77926 */     // GIR_Coverage, 51550,
     /*   77926 */     GIR_EraseRootFromParent_Done,
     /*   77927 */   // Label 1279: @77927
     /*   77927 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78016), // Rule ID 69795 //
     /*   77932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77975 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78014 */     GIR_RootConstrainSelectedInstOperands,
     /*   78015 */     // GIR_Coverage, 69795,
     /*   78015 */     GIR_EraseRootFromParent_Done,
     /*   78016 */   // Label 1280: @78016
     /*   78016 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78105), // Rule ID 69796 //
     /*   78021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78064 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78103 */     GIR_RootConstrainSelectedInstOperands,
     /*   78104 */     // GIR_Coverage, 69796,
     /*   78104 */     GIR_EraseRootFromParent_Done,
     /*   78105 */   // Label 1281: @78105
     /*   78105 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(78194), // Rule ID 51429 //
     /*   78110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78153 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78192 */     GIR_RootConstrainSelectedInstOperands,
     /*   78193 */     // GIR_Coverage, 51429,
     /*   78193 */     GIR_EraseRootFromParent_Done,
     /*   78194 */   // Label 1282: @78194
     /*   78194 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78283), // Rule ID 51430 //
     /*   78199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78242 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78281 */     GIR_RootConstrainSelectedInstOperands,
     /*   78282 */     // GIR_Coverage, 51430,
     /*   78282 */     GIR_EraseRootFromParent_Done,
     /*   78283 */   // Label 1283: @78283
     /*   78283 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(78336), // Rule ID 50735 //
     /*   78288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78299 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78334 */     GIR_RootConstrainSelectedInstOperands,
     /*   78335 */     // GIR_Coverage, 50735,
     /*   78335 */     GIR_EraseRootFromParent_Done,
     /*   78336 */   // Label 1284: @78336
     /*   78336 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78389), // Rule ID 50736 //
     /*   78341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78352 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78387 */     GIR_RootConstrainSelectedInstOperands,
     /*   78388 */     // GIR_Coverage, 50736,
     /*   78388 */     GIR_EraseRootFromParent_Done,
     /*   78389 */   // Label 1285: @78389
     /*   78389 */   GIM_Reject,
     /*   78390 */ // Label 1265: @78390
     /*   78390 */ GIM_Reject,
     /*   78391 */ // Label 1236: @78391
     /*   78391 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80115),
     /*   78396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78406 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78495), // Rule ID 51513 //
     /*   78411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78454 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78493 */     GIR_RootConstrainSelectedInstOperands,
     /*   78494 */     // GIR_Coverage, 51513,
     /*   78494 */     GIR_EraseRootFromParent_Done,
     /*   78495 */   // Label 1287: @78495
     /*   78495 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78584), // Rule ID 51514 //
     /*   78500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78543 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78582 */     GIR_RootConstrainSelectedInstOperands,
     /*   78583 */     // GIR_Coverage, 51514,
     /*   78583 */     GIR_EraseRootFromParent_Done,
     /*   78584 */   // Label 1288: @78584
     /*   78584 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78673), // Rule ID 69879 //
     /*   78589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78632 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78671 */     GIR_RootConstrainSelectedInstOperands,
     /*   78672 */     // GIR_Coverage, 69879,
     /*   78672 */     GIR_EraseRootFromParent_Done,
     /*   78673 */   // Label 1289: @78673
     /*   78673 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(78762), // Rule ID 69880 //
     /*   78678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78721 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78760 */     GIR_RootConstrainSelectedInstOperands,
     /*   78761 */     // GIR_Coverage, 69880,
     /*   78761 */     GIR_EraseRootFromParent_Done,
     /*   78762 */   // Label 1290: @78762
     /*   78762 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(78851), // Rule ID 69759 //
     /*   78767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78810 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78849 */     GIR_RootConstrainSelectedInstOperands,
     /*   78850 */     // GIR_Coverage, 69759,
     /*   78850 */     GIR_EraseRootFromParent_Done,
     /*   78851 */   // Label 1291: @78851
     /*   78851 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(78940), // Rule ID 69760 //
     /*   78856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78899 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78938 */     GIR_RootConstrainSelectedInstOperands,
     /*   78939 */     // GIR_Coverage, 69760,
     /*   78939 */     GIR_EraseRootFromParent_Done,
     /*   78940 */   // Label 1292: @78940
     /*   78940 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79029), // Rule ID 51693 //
     /*   78945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78988 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79027 */     GIR_RootConstrainSelectedInstOperands,
     /*   79028 */     // GIR_Coverage, 51693,
     /*   79028 */     GIR_EraseRootFromParent_Done,
     /*   79029 */   // Label 1293: @79029
     /*   79029 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79118), // Rule ID 51694 //
     /*   79034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79077 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79116 */     GIR_RootConstrainSelectedInstOperands,
     /*   79117 */     // GIR_Coverage, 51694,
     /*   79117 */     GIR_EraseRootFromParent_Done,
     /*   79118 */   // Label 1294: @79118
     /*   79118 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79207), // Rule ID 51393 //
     /*   79123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79166 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79205 */     GIR_RootConstrainSelectedInstOperands,
     /*   79206 */     // GIR_Coverage, 51393,
     /*   79206 */     GIR_EraseRootFromParent_Done,
     /*   79207 */   // Label 1295: @79207
     /*   79207 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79296), // Rule ID 51394 //
     /*   79212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79255 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79294 */     GIR_RootConstrainSelectedInstOperands,
     /*   79295 */     // GIR_Coverage, 51394,
     /*   79295 */     GIR_EraseRootFromParent_Done,
     /*   79296 */   // Label 1296: @79296
     /*   79296 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79385), // Rule ID 51633 //
     /*   79301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79344 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79383 */     GIR_RootConstrainSelectedInstOperands,
     /*   79384 */     // GIR_Coverage, 51633,
     /*   79384 */     GIR_EraseRootFromParent_Done,
     /*   79385 */   // Label 1297: @79385
     /*   79385 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79474), // Rule ID 51634 //
     /*   79390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79433 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79472 */     GIR_RootConstrainSelectedInstOperands,
     /*   79473 */     // GIR_Coverage, 51634,
     /*   79473 */     GIR_EraseRootFromParent_Done,
     /*   79474 */   // Label 1298: @79474
     /*   79474 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79563), // Rule ID 51573 //
     /*   79479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79522 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79561 */     GIR_RootConstrainSelectedInstOperands,
     /*   79562 */     // GIR_Coverage, 51573,
     /*   79562 */     GIR_EraseRootFromParent_Done,
     /*   79563 */   // Label 1299: @79563
     /*   79563 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79652), // Rule ID 51574 //
     /*   79568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79611 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79650 */     GIR_RootConstrainSelectedInstOperands,
     /*   79651 */     // GIR_Coverage, 51574,
     /*   79651 */     GIR_EraseRootFromParent_Done,
     /*   79652 */   // Label 1300: @79652
     /*   79652 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79741), // Rule ID 69819 //
     /*   79657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79700 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79739 */     GIR_RootConstrainSelectedInstOperands,
     /*   79740 */     // GIR_Coverage, 69819,
     /*   79740 */     GIR_EraseRootFromParent_Done,
     /*   79741 */   // Label 1301: @79741
     /*   79741 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(79830), // Rule ID 69820 //
     /*   79746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79789 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79828 */     GIR_RootConstrainSelectedInstOperands,
     /*   79829 */     // GIR_Coverage, 69820,
     /*   79829 */     GIR_EraseRootFromParent_Done,
     /*   79830 */   // Label 1302: @79830
     /*   79830 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(79919), // Rule ID 51453 //
     /*   79835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79878 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79917 */     GIR_RootConstrainSelectedInstOperands,
     /*   79918 */     // GIR_Coverage, 51453,
     /*   79918 */     GIR_EraseRootFromParent_Done,
     /*   79919 */   // Label 1303: @79919
     /*   79919 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80008), // Rule ID 51454 //
     /*   79924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79967 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80006 */     GIR_RootConstrainSelectedInstOperands,
     /*   80007 */     // GIR_Coverage, 51454,
     /*   80007 */     GIR_EraseRootFromParent_Done,
     /*   80008 */   // Label 1304: @80008
     /*   80008 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(80061), // Rule ID 50743 //
     /*   80013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80024 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80059 */     GIR_RootConstrainSelectedInstOperands,
     /*   80060 */     // GIR_Coverage, 50743,
     /*   80060 */     GIR_EraseRootFromParent_Done,
     /*   80061 */   // Label 1305: @80061
     /*   80061 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80114), // Rule ID 50744 //
     /*   80066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80077 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80112 */     GIR_RootConstrainSelectedInstOperands,
     /*   80113 */     // GIR_Coverage, 50744,
     /*   80113 */     GIR_EraseRootFromParent_Done,
     /*   80114 */   // Label 1306: @80114
     /*   80114 */   GIM_Reject,
     /*   80115 */ // Label 1286: @80115
     /*   80115 */ GIM_Reject,
     /*   80116 */ // Label 1237: @80116
     /*   80116 */ GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(81840),
     /*   80121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80131 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80220), // Rule ID 51533 //
     /*   80136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80179 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80218 */     GIR_RootConstrainSelectedInstOperands,
     /*   80219 */     // GIR_Coverage, 51533,
     /*   80219 */     GIR_EraseRootFromParent_Done,
     /*   80220 */   // Label 1308: @80220
     /*   80220 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80309), // Rule ID 51534 //
     /*   80225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80268 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80307 */     GIR_RootConstrainSelectedInstOperands,
     /*   80308 */     // GIR_Coverage, 51534,
     /*   80308 */     GIR_EraseRootFromParent_Done,
     /*   80309 */   // Label 1309: @80309
     /*   80309 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80398), // Rule ID 69899 //
     /*   80314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80357 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80396 */     GIR_RootConstrainSelectedInstOperands,
     /*   80397 */     // GIR_Coverage, 69899,
     /*   80397 */     GIR_EraseRootFromParent_Done,
     /*   80398 */   // Label 1310: @80398
     /*   80398 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80487), // Rule ID 69900 //
     /*   80403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80446 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80485 */     GIR_RootConstrainSelectedInstOperands,
     /*   80486 */     // GIR_Coverage, 69900,
     /*   80486 */     GIR_EraseRootFromParent_Done,
     /*   80487 */   // Label 1311: @80487
     /*   80487 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80576), // Rule ID 69779 //
     /*   80492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80535 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80574 */     GIR_RootConstrainSelectedInstOperands,
     /*   80575 */     // GIR_Coverage, 69779,
     /*   80575 */     GIR_EraseRootFromParent_Done,
     /*   80576 */   // Label 1312: @80576
     /*   80576 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80665), // Rule ID 69780 //
     /*   80581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80624 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80663 */     GIR_RootConstrainSelectedInstOperands,
     /*   80664 */     // GIR_Coverage, 69780,
     /*   80664 */     GIR_EraseRootFromParent_Done,
     /*   80665 */   // Label 1313: @80665
     /*   80665 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(80754), // Rule ID 51713 //
     /*   80670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80713 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80752 */     GIR_RootConstrainSelectedInstOperands,
     /*   80753 */     // GIR_Coverage, 51713,
     /*   80753 */     GIR_EraseRootFromParent_Done,
     /*   80754 */   // Label 1314: @80754
     /*   80754 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80843), // Rule ID 51714 //
     /*   80759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80802 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80841 */     GIR_RootConstrainSelectedInstOperands,
     /*   80842 */     // GIR_Coverage, 51714,
     /*   80842 */     GIR_EraseRootFromParent_Done,
     /*   80843 */   // Label 1315: @80843
     /*   80843 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80932), // Rule ID 51413 //
     /*   80848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80891 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80930 */     GIR_RootConstrainSelectedInstOperands,
     /*   80931 */     // GIR_Coverage, 51413,
     /*   80931 */     GIR_EraseRootFromParent_Done,
     /*   80932 */   // Label 1316: @80932
     /*   80932 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81021), // Rule ID 51414 //
     /*   80937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80980 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81019 */     GIR_RootConstrainSelectedInstOperands,
     /*   81020 */     // GIR_Coverage, 51414,
     /*   81020 */     GIR_EraseRootFromParent_Done,
     /*   81021 */   // Label 1317: @81021
     /*   81021 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81110), // Rule ID 51653 //
     /*   81026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81069 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81108 */     GIR_RootConstrainSelectedInstOperands,
     /*   81109 */     // GIR_Coverage, 51653,
     /*   81109 */     GIR_EraseRootFromParent_Done,
     /*   81110 */   // Label 1318: @81110
     /*   81110 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81199), // Rule ID 51654 //
     /*   81115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81158 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81197 */     GIR_RootConstrainSelectedInstOperands,
     /*   81198 */     // GIR_Coverage, 51654,
     /*   81198 */     GIR_EraseRootFromParent_Done,
     /*   81199 */   // Label 1319: @81199
     /*   81199 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81288), // Rule ID 51593 //
     /*   81204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81238 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81247 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81286 */     GIR_RootConstrainSelectedInstOperands,
     /*   81287 */     // GIR_Coverage, 51593,
     /*   81287 */     GIR_EraseRootFromParent_Done,
     /*   81288 */   // Label 1320: @81288
     /*   81288 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81377), // Rule ID 51594 //
     /*   81293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81327 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81336 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81375 */     GIR_RootConstrainSelectedInstOperands,
     /*   81376 */     // GIR_Coverage, 51594,
     /*   81376 */     GIR_EraseRootFromParent_Done,
     /*   81377 */   // Label 1321: @81377
     /*   81377 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81466), // Rule ID 69839 //
     /*   81382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81425 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81464 */     GIR_RootConstrainSelectedInstOperands,
     /*   81465 */     // GIR_Coverage, 69839,
     /*   81465 */     GIR_EraseRootFromParent_Done,
     /*   81466 */   // Label 1322: @81466
     /*   81466 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81555), // Rule ID 69840 //
     /*   81471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81514 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81553 */     GIR_RootConstrainSelectedInstOperands,
     /*   81554 */     // GIR_Coverage, 69840,
     /*   81554 */     GIR_EraseRootFromParent_Done,
     /*   81555 */   // Label 1323: @81555
     /*   81555 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81644), // Rule ID 51473 //
     /*   81560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81603 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81642 */     GIR_RootConstrainSelectedInstOperands,
     /*   81643 */     // GIR_Coverage, 51473,
     /*   81643 */     GIR_EraseRootFromParent_Done,
     /*   81644 */   // Label 1324: @81644
     /*   81644 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81733), // Rule ID 51474 //
     /*   81649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81683 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81692 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81731 */     GIR_RootConstrainSelectedInstOperands,
     /*   81732 */     // GIR_Coverage, 51474,
     /*   81732 */     GIR_EraseRootFromParent_Done,
     /*   81733 */   // Label 1325: @81733
     /*   81733 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81786), // Rule ID 50759 //
     /*   81738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81749 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 50759,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1326: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81839), // Rule ID 50760 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81802 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81837 */     GIR_RootConstrainSelectedInstOperands,
     /*   81838 */     // GIR_Coverage, 50760,
     /*   81838 */     GIR_EraseRootFromParent_Done,
     /*   81839 */   // Label 1327: @81839
     /*   81839 */   GIM_Reject,
     /*   81840 */ // Label 1307: @81840
     /*   81840 */ GIM_Reject,
     /*   81841 */ // Label 1238: @81841
     /*   81841 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81955),
     /*   81846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81864 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81909), // Rule ID 50727 //
     /*   81869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81872 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81907 */     GIR_RootConstrainSelectedInstOperands,
     /*   81908 */     // GIR_Coverage, 50727,
     /*   81908 */     GIR_EraseRootFromParent_Done,
     /*   81909 */   // Label 1329: @81909
     /*   81909 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81954), // Rule ID 50728 //
     /*   81914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81917 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81952 */     GIR_RootConstrainSelectedInstOperands,
     /*   81953 */     // GIR_Coverage, 50728,
     /*   81953 */     GIR_EraseRootFromParent_Done,
     /*   81954 */   // Label 1330: @81954
     /*   81954 */   GIM_Reject,
     /*   81955 */ // Label 1328: @81955
     /*   81955 */ GIM_Reject,
     /*   81956 */ // Label 1239: @81956
     /*   81956 */ GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(83680),
     /*   81961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81971 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82060), // Rule ID 51493 //
     /*   81976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82019 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82058 */     GIR_RootConstrainSelectedInstOperands,
     /*   82059 */     // GIR_Coverage, 51493,
     /*   82059 */     GIR_EraseRootFromParent_Done,
     /*   82060 */   // Label 1332: @82060
     /*   82060 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82149), // Rule ID 51494 //
     /*   82065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82108 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82147 */     GIR_RootConstrainSelectedInstOperands,
     /*   82148 */     // GIR_Coverage, 51494,
     /*   82148 */     GIR_EraseRootFromParent_Done,
     /*   82149 */   // Label 1333: @82149
     /*   82149 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82238), // Rule ID 69859 //
     /*   82154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82197 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82236 */     GIR_RootConstrainSelectedInstOperands,
     /*   82237 */     // GIR_Coverage, 69859,
     /*   82237 */     GIR_EraseRootFromParent_Done,
     /*   82238 */   // Label 1334: @82238
     /*   82238 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82327), // Rule ID 69860 //
     /*   82243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82286 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82325 */     GIR_RootConstrainSelectedInstOperands,
     /*   82326 */     // GIR_Coverage, 69860,
     /*   82326 */     GIR_EraseRootFromParent_Done,
     /*   82327 */   // Label 1335: @82327
     /*   82327 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82416), // Rule ID 69739 //
     /*   82332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82366 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82375 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82414 */     GIR_RootConstrainSelectedInstOperands,
     /*   82415 */     // GIR_Coverage, 69739,
     /*   82415 */     GIR_EraseRootFromParent_Done,
     /*   82416 */   // Label 1336: @82416
     /*   82416 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82505), // Rule ID 69740 //
     /*   82421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82464 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 69740,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 1337: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82594), // Rule ID 51673 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82553 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82592 */     GIR_RootConstrainSelectedInstOperands,
     /*   82593 */     // GIR_Coverage, 51673,
     /*   82593 */     GIR_EraseRootFromParent_Done,
     /*   82594 */   // Label 1338: @82594
     /*   82594 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82683), // Rule ID 51674 //
     /*   82599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82642 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82681 */     GIR_RootConstrainSelectedInstOperands,
     /*   82682 */     // GIR_Coverage, 51674,
     /*   82682 */     GIR_EraseRootFromParent_Done,
     /*   82683 */   // Label 1339: @82683
     /*   82683 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82772), // Rule ID 51373 //
     /*   82688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82731 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82770 */     GIR_RootConstrainSelectedInstOperands,
     /*   82771 */     // GIR_Coverage, 51373,
     /*   82771 */     GIR_EraseRootFromParent_Done,
     /*   82772 */   // Label 1340: @82772
     /*   82772 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82861), // Rule ID 51374 //
     /*   82777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82820 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82859 */     GIR_RootConstrainSelectedInstOperands,
     /*   82860 */     // GIR_Coverage, 51374,
     /*   82860 */     GIR_EraseRootFromParent_Done,
     /*   82861 */   // Label 1341: @82861
     /*   82861 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82950), // Rule ID 51613 //
     /*   82866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82909 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82948 */     GIR_RootConstrainSelectedInstOperands,
     /*   82949 */     // GIR_Coverage, 51613,
     /*   82949 */     GIR_EraseRootFromParent_Done,
     /*   82950 */   // Label 1342: @82950
     /*   82950 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83039), // Rule ID 51614 //
     /*   82955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82989 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82998 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83037 */     GIR_RootConstrainSelectedInstOperands,
     /*   83038 */     // GIR_Coverage, 51614,
     /*   83038 */     GIR_EraseRootFromParent_Done,
     /*   83039 */   // Label 1343: @83039
     /*   83039 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83128), // Rule ID 51553 //
     /*   83044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83078 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83087 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83126 */     GIR_RootConstrainSelectedInstOperands,
     /*   83127 */     // GIR_Coverage, 51553,
     /*   83127 */     GIR_EraseRootFromParent_Done,
     /*   83128 */   // Label 1344: @83128
     /*   83128 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83217), // Rule ID 51554 //
     /*   83133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83148 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83167 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83176 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83215 */     GIR_RootConstrainSelectedInstOperands,
     /*   83216 */     // GIR_Coverage, 51554,
     /*   83216 */     GIR_EraseRootFromParent_Done,
     /*   83217 */   // Label 1345: @83217
     /*   83217 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83306), // Rule ID 69799 //
     /*   83222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83265 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83304 */     GIR_RootConstrainSelectedInstOperands,
     /*   83305 */     // GIR_Coverage, 69799,
     /*   83305 */     GIR_EraseRootFromParent_Done,
     /*   83306 */   // Label 1346: @83306
     /*   83306 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83395), // Rule ID 69800 //
     /*   83311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83354 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83393 */     GIR_RootConstrainSelectedInstOperands,
     /*   83394 */     // GIR_Coverage, 69800,
     /*   83394 */     GIR_EraseRootFromParent_Done,
     /*   83395 */   // Label 1347: @83395
     /*   83395 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(83484), // Rule ID 51433 //
     /*   83400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83443 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83482 */     GIR_RootConstrainSelectedInstOperands,
     /*   83483 */     // GIR_Coverage, 51433,
     /*   83483 */     GIR_EraseRootFromParent_Done,
     /*   83484 */   // Label 1348: @83484
     /*   83484 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83573), // Rule ID 51434 //
     /*   83489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83532 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83571 */     GIR_RootConstrainSelectedInstOperands,
     /*   83572 */     // GIR_Coverage, 51434,
     /*   83572 */     GIR_EraseRootFromParent_Done,
     /*   83573 */   // Label 1349: @83573
     /*   83573 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83626), // Rule ID 50739 //
     /*   83578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83589 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83624 */     GIR_RootConstrainSelectedInstOperands,
     /*   83625 */     // GIR_Coverage, 50739,
     /*   83625 */     GIR_EraseRootFromParent_Done,
     /*   83626 */   // Label 1350: @83626
     /*   83626 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83679), // Rule ID 50740 //
     /*   83631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83642 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83677 */     GIR_RootConstrainSelectedInstOperands,
     /*   83678 */     // GIR_Coverage, 50740,
     /*   83678 */     GIR_EraseRootFromParent_Done,
     /*   83679 */   // Label 1351: @83679
     /*   83679 */   GIM_Reject,
     /*   83680 */ // Label 1331: @83680
     /*   83680 */ GIM_Reject,
     /*   83681 */ // Label 1240: @83681
     /*   83681 */ GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(85405),
     /*   83686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83696 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83785), // Rule ID 51517 //
     /*   83701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83744 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83783 */     GIR_RootConstrainSelectedInstOperands,
     /*   83784 */     // GIR_Coverage, 51517,
     /*   83784 */     GIR_EraseRootFromParent_Done,
     /*   83785 */   // Label 1353: @83785
     /*   83785 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83874), // Rule ID 51518 //
     /*   83790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83833 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83872 */     GIR_RootConstrainSelectedInstOperands,
     /*   83873 */     // GIR_Coverage, 51518,
     /*   83873 */     GIR_EraseRootFromParent_Done,
     /*   83874 */   // Label 1354: @83874
     /*   83874 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83963), // Rule ID 69883 //
     /*   83879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83922 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83961 */     GIR_RootConstrainSelectedInstOperands,
     /*   83962 */     // GIR_Coverage, 69883,
     /*   83962 */     GIR_EraseRootFromParent_Done,
     /*   83963 */   // Label 1355: @83963
     /*   83963 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84052), // Rule ID 69884 //
     /*   83968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84011 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84050 */     GIR_RootConstrainSelectedInstOperands,
     /*   84051 */     // GIR_Coverage, 69884,
     /*   84051 */     GIR_EraseRootFromParent_Done,
     /*   84052 */   // Label 1356: @84052
     /*   84052 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84141), // Rule ID 69763 //
     /*   84057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84100 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84139 */     GIR_RootConstrainSelectedInstOperands,
     /*   84140 */     // GIR_Coverage, 69763,
     /*   84140 */     GIR_EraseRootFromParent_Done,
     /*   84141 */   // Label 1357: @84141
     /*   84141 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84230), // Rule ID 69764 //
     /*   84146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84189 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84228 */     GIR_RootConstrainSelectedInstOperands,
     /*   84229 */     // GIR_Coverage, 69764,
     /*   84229 */     GIR_EraseRootFromParent_Done,
     /*   84230 */   // Label 1358: @84230
     /*   84230 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84319), // Rule ID 51697 //
     /*   84235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84278 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84317 */     GIR_RootConstrainSelectedInstOperands,
     /*   84318 */     // GIR_Coverage, 51697,
     /*   84318 */     GIR_EraseRootFromParent_Done,
     /*   84319 */   // Label 1359: @84319
     /*   84319 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84408), // Rule ID 51698 //
     /*   84324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84367 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84406 */     GIR_RootConstrainSelectedInstOperands,
     /*   84407 */     // GIR_Coverage, 51698,
     /*   84407 */     GIR_EraseRootFromParent_Done,
     /*   84408 */   // Label 1360: @84408
     /*   84408 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84497), // Rule ID 51397 //
     /*   84413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84456 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84495 */     GIR_RootConstrainSelectedInstOperands,
     /*   84496 */     // GIR_Coverage, 51397,
     /*   84496 */     GIR_EraseRootFromParent_Done,
     /*   84497 */   // Label 1361: @84497
     /*   84497 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84586), // Rule ID 51398 //
     /*   84502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84545 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84584 */     GIR_RootConstrainSelectedInstOperands,
     /*   84585 */     // GIR_Coverage, 51398,
     /*   84585 */     GIR_EraseRootFromParent_Done,
     /*   84586 */   // Label 1362: @84586
     /*   84586 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84675), // Rule ID 51637 //
     /*   84591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84634 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84673 */     GIR_RootConstrainSelectedInstOperands,
     /*   84674 */     // GIR_Coverage, 51637,
     /*   84674 */     GIR_EraseRootFromParent_Done,
     /*   84675 */   // Label 1363: @84675
     /*   84675 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84764), // Rule ID 51638 //
     /*   84680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84723 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84762 */     GIR_RootConstrainSelectedInstOperands,
     /*   84763 */     // GIR_Coverage, 51638,
     /*   84763 */     GIR_EraseRootFromParent_Done,
     /*   84764 */   // Label 1364: @84764
     /*   84764 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(84853), // Rule ID 51577 //
     /*   84769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84812 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84851 */     GIR_RootConstrainSelectedInstOperands,
     /*   84852 */     // GIR_Coverage, 51577,
     /*   84852 */     GIR_EraseRootFromParent_Done,
     /*   84853 */   // Label 1365: @84853
     /*   84853 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84942), // Rule ID 51578 //
     /*   84858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84901 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84940 */     GIR_RootConstrainSelectedInstOperands,
     /*   84941 */     // GIR_Coverage, 51578,
     /*   84941 */     GIR_EraseRootFromParent_Done,
     /*   84942 */   // Label 1366: @84942
     /*   84942 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85031), // Rule ID 69823 //
     /*   84947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84990 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85029 */     GIR_RootConstrainSelectedInstOperands,
     /*   85030 */     // GIR_Coverage, 69823,
     /*   85030 */     GIR_EraseRootFromParent_Done,
     /*   85031 */   // Label 1367: @85031
     /*   85031 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85120), // Rule ID 69824 //
     /*   85036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85079 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85118 */     GIR_RootConstrainSelectedInstOperands,
     /*   85119 */     // GIR_Coverage, 69824,
     /*   85119 */     GIR_EraseRootFromParent_Done,
     /*   85120 */   // Label 1368: @85120
     /*   85120 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(85209), // Rule ID 51457 //
     /*   85125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85168 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85207 */     GIR_RootConstrainSelectedInstOperands,
     /*   85208 */     // GIR_Coverage, 51457,
     /*   85208 */     GIR_EraseRootFromParent_Done,
     /*   85209 */   // Label 1369: @85209
     /*   85209 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85298), // Rule ID 51458 //
     /*   85214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85257 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85296 */     GIR_RootConstrainSelectedInstOperands,
     /*   85297 */     // GIR_Coverage, 51458,
     /*   85297 */     GIR_EraseRootFromParent_Done,
     /*   85298 */   // Label 1370: @85298
     /*   85298 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(85351), // Rule ID 50755 //
     /*   85303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85314 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85349 */     GIR_RootConstrainSelectedInstOperands,
     /*   85350 */     // GIR_Coverage, 50755,
     /*   85350 */     GIR_EraseRootFromParent_Done,
     /*   85351 */   // Label 1371: @85351
     /*   85351 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85404), // Rule ID 50756 //
     /*   85356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85367 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85402 */     GIR_RootConstrainSelectedInstOperands,
     /*   85403 */     // GIR_Coverage, 50756,
     /*   85403 */     GIR_EraseRootFromParent_Done,
     /*   85404 */   // Label 1372: @85404
     /*   85404 */   GIM_Reject,
     /*   85405 */ // Label 1352: @85405
     /*   85405 */ GIM_Reject,
     /*   85406 */ // Label 1241: @85406
     /*   85406 */ GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(87130),
     /*   85411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85421 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85510), // Rule ID 51537 //
     /*   85426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85469 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85508 */     GIR_RootConstrainSelectedInstOperands,
     /*   85509 */     // GIR_Coverage, 51537,
     /*   85509 */     GIR_EraseRootFromParent_Done,
     /*   85510 */   // Label 1374: @85510
     /*   85510 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85599), // Rule ID 51538 //
     /*   85515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85558 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85597 */     GIR_RootConstrainSelectedInstOperands,
     /*   85598 */     // GIR_Coverage, 51538,
     /*   85598 */     GIR_EraseRootFromParent_Done,
     /*   85599 */   // Label 1375: @85599
     /*   85599 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85688), // Rule ID 69903 //
     /*   85604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85647 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85686 */     GIR_RootConstrainSelectedInstOperands,
     /*   85687 */     // GIR_Coverage, 69903,
     /*   85687 */     GIR_EraseRootFromParent_Done,
     /*   85688 */   // Label 1376: @85688
     /*   85688 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85777), // Rule ID 69904 //
     /*   85693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85736 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85775 */     GIR_RootConstrainSelectedInstOperands,
     /*   85776 */     // GIR_Coverage, 69904,
     /*   85776 */     GIR_EraseRootFromParent_Done,
     /*   85777 */   // Label 1377: @85777
     /*   85777 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85866), // Rule ID 69783 //
     /*   85782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85825 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85864 */     GIR_RootConstrainSelectedInstOperands,
     /*   85865 */     // GIR_Coverage, 69783,
     /*   85865 */     GIR_EraseRootFromParent_Done,
     /*   85866 */   // Label 1378: @85866
     /*   85866 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85955), // Rule ID 69784 //
     /*   85871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85914 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85953 */     GIR_RootConstrainSelectedInstOperands,
     /*   85954 */     // GIR_Coverage, 69784,
     /*   85954 */     GIR_EraseRootFromParent_Done,
     /*   85955 */   // Label 1379: @85955
     /*   85955 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86044), // Rule ID 51717 //
     /*   85960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85975 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86003 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86042 */     GIR_RootConstrainSelectedInstOperands,
     /*   86043 */     // GIR_Coverage, 51717,
     /*   86043 */     GIR_EraseRootFromParent_Done,
     /*   86044 */   // Label 1380: @86044
     /*   86044 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86133), // Rule ID 51718 //
     /*   86049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86092 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86131 */     GIR_RootConstrainSelectedInstOperands,
     /*   86132 */     // GIR_Coverage, 51718,
     /*   86132 */     GIR_EraseRootFromParent_Done,
     /*   86133 */   // Label 1381: @86133
     /*   86133 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86222), // Rule ID 51417 //
     /*   86138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86181 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86220 */     GIR_RootConstrainSelectedInstOperands,
     /*   86221 */     // GIR_Coverage, 51417,
     /*   86221 */     GIR_EraseRootFromParent_Done,
     /*   86222 */   // Label 1382: @86222
     /*   86222 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86311), // Rule ID 51418 //
     /*   86227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86270 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86309 */     GIR_RootConstrainSelectedInstOperands,
     /*   86310 */     // GIR_Coverage, 51418,
     /*   86310 */     GIR_EraseRootFromParent_Done,
     /*   86311 */   // Label 1383: @86311
     /*   86311 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86400), // Rule ID 51657 //
     /*   86316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86359 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86398 */     GIR_RootConstrainSelectedInstOperands,
     /*   86399 */     // GIR_Coverage, 51657,
     /*   86399 */     GIR_EraseRootFromParent_Done,
     /*   86400 */   // Label 1384: @86400
     /*   86400 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86489), // Rule ID 51658 //
     /*   86405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86448 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86487 */     GIR_RootConstrainSelectedInstOperands,
     /*   86488 */     // GIR_Coverage, 51658,
     /*   86488 */     GIR_EraseRootFromParent_Done,
     /*   86489 */   // Label 1385: @86489
     /*   86489 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86578), // Rule ID 51597 //
     /*   86494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86537 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86576 */     GIR_RootConstrainSelectedInstOperands,
     /*   86577 */     // GIR_Coverage, 51597,
     /*   86577 */     GIR_EraseRootFromParent_Done,
     /*   86578 */   // Label 1386: @86578
     /*   86578 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86667), // Rule ID 51598 //
     /*   86583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86626 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86665 */     GIR_RootConstrainSelectedInstOperands,
     /*   86666 */     // GIR_Coverage, 51598,
     /*   86666 */     GIR_EraseRootFromParent_Done,
     /*   86667 */   // Label 1387: @86667
     /*   86667 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86756), // Rule ID 69843 //
     /*   86672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86715 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86754 */     GIR_RootConstrainSelectedInstOperands,
     /*   86755 */     // GIR_Coverage, 69843,
     /*   86755 */     GIR_EraseRootFromParent_Done,
     /*   86756 */   // Label 1388: @86756
     /*   86756 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(86845), // Rule ID 69844 //
     /*   86761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86804 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86843 */     GIR_RootConstrainSelectedInstOperands,
     /*   86844 */     // GIR_Coverage, 69844,
     /*   86844 */     GIR_EraseRootFromParent_Done,
     /*   86845 */   // Label 1389: @86845
     /*   86845 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86934), // Rule ID 51477 //
     /*   86850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86893 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86932 */     GIR_RootConstrainSelectedInstOperands,
     /*   86933 */     // GIR_Coverage, 51477,
     /*   86933 */     GIR_EraseRootFromParent_Done,
     /*   86934 */   // Label 1390: @86934
     /*   86934 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87023), // Rule ID 51478 //
     /*   86939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86982 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   87018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87021 */     GIR_RootConstrainSelectedInstOperands,
     /*   87022 */     // GIR_Coverage, 51478,
     /*   87022 */     GIR_EraseRootFromParent_Done,
     /*   87023 */   // Label 1391: @87023
     /*   87023 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87076), // Rule ID 50799 //
     /*   87028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   87031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87039 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   87039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 50799,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1392: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(87129), // Rule ID 50800 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87092 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87127 */     GIR_RootConstrainSelectedInstOperands,
     /*   87128 */     // GIR_Coverage, 50800,
     /*   87128 */     GIR_EraseRootFromParent_Done,
     /*   87129 */   // Label 1393: @87129
     /*   87129 */   GIM_Reject,
     /*   87130 */ // Label 1373: @87130
     /*   87130 */ GIM_Reject,
     /*   87131 */ // Label 1242: @87131
     /*   87131 */ GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87245),
     /*   87136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87154 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(87199), // Rule ID 50731 //
     /*   87159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87162 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87197 */     GIR_RootConstrainSelectedInstOperands,
     /*   87198 */     // GIR_Coverage, 50731,
     /*   87198 */     GIR_EraseRootFromParent_Done,
     /*   87199 */   // Label 1395: @87199
     /*   87199 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87244), // Rule ID 50732 //
     /*   87204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87207 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87242 */     GIR_RootConstrainSelectedInstOperands,
     /*   87243 */     // GIR_Coverage, 50732,
     /*   87243 */     GIR_EraseRootFromParent_Done,
     /*   87244 */   // Label 1396: @87244
     /*   87244 */   GIM_Reject,
     /*   87245 */ // Label 1394: @87245
     /*   87245 */ GIM_Reject,
     /*   87246 */ // Label 1243: @87246
     /*   87246 */ GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(88970),
     /*   87251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87261 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87350), // Rule ID 51497 //
     /*   87266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87309 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87348 */     GIR_RootConstrainSelectedInstOperands,
     /*   87349 */     // GIR_Coverage, 51497,
     /*   87349 */     GIR_EraseRootFromParent_Done,
     /*   87350 */   // Label 1398: @87350
     /*   87350 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87439), // Rule ID 51498 //
     /*   87355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87398 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87437 */     GIR_RootConstrainSelectedInstOperands,
     /*   87438 */     // GIR_Coverage, 51498,
     /*   87438 */     GIR_EraseRootFromParent_Done,
     /*   87439 */   // Label 1399: @87439
     /*   87439 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87528), // Rule ID 69863 //
     /*   87444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87459 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87487 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87526 */     GIR_RootConstrainSelectedInstOperands,
     /*   87527 */     // GIR_Coverage, 69863,
     /*   87527 */     GIR_EraseRootFromParent_Done,
     /*   87528 */   // Label 1400: @87528
     /*   87528 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87617), // Rule ID 69864 //
     /*   87533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87576 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87615 */     GIR_RootConstrainSelectedInstOperands,
     /*   87616 */     // GIR_Coverage, 69864,
     /*   87616 */     GIR_EraseRootFromParent_Done,
     /*   87617 */   // Label 1401: @87617
     /*   87617 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87706), // Rule ID 69743 //
     /*   87622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87656 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87665 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87704 */     GIR_RootConstrainSelectedInstOperands,
     /*   87705 */     // GIR_Coverage, 69743,
     /*   87705 */     GIR_EraseRootFromParent_Done,
     /*   87706 */   // Label 1402: @87706
     /*   87706 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87795), // Rule ID 69744 //
     /*   87711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87754 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87793 */     GIR_RootConstrainSelectedInstOperands,
     /*   87794 */     // GIR_Coverage, 69744,
     /*   87794 */     GIR_EraseRootFromParent_Done,
     /*   87795 */   // Label 1403: @87795
     /*   87795 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87884), // Rule ID 51677 //
     /*   87800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87843 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87882 */     GIR_RootConstrainSelectedInstOperands,
     /*   87883 */     // GIR_Coverage, 51677,
     /*   87883 */     GIR_EraseRootFromParent_Done,
     /*   87884 */   // Label 1404: @87884
     /*   87884 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87973), // Rule ID 51678 //
     /*   87889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87932 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87971 */     GIR_RootConstrainSelectedInstOperands,
     /*   87972 */     // GIR_Coverage, 51678,
     /*   87972 */     GIR_EraseRootFromParent_Done,
     /*   87973 */   // Label 1405: @87973
     /*   87973 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88062), // Rule ID 51377 //
     /*   87978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88021 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88060 */     GIR_RootConstrainSelectedInstOperands,
     /*   88061 */     // GIR_Coverage, 51377,
     /*   88061 */     GIR_EraseRootFromParent_Done,
     /*   88062 */   // Label 1406: @88062
     /*   88062 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88151), // Rule ID 51378 //
     /*   88067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88110 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88149 */     GIR_RootConstrainSelectedInstOperands,
     /*   88150 */     // GIR_Coverage, 51378,
     /*   88150 */     GIR_EraseRootFromParent_Done,
     /*   88151 */   // Label 1407: @88151
     /*   88151 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88240), // Rule ID 51617 //
     /*   88156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88199 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88238 */     GIR_RootConstrainSelectedInstOperands,
     /*   88239 */     // GIR_Coverage, 51617,
     /*   88239 */     GIR_EraseRootFromParent_Done,
     /*   88240 */   // Label 1408: @88240
     /*   88240 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88329), // Rule ID 51618 //
     /*   88245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88288 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88327 */     GIR_RootConstrainSelectedInstOperands,
     /*   88328 */     // GIR_Coverage, 51618,
     /*   88328 */     GIR_EraseRootFromParent_Done,
     /*   88329 */   // Label 1409: @88329
     /*   88329 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88418), // Rule ID 51557 //
     /*   88334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88377 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88416 */     GIR_RootConstrainSelectedInstOperands,
     /*   88417 */     // GIR_Coverage, 51557,
     /*   88417 */     GIR_EraseRootFromParent_Done,
     /*   88418 */   // Label 1410: @88418
     /*   88418 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88507), // Rule ID 51558 //
     /*   88423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88466 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88505 */     GIR_RootConstrainSelectedInstOperands,
     /*   88506 */     // GIR_Coverage, 51558,
     /*   88506 */     GIR_EraseRootFromParent_Done,
     /*   88507 */   // Label 1411: @88507
     /*   88507 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88596), // Rule ID 69803 //
     /*   88512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88555 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88594 */     GIR_RootConstrainSelectedInstOperands,
     /*   88595 */     // GIR_Coverage, 69803,
     /*   88595 */     GIR_EraseRootFromParent_Done,
     /*   88596 */   // Label 1412: @88596
     /*   88596 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88685), // Rule ID 69804 //
     /*   88601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88644 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88683 */     GIR_RootConstrainSelectedInstOperands,
     /*   88684 */     // GIR_Coverage, 69804,
     /*   88684 */     GIR_EraseRootFromParent_Done,
     /*   88685 */   // Label 1413: @88685
     /*   88685 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88774), // Rule ID 51437 //
     /*   88690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88733 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88772 */     GIR_RootConstrainSelectedInstOperands,
     /*   88773 */     // GIR_Coverage, 51437,
     /*   88773 */     GIR_EraseRootFromParent_Done,
     /*   88774 */   // Label 1414: @88774
     /*   88774 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88863), // Rule ID 51438 //
     /*   88779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88822 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88861 */     GIR_RootConstrainSelectedInstOperands,
     /*   88862 */     // GIR_Coverage, 51438,
     /*   88862 */     GIR_EraseRootFromParent_Done,
     /*   88863 */   // Label 1415: @88863
     /*   88863 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88916), // Rule ID 50751 //
     /*   88868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88879 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88914 */     GIR_RootConstrainSelectedInstOperands,
     /*   88915 */     // GIR_Coverage, 50751,
     /*   88915 */     GIR_EraseRootFromParent_Done,
     /*   88916 */   // Label 1416: @88916
     /*   88916 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88969), // Rule ID 50752 //
     /*   88921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88932 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88967 */     GIR_RootConstrainSelectedInstOperands,
     /*   88968 */     // GIR_Coverage, 50752,
     /*   88968 */     GIR_EraseRootFromParent_Done,
     /*   88969 */   // Label 1417: @88969
     /*   88969 */   GIM_Reject,
     /*   88970 */ // Label 1397: @88970
     /*   88970 */ GIM_Reject,
     /*   88971 */ // Label 1244: @88971
     /*   88971 */ GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(90695),
     /*   88976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88986 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89075), // Rule ID 51521 //
     /*   88991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89034 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89073 */     GIR_RootConstrainSelectedInstOperands,
     /*   89074 */     // GIR_Coverage, 51521,
     /*   89074 */     GIR_EraseRootFromParent_Done,
     /*   89075 */   // Label 1419: @89075
     /*   89075 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89164), // Rule ID 51522 //
     /*   89080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89123 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89162 */     GIR_RootConstrainSelectedInstOperands,
     /*   89163 */     // GIR_Coverage, 51522,
     /*   89163 */     GIR_EraseRootFromParent_Done,
     /*   89164 */   // Label 1420: @89164
     /*   89164 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89253), // Rule ID 69887 //
     /*   89169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89203 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89212 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89251 */     GIR_RootConstrainSelectedInstOperands,
     /*   89252 */     // GIR_Coverage, 69887,
     /*   89252 */     GIR_EraseRootFromParent_Done,
     /*   89253 */   // Label 1421: @89253
     /*   89253 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89342), // Rule ID 69888 //
     /*   89258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89301 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89340 */     GIR_RootConstrainSelectedInstOperands,
     /*   89341 */     // GIR_Coverage, 69888,
     /*   89341 */     GIR_EraseRootFromParent_Done,
     /*   89342 */   // Label 1422: @89342
     /*   89342 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89431), // Rule ID 69767 //
     /*   89347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89390 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89429 */     GIR_RootConstrainSelectedInstOperands,
     /*   89430 */     // GIR_Coverage, 69767,
     /*   89430 */     GIR_EraseRootFromParent_Done,
     /*   89431 */   // Label 1423: @89431
     /*   89431 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89520), // Rule ID 69768 //
     /*   89436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89479 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89518 */     GIR_RootConstrainSelectedInstOperands,
     /*   89519 */     // GIR_Coverage, 69768,
     /*   89519 */     GIR_EraseRootFromParent_Done,
     /*   89520 */   // Label 1424: @89520
     /*   89520 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89609), // Rule ID 51701 //
     /*   89525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89568 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89607 */     GIR_RootConstrainSelectedInstOperands,
     /*   89608 */     // GIR_Coverage, 51701,
     /*   89608 */     GIR_EraseRootFromParent_Done,
     /*   89609 */   // Label 1425: @89609
     /*   89609 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89698), // Rule ID 51702 //
     /*   89614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89657 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89696 */     GIR_RootConstrainSelectedInstOperands,
     /*   89697 */     // GIR_Coverage, 51702,
     /*   89697 */     GIR_EraseRootFromParent_Done,
     /*   89698 */   // Label 1426: @89698
     /*   89698 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89787), // Rule ID 51401 //
     /*   89703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89746 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89785 */     GIR_RootConstrainSelectedInstOperands,
     /*   89786 */     // GIR_Coverage, 51401,
     /*   89786 */     GIR_EraseRootFromParent_Done,
     /*   89787 */   // Label 1427: @89787
     /*   89787 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89876), // Rule ID 51402 //
     /*   89792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89835 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89874 */     GIR_RootConstrainSelectedInstOperands,
     /*   89875 */     // GIR_Coverage, 51402,
     /*   89875 */     GIR_EraseRootFromParent_Done,
     /*   89876 */   // Label 1428: @89876
     /*   89876 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89965), // Rule ID 51641 //
     /*   89881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89924 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89963 */     GIR_RootConstrainSelectedInstOperands,
     /*   89964 */     // GIR_Coverage, 51641,
     /*   89964 */     GIR_EraseRootFromParent_Done,
     /*   89965 */   // Label 1429: @89965
     /*   89965 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90054), // Rule ID 51642 //
     /*   89970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90013 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90052 */     GIR_RootConstrainSelectedInstOperands,
     /*   90053 */     // GIR_Coverage, 51642,
     /*   90053 */     GIR_EraseRootFromParent_Done,
     /*   90054 */   // Label 1430: @90054
     /*   90054 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90143), // Rule ID 51581 //
     /*   90059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90093 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90102 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90141 */     GIR_RootConstrainSelectedInstOperands,
     /*   90142 */     // GIR_Coverage, 51581,
     /*   90142 */     GIR_EraseRootFromParent_Done,
     /*   90143 */   // Label 1431: @90143
     /*   90143 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90232), // Rule ID 51582 //
     /*   90148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90191 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90230 */     GIR_RootConstrainSelectedInstOperands,
     /*   90231 */     // GIR_Coverage, 51582,
     /*   90231 */     GIR_EraseRootFromParent_Done,
     /*   90232 */   // Label 1432: @90232
     /*   90232 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90321), // Rule ID 69827 //
     /*   90237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90280 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90319 */     GIR_RootConstrainSelectedInstOperands,
     /*   90320 */     // GIR_Coverage, 69827,
     /*   90320 */     GIR_EraseRootFromParent_Done,
     /*   90321 */   // Label 1433: @90321
     /*   90321 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90410), // Rule ID 69828 //
     /*   90326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90369 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90408 */     GIR_RootConstrainSelectedInstOperands,
     /*   90409 */     // GIR_Coverage, 69828,
     /*   90409 */     GIR_EraseRootFromParent_Done,
     /*   90410 */   // Label 1434: @90410
     /*   90410 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(90499), // Rule ID 51461 //
     /*   90415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90458 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90497 */     GIR_RootConstrainSelectedInstOperands,
     /*   90498 */     // GIR_Coverage, 51461,
     /*   90498 */     GIR_EraseRootFromParent_Done,
     /*   90499 */   // Label 1435: @90499
     /*   90499 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90588), // Rule ID 51462 //
     /*   90504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90538 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90547 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90586 */     GIR_RootConstrainSelectedInstOperands,
     /*   90587 */     // GIR_Coverage, 51462,
     /*   90587 */     GIR_EraseRootFromParent_Done,
     /*   90588 */   // Label 1436: @90588
     /*   90588 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90641), // Rule ID 50787 //
     /*   90593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90604 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90639 */     GIR_RootConstrainSelectedInstOperands,
     /*   90640 */     // GIR_Coverage, 50787,
     /*   90640 */     GIR_EraseRootFromParent_Done,
     /*   90641 */   // Label 1437: @90641
     /*   90641 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90694), // Rule ID 50788 //
     /*   90646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90657 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90692 */     GIR_RootConstrainSelectedInstOperands,
     /*   90693 */     // GIR_Coverage, 50788,
     /*   90693 */     GIR_EraseRootFromParent_Done,
     /*   90694 */   // Label 1438: @90694
     /*   90694 */   GIM_Reject,
     /*   90695 */ // Label 1418: @90695
     /*   90695 */ GIM_Reject,
     /*   90696 */ // Label 1245: @90696
     /*   90696 */ GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(92420),
     /*   90701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90711 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90800), // Rule ID 51541 //
     /*   90716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90759 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90798 */     GIR_RootConstrainSelectedInstOperands,
     /*   90799 */     // GIR_Coverage, 51541,
     /*   90799 */     GIR_EraseRootFromParent_Done,
     /*   90800 */   // Label 1440: @90800
     /*   90800 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90889), // Rule ID 51542 //
     /*   90805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90848 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90887 */     GIR_RootConstrainSelectedInstOperands,
     /*   90888 */     // GIR_Coverage, 51542,
     /*   90888 */     GIR_EraseRootFromParent_Done,
     /*   90889 */   // Label 1441: @90889
     /*   90889 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90978), // Rule ID 69907 //
     /*   90894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90937 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90976 */     GIR_RootConstrainSelectedInstOperands,
     /*   90977 */     // GIR_Coverage, 69907,
     /*   90977 */     GIR_EraseRootFromParent_Done,
     /*   90978 */   // Label 1442: @90978
     /*   90978 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91067), // Rule ID 69908 //
     /*   90983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91026 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91065 */     GIR_RootConstrainSelectedInstOperands,
     /*   91066 */     // GIR_Coverage, 69908,
     /*   91066 */     GIR_EraseRootFromParent_Done,
     /*   91067 */   // Label 1443: @91067
     /*   91067 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91156), // Rule ID 69787 //
     /*   91072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91115 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91154 */     GIR_RootConstrainSelectedInstOperands,
     /*   91155 */     // GIR_Coverage, 69787,
     /*   91155 */     GIR_EraseRootFromParent_Done,
     /*   91156 */   // Label 1444: @91156
     /*   91156 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91245), // Rule ID 69788 //
     /*   91161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91204 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91243 */     GIR_RootConstrainSelectedInstOperands,
     /*   91244 */     // GIR_Coverage, 69788,
     /*   91244 */     GIR_EraseRootFromParent_Done,
     /*   91245 */   // Label 1445: @91245
     /*   91245 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91334), // Rule ID 51721 //
     /*   91250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91293 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91332 */     GIR_RootConstrainSelectedInstOperands,
     /*   91333 */     // GIR_Coverage, 51721,
     /*   91333 */     GIR_EraseRootFromParent_Done,
     /*   91334 */   // Label 1446: @91334
     /*   91334 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91423), // Rule ID 51722 //
     /*   91339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91382 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91421 */     GIR_RootConstrainSelectedInstOperands,
     /*   91422 */     // GIR_Coverage, 51722,
     /*   91422 */     GIR_EraseRootFromParent_Done,
     /*   91423 */   // Label 1447: @91423
     /*   91423 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91512), // Rule ID 51421 //
     /*   91428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91471 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91510 */     GIR_RootConstrainSelectedInstOperands,
     /*   91511 */     // GIR_Coverage, 51421,
     /*   91511 */     GIR_EraseRootFromParent_Done,
     /*   91512 */   // Label 1448: @91512
     /*   91512 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91601), // Rule ID 51422 //
     /*   91517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91560 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91599 */     GIR_RootConstrainSelectedInstOperands,
     /*   91600 */     // GIR_Coverage, 51422,
     /*   91600 */     GIR_EraseRootFromParent_Done,
     /*   91601 */   // Label 1449: @91601
     /*   91601 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91690), // Rule ID 51661 //
     /*   91606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91649 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91688 */     GIR_RootConstrainSelectedInstOperands,
     /*   91689 */     // GIR_Coverage, 51661,
     /*   91689 */     GIR_EraseRootFromParent_Done,
     /*   91690 */   // Label 1450: @91690
     /*   91690 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91779), // Rule ID 51662 //
     /*   91695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91738 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91777 */     GIR_RootConstrainSelectedInstOperands,
     /*   91778 */     // GIR_Coverage, 51662,
     /*   91778 */     GIR_EraseRootFromParent_Done,
     /*   91779 */   // Label 1451: @91779
     /*   91779 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91868), // Rule ID 51601 //
     /*   91784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91827 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91866 */     GIR_RootConstrainSelectedInstOperands,
     /*   91867 */     // GIR_Coverage, 51601,
     /*   91867 */     GIR_EraseRootFromParent_Done,
     /*   91868 */   // Label 1452: @91868
     /*   91868 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91957), // Rule ID 51602 //
     /*   91873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91916 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91955 */     GIR_RootConstrainSelectedInstOperands,
     /*   91956 */     // GIR_Coverage, 51602,
     /*   91956 */     GIR_EraseRootFromParent_Done,
     /*   91957 */   // Label 1453: @91957
     /*   91957 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92046), // Rule ID 69847 //
     /*   91962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92005 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92044 */     GIR_RootConstrainSelectedInstOperands,
     /*   92045 */     // GIR_Coverage, 69847,
     /*   92045 */     GIR_EraseRootFromParent_Done,
     /*   92046 */   // Label 1454: @92046
     /*   92046 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92135), // Rule ID 69848 //
     /*   92051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92094 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92133 */     GIR_RootConstrainSelectedInstOperands,
     /*   92134 */     // GIR_Coverage, 69848,
     /*   92134 */     GIR_EraseRootFromParent_Done,
     /*   92135 */   // Label 1455: @92135
     /*   92135 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92224), // Rule ID 51481 //
     /*   92140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92174 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92183 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92222 */     GIR_RootConstrainSelectedInstOperands,
     /*   92223 */     // GIR_Coverage, 51481,
     /*   92223 */     GIR_EraseRootFromParent_Done,
     /*   92224 */   // Label 1456: @92224
     /*   92224 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92313), // Rule ID 51482 //
     /*   92229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92263 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92272 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92311 */     GIR_RootConstrainSelectedInstOperands,
     /*   92312 */     // GIR_Coverage, 51482,
     /*   92312 */     GIR_EraseRootFromParent_Done,
     /*   92313 */   // Label 1457: @92313
     /*   92313 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92366), // Rule ID 50803 //
     /*   92318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92329 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 50803,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1458: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(92419), // Rule ID 50804 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92382 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92417 */     GIR_RootConstrainSelectedInstOperands,
     /*   92418 */     // GIR_Coverage, 50804,
     /*   92418 */     GIR_EraseRootFromParent_Done,
     /*   92419 */   // Label 1459: @92419
     /*   92419 */   GIM_Reject,
     /*   92420 */ // Label 1439: @92420
     /*   92420 */ GIM_Reject,
     /*   92421 */ // Label 1246: @92421
     /*   92421 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92535),
     /*   92426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92444 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(92489), // Rule ID 50747 //
     /*   92449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92452 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 50747,
     /*   92488 */     GIR_EraseRootFromParent_Done,
     /*   92489 */   // Label 1461: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92534), // Rule ID 50748 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92497 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92532 */     GIR_RootConstrainSelectedInstOperands,
     /*   92533 */     // GIR_Coverage, 50748,
     /*   92533 */     GIR_EraseRootFromParent_Done,
     /*   92534 */   // Label 1462: @92534
     /*   92534 */   GIM_Reject,
     /*   92535 */ // Label 1460: @92535
     /*   92535 */ GIM_Reject,
     /*   92536 */ // Label 1247: @92536
     /*   92536 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(94260),
     /*   92541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92551 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92640), // Rule ID 51501 //
     /*   92556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92599 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92638 */     GIR_RootConstrainSelectedInstOperands,
     /*   92639 */     // GIR_Coverage, 51501,
     /*   92639 */     GIR_EraseRootFromParent_Done,
     /*   92640 */   // Label 1464: @92640
     /*   92640 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92729), // Rule ID 51502 //
     /*   92645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92688 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92727 */     GIR_RootConstrainSelectedInstOperands,
     /*   92728 */     // GIR_Coverage, 51502,
     /*   92728 */     GIR_EraseRootFromParent_Done,
     /*   92729 */   // Label 1465: @92729
     /*   92729 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92818), // Rule ID 69867 //
     /*   92734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92777 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92816 */     GIR_RootConstrainSelectedInstOperands,
     /*   92817 */     // GIR_Coverage, 69867,
     /*   92817 */     GIR_EraseRootFromParent_Done,
     /*   92818 */   // Label 1466: @92818
     /*   92818 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92907), // Rule ID 69868 //
     /*   92823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92866 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92905 */     GIR_RootConstrainSelectedInstOperands,
     /*   92906 */     // GIR_Coverage, 69868,
     /*   92906 */     GIR_EraseRootFromParent_Done,
     /*   92907 */   // Label 1467: @92907
     /*   92907 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92996), // Rule ID 69747 //
     /*   92912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92955 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92994 */     GIR_RootConstrainSelectedInstOperands,
     /*   92995 */     // GIR_Coverage, 69747,
     /*   92995 */     GIR_EraseRootFromParent_Done,
     /*   92996 */   // Label 1468: @92996
     /*   92996 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93085), // Rule ID 69748 //
     /*   93001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93044 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93083 */     GIR_RootConstrainSelectedInstOperands,
     /*   93084 */     // GIR_Coverage, 69748,
     /*   93084 */     GIR_EraseRootFromParent_Done,
     /*   93085 */   // Label 1469: @93085
     /*   93085 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93174), // Rule ID 51681 //
     /*   93090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93133 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93172 */     GIR_RootConstrainSelectedInstOperands,
     /*   93173 */     // GIR_Coverage, 51681,
     /*   93173 */     GIR_EraseRootFromParent_Done,
     /*   93174 */   // Label 1470: @93174
     /*   93174 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93263), // Rule ID 51682 //
     /*   93179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93222 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93261 */     GIR_RootConstrainSelectedInstOperands,
     /*   93262 */     // GIR_Coverage, 51682,
     /*   93262 */     GIR_EraseRootFromParent_Done,
     /*   93263 */   // Label 1471: @93263
     /*   93263 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93352), // Rule ID 51381 //
     /*   93268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93311 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93350 */     GIR_RootConstrainSelectedInstOperands,
     /*   93351 */     // GIR_Coverage, 51381,
     /*   93351 */     GIR_EraseRootFromParent_Done,
     /*   93352 */   // Label 1472: @93352
     /*   93352 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93441), // Rule ID 51382 //
     /*   93357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93400 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93439 */     GIR_RootConstrainSelectedInstOperands,
     /*   93440 */     // GIR_Coverage, 51382,
     /*   93440 */     GIR_EraseRootFromParent_Done,
     /*   93441 */   // Label 1473: @93441
     /*   93441 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93530), // Rule ID 51621 //
     /*   93446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93489 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93528 */     GIR_RootConstrainSelectedInstOperands,
     /*   93529 */     // GIR_Coverage, 51621,
     /*   93529 */     GIR_EraseRootFromParent_Done,
     /*   93530 */   // Label 1474: @93530
     /*   93530 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93619), // Rule ID 51622 //
     /*   93535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93578 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93617 */     GIR_RootConstrainSelectedInstOperands,
     /*   93618 */     // GIR_Coverage, 51622,
     /*   93618 */     GIR_EraseRootFromParent_Done,
     /*   93619 */   // Label 1475: @93619
     /*   93619 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93708), // Rule ID 51561 //
     /*   93624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93667 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93706 */     GIR_RootConstrainSelectedInstOperands,
     /*   93707 */     // GIR_Coverage, 51561,
     /*   93707 */     GIR_EraseRootFromParent_Done,
     /*   93708 */   // Label 1476: @93708
     /*   93708 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93797), // Rule ID 51562 //
     /*   93713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93756 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93795 */     GIR_RootConstrainSelectedInstOperands,
     /*   93796 */     // GIR_Coverage, 51562,
     /*   93796 */     GIR_EraseRootFromParent_Done,
     /*   93797 */   // Label 1477: @93797
     /*   93797 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93886), // Rule ID 69807 //
     /*   93802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93845 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93884 */     GIR_RootConstrainSelectedInstOperands,
     /*   93885 */     // GIR_Coverage, 69807,
     /*   93885 */     GIR_EraseRootFromParent_Done,
     /*   93886 */   // Label 1478: @93886
     /*   93886 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93975), // Rule ID 69808 //
     /*   93891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93934 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 69808,
     /*   93974 */     GIR_EraseRootFromParent_Done,
     /*   93975 */   // Label 1479: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(94064), // Rule ID 51441 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94023 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   94023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94062 */     GIR_RootConstrainSelectedInstOperands,
     /*   94063 */     // GIR_Coverage, 51441,
     /*   94063 */     GIR_EraseRootFromParent_Done,
     /*   94064 */   // Label 1480: @94064
     /*   94064 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94153), // Rule ID 51442 //
     /*   94069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94112 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94151 */     GIR_RootConstrainSelectedInstOperands,
     /*   94152 */     // GIR_Coverage, 51442,
     /*   94152 */     GIR_EraseRootFromParent_Done,
     /*   94153 */   // Label 1481: @94153
     /*   94153 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(94206), // Rule ID 50775 //
     /*   94158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94169 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94204 */     GIR_RootConstrainSelectedInstOperands,
     /*   94205 */     // GIR_Coverage, 50775,
     /*   94205 */     GIR_EraseRootFromParent_Done,
     /*   94206 */   // Label 1482: @94206
     /*   94206 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94259), // Rule ID 50776 //
     /*   94211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94222 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94257 */     GIR_RootConstrainSelectedInstOperands,
     /*   94258 */     // GIR_Coverage, 50776,
     /*   94258 */     GIR_EraseRootFromParent_Done,
     /*   94259 */   // Label 1483: @94259
     /*   94259 */   GIM_Reject,
     /*   94260 */ // Label 1463: @94260
     /*   94260 */ GIM_Reject,
     /*   94261 */ // Label 1248: @94261
     /*   94261 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(95985),
     /*   94266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94276 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94365), // Rule ID 51525 //
     /*   94281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94324 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94363 */     GIR_RootConstrainSelectedInstOperands,
     /*   94364 */     // GIR_Coverage, 51525,
     /*   94364 */     GIR_EraseRootFromParent_Done,
     /*   94365 */   // Label 1485: @94365
     /*   94365 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94454), // Rule ID 51526 //
     /*   94370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94413 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94452 */     GIR_RootConstrainSelectedInstOperands,
     /*   94453 */     // GIR_Coverage, 51526,
     /*   94453 */     GIR_EraseRootFromParent_Done,
     /*   94454 */   // Label 1486: @94454
     /*   94454 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94543), // Rule ID 69891 //
     /*   94459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94502 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94541 */     GIR_RootConstrainSelectedInstOperands,
     /*   94542 */     // GIR_Coverage, 69891,
     /*   94542 */     GIR_EraseRootFromParent_Done,
     /*   94543 */   // Label 1487: @94543
     /*   94543 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94632), // Rule ID 69892 //
     /*   94548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94591 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94630 */     GIR_RootConstrainSelectedInstOperands,
     /*   94631 */     // GIR_Coverage, 69892,
     /*   94631 */     GIR_EraseRootFromParent_Done,
     /*   94632 */   // Label 1488: @94632
     /*   94632 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94721), // Rule ID 69771 //
     /*   94637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94671 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94680 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94719 */     GIR_RootConstrainSelectedInstOperands,
     /*   94720 */     // GIR_Coverage, 69771,
     /*   94720 */     GIR_EraseRootFromParent_Done,
     /*   94721 */   // Label 1489: @94721
     /*   94721 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94810), // Rule ID 69772 //
     /*   94726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94769 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94808 */     GIR_RootConstrainSelectedInstOperands,
     /*   94809 */     // GIR_Coverage, 69772,
     /*   94809 */     GIR_EraseRootFromParent_Done,
     /*   94810 */   // Label 1490: @94810
     /*   94810 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94899), // Rule ID 51705 //
     /*   94815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94858 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94897 */     GIR_RootConstrainSelectedInstOperands,
     /*   94898 */     // GIR_Coverage, 51705,
     /*   94898 */     GIR_EraseRootFromParent_Done,
     /*   94899 */   // Label 1491: @94899
     /*   94899 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94988), // Rule ID 51706 //
     /*   94904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94947 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94986 */     GIR_RootConstrainSelectedInstOperands,
     /*   94987 */     // GIR_Coverage, 51706,
     /*   94987 */     GIR_EraseRootFromParent_Done,
     /*   94988 */   // Label 1492: @94988
     /*   94988 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95077), // Rule ID 51405 //
     /*   94993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95036 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95075 */     GIR_RootConstrainSelectedInstOperands,
     /*   95076 */     // GIR_Coverage, 51405,
     /*   95076 */     GIR_EraseRootFromParent_Done,
     /*   95077 */   // Label 1493: @95077
     /*   95077 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95166), // Rule ID 51406 //
     /*   95082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95125 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95164 */     GIR_RootConstrainSelectedInstOperands,
     /*   95165 */     // GIR_Coverage, 51406,
     /*   95165 */     GIR_EraseRootFromParent_Done,
     /*   95166 */   // Label 1494: @95166
     /*   95166 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95255), // Rule ID 51645 //
     /*   95171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95214 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95253 */     GIR_RootConstrainSelectedInstOperands,
     /*   95254 */     // GIR_Coverage, 51645,
     /*   95254 */     GIR_EraseRootFromParent_Done,
     /*   95255 */   // Label 1495: @95255
     /*   95255 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95344), // Rule ID 51646 //
     /*   95260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95303 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95342 */     GIR_RootConstrainSelectedInstOperands,
     /*   95343 */     // GIR_Coverage, 51646,
     /*   95343 */     GIR_EraseRootFromParent_Done,
     /*   95344 */   // Label 1496: @95344
     /*   95344 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95433), // Rule ID 51585 //
     /*   95349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95392 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95431 */     GIR_RootConstrainSelectedInstOperands,
     /*   95432 */     // GIR_Coverage, 51585,
     /*   95432 */     GIR_EraseRootFromParent_Done,
     /*   95433 */   // Label 1497: @95433
     /*   95433 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95522), // Rule ID 51586 //
     /*   95438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95481 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95520 */     GIR_RootConstrainSelectedInstOperands,
     /*   95521 */     // GIR_Coverage, 51586,
     /*   95521 */     GIR_EraseRootFromParent_Done,
     /*   95522 */   // Label 1498: @95522
     /*   95522 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95611), // Rule ID 69831 //
     /*   95527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95570 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95609 */     GIR_RootConstrainSelectedInstOperands,
     /*   95610 */     // GIR_Coverage, 69831,
     /*   95610 */     GIR_EraseRootFromParent_Done,
     /*   95611 */   // Label 1499: @95611
     /*   95611 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95700), // Rule ID 69832 //
     /*   95616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95659 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95698 */     GIR_RootConstrainSelectedInstOperands,
     /*   95699 */     // GIR_Coverage, 69832,
     /*   95699 */     GIR_EraseRootFromParent_Done,
     /*   95700 */   // Label 1500: @95700
     /*   95700 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95789), // Rule ID 51465 //
     /*   95705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95739 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95748 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95787 */     GIR_RootConstrainSelectedInstOperands,
     /*   95788 */     // GIR_Coverage, 51465,
     /*   95788 */     GIR_EraseRootFromParent_Done,
     /*   95789 */   // Label 1501: @95789
     /*   95789 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95878), // Rule ID 51466 //
     /*   95794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95809 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95828 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95837 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95876 */     GIR_RootConstrainSelectedInstOperands,
     /*   95877 */     // GIR_Coverage, 51466,
     /*   95877 */     GIR_EraseRootFromParent_Done,
     /*   95878 */   // Label 1502: @95878
     /*   95878 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95931), // Rule ID 50791 //
     /*   95883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95894 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95929 */     GIR_RootConstrainSelectedInstOperands,
     /*   95930 */     // GIR_Coverage, 50791,
     /*   95930 */     GIR_EraseRootFromParent_Done,
     /*   95931 */   // Label 1503: @95931
     /*   95931 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95984), // Rule ID 50792 //
     /*   95936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95947 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95982 */     GIR_RootConstrainSelectedInstOperands,
     /*   95983 */     // GIR_Coverage, 50792,
     /*   95983 */     GIR_EraseRootFromParent_Done,
     /*   95984 */   // Label 1504: @95984
     /*   95984 */   GIM_Reject,
     /*   95985 */ // Label 1484: @95985
     /*   95985 */ GIM_Reject,
     /*   95986 */ // Label 1249: @95986
     /*   95986 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(97710),
     /*   95991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   95994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   95997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   96001 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96090), // Rule ID 51545 //
     /*   96006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96049 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96088 */     GIR_RootConstrainSelectedInstOperands,
     /*   96089 */     // GIR_Coverage, 51545,
     /*   96089 */     GIR_EraseRootFromParent_Done,
     /*   96090 */   // Label 1506: @96090
     /*   96090 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96179), // Rule ID 51546 //
     /*   96095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96138 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96177 */     GIR_RootConstrainSelectedInstOperands,
     /*   96178 */     // GIR_Coverage, 51546,
     /*   96178 */     GIR_EraseRootFromParent_Done,
     /*   96179 */   // Label 1507: @96179
     /*   96179 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96268), // Rule ID 69911 //
     /*   96184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96227 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96266 */     GIR_RootConstrainSelectedInstOperands,
     /*   96267 */     // GIR_Coverage, 69911,
     /*   96267 */     GIR_EraseRootFromParent_Done,
     /*   96268 */   // Label 1508: @96268
     /*   96268 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96357), // Rule ID 69912 //
     /*   96273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96316 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96355 */     GIR_RootConstrainSelectedInstOperands,
     /*   96356 */     // GIR_Coverage, 69912,
     /*   96356 */     GIR_EraseRootFromParent_Done,
     /*   96357 */   // Label 1509: @96357
     /*   96357 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96446), // Rule ID 69791 //
     /*   96362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96405 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96444 */     GIR_RootConstrainSelectedInstOperands,
     /*   96445 */     // GIR_Coverage, 69791,
     /*   96445 */     GIR_EraseRootFromParent_Done,
     /*   96446 */   // Label 1510: @96446
     /*   96446 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96535), // Rule ID 69792 //
     /*   96451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96494 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96533 */     GIR_RootConstrainSelectedInstOperands,
     /*   96534 */     // GIR_Coverage, 69792,
     /*   96534 */     GIR_EraseRootFromParent_Done,
     /*   96535 */   // Label 1511: @96535
     /*   96535 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96624), // Rule ID 51725 //
     /*   96540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96583 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96622 */     GIR_RootConstrainSelectedInstOperands,
     /*   96623 */     // GIR_Coverage, 51725,
     /*   96623 */     GIR_EraseRootFromParent_Done,
     /*   96624 */   // Label 1512: @96624
     /*   96624 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96713), // Rule ID 51726 //
     /*   96629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96672 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96711 */     GIR_RootConstrainSelectedInstOperands,
     /*   96712 */     // GIR_Coverage, 51726,
     /*   96712 */     GIR_EraseRootFromParent_Done,
     /*   96713 */   // Label 1513: @96713
     /*   96713 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96802), // Rule ID 51425 //
     /*   96718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96761 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96800 */     GIR_RootConstrainSelectedInstOperands,
     /*   96801 */     // GIR_Coverage, 51425,
     /*   96801 */     GIR_EraseRootFromParent_Done,
     /*   96802 */   // Label 1514: @96802
     /*   96802 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96891), // Rule ID 51426 //
     /*   96807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96850 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96889 */     GIR_RootConstrainSelectedInstOperands,
     /*   96890 */     // GIR_Coverage, 51426,
     /*   96890 */     GIR_EraseRootFromParent_Done,
     /*   96891 */   // Label 1515: @96891
     /*   96891 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96980), // Rule ID 51665 //
     /*   96896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96939 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96978 */     GIR_RootConstrainSelectedInstOperands,
     /*   96979 */     // GIR_Coverage, 51665,
     /*   96979 */     GIR_EraseRootFromParent_Done,
     /*   96980 */   // Label 1516: @96980
     /*   96980 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97069), // Rule ID 51666 //
     /*   96985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97028 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97067 */     GIR_RootConstrainSelectedInstOperands,
     /*   97068 */     // GIR_Coverage, 51666,
     /*   97068 */     GIR_EraseRootFromParent_Done,
     /*   97069 */   // Label 1517: @97069
     /*   97069 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97158), // Rule ID 51605 //
     /*   97074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97117 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97156 */     GIR_RootConstrainSelectedInstOperands,
     /*   97157 */     // GIR_Coverage, 51605,
     /*   97157 */     GIR_EraseRootFromParent_Done,
     /*   97158 */   // Label 1518: @97158
     /*   97158 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97247), // Rule ID 51606 //
     /*   97163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97206 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97245 */     GIR_RootConstrainSelectedInstOperands,
     /*   97246 */     // GIR_Coverage, 51606,
     /*   97246 */     GIR_EraseRootFromParent_Done,
     /*   97247 */   // Label 1519: @97247
     /*   97247 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97336), // Rule ID 69851 //
     /*   97252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97295 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97334 */     GIR_RootConstrainSelectedInstOperands,
     /*   97335 */     // GIR_Coverage, 69851,
     /*   97335 */     GIR_EraseRootFromParent_Done,
     /*   97336 */   // Label 1520: @97336
     /*   97336 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97425), // Rule ID 69852 //
     /*   97341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97384 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97423 */     GIR_RootConstrainSelectedInstOperands,
     /*   97424 */     // GIR_Coverage, 69852,
     /*   97424 */     GIR_EraseRootFromParent_Done,
     /*   97425 */   // Label 1521: @97425
     /*   97425 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97514), // Rule ID 51485 //
     /*   97430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97445 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97464 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97473 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97512 */     GIR_RootConstrainSelectedInstOperands,
     /*   97513 */     // GIR_Coverage, 51485,
     /*   97513 */     GIR_EraseRootFromParent_Done,
     /*   97514 */   // Label 1522: @97514
     /*   97514 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97603), // Rule ID 51486 //
     /*   97519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97553 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97562 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97601 */     GIR_RootConstrainSelectedInstOperands,
     /*   97602 */     // GIR_Coverage, 51486,
     /*   97602 */     GIR_EraseRootFromParent_Done,
     /*   97603 */   // Label 1523: @97603
     /*   97603 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97656), // Rule ID 50807 //
     /*   97608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97619 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 50807,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1524: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97709), // Rule ID 50808 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97672 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97707 */     GIR_RootConstrainSelectedInstOperands,
     /*   97708 */     // GIR_Coverage, 50808,
     /*   97708 */     GIR_EraseRootFromParent_Done,
     /*   97709 */   // Label 1525: @97709
     /*   97709 */   GIM_Reject,
     /*   97710 */ // Label 1505: @97710
     /*   97710 */ GIM_Reject,
     /*   97711 */ // Label 1250: @97711
     /*   97711 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97825),
     /*   97716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97734 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97779), // Rule ID 50763 //
     /*   97739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97742 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97777 */     GIR_RootConstrainSelectedInstOperands,
     /*   97778 */     // GIR_Coverage, 50763,
     /*   97778 */     GIR_EraseRootFromParent_Done,
     /*   97779 */   // Label 1527: @97779
     /*   97779 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97824), // Rule ID 50764 //
     /*   97784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97787 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97822 */     GIR_RootConstrainSelectedInstOperands,
     /*   97823 */     // GIR_Coverage, 50764,
     /*   97823 */     GIR_EraseRootFromParent_Done,
     /*   97824 */   // Label 1528: @97824
     /*   97824 */   GIM_Reject,
     /*   97825 */ // Label 1526: @97825
     /*   97825 */ GIM_Reject,
     /*   97826 */ // Label 1251: @97826
     /*   97826 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(99550),
     /*   97831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97841 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97930), // Rule ID 51505 //
     /*   97846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97889 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97928 */     GIR_RootConstrainSelectedInstOperands,
     /*   97929 */     // GIR_Coverage, 51505,
     /*   97929 */     GIR_EraseRootFromParent_Done,
     /*   97930 */   // Label 1530: @97930
     /*   97930 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98019), // Rule ID 51506 //
     /*   97935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97978 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98017 */     GIR_RootConstrainSelectedInstOperands,
     /*   98018 */     // GIR_Coverage, 51506,
     /*   98018 */     GIR_EraseRootFromParent_Done,
     /*   98019 */   // Label 1531: @98019
     /*   98019 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98108), // Rule ID 69871 //
     /*   98024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98067 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98106 */     GIR_RootConstrainSelectedInstOperands,
     /*   98107 */     // GIR_Coverage, 69871,
     /*   98107 */     GIR_EraseRootFromParent_Done,
     /*   98108 */   // Label 1532: @98108
     /*   98108 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98197), // Rule ID 69872 //
     /*   98113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98156 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98195 */     GIR_RootConstrainSelectedInstOperands,
     /*   98196 */     // GIR_Coverage, 69872,
     /*   98196 */     GIR_EraseRootFromParent_Done,
     /*   98197 */   // Label 1533: @98197
     /*   98197 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98286), // Rule ID 69751 //
     /*   98202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98245 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98284 */     GIR_RootConstrainSelectedInstOperands,
     /*   98285 */     // GIR_Coverage, 69751,
     /*   98285 */     GIR_EraseRootFromParent_Done,
     /*   98286 */   // Label 1534: @98286
     /*   98286 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98375), // Rule ID 69752 //
     /*   98291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98325 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98334 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98373 */     GIR_RootConstrainSelectedInstOperands,
     /*   98374 */     // GIR_Coverage, 69752,
     /*   98374 */     GIR_EraseRootFromParent_Done,
     /*   98375 */   // Label 1535: @98375
     /*   98375 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98464), // Rule ID 51685 //
     /*   98380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98423 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98462 */     GIR_RootConstrainSelectedInstOperands,
     /*   98463 */     // GIR_Coverage, 51685,
     /*   98463 */     GIR_EraseRootFromParent_Done,
     /*   98464 */   // Label 1536: @98464
     /*   98464 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98553), // Rule ID 51686 //
     /*   98469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98512 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98551 */     GIR_RootConstrainSelectedInstOperands,
     /*   98552 */     // GIR_Coverage, 51686,
     /*   98552 */     GIR_EraseRootFromParent_Done,
     /*   98553 */   // Label 1537: @98553
     /*   98553 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98642), // Rule ID 51385 //
     /*   98558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98601 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98640 */     GIR_RootConstrainSelectedInstOperands,
     /*   98641 */     // GIR_Coverage, 51385,
     /*   98641 */     GIR_EraseRootFromParent_Done,
     /*   98642 */   // Label 1538: @98642
     /*   98642 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98731), // Rule ID 51386 //
     /*   98647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98690 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98729 */     GIR_RootConstrainSelectedInstOperands,
     /*   98730 */     // GIR_Coverage, 51386,
     /*   98730 */     GIR_EraseRootFromParent_Done,
     /*   98731 */   // Label 1539: @98731
     /*   98731 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98820), // Rule ID 51625 //
     /*   98736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98779 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98818 */     GIR_RootConstrainSelectedInstOperands,
     /*   98819 */     // GIR_Coverage, 51625,
     /*   98819 */     GIR_EraseRootFromParent_Done,
     /*   98820 */   // Label 1540: @98820
     /*   98820 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98909), // Rule ID 51626 //
     /*   98825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98868 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98907 */     GIR_RootConstrainSelectedInstOperands,
     /*   98908 */     // GIR_Coverage, 51626,
     /*   98908 */     GIR_EraseRootFromParent_Done,
     /*   98909 */   // Label 1541: @98909
     /*   98909 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(98998), // Rule ID 51565 //
     /*   98914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98957 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98996 */     GIR_RootConstrainSelectedInstOperands,
     /*   98997 */     // GIR_Coverage, 51565,
     /*   98997 */     GIR_EraseRootFromParent_Done,
     /*   98998 */   // Label 1542: @98998
     /*   98998 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99087), // Rule ID 51566 //
     /*   99003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99046 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99085 */     GIR_RootConstrainSelectedInstOperands,
     /*   99086 */     // GIR_Coverage, 51566,
     /*   99086 */     GIR_EraseRootFromParent_Done,
     /*   99087 */   // Label 1543: @99087
     /*   99087 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99176), // Rule ID 69811 //
     /*   99092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99135 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99174 */     GIR_RootConstrainSelectedInstOperands,
     /*   99175 */     // GIR_Coverage, 69811,
     /*   99175 */     GIR_EraseRootFromParent_Done,
     /*   99176 */   // Label 1544: @99176
     /*   99176 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99265), // Rule ID 69812 //
     /*   99181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99224 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99263 */     GIR_RootConstrainSelectedInstOperands,
     /*   99264 */     // GIR_Coverage, 69812,
     /*   99264 */     GIR_EraseRootFromParent_Done,
     /*   99265 */   // Label 1545: @99265
     /*   99265 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(99354), // Rule ID 51445 //
     /*   99270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99304 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99313 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99352 */     GIR_RootConstrainSelectedInstOperands,
     /*   99353 */     // GIR_Coverage, 51445,
     /*   99353 */     GIR_EraseRootFromParent_Done,
     /*   99354 */   // Label 1546: @99354
     /*   99354 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99443), // Rule ID 51446 //
     /*   99359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99402 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99441 */     GIR_RootConstrainSelectedInstOperands,
     /*   99442 */     // GIR_Coverage, 51446,
     /*   99442 */     GIR_EraseRootFromParent_Done,
     /*   99443 */   // Label 1547: @99443
     /*   99443 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(99496), // Rule ID 50779 //
     /*   99448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99459 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99494 */     GIR_RootConstrainSelectedInstOperands,
     /*   99495 */     // GIR_Coverage, 50779,
     /*   99495 */     GIR_EraseRootFromParent_Done,
     /*   99496 */   // Label 1548: @99496
     /*   99496 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99549), // Rule ID 50780 //
     /*   99501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99512 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 50780,
     /*   99548 */     GIR_EraseRootFromParent_Done,
     /*   99549 */   // Label 1549: @99549
     /*   99549 */   GIM_Reject,
     /*   99550 */ // Label 1529: @99550
     /*   99550 */ GIM_Reject,
     /*   99551 */ // Label 1252: @99551
     /*   99551 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(101275),
     /*   99556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99566 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99655), // Rule ID 51529 //
     /*   99571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99605 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99614 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99653 */     GIR_RootConstrainSelectedInstOperands,
     /*   99654 */     // GIR_Coverage, 51529,
     /*   99654 */     GIR_EraseRootFromParent_Done,
     /*   99655 */   // Label 1551: @99655
     /*   99655 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99744), // Rule ID 51530 //
     /*   99660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99675 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99694 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99703 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99742 */     GIR_RootConstrainSelectedInstOperands,
     /*   99743 */     // GIR_Coverage, 51530,
     /*   99743 */     GIR_EraseRootFromParent_Done,
     /*   99744 */   // Label 1552: @99744
     /*   99744 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99833), // Rule ID 69895 //
     /*   99749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99764 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99783 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99792 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99831 */     GIR_RootConstrainSelectedInstOperands,
     /*   99832 */     // GIR_Coverage, 69895,
     /*   99832 */     GIR_EraseRootFromParent_Done,
     /*   99833 */   // Label 1553: @99833
     /*   99833 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99922), // Rule ID 69896 //
     /*   99838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99872 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99881 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99920 */     GIR_RootConstrainSelectedInstOperands,
     /*   99921 */     // GIR_Coverage, 69896,
     /*   99921 */     GIR_EraseRootFromParent_Done,
     /*   99922 */   // Label 1554: @99922
     /*   99922 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100011), // Rule ID 69775 //
     /*   99927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99961 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99970 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100009 */     GIR_RootConstrainSelectedInstOperands,
     /*  100010 */     // GIR_Coverage, 69775,
     /*  100010 */     GIR_EraseRootFromParent_Done,
     /*  100011 */   // Label 1555: @100011
     /*  100011 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100100), // Rule ID 69776 //
     /*  100016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100059 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100098 */     GIR_RootConstrainSelectedInstOperands,
     /*  100099 */     // GIR_Coverage, 69776,
     /*  100099 */     GIR_EraseRootFromParent_Done,
     /*  100100 */   // Label 1556: @100100
     /*  100100 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100189), // Rule ID 51709 //
     /*  100105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100139 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100148 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100187 */     GIR_RootConstrainSelectedInstOperands,
     /*  100188 */     // GIR_Coverage, 51709,
     /*  100188 */     GIR_EraseRootFromParent_Done,
     /*  100189 */   // Label 1557: @100189
     /*  100189 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100278), // Rule ID 51710 //
     /*  100194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100237 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100276 */     GIR_RootConstrainSelectedInstOperands,
     /*  100277 */     // GIR_Coverage, 51710,
     /*  100277 */     GIR_EraseRootFromParent_Done,
     /*  100278 */   // Label 1558: @100278
     /*  100278 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100367), // Rule ID 51409 //
     /*  100283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100326 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100365 */     GIR_RootConstrainSelectedInstOperands,
     /*  100366 */     // GIR_Coverage, 51409,
     /*  100366 */     GIR_EraseRootFromParent_Done,
     /*  100367 */   // Label 1559: @100367
     /*  100367 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100456), // Rule ID 51410 //
     /*  100372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100406 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100415 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100454 */     GIR_RootConstrainSelectedInstOperands,
     /*  100455 */     // GIR_Coverage, 51410,
     /*  100455 */     GIR_EraseRootFromParent_Done,
     /*  100456 */   // Label 1560: @100456
     /*  100456 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100545), // Rule ID 51649 //
     /*  100461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100504 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100543 */     GIR_RootConstrainSelectedInstOperands,
     /*  100544 */     // GIR_Coverage, 51649,
     /*  100544 */     GIR_EraseRootFromParent_Done,
     /*  100545 */   // Label 1561: @100545
     /*  100545 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100634), // Rule ID 51650 //
     /*  100550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100593 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100632 */     GIR_RootConstrainSelectedInstOperands,
     /*  100633 */     // GIR_Coverage, 51650,
     /*  100633 */     GIR_EraseRootFromParent_Done,
     /*  100634 */   // Label 1562: @100634
     /*  100634 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100723), // Rule ID 51589 //
     /*  100639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100682 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100721 */     GIR_RootConstrainSelectedInstOperands,
     /*  100722 */     // GIR_Coverage, 51589,
     /*  100722 */     GIR_EraseRootFromParent_Done,
     /*  100723 */   // Label 1563: @100723
     /*  100723 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100812), // Rule ID 51590 //
     /*  100728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100771 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100810 */     GIR_RootConstrainSelectedInstOperands,
     /*  100811 */     // GIR_Coverage, 51590,
     /*  100811 */     GIR_EraseRootFromParent_Done,
     /*  100812 */   // Label 1564: @100812
     /*  100812 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100901), // Rule ID 69835 //
     /*  100817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100860 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100899 */     GIR_RootConstrainSelectedInstOperands,
     /*  100900 */     // GIR_Coverage, 69835,
     /*  100900 */     GIR_EraseRootFromParent_Done,
     /*  100901 */   // Label 1565: @100901
     /*  100901 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100990), // Rule ID 69836 //
     /*  100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100949 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100988 */     GIR_RootConstrainSelectedInstOperands,
     /*  100989 */     // GIR_Coverage, 69836,
     /*  100989 */     GIR_EraseRootFromParent_Done,
     /*  100990 */   // Label 1566: @100990
     /*  100990 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101079), // Rule ID 51469 //
     /*  100995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101029 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101038 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  101038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101077 */     GIR_RootConstrainSelectedInstOperands,
     /*  101078 */     // GIR_Coverage, 51469,
     /*  101078 */     GIR_EraseRootFromParent_Done,
     /*  101079 */   // Label 1567: @101079
     /*  101079 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101168), // Rule ID 51470 //
     /*  101084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101127 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101166 */     GIR_RootConstrainSelectedInstOperands,
     /*  101167 */     // GIR_Coverage, 51470,
     /*  101167 */     GIR_EraseRootFromParent_Done,
     /*  101168 */   // Label 1568: @101168
     /*  101168 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101221), // Rule ID 50795 //
     /*  101173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101184 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101219 */     GIR_RootConstrainSelectedInstOperands,
     /*  101220 */     // GIR_Coverage, 50795,
     /*  101220 */     GIR_EraseRootFromParent_Done,
     /*  101221 */   // Label 1569: @101221
     /*  101221 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(101274), // Rule ID 50796 //
     /*  101226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101237 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101272 */     GIR_RootConstrainSelectedInstOperands,
     /*  101273 */     // GIR_Coverage, 50796,
     /*  101273 */     GIR_EraseRootFromParent_Done,
     /*  101274 */   // Label 1570: @101274
     /*  101274 */   GIM_Reject,
     /*  101275 */ // Label 1550: @101275
     /*  101275 */ GIM_Reject,
     /*  101276 */ // Label 1253: @101276
     /*  101276 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101390),
     /*  101281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101299 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(101344), // Rule ID 50767 //
     /*  101304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101307 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101342 */     GIR_RootConstrainSelectedInstOperands,
     /*  101343 */     // GIR_Coverage, 50767,
     /*  101343 */     GIR_EraseRootFromParent_Done,
     /*  101344 */   // Label 1572: @101344
     /*  101344 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101389), // Rule ID 50768 //
     /*  101349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101352 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101387 */     GIR_RootConstrainSelectedInstOperands,
     /*  101388 */     // GIR_Coverage, 50768,
     /*  101388 */     GIR_EraseRootFromParent_Done,
     /*  101389 */   // Label 1573: @101389
     /*  101389 */   GIM_Reject,
     /*  101390 */ // Label 1571: @101390
     /*  101390 */ GIM_Reject,
     /*  101391 */ // Label 1254: @101391
     /*  101391 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(103115),
     /*  101396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101406 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101495), // Rule ID 51509 //
     /*  101411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101454 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101493 */     GIR_RootConstrainSelectedInstOperands,
     /*  101494 */     // GIR_Coverage, 51509,
     /*  101494 */     GIR_EraseRootFromParent_Done,
     /*  101495 */   // Label 1575: @101495
     /*  101495 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101584), // Rule ID 51510 //
     /*  101500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101543 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101582 */     GIR_RootConstrainSelectedInstOperands,
     /*  101583 */     // GIR_Coverage, 51510,
     /*  101583 */     GIR_EraseRootFromParent_Done,
     /*  101584 */   // Label 1576: @101584
     /*  101584 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101673), // Rule ID 69875 //
     /*  101589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101632 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101671 */     GIR_RootConstrainSelectedInstOperands,
     /*  101672 */     // GIR_Coverage, 69875,
     /*  101672 */     GIR_EraseRootFromParent_Done,
     /*  101673 */   // Label 1577: @101673
     /*  101673 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101762), // Rule ID 69876 //
     /*  101678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101721 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 69876,
     /*  101761 */     GIR_EraseRootFromParent_Done,
     /*  101762 */   // Label 1578: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101851), // Rule ID 69755 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101810 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101849 */     GIR_RootConstrainSelectedInstOperands,
     /*  101850 */     // GIR_Coverage, 69755,
     /*  101850 */     GIR_EraseRootFromParent_Done,
     /*  101851 */   // Label 1579: @101851
     /*  101851 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101940), // Rule ID 69756 //
     /*  101856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101899 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101938 */     GIR_RootConstrainSelectedInstOperands,
     /*  101939 */     // GIR_Coverage, 69756,
     /*  101939 */     GIR_EraseRootFromParent_Done,
     /*  101940 */   // Label 1580: @101940
     /*  101940 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102029), // Rule ID 51689 //
     /*  101945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101988 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102027 */     GIR_RootConstrainSelectedInstOperands,
     /*  102028 */     // GIR_Coverage, 51689,
     /*  102028 */     GIR_EraseRootFromParent_Done,
     /*  102029 */   // Label 1581: @102029
     /*  102029 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102118), // Rule ID 51690 //
     /*  102034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102077 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102116 */     GIR_RootConstrainSelectedInstOperands,
     /*  102117 */     // GIR_Coverage, 51690,
     /*  102117 */     GIR_EraseRootFromParent_Done,
     /*  102118 */   // Label 1582: @102118
     /*  102118 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102207), // Rule ID 51389 //
     /*  102123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102166 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102205 */     GIR_RootConstrainSelectedInstOperands,
     /*  102206 */     // GIR_Coverage, 51389,
     /*  102206 */     GIR_EraseRootFromParent_Done,
     /*  102207 */   // Label 1583: @102207
     /*  102207 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102296), // Rule ID 51390 //
     /*  102212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102255 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102294 */     GIR_RootConstrainSelectedInstOperands,
     /*  102295 */     // GIR_Coverage, 51390,
     /*  102295 */     GIR_EraseRootFromParent_Done,
     /*  102296 */   // Label 1584: @102296
     /*  102296 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102385), // Rule ID 51629 //
     /*  102301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102344 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102383 */     GIR_RootConstrainSelectedInstOperands,
     /*  102384 */     // GIR_Coverage, 51629,
     /*  102384 */     GIR_EraseRootFromParent_Done,
     /*  102385 */   // Label 1585: @102385
     /*  102385 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102474), // Rule ID 51630 //
     /*  102390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102433 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102472 */     GIR_RootConstrainSelectedInstOperands,
     /*  102473 */     // GIR_Coverage, 51630,
     /*  102473 */     GIR_EraseRootFromParent_Done,
     /*  102474 */   // Label 1586: @102474
     /*  102474 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102563), // Rule ID 51569 //
     /*  102479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102522 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102561 */     GIR_RootConstrainSelectedInstOperands,
     /*  102562 */     // GIR_Coverage, 51569,
     /*  102562 */     GIR_EraseRootFromParent_Done,
     /*  102563 */   // Label 1587: @102563
     /*  102563 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102652), // Rule ID 51570 //
     /*  102568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102611 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102650 */     GIR_RootConstrainSelectedInstOperands,
     /*  102651 */     // GIR_Coverage, 51570,
     /*  102651 */     GIR_EraseRootFromParent_Done,
     /*  102652 */   // Label 1588: @102652
     /*  102652 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102741), // Rule ID 69815 //
     /*  102657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102700 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102739 */     GIR_RootConstrainSelectedInstOperands,
     /*  102740 */     // GIR_Coverage, 69815,
     /*  102740 */     GIR_EraseRootFromParent_Done,
     /*  102741 */   // Label 1589: @102741
     /*  102741 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102830), // Rule ID 69816 //
     /*  102746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102789 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102828 */     GIR_RootConstrainSelectedInstOperands,
     /*  102829 */     // GIR_Coverage, 69816,
     /*  102829 */     GIR_EraseRootFromParent_Done,
     /*  102830 */   // Label 1590: @102830
     /*  102830 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102919), // Rule ID 51449 //
     /*  102835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102878 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102917 */     GIR_RootConstrainSelectedInstOperands,
     /*  102918 */     // GIR_Coverage, 51449,
     /*  102918 */     GIR_EraseRootFromParent_Done,
     /*  102919 */   // Label 1591: @102919
     /*  102919 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103008), // Rule ID 51450 //
     /*  102924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102967 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103006 */     GIR_RootConstrainSelectedInstOperands,
     /*  103007 */     // GIR_Coverage, 51450,
     /*  103007 */     GIR_EraseRootFromParent_Done,
     /*  103008 */   // Label 1592: @103008
     /*  103008 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103061), // Rule ID 50783 //
     /*  103013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103024 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103059 */     GIR_RootConstrainSelectedInstOperands,
     /*  103060 */     // GIR_Coverage, 50783,
     /*  103060 */     GIR_EraseRootFromParent_Done,
     /*  103061 */   // Label 1593: @103061
     /*  103061 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(103114), // Rule ID 50784 //
     /*  103066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103077 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103112 */     GIR_RootConstrainSelectedInstOperands,
     /*  103113 */     // GIR_Coverage, 50784,
     /*  103113 */     GIR_EraseRootFromParent_Done,
     /*  103114 */   // Label 1594: @103114
     /*  103114 */   GIM_Reject,
     /*  103115 */ // Label 1574: @103115
     /*  103115 */ GIM_Reject,
     /*  103116 */ // Label 1255: @103116
     /*  103116 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(103230),
     /*  103121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103139 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(103184), // Rule ID 50771 //
     /*  103144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103147 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103182 */     GIR_RootConstrainSelectedInstOperands,
     /*  103183 */     // GIR_Coverage, 50771,
     /*  103183 */     GIR_EraseRootFromParent_Done,
     /*  103184 */   // Label 1596: @103184
     /*  103184 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(103229), // Rule ID 50772 //
     /*  103189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103192 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103227 */     GIR_RootConstrainSelectedInstOperands,
     /*  103228 */     // GIR_Coverage, 50772,
     /*  103228 */     GIR_EraseRootFromParent_Done,
     /*  103229 */   // Label 1597: @103229
     /*  103229 */   GIM_Reject,
     /*  103230 */ // Label 1595: @103230
     /*  103230 */ GIM_Reject,
     /*  103231 */ // Label 1256: @103231
     /*  103231 */ GIM_Reject,
     /*  103232 */ // Label 3: @103232
     /*  103232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1622*/ GIMT_Encode4(105965),
     /*  103243 */ /*GILLT_s32*//*Label 1598*/ GIMT_Encode4(103367),
     /*  103247 */ /*GILLT_s64*//*Label 1599*/ GIMT_Encode4(103401), GIMT_Encode4(0),
     /*  103255 */ /*GILLT_nxv1s8*//*Label 1600*/ GIMT_Encode4(103435),
     /*  103259 */ /*GILLT_nxv1s16*//*Label 1601*/ GIMT_Encode4(103550),
     /*  103263 */ /*GILLT_nxv1s32*//*Label 1602*/ GIMT_Encode4(103665),
     /*  103267 */ /*GILLT_nxv1s64*//*Label 1603*/ GIMT_Encode4(103780), GIMT_Encode4(0),
     /*  103275 */ /*GILLT_nxv2s8*//*Label 1604*/ GIMT_Encode4(103895),
     /*  103279 */ /*GILLT_nxv2s16*//*Label 1605*/ GIMT_Encode4(104010),
     /*  103283 */ /*GILLT_nxv2s32*//*Label 1606*/ GIMT_Encode4(104125),
     /*  103287 */ /*GILLT_nxv2s64*//*Label 1607*/ GIMT_Encode4(104240), GIMT_Encode4(0),
     /*  103295 */ /*GILLT_nxv4s8*//*Label 1608*/ GIMT_Encode4(104355),
     /*  103299 */ /*GILLT_nxv4s16*//*Label 1609*/ GIMT_Encode4(104470),
     /*  103303 */ /*GILLT_nxv4s32*//*Label 1610*/ GIMT_Encode4(104585),
     /*  103307 */ /*GILLT_nxv4s64*//*Label 1611*/ GIMT_Encode4(104700), GIMT_Encode4(0),
     /*  103315 */ /*GILLT_nxv8s8*//*Label 1612*/ GIMT_Encode4(104815),
     /*  103319 */ /*GILLT_nxv8s16*//*Label 1613*/ GIMT_Encode4(104930),
     /*  103323 */ /*GILLT_nxv8s32*//*Label 1614*/ GIMT_Encode4(105045),
     /*  103327 */ /*GILLT_nxv8s64*//*Label 1615*/ GIMT_Encode4(105160), GIMT_Encode4(0),
     /*  103335 */ /*GILLT_nxv16s8*//*Label 1616*/ GIMT_Encode4(105275),
     /*  103339 */ /*GILLT_nxv16s16*//*Label 1617*/ GIMT_Encode4(105390),
     /*  103343 */ /*GILLT_nxv16s32*//*Label 1618*/ GIMT_Encode4(105505), GIMT_Encode4(0),
     /*  103351 */ /*GILLT_nxv32s8*//*Label 1619*/ GIMT_Encode4(105620),
     /*  103355 */ /*GILLT_nxv32s16*//*Label 1620*/ GIMT_Encode4(105735), GIMT_Encode4(0),
     /*  103363 */ /*GILLT_nxv64s8*//*Label 1621*/ GIMT_Encode4(105850),
     /*  103367 */ // Label 1598: @103367
     /*  103367 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103400), // Rule ID 297 //
     /*  103372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103398 */   GIR_RootConstrainSelectedInstOperands,
     /*  103399 */   // GIR_Coverage, 297,
     /*  103399 */   GIR_Done,
     /*  103400 */ // Label 1623: @103400
     /*  103400 */ GIM_Reject,
     /*  103401 */ // Label 1599: @103401
     /*  103401 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103434), // Rule ID 296 //
     /*  103406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103427 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103432 */   GIR_RootConstrainSelectedInstOperands,
     /*  103433 */   // GIR_Coverage, 296,
     /*  103433 */   GIR_Done,
     /*  103434 */ // Label 1624: @103434
     /*  103434 */ GIM_Reject,
     /*  103435 */ // Label 1600: @103435
     /*  103435 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103549),
     /*  103440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103458 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103503), // Rule ID 51075 //
     /*  103463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103466 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103501 */     GIR_RootConstrainSelectedInstOperands,
     /*  103502 */     // GIR_Coverage, 51075,
     /*  103502 */     GIR_EraseRootFromParent_Done,
     /*  103503 */   // Label 1626: @103503
     /*  103503 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103548), // Rule ID 51076 //
     /*  103508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103511 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103546 */     GIR_RootConstrainSelectedInstOperands,
     /*  103547 */     // GIR_Coverage, 51076,
     /*  103547 */     GIR_EraseRootFromParent_Done,
     /*  103548 */   // Label 1627: @103548
     /*  103548 */   GIM_Reject,
     /*  103549 */ // Label 1625: @103549
     /*  103549 */ GIM_Reject,
     /*  103550 */ // Label 1601: @103550
     /*  103550 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103664),
     /*  103555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103573 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103618), // Rule ID 51087 //
     /*  103578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103581 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103616 */     GIR_RootConstrainSelectedInstOperands,
     /*  103617 */     // GIR_Coverage, 51087,
     /*  103617 */     GIR_EraseRootFromParent_Done,
     /*  103618 */   // Label 1629: @103618
     /*  103618 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103663), // Rule ID 51088 //
     /*  103623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103626 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103661 */     GIR_RootConstrainSelectedInstOperands,
     /*  103662 */     // GIR_Coverage, 51088,
     /*  103662 */     GIR_EraseRootFromParent_Done,
     /*  103663 */   // Label 1630: @103663
     /*  103663 */   GIM_Reject,
     /*  103664 */ // Label 1628: @103664
     /*  103664 */ GIM_Reject,
     /*  103665 */ // Label 1602: @103665
     /*  103665 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103779),
     /*  103670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103688 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103733), // Rule ID 51095 //
     /*  103693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103696 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103731 */     GIR_RootConstrainSelectedInstOperands,
     /*  103732 */     // GIR_Coverage, 51095,
     /*  103732 */     GIR_EraseRootFromParent_Done,
     /*  103733 */   // Label 1632: @103733
     /*  103733 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103778), // Rule ID 51096 //
     /*  103738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103741 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103776 */     GIR_RootConstrainSelectedInstOperands,
     /*  103777 */     // GIR_Coverage, 51096,
     /*  103777 */     GIR_EraseRootFromParent_Done,
     /*  103778 */   // Label 1633: @103778
     /*  103778 */   GIM_Reject,
     /*  103779 */ // Label 1631: @103779
     /*  103779 */ GIM_Reject,
     /*  103780 */ // Label 1603: @103780
     /*  103780 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103894),
     /*  103785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103803 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(103848), // Rule ID 51111 //
     /*  103808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103811 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103846 */     GIR_RootConstrainSelectedInstOperands,
     /*  103847 */     // GIR_Coverage, 51111,
     /*  103847 */     GIR_EraseRootFromParent_Done,
     /*  103848 */   // Label 1635: @103848
     /*  103848 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(103893), // Rule ID 51112 //
     /*  103853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103856 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103891 */     GIR_RootConstrainSelectedInstOperands,
     /*  103892 */     // GIR_Coverage, 51112,
     /*  103892 */     GIR_EraseRootFromParent_Done,
     /*  103893 */   // Label 1636: @103893
     /*  103893 */   GIM_Reject,
     /*  103894 */ // Label 1634: @103894
     /*  103894 */ GIM_Reject,
     /*  103895 */ // Label 1604: @103895
     /*  103895 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(104009),
     /*  103900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103918 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(103963), // Rule ID 51079 //
     /*  103923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103926 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103961 */     GIR_RootConstrainSelectedInstOperands,
     /*  103962 */     // GIR_Coverage, 51079,
     /*  103962 */     GIR_EraseRootFromParent_Done,
     /*  103963 */   // Label 1638: @103963
     /*  103963 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104008), // Rule ID 51080 //
     /*  103968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103971 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104006 */     GIR_RootConstrainSelectedInstOperands,
     /*  104007 */     // GIR_Coverage, 51080,
     /*  104007 */     GIR_EraseRootFromParent_Done,
     /*  104008 */   // Label 1639: @104008
     /*  104008 */   GIM_Reject,
     /*  104009 */ // Label 1637: @104009
     /*  104009 */ GIM_Reject,
     /*  104010 */ // Label 1605: @104010
     /*  104010 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104124),
     /*  104015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  104018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  104021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104033 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104078), // Rule ID 51091 //
     /*  104038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104041 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104076 */     GIR_RootConstrainSelectedInstOperands,
     /*  104077 */     // GIR_Coverage, 51091,
     /*  104077 */     GIR_EraseRootFromParent_Done,
     /*  104078 */   // Label 1641: @104078
     /*  104078 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104123), // Rule ID 51092 //
     /*  104083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104086 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104121 */     GIR_RootConstrainSelectedInstOperands,
     /*  104122 */     // GIR_Coverage, 51092,
     /*  104122 */     GIR_EraseRootFromParent_Done,
     /*  104123 */   // Label 1642: @104123
     /*  104123 */   GIM_Reject,
     /*  104124 */ // Label 1640: @104124
     /*  104124 */ GIM_Reject,
     /*  104125 */ // Label 1606: @104125
     /*  104125 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104239),
     /*  104130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104148 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104193), // Rule ID 51107 //
     /*  104153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104156 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104191 */     GIR_RootConstrainSelectedInstOperands,
     /*  104192 */     // GIR_Coverage, 51107,
     /*  104192 */     GIR_EraseRootFromParent_Done,
     /*  104193 */   // Label 1644: @104193
     /*  104193 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104238), // Rule ID 51108 //
     /*  104198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104201 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104236 */     GIR_RootConstrainSelectedInstOperands,
     /*  104237 */     // GIR_Coverage, 51108,
     /*  104237 */     GIR_EraseRootFromParent_Done,
     /*  104238 */   // Label 1645: @104238
     /*  104238 */   GIM_Reject,
     /*  104239 */ // Label 1643: @104239
     /*  104239 */ GIM_Reject,
     /*  104240 */ // Label 1607: @104240
     /*  104240 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104354),
     /*  104245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104263 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104308), // Rule ID 51151 //
     /*  104268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104271 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104306 */     GIR_RootConstrainSelectedInstOperands,
     /*  104307 */     // GIR_Coverage, 51151,
     /*  104307 */     GIR_EraseRootFromParent_Done,
     /*  104308 */   // Label 1647: @104308
     /*  104308 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104353), // Rule ID 51152 //
     /*  104313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104316 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104351 */     GIR_RootConstrainSelectedInstOperands,
     /*  104352 */     // GIR_Coverage, 51152,
     /*  104352 */     GIR_EraseRootFromParent_Done,
     /*  104353 */   // Label 1648: @104353
     /*  104353 */   GIM_Reject,
     /*  104354 */ // Label 1646: @104354
     /*  104354 */ GIM_Reject,
     /*  104355 */ // Label 1608: @104355
     /*  104355 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104469),
     /*  104360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104378 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104423), // Rule ID 51083 //
     /*  104383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104386 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104421 */     GIR_RootConstrainSelectedInstOperands,
     /*  104422 */     // GIR_Coverage, 51083,
     /*  104422 */     GIR_EraseRootFromParent_Done,
     /*  104423 */   // Label 1650: @104423
     /*  104423 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104468), // Rule ID 51084 //
     /*  104428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104431 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104466 */     GIR_RootConstrainSelectedInstOperands,
     /*  104467 */     // GIR_Coverage, 51084,
     /*  104467 */     GIR_EraseRootFromParent_Done,
     /*  104468 */   // Label 1651: @104468
     /*  104468 */   GIM_Reject,
     /*  104469 */ // Label 1649: @104469
     /*  104469 */ GIM_Reject,
     /*  104470 */ // Label 1609: @104470
     /*  104470 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104584),
     /*  104475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104538), // Rule ID 51103 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104501 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104536 */     GIR_RootConstrainSelectedInstOperands,
     /*  104537 */     // GIR_Coverage, 51103,
     /*  104537 */     GIR_EraseRootFromParent_Done,
     /*  104538 */   // Label 1653: @104538
     /*  104538 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104583), // Rule ID 51104 //
     /*  104543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104546 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104581 */     GIR_RootConstrainSelectedInstOperands,
     /*  104582 */     // GIR_Coverage, 51104,
     /*  104582 */     GIR_EraseRootFromParent_Done,
     /*  104583 */   // Label 1654: @104583
     /*  104583 */   GIM_Reject,
     /*  104584 */ // Label 1652: @104584
     /*  104584 */ GIM_Reject,
     /*  104585 */ // Label 1610: @104585
     /*  104585 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104699),
     /*  104590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104608 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104653), // Rule ID 51139 //
     /*  104613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104616 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104651 */     GIR_RootConstrainSelectedInstOperands,
     /*  104652 */     // GIR_Coverage, 51139,
     /*  104652 */     GIR_EraseRootFromParent_Done,
     /*  104653 */   // Label 1656: @104653
     /*  104653 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104698), // Rule ID 51140 //
     /*  104658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104661 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104696 */     GIR_RootConstrainSelectedInstOperands,
     /*  104697 */     // GIR_Coverage, 51140,
     /*  104697 */     GIR_EraseRootFromParent_Done,
     /*  104698 */   // Label 1657: @104698
     /*  104698 */   GIM_Reject,
     /*  104699 */ // Label 1655: @104699
     /*  104699 */ GIM_Reject,
     /*  104700 */ // Label 1611: @104700
     /*  104700 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104814),
     /*  104705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104723 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104768), // Rule ID 51155 //
     /*  104728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104731 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104766 */     GIR_RootConstrainSelectedInstOperands,
     /*  104767 */     // GIR_Coverage, 51155,
     /*  104767 */     GIR_EraseRootFromParent_Done,
     /*  104768 */   // Label 1659: @104768
     /*  104768 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104813), // Rule ID 51156 //
     /*  104773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104776 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104811 */     GIR_RootConstrainSelectedInstOperands,
     /*  104812 */     // GIR_Coverage, 51156,
     /*  104812 */     GIR_EraseRootFromParent_Done,
     /*  104813 */   // Label 1660: @104813
     /*  104813 */   GIM_Reject,
     /*  104814 */ // Label 1658: @104814
     /*  104814 */ GIM_Reject,
     /*  104815 */ // Label 1612: @104815
     /*  104815 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104929),
     /*  104820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104838 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(104883), // Rule ID 51099 //
     /*  104843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104846 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104881 */     GIR_RootConstrainSelectedInstOperands,
     /*  104882 */     // GIR_Coverage, 51099,
     /*  104882 */     GIR_EraseRootFromParent_Done,
     /*  104883 */   // Label 1662: @104883
     /*  104883 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(104928), // Rule ID 51100 //
     /*  104888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104891 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104926 */     GIR_RootConstrainSelectedInstOperands,
     /*  104927 */     // GIR_Coverage, 51100,
     /*  104927 */     GIR_EraseRootFromParent_Done,
     /*  104928 */   // Label 1663: @104928
     /*  104928 */   GIM_Reject,
     /*  104929 */ // Label 1661: @104929
     /*  104929 */ GIM_Reject,
     /*  104930 */ // Label 1613: @104930
     /*  104930 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105044),
     /*  104935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104953 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(104998), // Rule ID 51127 //
     /*  104958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104961 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104996 */     GIR_RootConstrainSelectedInstOperands,
     /*  104997 */     // GIR_Coverage, 51127,
     /*  104997 */     GIR_EraseRootFromParent_Done,
     /*  104998 */   // Label 1665: @104998
     /*  104998 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105043), // Rule ID 51128 //
     /*  105003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105006 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  105009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  105023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105041 */     GIR_RootConstrainSelectedInstOperands,
     /*  105042 */     // GIR_Coverage, 51128,
     /*  105042 */     GIR_EraseRootFromParent_Done,
     /*  105043 */   // Label 1666: @105043
     /*  105043 */   GIM_Reject,
     /*  105044 */ // Label 1664: @105044
     /*  105044 */ GIM_Reject,
     /*  105045 */ // Label 1614: @105045
     /*  105045 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105159),
     /*  105050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  105053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  105056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105068 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105113), // Rule ID 51143 //
     /*  105073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105076 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105111 */     GIR_RootConstrainSelectedInstOperands,
     /*  105112 */     // GIR_Coverage, 51143,
     /*  105112 */     GIR_EraseRootFromParent_Done,
     /*  105113 */   // Label 1668: @105113
     /*  105113 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105158), // Rule ID 51144 //
     /*  105118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105121 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105156 */     GIR_RootConstrainSelectedInstOperands,
     /*  105157 */     // GIR_Coverage, 51144,
     /*  105157 */     GIR_EraseRootFromParent_Done,
     /*  105158 */   // Label 1669: @105158
     /*  105158 */   GIM_Reject,
     /*  105159 */ // Label 1667: @105159
     /*  105159 */ GIM_Reject,
     /*  105160 */ // Label 1615: @105160
     /*  105160 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105274),
     /*  105165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105183 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105228), // Rule ID 51159 //
     /*  105188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105191 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105226 */     GIR_RootConstrainSelectedInstOperands,
     /*  105227 */     // GIR_Coverage, 51159,
     /*  105227 */     GIR_EraseRootFromParent_Done,
     /*  105228 */   // Label 1671: @105228
     /*  105228 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105273), // Rule ID 51160 //
     /*  105233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105236 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105271 */     GIR_RootConstrainSelectedInstOperands,
     /*  105272 */     // GIR_Coverage, 51160,
     /*  105272 */     GIR_EraseRootFromParent_Done,
     /*  105273 */   // Label 1672: @105273
     /*  105273 */   GIM_Reject,
     /*  105274 */ // Label 1670: @105274
     /*  105274 */ GIM_Reject,
     /*  105275 */ // Label 1616: @105275
     /*  105275 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105389),
     /*  105280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105298 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105343), // Rule ID 51115 //
     /*  105303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105306 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105341 */     GIR_RootConstrainSelectedInstOperands,
     /*  105342 */     // GIR_Coverage, 51115,
     /*  105342 */     GIR_EraseRootFromParent_Done,
     /*  105343 */   // Label 1674: @105343
     /*  105343 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105388), // Rule ID 51116 //
     /*  105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105351 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105386 */     GIR_RootConstrainSelectedInstOperands,
     /*  105387 */     // GIR_Coverage, 51116,
     /*  105387 */     GIR_EraseRootFromParent_Done,
     /*  105388 */   // Label 1675: @105388
     /*  105388 */   GIM_Reject,
     /*  105389 */ // Label 1673: @105389
     /*  105389 */ GIM_Reject,
     /*  105390 */ // Label 1617: @105390
     /*  105390 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105504),
     /*  105395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105413 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105458), // Rule ID 51131 //
     /*  105418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105421 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105456 */     GIR_RootConstrainSelectedInstOperands,
     /*  105457 */     // GIR_Coverage, 51131,
     /*  105457 */     GIR_EraseRootFromParent_Done,
     /*  105458 */   // Label 1677: @105458
     /*  105458 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105503), // Rule ID 51132 //
     /*  105463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105466 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105501 */     GIR_RootConstrainSelectedInstOperands,
     /*  105502 */     // GIR_Coverage, 51132,
     /*  105502 */     GIR_EraseRootFromParent_Done,
     /*  105503 */   // Label 1678: @105503
     /*  105503 */   GIM_Reject,
     /*  105504 */ // Label 1676: @105504
     /*  105504 */ GIM_Reject,
     /*  105505 */ // Label 1618: @105505
     /*  105505 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105619),
     /*  105510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105528 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105573), // Rule ID 51147 //
     /*  105533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105536 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105571 */     GIR_RootConstrainSelectedInstOperands,
     /*  105572 */     // GIR_Coverage, 51147,
     /*  105572 */     GIR_EraseRootFromParent_Done,
     /*  105573 */   // Label 1680: @105573
     /*  105573 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105618), // Rule ID 51148 //
     /*  105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105581 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_RootConstrainSelectedInstOperands,
     /*  105617 */     // GIR_Coverage, 51148,
     /*  105617 */     GIR_EraseRootFromParent_Done,
     /*  105618 */   // Label 1681: @105618
     /*  105618 */   GIM_Reject,
     /*  105619 */ // Label 1679: @105619
     /*  105619 */ GIM_Reject,
     /*  105620 */ // Label 1619: @105620
     /*  105620 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105734),
     /*  105625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105643 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105688), // Rule ID 51119 //
     /*  105648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105651 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105686 */     GIR_RootConstrainSelectedInstOperands,
     /*  105687 */     // GIR_Coverage, 51119,
     /*  105687 */     GIR_EraseRootFromParent_Done,
     /*  105688 */   // Label 1683: @105688
     /*  105688 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105733), // Rule ID 51120 //
     /*  105693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105696 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105731 */     GIR_RootConstrainSelectedInstOperands,
     /*  105732 */     // GIR_Coverage, 51120,
     /*  105732 */     GIR_EraseRootFromParent_Done,
     /*  105733 */   // Label 1684: @105733
     /*  105733 */   GIM_Reject,
     /*  105734 */ // Label 1682: @105734
     /*  105734 */ GIM_Reject,
     /*  105735 */ // Label 1620: @105735
     /*  105735 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105849),
     /*  105740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105758 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105803), // Rule ID 51135 //
     /*  105763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105766 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105801 */     GIR_RootConstrainSelectedInstOperands,
     /*  105802 */     // GIR_Coverage, 51135,
     /*  105802 */     GIR_EraseRootFromParent_Done,
     /*  105803 */   // Label 1686: @105803
     /*  105803 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(105848), // Rule ID 51136 //
     /*  105808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105811 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105846 */     GIR_RootConstrainSelectedInstOperands,
     /*  105847 */     // GIR_Coverage, 51136,
     /*  105847 */     GIR_EraseRootFromParent_Done,
     /*  105848 */   // Label 1687: @105848
     /*  105848 */   GIM_Reject,
     /*  105849 */ // Label 1685: @105849
     /*  105849 */ GIM_Reject,
     /*  105850 */ // Label 1621: @105850
     /*  105850 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(105964),
     /*  105855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105873 */   GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(105918), // Rule ID 51123 //
     /*  105878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105881 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105916 */     GIR_RootConstrainSelectedInstOperands,
     /*  105917 */     // GIR_Coverage, 51123,
     /*  105917 */     GIR_EraseRootFromParent_Done,
     /*  105918 */   // Label 1689: @105918
     /*  105918 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(105963), // Rule ID 51124 //
     /*  105923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105926 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105961 */     GIR_RootConstrainSelectedInstOperands,
     /*  105962 */     // GIR_Coverage, 51124,
     /*  105962 */     GIR_EraseRootFromParent_Done,
     /*  105963 */   // Label 1690: @105963
     /*  105963 */   GIM_Reject,
     /*  105964 */ // Label 1688: @105964
     /*  105964 */ GIM_Reject,
     /*  105965 */ // Label 1622: @105965
     /*  105965 */ GIM_Reject,
     /*  105966 */ // Label 4: @105966
     /*  105966 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1715*/ GIMT_Encode4(108699),
     /*  105977 */ /*GILLT_s32*//*Label 1691*/ GIMT_Encode4(106101),
     /*  105981 */ /*GILLT_s64*//*Label 1692*/ GIMT_Encode4(106135), GIMT_Encode4(0),
     /*  105989 */ /*GILLT_nxv1s8*//*Label 1693*/ GIMT_Encode4(106169),
     /*  105993 */ /*GILLT_nxv1s16*//*Label 1694*/ GIMT_Encode4(106284),
     /*  105997 */ /*GILLT_nxv1s32*//*Label 1695*/ GIMT_Encode4(106399),
     /*  106001 */ /*GILLT_nxv1s64*//*Label 1696*/ GIMT_Encode4(106514), GIMT_Encode4(0),
     /*  106009 */ /*GILLT_nxv2s8*//*Label 1697*/ GIMT_Encode4(106629),
     /*  106013 */ /*GILLT_nxv2s16*//*Label 1698*/ GIMT_Encode4(106744),
     /*  106017 */ /*GILLT_nxv2s32*//*Label 1699*/ GIMT_Encode4(106859),
     /*  106021 */ /*GILLT_nxv2s64*//*Label 1700*/ GIMT_Encode4(106974), GIMT_Encode4(0),
     /*  106029 */ /*GILLT_nxv4s8*//*Label 1701*/ GIMT_Encode4(107089),
     /*  106033 */ /*GILLT_nxv4s16*//*Label 1702*/ GIMT_Encode4(107204),
     /*  106037 */ /*GILLT_nxv4s32*//*Label 1703*/ GIMT_Encode4(107319),
     /*  106041 */ /*GILLT_nxv4s64*//*Label 1704*/ GIMT_Encode4(107434), GIMT_Encode4(0),
     /*  106049 */ /*GILLT_nxv8s8*//*Label 1705*/ GIMT_Encode4(107549),
     /*  106053 */ /*GILLT_nxv8s16*//*Label 1706*/ GIMT_Encode4(107664),
     /*  106057 */ /*GILLT_nxv8s32*//*Label 1707*/ GIMT_Encode4(107779),
     /*  106061 */ /*GILLT_nxv8s64*//*Label 1708*/ GIMT_Encode4(107894), GIMT_Encode4(0),
     /*  106069 */ /*GILLT_nxv16s8*//*Label 1709*/ GIMT_Encode4(108009),
     /*  106073 */ /*GILLT_nxv16s16*//*Label 1710*/ GIMT_Encode4(108124),
     /*  106077 */ /*GILLT_nxv16s32*//*Label 1711*/ GIMT_Encode4(108239), GIMT_Encode4(0),
     /*  106085 */ /*GILLT_nxv32s8*//*Label 1712*/ GIMT_Encode4(108354),
     /*  106089 */ /*GILLT_nxv32s16*//*Label 1713*/ GIMT_Encode4(108469), GIMT_Encode4(0),
     /*  106097 */ /*GILLT_nxv64s8*//*Label 1714*/ GIMT_Encode4(108584),
     /*  106101 */ // Label 1691: @106101
     /*  106101 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106134), // Rule ID 299 //
     /*  106106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106127 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106132 */   GIR_RootConstrainSelectedInstOperands,
     /*  106133 */   // GIR_Coverage, 299,
     /*  106133 */   GIR_Done,
     /*  106134 */ // Label 1716: @106134
     /*  106134 */ GIM_Reject,
     /*  106135 */ // Label 1692: @106135
     /*  106135 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106168), // Rule ID 298 //
     /*  106140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106161 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106166 */   GIR_RootConstrainSelectedInstOperands,
     /*  106167 */   // GIR_Coverage, 298,
     /*  106167 */   GIR_Done,
     /*  106168 */ // Label 1717: @106168
     /*  106168 */ GIM_Reject,
     /*  106169 */ // Label 1693: @106169
     /*  106169 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106283),
     /*  106174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106192 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106237), // Rule ID 50987 //
     /*  106197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106200 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106235 */     GIR_RootConstrainSelectedInstOperands,
     /*  106236 */     // GIR_Coverage, 50987,
     /*  106236 */     GIR_EraseRootFromParent_Done,
     /*  106237 */   // Label 1719: @106237
     /*  106237 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106282), // Rule ID 50988 //
     /*  106242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106245 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106280 */     GIR_RootConstrainSelectedInstOperands,
     /*  106281 */     // GIR_Coverage, 50988,
     /*  106281 */     GIR_EraseRootFromParent_Done,
     /*  106282 */   // Label 1720: @106282
     /*  106282 */   GIM_Reject,
     /*  106283 */ // Label 1718: @106283
     /*  106283 */ GIM_Reject,
     /*  106284 */ // Label 1694: @106284
     /*  106284 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106398),
     /*  106289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106307 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106352), // Rule ID 50999 //
     /*  106312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106315 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106350 */     GIR_RootConstrainSelectedInstOperands,
     /*  106351 */     // GIR_Coverage, 50999,
     /*  106351 */     GIR_EraseRootFromParent_Done,
     /*  106352 */   // Label 1722: @106352
     /*  106352 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106397), // Rule ID 51000 //
     /*  106357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106360 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106395 */     GIR_RootConstrainSelectedInstOperands,
     /*  106396 */     // GIR_Coverage, 51000,
     /*  106396 */     GIR_EraseRootFromParent_Done,
     /*  106397 */   // Label 1723: @106397
     /*  106397 */   GIM_Reject,
     /*  106398 */ // Label 1721: @106398
     /*  106398 */ GIM_Reject,
     /*  106399 */ // Label 1695: @106399
     /*  106399 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106513),
     /*  106404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106467), // Rule ID 51007 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106465 */     GIR_RootConstrainSelectedInstOperands,
     /*  106466 */     // GIR_Coverage, 51007,
     /*  106466 */     GIR_EraseRootFromParent_Done,
     /*  106467 */   // Label 1725: @106467
     /*  106467 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106512), // Rule ID 51008 //
     /*  106472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106475 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106510 */     GIR_RootConstrainSelectedInstOperands,
     /*  106511 */     // GIR_Coverage, 51008,
     /*  106511 */     GIR_EraseRootFromParent_Done,
     /*  106512 */   // Label 1726: @106512
     /*  106512 */   GIM_Reject,
     /*  106513 */ // Label 1724: @106513
     /*  106513 */ GIM_Reject,
     /*  106514 */ // Label 1696: @106514
     /*  106514 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106628),
     /*  106519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106537 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106582), // Rule ID 51023 //
     /*  106542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106545 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106580 */     GIR_RootConstrainSelectedInstOperands,
     /*  106581 */     // GIR_Coverage, 51023,
     /*  106581 */     GIR_EraseRootFromParent_Done,
     /*  106582 */   // Label 1728: @106582
     /*  106582 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106627), // Rule ID 51024 //
     /*  106587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106590 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106625 */     GIR_RootConstrainSelectedInstOperands,
     /*  106626 */     // GIR_Coverage, 51024,
     /*  106626 */     GIR_EraseRootFromParent_Done,
     /*  106627 */   // Label 1729: @106627
     /*  106627 */   GIM_Reject,
     /*  106628 */ // Label 1727: @106628
     /*  106628 */ GIM_Reject,
     /*  106629 */ // Label 1697: @106629
     /*  106629 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106743),
     /*  106634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106652 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106697), // Rule ID 50991 //
     /*  106657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106660 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106695 */     GIR_RootConstrainSelectedInstOperands,
     /*  106696 */     // GIR_Coverage, 50991,
     /*  106696 */     GIR_EraseRootFromParent_Done,
     /*  106697 */   // Label 1731: @106697
     /*  106697 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106742), // Rule ID 50992 //
     /*  106702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106705 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106740 */     GIR_RootConstrainSelectedInstOperands,
     /*  106741 */     // GIR_Coverage, 50992,
     /*  106741 */     GIR_EraseRootFromParent_Done,
     /*  106742 */   // Label 1732: @106742
     /*  106742 */   GIM_Reject,
     /*  106743 */ // Label 1730: @106743
     /*  106743 */ GIM_Reject,
     /*  106744 */ // Label 1698: @106744
     /*  106744 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106858),
     /*  106749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106767 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106812), // Rule ID 51003 //
     /*  106772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106775 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106810 */     GIR_RootConstrainSelectedInstOperands,
     /*  106811 */     // GIR_Coverage, 51003,
     /*  106811 */     GIR_EraseRootFromParent_Done,
     /*  106812 */   // Label 1734: @106812
     /*  106812 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(106857), // Rule ID 51004 //
     /*  106817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106820 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106855 */     GIR_RootConstrainSelectedInstOperands,
     /*  106856 */     // GIR_Coverage, 51004,
     /*  106856 */     GIR_EraseRootFromParent_Done,
     /*  106857 */   // Label 1735: @106857
     /*  106857 */   GIM_Reject,
     /*  106858 */ // Label 1733: @106858
     /*  106858 */ GIM_Reject,
     /*  106859 */ // Label 1699: @106859
     /*  106859 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106973),
     /*  106864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106882 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(106927), // Rule ID 51019 //
     /*  106887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106890 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106925 */     GIR_RootConstrainSelectedInstOperands,
     /*  106926 */     // GIR_Coverage, 51019,
     /*  106926 */     GIR_EraseRootFromParent_Done,
     /*  106927 */   // Label 1737: @106927
     /*  106927 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(106972), // Rule ID 51020 //
     /*  106932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106935 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106970 */     GIR_RootConstrainSelectedInstOperands,
     /*  106971 */     // GIR_Coverage, 51020,
     /*  106971 */     GIR_EraseRootFromParent_Done,
     /*  106972 */   // Label 1738: @106972
     /*  106972 */   GIM_Reject,
     /*  106973 */ // Label 1736: @106973
     /*  106973 */ GIM_Reject,
     /*  106974 */ // Label 1700: @106974
     /*  106974 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107088),
     /*  106979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106997 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107042), // Rule ID 51063 //
     /*  107002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107005 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_RootConstrainSelectedInstOperands,
     /*  107041 */     // GIR_Coverage, 51063,
     /*  107041 */     GIR_EraseRootFromParent_Done,
     /*  107042 */   // Label 1740: @107042
     /*  107042 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107087), // Rule ID 51064 //
     /*  107047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107050 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107085 */     GIR_RootConstrainSelectedInstOperands,
     /*  107086 */     // GIR_Coverage, 51064,
     /*  107086 */     GIR_EraseRootFromParent_Done,
     /*  107087 */   // Label 1741: @107087
     /*  107087 */   GIM_Reject,
     /*  107088 */ // Label 1739: @107088
     /*  107088 */ GIM_Reject,
     /*  107089 */ // Label 1701: @107089
     /*  107089 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107203),
     /*  107094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107112 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107157), // Rule ID 50995 //
     /*  107117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107120 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107155 */     GIR_RootConstrainSelectedInstOperands,
     /*  107156 */     // GIR_Coverage, 50995,
     /*  107156 */     GIR_EraseRootFromParent_Done,
     /*  107157 */   // Label 1743: @107157
     /*  107157 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107202), // Rule ID 50996 //
     /*  107162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107165 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107200 */     GIR_RootConstrainSelectedInstOperands,
     /*  107201 */     // GIR_Coverage, 50996,
     /*  107201 */     GIR_EraseRootFromParent_Done,
     /*  107202 */   // Label 1744: @107202
     /*  107202 */   GIM_Reject,
     /*  107203 */ // Label 1742: @107203
     /*  107203 */ GIM_Reject,
     /*  107204 */ // Label 1702: @107204
     /*  107204 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107318),
     /*  107209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107227 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107272), // Rule ID 51015 //
     /*  107232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107235 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107270 */     GIR_RootConstrainSelectedInstOperands,
     /*  107271 */     // GIR_Coverage, 51015,
     /*  107271 */     GIR_EraseRootFromParent_Done,
     /*  107272 */   // Label 1746: @107272
     /*  107272 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107317), // Rule ID 51016 //
     /*  107277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107280 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107315 */     GIR_RootConstrainSelectedInstOperands,
     /*  107316 */     // GIR_Coverage, 51016,
     /*  107316 */     GIR_EraseRootFromParent_Done,
     /*  107317 */   // Label 1747: @107317
     /*  107317 */   GIM_Reject,
     /*  107318 */ // Label 1745: @107318
     /*  107318 */ GIM_Reject,
     /*  107319 */ // Label 1703: @107319
     /*  107319 */ GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107433),
     /*  107324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107342 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107387), // Rule ID 51051 //
     /*  107347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107350 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107385 */     GIR_RootConstrainSelectedInstOperands,
     /*  107386 */     // GIR_Coverage, 51051,
     /*  107386 */     GIR_EraseRootFromParent_Done,
     /*  107387 */   // Label 1749: @107387
     /*  107387 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107432), // Rule ID 51052 //
     /*  107392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107395 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107430 */     GIR_RootConstrainSelectedInstOperands,
     /*  107431 */     // GIR_Coverage, 51052,
     /*  107431 */     GIR_EraseRootFromParent_Done,
     /*  107432 */   // Label 1750: @107432
     /*  107432 */   GIM_Reject,
     /*  107433 */ // Label 1748: @107433
     /*  107433 */ GIM_Reject,
     /*  107434 */ // Label 1704: @107434
     /*  107434 */ GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107548),
     /*  107439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107457 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107502), // Rule ID 51067 //
     /*  107462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107465 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107500 */     GIR_RootConstrainSelectedInstOperands,
     /*  107501 */     // GIR_Coverage, 51067,
     /*  107501 */     GIR_EraseRootFromParent_Done,
     /*  107502 */   // Label 1752: @107502
     /*  107502 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107547), // Rule ID 51068 //
     /*  107507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107510 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107545 */     GIR_RootConstrainSelectedInstOperands,
     /*  107546 */     // GIR_Coverage, 51068,
     /*  107546 */     GIR_EraseRootFromParent_Done,
     /*  107547 */   // Label 1753: @107547
     /*  107547 */   GIM_Reject,
     /*  107548 */ // Label 1751: @107548
     /*  107548 */ GIM_Reject,
     /*  107549 */ // Label 1705: @107549
     /*  107549 */ GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107663),
     /*  107554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107572 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107617), // Rule ID 51011 //
     /*  107577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107580 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107615 */     GIR_RootConstrainSelectedInstOperands,
     /*  107616 */     // GIR_Coverage, 51011,
     /*  107616 */     GIR_EraseRootFromParent_Done,
     /*  107617 */   // Label 1755: @107617
     /*  107617 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107662), // Rule ID 51012 //
     /*  107622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107625 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107660 */     GIR_RootConstrainSelectedInstOperands,
     /*  107661 */     // GIR_Coverage, 51012,
     /*  107661 */     GIR_EraseRootFromParent_Done,
     /*  107662 */   // Label 1756: @107662
     /*  107662 */   GIM_Reject,
     /*  107663 */ // Label 1754: @107663
     /*  107663 */ GIM_Reject,
     /*  107664 */ // Label 1706: @107664
     /*  107664 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107778),
     /*  107669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107687 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107732), // Rule ID 51039 //
     /*  107692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107695 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107730 */     GIR_RootConstrainSelectedInstOperands,
     /*  107731 */     // GIR_Coverage, 51039,
     /*  107731 */     GIR_EraseRootFromParent_Done,
     /*  107732 */   // Label 1758: @107732
     /*  107732 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107777), // Rule ID 51040 //
     /*  107737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107740 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107775 */     GIR_RootConstrainSelectedInstOperands,
     /*  107776 */     // GIR_Coverage, 51040,
     /*  107776 */     GIR_EraseRootFromParent_Done,
     /*  107777 */   // Label 1759: @107777
     /*  107777 */   GIM_Reject,
     /*  107778 */ // Label 1757: @107778
     /*  107778 */ GIM_Reject,
     /*  107779 */ // Label 1707: @107779
     /*  107779 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107893),
     /*  107784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107802 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(107847), // Rule ID 51055 //
     /*  107807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107810 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107845 */     GIR_RootConstrainSelectedInstOperands,
     /*  107846 */     // GIR_Coverage, 51055,
     /*  107846 */     GIR_EraseRootFromParent_Done,
     /*  107847 */   // Label 1761: @107847
     /*  107847 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(107892), // Rule ID 51056 //
     /*  107852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107855 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107890 */     GIR_RootConstrainSelectedInstOperands,
     /*  107891 */     // GIR_Coverage, 51056,
     /*  107891 */     GIR_EraseRootFromParent_Done,
     /*  107892 */   // Label 1762: @107892
     /*  107892 */   GIM_Reject,
     /*  107893 */ // Label 1760: @107893
     /*  107893 */ GIM_Reject,
     /*  107894 */ // Label 1708: @107894
     /*  107894 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(108008),
     /*  107899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107917 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(107962), // Rule ID 51071 //
     /*  107922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107925 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107960 */     GIR_RootConstrainSelectedInstOperands,
     /*  107961 */     // GIR_Coverage, 51071,
     /*  107961 */     GIR_EraseRootFromParent_Done,
     /*  107962 */   // Label 1764: @107962
     /*  107962 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108007), // Rule ID 51072 //
     /*  107967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107970 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108005 */     GIR_RootConstrainSelectedInstOperands,
     /*  108006 */     // GIR_Coverage, 51072,
     /*  108006 */     GIR_EraseRootFromParent_Done,
     /*  108007 */   // Label 1765: @108007
     /*  108007 */   GIM_Reject,
     /*  108008 */ // Label 1763: @108008
     /*  108008 */ GIM_Reject,
     /*  108009 */ // Label 1709: @108009
     /*  108009 */ GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108123),
     /*  108014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  108017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  108020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108032 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108077), // Rule ID 51027 //
     /*  108037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108040 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108075 */     GIR_RootConstrainSelectedInstOperands,
     /*  108076 */     // GIR_Coverage, 51027,
     /*  108076 */     GIR_EraseRootFromParent_Done,
     /*  108077 */   // Label 1767: @108077
     /*  108077 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108122), // Rule ID 51028 //
     /*  108082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108085 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108120 */     GIR_RootConstrainSelectedInstOperands,
     /*  108121 */     // GIR_Coverage, 51028,
     /*  108121 */     GIR_EraseRootFromParent_Done,
     /*  108122 */   // Label 1768: @108122
     /*  108122 */   GIM_Reject,
     /*  108123 */ // Label 1766: @108123
     /*  108123 */ GIM_Reject,
     /*  108124 */ // Label 1710: @108124
     /*  108124 */ GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108238),
     /*  108129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108147 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108192), // Rule ID 51043 //
     /*  108152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108155 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108190 */     GIR_RootConstrainSelectedInstOperands,
     /*  108191 */     // GIR_Coverage, 51043,
     /*  108191 */     GIR_EraseRootFromParent_Done,
     /*  108192 */   // Label 1770: @108192
     /*  108192 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108237), // Rule ID 51044 //
     /*  108197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108200 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108235 */     GIR_RootConstrainSelectedInstOperands,
     /*  108236 */     // GIR_Coverage, 51044,
     /*  108236 */     GIR_EraseRootFromParent_Done,
     /*  108237 */   // Label 1771: @108237
     /*  108237 */   GIM_Reject,
     /*  108238 */ // Label 1769: @108238
     /*  108238 */ GIM_Reject,
     /*  108239 */ // Label 1711: @108239
     /*  108239 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108353),
     /*  108244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108262 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108307), // Rule ID 51059 //
     /*  108267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108270 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108305 */     GIR_RootConstrainSelectedInstOperands,
     /*  108306 */     // GIR_Coverage, 51059,
     /*  108306 */     GIR_EraseRootFromParent_Done,
     /*  108307 */   // Label 1773: @108307
     /*  108307 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108352), // Rule ID 51060 //
     /*  108312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108315 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108350 */     GIR_RootConstrainSelectedInstOperands,
     /*  108351 */     // GIR_Coverage, 51060,
     /*  108351 */     GIR_EraseRootFromParent_Done,
     /*  108352 */   // Label 1774: @108352
     /*  108352 */   GIM_Reject,
     /*  108353 */ // Label 1772: @108353
     /*  108353 */ GIM_Reject,
     /*  108354 */ // Label 1712: @108354
     /*  108354 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108468),
     /*  108359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108377 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108422), // Rule ID 51031 //
     /*  108382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108385 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108420 */     GIR_RootConstrainSelectedInstOperands,
     /*  108421 */     // GIR_Coverage, 51031,
     /*  108421 */     GIR_EraseRootFromParent_Done,
     /*  108422 */   // Label 1776: @108422
     /*  108422 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108467), // Rule ID 51032 //
     /*  108427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108430 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108465 */     GIR_RootConstrainSelectedInstOperands,
     /*  108466 */     // GIR_Coverage, 51032,
     /*  108466 */     GIR_EraseRootFromParent_Done,
     /*  108467 */   // Label 1777: @108467
     /*  108467 */   GIM_Reject,
     /*  108468 */ // Label 1775: @108468
     /*  108468 */ GIM_Reject,
     /*  108469 */ // Label 1713: @108469
     /*  108469 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108583),
     /*  108474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108492 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108537), // Rule ID 51047 //
     /*  108497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108500 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108535 */     GIR_RootConstrainSelectedInstOperands,
     /*  108536 */     // GIR_Coverage, 51047,
     /*  108536 */     GIR_EraseRootFromParent_Done,
     /*  108537 */   // Label 1779: @108537
     /*  108537 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(108582), // Rule ID 51048 //
     /*  108542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108545 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108580 */     GIR_RootConstrainSelectedInstOperands,
     /*  108581 */     // GIR_Coverage, 51048,
     /*  108581 */     GIR_EraseRootFromParent_Done,
     /*  108582 */   // Label 1780: @108582
     /*  108582 */   GIM_Reject,
     /*  108583 */ // Label 1778: @108583
     /*  108583 */ GIM_Reject,
     /*  108584 */ // Label 1714: @108584
     /*  108584 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(108698),
     /*  108589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108607 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(108652), // Rule ID 51035 //
     /*  108612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108615 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108650 */     GIR_RootConstrainSelectedInstOperands,
     /*  108651 */     // GIR_Coverage, 51035,
     /*  108651 */     GIR_EraseRootFromParent_Done,
     /*  108652 */   // Label 1782: @108652
     /*  108652 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(108697), // Rule ID 51036 //
     /*  108657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108660 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108695 */     GIR_RootConstrainSelectedInstOperands,
     /*  108696 */     // GIR_Coverage, 51036,
     /*  108696 */     GIR_EraseRootFromParent_Done,
     /*  108697 */   // Label 1783: @108697
     /*  108697 */   GIM_Reject,
     /*  108698 */ // Label 1781: @108698
     /*  108698 */ GIM_Reject,
     /*  108699 */ // Label 1715: @108699
     /*  108699 */ GIM_Reject,
     /*  108700 */ // Label 5: @108700
     /*  108700 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1808*/ GIMT_Encode4(111478),
     /*  108711 */ /*GILLT_s32*//*Label 1784*/ GIMT_Encode4(108835),
     /*  108715 */ /*GILLT_s64*//*Label 1785*/ GIMT_Encode4(108869), GIMT_Encode4(0),
     /*  108723 */ /*GILLT_nxv1s8*//*Label 1786*/ GIMT_Encode4(108948),
     /*  108727 */ /*GILLT_nxv1s16*//*Label 1787*/ GIMT_Encode4(109063),
     /*  108731 */ /*GILLT_nxv1s32*//*Label 1788*/ GIMT_Encode4(109178),
     /*  108735 */ /*GILLT_nxv1s64*//*Label 1789*/ GIMT_Encode4(109293), GIMT_Encode4(0),
     /*  108743 */ /*GILLT_nxv2s8*//*Label 1790*/ GIMT_Encode4(109408),
     /*  108747 */ /*GILLT_nxv2s16*//*Label 1791*/ GIMT_Encode4(109523),
     /*  108751 */ /*GILLT_nxv2s32*//*Label 1792*/ GIMT_Encode4(109638),
     /*  108755 */ /*GILLT_nxv2s64*//*Label 1793*/ GIMT_Encode4(109753), GIMT_Encode4(0),
     /*  108763 */ /*GILLT_nxv4s8*//*Label 1794*/ GIMT_Encode4(109868),
     /*  108767 */ /*GILLT_nxv4s16*//*Label 1795*/ GIMT_Encode4(109983),
     /*  108771 */ /*GILLT_nxv4s32*//*Label 1796*/ GIMT_Encode4(110098),
     /*  108775 */ /*GILLT_nxv4s64*//*Label 1797*/ GIMT_Encode4(110213), GIMT_Encode4(0),
     /*  108783 */ /*GILLT_nxv8s8*//*Label 1798*/ GIMT_Encode4(110328),
     /*  108787 */ /*GILLT_nxv8s16*//*Label 1799*/ GIMT_Encode4(110443),
     /*  108791 */ /*GILLT_nxv8s32*//*Label 1800*/ GIMT_Encode4(110558),
     /*  108795 */ /*GILLT_nxv8s64*//*Label 1801*/ GIMT_Encode4(110673), GIMT_Encode4(0),
     /*  108803 */ /*GILLT_nxv16s8*//*Label 1802*/ GIMT_Encode4(110788),
     /*  108807 */ /*GILLT_nxv16s16*//*Label 1803*/ GIMT_Encode4(110903),
     /*  108811 */ /*GILLT_nxv16s32*//*Label 1804*/ GIMT_Encode4(111018), GIMT_Encode4(0),
     /*  108819 */ /*GILLT_nxv32s8*//*Label 1805*/ GIMT_Encode4(111133),
     /*  108823 */ /*GILLT_nxv32s16*//*Label 1806*/ GIMT_Encode4(111248), GIMT_Encode4(0),
     /*  108831 */ /*GILLT_nxv64s8*//*Label 1807*/ GIMT_Encode4(111363),
     /*  108835 */ // Label 1784: @108835
     /*  108835 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108868), // Rule ID 301 //
     /*  108840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108861 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108866 */   GIR_RootConstrainSelectedInstOperands,
     /*  108867 */   // GIR_Coverage, 301,
     /*  108867 */   GIR_Done,
     /*  108868 */ // Label 1809: @108868
     /*  108868 */ GIM_Reject,
     /*  108869 */ // Label 1785: @108869
     /*  108869 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108947),
     /*  108874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108884 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(108923), // Rule ID 310 //
     /*  108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108906 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108921 */     GIR_RootConstrainSelectedInstOperands,
     /*  108922 */     // GIR_Coverage, 310,
     /*  108922 */     GIR_EraseRootFromParent_Done,
     /*  108923 */   // Label 1811: @108923
     /*  108923 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(108946), // Rule ID 300 //
     /*  108928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108939 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108944 */     GIR_RootConstrainSelectedInstOperands,
     /*  108945 */     // GIR_Coverage, 300,
     /*  108945 */     GIR_Done,
     /*  108946 */   // Label 1812: @108946
     /*  108946 */   GIM_Reject,
     /*  108947 */ // Label 1810: @108947
     /*  108947 */ GIM_Reject,
     /*  108948 */ // Label 1786: @108948
     /*  108948 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109062),
     /*  108953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108971 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109016), // Rule ID 51251 //
     /*  108976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108979 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109014 */     GIR_RootConstrainSelectedInstOperands,
     /*  109015 */     // GIR_Coverage, 51251,
     /*  109015 */     GIR_EraseRootFromParent_Done,
     /*  109016 */   // Label 1814: @109016
     /*  109016 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109061), // Rule ID 51252 //
     /*  109021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109024 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  109027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109059 */     GIR_RootConstrainSelectedInstOperands,
     /*  109060 */     // GIR_Coverage, 51252,
     /*  109060 */     GIR_EraseRootFromParent_Done,
     /*  109061 */   // Label 1815: @109061
     /*  109061 */   GIM_Reject,
     /*  109062 */ // Label 1813: @109062
     /*  109062 */ GIM_Reject,
     /*  109063 */ // Label 1787: @109063
     /*  109063 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109177),
     /*  109068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  109071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  109074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109086 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109131), // Rule ID 51263 //
     /*  109091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109094 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109129 */     GIR_RootConstrainSelectedInstOperands,
     /*  109130 */     // GIR_Coverage, 51263,
     /*  109130 */     GIR_EraseRootFromParent_Done,
     /*  109131 */   // Label 1817: @109131
     /*  109131 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109176), // Rule ID 51264 //
     /*  109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109139 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109174 */     GIR_RootConstrainSelectedInstOperands,
     /*  109175 */     // GIR_Coverage, 51264,
     /*  109175 */     GIR_EraseRootFromParent_Done,
     /*  109176 */   // Label 1818: @109176
     /*  109176 */   GIM_Reject,
     /*  109177 */ // Label 1816: @109177
     /*  109177 */ GIM_Reject,
     /*  109178 */ // Label 1788: @109178
     /*  109178 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109292),
     /*  109183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109201 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109246), // Rule ID 51271 //
     /*  109206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109209 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109244 */     GIR_RootConstrainSelectedInstOperands,
     /*  109245 */     // GIR_Coverage, 51271,
     /*  109245 */     GIR_EraseRootFromParent_Done,
     /*  109246 */   // Label 1820: @109246
     /*  109246 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109291), // Rule ID 51272 //
     /*  109251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109254 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109289 */     GIR_RootConstrainSelectedInstOperands,
     /*  109290 */     // GIR_Coverage, 51272,
     /*  109290 */     GIR_EraseRootFromParent_Done,
     /*  109291 */   // Label 1821: @109291
     /*  109291 */   GIM_Reject,
     /*  109292 */ // Label 1819: @109292
     /*  109292 */ GIM_Reject,
     /*  109293 */ // Label 1789: @109293
     /*  109293 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109407),
     /*  109298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109316 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109361), // Rule ID 51287 //
     /*  109321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109324 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109359 */     GIR_RootConstrainSelectedInstOperands,
     /*  109360 */     // GIR_Coverage, 51287,
     /*  109360 */     GIR_EraseRootFromParent_Done,
     /*  109361 */   // Label 1823: @109361
     /*  109361 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109406), // Rule ID 51288 //
     /*  109366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109369 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109404 */     GIR_RootConstrainSelectedInstOperands,
     /*  109405 */     // GIR_Coverage, 51288,
     /*  109405 */     GIR_EraseRootFromParent_Done,
     /*  109406 */   // Label 1824: @109406
     /*  109406 */   GIM_Reject,
     /*  109407 */ // Label 1822: @109407
     /*  109407 */ GIM_Reject,
     /*  109408 */ // Label 1790: @109408
     /*  109408 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109522),
     /*  109413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109431 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109476), // Rule ID 51255 //
     /*  109436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109439 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109474 */     GIR_RootConstrainSelectedInstOperands,
     /*  109475 */     // GIR_Coverage, 51255,
     /*  109475 */     GIR_EraseRootFromParent_Done,
     /*  109476 */   // Label 1826: @109476
     /*  109476 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109521), // Rule ID 51256 //
     /*  109481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109484 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109519 */     GIR_RootConstrainSelectedInstOperands,
     /*  109520 */     // GIR_Coverage, 51256,
     /*  109520 */     GIR_EraseRootFromParent_Done,
     /*  109521 */   // Label 1827: @109521
     /*  109521 */   GIM_Reject,
     /*  109522 */ // Label 1825: @109522
     /*  109522 */ GIM_Reject,
     /*  109523 */ // Label 1791: @109523
     /*  109523 */ GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109637),
     /*  109528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109546 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109591), // Rule ID 51267 //
     /*  109551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109554 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109589 */     GIR_RootConstrainSelectedInstOperands,
     /*  109590 */     // GIR_Coverage, 51267,
     /*  109590 */     GIR_EraseRootFromParent_Done,
     /*  109591 */   // Label 1829: @109591
     /*  109591 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109636), // Rule ID 51268 //
     /*  109596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109599 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109634 */     GIR_RootConstrainSelectedInstOperands,
     /*  109635 */     // GIR_Coverage, 51268,
     /*  109635 */     GIR_EraseRootFromParent_Done,
     /*  109636 */   // Label 1830: @109636
     /*  109636 */   GIM_Reject,
     /*  109637 */ // Label 1828: @109637
     /*  109637 */ GIM_Reject,
     /*  109638 */ // Label 1792: @109638
     /*  109638 */ GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109752),
     /*  109643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109661 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109706), // Rule ID 51283 //
     /*  109666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109669 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109704 */     GIR_RootConstrainSelectedInstOperands,
     /*  109705 */     // GIR_Coverage, 51283,
     /*  109705 */     GIR_EraseRootFromParent_Done,
     /*  109706 */   // Label 1832: @109706
     /*  109706 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109751), // Rule ID 51284 //
     /*  109711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109714 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109749 */     GIR_RootConstrainSelectedInstOperands,
     /*  109750 */     // GIR_Coverage, 51284,
     /*  109750 */     GIR_EraseRootFromParent_Done,
     /*  109751 */   // Label 1833: @109751
     /*  109751 */   GIM_Reject,
     /*  109752 */ // Label 1831: @109752
     /*  109752 */ GIM_Reject,
     /*  109753 */ // Label 1793: @109753
     /*  109753 */ GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109867),
     /*  109758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109776 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109821), // Rule ID 51327 //
     /*  109781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109784 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109819 */     GIR_RootConstrainSelectedInstOperands,
     /*  109820 */     // GIR_Coverage, 51327,
     /*  109820 */     GIR_EraseRootFromParent_Done,
     /*  109821 */   // Label 1835: @109821
     /*  109821 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(109866), // Rule ID 51328 //
     /*  109826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109829 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109864 */     GIR_RootConstrainSelectedInstOperands,
     /*  109865 */     // GIR_Coverage, 51328,
     /*  109865 */     GIR_EraseRootFromParent_Done,
     /*  109866 */   // Label 1836: @109866
     /*  109866 */   GIM_Reject,
     /*  109867 */ // Label 1834: @109867
     /*  109867 */ GIM_Reject,
     /*  109868 */ // Label 1794: @109868
     /*  109868 */ GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109982),
     /*  109873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109891 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(109936), // Rule ID 51259 //
     /*  109896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109899 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109934 */     GIR_RootConstrainSelectedInstOperands,
     /*  109935 */     // GIR_Coverage, 51259,
     /*  109935 */     GIR_EraseRootFromParent_Done,
     /*  109936 */   // Label 1838: @109936
     /*  109936 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(109981), // Rule ID 51260 //
     /*  109941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109944 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109979 */     GIR_RootConstrainSelectedInstOperands,
     /*  109980 */     // GIR_Coverage, 51260,
     /*  109980 */     GIR_EraseRootFromParent_Done,
     /*  109981 */   // Label 1839: @109981
     /*  109981 */   GIM_Reject,
     /*  109982 */ // Label 1837: @109982
     /*  109982 */ GIM_Reject,
     /*  109983 */ // Label 1795: @109983
     /*  109983 */ GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110097),
     /*  109988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  109994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110006 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110051), // Rule ID 51279 //
     /*  110011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110014 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110049 */     GIR_RootConstrainSelectedInstOperands,
     /*  110050 */     // GIR_Coverage, 51279,
     /*  110050 */     GIR_EraseRootFromParent_Done,
     /*  110051 */   // Label 1841: @110051
     /*  110051 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110096), // Rule ID 51280 //
     /*  110056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110059 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110094 */     GIR_RootConstrainSelectedInstOperands,
     /*  110095 */     // GIR_Coverage, 51280,
     /*  110095 */     GIR_EraseRootFromParent_Done,
     /*  110096 */   // Label 1842: @110096
     /*  110096 */   GIM_Reject,
     /*  110097 */ // Label 1840: @110097
     /*  110097 */ GIM_Reject,
     /*  110098 */ // Label 1796: @110098
     /*  110098 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110212),
     /*  110103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110121 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110166), // Rule ID 51315 //
     /*  110126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110129 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110164 */     GIR_RootConstrainSelectedInstOperands,
     /*  110165 */     // GIR_Coverage, 51315,
     /*  110165 */     GIR_EraseRootFromParent_Done,
     /*  110166 */   // Label 1844: @110166
     /*  110166 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110211), // Rule ID 51316 //
     /*  110171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110174 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110209 */     GIR_RootConstrainSelectedInstOperands,
     /*  110210 */     // GIR_Coverage, 51316,
     /*  110210 */     GIR_EraseRootFromParent_Done,
     /*  110211 */   // Label 1845: @110211
     /*  110211 */   GIM_Reject,
     /*  110212 */ // Label 1843: @110212
     /*  110212 */ GIM_Reject,
     /*  110213 */ // Label 1797: @110213
     /*  110213 */ GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110327),
     /*  110218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110236 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110281), // Rule ID 51331 //
     /*  110241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110244 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110279 */     GIR_RootConstrainSelectedInstOperands,
     /*  110280 */     // GIR_Coverage, 51331,
     /*  110280 */     GIR_EraseRootFromParent_Done,
     /*  110281 */   // Label 1847: @110281
     /*  110281 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110326), // Rule ID 51332 //
     /*  110286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110289 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110324 */     GIR_RootConstrainSelectedInstOperands,
     /*  110325 */     // GIR_Coverage, 51332,
     /*  110325 */     GIR_EraseRootFromParent_Done,
     /*  110326 */   // Label 1848: @110326
     /*  110326 */   GIM_Reject,
     /*  110327 */ // Label 1846: @110327
     /*  110327 */ GIM_Reject,
     /*  110328 */ // Label 1798: @110328
     /*  110328 */ GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110442),
     /*  110333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110351 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110396), // Rule ID 51275 //
     /*  110356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110359 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110394 */     GIR_RootConstrainSelectedInstOperands,
     /*  110395 */     // GIR_Coverage, 51275,
     /*  110395 */     GIR_EraseRootFromParent_Done,
     /*  110396 */   // Label 1850: @110396
     /*  110396 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110441), // Rule ID 51276 //
     /*  110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110404 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110439 */     GIR_RootConstrainSelectedInstOperands,
     /*  110440 */     // GIR_Coverage, 51276,
     /*  110440 */     GIR_EraseRootFromParent_Done,
     /*  110441 */   // Label 1851: @110441
     /*  110441 */   GIM_Reject,
     /*  110442 */ // Label 1849: @110442
     /*  110442 */ GIM_Reject,
     /*  110443 */ // Label 1799: @110443
     /*  110443 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110557),
     /*  110448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110466 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110511), // Rule ID 51303 //
     /*  110471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110474 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110509 */     GIR_RootConstrainSelectedInstOperands,
     /*  110510 */     // GIR_Coverage, 51303,
     /*  110510 */     GIR_EraseRootFromParent_Done,
     /*  110511 */   // Label 1853: @110511
     /*  110511 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110556), // Rule ID 51304 //
     /*  110516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110519 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110554 */     GIR_RootConstrainSelectedInstOperands,
     /*  110555 */     // GIR_Coverage, 51304,
     /*  110555 */     GIR_EraseRootFromParent_Done,
     /*  110556 */   // Label 1854: @110556
     /*  110556 */   GIM_Reject,
     /*  110557 */ // Label 1852: @110557
     /*  110557 */ GIM_Reject,
     /*  110558 */ // Label 1800: @110558
     /*  110558 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110672),
     /*  110563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110581 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110626), // Rule ID 51319 //
     /*  110586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110589 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110624 */     GIR_RootConstrainSelectedInstOperands,
     /*  110625 */     // GIR_Coverage, 51319,
     /*  110625 */     GIR_EraseRootFromParent_Done,
     /*  110626 */   // Label 1856: @110626
     /*  110626 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110671), // Rule ID 51320 //
     /*  110631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110634 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110669 */     GIR_RootConstrainSelectedInstOperands,
     /*  110670 */     // GIR_Coverage, 51320,
     /*  110670 */     GIR_EraseRootFromParent_Done,
     /*  110671 */   // Label 1857: @110671
     /*  110671 */   GIM_Reject,
     /*  110672 */ // Label 1855: @110672
     /*  110672 */ GIM_Reject,
     /*  110673 */ // Label 1801: @110673
     /*  110673 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110787),
     /*  110678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110696 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110741), // Rule ID 51335 //
     /*  110701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110704 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110739 */     GIR_RootConstrainSelectedInstOperands,
     /*  110740 */     // GIR_Coverage, 51335,
     /*  110740 */     GIR_EraseRootFromParent_Done,
     /*  110741 */   // Label 1859: @110741
     /*  110741 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110786), // Rule ID 51336 //
     /*  110746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110749 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110784 */     GIR_RootConstrainSelectedInstOperands,
     /*  110785 */     // GIR_Coverage, 51336,
     /*  110785 */     GIR_EraseRootFromParent_Done,
     /*  110786 */   // Label 1860: @110786
     /*  110786 */   GIM_Reject,
     /*  110787 */ // Label 1858: @110787
     /*  110787 */ GIM_Reject,
     /*  110788 */ // Label 1802: @110788
     /*  110788 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110902),
     /*  110793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110811 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(110856), // Rule ID 51291 //
     /*  110816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110819 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110854 */     GIR_RootConstrainSelectedInstOperands,
     /*  110855 */     // GIR_Coverage, 51291,
     /*  110855 */     GIR_EraseRootFromParent_Done,
     /*  110856 */   // Label 1862: @110856
     /*  110856 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(110901), // Rule ID 51292 //
     /*  110861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110864 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110899 */     GIR_RootConstrainSelectedInstOperands,
     /*  110900 */     // GIR_Coverage, 51292,
     /*  110900 */     GIR_EraseRootFromParent_Done,
     /*  110901 */   // Label 1863: @110901
     /*  110901 */   GIM_Reject,
     /*  110902 */ // Label 1861: @110902
     /*  110902 */ GIM_Reject,
     /*  110903 */ // Label 1803: @110903
     /*  110903 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111017),
     /*  110908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110926 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(110971), // Rule ID 51307 //
     /*  110931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110934 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110969 */     GIR_RootConstrainSelectedInstOperands,
     /*  110970 */     // GIR_Coverage, 51307,
     /*  110970 */     GIR_EraseRootFromParent_Done,
     /*  110971 */   // Label 1865: @110971
     /*  110971 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111016), // Rule ID 51308 //
     /*  110976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110979 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111014 */     GIR_RootConstrainSelectedInstOperands,
     /*  111015 */     // GIR_Coverage, 51308,
     /*  111015 */     GIR_EraseRootFromParent_Done,
     /*  111016 */   // Label 1866: @111016
     /*  111016 */   GIM_Reject,
     /*  111017 */ // Label 1864: @111017
     /*  111017 */ GIM_Reject,
     /*  111018 */ // Label 1804: @111018
     /*  111018 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111132),
     /*  111023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  111026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  111029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111041 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111086), // Rule ID 51323 //
     /*  111046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111049 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111084 */     GIR_RootConstrainSelectedInstOperands,
     /*  111085 */     // GIR_Coverage, 51323,
     /*  111085 */     GIR_EraseRootFromParent_Done,
     /*  111086 */   // Label 1868: @111086
     /*  111086 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111131), // Rule ID 51324 //
     /*  111091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111094 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111129 */     GIR_RootConstrainSelectedInstOperands,
     /*  111130 */     // GIR_Coverage, 51324,
     /*  111130 */     GIR_EraseRootFromParent_Done,
     /*  111131 */   // Label 1869: @111131
     /*  111131 */   GIM_Reject,
     /*  111132 */ // Label 1867: @111132
     /*  111132 */ GIM_Reject,
     /*  111133 */ // Label 1805: @111133
     /*  111133 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111247),
     /*  111138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111156 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111201), // Rule ID 51295 //
     /*  111161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111164 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111199 */     GIR_RootConstrainSelectedInstOperands,
     /*  111200 */     // GIR_Coverage, 51295,
     /*  111200 */     GIR_EraseRootFromParent_Done,
     /*  111201 */   // Label 1871: @111201
     /*  111201 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111246), // Rule ID 51296 //
     /*  111206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111209 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111244 */     GIR_RootConstrainSelectedInstOperands,
     /*  111245 */     // GIR_Coverage, 51296,
     /*  111245 */     GIR_EraseRootFromParent_Done,
     /*  111246 */   // Label 1872: @111246
     /*  111246 */   GIM_Reject,
     /*  111247 */ // Label 1870: @111247
     /*  111247 */ GIM_Reject,
     /*  111248 */ // Label 1806: @111248
     /*  111248 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111362),
     /*  111253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111316), // Rule ID 51311 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111279 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111314 */     GIR_RootConstrainSelectedInstOperands,
     /*  111315 */     // GIR_Coverage, 51311,
     /*  111315 */     GIR_EraseRootFromParent_Done,
     /*  111316 */   // Label 1874: @111316
     /*  111316 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(111361), // Rule ID 51312 //
     /*  111321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111324 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111359 */     GIR_RootConstrainSelectedInstOperands,
     /*  111360 */     // GIR_Coverage, 51312,
     /*  111360 */     GIR_EraseRootFromParent_Done,
     /*  111361 */   // Label 1875: @111361
     /*  111361 */   GIM_Reject,
     /*  111362 */ // Label 1873: @111362
     /*  111362 */ GIM_Reject,
     /*  111363 */ // Label 1807: @111363
     /*  111363 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(111477),
     /*  111368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111386 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(111431), // Rule ID 51299 //
     /*  111391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111394 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111429 */     GIR_RootConstrainSelectedInstOperands,
     /*  111430 */     // GIR_Coverage, 51299,
     /*  111430 */     GIR_EraseRootFromParent_Done,
     /*  111431 */   // Label 1877: @111431
     /*  111431 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(111476), // Rule ID 51300 //
     /*  111436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111439 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111474 */     GIR_RootConstrainSelectedInstOperands,
     /*  111475 */     // GIR_Coverage, 51300,
     /*  111475 */     GIR_EraseRootFromParent_Done,
     /*  111476 */   // Label 1878: @111476
     /*  111476 */   GIM_Reject,
     /*  111477 */ // Label 1876: @111477
     /*  111477 */ GIM_Reject,
     /*  111478 */ // Label 1808: @111478
     /*  111478 */ GIM_Reject,
     /*  111479 */ // Label 6: @111479
     /*  111479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1903*/ GIMT_Encode4(114212),
     /*  111490 */ /*GILLT_s32*//*Label 1879*/ GIMT_Encode4(111614),
     /*  111494 */ /*GILLT_s64*//*Label 1880*/ GIMT_Encode4(111648), GIMT_Encode4(0),
     /*  111502 */ /*GILLT_nxv1s8*//*Label 1881*/ GIMT_Encode4(111682),
     /*  111506 */ /*GILLT_nxv1s16*//*Label 1882*/ GIMT_Encode4(111797),
     /*  111510 */ /*GILLT_nxv1s32*//*Label 1883*/ GIMT_Encode4(111912),
     /*  111514 */ /*GILLT_nxv1s64*//*Label 1884*/ GIMT_Encode4(112027), GIMT_Encode4(0),
     /*  111522 */ /*GILLT_nxv2s8*//*Label 1885*/ GIMT_Encode4(112142),
     /*  111526 */ /*GILLT_nxv2s16*//*Label 1886*/ GIMT_Encode4(112257),
     /*  111530 */ /*GILLT_nxv2s32*//*Label 1887*/ GIMT_Encode4(112372),
     /*  111534 */ /*GILLT_nxv2s64*//*Label 1888*/ GIMT_Encode4(112487), GIMT_Encode4(0),
     /*  111542 */ /*GILLT_nxv4s8*//*Label 1889*/ GIMT_Encode4(112602),
     /*  111546 */ /*GILLT_nxv4s16*//*Label 1890*/ GIMT_Encode4(112717),
     /*  111550 */ /*GILLT_nxv4s32*//*Label 1891*/ GIMT_Encode4(112832),
     /*  111554 */ /*GILLT_nxv4s64*//*Label 1892*/ GIMT_Encode4(112947), GIMT_Encode4(0),
     /*  111562 */ /*GILLT_nxv8s8*//*Label 1893*/ GIMT_Encode4(113062),
     /*  111566 */ /*GILLT_nxv8s16*//*Label 1894*/ GIMT_Encode4(113177),
     /*  111570 */ /*GILLT_nxv8s32*//*Label 1895*/ GIMT_Encode4(113292),
     /*  111574 */ /*GILLT_nxv8s64*//*Label 1896*/ GIMT_Encode4(113407), GIMT_Encode4(0),
     /*  111582 */ /*GILLT_nxv16s8*//*Label 1897*/ GIMT_Encode4(113522),
     /*  111586 */ /*GILLT_nxv16s16*//*Label 1898*/ GIMT_Encode4(113637),
     /*  111590 */ /*GILLT_nxv16s32*//*Label 1899*/ GIMT_Encode4(113752), GIMT_Encode4(0),
     /*  111598 */ /*GILLT_nxv32s8*//*Label 1900*/ GIMT_Encode4(113867),
     /*  111602 */ /*GILLT_nxv32s16*//*Label 1901*/ GIMT_Encode4(113982), GIMT_Encode4(0),
     /*  111610 */ /*GILLT_nxv64s8*//*Label 1902*/ GIMT_Encode4(114097),
     /*  111614 */ // Label 1879: @111614
     /*  111614 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111647), // Rule ID 303 //
     /*  111619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111640 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111645 */   GIR_RootConstrainSelectedInstOperands,
     /*  111646 */   // GIR_Coverage, 303,
     /*  111646 */   GIR_Done,
     /*  111647 */ // Label 1904: @111647
     /*  111647 */ GIM_Reject,
     /*  111648 */ // Label 1880: @111648
     /*  111648 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111681), // Rule ID 302 //
     /*  111653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111674 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111679 */   GIR_RootConstrainSelectedInstOperands,
     /*  111680 */   // GIR_Coverage, 302,
     /*  111680 */   GIR_Done,
     /*  111681 */ // Label 1905: @111681
     /*  111681 */ GIM_Reject,
     /*  111682 */ // Label 1881: @111682
     /*  111682 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111796),
     /*  111687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111705 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111750), // Rule ID 51163 //
     /*  111710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111713 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111748 */     GIR_RootConstrainSelectedInstOperands,
     /*  111749 */     // GIR_Coverage, 51163,
     /*  111749 */     GIR_EraseRootFromParent_Done,
     /*  111750 */   // Label 1907: @111750
     /*  111750 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111795), // Rule ID 51164 //
     /*  111755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111758 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111793 */     GIR_RootConstrainSelectedInstOperands,
     /*  111794 */     // GIR_Coverage, 51164,
     /*  111794 */     GIR_EraseRootFromParent_Done,
     /*  111795 */   // Label 1908: @111795
     /*  111795 */   GIM_Reject,
     /*  111796 */ // Label 1906: @111796
     /*  111796 */ GIM_Reject,
     /*  111797 */ // Label 1882: @111797
     /*  111797 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111911),
     /*  111802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111820 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(111865), // Rule ID 51175 //
     /*  111825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111828 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111863 */     GIR_RootConstrainSelectedInstOperands,
     /*  111864 */     // GIR_Coverage, 51175,
     /*  111864 */     GIR_EraseRootFromParent_Done,
     /*  111865 */   // Label 1910: @111865
     /*  111865 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(111910), // Rule ID 51176 //
     /*  111870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111873 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111908 */     GIR_RootConstrainSelectedInstOperands,
     /*  111909 */     // GIR_Coverage, 51176,
     /*  111909 */     GIR_EraseRootFromParent_Done,
     /*  111910 */   // Label 1911: @111910
     /*  111910 */   GIM_Reject,
     /*  111911 */ // Label 1909: @111911
     /*  111911 */ GIM_Reject,
     /*  111912 */ // Label 1883: @111912
     /*  111912 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112026),
     /*  111917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111935 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(111980), // Rule ID 51183 //
     /*  111940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111943 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111978 */     GIR_RootConstrainSelectedInstOperands,
     /*  111979 */     // GIR_Coverage, 51183,
     /*  111979 */     GIR_EraseRootFromParent_Done,
     /*  111980 */   // Label 1913: @111980
     /*  111980 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112025), // Rule ID 51184 //
     /*  111985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111988 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112023 */     GIR_RootConstrainSelectedInstOperands,
     /*  112024 */     // GIR_Coverage, 51184,
     /*  112024 */     GIR_EraseRootFromParent_Done,
     /*  112025 */   // Label 1914: @112025
     /*  112025 */   GIM_Reject,
     /*  112026 */ // Label 1912: @112026
     /*  112026 */ GIM_Reject,
     /*  112027 */ // Label 1884: @112027
     /*  112027 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112141),
     /*  112032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  112035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  112038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112050 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112095), // Rule ID 51199 //
     /*  112055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112058 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112093 */     GIR_RootConstrainSelectedInstOperands,
     /*  112094 */     // GIR_Coverage, 51199,
     /*  112094 */     GIR_EraseRootFromParent_Done,
     /*  112095 */   // Label 1916: @112095
     /*  112095 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112140), // Rule ID 51200 //
     /*  112100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112103 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112138 */     GIR_RootConstrainSelectedInstOperands,
     /*  112139 */     // GIR_Coverage, 51200,
     /*  112139 */     GIR_EraseRootFromParent_Done,
     /*  112140 */   // Label 1917: @112140
     /*  112140 */   GIM_Reject,
     /*  112141 */ // Label 1915: @112141
     /*  112141 */ GIM_Reject,
     /*  112142 */ // Label 1885: @112142
     /*  112142 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112256),
     /*  112147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112165 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112210), // Rule ID 51167 //
     /*  112170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112173 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112208 */     GIR_RootConstrainSelectedInstOperands,
     /*  112209 */     // GIR_Coverage, 51167,
     /*  112209 */     GIR_EraseRootFromParent_Done,
     /*  112210 */   // Label 1919: @112210
     /*  112210 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112255), // Rule ID 51168 //
     /*  112215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112218 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112253 */     GIR_RootConstrainSelectedInstOperands,
     /*  112254 */     // GIR_Coverage, 51168,
     /*  112254 */     GIR_EraseRootFromParent_Done,
     /*  112255 */   // Label 1920: @112255
     /*  112255 */   GIM_Reject,
     /*  112256 */ // Label 1918: @112256
     /*  112256 */ GIM_Reject,
     /*  112257 */ // Label 1886: @112257
     /*  112257 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112371),
     /*  112262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112280 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112325), // Rule ID 51179 //
     /*  112285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112288 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112323 */     GIR_RootConstrainSelectedInstOperands,
     /*  112324 */     // GIR_Coverage, 51179,
     /*  112324 */     GIR_EraseRootFromParent_Done,
     /*  112325 */   // Label 1922: @112325
     /*  112325 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112370), // Rule ID 51180 //
     /*  112330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112333 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112368 */     GIR_RootConstrainSelectedInstOperands,
     /*  112369 */     // GIR_Coverage, 51180,
     /*  112369 */     GIR_EraseRootFromParent_Done,
     /*  112370 */   // Label 1923: @112370
     /*  112370 */   GIM_Reject,
     /*  112371 */ // Label 1921: @112371
     /*  112371 */ GIM_Reject,
     /*  112372 */ // Label 1887: @112372
     /*  112372 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112486),
     /*  112377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112395 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112440), // Rule ID 51195 //
     /*  112400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112403 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112438 */     GIR_RootConstrainSelectedInstOperands,
     /*  112439 */     // GIR_Coverage, 51195,
     /*  112439 */     GIR_EraseRootFromParent_Done,
     /*  112440 */   // Label 1925: @112440
     /*  112440 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112485), // Rule ID 51196 //
     /*  112445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112448 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112483 */     GIR_RootConstrainSelectedInstOperands,
     /*  112484 */     // GIR_Coverage, 51196,
     /*  112484 */     GIR_EraseRootFromParent_Done,
     /*  112485 */   // Label 1926: @112485
     /*  112485 */   GIM_Reject,
     /*  112486 */ // Label 1924: @112486
     /*  112486 */ GIM_Reject,
     /*  112487 */ // Label 1888: @112487
     /*  112487 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112601),
     /*  112492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112510 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112555), // Rule ID 51239 //
     /*  112515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112518 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112553 */     GIR_RootConstrainSelectedInstOperands,
     /*  112554 */     // GIR_Coverage, 51239,
     /*  112554 */     GIR_EraseRootFromParent_Done,
     /*  112555 */   // Label 1928: @112555
     /*  112555 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112600), // Rule ID 51240 //
     /*  112560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112563 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112598 */     GIR_RootConstrainSelectedInstOperands,
     /*  112599 */     // GIR_Coverage, 51240,
     /*  112599 */     GIR_EraseRootFromParent_Done,
     /*  112600 */   // Label 1929: @112600
     /*  112600 */   GIM_Reject,
     /*  112601 */ // Label 1927: @112601
     /*  112601 */ GIM_Reject,
     /*  112602 */ // Label 1889: @112602
     /*  112602 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112716),
     /*  112607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112625 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112670), // Rule ID 51171 //
     /*  112630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112633 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112668 */     GIR_RootConstrainSelectedInstOperands,
     /*  112669 */     // GIR_Coverage, 51171,
     /*  112669 */     GIR_EraseRootFromParent_Done,
     /*  112670 */   // Label 1931: @112670
     /*  112670 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112715), // Rule ID 51172 //
     /*  112675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112678 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112713 */     GIR_RootConstrainSelectedInstOperands,
     /*  112714 */     // GIR_Coverage, 51172,
     /*  112714 */     GIR_EraseRootFromParent_Done,
     /*  112715 */   // Label 1932: @112715
     /*  112715 */   GIM_Reject,
     /*  112716 */ // Label 1930: @112716
     /*  112716 */ GIM_Reject,
     /*  112717 */ // Label 1890: @112717
     /*  112717 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112831),
     /*  112722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112740 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112785), // Rule ID 51191 //
     /*  112745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112748 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112783 */     GIR_RootConstrainSelectedInstOperands,
     /*  112784 */     // GIR_Coverage, 51191,
     /*  112784 */     GIR_EraseRootFromParent_Done,
     /*  112785 */   // Label 1934: @112785
     /*  112785 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112830), // Rule ID 51192 //
     /*  112790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112793 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112828 */     GIR_RootConstrainSelectedInstOperands,
     /*  112829 */     // GIR_Coverage, 51192,
     /*  112829 */     GIR_EraseRootFromParent_Done,
     /*  112830 */   // Label 1935: @112830
     /*  112830 */   GIM_Reject,
     /*  112831 */ // Label 1933: @112831
     /*  112831 */ GIM_Reject,
     /*  112832 */ // Label 1891: @112832
     /*  112832 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112946),
     /*  112837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112855 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(112900), // Rule ID 51227 //
     /*  112860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112863 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112898 */     GIR_RootConstrainSelectedInstOperands,
     /*  112899 */     // GIR_Coverage, 51227,
     /*  112899 */     GIR_EraseRootFromParent_Done,
     /*  112900 */   // Label 1937: @112900
     /*  112900 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(112945), // Rule ID 51228 //
     /*  112905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112908 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112943 */     GIR_RootConstrainSelectedInstOperands,
     /*  112944 */     // GIR_Coverage, 51228,
     /*  112944 */     GIR_EraseRootFromParent_Done,
     /*  112945 */   // Label 1938: @112945
     /*  112945 */   GIM_Reject,
     /*  112946 */ // Label 1936: @112946
     /*  112946 */ GIM_Reject,
     /*  112947 */ // Label 1892: @112947
     /*  112947 */ GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113061),
     /*  112952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112970 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113015), // Rule ID 51243 //
     /*  112975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112978 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113013 */     GIR_RootConstrainSelectedInstOperands,
     /*  113014 */     // GIR_Coverage, 51243,
     /*  113014 */     GIR_EraseRootFromParent_Done,
     /*  113015 */   // Label 1940: @113015
     /*  113015 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113060), // Rule ID 51244 //
     /*  113020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113023 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113058 */     GIR_RootConstrainSelectedInstOperands,
     /*  113059 */     // GIR_Coverage, 51244,
     /*  113059 */     GIR_EraseRootFromParent_Done,
     /*  113060 */   // Label 1941: @113060
     /*  113060 */   GIM_Reject,
     /*  113061 */ // Label 1939: @113061
     /*  113061 */ GIM_Reject,
     /*  113062 */ // Label 1893: @113062
     /*  113062 */ GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113176),
     /*  113067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  113070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  113073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113085 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113130), // Rule ID 51187 //
     /*  113090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113093 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113128 */     GIR_RootConstrainSelectedInstOperands,
     /*  113129 */     // GIR_Coverage, 51187,
     /*  113129 */     GIR_EraseRootFromParent_Done,
     /*  113130 */   // Label 1943: @113130
     /*  113130 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113175), // Rule ID 51188 //
     /*  113135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113138 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113173 */     GIR_RootConstrainSelectedInstOperands,
     /*  113174 */     // GIR_Coverage, 51188,
     /*  113174 */     GIR_EraseRootFromParent_Done,
     /*  113175 */   // Label 1944: @113175
     /*  113175 */   GIM_Reject,
     /*  113176 */ // Label 1942: @113176
     /*  113176 */ GIM_Reject,
     /*  113177 */ // Label 1894: @113177
     /*  113177 */ GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113291),
     /*  113182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113200 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113245), // Rule ID 51215 //
     /*  113205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113208 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113243 */     GIR_RootConstrainSelectedInstOperands,
     /*  113244 */     // GIR_Coverage, 51215,
     /*  113244 */     GIR_EraseRootFromParent_Done,
     /*  113245 */   // Label 1946: @113245
     /*  113245 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113290), // Rule ID 51216 //
     /*  113250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113253 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113288 */     GIR_RootConstrainSelectedInstOperands,
     /*  113289 */     // GIR_Coverage, 51216,
     /*  113289 */     GIR_EraseRootFromParent_Done,
     /*  113290 */   // Label 1947: @113290
     /*  113290 */   GIM_Reject,
     /*  113291 */ // Label 1945: @113291
     /*  113291 */ GIM_Reject,
     /*  113292 */ // Label 1895: @113292
     /*  113292 */ GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113406),
     /*  113297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113315 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113360), // Rule ID 51231 //
     /*  113320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113323 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113358 */     GIR_RootConstrainSelectedInstOperands,
     /*  113359 */     // GIR_Coverage, 51231,
     /*  113359 */     GIR_EraseRootFromParent_Done,
     /*  113360 */   // Label 1949: @113360
     /*  113360 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113405), // Rule ID 51232 //
     /*  113365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113368 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113403 */     GIR_RootConstrainSelectedInstOperands,
     /*  113404 */     // GIR_Coverage, 51232,
     /*  113404 */     GIR_EraseRootFromParent_Done,
     /*  113405 */   // Label 1950: @113405
     /*  113405 */   GIM_Reject,
     /*  113406 */ // Label 1948: @113406
     /*  113406 */ GIM_Reject,
     /*  113407 */ // Label 1896: @113407
     /*  113407 */ GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113521),
     /*  113412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113430 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113475), // Rule ID 51247 //
     /*  113435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113438 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113473 */     GIR_RootConstrainSelectedInstOperands,
     /*  113474 */     // GIR_Coverage, 51247,
     /*  113474 */     GIR_EraseRootFromParent_Done,
     /*  113475 */   // Label 1952: @113475
     /*  113475 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113520), // Rule ID 51248 //
     /*  113480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113483 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113518 */     GIR_RootConstrainSelectedInstOperands,
     /*  113519 */     // GIR_Coverage, 51248,
     /*  113519 */     GIR_EraseRootFromParent_Done,
     /*  113520 */   // Label 1953: @113520
     /*  113520 */   GIM_Reject,
     /*  113521 */ // Label 1951: @113521
     /*  113521 */ GIM_Reject,
     /*  113522 */ // Label 1897: @113522
     /*  113522 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113636),
     /*  113527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113545 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113590), // Rule ID 51203 //
     /*  113550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113553 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113588 */     GIR_RootConstrainSelectedInstOperands,
     /*  113589 */     // GIR_Coverage, 51203,
     /*  113589 */     GIR_EraseRootFromParent_Done,
     /*  113590 */   // Label 1955: @113590
     /*  113590 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113635), // Rule ID 51204 //
     /*  113595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113598 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113633 */     GIR_RootConstrainSelectedInstOperands,
     /*  113634 */     // GIR_Coverage, 51204,
     /*  113634 */     GIR_EraseRootFromParent_Done,
     /*  113635 */   // Label 1956: @113635
     /*  113635 */   GIM_Reject,
     /*  113636 */ // Label 1954: @113636
     /*  113636 */ GIM_Reject,
     /*  113637 */ // Label 1898: @113637
     /*  113637 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113751),
     /*  113642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113660 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113705), // Rule ID 51219 //
     /*  113665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113668 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113703 */     GIR_RootConstrainSelectedInstOperands,
     /*  113704 */     // GIR_Coverage, 51219,
     /*  113704 */     GIR_EraseRootFromParent_Done,
     /*  113705 */   // Label 1958: @113705
     /*  113705 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113750), // Rule ID 51220 //
     /*  113710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113713 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113748 */     GIR_RootConstrainSelectedInstOperands,
     /*  113749 */     // GIR_Coverage, 51220,
     /*  113749 */     GIR_EraseRootFromParent_Done,
     /*  113750 */   // Label 1959: @113750
     /*  113750 */   GIM_Reject,
     /*  113751 */ // Label 1957: @113751
     /*  113751 */ GIM_Reject,
     /*  113752 */ // Label 1899: @113752
     /*  113752 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113866),
     /*  113757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113775 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113820), // Rule ID 51235 //
     /*  113780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113783 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113818 */     GIR_RootConstrainSelectedInstOperands,
     /*  113819 */     // GIR_Coverage, 51235,
     /*  113819 */     GIR_EraseRootFromParent_Done,
     /*  113820 */   // Label 1961: @113820
     /*  113820 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(113865), // Rule ID 51236 //
     /*  113825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113828 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113863 */     GIR_RootConstrainSelectedInstOperands,
     /*  113864 */     // GIR_Coverage, 51236,
     /*  113864 */     GIR_EraseRootFromParent_Done,
     /*  113865 */   // Label 1962: @113865
     /*  113865 */   GIM_Reject,
     /*  113866 */ // Label 1960: @113866
     /*  113866 */ GIM_Reject,
     /*  113867 */ // Label 1900: @113867
     /*  113867 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113981),
     /*  113872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113890 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(113935), // Rule ID 51207 //
     /*  113895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113898 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113933 */     GIR_RootConstrainSelectedInstOperands,
     /*  113934 */     // GIR_Coverage, 51207,
     /*  113934 */     GIR_EraseRootFromParent_Done,
     /*  113935 */   // Label 1964: @113935
     /*  113935 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(113980), // Rule ID 51208 //
     /*  113940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113943 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113978 */     GIR_RootConstrainSelectedInstOperands,
     /*  113979 */     // GIR_Coverage, 51208,
     /*  113979 */     GIR_EraseRootFromParent_Done,
     /*  113980 */   // Label 1965: @113980
     /*  113980 */   GIM_Reject,
     /*  113981 */ // Label 1963: @113981
     /*  113981 */ GIM_Reject,
     /*  113982 */ // Label 1901: @113982
     /*  113982 */ GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114096),
     /*  113987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  113993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114005 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114050), // Rule ID 51223 //
     /*  114010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114013 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114048 */     GIR_RootConstrainSelectedInstOperands,
     /*  114049 */     // GIR_Coverage, 51223,
     /*  114049 */     GIR_EraseRootFromParent_Done,
     /*  114050 */   // Label 1967: @114050
     /*  114050 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(114095), // Rule ID 51224 //
     /*  114055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114058 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114093 */     GIR_RootConstrainSelectedInstOperands,
     /*  114094 */     // GIR_Coverage, 51224,
     /*  114094 */     GIR_EraseRootFromParent_Done,
     /*  114095 */   // Label 1968: @114095
     /*  114095 */   GIM_Reject,
     /*  114096 */ // Label 1966: @114096
     /*  114096 */ GIM_Reject,
     /*  114097 */ // Label 1902: @114097
     /*  114097 */ GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(114211),
     /*  114102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114120 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(114165), // Rule ID 51211 //
     /*  114125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114128 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114163 */     GIR_RootConstrainSelectedInstOperands,
     /*  114164 */     // GIR_Coverage, 51211,
     /*  114164 */     GIR_EraseRootFromParent_Done,
     /*  114165 */   // Label 1970: @114165
     /*  114165 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(114210), // Rule ID 51212 //
     /*  114170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114173 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114208 */     GIR_RootConstrainSelectedInstOperands,
     /*  114209 */     // GIR_Coverage, 51212,
     /*  114209 */     GIR_EraseRootFromParent_Done,
     /*  114210 */   // Label 1971: @114210
     /*  114210 */   GIM_Reject,
     /*  114211 */ // Label 1969: @114211
     /*  114211 */ GIM_Reject,
     /*  114212 */ // Label 1903: @114212
     /*  114212 */ GIM_Reject,
     /*  114213 */ // Label 7: @114213
     /*  114213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2003*/ GIMT_Encode4(123656),
     /*  114224 */ /*GILLT_s32*//*Label 1972*/ GIMT_Encode4(114348),
     /*  114228 */ /*GILLT_s64*//*Label 1973*/ GIMT_Encode4(115566),
     /*  114232 */ /*GILLT_nxv1s1*//*Label 1974*/ GIMT_Encode4(116849),
     /*  114236 */ /*GILLT_nxv1s8*//*Label 1975*/ GIMT_Encode4(117460),
     /*  114240 */ /*GILLT_nxv1s16*//*Label 1976*/ GIMT_Encode4(117575),
     /*  114244 */ /*GILLT_nxv1s32*//*Label 1977*/ GIMT_Encode4(117690),
     /*  114248 */ /*GILLT_nxv1s64*//*Label 1978*/ GIMT_Encode4(117805),
     /*  114252 */ /*GILLT_nxv2s1*//*Label 1979*/ GIMT_Encode4(117920),
     /*  114256 */ /*GILLT_nxv2s8*//*Label 1980*/ GIMT_Encode4(118531),
     /*  114260 */ /*GILLT_nxv2s16*//*Label 1981*/ GIMT_Encode4(118646),
     /*  114264 */ /*GILLT_nxv2s32*//*Label 1982*/ GIMT_Encode4(118761),
     /*  114268 */ /*GILLT_nxv2s64*//*Label 1983*/ GIMT_Encode4(118876),
     /*  114272 */ /*GILLT_nxv4s1*//*Label 1984*/ GIMT_Encode4(118991),
     /*  114276 */ /*GILLT_nxv4s8*//*Label 1985*/ GIMT_Encode4(119602),
     /*  114280 */ /*GILLT_nxv4s16*//*Label 1986*/ GIMT_Encode4(119717),
     /*  114284 */ /*GILLT_nxv4s32*//*Label 1987*/ GIMT_Encode4(119832),
     /*  114288 */ /*GILLT_nxv4s64*//*Label 1988*/ GIMT_Encode4(119947),
     /*  114292 */ /*GILLT_nxv8s1*//*Label 1989*/ GIMT_Encode4(120062),
     /*  114296 */ /*GILLT_nxv8s8*//*Label 1990*/ GIMT_Encode4(120673),
     /*  114300 */ /*GILLT_nxv8s16*//*Label 1991*/ GIMT_Encode4(120788),
     /*  114304 */ /*GILLT_nxv8s32*//*Label 1992*/ GIMT_Encode4(120903),
     /*  114308 */ /*GILLT_nxv8s64*//*Label 1993*/ GIMT_Encode4(121018),
     /*  114312 */ /*GILLT_nxv16s1*//*Label 1994*/ GIMT_Encode4(121133),
     /*  114316 */ /*GILLT_nxv16s8*//*Label 1995*/ GIMT_Encode4(121744),
     /*  114320 */ /*GILLT_nxv16s16*//*Label 1996*/ GIMT_Encode4(121859),
     /*  114324 */ /*GILLT_nxv16s32*//*Label 1997*/ GIMT_Encode4(121974),
     /*  114328 */ /*GILLT_nxv32s1*//*Label 1998*/ GIMT_Encode4(122089),
     /*  114332 */ /*GILLT_nxv32s8*//*Label 1999*/ GIMT_Encode4(122700),
     /*  114336 */ /*GILLT_nxv32s16*//*Label 2000*/ GIMT_Encode4(122815),
     /*  114340 */ /*GILLT_nxv64s1*//*Label 2001*/ GIMT_Encode4(122930),
     /*  114344 */ /*GILLT_nxv64s8*//*Label 2002*/ GIMT_Encode4(123541),
     /*  114348 */ // Label 1972: @114348
     /*  114348 */ GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(115565),
     /*  114353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114359 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114448), // Rule ID 64808 //
     /*  114364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114408 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114412 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114432 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114446 */     GIR_RootConstrainSelectedInstOperands,
     /*  114447 */     // GIR_Coverage, 64808,
     /*  114447 */     GIR_EraseRootFromParent_Done,
     /*  114448 */   // Label 2005: @114448
     /*  114448 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114537), // Rule ID 2427 //
     /*  114453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114497 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114501 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114521 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114535 */     GIR_RootConstrainSelectedInstOperands,
     /*  114536 */     // GIR_Coverage, 2427,
     /*  114536 */     GIR_EraseRootFromParent_Done,
     /*  114537 */   // Label 2006: @114537
     /*  114537 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114616), // Rule ID 2354 //
     /*  114542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114581 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114602 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114614 */     GIR_RootConstrainSelectedInstOperands,
     /*  114615 */     // GIR_Coverage, 2354,
     /*  114615 */     GIR_EraseRootFromParent_Done,
     /*  114616 */   // Label 2007: @114616
     /*  114616 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114695), // Rule ID 64796 //
     /*  114621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114664 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114668 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114681 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114693 */     GIR_RootConstrainSelectedInstOperands,
     /*  114694 */     // GIR_Coverage, 64796,
     /*  114694 */     GIR_EraseRootFromParent_Done,
     /*  114695 */   // Label 2008: @114695
     /*  114695 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114760), // Rule ID 2374 //
     /*  114700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114736 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114740 */     // MIs[2] Operand 1
     /*  114740 */     // No operand predicates
     /*  114740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114746 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114758 */     GIR_RootConstrainSelectedInstOperands,
     /*  114759 */     // GIR_Coverage, 2374,
     /*  114759 */     GIR_EraseRootFromParent_Done,
     /*  114760 */   // Label 2009: @114760
     /*  114760 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114825), // Rule ID 62299 //
     /*  114765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114801 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114805 */     // MIs[2] Operand 1
     /*  114805 */     // No operand predicates
     /*  114805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114811 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114823 */     GIR_RootConstrainSelectedInstOperands,
     /*  114824 */     // GIR_Coverage, 62299,
     /*  114824 */     GIR_EraseRootFromParent_Done,
     /*  114825 */   // Label 2010: @114825
     /*  114825 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114887), // Rule ID 2362 //
     /*  114830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114871 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114885 */     GIR_RootConstrainSelectedInstOperands,
     /*  114886 */     // GIR_Coverage, 2362,
     /*  114886 */     GIR_EraseRootFromParent_Done,
     /*  114887 */   // Label 2011: @114887
     /*  114887 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(114943), // Rule ID 2356 //
     /*  114892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114930 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114941 */     GIR_RootConstrainSelectedInstOperands,
     /*  114942 */     // GIR_Coverage, 2356,
     /*  114942 */     GIR_EraseRootFromParent_Done,
     /*  114943 */   // Label 2012: @114943
     /*  114943 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(114999), // Rule ID 64782 //
     /*  114948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114976 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114986 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114997 */     GIR_RootConstrainSelectedInstOperands,
     /*  114998 */     // GIR_Coverage, 64782,
     /*  114998 */     GIR_EraseRootFromParent_Done,
     /*  114999 */   // Label 2013: @114999
     /*  114999 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115055), // Rule ID 64798 //
     /*  115004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  115007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115031 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115042 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115053 */     GIR_RootConstrainSelectedInstOperands,
     /*  115054 */     // GIR_Coverage, 64798,
     /*  115054 */     GIR_EraseRootFromParent_Done,
     /*  115055 */   // Label 2014: @115055
     /*  115055 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115111), // Rule ID 2330 //
     /*  115060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  115063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115098 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115109 */     GIR_RootConstrainSelectedInstOperands,
     /*  115110 */     // GIR_Coverage, 2330,
     /*  115110 */     GIR_EraseRootFromParent_Done,
     /*  115111 */   // Label 2015: @115111
     /*  115111 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115147), // Rule ID 64200 //
     /*  115116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115127 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115138 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115145 */     GIR_RootConstrainSelectedInstOperands,
     /*  115146 */     // GIR_Coverage, 64200,
     /*  115146 */     GIR_EraseRootFromParent_Done,
     /*  115147 */   // Label 2016: @115147
     /*  115147 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115183), // Rule ID 64202 //
     /*  115152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115163 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115174 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 64202,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 2017: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115219), // Rule ID 2438 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115199 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115210 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115217 */     GIR_RootConstrainSelectedInstOperands,
     /*  115218 */     // GIR_Coverage, 2438,
     /*  115218 */     GIR_EraseRootFromParent_Done,
     /*  115219 */   // Label 2018: @115219
     /*  115219 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115255), // Rule ID 2439 //
     /*  115224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115235 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115246 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115253 */     GIR_RootConstrainSelectedInstOperands,
     /*  115254 */     // GIR_Coverage, 2439,
     /*  115254 */     GIR_EraseRootFromParent_Done,
     /*  115255 */   // Label 2019: @115255
     /*  115255 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115297), // Rule ID 2441 //
     /*  115260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115271 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115282 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115295 */     GIR_RootConstrainSelectedInstOperands,
     /*  115296 */     // GIR_Coverage, 2441,
     /*  115296 */     GIR_EraseRootFromParent_Done,
     /*  115297 */   // Label 2020: @115297
     /*  115297 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(115339), // Rule ID 2442 //
     /*  115302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115313 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115324 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115337 */     GIR_RootConstrainSelectedInstOperands,
     /*  115338 */     // GIR_Coverage, 2442,
     /*  115338 */     GIR_EraseRootFromParent_Done,
     /*  115339 */   // Label 2021: @115339
     /*  115339 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115381), // Rule ID 85 //
     /*  115344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115367 */     // MIs[1] Operand 1
     /*  115367 */     // No operand predicates
     /*  115367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115369 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115379 */     GIR_RootConstrainSelectedInstOperands,
     /*  115380 */     // GIR_Coverage, 85,
     /*  115380 */     GIR_EraseRootFromParent_Done,
     /*  115381 */   // Label 2022: @115381
     /*  115381 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115453), // Rule ID 103 //
     /*  115386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115405 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115409 */     // MIs[1] Operand 1
     /*  115409 */     // No operand predicates
     /*  115409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9913),
     /*  115413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115415 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9913>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115431 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115446 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 103,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 2023: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115495), // Rule ID 64253 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  115481 */     // MIs[1] Operand 1
     /*  115481 */     // No operand predicates
     /*  115481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115483 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  115488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115493 */     GIR_RootConstrainSelectedInstOperands,
     /*  115494 */     // GIR_Coverage, 64253,
     /*  115494 */     GIR_EraseRootFromParent_Done,
     /*  115495 */   // Label 2024: @115495
     /*  115495 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(115537), // Rule ID 64257 //
     /*  115500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  115523 */     // MIs[1] Operand 1
     /*  115523 */     // No operand predicates
     /*  115523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115525 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115535 */     GIR_RootConstrainSelectedInstOperands,
     /*  115536 */     // GIR_Coverage, 64257,
     /*  115536 */     GIR_EraseRootFromParent_Done,
     /*  115537 */   // Label 2025: @115537
     /*  115537 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115564), // Rule ID 83 //
     /*  115542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115557 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115562 */     GIR_RootConstrainSelectedInstOperands,
     /*  115563 */     // GIR_Coverage, 83,
     /*  115563 */     GIR_Done,
     /*  115564 */   // Label 2026: @115564
     /*  115564 */   GIM_Reject,
     /*  115565 */ // Label 2004: @115565
     /*  115565 */ GIM_Reject,
     /*  115566 */ // Label 1973: @115566
     /*  115566 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(116848),
     /*  115571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115581 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115666), // Rule ID 64807 //
     /*  115586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115630 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115650 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115664 */     GIR_RootConstrainSelectedInstOperands,
     /*  115665 */     // GIR_Coverage, 64807,
     /*  115665 */     GIR_EraseRootFromParent_Done,
     /*  115666 */   // Label 2028: @115666
     /*  115666 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115751), // Rule ID 2426 //
     /*  115671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115715 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115735 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115749 */     GIR_RootConstrainSelectedInstOperands,
     /*  115750 */     // GIR_Coverage, 2426,
     /*  115750 */     GIR_EraseRootFromParent_Done,
     /*  115751 */   // Label 2029: @115751
     /*  115751 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115826), // Rule ID 2353 //
     /*  115756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115795 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115812 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115824 */     GIR_RootConstrainSelectedInstOperands,
     /*  115825 */     // GIR_Coverage, 2353,
     /*  115825 */     GIR_EraseRootFromParent_Done,
     /*  115826 */   // Label 2030: @115826
     /*  115826 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(115901), // Rule ID 64795 //
     /*  115831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115870 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115874 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115887 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115899 */     GIR_RootConstrainSelectedInstOperands,
     /*  115900 */     // GIR_Coverage, 64795,
     /*  115900 */     GIR_EraseRootFromParent_Done,
     /*  115901 */   // Label 2031: @115901
     /*  115901 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(115962), // Rule ID 2373 //
     /*  115906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115942 */     // MIs[2] Operand 1
     /*  115942 */     // No operand predicates
     /*  115942 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115948 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115960 */     GIR_RootConstrainSelectedInstOperands,
     /*  115961 */     // GIR_Coverage, 2373,
     /*  115961 */     GIR_EraseRootFromParent_Done,
     /*  115962 */   // Label 2032: @115962
     /*  115962 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116023), // Rule ID 62298 //
     /*  115967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115999 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  116003 */     // MIs[2] Operand 1
     /*  116003 */     // No operand predicates
     /*  116003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116009 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  116009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  116012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  116021 */     GIR_RootConstrainSelectedInstOperands,
     /*  116022 */     // GIR_Coverage, 62298,
     /*  116022 */     GIR_EraseRootFromParent_Done,
     /*  116023 */   // Label 2033: @116023
     /*  116023 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116081), // Rule ID 2361 //
     /*  116028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  116039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  116065 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  116068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  116079 */     GIR_RootConstrainSelectedInstOperands,
     /*  116080 */     // GIR_Coverage, 2361,
     /*  116080 */     GIR_EraseRootFromParent_Done,
     /*  116081 */   // Label 2034: @116081
     /*  116081 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116133), // Rule ID 2355 //
     /*  116086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116105 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116120 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116131 */     GIR_RootConstrainSelectedInstOperands,
     /*  116132 */     // GIR_Coverage, 2355,
     /*  116132 */     GIR_EraseRootFromParent_Done,
     /*  116133 */   // Label 2035: @116133
     /*  116133 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116185), // Rule ID 64781 //
     /*  116138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116172 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116183 */     GIR_RootConstrainSelectedInstOperands,
     /*  116184 */     // GIR_Coverage, 64781,
     /*  116184 */     GIR_EraseRootFromParent_Done,
     /*  116185 */   // Label 2036: @116185
     /*  116185 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116237), // Rule ID 64797 //
     /*  116190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116224 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116235 */     GIR_RootConstrainSelectedInstOperands,
     /*  116236 */     // GIR_Coverage, 64797,
     /*  116236 */     GIR_EraseRootFromParent_Done,
     /*  116237 */   // Label 2037: @116237
     /*  116237 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116289), // Rule ID 2329 //
     /*  116242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116276 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116287 */     GIR_RootConstrainSelectedInstOperands,
     /*  116288 */     // GIR_Coverage, 2329,
     /*  116288 */     GIR_EraseRootFromParent_Done,
     /*  116289 */   // Label 2038: @116289
     /*  116289 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116321), // Rule ID 64199 //
     /*  116294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116301 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116312 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116319 */     GIR_RootConstrainSelectedInstOperands,
     /*  116320 */     // GIR_Coverage, 64199,
     /*  116320 */     GIR_EraseRootFromParent_Done,
     /*  116321 */   // Label 2039: @116321
     /*  116321 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116353), // Rule ID 64201 //
     /*  116326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116333 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116344 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116351 */     GIR_RootConstrainSelectedInstOperands,
     /*  116352 */     // GIR_Coverage, 64201,
     /*  116352 */     GIR_EraseRootFromParent_Done,
     /*  116353 */   // Label 2040: @116353
     /*  116353 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116410), // Rule ID 252 //
     /*  116358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116365 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116376 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116408 */     GIR_RootConstrainSelectedInstOperands,
     /*  116409 */     // GIR_Coverage, 252,
     /*  116409 */     GIR_EraseRootFromParent_Done,
     /*  116410 */   // Label 2041: @116410
     /*  116410 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116442), // Rule ID 2440 //
     /*  116415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116422 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116433 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116440 */     GIR_RootConstrainSelectedInstOperands,
     /*  116441 */     // GIR_Coverage, 2440,
     /*  116441 */     GIR_EraseRootFromParent_Done,
     /*  116442 */   // Label 2042: @116442
     /*  116442 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116480), // Rule ID 2443 //
     /*  116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116454 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116465 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116478 */     GIR_RootConstrainSelectedInstOperands,
     /*  116479 */     // GIR_Coverage, 2443,
     /*  116479 */     GIR_EraseRootFromParent_Done,
     /*  116480 */   // Label 2043: @116480
     /*  116480 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116518), // Rule ID 2486 //
     /*  116485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116492 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116503 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116516 */     GIR_RootConstrainSelectedInstOperands,
     /*  116517 */     // GIR_Coverage, 2486,
     /*  116517 */     GIR_EraseRootFromParent_Done,
     /*  116518 */   // Label 2044: @116518
     /*  116518 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(116556), // Rule ID 84 //
     /*  116523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116542 */     // MIs[1] Operand 1
     /*  116542 */     // No operand predicates
     /*  116542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116544 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116554 */     GIR_RootConstrainSelectedInstOperands,
     /*  116555 */     // GIR_Coverage, 84,
     /*  116555 */     GIR_EraseRootFromParent_Done,
     /*  116556 */   // Label 2045: @116556
     /*  116556 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116624), // Rule ID 101 //
     /*  116561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116580 */     // MIs[1] Operand 1
     /*  116580 */     // No operand predicates
     /*  116580 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9911),
     /*  116584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116586 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9911>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116602 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116622 */     GIR_RootConstrainSelectedInstOperands,
     /*  116623 */     // GIR_Coverage, 101,
     /*  116623 */     GIR_EraseRootFromParent_Done,
     /*  116624 */   // Label 2046: @116624
     /*  116624 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116692), // Rule ID 102 //
     /*  116629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116644 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116648 */     // MIs[1] Operand 1
     /*  116648 */     // No operand predicates
     /*  116648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9913),
     /*  116652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116654 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9913>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116670 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116690 */     GIR_RootConstrainSelectedInstOperands,
     /*  116691 */     // GIR_Coverage, 102,
     /*  116691 */     GIR_EraseRootFromParent_Done,
     /*  116692 */   // Label 2047: @116692
     /*  116692 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116760), // Rule ID 254 //
     /*  116697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116716 */     // MIs[1] Operand 1
     /*  116716 */     // No operand predicates
     /*  116716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10001),
     /*  116720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10001>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116758 */     GIR_RootConstrainSelectedInstOperands,
     /*  116759 */     // GIR_Coverage, 254,
     /*  116759 */     GIR_EraseRootFromParent_Done,
     /*  116760 */   // Label 2048: @116760
     /*  116760 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(116824), // Rule ID 2483 //
     /*  116765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116780 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116784 */     // MIs[1] Operand 1
     /*  116784 */     // No operand predicates
     /*  116784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116786 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116802 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116822 */     GIR_RootConstrainSelectedInstOperands,
     /*  116823 */     // GIR_Coverage, 2483,
     /*  116823 */     GIR_EraseRootFromParent_Done,
     /*  116824 */   // Label 2049: @116824
     /*  116824 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116847), // Rule ID 82 //
     /*  116829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116840 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116845 */     GIR_RootConstrainSelectedInstOperands,
     /*  116846 */     // GIR_Coverage, 82,
     /*  116846 */     GIR_Done,
     /*  116847 */   // Label 2050: @116847
     /*  116847 */   GIM_Reject,
     /*  116848 */ // Label 2027: @116848
     /*  116848 */ GIM_Reject,
     /*  116849 */ // Label 1974: @116849
     /*  116849 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(117459),
     /*  116854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116864 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(116930), // Rule ID 70997 //
     /*  116869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116911 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116928 */     GIR_RootConstrainSelectedInstOperands,
     /*  116929 */     // GIR_Coverage, 70997,
     /*  116929 */     GIR_EraseRootFromParent_Done,
     /*  116930 */   // Label 2052: @116930
     /*  116930 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(116996), // Rule ID 70998 //
     /*  116935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116977 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116994 */     GIR_RootConstrainSelectedInstOperands,
     /*  116995 */     // GIR_Coverage, 70998,
     /*  116995 */     GIR_EraseRootFromParent_Done,
     /*  116996 */   // Label 2053: @116996
     /*  116996 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117062), // Rule ID 70995 //
     /*  117001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117043 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117060 */     GIR_RootConstrainSelectedInstOperands,
     /*  117061 */     // GIR_Coverage, 70995,
     /*  117061 */     GIR_EraseRootFromParent_Done,
     /*  117062 */   // Label 2054: @117062
     /*  117062 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117128), // Rule ID 70996 //
     /*  117067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117109 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117126 */     GIR_RootConstrainSelectedInstOperands,
     /*  117127 */     // GIR_Coverage, 70996,
     /*  117127 */     GIR_EraseRootFromParent_Done,
     /*  117128 */   // Label 2055: @117128
     /*  117128 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117194), // Rule ID 70993 //
     /*  117133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117175 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117192 */     GIR_RootConstrainSelectedInstOperands,
     /*  117193 */     // GIR_Coverage, 70993,
     /*  117193 */     GIR_EraseRootFromParent_Done,
     /*  117194 */   // Label 2056: @117194
     /*  117194 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117260), // Rule ID 70994 //
     /*  117199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117241 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117258 */     GIR_RootConstrainSelectedInstOperands,
     /*  117259 */     // GIR_Coverage, 70994,
     /*  117259 */     GIR_EraseRootFromParent_Done,
     /*  117260 */   // Label 2057: @117260
     /*  117260 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117326), // Rule ID 53039 //
     /*  117265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117307 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117324 */     GIR_RootConstrainSelectedInstOperands,
     /*  117325 */     // GIR_Coverage, 53039,
     /*  117325 */     GIR_EraseRootFromParent_Done,
     /*  117326 */   // Label 2058: @117326
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117392), // Rule ID 53040 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117373 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117390 */     GIR_RootConstrainSelectedInstOperands,
     /*  117391 */     // GIR_Coverage, 53040,
     /*  117391 */     GIR_EraseRootFromParent_Done,
     /*  117392 */   // Label 2059: @117392
     /*  117392 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117425), // Rule ID 53027 //
     /*  117397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117408 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117423 */     GIR_RootConstrainSelectedInstOperands,
     /*  117424 */     // GIR_Coverage, 53027,
     /*  117424 */     GIR_EraseRootFromParent_Done,
     /*  117425 */   // Label 2060: @117425
     /*  117425 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117458), // Rule ID 53028 //
     /*  117430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117441 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117456 */     GIR_RootConstrainSelectedInstOperands,
     /*  117457 */     // GIR_Coverage, 53028,
     /*  117457 */     GIR_EraseRootFromParent_Done,
     /*  117458 */   // Label 2061: @117458
     /*  117458 */   GIM_Reject,
     /*  117459 */ // Label 2051: @117459
     /*  117459 */ GIM_Reject,
     /*  117460 */ // Label 1975: @117460
     /*  117460 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117574),
     /*  117465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117483 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117528), // Rule ID 47519 //
     /*  117488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117491 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117526 */     GIR_RootConstrainSelectedInstOperands,
     /*  117527 */     // GIR_Coverage, 47519,
     /*  117527 */     GIR_EraseRootFromParent_Done,
     /*  117528 */   // Label 2063: @117528
     /*  117528 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117573), // Rule ID 47520 //
     /*  117533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117536 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117571 */     GIR_RootConstrainSelectedInstOperands,
     /*  117572 */     // GIR_Coverage, 47520,
     /*  117572 */     GIR_EraseRootFromParent_Done,
     /*  117573 */   // Label 2064: @117573
     /*  117573 */   GIM_Reject,
     /*  117574 */ // Label 2062: @117574
     /*  117574 */ GIM_Reject,
     /*  117575 */ // Label 1976: @117575
     /*  117575 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117689),
     /*  117580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117598 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117643), // Rule ID 47531 //
     /*  117603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117606 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117641 */     GIR_RootConstrainSelectedInstOperands,
     /*  117642 */     // GIR_Coverage, 47531,
     /*  117642 */     GIR_EraseRootFromParent_Done,
     /*  117643 */   // Label 2066: @117643
     /*  117643 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117688), // Rule ID 47532 //
     /*  117648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117651 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117686 */     GIR_RootConstrainSelectedInstOperands,
     /*  117687 */     // GIR_Coverage, 47532,
     /*  117687 */     GIR_EraseRootFromParent_Done,
     /*  117688 */   // Label 2067: @117688
     /*  117688 */   GIM_Reject,
     /*  117689 */ // Label 2065: @117689
     /*  117689 */ GIM_Reject,
     /*  117690 */ // Label 1977: @117690
     /*  117690 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(117804),
     /*  117695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117713 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117758), // Rule ID 47539 //
     /*  117718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117721 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_RootConstrainSelectedInstOperands,
     /*  117757 */     // GIR_Coverage, 47539,
     /*  117757 */     GIR_EraseRootFromParent_Done,
     /*  117758 */   // Label 2069: @117758
     /*  117758 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117803), // Rule ID 47540 //
     /*  117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117766 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117801 */     GIR_RootConstrainSelectedInstOperands,
     /*  117802 */     // GIR_Coverage, 47540,
     /*  117802 */     GIR_EraseRootFromParent_Done,
     /*  117803 */   // Label 2070: @117803
     /*  117803 */   GIM_Reject,
     /*  117804 */ // Label 2068: @117804
     /*  117804 */ GIM_Reject,
     /*  117805 */ // Label 1978: @117805
     /*  117805 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117919),
     /*  117810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117828 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(117873), // Rule ID 47555 //
     /*  117833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117836 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117871 */     GIR_RootConstrainSelectedInstOperands,
     /*  117872 */     // GIR_Coverage, 47555,
     /*  117872 */     GIR_EraseRootFromParent_Done,
     /*  117873 */   // Label 2072: @117873
     /*  117873 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(117918), // Rule ID 47556 //
     /*  117878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117881 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117916 */     GIR_RootConstrainSelectedInstOperands,
     /*  117917 */     // GIR_Coverage, 47556,
     /*  117917 */     GIR_EraseRootFromParent_Done,
     /*  117918 */   // Label 2073: @117918
     /*  117918 */   GIM_Reject,
     /*  117919 */ // Label 2071: @117919
     /*  117919 */ GIM_Reject,
     /*  117920 */ // Label 1979: @117920
     /*  117920 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118530),
     /*  117925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117935 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118001), // Rule ID 71025 //
     /*  117940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117982 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117999 */     GIR_RootConstrainSelectedInstOperands,
     /*  118000 */     // GIR_Coverage, 71025,
     /*  118000 */     GIR_EraseRootFromParent_Done,
     /*  118001 */   // Label 2075: @118001
     /*  118001 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118067), // Rule ID 71026 //
     /*  118006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118048 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118065 */     GIR_RootConstrainSelectedInstOperands,
     /*  118066 */     // GIR_Coverage, 71026,
     /*  118066 */     GIR_EraseRootFromParent_Done,
     /*  118067 */   // Label 2076: @118067
     /*  118067 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118133), // Rule ID 71023 //
     /*  118072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118114 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118131 */     GIR_RootConstrainSelectedInstOperands,
     /*  118132 */     // GIR_Coverage, 71023,
     /*  118132 */     GIR_EraseRootFromParent_Done,
     /*  118133 */   // Label 2077: @118133
     /*  118133 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118199), // Rule ID 71024 //
     /*  118138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118180 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118197 */     GIR_RootConstrainSelectedInstOperands,
     /*  118198 */     // GIR_Coverage, 71024,
     /*  118198 */     GIR_EraseRootFromParent_Done,
     /*  118199 */   // Label 2078: @118199
     /*  118199 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118265), // Rule ID 71021 //
     /*  118204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118246 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118263 */     GIR_RootConstrainSelectedInstOperands,
     /*  118264 */     // GIR_Coverage, 71021,
     /*  118264 */     GIR_EraseRootFromParent_Done,
     /*  118265 */   // Label 2079: @118265
     /*  118265 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118331), // Rule ID 71022 //
     /*  118270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118312 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118329 */     GIR_RootConstrainSelectedInstOperands,
     /*  118330 */     // GIR_Coverage, 71022,
     /*  118330 */     GIR_EraseRootFromParent_Done,
     /*  118331 */   // Label 2080: @118331
     /*  118331 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118397), // Rule ID 53057 //
     /*  118336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118378 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118395 */     GIR_RootConstrainSelectedInstOperands,
     /*  118396 */     // GIR_Coverage, 53057,
     /*  118396 */     GIR_EraseRootFromParent_Done,
     /*  118397 */   // Label 2081: @118397
     /*  118397 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118463), // Rule ID 53058 //
     /*  118402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118444 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118461 */     GIR_RootConstrainSelectedInstOperands,
     /*  118462 */     // GIR_Coverage, 53058,
     /*  118462 */     GIR_EraseRootFromParent_Done,
     /*  118463 */   // Label 2082: @118463
     /*  118463 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118496), // Rule ID 53045 //
     /*  118468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118479 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118494 */     GIR_RootConstrainSelectedInstOperands,
     /*  118495 */     // GIR_Coverage, 53045,
     /*  118495 */     GIR_EraseRootFromParent_Done,
     /*  118496 */   // Label 2083: @118496
     /*  118496 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118529), // Rule ID 53046 //
     /*  118501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118512 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118527 */     GIR_RootConstrainSelectedInstOperands,
     /*  118528 */     // GIR_Coverage, 53046,
     /*  118528 */     GIR_EraseRootFromParent_Done,
     /*  118529 */   // Label 2084: @118529
     /*  118529 */   GIM_Reject,
     /*  118530 */ // Label 2074: @118530
     /*  118530 */ GIM_Reject,
     /*  118531 */ // Label 1980: @118531
     /*  118531 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118645),
     /*  118536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118554 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118599), // Rule ID 47523 //
     /*  118559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118562 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118597 */     GIR_RootConstrainSelectedInstOperands,
     /*  118598 */     // GIR_Coverage, 47523,
     /*  118598 */     GIR_EraseRootFromParent_Done,
     /*  118599 */   // Label 2086: @118599
     /*  118599 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118644), // Rule ID 47524 //
     /*  118604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118607 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118642 */     GIR_RootConstrainSelectedInstOperands,
     /*  118643 */     // GIR_Coverage, 47524,
     /*  118643 */     GIR_EraseRootFromParent_Done,
     /*  118644 */   // Label 2087: @118644
     /*  118644 */   GIM_Reject,
     /*  118645 */ // Label 2085: @118645
     /*  118645 */ GIM_Reject,
     /*  118646 */ // Label 1981: @118646
     /*  118646 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118760),
     /*  118651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118714), // Rule ID 47535 //
     /*  118674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118677 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118712 */     GIR_RootConstrainSelectedInstOperands,
     /*  118713 */     // GIR_Coverage, 47535,
     /*  118713 */     GIR_EraseRootFromParent_Done,
     /*  118714 */   // Label 2089: @118714
     /*  118714 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118759), // Rule ID 47536 //
     /*  118719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118722 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118757 */     GIR_RootConstrainSelectedInstOperands,
     /*  118758 */     // GIR_Coverage, 47536,
     /*  118758 */     GIR_EraseRootFromParent_Done,
     /*  118759 */   // Label 2090: @118759
     /*  118759 */   GIM_Reject,
     /*  118760 */ // Label 2088: @118760
     /*  118760 */ GIM_Reject,
     /*  118761 */ // Label 1982: @118761
     /*  118761 */ GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(118875),
     /*  118766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118784 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118829), // Rule ID 47551 //
     /*  118789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118792 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118827 */     GIR_RootConstrainSelectedInstOperands,
     /*  118828 */     // GIR_Coverage, 47551,
     /*  118828 */     GIR_EraseRootFromParent_Done,
     /*  118829 */   // Label 2092: @118829
     /*  118829 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118874), // Rule ID 47552 //
     /*  118834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118837 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118872 */     GIR_RootConstrainSelectedInstOperands,
     /*  118873 */     // GIR_Coverage, 47552,
     /*  118873 */     GIR_EraseRootFromParent_Done,
     /*  118874 */   // Label 2093: @118874
     /*  118874 */   GIM_Reject,
     /*  118875 */ // Label 2091: @118875
     /*  118875 */ GIM_Reject,
     /*  118876 */ // Label 1983: @118876
     /*  118876 */ GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118990),
     /*  118881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118899 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(118944), // Rule ID 47595 //
     /*  118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118907 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118942 */     GIR_RootConstrainSelectedInstOperands,
     /*  118943 */     // GIR_Coverage, 47595,
     /*  118943 */     GIR_EraseRootFromParent_Done,
     /*  118944 */   // Label 2095: @118944
     /*  118944 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(118989), // Rule ID 47596 //
     /*  118949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118952 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118987 */     GIR_RootConstrainSelectedInstOperands,
     /*  118988 */     // GIR_Coverage, 47596,
     /*  118988 */     GIR_EraseRootFromParent_Done,
     /*  118989 */   // Label 2096: @118989
     /*  118989 */   GIM_Reject,
     /*  118990 */ // Label 2094: @118990
     /*  118990 */ GIM_Reject,
     /*  118991 */ // Label 1984: @118991
     /*  118991 */ GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119601),
     /*  118996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119006 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119072), // Rule ID 71053 //
     /*  119011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119053 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119070 */     GIR_RootConstrainSelectedInstOperands,
     /*  119071 */     // GIR_Coverage, 71053,
     /*  119071 */     GIR_EraseRootFromParent_Done,
     /*  119072 */   // Label 2098: @119072
     /*  119072 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119138), // Rule ID 71054 //
     /*  119077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119119 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119136 */     GIR_RootConstrainSelectedInstOperands,
     /*  119137 */     // GIR_Coverage, 71054,
     /*  119137 */     GIR_EraseRootFromParent_Done,
     /*  119138 */   // Label 2099: @119138
     /*  119138 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119204), // Rule ID 71051 //
     /*  119143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119185 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119202 */     GIR_RootConstrainSelectedInstOperands,
     /*  119203 */     // GIR_Coverage, 71051,
     /*  119203 */     GIR_EraseRootFromParent_Done,
     /*  119204 */   // Label 2100: @119204
     /*  119204 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119270), // Rule ID 71052 //
     /*  119209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119251 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119268 */     GIR_RootConstrainSelectedInstOperands,
     /*  119269 */     // GIR_Coverage, 71052,
     /*  119269 */     GIR_EraseRootFromParent_Done,
     /*  119270 */   // Label 2101: @119270
     /*  119270 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119336), // Rule ID 71049 //
     /*  119275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119317 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119334 */     GIR_RootConstrainSelectedInstOperands,
     /*  119335 */     // GIR_Coverage, 71049,
     /*  119335 */     GIR_EraseRootFromParent_Done,
     /*  119336 */   // Label 2102: @119336
     /*  119336 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119402), // Rule ID 71050 //
     /*  119341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119383 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119400 */     GIR_RootConstrainSelectedInstOperands,
     /*  119401 */     // GIR_Coverage, 71050,
     /*  119401 */     GIR_EraseRootFromParent_Done,
     /*  119402 */   // Label 2103: @119402
     /*  119402 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119468), // Rule ID 53075 //
     /*  119407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119449 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119466 */     GIR_RootConstrainSelectedInstOperands,
     /*  119467 */     // GIR_Coverage, 53075,
     /*  119467 */     GIR_EraseRootFromParent_Done,
     /*  119468 */   // Label 2104: @119468
     /*  119468 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119534), // Rule ID 53076 //
     /*  119473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119515 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119532 */     GIR_RootConstrainSelectedInstOperands,
     /*  119533 */     // GIR_Coverage, 53076,
     /*  119533 */     GIR_EraseRootFromParent_Done,
     /*  119534 */   // Label 2105: @119534
     /*  119534 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119567), // Rule ID 53063 //
     /*  119539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119550 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119565 */     GIR_RootConstrainSelectedInstOperands,
     /*  119566 */     // GIR_Coverage, 53063,
     /*  119566 */     GIR_EraseRootFromParent_Done,
     /*  119567 */   // Label 2106: @119567
     /*  119567 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119600), // Rule ID 53064 //
     /*  119572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119583 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119598 */     GIR_RootConstrainSelectedInstOperands,
     /*  119599 */     // GIR_Coverage, 53064,
     /*  119599 */     GIR_EraseRootFromParent_Done,
     /*  119600 */   // Label 2107: @119600
     /*  119600 */   GIM_Reject,
     /*  119601 */ // Label 2097: @119601
     /*  119601 */ GIM_Reject,
     /*  119602 */ // Label 1985: @119602
     /*  119602 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119716),
     /*  119607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119625 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119670), // Rule ID 47527 //
     /*  119630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119633 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119668 */     GIR_RootConstrainSelectedInstOperands,
     /*  119669 */     // GIR_Coverage, 47527,
     /*  119669 */     GIR_EraseRootFromParent_Done,
     /*  119670 */   // Label 2109: @119670
     /*  119670 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119715), // Rule ID 47528 //
     /*  119675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119678 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119713 */     GIR_RootConstrainSelectedInstOperands,
     /*  119714 */     // GIR_Coverage, 47528,
     /*  119714 */     GIR_EraseRootFromParent_Done,
     /*  119715 */   // Label 2110: @119715
     /*  119715 */   GIM_Reject,
     /*  119716 */ // Label 2108: @119716
     /*  119716 */ GIM_Reject,
     /*  119717 */ // Label 1986: @119717
     /*  119717 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119831),
     /*  119722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119740 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119785), // Rule ID 47547 //
     /*  119745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119748 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119783 */     GIR_RootConstrainSelectedInstOperands,
     /*  119784 */     // GIR_Coverage, 47547,
     /*  119784 */     GIR_EraseRootFromParent_Done,
     /*  119785 */   // Label 2112: @119785
     /*  119785 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119830), // Rule ID 47548 //
     /*  119790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119793 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_RootConstrainSelectedInstOperands,
     /*  119829 */     // GIR_Coverage, 47548,
     /*  119829 */     GIR_EraseRootFromParent_Done,
     /*  119830 */   // Label 2113: @119830
     /*  119830 */   GIM_Reject,
     /*  119831 */ // Label 2111: @119831
     /*  119831 */ GIM_Reject,
     /*  119832 */ // Label 1987: @119832
     /*  119832 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(119946),
     /*  119837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119855 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(119900), // Rule ID 47583 //
     /*  119860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119863 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119898 */     GIR_RootConstrainSelectedInstOperands,
     /*  119899 */     // GIR_Coverage, 47583,
     /*  119899 */     GIR_EraseRootFromParent_Done,
     /*  119900 */   // Label 2115: @119900
     /*  119900 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(119945), // Rule ID 47584 //
     /*  119905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119908 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119943 */     GIR_RootConstrainSelectedInstOperands,
     /*  119944 */     // GIR_Coverage, 47584,
     /*  119944 */     GIR_EraseRootFromParent_Done,
     /*  119945 */   // Label 2116: @119945
     /*  119945 */   GIM_Reject,
     /*  119946 */ // Label 2114: @119946
     /*  119946 */ GIM_Reject,
     /*  119947 */ // Label 1988: @119947
     /*  119947 */ GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120061),
     /*  119952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119970 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120015), // Rule ID 47599 //
     /*  119975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119978 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120013 */     GIR_RootConstrainSelectedInstOperands,
     /*  120014 */     // GIR_Coverage, 47599,
     /*  120014 */     GIR_EraseRootFromParent_Done,
     /*  120015 */   // Label 2118: @120015
     /*  120015 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120060), // Rule ID 47600 //
     /*  120020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120023 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  120026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120058 */     GIR_RootConstrainSelectedInstOperands,
     /*  120059 */     // GIR_Coverage, 47600,
     /*  120059 */     GIR_EraseRootFromParent_Done,
     /*  120060 */   // Label 2119: @120060
     /*  120060 */   GIM_Reject,
     /*  120061 */ // Label 2117: @120061
     /*  120061 */ GIM_Reject,
     /*  120062 */ // Label 1989: @120062
     /*  120062 */ GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120672),
     /*  120067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120077 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120143), // Rule ID 71081 //
     /*  120082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120124 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120141 */     GIR_RootConstrainSelectedInstOperands,
     /*  120142 */     // GIR_Coverage, 71081,
     /*  120142 */     GIR_EraseRootFromParent_Done,
     /*  120143 */   // Label 2121: @120143
     /*  120143 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120209), // Rule ID 71082 //
     /*  120148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120190 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120207 */     GIR_RootConstrainSelectedInstOperands,
     /*  120208 */     // GIR_Coverage, 71082,
     /*  120208 */     GIR_EraseRootFromParent_Done,
     /*  120209 */   // Label 2122: @120209
     /*  120209 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120275), // Rule ID 71079 //
     /*  120214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120256 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120273 */     GIR_RootConstrainSelectedInstOperands,
     /*  120274 */     // GIR_Coverage, 71079,
     /*  120274 */     GIR_EraseRootFromParent_Done,
     /*  120275 */   // Label 2123: @120275
     /*  120275 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120341), // Rule ID 71080 //
     /*  120280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120322 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120339 */     GIR_RootConstrainSelectedInstOperands,
     /*  120340 */     // GIR_Coverage, 71080,
     /*  120340 */     GIR_EraseRootFromParent_Done,
     /*  120341 */   // Label 2124: @120341
     /*  120341 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120407), // Rule ID 71077 //
     /*  120346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120388 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120405 */     GIR_RootConstrainSelectedInstOperands,
     /*  120406 */     // GIR_Coverage, 71077,
     /*  120406 */     GIR_EraseRootFromParent_Done,
     /*  120407 */   // Label 2125: @120407
     /*  120407 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120473), // Rule ID 71078 //
     /*  120412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120454 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120471 */     GIR_RootConstrainSelectedInstOperands,
     /*  120472 */     // GIR_Coverage, 71078,
     /*  120472 */     GIR_EraseRootFromParent_Done,
     /*  120473 */   // Label 2126: @120473
     /*  120473 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120539), // Rule ID 53093 //
     /*  120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120520 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120537 */     GIR_RootConstrainSelectedInstOperands,
     /*  120538 */     // GIR_Coverage, 53093,
     /*  120538 */     GIR_EraseRootFromParent_Done,
     /*  120539 */   // Label 2127: @120539
     /*  120539 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120605), // Rule ID 53094 //
     /*  120544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120586 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120603 */     GIR_RootConstrainSelectedInstOperands,
     /*  120604 */     // GIR_Coverage, 53094,
     /*  120604 */     GIR_EraseRootFromParent_Done,
     /*  120605 */   // Label 2128: @120605
     /*  120605 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120638), // Rule ID 53081 //
     /*  120610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120621 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120636 */     GIR_RootConstrainSelectedInstOperands,
     /*  120637 */     // GIR_Coverage, 53081,
     /*  120637 */     GIR_EraseRootFromParent_Done,
     /*  120638 */   // Label 2129: @120638
     /*  120638 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120671), // Rule ID 53082 //
     /*  120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120654 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120669 */     GIR_RootConstrainSelectedInstOperands,
     /*  120670 */     // GIR_Coverage, 53082,
     /*  120670 */     GIR_EraseRootFromParent_Done,
     /*  120671 */   // Label 2130: @120671
     /*  120671 */   GIM_Reject,
     /*  120672 */ // Label 2120: @120672
     /*  120672 */ GIM_Reject,
     /*  120673 */ // Label 1990: @120673
     /*  120673 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120787),
     /*  120678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120696 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120741), // Rule ID 47543 //
     /*  120701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120704 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120739 */     GIR_RootConstrainSelectedInstOperands,
     /*  120740 */     // GIR_Coverage, 47543,
     /*  120740 */     GIR_EraseRootFromParent_Done,
     /*  120741 */   // Label 2132: @120741
     /*  120741 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120786), // Rule ID 47544 //
     /*  120746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120749 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120784 */     GIR_RootConstrainSelectedInstOperands,
     /*  120785 */     // GIR_Coverage, 47544,
     /*  120785 */     GIR_EraseRootFromParent_Done,
     /*  120786 */   // Label 2133: @120786
     /*  120786 */   GIM_Reject,
     /*  120787 */ // Label 2131: @120787
     /*  120787 */ GIM_Reject,
     /*  120788 */ // Label 1991: @120788
     /*  120788 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120902),
     /*  120793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120811 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(120856), // Rule ID 47571 //
     /*  120816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120819 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 47571,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2135: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120901), // Rule ID 47572 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120864 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120899 */     GIR_RootConstrainSelectedInstOperands,
     /*  120900 */     // GIR_Coverage, 47572,
     /*  120900 */     GIR_EraseRootFromParent_Done,
     /*  120901 */   // Label 2136: @120901
     /*  120901 */   GIM_Reject,
     /*  120902 */ // Label 2134: @120902
     /*  120902 */ GIM_Reject,
     /*  120903 */ // Label 1992: @120903
     /*  120903 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121017),
     /*  120908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120926 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(120971), // Rule ID 47587 //
     /*  120931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120934 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120969 */     GIR_RootConstrainSelectedInstOperands,
     /*  120970 */     // GIR_Coverage, 47587,
     /*  120970 */     GIR_EraseRootFromParent_Done,
     /*  120971 */   // Label 2138: @120971
     /*  120971 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121016), // Rule ID 47588 //
     /*  120976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120979 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121014 */     GIR_RootConstrainSelectedInstOperands,
     /*  121015 */     // GIR_Coverage, 47588,
     /*  121015 */     GIR_EraseRootFromParent_Done,
     /*  121016 */   // Label 2139: @121016
     /*  121016 */   GIM_Reject,
     /*  121017 */ // Label 2137: @121017
     /*  121017 */ GIM_Reject,
     /*  121018 */ // Label 1993: @121018
     /*  121018 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121132),
     /*  121023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  121026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121041 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121086), // Rule ID 47603 //
     /*  121046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  121049 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  121049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121084 */     GIR_RootConstrainSelectedInstOperands,
     /*  121085 */     // GIR_Coverage, 47603,
     /*  121085 */     GIR_EraseRootFromParent_Done,
     /*  121086 */   // Label 2141: @121086
     /*  121086 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121131), // Rule ID 47604 //
     /*  121091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121094 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  121094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121129 */     GIR_RootConstrainSelectedInstOperands,
     /*  121130 */     // GIR_Coverage, 47604,
     /*  121130 */     GIR_EraseRootFromParent_Done,
     /*  121131 */   // Label 2142: @121131
     /*  121131 */   GIM_Reject,
     /*  121132 */ // Label 2140: @121132
     /*  121132 */ GIM_Reject,
     /*  121133 */ // Label 1994: @121133
     /*  121133 */ GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121743),
     /*  121138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121148 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121214), // Rule ID 71109 //
     /*  121153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121195 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121212 */     GIR_RootConstrainSelectedInstOperands,
     /*  121213 */     // GIR_Coverage, 71109,
     /*  121213 */     GIR_EraseRootFromParent_Done,
     /*  121214 */   // Label 2144: @121214
     /*  121214 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121280), // Rule ID 71110 //
     /*  121219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121261 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121278 */     GIR_RootConstrainSelectedInstOperands,
     /*  121279 */     // GIR_Coverage, 71110,
     /*  121279 */     GIR_EraseRootFromParent_Done,
     /*  121280 */   // Label 2145: @121280
     /*  121280 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121346), // Rule ID 71107 //
     /*  121285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121327 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121344 */     GIR_RootConstrainSelectedInstOperands,
     /*  121345 */     // GIR_Coverage, 71107,
     /*  121345 */     GIR_EraseRootFromParent_Done,
     /*  121346 */   // Label 2146: @121346
     /*  121346 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121412), // Rule ID 71108 //
     /*  121351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121393 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121410 */     GIR_RootConstrainSelectedInstOperands,
     /*  121411 */     // GIR_Coverage, 71108,
     /*  121411 */     GIR_EraseRootFromParent_Done,
     /*  121412 */   // Label 2147: @121412
     /*  121412 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121478), // Rule ID 71105 //
     /*  121417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121459 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121476 */     GIR_RootConstrainSelectedInstOperands,
     /*  121477 */     // GIR_Coverage, 71105,
     /*  121477 */     GIR_EraseRootFromParent_Done,
     /*  121478 */   // Label 2148: @121478
     /*  121478 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121544), // Rule ID 71106 //
     /*  121483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121525 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121542 */     GIR_RootConstrainSelectedInstOperands,
     /*  121543 */     // GIR_Coverage, 71106,
     /*  121543 */     GIR_EraseRootFromParent_Done,
     /*  121544 */   // Label 2149: @121544
     /*  121544 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121610), // Rule ID 53111 //
     /*  121549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121591 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121608 */     GIR_RootConstrainSelectedInstOperands,
     /*  121609 */     // GIR_Coverage, 53111,
     /*  121609 */     GIR_EraseRootFromParent_Done,
     /*  121610 */   // Label 2150: @121610
     /*  121610 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121676), // Rule ID 53112 //
     /*  121615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121657 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121674 */     GIR_RootConstrainSelectedInstOperands,
     /*  121675 */     // GIR_Coverage, 53112,
     /*  121675 */     GIR_EraseRootFromParent_Done,
     /*  121676 */   // Label 2151: @121676
     /*  121676 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121709), // Rule ID 53099 //
     /*  121681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121692 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121707 */     GIR_RootConstrainSelectedInstOperands,
     /*  121708 */     // GIR_Coverage, 53099,
     /*  121708 */     GIR_EraseRootFromParent_Done,
     /*  121709 */   // Label 2152: @121709
     /*  121709 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121742), // Rule ID 53100 //
     /*  121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121725 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121740 */     GIR_RootConstrainSelectedInstOperands,
     /*  121741 */     // GIR_Coverage, 53100,
     /*  121741 */     GIR_EraseRootFromParent_Done,
     /*  121742 */   // Label 2153: @121742
     /*  121742 */   GIM_Reject,
     /*  121743 */ // Label 2143: @121743
     /*  121743 */ GIM_Reject,
     /*  121744 */ // Label 1995: @121744
     /*  121744 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121858),
     /*  121749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121767 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121812), // Rule ID 47559 //
     /*  121772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121775 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121810 */     GIR_RootConstrainSelectedInstOperands,
     /*  121811 */     // GIR_Coverage, 47559,
     /*  121811 */     GIR_EraseRootFromParent_Done,
     /*  121812 */   // Label 2155: @121812
     /*  121812 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121857), // Rule ID 47560 //
     /*  121817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121820 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121855 */     GIR_RootConstrainSelectedInstOperands,
     /*  121856 */     // GIR_Coverage, 47560,
     /*  121856 */     GIR_EraseRootFromParent_Done,
     /*  121857 */   // Label 2156: @121857
     /*  121857 */   GIM_Reject,
     /*  121858 */ // Label 2154: @121858
     /*  121858 */ GIM_Reject,
     /*  121859 */ // Label 1996: @121859
     /*  121859 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(121973),
     /*  121864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121882 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(121927), // Rule ID 47575 //
     /*  121887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121890 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121925 */     GIR_RootConstrainSelectedInstOperands,
     /*  121926 */     // GIR_Coverage, 47575,
     /*  121926 */     GIR_EraseRootFromParent_Done,
     /*  121927 */   // Label 2158: @121927
     /*  121927 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(121972), // Rule ID 47576 //
     /*  121932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121935 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121970 */     GIR_RootConstrainSelectedInstOperands,
     /*  121971 */     // GIR_Coverage, 47576,
     /*  121971 */     GIR_EraseRootFromParent_Done,
     /*  121972 */   // Label 2159: @121972
     /*  121972 */   GIM_Reject,
     /*  121973 */ // Label 2157: @121973
     /*  121973 */ GIM_Reject,
     /*  121974 */ // Label 1997: @121974
     /*  121974 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122088),
     /*  121979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121997 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122042), // Rule ID 47591 //
     /*  122002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122005 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122040 */     GIR_RootConstrainSelectedInstOperands,
     /*  122041 */     // GIR_Coverage, 47591,
     /*  122041 */     GIR_EraseRootFromParent_Done,
     /*  122042 */   // Label 2161: @122042
     /*  122042 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122087), // Rule ID 47592 //
     /*  122047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122050 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122085 */     GIR_RootConstrainSelectedInstOperands,
     /*  122086 */     // GIR_Coverage, 47592,
     /*  122086 */     GIR_EraseRootFromParent_Done,
     /*  122087 */   // Label 2162: @122087
     /*  122087 */   GIM_Reject,
     /*  122088 */ // Label 2160: @122088
     /*  122088 */ GIM_Reject,
     /*  122089 */ // Label 1998: @122089
     /*  122089 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122699),
     /*  122094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122104 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122170), // Rule ID 71137 //
     /*  122109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122151 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122168 */     GIR_RootConstrainSelectedInstOperands,
     /*  122169 */     // GIR_Coverage, 71137,
     /*  122169 */     GIR_EraseRootFromParent_Done,
     /*  122170 */   // Label 2164: @122170
     /*  122170 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122236), // Rule ID 71138 //
     /*  122175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122217 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122234 */     GIR_RootConstrainSelectedInstOperands,
     /*  122235 */     // GIR_Coverage, 71138,
     /*  122235 */     GIR_EraseRootFromParent_Done,
     /*  122236 */   // Label 2165: @122236
     /*  122236 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122302), // Rule ID 71135 //
     /*  122241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122283 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122300 */     GIR_RootConstrainSelectedInstOperands,
     /*  122301 */     // GIR_Coverage, 71135,
     /*  122301 */     GIR_EraseRootFromParent_Done,
     /*  122302 */   // Label 2166: @122302
     /*  122302 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122368), // Rule ID 71136 //
     /*  122307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122349 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122366 */     GIR_RootConstrainSelectedInstOperands,
     /*  122367 */     // GIR_Coverage, 71136,
     /*  122367 */     GIR_EraseRootFromParent_Done,
     /*  122368 */   // Label 2167: @122368
     /*  122368 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122434), // Rule ID 71133 //
     /*  122373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122415 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122432 */     GIR_RootConstrainSelectedInstOperands,
     /*  122433 */     // GIR_Coverage, 71133,
     /*  122433 */     GIR_EraseRootFromParent_Done,
     /*  122434 */   // Label 2168: @122434
     /*  122434 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122500), // Rule ID 71134 //
     /*  122439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122481 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122498 */     GIR_RootConstrainSelectedInstOperands,
     /*  122499 */     // GIR_Coverage, 71134,
     /*  122499 */     GIR_EraseRootFromParent_Done,
     /*  122500 */   // Label 2169: @122500
     /*  122500 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122566), // Rule ID 53129 //
     /*  122505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122547 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122564 */     GIR_RootConstrainSelectedInstOperands,
     /*  122565 */     // GIR_Coverage, 53129,
     /*  122565 */     GIR_EraseRootFromParent_Done,
     /*  122566 */   // Label 2170: @122566
     /*  122566 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122632), // Rule ID 53130 //
     /*  122571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122613 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122630 */     GIR_RootConstrainSelectedInstOperands,
     /*  122631 */     // GIR_Coverage, 53130,
     /*  122631 */     GIR_EraseRootFromParent_Done,
     /*  122632 */   // Label 2171: @122632
     /*  122632 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122665), // Rule ID 53117 //
     /*  122637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122648 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122663 */     GIR_RootConstrainSelectedInstOperands,
     /*  122664 */     // GIR_Coverage, 53117,
     /*  122664 */     GIR_EraseRootFromParent_Done,
     /*  122665 */   // Label 2172: @122665
     /*  122665 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122698), // Rule ID 53118 //
     /*  122670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122681 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122696 */     GIR_RootConstrainSelectedInstOperands,
     /*  122697 */     // GIR_Coverage, 53118,
     /*  122697 */     GIR_EraseRootFromParent_Done,
     /*  122698 */   // Label 2173: @122698
     /*  122698 */   GIM_Reject,
     /*  122699 */ // Label 2163: @122699
     /*  122699 */ GIM_Reject,
     /*  122700 */ // Label 1999: @122700
     /*  122700 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(122814),
     /*  122705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122723 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122768), // Rule ID 47563 //
     /*  122728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122731 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122766 */     GIR_RootConstrainSelectedInstOperands,
     /*  122767 */     // GIR_Coverage, 47563,
     /*  122767 */     GIR_EraseRootFromParent_Done,
     /*  122768 */   // Label 2175: @122768
     /*  122768 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122813), // Rule ID 47564 //
     /*  122773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122776 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122811 */     GIR_RootConstrainSelectedInstOperands,
     /*  122812 */     // GIR_Coverage, 47564,
     /*  122812 */     GIR_EraseRootFromParent_Done,
     /*  122813 */   // Label 2176: @122813
     /*  122813 */   GIM_Reject,
     /*  122814 */ // Label 2174: @122814
     /*  122814 */ GIM_Reject,
     /*  122815 */ // Label 2000: @122815
     /*  122815 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122929),
     /*  122820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122838 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(122883), // Rule ID 47579 //
     /*  122843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122846 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122881 */     GIR_RootConstrainSelectedInstOperands,
     /*  122882 */     // GIR_Coverage, 47579,
     /*  122882 */     GIR_EraseRootFromParent_Done,
     /*  122883 */   // Label 2178: @122883
     /*  122883 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(122928), // Rule ID 47580 //
     /*  122888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122891 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122926 */     GIR_RootConstrainSelectedInstOperands,
     /*  122927 */     // GIR_Coverage, 47580,
     /*  122927 */     GIR_EraseRootFromParent_Done,
     /*  122928 */   // Label 2179: @122928
     /*  122928 */   GIM_Reject,
     /*  122929 */ // Label 2177: @122929
     /*  122929 */ GIM_Reject,
     /*  122930 */ // Label 2001: @122930
     /*  122930 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123540),
     /*  122935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122945 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123011), // Rule ID 71165 //
     /*  122950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122992 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123009 */     GIR_RootConstrainSelectedInstOperands,
     /*  123010 */     // GIR_Coverage, 71165,
     /*  123010 */     GIR_EraseRootFromParent_Done,
     /*  123011 */   // Label 2181: @123011
     /*  123011 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123077), // Rule ID 71166 //
     /*  123016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123058 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123075 */     GIR_RootConstrainSelectedInstOperands,
     /*  123076 */     // GIR_Coverage, 71166,
     /*  123076 */     GIR_EraseRootFromParent_Done,
     /*  123077 */   // Label 2182: @123077
     /*  123077 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123143), // Rule ID 71163 //
     /*  123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123124 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123141 */     GIR_RootConstrainSelectedInstOperands,
     /*  123142 */     // GIR_Coverage, 71163,
     /*  123142 */     GIR_EraseRootFromParent_Done,
     /*  123143 */   // Label 2183: @123143
     /*  123143 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123209), // Rule ID 71164 //
     /*  123148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123190 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123207 */     GIR_RootConstrainSelectedInstOperands,
     /*  123208 */     // GIR_Coverage, 71164,
     /*  123208 */     GIR_EraseRootFromParent_Done,
     /*  123209 */   // Label 2184: @123209
     /*  123209 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123275), // Rule ID 71161 //
     /*  123214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123256 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123273 */     GIR_RootConstrainSelectedInstOperands,
     /*  123274 */     // GIR_Coverage, 71161,
     /*  123274 */     GIR_EraseRootFromParent_Done,
     /*  123275 */   // Label 2185: @123275
     /*  123275 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123341), // Rule ID 71162 //
     /*  123280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123322 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123339 */     GIR_RootConstrainSelectedInstOperands,
     /*  123340 */     // GIR_Coverage, 71162,
     /*  123340 */     GIR_EraseRootFromParent_Done,
     /*  123341 */   // Label 2186: @123341
     /*  123341 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123407), // Rule ID 53147 //
     /*  123346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123388 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123405 */     GIR_RootConstrainSelectedInstOperands,
     /*  123406 */     // GIR_Coverage, 53147,
     /*  123406 */     GIR_EraseRootFromParent_Done,
     /*  123407 */   // Label 2187: @123407
     /*  123407 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(123473), // Rule ID 53148 //
     /*  123412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123454 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123471 */     GIR_RootConstrainSelectedInstOperands,
     /*  123472 */     // GIR_Coverage, 53148,
     /*  123472 */     GIR_EraseRootFromParent_Done,
     /*  123473 */   // Label 2188: @123473
     /*  123473 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(123506), // Rule ID 53135 //
     /*  123478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123489 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123504 */     GIR_RootConstrainSelectedInstOperands,
     /*  123505 */     // GIR_Coverage, 53135,
     /*  123505 */     GIR_EraseRootFromParent_Done,
     /*  123506 */   // Label 2189: @123506
     /*  123506 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(123539), // Rule ID 53136 //
     /*  123511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123537 */     GIR_RootConstrainSelectedInstOperands,
     /*  123538 */     // GIR_Coverage, 53136,
     /*  123538 */     GIR_EraseRootFromParent_Done,
     /*  123539 */   // Label 2190: @123539
     /*  123539 */   GIM_Reject,
     /*  123540 */ // Label 2180: @123540
     /*  123540 */ GIM_Reject,
     /*  123541 */ // Label 2002: @123541
     /*  123541 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(123655),
     /*  123546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123564 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(123609), // Rule ID 47567 //
     /*  123569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123572 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123607 */     GIR_RootConstrainSelectedInstOperands,
     /*  123608 */     // GIR_Coverage, 47567,
     /*  123608 */     GIR_EraseRootFromParent_Done,
     /*  123609 */   // Label 2192: @123609
     /*  123609 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(123654), // Rule ID 47568 //
     /*  123614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123617 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123652 */     GIR_RootConstrainSelectedInstOperands,
     /*  123653 */     // GIR_Coverage, 47568,
     /*  123653 */     GIR_EraseRootFromParent_Done,
     /*  123654 */   // Label 2193: @123654
     /*  123654 */   GIM_Reject,
     /*  123655 */ // Label 2191: @123655
     /*  123655 */ GIM_Reject,
     /*  123656 */ // Label 2003: @123656
     /*  123656 */ GIM_Reject,
     /*  123657 */ // Label 8: @123657
     /*  123657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2225*/ GIMT_Encode4(136277),
     /*  123668 */ /*GILLT_s32*//*Label 2194*/ GIMT_Encode4(123792),
     /*  123672 */ /*GILLT_s64*//*Label 2195*/ GIMT_Encode4(126522),
     /*  123676 */ /*GILLT_nxv1s1*//*Label 2196*/ GIMT_Encode4(129470),
     /*  123680 */ /*GILLT_nxv1s8*//*Label 2197*/ GIMT_Encode4(130081),
     /*  123684 */ /*GILLT_nxv1s16*//*Label 2198*/ GIMT_Encode4(130196),
     /*  123688 */ /*GILLT_nxv1s32*//*Label 2199*/ GIMT_Encode4(130311),
     /*  123692 */ /*GILLT_nxv1s64*//*Label 2200*/ GIMT_Encode4(130426),
     /*  123696 */ /*GILLT_nxv2s1*//*Label 2201*/ GIMT_Encode4(130541),
     /*  123700 */ /*GILLT_nxv2s8*//*Label 2202*/ GIMT_Encode4(131152),
     /*  123704 */ /*GILLT_nxv2s16*//*Label 2203*/ GIMT_Encode4(131267),
     /*  123708 */ /*GILLT_nxv2s32*//*Label 2204*/ GIMT_Encode4(131382),
     /*  123712 */ /*GILLT_nxv2s64*//*Label 2205*/ GIMT_Encode4(131497),
     /*  123716 */ /*GILLT_nxv4s1*//*Label 2206*/ GIMT_Encode4(131612),
     /*  123720 */ /*GILLT_nxv4s8*//*Label 2207*/ GIMT_Encode4(132223),
     /*  123724 */ /*GILLT_nxv4s16*//*Label 2208*/ GIMT_Encode4(132338),
     /*  123728 */ /*GILLT_nxv4s32*//*Label 2209*/ GIMT_Encode4(132453),
     /*  123732 */ /*GILLT_nxv4s64*//*Label 2210*/ GIMT_Encode4(132568),
     /*  123736 */ /*GILLT_nxv8s1*//*Label 2211*/ GIMT_Encode4(132683),
     /*  123740 */ /*GILLT_nxv8s8*//*Label 2212*/ GIMT_Encode4(133294),
     /*  123744 */ /*GILLT_nxv8s16*//*Label 2213*/ GIMT_Encode4(133409),
     /*  123748 */ /*GILLT_nxv8s32*//*Label 2214*/ GIMT_Encode4(133524),
     /*  123752 */ /*GILLT_nxv8s64*//*Label 2215*/ GIMT_Encode4(133639),
     /*  123756 */ /*GILLT_nxv16s1*//*Label 2216*/ GIMT_Encode4(133754),
     /*  123760 */ /*GILLT_nxv16s8*//*Label 2217*/ GIMT_Encode4(134365),
     /*  123764 */ /*GILLT_nxv16s16*//*Label 2218*/ GIMT_Encode4(134480),
     /*  123768 */ /*GILLT_nxv16s32*//*Label 2219*/ GIMT_Encode4(134595),
     /*  123772 */ /*GILLT_nxv32s1*//*Label 2220*/ GIMT_Encode4(134710),
     /*  123776 */ /*GILLT_nxv32s8*//*Label 2221*/ GIMT_Encode4(135321),
     /*  123780 */ /*GILLT_nxv32s16*//*Label 2222*/ GIMT_Encode4(135436),
     /*  123784 */ /*GILLT_nxv64s1*//*Label 2223*/ GIMT_Encode4(135551),
     /*  123788 */ /*GILLT_nxv64s8*//*Label 2224*/ GIMT_Encode4(136162),
     /*  123792 */ // Label 2194: @123792
     /*  123792 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126521),
     /*  123797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123803 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(123998), // Rule ID 64825 //
     /*  123808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123867 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123871 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123875 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123879 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123883 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123887 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123891 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123895 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123899 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123903 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123907 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123923 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123930 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123937 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123996 */     GIR_RootConstrainSelectedInstOperands,
     /*  123997 */     // GIR_Coverage, 64825,
     /*  123997 */     GIR_EraseRootFromParent_Done,
     /*  123998 */   // Label 2227: @123998
     /*  123998 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(124193), // Rule ID 64827 //
     /*  124003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124042 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124058 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124062 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124066 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124070 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124074 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124078 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124082 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124086 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124090 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124094 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124098 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124102 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124118 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124125 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124132 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  124173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  124178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124191 */     GIR_RootConstrainSelectedInstOperands,
     /*  124192 */     // GIR_Coverage, 64827,
     /*  124192 */     GIR_EraseRootFromParent_Done,
     /*  124193 */   // Label 2228: @124193
     /*  124193 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(124388), // Rule ID 64821 //
     /*  124198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124237 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124249 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124253 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124257 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124261 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124265 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124269 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124273 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124277 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124281 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124285 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124289 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124293 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124297 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124313 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124320 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124327 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124327 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124330 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124334 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124386 */     GIR_RootConstrainSelectedInstOperands,
     /*  124387 */     // GIR_Coverage, 64821,
     /*  124387 */     GIR_EraseRootFromParent_Done,
     /*  124388 */   // Label 2229: @124388
     /*  124388 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(124583), // Rule ID 64823 //
     /*  124393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124432 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124440 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124444 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124448 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124452 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124456 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124460 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124464 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124468 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124472 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124476 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124480 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124484 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124488 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124492 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124508 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124515 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124522 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124581 */     GIR_RootConstrainSelectedInstOperands,
     /*  124582 */     // GIR_Coverage, 64823,
     /*  124582 */     GIR_EraseRootFromParent_Done,
     /*  124583 */   // Label 2230: @124583
     /*  124583 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(124778), // Rule ID 64815 //
     /*  124588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124627 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124647 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124651 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124655 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124659 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124663 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124667 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124671 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124675 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124679 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124683 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124687 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124696 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124703 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124710 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124717 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124776 */     GIR_RootConstrainSelectedInstOperands,
     /*  124777 */     // GIR_Coverage, 64815,
     /*  124777 */     GIR_EraseRootFromParent_Done,
     /*  124778 */   // Label 2231: @124778
     /*  124778 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(124973), // Rule ID 64819 //
     /*  124783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124822 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124834 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124838 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124842 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124846 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124850 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124854 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124858 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124862 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124866 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124870 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124874 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124878 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124882 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124891 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124898 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124905 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124912 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 64819,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 2232: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125168), // Rule ID 2434 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125017 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125033 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125037 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  125041 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125045 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125049 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125053 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125057 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125061 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125065 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125069 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125073 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125077 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125079 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125086 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125093 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125100 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125107 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125107 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125110 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125114 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  125124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  125129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125166 */     GIR_RootConstrainSelectedInstOperands,
     /*  125167 */     // GIR_Coverage, 2434,
     /*  125167 */     GIR_EraseRootFromParent_Done,
     /*  125168 */   // Label 2233: @125168
     /*  125168 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125363), // Rule ID 64817 //
     /*  125173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125212 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125228 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125232 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  125236 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125240 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125244 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125248 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125252 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125256 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125260 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125264 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125268 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125272 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125281 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125288 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125295 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125302 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125361 */     GIR_RootConstrainSelectedInstOperands,
     /*  125362 */     // GIR_Coverage, 64817,
     /*  125362 */     GIR_EraseRootFromParent_Done,
     /*  125363 */   // Label 2234: @125363
     /*  125363 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125468), // Rule ID 2429 //
     /*  125368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125391 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125431 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125466 */     GIR_RootConstrainSelectedInstOperands,
     /*  125467 */     // GIR_Coverage, 2429,
     /*  125467 */     GIR_EraseRootFromParent_Done,
     /*  125468 */   // Label 2235: @125468
     /*  125468 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125573), // Rule ID 64810 //
     /*  125473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125536 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125571 */     GIR_RootConstrainSelectedInstOperands,
     /*  125572 */     // GIR_Coverage, 64810,
     /*  125572 */     GIR_EraseRootFromParent_Done,
     /*  125573 */   // Label 2236: @125573
     /*  125573 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125662), // Rule ID 64804 //
     /*  125578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125622 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125626 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125646 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125660 */     GIR_RootConstrainSelectedInstOperands,
     /*  125661 */     // GIR_Coverage, 64804,
     /*  125661 */     GIR_EraseRootFromParent_Done,
     /*  125662 */   // Label 2237: @125662
     /*  125662 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125751), // Rule ID 2423 //
     /*  125667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125715 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125735 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125749 */     GIR_RootConstrainSelectedInstOperands,
     /*  125750 */     // GIR_Coverage, 2423,
     /*  125750 */     GIR_EraseRootFromParent_Done,
     /*  125751 */   // Label 2238: @125751
     /*  125751 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125816), // Rule ID 64806 //
     /*  125756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125779 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125799 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125814 */     GIR_RootConstrainSelectedInstOperands,
     /*  125815 */     // GIR_Coverage, 64806,
     /*  125815 */     GIR_EraseRootFromParent_Done,
     /*  125816 */   // Label 2239: @125816
     /*  125816 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(125881), // Rule ID 2425 //
     /*  125821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125844 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125864 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125879 */     GIR_RootConstrainSelectedInstOperands,
     /*  125880 */     // GIR_Coverage, 2425,
     /*  125880 */     GIR_EraseRootFromParent_Done,
     /*  125881 */   // Label 2240: @125881
     /*  125881 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(125947), // Rule ID 64812 //
     /*  125886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11181),
     /*  125922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125931 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11181>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125945 */     GIR_RootConstrainSelectedInstOperands,
     /*  125946 */     // GIR_Coverage, 64812,
     /*  125946 */     GIR_EraseRootFromParent_Done,
     /*  125947 */   // Label 2241: @125947
     /*  125947 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126013), // Rule ID 2431 //
     /*  125952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11181),
     /*  125988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125997 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11181>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126011 */     GIR_RootConstrainSelectedInstOperands,
     /*  126012 */     // GIR_Coverage, 2431,
     /*  126012 */     GIR_EraseRootFromParent_Done,
     /*  126013 */   // Label 2242: @126013
     /*  126013 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126075), // Rule ID 2432 //
     /*  126018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126046 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126059 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126073 */     GIR_RootConstrainSelectedInstOperands,
     /*  126074 */     // GIR_Coverage, 2432,
     /*  126074 */     GIR_EraseRootFromParent_Done,
     /*  126075 */   // Label 2243: @126075
     /*  126075 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126137), // Rule ID 64813 //
     /*  126080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126108 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126121 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126135 */     GIR_RootConstrainSelectedInstOperands,
     /*  126136 */     // GIR_Coverage, 64813,
     /*  126136 */     GIR_EraseRootFromParent_Done,
     /*  126137 */   // Label 2244: @126137
     /*  126137 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(126196), // Rule ID 2358 //
     /*  126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126165 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126182 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126194 */     GIR_RootConstrainSelectedInstOperands,
     /*  126195 */     // GIR_Coverage, 2358,
     /*  126195 */     GIR_EraseRootFromParent_Done,
     /*  126196 */   // Label 2245: @126196
     /*  126196 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126255), // Rule ID 64800 //
     /*  126201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126241 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126253 */     GIR_RootConstrainSelectedInstOperands,
     /*  126254 */     // GIR_Coverage, 64800,
     /*  126254 */     GIR_EraseRootFromParent_Done,
     /*  126255 */   // Label 2246: @126255
     /*  126255 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126311), // Rule ID 64784 //
     /*  126260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126298 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126309 */     GIR_RootConstrainSelectedInstOperands,
     /*  126310 */     // GIR_Coverage, 64784,
     /*  126310 */     GIR_EraseRootFromParent_Done,
     /*  126311 */   // Label 2247: @126311
     /*  126311 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126367), // Rule ID 2332 //
     /*  126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126354 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126365 */     GIR_RootConstrainSelectedInstOperands,
     /*  126366 */     // GIR_Coverage, 2332,
     /*  126366 */     GIR_EraseRootFromParent_Done,
     /*  126367 */   // Label 2248: @126367
     /*  126367 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126409), // Rule ID 81 //
     /*  126372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126395 */     // MIs[1] Operand 1
     /*  126395 */     // No operand predicates
     /*  126395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126397 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126407 */     GIR_RootConstrainSelectedInstOperands,
     /*  126408 */     // GIR_Coverage, 81,
     /*  126408 */     GIR_EraseRootFromParent_Done,
     /*  126409 */   // Label 2249: @126409
     /*  126409 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(126451), // Rule ID 64254 //
     /*  126414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  126437 */     // MIs[1] Operand 1
     /*  126437 */     // No operand predicates
     /*  126437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126439 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  126439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  126442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  126444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126449 */     GIR_RootConstrainSelectedInstOperands,
     /*  126450 */     // GIR_Coverage, 64254,
     /*  126450 */     GIR_EraseRootFromParent_Done,
     /*  126451 */   // Label 2250: @126451
     /*  126451 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(126493), // Rule ID 64258 //
     /*  126456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  126479 */     // MIs[1] Operand 1
     /*  126479 */     // No operand predicates
     /*  126479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126481 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  126481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  126484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126491 */     GIR_RootConstrainSelectedInstOperands,
     /*  126492 */     // GIR_Coverage, 64258,
     /*  126492 */     GIR_EraseRootFromParent_Done,
     /*  126493 */   // Label 2251: @126493
     /*  126493 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(126520), // Rule ID 79 //
     /*  126498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126513 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126518 */     GIR_RootConstrainSelectedInstOperands,
     /*  126519 */     // GIR_Coverage, 79,
     /*  126519 */     GIR_Done,
     /*  126520 */   // Label 2252: @126520
     /*  126520 */   GIM_Reject,
     /*  126521 */ // Label 2226: @126521
     /*  126521 */ GIM_Reject,
     /*  126522 */ // Label 2195: @126522
     /*  126522 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(129469),
     /*  126527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126533 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(126728), // Rule ID 64824 //
     /*  126538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126577 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126597 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126601 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126605 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126609 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126613 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126617 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126621 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126625 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126629 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126633 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126637 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126653 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126660 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126667 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126726 */     GIR_RootConstrainSelectedInstOperands,
     /*  126727 */     // GIR_Coverage, 64824,
     /*  126727 */     GIR_EraseRootFromParent_Done,
     /*  126728 */   // Label 2254: @126728
     /*  126728 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(126923), // Rule ID 64826 //
     /*  126733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126772 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126784 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126788 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126792 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126796 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126800 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126804 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126808 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126812 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126816 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126820 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126824 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126828 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126832 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126848 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126855 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126862 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126921 */     GIR_RootConstrainSelectedInstOperands,
     /*  126922 */     // GIR_Coverage, 64826,
     /*  126922 */     GIR_EraseRootFromParent_Done,
     /*  126923 */   // Label 2255: @126923
     /*  126923 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127118), // Rule ID 64820 //
     /*  126928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126967 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126987 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126991 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126995 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126999 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127003 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  127007 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127011 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127015 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127019 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127023 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  127027 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127043 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127050 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127057 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127057 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127060 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127064 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  127074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  127079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127116 */     GIR_RootConstrainSelectedInstOperands,
     /*  127117 */     // GIR_Coverage, 64820,
     /*  127117 */     GIR_EraseRootFromParent_Done,
     /*  127118 */   // Label 2256: @127118
     /*  127118 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127313), // Rule ID 64822 //
     /*  127123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127162 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  127166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  127170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127178 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  127186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127194 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127198 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  127202 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127206 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127210 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127214 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127218 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  127222 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127238 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127245 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127252 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127252 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127255 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127259 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  127269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  127274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127311 */     GIR_RootConstrainSelectedInstOperands,
     /*  127312 */     // GIR_Coverage, 64822,
     /*  127312 */     GIR_EraseRootFromParent_Done,
     /*  127313 */   // Label 2257: @127313
     /*  127313 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(127508), // Rule ID 64814 //
     /*  127318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127369 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127373 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127377 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127389 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127393 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127397 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127401 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127405 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127409 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127417 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127426 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127433 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127440 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127447 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127447 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127506 */     GIR_RootConstrainSelectedInstOperands,
     /*  127507 */     // GIR_Coverage, 64814,
     /*  127507 */     GIR_EraseRootFromParent_Done,
     /*  127508 */   // Label 2258: @127508
     /*  127508 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(127703), // Rule ID 64818 //
     /*  127513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127568 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127572 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127576 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127580 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127584 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127588 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127592 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127596 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127600 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127604 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127608 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127612 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127621 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127628 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127635 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127642 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127642 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127645 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127649 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 64818,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2259: @127703
     /*  127703 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(127898), // Rule ID 2433 //
     /*  127708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127747 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127767 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127771 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127775 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127779 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127783 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127787 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127791 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127795 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127799 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127803 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127807 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127809 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127816 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127823 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127830 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127837 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127837 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127840 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127844 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127896 */     GIR_RootConstrainSelectedInstOperands,
     /*  127897 */     // GIR_Coverage, 2433,
     /*  127897 */     GIR_EraseRootFromParent_Done,
     /*  127898 */   // Label 2260: @127898
     /*  127898 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128093), // Rule ID 64816 //
     /*  127903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127942 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127954 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127958 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127962 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127970 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127974 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127978 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127982 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127986 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127990 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127994 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127998 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128002 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128011 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128018 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128025 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128032 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  128032 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  128035 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128039 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  128049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  128054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  128073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  128078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128091 */     GIR_RootConstrainSelectedInstOperands,
     /*  128092 */     // GIR_Coverage, 64816,
     /*  128092 */     GIR_EraseRootFromParent_Done,
     /*  128093 */   // Label 2261: @128093
     /*  128093 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128198), // Rule ID 2428 //
     /*  128098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128121 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  128125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128141 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128161 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128196 */     GIR_RootConstrainSelectedInstOperands,
     /*  128197 */     // GIR_Coverage, 2428,
     /*  128197 */     GIR_EraseRootFromParent_Done,
     /*  128198 */   // Label 2262: @128198
     /*  128198 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128303), // Rule ID 64809 //
     /*  128203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128226 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128246 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128266 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 64809,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 2263: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128392), // Rule ID 64803 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128352 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128356 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128376 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128390 */     GIR_RootConstrainSelectedInstOperands,
     /*  128391 */     // GIR_Coverage, 64803,
     /*  128391 */     GIR_EraseRootFromParent_Done,
     /*  128392 */   // Label 2264: @128392
     /*  128392 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128481), // Rule ID 2422 //
     /*  128397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128441 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128445 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128465 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128479 */     GIR_RootConstrainSelectedInstOperands,
     /*  128480 */     // GIR_Coverage, 2422,
     /*  128480 */     GIR_EraseRootFromParent_Done,
     /*  128481 */   // Label 2265: @128481
     /*  128481 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128546), // Rule ID 64805 //
     /*  128486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128509 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128529 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128544 */     GIR_RootConstrainSelectedInstOperands,
     /*  128545 */     // GIR_Coverage, 64805,
     /*  128545 */     GIR_EraseRootFromParent_Done,
     /*  128546 */   // Label 2266: @128546
     /*  128546 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128611), // Rule ID 2424 //
     /*  128551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128574 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128594 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128609 */     GIR_RootConstrainSelectedInstOperands,
     /*  128610 */     // GIR_Coverage, 2424,
     /*  128610 */     GIR_EraseRootFromParent_Done,
     /*  128611 */   // Label 2267: @128611
     /*  128611 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128696), // Rule ID 64830 //
     /*  128616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128656 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128660 */     // MIs[1] Operand 2
     /*  128660 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128680 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128694 */     GIR_RootConstrainSelectedInstOperands,
     /*  128695 */     // GIR_Coverage, 64830,
     /*  128695 */     GIR_EraseRootFromParent_Done,
     /*  128696 */   // Label 2268: @128696
     /*  128696 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128781), // Rule ID 2437 //
     /*  128701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128745 */     // MIs[1] Operand 2
     /*  128745 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128765 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128779 */     GIR_RootConstrainSelectedInstOperands,
     /*  128780 */     // GIR_Coverage, 2437,
     /*  128780 */     GIR_EraseRootFromParent_Done,
     /*  128781 */   // Label 2269: @128781
     /*  128781 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(128847), // Rule ID 64811 //
     /*  128786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128814 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11181),
     /*  128822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128831 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11181>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128845 */     GIR_RootConstrainSelectedInstOperands,
     /*  128846 */     // GIR_Coverage, 64811,
     /*  128846 */     GIR_EraseRootFromParent_Done,
     /*  128847 */   // Label 2270: @128847
     /*  128847 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(128913), // Rule ID 64829 //
     /*  128852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*  128888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128897 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10028>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128911 */     GIR_RootConstrainSelectedInstOperands,
     /*  128912 */     // GIR_Coverage, 64829,
     /*  128912 */     GIR_EraseRootFromParent_Done,
     /*  128913 */   // Label 2271: @128913
     /*  128913 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(128979), // Rule ID 2430 //
     /*  128918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11181),
     /*  128954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128963 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11181>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128977 */     GIR_RootConstrainSelectedInstOperands,
     /*  128978 */     // GIR_Coverage, 2430,
     /*  128978 */     GIR_EraseRootFromParent_Done,
     /*  128979 */   // Label 2272: @128979
     /*  128979 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129045), // Rule ID 2436 //
     /*  128984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129012 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10028),
     /*  129020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  129029 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10028>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  129032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129043 */     GIR_RootConstrainSelectedInstOperands,
     /*  129044 */     // GIR_Coverage, 2436,
     /*  129044 */     GIR_EraseRootFromParent_Done,
     /*  129045 */   // Label 2273: @129045
     /*  129045 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129107), // Rule ID 2435 //
     /*  129050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129091 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129105 */     GIR_RootConstrainSelectedInstOperands,
     /*  129106 */     // GIR_Coverage, 2435,
     /*  129106 */     GIR_EraseRootFromParent_Done,
     /*  129107 */   // Label 2274: @129107
     /*  129107 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129169), // Rule ID 64828 //
     /*  129112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129153 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129167 */     GIR_RootConstrainSelectedInstOperands,
     /*  129168 */     // GIR_Coverage, 64828,
     /*  129168 */     GIR_EraseRootFromParent_Done,
     /*  129169 */   // Label 2275: @129169
     /*  129169 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129228), // Rule ID 2357 //
     /*  129174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129197 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129214 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129226 */     GIR_RootConstrainSelectedInstOperands,
     /*  129227 */     // GIR_Coverage, 2357,
     /*  129227 */     GIR_EraseRootFromParent_Done,
     /*  129228 */   // Label 2276: @129228
     /*  129228 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129287), // Rule ID 64799 //
     /*  129233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129260 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129273 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129285 */     GIR_RootConstrainSelectedInstOperands,
     /*  129286 */     // GIR_Coverage, 64799,
     /*  129286 */     GIR_EraseRootFromParent_Done,
     /*  129287 */   // Label 2277: @129287
     /*  129287 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129343), // Rule ID 64783 //
     /*  129292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129320 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129330 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129341 */     GIR_RootConstrainSelectedInstOperands,
     /*  129342 */     // GIR_Coverage, 64783,
     /*  129342 */     GIR_EraseRootFromParent_Done,
     /*  129343 */   // Label 2278: @129343
     /*  129343 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129399), // Rule ID 2331 //
     /*  129348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129397 */     GIR_RootConstrainSelectedInstOperands,
     /*  129398 */     // GIR_Coverage, 2331,
     /*  129398 */     GIR_EraseRootFromParent_Done,
     /*  129399 */   // Label 2279: @129399
     /*  129399 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(129441), // Rule ID 80 //
     /*  129404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129427 */     // MIs[1] Operand 1
     /*  129427 */     // No operand predicates
     /*  129427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129429 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129439 */     GIR_RootConstrainSelectedInstOperands,
     /*  129440 */     // GIR_Coverage, 80,
     /*  129440 */     GIR_EraseRootFromParent_Done,
     /*  129441 */   // Label 2280: @129441
     /*  129441 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129468), // Rule ID 78 //
     /*  129446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129461 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129466 */     GIR_RootConstrainSelectedInstOperands,
     /*  129467 */     // GIR_Coverage, 78,
     /*  129467 */     GIR_Done,
     /*  129468 */   // Label 2281: @129468
     /*  129468 */   GIM_Reject,
     /*  129469 */ // Label 2253: @129469
     /*  129469 */ GIM_Reject,
     /*  129470 */ // Label 2196: @129470
     /*  129470 */ GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(130080),
     /*  129475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129485 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129551), // Rule ID 71003 //
     /*  129490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129532 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129549 */     GIR_RootConstrainSelectedInstOperands,
     /*  129550 */     // GIR_Coverage, 71003,
     /*  129550 */     GIR_EraseRootFromParent_Done,
     /*  129551 */   // Label 2283: @129551
     /*  129551 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129617), // Rule ID 71004 //
     /*  129556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129598 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129615 */     GIR_RootConstrainSelectedInstOperands,
     /*  129616 */     // GIR_Coverage, 71004,
     /*  129616 */     GIR_EraseRootFromParent_Done,
     /*  129617 */   // Label 2284: @129617
     /*  129617 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129683), // Rule ID 71001 //
     /*  129622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129664 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129681 */     GIR_RootConstrainSelectedInstOperands,
     /*  129682 */     // GIR_Coverage, 71001,
     /*  129682 */     GIR_EraseRootFromParent_Done,
     /*  129683 */   // Label 2285: @129683
     /*  129683 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129749), // Rule ID 71002 //
     /*  129688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129730 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129747 */     GIR_RootConstrainSelectedInstOperands,
     /*  129748 */     // GIR_Coverage, 71002,
     /*  129748 */     GIR_EraseRootFromParent_Done,
     /*  129749 */   // Label 2286: @129749
     /*  129749 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129815), // Rule ID 70999 //
     /*  129754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129796 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129813 */     GIR_RootConstrainSelectedInstOperands,
     /*  129814 */     // GIR_Coverage, 70999,
     /*  129814 */     GIR_EraseRootFromParent_Done,
     /*  129815 */   // Label 2287: @129815
     /*  129815 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(129881), // Rule ID 71000 //
     /*  129820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129862 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129879 */     GIR_RootConstrainSelectedInstOperands,
     /*  129880 */     // GIR_Coverage, 71000,
     /*  129880 */     GIR_EraseRootFromParent_Done,
     /*  129881 */   // Label 2288: @129881
     /*  129881 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(129947), // Rule ID 53041 //
     /*  129886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129928 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129945 */     GIR_RootConstrainSelectedInstOperands,
     /*  129946 */     // GIR_Coverage, 53041,
     /*  129946 */     GIR_EraseRootFromParent_Done,
     /*  129947 */   // Label 2289: @129947
     /*  129947 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(130013), // Rule ID 53042 //
     /*  129952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129994 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130011 */     GIR_RootConstrainSelectedInstOperands,
     /*  130012 */     // GIR_Coverage, 53042,
     /*  130012 */     GIR_EraseRootFromParent_Done,
     /*  130013 */   // Label 2290: @130013
     /*  130013 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130046), // Rule ID 53029 //
     /*  130018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130029 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130044 */     GIR_RootConstrainSelectedInstOperands,
     /*  130045 */     // GIR_Coverage, 53029,
     /*  130045 */     GIR_EraseRootFromParent_Done,
     /*  130046 */   // Label 2291: @130046
     /*  130046 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130079), // Rule ID 53030 //
     /*  130051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130062 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 53030,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 2292: @130079
     /*  130079 */   GIM_Reject,
     /*  130080 */ // Label 2282: @130080
     /*  130080 */ GIM_Reject,
     /*  130081 */ // Label 2197: @130081
     /*  130081 */ GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130195),
     /*  130086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  130089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  130092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130104 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130149), // Rule ID 47651 //
     /*  130109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130112 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130147 */     GIR_RootConstrainSelectedInstOperands,
     /*  130148 */     // GIR_Coverage, 47651,
     /*  130148 */     GIR_EraseRootFromParent_Done,
     /*  130149 */   // Label 2294: @130149
     /*  130149 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130194), // Rule ID 47652 //
     /*  130154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130157 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130192 */     GIR_RootConstrainSelectedInstOperands,
     /*  130193 */     // GIR_Coverage, 47652,
     /*  130193 */     GIR_EraseRootFromParent_Done,
     /*  130194 */   // Label 2295: @130194
     /*  130194 */   GIM_Reject,
     /*  130195 */ // Label 2293: @130195
     /*  130195 */ GIM_Reject,
     /*  130196 */ // Label 2198: @130196
     /*  130196 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130310),
     /*  130201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  130204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  130207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130219 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130264), // Rule ID 47663 //
     /*  130224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130227 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130262 */     GIR_RootConstrainSelectedInstOperands,
     /*  130263 */     // GIR_Coverage, 47663,
     /*  130263 */     GIR_EraseRootFromParent_Done,
     /*  130264 */   // Label 2297: @130264
     /*  130264 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130309), // Rule ID 47664 //
     /*  130269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130272 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  130272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130307 */     GIR_RootConstrainSelectedInstOperands,
     /*  130308 */     // GIR_Coverage, 47664,
     /*  130308 */     GIR_EraseRootFromParent_Done,
     /*  130309 */   // Label 2298: @130309
     /*  130309 */   GIM_Reject,
     /*  130310 */ // Label 2296: @130310
     /*  130310 */ GIM_Reject,
     /*  130311 */ // Label 2199: @130311
     /*  130311 */ GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130425),
     /*  130316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  130319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  130322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130334 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130379), // Rule ID 47671 //
     /*  130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130342 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130377 */     GIR_RootConstrainSelectedInstOperands,
     /*  130378 */     // GIR_Coverage, 47671,
     /*  130378 */     GIR_EraseRootFromParent_Done,
     /*  130379 */   // Label 2300: @130379
     /*  130379 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130424), // Rule ID 47672 //
     /*  130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130387 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130422 */     GIR_RootConstrainSelectedInstOperands,
     /*  130423 */     // GIR_Coverage, 47672,
     /*  130423 */     GIR_EraseRootFromParent_Done,
     /*  130424 */   // Label 2301: @130424
     /*  130424 */   GIM_Reject,
     /*  130425 */ // Label 2299: @130425
     /*  130425 */ GIM_Reject,
     /*  130426 */ // Label 2200: @130426
     /*  130426 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130540),
     /*  130431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130494), // Rule ID 47687 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130457 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130492 */     GIR_RootConstrainSelectedInstOperands,
     /*  130493 */     // GIR_Coverage, 47687,
     /*  130493 */     GIR_EraseRootFromParent_Done,
     /*  130494 */   // Label 2303: @130494
     /*  130494 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130539), // Rule ID 47688 //
     /*  130499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130502 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130537 */     GIR_RootConstrainSelectedInstOperands,
     /*  130538 */     // GIR_Coverage, 47688,
     /*  130538 */     GIR_EraseRootFromParent_Done,
     /*  130539 */   // Label 2304: @130539
     /*  130539 */   GIM_Reject,
     /*  130540 */ // Label 2302: @130540
     /*  130540 */ GIM_Reject,
     /*  130541 */ // Label 2201: @130541
     /*  130541 */ GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(131151),
     /*  130546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130556 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130622), // Rule ID 71031 //
     /*  130561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130603 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130620 */     GIR_RootConstrainSelectedInstOperands,
     /*  130621 */     // GIR_Coverage, 71031,
     /*  130621 */     GIR_EraseRootFromParent_Done,
     /*  130622 */   // Label 2306: @130622
     /*  130622 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130688), // Rule ID 71032 //
     /*  130627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130669 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130686 */     GIR_RootConstrainSelectedInstOperands,
     /*  130687 */     // GIR_Coverage, 71032,
     /*  130687 */     GIR_EraseRootFromParent_Done,
     /*  130688 */   // Label 2307: @130688
     /*  130688 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130754), // Rule ID 71029 //
     /*  130693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130735 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130752 */     GIR_RootConstrainSelectedInstOperands,
     /*  130753 */     // GIR_Coverage, 71029,
     /*  130753 */     GIR_EraseRootFromParent_Done,
     /*  130754 */   // Label 2308: @130754
     /*  130754 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130820), // Rule ID 71030 //
     /*  130759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130801 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130818 */     GIR_RootConstrainSelectedInstOperands,
     /*  130819 */     // GIR_Coverage, 71030,
     /*  130819 */     GIR_EraseRootFromParent_Done,
     /*  130820 */   // Label 2309: @130820
     /*  130820 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130886), // Rule ID 71027 //
     /*  130825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130867 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130884 */     GIR_RootConstrainSelectedInstOperands,
     /*  130885 */     // GIR_Coverage, 71027,
     /*  130885 */     GIR_EraseRootFromParent_Done,
     /*  130886 */   // Label 2310: @130886
     /*  130886 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130952), // Rule ID 71028 //
     /*  130891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130933 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130950 */     GIR_RootConstrainSelectedInstOperands,
     /*  130951 */     // GIR_Coverage, 71028,
     /*  130951 */     GIR_EraseRootFromParent_Done,
     /*  130952 */   // Label 2311: @130952
     /*  130952 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131018), // Rule ID 53059 //
     /*  130957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130999 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131016 */     GIR_RootConstrainSelectedInstOperands,
     /*  131017 */     // GIR_Coverage, 53059,
     /*  131017 */     GIR_EraseRootFromParent_Done,
     /*  131018 */   // Label 2312: @131018
     /*  131018 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131084), // Rule ID 53060 //
     /*  131023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  131042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  131046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131065 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131082 */     GIR_RootConstrainSelectedInstOperands,
     /*  131083 */     // GIR_Coverage, 53060,
     /*  131083 */     GIR_EraseRootFromParent_Done,
     /*  131084 */   // Label 2313: @131084
     /*  131084 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131117), // Rule ID 53047 //
     /*  131089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131100 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131115 */     GIR_RootConstrainSelectedInstOperands,
     /*  131116 */     // GIR_Coverage, 53047,
     /*  131116 */     GIR_EraseRootFromParent_Done,
     /*  131117 */   // Label 2314: @131117
     /*  131117 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131150), // Rule ID 53048 //
     /*  131122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131133 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131148 */     GIR_RootConstrainSelectedInstOperands,
     /*  131149 */     // GIR_Coverage, 53048,
     /*  131149 */     GIR_EraseRootFromParent_Done,
     /*  131150 */   // Label 2315: @131150
     /*  131150 */   GIM_Reject,
     /*  131151 */ // Label 2305: @131151
     /*  131151 */ GIM_Reject,
     /*  131152 */ // Label 2202: @131152
     /*  131152 */ GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131266),
     /*  131157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  131160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  131163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131175 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131220), // Rule ID 47655 //
     /*  131180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131183 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131218 */     GIR_RootConstrainSelectedInstOperands,
     /*  131219 */     // GIR_Coverage, 47655,
     /*  131219 */     GIR_EraseRootFromParent_Done,
     /*  131220 */   // Label 2317: @131220
     /*  131220 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131265), // Rule ID 47656 //
     /*  131225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131228 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131263 */     GIR_RootConstrainSelectedInstOperands,
     /*  131264 */     // GIR_Coverage, 47656,
     /*  131264 */     GIR_EraseRootFromParent_Done,
     /*  131265 */   // Label 2318: @131265
     /*  131265 */   GIM_Reject,
     /*  131266 */ // Label 2316: @131266
     /*  131266 */ GIM_Reject,
     /*  131267 */ // Label 2203: @131267
     /*  131267 */ GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131381),
     /*  131272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  131275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  131278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131290 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131335), // Rule ID 47667 //
     /*  131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131298 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  131298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131333 */     GIR_RootConstrainSelectedInstOperands,
     /*  131334 */     // GIR_Coverage, 47667,
     /*  131334 */     GIR_EraseRootFromParent_Done,
     /*  131335 */   // Label 2320: @131335
     /*  131335 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131380), // Rule ID 47668 //
     /*  131340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131343 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131378 */     GIR_RootConstrainSelectedInstOperands,
     /*  131379 */     // GIR_Coverage, 47668,
     /*  131379 */     GIR_EraseRootFromParent_Done,
     /*  131380 */   // Label 2321: @131380
     /*  131380 */   GIM_Reject,
     /*  131381 */ // Label 2319: @131381
     /*  131381 */ GIM_Reject,
     /*  131382 */ // Label 2204: @131382
     /*  131382 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131496),
     /*  131387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131405 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131450), // Rule ID 47683 //
     /*  131410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131413 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131448 */     GIR_RootConstrainSelectedInstOperands,
     /*  131449 */     // GIR_Coverage, 47683,
     /*  131449 */     GIR_EraseRootFromParent_Done,
     /*  131450 */   // Label 2323: @131450
     /*  131450 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131495), // Rule ID 47684 //
     /*  131455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131458 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131493 */     GIR_RootConstrainSelectedInstOperands,
     /*  131494 */     // GIR_Coverage, 47684,
     /*  131494 */     GIR_EraseRootFromParent_Done,
     /*  131495 */   // Label 2324: @131495
     /*  131495 */   GIM_Reject,
     /*  131496 */ // Label 2322: @131496
     /*  131496 */ GIM_Reject,
     /*  131497 */ // Label 2205: @131497
     /*  131497 */ GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131611),
     /*  131502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131520 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131565), // Rule ID 47727 //
     /*  131525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131528 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131563 */     GIR_RootConstrainSelectedInstOperands,
     /*  131564 */     // GIR_Coverage, 47727,
     /*  131564 */     GIR_EraseRootFromParent_Done,
     /*  131565 */   // Label 2326: @131565
     /*  131565 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131610), // Rule ID 47728 //
     /*  131570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131573 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131608 */     GIR_RootConstrainSelectedInstOperands,
     /*  131609 */     // GIR_Coverage, 47728,
     /*  131609 */     GIR_EraseRootFromParent_Done,
     /*  131610 */   // Label 2327: @131610
     /*  131610 */   GIM_Reject,
     /*  131611 */ // Label 2325: @131611
     /*  131611 */ GIM_Reject,
     /*  131612 */ // Label 2206: @131612
     /*  131612 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132222),
     /*  131617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131627 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131693), // Rule ID 71059 //
     /*  131632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131674 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131691 */     GIR_RootConstrainSelectedInstOperands,
     /*  131692 */     // GIR_Coverage, 71059,
     /*  131692 */     GIR_EraseRootFromParent_Done,
     /*  131693 */   // Label 2329: @131693
     /*  131693 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131759), // Rule ID 71060 //
     /*  131698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131740 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131757 */     GIR_RootConstrainSelectedInstOperands,
     /*  131758 */     // GIR_Coverage, 71060,
     /*  131758 */     GIR_EraseRootFromParent_Done,
     /*  131759 */   // Label 2330: @131759
     /*  131759 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(131825), // Rule ID 71057 //
     /*  131764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131806 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131823 */     GIR_RootConstrainSelectedInstOperands,
     /*  131824 */     // GIR_Coverage, 71057,
     /*  131824 */     GIR_EraseRootFromParent_Done,
     /*  131825 */   // Label 2331: @131825
     /*  131825 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(131891), // Rule ID 71058 //
     /*  131830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131872 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131889 */     GIR_RootConstrainSelectedInstOperands,
     /*  131890 */     // GIR_Coverage, 71058,
     /*  131890 */     GIR_EraseRootFromParent_Done,
     /*  131891 */   // Label 2332: @131891
     /*  131891 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(131957), // Rule ID 71055 //
     /*  131896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131938 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131955 */     GIR_RootConstrainSelectedInstOperands,
     /*  131956 */     // GIR_Coverage, 71055,
     /*  131956 */     GIR_EraseRootFromParent_Done,
     /*  131957 */   // Label 2333: @131957
     /*  131957 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132023), // Rule ID 71056 //
     /*  131962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132004 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132021 */     GIR_RootConstrainSelectedInstOperands,
     /*  132022 */     // GIR_Coverage, 71056,
     /*  132022 */     GIR_EraseRootFromParent_Done,
     /*  132023 */   // Label 2334: @132023
     /*  132023 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132089), // Rule ID 53077 //
     /*  132028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132070 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132087 */     GIR_RootConstrainSelectedInstOperands,
     /*  132088 */     // GIR_Coverage, 53077,
     /*  132088 */     GIR_EraseRootFromParent_Done,
     /*  132089 */   // Label 2335: @132089
     /*  132089 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132155), // Rule ID 53078 //
     /*  132094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132136 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132153 */     GIR_RootConstrainSelectedInstOperands,
     /*  132154 */     // GIR_Coverage, 53078,
     /*  132154 */     GIR_EraseRootFromParent_Done,
     /*  132155 */   // Label 2336: @132155
     /*  132155 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132188), // Rule ID 53065 //
     /*  132160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132171 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132186 */     GIR_RootConstrainSelectedInstOperands,
     /*  132187 */     // GIR_Coverage, 53065,
     /*  132187 */     GIR_EraseRootFromParent_Done,
     /*  132188 */   // Label 2337: @132188
     /*  132188 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132221), // Rule ID 53066 //
     /*  132193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132204 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132219 */     GIR_RootConstrainSelectedInstOperands,
     /*  132220 */     // GIR_Coverage, 53066,
     /*  132220 */     GIR_EraseRootFromParent_Done,
     /*  132221 */   // Label 2338: @132221
     /*  132221 */   GIM_Reject,
     /*  132222 */ // Label 2328: @132222
     /*  132222 */ GIM_Reject,
     /*  132223 */ // Label 2207: @132223
     /*  132223 */ GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132337),
     /*  132228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  132231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132246 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132291), // Rule ID 47659 //
     /*  132251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132254 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132289 */     GIR_RootConstrainSelectedInstOperands,
     /*  132290 */     // GIR_Coverage, 47659,
     /*  132290 */     GIR_EraseRootFromParent_Done,
     /*  132291 */   // Label 2340: @132291
     /*  132291 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132336), // Rule ID 47660 //
     /*  132296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132299 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  132299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132334 */     GIR_RootConstrainSelectedInstOperands,
     /*  132335 */     // GIR_Coverage, 47660,
     /*  132335 */     GIR_EraseRootFromParent_Done,
     /*  132336 */   // Label 2341: @132336
     /*  132336 */   GIM_Reject,
     /*  132337 */ // Label 2339: @132337
     /*  132337 */ GIM_Reject,
     /*  132338 */ // Label 2208: @132338
     /*  132338 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132452),
     /*  132343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132361 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132406), // Rule ID 47679 //
     /*  132366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132369 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132404 */     GIR_RootConstrainSelectedInstOperands,
     /*  132405 */     // GIR_Coverage, 47679,
     /*  132405 */     GIR_EraseRootFromParent_Done,
     /*  132406 */   // Label 2343: @132406
     /*  132406 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132451), // Rule ID 47680 //
     /*  132411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132414 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132449 */     GIR_RootConstrainSelectedInstOperands,
     /*  132450 */     // GIR_Coverage, 47680,
     /*  132450 */     GIR_EraseRootFromParent_Done,
     /*  132451 */   // Label 2344: @132451
     /*  132451 */   GIM_Reject,
     /*  132452 */ // Label 2342: @132452
     /*  132452 */ GIM_Reject,
     /*  132453 */ // Label 2209: @132453
     /*  132453 */ GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132567),
     /*  132458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132476 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132521), // Rule ID 47715 //
     /*  132481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132484 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 47715,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 2346: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132566), // Rule ID 47716 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132564 */     GIR_RootConstrainSelectedInstOperands,
     /*  132565 */     // GIR_Coverage, 47716,
     /*  132565 */     GIR_EraseRootFromParent_Done,
     /*  132566 */   // Label 2347: @132566
     /*  132566 */   GIM_Reject,
     /*  132567 */ // Label 2345: @132567
     /*  132567 */ GIM_Reject,
     /*  132568 */ // Label 2210: @132568
     /*  132568 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132682),
     /*  132573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132591 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(132636), // Rule ID 47731 //
     /*  132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132599 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132634 */     GIR_RootConstrainSelectedInstOperands,
     /*  132635 */     // GIR_Coverage, 47731,
     /*  132635 */     GIR_EraseRootFromParent_Done,
     /*  132636 */   // Label 2349: @132636
     /*  132636 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132681), // Rule ID 47732 //
     /*  132641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132644 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132679 */     GIR_RootConstrainSelectedInstOperands,
     /*  132680 */     // GIR_Coverage, 47732,
     /*  132680 */     GIR_EraseRootFromParent_Done,
     /*  132681 */   // Label 2350: @132681
     /*  132681 */   GIM_Reject,
     /*  132682 */ // Label 2348: @132682
     /*  132682 */ GIM_Reject,
     /*  132683 */ // Label 2211: @132683
     /*  132683 */ GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(133293),
     /*  132688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132764), // Rule ID 71087 //
     /*  132703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132745 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132762 */     GIR_RootConstrainSelectedInstOperands,
     /*  132763 */     // GIR_Coverage, 71087,
     /*  132763 */     GIR_EraseRootFromParent_Done,
     /*  132764 */   // Label 2352: @132764
     /*  132764 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132830), // Rule ID 71088 //
     /*  132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132811 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132828 */     GIR_RootConstrainSelectedInstOperands,
     /*  132829 */     // GIR_Coverage, 71088,
     /*  132829 */     GIR_EraseRootFromParent_Done,
     /*  132830 */   // Label 2353: @132830
     /*  132830 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(132896), // Rule ID 71085 //
     /*  132835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132877 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132894 */     GIR_RootConstrainSelectedInstOperands,
     /*  132895 */     // GIR_Coverage, 71085,
     /*  132895 */     GIR_EraseRootFromParent_Done,
     /*  132896 */   // Label 2354: @132896
     /*  132896 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(132962), // Rule ID 71086 //
     /*  132901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132943 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132960 */     GIR_RootConstrainSelectedInstOperands,
     /*  132961 */     // GIR_Coverage, 71086,
     /*  132961 */     GIR_EraseRootFromParent_Done,
     /*  132962 */   // Label 2355: @132962
     /*  132962 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133028), // Rule ID 71083 //
     /*  132967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133009 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133026 */     GIR_RootConstrainSelectedInstOperands,
     /*  133027 */     // GIR_Coverage, 71083,
     /*  133027 */     GIR_EraseRootFromParent_Done,
     /*  133028 */   // Label 2356: @133028
     /*  133028 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133094), // Rule ID 71084 //
     /*  133033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133075 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133092 */     GIR_RootConstrainSelectedInstOperands,
     /*  133093 */     // GIR_Coverage, 71084,
     /*  133093 */     GIR_EraseRootFromParent_Done,
     /*  133094 */   // Label 2357: @133094
     /*  133094 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133160), // Rule ID 53095 //
     /*  133099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133141 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133158 */     GIR_RootConstrainSelectedInstOperands,
     /*  133159 */     // GIR_Coverage, 53095,
     /*  133159 */     GIR_EraseRootFromParent_Done,
     /*  133160 */   // Label 2358: @133160
     /*  133160 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133226), // Rule ID 53096 //
     /*  133165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133207 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133224 */     GIR_RootConstrainSelectedInstOperands,
     /*  133225 */     // GIR_Coverage, 53096,
     /*  133225 */     GIR_EraseRootFromParent_Done,
     /*  133226 */   // Label 2359: @133226
     /*  133226 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133259), // Rule ID 53083 //
     /*  133231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133242 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133257 */     GIR_RootConstrainSelectedInstOperands,
     /*  133258 */     // GIR_Coverage, 53083,
     /*  133258 */     GIR_EraseRootFromParent_Done,
     /*  133259 */   // Label 2360: @133259
     /*  133259 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133292), // Rule ID 53084 //
     /*  133264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133275 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133290 */     GIR_RootConstrainSelectedInstOperands,
     /*  133291 */     // GIR_Coverage, 53084,
     /*  133291 */     GIR_EraseRootFromParent_Done,
     /*  133292 */   // Label 2361: @133292
     /*  133292 */   GIM_Reject,
     /*  133293 */ // Label 2351: @133293
     /*  133293 */ GIM_Reject,
     /*  133294 */ // Label 2212: @133294
     /*  133294 */ GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133408),
     /*  133299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  133302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  133305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133317 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133362), // Rule ID 47675 //
     /*  133322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133325 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  133325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133360 */     GIR_RootConstrainSelectedInstOperands,
     /*  133361 */     // GIR_Coverage, 47675,
     /*  133361 */     GIR_EraseRootFromParent_Done,
     /*  133362 */   // Label 2363: @133362
     /*  133362 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133407), // Rule ID 47676 //
     /*  133367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133370 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133405 */     GIR_RootConstrainSelectedInstOperands,
     /*  133406 */     // GIR_Coverage, 47676,
     /*  133406 */     GIR_EraseRootFromParent_Done,
     /*  133407 */   // Label 2364: @133407
     /*  133407 */   GIM_Reject,
     /*  133408 */ // Label 2362: @133408
     /*  133408 */ GIM_Reject,
     /*  133409 */ // Label 2213: @133409
     /*  133409 */ GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133523),
     /*  133414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133432 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(133477), // Rule ID 47703 //
     /*  133437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133440 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133475 */     GIR_RootConstrainSelectedInstOperands,
     /*  133476 */     // GIR_Coverage, 47703,
     /*  133476 */     GIR_EraseRootFromParent_Done,
     /*  133477 */   // Label 2366: @133477
     /*  133477 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133522), // Rule ID 47704 //
     /*  133482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133485 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133520 */     GIR_RootConstrainSelectedInstOperands,
     /*  133521 */     // GIR_Coverage, 47704,
     /*  133521 */     GIR_EraseRootFromParent_Done,
     /*  133522 */   // Label 2367: @133522
     /*  133522 */   GIM_Reject,
     /*  133523 */ // Label 2365: @133523
     /*  133523 */ GIM_Reject,
     /*  133524 */ // Label 2214: @133524
     /*  133524 */ GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133638),
     /*  133529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133547 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133592), // Rule ID 47719 //
     /*  133552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133555 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133590 */     GIR_RootConstrainSelectedInstOperands,
     /*  133591 */     // GIR_Coverage, 47719,
     /*  133591 */     GIR_EraseRootFromParent_Done,
     /*  133592 */   // Label 2369: @133592
     /*  133592 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133637), // Rule ID 47720 //
     /*  133597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133600 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133635 */     GIR_RootConstrainSelectedInstOperands,
     /*  133636 */     // GIR_Coverage, 47720,
     /*  133636 */     GIR_EraseRootFromParent_Done,
     /*  133637 */   // Label 2370: @133637
     /*  133637 */   GIM_Reject,
     /*  133638 */ // Label 2368: @133638
     /*  133638 */ GIM_Reject,
     /*  133639 */ // Label 2215: @133639
     /*  133639 */ GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133753),
     /*  133644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133662 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(133707), // Rule ID 47735 //
     /*  133667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133670 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133705 */     GIR_RootConstrainSelectedInstOperands,
     /*  133706 */     // GIR_Coverage, 47735,
     /*  133706 */     GIR_EraseRootFromParent_Done,
     /*  133707 */   // Label 2372: @133707
     /*  133707 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133752), // Rule ID 47736 //
     /*  133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133715 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133750 */     GIR_RootConstrainSelectedInstOperands,
     /*  133751 */     // GIR_Coverage, 47736,
     /*  133751 */     GIR_EraseRootFromParent_Done,
     /*  133752 */   // Label 2373: @133752
     /*  133752 */   GIM_Reject,
     /*  133753 */ // Label 2371: @133753
     /*  133753 */ GIM_Reject,
     /*  133754 */ // Label 2216: @133754
     /*  133754 */ GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(134364),
     /*  133759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133769 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(133835), // Rule ID 71115 //
     /*  133774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133816 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133833 */     GIR_RootConstrainSelectedInstOperands,
     /*  133834 */     // GIR_Coverage, 71115,
     /*  133834 */     GIR_EraseRootFromParent_Done,
     /*  133835 */   // Label 2375: @133835
     /*  133835 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(133901), // Rule ID 71116 //
     /*  133840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133882 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133899 */     GIR_RootConstrainSelectedInstOperands,
     /*  133900 */     // GIR_Coverage, 71116,
     /*  133900 */     GIR_EraseRootFromParent_Done,
     /*  133901 */   // Label 2376: @133901
     /*  133901 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(133967), // Rule ID 71113 //
     /*  133906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133948 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133965 */     GIR_RootConstrainSelectedInstOperands,
     /*  133966 */     // GIR_Coverage, 71113,
     /*  133966 */     GIR_EraseRootFromParent_Done,
     /*  133967 */   // Label 2377: @133967
     /*  133967 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134033), // Rule ID 71114 //
     /*  133972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134014 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134031 */     GIR_RootConstrainSelectedInstOperands,
     /*  134032 */     // GIR_Coverage, 71114,
     /*  134032 */     GIR_EraseRootFromParent_Done,
     /*  134033 */   // Label 2378: @134033
     /*  134033 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134099), // Rule ID 71111 //
     /*  134038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134080 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134097 */     GIR_RootConstrainSelectedInstOperands,
     /*  134098 */     // GIR_Coverage, 71111,
     /*  134098 */     GIR_EraseRootFromParent_Done,
     /*  134099 */   // Label 2379: @134099
     /*  134099 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134165), // Rule ID 71112 //
     /*  134104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134146 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134163 */     GIR_RootConstrainSelectedInstOperands,
     /*  134164 */     // GIR_Coverage, 71112,
     /*  134164 */     GIR_EraseRootFromParent_Done,
     /*  134165 */   // Label 2380: @134165
     /*  134165 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134231), // Rule ID 53113 //
     /*  134170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134212 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134229 */     GIR_RootConstrainSelectedInstOperands,
     /*  134230 */     // GIR_Coverage, 53113,
     /*  134230 */     GIR_EraseRootFromParent_Done,
     /*  134231 */   // Label 2381: @134231
     /*  134231 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134297), // Rule ID 53114 //
     /*  134236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134278 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 53114,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 2382: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134330), // Rule ID 53101 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134313 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134328 */     GIR_RootConstrainSelectedInstOperands,
     /*  134329 */     // GIR_Coverage, 53101,
     /*  134329 */     GIR_EraseRootFromParent_Done,
     /*  134330 */   // Label 2383: @134330
     /*  134330 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134363), // Rule ID 53102 //
     /*  134335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134346 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134361 */     GIR_RootConstrainSelectedInstOperands,
     /*  134362 */     // GIR_Coverage, 53102,
     /*  134362 */     GIR_EraseRootFromParent_Done,
     /*  134363 */   // Label 2384: @134363
     /*  134363 */   GIM_Reject,
     /*  134364 */ // Label 2374: @134364
     /*  134364 */ GIM_Reject,
     /*  134365 */ // Label 2217: @134365
     /*  134365 */ GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134479),
     /*  134370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134388 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134433), // Rule ID 47691 //
     /*  134393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134396 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134431 */     GIR_RootConstrainSelectedInstOperands,
     /*  134432 */     // GIR_Coverage, 47691,
     /*  134432 */     GIR_EraseRootFromParent_Done,
     /*  134433 */   // Label 2386: @134433
     /*  134433 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134478), // Rule ID 47692 //
     /*  134438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134441 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134476 */     GIR_RootConstrainSelectedInstOperands,
     /*  134477 */     // GIR_Coverage, 47692,
     /*  134477 */     GIR_EraseRootFromParent_Done,
     /*  134478 */   // Label 2387: @134478
     /*  134478 */   GIM_Reject,
     /*  134479 */ // Label 2385: @134479
     /*  134479 */ GIM_Reject,
     /*  134480 */ // Label 2218: @134480
     /*  134480 */ GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134594),
     /*  134485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134503 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134548), // Rule ID 47707 //
     /*  134508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134511 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134546 */     GIR_RootConstrainSelectedInstOperands,
     /*  134547 */     // GIR_Coverage, 47707,
     /*  134547 */     GIR_EraseRootFromParent_Done,
     /*  134548 */   // Label 2389: @134548
     /*  134548 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134593), // Rule ID 47708 //
     /*  134553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134556 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 47708,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 2390: @134593
     /*  134593 */   GIM_Reject,
     /*  134594 */ // Label 2388: @134594
     /*  134594 */ GIM_Reject,
     /*  134595 */ // Label 2219: @134595
     /*  134595 */ GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134709),
     /*  134600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134618 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(134663), // Rule ID 47723 //
     /*  134623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134626 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134661 */     GIR_RootConstrainSelectedInstOperands,
     /*  134662 */     // GIR_Coverage, 47723,
     /*  134662 */     GIR_EraseRootFromParent_Done,
     /*  134663 */   // Label 2392: @134663
     /*  134663 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134708), // Rule ID 47724 //
     /*  134668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134671 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134706 */     GIR_RootConstrainSelectedInstOperands,
     /*  134707 */     // GIR_Coverage, 47724,
     /*  134707 */     GIR_EraseRootFromParent_Done,
     /*  134708 */   // Label 2393: @134708
     /*  134708 */   GIM_Reject,
     /*  134709 */ // Label 2391: @134709
     /*  134709 */ GIM_Reject,
     /*  134710 */ // Label 2220: @134710
     /*  134710 */ GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(135320),
     /*  134715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134725 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134791), // Rule ID 71143 //
     /*  134730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134772 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134789 */     GIR_RootConstrainSelectedInstOperands,
     /*  134790 */     // GIR_Coverage, 71143,
     /*  134790 */     GIR_EraseRootFromParent_Done,
     /*  134791 */   // Label 2395: @134791
     /*  134791 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134857), // Rule ID 71144 //
     /*  134796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134838 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134855 */     GIR_RootConstrainSelectedInstOperands,
     /*  134856 */     // GIR_Coverage, 71144,
     /*  134856 */     GIR_EraseRootFromParent_Done,
     /*  134857 */   // Label 2396: @134857
     /*  134857 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(134923), // Rule ID 71141 //
     /*  134862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134904 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134921 */     GIR_RootConstrainSelectedInstOperands,
     /*  134922 */     // GIR_Coverage, 71141,
     /*  134922 */     GIR_EraseRootFromParent_Done,
     /*  134923 */   // Label 2397: @134923
     /*  134923 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(134989), // Rule ID 71142 //
     /*  134928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134970 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134987 */     GIR_RootConstrainSelectedInstOperands,
     /*  134988 */     // GIR_Coverage, 71142,
     /*  134988 */     GIR_EraseRootFromParent_Done,
     /*  134989 */   // Label 2398: @134989
     /*  134989 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135055), // Rule ID 71139 //
     /*  134994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135036 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135053 */     GIR_RootConstrainSelectedInstOperands,
     /*  135054 */     // GIR_Coverage, 71139,
     /*  135054 */     GIR_EraseRootFromParent_Done,
     /*  135055 */   // Label 2399: @135055
     /*  135055 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135121), // Rule ID 71140 //
     /*  135060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135102 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135119 */     GIR_RootConstrainSelectedInstOperands,
     /*  135120 */     // GIR_Coverage, 71140,
     /*  135120 */     GIR_EraseRootFromParent_Done,
     /*  135121 */   // Label 2400: @135121
     /*  135121 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135187), // Rule ID 53131 //
     /*  135126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135168 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135185 */     GIR_RootConstrainSelectedInstOperands,
     /*  135186 */     // GIR_Coverage, 53131,
     /*  135186 */     GIR_EraseRootFromParent_Done,
     /*  135187 */   // Label 2401: @135187
     /*  135187 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135253), // Rule ID 53132 //
     /*  135192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135234 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135251 */     GIR_RootConstrainSelectedInstOperands,
     /*  135252 */     // GIR_Coverage, 53132,
     /*  135252 */     GIR_EraseRootFromParent_Done,
     /*  135253 */   // Label 2402: @135253
     /*  135253 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135286), // Rule ID 53119 //
     /*  135258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135269 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135284 */     GIR_RootConstrainSelectedInstOperands,
     /*  135285 */     // GIR_Coverage, 53119,
     /*  135285 */     GIR_EraseRootFromParent_Done,
     /*  135286 */   // Label 2403: @135286
     /*  135286 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135319), // Rule ID 53120 //
     /*  135291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135302 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135317 */     GIR_RootConstrainSelectedInstOperands,
     /*  135318 */     // GIR_Coverage, 53120,
     /*  135318 */     GIR_EraseRootFromParent_Done,
     /*  135319 */   // Label 2404: @135319
     /*  135319 */   GIM_Reject,
     /*  135320 */ // Label 2394: @135320
     /*  135320 */ GIM_Reject,
     /*  135321 */ // Label 2221: @135321
     /*  135321 */ GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135435),
     /*  135326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135344 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135389), // Rule ID 47695 //
     /*  135349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135352 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135387 */     GIR_RootConstrainSelectedInstOperands,
     /*  135388 */     // GIR_Coverage, 47695,
     /*  135388 */     GIR_EraseRootFromParent_Done,
     /*  135389 */   // Label 2406: @135389
     /*  135389 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135434), // Rule ID 47696 //
     /*  135394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135397 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135432 */     GIR_RootConstrainSelectedInstOperands,
     /*  135433 */     // GIR_Coverage, 47696,
     /*  135433 */     GIR_EraseRootFromParent_Done,
     /*  135434 */   // Label 2407: @135434
     /*  135434 */   GIM_Reject,
     /*  135435 */ // Label 2405: @135435
     /*  135435 */ GIM_Reject,
     /*  135436 */ // Label 2222: @135436
     /*  135436 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135550),
     /*  135441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135459 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(135504), // Rule ID 47711 //
     /*  135464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135467 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135502 */     GIR_RootConstrainSelectedInstOperands,
     /*  135503 */     // GIR_Coverage, 47711,
     /*  135503 */     GIR_EraseRootFromParent_Done,
     /*  135504 */   // Label 2409: @135504
     /*  135504 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135549), // Rule ID 47712 //
     /*  135509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135512 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135547 */     GIR_RootConstrainSelectedInstOperands,
     /*  135548 */     // GIR_Coverage, 47712,
     /*  135548 */     GIR_EraseRootFromParent_Done,
     /*  135549 */   // Label 2410: @135549
     /*  135549 */   GIM_Reject,
     /*  135550 */ // Label 2408: @135550
     /*  135550 */ GIM_Reject,
     /*  135551 */ // Label 2223: @135551
     /*  135551 */ GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136161),
     /*  135556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135566 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135632), // Rule ID 71171 //
     /*  135571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135613 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135630 */     GIR_RootConstrainSelectedInstOperands,
     /*  135631 */     // GIR_Coverage, 71171,
     /*  135631 */     GIR_EraseRootFromParent_Done,
     /*  135632 */   // Label 2412: @135632
     /*  135632 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135698), // Rule ID 71172 //
     /*  135637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135679 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135696 */     GIR_RootConstrainSelectedInstOperands,
     /*  135697 */     // GIR_Coverage, 71172,
     /*  135697 */     GIR_EraseRootFromParent_Done,
     /*  135698 */   // Label 2413: @135698
     /*  135698 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135764), // Rule ID 71169 //
     /*  135703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135745 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135762 */     GIR_RootConstrainSelectedInstOperands,
     /*  135763 */     // GIR_Coverage, 71169,
     /*  135763 */     GIR_EraseRootFromParent_Done,
     /*  135764 */   // Label 2414: @135764
     /*  135764 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135830), // Rule ID 71170 //
     /*  135769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135811 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135828 */     GIR_RootConstrainSelectedInstOperands,
     /*  135829 */     // GIR_Coverage, 71170,
     /*  135829 */     GIR_EraseRootFromParent_Done,
     /*  135830 */   // Label 2415: @135830
     /*  135830 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(135896), // Rule ID 71167 //
     /*  135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135877 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135894 */     GIR_RootConstrainSelectedInstOperands,
     /*  135895 */     // GIR_Coverage, 71167,
     /*  135895 */     GIR_EraseRootFromParent_Done,
     /*  135896 */   // Label 2416: @135896
     /*  135896 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(135962), // Rule ID 71168 //
     /*  135901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135943 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135960 */     GIR_RootConstrainSelectedInstOperands,
     /*  135961 */     // GIR_Coverage, 71168,
     /*  135961 */     GIR_EraseRootFromParent_Done,
     /*  135962 */   // Label 2417: @135962
     /*  135962 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(136028), // Rule ID 53149 //
     /*  135967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136009 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136026 */     GIR_RootConstrainSelectedInstOperands,
     /*  136027 */     // GIR_Coverage, 53149,
     /*  136027 */     GIR_EraseRootFromParent_Done,
     /*  136028 */   // Label 2418: @136028
     /*  136028 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(136094), // Rule ID 53150 //
     /*  136033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  136052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  136056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136075 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136092 */     GIR_RootConstrainSelectedInstOperands,
     /*  136093 */     // GIR_Coverage, 53150,
     /*  136093 */     GIR_EraseRootFromParent_Done,
     /*  136094 */   // Label 2419: @136094
     /*  136094 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(136127), // Rule ID 53137 //
     /*  136099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136110 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136125 */     GIR_RootConstrainSelectedInstOperands,
     /*  136126 */     // GIR_Coverage, 53137,
     /*  136126 */     GIR_EraseRootFromParent_Done,
     /*  136127 */   // Label 2420: @136127
     /*  136127 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(136160), // Rule ID 53138 //
     /*  136132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136143 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136158 */     GIR_RootConstrainSelectedInstOperands,
     /*  136159 */     // GIR_Coverage, 53138,
     /*  136159 */     GIR_EraseRootFromParent_Done,
     /*  136160 */   // Label 2421: @136160
     /*  136160 */   GIM_Reject,
     /*  136161 */ // Label 2411: @136161
     /*  136161 */ GIM_Reject,
     /*  136162 */ // Label 2224: @136162
     /*  136162 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(136276),
     /*  136167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  136170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136185 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(136230), // Rule ID 47699 //
     /*  136190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136193 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136228 */     GIR_RootConstrainSelectedInstOperands,
     /*  136229 */     // GIR_Coverage, 47699,
     /*  136229 */     GIR_EraseRootFromParent_Done,
     /*  136230 */   // Label 2423: @136230
     /*  136230 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(136275), // Rule ID 47700 //
     /*  136235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136238 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136273 */     GIR_RootConstrainSelectedInstOperands,
     /*  136274 */     // GIR_Coverage, 47700,
     /*  136274 */     GIR_EraseRootFromParent_Done,
     /*  136275 */   // Label 2424: @136275
     /*  136275 */   GIM_Reject,
     /*  136276 */ // Label 2422: @136276
     /*  136276 */ GIM_Reject,
     /*  136277 */ // Label 2225: @136277
     /*  136277 */ GIM_Reject,
     /*  136278 */ // Label 9: @136278
     /*  136278 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2456*/ GIMT_Encode4(151184),
     /*  136289 */ /*GILLT_s32*//*Label 2425*/ GIMT_Encode4(136413),
     /*  136293 */ /*GILLT_s64*//*Label 2426*/ GIMT_Encode4(136951),
     /*  136297 */ /*GILLT_nxv1s1*//*Label 2427*/ GIMT_Encode4(137377),
     /*  136301 */ /*GILLT_nxv1s8*//*Label 2428*/ GIMT_Encode4(138988),
     /*  136305 */ /*GILLT_nxv1s16*//*Label 2429*/ GIMT_Encode4(139103),
     /*  136309 */ /*GILLT_nxv1s32*//*Label 2430*/ GIMT_Encode4(139218),
     /*  136313 */ /*GILLT_nxv1s64*//*Label 2431*/ GIMT_Encode4(139333),
     /*  136317 */ /*GILLT_nxv2s1*//*Label 2432*/ GIMT_Encode4(139448),
     /*  136321 */ /*GILLT_nxv2s8*//*Label 2433*/ GIMT_Encode4(141059),
     /*  136325 */ /*GILLT_nxv2s16*//*Label 2434*/ GIMT_Encode4(141174),
     /*  136329 */ /*GILLT_nxv2s32*//*Label 2435*/ GIMT_Encode4(141289),
     /*  136333 */ /*GILLT_nxv2s64*//*Label 2436*/ GIMT_Encode4(141404),
     /*  136337 */ /*GILLT_nxv4s1*//*Label 2437*/ GIMT_Encode4(141519),
     /*  136341 */ /*GILLT_nxv4s8*//*Label 2438*/ GIMT_Encode4(143130),
     /*  136345 */ /*GILLT_nxv4s16*//*Label 2439*/ GIMT_Encode4(143245),
     /*  136349 */ /*GILLT_nxv4s32*//*Label 2440*/ GIMT_Encode4(143360),
     /*  136353 */ /*GILLT_nxv4s64*//*Label 2441*/ GIMT_Encode4(143475),
     /*  136357 */ /*GILLT_nxv8s1*//*Label 2442*/ GIMT_Encode4(143590),
     /*  136361 */ /*GILLT_nxv8s8*//*Label 2443*/ GIMT_Encode4(145201),
     /*  136365 */ /*GILLT_nxv8s16*//*Label 2444*/ GIMT_Encode4(145316),
     /*  136369 */ /*GILLT_nxv8s32*//*Label 2445*/ GIMT_Encode4(145431),
     /*  136373 */ /*GILLT_nxv8s64*//*Label 2446*/ GIMT_Encode4(145546),
     /*  136377 */ /*GILLT_nxv16s1*//*Label 2447*/ GIMT_Encode4(145661),
     /*  136381 */ /*GILLT_nxv16s8*//*Label 2448*/ GIMT_Encode4(147272),
     /*  136385 */ /*GILLT_nxv16s16*//*Label 2449*/ GIMT_Encode4(147387),
     /*  136389 */ /*GILLT_nxv16s32*//*Label 2450*/ GIMT_Encode4(147502),
     /*  136393 */ /*GILLT_nxv32s1*//*Label 2451*/ GIMT_Encode4(147617),
     /*  136397 */ /*GILLT_nxv32s8*//*Label 2452*/ GIMT_Encode4(149228),
     /*  136401 */ /*GILLT_nxv32s16*//*Label 2453*/ GIMT_Encode4(149343),
     /*  136405 */ /*GILLT_nxv64s1*//*Label 2454*/ GIMT_Encode4(149458),
     /*  136409 */ /*GILLT_nxv64s8*//*Label 2455*/ GIMT_Encode4(151069),
     /*  136413 */ // Label 2425: @136413
     /*  136413 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136950),
     /*  136418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136424 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136507), // Rule ID 2366 //
     /*  136429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136469 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136505 */     GIR_RootConstrainSelectedInstOperands,
     /*  136506 */     // GIR_Coverage, 2366,
     /*  136506 */     GIR_EraseRootFromParent_Done,
     /*  136507 */   // Label 2458: @136507
     /*  136507 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136566), // Rule ID 2360 //
     /*  136512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136552 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136564 */     GIR_RootConstrainSelectedInstOperands,
     /*  136565 */     // GIR_Coverage, 2360,
     /*  136565 */     GIR_EraseRootFromParent_Done,
     /*  136566 */   // Label 2459: @136566
     /*  136566 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136625), // Rule ID 64802 //
     /*  136571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136598 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136611 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136623 */     GIR_RootConstrainSelectedInstOperands,
     /*  136624 */     // GIR_Coverage, 64802,
     /*  136624 */     GIR_EraseRootFromParent_Done,
     /*  136625 */   // Label 2460: @136625
     /*  136625 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136681), // Rule ID 64788 //
     /*  136630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136658 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136668 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136679 */     GIR_RootConstrainSelectedInstOperands,
     /*  136680 */     // GIR_Coverage, 64788,
     /*  136680 */     GIR_EraseRootFromParent_Done,
     /*  136681 */   // Label 2461: @136681
     /*  136681 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136740), // Rule ID 64786 //
     /*  136686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136725 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136738 */     GIR_RootConstrainSelectedInstOperands,
     /*  136739 */     // GIR_Coverage, 64786,
     /*  136739 */     GIR_EraseRootFromParent_Done,
     /*  136740 */   // Label 2462: @136740
     /*  136740 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136796), // Rule ID 2334 //
     /*  136745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136777 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136783 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136794 */     GIR_RootConstrainSelectedInstOperands,
     /*  136795 */     // GIR_Coverage, 2334,
     /*  136795 */     GIR_EraseRootFromParent_Done,
     /*  136796 */   // Label 2463: @136796
     /*  136796 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136838), // Rule ID 89 //
     /*  136801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136824 */     // MIs[1] Operand 1
     /*  136824 */     // No operand predicates
     /*  136824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136826 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136836 */     GIR_RootConstrainSelectedInstOperands,
     /*  136837 */     // GIR_Coverage, 89,
     /*  136837 */     GIR_EraseRootFromParent_Done,
     /*  136838 */   // Label 2464: @136838
     /*  136838 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136880), // Rule ID 64255 //
     /*  136843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  136866 */     // MIs[1] Operand 1
     /*  136866 */     // No operand predicates
     /*  136866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136868 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  136868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  136871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  136873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136878 */     GIR_RootConstrainSelectedInstOperands,
     /*  136879 */     // GIR_Coverage, 64255,
     /*  136879 */     GIR_EraseRootFromParent_Done,
     /*  136880 */   // Label 2465: @136880
     /*  136880 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(136922), // Rule ID 64259 //
     /*  136885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  136908 */     // MIs[1] Operand 1
     /*  136908 */     // No operand predicates
     /*  136908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136910 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  136910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  136913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136920 */     GIR_RootConstrainSelectedInstOperands,
     /*  136921 */     // GIR_Coverage, 64259,
     /*  136921 */     GIR_EraseRootFromParent_Done,
     /*  136922 */   // Label 2466: @136922
     /*  136922 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(136949), // Rule ID 87 //
     /*  136927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136942 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136947 */     GIR_RootConstrainSelectedInstOperands,
     /*  136948 */     // GIR_Coverage, 87,
     /*  136948 */     GIR_Done,
     /*  136949 */   // Label 2467: @136949
     /*  136949 */   GIM_Reject,
     /*  136950 */ // Label 2457: @136950
     /*  136950 */ GIM_Reject,
     /*  136951 */ // Label 2426: @136951
     /*  136951 */ GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137376),
     /*  136956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136966 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137045), // Rule ID 2365 //
     /*  136971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137007 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  137007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  137010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  137014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137043 */     GIR_RootConstrainSelectedInstOperands,
     /*  137044 */     // GIR_Coverage, 2365,
     /*  137044 */     GIR_EraseRootFromParent_Done,
     /*  137045 */   // Label 2469: @137045
     /*  137045 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137100), // Rule ID 2359 //
     /*  137050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137069 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137086 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137098 */     GIR_RootConstrainSelectedInstOperands,
     /*  137099 */     // GIR_Coverage, 2359,
     /*  137099 */     GIR_EraseRootFromParent_Done,
     /*  137100 */   // Label 2470: @137100
     /*  137100 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137155), // Rule ID 64801 //
     /*  137105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137128 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137141 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137153 */     GIR_RootConstrainSelectedInstOperands,
     /*  137154 */     // GIR_Coverage, 64801,
     /*  137154 */     GIR_EraseRootFromParent_Done,
     /*  137155 */   // Label 2471: @137155
     /*  137155 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137207), // Rule ID 64787 //
     /*  137160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137194 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137205 */     GIR_RootConstrainSelectedInstOperands,
     /*  137206 */     // GIR_Coverage, 64787,
     /*  137206 */     GIR_EraseRootFromParent_Done,
     /*  137207 */   // Label 2472: @137207
     /*  137207 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137262), // Rule ID 64785 //
     /*  137212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137247 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137260 */     GIR_RootConstrainSelectedInstOperands,
     /*  137261 */     // GIR_Coverage, 64785,
     /*  137261 */     GIR_EraseRootFromParent_Done,
     /*  137262 */   // Label 2473: @137262
     /*  137262 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137314), // Rule ID 2333 //
     /*  137267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137301 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137312 */     GIR_RootConstrainSelectedInstOperands,
     /*  137313 */     // GIR_Coverage, 2333,
     /*  137313 */     GIR_EraseRootFromParent_Done,
     /*  137314 */   // Label 2474: @137314
     /*  137314 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(137352), // Rule ID 88 //
     /*  137319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  137338 */     // MIs[1] Operand 1
     /*  137338 */     // No operand predicates
     /*  137338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137340 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  137340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  137343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  137350 */     GIR_RootConstrainSelectedInstOperands,
     /*  137351 */     // GIR_Coverage, 88,
     /*  137351 */     GIR_EraseRootFromParent_Done,
     /*  137352 */   // Label 2475: @137352
     /*  137352 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137375), // Rule ID 86 //
     /*  137357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137368 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  137373 */     GIR_RootConstrainSelectedInstOperands,
     /*  137374 */     // GIR_Coverage, 86,
     /*  137374 */     GIR_Done,
     /*  137375 */   // Label 2476: @137375
     /*  137375 */   GIM_Reject,
     /*  137376 */ // Label 2468: @137376
     /*  137376 */ GIM_Reject,
     /*  137377 */ // Label 2427: @137377
     /*  137377 */ GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(138987),
     /*  137382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137392 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137461), // Rule ID 53033 //
     /*  137397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137440 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137459 */     GIR_RootConstrainSelectedInstOperands,
     /*  137460 */     // GIR_Coverage, 53033,
     /*  137460 */     GIR_EraseRootFromParent_Done,
     /*  137461 */   // Label 2478: @137461
     /*  137461 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137530), // Rule ID 53034 //
     /*  137466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137509 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137528 */     GIR_RootConstrainSelectedInstOperands,
     /*  137529 */     // GIR_Coverage, 53034,
     /*  137529 */     GIR_EraseRootFromParent_Done,
     /*  137530 */   // Label 2479: @137530
     /*  137530 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137599), // Rule ID 53035 //
     /*  137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137578 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137597 */     GIR_RootConstrainSelectedInstOperands,
     /*  137598 */     // GIR_Coverage, 53035,
     /*  137598 */     GIR_EraseRootFromParent_Done,
     /*  137599 */   // Label 2480: @137599
     /*  137599 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137668), // Rule ID 53036 //
     /*  137604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137647 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137666 */     GIR_RootConstrainSelectedInstOperands,
     /*  137667 */     // GIR_Coverage, 53036,
     /*  137667 */     GIR_EraseRootFromParent_Done,
     /*  137668 */   // Label 2481: @137668
     /*  137668 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137734), // Rule ID 70985 //
     /*  137673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137715 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137732 */     GIR_RootConstrainSelectedInstOperands,
     /*  137733 */     // GIR_Coverage, 70985,
     /*  137733 */     GIR_EraseRootFromParent_Done,
     /*  137734 */   // Label 2482: @137734
     /*  137734 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(137800), // Rule ID 70986 //
     /*  137739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137781 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137798 */     GIR_RootConstrainSelectedInstOperands,
     /*  137799 */     // GIR_Coverage, 70986,
     /*  137799 */     GIR_EraseRootFromParent_Done,
     /*  137800 */   // Label 2483: @137800
     /*  137800 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(137866), // Rule ID 70983 //
     /*  137805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137847 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137864 */     GIR_RootConstrainSelectedInstOperands,
     /*  137865 */     // GIR_Coverage, 70983,
     /*  137865 */     GIR_EraseRootFromParent_Done,
     /*  137866 */   // Label 2484: @137866
     /*  137866 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(137932), // Rule ID 70984 //
     /*  137871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137913 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137930 */     GIR_RootConstrainSelectedInstOperands,
     /*  137931 */     // GIR_Coverage, 70984,
     /*  137931 */     GIR_EraseRootFromParent_Done,
     /*  137932 */   // Label 2485: @137932
     /*  137932 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138001), // Rule ID 53037 //
     /*  137937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137999 */     GIR_RootConstrainSelectedInstOperands,
     /*  138000 */     // GIR_Coverage, 53037,
     /*  138000 */     GIR_EraseRootFromParent_Done,
     /*  138001 */   // Label 2486: @138001
     /*  138001 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138070), // Rule ID 53038 //
     /*  138006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138049 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138068 */     GIR_RootConstrainSelectedInstOperands,
     /*  138069 */     // GIR_Coverage, 53038,
     /*  138069 */     GIR_EraseRootFromParent_Done,
     /*  138070 */   // Label 2487: @138070
     /*  138070 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138139), // Rule ID 70979 //
     /*  138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138118 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138137 */     GIR_RootConstrainSelectedInstOperands,
     /*  138138 */     // GIR_Coverage, 70979,
     /*  138138 */     GIR_EraseRootFromParent_Done,
     /*  138139 */   // Label 2488: @138139
     /*  138139 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138208), // Rule ID 70980 //
     /*  138144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138187 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138206 */     GIR_RootConstrainSelectedInstOperands,
     /*  138207 */     // GIR_Coverage, 70980,
     /*  138207 */     GIR_EraseRootFromParent_Done,
     /*  138208 */   // Label 2489: @138208
     /*  138208 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138277), // Rule ID 70981 //
     /*  138213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138256 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138275 */     GIR_RootConstrainSelectedInstOperands,
     /*  138276 */     // GIR_Coverage, 70981,
     /*  138276 */     GIR_EraseRootFromParent_Done,
     /*  138277 */   // Label 2490: @138277
     /*  138277 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138346), // Rule ID 70982 //
     /*  138282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138325 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138344 */     GIR_RootConstrainSelectedInstOperands,
     /*  138345 */     // GIR_Coverage, 70982,
     /*  138345 */     GIR_EraseRootFromParent_Done,
     /*  138346 */   // Label 2491: @138346
     /*  138346 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138415), // Rule ID 70987 //
     /*  138351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138394 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138413 */     GIR_RootConstrainSelectedInstOperands,
     /*  138414 */     // GIR_Coverage, 70987,
     /*  138414 */     GIR_EraseRootFromParent_Done,
     /*  138415 */   // Label 2492: @138415
     /*  138415 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138484), // Rule ID 70988 //
     /*  138420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138463 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138482 */     GIR_RootConstrainSelectedInstOperands,
     /*  138483 */     // GIR_Coverage, 70988,
     /*  138483 */     GIR_EraseRootFromParent_Done,
     /*  138484 */   // Label 2493: @138484
     /*  138484 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138550), // Rule ID 70991 //
     /*  138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138531 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138548 */     GIR_RootConstrainSelectedInstOperands,
     /*  138549 */     // GIR_Coverage, 70991,
     /*  138549 */     GIR_EraseRootFromParent_Done,
     /*  138550 */   // Label 2494: @138550
     /*  138550 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138616), // Rule ID 70992 //
     /*  138555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138597 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138614 */     GIR_RootConstrainSelectedInstOperands,
     /*  138615 */     // GIR_Coverage, 70992,
     /*  138615 */     GIR_EraseRootFromParent_Done,
     /*  138616 */   // Label 2495: @138616
     /*  138616 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138682), // Rule ID 70989 //
     /*  138621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138663 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138680 */     GIR_RootConstrainSelectedInstOperands,
     /*  138681 */     // GIR_Coverage, 70989,
     /*  138681 */     GIR_EraseRootFromParent_Done,
     /*  138682 */   // Label 2496: @138682
     /*  138682 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138748), // Rule ID 70990 //
     /*  138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138729 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138746 */     GIR_RootConstrainSelectedInstOperands,
     /*  138747 */     // GIR_Coverage, 70990,
     /*  138747 */     GIR_EraseRootFromParent_Done,
     /*  138748 */   // Label 2497: @138748
     /*  138748 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138791), // Rule ID 71005 //
     /*  138753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138774 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138789 */     GIR_RootConstrainSelectedInstOperands,
     /*  138790 */     // GIR_Coverage, 71005,
     /*  138790 */     GIR_EraseRootFromParent_Done,
     /*  138791 */   // Label 2498: @138791
     /*  138791 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138834), // Rule ID 71006 //
     /*  138796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138817 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138832 */     GIR_RootConstrainSelectedInstOperands,
     /*  138833 */     // GIR_Coverage, 71006,
     /*  138833 */     GIR_EraseRootFromParent_Done,
     /*  138834 */   // Label 2499: @138834
     /*  138834 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138877), // Rule ID 53043 //
     /*  138839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138860 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138875 */     GIR_RootConstrainSelectedInstOperands,
     /*  138876 */     // GIR_Coverage, 53043,
     /*  138876 */     GIR_EraseRootFromParent_Done,
     /*  138877 */   // Label 2500: @138877
     /*  138877 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138920), // Rule ID 53044 //
     /*  138882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138903 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138918 */     GIR_RootConstrainSelectedInstOperands,
     /*  138919 */     // GIR_Coverage, 53044,
     /*  138919 */     GIR_EraseRootFromParent_Done,
     /*  138920 */   // Label 2501: @138920
     /*  138920 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(138953), // Rule ID 53031 //
     /*  138925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138936 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138951 */     GIR_RootConstrainSelectedInstOperands,
     /*  138952 */     // GIR_Coverage, 53031,
     /*  138952 */     GIR_EraseRootFromParent_Done,
     /*  138953 */   // Label 2502: @138953
     /*  138953 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(138986), // Rule ID 53032 //
     /*  138958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138969 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138984 */     GIR_RootConstrainSelectedInstOperands,
     /*  138985 */     // GIR_Coverage, 53032,
     /*  138985 */     GIR_EraseRootFromParent_Done,
     /*  138986 */   // Label 2503: @138986
     /*  138986 */   GIM_Reject,
     /*  138987 */ // Label 2477: @138987
     /*  138987 */ GIM_Reject,
     /*  138988 */ // Label 2428: @138988
     /*  138988 */ GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(139102),
     /*  138993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  138996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139011 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139056), // Rule ID 47783 //
     /*  139016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139019 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139054 */     GIR_RootConstrainSelectedInstOperands,
     /*  139055 */     // GIR_Coverage, 47783,
     /*  139055 */     GIR_EraseRootFromParent_Done,
     /*  139056 */   // Label 2505: @139056
     /*  139056 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(139101), // Rule ID 47784 //
     /*  139061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139064 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139099 */     GIR_RootConstrainSelectedInstOperands,
     /*  139100 */     // GIR_Coverage, 47784,
     /*  139100 */     GIR_EraseRootFromParent_Done,
     /*  139101 */   // Label 2506: @139101
     /*  139101 */   GIM_Reject,
     /*  139102 */ // Label 2504: @139102
     /*  139102 */ GIM_Reject,
     /*  139103 */ // Label 2429: @139103
     /*  139103 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139217),
     /*  139108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  139111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  139114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139171), // Rule ID 47795 //
     /*  139131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139134 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139169 */     GIR_RootConstrainSelectedInstOperands,
     /*  139170 */     // GIR_Coverage, 47795,
     /*  139170 */     GIR_EraseRootFromParent_Done,
     /*  139171 */   // Label 2508: @139171
     /*  139171 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139216), // Rule ID 47796 //
     /*  139176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139179 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139214 */     GIR_RootConstrainSelectedInstOperands,
     /*  139215 */     // GIR_Coverage, 47796,
     /*  139215 */     GIR_EraseRootFromParent_Done,
     /*  139216 */   // Label 2509: @139216
     /*  139216 */   GIM_Reject,
     /*  139217 */ // Label 2507: @139217
     /*  139217 */ GIM_Reject,
     /*  139218 */ // Label 2430: @139218
     /*  139218 */ GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139332),
     /*  139223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  139226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139241 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139286), // Rule ID 47803 //
     /*  139246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139249 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139284 */     GIR_RootConstrainSelectedInstOperands,
     /*  139285 */     // GIR_Coverage, 47803,
     /*  139285 */     GIR_EraseRootFromParent_Done,
     /*  139286 */   // Label 2511: @139286
     /*  139286 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139331), // Rule ID 47804 //
     /*  139291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139294 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139329 */     GIR_RootConstrainSelectedInstOperands,
     /*  139330 */     // GIR_Coverage, 47804,
     /*  139330 */     GIR_EraseRootFromParent_Done,
     /*  139331 */   // Label 2512: @139331
     /*  139331 */   GIM_Reject,
     /*  139332 */ // Label 2510: @139332
     /*  139332 */ GIM_Reject,
     /*  139333 */ // Label 2431: @139333
     /*  139333 */ GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139447),
     /*  139338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  139341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139356 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(139401), // Rule ID 47819 //
     /*  139361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139364 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  139364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139399 */     GIR_RootConstrainSelectedInstOperands,
     /*  139400 */     // GIR_Coverage, 47819,
     /*  139400 */     GIR_EraseRootFromParent_Done,
     /*  139401 */   // Label 2514: @139401
     /*  139401 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139446), // Rule ID 47820 //
     /*  139406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139409 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  139409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139444 */     GIR_RootConstrainSelectedInstOperands,
     /*  139445 */     // GIR_Coverage, 47820,
     /*  139445 */     GIR_EraseRootFromParent_Done,
     /*  139446 */   // Label 2515: @139446
     /*  139446 */   GIM_Reject,
     /*  139447 */ // Label 2513: @139447
     /*  139447 */ GIM_Reject,
     /*  139448 */ // Label 2432: @139448
     /*  139448 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141058),
     /*  139453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139463 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139532), // Rule ID 53051 //
     /*  139468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139511 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139530 */     GIR_RootConstrainSelectedInstOperands,
     /*  139531 */     // GIR_Coverage, 53051,
     /*  139531 */     GIR_EraseRootFromParent_Done,
     /*  139532 */   // Label 2517: @139532
     /*  139532 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139601), // Rule ID 53052 //
     /*  139537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139580 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139599 */     GIR_RootConstrainSelectedInstOperands,
     /*  139600 */     // GIR_Coverage, 53052,
     /*  139600 */     GIR_EraseRootFromParent_Done,
     /*  139601 */   // Label 2518: @139601
     /*  139601 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139670), // Rule ID 53053 //
     /*  139606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139649 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139668 */     GIR_RootConstrainSelectedInstOperands,
     /*  139669 */     // GIR_Coverage, 53053,
     /*  139669 */     GIR_EraseRootFromParent_Done,
     /*  139670 */   // Label 2519: @139670
     /*  139670 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139739), // Rule ID 53054 //
     /*  139675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139718 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139737 */     GIR_RootConstrainSelectedInstOperands,
     /*  139738 */     // GIR_Coverage, 53054,
     /*  139738 */     GIR_EraseRootFromParent_Done,
     /*  139739 */   // Label 2520: @139739
     /*  139739 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(139805), // Rule ID 71013 //
     /*  139744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139786 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139803 */     GIR_RootConstrainSelectedInstOperands,
     /*  139804 */     // GIR_Coverage, 71013,
     /*  139804 */     GIR_EraseRootFromParent_Done,
     /*  139805 */   // Label 2521: @139805
     /*  139805 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(139871), // Rule ID 71014 //
     /*  139810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139852 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139869 */     GIR_RootConstrainSelectedInstOperands,
     /*  139870 */     // GIR_Coverage, 71014,
     /*  139870 */     GIR_EraseRootFromParent_Done,
     /*  139871 */   // Label 2522: @139871
     /*  139871 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(139937), // Rule ID 71011 //
     /*  139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139918 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139935 */     GIR_RootConstrainSelectedInstOperands,
     /*  139936 */     // GIR_Coverage, 71011,
     /*  139936 */     GIR_EraseRootFromParent_Done,
     /*  139937 */   // Label 2523: @139937
     /*  139937 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140003), // Rule ID 71012 //
     /*  139942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139984 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140001 */     GIR_RootConstrainSelectedInstOperands,
     /*  140002 */     // GIR_Coverage, 71012,
     /*  140002 */     GIR_EraseRootFromParent_Done,
     /*  140003 */   // Label 2524: @140003
     /*  140003 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140072), // Rule ID 53055 //
     /*  140008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140051 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140070 */     GIR_RootConstrainSelectedInstOperands,
     /*  140071 */     // GIR_Coverage, 53055,
     /*  140071 */     GIR_EraseRootFromParent_Done,
     /*  140072 */   // Label 2525: @140072
     /*  140072 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140141), // Rule ID 53056 //
     /*  140077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140120 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140139 */     GIR_RootConstrainSelectedInstOperands,
     /*  140140 */     // GIR_Coverage, 53056,
     /*  140140 */     GIR_EraseRootFromParent_Done,
     /*  140141 */   // Label 2526: @140141
     /*  140141 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140210), // Rule ID 71007 //
     /*  140146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140189 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140208 */     GIR_RootConstrainSelectedInstOperands,
     /*  140209 */     // GIR_Coverage, 71007,
     /*  140209 */     GIR_EraseRootFromParent_Done,
     /*  140210 */   // Label 2527: @140210
     /*  140210 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140279), // Rule ID 71008 //
     /*  140215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140258 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140277 */     GIR_RootConstrainSelectedInstOperands,
     /*  140278 */     // GIR_Coverage, 71008,
     /*  140278 */     GIR_EraseRootFromParent_Done,
     /*  140279 */   // Label 2528: @140279
     /*  140279 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140348), // Rule ID 71009 //
     /*  140284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140327 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140346 */     GIR_RootConstrainSelectedInstOperands,
     /*  140347 */     // GIR_Coverage, 71009,
     /*  140347 */     GIR_EraseRootFromParent_Done,
     /*  140348 */   // Label 2529: @140348
     /*  140348 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140417), // Rule ID 71010 //
     /*  140353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140396 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140415 */     GIR_RootConstrainSelectedInstOperands,
     /*  140416 */     // GIR_Coverage, 71010,
     /*  140416 */     GIR_EraseRootFromParent_Done,
     /*  140417 */   // Label 2530: @140417
     /*  140417 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140486), // Rule ID 71015 //
     /*  140422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140465 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140484 */     GIR_RootConstrainSelectedInstOperands,
     /*  140485 */     // GIR_Coverage, 71015,
     /*  140485 */     GIR_EraseRootFromParent_Done,
     /*  140486 */   // Label 2531: @140486
     /*  140486 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140555), // Rule ID 71016 //
     /*  140491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140534 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140553 */     GIR_RootConstrainSelectedInstOperands,
     /*  140554 */     // GIR_Coverage, 71016,
     /*  140554 */     GIR_EraseRootFromParent_Done,
     /*  140555 */   // Label 2532: @140555
     /*  140555 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140621), // Rule ID 71019 //
     /*  140560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140602 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140619 */     GIR_RootConstrainSelectedInstOperands,
     /*  140620 */     // GIR_Coverage, 71019,
     /*  140620 */     GIR_EraseRootFromParent_Done,
     /*  140621 */   // Label 2533: @140621
     /*  140621 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140687), // Rule ID 71020 //
     /*  140626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140668 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140685 */     GIR_RootConstrainSelectedInstOperands,
     /*  140686 */     // GIR_Coverage, 71020,
     /*  140686 */     GIR_EraseRootFromParent_Done,
     /*  140687 */   // Label 2534: @140687
     /*  140687 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140753), // Rule ID 71017 //
     /*  140692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140734 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140751 */     GIR_RootConstrainSelectedInstOperands,
     /*  140752 */     // GIR_Coverage, 71017,
     /*  140752 */     GIR_EraseRootFromParent_Done,
     /*  140753 */   // Label 2535: @140753
     /*  140753 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140819), // Rule ID 71018 //
     /*  140758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140800 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140817 */     GIR_RootConstrainSelectedInstOperands,
     /*  140818 */     // GIR_Coverage, 71018,
     /*  140818 */     GIR_EraseRootFromParent_Done,
     /*  140819 */   // Label 2536: @140819
     /*  140819 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140862), // Rule ID 71033 //
     /*  140824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140845 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140860 */     GIR_RootConstrainSelectedInstOperands,
     /*  140861 */     // GIR_Coverage, 71033,
     /*  140861 */     GIR_EraseRootFromParent_Done,
     /*  140862 */   // Label 2537: @140862
     /*  140862 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140905), // Rule ID 71034 //
     /*  140867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140888 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140903 */     GIR_RootConstrainSelectedInstOperands,
     /*  140904 */     // GIR_Coverage, 71034,
     /*  140904 */     GIR_EraseRootFromParent_Done,
     /*  140905 */   // Label 2538: @140905
     /*  140905 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(140948), // Rule ID 53061 //
     /*  140910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140931 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140946 */     GIR_RootConstrainSelectedInstOperands,
     /*  140947 */     // GIR_Coverage, 53061,
     /*  140947 */     GIR_EraseRootFromParent_Done,
     /*  140948 */   // Label 2539: @140948
     /*  140948 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(140991), // Rule ID 53062 //
     /*  140953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140974 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140989 */     GIR_RootConstrainSelectedInstOperands,
     /*  140990 */     // GIR_Coverage, 53062,
     /*  140990 */     GIR_EraseRootFromParent_Done,
     /*  140991 */   // Label 2540: @140991
     /*  140991 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141024), // Rule ID 53049 //
     /*  140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141007 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141022 */     GIR_RootConstrainSelectedInstOperands,
     /*  141023 */     // GIR_Coverage, 53049,
     /*  141023 */     GIR_EraseRootFromParent_Done,
     /*  141024 */   // Label 2541: @141024
     /*  141024 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141057), // Rule ID 53050 //
     /*  141029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141040 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141055 */     GIR_RootConstrainSelectedInstOperands,
     /*  141056 */     // GIR_Coverage, 53050,
     /*  141056 */     GIR_EraseRootFromParent_Done,
     /*  141057 */   // Label 2542: @141057
     /*  141057 */   GIM_Reject,
     /*  141058 */ // Label 2516: @141058
     /*  141058 */ GIM_Reject,
     /*  141059 */ // Label 2433: @141059
     /*  141059 */ GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141173),
     /*  141064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  141067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141082 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141127), // Rule ID 47787 //
     /*  141087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141090 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  141090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141125 */     GIR_RootConstrainSelectedInstOperands,
     /*  141126 */     // GIR_Coverage, 47787,
     /*  141126 */     GIR_EraseRootFromParent_Done,
     /*  141127 */   // Label 2544: @141127
     /*  141127 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141172), // Rule ID 47788 //
     /*  141132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141135 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141170 */     GIR_RootConstrainSelectedInstOperands,
     /*  141171 */     // GIR_Coverage, 47788,
     /*  141171 */     GIR_EraseRootFromParent_Done,
     /*  141172 */   // Label 2545: @141172
     /*  141172 */   GIM_Reject,
     /*  141173 */ // Label 2543: @141173
     /*  141173 */ GIM_Reject,
     /*  141174 */ // Label 2434: @141174
     /*  141174 */ GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141288),
     /*  141179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  141182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  141185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141242), // Rule ID 47799 //
     /*  141202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141205 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  141205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141240 */     GIR_RootConstrainSelectedInstOperands,
     /*  141241 */     // GIR_Coverage, 47799,
     /*  141241 */     GIR_EraseRootFromParent_Done,
     /*  141242 */   // Label 2547: @141242
     /*  141242 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141287), // Rule ID 47800 //
     /*  141247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141250 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  141250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141285 */     GIR_RootConstrainSelectedInstOperands,
     /*  141286 */     // GIR_Coverage, 47800,
     /*  141286 */     GIR_EraseRootFromParent_Done,
     /*  141287 */   // Label 2548: @141287
     /*  141287 */   GIM_Reject,
     /*  141288 */ // Label 2546: @141288
     /*  141288 */ GIM_Reject,
     /*  141289 */ // Label 2435: @141289
     /*  141289 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141403),
     /*  141294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  141297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  141300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141312 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141357), // Rule ID 47815 //
     /*  141317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141320 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  141320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141355 */     GIR_RootConstrainSelectedInstOperands,
     /*  141356 */     // GIR_Coverage, 47815,
     /*  141356 */     GIR_EraseRootFromParent_Done,
     /*  141357 */   // Label 2550: @141357
     /*  141357 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141402), // Rule ID 47816 //
     /*  141362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141365 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  141365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141400 */     GIR_RootConstrainSelectedInstOperands,
     /*  141401 */     // GIR_Coverage, 47816,
     /*  141401 */     GIR_EraseRootFromParent_Done,
     /*  141402 */   // Label 2551: @141402
     /*  141402 */   GIM_Reject,
     /*  141403 */ // Label 2549: @141403
     /*  141403 */ GIM_Reject,
     /*  141404 */ // Label 2436: @141404
     /*  141404 */ GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141518),
     /*  141409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  141412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141427 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(141472), // Rule ID 47859 //
     /*  141432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141435 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  141435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141470 */     GIR_RootConstrainSelectedInstOperands,
     /*  141471 */     // GIR_Coverage, 47859,
     /*  141471 */     GIR_EraseRootFromParent_Done,
     /*  141472 */   // Label 2553: @141472
     /*  141472 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141517), // Rule ID 47860 //
     /*  141477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141480 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141515 */     GIR_RootConstrainSelectedInstOperands,
     /*  141516 */     // GIR_Coverage, 47860,
     /*  141516 */     GIR_EraseRootFromParent_Done,
     /*  141517 */   // Label 2554: @141517
     /*  141517 */   GIM_Reject,
     /*  141518 */ // Label 2552: @141518
     /*  141518 */ GIM_Reject,
     /*  141519 */ // Label 2437: @141519
     /*  141519 */ GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(143129),
     /*  141524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141534 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141603), // Rule ID 53069 //
     /*  141539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141582 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141601 */     GIR_RootConstrainSelectedInstOperands,
     /*  141602 */     // GIR_Coverage, 53069,
     /*  141602 */     GIR_EraseRootFromParent_Done,
     /*  141603 */   // Label 2556: @141603
     /*  141603 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141672), // Rule ID 53070 //
     /*  141608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141651 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141670 */     GIR_RootConstrainSelectedInstOperands,
     /*  141671 */     // GIR_Coverage, 53070,
     /*  141671 */     GIR_EraseRootFromParent_Done,
     /*  141672 */   // Label 2557: @141672
     /*  141672 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141741), // Rule ID 53071 //
     /*  141677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141720 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141739 */     GIR_RootConstrainSelectedInstOperands,
     /*  141740 */     // GIR_Coverage, 53071,
     /*  141740 */     GIR_EraseRootFromParent_Done,
     /*  141741 */   // Label 2558: @141741
     /*  141741 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(141810), // Rule ID 53072 //
     /*  141746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141789 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141808 */     GIR_RootConstrainSelectedInstOperands,
     /*  141809 */     // GIR_Coverage, 53072,
     /*  141809 */     GIR_EraseRootFromParent_Done,
     /*  141810 */   // Label 2559: @141810
     /*  141810 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(141876), // Rule ID 71041 //
     /*  141815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141857 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141874 */     GIR_RootConstrainSelectedInstOperands,
     /*  141875 */     // GIR_Coverage, 71041,
     /*  141875 */     GIR_EraseRootFromParent_Done,
     /*  141876 */   // Label 2560: @141876
     /*  141876 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(141942), // Rule ID 71042 //
     /*  141881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141923 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141940 */     GIR_RootConstrainSelectedInstOperands,
     /*  141941 */     // GIR_Coverage, 71042,
     /*  141941 */     GIR_EraseRootFromParent_Done,
     /*  141942 */   // Label 2561: @141942
     /*  141942 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142008), // Rule ID 71039 //
     /*  141947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141989 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142006 */     GIR_RootConstrainSelectedInstOperands,
     /*  142007 */     // GIR_Coverage, 71039,
     /*  142007 */     GIR_EraseRootFromParent_Done,
     /*  142008 */   // Label 2562: @142008
     /*  142008 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142074), // Rule ID 71040 //
     /*  142013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142055 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142072 */     GIR_RootConstrainSelectedInstOperands,
     /*  142073 */     // GIR_Coverage, 71040,
     /*  142073 */     GIR_EraseRootFromParent_Done,
     /*  142074 */   // Label 2563: @142074
     /*  142074 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142143), // Rule ID 53073 //
     /*  142079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142122 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142141 */     GIR_RootConstrainSelectedInstOperands,
     /*  142142 */     // GIR_Coverage, 53073,
     /*  142142 */     GIR_EraseRootFromParent_Done,
     /*  142143 */   // Label 2564: @142143
     /*  142143 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142212), // Rule ID 53074 //
     /*  142148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142191 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142210 */     GIR_RootConstrainSelectedInstOperands,
     /*  142211 */     // GIR_Coverage, 53074,
     /*  142211 */     GIR_EraseRootFromParent_Done,
     /*  142212 */   // Label 2565: @142212
     /*  142212 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142281), // Rule ID 71035 //
     /*  142217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142260 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142279 */     GIR_RootConstrainSelectedInstOperands,
     /*  142280 */     // GIR_Coverage, 71035,
     /*  142280 */     GIR_EraseRootFromParent_Done,
     /*  142281 */   // Label 2566: @142281
     /*  142281 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142350), // Rule ID 71036 //
     /*  142286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142329 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142348 */     GIR_RootConstrainSelectedInstOperands,
     /*  142349 */     // GIR_Coverage, 71036,
     /*  142349 */     GIR_EraseRootFromParent_Done,
     /*  142350 */   // Label 2567: @142350
     /*  142350 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142419), // Rule ID 71037 //
     /*  142355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142398 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142417 */     GIR_RootConstrainSelectedInstOperands,
     /*  142418 */     // GIR_Coverage, 71037,
     /*  142418 */     GIR_EraseRootFromParent_Done,
     /*  142419 */   // Label 2568: @142419
     /*  142419 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142488), // Rule ID 71038 //
     /*  142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142467 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142486 */     GIR_RootConstrainSelectedInstOperands,
     /*  142487 */     // GIR_Coverage, 71038,
     /*  142487 */     GIR_EraseRootFromParent_Done,
     /*  142488 */   // Label 2569: @142488
     /*  142488 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142557), // Rule ID 71043 //
     /*  142493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142536 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142555 */     GIR_RootConstrainSelectedInstOperands,
     /*  142556 */     // GIR_Coverage, 71043,
     /*  142556 */     GIR_EraseRootFromParent_Done,
     /*  142557 */   // Label 2570: @142557
     /*  142557 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142626), // Rule ID 71044 //
     /*  142562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142605 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142624 */     GIR_RootConstrainSelectedInstOperands,
     /*  142625 */     // GIR_Coverage, 71044,
     /*  142625 */     GIR_EraseRootFromParent_Done,
     /*  142626 */   // Label 2571: @142626
     /*  142626 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142692), // Rule ID 71047 //
     /*  142631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142673 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142690 */     GIR_RootConstrainSelectedInstOperands,
     /*  142691 */     // GIR_Coverage, 71047,
     /*  142691 */     GIR_EraseRootFromParent_Done,
     /*  142692 */   // Label 2572: @142692
     /*  142692 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142758), // Rule ID 71048 //
     /*  142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142739 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142756 */     GIR_RootConstrainSelectedInstOperands,
     /*  142757 */     // GIR_Coverage, 71048,
     /*  142757 */     GIR_EraseRootFromParent_Done,
     /*  142758 */   // Label 2573: @142758
     /*  142758 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142824), // Rule ID 71045 //
     /*  142763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142805 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142822 */     GIR_RootConstrainSelectedInstOperands,
     /*  142823 */     // GIR_Coverage, 71045,
     /*  142823 */     GIR_EraseRootFromParent_Done,
     /*  142824 */   // Label 2574: @142824
     /*  142824 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142890), // Rule ID 71046 //
     /*  142829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142871 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142888 */     GIR_RootConstrainSelectedInstOperands,
     /*  142889 */     // GIR_Coverage, 71046,
     /*  142889 */     GIR_EraseRootFromParent_Done,
     /*  142890 */   // Label 2575: @142890
     /*  142890 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(142933), // Rule ID 71061 //
     /*  142895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142916 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142931 */     GIR_RootConstrainSelectedInstOperands,
     /*  142932 */     // GIR_Coverage, 71061,
     /*  142932 */     GIR_EraseRootFromParent_Done,
     /*  142933 */   // Label 2576: @142933
     /*  142933 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(142976), // Rule ID 71062 //
     /*  142938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142959 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142974 */     GIR_RootConstrainSelectedInstOperands,
     /*  142975 */     // GIR_Coverage, 71062,
     /*  142975 */     GIR_EraseRootFromParent_Done,
     /*  142976 */   // Label 2577: @142976
     /*  142976 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143019), // Rule ID 53079 //
     /*  142981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143017 */     GIR_RootConstrainSelectedInstOperands,
     /*  143018 */     // GIR_Coverage, 53079,
     /*  143018 */     GIR_EraseRootFromParent_Done,
     /*  143019 */   // Label 2578: @143019
     /*  143019 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143062), // Rule ID 53080 //
     /*  143024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143045 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143060 */     GIR_RootConstrainSelectedInstOperands,
     /*  143061 */     // GIR_Coverage, 53080,
     /*  143061 */     GIR_EraseRootFromParent_Done,
     /*  143062 */   // Label 2579: @143062
     /*  143062 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143095), // Rule ID 53067 //
     /*  143067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143078 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143093 */     GIR_RootConstrainSelectedInstOperands,
     /*  143094 */     // GIR_Coverage, 53067,
     /*  143094 */     GIR_EraseRootFromParent_Done,
     /*  143095 */   // Label 2580: @143095
     /*  143095 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143128), // Rule ID 53068 //
     /*  143100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143111 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143126 */     GIR_RootConstrainSelectedInstOperands,
     /*  143127 */     // GIR_Coverage, 53068,
     /*  143127 */     GIR_EraseRootFromParent_Done,
     /*  143128 */   // Label 2581: @143128
     /*  143128 */   GIM_Reject,
     /*  143129 */ // Label 2555: @143129
     /*  143129 */ GIM_Reject,
     /*  143130 */ // Label 2438: @143130
     /*  143130 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143244),
     /*  143135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  143138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  143141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143153 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143198), // Rule ID 47791 //
     /*  143158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143161 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143196 */     GIR_RootConstrainSelectedInstOperands,
     /*  143197 */     // GIR_Coverage, 47791,
     /*  143197 */     GIR_EraseRootFromParent_Done,
     /*  143198 */   // Label 2583: @143198
     /*  143198 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(143243), // Rule ID 47792 //
     /*  143203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143206 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143241 */     GIR_RootConstrainSelectedInstOperands,
     /*  143242 */     // GIR_Coverage, 47792,
     /*  143242 */     GIR_EraseRootFromParent_Done,
     /*  143243 */   // Label 2584: @143243
     /*  143243 */   GIM_Reject,
     /*  143244 */ // Label 2582: @143244
     /*  143244 */ GIM_Reject,
     /*  143245 */ // Label 2439: @143245
     /*  143245 */ GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143359),
     /*  143250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  143253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  143256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143313), // Rule ID 47811 //
     /*  143273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143276 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143311 */     GIR_RootConstrainSelectedInstOperands,
     /*  143312 */     // GIR_Coverage, 47811,
     /*  143312 */     GIR_EraseRootFromParent_Done,
     /*  143313 */   // Label 2586: @143313
     /*  143313 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143358), // Rule ID 47812 //
     /*  143318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143321 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143356 */     GIR_RootConstrainSelectedInstOperands,
     /*  143357 */     // GIR_Coverage, 47812,
     /*  143357 */     GIR_EraseRootFromParent_Done,
     /*  143358 */   // Label 2587: @143358
     /*  143358 */   GIM_Reject,
     /*  143359 */ // Label 2585: @143359
     /*  143359 */ GIM_Reject,
     /*  143360 */ // Label 2440: @143360
     /*  143360 */ GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143474),
     /*  143365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  143368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  143371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143383 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143428), // Rule ID 47847 //
     /*  143388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143391 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143426 */     GIR_RootConstrainSelectedInstOperands,
     /*  143427 */     // GIR_Coverage, 47847,
     /*  143427 */     GIR_EraseRootFromParent_Done,
     /*  143428 */   // Label 2589: @143428
     /*  143428 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143473), // Rule ID 47848 //
     /*  143433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143436 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 47848,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 2590: @143473
     /*  143473 */   GIM_Reject,
     /*  143474 */ // Label 2588: @143474
     /*  143474 */ GIM_Reject,
     /*  143475 */ // Label 2441: @143475
     /*  143475 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143589),
     /*  143480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143498 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(143543), // Rule ID 47863 //
     /*  143503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143506 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143541 */     GIR_RootConstrainSelectedInstOperands,
     /*  143542 */     // GIR_Coverage, 47863,
     /*  143542 */     GIR_EraseRootFromParent_Done,
     /*  143543 */   // Label 2592: @143543
     /*  143543 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143588), // Rule ID 47864 //
     /*  143548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143551 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143586 */     GIR_RootConstrainSelectedInstOperands,
     /*  143587 */     // GIR_Coverage, 47864,
     /*  143587 */     GIR_EraseRootFromParent_Done,
     /*  143588 */   // Label 2593: @143588
     /*  143588 */   GIM_Reject,
     /*  143589 */ // Label 2591: @143589
     /*  143589 */ GIM_Reject,
     /*  143590 */ // Label 2442: @143590
     /*  143590 */ GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(145200),
     /*  143595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143674), // Rule ID 53087 //
     /*  143610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143653 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143672 */     GIR_RootConstrainSelectedInstOperands,
     /*  143673 */     // GIR_Coverage, 53087,
     /*  143673 */     GIR_EraseRootFromParent_Done,
     /*  143674 */   // Label 2595: @143674
     /*  143674 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143743), // Rule ID 53088 //
     /*  143679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143722 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143741 */     GIR_RootConstrainSelectedInstOperands,
     /*  143742 */     // GIR_Coverage, 53088,
     /*  143742 */     GIR_EraseRootFromParent_Done,
     /*  143743 */   // Label 2596: @143743
     /*  143743 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(143812), // Rule ID 53089 //
     /*  143748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143791 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143810 */     GIR_RootConstrainSelectedInstOperands,
     /*  143811 */     // GIR_Coverage, 53089,
     /*  143811 */     GIR_EraseRootFromParent_Done,
     /*  143812 */   // Label 2597: @143812
     /*  143812 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(143881), // Rule ID 53090 //
     /*  143817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143860 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143879 */     GIR_RootConstrainSelectedInstOperands,
     /*  143880 */     // GIR_Coverage, 53090,
     /*  143880 */     GIR_EraseRootFromParent_Done,
     /*  143881 */   // Label 2598: @143881
     /*  143881 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(143947), // Rule ID 71069 //
     /*  143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143928 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143945 */     GIR_RootConstrainSelectedInstOperands,
     /*  143946 */     // GIR_Coverage, 71069,
     /*  143946 */     GIR_EraseRootFromParent_Done,
     /*  143947 */   // Label 2599: @143947
     /*  143947 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144013), // Rule ID 71070 //
     /*  143952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143994 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144011 */     GIR_RootConstrainSelectedInstOperands,
     /*  144012 */     // GIR_Coverage, 71070,
     /*  144012 */     GIR_EraseRootFromParent_Done,
     /*  144013 */   // Label 2600: @144013
     /*  144013 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144079), // Rule ID 71067 //
     /*  144018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144060 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144077 */     GIR_RootConstrainSelectedInstOperands,
     /*  144078 */     // GIR_Coverage, 71067,
     /*  144078 */     GIR_EraseRootFromParent_Done,
     /*  144079 */   // Label 2601: @144079
     /*  144079 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144145), // Rule ID 71068 //
     /*  144084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144126 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144143 */     GIR_RootConstrainSelectedInstOperands,
     /*  144144 */     // GIR_Coverage, 71068,
     /*  144144 */     GIR_EraseRootFromParent_Done,
     /*  144145 */   // Label 2602: @144145
     /*  144145 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144214), // Rule ID 53091 //
     /*  144150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144193 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144212 */     GIR_RootConstrainSelectedInstOperands,
     /*  144213 */     // GIR_Coverage, 53091,
     /*  144213 */     GIR_EraseRootFromParent_Done,
     /*  144214 */   // Label 2603: @144214
     /*  144214 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144283), // Rule ID 53092 //
     /*  144219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144262 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144281 */     GIR_RootConstrainSelectedInstOperands,
     /*  144282 */     // GIR_Coverage, 53092,
     /*  144282 */     GIR_EraseRootFromParent_Done,
     /*  144283 */   // Label 2604: @144283
     /*  144283 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144352), // Rule ID 71063 //
     /*  144288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144331 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144350 */     GIR_RootConstrainSelectedInstOperands,
     /*  144351 */     // GIR_Coverage, 71063,
     /*  144351 */     GIR_EraseRootFromParent_Done,
     /*  144352 */   // Label 2605: @144352
     /*  144352 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144421), // Rule ID 71064 //
     /*  144357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144400 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144419 */     GIR_RootConstrainSelectedInstOperands,
     /*  144420 */     // GIR_Coverage, 71064,
     /*  144420 */     GIR_EraseRootFromParent_Done,
     /*  144421 */   // Label 2606: @144421
     /*  144421 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144490), // Rule ID 71065 //
     /*  144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144469 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144488 */     GIR_RootConstrainSelectedInstOperands,
     /*  144489 */     // GIR_Coverage, 71065,
     /*  144489 */     GIR_EraseRootFromParent_Done,
     /*  144490 */   // Label 2607: @144490
     /*  144490 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144559), // Rule ID 71066 //
     /*  144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144538 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144557 */     GIR_RootConstrainSelectedInstOperands,
     /*  144558 */     // GIR_Coverage, 71066,
     /*  144558 */     GIR_EraseRootFromParent_Done,
     /*  144559 */   // Label 2608: @144559
     /*  144559 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144628), // Rule ID 71071 //
     /*  144564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144607 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144626 */     GIR_RootConstrainSelectedInstOperands,
     /*  144627 */     // GIR_Coverage, 71071,
     /*  144627 */     GIR_EraseRootFromParent_Done,
     /*  144628 */   // Label 2609: @144628
     /*  144628 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144697), // Rule ID 71072 //
     /*  144633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144676 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144695 */     GIR_RootConstrainSelectedInstOperands,
     /*  144696 */     // GIR_Coverage, 71072,
     /*  144696 */     GIR_EraseRootFromParent_Done,
     /*  144697 */   // Label 2610: @144697
     /*  144697 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144763), // Rule ID 71075 //
     /*  144702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144744 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144761 */     GIR_RootConstrainSelectedInstOperands,
     /*  144762 */     // GIR_Coverage, 71075,
     /*  144762 */     GIR_EraseRootFromParent_Done,
     /*  144763 */   // Label 2611: @144763
     /*  144763 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144829), // Rule ID 71076 //
     /*  144768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144810 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144827 */     GIR_RootConstrainSelectedInstOperands,
     /*  144828 */     // GIR_Coverage, 71076,
     /*  144828 */     GIR_EraseRootFromParent_Done,
     /*  144829 */   // Label 2612: @144829
     /*  144829 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(144895), // Rule ID 71073 //
     /*  144834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144876 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144893 */     GIR_RootConstrainSelectedInstOperands,
     /*  144894 */     // GIR_Coverage, 71073,
     /*  144894 */     GIR_EraseRootFromParent_Done,
     /*  144895 */   // Label 2613: @144895
     /*  144895 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(144961), // Rule ID 71074 //
     /*  144900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144942 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144959 */     GIR_RootConstrainSelectedInstOperands,
     /*  144960 */     // GIR_Coverage, 71074,
     /*  144960 */     GIR_EraseRootFromParent_Done,
     /*  144961 */   // Label 2614: @144961
     /*  144961 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145004), // Rule ID 71089 //
     /*  144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144987 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145002 */     GIR_RootConstrainSelectedInstOperands,
     /*  145003 */     // GIR_Coverage, 71089,
     /*  145003 */     GIR_EraseRootFromParent_Done,
     /*  145004 */   // Label 2615: @145004
     /*  145004 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145047), // Rule ID 71090 //
     /*  145009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145030 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145045 */     GIR_RootConstrainSelectedInstOperands,
     /*  145046 */     // GIR_Coverage, 71090,
     /*  145046 */     GIR_EraseRootFromParent_Done,
     /*  145047 */   // Label 2616: @145047
     /*  145047 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145090), // Rule ID 53097 //
     /*  145052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145073 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145088 */     GIR_RootConstrainSelectedInstOperands,
     /*  145089 */     // GIR_Coverage, 53097,
     /*  145089 */     GIR_EraseRootFromParent_Done,
     /*  145090 */   // Label 2617: @145090
     /*  145090 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145133), // Rule ID 53098 //
     /*  145095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145116 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145131 */     GIR_RootConstrainSelectedInstOperands,
     /*  145132 */     // GIR_Coverage, 53098,
     /*  145132 */     GIR_EraseRootFromParent_Done,
     /*  145133 */   // Label 2618: @145133
     /*  145133 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145166), // Rule ID 53085 //
     /*  145138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145149 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145164 */     GIR_RootConstrainSelectedInstOperands,
     /*  145165 */     // GIR_Coverage, 53085,
     /*  145165 */     GIR_EraseRootFromParent_Done,
     /*  145166 */   // Label 2619: @145166
     /*  145166 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145199), // Rule ID 53086 //
     /*  145171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145182 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145197 */     GIR_RootConstrainSelectedInstOperands,
     /*  145198 */     // GIR_Coverage, 53086,
     /*  145198 */     GIR_EraseRootFromParent_Done,
     /*  145199 */   // Label 2620: @145199
     /*  145199 */   GIM_Reject,
     /*  145200 */ // Label 2594: @145200
     /*  145200 */ GIM_Reject,
     /*  145201 */ // Label 2443: @145201
     /*  145201 */ GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145315),
     /*  145206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  145209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  145212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145224 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145269), // Rule ID 47807 //
     /*  145229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145232 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145267 */     GIR_RootConstrainSelectedInstOperands,
     /*  145268 */     // GIR_Coverage, 47807,
     /*  145268 */     GIR_EraseRootFromParent_Done,
     /*  145269 */   // Label 2622: @145269
     /*  145269 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(145314), // Rule ID 47808 //
     /*  145274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145277 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145312 */     GIR_RootConstrainSelectedInstOperands,
     /*  145313 */     // GIR_Coverage, 47808,
     /*  145313 */     GIR_EraseRootFromParent_Done,
     /*  145314 */   // Label 2623: @145314
     /*  145314 */   GIM_Reject,
     /*  145315 */ // Label 2621: @145315
     /*  145315 */ GIM_Reject,
     /*  145316 */ // Label 2444: @145316
     /*  145316 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145430),
     /*  145321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  145324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  145327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145339 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145384), // Rule ID 47835 //
     /*  145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145347 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145382 */     GIR_RootConstrainSelectedInstOperands,
     /*  145383 */     // GIR_Coverage, 47835,
     /*  145383 */     GIR_EraseRootFromParent_Done,
     /*  145384 */   // Label 2625: @145384
     /*  145384 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145429), // Rule ID 47836 //
     /*  145389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145392 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145427 */     GIR_RootConstrainSelectedInstOperands,
     /*  145428 */     // GIR_Coverage, 47836,
     /*  145428 */     GIR_EraseRootFromParent_Done,
     /*  145429 */   // Label 2626: @145429
     /*  145429 */   GIM_Reject,
     /*  145430 */ // Label 2624: @145430
     /*  145430 */ GIM_Reject,
     /*  145431 */ // Label 2445: @145431
     /*  145431 */ GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145545),
     /*  145436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  145439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145454 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145499), // Rule ID 47851 //
     /*  145459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145462 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145497 */     GIR_RootConstrainSelectedInstOperands,
     /*  145498 */     // GIR_Coverage, 47851,
     /*  145498 */     GIR_EraseRootFromParent_Done,
     /*  145499 */   // Label 2628: @145499
     /*  145499 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145544), // Rule ID 47852 //
     /*  145504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145507 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145542 */     GIR_RootConstrainSelectedInstOperands,
     /*  145543 */     // GIR_Coverage, 47852,
     /*  145543 */     GIR_EraseRootFromParent_Done,
     /*  145544 */   // Label 2629: @145544
     /*  145544 */   GIM_Reject,
     /*  145545 */ // Label 2627: @145545
     /*  145545 */ GIM_Reject,
     /*  145546 */ // Label 2446: @145546
     /*  145546 */ GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145660),
     /*  145551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145569 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(145614), // Rule ID 47867 //
     /*  145574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145577 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145612 */     GIR_RootConstrainSelectedInstOperands,
     /*  145613 */     // GIR_Coverage, 47867,
     /*  145613 */     GIR_EraseRootFromParent_Done,
     /*  145614 */   // Label 2631: @145614
     /*  145614 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145659), // Rule ID 47868 //
     /*  145619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145622 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145657 */     GIR_RootConstrainSelectedInstOperands,
     /*  145658 */     // GIR_Coverage, 47868,
     /*  145658 */     GIR_EraseRootFromParent_Done,
     /*  145659 */   // Label 2632: @145659
     /*  145659 */   GIM_Reject,
     /*  145660 */ // Label 2630: @145660
     /*  145660 */ GIM_Reject,
     /*  145661 */ // Label 2447: @145661
     /*  145661 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(147271),
     /*  145666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145745), // Rule ID 53105 //
     /*  145681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145724 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145743 */     GIR_RootConstrainSelectedInstOperands,
     /*  145744 */     // GIR_Coverage, 53105,
     /*  145744 */     GIR_EraseRootFromParent_Done,
     /*  145745 */   // Label 2634: @145745
     /*  145745 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(145814), // Rule ID 53106 //
     /*  145750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145793 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145812 */     GIR_RootConstrainSelectedInstOperands,
     /*  145813 */     // GIR_Coverage, 53106,
     /*  145813 */     GIR_EraseRootFromParent_Done,
     /*  145814 */   // Label 2635: @145814
     /*  145814 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(145883), // Rule ID 53107 //
     /*  145819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145862 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145881 */     GIR_RootConstrainSelectedInstOperands,
     /*  145882 */     // GIR_Coverage, 53107,
     /*  145882 */     GIR_EraseRootFromParent_Done,
     /*  145883 */   // Label 2636: @145883
     /*  145883 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(145952), // Rule ID 53108 //
     /*  145888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145931 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145950 */     GIR_RootConstrainSelectedInstOperands,
     /*  145951 */     // GIR_Coverage, 53108,
     /*  145951 */     GIR_EraseRootFromParent_Done,
     /*  145952 */   // Label 2637: @145952
     /*  145952 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146018), // Rule ID 71097 //
     /*  145957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145999 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146016 */     GIR_RootConstrainSelectedInstOperands,
     /*  146017 */     // GIR_Coverage, 71097,
     /*  146017 */     GIR_EraseRootFromParent_Done,
     /*  146018 */   // Label 2638: @146018
     /*  146018 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146084), // Rule ID 71098 //
     /*  146023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146065 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146082 */     GIR_RootConstrainSelectedInstOperands,
     /*  146083 */     // GIR_Coverage, 71098,
     /*  146083 */     GIR_EraseRootFromParent_Done,
     /*  146084 */   // Label 2639: @146084
     /*  146084 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146150), // Rule ID 71095 //
     /*  146089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146131 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146148 */     GIR_RootConstrainSelectedInstOperands,
     /*  146149 */     // GIR_Coverage, 71095,
     /*  146149 */     GIR_EraseRootFromParent_Done,
     /*  146150 */   // Label 2640: @146150
     /*  146150 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146216), // Rule ID 71096 //
     /*  146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146197 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146214 */     GIR_RootConstrainSelectedInstOperands,
     /*  146215 */     // GIR_Coverage, 71096,
     /*  146215 */     GIR_EraseRootFromParent_Done,
     /*  146216 */   // Label 2641: @146216
     /*  146216 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146285), // Rule ID 53109 //
     /*  146221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146264 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146283 */     GIR_RootConstrainSelectedInstOperands,
     /*  146284 */     // GIR_Coverage, 53109,
     /*  146284 */     GIR_EraseRootFromParent_Done,
     /*  146285 */   // Label 2642: @146285
     /*  146285 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146354), // Rule ID 53110 //
     /*  146290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146333 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146352 */     GIR_RootConstrainSelectedInstOperands,
     /*  146353 */     // GIR_Coverage, 53110,
     /*  146353 */     GIR_EraseRootFromParent_Done,
     /*  146354 */   // Label 2643: @146354
     /*  146354 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146423), // Rule ID 71091 //
     /*  146359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146402 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146421 */     GIR_RootConstrainSelectedInstOperands,
     /*  146422 */     // GIR_Coverage, 71091,
     /*  146422 */     GIR_EraseRootFromParent_Done,
     /*  146423 */   // Label 2644: @146423
     /*  146423 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146492), // Rule ID 71092 //
     /*  146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146471 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146490 */     GIR_RootConstrainSelectedInstOperands,
     /*  146491 */     // GIR_Coverage, 71092,
     /*  146491 */     GIR_EraseRootFromParent_Done,
     /*  146492 */   // Label 2645: @146492
     /*  146492 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146561), // Rule ID 71093 //
     /*  146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146540 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146559 */     GIR_RootConstrainSelectedInstOperands,
     /*  146560 */     // GIR_Coverage, 71093,
     /*  146560 */     GIR_EraseRootFromParent_Done,
     /*  146561 */   // Label 2646: @146561
     /*  146561 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146630), // Rule ID 71094 //
     /*  146566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146609 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146628 */     GIR_RootConstrainSelectedInstOperands,
     /*  146629 */     // GIR_Coverage, 71094,
     /*  146629 */     GIR_EraseRootFromParent_Done,
     /*  146630 */   // Label 2647: @146630
     /*  146630 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146699), // Rule ID 71099 //
     /*  146635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146678 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146697 */     GIR_RootConstrainSelectedInstOperands,
     /*  146698 */     // GIR_Coverage, 71099,
     /*  146698 */     GIR_EraseRootFromParent_Done,
     /*  146699 */   // Label 2648: @146699
     /*  146699 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146768), // Rule ID 71100 //
     /*  146704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146747 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146766 */     GIR_RootConstrainSelectedInstOperands,
     /*  146767 */     // GIR_Coverage, 71100,
     /*  146767 */     GIR_EraseRootFromParent_Done,
     /*  146768 */   // Label 2649: @146768
     /*  146768 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146834), // Rule ID 71103 //
     /*  146773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146815 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146832 */     GIR_RootConstrainSelectedInstOperands,
     /*  146833 */     // GIR_Coverage, 71103,
     /*  146833 */     GIR_EraseRootFromParent_Done,
     /*  146834 */   // Label 2650: @146834
     /*  146834 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(146900), // Rule ID 71104 //
     /*  146839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146881 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146898 */     GIR_RootConstrainSelectedInstOperands,
     /*  146899 */     // GIR_Coverage, 71104,
     /*  146899 */     GIR_EraseRootFromParent_Done,
     /*  146900 */   // Label 2651: @146900
     /*  146900 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(146966), // Rule ID 71101 //
     /*  146905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146947 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146964 */     GIR_RootConstrainSelectedInstOperands,
     /*  146965 */     // GIR_Coverage, 71101,
     /*  146965 */     GIR_EraseRootFromParent_Done,
     /*  146966 */   // Label 2652: @146966
     /*  146966 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147032), // Rule ID 71102 //
     /*  146971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147013 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  147016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147030 */     GIR_RootConstrainSelectedInstOperands,
     /*  147031 */     // GIR_Coverage, 71102,
     /*  147031 */     GIR_EraseRootFromParent_Done,
     /*  147032 */   // Label 2653: @147032
     /*  147032 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147075), // Rule ID 71117 //
     /*  147037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147058 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147073 */     GIR_RootConstrainSelectedInstOperands,
     /*  147074 */     // GIR_Coverage, 71117,
     /*  147074 */     GIR_EraseRootFromParent_Done,
     /*  147075 */   // Label 2654: @147075
     /*  147075 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147118), // Rule ID 71118 //
     /*  147080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147101 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147116 */     GIR_RootConstrainSelectedInstOperands,
     /*  147117 */     // GIR_Coverage, 71118,
     /*  147117 */     GIR_EraseRootFromParent_Done,
     /*  147118 */   // Label 2655: @147118
     /*  147118 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147161), // Rule ID 53115 //
     /*  147123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147144 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147159 */     GIR_RootConstrainSelectedInstOperands,
     /*  147160 */     // GIR_Coverage, 53115,
     /*  147160 */     GIR_EraseRootFromParent_Done,
     /*  147161 */   // Label 2656: @147161
     /*  147161 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147204), // Rule ID 53116 //
     /*  147166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147187 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147202 */     GIR_RootConstrainSelectedInstOperands,
     /*  147203 */     // GIR_Coverage, 53116,
     /*  147203 */     GIR_EraseRootFromParent_Done,
     /*  147204 */   // Label 2657: @147204
     /*  147204 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147237), // Rule ID 53103 //
     /*  147209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147220 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147235 */     GIR_RootConstrainSelectedInstOperands,
     /*  147236 */     // GIR_Coverage, 53103,
     /*  147236 */     GIR_EraseRootFromParent_Done,
     /*  147237 */   // Label 2658: @147237
     /*  147237 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(147270), // Rule ID 53104 //
     /*  147242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147253 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147268 */     GIR_RootConstrainSelectedInstOperands,
     /*  147269 */     // GIR_Coverage, 53104,
     /*  147269 */     GIR_EraseRootFromParent_Done,
     /*  147270 */   // Label 2659: @147270
     /*  147270 */   GIM_Reject,
     /*  147271 */ // Label 2633: @147271
     /*  147271 */ GIM_Reject,
     /*  147272 */ // Label 2448: @147272
     /*  147272 */ GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147386),
     /*  147277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  147280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  147283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147295 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147340), // Rule ID 47823 //
     /*  147300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147303 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147338 */     GIR_RootConstrainSelectedInstOperands,
     /*  147339 */     // GIR_Coverage, 47823,
     /*  147339 */     GIR_EraseRootFromParent_Done,
     /*  147340 */   // Label 2661: @147340
     /*  147340 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147385), // Rule ID 47824 //
     /*  147345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147348 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147383 */     GIR_RootConstrainSelectedInstOperands,
     /*  147384 */     // GIR_Coverage, 47824,
     /*  147384 */     GIR_EraseRootFromParent_Done,
     /*  147385 */   // Label 2662: @147385
     /*  147385 */   GIM_Reject,
     /*  147386 */ // Label 2660: @147386
     /*  147386 */ GIM_Reject,
     /*  147387 */ // Label 2449: @147387
     /*  147387 */ GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147501),
     /*  147392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  147395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  147398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147410 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147455), // Rule ID 47839 //
     /*  147415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147418 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147453 */     GIR_RootConstrainSelectedInstOperands,
     /*  147454 */     // GIR_Coverage, 47839,
     /*  147454 */     GIR_EraseRootFromParent_Done,
     /*  147455 */   // Label 2664: @147455
     /*  147455 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147500), // Rule ID 47840 //
     /*  147460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147463 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147498 */     GIR_RootConstrainSelectedInstOperands,
     /*  147499 */     // GIR_Coverage, 47840,
     /*  147499 */     GIR_EraseRootFromParent_Done,
     /*  147500 */   // Label 2665: @147500
     /*  147500 */   GIM_Reject,
     /*  147501 */ // Label 2663: @147501
     /*  147501 */ GIM_Reject,
     /*  147502 */ // Label 2450: @147502
     /*  147502 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147616),
     /*  147507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147525 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(147570), // Rule ID 47855 //
     /*  147530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147533 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147568 */     GIR_RootConstrainSelectedInstOperands,
     /*  147569 */     // GIR_Coverage, 47855,
     /*  147569 */     GIR_EraseRootFromParent_Done,
     /*  147570 */   // Label 2667: @147570
     /*  147570 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147615), // Rule ID 47856 //
     /*  147575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147578 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147613 */     GIR_RootConstrainSelectedInstOperands,
     /*  147614 */     // GIR_Coverage, 47856,
     /*  147614 */     GIR_EraseRootFromParent_Done,
     /*  147615 */   // Label 2668: @147615
     /*  147615 */   GIM_Reject,
     /*  147616 */ // Label 2666: @147616
     /*  147616 */ GIM_Reject,
     /*  147617 */ // Label 2451: @147617
     /*  147617 */ GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(149227),
     /*  147622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147632 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147701), // Rule ID 53123 //
     /*  147637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147680 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147699 */     GIR_RootConstrainSelectedInstOperands,
     /*  147700 */     // GIR_Coverage, 53123,
     /*  147700 */     GIR_EraseRootFromParent_Done,
     /*  147701 */   // Label 2670: @147701
     /*  147701 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(147770), // Rule ID 53124 //
     /*  147706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147749 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147768 */     GIR_RootConstrainSelectedInstOperands,
     /*  147769 */     // GIR_Coverage, 53124,
     /*  147769 */     GIR_EraseRootFromParent_Done,
     /*  147770 */   // Label 2671: @147770
     /*  147770 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(147839), // Rule ID 53125 //
     /*  147775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147818 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147837 */     GIR_RootConstrainSelectedInstOperands,
     /*  147838 */     // GIR_Coverage, 53125,
     /*  147838 */     GIR_EraseRootFromParent_Done,
     /*  147839 */   // Label 2672: @147839
     /*  147839 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(147908), // Rule ID 53126 //
     /*  147844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147887 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147906 */     GIR_RootConstrainSelectedInstOperands,
     /*  147907 */     // GIR_Coverage, 53126,
     /*  147907 */     GIR_EraseRootFromParent_Done,
     /*  147908 */   // Label 2673: @147908
     /*  147908 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(147974), // Rule ID 71125 //
     /*  147913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147972 */     GIR_RootConstrainSelectedInstOperands,
     /*  147973 */     // GIR_Coverage, 71125,
     /*  147973 */     GIR_EraseRootFromParent_Done,
     /*  147974 */   // Label 2674: @147974
     /*  147974 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148040), // Rule ID 71126 //
     /*  147979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148021 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148038 */     GIR_RootConstrainSelectedInstOperands,
     /*  148039 */     // GIR_Coverage, 71126,
     /*  148039 */     GIR_EraseRootFromParent_Done,
     /*  148040 */   // Label 2675: @148040
     /*  148040 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148106), // Rule ID 71123 //
     /*  148045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148087 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148104 */     GIR_RootConstrainSelectedInstOperands,
     /*  148105 */     // GIR_Coverage, 71123,
     /*  148105 */     GIR_EraseRootFromParent_Done,
     /*  148106 */   // Label 2676: @148106
     /*  148106 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148172), // Rule ID 71124 //
     /*  148111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148153 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148170 */     GIR_RootConstrainSelectedInstOperands,
     /*  148171 */     // GIR_Coverage, 71124,
     /*  148171 */     GIR_EraseRootFromParent_Done,
     /*  148172 */   // Label 2677: @148172
     /*  148172 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148241), // Rule ID 53127 //
     /*  148177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148220 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148239 */     GIR_RootConstrainSelectedInstOperands,
     /*  148240 */     // GIR_Coverage, 53127,
     /*  148240 */     GIR_EraseRootFromParent_Done,
     /*  148241 */   // Label 2678: @148241
     /*  148241 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148310), // Rule ID 53128 //
     /*  148246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148289 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148308 */     GIR_RootConstrainSelectedInstOperands,
     /*  148309 */     // GIR_Coverage, 53128,
     /*  148309 */     GIR_EraseRootFromParent_Done,
     /*  148310 */   // Label 2679: @148310
     /*  148310 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148379), // Rule ID 71119 //
     /*  148315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148358 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148377 */     GIR_RootConstrainSelectedInstOperands,
     /*  148378 */     // GIR_Coverage, 71119,
     /*  148378 */     GIR_EraseRootFromParent_Done,
     /*  148379 */   // Label 2680: @148379
     /*  148379 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148448), // Rule ID 71120 //
     /*  148384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148427 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148446 */     GIR_RootConstrainSelectedInstOperands,
     /*  148447 */     // GIR_Coverage, 71120,
     /*  148447 */     GIR_EraseRootFromParent_Done,
     /*  148448 */   // Label 2681: @148448
     /*  148448 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148517), // Rule ID 71121 //
     /*  148453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148496 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148515 */     GIR_RootConstrainSelectedInstOperands,
     /*  148516 */     // GIR_Coverage, 71121,
     /*  148516 */     GIR_EraseRootFromParent_Done,
     /*  148517 */   // Label 2682: @148517
     /*  148517 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148586), // Rule ID 71122 //
     /*  148522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148565 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148584 */     GIR_RootConstrainSelectedInstOperands,
     /*  148585 */     // GIR_Coverage, 71122,
     /*  148585 */     GIR_EraseRootFromParent_Done,
     /*  148586 */   // Label 2683: @148586
     /*  148586 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148655), // Rule ID 71127 //
     /*  148591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148634 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148653 */     GIR_RootConstrainSelectedInstOperands,
     /*  148654 */     // GIR_Coverage, 71127,
     /*  148654 */     GIR_EraseRootFromParent_Done,
     /*  148655 */   // Label 2684: @148655
     /*  148655 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148724), // Rule ID 71128 //
     /*  148660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148703 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148722 */     GIR_RootConstrainSelectedInstOperands,
     /*  148723 */     // GIR_Coverage, 71128,
     /*  148723 */     GIR_EraseRootFromParent_Done,
     /*  148724 */   // Label 2685: @148724
     /*  148724 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148790), // Rule ID 71131 //
     /*  148729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148788 */     GIR_RootConstrainSelectedInstOperands,
     /*  148789 */     // GIR_Coverage, 71131,
     /*  148789 */     GIR_EraseRootFromParent_Done,
     /*  148790 */   // Label 2686: @148790
     /*  148790 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148856), // Rule ID 71132 //
     /*  148795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148837 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148854 */     GIR_RootConstrainSelectedInstOperands,
     /*  148855 */     // GIR_Coverage, 71132,
     /*  148855 */     GIR_EraseRootFromParent_Done,
     /*  148856 */   // Label 2687: @148856
     /*  148856 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(148922), // Rule ID 71129 //
     /*  148861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148903 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148920 */     GIR_RootConstrainSelectedInstOperands,
     /*  148921 */     // GIR_Coverage, 71129,
     /*  148921 */     GIR_EraseRootFromParent_Done,
     /*  148922 */   // Label 2688: @148922
     /*  148922 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(148988), // Rule ID 71130 //
     /*  148927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148969 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148986 */     GIR_RootConstrainSelectedInstOperands,
     /*  148987 */     // GIR_Coverage, 71130,
     /*  148987 */     GIR_EraseRootFromParent_Done,
     /*  148988 */   // Label 2689: @148988
     /*  148988 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149031), // Rule ID 71145 //
     /*  148993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149014 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149029 */     GIR_RootConstrainSelectedInstOperands,
     /*  149030 */     // GIR_Coverage, 71145,
     /*  149030 */     GIR_EraseRootFromParent_Done,
     /*  149031 */   // Label 2690: @149031
     /*  149031 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149074), // Rule ID 71146 //
     /*  149036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149057 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149072 */     GIR_RootConstrainSelectedInstOperands,
     /*  149073 */     // GIR_Coverage, 71146,
     /*  149073 */     GIR_EraseRootFromParent_Done,
     /*  149074 */   // Label 2691: @149074
     /*  149074 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149117), // Rule ID 53133 //
     /*  149079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149100 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149115 */     GIR_RootConstrainSelectedInstOperands,
     /*  149116 */     // GIR_Coverage, 53133,
     /*  149116 */     GIR_EraseRootFromParent_Done,
     /*  149117 */   // Label 2692: @149117
     /*  149117 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149160), // Rule ID 53134 //
     /*  149122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149143 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149158 */     GIR_RootConstrainSelectedInstOperands,
     /*  149159 */     // GIR_Coverage, 53134,
     /*  149159 */     GIR_EraseRootFromParent_Done,
     /*  149160 */   // Label 2693: @149160
     /*  149160 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149193), // Rule ID 53121 //
     /*  149165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149176 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149191 */     GIR_RootConstrainSelectedInstOperands,
     /*  149192 */     // GIR_Coverage, 53121,
     /*  149192 */     GIR_EraseRootFromParent_Done,
     /*  149193 */   // Label 2694: @149193
     /*  149193 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149226), // Rule ID 53122 //
     /*  149198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149209 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149224 */     GIR_RootConstrainSelectedInstOperands,
     /*  149225 */     // GIR_Coverage, 53122,
     /*  149225 */     GIR_EraseRootFromParent_Done,
     /*  149226 */   // Label 2695: @149226
     /*  149226 */   GIM_Reject,
     /*  149227 */ // Label 2669: @149227
     /*  149227 */ GIM_Reject,
     /*  149228 */ // Label 2452: @149228
     /*  149228 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149342),
     /*  149233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  149236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  149239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149251 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149296), // Rule ID 47827 //
     /*  149256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149259 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149294 */     GIR_RootConstrainSelectedInstOperands,
     /*  149295 */     // GIR_Coverage, 47827,
     /*  149295 */     GIR_EraseRootFromParent_Done,
     /*  149296 */   // Label 2697: @149296
     /*  149296 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149341), // Rule ID 47828 //
     /*  149301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149304 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149339 */     GIR_RootConstrainSelectedInstOperands,
     /*  149340 */     // GIR_Coverage, 47828,
     /*  149340 */     GIR_EraseRootFromParent_Done,
     /*  149341 */   // Label 2698: @149341
     /*  149341 */   GIM_Reject,
     /*  149342 */ // Label 2696: @149342
     /*  149342 */ GIM_Reject,
     /*  149343 */ // Label 2453: @149343
     /*  149343 */ GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149457),
     /*  149348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  149351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  149354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149366 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(149411), // Rule ID 47843 //
     /*  149371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149374 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149409 */     GIR_RootConstrainSelectedInstOperands,
     /*  149410 */     // GIR_Coverage, 47843,
     /*  149410 */     GIR_EraseRootFromParent_Done,
     /*  149411 */   // Label 2700: @149411
     /*  149411 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149456), // Rule ID 47844 //
     /*  149416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149419 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149454 */     GIR_RootConstrainSelectedInstOperands,
     /*  149455 */     // GIR_Coverage, 47844,
     /*  149455 */     GIR_EraseRootFromParent_Done,
     /*  149456 */   // Label 2701: @149456
     /*  149456 */   GIM_Reject,
     /*  149457 */ // Label 2699: @149457
     /*  149457 */ GIM_Reject,
     /*  149458 */ // Label 2454: @149458
     /*  149458 */ GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(151068),
     /*  149463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149473 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149542), // Rule ID 53141 //
     /*  149478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149521 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149540 */     GIR_RootConstrainSelectedInstOperands,
     /*  149541 */     // GIR_Coverage, 53141,
     /*  149541 */     GIR_EraseRootFromParent_Done,
     /*  149542 */   // Label 2703: @149542
     /*  149542 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149611), // Rule ID 53142 //
     /*  149547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149590 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149609 */     GIR_RootConstrainSelectedInstOperands,
     /*  149610 */     // GIR_Coverage, 53142,
     /*  149610 */     GIR_EraseRootFromParent_Done,
     /*  149611 */   // Label 2704: @149611
     /*  149611 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149680), // Rule ID 53143 //
     /*  149616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149659 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149678 */     GIR_RootConstrainSelectedInstOperands,
     /*  149679 */     // GIR_Coverage, 53143,
     /*  149679 */     GIR_EraseRootFromParent_Done,
     /*  149680 */   // Label 2705: @149680
     /*  149680 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149749), // Rule ID 53144 //
     /*  149685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149728 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149747 */     GIR_RootConstrainSelectedInstOperands,
     /*  149748 */     // GIR_Coverage, 53144,
     /*  149748 */     GIR_EraseRootFromParent_Done,
     /*  149749 */   // Label 2706: @149749
     /*  149749 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(149815), // Rule ID 71153 //
     /*  149754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149796 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149813 */     GIR_RootConstrainSelectedInstOperands,
     /*  149814 */     // GIR_Coverage, 71153,
     /*  149814 */     GIR_EraseRootFromParent_Done,
     /*  149815 */   // Label 2707: @149815
     /*  149815 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(149881), // Rule ID 71154 //
     /*  149820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149862 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149879 */     GIR_RootConstrainSelectedInstOperands,
     /*  149880 */     // GIR_Coverage, 71154,
     /*  149880 */     GIR_EraseRootFromParent_Done,
     /*  149881 */   // Label 2708: @149881
     /*  149881 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(149947), // Rule ID 71151 //
     /*  149886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149928 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149945 */     GIR_RootConstrainSelectedInstOperands,
     /*  149946 */     // GIR_Coverage, 71151,
     /*  149946 */     GIR_EraseRootFromParent_Done,
     /*  149947 */   // Label 2709: @149947
     /*  149947 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150013), // Rule ID 71152 //
     /*  149952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149994 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150011 */     GIR_RootConstrainSelectedInstOperands,
     /*  150012 */     // GIR_Coverage, 71152,
     /*  150012 */     GIR_EraseRootFromParent_Done,
     /*  150013 */   // Label 2710: @150013
     /*  150013 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150082), // Rule ID 53145 //
     /*  150018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150061 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150080 */     GIR_RootConstrainSelectedInstOperands,
     /*  150081 */     // GIR_Coverage, 53145,
     /*  150081 */     GIR_EraseRootFromParent_Done,
     /*  150082 */   // Label 2711: @150082
     /*  150082 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150151), // Rule ID 53146 //
     /*  150087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150130 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150149 */     GIR_RootConstrainSelectedInstOperands,
     /*  150150 */     // GIR_Coverage, 53146,
     /*  150150 */     GIR_EraseRootFromParent_Done,
     /*  150151 */   // Label 2712: @150151
     /*  150151 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150220), // Rule ID 71147 //
     /*  150156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150199 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150218 */     GIR_RootConstrainSelectedInstOperands,
     /*  150219 */     // GIR_Coverage, 71147,
     /*  150219 */     GIR_EraseRootFromParent_Done,
     /*  150220 */   // Label 2713: @150220
     /*  150220 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150289), // Rule ID 71148 //
     /*  150225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150268 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150287 */     GIR_RootConstrainSelectedInstOperands,
     /*  150288 */     // GIR_Coverage, 71148,
     /*  150288 */     GIR_EraseRootFromParent_Done,
     /*  150289 */   // Label 2714: @150289
     /*  150289 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150358), // Rule ID 71149 //
     /*  150294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150337 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150356 */     GIR_RootConstrainSelectedInstOperands,
     /*  150357 */     // GIR_Coverage, 71149,
     /*  150357 */     GIR_EraseRootFromParent_Done,
     /*  150358 */   // Label 2715: @150358
     /*  150358 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150427), // Rule ID 71150 //
     /*  150363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150406 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150425 */     GIR_RootConstrainSelectedInstOperands,
     /*  150426 */     // GIR_Coverage, 71150,
     /*  150426 */     GIR_EraseRootFromParent_Done,
     /*  150427 */   // Label 2716: @150427
     /*  150427 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150496), // Rule ID 71155 //
     /*  150432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150475 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150494 */     GIR_RootConstrainSelectedInstOperands,
     /*  150495 */     // GIR_Coverage, 71155,
     /*  150495 */     GIR_EraseRootFromParent_Done,
     /*  150496 */   // Label 2717: @150496
     /*  150496 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150565), // Rule ID 71156 //
     /*  150501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150544 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150563 */     GIR_RootConstrainSelectedInstOperands,
     /*  150564 */     // GIR_Coverage, 71156,
     /*  150564 */     GIR_EraseRootFromParent_Done,
     /*  150565 */   // Label 2718: @150565
     /*  150565 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150631), // Rule ID 71159 //
     /*  150570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150612 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150629 */     GIR_RootConstrainSelectedInstOperands,
     /*  150630 */     // GIR_Coverage, 71159,
     /*  150630 */     GIR_EraseRootFromParent_Done,
     /*  150631 */   // Label 2719: @150631
     /*  150631 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150697), // Rule ID 71160 //
     /*  150636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150678 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150695 */     GIR_RootConstrainSelectedInstOperands,
     /*  150696 */     // GIR_Coverage, 71160,
     /*  150696 */     GIR_EraseRootFromParent_Done,
     /*  150697 */   // Label 2720: @150697
     /*  150697 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150763), // Rule ID 71157 //
     /*  150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150744 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150761 */     GIR_RootConstrainSelectedInstOperands,
     /*  150762 */     // GIR_Coverage, 71157,
     /*  150762 */     GIR_EraseRootFromParent_Done,
     /*  150763 */   // Label 2721: @150763
     /*  150763 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150829), // Rule ID 71158 //
     /*  150768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150810 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150827 */     GIR_RootConstrainSelectedInstOperands,
     /*  150828 */     // GIR_Coverage, 71158,
     /*  150828 */     GIR_EraseRootFromParent_Done,
     /*  150829 */   // Label 2722: @150829
     /*  150829 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150872), // Rule ID 71173 //
     /*  150834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150855 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150870 */     GIR_RootConstrainSelectedInstOperands,
     /*  150871 */     // GIR_Coverage, 71173,
     /*  150871 */     GIR_EraseRootFromParent_Done,
     /*  150872 */   // Label 2723: @150872
     /*  150872 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(150915), // Rule ID 71174 //
     /*  150877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150898 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150913 */     GIR_RootConstrainSelectedInstOperands,
     /*  150914 */     // GIR_Coverage, 71174,
     /*  150914 */     GIR_EraseRootFromParent_Done,
     /*  150915 */   // Label 2724: @150915
     /*  150915 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(150958), // Rule ID 53151 //
     /*  150920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150941 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150956 */     GIR_RootConstrainSelectedInstOperands,
     /*  150957 */     // GIR_Coverage, 53151,
     /*  150957 */     GIR_EraseRootFromParent_Done,
     /*  150958 */   // Label 2725: @150958
     /*  150958 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151001), // Rule ID 53152 //
     /*  150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150984 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150999 */     GIR_RootConstrainSelectedInstOperands,
     /*  151000 */     // GIR_Coverage, 53152,
     /*  151000 */     GIR_EraseRootFromParent_Done,
     /*  151001 */   // Label 2726: @151001
     /*  151001 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151034), // Rule ID 53139 //
     /*  151006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151017 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151032 */     GIR_RootConstrainSelectedInstOperands,
     /*  151033 */     // GIR_Coverage, 53139,
     /*  151033 */     GIR_EraseRootFromParent_Done,
     /*  151034 */   // Label 2727: @151034
     /*  151034 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151067), // Rule ID 53140 //
     /*  151039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151050 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151065 */     GIR_RootConstrainSelectedInstOperands,
     /*  151066 */     // GIR_Coverage, 53140,
     /*  151066 */     GIR_EraseRootFromParent_Done,
     /*  151067 */   // Label 2728: @151067
     /*  151067 */   GIM_Reject,
     /*  151068 */ // Label 2702: @151068
     /*  151068 */ GIM_Reject,
     /*  151069 */ // Label 2455: @151069
     /*  151069 */ GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151183),
     /*  151074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  151077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  151080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151092 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151137), // Rule ID 47831 //
     /*  151097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151100 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151135 */     GIR_RootConstrainSelectedInstOperands,
     /*  151136 */     // GIR_Coverage, 47831,
     /*  151136 */     GIR_EraseRootFromParent_Done,
     /*  151137 */   // Label 2730: @151137
     /*  151137 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(151182), // Rule ID 47832 //
     /*  151142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151145 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151180 */     GIR_RootConstrainSelectedInstOperands,
     /*  151181 */     // GIR_Coverage, 47832,
     /*  151181 */     GIR_EraseRootFromParent_Done,
     /*  151182 */   // Label 2731: @151182
     /*  151182 */   GIM_Reject,
     /*  151183 */ // Label 2729: @151183
     /*  151183 */ GIM_Reject,
     /*  151184 */ // Label 2456: @151184
     /*  151184 */ GIM_Reject,
     /*  151185 */ // Label 10: @151185
     /*  151185 */ GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151245),
     /*  151190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  151194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151198 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(151221), // Rule ID 110 //
     /*  151203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  151206 */     // MIs[0] Operand 1
     /*  151206 */     // No operand predicates
     /*  151206 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  151206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151211 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151219 */     GIR_RootConstrainSelectedInstOperands,
     /*  151220 */     // GIR_Coverage, 110,
     /*  151220 */     GIR_EraseRootFromParent_Done,
     /*  151221 */   // Label 2733: @151221
     /*  151221 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(151244), // Rule ID 111 //
     /*  151226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  151229 */     // MIs[0] Operand 1
     /*  151229 */     // No operand predicates
     /*  151229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  151229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151242 */     GIR_RootConstrainSelectedInstOperands,
     /*  151243 */     // GIR_Coverage, 111,
     /*  151243 */     GIR_EraseRootFromParent_Done,
     /*  151244 */   // Label 2734: @151244
     /*  151244 */   GIM_Reject,
     /*  151245 */ // Label 2732: @151245
     /*  151245 */ GIM_Reject,
     /*  151246 */ // Label 11: @151246
     /*  151246 */ GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(151306),
     /*  151251 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151254 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  151257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  151263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151275 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151290), // Rule ID 50 //
     /*  151280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151283 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151288 */     GIR_RootConstrainSelectedInstOperands,
     /*  151289 */     // GIR_Coverage, 50,
     /*  151289 */     GIR_Done,
     /*  151290 */   // Label 2736: @151290
     /*  151290 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151305), // Rule ID 51 //
     /*  151295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151298 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151303 */     GIR_RootConstrainSelectedInstOperands,
     /*  151304 */     // GIR_Coverage, 51,
     /*  151304 */     GIR_Done,
     /*  151305 */   // Label 2737: @151305
     /*  151305 */   GIM_Reject,
     /*  151306 */ // Label 2735: @151306
     /*  151306 */ GIM_Reject,
     /*  151307 */ // Label 12: @151307
     /*  151307 */ GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151397),
     /*  151312 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151315 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  151318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  151324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151336 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151351), // Rule ID 48 //
     /*  151341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151344 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151349 */     GIR_RootConstrainSelectedInstOperands,
     /*  151350 */     // GIR_Coverage, 48,
     /*  151350 */     GIR_Done,
     /*  151351 */   // Label 2739: @151351
     /*  151351 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151366), // Rule ID 49 //
     /*  151356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151359 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151364 */     GIR_RootConstrainSelectedInstOperands,
     /*  151365 */     // GIR_Coverage, 49,
     /*  151365 */     GIR_Done,
     /*  151366 */   // Label 2740: @151366
     /*  151366 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(151381), // Rule ID 2287 //
     /*  151371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  151374 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151379 */     GIR_RootConstrainSelectedInstOperands,
     /*  151380 */     // GIR_Coverage, 2287,
     /*  151380 */     GIR_Done,
     /*  151381 */   // Label 2741: @151381
     /*  151381 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(151396), // Rule ID 2288 //
     /*  151386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  151389 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151394 */     GIR_RootConstrainSelectedInstOperands,
     /*  151395 */     // GIR_Coverage, 2288,
     /*  151395 */     GIR_Done,
     /*  151396 */   // Label 2742: @151396
     /*  151396 */   GIM_Reject,
     /*  151397 */ // Label 2738: @151397
     /*  151397 */ GIM_Reject,
     /*  151398 */ // Label 13: @151398
     /*  151398 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2745*/ GIMT_Encode4(151764),
     /*  151409 */ /*GILLT_s32*//*Label 2743*/ GIMT_Encode4(151417),
     /*  151413 */ /*GILLT_s64*//*Label 2744*/ GIMT_Encode4(151654),
     /*  151417 */ // Label 2743: @151417
     /*  151417 */ GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151653),
     /*  151422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151425 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151448), // Rule ID 1330 //
     /*  151430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151441 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151446 */     GIR_RootConstrainSelectedInstOperands,
     /*  151447 */     // GIR_Coverage, 1330,
     /*  151447 */     GIR_Done,
     /*  151448 */   // Label 2747: @151448
     /*  151448 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151471), // Rule ID 1331 //
     /*  151453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151469 */     GIR_RootConstrainSelectedInstOperands,
     /*  151470 */     // GIR_Coverage, 1331,
     /*  151470 */     GIR_Done,
     /*  151471 */   // Label 2748: @151471
     /*  151471 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(151494), // Rule ID 1332 //
     /*  151476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151487 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151492 */     GIR_RootConstrainSelectedInstOperands,
     /*  151493 */     // GIR_Coverage, 1332,
     /*  151493 */     GIR_Done,
     /*  151494 */   // Label 2749: @151494
     /*  151494 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(151517), // Rule ID 1333 //
     /*  151499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151515 */     GIR_RootConstrainSelectedInstOperands,
     /*  151516 */     // GIR_Coverage, 1333,
     /*  151516 */     GIR_Done,
     /*  151517 */   // Label 2750: @151517
     /*  151517 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(151555), // Rule ID 1334 //
     /*  151522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151533 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151538 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151554 */     // GIR_Coverage, 1334,
     /*  151554 */     GIR_EraseRootFromParent_Done,
     /*  151555 */   // Label 2751: @151555
     /*  151555 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(151593), // Rule ID 1335 //
     /*  151560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151571 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151576 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151592 */     // GIR_Coverage, 1335,
     /*  151592 */     GIR_EraseRootFromParent_Done,
     /*  151593 */   // Label 2752: @151593
     /*  151593 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151652), // Rule ID 1336 //
     /*  151598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151609 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151651 */     // GIR_Coverage, 1336,
     /*  151651 */     GIR_EraseRootFromParent_Done,
     /*  151652 */   // Label 2753: @151652
     /*  151652 */   GIM_Reject,
     /*  151653 */ // Label 2746: @151653
     /*  151653 */ GIM_Reject,
     /*  151654 */ // Label 2744: @151654
     /*  151654 */ GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151763),
     /*  151659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151662 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151685), // Rule ID 1783 //
     /*  151667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151678 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151683 */     GIR_RootConstrainSelectedInstOperands,
     /*  151684 */     // GIR_Coverage, 1783,
     /*  151684 */     GIR_Done,
     /*  151685 */   // Label 2755: @151685
     /*  151685 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151708), // Rule ID 1784 //
     /*  151690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151701 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151706 */     GIR_RootConstrainSelectedInstOperands,
     /*  151707 */     // GIR_Coverage, 1784,
     /*  151707 */     GIR_Done,
     /*  151708 */   // Label 2756: @151708
     /*  151708 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(151735), // Rule ID 1811 //
     /*  151713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151724 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151729 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151734 */     // GIR_Coverage, 1811,
     /*  151734 */     GIR_Done,
     /*  151735 */   // Label 2757: @151735
     /*  151735 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(151762), // Rule ID 1812 //
     /*  151740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151751 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151761 */     // GIR_Coverage, 1812,
     /*  151761 */     GIR_Done,
     /*  151762 */   // Label 2758: @151762
     /*  151762 */   GIM_Reject,
     /*  151763 */ // Label 2754: @151763
     /*  151763 */ GIM_Reject,
     /*  151764 */ // Label 2745: @151764
     /*  151764 */ GIM_Reject,
     /*  151765 */ // Label 14: @151765
     /*  151765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2762*/ GIMT_Encode4(151962),
     /*  151776 */ /*GILLT_s16*//*Label 2759*/ GIMT_Encode4(151788),
     /*  151780 */ /*GILLT_s32*//*Label 2760*/ GIMT_Encode4(151846),
     /*  151784 */ /*GILLT_s64*//*Label 2761*/ GIMT_Encode4(151904),
     /*  151788 */ // Label 2759: @151788
     /*  151788 */ GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(151845),
     /*  151793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151804 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(151824), // Rule ID 2319 //
     /*  151809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151812 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151822 */     GIR_RootConstrainSelectedInstOperands,
     /*  151823 */     // GIR_Coverage, 2319,
     /*  151823 */     GIR_EraseRootFromParent_Done,
     /*  151824 */   // Label 2764: @151824
     /*  151824 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(151844), // Rule ID 2320 //
     /*  151829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151832 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151842 */     GIR_RootConstrainSelectedInstOperands,
     /*  151843 */     // GIR_Coverage, 2320,
     /*  151843 */     GIR_EraseRootFromParent_Done,
     /*  151844 */   // Label 2765: @151844
     /*  151844 */   GIM_Reject,
     /*  151845 */ // Label 2763: @151845
     /*  151845 */ GIM_Reject,
     /*  151846 */ // Label 2760: @151846
     /*  151846 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151903),
     /*  151851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151862 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151882), // Rule ID 2237 //
     /*  151867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151870 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151880 */     GIR_RootConstrainSelectedInstOperands,
     /*  151881 */     // GIR_Coverage, 2237,
     /*  151881 */     GIR_EraseRootFromParent_Done,
     /*  151882 */   // Label 2767: @151882
     /*  151882 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151902), // Rule ID 2238 //
     /*  151887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151890 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151900 */     GIR_RootConstrainSelectedInstOperands,
     /*  151901 */     // GIR_Coverage, 2238,
     /*  151901 */     GIR_EraseRootFromParent_Done,
     /*  151902 */   // Label 2768: @151902
     /*  151902 */   GIM_Reject,
     /*  151903 */ // Label 2766: @151903
     /*  151903 */ GIM_Reject,
     /*  151904 */ // Label 2761: @151904
     /*  151904 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151961),
     /*  151909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151920 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(151940), // Rule ID 2277 //
     /*  151925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151928 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151938 */     GIR_RootConstrainSelectedInstOperands,
     /*  151939 */     // GIR_Coverage, 2277,
     /*  151939 */     GIR_EraseRootFromParent_Done,
     /*  151940 */   // Label 2770: @151940
     /*  151940 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(151960), // Rule ID 2278 //
     /*  151945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151948 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151958 */     GIR_RootConstrainSelectedInstOperands,
     /*  151959 */     // GIR_Coverage, 2278,
     /*  151959 */     GIR_EraseRootFromParent_Done,
     /*  151960 */   // Label 2771: @151960
     /*  151960 */   GIM_Reject,
     /*  151961 */ // Label 2769: @151961
     /*  151961 */ GIM_Reject,
     /*  151962 */ // Label 2762: @151962
     /*  151962 */ GIM_Reject,
     /*  151963 */ // Label 15: @151963
     /*  151963 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2775*/ GIMT_Encode4(152160),
     /*  151974 */ /*GILLT_s16*//*Label 2772*/ GIMT_Encode4(151986),
     /*  151978 */ /*GILLT_s32*//*Label 2773*/ GIMT_Encode4(152044),
     /*  151982 */ /*GILLT_s64*//*Label 2774*/ GIMT_Encode4(152102),
     /*  151986 */ // Label 2772: @151986
     /*  151986 */ GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(152043),
     /*  151991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152002 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(152022), // Rule ID 2303 //
     /*  152007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152010 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  152010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152020 */     GIR_RootConstrainSelectedInstOperands,
     /*  152021 */     // GIR_Coverage, 2303,
     /*  152021 */     GIR_EraseRootFromParent_Done,
     /*  152022 */   // Label 2777: @152022
     /*  152022 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(152042), // Rule ID 2304 //
     /*  152027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152030 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  152030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152040 */     GIR_RootConstrainSelectedInstOperands,
     /*  152041 */     // GIR_Coverage, 2304,
     /*  152041 */     GIR_EraseRootFromParent_Done,
     /*  152042 */   // Label 2778: @152042
     /*  152042 */   GIM_Reject,
     /*  152043 */ // Label 2776: @152043
     /*  152043 */ GIM_Reject,
     /*  152044 */ // Label 2773: @152044
     /*  152044 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(152101),
     /*  152049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152060 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(152080), // Rule ID 2221 //
     /*  152065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152068 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  152068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152078 */     GIR_RootConstrainSelectedInstOperands,
     /*  152079 */     // GIR_Coverage, 2221,
     /*  152079 */     GIR_EraseRootFromParent_Done,
     /*  152080 */   // Label 2780: @152080
     /*  152080 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(152100), // Rule ID 2222 //
     /*  152085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152088 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  152088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152098 */     GIR_RootConstrainSelectedInstOperands,
     /*  152099 */     // GIR_Coverage, 2222,
     /*  152099 */     GIR_EraseRootFromParent_Done,
     /*  152100 */   // Label 2781: @152100
     /*  152100 */   GIM_Reject,
     /*  152101 */ // Label 2779: @152101
     /*  152101 */ GIM_Reject,
     /*  152102 */ // Label 2774: @152102
     /*  152102 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(152159),
     /*  152107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152118 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(152138), // Rule ID 2261 //
     /*  152123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152126 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  152126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 2261,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2783: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(152158), // Rule ID 2262 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152146 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  152146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152156 */     GIR_RootConstrainSelectedInstOperands,
     /*  152157 */     // GIR_Coverage, 2262,
     /*  152157 */     GIR_EraseRootFromParent_Done,
     /*  152158 */   // Label 2784: @152158
     /*  152158 */   GIM_Reject,
     /*  152159 */ // Label 2782: @152159
     /*  152159 */ GIM_Reject,
     /*  152160 */ // Label 2775: @152160
     /*  152160 */ GIM_Reject,
     /*  152161 */ // Label 16: @152161
     /*  152161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2787*/ GIMT_Encode4(152740),
     /*  152172 */ /*GILLT_s32*//*Label 2785*/ GIMT_Encode4(152180),
     /*  152176 */ /*GILLT_s64*//*Label 2786*/ GIMT_Encode4(152553),
     /*  152180 */ // Label 2785: @152180
     /*  152180 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152211), // Rule ID 1349 //
     /*  152185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  152188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152199 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152209 */   GIR_RootConstrainSelectedInstOperands,
     /*  152210 */   // GIR_Coverage, 1349,
     /*  152210 */   GIR_EraseRootFromParent_Done,
     /*  152211 */ // Label 2788: @152211
     /*  152211 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152242), // Rule ID 1350 //
     /*  152216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  152219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152230 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152240 */   GIR_RootConstrainSelectedInstOperands,
     /*  152241 */   // GIR_Coverage, 1350,
     /*  152241 */   GIR_EraseRootFromParent_Done,
     /*  152242 */ // Label 2789: @152242
     /*  152242 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152273), // Rule ID 1375 //
     /*  152247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  152250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152261 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152271 */   GIR_RootConstrainSelectedInstOperands,
     /*  152272 */   // GIR_Coverage, 1375,
     /*  152272 */   GIR_EraseRootFromParent_Done,
     /*  152273 */ // Label 2790: @152273
     /*  152273 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152304), // Rule ID 1376 //
     /*  152278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  152281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152292 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152302 */   GIR_RootConstrainSelectedInstOperands,
     /*  152303 */   // GIR_Coverage, 1376,
     /*  152303 */   GIR_EraseRootFromParent_Done,
     /*  152304 */ // Label 2791: @152304
     /*  152304 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152335), // Rule ID 1743 //
     /*  152309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  152312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152323 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152333 */   GIR_RootConstrainSelectedInstOperands,
     /*  152334 */   // GIR_Coverage, 1743,
     /*  152334 */   GIR_EraseRootFromParent_Done,
     /*  152335 */ // Label 2792: @152335
     /*  152335 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152366), // Rule ID 1744 //
     /*  152340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  152343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152354 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152364 */   GIR_RootConstrainSelectedInstOperands,
     /*  152365 */   // GIR_Coverage, 1744,
     /*  152365 */   GIR_EraseRootFromParent_Done,
     /*  152366 */ // Label 2793: @152366
     /*  152366 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152397), // Rule ID 1769 //
     /*  152371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  152374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152385 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152395 */   GIR_RootConstrainSelectedInstOperands,
     /*  152396 */   // GIR_Coverage, 1769,
     /*  152396 */   GIR_EraseRootFromParent_Done,
     /*  152397 */ // Label 2794: @152397
     /*  152397 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152428), // Rule ID 1770 //
     /*  152402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  152405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152416 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152426 */   GIR_RootConstrainSelectedInstOperands,
     /*  152427 */   // GIR_Coverage, 1770,
     /*  152427 */   GIR_EraseRootFromParent_Done,
     /*  152428 */ // Label 2795: @152428
     /*  152428 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152459), // Rule ID 2085 //
     /*  152433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  152436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152447 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152457 */   GIR_RootConstrainSelectedInstOperands,
     /*  152458 */   // GIR_Coverage, 2085,
     /*  152458 */   GIR_EraseRootFromParent_Done,
     /*  152459 */ // Label 2796: @152459
     /*  152459 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(152490), // Rule ID 2086 //
     /*  152464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152478 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152488 */   GIR_RootConstrainSelectedInstOperands,
     /*  152489 */   // GIR_Coverage, 2086,
     /*  152489 */   GIR_EraseRootFromParent_Done,
     /*  152490 */ // Label 2797: @152490
     /*  152490 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(152521), // Rule ID 2111 //
     /*  152495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152509 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152519 */   GIR_RootConstrainSelectedInstOperands,
     /*  152520 */   // GIR_Coverage, 2111,
     /*  152520 */   GIR_EraseRootFromParent_Done,
     /*  152521 */ // Label 2798: @152521
     /*  152521 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(152552), // Rule ID 2112 //
     /*  152526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152540 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152550 */   GIR_RootConstrainSelectedInstOperands,
     /*  152551 */   // GIR_Coverage, 2112,
     /*  152551 */   GIR_EraseRootFromParent_Done,
     /*  152552 */ // Label 2799: @152552
     /*  152552 */ GIM_Reject,
     /*  152553 */ // Label 2786: @152553
     /*  152553 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(152584), // Rule ID 1402 //
     /*  152558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152572 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152582 */   GIR_RootConstrainSelectedInstOperands,
     /*  152583 */   // GIR_Coverage, 1402,
     /*  152583 */   GIR_EraseRootFromParent_Done,
     /*  152584 */ // Label 2800: @152584
     /*  152584 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152615), // Rule ID 1430 //
     /*  152589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152603 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152613 */   GIR_RootConstrainSelectedInstOperands,
     /*  152614 */   // GIR_Coverage, 1430,
     /*  152614 */   GIR_EraseRootFromParent_Done,
     /*  152615 */ // Label 2801: @152615
     /*  152615 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152646), // Rule ID 1800 //
     /*  152620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152634 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152644 */   GIR_RootConstrainSelectedInstOperands,
     /*  152645 */   // GIR_Coverage, 1800,
     /*  152645 */   GIR_EraseRootFromParent_Done,
     /*  152646 */ // Label 2802: @152646
     /*  152646 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152677), // Rule ID 1828 //
     /*  152651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152665 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152675 */   GIR_RootConstrainSelectedInstOperands,
     /*  152676 */   // GIR_Coverage, 1828,
     /*  152676 */   GIR_EraseRootFromParent_Done,
     /*  152677 */ // Label 2803: @152677
     /*  152677 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152708), // Rule ID 2136 //
     /*  152682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152696 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152706 */   GIR_RootConstrainSelectedInstOperands,
     /*  152707 */   // GIR_Coverage, 2136,
     /*  152707 */   GIR_EraseRootFromParent_Done,
     /*  152708 */ // Label 2804: @152708
     /*  152708 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(152739), // Rule ID 2162 //
     /*  152713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152727 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152737 */   GIR_RootConstrainSelectedInstOperands,
     /*  152738 */   // GIR_Coverage, 2162,
     /*  152738 */   GIR_EraseRootFromParent_Done,
     /*  152739 */ // Label 2805: @152739
     /*  152739 */ GIM_Reject,
     /*  152740 */ // Label 2787: @152740
     /*  152740 */ GIM_Reject,
     /*  152741 */ // Label 17: @152741
     /*  152741 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(152950),
     /*  152746 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152749 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2810*/ GIMT_Encode4(152949),
     /*  152760 */   /*GILLT_s16*//*Label 2807*/ GIMT_Encode4(152772),
     /*  152764 */   /*GILLT_s32*//*Label 2808*/ GIMT_Encode4(152831),
     /*  152768 */   /*GILLT_s64*//*Label 2809*/ GIMT_Encode4(152890),
     /*  152772 */   // Label 2807: @152772
     /*  152772 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(152830),
     /*  152777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152781 */     GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(152805), // Rule ID 2138 //
     /*  152786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152789 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152793 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152793 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152796 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152798 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152800 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152803 */       GIR_RootConstrainSelectedInstOperands,
     /*  152804 */       // GIR_Coverage, 2138,
     /*  152804 */       GIR_EraseRootFromParent_Done,
     /*  152805 */     // Label 2812: @152805
     /*  152805 */     GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(152829), // Rule ID 2164 //
     /*  152810 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152813 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152817 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152817 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152820 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152822 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152824 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152827 */       GIR_RootConstrainSelectedInstOperands,
     /*  152828 */       // GIR_Coverage, 2164,
     /*  152828 */       GIR_EraseRootFromParent_Done,
     /*  152829 */     // Label 2813: @152829
     /*  152829 */     GIM_Reject,
     /*  152830 */   // Label 2811: @152830
     /*  152830 */   GIM_Reject,
     /*  152831 */   // Label 2808: @152831
     /*  152831 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152889),
     /*  152836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152840 */     GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152864), // Rule ID 1404 //
     /*  152845 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152848 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152852 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152857 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152859 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152862 */       GIR_RootConstrainSelectedInstOperands,
     /*  152863 */       // GIR_Coverage, 1404,
     /*  152863 */       GIR_EraseRootFromParent_Done,
     /*  152864 */     // Label 2815: @152864
     /*  152864 */     GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152888), // Rule ID 1432 //
     /*  152869 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152872 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152876 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152876 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152879 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152881 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152883 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152886 */       GIR_RootConstrainSelectedInstOperands,
     /*  152887 */       // GIR_Coverage, 1432,
     /*  152887 */       GIR_EraseRootFromParent_Done,
     /*  152888 */     // Label 2816: @152888
     /*  152888 */     GIM_Reject,
     /*  152889 */   // Label 2814: @152889
     /*  152889 */   GIM_Reject,
     /*  152890 */   // Label 2809: @152890
     /*  152890 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152948),
     /*  152895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152899 */     GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(152923), // Rule ID 1802 //
     /*  152904 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152907 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152911 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152911 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152914 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152916 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152918 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152921 */       GIR_RootConstrainSelectedInstOperands,
     /*  152922 */       // GIR_Coverage, 1802,
     /*  152922 */       GIR_EraseRootFromParent_Done,
     /*  152923 */     // Label 2818: @152923
     /*  152923 */     GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(152947), // Rule ID 1830 //
     /*  152928 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152931 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152935 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152935 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152938 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152942 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152945 */       GIR_RootConstrainSelectedInstOperands,
     /*  152946 */       // GIR_Coverage, 1830,
     /*  152946 */       GIR_EraseRootFromParent_Done,
     /*  152947 */     // Label 2819: @152947
     /*  152947 */     GIM_Reject,
     /*  152948 */   // Label 2817: @152948
     /*  152948 */   GIM_Reject,
     /*  152949 */   // Label 2810: @152949
     /*  152949 */   GIM_Reject,
     /*  152950 */ // Label 2806: @152950
     /*  152950 */ GIM_Reject,
     /*  152951 */ // Label 18: @152951
     /*  152951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2823*/ GIMT_Encode4(153148),
     /*  152962 */ /*GILLT_s16*//*Label 2820*/ GIMT_Encode4(152974),
     /*  152966 */ /*GILLT_s32*//*Label 2821*/ GIMT_Encode4(153032),
     /*  152970 */ /*GILLT_s64*//*Label 2822*/ GIMT_Encode4(153090),
     /*  152974 */ // Label 2820: @152974
     /*  152974 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(153031),
     /*  152979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152990 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(153010), // Rule ID 2307 //
     /*  152995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152998 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  152998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153008 */     GIR_RootConstrainSelectedInstOperands,
     /*  153009 */     // GIR_Coverage, 2307,
     /*  153009 */     GIR_EraseRootFromParent_Done,
     /*  153010 */   // Label 2825: @153010
     /*  153010 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(153030), // Rule ID 2308 //
     /*  153015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  153018 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  153018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153028 */     GIR_RootConstrainSelectedInstOperands,
     /*  153029 */     // GIR_Coverage, 2308,
     /*  153029 */     GIR_EraseRootFromParent_Done,
     /*  153030 */   // Label 2826: @153030
     /*  153030 */   GIM_Reject,
     /*  153031 */ // Label 2824: @153031
     /*  153031 */ GIM_Reject,
     /*  153032 */ // Label 2821: @153032
     /*  153032 */ GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(153089),
     /*  153037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  153040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153048 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(153068), // Rule ID 2225 //
     /*  153053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  153056 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  153056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153066 */     GIR_RootConstrainSelectedInstOperands,
     /*  153067 */     // GIR_Coverage, 2225,
     /*  153067 */     GIR_EraseRootFromParent_Done,
     /*  153068 */   // Label 2828: @153068
     /*  153068 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(153088), // Rule ID 2226 //
     /*  153073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  153076 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  153076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153086 */     GIR_RootConstrainSelectedInstOperands,
     /*  153087 */     // GIR_Coverage, 2226,
     /*  153087 */     GIR_EraseRootFromParent_Done,
     /*  153088 */   // Label 2829: @153088
     /*  153088 */   GIM_Reject,
     /*  153089 */ // Label 2827: @153089
     /*  153089 */ GIM_Reject,
     /*  153090 */ // Label 2822: @153090
     /*  153090 */ GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(153147),
     /*  153095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  153098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153106 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(153126), // Rule ID 2265 //
     /*  153111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  153114 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  153114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153124 */     GIR_RootConstrainSelectedInstOperands,
     /*  153125 */     // GIR_Coverage, 2265,
     /*  153125 */     GIR_EraseRootFromParent_Done,
     /*  153126 */   // Label 2831: @153126
     /*  153126 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(153146), // Rule ID 2266 //
     /*  153131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  153134 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  153134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153144 */     GIR_RootConstrainSelectedInstOperands,
     /*  153145 */     // GIR_Coverage, 2266,
     /*  153145 */     GIR_EraseRootFromParent_Done,
     /*  153146 */   // Label 2832: @153146
     /*  153146 */   GIM_Reject,
     /*  153147 */ // Label 2830: @153147
     /*  153147 */ GIM_Reject,
     /*  153148 */ // Label 2823: @153148
     /*  153148 */ GIM_Reject,
     /*  153149 */ // Label 19: @153149
     /*  153149 */ GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(153187), // Rule ID 281 //
     /*  153154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153157 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153164 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  153164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153169 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  153179 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153185 */   GIR_RootConstrainSelectedInstOperands,
     /*  153186 */   // GIR_Coverage, 281,
     /*  153186 */   GIR_EraseRootFromParent_Done,
     /*  153187 */ // Label 2833: @153187
     /*  153187 */ GIM_Reject,
     /*  153188 */ // Label 20: @153188
     /*  153188 */ GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(153226), // Rule ID 282 //
     /*  153193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153196 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153203 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  153203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153208 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  153218 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153224 */   GIR_RootConstrainSelectedInstOperands,
     /*  153225 */   // GIR_Coverage, 282,
     /*  153225 */   GIR_EraseRootFromParent_Done,
     /*  153226 */ // Label 2834: @153226
     /*  153226 */ GIM_Reject,
     /*  153227 */ // Label 21: @153227
     /*  153227 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(163338),
     /*  153238 */ /*GILLT_p0s32*//*Label 2835*/ GIMT_Encode4(153374),
     /*  153242 */ /*GILLT_p0s64*//*Label 2836*/ GIMT_Encode4(153468),
     /*  153246 */ /*GILLT_s16*//*Label 2837*/ GIMT_Encode4(153562),
     /*  153250 */ /*GILLT_s32*//*Label 2838*/ GIMT_Encode4(154201),
     /*  153254 */ /*GILLT_s64*//*Label 2839*/ GIMT_Encode4(156932),
     /*  153258 */ /*GILLT_nxv1s1*//*Label 2840*/ GIMT_Encode4(158032),
     /*  153262 */ /*GILLT_nxv1s8*//*Label 2841*/ GIMT_Encode4(158152),
     /*  153266 */ /*GILLT_nxv1s16*//*Label 2842*/ GIMT_Encode4(158280),
     /*  153270 */ /*GILLT_nxv1s32*//*Label 2843*/ GIMT_Encode4(158518),
     /*  153274 */ /*GILLT_nxv1s64*//*Label 2844*/ GIMT_Encode4(158756),
     /*  153278 */ /*GILLT_nxv2s1*//*Label 2845*/ GIMT_Encode4(158994),
     /*  153282 */ /*GILLT_nxv2s8*//*Label 2846*/ GIMT_Encode4(159114),
     /*  153286 */ /*GILLT_nxv2s16*//*Label 2847*/ GIMT_Encode4(159242),
     /*  153290 */ /*GILLT_nxv2s32*//*Label 2848*/ GIMT_Encode4(159480),
     /*  153294 */ /*GILLT_nxv2s64*//*Label 2849*/ GIMT_Encode4(159718),
     /*  153298 */ /*GILLT_nxv4s1*//*Label 2850*/ GIMT_Encode4(159956),
     /*  153302 */ /*GILLT_nxv4s8*//*Label 2851*/ GIMT_Encode4(160076),
     /*  153306 */ /*GILLT_nxv4s16*//*Label 2852*/ GIMT_Encode4(160204),
     /*  153310 */ /*GILLT_nxv4s32*//*Label 2853*/ GIMT_Encode4(160442),
     /*  153314 */ /*GILLT_nxv4s64*//*Label 2854*/ GIMT_Encode4(160680),
     /*  153318 */ /*GILLT_nxv8s1*//*Label 2855*/ GIMT_Encode4(160918),
     /*  153322 */ /*GILLT_nxv8s8*//*Label 2856*/ GIMT_Encode4(161038),
     /*  153326 */ /*GILLT_nxv8s16*//*Label 2857*/ GIMT_Encode4(161166),
     /*  153330 */ /*GILLT_nxv8s32*//*Label 2858*/ GIMT_Encode4(161404),
     /*  153334 */ /*GILLT_nxv8s64*//*Label 2859*/ GIMT_Encode4(161642),
     /*  153338 */ /*GILLT_nxv16s1*//*Label 2860*/ GIMT_Encode4(161880),
     /*  153342 */ /*GILLT_nxv16s8*//*Label 2861*/ GIMT_Encode4(162000),
     /*  153346 */ /*GILLT_nxv16s16*//*Label 2862*/ GIMT_Encode4(162128),
     /*  153350 */ /*GILLT_nxv16s32*//*Label 2863*/ GIMT_Encode4(162366),
     /*  153354 */ /*GILLT_nxv32s1*//*Label 2864*/ GIMT_Encode4(162604),
     /*  153358 */ /*GILLT_nxv32s8*//*Label 2865*/ GIMT_Encode4(162724),
     /*  153362 */ /*GILLT_nxv32s16*//*Label 2866*/ GIMT_Encode4(162852),
     /*  153366 */ /*GILLT_nxv64s1*//*Label 2867*/ GIMT_Encode4(163090),
     /*  153370 */ /*GILLT_nxv64s8*//*Label 2868*/ GIMT_Encode4(163210),
     /*  153374 */ // Label 2835: @153374
     /*  153374 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153467),
     /*  153379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153394 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153430), // Rule ID 64664 //
     /*  153399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  153402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153409 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153428 */     GIR_RootConstrainSelectedInstOperands,
     /*  153429 */     // GIR_Coverage, 64664,
     /*  153429 */     GIR_EraseRootFromParent_Done,
     /*  153430 */   // Label 2871: @153430
     /*  153430 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153466), // Rule ID 64668 //
     /*  153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  153438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153445 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153464 */     GIR_RootConstrainSelectedInstOperands,
     /*  153465 */     // GIR_Coverage, 64668,
     /*  153465 */     GIR_EraseRootFromParent_Done,
     /*  153466 */   // Label 2872: @153466
     /*  153466 */   GIM_Reject,
     /*  153467 */ // Label 2870: @153467
     /*  153467 */ GIM_Reject,
     /*  153468 */ // Label 2836: @153468
     /*  153468 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153561),
     /*  153473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153488 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153524), // Rule ID 64663 //
     /*  153493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153503 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153522 */     GIR_RootConstrainSelectedInstOperands,
     /*  153523 */     // GIR_Coverage, 64663,
     /*  153523 */     GIR_EraseRootFromParent_Done,
     /*  153524 */   // Label 2874: @153524
     /*  153524 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153560), // Rule ID 64667 //
     /*  153529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153539 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153558 */     GIR_RootConstrainSelectedInstOperands,
     /*  153559 */     // GIR_Coverage, 64667,
     /*  153559 */     GIR_EraseRootFromParent_Done,
     /*  153560 */   // Label 2875: @153560
     /*  153560 */   GIM_Reject,
     /*  153561 */ // Label 2873: @153561
     /*  153561 */ GIM_Reject,
     /*  153562 */ // Label 2837: @153562
     /*  153562 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153616), // Rule ID 64679 //
     /*  153567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153588 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153595 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153614 */   GIR_RootConstrainSelectedInstOperands,
     /*  153615 */   // GIR_Coverage, 64679,
     /*  153615 */   GIR_EraseRootFromParent_Done,
     /*  153616 */ // Label 2876: @153616
     /*  153616 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153670), // Rule ID 64680 //
     /*  153621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153624 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153627 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153649 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153668 */   GIR_RootConstrainSelectedInstOperands,
     /*  153669 */   // GIR_Coverage, 64680,
     /*  153669 */   GIR_EraseRootFromParent_Done,
     /*  153670 */ // Label 2877: @153670
     /*  153670 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153724), // Rule ID 64681 //
     /*  153675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153678 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153681 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153703 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153718 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153722 */   GIR_RootConstrainSelectedInstOperands,
     /*  153723 */   // GIR_Coverage, 64681,
     /*  153723 */   GIR_EraseRootFromParent_Done,
     /*  153724 */ // Label 2878: @153724
     /*  153724 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153778), // Rule ID 64682 //
     /*  153729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153732 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153735 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153746 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153750 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153757 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153767 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153772 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153776 */   GIR_RootConstrainSelectedInstOperands,
     /*  153777 */   // GIR_Coverage, 64682,
     /*  153777 */   GIR_EraseRootFromParent_Done,
     /*  153778 */ // Label 2879: @153778
     /*  153778 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153829), // Rule ID 2033 //
     /*  153783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153786 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153789 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153808 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153827 */   GIR_RootConstrainSelectedInstOperands,
     /*  153828 */   // GIR_Coverage, 2033,
     /*  153828 */   GIR_EraseRootFromParent_Done,
     /*  153829 */ // Label 2880: @153829
     /*  153829 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153880), // Rule ID 2034 //
     /*  153834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153859 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153878 */   GIR_RootConstrainSelectedInstOperands,
     /*  153879 */   // GIR_Coverage, 2034,
     /*  153879 */   GIR_EraseRootFromParent_Done,
     /*  153880 */ // Label 2881: @153880
     /*  153880 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(153931), // Rule ID 2039 //
     /*  153885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153888 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153891 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153910 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153929 */   GIR_RootConstrainSelectedInstOperands,
     /*  153930 */   // GIR_Coverage, 2039,
     /*  153930 */   GIR_EraseRootFromParent_Done,
     /*  153931 */ // Label 2882: @153931
     /*  153931 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(153982), // Rule ID 2040 //
     /*  153936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153961 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153980 */   GIR_RootConstrainSelectedInstOperands,
     /*  153981 */   // GIR_Coverage, 2040,
     /*  153981 */   GIR_EraseRootFromParent_Done,
     /*  153982 */ // Label 2883: @153982
     /*  153982 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154033), // Rule ID 64671 //
     /*  153987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154012 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154031 */   GIR_RootConstrainSelectedInstOperands,
     /*  154032 */   // GIR_Coverage, 64671,
     /*  154032 */   GIR_EraseRootFromParent_Done,
     /*  154033 */ // Label 2884: @154033
     /*  154033 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154084), // Rule ID 64672 //
     /*  154038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154063 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154082 */   GIR_RootConstrainSelectedInstOperands,
     /*  154083 */   // GIR_Coverage, 64672,
     /*  154083 */   GIR_EraseRootFromParent_Done,
     /*  154084 */ // Label 2885: @154084
     /*  154084 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154142), // Rule ID 64675 //
     /*  154089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  154092 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154095 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154099 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154110 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154114 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154121 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154136 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154140 */   GIR_RootConstrainSelectedInstOperands,
     /*  154141 */   // GIR_Coverage, 64675,
     /*  154141 */   GIR_EraseRootFromParent_Done,
     /*  154142 */ // Label 2886: @154142
     /*  154142 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154200), // Rule ID 64676 //
     /*  154147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154150 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154153 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154157 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154168 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154172 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154179 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154184 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154194 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154198 */   GIR_RootConstrainSelectedInstOperands,
     /*  154199 */   // GIR_Coverage, 64676,
     /*  154199 */   GIR_EraseRootFromParent_Done,
     /*  154200 */ // Label 2887: @154200
     /*  154200 */ GIM_Reject,
     /*  154201 */ // Label 2838: @154201
     /*  154201 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154312), // Rule ID 73558 //
     /*  154206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154212 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154227 */   // MIs[0] Operand 1
     /*  154227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154231 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154235 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154239 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154243 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154247 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154251 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154255 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154259 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154263 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154268 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154272 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154276 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154280 */   // MIs[3] Operand 1
     /*  154280 */   // No operand predicates
     /*  154280 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154285 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154287 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154292 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154296 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154300 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154303 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154310 */   GIR_RootConstrainSelectedInstOperands,
     /*  154311 */   // GIR_Coverage, 73558,
     /*  154311 */   GIR_EraseRootFromParent_Done,
     /*  154312 */ // Label 2888: @154312
     /*  154312 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154423), // Rule ID 73559 //
     /*  154317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154320 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154323 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154327 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154338 */   // MIs[0] Operand 1
     /*  154338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154342 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154346 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154350 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154354 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154358 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154362 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154366 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154370 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154374 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154379 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154383 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154387 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154391 */   // MIs[3] Operand 1
     /*  154391 */   // No operand predicates
     /*  154391 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154396 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154398 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154403 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154407 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154411 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154421 */   GIR_RootConstrainSelectedInstOperands,
     /*  154422 */   // GIR_Coverage, 73559,
     /*  154422 */   GIR_EraseRootFromParent_Done,
     /*  154423 */ // Label 2889: @154423
     /*  154423 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154534), // Rule ID 73562 //
     /*  154428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154431 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154434 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154438 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154449 */   // MIs[0] Operand 1
     /*  154449 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154453 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154461 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154465 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154469 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154473 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154477 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154481 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154485 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154490 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154494 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154498 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154502 */   // MIs[3] Operand 1
     /*  154502 */   // No operand predicates
     /*  154502 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154507 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154509 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154514 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154518 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154522 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154532 */   GIR_RootConstrainSelectedInstOperands,
     /*  154533 */   // GIR_Coverage, 73562,
     /*  154533 */   GIR_EraseRootFromParent_Done,
     /*  154534 */ // Label 2890: @154534
     /*  154534 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154645), // Rule ID 73563 //
     /*  154539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154545 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154549 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154560 */   // MIs[0] Operand 1
     /*  154560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154564 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154568 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154572 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154576 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154580 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154584 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154588 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154592 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154596 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154601 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154605 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154609 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154613 */   // MIs[3] Operand 1
     /*  154613 */   // No operand predicates
     /*  154613 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154618 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154620 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154625 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154629 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154633 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154643 */   GIR_RootConstrainSelectedInstOperands,
     /*  154644 */   // GIR_Coverage, 73563,
     /*  154644 */   GIR_EraseRootFromParent_Done,
     /*  154645 */ // Label 2891: @154645
     /*  154645 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154749), // Rule ID 73564 //
     /*  154650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154656 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154664 */   // MIs[0] Operand 1
     /*  154664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154676 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154680 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154684 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154688 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154692 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154696 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154700 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154705 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154709 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154713 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154717 */   // MIs[3] Operand 1
     /*  154717 */   // No operand predicates
     /*  154717 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154722 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154724 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154729 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154733 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154737 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154740 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154747 */   GIR_RootConstrainSelectedInstOperands,
     /*  154748 */   // GIR_Coverage, 73564,
     /*  154748 */   GIR_EraseRootFromParent_Done,
     /*  154749 */ // Label 2892: @154749
     /*  154749 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(154853), // Rule ID 73565 //
     /*  154754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154757 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154760 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154768 */   // MIs[0] Operand 1
     /*  154768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154780 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154784 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154788 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154792 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154796 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154800 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154804 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154809 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154813 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154817 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154821 */   // MIs[3] Operand 1
     /*  154821 */   // No operand predicates
     /*  154821 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154826 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154828 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154833 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154837 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154841 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154844 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154851 */   GIR_RootConstrainSelectedInstOperands,
     /*  154852 */   // GIR_Coverage, 73565,
     /*  154852 */   GIR_EraseRootFromParent_Done,
     /*  154853 */ // Label 2893: @154853
     /*  154853 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(154964), // Rule ID 64282 //
     /*  154858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154861 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154864 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154868 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154879 */   // MIs[0] Operand 1
     /*  154879 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154883 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154887 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154891 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154895 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154899 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154904 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154908 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154912 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154916 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154920 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154925 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154929 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154933 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154937 */   // MIs[3] Operand 1
     /*  154937 */   // No operand predicates
     /*  154937 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154939 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154944 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154948 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154952 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154955 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154962 */   GIR_RootConstrainSelectedInstOperands,
     /*  154963 */   // GIR_Coverage, 64282,
     /*  154963 */   GIR_EraseRootFromParent_Done,
     /*  154964 */ // Label 2894: @154964
     /*  154964 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(155075), // Rule ID 64283 //
     /*  154969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154972 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154990 */   // MIs[0] Operand 1
     /*  154990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154994 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155002 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155006 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155010 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155015 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155019 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155023 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155027 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155031 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155036 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155040 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155044 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155048 */   // MIs[3] Operand 1
     /*  155048 */   // No operand predicates
     /*  155048 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155050 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  155053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155055 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155059 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155063 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155066 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155073 */   GIR_RootConstrainSelectedInstOperands,
     /*  155074 */   // GIR_Coverage, 64283,
     /*  155074 */   GIR_EraseRootFromParent_Done,
     /*  155075 */ // Label 2895: @155075
     /*  155075 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(155186), // Rule ID 64286 //
     /*  155080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155083 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155086 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155090 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155101 */   // MIs[0] Operand 1
     /*  155101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155113 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155117 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155121 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155126 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155130 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155134 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155138 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155142 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155147 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155151 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155155 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155159 */   // MIs[3] Operand 1
     /*  155159 */   // No operand predicates
     /*  155159 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155161 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155166 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155170 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155174 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155177 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155184 */   GIR_RootConstrainSelectedInstOperands,
     /*  155185 */   // GIR_Coverage, 64286,
     /*  155185 */   GIR_EraseRootFromParent_Done,
     /*  155186 */ // Label 2896: @155186
     /*  155186 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(155297), // Rule ID 64287 //
     /*  155191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155194 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155197 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155201 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155212 */   // MIs[0] Operand 1
     /*  155212 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155216 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155220 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155224 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155228 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155232 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155237 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155241 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155245 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155249 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155253 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155258 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155262 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155266 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155270 */   // MIs[3] Operand 1
     /*  155270 */   // No operand predicates
     /*  155270 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155272 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155285 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155288 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155295 */   GIR_RootConstrainSelectedInstOperands,
     /*  155296 */   // GIR_Coverage, 64287,
     /*  155296 */   GIR_EraseRootFromParent_Done,
     /*  155297 */ // Label 2897: @155297
     /*  155297 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(155401), // Rule ID 64288 //
     /*  155302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155305 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155308 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155316 */   // MIs[0] Operand 1
     /*  155316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155320 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155328 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155332 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155336 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155341 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155345 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155349 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155353 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155357 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155362 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155366 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155370 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155374 */   // MIs[3] Operand 1
     /*  155374 */   // No operand predicates
     /*  155374 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155376 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155381 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155385 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155389 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155399 */   GIR_RootConstrainSelectedInstOperands,
     /*  155400 */   // GIR_Coverage, 64288,
     /*  155400 */   GIR_EraseRootFromParent_Done,
     /*  155401 */ // Label 2898: @155401
     /*  155401 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(155505), // Rule ID 64289 //
     /*  155406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155409 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155412 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155420 */   // MIs[0] Operand 1
     /*  155420 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155424 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155428 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155432 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155436 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155440 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155445 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155449 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155453 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155457 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155461 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155466 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155470 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155474 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155478 */   // MIs[3] Operand 1
     /*  155478 */   // No operand predicates
     /*  155478 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155480 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155485 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155489 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155493 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155503 */   GIR_RootConstrainSelectedInstOperands,
     /*  155504 */   // GIR_Coverage, 64289,
     /*  155504 */   GIR_EraseRootFromParent_Done,
     /*  155505 */ // Label 2899: @155505
     /*  155505 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(155562), // Rule ID 327 //
     /*  155510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  155513 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155523 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155541 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10073>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155556 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155560 */   GIR_RootConstrainSelectedInstOperands,
     /*  155561 */   // GIR_Coverage, 327,
     /*  155561 */   GIR_EraseRootFromParent_Done,
     /*  155562 */ // Label 2900: @155562
     /*  155562 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(155616), // Rule ID 64687 //
     /*  155567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  155570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155588 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155595 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155614 */   GIR_RootConstrainSelectedInstOperands,
     /*  155615 */   // GIR_Coverage, 64687,
     /*  155615 */   GIR_EraseRootFromParent_Done,
     /*  155616 */ // Label 2901: @155616
     /*  155616 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155670), // Rule ID 64688 //
     /*  155621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  155624 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155627 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155649 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155668 */   GIR_RootConstrainSelectedInstOperands,
     /*  155669 */   // GIR_Coverage, 64688,
     /*  155669 */   GIR_EraseRootFromParent_Done,
     /*  155670 */ // Label 2902: @155670
     /*  155670 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155728), // Rule ID 227 //
     /*  155675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155681 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155685 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155700 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155707 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155726 */   GIR_RootConstrainSelectedInstOperands,
     /*  155727 */   // GIR_Coverage, 227,
     /*  155727 */   GIR_EraseRootFromParent_Done,
     /*  155728 */ // Label 2903: @155728
     /*  155728 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155786), // Rule ID 231 //
     /*  155733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155736 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155739 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155743 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155758 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155765 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155784 */   GIR_RootConstrainSelectedInstOperands,
     /*  155785 */   // GIR_Coverage, 231,
     /*  155785 */   GIR_EraseRootFromParent_Done,
     /*  155786 */ // Label 2904: @155786
     /*  155786 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155837), // Rule ID 232 //
     /*  155791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155797 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155805 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155816 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155835 */   GIR_RootConstrainSelectedInstOperands,
     /*  155836 */   // GIR_Coverage, 232,
     /*  155836 */   GIR_EraseRootFromParent_Done,
     /*  155837 */ // Label 2905: @155837
     /*  155837 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(155888), // Rule ID 233 //
     /*  155842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155848 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155867 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155886 */   GIR_RootConstrainSelectedInstOperands,
     /*  155887 */   // GIR_Coverage, 233,
     /*  155887 */   GIR_EraseRootFromParent_Done,
     /*  155888 */ // Label 2906: @155888
     /*  155888 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(155949), // Rule ID 313 //
     /*  155893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155896 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155899 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155903 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155910 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155917 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155921 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155928 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10063>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155943 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155947 */   GIR_RootConstrainSelectedInstOperands,
     /*  155948 */   // GIR_Coverage, 313,
     /*  155948 */   GIR_EraseRootFromParent_Done,
     /*  155949 */ // Label 2907: @155949
     /*  155949 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(156010), // Rule ID 317 //
     /*  155954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155957 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155960 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155971 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155989 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10065>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156008 */   GIR_RootConstrainSelectedInstOperands,
     /*  156009 */   // GIR_Coverage, 317,
     /*  156009 */   GIR_EraseRootFromParent_Done,
     /*  156010 */ // Label 2908: @156010
     /*  156010 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(156071), // Rule ID 329 //
     /*  156015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  156018 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156021 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156025 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156032 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156039 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156043 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156050 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10075>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156055 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156060 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156065 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156069 */   GIR_RootConstrainSelectedInstOperands,
     /*  156070 */   // GIR_Coverage, 329,
     /*  156070 */   GIR_EraseRootFromParent_Done,
     /*  156071 */ // Label 2909: @156071
     /*  156071 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(156122), // Rule ID 1320 //
     /*  156076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  156079 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156082 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156101 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156120 */   GIR_RootConstrainSelectedInstOperands,
     /*  156121 */   // GIR_Coverage, 1320,
     /*  156121 */   GIR_EraseRootFromParent_Done,
     /*  156122 */ // Label 2910: @156122
     /*  156122 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(156173), // Rule ID 1321 //
     /*  156127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  156130 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156133 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156141 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156145 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156152 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156157 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156171 */   GIR_RootConstrainSelectedInstOperands,
     /*  156172 */   // GIR_Coverage, 1321,
     /*  156172 */   GIR_EraseRootFromParent_Done,
     /*  156173 */ // Label 2911: @156173
     /*  156173 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(156224), // Rule ID 1326 //
     /*  156178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  156181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156192 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156196 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156203 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156222 */   GIR_RootConstrainSelectedInstOperands,
     /*  156223 */   // GIR_Coverage, 1326,
     /*  156223 */   GIR_EraseRootFromParent_Done,
     /*  156224 */ // Label 2912: @156224
     /*  156224 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(156275), // Rule ID 1327 //
     /*  156229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  156232 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156235 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156247 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156254 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156273 */   GIR_RootConstrainSelectedInstOperands,
     /*  156274 */   // GIR_Coverage, 1327,
     /*  156274 */   GIR_EraseRootFromParent_Done,
     /*  156275 */ // Label 2913: @156275
     /*  156275 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(156333), // Rule ID 64691 //
     /*  156280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156286 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156290 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156312 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156331 */   GIR_RootConstrainSelectedInstOperands,
     /*  156332 */   // GIR_Coverage, 64691,
     /*  156332 */   GIR_EraseRootFromParent_Done,
     /*  156333 */ // Label 2914: @156333
     /*  156333 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(156391), // Rule ID 64692 //
     /*  156338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156344 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156348 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156359 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156363 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156370 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156385 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156389 */   GIR_RootConstrainSelectedInstOperands,
     /*  156390 */   // GIR_Coverage, 64692,
     /*  156390 */   GIR_EraseRootFromParent_Done,
     /*  156391 */ // Label 2915: @156391
     /*  156391 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(156449), // Rule ID 64693 //
     /*  156396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156399 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156402 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156406 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156417 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156421 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156428 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156447 */   GIR_RootConstrainSelectedInstOperands,
     /*  156448 */   // GIR_Coverage, 64693,
     /*  156448 */   GIR_EraseRootFromParent_Done,
     /*  156449 */ // Label 2916: @156449
     /*  156449 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(156507), // Rule ID 64694 //
     /*  156454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156457 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156460 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156464 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156475 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156479 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156486 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156496 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156501 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156505 */   GIR_RootConstrainSelectedInstOperands,
     /*  156506 */   // GIR_Coverage, 64694,
     /*  156506 */   GIR_EraseRootFromParent_Done,
     /*  156507 */ // Label 2917: @156507
     /*  156507 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(156547), // Rule ID 1111 //
     /*  156512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156515 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156518 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156532 */   // MIs[0] rs1
     /*  156532 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156540 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10581>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156540 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156545 */   GIR_RootConstrainSelectedInstOperands,
     /*  156546 */   // GIR_Coverage, 1111,
     /*  156546 */   GIR_Done,
     /*  156547 */ // Label 2918: @156547
     /*  156547 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(156587), // Rule ID 1113 //
     /*  156552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  156555 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156558 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156565 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156572 */   // MIs[0] rs1
     /*  156572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156580 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10583>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156580 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156585 */   GIR_RootConstrainSelectedInstOperands,
     /*  156586 */   // GIR_Coverage, 1113,
     /*  156586 */   GIR_Done,
     /*  156587 */ // Label 2919: @156587
     /*  156587 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(156627), // Rule ID 1123 //
     /*  156592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156595 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156598 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156605 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156612 */   // MIs[0] rs1
     /*  156612 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156620 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10589>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156620 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156625 */   GIR_RootConstrainSelectedInstOperands,
     /*  156626 */   // GIR_Coverage, 1123,
     /*  156626 */   GIR_Done,
     /*  156627 */ // Label 2920: @156627
     /*  156627 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(156667), // Rule ID 1125 //
     /*  156632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156635 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156638 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156645 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156652 */   // MIs[0] rs1
     /*  156652 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156660 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10591>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156665 */   GIR_RootConstrainSelectedInstOperands,
     /*  156666 */   // GIR_Coverage, 1125,
     /*  156666 */   GIR_Done,
     /*  156667 */ // Label 2921: @156667
     /*  156667 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156711), // Rule ID 1083 //
     /*  156672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156675 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156678 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156682 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156689 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156696 */   // MIs[0] rs1
     /*  156696 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156704 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10561>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156704 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156709 */   GIR_RootConstrainSelectedInstOperands,
     /*  156710 */   // GIR_Coverage, 1083,
     /*  156710 */   GIR_Done,
     /*  156711 */ // Label 2922: @156711
     /*  156711 */ GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156755), // Rule ID 1087 //
     /*  156716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156719 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156722 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156726 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156740 */   // MIs[0] rs1
     /*  156740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156748 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10563>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156753 */   GIR_RootConstrainSelectedInstOperands,
     /*  156754 */   // GIR_Coverage, 1087,
     /*  156754 */   GIR_Done,
     /*  156755 */ // Label 2923: @156755
     /*  156755 */ GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156799), // Rule ID 1091 //
     /*  156760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156763 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156766 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156784 */   // MIs[0] rs1
     /*  156784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156792 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10565>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156797 */   GIR_RootConstrainSelectedInstOperands,
     /*  156798 */   // GIR_Coverage, 1091,
     /*  156798 */   GIR_Done,
     /*  156799 */ // Label 2924: @156799
     /*  156799 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156843), // Rule ID 1095 //
     /*  156804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156807 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156810 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156814 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156821 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156828 */   // MIs[0] rs1
     /*  156828 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156836 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10567>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156836 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156841 */   GIR_RootConstrainSelectedInstOperands,
     /*  156842 */   // GIR_Coverage, 1095,
     /*  156842 */   GIR_Done,
     /*  156843 */ // Label 2925: @156843
     /*  156843 */ GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156887), // Rule ID 1115 //
     /*  156848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156851 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156854 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156858 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156872 */   // MIs[0] rs1
     /*  156872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156880 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10585>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156880 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156885 */   GIR_RootConstrainSelectedInstOperands,
     /*  156886 */   // GIR_Coverage, 1115,
     /*  156886 */   GIR_Done,
     /*  156887 */ // Label 2926: @156887
     /*  156887 */ GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(156931), // Rule ID 1119 //
     /*  156892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156898 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156916 */   // MIs[0] rs1
     /*  156916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156924 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10587>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156929 */   GIR_RootConstrainSelectedInstOperands,
     /*  156930 */   // GIR_Coverage, 1119,
     /*  156930 */   GIR_Done,
     /*  156931 */ // Label 2927: @156931
     /*  156931 */ GIM_Reject,
     /*  156932 */ // Label 2839: @156932
     /*  156932 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(156989), // Rule ID 326 //
     /*  156937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  156940 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156943 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156950 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156957 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156961 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156968 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10073>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156978 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156983 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156987 */   GIR_RootConstrainSelectedInstOperands,
     /*  156988 */   // GIR_Coverage, 326,
     /*  156988 */   GIR_EraseRootFromParent_Done,
     /*  156989 */ // Label 2928: @156989
     /*  156989 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157046), // Rule ID 332 //
     /*  156994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  156997 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157000 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157007 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157018 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157025 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10077>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157040 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157044 */   GIR_RootConstrainSelectedInstOperands,
     /*  157045 */   // GIR_Coverage, 332,
     /*  157045 */   GIR_EraseRootFromParent_Done,
     /*  157046 */ // Label 2929: @157046
     /*  157046 */ GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157104), // Rule ID 226 //
     /*  157051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157054 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157057 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157061 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157072 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157076 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157083 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  157086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157102 */   GIR_RootConstrainSelectedInstOperands,
     /*  157103 */   // GIR_Coverage, 226,
     /*  157103 */   GIR_EraseRootFromParent_Done,
     /*  157104 */ // Label 2930: @157104
     /*  157104 */ GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157162), // Rule ID 230 //
     /*  157109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157112 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157115 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157119 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157141 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157156 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157160 */   GIR_RootConstrainSelectedInstOperands,
     /*  157161 */   // GIR_Coverage, 230,
     /*  157161 */   GIR_EraseRootFromParent_Done,
     /*  157162 */ // Label 2931: @157162
     /*  157162 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157220), // Rule ID 276 //
     /*  157167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157173 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157177 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157188 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157192 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157199 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157214 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157218 */   GIR_RootConstrainSelectedInstOperands,
     /*  157219 */   // GIR_Coverage, 276,
     /*  157219 */   GIR_EraseRootFromParent_Done,
     /*  157220 */ // Label 2932: @157220
     /*  157220 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157271), // Rule ID 278 //
     /*  157225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157228 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157231 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157250 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157265 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157269 */   GIR_RootConstrainSelectedInstOperands,
     /*  157270 */   // GIR_Coverage, 278,
     /*  157270 */   GIR_EraseRootFromParent_Done,
     /*  157271 */ // Label 2933: @157271
     /*  157271 */ GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157332), // Rule ID 312 //
     /*  157276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157279 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157282 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157286 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157293 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157300 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157304 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157311 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10063>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  157314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157316 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157321 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157326 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157330 */   GIR_RootConstrainSelectedInstOperands,
     /*  157331 */   // GIR_Coverage, 312,
     /*  157331 */   GIR_EraseRootFromParent_Done,
     /*  157332 */ // Label 2934: @157332
     /*  157332 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157393), // Rule ID 316 //
     /*  157337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  157340 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157343 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157347 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157354 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157361 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157365 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157372 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10065>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157387 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157391 */   GIR_RootConstrainSelectedInstOperands,
     /*  157392 */   // GIR_Coverage, 316,
     /*  157392 */   GIR_EraseRootFromParent_Done,
     /*  157393 */ // Label 2935: @157393
     /*  157393 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157454), // Rule ID 328 //
     /*  157398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  157401 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157404 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157408 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157415 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157426 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157433 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10075>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157443 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157452 */   GIR_RootConstrainSelectedInstOperands,
     /*  157453 */   // GIR_Coverage, 328,
     /*  157453 */   GIR_EraseRootFromParent_Done,
     /*  157454 */ // Label 2936: @157454
     /*  157454 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157505), // Rule ID 1718 //
     /*  157459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  157462 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157473 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157477 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157484 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157494 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157499 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157503 */   GIR_RootConstrainSelectedInstOperands,
     /*  157504 */   // GIR_Coverage, 1718,
     /*  157504 */   GIR_EraseRootFromParent_Done,
     /*  157505 */ // Label 2937: @157505
     /*  157505 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157556), // Rule ID 1719 //
     /*  157510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  157513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157516 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157524 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157528 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157535 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157540 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157550 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157554 */   GIR_RootConstrainSelectedInstOperands,
     /*  157555 */   // GIR_Coverage, 1719,
     /*  157555 */   GIR_EraseRootFromParent_Done,
     /*  157556 */ // Label 2938: @157556
     /*  157556 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157607), // Rule ID 1723 //
     /*  157561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157579 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157586 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157605 */   GIR_RootConstrainSelectedInstOperands,
     /*  157606 */   // GIR_Coverage, 1723,
     /*  157606 */   GIR_EraseRootFromParent_Done,
     /*  157607 */ // Label 2939: @157607
     /*  157607 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(157647), // Rule ID 1110 //
     /*  157612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157615 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157618 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157625 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157632 */   // MIs[0] rs1
     /*  157632 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157640 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10581>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157645 */   GIR_RootConstrainSelectedInstOperands,
     /*  157646 */   // GIR_Coverage, 1110,
     /*  157646 */   GIR_Done,
     /*  157647 */ // Label 2940: @157647
     /*  157647 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(157687), // Rule ID 1112 //
     /*  157652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  157655 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157672 */   // MIs[0] rs1
     /*  157672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157680 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10583>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157685 */   GIR_RootConstrainSelectedInstOperands,
     /*  157686 */   // GIR_Coverage, 1112,
     /*  157686 */   GIR_Done,
     /*  157687 */ // Label 2941: @157687
     /*  157687 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(157727), // Rule ID 1122 //
     /*  157692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157695 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157698 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157712 */   // MIs[0] rs1
     /*  157712 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157720 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10589>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157720 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  157725 */   GIR_RootConstrainSelectedInstOperands,
     /*  157726 */   // GIR_Coverage, 1122,
     /*  157726 */   GIR_Done,
     /*  157727 */ // Label 2942: @157727
     /*  157727 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157767), // Rule ID 1124 //
     /*  157732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157735 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157752 */   // MIs[0] rs1
     /*  157752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157760 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10591>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  157765 */   GIR_RootConstrainSelectedInstOperands,
     /*  157766 */   // GIR_Coverage, 1124,
     /*  157766 */   GIR_Done,
     /*  157767 */ // Label 2943: @157767
     /*  157767 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(157811), // Rule ID 1082 //
     /*  157772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157775 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157778 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157782 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157789 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157796 */   // MIs[0] rs1
     /*  157796 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157804 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10561>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157804 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157809 */   GIR_RootConstrainSelectedInstOperands,
     /*  157810 */   // GIR_Coverage, 1082,
     /*  157810 */   GIR_Done,
     /*  157811 */ // Label 2944: @157811
     /*  157811 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157855), // Rule ID 1086 //
     /*  157816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157819 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157822 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157826 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157840 */   // MIs[0] rs1
     /*  157840 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157848 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10563>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157848 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157853 */   GIR_RootConstrainSelectedInstOperands,
     /*  157854 */   // GIR_Coverage, 1086,
     /*  157854 */   GIR_Done,
     /*  157855 */ // Label 2945: @157855
     /*  157855 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157899), // Rule ID 1090 //
     /*  157860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157863 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157866 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157870 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157877 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157884 */   // MIs[0] rs1
     /*  157884 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157892 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10565>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157892 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157897 */   GIR_RootConstrainSelectedInstOperands,
     /*  157898 */   // GIR_Coverage, 1090,
     /*  157898 */   GIR_Done,
     /*  157899 */ // Label 2946: @157899
     /*  157899 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(157943), // Rule ID 1094 //
     /*  157904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157907 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157910 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157914 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157921 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157928 */   // MIs[0] rs1
     /*  157928 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157936 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10567>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157936 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157941 */   GIR_RootConstrainSelectedInstOperands,
     /*  157942 */   // GIR_Coverage, 1094,
     /*  157942 */   GIR_Done,
     /*  157943 */ // Label 2947: @157943
     /*  157943 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(157987), // Rule ID 1114 //
     /*  157948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157951 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157954 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157958 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157972 */   // MIs[0] rs1
     /*  157972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157980 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10585>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157985 */   GIR_RootConstrainSelectedInstOperands,
     /*  157986 */   // GIR_Coverage, 1114,
     /*  157986 */   GIR_Done,
     /*  157987 */ // Label 2948: @157987
     /*  157987 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158031), // Rule ID 1118 //
     /*  157992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157995 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157998 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  158009 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  158012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158016 */   // MIs[0] rs1
     /*  158016 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158024 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10587>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  158024 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  158029 */   GIR_RootConstrainSelectedInstOperands,
     /*  158030 */   // GIR_Coverage, 1118,
     /*  158030 */   GIR_Done,
     /*  158031 */ // Label 2949: @158031
     /*  158031 */ GIM_Reject,
     /*  158032 */ // Label 2840: @158032
     /*  158032 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158151),
     /*  158037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158040 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158056 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158103), // Rule ID 45613 //
     /*  158061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158064 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158101 */     GIR_RootConstrainSelectedInstOperands,
     /*  158102 */     // GIR_Coverage, 45613,
     /*  158102 */     GIR_EraseRootFromParent_Done,
     /*  158103 */   // Label 2951: @158103
     /*  158103 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158150), // Rule ID 45614 //
     /*  158108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158111 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  158114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  158128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158148 */     GIR_RootConstrainSelectedInstOperands,
     /*  158149 */     // GIR_Coverage, 45614,
     /*  158149 */     GIR_EraseRootFromParent_Done,
     /*  158150 */   // Label 2952: @158150
     /*  158150 */   GIM_Reject,
     /*  158151 */ // Label 2950: @158151
     /*  158151 */ GIM_Reject,
     /*  158152 */ // Label 2841: @158152
     /*  158152 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158279),
     /*  158157 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158160 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158168 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158223), // Rule ID 45609 //
     /*  158173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158176 */     // MIs[0] rs1
     /*  158176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158184 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158221 */     GIR_RootConstrainSelectedInstOperands,
     /*  158222 */     // GIR_Coverage, 45609,
     /*  158222 */     GIR_EraseRootFromParent_Done,
     /*  158223 */   // Label 2954: @158223
     /*  158223 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158278), // Rule ID 45610 //
     /*  158228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158231 */     // MIs[0] rs1
     /*  158231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158239 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  158242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  158256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158276 */     GIR_RootConstrainSelectedInstOperands,
     /*  158277 */     // GIR_Coverage, 45610,
     /*  158277 */     GIR_EraseRootFromParent_Done,
     /*  158278 */   // Label 2955: @158278
     /*  158278 */   GIM_Reject,
     /*  158279 */ // Label 2953: @158279
     /*  158279 */ GIM_Reject,
     /*  158280 */ // Label 2842: @158280
     /*  158280 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158517),
     /*  158285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158296 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158351), // Rule ID 45805 //
     /*  158301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158304 */     // MIs[0] rs1
     /*  158304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158312 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158349 */     GIR_RootConstrainSelectedInstOperands,
     /*  158350 */     // GIR_Coverage, 45805,
     /*  158350 */     GIR_EraseRootFromParent_Done,
     /*  158351 */   // Label 2957: @158351
     /*  158351 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158406), // Rule ID 45806 //
     /*  158356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158359 */     // MIs[0] rs1
     /*  158359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158367 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158404 */     GIR_RootConstrainSelectedInstOperands,
     /*  158405 */     // GIR_Coverage, 45806,
     /*  158405 */     GIR_EraseRootFromParent_Done,
     /*  158406 */   // Label 2958: @158406
     /*  158406 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158461), // Rule ID 45881 //
     /*  158411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158414 */     // MIs[0] rs1
     /*  158414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158422 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158459 */     GIR_RootConstrainSelectedInstOperands,
     /*  158460 */     // GIR_Coverage, 45881,
     /*  158460 */     GIR_EraseRootFromParent_Done,
     /*  158461 */   // Label 2959: @158461
     /*  158461 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(158516), // Rule ID 45882 //
     /*  158466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158469 */     // MIs[0] rs1
     /*  158469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158477 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158514 */     GIR_RootConstrainSelectedInstOperands,
     /*  158515 */     // GIR_Coverage, 45882,
     /*  158515 */     GIR_EraseRootFromParent_Done,
     /*  158516 */   // Label 2960: @158516
     /*  158516 */   GIM_Reject,
     /*  158517 */ // Label 2956: @158517
     /*  158517 */ GIM_Reject,
     /*  158518 */ // Label 2843: @158518
     /*  158518 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(158755),
     /*  158523 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158534 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(158589), // Rule ID 45813 //
     /*  158539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158542 */     // MIs[0] rs1
     /*  158542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158550 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158587 */     GIR_RootConstrainSelectedInstOperands,
     /*  158588 */     // GIR_Coverage, 45813,
     /*  158588 */     GIR_EraseRootFromParent_Done,
     /*  158589 */   // Label 2962: @158589
     /*  158589 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(158644), // Rule ID 45814 //
     /*  158594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158597 */     // MIs[0] rs1
     /*  158597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158605 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158642 */     GIR_RootConstrainSelectedInstOperands,
     /*  158643 */     // GIR_Coverage, 45814,
     /*  158643 */     GIR_EraseRootFromParent_Done,
     /*  158644 */   // Label 2963: @158644
     /*  158644 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(158699), // Rule ID 45889 //
     /*  158649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158652 */     // MIs[0] rs1
     /*  158652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158660 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158697 */     GIR_RootConstrainSelectedInstOperands,
     /*  158698 */     // GIR_Coverage, 45889,
     /*  158698 */     GIR_EraseRootFromParent_Done,
     /*  158699 */   // Label 2964: @158699
     /*  158699 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(158754), // Rule ID 45890 //
     /*  158704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158707 */     // MIs[0] rs1
     /*  158707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158715 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158752 */     GIR_RootConstrainSelectedInstOperands,
     /*  158753 */     // GIR_Coverage, 45890,
     /*  158753 */     GIR_EraseRootFromParent_Done,
     /*  158754 */   // Label 2965: @158754
     /*  158754 */   GIM_Reject,
     /*  158755 */ // Label 2961: @158755
     /*  158755 */ GIM_Reject,
     /*  158756 */ // Label 2844: @158756
     /*  158756 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(158993),
     /*  158761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158764 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158772 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158827), // Rule ID 45829 //
     /*  158777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158780 */     // MIs[0] rs1
     /*  158780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158788 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158825 */     GIR_RootConstrainSelectedInstOperands,
     /*  158826 */     // GIR_Coverage, 45829,
     /*  158826 */     GIR_EraseRootFromParent_Done,
     /*  158827 */   // Label 2967: @158827
     /*  158827 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158882), // Rule ID 45830 //
     /*  158832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158835 */     // MIs[0] rs1
     /*  158835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158843 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158876 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158880 */     GIR_RootConstrainSelectedInstOperands,
     /*  158881 */     // GIR_Coverage, 45830,
     /*  158881 */     GIR_EraseRootFromParent_Done,
     /*  158882 */   // Label 2968: @158882
     /*  158882 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(158937), // Rule ID 45901 //
     /*  158887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158890 */     // MIs[0] rs1
     /*  158890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158898 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158935 */     GIR_RootConstrainSelectedInstOperands,
     /*  158936 */     // GIR_Coverage, 45901,
     /*  158936 */     GIR_EraseRootFromParent_Done,
     /*  158937 */   // Label 2969: @158937
     /*  158937 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(158992), // Rule ID 45902 //
     /*  158942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  158945 */     // MIs[0] rs1
     /*  158945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158953 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158990 */     GIR_RootConstrainSelectedInstOperands,
     /*  158991 */     // GIR_Coverage, 45902,
     /*  158991 */     GIR_EraseRootFromParent_Done,
     /*  158992 */   // Label 2970: @158992
     /*  158992 */   GIM_Reject,
     /*  158993 */ // Label 2966: @158993
     /*  158993 */ GIM_Reject,
     /*  158994 */ // Label 2845: @158994
     /*  158994 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159113),
     /*  158999 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159002 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159018 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159065), // Rule ID 45941 //
     /*  159023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159026 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159063 */     GIR_RootConstrainSelectedInstOperands,
     /*  159064 */     // GIR_Coverage, 45941,
     /*  159064 */     GIR_EraseRootFromParent_Done,
     /*  159065 */   // Label 2972: @159065
     /*  159065 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159112), // Rule ID 45942 //
     /*  159070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159073 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  159076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  159090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159110 */     GIR_RootConstrainSelectedInstOperands,
     /*  159111 */     // GIR_Coverage, 45942,
     /*  159111 */     GIR_EraseRootFromParent_Done,
     /*  159112 */   // Label 2973: @159112
     /*  159112 */   GIM_Reject,
     /*  159113 */ // Label 2971: @159113
     /*  159113 */ GIM_Reject,
     /*  159114 */ // Label 2846: @159114
     /*  159114 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159241),
     /*  159119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159130 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159185), // Rule ID 45797 //
     /*  159135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159138 */     // MIs[0] rs1
     /*  159138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159146 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159183 */     GIR_RootConstrainSelectedInstOperands,
     /*  159184 */     // GIR_Coverage, 45797,
     /*  159184 */     GIR_EraseRootFromParent_Done,
     /*  159185 */   // Label 2975: @159185
     /*  159185 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159240), // Rule ID 45798 //
     /*  159190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159193 */     // MIs[0] rs1
     /*  159193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159201 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  159204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  159218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159238 */     GIR_RootConstrainSelectedInstOperands,
     /*  159239 */     // GIR_Coverage, 45798,
     /*  159239 */     GIR_EraseRootFromParent_Done,
     /*  159240 */   // Label 2976: @159240
     /*  159240 */   GIM_Reject,
     /*  159241 */ // Label 2974: @159241
     /*  159241 */ GIM_Reject,
     /*  159242 */ // Label 2847: @159242
     /*  159242 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159479),
     /*  159247 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159250 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159258 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(159313), // Rule ID 45809 //
     /*  159263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159266 */     // MIs[0] rs1
     /*  159266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159274 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159311 */     GIR_RootConstrainSelectedInstOperands,
     /*  159312 */     // GIR_Coverage, 45809,
     /*  159312 */     GIR_EraseRootFromParent_Done,
     /*  159313 */   // Label 2978: @159313
     /*  159313 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(159368), // Rule ID 45810 //
     /*  159318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159321 */     // MIs[0] rs1
     /*  159321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159329 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159366 */     GIR_RootConstrainSelectedInstOperands,
     /*  159367 */     // GIR_Coverage, 45810,
     /*  159367 */     GIR_EraseRootFromParent_Done,
     /*  159368 */   // Label 2979: @159368
     /*  159368 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(159423), // Rule ID 45885 //
     /*  159373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159376 */     // MIs[0] rs1
     /*  159376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159384 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159421 */     GIR_RootConstrainSelectedInstOperands,
     /*  159422 */     // GIR_Coverage, 45885,
     /*  159422 */     GIR_EraseRootFromParent_Done,
     /*  159423 */   // Label 2980: @159423
     /*  159423 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(159478), // Rule ID 45886 //
     /*  159428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159431 */     // MIs[0] rs1
     /*  159431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159439 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159476 */     GIR_RootConstrainSelectedInstOperands,
     /*  159477 */     // GIR_Coverage, 45886,
     /*  159477 */     GIR_EraseRootFromParent_Done,
     /*  159478 */   // Label 2981: @159478
     /*  159478 */   GIM_Reject,
     /*  159479 */ // Label 2977: @159479
     /*  159479 */ GIM_Reject,
     /*  159480 */ // Label 2848: @159480
     /*  159480 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(159717),
     /*  159485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159496 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(159551), // Rule ID 45825 //
     /*  159501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159504 */     // MIs[0] rs1
     /*  159504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159512 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159549 */     GIR_RootConstrainSelectedInstOperands,
     /*  159550 */     // GIR_Coverage, 45825,
     /*  159550 */     GIR_EraseRootFromParent_Done,
     /*  159551 */   // Label 2983: @159551
     /*  159551 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(159606), // Rule ID 45826 //
     /*  159556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159559 */     // MIs[0] rs1
     /*  159559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159567 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159604 */     GIR_RootConstrainSelectedInstOperands,
     /*  159605 */     // GIR_Coverage, 45826,
     /*  159605 */     GIR_EraseRootFromParent_Done,
     /*  159606 */   // Label 2984: @159606
     /*  159606 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(159661), // Rule ID 45897 //
     /*  159611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159614 */     // MIs[0] rs1
     /*  159614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159622 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159659 */     GIR_RootConstrainSelectedInstOperands,
     /*  159660 */     // GIR_Coverage, 45897,
     /*  159660 */     GIR_EraseRootFromParent_Done,
     /*  159661 */   // Label 2985: @159661
     /*  159661 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(159716), // Rule ID 45898 //
     /*  159666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159669 */     // MIs[0] rs1
     /*  159669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159677 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159714 */     GIR_RootConstrainSelectedInstOperands,
     /*  159715 */     // GIR_Coverage, 45898,
     /*  159715 */     GIR_EraseRootFromParent_Done,
     /*  159716 */   // Label 2986: @159716
     /*  159716 */   GIM_Reject,
     /*  159717 */ // Label 2982: @159717
     /*  159717 */ GIM_Reject,
     /*  159718 */ // Label 2849: @159718
     /*  159718 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(159955),
     /*  159723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159734 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159789), // Rule ID 45869 //
     /*  159739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159742 */     // MIs[0] rs1
     /*  159742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159750 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159787 */     GIR_RootConstrainSelectedInstOperands,
     /*  159788 */     // GIR_Coverage, 45869,
     /*  159788 */     GIR_EraseRootFromParent_Done,
     /*  159789 */   // Label 2988: @159789
     /*  159789 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159844), // Rule ID 45870 //
     /*  159794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159797 */     // MIs[0] rs1
     /*  159797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159805 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159842 */     GIR_RootConstrainSelectedInstOperands,
     /*  159843 */     // GIR_Coverage, 45870,
     /*  159843 */     GIR_EraseRootFromParent_Done,
     /*  159844 */   // Label 2989: @159844
     /*  159844 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(159899), // Rule ID 45929 //
     /*  159849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159852 */     // MIs[0] rs1
     /*  159852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159860 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159897 */     GIR_RootConstrainSelectedInstOperands,
     /*  159898 */     // GIR_Coverage, 45929,
     /*  159898 */     GIR_EraseRootFromParent_Done,
     /*  159899 */   // Label 2990: @159899
     /*  159899 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(159954), // Rule ID 45930 //
     /*  159904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159907 */     // MIs[0] rs1
     /*  159907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159915 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159952 */     GIR_RootConstrainSelectedInstOperands,
     /*  159953 */     // GIR_Coverage, 45930,
     /*  159953 */     GIR_EraseRootFromParent_Done,
     /*  159954 */   // Label 2991: @159954
     /*  159954 */   GIM_Reject,
     /*  159955 */ // Label 2987: @159955
     /*  159955 */ GIM_Reject,
     /*  159956 */ // Label 2850: @159956
     /*  159956 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(160075),
     /*  159961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159964 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159980 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160027), // Rule ID 45945 //
     /*  159985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159988 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  159991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160025 */     GIR_RootConstrainSelectedInstOperands,
     /*  160026 */     // GIR_Coverage, 45945,
     /*  160026 */     GIR_EraseRootFromParent_Done,
     /*  160027 */   // Label 2993: @160027
     /*  160027 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160074), // Rule ID 45946 //
     /*  160032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160035 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  160038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  160052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160072 */     GIR_RootConstrainSelectedInstOperands,
     /*  160073 */     // GIR_Coverage, 45946,
     /*  160073 */     GIR_EraseRootFromParent_Done,
     /*  160074 */   // Label 2994: @160074
     /*  160074 */   GIM_Reject,
     /*  160075 */ // Label 2992: @160075
     /*  160075 */ GIM_Reject,
     /*  160076 */ // Label 2851: @160076
     /*  160076 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160203),
     /*  160081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160092 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160147), // Rule ID 45801 //
     /*  160097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160100 */     // MIs[0] rs1
     /*  160100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160108 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160145 */     GIR_RootConstrainSelectedInstOperands,
     /*  160146 */     // GIR_Coverage, 45801,
     /*  160146 */     GIR_EraseRootFromParent_Done,
     /*  160147 */   // Label 2996: @160147
     /*  160147 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160202), // Rule ID 45802 //
     /*  160152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160155 */     // MIs[0] rs1
     /*  160155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160163 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  160166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  160180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160200 */     GIR_RootConstrainSelectedInstOperands,
     /*  160201 */     // GIR_Coverage, 45802,
     /*  160201 */     GIR_EraseRootFromParent_Done,
     /*  160202 */   // Label 2997: @160202
     /*  160202 */   GIM_Reject,
     /*  160203 */ // Label 2995: @160203
     /*  160203 */ GIM_Reject,
     /*  160204 */ // Label 2852: @160204
     /*  160204 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(160441),
     /*  160209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160212 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160220 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(160275), // Rule ID 45821 //
     /*  160225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160228 */     // MIs[0] rs1
     /*  160228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160236 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160273 */     GIR_RootConstrainSelectedInstOperands,
     /*  160274 */     // GIR_Coverage, 45821,
     /*  160274 */     GIR_EraseRootFromParent_Done,
     /*  160275 */   // Label 2999: @160275
     /*  160275 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(160330), // Rule ID 45822 //
     /*  160280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160283 */     // MIs[0] rs1
     /*  160283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160291 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160328 */     GIR_RootConstrainSelectedInstOperands,
     /*  160329 */     // GIR_Coverage, 45822,
     /*  160329 */     GIR_EraseRootFromParent_Done,
     /*  160330 */   // Label 3000: @160330
     /*  160330 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(160385), // Rule ID 45893 //
     /*  160335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160338 */     // MIs[0] rs1
     /*  160338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160346 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160383 */     GIR_RootConstrainSelectedInstOperands,
     /*  160384 */     // GIR_Coverage, 45893,
     /*  160384 */     GIR_EraseRootFromParent_Done,
     /*  160385 */   // Label 3001: @160385
     /*  160385 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(160440), // Rule ID 45894 //
     /*  160390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160393 */     // MIs[0] rs1
     /*  160393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160401 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160438 */     GIR_RootConstrainSelectedInstOperands,
     /*  160439 */     // GIR_Coverage, 45894,
     /*  160439 */     GIR_EraseRootFromParent_Done,
     /*  160440 */   // Label 3002: @160440
     /*  160440 */   GIM_Reject,
     /*  160441 */ // Label 2998: @160441
     /*  160441 */ GIM_Reject,
     /*  160442 */ // Label 2853: @160442
     /*  160442 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(160679),
     /*  160447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160458 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(160513), // Rule ID 45857 //
     /*  160463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160466 */     // MIs[0] rs1
     /*  160466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160474 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160511 */     GIR_RootConstrainSelectedInstOperands,
     /*  160512 */     // GIR_Coverage, 45857,
     /*  160512 */     GIR_EraseRootFromParent_Done,
     /*  160513 */   // Label 3004: @160513
     /*  160513 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(160568), // Rule ID 45858 //
     /*  160518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160521 */     // MIs[0] rs1
     /*  160521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160529 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160566 */     GIR_RootConstrainSelectedInstOperands,
     /*  160567 */     // GIR_Coverage, 45858,
     /*  160567 */     GIR_EraseRootFromParent_Done,
     /*  160568 */   // Label 3005: @160568
     /*  160568 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(160623), // Rule ID 45917 //
     /*  160573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160576 */     // MIs[0] rs1
     /*  160576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160584 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160621 */     GIR_RootConstrainSelectedInstOperands,
     /*  160622 */     // GIR_Coverage, 45917,
     /*  160622 */     GIR_EraseRootFromParent_Done,
     /*  160623 */   // Label 3006: @160623
     /*  160623 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(160678), // Rule ID 45918 //
     /*  160628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160631 */     // MIs[0] rs1
     /*  160631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160639 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160676 */     GIR_RootConstrainSelectedInstOperands,
     /*  160677 */     // GIR_Coverage, 45918,
     /*  160677 */     GIR_EraseRootFromParent_Done,
     /*  160678 */   // Label 3007: @160678
     /*  160678 */   GIM_Reject,
     /*  160679 */ // Label 3003: @160679
     /*  160679 */ GIM_Reject,
     /*  160680 */ // Label 2854: @160680
     /*  160680 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(160917),
     /*  160685 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160688 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160696 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160751), // Rule ID 45873 //
     /*  160701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  160704 */     // MIs[0] rs1
     /*  160704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160712 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160749 */     GIR_RootConstrainSelectedInstOperands,
     /*  160750 */     // GIR_Coverage, 45873,
     /*  160750 */     GIR_EraseRootFromParent_Done,
     /*  160751 */   // Label 3009: @160751
     /*  160751 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(160806), // Rule ID 45874 //
     /*  160756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160759 */     // MIs[0] rs1
     /*  160759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160767 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160804 */     GIR_RootConstrainSelectedInstOperands,
     /*  160805 */     // GIR_Coverage, 45874,
     /*  160805 */     GIR_EraseRootFromParent_Done,
     /*  160806 */   // Label 3010: @160806
     /*  160806 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(160861), // Rule ID 45933 //
     /*  160811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  160814 */     // MIs[0] rs1
     /*  160814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160822 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160859 */     GIR_RootConstrainSelectedInstOperands,
     /*  160860 */     // GIR_Coverage, 45933,
     /*  160860 */     GIR_EraseRootFromParent_Done,
     /*  160861 */   // Label 3011: @160861
     /*  160861 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160916), // Rule ID 45934 //
     /*  160866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  160869 */     // MIs[0] rs1
     /*  160869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160877 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160914 */     GIR_RootConstrainSelectedInstOperands,
     /*  160915 */     // GIR_Coverage, 45934,
     /*  160915 */     GIR_EraseRootFromParent_Done,
     /*  160916 */   // Label 3012: @160916
     /*  160916 */   GIM_Reject,
     /*  160917 */ // Label 3008: @160917
     /*  160917 */ GIM_Reject,
     /*  160918 */ // Label 2855: @160918
     /*  160918 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(161037),
     /*  160923 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160926 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160934 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160942 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(160989), // Rule ID 45949 //
     /*  160947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160950 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  160953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  160967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160987 */     GIR_RootConstrainSelectedInstOperands,
     /*  160988 */     // GIR_Coverage, 45949,
     /*  160988 */     GIR_EraseRootFromParent_Done,
     /*  160989 */   // Label 3014: @160989
     /*  160989 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161036), // Rule ID 45950 //
     /*  160994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160997 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  161000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  161014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161034 */     GIR_RootConstrainSelectedInstOperands,
     /*  161035 */     // GIR_Coverage, 45950,
     /*  161035 */     GIR_EraseRootFromParent_Done,
     /*  161036 */   // Label 3015: @161036
     /*  161036 */   GIM_Reject,
     /*  161037 */ // Label 3013: @161037
     /*  161037 */ GIM_Reject,
     /*  161038 */ // Label 2856: @161038
     /*  161038 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161165),
     /*  161043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161046 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161054 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161109), // Rule ID 45817 //
     /*  161059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161062 */     // MIs[0] rs1
     /*  161062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161070 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161107 */     GIR_RootConstrainSelectedInstOperands,
     /*  161108 */     // GIR_Coverage, 45817,
     /*  161108 */     GIR_EraseRootFromParent_Done,
     /*  161109 */   // Label 3017: @161109
     /*  161109 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161164), // Rule ID 45818 //
     /*  161114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161117 */     // MIs[0] rs1
     /*  161117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161125 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  161128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  161142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161162 */     GIR_RootConstrainSelectedInstOperands,
     /*  161163 */     // GIR_Coverage, 45818,
     /*  161163 */     GIR_EraseRootFromParent_Done,
     /*  161164 */   // Label 3018: @161164
     /*  161164 */   GIM_Reject,
     /*  161165 */ // Label 3016: @161165
     /*  161165 */ GIM_Reject,
     /*  161166 */ // Label 2857: @161166
     /*  161166 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(161403),
     /*  161171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161182 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(161237), // Rule ID 45845 //
     /*  161187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161190 */     // MIs[0] rs1
     /*  161190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161198 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161235 */     GIR_RootConstrainSelectedInstOperands,
     /*  161236 */     // GIR_Coverage, 45845,
     /*  161236 */     GIR_EraseRootFromParent_Done,
     /*  161237 */   // Label 3020: @161237
     /*  161237 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(161292), // Rule ID 45846 //
     /*  161242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161245 */     // MIs[0] rs1
     /*  161245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161253 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161290 */     GIR_RootConstrainSelectedInstOperands,
     /*  161291 */     // GIR_Coverage, 45846,
     /*  161291 */     GIR_EraseRootFromParent_Done,
     /*  161292 */   // Label 3021: @161292
     /*  161292 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(161347), // Rule ID 45905 //
     /*  161297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  161300 */     // MIs[0] rs1
     /*  161300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161308 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161345 */     GIR_RootConstrainSelectedInstOperands,
     /*  161346 */     // GIR_Coverage, 45905,
     /*  161346 */     GIR_EraseRootFromParent_Done,
     /*  161347 */   // Label 3022: @161347
     /*  161347 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(161402), // Rule ID 45906 //
     /*  161352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161355 */     // MIs[0] rs1
     /*  161355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161363 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161400 */     GIR_RootConstrainSelectedInstOperands,
     /*  161401 */     // GIR_Coverage, 45906,
     /*  161401 */     GIR_EraseRootFromParent_Done,
     /*  161402 */   // Label 3023: @161402
     /*  161402 */   GIM_Reject,
     /*  161403 */ // Label 3019: @161403
     /*  161403 */ GIM_Reject,
     /*  161404 */ // Label 2858: @161404
     /*  161404 */ GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(161641),
     /*  161409 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161412 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161420 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(161475), // Rule ID 45861 //
     /*  161425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161428 */     // MIs[0] rs1
     /*  161428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161436 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161473 */     GIR_RootConstrainSelectedInstOperands,
     /*  161474 */     // GIR_Coverage, 45861,
     /*  161474 */     GIR_EraseRootFromParent_Done,
     /*  161475 */   // Label 3025: @161475
     /*  161475 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(161530), // Rule ID 45862 //
     /*  161480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161483 */     // MIs[0] rs1
     /*  161483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161491 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161528 */     GIR_RootConstrainSelectedInstOperands,
     /*  161529 */     // GIR_Coverage, 45862,
     /*  161529 */     GIR_EraseRootFromParent_Done,
     /*  161530 */   // Label 3026: @161530
     /*  161530 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(161585), // Rule ID 45921 //
     /*  161535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  161538 */     // MIs[0] rs1
     /*  161538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161546 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161583 */     GIR_RootConstrainSelectedInstOperands,
     /*  161584 */     // GIR_Coverage, 45921,
     /*  161584 */     GIR_EraseRootFromParent_Done,
     /*  161585 */   // Label 3027: @161585
     /*  161585 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(161640), // Rule ID 45922 //
     /*  161590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  161593 */     // MIs[0] rs1
     /*  161593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161601 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161638 */     GIR_RootConstrainSelectedInstOperands,
     /*  161639 */     // GIR_Coverage, 45922,
     /*  161639 */     GIR_EraseRootFromParent_Done,
     /*  161640 */   // Label 3028: @161640
     /*  161640 */   GIM_Reject,
     /*  161641 */ // Label 3024: @161641
     /*  161641 */ GIM_Reject,
     /*  161642 */ // Label 2859: @161642
     /*  161642 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(161879),
     /*  161647 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161650 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161658 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(161713), // Rule ID 45877 //
     /*  161663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161666 */     // MIs[0] rs1
     /*  161666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161674 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161711 */     GIR_RootConstrainSelectedInstOperands,
     /*  161712 */     // GIR_Coverage, 45877,
     /*  161712 */     GIR_EraseRootFromParent_Done,
     /*  161713 */   // Label 3030: @161713
     /*  161713 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(161768), // Rule ID 45878 //
     /*  161718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161721 */     // MIs[0] rs1
     /*  161721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161729 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161766 */     GIR_RootConstrainSelectedInstOperands,
     /*  161767 */     // GIR_Coverage, 45878,
     /*  161767 */     GIR_EraseRootFromParent_Done,
     /*  161768 */   // Label 3031: @161768
     /*  161768 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(161823), // Rule ID 45937 //
     /*  161773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  161776 */     // MIs[0] rs1
     /*  161776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161784 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161821 */     GIR_RootConstrainSelectedInstOperands,
     /*  161822 */     // GIR_Coverage, 45937,
     /*  161822 */     GIR_EraseRootFromParent_Done,
     /*  161823 */   // Label 3032: @161823
     /*  161823 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161878), // Rule ID 45938 //
     /*  161828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  161831 */     // MIs[0] rs1
     /*  161831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161839 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161876 */     GIR_RootConstrainSelectedInstOperands,
     /*  161877 */     // GIR_Coverage, 45938,
     /*  161877 */     GIR_EraseRootFromParent_Done,
     /*  161878 */   // Label 3033: @161878
     /*  161878 */   GIM_Reject,
     /*  161879 */ // Label 3029: @161879
     /*  161879 */ GIM_Reject,
     /*  161880 */ // Label 2860: @161880
     /*  161880 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(161999),
     /*  161885 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161888 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161904 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(161951), // Rule ID 45953 //
     /*  161909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161912 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161949 */     GIR_RootConstrainSelectedInstOperands,
     /*  161950 */     // GIR_Coverage, 45953,
     /*  161950 */     GIR_EraseRootFromParent_Done,
     /*  161951 */   // Label 3035: @161951
     /*  161951 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(161998), // Rule ID 45954 //
     /*  161956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161959 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161996 */     GIR_RootConstrainSelectedInstOperands,
     /*  161997 */     // GIR_Coverage, 45954,
     /*  161997 */     GIR_EraseRootFromParent_Done,
     /*  161998 */   // Label 3036: @161998
     /*  161998 */   GIM_Reject,
     /*  161999 */ // Label 3034: @161999
     /*  161999 */ GIM_Reject,
     /*  162000 */ // Label 2861: @162000
     /*  162000 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162127),
     /*  162005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162008 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162016 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162071), // Rule ID 45833 //
     /*  162021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162024 */     // MIs[0] rs1
     /*  162024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162032 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162069 */     GIR_RootConstrainSelectedInstOperands,
     /*  162070 */     // GIR_Coverage, 45833,
     /*  162070 */     GIR_EraseRootFromParent_Done,
     /*  162071 */   // Label 3038: @162071
     /*  162071 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162126), // Rule ID 45834 //
     /*  162076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162079 */     // MIs[0] rs1
     /*  162079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162087 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  162090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  162104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162124 */     GIR_RootConstrainSelectedInstOperands,
     /*  162125 */     // GIR_Coverage, 45834,
     /*  162125 */     GIR_EraseRootFromParent_Done,
     /*  162126 */   // Label 3039: @162126
     /*  162126 */   GIM_Reject,
     /*  162127 */ // Label 3037: @162127
     /*  162127 */ GIM_Reject,
     /*  162128 */ // Label 2862: @162128
     /*  162128 */ GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(162365),
     /*  162133 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162136 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162144 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162199), // Rule ID 45849 //
     /*  162149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162152 */     // MIs[0] rs1
     /*  162152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162160 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162197 */     GIR_RootConstrainSelectedInstOperands,
     /*  162198 */     // GIR_Coverage, 45849,
     /*  162198 */     GIR_EraseRootFromParent_Done,
     /*  162199 */   // Label 3041: @162199
     /*  162199 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(162254), // Rule ID 45850 //
     /*  162204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162207 */     // MIs[0] rs1
     /*  162207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162215 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162252 */     GIR_RootConstrainSelectedInstOperands,
     /*  162253 */     // GIR_Coverage, 45850,
     /*  162253 */     GIR_EraseRootFromParent_Done,
     /*  162254 */   // Label 3042: @162254
     /*  162254 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(162309), // Rule ID 45909 //
     /*  162259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162262 */     // MIs[0] rs1
     /*  162262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162270 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162307 */     GIR_RootConstrainSelectedInstOperands,
     /*  162308 */     // GIR_Coverage, 45909,
     /*  162308 */     GIR_EraseRootFromParent_Done,
     /*  162309 */   // Label 3043: @162309
     /*  162309 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(162364), // Rule ID 45910 //
     /*  162314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162317 */     // MIs[0] rs1
     /*  162317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162325 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  162328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  162342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162362 */     GIR_RootConstrainSelectedInstOperands,
     /*  162363 */     // GIR_Coverage, 45910,
     /*  162363 */     GIR_EraseRootFromParent_Done,
     /*  162364 */   // Label 3044: @162364
     /*  162364 */   GIM_Reject,
     /*  162365 */ // Label 3040: @162365
     /*  162365 */ GIM_Reject,
     /*  162366 */ // Label 2863: @162366
     /*  162366 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(162603),
     /*  162371 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162374 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162382 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(162437), // Rule ID 45865 //
     /*  162387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162390 */     // MIs[0] rs1
     /*  162390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162398 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162435 */     GIR_RootConstrainSelectedInstOperands,
     /*  162436 */     // GIR_Coverage, 45865,
     /*  162436 */     GIR_EraseRootFromParent_Done,
     /*  162437 */   // Label 3046: @162437
     /*  162437 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(162492), // Rule ID 45866 //
     /*  162442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162445 */     // MIs[0] rs1
     /*  162445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162453 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162490 */     GIR_RootConstrainSelectedInstOperands,
     /*  162491 */     // GIR_Coverage, 45866,
     /*  162491 */     GIR_EraseRootFromParent_Done,
     /*  162492 */   // Label 3047: @162492
     /*  162492 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(162547), // Rule ID 45925 //
     /*  162497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162500 */     // MIs[0] rs1
     /*  162500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162508 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162545 */     GIR_RootConstrainSelectedInstOperands,
     /*  162546 */     // GIR_Coverage, 45925,
     /*  162546 */     GIR_EraseRootFromParent_Done,
     /*  162547 */   // Label 3048: @162547
     /*  162547 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(162602), // Rule ID 45926 //
     /*  162552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162555 */     // MIs[0] rs1
     /*  162555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162563 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162600 */     GIR_RootConstrainSelectedInstOperands,
     /*  162601 */     // GIR_Coverage, 45926,
     /*  162601 */     GIR_EraseRootFromParent_Done,
     /*  162602 */   // Label 3049: @162602
     /*  162602 */   GIM_Reject,
     /*  162603 */ // Label 3045: @162603
     /*  162603 */ GIM_Reject,
     /*  162604 */ // Label 2864: @162604
     /*  162604 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(162723),
     /*  162609 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162612 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162620 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162628 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(162675), // Rule ID 45957 //
     /*  162633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162636 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162673 */     GIR_RootConstrainSelectedInstOperands,
     /*  162674 */     // GIR_Coverage, 45957,
     /*  162674 */     GIR_EraseRootFromParent_Done,
     /*  162675 */   // Label 3051: @162675
     /*  162675 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(162722), // Rule ID 45958 //
     /*  162680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162683 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162720 */     GIR_RootConstrainSelectedInstOperands,
     /*  162721 */     // GIR_Coverage, 45958,
     /*  162721 */     GIR_EraseRootFromParent_Done,
     /*  162722 */   // Label 3052: @162722
     /*  162722 */   GIM_Reject,
     /*  162723 */ // Label 3050: @162723
     /*  162723 */ GIM_Reject,
     /*  162724 */ // Label 2865: @162724
     /*  162724 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(162851),
     /*  162729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162740 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(162795), // Rule ID 45837 //
     /*  162745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162748 */     // MIs[0] rs1
     /*  162748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162756 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162793 */     GIR_RootConstrainSelectedInstOperands,
     /*  162794 */     // GIR_Coverage, 45837,
     /*  162794 */     GIR_EraseRootFromParent_Done,
     /*  162795 */   // Label 3054: @162795
     /*  162795 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(162850), // Rule ID 45838 //
     /*  162800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162803 */     // MIs[0] rs1
     /*  162803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162811 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162848 */     GIR_RootConstrainSelectedInstOperands,
     /*  162849 */     // GIR_Coverage, 45838,
     /*  162849 */     GIR_EraseRootFromParent_Done,
     /*  162850 */   // Label 3055: @162850
     /*  162850 */   GIM_Reject,
     /*  162851 */ // Label 3053: @162851
     /*  162851 */ GIM_Reject,
     /*  162852 */ // Label 2866: @162852
     /*  162852 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(163089),
     /*  162857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162860 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162868 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(162923), // Rule ID 45853 //
     /*  162873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162876 */     // MIs[0] rs1
     /*  162876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162884 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162921 */     GIR_RootConstrainSelectedInstOperands,
     /*  162922 */     // GIR_Coverage, 45853,
     /*  162922 */     GIR_EraseRootFromParent_Done,
     /*  162923 */   // Label 3057: @162923
     /*  162923 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(162978), // Rule ID 45854 //
     /*  162928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162931 */     // MIs[0] rs1
     /*  162931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162939 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162976 */     GIR_RootConstrainSelectedInstOperands,
     /*  162977 */     // GIR_Coverage, 45854,
     /*  162977 */     GIR_EraseRootFromParent_Done,
     /*  162978 */   // Label 3058: @162978
     /*  162978 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(163033), // Rule ID 45913 //
     /*  162983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162986 */     // MIs[0] rs1
     /*  162986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162994 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163031 */     GIR_RootConstrainSelectedInstOperands,
     /*  163032 */     // GIR_Coverage, 45913,
     /*  163032 */     GIR_EraseRootFromParent_Done,
     /*  163033 */   // Label 3059: @163033
     /*  163033 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(163088), // Rule ID 45914 //
     /*  163038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163041 */     // MIs[0] rs1
     /*  163041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163049 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  163052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  163066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163086 */     GIR_RootConstrainSelectedInstOperands,
     /*  163087 */     // GIR_Coverage, 45914,
     /*  163087 */     GIR_EraseRootFromParent_Done,
     /*  163088 */   // Label 3060: @163088
     /*  163088 */   GIM_Reject,
     /*  163089 */ // Label 3056: @163089
     /*  163089 */ GIM_Reject,
     /*  163090 */ // Label 2867: @163090
     /*  163090 */ GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(163209),
     /*  163095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163106 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163114 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163161), // Rule ID 45961 //
     /*  163119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163122 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163159 */     GIR_RootConstrainSelectedInstOperands,
     /*  163160 */     // GIR_Coverage, 45961,
     /*  163160 */     GIR_EraseRootFromParent_Done,
     /*  163161 */   // Label 3062: @163161
     /*  163161 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163208), // Rule ID 45962 //
     /*  163166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163169 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  163172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  163186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163206 */     GIR_RootConstrainSelectedInstOperands,
     /*  163207 */     // GIR_Coverage, 45962,
     /*  163207 */     GIR_EraseRootFromParent_Done,
     /*  163208 */   // Label 3063: @163208
     /*  163208 */   GIM_Reject,
     /*  163209 */ // Label 3061: @163209
     /*  163209 */ GIM_Reject,
     /*  163210 */ // Label 2868: @163210
     /*  163210 */ GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(163337),
     /*  163215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163218 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163226 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(163281), // Rule ID 45841 //
     /*  163231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163234 */     // MIs[0] rs1
     /*  163234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163242 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163279 */     GIR_RootConstrainSelectedInstOperands,
     /*  163280 */     // GIR_Coverage, 45841,
     /*  163280 */     GIR_EraseRootFromParent_Done,
     /*  163281 */   // Label 3065: @163281
     /*  163281 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(163336), // Rule ID 45842 //
     /*  163286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163289 */     // MIs[0] rs1
     /*  163289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163297 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  163300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  163314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163330 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163334 */     GIR_RootConstrainSelectedInstOperands,
     /*  163335 */     // GIR_Coverage, 45842,
     /*  163335 */     GIR_EraseRootFromParent_Done,
     /*  163336 */   // Label 3066: @163336
     /*  163336 */   GIM_Reject,
     /*  163337 */ // Label 3064: @163337
     /*  163337 */ GIM_Reject,
     /*  163338 */ // Label 2869: @163338
     /*  163338 */ GIM_Reject,
     /*  163339 */ // Label 22: @163339
     /*  163339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3069*/ GIMT_Encode4(165308),
     /*  163350 */ /*GILLT_s32*//*Label 3067*/ GIMT_Encode4(163358),
     /*  163354 */ /*GILLT_s64*//*Label 3068*/ GIMT_Encode4(164734),
     /*  163358 */ // Label 3067: @163358
     /*  163358 */ GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(163465), // Rule ID 73556 //
     /*  163363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163366 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163369 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163380 */   // MIs[0] Operand 1
     /*  163380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163384 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163388 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163392 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163396 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163400 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163404 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163408 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163412 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163416 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163421 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163425 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163429 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163433 */   // MIs[3] Operand 1
     /*  163433 */   // No operand predicates
     /*  163433 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163438 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163440 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163445 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163449 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163453 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163463 */   GIR_RootConstrainSelectedInstOperands,
     /*  163464 */   // GIR_Coverage, 73556,
     /*  163464 */   GIR_EraseRootFromParent_Done,
     /*  163465 */ // Label 3070: @163465
     /*  163465 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(163572), // Rule ID 73557 //
     /*  163470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163476 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163487 */   // MIs[0] Operand 1
     /*  163487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163499 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163503 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163507 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163511 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163515 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163519 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163523 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163528 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163532 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163536 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163540 */   // MIs[3] Operand 1
     /*  163540 */   // No operand predicates
     /*  163540 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163545 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163547 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163552 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163556 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163560 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163563 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163570 */   GIR_RootConstrainSelectedInstOperands,
     /*  163571 */   // GIR_Coverage, 73557,
     /*  163571 */   GIR_EraseRootFromParent_Done,
     /*  163572 */ // Label 3071: @163572
     /*  163572 */ GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(163679), // Rule ID 73560 //
     /*  163577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163583 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163594 */   // MIs[0] Operand 1
     /*  163594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163598 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163602 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163606 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163610 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163614 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163618 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163622 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163626 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163630 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163635 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163639 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163643 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163647 */   // MIs[3] Operand 1
     /*  163647 */   // No operand predicates
     /*  163647 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163652 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163654 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163659 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163663 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163667 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163677 */   GIR_RootConstrainSelectedInstOperands,
     /*  163678 */   // GIR_Coverage, 73560,
     /*  163678 */   GIR_EraseRootFromParent_Done,
     /*  163679 */ // Label 3072: @163679
     /*  163679 */ GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(163786), // Rule ID 73561 //
     /*  163684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163690 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163701 */   // MIs[0] Operand 1
     /*  163701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163713 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163717 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163721 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163725 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163729 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163733 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163737 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163742 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163746 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163750 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163754 */   // MIs[3] Operand 1
     /*  163754 */   // No operand predicates
     /*  163754 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163759 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163761 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163766 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163770 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163774 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163777 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163784 */   GIR_RootConstrainSelectedInstOperands,
     /*  163785 */   // GIR_Coverage, 73561,
     /*  163785 */   GIR_EraseRootFromParent_Done,
     /*  163786 */ // Label 3073: @163786
     /*  163786 */ GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(163893), // Rule ID 64280 //
     /*  163791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163797 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163808 */   // MIs[0] Operand 1
     /*  163808 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163812 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163816 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163820 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163824 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163828 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163833 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163837 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163841 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163845 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163849 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163854 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163858 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163862 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163866 */   // MIs[3] Operand 1
     /*  163866 */   // No operand predicates
     /*  163866 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163868 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163873 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163877 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163881 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163884 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163891 */   GIR_RootConstrainSelectedInstOperands,
     /*  163892 */   // GIR_Coverage, 64280,
     /*  163892 */   GIR_EraseRootFromParent_Done,
     /*  163893 */ // Label 3074: @163893
     /*  163893 */ GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164000), // Rule ID 64281 //
     /*  163898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163904 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163915 */   // MIs[0] Operand 1
     /*  163915 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163919 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163923 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163927 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163931 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163935 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163940 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163944 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163948 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163952 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163956 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163961 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163965 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163969 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163973 */   // MIs[3] Operand 1
     /*  163973 */   // No operand predicates
     /*  163973 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163975 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163980 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163984 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163988 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163998 */   GIR_RootConstrainSelectedInstOperands,
     /*  163999 */   // GIR_Coverage, 64281,
     /*  163999 */   GIR_EraseRootFromParent_Done,
     /*  164000 */ // Label 3075: @164000
     /*  164000 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164107), // Rule ID 64284 //
     /*  164005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164008 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164011 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164022 */   // MIs[0] Operand 1
     /*  164022 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164026 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164030 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164034 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164038 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164042 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164047 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164051 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164055 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164059 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164063 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164068 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164072 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164076 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164080 */   // MIs[3] Operand 1
     /*  164080 */   // No operand predicates
     /*  164080 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164082 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164087 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164091 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164095 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164105 */   GIR_RootConstrainSelectedInstOperands,
     /*  164106 */   // GIR_Coverage, 64284,
     /*  164106 */   GIR_EraseRootFromParent_Done,
     /*  164107 */ // Label 3076: @164107
     /*  164107 */ GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(164214), // Rule ID 64285 //
     /*  164112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164115 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164129 */   // MIs[0] Operand 1
     /*  164129 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164133 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164137 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164141 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164145 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164149 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164154 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164158 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164162 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164166 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164170 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164175 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164179 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164183 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164187 */   // MIs[3] Operand 1
     /*  164187 */   // No operand predicates
     /*  164187 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164189 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  164192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164194 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164198 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164202 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164205 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164212 */   GIR_RootConstrainSelectedInstOperands,
     /*  164213 */   // GIR_Coverage, 64285,
     /*  164213 */   GIR_EraseRootFromParent_Done,
     /*  164214 */ // Label 3077: @164214
     /*  164214 */ GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(164268), // Rule ID 225 //
     /*  164219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164225 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164236 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164240 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164247 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164266 */   GIR_RootConstrainSelectedInstOperands,
     /*  164267 */   // GIR_Coverage, 225,
     /*  164267 */   GIR_EraseRootFromParent_Done,
     /*  164268 */ // Label 3078: @164268
     /*  164268 */ GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(164322), // Rule ID 229 //
     /*  164273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164276 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164279 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164290 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164301 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164320 */   GIR_RootConstrainSelectedInstOperands,
     /*  164321 */   // GIR_Coverage, 229,
     /*  164321 */   GIR_EraseRootFromParent_Done,
     /*  164322 */ // Label 3079: @164322
     /*  164322 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(164379), // Rule ID 315 //
     /*  164327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164340 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164351 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164358 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10063>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164377 */   GIR_RootConstrainSelectedInstOperands,
     /*  164378 */   // GIR_Coverage, 315,
     /*  164378 */   GIR_EraseRootFromParent_Done,
     /*  164379 */ // Label 3080: @164379
     /*  164379 */ GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164436), // Rule ID 319 //
     /*  164384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  164387 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164390 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164397 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164415 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10065>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164434 */   GIR_RootConstrainSelectedInstOperands,
     /*  164435 */   // GIR_Coverage, 319,
     /*  164435 */   GIR_EraseRootFromParent_Done,
     /*  164436 */ // Label 3081: @164436
     /*  164436 */ GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(164493), // Rule ID 331 //
     /*  164441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  164444 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164447 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164454 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164461 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164465 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164472 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10075>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164487 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164491 */   GIR_RootConstrainSelectedInstOperands,
     /*  164492 */   // GIR_Coverage, 331,
     /*  164492 */   GIR_EraseRootFromParent_Done,
     /*  164493 */ // Label 3082: @164493
     /*  164493 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164533), // Rule ID 1085 //
     /*  164498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164501 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164518 */   // MIs[0] rs1
     /*  164518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164526 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10561>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164531 */   GIR_RootConstrainSelectedInstOperands,
     /*  164532 */   // GIR_Coverage, 1085,
     /*  164532 */   GIR_Done,
     /*  164533 */ // Label 3083: @164533
     /*  164533 */ GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164573), // Rule ID 1089 //
     /*  164538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164541 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164544 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164551 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164558 */   // MIs[0] rs1
     /*  164558 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164566 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10563>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164566 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  164571 */   GIR_RootConstrainSelectedInstOperands,
     /*  164572 */   // GIR_Coverage, 1089,
     /*  164572 */   GIR_Done,
     /*  164573 */ // Label 3084: @164573
     /*  164573 */ GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(164613), // Rule ID 1093 //
     /*  164578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164581 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164584 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164598 */   // MIs[0] rs1
     /*  164598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164606 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10565>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164606 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164611 */   GIR_RootConstrainSelectedInstOperands,
     /*  164612 */   // GIR_Coverage, 1093,
     /*  164612 */   GIR_Done,
     /*  164613 */ // Label 3085: @164613
     /*  164613 */ GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(164653), // Rule ID 1097 //
     /*  164618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  164621 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164624 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164638 */   // MIs[0] rs1
     /*  164638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164646 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10567>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164646 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  164651 */   GIR_RootConstrainSelectedInstOperands,
     /*  164652 */   // GIR_Coverage, 1097,
     /*  164652 */   GIR_Done,
     /*  164653 */ // Label 3086: @164653
     /*  164653 */ GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(164693), // Rule ID 1117 //
     /*  164658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164661 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164664 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164671 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164678 */   // MIs[0] rs1
     /*  164678 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164686 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10585>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164686 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164691 */   GIR_RootConstrainSelectedInstOperands,
     /*  164692 */   // GIR_Coverage, 1117,
     /*  164692 */   GIR_Done,
     /*  164693 */ // Label 3087: @164693
     /*  164693 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(164733), // Rule ID 1121 //
     /*  164698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164701 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164704 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164711 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164718 */   // MIs[0] rs1
     /*  164718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164726 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10587>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  164726 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  164731 */   GIR_RootConstrainSelectedInstOperands,
     /*  164732 */   // GIR_Coverage, 1121,
     /*  164732 */   GIR_Done,
     /*  164733 */ // Label 3088: @164733
     /*  164733 */ GIM_Reject,
     /*  164734 */ // Label 3068: @164734
     /*  164734 */ GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(164788), // Rule ID 224 //
     /*  164739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164742 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164745 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164756 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164760 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164767 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164777 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164782 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164786 */   GIR_RootConstrainSelectedInstOperands,
     /*  164787 */   // GIR_Coverage, 224,
     /*  164787 */   GIR_EraseRootFromParent_Done,
     /*  164788 */ // Label 3089: @164788
     /*  164788 */ GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(164842), // Rule ID 228 //
     /*  164793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164796 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164799 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164810 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164814 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164821 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164836 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164840 */   GIR_RootConstrainSelectedInstOperands,
     /*  164841 */   // GIR_Coverage, 228,
     /*  164841 */   GIR_EraseRootFromParent_Done,
     /*  164842 */ // Label 3090: @164842
     /*  164842 */ GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(164896), // Rule ID 275 //
     /*  164847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164850 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164853 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164864 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164868 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164875 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164880 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164885 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164890 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164894 */   GIR_RootConstrainSelectedInstOperands,
     /*  164895 */   // GIR_Coverage, 275,
     /*  164895 */   GIR_EraseRootFromParent_Done,
     /*  164896 */ // Label 3091: @164896
     /*  164896 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(164953), // Rule ID 314 //
     /*  164901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164904 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164907 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164914 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164921 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164925 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164932 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10063>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  164935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164942 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164947 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164951 */   GIR_RootConstrainSelectedInstOperands,
     /*  164952 */   // GIR_Coverage, 314,
     /*  164952 */   GIR_EraseRootFromParent_Done,
     /*  164953 */ // Label 3092: @164953
     /*  164953 */ GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165010), // Rule ID 318 //
     /*  164958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164961 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164964 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164971 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  164974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164989 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10065>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165008 */   GIR_RootConstrainSelectedInstOperands,
     /*  165009 */   // GIR_Coverage, 318,
     /*  165009 */   GIR_EraseRootFromParent_Done,
     /*  165010 */ // Label 3093: @165010
     /*  165010 */ GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165067), // Rule ID 330 //
     /*  165015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  165018 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165021 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165028 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165035 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165039 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165046 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10075>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  165049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165061 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165065 */   GIR_RootConstrainSelectedInstOperands,
     /*  165066 */   // GIR_Coverage, 330,
     /*  165066 */   GIR_EraseRootFromParent_Done,
     /*  165067 */ // Label 3094: @165067
     /*  165067 */ GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(165107), // Rule ID 1084 //
     /*  165072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165075 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165092 */   // MIs[0] rs1
     /*  165092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165100 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10561>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165100 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165105 */   GIR_RootConstrainSelectedInstOperands,
     /*  165106 */   // GIR_Coverage, 1084,
     /*  165106 */   GIR_Done,
     /*  165107 */ // Label 3095: @165107
     /*  165107 */ GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(165147), // Rule ID 1088 //
     /*  165112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165115 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165132 */   // MIs[0] rs1
     /*  165132 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165140 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10563>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  165145 */   GIR_RootConstrainSelectedInstOperands,
     /*  165146 */   // GIR_Coverage, 1088,
     /*  165146 */   GIR_Done,
     /*  165147 */ // Label 3096: @165147
     /*  165147 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(165187), // Rule ID 1092 //
     /*  165152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165155 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165158 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165165 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165172 */   // MIs[0] rs1
     /*  165172 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165180 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10565>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165185 */   GIR_RootConstrainSelectedInstOperands,
     /*  165186 */   // GIR_Coverage, 1092,
     /*  165186 */   GIR_Done,
     /*  165187 */ // Label 3097: @165187
     /*  165187 */ GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(165227), // Rule ID 1096 //
     /*  165192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  165195 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165198 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165205 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165212 */   // MIs[0] rs1
     /*  165212 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165220 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10567>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165220 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  165225 */   GIR_RootConstrainSelectedInstOperands,
     /*  165226 */   // GIR_Coverage, 1096,
     /*  165226 */   GIR_Done,
     /*  165227 */ // Label 3098: @165227
     /*  165227 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(165267), // Rule ID 1116 //
     /*  165232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165235 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165238 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165245 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  165248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165252 */   // MIs[0] rs1
     /*  165252 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165260 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10585>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165260 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165265 */   GIR_RootConstrainSelectedInstOperands,
     /*  165266 */   // GIR_Coverage, 1116,
     /*  165266 */   GIR_Done,
     /*  165267 */ // Label 3099: @165267
     /*  165267 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(165307), // Rule ID 1120 //
     /*  165272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165275 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165292 */   // MIs[0] rs1
     /*  165292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165300 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10587>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  165300 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  165305 */   GIR_RootConstrainSelectedInstOperands,
     /*  165306 */   // GIR_Coverage, 1120,
     /*  165306 */   GIR_Done,
     /*  165307 */ // Label 3100: @165307
     /*  165307 */ GIM_Reject,
     /*  165308 */ // Label 3069: @165308
     /*  165308 */ GIM_Reject,
     /*  165309 */ // Label 23: @165309
     /*  165309 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3103*/ GIMT_Encode4(166435),
     /*  165320 */ /*GILLT_s32*//*Label 3101*/ GIMT_Encode4(165328),
     /*  165324 */ /*GILLT_s64*//*Label 3102*/ GIMT_Encode4(166272),
     /*  165328 */ // Label 3101: @165328
     /*  165328 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(166271),
     /*  165333 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165336 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(165440), // Rule ID 73566 //
     /*  165341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165355 */     // MIs[0] Operand 1
     /*  165355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165387 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165396 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165400 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165404 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165408 */     // MIs[3] Operand 1
     /*  165408 */     // No operand predicates
     /*  165408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165413 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165415 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165438 */     GIR_RootConstrainSelectedInstOperands,
     /*  165439 */     // GIR_Coverage, 73566,
     /*  165439 */     GIR_EraseRootFromParent_Done,
     /*  165440 */   // Label 3105: @165440
     /*  165440 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(165544), // Rule ID 73567 //
     /*  165445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165459 */     // MIs[0] Operand 1
     /*  165459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165491 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165500 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165504 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165508 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165512 */     // MIs[3] Operand 1
     /*  165512 */     // No operand predicates
     /*  165512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165519 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165542 */     GIR_RootConstrainSelectedInstOperands,
     /*  165543 */     // GIR_Coverage, 73567,
     /*  165543 */     GIR_EraseRootFromParent_Done,
     /*  165544 */   // Label 3106: @165544
     /*  165544 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(165648), // Rule ID 73568 //
     /*  165549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165563 */     // MIs[0] Operand 1
     /*  165563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165595 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165612 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165616 */     // MIs[3] Operand 1
     /*  165616 */     // No operand predicates
     /*  165616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165621 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165623 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165646 */     GIR_RootConstrainSelectedInstOperands,
     /*  165647 */     // GIR_Coverage, 73568,
     /*  165647 */     GIR_EraseRootFromParent_Done,
     /*  165648 */   // Label 3107: @165648
     /*  165648 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(165752), // Rule ID 73569 //
     /*  165653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165667 */     // MIs[0] Operand 1
     /*  165667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  165691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165699 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165703 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165716 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165720 */     // MIs[3] Operand 1
     /*  165720 */     // No operand predicates
     /*  165720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165727 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  165730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  165736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165743 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165750 */     GIR_RootConstrainSelectedInstOperands,
     /*  165751 */     // GIR_Coverage, 73569,
     /*  165751 */     GIR_EraseRootFromParent_Done,
     /*  165752 */   // Label 3108: @165752
     /*  165752 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(165856), // Rule ID 64290 //
     /*  165757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165771 */     // MIs[0] Operand 1
     /*  165771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165808 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  165812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165825 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165829 */     // MIs[3] Operand 1
     /*  165829 */     // No operand predicates
     /*  165829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165831 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  165831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165854 */     GIR_RootConstrainSelectedInstOperands,
     /*  165855 */     // GIR_Coverage, 64290,
     /*  165855 */     GIR_EraseRootFromParent_Done,
     /*  165856 */   // Label 3109: @165856
     /*  165856 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(165960), // Rule ID 64291 //
     /*  165861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  165864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165875 */     // MIs[0] Operand 1
     /*  165875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  165904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  165908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  165912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  165916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  165921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  165925 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  165929 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  165933 */     // MIs[3] Operand 1
     /*  165933 */     // No operand predicates
     /*  165933 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  165935 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  165935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  165938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  165944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  165948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  165951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  165958 */     GIR_RootConstrainSelectedInstOperands,
     /*  165959 */     // GIR_Coverage, 64291,
     /*  165959 */     GIR_EraseRootFromParent_Done,
     /*  165960 */   // Label 3110: @165960
     /*  165960 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166064), // Rule ID 64292 //
     /*  165965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  165968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165979 */     // MIs[0] Operand 1
     /*  165979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  165987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  165991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  165995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  165999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166033 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166037 */     // MIs[3] Operand 1
     /*  166037 */     // No operand predicates
     /*  166037 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166039 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166062 */     GIR_RootConstrainSelectedInstOperands,
     /*  166063 */     // GIR_Coverage, 64292,
     /*  166063 */     GIR_EraseRootFromParent_Done,
     /*  166064 */   // Label 3111: @166064
     /*  166064 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166168), // Rule ID 64293 //
     /*  166069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166083 */     // MIs[0] Operand 1
     /*  166083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166137 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166141 */     // MIs[3] Operand 1
     /*  166141 */     // No operand predicates
     /*  166141 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166143 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  166146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166166 */     GIR_RootConstrainSelectedInstOperands,
     /*  166167 */     // GIR_Coverage, 64293,
     /*  166167 */     GIR_EraseRootFromParent_Done,
     /*  166168 */   // Label 3112: @166168
     /*  166168 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(166219), // Rule ID 235 //
     /*  166173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166198 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166217 */     GIR_RootConstrainSelectedInstOperands,
     /*  166218 */     // GIR_Coverage, 235,
     /*  166218 */     GIR_EraseRootFromParent_Done,
     /*  166219 */   // Label 3113: @166219
     /*  166219 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(166270), // Rule ID 237 //
     /*  166224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166249 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166268 */     GIR_RootConstrainSelectedInstOperands,
     /*  166269 */     // GIR_Coverage, 237,
     /*  166269 */     GIR_EraseRootFromParent_Done,
     /*  166270 */   // Label 3114: @166270
     /*  166270 */   GIM_Reject,
     /*  166271 */ // Label 3104: @166271
     /*  166271 */ GIM_Reject,
     /*  166272 */ // Label 3102: @166272
     /*  166272 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(166434),
     /*  166277 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166280 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(166331), // Rule ID 234 //
     /*  166285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166310 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  166313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166329 */     GIR_RootConstrainSelectedInstOperands,
     /*  166330 */     // GIR_Coverage, 234,
     /*  166330 */     GIR_EraseRootFromParent_Done,
     /*  166331 */   // Label 3116: @166331
     /*  166331 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(166382), // Rule ID 236 //
     /*  166336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166339 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166361 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  166364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166380 */     GIR_RootConstrainSelectedInstOperands,
     /*  166381 */     // GIR_Coverage, 236,
     /*  166381 */     GIR_EraseRootFromParent_Done,
     /*  166382 */   // Label 3117: @166382
     /*  166382 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(166433), // Rule ID 277 //
     /*  166387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  166397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166412 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  166415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166431 */     GIR_RootConstrainSelectedInstOperands,
     /*  166432 */     // GIR_Coverage, 277,
     /*  166432 */     GIR_EraseRootFromParent_Done,
     /*  166433 */   // Label 3118: @166433
     /*  166433 */   GIM_Reject,
     /*  166434 */ // Label 3115: @166434
     /*  166434 */ GIM_Reject,
     /*  166435 */ // Label 3103: @166435
     /*  166435 */ GIM_Reject,
     /*  166436 */ // Label 24: @166436
     /*  166436 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3153*/ GIMT_Encode4(174537),
     /*  166447 */ /*GILLT_p0s32*//*Label 3119*/ GIMT_Encode4(166583),
     /*  166451 */ /*GILLT_p0s64*//*Label 3120*/ GIMT_Encode4(166677),
     /*  166455 */ /*GILLT_s16*//*Label 3121*/ GIMT_Encode4(166771),
     /*  166459 */ /*GILLT_s32*//*Label 3122*/ GIMT_Encode4(167410),
     /*  166463 */ /*GILLT_s64*//*Label 3123*/ GIMT_Encode4(170016),
     /*  166467 */ /*GILLT_nxv1s1*//*Label 3124*/ GIMT_Encode4(170991),
     /*  166471 */ /*GILLT_nxv1s8*//*Label 3125*/ GIMT_Encode4(171071),
     /*  166475 */ /*GILLT_nxv1s16*//*Label 3126*/ GIMT_Encode4(171159),
     /*  166479 */ /*GILLT_nxv1s32*//*Label 3127*/ GIMT_Encode4(171317),
     /*  166483 */ /*GILLT_nxv1s64*//*Label 3128*/ GIMT_Encode4(171475),
     /*  166487 */ /*GILLT_nxv2s1*//*Label 3129*/ GIMT_Encode4(171633),
     /*  166491 */ /*GILLT_nxv2s8*//*Label 3130*/ GIMT_Encode4(171713),
     /*  166495 */ /*GILLT_nxv2s16*//*Label 3131*/ GIMT_Encode4(171801),
     /*  166499 */ /*GILLT_nxv2s32*//*Label 3132*/ GIMT_Encode4(171959),
     /*  166503 */ /*GILLT_nxv2s64*//*Label 3133*/ GIMT_Encode4(172117),
     /*  166507 */ /*GILLT_nxv4s1*//*Label 3134*/ GIMT_Encode4(172275),
     /*  166511 */ /*GILLT_nxv4s8*//*Label 3135*/ GIMT_Encode4(172355),
     /*  166515 */ /*GILLT_nxv4s16*//*Label 3136*/ GIMT_Encode4(172443),
     /*  166519 */ /*GILLT_nxv4s32*//*Label 3137*/ GIMT_Encode4(172601),
     /*  166523 */ /*GILLT_nxv4s64*//*Label 3138*/ GIMT_Encode4(172759),
     /*  166527 */ /*GILLT_nxv8s1*//*Label 3139*/ GIMT_Encode4(172917),
     /*  166531 */ /*GILLT_nxv8s8*//*Label 3140*/ GIMT_Encode4(172997),
     /*  166535 */ /*GILLT_nxv8s16*//*Label 3141*/ GIMT_Encode4(173085),
     /*  166539 */ /*GILLT_nxv8s32*//*Label 3142*/ GIMT_Encode4(173243),
     /*  166543 */ /*GILLT_nxv8s64*//*Label 3143*/ GIMT_Encode4(173401),
     /*  166547 */ /*GILLT_nxv16s1*//*Label 3144*/ GIMT_Encode4(173559),
     /*  166551 */ /*GILLT_nxv16s8*//*Label 3145*/ GIMT_Encode4(173639),
     /*  166555 */ /*GILLT_nxv16s16*//*Label 3146*/ GIMT_Encode4(173727),
     /*  166559 */ /*GILLT_nxv16s32*//*Label 3147*/ GIMT_Encode4(173885),
     /*  166563 */ /*GILLT_nxv32s1*//*Label 3148*/ GIMT_Encode4(174043),
     /*  166567 */ /*GILLT_nxv32s8*//*Label 3149*/ GIMT_Encode4(174123),
     /*  166571 */ /*GILLT_nxv32s16*//*Label 3150*/ GIMT_Encode4(174211),
     /*  166575 */ /*GILLT_nxv64s1*//*Label 3151*/ GIMT_Encode4(174369),
     /*  166579 */ /*GILLT_nxv64s8*//*Label 3152*/ GIMT_Encode4(174449),
     /*  166583 */ // Label 3119: @166583
     /*  166583 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(166676),
     /*  166588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166591 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166599 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166603 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(166639), // Rule ID 64666 //
     /*  166608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  166611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166618 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  166621 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166637 */     GIR_RootConstrainSelectedInstOperands,
     /*  166638 */     // GIR_Coverage, 64666,
     /*  166638 */     GIR_EraseRootFromParent_Done,
     /*  166639 */   // Label 3155: @166639
     /*  166639 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(166675), // Rule ID 64670 //
     /*  166644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  166647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166654 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  166657 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166673 */     GIR_RootConstrainSelectedInstOperands,
     /*  166674 */     // GIR_Coverage, 64670,
     /*  166674 */     GIR_EraseRootFromParent_Done,
     /*  166675 */   // Label 3156: @166675
     /*  166675 */   GIM_Reject,
     /*  166676 */ // Label 3154: @166676
     /*  166676 */ GIM_Reject,
     /*  166677 */ // Label 3120: @166677
     /*  166677 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(166770),
     /*  166682 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166685 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166697 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(166733), // Rule ID 64665 //
     /*  166702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  166705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166712 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  166715 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166731 */     GIR_RootConstrainSelectedInstOperands,
     /*  166732 */     // GIR_Coverage, 64665,
     /*  166732 */     GIR_EraseRootFromParent_Done,
     /*  166733 */   // Label 3158: @166733
     /*  166733 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(166769), // Rule ID 64669 //
     /*  166738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  166741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166748 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  166751 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166767 */     GIR_RootConstrainSelectedInstOperands,
     /*  166768 */     // GIR_Coverage, 64669,
     /*  166768 */     GIR_EraseRootFromParent_Done,
     /*  166769 */   // Label 3159: @166769
     /*  166769 */   GIM_Reject,
     /*  166770 */ // Label 3157: @166770
     /*  166770 */ GIM_Reject,
     /*  166771 */ // Label 3121: @166771
     /*  166771 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(166825), // Rule ID 64683 //
     /*  166776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166779 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166782 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166793 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166797 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166804 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166807 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166814 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166819 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166823 */   GIR_RootConstrainSelectedInstOperands,
     /*  166824 */   // GIR_Coverage, 64683,
     /*  166824 */   GIR_EraseRootFromParent_Done,
     /*  166825 */ // Label 3160: @166825
     /*  166825 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(166879), // Rule ID 64684 //
     /*  166830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166833 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166836 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166847 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166851 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166858 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166861 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166873 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166877 */   GIR_RootConstrainSelectedInstOperands,
     /*  166878 */   // GIR_Coverage, 64684,
     /*  166878 */   GIR_EraseRootFromParent_Done,
     /*  166879 */ // Label 3161: @166879
     /*  166879 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(166933), // Rule ID 64685 //
     /*  166884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  166887 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166890 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166901 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166905 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166912 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  166915 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166927 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166931 */   GIR_RootConstrainSelectedInstOperands,
     /*  166932 */   // GIR_Coverage, 64685,
     /*  166932 */   GIR_EraseRootFromParent_Done,
     /*  166933 */ // Label 3162: @166933
     /*  166933 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(166987), // Rule ID 64686 //
     /*  166938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  166941 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  166944 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166966 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  166969 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166985 */   GIR_RootConstrainSelectedInstOperands,
     /*  166986 */   // GIR_Coverage, 64686,
     /*  166986 */   GIR_EraseRootFromParent_Done,
     /*  166987 */ // Label 3163: @166987
     /*  166987 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(167038), // Rule ID 2035 //
     /*  166992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  166995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166998 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167006 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167010 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167017 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167020 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167032 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167036 */   GIR_RootConstrainSelectedInstOperands,
     /*  167037 */   // GIR_Coverage, 2035,
     /*  167037 */   GIR_EraseRootFromParent_Done,
     /*  167038 */ // Label 3164: @167038
     /*  167038 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(167089), // Rule ID 2036 //
     /*  167043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  167046 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167049 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  167057 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167068 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  167071 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167087 */   GIR_RootConstrainSelectedInstOperands,
     /*  167088 */   // GIR_Coverage, 2036,
     /*  167088 */   GIR_EraseRootFromParent_Done,
     /*  167089 */ // Label 3165: @167089
     /*  167089 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(167140), // Rule ID 2041 //
     /*  167094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  167097 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167100 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167108 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167112 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167119 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167122 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167134 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167138 */   GIR_RootConstrainSelectedInstOperands,
     /*  167139 */   // GIR_Coverage, 2041,
     /*  167139 */   GIR_EraseRootFromParent_Done,
     /*  167140 */ // Label 3166: @167140
     /*  167140 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(167191), // Rule ID 2042 //
     /*  167145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  167148 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167151 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  167159 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167163 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167170 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  167173 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167189 */   GIR_RootConstrainSelectedInstOperands,
     /*  167190 */   // GIR_Coverage, 2042,
     /*  167190 */   GIR_EraseRootFromParent_Done,
     /*  167191 */ // Label 3167: @167191
     /*  167191 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(167242), // Rule ID 64673 //
     /*  167196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167199 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167202 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167221 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167224 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167236 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167240 */   GIR_RootConstrainSelectedInstOperands,
     /*  167241 */   // GIR_Coverage, 64673,
     /*  167241 */   GIR_EraseRootFromParent_Done,
     /*  167242 */ // Label 3168: @167242
     /*  167242 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(167293), // Rule ID 64674 //
     /*  167247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167250 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167253 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167261 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167265 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167272 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167275 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167277 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167287 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167291 */   GIR_RootConstrainSelectedInstOperands,
     /*  167292 */   // GIR_Coverage, 64674,
     /*  167292 */   GIR_EraseRootFromParent_Done,
     /*  167293 */ // Label 3169: @167293
     /*  167293 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(167351), // Rule ID 64677 //
     /*  167298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167304 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167308 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167323 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167330 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167333 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167349 */   GIR_RootConstrainSelectedInstOperands,
     /*  167350 */   // GIR_Coverage, 64677,
     /*  167350 */   GIR_EraseRootFromParent_Done,
     /*  167351 */ // Label 3170: @167351
     /*  167351 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(167409), // Rule ID 64678 //
     /*  167356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167359 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167362 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167366 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167388 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167391 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167403 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167407 */   GIR_RootConstrainSelectedInstOperands,
     /*  167408 */   // GIR_Coverage, 64678,
     /*  167408 */   GIR_EraseRootFromParent_Done,
     /*  167409 */ // Label 3171: @167409
     /*  167409 */ GIM_Reject,
     /*  167410 */ // Label 3122: @167410
     /*  167410 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(167521), // Rule ID 73570 //
     /*  167415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167418 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167421 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167425 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167436 */   // MIs[0] Operand 1
     /*  167436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167440 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167444 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167448 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167452 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167456 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167460 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167464 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167468 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167472 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167477 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167481 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167485 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167489 */   // MIs[3] Operand 1
     /*  167489 */   // No operand predicates
     /*  167489 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167494 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167496 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167499 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167501 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167505 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167509 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167512 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167519 */   GIR_RootConstrainSelectedInstOperands,
     /*  167520 */   // GIR_Coverage, 73570,
     /*  167520 */   GIR_EraseRootFromParent_Done,
     /*  167521 */ // Label 3172: @167521
     /*  167521 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(167632), // Rule ID 73571 //
     /*  167526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167532 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167547 */   // MIs[0] Operand 1
     /*  167547 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167551 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167555 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167559 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167563 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167567 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167571 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167575 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167579 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167583 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167588 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167592 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167596 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167600 */   // MIs[3] Operand 1
     /*  167600 */   // No operand predicates
     /*  167600 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167605 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167607 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167610 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167612 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167616 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167620 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167623 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167630 */   GIR_RootConstrainSelectedInstOperands,
     /*  167631 */   // GIR_Coverage, 73571,
     /*  167631 */   GIR_EraseRootFromParent_Done,
     /*  167632 */ // Label 3173: @167632
     /*  167632 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(167743), // Rule ID 73572 //
     /*  167637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167643 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167647 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167658 */   // MIs[0] Operand 1
     /*  167658 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167670 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167674 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167678 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167682 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167686 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167690 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167694 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167699 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167703 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167707 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167711 */   // MIs[3] Operand 1
     /*  167711 */   // No operand predicates
     /*  167711 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167716 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167718 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167721 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167723 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167727 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167731 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167734 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167741 */   GIR_RootConstrainSelectedInstOperands,
     /*  167742 */   // GIR_Coverage, 73572,
     /*  167742 */   GIR_EraseRootFromParent_Done,
     /*  167743 */ // Label 3174: @167743
     /*  167743 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(167854), // Rule ID 73573 //
     /*  167748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167769 */   // MIs[0] Operand 1
     /*  167769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167773 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167777 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167781 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167785 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167789 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167793 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167797 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167801 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167805 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167810 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167814 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167818 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167822 */   // MIs[3] Operand 1
     /*  167822 */   // No operand predicates
     /*  167822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167827 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167829 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167832 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167834 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167838 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167842 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167845 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167852 */   GIR_RootConstrainSelectedInstOperands,
     /*  167853 */   // GIR_Coverage, 73573,
     /*  167853 */   GIR_EraseRootFromParent_Done,
     /*  167854 */ // Label 3175: @167854
     /*  167854 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(167958), // Rule ID 73574 //
     /*  167859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167865 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167873 */   // MIs[0] Operand 1
     /*  167873 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167877 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167881 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167885 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167889 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167893 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167897 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167901 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167905 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167909 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167914 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167918 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167922 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167926 */   // MIs[3] Operand 1
     /*  167926 */   // No operand predicates
     /*  167926 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167931 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167933 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  167936 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167938 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167942 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167946 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167956 */   GIR_RootConstrainSelectedInstOperands,
     /*  167957 */   // GIR_Coverage, 73574,
     /*  167957 */   GIR_EraseRootFromParent_Done,
     /*  167958 */ // Label 3176: @167958
     /*  167958 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(168062), // Rule ID 73575 //
     /*  167963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167966 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167969 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167977 */   // MIs[0] Operand 1
     /*  167977 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167981 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167985 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167989 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167993 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167997 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168001 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168005 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168009 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168013 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168018 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168022 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168026 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168030 */   // MIs[3] Operand 1
     /*  168030 */   // No operand predicates
     /*  168030 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168035 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168037 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168040 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168042 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168046 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168050 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168053 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168060 */   GIR_RootConstrainSelectedInstOperands,
     /*  168061 */   // GIR_Coverage, 73575,
     /*  168061 */   GIR_EraseRootFromParent_Done,
     /*  168062 */ // Label 3177: @168062
     /*  168062 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(168173), // Rule ID 64294 //
     /*  168067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168070 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168073 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168077 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168088 */   // MIs[0] Operand 1
     /*  168088 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168092 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168096 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168100 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168104 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168108 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168113 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168117 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168121 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168125 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168129 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168134 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168138 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168142 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168146 */   // MIs[3] Operand 1
     /*  168146 */   // No operand predicates
     /*  168146 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168148 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168151 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168153 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168157 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168161 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168164 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168171 */   GIR_RootConstrainSelectedInstOperands,
     /*  168172 */   // GIR_Coverage, 64294,
     /*  168172 */   GIR_EraseRootFromParent_Done,
     /*  168173 */ // Label 3178: @168173
     /*  168173 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(168284), // Rule ID 64295 //
     /*  168178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168184 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168188 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168199 */   // MIs[0] Operand 1
     /*  168199 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168203 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168207 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168211 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168215 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168219 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168224 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168228 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168232 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168236 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168240 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168245 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168249 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168253 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168257 */   // MIs[3] Operand 1
     /*  168257 */   // No operand predicates
     /*  168257 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168259 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  168262 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168264 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168268 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168272 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168275 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168282 */   GIR_RootConstrainSelectedInstOperands,
     /*  168283 */   // GIR_Coverage, 64295,
     /*  168283 */   GIR_EraseRootFromParent_Done,
     /*  168284 */ // Label 3179: @168284
     /*  168284 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(168395), // Rule ID 64296 //
     /*  168289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168295 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168299 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168310 */   // MIs[0] Operand 1
     /*  168310 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168314 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168318 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168322 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168326 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168330 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168335 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168339 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168343 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168347 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168351 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168356 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168360 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168364 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168368 */   // MIs[3] Operand 1
     /*  168368 */   // No operand predicates
     /*  168368 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168370 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168373 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168375 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168379 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168383 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168393 */   GIR_RootConstrainSelectedInstOperands,
     /*  168394 */   // GIR_Coverage, 64296,
     /*  168394 */   GIR_EraseRootFromParent_Done,
     /*  168395 */ // Label 3180: @168395
     /*  168395 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(168506), // Rule ID 64297 //
     /*  168400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168406 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168410 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168421 */   // MIs[0] Operand 1
     /*  168421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168425 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168429 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168433 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168437 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168441 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168446 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168450 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168454 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168458 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168462 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168467 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168471 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168475 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168479 */   // MIs[3] Operand 1
     /*  168479 */   // No operand predicates
     /*  168479 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168481 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  168484 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168486 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168490 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168494 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168497 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168504 */   GIR_RootConstrainSelectedInstOperands,
     /*  168505 */   // GIR_Coverage, 64297,
     /*  168505 */   GIR_EraseRootFromParent_Done,
     /*  168506 */ // Label 3181: @168506
     /*  168506 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(168610), // Rule ID 64298 //
     /*  168511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168514 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168517 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168525 */   // MIs[0] Operand 1
     /*  168525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168529 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168533 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168537 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168541 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168545 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168550 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168554 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168558 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168562 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168566 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168571 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168575 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168579 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168583 */   // MIs[3] Operand 1
     /*  168583 */   // No operand predicates
     /*  168583 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168585 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168588 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168590 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168594 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168598 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168608 */   GIR_RootConstrainSelectedInstOperands,
     /*  168609 */   // GIR_Coverage, 64298,
     /*  168609 */   GIR_EraseRootFromParent_Done,
     /*  168610 */ // Label 3182: @168610
     /*  168610 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(168714), // Rule ID 64299 //
     /*  168615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168618 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168621 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168629 */   // MIs[0] Operand 1
     /*  168629 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168633 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168637 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168641 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168645 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168649 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168654 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168658 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168662 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168666 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168670 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168675 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168679 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168683 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168687 */   // MIs[3] Operand 1
     /*  168687 */   // No operand predicates
     /*  168687 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168689 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  168692 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  168694 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168698 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168702 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168705 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168712 */   GIR_RootConstrainSelectedInstOperands,
     /*  168713 */   // GIR_Coverage, 64299,
     /*  168713 */   GIR_EraseRootFromParent_Done,
     /*  168714 */ // Label 3183: @168714
     /*  168714 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(168771), // Rule ID 321 //
     /*  168719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168722 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168725 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168732 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168739 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168743 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168750 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10067>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  168753 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168765 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168769 */   GIR_RootConstrainSelectedInstOperands,
     /*  168770 */   // GIR_Coverage, 321,
     /*  168770 */   GIR_EraseRootFromParent_Done,
     /*  168771 */ // Label 3184: @168771
     /*  168771 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(168828), // Rule ID 323 //
     /*  168776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168779 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168782 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168789 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168796 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168800 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168807 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10069>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  168810 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168826 */   GIR_RootConstrainSelectedInstOperands,
     /*  168827 */   // GIR_Coverage, 323,
     /*  168827 */   GIR_EraseRootFromParent_Done,
     /*  168828 */ // Label 3185: @168828
     /*  168828 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(168885), // Rule ID 325 //
     /*  168833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168836 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168839 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168846 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168853 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168857 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168864 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10071>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168867 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168883 */   GIR_RootConstrainSelectedInstOperands,
     /*  168884 */   // GIR_Coverage, 325,
     /*  168884 */   GIR_EraseRootFromParent_Done,
     /*  168885 */ // Label 3186: @168885
     /*  168885 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(168939), // Rule ID 64689 //
     /*  168890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  168893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168918 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168921 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168933 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168937 */   GIR_RootConstrainSelectedInstOperands,
     /*  168938 */   // GIR_Coverage, 64689,
     /*  168938 */   GIR_EraseRootFromParent_Done,
     /*  168939 */ // Label 3187: @168939
     /*  168939 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(168993), // Rule ID 64690 //
     /*  168944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  168947 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168950 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168961 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168965 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168972 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168975 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168977 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168982 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168987 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168991 */   GIR_RootConstrainSelectedInstOperands,
     /*  168992 */   // GIR_Coverage, 64690,
     /*  168992 */   GIR_EraseRootFromParent_Done,
     /*  168993 */ // Label 3188: @168993
     /*  168993 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(169051), // Rule ID 239 //
     /*  168998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169001 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169004 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169008 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169019 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169023 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169030 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169033 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169045 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169049 */   GIR_RootConstrainSelectedInstOperands,
     /*  169050 */   // GIR_Coverage, 239,
     /*  169050 */   GIR_EraseRootFromParent_Done,
     /*  169051 */ // Label 3189: @169051
     /*  169051 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(169109), // Rule ID 241 //
     /*  169056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169059 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169062 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169066 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169077 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169081 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169088 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169091 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169098 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169103 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169107 */   GIR_RootConstrainSelectedInstOperands,
     /*  169108 */   // GIR_Coverage, 241,
     /*  169108 */   GIR_EraseRootFromParent_Done,
     /*  169109 */ // Label 3190: @169109
     /*  169109 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(169160), // Rule ID 242 //
     /*  169114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169120 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169128 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169132 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169139 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169142 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169144 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169154 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169158 */   GIR_RootConstrainSelectedInstOperands,
     /*  169159 */   // GIR_Coverage, 242,
     /*  169159 */   GIR_EraseRootFromParent_Done,
     /*  169160 */ // Label 3191: @169160
     /*  169160 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(169211), // Rule ID 243 //
     /*  169165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169168 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169171 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169179 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169190 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169193 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169205 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169209 */   GIR_RootConstrainSelectedInstOperands,
     /*  169210 */   // GIR_Coverage, 243,
     /*  169210 */   GIR_EraseRootFromParent_Done,
     /*  169211 */ // Label 3192: @169211
     /*  169211 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(169262), // Rule ID 1322 //
     /*  169216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  169219 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169222 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169230 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169234 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169241 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169244 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169260 */   GIR_RootConstrainSelectedInstOperands,
     /*  169261 */   // GIR_Coverage, 1322,
     /*  169261 */   GIR_EraseRootFromParent_Done,
     /*  169262 */ // Label 3193: @169262
     /*  169262 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(169313), // Rule ID 1323 //
     /*  169267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  169270 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169273 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  169281 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169285 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169292 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  169295 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169307 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169311 */   GIR_RootConstrainSelectedInstOperands,
     /*  169312 */   // GIR_Coverage, 1323,
     /*  169312 */   GIR_EraseRootFromParent_Done,
     /*  169313 */ // Label 3194: @169313
     /*  169313 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(169364), // Rule ID 1328 //
     /*  169318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  169321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169336 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169343 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169346 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169358 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169362 */   GIR_RootConstrainSelectedInstOperands,
     /*  169363 */   // GIR_Coverage, 1328,
     /*  169363 */   GIR_EraseRootFromParent_Done,
     /*  169364 */ // Label 3195: @169364
     /*  169364 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(169415), // Rule ID 1329 //
     /*  169369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  169372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169375 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  169383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169387 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169394 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  169397 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169413 */   GIR_RootConstrainSelectedInstOperands,
     /*  169414 */   // GIR_Coverage, 1329,
     /*  169414 */   GIR_EraseRootFromParent_Done,
     /*  169415 */ // Label 3196: @169415
     /*  169415 */ GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(169473), // Rule ID 64695 //
     /*  169420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169426 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169430 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169441 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169445 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169452 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169455 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169467 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169471 */   GIR_RootConstrainSelectedInstOperands,
     /*  169472 */   // GIR_Coverage, 64695,
     /*  169472 */   GIR_EraseRootFromParent_Done,
     /*  169473 */ // Label 3197: @169473
     /*  169473 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(169531), // Rule ID 64696 //
     /*  169478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169481 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169484 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169510 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169513 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169529 */   GIR_RootConstrainSelectedInstOperands,
     /*  169530 */   // GIR_Coverage, 64696,
     /*  169530 */   GIR_EraseRootFromParent_Done,
     /*  169531 */ // Label 3198: @169531
     /*  169531 */ GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(169589), // Rule ID 64697 //
     /*  169536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169539 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169542 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169557 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169561 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169568 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169571 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169573 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169583 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169587 */   GIR_RootConstrainSelectedInstOperands,
     /*  169588 */   // GIR_Coverage, 64697,
     /*  169588 */   GIR_EraseRootFromParent_Done,
     /*  169589 */ // Label 3199: @169589
     /*  169589 */ GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(169647), // Rule ID 64698 //
     /*  169594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  169597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169600 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169604 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169615 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169619 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169626 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169629 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169636 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169641 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169645 */   GIR_RootConstrainSelectedInstOperands,
     /*  169646 */   // GIR_Coverage, 64698,
     /*  169646 */   GIR_EraseRootFromParent_Done,
     /*  169647 */ // Label 3200: @169647
     /*  169647 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(169693), // Rule ID 1099 //
     /*  169652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169655 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169658 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169672 */   // MIs[0] rs1
     /*  169672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169680 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10569>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169683 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169685 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169691 */   GIR_RootConstrainSelectedInstOperands,
     /*  169692 */   // GIR_Coverage, 1099,
     /*  169692 */   GIR_EraseRootFromParent_Done,
     /*  169693 */ // Label 3201: @169693
     /*  169693 */ GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(169739), // Rule ID 1101 //
     /*  169698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169701 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169704 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169711 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169718 */   // MIs[0] rs1
     /*  169718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169726 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10571>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169731 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169733 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169737 */   GIR_RootConstrainSelectedInstOperands,
     /*  169738 */   // GIR_Coverage, 1101,
     /*  169738 */   GIR_EraseRootFromParent_Done,
     /*  169739 */ // Label 3202: @169739
     /*  169739 */ GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(169785), // Rule ID 1103 //
     /*  169744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169747 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169750 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169757 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169764 */   // MIs[0] rs1
     /*  169764 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169772 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10573>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169775 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169777 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169779 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169783 */   GIR_RootConstrainSelectedInstOperands,
     /*  169784 */   // GIR_Coverage, 1103,
     /*  169784 */   GIR_EraseRootFromParent_Done,
     /*  169785 */ // Label 3203: @169785
     /*  169785 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(169831), // Rule ID 1105 //
     /*  169790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169793 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169796 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169810 */   // MIs[0] rs1
     /*  169810 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169818 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10575>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169823 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169825 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169829 */   GIR_RootConstrainSelectedInstOperands,
     /*  169830 */   // GIR_Coverage, 1105,
     /*  169830 */   GIR_EraseRootFromParent_Done,
     /*  169831 */ // Label 3204: @169831
     /*  169831 */ GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(169877), // Rule ID 1107 //
     /*  169836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169839 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169849 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169856 */   // MIs[0] rs1
     /*  169856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169864 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10577>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169869 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169871 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169875 */   GIR_RootConstrainSelectedInstOperands,
     /*  169876 */   // GIR_Coverage, 1107,
     /*  169876 */   GIR_EraseRootFromParent_Done,
     /*  169877 */ // Label 3205: @169877
     /*  169877 */ GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(169923), // Rule ID 1109 //
     /*  169882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169885 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169888 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169902 */   // MIs[0] rs1
     /*  169902 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169910 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10579>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169915 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169917 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169921 */   GIR_RootConstrainSelectedInstOperands,
     /*  169922 */   // GIR_Coverage, 1109,
     /*  169922 */   GIR_EraseRootFromParent_Done,
     /*  169923 */ // Label 3206: @169923
     /*  169923 */ GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(169969), // Rule ID 1127 //
     /*  169928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169931 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169934 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169941 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169948 */   // MIs[0] rs1
     /*  169948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169956 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10593>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  169956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  169959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169961 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169963 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169967 */   GIR_RootConstrainSelectedInstOperands,
     /*  169968 */   // GIR_Coverage, 1127,
     /*  169968 */   GIR_EraseRootFromParent_Done,
     /*  169969 */ // Label 3207: @169969
     /*  169969 */ GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(170015), // Rule ID 1129 //
     /*  169974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169977 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169980 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169987 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169994 */   // MIs[0] rs1
     /*  169994 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170002 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10595>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  170002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170007 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170009 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170013 */   GIR_RootConstrainSelectedInstOperands,
     /*  170014 */   // GIR_Coverage, 1129,
     /*  170014 */   GIR_EraseRootFromParent_Done,
     /*  170015 */ // Label 3208: @170015
     /*  170015 */ GIM_Reject,
     /*  170016 */ // Label 3123: @170016
     /*  170016 */ GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(170073), // Rule ID 320 //
     /*  170021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170024 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170027 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170034 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170041 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170045 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170052 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10067>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170055 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170071 */   GIR_RootConstrainSelectedInstOperands,
     /*  170072 */   // GIR_Coverage, 320,
     /*  170072 */   GIR_EraseRootFromParent_Done,
     /*  170073 */ // Label 3209: @170073
     /*  170073 */ GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(170130), // Rule ID 322 //
     /*  170078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170081 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170084 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170091 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170098 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170102 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170109 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10069>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170112 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170114 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170124 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170128 */   GIR_RootConstrainSelectedInstOperands,
     /*  170129 */   // GIR_Coverage, 322,
     /*  170129 */   GIR_EraseRootFromParent_Done,
     /*  170130 */ // Label 3210: @170130
     /*  170130 */ GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(170187), // Rule ID 324 //
     /*  170135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170138 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170141 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170148 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170155 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170159 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170166 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10071>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170169 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170181 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170185 */   GIR_RootConstrainSelectedInstOperands,
     /*  170186 */   // GIR_Coverage, 324,
     /*  170186 */   GIR_EraseRootFromParent_Done,
     /*  170187 */ // Label 3211: @170187
     /*  170187 */ GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(170244), // Rule ID 333 //
     /*  170192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  170195 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170198 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170205 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170212 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170216 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170223 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10079>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170226 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170238 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170242 */   GIR_RootConstrainSelectedInstOperands,
     /*  170243 */   // GIR_Coverage, 333,
     /*  170243 */   GIR_EraseRootFromParent_Done,
     /*  170244 */ // Label 3212: @170244
     /*  170244 */ GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(170302), // Rule ID 238 //
     /*  170249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170252 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170255 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170259 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170270 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170274 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170281 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  170284 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170286 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170291 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170296 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170300 */   GIR_RootConstrainSelectedInstOperands,
     /*  170301 */   // GIR_Coverage, 238,
     /*  170301 */   GIR_EraseRootFromParent_Done,
     /*  170302 */ // Label 3213: @170302
     /*  170302 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(170360), // Rule ID 240 //
     /*  170307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170310 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170313 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170317 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170332 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170339 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  170342 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170358 */   GIR_RootConstrainSelectedInstOperands,
     /*  170359 */   // GIR_Coverage, 240,
     /*  170359 */   GIR_EraseRootFromParent_Done,
     /*  170360 */ // Label 3214: @170360
     /*  170360 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(170418), // Rule ID 279 //
     /*  170365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170371 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170375 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170386 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170397 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  170400 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170402 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170412 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170416 */   GIR_RootConstrainSelectedInstOperands,
     /*  170417 */   // GIR_Coverage, 279,
     /*  170417 */   GIR_EraseRootFromParent_Done,
     /*  170418 */ // Label 3215: @170418
     /*  170418 */ GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(170469), // Rule ID 280 //
     /*  170423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170426 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170429 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170437 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170441 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170448 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170451 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170453 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170463 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170467 */   GIR_RootConstrainSelectedInstOperands,
     /*  170468 */   // GIR_Coverage, 280,
     /*  170468 */   GIR_EraseRootFromParent_Done,
     /*  170469 */ // Label 3216: @170469
     /*  170469 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(170520), // Rule ID 1720 //
     /*  170474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  170477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170480 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170499 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170502 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170518 */   GIR_RootConstrainSelectedInstOperands,
     /*  170519 */   // GIR_Coverage, 1720,
     /*  170519 */   GIR_EraseRootFromParent_Done,
     /*  170520 */ // Label 3217: @170520
     /*  170520 */ GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(170571), // Rule ID 1721 //
     /*  170525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  170528 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170531 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  170539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170543 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170550 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  170553 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170560 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170565 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170569 */   GIR_RootConstrainSelectedInstOperands,
     /*  170570 */   // GIR_Coverage, 1721,
     /*  170570 */   GIR_EraseRootFromParent_Done,
     /*  170571 */ // Label 3218: @170571
     /*  170571 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(170622), // Rule ID 1724 //
     /*  170576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  170579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170594 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170601 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  170604 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170616 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170620 */   GIR_RootConstrainSelectedInstOperands,
     /*  170621 */   // GIR_Coverage, 1724,
     /*  170621 */   GIR_EraseRootFromParent_Done,
     /*  170622 */ // Label 3219: @170622
     /*  170622 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(170668), // Rule ID 1098 //
     /*  170627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170630 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170633 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170647 */   // MIs[0] rs1
     /*  170647 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170655 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10569>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170660 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170666 */   GIR_RootConstrainSelectedInstOperands,
     /*  170667 */   // GIR_Coverage, 1098,
     /*  170667 */   GIR_EraseRootFromParent_Done,
     /*  170668 */ // Label 3220: @170668
     /*  170668 */ GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(170714), // Rule ID 1100 //
     /*  170673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170676 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170679 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170686 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170693 */   // MIs[0] rs1
     /*  170693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170701 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10571>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  170704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170706 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170708 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170712 */   GIR_RootConstrainSelectedInstOperands,
     /*  170713 */   // GIR_Coverage, 1100,
     /*  170713 */   GIR_EraseRootFromParent_Done,
     /*  170714 */ // Label 3221: @170714
     /*  170714 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(170760), // Rule ID 1102 //
     /*  170719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170722 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170725 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170739 */   // MIs[0] rs1
     /*  170739 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170747 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10573>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170752 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170758 */   GIR_RootConstrainSelectedInstOperands,
     /*  170759 */   // GIR_Coverage, 1102,
     /*  170759 */   GIR_EraseRootFromParent_Done,
     /*  170760 */ // Label 3222: @170760
     /*  170760 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(170806), // Rule ID 1104 //
     /*  170765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170768 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170771 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170785 */   // MIs[0] rs1
     /*  170785 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170793 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10575>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  170796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170798 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170800 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170804 */   GIR_RootConstrainSelectedInstOperands,
     /*  170805 */   // GIR_Coverage, 1104,
     /*  170805 */   GIR_EraseRootFromParent_Done,
     /*  170806 */ // Label 3223: @170806
     /*  170806 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(170852), // Rule ID 1106 //
     /*  170811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170814 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170817 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170824 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170831 */   // MIs[0] rs1
     /*  170831 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170839 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10577>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170844 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170850 */   GIR_RootConstrainSelectedInstOperands,
     /*  170851 */   // GIR_Coverage, 1106,
     /*  170851 */   GIR_EraseRootFromParent_Done,
     /*  170852 */ // Label 3224: @170852
     /*  170852 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(170898), // Rule ID 1108 //
     /*  170857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170860 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170863 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170877 */   // MIs[0] rs1
     /*  170877 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170885 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10579>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  170888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170890 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170892 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170896 */   GIR_RootConstrainSelectedInstOperands,
     /*  170897 */   // GIR_Coverage, 1108,
     /*  170897 */   GIR_EraseRootFromParent_Done,
     /*  170898 */ // Label 3225: @170898
     /*  170898 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(170944), // Rule ID 1126 //
     /*  170903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  170906 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170909 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170916 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170923 */   // MIs[0] rs1
     /*  170923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170931 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10593>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170936 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170938 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170942 */   GIR_RootConstrainSelectedInstOperands,
     /*  170943 */   // GIR_Coverage, 1126,
     /*  170943 */   GIR_EraseRootFromParent_Done,
     /*  170944 */ // Label 3226: @170944
     /*  170944 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(170990), // Rule ID 1128 //
     /*  170949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  170952 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170955 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  170962 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170969 */   // MIs[0] rs1
     /*  170969 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170977 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10595>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  170977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  170980 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170982 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170984 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170988 */   GIR_RootConstrainSelectedInstOperands,
     /*  170989 */   // GIR_Coverage, 1128,
     /*  170989 */   GIR_EraseRootFromParent_Done,
     /*  170990 */ // Label 3227: @170990
     /*  170990 */ GIM_Reject,
     /*  170991 */ // Label 3124: @170991
     /*  170991 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171070),
     /*  170996 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170999 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171007 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171015 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171042), // Rule ID 45615 //
     /*  171020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171023 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171026 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171040 */     GIR_RootConstrainSelectedInstOperands,
     /*  171041 */     // GIR_Coverage, 45615,
     /*  171041 */     GIR_EraseRootFromParent_Done,
     /*  171042 */   // Label 3229: @171042
     /*  171042 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171069), // Rule ID 45616 //
     /*  171047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171050 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  171053 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171067 */     GIR_RootConstrainSelectedInstOperands,
     /*  171068 */     // GIR_Coverage, 45616,
     /*  171068 */     GIR_EraseRootFromParent_Done,
     /*  171069 */   // Label 3230: @171069
     /*  171069 */   GIM_Reject,
     /*  171070 */ // Label 3228: @171070
     /*  171070 */ GIM_Reject,
     /*  171071 */ // Label 3125: @171071
     /*  171071 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171158),
     /*  171076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171079 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171087 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171122), // Rule ID 45611 //
     /*  171092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171095 */     // MIs[0] rs1
     /*  171095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171103 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171106 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171120 */     GIR_RootConstrainSelectedInstOperands,
     /*  171121 */     // GIR_Coverage, 45611,
     /*  171121 */     GIR_EraseRootFromParent_Done,
     /*  171122 */   // Label 3232: @171122
     /*  171122 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171157), // Rule ID 45612 //
     /*  171127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171130 */     // MIs[0] rs1
     /*  171130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171138 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  171141 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171155 */     GIR_RootConstrainSelectedInstOperands,
     /*  171156 */     // GIR_Coverage, 45612,
     /*  171156 */     GIR_EraseRootFromParent_Done,
     /*  171157 */   // Label 3233: @171157
     /*  171157 */   GIM_Reject,
     /*  171158 */ // Label 3231: @171158
     /*  171158 */ GIM_Reject,
     /*  171159 */ // Label 3126: @171159
     /*  171159 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171316),
     /*  171164 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171175 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(171210), // Rule ID 45807 //
     /*  171180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171183 */     // MIs[0] rs1
     /*  171183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171191 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171194 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171208 */     GIR_RootConstrainSelectedInstOperands,
     /*  171209 */     // GIR_Coverage, 45807,
     /*  171209 */     GIR_EraseRootFromParent_Done,
     /*  171210 */   // Label 3235: @171210
     /*  171210 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(171245), // Rule ID 45808 //
     /*  171215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171218 */     // MIs[0] rs1
     /*  171218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171226 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171229 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171243 */     GIR_RootConstrainSelectedInstOperands,
     /*  171244 */     // GIR_Coverage, 45808,
     /*  171244 */     GIR_EraseRootFromParent_Done,
     /*  171245 */   // Label 3236: @171245
     /*  171245 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(171280), // Rule ID 45883 //
     /*  171250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171253 */     // MIs[0] rs1
     /*  171253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171261 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171264 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171274 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171278 */     GIR_RootConstrainSelectedInstOperands,
     /*  171279 */     // GIR_Coverage, 45883,
     /*  171279 */     GIR_EraseRootFromParent_Done,
     /*  171280 */   // Label 3237: @171280
     /*  171280 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(171315), // Rule ID 45884 //
     /*  171285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171288 */     // MIs[0] rs1
     /*  171288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171296 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  171299 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171313 */     GIR_RootConstrainSelectedInstOperands,
     /*  171314 */     // GIR_Coverage, 45884,
     /*  171314 */     GIR_EraseRootFromParent_Done,
     /*  171315 */   // Label 3238: @171315
     /*  171315 */   GIM_Reject,
     /*  171316 */ // Label 3234: @171316
     /*  171316 */ GIM_Reject,
     /*  171317 */ // Label 3127: @171317
     /*  171317 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(171474),
     /*  171322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171333 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(171368), // Rule ID 45815 //
     /*  171338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171341 */     // MIs[0] rs1
     /*  171341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171349 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171352 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171366 */     GIR_RootConstrainSelectedInstOperands,
     /*  171367 */     // GIR_Coverage, 45815,
     /*  171367 */     GIR_EraseRootFromParent_Done,
     /*  171368 */   // Label 3240: @171368
     /*  171368 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(171403), // Rule ID 45816 //
     /*  171373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171376 */     // MIs[0] rs1
     /*  171376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171384 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171387 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171397 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171401 */     GIR_RootConstrainSelectedInstOperands,
     /*  171402 */     // GIR_Coverage, 45816,
     /*  171402 */     GIR_EraseRootFromParent_Done,
     /*  171403 */   // Label 3241: @171403
     /*  171403 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(171438), // Rule ID 45891 //
     /*  171408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  171411 */     // MIs[0] rs1
     /*  171411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171419 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171422 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171436 */     GIR_RootConstrainSelectedInstOperands,
     /*  171437 */     // GIR_Coverage, 45891,
     /*  171437 */     GIR_EraseRootFromParent_Done,
     /*  171438 */   // Label 3242: @171438
     /*  171438 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(171473), // Rule ID 45892 //
     /*  171443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  171446 */     // MIs[0] rs1
     /*  171446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171454 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  171457 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171471 */     GIR_RootConstrainSelectedInstOperands,
     /*  171472 */     // GIR_Coverage, 45892,
     /*  171472 */     GIR_EraseRootFromParent_Done,
     /*  171473 */   // Label 3243: @171473
     /*  171473 */   GIM_Reject,
     /*  171474 */ // Label 3239: @171474
     /*  171474 */ GIM_Reject,
     /*  171475 */ // Label 3128: @171475
     /*  171475 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(171632),
     /*  171480 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171483 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171491 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(171526), // Rule ID 45831 //
     /*  171496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  171499 */     // MIs[0] rs1
     /*  171499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171507 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171510 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171524 */     GIR_RootConstrainSelectedInstOperands,
     /*  171525 */     // GIR_Coverage, 45831,
     /*  171525 */     GIR_EraseRootFromParent_Done,
     /*  171526 */   // Label 3245: @171526
     /*  171526 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(171561), // Rule ID 45832 //
     /*  171531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  171534 */     // MIs[0] rs1
     /*  171534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171542 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171545 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171559 */     GIR_RootConstrainSelectedInstOperands,
     /*  171560 */     // GIR_Coverage, 45832,
     /*  171560 */     GIR_EraseRootFromParent_Done,
     /*  171561 */   // Label 3246: @171561
     /*  171561 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171596), // Rule ID 45903 //
     /*  171566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  171569 */     // MIs[0] rs1
     /*  171569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171577 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171580 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171594 */     GIR_RootConstrainSelectedInstOperands,
     /*  171595 */     // GIR_Coverage, 45903,
     /*  171595 */     GIR_EraseRootFromParent_Done,
     /*  171596 */   // Label 3247: @171596
     /*  171596 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(171631), // Rule ID 45904 //
     /*  171601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  171604 */     // MIs[0] rs1
     /*  171604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171612 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  171615 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171629 */     GIR_RootConstrainSelectedInstOperands,
     /*  171630 */     // GIR_Coverage, 45904,
     /*  171630 */     GIR_EraseRootFromParent_Done,
     /*  171631 */   // Label 3248: @171631
     /*  171631 */   GIM_Reject,
     /*  171632 */ // Label 3244: @171632
     /*  171632 */ GIM_Reject,
     /*  171633 */ // Label 3129: @171633
     /*  171633 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171712),
     /*  171638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171649 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171657 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(171684), // Rule ID 45943 //
     /*  171662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171665 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  171668 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171682 */     GIR_RootConstrainSelectedInstOperands,
     /*  171683 */     // GIR_Coverage, 45943,
     /*  171683 */     GIR_EraseRootFromParent_Done,
     /*  171684 */   // Label 3250: @171684
     /*  171684 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(171711), // Rule ID 45944 //
     /*  171689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171692 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  171695 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171709 */     GIR_RootConstrainSelectedInstOperands,
     /*  171710 */     // GIR_Coverage, 45944,
     /*  171710 */     GIR_EraseRootFromParent_Done,
     /*  171711 */   // Label 3251: @171711
     /*  171711 */   GIM_Reject,
     /*  171712 */ // Label 3249: @171712
     /*  171712 */ GIM_Reject,
     /*  171713 */ // Label 3130: @171713
     /*  171713 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(171800),
     /*  171718 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171721 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171729 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(171764), // Rule ID 45799 //
     /*  171734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171737 */     // MIs[0] rs1
     /*  171737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171745 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  171748 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171762 */     GIR_RootConstrainSelectedInstOperands,
     /*  171763 */     // GIR_Coverage, 45799,
     /*  171763 */     GIR_EraseRootFromParent_Done,
     /*  171764 */   // Label 3253: @171764
     /*  171764 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(171799), // Rule ID 45800 //
     /*  171769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171772 */     // MIs[0] rs1
     /*  171772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171780 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  171783 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171797 */     GIR_RootConstrainSelectedInstOperands,
     /*  171798 */     // GIR_Coverage, 45800,
     /*  171798 */     GIR_EraseRootFromParent_Done,
     /*  171799 */   // Label 3254: @171799
     /*  171799 */   GIM_Reject,
     /*  171800 */ // Label 3252: @171800
     /*  171800 */ GIM_Reject,
     /*  171801 */ // Label 3131: @171801
     /*  171801 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(171958),
     /*  171806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171809 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171817 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(171852), // Rule ID 45811 //
     /*  171822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171825 */     // MIs[0] rs1
     /*  171825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171833 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171836 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171850 */     GIR_RootConstrainSelectedInstOperands,
     /*  171851 */     // GIR_Coverage, 45811,
     /*  171851 */     GIR_EraseRootFromParent_Done,
     /*  171852 */   // Label 3256: @171852
     /*  171852 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(171887), // Rule ID 45812 //
     /*  171857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171860 */     // MIs[0] rs1
     /*  171860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171868 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171871 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171885 */     GIR_RootConstrainSelectedInstOperands,
     /*  171886 */     // GIR_Coverage, 45812,
     /*  171886 */     GIR_EraseRootFromParent_Done,
     /*  171887 */   // Label 3257: @171887
     /*  171887 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(171922), // Rule ID 45887 //
     /*  171892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171895 */     // MIs[0] rs1
     /*  171895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171903 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171906 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171920 */     GIR_RootConstrainSelectedInstOperands,
     /*  171921 */     // GIR_Coverage, 45887,
     /*  171921 */     GIR_EraseRootFromParent_Done,
     /*  171922 */   // Label 3258: @171922
     /*  171922 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(171957), // Rule ID 45888 //
     /*  171927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171930 */     // MIs[0] rs1
     /*  171930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171938 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  171941 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171955 */     GIR_RootConstrainSelectedInstOperands,
     /*  171956 */     // GIR_Coverage, 45888,
     /*  171956 */     GIR_EraseRootFromParent_Done,
     /*  171957 */   // Label 3259: @171957
     /*  171957 */   GIM_Reject,
     /*  171958 */ // Label 3255: @171958
     /*  171958 */ GIM_Reject,
     /*  171959 */ // Label 3132: @171959
     /*  171959 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(172116),
     /*  171964 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171967 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171975 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(172010), // Rule ID 45827 //
     /*  171980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171983 */     // MIs[0] rs1
     /*  171983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171991 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  171994 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172008 */     GIR_RootConstrainSelectedInstOperands,
     /*  172009 */     // GIR_Coverage, 45827,
     /*  172009 */     GIR_EraseRootFromParent_Done,
     /*  172010 */   // Label 3261: @172010
     /*  172010 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(172045), // Rule ID 45828 //
     /*  172015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172018 */     // MIs[0] rs1
     /*  172018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172026 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172029 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172043 */     GIR_RootConstrainSelectedInstOperands,
     /*  172044 */     // GIR_Coverage, 45828,
     /*  172044 */     GIR_EraseRootFromParent_Done,
     /*  172045 */   // Label 3262: @172045
     /*  172045 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(172080), // Rule ID 45899 //
     /*  172050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172053 */     // MIs[0] rs1
     /*  172053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172061 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172064 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172078 */     GIR_RootConstrainSelectedInstOperands,
     /*  172079 */     // GIR_Coverage, 45899,
     /*  172079 */     GIR_EraseRootFromParent_Done,
     /*  172080 */   // Label 3263: @172080
     /*  172080 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(172115), // Rule ID 45900 //
     /*  172085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172088 */     // MIs[0] rs1
     /*  172088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172096 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  172099 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172113 */     GIR_RootConstrainSelectedInstOperands,
     /*  172114 */     // GIR_Coverage, 45900,
     /*  172114 */     GIR_EraseRootFromParent_Done,
     /*  172115 */   // Label 3264: @172115
     /*  172115 */   GIM_Reject,
     /*  172116 */ // Label 3260: @172116
     /*  172116 */ GIM_Reject,
     /*  172117 */ // Label 3133: @172117
     /*  172117 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(172274),
     /*  172122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172125 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172133 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(172168), // Rule ID 45871 //
     /*  172138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172141 */     // MIs[0] rs1
     /*  172141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172149 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172152 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172166 */     GIR_RootConstrainSelectedInstOperands,
     /*  172167 */     // GIR_Coverage, 45871,
     /*  172167 */     GIR_EraseRootFromParent_Done,
     /*  172168 */   // Label 3266: @172168
     /*  172168 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(172203), // Rule ID 45872 //
     /*  172173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172176 */     // MIs[0] rs1
     /*  172176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172184 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172187 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172197 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172201 */     GIR_RootConstrainSelectedInstOperands,
     /*  172202 */     // GIR_Coverage, 45872,
     /*  172202 */     GIR_EraseRootFromParent_Done,
     /*  172203 */   // Label 3267: @172203
     /*  172203 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(172238), // Rule ID 45931 //
     /*  172208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172211 */     // MIs[0] rs1
     /*  172211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172219 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172222 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172236 */     GIR_RootConstrainSelectedInstOperands,
     /*  172237 */     // GIR_Coverage, 45931,
     /*  172237 */     GIR_EraseRootFromParent_Done,
     /*  172238 */   // Label 3268: @172238
     /*  172238 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(172273), // Rule ID 45932 //
     /*  172243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172246 */     // MIs[0] rs1
     /*  172246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172254 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  172257 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172271 */     GIR_RootConstrainSelectedInstOperands,
     /*  172272 */     // GIR_Coverage, 45932,
     /*  172272 */     GIR_EraseRootFromParent_Done,
     /*  172273 */   // Label 3269: @172273
     /*  172273 */   GIM_Reject,
     /*  172274 */ // Label 3265: @172274
     /*  172274 */ GIM_Reject,
     /*  172275 */ // Label 3134: @172275
     /*  172275 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(172354),
     /*  172280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172283 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172291 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172299 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(172326), // Rule ID 45947 //
     /*  172304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172307 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172310 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172324 */     GIR_RootConstrainSelectedInstOperands,
     /*  172325 */     // GIR_Coverage, 45947,
     /*  172325 */     GIR_EraseRootFromParent_Done,
     /*  172326 */   // Label 3271: @172326
     /*  172326 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(172353), // Rule ID 45948 //
     /*  172331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172334 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  172337 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172351 */     GIR_RootConstrainSelectedInstOperands,
     /*  172352 */     // GIR_Coverage, 45948,
     /*  172352 */     GIR_EraseRootFromParent_Done,
     /*  172353 */   // Label 3272: @172353
     /*  172353 */   GIM_Reject,
     /*  172354 */ // Label 3270: @172354
     /*  172354 */ GIM_Reject,
     /*  172355 */ // Label 3135: @172355
     /*  172355 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172442),
     /*  172360 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172363 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172371 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(172406), // Rule ID 45803 //
     /*  172376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172379 */     // MIs[0] rs1
     /*  172379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172387 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172390 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172404 */     GIR_RootConstrainSelectedInstOperands,
     /*  172405 */     // GIR_Coverage, 45803,
     /*  172405 */     GIR_EraseRootFromParent_Done,
     /*  172406 */   // Label 3274: @172406
     /*  172406 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(172441), // Rule ID 45804 //
     /*  172411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172414 */     // MIs[0] rs1
     /*  172414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172422 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  172425 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172439 */     GIR_RootConstrainSelectedInstOperands,
     /*  172440 */     // GIR_Coverage, 45804,
     /*  172440 */     GIR_EraseRootFromParent_Done,
     /*  172441 */   // Label 3275: @172441
     /*  172441 */   GIM_Reject,
     /*  172442 */ // Label 3273: @172442
     /*  172442 */ GIM_Reject,
     /*  172443 */ // Label 3136: @172443
     /*  172443 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172600),
     /*  172448 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172451 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172459 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172494), // Rule ID 45823 //
     /*  172464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172467 */     // MIs[0] rs1
     /*  172467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172475 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172478 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172492 */     GIR_RootConstrainSelectedInstOperands,
     /*  172493 */     // GIR_Coverage, 45823,
     /*  172493 */     GIR_EraseRootFromParent_Done,
     /*  172494 */   // Label 3277: @172494
     /*  172494 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172529), // Rule ID 45824 //
     /*  172499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172502 */     // MIs[0] rs1
     /*  172502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172510 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172513 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172523 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172527 */     GIR_RootConstrainSelectedInstOperands,
     /*  172528 */     // GIR_Coverage, 45824,
     /*  172528 */     GIR_EraseRootFromParent_Done,
     /*  172529 */   // Label 3278: @172529
     /*  172529 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172564), // Rule ID 45895 //
     /*  172534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172537 */     // MIs[0] rs1
     /*  172537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172545 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172548 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172562 */     GIR_RootConstrainSelectedInstOperands,
     /*  172563 */     // GIR_Coverage, 45895,
     /*  172563 */     GIR_EraseRootFromParent_Done,
     /*  172564 */   // Label 3279: @172564
     /*  172564 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(172599), // Rule ID 45896 //
     /*  172569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172572 */     // MIs[0] rs1
     /*  172572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172580 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  172583 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172597 */     GIR_RootConstrainSelectedInstOperands,
     /*  172598 */     // GIR_Coverage, 45896,
     /*  172598 */     GIR_EraseRootFromParent_Done,
     /*  172599 */   // Label 3280: @172599
     /*  172599 */   GIM_Reject,
     /*  172600 */ // Label 3276: @172600
     /*  172600 */ GIM_Reject,
     /*  172601 */ // Label 3137: @172601
     /*  172601 */ GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172758),
     /*  172606 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172609 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172617 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172652), // Rule ID 45859 //
     /*  172622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172625 */     // MIs[0] rs1
     /*  172625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172633 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172636 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172650 */     GIR_RootConstrainSelectedInstOperands,
     /*  172651 */     // GIR_Coverage, 45859,
     /*  172651 */     GIR_EraseRootFromParent_Done,
     /*  172652 */   // Label 3282: @172652
     /*  172652 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(172687), // Rule ID 45860 //
     /*  172657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172660 */     // MIs[0] rs1
     /*  172660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172668 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172671 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172685 */     GIR_RootConstrainSelectedInstOperands,
     /*  172686 */     // GIR_Coverage, 45860,
     /*  172686 */     GIR_EraseRootFromParent_Done,
     /*  172687 */   // Label 3283: @172687
     /*  172687 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(172722), // Rule ID 45919 //
     /*  172692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172695 */     // MIs[0] rs1
     /*  172695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172703 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172706 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172720 */     GIR_RootConstrainSelectedInstOperands,
     /*  172721 */     // GIR_Coverage, 45919,
     /*  172721 */     GIR_EraseRootFromParent_Done,
     /*  172722 */   // Label 3284: @172722
     /*  172722 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(172757), // Rule ID 45920 //
     /*  172727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172730 */     // MIs[0] rs1
     /*  172730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172738 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  172741 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172755 */     GIR_RootConstrainSelectedInstOperands,
     /*  172756 */     // GIR_Coverage, 45920,
     /*  172756 */     GIR_EraseRootFromParent_Done,
     /*  172757 */   // Label 3285: @172757
     /*  172757 */   GIM_Reject,
     /*  172758 */ // Label 3281: @172758
     /*  172758 */ GIM_Reject,
     /*  172759 */ // Label 3138: @172759
     /*  172759 */ GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(172916),
     /*  172764 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172767 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172775 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(172810), // Rule ID 45875 //
     /*  172780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172783 */     // MIs[0] rs1
     /*  172783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172791 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172794 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172808 */     GIR_RootConstrainSelectedInstOperands,
     /*  172809 */     // GIR_Coverage, 45875,
     /*  172809 */     GIR_EraseRootFromParent_Done,
     /*  172810 */   // Label 3287: @172810
     /*  172810 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(172845), // Rule ID 45876 //
     /*  172815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172818 */     // MIs[0] rs1
     /*  172818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172826 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172829 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172843 */     GIR_RootConstrainSelectedInstOperands,
     /*  172844 */     // GIR_Coverage, 45876,
     /*  172844 */     GIR_EraseRootFromParent_Done,
     /*  172845 */   // Label 3288: @172845
     /*  172845 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(172880), // Rule ID 45935 //
     /*  172850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172853 */     // MIs[0] rs1
     /*  172853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172861 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172864 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172878 */     GIR_RootConstrainSelectedInstOperands,
     /*  172879 */     // GIR_Coverage, 45935,
     /*  172879 */     GIR_EraseRootFromParent_Done,
     /*  172880 */   // Label 3289: @172880
     /*  172880 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(172915), // Rule ID 45936 //
     /*  172885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172888 */     // MIs[0] rs1
     /*  172888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172896 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  172899 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172913 */     GIR_RootConstrainSelectedInstOperands,
     /*  172914 */     // GIR_Coverage, 45936,
     /*  172914 */     GIR_EraseRootFromParent_Done,
     /*  172915 */   // Label 3290: @172915
     /*  172915 */   GIM_Reject,
     /*  172916 */ // Label 3286: @172916
     /*  172916 */ GIM_Reject,
     /*  172917 */ // Label 3139: @172917
     /*  172917 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(172996),
     /*  172922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172941 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(172968), // Rule ID 45951 //
     /*  172946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172949 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  172952 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172966 */     GIR_RootConstrainSelectedInstOperands,
     /*  172967 */     // GIR_Coverage, 45951,
     /*  172967 */     GIR_EraseRootFromParent_Done,
     /*  172968 */   // Label 3292: @172968
     /*  172968 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(172995), // Rule ID 45952 //
     /*  172973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172976 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  172979 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172993 */     GIR_RootConstrainSelectedInstOperands,
     /*  172994 */     // GIR_Coverage, 45952,
     /*  172994 */     GIR_EraseRootFromParent_Done,
     /*  172995 */   // Label 3293: @172995
     /*  172995 */   GIM_Reject,
     /*  172996 */ // Label 3291: @172996
     /*  172996 */ GIM_Reject,
     /*  172997 */ // Label 3140: @172997
     /*  172997 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(173084),
     /*  173002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173005 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173013 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(173048), // Rule ID 45819 //
     /*  173018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173021 */     // MIs[0] rs1
     /*  173021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173029 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173032 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173046 */     GIR_RootConstrainSelectedInstOperands,
     /*  173047 */     // GIR_Coverage, 45819,
     /*  173047 */     GIR_EraseRootFromParent_Done,
     /*  173048 */   // Label 3295: @173048
     /*  173048 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(173083), // Rule ID 45820 //
     /*  173053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173056 */     // MIs[0] rs1
     /*  173056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173064 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  173067 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173081 */     GIR_RootConstrainSelectedInstOperands,
     /*  173082 */     // GIR_Coverage, 45820,
     /*  173082 */     GIR_EraseRootFromParent_Done,
     /*  173083 */   // Label 3296: @173083
     /*  173083 */   GIM_Reject,
     /*  173084 */ // Label 3294: @173084
     /*  173084 */ GIM_Reject,
     /*  173085 */ // Label 3141: @173085
     /*  173085 */ GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(173242),
     /*  173090 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173093 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173101 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(173136), // Rule ID 45847 //
     /*  173106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173109 */     // MIs[0] rs1
     /*  173109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173117 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173120 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173134 */     GIR_RootConstrainSelectedInstOperands,
     /*  173135 */     // GIR_Coverage, 45847,
     /*  173135 */     GIR_EraseRootFromParent_Done,
     /*  173136 */   // Label 3298: @173136
     /*  173136 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(173171), // Rule ID 45848 //
     /*  173141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173144 */     // MIs[0] rs1
     /*  173144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173152 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173155 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173165 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173169 */     GIR_RootConstrainSelectedInstOperands,
     /*  173170 */     // GIR_Coverage, 45848,
     /*  173170 */     GIR_EraseRootFromParent_Done,
     /*  173171 */   // Label 3299: @173171
     /*  173171 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(173206), // Rule ID 45907 //
     /*  173176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173179 */     // MIs[0] rs1
     /*  173179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173187 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173190 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173204 */     GIR_RootConstrainSelectedInstOperands,
     /*  173205 */     // GIR_Coverage, 45907,
     /*  173205 */     GIR_EraseRootFromParent_Done,
     /*  173206 */   // Label 3300: @173206
     /*  173206 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(173241), // Rule ID 45908 //
     /*  173211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173214 */     // MIs[0] rs1
     /*  173214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173222 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  173225 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173239 */     GIR_RootConstrainSelectedInstOperands,
     /*  173240 */     // GIR_Coverage, 45908,
     /*  173240 */     GIR_EraseRootFromParent_Done,
     /*  173241 */   // Label 3301: @173241
     /*  173241 */   GIM_Reject,
     /*  173242 */ // Label 3297: @173242
     /*  173242 */ GIM_Reject,
     /*  173243 */ // Label 3142: @173243
     /*  173243 */ GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(173400),
     /*  173248 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173251 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173259 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(173294), // Rule ID 45863 //
     /*  173264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173267 */     // MIs[0] rs1
     /*  173267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173275 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173278 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173292 */     GIR_RootConstrainSelectedInstOperands,
     /*  173293 */     // GIR_Coverage, 45863,
     /*  173293 */     GIR_EraseRootFromParent_Done,
     /*  173294 */   // Label 3303: @173294
     /*  173294 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(173329), // Rule ID 45864 //
     /*  173299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173302 */     // MIs[0] rs1
     /*  173302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173310 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173313 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173327 */     GIR_RootConstrainSelectedInstOperands,
     /*  173328 */     // GIR_Coverage, 45864,
     /*  173328 */     GIR_EraseRootFromParent_Done,
     /*  173329 */   // Label 3304: @173329
     /*  173329 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(173364), // Rule ID 45923 //
     /*  173334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173337 */     // MIs[0] rs1
     /*  173337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173345 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173348 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173362 */     GIR_RootConstrainSelectedInstOperands,
     /*  173363 */     // GIR_Coverage, 45923,
     /*  173363 */     GIR_EraseRootFromParent_Done,
     /*  173364 */   // Label 3305: @173364
     /*  173364 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(173399), // Rule ID 45924 //
     /*  173369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  173372 */     // MIs[0] rs1
     /*  173372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173380 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  173383 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173397 */     GIR_RootConstrainSelectedInstOperands,
     /*  173398 */     // GIR_Coverage, 45924,
     /*  173398 */     GIR_EraseRootFromParent_Done,
     /*  173399 */   // Label 3306: @173399
     /*  173399 */   GIM_Reject,
     /*  173400 */ // Label 3302: @173400
     /*  173400 */ GIM_Reject,
     /*  173401 */ // Label 3143: @173401
     /*  173401 */ GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173558),
     /*  173406 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173409 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173417 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(173452), // Rule ID 45879 //
     /*  173422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173425 */     // MIs[0] rs1
     /*  173425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173433 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173436 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173450 */     GIR_RootConstrainSelectedInstOperands,
     /*  173451 */     // GIR_Coverage, 45879,
     /*  173451 */     GIR_EraseRootFromParent_Done,
     /*  173452 */   // Label 3308: @173452
     /*  173452 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173487), // Rule ID 45880 //
     /*  173457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173460 */     // MIs[0] rs1
     /*  173460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173468 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173471 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173485 */     GIR_RootConstrainSelectedInstOperands,
     /*  173486 */     // GIR_Coverage, 45880,
     /*  173486 */     GIR_EraseRootFromParent_Done,
     /*  173487 */   // Label 3309: @173487
     /*  173487 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173522), // Rule ID 45939 //
     /*  173492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  173495 */     // MIs[0] rs1
     /*  173495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173503 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  173503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173506 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173520 */     GIR_RootConstrainSelectedInstOperands,
     /*  173521 */     // GIR_Coverage, 45939,
     /*  173521 */     GIR_EraseRootFromParent_Done,
     /*  173522 */   // Label 3310: @173522
     /*  173522 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173557), // Rule ID 45940 //
     /*  173527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  173530 */     // MIs[0] rs1
     /*  173530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173538 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  173538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  173541 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173555 */     GIR_RootConstrainSelectedInstOperands,
     /*  173556 */     // GIR_Coverage, 45940,
     /*  173556 */     GIR_EraseRootFromParent_Done,
     /*  173557 */   // Label 3311: @173557
     /*  173557 */   GIM_Reject,
     /*  173558 */ // Label 3307: @173558
     /*  173558 */ GIM_Reject,
     /*  173559 */ // Label 3144: @173559
     /*  173559 */ GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173638),
     /*  173564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173583 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173610), // Rule ID 45955 //
     /*  173588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173591 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  173594 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173608 */     GIR_RootConstrainSelectedInstOperands,
     /*  173609 */     // GIR_Coverage, 45955,
     /*  173609 */     GIR_EraseRootFromParent_Done,
     /*  173610 */   // Label 3313: @173610
     /*  173610 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173637), // Rule ID 45956 //
     /*  173615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173618 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  173621 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173635 */     GIR_RootConstrainSelectedInstOperands,
     /*  173636 */     // GIR_Coverage, 45956,
     /*  173636 */     GIR_EraseRootFromParent_Done,
     /*  173637 */   // Label 3314: @173637
     /*  173637 */   GIM_Reject,
     /*  173638 */ // Label 3312: @173638
     /*  173638 */ GIM_Reject,
     /*  173639 */ // Label 3145: @173639
     /*  173639 */ GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173726),
     /*  173644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173647 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173655 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(173690), // Rule ID 45835 //
     /*  173660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173663 */     // MIs[0] rs1
     /*  173663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173671 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  173674 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173688 */     GIR_RootConstrainSelectedInstOperands,
     /*  173689 */     // GIR_Coverage, 45835,
     /*  173689 */     GIR_EraseRootFromParent_Done,
     /*  173690 */   // Label 3316: @173690
     /*  173690 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(173725), // Rule ID 45836 //
     /*  173695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173698 */     // MIs[0] rs1
     /*  173698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173706 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  173709 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173723 */     GIR_RootConstrainSelectedInstOperands,
     /*  173724 */     // GIR_Coverage, 45836,
     /*  173724 */     GIR_EraseRootFromParent_Done,
     /*  173725 */   // Label 3317: @173725
     /*  173725 */   GIM_Reject,
     /*  173726 */ // Label 3315: @173726
     /*  173726 */ GIM_Reject,
     /*  173727 */ // Label 3146: @173727
     /*  173727 */ GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(173884),
     /*  173732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173735 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173743 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(173778), // Rule ID 45851 //
     /*  173748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173751 */     // MIs[0] rs1
     /*  173751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173759 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173762 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173776 */     GIR_RootConstrainSelectedInstOperands,
     /*  173777 */     // GIR_Coverage, 45851,
     /*  173777 */     GIR_EraseRootFromParent_Done,
     /*  173778 */   // Label 3319: @173778
     /*  173778 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(173813), // Rule ID 45852 //
     /*  173783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173786 */     // MIs[0] rs1
     /*  173786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173794 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173797 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173811 */     GIR_RootConstrainSelectedInstOperands,
     /*  173812 */     // GIR_Coverage, 45852,
     /*  173812 */     GIR_EraseRootFromParent_Done,
     /*  173813 */   // Label 3320: @173813
     /*  173813 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(173848), // Rule ID 45911 //
     /*  173818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173821 */     // MIs[0] rs1
     /*  173821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173829 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173832 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173846 */     GIR_RootConstrainSelectedInstOperands,
     /*  173847 */     // GIR_Coverage, 45911,
     /*  173847 */     GIR_EraseRootFromParent_Done,
     /*  173848 */   // Label 3321: @173848
     /*  173848 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(173883), // Rule ID 45912 //
     /*  173853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173856 */     // MIs[0] rs1
     /*  173856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173864 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  173867 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173881 */     GIR_RootConstrainSelectedInstOperands,
     /*  173882 */     // GIR_Coverage, 45912,
     /*  173882 */     GIR_EraseRootFromParent_Done,
     /*  173883 */   // Label 3322: @173883
     /*  173883 */   GIM_Reject,
     /*  173884 */ // Label 3318: @173884
     /*  173884 */ GIM_Reject,
     /*  173885 */ // Label 3147: @173885
     /*  173885 */ GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(174042),
     /*  173890 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173901 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(173936), // Rule ID 45867 //
     /*  173906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173909 */     // MIs[0] rs1
     /*  173909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173917 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  173920 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173934 */     GIR_RootConstrainSelectedInstOperands,
     /*  173935 */     // GIR_Coverage, 45867,
     /*  173935 */     GIR_EraseRootFromParent_Done,
     /*  173936 */   // Label 3324: @173936
     /*  173936 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(173971), // Rule ID 45868 //
     /*  173941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173944 */     // MIs[0] rs1
     /*  173944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173952 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  173952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  173955 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173969 */     GIR_RootConstrainSelectedInstOperands,
     /*  173970 */     // GIR_Coverage, 45868,
     /*  173970 */     GIR_EraseRootFromParent_Done,
     /*  173971 */   // Label 3325: @173971
     /*  173971 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(174006), // Rule ID 45927 //
     /*  173976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  173979 */     // MIs[0] rs1
     /*  173979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173987 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  173987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  173990 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174004 */     GIR_RootConstrainSelectedInstOperands,
     /*  174005 */     // GIR_Coverage, 45927,
     /*  174005 */     GIR_EraseRootFromParent_Done,
     /*  174006 */   // Label 3326: @174006
     /*  174006 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(174041), // Rule ID 45928 //
     /*  174011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  174014 */     // MIs[0] rs1
     /*  174014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174022 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  174022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  174025 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174039 */     GIR_RootConstrainSelectedInstOperands,
     /*  174040 */     // GIR_Coverage, 45928,
     /*  174040 */     GIR_EraseRootFromParent_Done,
     /*  174041 */   // Label 3327: @174041
     /*  174041 */   GIM_Reject,
     /*  174042 */ // Label 3323: @174042
     /*  174042 */ GIM_Reject,
     /*  174043 */ // Label 3148: @174043
     /*  174043 */ GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(174122),
     /*  174048 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174051 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174067 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(174094), // Rule ID 45959 //
     /*  174072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174075 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174078 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174092 */     GIR_RootConstrainSelectedInstOperands,
     /*  174093 */     // GIR_Coverage, 45959,
     /*  174093 */     GIR_EraseRootFromParent_Done,
     /*  174094 */   // Label 3329: @174094
     /*  174094 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(174121), // Rule ID 45960 //
     /*  174099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174102 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  174105 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174119 */     GIR_RootConstrainSelectedInstOperands,
     /*  174120 */     // GIR_Coverage, 45960,
     /*  174120 */     GIR_EraseRootFromParent_Done,
     /*  174121 */   // Label 3330: @174121
     /*  174121 */   GIM_Reject,
     /*  174122 */ // Label 3328: @174122
     /*  174122 */ GIM_Reject,
     /*  174123 */ // Label 3149: @174123
     /*  174123 */ GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(174210),
     /*  174128 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174131 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174139 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(174174), // Rule ID 45839 //
     /*  174144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174147 */     // MIs[0] rs1
     /*  174147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174155 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174158 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174172 */     GIR_RootConstrainSelectedInstOperands,
     /*  174173 */     // GIR_Coverage, 45839,
     /*  174173 */     GIR_EraseRootFromParent_Done,
     /*  174174 */   // Label 3332: @174174
     /*  174174 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(174209), // Rule ID 45840 //
     /*  174179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174182 */     // MIs[0] rs1
     /*  174182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174190 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  174193 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174207 */     GIR_RootConstrainSelectedInstOperands,
     /*  174208 */     // GIR_Coverage, 45840,
     /*  174208 */     GIR_EraseRootFromParent_Done,
     /*  174209 */   // Label 3333: @174209
     /*  174209 */   GIM_Reject,
     /*  174210 */ // Label 3331: @174210
     /*  174210 */ GIM_Reject,
     /*  174211 */ // Label 3150: @174211
     /*  174211 */ GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(174368),
     /*  174216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174219 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174227 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174262), // Rule ID 45855 //
     /*  174232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174235 */     // MIs[0] rs1
     /*  174235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174243 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174246 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174260 */     GIR_RootConstrainSelectedInstOperands,
     /*  174261 */     // GIR_Coverage, 45855,
     /*  174261 */     GIR_EraseRootFromParent_Done,
     /*  174262 */   // Label 3335: @174262
     /*  174262 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174297), // Rule ID 45856 //
     /*  174267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174270 */     // MIs[0] rs1
     /*  174270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174278 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174281 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174295 */     GIR_RootConstrainSelectedInstOperands,
     /*  174296 */     // GIR_Coverage, 45856,
     /*  174296 */     GIR_EraseRootFromParent_Done,
     /*  174297 */   // Label 3336: @174297
     /*  174297 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174332), // Rule ID 45915 //
     /*  174302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  174305 */     // MIs[0] rs1
     /*  174305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174313 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  174313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174316 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174330 */     GIR_RootConstrainSelectedInstOperands,
     /*  174331 */     // GIR_Coverage, 45915,
     /*  174331 */     GIR_EraseRootFromParent_Done,
     /*  174332 */   // Label 3337: @174332
     /*  174332 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174367), // Rule ID 45916 //
     /*  174337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  174340 */     // MIs[0] rs1
     /*  174340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174348 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  174348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  174351 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174365 */     GIR_RootConstrainSelectedInstOperands,
     /*  174366 */     // GIR_Coverage, 45916,
     /*  174366 */     GIR_EraseRootFromParent_Done,
     /*  174367 */   // Label 3338: @174367
     /*  174367 */   GIM_Reject,
     /*  174368 */ // Label 3334: @174368
     /*  174368 */ GIM_Reject,
     /*  174369 */ // Label 3151: @174369
     /*  174369 */ GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174448),
     /*  174374 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174377 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174385 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174393 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174420), // Rule ID 45963 //
     /*  174398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174401 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  174401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174404 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174418 */     GIR_RootConstrainSelectedInstOperands,
     /*  174419 */     // GIR_Coverage, 45963,
     /*  174419 */     GIR_EraseRootFromParent_Done,
     /*  174420 */   // Label 3340: @174420
     /*  174420 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174447), // Rule ID 45964 //
     /*  174425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174428 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  174428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  174431 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  174441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174445 */     GIR_RootConstrainSelectedInstOperands,
     /*  174446 */     // GIR_Coverage, 45964,
     /*  174446 */     GIR_EraseRootFromParent_Done,
     /*  174447 */   // Label 3341: @174447
     /*  174447 */   GIM_Reject,
     /*  174448 */ // Label 3339: @174448
     /*  174448 */ GIM_Reject,
     /*  174449 */ // Label 3152: @174449
     /*  174449 */ GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174536),
     /*  174454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174465 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174500), // Rule ID 45843 //
     /*  174470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174473 */     // MIs[0] rs1
     /*  174473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174481 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  174481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174484 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174498 */     GIR_RootConstrainSelectedInstOperands,
     /*  174499 */     // GIR_Coverage, 45843,
     /*  174499 */     GIR_EraseRootFromParent_Done,
     /*  174500 */   // Label 3343: @174500
     /*  174500 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174535), // Rule ID 45844 //
     /*  174505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174508 */     // MIs[0] rs1
     /*  174508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174516 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  174516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  174519 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  174526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174533 */     GIR_RootConstrainSelectedInstOperands,
     /*  174534 */     // GIR_Coverage, 45844,
     /*  174534 */     GIR_EraseRootFromParent_Done,
     /*  174535 */   // Label 3344: @174535
     /*  174535 */   GIM_Reject,
     /*  174536 */ // Label 3342: @174536
     /*  174536 */ GIM_Reject,
     /*  174537 */ // Label 3153: @174537
     /*  174537 */ GIM_Reject,
     /*  174538 */ // Label 25: @174538
     /*  174538 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3347*/ GIMT_Encode4(179423),
     /*  174549 */ /*GILLT_s32*//*Label 3345*/ GIMT_Encode4(174557),
     /*  174553 */ /*GILLT_s64*//*Label 3346*/ GIMT_Encode4(176550),
     /*  174557 */ // Label 3345: @174557
     /*  174557 */ GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(176549),
     /*  174562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  174565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174568 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(174634), // Rule ID 636 //
     /*  174573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174590 */     // MIs[0] addr
     /*  174590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174606 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  174606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174614 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174619 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174621 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174623 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  174628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174632 */     GIR_RootConstrainSelectedInstOperands,
     /*  174633 */     // GIR_Coverage, 636,
     /*  174633 */     GIR_EraseRootFromParent_Done,
     /*  174634 */   // Label 3349: @174634
     /*  174634 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(174700), // Rule ID 638 //
     /*  174639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174656 */     // MIs[0] addr
     /*  174656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174672 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  174672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174680 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174685 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174687 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174689 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174694 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174698 */     GIR_RootConstrainSelectedInstOperands,
     /*  174699 */     // GIR_Coverage, 638,
     /*  174699 */     GIR_EraseRootFromParent_Done,
     /*  174700 */   // Label 3350: @174700
     /*  174700 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(174766), // Rule ID 640 //
     /*  174705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174722 */     // MIs[0] addr
     /*  174722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174738 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  174738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174746 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174751 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174753 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174755 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174764 */     GIR_RootConstrainSelectedInstOperands,
     /*  174765 */     // GIR_Coverage, 640,
     /*  174765 */     GIR_EraseRootFromParent_Done,
     /*  174766 */   // Label 3351: @174766
     /*  174766 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(174832), // Rule ID 642 //
     /*  174771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174788 */     // MIs[0] addr
     /*  174788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174804 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  174804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174812 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174817 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174819 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174821 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174830 */     GIR_RootConstrainSelectedInstOperands,
     /*  174831 */     // GIR_Coverage, 642,
     /*  174831 */     GIR_EraseRootFromParent_Done,
     /*  174832 */   // Label 3352: @174832
     /*  174832 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(174898), // Rule ID 644 //
     /*  174837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  174840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174854 */     // MIs[0] addr
     /*  174854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174870 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  174870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  174873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  174876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  174878 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  174883 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174885 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174887 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  174892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174896 */     GIR_RootConstrainSelectedInstOperands,
     /*  174897 */     // GIR_Coverage, 644,
     /*  174897 */     GIR_EraseRootFromParent_Done,
     /*  174898 */   // Label 3353: @174898
     /*  174898 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(174953), // Rule ID 653 //
     /*  174903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174906 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174913 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174920 */     // MIs[0] addr
     /*  174920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174936 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174941 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174943 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174945 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174951 */     GIR_RootConstrainSelectedInstOperands,
     /*  174952 */     // GIR_Coverage, 653,
     /*  174952 */     GIR_EraseRootFromParent_Done,
     /*  174953 */   // Label 3354: @174953
     /*  174953 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(175008), // Rule ID 655 //
     /*  174958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174975 */     // MIs[0] addr
     /*  174975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174991 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  174994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174996 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174998 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175000 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175006 */     GIR_RootConstrainSelectedInstOperands,
     /*  175007 */     // GIR_Coverage, 655,
     /*  175007 */     GIR_EraseRootFromParent_Done,
     /*  175008 */   // Label 3355: @175008
     /*  175008 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(175063), // Rule ID 657 //
     /*  175013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175030 */     // MIs[0] addr
     /*  175030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175046 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  175049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175051 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175053 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175055 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175061 */     GIR_RootConstrainSelectedInstOperands,
     /*  175062 */     // GIR_Coverage, 657,
     /*  175062 */     GIR_EraseRootFromParent_Done,
     /*  175063 */   // Label 3356: @175063
     /*  175063 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(175118), // Rule ID 659 //
     /*  175068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175085 */     // MIs[0] addr
     /*  175085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175101 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175106 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175108 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175110 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175116 */     GIR_RootConstrainSelectedInstOperands,
     /*  175117 */     // GIR_Coverage, 659,
     /*  175117 */     GIR_EraseRootFromParent_Done,
     /*  175118 */   // Label 3357: @175118
     /*  175118 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(175173), // Rule ID 661 //
     /*  175123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175140 */     // MIs[0] addr
     /*  175140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175156 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  175159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175161 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175163 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175165 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175171 */     GIR_RootConstrainSelectedInstOperands,
     /*  175172 */     // GIR_Coverage, 661,
     /*  175172 */     GIR_EraseRootFromParent_Done,
     /*  175173 */   // Label 3358: @175173
     /*  175173 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(175228), // Rule ID 663 //
     /*  175178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175181 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175195 */     // MIs[0] addr
     /*  175195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175211 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175216 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175218 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175220 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175226 */     GIR_RootConstrainSelectedInstOperands,
     /*  175227 */     // GIR_Coverage, 663,
     /*  175227 */     GIR_EraseRootFromParent_Done,
     /*  175228 */   // Label 3359: @175228
     /*  175228 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(175283), // Rule ID 665 //
     /*  175233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175250 */     // MIs[0] addr
     /*  175250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175266 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175271 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175273 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175275 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175281 */     GIR_RootConstrainSelectedInstOperands,
     /*  175282 */     // GIR_Coverage, 665,
     /*  175282 */     GIR_EraseRootFromParent_Done,
     /*  175283 */   // Label 3360: @175283
     /*  175283 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(175338), // Rule ID 667 //
     /*  175288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175305 */     // MIs[0] addr
     /*  175305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175321 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175326 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175328 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175330 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175336 */     GIR_RootConstrainSelectedInstOperands,
     /*  175337 */     // GIR_Coverage, 667,
     /*  175337 */     GIR_EraseRootFromParent_Done,
     /*  175338 */   // Label 3361: @175338
     /*  175338 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(175393), // Rule ID 669 //
     /*  175343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175360 */     // MIs[0] addr
     /*  175360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175376 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175381 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175383 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175385 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175391 */     GIR_RootConstrainSelectedInstOperands,
     /*  175392 */     // GIR_Coverage, 669,
     /*  175392 */     GIR_EraseRootFromParent_Done,
     /*  175393 */   // Label 3362: @175393
     /*  175393 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(175448), // Rule ID 671 //
     /*  175398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175415 */     // MIs[0] addr
     /*  175415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175431 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  175434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175436 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175438 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175440 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175446 */     GIR_RootConstrainSelectedInstOperands,
     /*  175447 */     // GIR_Coverage, 671,
     /*  175447 */     GIR_EraseRootFromParent_Done,
     /*  175448 */   // Label 3363: @175448
     /*  175448 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175503), // Rule ID 1043 //
     /*  175453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175470 */     // MIs[0] addr
     /*  175470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175486 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175491 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175493 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175495 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175501 */     GIR_RootConstrainSelectedInstOperands,
     /*  175502 */     // GIR_Coverage, 1043,
     /*  175502 */     GIR_EraseRootFromParent_Done,
     /*  175503 */   // Label 3364: @175503
     /*  175503 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175558), // Rule ID 1045 //
     /*  175508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175525 */     // MIs[0] addr
     /*  175525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175541 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  175544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175546 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175548 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175550 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175556 */     GIR_RootConstrainSelectedInstOperands,
     /*  175557 */     // GIR_Coverage, 1045,
     /*  175557 */     GIR_EraseRootFromParent_Done,
     /*  175558 */   // Label 3365: @175558
     /*  175558 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175613), // Rule ID 1047 //
     /*  175563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175580 */     // MIs[0] addr
     /*  175580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175596 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  175599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175601 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175603 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175605 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175611 */     GIR_RootConstrainSelectedInstOperands,
     /*  175612 */     // GIR_Coverage, 1047,
     /*  175612 */     GIR_EraseRootFromParent_Done,
     /*  175613 */   // Label 3366: @175613
     /*  175613 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175668), // Rule ID 1049 //
     /*  175618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175635 */     // MIs[0] addr
     /*  175635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175651 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  175654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175656 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175658 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175660 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175666 */     GIR_RootConstrainSelectedInstOperands,
     /*  175667 */     // GIR_Coverage, 1049,
     /*  175667 */     GIR_EraseRootFromParent_Done,
     /*  175668 */   // Label 3367: @175668
     /*  175668 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175723), // Rule ID 1051 //
     /*  175673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175690 */     // MIs[0] addr
     /*  175690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175706 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  175709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175711 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175713 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175715 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175721 */     GIR_RootConstrainSelectedInstOperands,
     /*  175722 */     // GIR_Coverage, 1051,
     /*  175722 */     GIR_EraseRootFromParent_Done,
     /*  175723 */   // Label 3368: @175723
     /*  175723 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175778), // Rule ID 1053 //
     /*  175728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175745 */     // MIs[0] addr
     /*  175745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175761 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175766 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175768 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175770 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175776 */     GIR_RootConstrainSelectedInstOperands,
     /*  175777 */     // GIR_Coverage, 1053,
     /*  175777 */     GIR_EraseRootFromParent_Done,
     /*  175778 */   // Label 3369: @175778
     /*  175778 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(175833), // Rule ID 1055 //
     /*  175783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175800 */     // MIs[0] addr
     /*  175800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175816 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175821 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175823 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175825 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175831 */     GIR_RootConstrainSelectedInstOperands,
     /*  175832 */     // GIR_Coverage, 1055,
     /*  175832 */     GIR_EraseRootFromParent_Done,
     /*  175833 */   // Label 3370: @175833
     /*  175833 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(175888), // Rule ID 1057 //
     /*  175838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175855 */     // MIs[0] addr
     /*  175855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175871 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175876 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175878 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175880 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175886 */     GIR_RootConstrainSelectedInstOperands,
     /*  175887 */     // GIR_Coverage, 1057,
     /*  175887 */     GIR_EraseRootFromParent_Done,
     /*  175888 */   // Label 3371: @175888
     /*  175888 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(175943), // Rule ID 1059 //
     /*  175893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175910 */     // MIs[0] addr
     /*  175910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175926 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175931 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175933 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175935 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175941 */     GIR_RootConstrainSelectedInstOperands,
     /*  175942 */     // GIR_Coverage, 1059,
     /*  175942 */     GIR_EraseRootFromParent_Done,
     /*  175943 */   // Label 3372: @175943
     /*  175943 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(175998), // Rule ID 1061 //
     /*  175948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175965 */     // MIs[0] addr
     /*  175965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175981 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  175984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175986 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175988 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175990 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175996 */     GIR_RootConstrainSelectedInstOperands,
     /*  175997 */     // GIR_Coverage, 1061,
     /*  175997 */     GIR_EraseRootFromParent_Done,
     /*  175998 */   // Label 3373: @175998
     /*  175998 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(176053), // Rule ID 1063 //
     /*  176003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176020 */     // MIs[0] addr
     /*  176020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176036 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176041 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176043 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176045 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176051 */     GIR_RootConstrainSelectedInstOperands,
     /*  176052 */     // GIR_Coverage, 1063,
     /*  176052 */     GIR_EraseRootFromParent_Done,
     /*  176053 */   // Label 3374: @176053
     /*  176053 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(176108), // Rule ID 1065 //
     /*  176058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176075 */     // MIs[0] addr
     /*  176075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176091 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  176094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176096 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176098 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176100 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176106 */     GIR_RootConstrainSelectedInstOperands,
     /*  176107 */     // GIR_Coverage, 1065,
     /*  176107 */     GIR_EraseRootFromParent_Done,
     /*  176108 */   // Label 3375: @176108
     /*  176108 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(176163), // Rule ID 1067 //
     /*  176113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176130 */     // MIs[0] addr
     /*  176130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176146 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  176149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176151 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176153 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176155 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176161 */     GIR_RootConstrainSelectedInstOperands,
     /*  176162 */     // GIR_Coverage, 1067,
     /*  176162 */     GIR_EraseRootFromParent_Done,
     /*  176163 */   // Label 3376: @176163
     /*  176163 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(176218), // Rule ID 1069 //
     /*  176168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176185 */     // MIs[0] addr
     /*  176185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176201 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176206 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176208 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176210 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176216 */     GIR_RootConstrainSelectedInstOperands,
     /*  176217 */     // GIR_Coverage, 1069,
     /*  176217 */     GIR_EraseRootFromParent_Done,
     /*  176218 */   // Label 3377: @176218
     /*  176218 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(176273), // Rule ID 1071 //
     /*  176223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  176226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176240 */     // MIs[0] addr
     /*  176240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176256 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  176259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176261 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176263 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176265 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176271 */     GIR_RootConstrainSelectedInstOperands,
     /*  176272 */     // GIR_Coverage, 1071,
     /*  176272 */     GIR_EraseRootFromParent_Done,
     /*  176273 */   // Label 3378: @176273
     /*  176273 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(176328), // Rule ID 1073 //
     /*  176278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176295 */     // MIs[0] addr
     /*  176295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176311 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176316 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176318 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176320 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176326 */     GIR_RootConstrainSelectedInstOperands,
     /*  176327 */     // GIR_Coverage, 1073,
     /*  176327 */     GIR_EraseRootFromParent_Done,
     /*  176328 */   // Label 3379: @176328
     /*  176328 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(176383), // Rule ID 1075 //
     /*  176333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176350 */     // MIs[0] addr
     /*  176350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176366 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176371 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176373 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176375 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176381 */     GIR_RootConstrainSelectedInstOperands,
     /*  176382 */     // GIR_Coverage, 1075,
     /*  176382 */     GIR_EraseRootFromParent_Done,
     /*  176383 */   // Label 3380: @176383
     /*  176383 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(176438), // Rule ID 1077 //
     /*  176388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176405 */     // MIs[0] addr
     /*  176405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176421 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176426 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176428 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176430 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176436 */     GIR_RootConstrainSelectedInstOperands,
     /*  176437 */     // GIR_Coverage, 1077,
     /*  176437 */     GIR_EraseRootFromParent_Done,
     /*  176438 */   // Label 3381: @176438
     /*  176438 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(176493), // Rule ID 1079 //
     /*  176443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176460 */     // MIs[0] addr
     /*  176460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176476 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176481 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176483 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176485 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176491 */     GIR_RootConstrainSelectedInstOperands,
     /*  176492 */     // GIR_Coverage, 1079,
     /*  176492 */     GIR_EraseRootFromParent_Done,
     /*  176493 */   // Label 3382: @176493
     /*  176493 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(176548), // Rule ID 1081 //
     /*  176498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  176501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176515 */     // MIs[0] addr
     /*  176515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176531 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  176531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  176534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176536 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176538 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176540 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176546 */     GIR_RootConstrainSelectedInstOperands,
     /*  176547 */     // GIR_Coverage, 1081,
     /*  176547 */     GIR_EraseRootFromParent_Done,
     /*  176548 */   // Label 3383: @176548
     /*  176548 */   GIM_Reject,
     /*  176549 */ // Label 3348: @176549
     /*  176549 */ GIM_Reject,
     /*  176550 */ // Label 3346: @176550
     /*  176550 */ GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(179422),
     /*  176555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  176558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  176561 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(176627), // Rule ID 635 //
     /*  176566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176583 */     // MIs[0] addr
     /*  176583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176599 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  176599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176607 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176612 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176614 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176616 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  176621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176625 */     GIR_RootConstrainSelectedInstOperands,
     /*  176626 */     // GIR_Coverage, 635,
     /*  176626 */     GIR_EraseRootFromParent_Done,
     /*  176627 */   // Label 3385: @176627
     /*  176627 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(176693), // Rule ID 637 //
     /*  176632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176649 */     // MIs[0] addr
     /*  176649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176665 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  176665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176673 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176678 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176680 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176682 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176691 */     GIR_RootConstrainSelectedInstOperands,
     /*  176692 */     // GIR_Coverage, 637,
     /*  176692 */     GIR_EraseRootFromParent_Done,
     /*  176693 */   // Label 3386: @176693
     /*  176693 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(176759), // Rule ID 639 //
     /*  176698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176701 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176708 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176715 */     // MIs[0] addr
     /*  176715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176731 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  176731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176739 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176744 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176746 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176748 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176753 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176757 */     GIR_RootConstrainSelectedInstOperands,
     /*  176758 */     // GIR_Coverage, 639,
     /*  176758 */     GIR_EraseRootFromParent_Done,
     /*  176759 */   // Label 3387: @176759
     /*  176759 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(176825), // Rule ID 641 //
     /*  176764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176767 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176774 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176781 */     // MIs[0] addr
     /*  176781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176797 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  176797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176805 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176810 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176812 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176814 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176823 */     GIR_RootConstrainSelectedInstOperands,
     /*  176824 */     // GIR_Coverage, 641,
     /*  176824 */     GIR_EraseRootFromParent_Done,
     /*  176825 */   // Label 3388: @176825
     /*  176825 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(176891), // Rule ID 643 //
     /*  176830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  176833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176847 */     // MIs[0] addr
     /*  176847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176863 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  176863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  176869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176871 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176876 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176878 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176880 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  176885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176889 */     GIR_RootConstrainSelectedInstOperands,
     /*  176890 */     // GIR_Coverage, 643,
     /*  176890 */     GIR_EraseRootFromParent_Done,
     /*  176891 */   // Label 3389: @176891
     /*  176891 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(176957), // Rule ID 645 //
     /*  176896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  176899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176913 */     // MIs[0] addr
     /*  176913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176929 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  176929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  176935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176937 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176942 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176944 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176946 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  176951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176955 */     GIR_RootConstrainSelectedInstOperands,
     /*  176956 */     // GIR_Coverage, 645,
     /*  176956 */     GIR_EraseRootFromParent_Done,
     /*  176957 */   // Label 3390: @176957
     /*  176957 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(177023), // Rule ID 646 //
     /*  176962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  176965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176979 */     // MIs[0] addr
     /*  176979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176995 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  176995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177003 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177008 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177010 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177012 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177021 */     GIR_RootConstrainSelectedInstOperands,
     /*  177022 */     // GIR_Coverage, 646,
     /*  177022 */     GIR_EraseRootFromParent_Done,
     /*  177023 */   // Label 3391: @177023
     /*  177023 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(177089), // Rule ID 647 //
     /*  177028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177045 */     // MIs[0] addr
     /*  177045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177061 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  177061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177069 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177074 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177076 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177078 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177087 */     GIR_RootConstrainSelectedInstOperands,
     /*  177088 */     // GIR_Coverage, 647,
     /*  177088 */     GIR_EraseRootFromParent_Done,
     /*  177089 */   // Label 3392: @177089
     /*  177089 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(177155), // Rule ID 648 //
     /*  177094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177111 */     // MIs[0] addr
     /*  177111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177127 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  177127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177135 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177140 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177142 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177144 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177153 */     GIR_RootConstrainSelectedInstOperands,
     /*  177154 */     // GIR_Coverage, 648,
     /*  177154 */     GIR_EraseRootFromParent_Done,
     /*  177155 */   // Label 3393: @177155
     /*  177155 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(177221), // Rule ID 649 //
     /*  177160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  177163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177177 */     // MIs[0] addr
     /*  177177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177193 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  177193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  177196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  177199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  177201 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  177206 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177208 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177210 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  177215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177219 */     GIR_RootConstrainSelectedInstOperands,
     /*  177220 */     // GIR_Coverage, 649,
     /*  177220 */     GIR_EraseRootFromParent_Done,
     /*  177221 */   // Label 3394: @177221
     /*  177221 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(177276), // Rule ID 652 //
     /*  177226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177243 */     // MIs[0] addr
     /*  177243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177259 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177264 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177266 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177268 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177274 */     GIR_RootConstrainSelectedInstOperands,
     /*  177275 */     // GIR_Coverage, 652,
     /*  177275 */     GIR_EraseRootFromParent_Done,
     /*  177276 */   // Label 3395: @177276
     /*  177276 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(177331), // Rule ID 654 //
     /*  177281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177298 */     // MIs[0] addr
     /*  177298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177314 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  177317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177319 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177321 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177323 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177325 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177329 */     GIR_RootConstrainSelectedInstOperands,
     /*  177330 */     // GIR_Coverage, 654,
     /*  177330 */     GIR_EraseRootFromParent_Done,
     /*  177331 */   // Label 3396: @177331
     /*  177331 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(177386), // Rule ID 656 //
     /*  177336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177339 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177346 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177353 */     // MIs[0] addr
     /*  177353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177369 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  177372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177374 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177376 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177378 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177380 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177384 */     GIR_RootConstrainSelectedInstOperands,
     /*  177385 */     // GIR_Coverage, 656,
     /*  177385 */     GIR_EraseRootFromParent_Done,
     /*  177386 */   // Label 3397: @177386
     /*  177386 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(177441), // Rule ID 658 //
     /*  177391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177408 */     // MIs[0] addr
     /*  177408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177424 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177429 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177431 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177433 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177439 */     GIR_RootConstrainSelectedInstOperands,
     /*  177440 */     // GIR_Coverage, 658,
     /*  177440 */     GIR_EraseRootFromParent_Done,
     /*  177441 */   // Label 3398: @177441
     /*  177441 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(177496), // Rule ID 660 //
     /*  177446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177463 */     // MIs[0] addr
     /*  177463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177479 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  177482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177484 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177486 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177488 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177494 */     GIR_RootConstrainSelectedInstOperands,
     /*  177495 */     // GIR_Coverage, 660,
     /*  177495 */     GIR_EraseRootFromParent_Done,
     /*  177496 */   // Label 3399: @177496
     /*  177496 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(177551), // Rule ID 662 //
     /*  177501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177518 */     // MIs[0] addr
     /*  177518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177534 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177539 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177541 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177543 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177549 */     GIR_RootConstrainSelectedInstOperands,
     /*  177550 */     // GIR_Coverage, 662,
     /*  177550 */     GIR_EraseRootFromParent_Done,
     /*  177551 */   // Label 3400: @177551
     /*  177551 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(177606), // Rule ID 664 //
     /*  177556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177573 */     // MIs[0] addr
     /*  177573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177589 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177594 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177596 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177598 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177604 */     GIR_RootConstrainSelectedInstOperands,
     /*  177605 */     // GIR_Coverage, 664,
     /*  177605 */     GIR_EraseRootFromParent_Done,
     /*  177606 */   // Label 3401: @177606
     /*  177606 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(177661), // Rule ID 666 //
     /*  177611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177628 */     // MIs[0] addr
     /*  177628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177644 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177649 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177651 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177653 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177659 */     GIR_RootConstrainSelectedInstOperands,
     /*  177660 */     // GIR_Coverage, 666,
     /*  177660 */     GIR_EraseRootFromParent_Done,
     /*  177661 */   // Label 3402: @177661
     /*  177661 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(177716), // Rule ID 668 //
     /*  177666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177683 */     // MIs[0] addr
     /*  177683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177699 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177704 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177706 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177708 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177714 */     GIR_RootConstrainSelectedInstOperands,
     /*  177715 */     // GIR_Coverage, 668,
     /*  177715 */     GIR_EraseRootFromParent_Done,
     /*  177716 */   // Label 3403: @177716
     /*  177716 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(177771), // Rule ID 670 //
     /*  177721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177738 */     // MIs[0] addr
     /*  177738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177754 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  177757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177759 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177761 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177763 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177769 */     GIR_RootConstrainSelectedInstOperands,
     /*  177770 */     // GIR_Coverage, 670,
     /*  177770 */     GIR_EraseRootFromParent_Done,
     /*  177771 */   // Label 3404: @177771
     /*  177771 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(177826), // Rule ID 672 //
     /*  177776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177793 */     // MIs[0] addr
     /*  177793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177809 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  177812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177814 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177816 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177818 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177824 */     GIR_RootConstrainSelectedInstOperands,
     /*  177825 */     // GIR_Coverage, 672,
     /*  177825 */     GIR_EraseRootFromParent_Done,
     /*  177826 */   // Label 3405: @177826
     /*  177826 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(177881), // Rule ID 673 //
     /*  177831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177848 */     // MIs[0] addr
     /*  177848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177864 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  177867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177869 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177871 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177873 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177879 */     GIR_RootConstrainSelectedInstOperands,
     /*  177880 */     // GIR_Coverage, 673,
     /*  177880 */     GIR_EraseRootFromParent_Done,
     /*  177881 */   // Label 3406: @177881
     /*  177881 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(177936), // Rule ID 674 //
     /*  177886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177903 */     // MIs[0] addr
     /*  177903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177919 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  177922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177924 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177926 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177928 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177934 */     GIR_RootConstrainSelectedInstOperands,
     /*  177935 */     // GIR_Coverage, 674,
     /*  177935 */     GIR_EraseRootFromParent_Done,
     /*  177936 */   // Label 3407: @177936
     /*  177936 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(177991), // Rule ID 675 //
     /*  177941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177958 */     // MIs[0] addr
     /*  177958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177974 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  177977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177979 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177981 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177983 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177989 */     GIR_RootConstrainSelectedInstOperands,
     /*  177990 */     // GIR_Coverage, 675,
     /*  177990 */     GIR_EraseRootFromParent_Done,
     /*  177991 */   // Label 3408: @177991
     /*  177991 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(178046), // Rule ID 676 //
     /*  177996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  177999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178013 */     // MIs[0] addr
     /*  178013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178029 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  178032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178034 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178036 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178038 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178044 */     GIR_RootConstrainSelectedInstOperands,
     /*  178045 */     // GIR_Coverage, 676,
     /*  178045 */     GIR_EraseRootFromParent_Done,
     /*  178046 */   // Label 3409: @178046
     /*  178046 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(178101), // Rule ID 677 //
     /*  178051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178068 */     // MIs[0] addr
     /*  178068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178084 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178089 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178091 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178093 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178099 */     GIR_RootConstrainSelectedInstOperands,
     /*  178100 */     // GIR_Coverage, 677,
     /*  178100 */     GIR_EraseRootFromParent_Done,
     /*  178101 */   // Label 3410: @178101
     /*  178101 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(178156), // Rule ID 678 //
     /*  178106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178123 */     // MIs[0] addr
     /*  178123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178139 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178144 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178146 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178148 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178154 */     GIR_RootConstrainSelectedInstOperands,
     /*  178155 */     // GIR_Coverage, 678,
     /*  178155 */     GIR_EraseRootFromParent_Done,
     /*  178156 */   // Label 3411: @178156
     /*  178156 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(178211), // Rule ID 679 //
     /*  178161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178178 */     // MIs[0] addr
     /*  178178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178194 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178199 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178201 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178203 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178209 */     GIR_RootConstrainSelectedInstOperands,
     /*  178210 */     // GIR_Coverage, 679,
     /*  178210 */     GIR_EraseRootFromParent_Done,
     /*  178211 */   // Label 3412: @178211
     /*  178211 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(178266), // Rule ID 680 //
     /*  178216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178233 */     // MIs[0] addr
     /*  178233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178249 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178254 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178256 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178258 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178264 */     GIR_RootConstrainSelectedInstOperands,
     /*  178265 */     // GIR_Coverage, 680,
     /*  178265 */     GIR_EraseRootFromParent_Done,
     /*  178266 */   // Label 3413: @178266
     /*  178266 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(178321), // Rule ID 681 //
     /*  178271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  178274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178288 */     // MIs[0] addr
     /*  178288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178304 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  178307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178309 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178311 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178313 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178319 */     GIR_RootConstrainSelectedInstOperands,
     /*  178320 */     // GIR_Coverage, 681,
     /*  178320 */     GIR_EraseRootFromParent_Done,
     /*  178321 */   // Label 3414: @178321
     /*  178321 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(178376), // Rule ID 1042 //
     /*  178326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178343 */     // MIs[0] addr
     /*  178343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178359 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178364 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178366 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178368 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178374 */     GIR_RootConstrainSelectedInstOperands,
     /*  178375 */     // GIR_Coverage, 1042,
     /*  178375 */     GIR_EraseRootFromParent_Done,
     /*  178376 */   // Label 3415: @178376
     /*  178376 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(178431), // Rule ID 1044 //
     /*  178381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178398 */     // MIs[0] addr
     /*  178398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178414 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  178417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178419 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178421 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178423 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178429 */     GIR_RootConstrainSelectedInstOperands,
     /*  178430 */     // GIR_Coverage, 1044,
     /*  178430 */     GIR_EraseRootFromParent_Done,
     /*  178431 */   // Label 3416: @178431
     /*  178431 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(178486), // Rule ID 1046 //
     /*  178436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178439 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178446 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178453 */     // MIs[0] addr
     /*  178453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178469 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  178472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178474 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178476 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178478 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178484 */     GIR_RootConstrainSelectedInstOperands,
     /*  178485 */     // GIR_Coverage, 1046,
     /*  178485 */     GIR_EraseRootFromParent_Done,
     /*  178486 */   // Label 3417: @178486
     /*  178486 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(178541), // Rule ID 1048 //
     /*  178491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178508 */     // MIs[0] addr
     /*  178508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178524 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178529 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178531 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178533 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178539 */     GIR_RootConstrainSelectedInstOperands,
     /*  178540 */     // GIR_Coverage, 1048,
     /*  178540 */     GIR_EraseRootFromParent_Done,
     /*  178541 */   // Label 3418: @178541
     /*  178541 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(178596), // Rule ID 1050 //
     /*  178546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178563 */     // MIs[0] addr
     /*  178563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178579 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  178582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178584 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178586 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178588 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178594 */     GIR_RootConstrainSelectedInstOperands,
     /*  178595 */     // GIR_Coverage, 1050,
     /*  178595 */     GIR_EraseRootFromParent_Done,
     /*  178596 */   // Label 3419: @178596
     /*  178596 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(178651), // Rule ID 1052 //
     /*  178601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178618 */     // MIs[0] addr
     /*  178618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178634 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178639 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178641 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178643 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178649 */     GIR_RootConstrainSelectedInstOperands,
     /*  178650 */     // GIR_Coverage, 1052,
     /*  178650 */     GIR_EraseRootFromParent_Done,
     /*  178651 */   // Label 3420: @178651
     /*  178651 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(178706), // Rule ID 1054 //
     /*  178656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178673 */     // MIs[0] addr
     /*  178673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178689 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178694 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178696 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178698 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178704 */     GIR_RootConstrainSelectedInstOperands,
     /*  178705 */     // GIR_Coverage, 1054,
     /*  178705 */     GIR_EraseRootFromParent_Done,
     /*  178706 */   // Label 3421: @178706
     /*  178706 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(178761), // Rule ID 1056 //
     /*  178711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178728 */     // MIs[0] addr
     /*  178728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178744 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178749 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178751 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178753 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178759 */     GIR_RootConstrainSelectedInstOperands,
     /*  178760 */     // GIR_Coverage, 1056,
     /*  178760 */     GIR_EraseRootFromParent_Done,
     /*  178761 */   // Label 3422: @178761
     /*  178761 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(178816), // Rule ID 1058 //
     /*  178766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178783 */     // MIs[0] addr
     /*  178783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178799 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178804 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178806 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178808 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178814 */     GIR_RootConstrainSelectedInstOperands,
     /*  178815 */     // GIR_Coverage, 1058,
     /*  178815 */     GIR_EraseRootFromParent_Done,
     /*  178816 */   // Label 3423: @178816
     /*  178816 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(178871), // Rule ID 1060 //
     /*  178821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178838 */     // MIs[0] addr
     /*  178838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178854 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  178857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178859 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178861 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178863 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178869 */     GIR_RootConstrainSelectedInstOperands,
     /*  178870 */     // GIR_Coverage, 1060,
     /*  178870 */     GIR_EraseRootFromParent_Done,
     /*  178871 */   // Label 3424: @178871
     /*  178871 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(178926), // Rule ID 1062 //
     /*  178876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178893 */     // MIs[0] addr
     /*  178893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178909 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178914 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178916 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178918 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178924 */     GIR_RootConstrainSelectedInstOperands,
     /*  178925 */     // GIR_Coverage, 1062,
     /*  178925 */     GIR_EraseRootFromParent_Done,
     /*  178926 */   // Label 3425: @178926
     /*  178926 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(178981), // Rule ID 1064 //
     /*  178931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178948 */     // MIs[0] addr
     /*  178948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178964 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  178967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178969 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178971 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178973 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178979 */     GIR_RootConstrainSelectedInstOperands,
     /*  178980 */     // GIR_Coverage, 1064,
     /*  178980 */     GIR_EraseRootFromParent_Done,
     /*  178981 */   // Label 3426: @178981
     /*  178981 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(179036), // Rule ID 1066 //
     /*  178986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  178989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179003 */     // MIs[0] addr
     /*  179003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179019 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  179022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179024 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179026 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179028 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179034 */     GIR_RootConstrainSelectedInstOperands,
     /*  179035 */     // GIR_Coverage, 1066,
     /*  179035 */     GIR_EraseRootFromParent_Done,
     /*  179036 */   // Label 3427: @179036
     /*  179036 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(179091), // Rule ID 1068 //
     /*  179041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179058 */     // MIs[0] addr
     /*  179058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179074 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179079 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179081 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179083 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179089 */     GIR_RootConstrainSelectedInstOperands,
     /*  179090 */     // GIR_Coverage, 1068,
     /*  179090 */     GIR_EraseRootFromParent_Done,
     /*  179091 */   // Label 3428: @179091
     /*  179091 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(179146), // Rule ID 1070 //
     /*  179096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  179099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179113 */     // MIs[0] addr
     /*  179113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179129 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  179132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179134 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179136 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179138 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179144 */     GIR_RootConstrainSelectedInstOperands,
     /*  179145 */     // GIR_Coverage, 1070,
     /*  179145 */     GIR_EraseRootFromParent_Done,
     /*  179146 */   // Label 3429: @179146
     /*  179146 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(179201), // Rule ID 1072 //
     /*  179151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179168 */     // MIs[0] addr
     /*  179168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179184 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179189 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179191 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179193 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179199 */     GIR_RootConstrainSelectedInstOperands,
     /*  179200 */     // GIR_Coverage, 1072,
     /*  179200 */     GIR_EraseRootFromParent_Done,
     /*  179201 */   // Label 3430: @179201
     /*  179201 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(179256), // Rule ID 1074 //
     /*  179206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179223 */     // MIs[0] addr
     /*  179223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179239 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179244 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179246 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179248 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179254 */     GIR_RootConstrainSelectedInstOperands,
     /*  179255 */     // GIR_Coverage, 1074,
     /*  179255 */     GIR_EraseRootFromParent_Done,
     /*  179256 */   // Label 3431: @179256
     /*  179256 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(179311), // Rule ID 1076 //
     /*  179261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179278 */     // MIs[0] addr
     /*  179278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179294 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179299 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179301 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179303 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179309 */     GIR_RootConstrainSelectedInstOperands,
     /*  179310 */     // GIR_Coverage, 1076,
     /*  179310 */     GIR_EraseRootFromParent_Done,
     /*  179311 */   // Label 3432: @179311
     /*  179311 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(179366), // Rule ID 1078 //
     /*  179316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179333 */     // MIs[0] addr
     /*  179333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179349 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179354 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179356 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179358 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179364 */     GIR_RootConstrainSelectedInstOperands,
     /*  179365 */     // GIR_Coverage, 1078,
     /*  179365 */     GIR_EraseRootFromParent_Done,
     /*  179366 */   // Label 3433: @179366
     /*  179366 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(179421), // Rule ID 1080 //
     /*  179371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  179374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179388 */     // MIs[0] addr
     /*  179388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179404 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  179404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  179407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179409 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179411 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179413 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179419 */     GIR_RootConstrainSelectedInstOperands,
     /*  179420 */     // GIR_Coverage, 1080,
     /*  179420 */     GIR_EraseRootFromParent_Done,
     /*  179421 */   // Label 3434: @179421
     /*  179421 */   GIM_Reject,
     /*  179422 */ // Label 3384: @179422
     /*  179422 */ GIM_Reject,
     /*  179423 */ // Label 3347: @179423
     /*  179423 */ GIM_Reject,
     /*  179424 */ // Label 26: @179424
     /*  179424 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3437*/ GIMT_Encode4(182333),
     /*  179435 */ /*GILLT_s32*//*Label 3435*/ GIMT_Encode4(179443),
     /*  179439 */ /*GILLT_s64*//*Label 3436*/ GIMT_Encode4(180683),
     /*  179443 */ // Label 3435: @179443
     /*  179443 */ GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(180682),
     /*  179448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179451 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(179492), // Rule ID 335 //
     /*  179456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179473 */     // MIs[0] rs1
     /*  179473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179485 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179490 */     GIR_RootConstrainSelectedInstOperands,
     /*  179491 */     // GIR_Coverage, 335,
     /*  179491 */     GIR_Done,
     /*  179492 */   // Label 3439: @179492
     /*  179492 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(179533), // Rule ID 337 //
     /*  179497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179514 */     // MIs[0] rs1
     /*  179514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179526 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  179531 */     GIR_RootConstrainSelectedInstOperands,
     /*  179532 */     // GIR_Coverage, 337,
     /*  179532 */     GIR_Done,
     /*  179533 */   // Label 3440: @179533
     /*  179533 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(179574), // Rule ID 339 //
     /*  179538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179555 */     // MIs[0] rs1
     /*  179555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179567 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  179572 */     GIR_RootConstrainSelectedInstOperands,
     /*  179573 */     // GIR_Coverage, 339,
     /*  179573 */     GIR_Done,
     /*  179574 */   // Label 3441: @179574
     /*  179574 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(179615), // Rule ID 341 //
     /*  179579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179596 */     // MIs[0] rs1
     /*  179596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179608 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179613 */     GIR_RootConstrainSelectedInstOperands,
     /*  179614 */     // GIR_Coverage, 341,
     /*  179614 */     GIR_Done,
     /*  179615 */   // Label 3442: @179615
     /*  179615 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(179656), // Rule ID 343 //
     /*  179620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179637 */     // MIs[0] rs1
     /*  179637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179649 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179654 */     GIR_RootConstrainSelectedInstOperands,
     /*  179655 */     // GIR_Coverage, 343,
     /*  179655 */     GIR_Done,
     /*  179656 */   // Label 3443: @179656
     /*  179656 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(179697), // Rule ID 345 //
     /*  179661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179678 */     // MIs[0] rs1
     /*  179678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179690 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179695 */     GIR_RootConstrainSelectedInstOperands,
     /*  179696 */     // GIR_Coverage, 345,
     /*  179696 */     GIR_Done,
     /*  179697 */   // Label 3444: @179697
     /*  179697 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(179738), // Rule ID 347 //
     /*  179702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179719 */     // MIs[0] rs1
     /*  179719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179731 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179736 */     GIR_RootConstrainSelectedInstOperands,
     /*  179737 */     // GIR_Coverage, 347,
     /*  179737 */     GIR_Done,
     /*  179738 */   // Label 3445: @179738
     /*  179738 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(179779), // Rule ID 349 //
     /*  179743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179760 */     // MIs[0] rs1
     /*  179760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179772 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179777 */     GIR_RootConstrainSelectedInstOperands,
     /*  179778 */     // GIR_Coverage, 349,
     /*  179778 */     GIR_Done,
     /*  179779 */   // Label 3446: @179779
     /*  179779 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(179820), // Rule ID 351 //
     /*  179784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179801 */     // MIs[0] rs1
     /*  179801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179813 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179818 */     GIR_RootConstrainSelectedInstOperands,
     /*  179819 */     // GIR_Coverage, 351,
     /*  179819 */     GIR_Done,
     /*  179820 */   // Label 3447: @179820
     /*  179820 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(179861), // Rule ID 353 //
     /*  179825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179842 */     // MIs[0] rs1
     /*  179842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179854 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179859 */     GIR_RootConstrainSelectedInstOperands,
     /*  179860 */     // GIR_Coverage, 353,
     /*  179860 */     GIR_Done,
     /*  179861 */   // Label 3448: @179861
     /*  179861 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(179902), // Rule ID 683 //
     /*  179866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179883 */     // MIs[0] rs1
     /*  179883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179895 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  179900 */     GIR_RootConstrainSelectedInstOperands,
     /*  179901 */     // GIR_Coverage, 683,
     /*  179901 */     GIR_Done,
     /*  179902 */   // Label 3449: @179902
     /*  179902 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(179943), // Rule ID 685 //
     /*  179907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179924 */     // MIs[0] rs1
     /*  179924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179936 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  179941 */     GIR_RootConstrainSelectedInstOperands,
     /*  179942 */     // GIR_Coverage, 685,
     /*  179942 */     GIR_Done,
     /*  179943 */   // Label 3450: @179943
     /*  179943 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(179984), // Rule ID 687 //
     /*  179948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179965 */     // MIs[0] rs1
     /*  179965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179977 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  179982 */     GIR_RootConstrainSelectedInstOperands,
     /*  179983 */     // GIR_Coverage, 687,
     /*  179983 */     GIR_Done,
     /*  179984 */   // Label 3451: @179984
     /*  179984 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(180025), // Rule ID 689 //
     /*  179989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180006 */     // MIs[0] rs1
     /*  180006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180018 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180023 */     GIR_RootConstrainSelectedInstOperands,
     /*  180024 */     // GIR_Coverage, 689,
     /*  180024 */     GIR_Done,
     /*  180025 */   // Label 3452: @180025
     /*  180025 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(180066), // Rule ID 691 //
     /*  180030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180047 */     // MIs[0] rs1
     /*  180047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180059 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180064 */     GIR_RootConstrainSelectedInstOperands,
     /*  180065 */     // GIR_Coverage, 691,
     /*  180065 */     GIR_Done,
     /*  180066 */   // Label 3453: @180066
     /*  180066 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(180107), // Rule ID 693 //
     /*  180071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180088 */     // MIs[0] rs1
     /*  180088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180100 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180105 */     GIR_RootConstrainSelectedInstOperands,
     /*  180106 */     // GIR_Coverage, 693,
     /*  180106 */     GIR_Done,
     /*  180107 */   // Label 3454: @180107
     /*  180107 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(180148), // Rule ID 695 //
     /*  180112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180129 */     // MIs[0] rs1
     /*  180129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180141 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180146 */     GIR_RootConstrainSelectedInstOperands,
     /*  180147 */     // GIR_Coverage, 695,
     /*  180147 */     GIR_Done,
     /*  180148 */   // Label 3455: @180148
     /*  180148 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(180189), // Rule ID 697 //
     /*  180153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180170 */     // MIs[0] rs1
     /*  180170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180182 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180187 */     GIR_RootConstrainSelectedInstOperands,
     /*  180188 */     // GIR_Coverage, 697,
     /*  180188 */     GIR_Done,
     /*  180189 */   // Label 3456: @180189
     /*  180189 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(180230), // Rule ID 699 //
     /*  180194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180211 */     // MIs[0] rs1
     /*  180211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180223 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180228 */     GIR_RootConstrainSelectedInstOperands,
     /*  180229 */     // GIR_Coverage, 699,
     /*  180229 */     GIR_Done,
     /*  180230 */   // Label 3457: @180230
     /*  180230 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(180271), // Rule ID 701 //
     /*  180235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180252 */     // MIs[0] rs1
     /*  180252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180264 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180269 */     GIR_RootConstrainSelectedInstOperands,
     /*  180270 */     // GIR_Coverage, 701,
     /*  180270 */     GIR_Done,
     /*  180271 */   // Label 3458: @180271
     /*  180271 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(180312), // Rule ID 863 //
     /*  180276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180293 */     // MIs[0] rs1
     /*  180293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180305 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180310 */     GIR_RootConstrainSelectedInstOperands,
     /*  180311 */     // GIR_Coverage, 863,
     /*  180311 */     GIR_Done,
     /*  180312 */   // Label 3459: @180312
     /*  180312 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(180353), // Rule ID 865 //
     /*  180317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180334 */     // MIs[0] rs1
     /*  180334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180346 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  180351 */     GIR_RootConstrainSelectedInstOperands,
     /*  180352 */     // GIR_Coverage, 865,
     /*  180352 */     GIR_Done,
     /*  180353 */   // Label 3460: @180353
     /*  180353 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(180394), // Rule ID 867 //
     /*  180358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180375 */     // MIs[0] rs1
     /*  180375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180387 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  180392 */     GIR_RootConstrainSelectedInstOperands,
     /*  180393 */     // GIR_Coverage, 867,
     /*  180393 */     GIR_Done,
     /*  180394 */   // Label 3461: @180394
     /*  180394 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(180435), // Rule ID 869 //
     /*  180399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180416 */     // MIs[0] rs1
     /*  180416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180428 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180433 */     GIR_RootConstrainSelectedInstOperands,
     /*  180434 */     // GIR_Coverage, 869,
     /*  180434 */     GIR_Done,
     /*  180435 */   // Label 3462: @180435
     /*  180435 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(180476), // Rule ID 871 //
     /*  180440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180457 */     // MIs[0] rs1
     /*  180457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180469 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180474 */     GIR_RootConstrainSelectedInstOperands,
     /*  180475 */     // GIR_Coverage, 871,
     /*  180475 */     GIR_Done,
     /*  180476 */   // Label 3463: @180476
     /*  180476 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(180517), // Rule ID 873 //
     /*  180481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180498 */     // MIs[0] rs1
     /*  180498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180510 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180515 */     GIR_RootConstrainSelectedInstOperands,
     /*  180516 */     // GIR_Coverage, 873,
     /*  180516 */     GIR_Done,
     /*  180517 */   // Label 3464: @180517
     /*  180517 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(180558), // Rule ID 875 //
     /*  180522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180539 */     // MIs[0] rs1
     /*  180539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180551 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180556 */     GIR_RootConstrainSelectedInstOperands,
     /*  180557 */     // GIR_Coverage, 875,
     /*  180557 */     GIR_Done,
     /*  180558 */   // Label 3465: @180558
     /*  180558 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180599), // Rule ID 877 //
     /*  180563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180580 */     // MIs[0] rs1
     /*  180580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180592 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180597 */     GIR_RootConstrainSelectedInstOperands,
     /*  180598 */     // GIR_Coverage, 877,
     /*  180598 */     GIR_Done,
     /*  180599 */   // Label 3466: @180599
     /*  180599 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180640), // Rule ID 879 //
     /*  180604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180607 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180614 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180621 */     // MIs[0] rs1
     /*  180621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180633 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180638 */     GIR_RootConstrainSelectedInstOperands,
     /*  180639 */     // GIR_Coverage, 879,
     /*  180639 */     GIR_Done,
     /*  180640 */   // Label 3467: @180640
     /*  180640 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180681), // Rule ID 881 //
     /*  180645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180662 */     // MIs[0] rs1
     /*  180662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180674 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180679 */     GIR_RootConstrainSelectedInstOperands,
     /*  180680 */     // GIR_Coverage, 881,
     /*  180680 */     GIR_Done,
     /*  180681 */   // Label 3468: @180681
     /*  180681 */   GIM_Reject,
     /*  180682 */ // Label 3438: @180682
     /*  180682 */ GIM_Reject,
     /*  180683 */ // Label 3436: @180683
     /*  180683 */ GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(182332),
     /*  180688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  180691 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(180732), // Rule ID 334 //
     /*  180696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180713 */     // MIs[0] rs1
     /*  180713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180725 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180730 */     GIR_RootConstrainSelectedInstOperands,
     /*  180731 */     // GIR_Coverage, 334,
     /*  180731 */     GIR_Done,
     /*  180732 */   // Label 3470: @180732
     /*  180732 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(180773), // Rule ID 336 //
     /*  180737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180754 */     // MIs[0] rs1
     /*  180754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180766 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  180771 */     GIR_RootConstrainSelectedInstOperands,
     /*  180772 */     // GIR_Coverage, 336,
     /*  180772 */     GIR_Done,
     /*  180773 */   // Label 3471: @180773
     /*  180773 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(180814), // Rule ID 338 //
     /*  180778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180795 */     // MIs[0] rs1
     /*  180795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180807 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  180812 */     GIR_RootConstrainSelectedInstOperands,
     /*  180813 */     // GIR_Coverage, 338,
     /*  180813 */     GIR_Done,
     /*  180814 */   // Label 3472: @180814
     /*  180814 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(180855), // Rule ID 340 //
     /*  180819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180836 */     // MIs[0] rs1
     /*  180836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180848 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180853 */     GIR_RootConstrainSelectedInstOperands,
     /*  180854 */     // GIR_Coverage, 340,
     /*  180854 */     GIR_Done,
     /*  180855 */   // Label 3473: @180855
     /*  180855 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(180896), // Rule ID 342 //
     /*  180860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180877 */     // MIs[0] rs1
     /*  180877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180889 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  180894 */     GIR_RootConstrainSelectedInstOperands,
     /*  180895 */     // GIR_Coverage, 342,
     /*  180895 */     GIR_Done,
     /*  180896 */   // Label 3474: @180896
     /*  180896 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(180937), // Rule ID 344 //
     /*  180901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180918 */     // MIs[0] rs1
     /*  180918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180930 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180935 */     GIR_RootConstrainSelectedInstOperands,
     /*  180936 */     // GIR_Coverage, 344,
     /*  180936 */     GIR_Done,
     /*  180937 */   // Label 3475: @180937
     /*  180937 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(180978), // Rule ID 346 //
     /*  180942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180959 */     // MIs[0] rs1
     /*  180959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180971 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  180976 */     GIR_RootConstrainSelectedInstOperands,
     /*  180977 */     // GIR_Coverage, 346,
     /*  180977 */     GIR_Done,
     /*  180978 */   // Label 3476: @180978
     /*  180978 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(181019), // Rule ID 348 //
     /*  180983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181000 */     // MIs[0] rs1
     /*  181000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181012 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181017 */     GIR_RootConstrainSelectedInstOperands,
     /*  181018 */     // GIR_Coverage, 348,
     /*  181018 */     GIR_Done,
     /*  181019 */   // Label 3477: @181019
     /*  181019 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(181060), // Rule ID 350 //
     /*  181024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181041 */     // MIs[0] rs1
     /*  181041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181053 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181058 */     GIR_RootConstrainSelectedInstOperands,
     /*  181059 */     // GIR_Coverage, 350,
     /*  181059 */     GIR_Done,
     /*  181060 */   // Label 3478: @181060
     /*  181060 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(181101), // Rule ID 352 //
     /*  181065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  181068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181082 */     // MIs[0] rs1
     /*  181082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181094 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  181099 */     GIR_RootConstrainSelectedInstOperands,
     /*  181100 */     // GIR_Coverage, 352,
     /*  181100 */     GIR_Done,
     /*  181101 */   // Label 3479: @181101
     /*  181101 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(181142), // Rule ID 514 //
     /*  181106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181123 */     // MIs[0] rs1
     /*  181123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181135 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181140 */     GIR_RootConstrainSelectedInstOperands,
     /*  181141 */     // GIR_Coverage, 514,
     /*  181141 */     GIR_Done,
     /*  181142 */   // Label 3480: @181142
     /*  181142 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(181183), // Rule ID 515 //
     /*  181147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181164 */     // MIs[0] rs1
     /*  181164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181176 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  181181 */     GIR_RootConstrainSelectedInstOperands,
     /*  181182 */     // GIR_Coverage, 515,
     /*  181182 */     GIR_Done,
     /*  181183 */   // Label 3481: @181183
     /*  181183 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(181224), // Rule ID 516 //
     /*  181188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181205 */     // MIs[0] rs1
     /*  181205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181217 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  181222 */     GIR_RootConstrainSelectedInstOperands,
     /*  181223 */     // GIR_Coverage, 516,
     /*  181223 */     GIR_Done,
     /*  181224 */   // Label 3482: @181224
     /*  181224 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(181265), // Rule ID 517 //
     /*  181229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181246 */     // MIs[0] rs1
     /*  181246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181258 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181263 */     GIR_RootConstrainSelectedInstOperands,
     /*  181264 */     // GIR_Coverage, 517,
     /*  181264 */     GIR_Done,
     /*  181265 */   // Label 3483: @181265
     /*  181265 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(181306), // Rule ID 518 //
     /*  181270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181287 */     // MIs[0] rs1
     /*  181287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181299 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  181304 */     GIR_RootConstrainSelectedInstOperands,
     /*  181305 */     // GIR_Coverage, 518,
     /*  181305 */     GIR_Done,
     /*  181306 */   // Label 3484: @181306
     /*  181306 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(181347), // Rule ID 519 //
     /*  181311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181328 */     // MIs[0] rs1
     /*  181328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181340 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181345 */     GIR_RootConstrainSelectedInstOperands,
     /*  181346 */     // GIR_Coverage, 519,
     /*  181346 */     GIR_Done,
     /*  181347 */   // Label 3485: @181347
     /*  181347 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(181388), // Rule ID 520 //
     /*  181352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181369 */     // MIs[0] rs1
     /*  181369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181381 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181386 */     GIR_RootConstrainSelectedInstOperands,
     /*  181387 */     // GIR_Coverage, 520,
     /*  181387 */     GIR_Done,
     /*  181388 */   // Label 3486: @181388
     /*  181388 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(181429), // Rule ID 521 //
     /*  181393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181410 */     // MIs[0] rs1
     /*  181410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181422 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181427 */     GIR_RootConstrainSelectedInstOperands,
     /*  181428 */     // GIR_Coverage, 521,
     /*  181428 */     GIR_Done,
     /*  181429 */   // Label 3487: @181429
     /*  181429 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(181470), // Rule ID 522 //
     /*  181434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181451 */     // MIs[0] rs1
     /*  181451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181463 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181468 */     GIR_RootConstrainSelectedInstOperands,
     /*  181469 */     // GIR_Coverage, 522,
     /*  181469 */     GIR_Done,
     /*  181470 */   // Label 3488: @181470
     /*  181470 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(181511), // Rule ID 523 //
     /*  181475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181492 */     // MIs[0] rs1
     /*  181492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181504 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  181509 */     GIR_RootConstrainSelectedInstOperands,
     /*  181510 */     // GIR_Coverage, 523,
     /*  181510 */     GIR_Done,
     /*  181511 */   // Label 3489: @181511
     /*  181511 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181552), // Rule ID 682 //
     /*  181516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181533 */     // MIs[0] rs1
     /*  181533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181545 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181550 */     GIR_RootConstrainSelectedInstOperands,
     /*  181551 */     // GIR_Coverage, 682,
     /*  181551 */     GIR_Done,
     /*  181552 */   // Label 3490: @181552
     /*  181552 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181593), // Rule ID 684 //
     /*  181557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181574 */     // MIs[0] rs1
     /*  181574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181586 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  181591 */     GIR_RootConstrainSelectedInstOperands,
     /*  181592 */     // GIR_Coverage, 684,
     /*  181592 */     GIR_Done,
     /*  181593 */   // Label 3491: @181593
     /*  181593 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181634), // Rule ID 686 //
     /*  181598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181615 */     // MIs[0] rs1
     /*  181615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181627 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  181632 */     GIR_RootConstrainSelectedInstOperands,
     /*  181633 */     // GIR_Coverage, 686,
     /*  181633 */     GIR_Done,
     /*  181634 */   // Label 3492: @181634
     /*  181634 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181675), // Rule ID 688 //
     /*  181639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181656 */     // MIs[0] rs1
     /*  181656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181668 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181673 */     GIR_RootConstrainSelectedInstOperands,
     /*  181674 */     // GIR_Coverage, 688,
     /*  181674 */     GIR_Done,
     /*  181675 */   // Label 3493: @181675
     /*  181675 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181716), // Rule ID 690 //
     /*  181680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181697 */     // MIs[0] rs1
     /*  181697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181709 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  181714 */     GIR_RootConstrainSelectedInstOperands,
     /*  181715 */     // GIR_Coverage, 690,
     /*  181715 */     GIR_Done,
     /*  181716 */   // Label 3494: @181716
     /*  181716 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(181757), // Rule ID 692 //
     /*  181721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181738 */     // MIs[0] rs1
     /*  181738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181750 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181755 */     GIR_RootConstrainSelectedInstOperands,
     /*  181756 */     // GIR_Coverage, 692,
     /*  181756 */     GIR_Done,
     /*  181757 */   // Label 3495: @181757
     /*  181757 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(181798), // Rule ID 694 //
     /*  181762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181779 */     // MIs[0] rs1
     /*  181779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181791 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181796 */     GIR_RootConstrainSelectedInstOperands,
     /*  181797 */     // GIR_Coverage, 694,
     /*  181797 */     GIR_Done,
     /*  181798 */   // Label 3496: @181798
     /*  181798 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(181839), // Rule ID 696 //
     /*  181803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181820 */     // MIs[0] rs1
     /*  181820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181832 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181837 */     GIR_RootConstrainSelectedInstOperands,
     /*  181838 */     // GIR_Coverage, 696,
     /*  181838 */     GIR_Done,
     /*  181839 */   // Label 3497: @181839
     /*  181839 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(181880), // Rule ID 698 //
     /*  181844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181861 */     // MIs[0] rs1
     /*  181861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181873 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181878 */     GIR_RootConstrainSelectedInstOperands,
     /*  181879 */     // GIR_Coverage, 698,
     /*  181879 */     GIR_Done,
     /*  181880 */   // Label 3498: @181880
     /*  181880 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(181921), // Rule ID 700 //
     /*  181885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181902 */     // MIs[0] rs1
     /*  181902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181914 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  181919 */     GIR_RootConstrainSelectedInstOperands,
     /*  181920 */     // GIR_Coverage, 700,
     /*  181920 */     GIR_Done,
     /*  181921 */   // Label 3499: @181921
     /*  181921 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(181962), // Rule ID 862 //
     /*  181926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181943 */     // MIs[0] rs1
     /*  181943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181955 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181960 */     GIR_RootConstrainSelectedInstOperands,
     /*  181961 */     // GIR_Coverage, 862,
     /*  181961 */     GIR_Done,
     /*  181962 */   // Label 3500: @181962
     /*  181962 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(182003), // Rule ID 864 //
     /*  181967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181984 */     // MIs[0] rs1
     /*  181984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181996 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  182001 */     GIR_RootConstrainSelectedInstOperands,
     /*  182002 */     // GIR_Coverage, 864,
     /*  182002 */     GIR_Done,
     /*  182003 */   // Label 3501: @182003
     /*  182003 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(182044), // Rule ID 866 //
     /*  182008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182025 */     // MIs[0] rs1
     /*  182025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182037 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  182042 */     GIR_RootConstrainSelectedInstOperands,
     /*  182043 */     // GIR_Coverage, 866,
     /*  182043 */     GIR_Done,
     /*  182044 */   // Label 3502: @182044
     /*  182044 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(182085), // Rule ID 868 //
     /*  182049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182066 */     // MIs[0] rs1
     /*  182066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182078 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182083 */     GIR_RootConstrainSelectedInstOperands,
     /*  182084 */     // GIR_Coverage, 868,
     /*  182084 */     GIR_Done,
     /*  182085 */   // Label 3503: @182085
     /*  182085 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(182126), // Rule ID 870 //
     /*  182090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182107 */     // MIs[0] rs1
     /*  182107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182119 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  182124 */     GIR_RootConstrainSelectedInstOperands,
     /*  182125 */     // GIR_Coverage, 870,
     /*  182125 */     GIR_Done,
     /*  182126 */   // Label 3504: @182126
     /*  182126 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(182167), // Rule ID 872 //
     /*  182131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182134 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182141 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182148 */     // MIs[0] rs1
     /*  182148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182160 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182165 */     GIR_RootConstrainSelectedInstOperands,
     /*  182166 */     // GIR_Coverage, 872,
     /*  182166 */     GIR_Done,
     /*  182167 */   // Label 3505: @182167
     /*  182167 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(182208), // Rule ID 874 //
     /*  182172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182175 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182189 */     // MIs[0] rs1
     /*  182189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182201 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182206 */     GIR_RootConstrainSelectedInstOperands,
     /*  182207 */     // GIR_Coverage, 874,
     /*  182207 */     GIR_Done,
     /*  182208 */   // Label 3506: @182208
     /*  182208 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(182249), // Rule ID 876 //
     /*  182213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182230 */     // MIs[0] rs1
     /*  182230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182242 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182247 */     GIR_RootConstrainSelectedInstOperands,
     /*  182248 */     // GIR_Coverage, 876,
     /*  182248 */     GIR_Done,
     /*  182249 */   // Label 3507: @182249
     /*  182249 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(182290), // Rule ID 878 //
     /*  182254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182271 */     // MIs[0] rs1
     /*  182271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182283 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182288 */     GIR_RootConstrainSelectedInstOperands,
     /*  182289 */     // GIR_Coverage, 878,
     /*  182289 */     GIR_Done,
     /*  182290 */   // Label 3508: @182290
     /*  182290 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(182331), // Rule ID 880 //
     /*  182295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182298 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182305 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182312 */     // MIs[0] rs1
     /*  182312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182324 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  182329 */     GIR_RootConstrainSelectedInstOperands,
     /*  182330 */     // GIR_Coverage, 880,
     /*  182330 */     GIR_Done,
     /*  182331 */   // Label 3509: @182331
     /*  182331 */   GIM_Reject,
     /*  182332 */ // Label 3469: @182332
     /*  182332 */ GIM_Reject,
     /*  182333 */ // Label 3437: @182333
     /*  182333 */ GIM_Reject,
     /*  182334 */ // Label 27: @182334
     /*  182334 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3512*/ GIMT_Encode4(185243),
     /*  182345 */ /*GILLT_s32*//*Label 3510*/ GIMT_Encode4(182353),
     /*  182349 */ /*GILLT_s64*//*Label 3511*/ GIMT_Encode4(183593),
     /*  182353 */ // Label 3510: @182353
     /*  182353 */ GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(183592),
     /*  182358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  182361 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(182402), // Rule ID 355 //
     /*  182366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182383 */     // MIs[0] rs1
     /*  182383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182395 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182400 */     GIR_RootConstrainSelectedInstOperands,
     /*  182401 */     // GIR_Coverage, 355,
     /*  182401 */     GIR_Done,
     /*  182402 */   // Label 3514: @182402
     /*  182402 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(182443), // Rule ID 357 //
     /*  182407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182424 */     // MIs[0] rs1
     /*  182424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182436 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  182441 */     GIR_RootConstrainSelectedInstOperands,
     /*  182442 */     // GIR_Coverage, 357,
     /*  182442 */     GIR_Done,
     /*  182443 */   // Label 3515: @182443
     /*  182443 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(182484), // Rule ID 359 //
     /*  182448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182465 */     // MIs[0] rs1
     /*  182465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182477 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  182482 */     GIR_RootConstrainSelectedInstOperands,
     /*  182483 */     // GIR_Coverage, 359,
     /*  182483 */     GIR_Done,
     /*  182484 */   // Label 3516: @182484
     /*  182484 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(182525), // Rule ID 361 //
     /*  182489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182506 */     // MIs[0] rs1
     /*  182506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182518 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182523 */     GIR_RootConstrainSelectedInstOperands,
     /*  182524 */     // GIR_Coverage, 361,
     /*  182524 */     GIR_Done,
     /*  182525 */   // Label 3517: @182525
     /*  182525 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182566), // Rule ID 363 //
     /*  182530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  182533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182547 */     // MIs[0] rs1
     /*  182547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182559 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182564 */     GIR_RootConstrainSelectedInstOperands,
     /*  182565 */     // GIR_Coverage, 363,
     /*  182565 */     GIR_Done,
     /*  182566 */   // Label 3518: @182566
     /*  182566 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182607), // Rule ID 365 //
     /*  182571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182588 */     // MIs[0] rs1
     /*  182588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182600 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182605 */     GIR_RootConstrainSelectedInstOperands,
     /*  182606 */     // GIR_Coverage, 365,
     /*  182606 */     GIR_Done,
     /*  182607 */   // Label 3519: @182607
     /*  182607 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(182648), // Rule ID 367 //
     /*  182612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182629 */     // MIs[0] rs1
     /*  182629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182641 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182646 */     GIR_RootConstrainSelectedInstOperands,
     /*  182647 */     // GIR_Coverage, 367,
     /*  182647 */     GIR_Done,
     /*  182648 */   // Label 3520: @182648
     /*  182648 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182689), // Rule ID 369 //
     /*  182653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182670 */     // MIs[0] rs1
     /*  182670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182682 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182687 */     GIR_RootConstrainSelectedInstOperands,
     /*  182688 */     // GIR_Coverage, 369,
     /*  182688 */     GIR_Done,
     /*  182689 */   // Label 3521: @182689
     /*  182689 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(182730), // Rule ID 371 //
     /*  182694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182697 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182711 */     // MIs[0] rs1
     /*  182711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182723 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182728 */     GIR_RootConstrainSelectedInstOperands,
     /*  182729 */     // GIR_Coverage, 371,
     /*  182729 */     GIR_Done,
     /*  182730 */   // Label 3522: @182730
     /*  182730 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(182771), // Rule ID 373 //
     /*  182735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  182738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182752 */     // MIs[0] rs1
     /*  182752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182764 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182769 */     GIR_RootConstrainSelectedInstOperands,
     /*  182770 */     // GIR_Coverage, 373,
     /*  182770 */     GIR_Done,
     /*  182771 */   // Label 3523: @182771
     /*  182771 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(182812), // Rule ID 703 //
     /*  182776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182793 */     // MIs[0] rs1
     /*  182793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182805 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  182810 */     GIR_RootConstrainSelectedInstOperands,
     /*  182811 */     // GIR_Coverage, 703,
     /*  182811 */     GIR_Done,
     /*  182812 */   // Label 3524: @182812
     /*  182812 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(182853), // Rule ID 705 //
     /*  182817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182834 */     // MIs[0] rs1
     /*  182834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182846 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  182851 */     GIR_RootConstrainSelectedInstOperands,
     /*  182852 */     // GIR_Coverage, 705,
     /*  182852 */     GIR_Done,
     /*  182853 */   // Label 3525: @182853
     /*  182853 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(182894), // Rule ID 707 //
     /*  182858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182875 */     // MIs[0] rs1
     /*  182875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182887 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  182892 */     GIR_RootConstrainSelectedInstOperands,
     /*  182893 */     // GIR_Coverage, 707,
     /*  182893 */     GIR_Done,
     /*  182894 */   // Label 3526: @182894
     /*  182894 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(182935), // Rule ID 709 //
     /*  182899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182916 */     // MIs[0] rs1
     /*  182916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182928 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  182933 */     GIR_RootConstrainSelectedInstOperands,
     /*  182934 */     // GIR_Coverage, 709,
     /*  182934 */     GIR_Done,
     /*  182935 */   // Label 3527: @182935
     /*  182935 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(182976), // Rule ID 711 //
     /*  182940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182957 */     // MIs[0] rs1
     /*  182957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182969 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  182974 */     GIR_RootConstrainSelectedInstOperands,
     /*  182975 */     // GIR_Coverage, 711,
     /*  182975 */     GIR_Done,
     /*  182976 */   // Label 3528: @182976
     /*  182976 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(183017), // Rule ID 713 //
     /*  182981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182998 */     // MIs[0] rs1
     /*  182998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183010 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183015 */     GIR_RootConstrainSelectedInstOperands,
     /*  183016 */     // GIR_Coverage, 713,
     /*  183016 */     GIR_Done,
     /*  183017 */   // Label 3529: @183017
     /*  183017 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(183058), // Rule ID 715 //
     /*  183022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183039 */     // MIs[0] rs1
     /*  183039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183051 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183056 */     GIR_RootConstrainSelectedInstOperands,
     /*  183057 */     // GIR_Coverage, 715,
     /*  183057 */     GIR_Done,
     /*  183058 */   // Label 3530: @183058
     /*  183058 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(183099), // Rule ID 717 //
     /*  183063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183080 */     // MIs[0] rs1
     /*  183080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183092 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183097 */     GIR_RootConstrainSelectedInstOperands,
     /*  183098 */     // GIR_Coverage, 717,
     /*  183098 */     GIR_Done,
     /*  183099 */   // Label 3531: @183099
     /*  183099 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(183140), // Rule ID 719 //
     /*  183104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183121 */     // MIs[0] rs1
     /*  183121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183133 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183138 */     GIR_RootConstrainSelectedInstOperands,
     /*  183139 */     // GIR_Coverage, 719,
     /*  183139 */     GIR_Done,
     /*  183140 */   // Label 3532: @183140
     /*  183140 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(183181), // Rule ID 721 //
     /*  183145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183148 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183162 */     // MIs[0] rs1
     /*  183162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183174 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183179 */     GIR_RootConstrainSelectedInstOperands,
     /*  183180 */     // GIR_Coverage, 721,
     /*  183180 */     GIR_Done,
     /*  183181 */   // Label 3533: @183181
     /*  183181 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(183222), // Rule ID 883 //
     /*  183186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183189 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183203 */     // MIs[0] rs1
     /*  183203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183215 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183220 */     GIR_RootConstrainSelectedInstOperands,
     /*  183221 */     // GIR_Coverage, 883,
     /*  183221 */     GIR_Done,
     /*  183222 */   // Label 3534: @183222
     /*  183222 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(183263), // Rule ID 885 //
     /*  183227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183244 */     // MIs[0] rs1
     /*  183244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183256 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  183261 */     GIR_RootConstrainSelectedInstOperands,
     /*  183262 */     // GIR_Coverage, 885,
     /*  183262 */     GIR_Done,
     /*  183263 */   // Label 3535: @183263
     /*  183263 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(183304), // Rule ID 887 //
     /*  183268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183285 */     // MIs[0] rs1
     /*  183285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183297 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  183302 */     GIR_RootConstrainSelectedInstOperands,
     /*  183303 */     // GIR_Coverage, 887,
     /*  183303 */     GIR_Done,
     /*  183304 */   // Label 3536: @183304
     /*  183304 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(183345), // Rule ID 889 //
     /*  183309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183326 */     // MIs[0] rs1
     /*  183326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183338 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183343 */     GIR_RootConstrainSelectedInstOperands,
     /*  183344 */     // GIR_Coverage, 889,
     /*  183344 */     GIR_Done,
     /*  183345 */   // Label 3537: @183345
     /*  183345 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(183386), // Rule ID 891 //
     /*  183350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183353 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183360 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183367 */     // MIs[0] rs1
     /*  183367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183379 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183384 */     GIR_RootConstrainSelectedInstOperands,
     /*  183385 */     // GIR_Coverage, 891,
     /*  183385 */     GIR_Done,
     /*  183386 */   // Label 3538: @183386
     /*  183386 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(183427), // Rule ID 893 //
     /*  183391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183408 */     // MIs[0] rs1
     /*  183408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183420 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183425 */     GIR_RootConstrainSelectedInstOperands,
     /*  183426 */     // GIR_Coverage, 893,
     /*  183426 */     GIR_Done,
     /*  183427 */   // Label 3539: @183427
     /*  183427 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183468), // Rule ID 895 //
     /*  183432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183449 */     // MIs[0] rs1
     /*  183449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183461 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183466 */     GIR_RootConstrainSelectedInstOperands,
     /*  183467 */     // GIR_Coverage, 895,
     /*  183467 */     GIR_Done,
     /*  183468 */   // Label 3540: @183468
     /*  183468 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183509), // Rule ID 897 //
     /*  183473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183476 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183483 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183490 */     // MIs[0] rs1
     /*  183490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183502 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183507 */     GIR_RootConstrainSelectedInstOperands,
     /*  183508 */     // GIR_Coverage, 897,
     /*  183508 */     GIR_Done,
     /*  183509 */   // Label 3541: @183509
     /*  183509 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183550), // Rule ID 899 //
     /*  183514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183517 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183524 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183531 */     // MIs[0] rs1
     /*  183531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183543 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183543 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183548 */     GIR_RootConstrainSelectedInstOperands,
     /*  183549 */     // GIR_Coverage, 899,
     /*  183549 */     GIR_Done,
     /*  183550 */   // Label 3542: @183550
     /*  183550 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183591), // Rule ID 901 //
     /*  183555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183558 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183565 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183572 */     // MIs[0] rs1
     /*  183572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183584 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183589 */     GIR_RootConstrainSelectedInstOperands,
     /*  183590 */     // GIR_Coverage, 901,
     /*  183590 */     GIR_Done,
     /*  183591 */   // Label 3543: @183591
     /*  183591 */   GIM_Reject,
     /*  183592 */ // Label 3513: @183592
     /*  183592 */ GIM_Reject,
     /*  183593 */ // Label 3511: @183593
     /*  183593 */ GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(185242),
     /*  183598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  183601 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183642), // Rule ID 354 //
     /*  183606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183623 */     // MIs[0] rs1
     /*  183623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183635 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183640 */     GIR_RootConstrainSelectedInstOperands,
     /*  183641 */     // GIR_Coverage, 354,
     /*  183641 */     GIR_Done,
     /*  183642 */   // Label 3545: @183642
     /*  183642 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183683), // Rule ID 356 //
     /*  183647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183664 */     // MIs[0] rs1
     /*  183664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183676 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  183681 */     GIR_RootConstrainSelectedInstOperands,
     /*  183682 */     // GIR_Coverage, 356,
     /*  183682 */     GIR_Done,
     /*  183683 */   // Label 3546: @183683
     /*  183683 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(183724), // Rule ID 358 //
     /*  183688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183705 */     // MIs[0] rs1
     /*  183705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183717 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  183722 */     GIR_RootConstrainSelectedInstOperands,
     /*  183723 */     // GIR_Coverage, 358,
     /*  183723 */     GIR_Done,
     /*  183724 */   // Label 3547: @183724
     /*  183724 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(183765), // Rule ID 360 //
     /*  183729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183746 */     // MIs[0] rs1
     /*  183746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183758 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183763 */     GIR_RootConstrainSelectedInstOperands,
     /*  183764 */     // GIR_Coverage, 360,
     /*  183764 */     GIR_Done,
     /*  183765 */   // Label 3548: @183765
     /*  183765 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(183806), // Rule ID 362 //
     /*  183770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  183773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183787 */     // MIs[0] rs1
     /*  183787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183799 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  183804 */     GIR_RootConstrainSelectedInstOperands,
     /*  183805 */     // GIR_Coverage, 362,
     /*  183805 */     GIR_Done,
     /*  183806 */   // Label 3549: @183806
     /*  183806 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(183847), // Rule ID 364 //
     /*  183811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183828 */     // MIs[0] rs1
     /*  183828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183840 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183845 */     GIR_RootConstrainSelectedInstOperands,
     /*  183846 */     // GIR_Coverage, 364,
     /*  183846 */     GIR_Done,
     /*  183847 */   // Label 3550: @183847
     /*  183847 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(183888), // Rule ID 366 //
     /*  183852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183869 */     // MIs[0] rs1
     /*  183869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183881 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183886 */     GIR_RootConstrainSelectedInstOperands,
     /*  183887 */     // GIR_Coverage, 366,
     /*  183887 */     GIR_Done,
     /*  183888 */   // Label 3551: @183888
     /*  183888 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(183929), // Rule ID 368 //
     /*  183893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183910 */     // MIs[0] rs1
     /*  183910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183922 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183927 */     GIR_RootConstrainSelectedInstOperands,
     /*  183928 */     // GIR_Coverage, 368,
     /*  183928 */     GIR_Done,
     /*  183929 */   // Label 3552: @183929
     /*  183929 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(183970), // Rule ID 370 //
     /*  183934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183951 */     // MIs[0] rs1
     /*  183951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183963 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  183968 */     GIR_RootConstrainSelectedInstOperands,
     /*  183969 */     // GIR_Coverage, 370,
     /*  183969 */     GIR_Done,
     /*  183970 */   // Label 3553: @183970
     /*  183970 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(184011), // Rule ID 372 //
     /*  183975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  183978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183992 */     // MIs[0] rs1
     /*  183992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184004 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  184009 */     GIR_RootConstrainSelectedInstOperands,
     /*  184010 */     // GIR_Coverage, 372,
     /*  184010 */     GIR_Done,
     /*  184011 */   // Label 3554: @184011
     /*  184011 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(184052), // Rule ID 524 //
     /*  184016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184033 */     // MIs[0] rs1
     /*  184033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184045 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184050 */     GIR_RootConstrainSelectedInstOperands,
     /*  184051 */     // GIR_Coverage, 524,
     /*  184051 */     GIR_Done,
     /*  184052 */   // Label 3555: @184052
     /*  184052 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(184093), // Rule ID 525 //
     /*  184057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184074 */     // MIs[0] rs1
     /*  184074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184086 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  184091 */     GIR_RootConstrainSelectedInstOperands,
     /*  184092 */     // GIR_Coverage, 525,
     /*  184092 */     GIR_Done,
     /*  184093 */   // Label 3556: @184093
     /*  184093 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(184134), // Rule ID 526 //
     /*  184098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184115 */     // MIs[0] rs1
     /*  184115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184127 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  184132 */     GIR_RootConstrainSelectedInstOperands,
     /*  184133 */     // GIR_Coverage, 526,
     /*  184133 */     GIR_Done,
     /*  184134 */   // Label 3557: @184134
     /*  184134 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(184175), // Rule ID 527 //
     /*  184139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184156 */     // MIs[0] rs1
     /*  184156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184168 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184173 */     GIR_RootConstrainSelectedInstOperands,
     /*  184174 */     // GIR_Coverage, 527,
     /*  184174 */     GIR_Done,
     /*  184175 */   // Label 3558: @184175
     /*  184175 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(184216), // Rule ID 528 //
     /*  184180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184197 */     // MIs[0] rs1
     /*  184197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184209 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  184214 */     GIR_RootConstrainSelectedInstOperands,
     /*  184215 */     // GIR_Coverage, 528,
     /*  184215 */     GIR_Done,
     /*  184216 */   // Label 3559: @184216
     /*  184216 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(184257), // Rule ID 529 //
     /*  184221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184238 */     // MIs[0] rs1
     /*  184238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184250 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184255 */     GIR_RootConstrainSelectedInstOperands,
     /*  184256 */     // GIR_Coverage, 529,
     /*  184256 */     GIR_Done,
     /*  184257 */   // Label 3560: @184257
     /*  184257 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(184298), // Rule ID 530 //
     /*  184262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184279 */     // MIs[0] rs1
     /*  184279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184291 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184296 */     GIR_RootConstrainSelectedInstOperands,
     /*  184297 */     // GIR_Coverage, 530,
     /*  184297 */     GIR_Done,
     /*  184298 */   // Label 3561: @184298
     /*  184298 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(184339), // Rule ID 531 //
     /*  184303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184320 */     // MIs[0] rs1
     /*  184320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184332 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184337 */     GIR_RootConstrainSelectedInstOperands,
     /*  184338 */     // GIR_Coverage, 531,
     /*  184338 */     GIR_Done,
     /*  184339 */   // Label 3562: @184339
     /*  184339 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(184380), // Rule ID 532 //
     /*  184344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184361 */     // MIs[0] rs1
     /*  184361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184373 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184378 */     GIR_RootConstrainSelectedInstOperands,
     /*  184379 */     // GIR_Coverage, 532,
     /*  184379 */     GIR_Done,
     /*  184380 */   // Label 3563: @184380
     /*  184380 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(184421), // Rule ID 533 //
     /*  184385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  184388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184402 */     // MIs[0] rs1
     /*  184402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184414 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  184419 */     GIR_RootConstrainSelectedInstOperands,
     /*  184420 */     // GIR_Coverage, 533,
     /*  184420 */     GIR_Done,
     /*  184421 */   // Label 3564: @184421
     /*  184421 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(184462), // Rule ID 702 //
     /*  184426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184443 */     // MIs[0] rs1
     /*  184443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184455 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184460 */     GIR_RootConstrainSelectedInstOperands,
     /*  184461 */     // GIR_Coverage, 702,
     /*  184461 */     GIR_Done,
     /*  184462 */   // Label 3565: @184462
     /*  184462 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(184503), // Rule ID 704 //
     /*  184467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184484 */     // MIs[0] rs1
     /*  184484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184496 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  184501 */     GIR_RootConstrainSelectedInstOperands,
     /*  184502 */     // GIR_Coverage, 704,
     /*  184502 */     GIR_Done,
     /*  184503 */   // Label 3566: @184503
     /*  184503 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(184544), // Rule ID 706 //
     /*  184508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184525 */     // MIs[0] rs1
     /*  184525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184537 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  184542 */     GIR_RootConstrainSelectedInstOperands,
     /*  184543 */     // GIR_Coverage, 706,
     /*  184543 */     GIR_Done,
     /*  184544 */   // Label 3567: @184544
     /*  184544 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184585), // Rule ID 708 //
     /*  184549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184566 */     // MIs[0] rs1
     /*  184566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184578 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184583 */     GIR_RootConstrainSelectedInstOperands,
     /*  184584 */     // GIR_Coverage, 708,
     /*  184584 */     GIR_Done,
     /*  184585 */   // Label 3568: @184585
     /*  184585 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184626), // Rule ID 710 //
     /*  184590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184607 */     // MIs[0] rs1
     /*  184607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184619 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  184624 */     GIR_RootConstrainSelectedInstOperands,
     /*  184625 */     // GIR_Coverage, 710,
     /*  184625 */     GIR_Done,
     /*  184626 */   // Label 3569: @184626
     /*  184626 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184667), // Rule ID 712 //
     /*  184631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184648 */     // MIs[0] rs1
     /*  184648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184660 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184665 */     GIR_RootConstrainSelectedInstOperands,
     /*  184666 */     // GIR_Coverage, 712,
     /*  184666 */     GIR_Done,
     /*  184667 */   // Label 3570: @184667
     /*  184667 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184708), // Rule ID 714 //
     /*  184672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184689 */     // MIs[0] rs1
     /*  184689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184701 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184706 */     GIR_RootConstrainSelectedInstOperands,
     /*  184707 */     // GIR_Coverage, 714,
     /*  184707 */     GIR_Done,
     /*  184708 */   // Label 3571: @184708
     /*  184708 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(184749), // Rule ID 716 //
     /*  184713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184730 */     // MIs[0] rs1
     /*  184730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184742 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184747 */     GIR_RootConstrainSelectedInstOperands,
     /*  184748 */     // GIR_Coverage, 716,
     /*  184748 */     GIR_Done,
     /*  184749 */   // Label 3572: @184749
     /*  184749 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184790), // Rule ID 718 //
     /*  184754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184771 */     // MIs[0] rs1
     /*  184771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184783 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184788 */     GIR_RootConstrainSelectedInstOperands,
     /*  184789 */     // GIR_Coverage, 718,
     /*  184789 */     GIR_Done,
     /*  184790 */   // Label 3573: @184790
     /*  184790 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184831), // Rule ID 720 //
     /*  184795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184812 */     // MIs[0] rs1
     /*  184812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184824 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  184829 */     GIR_RootConstrainSelectedInstOperands,
     /*  184830 */     // GIR_Coverage, 720,
     /*  184830 */     GIR_Done,
     /*  184831 */   // Label 3574: @184831
     /*  184831 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184872), // Rule ID 882 //
     /*  184836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184853 */     // MIs[0] rs1
     /*  184853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184865 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184870 */     GIR_RootConstrainSelectedInstOperands,
     /*  184871 */     // GIR_Coverage, 882,
     /*  184871 */     GIR_Done,
     /*  184872 */   // Label 3575: @184872
     /*  184872 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184913), // Rule ID 884 //
     /*  184877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184894 */     // MIs[0] rs1
     /*  184894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184906 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  184911 */     GIR_RootConstrainSelectedInstOperands,
     /*  184912 */     // GIR_Coverage, 884,
     /*  184912 */     GIR_Done,
     /*  184913 */   // Label 3576: @184913
     /*  184913 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(184954), // Rule ID 886 //
     /*  184918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184935 */     // MIs[0] rs1
     /*  184935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184947 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  184952 */     GIR_RootConstrainSelectedInstOperands,
     /*  184953 */     // GIR_Coverage, 886,
     /*  184953 */     GIR_Done,
     /*  184954 */   // Label 3577: @184954
     /*  184954 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(184995), // Rule ID 888 //
     /*  184959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  184962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184976 */     // MIs[0] rs1
     /*  184976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184988 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  184993 */     GIR_RootConstrainSelectedInstOperands,
     /*  184994 */     // GIR_Coverage, 888,
     /*  184994 */     GIR_Done,
     /*  184995 */   // Label 3578: @184995
     /*  184995 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(185036), // Rule ID 890 //
     /*  185000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185017 */     // MIs[0] rs1
     /*  185017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185029 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  185034 */     GIR_RootConstrainSelectedInstOperands,
     /*  185035 */     // GIR_Coverage, 890,
     /*  185035 */     GIR_Done,
     /*  185036 */   // Label 3579: @185036
     /*  185036 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(185077), // Rule ID 892 //
     /*  185041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185058 */     // MIs[0] rs1
     /*  185058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185070 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185075 */     GIR_RootConstrainSelectedInstOperands,
     /*  185076 */     // GIR_Coverage, 892,
     /*  185076 */     GIR_Done,
     /*  185077 */   // Label 3580: @185077
     /*  185077 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(185118), // Rule ID 894 //
     /*  185082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185099 */     // MIs[0] rs1
     /*  185099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185111 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185116 */     GIR_RootConstrainSelectedInstOperands,
     /*  185117 */     // GIR_Coverage, 894,
     /*  185117 */     GIR_Done,
     /*  185118 */   // Label 3581: @185118
     /*  185118 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(185159), // Rule ID 896 //
     /*  185123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185140 */     // MIs[0] rs1
     /*  185140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185152 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185157 */     GIR_RootConstrainSelectedInstOperands,
     /*  185158 */     // GIR_Coverage, 896,
     /*  185158 */     GIR_Done,
     /*  185159 */   // Label 3582: @185159
     /*  185159 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(185200), // Rule ID 898 //
     /*  185164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185181 */     // MIs[0] rs1
     /*  185181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185193 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185198 */     GIR_RootConstrainSelectedInstOperands,
     /*  185199 */     // GIR_Coverage, 898,
     /*  185199 */     GIR_Done,
     /*  185200 */   // Label 3583: @185200
     /*  185200 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(185241), // Rule ID 900 //
     /*  185205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185222 */     // MIs[0] rs1
     /*  185222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185234 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  185239 */     GIR_RootConstrainSelectedInstOperands,
     /*  185240 */     // GIR_Coverage, 900,
     /*  185240 */     GIR_Done,
     /*  185241 */   // Label 3584: @185241
     /*  185241 */   GIM_Reject,
     /*  185242 */ // Label 3544: @185242
     /*  185242 */ GIM_Reject,
     /*  185243 */ // Label 3512: @185243
     /*  185243 */ GIM_Reject,
     /*  185244 */ // Label 28: @185244
     /*  185244 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3587*/ GIMT_Encode4(188153),
     /*  185255 */ /*GILLT_s32*//*Label 3585*/ GIMT_Encode4(185263),
     /*  185259 */ /*GILLT_s64*//*Label 3586*/ GIMT_Encode4(186503),
     /*  185263 */ // Label 3585: @185263
     /*  185263 */ GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(186502),
     /*  185268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  185271 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(185312), // Rule ID 375 //
     /*  185276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185293 */     // MIs[0] rs1
     /*  185293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185305 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185310 */     GIR_RootConstrainSelectedInstOperands,
     /*  185311 */     // GIR_Coverage, 375,
     /*  185311 */     GIR_Done,
     /*  185312 */   // Label 3589: @185312
     /*  185312 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(185353), // Rule ID 377 //
     /*  185317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185334 */     // MIs[0] rs1
     /*  185334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185346 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  185351 */     GIR_RootConstrainSelectedInstOperands,
     /*  185352 */     // GIR_Coverage, 377,
     /*  185352 */     GIR_Done,
     /*  185353 */   // Label 3590: @185353
     /*  185353 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(185394), // Rule ID 379 //
     /*  185358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185375 */     // MIs[0] rs1
     /*  185375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185387 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  185392 */     GIR_RootConstrainSelectedInstOperands,
     /*  185393 */     // GIR_Coverage, 379,
     /*  185393 */     GIR_Done,
     /*  185394 */   // Label 3591: @185394
     /*  185394 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(185435), // Rule ID 381 //
     /*  185399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185416 */     // MIs[0] rs1
     /*  185416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185428 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185433 */     GIR_RootConstrainSelectedInstOperands,
     /*  185434 */     // GIR_Coverage, 381,
     /*  185434 */     GIR_Done,
     /*  185435 */   // Label 3592: @185435
     /*  185435 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185476), // Rule ID 383 //
     /*  185440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  185443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185457 */     // MIs[0] rs1
     /*  185457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185469 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185474 */     GIR_RootConstrainSelectedInstOperands,
     /*  185475 */     // GIR_Coverage, 383,
     /*  185475 */     GIR_Done,
     /*  185476 */   // Label 3593: @185476
     /*  185476 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185517), // Rule ID 385 //
     /*  185481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185498 */     // MIs[0] rs1
     /*  185498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185510 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185515 */     GIR_RootConstrainSelectedInstOperands,
     /*  185516 */     // GIR_Coverage, 385,
     /*  185516 */     GIR_Done,
     /*  185517 */   // Label 3594: @185517
     /*  185517 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(185558), // Rule ID 387 //
     /*  185522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185539 */     // MIs[0] rs1
     /*  185539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185551 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185556 */     GIR_RootConstrainSelectedInstOperands,
     /*  185557 */     // GIR_Coverage, 387,
     /*  185557 */     GIR_Done,
     /*  185558 */   // Label 3595: @185558
     /*  185558 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185599), // Rule ID 389 //
     /*  185563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185580 */     // MIs[0] rs1
     /*  185580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185592 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185597 */     GIR_RootConstrainSelectedInstOperands,
     /*  185598 */     // GIR_Coverage, 389,
     /*  185598 */     GIR_Done,
     /*  185599 */   // Label 3596: @185599
     /*  185599 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185640), // Rule ID 391 //
     /*  185604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185607 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185614 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185621 */     // MIs[0] rs1
     /*  185621 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185633 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185638 */     GIR_RootConstrainSelectedInstOperands,
     /*  185639 */     // GIR_Coverage, 391,
     /*  185639 */     GIR_Done,
     /*  185640 */   // Label 3597: @185640
     /*  185640 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185681), // Rule ID 393 //
     /*  185645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185662 */     // MIs[0] rs1
     /*  185662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185674 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185679 */     GIR_RootConstrainSelectedInstOperands,
     /*  185680 */     // GIR_Coverage, 393,
     /*  185680 */     GIR_Done,
     /*  185681 */   // Label 3598: @185681
     /*  185681 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185722), // Rule ID 723 //
     /*  185686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185689 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185696 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185703 */     // MIs[0] rs1
     /*  185703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185715 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185715 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  185720 */     GIR_RootConstrainSelectedInstOperands,
     /*  185721 */     // GIR_Coverage, 723,
     /*  185721 */     GIR_Done,
     /*  185722 */   // Label 3599: @185722
     /*  185722 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185763), // Rule ID 725 //
     /*  185727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185730 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185737 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185744 */     // MIs[0] rs1
     /*  185744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185756 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185756 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  185761 */     GIR_RootConstrainSelectedInstOperands,
     /*  185762 */     // GIR_Coverage, 725,
     /*  185762 */     GIR_Done,
     /*  185763 */   // Label 3600: @185763
     /*  185763 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185804), // Rule ID 727 //
     /*  185768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185785 */     // MIs[0] rs1
     /*  185785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185797 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185797 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  185802 */     GIR_RootConstrainSelectedInstOperands,
     /*  185803 */     // GIR_Coverage, 727,
     /*  185803 */     GIR_Done,
     /*  185804 */   // Label 3601: @185804
     /*  185804 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185845), // Rule ID 729 //
     /*  185809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185826 */     // MIs[0] rs1
     /*  185826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185838 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185838 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  185843 */     GIR_RootConstrainSelectedInstOperands,
     /*  185844 */     // GIR_Coverage, 729,
     /*  185844 */     GIR_Done,
     /*  185845 */   // Label 3602: @185845
     /*  185845 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185886), // Rule ID 731 //
     /*  185850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185867 */     // MIs[0] rs1
     /*  185867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185879 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  185884 */     GIR_RootConstrainSelectedInstOperands,
     /*  185885 */     // GIR_Coverage, 731,
     /*  185885 */     GIR_Done,
     /*  185886 */   // Label 3603: @185886
     /*  185886 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185927), // Rule ID 733 //
     /*  185891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185894 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185901 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185908 */     // MIs[0] rs1
     /*  185908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185920 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185920 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  185925 */     GIR_RootConstrainSelectedInstOperands,
     /*  185926 */     // GIR_Coverage, 733,
     /*  185926 */     GIR_Done,
     /*  185927 */   // Label 3604: @185927
     /*  185927 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(185968), // Rule ID 735 //
     /*  185932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185935 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185942 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185949 */     // MIs[0] rs1
     /*  185949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185961 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  185966 */     GIR_RootConstrainSelectedInstOperands,
     /*  185967 */     // GIR_Coverage, 735,
     /*  185967 */     GIR_Done,
     /*  185968 */   // Label 3605: @185968
     /*  185968 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(186009), // Rule ID 737 //
     /*  185973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185976 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185983 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185990 */     // MIs[0] rs1
     /*  185990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186002 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186002 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186007 */     GIR_RootConstrainSelectedInstOperands,
     /*  186008 */     // GIR_Coverage, 737,
     /*  186008 */     GIR_Done,
     /*  186009 */   // Label 3606: @186009
     /*  186009 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(186050), // Rule ID 739 //
     /*  186014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186024 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186031 */     // MIs[0] rs1
     /*  186031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186043 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186043 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186048 */     GIR_RootConstrainSelectedInstOperands,
     /*  186049 */     // GIR_Coverage, 739,
     /*  186049 */     GIR_Done,
     /*  186050 */   // Label 3607: @186050
     /*  186050 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(186091), // Rule ID 741 //
     /*  186055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186058 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186065 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186072 */     // MIs[0] rs1
     /*  186072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186084 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186089 */     GIR_RootConstrainSelectedInstOperands,
     /*  186090 */     // GIR_Coverage, 741,
     /*  186090 */     GIR_Done,
     /*  186091 */   // Label 3608: @186091
     /*  186091 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(186132), // Rule ID 903 //
     /*  186096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186113 */     // MIs[0] rs1
     /*  186113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186125 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186125 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186130 */     GIR_RootConstrainSelectedInstOperands,
     /*  186131 */     // GIR_Coverage, 903,
     /*  186131 */     GIR_Done,
     /*  186132 */   // Label 3609: @186132
     /*  186132 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(186173), // Rule ID 905 //
     /*  186137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186140 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186147 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186154 */     // MIs[0] rs1
     /*  186154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186166 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  186171 */     GIR_RootConstrainSelectedInstOperands,
     /*  186172 */     // GIR_Coverage, 905,
     /*  186172 */     GIR_Done,
     /*  186173 */   // Label 3610: @186173
     /*  186173 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(186214), // Rule ID 907 //
     /*  186178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186181 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186195 */     // MIs[0] rs1
     /*  186195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186207 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186207 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  186212 */     GIR_RootConstrainSelectedInstOperands,
     /*  186213 */     // GIR_Coverage, 907,
     /*  186213 */     GIR_Done,
     /*  186214 */   // Label 3611: @186214
     /*  186214 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(186255), // Rule ID 909 //
     /*  186219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186222 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186229 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186236 */     // MIs[0] rs1
     /*  186236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186248 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186253 */     GIR_RootConstrainSelectedInstOperands,
     /*  186254 */     // GIR_Coverage, 909,
     /*  186254 */     GIR_Done,
     /*  186255 */   // Label 3612: @186255
     /*  186255 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(186296), // Rule ID 911 //
     /*  186260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186277 */     // MIs[0] rs1
     /*  186277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186289 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186289 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186294 */     GIR_RootConstrainSelectedInstOperands,
     /*  186295 */     // GIR_Coverage, 911,
     /*  186295 */     GIR_Done,
     /*  186296 */   // Label 3613: @186296
     /*  186296 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(186337), // Rule ID 913 //
     /*  186301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186304 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186311 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186318 */     // MIs[0] rs1
     /*  186318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186330 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186335 */     GIR_RootConstrainSelectedInstOperands,
     /*  186336 */     // GIR_Coverage, 913,
     /*  186336 */     GIR_Done,
     /*  186337 */   // Label 3614: @186337
     /*  186337 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(186378), // Rule ID 915 //
     /*  186342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186345 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186352 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186359 */     // MIs[0] rs1
     /*  186359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186371 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186376 */     GIR_RootConstrainSelectedInstOperands,
     /*  186377 */     // GIR_Coverage, 915,
     /*  186377 */     GIR_Done,
     /*  186378 */   // Label 3615: @186378
     /*  186378 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(186419), // Rule ID 917 //
     /*  186383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186400 */     // MIs[0] rs1
     /*  186400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186412 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186417 */     GIR_RootConstrainSelectedInstOperands,
     /*  186418 */     // GIR_Coverage, 917,
     /*  186418 */     GIR_Done,
     /*  186419 */   // Label 3616: @186419
     /*  186419 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186460), // Rule ID 919 //
     /*  186424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186427 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186434 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186441 */     // MIs[0] rs1
     /*  186441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186453 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186453 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186458 */     GIR_RootConstrainSelectedInstOperands,
     /*  186459 */     // GIR_Coverage, 919,
     /*  186459 */     GIR_Done,
     /*  186460 */   // Label 3617: @186460
     /*  186460 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186501), // Rule ID 921 //
     /*  186465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186482 */     // MIs[0] rs1
     /*  186482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186494 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186499 */     GIR_RootConstrainSelectedInstOperands,
     /*  186500 */     // GIR_Coverage, 921,
     /*  186500 */     GIR_Done,
     /*  186501 */   // Label 3618: @186501
     /*  186501 */   GIM_Reject,
     /*  186502 */ // Label 3588: @186502
     /*  186502 */ GIM_Reject,
     /*  186503 */ // Label 3586: @186503
     /*  186503 */ GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(188152),
     /*  186508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  186511 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186552), // Rule ID 374 //
     /*  186516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186533 */     // MIs[0] rs1
     /*  186533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186545 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186550 */     GIR_RootConstrainSelectedInstOperands,
     /*  186551 */     // GIR_Coverage, 374,
     /*  186551 */     GIR_Done,
     /*  186552 */   // Label 3620: @186552
     /*  186552 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186593), // Rule ID 376 //
     /*  186557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186574 */     // MIs[0] rs1
     /*  186574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186586 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  186591 */     GIR_RootConstrainSelectedInstOperands,
     /*  186592 */     // GIR_Coverage, 376,
     /*  186592 */     GIR_Done,
     /*  186593 */   // Label 3621: @186593
     /*  186593 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186634), // Rule ID 378 //
     /*  186598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186615 */     // MIs[0] rs1
     /*  186615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186627 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  186632 */     GIR_RootConstrainSelectedInstOperands,
     /*  186633 */     // GIR_Coverage, 378,
     /*  186633 */     GIR_Done,
     /*  186634 */   // Label 3622: @186634
     /*  186634 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(186675), // Rule ID 380 //
     /*  186639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186656 */     // MIs[0] rs1
     /*  186656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186668 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186673 */     GIR_RootConstrainSelectedInstOperands,
     /*  186674 */     // GIR_Coverage, 380,
     /*  186674 */     GIR_Done,
     /*  186675 */   // Label 3623: @186675
     /*  186675 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186716), // Rule ID 382 //
     /*  186680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186697 */     // MIs[0] rs1
     /*  186697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186709 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  186714 */     GIR_RootConstrainSelectedInstOperands,
     /*  186715 */     // GIR_Coverage, 382,
     /*  186715 */     GIR_Done,
     /*  186716 */   // Label 3624: @186716
     /*  186716 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186757), // Rule ID 384 //
     /*  186721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186738 */     // MIs[0] rs1
     /*  186738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186750 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186755 */     GIR_RootConstrainSelectedInstOperands,
     /*  186756 */     // GIR_Coverage, 384,
     /*  186756 */     GIR_Done,
     /*  186757 */   // Label 3625: @186757
     /*  186757 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(186798), // Rule ID 386 //
     /*  186762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186779 */     // MIs[0] rs1
     /*  186779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186791 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186796 */     GIR_RootConstrainSelectedInstOperands,
     /*  186797 */     // GIR_Coverage, 386,
     /*  186797 */     GIR_Done,
     /*  186798 */   // Label 3626: @186798
     /*  186798 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(186839), // Rule ID 388 //
     /*  186803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186820 */     // MIs[0] rs1
     /*  186820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186832 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186837 */     GIR_RootConstrainSelectedInstOperands,
     /*  186838 */     // GIR_Coverage, 388,
     /*  186838 */     GIR_Done,
     /*  186839 */   // Label 3627: @186839
     /*  186839 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(186880), // Rule ID 390 //
     /*  186844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186861 */     // MIs[0] rs1
     /*  186861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186873 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186878 */     GIR_RootConstrainSelectedInstOperands,
     /*  186879 */     // GIR_Coverage, 390,
     /*  186879 */     GIR_Done,
     /*  186880 */   // Label 3628: @186880
     /*  186880 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(186921), // Rule ID 392 //
     /*  186885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186902 */     // MIs[0] rs1
     /*  186902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186914 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  186919 */     GIR_RootConstrainSelectedInstOperands,
     /*  186920 */     // GIR_Coverage, 392,
     /*  186920 */     GIR_Done,
     /*  186921 */   // Label 3629: @186921
     /*  186921 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(186962), // Rule ID 534 //
     /*  186926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186943 */     // MIs[0] rs1
     /*  186943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186955 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  186960 */     GIR_RootConstrainSelectedInstOperands,
     /*  186961 */     // GIR_Coverage, 534,
     /*  186961 */     GIR_Done,
     /*  186962 */   // Label 3630: @186962
     /*  186962 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(187003), // Rule ID 535 //
     /*  186967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186984 */     // MIs[0] rs1
     /*  186984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186996 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  187001 */     GIR_RootConstrainSelectedInstOperands,
     /*  187002 */     // GIR_Coverage, 535,
     /*  187002 */     GIR_Done,
     /*  187003 */   // Label 3631: @187003
     /*  187003 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(187044), // Rule ID 536 //
     /*  187008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187025 */     // MIs[0] rs1
     /*  187025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187037 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  187042 */     GIR_RootConstrainSelectedInstOperands,
     /*  187043 */     // GIR_Coverage, 536,
     /*  187043 */     GIR_Done,
     /*  187044 */   // Label 3632: @187044
     /*  187044 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(187085), // Rule ID 537 //
     /*  187049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187066 */     // MIs[0] rs1
     /*  187066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187078 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187083 */     GIR_RootConstrainSelectedInstOperands,
     /*  187084 */     // GIR_Coverage, 537,
     /*  187084 */     GIR_Done,
     /*  187085 */   // Label 3633: @187085
     /*  187085 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(187126), // Rule ID 538 //
     /*  187090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187107 */     // MIs[0] rs1
     /*  187107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187119 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  187124 */     GIR_RootConstrainSelectedInstOperands,
     /*  187125 */     // GIR_Coverage, 538,
     /*  187125 */     GIR_Done,
     /*  187126 */   // Label 3634: @187126
     /*  187126 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(187167), // Rule ID 539 //
     /*  187131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187134 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187141 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187148 */     // MIs[0] rs1
     /*  187148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187160 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187165 */     GIR_RootConstrainSelectedInstOperands,
     /*  187166 */     // GIR_Coverage, 539,
     /*  187166 */     GIR_Done,
     /*  187167 */   // Label 3635: @187167
     /*  187167 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(187208), // Rule ID 540 //
     /*  187172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187175 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187189 */     // MIs[0] rs1
     /*  187189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187201 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187206 */     GIR_RootConstrainSelectedInstOperands,
     /*  187207 */     // GIR_Coverage, 540,
     /*  187207 */     GIR_Done,
     /*  187208 */   // Label 3636: @187208
     /*  187208 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(187249), // Rule ID 541 //
     /*  187213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187230 */     // MIs[0] rs1
     /*  187230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187242 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187247 */     GIR_RootConstrainSelectedInstOperands,
     /*  187248 */     // GIR_Coverage, 541,
     /*  187248 */     GIR_Done,
     /*  187249 */   // Label 3637: @187249
     /*  187249 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(187290), // Rule ID 542 //
     /*  187254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187271 */     // MIs[0] rs1
     /*  187271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187283 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187288 */     GIR_RootConstrainSelectedInstOperands,
     /*  187289 */     // GIR_Coverage, 542,
     /*  187289 */     GIR_Done,
     /*  187290 */   // Label 3638: @187290
     /*  187290 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(187331), // Rule ID 543 //
     /*  187295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187298 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187305 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187312 */     // MIs[0] rs1
     /*  187312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187324 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  187329 */     GIR_RootConstrainSelectedInstOperands,
     /*  187330 */     // GIR_Coverage, 543,
     /*  187330 */     GIR_Done,
     /*  187331 */   // Label 3639: @187331
     /*  187331 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(187372), // Rule ID 722 //
     /*  187336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187339 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187346 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187353 */     // MIs[0] rs1
     /*  187353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187365 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187365 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187370 */     GIR_RootConstrainSelectedInstOperands,
     /*  187371 */     // GIR_Coverage, 722,
     /*  187371 */     GIR_Done,
     /*  187372 */   // Label 3640: @187372
     /*  187372 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(187413), // Rule ID 724 //
     /*  187377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187394 */     // MIs[0] rs1
     /*  187394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187406 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  187411 */     GIR_RootConstrainSelectedInstOperands,
     /*  187412 */     // GIR_Coverage, 724,
     /*  187412 */     GIR_Done,
     /*  187413 */   // Label 3641: @187413
     /*  187413 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(187454), // Rule ID 726 //
     /*  187418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187435 */     // MIs[0] rs1
     /*  187435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187447 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  187452 */     GIR_RootConstrainSelectedInstOperands,
     /*  187453 */     // GIR_Coverage, 726,
     /*  187453 */     GIR_Done,
     /*  187454 */   // Label 3642: @187454
     /*  187454 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(187495), // Rule ID 728 //
     /*  187459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187476 */     // MIs[0] rs1
     /*  187476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187488 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187493 */     GIR_RootConstrainSelectedInstOperands,
     /*  187494 */     // GIR_Coverage, 728,
     /*  187494 */     GIR_Done,
     /*  187495 */   // Label 3643: @187495
     /*  187495 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(187536), // Rule ID 730 //
     /*  187500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187517 */     // MIs[0] rs1
     /*  187517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187529 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  187534 */     GIR_RootConstrainSelectedInstOperands,
     /*  187535 */     // GIR_Coverage, 730,
     /*  187535 */     GIR_Done,
     /*  187536 */   // Label 3644: @187536
     /*  187536 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187577), // Rule ID 732 //
     /*  187541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187558 */     // MIs[0] rs1
     /*  187558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187570 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187575 */     GIR_RootConstrainSelectedInstOperands,
     /*  187576 */     // GIR_Coverage, 732,
     /*  187576 */     GIR_Done,
     /*  187577 */   // Label 3645: @187577
     /*  187577 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187618), // Rule ID 734 //
     /*  187582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187599 */     // MIs[0] rs1
     /*  187599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187611 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187616 */     GIR_RootConstrainSelectedInstOperands,
     /*  187617 */     // GIR_Coverage, 734,
     /*  187617 */     GIR_Done,
     /*  187618 */   // Label 3646: @187618
     /*  187618 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187659), // Rule ID 736 //
     /*  187623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187640 */     // MIs[0] rs1
     /*  187640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187652 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187657 */     GIR_RootConstrainSelectedInstOperands,
     /*  187658 */     // GIR_Coverage, 736,
     /*  187658 */     GIR_Done,
     /*  187659 */   // Label 3647: @187659
     /*  187659 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187700), // Rule ID 738 //
     /*  187664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187681 */     // MIs[0] rs1
     /*  187681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187693 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187698 */     GIR_RootConstrainSelectedInstOperands,
     /*  187699 */     // GIR_Coverage, 738,
     /*  187699 */     GIR_Done,
     /*  187700 */   // Label 3648: @187700
     /*  187700 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(187741), // Rule ID 740 //
     /*  187705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187722 */     // MIs[0] rs1
     /*  187722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187734 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  187739 */     GIR_RootConstrainSelectedInstOperands,
     /*  187740 */     // GIR_Coverage, 740,
     /*  187740 */     GIR_Done,
     /*  187741 */   // Label 3649: @187741
     /*  187741 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187782), // Rule ID 902 //
     /*  187746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187763 */     // MIs[0] rs1
     /*  187763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187775 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187780 */     GIR_RootConstrainSelectedInstOperands,
     /*  187781 */     // GIR_Coverage, 902,
     /*  187781 */     GIR_Done,
     /*  187782 */   // Label 3650: @187782
     /*  187782 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187823), // Rule ID 904 //
     /*  187787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187804 */     // MIs[0] rs1
     /*  187804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187816 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  187821 */     GIR_RootConstrainSelectedInstOperands,
     /*  187822 */     // GIR_Coverage, 904,
     /*  187822 */     GIR_Done,
     /*  187823 */   // Label 3651: @187823
     /*  187823 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187864), // Rule ID 906 //
     /*  187828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187845 */     // MIs[0] rs1
     /*  187845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187857 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  187862 */     GIR_RootConstrainSelectedInstOperands,
     /*  187863 */     // GIR_Coverage, 906,
     /*  187863 */     GIR_Done,
     /*  187864 */   // Label 3652: @187864
     /*  187864 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187905), // Rule ID 908 //
     /*  187869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187886 */     // MIs[0] rs1
     /*  187886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187898 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187903 */     GIR_RootConstrainSelectedInstOperands,
     /*  187904 */     // GIR_Coverage, 908,
     /*  187904 */     GIR_Done,
     /*  187905 */   // Label 3653: @187905
     /*  187905 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187946), // Rule ID 910 //
     /*  187910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187927 */     // MIs[0] rs1
     /*  187927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187939 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  187944 */     GIR_RootConstrainSelectedInstOperands,
     /*  187945 */     // GIR_Coverage, 910,
     /*  187945 */     GIR_Done,
     /*  187946 */   // Label 3654: @187946
     /*  187946 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(187987), // Rule ID 912 //
     /*  187951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187968 */     // MIs[0] rs1
     /*  187968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187980 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  187985 */     GIR_RootConstrainSelectedInstOperands,
     /*  187986 */     // GIR_Coverage, 912,
     /*  187986 */     GIR_Done,
     /*  187987 */   // Label 3655: @187987
     /*  187987 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(188028), // Rule ID 914 //
     /*  187992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188009 */     // MIs[0] rs1
     /*  188009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188021 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188026 */     GIR_RootConstrainSelectedInstOperands,
     /*  188027 */     // GIR_Coverage, 914,
     /*  188027 */     GIR_Done,
     /*  188028 */   // Label 3656: @188028
     /*  188028 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(188069), // Rule ID 916 //
     /*  188033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188050 */     // MIs[0] rs1
     /*  188050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188062 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188067 */     GIR_RootConstrainSelectedInstOperands,
     /*  188068 */     // GIR_Coverage, 916,
     /*  188068 */     GIR_Done,
     /*  188069 */   // Label 3657: @188069
     /*  188069 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(188110), // Rule ID 918 //
     /*  188074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188091 */     // MIs[0] rs1
     /*  188091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188103 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188108 */     GIR_RootConstrainSelectedInstOperands,
     /*  188109 */     // GIR_Coverage, 918,
     /*  188109 */     GIR_Done,
     /*  188110 */   // Label 3658: @188110
     /*  188110 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(188151), // Rule ID 920 //
     /*  188115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188132 */     // MIs[0] rs1
     /*  188132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188144 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  188149 */     GIR_RootConstrainSelectedInstOperands,
     /*  188150 */     // GIR_Coverage, 920,
     /*  188150 */     GIR_Done,
     /*  188151 */   // Label 3659: @188151
     /*  188151 */   GIM_Reject,
     /*  188152 */ // Label 3619: @188152
     /*  188152 */ GIM_Reject,
     /*  188153 */ // Label 3587: @188153
     /*  188153 */ GIM_Reject,
     /*  188154 */ // Label 29: @188154
     /*  188154 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3662*/ GIMT_Encode4(189065),
     /*  188165 */ /*GILLT_s32*//*Label 3660*/ GIMT_Encode4(188173),
     /*  188169 */ /*GILLT_s64*//*Label 3661*/ GIMT_Encode4(188455),
     /*  188173 */ // Label 3660: @188173
     /*  188173 */ GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(188454),
     /*  188178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  188181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188188 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(188241), // Rule ID 605 //
     /*  188193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188203 */     // MIs[0] addr
     /*  188203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188215 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  188215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188223 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188228 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188230 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188239 */     GIR_RootConstrainSelectedInstOperands,
     /*  188240 */     // GIR_Coverage, 605,
     /*  188240 */     GIR_EraseRootFromParent_Done,
     /*  188241 */   // Label 3664: @188241
     /*  188241 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(188294), // Rule ID 607 //
     /*  188246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188256 */     // MIs[0] addr
     /*  188256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188268 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  188268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188276 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188281 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188283 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188292 */     GIR_RootConstrainSelectedInstOperands,
     /*  188293 */     // GIR_Coverage, 607,
     /*  188293 */     GIR_EraseRootFromParent_Done,
     /*  188294 */   // Label 3665: @188294
     /*  188294 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(188347), // Rule ID 609 //
     /*  188299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188309 */     // MIs[0] addr
     /*  188309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188321 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  188321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188329 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188334 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188336 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188345 */     GIR_RootConstrainSelectedInstOperands,
     /*  188346 */     // GIR_Coverage, 609,
     /*  188346 */     GIR_EraseRootFromParent_Done,
     /*  188347 */   // Label 3666: @188347
     /*  188347 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(188400), // Rule ID 611 //
     /*  188352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188362 */     // MIs[0] addr
     /*  188362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188374 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  188374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188382 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188387 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188389 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188398 */     GIR_RootConstrainSelectedInstOperands,
     /*  188399 */     // GIR_Coverage, 611,
     /*  188399 */     GIR_EraseRootFromParent_Done,
     /*  188400 */   // Label 3667: @188400
     /*  188400 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(188453), // Rule ID 613 //
     /*  188405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  188408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188415 */     // MIs[0] addr
     /*  188415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188427 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  188427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188435 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188440 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188442 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188451 */     GIR_RootConstrainSelectedInstOperands,
     /*  188452 */     // GIR_Coverage, 613,
     /*  188452 */     GIR_EraseRootFromParent_Done,
     /*  188453 */   // Label 3668: @188453
     /*  188453 */   GIM_Reject,
     /*  188454 */ // Label 3663: @188454
     /*  188454 */ GIM_Reject,
     /*  188455 */ // Label 3661: @188455
     /*  188455 */ GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(189064),
     /*  188460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188463 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188523), // Rule ID 604 //
     /*  188468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188478 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188485 */     // MIs[0] addr
     /*  188485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188497 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188505 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188510 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188512 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188521 */     GIR_RootConstrainSelectedInstOperands,
     /*  188522 */     // GIR_Coverage, 604,
     /*  188522 */     GIR_EraseRootFromParent_Done,
     /*  188523 */   // Label 3670: @188523
     /*  188523 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188583), // Rule ID 606 //
     /*  188528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188545 */     // MIs[0] addr
     /*  188545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188557 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188565 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188570 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188572 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188581 */     GIR_RootConstrainSelectedInstOperands,
     /*  188582 */     // GIR_Coverage, 606,
     /*  188582 */     GIR_EraseRootFromParent_Done,
     /*  188583 */   // Label 3671: @188583
     /*  188583 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188643), // Rule ID 608 //
     /*  188588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188591 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188598 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188605 */     // MIs[0] addr
     /*  188605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188617 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  188617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188625 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188630 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188632 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188641 */     GIR_RootConstrainSelectedInstOperands,
     /*  188642 */     // GIR_Coverage, 608,
     /*  188642 */     GIR_EraseRootFromParent_Done,
     /*  188643 */   // Label 3672: @188643
     /*  188643 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(188703), // Rule ID 610 //
     /*  188648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188665 */     // MIs[0] addr
     /*  188665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188677 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  188677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188685 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188690 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188692 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188701 */     GIR_RootConstrainSelectedInstOperands,
     /*  188702 */     // GIR_Coverage, 610,
     /*  188702 */     GIR_EraseRootFromParent_Done,
     /*  188703 */   // Label 3673: @188703
     /*  188703 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188763), // Rule ID 612 //
     /*  188708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  188711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188725 */     // MIs[0] addr
     /*  188725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188737 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  188737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  188743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188745 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188750 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188752 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  188757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188761 */     GIR_RootConstrainSelectedInstOperands,
     /*  188762 */     // GIR_Coverage, 612,
     /*  188762 */     GIR_EraseRootFromParent_Done,
     /*  188763 */   // Label 3674: @188763
     /*  188763 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(188823), // Rule ID 622 //
     /*  188768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188785 */     // MIs[0] addr
     /*  188785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188797 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  188797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188805 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188810 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188812 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  188817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188821 */     GIR_RootConstrainSelectedInstOperands,
     /*  188822 */     // GIR_Coverage, 622,
     /*  188822 */     GIR_EraseRootFromParent_Done,
     /*  188823 */   // Label 3675: @188823
     /*  188823 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(188883), // Rule ID 623 //
     /*  188828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188845 */     // MIs[0] addr
     /*  188845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188857 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  188857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188865 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188870 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188872 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188881 */     GIR_RootConstrainSelectedInstOperands,
     /*  188882 */     // GIR_Coverage, 623,
     /*  188882 */     GIR_EraseRootFromParent_Done,
     /*  188883 */   // Label 3676: @188883
     /*  188883 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188943), // Rule ID 624 //
     /*  188888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188905 */     // MIs[0] addr
     /*  188905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188917 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  188917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188925 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188930 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188932 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  188941 */     GIR_RootConstrainSelectedInstOperands,
     /*  188942 */     // GIR_Coverage, 624,
     /*  188942 */     GIR_EraseRootFromParent_Done,
     /*  188943 */   // Label 3677: @188943
     /*  188943 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(189003), // Rule ID 625 //
     /*  188948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  188951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188965 */     // MIs[0] addr
     /*  188965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  188969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188977 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  188977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  188980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  188983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  188985 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  188990 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  188992 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  188994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189001 */     GIR_RootConstrainSelectedInstOperands,
     /*  189002 */     // GIR_Coverage, 625,
     /*  189002 */     GIR_EraseRootFromParent_Done,
     /*  189003 */   // Label 3678: @189003
     /*  189003 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(189063), // Rule ID 626 //
     /*  189008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  189011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189025 */     // MIs[0] addr
     /*  189025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  189029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189037 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  189037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  189040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  189043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  189045 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  189050 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  189052 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  189054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  189057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  189061 */     GIR_RootConstrainSelectedInstOperands,
     /*  189062 */     // GIR_Coverage, 626,
     /*  189062 */     GIR_EraseRootFromParent_Done,
     /*  189063 */   // Label 3679: @189063
     /*  189063 */   GIM_Reject,
     /*  189064 */ // Label 3669: @189064
     /*  189064 */ GIM_Reject,
     /*  189065 */ // Label 3662: @189065
     /*  189065 */ GIM_Reject,
     /*  189066 */ // Label 30: @189066
     /*  189066 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3682*/ GIMT_Encode4(191975),
     /*  189077 */ /*GILLT_s32*//*Label 3680*/ GIMT_Encode4(189085),
     /*  189081 */ /*GILLT_s64*//*Label 3681*/ GIMT_Encode4(190325),
     /*  189085 */ // Label 3680: @189085
     /*  189085 */ GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(190324),
     /*  189090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189093 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(189134), // Rule ID 395 //
     /*  189098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189115 */     // MIs[0] rs1
     /*  189115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189127 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189132 */     GIR_RootConstrainSelectedInstOperands,
     /*  189133 */     // GIR_Coverage, 395,
     /*  189133 */     GIR_Done,
     /*  189134 */   // Label 3684: @189134
     /*  189134 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(189175), // Rule ID 397 //
     /*  189139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189156 */     // MIs[0] rs1
     /*  189156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189168 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  189173 */     GIR_RootConstrainSelectedInstOperands,
     /*  189174 */     // GIR_Coverage, 397,
     /*  189174 */     GIR_Done,
     /*  189175 */   // Label 3685: @189175
     /*  189175 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(189216), // Rule ID 399 //
     /*  189180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189197 */     // MIs[0] rs1
     /*  189197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189209 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  189214 */     GIR_RootConstrainSelectedInstOperands,
     /*  189215 */     // GIR_Coverage, 399,
     /*  189215 */     GIR_Done,
     /*  189216 */   // Label 3686: @189216
     /*  189216 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(189257), // Rule ID 401 //
     /*  189221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189238 */     // MIs[0] rs1
     /*  189238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189250 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189255 */     GIR_RootConstrainSelectedInstOperands,
     /*  189256 */     // GIR_Coverage, 401,
     /*  189256 */     GIR_Done,
     /*  189257 */   // Label 3687: @189257
     /*  189257 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(189298), // Rule ID 403 //
     /*  189262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189279 */     // MIs[0] rs1
     /*  189279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189291 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189296 */     GIR_RootConstrainSelectedInstOperands,
     /*  189297 */     // GIR_Coverage, 403,
     /*  189297 */     GIR_Done,
     /*  189298 */   // Label 3688: @189298
     /*  189298 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(189339), // Rule ID 405 //
     /*  189303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189320 */     // MIs[0] rs1
     /*  189320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189332 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189337 */     GIR_RootConstrainSelectedInstOperands,
     /*  189338 */     // GIR_Coverage, 405,
     /*  189338 */     GIR_Done,
     /*  189339 */   // Label 3689: @189339
     /*  189339 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(189380), // Rule ID 407 //
     /*  189344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189361 */     // MIs[0] rs1
     /*  189361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189373 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189378 */     GIR_RootConstrainSelectedInstOperands,
     /*  189379 */     // GIR_Coverage, 407,
     /*  189379 */     GIR_Done,
     /*  189380 */   // Label 3690: @189380
     /*  189380 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(189421), // Rule ID 409 //
     /*  189385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189402 */     // MIs[0] rs1
     /*  189402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189414 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189419 */     GIR_RootConstrainSelectedInstOperands,
     /*  189420 */     // GIR_Coverage, 409,
     /*  189420 */     GIR_Done,
     /*  189421 */   // Label 3691: @189421
     /*  189421 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(189462), // Rule ID 411 //
     /*  189426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189443 */     // MIs[0] rs1
     /*  189443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189455 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189460 */     GIR_RootConstrainSelectedInstOperands,
     /*  189461 */     // GIR_Coverage, 411,
     /*  189461 */     GIR_Done,
     /*  189462 */   // Label 3692: @189462
     /*  189462 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(189503), // Rule ID 413 //
     /*  189467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189484 */     // MIs[0] rs1
     /*  189484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189496 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189501 */     GIR_RootConstrainSelectedInstOperands,
     /*  189502 */     // GIR_Coverage, 413,
     /*  189502 */     GIR_Done,
     /*  189503 */   // Label 3693: @189503
     /*  189503 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189544), // Rule ID 743 //
     /*  189508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189525 */     // MIs[0] rs1
     /*  189525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189537 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189542 */     GIR_RootConstrainSelectedInstOperands,
     /*  189543 */     // GIR_Coverage, 743,
     /*  189543 */     GIR_Done,
     /*  189544 */   // Label 3694: @189544
     /*  189544 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189585), // Rule ID 745 //
     /*  189549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189566 */     // MIs[0] rs1
     /*  189566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189578 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  189583 */     GIR_RootConstrainSelectedInstOperands,
     /*  189584 */     // GIR_Coverage, 745,
     /*  189584 */     GIR_Done,
     /*  189585 */   // Label 3695: @189585
     /*  189585 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189626), // Rule ID 747 //
     /*  189590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189607 */     // MIs[0] rs1
     /*  189607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189619 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  189624 */     GIR_RootConstrainSelectedInstOperands,
     /*  189625 */     // GIR_Coverage, 747,
     /*  189625 */     GIR_Done,
     /*  189626 */   // Label 3696: @189626
     /*  189626 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189667), // Rule ID 749 //
     /*  189631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189648 */     // MIs[0] rs1
     /*  189648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189660 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  189665 */     GIR_RootConstrainSelectedInstOperands,
     /*  189666 */     // GIR_Coverage, 749,
     /*  189666 */     GIR_Done,
     /*  189667 */   // Label 3697: @189667
     /*  189667 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189708), // Rule ID 751 //
     /*  189672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189689 */     // MIs[0] rs1
     /*  189689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189701 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  189706 */     GIR_RootConstrainSelectedInstOperands,
     /*  189707 */     // GIR_Coverage, 751,
     /*  189707 */     GIR_Done,
     /*  189708 */   // Label 3698: @189708
     /*  189708 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(189749), // Rule ID 753 //
     /*  189713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189730 */     // MIs[0] rs1
     /*  189730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189742 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189747 */     GIR_RootConstrainSelectedInstOperands,
     /*  189748 */     // GIR_Coverage, 753,
     /*  189748 */     GIR_Done,
     /*  189749 */   // Label 3699: @189749
     /*  189749 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(189790), // Rule ID 755 //
     /*  189754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189771 */     // MIs[0] rs1
     /*  189771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189783 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189788 */     GIR_RootConstrainSelectedInstOperands,
     /*  189789 */     // GIR_Coverage, 755,
     /*  189789 */     GIR_Done,
     /*  189790 */   // Label 3700: @189790
     /*  189790 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(189831), // Rule ID 757 //
     /*  189795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189812 */     // MIs[0] rs1
     /*  189812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189824 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189829 */     GIR_RootConstrainSelectedInstOperands,
     /*  189830 */     // GIR_Coverage, 757,
     /*  189830 */     GIR_Done,
     /*  189831 */   // Label 3701: @189831
     /*  189831 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(189872), // Rule ID 759 //
     /*  189836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189853 */     // MIs[0] rs1
     /*  189853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189865 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189870 */     GIR_RootConstrainSelectedInstOperands,
     /*  189871 */     // GIR_Coverage, 759,
     /*  189871 */     GIR_Done,
     /*  189872 */   // Label 3702: @189872
     /*  189872 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(189913), // Rule ID 761 //
     /*  189877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189894 */     // MIs[0] rs1
     /*  189894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189906 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  189911 */     GIR_RootConstrainSelectedInstOperands,
     /*  189912 */     // GIR_Coverage, 761,
     /*  189912 */     GIR_Done,
     /*  189913 */   // Label 3703: @189913
     /*  189913 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(189954), // Rule ID 923 //
     /*  189918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189935 */     // MIs[0] rs1
     /*  189935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189947 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  189952 */     GIR_RootConstrainSelectedInstOperands,
     /*  189953 */     // GIR_Coverage, 923,
     /*  189953 */     GIR_Done,
     /*  189954 */   // Label 3704: @189954
     /*  189954 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(189995), // Rule ID 925 //
     /*  189959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189976 */     // MIs[0] rs1
     /*  189976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189988 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  189993 */     GIR_RootConstrainSelectedInstOperands,
     /*  189994 */     // GIR_Coverage, 925,
     /*  189994 */     GIR_Done,
     /*  189995 */   // Label 3705: @189995
     /*  189995 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(190036), // Rule ID 927 //
     /*  190000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190017 */     // MIs[0] rs1
     /*  190017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190029 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  190034 */     GIR_RootConstrainSelectedInstOperands,
     /*  190035 */     // GIR_Coverage, 927,
     /*  190035 */     GIR_Done,
     /*  190036 */   // Label 3706: @190036
     /*  190036 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(190077), // Rule ID 929 //
     /*  190041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190058 */     // MIs[0] rs1
     /*  190058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190070 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190075 */     GIR_RootConstrainSelectedInstOperands,
     /*  190076 */     // GIR_Coverage, 929,
     /*  190076 */     GIR_Done,
     /*  190077 */   // Label 3707: @190077
     /*  190077 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(190118), // Rule ID 931 //
     /*  190082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190099 */     // MIs[0] rs1
     /*  190099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190111 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190116 */     GIR_RootConstrainSelectedInstOperands,
     /*  190117 */     // GIR_Coverage, 931,
     /*  190117 */     GIR_Done,
     /*  190118 */   // Label 3708: @190118
     /*  190118 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(190159), // Rule ID 933 //
     /*  190123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190140 */     // MIs[0] rs1
     /*  190140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190152 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190157 */     GIR_RootConstrainSelectedInstOperands,
     /*  190158 */     // GIR_Coverage, 933,
     /*  190158 */     GIR_Done,
     /*  190159 */   // Label 3709: @190159
     /*  190159 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(190200), // Rule ID 935 //
     /*  190164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190181 */     // MIs[0] rs1
     /*  190181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190193 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190198 */     GIR_RootConstrainSelectedInstOperands,
     /*  190199 */     // GIR_Coverage, 935,
     /*  190199 */     GIR_Done,
     /*  190200 */   // Label 3710: @190200
     /*  190200 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(190241), // Rule ID 937 //
     /*  190205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190222 */     // MIs[0] rs1
     /*  190222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190234 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190239 */     GIR_RootConstrainSelectedInstOperands,
     /*  190240 */     // GIR_Coverage, 937,
     /*  190240 */     GIR_Done,
     /*  190241 */   // Label 3711: @190241
     /*  190241 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(190282), // Rule ID 939 //
     /*  190246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190263 */     // MIs[0] rs1
     /*  190263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190275 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190280 */     GIR_RootConstrainSelectedInstOperands,
     /*  190281 */     // GIR_Coverage, 939,
     /*  190281 */     GIR_Done,
     /*  190282 */   // Label 3712: @190282
     /*  190282 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(190323), // Rule ID 941 //
     /*  190287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190290 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190304 */     // MIs[0] rs1
     /*  190304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190316 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190321 */     GIR_RootConstrainSelectedInstOperands,
     /*  190322 */     // GIR_Coverage, 941,
     /*  190322 */     GIR_Done,
     /*  190323 */   // Label 3713: @190323
     /*  190323 */   GIM_Reject,
     /*  190324 */ // Label 3683: @190324
     /*  190324 */ GIM_Reject,
     /*  190325 */ // Label 3681: @190325
     /*  190325 */ GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(191974),
     /*  190330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  190333 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(190374), // Rule ID 394 //
     /*  190338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190355 */     // MIs[0] rs1
     /*  190355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190367 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190372 */     GIR_RootConstrainSelectedInstOperands,
     /*  190373 */     // GIR_Coverage, 394,
     /*  190373 */     GIR_Done,
     /*  190374 */   // Label 3715: @190374
     /*  190374 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(190415), // Rule ID 396 //
     /*  190379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190396 */     // MIs[0] rs1
     /*  190396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190408 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  190413 */     GIR_RootConstrainSelectedInstOperands,
     /*  190414 */     // GIR_Coverage, 396,
     /*  190414 */     GIR_Done,
     /*  190415 */   // Label 3716: @190415
     /*  190415 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(190456), // Rule ID 398 //
     /*  190420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190437 */     // MIs[0] rs1
     /*  190437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190449 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  190454 */     GIR_RootConstrainSelectedInstOperands,
     /*  190455 */     // GIR_Coverage, 398,
     /*  190455 */     GIR_Done,
     /*  190456 */   // Label 3717: @190456
     /*  190456 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(190497), // Rule ID 400 //
     /*  190461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190478 */     // MIs[0] rs1
     /*  190478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190490 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190495 */     GIR_RootConstrainSelectedInstOperands,
     /*  190496 */     // GIR_Coverage, 400,
     /*  190496 */     GIR_Done,
     /*  190497 */   // Label 3718: @190497
     /*  190497 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190538), // Rule ID 402 //
     /*  190502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190519 */     // MIs[0] rs1
     /*  190519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190531 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  190536 */     GIR_RootConstrainSelectedInstOperands,
     /*  190537 */     // GIR_Coverage, 402,
     /*  190537 */     GIR_Done,
     /*  190538 */   // Label 3719: @190538
     /*  190538 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190579), // Rule ID 404 //
     /*  190543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190560 */     // MIs[0] rs1
     /*  190560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190572 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190577 */     GIR_RootConstrainSelectedInstOperands,
     /*  190578 */     // GIR_Coverage, 404,
     /*  190578 */     GIR_Done,
     /*  190579 */   // Label 3720: @190579
     /*  190579 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(190620), // Rule ID 406 //
     /*  190584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190601 */     // MIs[0] rs1
     /*  190601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190613 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190618 */     GIR_RootConstrainSelectedInstOperands,
     /*  190619 */     // GIR_Coverage, 406,
     /*  190619 */     GIR_Done,
     /*  190620 */   // Label 3721: @190620
     /*  190620 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(190661), // Rule ID 408 //
     /*  190625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190642 */     // MIs[0] rs1
     /*  190642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190654 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190659 */     GIR_RootConstrainSelectedInstOperands,
     /*  190660 */     // GIR_Coverage, 408,
     /*  190660 */     GIR_Done,
     /*  190661 */   // Label 3722: @190661
     /*  190661 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(190702), // Rule ID 410 //
     /*  190666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190683 */     // MIs[0] rs1
     /*  190683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190695 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190700 */     GIR_RootConstrainSelectedInstOperands,
     /*  190701 */     // GIR_Coverage, 410,
     /*  190701 */     GIR_Done,
     /*  190702 */   // Label 3723: @190702
     /*  190702 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(190743), // Rule ID 412 //
     /*  190707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190724 */     // MIs[0] rs1
     /*  190724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190736 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  190741 */     GIR_RootConstrainSelectedInstOperands,
     /*  190742 */     // GIR_Coverage, 412,
     /*  190742 */     GIR_Done,
     /*  190743 */   // Label 3724: @190743
     /*  190743 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(190784), // Rule ID 544 //
     /*  190748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190765 */     // MIs[0] rs1
     /*  190765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190777 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  190782 */     GIR_RootConstrainSelectedInstOperands,
     /*  190783 */     // GIR_Coverage, 544,
     /*  190783 */     GIR_Done,
     /*  190784 */   // Label 3725: @190784
     /*  190784 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(190825), // Rule ID 545 //
     /*  190789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190806 */     // MIs[0] rs1
     /*  190806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190818 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  190823 */     GIR_RootConstrainSelectedInstOperands,
     /*  190824 */     // GIR_Coverage, 545,
     /*  190824 */     GIR_Done,
     /*  190825 */   // Label 3726: @190825
     /*  190825 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(190866), // Rule ID 546 //
     /*  190830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190847 */     // MIs[0] rs1
     /*  190847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190859 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  190864 */     GIR_RootConstrainSelectedInstOperands,
     /*  190865 */     // GIR_Coverage, 546,
     /*  190865 */     GIR_Done,
     /*  190866 */   // Label 3727: @190866
     /*  190866 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(190907), // Rule ID 547 //
     /*  190871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190888 */     // MIs[0] rs1
     /*  190888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190900 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  190905 */     GIR_RootConstrainSelectedInstOperands,
     /*  190906 */     // GIR_Coverage, 547,
     /*  190906 */     GIR_Done,
     /*  190907 */   // Label 3728: @190907
     /*  190907 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(190948), // Rule ID 548 //
     /*  190912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190929 */     // MIs[0] rs1
     /*  190929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190941 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  190946 */     GIR_RootConstrainSelectedInstOperands,
     /*  190947 */     // GIR_Coverage, 548,
     /*  190947 */     GIR_Done,
     /*  190948 */   // Label 3729: @190948
     /*  190948 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(190989), // Rule ID 549 //
     /*  190953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190970 */     // MIs[0] rs1
     /*  190970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190982 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  190987 */     GIR_RootConstrainSelectedInstOperands,
     /*  190988 */     // GIR_Coverage, 549,
     /*  190988 */     GIR_Done,
     /*  190989 */   // Label 3730: @190989
     /*  190989 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(191030), // Rule ID 550 //
     /*  190994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191011 */     // MIs[0] rs1
     /*  191011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191023 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191028 */     GIR_RootConstrainSelectedInstOperands,
     /*  191029 */     // GIR_Coverage, 550,
     /*  191029 */     GIR_Done,
     /*  191030 */   // Label 3731: @191030
     /*  191030 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(191071), // Rule ID 551 //
     /*  191035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191052 */     // MIs[0] rs1
     /*  191052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191064 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191069 */     GIR_RootConstrainSelectedInstOperands,
     /*  191070 */     // GIR_Coverage, 551,
     /*  191070 */     GIR_Done,
     /*  191071 */   // Label 3732: @191071
     /*  191071 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(191112), // Rule ID 552 //
     /*  191076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191093 */     // MIs[0] rs1
     /*  191093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191105 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191110 */     GIR_RootConstrainSelectedInstOperands,
     /*  191111 */     // GIR_Coverage, 552,
     /*  191111 */     GIR_Done,
     /*  191112 */   // Label 3733: @191112
     /*  191112 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(191153), // Rule ID 553 //
     /*  191117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191134 */     // MIs[0] rs1
     /*  191134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191146 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  191151 */     GIR_RootConstrainSelectedInstOperands,
     /*  191152 */     // GIR_Coverage, 553,
     /*  191152 */     GIR_Done,
     /*  191153 */   // Label 3734: @191153
     /*  191153 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(191194), // Rule ID 742 //
     /*  191158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191175 */     // MIs[0] rs1
     /*  191175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191187 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191192 */     GIR_RootConstrainSelectedInstOperands,
     /*  191193 */     // GIR_Coverage, 742,
     /*  191193 */     GIR_Done,
     /*  191194 */   // Label 3735: @191194
     /*  191194 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(191235), // Rule ID 744 //
     /*  191199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191216 */     // MIs[0] rs1
     /*  191216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191228 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  191233 */     GIR_RootConstrainSelectedInstOperands,
     /*  191234 */     // GIR_Coverage, 744,
     /*  191234 */     GIR_Done,
     /*  191235 */   // Label 3736: @191235
     /*  191235 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(191276), // Rule ID 746 //
     /*  191240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191257 */     // MIs[0] rs1
     /*  191257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191269 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  191274 */     GIR_RootConstrainSelectedInstOperands,
     /*  191275 */     // GIR_Coverage, 746,
     /*  191275 */     GIR_Done,
     /*  191276 */   // Label 3737: @191276
     /*  191276 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(191317), // Rule ID 748 //
     /*  191281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191298 */     // MIs[0] rs1
     /*  191298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191310 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191315 */     GIR_RootConstrainSelectedInstOperands,
     /*  191316 */     // GIR_Coverage, 748,
     /*  191316 */     GIR_Done,
     /*  191317 */   // Label 3738: @191317
     /*  191317 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(191358), // Rule ID 750 //
     /*  191322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191339 */     // MIs[0] rs1
     /*  191339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191351 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  191356 */     GIR_RootConstrainSelectedInstOperands,
     /*  191357 */     // GIR_Coverage, 750,
     /*  191357 */     GIR_Done,
     /*  191358 */   // Label 3739: @191358
     /*  191358 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(191399), // Rule ID 752 //
     /*  191363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191380 */     // MIs[0] rs1
     /*  191380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191392 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191397 */     GIR_RootConstrainSelectedInstOperands,
     /*  191398 */     // GIR_Coverage, 752,
     /*  191398 */     GIR_Done,
     /*  191399 */   // Label 3740: @191399
     /*  191399 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(191440), // Rule ID 754 //
     /*  191404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191421 */     // MIs[0] rs1
     /*  191421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191433 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191438 */     GIR_RootConstrainSelectedInstOperands,
     /*  191439 */     // GIR_Coverage, 754,
     /*  191439 */     GIR_Done,
     /*  191440 */   // Label 3741: @191440
     /*  191440 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(191481), // Rule ID 756 //
     /*  191445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191462 */     // MIs[0] rs1
     /*  191462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191474 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191479 */     GIR_RootConstrainSelectedInstOperands,
     /*  191480 */     // GIR_Coverage, 756,
     /*  191480 */     GIR_Done,
     /*  191481 */   // Label 3742: @191481
     /*  191481 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(191522), // Rule ID 758 //
     /*  191486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191503 */     // MIs[0] rs1
     /*  191503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191515 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191520 */     GIR_RootConstrainSelectedInstOperands,
     /*  191521 */     // GIR_Coverage, 758,
     /*  191521 */     GIR_Done,
     /*  191522 */   // Label 3743: @191522
     /*  191522 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191563), // Rule ID 760 //
     /*  191527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191544 */     // MIs[0] rs1
     /*  191544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191556 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  191561 */     GIR_RootConstrainSelectedInstOperands,
     /*  191562 */     // GIR_Coverage, 760,
     /*  191562 */     GIR_Done,
     /*  191563 */   // Label 3744: @191563
     /*  191563 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191604), // Rule ID 922 //
     /*  191568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191585 */     // MIs[0] rs1
     /*  191585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191597 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191602 */     GIR_RootConstrainSelectedInstOperands,
     /*  191603 */     // GIR_Coverage, 922,
     /*  191603 */     GIR_Done,
     /*  191604 */   // Label 3745: @191604
     /*  191604 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191645), // Rule ID 924 //
     /*  191609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191626 */     // MIs[0] rs1
     /*  191626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191638 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  191643 */     GIR_RootConstrainSelectedInstOperands,
     /*  191644 */     // GIR_Coverage, 924,
     /*  191644 */     GIR_Done,
     /*  191645 */   // Label 3746: @191645
     /*  191645 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191686), // Rule ID 926 //
     /*  191650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191667 */     // MIs[0] rs1
     /*  191667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191679 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  191684 */     GIR_RootConstrainSelectedInstOperands,
     /*  191685 */     // GIR_Coverage, 926,
     /*  191685 */     GIR_Done,
     /*  191686 */   // Label 3747: @191686
     /*  191686 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(191727), // Rule ID 928 //
     /*  191691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191708 */     // MIs[0] rs1
     /*  191708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191720 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191725 */     GIR_RootConstrainSelectedInstOperands,
     /*  191726 */     // GIR_Coverage, 928,
     /*  191726 */     GIR_Done,
     /*  191727 */   // Label 3748: @191727
     /*  191727 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(191768), // Rule ID 930 //
     /*  191732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191749 */     // MIs[0] rs1
     /*  191749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191761 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  191766 */     GIR_RootConstrainSelectedInstOperands,
     /*  191767 */     // GIR_Coverage, 930,
     /*  191767 */     GIR_Done,
     /*  191768 */   // Label 3749: @191768
     /*  191768 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(191809), // Rule ID 932 //
     /*  191773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191790 */     // MIs[0] rs1
     /*  191790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191802 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191807 */     GIR_RootConstrainSelectedInstOperands,
     /*  191808 */     // GIR_Coverage, 932,
     /*  191808 */     GIR_Done,
     /*  191809 */   // Label 3750: @191809
     /*  191809 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(191850), // Rule ID 934 //
     /*  191814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191831 */     // MIs[0] rs1
     /*  191831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191843 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191848 */     GIR_RootConstrainSelectedInstOperands,
     /*  191849 */     // GIR_Coverage, 934,
     /*  191849 */     GIR_Done,
     /*  191850 */   // Label 3751: @191850
     /*  191850 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(191891), // Rule ID 936 //
     /*  191855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191872 */     // MIs[0] rs1
     /*  191872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191884 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191889 */     GIR_RootConstrainSelectedInstOperands,
     /*  191890 */     // GIR_Coverage, 936,
     /*  191890 */     GIR_Done,
     /*  191891 */   // Label 3752: @191891
     /*  191891 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(191932), // Rule ID 938 //
     /*  191896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191913 */     // MIs[0] rs1
     /*  191913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191925 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191930 */     GIR_RootConstrainSelectedInstOperands,
     /*  191931 */     // GIR_Coverage, 938,
     /*  191931 */     GIR_Done,
     /*  191932 */   // Label 3753: @191932
     /*  191932 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(191973), // Rule ID 940 //
     /*  191937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191954 */     // MIs[0] rs1
     /*  191954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191966 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  191971 */     GIR_RootConstrainSelectedInstOperands,
     /*  191972 */     // GIR_Coverage, 940,
     /*  191972 */     GIR_Done,
     /*  191973 */   // Label 3754: @191973
     /*  191973 */   GIM_Reject,
     /*  191974 */ // Label 3714: @191974
     /*  191974 */ GIM_Reject,
     /*  191975 */ // Label 3682: @191975
     /*  191975 */ GIM_Reject,
     /*  191976 */ // Label 31: @191976
     /*  191976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3757*/ GIMT_Encode4(194885),
     /*  191987 */ /*GILLT_s32*//*Label 3755*/ GIMT_Encode4(191995),
     /*  191991 */ /*GILLT_s64*//*Label 3756*/ GIMT_Encode4(193235),
     /*  191995 */ // Label 3755: @191995
     /*  191995 */ GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(193234),
     /*  192000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192003 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(192044), // Rule ID 415 //
     /*  192008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192025 */     // MIs[0] rs1
     /*  192025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192037 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192042 */     GIR_RootConstrainSelectedInstOperands,
     /*  192043 */     // GIR_Coverage, 415,
     /*  192043 */     GIR_Done,
     /*  192044 */   // Label 3759: @192044
     /*  192044 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(192085), // Rule ID 417 //
     /*  192049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192066 */     // MIs[0] rs1
     /*  192066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192078 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  192083 */     GIR_RootConstrainSelectedInstOperands,
     /*  192084 */     // GIR_Coverage, 417,
     /*  192084 */     GIR_Done,
     /*  192085 */   // Label 3760: @192085
     /*  192085 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(192126), // Rule ID 419 //
     /*  192090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192107 */     // MIs[0] rs1
     /*  192107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192119 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  192124 */     GIR_RootConstrainSelectedInstOperands,
     /*  192125 */     // GIR_Coverage, 419,
     /*  192125 */     GIR_Done,
     /*  192126 */   // Label 3761: @192126
     /*  192126 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(192167), // Rule ID 421 //
     /*  192131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192134 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192141 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192148 */     // MIs[0] rs1
     /*  192148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192160 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192165 */     GIR_RootConstrainSelectedInstOperands,
     /*  192166 */     // GIR_Coverage, 421,
     /*  192166 */     GIR_Done,
     /*  192167 */   // Label 3762: @192167
     /*  192167 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(192208), // Rule ID 423 //
     /*  192172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192175 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192189 */     // MIs[0] rs1
     /*  192189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192201 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192206 */     GIR_RootConstrainSelectedInstOperands,
     /*  192207 */     // GIR_Coverage, 423,
     /*  192207 */     GIR_Done,
     /*  192208 */   // Label 3763: @192208
     /*  192208 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(192249), // Rule ID 425 //
     /*  192213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192230 */     // MIs[0] rs1
     /*  192230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192242 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192247 */     GIR_RootConstrainSelectedInstOperands,
     /*  192248 */     // GIR_Coverage, 425,
     /*  192248 */     GIR_Done,
     /*  192249 */   // Label 3764: @192249
     /*  192249 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(192290), // Rule ID 427 //
     /*  192254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192271 */     // MIs[0] rs1
     /*  192271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192283 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192288 */     GIR_RootConstrainSelectedInstOperands,
     /*  192289 */     // GIR_Coverage, 427,
     /*  192289 */     GIR_Done,
     /*  192290 */   // Label 3765: @192290
     /*  192290 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(192331), // Rule ID 429 //
     /*  192295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192298 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192305 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192312 */     // MIs[0] rs1
     /*  192312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192324 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192329 */     GIR_RootConstrainSelectedInstOperands,
     /*  192330 */     // GIR_Coverage, 429,
     /*  192330 */     GIR_Done,
     /*  192331 */   // Label 3766: @192331
     /*  192331 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(192372), // Rule ID 431 //
     /*  192336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192339 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192346 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192353 */     // MIs[0] rs1
     /*  192353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192365 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192365 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192370 */     GIR_RootConstrainSelectedInstOperands,
     /*  192371 */     // GIR_Coverage, 431,
     /*  192371 */     GIR_Done,
     /*  192372 */   // Label 3767: @192372
     /*  192372 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(192413), // Rule ID 433 //
     /*  192377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192394 */     // MIs[0] rs1
     /*  192394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192406 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192411 */     GIR_RootConstrainSelectedInstOperands,
     /*  192412 */     // GIR_Coverage, 433,
     /*  192412 */     GIR_Done,
     /*  192413 */   // Label 3768: @192413
     /*  192413 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192454), // Rule ID 763 //
     /*  192418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192435 */     // MIs[0] rs1
     /*  192435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192447 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192452 */     GIR_RootConstrainSelectedInstOperands,
     /*  192453 */     // GIR_Coverage, 763,
     /*  192453 */     GIR_Done,
     /*  192454 */   // Label 3769: @192454
     /*  192454 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192495), // Rule ID 765 //
     /*  192459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192476 */     // MIs[0] rs1
     /*  192476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192488 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  192493 */     GIR_RootConstrainSelectedInstOperands,
     /*  192494 */     // GIR_Coverage, 765,
     /*  192494 */     GIR_Done,
     /*  192495 */   // Label 3770: @192495
     /*  192495 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192536), // Rule ID 767 //
     /*  192500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192517 */     // MIs[0] rs1
     /*  192517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192529 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  192534 */     GIR_RootConstrainSelectedInstOperands,
     /*  192535 */     // GIR_Coverage, 767,
     /*  192535 */     GIR_Done,
     /*  192536 */   // Label 3771: @192536
     /*  192536 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192577), // Rule ID 769 //
     /*  192541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192558 */     // MIs[0] rs1
     /*  192558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192570 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  192575 */     GIR_RootConstrainSelectedInstOperands,
     /*  192576 */     // GIR_Coverage, 769,
     /*  192576 */     GIR_Done,
     /*  192577 */   // Label 3772: @192577
     /*  192577 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192618), // Rule ID 771 //
     /*  192582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192599 */     // MIs[0] rs1
     /*  192599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192611 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  192616 */     GIR_RootConstrainSelectedInstOperands,
     /*  192617 */     // GIR_Coverage, 771,
     /*  192617 */     GIR_Done,
     /*  192618 */   // Label 3773: @192618
     /*  192618 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192659), // Rule ID 773 //
     /*  192623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192640 */     // MIs[0] rs1
     /*  192640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192652 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192657 */     GIR_RootConstrainSelectedInstOperands,
     /*  192658 */     // GIR_Coverage, 773,
     /*  192658 */     GIR_Done,
     /*  192659 */   // Label 3774: @192659
     /*  192659 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192700), // Rule ID 775 //
     /*  192664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192681 */     // MIs[0] rs1
     /*  192681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192693 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192698 */     GIR_RootConstrainSelectedInstOperands,
     /*  192699 */     // GIR_Coverage, 775,
     /*  192699 */     GIR_Done,
     /*  192700 */   // Label 3775: @192700
     /*  192700 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(192741), // Rule ID 777 //
     /*  192705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192722 */     // MIs[0] rs1
     /*  192722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192734 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192739 */     GIR_RootConstrainSelectedInstOperands,
     /*  192740 */     // GIR_Coverage, 777,
     /*  192740 */     GIR_Done,
     /*  192741 */   // Label 3776: @192741
     /*  192741 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(192782), // Rule ID 779 //
     /*  192746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192763 */     // MIs[0] rs1
     /*  192763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192775 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192780 */     GIR_RootConstrainSelectedInstOperands,
     /*  192781 */     // GIR_Coverage, 779,
     /*  192781 */     GIR_Done,
     /*  192782 */   // Label 3777: @192782
     /*  192782 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(192823), // Rule ID 781 //
     /*  192787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192804 */     // MIs[0] rs1
     /*  192804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192816 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192821 */     GIR_RootConstrainSelectedInstOperands,
     /*  192822 */     // GIR_Coverage, 781,
     /*  192822 */     GIR_Done,
     /*  192823 */   // Label 3778: @192823
     /*  192823 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(192864), // Rule ID 943 //
     /*  192828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192845 */     // MIs[0] rs1
     /*  192845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192857 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  192862 */     GIR_RootConstrainSelectedInstOperands,
     /*  192863 */     // GIR_Coverage, 943,
     /*  192863 */     GIR_Done,
     /*  192864 */   // Label 3779: @192864
     /*  192864 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(192905), // Rule ID 945 //
     /*  192869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192886 */     // MIs[0] rs1
     /*  192886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192898 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  192903 */     GIR_RootConstrainSelectedInstOperands,
     /*  192904 */     // GIR_Coverage, 945,
     /*  192904 */     GIR_Done,
     /*  192905 */   // Label 3780: @192905
     /*  192905 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(192946), // Rule ID 947 //
     /*  192910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192927 */     // MIs[0] rs1
     /*  192927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192939 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  192944 */     GIR_RootConstrainSelectedInstOperands,
     /*  192945 */     // GIR_Coverage, 947,
     /*  192945 */     GIR_Done,
     /*  192946 */   // Label 3781: @192946
     /*  192946 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(192987), // Rule ID 949 //
     /*  192951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192968 */     // MIs[0] rs1
     /*  192968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192980 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  192985 */     GIR_RootConstrainSelectedInstOperands,
     /*  192986 */     // GIR_Coverage, 949,
     /*  192986 */     GIR_Done,
     /*  192987 */   // Label 3782: @192987
     /*  192987 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(193028), // Rule ID 951 //
     /*  192992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193009 */     // MIs[0] rs1
     /*  193009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193021 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193026 */     GIR_RootConstrainSelectedInstOperands,
     /*  193027 */     // GIR_Coverage, 951,
     /*  193027 */     GIR_Done,
     /*  193028 */   // Label 3783: @193028
     /*  193028 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(193069), // Rule ID 953 //
     /*  193033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193050 */     // MIs[0] rs1
     /*  193050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193062 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193067 */     GIR_RootConstrainSelectedInstOperands,
     /*  193068 */     // GIR_Coverage, 953,
     /*  193068 */     GIR_Done,
     /*  193069 */   // Label 3784: @193069
     /*  193069 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(193110), // Rule ID 955 //
     /*  193074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193091 */     // MIs[0] rs1
     /*  193091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193103 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193108 */     GIR_RootConstrainSelectedInstOperands,
     /*  193109 */     // GIR_Coverage, 955,
     /*  193109 */     GIR_Done,
     /*  193110 */   // Label 3785: @193110
     /*  193110 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(193151), // Rule ID 957 //
     /*  193115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193132 */     // MIs[0] rs1
     /*  193132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193144 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193149 */     GIR_RootConstrainSelectedInstOperands,
     /*  193150 */     // GIR_Coverage, 957,
     /*  193150 */     GIR_Done,
     /*  193151 */   // Label 3786: @193151
     /*  193151 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(193192), // Rule ID 959 //
     /*  193156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193173 */     // MIs[0] rs1
     /*  193173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193185 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193190 */     GIR_RootConstrainSelectedInstOperands,
     /*  193191 */     // GIR_Coverage, 959,
     /*  193191 */     GIR_Done,
     /*  193192 */   // Label 3787: @193192
     /*  193192 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(193233), // Rule ID 961 //
     /*  193197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193214 */     // MIs[0] rs1
     /*  193214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193226 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193231 */     GIR_RootConstrainSelectedInstOperands,
     /*  193232 */     // GIR_Coverage, 961,
     /*  193232 */     GIR_Done,
     /*  193233 */   // Label 3788: @193233
     /*  193233 */   GIM_Reject,
     /*  193234 */ // Label 3758: @193234
     /*  193234 */ GIM_Reject,
     /*  193235 */ // Label 3756: @193235
     /*  193235 */ GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(194884),
     /*  193240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193243 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(193284), // Rule ID 414 //
     /*  193248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193265 */     // MIs[0] rs1
     /*  193265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193277 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193282 */     GIR_RootConstrainSelectedInstOperands,
     /*  193283 */     // GIR_Coverage, 414,
     /*  193283 */     GIR_Done,
     /*  193284 */   // Label 3790: @193284
     /*  193284 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(193325), // Rule ID 416 //
     /*  193289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193306 */     // MIs[0] rs1
     /*  193306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193318 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  193323 */     GIR_RootConstrainSelectedInstOperands,
     /*  193324 */     // GIR_Coverage, 416,
     /*  193324 */     GIR_Done,
     /*  193325 */   // Label 3791: @193325
     /*  193325 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(193366), // Rule ID 418 //
     /*  193330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193347 */     // MIs[0] rs1
     /*  193347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193359 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  193364 */     GIR_RootConstrainSelectedInstOperands,
     /*  193365 */     // GIR_Coverage, 418,
     /*  193365 */     GIR_Done,
     /*  193366 */   // Label 3792: @193366
     /*  193366 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(193407), // Rule ID 420 //
     /*  193371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193388 */     // MIs[0] rs1
     /*  193388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193400 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193405 */     GIR_RootConstrainSelectedInstOperands,
     /*  193406 */     // GIR_Coverage, 420,
     /*  193406 */     GIR_Done,
     /*  193407 */   // Label 3793: @193407
     /*  193407 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193448), // Rule ID 422 //
     /*  193412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193429 */     // MIs[0] rs1
     /*  193429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193441 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  193446 */     GIR_RootConstrainSelectedInstOperands,
     /*  193447 */     // GIR_Coverage, 422,
     /*  193447 */     GIR_Done,
     /*  193448 */   // Label 3794: @193448
     /*  193448 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193489), // Rule ID 424 //
     /*  193453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193470 */     // MIs[0] rs1
     /*  193470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193482 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193487 */     GIR_RootConstrainSelectedInstOperands,
     /*  193488 */     // GIR_Coverage, 424,
     /*  193488 */     GIR_Done,
     /*  193489 */   // Label 3795: @193489
     /*  193489 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(193530), // Rule ID 426 //
     /*  193494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193511 */     // MIs[0] rs1
     /*  193511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193523 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193528 */     GIR_RootConstrainSelectedInstOperands,
     /*  193529 */     // GIR_Coverage, 426,
     /*  193529 */     GIR_Done,
     /*  193530 */   // Label 3796: @193530
     /*  193530 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(193571), // Rule ID 428 //
     /*  193535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193552 */     // MIs[0] rs1
     /*  193552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193564 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193569 */     GIR_RootConstrainSelectedInstOperands,
     /*  193570 */     // GIR_Coverage, 428,
     /*  193570 */     GIR_Done,
     /*  193571 */   // Label 3797: @193571
     /*  193571 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(193612), // Rule ID 430 //
     /*  193576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193593 */     // MIs[0] rs1
     /*  193593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193605 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193610 */     GIR_RootConstrainSelectedInstOperands,
     /*  193611 */     // GIR_Coverage, 430,
     /*  193611 */     GIR_Done,
     /*  193612 */   // Label 3798: @193612
     /*  193612 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(193653), // Rule ID 432 //
     /*  193617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193634 */     // MIs[0] rs1
     /*  193634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193646 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  193651 */     GIR_RootConstrainSelectedInstOperands,
     /*  193652 */     // GIR_Coverage, 432,
     /*  193652 */     GIR_Done,
     /*  193653 */   // Label 3799: @193653
     /*  193653 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193694), // Rule ID 554 //
     /*  193658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193675 */     // MIs[0] rs1
     /*  193675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193687 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193692 */     GIR_RootConstrainSelectedInstOperands,
     /*  193693 */     // GIR_Coverage, 554,
     /*  193693 */     GIR_Done,
     /*  193694 */   // Label 3800: @193694
     /*  193694 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(193735), // Rule ID 555 //
     /*  193699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193716 */     // MIs[0] rs1
     /*  193716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193728 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  193733 */     GIR_RootConstrainSelectedInstOperands,
     /*  193734 */     // GIR_Coverage, 555,
     /*  193734 */     GIR_Done,
     /*  193735 */   // Label 3801: @193735
     /*  193735 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(193776), // Rule ID 556 //
     /*  193740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193757 */     // MIs[0] rs1
     /*  193757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193769 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  193774 */     GIR_RootConstrainSelectedInstOperands,
     /*  193775 */     // GIR_Coverage, 556,
     /*  193775 */     GIR_Done,
     /*  193776 */   // Label 3802: @193776
     /*  193776 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(193817), // Rule ID 557 //
     /*  193781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193798 */     // MIs[0] rs1
     /*  193798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193810 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  193815 */     GIR_RootConstrainSelectedInstOperands,
     /*  193816 */     // GIR_Coverage, 557,
     /*  193816 */     GIR_Done,
     /*  193817 */   // Label 3803: @193817
     /*  193817 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(193858), // Rule ID 558 //
     /*  193822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193839 */     // MIs[0] rs1
     /*  193839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193851 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  193856 */     GIR_RootConstrainSelectedInstOperands,
     /*  193857 */     // GIR_Coverage, 558,
     /*  193857 */     GIR_Done,
     /*  193858 */   // Label 3804: @193858
     /*  193858 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(193899), // Rule ID 559 //
     /*  193863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193880 */     // MIs[0] rs1
     /*  193880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193892 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193897 */     GIR_RootConstrainSelectedInstOperands,
     /*  193898 */     // GIR_Coverage, 559,
     /*  193898 */     GIR_Done,
     /*  193899 */   // Label 3805: @193899
     /*  193899 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(193940), // Rule ID 560 //
     /*  193904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193921 */     // MIs[0] rs1
     /*  193921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193933 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193938 */     GIR_RootConstrainSelectedInstOperands,
     /*  193939 */     // GIR_Coverage, 560,
     /*  193939 */     GIR_Done,
     /*  193940 */   // Label 3806: @193940
     /*  193940 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(193981), // Rule ID 561 //
     /*  193945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193962 */     // MIs[0] rs1
     /*  193962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193974 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  193979 */     GIR_RootConstrainSelectedInstOperands,
     /*  193980 */     // GIR_Coverage, 561,
     /*  193980 */     GIR_Done,
     /*  193981 */   // Label 3807: @193981
     /*  193981 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(194022), // Rule ID 562 //
     /*  193986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194003 */     // MIs[0] rs1
     /*  194003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194015 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194020 */     GIR_RootConstrainSelectedInstOperands,
     /*  194021 */     // GIR_Coverage, 562,
     /*  194021 */     GIR_Done,
     /*  194022 */   // Label 3808: @194022
     /*  194022 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(194063), // Rule ID 563 //
     /*  194027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  194030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194044 */     // MIs[0] rs1
     /*  194044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194056 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  194061 */     GIR_RootConstrainSelectedInstOperands,
     /*  194062 */     // GIR_Coverage, 563,
     /*  194062 */     GIR_Done,
     /*  194063 */   // Label 3809: @194063
     /*  194063 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(194104), // Rule ID 762 //
     /*  194068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194085 */     // MIs[0] rs1
     /*  194085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194097 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194102 */     GIR_RootConstrainSelectedInstOperands,
     /*  194103 */     // GIR_Coverage, 762,
     /*  194103 */     GIR_Done,
     /*  194104 */   // Label 3810: @194104
     /*  194104 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(194145), // Rule ID 764 //
     /*  194109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194126 */     // MIs[0] rs1
     /*  194126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194138 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  194143 */     GIR_RootConstrainSelectedInstOperands,
     /*  194144 */     // GIR_Coverage, 764,
     /*  194144 */     GIR_Done,
     /*  194145 */   // Label 3811: @194145
     /*  194145 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(194186), // Rule ID 766 //
     /*  194150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194167 */     // MIs[0] rs1
     /*  194167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194179 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  194184 */     GIR_RootConstrainSelectedInstOperands,
     /*  194185 */     // GIR_Coverage, 766,
     /*  194185 */     GIR_Done,
     /*  194186 */   // Label 3812: @194186
     /*  194186 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(194227), // Rule ID 768 //
     /*  194191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194208 */     // MIs[0] rs1
     /*  194208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194220 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194225 */     GIR_RootConstrainSelectedInstOperands,
     /*  194226 */     // GIR_Coverage, 768,
     /*  194226 */     GIR_Done,
     /*  194227 */   // Label 3813: @194227
     /*  194227 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(194268), // Rule ID 770 //
     /*  194232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194249 */     // MIs[0] rs1
     /*  194249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194261 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  194266 */     GIR_RootConstrainSelectedInstOperands,
     /*  194267 */     // GIR_Coverage, 770,
     /*  194267 */     GIR_Done,
     /*  194268 */   // Label 3814: @194268
     /*  194268 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(194309), // Rule ID 772 //
     /*  194273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194290 */     // MIs[0] rs1
     /*  194290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194302 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194307 */     GIR_RootConstrainSelectedInstOperands,
     /*  194308 */     // GIR_Coverage, 772,
     /*  194308 */     GIR_Done,
     /*  194309 */   // Label 3815: @194309
     /*  194309 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(194350), // Rule ID 774 //
     /*  194314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194331 */     // MIs[0] rs1
     /*  194331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194343 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194348 */     GIR_RootConstrainSelectedInstOperands,
     /*  194349 */     // GIR_Coverage, 774,
     /*  194349 */     GIR_Done,
     /*  194350 */   // Label 3816: @194350
     /*  194350 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(194391), // Rule ID 776 //
     /*  194355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194372 */     // MIs[0] rs1
     /*  194372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194384 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194389 */     GIR_RootConstrainSelectedInstOperands,
     /*  194390 */     // GIR_Coverage, 776,
     /*  194390 */     GIR_Done,
     /*  194391 */   // Label 3817: @194391
     /*  194391 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(194432), // Rule ID 778 //
     /*  194396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194413 */     // MIs[0] rs1
     /*  194413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194425 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194430 */     GIR_RootConstrainSelectedInstOperands,
     /*  194431 */     // GIR_Coverage, 778,
     /*  194431 */     GIR_Done,
     /*  194432 */   // Label 3818: @194432
     /*  194432 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(194473), // Rule ID 780 //
     /*  194437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194454 */     // MIs[0] rs1
     /*  194454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194466 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  194471 */     GIR_RootConstrainSelectedInstOperands,
     /*  194472 */     // GIR_Coverage, 780,
     /*  194472 */     GIR_Done,
     /*  194473 */   // Label 3819: @194473
     /*  194473 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(194514), // Rule ID 942 //
     /*  194478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194495 */     // MIs[0] rs1
     /*  194495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194507 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194512 */     GIR_RootConstrainSelectedInstOperands,
     /*  194513 */     // GIR_Coverage, 942,
     /*  194513 */     GIR_Done,
     /*  194514 */   // Label 3820: @194514
     /*  194514 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194555), // Rule ID 944 //
     /*  194519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194536 */     // MIs[0] rs1
     /*  194536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194548 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  194553 */     GIR_RootConstrainSelectedInstOperands,
     /*  194554 */     // GIR_Coverage, 944,
     /*  194554 */     GIR_Done,
     /*  194555 */   // Label 3821: @194555
     /*  194555 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194596), // Rule ID 946 //
     /*  194560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194577 */     // MIs[0] rs1
     /*  194577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194589 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  194594 */     GIR_RootConstrainSelectedInstOperands,
     /*  194595 */     // GIR_Coverage, 946,
     /*  194595 */     GIR_Done,
     /*  194596 */   // Label 3822: @194596
     /*  194596 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194637), // Rule ID 948 //
     /*  194601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194618 */     // MIs[0] rs1
     /*  194618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194630 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194635 */     GIR_RootConstrainSelectedInstOperands,
     /*  194636 */     // GIR_Coverage, 948,
     /*  194636 */     GIR_Done,
     /*  194637 */   // Label 3823: @194637
     /*  194637 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194678), // Rule ID 950 //
     /*  194642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194659 */     // MIs[0] rs1
     /*  194659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194671 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  194676 */     GIR_RootConstrainSelectedInstOperands,
     /*  194677 */     // GIR_Coverage, 950,
     /*  194677 */     GIR_Done,
     /*  194678 */   // Label 3824: @194678
     /*  194678 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194719), // Rule ID 952 //
     /*  194683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194700 */     // MIs[0] rs1
     /*  194700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194712 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194717 */     GIR_RootConstrainSelectedInstOperands,
     /*  194718 */     // GIR_Coverage, 952,
     /*  194718 */     GIR_Done,
     /*  194719 */   // Label 3825: @194719
     /*  194719 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(194760), // Rule ID 954 //
     /*  194724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194741 */     // MIs[0] rs1
     /*  194741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194753 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194758 */     GIR_RootConstrainSelectedInstOperands,
     /*  194759 */     // GIR_Coverage, 954,
     /*  194759 */     GIR_Done,
     /*  194760 */   // Label 3826: @194760
     /*  194760 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(194801), // Rule ID 956 //
     /*  194765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194782 */     // MIs[0] rs1
     /*  194782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194794 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194799 */     GIR_RootConstrainSelectedInstOperands,
     /*  194800 */     // GIR_Coverage, 956,
     /*  194800 */     GIR_Done,
     /*  194801 */   // Label 3827: @194801
     /*  194801 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(194842), // Rule ID 958 //
     /*  194806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194823 */     // MIs[0] rs1
     /*  194823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194835 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194840 */     GIR_RootConstrainSelectedInstOperands,
     /*  194841 */     // GIR_Coverage, 958,
     /*  194841 */     GIR_Done,
     /*  194842 */   // Label 3828: @194842
     /*  194842 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(194883), // Rule ID 960 //
     /*  194847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194864 */     // MIs[0] rs1
     /*  194864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194876 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  194881 */     GIR_RootConstrainSelectedInstOperands,
     /*  194882 */     // GIR_Coverage, 960,
     /*  194882 */     GIR_Done,
     /*  194883 */   // Label 3829: @194883
     /*  194883 */   GIM_Reject,
     /*  194884 */ // Label 3789: @194884
     /*  194884 */ GIM_Reject,
     /*  194885 */ // Label 3757: @194885
     /*  194885 */ GIM_Reject,
     /*  194886 */ // Label 32: @194886
     /*  194886 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3832*/ GIMT_Encode4(197795),
     /*  194897 */ /*GILLT_s32*//*Label 3830*/ GIMT_Encode4(194905),
     /*  194901 */ /*GILLT_s64*//*Label 3831*/ GIMT_Encode4(196145),
     /*  194905 */ // Label 3830: @194905
     /*  194905 */ GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(196144),
     /*  194910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  194913 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(194954), // Rule ID 435 //
     /*  194918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194935 */     // MIs[0] rs1
     /*  194935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194947 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  194952 */     GIR_RootConstrainSelectedInstOperands,
     /*  194953 */     // GIR_Coverage, 435,
     /*  194953 */     GIR_Done,
     /*  194954 */   // Label 3834: @194954
     /*  194954 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(194995), // Rule ID 437 //
     /*  194959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194976 */     // MIs[0] rs1
     /*  194976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194988 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  194993 */     GIR_RootConstrainSelectedInstOperands,
     /*  194994 */     // GIR_Coverage, 437,
     /*  194994 */     GIR_Done,
     /*  194995 */   // Label 3835: @194995
     /*  194995 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(195036), // Rule ID 439 //
     /*  195000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195017 */     // MIs[0] rs1
     /*  195017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195029 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  195034 */     GIR_RootConstrainSelectedInstOperands,
     /*  195035 */     // GIR_Coverage, 439,
     /*  195035 */     GIR_Done,
     /*  195036 */   // Label 3836: @195036
     /*  195036 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(195077), // Rule ID 441 //
     /*  195041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195058 */     // MIs[0] rs1
     /*  195058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195070 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195075 */     GIR_RootConstrainSelectedInstOperands,
     /*  195076 */     // GIR_Coverage, 441,
     /*  195076 */     GIR_Done,
     /*  195077 */   // Label 3837: @195077
     /*  195077 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(195118), // Rule ID 443 //
     /*  195082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195099 */     // MIs[0] rs1
     /*  195099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195111 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195116 */     GIR_RootConstrainSelectedInstOperands,
     /*  195117 */     // GIR_Coverage, 443,
     /*  195117 */     GIR_Done,
     /*  195118 */   // Label 3838: @195118
     /*  195118 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(195159), // Rule ID 445 //
     /*  195123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195140 */     // MIs[0] rs1
     /*  195140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195152 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195157 */     GIR_RootConstrainSelectedInstOperands,
     /*  195158 */     // GIR_Coverage, 445,
     /*  195158 */     GIR_Done,
     /*  195159 */   // Label 3839: @195159
     /*  195159 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(195200), // Rule ID 447 //
     /*  195164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195181 */     // MIs[0] rs1
     /*  195181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195193 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195198 */     GIR_RootConstrainSelectedInstOperands,
     /*  195199 */     // GIR_Coverage, 447,
     /*  195199 */     GIR_Done,
     /*  195200 */   // Label 3840: @195200
     /*  195200 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(195241), // Rule ID 449 //
     /*  195205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195222 */     // MIs[0] rs1
     /*  195222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195234 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195239 */     GIR_RootConstrainSelectedInstOperands,
     /*  195240 */     // GIR_Coverage, 449,
     /*  195240 */     GIR_Done,
     /*  195241 */   // Label 3841: @195241
     /*  195241 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(195282), // Rule ID 451 //
     /*  195246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195263 */     // MIs[0] rs1
     /*  195263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195275 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195280 */     GIR_RootConstrainSelectedInstOperands,
     /*  195281 */     // GIR_Coverage, 451,
     /*  195281 */     GIR_Done,
     /*  195282 */   // Label 3842: @195282
     /*  195282 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(195323), // Rule ID 453 //
     /*  195287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195290 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195304 */     // MIs[0] rs1
     /*  195304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195316 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195321 */     GIR_RootConstrainSelectedInstOperands,
     /*  195322 */     // GIR_Coverage, 453,
     /*  195322 */     GIR_Done,
     /*  195323 */   // Label 3843: @195323
     /*  195323 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(195364), // Rule ID 783 //
     /*  195328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195345 */     // MIs[0] rs1
     /*  195345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195357 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195362 */     GIR_RootConstrainSelectedInstOperands,
     /*  195363 */     // GIR_Coverage, 783,
     /*  195363 */     GIR_Done,
     /*  195364 */   // Label 3844: @195364
     /*  195364 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(195405), // Rule ID 785 //
     /*  195369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195386 */     // MIs[0] rs1
     /*  195386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195398 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  195403 */     GIR_RootConstrainSelectedInstOperands,
     /*  195404 */     // GIR_Coverage, 785,
     /*  195404 */     GIR_Done,
     /*  195405 */   // Label 3845: @195405
     /*  195405 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195446), // Rule ID 787 //
     /*  195410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195427 */     // MIs[0] rs1
     /*  195427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195439 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  195444 */     GIR_RootConstrainSelectedInstOperands,
     /*  195445 */     // GIR_Coverage, 787,
     /*  195445 */     GIR_Done,
     /*  195446 */   // Label 3846: @195446
     /*  195446 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195487), // Rule ID 789 //
     /*  195451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195468 */     // MIs[0] rs1
     /*  195468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195480 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195485 */     GIR_RootConstrainSelectedInstOperands,
     /*  195486 */     // GIR_Coverage, 789,
     /*  195486 */     GIR_Done,
     /*  195487 */   // Label 3847: @195487
     /*  195487 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195528), // Rule ID 791 //
     /*  195492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195509 */     // MIs[0] rs1
     /*  195509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195521 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195526 */     GIR_RootConstrainSelectedInstOperands,
     /*  195527 */     // GIR_Coverage, 791,
     /*  195527 */     GIR_Done,
     /*  195528 */   // Label 3848: @195528
     /*  195528 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195569), // Rule ID 793 //
     /*  195533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195550 */     // MIs[0] rs1
     /*  195550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195562 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195567 */     GIR_RootConstrainSelectedInstOperands,
     /*  195568 */     // GIR_Coverage, 793,
     /*  195568 */     GIR_Done,
     /*  195569 */   // Label 3849: @195569
     /*  195569 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195610), // Rule ID 795 //
     /*  195574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195591 */     // MIs[0] rs1
     /*  195591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195603 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195608 */     GIR_RootConstrainSelectedInstOperands,
     /*  195609 */     // GIR_Coverage, 795,
     /*  195609 */     GIR_Done,
     /*  195610 */   // Label 3850: @195610
     /*  195610 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195651), // Rule ID 797 //
     /*  195615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195632 */     // MIs[0] rs1
     /*  195632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195644 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195649 */     GIR_RootConstrainSelectedInstOperands,
     /*  195650 */     // GIR_Coverage, 797,
     /*  195650 */     GIR_Done,
     /*  195651 */   // Label 3851: @195651
     /*  195651 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195692), // Rule ID 799 //
     /*  195656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195673 */     // MIs[0] rs1
     /*  195673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195685 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195690 */     GIR_RootConstrainSelectedInstOperands,
     /*  195691 */     // GIR_Coverage, 799,
     /*  195691 */     GIR_Done,
     /*  195692 */   // Label 3852: @195692
     /*  195692 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(195733), // Rule ID 801 //
     /*  195697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195714 */     // MIs[0] rs1
     /*  195714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195726 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195731 */     GIR_RootConstrainSelectedInstOperands,
     /*  195732 */     // GIR_Coverage, 801,
     /*  195732 */     GIR_Done,
     /*  195733 */   // Label 3853: @195733
     /*  195733 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(195774), // Rule ID 963 //
     /*  195738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195755 */     // MIs[0] rs1
     /*  195755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195767 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  195772 */     GIR_RootConstrainSelectedInstOperands,
     /*  195773 */     // GIR_Coverage, 963,
     /*  195773 */     GIR_Done,
     /*  195774 */   // Label 3854: @195774
     /*  195774 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(195815), // Rule ID 965 //
     /*  195779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195782 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195789 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195796 */     // MIs[0] rs1
     /*  195796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195808 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  195813 */     GIR_RootConstrainSelectedInstOperands,
     /*  195814 */     // GIR_Coverage, 965,
     /*  195814 */     GIR_Done,
     /*  195815 */   // Label 3855: @195815
     /*  195815 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(195856), // Rule ID 967 //
     /*  195820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195837 */     // MIs[0] rs1
     /*  195837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195849 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  195854 */     GIR_RootConstrainSelectedInstOperands,
     /*  195855 */     // GIR_Coverage, 967,
     /*  195855 */     GIR_Done,
     /*  195856 */   // Label 3856: @195856
     /*  195856 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(195897), // Rule ID 969 //
     /*  195861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195871 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195878 */     // MIs[0] rs1
     /*  195878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195890 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  195895 */     GIR_RootConstrainSelectedInstOperands,
     /*  195896 */     // GIR_Coverage, 969,
     /*  195896 */     GIR_Done,
     /*  195897 */   // Label 3857: @195897
     /*  195897 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(195938), // Rule ID 971 //
     /*  195902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195919 */     // MIs[0] rs1
     /*  195919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195931 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  195936 */     GIR_RootConstrainSelectedInstOperands,
     /*  195937 */     // GIR_Coverage, 971,
     /*  195937 */     GIR_Done,
     /*  195938 */   // Label 3858: @195938
     /*  195938 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(195979), // Rule ID 973 //
     /*  195943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195960 */     // MIs[0] rs1
     /*  195960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195972 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  195977 */     GIR_RootConstrainSelectedInstOperands,
     /*  195978 */     // GIR_Coverage, 973,
     /*  195978 */     GIR_Done,
     /*  195979 */   // Label 3859: @195979
     /*  195979 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(196020), // Rule ID 975 //
     /*  195984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196001 */     // MIs[0] rs1
     /*  196001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196013 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196018 */     GIR_RootConstrainSelectedInstOperands,
     /*  196019 */     // GIR_Coverage, 975,
     /*  196019 */     GIR_Done,
     /*  196020 */   // Label 3860: @196020
     /*  196020 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(196061), // Rule ID 977 //
     /*  196025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196042 */     // MIs[0] rs1
     /*  196042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196054 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196059 */     GIR_RootConstrainSelectedInstOperands,
     /*  196060 */     // GIR_Coverage, 977,
     /*  196060 */     GIR_Done,
     /*  196061 */   // Label 3861: @196061
     /*  196061 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(196102), // Rule ID 979 //
     /*  196066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196069 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196076 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196083 */     // MIs[0] rs1
     /*  196083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196095 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196100 */     GIR_RootConstrainSelectedInstOperands,
     /*  196101 */     // GIR_Coverage, 979,
     /*  196101 */     GIR_Done,
     /*  196102 */   // Label 3862: @196102
     /*  196102 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(196143), // Rule ID 981 //
     /*  196107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196124 */     // MIs[0] rs1
     /*  196124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196136 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196141 */     GIR_RootConstrainSelectedInstOperands,
     /*  196142 */     // GIR_Coverage, 981,
     /*  196142 */     GIR_Done,
     /*  196143 */   // Label 3863: @196143
     /*  196143 */   GIM_Reject,
     /*  196144 */ // Label 3833: @196144
     /*  196144 */ GIM_Reject,
     /*  196145 */ // Label 3831: @196145
     /*  196145 */ GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(197794),
     /*  196150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  196153 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(196194), // Rule ID 434 //
     /*  196158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196175 */     // MIs[0] rs1
     /*  196175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196187 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196192 */     GIR_RootConstrainSelectedInstOperands,
     /*  196193 */     // GIR_Coverage, 434,
     /*  196193 */     GIR_Done,
     /*  196194 */   // Label 3865: @196194
     /*  196194 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(196235), // Rule ID 436 //
     /*  196199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196216 */     // MIs[0] rs1
     /*  196216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196228 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  196233 */     GIR_RootConstrainSelectedInstOperands,
     /*  196234 */     // GIR_Coverage, 436,
     /*  196234 */     GIR_Done,
     /*  196235 */   // Label 3866: @196235
     /*  196235 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(196276), // Rule ID 438 //
     /*  196240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196257 */     // MIs[0] rs1
     /*  196257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196269 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  196274 */     GIR_RootConstrainSelectedInstOperands,
     /*  196275 */     // GIR_Coverage, 438,
     /*  196275 */     GIR_Done,
     /*  196276 */   // Label 3867: @196276
     /*  196276 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(196317), // Rule ID 440 //
     /*  196281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196298 */     // MIs[0] rs1
     /*  196298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196310 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196315 */     GIR_RootConstrainSelectedInstOperands,
     /*  196316 */     // GIR_Coverage, 440,
     /*  196316 */     GIR_Done,
     /*  196317 */   // Label 3868: @196317
     /*  196317 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(196358), // Rule ID 442 //
     /*  196322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196339 */     // MIs[0] rs1
     /*  196339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196351 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  196356 */     GIR_RootConstrainSelectedInstOperands,
     /*  196357 */     // GIR_Coverage, 442,
     /*  196357 */     GIR_Done,
     /*  196358 */   // Label 3869: @196358
     /*  196358 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(196399), // Rule ID 444 //
     /*  196363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196380 */     // MIs[0] rs1
     /*  196380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196392 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196397 */     GIR_RootConstrainSelectedInstOperands,
     /*  196398 */     // GIR_Coverage, 444,
     /*  196398 */     GIR_Done,
     /*  196399 */   // Label 3870: @196399
     /*  196399 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(196440), // Rule ID 446 //
     /*  196404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196421 */     // MIs[0] rs1
     /*  196421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196433 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196438 */     GIR_RootConstrainSelectedInstOperands,
     /*  196439 */     // GIR_Coverage, 446,
     /*  196439 */     GIR_Done,
     /*  196440 */   // Label 3871: @196440
     /*  196440 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(196481), // Rule ID 448 //
     /*  196445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196462 */     // MIs[0] rs1
     /*  196462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196474 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196479 */     GIR_RootConstrainSelectedInstOperands,
     /*  196480 */     // GIR_Coverage, 448,
     /*  196480 */     GIR_Done,
     /*  196481 */   // Label 3872: @196481
     /*  196481 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(196522), // Rule ID 450 //
     /*  196486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196503 */     // MIs[0] rs1
     /*  196503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196515 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196520 */     GIR_RootConstrainSelectedInstOperands,
     /*  196521 */     // GIR_Coverage, 450,
     /*  196521 */     GIR_Done,
     /*  196522 */   // Label 3873: @196522
     /*  196522 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(196563), // Rule ID 452 //
     /*  196527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196544 */     // MIs[0] rs1
     /*  196544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196556 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  196561 */     GIR_RootConstrainSelectedInstOperands,
     /*  196562 */     // GIR_Coverage, 452,
     /*  196562 */     GIR_Done,
     /*  196563 */   // Label 3874: @196563
     /*  196563 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196604), // Rule ID 564 //
     /*  196568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196585 */     // MIs[0] rs1
     /*  196585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196597 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196602 */     GIR_RootConstrainSelectedInstOperands,
     /*  196603 */     // GIR_Coverage, 564,
     /*  196603 */     GIR_Done,
     /*  196604 */   // Label 3875: @196604
     /*  196604 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196645), // Rule ID 565 //
     /*  196609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196626 */     // MIs[0] rs1
     /*  196626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196638 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  196643 */     GIR_RootConstrainSelectedInstOperands,
     /*  196644 */     // GIR_Coverage, 565,
     /*  196644 */     GIR_Done,
     /*  196645 */   // Label 3876: @196645
     /*  196645 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196686), // Rule ID 566 //
     /*  196650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196667 */     // MIs[0] rs1
     /*  196667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196679 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  196684 */     GIR_RootConstrainSelectedInstOperands,
     /*  196685 */     // GIR_Coverage, 566,
     /*  196685 */     GIR_Done,
     /*  196686 */   // Label 3877: @196686
     /*  196686 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(196727), // Rule ID 567 //
     /*  196691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196708 */     // MIs[0] rs1
     /*  196708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196720 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  196725 */     GIR_RootConstrainSelectedInstOperands,
     /*  196726 */     // GIR_Coverage, 567,
     /*  196726 */     GIR_Done,
     /*  196727 */   // Label 3878: @196727
     /*  196727 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(196768), // Rule ID 568 //
     /*  196732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196749 */     // MIs[0] rs1
     /*  196749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196761 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  196766 */     GIR_RootConstrainSelectedInstOperands,
     /*  196767 */     // GIR_Coverage, 568,
     /*  196767 */     GIR_Done,
     /*  196768 */   // Label 3879: @196768
     /*  196768 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(196809), // Rule ID 569 //
     /*  196773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196790 */     // MIs[0] rs1
     /*  196790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196802 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196807 */     GIR_RootConstrainSelectedInstOperands,
     /*  196808 */     // GIR_Coverage, 569,
     /*  196808 */     GIR_Done,
     /*  196809 */   // Label 3880: @196809
     /*  196809 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(196850), // Rule ID 570 //
     /*  196814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196831 */     // MIs[0] rs1
     /*  196831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196843 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196848 */     GIR_RootConstrainSelectedInstOperands,
     /*  196849 */     // GIR_Coverage, 570,
     /*  196849 */     GIR_Done,
     /*  196850 */   // Label 3881: @196850
     /*  196850 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(196891), // Rule ID 571 //
     /*  196855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196872 */     // MIs[0] rs1
     /*  196872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196884 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196889 */     GIR_RootConstrainSelectedInstOperands,
     /*  196890 */     // GIR_Coverage, 571,
     /*  196890 */     GIR_Done,
     /*  196891 */   // Label 3882: @196891
     /*  196891 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(196932), // Rule ID 572 //
     /*  196896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196913 */     // MIs[0] rs1
     /*  196913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196925 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196930 */     GIR_RootConstrainSelectedInstOperands,
     /*  196931 */     // GIR_Coverage, 572,
     /*  196931 */     GIR_Done,
     /*  196932 */   // Label 3883: @196932
     /*  196932 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(196973), // Rule ID 573 //
     /*  196937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196954 */     // MIs[0] rs1
     /*  196954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196966 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  196971 */     GIR_RootConstrainSelectedInstOperands,
     /*  196972 */     // GIR_Coverage, 573,
     /*  196972 */     GIR_Done,
     /*  196973 */   // Label 3884: @196973
     /*  196973 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(197014), // Rule ID 782 //
     /*  196978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196995 */     // MIs[0] rs1
     /*  196995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197007 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197012 */     GIR_RootConstrainSelectedInstOperands,
     /*  197013 */     // GIR_Coverage, 782,
     /*  197013 */     GIR_Done,
     /*  197014 */   // Label 3885: @197014
     /*  197014 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(197055), // Rule ID 784 //
     /*  197019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197036 */     // MIs[0] rs1
     /*  197036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197048 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  197053 */     GIR_RootConstrainSelectedInstOperands,
     /*  197054 */     // GIR_Coverage, 784,
     /*  197054 */     GIR_Done,
     /*  197055 */   // Label 3886: @197055
     /*  197055 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(197096), // Rule ID 786 //
     /*  197060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197077 */     // MIs[0] rs1
     /*  197077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197089 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  197094 */     GIR_RootConstrainSelectedInstOperands,
     /*  197095 */     // GIR_Coverage, 786,
     /*  197095 */     GIR_Done,
     /*  197096 */   // Label 3887: @197096
     /*  197096 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(197137), // Rule ID 788 //
     /*  197101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197118 */     // MIs[0] rs1
     /*  197118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197130 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197135 */     GIR_RootConstrainSelectedInstOperands,
     /*  197136 */     // GIR_Coverage, 788,
     /*  197136 */     GIR_Done,
     /*  197137 */   // Label 3888: @197137
     /*  197137 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(197178), // Rule ID 790 //
     /*  197142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197159 */     // MIs[0] rs1
     /*  197159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197171 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  197176 */     GIR_RootConstrainSelectedInstOperands,
     /*  197177 */     // GIR_Coverage, 790,
     /*  197177 */     GIR_Done,
     /*  197178 */   // Label 3889: @197178
     /*  197178 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(197219), // Rule ID 792 //
     /*  197183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197200 */     // MIs[0] rs1
     /*  197200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197212 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197217 */     GIR_RootConstrainSelectedInstOperands,
     /*  197218 */     // GIR_Coverage, 792,
     /*  197218 */     GIR_Done,
     /*  197219 */   // Label 3890: @197219
     /*  197219 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(197260), // Rule ID 794 //
     /*  197224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197241 */     // MIs[0] rs1
     /*  197241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197253 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197258 */     GIR_RootConstrainSelectedInstOperands,
     /*  197259 */     // GIR_Coverage, 794,
     /*  197259 */     GIR_Done,
     /*  197260 */   // Label 3891: @197260
     /*  197260 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(197301), // Rule ID 796 //
     /*  197265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197282 */     // MIs[0] rs1
     /*  197282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197294 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197299 */     GIR_RootConstrainSelectedInstOperands,
     /*  197300 */     // GIR_Coverage, 796,
     /*  197300 */     GIR_Done,
     /*  197301 */   // Label 3892: @197301
     /*  197301 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(197342), // Rule ID 798 //
     /*  197306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197323 */     // MIs[0] rs1
     /*  197323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197335 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197340 */     GIR_RootConstrainSelectedInstOperands,
     /*  197341 */     // GIR_Coverage, 798,
     /*  197341 */     GIR_Done,
     /*  197342 */   // Label 3893: @197342
     /*  197342 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(197383), // Rule ID 800 //
     /*  197347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197364 */     // MIs[0] rs1
     /*  197364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197376 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  197381 */     GIR_RootConstrainSelectedInstOperands,
     /*  197382 */     // GIR_Coverage, 800,
     /*  197382 */     GIR_Done,
     /*  197383 */   // Label 3894: @197383
     /*  197383 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(197424), // Rule ID 962 //
     /*  197388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197405 */     // MIs[0] rs1
     /*  197405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197417 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197422 */     GIR_RootConstrainSelectedInstOperands,
     /*  197423 */     // GIR_Coverage, 962,
     /*  197423 */     GIR_Done,
     /*  197424 */   // Label 3895: @197424
     /*  197424 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(197465), // Rule ID 964 //
     /*  197429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197446 */     // MIs[0] rs1
     /*  197446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197458 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  197463 */     GIR_RootConstrainSelectedInstOperands,
     /*  197464 */     // GIR_Coverage, 964,
     /*  197464 */     GIR_Done,
     /*  197465 */   // Label 3896: @197465
     /*  197465 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(197506), // Rule ID 966 //
     /*  197470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197487 */     // MIs[0] rs1
     /*  197487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197499 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  197504 */     GIR_RootConstrainSelectedInstOperands,
     /*  197505 */     // GIR_Coverage, 966,
     /*  197505 */     GIR_Done,
     /*  197506 */   // Label 3897: @197506
     /*  197506 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197547), // Rule ID 968 //
     /*  197511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197521 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197528 */     // MIs[0] rs1
     /*  197528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197540 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197545 */     GIR_RootConstrainSelectedInstOperands,
     /*  197546 */     // GIR_Coverage, 968,
     /*  197546 */     GIR_Done,
     /*  197547 */   // Label 3898: @197547
     /*  197547 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197588), // Rule ID 970 //
     /*  197552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197569 */     // MIs[0] rs1
     /*  197569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197581 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  197586 */     GIR_RootConstrainSelectedInstOperands,
     /*  197587 */     // GIR_Coverage, 970,
     /*  197587 */     GIR_Done,
     /*  197588 */   // Label 3899: @197588
     /*  197588 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197629), // Rule ID 972 //
     /*  197593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197610 */     // MIs[0] rs1
     /*  197610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197622 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197627 */     GIR_RootConstrainSelectedInstOperands,
     /*  197628 */     // GIR_Coverage, 972,
     /*  197628 */     GIR_Done,
     /*  197629 */   // Label 3900: @197629
     /*  197629 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197670), // Rule ID 974 //
     /*  197634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197651 */     // MIs[0] rs1
     /*  197651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197663 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197668 */     GIR_RootConstrainSelectedInstOperands,
     /*  197669 */     // GIR_Coverage, 974,
     /*  197669 */     GIR_Done,
     /*  197670 */   // Label 3901: @197670
     /*  197670 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197711), // Rule ID 976 //
     /*  197675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197692 */     // MIs[0] rs1
     /*  197692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197704 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197709 */     GIR_RootConstrainSelectedInstOperands,
     /*  197710 */     // GIR_Coverage, 976,
     /*  197710 */     GIR_Done,
     /*  197711 */   // Label 3902: @197711
     /*  197711 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(197752), // Rule ID 978 //
     /*  197716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197733 */     // MIs[0] rs1
     /*  197733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197745 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197750 */     GIR_RootConstrainSelectedInstOperands,
     /*  197751 */     // GIR_Coverage, 978,
     /*  197751 */     GIR_Done,
     /*  197752 */   // Label 3903: @197752
     /*  197752 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(197793), // Rule ID 980 //
     /*  197757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197774 */     // MIs[0] rs1
     /*  197774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197786 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  197791 */     GIR_RootConstrainSelectedInstOperands,
     /*  197792 */     // GIR_Coverage, 980,
     /*  197792 */     GIR_Done,
     /*  197793 */   // Label 3904: @197793
     /*  197793 */   GIM_Reject,
     /*  197794 */ // Label 3864: @197794
     /*  197794 */ GIM_Reject,
     /*  197795 */ // Label 3832: @197795
     /*  197795 */ GIM_Reject,
     /*  197796 */ // Label 33: @197796
     /*  197796 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3907*/ GIMT_Encode4(200705),
     /*  197807 */ /*GILLT_s32*//*Label 3905*/ GIMT_Encode4(197815),
     /*  197811 */ /*GILLT_s64*//*Label 3906*/ GIMT_Encode4(199055),
     /*  197815 */ // Label 3905: @197815
     /*  197815 */ GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(199054),
     /*  197820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  197823 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(197864), // Rule ID 455 //
     /*  197828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197845 */     // MIs[0] rs1
     /*  197845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197857 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  197862 */     GIR_RootConstrainSelectedInstOperands,
     /*  197863 */     // GIR_Coverage, 455,
     /*  197863 */     GIR_Done,
     /*  197864 */   // Label 3909: @197864
     /*  197864 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(197905), // Rule ID 457 //
     /*  197869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197886 */     // MIs[0] rs1
     /*  197886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197898 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  197903 */     GIR_RootConstrainSelectedInstOperands,
     /*  197904 */     // GIR_Coverage, 457,
     /*  197904 */     GIR_Done,
     /*  197905 */   // Label 3910: @197905
     /*  197905 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(197946), // Rule ID 459 //
     /*  197910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197927 */     // MIs[0] rs1
     /*  197927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197939 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  197944 */     GIR_RootConstrainSelectedInstOperands,
     /*  197945 */     // GIR_Coverage, 459,
     /*  197945 */     GIR_Done,
     /*  197946 */   // Label 3911: @197946
     /*  197946 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(197987), // Rule ID 461 //
     /*  197951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197968 */     // MIs[0] rs1
     /*  197968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197980 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  197985 */     GIR_RootConstrainSelectedInstOperands,
     /*  197986 */     // GIR_Coverage, 461,
     /*  197986 */     GIR_Done,
     /*  197987 */   // Label 3912: @197987
     /*  197987 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(198028), // Rule ID 463 //
     /*  197992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198009 */     // MIs[0] rs1
     /*  198009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198021 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198026 */     GIR_RootConstrainSelectedInstOperands,
     /*  198027 */     // GIR_Coverage, 463,
     /*  198027 */     GIR_Done,
     /*  198028 */   // Label 3913: @198028
     /*  198028 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(198069), // Rule ID 465 //
     /*  198033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198050 */     // MIs[0] rs1
     /*  198050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198062 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198067 */     GIR_RootConstrainSelectedInstOperands,
     /*  198068 */     // GIR_Coverage, 465,
     /*  198068 */     GIR_Done,
     /*  198069 */   // Label 3914: @198069
     /*  198069 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(198110), // Rule ID 467 //
     /*  198074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198091 */     // MIs[0] rs1
     /*  198091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198103 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198108 */     GIR_RootConstrainSelectedInstOperands,
     /*  198109 */     // GIR_Coverage, 467,
     /*  198109 */     GIR_Done,
     /*  198110 */   // Label 3915: @198110
     /*  198110 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(198151), // Rule ID 469 //
     /*  198115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198132 */     // MIs[0] rs1
     /*  198132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198144 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198149 */     GIR_RootConstrainSelectedInstOperands,
     /*  198150 */     // GIR_Coverage, 469,
     /*  198150 */     GIR_Done,
     /*  198151 */   // Label 3916: @198151
     /*  198151 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(198192), // Rule ID 471 //
     /*  198156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198173 */     // MIs[0] rs1
     /*  198173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198185 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198190 */     GIR_RootConstrainSelectedInstOperands,
     /*  198191 */     // GIR_Coverage, 471,
     /*  198191 */     GIR_Done,
     /*  198192 */   // Label 3917: @198192
     /*  198192 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(198233), // Rule ID 473 //
     /*  198197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198214 */     // MIs[0] rs1
     /*  198214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198226 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198231 */     GIR_RootConstrainSelectedInstOperands,
     /*  198232 */     // GIR_Coverage, 473,
     /*  198232 */     GIR_Done,
     /*  198233 */   // Label 3918: @198233
     /*  198233 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(198274), // Rule ID 803 //
     /*  198238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198255 */     // MIs[0] rs1
     /*  198255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198267 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198272 */     GIR_RootConstrainSelectedInstOperands,
     /*  198273 */     // GIR_Coverage, 803,
     /*  198273 */     GIR_Done,
     /*  198274 */   // Label 3919: @198274
     /*  198274 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(198315), // Rule ID 805 //
     /*  198279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198296 */     // MIs[0] rs1
     /*  198296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198308 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  198313 */     GIR_RootConstrainSelectedInstOperands,
     /*  198314 */     // GIR_Coverage, 805,
     /*  198314 */     GIR_Done,
     /*  198315 */   // Label 3920: @198315
     /*  198315 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(198356), // Rule ID 807 //
     /*  198320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198337 */     // MIs[0] rs1
     /*  198337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198349 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  198354 */     GIR_RootConstrainSelectedInstOperands,
     /*  198355 */     // GIR_Coverage, 807,
     /*  198355 */     GIR_Done,
     /*  198356 */   // Label 3921: @198356
     /*  198356 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(198397), // Rule ID 809 //
     /*  198361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198378 */     // MIs[0] rs1
     /*  198378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198390 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198395 */     GIR_RootConstrainSelectedInstOperands,
     /*  198396 */     // GIR_Coverage, 809,
     /*  198396 */     GIR_Done,
     /*  198397 */   // Label 3922: @198397
     /*  198397 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(198438), // Rule ID 811 //
     /*  198402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198419 */     // MIs[0] rs1
     /*  198419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198431 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198436 */     GIR_RootConstrainSelectedInstOperands,
     /*  198437 */     // GIR_Coverage, 811,
     /*  198437 */     GIR_Done,
     /*  198438 */   // Label 3923: @198438
     /*  198438 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198479), // Rule ID 813 //
     /*  198443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198460 */     // MIs[0] rs1
     /*  198460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198472 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198477 */     GIR_RootConstrainSelectedInstOperands,
     /*  198478 */     // GIR_Coverage, 813,
     /*  198478 */     GIR_Done,
     /*  198479 */   // Label 3924: @198479
     /*  198479 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198520), // Rule ID 815 //
     /*  198484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198501 */     // MIs[0] rs1
     /*  198501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198513 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198518 */     GIR_RootConstrainSelectedInstOperands,
     /*  198519 */     // GIR_Coverage, 815,
     /*  198519 */     GIR_Done,
     /*  198520 */   // Label 3925: @198520
     /*  198520 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198561), // Rule ID 817 //
     /*  198525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198542 */     // MIs[0] rs1
     /*  198542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198554 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198559 */     GIR_RootConstrainSelectedInstOperands,
     /*  198560 */     // GIR_Coverage, 817,
     /*  198560 */     GIR_Done,
     /*  198561 */   // Label 3926: @198561
     /*  198561 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198602), // Rule ID 819 //
     /*  198566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198583 */     // MIs[0] rs1
     /*  198583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198595 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198600 */     GIR_RootConstrainSelectedInstOperands,
     /*  198601 */     // GIR_Coverage, 819,
     /*  198601 */     GIR_Done,
     /*  198602 */   // Label 3927: @198602
     /*  198602 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198643), // Rule ID 821 //
     /*  198607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198624 */     // MIs[0] rs1
     /*  198624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198636 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198641 */     GIR_RootConstrainSelectedInstOperands,
     /*  198642 */     // GIR_Coverage, 821,
     /*  198642 */     GIR_Done,
     /*  198643 */   // Label 3928: @198643
     /*  198643 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198684), // Rule ID 983 //
     /*  198648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198665 */     // MIs[0] rs1
     /*  198665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198677 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198682 */     GIR_RootConstrainSelectedInstOperands,
     /*  198683 */     // GIR_Coverage, 983,
     /*  198683 */     GIR_Done,
     /*  198684 */   // Label 3929: @198684
     /*  198684 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(198725), // Rule ID 985 //
     /*  198689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198706 */     // MIs[0] rs1
     /*  198706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198718 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  198723 */     GIR_RootConstrainSelectedInstOperands,
     /*  198724 */     // GIR_Coverage, 985,
     /*  198724 */     GIR_Done,
     /*  198725 */   // Label 3930: @198725
     /*  198725 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(198766), // Rule ID 987 //
     /*  198730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198747 */     // MIs[0] rs1
     /*  198747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198759 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  198764 */     GIR_RootConstrainSelectedInstOperands,
     /*  198765 */     // GIR_Coverage, 987,
     /*  198765 */     GIR_Done,
     /*  198766 */   // Label 3931: @198766
     /*  198766 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(198807), // Rule ID 989 //
     /*  198771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198788 */     // MIs[0] rs1
     /*  198788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198800 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  198805 */     GIR_RootConstrainSelectedInstOperands,
     /*  198806 */     // GIR_Coverage, 989,
     /*  198806 */     GIR_Done,
     /*  198807 */   // Label 3932: @198807
     /*  198807 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(198848), // Rule ID 991 //
     /*  198812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198829 */     // MIs[0] rs1
     /*  198829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198841 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  198846 */     GIR_RootConstrainSelectedInstOperands,
     /*  198847 */     // GIR_Coverage, 991,
     /*  198847 */     GIR_Done,
     /*  198848 */   // Label 3933: @198848
     /*  198848 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(198889), // Rule ID 993 //
     /*  198853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198856 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198863 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198870 */     // MIs[0] rs1
     /*  198870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198882 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198887 */     GIR_RootConstrainSelectedInstOperands,
     /*  198888 */     // GIR_Coverage, 993,
     /*  198888 */     GIR_Done,
     /*  198889 */   // Label 3934: @198889
     /*  198889 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(198930), // Rule ID 995 //
     /*  198894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198911 */     // MIs[0] rs1
     /*  198911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198923 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198928 */     GIR_RootConstrainSelectedInstOperands,
     /*  198929 */     // GIR_Coverage, 995,
     /*  198929 */     GIR_Done,
     /*  198930 */   // Label 3935: @198930
     /*  198930 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(198971), // Rule ID 997 //
     /*  198935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198952 */     // MIs[0] rs1
     /*  198952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198964 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  198969 */     GIR_RootConstrainSelectedInstOperands,
     /*  198970 */     // GIR_Coverage, 997,
     /*  198970 */     GIR_Done,
     /*  198971 */   // Label 3936: @198971
     /*  198971 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(199012), // Rule ID 999 //
     /*  198976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198993 */     // MIs[0] rs1
     /*  198993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199005 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199010 */     GIR_RootConstrainSelectedInstOperands,
     /*  199011 */     // GIR_Coverage, 999,
     /*  199011 */     GIR_Done,
     /*  199012 */   // Label 3937: @199012
     /*  199012 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(199053), // Rule ID 1001 //
     /*  199017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  199020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199034 */     // MIs[0] rs1
     /*  199034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199046 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199051 */     GIR_RootConstrainSelectedInstOperands,
     /*  199052 */     // GIR_Coverage, 1001,
     /*  199052 */     GIR_Done,
     /*  199053 */   // Label 3938: @199053
     /*  199053 */   GIM_Reject,
     /*  199054 */ // Label 3908: @199054
     /*  199054 */ GIM_Reject,
     /*  199055 */ // Label 3906: @199055
     /*  199055 */ GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(200704),
     /*  199060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  199063 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(199104), // Rule ID 454 //
     /*  199068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199085 */     // MIs[0] rs1
     /*  199085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199097 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199102 */     GIR_RootConstrainSelectedInstOperands,
     /*  199103 */     // GIR_Coverage, 454,
     /*  199103 */     GIR_Done,
     /*  199104 */   // Label 3940: @199104
     /*  199104 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(199145), // Rule ID 456 //
     /*  199109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199126 */     // MIs[0] rs1
     /*  199126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199138 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  199143 */     GIR_RootConstrainSelectedInstOperands,
     /*  199144 */     // GIR_Coverage, 456,
     /*  199144 */     GIR_Done,
     /*  199145 */   // Label 3941: @199145
     /*  199145 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(199186), // Rule ID 458 //
     /*  199150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199167 */     // MIs[0] rs1
     /*  199167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199179 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  199184 */     GIR_RootConstrainSelectedInstOperands,
     /*  199185 */     // GIR_Coverage, 458,
     /*  199185 */     GIR_Done,
     /*  199186 */   // Label 3942: @199186
     /*  199186 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(199227), // Rule ID 460 //
     /*  199191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199208 */     // MIs[0] rs1
     /*  199208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199220 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199225 */     GIR_RootConstrainSelectedInstOperands,
     /*  199226 */     // GIR_Coverage, 460,
     /*  199226 */     GIR_Done,
     /*  199227 */   // Label 3943: @199227
     /*  199227 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(199268), // Rule ID 462 //
     /*  199232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199249 */     // MIs[0] rs1
     /*  199249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199261 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  199266 */     GIR_RootConstrainSelectedInstOperands,
     /*  199267 */     // GIR_Coverage, 462,
     /*  199267 */     GIR_Done,
     /*  199268 */   // Label 3944: @199268
     /*  199268 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(199309), // Rule ID 464 //
     /*  199273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199290 */     // MIs[0] rs1
     /*  199290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199302 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199307 */     GIR_RootConstrainSelectedInstOperands,
     /*  199308 */     // GIR_Coverage, 464,
     /*  199308 */     GIR_Done,
     /*  199309 */   // Label 3945: @199309
     /*  199309 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(199350), // Rule ID 466 //
     /*  199314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199331 */     // MIs[0] rs1
     /*  199331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199343 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199348 */     GIR_RootConstrainSelectedInstOperands,
     /*  199349 */     // GIR_Coverage, 466,
     /*  199349 */     GIR_Done,
     /*  199350 */   // Label 3946: @199350
     /*  199350 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199391), // Rule ID 468 //
     /*  199355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199372 */     // MIs[0] rs1
     /*  199372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199384 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199389 */     GIR_RootConstrainSelectedInstOperands,
     /*  199390 */     // GIR_Coverage, 468,
     /*  199390 */     GIR_Done,
     /*  199391 */   // Label 3947: @199391
     /*  199391 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199432), // Rule ID 470 //
     /*  199396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199413 */     // MIs[0] rs1
     /*  199413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199425 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199430 */     GIR_RootConstrainSelectedInstOperands,
     /*  199431 */     // GIR_Coverage, 470,
     /*  199431 */     GIR_Done,
     /*  199432 */   // Label 3948: @199432
     /*  199432 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199473), // Rule ID 472 //
     /*  199437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199454 */     // MIs[0] rs1
     /*  199454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199466 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  199471 */     GIR_RootConstrainSelectedInstOperands,
     /*  199472 */     // GIR_Coverage, 472,
     /*  199472 */     GIR_Done,
     /*  199473 */   // Label 3949: @199473
     /*  199473 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199514), // Rule ID 574 //
     /*  199478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199495 */     // MIs[0] rs1
     /*  199495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199507 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199512 */     GIR_RootConstrainSelectedInstOperands,
     /*  199513 */     // GIR_Coverage, 574,
     /*  199513 */     GIR_Done,
     /*  199514 */   // Label 3950: @199514
     /*  199514 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199555), // Rule ID 575 //
     /*  199519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199536 */     // MIs[0] rs1
     /*  199536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199548 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  199553 */     GIR_RootConstrainSelectedInstOperands,
     /*  199554 */     // GIR_Coverage, 575,
     /*  199554 */     GIR_Done,
     /*  199555 */   // Label 3951: @199555
     /*  199555 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199596), // Rule ID 576 //
     /*  199560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199577 */     // MIs[0] rs1
     /*  199577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199589 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  199594 */     GIR_RootConstrainSelectedInstOperands,
     /*  199595 */     // GIR_Coverage, 576,
     /*  199595 */     GIR_Done,
     /*  199596 */   // Label 3952: @199596
     /*  199596 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199637), // Rule ID 577 //
     /*  199601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199618 */     // MIs[0] rs1
     /*  199618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199630 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  199635 */     GIR_RootConstrainSelectedInstOperands,
     /*  199636 */     // GIR_Coverage, 577,
     /*  199636 */     GIR_Done,
     /*  199637 */   // Label 3953: @199637
     /*  199637 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199678), // Rule ID 578 //
     /*  199642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199659 */     // MIs[0] rs1
     /*  199659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199671 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  199676 */     GIR_RootConstrainSelectedInstOperands,
     /*  199677 */     // GIR_Coverage, 578,
     /*  199677 */     GIR_Done,
     /*  199678 */   // Label 3954: @199678
     /*  199678 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199719), // Rule ID 579 //
     /*  199683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199700 */     // MIs[0] rs1
     /*  199700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199712 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199717 */     GIR_RootConstrainSelectedInstOperands,
     /*  199718 */     // GIR_Coverage, 579,
     /*  199718 */     GIR_Done,
     /*  199719 */   // Label 3955: @199719
     /*  199719 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(199760), // Rule ID 580 //
     /*  199724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199741 */     // MIs[0] rs1
     /*  199741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199753 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199758 */     GIR_RootConstrainSelectedInstOperands,
     /*  199759 */     // GIR_Coverage, 580,
     /*  199759 */     GIR_Done,
     /*  199760 */   // Label 3956: @199760
     /*  199760 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(199801), // Rule ID 581 //
     /*  199765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199782 */     // MIs[0] rs1
     /*  199782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199794 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199799 */     GIR_RootConstrainSelectedInstOperands,
     /*  199800 */     // GIR_Coverage, 581,
     /*  199800 */     GIR_Done,
     /*  199801 */   // Label 3957: @199801
     /*  199801 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(199842), // Rule ID 582 //
     /*  199806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199823 */     // MIs[0] rs1
     /*  199823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199835 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199840 */     GIR_RootConstrainSelectedInstOperands,
     /*  199841 */     // GIR_Coverage, 582,
     /*  199841 */     GIR_Done,
     /*  199842 */   // Label 3958: @199842
     /*  199842 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(199883), // Rule ID 583 //
     /*  199847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199864 */     // MIs[0] rs1
     /*  199864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199876 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  199881 */     GIR_RootConstrainSelectedInstOperands,
     /*  199882 */     // GIR_Coverage, 583,
     /*  199882 */     GIR_Done,
     /*  199883 */   // Label 3959: @199883
     /*  199883 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(199924), // Rule ID 802 //
     /*  199888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199905 */     // MIs[0] rs1
     /*  199905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199917 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199922 */     GIR_RootConstrainSelectedInstOperands,
     /*  199923 */     // GIR_Coverage, 802,
     /*  199923 */     GIR_Done,
     /*  199924 */   // Label 3960: @199924
     /*  199924 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(199965), // Rule ID 804 //
     /*  199929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199946 */     // MIs[0] rs1
     /*  199946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199958 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  199963 */     GIR_RootConstrainSelectedInstOperands,
     /*  199964 */     // GIR_Coverage, 804,
     /*  199964 */     GIR_Done,
     /*  199965 */   // Label 3961: @199965
     /*  199965 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(200006), // Rule ID 806 //
     /*  199970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199987 */     // MIs[0] rs1
     /*  199987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199999 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  200004 */     GIR_RootConstrainSelectedInstOperands,
     /*  200005 */     // GIR_Coverage, 806,
     /*  200005 */     GIR_Done,
     /*  200006 */   // Label 3962: @200006
     /*  200006 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(200047), // Rule ID 808 //
     /*  200011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200028 */     // MIs[0] rs1
     /*  200028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200040 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200045 */     GIR_RootConstrainSelectedInstOperands,
     /*  200046 */     // GIR_Coverage, 808,
     /*  200046 */     GIR_Done,
     /*  200047 */   // Label 3963: @200047
     /*  200047 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(200088), // Rule ID 810 //
     /*  200052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200069 */     // MIs[0] rs1
     /*  200069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200081 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  200086 */     GIR_RootConstrainSelectedInstOperands,
     /*  200087 */     // GIR_Coverage, 810,
     /*  200087 */     GIR_Done,
     /*  200088 */   // Label 3964: @200088
     /*  200088 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(200129), // Rule ID 812 //
     /*  200093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200110 */     // MIs[0] rs1
     /*  200110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200122 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200127 */     GIR_RootConstrainSelectedInstOperands,
     /*  200128 */     // GIR_Coverage, 812,
     /*  200128 */     GIR_Done,
     /*  200129 */   // Label 3965: @200129
     /*  200129 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(200170), // Rule ID 814 //
     /*  200134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200151 */     // MIs[0] rs1
     /*  200151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200163 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200168 */     GIR_RootConstrainSelectedInstOperands,
     /*  200169 */     // GIR_Coverage, 814,
     /*  200169 */     GIR_Done,
     /*  200170 */   // Label 3966: @200170
     /*  200170 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(200211), // Rule ID 816 //
     /*  200175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200192 */     // MIs[0] rs1
     /*  200192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200204 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200209 */     GIR_RootConstrainSelectedInstOperands,
     /*  200210 */     // GIR_Coverage, 816,
     /*  200210 */     GIR_Done,
     /*  200211 */   // Label 3967: @200211
     /*  200211 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(200252), // Rule ID 818 //
     /*  200216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200233 */     // MIs[0] rs1
     /*  200233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200245 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200250 */     GIR_RootConstrainSelectedInstOperands,
     /*  200251 */     // GIR_Coverage, 818,
     /*  200251 */     GIR_Done,
     /*  200252 */   // Label 3968: @200252
     /*  200252 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(200293), // Rule ID 820 //
     /*  200257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200274 */     // MIs[0] rs1
     /*  200274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200286 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  200291 */     GIR_RootConstrainSelectedInstOperands,
     /*  200292 */     // GIR_Coverage, 820,
     /*  200292 */     GIR_Done,
     /*  200293 */   // Label 3969: @200293
     /*  200293 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(200334), // Rule ID 982 //
     /*  200298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200315 */     // MIs[0] rs1
     /*  200315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200327 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200332 */     GIR_RootConstrainSelectedInstOperands,
     /*  200333 */     // GIR_Coverage, 982,
     /*  200333 */     GIR_Done,
     /*  200334 */   // Label 3970: @200334
     /*  200334 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200375), // Rule ID 984 //
     /*  200339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200356 */     // MIs[0] rs1
     /*  200356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200368 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  200373 */     GIR_RootConstrainSelectedInstOperands,
     /*  200374 */     // GIR_Coverage, 984,
     /*  200374 */     GIR_Done,
     /*  200375 */   // Label 3971: @200375
     /*  200375 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200416), // Rule ID 986 //
     /*  200380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200397 */     // MIs[0] rs1
     /*  200397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200409 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  200414 */     GIR_RootConstrainSelectedInstOperands,
     /*  200415 */     // GIR_Coverage, 986,
     /*  200415 */     GIR_Done,
     /*  200416 */   // Label 3972: @200416
     /*  200416 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(200457), // Rule ID 988 //
     /*  200421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200438 */     // MIs[0] rs1
     /*  200438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200450 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200455 */     GIR_RootConstrainSelectedInstOperands,
     /*  200456 */     // GIR_Coverage, 988,
     /*  200456 */     GIR_Done,
     /*  200457 */   // Label 3973: @200457
     /*  200457 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(200498), // Rule ID 990 //
     /*  200462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200479 */     // MIs[0] rs1
     /*  200479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200491 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  200496 */     GIR_RootConstrainSelectedInstOperands,
     /*  200497 */     // GIR_Coverage, 990,
     /*  200497 */     GIR_Done,
     /*  200498 */   // Label 3974: @200498
     /*  200498 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(200539), // Rule ID 992 //
     /*  200503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200520 */     // MIs[0] rs1
     /*  200520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200532 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200537 */     GIR_RootConstrainSelectedInstOperands,
     /*  200538 */     // GIR_Coverage, 992,
     /*  200538 */     GIR_Done,
     /*  200539 */   // Label 3975: @200539
     /*  200539 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200580), // Rule ID 994 //
     /*  200544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200561 */     // MIs[0] rs1
     /*  200561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200573 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200578 */     GIR_RootConstrainSelectedInstOperands,
     /*  200579 */     // GIR_Coverage, 994,
     /*  200579 */     GIR_Done,
     /*  200580 */   // Label 3976: @200580
     /*  200580 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200621), // Rule ID 996 //
     /*  200585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200602 */     // MIs[0] rs1
     /*  200602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200614 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200619 */     GIR_RootConstrainSelectedInstOperands,
     /*  200620 */     // GIR_Coverage, 996,
     /*  200620 */     GIR_Done,
     /*  200621 */   // Label 3977: @200621
     /*  200621 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200662), // Rule ID 998 //
     /*  200626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200643 */     // MIs[0] rs1
     /*  200643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200655 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200660 */     GIR_RootConstrainSelectedInstOperands,
     /*  200661 */     // GIR_Coverage, 998,
     /*  200661 */     GIR_Done,
     /*  200662 */   // Label 3978: @200662
     /*  200662 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200703), // Rule ID 1000 //
     /*  200667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200684 */     // MIs[0] rs1
     /*  200684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200696 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  200701 */     GIR_RootConstrainSelectedInstOperands,
     /*  200702 */     // GIR_Coverage, 1000,
     /*  200702 */     GIR_Done,
     /*  200703 */   // Label 3979: @200703
     /*  200703 */   GIM_Reject,
     /*  200704 */ // Label 3939: @200704
     /*  200704 */ GIM_Reject,
     /*  200705 */ // Label 3907: @200705
     /*  200705 */ GIM_Reject,
     /*  200706 */ // Label 34: @200706
     /*  200706 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3982*/ GIMT_Encode4(203615),
     /*  200717 */ /*GILLT_s32*//*Label 3980*/ GIMT_Encode4(200725),
     /*  200721 */ /*GILLT_s64*//*Label 3981*/ GIMT_Encode4(201965),
     /*  200725 */ // Label 3980: @200725
     /*  200725 */ GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(201964),
     /*  200730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  200733 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200774), // Rule ID 475 //
     /*  200738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200755 */     // MIs[0] rs1
     /*  200755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200767 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  200772 */     GIR_RootConstrainSelectedInstOperands,
     /*  200773 */     // GIR_Coverage, 475,
     /*  200773 */     GIR_Done,
     /*  200774 */   // Label 3984: @200774
     /*  200774 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200815), // Rule ID 477 //
     /*  200779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200782 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200789 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200796 */     // MIs[0] rs1
     /*  200796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200808 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  200813 */     GIR_RootConstrainSelectedInstOperands,
     /*  200814 */     // GIR_Coverage, 477,
     /*  200814 */     GIR_Done,
     /*  200815 */   // Label 3985: @200815
     /*  200815 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200856), // Rule ID 479 //
     /*  200820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200837 */     // MIs[0] rs1
     /*  200837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200849 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  200854 */     GIR_RootConstrainSelectedInstOperands,
     /*  200855 */     // GIR_Coverage, 479,
     /*  200855 */     GIR_Done,
     /*  200856 */   // Label 3986: @200856
     /*  200856 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200897), // Rule ID 481 //
     /*  200861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200871 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200878 */     // MIs[0] rs1
     /*  200878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200890 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200895 */     GIR_RootConstrainSelectedInstOperands,
     /*  200896 */     // GIR_Coverage, 481,
     /*  200896 */     GIR_Done,
     /*  200897 */   // Label 3987: @200897
     /*  200897 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200938), // Rule ID 483 //
     /*  200902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200919 */     // MIs[0] rs1
     /*  200919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200931 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200936 */     GIR_RootConstrainSelectedInstOperands,
     /*  200937 */     // GIR_Coverage, 483,
     /*  200937 */     GIR_Done,
     /*  200938 */   // Label 3988: @200938
     /*  200938 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200979), // Rule ID 485 //
     /*  200943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200960 */     // MIs[0] rs1
     /*  200960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200972 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  200977 */     GIR_RootConstrainSelectedInstOperands,
     /*  200978 */     // GIR_Coverage, 485,
     /*  200978 */     GIR_Done,
     /*  200979 */   // Label 3989: @200979
     /*  200979 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(201020), // Rule ID 487 //
     /*  200984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201001 */     // MIs[0] rs1
     /*  201001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201013 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201018 */     GIR_RootConstrainSelectedInstOperands,
     /*  201019 */     // GIR_Coverage, 487,
     /*  201019 */     GIR_Done,
     /*  201020 */   // Label 3990: @201020
     /*  201020 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(201061), // Rule ID 489 //
     /*  201025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201042 */     // MIs[0] rs1
     /*  201042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201054 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201059 */     GIR_RootConstrainSelectedInstOperands,
     /*  201060 */     // GIR_Coverage, 489,
     /*  201060 */     GIR_Done,
     /*  201061 */   // Label 3991: @201061
     /*  201061 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201102), // Rule ID 491 //
     /*  201066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201069 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201076 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201083 */     // MIs[0] rs1
     /*  201083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201095 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201100 */     GIR_RootConstrainSelectedInstOperands,
     /*  201101 */     // GIR_Coverage, 491,
     /*  201101 */     GIR_Done,
     /*  201102 */   // Label 3992: @201102
     /*  201102 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201143), // Rule ID 493 //
     /*  201107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  201110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201124 */     // MIs[0] rs1
     /*  201124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201136 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201141 */     GIR_RootConstrainSelectedInstOperands,
     /*  201142 */     // GIR_Coverage, 493,
     /*  201142 */     GIR_Done,
     /*  201143 */   // Label 3993: @201143
     /*  201143 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201184), // Rule ID 823 //
     /*  201148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201165 */     // MIs[0] rs1
     /*  201165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201177 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201182 */     GIR_RootConstrainSelectedInstOperands,
     /*  201183 */     // GIR_Coverage, 823,
     /*  201183 */     GIR_Done,
     /*  201184 */   // Label 3994: @201184
     /*  201184 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201225), // Rule ID 825 //
     /*  201189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201206 */     // MIs[0] rs1
     /*  201206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201218 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  201223 */     GIR_RootConstrainSelectedInstOperands,
     /*  201224 */     // GIR_Coverage, 825,
     /*  201224 */     GIR_Done,
     /*  201225 */   // Label 3995: @201225
     /*  201225 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201266), // Rule ID 827 //
     /*  201230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201247 */     // MIs[0] rs1
     /*  201247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201259 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  201264 */     GIR_RootConstrainSelectedInstOperands,
     /*  201265 */     // GIR_Coverage, 827,
     /*  201265 */     GIR_Done,
     /*  201266 */   // Label 3996: @201266
     /*  201266 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201307), // Rule ID 829 //
     /*  201271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201288 */     // MIs[0] rs1
     /*  201288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201300 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201305 */     GIR_RootConstrainSelectedInstOperands,
     /*  201306 */     // GIR_Coverage, 829,
     /*  201306 */     GIR_Done,
     /*  201307 */   // Label 3997: @201307
     /*  201307 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201348), // Rule ID 831 //
     /*  201312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201329 */     // MIs[0] rs1
     /*  201329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201341 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201346 */     GIR_RootConstrainSelectedInstOperands,
     /*  201347 */     // GIR_Coverage, 831,
     /*  201347 */     GIR_Done,
     /*  201348 */   // Label 3998: @201348
     /*  201348 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201389), // Rule ID 833 //
     /*  201353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201370 */     // MIs[0] rs1
     /*  201370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201382 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201387 */     GIR_RootConstrainSelectedInstOperands,
     /*  201388 */     // GIR_Coverage, 833,
     /*  201388 */     GIR_Done,
     /*  201389 */   // Label 3999: @201389
     /*  201389 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201430), // Rule ID 835 //
     /*  201394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201411 */     // MIs[0] rs1
     /*  201411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201423 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201428 */     GIR_RootConstrainSelectedInstOperands,
     /*  201429 */     // GIR_Coverage, 835,
     /*  201429 */     GIR_Done,
     /*  201430 */   // Label 4000: @201430
     /*  201430 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201471), // Rule ID 837 //
     /*  201435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201452 */     // MIs[0] rs1
     /*  201452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201464 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201469 */     GIR_RootConstrainSelectedInstOperands,
     /*  201470 */     // GIR_Coverage, 837,
     /*  201470 */     GIR_Done,
     /*  201471 */   // Label 4001: @201471
     /*  201471 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201512), // Rule ID 839 //
     /*  201476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201493 */     // MIs[0] rs1
     /*  201493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201505 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201505 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201510 */     GIR_RootConstrainSelectedInstOperands,
     /*  201511 */     // GIR_Coverage, 839,
     /*  201511 */     GIR_Done,
     /*  201512 */   // Label 4002: @201512
     /*  201512 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201553), // Rule ID 841 //
     /*  201517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201534 */     // MIs[0] rs1
     /*  201534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201546 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201551 */     GIR_RootConstrainSelectedInstOperands,
     /*  201552 */     // GIR_Coverage, 841,
     /*  201552 */     GIR_Done,
     /*  201553 */   // Label 4003: @201553
     /*  201553 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201594), // Rule ID 1003 //
     /*  201558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201575 */     // MIs[0] rs1
     /*  201575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201587 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201592 */     GIR_RootConstrainSelectedInstOperands,
     /*  201593 */     // GIR_Coverage, 1003,
     /*  201593 */     GIR_Done,
     /*  201594 */   // Label 4004: @201594
     /*  201594 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201635), // Rule ID 1005 //
     /*  201599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201616 */     // MIs[0] rs1
     /*  201616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201628 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  201633 */     GIR_RootConstrainSelectedInstOperands,
     /*  201634 */     // GIR_Coverage, 1005,
     /*  201634 */     GIR_Done,
     /*  201635 */   // Label 4005: @201635
     /*  201635 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201676), // Rule ID 1007 //
     /*  201640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201643 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201657 */     // MIs[0] rs1
     /*  201657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201669 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  201674 */     GIR_RootConstrainSelectedInstOperands,
     /*  201675 */     // GIR_Coverage, 1007,
     /*  201675 */     GIR_Done,
     /*  201676 */   // Label 4006: @201676
     /*  201676 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201717), // Rule ID 1009 //
     /*  201681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201691 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201698 */     // MIs[0] rs1
     /*  201698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201710 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  201715 */     GIR_RootConstrainSelectedInstOperands,
     /*  201716 */     // GIR_Coverage, 1009,
     /*  201716 */     GIR_Done,
     /*  201717 */   // Label 4007: @201717
     /*  201717 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201758), // Rule ID 1011 //
     /*  201722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201739 */     // MIs[0] rs1
     /*  201739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201751 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  201756 */     GIR_RootConstrainSelectedInstOperands,
     /*  201757 */     // GIR_Coverage, 1011,
     /*  201757 */     GIR_Done,
     /*  201758 */   // Label 4008: @201758
     /*  201758 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201799), // Rule ID 1013 //
     /*  201763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201780 */     // MIs[0] rs1
     /*  201780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201792 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201797 */     GIR_RootConstrainSelectedInstOperands,
     /*  201798 */     // GIR_Coverage, 1013,
     /*  201798 */     GIR_Done,
     /*  201799 */   // Label 4009: @201799
     /*  201799 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(201840), // Rule ID 1015 //
     /*  201804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201807 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201814 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201821 */     // MIs[0] rs1
     /*  201821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201833 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201838 */     GIR_RootConstrainSelectedInstOperands,
     /*  201839 */     // GIR_Coverage, 1015,
     /*  201839 */     GIR_Done,
     /*  201840 */   // Label 4010: @201840
     /*  201840 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(201881), // Rule ID 1017 //
     /*  201845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201855 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201862 */     // MIs[0] rs1
     /*  201862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201874 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201879 */     GIR_RootConstrainSelectedInstOperands,
     /*  201880 */     // GIR_Coverage, 1017,
     /*  201880 */     GIR_Done,
     /*  201881 */   // Label 4011: @201881
     /*  201881 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(201922), // Rule ID 1019 //
     /*  201886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201903 */     // MIs[0] rs1
     /*  201903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201915 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201920 */     GIR_RootConstrainSelectedInstOperands,
     /*  201921 */     // GIR_Coverage, 1019,
     /*  201921 */     GIR_Done,
     /*  201922 */   // Label 4012: @201922
     /*  201922 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(201963), // Rule ID 1021 //
     /*  201927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201944 */     // MIs[0] rs1
     /*  201944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201956 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  201961 */     GIR_RootConstrainSelectedInstOperands,
     /*  201962 */     // GIR_Coverage, 1021,
     /*  201962 */     GIR_Done,
     /*  201963 */   // Label 4013: @201963
     /*  201963 */   GIM_Reject,
     /*  201964 */ // Label 3983: @201964
     /*  201964 */ GIM_Reject,
     /*  201965 */ // Label 3981: @201965
     /*  201965 */ GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(203614),
     /*  201970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201973 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202014), // Rule ID 474 //
     /*  201978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201995 */     // MIs[0] rs1
     /*  201995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202007 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202012 */     GIR_RootConstrainSelectedInstOperands,
     /*  202013 */     // GIR_Coverage, 474,
     /*  202013 */     GIR_Done,
     /*  202014 */   // Label 4015: @202014
     /*  202014 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202055), // Rule ID 476 //
     /*  202019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202036 */     // MIs[0] rs1
     /*  202036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202048 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  202053 */     GIR_RootConstrainSelectedInstOperands,
     /*  202054 */     // GIR_Coverage, 476,
     /*  202054 */     GIR_Done,
     /*  202055 */   // Label 4016: @202055
     /*  202055 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202096), // Rule ID 478 //
     /*  202060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202077 */     // MIs[0] rs1
     /*  202077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202089 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  202094 */     GIR_RootConstrainSelectedInstOperands,
     /*  202095 */     // GIR_Coverage, 478,
     /*  202095 */     GIR_Done,
     /*  202096 */   // Label 4017: @202096
     /*  202096 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(202137), // Rule ID 480 //
     /*  202101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202118 */     // MIs[0] rs1
     /*  202118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202130 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202135 */     GIR_RootConstrainSelectedInstOperands,
     /*  202136 */     // GIR_Coverage, 480,
     /*  202136 */     GIR_Done,
     /*  202137 */   // Label 4018: @202137
     /*  202137 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202178), // Rule ID 482 //
     /*  202142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  202145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202159 */     // MIs[0] rs1
     /*  202159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202171 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  202176 */     GIR_RootConstrainSelectedInstOperands,
     /*  202177 */     // GIR_Coverage, 482,
     /*  202177 */     GIR_Done,
     /*  202178 */   // Label 4019: @202178
     /*  202178 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202219), // Rule ID 484 //
     /*  202183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202200 */     // MIs[0] rs1
     /*  202200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202212 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202217 */     GIR_RootConstrainSelectedInstOperands,
     /*  202218 */     // GIR_Coverage, 484,
     /*  202218 */     GIR_Done,
     /*  202219 */   // Label 4020: @202219
     /*  202219 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202260), // Rule ID 486 //
     /*  202224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202241 */     // MIs[0] rs1
     /*  202241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202253 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202258 */     GIR_RootConstrainSelectedInstOperands,
     /*  202259 */     // GIR_Coverage, 486,
     /*  202259 */     GIR_Done,
     /*  202260 */   // Label 4021: @202260
     /*  202260 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202301), // Rule ID 488 //
     /*  202265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202282 */     // MIs[0] rs1
     /*  202282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202294 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202299 */     GIR_RootConstrainSelectedInstOperands,
     /*  202300 */     // GIR_Coverage, 488,
     /*  202300 */     GIR_Done,
     /*  202301 */   // Label 4022: @202301
     /*  202301 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202342), // Rule ID 490 //
     /*  202306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202323 */     // MIs[0] rs1
     /*  202323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202335 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202340 */     GIR_RootConstrainSelectedInstOperands,
     /*  202341 */     // GIR_Coverage, 490,
     /*  202341 */     GIR_Done,
     /*  202342 */   // Label 4023: @202342
     /*  202342 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202383), // Rule ID 492 //
     /*  202347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  202350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202364 */     // MIs[0] rs1
     /*  202364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202376 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  202381 */     GIR_RootConstrainSelectedInstOperands,
     /*  202382 */     // GIR_Coverage, 492,
     /*  202382 */     GIR_Done,
     /*  202383 */   // Label 4024: @202383
     /*  202383 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202424), // Rule ID 584 //
     /*  202388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202405 */     // MIs[0] rs1
     /*  202405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202417 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202422 */     GIR_RootConstrainSelectedInstOperands,
     /*  202423 */     // GIR_Coverage, 584,
     /*  202423 */     GIR_Done,
     /*  202424 */   // Label 4025: @202424
     /*  202424 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202465), // Rule ID 585 //
     /*  202429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202446 */     // MIs[0] rs1
     /*  202446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202458 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  202463 */     GIR_RootConstrainSelectedInstOperands,
     /*  202464 */     // GIR_Coverage, 585,
     /*  202464 */     GIR_Done,
     /*  202465 */   // Label 4026: @202465
     /*  202465 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202506), // Rule ID 586 //
     /*  202470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202487 */     // MIs[0] rs1
     /*  202487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202499 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  202504 */     GIR_RootConstrainSelectedInstOperands,
     /*  202505 */     // GIR_Coverage, 586,
     /*  202505 */     GIR_Done,
     /*  202506 */   // Label 4027: @202506
     /*  202506 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202547), // Rule ID 587 //
     /*  202511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202521 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202528 */     // MIs[0] rs1
     /*  202528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202540 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202545 */     GIR_RootConstrainSelectedInstOperands,
     /*  202546 */     // GIR_Coverage, 587,
     /*  202546 */     GIR_Done,
     /*  202547 */   // Label 4028: @202547
     /*  202547 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202588), // Rule ID 588 //
     /*  202552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202569 */     // MIs[0] rs1
     /*  202569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202581 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  202586 */     GIR_RootConstrainSelectedInstOperands,
     /*  202587 */     // GIR_Coverage, 588,
     /*  202587 */     GIR_Done,
     /*  202588 */   // Label 4029: @202588
     /*  202588 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202629), // Rule ID 589 //
     /*  202593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202610 */     // MIs[0] rs1
     /*  202610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202622 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202627 */     GIR_RootConstrainSelectedInstOperands,
     /*  202628 */     // GIR_Coverage, 589,
     /*  202628 */     GIR_Done,
     /*  202629 */   // Label 4030: @202629
     /*  202629 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202670), // Rule ID 590 //
     /*  202634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202651 */     // MIs[0] rs1
     /*  202651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202663 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202668 */     GIR_RootConstrainSelectedInstOperands,
     /*  202669 */     // GIR_Coverage, 590,
     /*  202669 */     GIR_Done,
     /*  202670 */   // Label 4031: @202670
     /*  202670 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202711), // Rule ID 591 //
     /*  202675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     // MIs[0] rs1
     /*  202692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202704 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202709 */     GIR_RootConstrainSelectedInstOperands,
     /*  202710 */     // GIR_Coverage, 591,
     /*  202710 */     GIR_Done,
     /*  202711 */   // Label 4032: @202711
     /*  202711 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(202752), // Rule ID 592 //
     /*  202716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202733 */     // MIs[0] rs1
     /*  202733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202745 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202750 */     GIR_RootConstrainSelectedInstOperands,
     /*  202751 */     // GIR_Coverage, 592,
     /*  202751 */     GIR_Done,
     /*  202752 */   // Label 4033: @202752
     /*  202752 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(202793), // Rule ID 593 //
     /*  202757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202774 */     // MIs[0] rs1
     /*  202774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202786 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  202791 */     GIR_RootConstrainSelectedInstOperands,
     /*  202792 */     // GIR_Coverage, 593,
     /*  202792 */     GIR_Done,
     /*  202793 */   // Label 4034: @202793
     /*  202793 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(202834), // Rule ID 822 //
     /*  202798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202801 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202808 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202815 */     // MIs[0] rs1
     /*  202815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202827 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202832 */     GIR_RootConstrainSelectedInstOperands,
     /*  202833 */     // GIR_Coverage, 822,
     /*  202833 */     GIR_Done,
     /*  202834 */   // Label 4035: @202834
     /*  202834 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(202875), // Rule ID 824 //
     /*  202839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202856 */     // MIs[0] rs1
     /*  202856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202868 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  202873 */     GIR_RootConstrainSelectedInstOperands,
     /*  202874 */     // GIR_Coverage, 824,
     /*  202874 */     GIR_Done,
     /*  202875 */   // Label 4036: @202875
     /*  202875 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(202916), // Rule ID 826 //
     /*  202880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202897 */     // MIs[0] rs1
     /*  202897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202909 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  202914 */     GIR_RootConstrainSelectedInstOperands,
     /*  202915 */     // GIR_Coverage, 826,
     /*  202915 */     GIR_Done,
     /*  202916 */   // Label 4037: @202916
     /*  202916 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(202957), // Rule ID 828 //
     /*  202921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202938 */     // MIs[0] rs1
     /*  202938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202950 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  202955 */     GIR_RootConstrainSelectedInstOperands,
     /*  202956 */     // GIR_Coverage, 828,
     /*  202956 */     GIR_Done,
     /*  202957 */   // Label 4038: @202957
     /*  202957 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(202998), // Rule ID 830 //
     /*  202962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202979 */     // MIs[0] rs1
     /*  202979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202991 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  202996 */     GIR_RootConstrainSelectedInstOperands,
     /*  202997 */     // GIR_Coverage, 830,
     /*  202997 */     GIR_Done,
     /*  202998 */   // Label 4039: @202998
     /*  202998 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(203039), // Rule ID 832 //
     /*  203003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203020 */     // MIs[0] rs1
     /*  203020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203032 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203037 */     GIR_RootConstrainSelectedInstOperands,
     /*  203038 */     // GIR_Coverage, 832,
     /*  203038 */     GIR_Done,
     /*  203039 */   // Label 4040: @203039
     /*  203039 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(203080), // Rule ID 834 //
     /*  203044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203061 */     // MIs[0] rs1
     /*  203061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203073 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203078 */     GIR_RootConstrainSelectedInstOperands,
     /*  203079 */     // GIR_Coverage, 834,
     /*  203079 */     GIR_Done,
     /*  203080 */   // Label 4041: @203080
     /*  203080 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(203121), // Rule ID 836 //
     /*  203085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203102 */     // MIs[0] rs1
     /*  203102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203114 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203119 */     GIR_RootConstrainSelectedInstOperands,
     /*  203120 */     // GIR_Coverage, 836,
     /*  203120 */     GIR_Done,
     /*  203121 */   // Label 4042: @203121
     /*  203121 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(203162), // Rule ID 838 //
     /*  203126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203129 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203143 */     // MIs[0] rs1
     /*  203143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203155 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203160 */     GIR_RootConstrainSelectedInstOperands,
     /*  203161 */     // GIR_Coverage, 838,
     /*  203161 */     GIR_Done,
     /*  203162 */   // Label 4043: @203162
     /*  203162 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(203203), // Rule ID 840 //
     /*  203167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203184 */     // MIs[0] rs1
     /*  203184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203196 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  203201 */     GIR_RootConstrainSelectedInstOperands,
     /*  203202 */     // GIR_Coverage, 840,
     /*  203202 */     GIR_Done,
     /*  203203 */   // Label 4044: @203203
     /*  203203 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(203244), // Rule ID 1002 //
     /*  203208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203211 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203225 */     // MIs[0] rs1
     /*  203225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203237 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203242 */     GIR_RootConstrainSelectedInstOperands,
     /*  203243 */     // GIR_Coverage, 1002,
     /*  203243 */     GIR_Done,
     /*  203244 */   // Label 4045: @203244
     /*  203244 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(203285), // Rule ID 1004 //
     /*  203249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203252 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203259 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203266 */     // MIs[0] rs1
     /*  203266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203278 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  203283 */     GIR_RootConstrainSelectedInstOperands,
     /*  203284 */     // GIR_Coverage, 1004,
     /*  203284 */     GIR_Done,
     /*  203285 */   // Label 4046: @203285
     /*  203285 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(203326), // Rule ID 1006 //
     /*  203290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203307 */     // MIs[0] rs1
     /*  203307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203319 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  203324 */     GIR_RootConstrainSelectedInstOperands,
     /*  203325 */     // GIR_Coverage, 1006,
     /*  203325 */     GIR_Done,
     /*  203326 */   // Label 4047: @203326
     /*  203326 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(203367), // Rule ID 1008 //
     /*  203331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203348 */     // MIs[0] rs1
     /*  203348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203360 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203365 */     GIR_RootConstrainSelectedInstOperands,
     /*  203366 */     // GIR_Coverage, 1008,
     /*  203366 */     GIR_Done,
     /*  203367 */   // Label 4048: @203367
     /*  203367 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(203408), // Rule ID 1010 //
     /*  203372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  203375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203389 */     // MIs[0] rs1
     /*  203389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203401 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  203406 */     GIR_RootConstrainSelectedInstOperands,
     /*  203407 */     // GIR_Coverage, 1010,
     /*  203407 */     GIR_Done,
     /*  203408 */   // Label 4049: @203408
     /*  203408 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(203449), // Rule ID 1012 //
     /*  203413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203416 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203423 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203430 */     // MIs[0] rs1
     /*  203430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203442 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203447 */     GIR_RootConstrainSelectedInstOperands,
     /*  203448 */     // GIR_Coverage, 1012,
     /*  203448 */     GIR_Done,
     /*  203449 */   // Label 4050: @203449
     /*  203449 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(203490), // Rule ID 1014 //
     /*  203454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203457 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203464 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203471 */     // MIs[0] rs1
     /*  203471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203483 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203488 */     GIR_RootConstrainSelectedInstOperands,
     /*  203489 */     // GIR_Coverage, 1014,
     /*  203489 */     GIR_Done,
     /*  203490 */   // Label 4051: @203490
     /*  203490 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(203531), // Rule ID 1016 //
     /*  203495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203512 */     // MIs[0] rs1
     /*  203512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203524 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203529 */     GIR_RootConstrainSelectedInstOperands,
     /*  203530 */     // GIR_Coverage, 1016,
     /*  203530 */     GIR_Done,
     /*  203531 */   // Label 4052: @203531
     /*  203531 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203572), // Rule ID 1018 //
     /*  203536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203553 */     // MIs[0] rs1
     /*  203553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203565 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203570 */     GIR_RootConstrainSelectedInstOperands,
     /*  203571 */     // GIR_Coverage, 1018,
     /*  203571 */     GIR_Done,
     /*  203572 */   // Label 4053: @203572
     /*  203572 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203613), // Rule ID 1020 //
     /*  203577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203594 */     // MIs[0] rs1
     /*  203594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203606 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  203611 */     GIR_RootConstrainSelectedInstOperands,
     /*  203612 */     // GIR_Coverage, 1020,
     /*  203612 */     GIR_Done,
     /*  203613 */   // Label 4054: @203613
     /*  203613 */   GIM_Reject,
     /*  203614 */ // Label 4014: @203614
     /*  203614 */ GIM_Reject,
     /*  203615 */ // Label 3982: @203615
     /*  203615 */ GIM_Reject,
     /*  203616 */ // Label 35: @203616
     /*  203616 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4057*/ GIMT_Encode4(206525),
     /*  203627 */ /*GILLT_s32*//*Label 4055*/ GIMT_Encode4(203635),
     /*  203631 */ /*GILLT_s64*//*Label 4056*/ GIMT_Encode4(204875),
     /*  203635 */ // Label 4055: @203635
     /*  203635 */ GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(204874),
     /*  203640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  203643 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(203684), // Rule ID 495 //
     /*  203648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203665 */     // MIs[0] rs1
     /*  203665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203677 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203682 */     GIR_RootConstrainSelectedInstOperands,
     /*  203683 */     // GIR_Coverage, 495,
     /*  203683 */     GIR_Done,
     /*  203684 */   // Label 4059: @203684
     /*  203684 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(203725), // Rule ID 497 //
     /*  203689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203706 */     // MIs[0] rs1
     /*  203706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203718 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  203723 */     GIR_RootConstrainSelectedInstOperands,
     /*  203724 */     // GIR_Coverage, 497,
     /*  203724 */     GIR_Done,
     /*  203725 */   // Label 4060: @203725
     /*  203725 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(203766), // Rule ID 499 //
     /*  203730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203747 */     // MIs[0] rs1
     /*  203747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203759 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  203764 */     GIR_RootConstrainSelectedInstOperands,
     /*  203765 */     // GIR_Coverage, 499,
     /*  203765 */     GIR_Done,
     /*  203766 */   // Label 4061: @203766
     /*  203766 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(203807), // Rule ID 501 //
     /*  203771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203788 */     // MIs[0] rs1
     /*  203788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203800 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203805 */     GIR_RootConstrainSelectedInstOperands,
     /*  203806 */     // GIR_Coverage, 501,
     /*  203806 */     GIR_Done,
     /*  203807 */   // Label 4062: @203807
     /*  203807 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(203848), // Rule ID 503 //
     /*  203812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203829 */     // MIs[0] rs1
     /*  203829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203841 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203846 */     GIR_RootConstrainSelectedInstOperands,
     /*  203847 */     // GIR_Coverage, 503,
     /*  203847 */     GIR_Done,
     /*  203848 */   // Label 4063: @203848
     /*  203848 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(203889), // Rule ID 505 //
     /*  203853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203856 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203863 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203870 */     // MIs[0] rs1
     /*  203870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203882 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203887 */     GIR_RootConstrainSelectedInstOperands,
     /*  203888 */     // GIR_Coverage, 505,
     /*  203888 */     GIR_Done,
     /*  203889 */   // Label 4064: @203889
     /*  203889 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(203930), // Rule ID 507 //
     /*  203894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203911 */     // MIs[0] rs1
     /*  203911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203923 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203928 */     GIR_RootConstrainSelectedInstOperands,
     /*  203929 */     // GIR_Coverage, 507,
     /*  203929 */     GIR_Done,
     /*  203930 */   // Label 4065: @203930
     /*  203930 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(203971), // Rule ID 509 //
     /*  203935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203952 */     // MIs[0] rs1
     /*  203952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203964 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203969 */     GIR_RootConstrainSelectedInstOperands,
     /*  203970 */     // GIR_Coverage, 509,
     /*  203970 */     GIR_Done,
     /*  203971 */   // Label 4066: @203971
     /*  203971 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(204012), // Rule ID 511 //
     /*  203976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203993 */     // MIs[0] rs1
     /*  203993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204005 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204010 */     GIR_RootConstrainSelectedInstOperands,
     /*  204011 */     // GIR_Coverage, 511,
     /*  204011 */     GIR_Done,
     /*  204012 */   // Label 4067: @204012
     /*  204012 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(204053), // Rule ID 513 //
     /*  204017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  204020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204034 */     // MIs[0] rs1
     /*  204034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204046 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204051 */     GIR_RootConstrainSelectedInstOperands,
     /*  204052 */     // GIR_Coverage, 513,
     /*  204052 */     GIR_Done,
     /*  204053 */   // Label 4068: @204053
     /*  204053 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(204094), // Rule ID 843 //
     /*  204058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204075 */     // MIs[0] rs1
     /*  204075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204087 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204092 */     GIR_RootConstrainSelectedInstOperands,
     /*  204093 */     // GIR_Coverage, 843,
     /*  204093 */     GIR_Done,
     /*  204094 */   // Label 4069: @204094
     /*  204094 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(204135), // Rule ID 845 //
     /*  204099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204116 */     // MIs[0] rs1
     /*  204116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204128 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  204133 */     GIR_RootConstrainSelectedInstOperands,
     /*  204134 */     // GIR_Coverage, 845,
     /*  204134 */     GIR_Done,
     /*  204135 */   // Label 4070: @204135
     /*  204135 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(204176), // Rule ID 847 //
     /*  204140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204157 */     // MIs[0] rs1
     /*  204157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204169 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  204174 */     GIR_RootConstrainSelectedInstOperands,
     /*  204175 */     // GIR_Coverage, 847,
     /*  204175 */     GIR_Done,
     /*  204176 */   // Label 4071: @204176
     /*  204176 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(204217), // Rule ID 849 //
     /*  204181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204191 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204198 */     // MIs[0] rs1
     /*  204198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204210 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204215 */     GIR_RootConstrainSelectedInstOperands,
     /*  204216 */     // GIR_Coverage, 849,
     /*  204216 */     GIR_Done,
     /*  204217 */   // Label 4072: @204217
     /*  204217 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(204258), // Rule ID 851 //
     /*  204222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204239 */     // MIs[0] rs1
     /*  204239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204251 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204256 */     GIR_RootConstrainSelectedInstOperands,
     /*  204257 */     // GIR_Coverage, 851,
     /*  204257 */     GIR_Done,
     /*  204258 */   // Label 4073: @204258
     /*  204258 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(204299), // Rule ID 853 //
     /*  204263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204280 */     // MIs[0] rs1
     /*  204280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204292 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204297 */     GIR_RootConstrainSelectedInstOperands,
     /*  204298 */     // GIR_Coverage, 853,
     /*  204298 */     GIR_Done,
     /*  204299 */   // Label 4074: @204299
     /*  204299 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(204340), // Rule ID 855 //
     /*  204304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204321 */     // MIs[0] rs1
     /*  204321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204333 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204338 */     GIR_RootConstrainSelectedInstOperands,
     /*  204339 */     // GIR_Coverage, 855,
     /*  204339 */     GIR_Done,
     /*  204340 */   // Label 4075: @204340
     /*  204340 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(204381), // Rule ID 857 //
     /*  204345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204362 */     // MIs[0] rs1
     /*  204362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204374 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204379 */     GIR_RootConstrainSelectedInstOperands,
     /*  204380 */     // GIR_Coverage, 857,
     /*  204380 */     GIR_Done,
     /*  204381 */   // Label 4076: @204381
     /*  204381 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(204422), // Rule ID 859 //
     /*  204386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204403 */     // MIs[0] rs1
     /*  204403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204415 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204420 */     GIR_RootConstrainSelectedInstOperands,
     /*  204421 */     // GIR_Coverage, 859,
     /*  204421 */     GIR_Done,
     /*  204422 */   // Label 4077: @204422
     /*  204422 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204463), // Rule ID 861 //
     /*  204427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204444 */     // MIs[0] rs1
     /*  204444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204456 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204461 */     GIR_RootConstrainSelectedInstOperands,
     /*  204462 */     // GIR_Coverage, 861,
     /*  204462 */     GIR_Done,
     /*  204463 */   // Label 4078: @204463
     /*  204463 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204504), // Rule ID 1023 //
     /*  204468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204478 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204485 */     // MIs[0] rs1
     /*  204485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204497 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204502 */     GIR_RootConstrainSelectedInstOperands,
     /*  204503 */     // GIR_Coverage, 1023,
     /*  204503 */     GIR_Done,
     /*  204504 */   // Label 4079: @204504
     /*  204504 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204545), // Rule ID 1025 //
     /*  204509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204526 */     // MIs[0] rs1
     /*  204526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204538 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  204543 */     GIR_RootConstrainSelectedInstOperands,
     /*  204544 */     // GIR_Coverage, 1025,
     /*  204544 */     GIR_Done,
     /*  204545 */   // Label 4080: @204545
     /*  204545 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204586), // Rule ID 1027 //
     /*  204550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204560 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204567 */     // MIs[0] rs1
     /*  204567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204579 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  204584 */     GIR_RootConstrainSelectedInstOperands,
     /*  204585 */     // GIR_Coverage, 1027,
     /*  204585 */     GIR_Done,
     /*  204586 */   // Label 4081: @204586
     /*  204586 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204627), // Rule ID 1029 //
     /*  204591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204608 */     // MIs[0] rs1
     /*  204608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204620 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  204625 */     GIR_RootConstrainSelectedInstOperands,
     /*  204626 */     // GIR_Coverage, 1029,
     /*  204626 */     GIR_Done,
     /*  204627 */   // Label 4082: @204627
     /*  204627 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204668), // Rule ID 1031 //
     /*  204632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204649 */     // MIs[0] rs1
     /*  204649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204661 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  204666 */     GIR_RootConstrainSelectedInstOperands,
     /*  204667 */     // GIR_Coverage, 1031,
     /*  204667 */     GIR_Done,
     /*  204668 */   // Label 4083: @204668
     /*  204668 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204709), // Rule ID 1033 //
     /*  204673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204690 */     // MIs[0] rs1
     /*  204690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204702 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204707 */     GIR_RootConstrainSelectedInstOperands,
     /*  204708 */     // GIR_Coverage, 1033,
     /*  204708 */     GIR_Done,
     /*  204709 */   // Label 4084: @204709
     /*  204709 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(204750), // Rule ID 1035 //
     /*  204714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204717 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204724 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204731 */     // MIs[0] rs1
     /*  204731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204743 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204748 */     GIR_RootConstrainSelectedInstOperands,
     /*  204749 */     // GIR_Coverage, 1035,
     /*  204749 */     GIR_Done,
     /*  204750 */   // Label 4085: @204750
     /*  204750 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(204791), // Rule ID 1037 //
     /*  204755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204772 */     // MIs[0] rs1
     /*  204772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204784 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204789 */     GIR_RootConstrainSelectedInstOperands,
     /*  204790 */     // GIR_Coverage, 1037,
     /*  204790 */     GIR_Done,
     /*  204791 */   // Label 4086: @204791
     /*  204791 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(204832), // Rule ID 1039 //
     /*  204796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204799 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204806 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204813 */     // MIs[0] rs1
     /*  204813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204825 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204830 */     GIR_RootConstrainSelectedInstOperands,
     /*  204831 */     // GIR_Coverage, 1039,
     /*  204831 */     GIR_Done,
     /*  204832 */   // Label 4087: @204832
     /*  204832 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(204873), // Rule ID 1041 //
     /*  204837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204854 */     // MIs[0] rs1
     /*  204854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204866 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204871 */     GIR_RootConstrainSelectedInstOperands,
     /*  204872 */     // GIR_Coverage, 1041,
     /*  204872 */     GIR_Done,
     /*  204873 */   // Label 4088: @204873
     /*  204873 */   GIM_Reject,
     /*  204874 */ // Label 4058: @204874
     /*  204874 */ GIM_Reject,
     /*  204875 */ // Label 4056: @204875
     /*  204875 */ GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(206524),
     /*  204880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  204883 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(204924), // Rule ID 494 //
     /*  204888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204905 */     // MIs[0] rs1
     /*  204905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204917 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204922 */     GIR_RootConstrainSelectedInstOperands,
     /*  204923 */     // GIR_Coverage, 494,
     /*  204923 */     GIR_Done,
     /*  204924 */   // Label 4090: @204924
     /*  204924 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(204965), // Rule ID 496 //
     /*  204929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204946 */     // MIs[0] rs1
     /*  204946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204958 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  204963 */     GIR_RootConstrainSelectedInstOperands,
     /*  204964 */     // GIR_Coverage, 496,
     /*  204964 */     GIR_Done,
     /*  204965 */   // Label 4091: @204965
     /*  204965 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(205006), // Rule ID 498 //
     /*  204970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204987 */     // MIs[0] rs1
     /*  204987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204999 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  205004 */     GIR_RootConstrainSelectedInstOperands,
     /*  205005 */     // GIR_Coverage, 498,
     /*  205005 */     GIR_Done,
     /*  205006 */   // Label 4092: @205006
     /*  205006 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(205047), // Rule ID 500 //
     /*  205011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205028 */     // MIs[0] rs1
     /*  205028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205040 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205045 */     GIR_RootConstrainSelectedInstOperands,
     /*  205046 */     // GIR_Coverage, 500,
     /*  205046 */     GIR_Done,
     /*  205047 */   // Label 4093: @205047
     /*  205047 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(205088), // Rule ID 502 //
     /*  205052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  205055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205069 */     // MIs[0] rs1
     /*  205069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205081 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  205086 */     GIR_RootConstrainSelectedInstOperands,
     /*  205087 */     // GIR_Coverage, 502,
     /*  205087 */     GIR_Done,
     /*  205088 */   // Label 4094: @205088
     /*  205088 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(205129), // Rule ID 504 //
     /*  205093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205110 */     // MIs[0] rs1
     /*  205110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205122 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205127 */     GIR_RootConstrainSelectedInstOperands,
     /*  205128 */     // GIR_Coverage, 504,
     /*  205128 */     GIR_Done,
     /*  205129 */   // Label 4095: @205129
     /*  205129 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(205170), // Rule ID 506 //
     /*  205134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205151 */     // MIs[0] rs1
     /*  205151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205163 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205168 */     GIR_RootConstrainSelectedInstOperands,
     /*  205169 */     // GIR_Coverage, 506,
     /*  205169 */     GIR_Done,
     /*  205170 */   // Label 4096: @205170
     /*  205170 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(205211), // Rule ID 508 //
     /*  205175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205192 */     // MIs[0] rs1
     /*  205192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205204 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205209 */     GIR_RootConstrainSelectedInstOperands,
     /*  205210 */     // GIR_Coverage, 508,
     /*  205210 */     GIR_Done,
     /*  205211 */   // Label 4097: @205211
     /*  205211 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(205252), // Rule ID 510 //
     /*  205216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205233 */     // MIs[0] rs1
     /*  205233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205245 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205250 */     GIR_RootConstrainSelectedInstOperands,
     /*  205251 */     // GIR_Coverage, 510,
     /*  205251 */     GIR_Done,
     /*  205252 */   // Label 4098: @205252
     /*  205252 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205293), // Rule ID 512 //
     /*  205257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  205260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205274 */     // MIs[0] rs1
     /*  205274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205286 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  205291 */     GIR_RootConstrainSelectedInstOperands,
     /*  205292 */     // GIR_Coverage, 512,
     /*  205292 */     GIR_Done,
     /*  205293 */   // Label 4099: @205293
     /*  205293 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(205334), // Rule ID 594 //
     /*  205298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205315 */     // MIs[0] rs1
     /*  205315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205327 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205332 */     GIR_RootConstrainSelectedInstOperands,
     /*  205333 */     // GIR_Coverage, 594,
     /*  205333 */     GIR_Done,
     /*  205334 */   // Label 4100: @205334
     /*  205334 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(205375), // Rule ID 595 //
     /*  205339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205356 */     // MIs[0] rs1
     /*  205356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205368 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  205373 */     GIR_RootConstrainSelectedInstOperands,
     /*  205374 */     // GIR_Coverage, 595,
     /*  205374 */     GIR_Done,
     /*  205375 */   // Label 4101: @205375
     /*  205375 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(205416), // Rule ID 596 //
     /*  205380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205397 */     // MIs[0] rs1
     /*  205397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205409 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  205414 */     GIR_RootConstrainSelectedInstOperands,
     /*  205415 */     // GIR_Coverage, 596,
     /*  205415 */     GIR_Done,
     /*  205416 */   // Label 4102: @205416
     /*  205416 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(205457), // Rule ID 597 //
     /*  205421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205438 */     // MIs[0] rs1
     /*  205438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205450 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205455 */     GIR_RootConstrainSelectedInstOperands,
     /*  205456 */     // GIR_Coverage, 597,
     /*  205456 */     GIR_Done,
     /*  205457 */   // Label 4103: @205457
     /*  205457 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(205498), // Rule ID 598 //
     /*  205462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  205465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205479 */     // MIs[0] rs1
     /*  205479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205491 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  205496 */     GIR_RootConstrainSelectedInstOperands,
     /*  205497 */     // GIR_Coverage, 598,
     /*  205497 */     GIR_Done,
     /*  205498 */   // Label 4104: @205498
     /*  205498 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(205539), // Rule ID 599 //
     /*  205503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205520 */     // MIs[0] rs1
     /*  205520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205532 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205537 */     GIR_RootConstrainSelectedInstOperands,
     /*  205538 */     // GIR_Coverage, 599,
     /*  205538 */     GIR_Done,
     /*  205539 */   // Label 4105: @205539
     /*  205539 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(205580), // Rule ID 600 //
     /*  205544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205561 */     // MIs[0] rs1
     /*  205561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205573 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205578 */     GIR_RootConstrainSelectedInstOperands,
     /*  205579 */     // GIR_Coverage, 600,
     /*  205579 */     GIR_Done,
     /*  205580 */   // Label 4106: @205580
     /*  205580 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(205621), // Rule ID 601 //
     /*  205585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205602 */     // MIs[0] rs1
     /*  205602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205614 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205619 */     GIR_RootConstrainSelectedInstOperands,
     /*  205620 */     // GIR_Coverage, 601,
     /*  205620 */     GIR_Done,
     /*  205621 */   // Label 4107: @205621
     /*  205621 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(205662), // Rule ID 602 //
     /*  205626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205643 */     // MIs[0] rs1
     /*  205643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205655 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205660 */     GIR_RootConstrainSelectedInstOperands,
     /*  205661 */     // GIR_Coverage, 602,
     /*  205661 */     GIR_Done,
     /*  205662 */   // Label 4108: @205662
     /*  205662 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205703), // Rule ID 603 //
     /*  205667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205684 */     // MIs[0] rs1
     /*  205684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205696 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  205701 */     GIR_RootConstrainSelectedInstOperands,
     /*  205702 */     // GIR_Coverage, 603,
     /*  205702 */     GIR_Done,
     /*  205703 */   // Label 4109: @205703
     /*  205703 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(205744), // Rule ID 842 //
     /*  205708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205725 */     // MIs[0] rs1
     /*  205725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205737 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205742 */     GIR_RootConstrainSelectedInstOperands,
     /*  205743 */     // GIR_Coverage, 842,
     /*  205743 */     GIR_Done,
     /*  205744 */   // Label 4110: @205744
     /*  205744 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(205785), // Rule ID 844 //
     /*  205749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205752 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205759 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205766 */     // MIs[0] rs1
     /*  205766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205778 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  205783 */     GIR_RootConstrainSelectedInstOperands,
     /*  205784 */     // GIR_Coverage, 844,
     /*  205784 */     GIR_Done,
     /*  205785 */   // Label 4111: @205785
     /*  205785 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(205826), // Rule ID 846 //
     /*  205790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205807 */     // MIs[0] rs1
     /*  205807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205819 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  205824 */     GIR_RootConstrainSelectedInstOperands,
     /*  205825 */     // GIR_Coverage, 846,
     /*  205825 */     GIR_Done,
     /*  205826 */   // Label 4112: @205826
     /*  205826 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(205867), // Rule ID 848 //
     /*  205831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205848 */     // MIs[0] rs1
     /*  205848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205860 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205865 */     GIR_RootConstrainSelectedInstOperands,
     /*  205866 */     // GIR_Coverage, 848,
     /*  205866 */     GIR_Done,
     /*  205867 */   // Label 4113: @205867
     /*  205867 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(205908), // Rule ID 850 //
     /*  205872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205889 */     // MIs[0] rs1
     /*  205889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205901 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  205906 */     GIR_RootConstrainSelectedInstOperands,
     /*  205907 */     // GIR_Coverage, 850,
     /*  205907 */     GIR_Done,
     /*  205908 */   // Label 4114: @205908
     /*  205908 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(205949), // Rule ID 852 //
     /*  205913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205930 */     // MIs[0] rs1
     /*  205930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205942 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205947 */     GIR_RootConstrainSelectedInstOperands,
     /*  205948 */     // GIR_Coverage, 852,
     /*  205948 */     GIR_Done,
     /*  205949 */   // Label 4115: @205949
     /*  205949 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(205990), // Rule ID 854 //
     /*  205954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205971 */     // MIs[0] rs1
     /*  205971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205983 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  205988 */     GIR_RootConstrainSelectedInstOperands,
     /*  205989 */     // GIR_Coverage, 854,
     /*  205989 */     GIR_Done,
     /*  205990 */   // Label 4116: @205990
     /*  205990 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(206031), // Rule ID 856 //
     /*  205995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206012 */     // MIs[0] rs1
     /*  206012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206024 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206029 */     GIR_RootConstrainSelectedInstOperands,
     /*  206030 */     // GIR_Coverage, 856,
     /*  206030 */     GIR_Done,
     /*  206031 */   // Label 4117: @206031
     /*  206031 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(206072), // Rule ID 858 //
     /*  206036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206053 */     // MIs[0] rs1
     /*  206053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206065 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206070 */     GIR_RootConstrainSelectedInstOperands,
     /*  206071 */     // GIR_Coverage, 858,
     /*  206071 */     GIR_Done,
     /*  206072 */   // Label 4118: @206072
     /*  206072 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(206113), // Rule ID 860 //
     /*  206077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206094 */     // MIs[0] rs1
     /*  206094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206106 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  206111 */     GIR_RootConstrainSelectedInstOperands,
     /*  206112 */     // GIR_Coverage, 860,
     /*  206112 */     GIR_Done,
     /*  206113 */   // Label 4119: @206113
     /*  206113 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(206154), // Rule ID 1022 //
     /*  206118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206135 */     // MIs[0] rs1
     /*  206135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206147 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206152 */     GIR_RootConstrainSelectedInstOperands,
     /*  206153 */     // GIR_Coverage, 1022,
     /*  206153 */     GIR_Done,
     /*  206154 */   // Label 4120: @206154
     /*  206154 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(206195), // Rule ID 1024 //
     /*  206159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206176 */     // MIs[0] rs1
     /*  206176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206188 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  206193 */     GIR_RootConstrainSelectedInstOperands,
     /*  206194 */     // GIR_Coverage, 1024,
     /*  206194 */     GIR_Done,
     /*  206195 */   // Label 4121: @206195
     /*  206195 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(206236), // Rule ID 1026 //
     /*  206200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206203 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206210 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206217 */     // MIs[0] rs1
     /*  206217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206229 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  206234 */     GIR_RootConstrainSelectedInstOperands,
     /*  206235 */     // GIR_Coverage, 1026,
     /*  206235 */     GIR_Done,
     /*  206236 */   // Label 4122: @206236
     /*  206236 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(206277), // Rule ID 1028 //
     /*  206241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206244 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206251 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206258 */     // MIs[0] rs1
     /*  206258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206270 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206275 */     GIR_RootConstrainSelectedInstOperands,
     /*  206276 */     // GIR_Coverage, 1028,
     /*  206276 */     GIR_Done,
     /*  206277 */   // Label 4123: @206277
     /*  206277 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(206318), // Rule ID 1030 //
     /*  206282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  206285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206299 */     // MIs[0] rs1
     /*  206299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206311 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  206316 */     GIR_RootConstrainSelectedInstOperands,
     /*  206317 */     // GIR_Coverage, 1030,
     /*  206317 */     GIR_Done,
     /*  206318 */   // Label 4124: @206318
     /*  206318 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(206359), // Rule ID 1032 //
     /*  206323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206340 */     // MIs[0] rs1
     /*  206340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206352 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206357 */     GIR_RootConstrainSelectedInstOperands,
     /*  206358 */     // GIR_Coverage, 1032,
     /*  206358 */     GIR_Done,
     /*  206359 */   // Label 4125: @206359
     /*  206359 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(206400), // Rule ID 1034 //
     /*  206364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206367 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206374 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206381 */     // MIs[0] rs1
     /*  206381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206393 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206398 */     GIR_RootConstrainSelectedInstOperands,
     /*  206399 */     // GIR_Coverage, 1034,
     /*  206399 */     GIR_Done,
     /*  206400 */   // Label 4126: @206400
     /*  206400 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(206441), // Rule ID 1036 //
     /*  206405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206415 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206422 */     // MIs[0] rs1
     /*  206422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206434 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206439 */     GIR_RootConstrainSelectedInstOperands,
     /*  206440 */     // GIR_Coverage, 1036,
     /*  206440 */     GIR_Done,
     /*  206441 */   // Label 4127: @206441
     /*  206441 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(206482), // Rule ID 1038 //
     /*  206446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206463 */     // MIs[0] rs1
     /*  206463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206475 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206480 */     GIR_RootConstrainSelectedInstOperands,
     /*  206481 */     // GIR_Coverage, 1038,
     /*  206481 */     GIR_Done,
     /*  206482 */   // Label 4128: @206482
     /*  206482 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(206523), // Rule ID 1040 //
     /*  206487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  206490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206504 */     // MIs[0] rs1
     /*  206504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206516 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  206521 */     GIR_RootConstrainSelectedInstOperands,
     /*  206522 */     // GIR_Coverage, 1040,
     /*  206522 */     GIR_Done,
     /*  206523 */   // Label 4129: @206523
     /*  206523 */   GIM_Reject,
     /*  206524 */ // Label 4089: @206524
     /*  206524 */ GIM_Reject,
     /*  206525 */ // Label 4057: @206525
     /*  206525 */ GIM_Reject,
     /*  206526 */ // Label 36: @206526
     /*  206526 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4132*/ GIMT_Encode4(206743),
     /*  206537 */ /*GILLT_s32*//*Label 4130*/ GIMT_Encode4(206545),
     /*  206541 */ /*GILLT_s64*//*Label 4131*/ GIMT_Encode4(206644),
     /*  206545 */ // Label 4130: @206545
     /*  206545 */ GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206571), // Rule ID 245 //
     /*  206550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206553 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206557 */   // MIs[0] Operand 1
     /*  206557 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206560 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  206560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  206566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206569 */   GIR_RootConstrainSelectedInstOperands,
     /*  206570 */   // GIR_Coverage, 245,
     /*  206570 */   GIR_EraseRootFromParent_Done,
     /*  206571 */ // Label 4133: @206571
     /*  206571 */ GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(206597), // Rule ID 247 //
     /*  206576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206579 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  206583 */   // MIs[0] Operand 1
     /*  206583 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206586 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  206586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  206595 */   GIR_RootConstrainSelectedInstOperands,
     /*  206596 */   // GIR_Coverage, 247,
     /*  206596 */   GIR_EraseRootFromParent_Done,
     /*  206597 */ // Label 4134: @206597
     /*  206597 */ GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(206617), // Rule ID 249 //
     /*  206602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206605 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  206609 */   // MIs[0] Operand 1
     /*  206609 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206612 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  206612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  206615 */   GIR_RootConstrainSelectedInstOperands,
     /*  206616 */   // GIR_Coverage, 249,
     /*  206616 */   GIR_EraseRootFromParent_Done,
     /*  206617 */ // Label 4135: @206617
     /*  206617 */ GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(206643), // Rule ID 251 //
     /*  206622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206625 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  206629 */   // MIs[0] Operand 1
     /*  206629 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206632 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  206632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206641 */   GIR_RootConstrainSelectedInstOperands,
     /*  206642 */   // GIR_Coverage, 251,
     /*  206642 */   GIR_EraseRootFromParent_Done,
     /*  206643 */ // Label 4136: @206643
     /*  206643 */ GIM_Reject,
     /*  206644 */ // Label 4131: @206644
     /*  206644 */ GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(206670), // Rule ID 244 //
     /*  206649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206652 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  206656 */   // MIs[0] Operand 1
     /*  206656 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206659 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  206659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  206665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206668 */   GIR_RootConstrainSelectedInstOperands,
     /*  206669 */   // GIR_Coverage, 244,
     /*  206669 */   GIR_EraseRootFromParent_Done,
     /*  206670 */ // Label 4137: @206670
     /*  206670 */ GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(206696), // Rule ID 246 //
     /*  206675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206678 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  206682 */   // MIs[0] Operand 1
     /*  206682 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206685 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  206685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  206694 */   GIR_RootConstrainSelectedInstOperands,
     /*  206695 */   // GIR_Coverage, 246,
     /*  206695 */   GIR_EraseRootFromParent_Done,
     /*  206696 */ // Label 4138: @206696
     /*  206696 */ GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(206716), // Rule ID 248 //
     /*  206701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206704 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  206708 */   // MIs[0] Operand 1
     /*  206708 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206711 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  206711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  206714 */   GIR_RootConstrainSelectedInstOperands,
     /*  206715 */   // GIR_Coverage, 248,
     /*  206715 */   GIR_EraseRootFromParent_Done,
     /*  206716 */ // Label 4139: @206716
     /*  206716 */ GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(206742), // Rule ID 250 //
     /*  206721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206724 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  206728 */   // MIs[0] Operand 1
     /*  206728 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  206731 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  206731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  206734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206740 */   GIR_RootConstrainSelectedInstOperands,
     /*  206741 */   // GIR_Coverage, 250,
     /*  206741 */   GIR_EraseRootFromParent_Done,
     /*  206742 */ // Label 4140: @206742
     /*  206742 */ GIM_Reject,
     /*  206743 */ // Label 4132: @206743
     /*  206743 */ GIM_Reject,
     /*  206744 */ // Label 37: @206744
     /*  206744 */ GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(208229),
     /*  206749 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  206752 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(206797), // Rule ID 2597 //
     /*  206757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  206785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206795 */     GIR_RootConstrainSelectedInstOperands,
     /*  206796 */     // GIR_Coverage, 2597,
     /*  206796 */     GIR_EraseRootFromParent_Done,
     /*  206797 */   // Label 4142: @206797
     /*  206797 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(206842), // Rule ID 2598 //
     /*  206802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  206830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206840 */     GIR_RootConstrainSelectedInstOperands,
     /*  206841 */     // GIR_Coverage, 2598,
     /*  206841 */     GIR_EraseRootFromParent_Done,
     /*  206842 */   // Label 4143: @206842
     /*  206842 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(206887), // Rule ID 23139 //
     /*  206847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  206875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206885 */     GIR_RootConstrainSelectedInstOperands,
     /*  206886 */     // GIR_Coverage, 23139,
     /*  206886 */     GIR_EraseRootFromParent_Done,
     /*  206887 */   // Label 4144: @206887
     /*  206887 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(206932), // Rule ID 23140 //
     /*  206892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  206920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206930 */     GIR_RootConstrainSelectedInstOperands,
     /*  206931 */     // GIR_Coverage, 23140,
     /*  206931 */     GIR_EraseRootFromParent_Done,
     /*  206932 */   // Label 4145: @206932
     /*  206932 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(206977), // Rule ID 23141 //
     /*  206937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  206965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206975 */     GIR_RootConstrainSelectedInstOperands,
     /*  206976 */     // GIR_Coverage, 23141,
     /*  206976 */     GIR_EraseRootFromParent_Done,
     /*  206977 */   // Label 4146: @206977
     /*  206977 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(207022), // Rule ID 23142 //
     /*  206982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207007 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  207010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207020 */     GIR_RootConstrainSelectedInstOperands,
     /*  207021 */     // GIR_Coverage, 23142,
     /*  207021 */     GIR_EraseRootFromParent_Done,
     /*  207022 */   // Label 4147: @207022
     /*  207022 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(207067), // Rule ID 23143 //
     /*  207027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207065 */     GIR_RootConstrainSelectedInstOperands,
     /*  207066 */     // GIR_Coverage, 23143,
     /*  207066 */     GIR_EraseRootFromParent_Done,
     /*  207067 */   // Label 4148: @207067
     /*  207067 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(207112), // Rule ID 23144 //
     /*  207072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  207100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207110 */     GIR_RootConstrainSelectedInstOperands,
     /*  207111 */     // GIR_Coverage, 23144,
     /*  207111 */     GIR_EraseRootFromParent_Done,
     /*  207112 */   // Label 4149: @207112
     /*  207112 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(207157), // Rule ID 23145 //
     /*  207117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207155 */     GIR_RootConstrainSelectedInstOperands,
     /*  207156 */     // GIR_Coverage, 23145,
     /*  207156 */     GIR_EraseRootFromParent_Done,
     /*  207157 */   // Label 4150: @207157
     /*  207157 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(207202), // Rule ID 23146 //
     /*  207162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  207190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207200 */     GIR_RootConstrainSelectedInstOperands,
     /*  207201 */     // GIR_Coverage, 23146,
     /*  207201 */     GIR_EraseRootFromParent_Done,
     /*  207202 */   // Label 4151: @207202
     /*  207202 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(207247), // Rule ID 23147 //
     /*  207207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207232 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207245 */     GIR_RootConstrainSelectedInstOperands,
     /*  207246 */     // GIR_Coverage, 23147,
     /*  207246 */     GIR_EraseRootFromParent_Done,
     /*  207247 */   // Label 4152: @207247
     /*  207247 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(207292), // Rule ID 23148 //
     /*  207252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207277 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  207280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207290 */     GIR_RootConstrainSelectedInstOperands,
     /*  207291 */     // GIR_Coverage, 23148,
     /*  207291 */     GIR_EraseRootFromParent_Done,
     /*  207292 */   // Label 4153: @207292
     /*  207292 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(207337), // Rule ID 23149 //
     /*  207297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207322 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207335 */     GIR_RootConstrainSelectedInstOperands,
     /*  207336 */     // GIR_Coverage, 23149,
     /*  207336 */     GIR_EraseRootFromParent_Done,
     /*  207337 */   // Label 4154: @207337
     /*  207337 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207382), // Rule ID 23150 //
     /*  207342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  207350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207367 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  207370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207380 */     GIR_RootConstrainSelectedInstOperands,
     /*  207381 */     // GIR_Coverage, 23150,
     /*  207381 */     GIR_EraseRootFromParent_Done,
     /*  207382 */   // Label 4155: @207382
     /*  207382 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207427), // Rule ID 23151 //
     /*  207387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207425 */     GIR_RootConstrainSelectedInstOperands,
     /*  207426 */     // GIR_Coverage, 23151,
     /*  207426 */     GIR_EraseRootFromParent_Done,
     /*  207427 */   // Label 4156: @207427
     /*  207427 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207472), // Rule ID 23152 //
     /*  207432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  207460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207470 */     GIR_RootConstrainSelectedInstOperands,
     /*  207471 */     // GIR_Coverage, 23152,
     /*  207471 */     GIR_EraseRootFromParent_Done,
     /*  207472 */   // Label 4157: @207472
     /*  207472 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207517), // Rule ID 23153 //
     /*  207477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207515 */     GIR_RootConstrainSelectedInstOperands,
     /*  207516 */     // GIR_Coverage, 23153,
     /*  207516 */     GIR_EraseRootFromParent_Done,
     /*  207517 */   // Label 4158: @207517
     /*  207517 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207562), // Rule ID 23154 //
     /*  207522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  207533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  207550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207560 */     GIR_RootConstrainSelectedInstOperands,
     /*  207561 */     // GIR_Coverage, 23154,
     /*  207561 */     GIR_EraseRootFromParent_Done,
     /*  207562 */   // Label 4159: @207562
     /*  207562 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207607), // Rule ID 23155 //
     /*  207567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  207595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207605 */     GIR_RootConstrainSelectedInstOperands,
     /*  207606 */     // GIR_Coverage, 23155,
     /*  207606 */     GIR_EraseRootFromParent_Done,
     /*  207607 */   // Label 4160: @207607
     /*  207607 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207652), // Rule ID 23156 //
     /*  207612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  207640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207650 */     GIR_RootConstrainSelectedInstOperands,
     /*  207651 */     // GIR_Coverage, 23156,
     /*  207651 */     GIR_EraseRootFromParent_Done,
     /*  207652 */   // Label 4161: @207652
     /*  207652 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207697), // Rule ID 23157 //
     /*  207657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207682 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  207685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207695 */     GIR_RootConstrainSelectedInstOperands,
     /*  207696 */     // GIR_Coverage, 23157,
     /*  207696 */     GIR_EraseRootFromParent_Done,
     /*  207697 */   // Label 4162: @207697
     /*  207697 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(207742), // Rule ID 23158 //
     /*  207702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  207730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207740 */     GIR_RootConstrainSelectedInstOperands,
     /*  207741 */     // GIR_Coverage, 23158,
     /*  207741 */     GIR_EraseRootFromParent_Done,
     /*  207742 */   // Label 4163: @207742
     /*  207742 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(207787), // Rule ID 23159 //
     /*  207747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  207775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207785 */     GIR_RootConstrainSelectedInstOperands,
     /*  207786 */     // GIR_Coverage, 23159,
     /*  207786 */     GIR_EraseRootFromParent_Done,
     /*  207787 */   // Label 4164: @207787
     /*  207787 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(207832), // Rule ID 23160 //
     /*  207792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207817 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  207820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207830 */     GIR_RootConstrainSelectedInstOperands,
     /*  207831 */     // GIR_Coverage, 23160,
     /*  207831 */     GIR_EraseRootFromParent_Done,
     /*  207832 */   // Label 4165: @207832
     /*  207832 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(207877), // Rule ID 23161 //
     /*  207837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207862 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  207865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207875 */     GIR_RootConstrainSelectedInstOperands,
     /*  207876 */     // GIR_Coverage, 23161,
     /*  207876 */     GIR_EraseRootFromParent_Done,
     /*  207877 */   // Label 4166: @207877
     /*  207877 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(207922), // Rule ID 23162 //
     /*  207882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207907 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  207910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207920 */     GIR_RootConstrainSelectedInstOperands,
     /*  207921 */     // GIR_Coverage, 23162,
     /*  207921 */     GIR_EraseRootFromParent_Done,
     /*  207922 */   // Label 4167: @207922
     /*  207922 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(207967), // Rule ID 23163 //
     /*  207927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207952 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  207955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207965 */     GIR_RootConstrainSelectedInstOperands,
     /*  207966 */     // GIR_Coverage, 23163,
     /*  207966 */     GIR_EraseRootFromParent_Done,
     /*  207967 */   // Label 4168: @207967
     /*  207967 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(208012), // Rule ID 23164 //
     /*  207972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  207980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207997 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  208000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208010 */     GIR_RootConstrainSelectedInstOperands,
     /*  208011 */     // GIR_Coverage, 23164,
     /*  208011 */     GIR_EraseRootFromParent_Done,
     /*  208012 */   // Label 4169: @208012
     /*  208012 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(208048), // Rule ID 2534 //
     /*  208017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  208025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208039 */     // (intrinsic_wo_chain:{ *:[i64] } 10896:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  208042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208046 */     GIR_RootConstrainSelectedInstOperands,
     /*  208047 */     // GIR_Coverage, 2534,
     /*  208047 */     GIR_EraseRootFromParent_Done,
     /*  208048 */   // Label 4170: @208048
     /*  208048 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(208084), // Rule ID 2555 //
     /*  208053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  208061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208075 */     // (intrinsic_wo_chain:{ *:[i64] } 11032:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  208078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208082 */     GIR_RootConstrainSelectedInstOperands,
     /*  208083 */     // GIR_Coverage, 2555,
     /*  208083 */     GIR_EraseRootFromParent_Done,
     /*  208084 */   // Label 4171: @208084
     /*  208084 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(208120), // Rule ID 2556 //
     /*  208089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  208097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208111 */     // (intrinsic_wo_chain:{ *:[i64] } 11035:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  208114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208118 */     GIR_RootConstrainSelectedInstOperands,
     /*  208119 */     // GIR_Coverage, 2556,
     /*  208119 */     GIR_EraseRootFromParent_Done,
     /*  208120 */   // Label 4172: @208120
     /*  208120 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(208156), // Rule ID 2557 //
     /*  208125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  208133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208147 */     // (intrinsic_wo_chain:{ *:[i64] } 11038:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  208150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208154 */     GIR_RootConstrainSelectedInstOperands,
     /*  208155 */     // GIR_Coverage, 2557,
     /*  208155 */     GIR_EraseRootFromParent_Done,
     /*  208156 */   // Label 4173: @208156
     /*  208156 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(208192), // Rule ID 2558 //
     /*  208161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  208164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  208169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208183 */     // (intrinsic_wo_chain:{ *:[i64] } 11040:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  208183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  208186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208190 */     GIR_RootConstrainSelectedInstOperands,
     /*  208191 */     // GIR_Coverage, 2558,
     /*  208191 */     GIR_EraseRootFromParent_Done,
     /*  208192 */   // Label 4174: @208192
     /*  208192 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(208228), // Rule ID 64168 //
     /*  208197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  208200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  208205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208219 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  208219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  208222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208226 */     GIR_RootConstrainSelectedInstOperands,
     /*  208227 */     // GIR_Coverage, 64168,
     /*  208227 */     GIR_EraseRootFromParent_Done,
     /*  208228 */   // Label 4175: @208228
     /*  208228 */   GIM_Reject,
     /*  208229 */ // Label 4141: @208229
     /*  208229 */ GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(215517),
     /*  208234 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  208237 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(208291), // Rule ID 2567 //
     /*  208242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208274 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208289 */     GIR_RootConstrainSelectedInstOperands,
     /*  208290 */     // GIR_Coverage, 2567,
     /*  208290 */     GIR_EraseRootFromParent_Done,
     /*  208291 */   // Label 4177: @208291
     /*  208291 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(208345), // Rule ID 2568 //
     /*  208296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208328 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  208331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208343 */     GIR_RootConstrainSelectedInstOperands,
     /*  208344 */     // GIR_Coverage, 2568,
     /*  208344 */     GIR_EraseRootFromParent_Done,
     /*  208345 */   // Label 4178: @208345
     /*  208345 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(208399), // Rule ID 2573 //
     /*  208350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208382 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208397 */     GIR_RootConstrainSelectedInstOperands,
     /*  208398 */     // GIR_Coverage, 2573,
     /*  208398 */     GIR_EraseRootFromParent_Done,
     /*  208399 */   // Label 4179: @208399
     /*  208399 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(208453), // Rule ID 2574 //
     /*  208404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  208439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208451 */     GIR_RootConstrainSelectedInstOperands,
     /*  208452 */     // GIR_Coverage, 2574,
     /*  208452 */     GIR_EraseRootFromParent_Done,
     /*  208453 */   // Label 4180: @208453
     /*  208453 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(208510), // Rule ID 2593 //
     /*  208458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  208490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208508 */     GIR_RootConstrainSelectedInstOperands,
     /*  208509 */     // GIR_Coverage, 2593,
     /*  208509 */     GIR_EraseRootFromParent_Done,
     /*  208510 */   // Label 4181: @208510
     /*  208510 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(208567), // Rule ID 2594 //
     /*  208515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  208526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  208547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  208550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208565 */     GIR_RootConstrainSelectedInstOperands,
     /*  208566 */     // GIR_Coverage, 2594,
     /*  208566 */     GIR_EraseRootFromParent_Done,
     /*  208567 */   // Label 4182: @208567
     /*  208567 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(208621), // Rule ID 23165 //
     /*  208572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208604 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  208607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208619 */     GIR_RootConstrainSelectedInstOperands,
     /*  208620 */     // GIR_Coverage, 23165,
     /*  208620 */     GIR_EraseRootFromParent_Done,
     /*  208621 */   // Label 4183: @208621
     /*  208621 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(208675), // Rule ID 23166 //
     /*  208626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208658 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  208661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208673 */     GIR_RootConstrainSelectedInstOperands,
     /*  208674 */     // GIR_Coverage, 23166,
     /*  208674 */     GIR_EraseRootFromParent_Done,
     /*  208675 */   // Label 4184: @208675
     /*  208675 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(208729), // Rule ID 23169 //
     /*  208680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208712 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  208715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208727 */     GIR_RootConstrainSelectedInstOperands,
     /*  208728 */     // GIR_Coverage, 23169,
     /*  208728 */     GIR_EraseRootFromParent_Done,
     /*  208729 */   // Label 4185: @208729
     /*  208729 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(208783), // Rule ID 23170 //
     /*  208734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208766 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  208769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208781 */     GIR_RootConstrainSelectedInstOperands,
     /*  208782 */     // GIR_Coverage, 23170,
     /*  208782 */     GIR_EraseRootFromParent_Done,
     /*  208783 */   // Label 4186: @208783
     /*  208783 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(208837), // Rule ID 23173 //
     /*  208788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208820 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  208823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208835 */     GIR_RootConstrainSelectedInstOperands,
     /*  208836 */     // GIR_Coverage, 23173,
     /*  208836 */     GIR_EraseRootFromParent_Done,
     /*  208837 */   // Label 4187: @208837
     /*  208837 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(208891), // Rule ID 23174 //
     /*  208842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208874 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  208877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208889 */     GIR_RootConstrainSelectedInstOperands,
     /*  208890 */     // GIR_Coverage, 23174,
     /*  208890 */     GIR_EraseRootFromParent_Done,
     /*  208891 */   // Label 4188: @208891
     /*  208891 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(208945), // Rule ID 23177 //
     /*  208896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  208910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208928 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  208931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208943 */     GIR_RootConstrainSelectedInstOperands,
     /*  208944 */     // GIR_Coverage, 23177,
     /*  208944 */     GIR_EraseRootFromParent_Done,
     /*  208945 */   // Label 4189: @208945
     /*  208945 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(208999), // Rule ID 23178 //
     /*  208950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  208958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  208964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208982 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  208985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208997 */     GIR_RootConstrainSelectedInstOperands,
     /*  208998 */     // GIR_Coverage, 23178,
     /*  208998 */     GIR_EraseRootFromParent_Done,
     /*  208999 */   // Label 4190: @208999
     /*  208999 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(209053), // Rule ID 23181 //
     /*  209004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209036 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209051 */     GIR_RootConstrainSelectedInstOperands,
     /*  209052 */     // GIR_Coverage, 23181,
     /*  209052 */     GIR_EraseRootFromParent_Done,
     /*  209053 */   // Label 4191: @209053
     /*  209053 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(209107), // Rule ID 23182 //
     /*  209058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209090 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  209093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209105 */     GIR_RootConstrainSelectedInstOperands,
     /*  209106 */     // GIR_Coverage, 23182,
     /*  209106 */     GIR_EraseRootFromParent_Done,
     /*  209107 */   // Label 4192: @209107
     /*  209107 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(209161), // Rule ID 23185 //
     /*  209112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209144 */     // (intrinsic_wo_chain:{ *:[i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209159 */     GIR_RootConstrainSelectedInstOperands,
     /*  209160 */     // GIR_Coverage, 23185,
     /*  209160 */     GIR_EraseRootFromParent_Done,
     /*  209161 */   // Label 4193: @209161
     /*  209161 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(209215), // Rule ID 23186 //
     /*  209166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  209174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209198 */     // (intrinsic_wo_chain:{ *:[i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  209201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209213 */     GIR_RootConstrainSelectedInstOperands,
     /*  209214 */     // GIR_Coverage, 23186,
     /*  209214 */     GIR_EraseRootFromParent_Done,
     /*  209215 */   // Label 4194: @209215
     /*  209215 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(209269), // Rule ID 23189 //
     /*  209220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209252 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209267 */     GIR_RootConstrainSelectedInstOperands,
     /*  209268 */     // GIR_Coverage, 23189,
     /*  209268 */     GIR_EraseRootFromParent_Done,
     /*  209269 */   // Label 4195: @209269
     /*  209269 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(209323), // Rule ID 23190 //
     /*  209274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209306 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  209309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209321 */     GIR_RootConstrainSelectedInstOperands,
     /*  209322 */     // GIR_Coverage, 23190,
     /*  209322 */     GIR_EraseRootFromParent_Done,
     /*  209323 */   // Label 4196: @209323
     /*  209323 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(209377), // Rule ID 23193 //
     /*  209328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209360 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209375 */     GIR_RootConstrainSelectedInstOperands,
     /*  209376 */     // GIR_Coverage, 23193,
     /*  209376 */     GIR_EraseRootFromParent_Done,
     /*  209377 */   // Label 4197: @209377
     /*  209377 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(209431), // Rule ID 23194 //
     /*  209382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209414 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  209417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209429 */     GIR_RootConstrainSelectedInstOperands,
     /*  209430 */     // GIR_Coverage, 23194,
     /*  209430 */     GIR_EraseRootFromParent_Done,
     /*  209431 */   // Label 4198: @209431
     /*  209431 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(209485), // Rule ID 23197 //
     /*  209436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209468 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209483 */     GIR_RootConstrainSelectedInstOperands,
     /*  209484 */     // GIR_Coverage, 23197,
     /*  209484 */     GIR_EraseRootFromParent_Done,
     /*  209485 */   // Label 4199: @209485
     /*  209485 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(209539), // Rule ID 23198 //
     /*  209490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209522 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  209525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209537 */     GIR_RootConstrainSelectedInstOperands,
     /*  209538 */     // GIR_Coverage, 23198,
     /*  209538 */     GIR_EraseRootFromParent_Done,
     /*  209539 */   // Label 4200: @209539
     /*  209539 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(209593), // Rule ID 23201 //
     /*  209544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209576 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  209579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209591 */     GIR_RootConstrainSelectedInstOperands,
     /*  209592 */     // GIR_Coverage, 23201,
     /*  209592 */     GIR_EraseRootFromParent_Done,
     /*  209593 */   // Label 4201: @209593
     /*  209593 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(209647), // Rule ID 23202 //
     /*  209598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209630 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  209633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209645 */     GIR_RootConstrainSelectedInstOperands,
     /*  209646 */     // GIR_Coverage, 23202,
     /*  209646 */     GIR_EraseRootFromParent_Done,
     /*  209647 */   // Label 4202: @209647
     /*  209647 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(209701), // Rule ID 23205 //
     /*  209652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209684 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  209687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209699 */     GIR_RootConstrainSelectedInstOperands,
     /*  209700 */     // GIR_Coverage, 23205,
     /*  209700 */     GIR_EraseRootFromParent_Done,
     /*  209701 */   // Label 4203: @209701
     /*  209701 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(209755), // Rule ID 23206 //
     /*  209706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209738 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  209741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209753 */     GIR_RootConstrainSelectedInstOperands,
     /*  209754 */     // GIR_Coverage, 23206,
     /*  209754 */     GIR_EraseRootFromParent_Done,
     /*  209755 */   // Label 4204: @209755
     /*  209755 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(209809), // Rule ID 23209 //
     /*  209760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209792 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  209795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209807 */     GIR_RootConstrainSelectedInstOperands,
     /*  209808 */     // GIR_Coverage, 23209,
     /*  209808 */     GIR_EraseRootFromParent_Done,
     /*  209809 */   // Label 4205: @209809
     /*  209809 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(209863), // Rule ID 23210 //
     /*  209814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209846 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  209849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209861 */     GIR_RootConstrainSelectedInstOperands,
     /*  209862 */     // GIR_Coverage, 23210,
     /*  209862 */     GIR_EraseRootFromParent_Done,
     /*  209863 */   // Label 4206: @209863
     /*  209863 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(209917), // Rule ID 23213 //
     /*  209868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209900 */     // (intrinsic_wo_chain:{ *:[i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  209903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209915 */     GIR_RootConstrainSelectedInstOperands,
     /*  209916 */     // GIR_Coverage, 23213,
     /*  209916 */     GIR_EraseRootFromParent_Done,
     /*  209917 */   // Label 4207: @209917
     /*  209917 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(209971), // Rule ID 23214 //
     /*  209922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  209930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209954 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  209957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209969 */     GIR_RootConstrainSelectedInstOperands,
     /*  209970 */     // GIR_Coverage, 23214,
     /*  209970 */     GIR_EraseRootFromParent_Done,
     /*  209971 */   // Label 4208: @209971
     /*  209971 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(210025), // Rule ID 23217 //
     /*  209976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210023 */     GIR_RootConstrainSelectedInstOperands,
     /*  210024 */     // GIR_Coverage, 23217,
     /*  210024 */     GIR_EraseRootFromParent_Done,
     /*  210025 */   // Label 4209: @210025
     /*  210025 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(210079), // Rule ID 23218 //
     /*  210030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  210065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210077 */     GIR_RootConstrainSelectedInstOperands,
     /*  210078 */     // GIR_Coverage, 23218,
     /*  210078 */     GIR_EraseRootFromParent_Done,
     /*  210079 */   // Label 4210: @210079
     /*  210079 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(210133), // Rule ID 23221 //
     /*  210084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210131 */     GIR_RootConstrainSelectedInstOperands,
     /*  210132 */     // GIR_Coverage, 23221,
     /*  210132 */     GIR_EraseRootFromParent_Done,
     /*  210133 */   // Label 4211: @210133
     /*  210133 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(210187), // Rule ID 23222 //
     /*  210138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  210173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210185 */     GIR_RootConstrainSelectedInstOperands,
     /*  210186 */     // GIR_Coverage, 23222,
     /*  210186 */     GIR_EraseRootFromParent_Done,
     /*  210187 */   // Label 4212: @210187
     /*  210187 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(210241), // Rule ID 23225 //
     /*  210192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210239 */     GIR_RootConstrainSelectedInstOperands,
     /*  210240 */     // GIR_Coverage, 23225,
     /*  210240 */     GIR_EraseRootFromParent_Done,
     /*  210241 */   // Label 4213: @210241
     /*  210241 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(210295), // Rule ID 23226 //
     /*  210246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  210281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210293 */     GIR_RootConstrainSelectedInstOperands,
     /*  210294 */     // GIR_Coverage, 23226,
     /*  210294 */     GIR_EraseRootFromParent_Done,
     /*  210295 */   // Label 4214: @210295
     /*  210295 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(210349), // Rule ID 23229 //
     /*  210300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210347 */     GIR_RootConstrainSelectedInstOperands,
     /*  210348 */     // GIR_Coverage, 23229,
     /*  210348 */     GIR_EraseRootFromParent_Done,
     /*  210349 */   // Label 4215: @210349
     /*  210349 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(210403), // Rule ID 23230 //
     /*  210354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210386 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  210389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210401 */     GIR_RootConstrainSelectedInstOperands,
     /*  210402 */     // GIR_Coverage, 23230,
     /*  210402 */     GIR_EraseRootFromParent_Done,
     /*  210403 */   // Label 4216: @210403
     /*  210403 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(210457), // Rule ID 23233 //
     /*  210408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210455 */     GIR_RootConstrainSelectedInstOperands,
     /*  210456 */     // GIR_Coverage, 23233,
     /*  210456 */     GIR_EraseRootFromParent_Done,
     /*  210457 */   // Label 4217: @210457
     /*  210457 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(210511), // Rule ID 23234 //
     /*  210462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  210497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210509 */     GIR_RootConstrainSelectedInstOperands,
     /*  210510 */     // GIR_Coverage, 23234,
     /*  210510 */     GIR_EraseRootFromParent_Done,
     /*  210511 */   // Label 4218: @210511
     /*  210511 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(210565), // Rule ID 23237 //
     /*  210516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210548 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210563 */     GIR_RootConstrainSelectedInstOperands,
     /*  210564 */     // GIR_Coverage, 23237,
     /*  210564 */     GIR_EraseRootFromParent_Done,
     /*  210565 */   // Label 4219: @210565
     /*  210565 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(210619), // Rule ID 23238 //
     /*  210570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  210578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210602 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  210605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210617 */     GIR_RootConstrainSelectedInstOperands,
     /*  210618 */     // GIR_Coverage, 23238,
     /*  210618 */     GIR_EraseRootFromParent_Done,
     /*  210619 */   // Label 4220: @210619
     /*  210619 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(210673), // Rule ID 23241 //
     /*  210624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  210659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210671 */     GIR_RootConstrainSelectedInstOperands,
     /*  210672 */     // GIR_Coverage, 23241,
     /*  210672 */     GIR_EraseRootFromParent_Done,
     /*  210673 */   // Label 4221: @210673
     /*  210673 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(210727), // Rule ID 23242 //
     /*  210678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  210713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210725 */     GIR_RootConstrainSelectedInstOperands,
     /*  210726 */     // GIR_Coverage, 23242,
     /*  210726 */     GIR_EraseRootFromParent_Done,
     /*  210727 */   // Label 4222: @210727
     /*  210727 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(210781), // Rule ID 23245 //
     /*  210732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  210767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210779 */     GIR_RootConstrainSelectedInstOperands,
     /*  210780 */     // GIR_Coverage, 23245,
     /*  210780 */     GIR_EraseRootFromParent_Done,
     /*  210781 */   // Label 4223: @210781
     /*  210781 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(210835), // Rule ID 23246 //
     /*  210786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  210821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210833 */     GIR_RootConstrainSelectedInstOperands,
     /*  210834 */     // GIR_Coverage, 23246,
     /*  210834 */     GIR_EraseRootFromParent_Done,
     /*  210835 */   // Label 4224: @210835
     /*  210835 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(210889), // Rule ID 23249 //
     /*  210840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  210875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210887 */     GIR_RootConstrainSelectedInstOperands,
     /*  210888 */     // GIR_Coverage, 23249,
     /*  210888 */     GIR_EraseRootFromParent_Done,
     /*  210889 */   // Label 4225: @210889
     /*  210889 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(210943), // Rule ID 23250 //
     /*  210894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  210929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210941 */     GIR_RootConstrainSelectedInstOperands,
     /*  210942 */     // GIR_Coverage, 23250,
     /*  210942 */     GIR_EraseRootFromParent_Done,
     /*  210943 */   // Label 4226: @210943
     /*  210943 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(210997), // Rule ID 23253 //
     /*  210948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  210983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210995 */     GIR_RootConstrainSelectedInstOperands,
     /*  210996 */     // GIR_Coverage, 23253,
     /*  210996 */     GIR_EraseRootFromParent_Done,
     /*  210997 */   // Label 4227: @210997
     /*  210997 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(211051), // Rule ID 23254 //
     /*  211002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  211037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211049 */     GIR_RootConstrainSelectedInstOperands,
     /*  211050 */     // GIR_Coverage, 23254,
     /*  211050 */     GIR_EraseRootFromParent_Done,
     /*  211051 */   // Label 4228: @211051
     /*  211051 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(211105), // Rule ID 23257 //
     /*  211056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211103 */     GIR_RootConstrainSelectedInstOperands,
     /*  211104 */     // GIR_Coverage, 23257,
     /*  211104 */     GIR_EraseRootFromParent_Done,
     /*  211105 */   // Label 4229: @211105
     /*  211105 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(211159), // Rule ID 23258 //
     /*  211110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  211145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211157 */     GIR_RootConstrainSelectedInstOperands,
     /*  211158 */     // GIR_Coverage, 23258,
     /*  211158 */     GIR_EraseRootFromParent_Done,
     /*  211159 */   // Label 4230: @211159
     /*  211159 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(211213), // Rule ID 23261 //
     /*  211164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211211 */     GIR_RootConstrainSelectedInstOperands,
     /*  211212 */     // GIR_Coverage, 23261,
     /*  211212 */     GIR_EraseRootFromParent_Done,
     /*  211213 */   // Label 4231: @211213
     /*  211213 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(211267), // Rule ID 23262 //
     /*  211218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211250 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  211253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211265 */     GIR_RootConstrainSelectedInstOperands,
     /*  211266 */     // GIR_Coverage, 23262,
     /*  211266 */     GIR_EraseRootFromParent_Done,
     /*  211267 */   // Label 4232: @211267
     /*  211267 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(211321), // Rule ID 23265 //
     /*  211272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211304 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211319 */     GIR_RootConstrainSelectedInstOperands,
     /*  211320 */     // GIR_Coverage, 23265,
     /*  211320 */     GIR_EraseRootFromParent_Done,
     /*  211321 */   // Label 4233: @211321
     /*  211321 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(211375), // Rule ID 23266 //
     /*  211326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  211334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  211340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211358 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  211361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211373 */     GIR_RootConstrainSelectedInstOperands,
     /*  211374 */     // GIR_Coverage, 23266,
     /*  211374 */     GIR_EraseRootFromParent_Done,
     /*  211375 */   // Label 4234: @211375
     /*  211375 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(211429), // Rule ID 23269 //
     /*  211380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211427 */     GIR_RootConstrainSelectedInstOperands,
     /*  211428 */     // GIR_Coverage, 23269,
     /*  211428 */     GIR_EraseRootFromParent_Done,
     /*  211429 */   // Label 4235: @211429
     /*  211429 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(211483), // Rule ID 23270 //
     /*  211434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  211448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  211469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211481 */     GIR_RootConstrainSelectedInstOperands,
     /*  211482 */     // GIR_Coverage, 23270,
     /*  211482 */     GIR_EraseRootFromParent_Done,
     /*  211483 */   // Label 4236: @211483
     /*  211483 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(211537), // Rule ID 23273 //
     /*  211488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211535 */     GIR_RootConstrainSelectedInstOperands,
     /*  211536 */     // GIR_Coverage, 23273,
     /*  211536 */     GIR_EraseRootFromParent_Done,
     /*  211537 */   // Label 4237: @211537
     /*  211537 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(211591), // Rule ID 23274 //
     /*  211542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  211556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  211577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211589 */     GIR_RootConstrainSelectedInstOperands,
     /*  211590 */     // GIR_Coverage, 23274,
     /*  211590 */     GIR_EraseRootFromParent_Done,
     /*  211591 */   // Label 4238: @211591
     /*  211591 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(211645), // Rule ID 23277 //
     /*  211596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  211631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211643 */     GIR_RootConstrainSelectedInstOperands,
     /*  211644 */     // GIR_Coverage, 23277,
     /*  211644 */     GIR_EraseRootFromParent_Done,
     /*  211645 */   // Label 4239: @211645
     /*  211645 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(211699), // Rule ID 23278 //
     /*  211650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  211664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  211685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211697 */     GIR_RootConstrainSelectedInstOperands,
     /*  211698 */     // GIR_Coverage, 23278,
     /*  211698 */     GIR_EraseRootFromParent_Done,
     /*  211699 */   // Label 4240: @211699
     /*  211699 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(211753), // Rule ID 23281 //
     /*  211704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  211739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211751 */     GIR_RootConstrainSelectedInstOperands,
     /*  211752 */     // GIR_Coverage, 23281,
     /*  211752 */     GIR_EraseRootFromParent_Done,
     /*  211753 */   // Label 4241: @211753
     /*  211753 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(211807), // Rule ID 23282 //
     /*  211758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  211772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  211793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211805 */     GIR_RootConstrainSelectedInstOperands,
     /*  211806 */     // GIR_Coverage, 23282,
     /*  211806 */     GIR_EraseRootFromParent_Done,
     /*  211807 */   // Label 4242: @211807
     /*  211807 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(211861), // Rule ID 23285 //
     /*  211812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  211847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211859 */     GIR_RootConstrainSelectedInstOperands,
     /*  211860 */     // GIR_Coverage, 23285,
     /*  211860 */     GIR_EraseRootFromParent_Done,
     /*  211861 */   // Label 4243: @211861
     /*  211861 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(211915), // Rule ID 23286 //
     /*  211866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  211880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211898 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  211901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211913 */     GIR_RootConstrainSelectedInstOperands,
     /*  211914 */     // GIR_Coverage, 23286,
     /*  211914 */     GIR_EraseRootFromParent_Done,
     /*  211915 */   // Label 4244: @211915
     /*  211915 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(211969), // Rule ID 23289 //
     /*  211920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  211955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211967 */     GIR_RootConstrainSelectedInstOperands,
     /*  211968 */     // GIR_Coverage, 23289,
     /*  211968 */     GIR_EraseRootFromParent_Done,
     /*  211969 */   // Label 4245: @211969
     /*  211969 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(212023), // Rule ID 23290 //
     /*  211974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  211982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  211988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  212009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212021 */     GIR_RootConstrainSelectedInstOperands,
     /*  212022 */     // GIR_Coverage, 23290,
     /*  212022 */     GIR_EraseRootFromParent_Done,
     /*  212023 */   // Label 4246: @212023
     /*  212023 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(212077), // Rule ID 23293 //
     /*  212028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212060 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212075 */     GIR_RootConstrainSelectedInstOperands,
     /*  212076 */     // GIR_Coverage, 23293,
     /*  212076 */     GIR_EraseRootFromParent_Done,
     /*  212077 */   // Label 4247: @212077
     /*  212077 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(212131), // Rule ID 23294 //
     /*  212082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  212090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  212096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212114 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  212117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212129 */     GIR_RootConstrainSelectedInstOperands,
     /*  212130 */     // GIR_Coverage, 23294,
     /*  212130 */     GIR_EraseRootFromParent_Done,
     /*  212131 */   // Label 4248: @212131
     /*  212131 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(212188), // Rule ID 23381 //
     /*  212136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212186 */     GIR_RootConstrainSelectedInstOperands,
     /*  212187 */     // GIR_Coverage, 23381,
     /*  212187 */     GIR_EraseRootFromParent_Done,
     /*  212188 */   // Label 4249: @212188
     /*  212188 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(212245), // Rule ID 23382 //
     /*  212193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  212204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  212207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212225 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212243 */     GIR_RootConstrainSelectedInstOperands,
     /*  212244 */     // GIR_Coverage, 23382,
     /*  212244 */     GIR_EraseRootFromParent_Done,
     /*  212245 */   // Label 4250: @212245
     /*  212245 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(212302), // Rule ID 23385 //
     /*  212250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212282 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212300 */     GIR_RootConstrainSelectedInstOperands,
     /*  212301 */     // GIR_Coverage, 23385,
     /*  212301 */     GIR_EraseRootFromParent_Done,
     /*  212302 */   // Label 4251: @212302
     /*  212302 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(212359), // Rule ID 23386 //
     /*  212307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  212318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  212321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212339 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212357 */     GIR_RootConstrainSelectedInstOperands,
     /*  212358 */     // GIR_Coverage, 23386,
     /*  212358 */     GIR_EraseRootFromParent_Done,
     /*  212359 */   // Label 4252: @212359
     /*  212359 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(212416), // Rule ID 23389 //
     /*  212364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212414 */     GIR_RootConstrainSelectedInstOperands,
     /*  212415 */     // GIR_Coverage, 23389,
     /*  212415 */     GIR_EraseRootFromParent_Done,
     /*  212416 */   // Label 4253: @212416
     /*  212416 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(212473), // Rule ID 23390 //
     /*  212421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  212432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  212435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  212456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212471 */     GIR_RootConstrainSelectedInstOperands,
     /*  212472 */     // GIR_Coverage, 23390,
     /*  212472 */     GIR_EraseRootFromParent_Done,
     /*  212473 */   // Label 4254: @212473
     /*  212473 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(212530), // Rule ID 23393 //
     /*  212478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212510 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212528 */     GIR_RootConstrainSelectedInstOperands,
     /*  212529 */     // GIR_Coverage, 23393,
     /*  212529 */     GIR_EraseRootFromParent_Done,
     /*  212530 */   // Label 4255: @212530
     /*  212530 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(212587), // Rule ID 23394 //
     /*  212535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  212546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  212549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212585 */     GIR_RootConstrainSelectedInstOperands,
     /*  212586 */     // GIR_Coverage, 23394,
     /*  212586 */     GIR_EraseRootFromParent_Done,
     /*  212587 */   // Label 4256: @212587
     /*  212587 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(212644), // Rule ID 23397 //
     /*  212592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  212603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  212606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212642 */     GIR_RootConstrainSelectedInstOperands,
     /*  212643 */     // GIR_Coverage, 23397,
     /*  212643 */     GIR_EraseRootFromParent_Done,
     /*  212644 */   // Label 4257: @212644
     /*  212644 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(212701), // Rule ID 23398 //
     /*  212649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  212660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  212663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  212681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  212684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212699 */     GIR_RootConstrainSelectedInstOperands,
     /*  212700 */     // GIR_Coverage, 23398,
     /*  212700 */     GIR_EraseRootFromParent_Done,
     /*  212701 */   // Label 4258: @212701
     /*  212701 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(212758), // Rule ID 23401 //
     /*  212706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  212717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212738 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212756 */     GIR_RootConstrainSelectedInstOperands,
     /*  212757 */     // GIR_Coverage, 23401,
     /*  212757 */     GIR_EraseRootFromParent_Done,
     /*  212758 */   // Label 4259: @212758
     /*  212758 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(212815), // Rule ID 23402 //
     /*  212763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  212774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11240:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212813 */     GIR_RootConstrainSelectedInstOperands,
     /*  212814 */     // GIR_Coverage, 23402,
     /*  212814 */     GIR_EraseRootFromParent_Done,
     /*  212815 */   // Label 4260: @212815
     /*  212815 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(212872), // Rule ID 23405 //
     /*  212820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  212831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212870 */     GIR_RootConstrainSelectedInstOperands,
     /*  212871 */     // GIR_Coverage, 23405,
     /*  212871 */     GIR_EraseRootFromParent_Done,
     /*  212872 */   // Label 4261: @212872
     /*  212872 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(212929), // Rule ID 23406 //
     /*  212877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  212888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11240:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212927 */     GIR_RootConstrainSelectedInstOperands,
     /*  212928 */     // GIR_Coverage, 23406,
     /*  212928 */     GIR_EraseRootFromParent_Done,
     /*  212929 */   // Label 4262: @212929
     /*  212929 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(212986), // Rule ID 23409 //
     /*  212934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  212945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  212948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  212969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212984 */     GIR_RootConstrainSelectedInstOperands,
     /*  212985 */     // GIR_Coverage, 23409,
     /*  212985 */     GIR_EraseRootFromParent_Done,
     /*  212986 */   // Label 4263: @212986
     /*  212986 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(213043), // Rule ID 23410 //
     /*  212991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  213002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  213005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213041 */     GIR_RootConstrainSelectedInstOperands,
     /*  213042 */     // GIR_Coverage, 23410,
     /*  213042 */     GIR_EraseRootFromParent_Done,
     /*  213043 */   // Label 4264: @213043
     /*  213043 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(213100), // Rule ID 23413 //
     /*  213048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213098 */     GIR_RootConstrainSelectedInstOperands,
     /*  213099 */     // GIR_Coverage, 23413,
     /*  213099 */     GIR_EraseRootFromParent_Done,
     /*  213100 */   // Label 4265: @213100
     /*  213100 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(213157), // Rule ID 23414 //
     /*  213105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  213116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  213119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  213140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213155 */     GIR_RootConstrainSelectedInstOperands,
     /*  213156 */     // GIR_Coverage, 23414,
     /*  213156 */     GIR_EraseRootFromParent_Done,
     /*  213157 */   // Label 4266: @213157
     /*  213157 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(213214), // Rule ID 23417 //
     /*  213162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213212 */     GIR_RootConstrainSelectedInstOperands,
     /*  213213 */     // GIR_Coverage, 23417,
     /*  213213 */     GIR_EraseRootFromParent_Done,
     /*  213214 */   // Label 4267: @213214
     /*  213214 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(213271), // Rule ID 23418 //
     /*  213219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  213230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  213233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213269 */     GIR_RootConstrainSelectedInstOperands,
     /*  213270 */     // GIR_Coverage, 23418,
     /*  213270 */     GIR_EraseRootFromParent_Done,
     /*  213271 */   // Label 4268: @213271
     /*  213271 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(213328), // Rule ID 23421 //
     /*  213276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213326 */     GIR_RootConstrainSelectedInstOperands,
     /*  213327 */     // GIR_Coverage, 23421,
     /*  213327 */     GIR_EraseRootFromParent_Done,
     /*  213328 */   // Label 4269: @213328
     /*  213328 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(213385), // Rule ID 23422 //
     /*  213333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  213344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  213347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213365 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213383 */     GIR_RootConstrainSelectedInstOperands,
     /*  213384 */     // GIR_Coverage, 23422,
     /*  213384 */     GIR_EraseRootFromParent_Done,
     /*  213385 */   // Label 4270: @213385
     /*  213385 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(213442), // Rule ID 23425 //
     /*  213390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213440 */     GIR_RootConstrainSelectedInstOperands,
     /*  213441 */     // GIR_Coverage, 23425,
     /*  213441 */     GIR_EraseRootFromParent_Done,
     /*  213442 */   // Label 4271: @213442
     /*  213442 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(213499), // Rule ID 23426 //
     /*  213447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  213458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  213461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213479 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213497 */     GIR_RootConstrainSelectedInstOperands,
     /*  213498 */     // GIR_Coverage, 23426,
     /*  213498 */     GIR_EraseRootFromParent_Done,
     /*  213499 */   // Label 4272: @213499
     /*  213499 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(213556), // Rule ID 23429 //
     /*  213504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213554 */     GIR_RootConstrainSelectedInstOperands,
     /*  213555 */     // GIR_Coverage, 23429,
     /*  213555 */     GIR_EraseRootFromParent_Done,
     /*  213556 */   // Label 4273: @213556
     /*  213556 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(213613), // Rule ID 23430 //
     /*  213561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  213572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  213575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213611 */     GIR_RootConstrainSelectedInstOperands,
     /*  213612 */     // GIR_Coverage, 23430,
     /*  213612 */     GIR_EraseRootFromParent_Done,
     /*  213613 */   // Label 4274: @213613
     /*  213613 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(213670), // Rule ID 23433 //
     /*  213618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  213629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213668 */     GIR_RootConstrainSelectedInstOperands,
     /*  213669 */     // GIR_Coverage, 23433,
     /*  213669 */     GIR_EraseRootFromParent_Done,
     /*  213670 */   // Label 4275: @213670
     /*  213670 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(213727), // Rule ID 23434 //
     /*  213675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  213686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213725 */     GIR_RootConstrainSelectedInstOperands,
     /*  213726 */     // GIR_Coverage, 23434,
     /*  213726 */     GIR_EraseRootFromParent_Done,
     /*  213727 */   // Label 4276: @213727
     /*  213727 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(213784), // Rule ID 23437 //
     /*  213732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  213743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  213764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213782 */     GIR_RootConstrainSelectedInstOperands,
     /*  213783 */     // GIR_Coverage, 23437,
     /*  213783 */     GIR_EraseRootFromParent_Done,
     /*  213784 */   // Label 4277: @213784
     /*  213784 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(213841), // Rule ID 23438 //
     /*  213789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  213800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  213821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213839 */     GIR_RootConstrainSelectedInstOperands,
     /*  213840 */     // GIR_Coverage, 23438,
     /*  213840 */     GIR_EraseRootFromParent_Done,
     /*  213841 */   // Label 4278: @213841
     /*  213841 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(213898), // Rule ID 23441 //
     /*  213846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  213857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213896 */     GIR_RootConstrainSelectedInstOperands,
     /*  213897 */     // GIR_Coverage, 23441,
     /*  213897 */     GIR_EraseRootFromParent_Done,
     /*  213898 */   // Label 4279: @213898
     /*  213898 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(213955), // Rule ID 23442 //
     /*  213903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  213914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  213935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213953 */     GIR_RootConstrainSelectedInstOperands,
     /*  213954 */     // GIR_Coverage, 23442,
     /*  213954 */     GIR_EraseRootFromParent_Done,
     /*  213955 */   // Label 4280: @213955
     /*  213955 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214012), // Rule ID 23445 //
     /*  213960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  213971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  213974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  213992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214010 */     GIR_RootConstrainSelectedInstOperands,
     /*  214011 */     // GIR_Coverage, 23445,
     /*  214011 */     GIR_EraseRootFromParent_Done,
     /*  214012 */   // Label 4281: @214012
     /*  214012 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214069), // Rule ID 23446 //
     /*  214017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  214028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  214031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214067 */     GIR_RootConstrainSelectedInstOperands,
     /*  214068 */     // GIR_Coverage, 23446,
     /*  214068 */     GIR_EraseRootFromParent_Done,
     /*  214069 */   // Label 4282: @214069
     /*  214069 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(214126), // Rule ID 23449 //
     /*  214074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214124 */     GIR_RootConstrainSelectedInstOperands,
     /*  214125 */     // GIR_Coverage, 23449,
     /*  214125 */     GIR_EraseRootFromParent_Done,
     /*  214126 */   // Label 4283: @214126
     /*  214126 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(214183), // Rule ID 23450 //
     /*  214131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  214142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  214145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214181 */     GIR_RootConstrainSelectedInstOperands,
     /*  214182 */     // GIR_Coverage, 23450,
     /*  214182 */     GIR_EraseRootFromParent_Done,
     /*  214183 */   // Label 4284: @214183
     /*  214183 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(214240), // Rule ID 23453 //
     /*  214188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214238 */     GIR_RootConstrainSelectedInstOperands,
     /*  214239 */     // GIR_Coverage, 23453,
     /*  214239 */     GIR_EraseRootFromParent_Done,
     /*  214240 */   // Label 4285: @214240
     /*  214240 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(214297), // Rule ID 23454 //
     /*  214245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  214256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  214259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  214280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214295 */     GIR_RootConstrainSelectedInstOperands,
     /*  214296 */     // GIR_Coverage, 23454,
     /*  214296 */     GIR_EraseRootFromParent_Done,
     /*  214297 */   // Label 4286: @214297
     /*  214297 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(214354), // Rule ID 23457 //
     /*  214302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214352 */     GIR_RootConstrainSelectedInstOperands,
     /*  214353 */     // GIR_Coverage, 23457,
     /*  214353 */     GIR_EraseRootFromParent_Done,
     /*  214354 */   // Label 4287: @214354
     /*  214354 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(214411), // Rule ID 23458 //
     /*  214359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  214370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  214373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214391 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  214394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214409 */     GIR_RootConstrainSelectedInstOperands,
     /*  214410 */     // GIR_Coverage, 23458,
     /*  214410 */     GIR_EraseRootFromParent_Done,
     /*  214411 */   // Label 4288: @214411
     /*  214411 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(214468), // Rule ID 23461 //
     /*  214416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  214448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214466 */     GIR_RootConstrainSelectedInstOperands,
     /*  214467 */     // GIR_Coverage, 23461,
     /*  214467 */     GIR_EraseRootFromParent_Done,
     /*  214468 */   // Label 4289: @214468
     /*  214468 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(214525), // Rule ID 23462 //
     /*  214473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  214481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  214484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  214487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  214505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  214508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214523 */     GIR_RootConstrainSelectedInstOperands,
     /*  214524 */     // GIR_Coverage, 23462,
     /*  214524 */     GIR_EraseRootFromParent_Done,
     /*  214525 */   // Label 4290: @214525
     /*  214525 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(214571), // Rule ID 2536 //
     /*  214530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  214538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214552 */     // MIs[0] rnum
     /*  214552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  214555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  214560 */     // (intrinsic_wo_chain:{ *:[i64] } 10897:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  214560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  214563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  214569 */     GIR_RootConstrainSelectedInstOperands,
     /*  214570 */     // GIR_Coverage, 2536,
     /*  214570 */     GIR_EraseRootFromParent_Done,
     /*  214571 */   // Label 4291: @214571
     /*  214571 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(214616), // Rule ID 64176 //
     /*  214576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  214579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  214584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214605 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  214608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214614 */     GIR_RootConstrainSelectedInstOperands,
     /*  214615 */     // GIR_Coverage, 64176,
     /*  214615 */     GIR_EraseRootFromParent_Done,
     /*  214616 */   // Label 4292: @214616
     /*  214616 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(214661), // Rule ID 64203 //
     /*  214621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  214624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  214629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214650 */     // (intrinsic_wo_chain:{ *:[i32] } 10908:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  214653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214659 */     GIR_RootConstrainSelectedInstOperands,
     /*  214660 */     // GIR_Coverage, 64203,
     /*  214660 */     GIR_EraseRootFromParent_Done,
     /*  214661 */   // Label 4293: @214661
     /*  214661 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(214706), // Rule ID 2526 //
     /*  214666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  214669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  214674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214695 */     // (intrinsic_wo_chain:{ *:[i64] } 11598:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  214698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214704 */     GIR_RootConstrainSelectedInstOperands,
     /*  214705 */     // GIR_Coverage, 2526,
     /*  214705 */     GIR_EraseRootFromParent_Done,
     /*  214706 */   // Label 4294: @214706
     /*  214706 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(214751), // Rule ID 2527 //
     /*  214711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  214714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  214719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214740 */     // (intrinsic_wo_chain:{ *:[i32] } 11598:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  214743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214749 */     GIR_RootConstrainSelectedInstOperands,
     /*  214750 */     // GIR_Coverage, 2527,
     /*  214750 */     GIR_EraseRootFromParent_Done,
     /*  214751 */   // Label 4295: @214751
     /*  214751 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(214796), // Rule ID 2528 //
     /*  214756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  214759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  214764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214785 */     // (intrinsic_wo_chain:{ *:[i64] } 11599:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  214788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214794 */     GIR_RootConstrainSelectedInstOperands,
     /*  214795 */     // GIR_Coverage, 2528,
     /*  214795 */     GIR_EraseRootFromParent_Done,
     /*  214796 */   // Label 4296: @214796
     /*  214796 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(214841), // Rule ID 2529 //
     /*  214801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  214804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  214809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214830 */     // (intrinsic_wo_chain:{ *:[i32] } 11599:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  214833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214839 */     GIR_RootConstrainSelectedInstOperands,
     /*  214840 */     // GIR_Coverage, 2529,
     /*  214840 */     GIR_EraseRootFromParent_Done,
     /*  214841 */   // Label 4297: @214841
     /*  214841 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(214886), // Rule ID 2532 //
     /*  214846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  214849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  214854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214875 */     // (intrinsic_wo_chain:{ *:[i64] } 10892:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  214878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214884 */     GIR_RootConstrainSelectedInstOperands,
     /*  214885 */     // GIR_Coverage, 2532,
     /*  214885 */     GIR_EraseRootFromParent_Done,
     /*  214886 */   // Label 4298: @214886
     /*  214886 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(214931), // Rule ID 2533 //
     /*  214891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  214894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  214899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214920 */     // (intrinsic_wo_chain:{ *:[i64] } 10893:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  214923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214929 */     GIR_RootConstrainSelectedInstOperands,
     /*  214930 */     // GIR_Coverage, 2533,
     /*  214930 */     GIR_EraseRootFromParent_Done,
     /*  214931 */   // Label 4299: @214931
     /*  214931 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(214976), // Rule ID 2535 //
     /*  214936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  214939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  214944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214965 */     // (intrinsic_wo_chain:{ *:[i64] } 10898:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  214965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  214968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214974 */     GIR_RootConstrainSelectedInstOperands,
     /*  214975 */     // GIR_Coverage, 2535,
     /*  214975 */     GIR_EraseRootFromParent_Done,
     /*  214976 */   // Label 4300: @214976
     /*  214976 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(215021), // Rule ID 2539 //
     /*  214981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  214984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  214989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  214995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215010 */     // (intrinsic_wo_chain:{ *:[i64] } 10894:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  215013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215019 */     GIR_RootConstrainSelectedInstOperands,
     /*  215020 */     // GIR_Coverage, 2539,
     /*  215020 */     GIR_EraseRootFromParent_Done,
     /*  215021 */   // Label 4301: @215021
     /*  215021 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(215066), // Rule ID 2540 //
     /*  215026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  215029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  215034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  215040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215055 */     // (intrinsic_wo_chain:{ *:[i64] } 10895:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  215055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  215058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215064 */     GIR_RootConstrainSelectedInstOperands,
     /*  215065 */     // GIR_Coverage, 2540,
     /*  215065 */     GIR_EraseRootFromParent_Done,
     /*  215066 */   // Label 4302: @215066
     /*  215066 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(215111), // Rule ID 2549 //
     /*  215071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  215079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215100 */     // (intrinsic_wo_chain:{ *:[i32] } 11034:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  215103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215109 */     GIR_RootConstrainSelectedInstOperands,
     /*  215110 */     // GIR_Coverage, 2549,
     /*  215110 */     GIR_EraseRootFromParent_Done,
     /*  215111 */   // Label 4303: @215111
     /*  215111 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(215156), // Rule ID 2550 //
     /*  215116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  215124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215145 */     // (intrinsic_wo_chain:{ *:[i32] } 11033:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  215148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215154 */     GIR_RootConstrainSelectedInstOperands,
     /*  215155 */     // GIR_Coverage, 2550,
     /*  215155 */     GIR_EraseRootFromParent_Done,
     /*  215156 */   // Label 4304: @215156
     /*  215156 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(215201), // Rule ID 2551 //
     /*  215161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  215169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215190 */     // (intrinsic_wo_chain:{ *:[i32] } 11037:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  215193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215199 */     GIR_RootConstrainSelectedInstOperands,
     /*  215200 */     // GIR_Coverage, 2551,
     /*  215200 */     GIR_EraseRootFromParent_Done,
     /*  215201 */   // Label 4305: @215201
     /*  215201 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(215246), // Rule ID 2552 //
     /*  215206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  215214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215235 */     // (intrinsic_wo_chain:{ *:[i32] } 11036:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  215238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215244 */     GIR_RootConstrainSelectedInstOperands,
     /*  215245 */     // GIR_Coverage, 2552,
     /*  215245 */     GIR_EraseRootFromParent_Done,
     /*  215246 */   // Label 4306: @215246
     /*  215246 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(215291), // Rule ID 2553 //
     /*  215251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  215259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215280 */     // (intrinsic_wo_chain:{ *:[i32] } 11039:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  215283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215289 */     GIR_RootConstrainSelectedInstOperands,
     /*  215290 */     // GIR_Coverage, 2553,
     /*  215290 */     GIR_EraseRootFromParent_Done,
     /*  215291 */   // Label 4307: @215291
     /*  215291 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(215336), // Rule ID 2554 //
     /*  215296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  215299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  215304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215325 */     // (intrinsic_wo_chain:{ *:[i32] } 11041:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  215328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215334 */     GIR_RootConstrainSelectedInstOperands,
     /*  215335 */     // GIR_Coverage, 2554,
     /*  215335 */     GIR_EraseRootFromParent_Done,
     /*  215336 */   // Label 4308: @215336
     /*  215336 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(215381), // Rule ID 64153 //
     /*  215341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  215349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215370 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  215373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215379 */     GIR_RootConstrainSelectedInstOperands,
     /*  215380 */     // GIR_Coverage, 64153,
     /*  215380 */     GIR_EraseRootFromParent_Done,
     /*  215381 */   // Label 4309: @215381
     /*  215381 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(215426), // Rule ID 64155 //
     /*  215386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  215394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215415 */     // (intrinsic_wo_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  215418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215424 */     GIR_RootConstrainSelectedInstOperands,
     /*  215425 */     // GIR_Coverage, 64155,
     /*  215425 */     GIR_EraseRootFromParent_Done,
     /*  215426 */   // Label 4310: @215426
     /*  215426 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(215471), // Rule ID 64157 //
     /*  215431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  215439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215460 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  215463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215469 */     GIR_RootConstrainSelectedInstOperands,
     /*  215470 */     // GIR_Coverage, 64157,
     /*  215470 */     GIR_EraseRootFromParent_Done,
     /*  215471 */   // Label 4311: @215471
     /*  215471 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(215516), // Rule ID 64159 //
     /*  215476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  215479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  215484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  215490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215505 */     // (intrinsic_wo_chain:{ *:[i32] } 10915:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  215505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  215508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  215514 */     GIR_RootConstrainSelectedInstOperands,
     /*  215515 */     // GIR_Coverage, 64159,
     /*  215515 */     GIR_EraseRootFromParent_Done,
     /*  215516 */   // Label 4312: @215516
     /*  215516 */   GIM_Reject,
     /*  215517 */ // Label 4176: @215517
     /*  215517 */ GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(386422),
     /*  215522 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  215525 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(215599), // Rule ID 5339 //
     /*  215530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215570 */     // MIs[1] Operand 1
     /*  215570 */     // No operand predicates
     /*  215570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  215582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215597 */     GIR_RootConstrainSelectedInstOperands,
     /*  215598 */     // GIR_Coverage, 5339,
     /*  215598 */     GIR_EraseRootFromParent_Done,
     /*  215599 */   // Label 4314: @215599
     /*  215599 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(215673), // Rule ID 5340 //
     /*  215604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  215618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215644 */     // MIs[1] Operand 1
     /*  215644 */     // No operand predicates
     /*  215644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  215656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215671 */     GIR_RootConstrainSelectedInstOperands,
     /*  215672 */     // GIR_Coverage, 5340,
     /*  215672 */     GIR_EraseRootFromParent_Done,
     /*  215673 */   // Label 4315: @215673
     /*  215673 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(215747), // Rule ID 5341 //
     /*  215678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  215692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215718 */     // MIs[1] Operand 1
     /*  215718 */     // No operand predicates
     /*  215718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215727 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  215730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215745 */     GIR_RootConstrainSelectedInstOperands,
     /*  215746 */     // GIR_Coverage, 5341,
     /*  215746 */     GIR_EraseRootFromParent_Done,
     /*  215747 */   // Label 4316: @215747
     /*  215747 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(215821), // Rule ID 5342 //
     /*  215752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  215766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215792 */     // MIs[1] Operand 1
     /*  215792 */     // No operand predicates
     /*  215792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  215804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215819 */     GIR_RootConstrainSelectedInstOperands,
     /*  215820 */     // GIR_Coverage, 5342,
     /*  215820 */     GIR_EraseRootFromParent_Done,
     /*  215821 */   // Label 4317: @215821
     /*  215821 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(215895), // Rule ID 5343 //
     /*  215826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  215840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215866 */     // MIs[1] Operand 1
     /*  215866 */     // No operand predicates
     /*  215866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215893 */     GIR_RootConstrainSelectedInstOperands,
     /*  215894 */     // GIR_Coverage, 5343,
     /*  215894 */     GIR_EraseRootFromParent_Done,
     /*  215895 */   // Label 4318: @215895
     /*  215895 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(215969), // Rule ID 5344 //
     /*  215900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  215914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215940 */     // MIs[1] Operand 1
     /*  215940 */     // No operand predicates
     /*  215940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215967 */     GIR_RootConstrainSelectedInstOperands,
     /*  215968 */     // GIR_Coverage, 5344,
     /*  215968 */     GIR_EraseRootFromParent_Done,
     /*  215969 */   // Label 4319: @215969
     /*  215969 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(216043), // Rule ID 5345 //
     /*  215974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  215988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216014 */     // MIs[1] Operand 1
     /*  216014 */     // No operand predicates
     /*  216014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216041 */     GIR_RootConstrainSelectedInstOperands,
     /*  216042 */     // GIR_Coverage, 5345,
     /*  216042 */     GIR_EraseRootFromParent_Done,
     /*  216043 */   // Label 4320: @216043
     /*  216043 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(216117), // Rule ID 5346 //
     /*  216048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216088 */     // MIs[1] Operand 1
     /*  216088 */     // No operand predicates
     /*  216088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  216100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216115 */     GIR_RootConstrainSelectedInstOperands,
     /*  216116 */     // GIR_Coverage, 5346,
     /*  216116 */     GIR_EraseRootFromParent_Done,
     /*  216117 */   // Label 4321: @216117
     /*  216117 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(216191), // Rule ID 5347 //
     /*  216122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216162 */     // MIs[1] Operand 1
     /*  216162 */     // No operand predicates
     /*  216162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216189 */     GIR_RootConstrainSelectedInstOperands,
     /*  216190 */     // GIR_Coverage, 5347,
     /*  216190 */     GIR_EraseRootFromParent_Done,
     /*  216191 */   // Label 4322: @216191
     /*  216191 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(216265), // Rule ID 5348 //
     /*  216196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216236 */     // MIs[1] Operand 1
     /*  216236 */     // No operand predicates
     /*  216236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216263 */     GIR_RootConstrainSelectedInstOperands,
     /*  216264 */     // GIR_Coverage, 5348,
     /*  216264 */     GIR_EraseRootFromParent_Done,
     /*  216265 */   // Label 4323: @216265
     /*  216265 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(216339), // Rule ID 5349 //
     /*  216270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216310 */     // MIs[1] Operand 1
     /*  216310 */     // No operand predicates
     /*  216310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216319 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216337 */     GIR_RootConstrainSelectedInstOperands,
     /*  216338 */     // GIR_Coverage, 5349,
     /*  216338 */     GIR_EraseRootFromParent_Done,
     /*  216339 */   // Label 4324: @216339
     /*  216339 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(216413), // Rule ID 5350 //
     /*  216344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216384 */     // MIs[1] Operand 1
     /*  216384 */     // No operand predicates
     /*  216384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  216396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216411 */     GIR_RootConstrainSelectedInstOperands,
     /*  216412 */     // GIR_Coverage, 5350,
     /*  216412 */     GIR_EraseRootFromParent_Done,
     /*  216413 */   // Label 4325: @216413
     /*  216413 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(216487), // Rule ID 5351 //
     /*  216418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216458 */     // MIs[1] Operand 1
     /*  216458 */     // No operand predicates
     /*  216458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216485 */     GIR_RootConstrainSelectedInstOperands,
     /*  216486 */     // GIR_Coverage, 5351,
     /*  216486 */     GIR_EraseRootFromParent_Done,
     /*  216487 */   // Label 4326: @216487
     /*  216487 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(216561), // Rule ID 5352 //
     /*  216492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  216506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216532 */     // MIs[1] Operand 1
     /*  216532 */     // No operand predicates
     /*  216532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216559 */     GIR_RootConstrainSelectedInstOperands,
     /*  216560 */     // GIR_Coverage, 5352,
     /*  216560 */     GIR_EraseRootFromParent_Done,
     /*  216561 */   // Label 4327: @216561
     /*  216561 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(216635), // Rule ID 5353 //
     /*  216566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  216580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216606 */     // MIs[1] Operand 1
     /*  216606 */     // No operand predicates
     /*  216606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216615 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216633 */     GIR_RootConstrainSelectedInstOperands,
     /*  216634 */     // GIR_Coverage, 5353,
     /*  216634 */     GIR_EraseRootFromParent_Done,
     /*  216635 */   // Label 4328: @216635
     /*  216635 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(216709), // Rule ID 5354 //
     /*  216640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  216654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216680 */     // MIs[1] Operand 1
     /*  216680 */     // No operand predicates
     /*  216680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216707 */     GIR_RootConstrainSelectedInstOperands,
     /*  216708 */     // GIR_Coverage, 5354,
     /*  216708 */     GIR_EraseRootFromParent_Done,
     /*  216709 */   // Label 4329: @216709
     /*  216709 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(216783), // Rule ID 5355 //
     /*  216714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  216728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216754 */     // MIs[1] Operand 1
     /*  216754 */     // No operand predicates
     /*  216754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216763 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216781 */     GIR_RootConstrainSelectedInstOperands,
     /*  216782 */     // GIR_Coverage, 5355,
     /*  216782 */     GIR_EraseRootFromParent_Done,
     /*  216783 */   // Label 4330: @216783
     /*  216783 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(216857), // Rule ID 5356 //
     /*  216788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  216802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216828 */     // MIs[1] Operand 1
     /*  216828 */     // No operand predicates
     /*  216828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216855 */     GIR_RootConstrainSelectedInstOperands,
     /*  216856 */     // GIR_Coverage, 5356,
     /*  216856 */     GIR_EraseRootFromParent_Done,
     /*  216857 */   // Label 4331: @216857
     /*  216857 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(216931), // Rule ID 5357 //
     /*  216862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  216876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216902 */     // MIs[1] Operand 1
     /*  216902 */     // No operand predicates
     /*  216902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  216911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216929 */     GIR_RootConstrainSelectedInstOperands,
     /*  216930 */     // GIR_Coverage, 5357,
     /*  216930 */     GIR_EraseRootFromParent_Done,
     /*  216931 */   // Label 4332: @216931
     /*  216931 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217005), // Rule ID 5358 //
     /*  216936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  216950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216976 */     // MIs[1] Operand 1
     /*  216976 */     // No operand predicates
     /*  216976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  216985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  216988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217003 */     GIR_RootConstrainSelectedInstOperands,
     /*  217004 */     // GIR_Coverage, 5358,
     /*  217004 */     GIR_EraseRootFromParent_Done,
     /*  217005 */   // Label 4333: @217005
     /*  217005 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217079), // Rule ID 5359 //
     /*  217010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217050 */     // MIs[1] Operand 1
     /*  217050 */     // No operand predicates
     /*  217050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217059 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217077 */     GIR_RootConstrainSelectedInstOperands,
     /*  217078 */     // GIR_Coverage, 5359,
     /*  217078 */     GIR_EraseRootFromParent_Done,
     /*  217079 */   // Label 4334: @217079
     /*  217079 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217153), // Rule ID 5360 //
     /*  217084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217124 */     // MIs[1] Operand 1
     /*  217124 */     // No operand predicates
     /*  217124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217151 */     GIR_RootConstrainSelectedInstOperands,
     /*  217152 */     // GIR_Coverage, 5360,
     /*  217152 */     GIR_EraseRootFromParent_Done,
     /*  217153 */   // Label 4335: @217153
     /*  217153 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217227), // Rule ID 5361 //
     /*  217158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217198 */     // MIs[1] Operand 1
     /*  217198 */     // No operand predicates
     /*  217198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217207 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217225 */     GIR_RootConstrainSelectedInstOperands,
     /*  217226 */     // GIR_Coverage, 5361,
     /*  217226 */     GIR_EraseRootFromParent_Done,
     /*  217227 */   // Label 4336: @217227
     /*  217227 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217301), // Rule ID 5362 //
     /*  217232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217272 */     // MIs[1] Operand 1
     /*  217272 */     // No operand predicates
     /*  217272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217299 */     GIR_RootConstrainSelectedInstOperands,
     /*  217300 */     // GIR_Coverage, 5362,
     /*  217300 */     GIR_EraseRootFromParent_Done,
     /*  217301 */   // Label 4337: @217301
     /*  217301 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(217375), // Rule ID 5363 //
     /*  217306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217346 */     // MIs[1] Operand 1
     /*  217346 */     // No operand predicates
     /*  217346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217355 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217373 */     GIR_RootConstrainSelectedInstOperands,
     /*  217374 */     // GIR_Coverage, 5363,
     /*  217374 */     GIR_EraseRootFromParent_Done,
     /*  217375 */   // Label 4338: @217375
     /*  217375 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(217449), // Rule ID 5364 //
     /*  217380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217420 */     // MIs[1] Operand 1
     /*  217420 */     // No operand predicates
     /*  217420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217429 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217447 */     GIR_RootConstrainSelectedInstOperands,
     /*  217448 */     // GIR_Coverage, 5364,
     /*  217448 */     GIR_EraseRootFromParent_Done,
     /*  217449 */   // Label 4339: @217449
     /*  217449 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(217523), // Rule ID 5365 //
     /*  217454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217494 */     // MIs[1] Operand 1
     /*  217494 */     // No operand predicates
     /*  217494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217521 */     GIR_RootConstrainSelectedInstOperands,
     /*  217522 */     // GIR_Coverage, 5365,
     /*  217522 */     GIR_EraseRootFromParent_Done,
     /*  217523 */   // Label 4340: @217523
     /*  217523 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(217597), // Rule ID 5366 //
     /*  217528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217568 */     // MIs[1] Operand 1
     /*  217568 */     // No operand predicates
     /*  217568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217595 */     GIR_RootConstrainSelectedInstOperands,
     /*  217596 */     // GIR_Coverage, 5366,
     /*  217596 */     GIR_EraseRootFromParent_Done,
     /*  217597 */   // Label 4341: @217597
     /*  217597 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(217671), // Rule ID 5367 //
     /*  217602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217642 */     // MIs[1] Operand 1
     /*  217642 */     // No operand predicates
     /*  217642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217669 */     GIR_RootConstrainSelectedInstOperands,
     /*  217670 */     // GIR_Coverage, 5367,
     /*  217670 */     GIR_EraseRootFromParent_Done,
     /*  217671 */   // Label 4342: @217671
     /*  217671 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(217745), // Rule ID 5368 //
     /*  217676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217716 */     // MIs[1] Operand 1
     /*  217716 */     // No operand predicates
     /*  217716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217743 */     GIR_RootConstrainSelectedInstOperands,
     /*  217744 */     // GIR_Coverage, 5368,
     /*  217744 */     GIR_EraseRootFromParent_Done,
     /*  217745 */   // Label 4343: @217745
     /*  217745 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(217819), // Rule ID 5369 //
     /*  217750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217790 */     // MIs[1] Operand 1
     /*  217790 */     // No operand predicates
     /*  217790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217799 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217817 */     GIR_RootConstrainSelectedInstOperands,
     /*  217818 */     // GIR_Coverage, 5369,
     /*  217818 */     GIR_EraseRootFromParent_Done,
     /*  217819 */   // Label 4344: @217819
     /*  217819 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(217893), // Rule ID 5370 //
     /*  217824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217864 */     // MIs[1] Operand 1
     /*  217864 */     // No operand predicates
     /*  217864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217891 */     GIR_RootConstrainSelectedInstOperands,
     /*  217892 */     // GIR_Coverage, 5370,
     /*  217892 */     GIR_EraseRootFromParent_Done,
     /*  217893 */   // Label 4345: @217893
     /*  217893 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(217967), // Rule ID 5371 //
     /*  217898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  217912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217938 */     // MIs[1] Operand 1
     /*  217938 */     // No operand predicates
     /*  217938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217947 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217965 */     GIR_RootConstrainSelectedInstOperands,
     /*  217966 */     // GIR_Coverage, 5371,
     /*  217966 */     GIR_EraseRootFromParent_Done,
     /*  217967 */   // Label 4346: @217967
     /*  217967 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218041), // Rule ID 5372 //
     /*  217972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  217986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218012 */     // MIs[1] Operand 1
     /*  218012 */     // No operand predicates
     /*  218012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218039 */     GIR_RootConstrainSelectedInstOperands,
     /*  218040 */     // GIR_Coverage, 5372,
     /*  218040 */     GIR_EraseRootFromParent_Done,
     /*  218041 */   // Label 4347: @218041
     /*  218041 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218115), // Rule ID 5373 //
     /*  218046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218086 */     // MIs[1] Operand 1
     /*  218086 */     // No operand predicates
     /*  218086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218095 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218113 */     GIR_RootConstrainSelectedInstOperands,
     /*  218114 */     // GIR_Coverage, 5373,
     /*  218114 */     GIR_EraseRootFromParent_Done,
     /*  218115 */   // Label 4348: @218115
     /*  218115 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218189), // Rule ID 5374 //
     /*  218120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218160 */     // MIs[1] Operand 1
     /*  218160 */     // No operand predicates
     /*  218160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218187 */     GIR_RootConstrainSelectedInstOperands,
     /*  218188 */     // GIR_Coverage, 5374,
     /*  218188 */     GIR_EraseRootFromParent_Done,
     /*  218189 */   // Label 4349: @218189
     /*  218189 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218263), // Rule ID 5375 //
     /*  218194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218234 */     // MIs[1] Operand 1
     /*  218234 */     // No operand predicates
     /*  218234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218261 */     GIR_RootConstrainSelectedInstOperands,
     /*  218262 */     // GIR_Coverage, 5375,
     /*  218262 */     GIR_EraseRootFromParent_Done,
     /*  218263 */   // Label 4350: @218263
     /*  218263 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218337), // Rule ID 5376 //
     /*  218268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218308 */     // MIs[1] Operand 1
     /*  218308 */     // No operand predicates
     /*  218308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218335 */     GIR_RootConstrainSelectedInstOperands,
     /*  218336 */     // GIR_Coverage, 5376,
     /*  218336 */     GIR_EraseRootFromParent_Done,
     /*  218337 */   // Label 4351: @218337
     /*  218337 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218411), // Rule ID 5377 //
     /*  218342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218382 */     // MIs[1] Operand 1
     /*  218382 */     // No operand predicates
     /*  218382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218391 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218409 */     GIR_RootConstrainSelectedInstOperands,
     /*  218410 */     // GIR_Coverage, 5377,
     /*  218410 */     GIR_EraseRootFromParent_Done,
     /*  218411 */   // Label 4352: @218411
     /*  218411 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(218485), // Rule ID 5378 //
     /*  218416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218456 */     // MIs[1] Operand 1
     /*  218456 */     // No operand predicates
     /*  218456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  218468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218483 */     GIR_RootConstrainSelectedInstOperands,
     /*  218484 */     // GIR_Coverage, 5378,
     /*  218484 */     GIR_EraseRootFromParent_Done,
     /*  218485 */   // Label 4353: @218485
     /*  218485 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(218559), // Rule ID 5379 //
     /*  218490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218530 */     // MIs[1] Operand 1
     /*  218530 */     // No operand predicates
     /*  218530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218557 */     GIR_RootConstrainSelectedInstOperands,
     /*  218558 */     // GIR_Coverage, 5379,
     /*  218558 */     GIR_EraseRootFromParent_Done,
     /*  218559 */   // Label 4354: @218559
     /*  218559 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(218633), // Rule ID 5380 //
     /*  218564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218604 */     // MIs[1] Operand 1
     /*  218604 */     // No operand predicates
     /*  218604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  218616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218631 */     GIR_RootConstrainSelectedInstOperands,
     /*  218632 */     // GIR_Coverage, 5380,
     /*  218632 */     GIR_EraseRootFromParent_Done,
     /*  218633 */   // Label 4355: @218633
     /*  218633 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(218707), // Rule ID 5381 //
     /*  218638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218678 */     // MIs[1] Operand 1
     /*  218678 */     // No operand predicates
     /*  218678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218705 */     GIR_RootConstrainSelectedInstOperands,
     /*  218706 */     // GIR_Coverage, 5381,
     /*  218706 */     GIR_EraseRootFromParent_Done,
     /*  218707 */   // Label 4356: @218707
     /*  218707 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(218781), // Rule ID 5382 //
     /*  218712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  218720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218752 */     // MIs[1] Operand 1
     /*  218752 */     // No operand predicates
     /*  218752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  218761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  218764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218779 */     GIR_RootConstrainSelectedInstOperands,
     /*  218780 */     // GIR_Coverage, 5382,
     /*  218780 */     GIR_EraseRootFromParent_Done,
     /*  218781 */   // Label 4357: @218781
     /*  218781 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(218855), // Rule ID 7851 //
     /*  218786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  218800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218826 */     // MIs[1] Operand 1
     /*  218826 */     // No operand predicates
     /*  218826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218835 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  218838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218853 */     GIR_RootConstrainSelectedInstOperands,
     /*  218854 */     // GIR_Coverage, 7851,
     /*  218854 */     GIR_EraseRootFromParent_Done,
     /*  218855 */   // Label 4358: @218855
     /*  218855 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(218929), // Rule ID 7852 //
     /*  218860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  218874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218900 */     // MIs[1] Operand 1
     /*  218900 */     // No operand predicates
     /*  218900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  218912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218927 */     GIR_RootConstrainSelectedInstOperands,
     /*  218928 */     // GIR_Coverage, 7852,
     /*  218928 */     GIR_EraseRootFromParent_Done,
     /*  218929 */   // Label 4359: @218929
     /*  218929 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219003), // Rule ID 7855 //
     /*  218934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  218948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218974 */     // MIs[1] Operand 1
     /*  218974 */     // No operand predicates
     /*  218974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218983 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  218986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219001 */     GIR_RootConstrainSelectedInstOperands,
     /*  219002 */     // GIR_Coverage, 7855,
     /*  219002 */     GIR_EraseRootFromParent_Done,
     /*  219003 */   // Label 4360: @219003
     /*  219003 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219077), // Rule ID 7856 //
     /*  219008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219048 */     // MIs[1] Operand 1
     /*  219048 */     // No operand predicates
     /*  219048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219075 */     GIR_RootConstrainSelectedInstOperands,
     /*  219076 */     // GIR_Coverage, 7856,
     /*  219076 */     GIR_EraseRootFromParent_Done,
     /*  219077 */   // Label 4361: @219077
     /*  219077 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219151), // Rule ID 7859 //
     /*  219082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219122 */     // MIs[1] Operand 1
     /*  219122 */     // No operand predicates
     /*  219122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219131 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219149 */     GIR_RootConstrainSelectedInstOperands,
     /*  219150 */     // GIR_Coverage, 7859,
     /*  219150 */     GIR_EraseRootFromParent_Done,
     /*  219151 */   // Label 4362: @219151
     /*  219151 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219225), // Rule ID 7860 //
     /*  219156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219196 */     // MIs[1] Operand 1
     /*  219196 */     // No operand predicates
     /*  219196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219223 */     GIR_RootConstrainSelectedInstOperands,
     /*  219224 */     // GIR_Coverage, 7860,
     /*  219224 */     GIR_EraseRootFromParent_Done,
     /*  219225 */   // Label 4363: @219225
     /*  219225 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219299), // Rule ID 7863 //
     /*  219230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219270 */     // MIs[1] Operand 1
     /*  219270 */     // No operand predicates
     /*  219270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219279 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219297 */     GIR_RootConstrainSelectedInstOperands,
     /*  219298 */     // GIR_Coverage, 7863,
     /*  219298 */     GIR_EraseRootFromParent_Done,
     /*  219299 */   // Label 4364: @219299
     /*  219299 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219373), // Rule ID 7864 //
     /*  219304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219344 */     // MIs[1] Operand 1
     /*  219344 */     // No operand predicates
     /*  219344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  219356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219371 */     GIR_RootConstrainSelectedInstOperands,
     /*  219372 */     // GIR_Coverage, 7864,
     /*  219372 */     GIR_EraseRootFromParent_Done,
     /*  219373 */   // Label 4365: @219373
     /*  219373 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219447), // Rule ID 7867 //
     /*  219378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219418 */     // MIs[1] Operand 1
     /*  219418 */     // No operand predicates
     /*  219418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219427 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219445 */     GIR_RootConstrainSelectedInstOperands,
     /*  219446 */     // GIR_Coverage, 7867,
     /*  219446 */     GIR_EraseRootFromParent_Done,
     /*  219447 */   // Label 4366: @219447
     /*  219447 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219521), // Rule ID 7868 //
     /*  219452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  219466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219492 */     // MIs[1] Operand 1
     /*  219492 */     // No operand predicates
     /*  219492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219519 */     GIR_RootConstrainSelectedInstOperands,
     /*  219520 */     // GIR_Coverage, 7868,
     /*  219520 */     GIR_EraseRootFromParent_Done,
     /*  219521 */   // Label 4367: @219521
     /*  219521 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219595), // Rule ID 7871 //
     /*  219526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219566 */     // MIs[1] Operand 1
     /*  219566 */     // No operand predicates
     /*  219566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219575 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  219575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219593 */     GIR_RootConstrainSelectedInstOperands,
     /*  219594 */     // GIR_Coverage, 7871,
     /*  219594 */     GIR_EraseRootFromParent_Done,
     /*  219595 */   // Label 4368: @219595
     /*  219595 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219669), // Rule ID 7872 //
     /*  219600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219640 */     // MIs[1] Operand 1
     /*  219640 */     // No operand predicates
     /*  219640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  219649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  219652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219667 */     GIR_RootConstrainSelectedInstOperands,
     /*  219668 */     // GIR_Coverage, 7872,
     /*  219668 */     GIR_EraseRootFromParent_Done,
     /*  219669 */   // Label 4369: @219669
     /*  219669 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219743), // Rule ID 7875 //
     /*  219674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  219688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219714 */     // MIs[1] Operand 1
     /*  219714 */     // No operand predicates
     /*  219714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219723 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219741 */     GIR_RootConstrainSelectedInstOperands,
     /*  219742 */     // GIR_Coverage, 7875,
     /*  219742 */     GIR_EraseRootFromParent_Done,
     /*  219743 */   // Label 4370: @219743
     /*  219743 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219817), // Rule ID 7876 //
     /*  219748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  219762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219788 */     // MIs[1] Operand 1
     /*  219788 */     // No operand predicates
     /*  219788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219815 */     GIR_RootConstrainSelectedInstOperands,
     /*  219816 */     // GIR_Coverage, 7876,
     /*  219816 */     GIR_EraseRootFromParent_Done,
     /*  219817 */   // Label 4371: @219817
     /*  219817 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219891), // Rule ID 7879 //
     /*  219822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219862 */     // MIs[1] Operand 1
     /*  219862 */     // No operand predicates
     /*  219862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219889 */     GIR_RootConstrainSelectedInstOperands,
     /*  219890 */     // GIR_Coverage, 7879,
     /*  219890 */     GIR_EraseRootFromParent_Done,
     /*  219891 */   // Label 4372: @219891
     /*  219891 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(219965), // Rule ID 7880 //
     /*  219896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219936 */     // MIs[1] Operand 1
     /*  219936 */     // No operand predicates
     /*  219936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219963 */     GIR_RootConstrainSelectedInstOperands,
     /*  219964 */     // GIR_Coverage, 7880,
     /*  219964 */     GIR_EraseRootFromParent_Done,
     /*  219965 */   // Label 4373: @219965
     /*  219965 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220039), // Rule ID 7883 //
     /*  219970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  219984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220010 */     // MIs[1] Operand 1
     /*  220010 */     // No operand predicates
     /*  220010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220037 */     GIR_RootConstrainSelectedInstOperands,
     /*  220038 */     // GIR_Coverage, 7883,
     /*  220038 */     GIR_EraseRootFromParent_Done,
     /*  220039 */   // Label 4374: @220039
     /*  220039 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220113), // Rule ID 7884 //
     /*  220044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220084 */     // MIs[1] Operand 1
     /*  220084 */     // No operand predicates
     /*  220084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220111 */     GIR_RootConstrainSelectedInstOperands,
     /*  220112 */     // GIR_Coverage, 7884,
     /*  220112 */     GIR_EraseRootFromParent_Done,
     /*  220113 */   // Label 4375: @220113
     /*  220113 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220187), // Rule ID 7887 //
     /*  220118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220158 */     // MIs[1] Operand 1
     /*  220158 */     // No operand predicates
     /*  220158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220185 */     GIR_RootConstrainSelectedInstOperands,
     /*  220186 */     // GIR_Coverage, 7887,
     /*  220186 */     GIR_EraseRootFromParent_Done,
     /*  220187 */   // Label 4376: @220187
     /*  220187 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220261), // Rule ID 7888 //
     /*  220192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220232 */     // MIs[1] Operand 1
     /*  220232 */     // No operand predicates
     /*  220232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  220244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220259 */     GIR_RootConstrainSelectedInstOperands,
     /*  220260 */     // GIR_Coverage, 7888,
     /*  220260 */     GIR_EraseRootFromParent_Done,
     /*  220261 */   // Label 4377: @220261
     /*  220261 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220335), // Rule ID 7891 //
     /*  220266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220306 */     // MIs[1] Operand 1
     /*  220306 */     // No operand predicates
     /*  220306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220315 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220333 */     GIR_RootConstrainSelectedInstOperands,
     /*  220334 */     // GIR_Coverage, 7891,
     /*  220334 */     GIR_EraseRootFromParent_Done,
     /*  220335 */   // Label 4378: @220335
     /*  220335 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220409), // Rule ID 7892 //
     /*  220340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220380 */     // MIs[1] Operand 1
     /*  220380 */     // No operand predicates
     /*  220380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220407 */     GIR_RootConstrainSelectedInstOperands,
     /*  220408 */     // GIR_Coverage, 7892,
     /*  220408 */     GIR_EraseRootFromParent_Done,
     /*  220409 */   // Label 4379: @220409
     /*  220409 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220483), // Rule ID 7895 //
     /*  220414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220454 */     // MIs[1] Operand 1
     /*  220454 */     // No operand predicates
     /*  220454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220481 */     GIR_RootConstrainSelectedInstOperands,
     /*  220482 */     // GIR_Coverage, 7895,
     /*  220482 */     GIR_EraseRootFromParent_Done,
     /*  220483 */   // Label 4380: @220483
     /*  220483 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220557), // Rule ID 7896 //
     /*  220488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  220499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  220502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220528 */     // MIs[1] Operand 1
     /*  220528 */     // No operand predicates
     /*  220528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220555 */     GIR_RootConstrainSelectedInstOperands,
     /*  220556 */     // GIR_Coverage, 7896,
     /*  220556 */     GIR_EraseRootFromParent_Done,
     /*  220557 */   // Label 4381: @220557
     /*  220557 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220631), // Rule ID 7899 //
     /*  220562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  220573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  220576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220602 */     // MIs[1] Operand 1
     /*  220602 */     // No operand predicates
     /*  220602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220611 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220629 */     GIR_RootConstrainSelectedInstOperands,
     /*  220630 */     // GIR_Coverage, 7899,
     /*  220630 */     GIR_EraseRootFromParent_Done,
     /*  220631 */   // Label 4382: @220631
     /*  220631 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220705), // Rule ID 7900 //
     /*  220636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  220647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  220650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220676 */     // MIs[1] Operand 1
     /*  220676 */     // No operand predicates
     /*  220676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220685 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220703 */     GIR_RootConstrainSelectedInstOperands,
     /*  220704 */     // GIR_Coverage, 7900,
     /*  220704 */     GIR_EraseRootFromParent_Done,
     /*  220705 */   // Label 4383: @220705
     /*  220705 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220779), // Rule ID 7903 //
     /*  220710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  220724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220750 */     // MIs[1] Operand 1
     /*  220750 */     // No operand predicates
     /*  220750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220759 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220777 */     GIR_RootConstrainSelectedInstOperands,
     /*  220778 */     // GIR_Coverage, 7903,
     /*  220778 */     GIR_EraseRootFromParent_Done,
     /*  220779 */   // Label 4384: @220779
     /*  220779 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220853), // Rule ID 7904 //
     /*  220784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  220798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220824 */     // MIs[1] Operand 1
     /*  220824 */     // No operand predicates
     /*  220824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220851 */     GIR_RootConstrainSelectedInstOperands,
     /*  220852 */     // GIR_Coverage, 7904,
     /*  220852 */     GIR_EraseRootFromParent_Done,
     /*  220853 */   // Label 4385: @220853
     /*  220853 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220927), // Rule ID 7907 //
     /*  220858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  220872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220898 */     // MIs[1] Operand 1
     /*  220898 */     // No operand predicates
     /*  220898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220907 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220925 */     GIR_RootConstrainSelectedInstOperands,
     /*  220926 */     // GIR_Coverage, 7907,
     /*  220926 */     GIR_EraseRootFromParent_Done,
     /*  220927 */   // Label 4386: @220927
     /*  220927 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(221001), // Rule ID 7908 //
     /*  220932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  220946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220972 */     // MIs[1] Operand 1
     /*  220972 */     // No operand predicates
     /*  220972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220999 */     GIR_RootConstrainSelectedInstOperands,
     /*  221000 */     // GIR_Coverage, 7908,
     /*  221000 */     GIR_EraseRootFromParent_Done,
     /*  221001 */   // Label 4387: @221001
     /*  221001 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221075), // Rule ID 7911 //
     /*  221006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221046 */     // MIs[1] Operand 1
     /*  221046 */     // No operand predicates
     /*  221046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221073 */     GIR_RootConstrainSelectedInstOperands,
     /*  221074 */     // GIR_Coverage, 7911,
     /*  221074 */     GIR_EraseRootFromParent_Done,
     /*  221075 */   // Label 4388: @221075
     /*  221075 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221149), // Rule ID 7912 //
     /*  221080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221120 */     // MIs[1] Operand 1
     /*  221120 */     // No operand predicates
     /*  221120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221147 */     GIR_RootConstrainSelectedInstOperands,
     /*  221148 */     // GIR_Coverage, 7912,
     /*  221148 */     GIR_EraseRootFromParent_Done,
     /*  221149 */   // Label 4389: @221149
     /*  221149 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221223), // Rule ID 7915 //
     /*  221154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221194 */     // MIs[1] Operand 1
     /*  221194 */     // No operand predicates
     /*  221194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221221 */     GIR_RootConstrainSelectedInstOperands,
     /*  221222 */     // GIR_Coverage, 7915,
     /*  221222 */     GIR_EraseRootFromParent_Done,
     /*  221223 */   // Label 4390: @221223
     /*  221223 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221297), // Rule ID 7916 //
     /*  221228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221268 */     // MIs[1] Operand 1
     /*  221268 */     // No operand predicates
     /*  221268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221295 */     GIR_RootConstrainSelectedInstOperands,
     /*  221296 */     // GIR_Coverage, 7916,
     /*  221296 */     GIR_EraseRootFromParent_Done,
     /*  221297 */   // Label 4391: @221297
     /*  221297 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221371), // Rule ID 7919 //
     /*  221302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221342 */     // MIs[1] Operand 1
     /*  221342 */     // No operand predicates
     /*  221342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221351 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221369 */     GIR_RootConstrainSelectedInstOperands,
     /*  221370 */     // GIR_Coverage, 7919,
     /*  221370 */     GIR_EraseRootFromParent_Done,
     /*  221371 */   // Label 4392: @221371
     /*  221371 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221445), // Rule ID 7920 //
     /*  221376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221416 */     // MIs[1] Operand 1
     /*  221416 */     // No operand predicates
     /*  221416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221443 */     GIR_RootConstrainSelectedInstOperands,
     /*  221444 */     // GIR_Coverage, 7920,
     /*  221444 */     GIR_EraseRootFromParent_Done,
     /*  221445 */   // Label 4393: @221445
     /*  221445 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221519), // Rule ID 7923 //
     /*  221450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221490 */     // MIs[1] Operand 1
     /*  221490 */     // No operand predicates
     /*  221490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221499 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221517 */     GIR_RootConstrainSelectedInstOperands,
     /*  221518 */     // GIR_Coverage, 7923,
     /*  221518 */     GIR_EraseRootFromParent_Done,
     /*  221519 */   // Label 4394: @221519
     /*  221519 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221593), // Rule ID 7924 //
     /*  221524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  221538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221564 */     // MIs[1] Operand 1
     /*  221564 */     // No operand predicates
     /*  221564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221591 */     GIR_RootConstrainSelectedInstOperands,
     /*  221592 */     // GIR_Coverage, 7924,
     /*  221592 */     GIR_EraseRootFromParent_Done,
     /*  221593 */   // Label 4395: @221593
     /*  221593 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221667), // Rule ID 7927 //
     /*  221598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  221612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221638 */     // MIs[1] Operand 1
     /*  221638 */     // No operand predicates
     /*  221638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221665 */     GIR_RootConstrainSelectedInstOperands,
     /*  221666 */     // GIR_Coverage, 7927,
     /*  221666 */     GIR_EraseRootFromParent_Done,
     /*  221667 */   // Label 4396: @221667
     /*  221667 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221741), // Rule ID 7928 //
     /*  221672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  221686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221712 */     // MIs[1] Operand 1
     /*  221712 */     // No operand predicates
     /*  221712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  221724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221739 */     GIR_RootConstrainSelectedInstOperands,
     /*  221740 */     // GIR_Coverage, 7928,
     /*  221740 */     GIR_EraseRootFromParent_Done,
     /*  221741 */   // Label 4397: @221741
     /*  221741 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221815), // Rule ID 7931 //
     /*  221746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  221760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221786 */     // MIs[1] Operand 1
     /*  221786 */     // No operand predicates
     /*  221786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221813 */     GIR_RootConstrainSelectedInstOperands,
     /*  221814 */     // GIR_Coverage, 7931,
     /*  221814 */     GIR_EraseRootFromParent_Done,
     /*  221815 */   // Label 4398: @221815
     /*  221815 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221889), // Rule ID 7932 //
     /*  221820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  221834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221860 */     // MIs[1] Operand 1
     /*  221860 */     // No operand predicates
     /*  221860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  221872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221887 */     GIR_RootConstrainSelectedInstOperands,
     /*  221888 */     // GIR_Coverage, 7932,
     /*  221888 */     GIR_EraseRootFromParent_Done,
     /*  221889 */   // Label 4399: @221889
     /*  221889 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221963), // Rule ID 7935 //
     /*  221894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  221908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221934 */     // MIs[1] Operand 1
     /*  221934 */     // No operand predicates
     /*  221934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  221946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221961 */     GIR_RootConstrainSelectedInstOperands,
     /*  221962 */     // GIR_Coverage, 7935,
     /*  221962 */     GIR_EraseRootFromParent_Done,
     /*  221963 */   // Label 4400: @221963
     /*  221963 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222037), // Rule ID 7936 //
     /*  221968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  221976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  221982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222008 */     // MIs[1] Operand 1
     /*  222008 */     // No operand predicates
     /*  222008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  222020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222035 */     GIR_RootConstrainSelectedInstOperands,
     /*  222036 */     // GIR_Coverage, 7936,
     /*  222036 */     GIR_EraseRootFromParent_Done,
     /*  222037 */   // Label 4401: @222037
     /*  222037 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222111), // Rule ID 8115 //
     /*  222042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222082 */     // MIs[1] Operand 1
     /*  222082 */     // No operand predicates
     /*  222082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222091 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222109 */     GIR_RootConstrainSelectedInstOperands,
     /*  222110 */     // GIR_Coverage, 8115,
     /*  222110 */     GIR_EraseRootFromParent_Done,
     /*  222111 */   // Label 4402: @222111
     /*  222111 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222185), // Rule ID 8116 //
     /*  222116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222156 */     // MIs[1] Operand 1
     /*  222156 */     // No operand predicates
     /*  222156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  222168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222183 */     GIR_RootConstrainSelectedInstOperands,
     /*  222184 */     // GIR_Coverage, 8116,
     /*  222184 */     GIR_EraseRootFromParent_Done,
     /*  222185 */   // Label 4403: @222185
     /*  222185 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222259), // Rule ID 8119 //
     /*  222190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222230 */     // MIs[1] Operand 1
     /*  222230 */     // No operand predicates
     /*  222230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222257 */     GIR_RootConstrainSelectedInstOperands,
     /*  222258 */     // GIR_Coverage, 8119,
     /*  222258 */     GIR_EraseRootFromParent_Done,
     /*  222259 */   // Label 4404: @222259
     /*  222259 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222333), // Rule ID 8120 //
     /*  222264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222304 */     // MIs[1] Operand 1
     /*  222304 */     // No operand predicates
     /*  222304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222331 */     GIR_RootConstrainSelectedInstOperands,
     /*  222332 */     // GIR_Coverage, 8120,
     /*  222332 */     GIR_EraseRootFromParent_Done,
     /*  222333 */   // Label 4405: @222333
     /*  222333 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222407), // Rule ID 8123 //
     /*  222338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222378 */     // MIs[1] Operand 1
     /*  222378 */     // No operand predicates
     /*  222378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222387 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222405 */     GIR_RootConstrainSelectedInstOperands,
     /*  222406 */     // GIR_Coverage, 8123,
     /*  222406 */     GIR_EraseRootFromParent_Done,
     /*  222407 */   // Label 4406: @222407
     /*  222407 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222481), // Rule ID 8124 //
     /*  222412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222452 */     // MIs[1] Operand 1
     /*  222452 */     // No operand predicates
     /*  222452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222479 */     GIR_RootConstrainSelectedInstOperands,
     /*  222480 */     // GIR_Coverage, 8124,
     /*  222480 */     GIR_EraseRootFromParent_Done,
     /*  222481 */   // Label 4407: @222481
     /*  222481 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222555), // Rule ID 8127 //
     /*  222486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222526 */     // MIs[1] Operand 1
     /*  222526 */     // No operand predicates
     /*  222526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222535 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222553 */     GIR_RootConstrainSelectedInstOperands,
     /*  222554 */     // GIR_Coverage, 8127,
     /*  222554 */     GIR_EraseRootFromParent_Done,
     /*  222555 */   // Label 4408: @222555
     /*  222555 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222629), // Rule ID 8128 //
     /*  222560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222600 */     // MIs[1] Operand 1
     /*  222600 */     // No operand predicates
     /*  222600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  222612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222627 */     GIR_RootConstrainSelectedInstOperands,
     /*  222628 */     // GIR_Coverage, 8128,
     /*  222628 */     GIR_EraseRootFromParent_Done,
     /*  222629 */   // Label 4409: @222629
     /*  222629 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222703), // Rule ID 8131 //
     /*  222634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222674 */     // MIs[1] Operand 1
     /*  222674 */     // No operand predicates
     /*  222674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222701 */     GIR_RootConstrainSelectedInstOperands,
     /*  222702 */     // GIR_Coverage, 8131,
     /*  222702 */     GIR_EraseRootFromParent_Done,
     /*  222703 */   // Label 4410: @222703
     /*  222703 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222777), // Rule ID 8132 //
     /*  222708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222748 */     // MIs[1] Operand 1
     /*  222748 */     // No operand predicates
     /*  222748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222775 */     GIR_RootConstrainSelectedInstOperands,
     /*  222776 */     // GIR_Coverage, 8132,
     /*  222776 */     GIR_EraseRootFromParent_Done,
     /*  222777 */   // Label 4411: @222777
     /*  222777 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222851), // Rule ID 8135 //
     /*  222782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222822 */     // MIs[1] Operand 1
     /*  222822 */     // No operand predicates
     /*  222822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222849 */     GIR_RootConstrainSelectedInstOperands,
     /*  222850 */     // GIR_Coverage, 8135,
     /*  222850 */     GIR_EraseRootFromParent_Done,
     /*  222851 */   // Label 4412: @222851
     /*  222851 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222925), // Rule ID 8136 //
     /*  222856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222896 */     // MIs[1] Operand 1
     /*  222896 */     // No operand predicates
     /*  222896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  222908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222923 */     GIR_RootConstrainSelectedInstOperands,
     /*  222924 */     // GIR_Coverage, 8136,
     /*  222924 */     GIR_EraseRootFromParent_Done,
     /*  222925 */   // Label 4413: @222925
     /*  222925 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(222999), // Rule ID 8139 //
     /*  222930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  222944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222970 */     // MIs[1] Operand 1
     /*  222970 */     // No operand predicates
     /*  222970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222979 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222997 */     GIR_RootConstrainSelectedInstOperands,
     /*  222998 */     // GIR_Coverage, 8139,
     /*  222998 */     GIR_EraseRootFromParent_Done,
     /*  222999 */   // Label 4414: @222999
     /*  222999 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223073), // Rule ID 8140 //
     /*  223004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223044 */     // MIs[1] Operand 1
     /*  223044 */     // No operand predicates
     /*  223044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223071 */     GIR_RootConstrainSelectedInstOperands,
     /*  223072 */     // GIR_Coverage, 8140,
     /*  223072 */     GIR_EraseRootFromParent_Done,
     /*  223073 */   // Label 4415: @223073
     /*  223073 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223147), // Rule ID 8143 //
     /*  223078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223118 */     // MIs[1] Operand 1
     /*  223118 */     // No operand predicates
     /*  223118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223145 */     GIR_RootConstrainSelectedInstOperands,
     /*  223146 */     // GIR_Coverage, 8143,
     /*  223146 */     GIR_EraseRootFromParent_Done,
     /*  223147 */   // Label 4416: @223147
     /*  223147 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223221), // Rule ID 8144 //
     /*  223152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223192 */     // MIs[1] Operand 1
     /*  223192 */     // No operand predicates
     /*  223192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223219 */     GIR_RootConstrainSelectedInstOperands,
     /*  223220 */     // GIR_Coverage, 8144,
     /*  223220 */     GIR_EraseRootFromParent_Done,
     /*  223221 */   // Label 4417: @223221
     /*  223221 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223295), // Rule ID 8147 //
     /*  223226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223266 */     // MIs[1] Operand 1
     /*  223266 */     // No operand predicates
     /*  223266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223293 */     GIR_RootConstrainSelectedInstOperands,
     /*  223294 */     // GIR_Coverage, 8147,
     /*  223294 */     GIR_EraseRootFromParent_Done,
     /*  223295 */   // Label 4418: @223295
     /*  223295 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223369), // Rule ID 8148 //
     /*  223300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223340 */     // MIs[1] Operand 1
     /*  223340 */     // No operand predicates
     /*  223340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223367 */     GIR_RootConstrainSelectedInstOperands,
     /*  223368 */     // GIR_Coverage, 8148,
     /*  223368 */     GIR_EraseRootFromParent_Done,
     /*  223369 */   // Label 4419: @223369
     /*  223369 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223443), // Rule ID 8151 //
     /*  223374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223414 */     // MIs[1] Operand 1
     /*  223414 */     // No operand predicates
     /*  223414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223423 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223441 */     GIR_RootConstrainSelectedInstOperands,
     /*  223442 */     // GIR_Coverage, 8151,
     /*  223442 */     GIR_EraseRootFromParent_Done,
     /*  223443 */   // Label 4420: @223443
     /*  223443 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223517), // Rule ID 8152 //
     /*  223448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223488 */     // MIs[1] Operand 1
     /*  223488 */     // No operand predicates
     /*  223488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  223500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223515 */     GIR_RootConstrainSelectedInstOperands,
     /*  223516 */     // GIR_Coverage, 8152,
     /*  223516 */     GIR_EraseRootFromParent_Done,
     /*  223517 */   // Label 4421: @223517
     /*  223517 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223591), // Rule ID 8155 //
     /*  223522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223562 */     // MIs[1] Operand 1
     /*  223562 */     // No operand predicates
     /*  223562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223571 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223589 */     GIR_RootConstrainSelectedInstOperands,
     /*  223590 */     // GIR_Coverage, 8155,
     /*  223590 */     GIR_EraseRootFromParent_Done,
     /*  223591 */   // Label 4422: @223591
     /*  223591 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223665), // Rule ID 8156 //
     /*  223596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  223610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223636 */     // MIs[1] Operand 1
     /*  223636 */     // No operand predicates
     /*  223636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223663 */     GIR_RootConstrainSelectedInstOperands,
     /*  223664 */     // GIR_Coverage, 8156,
     /*  223664 */     GIR_EraseRootFromParent_Done,
     /*  223665 */   // Label 4423: @223665
     /*  223665 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223739), // Rule ID 8159 //
     /*  223670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  223684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223710 */     // MIs[1] Operand 1
     /*  223710 */     // No operand predicates
     /*  223710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223719 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223737 */     GIR_RootConstrainSelectedInstOperands,
     /*  223738 */     // GIR_Coverage, 8159,
     /*  223738 */     GIR_EraseRootFromParent_Done,
     /*  223739 */   // Label 4424: @223739
     /*  223739 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223813), // Rule ID 8160 //
     /*  223744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  223758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223784 */     // MIs[1] Operand 1
     /*  223784 */     // No operand predicates
     /*  223784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223811 */     GIR_RootConstrainSelectedInstOperands,
     /*  223812 */     // GIR_Coverage, 8160,
     /*  223812 */     GIR_EraseRootFromParent_Done,
     /*  223813 */   // Label 4425: @223813
     /*  223813 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223887), // Rule ID 8163 //
     /*  223818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  223829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  223832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223858 */     // MIs[1] Operand 1
     /*  223858 */     // No operand predicates
     /*  223858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223885 */     GIR_RootConstrainSelectedInstOperands,
     /*  223886 */     // GIR_Coverage, 8163,
     /*  223886 */     GIR_EraseRootFromParent_Done,
     /*  223887 */   // Label 4426: @223887
     /*  223887 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223961), // Rule ID 8164 //
     /*  223892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  223903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  223906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223932 */     // MIs[1] Operand 1
     /*  223932 */     // No operand predicates
     /*  223932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223941 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223959 */     GIR_RootConstrainSelectedInstOperands,
     /*  223960 */     // GIR_Coverage, 8164,
     /*  223960 */     GIR_EraseRootFromParent_Done,
     /*  223961 */   // Label 4427: @223961
     /*  223961 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224035), // Rule ID 8167 //
     /*  223966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  223980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224006 */     // MIs[1] Operand 1
     /*  224006 */     // No operand predicates
     /*  224006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224015 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224033 */     GIR_RootConstrainSelectedInstOperands,
     /*  224034 */     // GIR_Coverage, 8167,
     /*  224034 */     GIR_EraseRootFromParent_Done,
     /*  224035 */   // Label 4428: @224035
     /*  224035 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224109), // Rule ID 8168 //
     /*  224040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224080 */     // MIs[1] Operand 1
     /*  224080 */     // No operand predicates
     /*  224080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224107 */     GIR_RootConstrainSelectedInstOperands,
     /*  224108 */     // GIR_Coverage, 8168,
     /*  224108 */     GIR_EraseRootFromParent_Done,
     /*  224109 */   // Label 4429: @224109
     /*  224109 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224183), // Rule ID 8171 //
     /*  224114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224154 */     // MIs[1] Operand 1
     /*  224154 */     // No operand predicates
     /*  224154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224163 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224181 */     GIR_RootConstrainSelectedInstOperands,
     /*  224182 */     // GIR_Coverage, 8171,
     /*  224182 */     GIR_EraseRootFromParent_Done,
     /*  224183 */   // Label 4430: @224183
     /*  224183 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224257), // Rule ID 8172 //
     /*  224188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224228 */     // MIs[1] Operand 1
     /*  224228 */     // No operand predicates
     /*  224228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224255 */     GIR_RootConstrainSelectedInstOperands,
     /*  224256 */     // GIR_Coverage, 8172,
     /*  224256 */     GIR_EraseRootFromParent_Done,
     /*  224257 */   // Label 4431: @224257
     /*  224257 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224331), // Rule ID 8175 //
     /*  224262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224302 */     // MIs[1] Operand 1
     /*  224302 */     // No operand predicates
     /*  224302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224311 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224329 */     GIR_RootConstrainSelectedInstOperands,
     /*  224330 */     // GIR_Coverage, 8175,
     /*  224330 */     GIR_EraseRootFromParent_Done,
     /*  224331 */   // Label 4432: @224331
     /*  224331 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224405), // Rule ID 8176 //
     /*  224336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224376 */     // MIs[1] Operand 1
     /*  224376 */     // No operand predicates
     /*  224376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224403 */     GIR_RootConstrainSelectedInstOperands,
     /*  224404 */     // GIR_Coverage, 8176,
     /*  224404 */     GIR_EraseRootFromParent_Done,
     /*  224405 */   // Label 4433: @224405
     /*  224405 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224479), // Rule ID 8179 //
     /*  224410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224450 */     // MIs[1] Operand 1
     /*  224450 */     // No operand predicates
     /*  224450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224477 */     GIR_RootConstrainSelectedInstOperands,
     /*  224478 */     // GIR_Coverage, 8179,
     /*  224478 */     GIR_EraseRootFromParent_Done,
     /*  224479 */   // Label 4434: @224479
     /*  224479 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224553), // Rule ID 8180 //
     /*  224484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  224498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224524 */     // MIs[1] Operand 1
     /*  224524 */     // No operand predicates
     /*  224524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224551 */     GIR_RootConstrainSelectedInstOperands,
     /*  224552 */     // GIR_Coverage, 8180,
     /*  224552 */     GIR_EraseRootFromParent_Done,
     /*  224553 */   // Label 4435: @224553
     /*  224553 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224627), // Rule ID 8183 //
     /*  224558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  224572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224598 */     // MIs[1] Operand 1
     /*  224598 */     // No operand predicates
     /*  224598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224625 */     GIR_RootConstrainSelectedInstOperands,
     /*  224626 */     // GIR_Coverage, 8183,
     /*  224626 */     GIR_EraseRootFromParent_Done,
     /*  224627 */   // Label 4436: @224627
     /*  224627 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224701), // Rule ID 8184 //
     /*  224632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  224646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224672 */     // MIs[1] Operand 1
     /*  224672 */     // No operand predicates
     /*  224672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  224684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224699 */     GIR_RootConstrainSelectedInstOperands,
     /*  224700 */     // GIR_Coverage, 8184,
     /*  224700 */     GIR_EraseRootFromParent_Done,
     /*  224701 */   // Label 4437: @224701
     /*  224701 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224775), // Rule ID 8187 //
     /*  224706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224746 */     // MIs[1] Operand 1
     /*  224746 */     // No operand predicates
     /*  224746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224755 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224773 */     GIR_RootConstrainSelectedInstOperands,
     /*  224774 */     // GIR_Coverage, 8187,
     /*  224774 */     GIR_EraseRootFromParent_Done,
     /*  224775 */   // Label 4438: @224775
     /*  224775 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224849), // Rule ID 8188 //
     /*  224780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224820 */     // MIs[1] Operand 1
     /*  224820 */     // No operand predicates
     /*  224820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224847 */     GIR_RootConstrainSelectedInstOperands,
     /*  224848 */     // GIR_Coverage, 8188,
     /*  224848 */     GIR_EraseRootFromParent_Done,
     /*  224849 */   // Label 4439: @224849
     /*  224849 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224923), // Rule ID 8191 //
     /*  224854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  224857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224894 */     // MIs[1] Operand 1
     /*  224894 */     // No operand predicates
     /*  224894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224921 */     GIR_RootConstrainSelectedInstOperands,
     /*  224922 */     // GIR_Coverage, 8191,
     /*  224922 */     GIR_EraseRootFromParent_Done,
     /*  224923 */   // Label 4440: @224923
     /*  224923 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224997), // Rule ID 8192 //
     /*  224928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224968 */     // MIs[1] Operand 1
     /*  224968 */     // No operand predicates
     /*  224968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  224980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224995 */     GIR_RootConstrainSelectedInstOperands,
     /*  224996 */     // GIR_Coverage, 8192,
     /*  224996 */     GIR_EraseRootFromParent_Done,
     /*  224997 */   // Label 4441: @224997
     /*  224997 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225071), // Rule ID 8195 //
     /*  225002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225042 */     // MIs[1] Operand 1
     /*  225042 */     // No operand predicates
     /*  225042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225051 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225069 */     GIR_RootConstrainSelectedInstOperands,
     /*  225070 */     // GIR_Coverage, 8195,
     /*  225070 */     GIR_EraseRootFromParent_Done,
     /*  225071 */   // Label 4442: @225071
     /*  225071 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225145), // Rule ID 8196 //
     /*  225076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225116 */     // MIs[1] Operand 1
     /*  225116 */     // No operand predicates
     /*  225116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  225128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225143 */     GIR_RootConstrainSelectedInstOperands,
     /*  225144 */     // GIR_Coverage, 8196,
     /*  225144 */     GIR_EraseRootFromParent_Done,
     /*  225145 */   // Label 4443: @225145
     /*  225145 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225219), // Rule ID 8199 //
     /*  225150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225190 */     // MIs[1] Operand 1
     /*  225190 */     // No operand predicates
     /*  225190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225217 */     GIR_RootConstrainSelectedInstOperands,
     /*  225218 */     // GIR_Coverage, 8199,
     /*  225218 */     GIR_EraseRootFromParent_Done,
     /*  225219 */   // Label 4444: @225219
     /*  225219 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225293), // Rule ID 8200 //
     /*  225224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  225232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225264 */     // MIs[1] Operand 1
     /*  225264 */     // No operand predicates
     /*  225264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  225276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225291 */     GIR_RootConstrainSelectedInstOperands,
     /*  225292 */     // GIR_Coverage, 8200,
     /*  225292 */     GIR_EraseRootFromParent_Done,
     /*  225293 */   // Label 4445: @225293
     /*  225293 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225367), // Rule ID 8731 //
     /*  225298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225338 */     // MIs[1] Operand 1
     /*  225338 */     // No operand predicates
     /*  225338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225365 */     GIR_RootConstrainSelectedInstOperands,
     /*  225366 */     // GIR_Coverage, 8731,
     /*  225366 */     GIR_EraseRootFromParent_Done,
     /*  225367 */   // Label 4446: @225367
     /*  225367 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225441), // Rule ID 8732 //
     /*  225372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225412 */     // MIs[1] Operand 1
     /*  225412 */     // No operand predicates
     /*  225412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  225424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225439 */     GIR_RootConstrainSelectedInstOperands,
     /*  225440 */     // GIR_Coverage, 8732,
     /*  225440 */     GIR_EraseRootFromParent_Done,
     /*  225441 */   // Label 4447: @225441
     /*  225441 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225515), // Rule ID 8735 //
     /*  225446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225486 */     // MIs[1] Operand 1
     /*  225486 */     // No operand predicates
     /*  225486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225495 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225513 */     GIR_RootConstrainSelectedInstOperands,
     /*  225514 */     // GIR_Coverage, 8735,
     /*  225514 */     GIR_EraseRootFromParent_Done,
     /*  225515 */   // Label 4448: @225515
     /*  225515 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225589), // Rule ID 8736 //
     /*  225520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  225534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225560 */     // MIs[1] Operand 1
     /*  225560 */     // No operand predicates
     /*  225560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225587 */     GIR_RootConstrainSelectedInstOperands,
     /*  225588 */     // GIR_Coverage, 8736,
     /*  225588 */     GIR_EraseRootFromParent_Done,
     /*  225589 */   // Label 4449: @225589
     /*  225589 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225663), // Rule ID 8739 //
     /*  225594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  225608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225634 */     // MIs[1] Operand 1
     /*  225634 */     // No operand predicates
     /*  225634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225661 */     GIR_RootConstrainSelectedInstOperands,
     /*  225662 */     // GIR_Coverage, 8739,
     /*  225662 */     GIR_EraseRootFromParent_Done,
     /*  225663 */   // Label 4450: @225663
     /*  225663 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225737), // Rule ID 8740 //
     /*  225668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  225682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225708 */     // MIs[1] Operand 1
     /*  225708 */     // No operand predicates
     /*  225708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225735 */     GIR_RootConstrainSelectedInstOperands,
     /*  225736 */     // GIR_Coverage, 8740,
     /*  225736 */     GIR_EraseRootFromParent_Done,
     /*  225737 */   // Label 4451: @225737
     /*  225737 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225811), // Rule ID 8743 //
     /*  225742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  225756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225782 */     // MIs[1] Operand 1
     /*  225782 */     // No operand predicates
     /*  225782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225809 */     GIR_RootConstrainSelectedInstOperands,
     /*  225810 */     // GIR_Coverage, 8743,
     /*  225810 */     GIR_EraseRootFromParent_Done,
     /*  225811 */   // Label 4452: @225811
     /*  225811 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225885), // Rule ID 8744 //
     /*  225816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  225830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225856 */     // MIs[1] Operand 1
     /*  225856 */     // No operand predicates
     /*  225856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  225868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225883 */     GIR_RootConstrainSelectedInstOperands,
     /*  225884 */     // GIR_Coverage, 8744,
     /*  225884 */     GIR_EraseRootFromParent_Done,
     /*  225885 */   // Label 4453: @225885
     /*  225885 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225959), // Rule ID 8747 //
     /*  225890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  225904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225930 */     // MIs[1] Operand 1
     /*  225930 */     // No operand predicates
     /*  225930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225939 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  225942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225957 */     GIR_RootConstrainSelectedInstOperands,
     /*  225958 */     // GIR_Coverage, 8747,
     /*  225958 */     GIR_EraseRootFromParent_Done,
     /*  225959 */   // Label 4454: @225959
     /*  225959 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(226033), // Rule ID 8748 //
     /*  225964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  225978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226004 */     // MIs[1] Operand 1
     /*  226004 */     // No operand predicates
     /*  226004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226031 */     GIR_RootConstrainSelectedInstOperands,
     /*  226032 */     // GIR_Coverage, 8748,
     /*  226032 */     GIR_EraseRootFromParent_Done,
     /*  226033 */   // Label 4455: @226033
     /*  226033 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226107), // Rule ID 8751 //
     /*  226038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226078 */     // MIs[1] Operand 1
     /*  226078 */     // No operand predicates
     /*  226078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226105 */     GIR_RootConstrainSelectedInstOperands,
     /*  226106 */     // GIR_Coverage, 8751,
     /*  226106 */     GIR_EraseRootFromParent_Done,
     /*  226107 */   // Label 4456: @226107
     /*  226107 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226181), // Rule ID 8752 //
     /*  226112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226152 */     // MIs[1] Operand 1
     /*  226152 */     // No operand predicates
     /*  226152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  226164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226179 */     GIR_RootConstrainSelectedInstOperands,
     /*  226180 */     // GIR_Coverage, 8752,
     /*  226180 */     GIR_EraseRootFromParent_Done,
     /*  226181 */   // Label 4457: @226181
     /*  226181 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226255), // Rule ID 8755 //
     /*  226186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226226 */     // MIs[1] Operand 1
     /*  226226 */     // No operand predicates
     /*  226226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226235 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226253 */     GIR_RootConstrainSelectedInstOperands,
     /*  226254 */     // GIR_Coverage, 8755,
     /*  226254 */     GIR_EraseRootFromParent_Done,
     /*  226255 */   // Label 4458: @226255
     /*  226255 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226329), // Rule ID 8756 //
     /*  226260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226300 */     // MIs[1] Operand 1
     /*  226300 */     // No operand predicates
     /*  226300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226327 */     GIR_RootConstrainSelectedInstOperands,
     /*  226328 */     // GIR_Coverage, 8756,
     /*  226328 */     GIR_EraseRootFromParent_Done,
     /*  226329 */   // Label 4459: @226329
     /*  226329 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226403), // Rule ID 8759 //
     /*  226334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226374 */     // MIs[1] Operand 1
     /*  226374 */     // No operand predicates
     /*  226374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226401 */     GIR_RootConstrainSelectedInstOperands,
     /*  226402 */     // GIR_Coverage, 8759,
     /*  226402 */     GIR_EraseRootFromParent_Done,
     /*  226403 */   // Label 4460: @226403
     /*  226403 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226477), // Rule ID 8760 //
     /*  226408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226448 */     // MIs[1] Operand 1
     /*  226448 */     // No operand predicates
     /*  226448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226475 */     GIR_RootConstrainSelectedInstOperands,
     /*  226476 */     // GIR_Coverage, 8760,
     /*  226476 */     GIR_EraseRootFromParent_Done,
     /*  226477 */   // Label 4461: @226477
     /*  226477 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226551), // Rule ID 8763 //
     /*  226482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226522 */     // MIs[1] Operand 1
     /*  226522 */     // No operand predicates
     /*  226522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226531 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226549 */     GIR_RootConstrainSelectedInstOperands,
     /*  226550 */     // GIR_Coverage, 8763,
     /*  226550 */     GIR_EraseRootFromParent_Done,
     /*  226551 */   // Label 4462: @226551
     /*  226551 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226625), // Rule ID 8764 //
     /*  226556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226596 */     // MIs[1] Operand 1
     /*  226596 */     // No operand predicates
     /*  226596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226623 */     GIR_RootConstrainSelectedInstOperands,
     /*  226624 */     // GIR_Coverage, 8764,
     /*  226624 */     GIR_EraseRootFromParent_Done,
     /*  226625 */   // Label 4463: @226625
     /*  226625 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226699), // Rule ID 8767 //
     /*  226630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  226644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226670 */     // MIs[1] Operand 1
     /*  226670 */     // No operand predicates
     /*  226670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226697 */     GIR_RootConstrainSelectedInstOperands,
     /*  226698 */     // GIR_Coverage, 8767,
     /*  226698 */     GIR_EraseRootFromParent_Done,
     /*  226699 */   // Label 4464: @226699
     /*  226699 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226773), // Rule ID 8768 //
     /*  226704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  226718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226744 */     // MIs[1] Operand 1
     /*  226744 */     // No operand predicates
     /*  226744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  226756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226771 */     GIR_RootConstrainSelectedInstOperands,
     /*  226772 */     // GIR_Coverage, 8768,
     /*  226772 */     GIR_EraseRootFromParent_Done,
     /*  226773 */   // Label 4465: @226773
     /*  226773 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226847), // Rule ID 8771 //
     /*  226778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  226792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226818 */     // MIs[1] Operand 1
     /*  226818 */     // No operand predicates
     /*  226818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226845 */     GIR_RootConstrainSelectedInstOperands,
     /*  226846 */     // GIR_Coverage, 8771,
     /*  226846 */     GIR_EraseRootFromParent_Done,
     /*  226847 */   // Label 4466: @226847
     /*  226847 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226921), // Rule ID 8772 //
     /*  226852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  226866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226892 */     // MIs[1] Operand 1
     /*  226892 */     // No operand predicates
     /*  226892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226919 */     GIR_RootConstrainSelectedInstOperands,
     /*  226920 */     // GIR_Coverage, 8772,
     /*  226920 */     GIR_EraseRootFromParent_Done,
     /*  226921 */   // Label 4467: @226921
     /*  226921 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226995), // Rule ID 8775 //
     /*  226926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  226940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226966 */     // MIs[1] Operand 1
     /*  226966 */     // No operand predicates
     /*  226966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226975 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  226978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226993 */     GIR_RootConstrainSelectedInstOperands,
     /*  226994 */     // GIR_Coverage, 8775,
     /*  226994 */     GIR_EraseRootFromParent_Done,
     /*  226995 */   // Label 4468: @226995
     /*  226995 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227069), // Rule ID 8776 //
     /*  227000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227040 */     // MIs[1] Operand 1
     /*  227040 */     // No operand predicates
     /*  227040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227049 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227067 */     GIR_RootConstrainSelectedInstOperands,
     /*  227068 */     // GIR_Coverage, 8776,
     /*  227068 */     GIR_EraseRootFromParent_Done,
     /*  227069 */   // Label 4469: @227069
     /*  227069 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227143), // Rule ID 8779 //
     /*  227074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227114 */     // MIs[1] Operand 1
     /*  227114 */     // No operand predicates
     /*  227114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227123 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227141 */     GIR_RootConstrainSelectedInstOperands,
     /*  227142 */     // GIR_Coverage, 8779,
     /*  227142 */     GIR_EraseRootFromParent_Done,
     /*  227143 */   // Label 4470: @227143
     /*  227143 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227217), // Rule ID 8780 //
     /*  227148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227188 */     // MIs[1] Operand 1
     /*  227188 */     // No operand predicates
     /*  227188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227197 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227215 */     GIR_RootConstrainSelectedInstOperands,
     /*  227216 */     // GIR_Coverage, 8780,
     /*  227216 */     GIR_EraseRootFromParent_Done,
     /*  227217 */   // Label 4471: @227217
     /*  227217 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227291), // Rule ID 8783 //
     /*  227222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227262 */     // MIs[1] Operand 1
     /*  227262 */     // No operand predicates
     /*  227262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227289 */     GIR_RootConstrainSelectedInstOperands,
     /*  227290 */     // GIR_Coverage, 8783,
     /*  227290 */     GIR_EraseRootFromParent_Done,
     /*  227291 */   // Label 4472: @227291
     /*  227291 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227365), // Rule ID 8784 //
     /*  227296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227336 */     // MIs[1] Operand 1
     /*  227336 */     // No operand predicates
     /*  227336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227363 */     GIR_RootConstrainSelectedInstOperands,
     /*  227364 */     // GIR_Coverage, 8784,
     /*  227364 */     GIR_EraseRootFromParent_Done,
     /*  227365 */   // Label 4473: @227365
     /*  227365 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227439), // Rule ID 8787 //
     /*  227370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227410 */     // MIs[1] Operand 1
     /*  227410 */     // No operand predicates
     /*  227410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227419 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227437 */     GIR_RootConstrainSelectedInstOperands,
     /*  227438 */     // GIR_Coverage, 8787,
     /*  227438 */     GIR_EraseRootFromParent_Done,
     /*  227439 */   // Label 4474: @227439
     /*  227439 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227513), // Rule ID 8788 //
     /*  227444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227484 */     // MIs[1] Operand 1
     /*  227484 */     // No operand predicates
     /*  227484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227511 */     GIR_RootConstrainSelectedInstOperands,
     /*  227512 */     // GIR_Coverage, 8788,
     /*  227512 */     GIR_EraseRootFromParent_Done,
     /*  227513 */   // Label 4475: @227513
     /*  227513 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227587), // Rule ID 8791 //
     /*  227518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227558 */     // MIs[1] Operand 1
     /*  227558 */     // No operand predicates
     /*  227558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227567 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227585 */     GIR_RootConstrainSelectedInstOperands,
     /*  227586 */     // GIR_Coverage, 8791,
     /*  227586 */     GIR_EraseRootFromParent_Done,
     /*  227587 */   // Label 4476: @227587
     /*  227587 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227661), // Rule ID 8792 //
     /*  227592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227632 */     // MIs[1] Operand 1
     /*  227632 */     // No operand predicates
     /*  227632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227641 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227659 */     GIR_RootConstrainSelectedInstOperands,
     /*  227660 */     // GIR_Coverage, 8792,
     /*  227660 */     GIR_EraseRootFromParent_Done,
     /*  227661 */   // Label 4477: @227661
     /*  227661 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227735), // Rule ID 8795 //
     /*  227666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227706 */     // MIs[1] Operand 1
     /*  227706 */     // No operand predicates
     /*  227706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227733 */     GIR_RootConstrainSelectedInstOperands,
     /*  227734 */     // GIR_Coverage, 8795,
     /*  227734 */     GIR_EraseRootFromParent_Done,
     /*  227735 */   // Label 4478: @227735
     /*  227735 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227809), // Rule ID 8796 //
     /*  227740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227780 */     // MIs[1] Operand 1
     /*  227780 */     // No operand predicates
     /*  227780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227807 */     GIR_RootConstrainSelectedInstOperands,
     /*  227808 */     // GIR_Coverage, 8796,
     /*  227808 */     GIR_EraseRootFromParent_Done,
     /*  227809 */   // Label 4479: @227809
     /*  227809 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227883), // Rule ID 8799 //
     /*  227814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227854 */     // MIs[1] Operand 1
     /*  227854 */     // No operand predicates
     /*  227854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227881 */     GIR_RootConstrainSelectedInstOperands,
     /*  227882 */     // GIR_Coverage, 8799,
     /*  227882 */     GIR_EraseRootFromParent_Done,
     /*  227883 */   // Label 4480: @227883
     /*  227883 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(227957), // Rule ID 8800 //
     /*  227888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227928 */     // MIs[1] Operand 1
     /*  227928 */     // No operand predicates
     /*  227928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227955 */     GIR_RootConstrainSelectedInstOperands,
     /*  227956 */     // GIR_Coverage, 8800,
     /*  227956 */     GIR_EraseRootFromParent_Done,
     /*  227957 */   // Label 4481: @227957
     /*  227957 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(228031), // Rule ID 8803 //
     /*  227962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  227976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228002 */     // MIs[1] Operand 1
     /*  228002 */     // No operand predicates
     /*  228002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228011 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228029 */     GIR_RootConstrainSelectedInstOperands,
     /*  228030 */     // GIR_Coverage, 8803,
     /*  228030 */     GIR_EraseRootFromParent_Done,
     /*  228031 */   // Label 4482: @228031
     /*  228031 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228105), // Rule ID 8804 //
     /*  228036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228076 */     // MIs[1] Operand 1
     /*  228076 */     // No operand predicates
     /*  228076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228103 */     GIR_RootConstrainSelectedInstOperands,
     /*  228104 */     // GIR_Coverage, 8804,
     /*  228104 */     GIR_EraseRootFromParent_Done,
     /*  228105 */   // Label 4483: @228105
     /*  228105 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228179), // Rule ID 8807 //
     /*  228110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228150 */     // MIs[1] Operand 1
     /*  228150 */     // No operand predicates
     /*  228150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228159 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228177 */     GIR_RootConstrainSelectedInstOperands,
     /*  228178 */     // GIR_Coverage, 8807,
     /*  228178 */     GIR_EraseRootFromParent_Done,
     /*  228179 */   // Label 4484: @228179
     /*  228179 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228253), // Rule ID 8808 //
     /*  228184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228224 */     // MIs[1] Operand 1
     /*  228224 */     // No operand predicates
     /*  228224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  228236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228251 */     GIR_RootConstrainSelectedInstOperands,
     /*  228252 */     // GIR_Coverage, 8808,
     /*  228252 */     GIR_EraseRootFromParent_Done,
     /*  228253 */   // Label 4485: @228253
     /*  228253 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228327), // Rule ID 8811 //
     /*  228258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228298 */     // MIs[1] Operand 1
     /*  228298 */     // No operand predicates
     /*  228298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228307 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228325 */     GIR_RootConstrainSelectedInstOperands,
     /*  228326 */     // GIR_Coverage, 8811,
     /*  228326 */     GIR_EraseRootFromParent_Done,
     /*  228327 */   // Label 4486: @228327
     /*  228327 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228401), // Rule ID 8812 //
     /*  228332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228372 */     // MIs[1] Operand 1
     /*  228372 */     // No operand predicates
     /*  228372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  228384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228399 */     GIR_RootConstrainSelectedInstOperands,
     /*  228400 */     // GIR_Coverage, 8812,
     /*  228400 */     GIR_EraseRootFromParent_Done,
     /*  228401 */   // Label 4487: @228401
     /*  228401 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228475), // Rule ID 8815 //
     /*  228406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228446 */     // MIs[1] Operand 1
     /*  228446 */     // No operand predicates
     /*  228446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228473 */     GIR_RootConstrainSelectedInstOperands,
     /*  228474 */     // GIR_Coverage, 8815,
     /*  228474 */     GIR_EraseRootFromParent_Done,
     /*  228475 */   // Label 4488: @228475
     /*  228475 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228549), // Rule ID 8816 //
     /*  228480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  228488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228520 */     // MIs[1] Operand 1
     /*  228520 */     // No operand predicates
     /*  228520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  228532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228547 */     GIR_RootConstrainSelectedInstOperands,
     /*  228548 */     // GIR_Coverage, 8816,
     /*  228548 */     GIR_EraseRootFromParent_Done,
     /*  228549 */   // Label 4489: @228549
     /*  228549 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228623), // Rule ID 8995 //
     /*  228554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  228568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228594 */     // MIs[1] Operand 1
     /*  228594 */     // No operand predicates
     /*  228594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228603 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  228606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228621 */     GIR_RootConstrainSelectedInstOperands,
     /*  228622 */     // GIR_Coverage, 8995,
     /*  228622 */     GIR_EraseRootFromParent_Done,
     /*  228623 */   // Label 4490: @228623
     /*  228623 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228697), // Rule ID 8996 //
     /*  228628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  228642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228668 */     // MIs[1] Operand 1
     /*  228668 */     // No operand predicates
     /*  228668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  228680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228695 */     GIR_RootConstrainSelectedInstOperands,
     /*  228696 */     // GIR_Coverage, 8996,
     /*  228696 */     GIR_EraseRootFromParent_Done,
     /*  228697 */   // Label 4491: @228697
     /*  228697 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228771), // Rule ID 8999 //
     /*  228702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  228716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228742 */     // MIs[1] Operand 1
     /*  228742 */     // No operand predicates
     /*  228742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  228754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228769 */     GIR_RootConstrainSelectedInstOperands,
     /*  228770 */     // GIR_Coverage, 8999,
     /*  228770 */     GIR_EraseRootFromParent_Done,
     /*  228771 */   // Label 4492: @228771
     /*  228771 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228845), // Rule ID 9000 //
     /*  228776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  228790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228816 */     // MIs[1] Operand 1
     /*  228816 */     // No operand predicates
     /*  228816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  228828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228843 */     GIR_RootConstrainSelectedInstOperands,
     /*  228844 */     // GIR_Coverage, 9000,
     /*  228844 */     GIR_EraseRootFromParent_Done,
     /*  228845 */   // Label 4493: @228845
     /*  228845 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228919), // Rule ID 9003 //
     /*  228850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  228864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228890 */     // MIs[1] Operand 1
     /*  228890 */     // No operand predicates
     /*  228890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228899 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228917 */     GIR_RootConstrainSelectedInstOperands,
     /*  228918 */     // GIR_Coverage, 9003,
     /*  228918 */     GIR_EraseRootFromParent_Done,
     /*  228919 */   // Label 4494: @228919
     /*  228919 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(228993), // Rule ID 9004 //
     /*  228924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  228938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228964 */     // MIs[1] Operand 1
     /*  228964 */     // No operand predicates
     /*  228964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228991 */     GIR_RootConstrainSelectedInstOperands,
     /*  228992 */     // GIR_Coverage, 9004,
     /*  228992 */     GIR_EraseRootFromParent_Done,
     /*  228993 */   // Label 4495: @228993
     /*  228993 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229067), // Rule ID 9007 //
     /*  228998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229038 */     // MIs[1] Operand 1
     /*  229038 */     // No operand predicates
     /*  229038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229065 */     GIR_RootConstrainSelectedInstOperands,
     /*  229066 */     // GIR_Coverage, 9007,
     /*  229066 */     GIR_EraseRootFromParent_Done,
     /*  229067 */   // Label 4496: @229067
     /*  229067 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229141), // Rule ID 9008 //
     /*  229072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229112 */     // MIs[1] Operand 1
     /*  229112 */     // No operand predicates
     /*  229112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  229124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229139 */     GIR_RootConstrainSelectedInstOperands,
     /*  229140 */     // GIR_Coverage, 9008,
     /*  229140 */     GIR_EraseRootFromParent_Done,
     /*  229141 */   // Label 4497: @229141
     /*  229141 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229215), // Rule ID 9011 //
     /*  229146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229186 */     // MIs[1] Operand 1
     /*  229186 */     // No operand predicates
     /*  229186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229195 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229213 */     GIR_RootConstrainSelectedInstOperands,
     /*  229214 */     // GIR_Coverage, 9011,
     /*  229214 */     GIR_EraseRootFromParent_Done,
     /*  229215 */   // Label 4498: @229215
     /*  229215 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229289), // Rule ID 9012 //
     /*  229220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229260 */     // MIs[1] Operand 1
     /*  229260 */     // No operand predicates
     /*  229260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229287 */     GIR_RootConstrainSelectedInstOperands,
     /*  229288 */     // GIR_Coverage, 9012,
     /*  229288 */     GIR_EraseRootFromParent_Done,
     /*  229289 */   // Label 4499: @229289
     /*  229289 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229363), // Rule ID 9015 //
     /*  229294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229334 */     // MIs[1] Operand 1
     /*  229334 */     // No operand predicates
     /*  229334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229343 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229361 */     GIR_RootConstrainSelectedInstOperands,
     /*  229362 */     // GIR_Coverage, 9015,
     /*  229362 */     GIR_EraseRootFromParent_Done,
     /*  229363 */   // Label 4500: @229363
     /*  229363 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229437), // Rule ID 9016 //
     /*  229368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229408 */     // MIs[1] Operand 1
     /*  229408 */     // No operand predicates
     /*  229408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  229420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229435 */     GIR_RootConstrainSelectedInstOperands,
     /*  229436 */     // GIR_Coverage, 9016,
     /*  229436 */     GIR_EraseRootFromParent_Done,
     /*  229437 */   // Label 4501: @229437
     /*  229437 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229511), // Rule ID 9019 //
     /*  229442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229482 */     // MIs[1] Operand 1
     /*  229482 */     // No operand predicates
     /*  229482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229491 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229509 */     GIR_RootConstrainSelectedInstOperands,
     /*  229510 */     // GIR_Coverage, 9019,
     /*  229510 */     GIR_EraseRootFromParent_Done,
     /*  229511 */   // Label 4502: @229511
     /*  229511 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229585), // Rule ID 9020 //
     /*  229516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  229530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229556 */     // MIs[1] Operand 1
     /*  229556 */     // No operand predicates
     /*  229556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229583 */     GIR_RootConstrainSelectedInstOperands,
     /*  229584 */     // GIR_Coverage, 9020,
     /*  229584 */     GIR_EraseRootFromParent_Done,
     /*  229585 */   // Label 4503: @229585
     /*  229585 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229659), // Rule ID 9023 //
     /*  229590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  229604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229630 */     // MIs[1] Operand 1
     /*  229630 */     // No operand predicates
     /*  229630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229657 */     GIR_RootConstrainSelectedInstOperands,
     /*  229658 */     // GIR_Coverage, 9023,
     /*  229658 */     GIR_EraseRootFromParent_Done,
     /*  229659 */   // Label 4504: @229659
     /*  229659 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229733), // Rule ID 9024 //
     /*  229664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  229678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229704 */     // MIs[1] Operand 1
     /*  229704 */     // No operand predicates
     /*  229704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229731 */     GIR_RootConstrainSelectedInstOperands,
     /*  229732 */     // GIR_Coverage, 9024,
     /*  229732 */     GIR_EraseRootFromParent_Done,
     /*  229733 */   // Label 4505: @229733
     /*  229733 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229807), // Rule ID 9027 //
     /*  229738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  229752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229778 */     // MIs[1] Operand 1
     /*  229778 */     // No operand predicates
     /*  229778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229787 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229805 */     GIR_RootConstrainSelectedInstOperands,
     /*  229806 */     // GIR_Coverage, 9027,
     /*  229806 */     GIR_EraseRootFromParent_Done,
     /*  229807 */   // Label 4506: @229807
     /*  229807 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229881), // Rule ID 9028 //
     /*  229812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  229826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229852 */     // MIs[1] Operand 1
     /*  229852 */     // No operand predicates
     /*  229852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229879 */     GIR_RootConstrainSelectedInstOperands,
     /*  229880 */     // GIR_Coverage, 9028,
     /*  229880 */     GIR_EraseRootFromParent_Done,
     /*  229881 */   // Label 4507: @229881
     /*  229881 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(229955), // Rule ID 9031 //
     /*  229886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  229900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229926 */     // MIs[1] Operand 1
     /*  229926 */     // No operand predicates
     /*  229926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  229938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229953 */     GIR_RootConstrainSelectedInstOperands,
     /*  229954 */     // GIR_Coverage, 9031,
     /*  229954 */     GIR_EraseRootFromParent_Done,
     /*  229955 */   // Label 4508: @229955
     /*  229955 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(230029), // Rule ID 9032 //
     /*  229960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  229974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230000 */     // MIs[1] Operand 1
     /*  230000 */     // No operand predicates
     /*  230000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  230012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230027 */     GIR_RootConstrainSelectedInstOperands,
     /*  230028 */     // GIR_Coverage, 9032,
     /*  230028 */     GIR_EraseRootFromParent_Done,
     /*  230029 */   // Label 4509: @230029
     /*  230029 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230103), // Rule ID 9035 //
     /*  230034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230074 */     // MIs[1] Operand 1
     /*  230074 */     // No operand predicates
     /*  230074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230083 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230101 */     GIR_RootConstrainSelectedInstOperands,
     /*  230102 */     // GIR_Coverage, 9035,
     /*  230102 */     GIR_EraseRootFromParent_Done,
     /*  230103 */   // Label 4510: @230103
     /*  230103 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230177), // Rule ID 9036 //
     /*  230108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230148 */     // MIs[1] Operand 1
     /*  230148 */     // No operand predicates
     /*  230148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230175 */     GIR_RootConstrainSelectedInstOperands,
     /*  230176 */     // GIR_Coverage, 9036,
     /*  230176 */     GIR_EraseRootFromParent_Done,
     /*  230177 */   // Label 4511: @230177
     /*  230177 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230251), // Rule ID 9039 //
     /*  230182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230222 */     // MIs[1] Operand 1
     /*  230222 */     // No operand predicates
     /*  230222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230231 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230249 */     GIR_RootConstrainSelectedInstOperands,
     /*  230250 */     // GIR_Coverage, 9039,
     /*  230250 */     GIR_EraseRootFromParent_Done,
     /*  230251 */   // Label 4512: @230251
     /*  230251 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230325), // Rule ID 9040 //
     /*  230256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230296 */     // MIs[1] Operand 1
     /*  230296 */     // No operand predicates
     /*  230296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230323 */     GIR_RootConstrainSelectedInstOperands,
     /*  230324 */     // GIR_Coverage, 9040,
     /*  230324 */     GIR_EraseRootFromParent_Done,
     /*  230325 */   // Label 4513: @230325
     /*  230325 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230399), // Rule ID 9043 //
     /*  230330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230370 */     // MIs[1] Operand 1
     /*  230370 */     // No operand predicates
     /*  230370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230379 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230397 */     GIR_RootConstrainSelectedInstOperands,
     /*  230398 */     // GIR_Coverage, 9043,
     /*  230398 */     GIR_EraseRootFromParent_Done,
     /*  230399 */   // Label 4514: @230399
     /*  230399 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230473), // Rule ID 9044 //
     /*  230404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230444 */     // MIs[1] Operand 1
     /*  230444 */     // No operand predicates
     /*  230444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230453 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230471 */     GIR_RootConstrainSelectedInstOperands,
     /*  230472 */     // GIR_Coverage, 9044,
     /*  230472 */     GIR_EraseRootFromParent_Done,
     /*  230473 */   // Label 4515: @230473
     /*  230473 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230547), // Rule ID 9047 //
     /*  230478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230518 */     // MIs[1] Operand 1
     /*  230518 */     // No operand predicates
     /*  230518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230527 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230545 */     GIR_RootConstrainSelectedInstOperands,
     /*  230546 */     // GIR_Coverage, 9047,
     /*  230546 */     GIR_EraseRootFromParent_Done,
     /*  230547 */   // Label 4516: @230547
     /*  230547 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230621), // Rule ID 9048 //
     /*  230552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230592 */     // MIs[1] Operand 1
     /*  230592 */     // No operand predicates
     /*  230592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230619 */     GIR_RootConstrainSelectedInstOperands,
     /*  230620 */     // GIR_Coverage, 9048,
     /*  230620 */     GIR_EraseRootFromParent_Done,
     /*  230621 */   // Label 4517: @230621
     /*  230621 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230695), // Rule ID 9051 //
     /*  230626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  230640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230666 */     // MIs[1] Operand 1
     /*  230666 */     // No operand predicates
     /*  230666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230675 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230693 */     GIR_RootConstrainSelectedInstOperands,
     /*  230694 */     // GIR_Coverage, 9051,
     /*  230694 */     GIR_EraseRootFromParent_Done,
     /*  230695 */   // Label 4518: @230695
     /*  230695 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230769), // Rule ID 9052 //
     /*  230700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  230714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230740 */     // MIs[1] Operand 1
     /*  230740 */     // No operand predicates
     /*  230740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230767 */     GIR_RootConstrainSelectedInstOperands,
     /*  230768 */     // GIR_Coverage, 9052,
     /*  230768 */     GIR_EraseRootFromParent_Done,
     /*  230769 */   // Label 4519: @230769
     /*  230769 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230843), // Rule ID 9055 //
     /*  230774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  230788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230814 */     // MIs[1] Operand 1
     /*  230814 */     // No operand predicates
     /*  230814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230823 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230841 */     GIR_RootConstrainSelectedInstOperands,
     /*  230842 */     // GIR_Coverage, 9055,
     /*  230842 */     GIR_EraseRootFromParent_Done,
     /*  230843 */   // Label 4520: @230843
     /*  230843 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230917), // Rule ID 9056 //
     /*  230848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  230862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230888 */     // MIs[1] Operand 1
     /*  230888 */     // No operand predicates
     /*  230888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230915 */     GIR_RootConstrainSelectedInstOperands,
     /*  230916 */     // GIR_Coverage, 9056,
     /*  230916 */     GIR_EraseRootFromParent_Done,
     /*  230917 */   // Label 4521: @230917
     /*  230917 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(230991), // Rule ID 9059 //
     /*  230922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  230936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230962 */     // MIs[1] Operand 1
     /*  230962 */     // No operand predicates
     /*  230962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230989 */     GIR_RootConstrainSelectedInstOperands,
     /*  230990 */     // GIR_Coverage, 9059,
     /*  230990 */     GIR_EraseRootFromParent_Done,
     /*  230991 */   // Label 4522: @230991
     /*  230991 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(231065), // Rule ID 9060 //
     /*  230996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231036 */     // MIs[1] Operand 1
     /*  231036 */     // No operand predicates
     /*  231036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231063 */     GIR_RootConstrainSelectedInstOperands,
     /*  231064 */     // GIR_Coverage, 9060,
     /*  231064 */     GIR_EraseRootFromParent_Done,
     /*  231065 */   // Label 4523: @231065
     /*  231065 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231139), // Rule ID 9063 //
     /*  231070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231110 */     // MIs[1] Operand 1
     /*  231110 */     // No operand predicates
     /*  231110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231137 */     GIR_RootConstrainSelectedInstOperands,
     /*  231138 */     // GIR_Coverage, 9063,
     /*  231138 */     GIR_EraseRootFromParent_Done,
     /*  231139 */   // Label 4524: @231139
     /*  231139 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231213), // Rule ID 9064 //
     /*  231144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231184 */     // MIs[1] Operand 1
     /*  231184 */     // No operand predicates
     /*  231184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231211 */     GIR_RootConstrainSelectedInstOperands,
     /*  231212 */     // GIR_Coverage, 9064,
     /*  231212 */     GIR_EraseRootFromParent_Done,
     /*  231213 */   // Label 4525: @231213
     /*  231213 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231287), // Rule ID 9067 //
     /*  231218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231258 */     // MIs[1] Operand 1
     /*  231258 */     // No operand predicates
     /*  231258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231267 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231285 */     GIR_RootConstrainSelectedInstOperands,
     /*  231286 */     // GIR_Coverage, 9067,
     /*  231286 */     GIR_EraseRootFromParent_Done,
     /*  231287 */   // Label 4526: @231287
     /*  231287 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231361), // Rule ID 9068 //
     /*  231292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231332 */     // MIs[1] Operand 1
     /*  231332 */     // No operand predicates
     /*  231332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231359 */     GIR_RootConstrainSelectedInstOperands,
     /*  231360 */     // GIR_Coverage, 9068,
     /*  231360 */     GIR_EraseRootFromParent_Done,
     /*  231361 */   // Label 4527: @231361
     /*  231361 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231435), // Rule ID 9071 //
     /*  231366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231406 */     // MIs[1] Operand 1
     /*  231406 */     // No operand predicates
     /*  231406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231415 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231433 */     GIR_RootConstrainSelectedInstOperands,
     /*  231434 */     // GIR_Coverage, 9071,
     /*  231434 */     GIR_EraseRootFromParent_Done,
     /*  231435 */   // Label 4528: @231435
     /*  231435 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231509), // Rule ID 9072 //
     /*  231440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231480 */     // MIs[1] Operand 1
     /*  231480 */     // No operand predicates
     /*  231480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  231492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231507 */     GIR_RootConstrainSelectedInstOperands,
     /*  231508 */     // GIR_Coverage, 9072,
     /*  231508 */     GIR_EraseRootFromParent_Done,
     /*  231509 */   // Label 4529: @231509
     /*  231509 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231583), // Rule ID 9075 //
     /*  231514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231554 */     // MIs[1] Operand 1
     /*  231554 */     // No operand predicates
     /*  231554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231581 */     GIR_RootConstrainSelectedInstOperands,
     /*  231582 */     // GIR_Coverage, 9075,
     /*  231582 */     GIR_EraseRootFromParent_Done,
     /*  231583 */   // Label 4530: @231583
     /*  231583 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231657), // Rule ID 9076 //
     /*  231588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231628 */     // MIs[1] Operand 1
     /*  231628 */     // No operand predicates
     /*  231628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  231640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231655 */     GIR_RootConstrainSelectedInstOperands,
     /*  231656 */     // GIR_Coverage, 9076,
     /*  231656 */     GIR_EraseRootFromParent_Done,
     /*  231657 */   // Label 4531: @231657
     /*  231657 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231731), // Rule ID 9079 //
     /*  231662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231702 */     // MIs[1] Operand 1
     /*  231702 */     // No operand predicates
     /*  231702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231729 */     GIR_RootConstrainSelectedInstOperands,
     /*  231730 */     // GIR_Coverage, 9079,
     /*  231730 */     GIR_EraseRootFromParent_Done,
     /*  231731 */   // Label 4532: @231731
     /*  231731 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231805), // Rule ID 9080 //
     /*  231736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  231744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231776 */     // MIs[1] Operand 1
     /*  231776 */     // No operand predicates
     /*  231776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  231788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231803 */     GIR_RootConstrainSelectedInstOperands,
     /*  231804 */     // GIR_Coverage, 9080,
     /*  231804 */     GIR_EraseRootFromParent_Done,
     /*  231805 */   // Label 4533: @231805
     /*  231805 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231879), // Rule ID 9171 //
     /*  231810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  231824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231850 */     // MIs[1] Operand 1
     /*  231850 */     // No operand predicates
     /*  231850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  231862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231877 */     GIR_RootConstrainSelectedInstOperands,
     /*  231878 */     // GIR_Coverage, 9171,
     /*  231878 */     GIR_EraseRootFromParent_Done,
     /*  231879 */   // Label 4534: @231879
     /*  231879 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(231953), // Rule ID 9172 //
     /*  231884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  231898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231924 */     // MIs[1] Operand 1
     /*  231924 */     // No operand predicates
     /*  231924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231933 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  231936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231951 */     GIR_RootConstrainSelectedInstOperands,
     /*  231952 */     // GIR_Coverage, 9172,
     /*  231952 */     GIR_EraseRootFromParent_Done,
     /*  231953 */   // Label 4535: @231953
     /*  231953 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(232027), // Rule ID 9175 //
     /*  231958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  231972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231998 */     // MIs[1] Operand 1
     /*  231998 */     // No operand predicates
     /*  231998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232007 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232025 */     GIR_RootConstrainSelectedInstOperands,
     /*  232026 */     // GIR_Coverage, 9175,
     /*  232026 */     GIR_EraseRootFromParent_Done,
     /*  232027 */   // Label 4536: @232027
     /*  232027 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232101), // Rule ID 9176 //
     /*  232032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  232046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232072 */     // MIs[1] Operand 1
     /*  232072 */     // No operand predicates
     /*  232072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232099 */     GIR_RootConstrainSelectedInstOperands,
     /*  232100 */     // GIR_Coverage, 9176,
     /*  232100 */     GIR_EraseRootFromParent_Done,
     /*  232101 */   // Label 4537: @232101
     /*  232101 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232175), // Rule ID 9179 //
     /*  232106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232146 */     // MIs[1] Operand 1
     /*  232146 */     // No operand predicates
     /*  232146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232155 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232173 */     GIR_RootConstrainSelectedInstOperands,
     /*  232174 */     // GIR_Coverage, 9179,
     /*  232174 */     GIR_EraseRootFromParent_Done,
     /*  232175 */   // Label 4538: @232175
     /*  232175 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232249), // Rule ID 9180 //
     /*  232180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  232194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232220 */     // MIs[1] Operand 1
     /*  232220 */     // No operand predicates
     /*  232220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232247 */     GIR_RootConstrainSelectedInstOperands,
     /*  232248 */     // GIR_Coverage, 9180,
     /*  232248 */     GIR_EraseRootFromParent_Done,
     /*  232249 */   // Label 4539: @232249
     /*  232249 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232323), // Rule ID 9183 //
     /*  232254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232294 */     // MIs[1] Operand 1
     /*  232294 */     // No operand predicates
     /*  232294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232303 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232321 */     GIR_RootConstrainSelectedInstOperands,
     /*  232322 */     // GIR_Coverage, 9183,
     /*  232322 */     GIR_EraseRootFromParent_Done,
     /*  232323 */   // Label 4540: @232323
     /*  232323 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232397), // Rule ID 9184 //
     /*  232328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232368 */     // MIs[1] Operand 1
     /*  232368 */     // No operand predicates
     /*  232368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  232380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232395 */     GIR_RootConstrainSelectedInstOperands,
     /*  232396 */     // GIR_Coverage, 9184,
     /*  232396 */     GIR_EraseRootFromParent_Done,
     /*  232397 */   // Label 4541: @232397
     /*  232397 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232471), // Rule ID 9187 //
     /*  232402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232442 */     // MIs[1] Operand 1
     /*  232442 */     // No operand predicates
     /*  232442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232469 */     GIR_RootConstrainSelectedInstOperands,
     /*  232470 */     // GIR_Coverage, 9187,
     /*  232470 */     GIR_EraseRootFromParent_Done,
     /*  232471 */   // Label 4542: @232471
     /*  232471 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232545), // Rule ID 9188 //
     /*  232476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232516 */     // MIs[1] Operand 1
     /*  232516 */     // No operand predicates
     /*  232516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232525 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232543 */     GIR_RootConstrainSelectedInstOperands,
     /*  232544 */     // GIR_Coverage, 9188,
     /*  232544 */     GIR_EraseRootFromParent_Done,
     /*  232545 */   // Label 4543: @232545
     /*  232545 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232619), // Rule ID 9191 //
     /*  232550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232590 */     // MIs[1] Operand 1
     /*  232590 */     // No operand predicates
     /*  232590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232599 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232617 */     GIR_RootConstrainSelectedInstOperands,
     /*  232618 */     // GIR_Coverage, 9191,
     /*  232618 */     GIR_EraseRootFromParent_Done,
     /*  232619 */   // Label 4544: @232619
     /*  232619 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232693), // Rule ID 9192 //
     /*  232624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232664 */     // MIs[1] Operand 1
     /*  232664 */     // No operand predicates
     /*  232664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  232676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232691 */     GIR_RootConstrainSelectedInstOperands,
     /*  232692 */     // GIR_Coverage, 9192,
     /*  232692 */     GIR_EraseRootFromParent_Done,
     /*  232693 */   // Label 4545: @232693
     /*  232693 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232767), // Rule ID 9195 //
     /*  232698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  232712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232738 */     // MIs[1] Operand 1
     /*  232738 */     // No operand predicates
     /*  232738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232765 */     GIR_RootConstrainSelectedInstOperands,
     /*  232766 */     // GIR_Coverage, 9195,
     /*  232766 */     GIR_EraseRootFromParent_Done,
     /*  232767 */   // Label 4546: @232767
     /*  232767 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232841), // Rule ID 9196 //
     /*  232772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  232786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232812 */     // MIs[1] Operand 1
     /*  232812 */     // No operand predicates
     /*  232812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232839 */     GIR_RootConstrainSelectedInstOperands,
     /*  232840 */     // GIR_Coverage, 9196,
     /*  232840 */     GIR_EraseRootFromParent_Done,
     /*  232841 */   // Label 4547: @232841
     /*  232841 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232915), // Rule ID 9199 //
     /*  232846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232886 */     // MIs[1] Operand 1
     /*  232886 */     // No operand predicates
     /*  232886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232895 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232913 */     GIR_RootConstrainSelectedInstOperands,
     /*  232914 */     // GIR_Coverage, 9199,
     /*  232914 */     GIR_EraseRootFromParent_Done,
     /*  232915 */   // Label 4548: @232915
     /*  232915 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(232989), // Rule ID 9200 //
     /*  232920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232960 */     // MIs[1] Operand 1
     /*  232960 */     // No operand predicates
     /*  232960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232987 */     GIR_RootConstrainSelectedInstOperands,
     /*  232988 */     // GIR_Coverage, 9200,
     /*  232988 */     GIR_EraseRootFromParent_Done,
     /*  232989 */   // Label 4549: @232989
     /*  232989 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(233063), // Rule ID 9203 //
     /*  232994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233034 */     // MIs[1] Operand 1
     /*  233034 */     // No operand predicates
     /*  233034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233043 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233061 */     GIR_RootConstrainSelectedInstOperands,
     /*  233062 */     // GIR_Coverage, 9203,
     /*  233062 */     GIR_EraseRootFromParent_Done,
     /*  233063 */   // Label 4550: @233063
     /*  233063 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233137), // Rule ID 9204 //
     /*  233068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  233082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233108 */     // MIs[1] Operand 1
     /*  233108 */     // No operand predicates
     /*  233108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233135 */     GIR_RootConstrainSelectedInstOperands,
     /*  233136 */     // GIR_Coverage, 9204,
     /*  233136 */     GIR_EraseRootFromParent_Done,
     /*  233137 */   // Label 4551: @233137
     /*  233137 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233211), // Rule ID 9207 //
     /*  233142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233182 */     // MIs[1] Operand 1
     /*  233182 */     // No operand predicates
     /*  233182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233209 */     GIR_RootConstrainSelectedInstOperands,
     /*  233210 */     // GIR_Coverage, 9207,
     /*  233210 */     GIR_EraseRootFromParent_Done,
     /*  233211 */   // Label 4552: @233211
     /*  233211 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233285), // Rule ID 9208 //
     /*  233216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  233230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233256 */     // MIs[1] Operand 1
     /*  233256 */     // No operand predicates
     /*  233256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  233268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233283 */     GIR_RootConstrainSelectedInstOperands,
     /*  233284 */     // GIR_Coverage, 9208,
     /*  233284 */     GIR_EraseRootFromParent_Done,
     /*  233285 */   // Label 4553: @233285
     /*  233285 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233359), // Rule ID 9211 //
     /*  233290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233330 */     // MIs[1] Operand 1
     /*  233330 */     // No operand predicates
     /*  233330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233357 */     GIR_RootConstrainSelectedInstOperands,
     /*  233358 */     // GIR_Coverage, 9211,
     /*  233358 */     GIR_EraseRootFromParent_Done,
     /*  233359 */   // Label 4554: @233359
     /*  233359 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233433), // Rule ID 9212 //
     /*  233364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  233378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233404 */     // MIs[1] Operand 1
     /*  233404 */     // No operand predicates
     /*  233404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233431 */     GIR_RootConstrainSelectedInstOperands,
     /*  233432 */     // GIR_Coverage, 9212,
     /*  233432 */     GIR_EraseRootFromParent_Done,
     /*  233433 */   // Label 4555: @233433
     /*  233433 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233507), // Rule ID 9215 //
     /*  233438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233478 */     // MIs[1] Operand 1
     /*  233478 */     // No operand predicates
     /*  233478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233487 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233505 */     GIR_RootConstrainSelectedInstOperands,
     /*  233506 */     // GIR_Coverage, 9215,
     /*  233506 */     GIR_EraseRootFromParent_Done,
     /*  233507 */   // Label 4556: @233507
     /*  233507 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233581), // Rule ID 9216 //
     /*  233512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  233526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233552 */     // MIs[1] Operand 1
     /*  233552 */     // No operand predicates
     /*  233552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233561 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233579 */     GIR_RootConstrainSelectedInstOperands,
     /*  233580 */     // GIR_Coverage, 9216,
     /*  233580 */     GIR_EraseRootFromParent_Done,
     /*  233581 */   // Label 4557: @233581
     /*  233581 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233655), // Rule ID 9219 //
     /*  233586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  233597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  233600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233626 */     // MIs[1] Operand 1
     /*  233626 */     // No operand predicates
     /*  233626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233635 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233653 */     GIR_RootConstrainSelectedInstOperands,
     /*  233654 */     // GIR_Coverage, 9219,
     /*  233654 */     GIR_EraseRootFromParent_Done,
     /*  233655 */   // Label 4558: @233655
     /*  233655 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233729), // Rule ID 9220 //
     /*  233660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  233671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  233674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233700 */     // MIs[1] Operand 1
     /*  233700 */     // No operand predicates
     /*  233700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233709 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233727 */     GIR_RootConstrainSelectedInstOperands,
     /*  233728 */     // GIR_Coverage, 9220,
     /*  233728 */     GIR_EraseRootFromParent_Done,
     /*  233729 */   // Label 4559: @233729
     /*  233729 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233803), // Rule ID 9223 //
     /*  233734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233774 */     // MIs[1] Operand 1
     /*  233774 */     // No operand predicates
     /*  233774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233783 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233801 */     GIR_RootConstrainSelectedInstOperands,
     /*  233802 */     // GIR_Coverage, 9223,
     /*  233802 */     GIR_EraseRootFromParent_Done,
     /*  233803 */   // Label 4560: @233803
     /*  233803 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233877), // Rule ID 9224 //
     /*  233808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233848 */     // MIs[1] Operand 1
     /*  233848 */     // No operand predicates
     /*  233848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233875 */     GIR_RootConstrainSelectedInstOperands,
     /*  233876 */     // GIR_Coverage, 9224,
     /*  233876 */     GIR_EraseRootFromParent_Done,
     /*  233877 */   // Label 4561: @233877
     /*  233877 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(233951), // Rule ID 9227 //
     /*  233882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  233896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233922 */     // MIs[1] Operand 1
     /*  233922 */     // No operand predicates
     /*  233922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233949 */     GIR_RootConstrainSelectedInstOperands,
     /*  233950 */     // GIR_Coverage, 9227,
     /*  233950 */     GIR_EraseRootFromParent_Done,
     /*  233951 */   // Label 4562: @233951
     /*  233951 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(234025), // Rule ID 9228 //
     /*  233956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  233970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233996 */     // MIs[1] Operand 1
     /*  233996 */     // No operand predicates
     /*  233996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234005 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234023 */     GIR_RootConstrainSelectedInstOperands,
     /*  234024 */     // GIR_Coverage, 9228,
     /*  234024 */     GIR_EraseRootFromParent_Done,
     /*  234025 */   // Label 4563: @234025
     /*  234025 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234099), // Rule ID 9231 //
     /*  234030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234070 */     // MIs[1] Operand 1
     /*  234070 */     // No operand predicates
     /*  234070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234079 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234097 */     GIR_RootConstrainSelectedInstOperands,
     /*  234098 */     // GIR_Coverage, 9231,
     /*  234098 */     GIR_EraseRootFromParent_Done,
     /*  234099 */   // Label 4564: @234099
     /*  234099 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234173), // Rule ID 9232 //
     /*  234104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234144 */     // MIs[1] Operand 1
     /*  234144 */     // No operand predicates
     /*  234144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234153 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234171 */     GIR_RootConstrainSelectedInstOperands,
     /*  234172 */     // GIR_Coverage, 9232,
     /*  234172 */     GIR_EraseRootFromParent_Done,
     /*  234173 */   // Label 4565: @234173
     /*  234173 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234247), // Rule ID 9235 //
     /*  234178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234218 */     // MIs[1] Operand 1
     /*  234218 */     // No operand predicates
     /*  234218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234245 */     GIR_RootConstrainSelectedInstOperands,
     /*  234246 */     // GIR_Coverage, 9235,
     /*  234246 */     GIR_EraseRootFromParent_Done,
     /*  234247 */   // Label 4566: @234247
     /*  234247 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234321), // Rule ID 9236 //
     /*  234252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234292 */     // MIs[1] Operand 1
     /*  234292 */     // No operand predicates
     /*  234292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234319 */     GIR_RootConstrainSelectedInstOperands,
     /*  234320 */     // GIR_Coverage, 9236,
     /*  234320 */     GIR_EraseRootFromParent_Done,
     /*  234321 */   // Label 4567: @234321
     /*  234321 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234395), // Rule ID 9239 //
     /*  234326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234366 */     // MIs[1] Operand 1
     /*  234366 */     // No operand predicates
     /*  234366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234393 */     GIR_RootConstrainSelectedInstOperands,
     /*  234394 */     // GIR_Coverage, 9239,
     /*  234394 */     GIR_EraseRootFromParent_Done,
     /*  234395 */   // Label 4568: @234395
     /*  234395 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234469), // Rule ID 9240 //
     /*  234400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234440 */     // MIs[1] Operand 1
     /*  234440 */     // No operand predicates
     /*  234440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234467 */     GIR_RootConstrainSelectedInstOperands,
     /*  234468 */     // GIR_Coverage, 9240,
     /*  234468 */     GIR_EraseRootFromParent_Done,
     /*  234469 */   // Label 4569: @234469
     /*  234469 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234543), // Rule ID 9243 //
     /*  234474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234514 */     // MIs[1] Operand 1
     /*  234514 */     // No operand predicates
     /*  234514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234523 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234541 */     GIR_RootConstrainSelectedInstOperands,
     /*  234542 */     // GIR_Coverage, 9243,
     /*  234542 */     GIR_EraseRootFromParent_Done,
     /*  234543 */   // Label 4570: @234543
     /*  234543 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234617), // Rule ID 9244 //
     /*  234548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234588 */     // MIs[1] Operand 1
     /*  234588 */     // No operand predicates
     /*  234588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234615 */     GIR_RootConstrainSelectedInstOperands,
     /*  234616 */     // GIR_Coverage, 9244,
     /*  234616 */     GIR_EraseRootFromParent_Done,
     /*  234617 */   // Label 4571: @234617
     /*  234617 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234691), // Rule ID 9247 //
     /*  234622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  234636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234662 */     // MIs[1] Operand 1
     /*  234662 */     // No operand predicates
     /*  234662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234689 */     GIR_RootConstrainSelectedInstOperands,
     /*  234690 */     // GIR_Coverage, 9247,
     /*  234690 */     GIR_EraseRootFromParent_Done,
     /*  234691 */   // Label 4572: @234691
     /*  234691 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234765), // Rule ID 9248 //
     /*  234696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  234710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234736 */     // MIs[1] Operand 1
     /*  234736 */     // No operand predicates
     /*  234736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  234748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234763 */     GIR_RootConstrainSelectedInstOperands,
     /*  234764 */     // GIR_Coverage, 9248,
     /*  234764 */     GIR_EraseRootFromParent_Done,
     /*  234765 */   // Label 4573: @234765
     /*  234765 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234839), // Rule ID 9251 //
     /*  234770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  234784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234810 */     // MIs[1] Operand 1
     /*  234810 */     // No operand predicates
     /*  234810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234837 */     GIR_RootConstrainSelectedInstOperands,
     /*  234838 */     // GIR_Coverage, 9251,
     /*  234838 */     GIR_EraseRootFromParent_Done,
     /*  234839 */   // Label 4574: @234839
     /*  234839 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234913), // Rule ID 9252 //
     /*  234844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  234858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234884 */     // MIs[1] Operand 1
     /*  234884 */     // No operand predicates
     /*  234884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  234896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234911 */     GIR_RootConstrainSelectedInstOperands,
     /*  234912 */     // GIR_Coverage, 9252,
     /*  234912 */     GIR_EraseRootFromParent_Done,
     /*  234913 */   // Label 4575: @234913
     /*  234913 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(234987), // Rule ID 9255 //
     /*  234918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  234926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  234932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234958 */     // MIs[1] Operand 1
     /*  234958 */     // No operand predicates
     /*  234958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234967 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  234970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234985 */     GIR_RootConstrainSelectedInstOperands,
     /*  234986 */     // GIR_Coverage, 9255,
     /*  234986 */     GIR_EraseRootFromParent_Done,
     /*  234987 */   // Label 4576: @234987
     /*  234987 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(235061), // Rule ID 9256 //
     /*  234992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  235000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235032 */     // MIs[1] Operand 1
     /*  235032 */     // No operand predicates
     /*  235032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  235044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235059 */     GIR_RootConstrainSelectedInstOperands,
     /*  235060 */     // GIR_Coverage, 9256,
     /*  235060 */     GIR_EraseRootFromParent_Done,
     /*  235061 */   // Label 4577: @235061
     /*  235061 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235135), // Rule ID 9347 //
     /*  235066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235106 */     // MIs[1] Operand 1
     /*  235106 */     // No operand predicates
     /*  235106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235133 */     GIR_RootConstrainSelectedInstOperands,
     /*  235134 */     // GIR_Coverage, 9347,
     /*  235134 */     GIR_EraseRootFromParent_Done,
     /*  235135 */   // Label 4578: @235135
     /*  235135 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235209), // Rule ID 9348 //
     /*  235140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  235154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235180 */     // MIs[1] Operand 1
     /*  235180 */     // No operand predicates
     /*  235180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  235192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235207 */     GIR_RootConstrainSelectedInstOperands,
     /*  235208 */     // GIR_Coverage, 9348,
     /*  235208 */     GIR_EraseRootFromParent_Done,
     /*  235209 */   // Label 4579: @235209
     /*  235209 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235283), // Rule ID 9351 //
     /*  235214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235254 */     // MIs[1] Operand 1
     /*  235254 */     // No operand predicates
     /*  235254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235281 */     GIR_RootConstrainSelectedInstOperands,
     /*  235282 */     // GIR_Coverage, 9351,
     /*  235282 */     GIR_EraseRootFromParent_Done,
     /*  235283 */   // Label 4580: @235283
     /*  235283 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235357), // Rule ID 9352 //
     /*  235288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  235302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235328 */     // MIs[1] Operand 1
     /*  235328 */     // No operand predicates
     /*  235328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235355 */     GIR_RootConstrainSelectedInstOperands,
     /*  235356 */     // GIR_Coverage, 9352,
     /*  235356 */     GIR_EraseRootFromParent_Done,
     /*  235357 */   // Label 4581: @235357
     /*  235357 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235431), // Rule ID 9355 //
     /*  235362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235402 */     // MIs[1] Operand 1
     /*  235402 */     // No operand predicates
     /*  235402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235411 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235429 */     GIR_RootConstrainSelectedInstOperands,
     /*  235430 */     // GIR_Coverage, 9355,
     /*  235430 */     GIR_EraseRootFromParent_Done,
     /*  235431 */   // Label 4582: @235431
     /*  235431 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235505), // Rule ID 9356 //
     /*  235436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  235450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235476 */     // MIs[1] Operand 1
     /*  235476 */     // No operand predicates
     /*  235476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235503 */     GIR_RootConstrainSelectedInstOperands,
     /*  235504 */     // GIR_Coverage, 9356,
     /*  235504 */     GIR_EraseRootFromParent_Done,
     /*  235505 */   // Label 4583: @235505
     /*  235505 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235579), // Rule ID 9359 //
     /*  235510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235550 */     // MIs[1] Operand 1
     /*  235550 */     // No operand predicates
     /*  235550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235577 */     GIR_RootConstrainSelectedInstOperands,
     /*  235578 */     // GIR_Coverage, 9359,
     /*  235578 */     GIR_EraseRootFromParent_Done,
     /*  235579 */   // Label 4584: @235579
     /*  235579 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235653), // Rule ID 9360 //
     /*  235584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235624 */     // MIs[1] Operand 1
     /*  235624 */     // No operand predicates
     /*  235624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  235636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235651 */     GIR_RootConstrainSelectedInstOperands,
     /*  235652 */     // GIR_Coverage, 9360,
     /*  235652 */     GIR_EraseRootFromParent_Done,
     /*  235653 */   // Label 4585: @235653
     /*  235653 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235727), // Rule ID 9363 //
     /*  235658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235698 */     // MIs[1] Operand 1
     /*  235698 */     // No operand predicates
     /*  235698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235725 */     GIR_RootConstrainSelectedInstOperands,
     /*  235726 */     // GIR_Coverage, 9363,
     /*  235726 */     GIR_EraseRootFromParent_Done,
     /*  235727 */   // Label 4586: @235727
     /*  235727 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235801), // Rule ID 9364 //
     /*  235732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235772 */     // MIs[1] Operand 1
     /*  235772 */     // No operand predicates
     /*  235772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235781 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235799 */     GIR_RootConstrainSelectedInstOperands,
     /*  235800 */     // GIR_Coverage, 9364,
     /*  235800 */     GIR_EraseRootFromParent_Done,
     /*  235801 */   // Label 4587: @235801
     /*  235801 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(235875), // Rule ID 9367 //
     /*  235806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235846 */     // MIs[1] Operand 1
     /*  235846 */     // No operand predicates
     /*  235846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235873 */     GIR_RootConstrainSelectedInstOperands,
     /*  235874 */     // GIR_Coverage, 9367,
     /*  235874 */     GIR_EraseRootFromParent_Done,
     /*  235875 */   // Label 4588: @235875
     /*  235875 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(235949), // Rule ID 9368 //
     /*  235880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235920 */     // MIs[1] Operand 1
     /*  235920 */     // No operand predicates
     /*  235920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  235932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235947 */     GIR_RootConstrainSelectedInstOperands,
     /*  235948 */     // GIR_Coverage, 9368,
     /*  235948 */     GIR_EraseRootFromParent_Done,
     /*  235949 */   // Label 4589: @235949
     /*  235949 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(236023), // Rule ID 9371 //
     /*  235954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  235968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235994 */     // MIs[1] Operand 1
     /*  235994 */     // No operand predicates
     /*  235994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236003 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236021 */     GIR_RootConstrainSelectedInstOperands,
     /*  236022 */     // GIR_Coverage, 9371,
     /*  236022 */     GIR_EraseRootFromParent_Done,
     /*  236023 */   // Label 4590: @236023
     /*  236023 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236097), // Rule ID 9372 //
     /*  236028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  236042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236068 */     // MIs[1] Operand 1
     /*  236068 */     // No operand predicates
     /*  236068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236095 */     GIR_RootConstrainSelectedInstOperands,
     /*  236096 */     // GIR_Coverage, 9372,
     /*  236096 */     GIR_EraseRootFromParent_Done,
     /*  236097 */   // Label 4591: @236097
     /*  236097 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236171), // Rule ID 9375 //
     /*  236102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236142 */     // MIs[1] Operand 1
     /*  236142 */     // No operand predicates
     /*  236142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236169 */     GIR_RootConstrainSelectedInstOperands,
     /*  236170 */     // GIR_Coverage, 9375,
     /*  236170 */     GIR_EraseRootFromParent_Done,
     /*  236171 */   // Label 4592: @236171
     /*  236171 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236245), // Rule ID 9376 //
     /*  236176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236216 */     // MIs[1] Operand 1
     /*  236216 */     // No operand predicates
     /*  236216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236225 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236243 */     GIR_RootConstrainSelectedInstOperands,
     /*  236244 */     // GIR_Coverage, 9376,
     /*  236244 */     GIR_EraseRootFromParent_Done,
     /*  236245 */   // Label 4593: @236245
     /*  236245 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236319), // Rule ID 9379 //
     /*  236250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236290 */     // MIs[1] Operand 1
     /*  236290 */     // No operand predicates
     /*  236290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236317 */     GIR_RootConstrainSelectedInstOperands,
     /*  236318 */     // GIR_Coverage, 9379,
     /*  236318 */     GIR_EraseRootFromParent_Done,
     /*  236319 */   // Label 4594: @236319
     /*  236319 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236393), // Rule ID 9380 //
     /*  236324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236364 */     // MIs[1] Operand 1
     /*  236364 */     // No operand predicates
     /*  236364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236391 */     GIR_RootConstrainSelectedInstOperands,
     /*  236392 */     // GIR_Coverage, 9380,
     /*  236392 */     GIR_EraseRootFromParent_Done,
     /*  236393 */   // Label 4595: @236393
     /*  236393 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236467), // Rule ID 9383 //
     /*  236398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236438 */     // MIs[1] Operand 1
     /*  236438 */     // No operand predicates
     /*  236438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236447 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236465 */     GIR_RootConstrainSelectedInstOperands,
     /*  236466 */     // GIR_Coverage, 9383,
     /*  236466 */     GIR_EraseRootFromParent_Done,
     /*  236467 */   // Label 4596: @236467
     /*  236467 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236541), // Rule ID 9384 //
     /*  236472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236512 */     // MIs[1] Operand 1
     /*  236512 */     // No operand predicates
     /*  236512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  236524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236539 */     GIR_RootConstrainSelectedInstOperands,
     /*  236540 */     // GIR_Coverage, 9384,
     /*  236540 */     GIR_EraseRootFromParent_Done,
     /*  236541 */   // Label 4597: @236541
     /*  236541 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236615), // Rule ID 9387 //
     /*  236546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236586 */     // MIs[1] Operand 1
     /*  236586 */     // No operand predicates
     /*  236586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236595 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236613 */     GIR_RootConstrainSelectedInstOperands,
     /*  236614 */     // GIR_Coverage, 9387,
     /*  236614 */     GIR_EraseRootFromParent_Done,
     /*  236615 */   // Label 4598: @236615
     /*  236615 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236689), // Rule ID 9388 //
     /*  236620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  236634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236660 */     // MIs[1] Operand 1
     /*  236660 */     // No operand predicates
     /*  236660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236687 */     GIR_RootConstrainSelectedInstOperands,
     /*  236688 */     // GIR_Coverage, 9388,
     /*  236688 */     GIR_EraseRootFromParent_Done,
     /*  236689 */   // Label 4599: @236689
     /*  236689 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236763), // Rule ID 9391 //
     /*  236694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  236708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236734 */     // MIs[1] Operand 1
     /*  236734 */     // No operand predicates
     /*  236734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236743 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236761 */     GIR_RootConstrainSelectedInstOperands,
     /*  236762 */     // GIR_Coverage, 9391,
     /*  236762 */     GIR_EraseRootFromParent_Done,
     /*  236763 */   // Label 4600: @236763
     /*  236763 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236837), // Rule ID 9392 //
     /*  236768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  236782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236808 */     // MIs[1] Operand 1
     /*  236808 */     // No operand predicates
     /*  236808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236817 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236835 */     GIR_RootConstrainSelectedInstOperands,
     /*  236836 */     // GIR_Coverage, 9392,
     /*  236836 */     GIR_EraseRootFromParent_Done,
     /*  236837 */   // Label 4601: @236837
     /*  236837 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(236911), // Rule ID 9395 //
     /*  236842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  236853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  236856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236882 */     // MIs[1] Operand 1
     /*  236882 */     // No operand predicates
     /*  236882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236891 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236909 */     GIR_RootConstrainSelectedInstOperands,
     /*  236910 */     // GIR_Coverage, 9395,
     /*  236910 */     GIR_EraseRootFromParent_Done,
     /*  236911 */   // Label 4602: @236911
     /*  236911 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(236985), // Rule ID 9396 //
     /*  236916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  236927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  236930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236956 */     // MIs[1] Operand 1
     /*  236956 */     // No operand predicates
     /*  236956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236965 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236983 */     GIR_RootConstrainSelectedInstOperands,
     /*  236984 */     // GIR_Coverage, 9396,
     /*  236984 */     GIR_EraseRootFromParent_Done,
     /*  236985 */   // Label 4603: @236985
     /*  236985 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(237059), // Rule ID 9399 //
     /*  236990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237030 */     // MIs[1] Operand 1
     /*  237030 */     // No operand predicates
     /*  237030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237057 */     GIR_RootConstrainSelectedInstOperands,
     /*  237058 */     // GIR_Coverage, 9399,
     /*  237058 */     GIR_EraseRootFromParent_Done,
     /*  237059 */   // Label 4604: @237059
     /*  237059 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237133), // Rule ID 9400 //
     /*  237064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237104 */     // MIs[1] Operand 1
     /*  237104 */     // No operand predicates
     /*  237104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237131 */     GIR_RootConstrainSelectedInstOperands,
     /*  237132 */     // GIR_Coverage, 9400,
     /*  237132 */     GIR_EraseRootFromParent_Done,
     /*  237133 */   // Label 4605: @237133
     /*  237133 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237207), // Rule ID 9403 //
     /*  237138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237178 */     // MIs[1] Operand 1
     /*  237178 */     // No operand predicates
     /*  237178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237205 */     GIR_RootConstrainSelectedInstOperands,
     /*  237206 */     // GIR_Coverage, 9403,
     /*  237206 */     GIR_EraseRootFromParent_Done,
     /*  237207 */   // Label 4606: @237207
     /*  237207 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237281), // Rule ID 9404 //
     /*  237212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237252 */     // MIs[1] Operand 1
     /*  237252 */     // No operand predicates
     /*  237252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237261 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237279 */     GIR_RootConstrainSelectedInstOperands,
     /*  237280 */     // GIR_Coverage, 9404,
     /*  237280 */     GIR_EraseRootFromParent_Done,
     /*  237281 */   // Label 4607: @237281
     /*  237281 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237355), // Rule ID 9407 //
     /*  237286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237326 */     // MIs[1] Operand 1
     /*  237326 */     // No operand predicates
     /*  237326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237335 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237353 */     GIR_RootConstrainSelectedInstOperands,
     /*  237354 */     // GIR_Coverage, 9407,
     /*  237354 */     GIR_EraseRootFromParent_Done,
     /*  237355 */   // Label 4608: @237355
     /*  237355 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237429), // Rule ID 9408 //
     /*  237360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  237371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237400 */     // MIs[1] Operand 1
     /*  237400 */     // No operand predicates
     /*  237400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237427 */     GIR_RootConstrainSelectedInstOperands,
     /*  237428 */     // GIR_Coverage, 9408,
     /*  237428 */     GIR_EraseRootFromParent_Done,
     /*  237429 */   // Label 4609: @237429
     /*  237429 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237503), // Rule ID 9411 //
     /*  237434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237474 */     // MIs[1] Operand 1
     /*  237474 */     // No operand predicates
     /*  237474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237483 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237501 */     GIR_RootConstrainSelectedInstOperands,
     /*  237502 */     // GIR_Coverage, 9411,
     /*  237502 */     GIR_EraseRootFromParent_Done,
     /*  237503 */   // Label 4610: @237503
     /*  237503 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237577), // Rule ID 9412 //
     /*  237508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237548 */     // MIs[1] Operand 1
     /*  237548 */     // No operand predicates
     /*  237548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237575 */     GIR_RootConstrainSelectedInstOperands,
     /*  237576 */     // GIR_Coverage, 9412,
     /*  237576 */     GIR_EraseRootFromParent_Done,
     /*  237577 */   // Label 4611: @237577
     /*  237577 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237651), // Rule ID 9415 //
     /*  237582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237622 */     // MIs[1] Operand 1
     /*  237622 */     // No operand predicates
     /*  237622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237631 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237649 */     GIR_RootConstrainSelectedInstOperands,
     /*  237650 */     // GIR_Coverage, 9415,
     /*  237650 */     GIR_EraseRootFromParent_Done,
     /*  237651 */   // Label 4612: @237651
     /*  237651 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237725), // Rule ID 9416 //
     /*  237656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237696 */     // MIs[1] Operand 1
     /*  237696 */     // No operand predicates
     /*  237696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  237708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237723 */     GIR_RootConstrainSelectedInstOperands,
     /*  237724 */     // GIR_Coverage, 9416,
     /*  237724 */     GIR_EraseRootFromParent_Done,
     /*  237725 */   // Label 4613: @237725
     /*  237725 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237799), // Rule ID 9419 //
     /*  237730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237770 */     // MIs[1] Operand 1
     /*  237770 */     // No operand predicates
     /*  237770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237797 */     GIR_RootConstrainSelectedInstOperands,
     /*  237798 */     // GIR_Coverage, 9419,
     /*  237798 */     GIR_EraseRootFromParent_Done,
     /*  237799 */   // Label 4614: @237799
     /*  237799 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(237873), // Rule ID 9420 //
     /*  237804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237844 */     // MIs[1] Operand 1
     /*  237844 */     // No operand predicates
     /*  237844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237871 */     GIR_RootConstrainSelectedInstOperands,
     /*  237872 */     // GIR_Coverage, 9420,
     /*  237872 */     GIR_EraseRootFromParent_Done,
     /*  237873 */   // Label 4615: @237873
     /*  237873 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(237947), // Rule ID 9423 //
     /*  237878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  237881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237918 */     // MIs[1] Operand 1
     /*  237918 */     // No operand predicates
     /*  237918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  237930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237945 */     GIR_RootConstrainSelectedInstOperands,
     /*  237946 */     // GIR_Coverage, 9423,
     /*  237946 */     GIR_EraseRootFromParent_Done,
     /*  237947 */   // Label 4616: @237947
     /*  237947 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(238021), // Rule ID 9424 //
     /*  237952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  237955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237992 */     // MIs[1] Operand 1
     /*  237992 */     // No operand predicates
     /*  237992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  238004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238019 */     GIR_RootConstrainSelectedInstOperands,
     /*  238020 */     // GIR_Coverage, 9424,
     /*  238020 */     GIR_EraseRootFromParent_Done,
     /*  238021 */   // Label 4617: @238021
     /*  238021 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238095), // Rule ID 9427 //
     /*  238026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238066 */     // MIs[1] Operand 1
     /*  238066 */     // No operand predicates
     /*  238066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238093 */     GIR_RootConstrainSelectedInstOperands,
     /*  238094 */     // GIR_Coverage, 9427,
     /*  238094 */     GIR_EraseRootFromParent_Done,
     /*  238095 */   // Label 4618: @238095
     /*  238095 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238169), // Rule ID 9428 //
     /*  238100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238140 */     // MIs[1] Operand 1
     /*  238140 */     // No operand predicates
     /*  238140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  238152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238167 */     GIR_RootConstrainSelectedInstOperands,
     /*  238168 */     // GIR_Coverage, 9428,
     /*  238168 */     GIR_EraseRootFromParent_Done,
     /*  238169 */   // Label 4619: @238169
     /*  238169 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238243), // Rule ID 9431 //
     /*  238174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238214 */     // MIs[1] Operand 1
     /*  238214 */     // No operand predicates
     /*  238214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238241 */     GIR_RootConstrainSelectedInstOperands,
     /*  238242 */     // GIR_Coverage, 9431,
     /*  238242 */     GIR_EraseRootFromParent_Done,
     /*  238243 */   // Label 4620: @238243
     /*  238243 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238317), // Rule ID 9432 //
     /*  238248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  238256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  238262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238288 */     // MIs[1] Operand 1
     /*  238288 */     // No operand predicates
     /*  238288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238297 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  238300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238315 */     GIR_RootConstrainSelectedInstOperands,
     /*  238316 */     // GIR_Coverage, 9432,
     /*  238316 */     GIR_EraseRootFromParent_Done,
     /*  238317 */   // Label 4621: @238317
     /*  238317 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238373), // Rule ID 64173 //
     /*  238322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  238325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  238330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  238336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238344 */     // MIs[0] pts
     /*  238344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  238347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  238352 */     // MIs[0] radix
     /*  238352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  238355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  238360 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  238360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  238363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238367 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  238369 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  238371 */     GIR_RootConstrainSelectedInstOperands,
     /*  238372 */     // GIR_Coverage, 64173,
     /*  238372 */     GIR_EraseRootFromParent_Done,
     /*  238373 */   // Label 4622: @238373
     /*  238373 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238436), // Rule ID 2569 //
     /*  238378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  238381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  238389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238417 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  238417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238424 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238434 */     GIR_RootConstrainSelectedInstOperands,
     /*  238435 */     // GIR_Coverage, 2569,
     /*  238435 */     GIR_EraseRootFromParent_Done,
     /*  238436 */   // Label 4623: @238436
     /*  238436 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238499), // Rule ID 2570 //
     /*  238441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  238444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  238449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  238452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  238465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  238473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238480 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  238480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  238483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238487 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  238489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238497 */     GIR_RootConstrainSelectedInstOperands,
     /*  238498 */     // GIR_Coverage, 2570,
     /*  238498 */     GIR_EraseRootFromParent_Done,
     /*  238499 */   // Label 4624: @238499
     /*  238499 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238565), // Rule ID 2577 //
     /*  238504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  238543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238563 */     GIR_RootConstrainSelectedInstOperands,
     /*  238564 */     // GIR_Coverage, 2577,
     /*  238564 */     GIR_EraseRootFromParent_Done,
     /*  238565 */   // Label 4625: @238565
     /*  238565 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238631), // Rule ID 2578 //
     /*  238570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  238578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  238581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238609 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  238609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  238612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238629 */     GIR_RootConstrainSelectedInstOperands,
     /*  238630 */     // GIR_Coverage, 2578,
     /*  238630 */     GIR_EraseRootFromParent_Done,
     /*  238631 */   // Label 4626: @238631
     /*  238631 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238697), // Rule ID 2581 //
     /*  238636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  238678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238695 */     GIR_RootConstrainSelectedInstOperands,
     /*  238696 */     // GIR_Coverage, 2581,
     /*  238696 */     GIR_EraseRootFromParent_Done,
     /*  238697 */   // Label 4627: @238697
     /*  238697 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238763), // Rule ID 2582 //
     /*  238702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238741 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  238744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238761 */     GIR_RootConstrainSelectedInstOperands,
     /*  238762 */     // GIR_Coverage, 2582,
     /*  238762 */     GIR_EraseRootFromParent_Done,
     /*  238763 */   // Label 4628: @238763
     /*  238763 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238829), // Rule ID 2585 //
     /*  238768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  238776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238807 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  238810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238827 */     GIR_RootConstrainSelectedInstOperands,
     /*  238828 */     // GIR_Coverage, 2585,
     /*  238828 */     GIR_EraseRootFromParent_Done,
     /*  238829 */   // Label 4629: @238829
     /*  238829 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(238895), // Rule ID 2586 //
     /*  238834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  238842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238873 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  238876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238893 */     GIR_RootConstrainSelectedInstOperands,
     /*  238894 */     // GIR_Coverage, 2586,
     /*  238894 */     GIR_EraseRootFromParent_Done,
     /*  238895 */   // Label 4630: @238895
     /*  238895 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(238958), // Rule ID 2599 //
     /*  238900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  238908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  238942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238956 */     GIR_RootConstrainSelectedInstOperands,
     /*  238957 */     // GIR_Coverage, 2599,
     /*  238957 */     GIR_EraseRootFromParent_Done,
     /*  238958 */   // Label 4631: @238958
     /*  238958 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239021), // Rule ID 2600 //
     /*  238963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  238971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  239005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239019 */     GIR_RootConstrainSelectedInstOperands,
     /*  239020 */     // GIR_Coverage, 2600,
     /*  239020 */     GIR_EraseRootFromParent_Done,
     /*  239021 */   // Label 4632: @239021
     /*  239021 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239084), // Rule ID 2611 //
     /*  239026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239082 */     GIR_RootConstrainSelectedInstOperands,
     /*  239083 */     // GIR_Coverage, 2611,
     /*  239083 */     GIR_EraseRootFromParent_Done,
     /*  239084 */   // Label 4633: @239084
     /*  239084 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239147), // Rule ID 2612 //
     /*  239089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  239131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239145 */     GIR_RootConstrainSelectedInstOperands,
     /*  239146 */     // GIR_Coverage, 2612,
     /*  239146 */     GIR_EraseRootFromParent_Done,
     /*  239147 */   // Label 4634: @239147
     /*  239147 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239210), // Rule ID 2619 //
     /*  239152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239208 */     GIR_RootConstrainSelectedInstOperands,
     /*  239209 */     // GIR_Coverage, 2619,
     /*  239209 */     GIR_EraseRootFromParent_Done,
     /*  239210 */   // Label 4635: @239210
     /*  239210 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239273), // Rule ID 2620 //
     /*  239215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  239223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239254 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  239257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239271 */     GIR_RootConstrainSelectedInstOperands,
     /*  239272 */     // GIR_Coverage, 2620,
     /*  239272 */     GIR_EraseRootFromParent_Done,
     /*  239273 */   // Label 4636: @239273
     /*  239273 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239339), // Rule ID 2621 //
     /*  239278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  239281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239337 */     GIR_RootConstrainSelectedInstOperands,
     /*  239338 */     // GIR_Coverage, 2621,
     /*  239338 */     GIR_EraseRootFromParent_Done,
     /*  239339 */   // Label 4637: @239339
     /*  239339 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239405), // Rule ID 2622 //
     /*  239344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  239347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  239352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  239355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239383 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  239386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239403 */     GIR_RootConstrainSelectedInstOperands,
     /*  239404 */     // GIR_Coverage, 2622,
     /*  239404 */     GIR_EraseRootFromParent_Done,
     /*  239405 */   // Label 4638: @239405
     /*  239405 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239468), // Rule ID 2633 //
     /*  239410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  239449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239466 */     GIR_RootConstrainSelectedInstOperands,
     /*  239467 */     // GIR_Coverage, 2633,
     /*  239467 */     GIR_EraseRootFromParent_Done,
     /*  239468 */   // Label 4639: @239468
     /*  239468 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239531), // Rule ID 2634 //
     /*  239473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  239481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  239487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  239490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  239512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  239515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239529 */     GIR_RootConstrainSelectedInstOperands,
     /*  239530 */     // GIR_Coverage, 2634,
     /*  239530 */     GIR_EraseRootFromParent_Done,
     /*  239531 */   // Label 4640: @239531
     /*  239531 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239597), // Rule ID 4773 //
     /*  239536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239575 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239595 */     GIR_RootConstrainSelectedInstOperands,
     /*  239596 */     // GIR_Coverage, 4773,
     /*  239596 */     GIR_EraseRootFromParent_Done,
     /*  239597 */   // Label 4641: @239597
     /*  239597 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239663), // Rule ID 4774 //
     /*  239602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  239613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239641 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239661 */     GIR_RootConstrainSelectedInstOperands,
     /*  239662 */     // GIR_Coverage, 4774,
     /*  239662 */     GIR_EraseRootFromParent_Done,
     /*  239663 */   // Label 4642: @239663
     /*  239663 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239729), // Rule ID 4777 //
     /*  239668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  239679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  239682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239727 */     GIR_RootConstrainSelectedInstOperands,
     /*  239728 */     // GIR_Coverage, 4777,
     /*  239728 */     GIR_EraseRootFromParent_Done,
     /*  239729 */   // Label 4643: @239729
     /*  239729 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239795), // Rule ID 4778 //
     /*  239734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  239745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  239748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239793 */     GIR_RootConstrainSelectedInstOperands,
     /*  239794 */     // GIR_Coverage, 4778,
     /*  239794 */     GIR_EraseRootFromParent_Done,
     /*  239795 */   // Label 4644: @239795
     /*  239795 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(239861), // Rule ID 4781 //
     /*  239800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  239811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239859 */     GIR_RootConstrainSelectedInstOperands,
     /*  239860 */     // GIR_Coverage, 4781,
     /*  239860 */     GIR_EraseRootFromParent_Done,
     /*  239861 */   // Label 4645: @239861
     /*  239861 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(239927), // Rule ID 4782 //
     /*  239866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  239877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  239905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239925 */     GIR_RootConstrainSelectedInstOperands,
     /*  239926 */     // GIR_Coverage, 4782,
     /*  239926 */     GIR_EraseRootFromParent_Done,
     /*  239927 */   // Label 4646: @239927
     /*  239927 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(239993), // Rule ID 4785 //
     /*  239932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  239943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  239946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  239949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  239971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  239974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239991 */     GIR_RootConstrainSelectedInstOperands,
     /*  239992 */     // GIR_Coverage, 4785,
     /*  239992 */     GIR_EraseRootFromParent_Done,
     /*  239993 */   // Label 4647: @239993
     /*  239993 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240059), // Rule ID 4786 //
     /*  239998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  240009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240057 */     GIR_RootConstrainSelectedInstOperands,
     /*  240058 */     // GIR_Coverage, 4786,
     /*  240058 */     GIR_EraseRootFromParent_Done,
     /*  240059 */   // Label 4648: @240059
     /*  240059 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240125), // Rule ID 4789 //
     /*  240064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  240103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240123 */     GIR_RootConstrainSelectedInstOperands,
     /*  240124 */     // GIR_Coverage, 4789,
     /*  240124 */     GIR_EraseRootFromParent_Done,
     /*  240125 */   // Label 4649: @240125
     /*  240125 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240191), // Rule ID 4790 //
     /*  240130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  240141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  240147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  240169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240189 */     GIR_RootConstrainSelectedInstOperands,
     /*  240190 */     // GIR_Coverage, 4790,
     /*  240190 */     GIR_EraseRootFromParent_Done,
     /*  240191 */   // Label 4650: @240191
     /*  240191 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240257), // Rule ID 4793 //
     /*  240196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240255 */     GIR_RootConstrainSelectedInstOperands,
     /*  240256 */     // GIR_Coverage, 4793,
     /*  240256 */     GIR_EraseRootFromParent_Done,
     /*  240257 */   // Label 4651: @240257
     /*  240257 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240323), // Rule ID 4794 //
     /*  240262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  240304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240321 */     GIR_RootConstrainSelectedInstOperands,
     /*  240322 */     // GIR_Coverage, 4794,
     /*  240322 */     GIR_EraseRootFromParent_Done,
     /*  240323 */   // Label 4652: @240323
     /*  240323 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240389), // Rule ID 4797 //
     /*  240328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240387 */     GIR_RootConstrainSelectedInstOperands,
     /*  240388 */     // GIR_Coverage, 4797,
     /*  240388 */     GIR_EraseRootFromParent_Done,
     /*  240389 */   // Label 4653: @240389
     /*  240389 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240455), // Rule ID 4798 //
     /*  240394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240453 */     GIR_RootConstrainSelectedInstOperands,
     /*  240454 */     // GIR_Coverage, 4798,
     /*  240454 */     GIR_EraseRootFromParent_Done,
     /*  240455 */   // Label 4654: @240455
     /*  240455 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240521), // Rule ID 4801 //
     /*  240460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240519 */     GIR_RootConstrainSelectedInstOperands,
     /*  240520 */     // GIR_Coverage, 4801,
     /*  240520 */     GIR_EraseRootFromParent_Done,
     /*  240521 */   // Label 4655: @240521
     /*  240521 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240587), // Rule ID 4802 //
     /*  240526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  240568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240585 */     GIR_RootConstrainSelectedInstOperands,
     /*  240586 */     // GIR_Coverage, 4802,
     /*  240586 */     GIR_EraseRootFromParent_Done,
     /*  240587 */   // Label 4656: @240587
     /*  240587 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240653), // Rule ID 4805 //
     /*  240592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240651 */     GIR_RootConstrainSelectedInstOperands,
     /*  240652 */     // GIR_Coverage, 4805,
     /*  240652 */     GIR_EraseRootFromParent_Done,
     /*  240653 */   // Label 4657: @240653
     /*  240653 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240719), // Rule ID 4806 //
     /*  240658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240717 */     GIR_RootConstrainSelectedInstOperands,
     /*  240718 */     // GIR_Coverage, 4806,
     /*  240718 */     GIR_EraseRootFromParent_Done,
     /*  240719 */   // Label 4658: @240719
     /*  240719 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240785), // Rule ID 4809 //
     /*  240724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240783 */     GIR_RootConstrainSelectedInstOperands,
     /*  240784 */     // GIR_Coverage, 4809,
     /*  240784 */     GIR_EraseRootFromParent_Done,
     /*  240785 */   // Label 4659: @240785
     /*  240785 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(240851), // Rule ID 4810 //
     /*  240790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240849 */     GIR_RootConstrainSelectedInstOperands,
     /*  240850 */     // GIR_Coverage, 4810,
     /*  240850 */     GIR_EraseRootFromParent_Done,
     /*  240851 */   // Label 4660: @240851
     /*  240851 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(240917), // Rule ID 4813 //
     /*  240856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  240873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240915 */     GIR_RootConstrainSelectedInstOperands,
     /*  240916 */     // GIR_Coverage, 4813,
     /*  240916 */     GIR_EraseRootFromParent_Done,
     /*  240917 */   // Label 4661: @240917
     /*  240917 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(240983), // Rule ID 4814 //
     /*  240922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  240939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  240964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240981 */     GIR_RootConstrainSelectedInstOperands,
     /*  240982 */     // GIR_Coverage, 4814,
     /*  240982 */     GIR_EraseRootFromParent_Done,
     /*  240983 */   // Label 4662: @240983
     /*  240983 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241049), // Rule ID 4817 //
     /*  240988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  240999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241047 */     GIR_RootConstrainSelectedInstOperands,
     /*  241048 */     // GIR_Coverage, 4817,
     /*  241048 */     GIR_EraseRootFromParent_Done,
     /*  241049 */   // Label 4663: @241049
     /*  241049 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241115), // Rule ID 4818 //
     /*  241054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  241096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241113 */     GIR_RootConstrainSelectedInstOperands,
     /*  241114 */     // GIR_Coverage, 4818,
     /*  241114 */     GIR_EraseRootFromParent_Done,
     /*  241115 */   // Label 4664: @241115
     /*  241115 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241181), // Rule ID 4821 //
     /*  241120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241179 */     GIR_RootConstrainSelectedInstOperands,
     /*  241180 */     // GIR_Coverage, 4821,
     /*  241180 */     GIR_EraseRootFromParent_Done,
     /*  241181 */   // Label 4665: @241181
     /*  241181 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241247), // Rule ID 4822 //
     /*  241186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  241203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241225 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  241228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241245 */     GIR_RootConstrainSelectedInstOperands,
     /*  241246 */     // GIR_Coverage, 4822,
     /*  241246 */     GIR_EraseRootFromParent_Done,
     /*  241247 */   // Label 4666: @241247
     /*  241247 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241313), // Rule ID 4825 //
     /*  241252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241311 */     GIR_RootConstrainSelectedInstOperands,
     /*  241312 */     // GIR_Coverage, 4825,
     /*  241312 */     GIR_EraseRootFromParent_Done,
     /*  241313 */   // Label 4667: @241313
     /*  241313 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241379), // Rule ID 4826 //
     /*  241318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  241335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  241360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241377 */     GIR_RootConstrainSelectedInstOperands,
     /*  241378 */     // GIR_Coverage, 4826,
     /*  241378 */     GIR_EraseRootFromParent_Done,
     /*  241379 */   // Label 4668: @241379
     /*  241379 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241445), // Rule ID 4829 //
     /*  241384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241423 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241443 */     GIR_RootConstrainSelectedInstOperands,
     /*  241444 */     // GIR_Coverage, 4829,
     /*  241444 */     GIR_EraseRootFromParent_Done,
     /*  241445 */   // Label 4669: @241445
     /*  241445 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241511), // Rule ID 4830 //
     /*  241450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  241461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  241492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241509 */     GIR_RootConstrainSelectedInstOperands,
     /*  241510 */     // GIR_Coverage, 4830,
     /*  241510 */     GIR_EraseRootFromParent_Done,
     /*  241511 */   // Label 4670: @241511
     /*  241511 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241577), // Rule ID 4833 //
     /*  241516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241575 */     GIR_RootConstrainSelectedInstOperands,
     /*  241576 */     // GIR_Coverage, 4833,
     /*  241576 */     GIR_EraseRootFromParent_Done,
     /*  241577 */   // Label 4671: @241577
     /*  241577 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241643), // Rule ID 4834 //
     /*  241582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  241593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  241624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241641 */     GIR_RootConstrainSelectedInstOperands,
     /*  241642 */     // GIR_Coverage, 4834,
     /*  241642 */     GIR_EraseRootFromParent_Done,
     /*  241643 */   // Label 4672: @241643
     /*  241643 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(241709), // Rule ID 4837 //
     /*  241648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241707 */     GIR_RootConstrainSelectedInstOperands,
     /*  241708 */     // GIR_Coverage, 4837,
     /*  241708 */     GIR_EraseRootFromParent_Done,
     /*  241709 */   // Label 4673: @241709
     /*  241709 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(241775), // Rule ID 4838 //
     /*  241714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  241725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  241728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241773 */     GIR_RootConstrainSelectedInstOperands,
     /*  241774 */     // GIR_Coverage, 4838,
     /*  241774 */     GIR_EraseRootFromParent_Done,
     /*  241775 */   // Label 4674: @241775
     /*  241775 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(241841), // Rule ID 4841 //
     /*  241780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241839 */     GIR_RootConstrainSelectedInstOperands,
     /*  241840 */     // GIR_Coverage, 4841,
     /*  241840 */     GIR_EraseRootFromParent_Done,
     /*  241841 */   // Label 4675: @241841
     /*  241841 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(241907), // Rule ID 4842 //
     /*  241846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  241857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  241860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  241885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241905 */     GIR_RootConstrainSelectedInstOperands,
     /*  241906 */     // GIR_Coverage, 4842,
     /*  241906 */     GIR_EraseRootFromParent_Done,
     /*  241907 */   // Label 4676: @241907
     /*  241907 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(241973), // Rule ID 4845 //
     /*  241912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  241929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  241951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  241954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241971 */     GIR_RootConstrainSelectedInstOperands,
     /*  241972 */     // GIR_Coverage, 4845,
     /*  241972 */     GIR_EraseRootFromParent_Done,
     /*  241973 */   // Label 4677: @241973
     /*  241973 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242039), // Rule ID 4846 //
     /*  241978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  241989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  241995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242037 */     GIR_RootConstrainSelectedInstOperands,
     /*  242038 */     // GIR_Coverage, 4846,
     /*  242038 */     GIR_EraseRootFromParent_Done,
     /*  242039 */   // Label 4678: @242039
     /*  242039 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242105), // Rule ID 4849 //
     /*  242044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242083 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242103 */     GIR_RootConstrainSelectedInstOperands,
     /*  242104 */     // GIR_Coverage, 4849,
     /*  242104 */     GIR_EraseRootFromParent_Done,
     /*  242105 */   // Label 4679: @242105
     /*  242105 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242171), // Rule ID 4850 //
     /*  242110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  242152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242169 */     GIR_RootConstrainSelectedInstOperands,
     /*  242170 */     // GIR_Coverage, 4850,
     /*  242170 */     GIR_EraseRootFromParent_Done,
     /*  242171 */   // Label 4680: @242171
     /*  242171 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242237), // Rule ID 4853 //
     /*  242176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242235 */     GIR_RootConstrainSelectedInstOperands,
     /*  242236 */     // GIR_Coverage, 4853,
     /*  242236 */     GIR_EraseRootFromParent_Done,
     /*  242237 */   // Label 4681: @242237
     /*  242237 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242303), // Rule ID 4854 //
     /*  242242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  242284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242301 */     GIR_RootConstrainSelectedInstOperands,
     /*  242302 */     // GIR_Coverage, 4854,
     /*  242302 */     GIR_EraseRootFromParent_Done,
     /*  242303 */   // Label 4682: @242303
     /*  242303 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242369), // Rule ID 4857 //
     /*  242308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242367 */     GIR_RootConstrainSelectedInstOperands,
     /*  242368 */     // GIR_Coverage, 4857,
     /*  242368 */     GIR_EraseRootFromParent_Done,
     /*  242369 */   // Label 4683: @242369
     /*  242369 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242435), // Rule ID 4858 //
     /*  242374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  242416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242433 */     GIR_RootConstrainSelectedInstOperands,
     /*  242434 */     // GIR_Coverage, 4858,
     /*  242434 */     GIR_EraseRootFromParent_Done,
     /*  242435 */   // Label 4684: @242435
     /*  242435 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242501), // Rule ID 4861 //
     /*  242440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242499 */     GIR_RootConstrainSelectedInstOperands,
     /*  242500 */     // GIR_Coverage, 4861,
     /*  242500 */     GIR_EraseRootFromParent_Done,
     /*  242501 */   // Label 4685: @242501
     /*  242501 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242567), // Rule ID 4862 //
     /*  242506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242545 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  242548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242565 */     GIR_RootConstrainSelectedInstOperands,
     /*  242566 */     // GIR_Coverage, 4862,
     /*  242566 */     GIR_EraseRootFromParent_Done,
     /*  242567 */   // Label 4686: @242567
     /*  242567 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(242633), // Rule ID 4865 //
     /*  242572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  242614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242631 */     GIR_RootConstrainSelectedInstOperands,
     /*  242632 */     // GIR_Coverage, 4865,
     /*  242632 */     GIR_EraseRootFromParent_Done,
     /*  242633 */   // Label 4687: @242633
     /*  242633 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(242699), // Rule ID 4866 //
     /*  242638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  242649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  242655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  242680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242697 */     GIR_RootConstrainSelectedInstOperands,
     /*  242698 */     // GIR_Coverage, 4866,
     /*  242698 */     GIR_EraseRootFromParent_Done,
     /*  242699 */   // Label 4688: @242699
     /*  242699 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(242765), // Rule ID 4869 //
     /*  242704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  242746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242763 */     GIR_RootConstrainSelectedInstOperands,
     /*  242764 */     // GIR_Coverage, 4869,
     /*  242764 */     GIR_EraseRootFromParent_Done,
     /*  242765 */   // Label 4689: @242765
     /*  242765 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(242831), // Rule ID 4870 //
     /*  242770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  242781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11596:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  242812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242829 */     GIR_RootConstrainSelectedInstOperands,
     /*  242830 */     // GIR_Coverage, 4870,
     /*  242830 */     GIR_EraseRootFromParent_Done,
     /*  242831 */   // Label 4690: @242831
     /*  242831 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(242897), // Rule ID 4873 //
     /*  242836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  242875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  242878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242895 */     GIR_RootConstrainSelectedInstOperands,
     /*  242896 */     // GIR_Coverage, 4873,
     /*  242896 */     GIR_EraseRootFromParent_Done,
     /*  242897 */   // Label 4691: @242897
     /*  242897 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(242963), // Rule ID 4874 //
     /*  242902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  242905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  242913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11596:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  242941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  242944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242961 */     GIR_RootConstrainSelectedInstOperands,
     /*  242962 */     // GIR_Coverage, 4874,
     /*  242962 */     GIR_EraseRootFromParent_Done,
     /*  242963 */   // Label 4692: @242963
     /*  242963 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243029), // Rule ID 4877 //
     /*  242968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  242971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  242976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  242979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243027 */     GIR_RootConstrainSelectedInstOperands,
     /*  243028 */     // GIR_Coverage, 4877,
     /*  243028 */     GIR_EraseRootFromParent_Done,
     /*  243029 */   // Label 4693: @243029
     /*  243029 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243095), // Rule ID 4878 //
     /*  243034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11596:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  243076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243093 */     GIR_RootConstrainSelectedInstOperands,
     /*  243094 */     // GIR_Coverage, 4878,
     /*  243094 */     GIR_EraseRootFromParent_Done,
     /*  243095 */   // Label 4694: @243095
     /*  243095 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243161), // Rule ID 4881 //
     /*  243100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243159 */     GIR_RootConstrainSelectedInstOperands,
     /*  243160 */     // GIR_Coverage, 4881,
     /*  243160 */     GIR_EraseRootFromParent_Done,
     /*  243161 */   // Label 4695: @243161
     /*  243161 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243227), // Rule ID 4882 //
     /*  243166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  243208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243225 */     GIR_RootConstrainSelectedInstOperands,
     /*  243226 */     // GIR_Coverage, 4882,
     /*  243226 */     GIR_EraseRootFromParent_Done,
     /*  243227 */   // Label 4696: @243227
     /*  243227 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243293), // Rule ID 4885 //
     /*  243232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243291 */     GIR_RootConstrainSelectedInstOperands,
     /*  243292 */     // GIR_Coverage, 4885,
     /*  243292 */     GIR_EraseRootFromParent_Done,
     /*  243293 */   // Label 4697: @243293
     /*  243293 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243359), // Rule ID 4886 //
     /*  243298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  243315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243357 */     GIR_RootConstrainSelectedInstOperands,
     /*  243358 */     // GIR_Coverage, 4886,
     /*  243358 */     GIR_EraseRootFromParent_Done,
     /*  243359 */   // Label 4698: @243359
     /*  243359 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243425), // Rule ID 4889 //
     /*  243364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243423 */     GIR_RootConstrainSelectedInstOperands,
     /*  243424 */     // GIR_Coverage, 4889,
     /*  243424 */     GIR_EraseRootFromParent_Done,
     /*  243425 */   // Label 4699: @243425
     /*  243425 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243491), // Rule ID 4890 //
     /*  243430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  243447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243489 */     GIR_RootConstrainSelectedInstOperands,
     /*  243490 */     // GIR_Coverage, 4890,
     /*  243490 */     GIR_EraseRootFromParent_Done,
     /*  243491 */   // Label 4700: @243491
     /*  243491 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243557), // Rule ID 4893 //
     /*  243496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243535 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243555 */     GIR_RootConstrainSelectedInstOperands,
     /*  243556 */     // GIR_Coverage, 4893,
     /*  243556 */     GIR_EraseRootFromParent_Done,
     /*  243557 */   // Label 4701: @243557
     /*  243557 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(243623), // Rule ID 4894 //
     /*  243562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  243573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  243576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  243579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243621 */     GIR_RootConstrainSelectedInstOperands,
     /*  243622 */     // GIR_Coverage, 4894,
     /*  243622 */     GIR_EraseRootFromParent_Done,
     /*  243623 */   // Label 4702: @243623
     /*  243623 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(243689), // Rule ID 4897 //
     /*  243628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  243639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  243642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243687 */     GIR_RootConstrainSelectedInstOperands,
     /*  243688 */     // GIR_Coverage, 4897,
     /*  243688 */     GIR_EraseRootFromParent_Done,
     /*  243689 */   // Label 4703: @243689
     /*  243689 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(243755), // Rule ID 4898 //
     /*  243694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  243705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  243708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  243711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243733 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243753 */     GIR_RootConstrainSelectedInstOperands,
     /*  243754 */     // GIR_Coverage, 4898,
     /*  243754 */     GIR_EraseRootFromParent_Done,
     /*  243755 */   // Label 4704: @243755
     /*  243755 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(243821), // Rule ID 4901 //
     /*  243760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  243771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  243774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  243777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243819 */     GIR_RootConstrainSelectedInstOperands,
     /*  243820 */     // GIR_Coverage, 4901,
     /*  243820 */     GIR_EraseRootFromParent_Done,
     /*  243821 */   // Label 4705: @243821
     /*  243821 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(243887), // Rule ID 4902 //
     /*  243826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  243837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  243840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  243843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243865 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243885 */     GIR_RootConstrainSelectedInstOperands,
     /*  243886 */     // GIR_Coverage, 4902,
     /*  243886 */     GIR_EraseRootFromParent_Done,
     /*  243887 */   // Label 4706: @243887
     /*  243887 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(243953), // Rule ID 4905 //
     /*  243892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  243934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243951 */     GIR_RootConstrainSelectedInstOperands,
     /*  243952 */     // GIR_Coverage, 4905,
     /*  243952 */     GIR_EraseRootFromParent_Done,
     /*  243953 */   // Label 4707: @243953
     /*  243953 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244019), // Rule ID 4906 //
     /*  243958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  244000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244017 */     GIR_RootConstrainSelectedInstOperands,
     /*  244018 */     // GIR_Coverage, 4906,
     /*  244018 */     GIR_EraseRootFromParent_Done,
     /*  244019 */   // Label 4708: @244019
     /*  244019 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244085), // Rule ID 4909 //
     /*  244024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244083 */     GIR_RootConstrainSelectedInstOperands,
     /*  244084 */     // GIR_Coverage, 4909,
     /*  244084 */     GIR_EraseRootFromParent_Done,
     /*  244085 */   // Label 4709: @244085
     /*  244085 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244151), // Rule ID 4910 //
     /*  244090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244149 */     GIR_RootConstrainSelectedInstOperands,
     /*  244150 */     // GIR_Coverage, 4910,
     /*  244150 */     GIR_EraseRootFromParent_Done,
     /*  244151 */   // Label 4710: @244151
     /*  244151 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244217), // Rule ID 4913 //
     /*  244156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244215 */     GIR_RootConstrainSelectedInstOperands,
     /*  244216 */     // GIR_Coverage, 4913,
     /*  244216 */     GIR_EraseRootFromParent_Done,
     /*  244217 */   // Label 4711: @244217
     /*  244217 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244283), // Rule ID 4914 //
     /*  244222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244281 */     GIR_RootConstrainSelectedInstOperands,
     /*  244282 */     // GIR_Coverage, 4914,
     /*  244282 */     GIR_EraseRootFromParent_Done,
     /*  244283 */   // Label 4712: @244283
     /*  244283 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244349), // Rule ID 4917 //
     /*  244288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244347 */     GIR_RootConstrainSelectedInstOperands,
     /*  244348 */     // GIR_Coverage, 4917,
     /*  244348 */     GIR_EraseRootFromParent_Done,
     /*  244349 */   // Label 4713: @244349
     /*  244349 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244415), // Rule ID 4918 //
     /*  244354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244413 */     GIR_RootConstrainSelectedInstOperands,
     /*  244414 */     // GIR_Coverage, 4918,
     /*  244414 */     GIR_EraseRootFromParent_Done,
     /*  244415 */   // Label 4714: @244415
     /*  244415 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244481), // Rule ID 4921 //
     /*  244420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244479 */     GIR_RootConstrainSelectedInstOperands,
     /*  244480 */     // GIR_Coverage, 4921,
     /*  244480 */     GIR_EraseRootFromParent_Done,
     /*  244481 */   // Label 4715: @244481
     /*  244481 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244547), // Rule ID 4922 //
     /*  244486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244545 */     GIR_RootConstrainSelectedInstOperands,
     /*  244546 */     // GIR_Coverage, 4922,
     /*  244546 */     GIR_EraseRootFromParent_Done,
     /*  244547 */   // Label 4716: @244547
     /*  244547 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244613), // Rule ID 4925 //
     /*  244552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  244569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244611 */     GIR_RootConstrainSelectedInstOperands,
     /*  244612 */     // GIR_Coverage, 4925,
     /*  244612 */     GIR_EraseRootFromParent_Done,
     /*  244613 */   // Label 4717: @244613
     /*  244613 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(244679), // Rule ID 4926 //
     /*  244618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  244635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  244660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244677 */     GIR_RootConstrainSelectedInstOperands,
     /*  244678 */     // GIR_Coverage, 4926,
     /*  244678 */     GIR_EraseRootFromParent_Done,
     /*  244679 */   // Label 4718: @244679
     /*  244679 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(244745), // Rule ID 4929 //
     /*  244684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  244701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244743 */     GIR_RootConstrainSelectedInstOperands,
     /*  244744 */     // GIR_Coverage, 4929,
     /*  244744 */     GIR_EraseRootFromParent_Done,
     /*  244745 */   // Label 4719: @244745
     /*  244745 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(244811), // Rule ID 4930 //
     /*  244750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  244767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244789 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  244792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244809 */     GIR_RootConstrainSelectedInstOperands,
     /*  244810 */     // GIR_Coverage, 4930,
     /*  244810 */     GIR_EraseRootFromParent_Done,
     /*  244811 */   // Label 4720: @244811
     /*  244811 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(244877), // Rule ID 4933 //
     /*  244816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244855 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244875 */     GIR_RootConstrainSelectedInstOperands,
     /*  244876 */     // GIR_Coverage, 4933,
     /*  244876 */     GIR_EraseRootFromParent_Done,
     /*  244877 */   // Label 4721: @244877
     /*  244877 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(244943), // Rule ID 4934 //
     /*  244882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  244924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244941 */     GIR_RootConstrainSelectedInstOperands,
     /*  244942 */     // GIR_Coverage, 4934,
     /*  244942 */     GIR_EraseRootFromParent_Done,
     /*  244943 */   // Label 4722: @244943
     /*  244943 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245009), // Rule ID 4937 //
     /*  244948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  244959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  244962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  244965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  244990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245007 */     GIR_RootConstrainSelectedInstOperands,
     /*  245008 */     // GIR_Coverage, 4937,
     /*  245008 */     GIR_EraseRootFromParent_Done,
     /*  245009 */   // Label 4723: @245009
     /*  245009 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245075), // Rule ID 4938 //
     /*  245014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  245056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245073 */     GIR_RootConstrainSelectedInstOperands,
     /*  245074 */     // GIR_Coverage, 4938,
     /*  245074 */     GIR_EraseRootFromParent_Done,
     /*  245075 */   // Label 4724: @245075
     /*  245075 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245141), // Rule ID 4941 //
     /*  245080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245139 */     GIR_RootConstrainSelectedInstOperands,
     /*  245140 */     // GIR_Coverage, 4941,
     /*  245140 */     GIR_EraseRootFromParent_Done,
     /*  245141 */   // Label 4725: @245141
     /*  245141 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245207), // Rule ID 4942 //
     /*  245146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  245188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245205 */     GIR_RootConstrainSelectedInstOperands,
     /*  245206 */     // GIR_Coverage, 4942,
     /*  245206 */     GIR_EraseRootFromParent_Done,
     /*  245207 */   // Label 4726: @245207
     /*  245207 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245273), // Rule ID 4945 //
     /*  245212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245271 */     GIR_RootConstrainSelectedInstOperands,
     /*  245272 */     // GIR_Coverage, 4945,
     /*  245272 */     GIR_EraseRootFromParent_Done,
     /*  245273 */   // Label 4727: @245273
     /*  245273 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245339), // Rule ID 4946 //
     /*  245278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245337 */     GIR_RootConstrainSelectedInstOperands,
     /*  245338 */     // GIR_Coverage, 4946,
     /*  245338 */     GIR_EraseRootFromParent_Done,
     /*  245339 */   // Label 4728: @245339
     /*  245339 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245405), // Rule ID 4949 //
     /*  245344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245403 */     GIR_RootConstrainSelectedInstOperands,
     /*  245404 */     // GIR_Coverage, 4949,
     /*  245404 */     GIR_EraseRootFromParent_Done,
     /*  245405 */   // Label 4729: @245405
     /*  245405 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245471), // Rule ID 4950 //
     /*  245410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245469 */     GIR_RootConstrainSelectedInstOperands,
     /*  245470 */     // GIR_Coverage, 4950,
     /*  245470 */     GIR_EraseRootFromParent_Done,
     /*  245471 */   // Label 4730: @245471
     /*  245471 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245537), // Rule ID 4953 //
     /*  245476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245535 */     GIR_RootConstrainSelectedInstOperands,
     /*  245536 */     // GIR_Coverage, 4953,
     /*  245536 */     GIR_EraseRootFromParent_Done,
     /*  245537 */   // Label 4731: @245537
     /*  245537 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245603), // Rule ID 4954 //
     /*  245542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  245584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245601 */     GIR_RootConstrainSelectedInstOperands,
     /*  245602 */     // GIR_Coverage, 4954,
     /*  245602 */     GIR_EraseRootFromParent_Done,
     /*  245603 */   // Label 4732: @245603
     /*  245603 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(245669), // Rule ID 4957 //
     /*  245608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  245650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245667 */     GIR_RootConstrainSelectedInstOperands,
     /*  245668 */     // GIR_Coverage, 4957,
     /*  245668 */     GIR_EraseRootFromParent_Done,
     /*  245669 */   // Label 4733: @245669
     /*  245669 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(245735), // Rule ID 4958 //
     /*  245674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  245716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245733 */     GIR_RootConstrainSelectedInstOperands,
     /*  245734 */     // GIR_Coverage, 4958,
     /*  245734 */     GIR_EraseRootFromParent_Done,
     /*  245735 */   // Label 4734: @245735
     /*  245735 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(245801), // Rule ID 4961 //
     /*  245740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245799 */     GIR_RootConstrainSelectedInstOperands,
     /*  245800 */     // GIR_Coverage, 4961,
     /*  245800 */     GIR_EraseRootFromParent_Done,
     /*  245801 */   // Label 4735: @245801
     /*  245801 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(245867), // Rule ID 4962 //
     /*  245806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  245848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245865 */     GIR_RootConstrainSelectedInstOperands,
     /*  245866 */     // GIR_Coverage, 4962,
     /*  245866 */     GIR_EraseRootFromParent_Done,
     /*  245867 */   // Label 4736: @245867
     /*  245867 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(245933), // Rule ID 4965 //
     /*  245872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245931 */     GIR_RootConstrainSelectedInstOperands,
     /*  245932 */     // GIR_Coverage, 4965,
     /*  245932 */     GIR_EraseRootFromParent_Done,
     /*  245933 */   // Label 4737: @245933
     /*  245933 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(245999), // Rule ID 4966 //
     /*  245938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  245980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245997 */     GIR_RootConstrainSelectedInstOperands,
     /*  245998 */     // GIR_Coverage, 4966,
     /*  245998 */     GIR_EraseRootFromParent_Done,
     /*  245999 */   // Label 4738: @245999
     /*  245999 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246065), // Rule ID 4969 //
     /*  246004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246063 */     GIR_RootConstrainSelectedInstOperands,
     /*  246064 */     // GIR_Coverage, 4969,
     /*  246064 */     GIR_EraseRootFromParent_Done,
     /*  246065 */   // Label 4739: @246065
     /*  246065 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246131), // Rule ID 4970 //
     /*  246070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  246112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246129 */     GIR_RootConstrainSelectedInstOperands,
     /*  246130 */     // GIR_Coverage, 4970,
     /*  246130 */     GIR_EraseRootFromParent_Done,
     /*  246131 */   // Label 4740: @246131
     /*  246131 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246197), // Rule ID 4973 //
     /*  246136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246195 */     GIR_RootConstrainSelectedInstOperands,
     /*  246196 */     // GIR_Coverage, 4973,
     /*  246196 */     GIR_EraseRootFromParent_Done,
     /*  246197 */   // Label 4741: @246197
     /*  246197 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246263), // Rule ID 4974 //
     /*  246202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  246244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246261 */     GIR_RootConstrainSelectedInstOperands,
     /*  246262 */     // GIR_Coverage, 4974,
     /*  246262 */     GIR_EraseRootFromParent_Done,
     /*  246263 */   // Label 4742: @246263
     /*  246263 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246329), // Rule ID 4977 //
     /*  246268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246327 */     GIR_RootConstrainSelectedInstOperands,
     /*  246328 */     // GIR_Coverage, 4977,
     /*  246328 */     GIR_EraseRootFromParent_Done,
     /*  246329 */   // Label 4743: @246329
     /*  246329 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246395), // Rule ID 4978 //
     /*  246334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  246376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246393 */     GIR_RootConstrainSelectedInstOperands,
     /*  246394 */     // GIR_Coverage, 4978,
     /*  246394 */     GIR_EraseRootFromParent_Done,
     /*  246395 */   // Label 4744: @246395
     /*  246395 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246461), // Rule ID 4981 //
     /*  246400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246459 */     GIR_RootConstrainSelectedInstOperands,
     /*  246460 */     // GIR_Coverage, 4981,
     /*  246460 */     GIR_EraseRootFromParent_Done,
     /*  246461 */   // Label 4745: @246461
     /*  246461 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246527), // Rule ID 4982 //
     /*  246466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  246508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246525 */     GIR_RootConstrainSelectedInstOperands,
     /*  246526 */     // GIR_Coverage, 4982,
     /*  246526 */     GIR_EraseRootFromParent_Done,
     /*  246527 */   // Label 4746: @246527
     /*  246527 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246593), // Rule ID 4985 //
     /*  246532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  246574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246591 */     GIR_RootConstrainSelectedInstOperands,
     /*  246592 */     // GIR_Coverage, 4985,
     /*  246592 */     GIR_EraseRootFromParent_Done,
     /*  246593 */   // Label 4747: @246593
     /*  246593 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246659), // Rule ID 4986 //
     /*  246598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  246640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246657 */     GIR_RootConstrainSelectedInstOperands,
     /*  246658 */     // GIR_Coverage, 4986,
     /*  246658 */     GIR_EraseRootFromParent_Done,
     /*  246659 */   // Label 4748: @246659
     /*  246659 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(246725), // Rule ID 4989 //
     /*  246664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  246706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246723 */     GIR_RootConstrainSelectedInstOperands,
     /*  246724 */     // GIR_Coverage, 4989,
     /*  246724 */     GIR_EraseRootFromParent_Done,
     /*  246725 */   // Label 4749: @246725
     /*  246725 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(246791), // Rule ID 4990 //
     /*  246730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  246738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  246772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246789 */     GIR_RootConstrainSelectedInstOperands,
     /*  246790 */     // GIR_Coverage, 4990,
     /*  246790 */     GIR_EraseRootFromParent_Done,
     /*  246791 */   // Label 4750: @246791
     /*  246791 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(246854), // Rule ID 5253 //
     /*  246796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  246838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246852 */     GIR_RootConstrainSelectedInstOperands,
     /*  246853 */     // GIR_Coverage, 5253,
     /*  246853 */     GIR_EraseRootFromParent_Done,
     /*  246854 */   // Label 4751: @246854
     /*  246854 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(246917), // Rule ID 5254 //
     /*  246859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246898 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  246901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246915 */     GIR_RootConstrainSelectedInstOperands,
     /*  246916 */     // GIR_Coverage, 5254,
     /*  246916 */     GIR_EraseRootFromParent_Done,
     /*  246917 */   // Label 4752: @246917
     /*  246917 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(246980), // Rule ID 5255 //
     /*  246922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  246936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  246964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246978 */     GIR_RootConstrainSelectedInstOperands,
     /*  246979 */     // GIR_Coverage, 5255,
     /*  246979 */     GIR_EraseRootFromParent_Done,
     /*  246980 */   // Label 4753: @246980
     /*  246980 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247043), // Rule ID 5256 //
     /*  246985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  246999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247041 */     GIR_RootConstrainSelectedInstOperands,
     /*  247042 */     // GIR_Coverage, 5256,
     /*  247042 */     GIR_EraseRootFromParent_Done,
     /*  247043 */   // Label 4754: @247043
     /*  247043 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247106), // Rule ID 5257 //
     /*  247048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247104 */     GIR_RootConstrainSelectedInstOperands,
     /*  247105 */     // GIR_Coverage, 5257,
     /*  247105 */     GIR_EraseRootFromParent_Done,
     /*  247106 */   // Label 4755: @247106
     /*  247106 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247169), // Rule ID 5258 //
     /*  247111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247150 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  247153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247167 */     GIR_RootConstrainSelectedInstOperands,
     /*  247168 */     // GIR_Coverage, 5258,
     /*  247168 */     GIR_EraseRootFromParent_Done,
     /*  247169 */   // Label 4756: @247169
     /*  247169 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247232), // Rule ID 5259 //
     /*  247174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247230 */     GIR_RootConstrainSelectedInstOperands,
     /*  247231 */     // GIR_Coverage, 5259,
     /*  247231 */     GIR_EraseRootFromParent_Done,
     /*  247232 */   // Label 4757: @247232
     /*  247232 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247295), // Rule ID 5260 //
     /*  247237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247293 */     GIR_RootConstrainSelectedInstOperands,
     /*  247294 */     // GIR_Coverage, 5260,
     /*  247294 */     GIR_EraseRootFromParent_Done,
     /*  247295 */   // Label 4758: @247295
     /*  247295 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247358), // Rule ID 5261 //
     /*  247300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247356 */     GIR_RootConstrainSelectedInstOperands,
     /*  247357 */     // GIR_Coverage, 5261,
     /*  247357 */     GIR_EraseRootFromParent_Done,
     /*  247358 */   // Label 4759: @247358
     /*  247358 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247421), // Rule ID 5262 //
     /*  247363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  247405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247419 */     GIR_RootConstrainSelectedInstOperands,
     /*  247420 */     // GIR_Coverage, 5262,
     /*  247420 */     GIR_EraseRootFromParent_Done,
     /*  247421 */   // Label 4760: @247421
     /*  247421 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247484), // Rule ID 5263 //
     /*  247426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247482 */     GIR_RootConstrainSelectedInstOperands,
     /*  247483 */     // GIR_Coverage, 5263,
     /*  247483 */     GIR_EraseRootFromParent_Done,
     /*  247484 */   // Label 4761: @247484
     /*  247484 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247547), // Rule ID 5264 //
     /*  247489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247545 */     GIR_RootConstrainSelectedInstOperands,
     /*  247546 */     // GIR_Coverage, 5264,
     /*  247546 */     GIR_EraseRootFromParent_Done,
     /*  247547 */   // Label 4762: @247547
     /*  247547 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247610), // Rule ID 5265 //
     /*  247552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247608 */     GIR_RootConstrainSelectedInstOperands,
     /*  247609 */     // GIR_Coverage, 5265,
     /*  247609 */     GIR_EraseRootFromParent_Done,
     /*  247610 */   // Label 4763: @247610
     /*  247610 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247673), // Rule ID 5266 //
     /*  247615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247671 */     GIR_RootConstrainSelectedInstOperands,
     /*  247672 */     // GIR_Coverage, 5266,
     /*  247672 */     GIR_EraseRootFromParent_Done,
     /*  247673 */   // Label 4764: @247673
     /*  247673 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(247736), // Rule ID 5267 //
     /*  247678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247734 */     GIR_RootConstrainSelectedInstOperands,
     /*  247735 */     // GIR_Coverage, 5267,
     /*  247735 */     GIR_EraseRootFromParent_Done,
     /*  247736 */   // Label 4765: @247736
     /*  247736 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(247799), // Rule ID 5268 //
     /*  247741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247797 */     GIR_RootConstrainSelectedInstOperands,
     /*  247798 */     // GIR_Coverage, 5268,
     /*  247798 */     GIR_EraseRootFromParent_Done,
     /*  247799 */   // Label 4766: @247799
     /*  247799 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(247862), // Rule ID 5269 //
     /*  247804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  247807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  247843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247860 */     GIR_RootConstrainSelectedInstOperands,
     /*  247861 */     // GIR_Coverage, 5269,
     /*  247861 */     GIR_EraseRootFromParent_Done,
     /*  247862 */   // Label 4767: @247862
     /*  247862 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(247925), // Rule ID 5270 //
     /*  247867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  247870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247906 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  247906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  247909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247923 */     GIR_RootConstrainSelectedInstOperands,
     /*  247924 */     // GIR_Coverage, 5270,
     /*  247924 */     GIR_EraseRootFromParent_Done,
     /*  247925 */   // Label 4768: @247925
     /*  247925 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(247988), // Rule ID 5271 //
     /*  247930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  247944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247986 */     GIR_RootConstrainSelectedInstOperands,
     /*  247987 */     // GIR_Coverage, 5271,
     /*  247987 */     GIR_EraseRootFromParent_Done,
     /*  247988 */   // Label 4769: @247988
     /*  247988 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248051), // Rule ID 5272 //
     /*  247993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  248007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248049 */     GIR_RootConstrainSelectedInstOperands,
     /*  248050 */     // GIR_Coverage, 5272,
     /*  248050 */     GIR_EraseRootFromParent_Done,
     /*  248051 */   // Label 4770: @248051
     /*  248051 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248114), // Rule ID 5273 //
     /*  248056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248095 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248112 */     GIR_RootConstrainSelectedInstOperands,
     /*  248113 */     // GIR_Coverage, 5273,
     /*  248113 */     GIR_EraseRootFromParent_Done,
     /*  248114 */   // Label 4771: @248114
     /*  248114 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248177), // Rule ID 5274 //
     /*  248119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  248133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248175 */     GIR_RootConstrainSelectedInstOperands,
     /*  248176 */     // GIR_Coverage, 5274,
     /*  248176 */     GIR_EraseRootFromParent_Done,
     /*  248177 */   // Label 4772: @248177
     /*  248177 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248240), // Rule ID 5275 //
     /*  248182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248221 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248238 */     GIR_RootConstrainSelectedInstOperands,
     /*  248239 */     // GIR_Coverage, 5275,
     /*  248239 */     GIR_EraseRootFromParent_Done,
     /*  248240 */   // Label 4773: @248240
     /*  248240 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248303), // Rule ID 5276 //
     /*  248245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  248256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  248259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  248262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248284 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248301 */     GIR_RootConstrainSelectedInstOperands,
     /*  248302 */     // GIR_Coverage, 5276,
     /*  248302 */     GIR_EraseRootFromParent_Done,
     /*  248303 */   // Label 4774: @248303
     /*  248303 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248366), // Rule ID 5277 //
     /*  248308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248364 */     GIR_RootConstrainSelectedInstOperands,
     /*  248365 */     // GIR_Coverage, 5277,
     /*  248365 */     GIR_EraseRootFromParent_Done,
     /*  248366 */   // Label 4775: @248366
     /*  248366 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248429), // Rule ID 5278 //
     /*  248371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248427 */     GIR_RootConstrainSelectedInstOperands,
     /*  248428 */     // GIR_Coverage, 5278,
     /*  248428 */     GIR_EraseRootFromParent_Done,
     /*  248429 */   // Label 4776: @248429
     /*  248429 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248492), // Rule ID 5279 //
     /*  248434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248473 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248490 */     GIR_RootConstrainSelectedInstOperands,
     /*  248491 */     // GIR_Coverage, 5279,
     /*  248491 */     GIR_EraseRootFromParent_Done,
     /*  248492 */   // Label 4777: @248492
     /*  248492 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248555), // Rule ID 5280 //
     /*  248497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248553 */     GIR_RootConstrainSelectedInstOperands,
     /*  248554 */     // GIR_Coverage, 5280,
     /*  248554 */     GIR_EraseRootFromParent_Done,
     /*  248555 */   // Label 4778: @248555
     /*  248555 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248618), // Rule ID 5281 //
     /*  248560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248599 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248616 */     GIR_RootConstrainSelectedInstOperands,
     /*  248617 */     // GIR_Coverage, 5281,
     /*  248617 */     GIR_EraseRootFromParent_Done,
     /*  248618 */   // Label 4779: @248618
     /*  248618 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(248681), // Rule ID 5282 //
     /*  248623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248662 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248679 */     GIR_RootConstrainSelectedInstOperands,
     /*  248680 */     // GIR_Coverage, 5282,
     /*  248680 */     GIR_EraseRootFromParent_Done,
     /*  248681 */   // Label 4780: @248681
     /*  248681 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(248744), // Rule ID 5283 //
     /*  248686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248742 */     GIR_RootConstrainSelectedInstOperands,
     /*  248743 */     // GIR_Coverage, 5283,
     /*  248743 */     GIR_EraseRootFromParent_Done,
     /*  248744 */   // Label 4781: @248744
     /*  248744 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(248807), // Rule ID 5284 //
     /*  248749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  248791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248805 */     GIR_RootConstrainSelectedInstOperands,
     /*  248806 */     // GIR_Coverage, 5284,
     /*  248806 */     GIR_EraseRootFromParent_Done,
     /*  248807 */   // Label 4782: @248807
     /*  248807 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(248870), // Rule ID 5285 //
     /*  248812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248868 */     GIR_RootConstrainSelectedInstOperands,
     /*  248869 */     // GIR_Coverage, 5285,
     /*  248869 */     GIR_EraseRootFromParent_Done,
     /*  248870 */   // Label 4783: @248870
     /*  248870 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(248933), // Rule ID 5286 //
     /*  248875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248931 */     GIR_RootConstrainSelectedInstOperands,
     /*  248932 */     // GIR_Coverage, 5286,
     /*  248932 */     GIR_EraseRootFromParent_Done,
     /*  248933 */   // Label 4784: @248933
     /*  248933 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(248996), // Rule ID 5287 //
     /*  248938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248977 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248994 */     GIR_RootConstrainSelectedInstOperands,
     /*  248995 */     // GIR_Coverage, 5287,
     /*  248995 */     GIR_EraseRootFromParent_Done,
     /*  248996 */   // Label 4785: @248996
     /*  248996 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249059), // Rule ID 5288 //
     /*  249001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  249018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249057 */     GIR_RootConstrainSelectedInstOperands,
     /*  249058 */     // GIR_Coverage, 5288,
     /*  249058 */     GIR_EraseRootFromParent_Done,
     /*  249059 */   // Label 4786: @249059
     /*  249059 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249122), // Rule ID 5289 //
     /*  249064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249103 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249120 */     GIR_RootConstrainSelectedInstOperands,
     /*  249121 */     // GIR_Coverage, 5289,
     /*  249121 */     GIR_EraseRootFromParent_Done,
     /*  249122 */   // Label 4787: @249122
     /*  249122 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249185), // Rule ID 5290 //
     /*  249127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  249144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  249169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249183 */     GIR_RootConstrainSelectedInstOperands,
     /*  249184 */     // GIR_Coverage, 5290,
     /*  249184 */     GIR_EraseRootFromParent_Done,
     /*  249185 */   // Label 4788: @249185
     /*  249185 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249248), // Rule ID 5291 //
     /*  249190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249246 */     GIR_RootConstrainSelectedInstOperands,
     /*  249247 */     // GIR_Coverage, 5291,
     /*  249247 */     GIR_EraseRootFromParent_Done,
     /*  249248 */   // Label 4789: @249248
     /*  249248 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249311), // Rule ID 5292 //
     /*  249253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  249295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249309 */     GIR_RootConstrainSelectedInstOperands,
     /*  249310 */     // GIR_Coverage, 5292,
     /*  249310 */     GIR_EraseRootFromParent_Done,
     /*  249311 */   // Label 4790: @249311
     /*  249311 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249374), // Rule ID 5293 //
     /*  249316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249355 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249372 */     GIR_RootConstrainSelectedInstOperands,
     /*  249373 */     // GIR_Coverage, 5293,
     /*  249373 */     GIR_EraseRootFromParent_Done,
     /*  249374 */   // Label 4791: @249374
     /*  249374 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249437), // Rule ID 5294 //
     /*  249379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  249421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249435 */     GIR_RootConstrainSelectedInstOperands,
     /*  249436 */     // GIR_Coverage, 5294,
     /*  249436 */     GIR_EraseRootFromParent_Done,
     /*  249437 */   // Label 4792: @249437
     /*  249437 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249500), // Rule ID 5295 //
     /*  249442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249498 */     GIR_RootConstrainSelectedInstOperands,
     /*  249499 */     // GIR_Coverage, 5295,
     /*  249499 */     GIR_EraseRootFromParent_Done,
     /*  249500 */   // Label 4793: @249500
     /*  249500 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249563), // Rule ID 5296 //
     /*  249505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  249547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249561 */     GIR_RootConstrainSelectedInstOperands,
     /*  249562 */     // GIR_Coverage, 5296,
     /*  249562 */     GIR_EraseRootFromParent_Done,
     /*  249563 */   // Label 4794: @249563
     /*  249563 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249626), // Rule ID 5297 //
     /*  249568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249607 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249624 */     GIR_RootConstrainSelectedInstOperands,
     /*  249625 */     // GIR_Coverage, 5297,
     /*  249625 */     GIR_EraseRootFromParent_Done,
     /*  249626 */   // Label 4795: @249626
     /*  249626 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(249689), // Rule ID 5298 //
     /*  249631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249687 */     GIR_RootConstrainSelectedInstOperands,
     /*  249688 */     // GIR_Coverage, 5298,
     /*  249688 */     GIR_EraseRootFromParent_Done,
     /*  249689 */   // Label 4796: @249689
     /*  249689 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(249752), // Rule ID 5299 //
     /*  249694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  249736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249750 */     GIR_RootConstrainSelectedInstOperands,
     /*  249751 */     // GIR_Coverage, 5299,
     /*  249751 */     GIR_EraseRootFromParent_Done,
     /*  249752 */   // Label 4797: @249752
     /*  249752 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(249815), // Rule ID 5300 //
     /*  249757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  249799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249813 */     GIR_RootConstrainSelectedInstOperands,
     /*  249814 */     // GIR_Coverage, 5300,
     /*  249814 */     GIR_EraseRootFromParent_Done,
     /*  249815 */   // Label 4798: @249815
     /*  249815 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(249878), // Rule ID 5301 //
     /*  249820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249876 */     GIR_RootConstrainSelectedInstOperands,
     /*  249877 */     // GIR_Coverage, 5301,
     /*  249877 */     GIR_EraseRootFromParent_Done,
     /*  249878 */   // Label 4799: @249878
     /*  249878 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(249941), // Rule ID 5302 //
     /*  249883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249922 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  249925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249939 */     GIR_RootConstrainSelectedInstOperands,
     /*  249940 */     // GIR_Coverage, 5302,
     /*  249940 */     GIR_EraseRootFromParent_Done,
     /*  249941 */   // Label 4800: @249941
     /*  249941 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250004), // Rule ID 5303 //
     /*  249946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  249960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  249988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250002 */     GIR_RootConstrainSelectedInstOperands,
     /*  250003 */     // GIR_Coverage, 5303,
     /*  250003 */     GIR_EraseRootFromParent_Done,
     /*  250004 */   // Label 4801: @250004
     /*  250004 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250067), // Rule ID 5304 //
     /*  250009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  250023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250065 */     GIR_RootConstrainSelectedInstOperands,
     /*  250066 */     // GIR_Coverage, 5304,
     /*  250066 */     GIR_EraseRootFromParent_Done,
     /*  250067 */   // Label 4802: @250067
     /*  250067 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250130), // Rule ID 5305 //
     /*  250072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250128 */     GIR_RootConstrainSelectedInstOperands,
     /*  250129 */     // GIR_Coverage, 5305,
     /*  250129 */     GIR_EraseRootFromParent_Done,
     /*  250130 */   // Label 4803: @250130
     /*  250130 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250193), // Rule ID 5306 //
     /*  250135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  250177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250191 */     GIR_RootConstrainSelectedInstOperands,
     /*  250192 */     // GIR_Coverage, 5306,
     /*  250192 */     GIR_EraseRootFromParent_Done,
     /*  250193 */   // Label 4804: @250193
     /*  250193 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250256), // Rule ID 5307 //
     /*  250198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250254 */     GIR_RootConstrainSelectedInstOperands,
     /*  250255 */     // GIR_Coverage, 5307,
     /*  250255 */     GIR_EraseRootFromParent_Done,
     /*  250256 */   // Label 4805: @250256
     /*  250256 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250319), // Rule ID 5308 //
     /*  250261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  250275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250317 */     GIR_RootConstrainSelectedInstOperands,
     /*  250318 */     // GIR_Coverage, 5308,
     /*  250318 */     GIR_EraseRootFromParent_Done,
     /*  250319 */   // Label 4806: @250319
     /*  250319 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250382), // Rule ID 5309 //
     /*  250324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250380 */     GIR_RootConstrainSelectedInstOperands,
     /*  250381 */     // GIR_Coverage, 5309,
     /*  250381 */     GIR_EraseRootFromParent_Done,
     /*  250382 */   // Label 4807: @250382
     /*  250382 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250445), // Rule ID 5310 //
     /*  250387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250443 */     GIR_RootConstrainSelectedInstOperands,
     /*  250444 */     // GIR_Coverage, 5310,
     /*  250444 */     GIR_EraseRootFromParent_Done,
     /*  250445 */   // Label 4808: @250445
     /*  250445 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250508), // Rule ID 5311 //
     /*  250450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250506 */     GIR_RootConstrainSelectedInstOperands,
     /*  250507 */     // GIR_Coverage, 5311,
     /*  250507 */     GIR_EraseRootFromParent_Done,
     /*  250508 */   // Label 4809: @250508
     /*  250508 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250571), // Rule ID 5312 //
     /*  250513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250569 */     GIR_RootConstrainSelectedInstOperands,
     /*  250570 */     // GIR_Coverage, 5312,
     /*  250570 */     GIR_EraseRootFromParent_Done,
     /*  250571 */   // Label 4810: @250571
     /*  250571 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250634), // Rule ID 5313 //
     /*  250576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250615 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250632 */     GIR_RootConstrainSelectedInstOperands,
     /*  250633 */     // GIR_Coverage, 5313,
     /*  250633 */     GIR_EraseRootFromParent_Done,
     /*  250634 */   // Label 4811: @250634
     /*  250634 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(250697), // Rule ID 5314 //
     /*  250639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  250681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250695 */     GIR_RootConstrainSelectedInstOperands,
     /*  250696 */     // GIR_Coverage, 5314,
     /*  250696 */     GIR_EraseRootFromParent_Done,
     /*  250697 */   // Label 4812: @250697
     /*  250697 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(250760), // Rule ID 5315 //
     /*  250702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250741 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250758 */     GIR_RootConstrainSelectedInstOperands,
     /*  250759 */     // GIR_Coverage, 5315,
     /*  250759 */     GIR_EraseRootFromParent_Done,
     /*  250760 */   // Label 4813: @250760
     /*  250760 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(250823), // Rule ID 5316 //
     /*  250765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250821 */     GIR_RootConstrainSelectedInstOperands,
     /*  250822 */     // GIR_Coverage, 5316,
     /*  250822 */     GIR_EraseRootFromParent_Done,
     /*  250823 */   // Label 4814: @250823
     /*  250823 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(250886), // Rule ID 5317 //
     /*  250828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250884 */     GIR_RootConstrainSelectedInstOperands,
     /*  250885 */     // GIR_Coverage, 5317,
     /*  250885 */     GIR_EraseRootFromParent_Done,
     /*  250886 */   // Label 4815: @250886
     /*  250886 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(250949), // Rule ID 5318 //
     /*  250891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250930 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250947 */     GIR_RootConstrainSelectedInstOperands,
     /*  250948 */     // GIR_Coverage, 5318,
     /*  250948 */     GIR_EraseRootFromParent_Done,
     /*  250949 */   // Label 4816: @250949
     /*  250949 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251012), // Rule ID 5319 //
     /*  250954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  250965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  250968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250993 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251010 */     GIR_RootConstrainSelectedInstOperands,
     /*  251011 */     // GIR_Coverage, 5319,
     /*  251011 */     GIR_EraseRootFromParent_Done,
     /*  251012 */   // Label 4817: @251012
     /*  251012 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251075), // Rule ID 5320 //
     /*  251017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  251028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  251031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251056 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251073 */     GIR_RootConstrainSelectedInstOperands,
     /*  251074 */     // GIR_Coverage, 5320,
     /*  251074 */     GIR_EraseRootFromParent_Done,
     /*  251075 */   // Label 4818: @251075
     /*  251075 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251138), // Rule ID 5321 //
     /*  251080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251136 */     GIR_RootConstrainSelectedInstOperands,
     /*  251137 */     // GIR_Coverage, 5321,
     /*  251137 */     GIR_EraseRootFromParent_Done,
     /*  251138 */   // Label 4819: @251138
     /*  251138 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251201), // Rule ID 5322 //
     /*  251143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251199 */     GIR_RootConstrainSelectedInstOperands,
     /*  251200 */     // GIR_Coverage, 5322,
     /*  251200 */     GIR_EraseRootFromParent_Done,
     /*  251201 */   // Label 4820: @251201
     /*  251201 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251264), // Rule ID 5323 //
     /*  251206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251262 */     GIR_RootConstrainSelectedInstOperands,
     /*  251263 */     // GIR_Coverage, 5323,
     /*  251263 */     GIR_EraseRootFromParent_Done,
     /*  251264 */   // Label 4821: @251264
     /*  251264 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251327), // Rule ID 5324 //
     /*  251269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  251283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251325 */     GIR_RootConstrainSelectedInstOperands,
     /*  251326 */     // GIR_Coverage, 5324,
     /*  251326 */     GIR_EraseRootFromParent_Done,
     /*  251327 */   // Label 4822: @251327
     /*  251327 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251390), // Rule ID 5325 //
     /*  251332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251371 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251388 */     GIR_RootConstrainSelectedInstOperands,
     /*  251389 */     // GIR_Coverage, 5325,
     /*  251389 */     GIR_EraseRootFromParent_Done,
     /*  251390 */   // Label 4823: @251390
     /*  251390 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251453), // Rule ID 5326 //
     /*  251395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251434 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251451 */     GIR_RootConstrainSelectedInstOperands,
     /*  251452 */     // GIR_Coverage, 5326,
     /*  251452 */     GIR_EraseRootFromParent_Done,
     /*  251453 */   // Label 4824: @251453
     /*  251453 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251516), // Rule ID 5327 //
     /*  251458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251514 */     GIR_RootConstrainSelectedInstOperands,
     /*  251515 */     // GIR_Coverage, 5327,
     /*  251515 */     GIR_EraseRootFromParent_Done,
     /*  251516 */   // Label 4825: @251516
     /*  251516 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251579), // Rule ID 5328 //
     /*  251521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251577 */     GIR_RootConstrainSelectedInstOperands,
     /*  251578 */     // GIR_Coverage, 5328,
     /*  251578 */     GIR_EraseRootFromParent_Done,
     /*  251579 */   // Label 4826: @251579
     /*  251579 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251642), // Rule ID 5329 //
     /*  251584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251640 */     GIR_RootConstrainSelectedInstOperands,
     /*  251641 */     // GIR_Coverage, 5329,
     /*  251641 */     GIR_EraseRootFromParent_Done,
     /*  251642 */   // Label 4827: @251642
     /*  251642 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(251705), // Rule ID 5330 //
     /*  251647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251686 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  251689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251703 */     GIR_RootConstrainSelectedInstOperands,
     /*  251704 */     // GIR_Coverage, 5330,
     /*  251704 */     GIR_EraseRootFromParent_Done,
     /*  251705 */   // Label 4828: @251705
     /*  251705 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(251768), // Rule ID 5331 //
     /*  251710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251766 */     GIR_RootConstrainSelectedInstOperands,
     /*  251767 */     // GIR_Coverage, 5331,
     /*  251767 */     GIR_EraseRootFromParent_Done,
     /*  251768 */   // Label 4829: @251768
     /*  251768 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(251831), // Rule ID 5332 //
     /*  251773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251829 */     GIR_RootConstrainSelectedInstOperands,
     /*  251830 */     // GIR_Coverage, 5332,
     /*  251830 */     GIR_EraseRootFromParent_Done,
     /*  251831 */   // Label 4830: @251831
     /*  251831 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(251894), // Rule ID 5333 //
     /*  251836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251892 */     GIR_RootConstrainSelectedInstOperands,
     /*  251893 */     // GIR_Coverage, 5333,
     /*  251893 */     GIR_EraseRootFromParent_Done,
     /*  251894 */   // Label 4831: @251894
     /*  251894 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(251957), // Rule ID 5334 //
     /*  251899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  251941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251955 */     GIR_RootConstrainSelectedInstOperands,
     /*  251956 */     // GIR_Coverage, 5334,
     /*  251956 */     GIR_EraseRootFromParent_Done,
     /*  251957 */   // Label 4832: @251957
     /*  251957 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252020), // Rule ID 5335 //
     /*  251962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252018 */     GIR_RootConstrainSelectedInstOperands,
     /*  252019 */     // GIR_Coverage, 5335,
     /*  252019 */     GIR_EraseRootFromParent_Done,
     /*  252020 */   // Label 4833: @252020
     /*  252020 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252083), // Rule ID 5336 //
     /*  252025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  252039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  252067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252081 */     GIR_RootConstrainSelectedInstOperands,
     /*  252082 */     // GIR_Coverage, 5336,
     /*  252082 */     GIR_EraseRootFromParent_Done,
     /*  252083 */   // Label 4834: @252083
     /*  252083 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252146), // Rule ID 5337 //
     /*  252088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  252105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252144 */     GIR_RootConstrainSelectedInstOperands,
     /*  252145 */     // GIR_Coverage, 5337,
     /*  252145 */     GIR_EraseRootFromParent_Done,
     /*  252146 */   // Label 4835: @252146
     /*  252146 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252209), // Rule ID 5338 //
     /*  252151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  252168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  252183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  252193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252207 */     GIR_RootConstrainSelectedInstOperands,
     /*  252208 */     // GIR_Coverage, 5338,
     /*  252208 */     GIR_EraseRootFromParent_Done,
     /*  252209 */   // Label 4836: @252209
     /*  252209 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252272), // Rule ID 5559 //
     /*  252214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252270 */     GIR_RootConstrainSelectedInstOperands,
     /*  252271 */     // GIR_Coverage, 5559,
     /*  252271 */     GIR_EraseRootFromParent_Done,
     /*  252272 */   // Label 4837: @252272
     /*  252272 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252335), // Rule ID 5560 //
     /*  252277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  252291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  252294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  252319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252333 */     GIR_RootConstrainSelectedInstOperands,
     /*  252334 */     // GIR_Coverage, 5560,
     /*  252334 */     GIR_EraseRootFromParent_Done,
     /*  252335 */   // Label 4838: @252335
     /*  252335 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252398), // Rule ID 5561 //
     /*  252340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252396 */     GIR_RootConstrainSelectedInstOperands,
     /*  252397 */     // GIR_Coverage, 5561,
     /*  252397 */     GIR_EraseRootFromParent_Done,
     /*  252398 */   // Label 4839: @252398
     /*  252398 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252461), // Rule ID 5562 //
     /*  252403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252442 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252459 */     GIR_RootConstrainSelectedInstOperands,
     /*  252460 */     // GIR_Coverage, 5562,
     /*  252460 */     GIR_EraseRootFromParent_Done,
     /*  252461 */   // Label 4840: @252461
     /*  252461 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252524), // Rule ID 5563 //
     /*  252466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252522 */     GIR_RootConstrainSelectedInstOperands,
     /*  252523 */     // GIR_Coverage, 5563,
     /*  252523 */     GIR_EraseRootFromParent_Done,
     /*  252524 */   // Label 4841: @252524
     /*  252524 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252587), // Rule ID 5564 //
     /*  252529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252585 */     GIR_RootConstrainSelectedInstOperands,
     /*  252586 */     // GIR_Coverage, 5564,
     /*  252586 */     GIR_EraseRootFromParent_Done,
     /*  252587 */   // Label 4842: @252587
     /*  252587 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252650), // Rule ID 5565 //
     /*  252592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252648 */     GIR_RootConstrainSelectedInstOperands,
     /*  252649 */     // GIR_Coverage, 5565,
     /*  252649 */     GIR_EraseRootFromParent_Done,
     /*  252650 */   // Label 4843: @252650
     /*  252650 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(252713), // Rule ID 5566 //
     /*  252655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  252697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252711 */     GIR_RootConstrainSelectedInstOperands,
     /*  252712 */     // GIR_Coverage, 5566,
     /*  252712 */     GIR_EraseRootFromParent_Done,
     /*  252713 */   // Label 4844: @252713
     /*  252713 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(252776), // Rule ID 5567 //
     /*  252718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252774 */     GIR_RootConstrainSelectedInstOperands,
     /*  252775 */     // GIR_Coverage, 5567,
     /*  252775 */     GIR_EraseRootFromParent_Done,
     /*  252776 */   // Label 4845: @252776
     /*  252776 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(252839), // Rule ID 5568 //
     /*  252781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252837 */     GIR_RootConstrainSelectedInstOperands,
     /*  252838 */     // GIR_Coverage, 5568,
     /*  252838 */     GIR_EraseRootFromParent_Done,
     /*  252839 */   // Label 4846: @252839
     /*  252839 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(252902), // Rule ID 5569 //
     /*  252844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252900 */     GIR_RootConstrainSelectedInstOperands,
     /*  252901 */     // GIR_Coverage, 5569,
     /*  252901 */     GIR_EraseRootFromParent_Done,
     /*  252902 */   // Label 4847: @252902
     /*  252902 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(252965), // Rule ID 5570 //
     /*  252907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252946 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  252949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252963 */     GIR_RootConstrainSelectedInstOperands,
     /*  252964 */     // GIR_Coverage, 5570,
     /*  252964 */     GIR_EraseRootFromParent_Done,
     /*  252965 */   // Label 4848: @252965
     /*  252965 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253028), // Rule ID 5571 //
     /*  252970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253026 */     GIR_RootConstrainSelectedInstOperands,
     /*  253027 */     // GIR_Coverage, 5571,
     /*  253027 */     GIR_EraseRootFromParent_Done,
     /*  253028 */   // Label 4849: @253028
     /*  253028 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253091), // Rule ID 5572 //
     /*  253033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  253047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253089 */     GIR_RootConstrainSelectedInstOperands,
     /*  253090 */     // GIR_Coverage, 5572,
     /*  253090 */     GIR_EraseRootFromParent_Done,
     /*  253091 */   // Label 4850: @253091
     /*  253091 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253154), // Rule ID 5573 //
     /*  253096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253152 */     GIR_RootConstrainSelectedInstOperands,
     /*  253153 */     // GIR_Coverage, 5573,
     /*  253153 */     GIR_EraseRootFromParent_Done,
     /*  253154 */   // Label 4851: @253154
     /*  253154 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253217), // Rule ID 5574 //
     /*  253159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  253176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253215 */     GIR_RootConstrainSelectedInstOperands,
     /*  253216 */     // GIR_Coverage, 5574,
     /*  253216 */     GIR_EraseRootFromParent_Done,
     /*  253217 */   // Label 4852: @253217
     /*  253217 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253280), // Rule ID 5575 //
     /*  253222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253261 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253278 */     GIR_RootConstrainSelectedInstOperands,
     /*  253279 */     // GIR_Coverage, 5575,
     /*  253279 */     GIR_EraseRootFromParent_Done,
     /*  253280 */   // Label 4853: @253280
     /*  253280 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253343), // Rule ID 5576 //
     /*  253285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253341 */     GIR_RootConstrainSelectedInstOperands,
     /*  253342 */     // GIR_Coverage, 5576,
     /*  253342 */     GIR_EraseRootFromParent_Done,
     /*  253343 */   // Label 4854: @253343
     /*  253343 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253406), // Rule ID 5577 //
     /*  253348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253404 */     GIR_RootConstrainSelectedInstOperands,
     /*  253405 */     // GIR_Coverage, 5577,
     /*  253405 */     GIR_EraseRootFromParent_Done,
     /*  253406 */   // Label 4855: @253406
     /*  253406 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253469), // Rule ID 5578 //
     /*  253411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253450 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  253453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253467 */     GIR_RootConstrainSelectedInstOperands,
     /*  253468 */     // GIR_Coverage, 5578,
     /*  253468 */     GIR_EraseRootFromParent_Done,
     /*  253469 */   // Label 4856: @253469
     /*  253469 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253532), // Rule ID 5579 //
     /*  253474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253530 */     GIR_RootConstrainSelectedInstOperands,
     /*  253531 */     // GIR_Coverage, 5579,
     /*  253531 */     GIR_EraseRootFromParent_Done,
     /*  253532 */   // Label 4857: @253532
     /*  253532 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253595), // Rule ID 5580 //
     /*  253537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253593 */     GIR_RootConstrainSelectedInstOperands,
     /*  253594 */     // GIR_Coverage, 5580,
     /*  253594 */     GIR_EraseRootFromParent_Done,
     /*  253595 */   // Label 4858: @253595
     /*  253595 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253658), // Rule ID 5581 //
     /*  253600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253639 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253656 */     GIR_RootConstrainSelectedInstOperands,
     /*  253657 */     // GIR_Coverage, 5581,
     /*  253657 */     GIR_EraseRootFromParent_Done,
     /*  253658 */   // Label 4859: @253658
     /*  253658 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(253721), // Rule ID 5582 //
     /*  253663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253702 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253719 */     GIR_RootConstrainSelectedInstOperands,
     /*  253720 */     // GIR_Coverage, 5582,
     /*  253720 */     GIR_EraseRootFromParent_Done,
     /*  253721 */   // Label 4860: @253721
     /*  253721 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(253784), // Rule ID 5583 //
     /*  253726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253765 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253782 */     GIR_RootConstrainSelectedInstOperands,
     /*  253783 */     // GIR_Coverage, 5583,
     /*  253783 */     GIR_EraseRootFromParent_Done,
     /*  253784 */   // Label 4861: @253784
     /*  253784 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(253847), // Rule ID 5584 //
     /*  253789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253828 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253845 */     GIR_RootConstrainSelectedInstOperands,
     /*  253846 */     // GIR_Coverage, 5584,
     /*  253846 */     GIR_EraseRootFromParent_Done,
     /*  253847 */   // Label 4862: @253847
     /*  253847 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(253910), // Rule ID 5585 //
     /*  253852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253908 */     GIR_RootConstrainSelectedInstOperands,
     /*  253909 */     // GIR_Coverage, 5585,
     /*  253909 */     GIR_EraseRootFromParent_Done,
     /*  253910 */   // Label 4863: @253910
     /*  253910 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(253973), // Rule ID 5586 //
     /*  253915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253954 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253971 */     GIR_RootConstrainSelectedInstOperands,
     /*  253972 */     // GIR_Coverage, 5586,
     /*  253972 */     GIR_EraseRootFromParent_Done,
     /*  253973 */   // Label 4864: @253973
     /*  253973 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254036), // Rule ID 5587 //
     /*  253978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254034 */     GIR_RootConstrainSelectedInstOperands,
     /*  254035 */     // GIR_Coverage, 5587,
     /*  254035 */     GIR_EraseRootFromParent_Done,
     /*  254036 */   // Label 4865: @254036
     /*  254036 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254099), // Rule ID 5588 //
     /*  254041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254097 */     GIR_RootConstrainSelectedInstOperands,
     /*  254098 */     // GIR_Coverage, 5588,
     /*  254098 */     GIR_EraseRootFromParent_Done,
     /*  254099 */   // Label 4866: @254099
     /*  254099 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254162), // Rule ID 5589 //
     /*  254104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254143 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254160 */     GIR_RootConstrainSelectedInstOperands,
     /*  254161 */     // GIR_Coverage, 5589,
     /*  254161 */     GIR_EraseRootFromParent_Done,
     /*  254162 */   // Label 4867: @254162
     /*  254162 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254225), // Rule ID 5590 //
     /*  254167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  254178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  254184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254206 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254223 */     GIR_RootConstrainSelectedInstOperands,
     /*  254224 */     // GIR_Coverage, 5590,
     /*  254224 */     GIR_EraseRootFromParent_Done,
     /*  254225 */   // Label 4868: @254225
     /*  254225 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254288), // Rule ID 5591 //
     /*  254230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254286 */     GIR_RootConstrainSelectedInstOperands,
     /*  254287 */     // GIR_Coverage, 5591,
     /*  254287 */     GIR_EraseRootFromParent_Done,
     /*  254288 */   // Label 4869: @254288
     /*  254288 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254351), // Rule ID 5592 //
     /*  254293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254349 */     GIR_RootConstrainSelectedInstOperands,
     /*  254350 */     // GIR_Coverage, 5592,
     /*  254350 */     GIR_EraseRootFromParent_Done,
     /*  254351 */   // Label 4870: @254351
     /*  254351 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254414), // Rule ID 5593 //
     /*  254356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254412 */     GIR_RootConstrainSelectedInstOperands,
     /*  254413 */     // GIR_Coverage, 5593,
     /*  254413 */     GIR_EraseRootFromParent_Done,
     /*  254414 */   // Label 4871: @254414
     /*  254414 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254477), // Rule ID 5594 //
     /*  254419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254458 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254475 */     GIR_RootConstrainSelectedInstOperands,
     /*  254476 */     // GIR_Coverage, 5594,
     /*  254476 */     GIR_EraseRootFromParent_Done,
     /*  254477 */   // Label 4872: @254477
     /*  254477 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254540), // Rule ID 5595 //
     /*  254482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254538 */     GIR_RootConstrainSelectedInstOperands,
     /*  254539 */     // GIR_Coverage, 5595,
     /*  254539 */     GIR_EraseRootFromParent_Done,
     /*  254540 */   // Label 4873: @254540
     /*  254540 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254603), // Rule ID 5596 //
     /*  254545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254601 */     GIR_RootConstrainSelectedInstOperands,
     /*  254602 */     // GIR_Coverage, 5596,
     /*  254602 */     GIR_EraseRootFromParent_Done,
     /*  254603 */   // Label 4874: @254603
     /*  254603 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254666), // Rule ID 5597 //
     /*  254608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254664 */     GIR_RootConstrainSelectedInstOperands,
     /*  254665 */     // GIR_Coverage, 5597,
     /*  254665 */     GIR_EraseRootFromParent_Done,
     /*  254666 */   // Label 4875: @254666
     /*  254666 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(254729), // Rule ID 5598 //
     /*  254671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254710 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  254713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254727 */     GIR_RootConstrainSelectedInstOperands,
     /*  254728 */     // GIR_Coverage, 5598,
     /*  254728 */     GIR_EraseRootFromParent_Done,
     /*  254729 */   // Label 4876: @254729
     /*  254729 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(254792), // Rule ID 5599 //
     /*  254734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254790 */     GIR_RootConstrainSelectedInstOperands,
     /*  254791 */     // GIR_Coverage, 5599,
     /*  254791 */     GIR_EraseRootFromParent_Done,
     /*  254792 */   // Label 4877: @254792
     /*  254792 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(254855), // Rule ID 5600 //
     /*  254797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  254839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254853 */     GIR_RootConstrainSelectedInstOperands,
     /*  254854 */     // GIR_Coverage, 5600,
     /*  254854 */     GIR_EraseRootFromParent_Done,
     /*  254855 */   // Label 4878: @254855
     /*  254855 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(254918), // Rule ID 5601 //
     /*  254860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254916 */     GIR_RootConstrainSelectedInstOperands,
     /*  254917 */     // GIR_Coverage, 5601,
     /*  254917 */     GIR_EraseRootFromParent_Done,
     /*  254918 */   // Label 4879: @254918
     /*  254918 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(254981), // Rule ID 5602 //
     /*  254923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  254965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254979 */     GIR_RootConstrainSelectedInstOperands,
     /*  254980 */     // GIR_Coverage, 5602,
     /*  254980 */     GIR_EraseRootFromParent_Done,
     /*  254981 */   // Label 4880: @254981
     /*  254981 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255044), // Rule ID 5603 //
     /*  254986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255042 */     GIR_RootConstrainSelectedInstOperands,
     /*  255043 */     // GIR_Coverage, 5603,
     /*  255043 */     GIR_EraseRootFromParent_Done,
     /*  255044 */   // Label 4881: @255044
     /*  255044 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255107), // Rule ID 5604 //
     /*  255049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  255063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  255091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255105 */     GIR_RootConstrainSelectedInstOperands,
     /*  255106 */     // GIR_Coverage, 5604,
     /*  255106 */     GIR_EraseRootFromParent_Done,
     /*  255107 */   // Label 4882: @255107
     /*  255107 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255170), // Rule ID 5605 //
     /*  255112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255151 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255168 */     GIR_RootConstrainSelectedInstOperands,
     /*  255169 */     // GIR_Coverage, 5605,
     /*  255169 */     GIR_EraseRootFromParent_Done,
     /*  255170 */   // Label 4883: @255170
     /*  255170 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255233), // Rule ID 5606 //
     /*  255175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  255189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255214 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255231 */     GIR_RootConstrainSelectedInstOperands,
     /*  255232 */     // GIR_Coverage, 5606,
     /*  255232 */     GIR_EraseRootFromParent_Done,
     /*  255233 */   // Label 4884: @255233
     /*  255233 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255296), // Rule ID 5607 //
     /*  255238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255294 */     GIR_RootConstrainSelectedInstOperands,
     /*  255295 */     // GIR_Coverage, 5607,
     /*  255295 */     GIR_EraseRootFromParent_Done,
     /*  255296 */   // Label 4885: @255296
     /*  255296 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255359), // Rule ID 5608 //
     /*  255301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255357 */     GIR_RootConstrainSelectedInstOperands,
     /*  255358 */     // GIR_Coverage, 5608,
     /*  255358 */     GIR_EraseRootFromParent_Done,
     /*  255359 */   // Label 4886: @255359
     /*  255359 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255422), // Rule ID 5609 //
     /*  255364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255420 */     GIR_RootConstrainSelectedInstOperands,
     /*  255421 */     // GIR_Coverage, 5609,
     /*  255421 */     GIR_EraseRootFromParent_Done,
     /*  255422 */   // Label 4887: @255422
     /*  255422 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255485), // Rule ID 5610 //
     /*  255427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  255469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255483 */     GIR_RootConstrainSelectedInstOperands,
     /*  255484 */     // GIR_Coverage, 5610,
     /*  255484 */     GIR_EraseRootFromParent_Done,
     /*  255485 */   // Label 4888: @255485
     /*  255485 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255548), // Rule ID 5611 //
     /*  255490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255546 */     GIR_RootConstrainSelectedInstOperands,
     /*  255547 */     // GIR_Coverage, 5611,
     /*  255547 */     GIR_EraseRootFromParent_Done,
     /*  255548 */   // Label 4889: @255548
     /*  255548 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255611), // Rule ID 5612 //
     /*  255553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255609 */     GIR_RootConstrainSelectedInstOperands,
     /*  255610 */     // GIR_Coverage, 5612,
     /*  255610 */     GIR_EraseRootFromParent_Done,
     /*  255611 */   // Label 4890: @255611
     /*  255611 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255674), // Rule ID 5613 //
     /*  255616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255672 */     GIR_RootConstrainSelectedInstOperands,
     /*  255673 */     // GIR_Coverage, 5613,
     /*  255673 */     GIR_EraseRootFromParent_Done,
     /*  255674 */   // Label 4891: @255674
     /*  255674 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(255737), // Rule ID 5614 //
     /*  255679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  255721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255735 */     GIR_RootConstrainSelectedInstOperands,
     /*  255736 */     // GIR_Coverage, 5614,
     /*  255736 */     GIR_EraseRootFromParent_Done,
     /*  255737 */   // Label 4892: @255737
     /*  255737 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(255800), // Rule ID 5615 //
     /*  255742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255798 */     GIR_RootConstrainSelectedInstOperands,
     /*  255799 */     // GIR_Coverage, 5615,
     /*  255799 */     GIR_EraseRootFromParent_Done,
     /*  255800 */   // Label 4893: @255800
     /*  255800 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(255863), // Rule ID 5616 //
     /*  255805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255861 */     GIR_RootConstrainSelectedInstOperands,
     /*  255862 */     // GIR_Coverage, 5616,
     /*  255862 */     GIR_EraseRootFromParent_Done,
     /*  255863 */   // Label 4894: @255863
     /*  255863 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(255926), // Rule ID 5617 //
     /*  255868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255924 */     GIR_RootConstrainSelectedInstOperands,
     /*  255925 */     // GIR_Coverage, 5617,
     /*  255925 */     GIR_EraseRootFromParent_Done,
     /*  255926 */   // Label 4895: @255926
     /*  255926 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(255989), // Rule ID 5618 //
     /*  255931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255987 */     GIR_RootConstrainSelectedInstOperands,
     /*  255988 */     // GIR_Coverage, 5618,
     /*  255988 */     GIR_EraseRootFromParent_Done,
     /*  255989 */   // Label 4896: @255989
     /*  255989 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256052), // Rule ID 5619 //
     /*  255994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256050 */     GIR_RootConstrainSelectedInstOperands,
     /*  256051 */     // GIR_Coverage, 5619,
     /*  256051 */     GIR_EraseRootFromParent_Done,
     /*  256052 */   // Label 4897: @256052
     /*  256052 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256115), // Rule ID 5620 //
     /*  256057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  256071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256113 */     GIR_RootConstrainSelectedInstOperands,
     /*  256114 */     // GIR_Coverage, 5620,
     /*  256114 */     GIR_EraseRootFromParent_Done,
     /*  256115 */   // Label 4898: @256115
     /*  256115 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256178), // Rule ID 5621 //
     /*  256120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256176 */     GIR_RootConstrainSelectedInstOperands,
     /*  256177 */     // GIR_Coverage, 5621,
     /*  256177 */     GIR_EraseRootFromParent_Done,
     /*  256178 */   // Label 4899: @256178
     /*  256178 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256241), // Rule ID 5622 //
     /*  256183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256222 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  256225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256239 */     GIR_RootConstrainSelectedInstOperands,
     /*  256240 */     // GIR_Coverage, 5622,
     /*  256240 */     GIR_EraseRootFromParent_Done,
     /*  256241 */   // Label 4900: @256241
     /*  256241 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256304), // Rule ID 5623 //
     /*  256246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256302 */     GIR_RootConstrainSelectedInstOperands,
     /*  256303 */     // GIR_Coverage, 5623,
     /*  256303 */     GIR_EraseRootFromParent_Done,
     /*  256304 */   // Label 4901: @256304
     /*  256304 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256367), // Rule ID 5624 //
     /*  256309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256365 */     GIR_RootConstrainSelectedInstOperands,
     /*  256366 */     // GIR_Coverage, 5624,
     /*  256366 */     GIR_EraseRootFromParent_Done,
     /*  256367 */   // Label 4902: @256367
     /*  256367 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256430), // Rule ID 5625 //
     /*  256372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256428 */     GIR_RootConstrainSelectedInstOperands,
     /*  256429 */     // GIR_Coverage, 5625,
     /*  256429 */     GIR_EraseRootFromParent_Done,
     /*  256430 */   // Label 4903: @256430
     /*  256430 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256493), // Rule ID 5626 //
     /*  256435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256474 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256491 */     GIR_RootConstrainSelectedInstOperands,
     /*  256492 */     // GIR_Coverage, 5626,
     /*  256492 */     GIR_EraseRootFromParent_Done,
     /*  256493 */   // Label 4904: @256493
     /*  256493 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256556), // Rule ID 5627 //
     /*  256498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256537 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256554 */     GIR_RootConstrainSelectedInstOperands,
     /*  256555 */     // GIR_Coverage, 5627,
     /*  256555 */     GIR_EraseRootFromParent_Done,
     /*  256556 */   // Label 4905: @256556
     /*  256556 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256619), // Rule ID 5628 //
     /*  256561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256600 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256617 */     GIR_RootConstrainSelectedInstOperands,
     /*  256618 */     // GIR_Coverage, 5628,
     /*  256618 */     GIR_EraseRootFromParent_Done,
     /*  256619 */   // Label 4906: @256619
     /*  256619 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(256682), // Rule ID 5629 //
     /*  256624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256680 */     GIR_RootConstrainSelectedInstOperands,
     /*  256681 */     // GIR_Coverage, 5629,
     /*  256681 */     GIR_EraseRootFromParent_Done,
     /*  256682 */   // Label 4907: @256682
     /*  256682 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(256745), // Rule ID 5630 //
     /*  256687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256726 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256743 */     GIR_RootConstrainSelectedInstOperands,
     /*  256744 */     // GIR_Coverage, 5630,
     /*  256744 */     GIR_EraseRootFromParent_Done,
     /*  256745 */   // Label 4908: @256745
     /*  256745 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(256808), // Rule ID 5631 //
     /*  256750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256806 */     GIR_RootConstrainSelectedInstOperands,
     /*  256807 */     // GIR_Coverage, 5631,
     /*  256807 */     GIR_EraseRootFromParent_Done,
     /*  256808 */   // Label 4909: @256808
     /*  256808 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(256871), // Rule ID 5632 //
     /*  256813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256869 */     GIR_RootConstrainSelectedInstOperands,
     /*  256870 */     // GIR_Coverage, 5632,
     /*  256870 */     GIR_EraseRootFromParent_Done,
     /*  256871 */   // Label 4910: @256871
     /*  256871 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(256934), // Rule ID 5633 //
     /*  256876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256915 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256932 */     GIR_RootConstrainSelectedInstOperands,
     /*  256933 */     // GIR_Coverage, 5633,
     /*  256933 */     GIR_EraseRootFromParent_Done,
     /*  256934 */   // Label 4911: @256934
     /*  256934 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(256997), // Rule ID 5634 //
     /*  256939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256978 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256995 */     GIR_RootConstrainSelectedInstOperands,
     /*  256996 */     // GIR_Coverage, 5634,
     /*  256996 */     GIR_EraseRootFromParent_Done,
     /*  256997 */   // Label 4912: @256997
     /*  256997 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257060), // Rule ID 5635 //
     /*  257002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257058 */     GIR_RootConstrainSelectedInstOperands,
     /*  257059 */     // GIR_Coverage, 5635,
     /*  257059 */     GIR_EraseRootFromParent_Done,
     /*  257060 */   // Label 4913: @257060
     /*  257060 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257123), // Rule ID 5636 //
     /*  257065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  257079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257121 */     GIR_RootConstrainSelectedInstOperands,
     /*  257122 */     // GIR_Coverage, 5636,
     /*  257122 */     GIR_EraseRootFromParent_Done,
     /*  257123 */   // Label 4914: @257123
     /*  257123 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257186), // Rule ID 5637 //
     /*  257128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257184 */     GIR_RootConstrainSelectedInstOperands,
     /*  257185 */     // GIR_Coverage, 5637,
     /*  257185 */     GIR_EraseRootFromParent_Done,
     /*  257186 */   // Label 4915: @257186
     /*  257186 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257249), // Rule ID 5638 //
     /*  257191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  257205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257230 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257247 */     GIR_RootConstrainSelectedInstOperands,
     /*  257248 */     // GIR_Coverage, 5638,
     /*  257248 */     GIR_EraseRootFromParent_Done,
     /*  257249 */   // Label 4916: @257249
     /*  257249 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257312), // Rule ID 5639 //
     /*  257254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257310 */     GIR_RootConstrainSelectedInstOperands,
     /*  257311 */     // GIR_Coverage, 5639,
     /*  257311 */     GIR_EraseRootFromParent_Done,
     /*  257312 */   // Label 4917: @257312
     /*  257312 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257375), // Rule ID 5640 //
     /*  257317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257373 */     GIR_RootConstrainSelectedInstOperands,
     /*  257374 */     // GIR_Coverage, 5640,
     /*  257374 */     GIR_EraseRootFromParent_Done,
     /*  257375 */   // Label 4918: @257375
     /*  257375 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257438), // Rule ID 5641 //
     /*  257380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257436 */     GIR_RootConstrainSelectedInstOperands,
     /*  257437 */     // GIR_Coverage, 5641,
     /*  257437 */     GIR_EraseRootFromParent_Done,
     /*  257438 */   // Label 4919: @257438
     /*  257438 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257501), // Rule ID 5642 //
     /*  257443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  257485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257499 */     GIR_RootConstrainSelectedInstOperands,
     /*  257500 */     // GIR_Coverage, 5642,
     /*  257500 */     GIR_EraseRootFromParent_Done,
     /*  257501 */   // Label 4920: @257501
     /*  257501 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257564), // Rule ID 5643 //
     /*  257506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257562 */     GIR_RootConstrainSelectedInstOperands,
     /*  257563 */     // GIR_Coverage, 5643,
     /*  257563 */     GIR_EraseRootFromParent_Done,
     /*  257564 */   // Label 4921: @257564
     /*  257564 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257627), // Rule ID 5644 //
     /*  257569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  257611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257625 */     GIR_RootConstrainSelectedInstOperands,
     /*  257626 */     // GIR_Coverage, 5644,
     /*  257626 */     GIR_EraseRootFromParent_Done,
     /*  257627 */   // Label 4922: @257627
     /*  257627 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(257690), // Rule ID 5645 //
     /*  257632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257688 */     GIR_RootConstrainSelectedInstOperands,
     /*  257689 */     // GIR_Coverage, 5645,
     /*  257689 */     GIR_EraseRootFromParent_Done,
     /*  257690 */   // Label 4923: @257690
     /*  257690 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(257753), // Rule ID 5646 //
     /*  257695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  257737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257751 */     GIR_RootConstrainSelectedInstOperands,
     /*  257752 */     // GIR_Coverage, 5646,
     /*  257752 */     GIR_EraseRootFromParent_Done,
     /*  257753 */   // Label 4924: @257753
     /*  257753 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(257816), // Rule ID 7679 //
     /*  257758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  257800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257814 */     GIR_RootConstrainSelectedInstOperands,
     /*  257815 */     // GIR_Coverage, 7679,
     /*  257815 */     GIR_EraseRootFromParent_Done,
     /*  257816 */   // Label 4925: @257816
     /*  257816 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(257879), // Rule ID 7680 //
     /*  257821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  257863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257877 */     GIR_RootConstrainSelectedInstOperands,
     /*  257878 */     // GIR_Coverage, 7680,
     /*  257878 */     GIR_EraseRootFromParent_Done,
     /*  257879 */   // Label 4926: @257879
     /*  257879 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(257942), // Rule ID 7683 //
     /*  257884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257940 */     GIR_RootConstrainSelectedInstOperands,
     /*  257941 */     // GIR_Coverage, 7683,
     /*  257941 */     GIR_EraseRootFromParent_Done,
     /*  257942 */   // Label 4927: @257942
     /*  257942 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258005), // Rule ID 7684 //
     /*  257947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258003 */     GIR_RootConstrainSelectedInstOperands,
     /*  258004 */     // GIR_Coverage, 7684,
     /*  258004 */     GIR_EraseRootFromParent_Done,
     /*  258005 */   // Label 4928: @258005
     /*  258005 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258068), // Rule ID 7687 //
     /*  258010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258066 */     GIR_RootConstrainSelectedInstOperands,
     /*  258067 */     // GIR_Coverage, 7687,
     /*  258067 */     GIR_EraseRootFromParent_Done,
     /*  258068 */   // Label 4929: @258068
     /*  258068 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258131), // Rule ID 7688 //
     /*  258073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  258087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  258115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258129 */     GIR_RootConstrainSelectedInstOperands,
     /*  258130 */     // GIR_Coverage, 7688,
     /*  258130 */     GIR_EraseRootFromParent_Done,
     /*  258131 */   // Label 4930: @258131
     /*  258131 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258194), // Rule ID 7691 //
     /*  258136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258192 */     GIR_RootConstrainSelectedInstOperands,
     /*  258193 */     // GIR_Coverage, 7691,
     /*  258193 */     GIR_EraseRootFromParent_Done,
     /*  258194 */   // Label 4931: @258194
     /*  258194 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258257), // Rule ID 7692 //
     /*  258199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258255 */     GIR_RootConstrainSelectedInstOperands,
     /*  258256 */     // GIR_Coverage, 7692,
     /*  258256 */     GIR_EraseRootFromParent_Done,
     /*  258257 */   // Label 4932: @258257
     /*  258257 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258320), // Rule ID 7695 //
     /*  258262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258318 */     GIR_RootConstrainSelectedInstOperands,
     /*  258319 */     // GIR_Coverage, 7695,
     /*  258319 */     GIR_EraseRootFromParent_Done,
     /*  258320 */   // Label 4933: @258320
     /*  258320 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258383), // Rule ID 7696 //
     /*  258325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  258367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258381 */     GIR_RootConstrainSelectedInstOperands,
     /*  258382 */     // GIR_Coverage, 7696,
     /*  258382 */     GIR_EraseRootFromParent_Done,
     /*  258383 */   // Label 4934: @258383
     /*  258383 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258446), // Rule ID 7699 //
     /*  258388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258444 */     GIR_RootConstrainSelectedInstOperands,
     /*  258445 */     // GIR_Coverage, 7699,
     /*  258445 */     GIR_EraseRootFromParent_Done,
     /*  258446 */   // Label 4935: @258446
     /*  258446 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258509), // Rule ID 7700 //
     /*  258451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258507 */     GIR_RootConstrainSelectedInstOperands,
     /*  258508 */     // GIR_Coverage, 7700,
     /*  258508 */     GIR_EraseRootFromParent_Done,
     /*  258509 */   // Label 4936: @258509
     /*  258509 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258572), // Rule ID 7703 //
     /*  258514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258570 */     GIR_RootConstrainSelectedInstOperands,
     /*  258571 */     // GIR_Coverage, 7703,
     /*  258571 */     GIR_EraseRootFromParent_Done,
     /*  258572 */   // Label 4937: @258572
     /*  258572 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258635), // Rule ID 7704 //
     /*  258577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258633 */     GIR_RootConstrainSelectedInstOperands,
     /*  258634 */     // GIR_Coverage, 7704,
     /*  258634 */     GIR_EraseRootFromParent_Done,
     /*  258635 */   // Label 4938: @258635
     /*  258635 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(258698), // Rule ID 7707 //
     /*  258640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258696 */     GIR_RootConstrainSelectedInstOperands,
     /*  258697 */     // GIR_Coverage, 7707,
     /*  258697 */     GIR_EraseRootFromParent_Done,
     /*  258698 */   // Label 4939: @258698
     /*  258698 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(258761), // Rule ID 7708 //
     /*  258703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258759 */     GIR_RootConstrainSelectedInstOperands,
     /*  258760 */     // GIR_Coverage, 7708,
     /*  258760 */     GIR_EraseRootFromParent_Done,
     /*  258761 */   // Label 4940: @258761
     /*  258761 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(258824), // Rule ID 7711 //
     /*  258766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258805 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258822 */     GIR_RootConstrainSelectedInstOperands,
     /*  258823 */     // GIR_Coverage, 7711,
     /*  258823 */     GIR_EraseRootFromParent_Done,
     /*  258824 */   // Label 4941: @258824
     /*  258824 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(258887), // Rule ID 7712 //
     /*  258829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  258871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258885 */     GIR_RootConstrainSelectedInstOperands,
     /*  258886 */     // GIR_Coverage, 7712,
     /*  258886 */     GIR_EraseRootFromParent_Done,
     /*  258887 */   // Label 4942: @258887
     /*  258887 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(258950), // Rule ID 7715 //
     /*  258892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258948 */     GIR_RootConstrainSelectedInstOperands,
     /*  258949 */     // GIR_Coverage, 7715,
     /*  258949 */     GIR_EraseRootFromParent_Done,
     /*  258950 */   // Label 4943: @258950
     /*  258950 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259013), // Rule ID 7716 //
     /*  258955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258994 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259011 */     GIR_RootConstrainSelectedInstOperands,
     /*  259012 */     // GIR_Coverage, 7716,
     /*  259012 */     GIR_EraseRootFromParent_Done,
     /*  259013 */   // Label 4944: @259013
     /*  259013 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259076), // Rule ID 7719 //
     /*  259018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259057 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259074 */     GIR_RootConstrainSelectedInstOperands,
     /*  259075 */     // GIR_Coverage, 7719,
     /*  259075 */     GIR_EraseRootFromParent_Done,
     /*  259076 */   // Label 4945: @259076
     /*  259076 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259139), // Rule ID 7720 //
     /*  259081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  259098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259137 */     GIR_RootConstrainSelectedInstOperands,
     /*  259138 */     // GIR_Coverage, 7720,
     /*  259138 */     GIR_EraseRootFromParent_Done,
     /*  259139 */   // Label 4946: @259139
     /*  259139 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259202), // Rule ID 7723 //
     /*  259144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259183 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259200 */     GIR_RootConstrainSelectedInstOperands,
     /*  259201 */     // GIR_Coverage, 7723,
     /*  259201 */     GIR_EraseRootFromParent_Done,
     /*  259202 */   // Label 4947: @259202
     /*  259202 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259265), // Rule ID 7724 //
     /*  259207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259246 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259263 */     GIR_RootConstrainSelectedInstOperands,
     /*  259264 */     // GIR_Coverage, 7724,
     /*  259264 */     GIR_EraseRootFromParent_Done,
     /*  259265 */   // Label 4948: @259265
     /*  259265 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259328), // Rule ID 7727 //
     /*  259270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259326 */     GIR_RootConstrainSelectedInstOperands,
     /*  259327 */     // GIR_Coverage, 7727,
     /*  259327 */     GIR_EraseRootFromParent_Done,
     /*  259328 */   // Label 4949: @259328
     /*  259328 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259391), // Rule ID 7728 //
     /*  259333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259389 */     GIR_RootConstrainSelectedInstOperands,
     /*  259390 */     // GIR_Coverage, 7728,
     /*  259390 */     GIR_EraseRootFromParent_Done,
     /*  259391 */   // Label 4950: @259391
     /*  259391 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259454), // Rule ID 7731 //
     /*  259396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259435 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259452 */     GIR_RootConstrainSelectedInstOperands,
     /*  259453 */     // GIR_Coverage, 7731,
     /*  259453 */     GIR_EraseRootFromParent_Done,
     /*  259454 */   // Label 4951: @259454
     /*  259454 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259517), // Rule ID 7732 //
     /*  259459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259515 */     GIR_RootConstrainSelectedInstOperands,
     /*  259516 */     // GIR_Coverage, 7732,
     /*  259516 */     GIR_EraseRootFromParent_Done,
     /*  259517 */   // Label 4952: @259517
     /*  259517 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259580), // Rule ID 7735 //
     /*  259522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259561 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259578 */     GIR_RootConstrainSelectedInstOperands,
     /*  259579 */     // GIR_Coverage, 7735,
     /*  259579 */     GIR_EraseRootFromParent_Done,
     /*  259580 */   // Label 4953: @259580
     /*  259580 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259643), // Rule ID 7736 //
     /*  259585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259641 */     GIR_RootConstrainSelectedInstOperands,
     /*  259642 */     // GIR_Coverage, 7736,
     /*  259642 */     GIR_EraseRootFromParent_Done,
     /*  259643 */   // Label 4954: @259643
     /*  259643 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(259706), // Rule ID 7739 //
     /*  259648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259704 */     GIR_RootConstrainSelectedInstOperands,
     /*  259705 */     // GIR_Coverage, 7739,
     /*  259705 */     GIR_EraseRootFromParent_Done,
     /*  259706 */   // Label 4955: @259706
     /*  259706 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(259769), // Rule ID 7740 //
     /*  259711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  259753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259767 */     GIR_RootConstrainSelectedInstOperands,
     /*  259768 */     // GIR_Coverage, 7740,
     /*  259768 */     GIR_EraseRootFromParent_Done,
     /*  259769 */   // Label 4956: @259769
     /*  259769 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(259832), // Rule ID 7743 //
     /*  259774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259830 */     GIR_RootConstrainSelectedInstOperands,
     /*  259831 */     // GIR_Coverage, 7743,
     /*  259831 */     GIR_EraseRootFromParent_Done,
     /*  259832 */   // Label 4957: @259832
     /*  259832 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(259895), // Rule ID 7744 //
     /*  259837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259893 */     GIR_RootConstrainSelectedInstOperands,
     /*  259894 */     // GIR_Coverage, 7744,
     /*  259894 */     GIR_EraseRootFromParent_Done,
     /*  259895 */   // Label 4958: @259895
     /*  259895 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(259958), // Rule ID 7747 //
     /*  259900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259956 */     GIR_RootConstrainSelectedInstOperands,
     /*  259957 */     // GIR_Coverage, 7747,
     /*  259957 */     GIR_EraseRootFromParent_Done,
     /*  259958 */   // Label 4959: @259958
     /*  259958 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260021), // Rule ID 7748 //
     /*  259963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260002 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260019 */     GIR_RootConstrainSelectedInstOperands,
     /*  260020 */     // GIR_Coverage, 7748,
     /*  260020 */     GIR_EraseRootFromParent_Done,
     /*  260021 */   // Label 4960: @260021
     /*  260021 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260084), // Rule ID 7751 //
     /*  260026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260082 */     GIR_RootConstrainSelectedInstOperands,
     /*  260083 */     // GIR_Coverage, 7751,
     /*  260083 */     GIR_EraseRootFromParent_Done,
     /*  260084 */   // Label 4961: @260084
     /*  260084 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260147), // Rule ID 7752 //
     /*  260089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  260103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  260131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260145 */     GIR_RootConstrainSelectedInstOperands,
     /*  260146 */     // GIR_Coverage, 7752,
     /*  260146 */     GIR_EraseRootFromParent_Done,
     /*  260147 */   // Label 4962: @260147
     /*  260147 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260210), // Rule ID 7755 //
     /*  260152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260191 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260208 */     GIR_RootConstrainSelectedInstOperands,
     /*  260209 */     // GIR_Coverage, 7755,
     /*  260209 */     GIR_EraseRootFromParent_Done,
     /*  260210 */   // Label 4963: @260210
     /*  260210 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260273), // Rule ID 7756 //
     /*  260215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  260257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260271 */     GIR_RootConstrainSelectedInstOperands,
     /*  260272 */     // GIR_Coverage, 7756,
     /*  260272 */     GIR_EraseRootFromParent_Done,
     /*  260273 */   // Label 4964: @260273
     /*  260273 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260336), // Rule ID 7759 //
     /*  260278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260334 */     GIR_RootConstrainSelectedInstOperands,
     /*  260335 */     // GIR_Coverage, 7759,
     /*  260335 */     GIR_EraseRootFromParent_Done,
     /*  260336 */   // Label 4965: @260336
     /*  260336 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260399), // Rule ID 7760 //
     /*  260341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  260383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260397 */     GIR_RootConstrainSelectedInstOperands,
     /*  260398 */     // GIR_Coverage, 7760,
     /*  260398 */     GIR_EraseRootFromParent_Done,
     /*  260399 */   // Label 4966: @260399
     /*  260399 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260462), // Rule ID 7763 //
     /*  260404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260443 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260460 */     GIR_RootConstrainSelectedInstOperands,
     /*  260461 */     // GIR_Coverage, 7763,
     /*  260461 */     GIR_EraseRootFromParent_Done,
     /*  260462 */   // Label 4967: @260462
     /*  260462 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260525), // Rule ID 7764 //
     /*  260467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  260509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260523 */     GIR_RootConstrainSelectedInstOperands,
     /*  260524 */     // GIR_Coverage, 7764,
     /*  260524 */     GIR_EraseRootFromParent_Done,
     /*  260525 */   // Label 4968: @260525
     /*  260525 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260588), // Rule ID 7767 //
     /*  260530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260586 */     GIR_RootConstrainSelectedInstOperands,
     /*  260587 */     // GIR_Coverage, 7767,
     /*  260587 */     GIR_EraseRootFromParent_Done,
     /*  260588 */   // Label 4969: @260588
     /*  260588 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260651), // Rule ID 7768 //
     /*  260593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260649 */     GIR_RootConstrainSelectedInstOperands,
     /*  260650 */     // GIR_Coverage, 7768,
     /*  260650 */     GIR_EraseRootFromParent_Done,
     /*  260651 */   // Label 4970: @260651
     /*  260651 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(260714), // Rule ID 7771 //
     /*  260656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  260698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260712 */     GIR_RootConstrainSelectedInstOperands,
     /*  260713 */     // GIR_Coverage, 7771,
     /*  260713 */     GIR_EraseRootFromParent_Done,
     /*  260714 */   // Label 4971: @260714
     /*  260714 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(260777), // Rule ID 7772 //
     /*  260719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  260761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260775 */     GIR_RootConstrainSelectedInstOperands,
     /*  260776 */     // GIR_Coverage, 7772,
     /*  260776 */     GIR_EraseRootFromParent_Done,
     /*  260777 */   // Label 4972: @260777
     /*  260777 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(260840), // Rule ID 7775 //
     /*  260782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260838 */     GIR_RootConstrainSelectedInstOperands,
     /*  260839 */     // GIR_Coverage, 7775,
     /*  260839 */     GIR_EraseRootFromParent_Done,
     /*  260840 */   // Label 4973: @260840
     /*  260840 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(260903), // Rule ID 7776 //
     /*  260845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  260887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260901 */     GIR_RootConstrainSelectedInstOperands,
     /*  260902 */     // GIR_Coverage, 7776,
     /*  260902 */     GIR_EraseRootFromParent_Done,
     /*  260903 */   // Label 4974: @260903
     /*  260903 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(260966), // Rule ID 7779 //
     /*  260908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  260950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260964 */     GIR_RootConstrainSelectedInstOperands,
     /*  260965 */     // GIR_Coverage, 7779,
     /*  260965 */     GIR_EraseRootFromParent_Done,
     /*  260966 */   // Label 4975: @260966
     /*  260966 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261029), // Rule ID 7780 //
     /*  260971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261027 */     GIR_RootConstrainSelectedInstOperands,
     /*  261028 */     // GIR_Coverage, 7780,
     /*  261028 */     GIR_EraseRootFromParent_Done,
     /*  261029 */   // Label 4976: @261029
     /*  261029 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261092), // Rule ID 7783 //
     /*  261034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261090 */     GIR_RootConstrainSelectedInstOperands,
     /*  261091 */     // GIR_Coverage, 7783,
     /*  261091 */     GIR_EraseRootFromParent_Done,
     /*  261092 */   // Label 4977: @261092
     /*  261092 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261155), // Rule ID 7784 //
     /*  261097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  261139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261153 */     GIR_RootConstrainSelectedInstOperands,
     /*  261154 */     // GIR_Coverage, 7784,
     /*  261154 */     GIR_EraseRootFromParent_Done,
     /*  261155 */   // Label 4978: @261155
     /*  261155 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261218), // Rule ID 7787 //
     /*  261160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261216 */     GIR_RootConstrainSelectedInstOperands,
     /*  261217 */     // GIR_Coverage, 7787,
     /*  261217 */     GIR_EraseRootFromParent_Done,
     /*  261218 */   // Label 4979: @261218
     /*  261218 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261281), // Rule ID 7788 //
     /*  261223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261262 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261279 */     GIR_RootConstrainSelectedInstOperands,
     /*  261280 */     // GIR_Coverage, 7788,
     /*  261280 */     GIR_EraseRootFromParent_Done,
     /*  261281 */   // Label 4980: @261281
     /*  261281 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261344), // Rule ID 7791 //
     /*  261286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261342 */     GIR_RootConstrainSelectedInstOperands,
     /*  261343 */     // GIR_Coverage, 7791,
     /*  261343 */     GIR_EraseRootFromParent_Done,
     /*  261344 */   // Label 4981: @261344
     /*  261344 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261407), // Rule ID 7792 //
     /*  261349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261405 */     GIR_RootConstrainSelectedInstOperands,
     /*  261406 */     // GIR_Coverage, 7792,
     /*  261406 */     GIR_EraseRootFromParent_Done,
     /*  261407 */   // Label 4982: @261407
     /*  261407 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261470), // Rule ID 7795 //
     /*  261412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261468 */     GIR_RootConstrainSelectedInstOperands,
     /*  261469 */     // GIR_Coverage, 7795,
     /*  261469 */     GIR_EraseRootFromParent_Done,
     /*  261470 */   // Label 4983: @261470
     /*  261470 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261533), // Rule ID 7796 //
     /*  261475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261531 */     GIR_RootConstrainSelectedInstOperands,
     /*  261532 */     // GIR_Coverage, 7796,
     /*  261532 */     GIR_EraseRootFromParent_Done,
     /*  261533 */   // Label 4984: @261533
     /*  261533 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261596), // Rule ID 7799 //
     /*  261538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261594 */     GIR_RootConstrainSelectedInstOperands,
     /*  261595 */     // GIR_Coverage, 7799,
     /*  261595 */     GIR_EraseRootFromParent_Done,
     /*  261596 */   // Label 4985: @261596
     /*  261596 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261659), // Rule ID 7800 //
     /*  261601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  261643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261657 */     GIR_RootConstrainSelectedInstOperands,
     /*  261658 */     // GIR_Coverage, 7800,
     /*  261658 */     GIR_EraseRootFromParent_Done,
     /*  261659 */   // Label 4986: @261659
     /*  261659 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(261722), // Rule ID 7803 //
     /*  261664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261703 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261720 */     GIR_RootConstrainSelectedInstOperands,
     /*  261721 */     // GIR_Coverage, 7803,
     /*  261721 */     GIR_EraseRootFromParent_Done,
     /*  261722 */   // Label 4987: @261722
     /*  261722 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(261785), // Rule ID 7804 //
     /*  261727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261783 */     GIR_RootConstrainSelectedInstOperands,
     /*  261784 */     // GIR_Coverage, 7804,
     /*  261784 */     GIR_EraseRootFromParent_Done,
     /*  261785 */   // Label 4988: @261785
     /*  261785 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(261848), // Rule ID 7807 //
     /*  261790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261829 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261846 */     GIR_RootConstrainSelectedInstOperands,
     /*  261847 */     // GIR_Coverage, 7807,
     /*  261847 */     GIR_EraseRootFromParent_Done,
     /*  261848 */   // Label 4989: @261848
     /*  261848 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(261911), // Rule ID 7808 //
     /*  261853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261909 */     GIR_RootConstrainSelectedInstOperands,
     /*  261910 */     // GIR_Coverage, 7808,
     /*  261910 */     GIR_EraseRootFromParent_Done,
     /*  261911 */   // Label 4990: @261911
     /*  261911 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(261974), // Rule ID 7811 //
     /*  261916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261955 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261972 */     GIR_RootConstrainSelectedInstOperands,
     /*  261973 */     // GIR_Coverage, 7811,
     /*  261973 */     GIR_EraseRootFromParent_Done,
     /*  261974 */   // Label 4991: @261974
     /*  261974 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262037), // Rule ID 7812 //
     /*  261979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262018 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262035 */     GIR_RootConstrainSelectedInstOperands,
     /*  262036 */     // GIR_Coverage, 7812,
     /*  262036 */     GIR_EraseRootFromParent_Done,
     /*  262037 */   // Label 4992: @262037
     /*  262037 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262100), // Rule ID 7815 //
     /*  262042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262098 */     GIR_RootConstrainSelectedInstOperands,
     /*  262099 */     // GIR_Coverage, 7815,
     /*  262099 */     GIR_EraseRootFromParent_Done,
     /*  262100 */   // Label 4993: @262100
     /*  262100 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262163), // Rule ID 7816 //
     /*  262105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  262119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262161 */     GIR_RootConstrainSelectedInstOperands,
     /*  262162 */     // GIR_Coverage, 7816,
     /*  262162 */     GIR_EraseRootFromParent_Done,
     /*  262163 */   // Label 4994: @262163
     /*  262163 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262226), // Rule ID 7819 //
     /*  262168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262207 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262224 */     GIR_RootConstrainSelectedInstOperands,
     /*  262225 */     // GIR_Coverage, 7819,
     /*  262225 */     GIR_EraseRootFromParent_Done,
     /*  262226 */   // Label 4995: @262226
     /*  262226 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262289), // Rule ID 7820 //
     /*  262231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262287 */     GIR_RootConstrainSelectedInstOperands,
     /*  262288 */     // GIR_Coverage, 7820,
     /*  262288 */     GIR_EraseRootFromParent_Done,
     /*  262289 */   // Label 4996: @262289
     /*  262289 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262352), // Rule ID 7823 //
     /*  262294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262350 */     GIR_RootConstrainSelectedInstOperands,
     /*  262351 */     // GIR_Coverage, 7823,
     /*  262351 */     GIR_EraseRootFromParent_Done,
     /*  262352 */   // Label 4997: @262352
     /*  262352 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262415), // Rule ID 7824 //
     /*  262357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262413 */     GIR_RootConstrainSelectedInstOperands,
     /*  262414 */     // GIR_Coverage, 7824,
     /*  262414 */     GIR_EraseRootFromParent_Done,
     /*  262415 */   // Label 4998: @262415
     /*  262415 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262478), // Rule ID 7827 //
     /*  262420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262476 */     GIR_RootConstrainSelectedInstOperands,
     /*  262477 */     // GIR_Coverage, 7827,
     /*  262477 */     GIR_EraseRootFromParent_Done,
     /*  262478 */   // Label 4999: @262478
     /*  262478 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262541), // Rule ID 7828 //
     /*  262483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262539 */     GIR_RootConstrainSelectedInstOperands,
     /*  262540 */     // GIR_Coverage, 7828,
     /*  262540 */     GIR_EraseRootFromParent_Done,
     /*  262541 */   // Label 5000: @262541
     /*  262541 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262604), // Rule ID 7831 //
     /*  262546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262602 */     GIR_RootConstrainSelectedInstOperands,
     /*  262603 */     // GIR_Coverage, 7831,
     /*  262603 */     GIR_EraseRootFromParent_Done,
     /*  262604 */   // Label 5001: @262604
     /*  262604 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262667), // Rule ID 7832 //
     /*  262609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262665 */     GIR_RootConstrainSelectedInstOperands,
     /*  262666 */     // GIR_Coverage, 7832,
     /*  262666 */     GIR_EraseRootFromParent_Done,
     /*  262667 */   // Label 5002: @262667
     /*  262667 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(262730), // Rule ID 7835 //
     /*  262672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262711 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262728 */     GIR_RootConstrainSelectedInstOperands,
     /*  262729 */     // GIR_Coverage, 7835,
     /*  262729 */     GIR_EraseRootFromParent_Done,
     /*  262730 */   // Label 5003: @262730
     /*  262730 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(262793), // Rule ID 7836 //
     /*  262735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  262777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262791 */     GIR_RootConstrainSelectedInstOperands,
     /*  262792 */     // GIR_Coverage, 7836,
     /*  262792 */     GIR_EraseRootFromParent_Done,
     /*  262793 */   // Label 5004: @262793
     /*  262793 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(262856), // Rule ID 7839 //
     /*  262798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262854 */     GIR_RootConstrainSelectedInstOperands,
     /*  262855 */     // GIR_Coverage, 7839,
     /*  262855 */     GIR_EraseRootFromParent_Done,
     /*  262856 */   // Label 5005: @262856
     /*  262856 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(262919), // Rule ID 7840 //
     /*  262861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  262903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262917 */     GIR_RootConstrainSelectedInstOperands,
     /*  262918 */     // GIR_Coverage, 7840,
     /*  262918 */     GIR_EraseRootFromParent_Done,
     /*  262919 */   // Label 5006: @262919
     /*  262919 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(262982), // Rule ID 7843 //
     /*  262924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262963 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  262966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262980 */     GIR_RootConstrainSelectedInstOperands,
     /*  262981 */     // GIR_Coverage, 7843,
     /*  262981 */     GIR_EraseRootFromParent_Done,
     /*  262982 */   // Label 5007: @262982
     /*  262982 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263045), // Rule ID 7844 //
     /*  262987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  263001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  263029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263043 */     GIR_RootConstrainSelectedInstOperands,
     /*  263044 */     // GIR_Coverage, 7844,
     /*  263044 */     GIR_EraseRootFromParent_Done,
     /*  263045 */   // Label 5008: @263045
     /*  263045 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263108), // Rule ID 7847 //
     /*  263050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  263067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263106 */     GIR_RootConstrainSelectedInstOperands,
     /*  263107 */     // GIR_Coverage, 7847,
     /*  263107 */     GIR_EraseRootFromParent_Done,
     /*  263108 */   // Label 5009: @263108
     /*  263108 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263171), // Rule ID 7848 //
     /*  263113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  263127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  263130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  263155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263169 */     GIR_RootConstrainSelectedInstOperands,
     /*  263170 */     // GIR_Coverage, 7848,
     /*  263170 */     GIR_EraseRootFromParent_Done,
     /*  263171 */   // Label 5010: @263171
     /*  263171 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263234), // Rule ID 7939 //
     /*  263176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263232 */     GIR_RootConstrainSelectedInstOperands,
     /*  263233 */     // GIR_Coverage, 7939,
     /*  263233 */     GIR_EraseRootFromParent_Done,
     /*  263234 */   // Label 5011: @263234
     /*  263234 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263297), // Rule ID 7940 //
     /*  263239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  263253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  263256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  263281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263295 */     GIR_RootConstrainSelectedInstOperands,
     /*  263296 */     // GIR_Coverage, 7940,
     /*  263296 */     GIR_EraseRootFromParent_Done,
     /*  263297 */   // Label 5012: @263297
     /*  263297 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263360), // Rule ID 7943 //
     /*  263302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263358 */     GIR_RootConstrainSelectedInstOperands,
     /*  263359 */     // GIR_Coverage, 7943,
     /*  263359 */     GIR_EraseRootFromParent_Done,
     /*  263360 */   // Label 5013: @263360
     /*  263360 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263423), // Rule ID 7944 //
     /*  263365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263421 */     GIR_RootConstrainSelectedInstOperands,
     /*  263422 */     // GIR_Coverage, 7944,
     /*  263422 */     GIR_EraseRootFromParent_Done,
     /*  263423 */   // Label 5014: @263423
     /*  263423 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263486), // Rule ID 7947 //
     /*  263428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263484 */     GIR_RootConstrainSelectedInstOperands,
     /*  263485 */     // GIR_Coverage, 7947,
     /*  263485 */     GIR_EraseRootFromParent_Done,
     /*  263486 */   // Label 5015: @263486
     /*  263486 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263549), // Rule ID 7948 //
     /*  263491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263547 */     GIR_RootConstrainSelectedInstOperands,
     /*  263548 */     // GIR_Coverage, 7948,
     /*  263548 */     GIR_EraseRootFromParent_Done,
     /*  263549 */   // Label 5016: @263549
     /*  263549 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263612), // Rule ID 7951 //
     /*  263554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263610 */     GIR_RootConstrainSelectedInstOperands,
     /*  263611 */     // GIR_Coverage, 7951,
     /*  263611 */     GIR_EraseRootFromParent_Done,
     /*  263612 */   // Label 5017: @263612
     /*  263612 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263675), // Rule ID 7952 //
     /*  263617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  263659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263673 */     GIR_RootConstrainSelectedInstOperands,
     /*  263674 */     // GIR_Coverage, 7952,
     /*  263674 */     GIR_EraseRootFromParent_Done,
     /*  263675 */   // Label 5018: @263675
     /*  263675 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(263738), // Rule ID 7955 //
     /*  263680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263736 */     GIR_RootConstrainSelectedInstOperands,
     /*  263737 */     // GIR_Coverage, 7955,
     /*  263737 */     GIR_EraseRootFromParent_Done,
     /*  263738 */   // Label 5019: @263738
     /*  263738 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(263801), // Rule ID 7956 //
     /*  263743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263799 */     GIR_RootConstrainSelectedInstOperands,
     /*  263800 */     // GIR_Coverage, 7956,
     /*  263800 */     GIR_EraseRootFromParent_Done,
     /*  263801 */   // Label 5020: @263801
     /*  263801 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(263864), // Rule ID 7959 //
     /*  263806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263862 */     GIR_RootConstrainSelectedInstOperands,
     /*  263863 */     // GIR_Coverage, 7959,
     /*  263863 */     GIR_EraseRootFromParent_Done,
     /*  263864 */   // Label 5021: @263864
     /*  263864 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(263927), // Rule ID 7960 //
     /*  263869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  263911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263925 */     GIR_RootConstrainSelectedInstOperands,
     /*  263926 */     // GIR_Coverage, 7960,
     /*  263926 */     GIR_EraseRootFromParent_Done,
     /*  263927 */   // Label 5022: @263927
     /*  263927 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(263990), // Rule ID 7963 //
     /*  263932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  263974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263988 */     GIR_RootConstrainSelectedInstOperands,
     /*  263989 */     // GIR_Coverage, 7963,
     /*  263989 */     GIR_EraseRootFromParent_Done,
     /*  263990 */   // Label 5023: @263990
     /*  263990 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264053), // Rule ID 7964 //
     /*  263995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  264009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  264012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264051 */     GIR_RootConstrainSelectedInstOperands,
     /*  264052 */     // GIR_Coverage, 7964,
     /*  264052 */     GIR_EraseRootFromParent_Done,
     /*  264053 */   // Label 5024: @264053
     /*  264053 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264116), // Rule ID 7967 //
     /*  264058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264114 */     GIR_RootConstrainSelectedInstOperands,
     /*  264115 */     // GIR_Coverage, 7967,
     /*  264115 */     GIR_EraseRootFromParent_Done,
     /*  264116 */   // Label 5025: @264116
     /*  264116 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264179), // Rule ID 7968 //
     /*  264121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  264135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  264138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264177 */     GIR_RootConstrainSelectedInstOperands,
     /*  264178 */     // GIR_Coverage, 7968,
     /*  264178 */     GIR_EraseRootFromParent_Done,
     /*  264179 */   // Label 5026: @264179
     /*  264179 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264242), // Rule ID 7971 //
     /*  264184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264240 */     GIR_RootConstrainSelectedInstOperands,
     /*  264241 */     // GIR_Coverage, 7971,
     /*  264241 */     GIR_EraseRootFromParent_Done,
     /*  264242 */   // Label 5027: @264242
     /*  264242 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264305), // Rule ID 7972 //
     /*  264247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  264261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  264264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264303 */     GIR_RootConstrainSelectedInstOperands,
     /*  264304 */     // GIR_Coverage, 7972,
     /*  264304 */     GIR_EraseRootFromParent_Done,
     /*  264305 */   // Label 5028: @264305
     /*  264305 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264368), // Rule ID 7975 //
     /*  264310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264366 */     GIR_RootConstrainSelectedInstOperands,
     /*  264367 */     // GIR_Coverage, 7975,
     /*  264367 */     GIR_EraseRootFromParent_Done,
     /*  264368 */   // Label 5029: @264368
     /*  264368 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264431), // Rule ID 7976 //
     /*  264373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  264415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264429 */     GIR_RootConstrainSelectedInstOperands,
     /*  264430 */     // GIR_Coverage, 7976,
     /*  264430 */     GIR_EraseRootFromParent_Done,
     /*  264431 */   // Label 5030: @264431
     /*  264431 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264494), // Rule ID 7979 //
     /*  264436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264475 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264492 */     GIR_RootConstrainSelectedInstOperands,
     /*  264493 */     // GIR_Coverage, 7979,
     /*  264493 */     GIR_EraseRootFromParent_Done,
     /*  264494 */   // Label 5031: @264494
     /*  264494 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264557), // Rule ID 7980 //
     /*  264499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264538 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264555 */     GIR_RootConstrainSelectedInstOperands,
     /*  264556 */     // GIR_Coverage, 7980,
     /*  264556 */     GIR_EraseRootFromParent_Done,
     /*  264557 */   // Label 5032: @264557
     /*  264557 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264620), // Rule ID 7983 //
     /*  264562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264618 */     GIR_RootConstrainSelectedInstOperands,
     /*  264619 */     // GIR_Coverage, 7983,
     /*  264619 */     GIR_EraseRootFromParent_Done,
     /*  264620 */   // Label 5033: @264620
     /*  264620 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(264683), // Rule ID 7984 //
     /*  264625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264681 */     GIR_RootConstrainSelectedInstOperands,
     /*  264682 */     // GIR_Coverage, 7984,
     /*  264682 */     GIR_EraseRootFromParent_Done,
     /*  264683 */   // Label 5034: @264683
     /*  264683 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(264746), // Rule ID 7987 //
     /*  264688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264727 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264744 */     GIR_RootConstrainSelectedInstOperands,
     /*  264745 */     // GIR_Coverage, 7987,
     /*  264745 */     GIR_EraseRootFromParent_Done,
     /*  264746 */   // Label 5035: @264746
     /*  264746 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(264809), // Rule ID 7988 //
     /*  264751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264790 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264807 */     GIR_RootConstrainSelectedInstOperands,
     /*  264808 */     // GIR_Coverage, 7988,
     /*  264808 */     GIR_EraseRootFromParent_Done,
     /*  264809 */   // Label 5036: @264809
     /*  264809 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(264872), // Rule ID 7991 //
     /*  264814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264870 */     GIR_RootConstrainSelectedInstOperands,
     /*  264871 */     // GIR_Coverage, 7991,
     /*  264871 */     GIR_EraseRootFromParent_Done,
     /*  264872 */   // Label 5037: @264872
     /*  264872 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(264935), // Rule ID 7992 //
     /*  264877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264933 */     GIR_RootConstrainSelectedInstOperands,
     /*  264934 */     // GIR_Coverage, 7992,
     /*  264934 */     GIR_EraseRootFromParent_Done,
     /*  264935 */   // Label 5038: @264935
     /*  264935 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(264998), // Rule ID 7995 //
     /*  264940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264979 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264996 */     GIR_RootConstrainSelectedInstOperands,
     /*  264997 */     // GIR_Coverage, 7995,
     /*  264997 */     GIR_EraseRootFromParent_Done,
     /*  264998 */   // Label 5039: @264998
     /*  264998 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265061), // Rule ID 7996 //
     /*  265003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  265017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  265020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265059 */     GIR_RootConstrainSelectedInstOperands,
     /*  265060 */     // GIR_Coverage, 7996,
     /*  265060 */     GIR_EraseRootFromParent_Done,
     /*  265061 */   // Label 5040: @265061
     /*  265061 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265124), // Rule ID 7999 //
     /*  265066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265105 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265122 */     GIR_RootConstrainSelectedInstOperands,
     /*  265123 */     // GIR_Coverage, 7999,
     /*  265123 */     GIR_EraseRootFromParent_Done,
     /*  265124 */   // Label 5041: @265124
     /*  265124 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265187), // Rule ID 8000 //
     /*  265129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  265143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  265146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265185 */     GIR_RootConstrainSelectedInstOperands,
     /*  265186 */     // GIR_Coverage, 8000,
     /*  265186 */     GIR_EraseRootFromParent_Done,
     /*  265187 */   // Label 5042: @265187
     /*  265187 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265250), // Rule ID 8003 //
     /*  265192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265231 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265248 */     GIR_RootConstrainSelectedInstOperands,
     /*  265249 */     // GIR_Coverage, 8003,
     /*  265249 */     GIR_EraseRootFromParent_Done,
     /*  265250 */   // Label 5043: @265250
     /*  265250 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265313), // Rule ID 8004 //
     /*  265255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265311 */     GIR_RootConstrainSelectedInstOperands,
     /*  265312 */     // GIR_Coverage, 8004,
     /*  265312 */     GIR_EraseRootFromParent_Done,
     /*  265313 */   // Label 5044: @265313
     /*  265313 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265376), // Rule ID 8007 //
     /*  265318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265374 */     GIR_RootConstrainSelectedInstOperands,
     /*  265375 */     // GIR_Coverage, 8007,
     /*  265375 */     GIR_EraseRootFromParent_Done,
     /*  265376 */   // Label 5045: @265376
     /*  265376 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265439), // Rule ID 8008 //
     /*  265381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265437 */     GIR_RootConstrainSelectedInstOperands,
     /*  265438 */     // GIR_Coverage, 8008,
     /*  265438 */     GIR_EraseRootFromParent_Done,
     /*  265439 */   // Label 5046: @265439
     /*  265439 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265502), // Rule ID 8011 //
     /*  265444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265500 */     GIR_RootConstrainSelectedInstOperands,
     /*  265501 */     // GIR_Coverage, 8011,
     /*  265501 */     GIR_EraseRootFromParent_Done,
     /*  265502 */   // Label 5047: @265502
     /*  265502 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265565), // Rule ID 8012 //
     /*  265507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265563 */     GIR_RootConstrainSelectedInstOperands,
     /*  265564 */     // GIR_Coverage, 8012,
     /*  265564 */     GIR_EraseRootFromParent_Done,
     /*  265565 */   // Label 5048: @265565
     /*  265565 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265628), // Rule ID 8015 //
     /*  265570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265609 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265626 */     GIR_RootConstrainSelectedInstOperands,
     /*  265627 */     // GIR_Coverage, 8015,
     /*  265627 */     GIR_EraseRootFromParent_Done,
     /*  265628 */   // Label 5049: @265628
     /*  265628 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(265691), // Rule ID 8016 //
     /*  265633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  265675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265689 */     GIR_RootConstrainSelectedInstOperands,
     /*  265690 */     // GIR_Coverage, 8016,
     /*  265690 */     GIR_EraseRootFromParent_Done,
     /*  265691 */   // Label 5050: @265691
     /*  265691 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(265754), // Rule ID 8019 //
     /*  265696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265735 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265752 */     GIR_RootConstrainSelectedInstOperands,
     /*  265753 */     // GIR_Coverage, 8019,
     /*  265753 */     GIR_EraseRootFromParent_Done,
     /*  265754 */   // Label 5051: @265754
     /*  265754 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(265817), // Rule ID 8020 //
     /*  265759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  265801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265815 */     GIR_RootConstrainSelectedInstOperands,
     /*  265816 */     // GIR_Coverage, 8020,
     /*  265816 */     GIR_EraseRootFromParent_Done,
     /*  265817 */   // Label 5052: @265817
     /*  265817 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(265880), // Rule ID 8023 //
     /*  265822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265878 */     GIR_RootConstrainSelectedInstOperands,
     /*  265879 */     // GIR_Coverage, 8023,
     /*  265879 */     GIR_EraseRootFromParent_Done,
     /*  265880 */   // Label 5053: @265880
     /*  265880 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(265943), // Rule ID 8024 //
     /*  265885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  265927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265941 */     GIR_RootConstrainSelectedInstOperands,
     /*  265942 */     // GIR_Coverage, 8024,
     /*  265942 */     GIR_EraseRootFromParent_Done,
     /*  265943 */   // Label 5054: @265943
     /*  265943 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266006), // Rule ID 8027 //
     /*  265948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  265990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266004 */     GIR_RootConstrainSelectedInstOperands,
     /*  266005 */     // GIR_Coverage, 8027,
     /*  266005 */     GIR_EraseRootFromParent_Done,
     /*  266006 */   // Label 5055: @266006
     /*  266006 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266069), // Rule ID 8028 //
     /*  266011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  266025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  266053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266067 */     GIR_RootConstrainSelectedInstOperands,
     /*  266068 */     // GIR_Coverage, 8028,
     /*  266068 */     GIR_EraseRootFromParent_Done,
     /*  266069 */   // Label 5056: @266069
     /*  266069 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266132), // Rule ID 8031 //
     /*  266074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266130 */     GIR_RootConstrainSelectedInstOperands,
     /*  266131 */     // GIR_Coverage, 8031,
     /*  266131 */     GIR_EraseRootFromParent_Done,
     /*  266132 */   // Label 5057: @266132
     /*  266132 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266195), // Rule ID 8032 //
     /*  266137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  266151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266176 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266193 */     GIR_RootConstrainSelectedInstOperands,
     /*  266194 */     // GIR_Coverage, 8032,
     /*  266194 */     GIR_EraseRootFromParent_Done,
     /*  266195 */   // Label 5058: @266195
     /*  266195 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266258), // Rule ID 8035 //
     /*  266200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266256 */     GIR_RootConstrainSelectedInstOperands,
     /*  266257 */     // GIR_Coverage, 8035,
     /*  266257 */     GIR_EraseRootFromParent_Done,
     /*  266258 */   // Label 5059: @266258
     /*  266258 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266321), // Rule ID 8036 //
     /*  266263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266319 */     GIR_RootConstrainSelectedInstOperands,
     /*  266320 */     // GIR_Coverage, 8036,
     /*  266320 */     GIR_EraseRootFromParent_Done,
     /*  266321 */   // Label 5060: @266321
     /*  266321 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266384), // Rule ID 8039 //
     /*  266326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266382 */     GIR_RootConstrainSelectedInstOperands,
     /*  266383 */     // GIR_Coverage, 8039,
     /*  266383 */     GIR_EraseRootFromParent_Done,
     /*  266384 */   // Label 5061: @266384
     /*  266384 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266447), // Rule ID 8040 //
     /*  266389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  266431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266445 */     GIR_RootConstrainSelectedInstOperands,
     /*  266446 */     // GIR_Coverage, 8040,
     /*  266446 */     GIR_EraseRootFromParent_Done,
     /*  266447 */   // Label 5062: @266447
     /*  266447 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266510), // Rule ID 8043 //
     /*  266452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266508 */     GIR_RootConstrainSelectedInstOperands,
     /*  266509 */     // GIR_Coverage, 8043,
     /*  266509 */     GIR_EraseRootFromParent_Done,
     /*  266510 */   // Label 5063: @266510
     /*  266510 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266573), // Rule ID 8044 //
     /*  266515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266571 */     GIR_RootConstrainSelectedInstOperands,
     /*  266572 */     // GIR_Coverage, 8044,
     /*  266572 */     GIR_EraseRootFromParent_Done,
     /*  266573 */   // Label 5064: @266573
     /*  266573 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266636), // Rule ID 8047 //
     /*  266578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266634 */     GIR_RootConstrainSelectedInstOperands,
     /*  266635 */     // GIR_Coverage, 8047,
     /*  266635 */     GIR_EraseRootFromParent_Done,
     /*  266636 */   // Label 5065: @266636
     /*  266636 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(266699), // Rule ID 8048 //
     /*  266641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  266683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266697 */     GIR_RootConstrainSelectedInstOperands,
     /*  266698 */     // GIR_Coverage, 8048,
     /*  266698 */     GIR_EraseRootFromParent_Done,
     /*  266699 */   // Label 5066: @266699
     /*  266699 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(266762), // Rule ID 8051 //
     /*  266704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266760 */     GIR_RootConstrainSelectedInstOperands,
     /*  266761 */     // GIR_Coverage, 8051,
     /*  266761 */     GIR_EraseRootFromParent_Done,
     /*  266762 */   // Label 5067: @266762
     /*  266762 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(266825), // Rule ID 8052 //
     /*  266767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266823 */     GIR_RootConstrainSelectedInstOperands,
     /*  266824 */     // GIR_Coverage, 8052,
     /*  266824 */     GIR_EraseRootFromParent_Done,
     /*  266825 */   // Label 5068: @266825
     /*  266825 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(266888), // Rule ID 8055 //
     /*  266830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266886 */     GIR_RootConstrainSelectedInstOperands,
     /*  266887 */     // GIR_Coverage, 8055,
     /*  266887 */     GIR_EraseRootFromParent_Done,
     /*  266888 */   // Label 5069: @266888
     /*  266888 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(266951), // Rule ID 8056 //
     /*  266893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266949 */     GIR_RootConstrainSelectedInstOperands,
     /*  266950 */     // GIR_Coverage, 8056,
     /*  266950 */     GIR_EraseRootFromParent_Done,
     /*  266951 */   // Label 5070: @266951
     /*  266951 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267014), // Rule ID 8059 //
     /*  266956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  266998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267012 */     GIR_RootConstrainSelectedInstOperands,
     /*  267013 */     // GIR_Coverage, 8059,
     /*  267013 */     GIR_EraseRootFromParent_Done,
     /*  267014 */   // Label 5071: @267014
     /*  267014 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267077), // Rule ID 8060 //
     /*  267019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  267033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267058 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267075 */     GIR_RootConstrainSelectedInstOperands,
     /*  267076 */     // GIR_Coverage, 8060,
     /*  267076 */     GIR_EraseRootFromParent_Done,
     /*  267077 */   // Label 5072: @267077
     /*  267077 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267140), // Rule ID 8063 //
     /*  267082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267138 */     GIR_RootConstrainSelectedInstOperands,
     /*  267139 */     // GIR_Coverage, 8063,
     /*  267139 */     GIR_EraseRootFromParent_Done,
     /*  267140 */   // Label 5073: @267140
     /*  267140 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267203), // Rule ID 8064 //
     /*  267145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  267159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  267187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267201 */     GIR_RootConstrainSelectedInstOperands,
     /*  267202 */     // GIR_Coverage, 8064,
     /*  267202 */     GIR_EraseRootFromParent_Done,
     /*  267203 */   // Label 5074: @267203
     /*  267203 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267266), // Rule ID 8067 //
     /*  267208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267264 */     GIR_RootConstrainSelectedInstOperands,
     /*  267265 */     // GIR_Coverage, 8067,
     /*  267265 */     GIR_EraseRootFromParent_Done,
     /*  267266 */   // Label 5075: @267266
     /*  267266 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267329), // Rule ID 8068 //
     /*  267271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267327 */     GIR_RootConstrainSelectedInstOperands,
     /*  267328 */     // GIR_Coverage, 8068,
     /*  267328 */     GIR_EraseRootFromParent_Done,
     /*  267329 */   // Label 5076: @267329
     /*  267329 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267392), // Rule ID 8071 //
     /*  267334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267373 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267390 */     GIR_RootConstrainSelectedInstOperands,
     /*  267391 */     // GIR_Coverage, 8071,
     /*  267391 */     GIR_EraseRootFromParent_Done,
     /*  267392 */   // Label 5077: @267392
     /*  267392 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267455), // Rule ID 8072 //
     /*  267397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267436 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267453 */     GIR_RootConstrainSelectedInstOperands,
     /*  267454 */     // GIR_Coverage, 8072,
     /*  267454 */     GIR_EraseRootFromParent_Done,
     /*  267455 */   // Label 5078: @267455
     /*  267455 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267518), // Rule ID 8075 //
     /*  267460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267499 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267516 */     GIR_RootConstrainSelectedInstOperands,
     /*  267517 */     // GIR_Coverage, 8075,
     /*  267517 */     GIR_EraseRootFromParent_Done,
     /*  267518 */   // Label 5079: @267518
     /*  267518 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267581), // Rule ID 8076 //
     /*  267523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267562 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267579 */     GIR_RootConstrainSelectedInstOperands,
     /*  267580 */     // GIR_Coverage, 8076,
     /*  267580 */     GIR_EraseRootFromParent_Done,
     /*  267581 */   // Label 5080: @267581
     /*  267581 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267644), // Rule ID 8079 //
     /*  267586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267642 */     GIR_RootConstrainSelectedInstOperands,
     /*  267643 */     // GIR_Coverage, 8079,
     /*  267643 */     GIR_EraseRootFromParent_Done,
     /*  267644 */   // Label 5081: @267644
     /*  267644 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(267707), // Rule ID 8080 //
     /*  267649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267705 */     GIR_RootConstrainSelectedInstOperands,
     /*  267706 */     // GIR_Coverage, 8080,
     /*  267706 */     GIR_EraseRootFromParent_Done,
     /*  267707 */   // Label 5082: @267707
     /*  267707 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(267770), // Rule ID 8083 //
     /*  267712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267751 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267768 */     GIR_RootConstrainSelectedInstOperands,
     /*  267769 */     // GIR_Coverage, 8083,
     /*  267769 */     GIR_EraseRootFromParent_Done,
     /*  267770 */   // Label 5083: @267770
     /*  267770 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(267833), // Rule ID 8084 //
     /*  267775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267831 */     GIR_RootConstrainSelectedInstOperands,
     /*  267832 */     // GIR_Coverage, 8084,
     /*  267832 */     GIR_EraseRootFromParent_Done,
     /*  267833 */   // Label 5084: @267833
     /*  267833 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(267896), // Rule ID 8087 //
     /*  267838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267877 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267894 */     GIR_RootConstrainSelectedInstOperands,
     /*  267895 */     // GIR_Coverage, 8087,
     /*  267895 */     GIR_EraseRootFromParent_Done,
     /*  267896 */   // Label 5085: @267896
     /*  267896 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(267959), // Rule ID 8088 //
     /*  267901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267957 */     GIR_RootConstrainSelectedInstOperands,
     /*  267958 */     // GIR_Coverage, 8088,
     /*  267958 */     GIR_EraseRootFromParent_Done,
     /*  267959 */   // Label 5086: @267959
     /*  267959 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268022), // Rule ID 8091 //
     /*  267964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268020 */     GIR_RootConstrainSelectedInstOperands,
     /*  268021 */     // GIR_Coverage, 8091,
     /*  268021 */     GIR_EraseRootFromParent_Done,
     /*  268022 */   // Label 5087: @268022
     /*  268022 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268085), // Rule ID 8092 //
     /*  268027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  268041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268066 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268083 */     GIR_RootConstrainSelectedInstOperands,
     /*  268084 */     // GIR_Coverage, 8092,
     /*  268084 */     GIR_EraseRootFromParent_Done,
     /*  268085 */   // Label 5088: @268085
     /*  268085 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268148), // Rule ID 8095 //
     /*  268090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268146 */     GIR_RootConstrainSelectedInstOperands,
     /*  268147 */     // GIR_Coverage, 8095,
     /*  268147 */     GIR_EraseRootFromParent_Done,
     /*  268148 */   // Label 5089: @268148
     /*  268148 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268211), // Rule ID 8096 //
     /*  268153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  268167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268209 */     GIR_RootConstrainSelectedInstOperands,
     /*  268210 */     // GIR_Coverage, 8096,
     /*  268210 */     GIR_EraseRootFromParent_Done,
     /*  268211 */   // Label 5090: @268211
     /*  268211 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268274), // Rule ID 8099 //
     /*  268216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268255 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268272 */     GIR_RootConstrainSelectedInstOperands,
     /*  268273 */     // GIR_Coverage, 8099,
     /*  268273 */     GIR_EraseRootFromParent_Done,
     /*  268274 */   // Label 5091: @268274
     /*  268274 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268337), // Rule ID 8100 //
     /*  268279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268335 */     GIR_RootConstrainSelectedInstOperands,
     /*  268336 */     // GIR_Coverage, 8100,
     /*  268336 */     GIR_EraseRootFromParent_Done,
     /*  268337 */   // Label 5092: @268337
     /*  268337 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268400), // Rule ID 8103 //
     /*  268342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268398 */     GIR_RootConstrainSelectedInstOperands,
     /*  268399 */     // GIR_Coverage, 8103,
     /*  268399 */     GIR_EraseRootFromParent_Done,
     /*  268400 */   // Label 5093: @268400
     /*  268400 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268463), // Rule ID 8104 //
     /*  268405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  268447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268461 */     GIR_RootConstrainSelectedInstOperands,
     /*  268462 */     // GIR_Coverage, 8104,
     /*  268462 */     GIR_EraseRootFromParent_Done,
     /*  268463 */   // Label 5094: @268463
     /*  268463 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268526), // Rule ID 8107 //
     /*  268468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268524 */     GIR_RootConstrainSelectedInstOperands,
     /*  268525 */     // GIR_Coverage, 8107,
     /*  268525 */     GIR_EraseRootFromParent_Done,
     /*  268526 */   // Label 5095: @268526
     /*  268526 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268589), // Rule ID 8108 //
     /*  268531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268570 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  268573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268587 */     GIR_RootConstrainSelectedInstOperands,
     /*  268588 */     // GIR_Coverage, 8108,
     /*  268588 */     GIR_EraseRootFromParent_Done,
     /*  268589 */   // Label 5096: @268589
     /*  268589 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268652), // Rule ID 8111 //
     /*  268594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268650 */     GIR_RootConstrainSelectedInstOperands,
     /*  268651 */     // GIR_Coverage, 8111,
     /*  268651 */     GIR_EraseRootFromParent_Done,
     /*  268652 */   // Label 5097: @268652
     /*  268652 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(268715), // Rule ID 8112 //
     /*  268657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  268699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268713 */     GIR_RootConstrainSelectedInstOperands,
     /*  268714 */     // GIR_Coverage, 8112,
     /*  268714 */     GIR_EraseRootFromParent_Done,
     /*  268715 */   // Label 5098: @268715
     /*  268715 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(268778), // Rule ID 8203 //
     /*  268720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268759 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  268762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268776 */     GIR_RootConstrainSelectedInstOperands,
     /*  268777 */     // GIR_Coverage, 8203,
     /*  268777 */     GIR_EraseRootFromParent_Done,
     /*  268778 */   // Label 5099: @268778
     /*  268778 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(268841), // Rule ID 8204 //
     /*  268783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  268825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268839 */     GIR_RootConstrainSelectedInstOperands,
     /*  268840 */     // GIR_Coverage, 8204,
     /*  268840 */     GIR_EraseRootFromParent_Done,
     /*  268841 */   // Label 5100: @268841
     /*  268841 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(268904), // Rule ID 8207 //
     /*  268846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  268888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268902 */     GIR_RootConstrainSelectedInstOperands,
     /*  268903 */     // GIR_Coverage, 8207,
     /*  268903 */     GIR_EraseRootFromParent_Done,
     /*  268904 */   // Label 5101: @268904
     /*  268904 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(268967), // Rule ID 8208 //
     /*  268909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  268951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268965 */     GIR_RootConstrainSelectedInstOperands,
     /*  268966 */     // GIR_Coverage, 8208,
     /*  268966 */     GIR_EraseRootFromParent_Done,
     /*  268967 */   // Label 5102: @268967
     /*  268967 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269030), // Rule ID 8211 //
     /*  268972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269011 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269028 */     GIR_RootConstrainSelectedInstOperands,
     /*  269029 */     // GIR_Coverage, 8211,
     /*  269029 */     GIR_EraseRootFromParent_Done,
     /*  269030 */   // Label 5103: @269030
     /*  269030 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269093), // Rule ID 8212 //
     /*  269035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  269049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  269052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269091 */     GIR_RootConstrainSelectedInstOperands,
     /*  269092 */     // GIR_Coverage, 8212,
     /*  269092 */     GIR_EraseRootFromParent_Done,
     /*  269093 */   // Label 5104: @269093
     /*  269093 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269156), // Rule ID 8215 //
     /*  269098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269154 */     GIR_RootConstrainSelectedInstOperands,
     /*  269155 */     // GIR_Coverage, 8215,
     /*  269155 */     GIR_EraseRootFromParent_Done,
     /*  269156 */   // Label 5105: @269156
     /*  269156 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269219), // Rule ID 8216 //
     /*  269161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  269175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  269178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  269203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269217 */     GIR_RootConstrainSelectedInstOperands,
     /*  269218 */     // GIR_Coverage, 8216,
     /*  269218 */     GIR_EraseRootFromParent_Done,
     /*  269219 */   // Label 5106: @269219
     /*  269219 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269282), // Rule ID 8219 //
     /*  269224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269280 */     GIR_RootConstrainSelectedInstOperands,
     /*  269281 */     // GIR_Coverage, 8219,
     /*  269281 */     GIR_EraseRootFromParent_Done,
     /*  269282 */   // Label 5107: @269282
     /*  269282 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269345), // Rule ID 8220 //
     /*  269287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269343 */     GIR_RootConstrainSelectedInstOperands,
     /*  269344 */     // GIR_Coverage, 8220,
     /*  269344 */     GIR_EraseRootFromParent_Done,
     /*  269345 */   // Label 5108: @269345
     /*  269345 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269408), // Rule ID 8223 //
     /*  269350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269406 */     GIR_RootConstrainSelectedInstOperands,
     /*  269407 */     // GIR_Coverage, 8223,
     /*  269407 */     GIR_EraseRootFromParent_Done,
     /*  269408 */   // Label 5109: @269408
     /*  269408 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269471), // Rule ID 8224 //
     /*  269413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  269455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269469 */     GIR_RootConstrainSelectedInstOperands,
     /*  269470 */     // GIR_Coverage, 8224,
     /*  269470 */     GIR_EraseRootFromParent_Done,
     /*  269471 */   // Label 5110: @269471
     /*  269471 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269534), // Rule ID 8227 //
     /*  269476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269532 */     GIR_RootConstrainSelectedInstOperands,
     /*  269533 */     // GIR_Coverage, 8227,
     /*  269533 */     GIR_EraseRootFromParent_Done,
     /*  269534 */   // Label 5111: @269534
     /*  269534 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269597), // Rule ID 8228 //
     /*  269539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269595 */     GIR_RootConstrainSelectedInstOperands,
     /*  269596 */     // GIR_Coverage, 8228,
     /*  269596 */     GIR_EraseRootFromParent_Done,
     /*  269597 */   // Label 5112: @269597
     /*  269597 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269660), // Rule ID 8231 //
     /*  269602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269658 */     GIR_RootConstrainSelectedInstOperands,
     /*  269659 */     // GIR_Coverage, 8231,
     /*  269659 */     GIR_EraseRootFromParent_Done,
     /*  269660 */   // Label 5113: @269660
     /*  269660 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(269723), // Rule ID 8232 //
     /*  269665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269721 */     GIR_RootConstrainSelectedInstOperands,
     /*  269722 */     // GIR_Coverage, 8232,
     /*  269722 */     GIR_EraseRootFromParent_Done,
     /*  269723 */   // Label 5114: @269723
     /*  269723 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(269786), // Rule ID 8235 //
     /*  269728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269767 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269784 */     GIR_RootConstrainSelectedInstOperands,
     /*  269785 */     // GIR_Coverage, 8235,
     /*  269785 */     GIR_EraseRootFromParent_Done,
     /*  269786 */   // Label 5115: @269786
     /*  269786 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(269849), // Rule ID 8236 //
     /*  269791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269847 */     GIR_RootConstrainSelectedInstOperands,
     /*  269848 */     // GIR_Coverage, 8236,
     /*  269848 */     GIR_EraseRootFromParent_Done,
     /*  269849 */   // Label 5116: @269849
     /*  269849 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(269912), // Rule ID 8239 //
     /*  269854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269910 */     GIR_RootConstrainSelectedInstOperands,
     /*  269911 */     // GIR_Coverage, 8239,
     /*  269911 */     GIR_EraseRootFromParent_Done,
     /*  269912 */   // Label 5117: @269912
     /*  269912 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(269975), // Rule ID 8240 //
     /*  269917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  269959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269973 */     GIR_RootConstrainSelectedInstOperands,
     /*  269974 */     // GIR_Coverage, 8240,
     /*  269974 */     GIR_EraseRootFromParent_Done,
     /*  269975 */   // Label 5118: @269975
     /*  269975 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270038), // Rule ID 8243 //
     /*  269980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270019 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270036 */     GIR_RootConstrainSelectedInstOperands,
     /*  270037 */     // GIR_Coverage, 8243,
     /*  270037 */     GIR_EraseRootFromParent_Done,
     /*  270038 */   // Label 5119: @270038
     /*  270038 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270101), // Rule ID 8244 //
     /*  270043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  270057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  270060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270099 */     GIR_RootConstrainSelectedInstOperands,
     /*  270100 */     // GIR_Coverage, 8244,
     /*  270100 */     GIR_EraseRootFromParent_Done,
     /*  270101 */   // Label 5120: @270101
     /*  270101 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270164), // Rule ID 8247 //
     /*  270106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270145 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270162 */     GIR_RootConstrainSelectedInstOperands,
     /*  270163 */     // GIR_Coverage, 8247,
     /*  270163 */     GIR_EraseRootFromParent_Done,
     /*  270164 */   // Label 5121: @270164
     /*  270164 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270227), // Rule ID 8248 //
     /*  270169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  270183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  270186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270208 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270225 */     GIR_RootConstrainSelectedInstOperands,
     /*  270226 */     // GIR_Coverage, 8248,
     /*  270226 */     GIR_EraseRootFromParent_Done,
     /*  270227 */   // Label 5122: @270227
     /*  270227 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270290), // Rule ID 8251 //
     /*  270232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270288 */     GIR_RootConstrainSelectedInstOperands,
     /*  270289 */     // GIR_Coverage, 8251,
     /*  270289 */     GIR_EraseRootFromParent_Done,
     /*  270290 */   // Label 5123: @270290
     /*  270290 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270353), // Rule ID 8252 //
     /*  270295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270334 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270351 */     GIR_RootConstrainSelectedInstOperands,
     /*  270352 */     // GIR_Coverage, 8252,
     /*  270352 */     GIR_EraseRootFromParent_Done,
     /*  270353 */   // Label 5124: @270353
     /*  270353 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270416), // Rule ID 8255 //
     /*  270358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270414 */     GIR_RootConstrainSelectedInstOperands,
     /*  270415 */     // GIR_Coverage, 8255,
     /*  270415 */     GIR_EraseRootFromParent_Done,
     /*  270416 */   // Label 5125: @270416
     /*  270416 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270479), // Rule ID 8256 //
     /*  270421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270477 */     GIR_RootConstrainSelectedInstOperands,
     /*  270478 */     // GIR_Coverage, 8256,
     /*  270478 */     GIR_EraseRootFromParent_Done,
     /*  270479 */   // Label 5126: @270479
     /*  270479 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270542), // Rule ID 8259 //
     /*  270484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270523 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270540 */     GIR_RootConstrainSelectedInstOperands,
     /*  270541 */     // GIR_Coverage, 8259,
     /*  270541 */     GIR_EraseRootFromParent_Done,
     /*  270542 */   // Label 5127: @270542
     /*  270542 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270605), // Rule ID 8260 //
     /*  270547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270586 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270603 */     GIR_RootConstrainSelectedInstOperands,
     /*  270604 */     // GIR_Coverage, 8260,
     /*  270604 */     GIR_EraseRootFromParent_Done,
     /*  270605 */   // Label 5128: @270605
     /*  270605 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270668), // Rule ID 8263 //
     /*  270610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270666 */     GIR_RootConstrainSelectedInstOperands,
     /*  270667 */     // GIR_Coverage, 8263,
     /*  270667 */     GIR_EraseRootFromParent_Done,
     /*  270668 */   // Label 5129: @270668
     /*  270668 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(270731), // Rule ID 8264 //
     /*  270673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270712 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270729 */     GIR_RootConstrainSelectedInstOperands,
     /*  270730 */     // GIR_Coverage, 8264,
     /*  270730 */     GIR_EraseRootFromParent_Done,
     /*  270731 */   // Label 5130: @270731
     /*  270731 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(270794), // Rule ID 8267 //
     /*  270736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270775 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270792 */     GIR_RootConstrainSelectedInstOperands,
     /*  270793 */     // GIR_Coverage, 8267,
     /*  270793 */     GIR_EraseRootFromParent_Done,
     /*  270794 */   // Label 5131: @270794
     /*  270794 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(270857), // Rule ID 8268 //
     /*  270799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270855 */     GIR_RootConstrainSelectedInstOperands,
     /*  270856 */     // GIR_Coverage, 8268,
     /*  270856 */     GIR_EraseRootFromParent_Done,
     /*  270857 */   // Label 5132: @270857
     /*  270857 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(270920), // Rule ID 8271 //
     /*  270862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270918 */     GIR_RootConstrainSelectedInstOperands,
     /*  270919 */     // GIR_Coverage, 8271,
     /*  270919 */     GIR_EraseRootFromParent_Done,
     /*  270920 */   // Label 5133: @270920
     /*  270920 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(270983), // Rule ID 8272 //
     /*  270925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270981 */     GIR_RootConstrainSelectedInstOperands,
     /*  270982 */     // GIR_Coverage, 8272,
     /*  270982 */     GIR_EraseRootFromParent_Done,
     /*  270983 */   // Label 5134: @270983
     /*  270983 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271046), // Rule ID 8275 //
     /*  270988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271027 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271044 */     GIR_RootConstrainSelectedInstOperands,
     /*  271045 */     // GIR_Coverage, 8275,
     /*  271045 */     GIR_EraseRootFromParent_Done,
     /*  271046 */   // Label 5135: @271046
     /*  271046 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271109), // Rule ID 8276 //
     /*  271051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  271065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  271068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271090 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271107 */     GIR_RootConstrainSelectedInstOperands,
     /*  271108 */     // GIR_Coverage, 8276,
     /*  271108 */     GIR_EraseRootFromParent_Done,
     /*  271109 */   // Label 5136: @271109
     /*  271109 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271172), // Rule ID 8279 //
     /*  271114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271153 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271170 */     GIR_RootConstrainSelectedInstOperands,
     /*  271171 */     // GIR_Coverage, 8279,
     /*  271171 */     GIR_EraseRootFromParent_Done,
     /*  271172 */   // Label 5137: @271172
     /*  271172 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271235), // Rule ID 8280 //
     /*  271177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  271191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  271194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  271219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271233 */     GIR_RootConstrainSelectedInstOperands,
     /*  271234 */     // GIR_Coverage, 8280,
     /*  271234 */     GIR_EraseRootFromParent_Done,
     /*  271235 */   // Label 5138: @271235
     /*  271235 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271298), // Rule ID 8283 //
     /*  271240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271296 */     GIR_RootConstrainSelectedInstOperands,
     /*  271297 */     // GIR_Coverage, 8283,
     /*  271297 */     GIR_EraseRootFromParent_Done,
     /*  271298 */   // Label 5139: @271298
     /*  271298 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271361), // Rule ID 8284 //
     /*  271303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271342 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  271345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271359 */     GIR_RootConstrainSelectedInstOperands,
     /*  271360 */     // GIR_Coverage, 8284,
     /*  271360 */     GIR_EraseRootFromParent_Done,
     /*  271361 */   // Label 5140: @271361
     /*  271361 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271424), // Rule ID 8287 //
     /*  271366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271422 */     GIR_RootConstrainSelectedInstOperands,
     /*  271423 */     // GIR_Coverage, 8287,
     /*  271423 */     GIR_EraseRootFromParent_Done,
     /*  271424 */   // Label 5141: @271424
     /*  271424 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271487), // Rule ID 8288 //
     /*  271429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  271471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271485 */     GIR_RootConstrainSelectedInstOperands,
     /*  271486 */     // GIR_Coverage, 8288,
     /*  271486 */     GIR_EraseRootFromParent_Done,
     /*  271487 */   // Label 5142: @271487
     /*  271487 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271550), // Rule ID 8291 //
     /*  271492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271531 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271548 */     GIR_RootConstrainSelectedInstOperands,
     /*  271549 */     // GIR_Coverage, 8291,
     /*  271549 */     GIR_EraseRootFromParent_Done,
     /*  271550 */   // Label 5143: @271550
     /*  271550 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271613), // Rule ID 8292 //
     /*  271555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  271597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271611 */     GIR_RootConstrainSelectedInstOperands,
     /*  271612 */     // GIR_Coverage, 8292,
     /*  271612 */     GIR_EraseRootFromParent_Done,
     /*  271613 */   // Label 5144: @271613
     /*  271613 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271676), // Rule ID 8295 //
     /*  271618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271674 */     GIR_RootConstrainSelectedInstOperands,
     /*  271675 */     // GIR_Coverage, 8295,
     /*  271675 */     GIR_EraseRootFromParent_Done,
     /*  271676 */   // Label 5145: @271676
     /*  271676 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(271739), // Rule ID 8296 //
     /*  271681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271737 */     GIR_RootConstrainSelectedInstOperands,
     /*  271738 */     // GIR_Coverage, 8296,
     /*  271738 */     GIR_EraseRootFromParent_Done,
     /*  271739 */   // Label 5146: @271739
     /*  271739 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(271802), // Rule ID 8299 //
     /*  271744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271783 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  271786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271800 */     GIR_RootConstrainSelectedInstOperands,
     /*  271801 */     // GIR_Coverage, 8299,
     /*  271801 */     GIR_EraseRootFromParent_Done,
     /*  271802 */   // Label 5147: @271802
     /*  271802 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(271865), // Rule ID 8300 //
     /*  271807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  271849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271863 */     GIR_RootConstrainSelectedInstOperands,
     /*  271864 */     // GIR_Coverage, 8300,
     /*  271864 */     GIR_EraseRootFromParent_Done,
     /*  271865 */   // Label 5148: @271865
     /*  271865 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(271928), // Rule ID 8303 //
     /*  271870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271926 */     GIR_RootConstrainSelectedInstOperands,
     /*  271927 */     // GIR_Coverage, 8303,
     /*  271927 */     GIR_EraseRootFromParent_Done,
     /*  271928 */   // Label 5149: @271928
     /*  271928 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(271991), // Rule ID 8304 //
     /*  271933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  271975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271989 */     GIR_RootConstrainSelectedInstOperands,
     /*  271990 */     // GIR_Coverage, 8304,
     /*  271990 */     GIR_EraseRootFromParent_Done,
     /*  271991 */   // Label 5150: @271991
     /*  271991 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272054), // Rule ID 8307 //
     /*  271996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272035 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272052 */     GIR_RootConstrainSelectedInstOperands,
     /*  272053 */     // GIR_Coverage, 8307,
     /*  272053 */     GIR_EraseRootFromParent_Done,
     /*  272054 */   // Label 5151: @272054
     /*  272054 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272117), // Rule ID 8308 //
     /*  272059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  272073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272115 */     GIR_RootConstrainSelectedInstOperands,
     /*  272116 */     // GIR_Coverage, 8308,
     /*  272116 */     GIR_EraseRootFromParent_Done,
     /*  272117 */   // Label 5152: @272117
     /*  272117 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272180), // Rule ID 8311 //
     /*  272122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272178 */     GIR_RootConstrainSelectedInstOperands,
     /*  272179 */     // GIR_Coverage, 8311,
     /*  272179 */     GIR_EraseRootFromParent_Done,
     /*  272180 */   // Label 5153: @272180
     /*  272180 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272243), // Rule ID 8312 //
     /*  272185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  272199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  272227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272241 */     GIR_RootConstrainSelectedInstOperands,
     /*  272242 */     // GIR_Coverage, 8312,
     /*  272242 */     GIR_EraseRootFromParent_Done,
     /*  272243 */   // Label 5154: @272243
     /*  272243 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272306), // Rule ID 8315 //
     /*  272248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272304 */     GIR_RootConstrainSelectedInstOperands,
     /*  272305 */     // GIR_Coverage, 8315,
     /*  272305 */     GIR_EraseRootFromParent_Done,
     /*  272306 */   // Label 5155: @272306
     /*  272306 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272369), // Rule ID 8316 //
     /*  272311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272350 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272367 */     GIR_RootConstrainSelectedInstOperands,
     /*  272368 */     // GIR_Coverage, 8316,
     /*  272368 */     GIR_EraseRootFromParent_Done,
     /*  272369 */   // Label 5156: @272369
     /*  272369 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272432), // Rule ID 8319 //
     /*  272374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272430 */     GIR_RootConstrainSelectedInstOperands,
     /*  272431 */     // GIR_Coverage, 8319,
     /*  272431 */     GIR_EraseRootFromParent_Done,
     /*  272432 */   // Label 5157: @272432
     /*  272432 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272495), // Rule ID 8320 //
     /*  272437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272493 */     GIR_RootConstrainSelectedInstOperands,
     /*  272494 */     // GIR_Coverage, 8320,
     /*  272494 */     GIR_EraseRootFromParent_Done,
     /*  272495 */   // Label 5158: @272495
     /*  272495 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272558), // Rule ID 8323 //
     /*  272500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272556 */     GIR_RootConstrainSelectedInstOperands,
     /*  272557 */     // GIR_Coverage, 8323,
     /*  272557 */     GIR_EraseRootFromParent_Done,
     /*  272558 */   // Label 5159: @272558
     /*  272558 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272621), // Rule ID 8324 //
     /*  272563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272619 */     GIR_RootConstrainSelectedInstOperands,
     /*  272620 */     // GIR_Coverage, 8324,
     /*  272620 */     GIR_EraseRootFromParent_Done,
     /*  272621 */   // Label 5160: @272621
     /*  272621 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(272684), // Rule ID 8327 //
     /*  272626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272682 */     GIR_RootConstrainSelectedInstOperands,
     /*  272683 */     // GIR_Coverage, 8327,
     /*  272683 */     GIR_EraseRootFromParent_Done,
     /*  272684 */   // Label 5161: @272684
     /*  272684 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(272747), // Rule ID 8328 //
     /*  272689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  272731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272745 */     GIR_RootConstrainSelectedInstOperands,
     /*  272746 */     // GIR_Coverage, 8328,
     /*  272746 */     GIR_EraseRootFromParent_Done,
     /*  272747 */   // Label 5162: @272747
     /*  272747 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(272810), // Rule ID 8331 //
     /*  272752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272808 */     GIR_RootConstrainSelectedInstOperands,
     /*  272809 */     // GIR_Coverage, 8331,
     /*  272809 */     GIR_EraseRootFromParent_Done,
     /*  272810 */   // Label 5163: @272810
     /*  272810 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(272873), // Rule ID 8332 //
     /*  272815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272871 */     GIR_RootConstrainSelectedInstOperands,
     /*  272872 */     // GIR_Coverage, 8332,
     /*  272872 */     GIR_EraseRootFromParent_Done,
     /*  272873 */   // Label 5164: @272873
     /*  272873 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(272936), // Rule ID 8335 //
     /*  272878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272917 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272934 */     GIR_RootConstrainSelectedInstOperands,
     /*  272935 */     // GIR_Coverage, 8335,
     /*  272935 */     GIR_EraseRootFromParent_Done,
     /*  272936 */   // Label 5165: @272936
     /*  272936 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(272999), // Rule ID 8336 //
     /*  272941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272997 */     GIR_RootConstrainSelectedInstOperands,
     /*  272998 */     // GIR_Coverage, 8336,
     /*  272998 */     GIR_EraseRootFromParent_Done,
     /*  272999 */   // Label 5166: @272999
     /*  272999 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273062), // Rule ID 8339 //
     /*  273004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273043 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273060 */     GIR_RootConstrainSelectedInstOperands,
     /*  273061 */     // GIR_Coverage, 8339,
     /*  273061 */     GIR_EraseRootFromParent_Done,
     /*  273062 */   // Label 5167: @273062
     /*  273062 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273125), // Rule ID 8340 //
     /*  273067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  273078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  273081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273106 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273123 */     GIR_RootConstrainSelectedInstOperands,
     /*  273124 */     // GIR_Coverage, 8340,
     /*  273124 */     GIR_EraseRootFromParent_Done,
     /*  273125 */   // Label 5168: @273125
     /*  273125 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273188), // Rule ID 8343 //
     /*  273130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273186 */     GIR_RootConstrainSelectedInstOperands,
     /*  273187 */     // GIR_Coverage, 8343,
     /*  273187 */     GIR_EraseRootFromParent_Done,
     /*  273188 */   // Label 5169: @273188
     /*  273188 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273251), // Rule ID 8344 //
     /*  273193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  273207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273249 */     GIR_RootConstrainSelectedInstOperands,
     /*  273250 */     // GIR_Coverage, 8344,
     /*  273250 */     GIR_EraseRootFromParent_Done,
     /*  273251 */   // Label 5170: @273251
     /*  273251 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273314), // Rule ID 8347 //
     /*  273256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273295 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273312 */     GIR_RootConstrainSelectedInstOperands,
     /*  273313 */     // GIR_Coverage, 8347,
     /*  273313 */     GIR_EraseRootFromParent_Done,
     /*  273314 */   // Label 5171: @273314
     /*  273314 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273377), // Rule ID 8348 //
     /*  273319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273358 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273375 */     GIR_RootConstrainSelectedInstOperands,
     /*  273376 */     // GIR_Coverage, 8348,
     /*  273376 */     GIR_EraseRootFromParent_Done,
     /*  273377 */   // Label 5172: @273377
     /*  273377 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273440), // Rule ID 8351 //
     /*  273382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273421 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273438 */     GIR_RootConstrainSelectedInstOperands,
     /*  273439 */     // GIR_Coverage, 8351,
     /*  273439 */     GIR_EraseRootFromParent_Done,
     /*  273440 */   // Label 5173: @273440
     /*  273440 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273503), // Rule ID 8352 //
     /*  273445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273501 */     GIR_RootConstrainSelectedInstOperands,
     /*  273502 */     // GIR_Coverage, 8352,
     /*  273502 */     GIR_EraseRootFromParent_Done,
     /*  273503 */   // Label 5174: @273503
     /*  273503 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273566), // Rule ID 8355 //
     /*  273508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273564 */     GIR_RootConstrainSelectedInstOperands,
     /*  273565 */     // GIR_Coverage, 8355,
     /*  273565 */     GIR_EraseRootFromParent_Done,
     /*  273566 */   // Label 5175: @273566
     /*  273566 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273629), // Rule ID 8356 //
     /*  273571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273627 */     GIR_RootConstrainSelectedInstOperands,
     /*  273628 */     // GIR_Coverage, 8356,
     /*  273628 */     GIR_EraseRootFromParent_Done,
     /*  273629 */   // Label 5176: @273629
     /*  273629 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(273692), // Rule ID 8359 //
     /*  273634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273690 */     GIR_RootConstrainSelectedInstOperands,
     /*  273691 */     // GIR_Coverage, 8359,
     /*  273691 */     GIR_EraseRootFromParent_Done,
     /*  273692 */   // Label 5177: @273692
     /*  273692 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(273755), // Rule ID 8360 //
     /*  273697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  273739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273753 */     GIR_RootConstrainSelectedInstOperands,
     /*  273754 */     // GIR_Coverage, 8360,
     /*  273754 */     GIR_EraseRootFromParent_Done,
     /*  273755 */   // Label 5178: @273755
     /*  273755 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(273818), // Rule ID 8363 //
     /*  273760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273799 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273816 */     GIR_RootConstrainSelectedInstOperands,
     /*  273817 */     // GIR_Coverage, 8363,
     /*  273817 */     GIR_EraseRootFromParent_Done,
     /*  273818 */   // Label 5179: @273818
     /*  273818 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(273881), // Rule ID 8364 //
     /*  273823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273879 */     GIR_RootConstrainSelectedInstOperands,
     /*  273880 */     // GIR_Coverage, 8364,
     /*  273880 */     GIR_EraseRootFromParent_Done,
     /*  273881 */   // Label 5180: @273881
     /*  273881 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(273944), // Rule ID 8367 //
     /*  273886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273925 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273942 */     GIR_RootConstrainSelectedInstOperands,
     /*  273943 */     // GIR_Coverage, 8367,
     /*  273943 */     GIR_EraseRootFromParent_Done,
     /*  273944 */   // Label 5181: @273944
     /*  273944 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274007), // Rule ID 8368 //
     /*  273949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  273991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274005 */     GIR_RootConstrainSelectedInstOperands,
     /*  274006 */     // GIR_Coverage, 8368,
     /*  274006 */     GIR_EraseRootFromParent_Done,
     /*  274007 */   // Label 5182: @274007
     /*  274007 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274070), // Rule ID 8371 //
     /*  274012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274051 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274068 */     GIR_RootConstrainSelectedInstOperands,
     /*  274069 */     // GIR_Coverage, 8371,
     /*  274069 */     GIR_EraseRootFromParent_Done,
     /*  274070 */   // Label 5183: @274070
     /*  274070 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274133), // Rule ID 8372 //
     /*  274075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  274089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274114 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  274117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274131 */     GIR_RootConstrainSelectedInstOperands,
     /*  274132 */     // GIR_Coverage, 8372,
     /*  274132 */     GIR_EraseRootFromParent_Done,
     /*  274133 */   // Label 5184: @274133
     /*  274133 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274196), // Rule ID 8375 //
     /*  274138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  274155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274177 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274194 */     GIR_RootConstrainSelectedInstOperands,
     /*  274195 */     // GIR_Coverage, 8375,
     /*  274195 */     GIR_EraseRootFromParent_Done,
     /*  274196 */   // Label 5185: @274196
     /*  274196 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274259), // Rule ID 8376 //
     /*  274201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  274215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  274218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  274233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  274243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274257 */     GIR_RootConstrainSelectedInstOperands,
     /*  274258 */     // GIR_Coverage, 8376,
     /*  274258 */     GIR_EraseRootFromParent_Done,
     /*  274259 */   // Label 5186: @274259
     /*  274259 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274322), // Rule ID 8379 //
     /*  274264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274303 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274320 */     GIR_RootConstrainSelectedInstOperands,
     /*  274321 */     // GIR_Coverage, 8379,
     /*  274321 */     GIR_EraseRootFromParent_Done,
     /*  274322 */   // Label 5187: @274322
     /*  274322 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274385), // Rule ID 8380 //
     /*  274327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  274369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274383 */     GIR_RootConstrainSelectedInstOperands,
     /*  274384 */     // GIR_Coverage, 8380,
     /*  274384 */     GIR_EraseRootFromParent_Done,
     /*  274385 */   // Label 5188: @274385
     /*  274385 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274448), // Rule ID 8383 //
     /*  274390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274446 */     GIR_RootConstrainSelectedInstOperands,
     /*  274447 */     // GIR_Coverage, 8383,
     /*  274447 */     GIR_EraseRootFromParent_Done,
     /*  274448 */   // Label 5189: @274448
     /*  274448 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274511), // Rule ID 8384 //
     /*  274453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274509 */     GIR_RootConstrainSelectedInstOperands,
     /*  274510 */     // GIR_Coverage, 8384,
     /*  274510 */     GIR_EraseRootFromParent_Done,
     /*  274511 */   // Label 5190: @274511
     /*  274511 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274574), // Rule ID 8387 //
     /*  274516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274555 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274572 */     GIR_RootConstrainSelectedInstOperands,
     /*  274573 */     // GIR_Coverage, 8387,
     /*  274573 */     GIR_EraseRootFromParent_Done,
     /*  274574 */   // Label 5191: @274574
     /*  274574 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274637), // Rule ID 8388 //
     /*  274579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274635 */     GIR_RootConstrainSelectedInstOperands,
     /*  274636 */     // GIR_Coverage, 8388,
     /*  274636 */     GIR_EraseRootFromParent_Done,
     /*  274637 */   // Label 5192: @274637
     /*  274637 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(274700), // Rule ID 8391 //
     /*  274642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274681 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274698 */     GIR_RootConstrainSelectedInstOperands,
     /*  274699 */     // GIR_Coverage, 8391,
     /*  274699 */     GIR_EraseRootFromParent_Done,
     /*  274700 */   // Label 5193: @274700
     /*  274700 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(274763), // Rule ID 8392 //
     /*  274705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  274747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274761 */     GIR_RootConstrainSelectedInstOperands,
     /*  274762 */     // GIR_Coverage, 8392,
     /*  274762 */     GIR_EraseRootFromParent_Done,
     /*  274763 */   // Label 5194: @274763
     /*  274763 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(274826), // Rule ID 8395 //
     /*  274768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274824 */     GIR_RootConstrainSelectedInstOperands,
     /*  274825 */     // GIR_Coverage, 8395,
     /*  274825 */     GIR_EraseRootFromParent_Done,
     /*  274826 */   // Label 5195: @274826
     /*  274826 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(274889), // Rule ID 8396 //
     /*  274831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274887 */     GIR_RootConstrainSelectedInstOperands,
     /*  274888 */     // GIR_Coverage, 8396,
     /*  274888 */     GIR_EraseRootFromParent_Done,
     /*  274889 */   // Label 5196: @274889
     /*  274889 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(274952), // Rule ID 8399 //
     /*  274894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274933 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274950 */     GIR_RootConstrainSelectedInstOperands,
     /*  274951 */     // GIR_Coverage, 8399,
     /*  274951 */     GIR_EraseRootFromParent_Done,
     /*  274952 */   // Label 5197: @274952
     /*  274952 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275015), // Rule ID 8400 //
     /*  274957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  274999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275013 */     GIR_RootConstrainSelectedInstOperands,
     /*  275014 */     // GIR_Coverage, 8400,
     /*  275014 */     GIR_EraseRootFromParent_Done,
     /*  275015 */   // Label 5198: @275015
     /*  275015 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275078), // Rule ID 8403 //
     /*  275020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275059 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275076 */     GIR_RootConstrainSelectedInstOperands,
     /*  275077 */     // GIR_Coverage, 8403,
     /*  275077 */     GIR_EraseRootFromParent_Done,
     /*  275078 */   // Label 5199: @275078
     /*  275078 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275141), // Rule ID 8404 //
     /*  275083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  275097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  275100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275139 */     GIR_RootConstrainSelectedInstOperands,
     /*  275140 */     // GIR_Coverage, 8404,
     /*  275140 */     GIR_EraseRootFromParent_Done,
     /*  275141 */   // Label 5200: @275141
     /*  275141 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275204), // Rule ID 8407 //
     /*  275146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275185 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275202 */     GIR_RootConstrainSelectedInstOperands,
     /*  275203 */     // GIR_Coverage, 8407,
     /*  275203 */     GIR_EraseRootFromParent_Done,
     /*  275204 */   // Label 5201: @275204
     /*  275204 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275267), // Rule ID 8408 //
     /*  275209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  275223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  275226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275265 */     GIR_RootConstrainSelectedInstOperands,
     /*  275266 */     // GIR_Coverage, 8408,
     /*  275266 */     GIR_EraseRootFromParent_Done,
     /*  275267 */   // Label 5202: @275267
     /*  275267 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275330), // Rule ID 8411 //
     /*  275272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275311 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275328 */     GIR_RootConstrainSelectedInstOperands,
     /*  275329 */     // GIR_Coverage, 8411,
     /*  275329 */     GIR_EraseRootFromParent_Done,
     /*  275330 */   // Label 5203: @275330
     /*  275330 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275393), // Rule ID 8412 //
     /*  275335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275391 */     GIR_RootConstrainSelectedInstOperands,
     /*  275392 */     // GIR_Coverage, 8412,
     /*  275392 */     GIR_EraseRootFromParent_Done,
     /*  275393 */   // Label 5204: @275393
     /*  275393 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275456), // Rule ID 8415 //
     /*  275398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275454 */     GIR_RootConstrainSelectedInstOperands,
     /*  275455 */     // GIR_Coverage, 8415,
     /*  275455 */     GIR_EraseRootFromParent_Done,
     /*  275456 */   // Label 5205: @275456
     /*  275456 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275519), // Rule ID 8416 //
     /*  275461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  275503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275517 */     GIR_RootConstrainSelectedInstOperands,
     /*  275518 */     // GIR_Coverage, 8416,
     /*  275518 */     GIR_EraseRootFromParent_Done,
     /*  275519 */   // Label 5206: @275519
     /*  275519 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275582), // Rule ID 8419 //
     /*  275524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275563 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275580 */     GIR_RootConstrainSelectedInstOperands,
     /*  275581 */     // GIR_Coverage, 8419,
     /*  275581 */     GIR_EraseRootFromParent_Done,
     /*  275582 */   // Label 5207: @275582
     /*  275582 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275645), // Rule ID 8420 //
     /*  275587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275643 */     GIR_RootConstrainSelectedInstOperands,
     /*  275644 */     // GIR_Coverage, 8420,
     /*  275644 */     GIR_EraseRootFromParent_Done,
     /*  275645 */   // Label 5208: @275645
     /*  275645 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(275708), // Rule ID 8423 //
     /*  275650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275706 */     GIR_RootConstrainSelectedInstOperands,
     /*  275707 */     // GIR_Coverage, 8423,
     /*  275707 */     GIR_EraseRootFromParent_Done,
     /*  275708 */   // Label 5209: @275708
     /*  275708 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(275771), // Rule ID 8424 //
     /*  275713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275752 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275769 */     GIR_RootConstrainSelectedInstOperands,
     /*  275770 */     // GIR_Coverage, 8424,
     /*  275770 */     GIR_EraseRootFromParent_Done,
     /*  275771 */   // Label 5210: @275771
     /*  275771 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(275834), // Rule ID 8427 //
     /*  275776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275815 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275832 */     GIR_RootConstrainSelectedInstOperands,
     /*  275833 */     // GIR_Coverage, 8427,
     /*  275833 */     GIR_EraseRootFromParent_Done,
     /*  275834 */   // Label 5211: @275834
     /*  275834 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(275897), // Rule ID 8428 //
     /*  275839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275878 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275895 */     GIR_RootConstrainSelectedInstOperands,
     /*  275896 */     // GIR_Coverage, 8428,
     /*  275896 */     GIR_EraseRootFromParent_Done,
     /*  275897 */   // Label 5212: @275897
     /*  275897 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(275960), // Rule ID 8431 //
     /*  275902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275958 */     GIR_RootConstrainSelectedInstOperands,
     /*  275959 */     // GIR_Coverage, 8431,
     /*  275959 */     GIR_EraseRootFromParent_Done,
     /*  275960 */   // Label 5213: @275960
     /*  275960 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276023), // Rule ID 8432 //
     /*  275965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276021 */     GIR_RootConstrainSelectedInstOperands,
     /*  276022 */     // GIR_Coverage, 8432,
     /*  276022 */     GIR_EraseRootFromParent_Done,
     /*  276023 */   // Label 5214: @276023
     /*  276023 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276086), // Rule ID 8435 //
     /*  276028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276084 */     GIR_RootConstrainSelectedInstOperands,
     /*  276085 */     // GIR_Coverage, 8435,
     /*  276085 */     GIR_EraseRootFromParent_Done,
     /*  276086 */   // Label 5215: @276086
     /*  276086 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276149), // Rule ID 8436 //
     /*  276091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  276105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  276108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276130 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276147 */     GIR_RootConstrainSelectedInstOperands,
     /*  276148 */     // GIR_Coverage, 8436,
     /*  276148 */     GIR_EraseRootFromParent_Done,
     /*  276149 */   // Label 5216: @276149
     /*  276149 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276212), // Rule ID 8439 //
     /*  276154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276193 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276210 */     GIR_RootConstrainSelectedInstOperands,
     /*  276211 */     // GIR_Coverage, 8439,
     /*  276211 */     GIR_EraseRootFromParent_Done,
     /*  276212 */   // Label 5217: @276212
     /*  276212 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276275), // Rule ID 8440 //
     /*  276217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  276228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  276231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  276234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276273 */     GIR_RootConstrainSelectedInstOperands,
     /*  276274 */     // GIR_Coverage, 8440,
     /*  276274 */     GIR_EraseRootFromParent_Done,
     /*  276275 */   // Label 5218: @276275
     /*  276275 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276338), // Rule ID 8443 //
     /*  276280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276336 */     GIR_RootConstrainSelectedInstOperands,
     /*  276337 */     // GIR_Coverage, 8443,
     /*  276337 */     GIR_EraseRootFromParent_Done,
     /*  276338 */   // Label 5219: @276338
     /*  276338 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276401), // Rule ID 8444 //
     /*  276343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276399 */     GIR_RootConstrainSelectedInstOperands,
     /*  276400 */     // GIR_Coverage, 8444,
     /*  276400 */     GIR_EraseRootFromParent_Done,
     /*  276401 */   // Label 5220: @276401
     /*  276401 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276464), // Rule ID 8447 //
     /*  276406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276462 */     GIR_RootConstrainSelectedInstOperands,
     /*  276463 */     // GIR_Coverage, 8447,
     /*  276463 */     GIR_EraseRootFromParent_Done,
     /*  276464 */   // Label 5221: @276464
     /*  276464 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276527), // Rule ID 8448 //
     /*  276469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276525 */     GIR_RootConstrainSelectedInstOperands,
     /*  276526 */     // GIR_Coverage, 8448,
     /*  276526 */     GIR_EraseRootFromParent_Done,
     /*  276527 */   // Label 5222: @276527
     /*  276527 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276590), // Rule ID 8451 //
     /*  276532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276571 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276588 */     GIR_RootConstrainSelectedInstOperands,
     /*  276589 */     // GIR_Coverage, 8451,
     /*  276589 */     GIR_EraseRootFromParent_Done,
     /*  276590 */   // Label 5223: @276590
     /*  276590 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276653), // Rule ID 8452 //
     /*  276595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276651 */     GIR_RootConstrainSelectedInstOperands,
     /*  276652 */     // GIR_Coverage, 8452,
     /*  276652 */     GIR_EraseRootFromParent_Done,
     /*  276653 */   // Label 5224: @276653
     /*  276653 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(276716), // Rule ID 8455 //
     /*  276658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276714 */     GIR_RootConstrainSelectedInstOperands,
     /*  276715 */     // GIR_Coverage, 8455,
     /*  276715 */     GIR_EraseRootFromParent_Done,
     /*  276716 */   // Label 5225: @276716
     /*  276716 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(276779), // Rule ID 8456 //
     /*  276721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  276763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276777 */     GIR_RootConstrainSelectedInstOperands,
     /*  276778 */     // GIR_Coverage, 8456,
     /*  276778 */     GIR_EraseRootFromParent_Done,
     /*  276779 */   // Label 5226: @276779
     /*  276779 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(276842), // Rule ID 8459 //
     /*  276784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276823 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276840 */     GIR_RootConstrainSelectedInstOperands,
     /*  276841 */     // GIR_Coverage, 8459,
     /*  276841 */     GIR_EraseRootFromParent_Done,
     /*  276842 */   // Label 5227: @276842
     /*  276842 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(276905), // Rule ID 8460 //
     /*  276847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  276889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276903 */     GIR_RootConstrainSelectedInstOperands,
     /*  276904 */     // GIR_Coverage, 8460,
     /*  276904 */     GIR_EraseRootFromParent_Done,
     /*  276905 */   // Label 5228: @276905
     /*  276905 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(276968), // Rule ID 8463 //
     /*  276910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  276952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276966 */     GIR_RootConstrainSelectedInstOperands,
     /*  276967 */     // GIR_Coverage, 8463,
     /*  276967 */     GIR_EraseRootFromParent_Done,
     /*  276968 */   // Label 5229: @276968
     /*  276968 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277031), // Rule ID 8464 //
     /*  276973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  277015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277029 */     GIR_RootConstrainSelectedInstOperands,
     /*  277030 */     // GIR_Coverage, 8464,
     /*  277030 */     GIR_EraseRootFromParent_Done,
     /*  277031 */   // Label 5230: @277031
     /*  277031 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277094), // Rule ID 8467 //
     /*  277036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277075 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277092 */     GIR_RootConstrainSelectedInstOperands,
     /*  277093 */     // GIR_Coverage, 8467,
     /*  277093 */     GIR_EraseRootFromParent_Done,
     /*  277094 */   // Label 5231: @277094
     /*  277094 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277157), // Rule ID 8468 //
     /*  277099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  277113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  277141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277155 */     GIR_RootConstrainSelectedInstOperands,
     /*  277156 */     // GIR_Coverage, 8468,
     /*  277156 */     GIR_EraseRootFromParent_Done,
     /*  277157 */   // Label 5232: @277157
     /*  277157 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277220), // Rule ID 8471 //
     /*  277162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277201 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277218 */     GIR_RootConstrainSelectedInstOperands,
     /*  277219 */     // GIR_Coverage, 8471,
     /*  277219 */     GIR_EraseRootFromParent_Done,
     /*  277220 */   // Label 5233: @277220
     /*  277220 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277283), // Rule ID 8472 //
     /*  277225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  277239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277281 */     GIR_RootConstrainSelectedInstOperands,
     /*  277282 */     // GIR_Coverage, 8472,
     /*  277282 */     GIR_EraseRootFromParent_Done,
     /*  277283 */   // Label 5234: @277283
     /*  277283 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277346), // Rule ID 8475 //
     /*  277288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277327 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277344 */     GIR_RootConstrainSelectedInstOperands,
     /*  277345 */     // GIR_Coverage, 8475,
     /*  277345 */     GIR_EraseRootFromParent_Done,
     /*  277346 */   // Label 5235: @277346
     /*  277346 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277409), // Rule ID 8476 //
     /*  277351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277407 */     GIR_RootConstrainSelectedInstOperands,
     /*  277408 */     // GIR_Coverage, 8476,
     /*  277408 */     GIR_EraseRootFromParent_Done,
     /*  277409 */   // Label 5236: @277409
     /*  277409 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277472), // Rule ID 8479 //
     /*  277414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277470 */     GIR_RootConstrainSelectedInstOperands,
     /*  277471 */     // GIR_Coverage, 8479,
     /*  277471 */     GIR_EraseRootFromParent_Done,
     /*  277472 */   // Label 5237: @277472
     /*  277472 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277535), // Rule ID 8480 //
     /*  277477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  277519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277533 */     GIR_RootConstrainSelectedInstOperands,
     /*  277534 */     // GIR_Coverage, 8480,
     /*  277534 */     GIR_EraseRootFromParent_Done,
     /*  277535 */   // Label 5238: @277535
     /*  277535 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277598), // Rule ID 8483 //
     /*  277540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277596 */     GIR_RootConstrainSelectedInstOperands,
     /*  277597 */     // GIR_Coverage, 8483,
     /*  277597 */     GIR_EraseRootFromParent_Done,
     /*  277598 */   // Label 5239: @277598
     /*  277598 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277661), // Rule ID 8484 //
     /*  277603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277642 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277659 */     GIR_RootConstrainSelectedInstOperands,
     /*  277660 */     // GIR_Coverage, 8484,
     /*  277660 */     GIR_EraseRootFromParent_Done,
     /*  277661 */   // Label 5240: @277661
     /*  277661 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(277724), // Rule ID 8487 //
     /*  277666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277722 */     GIR_RootConstrainSelectedInstOperands,
     /*  277723 */     // GIR_Coverage, 8487,
     /*  277723 */     GIR_EraseRootFromParent_Done,
     /*  277724 */   // Label 5241: @277724
     /*  277724 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(277787), // Rule ID 8488 //
     /*  277729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  277771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277785 */     GIR_RootConstrainSelectedInstOperands,
     /*  277786 */     // GIR_Coverage, 8488,
     /*  277786 */     GIR_EraseRootFromParent_Done,
     /*  277787 */   // Label 5242: @277787
     /*  277787 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(277850), // Rule ID 8491 //
     /*  277792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277848 */     GIR_RootConstrainSelectedInstOperands,
     /*  277849 */     // GIR_Coverage, 8491,
     /*  277849 */     GIR_EraseRootFromParent_Done,
     /*  277850 */   // Label 5243: @277850
     /*  277850 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(277913), // Rule ID 8492 //
     /*  277855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277911 */     GIR_RootConstrainSelectedInstOperands,
     /*  277912 */     // GIR_Coverage, 8492,
     /*  277912 */     GIR_EraseRootFromParent_Done,
     /*  277913 */   // Label 5244: @277913
     /*  277913 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(277976), // Rule ID 8495 //
     /*  277918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277974 */     GIR_RootConstrainSelectedInstOperands,
     /*  277975 */     // GIR_Coverage, 8495,
     /*  277975 */     GIR_EraseRootFromParent_Done,
     /*  277976 */   // Label 5245: @277976
     /*  277976 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278039), // Rule ID 8496 //
     /*  277981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278037 */     GIR_RootConstrainSelectedInstOperands,
     /*  278038 */     // GIR_Coverage, 8496,
     /*  278038 */     GIR_EraseRootFromParent_Done,
     /*  278039 */   // Label 5246: @278039
     /*  278039 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278102), // Rule ID 8499 //
     /*  278044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278083 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278100 */     GIR_RootConstrainSelectedInstOperands,
     /*  278101 */     // GIR_Coverage, 8499,
     /*  278101 */     GIR_EraseRootFromParent_Done,
     /*  278102 */   // Label 5247: @278102
     /*  278102 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278165), // Rule ID 8500 //
     /*  278107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  278121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278146 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278163 */     GIR_RootConstrainSelectedInstOperands,
     /*  278164 */     // GIR_Coverage, 8500,
     /*  278164 */     GIR_EraseRootFromParent_Done,
     /*  278165 */   // Label 5248: @278165
     /*  278165 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278228), // Rule ID 8503 //
     /*  278170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278226 */     GIR_RootConstrainSelectedInstOperands,
     /*  278227 */     // GIR_Coverage, 8503,
     /*  278227 */     GIR_EraseRootFromParent_Done,
     /*  278228 */   // Label 5249: @278228
     /*  278228 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278291), // Rule ID 8504 //
     /*  278233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  278247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  278275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278289 */     GIR_RootConstrainSelectedInstOperands,
     /*  278290 */     // GIR_Coverage, 8504,
     /*  278290 */     GIR_EraseRootFromParent_Done,
     /*  278291 */   // Label 5250: @278291
     /*  278291 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278354), // Rule ID 8507 //
     /*  278296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278335 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278352 */     GIR_RootConstrainSelectedInstOperands,
     /*  278353 */     // GIR_Coverage, 8507,
     /*  278353 */     GIR_EraseRootFromParent_Done,
     /*  278354 */   // Label 5251: @278354
     /*  278354 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278417), // Rule ID 8508 //
     /*  278359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278398 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278415 */     GIR_RootConstrainSelectedInstOperands,
     /*  278416 */     // GIR_Coverage, 8508,
     /*  278416 */     GIR_EraseRootFromParent_Done,
     /*  278417 */   // Label 5252: @278417
     /*  278417 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278480), // Rule ID 8511 //
     /*  278422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278461 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278478 */     GIR_RootConstrainSelectedInstOperands,
     /*  278479 */     // GIR_Coverage, 8511,
     /*  278479 */     GIR_EraseRootFromParent_Done,
     /*  278480 */   // Label 5253: @278480
     /*  278480 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278543), // Rule ID 8512 //
     /*  278485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278524 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278541 */     GIR_RootConstrainSelectedInstOperands,
     /*  278542 */     // GIR_Coverage, 8512,
     /*  278542 */     GIR_EraseRootFromParent_Done,
     /*  278543 */   // Label 5254: @278543
     /*  278543 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278606), // Rule ID 8515 //
     /*  278548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278587 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278604 */     GIR_RootConstrainSelectedInstOperands,
     /*  278605 */     // GIR_Coverage, 8515,
     /*  278605 */     GIR_EraseRootFromParent_Done,
     /*  278606 */   // Label 5255: @278606
     /*  278606 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278669), // Rule ID 8516 //
     /*  278611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278650 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278667 */     GIR_RootConstrainSelectedInstOperands,
     /*  278668 */     // GIR_Coverage, 8516,
     /*  278668 */     GIR_EraseRootFromParent_Done,
     /*  278669 */   // Label 5256: @278669
     /*  278669 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(278732), // Rule ID 8519 //
     /*  278674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278730 */     GIR_RootConstrainSelectedInstOperands,
     /*  278731 */     // GIR_Coverage, 8519,
     /*  278731 */     GIR_EraseRootFromParent_Done,
     /*  278732 */   // Label 5257: @278732
     /*  278732 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(278795), // Rule ID 8520 //
     /*  278737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278793 */     GIR_RootConstrainSelectedInstOperands,
     /*  278794 */     // GIR_Coverage, 8520,
     /*  278794 */     GIR_EraseRootFromParent_Done,
     /*  278795 */   // Label 5258: @278795
     /*  278795 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(278858), // Rule ID 8523 //
     /*  278800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278839 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278856 */     GIR_RootConstrainSelectedInstOperands,
     /*  278857 */     // GIR_Coverage, 8523,
     /*  278857 */     GIR_EraseRootFromParent_Done,
     /*  278858 */   // Label 5259: @278858
     /*  278858 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(278921), // Rule ID 8524 //
     /*  278863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278919 */     GIR_RootConstrainSelectedInstOperands,
     /*  278920 */     // GIR_Coverage, 8524,
     /*  278920 */     GIR_EraseRootFromParent_Done,
     /*  278921 */   // Label 5260: @278921
     /*  278921 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(278984), // Rule ID 8527 //
     /*  278926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278965 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278982 */     GIR_RootConstrainSelectedInstOperands,
     /*  278983 */     // GIR_Coverage, 8527,
     /*  278983 */     GIR_EraseRootFromParent_Done,
     /*  278984 */   // Label 5261: @278984
     /*  278984 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279047), // Rule ID 8528 //
     /*  278989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  279000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  279003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279045 */     GIR_RootConstrainSelectedInstOperands,
     /*  279046 */     // GIR_Coverage, 8528,
     /*  279046 */     GIR_EraseRootFromParent_Done,
     /*  279047 */   // Label 5262: @279047
     /*  279047 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279110), // Rule ID 8531 //
     /*  279052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279091 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279108 */     GIR_RootConstrainSelectedInstOperands,
     /*  279109 */     // GIR_Coverage, 8531,
     /*  279109 */     GIR_EraseRootFromParent_Done,
     /*  279110 */   // Label 5263: @279110
     /*  279110 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279173), // Rule ID 8532 //
     /*  279115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  279129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279171 */     GIR_RootConstrainSelectedInstOperands,
     /*  279172 */     // GIR_Coverage, 8532,
     /*  279172 */     GIR_EraseRootFromParent_Done,
     /*  279173 */   // Label 5264: @279173
     /*  279173 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279236), // Rule ID 8535 //
     /*  279178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279234 */     GIR_RootConstrainSelectedInstOperands,
     /*  279235 */     // GIR_Coverage, 8535,
     /*  279235 */     GIR_EraseRootFromParent_Done,
     /*  279236 */   // Label 5265: @279236
     /*  279236 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279299), // Rule ID 8536 //
     /*  279241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  279255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279297 */     GIR_RootConstrainSelectedInstOperands,
     /*  279298 */     // GIR_Coverage, 8536,
     /*  279298 */     GIR_EraseRootFromParent_Done,
     /*  279299 */   // Label 5266: @279299
     /*  279299 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279362), // Rule ID 8539 //
     /*  279304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279343 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279360 */     GIR_RootConstrainSelectedInstOperands,
     /*  279361 */     // GIR_Coverage, 8539,
     /*  279361 */     GIR_EraseRootFromParent_Done,
     /*  279362 */   // Label 5267: @279362
     /*  279362 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279425), // Rule ID 8540 //
     /*  279367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279423 */     GIR_RootConstrainSelectedInstOperands,
     /*  279424 */     // GIR_Coverage, 8540,
     /*  279424 */     GIR_EraseRootFromParent_Done,
     /*  279425 */   // Label 5268: @279425
     /*  279425 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279488), // Rule ID 8543 //
     /*  279430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279486 */     GIR_RootConstrainSelectedInstOperands,
     /*  279487 */     // GIR_Coverage, 8543,
     /*  279487 */     GIR_EraseRootFromParent_Done,
     /*  279488 */   // Label 5269: @279488
     /*  279488 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279551), // Rule ID 8544 //
     /*  279493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  279535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279549 */     GIR_RootConstrainSelectedInstOperands,
     /*  279550 */     // GIR_Coverage, 8544,
     /*  279550 */     GIR_EraseRootFromParent_Done,
     /*  279551 */   // Label 5270: @279551
     /*  279551 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279614), // Rule ID 8547 //
     /*  279556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279595 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279612 */     GIR_RootConstrainSelectedInstOperands,
     /*  279613 */     // GIR_Coverage, 8547,
     /*  279613 */     GIR_EraseRootFromParent_Done,
     /*  279614 */   // Label 5271: @279614
     /*  279614 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(279677), // Rule ID 8548 //
     /*  279619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  279661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279675 */     GIR_RootConstrainSelectedInstOperands,
     /*  279676 */     // GIR_Coverage, 8548,
     /*  279676 */     GIR_EraseRootFromParent_Done,
     /*  279677 */   // Label 5272: @279677
     /*  279677 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(279740), // Rule ID 8551 //
     /*  279682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279721 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279738 */     GIR_RootConstrainSelectedInstOperands,
     /*  279739 */     // GIR_Coverage, 8551,
     /*  279739 */     GIR_EraseRootFromParent_Done,
     /*  279740 */   // Label 5273: @279740
     /*  279740 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(279803), // Rule ID 8552 //
     /*  279745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  279787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279801 */     GIR_RootConstrainSelectedInstOperands,
     /*  279802 */     // GIR_Coverage, 8552,
     /*  279802 */     GIR_EraseRootFromParent_Done,
     /*  279803 */   // Label 5274: @279803
     /*  279803 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(279866), // Rule ID 8555 //
     /*  279808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279847 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  279850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279864 */     GIR_RootConstrainSelectedInstOperands,
     /*  279865 */     // GIR_Coverage, 8555,
     /*  279865 */     GIR_EraseRootFromParent_Done,
     /*  279866 */   // Label 5275: @279866
     /*  279866 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(279929), // Rule ID 8556 //
     /*  279871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  279913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279927 */     GIR_RootConstrainSelectedInstOperands,
     /*  279928 */     // GIR_Coverage, 8556,
     /*  279928 */     GIR_EraseRootFromParent_Done,
     /*  279929 */   // Label 5276: @279929
     /*  279929 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(279992), // Rule ID 8559 //
     /*  279934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  279976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279990 */     GIR_RootConstrainSelectedInstOperands,
     /*  279991 */     // GIR_Coverage, 8559,
     /*  279991 */     GIR_EraseRootFromParent_Done,
     /*  279992 */   // Label 5277: @279992
     /*  279992 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280055), // Rule ID 8560 //
     /*  279997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  280011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  280014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280053 */     GIR_RootConstrainSelectedInstOperands,
     /*  280054 */     // GIR_Coverage, 8560,
     /*  280054 */     GIR_EraseRootFromParent_Done,
     /*  280055 */   // Label 5278: @280055
     /*  280055 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280118), // Rule ID 8563 //
     /*  280060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280116 */     GIR_RootConstrainSelectedInstOperands,
     /*  280117 */     // GIR_Coverage, 8563,
     /*  280117 */     GIR_EraseRootFromParent_Done,
     /*  280118 */   // Label 5279: @280118
     /*  280118 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280181), // Rule ID 8564 //
     /*  280123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  280137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  280140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280179 */     GIR_RootConstrainSelectedInstOperands,
     /*  280180 */     // GIR_Coverage, 8564,
     /*  280180 */     GIR_EraseRootFromParent_Done,
     /*  280181 */   // Label 5280: @280181
     /*  280181 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280244), // Rule ID 8567 //
     /*  280186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280242 */     GIR_RootConstrainSelectedInstOperands,
     /*  280243 */     // GIR_Coverage, 8567,
     /*  280243 */     GIR_EraseRootFromParent_Done,
     /*  280244 */   // Label 5281: @280244
     /*  280244 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280307), // Rule ID 8568 //
     /*  280249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  280263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  280266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  280291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280305 */     GIR_RootConstrainSelectedInstOperands,
     /*  280306 */     // GIR_Coverage, 8568,
     /*  280306 */     GIR_EraseRootFromParent_Done,
     /*  280307 */   // Label 5282: @280307
     /*  280307 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280370), // Rule ID 8571 //
     /*  280312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280368 */     GIR_RootConstrainSelectedInstOperands,
     /*  280369 */     // GIR_Coverage, 8571,
     /*  280369 */     GIR_EraseRootFromParent_Done,
     /*  280370 */   // Label 5283: @280370
     /*  280370 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280433), // Rule ID 8572 //
     /*  280375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280431 */     GIR_RootConstrainSelectedInstOperands,
     /*  280432 */     // GIR_Coverage, 8572,
     /*  280432 */     GIR_EraseRootFromParent_Done,
     /*  280433 */   // Label 5284: @280433
     /*  280433 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280496), // Rule ID 8575 //
     /*  280438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280494 */     GIR_RootConstrainSelectedInstOperands,
     /*  280495 */     // GIR_Coverage, 8575,
     /*  280495 */     GIR_EraseRootFromParent_Done,
     /*  280496 */   // Label 5285: @280496
     /*  280496 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280559), // Rule ID 8576 //
     /*  280501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  280543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280557 */     GIR_RootConstrainSelectedInstOperands,
     /*  280558 */     // GIR_Coverage, 8576,
     /*  280558 */     GIR_EraseRootFromParent_Done,
     /*  280559 */   // Label 5286: @280559
     /*  280559 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280622), // Rule ID 8579 //
     /*  280564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280620 */     GIR_RootConstrainSelectedInstOperands,
     /*  280621 */     // GIR_Coverage, 8579,
     /*  280621 */     GIR_EraseRootFromParent_Done,
     /*  280622 */   // Label 5287: @280622
     /*  280622 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(280685), // Rule ID 8580 //
     /*  280627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280683 */     GIR_RootConstrainSelectedInstOperands,
     /*  280684 */     // GIR_Coverage, 8580,
     /*  280684 */     GIR_EraseRootFromParent_Done,
     /*  280685 */   // Label 5288: @280685
     /*  280685 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(280748), // Rule ID 8583 //
     /*  280690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280746 */     GIR_RootConstrainSelectedInstOperands,
     /*  280747 */     // GIR_Coverage, 8583,
     /*  280747 */     GIR_EraseRootFromParent_Done,
     /*  280748 */   // Label 5289: @280748
     /*  280748 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(280811), // Rule ID 8584 //
     /*  280753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280809 */     GIR_RootConstrainSelectedInstOperands,
     /*  280810 */     // GIR_Coverage, 8584,
     /*  280810 */     GIR_EraseRootFromParent_Done,
     /*  280811 */   // Label 5290: @280811
     /*  280811 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(280874), // Rule ID 8587 //
     /*  280816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280855 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280872 */     GIR_RootConstrainSelectedInstOperands,
     /*  280873 */     // GIR_Coverage, 8587,
     /*  280873 */     GIR_EraseRootFromParent_Done,
     /*  280874 */   // Label 5291: @280874
     /*  280874 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(280937), // Rule ID 8588 //
     /*  280879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280918 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280935 */     GIR_RootConstrainSelectedInstOperands,
     /*  280936 */     // GIR_Coverage, 8588,
     /*  280936 */     GIR_EraseRootFromParent_Done,
     /*  280937 */   // Label 5292: @280937
     /*  280937 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281000), // Rule ID 8591 //
     /*  280942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  280984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280998 */     GIR_RootConstrainSelectedInstOperands,
     /*  280999 */     // GIR_Coverage, 8591,
     /*  280999 */     GIR_EraseRootFromParent_Done,
     /*  281000 */   // Label 5293: @281000
     /*  281000 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281063), // Rule ID 8592 //
     /*  281005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  281019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  281022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  281047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281061 */     GIR_RootConstrainSelectedInstOperands,
     /*  281062 */     // GIR_Coverage, 8592,
     /*  281062 */     GIR_EraseRootFromParent_Done,
     /*  281063 */   // Label 5294: @281063
     /*  281063 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281126), // Rule ID 8595 //
     /*  281068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281124 */     GIR_RootConstrainSelectedInstOperands,
     /*  281125 */     // GIR_Coverage, 8595,
     /*  281125 */     GIR_EraseRootFromParent_Done,
     /*  281126 */   // Label 5295: @281126
     /*  281126 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281189), // Rule ID 8596 //
     /*  281131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  281145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  281148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281170 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281187 */     GIR_RootConstrainSelectedInstOperands,
     /*  281188 */     // GIR_Coverage, 8596,
     /*  281188 */     GIR_EraseRootFromParent_Done,
     /*  281189 */   // Label 5296: @281189
     /*  281189 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281252), // Rule ID 8599 //
     /*  281194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281250 */     GIR_RootConstrainSelectedInstOperands,
     /*  281251 */     // GIR_Coverage, 8599,
     /*  281251 */     GIR_EraseRootFromParent_Done,
     /*  281252 */   // Label 5297: @281252
     /*  281252 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281315), // Rule ID 8600 //
     /*  281257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281313 */     GIR_RootConstrainSelectedInstOperands,
     /*  281314 */     // GIR_Coverage, 8600,
     /*  281314 */     GIR_EraseRootFromParent_Done,
     /*  281315 */   // Label 5298: @281315
     /*  281315 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281378), // Rule ID 8603 //
     /*  281320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281359 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281376 */     GIR_RootConstrainSelectedInstOperands,
     /*  281377 */     // GIR_Coverage, 8603,
     /*  281377 */     GIR_EraseRootFromParent_Done,
     /*  281378 */   // Label 5299: @281378
     /*  281378 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281441), // Rule ID 8604 //
     /*  281383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281422 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281439 */     GIR_RootConstrainSelectedInstOperands,
     /*  281440 */     // GIR_Coverage, 8604,
     /*  281440 */     GIR_EraseRootFromParent_Done,
     /*  281441 */   // Label 5300: @281441
     /*  281441 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281504), // Rule ID 8607 //
     /*  281446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281502 */     GIR_RootConstrainSelectedInstOperands,
     /*  281503 */     // GIR_Coverage, 8607,
     /*  281503 */     GIR_EraseRootFromParent_Done,
     /*  281504 */   // Label 5301: @281504
     /*  281504 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281567), // Rule ID 8608 //
     /*  281509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281565 */     GIR_RootConstrainSelectedInstOperands,
     /*  281566 */     // GIR_Coverage, 8608,
     /*  281566 */     GIR_EraseRootFromParent_Done,
     /*  281567 */   // Label 5302: @281567
     /*  281567 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281630), // Rule ID 8611 //
     /*  281572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281628 */     GIR_RootConstrainSelectedInstOperands,
     /*  281629 */     // GIR_Coverage, 8611,
     /*  281629 */     GIR_EraseRootFromParent_Done,
     /*  281630 */   // Label 5303: @281630
     /*  281630 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(281693), // Rule ID 8612 //
     /*  281635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281674 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281691 */     GIR_RootConstrainSelectedInstOperands,
     /*  281692 */     // GIR_Coverage, 8612,
     /*  281692 */     GIR_EraseRootFromParent_Done,
     /*  281693 */   // Label 5304: @281693
     /*  281693 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(281756), // Rule ID 8615 //
     /*  281698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281737 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281754 */     GIR_RootConstrainSelectedInstOperands,
     /*  281755 */     // GIR_Coverage, 8615,
     /*  281755 */     GIR_EraseRootFromParent_Done,
     /*  281756 */   // Label 5305: @281756
     /*  281756 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(281819), // Rule ID 8616 //
     /*  281761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281800 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281817 */     GIR_RootConstrainSelectedInstOperands,
     /*  281818 */     // GIR_Coverage, 8616,
     /*  281818 */     GIR_EraseRootFromParent_Done,
     /*  281819 */   // Label 5306: @281819
     /*  281819 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(281882), // Rule ID 8619 //
     /*  281824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281880 */     GIR_RootConstrainSelectedInstOperands,
     /*  281881 */     // GIR_Coverage, 8619,
     /*  281881 */     GIR_EraseRootFromParent_Done,
     /*  281882 */   // Label 5307: @281882
     /*  281882 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(281945), // Rule ID 8620 //
     /*  281887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281943 */     GIR_RootConstrainSelectedInstOperands,
     /*  281944 */     // GIR_Coverage, 8620,
     /*  281944 */     GIR_EraseRootFromParent_Done,
     /*  281945 */   // Label 5308: @281945
     /*  281945 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282008), // Rule ID 8623 //
     /*  281950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282006 */     GIR_RootConstrainSelectedInstOperands,
     /*  282007 */     // GIR_Coverage, 8623,
     /*  282007 */     GIR_EraseRootFromParent_Done,
     /*  282008 */   // Label 5309: @282008
     /*  282008 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282071), // Rule ID 8624 //
     /*  282013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  282027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  282030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282069 */     GIR_RootConstrainSelectedInstOperands,
     /*  282070 */     // GIR_Coverage, 8624,
     /*  282070 */     GIR_EraseRootFromParent_Done,
     /*  282071 */   // Label 5310: @282071
     /*  282071 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282134), // Rule ID 8627 //
     /*  282076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282115 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282132 */     GIR_RootConstrainSelectedInstOperands,
     /*  282133 */     // GIR_Coverage, 8627,
     /*  282133 */     GIR_EraseRootFromParent_Done,
     /*  282134 */   // Label 5311: @282134
     /*  282134 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282197), // Rule ID 8628 //
     /*  282139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  282153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  282156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282178 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282195 */     GIR_RootConstrainSelectedInstOperands,
     /*  282196 */     // GIR_Coverage, 8628,
     /*  282196 */     GIR_EraseRootFromParent_Done,
     /*  282197 */   // Label 5312: @282197
     /*  282197 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282260), // Rule ID 8631 //
     /*  282202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282258 */     GIR_RootConstrainSelectedInstOperands,
     /*  282259 */     // GIR_Coverage, 8631,
     /*  282259 */     GIR_EraseRootFromParent_Done,
     /*  282260 */   // Label 5313: @282260
     /*  282260 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282323), // Rule ID 8632 //
     /*  282265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  282307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282321 */     GIR_RootConstrainSelectedInstOperands,
     /*  282322 */     // GIR_Coverage, 8632,
     /*  282322 */     GIR_EraseRootFromParent_Done,
     /*  282323 */   // Label 5314: @282323
     /*  282323 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282386), // Rule ID 8635 //
     /*  282328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282384 */     GIR_RootConstrainSelectedInstOperands,
     /*  282385 */     // GIR_Coverage, 8635,
     /*  282385 */     GIR_EraseRootFromParent_Done,
     /*  282386 */   // Label 5315: @282386
     /*  282386 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282449), // Rule ID 8636 //
     /*  282391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  282433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282447 */     GIR_RootConstrainSelectedInstOperands,
     /*  282448 */     // GIR_Coverage, 8636,
     /*  282448 */     GIR_EraseRootFromParent_Done,
     /*  282449 */   // Label 5316: @282449
     /*  282449 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282512), // Rule ID 8639 //
     /*  282454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282510 */     GIR_RootConstrainSelectedInstOperands,
     /*  282511 */     // GIR_Coverage, 8639,
     /*  282511 */     GIR_EraseRootFromParent_Done,
     /*  282512 */   // Label 5317: @282512
     /*  282512 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282575), // Rule ID 8640 //
     /*  282517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  282559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282573 */     GIR_RootConstrainSelectedInstOperands,
     /*  282574 */     // GIR_Coverage, 8640,
     /*  282574 */     GIR_EraseRootFromParent_Done,
     /*  282575 */   // Label 5318: @282575
     /*  282575 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282638), // Rule ID 8643 //
     /*  282580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282619 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  282622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282636 */     GIR_RootConstrainSelectedInstOperands,
     /*  282637 */     // GIR_Coverage, 8643,
     /*  282637 */     GIR_EraseRootFromParent_Done,
     /*  282638 */   // Label 5319: @282638
     /*  282638 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(282701), // Rule ID 8644 //
     /*  282643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  282685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282699 */     GIR_RootConstrainSelectedInstOperands,
     /*  282700 */     // GIR_Coverage, 8644,
     /*  282700 */     GIR_EraseRootFromParent_Done,
     /*  282701 */   // Label 5320: @282701
     /*  282701 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(282764), // Rule ID 8647 //
     /*  282706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  282748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282762 */     GIR_RootConstrainSelectedInstOperands,
     /*  282763 */     // GIR_Coverage, 8647,
     /*  282763 */     GIR_EraseRootFromParent_Done,
     /*  282764 */   // Label 5321: @282764
     /*  282764 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(282827), // Rule ID 8648 //
     /*  282769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  282811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282825 */     GIR_RootConstrainSelectedInstOperands,
     /*  282826 */     // GIR_Coverage, 8648,
     /*  282826 */     GIR_EraseRootFromParent_Done,
     /*  282827 */   // Label 5322: @282827
     /*  282827 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(282890), // Rule ID 8651 //
     /*  282832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282888 */     GIR_RootConstrainSelectedInstOperands,
     /*  282889 */     // GIR_Coverage, 8651,
     /*  282889 */     GIR_EraseRootFromParent_Done,
     /*  282890 */   // Label 5323: @282890
     /*  282890 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(282953), // Rule ID 8652 //
     /*  282895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282951 */     GIR_RootConstrainSelectedInstOperands,
     /*  282952 */     // GIR_Coverage, 8652,
     /*  282952 */     GIR_EraseRootFromParent_Done,
     /*  282953 */   // Label 5324: @282953
     /*  282953 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283016), // Rule ID 8655 //
     /*  282958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283014 */     GIR_RootConstrainSelectedInstOperands,
     /*  283015 */     // GIR_Coverage, 8655,
     /*  283015 */     GIR_EraseRootFromParent_Done,
     /*  283016 */   // Label 5325: @283016
     /*  283016 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283079), // Rule ID 8656 //
     /*  283021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  283035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  283063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283077 */     GIR_RootConstrainSelectedInstOperands,
     /*  283078 */     // GIR_Coverage, 8656,
     /*  283078 */     GIR_EraseRootFromParent_Done,
     /*  283079 */   // Label 5326: @283079
     /*  283079 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283142), // Rule ID 8659 //
     /*  283084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283140 */     GIR_RootConstrainSelectedInstOperands,
     /*  283141 */     // GIR_Coverage, 8659,
     /*  283141 */     GIR_EraseRootFromParent_Done,
     /*  283142 */   // Label 5327: @283142
     /*  283142 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283205), // Rule ID 8660 //
     /*  283147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283186 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283203 */     GIR_RootConstrainSelectedInstOperands,
     /*  283204 */     // GIR_Coverage, 8660,
     /*  283204 */     GIR_EraseRootFromParent_Done,
     /*  283205 */   // Label 5328: @283205
     /*  283205 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283268), // Rule ID 8663 //
     /*  283210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283266 */     GIR_RootConstrainSelectedInstOperands,
     /*  283267 */     // GIR_Coverage, 8663,
     /*  283267 */     GIR_EraseRootFromParent_Done,
     /*  283268 */   // Label 5329: @283268
     /*  283268 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283331), // Rule ID 8664 //
     /*  283273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  283315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283329 */     GIR_RootConstrainSelectedInstOperands,
     /*  283330 */     // GIR_Coverage, 8664,
     /*  283330 */     GIR_EraseRootFromParent_Done,
     /*  283331 */   // Label 5330: @283331
     /*  283331 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283394), // Rule ID 8667 //
     /*  283336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283392 */     GIR_RootConstrainSelectedInstOperands,
     /*  283393 */     // GIR_Coverage, 8667,
     /*  283393 */     GIR_EraseRootFromParent_Done,
     /*  283394 */   // Label 5331: @283394
     /*  283394 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283457), // Rule ID 8668 //
     /*  283399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283455 */     GIR_RootConstrainSelectedInstOperands,
     /*  283456 */     // GIR_Coverage, 8668,
     /*  283456 */     GIR_EraseRootFromParent_Done,
     /*  283457 */   // Label 5332: @283457
     /*  283457 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283520), // Rule ID 8671 //
     /*  283462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283518 */     GIR_RootConstrainSelectedInstOperands,
     /*  283519 */     // GIR_Coverage, 8671,
     /*  283519 */     GIR_EraseRootFromParent_Done,
     /*  283520 */   // Label 5333: @283520
     /*  283520 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283583), // Rule ID 8672 //
     /*  283525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283581 */     GIR_RootConstrainSelectedInstOperands,
     /*  283582 */     // GIR_Coverage, 8672,
     /*  283582 */     GIR_EraseRootFromParent_Done,
     /*  283583 */   // Label 5334: @283583
     /*  283583 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283646), // Rule ID 8675 //
     /*  283588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283644 */     GIR_RootConstrainSelectedInstOperands,
     /*  283645 */     // GIR_Coverage, 8675,
     /*  283645 */     GIR_EraseRootFromParent_Done,
     /*  283646 */   // Label 5335: @283646
     /*  283646 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(283709), // Rule ID 8676 //
     /*  283651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283707 */     GIR_RootConstrainSelectedInstOperands,
     /*  283708 */     // GIR_Coverage, 8676,
     /*  283708 */     GIR_EraseRootFromParent_Done,
     /*  283709 */   // Label 5336: @283709
     /*  283709 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(283772), // Rule ID 8679 //
     /*  283714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283770 */     GIR_RootConstrainSelectedInstOperands,
     /*  283771 */     // GIR_Coverage, 8679,
     /*  283771 */     GIR_EraseRootFromParent_Done,
     /*  283772 */   // Label 5337: @283772
     /*  283772 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(283835), // Rule ID 8680 //
     /*  283777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  283819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283833 */     GIR_RootConstrainSelectedInstOperands,
     /*  283834 */     // GIR_Coverage, 8680,
     /*  283834 */     GIR_EraseRootFromParent_Done,
     /*  283835 */   // Label 5338: @283835
     /*  283835 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(283898), // Rule ID 8683 //
     /*  283840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283896 */     GIR_RootConstrainSelectedInstOperands,
     /*  283897 */     // GIR_Coverage, 8683,
     /*  283897 */     GIR_EraseRootFromParent_Done,
     /*  283898 */   // Label 5339: @283898
     /*  283898 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(283961), // Rule ID 8684 //
     /*  283903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283942 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283959 */     GIR_RootConstrainSelectedInstOperands,
     /*  283960 */     // GIR_Coverage, 8684,
     /*  283960 */     GIR_EraseRootFromParent_Done,
     /*  283961 */   // Label 5340: @283961
     /*  283961 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284024), // Rule ID 8687 //
     /*  283966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284022 */     GIR_RootConstrainSelectedInstOperands,
     /*  284023 */     // GIR_Coverage, 8687,
     /*  284023 */     GIR_EraseRootFromParent_Done,
     /*  284024 */   // Label 5341: @284024
     /*  284024 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284087), // Rule ID 8688 //
     /*  284029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  284043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284068 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284085 */     GIR_RootConstrainSelectedInstOperands,
     /*  284086 */     // GIR_Coverage, 8688,
     /*  284086 */     GIR_EraseRootFromParent_Done,
     /*  284087 */   // Label 5342: @284087
     /*  284087 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284150), // Rule ID 8691 //
     /*  284092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284131 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284148 */     GIR_RootConstrainSelectedInstOperands,
     /*  284149 */     // GIR_Coverage, 8691,
     /*  284149 */     GIR_EraseRootFromParent_Done,
     /*  284150 */   // Label 5343: @284150
     /*  284150 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284213), // Rule ID 8692 //
     /*  284155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  284166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284194 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284211 */     GIR_RootConstrainSelectedInstOperands,
     /*  284212 */     // GIR_Coverage, 8692,
     /*  284212 */     GIR_EraseRootFromParent_Done,
     /*  284213 */   // Label 5344: @284213
     /*  284213 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284276), // Rule ID 8695 //
     /*  284218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284274 */     GIR_RootConstrainSelectedInstOperands,
     /*  284275 */     // GIR_Coverage, 8695,
     /*  284275 */     GIR_EraseRootFromParent_Done,
     /*  284276 */   // Label 5345: @284276
     /*  284276 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284339), // Rule ID 8696 //
     /*  284281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284337 */     GIR_RootConstrainSelectedInstOperands,
     /*  284338 */     // GIR_Coverage, 8696,
     /*  284338 */     GIR_EraseRootFromParent_Done,
     /*  284339 */   // Label 5346: @284339
     /*  284339 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284402), // Rule ID 8699 //
     /*  284344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284400 */     GIR_RootConstrainSelectedInstOperands,
     /*  284401 */     // GIR_Coverage, 8699,
     /*  284401 */     GIR_EraseRootFromParent_Done,
     /*  284402 */   // Label 5347: @284402
     /*  284402 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284465), // Rule ID 8700 //
     /*  284407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284446 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284463 */     GIR_RootConstrainSelectedInstOperands,
     /*  284464 */     // GIR_Coverage, 8700,
     /*  284464 */     GIR_EraseRootFromParent_Done,
     /*  284465 */   // Label 5348: @284465
     /*  284465 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284528), // Rule ID 8703 //
     /*  284470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284509 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284526 */     GIR_RootConstrainSelectedInstOperands,
     /*  284527 */     // GIR_Coverage, 8703,
     /*  284527 */     GIR_EraseRootFromParent_Done,
     /*  284528 */   // Label 5349: @284528
     /*  284528 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284591), // Rule ID 8704 //
     /*  284533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284589 */     GIR_RootConstrainSelectedInstOperands,
     /*  284590 */     // GIR_Coverage, 8704,
     /*  284590 */     GIR_EraseRootFromParent_Done,
     /*  284591 */   // Label 5350: @284591
     /*  284591 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284654), // Rule ID 8707 //
     /*  284596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284652 */     GIR_RootConstrainSelectedInstOperands,
     /*  284653 */     // GIR_Coverage, 8707,
     /*  284653 */     GIR_EraseRootFromParent_Done,
     /*  284654 */   // Label 5351: @284654
     /*  284654 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(284717), // Rule ID 8708 //
     /*  284659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284698 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  284701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284715 */     GIR_RootConstrainSelectedInstOperands,
     /*  284716 */     // GIR_Coverage, 8708,
     /*  284716 */     GIR_EraseRootFromParent_Done,
     /*  284717 */   // Label 5352: @284717
     /*  284717 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(284780), // Rule ID 8711 //
     /*  284722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284778 */     GIR_RootConstrainSelectedInstOperands,
     /*  284779 */     // GIR_Coverage, 8711,
     /*  284779 */     GIR_EraseRootFromParent_Done,
     /*  284780 */   // Label 5353: @284780
     /*  284780 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(284843), // Rule ID 8712 //
     /*  284785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284841 */     GIR_RootConstrainSelectedInstOperands,
     /*  284842 */     // GIR_Coverage, 8712,
     /*  284842 */     GIR_EraseRootFromParent_Done,
     /*  284843 */   // Label 5354: @284843
     /*  284843 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(284906), // Rule ID 8715 //
     /*  284848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284904 */     GIR_RootConstrainSelectedInstOperands,
     /*  284905 */     // GIR_Coverage, 8715,
     /*  284905 */     GIR_EraseRootFromParent_Done,
     /*  284906 */   // Label 5355: @284906
     /*  284906 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(284969), // Rule ID 8716 //
     /*  284911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284967 */     GIR_RootConstrainSelectedInstOperands,
     /*  284968 */     // GIR_Coverage, 8716,
     /*  284968 */     GIR_EraseRootFromParent_Done,
     /*  284969 */   // Label 5356: @284969
     /*  284969 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285032), // Rule ID 8719 //
     /*  284974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285030 */     GIR_RootConstrainSelectedInstOperands,
     /*  285031 */     // GIR_Coverage, 8719,
     /*  285031 */     GIR_EraseRootFromParent_Done,
     /*  285032 */   // Label 5357: @285032
     /*  285032 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285095), // Rule ID 8720 //
     /*  285037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  285079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285093 */     GIR_RootConstrainSelectedInstOperands,
     /*  285094 */     // GIR_Coverage, 8720,
     /*  285094 */     GIR_EraseRootFromParent_Done,
     /*  285095 */   // Label 5358: @285095
     /*  285095 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285158), // Rule ID 8723 //
     /*  285100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285156 */     GIR_RootConstrainSelectedInstOperands,
     /*  285157 */     // GIR_Coverage, 8723,
     /*  285157 */     GIR_EraseRootFromParent_Done,
     /*  285158 */   // Label 5359: @285158
     /*  285158 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285221), // Rule ID 8724 //
     /*  285163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  285205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285219 */     GIR_RootConstrainSelectedInstOperands,
     /*  285220 */     // GIR_Coverage, 8724,
     /*  285220 */     GIR_EraseRootFromParent_Done,
     /*  285221 */   // Label 5360: @285221
     /*  285221 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285284), // Rule ID 8727 //
     /*  285226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285282 */     GIR_RootConstrainSelectedInstOperands,
     /*  285283 */     // GIR_Coverage, 8727,
     /*  285283 */     GIR_EraseRootFromParent_Done,
     /*  285284 */   // Label 5361: @285284
     /*  285284 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285347), // Rule ID 8728 //
     /*  285289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  285331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285345 */     GIR_RootConstrainSelectedInstOperands,
     /*  285346 */     // GIR_Coverage, 8728,
     /*  285346 */     GIR_EraseRootFromParent_Done,
     /*  285347 */   // Label 5362: @285347
     /*  285347 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285410), // Rule ID 8819 //
     /*  285352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285391 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285408 */     GIR_RootConstrainSelectedInstOperands,
     /*  285409 */     // GIR_Coverage, 8819,
     /*  285409 */     GIR_EraseRootFromParent_Done,
     /*  285410 */   // Label 5363: @285410
     /*  285410 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285473), // Rule ID 8820 //
     /*  285415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  285457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285471 */     GIR_RootConstrainSelectedInstOperands,
     /*  285472 */     // GIR_Coverage, 8820,
     /*  285472 */     GIR_EraseRootFromParent_Done,
     /*  285473 */   // Label 5364: @285473
     /*  285473 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285536), // Rule ID 8823 //
     /*  285478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285534 */     GIR_RootConstrainSelectedInstOperands,
     /*  285535 */     // GIR_Coverage, 8823,
     /*  285535 */     GIR_EraseRootFromParent_Done,
     /*  285536 */   // Label 5365: @285536
     /*  285536 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285599), // Rule ID 8824 //
     /*  285541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285597 */     GIR_RootConstrainSelectedInstOperands,
     /*  285598 */     // GIR_Coverage, 8824,
     /*  285598 */     GIR_EraseRootFromParent_Done,
     /*  285599 */   // Label 5366: @285599
     /*  285599 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285662), // Rule ID 8827 //
     /*  285604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285660 */     GIR_RootConstrainSelectedInstOperands,
     /*  285661 */     // GIR_Coverage, 8827,
     /*  285661 */     GIR_EraseRootFromParent_Done,
     /*  285662 */   // Label 5367: @285662
     /*  285662 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(285725), // Rule ID 8828 //
     /*  285667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285723 */     GIR_RootConstrainSelectedInstOperands,
     /*  285724 */     // GIR_Coverage, 8828,
     /*  285724 */     GIR_EraseRootFromParent_Done,
     /*  285725 */   // Label 5368: @285725
     /*  285725 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(285788), // Rule ID 8831 //
     /*  285730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285786 */     GIR_RootConstrainSelectedInstOperands,
     /*  285787 */     // GIR_Coverage, 8831,
     /*  285787 */     GIR_EraseRootFromParent_Done,
     /*  285788 */   // Label 5369: @285788
     /*  285788 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(285851), // Rule ID 8832 //
     /*  285793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  285835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285849 */     GIR_RootConstrainSelectedInstOperands,
     /*  285850 */     // GIR_Coverage, 8832,
     /*  285850 */     GIR_EraseRootFromParent_Done,
     /*  285851 */   // Label 5370: @285851
     /*  285851 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(285914), // Rule ID 8835 //
     /*  285856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285912 */     GIR_RootConstrainSelectedInstOperands,
     /*  285913 */     // GIR_Coverage, 8835,
     /*  285913 */     GIR_EraseRootFromParent_Done,
     /*  285914 */   // Label 5371: @285914
     /*  285914 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(285977), // Rule ID 8836 //
     /*  285919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  285961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285975 */     GIR_RootConstrainSelectedInstOperands,
     /*  285976 */     // GIR_Coverage, 8836,
     /*  285976 */     GIR_EraseRootFromParent_Done,
     /*  285977 */   // Label 5372: @285977
     /*  285977 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286040), // Rule ID 8839 //
     /*  285982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286038 */     GIR_RootConstrainSelectedInstOperands,
     /*  286039 */     // GIR_Coverage, 8839,
     /*  286039 */     GIR_EraseRootFromParent_Done,
     /*  286040 */   // Label 5373: @286040
     /*  286040 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286103), // Rule ID 8840 //
     /*  286045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  286087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286101 */     GIR_RootConstrainSelectedInstOperands,
     /*  286102 */     // GIR_Coverage, 8840,
     /*  286102 */     GIR_EraseRootFromParent_Done,
     /*  286103 */   // Label 5374: @286103
     /*  286103 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286166), // Rule ID 8843 //
     /*  286108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286164 */     GIR_RootConstrainSelectedInstOperands,
     /*  286165 */     // GIR_Coverage, 8843,
     /*  286165 */     GIR_EraseRootFromParent_Done,
     /*  286166 */   // Label 5375: @286166
     /*  286166 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286229), // Rule ID 8844 //
     /*  286171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286227 */     GIR_RootConstrainSelectedInstOperands,
     /*  286228 */     // GIR_Coverage, 8844,
     /*  286228 */     GIR_EraseRootFromParent_Done,
     /*  286229 */   // Label 5376: @286229
     /*  286229 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286292), // Rule ID 8847 //
     /*  286234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286290 */     GIR_RootConstrainSelectedInstOperands,
     /*  286291 */     // GIR_Coverage, 8847,
     /*  286291 */     GIR_EraseRootFromParent_Done,
     /*  286292 */   // Label 5377: @286292
     /*  286292 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286355), // Rule ID 8848 //
     /*  286297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286353 */     GIR_RootConstrainSelectedInstOperands,
     /*  286354 */     // GIR_Coverage, 8848,
     /*  286354 */     GIR_EraseRootFromParent_Done,
     /*  286355 */   // Label 5378: @286355
     /*  286355 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286418), // Rule ID 8851 //
     /*  286360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286416 */     GIR_RootConstrainSelectedInstOperands,
     /*  286417 */     // GIR_Coverage, 8851,
     /*  286417 */     GIR_EraseRootFromParent_Done,
     /*  286418 */   // Label 5379: @286418
     /*  286418 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286481), // Rule ID 8852 //
     /*  286423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286479 */     GIR_RootConstrainSelectedInstOperands,
     /*  286480 */     // GIR_Coverage, 8852,
     /*  286480 */     GIR_EraseRootFromParent_Done,
     /*  286481 */   // Label 5380: @286481
     /*  286481 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286544), // Rule ID 8855 //
     /*  286486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286542 */     GIR_RootConstrainSelectedInstOperands,
     /*  286543 */     // GIR_Coverage, 8855,
     /*  286543 */     GIR_EraseRootFromParent_Done,
     /*  286544 */   // Label 5381: @286544
     /*  286544 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286607), // Rule ID 8856 //
     /*  286549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  286591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286605 */     GIR_RootConstrainSelectedInstOperands,
     /*  286606 */     // GIR_Coverage, 8856,
     /*  286606 */     GIR_EraseRootFromParent_Done,
     /*  286607 */   // Label 5382: @286607
     /*  286607 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286670), // Rule ID 8859 //
     /*  286612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286668 */     GIR_RootConstrainSelectedInstOperands,
     /*  286669 */     // GIR_Coverage, 8859,
     /*  286669 */     GIR_EraseRootFromParent_Done,
     /*  286670 */   // Label 5383: @286670
     /*  286670 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(286733), // Rule ID 8860 //
     /*  286675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286731 */     GIR_RootConstrainSelectedInstOperands,
     /*  286732 */     // GIR_Coverage, 8860,
     /*  286732 */     GIR_EraseRootFromParent_Done,
     /*  286733 */   // Label 5384: @286733
     /*  286733 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(286796), // Rule ID 8863 //
     /*  286738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286777 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286794 */     GIR_RootConstrainSelectedInstOperands,
     /*  286795 */     // GIR_Coverage, 8863,
     /*  286795 */     GIR_EraseRootFromParent_Done,
     /*  286796 */   // Label 5385: @286796
     /*  286796 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(286859), // Rule ID 8864 //
     /*  286801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286840 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286857 */     GIR_RootConstrainSelectedInstOperands,
     /*  286858 */     // GIR_Coverage, 8864,
     /*  286858 */     GIR_EraseRootFromParent_Done,
     /*  286859 */   // Label 5386: @286859
     /*  286859 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(286922), // Rule ID 8867 //
     /*  286864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286903 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286920 */     GIR_RootConstrainSelectedInstOperands,
     /*  286921 */     // GIR_Coverage, 8867,
     /*  286921 */     GIR_EraseRootFromParent_Done,
     /*  286922 */   // Label 5387: @286922
     /*  286922 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(286985), // Rule ID 8868 //
     /*  286927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286966 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286983 */     GIR_RootConstrainSelectedInstOperands,
     /*  286984 */     // GIR_Coverage, 8868,
     /*  286984 */     GIR_EraseRootFromParent_Done,
     /*  286985 */   // Label 5388: @286985
     /*  286985 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287048), // Rule ID 8871 //
     /*  286990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287046 */     GIR_RootConstrainSelectedInstOperands,
     /*  287047 */     // GIR_Coverage, 8871,
     /*  287047 */     GIR_EraseRootFromParent_Done,
     /*  287048 */   // Label 5389: @287048
     /*  287048 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287111), // Rule ID 8872 //
     /*  287053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287109 */     GIR_RootConstrainSelectedInstOperands,
     /*  287110 */     // GIR_Coverage, 8872,
     /*  287110 */     GIR_EraseRootFromParent_Done,
     /*  287111 */   // Label 5390: @287111
     /*  287111 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287174), // Rule ID 8875 //
     /*  287116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287155 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287172 */     GIR_RootConstrainSelectedInstOperands,
     /*  287173 */     // GIR_Coverage, 8875,
     /*  287173 */     GIR_EraseRootFromParent_Done,
     /*  287174 */   // Label 5391: @287174
     /*  287174 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287237), // Rule ID 8876 //
     /*  287179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287235 */     GIR_RootConstrainSelectedInstOperands,
     /*  287236 */     // GIR_Coverage, 8876,
     /*  287236 */     GIR_EraseRootFromParent_Done,
     /*  287237 */   // Label 5392: @287237
     /*  287237 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287300), // Rule ID 8879 //
     /*  287242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287298 */     GIR_RootConstrainSelectedInstOperands,
     /*  287299 */     // GIR_Coverage, 8879,
     /*  287299 */     GIR_EraseRootFromParent_Done,
     /*  287300 */   // Label 5393: @287300
     /*  287300 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287363), // Rule ID 8880 //
     /*  287305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287344 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287361 */     GIR_RootConstrainSelectedInstOperands,
     /*  287362 */     // GIR_Coverage, 8880,
     /*  287362 */     GIR_EraseRootFromParent_Done,
     /*  287363 */   // Label 5394: @287363
     /*  287363 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287426), // Rule ID 8883 //
     /*  287368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287424 */     GIR_RootConstrainSelectedInstOperands,
     /*  287425 */     // GIR_Coverage, 8883,
     /*  287425 */     GIR_EraseRootFromParent_Done,
     /*  287426 */   // Label 5395: @287426
     /*  287426 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287489), // Rule ID 8884 //
     /*  287431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287470 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287487 */     GIR_RootConstrainSelectedInstOperands,
     /*  287488 */     // GIR_Coverage, 8884,
     /*  287488 */     GIR_EraseRootFromParent_Done,
     /*  287489 */   // Label 5396: @287489
     /*  287489 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287552), // Rule ID 8887 //
     /*  287494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287550 */     GIR_RootConstrainSelectedInstOperands,
     /*  287551 */     // GIR_Coverage, 8887,
     /*  287551 */     GIR_EraseRootFromParent_Done,
     /*  287552 */   // Label 5397: @287552
     /*  287552 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287615), // Rule ID 8888 //
     /*  287557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287613 */     GIR_RootConstrainSelectedInstOperands,
     /*  287614 */     // GIR_Coverage, 8888,
     /*  287614 */     GIR_EraseRootFromParent_Done,
     /*  287615 */   // Label 5398: @287615
     /*  287615 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(287678), // Rule ID 8891 //
     /*  287620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287659 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287676 */     GIR_RootConstrainSelectedInstOperands,
     /*  287677 */     // GIR_Coverage, 8891,
     /*  287677 */     GIR_EraseRootFromParent_Done,
     /*  287678 */   // Label 5399: @287678
     /*  287678 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(287741), // Rule ID 8892 //
     /*  287683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287722 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  287725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287739 */     GIR_RootConstrainSelectedInstOperands,
     /*  287740 */     // GIR_Coverage, 8892,
     /*  287740 */     GIR_EraseRootFromParent_Done,
     /*  287741 */   // Label 5400: @287741
     /*  287741 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(287804), // Rule ID 8895 //
     /*  287746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287785 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287802 */     GIR_RootConstrainSelectedInstOperands,
     /*  287803 */     // GIR_Coverage, 8895,
     /*  287803 */     GIR_EraseRootFromParent_Done,
     /*  287804 */   // Label 5401: @287804
     /*  287804 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(287867), // Rule ID 8896 //
     /*  287809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  287851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287865 */     GIR_RootConstrainSelectedInstOperands,
     /*  287866 */     // GIR_Coverage, 8896,
     /*  287866 */     GIR_EraseRootFromParent_Done,
     /*  287867 */   // Label 5402: @287867
     /*  287867 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(287930), // Rule ID 8899 //
     /*  287872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287911 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287928 */     GIR_RootConstrainSelectedInstOperands,
     /*  287929 */     // GIR_Coverage, 8899,
     /*  287929 */     GIR_EraseRootFromParent_Done,
     /*  287930 */   // Label 5403: @287930
     /*  287930 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(287993), // Rule ID 8900 //
     /*  287935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287974 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  287977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287991 */     GIR_RootConstrainSelectedInstOperands,
     /*  287992 */     // GIR_Coverage, 8900,
     /*  287992 */     GIR_EraseRootFromParent_Done,
     /*  287993 */   // Label 5404: @287993
     /*  287993 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288056), // Rule ID 8903 //
     /*  287998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288054 */     GIR_RootConstrainSelectedInstOperands,
     /*  288055 */     // GIR_Coverage, 8903,
     /*  288055 */     GIR_EraseRootFromParent_Done,
     /*  288056 */   // Label 5405: @288056
     /*  288056 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288119), // Rule ID 8904 //
     /*  288061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  288103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288117 */     GIR_RootConstrainSelectedInstOperands,
     /*  288118 */     // GIR_Coverage, 8904,
     /*  288118 */     GIR_EraseRootFromParent_Done,
     /*  288119 */   // Label 5406: @288119
     /*  288119 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288182), // Rule ID 8907 //
     /*  288124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288180 */     GIR_RootConstrainSelectedInstOperands,
     /*  288181 */     // GIR_Coverage, 8907,
     /*  288181 */     GIR_EraseRootFromParent_Done,
     /*  288182 */   // Label 5407: @288182
     /*  288182 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288245), // Rule ID 8908 //
     /*  288187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  288229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288243 */     GIR_RootConstrainSelectedInstOperands,
     /*  288244 */     // GIR_Coverage, 8908,
     /*  288244 */     GIR_EraseRootFromParent_Done,
     /*  288245 */   // Label 5408: @288245
     /*  288245 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288308), // Rule ID 8911 //
     /*  288250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288306 */     GIR_RootConstrainSelectedInstOperands,
     /*  288307 */     // GIR_Coverage, 8911,
     /*  288307 */     GIR_EraseRootFromParent_Done,
     /*  288308 */   // Label 5409: @288308
     /*  288308 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288371), // Rule ID 8912 //
     /*  288313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288369 */     GIR_RootConstrainSelectedInstOperands,
     /*  288370 */     // GIR_Coverage, 8912,
     /*  288370 */     GIR_EraseRootFromParent_Done,
     /*  288371 */   // Label 5410: @288371
     /*  288371 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288434), // Rule ID 8915 //
     /*  288376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288432 */     GIR_RootConstrainSelectedInstOperands,
     /*  288433 */     // GIR_Coverage, 8915,
     /*  288433 */     GIR_EraseRootFromParent_Done,
     /*  288434 */   // Label 5411: @288434
     /*  288434 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288497), // Rule ID 8916 //
     /*  288439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288495 */     GIR_RootConstrainSelectedInstOperands,
     /*  288496 */     // GIR_Coverage, 8916,
     /*  288496 */     GIR_EraseRootFromParent_Done,
     /*  288497 */   // Label 5412: @288497
     /*  288497 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288560), // Rule ID 8919 //
     /*  288502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288558 */     GIR_RootConstrainSelectedInstOperands,
     /*  288559 */     // GIR_Coverage, 8919,
     /*  288559 */     GIR_EraseRootFromParent_Done,
     /*  288560 */   // Label 5413: @288560
     /*  288560 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288623), // Rule ID 8920 //
     /*  288565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  288607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288621 */     GIR_RootConstrainSelectedInstOperands,
     /*  288622 */     // GIR_Coverage, 8920,
     /*  288622 */     GIR_EraseRootFromParent_Done,
     /*  288623 */   // Label 5414: @288623
     /*  288623 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(288686), // Rule ID 8923 //
     /*  288628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288667 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288684 */     GIR_RootConstrainSelectedInstOperands,
     /*  288685 */     // GIR_Coverage, 8923,
     /*  288685 */     GIR_EraseRootFromParent_Done,
     /*  288686 */   // Label 5415: @288686
     /*  288686 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(288749), // Rule ID 8924 //
     /*  288691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288747 */     GIR_RootConstrainSelectedInstOperands,
     /*  288748 */     // GIR_Coverage, 8924,
     /*  288748 */     GIR_EraseRootFromParent_Done,
     /*  288749 */   // Label 5416: @288749
     /*  288749 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(288812), // Rule ID 8927 //
     /*  288754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288810 */     GIR_RootConstrainSelectedInstOperands,
     /*  288811 */     // GIR_Coverage, 8927,
     /*  288811 */     GIR_EraseRootFromParent_Done,
     /*  288812 */   // Label 5417: @288812
     /*  288812 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(288875), // Rule ID 8928 //
     /*  288817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  288859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288873 */     GIR_RootConstrainSelectedInstOperands,
     /*  288874 */     // GIR_Coverage, 8928,
     /*  288874 */     GIR_EraseRootFromParent_Done,
     /*  288875 */   // Label 5418: @288875
     /*  288875 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(288938), // Rule ID 8931 //
     /*  288880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288919 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288936 */     GIR_RootConstrainSelectedInstOperands,
     /*  288937 */     // GIR_Coverage, 8931,
     /*  288937 */     GIR_EraseRootFromParent_Done,
     /*  288938 */   // Label 5419: @288938
     /*  288938 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289001), // Rule ID 8932 //
     /*  288943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288999 */     GIR_RootConstrainSelectedInstOperands,
     /*  289000 */     // GIR_Coverage, 8932,
     /*  289000 */     GIR_EraseRootFromParent_Done,
     /*  289001 */   // Label 5420: @289001
     /*  289001 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289064), // Rule ID 8935 //
     /*  289006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289062 */     GIR_RootConstrainSelectedInstOperands,
     /*  289063 */     // GIR_Coverage, 8935,
     /*  289063 */     GIR_EraseRootFromParent_Done,
     /*  289064 */   // Label 5421: @289064
     /*  289064 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289127), // Rule ID 8936 //
     /*  289069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289125 */     GIR_RootConstrainSelectedInstOperands,
     /*  289126 */     // GIR_Coverage, 8936,
     /*  289126 */     GIR_EraseRootFromParent_Done,
     /*  289127 */   // Label 5422: @289127
     /*  289127 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289190), // Rule ID 8939 //
     /*  289132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289188 */     GIR_RootConstrainSelectedInstOperands,
     /*  289189 */     // GIR_Coverage, 8939,
     /*  289189 */     GIR_EraseRootFromParent_Done,
     /*  289190 */   // Label 5423: @289190
     /*  289190 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289253), // Rule ID 8940 //
     /*  289195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289251 */     GIR_RootConstrainSelectedInstOperands,
     /*  289252 */     // GIR_Coverage, 8940,
     /*  289252 */     GIR_EraseRootFromParent_Done,
     /*  289253 */   // Label 5424: @289253
     /*  289253 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289316), // Rule ID 8943 //
     /*  289258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289314 */     GIR_RootConstrainSelectedInstOperands,
     /*  289315 */     // GIR_Coverage, 8943,
     /*  289315 */     GIR_EraseRootFromParent_Done,
     /*  289316 */   // Label 5425: @289316
     /*  289316 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289379), // Rule ID 8944 //
     /*  289321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  289363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289377 */     GIR_RootConstrainSelectedInstOperands,
     /*  289378 */     // GIR_Coverage, 8944,
     /*  289378 */     GIR_EraseRootFromParent_Done,
     /*  289379 */   // Label 5426: @289379
     /*  289379 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289442), // Rule ID 8947 //
     /*  289384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289423 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289440 */     GIR_RootConstrainSelectedInstOperands,
     /*  289441 */     // GIR_Coverage, 8947,
     /*  289441 */     GIR_EraseRootFromParent_Done,
     /*  289442 */   // Label 5427: @289442
     /*  289442 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289505), // Rule ID 8948 //
     /*  289447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289486 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289503 */     GIR_RootConstrainSelectedInstOperands,
     /*  289504 */     // GIR_Coverage, 8948,
     /*  289504 */     GIR_EraseRootFromParent_Done,
     /*  289505 */   // Label 5428: @289505
     /*  289505 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289568), // Rule ID 8951 //
     /*  289510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289549 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289566 */     GIR_RootConstrainSelectedInstOperands,
     /*  289567 */     // GIR_Coverage, 8951,
     /*  289567 */     GIR_EraseRootFromParent_Done,
     /*  289568 */   // Label 5429: @289568
     /*  289568 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289631), // Rule ID 8952 //
     /*  289573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289629 */     GIR_RootConstrainSelectedInstOperands,
     /*  289630 */     // GIR_Coverage, 8952,
     /*  289630 */     GIR_EraseRootFromParent_Done,
     /*  289631 */   // Label 5430: @289631
     /*  289631 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(289694), // Rule ID 8955 //
     /*  289636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289675 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289692 */     GIR_RootConstrainSelectedInstOperands,
     /*  289693 */     // GIR_Coverage, 8955,
     /*  289693 */     GIR_EraseRootFromParent_Done,
     /*  289694 */   // Label 5431: @289694
     /*  289694 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(289757), // Rule ID 8956 //
     /*  289699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289738 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289755 */     GIR_RootConstrainSelectedInstOperands,
     /*  289756 */     // GIR_Coverage, 8956,
     /*  289756 */     GIR_EraseRootFromParent_Done,
     /*  289757 */   // Label 5432: @289757
     /*  289757 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(289820), // Rule ID 8959 //
     /*  289762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289818 */     GIR_RootConstrainSelectedInstOperands,
     /*  289819 */     // GIR_Coverage, 8959,
     /*  289819 */     GIR_EraseRootFromParent_Done,
     /*  289820 */   // Label 5433: @289820
     /*  289820 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(289883), // Rule ID 8960 //
     /*  289825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289881 */     GIR_RootConstrainSelectedInstOperands,
     /*  289882 */     // GIR_Coverage, 8960,
     /*  289882 */     GIR_EraseRootFromParent_Done,
     /*  289883 */   // Label 5434: @289883
     /*  289883 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(289946), // Rule ID 8963 //
     /*  289888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289944 */     GIR_RootConstrainSelectedInstOperands,
     /*  289945 */     // GIR_Coverage, 8963,
     /*  289945 */     GIR_EraseRootFromParent_Done,
     /*  289946 */   // Label 5435: @289946
     /*  289946 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290009), // Rule ID 8964 //
     /*  289951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289990 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290007 */     GIR_RootConstrainSelectedInstOperands,
     /*  290008 */     // GIR_Coverage, 8964,
     /*  290008 */     GIR_EraseRootFromParent_Done,
     /*  290009 */   // Label 5436: @290009
     /*  290009 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290072), // Rule ID 8967 //
     /*  290014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290053 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290070 */     GIR_RootConstrainSelectedInstOperands,
     /*  290071 */     // GIR_Coverage, 8967,
     /*  290071 */     GIR_EraseRootFromParent_Done,
     /*  290072 */   // Label 5437: @290072
     /*  290072 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290135), // Rule ID 8968 //
     /*  290077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  290088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290133 */     GIR_RootConstrainSelectedInstOperands,
     /*  290134 */     // GIR_Coverage, 8968,
     /*  290134 */     GIR_EraseRootFromParent_Done,
     /*  290135 */   // Label 5438: @290135
     /*  290135 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290198), // Rule ID 8971 //
     /*  290140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290196 */     GIR_RootConstrainSelectedInstOperands,
     /*  290197 */     // GIR_Coverage, 8971,
     /*  290197 */     GIR_EraseRootFromParent_Done,
     /*  290198 */   // Label 5439: @290198
     /*  290198 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290261), // Rule ID 8972 //
     /*  290203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290259 */     GIR_RootConstrainSelectedInstOperands,
     /*  290260 */     // GIR_Coverage, 8972,
     /*  290260 */     GIR_EraseRootFromParent_Done,
     /*  290261 */   // Label 5440: @290261
     /*  290261 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290324), // Rule ID 8975 //
     /*  290266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290305 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290322 */     GIR_RootConstrainSelectedInstOperands,
     /*  290323 */     // GIR_Coverage, 8975,
     /*  290323 */     GIR_EraseRootFromParent_Done,
     /*  290324 */   // Label 5441: @290324
     /*  290324 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290387), // Rule ID 8976 //
     /*  290329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290385 */     GIR_RootConstrainSelectedInstOperands,
     /*  290386 */     // GIR_Coverage, 8976,
     /*  290386 */     GIR_EraseRootFromParent_Done,
     /*  290387 */   // Label 5442: @290387
     /*  290387 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290450), // Rule ID 8979 //
     /*  290392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290448 */     GIR_RootConstrainSelectedInstOperands,
     /*  290449 */     // GIR_Coverage, 8979,
     /*  290449 */     GIR_EraseRootFromParent_Done,
     /*  290450 */   // Label 5443: @290450
     /*  290450 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290513), // Rule ID 8980 //
     /*  290455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290494 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290511 */     GIR_RootConstrainSelectedInstOperands,
     /*  290512 */     // GIR_Coverage, 8980,
     /*  290512 */     GIR_EraseRootFromParent_Done,
     /*  290513 */   // Label 5444: @290513
     /*  290513 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290576), // Rule ID 8983 //
     /*  290518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290574 */     GIR_RootConstrainSelectedInstOperands,
     /*  290575 */     // GIR_Coverage, 8983,
     /*  290575 */     GIR_EraseRootFromParent_Done,
     /*  290576 */   // Label 5445: @290576
     /*  290576 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290639), // Rule ID 8984 //
     /*  290581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  290623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290637 */     GIR_RootConstrainSelectedInstOperands,
     /*  290638 */     // GIR_Coverage, 8984,
     /*  290638 */     GIR_EraseRootFromParent_Done,
     /*  290639 */   // Label 5446: @290639
     /*  290639 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(290702), // Rule ID 8987 //
     /*  290644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290700 */     GIR_RootConstrainSelectedInstOperands,
     /*  290701 */     // GIR_Coverage, 8987,
     /*  290701 */     GIR_EraseRootFromParent_Done,
     /*  290702 */   // Label 5447: @290702
     /*  290702 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(290765), // Rule ID 8988 //
     /*  290707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  290749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290763 */     GIR_RootConstrainSelectedInstOperands,
     /*  290764 */     // GIR_Coverage, 8988,
     /*  290764 */     GIR_EraseRootFromParent_Done,
     /*  290765 */   // Label 5448: @290765
     /*  290765 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(290828), // Rule ID 8991 //
     /*  290770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290826 */     GIR_RootConstrainSelectedInstOperands,
     /*  290827 */     // GIR_Coverage, 8991,
     /*  290827 */     GIR_EraseRootFromParent_Done,
     /*  290828 */   // Label 5449: @290828
     /*  290828 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(290891), // Rule ID 8992 //
     /*  290833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  290875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290889 */     GIR_RootConstrainSelectedInstOperands,
     /*  290890 */     // GIR_Coverage, 8992,
     /*  290890 */     GIR_EraseRootFromParent_Done,
     /*  290891 */   // Label 5450: @290891
     /*  290891 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(290954), // Rule ID 9083 //
     /*  290896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  290938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290952 */     GIR_RootConstrainSelectedInstOperands,
     /*  290953 */     // GIR_Coverage, 9083,
     /*  290953 */     GIR_EraseRootFromParent_Done,
     /*  290954 */   // Label 5451: @290954
     /*  290954 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291017), // Rule ID 9084 //
     /*  290959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  291001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291015 */     GIR_RootConstrainSelectedInstOperands,
     /*  291016 */     // GIR_Coverage, 9084,
     /*  291016 */     GIR_EraseRootFromParent_Done,
     /*  291017 */   // Label 5452: @291017
     /*  291017 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291080), // Rule ID 9087 //
     /*  291022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291061 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291078 */     GIR_RootConstrainSelectedInstOperands,
     /*  291079 */     // GIR_Coverage, 9087,
     /*  291079 */     GIR_EraseRootFromParent_Done,
     /*  291080 */   // Label 5453: @291080
     /*  291080 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291143), // Rule ID 9088 //
     /*  291085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  291099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291141 */     GIR_RootConstrainSelectedInstOperands,
     /*  291142 */     // GIR_Coverage, 9088,
     /*  291142 */     GIR_EraseRootFromParent_Done,
     /*  291143 */   // Label 5454: @291143
     /*  291143 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291206), // Rule ID 9091 //
     /*  291148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291204 */     GIR_RootConstrainSelectedInstOperands,
     /*  291205 */     // GIR_Coverage, 9091,
     /*  291205 */     GIR_EraseRootFromParent_Done,
     /*  291206 */   // Label 5455: @291206
     /*  291206 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291269), // Rule ID 9092 //
     /*  291211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  291225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291267 */     GIR_RootConstrainSelectedInstOperands,
     /*  291268 */     // GIR_Coverage, 9092,
     /*  291268 */     GIR_EraseRootFromParent_Done,
     /*  291269 */   // Label 5456: @291269
     /*  291269 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291332), // Rule ID 9095 //
     /*  291274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291330 */     GIR_RootConstrainSelectedInstOperands,
     /*  291331 */     // GIR_Coverage, 9095,
     /*  291331 */     GIR_EraseRootFromParent_Done,
     /*  291332 */   // Label 5457: @291332
     /*  291332 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291395), // Rule ID 9096 //
     /*  291337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  291379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291393 */     GIR_RootConstrainSelectedInstOperands,
     /*  291394 */     // GIR_Coverage, 9096,
     /*  291394 */     GIR_EraseRootFromParent_Done,
     /*  291395 */   // Label 5458: @291395
     /*  291395 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291458), // Rule ID 9099 //
     /*  291400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291456 */     GIR_RootConstrainSelectedInstOperands,
     /*  291457 */     // GIR_Coverage, 9099,
     /*  291457 */     GIR_EraseRootFromParent_Done,
     /*  291458 */   // Label 5459: @291458
     /*  291458 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291521), // Rule ID 9100 //
     /*  291463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291519 */     GIR_RootConstrainSelectedInstOperands,
     /*  291520 */     // GIR_Coverage, 9100,
     /*  291520 */     GIR_EraseRootFromParent_Done,
     /*  291521 */   // Label 5460: @291521
     /*  291521 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291584), // Rule ID 9103 //
     /*  291526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291582 */     GIR_RootConstrainSelectedInstOperands,
     /*  291583 */     // GIR_Coverage, 9103,
     /*  291583 */     GIR_EraseRootFromParent_Done,
     /*  291584 */   // Label 5461: @291584
     /*  291584 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291647), // Rule ID 9104 //
     /*  291589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  291631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291645 */     GIR_RootConstrainSelectedInstOperands,
     /*  291646 */     // GIR_Coverage, 9104,
     /*  291646 */     GIR_EraseRootFromParent_Done,
     /*  291647 */   // Label 5462: @291647
     /*  291647 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(291710), // Rule ID 9107 //
     /*  291652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291691 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291708 */     GIR_RootConstrainSelectedInstOperands,
     /*  291709 */     // GIR_Coverage, 9107,
     /*  291709 */     GIR_EraseRootFromParent_Done,
     /*  291710 */   // Label 5463: @291710
     /*  291710 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(291773), // Rule ID 9108 //
     /*  291715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291771 */     GIR_RootConstrainSelectedInstOperands,
     /*  291772 */     // GIR_Coverage, 9108,
     /*  291772 */     GIR_EraseRootFromParent_Done,
     /*  291773 */   // Label 5464: @291773
     /*  291773 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(291836), // Rule ID 9111 //
     /*  291778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291817 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291834 */     GIR_RootConstrainSelectedInstOperands,
     /*  291835 */     // GIR_Coverage, 9111,
     /*  291835 */     GIR_EraseRootFromParent_Done,
     /*  291836 */   // Label 5465: @291836
     /*  291836 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(291899), // Rule ID 9112 //
     /*  291841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291897 */     GIR_RootConstrainSelectedInstOperands,
     /*  291898 */     // GIR_Coverage, 9112,
     /*  291898 */     GIR_EraseRootFromParent_Done,
     /*  291899 */   // Label 5466: @291899
     /*  291899 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(291962), // Rule ID 9115 //
     /*  291904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291943 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  291946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291960 */     GIR_RootConstrainSelectedInstOperands,
     /*  291961 */     // GIR_Coverage, 9115,
     /*  291961 */     GIR_EraseRootFromParent_Done,
     /*  291962 */   // Label 5467: @291962
     /*  291962 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292025), // Rule ID 9116 //
     /*  291967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292023 */     GIR_RootConstrainSelectedInstOperands,
     /*  292024 */     // GIR_Coverage, 9116,
     /*  292024 */     GIR_EraseRootFromParent_Done,
     /*  292025 */   // Label 5468: @292025
     /*  292025 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292088), // Rule ID 9119 //
     /*  292030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292069 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292086 */     GIR_RootConstrainSelectedInstOperands,
     /*  292087 */     // GIR_Coverage, 9119,
     /*  292087 */     GIR_EraseRootFromParent_Done,
     /*  292088 */   // Label 5469: @292088
     /*  292088 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292151), // Rule ID 9120 //
     /*  292093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  292107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  292135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292149 */     GIR_RootConstrainSelectedInstOperands,
     /*  292150 */     // GIR_Coverage, 9120,
     /*  292150 */     GIR_EraseRootFromParent_Done,
     /*  292151 */   // Label 5470: @292151
     /*  292151 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292214), // Rule ID 9123 //
     /*  292156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292195 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292212 */     GIR_RootConstrainSelectedInstOperands,
     /*  292213 */     // GIR_Coverage, 9123,
     /*  292213 */     GIR_EraseRootFromParent_Done,
     /*  292214 */   // Label 5471: @292214
     /*  292214 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292277), // Rule ID 9124 //
     /*  292219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  292233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292275 */     GIR_RootConstrainSelectedInstOperands,
     /*  292276 */     // GIR_Coverage, 9124,
     /*  292276 */     GIR_EraseRootFromParent_Done,
     /*  292277 */   // Label 5472: @292277
     /*  292277 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292340), // Rule ID 9127 //
     /*  292282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292321 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292338 */     GIR_RootConstrainSelectedInstOperands,
     /*  292339 */     // GIR_Coverage, 9127,
     /*  292339 */     GIR_EraseRootFromParent_Done,
     /*  292340 */   // Label 5473: @292340
     /*  292340 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292403), // Rule ID 9128 //
     /*  292345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292384 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292401 */     GIR_RootConstrainSelectedInstOperands,
     /*  292402 */     // GIR_Coverage, 9128,
     /*  292402 */     GIR_EraseRootFromParent_Done,
     /*  292403 */   // Label 5474: @292403
     /*  292403 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292466), // Rule ID 9131 //
     /*  292408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292447 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292464 */     GIR_RootConstrainSelectedInstOperands,
     /*  292465 */     // GIR_Coverage, 9131,
     /*  292465 */     GIR_EraseRootFromParent_Done,
     /*  292466 */   // Label 5475: @292466
     /*  292466 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292529), // Rule ID 9132 //
     /*  292471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292510 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292527 */     GIR_RootConstrainSelectedInstOperands,
     /*  292528 */     // GIR_Coverage, 9132,
     /*  292528 */     GIR_EraseRootFromParent_Done,
     /*  292529 */   // Label 5476: @292529
     /*  292529 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292592), // Rule ID 9135 //
     /*  292534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292590 */     GIR_RootConstrainSelectedInstOperands,
     /*  292591 */     // GIR_Coverage, 9135,
     /*  292591 */     GIR_EraseRootFromParent_Done,
     /*  292592 */   // Label 5477: @292592
     /*  292592 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292655), // Rule ID 9136 //
     /*  292597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292653 */     GIR_RootConstrainSelectedInstOperands,
     /*  292654 */     // GIR_Coverage, 9136,
     /*  292654 */     GIR_EraseRootFromParent_Done,
     /*  292655 */   // Label 5478: @292655
     /*  292655 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(292718), // Rule ID 9139 //
     /*  292660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292699 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292716 */     GIR_RootConstrainSelectedInstOperands,
     /*  292717 */     // GIR_Coverage, 9139,
     /*  292717 */     GIR_EraseRootFromParent_Done,
     /*  292718 */   // Label 5479: @292718
     /*  292718 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(292781), // Rule ID 9140 //
     /*  292723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292762 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292779 */     GIR_RootConstrainSelectedInstOperands,
     /*  292780 */     // GIR_Coverage, 9140,
     /*  292780 */     GIR_EraseRootFromParent_Done,
     /*  292781 */   // Label 5480: @292781
     /*  292781 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(292844), // Rule ID 9143 //
     /*  292786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292825 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292842 */     GIR_RootConstrainSelectedInstOperands,
     /*  292843 */     // GIR_Coverage, 9143,
     /*  292843 */     GIR_EraseRootFromParent_Done,
     /*  292844 */   // Label 5481: @292844
     /*  292844 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(292907), // Rule ID 9144 //
     /*  292849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292905 */     GIR_RootConstrainSelectedInstOperands,
     /*  292906 */     // GIR_Coverage, 9144,
     /*  292906 */     GIR_EraseRootFromParent_Done,
     /*  292907 */   // Label 5482: @292907
     /*  292907 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(292970), // Rule ID 9147 //
     /*  292912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292951 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292968 */     GIR_RootConstrainSelectedInstOperands,
     /*  292969 */     // GIR_Coverage, 9147,
     /*  292969 */     GIR_EraseRootFromParent_Done,
     /*  292970 */   // Label 5483: @292970
     /*  292970 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293033), // Rule ID 9148 //
     /*  292975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293014 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293031 */     GIR_RootConstrainSelectedInstOperands,
     /*  293032 */     // GIR_Coverage, 9148,
     /*  293032 */     GIR_EraseRootFromParent_Done,
     /*  293033 */   // Label 5484: @293033
     /*  293033 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293096), // Rule ID 9151 //
     /*  293038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293094 */     GIR_RootConstrainSelectedInstOperands,
     /*  293095 */     // GIR_Coverage, 9151,
     /*  293095 */     GIR_EraseRootFromParent_Done,
     /*  293096 */   // Label 5485: @293096
     /*  293096 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293159), // Rule ID 9152 //
     /*  293101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  293115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293157 */     GIR_RootConstrainSelectedInstOperands,
     /*  293158 */     // GIR_Coverage, 9152,
     /*  293158 */     GIR_EraseRootFromParent_Done,
     /*  293159 */   // Label 5486: @293159
     /*  293159 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293222), // Rule ID 9155 //
     /*  293164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293203 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293220 */     GIR_RootConstrainSelectedInstOperands,
     /*  293221 */     // GIR_Coverage, 9155,
     /*  293221 */     GIR_EraseRootFromParent_Done,
     /*  293222 */   // Label 5487: @293222
     /*  293222 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293285), // Rule ID 9156 //
     /*  293227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  293241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293266 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293283 */     GIR_RootConstrainSelectedInstOperands,
     /*  293284 */     // GIR_Coverage, 9156,
     /*  293284 */     GIR_EraseRootFromParent_Done,
     /*  293285 */   // Label 5488: @293285
     /*  293285 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293348), // Rule ID 9159 //
     /*  293290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293346 */     GIR_RootConstrainSelectedInstOperands,
     /*  293347 */     // GIR_Coverage, 9159,
     /*  293347 */     GIR_EraseRootFromParent_Done,
     /*  293348 */   // Label 5489: @293348
     /*  293348 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293411), // Rule ID 9160 //
     /*  293353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  293395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293409 */     GIR_RootConstrainSelectedInstOperands,
     /*  293410 */     // GIR_Coverage, 9160,
     /*  293410 */     GIR_EraseRootFromParent_Done,
     /*  293411 */   // Label 5490: @293411
     /*  293411 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293474), // Rule ID 9163 //
     /*  293416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293455 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293472 */     GIR_RootConstrainSelectedInstOperands,
     /*  293473 */     // GIR_Coverage, 9163,
     /*  293473 */     GIR_EraseRootFromParent_Done,
     /*  293474 */   // Label 5491: @293474
     /*  293474 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293537), // Rule ID 9164 //
     /*  293479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  293521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293535 */     GIR_RootConstrainSelectedInstOperands,
     /*  293536 */     // GIR_Coverage, 9164,
     /*  293536 */     GIR_EraseRootFromParent_Done,
     /*  293537 */   // Label 5492: @293537
     /*  293537 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293600), // Rule ID 9167 //
     /*  293542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293581 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293598 */     GIR_RootConstrainSelectedInstOperands,
     /*  293599 */     // GIR_Coverage, 9167,
     /*  293599 */     GIR_EraseRootFromParent_Done,
     /*  293600 */   // Label 5493: @293600
     /*  293600 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293663), // Rule ID 9168 //
     /*  293605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  293647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293661 */     GIR_RootConstrainSelectedInstOperands,
     /*  293662 */     // GIR_Coverage, 9168,
     /*  293662 */     GIR_EraseRootFromParent_Done,
     /*  293663 */   // Label 5494: @293663
     /*  293663 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(293726), // Rule ID 9259 //
     /*  293668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  293710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293724 */     GIR_RootConstrainSelectedInstOperands,
     /*  293725 */     // GIR_Coverage, 9259,
     /*  293725 */     GIR_EraseRootFromParent_Done,
     /*  293726 */   // Label 5495: @293726
     /*  293726 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(293789), // Rule ID 9260 //
     /*  293731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  293773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293787 */     GIR_RootConstrainSelectedInstOperands,
     /*  293788 */     // GIR_Coverage, 9260,
     /*  293788 */     GIR_EraseRootFromParent_Done,
     /*  293789 */   // Label 5496: @293789
     /*  293789 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(293852), // Rule ID 9263 //
     /*  293794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  293836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293850 */     GIR_RootConstrainSelectedInstOperands,
     /*  293851 */     // GIR_Coverage, 9263,
     /*  293851 */     GIR_EraseRootFromParent_Done,
     /*  293852 */   // Label 5497: @293852
     /*  293852 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(293915), // Rule ID 9264 //
     /*  293857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  293899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293913 */     GIR_RootConstrainSelectedInstOperands,
     /*  293914 */     // GIR_Coverage, 9264,
     /*  293914 */     GIR_EraseRootFromParent_Done,
     /*  293915 */   // Label 5498: @293915
     /*  293915 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(293978), // Rule ID 9267 //
     /*  293920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  293962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293976 */     GIR_RootConstrainSelectedInstOperands,
     /*  293977 */     // GIR_Coverage, 9267,
     /*  293977 */     GIR_EraseRootFromParent_Done,
     /*  293978 */   // Label 5499: @293978
     /*  293978 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294041), // Rule ID 9268 //
     /*  293983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294039 */     GIR_RootConstrainSelectedInstOperands,
     /*  294040 */     // GIR_Coverage, 9268,
     /*  294040 */     GIR_EraseRootFromParent_Done,
     /*  294041 */   // Label 5500: @294041
     /*  294041 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294104), // Rule ID 9271 //
     /*  294046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294102 */     GIR_RootConstrainSelectedInstOperands,
     /*  294103 */     // GIR_Coverage, 9271,
     /*  294103 */     GIR_EraseRootFromParent_Done,
     /*  294104 */   // Label 5501: @294104
     /*  294104 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294167), // Rule ID 9272 //
     /*  294109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  294123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  294151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294165 */     GIR_RootConstrainSelectedInstOperands,
     /*  294166 */     // GIR_Coverage, 9272,
     /*  294166 */     GIR_EraseRootFromParent_Done,
     /*  294167 */   // Label 5502: @294167
     /*  294167 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294230), // Rule ID 9275 //
     /*  294172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294228 */     GIR_RootConstrainSelectedInstOperands,
     /*  294229 */     // GIR_Coverage, 9275,
     /*  294229 */     GIR_EraseRootFromParent_Done,
     /*  294230 */   // Label 5503: @294230
     /*  294230 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294293), // Rule ID 9276 //
     /*  294235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  294249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294291 */     GIR_RootConstrainSelectedInstOperands,
     /*  294292 */     // GIR_Coverage, 9276,
     /*  294292 */     GIR_EraseRootFromParent_Done,
     /*  294293 */   // Label 5504: @294293
     /*  294293 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294356), // Rule ID 9279 //
     /*  294298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294337 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294354 */     GIR_RootConstrainSelectedInstOperands,
     /*  294355 */     // GIR_Coverage, 9279,
     /*  294355 */     GIR_EraseRootFromParent_Done,
     /*  294356 */   // Label 5505: @294356
     /*  294356 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294419), // Rule ID 9280 //
     /*  294361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  294403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294417 */     GIR_RootConstrainSelectedInstOperands,
     /*  294418 */     // GIR_Coverage, 9280,
     /*  294418 */     GIR_EraseRootFromParent_Done,
     /*  294419 */   // Label 5506: @294419
     /*  294419 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294482), // Rule ID 9283 //
     /*  294424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294463 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294480 */     GIR_RootConstrainSelectedInstOperands,
     /*  294481 */     // GIR_Coverage, 9283,
     /*  294481 */     GIR_EraseRootFromParent_Done,
     /*  294482 */   // Label 5507: @294482
     /*  294482 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294545), // Rule ID 9284 //
     /*  294487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294543 */     GIR_RootConstrainSelectedInstOperands,
     /*  294544 */     // GIR_Coverage, 9284,
     /*  294544 */     GIR_EraseRootFromParent_Done,
     /*  294545 */   // Label 5508: @294545
     /*  294545 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294608), // Rule ID 9287 //
     /*  294550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294606 */     GIR_RootConstrainSelectedInstOperands,
     /*  294607 */     // GIR_Coverage, 9287,
     /*  294607 */     GIR_EraseRootFromParent_Done,
     /*  294608 */   // Label 5509: @294608
     /*  294608 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294671), // Rule ID 9288 //
     /*  294613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294669 */     GIR_RootConstrainSelectedInstOperands,
     /*  294670 */     // GIR_Coverage, 9288,
     /*  294670 */     GIR_EraseRootFromParent_Done,
     /*  294671 */   // Label 5510: @294671
     /*  294671 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(294734), // Rule ID 9291 //
     /*  294676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294715 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294732 */     GIR_RootConstrainSelectedInstOperands,
     /*  294733 */     // GIR_Coverage, 9291,
     /*  294733 */     GIR_EraseRootFromParent_Done,
     /*  294734 */   // Label 5511: @294734
     /*  294734 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(294797), // Rule ID 9292 //
     /*  294739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294795 */     GIR_RootConstrainSelectedInstOperands,
     /*  294796 */     // GIR_Coverage, 9292,
     /*  294796 */     GIR_EraseRootFromParent_Done,
     /*  294797 */   // Label 5512: @294797
     /*  294797 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(294860), // Rule ID 9295 //
     /*  294802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294858 */     GIR_RootConstrainSelectedInstOperands,
     /*  294859 */     // GIR_Coverage, 9295,
     /*  294859 */     GIR_EraseRootFromParent_Done,
     /*  294860 */   // Label 5513: @294860
     /*  294860 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(294923), // Rule ID 9296 //
     /*  294865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  294907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294921 */     GIR_RootConstrainSelectedInstOperands,
     /*  294922 */     // GIR_Coverage, 9296,
     /*  294922 */     GIR_EraseRootFromParent_Done,
     /*  294923 */   // Label 5514: @294923
     /*  294923 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(294986), // Rule ID 9299 //
     /*  294928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294967 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294984 */     GIR_RootConstrainSelectedInstOperands,
     /*  294985 */     // GIR_Coverage, 9299,
     /*  294985 */     GIR_EraseRootFromParent_Done,
     /*  294986 */   // Label 5515: @294986
     /*  294986 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295049), // Rule ID 9300 //
     /*  294991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  295005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295047 */     GIR_RootConstrainSelectedInstOperands,
     /*  295048 */     // GIR_Coverage, 9300,
     /*  295048 */     GIR_EraseRootFromParent_Done,
     /*  295049 */   // Label 5516: @295049
     /*  295049 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295112), // Rule ID 9303 //
     /*  295054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295093 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295110 */     GIR_RootConstrainSelectedInstOperands,
     /*  295111 */     // GIR_Coverage, 9303,
     /*  295111 */     GIR_EraseRootFromParent_Done,
     /*  295112 */   // Label 5517: @295112
     /*  295112 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295175), // Rule ID 9304 //
     /*  295117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  295131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295173 */     GIR_RootConstrainSelectedInstOperands,
     /*  295174 */     // GIR_Coverage, 9304,
     /*  295174 */     GIR_EraseRootFromParent_Done,
     /*  295175 */   // Label 5518: @295175
     /*  295175 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295238), // Rule ID 9307 //
     /*  295180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295219 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295236 */     GIR_RootConstrainSelectedInstOperands,
     /*  295237 */     // GIR_Coverage, 9307,
     /*  295237 */     GIR_EraseRootFromParent_Done,
     /*  295238 */   // Label 5519: @295238
     /*  295238 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295301), // Rule ID 9308 //
     /*  295243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  295254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  295257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295282 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295299 */     GIR_RootConstrainSelectedInstOperands,
     /*  295300 */     // GIR_Coverage, 9308,
     /*  295300 */     GIR_EraseRootFromParent_Done,
     /*  295301 */   // Label 5520: @295301
     /*  295301 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295364), // Rule ID 9311 //
     /*  295306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295362 */     GIR_RootConstrainSelectedInstOperands,
     /*  295363 */     // GIR_Coverage, 9311,
     /*  295363 */     GIR_EraseRootFromParent_Done,
     /*  295364 */   // Label 5521: @295364
     /*  295364 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295427), // Rule ID 9312 //
     /*  295369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295425 */     GIR_RootConstrainSelectedInstOperands,
     /*  295426 */     // GIR_Coverage, 9312,
     /*  295426 */     GIR_EraseRootFromParent_Done,
     /*  295427 */   // Label 5522: @295427
     /*  295427 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295490), // Rule ID 9315 //
     /*  295432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295471 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295488 */     GIR_RootConstrainSelectedInstOperands,
     /*  295489 */     // GIR_Coverage, 9315,
     /*  295489 */     GIR_EraseRootFromParent_Done,
     /*  295490 */   // Label 5523: @295490
     /*  295490 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295553), // Rule ID 9316 //
     /*  295495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295551 */     GIR_RootConstrainSelectedInstOperands,
     /*  295552 */     // GIR_Coverage, 9316,
     /*  295552 */     GIR_EraseRootFromParent_Done,
     /*  295553 */   // Label 5524: @295553
     /*  295553 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295616), // Rule ID 9319 //
     /*  295558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295597 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295614 */     GIR_RootConstrainSelectedInstOperands,
     /*  295615 */     // GIR_Coverage, 9319,
     /*  295615 */     GIR_EraseRootFromParent_Done,
     /*  295616 */   // Label 5525: @295616
     /*  295616 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(295679), // Rule ID 9320 //
     /*  295621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295677 */     GIR_RootConstrainSelectedInstOperands,
     /*  295678 */     // GIR_Coverage, 9320,
     /*  295678 */     GIR_EraseRootFromParent_Done,
     /*  295679 */   // Label 5526: @295679
     /*  295679 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(295742), // Rule ID 9323 //
     /*  295684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295740 */     GIR_RootConstrainSelectedInstOperands,
     /*  295741 */     // GIR_Coverage, 9323,
     /*  295741 */     GIR_EraseRootFromParent_Done,
     /*  295742 */   // Label 5527: @295742
     /*  295742 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(295805), // Rule ID 9324 //
     /*  295747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295786 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  295789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295803 */     GIR_RootConstrainSelectedInstOperands,
     /*  295804 */     // GIR_Coverage, 9324,
     /*  295804 */     GIR_EraseRootFromParent_Done,
     /*  295805 */   // Label 5528: @295805
     /*  295805 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(295868), // Rule ID 9327 //
     /*  295810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295866 */     GIR_RootConstrainSelectedInstOperands,
     /*  295867 */     // GIR_Coverage, 9327,
     /*  295867 */     GIR_EraseRootFromParent_Done,
     /*  295868 */   // Label 5529: @295868
     /*  295868 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(295931), // Rule ID 9328 //
     /*  295873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295929 */     GIR_RootConstrainSelectedInstOperands,
     /*  295930 */     // GIR_Coverage, 9328,
     /*  295930 */     GIR_EraseRootFromParent_Done,
     /*  295931 */   // Label 5530: @295931
     /*  295931 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(295994), // Rule ID 9331 //
     /*  295936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295975 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295992 */     GIR_RootConstrainSelectedInstOperands,
     /*  295993 */     // GIR_Coverage, 9331,
     /*  295993 */     GIR_EraseRootFromParent_Done,
     /*  295994 */   // Label 5531: @295994
     /*  295994 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296057), // Rule ID 9332 //
     /*  295999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  296013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296038 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296055 */     GIR_RootConstrainSelectedInstOperands,
     /*  296056 */     // GIR_Coverage, 9332,
     /*  296056 */     GIR_EraseRootFromParent_Done,
     /*  296057 */   // Label 5532: @296057
     /*  296057 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296120), // Rule ID 9335 //
     /*  296062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296101 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296118 */     GIR_RootConstrainSelectedInstOperands,
     /*  296119 */     // GIR_Coverage, 9335,
     /*  296119 */     GIR_EraseRootFromParent_Done,
     /*  296120 */   // Label 5533: @296120
     /*  296120 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296183), // Rule ID 9336 //
     /*  296125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  296139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  296167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296181 */     GIR_RootConstrainSelectedInstOperands,
     /*  296182 */     // GIR_Coverage, 9336,
     /*  296182 */     GIR_EraseRootFromParent_Done,
     /*  296183 */   // Label 5534: @296183
     /*  296183 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296246), // Rule ID 9339 //
     /*  296188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296244 */     GIR_RootConstrainSelectedInstOperands,
     /*  296245 */     // GIR_Coverage, 9339,
     /*  296245 */     GIR_EraseRootFromParent_Done,
     /*  296246 */   // Label 5535: @296246
     /*  296246 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296309), // Rule ID 9340 //
     /*  296251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  296265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  296293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296307 */     GIR_RootConstrainSelectedInstOperands,
     /*  296308 */     // GIR_Coverage, 9340,
     /*  296308 */     GIR_EraseRootFromParent_Done,
     /*  296309 */   // Label 5536: @296309
     /*  296309 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296372), // Rule ID 9343 //
     /*  296314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296353 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296370 */     GIR_RootConstrainSelectedInstOperands,
     /*  296371 */     // GIR_Coverage, 9343,
     /*  296371 */     GIR_EraseRootFromParent_Done,
     /*  296372 */   // Label 5537: @296372
     /*  296372 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296435), // Rule ID 9344 //
     /*  296377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  296385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  296419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296433 */     GIR_RootConstrainSelectedInstOperands,
     /*  296434 */     // GIR_Coverage, 9344,
     /*  296434 */     GIR_EraseRootFromParent_Done,
     /*  296435 */   // Label 5538: @296435
     /*  296435 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296498), // Rule ID 9435 //
     /*  296440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296496 */     GIR_RootConstrainSelectedInstOperands,
     /*  296497 */     // GIR_Coverage, 9435,
     /*  296497 */     GIR_EraseRootFromParent_Done,
     /*  296498 */   // Label 5539: @296498
     /*  296498 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296561), // Rule ID 9436 //
     /*  296503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296542 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296559 */     GIR_RootConstrainSelectedInstOperands,
     /*  296560 */     // GIR_Coverage, 9436,
     /*  296560 */     GIR_EraseRootFromParent_Done,
     /*  296561 */   // Label 5540: @296561
     /*  296561 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296624), // Rule ID 9439 //
     /*  296566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296622 */     GIR_RootConstrainSelectedInstOperands,
     /*  296623 */     // GIR_Coverage, 9439,
     /*  296623 */     GIR_EraseRootFromParent_Done,
     /*  296624 */   // Label 5541: @296624
     /*  296624 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(296687), // Rule ID 9440 //
     /*  296629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296685 */     GIR_RootConstrainSelectedInstOperands,
     /*  296686 */     // GIR_Coverage, 9440,
     /*  296686 */     GIR_EraseRootFromParent_Done,
     /*  296687 */   // Label 5542: @296687
     /*  296687 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(296750), // Rule ID 9443 //
     /*  296692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296748 */     GIR_RootConstrainSelectedInstOperands,
     /*  296749 */     // GIR_Coverage, 9443,
     /*  296749 */     GIR_EraseRootFromParent_Done,
     /*  296750 */   // Label 5543: @296750
     /*  296750 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(296813), // Rule ID 9444 //
     /*  296755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296794 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  296797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296811 */     GIR_RootConstrainSelectedInstOperands,
     /*  296812 */     // GIR_Coverage, 9444,
     /*  296812 */     GIR_EraseRootFromParent_Done,
     /*  296813 */   // Label 5544: @296813
     /*  296813 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(296876), // Rule ID 9447 //
     /*  296818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296874 */     GIR_RootConstrainSelectedInstOperands,
     /*  296875 */     // GIR_Coverage, 9447,
     /*  296875 */     GIR_EraseRootFromParent_Done,
     /*  296876 */   // Label 5545: @296876
     /*  296876 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(296939), // Rule ID 9448 //
     /*  296881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296937 */     GIR_RootConstrainSelectedInstOperands,
     /*  296938 */     // GIR_Coverage, 9448,
     /*  296938 */     GIR_EraseRootFromParent_Done,
     /*  296939 */   // Label 5546: @296939
     /*  296939 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297002), // Rule ID 9451 //
     /*  296944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  296961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  296986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297000 */     GIR_RootConstrainSelectedInstOperands,
     /*  297001 */     // GIR_Coverage, 9451,
     /*  297001 */     GIR_EraseRootFromParent_Done,
     /*  297002 */   // Label 5547: @297002
     /*  297002 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297065), // Rule ID 9452 //
     /*  297007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  297021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  297024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297046 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  297049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297063 */     GIR_RootConstrainSelectedInstOperands,
     /*  297064 */     // GIR_Coverage, 9452,
     /*  297064 */     GIR_EraseRootFromParent_Done,
     /*  297065 */   // Label 5548: @297065
     /*  297065 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297128), // Rule ID 9455 //
     /*  297070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297126 */     GIR_RootConstrainSelectedInstOperands,
     /*  297127 */     // GIR_Coverage, 9455,
     /*  297127 */     GIR_EraseRootFromParent_Done,
     /*  297128 */   // Label 5549: @297128
     /*  297128 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297191), // Rule ID 9456 //
     /*  297133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  297150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297189 */     GIR_RootConstrainSelectedInstOperands,
     /*  297190 */     // GIR_Coverage, 9456,
     /*  297190 */     GIR_EraseRootFromParent_Done,
     /*  297191 */   // Label 5550: @297191
     /*  297191 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297254), // Rule ID 9459 //
     /*  297196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297235 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297252 */     GIR_RootConstrainSelectedInstOperands,
     /*  297253 */     // GIR_Coverage, 9459,
     /*  297253 */     GIR_EraseRootFromParent_Done,
     /*  297254 */   // Label 5551: @297254
     /*  297254 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297317), // Rule ID 9460 //
     /*  297259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  297276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297315 */     GIR_RootConstrainSelectedInstOperands,
     /*  297316 */     // GIR_Coverage, 9460,
     /*  297316 */     GIR_EraseRootFromParent_Done,
     /*  297317 */   // Label 5552: @297317
     /*  297317 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297380), // Rule ID 9463 //
     /*  297322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297378 */     GIR_RootConstrainSelectedInstOperands,
     /*  297379 */     // GIR_Coverage, 9463,
     /*  297379 */     GIR_EraseRootFromParent_Done,
     /*  297380 */   // Label 5553: @297380
     /*  297380 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297443), // Rule ID 9464 //
     /*  297385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297441 */     GIR_RootConstrainSelectedInstOperands,
     /*  297442 */     // GIR_Coverage, 9464,
     /*  297442 */     GIR_EraseRootFromParent_Done,
     /*  297443 */   // Label 5554: @297443
     /*  297443 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297506), // Rule ID 9467 //
     /*  297448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297504 */     GIR_RootConstrainSelectedInstOperands,
     /*  297505 */     // GIR_Coverage, 9467,
     /*  297505 */     GIR_EraseRootFromParent_Done,
     /*  297506 */   // Label 5555: @297506
     /*  297506 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297569), // Rule ID 9468 //
     /*  297511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  297553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297567 */     GIR_RootConstrainSelectedInstOperands,
     /*  297568 */     // GIR_Coverage, 9468,
     /*  297568 */     GIR_EraseRootFromParent_Done,
     /*  297569 */   // Label 5556: @297569
     /*  297569 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297632), // Rule ID 9471 //
     /*  297574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297630 */     GIR_RootConstrainSelectedInstOperands,
     /*  297631 */     // GIR_Coverage, 9471,
     /*  297631 */     GIR_EraseRootFromParent_Done,
     /*  297632 */   // Label 5557: @297632
     /*  297632 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(297695), // Rule ID 9472 //
     /*  297637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297693 */     GIR_RootConstrainSelectedInstOperands,
     /*  297694 */     // GIR_Coverage, 9472,
     /*  297694 */     GIR_EraseRootFromParent_Done,
     /*  297695 */   // Label 5558: @297695
     /*  297695 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(297758), // Rule ID 9475 //
     /*  297700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297739 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297756 */     GIR_RootConstrainSelectedInstOperands,
     /*  297757 */     // GIR_Coverage, 9475,
     /*  297757 */     GIR_EraseRootFromParent_Done,
     /*  297758 */   // Label 5559: @297758
     /*  297758 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(297821), // Rule ID 9476 //
     /*  297763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297819 */     GIR_RootConstrainSelectedInstOperands,
     /*  297820 */     // GIR_Coverage, 9476,
     /*  297820 */     GIR_EraseRootFromParent_Done,
     /*  297821 */   // Label 5560: @297821
     /*  297821 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(297884), // Rule ID 9479 //
     /*  297826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297865 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297882 */     GIR_RootConstrainSelectedInstOperands,
     /*  297883 */     // GIR_Coverage, 9479,
     /*  297883 */     GIR_EraseRootFromParent_Done,
     /*  297884 */   // Label 5561: @297884
     /*  297884 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(297947), // Rule ID 9480 //
     /*  297889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297928 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297945 */     GIR_RootConstrainSelectedInstOperands,
     /*  297946 */     // GIR_Coverage, 9480,
     /*  297946 */     GIR_EraseRootFromParent_Done,
     /*  297947 */   // Label 5562: @297947
     /*  297947 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298010), // Rule ID 9483 //
     /*  297952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  297969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298008 */     GIR_RootConstrainSelectedInstOperands,
     /*  298009 */     // GIR_Coverage, 9483,
     /*  298009 */     GIR_EraseRootFromParent_Done,
     /*  298010 */   // Label 5563: @298010
     /*  298010 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298073), // Rule ID 9484 //
     /*  298015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  298029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  298032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298054 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298071 */     GIR_RootConstrainSelectedInstOperands,
     /*  298072 */     // GIR_Coverage, 9484,
     /*  298072 */     GIR_EraseRootFromParent_Done,
     /*  298073 */   // Label 5564: @298073
     /*  298073 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298136), // Rule ID 9487 //
     /*  298078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298134 */     GIR_RootConstrainSelectedInstOperands,
     /*  298135 */     // GIR_Coverage, 9487,
     /*  298135 */     GIR_EraseRootFromParent_Done,
     /*  298136 */   // Label 5565: @298136
     /*  298136 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298199), // Rule ID 9488 //
     /*  298141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  298158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298197 */     GIR_RootConstrainSelectedInstOperands,
     /*  298198 */     // GIR_Coverage, 9488,
     /*  298198 */     GIR_EraseRootFromParent_Done,
     /*  298199 */   // Label 5566: @298199
     /*  298199 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298262), // Rule ID 9491 //
     /*  298204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298260 */     GIR_RootConstrainSelectedInstOperands,
     /*  298261 */     // GIR_Coverage, 9491,
     /*  298261 */     GIR_EraseRootFromParent_Done,
     /*  298262 */   // Label 5567: @298262
     /*  298262 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298325), // Rule ID 9492 //
     /*  298267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  298284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298323 */     GIR_RootConstrainSelectedInstOperands,
     /*  298324 */     // GIR_Coverage, 9492,
     /*  298324 */     GIR_EraseRootFromParent_Done,
     /*  298325 */   // Label 5568: @298325
     /*  298325 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298388), // Rule ID 9495 //
     /*  298330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298386 */     GIR_RootConstrainSelectedInstOperands,
     /*  298387 */     // GIR_Coverage, 9495,
     /*  298387 */     GIR_EraseRootFromParent_Done,
     /*  298388 */   // Label 5569: @298388
     /*  298388 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298451), // Rule ID 9496 //
     /*  298393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298449 */     GIR_RootConstrainSelectedInstOperands,
     /*  298450 */     // GIR_Coverage, 9496,
     /*  298450 */     GIR_EraseRootFromParent_Done,
     /*  298451 */   // Label 5570: @298451
     /*  298451 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298514), // Rule ID 9499 //
     /*  298456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298512 */     GIR_RootConstrainSelectedInstOperands,
     /*  298513 */     // GIR_Coverage, 9499,
     /*  298513 */     GIR_EraseRootFromParent_Done,
     /*  298514 */   // Label 5571: @298514
     /*  298514 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298577), // Rule ID 9500 //
     /*  298519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298575 */     GIR_RootConstrainSelectedInstOperands,
     /*  298576 */     // GIR_Coverage, 9500,
     /*  298576 */     GIR_EraseRootFromParent_Done,
     /*  298577 */   // Label 5572: @298577
     /*  298577 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298640), // Rule ID 9503 //
     /*  298582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298638 */     GIR_RootConstrainSelectedInstOperands,
     /*  298639 */     // GIR_Coverage, 9503,
     /*  298639 */     GIR_EraseRootFromParent_Done,
     /*  298640 */   // Label 5573: @298640
     /*  298640 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(298703), // Rule ID 9504 //
     /*  298645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  298687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298701 */     GIR_RootConstrainSelectedInstOperands,
     /*  298702 */     // GIR_Coverage, 9504,
     /*  298702 */     GIR_EraseRootFromParent_Done,
     /*  298703 */   // Label 5574: @298703
     /*  298703 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(298766), // Rule ID 9507 //
     /*  298708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298764 */     GIR_RootConstrainSelectedInstOperands,
     /*  298765 */     // GIR_Coverage, 9507,
     /*  298765 */     GIR_EraseRootFromParent_Done,
     /*  298766 */   // Label 5575: @298766
     /*  298766 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(298829), // Rule ID 9508 //
     /*  298771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  298813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298827 */     GIR_RootConstrainSelectedInstOperands,
     /*  298828 */     // GIR_Coverage, 9508,
     /*  298828 */     GIR_EraseRootFromParent_Done,
     /*  298829 */   // Label 5576: @298829
     /*  298829 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(298892), // Rule ID 9511 //
     /*  298834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298890 */     GIR_RootConstrainSelectedInstOperands,
     /*  298891 */     // GIR_Coverage, 9511,
     /*  298891 */     GIR_EraseRootFromParent_Done,
     /*  298892 */   // Label 5577: @298892
     /*  298892 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(298955), // Rule ID 9512 //
     /*  298897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  298939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298953 */     GIR_RootConstrainSelectedInstOperands,
     /*  298954 */     // GIR_Coverage, 9512,
     /*  298954 */     GIR_EraseRootFromParent_Done,
     /*  298955 */   // Label 5578: @298955
     /*  298955 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299018), // Rule ID 9515 //
     /*  298960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  298977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299016 */     GIR_RootConstrainSelectedInstOperands,
     /*  299017 */     // GIR_Coverage, 9515,
     /*  299017 */     GIR_EraseRootFromParent_Done,
     /*  299018 */   // Label 5579: @299018
     /*  299018 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299081), // Rule ID 9516 //
     /*  299023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  299031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  299037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  299040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  299065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299079 */     GIR_RootConstrainSelectedInstOperands,
     /*  299080 */     // GIR_Coverage, 9516,
     /*  299080 */     GIR_EraseRootFromParent_Done,
     /*  299081 */   // Label 5580: @299081
     /*  299081 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299144), // Rule ID 9519 //
     /*  299086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299142 */     GIR_RootConstrainSelectedInstOperands,
     /*  299143 */     // GIR_Coverage, 9519,
     /*  299143 */     GIR_EraseRootFromParent_Done,
     /*  299144 */   // Label 5581: @299144
     /*  299144 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299207), // Rule ID 9520 //
     /*  299149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  299191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299205 */     GIR_RootConstrainSelectedInstOperands,
     /*  299206 */     // GIR_Coverage, 9520,
     /*  299206 */     GIR_EraseRootFromParent_Done,
     /*  299207 */   // Label 5582: @299207
     /*  299207 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299270), // Rule ID 9523 //
     /*  299212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299268 */     GIR_RootConstrainSelectedInstOperands,
     /*  299269 */     // GIR_Coverage, 9523,
     /*  299269 */     GIR_EraseRootFromParent_Done,
     /*  299270 */   // Label 5583: @299270
     /*  299270 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299333), // Rule ID 9524 //
     /*  299275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299331 */     GIR_RootConstrainSelectedInstOperands,
     /*  299332 */     // GIR_Coverage, 9524,
     /*  299332 */     GIR_EraseRootFromParent_Done,
     /*  299333 */   // Label 5584: @299333
     /*  299333 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299396), // Rule ID 9527 //
     /*  299338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299394 */     GIR_RootConstrainSelectedInstOperands,
     /*  299395 */     // GIR_Coverage, 9527,
     /*  299395 */     GIR_EraseRootFromParent_Done,
     /*  299396 */   // Label 5585: @299396
     /*  299396 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299459), // Rule ID 9528 //
     /*  299401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299457 */     GIR_RootConstrainSelectedInstOperands,
     /*  299458 */     // GIR_Coverage, 9528,
     /*  299458 */     GIR_EraseRootFromParent_Done,
     /*  299459 */   // Label 5586: @299459
     /*  299459 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299522), // Rule ID 9531 //
     /*  299464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299503 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299520 */     GIR_RootConstrainSelectedInstOperands,
     /*  299521 */     // GIR_Coverage, 9531,
     /*  299521 */     GIR_EraseRootFromParent_Done,
     /*  299522 */   // Label 5587: @299522
     /*  299522 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299585), // Rule ID 9532 //
     /*  299527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299566 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  299569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299583 */     GIR_RootConstrainSelectedInstOperands,
     /*  299584 */     // GIR_Coverage, 9532,
     /*  299584 */     GIR_EraseRootFromParent_Done,
     /*  299585 */   // Label 5588: @299585
     /*  299585 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299648), // Rule ID 9535 //
     /*  299590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299646 */     GIR_RootConstrainSelectedInstOperands,
     /*  299647 */     // GIR_Coverage, 9535,
     /*  299647 */     GIR_EraseRootFromParent_Done,
     /*  299648 */   // Label 5589: @299648
     /*  299648 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(299711), // Rule ID 9536 //
     /*  299653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299709 */     GIR_RootConstrainSelectedInstOperands,
     /*  299710 */     // GIR_Coverage, 9536,
     /*  299710 */     GIR_EraseRootFromParent_Done,
     /*  299711 */   // Label 5590: @299711
     /*  299711 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(299774), // Rule ID 9539 //
     /*  299716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299772 */     GIR_RootConstrainSelectedInstOperands,
     /*  299773 */     // GIR_Coverage, 9539,
     /*  299773 */     GIR_EraseRootFromParent_Done,
     /*  299774 */   // Label 5591: @299774
     /*  299774 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(299837), // Rule ID 9540 //
     /*  299779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  299821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299835 */     GIR_RootConstrainSelectedInstOperands,
     /*  299836 */     // GIR_Coverage, 9540,
     /*  299836 */     GIR_EraseRootFromParent_Done,
     /*  299837 */   // Label 5592: @299837
     /*  299837 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(299900), // Rule ID 9543 //
     /*  299842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299898 */     GIR_RootConstrainSelectedInstOperands,
     /*  299899 */     // GIR_Coverage, 9543,
     /*  299899 */     GIR_EraseRootFromParent_Done,
     /*  299900 */   // Label 5593: @299900
     /*  299900 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(299963), // Rule ID 9544 //
     /*  299905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299961 */     GIR_RootConstrainSelectedInstOperands,
     /*  299962 */     // GIR_Coverage, 9544,
     /*  299962 */     GIR_EraseRootFromParent_Done,
     /*  299963 */   // Label 5594: @299963
     /*  299963 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300026), // Rule ID 9547 //
     /*  299968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  299985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300007 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300024 */     GIR_RootConstrainSelectedInstOperands,
     /*  300025 */     // GIR_Coverage, 9547,
     /*  300025 */     GIR_EraseRootFromParent_Done,
     /*  300026 */   // Label 5595: @300026
     /*  300026 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300089), // Rule ID 9548 //
     /*  300031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  300045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300070 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300087 */     GIR_RootConstrainSelectedInstOperands,
     /*  300088 */     // GIR_Coverage, 9548,
     /*  300088 */     GIR_EraseRootFromParent_Done,
     /*  300089 */   // Label 5596: @300089
     /*  300089 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300152), // Rule ID 9551 //
     /*  300094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300150 */     GIR_RootConstrainSelectedInstOperands,
     /*  300151 */     // GIR_Coverage, 9551,
     /*  300151 */     GIR_EraseRootFromParent_Done,
     /*  300152 */   // Label 5597: @300152
     /*  300152 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300215), // Rule ID 9552 //
     /*  300157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300213 */     GIR_RootConstrainSelectedInstOperands,
     /*  300214 */     // GIR_Coverage, 9552,
     /*  300214 */     GIR_EraseRootFromParent_Done,
     /*  300215 */   // Label 5598: @300215
     /*  300215 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300278), // Rule ID 9555 //
     /*  300220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300276 */     GIR_RootConstrainSelectedInstOperands,
     /*  300277 */     // GIR_Coverage, 9555,
     /*  300277 */     GIR_EraseRootFromParent_Done,
     /*  300278 */   // Label 5599: @300278
     /*  300278 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300341), // Rule ID 9556 //
     /*  300283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  300325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300339 */     GIR_RootConstrainSelectedInstOperands,
     /*  300340 */     // GIR_Coverage, 9556,
     /*  300340 */     GIR_EraseRootFromParent_Done,
     /*  300341 */   // Label 5600: @300341
     /*  300341 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300404), // Rule ID 9559 //
     /*  300346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300385 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300402 */     GIR_RootConstrainSelectedInstOperands,
     /*  300403 */     // GIR_Coverage, 9559,
     /*  300403 */     GIR_EraseRootFromParent_Done,
     /*  300404 */   // Label 5601: @300404
     /*  300404 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300467), // Rule ID 9560 //
     /*  300409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300465 */     GIR_RootConstrainSelectedInstOperands,
     /*  300466 */     // GIR_Coverage, 9560,
     /*  300466 */     GIR_EraseRootFromParent_Done,
     /*  300467 */   // Label 5602: @300467
     /*  300467 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300530), // Rule ID 9563 //
     /*  300472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300511 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300528 */     GIR_RootConstrainSelectedInstOperands,
     /*  300529 */     // GIR_Coverage, 9563,
     /*  300529 */     GIR_EraseRootFromParent_Done,
     /*  300530 */   // Label 5603: @300530
     /*  300530 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300593), // Rule ID 9564 //
     /*  300535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300574 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300591 */     GIR_RootConstrainSelectedInstOperands,
     /*  300592 */     // GIR_Coverage, 9564,
     /*  300592 */     GIR_EraseRootFromParent_Done,
     /*  300593 */   // Label 5604: @300593
     /*  300593 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300656), // Rule ID 9567 //
     /*  300598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300637 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300654 */     GIR_RootConstrainSelectedInstOperands,
     /*  300655 */     // GIR_Coverage, 9567,
     /*  300655 */     GIR_EraseRootFromParent_Done,
     /*  300656 */   // Label 5605: @300656
     /*  300656 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(300719), // Rule ID 9568 //
     /*  300661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300700 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300717 */     GIR_RootConstrainSelectedInstOperands,
     /*  300718 */     // GIR_Coverage, 9568,
     /*  300718 */     GIR_EraseRootFromParent_Done,
     /*  300719 */   // Label 5606: @300719
     /*  300719 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(300782), // Rule ID 9571 //
     /*  300724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300780 */     GIR_RootConstrainSelectedInstOperands,
     /*  300781 */     // GIR_Coverage, 9571,
     /*  300781 */     GIR_EraseRootFromParent_Done,
     /*  300782 */   // Label 5607: @300782
     /*  300782 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(300845), // Rule ID 9572 //
     /*  300787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300843 */     GIR_RootConstrainSelectedInstOperands,
     /*  300844 */     // GIR_Coverage, 9572,
     /*  300844 */     GIR_EraseRootFromParent_Done,
     /*  300845 */   // Label 5608: @300845
     /*  300845 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(300908), // Rule ID 9575 //
     /*  300850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300906 */     GIR_RootConstrainSelectedInstOperands,
     /*  300907 */     // GIR_Coverage, 9575,
     /*  300907 */     GIR_EraseRootFromParent_Done,
     /*  300908 */   // Label 5609: @300908
     /*  300908 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(300971), // Rule ID 9576 //
     /*  300913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300969 */     GIR_RootConstrainSelectedInstOperands,
     /*  300970 */     // GIR_Coverage, 9576,
     /*  300970 */     GIR_EraseRootFromParent_Done,
     /*  300971 */   // Label 5610: @300971
     /*  300971 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301034), // Rule ID 9579 //
     /*  300976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  300993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301015 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301032 */     GIR_RootConstrainSelectedInstOperands,
     /*  301033 */     // GIR_Coverage, 9579,
     /*  301033 */     GIR_EraseRootFromParent_Done,
     /*  301034 */   // Label 5611: @301034
     /*  301034 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301097), // Rule ID 9580 //
     /*  301039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  301050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  301053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301078 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301095 */     GIR_RootConstrainSelectedInstOperands,
     /*  301096 */     // GIR_Coverage, 9580,
     /*  301096 */     GIR_EraseRootFromParent_Done,
     /*  301097 */   // Label 5612: @301097
     /*  301097 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301160), // Rule ID 9583 //
     /*  301102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301158 */     GIR_RootConstrainSelectedInstOperands,
     /*  301159 */     // GIR_Coverage, 9583,
     /*  301159 */     GIR_EraseRootFromParent_Done,
     /*  301160 */   // Label 5613: @301160
     /*  301160 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301223), // Rule ID 9584 //
     /*  301165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301221 */     GIR_RootConstrainSelectedInstOperands,
     /*  301222 */     // GIR_Coverage, 9584,
     /*  301222 */     GIR_EraseRootFromParent_Done,
     /*  301223 */   // Label 5614: @301223
     /*  301223 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301286), // Rule ID 9587 //
     /*  301228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301284 */     GIR_RootConstrainSelectedInstOperands,
     /*  301285 */     // GIR_Coverage, 9587,
     /*  301285 */     GIR_EraseRootFromParent_Done,
     /*  301286 */   // Label 5615: @301286
     /*  301286 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301349), // Rule ID 9588 //
     /*  301291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  301308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301347 */     GIR_RootConstrainSelectedInstOperands,
     /*  301348 */     // GIR_Coverage, 9588,
     /*  301348 */     GIR_EraseRootFromParent_Done,
     /*  301349 */   // Label 5616: @301349
     /*  301349 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301412), // Rule ID 9591 //
     /*  301354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301410 */     GIR_RootConstrainSelectedInstOperands,
     /*  301411 */     // GIR_Coverage, 9591,
     /*  301411 */     GIR_EraseRootFromParent_Done,
     /*  301412 */   // Label 5617: @301412
     /*  301412 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301475), // Rule ID 9592 //
     /*  301417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301473 */     GIR_RootConstrainSelectedInstOperands,
     /*  301474 */     // GIR_Coverage, 9592,
     /*  301474 */     GIR_EraseRootFromParent_Done,
     /*  301475 */   // Label 5618: @301475
     /*  301475 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301538), // Rule ID 9595 //
     /*  301480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301536 */     GIR_RootConstrainSelectedInstOperands,
     /*  301537 */     // GIR_Coverage, 9595,
     /*  301537 */     GIR_EraseRootFromParent_Done,
     /*  301538 */   // Label 5619: @301538
     /*  301538 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301601), // Rule ID 9596 //
     /*  301543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301582 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  301585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301599 */     GIR_RootConstrainSelectedInstOperands,
     /*  301600 */     // GIR_Coverage, 9596,
     /*  301600 */     GIR_EraseRootFromParent_Done,
     /*  301601 */   // Label 5620: @301601
     /*  301601 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301664), // Rule ID 9599 //
     /*  301606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301662 */     GIR_RootConstrainSelectedInstOperands,
     /*  301663 */     // GIR_Coverage, 9599,
     /*  301663 */     GIR_EraseRootFromParent_Done,
     /*  301664 */   // Label 5621: @301664
     /*  301664 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(301727), // Rule ID 9600 //
     /*  301669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  301711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301725 */     GIR_RootConstrainSelectedInstOperands,
     /*  301726 */     // GIR_Coverage, 9600,
     /*  301726 */     GIR_EraseRootFromParent_Done,
     /*  301727 */   // Label 5622: @301727
     /*  301727 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(301790), // Rule ID 9603 //
     /*  301732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301788 */     GIR_RootConstrainSelectedInstOperands,
     /*  301789 */     // GIR_Coverage, 9603,
     /*  301789 */     GIR_EraseRootFromParent_Done,
     /*  301790 */   // Label 5623: @301790
     /*  301790 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(301853), // Rule ID 9604 //
     /*  301795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301834 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  301837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301851 */     GIR_RootConstrainSelectedInstOperands,
     /*  301852 */     // GIR_Coverage, 9604,
     /*  301852 */     GIR_EraseRootFromParent_Done,
     /*  301853 */   // Label 5624: @301853
     /*  301853 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(301916), // Rule ID 9607 //
     /*  301858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  301900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301914 */     GIR_RootConstrainSelectedInstOperands,
     /*  301915 */     // GIR_Coverage, 9607,
     /*  301915 */     GIR_EraseRootFromParent_Done,
     /*  301916 */   // Label 5625: @301916
     /*  301916 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(301979), // Rule ID 9608 //
     /*  301921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  301963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301977 */     GIR_RootConstrainSelectedInstOperands,
     /*  301978 */     // GIR_Coverage, 9608,
     /*  301978 */     GIR_EraseRootFromParent_Done,
     /*  301979 */   // Label 5626: @301979
     /*  301979 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302042), // Rule ID 9611 //
     /*  301984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302040 */     GIR_RootConstrainSelectedInstOperands,
     /*  302041 */     // GIR_Coverage, 9611,
     /*  302041 */     GIR_EraseRootFromParent_Done,
     /*  302042 */   // Label 5627: @302042
     /*  302042 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302105), // Rule ID 9612 //
     /*  302047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302103 */     GIR_RootConstrainSelectedInstOperands,
     /*  302104 */     // GIR_Coverage, 9612,
     /*  302104 */     GIR_EraseRootFromParent_Done,
     /*  302105 */   // Label 5628: @302105
     /*  302105 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302168), // Rule ID 9615 //
     /*  302110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302166 */     GIR_RootConstrainSelectedInstOperands,
     /*  302167 */     // GIR_Coverage, 9615,
     /*  302167 */     GIR_EraseRootFromParent_Done,
     /*  302168 */   // Label 5629: @302168
     /*  302168 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302231), // Rule ID 9616 //
     /*  302173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  302187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  302190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302229 */     GIR_RootConstrainSelectedInstOperands,
     /*  302230 */     // GIR_Coverage, 9616,
     /*  302230 */     GIR_EraseRootFromParent_Done,
     /*  302231 */   // Label 5630: @302231
     /*  302231 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302294), // Rule ID 9619 //
     /*  302236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302275 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302292 */     GIR_RootConstrainSelectedInstOperands,
     /*  302293 */     // GIR_Coverage, 9619,
     /*  302293 */     GIR_EraseRootFromParent_Done,
     /*  302294 */   // Label 5631: @302294
     /*  302294 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302357), // Rule ID 9620 //
     /*  302299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302338 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  302341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302355 */     GIR_RootConstrainSelectedInstOperands,
     /*  302356 */     // GIR_Coverage, 9620,
     /*  302356 */     GIR_EraseRootFromParent_Done,
     /*  302357 */   // Label 5632: @302357
     /*  302357 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302420), // Rule ID 9623 //
     /*  302362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302418 */     GIR_RootConstrainSelectedInstOperands,
     /*  302419 */     // GIR_Coverage, 9623,
     /*  302419 */     GIR_EraseRootFromParent_Done,
     /*  302420 */   // Label 5633: @302420
     /*  302420 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302483), // Rule ID 9624 //
     /*  302425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302481 */     GIR_RootConstrainSelectedInstOperands,
     /*  302482 */     // GIR_Coverage, 9624,
     /*  302482 */     GIR_EraseRootFromParent_Done,
     /*  302483 */   // Label 5634: @302483
     /*  302483 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302546), // Rule ID 9627 //
     /*  302488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302544 */     GIR_RootConstrainSelectedInstOperands,
     /*  302545 */     // GIR_Coverage, 9627,
     /*  302545 */     GIR_EraseRootFromParent_Done,
     /*  302546 */   // Label 5635: @302546
     /*  302546 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302609), // Rule ID 9628 //
     /*  302551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302590 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  302593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302607 */     GIR_RootConstrainSelectedInstOperands,
     /*  302608 */     // GIR_Coverage, 9628,
     /*  302608 */     GIR_EraseRootFromParent_Done,
     /*  302609 */   // Label 5636: @302609
     /*  302609 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302672), // Rule ID 9631 //
     /*  302614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302670 */     GIR_RootConstrainSelectedInstOperands,
     /*  302671 */     // GIR_Coverage, 9631,
     /*  302671 */     GIR_EraseRootFromParent_Done,
     /*  302672 */   // Label 5637: @302672
     /*  302672 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(302735), // Rule ID 9632 //
     /*  302677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302733 */     GIR_RootConstrainSelectedInstOperands,
     /*  302734 */     // GIR_Coverage, 9632,
     /*  302734 */     GIR_EraseRootFromParent_Done,
     /*  302735 */   // Label 5638: @302735
     /*  302735 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(302798), // Rule ID 9635 //
     /*  302740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302779 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302796 */     GIR_RootConstrainSelectedInstOperands,
     /*  302797 */     // GIR_Coverage, 9635,
     /*  302797 */     GIR_EraseRootFromParent_Done,
     /*  302798 */   // Label 5639: @302798
     /*  302798 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(302861), // Rule ID 9636 //
     /*  302803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302842 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302859 */     GIR_RootConstrainSelectedInstOperands,
     /*  302860 */     // GIR_Coverage, 9636,
     /*  302860 */     GIR_EraseRootFromParent_Done,
     /*  302861 */   // Label 5640: @302861
     /*  302861 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(302924), // Rule ID 9639 //
     /*  302866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302922 */     GIR_RootConstrainSelectedInstOperands,
     /*  302923 */     // GIR_Coverage, 9639,
     /*  302923 */     GIR_EraseRootFromParent_Done,
     /*  302924 */   // Label 5641: @302924
     /*  302924 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(302987), // Rule ID 9640 //
     /*  302929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  302971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302985 */     GIR_RootConstrainSelectedInstOperands,
     /*  302986 */     // GIR_Coverage, 9640,
     /*  302986 */     GIR_EraseRootFromParent_Done,
     /*  302987 */   // Label 5642: @302987
     /*  302987 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303050), // Rule ID 9643 //
     /*  302992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303048 */     GIR_RootConstrainSelectedInstOperands,
     /*  303049 */     // GIR_Coverage, 9643,
     /*  303049 */     GIR_EraseRootFromParent_Done,
     /*  303050 */   // Label 5643: @303050
     /*  303050 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303113), // Rule ID 9644 //
     /*  303055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  303069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  303072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  303097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303111 */     GIR_RootConstrainSelectedInstOperands,
     /*  303112 */     // GIR_Coverage, 9644,
     /*  303112 */     GIR_EraseRootFromParent_Done,
     /*  303113 */   // Label 5644: @303113
     /*  303113 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303176), // Rule ID 9647 //
     /*  303118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303174 */     GIR_RootConstrainSelectedInstOperands,
     /*  303175 */     // GIR_Coverage, 9647,
     /*  303175 */     GIR_EraseRootFromParent_Done,
     /*  303176 */   // Label 5645: @303176
     /*  303176 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303239), // Rule ID 9648 //
     /*  303181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  303195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  303198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303237 */     GIR_RootConstrainSelectedInstOperands,
     /*  303238 */     // GIR_Coverage, 9648,
     /*  303238 */     GIR_EraseRootFromParent_Done,
     /*  303239 */   // Label 5646: @303239
     /*  303239 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303302), // Rule ID 9651 //
     /*  303244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303283 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303300 */     GIR_RootConstrainSelectedInstOperands,
     /*  303301 */     // GIR_Coverage, 9651,
     /*  303301 */     GIR_EraseRootFromParent_Done,
     /*  303302 */   // Label 5647: @303302
     /*  303302 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303365), // Rule ID 9652 //
     /*  303307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303346 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303363 */     GIR_RootConstrainSelectedInstOperands,
     /*  303364 */     // GIR_Coverage, 9652,
     /*  303364 */     GIR_EraseRootFromParent_Done,
     /*  303365 */   // Label 5648: @303365
     /*  303365 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303428), // Rule ID 9655 //
     /*  303370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303409 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303426 */     GIR_RootConstrainSelectedInstOperands,
     /*  303427 */     // GIR_Coverage, 9655,
     /*  303427 */     GIR_EraseRootFromParent_Done,
     /*  303428 */   // Label 5649: @303428
     /*  303428 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303491), // Rule ID 9656 //
     /*  303433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303472 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303489 */     GIR_RootConstrainSelectedInstOperands,
     /*  303490 */     // GIR_Coverage, 9656,
     /*  303490 */     GIR_EraseRootFromParent_Done,
     /*  303491 */   // Label 5650: @303491
     /*  303491 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303554), // Rule ID 9659 //
     /*  303496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303552 */     GIR_RootConstrainSelectedInstOperands,
     /*  303553 */     // GIR_Coverage, 9659,
     /*  303553 */     GIR_EraseRootFromParent_Done,
     /*  303554 */   // Label 5651: @303554
     /*  303554 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303617), // Rule ID 9660 //
     /*  303559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303615 */     GIR_RootConstrainSelectedInstOperands,
     /*  303616 */     // GIR_Coverage, 9660,
     /*  303616 */     GIR_EraseRootFromParent_Done,
     /*  303617 */   // Label 5652: @303617
     /*  303617 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(303680), // Rule ID 9663 //
     /*  303622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303678 */     GIR_RootConstrainSelectedInstOperands,
     /*  303679 */     // GIR_Coverage, 9663,
     /*  303679 */     GIR_EraseRootFromParent_Done,
     /*  303680 */   // Label 5653: @303680
     /*  303680 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(303743), // Rule ID 9664 //
     /*  303685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303741 */     GIR_RootConstrainSelectedInstOperands,
     /*  303742 */     // GIR_Coverage, 9664,
     /*  303742 */     GIR_EraseRootFromParent_Done,
     /*  303743 */   // Label 5654: @303743
     /*  303743 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(303806), // Rule ID 9667 //
     /*  303748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303787 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303804 */     GIR_RootConstrainSelectedInstOperands,
     /*  303805 */     // GIR_Coverage, 9667,
     /*  303805 */     GIR_EraseRootFromParent_Done,
     /*  303806 */   // Label 5655: @303806
     /*  303806 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(303869), // Rule ID 9668 //
     /*  303811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303850 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303867 */     GIR_RootConstrainSelectedInstOperands,
     /*  303868 */     // GIR_Coverage, 9668,
     /*  303868 */     GIR_EraseRootFromParent_Done,
     /*  303869 */   // Label 5656: @303869
     /*  303869 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(303932), // Rule ID 9671 //
     /*  303874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303930 */     GIR_RootConstrainSelectedInstOperands,
     /*  303931 */     // GIR_Coverage, 9671,
     /*  303931 */     GIR_EraseRootFromParent_Done,
     /*  303932 */   // Label 5657: @303932
     /*  303932 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(303995), // Rule ID 9672 //
     /*  303937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303993 */     GIR_RootConstrainSelectedInstOperands,
     /*  303994 */     // GIR_Coverage, 9672,
     /*  303994 */     GIR_EraseRootFromParent_Done,
     /*  303995 */   // Label 5658: @303995
     /*  303995 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304058), // Rule ID 9675 //
     /*  304000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304056 */     GIR_RootConstrainSelectedInstOperands,
     /*  304057 */     // GIR_Coverage, 9675,
     /*  304057 */     GIR_EraseRootFromParent_Done,
     /*  304058 */   // Label 5659: @304058
     /*  304058 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304121), // Rule ID 9676 //
     /*  304063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  304077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  304080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304119 */     GIR_RootConstrainSelectedInstOperands,
     /*  304120 */     // GIR_Coverage, 9676,
     /*  304120 */     GIR_EraseRootFromParent_Done,
     /*  304121 */   // Label 5660: @304121
     /*  304121 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304184), // Rule ID 9679 //
     /*  304126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304182 */     GIR_RootConstrainSelectedInstOperands,
     /*  304183 */     // GIR_Coverage, 9679,
     /*  304183 */     GIR_EraseRootFromParent_Done,
     /*  304184 */   // Label 5661: @304184
     /*  304184 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304247), // Rule ID 9680 //
     /*  304189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  304203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  304206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304245 */     GIR_RootConstrainSelectedInstOperands,
     /*  304246 */     // GIR_Coverage, 9680,
     /*  304246 */     GIR_EraseRootFromParent_Done,
     /*  304247 */   // Label 5662: @304247
     /*  304247 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304310), // Rule ID 9683 //
     /*  304252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304308 */     GIR_RootConstrainSelectedInstOperands,
     /*  304309 */     // GIR_Coverage, 9683,
     /*  304309 */     GIR_EraseRootFromParent_Done,
     /*  304310 */   // Label 5663: @304310
     /*  304310 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304373), // Rule ID 9684 //
     /*  304315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304354 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  304357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304371 */     GIR_RootConstrainSelectedInstOperands,
     /*  304372 */     // GIR_Coverage, 9684,
     /*  304372 */     GIR_EraseRootFromParent_Done,
     /*  304373 */   // Label 5664: @304373
     /*  304373 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304436), // Rule ID 9687 //
     /*  304378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304434 */     GIR_RootConstrainSelectedInstOperands,
     /*  304435 */     // GIR_Coverage, 9687,
     /*  304435 */     GIR_EraseRootFromParent_Done,
     /*  304436 */   // Label 5665: @304436
     /*  304436 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304499), // Rule ID 9688 //
     /*  304441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  304483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304497 */     GIR_RootConstrainSelectedInstOperands,
     /*  304498 */     // GIR_Coverage, 9688,
     /*  304498 */     GIR_EraseRootFromParent_Done,
     /*  304499 */   // Label 5666: @304499
     /*  304499 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304562), // Rule ID 9691 //
     /*  304504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304543 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304560 */     GIR_RootConstrainSelectedInstOperands,
     /*  304561 */     // GIR_Coverage, 9691,
     /*  304561 */     GIR_EraseRootFromParent_Done,
     /*  304562 */   // Label 5667: @304562
     /*  304562 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304625), // Rule ID 9692 //
     /*  304567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  304575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304606 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  304609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304623 */     GIR_RootConstrainSelectedInstOperands,
     /*  304624 */     // GIR_Coverage, 9692,
     /*  304624 */     GIR_EraseRootFromParent_Done,
     /*  304625 */   // Label 5668: @304625
     /*  304625 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(304688), // Rule ID 9695 //
     /*  304630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304669 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  304672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304686 */     GIR_RootConstrainSelectedInstOperands,
     /*  304687 */     // GIR_Coverage, 9695,
     /*  304687 */     GIR_EraseRootFromParent_Done,
     /*  304688 */   // Label 5669: @304688
     /*  304688 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(304751), // Rule ID 9696 //
     /*  304693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  304735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304749 */     GIR_RootConstrainSelectedInstOperands,
     /*  304750 */     // GIR_Coverage, 9696,
     /*  304750 */     GIR_EraseRootFromParent_Done,
     /*  304751 */   // Label 5670: @304751
     /*  304751 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(304814), // Rule ID 9699 //
     /*  304756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  304798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304812 */     GIR_RootConstrainSelectedInstOperands,
     /*  304813 */     // GIR_Coverage, 9699,
     /*  304813 */     GIR_EraseRootFromParent_Done,
     /*  304814 */   // Label 5671: @304814
     /*  304814 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(304877), // Rule ID 9700 //
     /*  304819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  304861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304875 */     GIR_RootConstrainSelectedInstOperands,
     /*  304876 */     // GIR_Coverage, 9700,
     /*  304876 */     GIR_EraseRootFromParent_Done,
     /*  304877 */   // Label 5672: @304877
     /*  304877 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(304940), // Rule ID 9703 //
     /*  304882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304938 */     GIR_RootConstrainSelectedInstOperands,
     /*  304939 */     // GIR_Coverage, 9703,
     /*  304939 */     GIR_EraseRootFromParent_Done,
     /*  304940 */   // Label 5673: @304940
     /*  304940 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305003), // Rule ID 9704 //
     /*  304945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305001 */     GIR_RootConstrainSelectedInstOperands,
     /*  305002 */     // GIR_Coverage, 9704,
     /*  305002 */     GIR_EraseRootFromParent_Done,
     /*  305003 */   // Label 5674: @305003
     /*  305003 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305066), // Rule ID 9707 //
     /*  305008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305064 */     GIR_RootConstrainSelectedInstOperands,
     /*  305065 */     // GIR_Coverage, 9707,
     /*  305065 */     GIR_EraseRootFromParent_Done,
     /*  305066 */   // Label 5675: @305066
     /*  305066 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305129), // Rule ID 9708 //
     /*  305071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  305085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  305088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  305113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305127 */     GIR_RootConstrainSelectedInstOperands,
     /*  305128 */     // GIR_Coverage, 9708,
     /*  305128 */     GIR_EraseRootFromParent_Done,
     /*  305129 */   // Label 5676: @305129
     /*  305129 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305192), // Rule ID 9711 //
     /*  305134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305190 */     GIR_RootConstrainSelectedInstOperands,
     /*  305191 */     // GIR_Coverage, 9711,
     /*  305191 */     GIR_EraseRootFromParent_Done,
     /*  305192 */   // Label 5677: @305192
     /*  305192 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305255), // Rule ID 9712 //
     /*  305197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  305211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  305214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305253 */     GIR_RootConstrainSelectedInstOperands,
     /*  305254 */     // GIR_Coverage, 9712,
     /*  305254 */     GIR_EraseRootFromParent_Done,
     /*  305255 */   // Label 5678: @305255
     /*  305255 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305318), // Rule ID 9715 //
     /*  305260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305316 */     GIR_RootConstrainSelectedInstOperands,
     /*  305317 */     // GIR_Coverage, 9715,
     /*  305317 */     GIR_EraseRootFromParent_Done,
     /*  305318 */   // Label 5679: @305318
     /*  305318 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305381), // Rule ID 9716 //
     /*  305323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  305365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305379 */     GIR_RootConstrainSelectedInstOperands,
     /*  305380 */     // GIR_Coverage, 9716,
     /*  305380 */     GIR_EraseRootFromParent_Done,
     /*  305381 */   // Label 5680: @305381
     /*  305381 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305444), // Rule ID 9719 //
     /*  305386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305442 */     GIR_RootConstrainSelectedInstOperands,
     /*  305443 */     // GIR_Coverage, 9719,
     /*  305443 */     GIR_EraseRootFromParent_Done,
     /*  305444 */   // Label 5681: @305444
     /*  305444 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305507), // Rule ID 9720 //
     /*  305449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305505 */     GIR_RootConstrainSelectedInstOperands,
     /*  305506 */     // GIR_Coverage, 9720,
     /*  305506 */     GIR_EraseRootFromParent_Done,
     /*  305507 */   // Label 5682: @305507
     /*  305507 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305570), // Rule ID 9723 //
     /*  305512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305551 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305568 */     GIR_RootConstrainSelectedInstOperands,
     /*  305569 */     // GIR_Coverage, 9723,
     /*  305569 */     GIR_EraseRootFromParent_Done,
     /*  305570 */   // Label 5683: @305570
     /*  305570 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305633), // Rule ID 9724 //
     /*  305575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305614 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305631 */     GIR_RootConstrainSelectedInstOperands,
     /*  305632 */     // GIR_Coverage, 9724,
     /*  305632 */     GIR_EraseRootFromParent_Done,
     /*  305633 */   // Label 5684: @305633
     /*  305633 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(305696), // Rule ID 9727 //
     /*  305638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305694 */     GIR_RootConstrainSelectedInstOperands,
     /*  305695 */     // GIR_Coverage, 9727,
     /*  305695 */     GIR_EraseRootFromParent_Done,
     /*  305696 */   // Label 5685: @305696
     /*  305696 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(305759), // Rule ID 9728 //
     /*  305701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305757 */     GIR_RootConstrainSelectedInstOperands,
     /*  305758 */     // GIR_Coverage, 9728,
     /*  305758 */     GIR_EraseRootFromParent_Done,
     /*  305759 */   // Label 5686: @305759
     /*  305759 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(305822), // Rule ID 9731 //
     /*  305764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305820 */     GIR_RootConstrainSelectedInstOperands,
     /*  305821 */     // GIR_Coverage, 9731,
     /*  305821 */     GIR_EraseRootFromParent_Done,
     /*  305822 */   // Label 5687: @305822
     /*  305822 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(305885), // Rule ID 9732 //
     /*  305827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  305869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305883 */     GIR_RootConstrainSelectedInstOperands,
     /*  305884 */     // GIR_Coverage, 9732,
     /*  305884 */     GIR_EraseRootFromParent_Done,
     /*  305885 */   // Label 5688: @305885
     /*  305885 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(305948), // Rule ID 9735 //
     /*  305890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305946 */     GIR_RootConstrainSelectedInstOperands,
     /*  305947 */     // GIR_Coverage, 9735,
     /*  305947 */     GIR_EraseRootFromParent_Done,
     /*  305948 */   // Label 5689: @305948
     /*  305948 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306011), // Rule ID 9736 //
     /*  305953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306009 */     GIR_RootConstrainSelectedInstOperands,
     /*  306010 */     // GIR_Coverage, 9736,
     /*  306010 */     GIR_EraseRootFromParent_Done,
     /*  306011 */   // Label 5690: @306011
     /*  306011 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306074), // Rule ID 9739 //
     /*  306016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306072 */     GIR_RootConstrainSelectedInstOperands,
     /*  306073 */     // GIR_Coverage, 9739,
     /*  306073 */     GIR_EraseRootFromParent_Done,
     /*  306074 */   // Label 5691: @306074
     /*  306074 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306137), // Rule ID 9740 //
     /*  306079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  306093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  306096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306118 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306135 */     GIR_RootConstrainSelectedInstOperands,
     /*  306136 */     // GIR_Coverage, 9740,
     /*  306136 */     GIR_EraseRootFromParent_Done,
     /*  306137 */   // Label 5692: @306137
     /*  306137 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306200), // Rule ID 9743 //
     /*  306142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306181 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306198 */     GIR_RootConstrainSelectedInstOperands,
     /*  306199 */     // GIR_Coverage, 9743,
     /*  306199 */     GIR_EraseRootFromParent_Done,
     /*  306200 */   // Label 5693: @306200
     /*  306200 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306263), // Rule ID 9744 //
     /*  306205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  306216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  306219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  306222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306244 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306261 */     GIR_RootConstrainSelectedInstOperands,
     /*  306262 */     // GIR_Coverage, 9744,
     /*  306262 */     GIR_EraseRootFromParent_Done,
     /*  306263 */   // Label 5694: @306263
     /*  306263 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306326), // Rule ID 9747 //
     /*  306268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306324 */     GIR_RootConstrainSelectedInstOperands,
     /*  306325 */     // GIR_Coverage, 9747,
     /*  306325 */     GIR_EraseRootFromParent_Done,
     /*  306326 */   // Label 5695: @306326
     /*  306326 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306389), // Rule ID 9748 //
     /*  306331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306387 */     GIR_RootConstrainSelectedInstOperands,
     /*  306388 */     // GIR_Coverage, 9748,
     /*  306388 */     GIR_EraseRootFromParent_Done,
     /*  306389 */   // Label 5696: @306389
     /*  306389 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306452), // Rule ID 9751 //
     /*  306394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306450 */     GIR_RootConstrainSelectedInstOperands,
     /*  306451 */     // GIR_Coverage, 9751,
     /*  306451 */     GIR_EraseRootFromParent_Done,
     /*  306452 */   // Label 5697: @306452
     /*  306452 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306515), // Rule ID 9752 //
     /*  306457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306513 */     GIR_RootConstrainSelectedInstOperands,
     /*  306514 */     // GIR_Coverage, 9752,
     /*  306514 */     GIR_EraseRootFromParent_Done,
     /*  306515 */   // Label 5698: @306515
     /*  306515 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306578), // Rule ID 9755 //
     /*  306520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306559 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306576 */     GIR_RootConstrainSelectedInstOperands,
     /*  306577 */     // GIR_Coverage, 9755,
     /*  306577 */     GIR_EraseRootFromParent_Done,
     /*  306578 */   // Label 5699: @306578
     /*  306578 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(306641), // Rule ID 9756 //
     /*  306583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306639 */     GIR_RootConstrainSelectedInstOperands,
     /*  306640 */     // GIR_Coverage, 9756,
     /*  306640 */     GIR_EraseRootFromParent_Done,
     /*  306641 */   // Label 5700: @306641
     /*  306641 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(306704), // Rule ID 9759 //
     /*  306646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306702 */     GIR_RootConstrainSelectedInstOperands,
     /*  306703 */     // GIR_Coverage, 9759,
     /*  306703 */     GIR_EraseRootFromParent_Done,
     /*  306704 */   // Label 5701: @306704
     /*  306704 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(306767), // Rule ID 9760 //
     /*  306709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  306751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306765 */     GIR_RootConstrainSelectedInstOperands,
     /*  306766 */     // GIR_Coverage, 9760,
     /*  306766 */     GIR_EraseRootFromParent_Done,
     /*  306767 */   // Label 5702: @306767
     /*  306767 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(306830), // Rule ID 9763 //
     /*  306772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306828 */     GIR_RootConstrainSelectedInstOperands,
     /*  306829 */     // GIR_Coverage, 9763,
     /*  306829 */     GIR_EraseRootFromParent_Done,
     /*  306830 */   // Label 5703: @306830
     /*  306830 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(306893), // Rule ID 9764 //
     /*  306835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306891 */     GIR_RootConstrainSelectedInstOperands,
     /*  306892 */     // GIR_Coverage, 9764,
     /*  306892 */     GIR_EraseRootFromParent_Done,
     /*  306893 */   // Label 5704: @306893
     /*  306893 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(306956), // Rule ID 9767 //
     /*  306898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306954 */     GIR_RootConstrainSelectedInstOperands,
     /*  306955 */     // GIR_Coverage, 9767,
     /*  306955 */     GIR_EraseRootFromParent_Done,
     /*  306956 */   // Label 5705: @306956
     /*  306956 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307019), // Rule ID 9768 //
     /*  306961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307017 */     GIR_RootConstrainSelectedInstOperands,
     /*  307018 */     // GIR_Coverage, 9768,
     /*  307018 */     GIR_EraseRootFromParent_Done,
     /*  307019 */   // Label 5706: @307019
     /*  307019 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307082), // Rule ID 9771 //
     /*  307024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307080 */     GIR_RootConstrainSelectedInstOperands,
     /*  307081 */     // GIR_Coverage, 9771,
     /*  307081 */     GIR_EraseRootFromParent_Done,
     /*  307082 */   // Label 5707: @307082
     /*  307082 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307145), // Rule ID 9772 //
     /*  307087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  307129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307143 */     GIR_RootConstrainSelectedInstOperands,
     /*  307144 */     // GIR_Coverage, 9772,
     /*  307144 */     GIR_EraseRootFromParent_Done,
     /*  307145 */   // Label 5708: @307145
     /*  307145 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307208), // Rule ID 9775 //
     /*  307150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307206 */     GIR_RootConstrainSelectedInstOperands,
     /*  307207 */     // GIR_Coverage, 9775,
     /*  307207 */     GIR_EraseRootFromParent_Done,
     /*  307208 */   // Label 5709: @307208
     /*  307208 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307271), // Rule ID 9776 //
     /*  307213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  307255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307269 */     GIR_RootConstrainSelectedInstOperands,
     /*  307270 */     // GIR_Coverage, 9776,
     /*  307270 */     GIR_EraseRootFromParent_Done,
     /*  307271 */   // Label 5710: @307271
     /*  307271 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307334), // Rule ID 9779 //
     /*  307276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307332 */     GIR_RootConstrainSelectedInstOperands,
     /*  307333 */     // GIR_Coverage, 9779,
     /*  307333 */     GIR_EraseRootFromParent_Done,
     /*  307334 */   // Label 5711: @307334
     /*  307334 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307397), // Rule ID 9780 //
     /*  307339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  307347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  307381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307395 */     GIR_RootConstrainSelectedInstOperands,
     /*  307396 */     // GIR_Coverage, 9780,
     /*  307396 */     GIR_EraseRootFromParent_Done,
     /*  307397 */   // Label 5712: @307397
     /*  307397 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307463), // Rule ID 13855 //
     /*  307402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307441 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307461 */     GIR_RootConstrainSelectedInstOperands,
     /*  307462 */     // GIR_Coverage, 13855,
     /*  307462 */     GIR_EraseRootFromParent_Done,
     /*  307463 */   // Label 5713: @307463
     /*  307463 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307529), // Rule ID 13856 //
     /*  307468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  307479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  307510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307527 */     GIR_RootConstrainSelectedInstOperands,
     /*  307528 */     // GIR_Coverage, 13856,
     /*  307528 */     GIR_EraseRootFromParent_Done,
     /*  307529 */   // Label 5714: @307529
     /*  307529 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307595), // Rule ID 13857 //
     /*  307534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307573 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307593 */     GIR_RootConstrainSelectedInstOperands,
     /*  307594 */     // GIR_Coverage, 13857,
     /*  307594 */     GIR_EraseRootFromParent_Done,
     /*  307595 */   // Label 5715: @307595
     /*  307595 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(307661), // Rule ID 13858 //
     /*  307600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  307611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307659 */     GIR_RootConstrainSelectedInstOperands,
     /*  307660 */     // GIR_Coverage, 13858,
     /*  307660 */     GIR_EraseRootFromParent_Done,
     /*  307661 */   // Label 5716: @307661
     /*  307661 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(307727), // Rule ID 13859 //
     /*  307666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  307677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307705 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  307708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307725 */     GIR_RootConstrainSelectedInstOperands,
     /*  307726 */     // GIR_Coverage, 13859,
     /*  307726 */     GIR_EraseRootFromParent_Done,
     /*  307727 */   // Label 5717: @307727
     /*  307727 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(307793), // Rule ID 13860 //
     /*  307732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  307743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  307774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307791 */     GIR_RootConstrainSelectedInstOperands,
     /*  307792 */     // GIR_Coverage, 13860,
     /*  307792 */     GIR_EraseRootFromParent_Done,
     /*  307793 */   // Label 5718: @307793
     /*  307793 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(307859), // Rule ID 13861 //
     /*  307798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  307809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307837 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307857 */     GIR_RootConstrainSelectedInstOperands,
     /*  307858 */     // GIR_Coverage, 13861,
     /*  307858 */     GIR_EraseRootFromParent_Done,
     /*  307859 */   // Label 5719: @307859
     /*  307859 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(307925), // Rule ID 13862 //
     /*  307864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  307875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307903 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  307906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307923 */     GIR_RootConstrainSelectedInstOperands,
     /*  307924 */     // GIR_Coverage, 13862,
     /*  307924 */     GIR_EraseRootFromParent_Done,
     /*  307925 */   // Label 5720: @307925
     /*  307925 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(307991), // Rule ID 13863 //
     /*  307930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  307941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  307972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307989 */     GIR_RootConstrainSelectedInstOperands,
     /*  307990 */     // GIR_Coverage, 13863,
     /*  307990 */     GIR_EraseRootFromParent_Done,
     /*  307991 */   // Label 5721: @307991
     /*  307991 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308057), // Rule ID 13864 //
     /*  307996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308055 */     GIR_RootConstrainSelectedInstOperands,
     /*  308056 */     // GIR_Coverage, 13864,
     /*  308056 */     GIR_EraseRootFromParent_Done,
     /*  308057 */   // Label 5722: @308057
     /*  308057 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308123), // Rule ID 13865 //
     /*  308062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308121 */     GIR_RootConstrainSelectedInstOperands,
     /*  308122 */     // GIR_Coverage, 13865,
     /*  308122 */     GIR_EraseRootFromParent_Done,
     /*  308123 */   // Label 5723: @308123
     /*  308123 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308189), // Rule ID 13866 //
     /*  308128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  308170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308187 */     GIR_RootConstrainSelectedInstOperands,
     /*  308188 */     // GIR_Coverage, 13866,
     /*  308188 */     GIR_EraseRootFromParent_Done,
     /*  308189 */   // Label 5724: @308189
     /*  308189 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308255), // Rule ID 13867 //
     /*  308194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308253 */     GIR_RootConstrainSelectedInstOperands,
     /*  308254 */     // GIR_Coverage, 13867,
     /*  308254 */     GIR_EraseRootFromParent_Done,
     /*  308255 */   // Label 5725: @308255
     /*  308255 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308321), // Rule ID 13868 //
     /*  308260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  308271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  308274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  308277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308319 */     GIR_RootConstrainSelectedInstOperands,
     /*  308320 */     // GIR_Coverage, 13868,
     /*  308320 */     GIR_EraseRootFromParent_Done,
     /*  308321 */   // Label 5726: @308321
     /*  308321 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308387), // Rule ID 13869 //
     /*  308326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308385 */     GIR_RootConstrainSelectedInstOperands,
     /*  308386 */     // GIR_Coverage, 13869,
     /*  308386 */     GIR_EraseRootFromParent_Done,
     /*  308387 */   // Label 5727: @308387
     /*  308387 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308453), // Rule ID 13870 //
     /*  308392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308451 */     GIR_RootConstrainSelectedInstOperands,
     /*  308452 */     // GIR_Coverage, 13870,
     /*  308452 */     GIR_EraseRootFromParent_Done,
     /*  308453 */   // Label 5728: @308453
     /*  308453 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308519), // Rule ID 13871 //
     /*  308458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308517 */     GIR_RootConstrainSelectedInstOperands,
     /*  308518 */     // GIR_Coverage, 13871,
     /*  308518 */     GIR_EraseRootFromParent_Done,
     /*  308519 */   // Label 5729: @308519
     /*  308519 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308585), // Rule ID 13872 //
     /*  308524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  308535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308583 */     GIR_RootConstrainSelectedInstOperands,
     /*  308584 */     // GIR_Coverage, 13872,
     /*  308584 */     GIR_EraseRootFromParent_Done,
     /*  308585 */   // Label 5730: @308585
     /*  308585 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(308651), // Rule ID 13873 //
     /*  308590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  308601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308649 */     GIR_RootConstrainSelectedInstOperands,
     /*  308650 */     // GIR_Coverage, 13873,
     /*  308650 */     GIR_EraseRootFromParent_Done,
     /*  308651 */   // Label 5731: @308651
     /*  308651 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(308717), // Rule ID 13874 //
     /*  308656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  308667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  308698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308715 */     GIR_RootConstrainSelectedInstOperands,
     /*  308716 */     // GIR_Coverage, 13874,
     /*  308716 */     GIR_EraseRootFromParent_Done,
     /*  308717 */   // Label 5732: @308717
     /*  308717 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(308783), // Rule ID 13875 //
     /*  308722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  308733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308761 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308781 */     GIR_RootConstrainSelectedInstOperands,
     /*  308782 */     // GIR_Coverage, 13875,
     /*  308782 */     GIR_EraseRootFromParent_Done,
     /*  308783 */   // Label 5733: @308783
     /*  308783 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(308849), // Rule ID 13876 //
     /*  308788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  308799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308847 */     GIR_RootConstrainSelectedInstOperands,
     /*  308848 */     // GIR_Coverage, 13876,
     /*  308848 */     GIR_EraseRootFromParent_Done,
     /*  308849 */   // Label 5734: @308849
     /*  308849 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(308915), // Rule ID 13877 //
     /*  308854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  308865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  308893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308913 */     GIR_RootConstrainSelectedInstOperands,
     /*  308914 */     // GIR_Coverage, 13877,
     /*  308914 */     GIR_EraseRootFromParent_Done,
     /*  308915 */   // Label 5735: @308915
     /*  308915 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(308981), // Rule ID 13878 //
     /*  308920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  308931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308959 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  308959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308979 */     GIR_RootConstrainSelectedInstOperands,
     /*  308980 */     // GIR_Coverage, 13878,
     /*  308980 */     GIR_EraseRootFromParent_Done,
     /*  308981 */   // Label 5736: @308981
     /*  308981 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309047), // Rule ID 13879 //
     /*  308986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  308997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  309025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309045 */     GIR_RootConstrainSelectedInstOperands,
     /*  309046 */     // GIR_Coverage, 13879,
     /*  309046 */     GIR_EraseRootFromParent_Done,
     /*  309047 */   // Label 5737: @309047
     /*  309047 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309113), // Rule ID 13880 //
     /*  309052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  309063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  309066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  309069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  309091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309111 */     GIR_RootConstrainSelectedInstOperands,
     /*  309112 */     // GIR_Coverage, 13880,
     /*  309112 */     GIR_EraseRootFromParent_Done,
     /*  309113 */   // Label 5738: @309113
     /*  309113 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309179), // Rule ID 13881 //
     /*  309118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309177 */     GIR_RootConstrainSelectedInstOperands,
     /*  309178 */     // GIR_Coverage, 13881,
     /*  309178 */     GIR_EraseRootFromParent_Done,
     /*  309179 */   // Label 5739: @309179
     /*  309179 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309245), // Rule ID 13882 //
     /*  309184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309243 */     GIR_RootConstrainSelectedInstOperands,
     /*  309244 */     // GIR_Coverage, 13882,
     /*  309244 */     GIR_EraseRootFromParent_Done,
     /*  309245 */   // Label 5740: @309245
     /*  309245 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309311), // Rule ID 13883 //
     /*  309250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309309 */     GIR_RootConstrainSelectedInstOperands,
     /*  309310 */     // GIR_Coverage, 13883,
     /*  309310 */     GIR_EraseRootFromParent_Done,
     /*  309311 */   // Label 5741: @309311
     /*  309311 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309377), // Rule ID 13884 //
     /*  309316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309375 */     GIR_RootConstrainSelectedInstOperands,
     /*  309376 */     // GIR_Coverage, 13884,
     /*  309376 */     GIR_EraseRootFromParent_Done,
     /*  309377 */   // Label 5742: @309377
     /*  309377 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309443), // Rule ID 13885 //
     /*  309382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309441 */     GIR_RootConstrainSelectedInstOperands,
     /*  309442 */     // GIR_Coverage, 13885,
     /*  309442 */     GIR_EraseRootFromParent_Done,
     /*  309443 */   // Label 5743: @309443
     /*  309443 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309509), // Rule ID 13886 //
     /*  309448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309507 */     GIR_RootConstrainSelectedInstOperands,
     /*  309508 */     // GIR_Coverage, 13886,
     /*  309508 */     GIR_EraseRootFromParent_Done,
     /*  309509 */   // Label 5744: @309509
     /*  309509 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309575), // Rule ID 13887 //
     /*  309514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309573 */     GIR_RootConstrainSelectedInstOperands,
     /*  309574 */     // GIR_Coverage, 13887,
     /*  309574 */     GIR_EraseRootFromParent_Done,
     /*  309575 */   // Label 5745: @309575
     /*  309575 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(309641), // Rule ID 13888 //
     /*  309580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309639 */     GIR_RootConstrainSelectedInstOperands,
     /*  309640 */     // GIR_Coverage, 13888,
     /*  309640 */     GIR_EraseRootFromParent_Done,
     /*  309641 */   // Label 5746: @309641
     /*  309641 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(309707), // Rule ID 13889 //
     /*  309646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  309657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309705 */     GIR_RootConstrainSelectedInstOperands,
     /*  309706 */     // GIR_Coverage, 13889,
     /*  309706 */     GIR_EraseRootFromParent_Done,
     /*  309707 */   // Label 5747: @309707
     /*  309707 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(309773), // Rule ID 13890 //
     /*  309712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  309723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  309754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309771 */     GIR_RootConstrainSelectedInstOperands,
     /*  309772 */     // GIR_Coverage, 13890,
     /*  309772 */     GIR_EraseRootFromParent_Done,
     /*  309773 */   // Label 5748: @309773
     /*  309773 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(309839), // Rule ID 13891 //
     /*  309778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  309789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309837 */     GIR_RootConstrainSelectedInstOperands,
     /*  309838 */     // GIR_Coverage, 13891,
     /*  309838 */     GIR_EraseRootFromParent_Done,
     /*  309839 */   // Label 5749: @309839
     /*  309839 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(309905), // Rule ID 13892 //
     /*  309844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  309855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309903 */     GIR_RootConstrainSelectedInstOperands,
     /*  309904 */     // GIR_Coverage, 13892,
     /*  309904 */     GIR_EraseRootFromParent_Done,
     /*  309905 */   // Label 5750: @309905
     /*  309905 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(309971), // Rule ID 13893 //
     /*  309910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  309921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309969 */     GIR_RootConstrainSelectedInstOperands,
     /*  309970 */     // GIR_Coverage, 13893,
     /*  309970 */     GIR_EraseRootFromParent_Done,
     /*  309971 */   // Label 5751: @309971
     /*  309971 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310037), // Rule ID 13894 //
     /*  309976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  309987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310035 */     GIR_RootConstrainSelectedInstOperands,
     /*  310036 */     // GIR_Coverage, 13894,
     /*  310036 */     GIR_EraseRootFromParent_Done,
     /*  310037 */   // Label 5752: @310037
     /*  310037 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310103), // Rule ID 13895 //
     /*  310042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310101 */     GIR_RootConstrainSelectedInstOperands,
     /*  310102 */     // GIR_Coverage, 13895,
     /*  310102 */     GIR_EraseRootFromParent_Done,
     /*  310103 */   // Label 5753: @310103
     /*  310103 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310169), // Rule ID 13896 //
     /*  310108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310167 */     GIR_RootConstrainSelectedInstOperands,
     /*  310168 */     // GIR_Coverage, 13896,
     /*  310168 */     GIR_EraseRootFromParent_Done,
     /*  310169 */   // Label 5754: @310169
     /*  310169 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310235), // Rule ID 13897 //
     /*  310174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310233 */     GIR_RootConstrainSelectedInstOperands,
     /*  310234 */     // GIR_Coverage, 13897,
     /*  310234 */     GIR_EraseRootFromParent_Done,
     /*  310235 */   // Label 5755: @310235
     /*  310235 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310301), // Rule ID 13898 //
     /*  310240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310299 */     GIR_RootConstrainSelectedInstOperands,
     /*  310300 */     // GIR_Coverage, 13898,
     /*  310300 */     GIR_EraseRootFromParent_Done,
     /*  310301 */   // Label 5756: @310301
     /*  310301 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310367), // Rule ID 13899 //
     /*  310306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310345 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310365 */     GIR_RootConstrainSelectedInstOperands,
     /*  310366 */     // GIR_Coverage, 13899,
     /*  310366 */     GIR_EraseRootFromParent_Done,
     /*  310367 */   // Label 5757: @310367
     /*  310367 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310433), // Rule ID 13900 //
     /*  310372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  310383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310411 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  310414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310431 */     GIR_RootConstrainSelectedInstOperands,
     /*  310432 */     // GIR_Coverage, 13900,
     /*  310432 */     GIR_EraseRootFromParent_Done,
     /*  310433 */   // Label 5758: @310433
     /*  310433 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310499), // Rule ID 13901 //
     /*  310438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310477 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310497 */     GIR_RootConstrainSelectedInstOperands,
     /*  310498 */     // GIR_Coverage, 13901,
     /*  310498 */     GIR_EraseRootFromParent_Done,
     /*  310499 */   // Label 5759: @310499
     /*  310499 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310565), // Rule ID 13902 //
     /*  310504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  310515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310563 */     GIR_RootConstrainSelectedInstOperands,
     /*  310564 */     // GIR_Coverage, 13902,
     /*  310564 */     GIR_EraseRootFromParent_Done,
     /*  310565 */   // Label 5760: @310565
     /*  310565 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(310631), // Rule ID 13903 //
     /*  310570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310609 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310629 */     GIR_RootConstrainSelectedInstOperands,
     /*  310630 */     // GIR_Coverage, 13903,
     /*  310630 */     GIR_EraseRootFromParent_Done,
     /*  310631 */   // Label 5761: @310631
     /*  310631 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(310697), // Rule ID 13904 //
     /*  310636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  310678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310695 */     GIR_RootConstrainSelectedInstOperands,
     /*  310696 */     // GIR_Coverage, 13904,
     /*  310696 */     GIR_EraseRootFromParent_Done,
     /*  310697 */   // Label 5762: @310697
     /*  310697 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(310763), // Rule ID 13905 //
     /*  310702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  310713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310761 */     GIR_RootConstrainSelectedInstOperands,
     /*  310762 */     // GIR_Coverage, 13905,
     /*  310762 */     GIR_EraseRootFromParent_Done,
     /*  310763 */   // Label 5763: @310763
     /*  310763 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(310829), // Rule ID 13906 //
     /*  310768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  310779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310807 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310827 */     GIR_RootConstrainSelectedInstOperands,
     /*  310828 */     // GIR_Coverage, 13906,
     /*  310828 */     GIR_EraseRootFromParent_Done,
     /*  310829 */   // Label 5764: @310829
     /*  310829 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(310895), // Rule ID 13907 //
     /*  310834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310893 */     GIR_RootConstrainSelectedInstOperands,
     /*  310894 */     // GIR_Coverage, 13907,
     /*  310894 */     GIR_EraseRootFromParent_Done,
     /*  310895 */   // Label 5765: @310895
     /*  310895 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(310961), // Rule ID 13908 //
     /*  310900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310939 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  310942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310959 */     GIR_RootConstrainSelectedInstOperands,
     /*  310960 */     // GIR_Coverage, 13908,
     /*  310960 */     GIR_EraseRootFromParent_Done,
     /*  310961 */   // Label 5766: @310961
     /*  310961 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311027), // Rule ID 13909 //
     /*  310966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  310977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  310983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311005 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311025 */     GIR_RootConstrainSelectedInstOperands,
     /*  311026 */     // GIR_Coverage, 13909,
     /*  311026 */     GIR_EraseRootFromParent_Done,
     /*  311027 */   // Label 5767: @311027
     /*  311027 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311093), // Rule ID 13910 //
     /*  311032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311071 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  311074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311091 */     GIR_RootConstrainSelectedInstOperands,
     /*  311092 */     // GIR_Coverage, 13910,
     /*  311092 */     GIR_EraseRootFromParent_Done,
     /*  311093 */   // Label 5768: @311093
     /*  311093 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311159), // Rule ID 13911 //
     /*  311098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311137 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311157 */     GIR_RootConstrainSelectedInstOperands,
     /*  311158 */     // GIR_Coverage, 13911,
     /*  311158 */     GIR_EraseRootFromParent_Done,
     /*  311159 */   // Label 5769: @311159
     /*  311159 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311225), // Rule ID 13912 //
     /*  311164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311203 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311223 */     GIR_RootConstrainSelectedInstOperands,
     /*  311224 */     // GIR_Coverage, 13912,
     /*  311224 */     GIR_EraseRootFromParent_Done,
     /*  311225 */   // Label 5770: @311225
     /*  311225 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311291), // Rule ID 13913 //
     /*  311230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311269 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311289 */     GIR_RootConstrainSelectedInstOperands,
     /*  311290 */     // GIR_Coverage, 13913,
     /*  311290 */     GIR_EraseRootFromParent_Done,
     /*  311291 */   // Label 5771: @311291
     /*  311291 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311357), // Rule ID 13914 //
     /*  311296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311335 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311355 */     GIR_RootConstrainSelectedInstOperands,
     /*  311356 */     // GIR_Coverage, 13914,
     /*  311356 */     GIR_EraseRootFromParent_Done,
     /*  311357 */   // Label 5772: @311357
     /*  311357 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311423), // Rule ID 13915 //
     /*  311362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  311365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311401 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311421 */     GIR_RootConstrainSelectedInstOperands,
     /*  311422 */     // GIR_Coverage, 13915,
     /*  311422 */     GIR_EraseRootFromParent_Done,
     /*  311423 */   // Label 5773: @311423
     /*  311423 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311489), // Rule ID 13916 //
     /*  311428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  311431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  311439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311467 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311487 */     GIR_RootConstrainSelectedInstOperands,
     /*  311488 */     // GIR_Coverage, 13916,
     /*  311488 */     GIR_EraseRootFromParent_Done,
     /*  311489 */   // Label 5774: @311489
     /*  311489 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311555), // Rule ID 13917 //
     /*  311494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311533 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311553 */     GIR_RootConstrainSelectedInstOperands,
     /*  311554 */     // GIR_Coverage, 13917,
     /*  311554 */     GIR_EraseRootFromParent_Done,
     /*  311555 */   // Label 5775: @311555
     /*  311555 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(311621), // Rule ID 13918 //
     /*  311560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311599 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311619 */     GIR_RootConstrainSelectedInstOperands,
     /*  311620 */     // GIR_Coverage, 13918,
     /*  311620 */     GIR_EraseRootFromParent_Done,
     /*  311621 */   // Label 5776: @311621
     /*  311621 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(311687), // Rule ID 13919 //
     /*  311626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311685 */     GIR_RootConstrainSelectedInstOperands,
     /*  311686 */     // GIR_Coverage, 13919,
     /*  311686 */     GIR_EraseRootFromParent_Done,
     /*  311687 */   // Label 5777: @311687
     /*  311687 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(311753), // Rule ID 13920 //
     /*  311692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311731 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  311734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311751 */     GIR_RootConstrainSelectedInstOperands,
     /*  311752 */     // GIR_Coverage, 13920,
     /*  311752 */     GIR_EraseRootFromParent_Done,
     /*  311753 */   // Label 5778: @311753
     /*  311753 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(311819), // Rule ID 13921 //
     /*  311758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311797 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311817 */     GIR_RootConstrainSelectedInstOperands,
     /*  311818 */     // GIR_Coverage, 13921,
     /*  311818 */     GIR_EraseRootFromParent_Done,
     /*  311819 */   // Label 5779: @311819
     /*  311819 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(311885), // Rule ID 13922 //
     /*  311824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311863 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311883 */     GIR_RootConstrainSelectedInstOperands,
     /*  311884 */     // GIR_Coverage, 13922,
     /*  311884 */     GIR_EraseRootFromParent_Done,
     /*  311885 */   // Label 5780: @311885
     /*  311885 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(311951), // Rule ID 13923 //
     /*  311890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311929 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311949 */     GIR_RootConstrainSelectedInstOperands,
     /*  311950 */     // GIR_Coverage, 13923,
     /*  311950 */     GIR_EraseRootFromParent_Done,
     /*  311951 */   // Label 5781: @311951
     /*  311951 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312017), // Rule ID 13924 //
     /*  311956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311995 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  311998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312015 */     GIR_RootConstrainSelectedInstOperands,
     /*  312016 */     // GIR_Coverage, 13924,
     /*  312016 */     GIR_EraseRootFromParent_Done,
     /*  312017 */   // Label 5782: @312017
     /*  312017 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312083), // Rule ID 13925 //
     /*  312022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312061 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312081 */     GIR_RootConstrainSelectedInstOperands,
     /*  312082 */     // GIR_Coverage, 13925,
     /*  312082 */     GIR_EraseRootFromParent_Done,
     /*  312083 */   // Label 5783: @312083
     /*  312083 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312149), // Rule ID 13926 //
     /*  312088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312127 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  312130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312147 */     GIR_RootConstrainSelectedInstOperands,
     /*  312148 */     // GIR_Coverage, 13926,
     /*  312148 */     GIR_EraseRootFromParent_Done,
     /*  312149 */   // Label 5784: @312149
     /*  312149 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312215), // Rule ID 13927 //
     /*  312154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312193 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312213 */     GIR_RootConstrainSelectedInstOperands,
     /*  312214 */     // GIR_Coverage, 13927,
     /*  312214 */     GIR_EraseRootFromParent_Done,
     /*  312215 */   // Label 5785: @312215
     /*  312215 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312281), // Rule ID 13928 //
     /*  312220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312259 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  312262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312279 */     GIR_RootConstrainSelectedInstOperands,
     /*  312280 */     // GIR_Coverage, 13928,
     /*  312280 */     GIR_EraseRootFromParent_Done,
     /*  312281 */   // Label 5786: @312281
     /*  312281 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312347), // Rule ID 18931 //
     /*  312286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312325 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312345 */     GIR_RootConstrainSelectedInstOperands,
     /*  312346 */     // GIR_Coverage, 18931,
     /*  312346 */     GIR_EraseRootFromParent_Done,
     /*  312347 */   // Label 5787: @312347
     /*  312347 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312413), // Rule ID 18932 //
     /*  312352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312391 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  312394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312411 */     GIR_RootConstrainSelectedInstOperands,
     /*  312412 */     // GIR_Coverage, 18932,
     /*  312412 */     GIR_EraseRootFromParent_Done,
     /*  312413 */   // Label 5788: @312413
     /*  312413 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312479), // Rule ID 18935 //
     /*  312418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312477 */     GIR_RootConstrainSelectedInstOperands,
     /*  312478 */     // GIR_Coverage, 18935,
     /*  312478 */     GIR_EraseRootFromParent_Done,
     /*  312479 */   // Label 5789: @312479
     /*  312479 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312545), // Rule ID 18936 //
     /*  312484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  312526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312543 */     GIR_RootConstrainSelectedInstOperands,
     /*  312544 */     // GIR_Coverage, 18936,
     /*  312544 */     GIR_EraseRootFromParent_Done,
     /*  312545 */   // Label 5790: @312545
     /*  312545 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312611), // Rule ID 18939 //
     /*  312550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312589 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  312592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312609 */     GIR_RootConstrainSelectedInstOperands,
     /*  312610 */     // GIR_Coverage, 18939,
     /*  312610 */     GIR_EraseRootFromParent_Done,
     /*  312611 */   // Label 5791: @312611
     /*  312611 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(312677), // Rule ID 18940 //
     /*  312616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312655 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  312658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312675 */     GIR_RootConstrainSelectedInstOperands,
     /*  312676 */     // GIR_Coverage, 18940,
     /*  312676 */     GIR_EraseRootFromParent_Done,
     /*  312677 */   // Label 5792: @312677
     /*  312677 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(312743), // Rule ID 18943 //
     /*  312682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  312724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312741 */     GIR_RootConstrainSelectedInstOperands,
     /*  312742 */     // GIR_Coverage, 18943,
     /*  312742 */     GIR_EraseRootFromParent_Done,
     /*  312743 */   // Label 5793: @312743
     /*  312743 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(312809), // Rule ID 18944 //
     /*  312748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312787 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  312790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312807 */     GIR_RootConstrainSelectedInstOperands,
     /*  312808 */     // GIR_Coverage, 18944,
     /*  312808 */     GIR_EraseRootFromParent_Done,
     /*  312809 */   // Label 5794: @312809
     /*  312809 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(312875), // Rule ID 18947 //
     /*  312814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  312856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312873 */     GIR_RootConstrainSelectedInstOperands,
     /*  312874 */     // GIR_Coverage, 18947,
     /*  312874 */     GIR_EraseRootFromParent_Done,
     /*  312875 */   // Label 5795: @312875
     /*  312875 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(312941), // Rule ID 18948 //
     /*  312880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312919 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  312922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312939 */     GIR_RootConstrainSelectedInstOperands,
     /*  312940 */     // GIR_Coverage, 18948,
     /*  312940 */     GIR_EraseRootFromParent_Done,
     /*  312941 */   // Label 5796: @312941
     /*  312941 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313007), // Rule ID 18951 //
     /*  312946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  312957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  312960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312985 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  312988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313005 */     GIR_RootConstrainSelectedInstOperands,
     /*  313006 */     // GIR_Coverage, 18951,
     /*  313006 */     GIR_EraseRootFromParent_Done,
     /*  313007 */   // Label 5797: @313007
     /*  313007 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313073), // Rule ID 18952 //
     /*  313012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313051 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  313054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313071 */     GIR_RootConstrainSelectedInstOperands,
     /*  313072 */     // GIR_Coverage, 18952,
     /*  313072 */     GIR_EraseRootFromParent_Done,
     /*  313073 */   // Label 5798: @313073
     /*  313073 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313139), // Rule ID 18955 //
     /*  313078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313117 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313137 */     GIR_RootConstrainSelectedInstOperands,
     /*  313138 */     // GIR_Coverage, 18955,
     /*  313138 */     GIR_EraseRootFromParent_Done,
     /*  313139 */   // Label 5799: @313139
     /*  313139 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313205), // Rule ID 18956 //
     /*  313144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313183 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  313186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313203 */     GIR_RootConstrainSelectedInstOperands,
     /*  313204 */     // GIR_Coverage, 18956,
     /*  313204 */     GIR_EraseRootFromParent_Done,
     /*  313205 */   // Label 5800: @313205
     /*  313205 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313271), // Rule ID 18959 //
     /*  313210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313249 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313269 */     GIR_RootConstrainSelectedInstOperands,
     /*  313270 */     // GIR_Coverage, 18959,
     /*  313270 */     GIR_EraseRootFromParent_Done,
     /*  313271 */   // Label 5801: @313271
     /*  313271 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313337), // Rule ID 18960 //
     /*  313276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313315 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  313318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313335 */     GIR_RootConstrainSelectedInstOperands,
     /*  313336 */     // GIR_Coverage, 18960,
     /*  313336 */     GIR_EraseRootFromParent_Done,
     /*  313337 */   // Label 5802: @313337
     /*  313337 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313403), // Rule ID 18963 //
     /*  313342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313401 */     GIR_RootConstrainSelectedInstOperands,
     /*  313402 */     // GIR_Coverage, 18963,
     /*  313402 */     GIR_EraseRootFromParent_Done,
     /*  313403 */   // Label 5803: @313403
     /*  313403 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313469), // Rule ID 18964 //
     /*  313408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313447 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  313450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313467 */     GIR_RootConstrainSelectedInstOperands,
     /*  313468 */     // GIR_Coverage, 18964,
     /*  313468 */     GIR_EraseRootFromParent_Done,
     /*  313469 */   // Label 5804: @313469
     /*  313469 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313535), // Rule ID 18967 //
     /*  313474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313513 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313533 */     GIR_RootConstrainSelectedInstOperands,
     /*  313534 */     // GIR_Coverage, 18967,
     /*  313534 */     GIR_EraseRootFromParent_Done,
     /*  313535 */   // Label 5805: @313535
     /*  313535 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313601), // Rule ID 18968 //
     /*  313540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313579 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  313582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313599 */     GIR_RootConstrainSelectedInstOperands,
     /*  313600 */     // GIR_Coverage, 18968,
     /*  313600 */     GIR_EraseRootFromParent_Done,
     /*  313601 */   // Label 5806: @313601
     /*  313601 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(313667), // Rule ID 18971 //
     /*  313606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313645 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  313648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313665 */     GIR_RootConstrainSelectedInstOperands,
     /*  313666 */     // GIR_Coverage, 18971,
     /*  313666 */     GIR_EraseRootFromParent_Done,
     /*  313667 */   // Label 5807: @313667
     /*  313667 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(313733), // Rule ID 18972 //
     /*  313672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313711 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  313714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313731 */     GIR_RootConstrainSelectedInstOperands,
     /*  313732 */     // GIR_Coverage, 18972,
     /*  313732 */     GIR_EraseRootFromParent_Done,
     /*  313733 */   // Label 5808: @313733
     /*  313733 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(313799), // Rule ID 18975 //
     /*  313738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  313780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313797 */     GIR_RootConstrainSelectedInstOperands,
     /*  313798 */     // GIR_Coverage, 18975,
     /*  313798 */     GIR_EraseRootFromParent_Done,
     /*  313799 */   // Label 5809: @313799
     /*  313799 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(313865), // Rule ID 18976 //
     /*  313804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313843 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  313846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313863 */     GIR_RootConstrainSelectedInstOperands,
     /*  313864 */     // GIR_Coverage, 18976,
     /*  313864 */     GIR_EraseRootFromParent_Done,
     /*  313865 */   // Label 5810: @313865
     /*  313865 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(313931), // Rule ID 18979 //
     /*  313870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313909 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  313912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313929 */     GIR_RootConstrainSelectedInstOperands,
     /*  313930 */     // GIR_Coverage, 18979,
     /*  313930 */     GIR_EraseRootFromParent_Done,
     /*  313931 */   // Label 5811: @313931
     /*  313931 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(313997), // Rule ID 18980 //
     /*  313936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  313944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313975 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  313978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313995 */     GIR_RootConstrainSelectedInstOperands,
     /*  313996 */     // GIR_Coverage, 18980,
     /*  313996 */     GIR_EraseRootFromParent_Done,
     /*  313997 */   // Label 5812: @313997
     /*  313997 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314063), // Rule ID 18983 //
     /*  314002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314041 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314061 */     GIR_RootConstrainSelectedInstOperands,
     /*  314062 */     // GIR_Coverage, 18983,
     /*  314062 */     GIR_EraseRootFromParent_Done,
     /*  314063 */   // Label 5813: @314063
     /*  314063 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314129), // Rule ID 18984 //
     /*  314068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  314076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314107 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  314110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314127 */     GIR_RootConstrainSelectedInstOperands,
     /*  314128 */     // GIR_Coverage, 18984,
     /*  314128 */     GIR_EraseRootFromParent_Done,
     /*  314129 */   // Label 5814: @314129
     /*  314129 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314192), // Rule ID 19647 //
     /*  314134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314190 */     GIR_RootConstrainSelectedInstOperands,
     /*  314191 */     // GIR_Coverage, 19647,
     /*  314191 */     GIR_EraseRootFromParent_Done,
     /*  314192 */   // Label 5815: @314192
     /*  314192 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314255), // Rule ID 19648 //
     /*  314197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  314239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314253 */     GIR_RootConstrainSelectedInstOperands,
     /*  314254 */     // GIR_Coverage, 19648,
     /*  314254 */     GIR_EraseRootFromParent_Done,
     /*  314255 */   // Label 5816: @314255
     /*  314255 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314318), // Rule ID 19651 //
     /*  314260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314316 */     GIR_RootConstrainSelectedInstOperands,
     /*  314317 */     // GIR_Coverage, 19651,
     /*  314317 */     GIR_EraseRootFromParent_Done,
     /*  314318 */   // Label 5817: @314318
     /*  314318 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314381), // Rule ID 19652 //
     /*  314323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314362 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314379 */     GIR_RootConstrainSelectedInstOperands,
     /*  314380 */     // GIR_Coverage, 19652,
     /*  314380 */     GIR_EraseRootFromParent_Done,
     /*  314381 */   // Label 5818: @314381
     /*  314381 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314444), // Rule ID 19655 //
     /*  314386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314425 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314442 */     GIR_RootConstrainSelectedInstOperands,
     /*  314443 */     // GIR_Coverage, 19655,
     /*  314443 */     GIR_EraseRootFromParent_Done,
     /*  314444 */   // Label 5819: @314444
     /*  314444 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314507), // Rule ID 19656 //
     /*  314449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  314491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314505 */     GIR_RootConstrainSelectedInstOperands,
     /*  314506 */     // GIR_Coverage, 19656,
     /*  314506 */     GIR_EraseRootFromParent_Done,
     /*  314507 */   // Label 5820: @314507
     /*  314507 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314570), // Rule ID 19659 //
     /*  314512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314551 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314568 */     GIR_RootConstrainSelectedInstOperands,
     /*  314569 */     // GIR_Coverage, 19659,
     /*  314569 */     GIR_EraseRootFromParent_Done,
     /*  314570 */   // Label 5821: @314570
     /*  314570 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314633), // Rule ID 19660 //
     /*  314575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314614 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314631 */     GIR_RootConstrainSelectedInstOperands,
     /*  314632 */     // GIR_Coverage, 19660,
     /*  314632 */     GIR_EraseRootFromParent_Done,
     /*  314633 */   // Label 5822: @314633
     /*  314633 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(314696), // Rule ID 19663 //
     /*  314638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314694 */     GIR_RootConstrainSelectedInstOperands,
     /*  314695 */     // GIR_Coverage, 19663,
     /*  314695 */     GIR_EraseRootFromParent_Done,
     /*  314696 */   // Label 5823: @314696
     /*  314696 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(314759), // Rule ID 19664 //
     /*  314701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314757 */     GIR_RootConstrainSelectedInstOperands,
     /*  314758 */     // GIR_Coverage, 19664,
     /*  314758 */     GIR_EraseRootFromParent_Done,
     /*  314759 */   // Label 5824: @314759
     /*  314759 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(314822), // Rule ID 19667 //
     /*  314764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  314781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314820 */     GIR_RootConstrainSelectedInstOperands,
     /*  314821 */     // GIR_Coverage, 19667,
     /*  314821 */     GIR_EraseRootFromParent_Done,
     /*  314822 */   // Label 5825: @314822
     /*  314822 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(314885), // Rule ID 19668 //
     /*  314827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  314844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  314869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314883 */     GIR_RootConstrainSelectedInstOperands,
     /*  314884 */     // GIR_Coverage, 19668,
     /*  314884 */     GIR_EraseRootFromParent_Done,
     /*  314885 */   // Label 5826: @314885
     /*  314885 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(314948), // Rule ID 19671 //
     /*  314890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314946 */     GIR_RootConstrainSelectedInstOperands,
     /*  314947 */     // GIR_Coverage, 19671,
     /*  314947 */     GIR_EraseRootFromParent_Done,
     /*  314948 */   // Label 5827: @314948
     /*  314948 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315011), // Rule ID 19672 //
     /*  314953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315009 */     GIR_RootConstrainSelectedInstOperands,
     /*  315010 */     // GIR_Coverage, 19672,
     /*  315010 */     GIR_EraseRootFromParent_Done,
     /*  315011 */   // Label 5828: @315011
     /*  315011 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315074), // Rule ID 19675 //
     /*  315016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315072 */     GIR_RootConstrainSelectedInstOperands,
     /*  315073 */     // GIR_Coverage, 19675,
     /*  315073 */     GIR_EraseRootFromParent_Done,
     /*  315074 */   // Label 5829: @315074
     /*  315074 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315137), // Rule ID 19676 //
     /*  315079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315135 */     GIR_RootConstrainSelectedInstOperands,
     /*  315136 */     // GIR_Coverage, 19676,
     /*  315136 */     GIR_EraseRootFromParent_Done,
     /*  315137 */   // Label 5830: @315137
     /*  315137 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315200), // Rule ID 19679 //
     /*  315142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315198 */     GIR_RootConstrainSelectedInstOperands,
     /*  315199 */     // GIR_Coverage, 19679,
     /*  315199 */     GIR_EraseRootFromParent_Done,
     /*  315200 */   // Label 5831: @315200
     /*  315200 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315263), // Rule ID 19680 //
     /*  315205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315261 */     GIR_RootConstrainSelectedInstOperands,
     /*  315262 */     // GIR_Coverage, 19680,
     /*  315262 */     GIR_EraseRootFromParent_Done,
     /*  315263 */   // Label 5832: @315263
     /*  315263 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315326), // Rule ID 19683 //
     /*  315268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315307 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315324 */     GIR_RootConstrainSelectedInstOperands,
     /*  315325 */     // GIR_Coverage, 19683,
     /*  315325 */     GIR_EraseRootFromParent_Done,
     /*  315326 */   // Label 5833: @315326
     /*  315326 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315389), // Rule ID 19684 //
     /*  315331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315370 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315387 */     GIR_RootConstrainSelectedInstOperands,
     /*  315388 */     // GIR_Coverage, 19684,
     /*  315388 */     GIR_EraseRootFromParent_Done,
     /*  315389 */   // Label 5834: @315389
     /*  315389 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315452), // Rule ID 19687 //
     /*  315394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315450 */     GIR_RootConstrainSelectedInstOperands,
     /*  315451 */     // GIR_Coverage, 19687,
     /*  315451 */     GIR_EraseRootFromParent_Done,
     /*  315452 */   // Label 5835: @315452
     /*  315452 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315515), // Rule ID 19688 //
     /*  315457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315513 */     GIR_RootConstrainSelectedInstOperands,
     /*  315514 */     // GIR_Coverage, 19688,
     /*  315514 */     GIR_EraseRootFromParent_Done,
     /*  315515 */   // Label 5836: @315515
     /*  315515 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315578), // Rule ID 19691 //
     /*  315520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315559 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315576 */     GIR_RootConstrainSelectedInstOperands,
     /*  315577 */     // GIR_Coverage, 19691,
     /*  315577 */     GIR_EraseRootFromParent_Done,
     /*  315578 */   // Label 5837: @315578
     /*  315578 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315641), // Rule ID 19692 //
     /*  315583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315639 */     GIR_RootConstrainSelectedInstOperands,
     /*  315640 */     // GIR_Coverage, 19692,
     /*  315640 */     GIR_EraseRootFromParent_Done,
     /*  315641 */   // Label 5838: @315641
     /*  315641 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(315704), // Rule ID 19695 //
     /*  315646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315702 */     GIR_RootConstrainSelectedInstOperands,
     /*  315703 */     // GIR_Coverage, 19695,
     /*  315703 */     GIR_EraseRootFromParent_Done,
     /*  315704 */   // Label 5839: @315704
     /*  315704 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(315767), // Rule ID 19696 //
     /*  315709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  315751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315765 */     GIR_RootConstrainSelectedInstOperands,
     /*  315766 */     // GIR_Coverage, 19696,
     /*  315766 */     GIR_EraseRootFromParent_Done,
     /*  315767 */   // Label 5840: @315767
     /*  315767 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(315830), // Rule ID 19699 //
     /*  315772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315811 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315828 */     GIR_RootConstrainSelectedInstOperands,
     /*  315829 */     // GIR_Coverage, 19699,
     /*  315829 */     GIR_EraseRootFromParent_Done,
     /*  315830 */   // Label 5841: @315830
     /*  315830 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(315893), // Rule ID 19700 //
     /*  315835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315874 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  315877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315891 */     GIR_RootConstrainSelectedInstOperands,
     /*  315892 */     // GIR_Coverage, 19700,
     /*  315892 */     GIR_EraseRootFromParent_Done,
     /*  315893 */   // Label 5842: @315893
     /*  315893 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(315956), // Rule ID 19703 //
     /*  315898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  315940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315954 */     GIR_RootConstrainSelectedInstOperands,
     /*  315955 */     // GIR_Coverage, 19703,
     /*  315955 */     GIR_EraseRootFromParent_Done,
     /*  315956 */   // Label 5843: @315956
     /*  315956 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316019), // Rule ID 19704 //
     /*  315961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  316003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316017 */     GIR_RootConstrainSelectedInstOperands,
     /*  316018 */     // GIR_Coverage, 19704,
     /*  316018 */     GIR_EraseRootFromParent_Done,
     /*  316019 */   // Label 5844: @316019
     /*  316019 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316082), // Rule ID 19707 //
     /*  316024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316063 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316080 */     GIR_RootConstrainSelectedInstOperands,
     /*  316081 */     // GIR_Coverage, 19707,
     /*  316081 */     GIR_EraseRootFromParent_Done,
     /*  316082 */   // Label 5845: @316082
     /*  316082 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316145), // Rule ID 19708 //
     /*  316087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316126 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  316129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316143 */     GIR_RootConstrainSelectedInstOperands,
     /*  316144 */     // GIR_Coverage, 19708,
     /*  316144 */     GIR_EraseRootFromParent_Done,
     /*  316145 */   // Label 5846: @316145
     /*  316145 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316208), // Rule ID 19711 //
     /*  316150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316189 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316206 */     GIR_RootConstrainSelectedInstOperands,
     /*  316207 */     // GIR_Coverage, 19711,
     /*  316207 */     GIR_EraseRootFromParent_Done,
     /*  316208 */   // Label 5847: @316208
     /*  316208 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316271), // Rule ID 19712 //
     /*  316213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  316255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316269 */     GIR_RootConstrainSelectedInstOperands,
     /*  316270 */     // GIR_Coverage, 19712,
     /*  316270 */     GIR_EraseRootFromParent_Done,
     /*  316271 */   // Label 5848: @316271
     /*  316271 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316334), // Rule ID 19715 //
     /*  316276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316332 */     GIR_RootConstrainSelectedInstOperands,
     /*  316333 */     // GIR_Coverage, 19715,
     /*  316333 */     GIR_EraseRootFromParent_Done,
     /*  316334 */   // Label 5849: @316334
     /*  316334 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316397), // Rule ID 19716 //
     /*  316339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  316381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316395 */     GIR_RootConstrainSelectedInstOperands,
     /*  316396 */     // GIR_Coverage, 19716,
     /*  316396 */     GIR_EraseRootFromParent_Done,
     /*  316397 */   // Label 5850: @316397
     /*  316397 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316460), // Rule ID 19719 //
     /*  316402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316458 */     GIR_RootConstrainSelectedInstOperands,
     /*  316459 */     // GIR_Coverage, 19719,
     /*  316459 */     GIR_EraseRootFromParent_Done,
     /*  316460 */   // Label 5851: @316460
     /*  316460 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316523), // Rule ID 19720 //
     /*  316465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  316507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316521 */     GIR_RootConstrainSelectedInstOperands,
     /*  316522 */     // GIR_Coverage, 19720,
     /*  316522 */     GIR_EraseRootFromParent_Done,
     /*  316523 */   // Label 5852: @316523
     /*  316523 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316586), // Rule ID 19723 //
     /*  316528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  316570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316584 */     GIR_RootConstrainSelectedInstOperands,
     /*  316585 */     // GIR_Coverage, 19723,
     /*  316585 */     GIR_EraseRootFromParent_Done,
     /*  316586 */   // Label 5853: @316586
     /*  316586 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316649), // Rule ID 19724 //
     /*  316591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  316633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316647 */     GIR_RootConstrainSelectedInstOperands,
     /*  316648 */     // GIR_Coverage, 19724,
     /*  316648 */     GIR_EraseRootFromParent_Done,
     /*  316649 */   // Label 5854: @316649
     /*  316649 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(316712), // Rule ID 19727 //
     /*  316654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  316696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316710 */     GIR_RootConstrainSelectedInstOperands,
     /*  316711 */     // GIR_Coverage, 19727,
     /*  316711 */     GIR_EraseRootFromParent_Done,
     /*  316712 */   // Label 5855: @316712
     /*  316712 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(316775), // Rule ID 19728 //
     /*  316717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  316759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316773 */     GIR_RootConstrainSelectedInstOperands,
     /*  316774 */     // GIR_Coverage, 19728,
     /*  316774 */     GIR_EraseRootFromParent_Done,
     /*  316775 */   // Label 5856: @316775
     /*  316775 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(316838), // Rule ID 19731 //
     /*  316780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  316822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316836 */     GIR_RootConstrainSelectedInstOperands,
     /*  316837 */     // GIR_Coverage, 19731,
     /*  316837 */     GIR_EraseRootFromParent_Done,
     /*  316838 */   // Label 5857: @316838
     /*  316838 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(316901), // Rule ID 19732 //
     /*  316843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  316885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316899 */     GIR_RootConstrainSelectedInstOperands,
     /*  316900 */     // GIR_Coverage, 19732,
     /*  316900 */     GIR_EraseRootFromParent_Done,
     /*  316901 */   // Label 5858: @316901
     /*  316901 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(316964), // Rule ID 19735 //
     /*  316906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  316938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316945 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  316948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316962 */     GIR_RootConstrainSelectedInstOperands,
     /*  316963 */     // GIR_Coverage, 19735,
     /*  316963 */     GIR_EraseRootFromParent_Done,
     /*  316964 */   // Label 5859: @316964
     /*  316964 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317027), // Rule ID 19736 //
     /*  316969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  316986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  317011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317025 */     GIR_RootConstrainSelectedInstOperands,
     /*  317026 */     // GIR_Coverage, 19736,
     /*  317026 */     GIR_EraseRootFromParent_Done,
     /*  317027 */   // Label 5860: @317027
     /*  317027 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317090), // Rule ID 19739 //
     /*  317032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317071 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317088 */     GIR_RootConstrainSelectedInstOperands,
     /*  317089 */     // GIR_Coverage, 19739,
     /*  317089 */     GIR_EraseRootFromParent_Done,
     /*  317090 */   // Label 5861: @317090
     /*  317090 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317153), // Rule ID 19740 //
     /*  317095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317134 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  317137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317151 */     GIR_RootConstrainSelectedInstOperands,
     /*  317152 */     // GIR_Coverage, 19740,
     /*  317152 */     GIR_EraseRootFromParent_Done,
     /*  317153 */   // Label 5862: @317153
     /*  317153 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317216), // Rule ID 19743 //
     /*  317158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317214 */     GIR_RootConstrainSelectedInstOperands,
     /*  317215 */     // GIR_Coverage, 19743,
     /*  317215 */     GIR_EraseRootFromParent_Done,
     /*  317216 */   // Label 5863: @317216
     /*  317216 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317279), // Rule ID 19744 //
     /*  317221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  317263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317277 */     GIR_RootConstrainSelectedInstOperands,
     /*  317278 */     // GIR_Coverage, 19744,
     /*  317278 */     GIR_EraseRootFromParent_Done,
     /*  317279 */   // Label 5864: @317279
     /*  317279 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317342), // Rule ID 19747 //
     /*  317284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317340 */     GIR_RootConstrainSelectedInstOperands,
     /*  317341 */     // GIR_Coverage, 19747,
     /*  317341 */     GIR_EraseRootFromParent_Done,
     /*  317342 */   // Label 5865: @317342
     /*  317342 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317405), // Rule ID 19748 //
     /*  317347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  317389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317403 */     GIR_RootConstrainSelectedInstOperands,
     /*  317404 */     // GIR_Coverage, 19748,
     /*  317404 */     GIR_EraseRootFromParent_Done,
     /*  317405 */   // Label 5866: @317405
     /*  317405 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317468), // Rule ID 19751 //
     /*  317410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317466 */     GIR_RootConstrainSelectedInstOperands,
     /*  317467 */     // GIR_Coverage, 19751,
     /*  317467 */     GIR_EraseRootFromParent_Done,
     /*  317468 */   // Label 5867: @317468
     /*  317468 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317531), // Rule ID 19752 //
     /*  317473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  317515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317529 */     GIR_RootConstrainSelectedInstOperands,
     /*  317530 */     // GIR_Coverage, 19752,
     /*  317530 */     GIR_EraseRootFromParent_Done,
     /*  317531 */   // Label 5868: @317531
     /*  317531 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317594), // Rule ID 19755 //
     /*  317536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  317578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317592 */     GIR_RootConstrainSelectedInstOperands,
     /*  317593 */     // GIR_Coverage, 19755,
     /*  317593 */     GIR_EraseRootFromParent_Done,
     /*  317594 */   // Label 5869: @317594
     /*  317594 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317657), // Rule ID 19756 //
     /*  317599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  317641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317655 */     GIR_RootConstrainSelectedInstOperands,
     /*  317656 */     // GIR_Coverage, 19756,
     /*  317656 */     GIR_EraseRootFromParent_Done,
     /*  317657 */   // Label 5870: @317657
     /*  317657 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(317720), // Rule ID 19759 //
     /*  317662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  317704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317718 */     GIR_RootConstrainSelectedInstOperands,
     /*  317719 */     // GIR_Coverage, 19759,
     /*  317719 */     GIR_EraseRootFromParent_Done,
     /*  317720 */   // Label 5871: @317720
     /*  317720 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(317783), // Rule ID 19760 //
     /*  317725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  317767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317781 */     GIR_RootConstrainSelectedInstOperands,
     /*  317782 */     // GIR_Coverage, 19760,
     /*  317782 */     GIR_EraseRootFromParent_Done,
     /*  317783 */   // Label 5872: @317783
     /*  317783 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(317846), // Rule ID 19763 //
     /*  317788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  317830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317844 */     GIR_RootConstrainSelectedInstOperands,
     /*  317845 */     // GIR_Coverage, 19763,
     /*  317845 */     GIR_EraseRootFromParent_Done,
     /*  317846 */   // Label 5873: @317846
     /*  317846 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(317909), // Rule ID 19764 //
     /*  317851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  317859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  317868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  317883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  317893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317907 */     GIR_RootConstrainSelectedInstOperands,
     /*  317908 */     // GIR_Coverage, 19764,
     /*  317908 */     GIR_EraseRootFromParent_Done,
     /*  317909 */   // Label 5874: @317909
     /*  317909 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(317972), // Rule ID 19767 //
     /*  317914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  317931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  317956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317970 */     GIR_RootConstrainSelectedInstOperands,
     /*  317971 */     // GIR_Coverage, 19767,
     /*  317971 */     GIR_EraseRootFromParent_Done,
     /*  317972 */   // Label 5875: @317972
     /*  317972 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318035), // Rule ID 19768 //
     /*  317977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  317994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  318019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318033 */     GIR_RootConstrainSelectedInstOperands,
     /*  318034 */     // GIR_Coverage, 19768,
     /*  318034 */     GIR_EraseRootFromParent_Done,
     /*  318035 */   // Label 5876: @318035
     /*  318035 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318098), // Rule ID 19771 //
     /*  318040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318096 */     GIR_RootConstrainSelectedInstOperands,
     /*  318097 */     // GIR_Coverage, 19771,
     /*  318097 */     GIR_EraseRootFromParent_Done,
     /*  318098 */   // Label 5877: @318098
     /*  318098 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318161), // Rule ID 19772 //
     /*  318103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318159 */     GIR_RootConstrainSelectedInstOperands,
     /*  318160 */     // GIR_Coverage, 19772,
     /*  318160 */     GIR_EraseRootFromParent_Done,
     /*  318161 */   // Label 5878: @318161
     /*  318161 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318224), // Rule ID 19775 //
     /*  318166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318222 */     GIR_RootConstrainSelectedInstOperands,
     /*  318223 */     // GIR_Coverage, 19775,
     /*  318223 */     GIR_EraseRootFromParent_Done,
     /*  318224 */   // Label 5879: @318224
     /*  318224 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318287), // Rule ID 19776 //
     /*  318229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  318271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318285 */     GIR_RootConstrainSelectedInstOperands,
     /*  318286 */     // GIR_Coverage, 19776,
     /*  318286 */     GIR_EraseRootFromParent_Done,
     /*  318287 */   // Label 5880: @318287
     /*  318287 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318350), // Rule ID 19779 //
     /*  318292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318331 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318348 */     GIR_RootConstrainSelectedInstOperands,
     /*  318349 */     // GIR_Coverage, 19779,
     /*  318349 */     GIR_EraseRootFromParent_Done,
     /*  318350 */   // Label 5881: @318350
     /*  318350 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318413), // Rule ID 19780 //
     /*  318355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  318372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318411 */     GIR_RootConstrainSelectedInstOperands,
     /*  318412 */     // GIR_Coverage, 19780,
     /*  318412 */     GIR_EraseRootFromParent_Done,
     /*  318413 */   // Label 5882: @318413
     /*  318413 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318476), // Rule ID 19783 //
     /*  318418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318474 */     GIR_RootConstrainSelectedInstOperands,
     /*  318475 */     // GIR_Coverage, 19783,
     /*  318475 */     GIR_EraseRootFromParent_Done,
     /*  318476 */   // Label 5883: @318476
     /*  318476 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318539), // Rule ID 19784 //
     /*  318481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318537 */     GIR_RootConstrainSelectedInstOperands,
     /*  318538 */     // GIR_Coverage, 19784,
     /*  318538 */     GIR_EraseRootFromParent_Done,
     /*  318539 */   // Label 5884: @318539
     /*  318539 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318602), // Rule ID 19787 //
     /*  318544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318600 */     GIR_RootConstrainSelectedInstOperands,
     /*  318601 */     // GIR_Coverage, 19787,
     /*  318601 */     GIR_EraseRootFromParent_Done,
     /*  318602 */   // Label 5885: @318602
     /*  318602 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318665), // Rule ID 19788 //
     /*  318607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  318649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318663 */     GIR_RootConstrainSelectedInstOperands,
     /*  318664 */     // GIR_Coverage, 19788,
     /*  318664 */     GIR_EraseRootFromParent_Done,
     /*  318665 */   // Label 5886: @318665
     /*  318665 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(318728), // Rule ID 19791 //
     /*  318670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318726 */     GIR_RootConstrainSelectedInstOperands,
     /*  318727 */     // GIR_Coverage, 19791,
     /*  318727 */     GIR_EraseRootFromParent_Done,
     /*  318728 */   // Label 5887: @318728
     /*  318728 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(318791), // Rule ID 19792 //
     /*  318733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318789 */     GIR_RootConstrainSelectedInstOperands,
     /*  318790 */     // GIR_Coverage, 19792,
     /*  318790 */     GIR_EraseRootFromParent_Done,
     /*  318791 */   // Label 5888: @318791
     /*  318791 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(318854), // Rule ID 19795 //
     /*  318796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318835 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318852 */     GIR_RootConstrainSelectedInstOperands,
     /*  318853 */     // GIR_Coverage, 19795,
     /*  318853 */     GIR_EraseRootFromParent_Done,
     /*  318854 */   // Label 5889: @318854
     /*  318854 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(318917), // Rule ID 19796 //
     /*  318859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318898 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318915 */     GIR_RootConstrainSelectedInstOperands,
     /*  318916 */     // GIR_Coverage, 19796,
     /*  318916 */     GIR_EraseRootFromParent_Done,
     /*  318917 */   // Label 5890: @318917
     /*  318917 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(318980), // Rule ID 19799 //
     /*  318922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318961 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  318964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318978 */     GIR_RootConstrainSelectedInstOperands,
     /*  318979 */     // GIR_Coverage, 19799,
     /*  318979 */     GIR_EraseRootFromParent_Done,
     /*  318980 */   // Label 5891: @318980
     /*  318980 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319043), // Rule ID 19800 //
     /*  318985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319024 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319041 */     GIR_RootConstrainSelectedInstOperands,
     /*  319042 */     // GIR_Coverage, 19800,
     /*  319042 */     GIR_EraseRootFromParent_Done,
     /*  319043 */   // Label 5892: @319043
     /*  319043 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319106), // Rule ID 19803 //
     /*  319048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319087 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319104 */     GIR_RootConstrainSelectedInstOperands,
     /*  319105 */     // GIR_Coverage, 19803,
     /*  319105 */     GIR_EraseRootFromParent_Done,
     /*  319106 */   // Label 5893: @319106
     /*  319106 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319169), // Rule ID 19804 //
     /*  319111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319167 */     GIR_RootConstrainSelectedInstOperands,
     /*  319168 */     // GIR_Coverage, 19804,
     /*  319168 */     GIR_EraseRootFromParent_Done,
     /*  319169 */   // Label 5894: @319169
     /*  319169 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319232), // Rule ID 19807 //
     /*  319174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319213 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319230 */     GIR_RootConstrainSelectedInstOperands,
     /*  319231 */     // GIR_Coverage, 19807,
     /*  319231 */     GIR_EraseRootFromParent_Done,
     /*  319232 */   // Label 5895: @319232
     /*  319232 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319295), // Rule ID 19808 //
     /*  319237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  319254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319293 */     GIR_RootConstrainSelectedInstOperands,
     /*  319294 */     // GIR_Coverage, 19808,
     /*  319294 */     GIR_EraseRootFromParent_Done,
     /*  319295 */   // Label 5896: @319295
     /*  319295 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319358), // Rule ID 19811 //
     /*  319300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319356 */     GIR_RootConstrainSelectedInstOperands,
     /*  319357 */     // GIR_Coverage, 19811,
     /*  319357 */     GIR_EraseRootFromParent_Done,
     /*  319358 */   // Label 5897: @319358
     /*  319358 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319421), // Rule ID 19812 //
     /*  319363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  319380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319402 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319419 */     GIR_RootConstrainSelectedInstOperands,
     /*  319420 */     // GIR_Coverage, 19812,
     /*  319420 */     GIR_EraseRootFromParent_Done,
     /*  319421 */   // Label 5898: @319421
     /*  319421 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319484), // Rule ID 19815 //
     /*  319426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319482 */     GIR_RootConstrainSelectedInstOperands,
     /*  319483 */     // GIR_Coverage, 19815,
     /*  319483 */     GIR_EraseRootFromParent_Done,
     /*  319484 */   // Label 5899: @319484
     /*  319484 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319547), // Rule ID 19816 //
     /*  319489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  319531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319545 */     GIR_RootConstrainSelectedInstOperands,
     /*  319546 */     // GIR_Coverage, 19816,
     /*  319546 */     GIR_EraseRootFromParent_Done,
     /*  319547 */   // Label 5900: @319547
     /*  319547 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319610), // Rule ID 19819 //
     /*  319552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319608 */     GIR_RootConstrainSelectedInstOperands,
     /*  319609 */     // GIR_Coverage, 19819,
     /*  319609 */     GIR_EraseRootFromParent_Done,
     /*  319610 */   // Label 5901: @319610
     /*  319610 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319673), // Rule ID 19820 //
     /*  319615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  319657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319671 */     GIR_RootConstrainSelectedInstOperands,
     /*  319672 */     // GIR_Coverage, 19820,
     /*  319672 */     GIR_EraseRootFromParent_Done,
     /*  319673 */   // Label 5902: @319673
     /*  319673 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(319736), // Rule ID 19823 //
     /*  319678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319734 */     GIR_RootConstrainSelectedInstOperands,
     /*  319735 */     // GIR_Coverage, 19823,
     /*  319735 */     GIR_EraseRootFromParent_Done,
     /*  319736 */   // Label 5903: @319736
     /*  319736 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(319799), // Rule ID 19824 //
     /*  319741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  319783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319797 */     GIR_RootConstrainSelectedInstOperands,
     /*  319798 */     // GIR_Coverage, 19824,
     /*  319798 */     GIR_EraseRootFromParent_Done,
     /*  319799 */   // Label 5904: @319799
     /*  319799 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(319862), // Rule ID 19827 //
     /*  319804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  319846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319860 */     GIR_RootConstrainSelectedInstOperands,
     /*  319861 */     // GIR_Coverage, 19827,
     /*  319861 */     GIR_EraseRootFromParent_Done,
     /*  319862 */   // Label 5905: @319862
     /*  319862 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(319925), // Rule ID 19828 //
     /*  319867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319906 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  319909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319923 */     GIR_RootConstrainSelectedInstOperands,
     /*  319924 */     // GIR_Coverage, 19828,
     /*  319924 */     GIR_EraseRootFromParent_Done,
     /*  319925 */   // Label 5906: @319925
     /*  319925 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(319988), // Rule ID 19831 //
     /*  319930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  319972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319986 */     GIR_RootConstrainSelectedInstOperands,
     /*  319987 */     // GIR_Coverage, 19831,
     /*  319987 */     GIR_EraseRootFromParent_Done,
     /*  319988 */   // Label 5907: @319988
     /*  319988 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320051), // Rule ID 19832 //
     /*  319993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  320035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320049 */     GIR_RootConstrainSelectedInstOperands,
     /*  320050 */     // GIR_Coverage, 19832,
     /*  320050 */     GIR_EraseRootFromParent_Done,
     /*  320051 */   // Label 5908: @320051
     /*  320051 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320114), // Rule ID 19835 //
     /*  320056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320112 */     GIR_RootConstrainSelectedInstOperands,
     /*  320113 */     // GIR_Coverage, 19835,
     /*  320113 */     GIR_EraseRootFromParent_Done,
     /*  320114 */   // Label 5909: @320114
     /*  320114 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320177), // Rule ID 19836 //
     /*  320119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320158 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  320161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320175 */     GIR_RootConstrainSelectedInstOperands,
     /*  320176 */     // GIR_Coverage, 19836,
     /*  320176 */     GIR_EraseRootFromParent_Done,
     /*  320177 */   // Label 5910: @320177
     /*  320177 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320240), // Rule ID 19839 //
     /*  320182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320221 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320238 */     GIR_RootConstrainSelectedInstOperands,
     /*  320239 */     // GIR_Coverage, 19839,
     /*  320239 */     GIR_EraseRootFromParent_Done,
     /*  320240 */   // Label 5911: @320240
     /*  320240 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320303), // Rule ID 19840 //
     /*  320245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  320287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320301 */     GIR_RootConstrainSelectedInstOperands,
     /*  320302 */     // GIR_Coverage, 19840,
     /*  320302 */     GIR_EraseRootFromParent_Done,
     /*  320303 */   // Label 5912: @320303
     /*  320303 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320366), // Rule ID 19843 //
     /*  320308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320347 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320364 */     GIR_RootConstrainSelectedInstOperands,
     /*  320365 */     // GIR_Coverage, 19843,
     /*  320365 */     GIR_EraseRootFromParent_Done,
     /*  320366 */   // Label 5913: @320366
     /*  320366 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320429), // Rule ID 19844 //
     /*  320371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  320413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320427 */     GIR_RootConstrainSelectedInstOperands,
     /*  320428 */     // GIR_Coverage, 19844,
     /*  320428 */     GIR_EraseRootFromParent_Done,
     /*  320429 */   // Label 5914: @320429
     /*  320429 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320492), // Rule ID 19847 //
     /*  320434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320490 */     GIR_RootConstrainSelectedInstOperands,
     /*  320491 */     // GIR_Coverage, 19847,
     /*  320491 */     GIR_EraseRootFromParent_Done,
     /*  320492 */   // Label 5915: @320492
     /*  320492 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320555), // Rule ID 19848 //
     /*  320497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  320539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320553 */     GIR_RootConstrainSelectedInstOperands,
     /*  320554 */     // GIR_Coverage, 19848,
     /*  320554 */     GIR_EraseRootFromParent_Done,
     /*  320555 */   // Label 5916: @320555
     /*  320555 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320618), // Rule ID 19851 //
     /*  320560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320599 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  320602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320616 */     GIR_RootConstrainSelectedInstOperands,
     /*  320617 */     // GIR_Coverage, 19851,
     /*  320617 */     GIR_EraseRootFromParent_Done,
     /*  320618 */   // Label 5917: @320618
     /*  320618 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(320681), // Rule ID 19852 //
     /*  320623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  320665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320679 */     GIR_RootConstrainSelectedInstOperands,
     /*  320680 */     // GIR_Coverage, 19852,
     /*  320680 */     GIR_EraseRootFromParent_Done,
     /*  320681 */   // Label 5918: @320681
     /*  320681 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(320744), // Rule ID 19855 //
     /*  320686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  320728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320742 */     GIR_RootConstrainSelectedInstOperands,
     /*  320743 */     // GIR_Coverage, 19855,
     /*  320743 */     GIR_EraseRootFromParent_Done,
     /*  320744 */   // Label 5919: @320744
     /*  320744 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(320807), // Rule ID 19856 //
     /*  320749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  320791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320805 */     GIR_RootConstrainSelectedInstOperands,
     /*  320806 */     // GIR_Coverage, 19856,
     /*  320806 */     GIR_EraseRootFromParent_Done,
     /*  320807 */   // Label 5920: @320807
     /*  320807 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(320870), // Rule ID 19859 //
     /*  320812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320851 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  320854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320868 */     GIR_RootConstrainSelectedInstOperands,
     /*  320869 */     // GIR_Coverage, 19859,
     /*  320869 */     GIR_EraseRootFromParent_Done,
     /*  320870 */   // Label 5921: @320870
     /*  320870 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(320933), // Rule ID 19860 //
     /*  320875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320914 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  320917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320931 */     GIR_RootConstrainSelectedInstOperands,
     /*  320932 */     // GIR_Coverage, 19860,
     /*  320932 */     GIR_EraseRootFromParent_Done,
     /*  320933 */   // Label 5922: @320933
     /*  320933 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(320996), // Rule ID 19863 //
     /*  320938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  320980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320994 */     GIR_RootConstrainSelectedInstOperands,
     /*  320995 */     // GIR_Coverage, 19863,
     /*  320995 */     GIR_EraseRootFromParent_Done,
     /*  320996 */   // Label 5923: @320996
     /*  320996 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321059), // Rule ID 19864 //
     /*  321001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  321043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321057 */     GIR_RootConstrainSelectedInstOperands,
     /*  321058 */     // GIR_Coverage, 19864,
     /*  321058 */     GIR_EraseRootFromParent_Done,
     /*  321059 */   // Label 5924: @321059
     /*  321059 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321122), // Rule ID 19867 //
     /*  321064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321120 */     GIR_RootConstrainSelectedInstOperands,
     /*  321121 */     // GIR_Coverage, 19867,
     /*  321121 */     GIR_EraseRootFromParent_Done,
     /*  321122 */   // Label 5925: @321122
     /*  321122 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321185), // Rule ID 19868 //
     /*  321127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321166 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  321169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321183 */     GIR_RootConstrainSelectedInstOperands,
     /*  321184 */     // GIR_Coverage, 19868,
     /*  321184 */     GIR_EraseRootFromParent_Done,
     /*  321185 */   // Label 5926: @321185
     /*  321185 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321248), // Rule ID 19871 //
     /*  321190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321246 */     GIR_RootConstrainSelectedInstOperands,
     /*  321247 */     // GIR_Coverage, 19871,
     /*  321247 */     GIR_EraseRootFromParent_Done,
     /*  321248 */   // Label 5927: @321248
     /*  321248 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321311), // Rule ID 19872 //
     /*  321253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  321295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321309 */     GIR_RootConstrainSelectedInstOperands,
     /*  321310 */     // GIR_Coverage, 19872,
     /*  321310 */     GIR_EraseRootFromParent_Done,
     /*  321311 */   // Label 5928: @321311
     /*  321311 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321374), // Rule ID 19875 //
     /*  321316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321372 */     GIR_RootConstrainSelectedInstOperands,
     /*  321373 */     // GIR_Coverage, 19875,
     /*  321373 */     GIR_EraseRootFromParent_Done,
     /*  321374 */   // Label 5929: @321374
     /*  321374 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321437), // Rule ID 19876 //
     /*  321379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  321421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321435 */     GIR_RootConstrainSelectedInstOperands,
     /*  321436 */     // GIR_Coverage, 19876,
     /*  321436 */     GIR_EraseRootFromParent_Done,
     /*  321437 */   // Label 5930: @321437
     /*  321437 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321500), // Rule ID 19879 //
     /*  321442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321498 */     GIR_RootConstrainSelectedInstOperands,
     /*  321499 */     // GIR_Coverage, 19879,
     /*  321499 */     GIR_EraseRootFromParent_Done,
     /*  321500 */   // Label 5931: @321500
     /*  321500 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321563), // Rule ID 19880 //
     /*  321505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  321547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321561 */     GIR_RootConstrainSelectedInstOperands,
     /*  321562 */     // GIR_Coverage, 19880,
     /*  321562 */     GIR_EraseRootFromParent_Done,
     /*  321563 */   // Label 5932: @321563
     /*  321563 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321626), // Rule ID 19883 //
     /*  321568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  321610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321624 */     GIR_RootConstrainSelectedInstOperands,
     /*  321625 */     // GIR_Coverage, 19883,
     /*  321625 */     GIR_EraseRootFromParent_Done,
     /*  321626 */   // Label 5933: @321626
     /*  321626 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(321689), // Rule ID 19884 //
     /*  321631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  321639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  321673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321687 */     GIR_RootConstrainSelectedInstOperands,
     /*  321688 */     // GIR_Coverage, 19884,
     /*  321688 */     GIR_EraseRootFromParent_Done,
     /*  321689 */   // Label 5934: @321689
     /*  321689 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(321752), // Rule ID 19887 //
     /*  321694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  321711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  321736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321750 */     GIR_RootConstrainSelectedInstOperands,
     /*  321751 */     // GIR_Coverage, 19887,
     /*  321751 */     GIR_EraseRootFromParent_Done,
     /*  321752 */   // Label 5935: @321752
     /*  321752 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(321815), // Rule ID 19888 //
     /*  321757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  321774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  321799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321813 */     GIR_RootConstrainSelectedInstOperands,
     /*  321814 */     // GIR_Coverage, 19888,
     /*  321814 */     GIR_EraseRootFromParent_Done,
     /*  321815 */   // Label 5936: @321815
     /*  321815 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(321878), // Rule ID 19891 //
     /*  321820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  321837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  321862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321876 */     GIR_RootConstrainSelectedInstOperands,
     /*  321877 */     // GIR_Coverage, 19891,
     /*  321877 */     GIR_EraseRootFromParent_Done,
     /*  321878 */   // Label 5937: @321878
     /*  321878 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(321941), // Rule ID 19892 //
     /*  321883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  321900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  321925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321939 */     GIR_RootConstrainSelectedInstOperands,
     /*  321940 */     // GIR_Coverage, 19892,
     /*  321940 */     GIR_EraseRootFromParent_Done,
     /*  321941 */   // Label 5938: @321941
     /*  321941 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322004), // Rule ID 19895 //
     /*  321946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  321963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  321988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322002 */     GIR_RootConstrainSelectedInstOperands,
     /*  322003 */     // GIR_Coverage, 19895,
     /*  322003 */     GIR_EraseRootFromParent_Done,
     /*  322004 */   // Label 5939: @322004
     /*  322004 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322067), // Rule ID 19896 //
     /*  322009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  322051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322065 */     GIR_RootConstrainSelectedInstOperands,
     /*  322066 */     // GIR_Coverage, 19896,
     /*  322066 */     GIR_EraseRootFromParent_Done,
     /*  322067 */   // Label 5940: @322067
     /*  322067 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322130), // Rule ID 19899 //
     /*  322072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322111 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322128 */     GIR_RootConstrainSelectedInstOperands,
     /*  322129 */     // GIR_Coverage, 19899,
     /*  322129 */     GIR_EraseRootFromParent_Done,
     /*  322130 */   // Label 5941: @322130
     /*  322130 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322193), // Rule ID 19900 //
     /*  322135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322191 */     GIR_RootConstrainSelectedInstOperands,
     /*  322192 */     // GIR_Coverage, 19900,
     /*  322192 */     GIR_EraseRootFromParent_Done,
     /*  322193 */   // Label 5942: @322193
     /*  322193 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322256), // Rule ID 19903 //
     /*  322198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322254 */     GIR_RootConstrainSelectedInstOperands,
     /*  322255 */     // GIR_Coverage, 19903,
     /*  322255 */     GIR_EraseRootFromParent_Done,
     /*  322256 */   // Label 5943: @322256
     /*  322256 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322319), // Rule ID 19904 //
     /*  322261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  322278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322317 */     GIR_RootConstrainSelectedInstOperands,
     /*  322318 */     // GIR_Coverage, 19904,
     /*  322318 */     GIR_EraseRootFromParent_Done,
     /*  322319 */   // Label 5944: @322319
     /*  322319 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322382), // Rule ID 19907 //
     /*  322324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322363 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322380 */     GIR_RootConstrainSelectedInstOperands,
     /*  322381 */     // GIR_Coverage, 19907,
     /*  322381 */     GIR_EraseRootFromParent_Done,
     /*  322382 */   // Label 5945: @322382
     /*  322382 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322445), // Rule ID 19908 //
     /*  322387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  322429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322443 */     GIR_RootConstrainSelectedInstOperands,
     /*  322444 */     // GIR_Coverage, 19908,
     /*  322444 */     GIR_EraseRootFromParent_Done,
     /*  322445 */   // Label 5946: @322445
     /*  322445 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322508), // Rule ID 19911 //
     /*  322450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322506 */     GIR_RootConstrainSelectedInstOperands,
     /*  322507 */     // GIR_Coverage, 19911,
     /*  322507 */     GIR_EraseRootFromParent_Done,
     /*  322508 */   // Label 5947: @322508
     /*  322508 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322571), // Rule ID 19912 //
     /*  322513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322569 */     GIR_RootConstrainSelectedInstOperands,
     /*  322570 */     // GIR_Coverage, 19912,
     /*  322570 */     GIR_EraseRootFromParent_Done,
     /*  322571 */   // Label 5948: @322571
     /*  322571 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322634), // Rule ID 19915 //
     /*  322576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  322593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322632 */     GIR_RootConstrainSelectedInstOperands,
     /*  322633 */     // GIR_Coverage, 19915,
     /*  322633 */     GIR_EraseRootFromParent_Done,
     /*  322634 */   // Label 5949: @322634
     /*  322634 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(322697), // Rule ID 19916 //
     /*  322639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  322656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322695 */     GIR_RootConstrainSelectedInstOperands,
     /*  322696 */     // GIR_Coverage, 19916,
     /*  322696 */     GIR_EraseRootFromParent_Done,
     /*  322697 */   // Label 5950: @322697
     /*  322697 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(322760), // Rule ID 19919 //
     /*  322702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  322719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322758 */     GIR_RootConstrainSelectedInstOperands,
     /*  322759 */     // GIR_Coverage, 19919,
     /*  322759 */     GIR_EraseRootFromParent_Done,
     /*  322760 */   // Label 5951: @322760
     /*  322760 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(322823), // Rule ID 19920 //
     /*  322765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  322782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322821 */     GIR_RootConstrainSelectedInstOperands,
     /*  322822 */     // GIR_Coverage, 19920,
     /*  322822 */     GIR_EraseRootFromParent_Done,
     /*  322823 */   // Label 5952: @322823
     /*  322823 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(322886), // Rule ID 19923 //
     /*  322828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  322845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322884 */     GIR_RootConstrainSelectedInstOperands,
     /*  322885 */     // GIR_Coverage, 19923,
     /*  322885 */     GIR_EraseRootFromParent_Done,
     /*  322886 */   // Label 5953: @322886
     /*  322886 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(322949), // Rule ID 19924 //
     /*  322891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  322908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322947 */     GIR_RootConstrainSelectedInstOperands,
     /*  322948 */     // GIR_Coverage, 19924,
     /*  322948 */     GIR_EraseRootFromParent_Done,
     /*  322949 */   // Label 5954: @322949
     /*  322949 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323012), // Rule ID 19927 //
     /*  322954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  322971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323010 */     GIR_RootConstrainSelectedInstOperands,
     /*  323011 */     // GIR_Coverage, 19927,
     /*  323011 */     GIR_EraseRootFromParent_Done,
     /*  323012 */   // Label 5955: @323012
     /*  323012 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323075), // Rule ID 19928 //
     /*  323017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323073 */     GIR_RootConstrainSelectedInstOperands,
     /*  323074 */     // GIR_Coverage, 19928,
     /*  323074 */     GIR_EraseRootFromParent_Done,
     /*  323075 */   // Label 5956: @323075
     /*  323075 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323138), // Rule ID 19931 //
     /*  323080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323136 */     GIR_RootConstrainSelectedInstOperands,
     /*  323137 */     // GIR_Coverage, 19931,
     /*  323137 */     GIR_EraseRootFromParent_Done,
     /*  323138 */   // Label 5957: @323138
     /*  323138 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323201), // Rule ID 19932 //
     /*  323143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323199 */     GIR_RootConstrainSelectedInstOperands,
     /*  323200 */     // GIR_Coverage, 19932,
     /*  323200 */     GIR_EraseRootFromParent_Done,
     /*  323201 */   // Label 5958: @323201
     /*  323201 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323264), // Rule ID 19935 //
     /*  323206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323262 */     GIR_RootConstrainSelectedInstOperands,
     /*  323263 */     // GIR_Coverage, 19935,
     /*  323263 */     GIR_EraseRootFromParent_Done,
     /*  323264 */   // Label 5959: @323264
     /*  323264 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323327), // Rule ID 19936 //
     /*  323269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  323286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  323311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323325 */     GIR_RootConstrainSelectedInstOperands,
     /*  323326 */     // GIR_Coverage, 19936,
     /*  323326 */     GIR_EraseRootFromParent_Done,
     /*  323327 */   // Label 5960: @323327
     /*  323327 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323390), // Rule ID 19939 //
     /*  323332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323388 */     GIR_RootConstrainSelectedInstOperands,
     /*  323389 */     // GIR_Coverage, 19939,
     /*  323389 */     GIR_EraseRootFromParent_Done,
     /*  323390 */   // Label 5961: @323390
     /*  323390 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323453), // Rule ID 19940 //
     /*  323395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  323412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  323437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323451 */     GIR_RootConstrainSelectedInstOperands,
     /*  323452 */     // GIR_Coverage, 19940,
     /*  323452 */     GIR_EraseRootFromParent_Done,
     /*  323453 */   // Label 5962: @323453
     /*  323453 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323516), // Rule ID 19943 //
     /*  323458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323514 */     GIR_RootConstrainSelectedInstOperands,
     /*  323515 */     // GIR_Coverage, 19943,
     /*  323515 */     GIR_EraseRootFromParent_Done,
     /*  323516 */   // Label 5963: @323516
     /*  323516 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323579), // Rule ID 19944 //
     /*  323521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  323538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  323563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323577 */     GIR_RootConstrainSelectedInstOperands,
     /*  323578 */     // GIR_Coverage, 19944,
     /*  323578 */     GIR_EraseRootFromParent_Done,
     /*  323579 */   // Label 5964: @323579
     /*  323579 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323642), // Rule ID 19947 //
     /*  323584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323623 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  323626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323640 */     GIR_RootConstrainSelectedInstOperands,
     /*  323641 */     // GIR_Coverage, 19947,
     /*  323641 */     GIR_EraseRootFromParent_Done,
     /*  323642 */   // Label 5965: @323642
     /*  323642 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(323705), // Rule ID 19948 //
     /*  323647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323686 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  323689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323703 */     GIR_RootConstrainSelectedInstOperands,
     /*  323704 */     // GIR_Coverage, 19948,
     /*  323704 */     GIR_EraseRootFromParent_Done,
     /*  323705 */   // Label 5966: @323705
     /*  323705 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(323768), // Rule ID 19951 //
     /*  323710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323749 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  323752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323766 */     GIR_RootConstrainSelectedInstOperands,
     /*  323767 */     // GIR_Coverage, 19951,
     /*  323767 */     GIR_EraseRootFromParent_Done,
     /*  323768 */   // Label 5967: @323768
     /*  323768 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(323831), // Rule ID 19952 //
     /*  323773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  323815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323829 */     GIR_RootConstrainSelectedInstOperands,
     /*  323830 */     // GIR_Coverage, 19952,
     /*  323830 */     GIR_EraseRootFromParent_Done,
     /*  323831 */   // Label 5968: @323831
     /*  323831 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(323894), // Rule ID 19955 //
     /*  323836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  323878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323892 */     GIR_RootConstrainSelectedInstOperands,
     /*  323893 */     // GIR_Coverage, 19955,
     /*  323893 */     GIR_EraseRootFromParent_Done,
     /*  323894 */   // Label 5969: @323894
     /*  323894 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(323957), // Rule ID 19956 //
     /*  323899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  323941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323955 */     GIR_RootConstrainSelectedInstOperands,
     /*  323956 */     // GIR_Coverage, 19956,
     /*  323956 */     GIR_EraseRootFromParent_Done,
     /*  323957 */   // Label 5970: @323957
     /*  323957 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324020), // Rule ID 19959 //
     /*  323962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324018 */     GIR_RootConstrainSelectedInstOperands,
     /*  324019 */     // GIR_Coverage, 19959,
     /*  324019 */     GIR_EraseRootFromParent_Done,
     /*  324020 */   // Label 5971: @324020
     /*  324020 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324083), // Rule ID 19960 //
     /*  324025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  324067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324081 */     GIR_RootConstrainSelectedInstOperands,
     /*  324082 */     // GIR_Coverage, 19960,
     /*  324082 */     GIR_EraseRootFromParent_Done,
     /*  324083 */   // Label 5972: @324083
     /*  324083 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324146), // Rule ID 19963 //
     /*  324088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324144 */     GIR_RootConstrainSelectedInstOperands,
     /*  324145 */     // GIR_Coverage, 19963,
     /*  324145 */     GIR_EraseRootFromParent_Done,
     /*  324146 */   // Label 5973: @324146
     /*  324146 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324209), // Rule ID 19964 //
     /*  324151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  324193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324207 */     GIR_RootConstrainSelectedInstOperands,
     /*  324208 */     // GIR_Coverage, 19964,
     /*  324208 */     GIR_EraseRootFromParent_Done,
     /*  324209 */   // Label 5974: @324209
     /*  324209 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324272), // Rule ID 19967 //
     /*  324214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324270 */     GIR_RootConstrainSelectedInstOperands,
     /*  324271 */     // GIR_Coverage, 19967,
     /*  324271 */     GIR_EraseRootFromParent_Done,
     /*  324272 */   // Label 5975: @324272
     /*  324272 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324335), // Rule ID 19968 //
     /*  324277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  324319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324333 */     GIR_RootConstrainSelectedInstOperands,
     /*  324334 */     // GIR_Coverage, 19968,
     /*  324334 */     GIR_EraseRootFromParent_Done,
     /*  324335 */   // Label 5976: @324335
     /*  324335 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324398), // Rule ID 19971 //
     /*  324340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324396 */     GIR_RootConstrainSelectedInstOperands,
     /*  324397 */     // GIR_Coverage, 19971,
     /*  324397 */     GIR_EraseRootFromParent_Done,
     /*  324398 */   // Label 5977: @324398
     /*  324398 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324461), // Rule ID 19972 //
     /*  324403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  324445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324459 */     GIR_RootConstrainSelectedInstOperands,
     /*  324460 */     // GIR_Coverage, 19972,
     /*  324460 */     GIR_EraseRootFromParent_Done,
     /*  324461 */   // Label 5978: @324461
     /*  324461 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324524), // Rule ID 19975 //
     /*  324466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324522 */     GIR_RootConstrainSelectedInstOperands,
     /*  324523 */     // GIR_Coverage, 19975,
     /*  324523 */     GIR_EraseRootFromParent_Done,
     /*  324524 */   // Label 5979: @324524
     /*  324524 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324587), // Rule ID 19976 //
     /*  324529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  324571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324585 */     GIR_RootConstrainSelectedInstOperands,
     /*  324586 */     // GIR_Coverage, 19976,
     /*  324586 */     GIR_EraseRootFromParent_Done,
     /*  324587 */   // Label 5980: @324587
     /*  324587 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324650), // Rule ID 19979 //
     /*  324592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324631 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  324634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324648 */     GIR_RootConstrainSelectedInstOperands,
     /*  324649 */     // GIR_Coverage, 19979,
     /*  324649 */     GIR_EraseRootFromParent_Done,
     /*  324650 */   // Label 5981: @324650
     /*  324650 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(324713), // Rule ID 19980 //
     /*  324655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324694 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  324697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324711 */     GIR_RootConstrainSelectedInstOperands,
     /*  324712 */     // GIR_Coverage, 19980,
     /*  324712 */     GIR_EraseRootFromParent_Done,
     /*  324713 */   // Label 5982: @324713
     /*  324713 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(324776), // Rule ID 19983 //
     /*  324718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324757 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  324760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324774 */     GIR_RootConstrainSelectedInstOperands,
     /*  324775 */     // GIR_Coverage, 19983,
     /*  324775 */     GIR_EraseRootFromParent_Done,
     /*  324776 */   // Label 5983: @324776
     /*  324776 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(324839), // Rule ID 19984 //
     /*  324781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  324823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324837 */     GIR_RootConstrainSelectedInstOperands,
     /*  324838 */     // GIR_Coverage, 19984,
     /*  324838 */     GIR_EraseRootFromParent_Done,
     /*  324839 */   // Label 5984: @324839
     /*  324839 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(324902), // Rule ID 19987 //
     /*  324844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324883 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  324886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324900 */     GIR_RootConstrainSelectedInstOperands,
     /*  324901 */     // GIR_Coverage, 19987,
     /*  324901 */     GIR_EraseRootFromParent_Done,
     /*  324902 */   // Label 5985: @324902
     /*  324902 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(324965), // Rule ID 19988 //
     /*  324907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  324949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324963 */     GIR_RootConstrainSelectedInstOperands,
     /*  324964 */     // GIR_Coverage, 19988,
     /*  324964 */     GIR_EraseRootFromParent_Done,
     /*  324965 */   // Label 5986: @324965
     /*  324965 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325028), // Rule ID 19991 //
     /*  324970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325009 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325026 */     GIR_RootConstrainSelectedInstOperands,
     /*  325027 */     // GIR_Coverage, 19991,
     /*  325027 */     GIR_EraseRootFromParent_Done,
     /*  325028 */   // Label 5987: @325028
     /*  325028 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325091), // Rule ID 19992 //
     /*  325033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  325075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325089 */     GIR_RootConstrainSelectedInstOperands,
     /*  325090 */     // GIR_Coverage, 19992,
     /*  325090 */     GIR_EraseRootFromParent_Done,
     /*  325091 */   // Label 5988: @325091
     /*  325091 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325154), // Rule ID 19995 //
     /*  325096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325152 */     GIR_RootConstrainSelectedInstOperands,
     /*  325153 */     // GIR_Coverage, 19995,
     /*  325153 */     GIR_EraseRootFromParent_Done,
     /*  325154 */   // Label 5989: @325154
     /*  325154 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325217), // Rule ID 19996 //
     /*  325159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  325201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325215 */     GIR_RootConstrainSelectedInstOperands,
     /*  325216 */     // GIR_Coverage, 19996,
     /*  325216 */     GIR_EraseRootFromParent_Done,
     /*  325217 */   // Label 5990: @325217
     /*  325217 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325280), // Rule ID 19999 //
     /*  325222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325261 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325278 */     GIR_RootConstrainSelectedInstOperands,
     /*  325279 */     // GIR_Coverage, 19999,
     /*  325279 */     GIR_EraseRootFromParent_Done,
     /*  325280 */   // Label 5991: @325280
     /*  325280 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325343), // Rule ID 20000 //
     /*  325285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  325327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325341 */     GIR_RootConstrainSelectedInstOperands,
     /*  325342 */     // GIR_Coverage, 20000,
     /*  325342 */     GIR_EraseRootFromParent_Done,
     /*  325343 */   // Label 5992: @325343
     /*  325343 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325406), // Rule ID 20003 //
     /*  325348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325387 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325404 */     GIR_RootConstrainSelectedInstOperands,
     /*  325405 */     // GIR_Coverage, 20003,
     /*  325405 */     GIR_EraseRootFromParent_Done,
     /*  325406 */   // Label 5993: @325406
     /*  325406 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325469), // Rule ID 20004 //
     /*  325411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  325419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  325453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325467 */     GIR_RootConstrainSelectedInstOperands,
     /*  325468 */     // GIR_Coverage, 20004,
     /*  325468 */     GIR_EraseRootFromParent_Done,
     /*  325469 */   // Label 5994: @325469
     /*  325469 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325532), // Rule ID 20007 //
     /*  325474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325513 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325530 */     GIR_RootConstrainSelectedInstOperands,
     /*  325531 */     // GIR_Coverage, 20007,
     /*  325531 */     GIR_EraseRootFromParent_Done,
     /*  325532 */   // Label 5995: @325532
     /*  325532 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325595), // Rule ID 20008 //
     /*  325537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  325554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  325579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325593 */     GIR_RootConstrainSelectedInstOperands,
     /*  325594 */     // GIR_Coverage, 20008,
     /*  325594 */     GIR_EraseRootFromParent_Done,
     /*  325595 */   // Label 5996: @325595
     /*  325595 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325658), // Rule ID 20011 //
     /*  325600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  325617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325639 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325656 */     GIR_RootConstrainSelectedInstOperands,
     /*  325657 */     // GIR_Coverage, 20011,
     /*  325657 */     GIR_EraseRootFromParent_Done,
     /*  325658 */   // Label 5997: @325658
     /*  325658 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(325721), // Rule ID 20012 //
     /*  325663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  325680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325719 */     GIR_RootConstrainSelectedInstOperands,
     /*  325720 */     // GIR_Coverage, 20012,
     /*  325720 */     GIR_EraseRootFromParent_Done,
     /*  325721 */   // Label 5998: @325721
     /*  325721 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(325784), // Rule ID 20015 //
     /*  325726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  325743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325765 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325782 */     GIR_RootConstrainSelectedInstOperands,
     /*  325783 */     // GIR_Coverage, 20015,
     /*  325783 */     GIR_EraseRootFromParent_Done,
     /*  325784 */   // Label 5999: @325784
     /*  325784 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(325847), // Rule ID 20016 //
     /*  325789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  325806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  325831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325845 */     GIR_RootConstrainSelectedInstOperands,
     /*  325846 */     // GIR_Coverage, 20016,
     /*  325846 */     GIR_EraseRootFromParent_Done,
     /*  325847 */   // Label 6000: @325847
     /*  325847 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(325910), // Rule ID 20019 //
     /*  325852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  325869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325891 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  325894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325908 */     GIR_RootConstrainSelectedInstOperands,
     /*  325909 */     // GIR_Coverage, 20019,
     /*  325909 */     GIR_EraseRootFromParent_Done,
     /*  325910 */   // Label 6001: @325910
     /*  325910 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(325973), // Rule ID 20020 //
     /*  325915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  325932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325954 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  325957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325971 */     GIR_RootConstrainSelectedInstOperands,
     /*  325972 */     // GIR_Coverage, 20020,
     /*  325972 */     GIR_EraseRootFromParent_Done,
     /*  325973 */   // Label 6002: @325973
     /*  325973 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326036), // Rule ID 20023 //
     /*  325978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  325995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326034 */     GIR_RootConstrainSelectedInstOperands,
     /*  326035 */     // GIR_Coverage, 20023,
     /*  326035 */     GIR_EraseRootFromParent_Done,
     /*  326036 */   // Label 6003: @326036
     /*  326036 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326099), // Rule ID 20024 //
     /*  326041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326097 */     GIR_RootConstrainSelectedInstOperands,
     /*  326098 */     // GIR_Coverage, 20024,
     /*  326098 */     GIR_EraseRootFromParent_Done,
     /*  326099 */   // Label 6004: @326099
     /*  326099 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326162), // Rule ID 20027 //
     /*  326104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326160 */     GIR_RootConstrainSelectedInstOperands,
     /*  326161 */     // GIR_Coverage, 20027,
     /*  326161 */     GIR_EraseRootFromParent_Done,
     /*  326162 */   // Label 6005: @326162
     /*  326162 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326225), // Rule ID 20028 //
     /*  326167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326206 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  326209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326223 */     GIR_RootConstrainSelectedInstOperands,
     /*  326224 */     // GIR_Coverage, 20028,
     /*  326224 */     GIR_EraseRootFromParent_Done,
     /*  326225 */   // Label 6006: @326225
     /*  326225 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326288), // Rule ID 20031 //
     /*  326230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326286 */     GIR_RootConstrainSelectedInstOperands,
     /*  326287 */     // GIR_Coverage, 20031,
     /*  326287 */     GIR_EraseRootFromParent_Done,
     /*  326288 */   // Label 6007: @326288
     /*  326288 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326351), // Rule ID 20032 //
     /*  326293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  326310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326349 */     GIR_RootConstrainSelectedInstOperands,
     /*  326350 */     // GIR_Coverage, 20032,
     /*  326350 */     GIR_EraseRootFromParent_Done,
     /*  326351 */   // Label 6008: @326351
     /*  326351 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326414), // Rule ID 20035 //
     /*  326356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326395 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326412 */     GIR_RootConstrainSelectedInstOperands,
     /*  326413 */     // GIR_Coverage, 20035,
     /*  326413 */     GIR_EraseRootFromParent_Done,
     /*  326414 */   // Label 6009: @326414
     /*  326414 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326477), // Rule ID 20036 //
     /*  326419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  326436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326475 */     GIR_RootConstrainSelectedInstOperands,
     /*  326476 */     // GIR_Coverage, 20036,
     /*  326476 */     GIR_EraseRootFromParent_Done,
     /*  326477 */   // Label 6010: @326477
     /*  326477 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326540), // Rule ID 20039 //
     /*  326482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326521 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326538 */     GIR_RootConstrainSelectedInstOperands,
     /*  326539 */     // GIR_Coverage, 20039,
     /*  326539 */     GIR_EraseRootFromParent_Done,
     /*  326540 */   // Label 6011: @326540
     /*  326540 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326603), // Rule ID 20040 //
     /*  326545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  326562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326601 */     GIR_RootConstrainSelectedInstOperands,
     /*  326602 */     // GIR_Coverage, 20040,
     /*  326602 */     GIR_EraseRootFromParent_Done,
     /*  326603 */   // Label 6012: @326603
     /*  326603 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326666), // Rule ID 20043 //
     /*  326608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  326625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326647 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326664 */     GIR_RootConstrainSelectedInstOperands,
     /*  326665 */     // GIR_Coverage, 20043,
     /*  326665 */     GIR_EraseRootFromParent_Done,
     /*  326666 */   // Label 6013: @326666
     /*  326666 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(326729), // Rule ID 20044 //
     /*  326671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  326688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  326713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326727 */     GIR_RootConstrainSelectedInstOperands,
     /*  326728 */     // GIR_Coverage, 20044,
     /*  326728 */     GIR_EraseRootFromParent_Done,
     /*  326729 */   // Label 6014: @326729
     /*  326729 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(326792), // Rule ID 20047 //
     /*  326734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  326751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326773 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326790 */     GIR_RootConstrainSelectedInstOperands,
     /*  326791 */     // GIR_Coverage, 20047,
     /*  326791 */     GIR_EraseRootFromParent_Done,
     /*  326792 */   // Label 6015: @326792
     /*  326792 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(326855), // Rule ID 20048 //
     /*  326797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  326814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326853 */     GIR_RootConstrainSelectedInstOperands,
     /*  326854 */     // GIR_Coverage, 20048,
     /*  326854 */     GIR_EraseRootFromParent_Done,
     /*  326855 */   // Label 6016: @326855
     /*  326855 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(326918), // Rule ID 20051 //
     /*  326860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  326877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326899 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326916 */     GIR_RootConstrainSelectedInstOperands,
     /*  326917 */     // GIR_Coverage, 20051,
     /*  326917 */     GIR_EraseRootFromParent_Done,
     /*  326918 */   // Label 6017: @326918
     /*  326918 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(326981), // Rule ID 20052 //
     /*  326923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  326940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326962 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326979 */     GIR_RootConstrainSelectedInstOperands,
     /*  326980 */     // GIR_Coverage, 20052,
     /*  326980 */     GIR_EraseRootFromParent_Done,
     /*  326981 */   // Label 6018: @326981
     /*  326981 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327044), // Rule ID 20055 //
     /*  326986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327042 */     GIR_RootConstrainSelectedInstOperands,
     /*  327043 */     // GIR_Coverage, 20055,
     /*  327043 */     GIR_EraseRootFromParent_Done,
     /*  327044 */   // Label 6019: @327044
     /*  327044 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327107), // Rule ID 20056 //
     /*  327049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  327091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327105 */     GIR_RootConstrainSelectedInstOperands,
     /*  327106 */     // GIR_Coverage, 20056,
     /*  327106 */     GIR_EraseRootFromParent_Done,
     /*  327107 */   // Label 6020: @327107
     /*  327107 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327170), // Rule ID 20059 //
     /*  327112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327168 */     GIR_RootConstrainSelectedInstOperands,
     /*  327169 */     // GIR_Coverage, 20059,
     /*  327169 */     GIR_EraseRootFromParent_Done,
     /*  327170 */   // Label 6021: @327170
     /*  327170 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327233), // Rule ID 20060 //
     /*  327175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  327217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327231 */     GIR_RootConstrainSelectedInstOperands,
     /*  327232 */     // GIR_Coverage, 20060,
     /*  327232 */     GIR_EraseRootFromParent_Done,
     /*  327233 */   // Label 6022: @327233
     /*  327233 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327296), // Rule ID 20063 //
     /*  327238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327294 */     GIR_RootConstrainSelectedInstOperands,
     /*  327295 */     // GIR_Coverage, 20063,
     /*  327295 */     GIR_EraseRootFromParent_Done,
     /*  327296 */   // Label 6023: @327296
     /*  327296 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327359), // Rule ID 20064 //
     /*  327301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  327343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327357 */     GIR_RootConstrainSelectedInstOperands,
     /*  327358 */     // GIR_Coverage, 20064,
     /*  327358 */     GIR_EraseRootFromParent_Done,
     /*  327359 */   // Label 6024: @327359
     /*  327359 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327422), // Rule ID 20067 //
     /*  327364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327420 */     GIR_RootConstrainSelectedInstOperands,
     /*  327421 */     // GIR_Coverage, 20067,
     /*  327421 */     GIR_EraseRootFromParent_Done,
     /*  327422 */   // Label 6025: @327422
     /*  327422 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327485), // Rule ID 20068 //
     /*  327427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  327469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327483 */     GIR_RootConstrainSelectedInstOperands,
     /*  327484 */     // GIR_Coverage, 20068,
     /*  327484 */     GIR_EraseRootFromParent_Done,
     /*  327485 */   // Label 6026: @327485
     /*  327485 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327548), // Rule ID 20071 //
     /*  327490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327529 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327546 */     GIR_RootConstrainSelectedInstOperands,
     /*  327547 */     // GIR_Coverage, 20071,
     /*  327547 */     GIR_EraseRootFromParent_Done,
     /*  327548 */   // Label 6027: @327548
     /*  327548 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327611), // Rule ID 20072 //
     /*  327553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  327595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327609 */     GIR_RootConstrainSelectedInstOperands,
     /*  327610 */     // GIR_Coverage, 20072,
     /*  327610 */     GIR_EraseRootFromParent_Done,
     /*  327611 */   // Label 6028: @327611
     /*  327611 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327674), // Rule ID 20075 //
     /*  327616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  327658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327672 */     GIR_RootConstrainSelectedInstOperands,
     /*  327673 */     // GIR_Coverage, 20075,
     /*  327673 */     GIR_EraseRootFromParent_Done,
     /*  327674 */   // Label 6029: @327674
     /*  327674 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(327737), // Rule ID 20076 //
     /*  327679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  327721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327735 */     GIR_RootConstrainSelectedInstOperands,
     /*  327736 */     // GIR_Coverage, 20076,
     /*  327736 */     GIR_EraseRootFromParent_Done,
     /*  327737 */   // Label 6030: @327737
     /*  327737 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(327800), // Rule ID 20079 //
     /*  327742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  327784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327798 */     GIR_RootConstrainSelectedInstOperands,
     /*  327799 */     // GIR_Coverage, 20079,
     /*  327799 */     GIR_EraseRootFromParent_Done,
     /*  327800 */   // Label 6031: @327800
     /*  327800 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(327863), // Rule ID 20080 //
     /*  327805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  327847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327861 */     GIR_RootConstrainSelectedInstOperands,
     /*  327862 */     // GIR_Coverage, 20080,
     /*  327862 */     GIR_EraseRootFromParent_Done,
     /*  327863 */   // Label 6032: @327863
     /*  327863 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(327926), // Rule ID 20083 //
     /*  327868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  327910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327924 */     GIR_RootConstrainSelectedInstOperands,
     /*  327925 */     // GIR_Coverage, 20083,
     /*  327925 */     GIR_EraseRootFromParent_Done,
     /*  327926 */   // Label 6033: @327926
     /*  327926 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(327989), // Rule ID 20084 //
     /*  327931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  327973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327987 */     GIR_RootConstrainSelectedInstOperands,
     /*  327988 */     // GIR_Coverage, 20084,
     /*  327988 */     GIR_EraseRootFromParent_Done,
     /*  327989 */   // Label 6034: @327989
     /*  327989 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328052), // Rule ID 20087 //
     /*  327994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328050 */     GIR_RootConstrainSelectedInstOperands,
     /*  328051 */     // GIR_Coverage, 20087,
     /*  328051 */     GIR_EraseRootFromParent_Done,
     /*  328052 */   // Label 6035: @328052
     /*  328052 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328115), // Rule ID 20088 //
     /*  328057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  328099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328113 */     GIR_RootConstrainSelectedInstOperands,
     /*  328114 */     // GIR_Coverage, 20088,
     /*  328114 */     GIR_EraseRootFromParent_Done,
     /*  328115 */   // Label 6036: @328115
     /*  328115 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328178), // Rule ID 20091 //
     /*  328120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328159 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328176 */     GIR_RootConstrainSelectedInstOperands,
     /*  328177 */     // GIR_Coverage, 20091,
     /*  328177 */     GIR_EraseRootFromParent_Done,
     /*  328178 */   // Label 6037: @328178
     /*  328178 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328241), // Rule ID 20092 //
     /*  328183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328222 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  328225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328239 */     GIR_RootConstrainSelectedInstOperands,
     /*  328240 */     // GIR_Coverage, 20092,
     /*  328240 */     GIR_EraseRootFromParent_Done,
     /*  328241 */   // Label 6038: @328241
     /*  328241 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328304), // Rule ID 20095 //
     /*  328246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328285 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328302 */     GIR_RootConstrainSelectedInstOperands,
     /*  328303 */     // GIR_Coverage, 20095,
     /*  328303 */     GIR_EraseRootFromParent_Done,
     /*  328304 */   // Label 6039: @328304
     /*  328304 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328367), // Rule ID 20096 //
     /*  328309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  328351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328365 */     GIR_RootConstrainSelectedInstOperands,
     /*  328366 */     // GIR_Coverage, 20096,
     /*  328366 */     GIR_EraseRootFromParent_Done,
     /*  328367 */   // Label 6040: @328367
     /*  328367 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328430), // Rule ID 20099 //
     /*  328372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328428 */     GIR_RootConstrainSelectedInstOperands,
     /*  328429 */     // GIR_Coverage, 20099,
     /*  328429 */     GIR_EraseRootFromParent_Done,
     /*  328430 */   // Label 6041: @328430
     /*  328430 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328493), // Rule ID 20100 //
     /*  328435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328474 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  328477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328491 */     GIR_RootConstrainSelectedInstOperands,
     /*  328492 */     // GIR_Coverage, 20100,
     /*  328492 */     GIR_EraseRootFromParent_Done,
     /*  328493 */   // Label 6042: @328493
     /*  328493 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328556), // Rule ID 20103 //
     /*  328498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328537 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328554 */     GIR_RootConstrainSelectedInstOperands,
     /*  328555 */     // GIR_Coverage, 20103,
     /*  328555 */     GIR_EraseRootFromParent_Done,
     /*  328556 */   // Label 6043: @328556
     /*  328556 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328619), // Rule ID 20104 //
     /*  328561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  328603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328617 */     GIR_RootConstrainSelectedInstOperands,
     /*  328618 */     // GIR_Coverage, 20104,
     /*  328618 */     GIR_EraseRootFromParent_Done,
     /*  328619 */   // Label 6044: @328619
     /*  328619 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(328682), // Rule ID 20107 //
     /*  328624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  328666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328680 */     GIR_RootConstrainSelectedInstOperands,
     /*  328681 */     // GIR_Coverage, 20107,
     /*  328681 */     GIR_EraseRootFromParent_Done,
     /*  328682 */   // Label 6045: @328682
     /*  328682 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(328745), // Rule ID 20108 //
     /*  328687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328726 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  328729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328743 */     GIR_RootConstrainSelectedInstOperands,
     /*  328744 */     // GIR_Coverage, 20108,
     /*  328744 */     GIR_EraseRootFromParent_Done,
     /*  328745 */   // Label 6046: @328745
     /*  328745 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(328808), // Rule ID 20111 //
     /*  328750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  328792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328806 */     GIR_RootConstrainSelectedInstOperands,
     /*  328807 */     // GIR_Coverage, 20111,
     /*  328807 */     GIR_EraseRootFromParent_Done,
     /*  328808 */   // Label 6047: @328808
     /*  328808 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(328871), // Rule ID 20112 //
     /*  328813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  328855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328869 */     GIR_RootConstrainSelectedInstOperands,
     /*  328870 */     // GIR_Coverage, 20112,
     /*  328870 */     GIR_EraseRootFromParent_Done,
     /*  328871 */   // Label 6048: @328871
     /*  328871 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(328934), // Rule ID 20115 //
     /*  328876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328915 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  328918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328932 */     GIR_RootConstrainSelectedInstOperands,
     /*  328933 */     // GIR_Coverage, 20115,
     /*  328933 */     GIR_EraseRootFromParent_Done,
     /*  328934 */   // Label 6049: @328934
     /*  328934 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(328997), // Rule ID 20116 //
     /*  328939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  328981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328995 */     GIR_RootConstrainSelectedInstOperands,
     /*  328996 */     // GIR_Coverage, 20116,
     /*  328996 */     GIR_EraseRootFromParent_Done,
     /*  328997 */   // Label 6050: @328997
     /*  328997 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329060), // Rule ID 20119 //
     /*  329002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329058 */     GIR_RootConstrainSelectedInstOperands,
     /*  329059 */     // GIR_Coverage, 20119,
     /*  329059 */     GIR_EraseRootFromParent_Done,
     /*  329060 */   // Label 6051: @329060
     /*  329060 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329123), // Rule ID 20120 //
     /*  329065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  329107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329121 */     GIR_RootConstrainSelectedInstOperands,
     /*  329122 */     // GIR_Coverage, 20120,
     /*  329122 */     GIR_EraseRootFromParent_Done,
     /*  329123 */   // Label 6052: @329123
     /*  329123 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329186), // Rule ID 20123 //
     /*  329128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329184 */     GIR_RootConstrainSelectedInstOperands,
     /*  329185 */     // GIR_Coverage, 20123,
     /*  329185 */     GIR_EraseRootFromParent_Done,
     /*  329186 */   // Label 6053: @329186
     /*  329186 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329249), // Rule ID 20124 //
     /*  329191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  329199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329230 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  329233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329247 */     GIR_RootConstrainSelectedInstOperands,
     /*  329248 */     // GIR_Coverage, 20124,
     /*  329248 */     GIR_EraseRootFromParent_Done,
     /*  329249 */   // Label 6054: @329249
     /*  329249 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329312), // Rule ID 20127 //
     /*  329254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329310 */     GIR_RootConstrainSelectedInstOperands,
     /*  329311 */     // GIR_Coverage, 20127,
     /*  329311 */     GIR_EraseRootFromParent_Done,
     /*  329312 */   // Label 6055: @329312
     /*  329312 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329375), // Rule ID 20128 //
     /*  329317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  329359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329373 */     GIR_RootConstrainSelectedInstOperands,
     /*  329374 */     // GIR_Coverage, 20128,
     /*  329374 */     GIR_EraseRootFromParent_Done,
     /*  329375 */   // Label 6056: @329375
     /*  329375 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329438), // Rule ID 20131 //
     /*  329380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329436 */     GIR_RootConstrainSelectedInstOperands,
     /*  329437 */     // GIR_Coverage, 20131,
     /*  329437 */     GIR_EraseRootFromParent_Done,
     /*  329438 */   // Label 6057: @329438
     /*  329438 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329501), // Rule ID 20132 //
     /*  329443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  329485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329499 */     GIR_RootConstrainSelectedInstOperands,
     /*  329500 */     // GIR_Coverage, 20132,
     /*  329500 */     GIR_EraseRootFromParent_Done,
     /*  329501 */   // Label 6058: @329501
     /*  329501 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329564), // Rule ID 20135 //
     /*  329506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329562 */     GIR_RootConstrainSelectedInstOperands,
     /*  329563 */     // GIR_Coverage, 20135,
     /*  329563 */     GIR_EraseRootFromParent_Done,
     /*  329564 */   // Label 6059: @329564
     /*  329564 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329627), // Rule ID 20136 //
     /*  329569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  329611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329625 */     GIR_RootConstrainSelectedInstOperands,
     /*  329626 */     // GIR_Coverage, 20136,
     /*  329626 */     GIR_EraseRootFromParent_Done,
     /*  329627 */   // Label 6060: @329627
     /*  329627 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(329690), // Rule ID 20139 //
     /*  329632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329671 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  329674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329688 */     GIR_RootConstrainSelectedInstOperands,
     /*  329689 */     // GIR_Coverage, 20139,
     /*  329689 */     GIR_EraseRootFromParent_Done,
     /*  329690 */   // Label 6061: @329690
     /*  329690 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(329753), // Rule ID 20140 //
     /*  329695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  329737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329751 */     GIR_RootConstrainSelectedInstOperands,
     /*  329752 */     // GIR_Coverage, 20140,
     /*  329752 */     GIR_EraseRootFromParent_Done,
     /*  329753 */   // Label 6062: @329753
     /*  329753 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(329816), // Rule ID 20143 //
     /*  329758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  329800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329814 */     GIR_RootConstrainSelectedInstOperands,
     /*  329815 */     // GIR_Coverage, 20143,
     /*  329815 */     GIR_EraseRootFromParent_Done,
     /*  329816 */   // Label 6063: @329816
     /*  329816 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(329879), // Rule ID 20144 //
     /*  329821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  329863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329877 */     GIR_RootConstrainSelectedInstOperands,
     /*  329878 */     // GIR_Coverage, 20144,
     /*  329878 */     GIR_EraseRootFromParent_Done,
     /*  329879 */   // Label 6064: @329879
     /*  329879 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(329942), // Rule ID 20147 //
     /*  329884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  329926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329940 */     GIR_RootConstrainSelectedInstOperands,
     /*  329941 */     // GIR_Coverage, 20147,
     /*  329941 */     GIR_EraseRootFromParent_Done,
     /*  329942 */   // Label 6065: @329942
     /*  329942 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330005), // Rule ID 20148 //
     /*  329947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329986 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  329989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330003 */     GIR_RootConstrainSelectedInstOperands,
     /*  330004 */     // GIR_Coverage, 20148,
     /*  330004 */     GIR_EraseRootFromParent_Done,
     /*  330005 */   // Label 6066: @330005
     /*  330005 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330068), // Rule ID 20151 //
     /*  330010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330049 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330066 */     GIR_RootConstrainSelectedInstOperands,
     /*  330067 */     // GIR_Coverage, 20151,
     /*  330067 */     GIR_EraseRootFromParent_Done,
     /*  330068 */   // Label 6067: @330068
     /*  330068 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330131), // Rule ID 20152 //
     /*  330073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  330115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330129 */     GIR_RootConstrainSelectedInstOperands,
     /*  330130 */     // GIR_Coverage, 20152,
     /*  330130 */     GIR_EraseRootFromParent_Done,
     /*  330131 */   // Label 6068: @330131
     /*  330131 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330194), // Rule ID 20155 //
     /*  330136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330175 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330192 */     GIR_RootConstrainSelectedInstOperands,
     /*  330193 */     // GIR_Coverage, 20155,
     /*  330193 */     GIR_EraseRootFromParent_Done,
     /*  330194 */   // Label 6069: @330194
     /*  330194 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330257), // Rule ID 20156 //
     /*  330199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330238 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  330241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330255 */     GIR_RootConstrainSelectedInstOperands,
     /*  330256 */     // GIR_Coverage, 20156,
     /*  330256 */     GIR_EraseRootFromParent_Done,
     /*  330257 */   // Label 6070: @330257
     /*  330257 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330320), // Rule ID 20159 //
     /*  330262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330318 */     GIR_RootConstrainSelectedInstOperands,
     /*  330319 */     // GIR_Coverage, 20159,
     /*  330319 */     GIR_EraseRootFromParent_Done,
     /*  330320 */   // Label 6071: @330320
     /*  330320 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330383), // Rule ID 20160 //
     /*  330325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  330367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330381 */     GIR_RootConstrainSelectedInstOperands,
     /*  330382 */     // GIR_Coverage, 20160,
     /*  330382 */     GIR_EraseRootFromParent_Done,
     /*  330383 */   // Label 6072: @330383
     /*  330383 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330446), // Rule ID 20163 //
     /*  330388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330444 */     GIR_RootConstrainSelectedInstOperands,
     /*  330445 */     // GIR_Coverage, 20163,
     /*  330445 */     GIR_EraseRootFromParent_Done,
     /*  330446 */   // Label 6073: @330446
     /*  330446 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330509), // Rule ID 20164 //
     /*  330451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330490 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  330493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330507 */     GIR_RootConstrainSelectedInstOperands,
     /*  330508 */     // GIR_Coverage, 20164,
     /*  330508 */     GIR_EraseRootFromParent_Done,
     /*  330509 */   // Label 6074: @330509
     /*  330509 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330572), // Rule ID 20167 //
     /*  330514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330570 */     GIR_RootConstrainSelectedInstOperands,
     /*  330571 */     // GIR_Coverage, 20167,
     /*  330571 */     GIR_EraseRootFromParent_Done,
     /*  330572 */   // Label 6075: @330572
     /*  330572 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330635), // Rule ID 20168 //
     /*  330577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  330619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330633 */     GIR_RootConstrainSelectedInstOperands,
     /*  330634 */     // GIR_Coverage, 20168,
     /*  330634 */     GIR_EraseRootFromParent_Done,
     /*  330635 */   // Label 6076: @330635
     /*  330635 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(330698), // Rule ID 20171 //
     /*  330640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330679 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  330682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330696 */     GIR_RootConstrainSelectedInstOperands,
     /*  330697 */     // GIR_Coverage, 20171,
     /*  330697 */     GIR_EraseRootFromParent_Done,
     /*  330698 */   // Label 6077: @330698
     /*  330698 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(330761), // Rule ID 20172 //
     /*  330703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330742 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  330745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330759 */     GIR_RootConstrainSelectedInstOperands,
     /*  330760 */     // GIR_Coverage, 20172,
     /*  330760 */     GIR_EraseRootFromParent_Done,
     /*  330761 */   // Label 6078: @330761
     /*  330761 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(330824), // Rule ID 20175 //
     /*  330766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  330808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330822 */     GIR_RootConstrainSelectedInstOperands,
     /*  330823 */     // GIR_Coverage, 20175,
     /*  330823 */     GIR_EraseRootFromParent_Done,
     /*  330824 */   // Label 6079: @330824
     /*  330824 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(330887), // Rule ID 20176 //
     /*  330829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  330871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330885 */     GIR_RootConstrainSelectedInstOperands,
     /*  330886 */     // GIR_Coverage, 20176,
     /*  330886 */     GIR_EraseRootFromParent_Done,
     /*  330887 */   // Label 6080: @330887
     /*  330887 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(330950), // Rule ID 20179 //
     /*  330892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330931 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  330934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330948 */     GIR_RootConstrainSelectedInstOperands,
     /*  330949 */     // GIR_Coverage, 20179,
     /*  330949 */     GIR_EraseRootFromParent_Done,
     /*  330950 */   // Label 6081: @330950
     /*  330950 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331013), // Rule ID 20180 //
     /*  330955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  330963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  330997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331011 */     GIR_RootConstrainSelectedInstOperands,
     /*  331012 */     // GIR_Coverage, 20180,
     /*  331012 */     GIR_EraseRootFromParent_Done,
     /*  331013 */   // Label 6082: @331013
     /*  331013 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331076), // Rule ID 20183 //
     /*  331018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331057 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331074 */     GIR_RootConstrainSelectedInstOperands,
     /*  331075 */     // GIR_Coverage, 20183,
     /*  331075 */     GIR_EraseRootFromParent_Done,
     /*  331076 */   // Label 6083: @331076
     /*  331076 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331139), // Rule ID 20184 //
     /*  331081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  331123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331137 */     GIR_RootConstrainSelectedInstOperands,
     /*  331138 */     // GIR_Coverage, 20184,
     /*  331138 */     GIR_EraseRootFromParent_Done,
     /*  331139 */   // Label 6084: @331139
     /*  331139 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331202), // Rule ID 20187 //
     /*  331144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331183 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331200 */     GIR_RootConstrainSelectedInstOperands,
     /*  331201 */     // GIR_Coverage, 20187,
     /*  331201 */     GIR_EraseRootFromParent_Done,
     /*  331202 */   // Label 6085: @331202
     /*  331202 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331265), // Rule ID 20188 //
     /*  331207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331246 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  331249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331263 */     GIR_RootConstrainSelectedInstOperands,
     /*  331264 */     // GIR_Coverage, 20188,
     /*  331264 */     GIR_EraseRootFromParent_Done,
     /*  331265 */   // Label 6086: @331265
     /*  331265 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331328), // Rule ID 20191 //
     /*  331270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331326 */     GIR_RootConstrainSelectedInstOperands,
     /*  331327 */     // GIR_Coverage, 20191,
     /*  331327 */     GIR_EraseRootFromParent_Done,
     /*  331328 */   // Label 6087: @331328
     /*  331328 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331391), // Rule ID 20192 //
     /*  331333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  331375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331389 */     GIR_RootConstrainSelectedInstOperands,
     /*  331390 */     // GIR_Coverage, 20192,
     /*  331390 */     GIR_EraseRootFromParent_Done,
     /*  331391 */   // Label 6088: @331391
     /*  331391 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331454), // Rule ID 20195 //
     /*  331396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331435 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331452 */     GIR_RootConstrainSelectedInstOperands,
     /*  331453 */     // GIR_Coverage, 20195,
     /*  331453 */     GIR_EraseRootFromParent_Done,
     /*  331454 */   // Label 6089: @331454
     /*  331454 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331517), // Rule ID 20196 //
     /*  331459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  331501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331515 */     GIR_RootConstrainSelectedInstOperands,
     /*  331516 */     // GIR_Coverage, 20196,
     /*  331516 */     GIR_EraseRootFromParent_Done,
     /*  331517 */   // Label 6090: @331517
     /*  331517 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331580), // Rule ID 20199 //
     /*  331522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  331564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331578 */     GIR_RootConstrainSelectedInstOperands,
     /*  331579 */     // GIR_Coverage, 20199,
     /*  331579 */     GIR_EraseRootFromParent_Done,
     /*  331580 */   // Label 6091: @331580
     /*  331580 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331643), // Rule ID 20200 //
     /*  331585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  331627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331641 */     GIR_RootConstrainSelectedInstOperands,
     /*  331642 */     // GIR_Coverage, 20200,
     /*  331642 */     GIR_EraseRootFromParent_Done,
     /*  331643 */   // Label 6092: @331643
     /*  331643 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(331706), // Rule ID 20203 //
     /*  331648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331687 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  331690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331704 */     GIR_RootConstrainSelectedInstOperands,
     /*  331705 */     // GIR_Coverage, 20203,
     /*  331705 */     GIR_EraseRootFromParent_Done,
     /*  331706 */   // Label 6093: @331706
     /*  331706 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(331769), // Rule ID 20204 //
     /*  331711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  331753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331767 */     GIR_RootConstrainSelectedInstOperands,
     /*  331768 */     // GIR_Coverage, 20204,
     /*  331768 */     GIR_EraseRootFromParent_Done,
     /*  331769 */   // Label 6094: @331769
     /*  331769 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(331832), // Rule ID 20207 //
     /*  331774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  331816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331830 */     GIR_RootConstrainSelectedInstOperands,
     /*  331831 */     // GIR_Coverage, 20207,
     /*  331831 */     GIR_EraseRootFromParent_Done,
     /*  331832 */   // Label 6095: @331832
     /*  331832 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(331895), // Rule ID 20208 //
     /*  331837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  331879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331893 */     GIR_RootConstrainSelectedInstOperands,
     /*  331894 */     // GIR_Coverage, 20208,
     /*  331894 */     GIR_EraseRootFromParent_Done,
     /*  331895 */   // Label 6096: @331895
     /*  331895 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(331958), // Rule ID 20211 //
     /*  331900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  331942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331956 */     GIR_RootConstrainSelectedInstOperands,
     /*  331957 */     // GIR_Coverage, 20211,
     /*  331957 */     GIR_EraseRootFromParent_Done,
     /*  331958 */   // Label 6097: @331958
     /*  331958 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332021), // Rule ID 20212 //
     /*  331963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  332005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332019 */     GIR_RootConstrainSelectedInstOperands,
     /*  332020 */     // GIR_Coverage, 20212,
     /*  332020 */     GIR_EraseRootFromParent_Done,
     /*  332021 */   // Label 6098: @332021
     /*  332021 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332084), // Rule ID 20215 //
     /*  332026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332065 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332082 */     GIR_RootConstrainSelectedInstOperands,
     /*  332083 */     // GIR_Coverage, 20215,
     /*  332083 */     GIR_EraseRootFromParent_Done,
     /*  332084 */   // Label 6099: @332084
     /*  332084 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332147), // Rule ID 20216 //
     /*  332089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  332131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332145 */     GIR_RootConstrainSelectedInstOperands,
     /*  332146 */     // GIR_Coverage, 20216,
     /*  332146 */     GIR_EraseRootFromParent_Done,
     /*  332147 */   // Label 6100: @332147
     /*  332147 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332210), // Rule ID 20219 //
     /*  332152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332191 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332208 */     GIR_RootConstrainSelectedInstOperands,
     /*  332209 */     // GIR_Coverage, 20219,
     /*  332209 */     GIR_EraseRootFromParent_Done,
     /*  332210 */   // Label 6101: @332210
     /*  332210 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332273), // Rule ID 20220 //
     /*  332215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332254 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  332257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332271 */     GIR_RootConstrainSelectedInstOperands,
     /*  332272 */     // GIR_Coverage, 20220,
     /*  332272 */     GIR_EraseRootFromParent_Done,
     /*  332273 */   // Label 6102: @332273
     /*  332273 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332336), // Rule ID 20223 //
     /*  332278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332334 */     GIR_RootConstrainSelectedInstOperands,
     /*  332335 */     // GIR_Coverage, 20223,
     /*  332335 */     GIR_EraseRootFromParent_Done,
     /*  332336 */   // Label 6103: @332336
     /*  332336 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332399), // Rule ID 20224 //
     /*  332341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  332383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332397 */     GIR_RootConstrainSelectedInstOperands,
     /*  332398 */     // GIR_Coverage, 20224,
     /*  332398 */     GIR_EraseRootFromParent_Done,
     /*  332399 */   // Label 6104: @332399
     /*  332399 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332462), // Rule ID 20227 //
     /*  332404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332460 */     GIR_RootConstrainSelectedInstOperands,
     /*  332461 */     // GIR_Coverage, 20227,
     /*  332461 */     GIR_EraseRootFromParent_Done,
     /*  332462 */   // Label 6105: @332462
     /*  332462 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332525), // Rule ID 20228 //
     /*  332467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332506 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  332509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332523 */     GIR_RootConstrainSelectedInstOperands,
     /*  332524 */     // GIR_Coverage, 20228,
     /*  332524 */     GIR_EraseRootFromParent_Done,
     /*  332525 */   // Label 6106: @332525
     /*  332525 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332588), // Rule ID 20231 //
     /*  332530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332569 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  332572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332586 */     GIR_RootConstrainSelectedInstOperands,
     /*  332587 */     // GIR_Coverage, 20231,
     /*  332587 */     GIR_EraseRootFromParent_Done,
     /*  332588 */   // Label 6107: @332588
     /*  332588 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332651), // Rule ID 20232 //
     /*  332593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  332635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332649 */     GIR_RootConstrainSelectedInstOperands,
     /*  332650 */     // GIR_Coverage, 20232,
     /*  332650 */     GIR_EraseRootFromParent_Done,
     /*  332651 */   // Label 6108: @332651
     /*  332651 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(332714), // Rule ID 20235 //
     /*  332656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332695 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  332698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332712 */     GIR_RootConstrainSelectedInstOperands,
     /*  332713 */     // GIR_Coverage, 20235,
     /*  332713 */     GIR_EraseRootFromParent_Done,
     /*  332714 */   // Label 6109: @332714
     /*  332714 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(332777), // Rule ID 20236 //
     /*  332719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332758 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  332761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332775 */     GIR_RootConstrainSelectedInstOperands,
     /*  332776 */     // GIR_Coverage, 20236,
     /*  332776 */     GIR_EraseRootFromParent_Done,
     /*  332777 */   // Label 6110: @332777
     /*  332777 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(332840), // Rule ID 20239 //
     /*  332782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  332824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332838 */     GIR_RootConstrainSelectedInstOperands,
     /*  332839 */     // GIR_Coverage, 20239,
     /*  332839 */     GIR_EraseRootFromParent_Done,
     /*  332840 */   // Label 6111: @332840
     /*  332840 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(332903), // Rule ID 20240 //
     /*  332845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  332887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332901 */     GIR_RootConstrainSelectedInstOperands,
     /*  332902 */     // GIR_Coverage, 20240,
     /*  332902 */     GIR_EraseRootFromParent_Done,
     /*  332903 */   // Label 6112: @332903
     /*  332903 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(332966), // Rule ID 20243 //
     /*  332908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332947 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  332950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332964 */     GIR_RootConstrainSelectedInstOperands,
     /*  332965 */     // GIR_Coverage, 20243,
     /*  332965 */     GIR_EraseRootFromParent_Done,
     /*  332966 */   // Label 6113: @332966
     /*  332966 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333029), // Rule ID 20244 //
     /*  332971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  332979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  333013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333027 */     GIR_RootConstrainSelectedInstOperands,
     /*  333028 */     // GIR_Coverage, 20244,
     /*  333028 */     GIR_EraseRootFromParent_Done,
     /*  333029 */   // Label 6114: @333029
     /*  333029 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333092), // Rule ID 20247 //
     /*  333034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333090 */     GIR_RootConstrainSelectedInstOperands,
     /*  333091 */     // GIR_Coverage, 20247,
     /*  333091 */     GIR_EraseRootFromParent_Done,
     /*  333092 */   // Label 6115: @333092
     /*  333092 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333155), // Rule ID 20248 //
     /*  333097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  333139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333153 */     GIR_RootConstrainSelectedInstOperands,
     /*  333154 */     // GIR_Coverage, 20248,
     /*  333154 */     GIR_EraseRootFromParent_Done,
     /*  333155 */   // Label 6116: @333155
     /*  333155 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333218), // Rule ID 20251 //
     /*  333160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333199 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333216 */     GIR_RootConstrainSelectedInstOperands,
     /*  333217 */     // GIR_Coverage, 20251,
     /*  333217 */     GIR_EraseRootFromParent_Done,
     /*  333218 */   // Label 6117: @333218
     /*  333218 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333281), // Rule ID 20252 //
     /*  333223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333279 */     GIR_RootConstrainSelectedInstOperands,
     /*  333280 */     // GIR_Coverage, 20252,
     /*  333280 */     GIR_EraseRootFromParent_Done,
     /*  333281 */   // Label 6118: @333281
     /*  333281 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333344), // Rule ID 20255 //
     /*  333286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333325 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333342 */     GIR_RootConstrainSelectedInstOperands,
     /*  333343 */     // GIR_Coverage, 20255,
     /*  333343 */     GIR_EraseRootFromParent_Done,
     /*  333344 */   // Label 6119: @333344
     /*  333344 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333407), // Rule ID 20256 //
     /*  333349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  333391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333405 */     GIR_RootConstrainSelectedInstOperands,
     /*  333406 */     // GIR_Coverage, 20256,
     /*  333406 */     GIR_EraseRootFromParent_Done,
     /*  333407 */   // Label 6120: @333407
     /*  333407 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333470), // Rule ID 20259 //
     /*  333412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333451 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333468 */     GIR_RootConstrainSelectedInstOperands,
     /*  333469 */     // GIR_Coverage, 20259,
     /*  333469 */     GIR_EraseRootFromParent_Done,
     /*  333470 */   // Label 6121: @333470
     /*  333470 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333533), // Rule ID 20260 //
     /*  333475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333531 */     GIR_RootConstrainSelectedInstOperands,
     /*  333532 */     // GIR_Coverage, 20260,
     /*  333532 */     GIR_EraseRootFromParent_Done,
     /*  333533 */   // Label 6122: @333533
     /*  333533 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333596), // Rule ID 20263 //
     /*  333538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333594 */     GIR_RootConstrainSelectedInstOperands,
     /*  333595 */     // GIR_Coverage, 20263,
     /*  333595 */     GIR_EraseRootFromParent_Done,
     /*  333596 */   // Label 6123: @333596
     /*  333596 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333659), // Rule ID 20264 //
     /*  333601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333657 */     GIR_RootConstrainSelectedInstOperands,
     /*  333658 */     // GIR_Coverage, 20264,
     /*  333658 */     GIR_EraseRootFromParent_Done,
     /*  333659 */   // Label 6124: @333659
     /*  333659 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(333722), // Rule ID 20267 //
     /*  333664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333720 */     GIR_RootConstrainSelectedInstOperands,
     /*  333721 */     // GIR_Coverage, 20267,
     /*  333721 */     GIR_EraseRootFromParent_Done,
     /*  333722 */   // Label 6125: @333722
     /*  333722 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(333785), // Rule ID 20268 //
     /*  333727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333766 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  333769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333783 */     GIR_RootConstrainSelectedInstOperands,
     /*  333784 */     // GIR_Coverage, 20268,
     /*  333784 */     GIR_EraseRootFromParent_Done,
     /*  333785 */   // Label 6126: @333785
     /*  333785 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(333848), // Rule ID 20271 //
     /*  333790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333846 */     GIR_RootConstrainSelectedInstOperands,
     /*  333847 */     // GIR_Coverage, 20271,
     /*  333847 */     GIR_EraseRootFromParent_Done,
     /*  333848 */   // Label 6127: @333848
     /*  333848 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(333911), // Rule ID 20272 //
     /*  333853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333909 */     GIR_RootConstrainSelectedInstOperands,
     /*  333910 */     // GIR_Coverage, 20272,
     /*  333910 */     GIR_EraseRootFromParent_Done,
     /*  333911 */   // Label 6128: @333911
     /*  333911 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(333974), // Rule ID 20275 //
     /*  333916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  333933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333955 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  333958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333972 */     GIR_RootConstrainSelectedInstOperands,
     /*  333973 */     // GIR_Coverage, 20275,
     /*  333973 */     GIR_EraseRootFromParent_Done,
     /*  333974 */   // Label 6129: @333974
     /*  333974 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334037), // Rule ID 20276 //
     /*  333979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  333996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334035 */     GIR_RootConstrainSelectedInstOperands,
     /*  334036 */     // GIR_Coverage, 20276,
     /*  334036 */     GIR_EraseRootFromParent_Done,
     /*  334037 */   // Label 6130: @334037
     /*  334037 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334100), // Rule ID 20279 //
     /*  334042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334081 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334098 */     GIR_RootConstrainSelectedInstOperands,
     /*  334099 */     // GIR_Coverage, 20279,
     /*  334099 */     GIR_EraseRootFromParent_Done,
     /*  334100 */   // Label 6131: @334100
     /*  334100 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334163), // Rule ID 20280 //
     /*  334105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334161 */     GIR_RootConstrainSelectedInstOperands,
     /*  334162 */     // GIR_Coverage, 20280,
     /*  334162 */     GIR_EraseRootFromParent_Done,
     /*  334163 */   // Label 6132: @334163
     /*  334163 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334226), // Rule ID 20283 //
     /*  334168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334224 */     GIR_RootConstrainSelectedInstOperands,
     /*  334225 */     // GIR_Coverage, 20283,
     /*  334225 */     GIR_EraseRootFromParent_Done,
     /*  334226 */   // Label 6133: @334226
     /*  334226 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334289), // Rule ID 20284 //
     /*  334231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334287 */     GIR_RootConstrainSelectedInstOperands,
     /*  334288 */     // GIR_Coverage, 20284,
     /*  334288 */     GIR_EraseRootFromParent_Done,
     /*  334289 */   // Label 6134: @334289
     /*  334289 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334352), // Rule ID 20287 //
     /*  334294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334350 */     GIR_RootConstrainSelectedInstOperands,
     /*  334351 */     // GIR_Coverage, 20287,
     /*  334351 */     GIR_EraseRootFromParent_Done,
     /*  334352 */   // Label 6135: @334352
     /*  334352 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334415), // Rule ID 20288 //
     /*  334357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334413 */     GIR_RootConstrainSelectedInstOperands,
     /*  334414 */     // GIR_Coverage, 20288,
     /*  334414 */     GIR_EraseRootFromParent_Done,
     /*  334415 */   // Label 6136: @334415
     /*  334415 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334478), // Rule ID 20291 //
     /*  334420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334459 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334476 */     GIR_RootConstrainSelectedInstOperands,
     /*  334477 */     // GIR_Coverage, 20291,
     /*  334477 */     GIR_EraseRootFromParent_Done,
     /*  334478 */   // Label 6137: @334478
     /*  334478 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334541), // Rule ID 20292 //
     /*  334483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334539 */     GIR_RootConstrainSelectedInstOperands,
     /*  334540 */     // GIR_Coverage, 20292,
     /*  334540 */     GIR_EraseRootFromParent_Done,
     /*  334541 */   // Label 6138: @334541
     /*  334541 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334604), // Rule ID 20295 //
     /*  334546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334602 */     GIR_RootConstrainSelectedInstOperands,
     /*  334603 */     // GIR_Coverage, 20295,
     /*  334603 */     GIR_EraseRootFromParent_Done,
     /*  334604 */   // Label 6139: @334604
     /*  334604 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334667), // Rule ID 20296 //
     /*  334609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  334651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334665 */     GIR_RootConstrainSelectedInstOperands,
     /*  334666 */     // GIR_Coverage, 20296,
     /*  334666 */     GIR_EraseRootFromParent_Done,
     /*  334667 */   // Label 6140: @334667
     /*  334667 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(334730), // Rule ID 20299 //
     /*  334672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334728 */     GIR_RootConstrainSelectedInstOperands,
     /*  334729 */     // GIR_Coverage, 20299,
     /*  334729 */     GIR_EraseRootFromParent_Done,
     /*  334730 */   // Label 6141: @334730
     /*  334730 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(334793), // Rule ID 20300 //
     /*  334735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334774 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  334777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334791 */     GIR_RootConstrainSelectedInstOperands,
     /*  334792 */     // GIR_Coverage, 20300,
     /*  334792 */     GIR_EraseRootFromParent_Done,
     /*  334793 */   // Label 6142: @334793
     /*  334793 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(334856), // Rule ID 20303 //
     /*  334798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334854 */     GIR_RootConstrainSelectedInstOperands,
     /*  334855 */     // GIR_Coverage, 20303,
     /*  334855 */     GIR_EraseRootFromParent_Done,
     /*  334856 */   // Label 6143: @334856
     /*  334856 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(334919), // Rule ID 20304 //
     /*  334861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  334903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334917 */     GIR_RootConstrainSelectedInstOperands,
     /*  334918 */     // GIR_Coverage, 20304,
     /*  334918 */     GIR_EraseRootFromParent_Done,
     /*  334919 */   // Label 6144: @334919
     /*  334919 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(334982), // Rule ID 20307 //
     /*  334924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334963 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  334966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334980 */     GIR_RootConstrainSelectedInstOperands,
     /*  334981 */     // GIR_Coverage, 20307,
     /*  334981 */     GIR_EraseRootFromParent_Done,
     /*  334982 */   // Label 6145: @334982
     /*  334982 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335045), // Rule ID 20308 //
     /*  334987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  335004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335026 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  335029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335043 */     GIR_RootConstrainSelectedInstOperands,
     /*  335044 */     // GIR_Coverage, 20308,
     /*  335044 */     GIR_EraseRootFromParent_Done,
     /*  335045 */   // Label 6146: @335045
     /*  335045 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335108), // Rule ID 20311 //
     /*  335050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335089 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335106 */     GIR_RootConstrainSelectedInstOperands,
     /*  335107 */     // GIR_Coverage, 20311,
     /*  335107 */     GIR_EraseRootFromParent_Done,
     /*  335108 */   // Label 6147: @335108
     /*  335108 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335171), // Rule ID 20312 //
     /*  335113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335169 */     GIR_RootConstrainSelectedInstOperands,
     /*  335170 */     // GIR_Coverage, 20312,
     /*  335170 */     GIR_EraseRootFromParent_Done,
     /*  335171 */   // Label 6148: @335171
     /*  335171 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335234), // Rule ID 20315 //
     /*  335176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335232 */     GIR_RootConstrainSelectedInstOperands,
     /*  335233 */     // GIR_Coverage, 20315,
     /*  335233 */     GIR_EraseRootFromParent_Done,
     /*  335234 */   // Label 6149: @335234
     /*  335234 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335297), // Rule ID 20316 //
     /*  335239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  335281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335295 */     GIR_RootConstrainSelectedInstOperands,
     /*  335296 */     // GIR_Coverage, 20316,
     /*  335296 */     GIR_EraseRootFromParent_Done,
     /*  335297 */   // Label 6150: @335297
     /*  335297 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335360), // Rule ID 20319 //
     /*  335302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335358 */     GIR_RootConstrainSelectedInstOperands,
     /*  335359 */     // GIR_Coverage, 20319,
     /*  335359 */     GIR_EraseRootFromParent_Done,
     /*  335360 */   // Label 6151: @335360
     /*  335360 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335423), // Rule ID 20320 //
     /*  335365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335421 */     GIR_RootConstrainSelectedInstOperands,
     /*  335422 */     // GIR_Coverage, 20320,
     /*  335422 */     GIR_EraseRootFromParent_Done,
     /*  335423 */   // Label 6152: @335423
     /*  335423 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335486), // Rule ID 20323 //
     /*  335428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335484 */     GIR_RootConstrainSelectedInstOperands,
     /*  335485 */     // GIR_Coverage, 20323,
     /*  335485 */     GIR_EraseRootFromParent_Done,
     /*  335486 */   // Label 6153: @335486
     /*  335486 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335549), // Rule ID 20324 //
     /*  335491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335547 */     GIR_RootConstrainSelectedInstOperands,
     /*  335548 */     // GIR_Coverage, 20324,
     /*  335548 */     GIR_EraseRootFromParent_Done,
     /*  335549 */   // Label 6154: @335549
     /*  335549 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335612), // Rule ID 20327 //
     /*  335554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335610 */     GIR_RootConstrainSelectedInstOperands,
     /*  335611 */     // GIR_Coverage, 20327,
     /*  335611 */     GIR_EraseRootFromParent_Done,
     /*  335612 */   // Label 6155: @335612
     /*  335612 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(335675), // Rule ID 20328 //
     /*  335617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  335659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335673 */     GIR_RootConstrainSelectedInstOperands,
     /*  335674 */     // GIR_Coverage, 20328,
     /*  335674 */     GIR_EraseRootFromParent_Done,
     /*  335675 */   // Label 6156: @335675
     /*  335675 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(335738), // Rule ID 20331 //
     /*  335680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335719 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335736 */     GIR_RootConstrainSelectedInstOperands,
     /*  335737 */     // GIR_Coverage, 20331,
     /*  335737 */     GIR_EraseRootFromParent_Done,
     /*  335738 */   // Label 6157: @335738
     /*  335738 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(335801), // Rule ID 20332 //
     /*  335743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335799 */     GIR_RootConstrainSelectedInstOperands,
     /*  335800 */     // GIR_Coverage, 20332,
     /*  335800 */     GIR_EraseRootFromParent_Done,
     /*  335801 */   // Label 6158: @335801
     /*  335801 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(335864), // Rule ID 20335 //
     /*  335806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335845 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335862 */     GIR_RootConstrainSelectedInstOperands,
     /*  335863 */     // GIR_Coverage, 20335,
     /*  335863 */     GIR_EraseRootFromParent_Done,
     /*  335864 */   // Label 6159: @335864
     /*  335864 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(335927), // Rule ID 20336 //
     /*  335869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335925 */     GIR_RootConstrainSelectedInstOperands,
     /*  335926 */     // GIR_Coverage, 20336,
     /*  335926 */     GIR_EraseRootFromParent_Done,
     /*  335927 */   // Label 6160: @335927
     /*  335927 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(335990), // Rule ID 20339 //
     /*  335932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335971 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  335974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335988 */     GIR_RootConstrainSelectedInstOperands,
     /*  335989 */     // GIR_Coverage, 20339,
     /*  335989 */     GIR_EraseRootFromParent_Done,
     /*  335990 */   // Label 6161: @335990
     /*  335990 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336053), // Rule ID 20340 //
     /*  335995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336034 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336051 */     GIR_RootConstrainSelectedInstOperands,
     /*  336052 */     // GIR_Coverage, 20340,
     /*  336052 */     GIR_EraseRootFromParent_Done,
     /*  336053 */   // Label 6162: @336053
     /*  336053 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336116), // Rule ID 20343 //
     /*  336058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336114 */     GIR_RootConstrainSelectedInstOperands,
     /*  336115 */     // GIR_Coverage, 20343,
     /*  336115 */     GIR_EraseRootFromParent_Done,
     /*  336116 */   // Label 6163: @336116
     /*  336116 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336179), // Rule ID 20344 //
     /*  336121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336177 */     GIR_RootConstrainSelectedInstOperands,
     /*  336178 */     // GIR_Coverage, 20344,
     /*  336178 */     GIR_EraseRootFromParent_Done,
     /*  336179 */   // Label 6164: @336179
     /*  336179 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336242), // Rule ID 20347 //
     /*  336184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336240 */     GIR_RootConstrainSelectedInstOperands,
     /*  336241 */     // GIR_Coverage, 20347,
     /*  336241 */     GIR_EraseRootFromParent_Done,
     /*  336242 */   // Label 6165: @336242
     /*  336242 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336305), // Rule ID 20348 //
     /*  336247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336286 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336303 */     GIR_RootConstrainSelectedInstOperands,
     /*  336304 */     // GIR_Coverage, 20348,
     /*  336304 */     GIR_EraseRootFromParent_Done,
     /*  336305 */   // Label 6166: @336305
     /*  336305 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336368), // Rule ID 20351 //
     /*  336310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336349 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336366 */     GIR_RootConstrainSelectedInstOperands,
     /*  336367 */     // GIR_Coverage, 20351,
     /*  336367 */     GIR_EraseRootFromParent_Done,
     /*  336368 */   // Label 6167: @336368
     /*  336368 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336431), // Rule ID 20352 //
     /*  336373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336429 */     GIR_RootConstrainSelectedInstOperands,
     /*  336430 */     // GIR_Coverage, 20352,
     /*  336430 */     GIR_EraseRootFromParent_Done,
     /*  336431 */   // Label 6168: @336431
     /*  336431 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336494), // Rule ID 20355 //
     /*  336436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336475 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336492 */     GIR_RootConstrainSelectedInstOperands,
     /*  336493 */     // GIR_Coverage, 20355,
     /*  336493 */     GIR_EraseRootFromParent_Done,
     /*  336494 */   // Label 6169: @336494
     /*  336494 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336557), // Rule ID 20356 //
     /*  336499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  336541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336555 */     GIR_RootConstrainSelectedInstOperands,
     /*  336556 */     // GIR_Coverage, 20356,
     /*  336556 */     GIR_EraseRootFromParent_Done,
     /*  336557 */   // Label 6170: @336557
     /*  336557 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(336620), // Rule ID 20359 //
     /*  336562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336618 */     GIR_RootConstrainSelectedInstOperands,
     /*  336619 */     // GIR_Coverage, 20359,
     /*  336619 */     GIR_EraseRootFromParent_Done,
     /*  336620 */   // Label 6171: @336620
     /*  336620 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(336683), // Rule ID 20360 //
     /*  336625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  336667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336681 */     GIR_RootConstrainSelectedInstOperands,
     /*  336682 */     // GIR_Coverage, 20360,
     /*  336682 */     GIR_EraseRootFromParent_Done,
     /*  336683 */   // Label 6172: @336683
     /*  336683 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(336746), // Rule ID 20363 //
     /*  336688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336744 */     GIR_RootConstrainSelectedInstOperands,
     /*  336745 */     // GIR_Coverage, 20363,
     /*  336745 */     GIR_EraseRootFromParent_Done,
     /*  336746 */   // Label 6173: @336746
     /*  336746 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(336809), // Rule ID 20364 //
     /*  336751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  336793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  336799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336807 */     GIR_RootConstrainSelectedInstOperands,
     /*  336808 */     // GIR_Coverage, 20364,
     /*  336808 */     GIR_EraseRootFromParent_Done,
     /*  336809 */   // Label 6174: @336809
     /*  336809 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(336875), // Rule ID 20367 //
     /*  336814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  336856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336873 */     GIR_RootConstrainSelectedInstOperands,
     /*  336874 */     // GIR_Coverage, 20367,
     /*  336874 */     GIR_EraseRootFromParent_Done,
     /*  336875 */   // Label 6175: @336875
     /*  336875 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(336941), // Rule ID 20368 //
     /*  336880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  336922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336939 */     GIR_RootConstrainSelectedInstOperands,
     /*  336940 */     // GIR_Coverage, 20368,
     /*  336940 */     GIR_EraseRootFromParent_Done,
     /*  336941 */   // Label 6176: @336941
     /*  336941 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337007), // Rule ID 20371 //
     /*  336946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  336957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  336963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  336988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337005 */     GIR_RootConstrainSelectedInstOperands,
     /*  337006 */     // GIR_Coverage, 20371,
     /*  337006 */     GIR_EraseRootFromParent_Done,
     /*  337007 */   // Label 6177: @337007
     /*  337007 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337073), // Rule ID 20372 //
     /*  337012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  337054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337071 */     GIR_RootConstrainSelectedInstOperands,
     /*  337072 */     // GIR_Coverage, 20372,
     /*  337072 */     GIR_EraseRootFromParent_Done,
     /*  337073 */   // Label 6178: @337073
     /*  337073 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337139), // Rule ID 20375 //
     /*  337078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337137 */     GIR_RootConstrainSelectedInstOperands,
     /*  337138 */     // GIR_Coverage, 20375,
     /*  337138 */     GIR_EraseRootFromParent_Done,
     /*  337139 */   // Label 6179: @337139
     /*  337139 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337205), // Rule ID 20376 //
     /*  337144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337203 */     GIR_RootConstrainSelectedInstOperands,
     /*  337204 */     // GIR_Coverage, 20376,
     /*  337204 */     GIR_EraseRootFromParent_Done,
     /*  337205 */   // Label 6180: @337205
     /*  337205 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337271), // Rule ID 20379 //
     /*  337210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337269 */     GIR_RootConstrainSelectedInstOperands,
     /*  337270 */     // GIR_Coverage, 20379,
     /*  337270 */     GIR_EraseRootFromParent_Done,
     /*  337271 */   // Label 6181: @337271
     /*  337271 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337337), // Rule ID 20380 //
     /*  337276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337335 */     GIR_RootConstrainSelectedInstOperands,
     /*  337336 */     // GIR_Coverage, 20380,
     /*  337336 */     GIR_EraseRootFromParent_Done,
     /*  337337 */   // Label 6182: @337337
     /*  337337 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337403), // Rule ID 20383 //
     /*  337342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337381 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337401 */     GIR_RootConstrainSelectedInstOperands,
     /*  337402 */     // GIR_Coverage, 20383,
     /*  337402 */     GIR_EraseRootFromParent_Done,
     /*  337403 */   // Label 6183: @337403
     /*  337403 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337469), // Rule ID 20384 //
     /*  337408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  337450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337467 */     GIR_RootConstrainSelectedInstOperands,
     /*  337468 */     // GIR_Coverage, 20384,
     /*  337468 */     GIR_EraseRootFromParent_Done,
     /*  337469 */   // Label 6184: @337469
     /*  337469 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337535), // Rule ID 20387 //
     /*  337474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337533 */     GIR_RootConstrainSelectedInstOperands,
     /*  337534 */     // GIR_Coverage, 20387,
     /*  337534 */     GIR_EraseRootFromParent_Done,
     /*  337535 */   // Label 6185: @337535
     /*  337535 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337601), // Rule ID 20388 //
     /*  337540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  337551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337599 */     GIR_RootConstrainSelectedInstOperands,
     /*  337600 */     // GIR_Coverage, 20388,
     /*  337600 */     GIR_EraseRootFromParent_Done,
     /*  337601 */   // Label 6186: @337601
     /*  337601 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(337667), // Rule ID 20391 //
     /*  337606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  337617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337645 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337665 */     GIR_RootConstrainSelectedInstOperands,
     /*  337666 */     // GIR_Coverage, 20391,
     /*  337666 */     GIR_EraseRootFromParent_Done,
     /*  337667 */   // Label 6187: @337667
     /*  337667 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(337733), // Rule ID 20392 //
     /*  337672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  337683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337731 */     GIR_RootConstrainSelectedInstOperands,
     /*  337732 */     // GIR_Coverage, 20392,
     /*  337732 */     GIR_EraseRootFromParent_Done,
     /*  337733 */   // Label 6188: @337733
     /*  337733 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(337799), // Rule ID 20395 //
     /*  337738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  337749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337797 */     GIR_RootConstrainSelectedInstOperands,
     /*  337798 */     // GIR_Coverage, 20395,
     /*  337798 */     GIR_EraseRootFromParent_Done,
     /*  337799 */   // Label 6189: @337799
     /*  337799 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(337865), // Rule ID 20396 //
     /*  337804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  337815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  337821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337863 */     GIR_RootConstrainSelectedInstOperands,
     /*  337864 */     // GIR_Coverage, 20396,
     /*  337864 */     GIR_EraseRootFromParent_Done,
     /*  337865 */   // Label 6190: @337865
     /*  337865 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(337931), // Rule ID 20399 //
     /*  337870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  337881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337929 */     GIR_RootConstrainSelectedInstOperands,
     /*  337930 */     // GIR_Coverage, 20399,
     /*  337930 */     GIR_EraseRootFromParent_Done,
     /*  337931 */   // Label 6191: @337931
     /*  337931 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(337997), // Rule ID 20400 //
     /*  337936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  337947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337995 */     GIR_RootConstrainSelectedInstOperands,
     /*  337996 */     // GIR_Coverage, 20400,
     /*  337996 */     GIR_EraseRootFromParent_Done,
     /*  337997 */   // Label 6192: @337997
     /*  337997 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338063), // Rule ID 20403 //
     /*  338002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338061 */     GIR_RootConstrainSelectedInstOperands,
     /*  338062 */     // GIR_Coverage, 20403,
     /*  338062 */     GIR_EraseRootFromParent_Done,
     /*  338063 */   // Label 6193: @338063
     /*  338063 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338129), // Rule ID 20404 //
     /*  338068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338127 */     GIR_RootConstrainSelectedInstOperands,
     /*  338128 */     // GIR_Coverage, 20404,
     /*  338128 */     GIR_EraseRootFromParent_Done,
     /*  338129 */   // Label 6194: @338129
     /*  338129 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338195), // Rule ID 20407 //
     /*  338134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338193 */     GIR_RootConstrainSelectedInstOperands,
     /*  338194 */     // GIR_Coverage, 20407,
     /*  338194 */     GIR_EraseRootFromParent_Done,
     /*  338195 */   // Label 6195: @338195
     /*  338195 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338261), // Rule ID 20408 //
     /*  338200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338259 */     GIR_RootConstrainSelectedInstOperands,
     /*  338260 */     // GIR_Coverage, 20408,
     /*  338260 */     GIR_EraseRootFromParent_Done,
     /*  338261 */   // Label 6196: @338261
     /*  338261 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338327), // Rule ID 20411 //
     /*  338266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338325 */     GIR_RootConstrainSelectedInstOperands,
     /*  338326 */     // GIR_Coverage, 20411,
     /*  338326 */     GIR_EraseRootFromParent_Done,
     /*  338327 */   // Label 6197: @338327
     /*  338327 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338393), // Rule ID 20412 //
     /*  338332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  338349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  338374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338391 */     GIR_RootConstrainSelectedInstOperands,
     /*  338392 */     // GIR_Coverage, 20412,
     /*  338392 */     GIR_EraseRootFromParent_Done,
     /*  338393 */   // Label 6198: @338393
     /*  338393 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338459), // Rule ID 20415 //
     /*  338398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338457 */     GIR_RootConstrainSelectedInstOperands,
     /*  338458 */     // GIR_Coverage, 20415,
     /*  338458 */     GIR_EraseRootFromParent_Done,
     /*  338459 */   // Label 6199: @338459
     /*  338459 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338525), // Rule ID 20416 //
     /*  338464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  338481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  338506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338523 */     GIR_RootConstrainSelectedInstOperands,
     /*  338524 */     // GIR_Coverage, 20416,
     /*  338524 */     GIR_EraseRootFromParent_Done,
     /*  338525 */   // Label 6200: @338525
     /*  338525 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338591), // Rule ID 20419 //
     /*  338530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338589 */     GIR_RootConstrainSelectedInstOperands,
     /*  338590 */     // GIR_Coverage, 20419,
     /*  338590 */     GIR_EraseRootFromParent_Done,
     /*  338591 */   // Label 6201: @338591
     /*  338591 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(338657), // Rule ID 20420 //
     /*  338596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  338604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  338613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  338638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338655 */     GIR_RootConstrainSelectedInstOperands,
     /*  338656 */     // GIR_Coverage, 20420,
     /*  338656 */     GIR_EraseRootFromParent_Done,
     /*  338657 */   // Label 6202: @338657
     /*  338657 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(338723), // Rule ID 20745 //
     /*  338662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  338673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  338704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338721 */     GIR_RootConstrainSelectedInstOperands,
     /*  338722 */     // GIR_Coverage, 20745,
     /*  338722 */     GIR_EraseRootFromParent_Done,
     /*  338723 */   // Label 6203: @338723
     /*  338723 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(338789), // Rule ID 20746 //
     /*  338728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  338739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  338770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338787 */     GIR_RootConstrainSelectedInstOperands,
     /*  338788 */     // GIR_Coverage, 20746,
     /*  338788 */     GIR_EraseRootFromParent_Done,
     /*  338789 */   // Label 6204: @338789
     /*  338789 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(338855), // Rule ID 20749 //
     /*  338794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  338805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  338836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338853 */     GIR_RootConstrainSelectedInstOperands,
     /*  338854 */     // GIR_Coverage, 20749,
     /*  338854 */     GIR_EraseRootFromParent_Done,
     /*  338855 */   // Label 6205: @338855
     /*  338855 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(338921), // Rule ID 20750 //
     /*  338860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  338871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  338902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338919 */     GIR_RootConstrainSelectedInstOperands,
     /*  338920 */     // GIR_Coverage, 20750,
     /*  338920 */     GIR_EraseRootFromParent_Done,
     /*  338921 */   // Label 6206: @338921
     /*  338921 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(338987), // Rule ID 20753 //
     /*  338926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  338937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338965 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  338968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338985 */     GIR_RootConstrainSelectedInstOperands,
     /*  338986 */     // GIR_Coverage, 20753,
     /*  338986 */     GIR_EraseRootFromParent_Done,
     /*  338987 */   // Label 6207: @338987
     /*  338987 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339053), // Rule ID 20754 //
     /*  338992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  339034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339051 */     GIR_RootConstrainSelectedInstOperands,
     /*  339052 */     // GIR_Coverage, 20754,
     /*  339052 */     GIR_EraseRootFromParent_Done,
     /*  339053 */   // Label 6208: @339053
     /*  339053 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339119), // Rule ID 20757 //
     /*  339058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339117 */     GIR_RootConstrainSelectedInstOperands,
     /*  339118 */     // GIR_Coverage, 20757,
     /*  339118 */     GIR_EraseRootFromParent_Done,
     /*  339119 */   // Label 6209: @339119
     /*  339119 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339185), // Rule ID 20758 //
     /*  339124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339183 */     GIR_RootConstrainSelectedInstOperands,
     /*  339184 */     // GIR_Coverage, 20758,
     /*  339184 */     GIR_EraseRootFromParent_Done,
     /*  339185 */   // Label 6210: @339185
     /*  339185 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339251), // Rule ID 20761 //
     /*  339190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339249 */     GIR_RootConstrainSelectedInstOperands,
     /*  339250 */     // GIR_Coverage, 20761,
     /*  339250 */     GIR_EraseRootFromParent_Done,
     /*  339251 */   // Label 6211: @339251
     /*  339251 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339317), // Rule ID 20762 //
     /*  339256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339315 */     GIR_RootConstrainSelectedInstOperands,
     /*  339316 */     // GIR_Coverage, 20762,
     /*  339316 */     GIR_EraseRootFromParent_Done,
     /*  339317 */   // Label 6212: @339317
     /*  339317 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339383), // Rule ID 20765 //
     /*  339322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339381 */     GIR_RootConstrainSelectedInstOperands,
     /*  339382 */     // GIR_Coverage, 20765,
     /*  339382 */     GIR_EraseRootFromParent_Done,
     /*  339383 */   // Label 6213: @339383
     /*  339383 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339449), // Rule ID 20766 //
     /*  339388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  339399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  339430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339447 */     GIR_RootConstrainSelectedInstOperands,
     /*  339448 */     // GIR_Coverage, 20766,
     /*  339448 */     GIR_EraseRootFromParent_Done,
     /*  339449 */   // Label 6214: @339449
     /*  339449 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339515), // Rule ID 20769 //
     /*  339454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339513 */     GIR_RootConstrainSelectedInstOperands,
     /*  339514 */     // GIR_Coverage, 20769,
     /*  339514 */     GIR_EraseRootFromParent_Done,
     /*  339515 */   // Label 6215: @339515
     /*  339515 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339581), // Rule ID 20770 //
     /*  339520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339579 */     GIR_RootConstrainSelectedInstOperands,
     /*  339580 */     // GIR_Coverage, 20770,
     /*  339580 */     GIR_EraseRootFromParent_Done,
     /*  339581 */   // Label 6216: @339581
     /*  339581 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(339647), // Rule ID 20773 //
     /*  339586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339645 */     GIR_RootConstrainSelectedInstOperands,
     /*  339646 */     // GIR_Coverage, 20773,
     /*  339646 */     GIR_EraseRootFromParent_Done,
     /*  339647 */   // Label 6217: @339647
     /*  339647 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(339713), // Rule ID 20774 //
     /*  339652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339711 */     GIR_RootConstrainSelectedInstOperands,
     /*  339712 */     // GIR_Coverage, 20774,
     /*  339712 */     GIR_EraseRootFromParent_Done,
     /*  339713 */   // Label 6218: @339713
     /*  339713 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(339779), // Rule ID 20777 //
     /*  339718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339757 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339777 */     GIR_RootConstrainSelectedInstOperands,
     /*  339778 */     // GIR_Coverage, 20777,
     /*  339778 */     GIR_EraseRootFromParent_Done,
     /*  339779 */   // Label 6219: @339779
     /*  339779 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(339845), // Rule ID 20778 //
     /*  339784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339823 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339843 */     GIR_RootConstrainSelectedInstOperands,
     /*  339844 */     // GIR_Coverage, 20778,
     /*  339844 */     GIR_EraseRootFromParent_Done,
     /*  339845 */   // Label 6220: @339845
     /*  339845 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(339911), // Rule ID 20781 //
     /*  339850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339909 */     GIR_RootConstrainSelectedInstOperands,
     /*  339910 */     // GIR_Coverage, 20781,
     /*  339910 */     GIR_EraseRootFromParent_Done,
     /*  339911 */   // Label 6221: @339911
     /*  339911 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(339977), // Rule ID 20782 //
     /*  339916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339975 */     GIR_RootConstrainSelectedInstOperands,
     /*  339976 */     // GIR_Coverage, 20782,
     /*  339976 */     GIR_EraseRootFromParent_Done,
     /*  339977 */   // Label 6222: @339977
     /*  339977 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340043), // Rule ID 20785 //
     /*  339982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  339993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340041 */     GIR_RootConstrainSelectedInstOperands,
     /*  340042 */     // GIR_Coverage, 20785,
     /*  340042 */     GIR_EraseRootFromParent_Done,
     /*  340043 */   // Label 6223: @340043
     /*  340043 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340109), // Rule ID 20786 //
     /*  340048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340107 */     GIR_RootConstrainSelectedInstOperands,
     /*  340108 */     // GIR_Coverage, 20786,
     /*  340108 */     GIR_EraseRootFromParent_Done,
     /*  340109 */   // Label 6224: @340109
     /*  340109 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340175), // Rule ID 20789 //
     /*  340114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340173 */     GIR_RootConstrainSelectedInstOperands,
     /*  340174 */     // GIR_Coverage, 20789,
     /*  340174 */     GIR_EraseRootFromParent_Done,
     /*  340175 */   // Label 6225: @340175
     /*  340175 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340241), // Rule ID 20790 //
     /*  340180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340239 */     GIR_RootConstrainSelectedInstOperands,
     /*  340240 */     // GIR_Coverage, 20790,
     /*  340240 */     GIR_EraseRootFromParent_Done,
     /*  340241 */   // Label 6226: @340241
     /*  340241 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340307), // Rule ID 20793 //
     /*  340246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340305 */     GIR_RootConstrainSelectedInstOperands,
     /*  340306 */     // GIR_Coverage, 20793,
     /*  340306 */     GIR_EraseRootFromParent_Done,
     /*  340307 */   // Label 6227: @340307
     /*  340307 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340373), // Rule ID 20794 //
     /*  340312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  340354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340371 */     GIR_RootConstrainSelectedInstOperands,
     /*  340372 */     // GIR_Coverage, 20794,
     /*  340372 */     GIR_EraseRootFromParent_Done,
     /*  340373 */   // Label 6228: @340373
     /*  340373 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340439), // Rule ID 20797 //
     /*  340378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340437 */     GIR_RootConstrainSelectedInstOperands,
     /*  340438 */     // GIR_Coverage, 20797,
     /*  340438 */     GIR_EraseRootFromParent_Done,
     /*  340439 */   // Label 6229: @340439
     /*  340439 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340505), // Rule ID 20798 //
     /*  340444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  340486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340503 */     GIR_RootConstrainSelectedInstOperands,
     /*  340504 */     // GIR_Coverage, 20798,
     /*  340504 */     GIR_EraseRootFromParent_Done,
     /*  340505 */   // Label 6230: @340505
     /*  340505 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340571), // Rule ID 20801 //
     /*  340510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340569 */     GIR_RootConstrainSelectedInstOperands,
     /*  340570 */     // GIR_Coverage, 20801,
     /*  340570 */     GIR_EraseRootFromParent_Done,
     /*  340571 */   // Label 6231: @340571
     /*  340571 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(340637), // Rule ID 20802 //
     /*  340576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  340584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  340618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340635 */     GIR_RootConstrainSelectedInstOperands,
     /*  340636 */     // GIR_Coverage, 20802,
     /*  340636 */     GIR_EraseRootFromParent_Done,
     /*  340637 */   // Label 6232: @340637
     /*  340637 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(340703), // Rule ID 20805 //
     /*  340642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340681 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  340684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340701 */     GIR_RootConstrainSelectedInstOperands,
     /*  340702 */     // GIR_Coverage, 20805,
     /*  340702 */     GIR_EraseRootFromParent_Done,
     /*  340703 */   // Label 6233: @340703
     /*  340703 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(340769), // Rule ID 20806 //
     /*  340708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  340750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340767 */     GIR_RootConstrainSelectedInstOperands,
     /*  340768 */     // GIR_Coverage, 20806,
     /*  340768 */     GIR_EraseRootFromParent_Done,
     /*  340769 */   // Label 6234: @340769
     /*  340769 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(340835), // Rule ID 20809 //
     /*  340774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  340816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340833 */     GIR_RootConstrainSelectedInstOperands,
     /*  340834 */     // GIR_Coverage, 20809,
     /*  340834 */     GIR_EraseRootFromParent_Done,
     /*  340835 */   // Label 6235: @340835
     /*  340835 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(340901), // Rule ID 20810 //
     /*  340840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  340882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340899 */     GIR_RootConstrainSelectedInstOperands,
     /*  340900 */     // GIR_Coverage, 20810,
     /*  340900 */     GIR_EraseRootFromParent_Done,
     /*  340901 */   // Label 6236: @340901
     /*  340901 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(340967), // Rule ID 20813 //
     /*  340906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  340948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340965 */     GIR_RootConstrainSelectedInstOperands,
     /*  340966 */     // GIR_Coverage, 20813,
     /*  340966 */     GIR_EraseRootFromParent_Done,
     /*  340967 */   // Label 6237: @340967
     /*  340967 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341033), // Rule ID 20814 //
     /*  340972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341011 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  341014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341031 */     GIR_RootConstrainSelectedInstOperands,
     /*  341032 */     // GIR_Coverage, 20814,
     /*  341032 */     GIR_EraseRootFromParent_Done,
     /*  341033 */   // Label 6238: @341033
     /*  341033 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341099), // Rule ID 20817 //
     /*  341038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341097 */     GIR_RootConstrainSelectedInstOperands,
     /*  341098 */     // GIR_Coverage, 20817,
     /*  341098 */     GIR_EraseRootFromParent_Done,
     /*  341099 */   // Label 6239: @341099
     /*  341099 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341165), // Rule ID 20818 //
     /*  341104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341163 */     GIR_RootConstrainSelectedInstOperands,
     /*  341164 */     // GIR_Coverage, 20818,
     /*  341164 */     GIR_EraseRootFromParent_Done,
     /*  341165 */   // Label 6240: @341165
     /*  341165 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341231), // Rule ID 20821 //
     /*  341170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341229 */     GIR_RootConstrainSelectedInstOperands,
     /*  341230 */     // GIR_Coverage, 20821,
     /*  341230 */     GIR_EraseRootFromParent_Done,
     /*  341231 */   // Label 6241: @341231
     /*  341231 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341297), // Rule ID 20822 //
     /*  341236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341295 */     GIR_RootConstrainSelectedInstOperands,
     /*  341296 */     // GIR_Coverage, 20822,
     /*  341296 */     GIR_EraseRootFromParent_Done,
     /*  341297 */   // Label 6242: @341297
     /*  341297 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341363), // Rule ID 20825 //
     /*  341302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341361 */     GIR_RootConstrainSelectedInstOperands,
     /*  341362 */     // GIR_Coverage, 20825,
     /*  341362 */     GIR_EraseRootFromParent_Done,
     /*  341363 */   // Label 6243: @341363
     /*  341363 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341429), // Rule ID 20826 //
     /*  341368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  341410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341427 */     GIR_RootConstrainSelectedInstOperands,
     /*  341428 */     // GIR_Coverage, 20826,
     /*  341428 */     GIR_EraseRootFromParent_Done,
     /*  341429 */   // Label 6244: @341429
     /*  341429 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341495), // Rule ID 20829 //
     /*  341434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341493 */     GIR_RootConstrainSelectedInstOperands,
     /*  341494 */     // GIR_Coverage, 20829,
     /*  341494 */     GIR_EraseRootFromParent_Done,
     /*  341495 */   // Label 6245: @341495
     /*  341495 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341561), // Rule ID 20830 //
     /*  341500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341559 */     GIR_RootConstrainSelectedInstOperands,
     /*  341560 */     // GIR_Coverage, 20830,
     /*  341560 */     GIR_EraseRootFromParent_Done,
     /*  341561 */   // Label 6246: @341561
     /*  341561 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(341627), // Rule ID 20833 //
     /*  341566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341605 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341625 */     GIR_RootConstrainSelectedInstOperands,
     /*  341626 */     // GIR_Coverage, 20833,
     /*  341626 */     GIR_EraseRootFromParent_Done,
     /*  341627 */   // Label 6247: @341627
     /*  341627 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(341693), // Rule ID 20834 //
     /*  341632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341691 */     GIR_RootConstrainSelectedInstOperands,
     /*  341692 */     // GIR_Coverage, 20834,
     /*  341692 */     GIR_EraseRootFromParent_Done,
     /*  341693 */   // Label 6248: @341693
     /*  341693 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(341759), // Rule ID 20837 //
     /*  341698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341757 */     GIR_RootConstrainSelectedInstOperands,
     /*  341758 */     // GIR_Coverage, 20837,
     /*  341758 */     GIR_EraseRootFromParent_Done,
     /*  341759 */   // Label 6249: @341759
     /*  341759 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(341825), // Rule ID 20838 //
     /*  341764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341823 */     GIR_RootConstrainSelectedInstOperands,
     /*  341824 */     // GIR_Coverage, 20838,
     /*  341824 */     GIR_EraseRootFromParent_Done,
     /*  341825 */   // Label 6250: @341825
     /*  341825 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(341891), // Rule ID 20841 //
     /*  341830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341889 */     GIR_RootConstrainSelectedInstOperands,
     /*  341890 */     // GIR_Coverage, 20841,
     /*  341890 */     GIR_EraseRootFromParent_Done,
     /*  341891 */   // Label 6251: @341891
     /*  341891 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(341957), // Rule ID 20842 //
     /*  341896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341955 */     GIR_RootConstrainSelectedInstOperands,
     /*  341956 */     // GIR_Coverage, 20842,
     /*  341956 */     GIR_EraseRootFromParent_Done,
     /*  341957 */   // Label 6252: @341957
     /*  341957 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342023), // Rule ID 20845 //
     /*  341962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  341973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342021 */     GIR_RootConstrainSelectedInstOperands,
     /*  342022 */     // GIR_Coverage, 20845,
     /*  342022 */     GIR_EraseRootFromParent_Done,
     /*  342023 */   // Label 6253: @342023
     /*  342023 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342089), // Rule ID 20846 //
     /*  342028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342087 */     GIR_RootConstrainSelectedInstOperands,
     /*  342088 */     // GIR_Coverage, 20846,
     /*  342088 */     GIR_EraseRootFromParent_Done,
     /*  342089 */   // Label 6254: @342089
     /*  342089 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342155), // Rule ID 20849 //
     /*  342094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342153 */     GIR_RootConstrainSelectedInstOperands,
     /*  342154 */     // GIR_Coverage, 20849,
     /*  342154 */     GIR_EraseRootFromParent_Done,
     /*  342155 */   // Label 6255: @342155
     /*  342155 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342221), // Rule ID 20850 //
     /*  342160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342219 */     GIR_RootConstrainSelectedInstOperands,
     /*  342220 */     // GIR_Coverage, 20850,
     /*  342220 */     GIR_EraseRootFromParent_Done,
     /*  342221 */   // Label 6256: @342221
     /*  342221 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342287), // Rule ID 20853 //
     /*  342226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342285 */     GIR_RootConstrainSelectedInstOperands,
     /*  342286 */     // GIR_Coverage, 20853,
     /*  342286 */     GIR_EraseRootFromParent_Done,
     /*  342287 */   // Label 6257: @342287
     /*  342287 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342353), // Rule ID 20854 //
     /*  342292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  342334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342351 */     GIR_RootConstrainSelectedInstOperands,
     /*  342352 */     // GIR_Coverage, 20854,
     /*  342352 */     GIR_EraseRootFromParent_Done,
     /*  342353 */   // Label 6258: @342353
     /*  342353 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342419), // Rule ID 20857 //
     /*  342358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342417 */     GIR_RootConstrainSelectedInstOperands,
     /*  342418 */     // GIR_Coverage, 20857,
     /*  342418 */     GIR_EraseRootFromParent_Done,
     /*  342419 */   // Label 6259: @342419
     /*  342419 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342485), // Rule ID 20858 //
     /*  342424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  342441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342463 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  342466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342483 */     GIR_RootConstrainSelectedInstOperands,
     /*  342484 */     // GIR_Coverage, 20858,
     /*  342484 */     GIR_EraseRootFromParent_Done,
     /*  342485 */   // Label 6260: @342485
     /*  342485 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342551), // Rule ID 20861 //
     /*  342490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342529 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342549 */     GIR_RootConstrainSelectedInstOperands,
     /*  342550 */     // GIR_Coverage, 20861,
     /*  342550 */     GIR_EraseRootFromParent_Done,
     /*  342551 */   // Label 6261: @342551
     /*  342551 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342617), // Rule ID 20862 //
     /*  342556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  342564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  342598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342615 */     GIR_RootConstrainSelectedInstOperands,
     /*  342616 */     // GIR_Coverage, 20862,
     /*  342616 */     GIR_EraseRootFromParent_Done,
     /*  342617 */   // Label 6262: @342617
     /*  342617 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(342683), // Rule ID 21129 //
     /*  342622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  342664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342681 */     GIR_RootConstrainSelectedInstOperands,
     /*  342682 */     // GIR_Coverage, 21129,
     /*  342682 */     GIR_EraseRootFromParent_Done,
     /*  342683 */   // Label 6263: @342683
     /*  342683 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(342749), // Rule ID 21130 //
     /*  342688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  342730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342747 */     GIR_RootConstrainSelectedInstOperands,
     /*  342748 */     // GIR_Coverage, 21130,
     /*  342748 */     GIR_EraseRootFromParent_Done,
     /*  342749 */   // Label 6264: @342749
     /*  342749 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(342815), // Rule ID 21133 //
     /*  342754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342813 */     GIR_RootConstrainSelectedInstOperands,
     /*  342814 */     // GIR_Coverage, 21133,
     /*  342814 */     GIR_EraseRootFromParent_Done,
     /*  342815 */   // Label 6265: @342815
     /*  342815 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(342881), // Rule ID 21134 //
     /*  342820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342879 */     GIR_RootConstrainSelectedInstOperands,
     /*  342880 */     // GIR_Coverage, 21134,
     /*  342880 */     GIR_EraseRootFromParent_Done,
     /*  342881 */   // Label 6266: @342881
     /*  342881 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(342947), // Rule ID 21137 //
     /*  342886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  342928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342945 */     GIR_RootConstrainSelectedInstOperands,
     /*  342946 */     // GIR_Coverage, 21137,
     /*  342946 */     GIR_EraseRootFromParent_Done,
     /*  342947 */   // Label 6267: @342947
     /*  342947 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343013), // Rule ID 21138 //
     /*  342952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  342994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343011 */     GIR_RootConstrainSelectedInstOperands,
     /*  343012 */     // GIR_Coverage, 21138,
     /*  343012 */     GIR_EraseRootFromParent_Done,
     /*  343013 */   // Label 6268: @343013
     /*  343013 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343079), // Rule ID 21141 //
     /*  343018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343077 */     GIR_RootConstrainSelectedInstOperands,
     /*  343078 */     // GIR_Coverage, 21141,
     /*  343078 */     GIR_EraseRootFromParent_Done,
     /*  343079 */   // Label 6269: @343079
     /*  343079 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343145), // Rule ID 21142 //
     /*  343084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343143 */     GIR_RootConstrainSelectedInstOperands,
     /*  343144 */     // GIR_Coverage, 21142,
     /*  343144 */     GIR_EraseRootFromParent_Done,
     /*  343145 */   // Label 6270: @343145
     /*  343145 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343211), // Rule ID 21145 //
     /*  343150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343209 */     GIR_RootConstrainSelectedInstOperands,
     /*  343210 */     // GIR_Coverage, 21145,
     /*  343210 */     GIR_EraseRootFromParent_Done,
     /*  343211 */   // Label 6271: @343211
     /*  343211 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343277), // Rule ID 21146 //
     /*  343216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343275 */     GIR_RootConstrainSelectedInstOperands,
     /*  343276 */     // GIR_Coverage, 21146,
     /*  343276 */     GIR_EraseRootFromParent_Done,
     /*  343277 */   // Label 6272: @343277
     /*  343277 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343343), // Rule ID 21149 //
     /*  343282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343341 */     GIR_RootConstrainSelectedInstOperands,
     /*  343342 */     // GIR_Coverage, 21149,
     /*  343342 */     GIR_EraseRootFromParent_Done,
     /*  343343 */   // Label 6273: @343343
     /*  343343 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343409), // Rule ID 21150 //
     /*  343348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  343390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343407 */     GIR_RootConstrainSelectedInstOperands,
     /*  343408 */     // GIR_Coverage, 21150,
     /*  343408 */     GIR_EraseRootFromParent_Done,
     /*  343409 */   // Label 6274: @343409
     /*  343409 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343475), // Rule ID 21153 //
     /*  343414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343473 */     GIR_RootConstrainSelectedInstOperands,
     /*  343474 */     // GIR_Coverage, 21153,
     /*  343474 */     GIR_EraseRootFromParent_Done,
     /*  343475 */   // Label 6275: @343475
     /*  343475 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343541), // Rule ID 21154 //
     /*  343480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343519 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  343522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343539 */     GIR_RootConstrainSelectedInstOperands,
     /*  343540 */     // GIR_Coverage, 21154,
     /*  343540 */     GIR_EraseRootFromParent_Done,
     /*  343541 */   // Label 6276: @343541
     /*  343541 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343607), // Rule ID 21157 //
     /*  343546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343585 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343605 */     GIR_RootConstrainSelectedInstOperands,
     /*  343606 */     // GIR_Coverage, 21157,
     /*  343606 */     GIR_EraseRootFromParent_Done,
     /*  343607 */   // Label 6277: @343607
     /*  343607 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(343673), // Rule ID 21158 //
     /*  343612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  343654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343671 */     GIR_RootConstrainSelectedInstOperands,
     /*  343672 */     // GIR_Coverage, 21158,
     /*  343672 */     GIR_EraseRootFromParent_Done,
     /*  343673 */   // Label 6278: @343673
     /*  343673 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(343739), // Rule ID 21161 //
     /*  343678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343737 */     GIR_RootConstrainSelectedInstOperands,
     /*  343738 */     // GIR_Coverage, 21161,
     /*  343738 */     GIR_EraseRootFromParent_Done,
     /*  343739 */   // Label 6279: @343739
     /*  343739 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(343805), // Rule ID 21162 //
     /*  343744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  343752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343783 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  343786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343803 */     GIR_RootConstrainSelectedInstOperands,
     /*  343804 */     // GIR_Coverage, 21162,
     /*  343804 */     GIR_EraseRootFromParent_Done,
     /*  343805 */   // Label 6280: @343805
     /*  343805 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(343871), // Rule ID 21165 //
     /*  343810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  343852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343869 */     GIR_RootConstrainSelectedInstOperands,
     /*  343870 */     // GIR_Coverage, 21165,
     /*  343870 */     GIR_EraseRootFromParent_Done,
     /*  343871 */   // Label 6281: @343871
     /*  343871 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(343937), // Rule ID 21166 //
     /*  343876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  343918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343935 */     GIR_RootConstrainSelectedInstOperands,
     /*  343936 */     // GIR_Coverage, 21166,
     /*  343936 */     GIR_EraseRootFromParent_Done,
     /*  343937 */   // Label 6282: @343937
     /*  343937 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344003), // Rule ID 21169 //
     /*  343942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  343984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344001 */     GIR_RootConstrainSelectedInstOperands,
     /*  344002 */     // GIR_Coverage, 21169,
     /*  344002 */     GIR_EraseRootFromParent_Done,
     /*  344003 */   // Label 6283: @344003
     /*  344003 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344069), // Rule ID 21170 //
     /*  344008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344067 */     GIR_RootConstrainSelectedInstOperands,
     /*  344068 */     // GIR_Coverage, 21170,
     /*  344068 */     GIR_EraseRootFromParent_Done,
     /*  344069 */   // Label 6284: @344069
     /*  344069 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344135), // Rule ID 21173 //
     /*  344074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344133 */     GIR_RootConstrainSelectedInstOperands,
     /*  344134 */     // GIR_Coverage, 21173,
     /*  344134 */     GIR_EraseRootFromParent_Done,
     /*  344135 */   // Label 6285: @344135
     /*  344135 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344201), // Rule ID 21174 //
     /*  344140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344199 */     GIR_RootConstrainSelectedInstOperands,
     /*  344200 */     // GIR_Coverage, 21174,
     /*  344200 */     GIR_EraseRootFromParent_Done,
     /*  344201 */   // Label 6286: @344201
     /*  344201 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344267), // Rule ID 21177 //
     /*  344206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344245 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344265 */     GIR_RootConstrainSelectedInstOperands,
     /*  344266 */     // GIR_Coverage, 21177,
     /*  344266 */     GIR_EraseRootFromParent_Done,
     /*  344267 */   // Label 6287: @344267
     /*  344267 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344333), // Rule ID 21178 //
     /*  344272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344331 */     GIR_RootConstrainSelectedInstOperands,
     /*  344332 */     // GIR_Coverage, 21178,
     /*  344332 */     GIR_EraseRootFromParent_Done,
     /*  344333 */   // Label 6288: @344333
     /*  344333 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344399), // Rule ID 21181 //
     /*  344338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344397 */     GIR_RootConstrainSelectedInstOperands,
     /*  344398 */     // GIR_Coverage, 21181,
     /*  344398 */     GIR_EraseRootFromParent_Done,
     /*  344399 */   // Label 6289: @344399
     /*  344399 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344465), // Rule ID 21182 //
     /*  344404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344463 */     GIR_RootConstrainSelectedInstOperands,
     /*  344464 */     // GIR_Coverage, 21182,
     /*  344464 */     GIR_EraseRootFromParent_Done,
     /*  344465 */   // Label 6290: @344465
     /*  344465 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344531), // Rule ID 21185 //
     /*  344470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344529 */     GIR_RootConstrainSelectedInstOperands,
     /*  344530 */     // GIR_Coverage, 21185,
     /*  344530 */     GIR_EraseRootFromParent_Done,
     /*  344531 */   // Label 6291: @344531
     /*  344531 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344597), // Rule ID 21186 //
     /*  344536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  344578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344595 */     GIR_RootConstrainSelectedInstOperands,
     /*  344596 */     // GIR_Coverage, 21186,
     /*  344596 */     GIR_EraseRootFromParent_Done,
     /*  344597 */   // Label 6292: @344597
     /*  344597 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(344663), // Rule ID 21189 //
     /*  344602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344661 */     GIR_RootConstrainSelectedInstOperands,
     /*  344662 */     // GIR_Coverage, 21189,
     /*  344662 */     GIR_EraseRootFromParent_Done,
     /*  344663 */   // Label 6293: @344663
     /*  344663 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(344729), // Rule ID 21190 //
     /*  344668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  344710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344727 */     GIR_RootConstrainSelectedInstOperands,
     /*  344728 */     // GIR_Coverage, 21190,
     /*  344728 */     GIR_EraseRootFromParent_Done,
     /*  344729 */   // Label 6294: @344729
     /*  344729 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(344795), // Rule ID 21193 //
     /*  344734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344793 */     GIR_RootConstrainSelectedInstOperands,
     /*  344794 */     // GIR_Coverage, 21193,
     /*  344794 */     GIR_EraseRootFromParent_Done,
     /*  344795 */   // Label 6295: @344795
     /*  344795 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(344861), // Rule ID 21194 //
     /*  344800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  344842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344859 */     GIR_RootConstrainSelectedInstOperands,
     /*  344860 */     // GIR_Coverage, 21194,
     /*  344860 */     GIR_EraseRootFromParent_Done,
     /*  344861 */   // Label 6296: @344861
     /*  344861 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(344927), // Rule ID 21197 //
     /*  344866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  344869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344925 */     GIR_RootConstrainSelectedInstOperands,
     /*  344926 */     // GIR_Coverage, 21197,
     /*  344926 */     GIR_EraseRootFromParent_Done,
     /*  344927 */   // Label 6297: @344927
     /*  344927 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(344993), // Rule ID 21198 //
     /*  344932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  344935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  344940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  344974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344991 */     GIR_RootConstrainSelectedInstOperands,
     /*  344992 */     // GIR_Coverage, 21198,
     /*  344992 */     GIR_EraseRootFromParent_Done,
     /*  344993 */   // Label 6298: @344993
     /*  344993 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345059), // Rule ID 21201 //
     /*  344998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345037 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345057 */     GIR_RootConstrainSelectedInstOperands,
     /*  345058 */     // GIR_Coverage, 21201,
     /*  345058 */     GIR_EraseRootFromParent_Done,
     /*  345059 */   // Label 6299: @345059
     /*  345059 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345125), // Rule ID 21202 //
     /*  345064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  345106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345123 */     GIR_RootConstrainSelectedInstOperands,
     /*  345124 */     // GIR_Coverage, 21202,
     /*  345124 */     GIR_EraseRootFromParent_Done,
     /*  345125 */   // Label 6300: @345125
     /*  345125 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345191), // Rule ID 21205 //
     /*  345130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345169 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345189 */     GIR_RootConstrainSelectedInstOperands,
     /*  345190 */     // GIR_Coverage, 21205,
     /*  345190 */     GIR_EraseRootFromParent_Done,
     /*  345191 */   // Label 6301: @345191
     /*  345191 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345257), // Rule ID 21206 //
     /*  345196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345235 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  345238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345255 */     GIR_RootConstrainSelectedInstOperands,
     /*  345256 */     // GIR_Coverage, 21206,
     /*  345256 */     GIR_EraseRootFromParent_Done,
     /*  345257 */   // Label 6302: @345257
     /*  345257 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345323), // Rule ID 21209 //
     /*  345262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345301 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345321 */     GIR_RootConstrainSelectedInstOperands,
     /*  345322 */     // GIR_Coverage, 21209,
     /*  345322 */     GIR_EraseRootFromParent_Done,
     /*  345323 */   // Label 6303: @345323
     /*  345323 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345389), // Rule ID 21210 //
     /*  345328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345367 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  345370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345387 */     GIR_RootConstrainSelectedInstOperands,
     /*  345388 */     // GIR_Coverage, 21210,
     /*  345388 */     GIR_EraseRootFromParent_Done,
     /*  345389 */   // Label 6304: @345389
     /*  345389 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345455), // Rule ID 21213 //
     /*  345394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345453 */     GIR_RootConstrainSelectedInstOperands,
     /*  345454 */     // GIR_Coverage, 21213,
     /*  345454 */     GIR_EraseRootFromParent_Done,
     /*  345455 */   // Label 6305: @345455
     /*  345455 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345521), // Rule ID 21214 //
     /*  345460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345499 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  345502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345519 */     GIR_RootConstrainSelectedInstOperands,
     /*  345520 */     // GIR_Coverage, 21214,
     /*  345520 */     GIR_EraseRootFromParent_Done,
     /*  345521 */   // Label 6306: @345521
     /*  345521 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345587), // Rule ID 21217 //
     /*  345526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345565 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  345568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345585 */     GIR_RootConstrainSelectedInstOperands,
     /*  345586 */     // GIR_Coverage, 21217,
     /*  345586 */     GIR_EraseRootFromParent_Done,
     /*  345587 */   // Label 6307: @345587
     /*  345587 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(345653), // Rule ID 21218 //
     /*  345592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345631 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  345634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345651 */     GIR_RootConstrainSelectedInstOperands,
     /*  345652 */     // GIR_Coverage, 21218,
     /*  345652 */     GIR_EraseRootFromParent_Done,
     /*  345653 */   // Label 6308: @345653
     /*  345653 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(345719), // Rule ID 21221 //
     /*  345658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345697 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  345700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345717 */     GIR_RootConstrainSelectedInstOperands,
     /*  345718 */     // GIR_Coverage, 21221,
     /*  345718 */     GIR_EraseRootFromParent_Done,
     /*  345719 */   // Label 6309: @345719
     /*  345719 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(345785), // Rule ID 21222 //
     /*  345724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345763 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  345766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345783 */     GIR_RootConstrainSelectedInstOperands,
     /*  345784 */     // GIR_Coverage, 21222,
     /*  345784 */     GIR_EraseRootFromParent_Done,
     /*  345785 */   // Label 6310: @345785
     /*  345785 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(345851), // Rule ID 21225 //
     /*  345790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  345832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345849 */     GIR_RootConstrainSelectedInstOperands,
     /*  345850 */     // GIR_Coverage, 21225,
     /*  345850 */     GIR_EraseRootFromParent_Done,
     /*  345851 */   // Label 6311: @345851
     /*  345851 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(345917), // Rule ID 21226 //
     /*  345856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345895 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  345898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345915 */     GIR_RootConstrainSelectedInstOperands,
     /*  345916 */     // GIR_Coverage, 21226,
     /*  345916 */     GIR_EraseRootFromParent_Done,
     /*  345917 */   // Label 6312: @345917
     /*  345917 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(345983), // Rule ID 21229 //
     /*  345922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345961 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  345964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345981 */     GIR_RootConstrainSelectedInstOperands,
     /*  345982 */     // GIR_Coverage, 21229,
     /*  345982 */     GIR_EraseRootFromParent_Done,
     /*  345983 */   // Label 6313: @345983
     /*  345983 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346049), // Rule ID 21230 //
     /*  345988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  346030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346047 */     GIR_RootConstrainSelectedInstOperands,
     /*  346048 */     // GIR_Coverage, 21230,
     /*  346048 */     GIR_EraseRootFromParent_Done,
     /*  346049 */   // Label 6314: @346049
     /*  346049 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346115), // Rule ID 21233 //
     /*  346054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346093 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346113 */     GIR_RootConstrainSelectedInstOperands,
     /*  346114 */     // GIR_Coverage, 21233,
     /*  346114 */     GIR_EraseRootFromParent_Done,
     /*  346115 */   // Label 6315: @346115
     /*  346115 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346181), // Rule ID 21234 //
     /*  346120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346159 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  346162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346179 */     GIR_RootConstrainSelectedInstOperands,
     /*  346180 */     // GIR_Coverage, 21234,
     /*  346180 */     GIR_EraseRootFromParent_Done,
     /*  346181 */   // Label 6316: @346181
     /*  346181 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346247), // Rule ID 21237 //
     /*  346186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346225 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346245 */     GIR_RootConstrainSelectedInstOperands,
     /*  346246 */     // GIR_Coverage, 21237,
     /*  346246 */     GIR_EraseRootFromParent_Done,
     /*  346247 */   // Label 6317: @346247
     /*  346247 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346313), // Rule ID 21238 //
     /*  346252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346291 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  346294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346311 */     GIR_RootConstrainSelectedInstOperands,
     /*  346312 */     // GIR_Coverage, 21238,
     /*  346312 */     GIR_EraseRootFromParent_Done,
     /*  346313 */   // Label 6318: @346313
     /*  346313 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346379), // Rule ID 21241 //
     /*  346318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346357 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346377 */     GIR_RootConstrainSelectedInstOperands,
     /*  346378 */     // GIR_Coverage, 21241,
     /*  346378 */     GIR_EraseRootFromParent_Done,
     /*  346379 */   // Label 6319: @346379
     /*  346379 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346445), // Rule ID 21242 //
     /*  346384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  346426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346443 */     GIR_RootConstrainSelectedInstOperands,
     /*  346444 */     // GIR_Coverage, 21242,
     /*  346444 */     GIR_EraseRootFromParent_Done,
     /*  346445 */   // Label 6320: @346445
     /*  346445 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346511), // Rule ID 21245 //
     /*  346450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346509 */     GIR_RootConstrainSelectedInstOperands,
     /*  346510 */     // GIR_Coverage, 21245,
     /*  346510 */     GIR_EraseRootFromParent_Done,
     /*  346511 */   // Label 6321: @346511
     /*  346511 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346577), // Rule ID 21246 //
     /*  346516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346555 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  346558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346575 */     GIR_RootConstrainSelectedInstOperands,
     /*  346576 */     // GIR_Coverage, 21246,
     /*  346576 */     GIR_EraseRootFromParent_Done,
     /*  346577 */   // Label 6322: @346577
     /*  346577 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(346643), // Rule ID 21249 //
     /*  346582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346621 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  346624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346641 */     GIR_RootConstrainSelectedInstOperands,
     /*  346642 */     // GIR_Coverage, 21249,
     /*  346642 */     GIR_EraseRootFromParent_Done,
     /*  346643 */   // Label 6323: @346643
     /*  346643 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(346709), // Rule ID 21250 //
     /*  346648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346687 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  346690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346707 */     GIR_RootConstrainSelectedInstOperands,
     /*  346708 */     // GIR_Coverage, 21250,
     /*  346708 */     GIR_EraseRootFromParent_Done,
     /*  346709 */   // Label 6324: @346709
     /*  346709 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(346775), // Rule ID 21253 //
     /*  346714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346753 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  346756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346773 */     GIR_RootConstrainSelectedInstOperands,
     /*  346774 */     // GIR_Coverage, 21253,
     /*  346774 */     GIR_EraseRootFromParent_Done,
     /*  346775 */   // Label 6325: @346775
     /*  346775 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(346841), // Rule ID 21254 //
     /*  346780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346819 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  346822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346839 */     GIR_RootConstrainSelectedInstOperands,
     /*  346840 */     // GIR_Coverage, 21254,
     /*  346840 */     GIR_EraseRootFromParent_Done,
     /*  346841 */   // Label 6326: @346841
     /*  346841 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(346907), // Rule ID 21257 //
     /*  346846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346885 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  346888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346905 */     GIR_RootConstrainSelectedInstOperands,
     /*  346906 */     // GIR_Coverage, 21257,
     /*  346906 */     GIR_EraseRootFromParent_Done,
     /*  346907 */   // Label 6327: @346907
     /*  346907 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(346973), // Rule ID 21258 //
     /*  346912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  346920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346951 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  346954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346971 */     GIR_RootConstrainSelectedInstOperands,
     /*  346972 */     // GIR_Coverage, 21258,
     /*  346972 */     GIR_EraseRootFromParent_Done,
     /*  346973 */   // Label 6328: @346973
     /*  346973 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347039), // Rule ID 21261 //
     /*  346978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  346989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  346992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  346995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347017 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347037 */     GIR_RootConstrainSelectedInstOperands,
     /*  347038 */     // GIR_Coverage, 21261,
     /*  347038 */     GIR_EraseRootFromParent_Done,
     /*  347039 */   // Label 6329: @347039
     /*  347039 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347105), // Rule ID 21262 //
     /*  347044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347083 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  347086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347103 */     GIR_RootConstrainSelectedInstOperands,
     /*  347104 */     // GIR_Coverage, 21262,
     /*  347104 */     GIR_EraseRootFromParent_Done,
     /*  347105 */   // Label 6330: @347105
     /*  347105 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347171), // Rule ID 21265 //
     /*  347110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347149 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347169 */     GIR_RootConstrainSelectedInstOperands,
     /*  347170 */     // GIR_Coverage, 21265,
     /*  347170 */     GIR_EraseRootFromParent_Done,
     /*  347171 */   // Label 6331: @347171
     /*  347171 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347237), // Rule ID 21266 //
     /*  347176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347215 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  347218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347235 */     GIR_RootConstrainSelectedInstOperands,
     /*  347236 */     // GIR_Coverage, 21266,
     /*  347236 */     GIR_EraseRootFromParent_Done,
     /*  347237 */   // Label 6332: @347237
     /*  347237 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347303), // Rule ID 21269 //
     /*  347242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347281 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347301 */     GIR_RootConstrainSelectedInstOperands,
     /*  347302 */     // GIR_Coverage, 21269,
     /*  347302 */     GIR_EraseRootFromParent_Done,
     /*  347303 */   // Label 6333: @347303
     /*  347303 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347369), // Rule ID 21270 //
     /*  347308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347347 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  347350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347367 */     GIR_RootConstrainSelectedInstOperands,
     /*  347368 */     // GIR_Coverage, 21270,
     /*  347368 */     GIR_EraseRootFromParent_Done,
     /*  347369 */   // Label 6334: @347369
     /*  347369 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347435), // Rule ID 21273 //
     /*  347374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347413 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347433 */     GIR_RootConstrainSelectedInstOperands,
     /*  347434 */     // GIR_Coverage, 21273,
     /*  347434 */     GIR_EraseRootFromParent_Done,
     /*  347435 */   // Label 6335: @347435
     /*  347435 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347501), // Rule ID 21274 //
     /*  347440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  347457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347479 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  347482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347499 */     GIR_RootConstrainSelectedInstOperands,
     /*  347500 */     // GIR_Coverage, 21274,
     /*  347500 */     GIR_EraseRootFromParent_Done,
     /*  347501 */   // Label 6336: @347501
     /*  347501 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347567), // Rule ID 21277 //
     /*  347506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347545 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347565 */     GIR_RootConstrainSelectedInstOperands,
     /*  347566 */     // GIR_Coverage, 21277,
     /*  347566 */     GIR_EraseRootFromParent_Done,
     /*  347567 */   // Label 6337: @347567
     /*  347567 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(347633), // Rule ID 21278 //
     /*  347572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  347589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347611 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  347614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347631 */     GIR_RootConstrainSelectedInstOperands,
     /*  347632 */     // GIR_Coverage, 21278,
     /*  347632 */     GIR_EraseRootFromParent_Done,
     /*  347633 */   // Label 6338: @347633
     /*  347633 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(347699), // Rule ID 21281 //
     /*  347638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  347655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  347680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347697 */     GIR_RootConstrainSelectedInstOperands,
     /*  347698 */     // GIR_Coverage, 21281,
     /*  347698 */     GIR_EraseRootFromParent_Done,
     /*  347699 */   // Label 6339: @347699
     /*  347699 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(347765), // Rule ID 21282 //
     /*  347704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  347721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347743 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  347746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347763 */     GIR_RootConstrainSelectedInstOperands,
     /*  347764 */     // GIR_Coverage, 21282,
     /*  347764 */     GIR_EraseRootFromParent_Done,
     /*  347765 */   // Label 6340: @347765
     /*  347765 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(347831), // Rule ID 21285 //
     /*  347770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347809 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  347812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347829 */     GIR_RootConstrainSelectedInstOperands,
     /*  347830 */     // GIR_Coverage, 21285,
     /*  347830 */     GIR_EraseRootFromParent_Done,
     /*  347831 */   // Label 6341: @347831
     /*  347831 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(347897), // Rule ID 21286 //
     /*  347836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347875 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  347878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347895 */     GIR_RootConstrainSelectedInstOperands,
     /*  347896 */     // GIR_Coverage, 21286,
     /*  347896 */     GIR_EraseRootFromParent_Done,
     /*  347897 */   // Label 6342: @347897
     /*  347897 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(347963), // Rule ID 21289 //
     /*  347902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  347944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347961 */     GIR_RootConstrainSelectedInstOperands,
     /*  347962 */     // GIR_Coverage, 21289,
     /*  347962 */     GIR_EraseRootFromParent_Done,
     /*  347963 */   // Label 6343: @347963
     /*  347963 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348029), // Rule ID 21290 //
     /*  347968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348007 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  348010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348027 */     GIR_RootConstrainSelectedInstOperands,
     /*  348028 */     // GIR_Coverage, 21290,
     /*  348028 */     GIR_EraseRootFromParent_Done,
     /*  348029 */   // Label 6344: @348029
     /*  348029 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348095), // Rule ID 21293 //
     /*  348034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348073 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348093 */     GIR_RootConstrainSelectedInstOperands,
     /*  348094 */     // GIR_Coverage, 21293,
     /*  348094 */     GIR_EraseRootFromParent_Done,
     /*  348095 */   // Label 6345: @348095
     /*  348095 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348161), // Rule ID 21294 //
     /*  348100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348139 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  348142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348159 */     GIR_RootConstrainSelectedInstOperands,
     /*  348160 */     // GIR_Coverage, 21294,
     /*  348160 */     GIR_EraseRootFromParent_Done,
     /*  348161 */   // Label 6346: @348161
     /*  348161 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348227), // Rule ID 21297 //
     /*  348166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348225 */     GIR_RootConstrainSelectedInstOperands,
     /*  348226 */     // GIR_Coverage, 21297,
     /*  348226 */     GIR_EraseRootFromParent_Done,
     /*  348227 */   // Label 6347: @348227
     /*  348227 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348293), // Rule ID 21298 //
     /*  348232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  348274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348291 */     GIR_RootConstrainSelectedInstOperands,
     /*  348292 */     // GIR_Coverage, 21298,
     /*  348292 */     GIR_EraseRootFromParent_Done,
     /*  348293 */   // Label 6348: @348293
     /*  348293 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348359), // Rule ID 21301 //
     /*  348298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  348301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348337 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348357 */     GIR_RootConstrainSelectedInstOperands,
     /*  348358 */     // GIR_Coverage, 21301,
     /*  348358 */     GIR_EraseRootFromParent_Done,
     /*  348359 */   // Label 6349: @348359
     /*  348359 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348425), // Rule ID 21302 //
     /*  348364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  348367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348403 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  348406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348423 */     GIR_RootConstrainSelectedInstOperands,
     /*  348424 */     // GIR_Coverage, 21302,
     /*  348424 */     GIR_EraseRootFromParent_Done,
     /*  348425 */   // Label 6350: @348425
     /*  348425 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348491), // Rule ID 21305 //
     /*  348430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348489 */     GIR_RootConstrainSelectedInstOperands,
     /*  348490 */     // GIR_Coverage, 21305,
     /*  348490 */     GIR_EraseRootFromParent_Done,
     /*  348491 */   // Label 6351: @348491
     /*  348491 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348557), // Rule ID 21306 //
     /*  348496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348535 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  348538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348555 */     GIR_RootConstrainSelectedInstOperands,
     /*  348556 */     // GIR_Coverage, 21306,
     /*  348556 */     GIR_EraseRootFromParent_Done,
     /*  348557 */   // Label 6352: @348557
     /*  348557 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(348623), // Rule ID 21309 //
     /*  348562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348601 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  348604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348621 */     GIR_RootConstrainSelectedInstOperands,
     /*  348622 */     // GIR_Coverage, 21309,
     /*  348622 */     GIR_EraseRootFromParent_Done,
     /*  348623 */   // Label 6353: @348623
     /*  348623 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(348689), // Rule ID 21310 //
     /*  348628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  348670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348687 */     GIR_RootConstrainSelectedInstOperands,
     /*  348688 */     // GIR_Coverage, 21310,
     /*  348688 */     GIR_EraseRootFromParent_Done,
     /*  348689 */   // Label 6354: @348689
     /*  348689 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(348755), // Rule ID 21313 //
     /*  348694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  348736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348753 */     GIR_RootConstrainSelectedInstOperands,
     /*  348754 */     // GIR_Coverage, 21313,
     /*  348754 */     GIR_EraseRootFromParent_Done,
     /*  348755 */   // Label 6355: @348755
     /*  348755 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(348821), // Rule ID 21314 //
     /*  348760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348799 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  348802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348819 */     GIR_RootConstrainSelectedInstOperands,
     /*  348820 */     // GIR_Coverage, 21314,
     /*  348820 */     GIR_EraseRootFromParent_Done,
     /*  348821 */   // Label 6356: @348821
     /*  348821 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(348887), // Rule ID 21317 //
     /*  348826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348865 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  348868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348885 */     GIR_RootConstrainSelectedInstOperands,
     /*  348886 */     // GIR_Coverage, 21317,
     /*  348886 */     GIR_EraseRootFromParent_Done,
     /*  348887 */   // Label 6357: @348887
     /*  348887 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(348953), // Rule ID 21318 //
     /*  348892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  348900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348931 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  348934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348951 */     GIR_RootConstrainSelectedInstOperands,
     /*  348952 */     // GIR_Coverage, 21318,
     /*  348952 */     GIR_EraseRootFromParent_Done,
     /*  348953 */   // Label 6358: @348953
     /*  348953 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349019), // Rule ID 21321 //
     /*  348958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  348961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348997 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349017 */     GIR_RootConstrainSelectedInstOperands,
     /*  349018 */     // GIR_Coverage, 21321,
     /*  349018 */     GIR_EraseRootFromParent_Done,
     /*  349019 */   // Label 6359: @349019
     /*  349019 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349085), // Rule ID 21322 //
     /*  349024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349063 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  349066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349083 */     GIR_RootConstrainSelectedInstOperands,
     /*  349084 */     // GIR_Coverage, 21322,
     /*  349084 */     GIR_EraseRootFromParent_Done,
     /*  349085 */   // Label 6360: @349085
     /*  349085 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349151), // Rule ID 21325 //
     /*  349090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349129 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349149 */     GIR_RootConstrainSelectedInstOperands,
     /*  349150 */     // GIR_Coverage, 21325,
     /*  349150 */     GIR_EraseRootFromParent_Done,
     /*  349151 */   // Label 6361: @349151
     /*  349151 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349217), // Rule ID 21326 //
     /*  349156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  349198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349215 */     GIR_RootConstrainSelectedInstOperands,
     /*  349216 */     // GIR_Coverage, 21326,
     /*  349216 */     GIR_EraseRootFromParent_Done,
     /*  349217 */   // Label 6362: @349217
     /*  349217 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349283), // Rule ID 21329 //
     /*  349222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349261 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349281 */     GIR_RootConstrainSelectedInstOperands,
     /*  349282 */     // GIR_Coverage, 21329,
     /*  349282 */     GIR_EraseRootFromParent_Done,
     /*  349283 */   // Label 6363: @349283
     /*  349283 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349349), // Rule ID 21330 //
     /*  349288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  349330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349347 */     GIR_RootConstrainSelectedInstOperands,
     /*  349348 */     // GIR_Coverage, 21330,
     /*  349348 */     GIR_EraseRootFromParent_Done,
     /*  349349 */   // Label 6364: @349349
     /*  349349 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349415), // Rule ID 21333 //
     /*  349354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349393 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349413 */     GIR_RootConstrainSelectedInstOperands,
     /*  349414 */     // GIR_Coverage, 21333,
     /*  349414 */     GIR_EraseRootFromParent_Done,
     /*  349415 */   // Label 6365: @349415
     /*  349415 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349481), // Rule ID 21334 //
     /*  349420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349459 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  349462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349479 */     GIR_RootConstrainSelectedInstOperands,
     /*  349480 */     // GIR_Coverage, 21334,
     /*  349480 */     GIR_EraseRootFromParent_Done,
     /*  349481 */   // Label 6366: @349481
     /*  349481 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349547), // Rule ID 21337 //
     /*  349486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  349489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349525 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349545 */     GIR_RootConstrainSelectedInstOperands,
     /*  349546 */     // GIR_Coverage, 21337,
     /*  349546 */     GIR_EraseRootFromParent_Done,
     /*  349547 */   // Label 6367: @349547
     /*  349547 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349613), // Rule ID 21338 //
     /*  349552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  349555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  349594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349611 */     GIR_RootConstrainSelectedInstOperands,
     /*  349612 */     // GIR_Coverage, 21338,
     /*  349612 */     GIR_EraseRootFromParent_Done,
     /*  349613 */   // Label 6368: @349613
     /*  349613 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(349679), // Rule ID 21341 //
     /*  349618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  349660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349677 */     GIR_RootConstrainSelectedInstOperands,
     /*  349678 */     // GIR_Coverage, 21341,
     /*  349678 */     GIR_EraseRootFromParent_Done,
     /*  349679 */   // Label 6369: @349679
     /*  349679 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(349745), // Rule ID 21342 //
     /*  349684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349723 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  349726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349743 */     GIR_RootConstrainSelectedInstOperands,
     /*  349744 */     // GIR_Coverage, 21342,
     /*  349744 */     GIR_EraseRootFromParent_Done,
     /*  349745 */   // Label 6370: @349745
     /*  349745 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(349811), // Rule ID 21345 //
     /*  349750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  349792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349809 */     GIR_RootConstrainSelectedInstOperands,
     /*  349810 */     // GIR_Coverage, 21345,
     /*  349810 */     GIR_EraseRootFromParent_Done,
     /*  349811 */   // Label 6371: @349811
     /*  349811 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(349877), // Rule ID 21346 //
     /*  349816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349855 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  349858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349875 */     GIR_RootConstrainSelectedInstOperands,
     /*  349876 */     // GIR_Coverage, 21346,
     /*  349876 */     GIR_EraseRootFromParent_Done,
     /*  349877 */   // Label 6372: @349877
     /*  349877 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(349943), // Rule ID 21349 //
     /*  349882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349921 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  349924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349941 */     GIR_RootConstrainSelectedInstOperands,
     /*  349942 */     // GIR_Coverage, 21349,
     /*  349942 */     GIR_EraseRootFromParent_Done,
     /*  349943 */   // Label 6373: @349943
     /*  349943 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350009), // Rule ID 21350 //
     /*  349948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  349956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  349990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350007 */     GIR_RootConstrainSelectedInstOperands,
     /*  350008 */     // GIR_Coverage, 21350,
     /*  350008 */     GIR_EraseRootFromParent_Done,
     /*  350009 */   // Label 6374: @350009
     /*  350009 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350075), // Rule ID 21353 //
     /*  350014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  350017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350053 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350073 */     GIR_RootConstrainSelectedInstOperands,
     /*  350074 */     // GIR_Coverage, 21353,
     /*  350074 */     GIR_EraseRootFromParent_Done,
     /*  350075 */   // Label 6375: @350075
     /*  350075 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350141), // Rule ID 21354 //
     /*  350080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  350083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  350088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350119 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  350122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350139 */     GIR_RootConstrainSelectedInstOperands,
     /*  350140 */     // GIR_Coverage, 21354,
     /*  350140 */     GIR_EraseRootFromParent_Done,
     /*  350141 */   // Label 6376: @350141
     /*  350141 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350207), // Rule ID 21597 //
     /*  350146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350205 */     GIR_RootConstrainSelectedInstOperands,
     /*  350206 */     // GIR_Coverage, 21597,
     /*  350206 */     GIR_EraseRootFromParent_Done,
     /*  350207 */   // Label 6377: @350207
     /*  350207 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350273), // Rule ID 21598 //
     /*  350212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  350254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350271 */     GIR_RootConstrainSelectedInstOperands,
     /*  350272 */     // GIR_Coverage, 21598,
     /*  350272 */     GIR_EraseRootFromParent_Done,
     /*  350273 */   // Label 6378: @350273
     /*  350273 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350339), // Rule ID 21601 //
     /*  350278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350337 */     GIR_RootConstrainSelectedInstOperands,
     /*  350338 */     // GIR_Coverage, 21601,
     /*  350338 */     GIR_EraseRootFromParent_Done,
     /*  350339 */   // Label 6379: @350339
     /*  350339 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350405), // Rule ID 21602 //
     /*  350344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  350355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  350358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350403 */     GIR_RootConstrainSelectedInstOperands,
     /*  350404 */     // GIR_Coverage, 21602,
     /*  350404 */     GIR_EraseRootFromParent_Done,
     /*  350405 */   // Label 6380: @350405
     /*  350405 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350471), // Rule ID 21605 //
     /*  350410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350469 */     GIR_RootConstrainSelectedInstOperands,
     /*  350470 */     // GIR_Coverage, 21605,
     /*  350470 */     GIR_EraseRootFromParent_Done,
     /*  350471 */   // Label 6381: @350471
     /*  350471 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350537), // Rule ID 21606 //
     /*  350476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  350487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  350490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350515 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350535 */     GIR_RootConstrainSelectedInstOperands,
     /*  350536 */     // GIR_Coverage, 21606,
     /*  350536 */     GIR_EraseRootFromParent_Done,
     /*  350537 */   // Label 6382: @350537
     /*  350537 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350603), // Rule ID 21609 //
     /*  350542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350601 */     GIR_RootConstrainSelectedInstOperands,
     /*  350602 */     // GIR_Coverage, 21609,
     /*  350602 */     GIR_EraseRootFromParent_Done,
     /*  350603 */   // Label 6383: @350603
     /*  350603 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(350669), // Rule ID 21610 //
     /*  350608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  350619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  350622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350667 */     GIR_RootConstrainSelectedInstOperands,
     /*  350668 */     // GIR_Coverage, 21610,
     /*  350668 */     GIR_EraseRootFromParent_Done,
     /*  350669 */   // Label 6384: @350669
     /*  350669 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(350735), // Rule ID 21613 //
     /*  350674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350713 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350733 */     GIR_RootConstrainSelectedInstOperands,
     /*  350734 */     // GIR_Coverage, 21613,
     /*  350734 */     GIR_EraseRootFromParent_Done,
     /*  350735 */   // Label 6385: @350735
     /*  350735 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(350801), // Rule ID 21614 //
     /*  350740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350799 */     GIR_RootConstrainSelectedInstOperands,
     /*  350800 */     // GIR_Coverage, 21614,
     /*  350800 */     GIR_EraseRootFromParent_Done,
     /*  350801 */   // Label 6386: @350801
     /*  350801 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(350867), // Rule ID 21617 //
     /*  350806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  350823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350845 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350865 */     GIR_RootConstrainSelectedInstOperands,
     /*  350866 */     // GIR_Coverage, 21617,
     /*  350866 */     GIR_EraseRootFromParent_Done,
     /*  350867 */   // Label 6387: @350867
     /*  350867 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(350933), // Rule ID 21618 //
     /*  350872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  350889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350931 */     GIR_RootConstrainSelectedInstOperands,
     /*  350932 */     // GIR_Coverage, 21618,
     /*  350932 */     GIR_EraseRootFromParent_Done,
     /*  350933 */   // Label 6388: @350933
     /*  350933 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(350999), // Rule ID 21621 //
     /*  350938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  350949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  350952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  350955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350977 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  350980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350997 */     GIR_RootConstrainSelectedInstOperands,
     /*  350998 */     // GIR_Coverage, 21621,
     /*  350998 */     GIR_EraseRootFromParent_Done,
     /*  350999 */   // Label 6389: @350999
     /*  350999 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351065), // Rule ID 21622 //
     /*  351004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  351046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351063 */     GIR_RootConstrainSelectedInstOperands,
     /*  351064 */     // GIR_Coverage, 21622,
     /*  351064 */     GIR_EraseRootFromParent_Done,
     /*  351065 */   // Label 6390: @351065
     /*  351065 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351131), // Rule ID 21625 //
     /*  351070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351109 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351129 */     GIR_RootConstrainSelectedInstOperands,
     /*  351130 */     // GIR_Coverage, 21625,
     /*  351130 */     GIR_EraseRootFromParent_Done,
     /*  351131 */   // Label 6391: @351131
     /*  351131 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351197), // Rule ID 21626 //
     /*  351136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351175 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351195 */     GIR_RootConstrainSelectedInstOperands,
     /*  351196 */     // GIR_Coverage, 21626,
     /*  351196 */     GIR_EraseRootFromParent_Done,
     /*  351197 */   // Label 6392: @351197
     /*  351197 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351263), // Rule ID 21629 //
     /*  351202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351261 */     GIR_RootConstrainSelectedInstOperands,
     /*  351262 */     // GIR_Coverage, 21629,
     /*  351262 */     GIR_EraseRootFromParent_Done,
     /*  351263 */   // Label 6393: @351263
     /*  351263 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351329), // Rule ID 21630 //
     /*  351268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351327 */     GIR_RootConstrainSelectedInstOperands,
     /*  351328 */     // GIR_Coverage, 21630,
     /*  351328 */     GIR_EraseRootFromParent_Done,
     /*  351329 */   // Label 6394: @351329
     /*  351329 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351395), // Rule ID 21633 //
     /*  351334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351373 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351393 */     GIR_RootConstrainSelectedInstOperands,
     /*  351394 */     // GIR_Coverage, 21633,
     /*  351394 */     GIR_EraseRootFromParent_Done,
     /*  351395 */   // Label 6395: @351395
     /*  351395 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351461), // Rule ID 21634 //
     /*  351400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351459 */     GIR_RootConstrainSelectedInstOperands,
     /*  351460 */     // GIR_Coverage, 21634,
     /*  351460 */     GIR_EraseRootFromParent_Done,
     /*  351461 */   // Label 6396: @351461
     /*  351461 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351527), // Rule ID 21637 //
     /*  351466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351505 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351525 */     GIR_RootConstrainSelectedInstOperands,
     /*  351526 */     // GIR_Coverage, 21637,
     /*  351526 */     GIR_EraseRootFromParent_Done,
     /*  351527 */   // Label 6397: @351527
     /*  351527 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351593), // Rule ID 21638 //
     /*  351532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  351543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  351546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  351574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351591 */     GIR_RootConstrainSelectedInstOperands,
     /*  351592 */     // GIR_Coverage, 21638,
     /*  351592 */     GIR_EraseRootFromParent_Done,
     /*  351593 */   // Label 6398: @351593
     /*  351593 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(351659), // Rule ID 21641 //
     /*  351598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  351615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351657 */     GIR_RootConstrainSelectedInstOperands,
     /*  351658 */     // GIR_Coverage, 21641,
     /*  351658 */     GIR_EraseRootFromParent_Done,
     /*  351659 */   // Label 6399: @351659
     /*  351659 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(351725), // Rule ID 21642 //
     /*  351664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  351681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351703 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  351706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351723 */     GIR_RootConstrainSelectedInstOperands,
     /*  351724 */     // GIR_Coverage, 21642,
     /*  351724 */     GIR_EraseRootFromParent_Done,
     /*  351725 */   // Label 6400: @351725
     /*  351725 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(351791), // Rule ID 21645 //
     /*  351730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351789 */     GIR_RootConstrainSelectedInstOperands,
     /*  351790 */     // GIR_Coverage, 21645,
     /*  351790 */     GIR_EraseRootFromParent_Done,
     /*  351791 */   // Label 6401: @351791
     /*  351791 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(351857), // Rule ID 21646 //
     /*  351796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  351838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351855 */     GIR_RootConstrainSelectedInstOperands,
     /*  351856 */     // GIR_Coverage, 21646,
     /*  351856 */     GIR_EraseRootFromParent_Done,
     /*  351857 */   // Label 6402: @351857
     /*  351857 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(351923), // Rule ID 21649 //
     /*  351862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351921 */     GIR_RootConstrainSelectedInstOperands,
     /*  351922 */     // GIR_Coverage, 21649,
     /*  351922 */     GIR_EraseRootFromParent_Done,
     /*  351923 */   // Label 6403: @351923
     /*  351923 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(351989), // Rule ID 21650 //
     /*  351928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  351936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  351970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351987 */     GIR_RootConstrainSelectedInstOperands,
     /*  351988 */     // GIR_Coverage, 21650,
     /*  351988 */     GIR_EraseRootFromParent_Done,
     /*  351989 */   // Label 6404: @351989
     /*  351989 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352055), // Rule ID 21653 //
     /*  351994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352053 */     GIR_RootConstrainSelectedInstOperands,
     /*  352054 */     // GIR_Coverage, 21653,
     /*  352054 */     GIR_EraseRootFromParent_Done,
     /*  352055 */   // Label 6405: @352055
     /*  352055 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352121), // Rule ID 21654 //
     /*  352060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  352068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  352102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352119 */     GIR_RootConstrainSelectedInstOperands,
     /*  352120 */     // GIR_Coverage, 21654,
     /*  352120 */     GIR_EraseRootFromParent_Done,
     /*  352121 */   // Label 6406: @352121
     /*  352121 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352187), // Rule ID 21657 //
     /*  352126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352185 */     GIR_RootConstrainSelectedInstOperands,
     /*  352186 */     // GIR_Coverage, 21657,
     /*  352186 */     GIR_EraseRootFromParent_Done,
     /*  352187 */   // Label 6407: @352187
     /*  352187 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352253), // Rule ID 21658 //
     /*  352192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352231 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  352234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352251 */     GIR_RootConstrainSelectedInstOperands,
     /*  352252 */     // GIR_Coverage, 21658,
     /*  352252 */     GIR_EraseRootFromParent_Done,
     /*  352253 */   // Label 6408: @352253
     /*  352253 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352319), // Rule ID 21661 //
     /*  352258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352317 */     GIR_RootConstrainSelectedInstOperands,
     /*  352318 */     // GIR_Coverage, 21661,
     /*  352318 */     GIR_EraseRootFromParent_Done,
     /*  352319 */   // Label 6409: @352319
     /*  352319 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352385), // Rule ID 21662 //
     /*  352324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352363 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352383 */     GIR_RootConstrainSelectedInstOperands,
     /*  352384 */     // GIR_Coverage, 21662,
     /*  352384 */     GIR_EraseRootFromParent_Done,
     /*  352385 */   // Label 6410: @352385
     /*  352385 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352451), // Rule ID 21665 //
     /*  352390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352429 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352449 */     GIR_RootConstrainSelectedInstOperands,
     /*  352450 */     // GIR_Coverage, 21665,
     /*  352450 */     GIR_EraseRootFromParent_Done,
     /*  352451 */   // Label 6411: @352451
     /*  352451 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352517), // Rule ID 21666 //
     /*  352456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352495 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352515 */     GIR_RootConstrainSelectedInstOperands,
     /*  352516 */     // GIR_Coverage, 21666,
     /*  352516 */     GIR_EraseRootFromParent_Done,
     /*  352517 */   // Label 6412: @352517
     /*  352517 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352583), // Rule ID 21669 //
     /*  352522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352581 */     GIR_RootConstrainSelectedInstOperands,
     /*  352582 */     // GIR_Coverage, 21669,
     /*  352582 */     GIR_EraseRootFromParent_Done,
     /*  352583 */   // Label 6413: @352583
     /*  352583 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(352649), // Rule ID 21670 //
     /*  352588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352647 */     GIR_RootConstrainSelectedInstOperands,
     /*  352648 */     // GIR_Coverage, 21670,
     /*  352648 */     GIR_EraseRootFromParent_Done,
     /*  352649 */   // Label 6414: @352649
     /*  352649 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(352715), // Rule ID 21673 //
     /*  352654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352693 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352713 */     GIR_RootConstrainSelectedInstOperands,
     /*  352714 */     // GIR_Coverage, 21673,
     /*  352714 */     GIR_EraseRootFromParent_Done,
     /*  352715 */   // Label 6415: @352715
     /*  352715 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(352781), // Rule ID 21674 //
     /*  352720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352779 */     GIR_RootConstrainSelectedInstOperands,
     /*  352780 */     // GIR_Coverage, 21674,
     /*  352780 */     GIR_EraseRootFromParent_Done,
     /*  352781 */   // Label 6416: @352781
     /*  352781 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(352847), // Rule ID 21677 //
     /*  352786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  352803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352845 */     GIR_RootConstrainSelectedInstOperands,
     /*  352846 */     // GIR_Coverage, 21677,
     /*  352846 */     GIR_EraseRootFromParent_Done,
     /*  352847 */   // Label 6417: @352847
     /*  352847 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(352913), // Rule ID 21678 //
     /*  352852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  352869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352891 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352911 */     GIR_RootConstrainSelectedInstOperands,
     /*  352912 */     // GIR_Coverage, 21678,
     /*  352912 */     GIR_EraseRootFromParent_Done,
     /*  352913 */   // Label 6418: @352913
     /*  352913 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(352979), // Rule ID 21681 //
     /*  352918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  352935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  352960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352977 */     GIR_RootConstrainSelectedInstOperands,
     /*  352978 */     // GIR_Coverage, 21681,
     /*  352978 */     GIR_EraseRootFromParent_Done,
     /*  352979 */   // Label 6419: @352979
     /*  352979 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353045), // Rule ID 21682 //
     /*  352984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353023 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  353026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353043 */     GIR_RootConstrainSelectedInstOperands,
     /*  353044 */     // GIR_Coverage, 21682,
     /*  353044 */     GIR_EraseRootFromParent_Done,
     /*  353045 */   // Label 6420: @353045
     /*  353045 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353111), // Rule ID 21685 //
     /*  353050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353089 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353109 */     GIR_RootConstrainSelectedInstOperands,
     /*  353110 */     // GIR_Coverage, 21685,
     /*  353110 */     GIR_EraseRootFromParent_Done,
     /*  353111 */   // Label 6421: @353111
     /*  353111 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353177), // Rule ID 21686 //
     /*  353116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353155 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353175 */     GIR_RootConstrainSelectedInstOperands,
     /*  353176 */     // GIR_Coverage, 21686,
     /*  353176 */     GIR_EraseRootFromParent_Done,
     /*  353177 */   // Label 6422: @353177
     /*  353177 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353243), // Rule ID 21689 //
     /*  353182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353241 */     GIR_RootConstrainSelectedInstOperands,
     /*  353242 */     // GIR_Coverage, 21689,
     /*  353242 */     GIR_EraseRootFromParent_Done,
     /*  353243 */   // Label 6423: @353243
     /*  353243 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353309), // Rule ID 21690 //
     /*  353248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353307 */     GIR_RootConstrainSelectedInstOperands,
     /*  353308 */     // GIR_Coverage, 21690,
     /*  353308 */     GIR_EraseRootFromParent_Done,
     /*  353309 */   // Label 6424: @353309
     /*  353309 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353375), // Rule ID 21693 //
     /*  353314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353373 */     GIR_RootConstrainSelectedInstOperands,
     /*  353374 */     // GIR_Coverage, 21693,
     /*  353374 */     GIR_EraseRootFromParent_Done,
     /*  353375 */   // Label 6425: @353375
     /*  353375 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353441), // Rule ID 21694 //
     /*  353380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353439 */     GIR_RootConstrainSelectedInstOperands,
     /*  353440 */     // GIR_Coverage, 21694,
     /*  353440 */     GIR_EraseRootFromParent_Done,
     /*  353441 */   // Label 6426: @353441
     /*  353441 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353507), // Rule ID 21697 //
     /*  353446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353505 */     GIR_RootConstrainSelectedInstOperands,
     /*  353506 */     // GIR_Coverage, 21697,
     /*  353506 */     GIR_EraseRootFromParent_Done,
     /*  353507 */   // Label 6427: @353507
     /*  353507 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353573), // Rule ID 21698 //
     /*  353512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  353554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353571 */     GIR_RootConstrainSelectedInstOperands,
     /*  353572 */     // GIR_Coverage, 21698,
     /*  353572 */     GIR_EraseRootFromParent_Done,
     /*  353573 */   // Label 6428: @353573
     /*  353573 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(353639), // Rule ID 21701 //
     /*  353578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353637 */     GIR_RootConstrainSelectedInstOperands,
     /*  353638 */     // GIR_Coverage, 21701,
     /*  353638 */     GIR_EraseRootFromParent_Done,
     /*  353639 */   // Label 6429: @353639
     /*  353639 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(353705), // Rule ID 21702 //
     /*  353644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  353686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353703 */     GIR_RootConstrainSelectedInstOperands,
     /*  353704 */     // GIR_Coverage, 21702,
     /*  353704 */     GIR_EraseRootFromParent_Done,
     /*  353705 */   // Label 6430: @353705
     /*  353705 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(353771), // Rule ID 21705 //
     /*  353710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353769 */     GIR_RootConstrainSelectedInstOperands,
     /*  353770 */     // GIR_Coverage, 21705,
     /*  353770 */     GIR_EraseRootFromParent_Done,
     /*  353771 */   // Label 6431: @353771
     /*  353771 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(353837), // Rule ID 21706 //
     /*  353776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  353818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353835 */     GIR_RootConstrainSelectedInstOperands,
     /*  353836 */     // GIR_Coverage, 21706,
     /*  353836 */     GIR_EraseRootFromParent_Done,
     /*  353837 */   // Label 6432: @353837
     /*  353837 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(353903), // Rule ID 21709 //
     /*  353842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353901 */     GIR_RootConstrainSelectedInstOperands,
     /*  353902 */     // GIR_Coverage, 21709,
     /*  353902 */     GIR_EraseRootFromParent_Done,
     /*  353903 */   // Label 6433: @353903
     /*  353903 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(353969), // Rule ID 21710 //
     /*  353908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  353950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353967 */     GIR_RootConstrainSelectedInstOperands,
     /*  353968 */     // GIR_Coverage, 21710,
     /*  353968 */     GIR_EraseRootFromParent_Done,
     /*  353969 */   // Label 6434: @353969
     /*  353969 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354035), // Rule ID 21713 //
     /*  353974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  353982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  353991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354013 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354033 */     GIR_RootConstrainSelectedInstOperands,
     /*  354034 */     // GIR_Coverage, 21713,
     /*  354034 */     GIR_EraseRootFromParent_Done,
     /*  354035 */   // Label 6435: @354035
     /*  354035 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354101), // Rule ID 21714 //
     /*  354040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  354048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  354082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354099 */     GIR_RootConstrainSelectedInstOperands,
     /*  354100 */     // GIR_Coverage, 21714,
     /*  354100 */     GIR_EraseRootFromParent_Done,
     /*  354101 */   // Label 6436: @354101
     /*  354101 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354167), // Rule ID 21825 //
     /*  354106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354145 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354165 */     GIR_RootConstrainSelectedInstOperands,
     /*  354166 */     // GIR_Coverage, 21825,
     /*  354166 */     GIR_EraseRootFromParent_Done,
     /*  354167 */   // Label 6437: @354167
     /*  354167 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354233), // Rule ID 21826 //
     /*  354172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  354183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  354186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354211 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  354214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354231 */     GIR_RootConstrainSelectedInstOperands,
     /*  354232 */     // GIR_Coverage, 21826,
     /*  354232 */     GIR_EraseRootFromParent_Done,
     /*  354233 */   // Label 6438: @354233
     /*  354233 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354299), // Rule ID 21829 //
     /*  354238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354277 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354297 */     GIR_RootConstrainSelectedInstOperands,
     /*  354298 */     // GIR_Coverage, 21829,
     /*  354298 */     GIR_EraseRootFromParent_Done,
     /*  354299 */   // Label 6439: @354299
     /*  354299 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354365), // Rule ID 21830 //
     /*  354304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  354315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  354318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354343 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  354346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354363 */     GIR_RootConstrainSelectedInstOperands,
     /*  354364 */     // GIR_Coverage, 21830,
     /*  354364 */     GIR_EraseRootFromParent_Done,
     /*  354365 */   // Label 6440: @354365
     /*  354365 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354431), // Rule ID 21833 //
     /*  354370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354409 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354429 */     GIR_RootConstrainSelectedInstOperands,
     /*  354430 */     // GIR_Coverage, 21833,
     /*  354430 */     GIR_EraseRootFromParent_Done,
     /*  354431 */   // Label 6441: @354431
     /*  354431 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354497), // Rule ID 21834 //
     /*  354436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  354447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  354450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354475 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  354478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354495 */     GIR_RootConstrainSelectedInstOperands,
     /*  354496 */     // GIR_Coverage, 21834,
     /*  354496 */     GIR_EraseRootFromParent_Done,
     /*  354497 */   // Label 6442: @354497
     /*  354497 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354563), // Rule ID 21837 //
     /*  354502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354541 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354561 */     GIR_RootConstrainSelectedInstOperands,
     /*  354562 */     // GIR_Coverage, 21837,
     /*  354562 */     GIR_EraseRootFromParent_Done,
     /*  354563 */   // Label 6443: @354563
     /*  354563 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354629), // Rule ID 21838 //
     /*  354568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  354610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354627 */     GIR_RootConstrainSelectedInstOperands,
     /*  354628 */     // GIR_Coverage, 21838,
     /*  354628 */     GIR_EraseRootFromParent_Done,
     /*  354629 */   // Label 6444: @354629
     /*  354629 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(354695), // Rule ID 21841 //
     /*  354634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  354637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354673 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  354676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354693 */     GIR_RootConstrainSelectedInstOperands,
     /*  354694 */     // GIR_Coverage, 21841,
     /*  354694 */     GIR_EraseRootFromParent_Done,
     /*  354695 */   // Label 6445: @354695
     /*  354695 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(354761), // Rule ID 21842 //
     /*  354700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  354703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354739 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  354742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354759 */     GIR_RootConstrainSelectedInstOperands,
     /*  354760 */     // GIR_Coverage, 21842,
     /*  354760 */     GIR_EraseRootFromParent_Done,
     /*  354761 */   // Label 6446: @354761
     /*  354761 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(354827), // Rule ID 21845 //
     /*  354766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354805 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  354808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354825 */     GIR_RootConstrainSelectedInstOperands,
     /*  354826 */     // GIR_Coverage, 21845,
     /*  354826 */     GIR_EraseRootFromParent_Done,
     /*  354827 */   // Label 6447: @354827
     /*  354827 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(354893), // Rule ID 21846 //
     /*  354832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  354849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  354874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354891 */     GIR_RootConstrainSelectedInstOperands,
     /*  354892 */     // GIR_Coverage, 21846,
     /*  354892 */     GIR_EraseRootFromParent_Done,
     /*  354893 */   // Label 6448: @354893
     /*  354893 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(354959), // Rule ID 21849 //
     /*  354898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  354940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354957 */     GIR_RootConstrainSelectedInstOperands,
     /*  354958 */     // GIR_Coverage, 21849,
     /*  354958 */     GIR_EraseRootFromParent_Done,
     /*  354959 */   // Label 6449: @354959
     /*  354959 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355025), // Rule ID 21850 //
     /*  354964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355003 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  355006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355023 */     GIR_RootConstrainSelectedInstOperands,
     /*  355024 */     // GIR_Coverage, 21850,
     /*  355024 */     GIR_EraseRootFromParent_Done,
     /*  355025 */   // Label 6450: @355025
     /*  355025 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355091), // Rule ID 21853 //
     /*  355030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355069 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355089 */     GIR_RootConstrainSelectedInstOperands,
     /*  355090 */     // GIR_Coverage, 21853,
     /*  355090 */     GIR_EraseRootFromParent_Done,
     /*  355091 */   // Label 6451: @355091
     /*  355091 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355157), // Rule ID 21854 //
     /*  355096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355135 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  355138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355155 */     GIR_RootConstrainSelectedInstOperands,
     /*  355156 */     // GIR_Coverage, 21854,
     /*  355156 */     GIR_EraseRootFromParent_Done,
     /*  355157 */   // Label 6452: @355157
     /*  355157 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355223), // Rule ID 21857 //
     /*  355162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355201 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355221 */     GIR_RootConstrainSelectedInstOperands,
     /*  355222 */     // GIR_Coverage, 21857,
     /*  355222 */     GIR_EraseRootFromParent_Done,
     /*  355223 */   // Label 6453: @355223
     /*  355223 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355289), // Rule ID 21858 //
     /*  355228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  355236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355267 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  355270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355287 */     GIR_RootConstrainSelectedInstOperands,
     /*  355288 */     // GIR_Coverage, 21858,
     /*  355288 */     GIR_EraseRootFromParent_Done,
     /*  355289 */   // Label 6454: @355289
     /*  355289 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355352), // Rule ID 23029 //
     /*  355294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355350 */     GIR_RootConstrainSelectedInstOperands,
     /*  355351 */     // GIR_Coverage, 23029,
     /*  355351 */     GIR_EraseRootFromParent_Done,
     /*  355352 */   // Label 6455: @355352
     /*  355352 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355415), // Rule ID 23030 //
     /*  355357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  355399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355413 */     GIR_RootConstrainSelectedInstOperands,
     /*  355414 */     // GIR_Coverage, 23030,
     /*  355414 */     GIR_EraseRootFromParent_Done,
     /*  355415 */   // Label 6456: @355415
     /*  355415 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355478), // Rule ID 23031 //
     /*  355420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355476 */     GIR_RootConstrainSelectedInstOperands,
     /*  355477 */     // GIR_Coverage, 23031,
     /*  355477 */     GIR_EraseRootFromParent_Done,
     /*  355478 */   // Label 6457: @355478
     /*  355478 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355541), // Rule ID 23032 //
     /*  355483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  355525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355539 */     GIR_RootConstrainSelectedInstOperands,
     /*  355540 */     // GIR_Coverage, 23032,
     /*  355540 */     GIR_EraseRootFromParent_Done,
     /*  355541 */   // Label 6458: @355541
     /*  355541 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355604), // Rule ID 23033 //
     /*  355546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  355588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355602 */     GIR_RootConstrainSelectedInstOperands,
     /*  355603 */     // GIR_Coverage, 23033,
     /*  355603 */     GIR_EraseRootFromParent_Done,
     /*  355604 */   // Label 6459: @355604
     /*  355604 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355667), // Rule ID 23034 //
     /*  355609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  355651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355665 */     GIR_RootConstrainSelectedInstOperands,
     /*  355666 */     // GIR_Coverage, 23034,
     /*  355666 */     GIR_EraseRootFromParent_Done,
     /*  355667 */   // Label 6460: @355667
     /*  355667 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(355730), // Rule ID 23035 //
     /*  355672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355711 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  355714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355728 */     GIR_RootConstrainSelectedInstOperands,
     /*  355729 */     // GIR_Coverage, 23035,
     /*  355729 */     GIR_EraseRootFromParent_Done,
     /*  355730 */   // Label 6461: @355730
     /*  355730 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(355793), // Rule ID 23036 //
     /*  355735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  355777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355791 */     GIR_RootConstrainSelectedInstOperands,
     /*  355792 */     // GIR_Coverage, 23036,
     /*  355792 */     GIR_EraseRootFromParent_Done,
     /*  355793 */   // Label 6462: @355793
     /*  355793 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(355856), // Rule ID 23037 //
     /*  355798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355837 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  355840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355854 */     GIR_RootConstrainSelectedInstOperands,
     /*  355855 */     // GIR_Coverage, 23037,
     /*  355855 */     GIR_EraseRootFromParent_Done,
     /*  355856 */   // Label 6463: @355856
     /*  355856 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(355919), // Rule ID 23038 //
     /*  355861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  355903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355917 */     GIR_RootConstrainSelectedInstOperands,
     /*  355918 */     // GIR_Coverage, 23038,
     /*  355918 */     GIR_EraseRootFromParent_Done,
     /*  355919 */   // Label 6464: @355919
     /*  355919 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(355982), // Rule ID 23039 //
     /*  355924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355963 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  355966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355980 */     GIR_RootConstrainSelectedInstOperands,
     /*  355981 */     // GIR_Coverage, 23039,
     /*  355981 */     GIR_EraseRootFromParent_Done,
     /*  355982 */   // Label 6465: @355982
     /*  355982 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356045), // Rule ID 23040 //
     /*  355987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  355995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356026 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  356029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356043 */     GIR_RootConstrainSelectedInstOperands,
     /*  356044 */     // GIR_Coverage, 23040,
     /*  356044 */     GIR_EraseRootFromParent_Done,
     /*  356045 */   // Label 6466: @356045
     /*  356045 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356108), // Rule ID 23041 //
     /*  356050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356106 */     GIR_RootConstrainSelectedInstOperands,
     /*  356107 */     // GIR_Coverage, 23041,
     /*  356107 */     GIR_EraseRootFromParent_Done,
     /*  356108 */   // Label 6467: @356108
     /*  356108 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356171), // Rule ID 23042 //
     /*  356113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  356155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356169 */     GIR_RootConstrainSelectedInstOperands,
     /*  356170 */     // GIR_Coverage, 23042,
     /*  356170 */     GIR_EraseRootFromParent_Done,
     /*  356171 */   // Label 6468: @356171
     /*  356171 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356234), // Rule ID 23043 //
     /*  356176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356215 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356232 */     GIR_RootConstrainSelectedInstOperands,
     /*  356233 */     // GIR_Coverage, 23043,
     /*  356233 */     GIR_EraseRootFromParent_Done,
     /*  356234 */   // Label 6469: @356234
     /*  356234 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356297), // Rule ID 23044 //
     /*  356239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  356281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356295 */     GIR_RootConstrainSelectedInstOperands,
     /*  356296 */     // GIR_Coverage, 23044,
     /*  356296 */     GIR_EraseRootFromParent_Done,
     /*  356297 */   // Label 6470: @356297
     /*  356297 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356360), // Rule ID 23045 //
     /*  356302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356358 */     GIR_RootConstrainSelectedInstOperands,
     /*  356359 */     // GIR_Coverage, 23045,
     /*  356359 */     GIR_EraseRootFromParent_Done,
     /*  356360 */   // Label 6471: @356360
     /*  356360 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356423), // Rule ID 23046 //
     /*  356365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  356407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356421 */     GIR_RootConstrainSelectedInstOperands,
     /*  356422 */     // GIR_Coverage, 23046,
     /*  356422 */     GIR_EraseRootFromParent_Done,
     /*  356423 */   // Label 6472: @356423
     /*  356423 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356486), // Rule ID 23047 //
     /*  356428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356484 */     GIR_RootConstrainSelectedInstOperands,
     /*  356485 */     // GIR_Coverage, 23047,
     /*  356485 */     GIR_EraseRootFromParent_Done,
     /*  356486 */   // Label 6473: @356486
     /*  356486 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356549), // Rule ID 23048 //
     /*  356491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  356533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356547 */     GIR_RootConstrainSelectedInstOperands,
     /*  356548 */     // GIR_Coverage, 23048,
     /*  356548 */     GIR_EraseRootFromParent_Done,
     /*  356549 */   // Label 6474: @356549
     /*  356549 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356612), // Rule ID 23049 //
     /*  356554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  356596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356610 */     GIR_RootConstrainSelectedInstOperands,
     /*  356611 */     // GIR_Coverage, 23049,
     /*  356611 */     GIR_EraseRootFromParent_Done,
     /*  356612 */   // Label 6475: @356612
     /*  356612 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356675), // Rule ID 23050 //
     /*  356617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356656 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  356659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356673 */     GIR_RootConstrainSelectedInstOperands,
     /*  356674 */     // GIR_Coverage, 23050,
     /*  356674 */     GIR_EraseRootFromParent_Done,
     /*  356675 */   // Label 6476: @356675
     /*  356675 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(356738), // Rule ID 23051 //
     /*  356680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356719 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  356722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356736 */     GIR_RootConstrainSelectedInstOperands,
     /*  356737 */     // GIR_Coverage, 23051,
     /*  356737 */     GIR_EraseRootFromParent_Done,
     /*  356738 */   // Label 6477: @356738
     /*  356738 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(356801), // Rule ID 23052 //
     /*  356743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356782 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  356785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356799 */     GIR_RootConstrainSelectedInstOperands,
     /*  356800 */     // GIR_Coverage, 23052,
     /*  356800 */     GIR_EraseRootFromParent_Done,
     /*  356801 */   // Label 6478: @356801
     /*  356801 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(356864), // Rule ID 23053 //
     /*  356806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356845 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  356848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356862 */     GIR_RootConstrainSelectedInstOperands,
     /*  356863 */     // GIR_Coverage, 23053,
     /*  356863 */     GIR_EraseRootFromParent_Done,
     /*  356864 */   // Label 6479: @356864
     /*  356864 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(356927), // Rule ID 23054 //
     /*  356869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  356877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356908 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  356911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356925 */     GIR_RootConstrainSelectedInstOperands,
     /*  356926 */     // GIR_Coverage, 23054,
     /*  356926 */     GIR_EraseRootFromParent_Done,
     /*  356927 */   // Label 6480: @356927
     /*  356927 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(356990), // Rule ID 23055 //
     /*  356932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  356974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356988 */     GIR_RootConstrainSelectedInstOperands,
     /*  356989 */     // GIR_Coverage, 23055,
     /*  356989 */     GIR_EraseRootFromParent_Done,
     /*  356990 */   // Label 6481: @356990
     /*  356990 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357053), // Rule ID 23056 //
     /*  356995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  357037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357051 */     GIR_RootConstrainSelectedInstOperands,
     /*  357052 */     // GIR_Coverage, 23056,
     /*  357052 */     GIR_EraseRootFromParent_Done,
     /*  357053 */   // Label 6482: @357053
     /*  357053 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357116), // Rule ID 23057 //
     /*  357058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357114 */     GIR_RootConstrainSelectedInstOperands,
     /*  357115 */     // GIR_Coverage, 23057,
     /*  357115 */     GIR_EraseRootFromParent_Done,
     /*  357116 */   // Label 6483: @357116
     /*  357116 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357179), // Rule ID 23058 //
     /*  357121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  357163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357177 */     GIR_RootConstrainSelectedInstOperands,
     /*  357178 */     // GIR_Coverage, 23058,
     /*  357178 */     GIR_EraseRootFromParent_Done,
     /*  357179 */   // Label 6484: @357179
     /*  357179 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357242), // Rule ID 23059 //
     /*  357184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357240 */     GIR_RootConstrainSelectedInstOperands,
     /*  357241 */     // GIR_Coverage, 23059,
     /*  357241 */     GIR_EraseRootFromParent_Done,
     /*  357242 */   // Label 6485: @357242
     /*  357242 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357305), // Rule ID 23060 //
     /*  357247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357286 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  357289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357303 */     GIR_RootConstrainSelectedInstOperands,
     /*  357304 */     // GIR_Coverage, 23060,
     /*  357304 */     GIR_EraseRootFromParent_Done,
     /*  357305 */   // Label 6486: @357305
     /*  357305 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357368), // Rule ID 23061 //
     /*  357310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357366 */     GIR_RootConstrainSelectedInstOperands,
     /*  357367 */     // GIR_Coverage, 23061,
     /*  357367 */     GIR_EraseRootFromParent_Done,
     /*  357368 */   // Label 6487: @357368
     /*  357368 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357431), // Rule ID 23062 //
     /*  357373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  357415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357429 */     GIR_RootConstrainSelectedInstOperands,
     /*  357430 */     // GIR_Coverage, 23062,
     /*  357430 */     GIR_EraseRootFromParent_Done,
     /*  357431 */   // Label 6488: @357431
     /*  357431 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357494), // Rule ID 23063 //
     /*  357436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357475 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357492 */     GIR_RootConstrainSelectedInstOperands,
     /*  357493 */     // GIR_Coverage, 23063,
     /*  357493 */     GIR_EraseRootFromParent_Done,
     /*  357494 */   // Label 6489: @357494
     /*  357494 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357557), // Rule ID 23064 //
     /*  357499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357538 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  357541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357555 */     GIR_RootConstrainSelectedInstOperands,
     /*  357556 */     // GIR_Coverage, 23064,
     /*  357556 */     GIR_EraseRootFromParent_Done,
     /*  357557 */   // Label 6490: @357557
     /*  357557 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357620), // Rule ID 23065 //
     /*  357562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  357604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357618 */     GIR_RootConstrainSelectedInstOperands,
     /*  357619 */     // GIR_Coverage, 23065,
     /*  357619 */     GIR_EraseRootFromParent_Done,
     /*  357620 */   // Label 6491: @357620
     /*  357620 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(357683), // Rule ID 23066 //
     /*  357625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  357667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357681 */     GIR_RootConstrainSelectedInstOperands,
     /*  357682 */     // GIR_Coverage, 23066,
     /*  357682 */     GIR_EraseRootFromParent_Done,
     /*  357683 */   // Label 6492: @357683
     /*  357683 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(357746), // Rule ID 23067 //
     /*  357688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357727 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  357730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357744 */     GIR_RootConstrainSelectedInstOperands,
     /*  357745 */     // GIR_Coverage, 23067,
     /*  357745 */     GIR_EraseRootFromParent_Done,
     /*  357746 */   // Label 6493: @357746
     /*  357746 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(357809), // Rule ID 23068 //
     /*  357751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  357759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357790 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  357793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357807 */     GIR_RootConstrainSelectedInstOperands,
     /*  357808 */     // GIR_Coverage, 23068,
     /*  357808 */     GIR_EraseRootFromParent_Done,
     /*  357809 */   // Label 6494: @357809
     /*  357809 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(357872), // Rule ID 23069 //
     /*  357814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357853 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  357856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357870 */     GIR_RootConstrainSelectedInstOperands,
     /*  357871 */     // GIR_Coverage, 23069,
     /*  357871 */     GIR_EraseRootFromParent_Done,
     /*  357872 */   // Label 6495: @357872
     /*  357872 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(357935), // Rule ID 23070 //
     /*  357877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  357919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357933 */     GIR_RootConstrainSelectedInstOperands,
     /*  357934 */     // GIR_Coverage, 23070,
     /*  357934 */     GIR_EraseRootFromParent_Done,
     /*  357935 */   // Label 6496: @357935
     /*  357935 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(357998), // Rule ID 23071 //
     /*  357940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357979 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  357982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357996 */     GIR_RootConstrainSelectedInstOperands,
     /*  357997 */     // GIR_Coverage, 23071,
     /*  357997 */     GIR_EraseRootFromParent_Done,
     /*  357998 */   // Label 6497: @357998
     /*  357998 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358061), // Rule ID 23072 //
     /*  358003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  358045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358059 */     GIR_RootConstrainSelectedInstOperands,
     /*  358060 */     // GIR_Coverage, 23072,
     /*  358060 */     GIR_EraseRootFromParent_Done,
     /*  358061 */   // Label 6498: @358061
     /*  358061 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358124), // Rule ID 23073 //
     /*  358066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358105 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358122 */     GIR_RootConstrainSelectedInstOperands,
     /*  358123 */     // GIR_Coverage, 23073,
     /*  358123 */     GIR_EraseRootFromParent_Done,
     /*  358124 */   // Label 6499: @358124
     /*  358124 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358187), // Rule ID 23074 //
     /*  358129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  358171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358185 */     GIR_RootConstrainSelectedInstOperands,
     /*  358186 */     // GIR_Coverage, 23074,
     /*  358186 */     GIR_EraseRootFromParent_Done,
     /*  358187 */   // Label 6500: @358187
     /*  358187 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358250), // Rule ID 23075 //
     /*  358192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358231 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358248 */     GIR_RootConstrainSelectedInstOperands,
     /*  358249 */     // GIR_Coverage, 23075,
     /*  358249 */     GIR_EraseRootFromParent_Done,
     /*  358250 */   // Label 6501: @358250
     /*  358250 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358313), // Rule ID 23076 //
     /*  358255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358294 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  358297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358311 */     GIR_RootConstrainSelectedInstOperands,
     /*  358312 */     // GIR_Coverage, 23076,
     /*  358312 */     GIR_EraseRootFromParent_Done,
     /*  358313 */   // Label 6502: @358313
     /*  358313 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358376), // Rule ID 23077 //
     /*  358318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358374 */     GIR_RootConstrainSelectedInstOperands,
     /*  358375 */     // GIR_Coverage, 23077,
     /*  358375 */     GIR_EraseRootFromParent_Done,
     /*  358376 */   // Label 6503: @358376
     /*  358376 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358439), // Rule ID 23078 //
     /*  358381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  358423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358437 */     GIR_RootConstrainSelectedInstOperands,
     /*  358438 */     // GIR_Coverage, 23078,
     /*  358438 */     GIR_EraseRootFromParent_Done,
     /*  358439 */   // Label 6504: @358439
     /*  358439 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358502), // Rule ID 23079 //
     /*  358444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358483 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358500 */     GIR_RootConstrainSelectedInstOperands,
     /*  358501 */     // GIR_Coverage, 23079,
     /*  358501 */     GIR_EraseRootFromParent_Done,
     /*  358502 */   // Label 6505: @358502
     /*  358502 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358565), // Rule ID 23080 //
     /*  358507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358546 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  358549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358563 */     GIR_RootConstrainSelectedInstOperands,
     /*  358564 */     // GIR_Coverage, 23080,
     /*  358564 */     GIR_EraseRootFromParent_Done,
     /*  358565 */   // Label 6506: @358565
     /*  358565 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358628), // Rule ID 23081 //
     /*  358570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358609 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  358612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358626 */     GIR_RootConstrainSelectedInstOperands,
     /*  358627 */     // GIR_Coverage, 23081,
     /*  358627 */     GIR_EraseRootFromParent_Done,
     /*  358628 */   // Label 6507: @358628
     /*  358628 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(358691), // Rule ID 23082 //
     /*  358633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  358641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358672 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  358675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358689 */     GIR_RootConstrainSelectedInstOperands,
     /*  358690 */     // GIR_Coverage, 23082,
     /*  358690 */     GIR_EraseRootFromParent_Done,
     /*  358691 */   // Label 6508: @358691
     /*  358691 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(358754), // Rule ID 23083 //
     /*  358696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358735 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  358738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358752 */     GIR_RootConstrainSelectedInstOperands,
     /*  358753 */     // GIR_Coverage, 23083,
     /*  358753 */     GIR_EraseRootFromParent_Done,
     /*  358754 */   // Label 6509: @358754
     /*  358754 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(358817), // Rule ID 23084 //
     /*  358759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  358801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358815 */     GIR_RootConstrainSelectedInstOperands,
     /*  358816 */     // GIR_Coverage, 23084,
     /*  358816 */     GIR_EraseRootFromParent_Done,
     /*  358817 */   // Label 6510: @358817
     /*  358817 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(358880), // Rule ID 23085 //
     /*  358822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  358864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358878 */     GIR_RootConstrainSelectedInstOperands,
     /*  358879 */     // GIR_Coverage, 23085,
     /*  358879 */     GIR_EraseRootFromParent_Done,
     /*  358880 */   // Label 6511: @358880
     /*  358880 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(358943), // Rule ID 23086 //
     /*  358885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  358927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358941 */     GIR_RootConstrainSelectedInstOperands,
     /*  358942 */     // GIR_Coverage, 23086,
     /*  358942 */     GIR_EraseRootFromParent_Done,
     /*  358943 */   // Label 6512: @358943
     /*  358943 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359006), // Rule ID 23087 //
     /*  358948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358987 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  358990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359004 */     GIR_RootConstrainSelectedInstOperands,
     /*  359005 */     // GIR_Coverage, 23087,
     /*  359005 */     GIR_EraseRootFromParent_Done,
     /*  359006 */   // Label 6513: @359006
     /*  359006 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359069), // Rule ID 23088 //
     /*  359011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  359053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359067 */     GIR_RootConstrainSelectedInstOperands,
     /*  359068 */     // GIR_Coverage, 23088,
     /*  359068 */     GIR_EraseRootFromParent_Done,
     /*  359069 */   // Label 6514: @359069
     /*  359069 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359132), // Rule ID 23089 //
     /*  359074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359130 */     GIR_RootConstrainSelectedInstOperands,
     /*  359131 */     // GIR_Coverage, 23089,
     /*  359131 */     GIR_EraseRootFromParent_Done,
     /*  359132 */   // Label 6515: @359132
     /*  359132 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359195), // Rule ID 23090 //
     /*  359137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  359179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359193 */     GIR_RootConstrainSelectedInstOperands,
     /*  359194 */     // GIR_Coverage, 23090,
     /*  359194 */     GIR_EraseRootFromParent_Done,
     /*  359195 */   // Label 6516: @359195
     /*  359195 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359258), // Rule ID 23091 //
     /*  359200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359239 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359256 */     GIR_RootConstrainSelectedInstOperands,
     /*  359257 */     // GIR_Coverage, 23091,
     /*  359257 */     GIR_EraseRootFromParent_Done,
     /*  359258 */   // Label 6517: @359258
     /*  359258 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359321), // Rule ID 23092 //
     /*  359263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359302 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  359305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359319 */     GIR_RootConstrainSelectedInstOperands,
     /*  359320 */     // GIR_Coverage, 23092,
     /*  359320 */     GIR_EraseRootFromParent_Done,
     /*  359321 */   // Label 6518: @359321
     /*  359321 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359384), // Rule ID 23093 //
     /*  359326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359365 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359382 */     GIR_RootConstrainSelectedInstOperands,
     /*  359383 */     // GIR_Coverage, 23093,
     /*  359383 */     GIR_EraseRootFromParent_Done,
     /*  359384 */   // Label 6519: @359384
     /*  359384 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359447), // Rule ID 23094 //
     /*  359389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359428 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  359431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359445 */     GIR_RootConstrainSelectedInstOperands,
     /*  359446 */     // GIR_Coverage, 23094,
     /*  359446 */     GIR_EraseRootFromParent_Done,
     /*  359447 */   // Label 6520: @359447
     /*  359447 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359510), // Rule ID 23095 //
     /*  359452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359491 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359508 */     GIR_RootConstrainSelectedInstOperands,
     /*  359509 */     // GIR_Coverage, 23095,
     /*  359509 */     GIR_EraseRootFromParent_Done,
     /*  359510 */   // Label 6521: @359510
     /*  359510 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359573), // Rule ID 23096 //
     /*  359515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  359523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359554 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  359557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359571 */     GIR_RootConstrainSelectedInstOperands,
     /*  359572 */     // GIR_Coverage, 23096,
     /*  359572 */     GIR_EraseRootFromParent_Done,
     /*  359573 */   // Label 6522: @359573
     /*  359573 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359636), // Rule ID 23097 //
     /*  359578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  359620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359634 */     GIR_RootConstrainSelectedInstOperands,
     /*  359635 */     // GIR_Coverage, 23097,
     /*  359635 */     GIR_EraseRootFromParent_Done,
     /*  359636 */   // Label 6523: @359636
     /*  359636 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(359699), // Rule ID 23098 //
     /*  359641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  359683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359697 */     GIR_RootConstrainSelectedInstOperands,
     /*  359698 */     // GIR_Coverage, 23098,
     /*  359698 */     GIR_EraseRootFromParent_Done,
     /*  359699 */   // Label 6524: @359699
     /*  359699 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(359762), // Rule ID 23099 //
     /*  359704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359743 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  359746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359760 */     GIR_RootConstrainSelectedInstOperands,
     /*  359761 */     // GIR_Coverage, 23099,
     /*  359761 */     GIR_EraseRootFromParent_Done,
     /*  359762 */   // Label 6525: @359762
     /*  359762 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(359825), // Rule ID 23100 //
     /*  359767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  359809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359823 */     GIR_RootConstrainSelectedInstOperands,
     /*  359824 */     // GIR_Coverage, 23100,
     /*  359824 */     GIR_EraseRootFromParent_Done,
     /*  359825 */   // Label 6526: @359825
     /*  359825 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(359888), // Rule ID 23101 //
     /*  359830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  359872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359886 */     GIR_RootConstrainSelectedInstOperands,
     /*  359887 */     // GIR_Coverage, 23101,
     /*  359887 */     GIR_EraseRootFromParent_Done,
     /*  359888 */   // Label 6527: @359888
     /*  359888 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(359951), // Rule ID 23102 //
     /*  359893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  359935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359949 */     GIR_RootConstrainSelectedInstOperands,
     /*  359950 */     // GIR_Coverage, 23102,
     /*  359950 */     GIR_EraseRootFromParent_Done,
     /*  359951 */   // Label 6528: @359951
     /*  359951 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360014), // Rule ID 23103 //
     /*  359956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  359998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360012 */     GIR_RootConstrainSelectedInstOperands,
     /*  360013 */     // GIR_Coverage, 23103,
     /*  360013 */     GIR_EraseRootFromParent_Done,
     /*  360014 */   // Label 6529: @360014
     /*  360014 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360077), // Rule ID 23104 //
     /*  360019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  360061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360075 */     GIR_RootConstrainSelectedInstOperands,
     /*  360076 */     // GIR_Coverage, 23104,
     /*  360076 */     GIR_EraseRootFromParent_Done,
     /*  360077 */   // Label 6530: @360077
     /*  360077 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360140), // Rule ID 23105 //
     /*  360082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360138 */     GIR_RootConstrainSelectedInstOperands,
     /*  360139 */     // GIR_Coverage, 23105,
     /*  360139 */     GIR_EraseRootFromParent_Done,
     /*  360140 */   // Label 6531: @360140
     /*  360140 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360203), // Rule ID 23106 //
     /*  360145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  360187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360201 */     GIR_RootConstrainSelectedInstOperands,
     /*  360202 */     // GIR_Coverage, 23106,
     /*  360202 */     GIR_EraseRootFromParent_Done,
     /*  360203 */   // Label 6532: @360203
     /*  360203 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360266), // Rule ID 23107 //
     /*  360208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360247 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360264 */     GIR_RootConstrainSelectedInstOperands,
     /*  360265 */     // GIR_Coverage, 23107,
     /*  360265 */     GIR_EraseRootFromParent_Done,
     /*  360266 */   // Label 6533: @360266
     /*  360266 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360329), // Rule ID 23108 //
     /*  360271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360310 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  360313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360327 */     GIR_RootConstrainSelectedInstOperands,
     /*  360328 */     // GIR_Coverage, 23108,
     /*  360328 */     GIR_EraseRootFromParent_Done,
     /*  360329 */   // Label 6534: @360329
     /*  360329 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360392), // Rule ID 23109 //
     /*  360334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360373 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360390 */     GIR_RootConstrainSelectedInstOperands,
     /*  360391 */     // GIR_Coverage, 23109,
     /*  360391 */     GIR_EraseRootFromParent_Done,
     /*  360392 */   // Label 6535: @360392
     /*  360392 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360455), // Rule ID 23110 //
     /*  360397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  360405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  360439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360453 */     GIR_RootConstrainSelectedInstOperands,
     /*  360454 */     // GIR_Coverage, 23110,
     /*  360454 */     GIR_EraseRootFromParent_Done,
     /*  360455 */   // Label 6536: @360455
     /*  360455 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360518), // Rule ID 23111 //
     /*  360460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360516 */     GIR_RootConstrainSelectedInstOperands,
     /*  360517 */     // GIR_Coverage, 23111,
     /*  360517 */     GIR_EraseRootFromParent_Done,
     /*  360518 */   // Label 6537: @360518
     /*  360518 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360581), // Rule ID 23112 //
     /*  360523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360562 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  360565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360579 */     GIR_RootConstrainSelectedInstOperands,
     /*  360580 */     // GIR_Coverage, 23112,
     /*  360580 */     GIR_EraseRootFromParent_Done,
     /*  360581 */   // Label 6538: @360581
     /*  360581 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360644), // Rule ID 23113 //
     /*  360586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  360628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360642 */     GIR_RootConstrainSelectedInstOperands,
     /*  360643 */     // GIR_Coverage, 23113,
     /*  360643 */     GIR_EraseRootFromParent_Done,
     /*  360644 */   // Label 6539: @360644
     /*  360644 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(360707), // Rule ID 23114 //
     /*  360649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  360691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360705 */     GIR_RootConstrainSelectedInstOperands,
     /*  360706 */     // GIR_Coverage, 23114,
     /*  360706 */     GIR_EraseRootFromParent_Done,
     /*  360707 */   // Label 6540: @360707
     /*  360707 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(360770), // Rule ID 23115 //
     /*  360712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360751 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  360754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360768 */     GIR_RootConstrainSelectedInstOperands,
     /*  360769 */     // GIR_Coverage, 23115,
     /*  360769 */     GIR_EraseRootFromParent_Done,
     /*  360770 */   // Label 6541: @360770
     /*  360770 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(360833), // Rule ID 23116 //
     /*  360775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  360817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360831 */     GIR_RootConstrainSelectedInstOperands,
     /*  360832 */     // GIR_Coverage, 23116,
     /*  360832 */     GIR_EraseRootFromParent_Done,
     /*  360833 */   // Label 6542: @360833
     /*  360833 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(360896), // Rule ID 23117 //
     /*  360838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  360880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360894 */     GIR_RootConstrainSelectedInstOperands,
     /*  360895 */     // GIR_Coverage, 23117,
     /*  360895 */     GIR_EraseRootFromParent_Done,
     /*  360896 */   // Label 6543: @360896
     /*  360896 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(360959), // Rule ID 23118 //
     /*  360901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  360943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360957 */     GIR_RootConstrainSelectedInstOperands,
     /*  360958 */     // GIR_Coverage, 23118,
     /*  360958 */     GIR_EraseRootFromParent_Done,
     /*  360959 */   // Label 6544: @360959
     /*  360959 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361022), // Rule ID 23119 //
     /*  360964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361020 */     GIR_RootConstrainSelectedInstOperands,
     /*  361021 */     // GIR_Coverage, 23119,
     /*  361021 */     GIR_EraseRootFromParent_Done,
     /*  361022 */   // Label 6545: @361022
     /*  361022 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361085), // Rule ID 23120 //
     /*  361027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  361069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361083 */     GIR_RootConstrainSelectedInstOperands,
     /*  361084 */     // GIR_Coverage, 23120,
     /*  361084 */     GIR_EraseRootFromParent_Done,
     /*  361085 */   // Label 6546: @361085
     /*  361085 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361148), // Rule ID 23121 //
     /*  361090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361146 */     GIR_RootConstrainSelectedInstOperands,
     /*  361147 */     // GIR_Coverage, 23121,
     /*  361147 */     GIR_EraseRootFromParent_Done,
     /*  361148 */   // Label 6547: @361148
     /*  361148 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361211), // Rule ID 23122 //
     /*  361153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  361195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361209 */     GIR_RootConstrainSelectedInstOperands,
     /*  361210 */     // GIR_Coverage, 23122,
     /*  361210 */     GIR_EraseRootFromParent_Done,
     /*  361211 */   // Label 6548: @361211
     /*  361211 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361274), // Rule ID 23123 //
     /*  361216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361255 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361272 */     GIR_RootConstrainSelectedInstOperands,
     /*  361273 */     // GIR_Coverage, 23123,
     /*  361273 */     GIR_EraseRootFromParent_Done,
     /*  361274 */   // Label 6549: @361274
     /*  361274 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361337), // Rule ID 23124 //
     /*  361279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  361287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361318 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  361321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361335 */     GIR_RootConstrainSelectedInstOperands,
     /*  361336 */     // GIR_Coverage, 23124,
     /*  361336 */     GIR_EraseRootFromParent_Done,
     /*  361337 */   // Label 6550: @361337
     /*  361337 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361400), // Rule ID 23125 //
     /*  361342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361381 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361398 */     GIR_RootConstrainSelectedInstOperands,
     /*  361399 */     // GIR_Coverage, 23125,
     /*  361399 */     GIR_EraseRootFromParent_Done,
     /*  361400 */   // Label 6551: @361400
     /*  361400 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361463), // Rule ID 23126 //
     /*  361405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  361447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361461 */     GIR_RootConstrainSelectedInstOperands,
     /*  361462 */     // GIR_Coverage, 23126,
     /*  361462 */     GIR_EraseRootFromParent_Done,
     /*  361463 */   // Label 6552: @361463
     /*  361463 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361526), // Rule ID 23127 //
     /*  361468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361507 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361524 */     GIR_RootConstrainSelectedInstOperands,
     /*  361525 */     // GIR_Coverage, 23127,
     /*  361525 */     GIR_EraseRootFromParent_Done,
     /*  361526 */   // Label 6553: @361526
     /*  361526 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361589), // Rule ID 23128 //
     /*  361531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  361573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361587 */     GIR_RootConstrainSelectedInstOperands,
     /*  361588 */     // GIR_Coverage, 23128,
     /*  361588 */     GIR_EraseRootFromParent_Done,
     /*  361589 */   // Label 6554: @361589
     /*  361589 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361652), // Rule ID 23129 //
     /*  361594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361633 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  361636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361650 */     GIR_RootConstrainSelectedInstOperands,
     /*  361651 */     // GIR_Coverage, 23129,
     /*  361651 */     GIR_EraseRootFromParent_Done,
     /*  361652 */   // Label 6555: @361652
     /*  361652 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(361715), // Rule ID 23130 //
     /*  361657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  361699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361713 */     GIR_RootConstrainSelectedInstOperands,
     /*  361714 */     // GIR_Coverage, 23130,
     /*  361714 */     GIR_EraseRootFromParent_Done,
     /*  361715 */   // Label 6556: @361715
     /*  361715 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(361778), // Rule ID 23131 //
     /*  361720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361759 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  361762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361776 */     GIR_RootConstrainSelectedInstOperands,
     /*  361777 */     // GIR_Coverage, 23131,
     /*  361777 */     GIR_EraseRootFromParent_Done,
     /*  361778 */   // Label 6557: @361778
     /*  361778 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(361841), // Rule ID 23132 //
     /*  361783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  361825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361839 */     GIR_RootConstrainSelectedInstOperands,
     /*  361840 */     // GIR_Coverage, 23132,
     /*  361840 */     GIR_EraseRootFromParent_Done,
     /*  361841 */   // Label 6558: @361841
     /*  361841 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(361904), // Rule ID 23133 //
     /*  361846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361885 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  361888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361902 */     GIR_RootConstrainSelectedInstOperands,
     /*  361903 */     // GIR_Coverage, 23133,
     /*  361903 */     GIR_EraseRootFromParent_Done,
     /*  361904 */   // Label 6559: @361904
     /*  361904 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(361967), // Rule ID 23134 //
     /*  361909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  361951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361965 */     GIR_RootConstrainSelectedInstOperands,
     /*  361966 */     // GIR_Coverage, 23134,
     /*  361966 */     GIR_EraseRootFromParent_Done,
     /*  361967 */   // Label 6560: @361967
     /*  361967 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362030), // Rule ID 23135 //
     /*  361972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  361980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362011 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362028 */     GIR_RootConstrainSelectedInstOperands,
     /*  362029 */     // GIR_Coverage, 23135,
     /*  362029 */     GIR_EraseRootFromParent_Done,
     /*  362030 */   // Label 6561: @362030
     /*  362030 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362093), // Rule ID 23136 //
     /*  362035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362074 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  362077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362091 */     GIR_RootConstrainSelectedInstOperands,
     /*  362092 */     // GIR_Coverage, 23136,
     /*  362092 */     GIR_EraseRootFromParent_Done,
     /*  362093 */   // Label 6562: @362093
     /*  362093 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362156), // Rule ID 23137 //
     /*  362098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362137 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362154 */     GIR_RootConstrainSelectedInstOperands,
     /*  362155 */     // GIR_Coverage, 23137,
     /*  362155 */     GIR_EraseRootFromParent_Done,
     /*  362156 */   // Label 6563: @362156
     /*  362156 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362219), // Rule ID 23138 //
     /*  362161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  362169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362200 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  362203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362217 */     GIR_RootConstrainSelectedInstOperands,
     /*  362218 */     // GIR_Coverage, 23138,
     /*  362218 */     GIR_EraseRootFromParent_Done,
     /*  362219 */   // Label 6564: @362219
     /*  362219 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362282), // Rule ID 23167 //
     /*  362224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362263 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362270 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362280 */     GIR_RootConstrainSelectedInstOperands,
     /*  362281 */     // GIR_Coverage, 23167,
     /*  362281 */     GIR_EraseRootFromParent_Done,
     /*  362282 */   // Label 6565: @362282
     /*  362282 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362345), // Rule ID 23168 //
     /*  362287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362326 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  362329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362333 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362343 */     GIR_RootConstrainSelectedInstOperands,
     /*  362344 */     // GIR_Coverage, 23168,
     /*  362344 */     GIR_EraseRootFromParent_Done,
     /*  362345 */   // Label 6566: @362345
     /*  362345 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362408), // Rule ID 23171 //
     /*  362350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362389 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362396 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362406 */     GIR_RootConstrainSelectedInstOperands,
     /*  362407 */     // GIR_Coverage, 23171,
     /*  362407 */     GIR_EraseRootFromParent_Done,
     /*  362408 */   // Label 6567: @362408
     /*  362408 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362471), // Rule ID 23172 //
     /*  362413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362452 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  362455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362459 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362469 */     GIR_RootConstrainSelectedInstOperands,
     /*  362470 */     // GIR_Coverage, 23172,
     /*  362470 */     GIR_EraseRootFromParent_Done,
     /*  362471 */   // Label 6568: @362471
     /*  362471 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362534), // Rule ID 23175 //
     /*  362476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362515 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362522 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362532 */     GIR_RootConstrainSelectedInstOperands,
     /*  362533 */     // GIR_Coverage, 23175,
     /*  362533 */     GIR_EraseRootFromParent_Done,
     /*  362534 */   // Label 6569: @362534
     /*  362534 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362597), // Rule ID 23176 //
     /*  362539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362578 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  362581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362585 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362595 */     GIR_RootConstrainSelectedInstOperands,
     /*  362596 */     // GIR_Coverage, 23176,
     /*  362596 */     GIR_EraseRootFromParent_Done,
     /*  362597 */   // Label 6570: @362597
     /*  362597 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362660), // Rule ID 23179 //
     /*  362602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362641 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  362644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362648 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362658 */     GIR_RootConstrainSelectedInstOperands,
     /*  362659 */     // GIR_Coverage, 23179,
     /*  362659 */     GIR_EraseRootFromParent_Done,
     /*  362660 */   // Label 6571: @362660
     /*  362660 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(362723), // Rule ID 23180 //
     /*  362665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362704 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  362707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362711 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362721 */     GIR_RootConstrainSelectedInstOperands,
     /*  362722 */     // GIR_Coverage, 23180,
     /*  362722 */     GIR_EraseRootFromParent_Done,
     /*  362723 */   // Label 6572: @362723
     /*  362723 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(362786), // Rule ID 23183 //
     /*  362728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362767 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  362770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362774 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362784 */     GIR_RootConstrainSelectedInstOperands,
     /*  362785 */     // GIR_Coverage, 23183,
     /*  362785 */     GIR_EraseRootFromParent_Done,
     /*  362786 */   // Label 6573: @362786
     /*  362786 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(362849), // Rule ID 23184 //
     /*  362791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362830 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  362833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362837 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362847 */     GIR_RootConstrainSelectedInstOperands,
     /*  362848 */     // GIR_Coverage, 23184,
     /*  362848 */     GIR_EraseRootFromParent_Done,
     /*  362849 */   // Label 6574: @362849
     /*  362849 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(362912), // Rule ID 23187 //
     /*  362854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362893 */     // (intrinsic_wo_chain:{ *:[i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  362896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362900 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362910 */     GIR_RootConstrainSelectedInstOperands,
     /*  362911 */     // GIR_Coverage, 23187,
     /*  362911 */     GIR_EraseRootFromParent_Done,
     /*  362912 */   // Label 6575: @362912
     /*  362912 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(362975), // Rule ID 23188 //
     /*  362917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  362925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362956 */     // (intrinsic_wo_chain:{ *:[i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  362959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362963 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362973 */     GIR_RootConstrainSelectedInstOperands,
     /*  362974 */     // GIR_Coverage, 23188,
     /*  362974 */     GIR_EraseRootFromParent_Done,
     /*  362975 */   // Label 6576: @362975
     /*  362975 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363038), // Rule ID 23191 //
     /*  362980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363019 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363026 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363036 */     GIR_RootConstrainSelectedInstOperands,
     /*  363037 */     // GIR_Coverage, 23191,
     /*  363037 */     GIR_EraseRootFromParent_Done,
     /*  363038 */   // Label 6577: @363038
     /*  363038 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363101), // Rule ID 23192 //
     /*  363043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363082 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  363085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363089 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363099 */     GIR_RootConstrainSelectedInstOperands,
     /*  363100 */     // GIR_Coverage, 23192,
     /*  363100 */     GIR_EraseRootFromParent_Done,
     /*  363101 */   // Label 6578: @363101
     /*  363101 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363164), // Rule ID 23195 //
     /*  363106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363145 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363152 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363162 */     GIR_RootConstrainSelectedInstOperands,
     /*  363163 */     // GIR_Coverage, 23195,
     /*  363163 */     GIR_EraseRootFromParent_Done,
     /*  363164 */   // Label 6579: @363164
     /*  363164 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363227), // Rule ID 23196 //
     /*  363169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363208 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  363211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363215 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363225 */     GIR_RootConstrainSelectedInstOperands,
     /*  363226 */     // GIR_Coverage, 23196,
     /*  363226 */     GIR_EraseRootFromParent_Done,
     /*  363227 */   // Label 6580: @363227
     /*  363227 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363290), // Rule ID 23199 //
     /*  363232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363271 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363278 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363288 */     GIR_RootConstrainSelectedInstOperands,
     /*  363289 */     // GIR_Coverage, 23199,
     /*  363289 */     GIR_EraseRootFromParent_Done,
     /*  363290 */   // Label 6581: @363290
     /*  363290 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363353), // Rule ID 23200 //
     /*  363295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363334 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  363337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363341 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363351 */     GIR_RootConstrainSelectedInstOperands,
     /*  363352 */     // GIR_Coverage, 23200,
     /*  363352 */     GIR_EraseRootFromParent_Done,
     /*  363353 */   // Label 6582: @363353
     /*  363353 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363416), // Rule ID 23203 //
     /*  363358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363397 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363404 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363414 */     GIR_RootConstrainSelectedInstOperands,
     /*  363415 */     // GIR_Coverage, 23203,
     /*  363415 */     GIR_EraseRootFromParent_Done,
     /*  363416 */   // Label 6583: @363416
     /*  363416 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363479), // Rule ID 23204 //
     /*  363421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363460 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  363463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363467 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363477 */     GIR_RootConstrainSelectedInstOperands,
     /*  363478 */     // GIR_Coverage, 23204,
     /*  363478 */     GIR_EraseRootFromParent_Done,
     /*  363479 */   // Label 6584: @363479
     /*  363479 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363542), // Rule ID 23207 //
     /*  363484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363523 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363530 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363540 */     GIR_RootConstrainSelectedInstOperands,
     /*  363541 */     // GIR_Coverage, 23207,
     /*  363541 */     GIR_EraseRootFromParent_Done,
     /*  363542 */   // Label 6585: @363542
     /*  363542 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363605), // Rule ID 23208 //
     /*  363547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363586 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  363589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363593 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363603 */     GIR_RootConstrainSelectedInstOperands,
     /*  363604 */     // GIR_Coverage, 23208,
     /*  363604 */     GIR_EraseRootFromParent_Done,
     /*  363605 */   // Label 6586: @363605
     /*  363605 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(363668), // Rule ID 23211 //
     /*  363610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363649 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  363652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363656 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363666 */     GIR_RootConstrainSelectedInstOperands,
     /*  363667 */     // GIR_Coverage, 23211,
     /*  363667 */     GIR_EraseRootFromParent_Done,
     /*  363668 */   // Label 6587: @363668
     /*  363668 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(363731), // Rule ID 23212 //
     /*  363673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363712 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  363715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363719 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363729 */     GIR_RootConstrainSelectedInstOperands,
     /*  363730 */     // GIR_Coverage, 23212,
     /*  363730 */     GIR_EraseRootFromParent_Done,
     /*  363731 */   // Label 6588: @363731
     /*  363731 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(363794), // Rule ID 23215 //
     /*  363736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  363739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  363747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363775 */     // (intrinsic_wo_chain:{ *:[i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  363778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363782 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363792 */     GIR_RootConstrainSelectedInstOperands,
     /*  363793 */     // GIR_Coverage, 23215,
     /*  363793 */     GIR_EraseRootFromParent_Done,
     /*  363794 */   // Label 6589: @363794
     /*  363794 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(363857), // Rule ID 23216 //
     /*  363799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  363802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  363807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  363810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  363823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  363831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363838 */     // (intrinsic_wo_chain:{ *:[i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  363841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363845 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  363847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363855 */     GIR_RootConstrainSelectedInstOperands,
     /*  363856 */     // GIR_Coverage, 23216,
     /*  363856 */     GIR_EraseRootFromParent_Done,
     /*  363857 */   // Label 6590: @363857
     /*  363857 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(363923), // Rule ID 23297 //
     /*  363862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  363904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363921 */     GIR_RootConstrainSelectedInstOperands,
     /*  363922 */     // GIR_Coverage, 23297,
     /*  363922 */     GIR_EraseRootFromParent_Done,
     /*  363923 */   // Label 6591: @363923
     /*  363923 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(363989), // Rule ID 23298 //
     /*  363928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  363970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363987 */     GIR_RootConstrainSelectedInstOperands,
     /*  363988 */     // GIR_Coverage, 23298,
     /*  363988 */     GIR_EraseRootFromParent_Done,
     /*  363989 */   // Label 6592: @363989
     /*  363989 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364055), // Rule ID 23301 //
     /*  363994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364033 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364053 */     GIR_RootConstrainSelectedInstOperands,
     /*  364054 */     // GIR_Coverage, 23301,
     /*  364054 */     GIR_EraseRootFromParent_Done,
     /*  364055 */   // Label 6593: @364055
     /*  364055 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364121), // Rule ID 23302 //
     /*  364060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364119 */     GIR_RootConstrainSelectedInstOperands,
     /*  364120 */     // GIR_Coverage, 23302,
     /*  364120 */     GIR_EraseRootFromParent_Done,
     /*  364121 */   // Label 6594: @364121
     /*  364121 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364187), // Rule ID 23305 //
     /*  364126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364185 */     GIR_RootConstrainSelectedInstOperands,
     /*  364186 */     // GIR_Coverage, 23305,
     /*  364186 */     GIR_EraseRootFromParent_Done,
     /*  364187 */   // Label 6595: @364187
     /*  364187 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364253), // Rule ID 23306 //
     /*  364192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  364234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364251 */     GIR_RootConstrainSelectedInstOperands,
     /*  364252 */     // GIR_Coverage, 23306,
     /*  364252 */     GIR_EraseRootFromParent_Done,
     /*  364253 */   // Label 6596: @364253
     /*  364253 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364319), // Rule ID 23309 //
     /*  364258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364317 */     GIR_RootConstrainSelectedInstOperands,
     /*  364318 */     // GIR_Coverage, 23309,
     /*  364318 */     GIR_EraseRootFromParent_Done,
     /*  364319 */   // Label 6597: @364319
     /*  364319 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364385), // Rule ID 23310 //
     /*  364324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364383 */     GIR_RootConstrainSelectedInstOperands,
     /*  364384 */     // GIR_Coverage, 23310,
     /*  364384 */     GIR_EraseRootFromParent_Done,
     /*  364385 */   // Label 6598: @364385
     /*  364385 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364451), // Rule ID 23313 //
     /*  364390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364449 */     GIR_RootConstrainSelectedInstOperands,
     /*  364450 */     // GIR_Coverage, 23313,
     /*  364450 */     GIR_EraseRootFromParent_Done,
     /*  364451 */   // Label 6599: @364451
     /*  364451 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364517), // Rule ID 23314 //
     /*  364456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  364498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364515 */     GIR_RootConstrainSelectedInstOperands,
     /*  364516 */     // GIR_Coverage, 23314,
     /*  364516 */     GIR_EraseRootFromParent_Done,
     /*  364517 */   // Label 6600: @364517
     /*  364517 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364583), // Rule ID 23317 //
     /*  364522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364581 */     GIR_RootConstrainSelectedInstOperands,
     /*  364582 */     // GIR_Coverage, 23317,
     /*  364582 */     GIR_EraseRootFromParent_Done,
     /*  364583 */   // Label 6601: @364583
     /*  364583 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(364649), // Rule ID 23318 //
     /*  364588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11242:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364647 */     GIR_RootConstrainSelectedInstOperands,
     /*  364648 */     // GIR_Coverage, 23318,
     /*  364648 */     GIR_EraseRootFromParent_Done,
     /*  364649 */   // Label 6602: @364649
     /*  364649 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(364715), // Rule ID 23321 //
     /*  364654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364713 */     GIR_RootConstrainSelectedInstOperands,
     /*  364714 */     // GIR_Coverage, 23321,
     /*  364714 */     GIR_EraseRootFromParent_Done,
     /*  364715 */   // Label 6603: @364715
     /*  364715 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(364781), // Rule ID 23322 //
     /*  364720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364779 */     GIR_RootConstrainSelectedInstOperands,
     /*  364780 */     // GIR_Coverage, 23322,
     /*  364780 */     GIR_EraseRootFromParent_Done,
     /*  364781 */   // Label 6604: @364781
     /*  364781 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(364847), // Rule ID 23325 //
     /*  364786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364845 */     GIR_RootConstrainSelectedInstOperands,
     /*  364846 */     // GIR_Coverage, 23325,
     /*  364846 */     GIR_EraseRootFromParent_Done,
     /*  364847 */   // Label 6605: @364847
     /*  364847 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(364913), // Rule ID 23326 //
     /*  364852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364911 */     GIR_RootConstrainSelectedInstOperands,
     /*  364912 */     // GIR_Coverage, 23326,
     /*  364912 */     GIR_EraseRootFromParent_Done,
     /*  364913 */   // Label 6606: @364913
     /*  364913 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(364979), // Rule ID 23329 //
     /*  364918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  364921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  364929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  364932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  364957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  364960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  364974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364977 */     GIR_RootConstrainSelectedInstOperands,
     /*  364978 */     // GIR_Coverage, 23329,
     /*  364978 */     GIR_EraseRootFromParent_Done,
     /*  364979 */   // Label 6607: @364979
     /*  364979 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365045), // Rule ID 23330 //
     /*  364984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  364987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  364995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  364998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  365026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365043 */     GIR_RootConstrainSelectedInstOperands,
     /*  365044 */     // GIR_Coverage, 23330,
     /*  365044 */     GIR_EraseRootFromParent_Done,
     /*  365045 */   // Label 6608: @365045
     /*  365045 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365111), // Rule ID 23333 //
     /*  365050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365109 */     GIR_RootConstrainSelectedInstOperands,
     /*  365110 */     // GIR_Coverage, 23333,
     /*  365110 */     GIR_EraseRootFromParent_Done,
     /*  365111 */   // Label 6609: @365111
     /*  365111 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365177), // Rule ID 23334 //
     /*  365116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365175 */     GIR_RootConstrainSelectedInstOperands,
     /*  365176 */     // GIR_Coverage, 23334,
     /*  365176 */     GIR_EraseRootFromParent_Done,
     /*  365177 */   // Label 6610: @365177
     /*  365177 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365243), // Rule ID 23337 //
     /*  365182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365241 */     GIR_RootConstrainSelectedInstOperands,
     /*  365242 */     // GIR_Coverage, 23337,
     /*  365242 */     GIR_EraseRootFromParent_Done,
     /*  365243 */   // Label 6611: @365243
     /*  365243 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365309), // Rule ID 23338 //
     /*  365248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365307 */     GIR_RootConstrainSelectedInstOperands,
     /*  365308 */     // GIR_Coverage, 23338,
     /*  365308 */     GIR_EraseRootFromParent_Done,
     /*  365309 */   // Label 6612: @365309
     /*  365309 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365375), // Rule ID 23341 //
     /*  365314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365353 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365373 */     GIR_RootConstrainSelectedInstOperands,
     /*  365374 */     // GIR_Coverage, 23341,
     /*  365374 */     GIR_EraseRootFromParent_Done,
     /*  365375 */   // Label 6613: @365375
     /*  365375 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365441), // Rule ID 23342 //
     /*  365380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365419 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365439 */     GIR_RootConstrainSelectedInstOperands,
     /*  365440 */     // GIR_Coverage, 23342,
     /*  365440 */     GIR_EraseRootFromParent_Done,
     /*  365441 */   // Label 6614: @365441
     /*  365441 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365507), // Rule ID 23345 //
     /*  365446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365505 */     GIR_RootConstrainSelectedInstOperands,
     /*  365506 */     // GIR_Coverage, 23345,
     /*  365506 */     GIR_EraseRootFromParent_Done,
     /*  365507 */   // Label 6615: @365507
     /*  365507 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365573), // Rule ID 23346 //
     /*  365512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365571 */     GIR_RootConstrainSelectedInstOperands,
     /*  365572 */     // GIR_Coverage, 23346,
     /*  365572 */     GIR_EraseRootFromParent_Done,
     /*  365573 */   // Label 6616: @365573
     /*  365573 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(365639), // Rule ID 23349 //
     /*  365578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365637 */     GIR_RootConstrainSelectedInstOperands,
     /*  365638 */     // GIR_Coverage, 23349,
     /*  365638 */     GIR_EraseRootFromParent_Done,
     /*  365639 */   // Label 6617: @365639
     /*  365639 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(365705), // Rule ID 23350 //
     /*  365644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365703 */     GIR_RootConstrainSelectedInstOperands,
     /*  365704 */     // GIR_Coverage, 23350,
     /*  365704 */     GIR_EraseRootFromParent_Done,
     /*  365705 */   // Label 6618: @365705
     /*  365705 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(365771), // Rule ID 23353 //
     /*  365710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365769 */     GIR_RootConstrainSelectedInstOperands,
     /*  365770 */     // GIR_Coverage, 23353,
     /*  365770 */     GIR_EraseRootFromParent_Done,
     /*  365771 */   // Label 6619: @365771
     /*  365771 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(365837), // Rule ID 23354 //
     /*  365776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365835 */     GIR_RootConstrainSelectedInstOperands,
     /*  365836 */     // GIR_Coverage, 23354,
     /*  365836 */     GIR_EraseRootFromParent_Done,
     /*  365837 */   // Label 6620: @365837
     /*  365837 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(365903), // Rule ID 23357 //
     /*  365842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365901 */     GIR_RootConstrainSelectedInstOperands,
     /*  365902 */     // GIR_Coverage, 23357,
     /*  365902 */     GIR_EraseRootFromParent_Done,
     /*  365903 */   // Label 6621: @365903
     /*  365903 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(365969), // Rule ID 23358 //
     /*  365908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365967 */     GIR_RootConstrainSelectedInstOperands,
     /*  365968 */     // GIR_Coverage, 23358,
     /*  365968 */     GIR_EraseRootFromParent_Done,
     /*  365969 */   // Label 6622: @365969
     /*  365969 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366035), // Rule ID 23361 //
     /*  365974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  365985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  365988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366013 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366033 */     GIR_RootConstrainSelectedInstOperands,
     /*  366034 */     // GIR_Coverage, 23361,
     /*  366034 */     GIR_EraseRootFromParent_Done,
     /*  366035 */   // Label 6623: @366035
     /*  366035 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366101), // Rule ID 23362 //
     /*  366040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366099 */     GIR_RootConstrainSelectedInstOperands,
     /*  366100 */     // GIR_Coverage, 23362,
     /*  366100 */     GIR_EraseRootFromParent_Done,
     /*  366101 */   // Label 6624: @366101
     /*  366101 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366167), // Rule ID 23365 //
     /*  366106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366145 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366165 */     GIR_RootConstrainSelectedInstOperands,
     /*  366166 */     // GIR_Coverage, 23365,
     /*  366166 */     GIR_EraseRootFromParent_Done,
     /*  366167 */   // Label 6625: @366167
     /*  366167 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366233), // Rule ID 23366 //
     /*  366172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366231 */     GIR_RootConstrainSelectedInstOperands,
     /*  366232 */     // GIR_Coverage, 23366,
     /*  366232 */     GIR_EraseRootFromParent_Done,
     /*  366233 */   // Label 6626: @366233
     /*  366233 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366299), // Rule ID 23369 //
     /*  366238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366297 */     GIR_RootConstrainSelectedInstOperands,
     /*  366298 */     // GIR_Coverage, 23369,
     /*  366298 */     GIR_EraseRootFromParent_Done,
     /*  366299 */   // Label 6627: @366299
     /*  366299 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366365), // Rule ID 23370 //
     /*  366304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366343 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  366346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366363 */     GIR_RootConstrainSelectedInstOperands,
     /*  366364 */     // GIR_Coverage, 23370,
     /*  366364 */     GIR_EraseRootFromParent_Done,
     /*  366365 */   // Label 6628: @366365
     /*  366365 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366431), // Rule ID 23373 //
     /*  366370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366429 */     GIR_RootConstrainSelectedInstOperands,
     /*  366430 */     // GIR_Coverage, 23373,
     /*  366430 */     GIR_EraseRootFromParent_Done,
     /*  366431 */   // Label 6629: @366431
     /*  366431 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366497), // Rule ID 23374 //
     /*  366436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  366478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366495 */     GIR_RootConstrainSelectedInstOperands,
     /*  366496 */     // GIR_Coverage, 23374,
     /*  366496 */     GIR_EraseRootFromParent_Done,
     /*  366497 */   // Label 6630: @366497
     /*  366497 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366563), // Rule ID 23377 //
     /*  366502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366561 */     GIR_RootConstrainSelectedInstOperands,
     /*  366562 */     // GIR_Coverage, 23377,
     /*  366562 */     GIR_EraseRootFromParent_Done,
     /*  366563 */   // Label 6631: @366563
     /*  366563 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(366629), // Rule ID 23378 //
     /*  366568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  366576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  366610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366627 */     GIR_RootConstrainSelectedInstOperands,
     /*  366628 */     // GIR_Coverage, 23378,
     /*  366628 */     GIR_EraseRootFromParent_Done,
     /*  366629 */   // Label 6632: @366629
     /*  366629 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(366695), // Rule ID 60305 //
     /*  366634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  366676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366693 */     GIR_RootConstrainSelectedInstOperands,
     /*  366694 */     // GIR_Coverage, 60305,
     /*  366694 */     GIR_EraseRootFromParent_Done,
     /*  366695 */   // Label 6633: @366695
     /*  366695 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(366761), // Rule ID 60306 //
     /*  366700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  366742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366759 */     GIR_RootConstrainSelectedInstOperands,
     /*  366760 */     // GIR_Coverage, 60306,
     /*  366760 */     GIR_EraseRootFromParent_Done,
     /*  366761 */   // Label 6634: @366761
     /*  366761 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(366827), // Rule ID 60309 //
     /*  366766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  366808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366825 */     GIR_RootConstrainSelectedInstOperands,
     /*  366826 */     // GIR_Coverage, 60309,
     /*  366826 */     GIR_EraseRootFromParent_Done,
     /*  366827 */   // Label 6635: @366827
     /*  366827 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(366893), // Rule ID 60310 //
     /*  366832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366871 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  366874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366891 */     GIR_RootConstrainSelectedInstOperands,
     /*  366892 */     // GIR_Coverage, 60310,
     /*  366892 */     GIR_EraseRootFromParent_Done,
     /*  366893 */   // Label 6636: @366893
     /*  366893 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(366959), // Rule ID 60313 //
     /*  366898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  366915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366937 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366957 */     GIR_RootConstrainSelectedInstOperands,
     /*  366958 */     // GIR_Coverage, 60313,
     /*  366958 */     GIR_EraseRootFromParent_Done,
     /*  366959 */   // Label 6637: @366959
     /*  366959 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367025), // Rule ID 60314 //
     /*  366964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  366981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367023 */     GIR_RootConstrainSelectedInstOperands,
     /*  367024 */     // GIR_Coverage, 60314,
     /*  367024 */     GIR_EraseRootFromParent_Done,
     /*  367025 */   // Label 6638: @367025
     /*  367025 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367091), // Rule ID 60317 //
     /*  367030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367089 */     GIR_RootConstrainSelectedInstOperands,
     /*  367090 */     // GIR_Coverage, 60317,
     /*  367090 */     GIR_EraseRootFromParent_Done,
     /*  367091 */   // Label 6639: @367091
     /*  367091 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367157), // Rule ID 60318 //
     /*  367096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  367138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367155 */     GIR_RootConstrainSelectedInstOperands,
     /*  367156 */     // GIR_Coverage, 60318,
     /*  367156 */     GIR_EraseRootFromParent_Done,
     /*  367157 */   // Label 6640: @367157
     /*  367157 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367223), // Rule ID 60321 //
     /*  367162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367201 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367221 */     GIR_RootConstrainSelectedInstOperands,
     /*  367222 */     // GIR_Coverage, 60321,
     /*  367222 */     GIR_EraseRootFromParent_Done,
     /*  367223 */   // Label 6641: @367223
     /*  367223 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367289), // Rule ID 60322 //
     /*  367228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367287 */     GIR_RootConstrainSelectedInstOperands,
     /*  367288 */     // GIR_Coverage, 60322,
     /*  367288 */     GIR_EraseRootFromParent_Done,
     /*  367289 */   // Label 6642: @367289
     /*  367289 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367355), // Rule ID 60325 //
     /*  367294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367353 */     GIR_RootConstrainSelectedInstOperands,
     /*  367354 */     // GIR_Coverage, 60325,
     /*  367354 */     GIR_EraseRootFromParent_Done,
     /*  367355 */   // Label 6643: @367355
     /*  367355 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367421), // Rule ID 60326 //
     /*  367360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  367402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367419 */     GIR_RootConstrainSelectedInstOperands,
     /*  367420 */     // GIR_Coverage, 60326,
     /*  367420 */     GIR_EraseRootFromParent_Done,
     /*  367421 */   // Label 6644: @367421
     /*  367421 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367487), // Rule ID 60329 //
     /*  367426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367485 */     GIR_RootConstrainSelectedInstOperands,
     /*  367486 */     // GIR_Coverage, 60329,
     /*  367486 */     GIR_EraseRootFromParent_Done,
     /*  367487 */   // Label 6645: @367487
     /*  367487 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367553), // Rule ID 60330 //
     /*  367492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367551 */     GIR_RootConstrainSelectedInstOperands,
     /*  367552 */     // GIR_Coverage, 60330,
     /*  367552 */     GIR_EraseRootFromParent_Done,
     /*  367553 */   // Label 6646: @367553
     /*  367553 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(367619), // Rule ID 60333 //
     /*  367558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367617 */     GIR_RootConstrainSelectedInstOperands,
     /*  367618 */     // GIR_Coverage, 60333,
     /*  367618 */     GIR_EraseRootFromParent_Done,
     /*  367619 */   // Label 6647: @367619
     /*  367619 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(367685), // Rule ID 60334 //
     /*  367624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367663 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367683 */     GIR_RootConstrainSelectedInstOperands,
     /*  367684 */     // GIR_Coverage, 60334,
     /*  367684 */     GIR_EraseRootFromParent_Done,
     /*  367685 */   // Label 6648: @367685
     /*  367685 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(367751), // Rule ID 60337 //
     /*  367690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367749 */     GIR_RootConstrainSelectedInstOperands,
     /*  367750 */     // GIR_Coverage, 60337,
     /*  367750 */     GIR_EraseRootFromParent_Done,
     /*  367751 */   // Label 6649: @367751
     /*  367751 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(367817), // Rule ID 60338 //
     /*  367756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367815 */     GIR_RootConstrainSelectedInstOperands,
     /*  367816 */     // GIR_Coverage, 60338,
     /*  367816 */     GIR_EraseRootFromParent_Done,
     /*  367817 */   // Label 6650: @367817
     /*  367817 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(367883), // Rule ID 60341 //
     /*  367822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367881 */     GIR_RootConstrainSelectedInstOperands,
     /*  367882 */     // GIR_Coverage, 60341,
     /*  367882 */     GIR_EraseRootFromParent_Done,
     /*  367883 */   // Label 6651: @367883
     /*  367883 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(367949), // Rule ID 60342 //
     /*  367888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  367930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367947 */     GIR_RootConstrainSelectedInstOperands,
     /*  367948 */     // GIR_Coverage, 60342,
     /*  367948 */     GIR_EraseRootFromParent_Done,
     /*  367949 */   // Label 6652: @367949
     /*  367949 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368015), // Rule ID 60345 //
     /*  367954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  367965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  367968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  367971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368013 */     GIR_RootConstrainSelectedInstOperands,
     /*  368014 */     // GIR_Coverage, 60345,
     /*  368014 */     GIR_EraseRootFromParent_Done,
     /*  368015 */   // Label 6653: @368015
     /*  368015 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368081), // Rule ID 60346 //
     /*  368020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  368037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368079 */     GIR_RootConstrainSelectedInstOperands,
     /*  368080 */     // GIR_Coverage, 60346,
     /*  368080 */     GIR_EraseRootFromParent_Done,
     /*  368081 */   // Label 6654: @368081
     /*  368081 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368147), // Rule ID 60349 //
     /*  368086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368125 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368145 */     GIR_RootConstrainSelectedInstOperands,
     /*  368146 */     // GIR_Coverage, 60349,
     /*  368146 */     GIR_EraseRootFromParent_Done,
     /*  368147 */   // Label 6655: @368147
     /*  368147 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368213), // Rule ID 60350 //
     /*  368152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368211 */     GIR_RootConstrainSelectedInstOperands,
     /*  368212 */     // GIR_Coverage, 60350,
     /*  368212 */     GIR_EraseRootFromParent_Done,
     /*  368213 */   // Label 6656: @368213
     /*  368213 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368279), // Rule ID 60353 //
     /*  368218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368277 */     GIR_RootConstrainSelectedInstOperands,
     /*  368278 */     // GIR_Coverage, 60353,
     /*  368278 */     GIR_EraseRootFromParent_Done,
     /*  368279 */   // Label 6657: @368279
     /*  368279 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368345), // Rule ID 60354 //
     /*  368284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368343 */     GIR_RootConstrainSelectedInstOperands,
     /*  368344 */     // GIR_Coverage, 60354,
     /*  368344 */     GIR_EraseRootFromParent_Done,
     /*  368345 */   // Label 6658: @368345
     /*  368345 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368411), // Rule ID 60357 //
     /*  368350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368389 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368409 */     GIR_RootConstrainSelectedInstOperands,
     /*  368410 */     // GIR_Coverage, 60357,
     /*  368410 */     GIR_EraseRootFromParent_Done,
     /*  368411 */   // Label 6659: @368411
     /*  368411 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368477), // Rule ID 60358 //
     /*  368416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368475 */     GIR_RootConstrainSelectedInstOperands,
     /*  368476 */     // GIR_Coverage, 60358,
     /*  368476 */     GIR_EraseRootFromParent_Done,
     /*  368477 */   // Label 6660: @368477
     /*  368477 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368543), // Rule ID 60361 //
     /*  368482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368541 */     GIR_RootConstrainSelectedInstOperands,
     /*  368542 */     // GIR_Coverage, 60361,
     /*  368542 */     GIR_EraseRootFromParent_Done,
     /*  368543 */   // Label 6661: @368543
     /*  368543 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368609), // Rule ID 60362 //
     /*  368548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368607 */     GIR_RootConstrainSelectedInstOperands,
     /*  368608 */     // GIR_Coverage, 60362,
     /*  368608 */     GIR_EraseRootFromParent_Done,
     /*  368609 */   // Label 6662: @368609
     /*  368609 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(368675), // Rule ID 60365 //
     /*  368614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368673 */     GIR_RootConstrainSelectedInstOperands,
     /*  368674 */     // GIR_Coverage, 60365,
     /*  368674 */     GIR_EraseRootFromParent_Done,
     /*  368675 */   // Label 6663: @368675
     /*  368675 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(368741), // Rule ID 60366 //
     /*  368680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368739 */     GIR_RootConstrainSelectedInstOperands,
     /*  368740 */     // GIR_Coverage, 60366,
     /*  368740 */     GIR_EraseRootFromParent_Done,
     /*  368741 */   // Label 6664: @368741
     /*  368741 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(368807), // Rule ID 60369 //
     /*  368746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368805 */     GIR_RootConstrainSelectedInstOperands,
     /*  368806 */     // GIR_Coverage, 60369,
     /*  368806 */     GIR_EraseRootFromParent_Done,
     /*  368807 */   // Label 6665: @368807
     /*  368807 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(368873), // Rule ID 60370 //
     /*  368812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368871 */     GIR_RootConstrainSelectedInstOperands,
     /*  368872 */     // GIR_Coverage, 60370,
     /*  368872 */     GIR_EraseRootFromParent_Done,
     /*  368873 */   // Label 6666: @368873
     /*  368873 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(368939), // Rule ID 60373 //
     /*  368878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368937 */     GIR_RootConstrainSelectedInstOperands,
     /*  368938 */     // GIR_Coverage, 60373,
     /*  368938 */     GIR_EraseRootFromParent_Done,
     /*  368939 */   // Label 6667: @368939
     /*  368939 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369005), // Rule ID 60374 //
     /*  368944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369003 */     GIR_RootConstrainSelectedInstOperands,
     /*  369004 */     // GIR_Coverage, 60374,
     /*  369004 */     GIR_EraseRootFromParent_Done,
     /*  369005 */   // Label 6668: @369005
     /*  369005 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369071), // Rule ID 60377 //
     /*  369010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369069 */     GIR_RootConstrainSelectedInstOperands,
     /*  369070 */     // GIR_Coverage, 60377,
     /*  369070 */     GIR_EraseRootFromParent_Done,
     /*  369071 */   // Label 6669: @369071
     /*  369071 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369137), // Rule ID 60378 //
     /*  369076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  369087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  369090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369135 */     GIR_RootConstrainSelectedInstOperands,
     /*  369136 */     // GIR_Coverage, 60378,
     /*  369136 */     GIR_EraseRootFromParent_Done,
     /*  369137 */   // Label 6670: @369137
     /*  369137 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369203), // Rule ID 60381 //
     /*  369142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369201 */     GIR_RootConstrainSelectedInstOperands,
     /*  369202 */     // GIR_Coverage, 60381,
     /*  369202 */     GIR_EraseRootFromParent_Done,
     /*  369203 */   // Label 6671: @369203
     /*  369203 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369269), // Rule ID 60382 //
     /*  369208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  369250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369267 */     GIR_RootConstrainSelectedInstOperands,
     /*  369268 */     // GIR_Coverage, 60382,
     /*  369268 */     GIR_EraseRootFromParent_Done,
     /*  369269 */   // Label 6672: @369269
     /*  369269 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369335), // Rule ID 60385 //
     /*  369274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369333 */     GIR_RootConstrainSelectedInstOperands,
     /*  369334 */     // GIR_Coverage, 60385,
     /*  369334 */     GIR_EraseRootFromParent_Done,
     /*  369335 */   // Label 6673: @369335
     /*  369335 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369401), // Rule ID 60386 //
     /*  369340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  369382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369399 */     GIR_RootConstrainSelectedInstOperands,
     /*  369400 */     // GIR_Coverage, 60386,
     /*  369400 */     GIR_EraseRootFromParent_Done,
     /*  369401 */   // Label 6674: @369401
     /*  369401 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369467), // Rule ID 60389 //
     /*  369406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369445 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369465 */     GIR_RootConstrainSelectedInstOperands,
     /*  369466 */     // GIR_Coverage, 60389,
     /*  369466 */     GIR_EraseRootFromParent_Done,
     /*  369467 */   // Label 6675: @369467
     /*  369467 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369533), // Rule ID 60390 //
     /*  369472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  369480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  369514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369531 */     GIR_RootConstrainSelectedInstOperands,
     /*  369532 */     // GIR_Coverage, 60390,
     /*  369532 */     GIR_EraseRootFromParent_Done,
     /*  369533 */   // Label 6676: @369533
     /*  369533 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369599), // Rule ID 60393 //
     /*  369538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  369580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369597 */     GIR_RootConstrainSelectedInstOperands,
     /*  369598 */     // GIR_Coverage, 60393,
     /*  369598 */     GIR_EraseRootFromParent_Done,
     /*  369599 */   // Label 6677: @369599
     /*  369599 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(369665), // Rule ID 60394 //
     /*  369604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  369646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369663 */     GIR_RootConstrainSelectedInstOperands,
     /*  369664 */     // GIR_Coverage, 60394,
     /*  369664 */     GIR_EraseRootFromParent_Done,
     /*  369665 */   // Label 6678: @369665
     /*  369665 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(369731), // Rule ID 60397 //
     /*  369670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  369712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369729 */     GIR_RootConstrainSelectedInstOperands,
     /*  369730 */     // GIR_Coverage, 60397,
     /*  369730 */     GIR_EraseRootFromParent_Done,
     /*  369731 */   // Label 6679: @369731
     /*  369731 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(369797), // Rule ID 60398 //
     /*  369736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  369778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369795 */     GIR_RootConstrainSelectedInstOperands,
     /*  369796 */     // GIR_Coverage, 60398,
     /*  369796 */     GIR_EraseRootFromParent_Done,
     /*  369797 */   // Label 6680: @369797
     /*  369797 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(369863), // Rule ID 60401 //
     /*  369802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369861 */     GIR_RootConstrainSelectedInstOperands,
     /*  369862 */     // GIR_Coverage, 60401,
     /*  369862 */     GIR_EraseRootFromParent_Done,
     /*  369863 */   // Label 6681: @369863
     /*  369863 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(369929), // Rule ID 60402 //
     /*  369868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369927 */     GIR_RootConstrainSelectedInstOperands,
     /*  369928 */     // GIR_Coverage, 60402,
     /*  369928 */     GIR_EraseRootFromParent_Done,
     /*  369929 */   // Label 6682: @369929
     /*  369929 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(369995), // Rule ID 60405 //
     /*  369934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  369951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369973 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  369976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369993 */     GIR_RootConstrainSelectedInstOperands,
     /*  369994 */     // GIR_Coverage, 60405,
     /*  369994 */     GIR_EraseRootFromParent_Done,
     /*  369995 */   // Label 6683: @369995
     /*  369995 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370061), // Rule ID 60406 //
     /*  370000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370039 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  370042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370059 */     GIR_RootConstrainSelectedInstOperands,
     /*  370060 */     // GIR_Coverage, 60406,
     /*  370060 */     GIR_EraseRootFromParent_Done,
     /*  370061 */   // Label 6684: @370061
     /*  370061 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370127), // Rule ID 60409 //
     /*  370066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370125 */     GIR_RootConstrainSelectedInstOperands,
     /*  370126 */     // GIR_Coverage, 60409,
     /*  370126 */     GIR_EraseRootFromParent_Done,
     /*  370127 */   // Label 6685: @370127
     /*  370127 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370193), // Rule ID 60410 //
     /*  370132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370191 */     GIR_RootConstrainSelectedInstOperands,
     /*  370192 */     // GIR_Coverage, 60410,
     /*  370192 */     GIR_EraseRootFromParent_Done,
     /*  370193 */   // Label 6686: @370193
     /*  370193 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370259), // Rule ID 60413 //
     /*  370198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370237 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370257 */     GIR_RootConstrainSelectedInstOperands,
     /*  370258 */     // GIR_Coverage, 60413,
     /*  370258 */     GIR_EraseRootFromParent_Done,
     /*  370259 */   // Label 6687: @370259
     /*  370259 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370325), // Rule ID 60414 //
     /*  370264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  370306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370323 */     GIR_RootConstrainSelectedInstOperands,
     /*  370324 */     // GIR_Coverage, 60414,
     /*  370324 */     GIR_EraseRootFromParent_Done,
     /*  370325 */   // Label 6688: @370325
     /*  370325 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370391), // Rule ID 60417 //
     /*  370330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370389 */     GIR_RootConstrainSelectedInstOperands,
     /*  370390 */     // GIR_Coverage, 60417,
     /*  370390 */     GIR_EraseRootFromParent_Done,
     /*  370391 */   // Label 6689: @370391
     /*  370391 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370457), // Rule ID 60418 //
     /*  370396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370455 */     GIR_RootConstrainSelectedInstOperands,
     /*  370456 */     // GIR_Coverage, 60418,
     /*  370456 */     GIR_EraseRootFromParent_Done,
     /*  370457 */   // Label 6690: @370457
     /*  370457 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370523), // Rule ID 60421 //
     /*  370462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370521 */     GIR_RootConstrainSelectedInstOperands,
     /*  370522 */     // GIR_Coverage, 60421,
     /*  370522 */     GIR_EraseRootFromParent_Done,
     /*  370523 */   // Label 6691: @370523
     /*  370523 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370589), // Rule ID 60422 //
     /*  370528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370587 */     GIR_RootConstrainSelectedInstOperands,
     /*  370588 */     // GIR_Coverage, 60422,
     /*  370588 */     GIR_EraseRootFromParent_Done,
     /*  370589 */   // Label 6692: @370589
     /*  370589 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(370655), // Rule ID 60425 //
     /*  370594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370653 */     GIR_RootConstrainSelectedInstOperands,
     /*  370654 */     // GIR_Coverage, 60425,
     /*  370654 */     GIR_EraseRootFromParent_Done,
     /*  370655 */   // Label 6693: @370655
     /*  370655 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(370721), // Rule ID 60426 //
     /*  370660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370719 */     GIR_RootConstrainSelectedInstOperands,
     /*  370720 */     // GIR_Coverage, 60426,
     /*  370720 */     GIR_EraseRootFromParent_Done,
     /*  370721 */   // Label 6694: @370721
     /*  370721 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(370787), // Rule ID 60429 //
     /*  370726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370785 */     GIR_RootConstrainSelectedInstOperands,
     /*  370786 */     // GIR_Coverage, 60429,
     /*  370786 */     GIR_EraseRootFromParent_Done,
     /*  370787 */   // Label 6695: @370787
     /*  370787 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(370853), // Rule ID 60430 //
     /*  370792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  370834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370851 */     GIR_RootConstrainSelectedInstOperands,
     /*  370852 */     // GIR_Coverage, 60430,
     /*  370852 */     GIR_EraseRootFromParent_Done,
     /*  370853 */   // Label 6696: @370853
     /*  370853 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(370919), // Rule ID 60433 //
     /*  370858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370917 */     GIR_RootConstrainSelectedInstOperands,
     /*  370918 */     // GIR_Coverage, 60433,
     /*  370918 */     GIR_EraseRootFromParent_Done,
     /*  370919 */   // Label 6697: @370919
     /*  370919 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(370985), // Rule ID 60434 //
     /*  370924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370983 */     GIR_RootConstrainSelectedInstOperands,
     /*  370984 */     // GIR_Coverage, 60434,
     /*  370984 */     GIR_EraseRootFromParent_Done,
     /*  370985 */   // Label 6698: @370985
     /*  370985 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371051), // Rule ID 60437 //
     /*  370990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371029 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371049 */     GIR_RootConstrainSelectedInstOperands,
     /*  371050 */     // GIR_Coverage, 60437,
     /*  371050 */     GIR_EraseRootFromParent_Done,
     /*  371051 */   // Label 6699: @371051
     /*  371051 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371117), // Rule ID 60438 //
     /*  371056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  371067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  371070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  371073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371115 */     GIR_RootConstrainSelectedInstOperands,
     /*  371116 */     // GIR_Coverage, 60438,
     /*  371116 */     GIR_EraseRootFromParent_Done,
     /*  371117 */   // Label 6700: @371117
     /*  371117 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371183), // Rule ID 60441 //
     /*  371122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371161 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371181 */     GIR_RootConstrainSelectedInstOperands,
     /*  371182 */     // GIR_Coverage, 60441,
     /*  371182 */     GIR_EraseRootFromParent_Done,
     /*  371183 */   // Label 6701: @371183
     /*  371183 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371249), // Rule ID 60442 //
     /*  371188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371247 */     GIR_RootConstrainSelectedInstOperands,
     /*  371248 */     // GIR_Coverage, 60442,
     /*  371248 */     GIR_EraseRootFromParent_Done,
     /*  371249 */   // Label 6702: @371249
     /*  371249 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371315), // Rule ID 60445 //
     /*  371254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371313 */     GIR_RootConstrainSelectedInstOperands,
     /*  371314 */     // GIR_Coverage, 60445,
     /*  371314 */     GIR_EraseRootFromParent_Done,
     /*  371315 */   // Label 6703: @371315
     /*  371315 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371381), // Rule ID 60446 //
     /*  371320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371379 */     GIR_RootConstrainSelectedInstOperands,
     /*  371380 */     // GIR_Coverage, 60446,
     /*  371380 */     GIR_EraseRootFromParent_Done,
     /*  371381 */   // Label 6704: @371381
     /*  371381 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371447), // Rule ID 60449 //
     /*  371386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371425 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371445 */     GIR_RootConstrainSelectedInstOperands,
     /*  371446 */     // GIR_Coverage, 60449,
     /*  371446 */     GIR_EraseRootFromParent_Done,
     /*  371447 */   // Label 6705: @371447
     /*  371447 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371513), // Rule ID 60450 //
     /*  371452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371511 */     GIR_RootConstrainSelectedInstOperands,
     /*  371512 */     // GIR_Coverage, 60450,
     /*  371512 */     GIR_EraseRootFromParent_Done,
     /*  371513 */   // Label 6706: @371513
     /*  371513 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371579), // Rule ID 60453 //
     /*  371518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371577 */     GIR_RootConstrainSelectedInstOperands,
     /*  371578 */     // GIR_Coverage, 60453,
     /*  371578 */     GIR_EraseRootFromParent_Done,
     /*  371579 */   // Label 6707: @371579
     /*  371579 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(371645), // Rule ID 60454 //
     /*  371584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371643 */     GIR_RootConstrainSelectedInstOperands,
     /*  371644 */     // GIR_Coverage, 60454,
     /*  371644 */     GIR_EraseRootFromParent_Done,
     /*  371645 */   // Label 6708: @371645
     /*  371645 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(371711), // Rule ID 60457 //
     /*  371650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371709 */     GIR_RootConstrainSelectedInstOperands,
     /*  371710 */     // GIR_Coverage, 60457,
     /*  371710 */     GIR_EraseRootFromParent_Done,
     /*  371711 */   // Label 6709: @371711
     /*  371711 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(371777), // Rule ID 60458 //
     /*  371716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  371758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371775 */     GIR_RootConstrainSelectedInstOperands,
     /*  371776 */     // GIR_Coverage, 60458,
     /*  371776 */     GIR_EraseRootFromParent_Done,
     /*  371777 */   // Label 6710: @371777
     /*  371777 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(371843), // Rule ID 60461 //
     /*  371782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371841 */     GIR_RootConstrainSelectedInstOperands,
     /*  371842 */     // GIR_Coverage, 60461,
     /*  371842 */     GIR_EraseRootFromParent_Done,
     /*  371843 */   // Label 6711: @371843
     /*  371843 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(371909), // Rule ID 60462 //
     /*  371848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371907 */     GIR_RootConstrainSelectedInstOperands,
     /*  371908 */     // GIR_Coverage, 60462,
     /*  371908 */     GIR_EraseRootFromParent_Done,
     /*  371909 */   // Label 6712: @371909
     /*  371909 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(371975), // Rule ID 60465 //
     /*  371914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371973 */     GIR_RootConstrainSelectedInstOperands,
     /*  371974 */     // GIR_Coverage, 60465,
     /*  371974 */     GIR_EraseRootFromParent_Done,
     /*  371975 */   // Label 6713: @371975
     /*  371975 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372041), // Rule ID 60466 //
     /*  371980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372039 */     GIR_RootConstrainSelectedInstOperands,
     /*  372040 */     // GIR_Coverage, 60466,
     /*  372040 */     GIR_EraseRootFromParent_Done,
     /*  372041 */   // Label 6714: @372041
     /*  372041 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372107), // Rule ID 60469 //
     /*  372046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372085 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372105 */     GIR_RootConstrainSelectedInstOperands,
     /*  372106 */     // GIR_Coverage, 60469,
     /*  372106 */     GIR_EraseRootFromParent_Done,
     /*  372107 */   // Label 6715: @372107
     /*  372107 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372173), // Rule ID 60470 //
     /*  372112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  372154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372171 */     GIR_RootConstrainSelectedInstOperands,
     /*  372172 */     // GIR_Coverage, 60470,
     /*  372172 */     GIR_EraseRootFromParent_Done,
     /*  372173 */   // Label 6716: @372173
     /*  372173 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372239), // Rule ID 60473 //
     /*  372178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372217 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372237 */     GIR_RootConstrainSelectedInstOperands,
     /*  372238 */     // GIR_Coverage, 60473,
     /*  372238 */     GIR_EraseRootFromParent_Done,
     /*  372239 */   // Label 6717: @372239
     /*  372239 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372305), // Rule ID 60474 //
     /*  372244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  372286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372303 */     GIR_RootConstrainSelectedInstOperands,
     /*  372304 */     // GIR_Coverage, 60474,
     /*  372304 */     GIR_EraseRootFromParent_Done,
     /*  372305 */   // Label 6718: @372305
     /*  372305 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372371), // Rule ID 60477 //
     /*  372310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372369 */     GIR_RootConstrainSelectedInstOperands,
     /*  372370 */     // GIR_Coverage, 60477,
     /*  372370 */     GIR_EraseRootFromParent_Done,
     /*  372371 */   // Label 6719: @372371
     /*  372371 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372437), // Rule ID 60478 //
     /*  372376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  372384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  372418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372435 */     GIR_RootConstrainSelectedInstOperands,
     /*  372436 */     // GIR_Coverage, 60478,
     /*  372436 */     GIR_EraseRootFromParent_Done,
     /*  372437 */   // Label 6720: @372437
     /*  372437 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372503), // Rule ID 60481 //
     /*  372442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372501 */     GIR_RootConstrainSelectedInstOperands,
     /*  372502 */     // GIR_Coverage, 60481,
     /*  372502 */     GIR_EraseRootFromParent_Done,
     /*  372503 */   // Label 6721: @372503
     /*  372503 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372569), // Rule ID 60482 //
     /*  372508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  372550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372567 */     GIR_RootConstrainSelectedInstOperands,
     /*  372568 */     // GIR_Coverage, 60482,
     /*  372568 */     GIR_EraseRootFromParent_Done,
     /*  372569 */   // Label 6722: @372569
     /*  372569 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(372635), // Rule ID 60485 //
     /*  372574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372613 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372633 */     GIR_RootConstrainSelectedInstOperands,
     /*  372634 */     // GIR_Coverage, 60485,
     /*  372634 */     GIR_EraseRootFromParent_Done,
     /*  372635 */   // Label 6723: @372635
     /*  372635 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(372701), // Rule ID 60486 //
     /*  372640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372679 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372699 */     GIR_RootConstrainSelectedInstOperands,
     /*  372700 */     // GIR_Coverage, 60486,
     /*  372700 */     GIR_EraseRootFromParent_Done,
     /*  372701 */   // Label 6724: @372701
     /*  372701 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(372767), // Rule ID 60489 //
     /*  372706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372745 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  372748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372765 */     GIR_RootConstrainSelectedInstOperands,
     /*  372766 */     // GIR_Coverage, 60489,
     /*  372766 */     GIR_EraseRootFromParent_Done,
     /*  372767 */   // Label 6725: @372767
     /*  372767 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(372833), // Rule ID 60490 //
     /*  372772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  372814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372831 */     GIR_RootConstrainSelectedInstOperands,
     /*  372832 */     // GIR_Coverage, 60490,
     /*  372832 */     GIR_EraseRootFromParent_Done,
     /*  372833 */   // Label 6726: @372833
     /*  372833 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(372899), // Rule ID 60493 //
     /*  372838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372877 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372897 */     GIR_RootConstrainSelectedInstOperands,
     /*  372898 */     // GIR_Coverage, 60493,
     /*  372898 */     GIR_EraseRootFromParent_Done,
     /*  372899 */   // Label 6727: @372899
     /*  372899 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(372965), // Rule ID 60494 //
     /*  372904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  372946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372963 */     GIR_RootConstrainSelectedInstOperands,
     /*  372964 */     // GIR_Coverage, 60494,
     /*  372964 */     GIR_EraseRootFromParent_Done,
     /*  372965 */   // Label 6728: @372965
     /*  372965 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373031), // Rule ID 60497 //
     /*  372970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373009 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373029 */     GIR_RootConstrainSelectedInstOperands,
     /*  373030 */     // GIR_Coverage, 60497,
     /*  373030 */     GIR_EraseRootFromParent_Done,
     /*  373031 */   // Label 6729: @373031
     /*  373031 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373097), // Rule ID 60498 //
     /*  373036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373075 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373095 */     GIR_RootConstrainSelectedInstOperands,
     /*  373096 */     // GIR_Coverage, 60498,
     /*  373096 */     GIR_EraseRootFromParent_Done,
     /*  373097 */   // Label 6730: @373097
     /*  373097 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373163), // Rule ID 60501 //
     /*  373102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373161 */     GIR_RootConstrainSelectedInstOperands,
     /*  373162 */     // GIR_Coverage, 60501,
     /*  373162 */     GIR_EraseRootFromParent_Done,
     /*  373163 */   // Label 6731: @373163
     /*  373163 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373229), // Rule ID 60502 //
     /*  373168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  373210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373227 */     GIR_RootConstrainSelectedInstOperands,
     /*  373228 */     // GIR_Coverage, 60502,
     /*  373228 */     GIR_EraseRootFromParent_Done,
     /*  373229 */   // Label 6732: @373229
     /*  373229 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373295), // Rule ID 60505 //
     /*  373234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373293 */     GIR_RootConstrainSelectedInstOperands,
     /*  373294 */     // GIR_Coverage, 60505,
     /*  373294 */     GIR_EraseRootFromParent_Done,
     /*  373295 */   // Label 6733: @373295
     /*  373295 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373361), // Rule ID 60506 //
     /*  373300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373359 */     GIR_RootConstrainSelectedInstOperands,
     /*  373360 */     // GIR_Coverage, 60506,
     /*  373360 */     GIR_EraseRootFromParent_Done,
     /*  373361 */   // Label 6734: @373361
     /*  373361 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373427), // Rule ID 60509 //
     /*  373366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373425 */     GIR_RootConstrainSelectedInstOperands,
     /*  373426 */     // GIR_Coverage, 60509,
     /*  373426 */     GIR_EraseRootFromParent_Done,
     /*  373427 */   // Label 6735: @373427
     /*  373427 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373493), // Rule ID 60510 //
     /*  373432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373491 */     GIR_RootConstrainSelectedInstOperands,
     /*  373492 */     // GIR_Coverage, 60510,
     /*  373492 */     GIR_EraseRootFromParent_Done,
     /*  373493 */   // Label 6736: @373493
     /*  373493 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373559), // Rule ID 60513 //
     /*  373498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373557 */     GIR_RootConstrainSelectedInstOperands,
     /*  373558 */     // GIR_Coverage, 60513,
     /*  373558 */     GIR_EraseRootFromParent_Done,
     /*  373559 */   // Label 6737: @373559
     /*  373559 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(373625), // Rule ID 60514 //
     /*  373564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373623 */     GIR_RootConstrainSelectedInstOperands,
     /*  373624 */     // GIR_Coverage, 60514,
     /*  373624 */     GIR_EraseRootFromParent_Done,
     /*  373625 */   // Label 6738: @373625
     /*  373625 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(373691), // Rule ID 60517 //
     /*  373630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373669 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373689 */     GIR_RootConstrainSelectedInstOperands,
     /*  373690 */     // GIR_Coverage, 60517,
     /*  373690 */     GIR_EraseRootFromParent_Done,
     /*  373691 */   // Label 6739: @373691
     /*  373691 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(373757), // Rule ID 60518 //
     /*  373696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373735 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  373738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373755 */     GIR_RootConstrainSelectedInstOperands,
     /*  373756 */     // GIR_Coverage, 60518,
     /*  373756 */     GIR_EraseRootFromParent_Done,
     /*  373757 */   // Label 6740: @373757
     /*  373757 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(373823), // Rule ID 60521 //
     /*  373762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373801 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373821 */     GIR_RootConstrainSelectedInstOperands,
     /*  373822 */     // GIR_Coverage, 60521,
     /*  373822 */     GIR_EraseRootFromParent_Done,
     /*  373823 */   // Label 6741: @373823
     /*  373823 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(373889), // Rule ID 60522 //
     /*  373828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373887 */     GIR_RootConstrainSelectedInstOperands,
     /*  373888 */     // GIR_Coverage, 60522,
     /*  373888 */     GIR_EraseRootFromParent_Done,
     /*  373889 */   // Label 6742: @373889
     /*  373889 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(373955), // Rule ID 60525 //
     /*  373894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373953 */     GIR_RootConstrainSelectedInstOperands,
     /*  373954 */     // GIR_Coverage, 60525,
     /*  373954 */     GIR_EraseRootFromParent_Done,
     /*  373955 */   // Label 6743: @373955
     /*  373955 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374021), // Rule ID 60526 //
     /*  373960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374019 */     GIR_RootConstrainSelectedInstOperands,
     /*  374020 */     // GIR_Coverage, 60526,
     /*  374020 */     GIR_EraseRootFromParent_Done,
     /*  374021 */   // Label 6744: @374021
     /*  374021 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374087), // Rule ID 60529 //
     /*  374026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374085 */     GIR_RootConstrainSelectedInstOperands,
     /*  374086 */     // GIR_Coverage, 60529,
     /*  374086 */     GIR_EraseRootFromParent_Done,
     /*  374087 */   // Label 6745: @374087
     /*  374087 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374153), // Rule ID 60530 //
     /*  374092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374131 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374151 */     GIR_RootConstrainSelectedInstOperands,
     /*  374152 */     // GIR_Coverage, 60530,
     /*  374152 */     GIR_EraseRootFromParent_Done,
     /*  374153 */   // Label 6746: @374153
     /*  374153 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374219), // Rule ID 60533 //
     /*  374158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374217 */     GIR_RootConstrainSelectedInstOperands,
     /*  374218 */     // GIR_Coverage, 60533,
     /*  374218 */     GIR_EraseRootFromParent_Done,
     /*  374219 */   // Label 6747: @374219
     /*  374219 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374285), // Rule ID 60534 //
     /*  374224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374283 */     GIR_RootConstrainSelectedInstOperands,
     /*  374284 */     // GIR_Coverage, 60534,
     /*  374284 */     GIR_EraseRootFromParent_Done,
     /*  374285 */   // Label 6748: @374285
     /*  374285 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374351), // Rule ID 60537 //
     /*  374290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374349 */     GIR_RootConstrainSelectedInstOperands,
     /*  374350 */     // GIR_Coverage, 60537,
     /*  374350 */     GIR_EraseRootFromParent_Done,
     /*  374351 */   // Label 6749: @374351
     /*  374351 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374417), // Rule ID 60538 //
     /*  374356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374415 */     GIR_RootConstrainSelectedInstOperands,
     /*  374416 */     // GIR_Coverage, 60538,
     /*  374416 */     GIR_EraseRootFromParent_Done,
     /*  374417 */   // Label 6750: @374417
     /*  374417 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374483), // Rule ID 60541 //
     /*  374422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374481 */     GIR_RootConstrainSelectedInstOperands,
     /*  374482 */     // GIR_Coverage, 60541,
     /*  374482 */     GIR_EraseRootFromParent_Done,
     /*  374483 */   // Label 6751: @374483
     /*  374483 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374549), // Rule ID 60542 //
     /*  374488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374547 */     GIR_RootConstrainSelectedInstOperands,
     /*  374548 */     // GIR_Coverage, 60542,
     /*  374548 */     GIR_EraseRootFromParent_Done,
     /*  374549 */   // Label 6752: @374549
     /*  374549 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374615), // Rule ID 60545 //
     /*  374554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374613 */     GIR_RootConstrainSelectedInstOperands,
     /*  374614 */     // GIR_Coverage, 60545,
     /*  374614 */     GIR_EraseRootFromParent_Done,
     /*  374615 */   // Label 6753: @374615
     /*  374615 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(374681), // Rule ID 60546 //
     /*  374620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374679 */     GIR_RootConstrainSelectedInstOperands,
     /*  374680 */     // GIR_Coverage, 60546,
     /*  374680 */     GIR_EraseRootFromParent_Done,
     /*  374681 */   // Label 6754: @374681
     /*  374681 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(374747), // Rule ID 60549 //
     /*  374686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374725 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374745 */     GIR_RootConstrainSelectedInstOperands,
     /*  374746 */     // GIR_Coverage, 60549,
     /*  374746 */     GIR_EraseRootFromParent_Done,
     /*  374747 */   // Label 6755: @374747
     /*  374747 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(374813), // Rule ID 60550 //
     /*  374752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374811 */     GIR_RootConstrainSelectedInstOperands,
     /*  374812 */     // GIR_Coverage, 60550,
     /*  374812 */     GIR_EraseRootFromParent_Done,
     /*  374813 */   // Label 6756: @374813
     /*  374813 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(374879), // Rule ID 60553 //
     /*  374818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374857 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374877 */     GIR_RootConstrainSelectedInstOperands,
     /*  374878 */     // GIR_Coverage, 60553,
     /*  374878 */     GIR_EraseRootFromParent_Done,
     /*  374879 */   // Label 6757: @374879
     /*  374879 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(374945), // Rule ID 60554 //
     /*  374884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374943 */     GIR_RootConstrainSelectedInstOperands,
     /*  374944 */     // GIR_Coverage, 60554,
     /*  374944 */     GIR_EraseRootFromParent_Done,
     /*  374945 */   // Label 6758: @374945
     /*  374945 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375011), // Rule ID 60557 //
     /*  374950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374989 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  374992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375009 */     GIR_RootConstrainSelectedInstOperands,
     /*  375010 */     // GIR_Coverage, 60557,
     /*  375010 */     GIR_EraseRootFromParent_Done,
     /*  375011 */   // Label 6759: @375011
     /*  375011 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375077), // Rule ID 60558 //
     /*  375016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  375058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375075 */     GIR_RootConstrainSelectedInstOperands,
     /*  375076 */     // GIR_Coverage, 60558,
     /*  375076 */     GIR_EraseRootFromParent_Done,
     /*  375077 */   // Label 6760: @375077
     /*  375077 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375143), // Rule ID 60561 //
     /*  375082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375121 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375141 */     GIR_RootConstrainSelectedInstOperands,
     /*  375142 */     // GIR_Coverage, 60561,
     /*  375142 */     GIR_EraseRootFromParent_Done,
     /*  375143 */   // Label 6761: @375143
     /*  375143 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375209), // Rule ID 60562 //
     /*  375148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  375190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375207 */     GIR_RootConstrainSelectedInstOperands,
     /*  375208 */     // GIR_Coverage, 60562,
     /*  375208 */     GIR_EraseRootFromParent_Done,
     /*  375209 */   // Label 6762: @375209
     /*  375209 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375275), // Rule ID 60565 //
     /*  375214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375273 */     GIR_RootConstrainSelectedInstOperands,
     /*  375274 */     // GIR_Coverage, 60565,
     /*  375274 */     GIR_EraseRootFromParent_Done,
     /*  375275 */   // Label 6763: @375275
     /*  375275 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375341), // Rule ID 60566 //
     /*  375280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  375288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  375322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375339 */     GIR_RootConstrainSelectedInstOperands,
     /*  375340 */     // GIR_Coverage, 60566,
     /*  375340 */     GIR_EraseRootFromParent_Done,
     /*  375341 */   // Label 6764: @375341
     /*  375341 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375407), // Rule ID 60569 //
     /*  375346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375385 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375405 */     GIR_RootConstrainSelectedInstOperands,
     /*  375406 */     // GIR_Coverage, 60569,
     /*  375406 */     GIR_EraseRootFromParent_Done,
     /*  375407 */   // Label 6765: @375407
     /*  375407 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375473), // Rule ID 60570 //
     /*  375412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  375454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375471 */     GIR_RootConstrainSelectedInstOperands,
     /*  375472 */     // GIR_Coverage, 60570,
     /*  375472 */     GIR_EraseRootFromParent_Done,
     /*  375473 */   // Label 6766: @375473
     /*  375473 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375539), // Rule ID 60573 //
     /*  375478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375537 */     GIR_RootConstrainSelectedInstOperands,
     /*  375538 */     // GIR_Coverage, 60573,
     /*  375538 */     GIR_EraseRootFromParent_Done,
     /*  375539 */   // Label 6767: @375539
     /*  375539 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375605), // Rule ID 60574 //
     /*  375544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375583 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375603 */     GIR_RootConstrainSelectedInstOperands,
     /*  375604 */     // GIR_Coverage, 60574,
     /*  375604 */     GIR_EraseRootFromParent_Done,
     /*  375605 */   // Label 6768: @375605
     /*  375605 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(375671), // Rule ID 60577 //
     /*  375610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375669 */     GIR_RootConstrainSelectedInstOperands,
     /*  375670 */     // GIR_Coverage, 60577,
     /*  375670 */     GIR_EraseRootFromParent_Done,
     /*  375671 */   // Label 6769: @375671
     /*  375671 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(375737), // Rule ID 60578 //
     /*  375676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375735 */     GIR_RootConstrainSelectedInstOperands,
     /*  375736 */     // GIR_Coverage, 60578,
     /*  375736 */     GIR_EraseRootFromParent_Done,
     /*  375737 */   // Label 6770: @375737
     /*  375737 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375803), // Rule ID 60581 //
     /*  375742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375801 */     GIR_RootConstrainSelectedInstOperands,
     /*  375802 */     // GIR_Coverage, 60581,
     /*  375802 */     GIR_EraseRootFromParent_Done,
     /*  375803 */   // Label 6771: @375803
     /*  375803 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(375869), // Rule ID 60582 //
     /*  375808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  375850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375867 */     GIR_RootConstrainSelectedInstOperands,
     /*  375868 */     // GIR_Coverage, 60582,
     /*  375868 */     GIR_EraseRootFromParent_Done,
     /*  375869 */   // Label 6772: @375869
     /*  375869 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(375935), // Rule ID 60585 //
     /*  375874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375913 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375933 */     GIR_RootConstrainSelectedInstOperands,
     /*  375934 */     // GIR_Coverage, 60585,
     /*  375934 */     GIR_EraseRootFromParent_Done,
     /*  375935 */   // Label 6773: @375935
     /*  375935 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376001), // Rule ID 60586 //
     /*  375940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375979 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  375982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375999 */     GIR_RootConstrainSelectedInstOperands,
     /*  376000 */     // GIR_Coverage, 60586,
     /*  376000 */     GIR_EraseRootFromParent_Done,
     /*  376001 */   // Label 6774: @376001
     /*  376001 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376067), // Rule ID 60589 //
     /*  376006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376065 */     GIR_RootConstrainSelectedInstOperands,
     /*  376066 */     // GIR_Coverage, 60589,
     /*  376066 */     GIR_EraseRootFromParent_Done,
     /*  376067 */   // Label 6775: @376067
     /*  376067 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376133), // Rule ID 60590 //
     /*  376072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  376114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376131 */     GIR_RootConstrainSelectedInstOperands,
     /*  376132 */     // GIR_Coverage, 60590,
     /*  376132 */     GIR_EraseRootFromParent_Done,
     /*  376133 */   // Label 6776: @376133
     /*  376133 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376199), // Rule ID 60593 //
     /*  376138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376197 */     GIR_RootConstrainSelectedInstOperands,
     /*  376198 */     // GIR_Coverage, 60593,
     /*  376198 */     GIR_EraseRootFromParent_Done,
     /*  376199 */   // Label 6777: @376199
     /*  376199 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376265), // Rule ID 60594 //
     /*  376204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376243 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376263 */     GIR_RootConstrainSelectedInstOperands,
     /*  376264 */     // GIR_Coverage, 60594,
     /*  376264 */     GIR_EraseRootFromParent_Done,
     /*  376265 */   // Label 6778: @376265
     /*  376265 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376331), // Rule ID 60597 //
     /*  376270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376329 */     GIR_RootConstrainSelectedInstOperands,
     /*  376330 */     // GIR_Coverage, 60597,
     /*  376330 */     GIR_EraseRootFromParent_Done,
     /*  376331 */   // Label 6779: @376331
     /*  376331 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376397), // Rule ID 60598 //
     /*  376336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376395 */     GIR_RootConstrainSelectedInstOperands,
     /*  376396 */     // GIR_Coverage, 60598,
     /*  376396 */     GIR_EraseRootFromParent_Done,
     /*  376397 */   // Label 6780: @376397
     /*  376397 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376463), // Rule ID 60601 //
     /*  376402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376461 */     GIR_RootConstrainSelectedInstOperands,
     /*  376462 */     // GIR_Coverage, 60601,
     /*  376462 */     GIR_EraseRootFromParent_Done,
     /*  376463 */   // Label 6781: @376463
     /*  376463 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376529), // Rule ID 60602 //
     /*  376468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376527 */     GIR_RootConstrainSelectedInstOperands,
     /*  376528 */     // GIR_Coverage, 60602,
     /*  376528 */     GIR_EraseRootFromParent_Done,
     /*  376529 */   // Label 6782: @376529
     /*  376529 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376595), // Rule ID 60605 //
     /*  376534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376593 */     GIR_RootConstrainSelectedInstOperands,
     /*  376594 */     // GIR_Coverage, 60605,
     /*  376594 */     GIR_EraseRootFromParent_Done,
     /*  376595 */   // Label 6783: @376595
     /*  376595 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376661), // Rule ID 60606 //
     /*  376600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  376642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376659 */     GIR_RootConstrainSelectedInstOperands,
     /*  376660 */     // GIR_Coverage, 60606,
     /*  376660 */     GIR_EraseRootFromParent_Done,
     /*  376661 */   // Label 6784: @376661
     /*  376661 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376727), // Rule ID 60609 //
     /*  376666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376725 */     GIR_RootConstrainSelectedInstOperands,
     /*  376726 */     // GIR_Coverage, 60609,
     /*  376726 */     GIR_EraseRootFromParent_Done,
     /*  376727 */   // Label 6785: @376727
     /*  376727 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376793), // Rule ID 60610 //
     /*  376732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376791 */     GIR_RootConstrainSelectedInstOperands,
     /*  376792 */     // GIR_Coverage, 60610,
     /*  376792 */     GIR_EraseRootFromParent_Done,
     /*  376793 */   // Label 6786: @376793
     /*  376793 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(376859), // Rule ID 60613 //
     /*  376798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376857 */     GIR_RootConstrainSelectedInstOperands,
     /*  376858 */     // GIR_Coverage, 60613,
     /*  376858 */     GIR_EraseRootFromParent_Done,
     /*  376859 */   // Label 6787: @376859
     /*  376859 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(376925), // Rule ID 60614 //
     /*  376864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376903 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376923 */     GIR_RootConstrainSelectedInstOperands,
     /*  376924 */     // GIR_Coverage, 60614,
     /*  376924 */     GIR_EraseRootFromParent_Done,
     /*  376925 */   // Label 6788: @376925
     /*  376925 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(376991), // Rule ID 60617 //
     /*  376930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376969 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376989 */     GIR_RootConstrainSelectedInstOperands,
     /*  376990 */     // GIR_Coverage, 60617,
     /*  376990 */     GIR_EraseRootFromParent_Done,
     /*  376991 */   // Label 6789: @376991
     /*  376991 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377057), // Rule ID 60618 //
     /*  376996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377055 */     GIR_RootConstrainSelectedInstOperands,
     /*  377056 */     // GIR_Coverage, 60618,
     /*  377056 */     GIR_EraseRootFromParent_Done,
     /*  377057 */   // Label 6790: @377057
     /*  377057 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377123), // Rule ID 60621 //
     /*  377062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377121 */     GIR_RootConstrainSelectedInstOperands,
     /*  377122 */     // GIR_Coverage, 60621,
     /*  377122 */     GIR_EraseRootFromParent_Done,
     /*  377123 */   // Label 6791: @377123
     /*  377123 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377189), // Rule ID 60622 //
     /*  377128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377167 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377187 */     GIR_RootConstrainSelectedInstOperands,
     /*  377188 */     // GIR_Coverage, 60622,
     /*  377188 */     GIR_EraseRootFromParent_Done,
     /*  377189 */   // Label 6792: @377189
     /*  377189 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377255), // Rule ID 60625 //
     /*  377194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377233 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377253 */     GIR_RootConstrainSelectedInstOperands,
     /*  377254 */     // GIR_Coverage, 60625,
     /*  377254 */     GIR_EraseRootFromParent_Done,
     /*  377255 */   // Label 6793: @377255
     /*  377255 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377321), // Rule ID 60626 //
     /*  377260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377319 */     GIR_RootConstrainSelectedInstOperands,
     /*  377320 */     // GIR_Coverage, 60626,
     /*  377320 */     GIR_EraseRootFromParent_Done,
     /*  377321 */   // Label 6794: @377321
     /*  377321 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377387), // Rule ID 60629 //
     /*  377326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377385 */     GIR_RootConstrainSelectedInstOperands,
     /*  377386 */     // GIR_Coverage, 60629,
     /*  377386 */     GIR_EraseRootFromParent_Done,
     /*  377387 */   // Label 6795: @377387
     /*  377387 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377453), // Rule ID 60630 //
     /*  377392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377451 */     GIR_RootConstrainSelectedInstOperands,
     /*  377452 */     // GIR_Coverage, 60630,
     /*  377452 */     GIR_EraseRootFromParent_Done,
     /*  377453 */   // Label 6796: @377453
     /*  377453 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377519), // Rule ID 60633 //
     /*  377458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377517 */     GIR_RootConstrainSelectedInstOperands,
     /*  377518 */     // GIR_Coverage, 60633,
     /*  377518 */     GIR_EraseRootFromParent_Done,
     /*  377519 */   // Label 6797: @377519
     /*  377519 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377585), // Rule ID 60634 //
     /*  377524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377583 */     GIR_RootConstrainSelectedInstOperands,
     /*  377584 */     // GIR_Coverage, 60634,
     /*  377584 */     GIR_EraseRootFromParent_Done,
     /*  377585 */   // Label 6798: @377585
     /*  377585 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377651), // Rule ID 60637 //
     /*  377590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377649 */     GIR_RootConstrainSelectedInstOperands,
     /*  377650 */     // GIR_Coverage, 60637,
     /*  377650 */     GIR_EraseRootFromParent_Done,
     /*  377651 */   // Label 6799: @377651
     /*  377651 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377717), // Rule ID 60638 //
     /*  377656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  377698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377715 */     GIR_RootConstrainSelectedInstOperands,
     /*  377716 */     // GIR_Coverage, 60638,
     /*  377716 */     GIR_EraseRootFromParent_Done,
     /*  377717 */   // Label 6800: @377717
     /*  377717 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377783), // Rule ID 60641 //
     /*  377722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377781 */     GIR_RootConstrainSelectedInstOperands,
     /*  377782 */     // GIR_Coverage, 60641,
     /*  377782 */     GIR_EraseRootFromParent_Done,
     /*  377783 */   // Label 6801: @377783
     /*  377783 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(377849), // Rule ID 60642 //
     /*  377788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377847 */     GIR_RootConstrainSelectedInstOperands,
     /*  377848 */     // GIR_Coverage, 60642,
     /*  377848 */     GIR_EraseRootFromParent_Done,
     /*  377849 */   // Label 6802: @377849
     /*  377849 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(377915), // Rule ID 60645 //
     /*  377854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377913 */     GIR_RootConstrainSelectedInstOperands,
     /*  377914 */     // GIR_Coverage, 60645,
     /*  377914 */     GIR_EraseRootFromParent_Done,
     /*  377915 */   // Label 6803: @377915
     /*  377915 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(377981), // Rule ID 60646 //
     /*  377920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377959 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  377962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377979 */     GIR_RootConstrainSelectedInstOperands,
     /*  377980 */     // GIR_Coverage, 60646,
     /*  377980 */     GIR_EraseRootFromParent_Done,
     /*  377981 */   // Label 6804: @377981
     /*  377981 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378047), // Rule ID 60649 //
     /*  377986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378045 */     GIR_RootConstrainSelectedInstOperands,
     /*  378046 */     // GIR_Coverage, 60649,
     /*  378046 */     GIR_EraseRootFromParent_Done,
     /*  378047 */   // Label 6805: @378047
     /*  378047 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378113), // Rule ID 60650 //
     /*  378052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  378094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378111 */     GIR_RootConstrainSelectedInstOperands,
     /*  378112 */     // GIR_Coverage, 60650,
     /*  378112 */     GIR_EraseRootFromParent_Done,
     /*  378113 */   // Label 6806: @378113
     /*  378113 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378179), // Rule ID 60653 //
     /*  378118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378177 */     GIR_RootConstrainSelectedInstOperands,
     /*  378178 */     // GIR_Coverage, 60653,
     /*  378178 */     GIR_EraseRootFromParent_Done,
     /*  378179 */   // Label 6807: @378179
     /*  378179 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378245), // Rule ID 60654 //
     /*  378184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  378192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  378226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378243 */     GIR_RootConstrainSelectedInstOperands,
     /*  378244 */     // GIR_Coverage, 60654,
     /*  378244 */     GIR_EraseRootFromParent_Done,
     /*  378245 */   // Label 6808: @378245
     /*  378245 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378311), // Rule ID 61077 //
     /*  378250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378289 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378309 */     GIR_RootConstrainSelectedInstOperands,
     /*  378310 */     // GIR_Coverage, 61077,
     /*  378310 */     GIR_EraseRootFromParent_Done,
     /*  378311 */   // Label 6809: @378311
     /*  378311 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378377), // Rule ID 61078 //
     /*  378316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  378327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  378330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  378333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  378358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378375 */     GIR_RootConstrainSelectedInstOperands,
     /*  378376 */     // GIR_Coverage, 61078,
     /*  378376 */     GIR_EraseRootFromParent_Done,
     /*  378377 */   // Label 6810: @378377
     /*  378377 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378443), // Rule ID 61081 //
     /*  378382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378441 */     GIR_RootConstrainSelectedInstOperands,
     /*  378442 */     // GIR_Coverage, 61081,
     /*  378442 */     GIR_EraseRootFromParent_Done,
     /*  378443 */   // Label 6811: @378443
     /*  378443 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378509), // Rule ID 61082 //
     /*  378448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  378459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  378462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  378465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378507 */     GIR_RootConstrainSelectedInstOperands,
     /*  378508 */     // GIR_Coverage, 61082,
     /*  378508 */     GIR_EraseRootFromParent_Done,
     /*  378509 */   // Label 6812: @378509
     /*  378509 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378575), // Rule ID 61085 //
     /*  378514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378553 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378573 */     GIR_RootConstrainSelectedInstOperands,
     /*  378574 */     // GIR_Coverage, 61085,
     /*  378574 */     GIR_EraseRootFromParent_Done,
     /*  378575 */   // Label 6813: @378575
     /*  378575 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378641), // Rule ID 61086 //
     /*  378580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378619 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378639 */     GIR_RootConstrainSelectedInstOperands,
     /*  378640 */     // GIR_Coverage, 61086,
     /*  378640 */     GIR_EraseRootFromParent_Done,
     /*  378641 */   // Label 6814: @378641
     /*  378641 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378707), // Rule ID 61089 //
     /*  378646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378685 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378705 */     GIR_RootConstrainSelectedInstOperands,
     /*  378706 */     // GIR_Coverage, 61089,
     /*  378706 */     GIR_EraseRootFromParent_Done,
     /*  378707 */   // Label 6815: @378707
     /*  378707 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(378773), // Rule ID 61090 //
     /*  378712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  378754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378771 */     GIR_RootConstrainSelectedInstOperands,
     /*  378772 */     // GIR_Coverage, 61090,
     /*  378772 */     GIR_EraseRootFromParent_Done,
     /*  378773 */   // Label 6816: @378773
     /*  378773 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(378839), // Rule ID 61093 //
     /*  378778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378837 */     GIR_RootConstrainSelectedInstOperands,
     /*  378838 */     // GIR_Coverage, 61093,
     /*  378838 */     GIR_EraseRootFromParent_Done,
     /*  378839 */   // Label 6817: @378839
     /*  378839 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(378905), // Rule ID 61094 //
     /*  378844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378903 */     GIR_RootConstrainSelectedInstOperands,
     /*  378904 */     // GIR_Coverage, 61094,
     /*  378904 */     GIR_EraseRootFromParent_Done,
     /*  378905 */   // Label 6818: @378905
     /*  378905 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(378971), // Rule ID 61097 //
     /*  378910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  378921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  378924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  378927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  378952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378969 */     GIR_RootConstrainSelectedInstOperands,
     /*  378970 */     // GIR_Coverage, 61097,
     /*  378970 */     GIR_EraseRootFromParent_Done,
     /*  378971 */   // Label 6819: @378971
     /*  378971 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379037), // Rule ID 61098 //
     /*  378976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  378987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  378990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  378993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  379018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379035 */     GIR_RootConstrainSelectedInstOperands,
     /*  379036 */     // GIR_Coverage, 61098,
     /*  379036 */     GIR_EraseRootFromParent_Done,
     /*  379037 */   // Label 6820: @379037
     /*  379037 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379103), // Rule ID 61101 //
     /*  379042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379101 */     GIR_RootConstrainSelectedInstOperands,
     /*  379102 */     // GIR_Coverage, 61101,
     /*  379102 */     GIR_EraseRootFromParent_Done,
     /*  379103 */   // Label 6821: @379103
     /*  379103 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379169), // Rule ID 61102 //
     /*  379108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  379119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  379122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  379125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379167 */     GIR_RootConstrainSelectedInstOperands,
     /*  379168 */     // GIR_Coverage, 61102,
     /*  379168 */     GIR_EraseRootFromParent_Done,
     /*  379169 */   // Label 6822: @379169
     /*  379169 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379235), // Rule ID 61105 //
     /*  379174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379233 */     GIR_RootConstrainSelectedInstOperands,
     /*  379234 */     // GIR_Coverage, 61105,
     /*  379234 */     GIR_EraseRootFromParent_Done,
     /*  379235 */   // Label 6823: @379235
     /*  379235 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379301), // Rule ID 61106 //
     /*  379240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  379251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  379254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  379257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379279 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379299 */     GIR_RootConstrainSelectedInstOperands,
     /*  379300 */     // GIR_Coverage, 61106,
     /*  379300 */     GIR_EraseRootFromParent_Done,
     /*  379301 */   // Label 6824: @379301
     /*  379301 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379367), // Rule ID 61109 //
     /*  379306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379365 */     GIR_RootConstrainSelectedInstOperands,
     /*  379366 */     // GIR_Coverage, 61109,
     /*  379366 */     GIR_EraseRootFromParent_Done,
     /*  379367 */   // Label 6825: @379367
     /*  379367 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379433), // Rule ID 61110 //
     /*  379372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  379383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  379386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  379389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379431 */     GIR_RootConstrainSelectedInstOperands,
     /*  379432 */     // GIR_Coverage, 61110,
     /*  379432 */     GIR_EraseRootFromParent_Done,
     /*  379433 */   // Label 6826: @379433
     /*  379433 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379499), // Rule ID 61113 //
     /*  379438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379477 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379497 */     GIR_RootConstrainSelectedInstOperands,
     /*  379498 */     // GIR_Coverage, 61113,
     /*  379498 */     GIR_EraseRootFromParent_Done,
     /*  379499 */   // Label 6827: @379499
     /*  379499 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379565), // Rule ID 61114 //
     /*  379504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  379515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  379518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  379521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  379546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379563 */     GIR_RootConstrainSelectedInstOperands,
     /*  379564 */     // GIR_Coverage, 61114,
     /*  379564 */     GIR_EraseRootFromParent_Done,
     /*  379565 */   // Label 6828: @379565
     /*  379565 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(379631), // Rule ID 61117 //
     /*  379570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379629 */     GIR_RootConstrainSelectedInstOperands,
     /*  379630 */     // GIR_Coverage, 61117,
     /*  379630 */     GIR_EraseRootFromParent_Done,
     /*  379631 */   // Label 6829: @379631
     /*  379631 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379697), // Rule ID 61118 //
     /*  379636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379695 */     GIR_RootConstrainSelectedInstOperands,
     /*  379696 */     // GIR_Coverage, 61118,
     /*  379696 */     GIR_EraseRootFromParent_Done,
     /*  379697 */   // Label 6830: @379697
     /*  379697 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379763), // Rule ID 61121 //
     /*  379702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379741 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379761 */     GIR_RootConstrainSelectedInstOperands,
     /*  379762 */     // GIR_Coverage, 61121,
     /*  379762 */     GIR_EraseRootFromParent_Done,
     /*  379763 */   // Label 6831: @379763
     /*  379763 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(379829), // Rule ID 61122 //
     /*  379768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379827 */     GIR_RootConstrainSelectedInstOperands,
     /*  379828 */     // GIR_Coverage, 61122,
     /*  379828 */     GIR_EraseRootFromParent_Done,
     /*  379829 */   // Label 6832: @379829
     /*  379829 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(379895), // Rule ID 61125 //
     /*  379834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379873 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379893 */     GIR_RootConstrainSelectedInstOperands,
     /*  379894 */     // GIR_Coverage, 61125,
     /*  379894 */     GIR_EraseRootFromParent_Done,
     /*  379895 */   // Label 6833: @379895
     /*  379895 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(379961), // Rule ID 61126 //
     /*  379900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379939 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379959 */     GIR_RootConstrainSelectedInstOperands,
     /*  379960 */     // GIR_Coverage, 61126,
     /*  379960 */     GIR_EraseRootFromParent_Done,
     /*  379961 */   // Label 6834: @379961
     /*  379961 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380027), // Rule ID 61129 //
     /*  379966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  379977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  379980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  379983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380005 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380025 */     GIR_RootConstrainSelectedInstOperands,
     /*  380026 */     // GIR_Coverage, 61129,
     /*  380026 */     GIR_EraseRootFromParent_Done,
     /*  380027 */   // Label 6835: @380027
     /*  380027 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380093), // Rule ID 61130 //
     /*  380032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  380043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  380046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  380049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380091 */     GIR_RootConstrainSelectedInstOperands,
     /*  380092 */     // GIR_Coverage, 61130,
     /*  380092 */     GIR_EraseRootFromParent_Done,
     /*  380093 */   // Label 6836: @380093
     /*  380093 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380159), // Rule ID 61133 //
     /*  380098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380137 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380157 */     GIR_RootConstrainSelectedInstOperands,
     /*  380158 */     // GIR_Coverage, 61133,
     /*  380158 */     GIR_EraseRootFromParent_Done,
     /*  380159 */   // Label 6837: @380159
     /*  380159 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380225), // Rule ID 61134 //
     /*  380164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  380175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  380178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  380181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380223 */     GIR_RootConstrainSelectedInstOperands,
     /*  380224 */     // GIR_Coverage, 61134,
     /*  380224 */     GIR_EraseRootFromParent_Done,
     /*  380225 */   // Label 6838: @380225
     /*  380225 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380291), // Rule ID 61137 //
     /*  380230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380289 */     GIR_RootConstrainSelectedInstOperands,
     /*  380290 */     // GIR_Coverage, 61137,
     /*  380290 */     GIR_EraseRootFromParent_Done,
     /*  380291 */   // Label 6839: @380291
     /*  380291 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380357), // Rule ID 61138 //
     /*  380296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  380307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  380310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  380313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380355 */     GIR_RootConstrainSelectedInstOperands,
     /*  380356 */     // GIR_Coverage, 61138,
     /*  380356 */     GIR_EraseRootFromParent_Done,
     /*  380357 */   // Label 6840: @380357
     /*  380357 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380423), // Rule ID 61141 //
     /*  380362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380421 */     GIR_RootConstrainSelectedInstOperands,
     /*  380422 */     // GIR_Coverage, 61141,
     /*  380422 */     GIR_EraseRootFromParent_Done,
     /*  380423 */   // Label 6841: @380423
     /*  380423 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380489), // Rule ID 61142 //
     /*  380428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  380439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  380442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  380445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380487 */     GIR_RootConstrainSelectedInstOperands,
     /*  380488 */     // GIR_Coverage, 61142,
     /*  380488 */     GIR_EraseRootFromParent_Done,
     /*  380489 */   // Label 6842: @380489
     /*  380489 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380555), // Rule ID 61145 //
     /*  380494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380553 */     GIR_RootConstrainSelectedInstOperands,
     /*  380554 */     // GIR_Coverage, 61145,
     /*  380554 */     GIR_EraseRootFromParent_Done,
     /*  380555 */   // Label 6843: @380555
     /*  380555 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380621), // Rule ID 61146 //
     /*  380560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380619 */     GIR_RootConstrainSelectedInstOperands,
     /*  380620 */     // GIR_Coverage, 61146,
     /*  380620 */     GIR_EraseRootFromParent_Done,
     /*  380621 */   // Label 6844: @380621
     /*  380621 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380687), // Rule ID 61149 //
     /*  380626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380685 */     GIR_RootConstrainSelectedInstOperands,
     /*  380686 */     // GIR_Coverage, 61149,
     /*  380686 */     GIR_EraseRootFromParent_Done,
     /*  380687 */   // Label 6845: @380687
     /*  380687 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380753), // Rule ID 61150 //
     /*  380692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  380734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380751 */     GIR_RootConstrainSelectedInstOperands,
     /*  380752 */     // GIR_Coverage, 61150,
     /*  380752 */     GIR_EraseRootFromParent_Done,
     /*  380753 */   // Label 6846: @380753
     /*  380753 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380819), // Rule ID 61153 //
     /*  380758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380817 */     GIR_RootConstrainSelectedInstOperands,
     /*  380818 */     // GIR_Coverage, 61153,
     /*  380818 */     GIR_EraseRootFromParent_Done,
     /*  380819 */   // Label 6847: @380819
     /*  380819 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(380885), // Rule ID 61154 //
     /*  380824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  380866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380883 */     GIR_RootConstrainSelectedInstOperands,
     /*  380884 */     // GIR_Coverage, 61154,
     /*  380884 */     GIR_EraseRootFromParent_Done,
     /*  380885 */   // Label 6848: @380885
     /*  380885 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(380951), // Rule ID 61157 //
     /*  380890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380949 */     GIR_RootConstrainSelectedInstOperands,
     /*  380950 */     // GIR_Coverage, 61157,
     /*  380950 */     GIR_EraseRootFromParent_Done,
     /*  380951 */   // Label 6849: @380951
     /*  380951 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381017), // Rule ID 61158 //
     /*  380956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  380964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  380998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381015 */     GIR_RootConstrainSelectedInstOperands,
     /*  381016 */     // GIR_Coverage, 61158,
     /*  381016 */     GIR_EraseRootFromParent_Done,
     /*  381017 */   // Label 6850: @381017
     /*  381017 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381083), // Rule ID 61161 //
     /*  381022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381081 */     GIR_RootConstrainSelectedInstOperands,
     /*  381082 */     // GIR_Coverage, 61161,
     /*  381082 */     GIR_EraseRootFromParent_Done,
     /*  381083 */   // Label 6851: @381083
     /*  381083 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381149), // Rule ID 61162 //
     /*  381088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  381096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  381099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  381102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  381105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  381130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381147 */     GIR_RootConstrainSelectedInstOperands,
     /*  381148 */     // GIR_Coverage, 61162,
     /*  381148 */     GIR_EraseRootFromParent_Done,
     /*  381149 */   // Label 6852: @381149
     /*  381149 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381215), // Rule ID 61165 //
     /*  381154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381213 */     GIR_RootConstrainSelectedInstOperands,
     /*  381214 */     // GIR_Coverage, 61165,
     /*  381214 */     GIR_EraseRootFromParent_Done,
     /*  381215 */   // Label 6853: @381215
     /*  381215 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381281), // Rule ID 61166 //
     /*  381220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  381231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  381234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  381237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  381262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381279 */     GIR_RootConstrainSelectedInstOperands,
     /*  381280 */     // GIR_Coverage, 61166,
     /*  381280 */     GIR_EraseRootFromParent_Done,
     /*  381281 */   // Label 6854: @381281
     /*  381281 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381347), // Rule ID 61169 //
     /*  381286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381325 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381345 */     GIR_RootConstrainSelectedInstOperands,
     /*  381346 */     // GIR_Coverage, 61169,
     /*  381346 */     GIR_EraseRootFromParent_Done,
     /*  381347 */   // Label 6855: @381347
     /*  381347 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381413), // Rule ID 61170 //
     /*  381352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  381363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  381366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  381369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381411 */     GIR_RootConstrainSelectedInstOperands,
     /*  381412 */     // GIR_Coverage, 61170,
     /*  381412 */     GIR_EraseRootFromParent_Done,
     /*  381413 */   // Label 6856: @381413
     /*  381413 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381479), // Rule ID 61173 //
     /*  381418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381457 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381477 */     GIR_RootConstrainSelectedInstOperands,
     /*  381478 */     // GIR_Coverage, 61173,
     /*  381478 */     GIR_EraseRootFromParent_Done,
     /*  381479 */   // Label 6857: @381479
     /*  381479 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381545), // Rule ID 61174 //
     /*  381484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  381495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  381498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  381501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381543 */     GIR_RootConstrainSelectedInstOperands,
     /*  381544 */     // GIR_Coverage, 61174,
     /*  381544 */     GIR_EraseRootFromParent_Done,
     /*  381545 */   // Label 6858: @381545
     /*  381545 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381611), // Rule ID 61177 //
     /*  381550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381589 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381609 */     GIR_RootConstrainSelectedInstOperands,
     /*  381610 */     // GIR_Coverage, 61177,
     /*  381610 */     GIR_EraseRootFromParent_Done,
     /*  381611 */   // Label 6859: @381611
     /*  381611 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381677), // Rule ID 61178 //
     /*  381616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381655 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  381658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381675 */     GIR_RootConstrainSelectedInstOperands,
     /*  381676 */     // GIR_Coverage, 61178,
     /*  381676 */     GIR_EraseRootFromParent_Done,
     /*  381677 */   // Label 6860: @381677
     /*  381677 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381743), // Rule ID 61181 //
     /*  381682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381741 */     GIR_RootConstrainSelectedInstOperands,
     /*  381742 */     // GIR_Coverage, 61181,
     /*  381742 */     GIR_EraseRootFromParent_Done,
     /*  381743 */   // Label 6861: @381743
     /*  381743 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381809), // Rule ID 61182 //
     /*  381748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381807 */     GIR_RootConstrainSelectedInstOperands,
     /*  381808 */     // GIR_Coverage, 61182,
     /*  381808 */     GIR_EraseRootFromParent_Done,
     /*  381809 */   // Label 6862: @381809
     /*  381809 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(381875), // Rule ID 61185 //
     /*  381814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381873 */     GIR_RootConstrainSelectedInstOperands,
     /*  381874 */     // GIR_Coverage, 61185,
     /*  381874 */     GIR_EraseRootFromParent_Done,
     /*  381875 */   // Label 6863: @381875
     /*  381875 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(381941), // Rule ID 61186 //
     /*  381880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  381922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381939 */     GIR_RootConstrainSelectedInstOperands,
     /*  381940 */     // GIR_Coverage, 61186,
     /*  381940 */     GIR_EraseRootFromParent_Done,
     /*  381941 */   // Label 6864: @381941
     /*  381941 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382007), // Rule ID 61189 //
     /*  381946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381985 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  381988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382005 */     GIR_RootConstrainSelectedInstOperands,
     /*  382006 */     // GIR_Coverage, 61189,
     /*  382006 */     GIR_EraseRootFromParent_Done,
     /*  382007 */   // Label 6865: @382007
     /*  382007 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382073), // Rule ID 61190 //
     /*  382012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  382023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  382026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  382029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382071 */     GIR_RootConstrainSelectedInstOperands,
     /*  382072 */     // GIR_Coverage, 61190,
     /*  382072 */     GIR_EraseRootFromParent_Done,
     /*  382073 */   // Label 6866: @382073
     /*  382073 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382139), // Rule ID 61193 //
     /*  382078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382137 */     GIR_RootConstrainSelectedInstOperands,
     /*  382138 */     // GIR_Coverage, 61193,
     /*  382138 */     GIR_EraseRootFromParent_Done,
     /*  382139 */   // Label 6867: @382139
     /*  382139 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382205), // Rule ID 61194 //
     /*  382144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  382155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  382158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  382161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382203 */     GIR_RootConstrainSelectedInstOperands,
     /*  382204 */     // GIR_Coverage, 61194,
     /*  382204 */     GIR_EraseRootFromParent_Done,
     /*  382205 */   // Label 6868: @382205
     /*  382205 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382271), // Rule ID 61197 //
     /*  382210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382269 */     GIR_RootConstrainSelectedInstOperands,
     /*  382270 */     // GIR_Coverage, 61197,
     /*  382270 */     GIR_EraseRootFromParent_Done,
     /*  382271 */   // Label 6869: @382271
     /*  382271 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382337), // Rule ID 61198 //
     /*  382276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  382287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  382290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  382293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382335 */     GIR_RootConstrainSelectedInstOperands,
     /*  382336 */     // GIR_Coverage, 61198,
     /*  382336 */     GIR_EraseRootFromParent_Done,
     /*  382337 */   // Label 6870: @382337
     /*  382337 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382403), // Rule ID 61201 //
     /*  382342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382381 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382401 */     GIR_RootConstrainSelectedInstOperands,
     /*  382402 */     // GIR_Coverage, 61201,
     /*  382402 */     GIR_EraseRootFromParent_Done,
     /*  382403 */   // Label 6871: @382403
     /*  382403 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382469), // Rule ID 61202 //
     /*  382408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  382419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  382422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  382425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  382450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382467 */     GIR_RootConstrainSelectedInstOperands,
     /*  382468 */     // GIR_Coverage, 61202,
     /*  382468 */     GIR_EraseRootFromParent_Done,
     /*  382469 */   // Label 6872: @382469
     /*  382469 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382535), // Rule ID 61205 //
     /*  382474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382513 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382533 */     GIR_RootConstrainSelectedInstOperands,
     /*  382534 */     // GIR_Coverage, 61205,
     /*  382534 */     GIR_EraseRootFromParent_Done,
     /*  382535 */   // Label 6873: @382535
     /*  382535 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382601), // Rule ID 61206 //
     /*  382540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382579 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382599 */     GIR_RootConstrainSelectedInstOperands,
     /*  382600 */     // GIR_Coverage, 61206,
     /*  382600 */     GIR_EraseRootFromParent_Done,
     /*  382601 */   // Label 6874: @382601
     /*  382601 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382667), // Rule ID 61209 //
     /*  382606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382645 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382665 */     GIR_RootConstrainSelectedInstOperands,
     /*  382666 */     // GIR_Coverage, 61209,
     /*  382666 */     GIR_EraseRootFromParent_Done,
     /*  382667 */   // Label 6875: @382667
     /*  382667 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382733), // Rule ID 61210 //
     /*  382672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382731 */     GIR_RootConstrainSelectedInstOperands,
     /*  382732 */     // GIR_Coverage, 61210,
     /*  382732 */     GIR_EraseRootFromParent_Done,
     /*  382733 */   // Label 6876: @382733
     /*  382733 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(382799), // Rule ID 61213 //
     /*  382738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382797 */     GIR_RootConstrainSelectedInstOperands,
     /*  382798 */     // GIR_Coverage, 61213,
     /*  382798 */     GIR_EraseRootFromParent_Done,
     /*  382799 */   // Label 6877: @382799
     /*  382799 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(382865), // Rule ID 61214 //
     /*  382804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382863 */     GIR_RootConstrainSelectedInstOperands,
     /*  382864 */     // GIR_Coverage, 61214,
     /*  382864 */     GIR_EraseRootFromParent_Done,
     /*  382865 */   // Label 6878: @382865
     /*  382865 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(382931), // Rule ID 61217 //
     /*  382870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382929 */     GIR_RootConstrainSelectedInstOperands,
     /*  382930 */     // GIR_Coverage, 61217,
     /*  382930 */     GIR_EraseRootFromParent_Done,
     /*  382931 */   // Label 6879: @382931
     /*  382931 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(382997), // Rule ID 61218 //
     /*  382936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382995 */     GIR_RootConstrainSelectedInstOperands,
     /*  382996 */     // GIR_Coverage, 61218,
     /*  382996 */     GIR_EraseRootFromParent_Done,
     /*  382997 */   // Label 6880: @382997
     /*  382997 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383063), // Rule ID 61221 //
     /*  383002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383061 */     GIR_RootConstrainSelectedInstOperands,
     /*  383062 */     // GIR_Coverage, 61221,
     /*  383062 */     GIR_EraseRootFromParent_Done,
     /*  383063 */   // Label 6881: @383063
     /*  383063 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383129), // Rule ID 61222 //
     /*  383068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  383079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  383082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  383085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383127 */     GIR_RootConstrainSelectedInstOperands,
     /*  383128 */     // GIR_Coverage, 61222,
     /*  383128 */     GIR_EraseRootFromParent_Done,
     /*  383129 */   // Label 6882: @383129
     /*  383129 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383195), // Rule ID 61225 //
     /*  383134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383173 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383193 */     GIR_RootConstrainSelectedInstOperands,
     /*  383194 */     // GIR_Coverage, 61225,
     /*  383194 */     GIR_EraseRootFromParent_Done,
     /*  383195 */   // Label 6883: @383195
     /*  383195 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383261), // Rule ID 61226 //
     /*  383200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383259 */     GIR_RootConstrainSelectedInstOperands,
     /*  383260 */     // GIR_Coverage, 61226,
     /*  383260 */     GIR_EraseRootFromParent_Done,
     /*  383261 */   // Label 6884: @383261
     /*  383261 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383327), // Rule ID 61229 //
     /*  383266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383325 */     GIR_RootConstrainSelectedInstOperands,
     /*  383326 */     // GIR_Coverage, 61229,
     /*  383326 */     GIR_EraseRootFromParent_Done,
     /*  383327 */   // Label 6885: @383327
     /*  383327 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383393), // Rule ID 61230 //
     /*  383332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383391 */     GIR_RootConstrainSelectedInstOperands,
     /*  383392 */     // GIR_Coverage, 61230,
     /*  383392 */     GIR_EraseRootFromParent_Done,
     /*  383393 */   // Label 6886: @383393
     /*  383393 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383459), // Rule ID 61233 //
     /*  383398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383437 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383457 */     GIR_RootConstrainSelectedInstOperands,
     /*  383458 */     // GIR_Coverage, 61233,
     /*  383458 */     GIR_EraseRootFromParent_Done,
     /*  383459 */   // Label 6887: @383459
     /*  383459 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383525), // Rule ID 61234 //
     /*  383464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383523 */     GIR_RootConstrainSelectedInstOperands,
     /*  383524 */     // GIR_Coverage, 61234,
     /*  383524 */     GIR_EraseRootFromParent_Done,
     /*  383525 */   // Label 6888: @383525
     /*  383525 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383591), // Rule ID 61237 //
     /*  383530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383589 */     GIR_RootConstrainSelectedInstOperands,
     /*  383590 */     // GIR_Coverage, 61237,
     /*  383590 */     GIR_EraseRootFromParent_Done,
     /*  383591 */   // Label 6889: @383591
     /*  383591 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383657), // Rule ID 61238 //
     /*  383596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383655 */     GIR_RootConstrainSelectedInstOperands,
     /*  383656 */     // GIR_Coverage, 61238,
     /*  383656 */     GIR_EraseRootFromParent_Done,
     /*  383657 */   // Label 6890: @383657
     /*  383657 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383723), // Rule ID 61241 //
     /*  383662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383721 */     GIR_RootConstrainSelectedInstOperands,
     /*  383722 */     // GIR_Coverage, 61241,
     /*  383722 */     GIR_EraseRootFromParent_Done,
     /*  383723 */   // Label 6891: @383723
     /*  383723 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(383789), // Rule ID 61242 //
     /*  383728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383767 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  383770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383787 */     GIR_RootConstrainSelectedInstOperands,
     /*  383788 */     // GIR_Coverage, 61242,
     /*  383788 */     GIR_EraseRootFromParent_Done,
     /*  383789 */   // Label 6892: @383789
     /*  383789 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(383855), // Rule ID 61245 //
     /*  383794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383853 */     GIR_RootConstrainSelectedInstOperands,
     /*  383854 */     // GIR_Coverage, 61245,
     /*  383854 */     GIR_EraseRootFromParent_Done,
     /*  383855 */   // Label 6893: @383855
     /*  383855 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(383921), // Rule ID 61246 //
     /*  383860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  383902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383919 */     GIR_RootConstrainSelectedInstOperands,
     /*  383920 */     // GIR_Coverage, 61246,
     /*  383920 */     GIR_EraseRootFromParent_Done,
     /*  383921 */   // Label 6894: @383921
     /*  383921 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(383987), // Rule ID 61249 //
     /*  383926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  383934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  383940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  383968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383985 */     GIR_RootConstrainSelectedInstOperands,
     /*  383986 */     // GIR_Coverage, 61249,
     /*  383986 */     GIR_EraseRootFromParent_Done,
     /*  383987 */   // Label 6895: @383987
     /*  383987 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384053), // Rule ID 61250 //
     /*  383992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  384000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  384034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384051 */     GIR_RootConstrainSelectedInstOperands,
     /*  384052 */     // GIR_Coverage, 61250,
     /*  384052 */     GIR_EraseRootFromParent_Done,
     /*  384053 */   // Label 6896: @384053
     /*  384053 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384118), // Rule ID 64180 //
     /*  384058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384102 */     // MIs[1] Operand 1
     /*  384102 */     // No operand predicates
     /*  384102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384104 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  384107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384116 */     GIR_RootConstrainSelectedInstOperands,
     /*  384117 */     // GIR_Coverage, 64180,
     /*  384117 */     GIR_EraseRootFromParent_Done,
     /*  384118 */   // Label 6897: @384118
     /*  384118 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384183), // Rule ID 64207 //
     /*  384123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384167 */     // MIs[1] Operand 1
     /*  384167 */     // No operand predicates
     /*  384167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384169 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  384172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384181 */     GIR_RootConstrainSelectedInstOperands,
     /*  384182 */     // GIR_Coverage, 64207,
     /*  384182 */     GIR_EraseRootFromParent_Done,
     /*  384183 */   // Label 6898: @384183
     /*  384183 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384248), // Rule ID 64210 //
     /*  384188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384232 */     // MIs[1] Operand 1
     /*  384232 */     // No operand predicates
     /*  384232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384234 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  384237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384246 */     GIR_RootConstrainSelectedInstOperands,
     /*  384247 */     // GIR_Coverage, 64210,
     /*  384247 */     GIR_EraseRootFromParent_Done,
     /*  384248 */   // Label 6899: @384248
     /*  384248 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384313), // Rule ID 64213 //
     /*  384253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384297 */     // MIs[1] Operand 1
     /*  384297 */     // No operand predicates
     /*  384297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384299 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  384302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384311 */     GIR_RootConstrainSelectedInstOperands,
     /*  384312 */     // GIR_Coverage, 64213,
     /*  384312 */     GIR_EraseRootFromParent_Done,
     /*  384313 */   // Label 6900: @384313
     /*  384313 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384378), // Rule ID 64216 //
     /*  384318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384362 */     // MIs[1] Operand 1
     /*  384362 */     // No operand predicates
     /*  384362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384364 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  384367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384376 */     GIR_RootConstrainSelectedInstOperands,
     /*  384377 */     // GIR_Coverage, 64216,
     /*  384377 */     GIR_EraseRootFromParent_Done,
     /*  384378 */   // Label 6901: @384378
     /*  384378 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384443), // Rule ID 64219 //
     /*  384383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384427 */     // MIs[1] Operand 1
     /*  384427 */     // No operand predicates
     /*  384427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384429 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  384432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384441 */     GIR_RootConstrainSelectedInstOperands,
     /*  384442 */     // GIR_Coverage, 64219,
     /*  384442 */     GIR_EraseRootFromParent_Done,
     /*  384443 */   // Label 6902: @384443
     /*  384443 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384508), // Rule ID 64222 //
     /*  384448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384492 */     // MIs[1] Operand 1
     /*  384492 */     // No operand predicates
     /*  384492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384494 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  384497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384506 */     GIR_RootConstrainSelectedInstOperands,
     /*  384507 */     // GIR_Coverage, 64222,
     /*  384507 */     GIR_EraseRootFromParent_Done,
     /*  384508 */   // Label 6903: @384508
     /*  384508 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384573), // Rule ID 64225 //
     /*  384513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384557 */     // MIs[1] Operand 1
     /*  384557 */     // No operand predicates
     /*  384557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384559 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  384559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  384562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  384571 */     GIR_RootConstrainSelectedInstOperands,
     /*  384572 */     // GIR_Coverage, 64225,
     /*  384572 */     GIR_EraseRootFromParent_Done,
     /*  384573 */   // Label 6904: @384573
     /*  384573 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384628), // Rule ID 2530 //
     /*  384578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  384581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  384586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384607 */     // MIs[0] imm
     /*  384607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384610 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384615 */     // (intrinsic_wo_chain:{ *:[i32] } 10888:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  384618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384624 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384626 */     GIR_RootConstrainSelectedInstOperands,
     /*  384627 */     // GIR_Coverage, 2530,
     /*  384627 */     GIR_EraseRootFromParent_Done,
     /*  384628 */   // Label 6905: @384628
     /*  384628 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384683), // Rule ID 2531 //
     /*  384633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  384636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  384641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384662 */     // MIs[0] imm
     /*  384662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384670 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  384673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384679 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384681 */     GIR_RootConstrainSelectedInstOperands,
     /*  384682 */     // GIR_Coverage, 2531,
     /*  384682 */     GIR_EraseRootFromParent_Done,
     /*  384683 */   // Label 6906: @384683
     /*  384683 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384738), // Rule ID 2537 //
     /*  384688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  384691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  384696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384717 */     // MIs[0] imm
     /*  384717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384725 */     // (intrinsic_wo_chain:{ *:[i32] } 10890:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  384728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384734 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384736 */     GIR_RootConstrainSelectedInstOperands,
     /*  384737 */     // GIR_Coverage, 2537,
     /*  384737 */     GIR_EraseRootFromParent_Done,
     /*  384738 */   // Label 6907: @384738
     /*  384738 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(384793), // Rule ID 2538 //
     /*  384743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  384746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  384751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384772 */     // MIs[0] imm
     /*  384772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  384780 */     // (intrinsic_wo_chain:{ *:[i32] } 10891:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  384780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  384783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384789 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  384791 */     GIR_RootConstrainSelectedInstOperands,
     /*  384792 */     // GIR_Coverage, 2538,
     /*  384792 */     GIR_EraseRootFromParent_Done,
     /*  384793 */   // Label 6908: @384793
     /*  384793 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(384848), // Rule ID 64236 //
     /*  384798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  384806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384827 */     // MIs[0] imm5
     /*  384827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384835 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  384838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384844 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384846 */     GIR_RootConstrainSelectedInstOperands,
     /*  384847 */     // GIR_Coverage, 64236,
     /*  384847 */     GIR_EraseRootFromParent_Done,
     /*  384848 */   // Label 6909: @384848
     /*  384848 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(384903), // Rule ID 64237 //
     /*  384853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  384861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384882 */     // MIs[0] imm5
     /*  384882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384890 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  384893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384899 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384901 */     GIR_RootConstrainSelectedInstOperands,
     /*  384902 */     // GIR_Coverage, 64237,
     /*  384902 */     GIR_EraseRootFromParent_Done,
     /*  384903 */   // Label 6910: @384903
     /*  384903 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(384958), // Rule ID 64238 //
     /*  384908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  384916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384937 */     // MIs[0] imm5
     /*  384937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384945 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  384948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384954 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384956 */     GIR_RootConstrainSelectedInstOperands,
     /*  384957 */     // GIR_Coverage, 64238,
     /*  384957 */     GIR_EraseRootFromParent_Done,
     /*  384958 */   // Label 6911: @384958
     /*  384958 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385013), // Rule ID 64239 //
     /*  384963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  384966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  384971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384992 */     // MIs[0] imm5
     /*  384992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385000 */     // (intrinsic_wo_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  385003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385009 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385011 */     GIR_RootConstrainSelectedInstOperands,
     /*  385012 */     // GIR_Coverage, 64239,
     /*  385012 */     GIR_EraseRootFromParent_Done,
     /*  385013 */   // Label 6912: @385013
     /*  385013 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385068), // Rule ID 64240 //
     /*  385018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  385026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385047 */     // MIs[0] imm5
     /*  385047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385055 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  385058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385064 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385066 */     GIR_RootConstrainSelectedInstOperands,
     /*  385067 */     // GIR_Coverage, 64240,
     /*  385067 */     GIR_EraseRootFromParent_Done,
     /*  385068 */   // Label 6913: @385068
     /*  385068 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385123), // Rule ID 64241 //
     /*  385073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  385081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385102 */     // MIs[0] imm5
     /*  385102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385110 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  385113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385119 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385121 */     GIR_RootConstrainSelectedInstOperands,
     /*  385122 */     // GIR_Coverage, 64241,
     /*  385122 */     GIR_EraseRootFromParent_Done,
     /*  385123 */   // Label 6914: @385123
     /*  385123 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385178), // Rule ID 64242 //
     /*  385128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  385136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385157 */     // MIs[0] imm5
     /*  385157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385165 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  385168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385174 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385176 */     GIR_RootConstrainSelectedInstOperands,
     /*  385177 */     // GIR_Coverage, 64242,
     /*  385177 */     GIR_EraseRootFromParent_Done,
     /*  385178 */   // Label 6915: @385178
     /*  385178 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385233), // Rule ID 64243 //
     /*  385183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  385191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385212 */     // MIs[0] imm5
     /*  385212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  385220 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  385220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  385223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385229 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  385231 */     GIR_RootConstrainSelectedInstOperands,
     /*  385232 */     // GIR_Coverage, 64243,
     /*  385232 */     GIR_EraseRootFromParent_Done,
     /*  385233 */   // Label 6916: @385233
     /*  385233 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385287), // Rule ID 64178 //
     /*  385238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385274 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385285 */     GIR_RootConstrainSelectedInstOperands,
     /*  385286 */     // GIR_Coverage, 64178,
     /*  385286 */     GIR_EraseRootFromParent_Done,
     /*  385287 */   // Label 6917: @385287
     /*  385287 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385341), // Rule ID 64179 //
     /*  385292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  385300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385328 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  385331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385339 */     GIR_RootConstrainSelectedInstOperands,
     /*  385340 */     // GIR_Coverage, 64179,
     /*  385340 */     GIR_EraseRootFromParent_Done,
     /*  385341 */   // Label 6918: @385341
     /*  385341 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385395), // Rule ID 64205 //
     /*  385346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385382 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385393 */     GIR_RootConstrainSelectedInstOperands,
     /*  385394 */     // GIR_Coverage, 64205,
     /*  385394 */     GIR_EraseRootFromParent_Done,
     /*  385395 */   // Label 6919: @385395
     /*  385395 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385449), // Rule ID 64206 //
     /*  385400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  385408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385436 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  385439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385447 */     GIR_RootConstrainSelectedInstOperands,
     /*  385448 */     // GIR_Coverage, 64206,
     /*  385448 */     GIR_EraseRootFromParent_Done,
     /*  385449 */   // Label 6920: @385449
     /*  385449 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385503), // Rule ID 64208 //
     /*  385454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385490 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385501 */     GIR_RootConstrainSelectedInstOperands,
     /*  385502 */     // GIR_Coverage, 64208,
     /*  385502 */     GIR_EraseRootFromParent_Done,
     /*  385503 */   // Label 6921: @385503
     /*  385503 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385557), // Rule ID 64209 //
     /*  385508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  385516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385544 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  385547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385555 */     GIR_RootConstrainSelectedInstOperands,
     /*  385556 */     // GIR_Coverage, 64209,
     /*  385556 */     GIR_EraseRootFromParent_Done,
     /*  385557 */   // Label 6922: @385557
     /*  385557 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385611), // Rule ID 64211 //
     /*  385562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  385570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385598 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  385601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385609 */     GIR_RootConstrainSelectedInstOperands,
     /*  385610 */     // GIR_Coverage, 64211,
     /*  385610 */     GIR_EraseRootFromParent_Done,
     /*  385611 */   // Label 6923: @385611
     /*  385611 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385665), // Rule ID 64212 //
     /*  385616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  385624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385652 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  385655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385663 */     GIR_RootConstrainSelectedInstOperands,
     /*  385664 */     // GIR_Coverage, 64212,
     /*  385664 */     GIR_EraseRootFromParent_Done,
     /*  385665 */   // Label 6924: @385665
     /*  385665 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(385719), // Rule ID 64214 //
     /*  385670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  385678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385706 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  385709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385717 */     GIR_RootConstrainSelectedInstOperands,
     /*  385718 */     // GIR_Coverage, 64214,
     /*  385718 */     GIR_EraseRootFromParent_Done,
     /*  385719 */   // Label 6925: @385719
     /*  385719 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(385773), // Rule ID 64215 //
     /*  385724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  385732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385760 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  385763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385771 */     GIR_RootConstrainSelectedInstOperands,
     /*  385772 */     // GIR_Coverage, 64215,
     /*  385772 */     GIR_EraseRootFromParent_Done,
     /*  385773 */   // Label 6926: @385773
     /*  385773 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(385827), // Rule ID 64217 //
     /*  385778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  385786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385814 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  385817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385825 */     GIR_RootConstrainSelectedInstOperands,
     /*  385826 */     // GIR_Coverage, 64217,
     /*  385826 */     GIR_EraseRootFromParent_Done,
     /*  385827 */   // Label 6927: @385827
     /*  385827 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(385881), // Rule ID 64218 //
     /*  385832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  385840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385868 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  385871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385879 */     GIR_RootConstrainSelectedInstOperands,
     /*  385880 */     // GIR_Coverage, 64218,
     /*  385880 */     GIR_EraseRootFromParent_Done,
     /*  385881 */   // Label 6928: @385881
     /*  385881 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(385935), // Rule ID 64220 //
     /*  385886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  385894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385922 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  385925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385933 */     GIR_RootConstrainSelectedInstOperands,
     /*  385934 */     // GIR_Coverage, 64220,
     /*  385934 */     GIR_EraseRootFromParent_Done,
     /*  385935 */   // Label 6929: @385935
     /*  385935 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(385989), // Rule ID 64221 //
     /*  385940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  385943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  385948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385976 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  385976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  385979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  385987 */     GIR_RootConstrainSelectedInstOperands,
     /*  385988 */     // GIR_Coverage, 64221,
     /*  385988 */     GIR_EraseRootFromParent_Done,
     /*  385989 */   // Label 6930: @385989
     /*  385989 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386043), // Rule ID 64223 //
     /*  385994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  385997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386030 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386041 */     GIR_RootConstrainSelectedInstOperands,
     /*  386042 */     // GIR_Coverage, 64223,
     /*  386042 */     GIR_EraseRootFromParent_Done,
     /*  386043 */   // Label 6931: @386043
     /*  386043 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386097), // Rule ID 64224 //
     /*  386048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  386051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  386056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386084 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  386084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  386087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  386095 */     GIR_RootConstrainSelectedInstOperands,
     /*  386096 */     // GIR_Coverage, 64224,
     /*  386096 */     GIR_EraseRootFromParent_Done,
     /*  386097 */   // Label 6932: @386097
     /*  386097 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386151), // Rule ID 64161 //
     /*  386102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  386105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386138 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386149 */     GIR_RootConstrainSelectedInstOperands,
     /*  386150 */     // GIR_Coverage, 64161,
     /*  386150 */     GIR_EraseRootFromParent_Done,
     /*  386151 */   // Label 6933: @386151
     /*  386151 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386205), // Rule ID 64162 //
     /*  386156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  386159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  386164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386192 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  386195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386203 */     GIR_RootConstrainSelectedInstOperands,
     /*  386204 */     // GIR_Coverage, 64162,
     /*  386204 */     GIR_EraseRootFromParent_Done,
     /*  386205 */   // Label 6934: @386205
     /*  386205 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386259), // Rule ID 64232 //
     /*  386210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386246 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386257 */     GIR_RootConstrainSelectedInstOperands,
     /*  386258 */     // GIR_Coverage, 64232,
     /*  386258 */     GIR_EraseRootFromParent_Done,
     /*  386259 */   // Label 6935: @386259
     /*  386259 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386313), // Rule ID 64233 //
     /*  386264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  386272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386300 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  386303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386311 */     GIR_RootConstrainSelectedInstOperands,
     /*  386312 */     // GIR_Coverage, 64233,
     /*  386312 */     GIR_EraseRootFromParent_Done,
     /*  386313 */   // Label 6936: @386313
     /*  386313 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386367), // Rule ID 64234 //
     /*  386318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  386321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386354 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386365 */     GIR_RootConstrainSelectedInstOperands,
     /*  386366 */     // GIR_Coverage, 64234,
     /*  386366 */     GIR_EraseRootFromParent_Done,
     /*  386367 */   // Label 6937: @386367
     /*  386367 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386421), // Rule ID 64235 //
     /*  386372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  386375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  386380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  386383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  386386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  386389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386408 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  386408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  386411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  386413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  386415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  386417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386419 */     GIR_RootConstrainSelectedInstOperands,
     /*  386420 */     // GIR_Coverage, 64235,
     /*  386420 */     GIR_EraseRootFromParent_Done,
     /*  386421 */   // Label 6938: @386421
     /*  386421 */   GIM_Reject,
     /*  386422 */ // Label 4313: @386422
     /*  386422 */ GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(905199),
     /*  386427 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  386430 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(386505), // Rule ID 62565 //
     /*  386435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386453 */     // MIs[0] op1
     /*  386453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386461 */     // MIs[0] op2
     /*  386461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386469 */     // MIs[0] op3
     /*  386469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386503 */     GIR_RootConstrainSelectedInstOperands,
     /*  386504 */     // GIR_Coverage, 62565,
     /*  386504 */     GIR_EraseRootFromParent_Done,
     /*  386505 */   // Label 6940: @386505
     /*  386505 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(386580), // Rule ID 62566 //
     /*  386510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386528 */     // MIs[0] op1
     /*  386528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386536 */     // MIs[0] op2
     /*  386536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386544 */     // MIs[0] op3
     /*  386544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  386562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386578 */     GIR_RootConstrainSelectedInstOperands,
     /*  386579 */     // GIR_Coverage, 62566,
     /*  386579 */     GIR_EraseRootFromParent_Done,
     /*  386580 */   // Label 6941: @386580
     /*  386580 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(386655), // Rule ID 62597 //
     /*  386585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386603 */     // MIs[0] op1
     /*  386603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386611 */     // MIs[0] op2
     /*  386611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386619 */     // MIs[0] op3
     /*  386619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386653 */     GIR_RootConstrainSelectedInstOperands,
     /*  386654 */     // GIR_Coverage, 62597,
     /*  386654 */     GIR_EraseRootFromParent_Done,
     /*  386655 */   // Label 6942: @386655
     /*  386655 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(386730), // Rule ID 62598 //
     /*  386660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386678 */     // MIs[0] op1
     /*  386678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386686 */     // MIs[0] op2
     /*  386686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386694 */     // MIs[0] op3
     /*  386694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386728 */     GIR_RootConstrainSelectedInstOperands,
     /*  386729 */     // GIR_Coverage, 62598,
     /*  386729 */     GIR_EraseRootFromParent_Done,
     /*  386730 */   // Label 6943: @386730
     /*  386730 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(386805), // Rule ID 62641 //
     /*  386735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386753 */     // MIs[0] op1
     /*  386753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386761 */     // MIs[0] op2
     /*  386761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386769 */     // MIs[0] op3
     /*  386769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386803 */     GIR_RootConstrainSelectedInstOperands,
     /*  386804 */     // GIR_Coverage, 62641,
     /*  386804 */     GIR_EraseRootFromParent_Done,
     /*  386805 */   // Label 6944: @386805
     /*  386805 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(386880), // Rule ID 62642 //
     /*  386810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386828 */     // MIs[0] op1
     /*  386828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386836 */     // MIs[0] op2
     /*  386836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386844 */     // MIs[0] op3
     /*  386844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386878 */     GIR_RootConstrainSelectedInstOperands,
     /*  386879 */     // GIR_Coverage, 62642,
     /*  386879 */     GIR_EraseRootFromParent_Done,
     /*  386880 */   // Label 6945: @386880
     /*  386880 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(386955), // Rule ID 62685 //
     /*  386885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386903 */     // MIs[0] op1
     /*  386903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386911 */     // MIs[0] op2
     /*  386911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386914 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386919 */     // MIs[0] op3
     /*  386919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  386934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  386937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386939 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386941 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386943 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386953 */     GIR_RootConstrainSelectedInstOperands,
     /*  386954 */     // GIR_Coverage, 62685,
     /*  386954 */     GIR_EraseRootFromParent_Done,
     /*  386955 */   // Label 6946: @386955
     /*  386955 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387030), // Rule ID 62686 //
     /*  386960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386978 */     // MIs[0] op1
     /*  386978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386986 */     // MIs[0] op2
     /*  386986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386994 */     // MIs[0] op3
     /*  386994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  387012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387028 */     GIR_RootConstrainSelectedInstOperands,
     /*  387029 */     // GIR_Coverage, 62686,
     /*  387029 */     GIR_EraseRootFromParent_Done,
     /*  387030 */   // Label 6947: @387030
     /*  387030 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387105), // Rule ID 62741 //
     /*  387035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387053 */     // MIs[0] op1
     /*  387053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387061 */     // MIs[0] op2
     /*  387061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387069 */     // MIs[0] op3
     /*  387069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387089 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387091 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387093 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387103 */     GIR_RootConstrainSelectedInstOperands,
     /*  387104 */     // GIR_Coverage, 62741,
     /*  387104 */     GIR_EraseRootFromParent_Done,
     /*  387105 */   // Label 6948: @387105
     /*  387105 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387180), // Rule ID 62742 //
     /*  387110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387128 */     // MIs[0] op1
     /*  387128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387136 */     // MIs[0] op2
     /*  387136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387144 */     // MIs[0] op3
     /*  387144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387164 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387166 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387168 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387178 */     GIR_RootConstrainSelectedInstOperands,
     /*  387179 */     // GIR_Coverage, 62742,
     /*  387179 */     GIR_EraseRootFromParent_Done,
     /*  387180 */   // Label 6949: @387180
     /*  387180 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387255), // Rule ID 62797 //
     /*  387185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387203 */     // MIs[0] op1
     /*  387203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387211 */     // MIs[0] op2
     /*  387211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387219 */     // MIs[0] op3
     /*  387219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387239 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387241 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387243 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387253 */     GIR_RootConstrainSelectedInstOperands,
     /*  387254 */     // GIR_Coverage, 62797,
     /*  387254 */     GIR_EraseRootFromParent_Done,
     /*  387255 */   // Label 6950: @387255
     /*  387255 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387330), // Rule ID 62798 //
     /*  387260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387278 */     // MIs[0] op1
     /*  387278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387286 */     // MIs[0] op2
     /*  387286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387294 */     // MIs[0] op3
     /*  387294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  387312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387314 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387316 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387318 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387328 */     GIR_RootConstrainSelectedInstOperands,
     /*  387329 */     // GIR_Coverage, 62798,
     /*  387329 */     GIR_EraseRootFromParent_Done,
     /*  387330 */   // Label 6951: @387330
     /*  387330 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(387405), // Rule ID 62853 //
     /*  387335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387353 */     // MIs[0] op1
     /*  387353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387361 */     // MIs[0] op2
     /*  387361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387369 */     // MIs[0] op3
     /*  387369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387389 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387391 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387393 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387403 */     GIR_RootConstrainSelectedInstOperands,
     /*  387404 */     // GIR_Coverage, 62853,
     /*  387404 */     GIR_EraseRootFromParent_Done,
     /*  387405 */   // Label 6952: @387405
     /*  387405 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(387480), // Rule ID 62854 //
     /*  387410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387428 */     // MIs[0] op1
     /*  387428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387436 */     // MIs[0] op2
     /*  387436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387444 */     // MIs[0] op3
     /*  387444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387478 */     GIR_RootConstrainSelectedInstOperands,
     /*  387479 */     // GIR_Coverage, 62854,
     /*  387479 */     GIR_EraseRootFromParent_Done,
     /*  387480 */   // Label 6953: @387480
     /*  387480 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387555), // Rule ID 62897 //
     /*  387485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387503 */     // MIs[0] op1
     /*  387503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387511 */     // MIs[0] op2
     /*  387511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387519 */     // MIs[0] op3
     /*  387519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387553 */     GIR_RootConstrainSelectedInstOperands,
     /*  387554 */     // GIR_Coverage, 62897,
     /*  387554 */     GIR_EraseRootFromParent_Done,
     /*  387555 */   // Label 6954: @387555
     /*  387555 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(387630), // Rule ID 62898 //
     /*  387560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387578 */     // MIs[0] op1
     /*  387578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387586 */     // MIs[0] op2
     /*  387586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387594 */     // MIs[0] op3
     /*  387594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387628 */     GIR_RootConstrainSelectedInstOperands,
     /*  387629 */     // GIR_Coverage, 62898,
     /*  387629 */     GIR_EraseRootFromParent_Done,
     /*  387630 */   // Label 6955: @387630
     /*  387630 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(387705), // Rule ID 62953 //
     /*  387635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387653 */     // MIs[0] op1
     /*  387653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387661 */     // MIs[0] op2
     /*  387661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387669 */     // MIs[0] op3
     /*  387669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387703 */     GIR_RootConstrainSelectedInstOperands,
     /*  387704 */     // GIR_Coverage, 62953,
     /*  387704 */     GIR_EraseRootFromParent_Done,
     /*  387705 */   // Label 6956: @387705
     /*  387705 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(387780), // Rule ID 62954 //
     /*  387710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387728 */     // MIs[0] op1
     /*  387728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387736 */     // MIs[0] op2
     /*  387736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387744 */     // MIs[0] op3
     /*  387744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387778 */     GIR_RootConstrainSelectedInstOperands,
     /*  387779 */     // GIR_Coverage, 62954,
     /*  387779 */     GIR_EraseRootFromParent_Done,
     /*  387780 */   // Label 6957: @387780
     /*  387780 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(387855), // Rule ID 63009 //
     /*  387785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387803 */     // MIs[0] op1
     /*  387803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387811 */     // MIs[0] op2
     /*  387811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387819 */     // MIs[0] op3
     /*  387819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  387834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387853 */     GIR_RootConstrainSelectedInstOperands,
     /*  387854 */     // GIR_Coverage, 63009,
     /*  387854 */     GIR_EraseRootFromParent_Done,
     /*  387855 */   // Label 6958: @387855
     /*  387855 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(387930), // Rule ID 63010 //
     /*  387860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387878 */     // MIs[0] op1
     /*  387878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387886 */     // MIs[0] op2
     /*  387886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387894 */     // MIs[0] op3
     /*  387894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  387909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  387912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387928 */     GIR_RootConstrainSelectedInstOperands,
     /*  387929 */     // GIR_Coverage, 63010,
     /*  387929 */     GIR_EraseRootFromParent_Done,
     /*  387930 */   // Label 6959: @387930
     /*  387930 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388005), // Rule ID 63065 //
     /*  387935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387953 */     // MIs[0] op1
     /*  387953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387961 */     // MIs[0] op2
     /*  387961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387969 */     // MIs[0] op3
     /*  387969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387984 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  387987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388003 */     GIR_RootConstrainSelectedInstOperands,
     /*  388004 */     // GIR_Coverage, 63065,
     /*  388004 */     GIR_EraseRootFromParent_Done,
     /*  388005 */   // Label 6960: @388005
     /*  388005 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388080), // Rule ID 63066 //
     /*  388010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388028 */     // MIs[0] op1
     /*  388028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388036 */     // MIs[0] op2
     /*  388036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388044 */     // MIs[0] op3
     /*  388044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388078 */     GIR_RootConstrainSelectedInstOperands,
     /*  388079 */     // GIR_Coverage, 63066,
     /*  388079 */     GIR_EraseRootFromParent_Done,
     /*  388080 */   // Label 6961: @388080
     /*  388080 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388155), // Rule ID 63109 //
     /*  388085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388103 */     // MIs[0] op1
     /*  388103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388111 */     // MIs[0] op2
     /*  388111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388119 */     // MIs[0] op3
     /*  388119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388139 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388141 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388143 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388153 */     GIR_RootConstrainSelectedInstOperands,
     /*  388154 */     // GIR_Coverage, 63109,
     /*  388154 */     GIR_EraseRootFromParent_Done,
     /*  388155 */   // Label 6962: @388155
     /*  388155 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388230), // Rule ID 63110 //
     /*  388160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388178 */     // MIs[0] op1
     /*  388178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388186 */     // MIs[0] op2
     /*  388186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388194 */     // MIs[0] op3
     /*  388194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388214 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388216 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388218 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388228 */     GIR_RootConstrainSelectedInstOperands,
     /*  388229 */     // GIR_Coverage, 63110,
     /*  388229 */     GIR_EraseRootFromParent_Done,
     /*  388230 */   // Label 6963: @388230
     /*  388230 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388305), // Rule ID 63153 //
     /*  388235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388253 */     // MIs[0] op1
     /*  388253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388261 */     // MIs[0] op2
     /*  388261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388269 */     // MIs[0] op3
     /*  388269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388289 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388291 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388293 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388303 */     GIR_RootConstrainSelectedInstOperands,
     /*  388304 */     // GIR_Coverage, 63153,
     /*  388304 */     GIR_EraseRootFromParent_Done,
     /*  388305 */   // Label 6964: @388305
     /*  388305 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388380), // Rule ID 63154 //
     /*  388310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388328 */     // MIs[0] op1
     /*  388328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388336 */     // MIs[0] op2
     /*  388336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388344 */     // MIs[0] op3
     /*  388344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388378 */     GIR_RootConstrainSelectedInstOperands,
     /*  388379 */     // GIR_Coverage, 63154,
     /*  388379 */     GIR_EraseRootFromParent_Done,
     /*  388380 */   // Label 6965: @388380
     /*  388380 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(388455), // Rule ID 63197 //
     /*  388385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388403 */     // MIs[0] op1
     /*  388403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388411 */     // MIs[0] op2
     /*  388411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388419 */     // MIs[0] op3
     /*  388419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388439 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388441 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388443 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388453 */     GIR_RootConstrainSelectedInstOperands,
     /*  388454 */     // GIR_Coverage, 63197,
     /*  388454 */     GIR_EraseRootFromParent_Done,
     /*  388455 */   // Label 6966: @388455
     /*  388455 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(388530), // Rule ID 63198 //
     /*  388460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388478 */     // MIs[0] op1
     /*  388478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388486 */     // MIs[0] op2
     /*  388486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388494 */     // MIs[0] op3
     /*  388494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388528 */     GIR_RootConstrainSelectedInstOperands,
     /*  388529 */     // GIR_Coverage, 63198,
     /*  388529 */     GIR_EraseRootFromParent_Done,
     /*  388530 */   // Label 6967: @388530
     /*  388530 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388605), // Rule ID 63253 //
     /*  388535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388553 */     // MIs[0] op1
     /*  388553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388561 */     // MIs[0] op2
     /*  388561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388569 */     // MIs[0] op3
     /*  388569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388603 */     GIR_RootConstrainSelectedInstOperands,
     /*  388604 */     // GIR_Coverage, 63253,
     /*  388604 */     GIR_EraseRootFromParent_Done,
     /*  388605 */   // Label 6968: @388605
     /*  388605 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388680), // Rule ID 63254 //
     /*  388610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388628 */     // MIs[0] op1
     /*  388628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388636 */     // MIs[0] op2
     /*  388636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388644 */     // MIs[0] op3
     /*  388644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388678 */     GIR_RootConstrainSelectedInstOperands,
     /*  388679 */     // GIR_Coverage, 63254,
     /*  388679 */     GIR_EraseRootFromParent_Done,
     /*  388680 */   // Label 6969: @388680
     /*  388680 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388755), // Rule ID 63309 //
     /*  388685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388703 */     // MIs[0] op1
     /*  388703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388711 */     // MIs[0] op2
     /*  388711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388719 */     // MIs[0] op3
     /*  388719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388753 */     GIR_RootConstrainSelectedInstOperands,
     /*  388754 */     // GIR_Coverage, 63309,
     /*  388754 */     GIR_EraseRootFromParent_Done,
     /*  388755 */   // Label 6970: @388755
     /*  388755 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(388830), // Rule ID 63310 //
     /*  388760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388778 */     // MIs[0] op1
     /*  388778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388786 */     // MIs[0] op2
     /*  388786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388794 */     // MIs[0] op3
     /*  388794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388828 */     GIR_RootConstrainSelectedInstOperands,
     /*  388829 */     // GIR_Coverage, 63310,
     /*  388829 */     GIR_EraseRootFromParent_Done,
     /*  388830 */   // Label 6971: @388830
     /*  388830 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(388905), // Rule ID 63365 //
     /*  388835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388853 */     // MIs[0] op1
     /*  388853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388861 */     // MIs[0] op2
     /*  388861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388869 */     // MIs[0] op3
     /*  388869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388903 */     GIR_RootConstrainSelectedInstOperands,
     /*  388904 */     // GIR_Coverage, 63365,
     /*  388904 */     GIR_EraseRootFromParent_Done,
     /*  388905 */   // Label 6972: @388905
     /*  388905 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(388980), // Rule ID 63366 //
     /*  388910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388928 */     // MIs[0] op1
     /*  388928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388936 */     // MIs[0] op2
     /*  388936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388944 */     // MIs[0] op3
     /*  388944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388978 */     GIR_RootConstrainSelectedInstOperands,
     /*  388979 */     // GIR_Coverage, 63366,
     /*  388979 */     GIR_EraseRootFromParent_Done,
     /*  388980 */   // Label 6973: @388980
     /*  388980 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389055), // Rule ID 63421 //
     /*  388985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389003 */     // MIs[0] op1
     /*  389003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389011 */     // MIs[0] op2
     /*  389011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389019 */     // MIs[0] op3
     /*  389019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389053 */     GIR_RootConstrainSelectedInstOperands,
     /*  389054 */     // GIR_Coverage, 63421,
     /*  389054 */     GIR_EraseRootFromParent_Done,
     /*  389055 */   // Label 6974: @389055
     /*  389055 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389130), // Rule ID 63422 //
     /*  389060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389078 */     // MIs[0] op1
     /*  389078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389086 */     // MIs[0] op2
     /*  389086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389094 */     // MIs[0] op3
     /*  389094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389128 */     GIR_RootConstrainSelectedInstOperands,
     /*  389129 */     // GIR_Coverage, 63422,
     /*  389129 */     GIR_EraseRootFromParent_Done,
     /*  389130 */   // Label 6975: @389130
     /*  389130 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389205), // Rule ID 63477 //
     /*  389135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389153 */     // MIs[0] op1
     /*  389153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389161 */     // MIs[0] op2
     /*  389161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389169 */     // MIs[0] op3
     /*  389169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389203 */     GIR_RootConstrainSelectedInstOperands,
     /*  389204 */     // GIR_Coverage, 63477,
     /*  389204 */     GIR_EraseRootFromParent_Done,
     /*  389205 */   // Label 6976: @389205
     /*  389205 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389280), // Rule ID 63478 //
     /*  389210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389228 */     // MIs[0] op1
     /*  389228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389236 */     // MIs[0] op2
     /*  389236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389244 */     // MIs[0] op3
     /*  389244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389278 */     GIR_RootConstrainSelectedInstOperands,
     /*  389279 */     // GIR_Coverage, 63478,
     /*  389279 */     GIR_EraseRootFromParent_Done,
     /*  389280 */   // Label 6977: @389280
     /*  389280 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389355), // Rule ID 63533 //
     /*  389285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389303 */     // MIs[0] op1
     /*  389303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389311 */     // MIs[0] op2
     /*  389311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389319 */     // MIs[0] op3
     /*  389319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389339 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389341 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389343 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389353 */     GIR_RootConstrainSelectedInstOperands,
     /*  389354 */     // GIR_Coverage, 63533,
     /*  389354 */     GIR_EraseRootFromParent_Done,
     /*  389355 */   // Label 6978: @389355
     /*  389355 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389430), // Rule ID 63534 //
     /*  389360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389378 */     // MIs[0] op1
     /*  389378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389381 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389386 */     // MIs[0] op2
     /*  389386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389394 */     // MIs[0] op3
     /*  389394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  389412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389428 */     GIR_RootConstrainSelectedInstOperands,
     /*  389429 */     // GIR_Coverage, 63534,
     /*  389429 */     GIR_EraseRootFromParent_Done,
     /*  389430 */   // Label 6979: @389430
     /*  389430 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389505), // Rule ID 63589 //
     /*  389435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389453 */     // MIs[0] op1
     /*  389453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389461 */     // MIs[0] op2
     /*  389461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389469 */     // MIs[0] op3
     /*  389469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389503 */     GIR_RootConstrainSelectedInstOperands,
     /*  389504 */     // GIR_Coverage, 63589,
     /*  389504 */     GIR_EraseRootFromParent_Done,
     /*  389505 */   // Label 6980: @389505
     /*  389505 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389580), // Rule ID 63590 //
     /*  389510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389528 */     // MIs[0] op1
     /*  389528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389536 */     // MIs[0] op2
     /*  389536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389544 */     // MIs[0] op3
     /*  389544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  389562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389578 */     GIR_RootConstrainSelectedInstOperands,
     /*  389579 */     // GIR_Coverage, 63590,
     /*  389579 */     GIR_EraseRootFromParent_Done,
     /*  389580 */   // Label 6981: @389580
     /*  389580 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389655), // Rule ID 63645 //
     /*  389585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389603 */     // MIs[0] op1
     /*  389603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389611 */     // MIs[0] op2
     /*  389611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389619 */     // MIs[0] op3
     /*  389619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389653 */     GIR_RootConstrainSelectedInstOperands,
     /*  389654 */     // GIR_Coverage, 63645,
     /*  389654 */     GIR_EraseRootFromParent_Done,
     /*  389655 */   // Label 6982: @389655
     /*  389655 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389730), // Rule ID 63646 //
     /*  389660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  389668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389678 */     // MIs[0] op1
     /*  389678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389686 */     // MIs[0] op2
     /*  389686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389694 */     // MIs[0] op3
     /*  389694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  389709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  389712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389728 */     GIR_RootConstrainSelectedInstOperands,
     /*  389729 */     // GIR_Coverage, 63646,
     /*  389729 */     GIR_EraseRootFromParent_Done,
     /*  389730 */   // Label 6983: @389730
     /*  389730 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389804), // Rule ID 62547 //
     /*  389735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389756 */     // MIs[0] op1
     /*  389756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389764 */     // MIs[0] op2
     /*  389764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  389786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389802 */     GIR_RootConstrainSelectedInstOperands,
     /*  389803 */     // GIR_Coverage, 62547,
     /*  389803 */     GIR_EraseRootFromParent_Done,
     /*  389804 */   // Label 6984: @389804
     /*  389804 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(389878), // Rule ID 62548 //
     /*  389809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389830 */     // MIs[0] op1
     /*  389830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389838 */     // MIs[0] op2
     /*  389838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389857 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  389860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389862 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389864 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389866 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389876 */     GIR_RootConstrainSelectedInstOperands,
     /*  389877 */     // GIR_Coverage, 62548,
     /*  389877 */     GIR_EraseRootFromParent_Done,
     /*  389878 */   // Label 6985: @389878
     /*  389878 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(389952), // Rule ID 62593 //
     /*  389883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  389894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389904 */     // MIs[0] op1
     /*  389904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389912 */     // MIs[0] op2
     /*  389912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  389934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389950 */     GIR_RootConstrainSelectedInstOperands,
     /*  389951 */     // GIR_Coverage, 62593,
     /*  389951 */     GIR_EraseRootFromParent_Done,
     /*  389952 */   // Label 6986: @389952
     /*  389952 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390026), // Rule ID 62594 //
     /*  389957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  389968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389978 */     // MIs[0] op1
     /*  389978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389986 */     // MIs[0] op2
     /*  389986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390005 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390024 */     GIR_RootConstrainSelectedInstOperands,
     /*  390025 */     // GIR_Coverage, 62594,
     /*  390025 */     GIR_EraseRootFromParent_Done,
     /*  390026 */   // Label 6987: @390026
     /*  390026 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390100), // Rule ID 62637 //
     /*  390031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390052 */     // MIs[0] op1
     /*  390052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390060 */     // MIs[0] op2
     /*  390060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390098 */     GIR_RootConstrainSelectedInstOperands,
     /*  390099 */     // GIR_Coverage, 62637,
     /*  390099 */     GIR_EraseRootFromParent_Done,
     /*  390100 */   // Label 6988: @390100
     /*  390100 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390174), // Rule ID 62638 //
     /*  390105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390126 */     // MIs[0] op1
     /*  390126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390134 */     // MIs[0] op2
     /*  390134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390172 */     GIR_RootConstrainSelectedInstOperands,
     /*  390173 */     // GIR_Coverage, 62638,
     /*  390173 */     GIR_EraseRootFromParent_Done,
     /*  390174 */   // Label 6989: @390174
     /*  390174 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390248), // Rule ID 62681 //
     /*  390179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390200 */     // MIs[0] op1
     /*  390200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390208 */     // MIs[0] op2
     /*  390208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390246 */     GIR_RootConstrainSelectedInstOperands,
     /*  390247 */     // GIR_Coverage, 62681,
     /*  390247 */     GIR_EraseRootFromParent_Done,
     /*  390248 */   // Label 6990: @390248
     /*  390248 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390322), // Rule ID 62682 //
     /*  390253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390274 */     // MIs[0] op1
     /*  390274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390282 */     // MIs[0] op2
     /*  390282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  390304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390320 */     GIR_RootConstrainSelectedInstOperands,
     /*  390321 */     // GIR_Coverage, 62682,
     /*  390321 */     GIR_EraseRootFromParent_Done,
     /*  390322 */   // Label 6991: @390322
     /*  390322 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390396), // Rule ID 62737 //
     /*  390327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390348 */     // MIs[0] op1
     /*  390348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390356 */     // MIs[0] op2
     /*  390356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390375 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390380 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390382 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390384 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390394 */     GIR_RootConstrainSelectedInstOperands,
     /*  390395 */     // GIR_Coverage, 62737,
     /*  390395 */     GIR_EraseRootFromParent_Done,
     /*  390396 */   // Label 6992: @390396
     /*  390396 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390470), // Rule ID 62738 //
     /*  390401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390422 */     // MIs[0] op1
     /*  390422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390430 */     // MIs[0] op2
     /*  390430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390468 */     GIR_RootConstrainSelectedInstOperands,
     /*  390469 */     // GIR_Coverage, 62738,
     /*  390469 */     GIR_EraseRootFromParent_Done,
     /*  390470 */   // Label 6993: @390470
     /*  390470 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390544), // Rule ID 62793 //
     /*  390475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390496 */     // MIs[0] op1
     /*  390496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390504 */     // MIs[0] op2
     /*  390504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390523 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390542 */     GIR_RootConstrainSelectedInstOperands,
     /*  390543 */     // GIR_Coverage, 62793,
     /*  390543 */     GIR_EraseRootFromParent_Done,
     /*  390544 */   // Label 6994: @390544
     /*  390544 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390618), // Rule ID 62794 //
     /*  390549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390570 */     // MIs[0] op1
     /*  390570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390578 */     // MIs[0] op2
     /*  390578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  390597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  390600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390616 */     GIR_RootConstrainSelectedInstOperands,
     /*  390617 */     // GIR_Coverage, 62794,
     /*  390617 */     GIR_EraseRootFromParent_Done,
     /*  390618 */   // Label 6995: @390618
     /*  390618 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390692), // Rule ID 62849 //
     /*  390623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390644 */     // MIs[0] op1
     /*  390644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390652 */     // MIs[0] op2
     /*  390652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390690 */     GIR_RootConstrainSelectedInstOperands,
     /*  390691 */     // GIR_Coverage, 62849,
     /*  390691 */     GIR_EraseRootFromParent_Done,
     /*  390692 */   // Label 6996: @390692
     /*  390692 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390766), // Rule ID 62850 //
     /*  390697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390718 */     // MIs[0] op1
     /*  390718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390726 */     // MIs[0] op2
     /*  390726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390745 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390764 */     GIR_RootConstrainSelectedInstOperands,
     /*  390765 */     // GIR_Coverage, 62850,
     /*  390765 */     GIR_EraseRootFromParent_Done,
     /*  390766 */   // Label 6997: @390766
     /*  390766 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390840), // Rule ID 62893 //
     /*  390771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390792 */     // MIs[0] op1
     /*  390792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390800 */     // MIs[0] op2
     /*  390800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390838 */     GIR_RootConstrainSelectedInstOperands,
     /*  390839 */     // GIR_Coverage, 62893,
     /*  390839 */     GIR_EraseRootFromParent_Done,
     /*  390840 */   // Label 6998: @390840
     /*  390840 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390914), // Rule ID 62894 //
     /*  390845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390866 */     // MIs[0] op1
     /*  390866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390874 */     // MIs[0] op2
     /*  390874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390898 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390900 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390902 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390912 */     GIR_RootConstrainSelectedInstOperands,
     /*  390913 */     // GIR_Coverage, 62894,
     /*  390913 */     GIR_EraseRootFromParent_Done,
     /*  390914 */   // Label 6999: @390914
     /*  390914 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(390988), // Rule ID 62949 //
     /*  390919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  390930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390940 */     // MIs[0] op1
     /*  390940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390948 */     // MIs[0] op2
     /*  390948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390986 */     GIR_RootConstrainSelectedInstOperands,
     /*  390987 */     // GIR_Coverage, 62949,
     /*  390987 */     GIR_EraseRootFromParent_Done,
     /*  390988 */   // Label 7000: @390988
     /*  390988 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391062), // Rule ID 62950 //
     /*  390993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391014 */     // MIs[0] op1
     /*  391014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391022 */     // MIs[0] op2
     /*  391022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391060 */     GIR_RootConstrainSelectedInstOperands,
     /*  391061 */     // GIR_Coverage, 62950,
     /*  391061 */     GIR_EraseRootFromParent_Done,
     /*  391062 */   // Label 7001: @391062
     /*  391062 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391136), // Rule ID 63005 //
     /*  391067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391088 */     // MIs[0] op1
     /*  391088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391096 */     // MIs[0] op2
     /*  391096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391134 */     GIR_RootConstrainSelectedInstOperands,
     /*  391135 */     // GIR_Coverage, 63005,
     /*  391135 */     GIR_EraseRootFromParent_Done,
     /*  391136 */   // Label 7002: @391136
     /*  391136 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391210), // Rule ID 63006 //
     /*  391141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391162 */     // MIs[0] op1
     /*  391162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391170 */     // MIs[0] op2
     /*  391170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  391192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391194 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391196 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391198 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391208 */     GIR_RootConstrainSelectedInstOperands,
     /*  391209 */     // GIR_Coverage, 63006,
     /*  391209 */     GIR_EraseRootFromParent_Done,
     /*  391210 */   // Label 7003: @391210
     /*  391210 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391284), // Rule ID 63061 //
     /*  391215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391236 */     // MIs[0] op1
     /*  391236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391244 */     // MIs[0] op2
     /*  391244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391282 */     GIR_RootConstrainSelectedInstOperands,
     /*  391283 */     // GIR_Coverage, 63061,
     /*  391283 */     GIR_EraseRootFromParent_Done,
     /*  391284 */   // Label 7004: @391284
     /*  391284 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391358), // Rule ID 63062 //
     /*  391289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391310 */     // MIs[0] op1
     /*  391310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391318 */     // MIs[0] op2
     /*  391318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391337 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391356 */     GIR_RootConstrainSelectedInstOperands,
     /*  391357 */     // GIR_Coverage, 63062,
     /*  391357 */     GIR_EraseRootFromParent_Done,
     /*  391358 */   // Label 7005: @391358
     /*  391358 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391432), // Rule ID 63105 //
     /*  391363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391384 */     // MIs[0] op1
     /*  391384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391392 */     // MIs[0] op2
     /*  391392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391411 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391430 */     GIR_RootConstrainSelectedInstOperands,
     /*  391431 */     // GIR_Coverage, 63105,
     /*  391431 */     GIR_EraseRootFromParent_Done,
     /*  391432 */   // Label 7006: @391432
     /*  391432 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391506), // Rule ID 63106 //
     /*  391437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391458 */     // MIs[0] op1
     /*  391458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391466 */     // MIs[0] op2
     /*  391466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391485 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391504 */     GIR_RootConstrainSelectedInstOperands,
     /*  391505 */     // GIR_Coverage, 63106,
     /*  391505 */     GIR_EraseRootFromParent_Done,
     /*  391506 */   // Label 7007: @391506
     /*  391506 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391580), // Rule ID 63149 //
     /*  391511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391532 */     // MIs[0] op1
     /*  391532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391540 */     // MIs[0] op2
     /*  391540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391578 */     GIR_RootConstrainSelectedInstOperands,
     /*  391579 */     // GIR_Coverage, 63149,
     /*  391579 */     GIR_EraseRootFromParent_Done,
     /*  391580 */   // Label 7008: @391580
     /*  391580 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391654), // Rule ID 63150 //
     /*  391585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391606 */     // MIs[0] op1
     /*  391606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391614 */     // MIs[0] op2
     /*  391614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391652 */     GIR_RootConstrainSelectedInstOperands,
     /*  391653 */     // GIR_Coverage, 63150,
     /*  391653 */     GIR_EraseRootFromParent_Done,
     /*  391654 */   // Label 7009: @391654
     /*  391654 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391728), // Rule ID 63193 //
     /*  391659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391680 */     // MIs[0] op1
     /*  391680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391688 */     // MIs[0] op2
     /*  391688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391707 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391712 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391714 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391716 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391726 */     GIR_RootConstrainSelectedInstOperands,
     /*  391727 */     // GIR_Coverage, 63193,
     /*  391727 */     GIR_EraseRootFromParent_Done,
     /*  391728 */   // Label 7010: @391728
     /*  391728 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391802), // Rule ID 63194 //
     /*  391733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391754 */     // MIs[0] op1
     /*  391754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391762 */     // MIs[0] op2
     /*  391762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391781 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391800 */     GIR_RootConstrainSelectedInstOperands,
     /*  391801 */     // GIR_Coverage, 63194,
     /*  391801 */     GIR_EraseRootFromParent_Done,
     /*  391802 */   // Label 7011: @391802
     /*  391802 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391876), // Rule ID 63249 //
     /*  391807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391828 */     // MIs[0] op1
     /*  391828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391836 */     // MIs[0] op2
     /*  391836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391855 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391874 */     GIR_RootConstrainSelectedInstOperands,
     /*  391875 */     // GIR_Coverage, 63249,
     /*  391875 */     GIR_EraseRootFromParent_Done,
     /*  391876 */   // Label 7012: @391876
     /*  391876 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(391950), // Rule ID 63250 //
     /*  391881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391902 */     // MIs[0] op1
     /*  391902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391910 */     // MIs[0] op2
     /*  391910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391929 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391948 */     GIR_RootConstrainSelectedInstOperands,
     /*  391949 */     // GIR_Coverage, 63250,
     /*  391949 */     GIR_EraseRootFromParent_Done,
     /*  391950 */   // Label 7013: @391950
     /*  391950 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(392024), // Rule ID 63305 //
     /*  391955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  391966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391976 */     // MIs[0] op1
     /*  391976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391984 */     // MIs[0] op2
     /*  391984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392022 */     GIR_RootConstrainSelectedInstOperands,
     /*  392023 */     // GIR_Coverage, 63305,
     /*  392023 */     GIR_EraseRootFromParent_Done,
     /*  392024 */   // Label 7014: @392024
     /*  392024 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392098), // Rule ID 63306 //
     /*  392029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392050 */     // MIs[0] op1
     /*  392050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392058 */     // MIs[0] op2
     /*  392058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392082 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392084 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392086 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392096 */     GIR_RootConstrainSelectedInstOperands,
     /*  392097 */     // GIR_Coverage, 63306,
     /*  392097 */     GIR_EraseRootFromParent_Done,
     /*  392098 */   // Label 7015: @392098
     /*  392098 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392172), // Rule ID 63361 //
     /*  392103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392124 */     // MIs[0] op1
     /*  392124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392132 */     // MIs[0] op2
     /*  392132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392156 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392158 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392160 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392170 */     GIR_RootConstrainSelectedInstOperands,
     /*  392171 */     // GIR_Coverage, 63361,
     /*  392171 */     GIR_EraseRootFromParent_Done,
     /*  392172 */   // Label 7016: @392172
     /*  392172 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392246), // Rule ID 63362 //
     /*  392177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392198 */     // MIs[0] op1
     /*  392198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392206 */     // MIs[0] op2
     /*  392206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392230 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392232 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392234 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392244 */     GIR_RootConstrainSelectedInstOperands,
     /*  392245 */     // GIR_Coverage, 63362,
     /*  392245 */     GIR_EraseRootFromParent_Done,
     /*  392246 */   // Label 7017: @392246
     /*  392246 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392320), // Rule ID 63417 //
     /*  392251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392272 */     // MIs[0] op1
     /*  392272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392280 */     // MIs[0] op2
     /*  392280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392304 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392306 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392308 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392318 */     GIR_RootConstrainSelectedInstOperands,
     /*  392319 */     // GIR_Coverage, 63417,
     /*  392319 */     GIR_EraseRootFromParent_Done,
     /*  392320 */   // Label 7018: @392320
     /*  392320 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392394), // Rule ID 63418 //
     /*  392325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392346 */     // MIs[0] op1
     /*  392346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392354 */     // MIs[0] op2
     /*  392354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392392 */     GIR_RootConstrainSelectedInstOperands,
     /*  392393 */     // GIR_Coverage, 63418,
     /*  392393 */     GIR_EraseRootFromParent_Done,
     /*  392394 */   // Label 7019: @392394
     /*  392394 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392468), // Rule ID 63473 //
     /*  392399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392420 */     // MIs[0] op1
     /*  392420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392428 */     // MIs[0] op2
     /*  392428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392466 */     GIR_RootConstrainSelectedInstOperands,
     /*  392467 */     // GIR_Coverage, 63473,
     /*  392467 */     GIR_EraseRootFromParent_Done,
     /*  392468 */   // Label 7020: @392468
     /*  392468 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392542), // Rule ID 63474 //
     /*  392473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392494 */     // MIs[0] op1
     /*  392494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392502 */     // MIs[0] op2
     /*  392502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392526 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392528 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392530 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392540 */     GIR_RootConstrainSelectedInstOperands,
     /*  392541 */     // GIR_Coverage, 63474,
     /*  392541 */     GIR_EraseRootFromParent_Done,
     /*  392542 */   // Label 7021: @392542
     /*  392542 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392616), // Rule ID 63529 //
     /*  392547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392568 */     // MIs[0] op1
     /*  392568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392576 */     // MIs[0] op2
     /*  392576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392614 */     GIR_RootConstrainSelectedInstOperands,
     /*  392615 */     // GIR_Coverage, 63529,
     /*  392615 */     GIR_EraseRootFromParent_Done,
     /*  392616 */   // Label 7022: @392616
     /*  392616 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392690), // Rule ID 63530 //
     /*  392621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392642 */     // MIs[0] op1
     /*  392642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392650 */     // MIs[0] op2
     /*  392650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  392672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392688 */     GIR_RootConstrainSelectedInstOperands,
     /*  392689 */     // GIR_Coverage, 63530,
     /*  392689 */     GIR_EraseRootFromParent_Done,
     /*  392690 */   // Label 7023: @392690
     /*  392690 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392764), // Rule ID 63585 //
     /*  392695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392716 */     // MIs[0] op1
     /*  392716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392724 */     // MIs[0] op2
     /*  392724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392743 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392762 */     GIR_RootConstrainSelectedInstOperands,
     /*  392763 */     // GIR_Coverage, 63585,
     /*  392763 */     GIR_EraseRootFromParent_Done,
     /*  392764 */   // Label 7024: @392764
     /*  392764 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392838), // Rule ID 63586 //
     /*  392769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392790 */     // MIs[0] op1
     /*  392790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392798 */     // MIs[0] op2
     /*  392798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  392820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392836 */     GIR_RootConstrainSelectedInstOperands,
     /*  392837 */     // GIR_Coverage, 63586,
     /*  392837 */     GIR_EraseRootFromParent_Done,
     /*  392838 */   // Label 7025: @392838
     /*  392838 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392912), // Rule ID 63641 //
     /*  392843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392864 */     // MIs[0] op1
     /*  392864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392872 */     // MIs[0] op2
     /*  392872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392910 */     GIR_RootConstrainSelectedInstOperands,
     /*  392911 */     // GIR_Coverage, 63641,
     /*  392911 */     GIR_EraseRootFromParent_Done,
     /*  392912 */   // Label 7026: @392912
     /*  392912 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(392986), // Rule ID 63642 //
     /*  392917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  392925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392938 */     // MIs[0] op1
     /*  392938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392946 */     // MIs[0] op2
     /*  392946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  392958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  392968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392984 */     GIR_RootConstrainSelectedInstOperands,
     /*  392985 */     // GIR_Coverage, 63642,
     /*  392985 */     GIR_EraseRootFromParent_Done,
     /*  392986 */   // Label 7027: @392986
     /*  392986 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(393060), // Rule ID 62571 //
     /*  392991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393012 */     // MIs[0] op1
     /*  393012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393024 */     // MIs[0] op3
     /*  393024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393039 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393044 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393046 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393048 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393058 */     GIR_RootConstrainSelectedInstOperands,
     /*  393059 */     // GIR_Coverage, 62571,
     /*  393059 */     GIR_EraseRootFromParent_Done,
     /*  393060 */   // Label 7028: @393060
     /*  393060 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393134), // Rule ID 62572 //
     /*  393065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  393076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  393079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393086 */     // MIs[0] op1
     /*  393086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393098 */     // MIs[0] op3
     /*  393098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393113 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  393116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393132 */     GIR_RootConstrainSelectedInstOperands,
     /*  393133 */     // GIR_Coverage, 62572,
     /*  393133 */     GIR_EraseRootFromParent_Done,
     /*  393134 */   // Label 7029: @393134
     /*  393134 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393208), // Rule ID 62609 //
     /*  393139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393160 */     // MIs[0] op1
     /*  393160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393172 */     // MIs[0] op3
     /*  393172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393206 */     GIR_RootConstrainSelectedInstOperands,
     /*  393207 */     // GIR_Coverage, 62609,
     /*  393207 */     GIR_EraseRootFromParent_Done,
     /*  393208 */   // Label 7030: @393208
     /*  393208 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393282), // Rule ID 62610 //
     /*  393213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  393224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  393227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393234 */     // MIs[0] op1
     /*  393234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393246 */     // MIs[0] op3
     /*  393246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393280 */     GIR_RootConstrainSelectedInstOperands,
     /*  393281 */     // GIR_Coverage, 62610,
     /*  393281 */     GIR_EraseRootFromParent_Done,
     /*  393282 */   // Label 7031: @393282
     /*  393282 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393356), // Rule ID 62653 //
     /*  393287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393308 */     // MIs[0] op1
     /*  393308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393320 */     // MIs[0] op3
     /*  393320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393335 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393340 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393342 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393344 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393354 */     GIR_RootConstrainSelectedInstOperands,
     /*  393355 */     // GIR_Coverage, 62653,
     /*  393355 */     GIR_EraseRootFromParent_Done,
     /*  393356 */   // Label 7032: @393356
     /*  393356 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393430), // Rule ID 62654 //
     /*  393361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  393372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  393375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393382 */     // MIs[0] op1
     /*  393382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393394 */     // MIs[0] op3
     /*  393394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393428 */     GIR_RootConstrainSelectedInstOperands,
     /*  393429 */     // GIR_Coverage, 62654,
     /*  393429 */     GIR_EraseRootFromParent_Done,
     /*  393430 */   // Label 7033: @393430
     /*  393430 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393504), // Rule ID 62697 //
     /*  393435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393456 */     // MIs[0] op1
     /*  393456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393468 */     // MIs[0] op3
     /*  393468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393502 */     GIR_RootConstrainSelectedInstOperands,
     /*  393503 */     // GIR_Coverage, 62697,
     /*  393503 */     GIR_EraseRootFromParent_Done,
     /*  393504 */   // Label 7034: @393504
     /*  393504 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393578), // Rule ID 62698 //
     /*  393509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393530 */     // MIs[0] op1
     /*  393530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393542 */     // MIs[0] op3
     /*  393542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393557 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  393560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393562 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393564 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393566 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393576 */     GIR_RootConstrainSelectedInstOperands,
     /*  393577 */     // GIR_Coverage, 62698,
     /*  393577 */     GIR_EraseRootFromParent_Done,
     /*  393578 */   // Label 7035: @393578
     /*  393578 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393652), // Rule ID 62753 //
     /*  393583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393604 */     // MIs[0] op1
     /*  393604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393616 */     // MIs[0] op3
     /*  393616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393650 */     GIR_RootConstrainSelectedInstOperands,
     /*  393651 */     // GIR_Coverage, 62753,
     /*  393651 */     GIR_EraseRootFromParent_Done,
     /*  393652 */   // Label 7036: @393652
     /*  393652 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393726), // Rule ID 62754 //
     /*  393657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393678 */     // MIs[0] op1
     /*  393678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393690 */     // MIs[0] op3
     /*  393690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393693 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393724 */     GIR_RootConstrainSelectedInstOperands,
     /*  393725 */     // GIR_Coverage, 62754,
     /*  393725 */     GIR_EraseRootFromParent_Done,
     /*  393726 */   // Label 7037: @393726
     /*  393726 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393800), // Rule ID 62809 //
     /*  393731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  393742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  393745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393752 */     // MIs[0] op1
     /*  393752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393764 */     // MIs[0] op3
     /*  393764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393798 */     GIR_RootConstrainSelectedInstOperands,
     /*  393799 */     // GIR_Coverage, 62809,
     /*  393799 */     GIR_EraseRootFromParent_Done,
     /*  393800 */   // Label 7038: @393800
     /*  393800 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393874), // Rule ID 62810 //
     /*  393805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  393816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  393819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393826 */     // MIs[0] op1
     /*  393826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393838 */     // MIs[0] op3
     /*  393838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  393856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393858 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393860 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393862 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393872 */     GIR_RootConstrainSelectedInstOperands,
     /*  393873 */     // GIR_Coverage, 62810,
     /*  393873 */     GIR_EraseRootFromParent_Done,
     /*  393874 */   // Label 7039: @393874
     /*  393874 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(393948), // Rule ID 62865 //
     /*  393879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  393890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  393893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393900 */     // MIs[0] op1
     /*  393900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393912 */     // MIs[0] op3
     /*  393912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393946 */     GIR_RootConstrainSelectedInstOperands,
     /*  393947 */     // GIR_Coverage, 62865,
     /*  393947 */     GIR_EraseRootFromParent_Done,
     /*  393948 */   // Label 7040: @393948
     /*  393948 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(394022), // Rule ID 62866 //
     /*  393953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  393964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  393967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393974 */     // MIs[0] op1
     /*  393974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393986 */     // MIs[0] op3
     /*  393986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394001 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394020 */     GIR_RootConstrainSelectedInstOperands,
     /*  394021 */     // GIR_Coverage, 62866,
     /*  394021 */     GIR_EraseRootFromParent_Done,
     /*  394022 */   // Label 7041: @394022
     /*  394022 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394096), // Rule ID 62909 //
     /*  394027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394048 */     // MIs[0] op1
     /*  394048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394060 */     // MIs[0] op3
     /*  394060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394094 */     GIR_RootConstrainSelectedInstOperands,
     /*  394095 */     // GIR_Coverage, 62909,
     /*  394095 */     GIR_EraseRootFromParent_Done,
     /*  394096 */   // Label 7042: @394096
     /*  394096 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394170), // Rule ID 62910 //
     /*  394101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394122 */     // MIs[0] op1
     /*  394122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394134 */     // MIs[0] op3
     /*  394134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394168 */     GIR_RootConstrainSelectedInstOperands,
     /*  394169 */     // GIR_Coverage, 62910,
     /*  394169 */     GIR_EraseRootFromParent_Done,
     /*  394170 */   // Label 7043: @394170
     /*  394170 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394244), // Rule ID 62965 //
     /*  394175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394196 */     // MIs[0] op1
     /*  394196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394208 */     // MIs[0] op3
     /*  394208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394242 */     GIR_RootConstrainSelectedInstOperands,
     /*  394243 */     // GIR_Coverage, 62965,
     /*  394243 */     GIR_EraseRootFromParent_Done,
     /*  394244 */   // Label 7044: @394244
     /*  394244 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394318), // Rule ID 62966 //
     /*  394249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394270 */     // MIs[0] op1
     /*  394270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394282 */     // MIs[0] op3
     /*  394282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394316 */     GIR_RootConstrainSelectedInstOperands,
     /*  394317 */     // GIR_Coverage, 62966,
     /*  394317 */     GIR_EraseRootFromParent_Done,
     /*  394318 */   // Label 7045: @394318
     /*  394318 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394392), // Rule ID 63021 //
     /*  394323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394344 */     // MIs[0] op1
     /*  394344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394356 */     // MIs[0] op3
     /*  394356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394390 */     GIR_RootConstrainSelectedInstOperands,
     /*  394391 */     // GIR_Coverage, 63021,
     /*  394391 */     GIR_EraseRootFromParent_Done,
     /*  394392 */   // Label 7046: @394392
     /*  394392 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394466), // Rule ID 63022 //
     /*  394397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394418 */     // MIs[0] op1
     /*  394418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394430 */     // MIs[0] op3
     /*  394430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394445 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  394448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394464 */     GIR_RootConstrainSelectedInstOperands,
     /*  394465 */     // GIR_Coverage, 63022,
     /*  394465 */     GIR_EraseRootFromParent_Done,
     /*  394466 */   // Label 7047: @394466
     /*  394466 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394540), // Rule ID 63077 //
     /*  394471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394492 */     // MIs[0] op1
     /*  394492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394504 */     // MIs[0] op3
     /*  394504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394538 */     GIR_RootConstrainSelectedInstOperands,
     /*  394539 */     // GIR_Coverage, 63077,
     /*  394539 */     GIR_EraseRootFromParent_Done,
     /*  394540 */   // Label 7048: @394540
     /*  394540 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394614), // Rule ID 63078 //
     /*  394545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  394556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  394559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394566 */     // MIs[0] op1
     /*  394566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394578 */     // MIs[0] op3
     /*  394578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394612 */     GIR_RootConstrainSelectedInstOperands,
     /*  394613 */     // GIR_Coverage, 63078,
     /*  394613 */     GIR_EraseRootFromParent_Done,
     /*  394614 */   // Label 7049: @394614
     /*  394614 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394688), // Rule ID 63121 //
     /*  394619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  394630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  394633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394640 */     // MIs[0] op1
     /*  394640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394652 */     // MIs[0] op3
     /*  394652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394672 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394674 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394676 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394686 */     GIR_RootConstrainSelectedInstOperands,
     /*  394687 */     // GIR_Coverage, 63121,
     /*  394687 */     GIR_EraseRootFromParent_Done,
     /*  394688 */   // Label 7050: @394688
     /*  394688 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394762), // Rule ID 63122 //
     /*  394693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  394704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  394707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394714 */     // MIs[0] op1
     /*  394714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394726 */     // MIs[0] op3
     /*  394726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394741 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394746 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394748 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394750 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394760 */     GIR_RootConstrainSelectedInstOperands,
     /*  394761 */     // GIR_Coverage, 63122,
     /*  394761 */     GIR_EraseRootFromParent_Done,
     /*  394762 */   // Label 7051: @394762
     /*  394762 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394836), // Rule ID 63165 //
     /*  394767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  394778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  394781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394788 */     // MIs[0] op1
     /*  394788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394800 */     // MIs[0] op3
     /*  394800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394815 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394820 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394822 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394824 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394834 */     GIR_RootConstrainSelectedInstOperands,
     /*  394835 */     // GIR_Coverage, 63165,
     /*  394835 */     GIR_EraseRootFromParent_Done,
     /*  394836 */   // Label 7052: @394836
     /*  394836 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394910), // Rule ID 63166 //
     /*  394841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  394852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  394855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394862 */     // MIs[0] op1
     /*  394862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394874 */     // MIs[0] op3
     /*  394874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394889 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394894 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394896 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394898 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394908 */     GIR_RootConstrainSelectedInstOperands,
     /*  394909 */     // GIR_Coverage, 63166,
     /*  394909 */     GIR_EraseRootFromParent_Done,
     /*  394910 */   // Label 7053: @394910
     /*  394910 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(394984), // Rule ID 63209 //
     /*  394915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394936 */     // MIs[0] op1
     /*  394936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394948 */     // MIs[0] op3
     /*  394948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394968 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394970 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394972 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394982 */     GIR_RootConstrainSelectedInstOperands,
     /*  394983 */     // GIR_Coverage, 63209,
     /*  394983 */     GIR_EraseRootFromParent_Done,
     /*  394984 */   // Label 7054: @394984
     /*  394984 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(395058), // Rule ID 63210 //
     /*  394989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395010 */     // MIs[0] op1
     /*  395010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395022 */     // MIs[0] op3
     /*  395022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395056 */     GIR_RootConstrainSelectedInstOperands,
     /*  395057 */     // GIR_Coverage, 63210,
     /*  395057 */     GIR_EraseRootFromParent_Done,
     /*  395058 */   // Label 7055: @395058
     /*  395058 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395132), // Rule ID 63265 //
     /*  395063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395084 */     // MIs[0] op1
     /*  395084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395096 */     // MIs[0] op3
     /*  395096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395130 */     GIR_RootConstrainSelectedInstOperands,
     /*  395131 */     // GIR_Coverage, 63265,
     /*  395131 */     GIR_EraseRootFromParent_Done,
     /*  395132 */   // Label 7056: @395132
     /*  395132 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395206), // Rule ID 63266 //
     /*  395137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  395148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  395151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395158 */     // MIs[0] op1
     /*  395158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395170 */     // MIs[0] op3
     /*  395170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395185 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395204 */     GIR_RootConstrainSelectedInstOperands,
     /*  395205 */     // GIR_Coverage, 63266,
     /*  395205 */     GIR_EraseRootFromParent_Done,
     /*  395206 */   // Label 7057: @395206
     /*  395206 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395280), // Rule ID 63321 //
     /*  395211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395232 */     // MIs[0] op1
     /*  395232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395244 */     // MIs[0] op3
     /*  395244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395278 */     GIR_RootConstrainSelectedInstOperands,
     /*  395279 */     // GIR_Coverage, 63321,
     /*  395279 */     GIR_EraseRootFromParent_Done,
     /*  395280 */   // Label 7058: @395280
     /*  395280 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395354), // Rule ID 63322 //
     /*  395285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395306 */     // MIs[0] op1
     /*  395306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395318 */     // MIs[0] op3
     /*  395318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395352 */     GIR_RootConstrainSelectedInstOperands,
     /*  395353 */     // GIR_Coverage, 63322,
     /*  395353 */     GIR_EraseRootFromParent_Done,
     /*  395354 */   // Label 7059: @395354
     /*  395354 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395428), // Rule ID 63377 //
     /*  395359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395380 */     // MIs[0] op1
     /*  395380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395392 */     // MIs[0] op3
     /*  395392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395412 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395414 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395416 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395426 */     GIR_RootConstrainSelectedInstOperands,
     /*  395427 */     // GIR_Coverage, 63377,
     /*  395427 */     GIR_EraseRootFromParent_Done,
     /*  395428 */   // Label 7060: @395428
     /*  395428 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395502), // Rule ID 63378 //
     /*  395433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395454 */     // MIs[0] op1
     /*  395454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395466 */     // MIs[0] op3
     /*  395466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395500 */     GIR_RootConstrainSelectedInstOperands,
     /*  395501 */     // GIR_Coverage, 63378,
     /*  395501 */     GIR_EraseRootFromParent_Done,
     /*  395502 */   // Label 7061: @395502
     /*  395502 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395576), // Rule ID 63433 //
     /*  395507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395528 */     // MIs[0] op1
     /*  395528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395540 */     // MIs[0] op3
     /*  395540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395574 */     GIR_RootConstrainSelectedInstOperands,
     /*  395575 */     // GIR_Coverage, 63433,
     /*  395575 */     GIR_EraseRootFromParent_Done,
     /*  395576 */   // Label 7062: @395576
     /*  395576 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395650), // Rule ID 63434 //
     /*  395581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395602 */     // MIs[0] op1
     /*  395602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395614 */     // MIs[0] op3
     /*  395614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  395632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395648 */     GIR_RootConstrainSelectedInstOperands,
     /*  395649 */     // GIR_Coverage, 63434,
     /*  395649 */     GIR_EraseRootFromParent_Done,
     /*  395650 */   // Label 7063: @395650
     /*  395650 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395724), // Rule ID 63489 //
     /*  395655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395676 */     // MIs[0] op1
     /*  395676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395688 */     // MIs[0] op3
     /*  395688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395708 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395710 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395712 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395722 */     GIR_RootConstrainSelectedInstOperands,
     /*  395723 */     // GIR_Coverage, 63489,
     /*  395723 */     GIR_EraseRootFromParent_Done,
     /*  395724 */   // Label 7064: @395724
     /*  395724 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395798), // Rule ID 63490 //
     /*  395729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395750 */     // MIs[0] op1
     /*  395750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395762 */     // MIs[0] op3
     /*  395762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395796 */     GIR_RootConstrainSelectedInstOperands,
     /*  395797 */     // GIR_Coverage, 63490,
     /*  395797 */     GIR_EraseRootFromParent_Done,
     /*  395798 */   // Label 7065: @395798
     /*  395798 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395872), // Rule ID 63545 //
     /*  395803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395824 */     // MIs[0] op1
     /*  395824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395836 */     // MIs[0] op3
     /*  395836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395870 */     GIR_RootConstrainSelectedInstOperands,
     /*  395871 */     // GIR_Coverage, 63545,
     /*  395871 */     GIR_EraseRootFromParent_Done,
     /*  395872 */   // Label 7066: @395872
     /*  395872 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395946), // Rule ID 63546 //
     /*  395877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395898 */     // MIs[0] op1
     /*  395898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395910 */     // MIs[0] op3
     /*  395910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  395928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395944 */     GIR_RootConstrainSelectedInstOperands,
     /*  395945 */     // GIR_Coverage, 63546,
     /*  395945 */     GIR_EraseRootFromParent_Done,
     /*  395946 */   // Label 7067: @395946
     /*  395946 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(396020), // Rule ID 63601 //
     /*  395951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  395959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  395962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  395965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395972 */     // MIs[0] op1
     /*  395972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395984 */     // MIs[0] op3
     /*  395984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396004 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396006 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396008 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396018 */     GIR_RootConstrainSelectedInstOperands,
     /*  396019 */     // GIR_Coverage, 63601,
     /*  396019 */     GIR_EraseRootFromParent_Done,
     /*  396020 */   // Label 7068: @396020
     /*  396020 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396094), // Rule ID 63602 //
     /*  396025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396046 */     // MIs[0] op1
     /*  396046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396058 */     // MIs[0] op3
     /*  396058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  396076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396092 */     GIR_RootConstrainSelectedInstOperands,
     /*  396093 */     // GIR_Coverage, 63602,
     /*  396093 */     GIR_EraseRootFromParent_Done,
     /*  396094 */   // Label 7069: @396094
     /*  396094 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396168), // Rule ID 63657 //
     /*  396099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396120 */     // MIs[0] op1
     /*  396120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396132 */     // MIs[0] op3
     /*  396132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396166 */     GIR_RootConstrainSelectedInstOperands,
     /*  396167 */     // GIR_Coverage, 63657,
     /*  396167 */     GIR_EraseRootFromParent_Done,
     /*  396168 */   // Label 7070: @396168
     /*  396168 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396242), // Rule ID 63658 //
     /*  396173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  396181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396194 */     // MIs[0] op1
     /*  396194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396206 */     // MIs[0] op3
     /*  396206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  396209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  396214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10988:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  396224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396240 */     GIR_RootConstrainSelectedInstOperands,
     /*  396241 */     // GIR_Coverage, 63658,
     /*  396241 */     GIR_EraseRootFromParent_Done,
     /*  396242 */   // Label 7071: @396242
     /*  396242 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396317), // Rule ID 7231 //
     /*  396247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396315 */     GIR_RootConstrainSelectedInstOperands,
     /*  396316 */     // GIR_Coverage, 7231,
     /*  396316 */     GIR_EraseRootFromParent_Done,
     /*  396317 */   // Label 7072: @396317
     /*  396317 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396392), // Rule ID 7232 //
     /*  396322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  396333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  396336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  396339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396368 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  396371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396390 */     GIR_RootConstrainSelectedInstOperands,
     /*  396391 */     // GIR_Coverage, 7232,
     /*  396391 */     GIR_EraseRootFromParent_Done,
     /*  396392 */   // Label 7073: @396392
     /*  396392 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396467), // Rule ID 7235 //
     /*  396397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396465 */     GIR_RootConstrainSelectedInstOperands,
     /*  396466 */     // GIR_Coverage, 7235,
     /*  396466 */     GIR_EraseRootFromParent_Done,
     /*  396467 */   // Label 7074: @396467
     /*  396467 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396542), // Rule ID 7236 //
     /*  396472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  396483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  396486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  396489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396540 */     GIR_RootConstrainSelectedInstOperands,
     /*  396541 */     // GIR_Coverage, 7236,
     /*  396541 */     GIR_EraseRootFromParent_Done,
     /*  396542 */   // Label 7075: @396542
     /*  396542 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396617), // Rule ID 7239 //
     /*  396547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  396561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  396564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396615 */     GIR_RootConstrainSelectedInstOperands,
     /*  396616 */     // GIR_Coverage, 7239,
     /*  396616 */     GIR_EraseRootFromParent_Done,
     /*  396617 */   // Label 7076: @396617
     /*  396617 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396692), // Rule ID 7240 //
     /*  396622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  396633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  396636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  396639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396657 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396690 */     GIR_RootConstrainSelectedInstOperands,
     /*  396691 */     // GIR_Coverage, 7240,
     /*  396691 */     GIR_EraseRootFromParent_Done,
     /*  396692 */   // Label 7077: @396692
     /*  396692 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396767), // Rule ID 7243 //
     /*  396697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396765 */     GIR_RootConstrainSelectedInstOperands,
     /*  396766 */     // GIR_Coverage, 7243,
     /*  396766 */     GIR_EraseRootFromParent_Done,
     /*  396767 */   // Label 7078: @396767
     /*  396767 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396842), // Rule ID 7244 //
     /*  396772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  396821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396840 */     GIR_RootConstrainSelectedInstOperands,
     /*  396841 */     // GIR_Coverage, 7244,
     /*  396841 */     GIR_EraseRootFromParent_Done,
     /*  396842 */   // Label 7079: @396842
     /*  396842 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396917), // Rule ID 7247 //
     /*  396847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396915 */     GIR_RootConstrainSelectedInstOperands,
     /*  396916 */     // GIR_Coverage, 7247,
     /*  396916 */     GIR_EraseRootFromParent_Done,
     /*  396917 */   // Label 7080: @396917
     /*  396917 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(396992), // Rule ID 7248 //
     /*  396922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  396971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396990 */     GIR_RootConstrainSelectedInstOperands,
     /*  396991 */     // GIR_Coverage, 7248,
     /*  396991 */     GIR_EraseRootFromParent_Done,
     /*  396992 */   // Label 7081: @396992
     /*  396992 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(397067), // Rule ID 7251 //
     /*  396997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397065 */     GIR_RootConstrainSelectedInstOperands,
     /*  397066 */     // GIR_Coverage, 7251,
     /*  397066 */     GIR_EraseRootFromParent_Done,
     /*  397067 */   // Label 7082: @397067
     /*  397067 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397142), // Rule ID 7252 //
     /*  397072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  397121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397140 */     GIR_RootConstrainSelectedInstOperands,
     /*  397141 */     // GIR_Coverage, 7252,
     /*  397141 */     GIR_EraseRootFromParent_Done,
     /*  397142 */   // Label 7083: @397142
     /*  397142 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397217), // Rule ID 7255 //
     /*  397147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397215 */     GIR_RootConstrainSelectedInstOperands,
     /*  397216 */     // GIR_Coverage, 7255,
     /*  397216 */     GIR_EraseRootFromParent_Done,
     /*  397217 */   // Label 7084: @397217
     /*  397217 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397292), // Rule ID 7256 //
     /*  397222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  397233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  397236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  397239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397290 */     GIR_RootConstrainSelectedInstOperands,
     /*  397291 */     // GIR_Coverage, 7256,
     /*  397291 */     GIR_EraseRootFromParent_Done,
     /*  397292 */   // Label 7085: @397292
     /*  397292 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397367), // Rule ID 7259 //
     /*  397297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397332 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397365 */     GIR_RootConstrainSelectedInstOperands,
     /*  397366 */     // GIR_Coverage, 7259,
     /*  397366 */     GIR_EraseRootFromParent_Done,
     /*  397367 */   // Label 7086: @397367
     /*  397367 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397442), // Rule ID 7260 //
     /*  397372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  397383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  397386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  397389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397407 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397440 */     GIR_RootConstrainSelectedInstOperands,
     /*  397441 */     // GIR_Coverage, 7260,
     /*  397441 */     GIR_EraseRootFromParent_Done,
     /*  397442 */   // Label 7087: @397442
     /*  397442 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397517), // Rule ID 7263 //
     /*  397447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397515 */     GIR_RootConstrainSelectedInstOperands,
     /*  397516 */     // GIR_Coverage, 7263,
     /*  397516 */     GIR_EraseRootFromParent_Done,
     /*  397517 */   // Label 7088: @397517
     /*  397517 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397592), // Rule ID 7264 //
     /*  397522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397590 */     GIR_RootConstrainSelectedInstOperands,
     /*  397591 */     // GIR_Coverage, 7264,
     /*  397591 */     GIR_EraseRootFromParent_Done,
     /*  397592 */   // Label 7089: @397592
     /*  397592 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397667), // Rule ID 7267 //
     /*  397597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  397600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  397643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397665 */     GIR_RootConstrainSelectedInstOperands,
     /*  397666 */     // GIR_Coverage, 7267,
     /*  397666 */     GIR_EraseRootFromParent_Done,
     /*  397667 */   // Label 7090: @397667
     /*  397667 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397742), // Rule ID 7268 //
     /*  397672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  397675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  397718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  397721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397740 */     GIR_RootConstrainSelectedInstOperands,
     /*  397741 */     // GIR_Coverage, 7268,
     /*  397741 */     GIR_EraseRootFromParent_Done,
     /*  397742 */   // Label 7091: @397742
     /*  397742 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397817), // Rule ID 7271 //
     /*  397747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  397758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  397761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  397764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397815 */     GIR_RootConstrainSelectedInstOperands,
     /*  397816 */     // GIR_Coverage, 7271,
     /*  397816 */     GIR_EraseRootFromParent_Done,
     /*  397817 */   // Label 7092: @397817
     /*  397817 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397892), // Rule ID 7272 //
     /*  397822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  397833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  397836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  397839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397857 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  397868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397890 */     GIR_RootConstrainSelectedInstOperands,
     /*  397891 */     // GIR_Coverage, 7272,
     /*  397891 */     GIR_EraseRootFromParent_Done,
     /*  397892 */   // Label 7093: @397892
     /*  397892 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(397967), // Rule ID 7275 //
     /*  397897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  397908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  397911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  397914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  397943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397965 */     GIR_RootConstrainSelectedInstOperands,
     /*  397966 */     // GIR_Coverage, 7275,
     /*  397966 */     GIR_EraseRootFromParent_Done,
     /*  397967 */   // Label 7094: @397967
     /*  397967 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(398042), // Rule ID 7276 //
     /*  397972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  397983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  397986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  397989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398007 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398040 */     GIR_RootConstrainSelectedInstOperands,
     /*  398041 */     // GIR_Coverage, 7276,
     /*  398041 */     GIR_EraseRootFromParent_Done,
     /*  398042 */   // Label 7095: @398042
     /*  398042 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398117), // Rule ID 7279 //
     /*  398047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398082 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  398093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398115 */     GIR_RootConstrainSelectedInstOperands,
     /*  398116 */     // GIR_Coverage, 7279,
     /*  398116 */     GIR_EraseRootFromParent_Done,
     /*  398117 */   // Label 7096: @398117
     /*  398117 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398192), // Rule ID 7280 //
     /*  398122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  398133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  398136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  398139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398157 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398168 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  398168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398190 */     GIR_RootConstrainSelectedInstOperands,
     /*  398191 */     // GIR_Coverage, 7280,
     /*  398191 */     GIR_EraseRootFromParent_Done,
     /*  398192 */   // Label 7097: @398192
     /*  398192 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398267), // Rule ID 7283 //
     /*  398197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398232 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398265 */     GIR_RootConstrainSelectedInstOperands,
     /*  398266 */     // GIR_Coverage, 7283,
     /*  398266 */     GIR_EraseRootFromParent_Done,
     /*  398267 */   // Label 7098: @398267
     /*  398267 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398342), // Rule ID 7284 //
     /*  398272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398340 */     GIR_RootConstrainSelectedInstOperands,
     /*  398341 */     // GIR_Coverage, 7284,
     /*  398341 */     GIR_EraseRootFromParent_Done,
     /*  398342 */   // Label 7099: @398342
     /*  398342 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398417), // Rule ID 7287 //
     /*  398347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398382 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398415 */     GIR_RootConstrainSelectedInstOperands,
     /*  398416 */     // GIR_Coverage, 7287,
     /*  398416 */     GIR_EraseRootFromParent_Done,
     /*  398417 */   // Label 7100: @398417
     /*  398417 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398492), // Rule ID 7288 //
     /*  398422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398457 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398490 */     GIR_RootConstrainSelectedInstOperands,
     /*  398491 */     // GIR_Coverage, 7288,
     /*  398491 */     GIR_EraseRootFromParent_Done,
     /*  398492 */   // Label 7101: @398492
     /*  398492 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398567), // Rule ID 7291 //
     /*  398497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398532 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398565 */     GIR_RootConstrainSelectedInstOperands,
     /*  398566 */     // GIR_Coverage, 7291,
     /*  398566 */     GIR_EraseRootFromParent_Done,
     /*  398567 */   // Label 7102: @398567
     /*  398567 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398642), // Rule ID 7292 //
     /*  398572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398640 */     GIR_RootConstrainSelectedInstOperands,
     /*  398641 */     // GIR_Coverage, 7292,
     /*  398641 */     GIR_EraseRootFromParent_Done,
     /*  398642 */   // Label 7103: @398642
     /*  398642 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398717), // Rule ID 7295 //
     /*  398647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  398664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398715 */     GIR_RootConstrainSelectedInstOperands,
     /*  398716 */     // GIR_Coverage, 7295,
     /*  398716 */     GIR_EraseRootFromParent_Done,
     /*  398717 */   // Label 7104: @398717
     /*  398717 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398792), // Rule ID 7296 //
     /*  398722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  398739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398757 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398790 */     GIR_RootConstrainSelectedInstOperands,
     /*  398791 */     // GIR_Coverage, 7296,
     /*  398791 */     GIR_EraseRootFromParent_Done,
     /*  398792 */   // Label 7105: @398792
     /*  398792 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398867), // Rule ID 7299 //
     /*  398797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  398814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398865 */     GIR_RootConstrainSelectedInstOperands,
     /*  398866 */     // GIR_Coverage, 7299,
     /*  398866 */     GIR_EraseRootFromParent_Done,
     /*  398867 */   // Label 7106: @398867
     /*  398867 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398942), // Rule ID 7300 //
     /*  398872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  398889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398907 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398940 */     GIR_RootConstrainSelectedInstOperands,
     /*  398941 */     // GIR_Coverage, 7300,
     /*  398941 */     GIR_EraseRootFromParent_Done,
     /*  398942 */   // Label 7107: @398942
     /*  398942 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(399017), // Rule ID 7303 //
     /*  398947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  398958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  398961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  398964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398982 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399015 */     GIR_RootConstrainSelectedInstOperands,
     /*  399016 */     // GIR_Coverage, 7303,
     /*  399016 */     GIR_EraseRootFromParent_Done,
     /*  399017 */   // Label 7108: @399017
     /*  399017 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(399092), // Rule ID 7304 //
     /*  399022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399057 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399090 */     GIR_RootConstrainSelectedInstOperands,
     /*  399091 */     // GIR_Coverage, 7304,
     /*  399091 */     GIR_EraseRootFromParent_Done,
     /*  399092 */   // Label 7109: @399092
     /*  399092 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399167), // Rule ID 7307 //
     /*  399097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399165 */     GIR_RootConstrainSelectedInstOperands,
     /*  399166 */     // GIR_Coverage, 7307,
     /*  399166 */     GIR_EraseRootFromParent_Done,
     /*  399167 */   // Label 7110: @399167
     /*  399167 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399242), // Rule ID 7308 //
     /*  399172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399207 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  399221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399240 */     GIR_RootConstrainSelectedInstOperands,
     /*  399241 */     // GIR_Coverage, 7308,
     /*  399241 */     GIR_EraseRootFromParent_Done,
     /*  399242 */   // Label 7111: @399242
     /*  399242 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399317), // Rule ID 7311 //
     /*  399247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399315 */     GIR_RootConstrainSelectedInstOperands,
     /*  399316 */     // GIR_Coverage, 7311,
     /*  399316 */     GIR_EraseRootFromParent_Done,
     /*  399317 */   // Label 7112: @399317
     /*  399317 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399392), // Rule ID 7312 //
     /*  399322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  399371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399390 */     GIR_RootConstrainSelectedInstOperands,
     /*  399391 */     // GIR_Coverage, 7312,
     /*  399391 */     GIR_EraseRootFromParent_Done,
     /*  399392 */   // Label 7113: @399392
     /*  399392 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399467), // Rule ID 7315 //
     /*  399397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  399400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  399417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399465 */     GIR_RootConstrainSelectedInstOperands,
     /*  399466 */     // GIR_Coverage, 7315,
     /*  399466 */     GIR_EraseRootFromParent_Done,
     /*  399467 */   // Label 7114: @399467
     /*  399467 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399542), // Rule ID 7316 //
     /*  399472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  399475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  399480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  399489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  399492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  399511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  399521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399540 */     GIR_RootConstrainSelectedInstOperands,
     /*  399541 */     // GIR_Coverage, 7316,
     /*  399541 */     GIR_EraseRootFromParent_Done,
     /*  399542 */   // Label 7115: @399542
     /*  399542 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399619), // Rule ID 2629 //
     /*  399547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  399561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399579 */     // MIs[0] Operand 4
     /*  399579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  399600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399617 */     GIR_RootConstrainSelectedInstOperands,
     /*  399618 */     // GIR_Coverage, 2629,
     /*  399618 */     GIR_EraseRootFromParent_Done,
     /*  399619 */   // Label 7116: @399619
     /*  399619 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399696), // Rule ID 2630 //
     /*  399624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  399635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  399638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399656 */     // MIs[0] Operand 4
     /*  399656 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  399677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399694 */     GIR_RootConstrainSelectedInstOperands,
     /*  399695 */     // GIR_Coverage, 2630,
     /*  399695 */     GIR_EraseRootFromParent_Done,
     /*  399696 */   // Label 7117: @399696
     /*  399696 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399773), // Rule ID 20513 //
     /*  399701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399733 */     // MIs[0] Operand 4
     /*  399733 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399771 */     GIR_RootConstrainSelectedInstOperands,
     /*  399772 */     // GIR_Coverage, 20513,
     /*  399772 */     GIR_EraseRootFromParent_Done,
     /*  399773 */   // Label 7118: @399773
     /*  399773 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399850), // Rule ID 20514 //
     /*  399778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399810 */     // MIs[0] Operand 4
     /*  399810 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399848 */     GIR_RootConstrainSelectedInstOperands,
     /*  399849 */     // GIR_Coverage, 20514,
     /*  399849 */     GIR_EraseRootFromParent_Done,
     /*  399850 */   // Label 7119: @399850
     /*  399850 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399927), // Rule ID 20517 //
     /*  399855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  399858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399887 */     // MIs[0] Operand 4
     /*  399887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399925 */     GIR_RootConstrainSelectedInstOperands,
     /*  399926 */     // GIR_Coverage, 20517,
     /*  399926 */     GIR_EraseRootFromParent_Done,
     /*  399927 */   // Label 7120: @399927
     /*  399927 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(400004), // Rule ID 20518 //
     /*  399932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  399935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399964 */     // MIs[0] Operand 4
     /*  399964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  399985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400002 */     GIR_RootConstrainSelectedInstOperands,
     /*  400003 */     // GIR_Coverage, 20518,
     /*  400003 */     GIR_EraseRootFromParent_Done,
     /*  400004 */   // Label 7121: @400004
     /*  400004 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(400081), // Rule ID 20521 //
     /*  400009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400041 */     // MIs[0] Operand 4
     /*  400041 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400079 */     GIR_RootConstrainSelectedInstOperands,
     /*  400080 */     // GIR_Coverage, 20521,
     /*  400080 */     GIR_EraseRootFromParent_Done,
     /*  400081 */   // Label 7122: @400081
     /*  400081 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400158), // Rule ID 20522 //
     /*  400086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400118 */     // MIs[0] Operand 4
     /*  400118 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400156 */     GIR_RootConstrainSelectedInstOperands,
     /*  400157 */     // GIR_Coverage, 20522,
     /*  400157 */     GIR_EraseRootFromParent_Done,
     /*  400158 */   // Label 7123: @400158
     /*  400158 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400235), // Rule ID 20525 //
     /*  400163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400195 */     // MIs[0] Operand 4
     /*  400195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400233 */     GIR_RootConstrainSelectedInstOperands,
     /*  400234 */     // GIR_Coverage, 20525,
     /*  400234 */     GIR_EraseRootFromParent_Done,
     /*  400235 */   // Label 7124: @400235
     /*  400235 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400312), // Rule ID 20526 //
     /*  400240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400272 */     // MIs[0] Operand 4
     /*  400272 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400310 */     GIR_RootConstrainSelectedInstOperands,
     /*  400311 */     // GIR_Coverage, 20526,
     /*  400311 */     GIR_EraseRootFromParent_Done,
     /*  400312 */   // Label 7125: @400312
     /*  400312 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400389), // Rule ID 20529 //
     /*  400317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400349 */     // MIs[0] Operand 4
     /*  400349 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400387 */     GIR_RootConstrainSelectedInstOperands,
     /*  400388 */     // GIR_Coverage, 20529,
     /*  400388 */     GIR_EraseRootFromParent_Done,
     /*  400389 */   // Label 7126: @400389
     /*  400389 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400466), // Rule ID 20530 //
     /*  400394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400426 */     // MIs[0] Operand 4
     /*  400426 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  400447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400464 */     GIR_RootConstrainSelectedInstOperands,
     /*  400465 */     // GIR_Coverage, 20530,
     /*  400465 */     GIR_EraseRootFromParent_Done,
     /*  400466 */   // Label 7127: @400466
     /*  400466 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400543), // Rule ID 20533 //
     /*  400471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400503 */     // MIs[0] Operand 4
     /*  400503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400541 */     GIR_RootConstrainSelectedInstOperands,
     /*  400542 */     // GIR_Coverage, 20533,
     /*  400542 */     GIR_EraseRootFromParent_Done,
     /*  400543 */   // Label 7128: @400543
     /*  400543 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400620), // Rule ID 20534 //
     /*  400548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400580 */     // MIs[0] Operand 4
     /*  400580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400618 */     GIR_RootConstrainSelectedInstOperands,
     /*  400619 */     // GIR_Coverage, 20534,
     /*  400619 */     GIR_EraseRootFromParent_Done,
     /*  400620 */   // Label 7129: @400620
     /*  400620 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400697), // Rule ID 20537 //
     /*  400625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400657 */     // MIs[0] Operand 4
     /*  400657 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400695 */     GIR_RootConstrainSelectedInstOperands,
     /*  400696 */     // GIR_Coverage, 20537,
     /*  400696 */     GIR_EraseRootFromParent_Done,
     /*  400697 */   // Label 7130: @400697
     /*  400697 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400774), // Rule ID 20538 //
     /*  400702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400734 */     // MIs[0] Operand 4
     /*  400734 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400772 */     GIR_RootConstrainSelectedInstOperands,
     /*  400773 */     // GIR_Coverage, 20538,
     /*  400773 */     GIR_EraseRootFromParent_Done,
     /*  400774 */   // Label 7131: @400774
     /*  400774 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400851), // Rule ID 20541 //
     /*  400779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  400793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400811 */     // MIs[0] Operand 4
     /*  400811 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400849 */     GIR_RootConstrainSelectedInstOperands,
     /*  400850 */     // GIR_Coverage, 20541,
     /*  400850 */     GIR_EraseRootFromParent_Done,
     /*  400851 */   // Label 7132: @400851
     /*  400851 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400928), // Rule ID 20542 //
     /*  400856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  400870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400888 */     // MIs[0] Operand 4
     /*  400888 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400926 */     GIR_RootConstrainSelectedInstOperands,
     /*  400927 */     // GIR_Coverage, 20542,
     /*  400927 */     GIR_EraseRootFromParent_Done,
     /*  400928 */   // Label 7133: @400928
     /*  400928 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(401005), // Rule ID 20545 //
     /*  400933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  400947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400965 */     // MIs[0] Operand 4
     /*  400965 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401003 */     GIR_RootConstrainSelectedInstOperands,
     /*  401004 */     // GIR_Coverage, 20545,
     /*  401004 */     GIR_EraseRootFromParent_Done,
     /*  401005 */   // Label 7134: @401005
     /*  401005 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(401082), // Rule ID 20546 //
     /*  401010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401042 */     // MIs[0] Operand 4
     /*  401042 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401080 */     GIR_RootConstrainSelectedInstOperands,
     /*  401081 */     // GIR_Coverage, 20546,
     /*  401081 */     GIR_EraseRootFromParent_Done,
     /*  401082 */   // Label 7135: @401082
     /*  401082 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(401159), // Rule ID 20549 //
     /*  401087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401119 */     // MIs[0] Operand 4
     /*  401119 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401137 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401157 */     GIR_RootConstrainSelectedInstOperands,
     /*  401158 */     // GIR_Coverage, 20549,
     /*  401158 */     GIR_EraseRootFromParent_Done,
     /*  401159 */   // Label 7136: @401159
     /*  401159 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401236), // Rule ID 20550 //
     /*  401164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401196 */     // MIs[0] Operand 4
     /*  401196 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401234 */     GIR_RootConstrainSelectedInstOperands,
     /*  401235 */     // GIR_Coverage, 20550,
     /*  401235 */     GIR_EraseRootFromParent_Done,
     /*  401236 */   // Label 7137: @401236
     /*  401236 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401313), // Rule ID 20553 //
     /*  401241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401273 */     // MIs[0] Operand 4
     /*  401273 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401311 */     GIR_RootConstrainSelectedInstOperands,
     /*  401312 */     // GIR_Coverage, 20553,
     /*  401312 */     GIR_EraseRootFromParent_Done,
     /*  401313 */   // Label 7138: @401313
     /*  401313 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401390), // Rule ID 20554 //
     /*  401318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401350 */     // MIs[0] Operand 4
     /*  401350 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401388 */     GIR_RootConstrainSelectedInstOperands,
     /*  401389 */     // GIR_Coverage, 20554,
     /*  401389 */     GIR_EraseRootFromParent_Done,
     /*  401390 */   // Label 7139: @401390
     /*  401390 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401467), // Rule ID 20557 //
     /*  401395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401427 */     // MIs[0] Operand 4
     /*  401427 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401445 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401465 */     GIR_RootConstrainSelectedInstOperands,
     /*  401466 */     // GIR_Coverage, 20557,
     /*  401466 */     GIR_EraseRootFromParent_Done,
     /*  401467 */   // Label 7140: @401467
     /*  401467 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401544), // Rule ID 20558 //
     /*  401472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  401486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401504 */     // MIs[0] Operand 4
     /*  401504 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  401525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401542 */     GIR_RootConstrainSelectedInstOperands,
     /*  401543 */     // GIR_Coverage, 20558,
     /*  401543 */     GIR_EraseRootFromParent_Done,
     /*  401544 */   // Label 7141: @401544
     /*  401544 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401621), // Rule ID 20561 //
     /*  401549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401581 */     // MIs[0] Operand 4
     /*  401581 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401619 */     GIR_RootConstrainSelectedInstOperands,
     /*  401620 */     // GIR_Coverage, 20561,
     /*  401620 */     GIR_EraseRootFromParent_Done,
     /*  401621 */   // Label 7142: @401621
     /*  401621 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401698), // Rule ID 20562 //
     /*  401626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401658 */     // MIs[0] Operand 4
     /*  401658 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  401679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401696 */     GIR_RootConstrainSelectedInstOperands,
     /*  401697 */     // GIR_Coverage, 20562,
     /*  401697 */     GIR_EraseRootFromParent_Done,
     /*  401698 */   // Label 7143: @401698
     /*  401698 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401775), // Rule ID 20565 //
     /*  401703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401735 */     // MIs[0] Operand 4
     /*  401735 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401773 */     GIR_RootConstrainSelectedInstOperands,
     /*  401774 */     // GIR_Coverage, 20565,
     /*  401774 */     GIR_EraseRootFromParent_Done,
     /*  401775 */   // Label 7144: @401775
     /*  401775 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401852), // Rule ID 20566 //
     /*  401780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  401788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401812 */     // MIs[0] Operand 4
     /*  401812 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401830 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  401833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401850 */     GIR_RootConstrainSelectedInstOperands,
     /*  401851 */     // GIR_Coverage, 20566,
     /*  401851 */     GIR_EraseRootFromParent_Done,
     /*  401852 */   // Label 7145: @401852
     /*  401852 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401929), // Rule ID 20569 //
     /*  401857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401889 */     // MIs[0] Operand 4
     /*  401889 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  401910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401927 */     GIR_RootConstrainSelectedInstOperands,
     /*  401928 */     // GIR_Coverage, 20569,
     /*  401928 */     GIR_EraseRootFromParent_Done,
     /*  401929 */   // Label 7146: @401929
     /*  401929 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(402006), // Rule ID 20570 //
     /*  401934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401966 */     // MIs[0] Operand 4
     /*  401966 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  401987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402004 */     GIR_RootConstrainSelectedInstOperands,
     /*  402005 */     // GIR_Coverage, 20570,
     /*  402005 */     GIR_EraseRootFromParent_Done,
     /*  402006 */   // Label 7147: @402006
     /*  402006 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(402083), // Rule ID 20573 //
     /*  402011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402043 */     // MIs[0] Operand 4
     /*  402043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402081 */     GIR_RootConstrainSelectedInstOperands,
     /*  402082 */     // GIR_Coverage, 20573,
     /*  402082 */     GIR_EraseRootFromParent_Done,
     /*  402083 */   // Label 7148: @402083
     /*  402083 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(402160), // Rule ID 20574 //
     /*  402088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402120 */     // MIs[0] Operand 4
     /*  402120 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402158 */     GIR_RootConstrainSelectedInstOperands,
     /*  402159 */     // GIR_Coverage, 20574,
     /*  402159 */     GIR_EraseRootFromParent_Done,
     /*  402160 */   // Label 7149: @402160
     /*  402160 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402237), // Rule ID 20577 //
     /*  402165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402197 */     // MIs[0] Operand 4
     /*  402197 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402235 */     GIR_RootConstrainSelectedInstOperands,
     /*  402236 */     // GIR_Coverage, 20577,
     /*  402236 */     GIR_EraseRootFromParent_Done,
     /*  402237 */   // Label 7150: @402237
     /*  402237 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402314), // Rule ID 20578 //
     /*  402242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402274 */     // MIs[0] Operand 4
     /*  402274 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  402295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402312 */     GIR_RootConstrainSelectedInstOperands,
     /*  402313 */     // GIR_Coverage, 20578,
     /*  402313 */     GIR_EraseRootFromParent_Done,
     /*  402314 */   // Label 7151: @402314
     /*  402314 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402391), // Rule ID 20581 //
     /*  402319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402351 */     // MIs[0] Operand 4
     /*  402351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402389 */     GIR_RootConstrainSelectedInstOperands,
     /*  402390 */     // GIR_Coverage, 20581,
     /*  402390 */     GIR_EraseRootFromParent_Done,
     /*  402391 */   // Label 7152: @402391
     /*  402391 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402468), // Rule ID 20582 //
     /*  402396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402428 */     // MIs[0] Operand 4
     /*  402428 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402466 */     GIR_RootConstrainSelectedInstOperands,
     /*  402467 */     // GIR_Coverage, 20582,
     /*  402467 */     GIR_EraseRootFromParent_Done,
     /*  402468 */   // Label 7153: @402468
     /*  402468 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402545), // Rule ID 20585 //
     /*  402473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402505 */     // MIs[0] Operand 4
     /*  402505 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402543 */     GIR_RootConstrainSelectedInstOperands,
     /*  402544 */     // GIR_Coverage, 20585,
     /*  402544 */     GIR_EraseRootFromParent_Done,
     /*  402545 */   // Label 7154: @402545
     /*  402545 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402622), // Rule ID 20586 //
     /*  402550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402582 */     // MIs[0] Operand 4
     /*  402582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402620 */     GIR_RootConstrainSelectedInstOperands,
     /*  402621 */     // GIR_Coverage, 20586,
     /*  402621 */     GIR_EraseRootFromParent_Done,
     /*  402622 */   // Label 7155: @402622
     /*  402622 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402699), // Rule ID 20589 //
     /*  402627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402659 */     // MIs[0] Operand 4
     /*  402659 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402697 */     GIR_RootConstrainSelectedInstOperands,
     /*  402698 */     // GIR_Coverage, 20589,
     /*  402698 */     GIR_EraseRootFromParent_Done,
     /*  402699 */   // Label 7156: @402699
     /*  402699 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402776), // Rule ID 20590 //
     /*  402704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402736 */     // MIs[0] Operand 4
     /*  402736 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  402757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402774 */     GIR_RootConstrainSelectedInstOperands,
     /*  402775 */     // GIR_Coverage, 20590,
     /*  402775 */     GIR_EraseRootFromParent_Done,
     /*  402776 */   // Label 7157: @402776
     /*  402776 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402853), // Rule ID 20593 //
     /*  402781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402813 */     // MIs[0] Operand 4
     /*  402813 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402851 */     GIR_RootConstrainSelectedInstOperands,
     /*  402852 */     // GIR_Coverage, 20593,
     /*  402852 */     GIR_EraseRootFromParent_Done,
     /*  402853 */   // Label 7158: @402853
     /*  402853 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402930), // Rule ID 20594 //
     /*  402858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  402861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402890 */     // MIs[0] Operand 4
     /*  402890 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402928 */     GIR_RootConstrainSelectedInstOperands,
     /*  402929 */     // GIR_Coverage, 20594,
     /*  402929 */     GIR_EraseRootFromParent_Done,
     /*  402930 */   // Label 7159: @402930
     /*  402930 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(403007), // Rule ID 20597 //
     /*  402935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  402946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  402949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  402952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402967 */     // MIs[0] Operand 4
     /*  402967 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402985 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  402988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403005 */     GIR_RootConstrainSelectedInstOperands,
     /*  403006 */     // GIR_Coverage, 20597,
     /*  403006 */     GIR_EraseRootFromParent_Done,
     /*  403007 */   // Label 7160: @403007
     /*  403007 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(403084), // Rule ID 20598 //
     /*  403012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403044 */     // MIs[0] Operand 4
     /*  403044 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403082 */     GIR_RootConstrainSelectedInstOperands,
     /*  403083 */     // GIR_Coverage, 20598,
     /*  403083 */     GIR_EraseRootFromParent_Done,
     /*  403084 */   // Label 7161: @403084
     /*  403084 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(403161), // Rule ID 20601 //
     /*  403089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403121 */     // MIs[0] Operand 4
     /*  403121 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403159 */     GIR_RootConstrainSelectedInstOperands,
     /*  403160 */     // GIR_Coverage, 20601,
     /*  403160 */     GIR_EraseRootFromParent_Done,
     /*  403161 */   // Label 7162: @403161
     /*  403161 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403238), // Rule ID 20602 //
     /*  403166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403198 */     // MIs[0] Operand 4
     /*  403198 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403236 */     GIR_RootConstrainSelectedInstOperands,
     /*  403237 */     // GIR_Coverage, 20602,
     /*  403237 */     GIR_EraseRootFromParent_Done,
     /*  403238 */   // Label 7163: @403238
     /*  403238 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403315), // Rule ID 20605 //
     /*  403243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403275 */     // MIs[0] Operand 4
     /*  403275 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403313 */     GIR_RootConstrainSelectedInstOperands,
     /*  403314 */     // GIR_Coverage, 20605,
     /*  403314 */     GIR_EraseRootFromParent_Done,
     /*  403315 */   // Label 7164: @403315
     /*  403315 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403392), // Rule ID 20606 //
     /*  403320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403352 */     // MIs[0] Operand 4
     /*  403352 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403390 */     GIR_RootConstrainSelectedInstOperands,
     /*  403391 */     // GIR_Coverage, 20606,
     /*  403391 */     GIR_EraseRootFromParent_Done,
     /*  403392 */   // Label 7165: @403392
     /*  403392 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403469), // Rule ID 20609 //
     /*  403397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403429 */     // MIs[0] Operand 4
     /*  403429 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403467 */     GIR_RootConstrainSelectedInstOperands,
     /*  403468 */     // GIR_Coverage, 20609,
     /*  403468 */     GIR_EraseRootFromParent_Done,
     /*  403469 */   // Label 7166: @403469
     /*  403469 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403546), // Rule ID 20610 //
     /*  403474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403506 */     // MIs[0] Operand 4
     /*  403506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403544 */     GIR_RootConstrainSelectedInstOperands,
     /*  403545 */     // GIR_Coverage, 20610,
     /*  403545 */     GIR_EraseRootFromParent_Done,
     /*  403546 */   // Label 7167: @403546
     /*  403546 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403623), // Rule ID 20613 //
     /*  403551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  403554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403583 */     // MIs[0] Operand 4
     /*  403583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403621 */     GIR_RootConstrainSelectedInstOperands,
     /*  403622 */     // GIR_Coverage, 20613,
     /*  403622 */     GIR_EraseRootFromParent_Done,
     /*  403623 */   // Label 7168: @403623
     /*  403623 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403700), // Rule ID 20614 //
     /*  403628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  403631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403660 */     // MIs[0] Operand 4
     /*  403660 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  403681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403698 */     GIR_RootConstrainSelectedInstOperands,
     /*  403699 */     // GIR_Coverage, 20614,
     /*  403699 */     GIR_EraseRootFromParent_Done,
     /*  403700 */   // Label 7169: @403700
     /*  403700 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403777), // Rule ID 20617 //
     /*  403705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403737 */     // MIs[0] Operand 4
     /*  403737 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403775 */     GIR_RootConstrainSelectedInstOperands,
     /*  403776 */     // GIR_Coverage, 20617,
     /*  403776 */     GIR_EraseRootFromParent_Done,
     /*  403777 */   // Label 7170: @403777
     /*  403777 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403854), // Rule ID 20618 //
     /*  403782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403814 */     // MIs[0] Operand 4
     /*  403814 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  403835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403852 */     GIR_RootConstrainSelectedInstOperands,
     /*  403853 */     // GIR_Coverage, 20618,
     /*  403853 */     GIR_EraseRootFromParent_Done,
     /*  403854 */   // Label 7171: @403854
     /*  403854 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403931), // Rule ID 20621 //
     /*  403859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  403862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403891 */     // MIs[0] Operand 4
     /*  403891 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403929 */     GIR_RootConstrainSelectedInstOperands,
     /*  403930 */     // GIR_Coverage, 20621,
     /*  403930 */     GIR_EraseRootFromParent_Done,
     /*  403931 */   // Label 7172: @403931
     /*  403931 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(404008), // Rule ID 20622 //
     /*  403936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  403939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  403944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403968 */     // MIs[0] Operand 4
     /*  403968 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  403989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404006 */     GIR_RootConstrainSelectedInstOperands,
     /*  404007 */     // GIR_Coverage, 20622,
     /*  404007 */     GIR_EraseRootFromParent_Done,
     /*  404008 */   // Label 7173: @404008
     /*  404008 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(404085), // Rule ID 20625 //
     /*  404013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404045 */     // MIs[0] Operand 4
     /*  404045 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404083 */     GIR_RootConstrainSelectedInstOperands,
     /*  404084 */     // GIR_Coverage, 20625,
     /*  404084 */     GIR_EraseRootFromParent_Done,
     /*  404085 */   // Label 7174: @404085
     /*  404085 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(404162), // Rule ID 20626 //
     /*  404090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  404098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404122 */     // MIs[0] Operand 4
     /*  404122 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  404143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404160 */     GIR_RootConstrainSelectedInstOperands,
     /*  404161 */     // GIR_Coverage, 20626,
     /*  404161 */     GIR_EraseRootFromParent_Done,
     /*  404162 */   // Label 7175: @404162
     /*  404162 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(404239), // Rule ID 20985 //
     /*  404167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404199 */     // MIs[0] Operand 4
     /*  404199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404237 */     GIR_RootConstrainSelectedInstOperands,
     /*  404238 */     // GIR_Coverage, 20985,
     /*  404238 */     GIR_EraseRootFromParent_Done,
     /*  404239 */   // Label 7176: @404239
     /*  404239 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404316), // Rule ID 20986 //
     /*  404244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404276 */     // MIs[0] Operand 4
     /*  404276 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  404297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404314 */     GIR_RootConstrainSelectedInstOperands,
     /*  404315 */     // GIR_Coverage, 20986,
     /*  404315 */     GIR_EraseRootFromParent_Done,
     /*  404316 */   // Label 7177: @404316
     /*  404316 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404393), // Rule ID 20989 //
     /*  404321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404353 */     // MIs[0] Operand 4
     /*  404353 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404391 */     GIR_RootConstrainSelectedInstOperands,
     /*  404392 */     // GIR_Coverage, 20989,
     /*  404392 */     GIR_EraseRootFromParent_Done,
     /*  404393 */   // Label 7178: @404393
     /*  404393 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404470), // Rule ID 20990 //
     /*  404398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404430 */     // MIs[0] Operand 4
     /*  404430 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404468 */     GIR_RootConstrainSelectedInstOperands,
     /*  404469 */     // GIR_Coverage, 20990,
     /*  404469 */     GIR_EraseRootFromParent_Done,
     /*  404470 */   // Label 7179: @404470
     /*  404470 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404547), // Rule ID 20993 //
     /*  404475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404507 */     // MIs[0] Operand 4
     /*  404507 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404545 */     GIR_RootConstrainSelectedInstOperands,
     /*  404546 */     // GIR_Coverage, 20993,
     /*  404546 */     GIR_EraseRootFromParent_Done,
     /*  404547 */   // Label 7180: @404547
     /*  404547 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404624), // Rule ID 20994 //
     /*  404552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404584 */     // MIs[0] Operand 4
     /*  404584 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404622 */     GIR_RootConstrainSelectedInstOperands,
     /*  404623 */     // GIR_Coverage, 20994,
     /*  404623 */     GIR_EraseRootFromParent_Done,
     /*  404624 */   // Label 7181: @404624
     /*  404624 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404701), // Rule ID 20997 //
     /*  404629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404661 */     // MIs[0] Operand 4
     /*  404661 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404699 */     GIR_RootConstrainSelectedInstOperands,
     /*  404700 */     // GIR_Coverage, 20997,
     /*  404700 */     GIR_EraseRootFromParent_Done,
     /*  404701 */   // Label 7182: @404701
     /*  404701 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404778), // Rule ID 20998 //
     /*  404706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404738 */     // MIs[0] Operand 4
     /*  404738 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404776 */     GIR_RootConstrainSelectedInstOperands,
     /*  404777 */     // GIR_Coverage, 20998,
     /*  404777 */     GIR_EraseRootFromParent_Done,
     /*  404778 */   // Label 7183: @404778
     /*  404778 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404855), // Rule ID 21001 //
     /*  404783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404815 */     // MIs[0] Operand 4
     /*  404815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404853 */     GIR_RootConstrainSelectedInstOperands,
     /*  404854 */     // GIR_Coverage, 21001,
     /*  404854 */     GIR_EraseRootFromParent_Done,
     /*  404855 */   // Label 7184: @404855
     /*  404855 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404932), // Rule ID 21002 //
     /*  404860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404892 */     // MIs[0] Operand 4
     /*  404892 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404930 */     GIR_RootConstrainSelectedInstOperands,
     /*  404931 */     // GIR_Coverage, 21002,
     /*  404931 */     GIR_EraseRootFromParent_Done,
     /*  404932 */   // Label 7185: @404932
     /*  404932 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(405009), // Rule ID 21005 //
     /*  404937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  404940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  404948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  404951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404969 */     // MIs[0] Operand 4
     /*  404969 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  404990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405007 */     GIR_RootConstrainSelectedInstOperands,
     /*  405008 */     // GIR_Coverage, 21005,
     /*  405008 */     GIR_EraseRootFromParent_Done,
     /*  405009 */   // Label 7186: @405009
     /*  405009 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(405086), // Rule ID 21006 //
     /*  405014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405046 */     // MIs[0] Operand 4
     /*  405046 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  405067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405084 */     GIR_RootConstrainSelectedInstOperands,
     /*  405085 */     // GIR_Coverage, 21006,
     /*  405085 */     GIR_EraseRootFromParent_Done,
     /*  405086 */   // Label 7187: @405086
     /*  405086 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(405163), // Rule ID 21009 //
     /*  405091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405123 */     // MIs[0] Operand 4
     /*  405123 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405161 */     GIR_RootConstrainSelectedInstOperands,
     /*  405162 */     // GIR_Coverage, 21009,
     /*  405162 */     GIR_EraseRootFromParent_Done,
     /*  405163 */   // Label 7188: @405163
     /*  405163 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(405240), // Rule ID 21010 //
     /*  405168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405200 */     // MIs[0] Operand 4
     /*  405200 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  405221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405238 */     GIR_RootConstrainSelectedInstOperands,
     /*  405239 */     // GIR_Coverage, 21010,
     /*  405239 */     GIR_EraseRootFromParent_Done,
     /*  405240 */   // Label 7189: @405240
     /*  405240 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405317), // Rule ID 21013 //
     /*  405245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405277 */     // MIs[0] Operand 4
     /*  405277 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405295 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405315 */     GIR_RootConstrainSelectedInstOperands,
     /*  405316 */     // GIR_Coverage, 21013,
     /*  405316 */     GIR_EraseRootFromParent_Done,
     /*  405317 */   // Label 7190: @405317
     /*  405317 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405394), // Rule ID 21014 //
     /*  405322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405354 */     // MIs[0] Operand 4
     /*  405354 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  405375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405392 */     GIR_RootConstrainSelectedInstOperands,
     /*  405393 */     // GIR_Coverage, 21014,
     /*  405393 */     GIR_EraseRootFromParent_Done,
     /*  405394 */   // Label 7191: @405394
     /*  405394 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405471), // Rule ID 21017 //
     /*  405399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405431 */     // MIs[0] Operand 4
     /*  405431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405469 */     GIR_RootConstrainSelectedInstOperands,
     /*  405470 */     // GIR_Coverage, 21017,
     /*  405470 */     GIR_EraseRootFromParent_Done,
     /*  405471 */   // Label 7192: @405471
     /*  405471 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405548), // Rule ID 21018 //
     /*  405476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  405484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405508 */     // MIs[0] Operand 4
     /*  405508 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  405529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405546 */     GIR_RootConstrainSelectedInstOperands,
     /*  405547 */     // GIR_Coverage, 21018,
     /*  405547 */     GIR_EraseRootFromParent_Done,
     /*  405548 */   // Label 7193: @405548
     /*  405548 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405625), // Rule ID 21021 //
     /*  405553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405585 */     // MIs[0] Operand 4
     /*  405585 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  405606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405623 */     GIR_RootConstrainSelectedInstOperands,
     /*  405624 */     // GIR_Coverage, 21021,
     /*  405624 */     GIR_EraseRootFromParent_Done,
     /*  405625 */   // Label 7194: @405625
     /*  405625 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405702), // Rule ID 21022 //
     /*  405630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405662 */     // MIs[0] Operand 4
     /*  405662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  405683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405700 */     GIR_RootConstrainSelectedInstOperands,
     /*  405701 */     // GIR_Coverage, 21022,
     /*  405701 */     GIR_EraseRootFromParent_Done,
     /*  405702 */   // Label 7195: @405702
     /*  405702 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405779), // Rule ID 21025 //
     /*  405707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405739 */     // MIs[0] Operand 4
     /*  405739 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405777 */     GIR_RootConstrainSelectedInstOperands,
     /*  405778 */     // GIR_Coverage, 21025,
     /*  405778 */     GIR_EraseRootFromParent_Done,
     /*  405779 */   // Label 7196: @405779
     /*  405779 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405856), // Rule ID 21026 //
     /*  405784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405816 */     // MIs[0] Operand 4
     /*  405816 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405854 */     GIR_RootConstrainSelectedInstOperands,
     /*  405855 */     // GIR_Coverage, 21026,
     /*  405855 */     GIR_EraseRootFromParent_Done,
     /*  405856 */   // Label 7197: @405856
     /*  405856 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405933), // Rule ID 21029 //
     /*  405861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405893 */     // MIs[0] Operand 4
     /*  405893 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  405914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405931 */     GIR_RootConstrainSelectedInstOperands,
     /*  405932 */     // GIR_Coverage, 21029,
     /*  405932 */     GIR_EraseRootFromParent_Done,
     /*  405933 */   // Label 7198: @405933
     /*  405933 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(406010), // Rule ID 21030 //
     /*  405938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405970 */     // MIs[0] Operand 4
     /*  405970 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  405991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406008 */     GIR_RootConstrainSelectedInstOperands,
     /*  406009 */     // GIR_Coverage, 21030,
     /*  406009 */     GIR_EraseRootFromParent_Done,
     /*  406010 */   // Label 7199: @406010
     /*  406010 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(406087), // Rule ID 21033 //
     /*  406015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406047 */     // MIs[0] Operand 4
     /*  406047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406085 */     GIR_RootConstrainSelectedInstOperands,
     /*  406086 */     // GIR_Coverage, 21033,
     /*  406086 */     GIR_EraseRootFromParent_Done,
     /*  406087 */   // Label 7200: @406087
     /*  406087 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(406164), // Rule ID 21034 //
     /*  406092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406124 */     // MIs[0] Operand 4
     /*  406124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406162 */     GIR_RootConstrainSelectedInstOperands,
     /*  406163 */     // GIR_Coverage, 21034,
     /*  406163 */     GIR_EraseRootFromParent_Done,
     /*  406164 */   // Label 7201: @406164
     /*  406164 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(406241), // Rule ID 21037 //
     /*  406169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406201 */     // MIs[0] Operand 4
     /*  406201 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406239 */     GIR_RootConstrainSelectedInstOperands,
     /*  406240 */     // GIR_Coverage, 21037,
     /*  406240 */     GIR_EraseRootFromParent_Done,
     /*  406241 */   // Label 7202: @406241
     /*  406241 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406318), // Rule ID 21038 //
     /*  406246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406278 */     // MIs[0] Operand 4
     /*  406278 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406316 */     GIR_RootConstrainSelectedInstOperands,
     /*  406317 */     // GIR_Coverage, 21038,
     /*  406317 */     GIR_EraseRootFromParent_Done,
     /*  406318 */   // Label 7203: @406318
     /*  406318 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406395), // Rule ID 21041 //
     /*  406323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406355 */     // MIs[0] Operand 4
     /*  406355 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406393 */     GIR_RootConstrainSelectedInstOperands,
     /*  406394 */     // GIR_Coverage, 21041,
     /*  406394 */     GIR_EraseRootFromParent_Done,
     /*  406395 */   // Label 7204: @406395
     /*  406395 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406472), // Rule ID 21042 //
     /*  406400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  406411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  406414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406432 */     // MIs[0] Operand 4
     /*  406432 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  406453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406470 */     GIR_RootConstrainSelectedInstOperands,
     /*  406471 */     // GIR_Coverage, 21042,
     /*  406471 */     GIR_EraseRootFromParent_Done,
     /*  406472 */   // Label 7205: @406472
     /*  406472 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406549), // Rule ID 21045 //
     /*  406477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406509 */     // MIs[0] Operand 4
     /*  406509 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406547 */     GIR_RootConstrainSelectedInstOperands,
     /*  406548 */     // GIR_Coverage, 21045,
     /*  406548 */     GIR_EraseRootFromParent_Done,
     /*  406549 */   // Label 7206: @406549
     /*  406549 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406626), // Rule ID 21046 //
     /*  406554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406586 */     // MIs[0] Operand 4
     /*  406586 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  406607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406624 */     GIR_RootConstrainSelectedInstOperands,
     /*  406625 */     // GIR_Coverage, 21046,
     /*  406625 */     GIR_EraseRootFromParent_Done,
     /*  406626 */   // Label 7207: @406626
     /*  406626 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406703), // Rule ID 21049 //
     /*  406631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406663 */     // MIs[0] Operand 4
     /*  406663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406681 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406701 */     GIR_RootConstrainSelectedInstOperands,
     /*  406702 */     // GIR_Coverage, 21049,
     /*  406702 */     GIR_EraseRootFromParent_Done,
     /*  406703 */   // Label 7208: @406703
     /*  406703 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406780), // Rule ID 21050 //
     /*  406708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406740 */     // MIs[0] Operand 4
     /*  406740 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  406761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406778 */     GIR_RootConstrainSelectedInstOperands,
     /*  406779 */     // GIR_Coverage, 21050,
     /*  406779 */     GIR_EraseRootFromParent_Done,
     /*  406780 */   // Label 7209: @406780
     /*  406780 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406857), // Rule ID 21053 //
     /*  406785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  406788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406817 */     // MIs[0] Operand 4
     /*  406817 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406835 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406855 */     GIR_RootConstrainSelectedInstOperands,
     /*  406856 */     // GIR_Coverage, 21053,
     /*  406856 */     GIR_EraseRootFromParent_Done,
     /*  406857 */   // Label 7210: @406857
     /*  406857 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406934), // Rule ID 21054 //
     /*  406862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  406865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  406870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406894 */     // MIs[0] Operand 4
     /*  406894 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  406915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406932 */     GIR_RootConstrainSelectedInstOperands,
     /*  406933 */     // GIR_Coverage, 21054,
     /*  406933 */     GIR_EraseRootFromParent_Done,
     /*  406934 */   // Label 7211: @406934
     /*  406934 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(407011), // Rule ID 21357 //
     /*  406939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  406950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  406953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406971 */     // MIs[0] Operand 4
     /*  406971 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  406989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  406992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407009 */     GIR_RootConstrainSelectedInstOperands,
     /*  407010 */     // GIR_Coverage, 21357,
     /*  407010 */     GIR_EraseRootFromParent_Done,
     /*  407011 */   // Label 7212: @407011
     /*  407011 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(407088), // Rule ID 21358 //
     /*  407016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  407027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  407030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407048 */     // MIs[0] Operand 4
     /*  407048 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  407069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407086 */     GIR_RootConstrainSelectedInstOperands,
     /*  407087 */     // GIR_Coverage, 21358,
     /*  407087 */     GIR_EraseRootFromParent_Done,
     /*  407088 */   // Label 7213: @407088
     /*  407088 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(407165), // Rule ID 21361 //
     /*  407093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407125 */     // MIs[0] Operand 4
     /*  407125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407163 */     GIR_RootConstrainSelectedInstOperands,
     /*  407164 */     // GIR_Coverage, 21361,
     /*  407164 */     GIR_EraseRootFromParent_Done,
     /*  407165 */   // Label 7214: @407165
     /*  407165 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(407242), // Rule ID 21362 //
     /*  407170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  407181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  407184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407202 */     // MIs[0] Operand 4
     /*  407202 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407220 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407240 */     GIR_RootConstrainSelectedInstOperands,
     /*  407241 */     // GIR_Coverage, 21362,
     /*  407241 */     GIR_EraseRootFromParent_Done,
     /*  407242 */   // Label 7215: @407242
     /*  407242 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407319), // Rule ID 21365 //
     /*  407247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407279 */     // MIs[0] Operand 4
     /*  407279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407297 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407317 */     GIR_RootConstrainSelectedInstOperands,
     /*  407318 */     // GIR_Coverage, 21365,
     /*  407318 */     GIR_EraseRootFromParent_Done,
     /*  407319 */   // Label 7216: @407319
     /*  407319 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407396), // Rule ID 21366 //
     /*  407324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  407335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  407338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407356 */     // MIs[0] Operand 4
     /*  407356 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407374 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407394 */     GIR_RootConstrainSelectedInstOperands,
     /*  407395 */     // GIR_Coverage, 21366,
     /*  407395 */     GIR_EraseRootFromParent_Done,
     /*  407396 */   // Label 7217: @407396
     /*  407396 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407473), // Rule ID 21369 //
     /*  407401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407433 */     // MIs[0] Operand 4
     /*  407433 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407471 */     GIR_RootConstrainSelectedInstOperands,
     /*  407472 */     // GIR_Coverage, 21369,
     /*  407472 */     GIR_EraseRootFromParent_Done,
     /*  407473 */   // Label 7218: @407473
     /*  407473 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407550), // Rule ID 21370 //
     /*  407478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  407492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407510 */     // MIs[0] Operand 4
     /*  407510 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407548 */     GIR_RootConstrainSelectedInstOperands,
     /*  407549 */     // GIR_Coverage, 21370,
     /*  407549 */     GIR_EraseRootFromParent_Done,
     /*  407550 */   // Label 7219: @407550
     /*  407550 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407627), // Rule ID 21373 //
     /*  407555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  407566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  407569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407587 */     // MIs[0] Operand 4
     /*  407587 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407625 */     GIR_RootConstrainSelectedInstOperands,
     /*  407626 */     // GIR_Coverage, 21373,
     /*  407626 */     GIR_EraseRootFromParent_Done,
     /*  407627 */   // Label 7220: @407627
     /*  407627 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407704), // Rule ID 21374 //
     /*  407632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  407643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  407646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407664 */     // MIs[0] Operand 4
     /*  407664 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407702 */     GIR_RootConstrainSelectedInstOperands,
     /*  407703 */     // GIR_Coverage, 21374,
     /*  407703 */     GIR_EraseRootFromParent_Done,
     /*  407704 */   // Label 7221: @407704
     /*  407704 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407781), // Rule ID 21377 //
     /*  407709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  407720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  407723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407741 */     // MIs[0] Operand 4
     /*  407741 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  407759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407779 */     GIR_RootConstrainSelectedInstOperands,
     /*  407780 */     // GIR_Coverage, 21377,
     /*  407780 */     GIR_EraseRootFromParent_Done,
     /*  407781 */   // Label 7222: @407781
     /*  407781 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407858), // Rule ID 21378 //
     /*  407786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  407797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  407800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407818 */     // MIs[0] Operand 4
     /*  407818 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  407836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407856 */     GIR_RootConstrainSelectedInstOperands,
     /*  407857 */     // GIR_Coverage, 21378,
     /*  407857 */     GIR_EraseRootFromParent_Done,
     /*  407858 */   // Label 7223: @407858
     /*  407858 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407935), // Rule ID 21381 //
     /*  407863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  407874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  407877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407895 */     // MIs[0] Operand 4
     /*  407895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407933 */     GIR_RootConstrainSelectedInstOperands,
     /*  407934 */     // GIR_Coverage, 21381,
     /*  407934 */     GIR_EraseRootFromParent_Done,
     /*  407935 */   // Label 7224: @407935
     /*  407935 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(408012), // Rule ID 21382 //
     /*  407940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  407951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  407954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407972 */     // MIs[0] Operand 4
     /*  407972 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  407993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408010 */     GIR_RootConstrainSelectedInstOperands,
     /*  408011 */     // GIR_Coverage, 21382,
     /*  408011 */     GIR_EraseRootFromParent_Done,
     /*  408012 */   // Label 7225: @408012
     /*  408012 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(408089), // Rule ID 21385 //
     /*  408017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408049 */     // MIs[0] Operand 4
     /*  408049 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408087 */     GIR_RootConstrainSelectedInstOperands,
     /*  408088 */     // GIR_Coverage, 21385,
     /*  408088 */     GIR_EraseRootFromParent_Done,
     /*  408089 */   // Label 7226: @408089
     /*  408089 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(408166), // Rule ID 21386 //
     /*  408094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  408105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  408108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408126 */     // MIs[0] Operand 4
     /*  408126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408164 */     GIR_RootConstrainSelectedInstOperands,
     /*  408165 */     // GIR_Coverage, 21386,
     /*  408165 */     GIR_EraseRootFromParent_Done,
     /*  408166 */   // Label 7227: @408166
     /*  408166 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(408243), // Rule ID 21389 //
     /*  408171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408203 */     // MIs[0] Operand 4
     /*  408203 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408241 */     GIR_RootConstrainSelectedInstOperands,
     /*  408242 */     // GIR_Coverage, 21389,
     /*  408242 */     GIR_EraseRootFromParent_Done,
     /*  408243 */   // Label 7228: @408243
     /*  408243 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408320), // Rule ID 21390 //
     /*  408248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  408262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408280 */     // MIs[0] Operand 4
     /*  408280 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408318 */     GIR_RootConstrainSelectedInstOperands,
     /*  408319 */     // GIR_Coverage, 21390,
     /*  408319 */     GIR_EraseRootFromParent_Done,
     /*  408320 */   // Label 7229: @408320
     /*  408320 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408397), // Rule ID 21393 //
     /*  408325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408357 */     // MIs[0] Operand 4
     /*  408357 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408375 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408395 */     GIR_RootConstrainSelectedInstOperands,
     /*  408396 */     // GIR_Coverage, 21393,
     /*  408396 */     GIR_EraseRootFromParent_Done,
     /*  408397 */   // Label 7230: @408397
     /*  408397 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408474), // Rule ID 21394 //
     /*  408402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408434 */     // MIs[0] Operand 4
     /*  408434 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408472 */     GIR_RootConstrainSelectedInstOperands,
     /*  408473 */     // GIR_Coverage, 21394,
     /*  408473 */     GIR_EraseRootFromParent_Done,
     /*  408474 */   // Label 7231: @408474
     /*  408474 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408551), // Rule ID 21397 //
     /*  408479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408511 */     // MIs[0] Operand 4
     /*  408511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408529 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408549 */     GIR_RootConstrainSelectedInstOperands,
     /*  408550 */     // GIR_Coverage, 21397,
     /*  408550 */     GIR_EraseRootFromParent_Done,
     /*  408551 */   // Label 7232: @408551
     /*  408551 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408628), // Rule ID 21398 //
     /*  408556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408588 */     // MIs[0] Operand 4
     /*  408588 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408606 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408626 */     GIR_RootConstrainSelectedInstOperands,
     /*  408627 */     // GIR_Coverage, 21398,
     /*  408627 */     GIR_EraseRootFromParent_Done,
     /*  408628 */   // Label 7233: @408628
     /*  408628 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408705), // Rule ID 21401 //
     /*  408633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  408650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408665 */     // MIs[0] Operand 4
     /*  408665 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408703 */     GIR_RootConstrainSelectedInstOperands,
     /*  408704 */     // GIR_Coverage, 21401,
     /*  408704 */     GIR_EraseRootFromParent_Done,
     /*  408705 */   // Label 7234: @408705
     /*  408705 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408782), // Rule ID 21402 //
     /*  408710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  408713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  408727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408742 */     // MIs[0] Operand 4
     /*  408742 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  408763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408780 */     GIR_RootConstrainSelectedInstOperands,
     /*  408781 */     // GIR_Coverage, 21402,
     /*  408781 */     GIR_EraseRootFromParent_Done,
     /*  408782 */   // Label 7235: @408782
     /*  408782 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408859), // Rule ID 21405 //
     /*  408787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408819 */     // MIs[0] Operand 4
     /*  408819 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408857 */     GIR_RootConstrainSelectedInstOperands,
     /*  408858 */     // GIR_Coverage, 21405,
     /*  408858 */     GIR_EraseRootFromParent_Done,
     /*  408859 */   // Label 7236: @408859
     /*  408859 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408936), // Rule ID 21406 //
     /*  408864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  408867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408896 */     // MIs[0] Operand 4
     /*  408896 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  408917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408934 */     GIR_RootConstrainSelectedInstOperands,
     /*  408935 */     // GIR_Coverage, 21406,
     /*  408935 */     GIR_EraseRootFromParent_Done,
     /*  408936 */   // Label 7237: @408936
     /*  408936 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(409013), // Rule ID 21409 //
     /*  408941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  408944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  408949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  408958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408973 */     // MIs[0] Operand 4
     /*  408973 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  408994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409011 */     GIR_RootConstrainSelectedInstOperands,
     /*  409012 */     // GIR_Coverage, 21409,
     /*  409012 */     GIR_EraseRootFromParent_Done,
     /*  409013 */   // Label 7238: @409013
     /*  409013 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(409090), // Rule ID 21410 //
     /*  409018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409050 */     // MIs[0] Operand 4
     /*  409050 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  409071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409088 */     GIR_RootConstrainSelectedInstOperands,
     /*  409089 */     // GIR_Coverage, 21410,
     /*  409089 */     GIR_EraseRootFromParent_Done,
     /*  409090 */   // Label 7239: @409090
     /*  409090 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(409167), // Rule ID 21413 //
     /*  409095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409127 */     // MIs[0] Operand 4
     /*  409127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409165 */     GIR_RootConstrainSelectedInstOperands,
     /*  409166 */     // GIR_Coverage, 21413,
     /*  409166 */     GIR_EraseRootFromParent_Done,
     /*  409167 */   // Label 7240: @409167
     /*  409167 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(409244), // Rule ID 21414 //
     /*  409172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  409180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409204 */     // MIs[0] Operand 4
     /*  409204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  409225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409242 */     GIR_RootConstrainSelectedInstOperands,
     /*  409243 */     // GIR_Coverage, 21414,
     /*  409243 */     GIR_EraseRootFromParent_Done,
     /*  409244 */   // Label 7241: @409244
     /*  409244 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409321), // Rule ID 21417 //
     /*  409249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409281 */     // MIs[0] Operand 4
     /*  409281 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409319 */     GIR_RootConstrainSelectedInstOperands,
     /*  409320 */     // GIR_Coverage, 21417,
     /*  409320 */     GIR_EraseRootFromParent_Done,
     /*  409321 */   // Label 7242: @409321
     /*  409321 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409398), // Rule ID 21418 //
     /*  409326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  409337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  409340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409358 */     // MIs[0] Operand 4
     /*  409358 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  409379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409396 */     GIR_RootConstrainSelectedInstOperands,
     /*  409397 */     // GIR_Coverage, 21418,
     /*  409397 */     GIR_EraseRootFromParent_Done,
     /*  409398 */   // Label 7243: @409398
     /*  409398 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409475), // Rule ID 21421 //
     /*  409403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409435 */     // MIs[0] Operand 4
     /*  409435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409473 */     GIR_RootConstrainSelectedInstOperands,
     /*  409474 */     // GIR_Coverage, 21421,
     /*  409474 */     GIR_EraseRootFromParent_Done,
     /*  409475 */   // Label 7244: @409475
     /*  409475 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409552), // Rule ID 21422 //
     /*  409480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  409491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  409494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409512 */     // MIs[0] Operand 4
     /*  409512 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409550 */     GIR_RootConstrainSelectedInstOperands,
     /*  409551 */     // GIR_Coverage, 21422,
     /*  409551 */     GIR_EraseRootFromParent_Done,
     /*  409552 */   // Label 7245: @409552
     /*  409552 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409629), // Rule ID 21425 //
     /*  409557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  409568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  409571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409589 */     // MIs[0] Operand 4
     /*  409589 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409627 */     GIR_RootConstrainSelectedInstOperands,
     /*  409628 */     // GIR_Coverage, 21425,
     /*  409628 */     GIR_EraseRootFromParent_Done,
     /*  409629 */   // Label 7246: @409629
     /*  409629 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409706), // Rule ID 21426 //
     /*  409634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  409645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  409648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409666 */     // MIs[0] Operand 4
     /*  409666 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409704 */     GIR_RootConstrainSelectedInstOperands,
     /*  409705 */     // GIR_Coverage, 21426,
     /*  409705 */     GIR_EraseRootFromParent_Done,
     /*  409706 */   // Label 7247: @409706
     /*  409706 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409783), // Rule ID 21429 //
     /*  409711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  409722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  409725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409743 */     // MIs[0] Operand 4
     /*  409743 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409761 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409781 */     GIR_RootConstrainSelectedInstOperands,
     /*  409782 */     // GIR_Coverage, 21429,
     /*  409782 */     GIR_EraseRootFromParent_Done,
     /*  409783 */   // Label 7248: @409783
     /*  409783 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409860), // Rule ID 21430 //
     /*  409788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  409799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  409802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409820 */     // MIs[0] Operand 4
     /*  409820 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409858 */     GIR_RootConstrainSelectedInstOperands,
     /*  409859 */     // GIR_Coverage, 21430,
     /*  409859 */     GIR_EraseRootFromParent_Done,
     /*  409860 */   // Label 7249: @409860
     /*  409860 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409937), // Rule ID 21433 //
     /*  409865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  409879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409897 */     // MIs[0] Operand 4
     /*  409897 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409915 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  409915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  409918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409935 */     GIR_RootConstrainSelectedInstOperands,
     /*  409936 */     // GIR_Coverage, 21433,
     /*  409936 */     GIR_EraseRootFromParent_Done,
     /*  409937 */   // Label 7250: @409937
     /*  409937 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(410014), // Rule ID 21434 //
     /*  409942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  409956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409974 */     // MIs[0] Operand 4
     /*  409974 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  409992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  409995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410012 */     GIR_RootConstrainSelectedInstOperands,
     /*  410013 */     // GIR_Coverage, 21434,
     /*  410013 */     GIR_EraseRootFromParent_Done,
     /*  410014 */   // Label 7251: @410014
     /*  410014 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(410091), // Rule ID 21437 //
     /*  410019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410051 */     // MIs[0] Operand 4
     /*  410051 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  410069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410089 */     GIR_RootConstrainSelectedInstOperands,
     /*  410090 */     // GIR_Coverage, 21437,
     /*  410090 */     GIR_EraseRootFromParent_Done,
     /*  410091 */   // Label 7252: @410091
     /*  410091 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(410168), // Rule ID 21438 //
     /*  410096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  410107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  410110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  410113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410128 */     // MIs[0] Operand 4
     /*  410128 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  410146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410166 */     GIR_RootConstrainSelectedInstOperands,
     /*  410167 */     // GIR_Coverage, 21438,
     /*  410167 */     GIR_EraseRootFromParent_Done,
     /*  410168 */   // Label 7253: @410168
     /*  410168 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(410245), // Rule ID 21441 //
     /*  410173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410205 */     // MIs[0] Operand 4
     /*  410205 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410243 */     GIR_RootConstrainSelectedInstOperands,
     /*  410244 */     // GIR_Coverage, 21441,
     /*  410244 */     GIR_EraseRootFromParent_Done,
     /*  410245 */   // Label 7254: @410245
     /*  410245 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410322), // Rule ID 21442 //
     /*  410250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  410261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  410264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410282 */     // MIs[0] Operand 4
     /*  410282 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  410303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410320 */     GIR_RootConstrainSelectedInstOperands,
     /*  410321 */     // GIR_Coverage, 21442,
     /*  410321 */     GIR_EraseRootFromParent_Done,
     /*  410322 */   // Label 7255: @410322
     /*  410322 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410399), // Rule ID 21445 //
     /*  410327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410359 */     // MIs[0] Operand 4
     /*  410359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410397 */     GIR_RootConstrainSelectedInstOperands,
     /*  410398 */     // GIR_Coverage, 21445,
     /*  410398 */     GIR_EraseRootFromParent_Done,
     /*  410399 */   // Label 7256: @410399
     /*  410399 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410476), // Rule ID 21446 //
     /*  410404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  410415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  410418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410436 */     // MIs[0] Operand 4
     /*  410436 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410474 */     GIR_RootConstrainSelectedInstOperands,
     /*  410475 */     // GIR_Coverage, 21446,
     /*  410475 */     GIR_EraseRootFromParent_Done,
     /*  410476 */   // Label 7257: @410476
     /*  410476 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410553), // Rule ID 21449 //
     /*  410481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410513 */     // MIs[0] Operand 4
     /*  410513 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410551 */     GIR_RootConstrainSelectedInstOperands,
     /*  410552 */     // GIR_Coverage, 21449,
     /*  410552 */     GIR_EraseRootFromParent_Done,
     /*  410553 */   // Label 7258: @410553
     /*  410553 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410630), // Rule ID 21450 //
     /*  410558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  410569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  410572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410590 */     // MIs[0] Operand 4
     /*  410590 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410628 */     GIR_RootConstrainSelectedInstOperands,
     /*  410629 */     // GIR_Coverage, 21450,
     /*  410629 */     GIR_EraseRootFromParent_Done,
     /*  410630 */   // Label 7259: @410630
     /*  410630 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410707), // Rule ID 21453 //
     /*  410635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  410649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410667 */     // MIs[0] Operand 4
     /*  410667 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410705 */     GIR_RootConstrainSelectedInstOperands,
     /*  410706 */     // GIR_Coverage, 21453,
     /*  410706 */     GIR_EraseRootFromParent_Done,
     /*  410707 */   // Label 7260: @410707
     /*  410707 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410784), // Rule ID 21454 //
     /*  410712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  410726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410744 */     // MIs[0] Operand 4
     /*  410744 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410782 */     GIR_RootConstrainSelectedInstOperands,
     /*  410783 */     // GIR_Coverage, 21454,
     /*  410783 */     GIR_EraseRootFromParent_Done,
     /*  410784 */   // Label 7261: @410784
     /*  410784 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410861), // Rule ID 21457 //
     /*  410789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  410792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  410803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410821 */     // MIs[0] Operand 4
     /*  410821 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410859 */     GIR_RootConstrainSelectedInstOperands,
     /*  410860 */     // GIR_Coverage, 21457,
     /*  410860 */     GIR_EraseRootFromParent_Done,
     /*  410861 */   // Label 7262: @410861
     /*  410861 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410938), // Rule ID 21458 //
     /*  410866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  410869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  410880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410898 */     // MIs[0] Operand 4
     /*  410898 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410936 */     GIR_RootConstrainSelectedInstOperands,
     /*  410937 */     // GIR_Coverage, 21458,
     /*  410937 */     GIR_EraseRootFromParent_Done,
     /*  410938 */   // Label 7263: @410938
     /*  410938 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(411015), // Rule ID 21461 //
     /*  410943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  410960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410975 */     // MIs[0] Operand 4
     /*  410975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  410996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411013 */     GIR_RootConstrainSelectedInstOperands,
     /*  411014 */     // GIR_Coverage, 21461,
     /*  411014 */     GIR_EraseRootFromParent_Done,
     /*  411015 */   // Label 7264: @411015
     /*  411015 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(411092), // Rule ID 21462 //
     /*  411020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  411031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  411034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  411037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411052 */     // MIs[0] Operand 4
     /*  411052 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  411073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411090 */     GIR_RootConstrainSelectedInstOperands,
     /*  411091 */     // GIR_Coverage, 21462,
     /*  411091 */     GIR_EraseRootFromParent_Done,
     /*  411092 */   // Label 7265: @411092
     /*  411092 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(411169), // Rule ID 21465 //
     /*  411097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411129 */     // MIs[0] Operand 4
     /*  411129 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411167 */     GIR_RootConstrainSelectedInstOperands,
     /*  411168 */     // GIR_Coverage, 21465,
     /*  411168 */     GIR_EraseRootFromParent_Done,
     /*  411169 */   // Label 7266: @411169
     /*  411169 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(411246), // Rule ID 21466 //
     /*  411174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  411191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411206 */     // MIs[0] Operand 4
     /*  411206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  411227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411244 */     GIR_RootConstrainSelectedInstOperands,
     /*  411245 */     // GIR_Coverage, 21466,
     /*  411245 */     GIR_EraseRootFromParent_Done,
     /*  411246 */   // Label 7267: @411246
     /*  411246 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411323), // Rule ID 21469 //
     /*  411251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411283 */     // MIs[0] Operand 4
     /*  411283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411321 */     GIR_RootConstrainSelectedInstOperands,
     /*  411322 */     // GIR_Coverage, 21469,
     /*  411322 */     GIR_EraseRootFromParent_Done,
     /*  411323 */   // Label 7268: @411323
     /*  411323 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411400), // Rule ID 21470 //
     /*  411328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  411345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411360 */     // MIs[0] Operand 4
     /*  411360 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  411381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411398 */     GIR_RootConstrainSelectedInstOperands,
     /*  411399 */     // GIR_Coverage, 21470,
     /*  411399 */     GIR_EraseRootFromParent_Done,
     /*  411400 */   // Label 7269: @411400
     /*  411400 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411477), // Rule ID 21473 //
     /*  411405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  411408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411437 */     // MIs[0] Operand 4
     /*  411437 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411475 */     GIR_RootConstrainSelectedInstOperands,
     /*  411476 */     // GIR_Coverage, 21473,
     /*  411476 */     GIR_EraseRootFromParent_Done,
     /*  411477 */   // Label 7270: @411477
     /*  411477 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411554), // Rule ID 21474 //
     /*  411482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  411485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  411490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  411499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411514 */     // MIs[0] Operand 4
     /*  411514 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  411535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411552 */     GIR_RootConstrainSelectedInstOperands,
     /*  411553 */     // GIR_Coverage, 21474,
     /*  411553 */     GIR_EraseRootFromParent_Done,
     /*  411554 */   // Label 7271: @411554
     /*  411554 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411627), // Rule ID 62553 //
     /*  411559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411583 */     // MIs[0] op1
     /*  411583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  411609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411611 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411613 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411615 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411625 */     GIR_RootConstrainSelectedInstOperands,
     /*  411626 */     // GIR_Coverage, 62553,
     /*  411626 */     GIR_EraseRootFromParent_Done,
     /*  411627 */   // Label 7272: @411627
     /*  411627 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411700), // Rule ID 62554 //
     /*  411632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411656 */     // MIs[0] op1
     /*  411656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411679 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  411682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411698 */     GIR_RootConstrainSelectedInstOperands,
     /*  411699 */     // GIR_Coverage, 62554,
     /*  411699 */     GIR_EraseRootFromParent_Done,
     /*  411700 */   // Label 7273: @411700
     /*  411700 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411773), // Rule ID 62577 //
     /*  411705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  411722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411729 */     // MIs[0] op1
     /*  411729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411752 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  411755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411771 */     GIR_RootConstrainSelectedInstOperands,
     /*  411772 */     // GIR_Coverage, 62577,
     /*  411772 */     GIR_EraseRootFromParent_Done,
     /*  411773 */   // Label 7274: @411773
     /*  411773 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411846), // Rule ID 62578 //
     /*  411778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  411792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  411795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411802 */     // MIs[0] op1
     /*  411802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411825 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  411828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411844 */     GIR_RootConstrainSelectedInstOperands,
     /*  411845 */     // GIR_Coverage, 62578,
     /*  411845 */     GIR_EraseRootFromParent_Done,
     /*  411846 */   // Label 7275: @411846
     /*  411846 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411919), // Rule ID 62603 //
     /*  411851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  411865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411875 */     // MIs[0] op1
     /*  411875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  411901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411917 */     GIR_RootConstrainSelectedInstOperands,
     /*  411918 */     // GIR_Coverage, 62603,
     /*  411918 */     GIR_EraseRootFromParent_Done,
     /*  411919 */   // Label 7276: @411919
     /*  411919 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(411992), // Rule ID 62604 //
     /*  411924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  411938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411948 */     // MIs[0] op1
     /*  411948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  411974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411990 */     GIR_RootConstrainSelectedInstOperands,
     /*  411991 */     // GIR_Coverage, 62604,
     /*  411991 */     GIR_EraseRootFromParent_Done,
     /*  411992 */   // Label 7277: @411992
     /*  411992 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(412065), // Rule ID 62615 //
     /*  411997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412021 */     // MIs[0] op1
     /*  412021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412063 */     GIR_RootConstrainSelectedInstOperands,
     /*  412064 */     // GIR_Coverage, 62615,
     /*  412064 */     GIR_EraseRootFromParent_Done,
     /*  412065 */   // Label 7278: @412065
     /*  412065 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(412138), // Rule ID 62616 //
     /*  412070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  412084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  412087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412094 */     // MIs[0] op1
     /*  412094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412117 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412136 */     GIR_RootConstrainSelectedInstOperands,
     /*  412137 */     // GIR_Coverage, 62616,
     /*  412137 */     GIR_EraseRootFromParent_Done,
     /*  412138 */   // Label 7279: @412138
     /*  412138 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(412211), // Rule ID 62647 //
     /*  412143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412167 */     // MIs[0] op1
     /*  412167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412209 */     GIR_RootConstrainSelectedInstOperands,
     /*  412210 */     // GIR_Coverage, 62647,
     /*  412210 */     GIR_EraseRootFromParent_Done,
     /*  412211 */   // Label 7280: @412211
     /*  412211 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412284), // Rule ID 62648 //
     /*  412216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412240 */     // MIs[0] op1
     /*  412240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412263 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412282 */     GIR_RootConstrainSelectedInstOperands,
     /*  412283 */     // GIR_Coverage, 62648,
     /*  412283 */     GIR_EraseRootFromParent_Done,
     /*  412284 */   // Label 7281: @412284
     /*  412284 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412357), // Rule ID 62659 //
     /*  412289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412313 */     // MIs[0] op1
     /*  412313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412341 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412343 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412345 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412355 */     GIR_RootConstrainSelectedInstOperands,
     /*  412356 */     // GIR_Coverage, 62659,
     /*  412356 */     GIR_EraseRootFromParent_Done,
     /*  412357 */   // Label 7282: @412357
     /*  412357 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412430), // Rule ID 62660 //
     /*  412362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  412376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  412379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412386 */     // MIs[0] op1
     /*  412386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412428 */     GIR_RootConstrainSelectedInstOperands,
     /*  412429 */     // GIR_Coverage, 62660,
     /*  412429 */     GIR_EraseRootFromParent_Done,
     /*  412430 */   // Label 7283: @412430
     /*  412430 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412503), // Rule ID 62691 //
     /*  412435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412459 */     // MIs[0] op1
     /*  412459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412487 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412489 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412491 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412501 */     GIR_RootConstrainSelectedInstOperands,
     /*  412502 */     // GIR_Coverage, 62691,
     /*  412502 */     GIR_EraseRootFromParent_Done,
     /*  412503 */   // Label 7284: @412503
     /*  412503 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412576), // Rule ID 62692 //
     /*  412508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412532 */     // MIs[0] op1
     /*  412532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  412558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412574 */     GIR_RootConstrainSelectedInstOperands,
     /*  412575 */     // GIR_Coverage, 62692,
     /*  412575 */     GIR_EraseRootFromParent_Done,
     /*  412576 */   // Label 7285: @412576
     /*  412576 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412649), // Rule ID 62703 //
     /*  412581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  412598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412605 */     // MIs[0] op1
     /*  412605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412633 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412635 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412637 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412647 */     GIR_RootConstrainSelectedInstOperands,
     /*  412648 */     // GIR_Coverage, 62703,
     /*  412648 */     GIR_EraseRootFromParent_Done,
     /*  412649 */   // Label 7286: @412649
     /*  412649 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412722), // Rule ID 62704 //
     /*  412654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  412671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412678 */     // MIs[0] op1
     /*  412678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  412704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412706 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412708 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412710 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412720 */     GIR_RootConstrainSelectedInstOperands,
     /*  412721 */     // GIR_Coverage, 62704,
     /*  412721 */     GIR_EraseRootFromParent_Done,
     /*  412722 */   // Label 7287: @412722
     /*  412722 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412795), // Rule ID 62727 //
     /*  412727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  412744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412751 */     // MIs[0] op1
     /*  412751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  412777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412779 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412781 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412783 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412793 */     GIR_RootConstrainSelectedInstOperands,
     /*  412794 */     // GIR_Coverage, 62727,
     /*  412794 */     GIR_EraseRootFromParent_Done,
     /*  412795 */   // Label 7288: @412795
     /*  412795 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412868), // Rule ID 62728 //
     /*  412800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  412817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412824 */     // MIs[0] op1
     /*  412824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  412850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412866 */     GIR_RootConstrainSelectedInstOperands,
     /*  412867 */     // GIR_Coverage, 62728,
     /*  412867 */     GIR_EraseRootFromParent_Done,
     /*  412868 */   // Label 7289: @412868
     /*  412868 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412941), // Rule ID 62747 //
     /*  412873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412897 */     // MIs[0] op1
     /*  412897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412939 */     GIR_RootConstrainSelectedInstOperands,
     /*  412940 */     // GIR_Coverage, 62747,
     /*  412940 */     GIR_EraseRootFromParent_Done,
     /*  412941 */   // Label 7290: @412941
     /*  412941 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(413014), // Rule ID 62748 //
     /*  412946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412970 */     // MIs[0] op1
     /*  412970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412993 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413012 */     GIR_RootConstrainSelectedInstOperands,
     /*  413013 */     // GIR_Coverage, 62748,
     /*  413013 */     GIR_EraseRootFromParent_Done,
     /*  413014 */   // Label 7291: @413014
     /*  413014 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(413087), // Rule ID 62759 //
     /*  413019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413043 */     // MIs[0] op1
     /*  413043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413085 */     GIR_RootConstrainSelectedInstOperands,
     /*  413086 */     // GIR_Coverage, 62759,
     /*  413086 */     GIR_EraseRootFromParent_Done,
     /*  413087 */   // Label 7292: @413087
     /*  413087 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(413160), // Rule ID 62760 //
     /*  413092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  413109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413116 */     // MIs[0] op1
     /*  413116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413158 */     GIR_RootConstrainSelectedInstOperands,
     /*  413159 */     // GIR_Coverage, 62760,
     /*  413159 */     GIR_EraseRootFromParent_Done,
     /*  413160 */   // Label 7293: @413160
     /*  413160 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413233), // Rule ID 62783 //
     /*  413165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413189 */     // MIs[0] op1
     /*  413189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413231 */     GIR_RootConstrainSelectedInstOperands,
     /*  413232 */     // GIR_Coverage, 62783,
     /*  413232 */     GIR_EraseRootFromParent_Done,
     /*  413233 */   // Label 7294: @413233
     /*  413233 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413306), // Rule ID 62784 //
     /*  413238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  413252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413262 */     // MIs[0] op1
     /*  413262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413285 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  413288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413304 */     GIR_RootConstrainSelectedInstOperands,
     /*  413305 */     // GIR_Coverage, 62784,
     /*  413305 */     GIR_EraseRootFromParent_Done,
     /*  413306 */   // Label 7295: @413306
     /*  413306 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413379), // Rule ID 62803 //
     /*  413311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413335 */     // MIs[0] op1
     /*  413335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413377 */     GIR_RootConstrainSelectedInstOperands,
     /*  413378 */     // GIR_Coverage, 62803,
     /*  413378 */     GIR_EraseRootFromParent_Done,
     /*  413379 */   // Label 7296: @413379
     /*  413379 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413452), // Rule ID 62804 //
     /*  413384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413408 */     // MIs[0] op1
     /*  413408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  413434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413450 */     GIR_RootConstrainSelectedInstOperands,
     /*  413451 */     // GIR_Coverage, 62804,
     /*  413451 */     GIR_EraseRootFromParent_Done,
     /*  413452 */   // Label 7297: @413452
     /*  413452 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413525), // Rule ID 62815 //
     /*  413457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413481 */     // MIs[0] op1
     /*  413481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413504 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413523 */     GIR_RootConstrainSelectedInstOperands,
     /*  413524 */     // GIR_Coverage, 62815,
     /*  413524 */     GIR_EraseRootFromParent_Done,
     /*  413525 */   // Label 7298: @413525
     /*  413525 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413598), // Rule ID 62816 //
     /*  413530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  413547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413554 */     // MIs[0] op1
     /*  413554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  413580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413582 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413584 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413586 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413596 */     GIR_RootConstrainSelectedInstOperands,
     /*  413597 */     // GIR_Coverage, 62816,
     /*  413597 */     GIR_EraseRootFromParent_Done,
     /*  413598 */   // Label 7299: @413598
     /*  413598 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413671), // Rule ID 62839 //
     /*  413603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413627 */     // MIs[0] op1
     /*  413627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  413653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413669 */     GIR_RootConstrainSelectedInstOperands,
     /*  413670 */     // GIR_Coverage, 62839,
     /*  413670 */     GIR_EraseRootFromParent_Done,
     /*  413671 */   // Label 7300: @413671
     /*  413671 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413744), // Rule ID 62840 //
     /*  413676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413700 */     // MIs[0] op1
     /*  413700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  413726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413742 */     GIR_RootConstrainSelectedInstOperands,
     /*  413743 */     // GIR_Coverage, 62840,
     /*  413743 */     GIR_EraseRootFromParent_Done,
     /*  413744 */   // Label 7301: @413744
     /*  413744 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413817), // Rule ID 62859 //
     /*  413749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413773 */     // MIs[0] op1
     /*  413773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413815 */     GIR_RootConstrainSelectedInstOperands,
     /*  413816 */     // GIR_Coverage, 62859,
     /*  413816 */     GIR_EraseRootFromParent_Done,
     /*  413817 */   // Label 7302: @413817
     /*  413817 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413890), // Rule ID 62860 //
     /*  413822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413846 */     // MIs[0] op1
     /*  413846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  413869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413888 */     GIR_RootConstrainSelectedInstOperands,
     /*  413889 */     // GIR_Coverage, 62860,
     /*  413889 */     GIR_EraseRootFromParent_Done,
     /*  413890 */   // Label 7303: @413890
     /*  413890 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(413963), // Rule ID 62871 //
     /*  413895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  413912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413919 */     // MIs[0] op1
     /*  413919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  413942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413947 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413949 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413951 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413961 */     GIR_RootConstrainSelectedInstOperands,
     /*  413962 */     // GIR_Coverage, 62871,
     /*  413962 */     GIR_EraseRootFromParent_Done,
     /*  413963 */   // Label 7304: @413963
     /*  413963 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(414036), // Rule ID 62872 //
     /*  413968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  413979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  413982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  413985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413992 */     // MIs[0] op1
     /*  413992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414015 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414034 */     GIR_RootConstrainSelectedInstOperands,
     /*  414035 */     // GIR_Coverage, 62872,
     /*  414035 */     GIR_EraseRootFromParent_Done,
     /*  414036 */   // Label 7305: @414036
     /*  414036 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(414109), // Rule ID 62903 //
     /*  414041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414065 */     // MIs[0] op1
     /*  414065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414093 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414095 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414097 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414107 */     GIR_RootConstrainSelectedInstOperands,
     /*  414108 */     // GIR_Coverage, 62903,
     /*  414108 */     GIR_EraseRootFromParent_Done,
     /*  414109 */   // Label 7306: @414109
     /*  414109 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414182), // Rule ID 62904 //
     /*  414114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414138 */     // MIs[0] op1
     /*  414138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414180 */     GIR_RootConstrainSelectedInstOperands,
     /*  414181 */     // GIR_Coverage, 62904,
     /*  414181 */     GIR_EraseRootFromParent_Done,
     /*  414182 */   // Label 7307: @414182
     /*  414182 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414255), // Rule ID 62915 //
     /*  414187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414211 */     // MIs[0] op1
     /*  414211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414239 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414241 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414243 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414253 */     GIR_RootConstrainSelectedInstOperands,
     /*  414254 */     // GIR_Coverage, 62915,
     /*  414254 */     GIR_EraseRootFromParent_Done,
     /*  414255 */   // Label 7308: @414255
     /*  414255 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414328), // Rule ID 62916 //
     /*  414260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  414277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414284 */     // MIs[0] op1
     /*  414284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414326 */     GIR_RootConstrainSelectedInstOperands,
     /*  414327 */     // GIR_Coverage, 62916,
     /*  414327 */     GIR_EraseRootFromParent_Done,
     /*  414328 */   // Label 7309: @414328
     /*  414328 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414401), // Rule ID 62939 //
     /*  414333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414357 */     // MIs[0] op1
     /*  414357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414385 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414387 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414389 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414399 */     GIR_RootConstrainSelectedInstOperands,
     /*  414400 */     // GIR_Coverage, 62939,
     /*  414400 */     GIR_EraseRootFromParent_Done,
     /*  414401 */   // Label 7310: @414401
     /*  414401 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414474), // Rule ID 62940 //
     /*  414406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  414417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  414423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414430 */     // MIs[0] op1
     /*  414430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  414446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  414456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414472 */     GIR_RootConstrainSelectedInstOperands,
     /*  414473 */     // GIR_Coverage, 62940,
     /*  414473 */     GIR_EraseRootFromParent_Done,
     /*  414474 */   // Label 7311: @414474
     /*  414474 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414547), // Rule ID 62959 //
     /*  414479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414503 */     // MIs[0] op1
     /*  414503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414545 */     GIR_RootConstrainSelectedInstOperands,
     /*  414546 */     // GIR_Coverage, 62959,
     /*  414546 */     GIR_EraseRootFromParent_Done,
     /*  414547 */   // Label 7312: @414547
     /*  414547 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414620), // Rule ID 62960 //
     /*  414552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414576 */     // MIs[0] op1
     /*  414576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414618 */     GIR_RootConstrainSelectedInstOperands,
     /*  414619 */     // GIR_Coverage, 62960,
     /*  414619 */     GIR_EraseRootFromParent_Done,
     /*  414620 */   // Label 7313: @414620
     /*  414620 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414693), // Rule ID 62971 //
     /*  414625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  414642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414649 */     // MIs[0] op1
     /*  414649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414691 */     GIR_RootConstrainSelectedInstOperands,
     /*  414692 */     // GIR_Coverage, 62971,
     /*  414692 */     GIR_EraseRootFromParent_Done,
     /*  414693 */   // Label 7314: @414693
     /*  414693 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414766), // Rule ID 62972 //
     /*  414698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  414715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414722 */     // MIs[0] op1
     /*  414722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414745 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  414748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414764 */     GIR_RootConstrainSelectedInstOperands,
     /*  414765 */     // GIR_Coverage, 62972,
     /*  414765 */     GIR_EraseRootFromParent_Done,
     /*  414766 */   // Label 7315: @414766
     /*  414766 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414839), // Rule ID 62995 //
     /*  414771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414795 */     // MIs[0] op1
     /*  414795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  414818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  414821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414837 */     GIR_RootConstrainSelectedInstOperands,
     /*  414838 */     // GIR_Coverage, 62995,
     /*  414838 */     GIR_EraseRootFromParent_Done,
     /*  414839 */   // Label 7316: @414839
     /*  414839 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414912), // Rule ID 62996 //
     /*  414844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414868 */     // MIs[0] op1
     /*  414868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  414884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  414891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  414894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414910 */     GIR_RootConstrainSelectedInstOperands,
     /*  414911 */     // GIR_Coverage, 62996,
     /*  414911 */     GIR_EraseRootFromParent_Done,
     /*  414912 */   // Label 7317: @414912
     /*  414912 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(414985), // Rule ID 63015 //
     /*  414917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  414928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  414931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414941 */     // MIs[0] op1
     /*  414941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  414964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  414967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414983 */     GIR_RootConstrainSelectedInstOperands,
     /*  414984 */     // GIR_Coverage, 63015,
     /*  414984 */     GIR_EraseRootFromParent_Done,
     /*  414985 */   // Label 7318: @414985
     /*  414985 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(415058), // Rule ID 63016 //
     /*  414990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415014 */     // MIs[0] op1
     /*  415014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  415040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415056 */     GIR_RootConstrainSelectedInstOperands,
     /*  415057 */     // GIR_Coverage, 63016,
     /*  415057 */     GIR_EraseRootFromParent_Done,
     /*  415058 */   // Label 7319: @415058
     /*  415058 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415131), // Rule ID 63027 //
     /*  415063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415087 */     // MIs[0] op1
     /*  415087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415129 */     GIR_RootConstrainSelectedInstOperands,
     /*  415130 */     // GIR_Coverage, 63027,
     /*  415130 */     GIR_EraseRootFromParent_Done,
     /*  415131 */   // Label 7320: @415131
     /*  415131 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415204), // Rule ID 63028 //
     /*  415136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  415153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415160 */     // MIs[0] op1
     /*  415160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  415186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415202 */     GIR_RootConstrainSelectedInstOperands,
     /*  415203 */     // GIR_Coverage, 63028,
     /*  415203 */     GIR_EraseRootFromParent_Done,
     /*  415204 */   // Label 7321: @415204
     /*  415204 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415277), // Rule ID 63051 //
     /*  415209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415233 */     // MIs[0] op1
     /*  415233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415275 */     GIR_RootConstrainSelectedInstOperands,
     /*  415276 */     // GIR_Coverage, 63051,
     /*  415276 */     GIR_EraseRootFromParent_Done,
     /*  415277 */   // Label 7322: @415277
     /*  415277 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415350), // Rule ID 63052 //
     /*  415282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  415293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415306 */     // MIs[0] op1
     /*  415306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  415322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  415332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415348 */     GIR_RootConstrainSelectedInstOperands,
     /*  415349 */     // GIR_Coverage, 63052,
     /*  415349 */     GIR_EraseRootFromParent_Done,
     /*  415350 */   // Label 7323: @415350
     /*  415350 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415423), // Rule ID 63071 //
     /*  415355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415379 */     // MIs[0] op1
     /*  415379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415421 */     GIR_RootConstrainSelectedInstOperands,
     /*  415422 */     // GIR_Coverage, 63071,
     /*  415422 */     GIR_EraseRootFromParent_Done,
     /*  415423 */   // Label 7324: @415423
     /*  415423 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415496), // Rule ID 63072 //
     /*  415428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415452 */     // MIs[0] op1
     /*  415452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415494 */     GIR_RootConstrainSelectedInstOperands,
     /*  415495 */     // GIR_Coverage, 63072,
     /*  415495 */     GIR_EraseRootFromParent_Done,
     /*  415496 */   // Label 7325: @415496
     /*  415496 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415569), // Rule ID 63083 //
     /*  415501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415525 */     // MIs[0] op1
     /*  415525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415567 */     GIR_RootConstrainSelectedInstOperands,
     /*  415568 */     // GIR_Coverage, 63083,
     /*  415568 */     GIR_EraseRootFromParent_Done,
     /*  415569 */   // Label 7326: @415569
     /*  415569 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415642), // Rule ID 63084 //
     /*  415574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  415588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  415591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415598 */     // MIs[0] op1
     /*  415598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415640 */     GIR_RootConstrainSelectedInstOperands,
     /*  415641 */     // GIR_Coverage, 63084,
     /*  415641 */     GIR_EraseRootFromParent_Done,
     /*  415642 */   // Label 7327: @415642
     /*  415642 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415715), // Rule ID 63115 //
     /*  415647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415671 */     // MIs[0] op1
     /*  415671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415694 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415713 */     GIR_RootConstrainSelectedInstOperands,
     /*  415714 */     // GIR_Coverage, 63115,
     /*  415714 */     GIR_EraseRootFromParent_Done,
     /*  415715 */   // Label 7328: @415715
     /*  415715 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415788), // Rule ID 63116 //
     /*  415720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415744 */     // MIs[0] op1
     /*  415744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415786 */     GIR_RootConstrainSelectedInstOperands,
     /*  415787 */     // GIR_Coverage, 63116,
     /*  415787 */     GIR_EraseRootFromParent_Done,
     /*  415788 */   // Label 7329: @415788
     /*  415788 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415861), // Rule ID 63127 //
     /*  415793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  415810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415817 */     // MIs[0] op1
     /*  415817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415859 */     GIR_RootConstrainSelectedInstOperands,
     /*  415860 */     // GIR_Coverage, 63127,
     /*  415860 */     GIR_EraseRootFromParent_Done,
     /*  415861 */   // Label 7330: @415861
     /*  415861 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415934), // Rule ID 63128 //
     /*  415866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  415880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  415883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415890 */     // MIs[0] op1
     /*  415890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415918 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415920 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415922 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415932 */     GIR_RootConstrainSelectedInstOperands,
     /*  415933 */     // GIR_Coverage, 63128,
     /*  415933 */     GIR_EraseRootFromParent_Done,
     /*  415934 */   // Label 7331: @415934
     /*  415934 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(416007), // Rule ID 63159 //
     /*  415939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  415950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  415953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415963 */     // MIs[0] op1
     /*  415963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  415989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416005 */     GIR_RootConstrainSelectedInstOperands,
     /*  416006 */     // GIR_Coverage, 63159,
     /*  416006 */     GIR_EraseRootFromParent_Done,
     /*  416007 */   // Label 7332: @416007
     /*  416007 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416080), // Rule ID 63160 //
     /*  416012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416036 */     // MIs[0] op1
     /*  416036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416078 */     GIR_RootConstrainSelectedInstOperands,
     /*  416079 */     // GIR_Coverage, 63160,
     /*  416079 */     GIR_EraseRootFromParent_Done,
     /*  416080 */   // Label 7333: @416080
     /*  416080 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416153), // Rule ID 63171 //
     /*  416085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416109 */     // MIs[0] op1
     /*  416109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416132 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416151 */     GIR_RootConstrainSelectedInstOperands,
     /*  416152 */     // GIR_Coverage, 63171,
     /*  416152 */     GIR_EraseRootFromParent_Done,
     /*  416153 */   // Label 7334: @416153
     /*  416153 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416226), // Rule ID 63172 //
     /*  416158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  416169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  416172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  416175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416182 */     // MIs[0] op1
     /*  416182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416224 */     GIR_RootConstrainSelectedInstOperands,
     /*  416225 */     // GIR_Coverage, 63172,
     /*  416225 */     GIR_EraseRootFromParent_Done,
     /*  416226 */   // Label 7335: @416226
     /*  416226 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416299), // Rule ID 63203 //
     /*  416231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416255 */     // MIs[0] op1
     /*  416255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416297 */     GIR_RootConstrainSelectedInstOperands,
     /*  416298 */     // GIR_Coverage, 63203,
     /*  416298 */     GIR_EraseRootFromParent_Done,
     /*  416299 */   // Label 7336: @416299
     /*  416299 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416372), // Rule ID 63204 //
     /*  416304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416328 */     // MIs[0] op1
     /*  416328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416370 */     GIR_RootConstrainSelectedInstOperands,
     /*  416371 */     // GIR_Coverage, 63204,
     /*  416371 */     GIR_EraseRootFromParent_Done,
     /*  416372 */   // Label 7337: @416372
     /*  416372 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416445), // Rule ID 63215 //
     /*  416377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416401 */     // MIs[0] op1
     /*  416401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416443 */     GIR_RootConstrainSelectedInstOperands,
     /*  416444 */     // GIR_Coverage, 63215,
     /*  416444 */     GIR_EraseRootFromParent_Done,
     /*  416445 */   // Label 7338: @416445
     /*  416445 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416518), // Rule ID 63216 //
     /*  416450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  416467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416474 */     // MIs[0] op1
     /*  416474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416516 */     GIR_RootConstrainSelectedInstOperands,
     /*  416517 */     // GIR_Coverage, 63216,
     /*  416517 */     GIR_EraseRootFromParent_Done,
     /*  416518 */   // Label 7339: @416518
     /*  416518 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416591), // Rule ID 63239 //
     /*  416523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416547 */     // MIs[0] op1
     /*  416547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  416573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416589 */     GIR_RootConstrainSelectedInstOperands,
     /*  416590 */     // GIR_Coverage, 63239,
     /*  416590 */     GIR_EraseRootFromParent_Done,
     /*  416591 */   // Label 7340: @416591
     /*  416591 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416664), // Rule ID 63240 //
     /*  416596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  416607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  416610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416620 */     // MIs[0] op1
     /*  416620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  416646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416662 */     GIR_RootConstrainSelectedInstOperands,
     /*  416663 */     // GIR_Coverage, 63240,
     /*  416663 */     GIR_EraseRootFromParent_Done,
     /*  416664 */   // Label 7341: @416664
     /*  416664 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416737), // Rule ID 63259 //
     /*  416669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416693 */     // MIs[0] op1
     /*  416693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416735 */     GIR_RootConstrainSelectedInstOperands,
     /*  416736 */     // GIR_Coverage, 63259,
     /*  416736 */     GIR_EraseRootFromParent_Done,
     /*  416737 */   // Label 7342: @416737
     /*  416737 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416810), // Rule ID 63260 //
     /*  416742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416766 */     // MIs[0] op1
     /*  416766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416808 */     GIR_RootConstrainSelectedInstOperands,
     /*  416809 */     // GIR_Coverage, 63260,
     /*  416809 */     GIR_EraseRootFromParent_Done,
     /*  416810 */   // Label 7343: @416810
     /*  416810 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416883), // Rule ID 63271 //
     /*  416815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  416832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416839 */     // MIs[0] op1
     /*  416839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416881 */     GIR_RootConstrainSelectedInstOperands,
     /*  416882 */     // GIR_Coverage, 63271,
     /*  416882 */     GIR_EraseRootFromParent_Done,
     /*  416883 */   // Label 7344: @416883
     /*  416883 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(416956), // Rule ID 63272 //
     /*  416888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  416905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416912 */     // MIs[0] op1
     /*  416912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416954 */     GIR_RootConstrainSelectedInstOperands,
     /*  416955 */     // GIR_Coverage, 63272,
     /*  416955 */     GIR_EraseRootFromParent_Done,
     /*  416956 */   // Label 7345: @416956
     /*  416956 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417029), // Rule ID 63295 //
     /*  416961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  416975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416985 */     // MIs[0] op1
     /*  416985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417027 */     GIR_RootConstrainSelectedInstOperands,
     /*  417028 */     // GIR_Coverage, 63295,
     /*  417028 */     GIR_EraseRootFromParent_Done,
     /*  417029 */   // Label 7346: @417029
     /*  417029 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417102), // Rule ID 63296 //
     /*  417034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  417045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  417048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417058 */     // MIs[0] op1
     /*  417058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  417084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417100 */     GIR_RootConstrainSelectedInstOperands,
     /*  417101 */     // GIR_Coverage, 63296,
     /*  417101 */     GIR_EraseRootFromParent_Done,
     /*  417102 */   // Label 7347: @417102
     /*  417102 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417175), // Rule ID 63315 //
     /*  417107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417131 */     // MIs[0] op1
     /*  417131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417173 */     GIR_RootConstrainSelectedInstOperands,
     /*  417174 */     // GIR_Coverage, 63315,
     /*  417174 */     GIR_EraseRootFromParent_Done,
     /*  417175 */   // Label 7348: @417175
     /*  417175 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417248), // Rule ID 63316 //
     /*  417180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417204 */     // MIs[0] op1
     /*  417204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417246 */     GIR_RootConstrainSelectedInstOperands,
     /*  417247 */     // GIR_Coverage, 63316,
     /*  417247 */     GIR_EraseRootFromParent_Done,
     /*  417248 */   // Label 7349: @417248
     /*  417248 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417321), // Rule ID 63327 //
     /*  417253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417277 */     // MIs[0] op1
     /*  417277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417319 */     GIR_RootConstrainSelectedInstOperands,
     /*  417320 */     // GIR_Coverage, 63327,
     /*  417320 */     GIR_EraseRootFromParent_Done,
     /*  417321 */   // Label 7350: @417321
     /*  417321 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417394), // Rule ID 63328 //
     /*  417326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  417343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417350 */     // MIs[0] op1
     /*  417350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417392 */     GIR_RootConstrainSelectedInstOperands,
     /*  417393 */     // GIR_Coverage, 63328,
     /*  417393 */     GIR_EraseRootFromParent_Done,
     /*  417394 */   // Label 7351: @417394
     /*  417394 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417467), // Rule ID 63351 //
     /*  417399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417423 */     // MIs[0] op1
     /*  417423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417465 */     GIR_RootConstrainSelectedInstOperands,
     /*  417466 */     // GIR_Coverage, 63351,
     /*  417466 */     GIR_EraseRootFromParent_Done,
     /*  417467 */   // Label 7352: @417467
     /*  417467 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417540), // Rule ID 63352 //
     /*  417472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  417483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  417486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417496 */     // MIs[0] op1
     /*  417496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417519 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  417522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417538 */     GIR_RootConstrainSelectedInstOperands,
     /*  417539 */     // GIR_Coverage, 63352,
     /*  417539 */     GIR_EraseRootFromParent_Done,
     /*  417540 */   // Label 7353: @417540
     /*  417540 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417613), // Rule ID 63371 //
     /*  417545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417569 */     // MIs[0] op1
     /*  417569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417611 */     GIR_RootConstrainSelectedInstOperands,
     /*  417612 */     // GIR_Coverage, 63371,
     /*  417612 */     GIR_EraseRootFromParent_Done,
     /*  417613 */   // Label 7354: @417613
     /*  417613 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417686), // Rule ID 63372 //
     /*  417618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417642 */     // MIs[0] op1
     /*  417642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417684 */     GIR_RootConstrainSelectedInstOperands,
     /*  417685 */     // GIR_Coverage, 63372,
     /*  417685 */     GIR_EraseRootFromParent_Done,
     /*  417686 */   // Label 7355: @417686
     /*  417686 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417759), // Rule ID 63383 //
     /*  417691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  417708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417715 */     // MIs[0] op1
     /*  417715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417757 */     GIR_RootConstrainSelectedInstOperands,
     /*  417758 */     // GIR_Coverage, 63383,
     /*  417758 */     GIR_EraseRootFromParent_Done,
     /*  417759 */   // Label 7356: @417759
     /*  417759 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417832), // Rule ID 63384 //
     /*  417764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  417781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417788 */     // MIs[0] op1
     /*  417788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417830 */     GIR_RootConstrainSelectedInstOperands,
     /*  417831 */     // GIR_Coverage, 63384,
     /*  417831 */     GIR_EraseRootFromParent_Done,
     /*  417832 */   // Label 7357: @417832
     /*  417832 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417905), // Rule ID 63407 //
     /*  417837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417861 */     // MIs[0] op1
     /*  417861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  417887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417903 */     GIR_RootConstrainSelectedInstOperands,
     /*  417904 */     // GIR_Coverage, 63407,
     /*  417904 */     GIR_EraseRootFromParent_Done,
     /*  417905 */   // Label 7358: @417905
     /*  417905 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(417978), // Rule ID 63408 //
     /*  417910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417934 */     // MIs[0] op1
     /*  417934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  417960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417976 */     GIR_RootConstrainSelectedInstOperands,
     /*  417977 */     // GIR_Coverage, 63408,
     /*  417977 */     GIR_EraseRootFromParent_Done,
     /*  417978 */   // Label 7359: @417978
     /*  417978 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418051), // Rule ID 63427 //
     /*  417983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418007 */     // MIs[0] op1
     /*  418007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418049 */     GIR_RootConstrainSelectedInstOperands,
     /*  418050 */     // GIR_Coverage, 63427,
     /*  418050 */     GIR_EraseRootFromParent_Done,
     /*  418051 */   // Label 7360: @418051
     /*  418051 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418124), // Rule ID 63428 //
     /*  418056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418080 */     // MIs[0] op1
     /*  418080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418122 */     GIR_RootConstrainSelectedInstOperands,
     /*  418123 */     // GIR_Coverage, 63428,
     /*  418123 */     GIR_EraseRootFromParent_Done,
     /*  418124 */   // Label 7361: @418124
     /*  418124 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418197), // Rule ID 63439 //
     /*  418129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418153 */     // MIs[0] op1
     /*  418153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418195 */     GIR_RootConstrainSelectedInstOperands,
     /*  418196 */     // GIR_Coverage, 63439,
     /*  418196 */     GIR_EraseRootFromParent_Done,
     /*  418197 */   // Label 7362: @418197
     /*  418197 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418270), // Rule ID 63440 //
     /*  418202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  418219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418226 */     // MIs[0] op1
     /*  418226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418268 */     GIR_RootConstrainSelectedInstOperands,
     /*  418269 */     // GIR_Coverage, 63440,
     /*  418269 */     GIR_EraseRootFromParent_Done,
     /*  418270 */   // Label 7363: @418270
     /*  418270 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418343), // Rule ID 63463 //
     /*  418275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418299 */     // MIs[0] op1
     /*  418299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418341 */     GIR_RootConstrainSelectedInstOperands,
     /*  418342 */     // GIR_Coverage, 63463,
     /*  418342 */     GIR_EraseRootFromParent_Done,
     /*  418343 */   // Label 7364: @418343
     /*  418343 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418416), // Rule ID 63464 //
     /*  418348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418372 */     // MIs[0] op1
     /*  418372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  418398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418414 */     GIR_RootConstrainSelectedInstOperands,
     /*  418415 */     // GIR_Coverage, 63464,
     /*  418415 */     GIR_EraseRootFromParent_Done,
     /*  418416 */   // Label 7365: @418416
     /*  418416 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418489), // Rule ID 63483 //
     /*  418421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418445 */     // MIs[0] op1
     /*  418445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418487 */     GIR_RootConstrainSelectedInstOperands,
     /*  418488 */     // GIR_Coverage, 63483,
     /*  418488 */     GIR_EraseRootFromParent_Done,
     /*  418489 */   // Label 7366: @418489
     /*  418489 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418562), // Rule ID 63484 //
     /*  418494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418518 */     // MIs[0] op1
     /*  418518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418560 */     GIR_RootConstrainSelectedInstOperands,
     /*  418561 */     // GIR_Coverage, 63484,
     /*  418561 */     GIR_EraseRootFromParent_Done,
     /*  418562 */   // Label 7367: @418562
     /*  418562 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418635), // Rule ID 63495 //
     /*  418567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  418584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418591 */     // MIs[0] op1
     /*  418591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418633 */     GIR_RootConstrainSelectedInstOperands,
     /*  418634 */     // GIR_Coverage, 63495,
     /*  418634 */     GIR_EraseRootFromParent_Done,
     /*  418635 */   // Label 7368: @418635
     /*  418635 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418708), // Rule ID 63496 //
     /*  418640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  418657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418664 */     // MIs[0] op1
     /*  418664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418706 */     GIR_RootConstrainSelectedInstOperands,
     /*  418707 */     // GIR_Coverage, 63496,
     /*  418707 */     GIR_EraseRootFromParent_Done,
     /*  418708 */   // Label 7369: @418708
     /*  418708 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418781), // Rule ID 63519 //
     /*  418713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418737 */     // MIs[0] op1
     /*  418737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  418763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418765 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418767 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418769 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418779 */     GIR_RootConstrainSelectedInstOperands,
     /*  418780 */     // GIR_Coverage, 63519,
     /*  418780 */     GIR_EraseRootFromParent_Done,
     /*  418781 */   // Label 7370: @418781
     /*  418781 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418854), // Rule ID 63520 //
     /*  418786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418810 */     // MIs[0] op1
     /*  418810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  418836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418852 */     GIR_RootConstrainSelectedInstOperands,
     /*  418853 */     // GIR_Coverage, 63520,
     /*  418853 */     GIR_EraseRootFromParent_Done,
     /*  418854 */   // Label 7371: @418854
     /*  418854 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418927), // Rule ID 63539 //
     /*  418859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  418870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  418873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418883 */     // MIs[0] op1
     /*  418883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418911 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418913 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418915 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418925 */     GIR_RootConstrainSelectedInstOperands,
     /*  418926 */     // GIR_Coverage, 63539,
     /*  418926 */     GIR_EraseRootFromParent_Done,
     /*  418927 */   // Label 7372: @418927
     /*  418927 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419000), // Rule ID 63540 //
     /*  418932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  418943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  418946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418956 */     // MIs[0] op1
     /*  418956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  418982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418998 */     GIR_RootConstrainSelectedInstOperands,
     /*  418999 */     // GIR_Coverage, 63540,
     /*  418999 */     GIR_EraseRootFromParent_Done,
     /*  419000 */   // Label 7373: @419000
     /*  419000 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419073), // Rule ID 63551 //
     /*  419005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419029 */     // MIs[0] op1
     /*  419029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419071 */     GIR_RootConstrainSelectedInstOperands,
     /*  419072 */     // GIR_Coverage, 63551,
     /*  419072 */     GIR_EraseRootFromParent_Done,
     /*  419073 */   // Label 7374: @419073
     /*  419073 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419146), // Rule ID 63552 //
     /*  419078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  419095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419102 */     // MIs[0] op1
     /*  419102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  419128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419144 */     GIR_RootConstrainSelectedInstOperands,
     /*  419145 */     // GIR_Coverage, 63552,
     /*  419145 */     GIR_EraseRootFromParent_Done,
     /*  419146 */   // Label 7375: @419146
     /*  419146 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419219), // Rule ID 63575 //
     /*  419151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419175 */     // MIs[0] op1
     /*  419175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419217 */     GIR_RootConstrainSelectedInstOperands,
     /*  419218 */     // GIR_Coverage, 63575,
     /*  419218 */     GIR_EraseRootFromParent_Done,
     /*  419219 */   // Label 7376: @419219
     /*  419219 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419292), // Rule ID 63576 //
     /*  419224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  419235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  419238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419248 */     // MIs[0] op1
     /*  419248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  419274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419290 */     GIR_RootConstrainSelectedInstOperands,
     /*  419291 */     // GIR_Coverage, 63576,
     /*  419291 */     GIR_EraseRootFromParent_Done,
     /*  419292 */   // Label 7377: @419292
     /*  419292 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419365), // Rule ID 63595 //
     /*  419297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419321 */     // MIs[0] op1
     /*  419321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419363 */     GIR_RootConstrainSelectedInstOperands,
     /*  419364 */     // GIR_Coverage, 63595,
     /*  419364 */     GIR_EraseRootFromParent_Done,
     /*  419365 */   // Label 7378: @419365
     /*  419365 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419438), // Rule ID 63596 //
     /*  419370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419394 */     // MIs[0] op1
     /*  419394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  419420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419436 */     GIR_RootConstrainSelectedInstOperands,
     /*  419437 */     // GIR_Coverage, 63596,
     /*  419437 */     GIR_EraseRootFromParent_Done,
     /*  419438 */   // Label 7379: @419438
     /*  419438 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419511), // Rule ID 63607 //
     /*  419443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419467 */     // MIs[0] op1
     /*  419467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419509 */     GIR_RootConstrainSelectedInstOperands,
     /*  419510 */     // GIR_Coverage, 63607,
     /*  419510 */     GIR_EraseRootFromParent_Done,
     /*  419511 */   // Label 7380: @419511
     /*  419511 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419584), // Rule ID 63608 //
     /*  419516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  419533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419540 */     // MIs[0] op1
     /*  419540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  419566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419582 */     GIR_RootConstrainSelectedInstOperands,
     /*  419583 */     // GIR_Coverage, 63608,
     /*  419583 */     GIR_EraseRootFromParent_Done,
     /*  419584 */   // Label 7381: @419584
     /*  419584 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419657), // Rule ID 63631 //
     /*  419589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419613 */     // MIs[0] op1
     /*  419613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  419639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419655 */     GIR_RootConstrainSelectedInstOperands,
     /*  419656 */     // GIR_Coverage, 63631,
     /*  419656 */     GIR_EraseRootFromParent_Done,
     /*  419657 */   // Label 7382: @419657
     /*  419657 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419730), // Rule ID 63632 //
     /*  419662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  419673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  419676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419686 */     // MIs[0] op1
     /*  419686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  419712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419728 */     GIR_RootConstrainSelectedInstOperands,
     /*  419729 */     // GIR_Coverage, 63632,
     /*  419729 */     GIR_EraseRootFromParent_Done,
     /*  419730 */   // Label 7383: @419730
     /*  419730 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419803), // Rule ID 63651 //
     /*  419735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419759 */     // MIs[0] op1
     /*  419759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  419785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419801 */     GIR_RootConstrainSelectedInstOperands,
     /*  419802 */     // GIR_Coverage, 63651,
     /*  419802 */     GIR_EraseRootFromParent_Done,
     /*  419803 */   // Label 7384: @419803
     /*  419803 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419876), // Rule ID 63652 //
     /*  419808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419832 */     // MIs[0] op1
     /*  419832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  419858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419874 */     GIR_RootConstrainSelectedInstOperands,
     /*  419875 */     // GIR_Coverage, 63652,
     /*  419875 */     GIR_EraseRootFromParent_Done,
     /*  419876 */   // Label 7385: @419876
     /*  419876 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(419949), // Rule ID 63663 //
     /*  419881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  419898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419905 */     // MIs[0] op1
     /*  419905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  419931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419947 */     GIR_RootConstrainSelectedInstOperands,
     /*  419948 */     // GIR_Coverage, 63663,
     /*  419948 */     GIR_EraseRootFromParent_Done,
     /*  419949 */   // Label 7386: @419949
     /*  419949 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420022), // Rule ID 63664 //
     /*  419954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  419965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  419968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  419971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419978 */     // MIs[0] op1
     /*  419978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10994:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420020 */     GIR_RootConstrainSelectedInstOperands,
     /*  420021 */     // GIR_Coverage, 63664,
     /*  420021 */     GIR_EraseRootFromParent_Done,
     /*  420022 */   // Label 7387: @420022
     /*  420022 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420095), // Rule ID 63687 //
     /*  420027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420051 */     // MIs[0] op1
     /*  420051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420093 */     GIR_RootConstrainSelectedInstOperands,
     /*  420094 */     // GIR_Coverage, 63687,
     /*  420094 */     GIR_EraseRootFromParent_Done,
     /*  420095 */   // Label 7388: @420095
     /*  420095 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420168), // Rule ID 63688 //
     /*  420100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  420111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  420114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420124 */     // MIs[0] op1
     /*  420124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  420150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420166 */     GIR_RootConstrainSelectedInstOperands,
     /*  420167 */     // GIR_Coverage, 63688,
     /*  420167 */     GIR_EraseRootFromParent_Done,
     /*  420168 */   // Label 7389: @420168
     /*  420168 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420251), // Rule ID 5209 //
     /*  420173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420216 */     // MIs[1] Operand 1
     /*  420216 */     // No operand predicates
     /*  420216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420229 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420249 */     GIR_RootConstrainSelectedInstOperands,
     /*  420250 */     // GIR_Coverage, 5209,
     /*  420250 */     GIR_EraseRootFromParent_Done,
     /*  420251 */   // Label 7390: @420251
     /*  420251 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420334), // Rule ID 5210 //
     /*  420256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  420270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420299 */     // MIs[1] Operand 1
     /*  420299 */     // No operand predicates
     /*  420299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  420315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420332 */     GIR_RootConstrainSelectedInstOperands,
     /*  420333 */     // GIR_Coverage, 5210,
     /*  420333 */     GIR_EraseRootFromParent_Done,
     /*  420334 */   // Label 7391: @420334
     /*  420334 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420417), // Rule ID 5211 //
     /*  420339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420382 */     // MIs[1] Operand 1
     /*  420382 */     // No operand predicates
     /*  420382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420415 */     GIR_RootConstrainSelectedInstOperands,
     /*  420416 */     // GIR_Coverage, 5211,
     /*  420416 */     GIR_EraseRootFromParent_Done,
     /*  420417 */   // Label 7392: @420417
     /*  420417 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420500), // Rule ID 5212 //
     /*  420422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  420436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420465 */     // MIs[1] Operand 1
     /*  420465 */     // No operand predicates
     /*  420465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420498 */     GIR_RootConstrainSelectedInstOperands,
     /*  420499 */     // GIR_Coverage, 5212,
     /*  420499 */     GIR_EraseRootFromParent_Done,
     /*  420500 */   // Label 7393: @420500
     /*  420500 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420583), // Rule ID 5213 //
     /*  420505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420548 */     // MIs[1] Operand 1
     /*  420548 */     // No operand predicates
     /*  420548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420581 */     GIR_RootConstrainSelectedInstOperands,
     /*  420582 */     // GIR_Coverage, 5213,
     /*  420582 */     GIR_EraseRootFromParent_Done,
     /*  420583 */   // Label 7394: @420583
     /*  420583 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420666), // Rule ID 5214 //
     /*  420588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  420602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420631 */     // MIs[1] Operand 1
     /*  420631 */     // No operand predicates
     /*  420631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420664 */     GIR_RootConstrainSelectedInstOperands,
     /*  420665 */     // GIR_Coverage, 5214,
     /*  420665 */     GIR_EraseRootFromParent_Done,
     /*  420666 */   // Label 7395: @420666
     /*  420666 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420749), // Rule ID 5215 //
     /*  420671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  420685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420714 */     // MIs[1] Operand 1
     /*  420714 */     // No operand predicates
     /*  420714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420747 */     GIR_RootConstrainSelectedInstOperands,
     /*  420748 */     // GIR_Coverage, 5215,
     /*  420748 */     GIR_EraseRootFromParent_Done,
     /*  420749 */   // Label 7396: @420749
     /*  420749 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420832), // Rule ID 5216 //
     /*  420754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  420768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420797 */     // MIs[1] Operand 1
     /*  420797 */     // No operand predicates
     /*  420797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  420810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  420813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420830 */     GIR_RootConstrainSelectedInstOperands,
     /*  420831 */     // GIR_Coverage, 5216,
     /*  420831 */     GIR_EraseRootFromParent_Done,
     /*  420832 */   // Label 7397: @420832
     /*  420832 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420915), // Rule ID 5217 //
     /*  420837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420880 */     // MIs[1] Operand 1
     /*  420880 */     // No operand predicates
     /*  420880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420913 */     GIR_RootConstrainSelectedInstOperands,
     /*  420914 */     // GIR_Coverage, 5217,
     /*  420914 */     GIR_EraseRootFromParent_Done,
     /*  420915 */   // Label 7398: @420915
     /*  420915 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(420998), // Rule ID 5218 //
     /*  420920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420963 */     // MIs[1] Operand 1
     /*  420963 */     // No operand predicates
     /*  420963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  420976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  420979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420996 */     GIR_RootConstrainSelectedInstOperands,
     /*  420997 */     // GIR_Coverage, 5218,
     /*  420997 */     GIR_EraseRootFromParent_Done,
     /*  420998 */   // Label 7399: @420998
     /*  420998 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421081), // Rule ID 5219 //
     /*  421003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421046 */     // MIs[1] Operand 1
     /*  421046 */     // No operand predicates
     /*  421046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421079 */     GIR_RootConstrainSelectedInstOperands,
     /*  421080 */     // GIR_Coverage, 5219,
     /*  421080 */     GIR_EraseRootFromParent_Done,
     /*  421081 */   // Label 7400: @421081
     /*  421081 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421164), // Rule ID 5220 //
     /*  421086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  421100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421129 */     // MIs[1] Operand 1
     /*  421129 */     // No operand predicates
     /*  421129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  421145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421162 */     GIR_RootConstrainSelectedInstOperands,
     /*  421163 */     // GIR_Coverage, 5220,
     /*  421163 */     GIR_EraseRootFromParent_Done,
     /*  421164 */   // Label 7401: @421164
     /*  421164 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421247), // Rule ID 5221 //
     /*  421169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421212 */     // MIs[1] Operand 1
     /*  421212 */     // No operand predicates
     /*  421212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421245 */     GIR_RootConstrainSelectedInstOperands,
     /*  421246 */     // GIR_Coverage, 5221,
     /*  421246 */     GIR_EraseRootFromParent_Done,
     /*  421247 */   // Label 7402: @421247
     /*  421247 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421330), // Rule ID 5222 //
     /*  421252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  421266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421295 */     // MIs[1] Operand 1
     /*  421295 */     // No operand predicates
     /*  421295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421328 */     GIR_RootConstrainSelectedInstOperands,
     /*  421329 */     // GIR_Coverage, 5222,
     /*  421329 */     GIR_EraseRootFromParent_Done,
     /*  421330 */   // Label 7403: @421330
     /*  421330 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421413), // Rule ID 5223 //
     /*  421335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421378 */     // MIs[1] Operand 1
     /*  421378 */     // No operand predicates
     /*  421378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421411 */     GIR_RootConstrainSelectedInstOperands,
     /*  421412 */     // GIR_Coverage, 5223,
     /*  421412 */     GIR_EraseRootFromParent_Done,
     /*  421413 */   // Label 7404: @421413
     /*  421413 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421496), // Rule ID 5224 //
     /*  421418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  421432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421461 */     // MIs[1] Operand 1
     /*  421461 */     // No operand predicates
     /*  421461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421494 */     GIR_RootConstrainSelectedInstOperands,
     /*  421495 */     // GIR_Coverage, 5224,
     /*  421495 */     GIR_EraseRootFromParent_Done,
     /*  421496 */   // Label 7405: @421496
     /*  421496 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421579), // Rule ID 5225 //
     /*  421501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421544 */     // MIs[1] Operand 1
     /*  421544 */     // No operand predicates
     /*  421544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421577 */     GIR_RootConstrainSelectedInstOperands,
     /*  421578 */     // GIR_Coverage, 5225,
     /*  421578 */     GIR_EraseRootFromParent_Done,
     /*  421579 */   // Label 7406: @421579
     /*  421579 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421662), // Rule ID 5226 //
     /*  421584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  421595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  421598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  421604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421627 */     // MIs[1] Operand 1
     /*  421627 */     // No operand predicates
     /*  421627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421660 */     GIR_RootConstrainSelectedInstOperands,
     /*  421661 */     // GIR_Coverage, 5226,
     /*  421661 */     GIR_EraseRootFromParent_Done,
     /*  421662 */   // Label 7407: @421662
     /*  421662 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421745), // Rule ID 5227 //
     /*  421667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  421670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421710 */     // MIs[1] Operand 1
     /*  421710 */     // No operand predicates
     /*  421710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  421723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421743 */     GIR_RootConstrainSelectedInstOperands,
     /*  421744 */     // GIR_Coverage, 5227,
     /*  421744 */     GIR_EraseRootFromParent_Done,
     /*  421745 */   // Label 7408: @421745
     /*  421745 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421828), // Rule ID 5228 //
     /*  421750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  421753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  421761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  421770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421793 */     // MIs[1] Operand 1
     /*  421793 */     // No operand predicates
     /*  421793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421806 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  421806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  421809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421826 */     GIR_RootConstrainSelectedInstOperands,
     /*  421827 */     // GIR_Coverage, 5228,
     /*  421827 */     GIR_EraseRootFromParent_Done,
     /*  421828 */   // Label 7409: @421828
     /*  421828 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421911), // Rule ID 5229 //
     /*  421833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421876 */     // MIs[1] Operand 1
     /*  421876 */     // No operand predicates
     /*  421876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421909 */     GIR_RootConstrainSelectedInstOperands,
     /*  421910 */     // GIR_Coverage, 5229,
     /*  421910 */     GIR_EraseRootFromParent_Done,
     /*  421911 */   // Label 7410: @421911
     /*  421911 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(421994), // Rule ID 5230 //
     /*  421916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421959 */     // MIs[1] Operand 1
     /*  421959 */     // No operand predicates
     /*  421959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421992 */     GIR_RootConstrainSelectedInstOperands,
     /*  421993 */     // GIR_Coverage, 5230,
     /*  421993 */     GIR_EraseRootFromParent_Done,
     /*  421994 */   // Label 7411: @421994
     /*  421994 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422077), // Rule ID 5231 //
     /*  421999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422042 */     // MIs[1] Operand 1
     /*  422042 */     // No operand predicates
     /*  422042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422075 */     GIR_RootConstrainSelectedInstOperands,
     /*  422076 */     // GIR_Coverage, 5231,
     /*  422076 */     GIR_EraseRootFromParent_Done,
     /*  422077 */   // Label 7412: @422077
     /*  422077 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422160), // Rule ID 5232 //
     /*  422082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  422096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422125 */     // MIs[1] Operand 1
     /*  422125 */     // No operand predicates
     /*  422125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422138 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422158 */     GIR_RootConstrainSelectedInstOperands,
     /*  422159 */     // GIR_Coverage, 5232,
     /*  422159 */     GIR_EraseRootFromParent_Done,
     /*  422160 */   // Label 7413: @422160
     /*  422160 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422243), // Rule ID 5233 //
     /*  422165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422208 */     // MIs[1] Operand 1
     /*  422208 */     // No operand predicates
     /*  422208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422221 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  422221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422241 */     GIR_RootConstrainSelectedInstOperands,
     /*  422242 */     // GIR_Coverage, 5233,
     /*  422242 */     GIR_EraseRootFromParent_Done,
     /*  422243 */   // Label 7414: @422243
     /*  422243 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422326), // Rule ID 5234 //
     /*  422248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  422259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  422262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  422268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422291 */     // MIs[1] Operand 1
     /*  422291 */     // No operand predicates
     /*  422291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422304 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  422304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  422324 */     GIR_RootConstrainSelectedInstOperands,
     /*  422325 */     // GIR_Coverage, 5234,
     /*  422325 */     GIR_EraseRootFromParent_Done,
     /*  422326 */   // Label 7415: @422326
     /*  422326 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422409), // Rule ID 5235 //
     /*  422331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422374 */     // MIs[1] Operand 1
     /*  422374 */     // No operand predicates
     /*  422374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422387 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422407 */     GIR_RootConstrainSelectedInstOperands,
     /*  422408 */     // GIR_Coverage, 5235,
     /*  422408 */     GIR_EraseRootFromParent_Done,
     /*  422409 */   // Label 7416: @422409
     /*  422409 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422492), // Rule ID 5236 //
     /*  422414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422457 */     // MIs[1] Operand 1
     /*  422457 */     // No operand predicates
     /*  422457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422490 */     GIR_RootConstrainSelectedInstOperands,
     /*  422491 */     // GIR_Coverage, 5236,
     /*  422491 */     GIR_EraseRootFromParent_Done,
     /*  422492 */   // Label 7417: @422492
     /*  422492 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422575), // Rule ID 5237 //
     /*  422497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422540 */     // MIs[1] Operand 1
     /*  422540 */     // No operand predicates
     /*  422540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422553 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422573 */     GIR_RootConstrainSelectedInstOperands,
     /*  422574 */     // GIR_Coverage, 5237,
     /*  422574 */     GIR_EraseRootFromParent_Done,
     /*  422575 */   // Label 7418: @422575
     /*  422575 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422658), // Rule ID 5238 //
     /*  422580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422623 */     // MIs[1] Operand 1
     /*  422623 */     // No operand predicates
     /*  422623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422656 */     GIR_RootConstrainSelectedInstOperands,
     /*  422657 */     // GIR_Coverage, 5238,
     /*  422657 */     GIR_EraseRootFromParent_Done,
     /*  422658 */   // Label 7419: @422658
     /*  422658 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422741), // Rule ID 5239 //
     /*  422663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422706 */     // MIs[1] Operand 1
     /*  422706 */     // No operand predicates
     /*  422706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422719 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422739 */     GIR_RootConstrainSelectedInstOperands,
     /*  422740 */     // GIR_Coverage, 5239,
     /*  422740 */     GIR_EraseRootFromParent_Done,
     /*  422741 */   // Label 7420: @422741
     /*  422741 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422824), // Rule ID 5240 //
     /*  422746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  422757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  422766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422789 */     // MIs[1] Operand 1
     /*  422789 */     // No operand predicates
     /*  422789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422822 */     GIR_RootConstrainSelectedInstOperands,
     /*  422823 */     // GIR_Coverage, 5240,
     /*  422823 */     GIR_EraseRootFromParent_Done,
     /*  422824 */   // Label 7421: @422824
     /*  422824 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(422907), // Rule ID 5241 //
     /*  422829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422872 */     // MIs[1] Operand 1
     /*  422872 */     // No operand predicates
     /*  422872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422905 */     GIR_RootConstrainSelectedInstOperands,
     /*  422906 */     // GIR_Coverage, 5241,
     /*  422906 */     GIR_EraseRootFromParent_Done,
     /*  422907 */   // Label 7422: @422907
     /*  422907 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(422990), // Rule ID 5242 //
     /*  422912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422955 */     // MIs[1] Operand 1
     /*  422955 */     // No operand predicates
     /*  422955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422988 */     GIR_RootConstrainSelectedInstOperands,
     /*  422989 */     // GIR_Coverage, 5242,
     /*  422989 */     GIR_EraseRootFromParent_Done,
     /*  422990 */   // Label 7423: @422990
     /*  422990 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423073), // Rule ID 5243 //
     /*  422995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423038 */     // MIs[1] Operand 1
     /*  423038 */     // No operand predicates
     /*  423038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423071 */     GIR_RootConstrainSelectedInstOperands,
     /*  423072 */     // GIR_Coverage, 5243,
     /*  423072 */     GIR_EraseRootFromParent_Done,
     /*  423073 */   // Label 7424: @423073
     /*  423073 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423156), // Rule ID 5244 //
     /*  423078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423121 */     // MIs[1] Operand 1
     /*  423121 */     // No operand predicates
     /*  423121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423134 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423154 */     GIR_RootConstrainSelectedInstOperands,
     /*  423155 */     // GIR_Coverage, 5244,
     /*  423155 */     GIR_EraseRootFromParent_Done,
     /*  423156 */   // Label 7425: @423156
     /*  423156 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423239), // Rule ID 5245 //
     /*  423161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423204 */     // MIs[1] Operand 1
     /*  423204 */     // No operand predicates
     /*  423204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423237 */     GIR_RootConstrainSelectedInstOperands,
     /*  423238 */     // GIR_Coverage, 5245,
     /*  423238 */     GIR_EraseRootFromParent_Done,
     /*  423239 */   // Label 7426: @423239
     /*  423239 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423322), // Rule ID 5246 //
     /*  423244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  423255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  423264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423287 */     // MIs[1] Operand 1
     /*  423287 */     // No operand predicates
     /*  423287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423320 */     GIR_RootConstrainSelectedInstOperands,
     /*  423321 */     // GIR_Coverage, 5246,
     /*  423321 */     GIR_EraseRootFromParent_Done,
     /*  423322 */   // Label 7427: @423322
     /*  423322 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423405), // Rule ID 5247 //
     /*  423327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423370 */     // MIs[1] Operand 1
     /*  423370 */     // No operand predicates
     /*  423370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423383 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423403 */     GIR_RootConstrainSelectedInstOperands,
     /*  423404 */     // GIR_Coverage, 5247,
     /*  423404 */     GIR_EraseRootFromParent_Done,
     /*  423405 */   // Label 7428: @423405
     /*  423405 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423488), // Rule ID 5248 //
     /*  423410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  423421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  423430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423453 */     // MIs[1] Operand 1
     /*  423453 */     // No operand predicates
     /*  423453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  423469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423486 */     GIR_RootConstrainSelectedInstOperands,
     /*  423487 */     // GIR_Coverage, 5248,
     /*  423487 */     GIR_EraseRootFromParent_Done,
     /*  423488 */   // Label 7429: @423488
     /*  423488 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423571), // Rule ID 5249 //
     /*  423493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423536 */     // MIs[1] Operand 1
     /*  423536 */     // No operand predicates
     /*  423536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423569 */     GIR_RootConstrainSelectedInstOperands,
     /*  423570 */     // GIR_Coverage, 5249,
     /*  423570 */     GIR_EraseRootFromParent_Done,
     /*  423571 */   // Label 7430: @423571
     /*  423571 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423654), // Rule ID 5250 //
     /*  423576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  423587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  423596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423619 */     // MIs[1] Operand 1
     /*  423619 */     // No operand predicates
     /*  423619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  423635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423652 */     GIR_RootConstrainSelectedInstOperands,
     /*  423653 */     // GIR_Coverage, 5250,
     /*  423653 */     GIR_EraseRootFromParent_Done,
     /*  423654 */   // Label 7431: @423654
     /*  423654 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423737), // Rule ID 5251 //
     /*  423659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  423676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423702 */     // MIs[1] Operand 1
     /*  423702 */     // No operand predicates
     /*  423702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423735 */     GIR_RootConstrainSelectedInstOperands,
     /*  423736 */     // GIR_Coverage, 5251,
     /*  423736 */     GIR_EraseRootFromParent_Done,
     /*  423737 */   // Label 7432: @423737
     /*  423737 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423820), // Rule ID 5252 //
     /*  423742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  423750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  423753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  423759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  423762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  423777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423785 */     // MIs[1] Operand 1
     /*  423785 */     // No operand predicates
     /*  423785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  423789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  423801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  423805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  423810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423818 */     GIR_RootConstrainSelectedInstOperands,
     /*  423819 */     // GIR_Coverage, 5252,
     /*  423819 */     GIR_EraseRootFromParent_Done,
     /*  423820 */   // Label 7433: @423820
     /*  423820 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(423896), // Rule ID 60297 //
     /*  423825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  423828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423857 */     // MIs[0] rs2
     /*  423857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  423875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423894 */     GIR_RootConstrainSelectedInstOperands,
     /*  423895 */     // GIR_Coverage, 60297,
     /*  423895 */     GIR_EraseRootFromParent_Done,
     /*  423896 */   // Label 7434: @423896
     /*  423896 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(423972), // Rule ID 60298 //
     /*  423901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  423904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423933 */     // MIs[0] rs2
     /*  423933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  423951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423970 */     GIR_RootConstrainSelectedInstOperands,
     /*  423971 */     // GIR_Coverage, 60298,
     /*  423971 */     GIR_EraseRootFromParent_Done,
     /*  423972 */   // Label 7435: @423972
     /*  423972 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424048), // Rule ID 61943 //
     /*  423977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  423980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  423988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  423991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  423994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424009 */     // MIs[0] rs2
     /*  424009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424046 */     GIR_RootConstrainSelectedInstOperands,
     /*  424047 */     // GIR_Coverage, 61943,
     /*  424047 */     GIR_EraseRootFromParent_Done,
     /*  424048 */   // Label 7436: @424048
     /*  424048 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424124), // Rule ID 61944 //
     /*  424053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424085 */     // MIs[0] rs2
     /*  424085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  424103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424122 */     GIR_RootConstrainSelectedInstOperands,
     /*  424123 */     // GIR_Coverage, 61944,
     /*  424123 */     GIR_EraseRootFromParent_Done,
     /*  424124 */   // Label 7437: @424124
     /*  424124 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424200), // Rule ID 61945 //
     /*  424129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424161 */     // MIs[0] rs2
     /*  424161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424198 */     GIR_RootConstrainSelectedInstOperands,
     /*  424199 */     // GIR_Coverage, 61945,
     /*  424199 */     GIR_EraseRootFromParent_Done,
     /*  424200 */   // Label 7438: @424200
     /*  424200 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424276), // Rule ID 61946 //
     /*  424205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424237 */     // MIs[0] rs2
     /*  424237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  424255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424274 */     GIR_RootConstrainSelectedInstOperands,
     /*  424275 */     // GIR_Coverage, 61946,
     /*  424275 */     GIR_EraseRootFromParent_Done,
     /*  424276 */   // Label 7439: @424276
     /*  424276 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424352), // Rule ID 61947 //
     /*  424281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424313 */     // MIs[0] rs2
     /*  424313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424350 */     GIR_RootConstrainSelectedInstOperands,
     /*  424351 */     // GIR_Coverage, 61947,
     /*  424351 */     GIR_EraseRootFromParent_Done,
     /*  424352 */   // Label 7440: @424352
     /*  424352 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424428), // Rule ID 61948 //
     /*  424357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  424368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  424371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  424374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424389 */     // MIs[0] rs2
     /*  424389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  424407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424426 */     GIR_RootConstrainSelectedInstOperands,
     /*  424427 */     // GIR_Coverage, 61948,
     /*  424427 */     GIR_EraseRootFromParent_Done,
     /*  424428 */   // Label 7441: @424428
     /*  424428 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424504), // Rule ID 61949 //
     /*  424433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  424436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424465 */     // MIs[0] rs2
     /*  424465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424502 */     GIR_RootConstrainSelectedInstOperands,
     /*  424503 */     // GIR_Coverage, 61949,
     /*  424503 */     GIR_EraseRootFromParent_Done,
     /*  424504 */   // Label 7442: @424504
     /*  424504 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424580), // Rule ID 61950 //
     /*  424509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  424512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  424517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424541 */     // MIs[0] rs2
     /*  424541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  424559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424578 */     GIR_RootConstrainSelectedInstOperands,
     /*  424579 */     // GIR_Coverage, 61950,
     /*  424579 */     GIR_EraseRootFromParent_Done,
     /*  424580 */   // Label 7443: @424580
     /*  424580 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424656), // Rule ID 62071 //
     /*  424585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424617 */     // MIs[0] rs2
     /*  424617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  424635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424654 */     GIR_RootConstrainSelectedInstOperands,
     /*  424655 */     // GIR_Coverage, 62071,
     /*  424655 */     GIR_EraseRootFromParent_Done,
     /*  424656 */   // Label 7444: @424656
     /*  424656 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424732), // Rule ID 62072 //
     /*  424661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424693 */     // MIs[0] rs2
     /*  424693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  424711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424730 */     GIR_RootConstrainSelectedInstOperands,
     /*  424731 */     // GIR_Coverage, 62072,
     /*  424731 */     GIR_EraseRootFromParent_Done,
     /*  424732 */   // Label 7445: @424732
     /*  424732 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424808), // Rule ID 62073 //
     /*  424737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424769 */     // MIs[0] rs2
     /*  424769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  424787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424806 */     GIR_RootConstrainSelectedInstOperands,
     /*  424807 */     // GIR_Coverage, 62073,
     /*  424807 */     GIR_EraseRootFromParent_Done,
     /*  424808 */   // Label 7446: @424808
     /*  424808 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(424884), // Rule ID 62074 //
     /*  424813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424845 */     // MIs[0] rs2
     /*  424845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  424863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424882 */     GIR_RootConstrainSelectedInstOperands,
     /*  424883 */     // GIR_Coverage, 62074,
     /*  424883 */     GIR_EraseRootFromParent_Done,
     /*  424884 */   // Label 7447: @424884
     /*  424884 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(424960), // Rule ID 62075 //
     /*  424889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424921 */     // MIs[0] rs2
     /*  424921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  424939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424958 */     GIR_RootConstrainSelectedInstOperands,
     /*  424959 */     // GIR_Coverage, 62075,
     /*  424959 */     GIR_EraseRootFromParent_Done,
     /*  424960 */   // Label 7448: @424960
     /*  424960 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425036), // Rule ID 62076 //
     /*  424965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  424976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  424979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  424982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424997 */     // MIs[0] rs2
     /*  424997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  425015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425034 */     GIR_RootConstrainSelectedInstOperands,
     /*  425035 */     // GIR_Coverage, 62076,
     /*  425035 */     GIR_EraseRootFromParent_Done,
     /*  425036 */   // Label 7449: @425036
     /*  425036 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425112), // Rule ID 62077 //
     /*  425041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425073 */     // MIs[0] rs2
     /*  425073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425110 */     GIR_RootConstrainSelectedInstOperands,
     /*  425111 */     // GIR_Coverage, 62077,
     /*  425111 */     GIR_EraseRootFromParent_Done,
     /*  425112 */   // Label 7450: @425112
     /*  425112 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425188), // Rule ID 62078 //
     /*  425117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425149 */     // MIs[0] rs2
     /*  425149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  425167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425186 */     GIR_RootConstrainSelectedInstOperands,
     /*  425187 */     // GIR_Coverage, 62078,
     /*  425187 */     GIR_EraseRootFromParent_Done,
     /*  425188 */   // Label 7451: @425188
     /*  425188 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425264), // Rule ID 62079 //
     /*  425193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  425196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425225 */     // MIs[0] rs2
     /*  425225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425262 */     GIR_RootConstrainSelectedInstOperands,
     /*  425263 */     // GIR_Coverage, 62079,
     /*  425263 */     GIR_EraseRootFromParent_Done,
     /*  425264 */   // Label 7452: @425264
     /*  425264 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425340), // Rule ID 62080 //
     /*  425269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  425272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  425277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425301 */     // MIs[0] rs2
     /*  425301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  425309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  425319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  425327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425338 */     GIR_RootConstrainSelectedInstOperands,
     /*  425339 */     // GIR_Coverage, 62080,
     /*  425339 */     GIR_EraseRootFromParent_Done,
     /*  425340 */   // Label 7453: @425340
     /*  425340 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425428), // Rule ID 2679 //
     /*  425345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425392 */     // MIs[1] Operand 1
     /*  425392 */     // No operand predicates
     /*  425392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425401 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425410 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425426 */     GIR_RootConstrainSelectedInstOperands,
     /*  425427 */     // GIR_Coverage, 2679,
     /*  425427 */     GIR_EraseRootFromParent_Done,
     /*  425428 */   // Label 7454: @425428
     /*  425428 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425516), // Rule ID 2680 //
     /*  425433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  425444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  425450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425480 */     // MIs[1] Operand 1
     /*  425480 */     // No operand predicates
     /*  425480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  425492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425498 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425514 */     GIR_RootConstrainSelectedInstOperands,
     /*  425515 */     // GIR_Coverage, 2680,
     /*  425515 */     GIR_EraseRootFromParent_Done,
     /*  425516 */   // Label 7455: @425516
     /*  425516 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425604), // Rule ID 2687 //
     /*  425521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425568 */     // MIs[1] Operand 1
     /*  425568 */     // No operand predicates
     /*  425568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425577 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425586 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425602 */     GIR_RootConstrainSelectedInstOperands,
     /*  425603 */     // GIR_Coverage, 2687,
     /*  425603 */     GIR_EraseRootFromParent_Done,
     /*  425604 */   // Label 7456: @425604
     /*  425604 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425692), // Rule ID 2688 //
     /*  425609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  425620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  425626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425656 */     // MIs[1] Operand 1
     /*  425656 */     // No operand predicates
     /*  425656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425674 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425690 */     GIR_RootConstrainSelectedInstOperands,
     /*  425691 */     // GIR_Coverage, 2688,
     /*  425691 */     GIR_EraseRootFromParent_Done,
     /*  425692 */   // Label 7457: @425692
     /*  425692 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425780), // Rule ID 2695 //
     /*  425697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  425708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  425714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425744 */     // MIs[1] Operand 1
     /*  425744 */     // No operand predicates
     /*  425744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425762 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425778 */     GIR_RootConstrainSelectedInstOperands,
     /*  425779 */     // GIR_Coverage, 2695,
     /*  425779 */     GIR_EraseRootFromParent_Done,
     /*  425780 */   // Label 7458: @425780
     /*  425780 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425868), // Rule ID 2696 //
     /*  425785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  425796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  425802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425832 */     // MIs[1] Operand 1
     /*  425832 */     // No operand predicates
     /*  425832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425850 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425866 */     GIR_RootConstrainSelectedInstOperands,
     /*  425867 */     // GIR_Coverage, 2696,
     /*  425867 */     GIR_EraseRootFromParent_Done,
     /*  425868 */   // Label 7459: @425868
     /*  425868 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(425956), // Rule ID 2703 //
     /*  425873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  425884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  425890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425920 */     // MIs[1] Operand 1
     /*  425920 */     // No operand predicates
     /*  425920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425929 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  425932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425938 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425954 */     GIR_RootConstrainSelectedInstOperands,
     /*  425955 */     // GIR_Coverage, 2703,
     /*  425955 */     GIR_EraseRootFromParent_Done,
     /*  425956 */   // Label 7460: @425956
     /*  425956 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426044), // Rule ID 2704 //
     /*  425961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  425972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  425978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426008 */     // MIs[1] Operand 1
     /*  426008 */     // No operand predicates
     /*  426008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  426020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426026 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426042 */     GIR_RootConstrainSelectedInstOperands,
     /*  426043 */     // GIR_Coverage, 2704,
     /*  426043 */     GIR_EraseRootFromParent_Done,
     /*  426044 */   // Label 7461: @426044
     /*  426044 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426132), // Rule ID 2711 //
     /*  426049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426096 */     // MIs[1] Operand 1
     /*  426096 */     // No operand predicates
     /*  426096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426114 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426130 */     GIR_RootConstrainSelectedInstOperands,
     /*  426131 */     // GIR_Coverage, 2711,
     /*  426131 */     GIR_EraseRootFromParent_Done,
     /*  426132 */   // Label 7462: @426132
     /*  426132 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426220), // Rule ID 2712 //
     /*  426137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426184 */     // MIs[1] Operand 1
     /*  426184 */     // No operand predicates
     /*  426184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426202 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426218 */     GIR_RootConstrainSelectedInstOperands,
     /*  426219 */     // GIR_Coverage, 2712,
     /*  426219 */     GIR_EraseRootFromParent_Done,
     /*  426220 */   // Label 7463: @426220
     /*  426220 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426308), // Rule ID 2719 //
     /*  426225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426272 */     // MIs[1] Operand 1
     /*  426272 */     // No operand predicates
     /*  426272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426290 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426306 */     GIR_RootConstrainSelectedInstOperands,
     /*  426307 */     // GIR_Coverage, 2719,
     /*  426307 */     GIR_EraseRootFromParent_Done,
     /*  426308 */   // Label 7464: @426308
     /*  426308 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426396), // Rule ID 2720 //
     /*  426313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426360 */     // MIs[1] Operand 1
     /*  426360 */     // No operand predicates
     /*  426360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  426372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426378 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426394 */     GIR_RootConstrainSelectedInstOperands,
     /*  426395 */     // GIR_Coverage, 2720,
     /*  426395 */     GIR_EraseRootFromParent_Done,
     /*  426396 */   // Label 7465: @426396
     /*  426396 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426484), // Rule ID 2727 //
     /*  426401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426448 */     // MIs[1] Operand 1
     /*  426448 */     // No operand predicates
     /*  426448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426466 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426482 */     GIR_RootConstrainSelectedInstOperands,
     /*  426483 */     // GIR_Coverage, 2727,
     /*  426483 */     GIR_EraseRootFromParent_Done,
     /*  426484 */   // Label 7466: @426484
     /*  426484 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426572), // Rule ID 2728 //
     /*  426489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  426500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  426506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426536 */     // MIs[1] Operand 1
     /*  426536 */     // No operand predicates
     /*  426536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426554 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426570 */     GIR_RootConstrainSelectedInstOperands,
     /*  426571 */     // GIR_Coverage, 2728,
     /*  426571 */     GIR_EraseRootFromParent_Done,
     /*  426572 */   // Label 7467: @426572
     /*  426572 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426660), // Rule ID 2735 //
     /*  426577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426624 */     // MIs[1] Operand 1
     /*  426624 */     // No operand predicates
     /*  426624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426642 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426658 */     GIR_RootConstrainSelectedInstOperands,
     /*  426659 */     // GIR_Coverage, 2735,
     /*  426659 */     GIR_EraseRootFromParent_Done,
     /*  426660 */   // Label 7468: @426660
     /*  426660 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426748), // Rule ID 2736 //
     /*  426665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426712 */     // MIs[1] Operand 1
     /*  426712 */     // No operand predicates
     /*  426712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426730 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426746 */     GIR_RootConstrainSelectedInstOperands,
     /*  426747 */     // GIR_Coverage, 2736,
     /*  426747 */     GIR_EraseRootFromParent_Done,
     /*  426748 */   // Label 7469: @426748
     /*  426748 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426836), // Rule ID 2743 //
     /*  426753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426800 */     // MIs[1] Operand 1
     /*  426800 */     // No operand predicates
     /*  426800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426818 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426834 */     GIR_RootConstrainSelectedInstOperands,
     /*  426835 */     // GIR_Coverage, 2743,
     /*  426835 */     GIR_EraseRootFromParent_Done,
     /*  426836 */   // Label 7470: @426836
     /*  426836 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(426924), // Rule ID 2744 //
     /*  426841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426888 */     // MIs[1] Operand 1
     /*  426888 */     // No operand predicates
     /*  426888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426906 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426922 */     GIR_RootConstrainSelectedInstOperands,
     /*  426923 */     // GIR_Coverage, 2744,
     /*  426923 */     GIR_EraseRootFromParent_Done,
     /*  426924 */   // Label 7471: @426924
     /*  426924 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427012), // Rule ID 2751 //
     /*  426929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426976 */     // MIs[1] Operand 1
     /*  426976 */     // No operand predicates
     /*  426976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  426988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426994 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427010 */     GIR_RootConstrainSelectedInstOperands,
     /*  427011 */     // GIR_Coverage, 2751,
     /*  427011 */     GIR_EraseRootFromParent_Done,
     /*  427012 */   // Label 7472: @427012
     /*  427012 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427100), // Rule ID 2752 //
     /*  427017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  427028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  427034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427064 */     // MIs[1] Operand 1
     /*  427064 */     // No operand predicates
     /*  427064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  427076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427082 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427098 */     GIR_RootConstrainSelectedInstOperands,
     /*  427099 */     // GIR_Coverage, 2752,
     /*  427099 */     GIR_EraseRootFromParent_Done,
     /*  427100 */   // Label 7473: @427100
     /*  427100 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427188), // Rule ID 2759 //
     /*  427105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427152 */     // MIs[1] Operand 1
     /*  427152 */     // No operand predicates
     /*  427152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427161 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427170 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427186 */     GIR_RootConstrainSelectedInstOperands,
     /*  427187 */     // GIR_Coverage, 2759,
     /*  427187 */     GIR_EraseRootFromParent_Done,
     /*  427188 */   // Label 7474: @427188
     /*  427188 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427276), // Rule ID 2760 //
     /*  427193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  427204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  427210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427240 */     // MIs[1] Operand 1
     /*  427240 */     // No operand predicates
     /*  427240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427249 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427258 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427274 */     GIR_RootConstrainSelectedInstOperands,
     /*  427275 */     // GIR_Coverage, 2760,
     /*  427275 */     GIR_EraseRootFromParent_Done,
     /*  427276 */   // Label 7475: @427276
     /*  427276 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427364), // Rule ID 2767 //
     /*  427281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427328 */     // MIs[1] Operand 1
     /*  427328 */     // No operand predicates
     /*  427328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427337 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427346 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427362 */     GIR_RootConstrainSelectedInstOperands,
     /*  427363 */     // GIR_Coverage, 2767,
     /*  427363 */     GIR_EraseRootFromParent_Done,
     /*  427364 */   // Label 7476: @427364
     /*  427364 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427452), // Rule ID 2768 //
     /*  427369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  427380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  427386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427416 */     // MIs[1] Operand 1
     /*  427416 */     // No operand predicates
     /*  427416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427425 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427434 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427450 */     GIR_RootConstrainSelectedInstOperands,
     /*  427451 */     // GIR_Coverage, 2768,
     /*  427451 */     GIR_EraseRootFromParent_Done,
     /*  427452 */   // Label 7477: @427452
     /*  427452 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427540), // Rule ID 2775 //
     /*  427457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427504 */     // MIs[1] Operand 1
     /*  427504 */     // No operand predicates
     /*  427504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427513 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427522 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427538 */     GIR_RootConstrainSelectedInstOperands,
     /*  427539 */     // GIR_Coverage, 2775,
     /*  427539 */     GIR_EraseRootFromParent_Done,
     /*  427540 */   // Label 7478: @427540
     /*  427540 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427628), // Rule ID 2776 //
     /*  427545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  427556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  427562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427592 */     // MIs[1] Operand 1
     /*  427592 */     // No operand predicates
     /*  427592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427601 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427610 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427626 */     GIR_RootConstrainSelectedInstOperands,
     /*  427627 */     // GIR_Coverage, 2776,
     /*  427627 */     GIR_EraseRootFromParent_Done,
     /*  427628 */   // Label 7479: @427628
     /*  427628 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427716), // Rule ID 2783 //
     /*  427633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427680 */     // MIs[1] Operand 1
     /*  427680 */     // No operand predicates
     /*  427680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427698 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427714 */     GIR_RootConstrainSelectedInstOperands,
     /*  427715 */     // GIR_Coverage, 2783,
     /*  427715 */     GIR_EraseRootFromParent_Done,
     /*  427716 */   // Label 7480: @427716
     /*  427716 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427804), // Rule ID 2784 //
     /*  427721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427768 */     // MIs[1] Operand 1
     /*  427768 */     // No operand predicates
     /*  427768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427786 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427802 */     GIR_RootConstrainSelectedInstOperands,
     /*  427803 */     // GIR_Coverage, 2784,
     /*  427803 */     GIR_EraseRootFromParent_Done,
     /*  427804 */   // Label 7481: @427804
     /*  427804 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427892), // Rule ID 2791 //
     /*  427809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427856 */     // MIs[1] Operand 1
     /*  427856 */     // No operand predicates
     /*  427856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427865 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427874 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427890 */     GIR_RootConstrainSelectedInstOperands,
     /*  427891 */     // GIR_Coverage, 2791,
     /*  427891 */     GIR_EraseRootFromParent_Done,
     /*  427892 */   // Label 7482: @427892
     /*  427892 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(427980), // Rule ID 2792 //
     /*  427897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427944 */     // MIs[1] Operand 1
     /*  427944 */     // No operand predicates
     /*  427944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427962 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427978 */     GIR_RootConstrainSelectedInstOperands,
     /*  427979 */     // GIR_Coverage, 2792,
     /*  427979 */     GIR_EraseRootFromParent_Done,
     /*  427980 */   // Label 7483: @427980
     /*  427980 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428068), // Rule ID 2799 //
     /*  427985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  427996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428032 */     // MIs[1] Operand 1
     /*  428032 */     // No operand predicates
     /*  428032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428050 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428066 */     GIR_RootConstrainSelectedInstOperands,
     /*  428067 */     // GIR_Coverage, 2799,
     /*  428067 */     GIR_EraseRootFromParent_Done,
     /*  428068 */   // Label 7484: @428068
     /*  428068 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(428156), // Rule ID 2800 //
     /*  428073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  428084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  428090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428120 */     // MIs[1] Operand 1
     /*  428120 */     // No operand predicates
     /*  428120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428138 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428154 */     GIR_RootConstrainSelectedInstOperands,
     /*  428155 */     // GIR_Coverage, 2800,
     /*  428155 */     GIR_EraseRootFromParent_Done,
     /*  428156 */   // Label 7485: @428156
     /*  428156 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(428244), // Rule ID 2807 //
     /*  428161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428208 */     // MIs[1] Operand 1
     /*  428208 */     // No operand predicates
     /*  428208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428226 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428242 */     GIR_RootConstrainSelectedInstOperands,
     /*  428243 */     // GIR_Coverage, 2807,
     /*  428243 */     GIR_EraseRootFromParent_Done,
     /*  428244 */   // Label 7486: @428244
     /*  428244 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428332), // Rule ID 2808 //
     /*  428249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428296 */     // MIs[1] Operand 1
     /*  428296 */     // No operand predicates
     /*  428296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428314 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428330 */     GIR_RootConstrainSelectedInstOperands,
     /*  428331 */     // GIR_Coverage, 2808,
     /*  428331 */     GIR_EraseRootFromParent_Done,
     /*  428332 */   // Label 7487: @428332
     /*  428332 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428420), // Rule ID 2815 //
     /*  428337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428384 */     // MIs[1] Operand 1
     /*  428384 */     // No operand predicates
     /*  428384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428402 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428418 */     GIR_RootConstrainSelectedInstOperands,
     /*  428419 */     // GIR_Coverage, 2815,
     /*  428419 */     GIR_EraseRootFromParent_Done,
     /*  428420 */   // Label 7488: @428420
     /*  428420 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428508), // Rule ID 2816 //
     /*  428425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428472 */     // MIs[1] Operand 1
     /*  428472 */     // No operand predicates
     /*  428472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428490 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428506 */     GIR_RootConstrainSelectedInstOperands,
     /*  428507 */     // GIR_Coverage, 2816,
     /*  428507 */     GIR_EraseRootFromParent_Done,
     /*  428508 */   // Label 7489: @428508
     /*  428508 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428596), // Rule ID 2823 //
     /*  428513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428560 */     // MIs[1] Operand 1
     /*  428560 */     // No operand predicates
     /*  428560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428578 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428594 */     GIR_RootConstrainSelectedInstOperands,
     /*  428595 */     // GIR_Coverage, 2823,
     /*  428595 */     GIR_EraseRootFromParent_Done,
     /*  428596 */   // Label 7490: @428596
     /*  428596 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428684), // Rule ID 2824 //
     /*  428601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  428612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  428618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428648 */     // MIs[1] Operand 1
     /*  428648 */     // No operand predicates
     /*  428648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428657 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  428660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428666 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428682 */     GIR_RootConstrainSelectedInstOperands,
     /*  428683 */     // GIR_Coverage, 2824,
     /*  428683 */     GIR_EraseRootFromParent_Done,
     /*  428684 */   // Label 7491: @428684
     /*  428684 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428772), // Rule ID 2831 //
     /*  428689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  428700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  428706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428736 */     // MIs[1] Operand 1
     /*  428736 */     // No operand predicates
     /*  428736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428754 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428770 */     GIR_RootConstrainSelectedInstOperands,
     /*  428771 */     // GIR_Coverage, 2831,
     /*  428771 */     GIR_EraseRootFromParent_Done,
     /*  428772 */   // Label 7492: @428772
     /*  428772 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428860), // Rule ID 2832 //
     /*  428777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  428788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  428794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428824 */     // MIs[1] Operand 1
     /*  428824 */     // No operand predicates
     /*  428824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  428836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428842 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428858 */     GIR_RootConstrainSelectedInstOperands,
     /*  428859 */     // GIR_Coverage, 2832,
     /*  428859 */     GIR_EraseRootFromParent_Done,
     /*  428860 */   // Label 7493: @428860
     /*  428860 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(428948), // Rule ID 2839 //
     /*  428865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  428876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  428912 */     // MIs[1] Operand 1
     /*  428912 */     // No operand predicates
     /*  428912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  428924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428930 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428946 */     GIR_RootConstrainSelectedInstOperands,
     /*  428947 */     // GIR_Coverage, 2839,
     /*  428947 */     GIR_EraseRootFromParent_Done,
     /*  428948 */   // Label 7494: @428948
     /*  428948 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429036), // Rule ID 2840 //
     /*  428953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  428961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  428964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429000 */     // MIs[1] Operand 1
     /*  429000 */     // No operand predicates
     /*  429000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429009 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429018 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429034 */     GIR_RootConstrainSelectedInstOperands,
     /*  429035 */     // GIR_Coverage, 2840,
     /*  429035 */     GIR_EraseRootFromParent_Done,
     /*  429036 */   // Label 7495: @429036
     /*  429036 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(429124), // Rule ID 2847 //
     /*  429041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429088 */     // MIs[1] Operand 1
     /*  429088 */     // No operand predicates
     /*  429088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429106 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429122 */     GIR_RootConstrainSelectedInstOperands,
     /*  429123 */     // GIR_Coverage, 2847,
     /*  429123 */     GIR_EraseRootFromParent_Done,
     /*  429124 */   // Label 7496: @429124
     /*  429124 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(429212), // Rule ID 2848 //
     /*  429129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  429140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  429146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429176 */     // MIs[1] Operand 1
     /*  429176 */     // No operand predicates
     /*  429176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  429188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429194 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  429199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429210 */     GIR_RootConstrainSelectedInstOperands,
     /*  429211 */     // GIR_Coverage, 2848,
     /*  429211 */     GIR_EraseRootFromParent_Done,
     /*  429212 */   // Label 7497: @429212
     /*  429212 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(429298), // Rule ID 3023 //
     /*  429217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429264 */     // MIs[1] Operand 1
     /*  429264 */     // No operand predicates
     /*  429264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429296 */     GIR_RootConstrainSelectedInstOperands,
     /*  429297 */     // GIR_Coverage, 3023,
     /*  429297 */     GIR_EraseRootFromParent_Done,
     /*  429298 */   // Label 7498: @429298
     /*  429298 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(429384), // Rule ID 3024 //
     /*  429303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429350 */     // MIs[1] Operand 1
     /*  429350 */     // No operand predicates
     /*  429350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429382 */     GIR_RootConstrainSelectedInstOperands,
     /*  429383 */     // GIR_Coverage, 3024,
     /*  429383 */     GIR_EraseRootFromParent_Done,
     /*  429384 */   // Label 7499: @429384
     /*  429384 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(429470), // Rule ID 3027 //
     /*  429389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429436 */     // MIs[1] Operand 1
     /*  429436 */     // No operand predicates
     /*  429436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429468 */     GIR_RootConstrainSelectedInstOperands,
     /*  429469 */     // GIR_Coverage, 3027,
     /*  429469 */     GIR_EraseRootFromParent_Done,
     /*  429470 */   // Label 7500: @429470
     /*  429470 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429556), // Rule ID 3028 //
     /*  429475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  429486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  429489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  429492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429522 */     // MIs[1] Operand 1
     /*  429522 */     // No operand predicates
     /*  429522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429554 */     GIR_RootConstrainSelectedInstOperands,
     /*  429555 */     // GIR_Coverage, 3028,
     /*  429555 */     GIR_EraseRootFromParent_Done,
     /*  429556 */   // Label 7501: @429556
     /*  429556 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429642), // Rule ID 3031 //
     /*  429561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  429572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  429575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  429578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429608 */     // MIs[1] Operand 1
     /*  429608 */     // No operand predicates
     /*  429608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429617 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429640 */     GIR_RootConstrainSelectedInstOperands,
     /*  429641 */     // GIR_Coverage, 3031,
     /*  429641 */     GIR_EraseRootFromParent_Done,
     /*  429642 */   // Label 7502: @429642
     /*  429642 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(429728), // Rule ID 3032 //
     /*  429647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  429658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  429661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  429664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429694 */     // MIs[1] Operand 1
     /*  429694 */     // No operand predicates
     /*  429694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429726 */     GIR_RootConstrainSelectedInstOperands,
     /*  429727 */     // GIR_Coverage, 3032,
     /*  429727 */     GIR_EraseRootFromParent_Done,
     /*  429728 */   // Label 7503: @429728
     /*  429728 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429814), // Rule ID 3035 //
     /*  429733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  429744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  429747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  429750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429780 */     // MIs[1] Operand 1
     /*  429780 */     // No operand predicates
     /*  429780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429812 */     GIR_RootConstrainSelectedInstOperands,
     /*  429813 */     // GIR_Coverage, 3035,
     /*  429813 */     GIR_EraseRootFromParent_Done,
     /*  429814 */   // Label 7504: @429814
     /*  429814 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429900), // Rule ID 3036 //
     /*  429819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  429830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  429833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  429836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429866 */     // MIs[1] Operand 1
     /*  429866 */     // No operand predicates
     /*  429866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  429878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429898 */     GIR_RootConstrainSelectedInstOperands,
     /*  429899 */     // GIR_Coverage, 3036,
     /*  429899 */     GIR_EraseRootFromParent_Done,
     /*  429900 */   // Label 7505: @429900
     /*  429900 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(429986), // Rule ID 3039 //
     /*  429905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  429916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  429919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  429922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429952 */     // MIs[1] Operand 1
     /*  429952 */     // No operand predicates
     /*  429952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429961 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429984 */     GIR_RootConstrainSelectedInstOperands,
     /*  429985 */     // GIR_Coverage, 3039,
     /*  429985 */     GIR_EraseRootFromParent_Done,
     /*  429986 */   // Label 7506: @429986
     /*  429986 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430072), // Rule ID 3040 //
     /*  429991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430038 */     // MIs[1] Operand 1
     /*  430038 */     // No operand predicates
     /*  430038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430070 */     GIR_RootConstrainSelectedInstOperands,
     /*  430071 */     // GIR_Coverage, 3040,
     /*  430071 */     GIR_EraseRootFromParent_Done,
     /*  430072 */   // Label 7507: @430072
     /*  430072 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(430158), // Rule ID 3043 //
     /*  430077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430124 */     // MIs[1] Operand 1
     /*  430124 */     // No operand predicates
     /*  430124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430156 */     GIR_RootConstrainSelectedInstOperands,
     /*  430157 */     // GIR_Coverage, 3043,
     /*  430157 */     GIR_EraseRootFromParent_Done,
     /*  430158 */   // Label 7508: @430158
     /*  430158 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(430244), // Rule ID 3044 //
     /*  430163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430210 */     // MIs[1] Operand 1
     /*  430210 */     // No operand predicates
     /*  430210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430242 */     GIR_RootConstrainSelectedInstOperands,
     /*  430243 */     // GIR_Coverage, 3044,
     /*  430243 */     GIR_EraseRootFromParent_Done,
     /*  430244 */   // Label 7509: @430244
     /*  430244 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(430330), // Rule ID 3047 //
     /*  430249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430296 */     // MIs[1] Operand 1
     /*  430296 */     // No operand predicates
     /*  430296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430328 */     GIR_RootConstrainSelectedInstOperands,
     /*  430329 */     // GIR_Coverage, 3047,
     /*  430329 */     GIR_EraseRootFromParent_Done,
     /*  430330 */   // Label 7510: @430330
     /*  430330 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(430416), // Rule ID 3048 //
     /*  430335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  430346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  430349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  430352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430382 */     // MIs[1] Operand 1
     /*  430382 */     // No operand predicates
     /*  430382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430414 */     GIR_RootConstrainSelectedInstOperands,
     /*  430415 */     // GIR_Coverage, 3048,
     /*  430415 */     GIR_EraseRootFromParent_Done,
     /*  430416 */   // Label 7511: @430416
     /*  430416 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(430502), // Rule ID 3051 //
     /*  430421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430468 */     // MIs[1] Operand 1
     /*  430468 */     // No operand predicates
     /*  430468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430500 */     GIR_RootConstrainSelectedInstOperands,
     /*  430501 */     // GIR_Coverage, 3051,
     /*  430501 */     GIR_EraseRootFromParent_Done,
     /*  430502 */   // Label 7512: @430502
     /*  430502 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(430588), // Rule ID 3052 //
     /*  430507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430554 */     // MIs[1] Operand 1
     /*  430554 */     // No operand predicates
     /*  430554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430586 */     GIR_RootConstrainSelectedInstOperands,
     /*  430587 */     // GIR_Coverage, 3052,
     /*  430587 */     GIR_EraseRootFromParent_Done,
     /*  430588 */   // Label 7513: @430588
     /*  430588 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(430674), // Rule ID 3055 //
     /*  430593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430640 */     // MIs[1] Operand 1
     /*  430640 */     // No operand predicates
     /*  430640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430672 */     GIR_RootConstrainSelectedInstOperands,
     /*  430673 */     // GIR_Coverage, 3055,
     /*  430673 */     GIR_EraseRootFromParent_Done,
     /*  430674 */   // Label 7514: @430674
     /*  430674 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(430760), // Rule ID 3056 //
     /*  430679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430726 */     // MIs[1] Operand 1
     /*  430726 */     // No operand predicates
     /*  430726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430758 */     GIR_RootConstrainSelectedInstOperands,
     /*  430759 */     // GIR_Coverage, 3056,
     /*  430759 */     GIR_EraseRootFromParent_Done,
     /*  430760 */   // Label 7515: @430760
     /*  430760 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(430846), // Rule ID 3059 //
     /*  430765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  430776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  430779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  430782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430812 */     // MIs[1] Operand 1
     /*  430812 */     // No operand predicates
     /*  430812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430844 */     GIR_RootConstrainSelectedInstOperands,
     /*  430845 */     // GIR_Coverage, 3059,
     /*  430845 */     GIR_EraseRootFromParent_Done,
     /*  430846 */   // Label 7516: @430846
     /*  430846 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(430932), // Rule ID 3060 //
     /*  430851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  430862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  430865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  430868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430898 */     // MIs[1] Operand 1
     /*  430898 */     // No operand predicates
     /*  430898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  430910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430930 */     GIR_RootConstrainSelectedInstOperands,
     /*  430931 */     // GIR_Coverage, 3060,
     /*  430931 */     GIR_EraseRootFromParent_Done,
     /*  430932 */   // Label 7517: @430932
     /*  430932 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431018), // Rule ID 3063 //
     /*  430937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  430948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  430951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  430954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430984 */     // MIs[1] Operand 1
     /*  430984 */     // No operand predicates
     /*  430984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  430996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431016 */     GIR_RootConstrainSelectedInstOperands,
     /*  431017 */     // GIR_Coverage, 3063,
     /*  431017 */     GIR_EraseRootFromParent_Done,
     /*  431018 */   // Label 7518: @431018
     /*  431018 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431104), // Rule ID 3064 //
     /*  431023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431070 */     // MIs[1] Operand 1
     /*  431070 */     // No operand predicates
     /*  431070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431079 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431102 */     GIR_RootConstrainSelectedInstOperands,
     /*  431103 */     // GIR_Coverage, 3064,
     /*  431103 */     GIR_EraseRootFromParent_Done,
     /*  431104 */   // Label 7519: @431104
     /*  431104 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(431190), // Rule ID 3067 //
     /*  431109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431156 */     // MIs[1] Operand 1
     /*  431156 */     // No operand predicates
     /*  431156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431165 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431188 */     GIR_RootConstrainSelectedInstOperands,
     /*  431189 */     // GIR_Coverage, 3067,
     /*  431189 */     GIR_EraseRootFromParent_Done,
     /*  431190 */   // Label 7520: @431190
     /*  431190 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(431276), // Rule ID 3068 //
     /*  431195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431242 */     // MIs[1] Operand 1
     /*  431242 */     // No operand predicates
     /*  431242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431274 */     GIR_RootConstrainSelectedInstOperands,
     /*  431275 */     // GIR_Coverage, 3068,
     /*  431275 */     GIR_EraseRootFromParent_Done,
     /*  431276 */   // Label 7521: @431276
     /*  431276 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(431362), // Rule ID 3071 //
     /*  431281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431328 */     // MIs[1] Operand 1
     /*  431328 */     // No operand predicates
     /*  431328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431337 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431360 */     GIR_RootConstrainSelectedInstOperands,
     /*  431361 */     // GIR_Coverage, 3071,
     /*  431361 */     GIR_EraseRootFromParent_Done,
     /*  431362 */   // Label 7522: @431362
     /*  431362 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(431448), // Rule ID 3072 //
     /*  431367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  431378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  431381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  431384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431414 */     // MIs[1] Operand 1
     /*  431414 */     // No operand predicates
     /*  431414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431423 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431446 */     GIR_RootConstrainSelectedInstOperands,
     /*  431447 */     // GIR_Coverage, 3072,
     /*  431447 */     GIR_EraseRootFromParent_Done,
     /*  431448 */   // Label 7523: @431448
     /*  431448 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(431534), // Rule ID 3075 //
     /*  431453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431500 */     // MIs[1] Operand 1
     /*  431500 */     // No operand predicates
     /*  431500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431532 */     GIR_RootConstrainSelectedInstOperands,
     /*  431533 */     // GIR_Coverage, 3075,
     /*  431533 */     GIR_EraseRootFromParent_Done,
     /*  431534 */   // Label 7524: @431534
     /*  431534 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(431620), // Rule ID 3076 //
     /*  431539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431586 */     // MIs[1] Operand 1
     /*  431586 */     // No operand predicates
     /*  431586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431618 */     GIR_RootConstrainSelectedInstOperands,
     /*  431619 */     // GIR_Coverage, 3076,
     /*  431619 */     GIR_EraseRootFromParent_Done,
     /*  431620 */   // Label 7525: @431620
     /*  431620 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(431706), // Rule ID 3079 //
     /*  431625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431672 */     // MIs[1] Operand 1
     /*  431672 */     // No operand predicates
     /*  431672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431704 */     GIR_RootConstrainSelectedInstOperands,
     /*  431705 */     // GIR_Coverage, 3079,
     /*  431705 */     GIR_EraseRootFromParent_Done,
     /*  431706 */   // Label 7526: @431706
     /*  431706 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(431792), // Rule ID 3080 //
     /*  431711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431758 */     // MIs[1] Operand 1
     /*  431758 */     // No operand predicates
     /*  431758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431790 */     GIR_RootConstrainSelectedInstOperands,
     /*  431791 */     // GIR_Coverage, 3080,
     /*  431791 */     GIR_EraseRootFromParent_Done,
     /*  431792 */   // Label 7527: @431792
     /*  431792 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(431878), // Rule ID 3083 //
     /*  431797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431844 */     // MIs[1] Operand 1
     /*  431844 */     // No operand predicates
     /*  431844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431876 */     GIR_RootConstrainSelectedInstOperands,
     /*  431877 */     // GIR_Coverage, 3083,
     /*  431877 */     GIR_EraseRootFromParent_Done,
     /*  431878 */   // Label 7528: @431878
     /*  431878 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(431964), // Rule ID 3084 //
     /*  431883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431930 */     // MIs[1] Operand 1
     /*  431930 */     // No operand predicates
     /*  431930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431962 */     GIR_RootConstrainSelectedInstOperands,
     /*  431963 */     // GIR_Coverage, 3084,
     /*  431963 */     GIR_EraseRootFromParent_Done,
     /*  431964 */   // Label 7529: @431964
     /*  431964 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432050), // Rule ID 3087 //
     /*  431969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  431980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  431983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  431986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432016 */     // MIs[1] Operand 1
     /*  432016 */     // No operand predicates
     /*  432016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432048 */     GIR_RootConstrainSelectedInstOperands,
     /*  432049 */     // GIR_Coverage, 3087,
     /*  432049 */     GIR_EraseRootFromParent_Done,
     /*  432050 */   // Label 7530: @432050
     /*  432050 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(432136), // Rule ID 3088 //
     /*  432055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432102 */     // MIs[1] Operand 1
     /*  432102 */     // No operand predicates
     /*  432102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432134 */     GIR_RootConstrainSelectedInstOperands,
     /*  432135 */     // GIR_Coverage, 3088,
     /*  432135 */     GIR_EraseRootFromParent_Done,
     /*  432136 */   // Label 7531: @432136
     /*  432136 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(432222), // Rule ID 3091 //
     /*  432141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432188 */     // MIs[1] Operand 1
     /*  432188 */     // No operand predicates
     /*  432188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432220 */     GIR_RootConstrainSelectedInstOperands,
     /*  432221 */     // GIR_Coverage, 3091,
     /*  432221 */     GIR_EraseRootFromParent_Done,
     /*  432222 */   // Label 7532: @432222
     /*  432222 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(432308), // Rule ID 3092 //
     /*  432227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432274 */     // MIs[1] Operand 1
     /*  432274 */     // No operand predicates
     /*  432274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432306 */     GIR_RootConstrainSelectedInstOperands,
     /*  432307 */     // GIR_Coverage, 3092,
     /*  432307 */     GIR_EraseRootFromParent_Done,
     /*  432308 */   // Label 7533: @432308
     /*  432308 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(432394), // Rule ID 3095 //
     /*  432313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432360 */     // MIs[1] Operand 1
     /*  432360 */     // No operand predicates
     /*  432360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432369 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432392 */     GIR_RootConstrainSelectedInstOperands,
     /*  432393 */     // GIR_Coverage, 3095,
     /*  432393 */     GIR_EraseRootFromParent_Done,
     /*  432394 */   // Label 7534: @432394
     /*  432394 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(432480), // Rule ID 3096 //
     /*  432399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432446 */     // MIs[1] Operand 1
     /*  432446 */     // No operand predicates
     /*  432446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432478 */     GIR_RootConstrainSelectedInstOperands,
     /*  432479 */     // GIR_Coverage, 3096,
     /*  432479 */     GIR_EraseRootFromParent_Done,
     /*  432480 */   // Label 7535: @432480
     /*  432480 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(432566), // Rule ID 3099 //
     /*  432485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432532 */     // MIs[1] Operand 1
     /*  432532 */     // No operand predicates
     /*  432532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432564 */     GIR_RootConstrainSelectedInstOperands,
     /*  432565 */     // GIR_Coverage, 3099,
     /*  432565 */     GIR_EraseRootFromParent_Done,
     /*  432566 */   // Label 7536: @432566
     /*  432566 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(432652), // Rule ID 3100 //
     /*  432571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432618 */     // MIs[1] Operand 1
     /*  432618 */     // No operand predicates
     /*  432618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432650 */     GIR_RootConstrainSelectedInstOperands,
     /*  432651 */     // GIR_Coverage, 3100,
     /*  432651 */     GIR_EraseRootFromParent_Done,
     /*  432652 */   // Label 7537: @432652
     /*  432652 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(432738), // Rule ID 3103 //
     /*  432657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432704 */     // MIs[1] Operand 1
     /*  432704 */     // No operand predicates
     /*  432704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432736 */     GIR_RootConstrainSelectedInstOperands,
     /*  432737 */     // GIR_Coverage, 3103,
     /*  432737 */     GIR_EraseRootFromParent_Done,
     /*  432738 */   // Label 7538: @432738
     /*  432738 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(432824), // Rule ID 3104 //
     /*  432743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432790 */     // MIs[1] Operand 1
     /*  432790 */     // No operand predicates
     /*  432790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432822 */     GIR_RootConstrainSelectedInstOperands,
     /*  432823 */     // GIR_Coverage, 3104,
     /*  432823 */     GIR_EraseRootFromParent_Done,
     /*  432824 */   // Label 7539: @432824
     /*  432824 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(432910), // Rule ID 3107 //
     /*  432829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432876 */     // MIs[1] Operand 1
     /*  432876 */     // No operand predicates
     /*  432876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432885 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432908 */     GIR_RootConstrainSelectedInstOperands,
     /*  432909 */     // GIR_Coverage, 3107,
     /*  432909 */     GIR_EraseRootFromParent_Done,
     /*  432910 */   // Label 7540: @432910
     /*  432910 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(432996), // Rule ID 3108 //
     /*  432915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  432923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432962 */     // MIs[1] Operand 1
     /*  432962 */     // No operand predicates
     /*  432962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432994 */     GIR_RootConstrainSelectedInstOperands,
     /*  432995 */     // GIR_Coverage, 3108,
     /*  432995 */     GIR_EraseRootFromParent_Done,
     /*  432996 */   // Label 7541: @432996
     /*  432996 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433082), // Rule ID 3375 //
     /*  433001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433048 */     // MIs[1] Operand 1
     /*  433048 */     // No operand predicates
     /*  433048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433080 */     GIR_RootConstrainSelectedInstOperands,
     /*  433081 */     // GIR_Coverage, 3375,
     /*  433081 */     GIR_EraseRootFromParent_Done,
     /*  433082 */   // Label 7542: @433082
     /*  433082 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(433168), // Rule ID 3376 //
     /*  433087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433134 */     // MIs[1] Operand 1
     /*  433134 */     // No operand predicates
     /*  433134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433143 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  433146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433166 */     GIR_RootConstrainSelectedInstOperands,
     /*  433167 */     // GIR_Coverage, 3376,
     /*  433167 */     GIR_EraseRootFromParent_Done,
     /*  433168 */   // Label 7543: @433168
     /*  433168 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(433254), // Rule ID 3379 //
     /*  433173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433220 */     // MIs[1] Operand 1
     /*  433220 */     // No operand predicates
     /*  433220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433252 */     GIR_RootConstrainSelectedInstOperands,
     /*  433253 */     // GIR_Coverage, 3379,
     /*  433253 */     GIR_EraseRootFromParent_Done,
     /*  433254 */   // Label 7544: @433254
     /*  433254 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(433340), // Rule ID 3380 //
     /*  433259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  433276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433306 */     // MIs[1] Operand 1
     /*  433306 */     // No operand predicates
     /*  433306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433338 */     GIR_RootConstrainSelectedInstOperands,
     /*  433339 */     // GIR_Coverage, 3380,
     /*  433339 */     GIR_EraseRootFromParent_Done,
     /*  433340 */   // Label 7545: @433340
     /*  433340 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(433426), // Rule ID 3383 //
     /*  433345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433392 */     // MIs[1] Operand 1
     /*  433392 */     // No operand predicates
     /*  433392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433401 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433424 */     GIR_RootConstrainSelectedInstOperands,
     /*  433425 */     // GIR_Coverage, 3383,
     /*  433425 */     GIR_EraseRootFromParent_Done,
     /*  433426 */   // Label 7546: @433426
     /*  433426 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(433512), // Rule ID 3384 //
     /*  433431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  433442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  433445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  433448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433478 */     // MIs[1] Operand 1
     /*  433478 */     // No operand predicates
     /*  433478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433487 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433510 */     GIR_RootConstrainSelectedInstOperands,
     /*  433511 */     // GIR_Coverage, 3384,
     /*  433511 */     GIR_EraseRootFromParent_Done,
     /*  433512 */   // Label 7547: @433512
     /*  433512 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(433598), // Rule ID 3387 //
     /*  433517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433564 */     // MIs[1] Operand 1
     /*  433564 */     // No operand predicates
     /*  433564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433596 */     GIR_RootConstrainSelectedInstOperands,
     /*  433597 */     // GIR_Coverage, 3387,
     /*  433597 */     GIR_EraseRootFromParent_Done,
     /*  433598 */   // Label 7548: @433598
     /*  433598 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(433684), // Rule ID 3388 //
     /*  433603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  433614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  433617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433650 */     // MIs[1] Operand 1
     /*  433650 */     // No operand predicates
     /*  433650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  433662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433682 */     GIR_RootConstrainSelectedInstOperands,
     /*  433683 */     // GIR_Coverage, 3388,
     /*  433683 */     GIR_EraseRootFromParent_Done,
     /*  433684 */   // Label 7549: @433684
     /*  433684 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(433770), // Rule ID 3391 //
     /*  433689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  433700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  433703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  433706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433736 */     // MIs[1] Operand 1
     /*  433736 */     // No operand predicates
     /*  433736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433768 */     GIR_RootConstrainSelectedInstOperands,
     /*  433769 */     // GIR_Coverage, 3391,
     /*  433769 */     GIR_EraseRootFromParent_Done,
     /*  433770 */   // Label 7550: @433770
     /*  433770 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(433856), // Rule ID 3392 //
     /*  433775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  433786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  433789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  433792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433822 */     // MIs[1] Operand 1
     /*  433822 */     // No operand predicates
     /*  433822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433854 */     GIR_RootConstrainSelectedInstOperands,
     /*  433855 */     // GIR_Coverage, 3392,
     /*  433855 */     GIR_EraseRootFromParent_Done,
     /*  433856 */   // Label 7551: @433856
     /*  433856 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(433942), // Rule ID 3395 //
     /*  433861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  433872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  433875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  433878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433908 */     // MIs[1] Operand 1
     /*  433908 */     // No operand predicates
     /*  433908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  433920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433940 */     GIR_RootConstrainSelectedInstOperands,
     /*  433941 */     // GIR_Coverage, 3395,
     /*  433941 */     GIR_EraseRootFromParent_Done,
     /*  433942 */   // Label 7552: @433942
     /*  433942 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434028), // Rule ID 3396 //
     /*  433947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  433958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  433961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  433964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433994 */     // MIs[1] Operand 1
     /*  433994 */     // No operand predicates
     /*  433994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  434006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434026 */     GIR_RootConstrainSelectedInstOperands,
     /*  434027 */     // GIR_Coverage, 3396,
     /*  434027 */     GIR_EraseRootFromParent_Done,
     /*  434028 */   // Label 7553: @434028
     /*  434028 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434114), // Rule ID 3399 //
     /*  434033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434080 */     // MIs[1] Operand 1
     /*  434080 */     // No operand predicates
     /*  434080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434112 */     GIR_RootConstrainSelectedInstOperands,
     /*  434113 */     // GIR_Coverage, 3399,
     /*  434113 */     GIR_EraseRootFromParent_Done,
     /*  434114 */   // Label 7554: @434114
     /*  434114 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434200), // Rule ID 3400 //
     /*  434119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434166 */     // MIs[1] Operand 1
     /*  434166 */     // No operand predicates
     /*  434166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434175 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434198 */     GIR_RootConstrainSelectedInstOperands,
     /*  434199 */     // GIR_Coverage, 3400,
     /*  434199 */     GIR_EraseRootFromParent_Done,
     /*  434200 */   // Label 7555: @434200
     /*  434200 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(434286), // Rule ID 3403 //
     /*  434205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434252 */     // MIs[1] Operand 1
     /*  434252 */     // No operand predicates
     /*  434252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434284 */     GIR_RootConstrainSelectedInstOperands,
     /*  434285 */     // GIR_Coverage, 3403,
     /*  434285 */     GIR_EraseRootFromParent_Done,
     /*  434286 */   // Label 7556: @434286
     /*  434286 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(434372), // Rule ID 3404 //
     /*  434291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  434302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  434305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434338 */     // MIs[1] Operand 1
     /*  434338 */     // No operand predicates
     /*  434338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434370 */     GIR_RootConstrainSelectedInstOperands,
     /*  434371 */     // GIR_Coverage, 3404,
     /*  434371 */     GIR_EraseRootFromParent_Done,
     /*  434372 */   // Label 7557: @434372
     /*  434372 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(434458), // Rule ID 3407 //
     /*  434377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434424 */     // MIs[1] Operand 1
     /*  434424 */     // No operand predicates
     /*  434424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434456 */     GIR_RootConstrainSelectedInstOperands,
     /*  434457 */     // GIR_Coverage, 3407,
     /*  434457 */     GIR_EraseRootFromParent_Done,
     /*  434458 */   // Label 7558: @434458
     /*  434458 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(434544), // Rule ID 3408 //
     /*  434463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434510 */     // MIs[1] Operand 1
     /*  434510 */     // No operand predicates
     /*  434510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434542 */     GIR_RootConstrainSelectedInstOperands,
     /*  434543 */     // GIR_Coverage, 3408,
     /*  434543 */     GIR_EraseRootFromParent_Done,
     /*  434544 */   // Label 7559: @434544
     /*  434544 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(434630), // Rule ID 3411 //
     /*  434549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  434566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434596 */     // MIs[1] Operand 1
     /*  434596 */     // No operand predicates
     /*  434596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434628 */     GIR_RootConstrainSelectedInstOperands,
     /*  434629 */     // GIR_Coverage, 3411,
     /*  434629 */     GIR_EraseRootFromParent_Done,
     /*  434630 */   // Label 7560: @434630
     /*  434630 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(434716), // Rule ID 3412 //
     /*  434635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  434652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434682 */     // MIs[1] Operand 1
     /*  434682 */     // No operand predicates
     /*  434682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  434694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434714 */     GIR_RootConstrainSelectedInstOperands,
     /*  434715 */     // GIR_Coverage, 3412,
     /*  434715 */     GIR_EraseRootFromParent_Done,
     /*  434716 */   // Label 7561: @434716
     /*  434716 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(434802), // Rule ID 3415 //
     /*  434721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  434732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  434735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  434738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434768 */     // MIs[1] Operand 1
     /*  434768 */     // No operand predicates
     /*  434768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434800 */     GIR_RootConstrainSelectedInstOperands,
     /*  434801 */     // GIR_Coverage, 3415,
     /*  434801 */     GIR_EraseRootFromParent_Done,
     /*  434802 */   // Label 7562: @434802
     /*  434802 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(434888), // Rule ID 3416 //
     /*  434807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  434818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  434821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  434824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434854 */     // MIs[1] Operand 1
     /*  434854 */     // No operand predicates
     /*  434854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434863 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434886 */     GIR_RootConstrainSelectedInstOperands,
     /*  434887 */     // GIR_Coverage, 3416,
     /*  434887 */     GIR_EraseRootFromParent_Done,
     /*  434888 */   // Label 7563: @434888
     /*  434888 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(434974), // Rule ID 3419 //
     /*  434893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  434904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  434907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  434910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434940 */     // MIs[1] Operand 1
     /*  434940 */     // No operand predicates
     /*  434940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  434952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434972 */     GIR_RootConstrainSelectedInstOperands,
     /*  434973 */     // GIR_Coverage, 3419,
     /*  434973 */     GIR_EraseRootFromParent_Done,
     /*  434974 */   // Label 7564: @434974
     /*  434974 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435060), // Rule ID 3420 //
     /*  434979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  434990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  434993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  434996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435026 */     // MIs[1] Operand 1
     /*  435026 */     // No operand predicates
     /*  435026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435058 */     GIR_RootConstrainSelectedInstOperands,
     /*  435059 */     // GIR_Coverage, 3420,
     /*  435059 */     GIR_EraseRootFromParent_Done,
     /*  435060 */   // Label 7565: @435060
     /*  435060 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435146), // Rule ID 3423 //
     /*  435065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435112 */     // MIs[1] Operand 1
     /*  435112 */     // No operand predicates
     /*  435112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435121 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435144 */     GIR_RootConstrainSelectedInstOperands,
     /*  435145 */     // GIR_Coverage, 3423,
     /*  435145 */     GIR_EraseRootFromParent_Done,
     /*  435146 */   // Label 7566: @435146
     /*  435146 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435232), // Rule ID 3424 //
     /*  435151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435198 */     // MIs[1] Operand 1
     /*  435198 */     // No operand predicates
     /*  435198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435207 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435230 */     GIR_RootConstrainSelectedInstOperands,
     /*  435231 */     // GIR_Coverage, 3424,
     /*  435231 */     GIR_EraseRootFromParent_Done,
     /*  435232 */   // Label 7567: @435232
     /*  435232 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435318), // Rule ID 3427 //
     /*  435237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435284 */     // MIs[1] Operand 1
     /*  435284 */     // No operand predicates
     /*  435284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435316 */     GIR_RootConstrainSelectedInstOperands,
     /*  435317 */     // GIR_Coverage, 3427,
     /*  435317 */     GIR_EraseRootFromParent_Done,
     /*  435318 */   // Label 7568: @435318
     /*  435318 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435404), // Rule ID 3428 //
     /*  435323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  435334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  435337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435370 */     // MIs[1] Operand 1
     /*  435370 */     // No operand predicates
     /*  435370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435379 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435402 */     GIR_RootConstrainSelectedInstOperands,
     /*  435403 */     // GIR_Coverage, 3428,
     /*  435403 */     GIR_EraseRootFromParent_Done,
     /*  435404 */   // Label 7569: @435404
     /*  435404 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(435490), // Rule ID 3431 //
     /*  435409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435456 */     // MIs[1] Operand 1
     /*  435456 */     // No operand predicates
     /*  435456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435488 */     GIR_RootConstrainSelectedInstOperands,
     /*  435489 */     // GIR_Coverage, 3431,
     /*  435489 */     GIR_EraseRootFromParent_Done,
     /*  435490 */   // Label 7570: @435490
     /*  435490 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(435576), // Rule ID 3432 //
     /*  435495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  435506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  435509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435542 */     // MIs[1] Operand 1
     /*  435542 */     // No operand predicates
     /*  435542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435574 */     GIR_RootConstrainSelectedInstOperands,
     /*  435575 */     // GIR_Coverage, 3432,
     /*  435575 */     GIR_EraseRootFromParent_Done,
     /*  435576 */   // Label 7571: @435576
     /*  435576 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(435662), // Rule ID 3435 //
     /*  435581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  435592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  435595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435628 */     // MIs[1] Operand 1
     /*  435628 */     // No operand predicates
     /*  435628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435637 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435660 */     GIR_RootConstrainSelectedInstOperands,
     /*  435661 */     // GIR_Coverage, 3435,
     /*  435661 */     GIR_EraseRootFromParent_Done,
     /*  435662 */   // Label 7572: @435662
     /*  435662 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(435748), // Rule ID 3436 //
     /*  435667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  435678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  435681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435714 */     // MIs[1] Operand 1
     /*  435714 */     // No operand predicates
     /*  435714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435746 */     GIR_RootConstrainSelectedInstOperands,
     /*  435747 */     // GIR_Coverage, 3436,
     /*  435747 */     GIR_EraseRootFromParent_Done,
     /*  435748 */   // Label 7573: @435748
     /*  435748 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(435834), // Rule ID 3439 //
     /*  435753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  435764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  435767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435800 */     // MIs[1] Operand 1
     /*  435800 */     // No operand predicates
     /*  435800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435832 */     GIR_RootConstrainSelectedInstOperands,
     /*  435833 */     // GIR_Coverage, 3439,
     /*  435833 */     GIR_EraseRootFromParent_Done,
     /*  435834 */   // Label 7574: @435834
     /*  435834 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(435920), // Rule ID 3440 //
     /*  435839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  435850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  435853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435886 */     // MIs[1] Operand 1
     /*  435886 */     // No operand predicates
     /*  435886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435918 */     GIR_RootConstrainSelectedInstOperands,
     /*  435919 */     // GIR_Coverage, 3440,
     /*  435919 */     GIR_EraseRootFromParent_Done,
     /*  435920 */   // Label 7575: @435920
     /*  435920 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436006), // Rule ID 3443 //
     /*  435925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  435936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  435939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  435942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435972 */     // MIs[1] Operand 1
     /*  435972 */     // No operand predicates
     /*  435972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436004 */     GIR_RootConstrainSelectedInstOperands,
     /*  436005 */     // GIR_Coverage, 3443,
     /*  436005 */     GIR_EraseRootFromParent_Done,
     /*  436006 */   // Label 7576: @436006
     /*  436006 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436092), // Rule ID 3444 //
     /*  436011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436058 */     // MIs[1] Operand 1
     /*  436058 */     // No operand predicates
     /*  436058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436090 */     GIR_RootConstrainSelectedInstOperands,
     /*  436091 */     // GIR_Coverage, 3444,
     /*  436091 */     GIR_EraseRootFromParent_Done,
     /*  436092 */   // Label 7577: @436092
     /*  436092 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436178), // Rule ID 3447 //
     /*  436097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436144 */     // MIs[1] Operand 1
     /*  436144 */     // No operand predicates
     /*  436144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436176 */     GIR_RootConstrainSelectedInstOperands,
     /*  436177 */     // GIR_Coverage, 3447,
     /*  436177 */     GIR_EraseRootFromParent_Done,
     /*  436178 */   // Label 7578: @436178
     /*  436178 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436264), // Rule ID 3448 //
     /*  436183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436230 */     // MIs[1] Operand 1
     /*  436230 */     // No operand predicates
     /*  436230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436262 */     GIR_RootConstrainSelectedInstOperands,
     /*  436263 */     // GIR_Coverage, 3448,
     /*  436263 */     GIR_EraseRootFromParent_Done,
     /*  436264 */   // Label 7579: @436264
     /*  436264 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436350), // Rule ID 3451 //
     /*  436269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436316 */     // MIs[1] Operand 1
     /*  436316 */     // No operand predicates
     /*  436316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436348 */     GIR_RootConstrainSelectedInstOperands,
     /*  436349 */     // GIR_Coverage, 3451,
     /*  436349 */     GIR_EraseRootFromParent_Done,
     /*  436350 */   // Label 7580: @436350
     /*  436350 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436436), // Rule ID 3452 //
     /*  436355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436402 */     // MIs[1] Operand 1
     /*  436402 */     // No operand predicates
     /*  436402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  436414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436434 */     GIR_RootConstrainSelectedInstOperands,
     /*  436435 */     // GIR_Coverage, 3452,
     /*  436435 */     GIR_EraseRootFromParent_Done,
     /*  436436 */   // Label 7581: @436436
     /*  436436 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436522), // Rule ID 3455 //
     /*  436441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436488 */     // MIs[1] Operand 1
     /*  436488 */     // No operand predicates
     /*  436488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436520 */     GIR_RootConstrainSelectedInstOperands,
     /*  436521 */     // GIR_Coverage, 3455,
     /*  436521 */     GIR_EraseRootFromParent_Done,
     /*  436522 */   // Label 7582: @436522
     /*  436522 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436608), // Rule ID 3456 //
     /*  436527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436574 */     // MIs[1] Operand 1
     /*  436574 */     // No operand predicates
     /*  436574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  436586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436606 */     GIR_RootConstrainSelectedInstOperands,
     /*  436607 */     // GIR_Coverage, 3456,
     /*  436607 */     GIR_EraseRootFromParent_Done,
     /*  436608 */   // Label 7583: @436608
     /*  436608 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(436694), // Rule ID 3459 //
     /*  436613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  436624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  436627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  436630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436660 */     // MIs[1] Operand 1
     /*  436660 */     // No operand predicates
     /*  436660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436692 */     GIR_RootConstrainSelectedInstOperands,
     /*  436693 */     // GIR_Coverage, 3459,
     /*  436693 */     GIR_EraseRootFromParent_Done,
     /*  436694 */   // Label 7584: @436694
     /*  436694 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(436780), // Rule ID 3460 //
     /*  436699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  436707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  436710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  436713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  436716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436746 */     // MIs[1] Operand 1
     /*  436746 */     // No operand predicates
     /*  436746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  436758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436778 */     GIR_RootConstrainSelectedInstOperands,
     /*  436779 */     // GIR_Coverage, 3460,
     /*  436779 */     GIR_EraseRootFromParent_Done,
     /*  436780 */   // Label 7585: @436780
     /*  436780 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(436866), // Rule ID 5823 //
     /*  436785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  436796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  436799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  436802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436832 */     // MIs[1] Operand 1
     /*  436832 */     // No operand predicates
     /*  436832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  436844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436864 */     GIR_RootConstrainSelectedInstOperands,
     /*  436865 */     // GIR_Coverage, 5823,
     /*  436865 */     GIR_EraseRootFromParent_Done,
     /*  436866 */   // Label 7586: @436866
     /*  436866 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(436952), // Rule ID 5824 //
     /*  436871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  436882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  436885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  436888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436918 */     // MIs[1] Operand 1
     /*  436918 */     // No operand predicates
     /*  436918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436927 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  436930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436950 */     GIR_RootConstrainSelectedInstOperands,
     /*  436951 */     // GIR_Coverage, 5824,
     /*  436951 */     GIR_EraseRootFromParent_Done,
     /*  436952 */   // Label 7587: @436952
     /*  436952 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437038), // Rule ID 5827 //
     /*  436957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  436968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  436971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  436974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437004 */     // MIs[1] Operand 1
     /*  437004 */     // No operand predicates
     /*  437004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437036 */     GIR_RootConstrainSelectedInstOperands,
     /*  437037 */     // GIR_Coverage, 5827,
     /*  437037 */     GIR_EraseRootFromParent_Done,
     /*  437038 */   // Label 7588: @437038
     /*  437038 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437124), // Rule ID 5828 //
     /*  437043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437090 */     // MIs[1] Operand 1
     /*  437090 */     // No operand predicates
     /*  437090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437122 */     GIR_RootConstrainSelectedInstOperands,
     /*  437123 */     // GIR_Coverage, 5828,
     /*  437123 */     GIR_EraseRootFromParent_Done,
     /*  437124 */   // Label 7589: @437124
     /*  437124 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437210), // Rule ID 5831 //
     /*  437129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437176 */     // MIs[1] Operand 1
     /*  437176 */     // No operand predicates
     /*  437176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437185 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437208 */     GIR_RootConstrainSelectedInstOperands,
     /*  437209 */     // GIR_Coverage, 5831,
     /*  437209 */     GIR_EraseRootFromParent_Done,
     /*  437210 */   // Label 7590: @437210
     /*  437210 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437296), // Rule ID 5832 //
     /*  437215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437262 */     // MIs[1] Operand 1
     /*  437262 */     // No operand predicates
     /*  437262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437294 */     GIR_RootConstrainSelectedInstOperands,
     /*  437295 */     // GIR_Coverage, 5832,
     /*  437295 */     GIR_EraseRootFromParent_Done,
     /*  437296 */   // Label 7591: @437296
     /*  437296 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437382), // Rule ID 5835 //
     /*  437301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437348 */     // MIs[1] Operand 1
     /*  437348 */     // No operand predicates
     /*  437348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437380 */     GIR_RootConstrainSelectedInstOperands,
     /*  437381 */     // GIR_Coverage, 5835,
     /*  437381 */     GIR_EraseRootFromParent_Done,
     /*  437382 */   // Label 7592: @437382
     /*  437382 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437468), // Rule ID 5836 //
     /*  437387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  437398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  437401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437434 */     // MIs[1] Operand 1
     /*  437434 */     // No operand predicates
     /*  437434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  437446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437466 */     GIR_RootConstrainSelectedInstOperands,
     /*  437467 */     // GIR_Coverage, 5836,
     /*  437467 */     GIR_EraseRootFromParent_Done,
     /*  437468 */   // Label 7593: @437468
     /*  437468 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437554), // Rule ID 5839 //
     /*  437473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437520 */     // MIs[1] Operand 1
     /*  437520 */     // No operand predicates
     /*  437520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437529 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437552 */     GIR_RootConstrainSelectedInstOperands,
     /*  437553 */     // GIR_Coverage, 5839,
     /*  437553 */     GIR_EraseRootFromParent_Done,
     /*  437554 */   // Label 7594: @437554
     /*  437554 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437640), // Rule ID 5840 //
     /*  437559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  437570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  437573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437606 */     // MIs[1] Operand 1
     /*  437606 */     // No operand predicates
     /*  437606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437615 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437638 */     GIR_RootConstrainSelectedInstOperands,
     /*  437639 */     // GIR_Coverage, 5840,
     /*  437639 */     GIR_EraseRootFromParent_Done,
     /*  437640 */   // Label 7595: @437640
     /*  437640 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(437726), // Rule ID 5843 //
     /*  437645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  437656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  437659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  437662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437692 */     // MIs[1] Operand 1
     /*  437692 */     // No operand predicates
     /*  437692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437724 */     GIR_RootConstrainSelectedInstOperands,
     /*  437725 */     // GIR_Coverage, 5843,
     /*  437725 */     GIR_EraseRootFromParent_Done,
     /*  437726 */   // Label 7596: @437726
     /*  437726 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(437812), // Rule ID 5844 //
     /*  437731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  437742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  437745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  437748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437778 */     // MIs[1] Operand 1
     /*  437778 */     // No operand predicates
     /*  437778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  437790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437810 */     GIR_RootConstrainSelectedInstOperands,
     /*  437811 */     // GIR_Coverage, 5844,
     /*  437811 */     GIR_EraseRootFromParent_Done,
     /*  437812 */   // Label 7597: @437812
     /*  437812 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(437898), // Rule ID 5847 //
     /*  437817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  437834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437864 */     // MIs[1] Operand 1
     /*  437864 */     // No operand predicates
     /*  437864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437896 */     GIR_RootConstrainSelectedInstOperands,
     /*  437897 */     // GIR_Coverage, 5847,
     /*  437897 */     GIR_EraseRootFromParent_Done,
     /*  437898 */   // Label 7598: @437898
     /*  437898 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(437984), // Rule ID 5848 //
     /*  437903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  437920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437950 */     // MIs[1] Operand 1
     /*  437950 */     // No operand predicates
     /*  437950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437982 */     GIR_RootConstrainSelectedInstOperands,
     /*  437983 */     // GIR_Coverage, 5848,
     /*  437983 */     GIR_EraseRootFromParent_Done,
     /*  437984 */   // Label 7599: @437984
     /*  437984 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438070), // Rule ID 5851 //
     /*  437989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438036 */     // MIs[1] Operand 1
     /*  438036 */     // No operand predicates
     /*  438036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438045 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438068 */     GIR_RootConstrainSelectedInstOperands,
     /*  438069 */     // GIR_Coverage, 5851,
     /*  438069 */     GIR_EraseRootFromParent_Done,
     /*  438070 */   // Label 7600: @438070
     /*  438070 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438156), // Rule ID 5852 //
     /*  438075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438122 */     // MIs[1] Operand 1
     /*  438122 */     // No operand predicates
     /*  438122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438154 */     GIR_RootConstrainSelectedInstOperands,
     /*  438155 */     // GIR_Coverage, 5852,
     /*  438155 */     GIR_EraseRootFromParent_Done,
     /*  438156 */   // Label 7601: @438156
     /*  438156 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438242), // Rule ID 5855 //
     /*  438161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438208 */     // MIs[1] Operand 1
     /*  438208 */     // No operand predicates
     /*  438208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438240 */     GIR_RootConstrainSelectedInstOperands,
     /*  438241 */     // GIR_Coverage, 5855,
     /*  438241 */     GIR_EraseRootFromParent_Done,
     /*  438242 */   // Label 7602: @438242
     /*  438242 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438328), // Rule ID 5856 //
     /*  438247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438294 */     // MIs[1] Operand 1
     /*  438294 */     // No operand predicates
     /*  438294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438326 */     GIR_RootConstrainSelectedInstOperands,
     /*  438327 */     // GIR_Coverage, 5856,
     /*  438327 */     GIR_EraseRootFromParent_Done,
     /*  438328 */   // Label 7603: @438328
     /*  438328 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438414), // Rule ID 5859 //
     /*  438333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438380 */     // MIs[1] Operand 1
     /*  438380 */     // No operand predicates
     /*  438380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438412 */     GIR_RootConstrainSelectedInstOperands,
     /*  438413 */     // GIR_Coverage, 5859,
     /*  438413 */     GIR_EraseRootFromParent_Done,
     /*  438414 */   // Label 7604: @438414
     /*  438414 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438500), // Rule ID 5860 //
     /*  438419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  438430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  438433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438466 */     // MIs[1] Operand 1
     /*  438466 */     // No operand predicates
     /*  438466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  438478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438498 */     GIR_RootConstrainSelectedInstOperands,
     /*  438499 */     // GIR_Coverage, 5860,
     /*  438499 */     GIR_EraseRootFromParent_Done,
     /*  438500 */   // Label 7605: @438500
     /*  438500 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438586), // Rule ID 5863 //
     /*  438505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438552 */     // MIs[1] Operand 1
     /*  438552 */     // No operand predicates
     /*  438552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438584 */     GIR_RootConstrainSelectedInstOperands,
     /*  438585 */     // GIR_Coverage, 5863,
     /*  438585 */     GIR_EraseRootFromParent_Done,
     /*  438586 */   // Label 7606: @438586
     /*  438586 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438672), // Rule ID 5864 //
     /*  438591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  438602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  438605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  438608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438638 */     // MIs[1] Operand 1
     /*  438638 */     // No operand predicates
     /*  438638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438670 */     GIR_RootConstrainSelectedInstOperands,
     /*  438671 */     // GIR_Coverage, 5864,
     /*  438671 */     GIR_EraseRootFromParent_Done,
     /*  438672 */   // Label 7607: @438672
     /*  438672 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(438758), // Rule ID 5867 //
     /*  438677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  438688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  438691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  438694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438724 */     // MIs[1] Operand 1
     /*  438724 */     // No operand predicates
     /*  438724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438756 */     GIR_RootConstrainSelectedInstOperands,
     /*  438757 */     // GIR_Coverage, 5867,
     /*  438757 */     GIR_EraseRootFromParent_Done,
     /*  438758 */   // Label 7608: @438758
     /*  438758 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438844), // Rule ID 5868 //
     /*  438763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  438774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  438777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  438780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438810 */     // MIs[1] Operand 1
     /*  438810 */     // No operand predicates
     /*  438810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438819 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438842 */     GIR_RootConstrainSelectedInstOperands,
     /*  438843 */     // GIR_Coverage, 5868,
     /*  438843 */     GIR_EraseRootFromParent_Done,
     /*  438844 */   // Label 7609: @438844
     /*  438844 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(438930), // Rule ID 5871 //
     /*  438849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  438860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  438863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  438866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438896 */     // MIs[1] Operand 1
     /*  438896 */     // No operand predicates
     /*  438896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438905 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438928 */     GIR_RootConstrainSelectedInstOperands,
     /*  438929 */     // GIR_Coverage, 5871,
     /*  438929 */     GIR_EraseRootFromParent_Done,
     /*  438930 */   // Label 7610: @438930
     /*  438930 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439016), // Rule ID 5872 //
     /*  438935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  438946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  438949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  438952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438982 */     // MIs[1] Operand 1
     /*  438982 */     // No operand predicates
     /*  438982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438991 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439014 */     GIR_RootConstrainSelectedInstOperands,
     /*  439015 */     // GIR_Coverage, 5872,
     /*  439015 */     GIR_EraseRootFromParent_Done,
     /*  439016 */   // Label 7611: @439016
     /*  439016 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439102), // Rule ID 5875 //
     /*  439021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439068 */     // MIs[1] Operand 1
     /*  439068 */     // No operand predicates
     /*  439068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439100 */     GIR_RootConstrainSelectedInstOperands,
     /*  439101 */     // GIR_Coverage, 5875,
     /*  439101 */     GIR_EraseRootFromParent_Done,
     /*  439102 */   // Label 7612: @439102
     /*  439102 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439188), // Rule ID 5876 //
     /*  439107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439154 */     // MIs[1] Operand 1
     /*  439154 */     // No operand predicates
     /*  439154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439186 */     GIR_RootConstrainSelectedInstOperands,
     /*  439187 */     // GIR_Coverage, 5876,
     /*  439187 */     GIR_EraseRootFromParent_Done,
     /*  439188 */   // Label 7613: @439188
     /*  439188 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439274), // Rule ID 5879 //
     /*  439193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439240 */     // MIs[1] Operand 1
     /*  439240 */     // No operand predicates
     /*  439240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439272 */     GIR_RootConstrainSelectedInstOperands,
     /*  439273 */     // GIR_Coverage, 5879,
     /*  439273 */     GIR_EraseRootFromParent_Done,
     /*  439274 */   // Label 7614: @439274
     /*  439274 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439360), // Rule ID 5880 //
     /*  439279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439326 */     // MIs[1] Operand 1
     /*  439326 */     // No operand predicates
     /*  439326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439335 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439358 */     GIR_RootConstrainSelectedInstOperands,
     /*  439359 */     // GIR_Coverage, 5880,
     /*  439359 */     GIR_EraseRootFromParent_Done,
     /*  439360 */   // Label 7615: @439360
     /*  439360 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439446), // Rule ID 5883 //
     /*  439365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439412 */     // MIs[1] Operand 1
     /*  439412 */     // No operand predicates
     /*  439412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439444 */     GIR_RootConstrainSelectedInstOperands,
     /*  439445 */     // GIR_Coverage, 5883,
     /*  439445 */     GIR_EraseRootFromParent_Done,
     /*  439446 */   // Label 7616: @439446
     /*  439446 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439532), // Rule ID 5884 //
     /*  439451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  439462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  439465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  439468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439498 */     // MIs[1] Operand 1
     /*  439498 */     // No operand predicates
     /*  439498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439530 */     GIR_RootConstrainSelectedInstOperands,
     /*  439531 */     // GIR_Coverage, 5884,
     /*  439531 */     GIR_EraseRootFromParent_Done,
     /*  439532 */   // Label 7617: @439532
     /*  439532 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439618), // Rule ID 5887 //
     /*  439537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439584 */     // MIs[1] Operand 1
     /*  439584 */     // No operand predicates
     /*  439584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439616 */     GIR_RootConstrainSelectedInstOperands,
     /*  439617 */     // GIR_Coverage, 5887,
     /*  439617 */     GIR_EraseRootFromParent_Done,
     /*  439618 */   // Label 7618: @439618
     /*  439618 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439704), // Rule ID 5888 //
     /*  439623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439670 */     // MIs[1] Operand 1
     /*  439670 */     // No operand predicates
     /*  439670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439702 */     GIR_RootConstrainSelectedInstOperands,
     /*  439703 */     // GIR_Coverage, 5888,
     /*  439703 */     GIR_EraseRootFromParent_Done,
     /*  439704 */   // Label 7619: @439704
     /*  439704 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(439790), // Rule ID 5891 //
     /*  439709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439756 */     // MIs[1] Operand 1
     /*  439756 */     // No operand predicates
     /*  439756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439788 */     GIR_RootConstrainSelectedInstOperands,
     /*  439789 */     // GIR_Coverage, 5891,
     /*  439789 */     GIR_EraseRootFromParent_Done,
     /*  439790 */   // Label 7620: @439790
     /*  439790 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439876), // Rule ID 5892 //
     /*  439795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439842 */     // MIs[1] Operand 1
     /*  439842 */     // No operand predicates
     /*  439842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439874 */     GIR_RootConstrainSelectedInstOperands,
     /*  439875 */     // GIR_Coverage, 5892,
     /*  439875 */     GIR_EraseRootFromParent_Done,
     /*  439876 */   // Label 7621: @439876
     /*  439876 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(439962), // Rule ID 5895 //
     /*  439881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  439892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  439895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  439898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439928 */     // MIs[1] Operand 1
     /*  439928 */     // No operand predicates
     /*  439928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439960 */     GIR_RootConstrainSelectedInstOperands,
     /*  439961 */     // GIR_Coverage, 5895,
     /*  439961 */     GIR_EraseRootFromParent_Done,
     /*  439962 */   // Label 7622: @439962
     /*  439962 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440048), // Rule ID 5896 //
     /*  439967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  439978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  439981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  439984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440014 */     // MIs[1] Operand 1
     /*  440014 */     // No operand predicates
     /*  440014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440046 */     GIR_RootConstrainSelectedInstOperands,
     /*  440047 */     // GIR_Coverage, 5896,
     /*  440047 */     GIR_EraseRootFromParent_Done,
     /*  440048 */   // Label 7623: @440048
     /*  440048 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(440134), // Rule ID 5899 //
     /*  440053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440100 */     // MIs[1] Operand 1
     /*  440100 */     // No operand predicates
     /*  440100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440132 */     GIR_RootConstrainSelectedInstOperands,
     /*  440133 */     // GIR_Coverage, 5899,
     /*  440133 */     GIR_EraseRootFromParent_Done,
     /*  440134 */   // Label 7624: @440134
     /*  440134 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(440220), // Rule ID 5900 //
     /*  440139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440186 */     // MIs[1] Operand 1
     /*  440186 */     // No operand predicates
     /*  440186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440195 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  440198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440218 */     GIR_RootConstrainSelectedInstOperands,
     /*  440219 */     // GIR_Coverage, 5900,
     /*  440219 */     GIR_EraseRootFromParent_Done,
     /*  440220 */   // Label 7625: @440220
     /*  440220 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440306), // Rule ID 5903 //
     /*  440225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440272 */     // MIs[1] Operand 1
     /*  440272 */     // No operand predicates
     /*  440272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440281 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440304 */     GIR_RootConstrainSelectedInstOperands,
     /*  440305 */     // GIR_Coverage, 5903,
     /*  440305 */     GIR_EraseRootFromParent_Done,
     /*  440306 */   // Label 7626: @440306
     /*  440306 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440392), // Rule ID 5904 //
     /*  440311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  440322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  440325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440358 */     // MIs[1] Operand 1
     /*  440358 */     // No operand predicates
     /*  440358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  440370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440390 */     GIR_RootConstrainSelectedInstOperands,
     /*  440391 */     // GIR_Coverage, 5904,
     /*  440391 */     GIR_EraseRootFromParent_Done,
     /*  440392 */   // Label 7627: @440392
     /*  440392 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440478), // Rule ID 5907 //
     /*  440397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440444 */     // MIs[1] Operand 1
     /*  440444 */     // No operand predicates
     /*  440444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440476 */     GIR_RootConstrainSelectedInstOperands,
     /*  440477 */     // GIR_Coverage, 5907,
     /*  440477 */     GIR_EraseRootFromParent_Done,
     /*  440478 */   // Label 7628: @440478
     /*  440478 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440564), // Rule ID 5908 //
     /*  440483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  440491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  440494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  440497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440530 */     // MIs[1] Operand 1
     /*  440530 */     // No operand predicates
     /*  440530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  440542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440562 */     GIR_RootConstrainSelectedInstOperands,
     /*  440563 */     // GIR_Coverage, 5908,
     /*  440563 */     GIR_EraseRootFromParent_Done,
     /*  440564 */   // Label 7629: @440564
     /*  440564 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440650), // Rule ID 6087 //
     /*  440569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  440580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  440583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  440586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440616 */     // MIs[1] Operand 1
     /*  440616 */     // No operand predicates
     /*  440616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  440628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440648 */     GIR_RootConstrainSelectedInstOperands,
     /*  440649 */     // GIR_Coverage, 6087,
     /*  440649 */     GIR_EraseRootFromParent_Done,
     /*  440650 */   // Label 7630: @440650
     /*  440650 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(440736), // Rule ID 6088 //
     /*  440655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  440666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  440669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  440672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440702 */     // MIs[1] Operand 1
     /*  440702 */     // No operand predicates
     /*  440702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  440714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440734 */     GIR_RootConstrainSelectedInstOperands,
     /*  440735 */     // GIR_Coverage, 6088,
     /*  440735 */     GIR_EraseRootFromParent_Done,
     /*  440736 */   // Label 7631: @440736
     /*  440736 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(440822), // Rule ID 6091 //
     /*  440741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  440752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  440755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  440758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440788 */     // MIs[1] Operand 1
     /*  440788 */     // No operand predicates
     /*  440788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  440800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440820 */     GIR_RootConstrainSelectedInstOperands,
     /*  440821 */     // GIR_Coverage, 6091,
     /*  440821 */     GIR_EraseRootFromParent_Done,
     /*  440822 */   // Label 7632: @440822
     /*  440822 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(440908), // Rule ID 6092 //
     /*  440827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  440838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  440841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  440844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440874 */     // MIs[1] Operand 1
     /*  440874 */     // No operand predicates
     /*  440874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  440886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440906 */     GIR_RootConstrainSelectedInstOperands,
     /*  440907 */     // GIR_Coverage, 6092,
     /*  440907 */     GIR_EraseRootFromParent_Done,
     /*  440908 */   // Label 7633: @440908
     /*  440908 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(440994), // Rule ID 6095 //
     /*  440913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  440924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  440927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  440930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440960 */     // MIs[1] Operand 1
     /*  440960 */     // No operand predicates
     /*  440960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  440972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440992 */     GIR_RootConstrainSelectedInstOperands,
     /*  440993 */     // GIR_Coverage, 6095,
     /*  440993 */     GIR_EraseRootFromParent_Done,
     /*  440994 */   // Label 7634: @440994
     /*  440994 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441080), // Rule ID 6096 //
     /*  440999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441046 */     // MIs[1] Operand 1
     /*  441046 */     // No operand predicates
     /*  441046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441055 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441078 */     GIR_RootConstrainSelectedInstOperands,
     /*  441079 */     // GIR_Coverage, 6096,
     /*  441079 */     GIR_EraseRootFromParent_Done,
     /*  441080 */   // Label 7635: @441080
     /*  441080 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(441166), // Rule ID 6099 //
     /*  441085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441132 */     // MIs[1] Operand 1
     /*  441132 */     // No operand predicates
     /*  441132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441164 */     GIR_RootConstrainSelectedInstOperands,
     /*  441165 */     // GIR_Coverage, 6099,
     /*  441165 */     GIR_EraseRootFromParent_Done,
     /*  441166 */   // Label 7636: @441166
     /*  441166 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(441252), // Rule ID 6100 //
     /*  441171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441218 */     // MIs[1] Operand 1
     /*  441218 */     // No operand predicates
     /*  441218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  441230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441250 */     GIR_RootConstrainSelectedInstOperands,
     /*  441251 */     // GIR_Coverage, 6100,
     /*  441251 */     GIR_EraseRootFromParent_Done,
     /*  441252 */   // Label 7637: @441252
     /*  441252 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(441338), // Rule ID 6103 //
     /*  441257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441304 */     // MIs[1] Operand 1
     /*  441304 */     // No operand predicates
     /*  441304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441336 */     GIR_RootConstrainSelectedInstOperands,
     /*  441337 */     // GIR_Coverage, 6103,
     /*  441337 */     GIR_EraseRootFromParent_Done,
     /*  441338 */   // Label 7638: @441338
     /*  441338 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(441424), // Rule ID 6104 //
     /*  441343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  441360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441390 */     // MIs[1] Operand 1
     /*  441390 */     // No operand predicates
     /*  441390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441422 */     GIR_RootConstrainSelectedInstOperands,
     /*  441423 */     // GIR_Coverage, 6104,
     /*  441423 */     GIR_EraseRootFromParent_Done,
     /*  441424 */   // Label 7639: @441424
     /*  441424 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441510), // Rule ID 6107 //
     /*  441429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441476 */     // MIs[1] Operand 1
     /*  441476 */     // No operand predicates
     /*  441476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441508 */     GIR_RootConstrainSelectedInstOperands,
     /*  441509 */     // GIR_Coverage, 6107,
     /*  441509 */     GIR_EraseRootFromParent_Done,
     /*  441510 */   // Label 7640: @441510
     /*  441510 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441596), // Rule ID 6108 //
     /*  441515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441562 */     // MIs[1] Operand 1
     /*  441562 */     // No operand predicates
     /*  441562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  441574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441594 */     GIR_RootConstrainSelectedInstOperands,
     /*  441595 */     // GIR_Coverage, 6108,
     /*  441595 */     GIR_EraseRootFromParent_Done,
     /*  441596 */   // Label 7641: @441596
     /*  441596 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441682), // Rule ID 6111 //
     /*  441601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  441612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  441615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  441618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441648 */     // MIs[1] Operand 1
     /*  441648 */     // No operand predicates
     /*  441648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441680 */     GIR_RootConstrainSelectedInstOperands,
     /*  441681 */     // GIR_Coverage, 6111,
     /*  441681 */     GIR_EraseRootFromParent_Done,
     /*  441682 */   // Label 7642: @441682
     /*  441682 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(441768), // Rule ID 6112 //
     /*  441687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  441698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  441701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  441704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441734 */     // MIs[1] Operand 1
     /*  441734 */     // No operand predicates
     /*  441734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441743 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441766 */     GIR_RootConstrainSelectedInstOperands,
     /*  441767 */     // GIR_Coverage, 6112,
     /*  441767 */     GIR_EraseRootFromParent_Done,
     /*  441768 */   // Label 7643: @441768
     /*  441768 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441854), // Rule ID 6115 //
     /*  441773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  441790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441820 */     // MIs[1] Operand 1
     /*  441820 */     // No operand predicates
     /*  441820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441852 */     GIR_RootConstrainSelectedInstOperands,
     /*  441853 */     // GIR_Coverage, 6115,
     /*  441853 */     GIR_EraseRootFromParent_Done,
     /*  441854 */   // Label 7644: @441854
     /*  441854 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(441940), // Rule ID 6116 //
     /*  441859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  441876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441906 */     // MIs[1] Operand 1
     /*  441906 */     // No operand predicates
     /*  441906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441938 */     GIR_RootConstrainSelectedInstOperands,
     /*  441939 */     // GIR_Coverage, 6116,
     /*  441939 */     GIR_EraseRootFromParent_Done,
     /*  441940 */   // Label 7645: @441940
     /*  441940 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442026), // Rule ID 6119 //
     /*  441945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  441956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  441959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  441962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441992 */     // MIs[1] Operand 1
     /*  441992 */     // No operand predicates
     /*  441992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442024 */     GIR_RootConstrainSelectedInstOperands,
     /*  442025 */     // GIR_Coverage, 6119,
     /*  442025 */     GIR_EraseRootFromParent_Done,
     /*  442026 */   // Label 7646: @442026
     /*  442026 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442112), // Rule ID 6120 //
     /*  442031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442078 */     // MIs[1] Operand 1
     /*  442078 */     // No operand predicates
     /*  442078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442110 */     GIR_RootConstrainSelectedInstOperands,
     /*  442111 */     // GIR_Coverage, 6120,
     /*  442111 */     GIR_EraseRootFromParent_Done,
     /*  442112 */   // Label 7647: @442112
     /*  442112 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(442198), // Rule ID 6123 //
     /*  442117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442164 */     // MIs[1] Operand 1
     /*  442164 */     // No operand predicates
     /*  442164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442196 */     GIR_RootConstrainSelectedInstOperands,
     /*  442197 */     // GIR_Coverage, 6123,
     /*  442197 */     GIR_EraseRootFromParent_Done,
     /*  442198 */   // Label 7648: @442198
     /*  442198 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(442284), // Rule ID 6124 //
     /*  442203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442250 */     // MIs[1] Operand 1
     /*  442250 */     // No operand predicates
     /*  442250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  442262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442282 */     GIR_RootConstrainSelectedInstOperands,
     /*  442283 */     // GIR_Coverage, 6124,
     /*  442283 */     GIR_EraseRootFromParent_Done,
     /*  442284 */   // Label 7649: @442284
     /*  442284 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(442370), // Rule ID 6127 //
     /*  442289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442336 */     // MIs[1] Operand 1
     /*  442336 */     // No operand predicates
     /*  442336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442345 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442368 */     GIR_RootConstrainSelectedInstOperands,
     /*  442369 */     // GIR_Coverage, 6127,
     /*  442369 */     GIR_EraseRootFromParent_Done,
     /*  442370 */   // Label 7650: @442370
     /*  442370 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(442456), // Rule ID 6128 //
     /*  442375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  442386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  442389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  442392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442422 */     // MIs[1] Operand 1
     /*  442422 */     // No operand predicates
     /*  442422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442454 */     GIR_RootConstrainSelectedInstOperands,
     /*  442455 */     // GIR_Coverage, 6128,
     /*  442455 */     GIR_EraseRootFromParent_Done,
     /*  442456 */   // Label 7651: @442456
     /*  442456 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(442542), // Rule ID 6131 //
     /*  442461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442508 */     // MIs[1] Operand 1
     /*  442508 */     // No operand predicates
     /*  442508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442540 */     GIR_RootConstrainSelectedInstOperands,
     /*  442541 */     // GIR_Coverage, 6131,
     /*  442541 */     GIR_EraseRootFromParent_Done,
     /*  442542 */   // Label 7652: @442542
     /*  442542 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(442628), // Rule ID 6132 //
     /*  442547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  442558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  442561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  442564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442594 */     // MIs[1] Operand 1
     /*  442594 */     // No operand predicates
     /*  442594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442603 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442626 */     GIR_RootConstrainSelectedInstOperands,
     /*  442627 */     // GIR_Coverage, 6132,
     /*  442627 */     GIR_EraseRootFromParent_Done,
     /*  442628 */   // Label 7653: @442628
     /*  442628 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(442714), // Rule ID 6135 //
     /*  442633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  442644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  442647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  442650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442680 */     // MIs[1] Operand 1
     /*  442680 */     // No operand predicates
     /*  442680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442712 */     GIR_RootConstrainSelectedInstOperands,
     /*  442713 */     // GIR_Coverage, 6135,
     /*  442713 */     GIR_EraseRootFromParent_Done,
     /*  442714 */   // Label 7654: @442714
     /*  442714 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(442800), // Rule ID 6136 //
     /*  442719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  442730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  442733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  442736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442766 */     // MIs[1] Operand 1
     /*  442766 */     // No operand predicates
     /*  442766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442775 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442798 */     GIR_RootConstrainSelectedInstOperands,
     /*  442799 */     // GIR_Coverage, 6136,
     /*  442799 */     GIR_EraseRootFromParent_Done,
     /*  442800 */   // Label 7655: @442800
     /*  442800 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442886), // Rule ID 6139 //
     /*  442805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  442822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442852 */     // MIs[1] Operand 1
     /*  442852 */     // No operand predicates
     /*  442852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442884 */     GIR_RootConstrainSelectedInstOperands,
     /*  442885 */     // GIR_Coverage, 6139,
     /*  442885 */     GIR_EraseRootFromParent_Done,
     /*  442886 */   // Label 7656: @442886
     /*  442886 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(442972), // Rule ID 6140 //
     /*  442891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  442908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442938 */     // MIs[1] Operand 1
     /*  442938 */     // No operand predicates
     /*  442938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442970 */     GIR_RootConstrainSelectedInstOperands,
     /*  442971 */     // GIR_Coverage, 6140,
     /*  442971 */     GIR_EraseRootFromParent_Done,
     /*  442972 */   // Label 7657: @442972
     /*  442972 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443058), // Rule ID 6143 //
     /*  442977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  442988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  442991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  442994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443024 */     // MIs[1] Operand 1
     /*  443024 */     // No operand predicates
     /*  443024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443033 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443056 */     GIR_RootConstrainSelectedInstOperands,
     /*  443057 */     // GIR_Coverage, 6143,
     /*  443057 */     GIR_EraseRootFromParent_Done,
     /*  443058 */   // Label 7658: @443058
     /*  443058 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(443144), // Rule ID 6144 //
     /*  443063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443110 */     // MIs[1] Operand 1
     /*  443110 */     // No operand predicates
     /*  443110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443119 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443142 */     GIR_RootConstrainSelectedInstOperands,
     /*  443143 */     // GIR_Coverage, 6144,
     /*  443143 */     GIR_EraseRootFromParent_Done,
     /*  443144 */   // Label 7659: @443144
     /*  443144 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(443230), // Rule ID 6147 //
     /*  443149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443196 */     // MIs[1] Operand 1
     /*  443196 */     // No operand predicates
     /*  443196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443228 */     GIR_RootConstrainSelectedInstOperands,
     /*  443229 */     // GIR_Coverage, 6147,
     /*  443229 */     GIR_EraseRootFromParent_Done,
     /*  443230 */   // Label 7660: @443230
     /*  443230 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(443316), // Rule ID 6148 //
     /*  443235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443282 */     // MIs[1] Operand 1
     /*  443282 */     // No operand predicates
     /*  443282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443314 */     GIR_RootConstrainSelectedInstOperands,
     /*  443315 */     // GIR_Coverage, 6148,
     /*  443315 */     GIR_EraseRootFromParent_Done,
     /*  443316 */   // Label 7661: @443316
     /*  443316 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(443402), // Rule ID 6151 //
     /*  443321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443368 */     // MIs[1] Operand 1
     /*  443368 */     // No operand predicates
     /*  443368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443400 */     GIR_RootConstrainSelectedInstOperands,
     /*  443401 */     // GIR_Coverage, 6151,
     /*  443401 */     GIR_EraseRootFromParent_Done,
     /*  443402 */   // Label 7662: @443402
     /*  443402 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(443488), // Rule ID 6152 //
     /*  443407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443454 */     // MIs[1] Operand 1
     /*  443454 */     // No operand predicates
     /*  443454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443463 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443486 */     GIR_RootConstrainSelectedInstOperands,
     /*  443487 */     // GIR_Coverage, 6152,
     /*  443487 */     GIR_EraseRootFromParent_Done,
     /*  443488 */   // Label 7663: @443488
     /*  443488 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(443574), // Rule ID 6155 //
     /*  443493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443540 */     // MIs[1] Operand 1
     /*  443540 */     // No operand predicates
     /*  443540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443572 */     GIR_RootConstrainSelectedInstOperands,
     /*  443573 */     // GIR_Coverage, 6155,
     /*  443573 */     GIR_EraseRootFromParent_Done,
     /*  443574 */   // Label 7664: @443574
     /*  443574 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(443660), // Rule ID 6156 //
     /*  443579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443626 */     // MIs[1] Operand 1
     /*  443626 */     // No operand predicates
     /*  443626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  443638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443658 */     GIR_RootConstrainSelectedInstOperands,
     /*  443659 */     // GIR_Coverage, 6156,
     /*  443659 */     GIR_EraseRootFromParent_Done,
     /*  443660 */   // Label 7665: @443660
     /*  443660 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(443746), // Rule ID 6159 //
     /*  443665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  443676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  443679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443712 */     // MIs[1] Operand 1
     /*  443712 */     // No operand predicates
     /*  443712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443744 */     GIR_RootConstrainSelectedInstOperands,
     /*  443745 */     // GIR_Coverage, 6159,
     /*  443745 */     GIR_EraseRootFromParent_Done,
     /*  443746 */   // Label 7666: @443746
     /*  443746 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(443832), // Rule ID 6160 //
     /*  443751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  443762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  443765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443798 */     // MIs[1] Operand 1
     /*  443798 */     // No operand predicates
     /*  443798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443830 */     GIR_RootConstrainSelectedInstOperands,
     /*  443831 */     // GIR_Coverage, 6160,
     /*  443831 */     GIR_EraseRootFromParent_Done,
     /*  443832 */   // Label 7667: @443832
     /*  443832 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(443918), // Rule ID 6163 //
     /*  443837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  443848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  443851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443884 */     // MIs[1] Operand 1
     /*  443884 */     // No operand predicates
     /*  443884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443916 */     GIR_RootConstrainSelectedInstOperands,
     /*  443917 */     // GIR_Coverage, 6163,
     /*  443917 */     GIR_EraseRootFromParent_Done,
     /*  443918 */   // Label 7668: @443918
     /*  443918 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444004), // Rule ID 6164 //
     /*  443923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  443934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  443937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443970 */     // MIs[1] Operand 1
     /*  443970 */     // No operand predicates
     /*  443970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  443982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444002 */     GIR_RootConstrainSelectedInstOperands,
     /*  444003 */     // GIR_Coverage, 6164,
     /*  444003 */     GIR_EraseRootFromParent_Done,
     /*  444004 */   // Label 7669: @444004
     /*  444004 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444090), // Rule ID 6167 //
     /*  444009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444056 */     // MIs[1] Operand 1
     /*  444056 */     // No operand predicates
     /*  444056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444088 */     GIR_RootConstrainSelectedInstOperands,
     /*  444089 */     // GIR_Coverage, 6167,
     /*  444089 */     GIR_EraseRootFromParent_Done,
     /*  444090 */   // Label 7670: @444090
     /*  444090 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(444176), // Rule ID 6168 //
     /*  444095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444142 */     // MIs[1] Operand 1
     /*  444142 */     // No operand predicates
     /*  444142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  444154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444174 */     GIR_RootConstrainSelectedInstOperands,
     /*  444175 */     // GIR_Coverage, 6168,
     /*  444175 */     GIR_EraseRootFromParent_Done,
     /*  444176 */   // Label 7671: @444176
     /*  444176 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(444262), // Rule ID 6171 //
     /*  444181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444228 */     // MIs[1] Operand 1
     /*  444228 */     // No operand predicates
     /*  444228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444237 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444260 */     GIR_RootConstrainSelectedInstOperands,
     /*  444261 */     // GIR_Coverage, 6171,
     /*  444261 */     GIR_EraseRootFromParent_Done,
     /*  444262 */   // Label 7672: @444262
     /*  444262 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(444348), // Rule ID 6172 //
     /*  444267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  444275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  444278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  444281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444314 */     // MIs[1] Operand 1
     /*  444314 */     // No operand predicates
     /*  444314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  444326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444346 */     GIR_RootConstrainSelectedInstOperands,
     /*  444347 */     // GIR_Coverage, 6172,
     /*  444347 */     GIR_EraseRootFromParent_Done,
     /*  444348 */   // Label 7673: @444348
     /*  444348 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(444434), // Rule ID 6351 //
     /*  444353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444400 */     // MIs[1] Operand 1
     /*  444400 */     // No operand predicates
     /*  444400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444432 */     GIR_RootConstrainSelectedInstOperands,
     /*  444433 */     // GIR_Coverage, 6351,
     /*  444433 */     GIR_EraseRootFromParent_Done,
     /*  444434 */   // Label 7674: @444434
     /*  444434 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(444520), // Rule ID 6352 //
     /*  444439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  444450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  444453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  444456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444486 */     // MIs[1] Operand 1
     /*  444486 */     // No operand predicates
     /*  444486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  444498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444518 */     GIR_RootConstrainSelectedInstOperands,
     /*  444519 */     // GIR_Coverage, 6352,
     /*  444519 */     GIR_EraseRootFromParent_Done,
     /*  444520 */   // Label 7675: @444520
     /*  444520 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(444606), // Rule ID 6355 //
     /*  444525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444572 */     // MIs[1] Operand 1
     /*  444572 */     // No operand predicates
     /*  444572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444581 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444604 */     GIR_RootConstrainSelectedInstOperands,
     /*  444605 */     // GIR_Coverage, 6355,
     /*  444605 */     GIR_EraseRootFromParent_Done,
     /*  444606 */   // Label 7676: @444606
     /*  444606 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(444692), // Rule ID 6356 //
     /*  444611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  444622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  444625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  444628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444658 */     // MIs[1] Operand 1
     /*  444658 */     // No operand predicates
     /*  444658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444667 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444690 */     GIR_RootConstrainSelectedInstOperands,
     /*  444691 */     // GIR_Coverage, 6356,
     /*  444691 */     GIR_EraseRootFromParent_Done,
     /*  444692 */   // Label 7677: @444692
     /*  444692 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(444778), // Rule ID 6359 //
     /*  444697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  444708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  444711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  444714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444744 */     // MIs[1] Operand 1
     /*  444744 */     // No operand predicates
     /*  444744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444776 */     GIR_RootConstrainSelectedInstOperands,
     /*  444777 */     // GIR_Coverage, 6359,
     /*  444777 */     GIR_EraseRootFromParent_Done,
     /*  444778 */   // Label 7678: @444778
     /*  444778 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(444864), // Rule ID 6360 //
     /*  444783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  444794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  444797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  444800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444830 */     // MIs[1] Operand 1
     /*  444830 */     // No operand predicates
     /*  444830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444839 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444862 */     GIR_RootConstrainSelectedInstOperands,
     /*  444863 */     // GIR_Coverage, 6360,
     /*  444863 */     GIR_EraseRootFromParent_Done,
     /*  444864 */   // Label 7679: @444864
     /*  444864 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(444950), // Rule ID 6363 //
     /*  444869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  444880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  444883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  444886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444916 */     // MIs[1] Operand 1
     /*  444916 */     // No operand predicates
     /*  444916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  444928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444948 */     GIR_RootConstrainSelectedInstOperands,
     /*  444949 */     // GIR_Coverage, 6363,
     /*  444949 */     GIR_EraseRootFromParent_Done,
     /*  444950 */   // Label 7680: @444950
     /*  444950 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445036), // Rule ID 6364 //
     /*  444955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  444966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  444969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  444972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445002 */     // MIs[1] Operand 1
     /*  445002 */     // No operand predicates
     /*  445002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  445014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445034 */     GIR_RootConstrainSelectedInstOperands,
     /*  445035 */     // GIR_Coverage, 6364,
     /*  445035 */     GIR_EraseRootFromParent_Done,
     /*  445036 */   // Label 7681: @445036
     /*  445036 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445122), // Rule ID 6367 //
     /*  445041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445088 */     // MIs[1] Operand 1
     /*  445088 */     // No operand predicates
     /*  445088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445120 */     GIR_RootConstrainSelectedInstOperands,
     /*  445121 */     // GIR_Coverage, 6367,
     /*  445121 */     GIR_EraseRootFromParent_Done,
     /*  445122 */   // Label 7682: @445122
     /*  445122 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(445208), // Rule ID 6368 //
     /*  445127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445174 */     // MIs[1] Operand 1
     /*  445174 */     // No operand predicates
     /*  445174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445206 */     GIR_RootConstrainSelectedInstOperands,
     /*  445207 */     // GIR_Coverage, 6368,
     /*  445207 */     GIR_EraseRootFromParent_Done,
     /*  445208 */   // Label 7683: @445208
     /*  445208 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(445294), // Rule ID 6371 //
     /*  445213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445260 */     // MIs[1] Operand 1
     /*  445260 */     // No operand predicates
     /*  445260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445292 */     GIR_RootConstrainSelectedInstOperands,
     /*  445293 */     // GIR_Coverage, 6371,
     /*  445293 */     GIR_EraseRootFromParent_Done,
     /*  445294 */   // Label 7684: @445294
     /*  445294 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(445380), // Rule ID 6372 //
     /*  445299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  445310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  445313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  445316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445346 */     // MIs[1] Operand 1
     /*  445346 */     // No operand predicates
     /*  445346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  445358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445378 */     GIR_RootConstrainSelectedInstOperands,
     /*  445379 */     // GIR_Coverage, 6372,
     /*  445379 */     GIR_EraseRootFromParent_Done,
     /*  445380 */   // Label 7685: @445380
     /*  445380 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(445466), // Rule ID 6375 //
     /*  445385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445432 */     // MIs[1] Operand 1
     /*  445432 */     // No operand predicates
     /*  445432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445464 */     GIR_RootConstrainSelectedInstOperands,
     /*  445465 */     // GIR_Coverage, 6375,
     /*  445465 */     GIR_EraseRootFromParent_Done,
     /*  445466 */   // Label 7686: @445466
     /*  445466 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(445552), // Rule ID 6376 //
     /*  445471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  445482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  445485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  445488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445518 */     // MIs[1] Operand 1
     /*  445518 */     // No operand predicates
     /*  445518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445550 */     GIR_RootConstrainSelectedInstOperands,
     /*  445551 */     // GIR_Coverage, 6376,
     /*  445551 */     GIR_EraseRootFromParent_Done,
     /*  445552 */   // Label 7687: @445552
     /*  445552 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(445638), // Rule ID 6379 //
     /*  445557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  445574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445604 */     // MIs[1] Operand 1
     /*  445604 */     // No operand predicates
     /*  445604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445613 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445636 */     GIR_RootConstrainSelectedInstOperands,
     /*  445637 */     // GIR_Coverage, 6379,
     /*  445637 */     GIR_EraseRootFromParent_Done,
     /*  445638 */   // Label 7688: @445638
     /*  445638 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(445724), // Rule ID 6380 //
     /*  445643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  445660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445690 */     // MIs[1] Operand 1
     /*  445690 */     // No operand predicates
     /*  445690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445722 */     GIR_RootConstrainSelectedInstOperands,
     /*  445723 */     // GIR_Coverage, 6380,
     /*  445723 */     GIR_EraseRootFromParent_Done,
     /*  445724 */   // Label 7689: @445724
     /*  445724 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(445810), // Rule ID 6383 //
     /*  445729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  445740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  445743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  445746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445776 */     // MIs[1] Operand 1
     /*  445776 */     // No operand predicates
     /*  445776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445808 */     GIR_RootConstrainSelectedInstOperands,
     /*  445809 */     // GIR_Coverage, 6383,
     /*  445809 */     GIR_EraseRootFromParent_Done,
     /*  445810 */   // Label 7690: @445810
     /*  445810 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(445896), // Rule ID 6384 //
     /*  445815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  445826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  445829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  445832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445862 */     // MIs[1] Operand 1
     /*  445862 */     // No operand predicates
     /*  445862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445894 */     GIR_RootConstrainSelectedInstOperands,
     /*  445895 */     // GIR_Coverage, 6384,
     /*  445895 */     GIR_EraseRootFromParent_Done,
     /*  445896 */   // Label 7691: @445896
     /*  445896 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(445982), // Rule ID 6387 //
     /*  445901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  445912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  445915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  445918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445948 */     // MIs[1] Operand 1
     /*  445948 */     // No operand predicates
     /*  445948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  445960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445980 */     GIR_RootConstrainSelectedInstOperands,
     /*  445981 */     // GIR_Coverage, 6387,
     /*  445981 */     GIR_EraseRootFromParent_Done,
     /*  445982 */   // Label 7692: @445982
     /*  445982 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446068), // Rule ID 6388 //
     /*  445987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  445998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446034 */     // MIs[1] Operand 1
     /*  446034 */     // No operand predicates
     /*  446034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  446046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446066 */     GIR_RootConstrainSelectedInstOperands,
     /*  446067 */     // GIR_Coverage, 6388,
     /*  446067 */     GIR_EraseRootFromParent_Done,
     /*  446068 */   // Label 7693: @446068
     /*  446068 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(446154), // Rule ID 6391 //
     /*  446073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446120 */     // MIs[1] Operand 1
     /*  446120 */     // No operand predicates
     /*  446120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446129 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446152 */     GIR_RootConstrainSelectedInstOperands,
     /*  446153 */     // GIR_Coverage, 6391,
     /*  446153 */     GIR_EraseRootFromParent_Done,
     /*  446154 */   // Label 7694: @446154
     /*  446154 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(446240), // Rule ID 6392 //
     /*  446159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446206 */     // MIs[1] Operand 1
     /*  446206 */     // No operand predicates
     /*  446206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446215 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446238 */     GIR_RootConstrainSelectedInstOperands,
     /*  446239 */     // GIR_Coverage, 6392,
     /*  446239 */     GIR_EraseRootFromParent_Done,
     /*  446240 */   // Label 7695: @446240
     /*  446240 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(446326), // Rule ID 6395 //
     /*  446245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446292 */     // MIs[1] Operand 1
     /*  446292 */     // No operand predicates
     /*  446292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446324 */     GIR_RootConstrainSelectedInstOperands,
     /*  446325 */     // GIR_Coverage, 6395,
     /*  446325 */     GIR_EraseRootFromParent_Done,
     /*  446326 */   // Label 7696: @446326
     /*  446326 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(446412), // Rule ID 6396 //
     /*  446331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  446342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  446345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  446348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446378 */     // MIs[1] Operand 1
     /*  446378 */     // No operand predicates
     /*  446378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446410 */     GIR_RootConstrainSelectedInstOperands,
     /*  446411 */     // GIR_Coverage, 6396,
     /*  446411 */     GIR_EraseRootFromParent_Done,
     /*  446412 */   // Label 7697: @446412
     /*  446412 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(446498), // Rule ID 6399 //
     /*  446417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446464 */     // MIs[1] Operand 1
     /*  446464 */     // No operand predicates
     /*  446464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446496 */     GIR_RootConstrainSelectedInstOperands,
     /*  446497 */     // GIR_Coverage, 6399,
     /*  446497 */     GIR_EraseRootFromParent_Done,
     /*  446498 */   // Label 7698: @446498
     /*  446498 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(446584), // Rule ID 6400 //
     /*  446503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  446514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  446517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  446520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446550 */     // MIs[1] Operand 1
     /*  446550 */     // No operand predicates
     /*  446550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446582 */     GIR_RootConstrainSelectedInstOperands,
     /*  446583 */     // GIR_Coverage, 6400,
     /*  446583 */     GIR_EraseRootFromParent_Done,
     /*  446584 */   // Label 7699: @446584
     /*  446584 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(446670), // Rule ID 6403 //
     /*  446589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  446600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  446603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  446606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446636 */     // MIs[1] Operand 1
     /*  446636 */     // No operand predicates
     /*  446636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446668 */     GIR_RootConstrainSelectedInstOperands,
     /*  446669 */     // GIR_Coverage, 6403,
     /*  446669 */     GIR_EraseRootFromParent_Done,
     /*  446670 */   // Label 7700: @446670
     /*  446670 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(446756), // Rule ID 6404 //
     /*  446675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  446686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  446689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  446692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446722 */     // MIs[1] Operand 1
     /*  446722 */     // No operand predicates
     /*  446722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446754 */     GIR_RootConstrainSelectedInstOperands,
     /*  446755 */     // GIR_Coverage, 6404,
     /*  446755 */     GIR_EraseRootFromParent_Done,
     /*  446756 */   // Label 7701: @446756
     /*  446756 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(446842), // Rule ID 6407 //
     /*  446761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  446772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  446775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  446778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446808 */     // MIs[1] Operand 1
     /*  446808 */     // No operand predicates
     /*  446808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446840 */     GIR_RootConstrainSelectedInstOperands,
     /*  446841 */     // GIR_Coverage, 6407,
     /*  446841 */     GIR_EraseRootFromParent_Done,
     /*  446842 */   // Label 7702: @446842
     /*  446842 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(446928), // Rule ID 6408 //
     /*  446847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  446858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  446861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  446864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446894 */     // MIs[1] Operand 1
     /*  446894 */     // No operand predicates
     /*  446894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446926 */     GIR_RootConstrainSelectedInstOperands,
     /*  446927 */     // GIR_Coverage, 6408,
     /*  446927 */     GIR_EraseRootFromParent_Done,
     /*  446928 */   // Label 7703: @446928
     /*  446928 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447014), // Rule ID 6411 //
     /*  446933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  446944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  446947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  446950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446980 */     // MIs[1] Operand 1
     /*  446980 */     // No operand predicates
     /*  446980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447012 */     GIR_RootConstrainSelectedInstOperands,
     /*  447013 */     // GIR_Coverage, 6411,
     /*  447013 */     GIR_EraseRootFromParent_Done,
     /*  447014 */   // Label 7704: @447014
     /*  447014 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447100), // Rule ID 6412 //
     /*  447019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447066 */     // MIs[1] Operand 1
     /*  447066 */     // No operand predicates
     /*  447066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447098 */     GIR_RootConstrainSelectedInstOperands,
     /*  447099 */     // GIR_Coverage, 6412,
     /*  447099 */     GIR_EraseRootFromParent_Done,
     /*  447100 */   // Label 7705: @447100
     /*  447100 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(447186), // Rule ID 6415 //
     /*  447105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447152 */     // MIs[1] Operand 1
     /*  447152 */     // No operand predicates
     /*  447152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447184 */     GIR_RootConstrainSelectedInstOperands,
     /*  447185 */     // GIR_Coverage, 6415,
     /*  447185 */     GIR_EraseRootFromParent_Done,
     /*  447186 */   // Label 7706: @447186
     /*  447186 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(447272), // Rule ID 6416 //
     /*  447191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447238 */     // MIs[1] Operand 1
     /*  447238 */     // No operand predicates
     /*  447238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447270 */     GIR_RootConstrainSelectedInstOperands,
     /*  447271 */     // GIR_Coverage, 6416,
     /*  447271 */     GIR_EraseRootFromParent_Done,
     /*  447272 */   // Label 7707: @447272
     /*  447272 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(447358), // Rule ID 6419 //
     /*  447277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447324 */     // MIs[1] Operand 1
     /*  447324 */     // No operand predicates
     /*  447324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447356 */     GIR_RootConstrainSelectedInstOperands,
     /*  447357 */     // GIR_Coverage, 6419,
     /*  447357 */     GIR_EraseRootFromParent_Done,
     /*  447358 */   // Label 7708: @447358
     /*  447358 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(447444), // Rule ID 6420 //
     /*  447363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  447374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  447377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  447380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447410 */     // MIs[1] Operand 1
     /*  447410 */     // No operand predicates
     /*  447410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447442 */     GIR_RootConstrainSelectedInstOperands,
     /*  447443 */     // GIR_Coverage, 6420,
     /*  447443 */     GIR_EraseRootFromParent_Done,
     /*  447444 */   // Label 7709: @447444
     /*  447444 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(447530), // Rule ID 6423 //
     /*  447449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447496 */     // MIs[1] Operand 1
     /*  447496 */     // No operand predicates
     /*  447496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447528 */     GIR_RootConstrainSelectedInstOperands,
     /*  447529 */     // GIR_Coverage, 6423,
     /*  447529 */     GIR_EraseRootFromParent_Done,
     /*  447530 */   // Label 7710: @447530
     /*  447530 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(447616), // Rule ID 6424 //
     /*  447535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  447546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  447549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  447552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447582 */     // MIs[1] Operand 1
     /*  447582 */     // No operand predicates
     /*  447582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447591 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  447594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447614 */     GIR_RootConstrainSelectedInstOperands,
     /*  447615 */     // GIR_Coverage, 6424,
     /*  447615 */     GIR_EraseRootFromParent_Done,
     /*  447616 */   // Label 7711: @447616
     /*  447616 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(447702), // Rule ID 6427 //
     /*  447621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  447638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447668 */     // MIs[1] Operand 1
     /*  447668 */     // No operand predicates
     /*  447668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447677 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447700 */     GIR_RootConstrainSelectedInstOperands,
     /*  447701 */     // GIR_Coverage, 6427,
     /*  447701 */     GIR_EraseRootFromParent_Done,
     /*  447702 */   // Label 7712: @447702
     /*  447702 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(447788), // Rule ID 6428 //
     /*  447707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  447724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447754 */     // MIs[1] Operand 1
     /*  447754 */     // No operand predicates
     /*  447754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  447766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447786 */     GIR_RootConstrainSelectedInstOperands,
     /*  447787 */     // GIR_Coverage, 6428,
     /*  447787 */     GIR_EraseRootFromParent_Done,
     /*  447788 */   // Label 7713: @447788
     /*  447788 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(447874), // Rule ID 6431 //
     /*  447793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  447810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447840 */     // MIs[1] Operand 1
     /*  447840 */     // No operand predicates
     /*  447840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447872 */     GIR_RootConstrainSelectedInstOperands,
     /*  447873 */     // GIR_Coverage, 6431,
     /*  447873 */     GIR_EraseRootFromParent_Done,
     /*  447874 */   // Label 7714: @447874
     /*  447874 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(447960), // Rule ID 6432 //
     /*  447879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  447896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447926 */     // MIs[1] Operand 1
     /*  447926 */     // No operand predicates
     /*  447926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  447938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447958 */     GIR_RootConstrainSelectedInstOperands,
     /*  447959 */     // GIR_Coverage, 6432,
     /*  447959 */     GIR_EraseRootFromParent_Done,
     /*  447960 */   // Label 7715: @447960
     /*  447960 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448046), // Rule ID 6435 //
     /*  447965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  447973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  447976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  447979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  447982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448012 */     // MIs[1] Operand 1
     /*  448012 */     // No operand predicates
     /*  448012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448044 */     GIR_RootConstrainSelectedInstOperands,
     /*  448045 */     // GIR_Coverage, 6435,
     /*  448045 */     GIR_EraseRootFromParent_Done,
     /*  448046 */   // Label 7716: @448046
     /*  448046 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(448132), // Rule ID 6436 //
     /*  448051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448098 */     // MIs[1] Operand 1
     /*  448098 */     // No operand predicates
     /*  448098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  448110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448130 */     GIR_RootConstrainSelectedInstOperands,
     /*  448131 */     // GIR_Coverage, 6436,
     /*  448131 */     GIR_EraseRootFromParent_Done,
     /*  448132 */   // Label 7717: @448132
     /*  448132 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(448218), // Rule ID 6615 //
     /*  448137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448184 */     // MIs[1] Operand 1
     /*  448184 */     // No operand predicates
     /*  448184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448216 */     GIR_RootConstrainSelectedInstOperands,
     /*  448217 */     // GIR_Coverage, 6615,
     /*  448217 */     GIR_EraseRootFromParent_Done,
     /*  448218 */   // Label 7718: @448218
     /*  448218 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(448304), // Rule ID 6616 //
     /*  448223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448270 */     // MIs[1] Operand 1
     /*  448270 */     // No operand predicates
     /*  448270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448279 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  448282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448302 */     GIR_RootConstrainSelectedInstOperands,
     /*  448303 */     // GIR_Coverage, 6616,
     /*  448303 */     GIR_EraseRootFromParent_Done,
     /*  448304 */   // Label 7719: @448304
     /*  448304 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(448390), // Rule ID 6619 //
     /*  448309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448356 */     // MIs[1] Operand 1
     /*  448356 */     // No operand predicates
     /*  448356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448365 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448388 */     GIR_RootConstrainSelectedInstOperands,
     /*  448389 */     // GIR_Coverage, 6619,
     /*  448389 */     GIR_EraseRootFromParent_Done,
     /*  448390 */   // Label 7720: @448390
     /*  448390 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(448476), // Rule ID 6620 //
     /*  448395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  448406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  448409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  448412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448442 */     // MIs[1] Operand 1
     /*  448442 */     // No operand predicates
     /*  448442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448451 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448474 */     GIR_RootConstrainSelectedInstOperands,
     /*  448475 */     // GIR_Coverage, 6620,
     /*  448475 */     GIR_EraseRootFromParent_Done,
     /*  448476 */   // Label 7721: @448476
     /*  448476 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(448562), // Rule ID 6623 //
     /*  448481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448528 */     // MIs[1] Operand 1
     /*  448528 */     // No operand predicates
     /*  448528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448560 */     GIR_RootConstrainSelectedInstOperands,
     /*  448561 */     // GIR_Coverage, 6623,
     /*  448561 */     GIR_EraseRootFromParent_Done,
     /*  448562 */   // Label 7722: @448562
     /*  448562 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(448648), // Rule ID 6624 //
     /*  448567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  448578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  448581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  448584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448614 */     // MIs[1] Operand 1
     /*  448614 */     // No operand predicates
     /*  448614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448623 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448646 */     GIR_RootConstrainSelectedInstOperands,
     /*  448647 */     // GIR_Coverage, 6624,
     /*  448647 */     GIR_EraseRootFromParent_Done,
     /*  448648 */   // Label 7723: @448648
     /*  448648 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(448734), // Rule ID 6627 //
     /*  448653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  448664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  448667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  448670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448700 */     // MIs[1] Operand 1
     /*  448700 */     // No operand predicates
     /*  448700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448732 */     GIR_RootConstrainSelectedInstOperands,
     /*  448733 */     // GIR_Coverage, 6627,
     /*  448733 */     GIR_EraseRootFromParent_Done,
     /*  448734 */   // Label 7724: @448734
     /*  448734 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(448820), // Rule ID 6628 //
     /*  448739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  448750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  448753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  448756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448786 */     // MIs[1] Operand 1
     /*  448786 */     // No operand predicates
     /*  448786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  448798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448818 */     GIR_RootConstrainSelectedInstOperands,
     /*  448819 */     // GIR_Coverage, 6628,
     /*  448819 */     GIR_EraseRootFromParent_Done,
     /*  448820 */   // Label 7725: @448820
     /*  448820 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(448906), // Rule ID 6631 //
     /*  448825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  448836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  448839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  448842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448872 */     // MIs[1] Operand 1
     /*  448872 */     // No operand predicates
     /*  448872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448881 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448904 */     GIR_RootConstrainSelectedInstOperands,
     /*  448905 */     // GIR_Coverage, 6631,
     /*  448905 */     GIR_EraseRootFromParent_Done,
     /*  448906 */   // Label 7726: @448906
     /*  448906 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(448992), // Rule ID 6632 //
     /*  448911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  448922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  448925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  448928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448958 */     // MIs[1] Operand 1
     /*  448958 */     // No operand predicates
     /*  448958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  448970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448990 */     GIR_RootConstrainSelectedInstOperands,
     /*  448991 */     // GIR_Coverage, 6632,
     /*  448991 */     GIR_EraseRootFromParent_Done,
     /*  448992 */   // Label 7727: @448992
     /*  448992 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449078), // Rule ID 6635 //
     /*  448997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449044 */     // MIs[1] Operand 1
     /*  449044 */     // No operand predicates
     /*  449044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449076 */     GIR_RootConstrainSelectedInstOperands,
     /*  449077 */     // GIR_Coverage, 6635,
     /*  449077 */     GIR_EraseRootFromParent_Done,
     /*  449078 */   // Label 7728: @449078
     /*  449078 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(449164), // Rule ID 6636 //
     /*  449083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449130 */     // MIs[1] Operand 1
     /*  449130 */     // No operand predicates
     /*  449130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  449142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449162 */     GIR_RootConstrainSelectedInstOperands,
     /*  449163 */     // GIR_Coverage, 6636,
     /*  449163 */     GIR_EraseRootFromParent_Done,
     /*  449164 */   // Label 7729: @449164
     /*  449164 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(449250), // Rule ID 6639 //
     /*  449169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449216 */     // MIs[1] Operand 1
     /*  449216 */     // No operand predicates
     /*  449216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449248 */     GIR_RootConstrainSelectedInstOperands,
     /*  449249 */     // GIR_Coverage, 6639,
     /*  449249 */     GIR_EraseRootFromParent_Done,
     /*  449250 */   // Label 7730: @449250
     /*  449250 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(449336), // Rule ID 6640 //
     /*  449255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449302 */     // MIs[1] Operand 1
     /*  449302 */     // No operand predicates
     /*  449302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449334 */     GIR_RootConstrainSelectedInstOperands,
     /*  449335 */     // GIR_Coverage, 6640,
     /*  449335 */     GIR_EraseRootFromParent_Done,
     /*  449336 */   // Label 7731: @449336
     /*  449336 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(449422), // Rule ID 6643 //
     /*  449341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449388 */     // MIs[1] Operand 1
     /*  449388 */     // No operand predicates
     /*  449388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449420 */     GIR_RootConstrainSelectedInstOperands,
     /*  449421 */     // GIR_Coverage, 6643,
     /*  449421 */     GIR_EraseRootFromParent_Done,
     /*  449422 */   // Label 7732: @449422
     /*  449422 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(449508), // Rule ID 6644 //
     /*  449427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  449444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449474 */     // MIs[1] Operand 1
     /*  449474 */     // No operand predicates
     /*  449474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449506 */     GIR_RootConstrainSelectedInstOperands,
     /*  449507 */     // GIR_Coverage, 6644,
     /*  449507 */     GIR_EraseRootFromParent_Done,
     /*  449508 */   // Label 7733: @449508
     /*  449508 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(449594), // Rule ID 6647 //
     /*  449513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449560 */     // MIs[1] Operand 1
     /*  449560 */     // No operand predicates
     /*  449560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449569 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449592 */     GIR_RootConstrainSelectedInstOperands,
     /*  449593 */     // GIR_Coverage, 6647,
     /*  449593 */     GIR_EraseRootFromParent_Done,
     /*  449594 */   // Label 7734: @449594
     /*  449594 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(449680), // Rule ID 6648 //
     /*  449599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  449610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  449613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  449616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449646 */     // MIs[1] Operand 1
     /*  449646 */     // No operand predicates
     /*  449646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449678 */     GIR_RootConstrainSelectedInstOperands,
     /*  449679 */     // GIR_Coverage, 6648,
     /*  449679 */     GIR_EraseRootFromParent_Done,
     /*  449680 */   // Label 7735: @449680
     /*  449680 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(449766), // Rule ID 6651 //
     /*  449685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  449702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449732 */     // MIs[1] Operand 1
     /*  449732 */     // No operand predicates
     /*  449732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449764 */     GIR_RootConstrainSelectedInstOperands,
     /*  449765 */     // GIR_Coverage, 6651,
     /*  449765 */     GIR_EraseRootFromParent_Done,
     /*  449766 */   // Label 7736: @449766
     /*  449766 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(449852), // Rule ID 6652 //
     /*  449771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  449788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449818 */     // MIs[1] Operand 1
     /*  449818 */     // No operand predicates
     /*  449818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  449830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449850 */     GIR_RootConstrainSelectedInstOperands,
     /*  449851 */     // GIR_Coverage, 6652,
     /*  449851 */     GIR_EraseRootFromParent_Done,
     /*  449852 */   // Label 7737: @449852
     /*  449852 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(449938), // Rule ID 6655 //
     /*  449857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  449868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  449871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  449874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449904 */     // MIs[1] Operand 1
     /*  449904 */     // No operand predicates
     /*  449904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449913 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449936 */     GIR_RootConstrainSelectedInstOperands,
     /*  449937 */     // GIR_Coverage, 6655,
     /*  449937 */     GIR_EraseRootFromParent_Done,
     /*  449938 */   // Label 7738: @449938
     /*  449938 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450024), // Rule ID 6656 //
     /*  449943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  449954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  449957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  449960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449990 */     // MIs[1] Operand 1
     /*  449990 */     // No operand predicates
     /*  449990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449999 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450022 */     GIR_RootConstrainSelectedInstOperands,
     /*  450023 */     // GIR_Coverage, 6656,
     /*  450023 */     GIR_EraseRootFromParent_Done,
     /*  450024 */   // Label 7739: @450024
     /*  450024 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450110), // Rule ID 6659 //
     /*  450029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450076 */     // MIs[1] Operand 1
     /*  450076 */     // No operand predicates
     /*  450076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450085 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450108 */     GIR_RootConstrainSelectedInstOperands,
     /*  450109 */     // GIR_Coverage, 6659,
     /*  450109 */     GIR_EraseRootFromParent_Done,
     /*  450110 */   // Label 7740: @450110
     /*  450110 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(450196), // Rule ID 6660 //
     /*  450115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450162 */     // MIs[1] Operand 1
     /*  450162 */     // No operand predicates
     /*  450162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450171 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450194 */     GIR_RootConstrainSelectedInstOperands,
     /*  450195 */     // GIR_Coverage, 6660,
     /*  450195 */     GIR_EraseRootFromParent_Done,
     /*  450196 */   // Label 7741: @450196
     /*  450196 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(450282), // Rule ID 6663 //
     /*  450201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450248 */     // MIs[1] Operand 1
     /*  450248 */     // No operand predicates
     /*  450248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450280 */     GIR_RootConstrainSelectedInstOperands,
     /*  450281 */     // GIR_Coverage, 6663,
     /*  450281 */     GIR_EraseRootFromParent_Done,
     /*  450282 */   // Label 7742: @450282
     /*  450282 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(450368), // Rule ID 6664 //
     /*  450287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  450298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  450301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  450304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450334 */     // MIs[1] Operand 1
     /*  450334 */     // No operand predicates
     /*  450334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450343 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450366 */     GIR_RootConstrainSelectedInstOperands,
     /*  450367 */     // GIR_Coverage, 6664,
     /*  450367 */     GIR_EraseRootFromParent_Done,
     /*  450368 */   // Label 7743: @450368
     /*  450368 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(450454), // Rule ID 6667 //
     /*  450373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450420 */     // MIs[1] Operand 1
     /*  450420 */     // No operand predicates
     /*  450420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450452 */     GIR_RootConstrainSelectedInstOperands,
     /*  450453 */     // GIR_Coverage, 6667,
     /*  450453 */     GIR_EraseRootFromParent_Done,
     /*  450454 */   // Label 7744: @450454
     /*  450454 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(450540), // Rule ID 6668 //
     /*  450459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  450476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450506 */     // MIs[1] Operand 1
     /*  450506 */     // No operand predicates
     /*  450506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450538 */     GIR_RootConstrainSelectedInstOperands,
     /*  450539 */     // GIR_Coverage, 6668,
     /*  450539 */     GIR_EraseRootFromParent_Done,
     /*  450540 */   // Label 7745: @450540
     /*  450540 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(450626), // Rule ID 6671 //
     /*  450545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  450562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450592 */     // MIs[1] Operand 1
     /*  450592 */     // No operand predicates
     /*  450592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450624 */     GIR_RootConstrainSelectedInstOperands,
     /*  450625 */     // GIR_Coverage, 6671,
     /*  450625 */     GIR_EraseRootFromParent_Done,
     /*  450626 */   // Label 7746: @450626
     /*  450626 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(450712), // Rule ID 6672 //
     /*  450631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  450648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450678 */     // MIs[1] Operand 1
     /*  450678 */     // No operand predicates
     /*  450678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450710 */     GIR_RootConstrainSelectedInstOperands,
     /*  450711 */     // GIR_Coverage, 6672,
     /*  450711 */     GIR_EraseRootFromParent_Done,
     /*  450712 */   // Label 7747: @450712
     /*  450712 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(450798), // Rule ID 6675 //
     /*  450717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  450734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450764 */     // MIs[1] Operand 1
     /*  450764 */     // No operand predicates
     /*  450764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450796 */     GIR_RootConstrainSelectedInstOperands,
     /*  450797 */     // GIR_Coverage, 6675,
     /*  450797 */     GIR_EraseRootFromParent_Done,
     /*  450798 */   // Label 7748: @450798
     /*  450798 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(450884), // Rule ID 6676 //
     /*  450803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  450820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450850 */     // MIs[1] Operand 1
     /*  450850 */     // No operand predicates
     /*  450850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450882 */     GIR_RootConstrainSelectedInstOperands,
     /*  450883 */     // GIR_Coverage, 6676,
     /*  450883 */     GIR_EraseRootFromParent_Done,
     /*  450884 */   // Label 7749: @450884
     /*  450884 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(450970), // Rule ID 6679 //
     /*  450889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  450906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450936 */     // MIs[1] Operand 1
     /*  450936 */     // No operand predicates
     /*  450936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450968 */     GIR_RootConstrainSelectedInstOperands,
     /*  450969 */     // GIR_Coverage, 6679,
     /*  450969 */     GIR_EraseRootFromParent_Done,
     /*  450970 */   // Label 7750: @450970
     /*  450970 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451056), // Rule ID 6680 //
     /*  450975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  450992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451022 */     // MIs[1] Operand 1
     /*  451022 */     // No operand predicates
     /*  451022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451054 */     GIR_RootConstrainSelectedInstOperands,
     /*  451055 */     // GIR_Coverage, 6680,
     /*  451055 */     GIR_EraseRootFromParent_Done,
     /*  451056 */   // Label 7751: @451056
     /*  451056 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(451142), // Rule ID 6683 //
     /*  451061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451108 */     // MIs[1] Operand 1
     /*  451108 */     // No operand predicates
     /*  451108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451140 */     GIR_RootConstrainSelectedInstOperands,
     /*  451141 */     // GIR_Coverage, 6683,
     /*  451141 */     GIR_EraseRootFromParent_Done,
     /*  451142 */   // Label 7752: @451142
     /*  451142 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(451228), // Rule ID 6684 //
     /*  451147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451194 */     // MIs[1] Operand 1
     /*  451194 */     // No operand predicates
     /*  451194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451226 */     GIR_RootConstrainSelectedInstOperands,
     /*  451227 */     // GIR_Coverage, 6684,
     /*  451227 */     GIR_EraseRootFromParent_Done,
     /*  451228 */   // Label 7753: @451228
     /*  451228 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(451314), // Rule ID 6687 //
     /*  451233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451280 */     // MIs[1] Operand 1
     /*  451280 */     // No operand predicates
     /*  451280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451312 */     GIR_RootConstrainSelectedInstOperands,
     /*  451313 */     // GIR_Coverage, 6687,
     /*  451313 */     GIR_EraseRootFromParent_Done,
     /*  451314 */   // Label 7754: @451314
     /*  451314 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(451400), // Rule ID 6688 //
     /*  451319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  451336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451366 */     // MIs[1] Operand 1
     /*  451366 */     // No operand predicates
     /*  451366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451375 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451398 */     GIR_RootConstrainSelectedInstOperands,
     /*  451399 */     // GIR_Coverage, 6688,
     /*  451399 */     GIR_EraseRootFromParent_Done,
     /*  451400 */   // Label 7755: @451400
     /*  451400 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(451486), // Rule ID 6691 //
     /*  451405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451452 */     // MIs[1] Operand 1
     /*  451452 */     // No operand predicates
     /*  451452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451484 */     GIR_RootConstrainSelectedInstOperands,
     /*  451485 */     // GIR_Coverage, 6691,
     /*  451485 */     GIR_EraseRootFromParent_Done,
     /*  451486 */   // Label 7756: @451486
     /*  451486 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(451572), // Rule ID 6692 //
     /*  451491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  451508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451538 */     // MIs[1] Operand 1
     /*  451538 */     // No operand predicates
     /*  451538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  451550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451570 */     GIR_RootConstrainSelectedInstOperands,
     /*  451571 */     // GIR_Coverage, 6692,
     /*  451571 */     GIR_EraseRootFromParent_Done,
     /*  451572 */   // Label 7757: @451572
     /*  451572 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(451658), // Rule ID 6695 //
     /*  451577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  451594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451624 */     // MIs[1] Operand 1
     /*  451624 */     // No operand predicates
     /*  451624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451656 */     GIR_RootConstrainSelectedInstOperands,
     /*  451657 */     // GIR_Coverage, 6695,
     /*  451657 */     GIR_EraseRootFromParent_Done,
     /*  451658 */   // Label 7758: @451658
     /*  451658 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(451744), // Rule ID 6696 //
     /*  451663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  451680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451710 */     // MIs[1] Operand 1
     /*  451710 */     // No operand predicates
     /*  451710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451719 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  451722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451742 */     GIR_RootConstrainSelectedInstOperands,
     /*  451743 */     // GIR_Coverage, 6696,
     /*  451743 */     GIR_EraseRootFromParent_Done,
     /*  451744 */   // Label 7759: @451744
     /*  451744 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(451830), // Rule ID 6699 //
     /*  451749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  451766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451796 */     // MIs[1] Operand 1
     /*  451796 */     // No operand predicates
     /*  451796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451828 */     GIR_RootConstrainSelectedInstOperands,
     /*  451829 */     // GIR_Coverage, 6699,
     /*  451829 */     GIR_EraseRootFromParent_Done,
     /*  451830 */   // Label 7760: @451830
     /*  451830 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(451916), // Rule ID 6700 //
     /*  451835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  451843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  451852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451882 */     // MIs[1] Operand 1
     /*  451882 */     // No operand predicates
     /*  451882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  451894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451914 */     GIR_RootConstrainSelectedInstOperands,
     /*  451915 */     // GIR_Coverage, 6700,
     /*  451915 */     GIR_EraseRootFromParent_Done,
     /*  451916 */   // Label 7761: @451916
     /*  451916 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452002), // Rule ID 6879 //
     /*  451921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  451932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  451935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  451938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451968 */     // MIs[1] Operand 1
     /*  451968 */     // No operand predicates
     /*  451968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  451980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452000 */     GIR_RootConstrainSelectedInstOperands,
     /*  452001 */     // GIR_Coverage, 6879,
     /*  452001 */     GIR_EraseRootFromParent_Done,
     /*  452002 */   // Label 7762: @452002
     /*  452002 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452088), // Rule ID 6880 //
     /*  452007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452054 */     // MIs[1] Operand 1
     /*  452054 */     // No operand predicates
     /*  452054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452063 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  452066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452086 */     GIR_RootConstrainSelectedInstOperands,
     /*  452087 */     // GIR_Coverage, 6880,
     /*  452087 */     GIR_EraseRootFromParent_Done,
     /*  452088 */   // Label 7763: @452088
     /*  452088 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(452174), // Rule ID 6883 //
     /*  452093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452140 */     // MIs[1] Operand 1
     /*  452140 */     // No operand predicates
     /*  452140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452172 */     GIR_RootConstrainSelectedInstOperands,
     /*  452173 */     // GIR_Coverage, 6883,
     /*  452173 */     GIR_EraseRootFromParent_Done,
     /*  452174 */   // Label 7764: @452174
     /*  452174 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(452260), // Rule ID 6884 //
     /*  452179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452226 */     // MIs[1] Operand 1
     /*  452226 */     // No operand predicates
     /*  452226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452258 */     GIR_RootConstrainSelectedInstOperands,
     /*  452259 */     // GIR_Coverage, 6884,
     /*  452259 */     GIR_EraseRootFromParent_Done,
     /*  452260 */   // Label 7765: @452260
     /*  452260 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(452346), // Rule ID 6887 //
     /*  452265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452312 */     // MIs[1] Operand 1
     /*  452312 */     // No operand predicates
     /*  452312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452321 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452344 */     GIR_RootConstrainSelectedInstOperands,
     /*  452345 */     // GIR_Coverage, 6887,
     /*  452345 */     GIR_EraseRootFromParent_Done,
     /*  452346 */   // Label 7766: @452346
     /*  452346 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(452432), // Rule ID 6888 //
     /*  452351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452398 */     // MIs[1] Operand 1
     /*  452398 */     // No operand predicates
     /*  452398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452407 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452430 */     GIR_RootConstrainSelectedInstOperands,
     /*  452431 */     // GIR_Coverage, 6888,
     /*  452431 */     GIR_EraseRootFromParent_Done,
     /*  452432 */   // Label 7767: @452432
     /*  452432 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(452518), // Rule ID 6891 //
     /*  452437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452484 */     // MIs[1] Operand 1
     /*  452484 */     // No operand predicates
     /*  452484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452516 */     GIR_RootConstrainSelectedInstOperands,
     /*  452517 */     // GIR_Coverage, 6891,
     /*  452517 */     GIR_EraseRootFromParent_Done,
     /*  452518 */   // Label 7768: @452518
     /*  452518 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(452604), // Rule ID 6892 //
     /*  452523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452570 */     // MIs[1] Operand 1
     /*  452570 */     // No operand predicates
     /*  452570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  452582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452602 */     GIR_RootConstrainSelectedInstOperands,
     /*  452603 */     // GIR_Coverage, 6892,
     /*  452603 */     GIR_EraseRootFromParent_Done,
     /*  452604 */   // Label 7769: @452604
     /*  452604 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(452690), // Rule ID 6895 //
     /*  452609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  452620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  452623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  452626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452656 */     // MIs[1] Operand 1
     /*  452656 */     // No operand predicates
     /*  452656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452665 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452688 */     GIR_RootConstrainSelectedInstOperands,
     /*  452689 */     // GIR_Coverage, 6895,
     /*  452689 */     GIR_EraseRootFromParent_Done,
     /*  452690 */   // Label 7770: @452690
     /*  452690 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(452776), // Rule ID 6896 //
     /*  452695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  452706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  452709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  452712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452742 */     // MIs[1] Operand 1
     /*  452742 */     // No operand predicates
     /*  452742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452774 */     GIR_RootConstrainSelectedInstOperands,
     /*  452775 */     // GIR_Coverage, 6896,
     /*  452775 */     GIR_EraseRootFromParent_Done,
     /*  452776 */   // Label 7771: @452776
     /*  452776 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(452862), // Rule ID 6899 //
     /*  452781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  452798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452828 */     // MIs[1] Operand 1
     /*  452828 */     // No operand predicates
     /*  452828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452860 */     GIR_RootConstrainSelectedInstOperands,
     /*  452861 */     // GIR_Coverage, 6899,
     /*  452861 */     GIR_EraseRootFromParent_Done,
     /*  452862 */   // Label 7772: @452862
     /*  452862 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(452948), // Rule ID 6900 //
     /*  452867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  452884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452914 */     // MIs[1] Operand 1
     /*  452914 */     // No operand predicates
     /*  452914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  452926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452946 */     GIR_RootConstrainSelectedInstOperands,
     /*  452947 */     // GIR_Coverage, 6900,
     /*  452947 */     GIR_EraseRootFromParent_Done,
     /*  452948 */   // Label 7773: @452948
     /*  452948 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453034), // Rule ID 6903 //
     /*  452953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  452964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  452967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  452970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453000 */     // MIs[1] Operand 1
     /*  453000 */     // No operand predicates
     /*  453000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453032 */     GIR_RootConstrainSelectedInstOperands,
     /*  453033 */     // GIR_Coverage, 6903,
     /*  453033 */     GIR_EraseRootFromParent_Done,
     /*  453034 */   // Label 7774: @453034
     /*  453034 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453120), // Rule ID 6904 //
     /*  453039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453086 */     // MIs[1] Operand 1
     /*  453086 */     // No operand predicates
     /*  453086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453095 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453118 */     GIR_RootConstrainSelectedInstOperands,
     /*  453119 */     // GIR_Coverage, 6904,
     /*  453119 */     GIR_EraseRootFromParent_Done,
     /*  453120 */   // Label 7775: @453120
     /*  453120 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(453206), // Rule ID 6907 //
     /*  453125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453172 */     // MIs[1] Operand 1
     /*  453172 */     // No operand predicates
     /*  453172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453204 */     GIR_RootConstrainSelectedInstOperands,
     /*  453205 */     // GIR_Coverage, 6907,
     /*  453205 */     GIR_EraseRootFromParent_Done,
     /*  453206 */   // Label 7776: @453206
     /*  453206 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(453292), // Rule ID 6908 //
     /*  453211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453258 */     // MIs[1] Operand 1
     /*  453258 */     // No operand predicates
     /*  453258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453290 */     GIR_RootConstrainSelectedInstOperands,
     /*  453291 */     // GIR_Coverage, 6908,
     /*  453291 */     GIR_EraseRootFromParent_Done,
     /*  453292 */   // Label 7777: @453292
     /*  453292 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(453378), // Rule ID 6911 //
     /*  453297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453344 */     // MIs[1] Operand 1
     /*  453344 */     // No operand predicates
     /*  453344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453376 */     GIR_RootConstrainSelectedInstOperands,
     /*  453377 */     // GIR_Coverage, 6911,
     /*  453377 */     GIR_EraseRootFromParent_Done,
     /*  453378 */   // Label 7778: @453378
     /*  453378 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(453464), // Rule ID 6912 //
     /*  453383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453430 */     // MIs[1] Operand 1
     /*  453430 */     // No operand predicates
     /*  453430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453462 */     GIR_RootConstrainSelectedInstOperands,
     /*  453463 */     // GIR_Coverage, 6912,
     /*  453463 */     GIR_EraseRootFromParent_Done,
     /*  453464 */   // Label 7779: @453464
     /*  453464 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(453550), // Rule ID 6915 //
     /*  453469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453516 */     // MIs[1] Operand 1
     /*  453516 */     // No operand predicates
     /*  453516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453548 */     GIR_RootConstrainSelectedInstOperands,
     /*  453549 */     // GIR_Coverage, 6915,
     /*  453549 */     GIR_EraseRootFromParent_Done,
     /*  453550 */   // Label 7780: @453550
     /*  453550 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(453636), // Rule ID 6916 //
     /*  453555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453602 */     // MIs[1] Operand 1
     /*  453602 */     // No operand predicates
     /*  453602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  453614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453634 */     GIR_RootConstrainSelectedInstOperands,
     /*  453635 */     // GIR_Coverage, 6916,
     /*  453635 */     GIR_EraseRootFromParent_Done,
     /*  453636 */   // Label 7781: @453636
     /*  453636 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(453722), // Rule ID 6919 //
     /*  453641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  453652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  453655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  453658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453688 */     // MIs[1] Operand 1
     /*  453688 */     // No operand predicates
     /*  453688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453720 */     GIR_RootConstrainSelectedInstOperands,
     /*  453721 */     // GIR_Coverage, 6919,
     /*  453721 */     GIR_EraseRootFromParent_Done,
     /*  453722 */   // Label 7782: @453722
     /*  453722 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(453808), // Rule ID 6920 //
     /*  453727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  453738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  453741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  453744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453774 */     // MIs[1] Operand 1
     /*  453774 */     // No operand predicates
     /*  453774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453806 */     GIR_RootConstrainSelectedInstOperands,
     /*  453807 */     // GIR_Coverage, 6920,
     /*  453807 */     GIR_EraseRootFromParent_Done,
     /*  453808 */   // Label 7783: @453808
     /*  453808 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(453894), // Rule ID 6923 //
     /*  453813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  453824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  453827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  453830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453860 */     // MIs[1] Operand 1
     /*  453860 */     // No operand predicates
     /*  453860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453892 */     GIR_RootConstrainSelectedInstOperands,
     /*  453893 */     // GIR_Coverage, 6923,
     /*  453893 */     GIR_EraseRootFromParent_Done,
     /*  453894 */   // Label 7784: @453894
     /*  453894 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(453980), // Rule ID 6924 //
     /*  453899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  453910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  453913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  453916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453946 */     // MIs[1] Operand 1
     /*  453946 */     // No operand predicates
     /*  453946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453955 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453978 */     GIR_RootConstrainSelectedInstOperands,
     /*  453979 */     // GIR_Coverage, 6924,
     /*  453979 */     GIR_EraseRootFromParent_Done,
     /*  453980 */   // Label 7785: @453980
     /*  453980 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454066), // Rule ID 6927 //
     /*  453985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  453996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  453999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454032 */     // MIs[1] Operand 1
     /*  454032 */     // No operand predicates
     /*  454032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454064 */     GIR_RootConstrainSelectedInstOperands,
     /*  454065 */     // GIR_Coverage, 6927,
     /*  454065 */     GIR_EraseRootFromParent_Done,
     /*  454066 */   // Label 7786: @454066
     /*  454066 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(454152), // Rule ID 6928 //
     /*  454071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454118 */     // MIs[1] Operand 1
     /*  454118 */     // No operand predicates
     /*  454118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454127 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454150 */     GIR_RootConstrainSelectedInstOperands,
     /*  454151 */     // GIR_Coverage, 6928,
     /*  454151 */     GIR_EraseRootFromParent_Done,
     /*  454152 */   // Label 7787: @454152
     /*  454152 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(454238), // Rule ID 6931 //
     /*  454157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454204 */     // MIs[1] Operand 1
     /*  454204 */     // No operand predicates
     /*  454204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454236 */     GIR_RootConstrainSelectedInstOperands,
     /*  454237 */     // GIR_Coverage, 6931,
     /*  454237 */     GIR_EraseRootFromParent_Done,
     /*  454238 */   // Label 7788: @454238
     /*  454238 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(454324), // Rule ID 6932 //
     /*  454243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454290 */     // MIs[1] Operand 1
     /*  454290 */     // No operand predicates
     /*  454290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454322 */     GIR_RootConstrainSelectedInstOperands,
     /*  454323 */     // GIR_Coverage, 6932,
     /*  454323 */     GIR_EraseRootFromParent_Done,
     /*  454324 */   // Label 7789: @454324
     /*  454324 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(454410), // Rule ID 6935 //
     /*  454329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454376 */     // MIs[1] Operand 1
     /*  454376 */     // No operand predicates
     /*  454376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454408 */     GIR_RootConstrainSelectedInstOperands,
     /*  454409 */     // GIR_Coverage, 6935,
     /*  454409 */     GIR_EraseRootFromParent_Done,
     /*  454410 */   // Label 7790: @454410
     /*  454410 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(454496), // Rule ID 6936 //
     /*  454415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454462 */     // MIs[1] Operand 1
     /*  454462 */     // No operand predicates
     /*  454462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454494 */     GIR_RootConstrainSelectedInstOperands,
     /*  454495 */     // GIR_Coverage, 6936,
     /*  454495 */     GIR_EraseRootFromParent_Done,
     /*  454496 */   // Label 7791: @454496
     /*  454496 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(454582), // Rule ID 6939 //
     /*  454501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454548 */     // MIs[1] Operand 1
     /*  454548 */     // No operand predicates
     /*  454548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454580 */     GIR_RootConstrainSelectedInstOperands,
     /*  454581 */     // GIR_Coverage, 6939,
     /*  454581 */     GIR_EraseRootFromParent_Done,
     /*  454582 */   // Label 7792: @454582
     /*  454582 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(454668), // Rule ID 6940 //
     /*  454587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454634 */     // MIs[1] Operand 1
     /*  454634 */     // No operand predicates
     /*  454634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454666 */     GIR_RootConstrainSelectedInstOperands,
     /*  454667 */     // GIR_Coverage, 6940,
     /*  454667 */     GIR_EraseRootFromParent_Done,
     /*  454668 */   // Label 7793: @454668
     /*  454668 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(454754), // Rule ID 6943 //
     /*  454673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  454684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  454687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  454690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454720 */     // MIs[1] Operand 1
     /*  454720 */     // No operand predicates
     /*  454720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454752 */     GIR_RootConstrainSelectedInstOperands,
     /*  454753 */     // GIR_Coverage, 6943,
     /*  454753 */     GIR_EraseRootFromParent_Done,
     /*  454754 */   // Label 7794: @454754
     /*  454754 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(454840), // Rule ID 6944 //
     /*  454759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  454770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  454773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  454776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454806 */     // MIs[1] Operand 1
     /*  454806 */     // No operand predicates
     /*  454806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454838 */     GIR_RootConstrainSelectedInstOperands,
     /*  454839 */     // GIR_Coverage, 6944,
     /*  454839 */     GIR_EraseRootFromParent_Done,
     /*  454840 */   // Label 7795: @454840
     /*  454840 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(454926), // Rule ID 6947 //
     /*  454845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  454856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  454859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  454862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454892 */     // MIs[1] Operand 1
     /*  454892 */     // No operand predicates
     /*  454892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454924 */     GIR_RootConstrainSelectedInstOperands,
     /*  454925 */     // GIR_Coverage, 6947,
     /*  454925 */     GIR_EraseRootFromParent_Done,
     /*  454926 */   // Label 7796: @454926
     /*  454926 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455012), // Rule ID 6948 //
     /*  454931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  454942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  454945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  454948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454978 */     // MIs[1] Operand 1
     /*  454978 */     // No operand predicates
     /*  454978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455010 */     GIR_RootConstrainSelectedInstOperands,
     /*  455011 */     // GIR_Coverage, 6948,
     /*  455011 */     GIR_EraseRootFromParent_Done,
     /*  455012 */   // Label 7797: @455012
     /*  455012 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455098), // Rule ID 6951 //
     /*  455017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455064 */     // MIs[1] Operand 1
     /*  455064 */     // No operand predicates
     /*  455064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455096 */     GIR_RootConstrainSelectedInstOperands,
     /*  455097 */     // GIR_Coverage, 6951,
     /*  455097 */     GIR_EraseRootFromParent_Done,
     /*  455098 */   // Label 7798: @455098
     /*  455098 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(455184), // Rule ID 6952 //
     /*  455103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455150 */     // MIs[1] Operand 1
     /*  455150 */     // No operand predicates
     /*  455150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455182 */     GIR_RootConstrainSelectedInstOperands,
     /*  455183 */     // GIR_Coverage, 6952,
     /*  455183 */     GIR_EraseRootFromParent_Done,
     /*  455184 */   // Label 7799: @455184
     /*  455184 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(455270), // Rule ID 6955 //
     /*  455189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455236 */     // MIs[1] Operand 1
     /*  455236 */     // No operand predicates
     /*  455236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455268 */     GIR_RootConstrainSelectedInstOperands,
     /*  455269 */     // GIR_Coverage, 6955,
     /*  455269 */     GIR_EraseRootFromParent_Done,
     /*  455270 */   // Label 7800: @455270
     /*  455270 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(455356), // Rule ID 6956 //
     /*  455275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455322 */     // MIs[1] Operand 1
     /*  455322 */     // No operand predicates
     /*  455322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  455334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455354 */     GIR_RootConstrainSelectedInstOperands,
     /*  455355 */     // GIR_Coverage, 6956,
     /*  455355 */     GIR_EraseRootFromParent_Done,
     /*  455356 */   // Label 7801: @455356
     /*  455356 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(455442), // Rule ID 6959 //
     /*  455361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455408 */     // MIs[1] Operand 1
     /*  455408 */     // No operand predicates
     /*  455408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455440 */     GIR_RootConstrainSelectedInstOperands,
     /*  455441 */     // GIR_Coverage, 6959,
     /*  455441 */     GIR_EraseRootFromParent_Done,
     /*  455442 */   // Label 7802: @455442
     /*  455442 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(455528), // Rule ID 6960 //
     /*  455447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455494 */     // MIs[1] Operand 1
     /*  455494 */     // No operand predicates
     /*  455494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  455506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455526 */     GIR_RootConstrainSelectedInstOperands,
     /*  455527 */     // GIR_Coverage, 6960,
     /*  455527 */     GIR_EraseRootFromParent_Done,
     /*  455528 */   // Label 7803: @455528
     /*  455528 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(455614), // Rule ID 6963 //
     /*  455533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455580 */     // MIs[1] Operand 1
     /*  455580 */     // No operand predicates
     /*  455580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455612 */     GIR_RootConstrainSelectedInstOperands,
     /*  455613 */     // GIR_Coverage, 6963,
     /*  455613 */     GIR_EraseRootFromParent_Done,
     /*  455614 */   // Label 7804: @455614
     /*  455614 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(455700), // Rule ID 6964 //
     /*  455619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  455627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455666 */     // MIs[1] Operand 1
     /*  455666 */     // No operand predicates
     /*  455666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  455678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455698 */     GIR_RootConstrainSelectedInstOperands,
     /*  455699 */     // GIR_Coverage, 6964,
     /*  455699 */     GIR_EraseRootFromParent_Done,
     /*  455700 */   // Label 7805: @455700
     /*  455700 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(455786), // Rule ID 7143 //
     /*  455705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  455716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  455719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  455722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455752 */     // MIs[1] Operand 1
     /*  455752 */     // No operand predicates
     /*  455752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455761 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  455764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455784 */     GIR_RootConstrainSelectedInstOperands,
     /*  455785 */     // GIR_Coverage, 7143,
     /*  455785 */     GIR_EraseRootFromParent_Done,
     /*  455786 */   // Label 7806: @455786
     /*  455786 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(455872), // Rule ID 7144 //
     /*  455791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  455802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  455805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  455808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455838 */     // MIs[1] Operand 1
     /*  455838 */     // No operand predicates
     /*  455838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  455850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455870 */     GIR_RootConstrainSelectedInstOperands,
     /*  455871 */     // GIR_Coverage, 7144,
     /*  455871 */     GIR_EraseRootFromParent_Done,
     /*  455872 */   // Label 7807: @455872
     /*  455872 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(455958), // Rule ID 7147 //
     /*  455877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  455888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  455891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  455894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455924 */     // MIs[1] Operand 1
     /*  455924 */     // No operand predicates
     /*  455924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  455936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455956 */     GIR_RootConstrainSelectedInstOperands,
     /*  455957 */     // GIR_Coverage, 7147,
     /*  455957 */     GIR_EraseRootFromParent_Done,
     /*  455958 */   // Label 7808: @455958
     /*  455958 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456044), // Rule ID 7148 //
     /*  455963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  455974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  455977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  455980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456010 */     // MIs[1] Operand 1
     /*  456010 */     // No operand predicates
     /*  456010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456042 */     GIR_RootConstrainSelectedInstOperands,
     /*  456043 */     // GIR_Coverage, 7148,
     /*  456043 */     GIR_EraseRootFromParent_Done,
     /*  456044 */   // Label 7809: @456044
     /*  456044 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(456130), // Rule ID 7151 //
     /*  456049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456096 */     // MIs[1] Operand 1
     /*  456096 */     // No operand predicates
     /*  456096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456105 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456128 */     GIR_RootConstrainSelectedInstOperands,
     /*  456129 */     // GIR_Coverage, 7151,
     /*  456129 */     GIR_EraseRootFromParent_Done,
     /*  456130 */   // Label 7810: @456130
     /*  456130 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(456216), // Rule ID 7152 //
     /*  456135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456182 */     // MIs[1] Operand 1
     /*  456182 */     // No operand predicates
     /*  456182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456191 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456214 */     GIR_RootConstrainSelectedInstOperands,
     /*  456215 */     // GIR_Coverage, 7152,
     /*  456215 */     GIR_EraseRootFromParent_Done,
     /*  456216 */   // Label 7811: @456216
     /*  456216 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(456302), // Rule ID 7155 //
     /*  456221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456268 */     // MIs[1] Operand 1
     /*  456268 */     // No operand predicates
     /*  456268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456277 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456300 */     GIR_RootConstrainSelectedInstOperands,
     /*  456301 */     // GIR_Coverage, 7155,
     /*  456301 */     GIR_EraseRootFromParent_Done,
     /*  456302 */   // Label 7812: @456302
     /*  456302 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(456388), // Rule ID 7156 //
     /*  456307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456354 */     // MIs[1] Operand 1
     /*  456354 */     // No operand predicates
     /*  456354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456363 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  456366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456386 */     GIR_RootConstrainSelectedInstOperands,
     /*  456387 */     // GIR_Coverage, 7156,
     /*  456387 */     GIR_EraseRootFromParent_Done,
     /*  456388 */   // Label 7813: @456388
     /*  456388 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(456474), // Rule ID 7159 //
     /*  456393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456440 */     // MIs[1] Operand 1
     /*  456440 */     // No operand predicates
     /*  456440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456449 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456472 */     GIR_RootConstrainSelectedInstOperands,
     /*  456473 */     // GIR_Coverage, 7159,
     /*  456473 */     GIR_EraseRootFromParent_Done,
     /*  456474 */   // Label 7814: @456474
     /*  456474 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(456560), // Rule ID 7160 //
     /*  456479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456526 */     // MIs[1] Operand 1
     /*  456526 */     // No operand predicates
     /*  456526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456535 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456558 */     GIR_RootConstrainSelectedInstOperands,
     /*  456559 */     // GIR_Coverage, 7160,
     /*  456559 */     GIR_EraseRootFromParent_Done,
     /*  456560 */   // Label 7815: @456560
     /*  456560 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(456646), // Rule ID 7163 //
     /*  456565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456612 */     // MIs[1] Operand 1
     /*  456612 */     // No operand predicates
     /*  456612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456644 */     GIR_RootConstrainSelectedInstOperands,
     /*  456645 */     // GIR_Coverage, 7163,
     /*  456645 */     GIR_EraseRootFromParent_Done,
     /*  456646 */   // Label 7816: @456646
     /*  456646 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(456732), // Rule ID 7164 //
     /*  456651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456698 */     // MIs[1] Operand 1
     /*  456698 */     // No operand predicates
     /*  456698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  456710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456730 */     GIR_RootConstrainSelectedInstOperands,
     /*  456731 */     // GIR_Coverage, 7164,
     /*  456731 */     GIR_EraseRootFromParent_Done,
     /*  456732 */   // Label 7817: @456732
     /*  456732 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(456818), // Rule ID 7167 //
     /*  456737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456784 */     // MIs[1] Operand 1
     /*  456784 */     // No operand predicates
     /*  456784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456793 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456816 */     GIR_RootConstrainSelectedInstOperands,
     /*  456817 */     // GIR_Coverage, 7167,
     /*  456817 */     GIR_EraseRootFromParent_Done,
     /*  456818 */   // Label 7818: @456818
     /*  456818 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(456904), // Rule ID 7168 //
     /*  456823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456870 */     // MIs[1] Operand 1
     /*  456870 */     // No operand predicates
     /*  456870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456902 */     GIR_RootConstrainSelectedInstOperands,
     /*  456903 */     // GIR_Coverage, 7168,
     /*  456903 */     GIR_EraseRootFromParent_Done,
     /*  456904 */   // Label 7819: @456904
     /*  456904 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(456990), // Rule ID 7171 //
     /*  456909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  456920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  456923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456956 */     // MIs[1] Operand 1
     /*  456956 */     // No operand predicates
     /*  456956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456988 */     GIR_RootConstrainSelectedInstOperands,
     /*  456989 */     // GIR_Coverage, 7171,
     /*  456989 */     GIR_EraseRootFromParent_Done,
     /*  456990 */   // Label 7820: @456990
     /*  456990 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457076), // Rule ID 7172 //
     /*  456995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457042 */     // MIs[1] Operand 1
     /*  457042 */     // No operand predicates
     /*  457042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457074 */     GIR_RootConstrainSelectedInstOperands,
     /*  457075 */     // GIR_Coverage, 7172,
     /*  457075 */     GIR_EraseRootFromParent_Done,
     /*  457076 */   // Label 7821: @457076
     /*  457076 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(457162), // Rule ID 7175 //
     /*  457081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457128 */     // MIs[1] Operand 1
     /*  457128 */     // No operand predicates
     /*  457128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457160 */     GIR_RootConstrainSelectedInstOperands,
     /*  457161 */     // GIR_Coverage, 7175,
     /*  457161 */     GIR_EraseRootFromParent_Done,
     /*  457162 */   // Label 7822: @457162
     /*  457162 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(457248), // Rule ID 7176 //
     /*  457167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457214 */     // MIs[1] Operand 1
     /*  457214 */     // No operand predicates
     /*  457214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457246 */     GIR_RootConstrainSelectedInstOperands,
     /*  457247 */     // GIR_Coverage, 7176,
     /*  457247 */     GIR_EraseRootFromParent_Done,
     /*  457248 */   // Label 7823: @457248
     /*  457248 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(457334), // Rule ID 7179 //
     /*  457253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457300 */     // MIs[1] Operand 1
     /*  457300 */     // No operand predicates
     /*  457300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457332 */     GIR_RootConstrainSelectedInstOperands,
     /*  457333 */     // GIR_Coverage, 7179,
     /*  457333 */     GIR_EraseRootFromParent_Done,
     /*  457334 */   // Label 7824: @457334
     /*  457334 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(457420), // Rule ID 7180 //
     /*  457339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457386 */     // MIs[1] Operand 1
     /*  457386 */     // No operand predicates
     /*  457386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  457398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457418 */     GIR_RootConstrainSelectedInstOperands,
     /*  457419 */     // GIR_Coverage, 7180,
     /*  457419 */     GIR_EraseRootFromParent_Done,
     /*  457420 */   // Label 7825: @457420
     /*  457420 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(457506), // Rule ID 7183 //
     /*  457425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457472 */     // MIs[1] Operand 1
     /*  457472 */     // No operand predicates
     /*  457472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457481 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457504 */     GIR_RootConstrainSelectedInstOperands,
     /*  457505 */     // GIR_Coverage, 7183,
     /*  457505 */     GIR_EraseRootFromParent_Done,
     /*  457506 */   // Label 7826: @457506
     /*  457506 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(457592), // Rule ID 7184 //
     /*  457511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457558 */     // MIs[1] Operand 1
     /*  457558 */     // No operand predicates
     /*  457558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457590 */     GIR_RootConstrainSelectedInstOperands,
     /*  457591 */     // GIR_Coverage, 7184,
     /*  457591 */     GIR_EraseRootFromParent_Done,
     /*  457592 */   // Label 7827: @457592
     /*  457592 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(457678), // Rule ID 7187 //
     /*  457597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457644 */     // MIs[1] Operand 1
     /*  457644 */     // No operand predicates
     /*  457644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457676 */     GIR_RootConstrainSelectedInstOperands,
     /*  457677 */     // GIR_Coverage, 7187,
     /*  457677 */     GIR_EraseRootFromParent_Done,
     /*  457678 */   // Label 7828: @457678
     /*  457678 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(457764), // Rule ID 7188 //
     /*  457683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457730 */     // MIs[1] Operand 1
     /*  457730 */     // No operand predicates
     /*  457730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457762 */     GIR_RootConstrainSelectedInstOperands,
     /*  457763 */     // GIR_Coverage, 7188,
     /*  457763 */     GIR_EraseRootFromParent_Done,
     /*  457764 */   // Label 7829: @457764
     /*  457764 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(457850), // Rule ID 7191 //
     /*  457769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457816 */     // MIs[1] Operand 1
     /*  457816 */     // No operand predicates
     /*  457816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457825 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457848 */     GIR_RootConstrainSelectedInstOperands,
     /*  457849 */     // GIR_Coverage, 7191,
     /*  457849 */     GIR_EraseRootFromParent_Done,
     /*  457850 */   // Label 7830: @457850
     /*  457850 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(457936), // Rule ID 7192 //
     /*  457855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457902 */     // MIs[1] Operand 1
     /*  457902 */     // No operand predicates
     /*  457902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457934 */     GIR_RootConstrainSelectedInstOperands,
     /*  457935 */     // GIR_Coverage, 7192,
     /*  457935 */     GIR_EraseRootFromParent_Done,
     /*  457936 */   // Label 7831: @457936
     /*  457936 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458022), // Rule ID 7195 //
     /*  457941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  457952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  457955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  457958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457988 */     // MIs[1] Operand 1
     /*  457988 */     // No operand predicates
     /*  457988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458020 */     GIR_RootConstrainSelectedInstOperands,
     /*  458021 */     // GIR_Coverage, 7195,
     /*  458021 */     GIR_EraseRootFromParent_Done,
     /*  458022 */   // Label 7832: @458022
     /*  458022 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458108), // Rule ID 7196 //
     /*  458027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458074 */     // MIs[1] Operand 1
     /*  458074 */     // No operand predicates
     /*  458074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458106 */     GIR_RootConstrainSelectedInstOperands,
     /*  458107 */     // GIR_Coverage, 7196,
     /*  458107 */     GIR_EraseRootFromParent_Done,
     /*  458108 */   // Label 7833: @458108
     /*  458108 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(458194), // Rule ID 7199 //
     /*  458113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458160 */     // MIs[1] Operand 1
     /*  458160 */     // No operand predicates
     /*  458160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458192 */     GIR_RootConstrainSelectedInstOperands,
     /*  458193 */     // GIR_Coverage, 7199,
     /*  458193 */     GIR_EraseRootFromParent_Done,
     /*  458194 */   // Label 7834: @458194
     /*  458194 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(458280), // Rule ID 7200 //
     /*  458199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458246 */     // MIs[1] Operand 1
     /*  458246 */     // No operand predicates
     /*  458246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458278 */     GIR_RootConstrainSelectedInstOperands,
     /*  458279 */     // GIR_Coverage, 7200,
     /*  458279 */     GIR_EraseRootFromParent_Done,
     /*  458280 */   // Label 7835: @458280
     /*  458280 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(458366), // Rule ID 7203 //
     /*  458285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458332 */     // MIs[1] Operand 1
     /*  458332 */     // No operand predicates
     /*  458332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458341 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458364 */     GIR_RootConstrainSelectedInstOperands,
     /*  458365 */     // GIR_Coverage, 7203,
     /*  458365 */     GIR_EraseRootFromParent_Done,
     /*  458366 */   // Label 7836: @458366
     /*  458366 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(458452), // Rule ID 7204 //
     /*  458371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458418 */     // MIs[1] Operand 1
     /*  458418 */     // No operand predicates
     /*  458418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458450 */     GIR_RootConstrainSelectedInstOperands,
     /*  458451 */     // GIR_Coverage, 7204,
     /*  458451 */     GIR_EraseRootFromParent_Done,
     /*  458452 */   // Label 7837: @458452
     /*  458452 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(458538), // Rule ID 7207 //
     /*  458457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458504 */     // MIs[1] Operand 1
     /*  458504 */     // No operand predicates
     /*  458504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458536 */     GIR_RootConstrainSelectedInstOperands,
     /*  458537 */     // GIR_Coverage, 7207,
     /*  458537 */     GIR_EraseRootFromParent_Done,
     /*  458538 */   // Label 7838: @458538
     /*  458538 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(458624), // Rule ID 7208 //
     /*  458543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458590 */     // MIs[1] Operand 1
     /*  458590 */     // No operand predicates
     /*  458590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  458602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458622 */     GIR_RootConstrainSelectedInstOperands,
     /*  458623 */     // GIR_Coverage, 7208,
     /*  458623 */     GIR_EraseRootFromParent_Done,
     /*  458624 */   // Label 7839: @458624
     /*  458624 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(458710), // Rule ID 7211 //
     /*  458629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458676 */     // MIs[1] Operand 1
     /*  458676 */     // No operand predicates
     /*  458676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458708 */     GIR_RootConstrainSelectedInstOperands,
     /*  458709 */     // GIR_Coverage, 7211,
     /*  458709 */     GIR_EraseRootFromParent_Done,
     /*  458710 */   // Label 7840: @458710
     /*  458710 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(458796), // Rule ID 7212 //
     /*  458715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458762 */     // MIs[1] Operand 1
     /*  458762 */     // No operand predicates
     /*  458762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458794 */     GIR_RootConstrainSelectedInstOperands,
     /*  458795 */     // GIR_Coverage, 7212,
     /*  458795 */     GIR_EraseRootFromParent_Done,
     /*  458796 */   // Label 7841: @458796
     /*  458796 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(458882), // Rule ID 7215 //
     /*  458801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458848 */     // MIs[1] Operand 1
     /*  458848 */     // No operand predicates
     /*  458848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458857 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458880 */     GIR_RootConstrainSelectedInstOperands,
     /*  458881 */     // GIR_Coverage, 7215,
     /*  458881 */     GIR_EraseRootFromParent_Done,
     /*  458882 */   // Label 7842: @458882
     /*  458882 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(458968), // Rule ID 7216 //
     /*  458887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458934 */     // MIs[1] Operand 1
     /*  458934 */     // No operand predicates
     /*  458934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458966 */     GIR_RootConstrainSelectedInstOperands,
     /*  458967 */     // GIR_Coverage, 7216,
     /*  458967 */     GIR_EraseRootFromParent_Done,
     /*  458968 */   // Label 7843: @458968
     /*  458968 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459054), // Rule ID 7219 //
     /*  458973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  458984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  458987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  458990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459020 */     // MIs[1] Operand 1
     /*  459020 */     // No operand predicates
     /*  459020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459052 */     GIR_RootConstrainSelectedInstOperands,
     /*  459053 */     // GIR_Coverage, 7219,
     /*  459053 */     GIR_EraseRootFromParent_Done,
     /*  459054 */   // Label 7844: @459054
     /*  459054 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(459140), // Rule ID 7220 //
     /*  459059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459106 */     // MIs[1] Operand 1
     /*  459106 */     // No operand predicates
     /*  459106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459115 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  459118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459138 */     GIR_RootConstrainSelectedInstOperands,
     /*  459139 */     // GIR_Coverage, 7220,
     /*  459139 */     GIR_EraseRootFromParent_Done,
     /*  459140 */   // Label 7845: @459140
     /*  459140 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(459226), // Rule ID 7223 //
     /*  459145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459192 */     // MIs[1] Operand 1
     /*  459192 */     // No operand predicates
     /*  459192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459201 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459224 */     GIR_RootConstrainSelectedInstOperands,
     /*  459225 */     // GIR_Coverage, 7223,
     /*  459225 */     GIR_EraseRootFromParent_Done,
     /*  459226 */   // Label 7846: @459226
     /*  459226 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(459312), // Rule ID 7224 //
     /*  459231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459278 */     // MIs[1] Operand 1
     /*  459278 */     // No operand predicates
     /*  459278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459287 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  459290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459310 */     GIR_RootConstrainSelectedInstOperands,
     /*  459311 */     // GIR_Coverage, 7224,
     /*  459311 */     GIR_EraseRootFromParent_Done,
     /*  459312 */   // Label 7847: @459312
     /*  459312 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(459398), // Rule ID 7227 //
     /*  459317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459364 */     // MIs[1] Operand 1
     /*  459364 */     // No operand predicates
     /*  459364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459396 */     GIR_RootConstrainSelectedInstOperands,
     /*  459397 */     // GIR_Coverage, 7227,
     /*  459397 */     GIR_EraseRootFromParent_Done,
     /*  459398 */   // Label 7848: @459398
     /*  459398 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(459484), // Rule ID 7228 //
     /*  459403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  459411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  459414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  459417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  459420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459450 */     // MIs[1] Operand 1
     /*  459450 */     // No operand predicates
     /*  459450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459459 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  459462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459482 */     GIR_RootConstrainSelectedInstOperands,
     /*  459483 */     // GIR_Coverage, 7228,
     /*  459483 */     GIR_EraseRootFromParent_Done,
     /*  459484 */   // Label 7849: @459484
     /*  459484 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(459570), // Rule ID 7439 //
     /*  459489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459536 */     // MIs[1] Operand 1
     /*  459536 */     // No operand predicates
     /*  459536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459545 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459568 */     GIR_RootConstrainSelectedInstOperands,
     /*  459569 */     // GIR_Coverage, 7439,
     /*  459569 */     GIR_EraseRootFromParent_Done,
     /*  459570 */   // Label 7850: @459570
     /*  459570 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(459656), // Rule ID 7440 //
     /*  459575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459622 */     // MIs[1] Operand 1
     /*  459622 */     // No operand predicates
     /*  459622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459631 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  459634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459654 */     GIR_RootConstrainSelectedInstOperands,
     /*  459655 */     // GIR_Coverage, 7440,
     /*  459655 */     GIR_EraseRootFromParent_Done,
     /*  459656 */   // Label 7851: @459656
     /*  459656 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(459742), // Rule ID 7443 //
     /*  459661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459708 */     // MIs[1] Operand 1
     /*  459708 */     // No operand predicates
     /*  459708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459740 */     GIR_RootConstrainSelectedInstOperands,
     /*  459741 */     // GIR_Coverage, 7443,
     /*  459741 */     GIR_EraseRootFromParent_Done,
     /*  459742 */   // Label 7852: @459742
     /*  459742 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(459828), // Rule ID 7444 //
     /*  459747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459794 */     // MIs[1] Operand 1
     /*  459794 */     // No operand predicates
     /*  459794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459803 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459826 */     GIR_RootConstrainSelectedInstOperands,
     /*  459827 */     // GIR_Coverage, 7444,
     /*  459827 */     GIR_EraseRootFromParent_Done,
     /*  459828 */   // Label 7853: @459828
     /*  459828 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(459914), // Rule ID 7447 //
     /*  459833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  459850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459880 */     // MIs[1] Operand 1
     /*  459880 */     // No operand predicates
     /*  459880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459889 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  459892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459912 */     GIR_RootConstrainSelectedInstOperands,
     /*  459913 */     // GIR_Coverage, 7447,
     /*  459913 */     GIR_EraseRootFromParent_Done,
     /*  459914 */   // Label 7854: @459914
     /*  459914 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460000), // Rule ID 7448 //
     /*  459919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  459936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459966 */     // MIs[1] Operand 1
     /*  459966 */     // No operand predicates
     /*  459966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459975 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  459978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459998 */     GIR_RootConstrainSelectedInstOperands,
     /*  459999 */     // GIR_Coverage, 7448,
     /*  459999 */     GIR_EraseRootFromParent_Done,
     /*  460000 */   // Label 7855: @460000
     /*  460000 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460086), // Rule ID 7451 //
     /*  460005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460052 */     // MIs[1] Operand 1
     /*  460052 */     // No operand predicates
     /*  460052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460084 */     GIR_RootConstrainSelectedInstOperands,
     /*  460085 */     // GIR_Coverage, 7451,
     /*  460085 */     GIR_EraseRootFromParent_Done,
     /*  460086 */   // Label 7856: @460086
     /*  460086 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(460172), // Rule ID 7452 //
     /*  460091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  460108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460138 */     // MIs[1] Operand 1
     /*  460138 */     // No operand predicates
     /*  460138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460170 */     GIR_RootConstrainSelectedInstOperands,
     /*  460171 */     // GIR_Coverage, 7452,
     /*  460171 */     GIR_EraseRootFromParent_Done,
     /*  460172 */   // Label 7857: @460172
     /*  460172 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(460258), // Rule ID 7455 //
     /*  460177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460224 */     // MIs[1] Operand 1
     /*  460224 */     // No operand predicates
     /*  460224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460256 */     GIR_RootConstrainSelectedInstOperands,
     /*  460257 */     // GIR_Coverage, 7455,
     /*  460257 */     GIR_EraseRootFromParent_Done,
     /*  460258 */   // Label 7858: @460258
     /*  460258 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(460344), // Rule ID 7456 //
     /*  460263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460310 */     // MIs[1] Operand 1
     /*  460310 */     // No operand predicates
     /*  460310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460342 */     GIR_RootConstrainSelectedInstOperands,
     /*  460343 */     // GIR_Coverage, 7456,
     /*  460343 */     GIR_EraseRootFromParent_Done,
     /*  460344 */   // Label 7859: @460344
     /*  460344 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(460430), // Rule ID 7459 //
     /*  460349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460396 */     // MIs[1] Operand 1
     /*  460396 */     // No operand predicates
     /*  460396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460405 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460428 */     GIR_RootConstrainSelectedInstOperands,
     /*  460429 */     // GIR_Coverage, 7459,
     /*  460429 */     GIR_EraseRootFromParent_Done,
     /*  460430 */   // Label 7860: @460430
     /*  460430 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(460516), // Rule ID 7460 //
     /*  460435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460482 */     // MIs[1] Operand 1
     /*  460482 */     // No operand predicates
     /*  460482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460514 */     GIR_RootConstrainSelectedInstOperands,
     /*  460515 */     // GIR_Coverage, 7460,
     /*  460515 */     GIR_EraseRootFromParent_Done,
     /*  460516 */   // Label 7861: @460516
     /*  460516 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(460602), // Rule ID 7463 //
     /*  460521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460568 */     // MIs[1] Operand 1
     /*  460568 */     // No operand predicates
     /*  460568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460600 */     GIR_RootConstrainSelectedInstOperands,
     /*  460601 */     // GIR_Coverage, 7463,
     /*  460601 */     GIR_EraseRootFromParent_Done,
     /*  460602 */   // Label 7862: @460602
     /*  460602 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(460688), // Rule ID 7464 //
     /*  460607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  460624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460654 */     // MIs[1] Operand 1
     /*  460654 */     // No operand predicates
     /*  460654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460663 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  460666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460686 */     GIR_RootConstrainSelectedInstOperands,
     /*  460687 */     // GIR_Coverage, 7464,
     /*  460687 */     GIR_EraseRootFromParent_Done,
     /*  460688 */   // Label 7863: @460688
     /*  460688 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(460774), // Rule ID 7467 //
     /*  460693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  460704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  460707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460740 */     // MIs[1] Operand 1
     /*  460740 */     // No operand predicates
     /*  460740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460772 */     GIR_RootConstrainSelectedInstOperands,
     /*  460773 */     // GIR_Coverage, 7467,
     /*  460773 */     GIR_EraseRootFromParent_Done,
     /*  460774 */   // Label 7864: @460774
     /*  460774 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(460860), // Rule ID 7468 //
     /*  460779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  460790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  460793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460826 */     // MIs[1] Operand 1
     /*  460826 */     // No operand predicates
     /*  460826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460835 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460858 */     GIR_RootConstrainSelectedInstOperands,
     /*  460859 */     // GIR_Coverage, 7468,
     /*  460859 */     GIR_EraseRootFromParent_Done,
     /*  460860 */   // Label 7865: @460860
     /*  460860 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(460946), // Rule ID 7471 //
     /*  460865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460912 */     // MIs[1] Operand 1
     /*  460912 */     // No operand predicates
     /*  460912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460944 */     GIR_RootConstrainSelectedInstOperands,
     /*  460945 */     // GIR_Coverage, 7471,
     /*  460945 */     GIR_EraseRootFromParent_Done,
     /*  460946 */   // Label 7866: @460946
     /*  460946 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461032), // Rule ID 7472 //
     /*  460951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460998 */     // MIs[1] Operand 1
     /*  460998 */     // No operand predicates
     /*  460998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461030 */     GIR_RootConstrainSelectedInstOperands,
     /*  461031 */     // GIR_Coverage, 7472,
     /*  461031 */     GIR_EraseRootFromParent_Done,
     /*  461032 */   // Label 7867: @461032
     /*  461032 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461118), // Rule ID 7475 //
     /*  461037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461084 */     // MIs[1] Operand 1
     /*  461084 */     // No operand predicates
     /*  461084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461116 */     GIR_RootConstrainSelectedInstOperands,
     /*  461117 */     // GIR_Coverage, 7475,
     /*  461117 */     GIR_EraseRootFromParent_Done,
     /*  461118 */   // Label 7868: @461118
     /*  461118 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(461204), // Rule ID 7476 //
     /*  461123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461170 */     // MIs[1] Operand 1
     /*  461170 */     // No operand predicates
     /*  461170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461202 */     GIR_RootConstrainSelectedInstOperands,
     /*  461203 */     // GIR_Coverage, 7476,
     /*  461203 */     GIR_EraseRootFromParent_Done,
     /*  461204 */   // Label 7869: @461204
     /*  461204 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(461290), // Rule ID 7479 //
     /*  461209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461256 */     // MIs[1] Operand 1
     /*  461256 */     // No operand predicates
     /*  461256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461288 */     GIR_RootConstrainSelectedInstOperands,
     /*  461289 */     // GIR_Coverage, 7479,
     /*  461289 */     GIR_EraseRootFromParent_Done,
     /*  461290 */   // Label 7870: @461290
     /*  461290 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(461376), // Rule ID 7480 //
     /*  461295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461342 */     // MIs[1] Operand 1
     /*  461342 */     // No operand predicates
     /*  461342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461374 */     GIR_RootConstrainSelectedInstOperands,
     /*  461375 */     // GIR_Coverage, 7480,
     /*  461375 */     GIR_EraseRootFromParent_Done,
     /*  461376 */   // Label 7871: @461376
     /*  461376 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(461462), // Rule ID 7483 //
     /*  461381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461428 */     // MIs[1] Operand 1
     /*  461428 */     // No operand predicates
     /*  461428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461460 */     GIR_RootConstrainSelectedInstOperands,
     /*  461461 */     // GIR_Coverage, 7483,
     /*  461461 */     GIR_EraseRootFromParent_Done,
     /*  461462 */   // Label 7872: @461462
     /*  461462 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(461548), // Rule ID 7484 //
     /*  461467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461514 */     // MIs[1] Operand 1
     /*  461514 */     // No operand predicates
     /*  461514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461523 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  461526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461546 */     GIR_RootConstrainSelectedInstOperands,
     /*  461547 */     // GIR_Coverage, 7484,
     /*  461547 */     GIR_EraseRootFromParent_Done,
     /*  461548 */   // Label 7873: @461548
     /*  461548 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(461634), // Rule ID 7487 //
     /*  461553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461600 */     // MIs[1] Operand 1
     /*  461600 */     // No operand predicates
     /*  461600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461632 */     GIR_RootConstrainSelectedInstOperands,
     /*  461633 */     // GIR_Coverage, 7487,
     /*  461633 */     GIR_EraseRootFromParent_Done,
     /*  461634 */   // Label 7874: @461634
     /*  461634 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(461720), // Rule ID 7488 //
     /*  461639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461686 */     // MIs[1] Operand 1
     /*  461686 */     // No operand predicates
     /*  461686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461695 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  461698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461718 */     GIR_RootConstrainSelectedInstOperands,
     /*  461719 */     // GIR_Coverage, 7488,
     /*  461719 */     GIR_EraseRootFromParent_Done,
     /*  461720 */   // Label 7875: @461720
     /*  461720 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(461806), // Rule ID 7491 //
     /*  461725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  461742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461772 */     // MIs[1] Operand 1
     /*  461772 */     // No operand predicates
     /*  461772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461804 */     GIR_RootConstrainSelectedInstOperands,
     /*  461805 */     // GIR_Coverage, 7491,
     /*  461805 */     GIR_EraseRootFromParent_Done,
     /*  461806 */   // Label 7876: @461806
     /*  461806 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(461892), // Rule ID 7492 //
     /*  461811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  461828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461858 */     // MIs[1] Operand 1
     /*  461858 */     // No operand predicates
     /*  461858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  461870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461890 */     GIR_RootConstrainSelectedInstOperands,
     /*  461891 */     // GIR_Coverage, 7492,
     /*  461891 */     GIR_EraseRootFromParent_Done,
     /*  461892 */   // Label 7877: @461892
     /*  461892 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(461978), // Rule ID 7495 //
     /*  461897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  461900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  461914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461944 */     // MIs[1] Operand 1
     /*  461944 */     // No operand predicates
     /*  461944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  461956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461976 */     GIR_RootConstrainSelectedInstOperands,
     /*  461977 */     // GIR_Coverage, 7495,
     /*  461977 */     GIR_EraseRootFromParent_Done,
     /*  461978 */   // Label 7878: @461978
     /*  461978 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462064), // Rule ID 7496 //
     /*  461983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  461986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  461991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462030 */     // MIs[1] Operand 1
     /*  462030 */     // No operand predicates
     /*  462030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  462042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462062 */     GIR_RootConstrainSelectedInstOperands,
     /*  462063 */     // GIR_Coverage, 7496,
     /*  462063 */     GIR_EraseRootFromParent_Done,
     /*  462064 */   // Label 7879: @462064
     /*  462064 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(462150), // Rule ID 7619 //
     /*  462069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462116 */     // MIs[1] Operand 1
     /*  462116 */     // No operand predicates
     /*  462116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462125 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462148 */     GIR_RootConstrainSelectedInstOperands,
     /*  462149 */     // GIR_Coverage, 7619,
     /*  462149 */     GIR_EraseRootFromParent_Done,
     /*  462150 */   // Label 7880: @462150
     /*  462150 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(462236), // Rule ID 7620 //
     /*  462155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462202 */     // MIs[1] Operand 1
     /*  462202 */     // No operand predicates
     /*  462202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  462214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462234 */     GIR_RootConstrainSelectedInstOperands,
     /*  462235 */     // GIR_Coverage, 7620,
     /*  462235 */     GIR_EraseRootFromParent_Done,
     /*  462236 */   // Label 7881: @462236
     /*  462236 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(462322), // Rule ID 7623 //
     /*  462241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462288 */     // MIs[1] Operand 1
     /*  462288 */     // No operand predicates
     /*  462288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462320 */     GIR_RootConstrainSelectedInstOperands,
     /*  462321 */     // GIR_Coverage, 7623,
     /*  462321 */     GIR_EraseRootFromParent_Done,
     /*  462322 */   // Label 7882: @462322
     /*  462322 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(462408), // Rule ID 7624 //
     /*  462327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462374 */     // MIs[1] Operand 1
     /*  462374 */     // No operand predicates
     /*  462374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462406 */     GIR_RootConstrainSelectedInstOperands,
     /*  462407 */     // GIR_Coverage, 7624,
     /*  462407 */     GIR_EraseRootFromParent_Done,
     /*  462408 */   // Label 7883: @462408
     /*  462408 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(462494), // Rule ID 7627 //
     /*  462413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462460 */     // MIs[1] Operand 1
     /*  462460 */     // No operand predicates
     /*  462460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462469 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462492 */     GIR_RootConstrainSelectedInstOperands,
     /*  462493 */     // GIR_Coverage, 7627,
     /*  462493 */     GIR_EraseRootFromParent_Done,
     /*  462494 */   // Label 7884: @462494
     /*  462494 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(462580), // Rule ID 7628 //
     /*  462499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462546 */     // MIs[1] Operand 1
     /*  462546 */     // No operand predicates
     /*  462546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462578 */     GIR_RootConstrainSelectedInstOperands,
     /*  462579 */     // GIR_Coverage, 7628,
     /*  462579 */     GIR_EraseRootFromParent_Done,
     /*  462580 */   // Label 7885: @462580
     /*  462580 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(462666), // Rule ID 7631 //
     /*  462585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462632 */     // MIs[1] Operand 1
     /*  462632 */     // No operand predicates
     /*  462632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462641 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462664 */     GIR_RootConstrainSelectedInstOperands,
     /*  462665 */     // GIR_Coverage, 7631,
     /*  462665 */     GIR_EraseRootFromParent_Done,
     /*  462666 */   // Label 7886: @462666
     /*  462666 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(462752), // Rule ID 7632 //
     /*  462671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462718 */     // MIs[1] Operand 1
     /*  462718 */     // No operand predicates
     /*  462718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462750 */     GIR_RootConstrainSelectedInstOperands,
     /*  462751 */     // GIR_Coverage, 7632,
     /*  462751 */     GIR_EraseRootFromParent_Done,
     /*  462752 */   // Label 7887: @462752
     /*  462752 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(462838), // Rule ID 7635 //
     /*  462757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462804 */     // MIs[1] Operand 1
     /*  462804 */     // No operand predicates
     /*  462804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462836 */     GIR_RootConstrainSelectedInstOperands,
     /*  462837 */     // GIR_Coverage, 7635,
     /*  462837 */     GIR_EraseRootFromParent_Done,
     /*  462838 */   // Label 7888: @462838
     /*  462838 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(462924), // Rule ID 7636 //
     /*  462843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462890 */     // MIs[1] Operand 1
     /*  462890 */     // No operand predicates
     /*  462890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462922 */     GIR_RootConstrainSelectedInstOperands,
     /*  462923 */     // GIR_Coverage, 7636,
     /*  462923 */     GIR_EraseRootFromParent_Done,
     /*  462924 */   // Label 7889: @462924
     /*  462924 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463010), // Rule ID 7639 //
     /*  462929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  462946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462976 */     // MIs[1] Operand 1
     /*  462976 */     // No operand predicates
     /*  462976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  462988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463008 */     GIR_RootConstrainSelectedInstOperands,
     /*  463009 */     // GIR_Coverage, 7639,
     /*  463009 */     GIR_EraseRootFromParent_Done,
     /*  463010 */   // Label 7890: @463010
     /*  463010 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463096), // Rule ID 7640 //
     /*  463015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463062 */     // MIs[1] Operand 1
     /*  463062 */     // No operand predicates
     /*  463062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463094 */     GIR_RootConstrainSelectedInstOperands,
     /*  463095 */     // GIR_Coverage, 7640,
     /*  463095 */     GIR_EraseRootFromParent_Done,
     /*  463096 */   // Label 7891: @463096
     /*  463096 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(463182), // Rule ID 7643 //
     /*  463101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463148 */     // MIs[1] Operand 1
     /*  463148 */     // No operand predicates
     /*  463148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463157 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463180 */     GIR_RootConstrainSelectedInstOperands,
     /*  463181 */     // GIR_Coverage, 7643,
     /*  463181 */     GIR_EraseRootFromParent_Done,
     /*  463182 */   // Label 7892: @463182
     /*  463182 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(463268), // Rule ID 7644 //
     /*  463187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463234 */     // MIs[1] Operand 1
     /*  463234 */     // No operand predicates
     /*  463234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  463246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463266 */     GIR_RootConstrainSelectedInstOperands,
     /*  463267 */     // GIR_Coverage, 7644,
     /*  463267 */     GIR_EraseRootFromParent_Done,
     /*  463268 */   // Label 7893: @463268
     /*  463268 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(463354), // Rule ID 7647 //
     /*  463273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463320 */     // MIs[1] Operand 1
     /*  463320 */     // No operand predicates
     /*  463320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463329 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463352 */     GIR_RootConstrainSelectedInstOperands,
     /*  463353 */     // GIR_Coverage, 7647,
     /*  463353 */     GIR_EraseRootFromParent_Done,
     /*  463354 */   // Label 7894: @463354
     /*  463354 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(463440), // Rule ID 7648 //
     /*  463359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463406 */     // MIs[1] Operand 1
     /*  463406 */     // No operand predicates
     /*  463406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  463418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463438 */     GIR_RootConstrainSelectedInstOperands,
     /*  463439 */     // GIR_Coverage, 7648,
     /*  463439 */     GIR_EraseRootFromParent_Done,
     /*  463440 */   // Label 7895: @463440
     /*  463440 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(463526), // Rule ID 7651 //
     /*  463445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463492 */     // MIs[1] Operand 1
     /*  463492 */     // No operand predicates
     /*  463492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463524 */     GIR_RootConstrainSelectedInstOperands,
     /*  463525 */     // GIR_Coverage, 7651,
     /*  463525 */     GIR_EraseRootFromParent_Done,
     /*  463526 */   // Label 7896: @463526
     /*  463526 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(463612), // Rule ID 7652 //
     /*  463531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463578 */     // MIs[1] Operand 1
     /*  463578 */     // No operand predicates
     /*  463578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463610 */     GIR_RootConstrainSelectedInstOperands,
     /*  463611 */     // GIR_Coverage, 7652,
     /*  463611 */     GIR_EraseRootFromParent_Done,
     /*  463612 */   // Label 7897: @463612
     /*  463612 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(463698), // Rule ID 7655 //
     /*  463617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463664 */     // MIs[1] Operand 1
     /*  463664 */     // No operand predicates
     /*  463664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463696 */     GIR_RootConstrainSelectedInstOperands,
     /*  463697 */     // GIR_Coverage, 7655,
     /*  463697 */     GIR_EraseRootFromParent_Done,
     /*  463698 */   // Label 7898: @463698
     /*  463698 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(463784), // Rule ID 7656 //
     /*  463703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463750 */     // MIs[1] Operand 1
     /*  463750 */     // No operand predicates
     /*  463750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463759 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463782 */     GIR_RootConstrainSelectedInstOperands,
     /*  463783 */     // GIR_Coverage, 7656,
     /*  463783 */     GIR_EraseRootFromParent_Done,
     /*  463784 */   // Label 7899: @463784
     /*  463784 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(463870), // Rule ID 7659 //
     /*  463789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463836 */     // MIs[1] Operand 1
     /*  463836 */     // No operand predicates
     /*  463836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463845 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463868 */     GIR_RootConstrainSelectedInstOperands,
     /*  463869 */     // GIR_Coverage, 7659,
     /*  463869 */     GIR_EraseRootFromParent_Done,
     /*  463870 */   // Label 7900: @463870
     /*  463870 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(463956), // Rule ID 7660 //
     /*  463875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463922 */     // MIs[1] Operand 1
     /*  463922 */     // No operand predicates
     /*  463922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463931 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463954 */     GIR_RootConstrainSelectedInstOperands,
     /*  463955 */     // GIR_Coverage, 7660,
     /*  463955 */     GIR_EraseRootFromParent_Done,
     /*  463956 */   // Label 7901: @463956
     /*  463956 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464042), // Rule ID 7663 //
     /*  463961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  463964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  463972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  463975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  463978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464008 */     // MIs[1] Operand 1
     /*  464008 */     // No operand predicates
     /*  464008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464040 */     GIR_RootConstrainSelectedInstOperands,
     /*  464041 */     // GIR_Coverage, 7663,
     /*  464041 */     GIR_EraseRootFromParent_Done,
     /*  464042 */   // Label 7902: @464042
     /*  464042 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(464128), // Rule ID 7664 //
     /*  464047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464094 */     // MIs[1] Operand 1
     /*  464094 */     // No operand predicates
     /*  464094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  464106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464126 */     GIR_RootConstrainSelectedInstOperands,
     /*  464127 */     // GIR_Coverage, 7664,
     /*  464127 */     GIR_EraseRootFromParent_Done,
     /*  464128 */   // Label 7903: @464128
     /*  464128 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(464214), // Rule ID 7667 //
     /*  464133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464180 */     // MIs[1] Operand 1
     /*  464180 */     // No operand predicates
     /*  464180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464212 */     GIR_RootConstrainSelectedInstOperands,
     /*  464213 */     // GIR_Coverage, 7667,
     /*  464213 */     GIR_EraseRootFromParent_Done,
     /*  464214 */   // Label 7904: @464214
     /*  464214 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(464300), // Rule ID 7668 //
     /*  464219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464266 */     // MIs[1] Operand 1
     /*  464266 */     // No operand predicates
     /*  464266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  464278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464298 */     GIR_RootConstrainSelectedInstOperands,
     /*  464299 */     // GIR_Coverage, 7668,
     /*  464299 */     GIR_EraseRootFromParent_Done,
     /*  464300 */   // Label 7905: @464300
     /*  464300 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(464386), // Rule ID 7671 //
     /*  464305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464352 */     // MIs[1] Operand 1
     /*  464352 */     // No operand predicates
     /*  464352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464384 */     GIR_RootConstrainSelectedInstOperands,
     /*  464385 */     // GIR_Coverage, 7671,
     /*  464385 */     GIR_EraseRootFromParent_Done,
     /*  464386 */   // Label 7906: @464386
     /*  464386 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(464472), // Rule ID 7672 //
     /*  464391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464438 */     // MIs[1] Operand 1
     /*  464438 */     // No operand predicates
     /*  464438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  464450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464470 */     GIR_RootConstrainSelectedInstOperands,
     /*  464471 */     // GIR_Coverage, 7672,
     /*  464471 */     GIR_EraseRootFromParent_Done,
     /*  464472 */   // Label 7907: @464472
     /*  464472 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(464558), // Rule ID 7675 //
     /*  464477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  464480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464524 */     // MIs[1] Operand 1
     /*  464524 */     // No operand predicates
     /*  464524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464556 */     GIR_RootConstrainSelectedInstOperands,
     /*  464557 */     // GIR_Coverage, 7675,
     /*  464557 */     GIR_EraseRootFromParent_Done,
     /*  464558 */   // Label 7908: @464558
     /*  464558 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(464644), // Rule ID 7676 //
     /*  464563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  464566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  464571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464610 */     // MIs[1] Operand 1
     /*  464610 */     // No operand predicates
     /*  464610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  464622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464642 */     GIR_RootConstrainSelectedInstOperands,
     /*  464643 */     // GIR_Coverage, 7676,
     /*  464643 */     GIR_EraseRootFromParent_Done,
     /*  464644 */   // Label 7909: @464644
     /*  464644 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(464733), // Rule ID 14105 //
     /*  464649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464696 */     // MIs[1] Operand 1
     /*  464696 */     // No operand predicates
     /*  464696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  464708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464731 */     GIR_RootConstrainSelectedInstOperands,
     /*  464732 */     // GIR_Coverage, 14105,
     /*  464732 */     GIR_EraseRootFromParent_Done,
     /*  464733 */   // Label 7910: @464733
     /*  464733 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(464822), // Rule ID 14106 //
     /*  464738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464785 */     // MIs[1] Operand 1
     /*  464785 */     // No operand predicates
     /*  464785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  464797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464820 */     GIR_RootConstrainSelectedInstOperands,
     /*  464821 */     // GIR_Coverage, 14106,
     /*  464821 */     GIR_EraseRootFromParent_Done,
     /*  464822 */   // Label 7911: @464822
     /*  464822 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(464911), // Rule ID 14109 //
     /*  464827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464874 */     // MIs[1] Operand 1
     /*  464874 */     // No operand predicates
     /*  464874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  464886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464909 */     GIR_RootConstrainSelectedInstOperands,
     /*  464910 */     // GIR_Coverage, 14109,
     /*  464910 */     GIR_EraseRootFromParent_Done,
     /*  464911 */   // Label 7912: @464911
     /*  464911 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465000), // Rule ID 14110 //
     /*  464916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464963 */     // MIs[1] Operand 1
     /*  464963 */     // No operand predicates
     /*  464963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464972 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  464975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464998 */     GIR_RootConstrainSelectedInstOperands,
     /*  464999 */     // GIR_Coverage, 14110,
     /*  464999 */     GIR_EraseRootFromParent_Done,
     /*  465000 */   // Label 7913: @465000
     /*  465000 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(465089), // Rule ID 14113 //
     /*  465005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465052 */     // MIs[1] Operand 1
     /*  465052 */     // No operand predicates
     /*  465052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465087 */     GIR_RootConstrainSelectedInstOperands,
     /*  465088 */     // GIR_Coverage, 14113,
     /*  465088 */     GIR_EraseRootFromParent_Done,
     /*  465089 */   // Label 7914: @465089
     /*  465089 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(465178), // Rule ID 14114 //
     /*  465094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465141 */     // MIs[1] Operand 1
     /*  465141 */     // No operand predicates
     /*  465141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465176 */     GIR_RootConstrainSelectedInstOperands,
     /*  465177 */     // GIR_Coverage, 14114,
     /*  465177 */     GIR_EraseRootFromParent_Done,
     /*  465178 */   // Label 7915: @465178
     /*  465178 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(465267), // Rule ID 14117 //
     /*  465183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465230 */     // MIs[1] Operand 1
     /*  465230 */     // No operand predicates
     /*  465230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465265 */     GIR_RootConstrainSelectedInstOperands,
     /*  465266 */     // GIR_Coverage, 14117,
     /*  465266 */     GIR_EraseRootFromParent_Done,
     /*  465267 */   // Label 7916: @465267
     /*  465267 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(465356), // Rule ID 14118 //
     /*  465272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465319 */     // MIs[1] Operand 1
     /*  465319 */     // No operand predicates
     /*  465319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  465331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465354 */     GIR_RootConstrainSelectedInstOperands,
     /*  465355 */     // GIR_Coverage, 14118,
     /*  465355 */     GIR_EraseRootFromParent_Done,
     /*  465356 */   // Label 7917: @465356
     /*  465356 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(465445), // Rule ID 14121 //
     /*  465361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465408 */     // MIs[1] Operand 1
     /*  465408 */     // No operand predicates
     /*  465408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465443 */     GIR_RootConstrainSelectedInstOperands,
     /*  465444 */     // GIR_Coverage, 14121,
     /*  465444 */     GIR_EraseRootFromParent_Done,
     /*  465445 */   // Label 7918: @465445
     /*  465445 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(465534), // Rule ID 14122 //
     /*  465450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465497 */     // MIs[1] Operand 1
     /*  465497 */     // No operand predicates
     /*  465497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465532 */     GIR_RootConstrainSelectedInstOperands,
     /*  465533 */     // GIR_Coverage, 14122,
     /*  465533 */     GIR_EraseRootFromParent_Done,
     /*  465534 */   // Label 7919: @465534
     /*  465534 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(465623), // Rule ID 14125 //
     /*  465539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465586 */     // MIs[1] Operand 1
     /*  465586 */     // No operand predicates
     /*  465586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465621 */     GIR_RootConstrainSelectedInstOperands,
     /*  465622 */     // GIR_Coverage, 14125,
     /*  465622 */     GIR_EraseRootFromParent_Done,
     /*  465623 */   // Label 7920: @465623
     /*  465623 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(465712), // Rule ID 14126 //
     /*  465628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465675 */     // MIs[1] Operand 1
     /*  465675 */     // No operand predicates
     /*  465675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  465687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465710 */     GIR_RootConstrainSelectedInstOperands,
     /*  465711 */     // GIR_Coverage, 14126,
     /*  465711 */     GIR_EraseRootFromParent_Done,
     /*  465712 */   // Label 7921: @465712
     /*  465712 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(465801), // Rule ID 14129 //
     /*  465717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465764 */     // MIs[1] Operand 1
     /*  465764 */     // No operand predicates
     /*  465764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465799 */     GIR_RootConstrainSelectedInstOperands,
     /*  465800 */     // GIR_Coverage, 14129,
     /*  465800 */     GIR_EraseRootFromParent_Done,
     /*  465801 */   // Label 7922: @465801
     /*  465801 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(465890), // Rule ID 14130 //
     /*  465806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465853 */     // MIs[1] Operand 1
     /*  465853 */     // No operand predicates
     /*  465853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465888 */     GIR_RootConstrainSelectedInstOperands,
     /*  465889 */     // GIR_Coverage, 14130,
     /*  465889 */     GIR_EraseRootFromParent_Done,
     /*  465890 */   // Label 7923: @465890
     /*  465890 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(465979), // Rule ID 14133 //
     /*  465895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465942 */     // MIs[1] Operand 1
     /*  465942 */     // No operand predicates
     /*  465942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465977 */     GIR_RootConstrainSelectedInstOperands,
     /*  465978 */     // GIR_Coverage, 14133,
     /*  465978 */     GIR_EraseRootFromParent_Done,
     /*  465979 */   // Label 7924: @465979
     /*  465979 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(466068), // Rule ID 14134 //
     /*  465984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466031 */     // MIs[1] Operand 1
     /*  466031 */     // No operand predicates
     /*  466031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466066 */     GIR_RootConstrainSelectedInstOperands,
     /*  466067 */     // GIR_Coverage, 14134,
     /*  466067 */     GIR_EraseRootFromParent_Done,
     /*  466068 */   // Label 7925: @466068
     /*  466068 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(466157), // Rule ID 14137 //
     /*  466073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466120 */     // MIs[1] Operand 1
     /*  466120 */     // No operand predicates
     /*  466120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466155 */     GIR_RootConstrainSelectedInstOperands,
     /*  466156 */     // GIR_Coverage, 14137,
     /*  466156 */     GIR_EraseRootFromParent_Done,
     /*  466157 */   // Label 7926: @466157
     /*  466157 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(466246), // Rule ID 14138 //
     /*  466162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466209 */     // MIs[1] Operand 1
     /*  466209 */     // No operand predicates
     /*  466209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466244 */     GIR_RootConstrainSelectedInstOperands,
     /*  466245 */     // GIR_Coverage, 14138,
     /*  466245 */     GIR_EraseRootFromParent_Done,
     /*  466246 */   // Label 7927: @466246
     /*  466246 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(466335), // Rule ID 14141 //
     /*  466251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466298 */     // MIs[1] Operand 1
     /*  466298 */     // No operand predicates
     /*  466298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466333 */     GIR_RootConstrainSelectedInstOperands,
     /*  466334 */     // GIR_Coverage, 14141,
     /*  466334 */     GIR_EraseRootFromParent_Done,
     /*  466335 */   // Label 7928: @466335
     /*  466335 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(466424), // Rule ID 14142 //
     /*  466340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466387 */     // MIs[1] Operand 1
     /*  466387 */     // No operand predicates
     /*  466387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  466399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466422 */     GIR_RootConstrainSelectedInstOperands,
     /*  466423 */     // GIR_Coverage, 14142,
     /*  466423 */     GIR_EraseRootFromParent_Done,
     /*  466424 */   // Label 7929: @466424
     /*  466424 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(466513), // Rule ID 14145 //
     /*  466429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466476 */     // MIs[1] Operand 1
     /*  466476 */     // No operand predicates
     /*  466476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466511 */     GIR_RootConstrainSelectedInstOperands,
     /*  466512 */     // GIR_Coverage, 14145,
     /*  466512 */     GIR_EraseRootFromParent_Done,
     /*  466513 */   // Label 7930: @466513
     /*  466513 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(466602), // Rule ID 14146 //
     /*  466518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466565 */     // MIs[1] Operand 1
     /*  466565 */     // No operand predicates
     /*  466565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466600 */     GIR_RootConstrainSelectedInstOperands,
     /*  466601 */     // GIR_Coverage, 14146,
     /*  466601 */     GIR_EraseRootFromParent_Done,
     /*  466602 */   // Label 7931: @466602
     /*  466602 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(466691), // Rule ID 14149 //
     /*  466607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466654 */     // MIs[1] Operand 1
     /*  466654 */     // No operand predicates
     /*  466654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466663 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466689 */     GIR_RootConstrainSelectedInstOperands,
     /*  466690 */     // GIR_Coverage, 14149,
     /*  466690 */     GIR_EraseRootFromParent_Done,
     /*  466691 */   // Label 7932: @466691
     /*  466691 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(466780), // Rule ID 14150 //
     /*  466696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466743 */     // MIs[1] Operand 1
     /*  466743 */     // No operand predicates
     /*  466743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466778 */     GIR_RootConstrainSelectedInstOperands,
     /*  466779 */     // GIR_Coverage, 14150,
     /*  466779 */     GIR_EraseRootFromParent_Done,
     /*  466780 */   // Label 7933: @466780
     /*  466780 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(466869), // Rule ID 14153 //
     /*  466785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466832 */     // MIs[1] Operand 1
     /*  466832 */     // No operand predicates
     /*  466832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466841 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466867 */     GIR_RootConstrainSelectedInstOperands,
     /*  466868 */     // GIR_Coverage, 14153,
     /*  466868 */     GIR_EraseRootFromParent_Done,
     /*  466869 */   // Label 7934: @466869
     /*  466869 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(466958), // Rule ID 14154 //
     /*  466874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466921 */     // MIs[1] Operand 1
     /*  466921 */     // No operand predicates
     /*  466921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466956 */     GIR_RootConstrainSelectedInstOperands,
     /*  466957 */     // GIR_Coverage, 14154,
     /*  466957 */     GIR_EraseRootFromParent_Done,
     /*  466958 */   // Label 7935: @466958
     /*  466958 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467047), // Rule ID 14157 //
     /*  466963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  466974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  466977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  466980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467010 */     // MIs[1] Operand 1
     /*  467010 */     // No operand predicates
     /*  467010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467045 */     GIR_RootConstrainSelectedInstOperands,
     /*  467046 */     // GIR_Coverage, 14157,
     /*  467046 */     GIR_EraseRootFromParent_Done,
     /*  467047 */   // Label 7936: @467047
     /*  467047 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(467136), // Rule ID 14158 //
     /*  467052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467099 */     // MIs[1] Operand 1
     /*  467099 */     // No operand predicates
     /*  467099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467134 */     GIR_RootConstrainSelectedInstOperands,
     /*  467135 */     // GIR_Coverage, 14158,
     /*  467135 */     GIR_EraseRootFromParent_Done,
     /*  467136 */   // Label 7937: @467136
     /*  467136 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(467225), // Rule ID 14161 //
     /*  467141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467188 */     // MIs[1] Operand 1
     /*  467188 */     // No operand predicates
     /*  467188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467223 */     GIR_RootConstrainSelectedInstOperands,
     /*  467224 */     // GIR_Coverage, 14161,
     /*  467224 */     GIR_EraseRootFromParent_Done,
     /*  467225 */   // Label 7938: @467225
     /*  467225 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(467314), // Rule ID 14162 //
     /*  467230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467277 */     // MIs[1] Operand 1
     /*  467277 */     // No operand predicates
     /*  467277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467312 */     GIR_RootConstrainSelectedInstOperands,
     /*  467313 */     // GIR_Coverage, 14162,
     /*  467313 */     GIR_EraseRootFromParent_Done,
     /*  467314 */   // Label 7939: @467314
     /*  467314 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(467403), // Rule ID 14165 //
     /*  467319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467366 */     // MIs[1] Operand 1
     /*  467366 */     // No operand predicates
     /*  467366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467375 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467401 */     GIR_RootConstrainSelectedInstOperands,
     /*  467402 */     // GIR_Coverage, 14165,
     /*  467402 */     GIR_EraseRootFromParent_Done,
     /*  467403 */   // Label 7940: @467403
     /*  467403 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(467492), // Rule ID 14166 //
     /*  467408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467455 */     // MIs[1] Operand 1
     /*  467455 */     // No operand predicates
     /*  467455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467490 */     GIR_RootConstrainSelectedInstOperands,
     /*  467491 */     // GIR_Coverage, 14166,
     /*  467491 */     GIR_EraseRootFromParent_Done,
     /*  467492 */   // Label 7941: @467492
     /*  467492 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(467581), // Rule ID 14169 //
     /*  467497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467544 */     // MIs[1] Operand 1
     /*  467544 */     // No operand predicates
     /*  467544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467579 */     GIR_RootConstrainSelectedInstOperands,
     /*  467580 */     // GIR_Coverage, 14169,
     /*  467580 */     GIR_EraseRootFromParent_Done,
     /*  467581 */   // Label 7942: @467581
     /*  467581 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(467670), // Rule ID 14170 //
     /*  467586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  467603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467633 */     // MIs[1] Operand 1
     /*  467633 */     // No operand predicates
     /*  467633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  467645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467668 */     GIR_RootConstrainSelectedInstOperands,
     /*  467669 */     // GIR_Coverage, 14170,
     /*  467669 */     GIR_EraseRootFromParent_Done,
     /*  467670 */   // Label 7943: @467670
     /*  467670 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(467759), // Rule ID 14173 //
     /*  467675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467722 */     // MIs[1] Operand 1
     /*  467722 */     // No operand predicates
     /*  467722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467757 */     GIR_RootConstrainSelectedInstOperands,
     /*  467758 */     // GIR_Coverage, 14173,
     /*  467758 */     GIR_EraseRootFromParent_Done,
     /*  467759 */   // Label 7944: @467759
     /*  467759 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(467848), // Rule ID 14174 //
     /*  467764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467811 */     // MIs[1] Operand 1
     /*  467811 */     // No operand predicates
     /*  467811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467846 */     GIR_RootConstrainSelectedInstOperands,
     /*  467847 */     // GIR_Coverage, 14174,
     /*  467847 */     GIR_EraseRootFromParent_Done,
     /*  467848 */   // Label 7945: @467848
     /*  467848 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(467937), // Rule ID 14177 //
     /*  467853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  467864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  467867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  467870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467900 */     // MIs[1] Operand 1
     /*  467900 */     // No operand predicates
     /*  467900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467935 */     GIR_RootConstrainSelectedInstOperands,
     /*  467936 */     // GIR_Coverage, 14177,
     /*  467936 */     GIR_EraseRootFromParent_Done,
     /*  467937 */   // Label 7946: @467937
     /*  467937 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468026), // Rule ID 14178 //
     /*  467942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  467953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  467956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  467959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467989 */     // MIs[1] Operand 1
     /*  467989 */     // No operand predicates
     /*  467989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468024 */     GIR_RootConstrainSelectedInstOperands,
     /*  468025 */     // GIR_Coverage, 14178,
     /*  468025 */     GIR_EraseRootFromParent_Done,
     /*  468026 */   // Label 7947: @468026
     /*  468026 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(468115), // Rule ID 14181 //
     /*  468031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468078 */     // MIs[1] Operand 1
     /*  468078 */     // No operand predicates
     /*  468078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468113 */     GIR_RootConstrainSelectedInstOperands,
     /*  468114 */     // GIR_Coverage, 14181,
     /*  468114 */     GIR_EraseRootFromParent_Done,
     /*  468115 */   // Label 7948: @468115
     /*  468115 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(468204), // Rule ID 14182 //
     /*  468120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468167 */     // MIs[1] Operand 1
     /*  468167 */     // No operand predicates
     /*  468167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  468179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468202 */     GIR_RootConstrainSelectedInstOperands,
     /*  468203 */     // GIR_Coverage, 14182,
     /*  468203 */     GIR_EraseRootFromParent_Done,
     /*  468204 */   // Label 7949: @468204
     /*  468204 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(468293), // Rule ID 14185 //
     /*  468209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468256 */     // MIs[1] Operand 1
     /*  468256 */     // No operand predicates
     /*  468256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468291 */     GIR_RootConstrainSelectedInstOperands,
     /*  468292 */     // GIR_Coverage, 14185,
     /*  468292 */     GIR_EraseRootFromParent_Done,
     /*  468293 */   // Label 7950: @468293
     /*  468293 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(468382), // Rule ID 14186 //
     /*  468298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468345 */     // MIs[1] Operand 1
     /*  468345 */     // No operand predicates
     /*  468345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  468357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468380 */     GIR_RootConstrainSelectedInstOperands,
     /*  468381 */     // GIR_Coverage, 14186,
     /*  468381 */     GIR_EraseRootFromParent_Done,
     /*  468382 */   // Label 7951: @468382
     /*  468382 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(468471), // Rule ID 14189 //
     /*  468387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468434 */     // MIs[1] Operand 1
     /*  468434 */     // No operand predicates
     /*  468434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468469 */     GIR_RootConstrainSelectedInstOperands,
     /*  468470 */     // GIR_Coverage, 14189,
     /*  468470 */     GIR_EraseRootFromParent_Done,
     /*  468471 */   // Label 7952: @468471
     /*  468471 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(468560), // Rule ID 14190 //
     /*  468476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  468484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468523 */     // MIs[1] Operand 1
     /*  468523 */     // No operand predicates
     /*  468523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  468535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468558 */     GIR_RootConstrainSelectedInstOperands,
     /*  468559 */     // GIR_Coverage, 14190,
     /*  468559 */     GIR_EraseRootFromParent_Done,
     /*  468560 */   // Label 7953: @468560
     /*  468560 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(468649), // Rule ID 14369 //
     /*  468565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  468576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  468579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  468582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468612 */     // MIs[1] Operand 1
     /*  468612 */     // No operand predicates
     /*  468612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468621 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  468624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468647 */     GIR_RootConstrainSelectedInstOperands,
     /*  468648 */     // GIR_Coverage, 14369,
     /*  468648 */     GIR_EraseRootFromParent_Done,
     /*  468649 */   // Label 7954: @468649
     /*  468649 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(468738), // Rule ID 14370 //
     /*  468654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  468665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  468668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  468671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468701 */     // MIs[1] Operand 1
     /*  468701 */     // No operand predicates
     /*  468701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  468713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468736 */     GIR_RootConstrainSelectedInstOperands,
     /*  468737 */     // GIR_Coverage, 14370,
     /*  468737 */     GIR_EraseRootFromParent_Done,
     /*  468738 */   // Label 7955: @468738
     /*  468738 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(468827), // Rule ID 14373 //
     /*  468743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  468754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  468757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  468760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468790 */     // MIs[1] Operand 1
     /*  468790 */     // No operand predicates
     /*  468790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  468802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468825 */     GIR_RootConstrainSelectedInstOperands,
     /*  468826 */     // GIR_Coverage, 14373,
     /*  468826 */     GIR_EraseRootFromParent_Done,
     /*  468827 */   // Label 7956: @468827
     /*  468827 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(468916), // Rule ID 14374 //
     /*  468832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  468843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  468846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  468849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468879 */     // MIs[1] Operand 1
     /*  468879 */     // No operand predicates
     /*  468879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468888 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  468891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468914 */     GIR_RootConstrainSelectedInstOperands,
     /*  468915 */     // GIR_Coverage, 14374,
     /*  468915 */     GIR_EraseRootFromParent_Done,
     /*  468916 */   // Label 7957: @468916
     /*  468916 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469005), // Rule ID 14377 //
     /*  468921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  468932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  468935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  468938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468968 */     // MIs[1] Operand 1
     /*  468968 */     // No operand predicates
     /*  468968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  468980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469003 */     GIR_RootConstrainSelectedInstOperands,
     /*  469004 */     // GIR_Coverage, 14377,
     /*  469004 */     GIR_EraseRootFromParent_Done,
     /*  469005 */   // Label 7958: @469005
     /*  469005 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(469094), // Rule ID 14378 //
     /*  469010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469057 */     // MIs[1] Operand 1
     /*  469057 */     // No operand predicates
     /*  469057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469066 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469092 */     GIR_RootConstrainSelectedInstOperands,
     /*  469093 */     // GIR_Coverage, 14378,
     /*  469093 */     GIR_EraseRootFromParent_Done,
     /*  469094 */   // Label 7959: @469094
     /*  469094 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(469183), // Rule ID 14381 //
     /*  469099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469146 */     // MIs[1] Operand 1
     /*  469146 */     // No operand predicates
     /*  469146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469181 */     GIR_RootConstrainSelectedInstOperands,
     /*  469182 */     // GIR_Coverage, 14381,
     /*  469182 */     GIR_EraseRootFromParent_Done,
     /*  469183 */   // Label 7960: @469183
     /*  469183 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(469272), // Rule ID 14382 //
     /*  469188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469235 */     // MIs[1] Operand 1
     /*  469235 */     // No operand predicates
     /*  469235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  469247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469270 */     GIR_RootConstrainSelectedInstOperands,
     /*  469271 */     // GIR_Coverage, 14382,
     /*  469271 */     GIR_EraseRootFromParent_Done,
     /*  469272 */   // Label 7961: @469272
     /*  469272 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(469361), // Rule ID 14385 //
     /*  469277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469324 */     // MIs[1] Operand 1
     /*  469324 */     // No operand predicates
     /*  469324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469333 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469359 */     GIR_RootConstrainSelectedInstOperands,
     /*  469360 */     // GIR_Coverage, 14385,
     /*  469360 */     GIR_EraseRootFromParent_Done,
     /*  469361 */   // Label 7962: @469361
     /*  469361 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(469450), // Rule ID 14386 //
     /*  469366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469413 */     // MIs[1] Operand 1
     /*  469413 */     // No operand predicates
     /*  469413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469448 */     GIR_RootConstrainSelectedInstOperands,
     /*  469449 */     // GIR_Coverage, 14386,
     /*  469449 */     GIR_EraseRootFromParent_Done,
     /*  469450 */   // Label 7963: @469450
     /*  469450 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(469539), // Rule ID 14389 //
     /*  469455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469502 */     // MIs[1] Operand 1
     /*  469502 */     // No operand predicates
     /*  469502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469537 */     GIR_RootConstrainSelectedInstOperands,
     /*  469538 */     // GIR_Coverage, 14389,
     /*  469538 */     GIR_EraseRootFromParent_Done,
     /*  469539 */   // Label 7964: @469539
     /*  469539 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(469628), // Rule ID 14390 //
     /*  469544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469591 */     // MIs[1] Operand 1
     /*  469591 */     // No operand predicates
     /*  469591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  469603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469626 */     GIR_RootConstrainSelectedInstOperands,
     /*  469627 */     // GIR_Coverage, 14390,
     /*  469627 */     GIR_EraseRootFromParent_Done,
     /*  469628 */   // Label 7965: @469628
     /*  469628 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(469717), // Rule ID 14393 //
     /*  469633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469680 */     // MIs[1] Operand 1
     /*  469680 */     // No operand predicates
     /*  469680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469715 */     GIR_RootConstrainSelectedInstOperands,
     /*  469716 */     // GIR_Coverage, 14393,
     /*  469716 */     GIR_EraseRootFromParent_Done,
     /*  469717 */   // Label 7966: @469717
     /*  469717 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(469806), // Rule ID 14394 //
     /*  469722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469769 */     // MIs[1] Operand 1
     /*  469769 */     // No operand predicates
     /*  469769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469804 */     GIR_RootConstrainSelectedInstOperands,
     /*  469805 */     // GIR_Coverage, 14394,
     /*  469805 */     GIR_EraseRootFromParent_Done,
     /*  469806 */   // Label 7967: @469806
     /*  469806 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(469895), // Rule ID 14397 //
     /*  469811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  469822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  469825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  469828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469858 */     // MIs[1] Operand 1
     /*  469858 */     // No operand predicates
     /*  469858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469893 */     GIR_RootConstrainSelectedInstOperands,
     /*  469894 */     // GIR_Coverage, 14397,
     /*  469894 */     GIR_EraseRootFromParent_Done,
     /*  469895 */   // Label 7968: @469895
     /*  469895 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(469984), // Rule ID 14398 //
     /*  469900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  469911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  469914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  469917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469947 */     // MIs[1] Operand 1
     /*  469947 */     // No operand predicates
     /*  469947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469982 */     GIR_RootConstrainSelectedInstOperands,
     /*  469983 */     // GIR_Coverage, 14398,
     /*  469983 */     GIR_EraseRootFromParent_Done,
     /*  469984 */   // Label 7969: @469984
     /*  469984 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(470073), // Rule ID 14401 //
     /*  469989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470036 */     // MIs[1] Operand 1
     /*  470036 */     // No operand predicates
     /*  470036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470071 */     GIR_RootConstrainSelectedInstOperands,
     /*  470072 */     // GIR_Coverage, 14401,
     /*  470072 */     GIR_EraseRootFromParent_Done,
     /*  470073 */   // Label 7970: @470073
     /*  470073 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(470162), // Rule ID 14402 //
     /*  470078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470125 */     // MIs[1] Operand 1
     /*  470125 */     // No operand predicates
     /*  470125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470160 */     GIR_RootConstrainSelectedInstOperands,
     /*  470161 */     // GIR_Coverage, 14402,
     /*  470161 */     GIR_EraseRootFromParent_Done,
     /*  470162 */   // Label 7971: @470162
     /*  470162 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(470251), // Rule ID 14405 //
     /*  470167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470214 */     // MIs[1] Operand 1
     /*  470214 */     // No operand predicates
     /*  470214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470249 */     GIR_RootConstrainSelectedInstOperands,
     /*  470250 */     // GIR_Coverage, 14405,
     /*  470250 */     GIR_EraseRootFromParent_Done,
     /*  470251 */   // Label 7972: @470251
     /*  470251 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(470340), // Rule ID 14406 //
     /*  470256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470303 */     // MIs[1] Operand 1
     /*  470303 */     // No operand predicates
     /*  470303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  470315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470338 */     GIR_RootConstrainSelectedInstOperands,
     /*  470339 */     // GIR_Coverage, 14406,
     /*  470339 */     GIR_EraseRootFromParent_Done,
     /*  470340 */   // Label 7973: @470340
     /*  470340 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(470429), // Rule ID 14409 //
     /*  470345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470392 */     // MIs[1] Operand 1
     /*  470392 */     // No operand predicates
     /*  470392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470401 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470427 */     GIR_RootConstrainSelectedInstOperands,
     /*  470428 */     // GIR_Coverage, 14409,
     /*  470428 */     GIR_EraseRootFromParent_Done,
     /*  470429 */   // Label 7974: @470429
     /*  470429 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(470518), // Rule ID 14410 //
     /*  470434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470481 */     // MIs[1] Operand 1
     /*  470481 */     // No operand predicates
     /*  470481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470516 */     GIR_RootConstrainSelectedInstOperands,
     /*  470517 */     // GIR_Coverage, 14410,
     /*  470517 */     GIR_EraseRootFromParent_Done,
     /*  470518 */   // Label 7975: @470518
     /*  470518 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(470607), // Rule ID 14413 //
     /*  470523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470570 */     // MIs[1] Operand 1
     /*  470570 */     // No operand predicates
     /*  470570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470579 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470605 */     GIR_RootConstrainSelectedInstOperands,
     /*  470606 */     // GIR_Coverage, 14413,
     /*  470606 */     GIR_EraseRootFromParent_Done,
     /*  470607 */   // Label 7976: @470607
     /*  470607 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(470696), // Rule ID 14414 //
     /*  470612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470659 */     // MIs[1] Operand 1
     /*  470659 */     // No operand predicates
     /*  470659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470694 */     GIR_RootConstrainSelectedInstOperands,
     /*  470695 */     // GIR_Coverage, 14414,
     /*  470695 */     GIR_EraseRootFromParent_Done,
     /*  470696 */   // Label 7977: @470696
     /*  470696 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(470785), // Rule ID 14417 //
     /*  470701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470748 */     // MIs[1] Operand 1
     /*  470748 */     // No operand predicates
     /*  470748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470757 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470783 */     GIR_RootConstrainSelectedInstOperands,
     /*  470784 */     // GIR_Coverage, 14417,
     /*  470784 */     GIR_EraseRootFromParent_Done,
     /*  470785 */   // Label 7978: @470785
     /*  470785 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(470874), // Rule ID 14418 //
     /*  470790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470837 */     // MIs[1] Operand 1
     /*  470837 */     // No operand predicates
     /*  470837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470872 */     GIR_RootConstrainSelectedInstOperands,
     /*  470873 */     // GIR_Coverage, 14418,
     /*  470873 */     GIR_EraseRootFromParent_Done,
     /*  470874 */   // Label 7979: @470874
     /*  470874 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(470963), // Rule ID 14421 //
     /*  470879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  470890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  470893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  470896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470926 */     // MIs[1] Operand 1
     /*  470926 */     // No operand predicates
     /*  470926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470961 */     GIR_RootConstrainSelectedInstOperands,
     /*  470962 */     // GIR_Coverage, 14421,
     /*  470962 */     GIR_EraseRootFromParent_Done,
     /*  470963 */   // Label 7980: @470963
     /*  470963 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471052), // Rule ID 14422 //
     /*  470968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  470979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  470982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  470985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471015 */     // MIs[1] Operand 1
     /*  471015 */     // No operand predicates
     /*  471015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471050 */     GIR_RootConstrainSelectedInstOperands,
     /*  471051 */     // GIR_Coverage, 14422,
     /*  471051 */     GIR_EraseRootFromParent_Done,
     /*  471052 */   // Label 7981: @471052
     /*  471052 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(471141), // Rule ID 14425 //
     /*  471057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471104 */     // MIs[1] Operand 1
     /*  471104 */     // No operand predicates
     /*  471104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471139 */     GIR_RootConstrainSelectedInstOperands,
     /*  471140 */     // GIR_Coverage, 14425,
     /*  471140 */     GIR_EraseRootFromParent_Done,
     /*  471141 */   // Label 7982: @471141
     /*  471141 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(471230), // Rule ID 14426 //
     /*  471146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471193 */     // MIs[1] Operand 1
     /*  471193 */     // No operand predicates
     /*  471193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471228 */     GIR_RootConstrainSelectedInstOperands,
     /*  471229 */     // GIR_Coverage, 14426,
     /*  471229 */     GIR_EraseRootFromParent_Done,
     /*  471230 */   // Label 7983: @471230
     /*  471230 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(471319), // Rule ID 14429 //
     /*  471235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471282 */     // MIs[1] Operand 1
     /*  471282 */     // No operand predicates
     /*  471282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471317 */     GIR_RootConstrainSelectedInstOperands,
     /*  471318 */     // GIR_Coverage, 14429,
     /*  471318 */     GIR_EraseRootFromParent_Done,
     /*  471319 */   // Label 7984: @471319
     /*  471319 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(471408), // Rule ID 14430 //
     /*  471324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471371 */     // MIs[1] Operand 1
     /*  471371 */     // No operand predicates
     /*  471371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471406 */     GIR_RootConstrainSelectedInstOperands,
     /*  471407 */     // GIR_Coverage, 14430,
     /*  471407 */     GIR_EraseRootFromParent_Done,
     /*  471408 */   // Label 7985: @471408
     /*  471408 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(471497), // Rule ID 14433 //
     /*  471413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471460 */     // MIs[1] Operand 1
     /*  471460 */     // No operand predicates
     /*  471460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471495 */     GIR_RootConstrainSelectedInstOperands,
     /*  471496 */     // GIR_Coverage, 14433,
     /*  471496 */     GIR_EraseRootFromParent_Done,
     /*  471497 */   // Label 7986: @471497
     /*  471497 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(471586), // Rule ID 14434 //
     /*  471502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471549 */     // MIs[1] Operand 1
     /*  471549 */     // No operand predicates
     /*  471549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  471561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471584 */     GIR_RootConstrainSelectedInstOperands,
     /*  471585 */     // GIR_Coverage, 14434,
     /*  471585 */     GIR_EraseRootFromParent_Done,
     /*  471586 */   // Label 7987: @471586
     /*  471586 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(471675), // Rule ID 14437 //
     /*  471591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471638 */     // MIs[1] Operand 1
     /*  471638 */     // No operand predicates
     /*  471638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471673 */     GIR_RootConstrainSelectedInstOperands,
     /*  471674 */     // GIR_Coverage, 14437,
     /*  471674 */     GIR_EraseRootFromParent_Done,
     /*  471675 */   // Label 7988: @471675
     /*  471675 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(471764), // Rule ID 14438 //
     /*  471680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471727 */     // MIs[1] Operand 1
     /*  471727 */     // No operand predicates
     /*  471727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471762 */     GIR_RootConstrainSelectedInstOperands,
     /*  471763 */     // GIR_Coverage, 14438,
     /*  471763 */     GIR_EraseRootFromParent_Done,
     /*  471764 */   // Label 7989: @471764
     /*  471764 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(471853), // Rule ID 14441 //
     /*  471769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471816 */     // MIs[1] Operand 1
     /*  471816 */     // No operand predicates
     /*  471816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471851 */     GIR_RootConstrainSelectedInstOperands,
     /*  471852 */     // GIR_Coverage, 14441,
     /*  471852 */     GIR_EraseRootFromParent_Done,
     /*  471853 */   // Label 7990: @471853
     /*  471853 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(471942), // Rule ID 14442 //
     /*  471858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471905 */     // MIs[1] Operand 1
     /*  471905 */     // No operand predicates
     /*  471905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471940 */     GIR_RootConstrainSelectedInstOperands,
     /*  471941 */     // GIR_Coverage, 14442,
     /*  471941 */     GIR_EraseRootFromParent_Done,
     /*  471942 */   // Label 7991: @471942
     /*  471942 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472031), // Rule ID 14445 //
     /*  471947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  471958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  471961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  471964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471994 */     // MIs[1] Operand 1
     /*  471994 */     // No operand predicates
     /*  471994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472029 */     GIR_RootConstrainSelectedInstOperands,
     /*  472030 */     // GIR_Coverage, 14445,
     /*  472030 */     GIR_EraseRootFromParent_Done,
     /*  472031 */   // Label 7992: @472031
     /*  472031 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(472120), // Rule ID 14446 //
     /*  472036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472083 */     // MIs[1] Operand 1
     /*  472083 */     // No operand predicates
     /*  472083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  472095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472118 */     GIR_RootConstrainSelectedInstOperands,
     /*  472119 */     // GIR_Coverage, 14446,
     /*  472119 */     GIR_EraseRootFromParent_Done,
     /*  472120 */   // Label 7993: @472120
     /*  472120 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(472209), // Rule ID 14449 //
     /*  472125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472172 */     // MIs[1] Operand 1
     /*  472172 */     // No operand predicates
     /*  472172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472181 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472207 */     GIR_RootConstrainSelectedInstOperands,
     /*  472208 */     // GIR_Coverage, 14449,
     /*  472208 */     GIR_EraseRootFromParent_Done,
     /*  472209 */   // Label 7994: @472209
     /*  472209 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(472298), // Rule ID 14450 //
     /*  472214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472261 */     // MIs[1] Operand 1
     /*  472261 */     // No operand predicates
     /*  472261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  472273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472296 */     GIR_RootConstrainSelectedInstOperands,
     /*  472297 */     // GIR_Coverage, 14450,
     /*  472297 */     GIR_EraseRootFromParent_Done,
     /*  472298 */   // Label 7995: @472298
     /*  472298 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(472387), // Rule ID 14453 //
     /*  472303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472350 */     // MIs[1] Operand 1
     /*  472350 */     // No operand predicates
     /*  472350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472359 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472385 */     GIR_RootConstrainSelectedInstOperands,
     /*  472386 */     // GIR_Coverage, 14453,
     /*  472386 */     GIR_EraseRootFromParent_Done,
     /*  472387 */   // Label 7996: @472387
     /*  472387 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(472476), // Rule ID 14454 //
     /*  472392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  472400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472439 */     // MIs[1] Operand 1
     /*  472439 */     // No operand predicates
     /*  472439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  472451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472474 */     GIR_RootConstrainSelectedInstOperands,
     /*  472475 */     // GIR_Coverage, 14454,
     /*  472475 */     GIR_EraseRootFromParent_Done,
     /*  472476 */   // Label 7997: @472476
     /*  472476 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(472562), // Rule ID 24549 //
     /*  472481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472528 */     // MIs[1] Operand 1
     /*  472528 */     // No operand predicates
     /*  472528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472537 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472560 */     GIR_RootConstrainSelectedInstOperands,
     /*  472561 */     // GIR_Coverage, 24549,
     /*  472561 */     GIR_EraseRootFromParent_Done,
     /*  472562 */   // Label 7998: @472562
     /*  472562 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(472648), // Rule ID 24550 //
     /*  472567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  472578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  472581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472614 */     // MIs[1] Operand 1
     /*  472614 */     // No operand predicates
     /*  472614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472623 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  472626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472646 */     GIR_RootConstrainSelectedInstOperands,
     /*  472647 */     // GIR_Coverage, 24550,
     /*  472647 */     GIR_EraseRootFromParent_Done,
     /*  472648 */   // Label 7999: @472648
     /*  472648 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(472734), // Rule ID 24553 //
     /*  472653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  472664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  472667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472700 */     // MIs[1] Operand 1
     /*  472700 */     // No operand predicates
     /*  472700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  472712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472732 */     GIR_RootConstrainSelectedInstOperands,
     /*  472733 */     // GIR_Coverage, 24553,
     /*  472733 */     GIR_EraseRootFromParent_Done,
     /*  472734 */   // Label 8000: @472734
     /*  472734 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(472820), // Rule ID 24554 //
     /*  472739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  472750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  472753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472786 */     // MIs[1] Operand 1
     /*  472786 */     // No operand predicates
     /*  472786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472795 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  472798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472818 */     GIR_RootConstrainSelectedInstOperands,
     /*  472819 */     // GIR_Coverage, 24554,
     /*  472819 */     GIR_EraseRootFromParent_Done,
     /*  472820 */   // Label 8001: @472820
     /*  472820 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(472906), // Rule ID 24557 //
     /*  472825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  472836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  472839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472872 */     // MIs[1] Operand 1
     /*  472872 */     // No operand predicates
     /*  472872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472881 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472904 */     GIR_RootConstrainSelectedInstOperands,
     /*  472905 */     // GIR_Coverage, 24557,
     /*  472905 */     GIR_EraseRootFromParent_Done,
     /*  472906 */   // Label 8002: @472906
     /*  472906 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(472992), // Rule ID 24558 //
     /*  472911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  472922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  472925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472958 */     // MIs[1] Operand 1
     /*  472958 */     // No operand predicates
     /*  472958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472990 */     GIR_RootConstrainSelectedInstOperands,
     /*  472991 */     // GIR_Coverage, 24558,
     /*  472991 */     GIR_EraseRootFromParent_Done,
     /*  472992 */   // Label 8003: @472992
     /*  472992 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473078), // Rule ID 24561 //
     /*  472997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473044 */     // MIs[1] Operand 1
     /*  473044 */     // No operand predicates
     /*  473044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473076 */     GIR_RootConstrainSelectedInstOperands,
     /*  473077 */     // GIR_Coverage, 24561,
     /*  473077 */     GIR_EraseRootFromParent_Done,
     /*  473078 */   // Label 8004: @473078
     /*  473078 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(473164), // Rule ID 24562 //
     /*  473083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473130 */     // MIs[1] Operand 1
     /*  473130 */     // No operand predicates
     /*  473130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  473142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473162 */     GIR_RootConstrainSelectedInstOperands,
     /*  473163 */     // GIR_Coverage, 24562,
     /*  473163 */     GIR_EraseRootFromParent_Done,
     /*  473164 */   // Label 8005: @473164
     /*  473164 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(473250), // Rule ID 24565 //
     /*  473169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473216 */     // MIs[1] Operand 1
     /*  473216 */     // No operand predicates
     /*  473216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473248 */     GIR_RootConstrainSelectedInstOperands,
     /*  473249 */     // GIR_Coverage, 24565,
     /*  473249 */     GIR_EraseRootFromParent_Done,
     /*  473250 */   // Label 8006: @473250
     /*  473250 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(473336), // Rule ID 24566 //
     /*  473255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473302 */     // MIs[1] Operand 1
     /*  473302 */     // No operand predicates
     /*  473302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473334 */     GIR_RootConstrainSelectedInstOperands,
     /*  473335 */     // GIR_Coverage, 24566,
     /*  473335 */     GIR_EraseRootFromParent_Done,
     /*  473336 */   // Label 8007: @473336
     /*  473336 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(473422), // Rule ID 24569 //
     /*  473341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473388 */     // MIs[1] Operand 1
     /*  473388 */     // No operand predicates
     /*  473388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473420 */     GIR_RootConstrainSelectedInstOperands,
     /*  473421 */     // GIR_Coverage, 24569,
     /*  473421 */     GIR_EraseRootFromParent_Done,
     /*  473422 */   // Label 8008: @473422
     /*  473422 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(473508), // Rule ID 24570 //
     /*  473427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473474 */     // MIs[1] Operand 1
     /*  473474 */     // No operand predicates
     /*  473474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  473486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473506 */     GIR_RootConstrainSelectedInstOperands,
     /*  473507 */     // GIR_Coverage, 24570,
     /*  473507 */     GIR_EraseRootFromParent_Done,
     /*  473508 */   // Label 8009: @473508
     /*  473508 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(473594), // Rule ID 24573 //
     /*  473513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473560 */     // MIs[1] Operand 1
     /*  473560 */     // No operand predicates
     /*  473560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473592 */     GIR_RootConstrainSelectedInstOperands,
     /*  473593 */     // GIR_Coverage, 24573,
     /*  473593 */     GIR_EraseRootFromParent_Done,
     /*  473594 */   // Label 8010: @473594
     /*  473594 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(473680), // Rule ID 24574 //
     /*  473599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  473610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  473613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473646 */     // MIs[1] Operand 1
     /*  473646 */     // No operand predicates
     /*  473646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473678 */     GIR_RootConstrainSelectedInstOperands,
     /*  473679 */     // GIR_Coverage, 24574,
     /*  473679 */     GIR_EraseRootFromParent_Done,
     /*  473680 */   // Label 8011: @473680
     /*  473680 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(473766), // Rule ID 24577 //
     /*  473685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473732 */     // MIs[1] Operand 1
     /*  473732 */     // No operand predicates
     /*  473732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473764 */     GIR_RootConstrainSelectedInstOperands,
     /*  473765 */     // GIR_Coverage, 24577,
     /*  473765 */     GIR_EraseRootFromParent_Done,
     /*  473766 */   // Label 8012: @473766
     /*  473766 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(473852), // Rule ID 24578 //
     /*  473771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473818 */     // MIs[1] Operand 1
     /*  473818 */     // No operand predicates
     /*  473818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473850 */     GIR_RootConstrainSelectedInstOperands,
     /*  473851 */     // GIR_Coverage, 24578,
     /*  473851 */     GIR_EraseRootFromParent_Done,
     /*  473852 */   // Label 8013: @473852
     /*  473852 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(473938), // Rule ID 24581 //
     /*  473857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  473868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  473871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  473874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473904 */     // MIs[1] Operand 1
     /*  473904 */     // No operand predicates
     /*  473904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  473916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473936 */     GIR_RootConstrainSelectedInstOperands,
     /*  473937 */     // GIR_Coverage, 24581,
     /*  473937 */     GIR_EraseRootFromParent_Done,
     /*  473938 */   // Label 8014: @473938
     /*  473938 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474024), // Rule ID 24582 //
     /*  473943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  473954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  473957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  473960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473990 */     // MIs[1] Operand 1
     /*  473990 */     // No operand predicates
     /*  473990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474022 */     GIR_RootConstrainSelectedInstOperands,
     /*  474023 */     // GIR_Coverage, 24582,
     /*  474023 */     GIR_EraseRootFromParent_Done,
     /*  474024 */   // Label 8015: @474024
     /*  474024 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474110), // Rule ID 24585 //
     /*  474029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474076 */     // MIs[1] Operand 1
     /*  474076 */     // No operand predicates
     /*  474076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474085 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474108 */     GIR_RootConstrainSelectedInstOperands,
     /*  474109 */     // GIR_Coverage, 24585,
     /*  474109 */     GIR_EraseRootFromParent_Done,
     /*  474110 */   // Label 8016: @474110
     /*  474110 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(474196), // Rule ID 24586 //
     /*  474115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474162 */     // MIs[1] Operand 1
     /*  474162 */     // No operand predicates
     /*  474162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  474174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474194 */     GIR_RootConstrainSelectedInstOperands,
     /*  474195 */     // GIR_Coverage, 24586,
     /*  474195 */     GIR_EraseRootFromParent_Done,
     /*  474196 */   // Label 8017: @474196
     /*  474196 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(474282), // Rule ID 24589 //
     /*  474201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474248 */     // MIs[1] Operand 1
     /*  474248 */     // No operand predicates
     /*  474248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474280 */     GIR_RootConstrainSelectedInstOperands,
     /*  474281 */     // GIR_Coverage, 24589,
     /*  474281 */     GIR_EraseRootFromParent_Done,
     /*  474282 */   // Label 8018: @474282
     /*  474282 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(474368), // Rule ID 24590 //
     /*  474287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474334 */     // MIs[1] Operand 1
     /*  474334 */     // No operand predicates
     /*  474334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474366 */     GIR_RootConstrainSelectedInstOperands,
     /*  474367 */     // GIR_Coverage, 24590,
     /*  474367 */     GIR_EraseRootFromParent_Done,
     /*  474368 */   // Label 8019: @474368
     /*  474368 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(474454), // Rule ID 24593 //
     /*  474373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474420 */     // MIs[1] Operand 1
     /*  474420 */     // No operand predicates
     /*  474420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474429 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474452 */     GIR_RootConstrainSelectedInstOperands,
     /*  474453 */     // GIR_Coverage, 24593,
     /*  474453 */     GIR_EraseRootFromParent_Done,
     /*  474454 */   // Label 8020: @474454
     /*  474454 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(474540), // Rule ID 24594 //
     /*  474459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  474470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  474473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  474476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474506 */     // MIs[1] Operand 1
     /*  474506 */     // No operand predicates
     /*  474506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474515 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474538 */     GIR_RootConstrainSelectedInstOperands,
     /*  474539 */     // GIR_Coverage, 24594,
     /*  474539 */     GIR_EraseRootFromParent_Done,
     /*  474540 */   // Label 8021: @474540
     /*  474540 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(474626), // Rule ID 24597 //
     /*  474545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  474562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474592 */     // MIs[1] Operand 1
     /*  474592 */     // No operand predicates
     /*  474592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474601 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474624 */     GIR_RootConstrainSelectedInstOperands,
     /*  474625 */     // GIR_Coverage, 24597,
     /*  474625 */     GIR_EraseRootFromParent_Done,
     /*  474626 */   // Label 8022: @474626
     /*  474626 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(474712), // Rule ID 24598 //
     /*  474631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  474642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  474645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  474648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474678 */     // MIs[1] Operand 1
     /*  474678 */     // No operand predicates
     /*  474678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474710 */     GIR_RootConstrainSelectedInstOperands,
     /*  474711 */     // GIR_Coverage, 24598,
     /*  474711 */     GIR_EraseRootFromParent_Done,
     /*  474712 */   // Label 8023: @474712
     /*  474712 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(474798), // Rule ID 24601 //
     /*  474717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474764 */     // MIs[1] Operand 1
     /*  474764 */     // No operand predicates
     /*  474764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474796 */     GIR_RootConstrainSelectedInstOperands,
     /*  474797 */     // GIR_Coverage, 24601,
     /*  474797 */     GIR_EraseRootFromParent_Done,
     /*  474798 */   // Label 8024: @474798
     /*  474798 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(474884), // Rule ID 24602 //
     /*  474803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474850 */     // MIs[1] Operand 1
     /*  474850 */     // No operand predicates
     /*  474850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474882 */     GIR_RootConstrainSelectedInstOperands,
     /*  474883 */     // GIR_Coverage, 24602,
     /*  474883 */     GIR_EraseRootFromParent_Done,
     /*  474884 */   // Label 8025: @474884
     /*  474884 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(474970), // Rule ID 24605 //
     /*  474889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  474900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  474903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  474906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474936 */     // MIs[1] Operand 1
     /*  474936 */     // No operand predicates
     /*  474936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474968 */     GIR_RootConstrainSelectedInstOperands,
     /*  474969 */     // GIR_Coverage, 24605,
     /*  474969 */     GIR_EraseRootFromParent_Done,
     /*  474970 */   // Label 8026: @474970
     /*  474970 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475056), // Rule ID 24606 //
     /*  474975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  474986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  474989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  474992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475022 */     // MIs[1] Operand 1
     /*  475022 */     // No operand predicates
     /*  475022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475054 */     GIR_RootConstrainSelectedInstOperands,
     /*  475055 */     // GIR_Coverage, 24606,
     /*  475055 */     GIR_EraseRootFromParent_Done,
     /*  475056 */   // Label 8027: @475056
     /*  475056 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(475142), // Rule ID 24609 //
     /*  475061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475108 */     // MIs[1] Operand 1
     /*  475108 */     // No operand predicates
     /*  475108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475140 */     GIR_RootConstrainSelectedInstOperands,
     /*  475141 */     // GIR_Coverage, 24609,
     /*  475141 */     GIR_EraseRootFromParent_Done,
     /*  475142 */   // Label 8028: @475142
     /*  475142 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(475228), // Rule ID 24610 //
     /*  475147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475194 */     // MIs[1] Operand 1
     /*  475194 */     // No operand predicates
     /*  475194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475226 */     GIR_RootConstrainSelectedInstOperands,
     /*  475227 */     // GIR_Coverage, 24610,
     /*  475227 */     GIR_EraseRootFromParent_Done,
     /*  475228 */   // Label 8029: @475228
     /*  475228 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(475314), // Rule ID 24613 //
     /*  475233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475280 */     // MIs[1] Operand 1
     /*  475280 */     // No operand predicates
     /*  475280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475312 */     GIR_RootConstrainSelectedInstOperands,
     /*  475313 */     // GIR_Coverage, 24613,
     /*  475313 */     GIR_EraseRootFromParent_Done,
     /*  475314 */   // Label 8030: @475314
     /*  475314 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(475400), // Rule ID 24614 //
     /*  475319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475366 */     // MIs[1] Operand 1
     /*  475366 */     // No operand predicates
     /*  475366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475398 */     GIR_RootConstrainSelectedInstOperands,
     /*  475399 */     // GIR_Coverage, 24614,
     /*  475399 */     GIR_EraseRootFromParent_Done,
     /*  475400 */   // Label 8031: @475400
     /*  475400 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(475486), // Rule ID 24617 //
     /*  475405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475452 */     // MIs[1] Operand 1
     /*  475452 */     // No operand predicates
     /*  475452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475484 */     GIR_RootConstrainSelectedInstOperands,
     /*  475485 */     // GIR_Coverage, 24617,
     /*  475485 */     GIR_EraseRootFromParent_Done,
     /*  475486 */   // Label 8032: @475486
     /*  475486 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(475572), // Rule ID 24618 //
     /*  475491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475538 */     // MIs[1] Operand 1
     /*  475538 */     // No operand predicates
     /*  475538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475570 */     GIR_RootConstrainSelectedInstOperands,
     /*  475571 */     // GIR_Coverage, 24618,
     /*  475571 */     GIR_EraseRootFromParent_Done,
     /*  475572 */   // Label 8033: @475572
     /*  475572 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(475658), // Rule ID 24621 //
     /*  475577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  475594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475624 */     // MIs[1] Operand 1
     /*  475624 */     // No operand predicates
     /*  475624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475656 */     GIR_RootConstrainSelectedInstOperands,
     /*  475657 */     // GIR_Coverage, 24621,
     /*  475657 */     GIR_EraseRootFromParent_Done,
     /*  475658 */   // Label 8034: @475658
     /*  475658 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(475744), // Rule ID 24622 //
     /*  475663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  475680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475710 */     // MIs[1] Operand 1
     /*  475710 */     // No operand predicates
     /*  475710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475742 */     GIR_RootConstrainSelectedInstOperands,
     /*  475743 */     // GIR_Coverage, 24622,
     /*  475743 */     GIR_EraseRootFromParent_Done,
     /*  475744 */   // Label 8035: @475744
     /*  475744 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(475830), // Rule ID 24625 //
     /*  475749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  475766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475796 */     // MIs[1] Operand 1
     /*  475796 */     // No operand predicates
     /*  475796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475828 */     GIR_RootConstrainSelectedInstOperands,
     /*  475829 */     // GIR_Coverage, 24625,
     /*  475829 */     GIR_EraseRootFromParent_Done,
     /*  475830 */   // Label 8036: @475830
     /*  475830 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(475916), // Rule ID 24626 //
     /*  475835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  475838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  475852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475882 */     // MIs[1] Operand 1
     /*  475882 */     // No operand predicates
     /*  475882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475914 */     GIR_RootConstrainSelectedInstOperands,
     /*  475915 */     // GIR_Coverage, 24626,
     /*  475915 */     GIR_EraseRootFromParent_Done,
     /*  475916 */   // Label 8037: @475916
     /*  475916 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476002), // Rule ID 24629 //
     /*  475921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  475932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  475935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  475938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475968 */     // MIs[1] Operand 1
     /*  475968 */     // No operand predicates
     /*  475968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476000 */     GIR_RootConstrainSelectedInstOperands,
     /*  476001 */     // GIR_Coverage, 24629,
     /*  476001 */     GIR_EraseRootFromParent_Done,
     /*  476002 */   // Label 8038: @476002
     /*  476002 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476088), // Rule ID 24630 //
     /*  476007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476054 */     // MIs[1] Operand 1
     /*  476054 */     // No operand predicates
     /*  476054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476063 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476086 */     GIR_RootConstrainSelectedInstOperands,
     /*  476087 */     // GIR_Coverage, 24630,
     /*  476087 */     GIR_EraseRootFromParent_Done,
     /*  476088 */   // Label 8039: @476088
     /*  476088 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(476174), // Rule ID 24633 //
     /*  476093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476140 */     // MIs[1] Operand 1
     /*  476140 */     // No operand predicates
     /*  476140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476172 */     GIR_RootConstrainSelectedInstOperands,
     /*  476173 */     // GIR_Coverage, 24633,
     /*  476173 */     GIR_EraseRootFromParent_Done,
     /*  476174 */   // Label 8040: @476174
     /*  476174 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(476260), // Rule ID 24634 //
     /*  476179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476226 */     // MIs[1] Operand 1
     /*  476226 */     // No operand predicates
     /*  476226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476258 */     GIR_RootConstrainSelectedInstOperands,
     /*  476259 */     // GIR_Coverage, 24634,
     /*  476259 */     GIR_EraseRootFromParent_Done,
     /*  476260 */   // Label 8041: @476260
     /*  476260 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(476346), // Rule ID 24793 //
     /*  476265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476312 */     // MIs[1] Operand 1
     /*  476312 */     // No operand predicates
     /*  476312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476321 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476344 */     GIR_RootConstrainSelectedInstOperands,
     /*  476345 */     // GIR_Coverage, 24793,
     /*  476345 */     GIR_EraseRootFromParent_Done,
     /*  476346 */   // Label 8042: @476346
     /*  476346 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(476432), // Rule ID 24794 //
     /*  476351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476398 */     // MIs[1] Operand 1
     /*  476398 */     // No operand predicates
     /*  476398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476407 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476430 */     GIR_RootConstrainSelectedInstOperands,
     /*  476431 */     // GIR_Coverage, 24794,
     /*  476431 */     GIR_EraseRootFromParent_Done,
     /*  476432 */   // Label 8043: @476432
     /*  476432 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(476518), // Rule ID 24797 //
     /*  476437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476484 */     // MIs[1] Operand 1
     /*  476484 */     // No operand predicates
     /*  476484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476493 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476516 */     GIR_RootConstrainSelectedInstOperands,
     /*  476517 */     // GIR_Coverage, 24797,
     /*  476517 */     GIR_EraseRootFromParent_Done,
     /*  476518 */   // Label 8044: @476518
     /*  476518 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(476604), // Rule ID 24798 //
     /*  476523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476570 */     // MIs[1] Operand 1
     /*  476570 */     // No operand predicates
     /*  476570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476602 */     GIR_RootConstrainSelectedInstOperands,
     /*  476603 */     // GIR_Coverage, 24798,
     /*  476603 */     GIR_EraseRootFromParent_Done,
     /*  476604 */   // Label 8045: @476604
     /*  476604 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(476690), // Rule ID 24801 //
     /*  476609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  476612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  476626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476656 */     // MIs[1] Operand 1
     /*  476656 */     // No operand predicates
     /*  476656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476688 */     GIR_RootConstrainSelectedInstOperands,
     /*  476689 */     // GIR_Coverage, 24801,
     /*  476689 */     GIR_EraseRootFromParent_Done,
     /*  476690 */   // Label 8046: @476690
     /*  476690 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(476776), // Rule ID 24802 //
     /*  476695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  476698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  476712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476742 */     // MIs[1] Operand 1
     /*  476742 */     // No operand predicates
     /*  476742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  476754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476774 */     GIR_RootConstrainSelectedInstOperands,
     /*  476775 */     // GIR_Coverage, 24802,
     /*  476775 */     GIR_EraseRootFromParent_Done,
     /*  476776 */   // Label 8047: @476776
     /*  476776 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(476862), // Rule ID 24805 //
     /*  476781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476828 */     // MIs[1] Operand 1
     /*  476828 */     // No operand predicates
     /*  476828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476837 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476860 */     GIR_RootConstrainSelectedInstOperands,
     /*  476861 */     // GIR_Coverage, 24805,
     /*  476861 */     GIR_EraseRootFromParent_Done,
     /*  476862 */   // Label 8048: @476862
     /*  476862 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(476948), // Rule ID 24806 //
     /*  476867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476914 */     // MIs[1] Operand 1
     /*  476914 */     // No operand predicates
     /*  476914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476923 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476946 */     GIR_RootConstrainSelectedInstOperands,
     /*  476947 */     // GIR_Coverage, 24806,
     /*  476947 */     GIR_EraseRootFromParent_Done,
     /*  476948 */   // Label 8049: @476948
     /*  476948 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477034), // Rule ID 24809 //
     /*  476953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  476956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477000 */     // MIs[1] Operand 1
     /*  477000 */     // No operand predicates
     /*  477000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477009 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477032 */     GIR_RootConstrainSelectedInstOperands,
     /*  477033 */     // GIR_Coverage, 24809,
     /*  477033 */     GIR_EraseRootFromParent_Done,
     /*  477034 */   // Label 8050: @477034
     /*  477034 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477120), // Rule ID 24810 //
     /*  477039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  477050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  477053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  477056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477086 */     // MIs[1] Operand 1
     /*  477086 */     // No operand predicates
     /*  477086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477095 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477118 */     GIR_RootConstrainSelectedInstOperands,
     /*  477119 */     // GIR_Coverage, 24810,
     /*  477119 */     GIR_EraseRootFromParent_Done,
     /*  477120 */   // Label 8051: @477120
     /*  477120 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(477206), // Rule ID 24813 //
     /*  477125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  477128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477172 */     // MIs[1] Operand 1
     /*  477172 */     // No operand predicates
     /*  477172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477181 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477204 */     GIR_RootConstrainSelectedInstOperands,
     /*  477205 */     // GIR_Coverage, 24813,
     /*  477205 */     GIR_EraseRootFromParent_Done,
     /*  477206 */   // Label 8052: @477206
     /*  477206 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(477292), // Rule ID 24814 //
     /*  477211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  477214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477258 */     // MIs[1] Operand 1
     /*  477258 */     // No operand predicates
     /*  477258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477290 */     GIR_RootConstrainSelectedInstOperands,
     /*  477291 */     // GIR_Coverage, 24814,
     /*  477291 */     GIR_EraseRootFromParent_Done,
     /*  477292 */   // Label 8053: @477292
     /*  477292 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(477378), // Rule ID 24817 //
     /*  477297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477344 */     // MIs[1] Operand 1
     /*  477344 */     // No operand predicates
     /*  477344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477353 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477376 */     GIR_RootConstrainSelectedInstOperands,
     /*  477377 */     // GIR_Coverage, 24817,
     /*  477377 */     GIR_EraseRootFromParent_Done,
     /*  477378 */   // Label 8054: @477378
     /*  477378 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(477464), // Rule ID 24818 //
     /*  477383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477430 */     // MIs[1] Operand 1
     /*  477430 */     // No operand predicates
     /*  477430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477439 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477462 */     GIR_RootConstrainSelectedInstOperands,
     /*  477463 */     // GIR_Coverage, 24818,
     /*  477463 */     GIR_EraseRootFromParent_Done,
     /*  477464 */   // Label 8055: @477464
     /*  477464 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(477550), // Rule ID 24821 //
     /*  477469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477516 */     // MIs[1] Operand 1
     /*  477516 */     // No operand predicates
     /*  477516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477548 */     GIR_RootConstrainSelectedInstOperands,
     /*  477549 */     // GIR_Coverage, 24821,
     /*  477549 */     GIR_EraseRootFromParent_Done,
     /*  477550 */   // Label 8056: @477550
     /*  477550 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(477636), // Rule ID 24822 //
     /*  477555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477602 */     // MIs[1] Operand 1
     /*  477602 */     // No operand predicates
     /*  477602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477611 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477634 */     GIR_RootConstrainSelectedInstOperands,
     /*  477635 */     // GIR_Coverage, 24822,
     /*  477635 */     GIR_EraseRootFromParent_Done,
     /*  477636 */   // Label 8057: @477636
     /*  477636 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(477722), // Rule ID 24825 //
     /*  477641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  477644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477688 */     // MIs[1] Operand 1
     /*  477688 */     // No operand predicates
     /*  477688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477720 */     GIR_RootConstrainSelectedInstOperands,
     /*  477721 */     // GIR_Coverage, 24825,
     /*  477721 */     GIR_EraseRootFromParent_Done,
     /*  477722 */   // Label 8058: @477722
     /*  477722 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(477808), // Rule ID 24826 //
     /*  477727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  477730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477774 */     // MIs[1] Operand 1
     /*  477774 */     // No operand predicates
     /*  477774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477783 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477806 */     GIR_RootConstrainSelectedInstOperands,
     /*  477807 */     // GIR_Coverage, 24826,
     /*  477807 */     GIR_EraseRootFromParent_Done,
     /*  477808 */   // Label 8059: @477808
     /*  477808 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(477894), // Rule ID 24877 //
     /*  477813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477860 */     // MIs[1] Operand 1
     /*  477860 */     // No operand predicates
     /*  477860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477869 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477892 */     GIR_RootConstrainSelectedInstOperands,
     /*  477893 */     // GIR_Coverage, 24877,
     /*  477893 */     GIR_EraseRootFromParent_Done,
     /*  477894 */   // Label 8060: @477894
     /*  477894 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(477980), // Rule ID 24878 //
     /*  477899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477946 */     // MIs[1] Operand 1
     /*  477946 */     // No operand predicates
     /*  477946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477955 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477978 */     GIR_RootConstrainSelectedInstOperands,
     /*  477979 */     // GIR_Coverage, 24878,
     /*  477979 */     GIR_EraseRootFromParent_Done,
     /*  477980 */   // Label 8061: @477980
     /*  477980 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478066), // Rule ID 24881 //
     /*  477985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478032 */     // MIs[1] Operand 1
     /*  478032 */     // No operand predicates
     /*  478032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478041 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478064 */     GIR_RootConstrainSelectedInstOperands,
     /*  478065 */     // GIR_Coverage, 24881,
     /*  478065 */     GIR_EraseRootFromParent_Done,
     /*  478066 */   // Label 8062: @478066
     /*  478066 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(478152), // Rule ID 24882 //
     /*  478071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478118 */     // MIs[1] Operand 1
     /*  478118 */     // No operand predicates
     /*  478118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478150 */     GIR_RootConstrainSelectedInstOperands,
     /*  478151 */     // GIR_Coverage, 24882,
     /*  478151 */     GIR_EraseRootFromParent_Done,
     /*  478152 */   // Label 8063: @478152
     /*  478152 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(478238), // Rule ID 24885 //
     /*  478157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478204 */     // MIs[1] Operand 1
     /*  478204 */     // No operand predicates
     /*  478204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478213 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478236 */     GIR_RootConstrainSelectedInstOperands,
     /*  478237 */     // GIR_Coverage, 24885,
     /*  478237 */     GIR_EraseRootFromParent_Done,
     /*  478238 */   // Label 8064: @478238
     /*  478238 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(478324), // Rule ID 24886 //
     /*  478243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478290 */     // MIs[1] Operand 1
     /*  478290 */     // No operand predicates
     /*  478290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478299 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478322 */     GIR_RootConstrainSelectedInstOperands,
     /*  478323 */     // GIR_Coverage, 24886,
     /*  478323 */     GIR_EraseRootFromParent_Done,
     /*  478324 */   // Label 8065: @478324
     /*  478324 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(478410), // Rule ID 24889 //
     /*  478329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478376 */     // MIs[1] Operand 1
     /*  478376 */     // No operand predicates
     /*  478376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478385 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478408 */     GIR_RootConstrainSelectedInstOperands,
     /*  478409 */     // GIR_Coverage, 24889,
     /*  478409 */     GIR_EraseRootFromParent_Done,
     /*  478410 */   // Label 8066: @478410
     /*  478410 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(478496), // Rule ID 24890 //
     /*  478415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478462 */     // MIs[1] Operand 1
     /*  478462 */     // No operand predicates
     /*  478462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478471 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478494 */     GIR_RootConstrainSelectedInstOperands,
     /*  478495 */     // GIR_Coverage, 24890,
     /*  478495 */     GIR_EraseRootFromParent_Done,
     /*  478496 */   // Label 8067: @478496
     /*  478496 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(478582), // Rule ID 24893 //
     /*  478501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478548 */     // MIs[1] Operand 1
     /*  478548 */     // No operand predicates
     /*  478548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478557 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478580 */     GIR_RootConstrainSelectedInstOperands,
     /*  478581 */     // GIR_Coverage, 24893,
     /*  478581 */     GIR_EraseRootFromParent_Done,
     /*  478582 */   // Label 8068: @478582
     /*  478582 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(478668), // Rule ID 24894 //
     /*  478587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478634 */     // MIs[1] Operand 1
     /*  478634 */     // No operand predicates
     /*  478634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478643 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  478646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478666 */     GIR_RootConstrainSelectedInstOperands,
     /*  478667 */     // GIR_Coverage, 24894,
     /*  478667 */     GIR_EraseRootFromParent_Done,
     /*  478668 */   // Label 8069: @478668
     /*  478668 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(478754), // Rule ID 24897 //
     /*  478673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  478676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478720 */     // MIs[1] Operand 1
     /*  478720 */     // No operand predicates
     /*  478720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478729 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478752 */     GIR_RootConstrainSelectedInstOperands,
     /*  478753 */     // GIR_Coverage, 24897,
     /*  478753 */     GIR_EraseRootFromParent_Done,
     /*  478754 */   // Label 8070: @478754
     /*  478754 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(478840), // Rule ID 24898 //
     /*  478759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  478762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478806 */     // MIs[1] Operand 1
     /*  478806 */     // No operand predicates
     /*  478806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478815 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  478818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478838 */     GIR_RootConstrainSelectedInstOperands,
     /*  478839 */     // GIR_Coverage, 24898,
     /*  478839 */     GIR_EraseRootFromParent_Done,
     /*  478840 */   // Label 8071: @478840
     /*  478840 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(478926), // Rule ID 60721 //
     /*  478845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  478862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478892 */     // MIs[1] Operand 1
     /*  478892 */     // No operand predicates
     /*  478892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  478904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478924 */     GIR_RootConstrainSelectedInstOperands,
     /*  478925 */     // GIR_Coverage, 60721,
     /*  478925 */     GIR_EraseRootFromParent_Done,
     /*  478926 */   // Label 8072: @478926
     /*  478926 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479012), // Rule ID 60722 //
     /*  478931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  478948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478978 */     // MIs[1] Operand 1
     /*  478978 */     // No operand predicates
     /*  478978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  478990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479010 */     GIR_RootConstrainSelectedInstOperands,
     /*  479011 */     // GIR_Coverage, 60722,
     /*  479011 */     GIR_EraseRootFromParent_Done,
     /*  479012 */   // Label 8073: @479012
     /*  479012 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479098), // Rule ID 60729 //
     /*  479017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479064 */     // MIs[1] Operand 1
     /*  479064 */     // No operand predicates
     /*  479064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479096 */     GIR_RootConstrainSelectedInstOperands,
     /*  479097 */     // GIR_Coverage, 60729,
     /*  479097 */     GIR_EraseRootFromParent_Done,
     /*  479098 */   // Label 8074: @479098
     /*  479098 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(479184), // Rule ID 60730 //
     /*  479103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479150 */     // MIs[1] Operand 1
     /*  479150 */     // No operand predicates
     /*  479150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479182 */     GIR_RootConstrainSelectedInstOperands,
     /*  479183 */     // GIR_Coverage, 60730,
     /*  479183 */     GIR_EraseRootFromParent_Done,
     /*  479184 */   // Label 8075: @479184
     /*  479184 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(479270), // Rule ID 60737 //
     /*  479189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479236 */     // MIs[1] Operand 1
     /*  479236 */     // No operand predicates
     /*  479236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479268 */     GIR_RootConstrainSelectedInstOperands,
     /*  479269 */     // GIR_Coverage, 60737,
     /*  479269 */     GIR_EraseRootFromParent_Done,
     /*  479270 */   // Label 8076: @479270
     /*  479270 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(479356), // Rule ID 60738 //
     /*  479275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479322 */     // MIs[1] Operand 1
     /*  479322 */     // No operand predicates
     /*  479322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479331 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479354 */     GIR_RootConstrainSelectedInstOperands,
     /*  479355 */     // GIR_Coverage, 60738,
     /*  479355 */     GIR_EraseRootFromParent_Done,
     /*  479356 */   // Label 8077: @479356
     /*  479356 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(479442), // Rule ID 60745 //
     /*  479361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479408 */     // MIs[1] Operand 1
     /*  479408 */     // No operand predicates
     /*  479408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479440 */     GIR_RootConstrainSelectedInstOperands,
     /*  479441 */     // GIR_Coverage, 60745,
     /*  479441 */     GIR_EraseRootFromParent_Done,
     /*  479442 */   // Label 8078: @479442
     /*  479442 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(479528), // Rule ID 60746 //
     /*  479447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479494 */     // MIs[1] Operand 1
     /*  479494 */     // No operand predicates
     /*  479494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479526 */     GIR_RootConstrainSelectedInstOperands,
     /*  479527 */     // GIR_Coverage, 60746,
     /*  479527 */     GIR_EraseRootFromParent_Done,
     /*  479528 */   // Label 8079: @479528
     /*  479528 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(479614), // Rule ID 60753 //
     /*  479533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479580 */     // MIs[1] Operand 1
     /*  479580 */     // No operand predicates
     /*  479580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479612 */     GIR_RootConstrainSelectedInstOperands,
     /*  479613 */     // GIR_Coverage, 60753,
     /*  479613 */     GIR_EraseRootFromParent_Done,
     /*  479614 */   // Label 8080: @479614
     /*  479614 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(479700), // Rule ID 60754 //
     /*  479619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479666 */     // MIs[1] Operand 1
     /*  479666 */     // No operand predicates
     /*  479666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479698 */     GIR_RootConstrainSelectedInstOperands,
     /*  479699 */     // GIR_Coverage, 60754,
     /*  479699 */     GIR_EraseRootFromParent_Done,
     /*  479700 */   // Label 8081: @479700
     /*  479700 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(479786), // Rule ID 60761 //
     /*  479705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479752 */     // MIs[1] Operand 1
     /*  479752 */     // No operand predicates
     /*  479752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479784 */     GIR_RootConstrainSelectedInstOperands,
     /*  479785 */     // GIR_Coverage, 60761,
     /*  479785 */     GIR_EraseRootFromParent_Done,
     /*  479786 */   // Label 8082: @479786
     /*  479786 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(479872), // Rule ID 60762 //
     /*  479791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479838 */     // MIs[1] Operand 1
     /*  479838 */     // No operand predicates
     /*  479838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479870 */     GIR_RootConstrainSelectedInstOperands,
     /*  479871 */     // GIR_Coverage, 60762,
     /*  479871 */     GIR_EraseRootFromParent_Done,
     /*  479872 */   // Label 8083: @479872
     /*  479872 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(479958), // Rule ID 60769 //
     /*  479877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479924 */     // MIs[1] Operand 1
     /*  479924 */     // No operand predicates
     /*  479924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  479936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479956 */     GIR_RootConstrainSelectedInstOperands,
     /*  479957 */     // GIR_Coverage, 60769,
     /*  479957 */     GIR_EraseRootFromParent_Done,
     /*  479958 */   // Label 8084: @479958
     /*  479958 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480044), // Rule ID 60770 //
     /*  479963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480010 */     // MIs[1] Operand 1
     /*  480010 */     // No operand predicates
     /*  480010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480019 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  480022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480042 */     GIR_RootConstrainSelectedInstOperands,
     /*  480043 */     // GIR_Coverage, 60770,
     /*  480043 */     GIR_EraseRootFromParent_Done,
     /*  480044 */   // Label 8085: @480044
     /*  480044 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(480130), // Rule ID 60777 //
     /*  480049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480096 */     // MIs[1] Operand 1
     /*  480096 */     // No operand predicates
     /*  480096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480128 */     GIR_RootConstrainSelectedInstOperands,
     /*  480129 */     // GIR_Coverage, 60777,
     /*  480129 */     GIR_EraseRootFromParent_Done,
     /*  480130 */   // Label 8086: @480130
     /*  480130 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(480216), // Rule ID 60778 //
     /*  480135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480182 */     // MIs[1] Operand 1
     /*  480182 */     // No operand predicates
     /*  480182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480214 */     GIR_RootConstrainSelectedInstOperands,
     /*  480215 */     // GIR_Coverage, 60778,
     /*  480215 */     GIR_EraseRootFromParent_Done,
     /*  480216 */   // Label 8087: @480216
     /*  480216 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(480302), // Rule ID 60785 //
     /*  480221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480268 */     // MIs[1] Operand 1
     /*  480268 */     // No operand predicates
     /*  480268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480300 */     GIR_RootConstrainSelectedInstOperands,
     /*  480301 */     // GIR_Coverage, 60785,
     /*  480301 */     GIR_EraseRootFromParent_Done,
     /*  480302 */   // Label 8088: @480302
     /*  480302 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(480388), // Rule ID 60786 //
     /*  480307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480354 */     // MIs[1] Operand 1
     /*  480354 */     // No operand predicates
     /*  480354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480386 */     GIR_RootConstrainSelectedInstOperands,
     /*  480387 */     // GIR_Coverage, 60786,
     /*  480387 */     GIR_EraseRootFromParent_Done,
     /*  480388 */   // Label 8089: @480388
     /*  480388 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(480474), // Rule ID 60793 //
     /*  480393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480440 */     // MIs[1] Operand 1
     /*  480440 */     // No operand predicates
     /*  480440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480472 */     GIR_RootConstrainSelectedInstOperands,
     /*  480473 */     // GIR_Coverage, 60793,
     /*  480473 */     GIR_EraseRootFromParent_Done,
     /*  480474 */   // Label 8090: @480474
     /*  480474 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(480560), // Rule ID 60794 //
     /*  480479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480526 */     // MIs[1] Operand 1
     /*  480526 */     // No operand predicates
     /*  480526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480558 */     GIR_RootConstrainSelectedInstOperands,
     /*  480559 */     // GIR_Coverage, 60794,
     /*  480559 */     GIR_EraseRootFromParent_Done,
     /*  480560 */   // Label 8091: @480560
     /*  480560 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(480646), // Rule ID 60801 //
     /*  480565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480612 */     // MIs[1] Operand 1
     /*  480612 */     // No operand predicates
     /*  480612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480644 */     GIR_RootConstrainSelectedInstOperands,
     /*  480645 */     // GIR_Coverage, 60801,
     /*  480645 */     GIR_EraseRootFromParent_Done,
     /*  480646 */   // Label 8092: @480646
     /*  480646 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(480732), // Rule ID 60802 //
     /*  480651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480698 */     // MIs[1] Operand 1
     /*  480698 */     // No operand predicates
     /*  480698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480730 */     GIR_RootConstrainSelectedInstOperands,
     /*  480731 */     // GIR_Coverage, 60802,
     /*  480731 */     GIR_EraseRootFromParent_Done,
     /*  480732 */   // Label 8093: @480732
     /*  480732 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(480818), // Rule ID 60809 //
     /*  480737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480784 */     // MIs[1] Operand 1
     /*  480784 */     // No operand predicates
     /*  480784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480816 */     GIR_RootConstrainSelectedInstOperands,
     /*  480817 */     // GIR_Coverage, 60809,
     /*  480817 */     GIR_EraseRootFromParent_Done,
     /*  480818 */   // Label 8094: @480818
     /*  480818 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(480904), // Rule ID 60810 //
     /*  480823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480870 */     // MIs[1] Operand 1
     /*  480870 */     // No operand predicates
     /*  480870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  480882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480902 */     GIR_RootConstrainSelectedInstOperands,
     /*  480903 */     // GIR_Coverage, 60810,
     /*  480903 */     GIR_EraseRootFromParent_Done,
     /*  480904 */   // Label 8095: @480904
     /*  480904 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(480990), // Rule ID 60817 //
     /*  480909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480956 */     // MIs[1] Operand 1
     /*  480956 */     // No operand predicates
     /*  480956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  480968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480988 */     GIR_RootConstrainSelectedInstOperands,
     /*  480989 */     // GIR_Coverage, 60817,
     /*  480989 */     GIR_EraseRootFromParent_Done,
     /*  480990 */   // Label 8096: @480990
     /*  480990 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481076), // Rule ID 60818 //
     /*  480995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481042 */     // MIs[1] Operand 1
     /*  481042 */     // No operand predicates
     /*  481042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  481054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481074 */     GIR_RootConstrainSelectedInstOperands,
     /*  481075 */     // GIR_Coverage, 60818,
     /*  481075 */     GIR_EraseRootFromParent_Done,
     /*  481076 */   // Label 8097: @481076
     /*  481076 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(481162), // Rule ID 60825 //
     /*  481081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481128 */     // MIs[1] Operand 1
     /*  481128 */     // No operand predicates
     /*  481128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481160 */     GIR_RootConstrainSelectedInstOperands,
     /*  481161 */     // GIR_Coverage, 60825,
     /*  481161 */     GIR_EraseRootFromParent_Done,
     /*  481162 */   // Label 8098: @481162
     /*  481162 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(481248), // Rule ID 60826 //
     /*  481167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481214 */     // MIs[1] Operand 1
     /*  481214 */     // No operand predicates
     /*  481214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481223 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  481226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481246 */     GIR_RootConstrainSelectedInstOperands,
     /*  481247 */     // GIR_Coverage, 60826,
     /*  481247 */     GIR_EraseRootFromParent_Done,
     /*  481248 */   // Label 8099: @481248
     /*  481248 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(481334), // Rule ID 60833 //
     /*  481253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  481256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481300 */     // MIs[1] Operand 1
     /*  481300 */     // No operand predicates
     /*  481300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481332 */     GIR_RootConstrainSelectedInstOperands,
     /*  481333 */     // GIR_Coverage, 60833,
     /*  481333 */     GIR_EraseRootFromParent_Done,
     /*  481334 */   // Label 8100: @481334
     /*  481334 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(481420), // Rule ID 60834 //
     /*  481339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  481342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  481347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481386 */     // MIs[1] Operand 1
     /*  481386 */     // No operand predicates
     /*  481386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  481398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481418 */     GIR_RootConstrainSelectedInstOperands,
     /*  481419 */     // GIR_Coverage, 60834,
     /*  481419 */     GIR_EraseRootFromParent_Done,
     /*  481420 */   // Label 8101: @481420
     /*  481420 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(481506), // Rule ID 61689 //
     /*  481425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481472 */     // MIs[1] Operand 1
     /*  481472 */     // No operand predicates
     /*  481472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481504 */     GIR_RootConstrainSelectedInstOperands,
     /*  481505 */     // GIR_Coverage, 61689,
     /*  481505 */     GIR_EraseRootFromParent_Done,
     /*  481506 */   // Label 8102: @481506
     /*  481506 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(481592), // Rule ID 61690 //
     /*  481511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  481522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  481525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481558 */     // MIs[1] Operand 1
     /*  481558 */     // No operand predicates
     /*  481558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  481570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481590 */     GIR_RootConstrainSelectedInstOperands,
     /*  481591 */     // GIR_Coverage, 61690,
     /*  481591 */     GIR_EraseRootFromParent_Done,
     /*  481592 */   // Label 8103: @481592
     /*  481592 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(481678), // Rule ID 61693 //
     /*  481597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  481608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  481611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481644 */     // MIs[1] Operand 1
     /*  481644 */     // No operand predicates
     /*  481644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  481656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481676 */     GIR_RootConstrainSelectedInstOperands,
     /*  481677 */     // GIR_Coverage, 61693,
     /*  481677 */     GIR_EraseRootFromParent_Done,
     /*  481678 */   // Label 8104: @481678
     /*  481678 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(481764), // Rule ID 61694 //
     /*  481683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  481694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  481697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481730 */     // MIs[1] Operand 1
     /*  481730 */     // No operand predicates
     /*  481730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481739 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  481742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481762 */     GIR_RootConstrainSelectedInstOperands,
     /*  481763 */     // GIR_Coverage, 61694,
     /*  481763 */     GIR_EraseRootFromParent_Done,
     /*  481764 */   // Label 8105: @481764
     /*  481764 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481850), // Rule ID 61697 //
     /*  481769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  481780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  481783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481816 */     // MIs[1] Operand 1
     /*  481816 */     // No operand predicates
     /*  481816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481848 */     GIR_RootConstrainSelectedInstOperands,
     /*  481849 */     // GIR_Coverage, 61697,
     /*  481849 */     GIR_EraseRootFromParent_Done,
     /*  481850 */   // Label 8106: @481850
     /*  481850 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(481936), // Rule ID 61698 //
     /*  481855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  481866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  481869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481902 */     // MIs[1] Operand 1
     /*  481902 */     // No operand predicates
     /*  481902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481934 */     GIR_RootConstrainSelectedInstOperands,
     /*  481935 */     // GIR_Coverage, 61698,
     /*  481935 */     GIR_EraseRootFromParent_Done,
     /*  481936 */   // Label 8107: @481936
     /*  481936 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482022), // Rule ID 61701 //
     /*  481941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481988 */     // MIs[1] Operand 1
     /*  481988 */     // No operand predicates
     /*  481988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482020 */     GIR_RootConstrainSelectedInstOperands,
     /*  482021 */     // GIR_Coverage, 61701,
     /*  482021 */     GIR_EraseRootFromParent_Done,
     /*  482022 */   // Label 8108: @482022
     /*  482022 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482108), // Rule ID 61702 //
     /*  482027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482074 */     // MIs[1] Operand 1
     /*  482074 */     // No operand predicates
     /*  482074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  482086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482106 */     GIR_RootConstrainSelectedInstOperands,
     /*  482107 */     // GIR_Coverage, 61702,
     /*  482107 */     GIR_EraseRootFromParent_Done,
     /*  482108 */   // Label 8109: @482108
     /*  482108 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(482194), // Rule ID 61705 //
     /*  482113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482160 */     // MIs[1] Operand 1
     /*  482160 */     // No operand predicates
     /*  482160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482192 */     GIR_RootConstrainSelectedInstOperands,
     /*  482193 */     // GIR_Coverage, 61705,
     /*  482193 */     GIR_EraseRootFromParent_Done,
     /*  482194 */   // Label 8110: @482194
     /*  482194 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(482280), // Rule ID 61706 //
     /*  482199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482246 */     // MIs[1] Operand 1
     /*  482246 */     // No operand predicates
     /*  482246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482278 */     GIR_RootConstrainSelectedInstOperands,
     /*  482279 */     // GIR_Coverage, 61706,
     /*  482279 */     GIR_EraseRootFromParent_Done,
     /*  482280 */   // Label 8111: @482280
     /*  482280 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(482366), // Rule ID 61709 //
     /*  482285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482332 */     // MIs[1] Operand 1
     /*  482332 */     // No operand predicates
     /*  482332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482364 */     GIR_RootConstrainSelectedInstOperands,
     /*  482365 */     // GIR_Coverage, 61709,
     /*  482365 */     GIR_EraseRootFromParent_Done,
     /*  482366 */   // Label 8112: @482366
     /*  482366 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(482452), // Rule ID 61710 //
     /*  482371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482418 */     // MIs[1] Operand 1
     /*  482418 */     // No operand predicates
     /*  482418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  482430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482450 */     GIR_RootConstrainSelectedInstOperands,
     /*  482451 */     // GIR_Coverage, 61710,
     /*  482451 */     GIR_EraseRootFromParent_Done,
     /*  482452 */   // Label 8113: @482452
     /*  482452 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(482538), // Rule ID 61713 //
     /*  482457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482504 */     // MIs[1] Operand 1
     /*  482504 */     // No operand predicates
     /*  482504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482513 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482536 */     GIR_RootConstrainSelectedInstOperands,
     /*  482537 */     // GIR_Coverage, 61713,
     /*  482537 */     GIR_EraseRootFromParent_Done,
     /*  482538 */   // Label 8114: @482538
     /*  482538 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(482624), // Rule ID 61714 //
     /*  482543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  482554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  482557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  482560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482590 */     // MIs[1] Operand 1
     /*  482590 */     // No operand predicates
     /*  482590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482599 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482622 */     GIR_RootConstrainSelectedInstOperands,
     /*  482623 */     // GIR_Coverage, 61714,
     /*  482623 */     GIR_EraseRootFromParent_Done,
     /*  482624 */   // Label 8115: @482624
     /*  482624 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(482710), // Rule ID 61717 //
     /*  482629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482676 */     // MIs[1] Operand 1
     /*  482676 */     // No operand predicates
     /*  482676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482708 */     GIR_RootConstrainSelectedInstOperands,
     /*  482709 */     // GIR_Coverage, 61717,
     /*  482709 */     GIR_EraseRootFromParent_Done,
     /*  482710 */   // Label 8116: @482710
     /*  482710 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(482796), // Rule ID 61718 //
     /*  482715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482762 */     // MIs[1] Operand 1
     /*  482762 */     // No operand predicates
     /*  482762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482794 */     GIR_RootConstrainSelectedInstOperands,
     /*  482795 */     // GIR_Coverage, 61718,
     /*  482795 */     GIR_EraseRootFromParent_Done,
     /*  482796 */   // Label 8117: @482796
     /*  482796 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482882), // Rule ID 61721 //
     /*  482801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482848 */     // MIs[1] Operand 1
     /*  482848 */     // No operand predicates
     /*  482848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482880 */     GIR_RootConstrainSelectedInstOperands,
     /*  482881 */     // GIR_Coverage, 61721,
     /*  482881 */     GIR_EraseRootFromParent_Done,
     /*  482882 */   // Label 8118: @482882
     /*  482882 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(482968), // Rule ID 61722 //
     /*  482887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482934 */     // MIs[1] Operand 1
     /*  482934 */     // No operand predicates
     /*  482934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  482946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482966 */     GIR_RootConstrainSelectedInstOperands,
     /*  482967 */     // GIR_Coverage, 61722,
     /*  482967 */     GIR_EraseRootFromParent_Done,
     /*  482968 */   // Label 8119: @482968
     /*  482968 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483054), // Rule ID 61725 //
     /*  482973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  482990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483020 */     // MIs[1] Operand 1
     /*  483020 */     // No operand predicates
     /*  483020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483052 */     GIR_RootConstrainSelectedInstOperands,
     /*  483053 */     // GIR_Coverage, 61725,
     /*  483053 */     GIR_EraseRootFromParent_Done,
     /*  483054 */   // Label 8120: @483054
     /*  483054 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(483140), // Rule ID 61726 //
     /*  483059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483106 */     // MIs[1] Operand 1
     /*  483106 */     // No operand predicates
     /*  483106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  483118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483138 */     GIR_RootConstrainSelectedInstOperands,
     /*  483139 */     // GIR_Coverage, 61726,
     /*  483139 */     GIR_EraseRootFromParent_Done,
     /*  483140 */   // Label 8121: @483140
     /*  483140 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(483226), // Rule ID 61729 //
     /*  483145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483192 */     // MIs[1] Operand 1
     /*  483192 */     // No operand predicates
     /*  483192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483224 */     GIR_RootConstrainSelectedInstOperands,
     /*  483225 */     // GIR_Coverage, 61729,
     /*  483225 */     GIR_EraseRootFromParent_Done,
     /*  483226 */   // Label 8122: @483226
     /*  483226 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(483312), // Rule ID 61730 //
     /*  483231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  483242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  483245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  483248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483278 */     // MIs[1] Operand 1
     /*  483278 */     // No operand predicates
     /*  483278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483287 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483310 */     GIR_RootConstrainSelectedInstOperands,
     /*  483311 */     // GIR_Coverage, 61730,
     /*  483311 */     GIR_EraseRootFromParent_Done,
     /*  483312 */   // Label 8123: @483312
     /*  483312 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(483398), // Rule ID 61733 //
     /*  483317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483364 */     // MIs[1] Operand 1
     /*  483364 */     // No operand predicates
     /*  483364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483396 */     GIR_RootConstrainSelectedInstOperands,
     /*  483397 */     // GIR_Coverage, 61733,
     /*  483397 */     GIR_EraseRootFromParent_Done,
     /*  483398 */   // Label 8124: @483398
     /*  483398 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(483484), // Rule ID 61734 //
     /*  483403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  483414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  483417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  483420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483450 */     // MIs[1] Operand 1
     /*  483450 */     // No operand predicates
     /*  483450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483459 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483482 */     GIR_RootConstrainSelectedInstOperands,
     /*  483483 */     // GIR_Coverage, 61734,
     /*  483483 */     GIR_EraseRootFromParent_Done,
     /*  483484 */   // Label 8125: @483484
     /*  483484 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(483570), // Rule ID 61737 //
     /*  483489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483536 */     // MIs[1] Operand 1
     /*  483536 */     // No operand predicates
     /*  483536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483545 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483568 */     GIR_RootConstrainSelectedInstOperands,
     /*  483569 */     // GIR_Coverage, 61737,
     /*  483569 */     GIR_EraseRootFromParent_Done,
     /*  483570 */   // Label 8126: @483570
     /*  483570 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(483656), // Rule ID 61738 //
     /*  483575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  483586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  483589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  483592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483622 */     // MIs[1] Operand 1
     /*  483622 */     // No operand predicates
     /*  483622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483631 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483654 */     GIR_RootConstrainSelectedInstOperands,
     /*  483655 */     // GIR_Coverage, 61738,
     /*  483655 */     GIR_EraseRootFromParent_Done,
     /*  483656 */   // Label 8127: @483656
     /*  483656 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(483742), // Rule ID 61741 //
     /*  483661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483708 */     // MIs[1] Operand 1
     /*  483708 */     // No operand predicates
     /*  483708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483740 */     GIR_RootConstrainSelectedInstOperands,
     /*  483741 */     // GIR_Coverage, 61741,
     /*  483741 */     GIR_EraseRootFromParent_Done,
     /*  483742 */   // Label 8128: @483742
     /*  483742 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483828), // Rule ID 61742 //
     /*  483747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483794 */     // MIs[1] Operand 1
     /*  483794 */     // No operand predicates
     /*  483794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483826 */     GIR_RootConstrainSelectedInstOperands,
     /*  483827 */     // GIR_Coverage, 61742,
     /*  483827 */     GIR_EraseRootFromParent_Done,
     /*  483828 */   // Label 8129: @483828
     /*  483828 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(483914), // Rule ID 61745 //
     /*  483833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483880 */     // MIs[1] Operand 1
     /*  483880 */     // No operand predicates
     /*  483880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483912 */     GIR_RootConstrainSelectedInstOperands,
     /*  483913 */     // GIR_Coverage, 61745,
     /*  483913 */     GIR_EraseRootFromParent_Done,
     /*  483914 */   // Label 8130: @483914
     /*  483914 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(484000), // Rule ID 61746 //
     /*  483919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483966 */     // MIs[1] Operand 1
     /*  483966 */     // No operand predicates
     /*  483966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483998 */     GIR_RootConstrainSelectedInstOperands,
     /*  483999 */     // GIR_Coverage, 61746,
     /*  483999 */     GIR_EraseRootFromParent_Done,
     /*  484000 */   // Label 8131: @484000
     /*  484000 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(484086), // Rule ID 61749 //
     /*  484005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484052 */     // MIs[1] Operand 1
     /*  484052 */     // No operand predicates
     /*  484052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484084 */     GIR_RootConstrainSelectedInstOperands,
     /*  484085 */     // GIR_Coverage, 61749,
     /*  484085 */     GIR_EraseRootFromParent_Done,
     /*  484086 */   // Label 8132: @484086
     /*  484086 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484172), // Rule ID 61750 //
     /*  484091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484138 */     // MIs[1] Operand 1
     /*  484138 */     // No operand predicates
     /*  484138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484170 */     GIR_RootConstrainSelectedInstOperands,
     /*  484171 */     // GIR_Coverage, 61750,
     /*  484171 */     GIR_EraseRootFromParent_Done,
     /*  484172 */   // Label 8133: @484172
     /*  484172 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(484258), // Rule ID 61753 //
     /*  484177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484224 */     // MIs[1] Operand 1
     /*  484224 */     // No operand predicates
     /*  484224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484256 */     GIR_RootConstrainSelectedInstOperands,
     /*  484257 */     // GIR_Coverage, 61753,
     /*  484257 */     GIR_EraseRootFromParent_Done,
     /*  484258 */   // Label 8134: @484258
     /*  484258 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(484344), // Rule ID 61754 //
     /*  484263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  484280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484310 */     // MIs[1] Operand 1
     /*  484310 */     // No operand predicates
     /*  484310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484342 */     GIR_RootConstrainSelectedInstOperands,
     /*  484343 */     // GIR_Coverage, 61754,
     /*  484343 */     GIR_EraseRootFromParent_Done,
     /*  484344 */   // Label 8135: @484344
     /*  484344 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(484430), // Rule ID 61757 //
     /*  484349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484396 */     // MIs[1] Operand 1
     /*  484396 */     // No operand predicates
     /*  484396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484428 */     GIR_RootConstrainSelectedInstOperands,
     /*  484429 */     // GIR_Coverage, 61757,
     /*  484429 */     GIR_EraseRootFromParent_Done,
     /*  484430 */   // Label 8136: @484430
     /*  484430 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(484516), // Rule ID 61758 //
     /*  484435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  484452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484482 */     // MIs[1] Operand 1
     /*  484482 */     // No operand predicates
     /*  484482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484491 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484514 */     GIR_RootConstrainSelectedInstOperands,
     /*  484515 */     // GIR_Coverage, 61758,
     /*  484515 */     GIR_EraseRootFromParent_Done,
     /*  484516 */   // Label 8137: @484516
     /*  484516 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(484602), // Rule ID 61761 //
     /*  484521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484568 */     // MIs[1] Operand 1
     /*  484568 */     // No operand predicates
     /*  484568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  484577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484600 */     GIR_RootConstrainSelectedInstOperands,
     /*  484601 */     // GIR_Coverage, 61761,
     /*  484601 */     GIR_EraseRootFromParent_Done,
     /*  484602 */   // Label 8138: @484602
     /*  484602 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(484688), // Rule ID 61762 //
     /*  484607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  484624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484654 */     // MIs[1] Operand 1
     /*  484654 */     // No operand predicates
     /*  484654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  484663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  484666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484686 */     GIR_RootConstrainSelectedInstOperands,
     /*  484687 */     // GIR_Coverage, 61762,
     /*  484687 */     GIR_EraseRootFromParent_Done,
     /*  484688 */   // Label 8139: @484688
     /*  484688 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(484774), // Rule ID 61765 //
     /*  484693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  484704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  484707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  484710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484740 */     // MIs[1] Operand 1
     /*  484740 */     // No operand predicates
     /*  484740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484772 */     GIR_RootConstrainSelectedInstOperands,
     /*  484773 */     // GIR_Coverage, 61765,
     /*  484773 */     GIR_EraseRootFromParent_Done,
     /*  484774 */   // Label 8140: @484774
     /*  484774 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484860), // Rule ID 61766 //
     /*  484779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  484790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  484793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  484796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484826 */     // MIs[1] Operand 1
     /*  484826 */     // No operand predicates
     /*  484826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484835 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  484835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  484838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484858 */     GIR_RootConstrainSelectedInstOperands,
     /*  484859 */     // GIR_Coverage, 61766,
     /*  484859 */     GIR_EraseRootFromParent_Done,
     /*  484860 */   // Label 8141: @484860
     /*  484860 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(484946), // Rule ID 61769 //
     /*  484865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  484868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  484876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  484879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  484882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484912 */     // MIs[1] Operand 1
     /*  484912 */     // No operand predicates
     /*  484912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  484924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484944 */     GIR_RootConstrainSelectedInstOperands,
     /*  484945 */     // GIR_Coverage, 61769,
     /*  484945 */     GIR_EraseRootFromParent_Done,
     /*  484946 */   // Label 8142: @484946
     /*  484946 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(485032), // Rule ID 61770 //
     /*  484951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  484954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  484959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  484962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  484965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  484968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  484998 */     // MIs[1] Operand 1
     /*  484998 */     // No operand predicates
     /*  484998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  485010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485030 */     GIR_RootConstrainSelectedInstOperands,
     /*  485031 */     // GIR_Coverage, 61770,
     /*  485031 */     GIR_EraseRootFromParent_Done,
     /*  485032 */   // Label 8143: @485032
     /*  485032 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(485118), // Rule ID 61773 //
     /*  485037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  485040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485084 */     // MIs[1] Operand 1
     /*  485084 */     // No operand predicates
     /*  485084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  485093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485116 */     GIR_RootConstrainSelectedInstOperands,
     /*  485117 */     // GIR_Coverage, 61773,
     /*  485117 */     GIR_EraseRootFromParent_Done,
     /*  485118 */   // Label 8144: @485118
     /*  485118 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(485204), // Rule ID 61774 //
     /*  485123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  485126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  485131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  485140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  485170 */     // MIs[1] Operand 1
     /*  485170 */     // No operand predicates
     /*  485170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  485179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  485182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  485199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485202 */     GIR_RootConstrainSelectedInstOperands,
     /*  485203 */     // GIR_Coverage, 61774,
     /*  485203 */     GIR_EraseRootFromParent_Done,
     /*  485204 */   // Label 8145: @485204
     /*  485204 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485283), // Rule ID 2635 //
     /*  485209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485281 */     GIR_RootConstrainSelectedInstOperands,
     /*  485282 */     // GIR_Coverage, 2635,
     /*  485282 */     GIR_EraseRootFromParent_Done,
     /*  485283 */   // Label 8146: @485283
     /*  485283 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(485362), // Rule ID 2636 //
     /*  485288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  485343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485360 */     GIR_RootConstrainSelectedInstOperands,
     /*  485361 */     // GIR_Coverage, 2636,
     /*  485361 */     GIR_EraseRootFromParent_Done,
     /*  485362 */   // Label 8147: @485362
     /*  485362 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(485441), // Rule ID 3943 //
     /*  485367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485439 */     GIR_RootConstrainSelectedInstOperands,
     /*  485440 */     // GIR_Coverage, 3943,
     /*  485440 */     GIR_EraseRootFromParent_Done,
     /*  485441 */   // Label 8148: @485441
     /*  485441 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(485520), // Rule ID 3944 //
     /*  485446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485518 */     GIR_RootConstrainSelectedInstOperands,
     /*  485519 */     // GIR_Coverage, 3944,
     /*  485519 */     GIR_EraseRootFromParent_Done,
     /*  485520 */   // Label 8149: @485520
     /*  485520 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(485599), // Rule ID 3953 //
     /*  485525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485597 */     GIR_RootConstrainSelectedInstOperands,
     /*  485598 */     // GIR_Coverage, 3953,
     /*  485598 */     GIR_EraseRootFromParent_Done,
     /*  485599 */   // Label 8150: @485599
     /*  485599 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(485678), // Rule ID 3954 //
     /*  485604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  485624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485676 */     GIR_RootConstrainSelectedInstOperands,
     /*  485677 */     // GIR_Coverage, 3954,
     /*  485677 */     GIR_EraseRootFromParent_Done,
     /*  485678 */   // Label 8151: @485678
     /*  485678 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(485757), // Rule ID 3963 //
     /*  485683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  485694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  485697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  485703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485755 */     GIR_RootConstrainSelectedInstOperands,
     /*  485756 */     // GIR_Coverage, 3963,
     /*  485756 */     GIR_EraseRootFromParent_Done,
     /*  485757 */   // Label 8152: @485757
     /*  485757 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485836), // Rule ID 3964 //
     /*  485762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  485773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  485776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  485782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485834 */     GIR_RootConstrainSelectedInstOperands,
     /*  485835 */     // GIR_Coverage, 3964,
     /*  485835 */     GIR_EraseRootFromParent_Done,
     /*  485836 */   // Label 8153: @485836
     /*  485836 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(485915), // Rule ID 3973 //
     /*  485841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  485852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  485855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  485861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485893 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  485893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  485896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485913 */     GIR_RootConstrainSelectedInstOperands,
     /*  485914 */     // GIR_Coverage, 3973,
     /*  485914 */     GIR_EraseRootFromParent_Done,
     /*  485915 */   // Label 8154: @485915
     /*  485915 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(485994), // Rule ID 3974 //
     /*  485920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  485931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  485934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  485940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  485972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  485975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485992 */     GIR_RootConstrainSelectedInstOperands,
     /*  485993 */     // GIR_Coverage, 3974,
     /*  485993 */     GIR_EraseRootFromParent_Done,
     /*  485994 */   // Label 8155: @485994
     /*  485994 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(486073), // Rule ID 3983 //
     /*  485999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486071 */     GIR_RootConstrainSelectedInstOperands,
     /*  486072 */     // GIR_Coverage, 3983,
     /*  486072 */     GIR_EraseRootFromParent_Done,
     /*  486073 */   // Label 8156: @486073
     /*  486073 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(486152), // Rule ID 3984 //
     /*  486078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  486095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486150 */     GIR_RootConstrainSelectedInstOperands,
     /*  486151 */     // GIR_Coverage, 3984,
     /*  486151 */     GIR_EraseRootFromParent_Done,
     /*  486152 */   // Label 8157: @486152
     /*  486152 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486231), // Rule ID 3993 //
     /*  486157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486229 */     GIR_RootConstrainSelectedInstOperands,
     /*  486230 */     // GIR_Coverage, 3993,
     /*  486230 */     GIR_EraseRootFromParent_Done,
     /*  486231 */   // Label 8158: @486231
     /*  486231 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(486310), // Rule ID 3994 //
     /*  486236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  486291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486308 */     GIR_RootConstrainSelectedInstOperands,
     /*  486309 */     // GIR_Coverage, 3994,
     /*  486309 */     GIR_EraseRootFromParent_Done,
     /*  486310 */   // Label 8159: @486310
     /*  486310 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(486389), // Rule ID 4003 //
     /*  486315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486387 */     GIR_RootConstrainSelectedInstOperands,
     /*  486388 */     // GIR_Coverage, 4003,
     /*  486388 */     GIR_EraseRootFromParent_Done,
     /*  486389 */   // Label 8160: @486389
     /*  486389 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(486468), // Rule ID 4004 //
     /*  486394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  486449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486466 */     GIR_RootConstrainSelectedInstOperands,
     /*  486467 */     // GIR_Coverage, 4004,
     /*  486467 */     GIR_EraseRootFromParent_Done,
     /*  486468 */   // Label 8161: @486468
     /*  486468 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(486547), // Rule ID 4013 //
     /*  486473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486545 */     GIR_RootConstrainSelectedInstOperands,
     /*  486546 */     // GIR_Coverage, 4013,
     /*  486546 */     GIR_EraseRootFromParent_Done,
     /*  486547 */   // Label 8162: @486547
     /*  486547 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(486626), // Rule ID 4014 //
     /*  486552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486624 */     GIR_RootConstrainSelectedInstOperands,
     /*  486625 */     // GIR_Coverage, 4014,
     /*  486625 */     GIR_EraseRootFromParent_Done,
     /*  486626 */   // Label 8163: @486626
     /*  486626 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486705), // Rule ID 4023 //
     /*  486631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  486642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  486645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  486651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486703 */     GIR_RootConstrainSelectedInstOperands,
     /*  486704 */     // GIR_Coverage, 4023,
     /*  486704 */     GIR_EraseRootFromParent_Done,
     /*  486705 */   // Label 8164: @486705
     /*  486705 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486784), // Rule ID 4024 //
     /*  486710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  486721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  486724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  486730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486782 */     GIR_RootConstrainSelectedInstOperands,
     /*  486783 */     // GIR_Coverage, 4024,
     /*  486783 */     GIR_EraseRootFromParent_Done,
     /*  486784 */   // Label 8165: @486784
     /*  486784 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486863), // Rule ID 4033 //
     /*  486789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  486800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  486803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  486806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  486809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  486841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486861 */     GIR_RootConstrainSelectedInstOperands,
     /*  486862 */     // GIR_Coverage, 4033,
     /*  486862 */     GIR_EraseRootFromParent_Done,
     /*  486863 */   // Label 8166: @486863
     /*  486863 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(486942), // Rule ID 4034 //
     /*  486868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  486879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  486882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  486885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  486888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  486920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486940 */     GIR_RootConstrainSelectedInstOperands,
     /*  486941 */     // GIR_Coverage, 4034,
     /*  486941 */     GIR_EraseRootFromParent_Done,
     /*  486942 */   // Label 8167: @486942
     /*  486942 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(487021), // Rule ID 4043 //
     /*  486947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  486950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  486958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  486961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  486964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  486967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  486999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487019 */     GIR_RootConstrainSelectedInstOperands,
     /*  487020 */     // GIR_Coverage, 4043,
     /*  487020 */     GIR_EraseRootFromParent_Done,
     /*  487021 */   // Label 8168: @487021
     /*  487021 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(487100), // Rule ID 4044 //
     /*  487026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  487081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487098 */     GIR_RootConstrainSelectedInstOperands,
     /*  487099 */     // GIR_Coverage, 4044,
     /*  487099 */     GIR_EraseRootFromParent_Done,
     /*  487100 */   // Label 8169: @487100
     /*  487100 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(487179), // Rule ID 4053 //
     /*  487105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487177 */     GIR_RootConstrainSelectedInstOperands,
     /*  487178 */     // GIR_Coverage, 4053,
     /*  487178 */     GIR_EraseRootFromParent_Done,
     /*  487179 */   // Label 8170: @487179
     /*  487179 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487258), // Rule ID 4054 //
     /*  487184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  487201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  487239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487256 */     GIR_RootConstrainSelectedInstOperands,
     /*  487257 */     // GIR_Coverage, 4054,
     /*  487257 */     GIR_EraseRootFromParent_Done,
     /*  487258 */   // Label 8171: @487258
     /*  487258 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(487337), // Rule ID 4063 //
     /*  487263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487335 */     GIR_RootConstrainSelectedInstOperands,
     /*  487336 */     // GIR_Coverage, 4063,
     /*  487336 */     GIR_EraseRootFromParent_Done,
     /*  487337 */   // Label 8172: @487337
     /*  487337 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(487416), // Rule ID 4064 //
     /*  487342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  487359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  487397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487414 */     GIR_RootConstrainSelectedInstOperands,
     /*  487415 */     // GIR_Coverage, 4064,
     /*  487415 */     GIR_EraseRootFromParent_Done,
     /*  487416 */   // Label 8173: @487416
     /*  487416 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(487495), // Rule ID 4073 //
     /*  487421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  487473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487493 */     GIR_RootConstrainSelectedInstOperands,
     /*  487494 */     // GIR_Coverage, 4073,
     /*  487494 */     GIR_EraseRootFromParent_Done,
     /*  487495 */   // Label 8174: @487495
     /*  487495 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(487574), // Rule ID 4074 //
     /*  487500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  487508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  487517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  487552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  487555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487572 */     GIR_RootConstrainSelectedInstOperands,
     /*  487573 */     // GIR_Coverage, 4074,
     /*  487573 */     GIR_EraseRootFromParent_Done,
     /*  487574 */   // Label 8175: @487574
     /*  487574 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487653), // Rule ID 4143 //
     /*  487579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  487634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487651 */     GIR_RootConstrainSelectedInstOperands,
     /*  487652 */     // GIR_Coverage, 4143,
     /*  487652 */     GIR_EraseRootFromParent_Done,
     /*  487653 */   // Label 8176: @487653
     /*  487653 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487732), // Rule ID 4144 //
     /*  487658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  487713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487730 */     GIR_RootConstrainSelectedInstOperands,
     /*  487731 */     // GIR_Coverage, 4144,
     /*  487731 */     GIR_EraseRootFromParent_Done,
     /*  487732 */   // Label 8177: @487732
     /*  487732 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487811), // Rule ID 4153 //
     /*  487737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  487757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487809 */     GIR_RootConstrainSelectedInstOperands,
     /*  487810 */     // GIR_Coverage, 4153,
     /*  487810 */     GIR_EraseRootFromParent_Done,
     /*  487811 */   // Label 8178: @487811
     /*  487811 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(487890), // Rule ID 4154 //
     /*  487816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  487836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487888 */     GIR_RootConstrainSelectedInstOperands,
     /*  487889 */     // GIR_Coverage, 4154,
     /*  487889 */     GIR_EraseRootFromParent_Done,
     /*  487890 */   // Label 8179: @487890
     /*  487890 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(487969), // Rule ID 4163 //
     /*  487895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  487915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  487950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487967 */     GIR_RootConstrainSelectedInstOperands,
     /*  487968 */     // GIR_Coverage, 4163,
     /*  487968 */     GIR_EraseRootFromParent_Done,
     /*  487969 */   // Label 8180: @487969
     /*  487969 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(488048), // Rule ID 4164 //
     /*  487974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  487994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488046 */     GIR_RootConstrainSelectedInstOperands,
     /*  488047 */     // GIR_Coverage, 4164,
     /*  488047 */     GIR_EraseRootFromParent_Done,
     /*  488048 */   // Label 8181: @488048
     /*  488048 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(488127), // Rule ID 4173 //
     /*  488053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488125 */     GIR_RootConstrainSelectedInstOperands,
     /*  488126 */     // GIR_Coverage, 4173,
     /*  488126 */     GIR_EraseRootFromParent_Done,
     /*  488127 */   // Label 8182: @488127
     /*  488127 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(488206), // Rule ID 4174 //
     /*  488132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488204 */     GIR_RootConstrainSelectedInstOperands,
     /*  488205 */     // GIR_Coverage, 4174,
     /*  488205 */     GIR_EraseRootFromParent_Done,
     /*  488206 */   // Label 8183: @488206
     /*  488206 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488285), // Rule ID 4183 //
     /*  488211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488283 */     GIR_RootConstrainSelectedInstOperands,
     /*  488284 */     // GIR_Coverage, 4183,
     /*  488284 */     GIR_EraseRootFromParent_Done,
     /*  488285 */   // Label 8184: @488285
     /*  488285 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(488364), // Rule ID 4184 //
     /*  488290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488362 */     GIR_RootConstrainSelectedInstOperands,
     /*  488363 */     // GIR_Coverage, 4184,
     /*  488363 */     GIR_EraseRootFromParent_Done,
     /*  488364 */   // Label 8185: @488364
     /*  488364 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(488443), // Rule ID 4193 //
     /*  488369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488441 */     GIR_RootConstrainSelectedInstOperands,
     /*  488442 */     // GIR_Coverage, 4193,
     /*  488442 */     GIR_EraseRootFromParent_Done,
     /*  488443 */   // Label 8186: @488443
     /*  488443 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(488522), // Rule ID 4194 //
     /*  488448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488520 */     GIR_RootConstrainSelectedInstOperands,
     /*  488521 */     // GIR_Coverage, 4194,
     /*  488521 */     GIR_EraseRootFromParent_Done,
     /*  488522 */   // Label 8187: @488522
     /*  488522 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488601), // Rule ID 4203 //
     /*  488527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488599 */     GIR_RootConstrainSelectedInstOperands,
     /*  488600 */     // GIR_Coverage, 4203,
     /*  488600 */     GIR_EraseRootFromParent_Done,
     /*  488601 */   // Label 8188: @488601
     /*  488601 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488680), // Rule ID 4204 //
     /*  488606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  488623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  488661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488678 */     GIR_RootConstrainSelectedInstOperands,
     /*  488679 */     // GIR_Coverage, 4204,
     /*  488679 */     GIR_EraseRootFromParent_Done,
     /*  488680 */   // Label 8189: @488680
     /*  488680 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488759), // Rule ID 4213 //
     /*  488685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  488705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488757 */     GIR_RootConstrainSelectedInstOperands,
     /*  488758 */     // GIR_Coverage, 4213,
     /*  488758 */     GIR_EraseRootFromParent_Done,
     /*  488759 */   // Label 8190: @488759
     /*  488759 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488838), // Rule ID 4214 //
     /*  488764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  488784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488836 */     GIR_RootConstrainSelectedInstOperands,
     /*  488837 */     // GIR_Coverage, 4214,
     /*  488837 */     GIR_EraseRootFromParent_Done,
     /*  488838 */   // Label 8191: @488838
     /*  488838 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(488917), // Rule ID 4223 //
     /*  488843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  488863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488915 */     GIR_RootConstrainSelectedInstOperands,
     /*  488916 */     // GIR_Coverage, 4223,
     /*  488916 */     GIR_EraseRootFromParent_Done,
     /*  488917 */   // Label 8192: @488917
     /*  488917 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(488996), // Rule ID 4224 //
     /*  488922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  488942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488994 */     GIR_RootConstrainSelectedInstOperands,
     /*  488995 */     // GIR_Coverage, 4224,
     /*  488995 */     GIR_EraseRootFromParent_Done,
     /*  488996 */   // Label 8193: @488996
     /*  488996 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(489075), // Rule ID 4233 //
     /*  489001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489073 */     GIR_RootConstrainSelectedInstOperands,
     /*  489074 */     // GIR_Coverage, 4233,
     /*  489074 */     GIR_EraseRootFromParent_Done,
     /*  489075 */   // Label 8194: @489075
     /*  489075 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(489154), // Rule ID 4234 //
     /*  489080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489152 */     GIR_RootConstrainSelectedInstOperands,
     /*  489153 */     // GIR_Coverage, 4234,
     /*  489153 */     GIR_EraseRootFromParent_Done,
     /*  489154 */   // Label 8195: @489154
     /*  489154 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(489233), // Rule ID 4243 //
     /*  489159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489231 */     GIR_RootConstrainSelectedInstOperands,
     /*  489232 */     // GIR_Coverage, 4243,
     /*  489232 */     GIR_EraseRootFromParent_Done,
     /*  489233 */   // Label 8196: @489233
     /*  489233 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(489312), // Rule ID 4244 //
     /*  489238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489310 */     GIR_RootConstrainSelectedInstOperands,
     /*  489311 */     // GIR_Coverage, 4244,
     /*  489311 */     GIR_EraseRootFromParent_Done,
     /*  489312 */   // Label 8197: @489312
     /*  489312 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(489391), // Rule ID 4253 //
     /*  489317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489389 */     GIR_RootConstrainSelectedInstOperands,
     /*  489390 */     // GIR_Coverage, 4253,
     /*  489390 */     GIR_EraseRootFromParent_Done,
     /*  489391 */   // Label 8198: @489391
     /*  489391 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489470), // Rule ID 4254 //
     /*  489396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  489413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  489451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489468 */     GIR_RootConstrainSelectedInstOperands,
     /*  489469 */     // GIR_Coverage, 4254,
     /*  489469 */     GIR_EraseRootFromParent_Done,
     /*  489470 */   // Label 8199: @489470
     /*  489470 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489549), // Rule ID 4263 //
     /*  489475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489547 */     GIR_RootConstrainSelectedInstOperands,
     /*  489548 */     // GIR_Coverage, 4263,
     /*  489548 */     GIR_EraseRootFromParent_Done,
     /*  489549 */   // Label 8200: @489549
     /*  489549 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489628), // Rule ID 4264 //
     /*  489554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  489609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489626 */     GIR_RootConstrainSelectedInstOperands,
     /*  489627 */     // GIR_Coverage, 4264,
     /*  489627 */     GIR_EraseRootFromParent_Done,
     /*  489628 */   // Label 8201: @489628
     /*  489628 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489707), // Rule ID 4273 //
     /*  489633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489705 */     GIR_RootConstrainSelectedInstOperands,
     /*  489706 */     // GIR_Coverage, 4273,
     /*  489706 */     GIR_EraseRootFromParent_Done,
     /*  489707 */   // Label 8202: @489707
     /*  489707 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489786), // Rule ID 4274 //
     /*  489712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  489767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489784 */     GIR_RootConstrainSelectedInstOperands,
     /*  489785 */     // GIR_Coverage, 4274,
     /*  489785 */     GIR_EraseRootFromParent_Done,
     /*  489786 */   // Label 8203: @489786
     /*  489786 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489865), // Rule ID 4283 //
     /*  489791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  489811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  489843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489863 */     GIR_RootConstrainSelectedInstOperands,
     /*  489864 */     // GIR_Coverage, 4283,
     /*  489864 */     GIR_EraseRootFromParent_Done,
     /*  489865 */   // Label 8204: @489865
     /*  489865 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(489944), // Rule ID 4284 //
     /*  489870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  489878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  489890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  489922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  489925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489942 */     GIR_RootConstrainSelectedInstOperands,
     /*  489943 */     // GIR_Coverage, 4284,
     /*  489943 */     GIR_EraseRootFromParent_Done,
     /*  489944 */   // Label 8205: @489944
     /*  489944 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(490023), // Rule ID 4353 //
     /*  489949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  489960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  489963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  489966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  489969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490021 */     GIR_RootConstrainSelectedInstOperands,
     /*  490022 */     // GIR_Coverage, 4353,
     /*  490022 */     GIR_EraseRootFromParent_Done,
     /*  490023 */   // Label 8206: @490023
     /*  490023 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(490102), // Rule ID 4354 //
     /*  490028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490080 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  490083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490100 */     GIR_RootConstrainSelectedInstOperands,
     /*  490101 */     // GIR_Coverage, 4354,
     /*  490101 */     GIR_EraseRootFromParent_Done,
     /*  490102 */   // Label 8207: @490102
     /*  490102 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(490181), // Rule ID 4363 //
     /*  490107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490179 */     GIR_RootConstrainSelectedInstOperands,
     /*  490180 */     // GIR_Coverage, 4363,
     /*  490180 */     GIR_EraseRootFromParent_Done,
     /*  490181 */   // Label 8208: @490181
     /*  490181 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(490260), // Rule ID 4364 //
     /*  490186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490258 */     GIR_RootConstrainSelectedInstOperands,
     /*  490259 */     // GIR_Coverage, 4364,
     /*  490259 */     GIR_EraseRootFromParent_Done,
     /*  490260 */   // Label 8209: @490260
     /*  490260 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(490339), // Rule ID 4373 //
     /*  490265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490337 */     GIR_RootConstrainSelectedInstOperands,
     /*  490338 */     // GIR_Coverage, 4373,
     /*  490338 */     GIR_EraseRootFromParent_Done,
     /*  490339 */   // Label 8210: @490339
     /*  490339 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490418), // Rule ID 4374 //
     /*  490344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490416 */     GIR_RootConstrainSelectedInstOperands,
     /*  490417 */     // GIR_Coverage, 4374,
     /*  490417 */     GIR_EraseRootFromParent_Done,
     /*  490418 */   // Label 8211: @490418
     /*  490418 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490497), // Rule ID 4383 //
     /*  490423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490495 */     GIR_RootConstrainSelectedInstOperands,
     /*  490496 */     // GIR_Coverage, 4383,
     /*  490496 */     GIR_EraseRootFromParent_Done,
     /*  490497 */   // Label 8212: @490497
     /*  490497 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490576), // Rule ID 4384 //
     /*  490502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490574 */     GIR_RootConstrainSelectedInstOperands,
     /*  490575 */     // GIR_Coverage, 4384,
     /*  490575 */     GIR_EraseRootFromParent_Done,
     /*  490576 */   // Label 8213: @490576
     /*  490576 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490655), // Rule ID 4393 //
     /*  490581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490653 */     GIR_RootConstrainSelectedInstOperands,
     /*  490654 */     // GIR_Coverage, 4393,
     /*  490654 */     GIR_EraseRootFromParent_Done,
     /*  490655 */   // Label 8214: @490655
     /*  490655 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490734), // Rule ID 4394 //
     /*  490660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490732 */     GIR_RootConstrainSelectedInstOperands,
     /*  490733 */     // GIR_Coverage, 4394,
     /*  490733 */     GIR_EraseRootFromParent_Done,
     /*  490734 */   // Label 8215: @490734
     /*  490734 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490813), // Rule ID 4403 //
     /*  490739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490811 */     GIR_RootConstrainSelectedInstOperands,
     /*  490812 */     // GIR_Coverage, 4403,
     /*  490812 */     GIR_EraseRootFromParent_Done,
     /*  490813 */   // Label 8216: @490813
     /*  490813 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(490892), // Rule ID 4404 //
     /*  490818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490890 */     GIR_RootConstrainSelectedInstOperands,
     /*  490891 */     // GIR_Coverage, 4404,
     /*  490891 */     GIR_EraseRootFromParent_Done,
     /*  490892 */   // Label 8217: @490892
     /*  490892 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(490971), // Rule ID 4413 //
     /*  490897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  490952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490969 */     GIR_RootConstrainSelectedInstOperands,
     /*  490970 */     // GIR_Coverage, 4413,
     /*  490970 */     GIR_EraseRootFromParent_Done,
     /*  490971 */   // Label 8218: @490971
     /*  490971 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(491050), // Rule ID 4414 //
     /*  490976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  491031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491048 */     GIR_RootConstrainSelectedInstOperands,
     /*  491049 */     // GIR_Coverage, 4414,
     /*  491049 */     GIR_EraseRootFromParent_Done,
     /*  491050 */   // Label 8219: @491050
     /*  491050 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(491129), // Rule ID 4423 //
     /*  491055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491127 */     GIR_RootConstrainSelectedInstOperands,
     /*  491128 */     // GIR_Coverage, 4423,
     /*  491128 */     GIR_EraseRootFromParent_Done,
     /*  491129 */   // Label 8220: @491129
     /*  491129 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(491208), // Rule ID 4424 //
     /*  491134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491206 */     GIR_RootConstrainSelectedInstOperands,
     /*  491207 */     // GIR_Coverage, 4424,
     /*  491207 */     GIR_EraseRootFromParent_Done,
     /*  491208 */   // Label 8221: @491208
     /*  491208 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(491287), // Rule ID 4433 //
     /*  491213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491285 */     GIR_RootConstrainSelectedInstOperands,
     /*  491286 */     // GIR_Coverage, 4433,
     /*  491286 */     GIR_EraseRootFromParent_Done,
     /*  491287 */   // Label 8222: @491287
     /*  491287 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(491366), // Rule ID 4434 //
     /*  491292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491364 */     GIR_RootConstrainSelectedInstOperands,
     /*  491365 */     // GIR_Coverage, 4434,
     /*  491365 */     GIR_EraseRootFromParent_Done,
     /*  491366 */   // Label 8223: @491366
     /*  491366 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(491445), // Rule ID 4443 //
     /*  491371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491423 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491443 */     GIR_RootConstrainSelectedInstOperands,
     /*  491444 */     // GIR_Coverage, 4443,
     /*  491444 */     GIR_EraseRootFromParent_Done,
     /*  491445 */   // Label 8224: @491445
     /*  491445 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491524), // Rule ID 4444 //
     /*  491450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  491505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491522 */     GIR_RootConstrainSelectedInstOperands,
     /*  491523 */     // GIR_Coverage, 4444,
     /*  491523 */     GIR_EraseRootFromParent_Done,
     /*  491524 */   // Label 8225: @491524
     /*  491524 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491603), // Rule ID 4453 //
     /*  491529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491601 */     GIR_RootConstrainSelectedInstOperands,
     /*  491602 */     // GIR_Coverage, 4453,
     /*  491602 */     GIR_EraseRootFromParent_Done,
     /*  491603 */   // Label 8226: @491603
     /*  491603 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491682), // Rule ID 4454 //
     /*  491608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491660 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491680 */     GIR_RootConstrainSelectedInstOperands,
     /*  491681 */     // GIR_Coverage, 4454,
     /*  491681 */     GIR_EraseRootFromParent_Done,
     /*  491682 */   // Label 8227: @491682
     /*  491682 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491761), // Rule ID 4463 //
     /*  491687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491759 */     GIR_RootConstrainSelectedInstOperands,
     /*  491760 */     // GIR_Coverage, 4463,
     /*  491760 */     GIR_EraseRootFromParent_Done,
     /*  491761 */   // Label 8228: @491761
     /*  491761 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491840), // Rule ID 4464 //
     /*  491766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  491821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491838 */     GIR_RootConstrainSelectedInstOperands,
     /*  491839 */     // GIR_Coverage, 4464,
     /*  491839 */     GIR_EraseRootFromParent_Done,
     /*  491840 */   // Label 8229: @491840
     /*  491840 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(491919), // Rule ID 4473 //
     /*  491845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491917 */     GIR_RootConstrainSelectedInstOperands,
     /*  491918 */     // GIR_Coverage, 4473,
     /*  491918 */     GIR_EraseRootFromParent_Done,
     /*  491919 */   // Label 8230: @491919
     /*  491919 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(491998), // Rule ID 4474 //
     /*  491924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  491979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491996 */     GIR_RootConstrainSelectedInstOperands,
     /*  491997 */     // GIR_Coverage, 4474,
     /*  491997 */     GIR_EraseRootFromParent_Done,
     /*  491998 */   // Label 8231: @491998
     /*  491998 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(492077), // Rule ID 4483 //
     /*  492003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492075 */     GIR_RootConstrainSelectedInstOperands,
     /*  492076 */     // GIR_Coverage, 4483,
     /*  492076 */     GIR_EraseRootFromParent_Done,
     /*  492077 */   // Label 8232: @492077
     /*  492077 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(492156), // Rule ID 4484 //
     /*  492082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  492137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492154 */     GIR_RootConstrainSelectedInstOperands,
     /*  492155 */     // GIR_Coverage, 4484,
     /*  492155 */     GIR_EraseRootFromParent_Done,
     /*  492156 */   // Label 8233: @492156
     /*  492156 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(492235), // Rule ID 4493 //
     /*  492161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492233 */     GIR_RootConstrainSelectedInstOperands,
     /*  492234 */     // GIR_Coverage, 4493,
     /*  492234 */     GIR_EraseRootFromParent_Done,
     /*  492235 */   // Label 8234: @492235
     /*  492235 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(492314), // Rule ID 4494 //
     /*  492240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  492248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  492295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492312 */     GIR_RootConstrainSelectedInstOperands,
     /*  492313 */     // GIR_Coverage, 4494,
     /*  492313 */     GIR_EraseRootFromParent_Done,
     /*  492314 */   // Label 8235: @492314
     /*  492314 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(492393), // Rule ID 4563 //
     /*  492319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492391 */     GIR_RootConstrainSelectedInstOperands,
     /*  492392 */     // GIR_Coverage, 4563,
     /*  492392 */     GIR_EraseRootFromParent_Done,
     /*  492393 */   // Label 8236: @492393
     /*  492393 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(492472), // Rule ID 4564 //
     /*  492398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  492453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492470 */     GIR_RootConstrainSelectedInstOperands,
     /*  492471 */     // GIR_Coverage, 4564,
     /*  492471 */     GIR_EraseRootFromParent_Done,
     /*  492472 */   // Label 8237: @492472
     /*  492472 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492551), // Rule ID 4573 //
     /*  492477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492529 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492549 */     GIR_RootConstrainSelectedInstOperands,
     /*  492550 */     // GIR_Coverage, 4573,
     /*  492550 */     GIR_EraseRootFromParent_Done,
     /*  492551 */   // Label 8238: @492551
     /*  492551 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492630), // Rule ID 4574 //
     /*  492556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492628 */     GIR_RootConstrainSelectedInstOperands,
     /*  492629 */     // GIR_Coverage, 4574,
     /*  492629 */     GIR_EraseRootFromParent_Done,
     /*  492630 */   // Label 8239: @492630
     /*  492630 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492709), // Rule ID 4583 //
     /*  492635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492707 */     GIR_RootConstrainSelectedInstOperands,
     /*  492708 */     // GIR_Coverage, 4583,
     /*  492708 */     GIR_EraseRootFromParent_Done,
     /*  492709 */   // Label 8240: @492709
     /*  492709 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492788), // Rule ID 4584 //
     /*  492714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492766 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492786 */     GIR_RootConstrainSelectedInstOperands,
     /*  492787 */     // GIR_Coverage, 4584,
     /*  492787 */     GIR_EraseRootFromParent_Done,
     /*  492788 */   // Label 8241: @492788
     /*  492788 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492867), // Rule ID 4593 //
     /*  492793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492865 */     GIR_RootConstrainSelectedInstOperands,
     /*  492866 */     // GIR_Coverage, 4593,
     /*  492866 */     GIR_EraseRootFromParent_Done,
     /*  492867 */   // Label 8242: @492867
     /*  492867 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(492946), // Rule ID 4594 //
     /*  492872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492944 */     GIR_RootConstrainSelectedInstOperands,
     /*  492945 */     // GIR_Coverage, 4594,
     /*  492945 */     GIR_EraseRootFromParent_Done,
     /*  492946 */   // Label 8243: @492946
     /*  492946 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(493025), // Rule ID 4603 //
     /*  492951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  492971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493023 */     GIR_RootConstrainSelectedInstOperands,
     /*  493024 */     // GIR_Coverage, 4603,
     /*  493024 */     GIR_EraseRootFromParent_Done,
     /*  493025 */   // Label 8244: @493025
     /*  493025 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(493104), // Rule ID 4604 //
     /*  493030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493102 */     GIR_RootConstrainSelectedInstOperands,
     /*  493103 */     // GIR_Coverage, 4604,
     /*  493103 */     GIR_EraseRootFromParent_Done,
     /*  493104 */   // Label 8245: @493104
     /*  493104 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(493183), // Rule ID 4613 //
     /*  493109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493181 */     GIR_RootConstrainSelectedInstOperands,
     /*  493182 */     // GIR_Coverage, 4613,
     /*  493182 */     GIR_EraseRootFromParent_Done,
     /*  493183 */   // Label 8246: @493183
     /*  493183 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(493262), // Rule ID 4614 //
     /*  493188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493260 */     GIR_RootConstrainSelectedInstOperands,
     /*  493261 */     // GIR_Coverage, 4614,
     /*  493261 */     GIR_EraseRootFromParent_Done,
     /*  493262 */   // Label 8247: @493262
     /*  493262 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(493341), // Rule ID 4623 //
     /*  493267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493339 */     GIR_RootConstrainSelectedInstOperands,
     /*  493340 */     // GIR_Coverage, 4623,
     /*  493340 */     GIR_EraseRootFromParent_Done,
     /*  493341 */   // Label 8248: @493341
     /*  493341 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(493420), // Rule ID 4624 //
     /*  493346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  493401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493418 */     GIR_RootConstrainSelectedInstOperands,
     /*  493419 */     // GIR_Coverage, 4624,
     /*  493419 */     GIR_EraseRootFromParent_Done,
     /*  493420 */   // Label 8249: @493420
     /*  493420 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493499), // Rule ID 4633 //
     /*  493425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493497 */     GIR_RootConstrainSelectedInstOperands,
     /*  493498 */     // GIR_Coverage, 4633,
     /*  493498 */     GIR_EraseRootFromParent_Done,
     /*  493499 */   // Label 8250: @493499
     /*  493499 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493578), // Rule ID 4634 //
     /*  493504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493576 */     GIR_RootConstrainSelectedInstOperands,
     /*  493577 */     // GIR_Coverage, 4634,
     /*  493577 */     GIR_EraseRootFromParent_Done,
     /*  493578 */   // Label 8251: @493578
     /*  493578 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493657), // Rule ID 4643 //
     /*  493583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493655 */     GIR_RootConstrainSelectedInstOperands,
     /*  493656 */     // GIR_Coverage, 4643,
     /*  493656 */     GIR_EraseRootFromParent_Done,
     /*  493657 */   // Label 8252: @493657
     /*  493657 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493736), // Rule ID 4644 //
     /*  493662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493734 */     GIR_RootConstrainSelectedInstOperands,
     /*  493735 */     // GIR_Coverage, 4644,
     /*  493735 */     GIR_EraseRootFromParent_Done,
     /*  493736 */   // Label 8253: @493736
     /*  493736 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493815), // Rule ID 4653 //
     /*  493741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493813 */     GIR_RootConstrainSelectedInstOperands,
     /*  493814 */     // GIR_Coverage, 4653,
     /*  493814 */     GIR_EraseRootFromParent_Done,
     /*  493815 */   // Label 8254: @493815
     /*  493815 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(493894), // Rule ID 4654 //
     /*  493820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493892 */     GIR_RootConstrainSelectedInstOperands,
     /*  493893 */     // GIR_Coverage, 4654,
     /*  493893 */     GIR_EraseRootFromParent_Done,
     /*  493894 */   // Label 8255: @493894
     /*  493894 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(493973), // Rule ID 4663 //
     /*  493899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493971 */     GIR_RootConstrainSelectedInstOperands,
     /*  493972 */     // GIR_Coverage, 4663,
     /*  493972 */     GIR_EraseRootFromParent_Done,
     /*  493973 */   // Label 8256: @493973
     /*  493973 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(494052), // Rule ID 4664 //
     /*  493978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494050 */     GIR_RootConstrainSelectedInstOperands,
     /*  494051 */     // GIR_Coverage, 4664,
     /*  494051 */     GIR_EraseRootFromParent_Done,
     /*  494052 */   // Label 8257: @494052
     /*  494052 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(494131), // Rule ID 4673 //
     /*  494057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494129 */     GIR_RootConstrainSelectedInstOperands,
     /*  494130 */     // GIR_Coverage, 4673,
     /*  494130 */     GIR_EraseRootFromParent_Done,
     /*  494131 */   // Label 8258: @494131
     /*  494131 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(494210), // Rule ID 4674 //
     /*  494136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  494191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494208 */     GIR_RootConstrainSelectedInstOperands,
     /*  494209 */     // GIR_Coverage, 4674,
     /*  494209 */     GIR_EraseRootFromParent_Done,
     /*  494210 */   // Label 8259: @494210
     /*  494210 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(494289), // Rule ID 4683 //
     /*  494215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494287 */     GIR_RootConstrainSelectedInstOperands,
     /*  494288 */     // GIR_Coverage, 4683,
     /*  494288 */     GIR_EraseRootFromParent_Done,
     /*  494289 */   // Label 8260: @494289
     /*  494289 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(494368), // Rule ID 4684 //
     /*  494294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  494349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494366 */     GIR_RootConstrainSelectedInstOperands,
     /*  494367 */     // GIR_Coverage, 4684,
     /*  494367 */     GIR_EraseRootFromParent_Done,
     /*  494368 */   // Label 8261: @494368
     /*  494368 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494447), // Rule ID 4693 //
     /*  494373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494445 */     GIR_RootConstrainSelectedInstOperands,
     /*  494446 */     // GIR_Coverage, 4693,
     /*  494446 */     GIR_EraseRootFromParent_Done,
     /*  494447 */   // Label 8262: @494447
     /*  494447 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494526), // Rule ID 4694 //
     /*  494452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  494507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494524 */     GIR_RootConstrainSelectedInstOperands,
     /*  494525 */     // GIR_Coverage, 4694,
     /*  494525 */     GIR_EraseRootFromParent_Done,
     /*  494526 */   // Label 8263: @494526
     /*  494526 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494605), // Rule ID 4703 //
     /*  494531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494603 */     GIR_RootConstrainSelectedInstOperands,
     /*  494604 */     // GIR_Coverage, 4703,
     /*  494604 */     GIR_EraseRootFromParent_Done,
     /*  494605 */   // Label 8264: @494605
     /*  494605 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494684), // Rule ID 4704 //
     /*  494610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  494618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  494665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494682 */     GIR_RootConstrainSelectedInstOperands,
     /*  494683 */     // GIR_Coverage, 4704,
     /*  494683 */     GIR_EraseRootFromParent_Done,
     /*  494684 */   // Label 8265: @494684
     /*  494684 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494752), // Rule ID 2595 //
     /*  494689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  494700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  494703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494721 */     // MIs[0] policy
     /*  494721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494731 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  494734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494738 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494748 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494750 */     GIR_RootConstrainSelectedInstOperands,
     /*  494751 */     // GIR_Coverage, 2595,
     /*  494751 */     GIR_EraseRootFromParent_Done,
     /*  494752 */   // Label 8266: @494752
     /*  494752 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494820), // Rule ID 2596 //
     /*  494757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  494768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  494771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494789 */     // MIs[0] policy
     /*  494789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  494802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494806 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494816 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494818 */     GIR_RootConstrainSelectedInstOperands,
     /*  494819 */     // GIR_Coverage, 2596,
     /*  494819 */     GIR_EraseRootFromParent_Done,
     /*  494820 */   // Label 8267: @494820
     /*  494820 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(494888), // Rule ID 23383 //
     /*  494825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  494836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  494839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494857 */     // MIs[0] policy
     /*  494857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  494870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494874 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494884 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494886 */     GIR_RootConstrainSelectedInstOperands,
     /*  494887 */     // GIR_Coverage, 23383,
     /*  494887 */     GIR_EraseRootFromParent_Done,
     /*  494888 */   // Label 8268: @494888
     /*  494888 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(494956), // Rule ID 23384 //
     /*  494893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  494904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  494907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494925 */     // MIs[0] policy
     /*  494925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  494938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494942 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494952 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494954 */     GIR_RootConstrainSelectedInstOperands,
     /*  494955 */     // GIR_Coverage, 23384,
     /*  494955 */     GIR_EraseRootFromParent_Done,
     /*  494956 */   // Label 8269: @494956
     /*  494956 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(495024), // Rule ID 23387 //
     /*  494961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  494972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  494975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  494978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494993 */     // MIs[0] policy
     /*  494993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495010 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495020 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495022 */     GIR_RootConstrainSelectedInstOperands,
     /*  495023 */     // GIR_Coverage, 23387,
     /*  495023 */     GIR_EraseRootFromParent_Done,
     /*  495024 */   // Label 8270: @495024
     /*  495024 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(495092), // Rule ID 23388 //
     /*  495029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  495040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  495043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495061 */     // MIs[0] policy
     /*  495061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495078 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495088 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495090 */     GIR_RootConstrainSelectedInstOperands,
     /*  495091 */     // GIR_Coverage, 23388,
     /*  495091 */     GIR_EraseRootFromParent_Done,
     /*  495092 */   // Label 8271: @495092
     /*  495092 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(495160), // Rule ID 23391 //
     /*  495097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495129 */     // MIs[0] policy
     /*  495129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495146 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495156 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495158 */     GIR_RootConstrainSelectedInstOperands,
     /*  495159 */     // GIR_Coverage, 23391,
     /*  495159 */     GIR_EraseRootFromParent_Done,
     /*  495160 */   // Label 8272: @495160
     /*  495160 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(495228), // Rule ID 23392 //
     /*  495165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495197 */     // MIs[0] policy
     /*  495197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  495210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495214 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495224 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495226 */     GIR_RootConstrainSelectedInstOperands,
     /*  495227 */     // GIR_Coverage, 23392,
     /*  495227 */     GIR_EraseRootFromParent_Done,
     /*  495228 */   // Label 8273: @495228
     /*  495228 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495296), // Rule ID 23395 //
     /*  495233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495265 */     // MIs[0] policy
     /*  495265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495282 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495292 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495294 */     GIR_RootConstrainSelectedInstOperands,
     /*  495295 */     // GIR_Coverage, 23395,
     /*  495295 */     GIR_EraseRootFromParent_Done,
     /*  495296 */   // Label 8274: @495296
     /*  495296 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495364), // Rule ID 23396 //
     /*  495301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495333 */     // MIs[0] policy
     /*  495333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495350 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495360 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495362 */     GIR_RootConstrainSelectedInstOperands,
     /*  495363 */     // GIR_Coverage, 23396,
     /*  495363 */     GIR_EraseRootFromParent_Done,
     /*  495364 */   // Label 8275: @495364
     /*  495364 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495432), // Rule ID 23399 //
     /*  495369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495401 */     // MIs[0] policy
     /*  495401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495418 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495428 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495430 */     GIR_RootConstrainSelectedInstOperands,
     /*  495431 */     // GIR_Coverage, 23399,
     /*  495431 */     GIR_EraseRootFromParent_Done,
     /*  495432 */   // Label 8276: @495432
     /*  495432 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495500), // Rule ID 23400 //
     /*  495437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495469 */     // MIs[0] policy
     /*  495469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  495482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495486 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495496 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495498 */     GIR_RootConstrainSelectedInstOperands,
     /*  495499 */     // GIR_Coverage, 23400,
     /*  495499 */     GIR_EraseRootFromParent_Done,
     /*  495500 */   // Label 8277: @495500
     /*  495500 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495568), // Rule ID 23403 //
     /*  495505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495537 */     // MIs[0] policy
     /*  495537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495554 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495564 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495566 */     GIR_RootConstrainSelectedInstOperands,
     /*  495567 */     // GIR_Coverage, 23403,
     /*  495567 */     GIR_EraseRootFromParent_Done,
     /*  495568 */   // Label 8278: @495568
     /*  495568 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495636), // Rule ID 23404 //
     /*  495573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  495584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  495587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495605 */     // MIs[0] policy
     /*  495605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495615 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11241:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495622 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495632 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495634 */     GIR_RootConstrainSelectedInstOperands,
     /*  495635 */     // GIR_Coverage, 23404,
     /*  495635 */     GIR_EraseRootFromParent_Done,
     /*  495636 */   // Label 8279: @495636
     /*  495636 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495704), // Rule ID 23407 //
     /*  495641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495673 */     // MIs[0] policy
     /*  495673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495690 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495700 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495702 */     GIR_RootConstrainSelectedInstOperands,
     /*  495703 */     // GIR_Coverage, 23407,
     /*  495703 */     GIR_EraseRootFromParent_Done,
     /*  495704 */   // Label 8280: @495704
     /*  495704 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495772), // Rule ID 23408 //
     /*  495709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495741 */     // MIs[0] policy
     /*  495741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495758 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495768 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495770 */     GIR_RootConstrainSelectedInstOperands,
     /*  495771 */     // GIR_Coverage, 23408,
     /*  495771 */     GIR_EraseRootFromParent_Done,
     /*  495772 */   // Label 8281: @495772
     /*  495772 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495840), // Rule ID 23411 //
     /*  495777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495809 */     // MIs[0] policy
     /*  495809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495826 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495836 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495838 */     GIR_RootConstrainSelectedInstOperands,
     /*  495839 */     // GIR_Coverage, 23411,
     /*  495839 */     GIR_EraseRootFromParent_Done,
     /*  495840 */   // Label 8282: @495840
     /*  495840 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(495908), // Rule ID 23412 //
     /*  495845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  495862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495877 */     // MIs[0] policy
     /*  495877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495894 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495904 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495906 */     GIR_RootConstrainSelectedInstOperands,
     /*  495907 */     // GIR_Coverage, 23412,
     /*  495907 */     GIR_EraseRootFromParent_Done,
     /*  495908 */   // Label 8283: @495908
     /*  495908 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(495976), // Rule ID 23415 //
     /*  495913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  495916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  495924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  495927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  495937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495945 */     // MIs[0] policy
     /*  495945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  495958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495962 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  495972 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495974 */     GIR_RootConstrainSelectedInstOperands,
     /*  495975 */     // GIR_Coverage, 23415,
     /*  495975 */     GIR_EraseRootFromParent_Done,
     /*  495976 */   // Label 8284: @495976
     /*  495976 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(496044), // Rule ID 23416 //
     /*  495981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  495984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  495992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  495995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  495998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  496005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496013 */     // MIs[0] policy
     /*  496013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  496026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496030 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496040 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496042 */     GIR_RootConstrainSelectedInstOperands,
     /*  496043 */     // GIR_Coverage, 23416,
     /*  496043 */     GIR_EraseRootFromParent_Done,
     /*  496044 */   // Label 8285: @496044
     /*  496044 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(496112), // Rule ID 23419 //
     /*  496049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496081 */     // MIs[0] policy
     /*  496081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496098 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496108 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496110 */     GIR_RootConstrainSelectedInstOperands,
     /*  496111 */     // GIR_Coverage, 23419,
     /*  496111 */     GIR_EraseRootFromParent_Done,
     /*  496112 */   // Label 8286: @496112
     /*  496112 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496180), // Rule ID 23420 //
     /*  496117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  496128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  496131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496149 */     // MIs[0] policy
     /*  496149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496166 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496176 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496178 */     GIR_RootConstrainSelectedInstOperands,
     /*  496179 */     // GIR_Coverage, 23420,
     /*  496179 */     GIR_EraseRootFromParent_Done,
     /*  496180 */   // Label 8287: @496180
     /*  496180 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496248), // Rule ID 23423 //
     /*  496185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496217 */     // MIs[0] policy
     /*  496217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496234 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496244 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496246 */     GIR_RootConstrainSelectedInstOperands,
     /*  496247 */     // GIR_Coverage, 23423,
     /*  496247 */     GIR_EraseRootFromParent_Done,
     /*  496248 */   // Label 8288: @496248
     /*  496248 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496316), // Rule ID 23424 //
     /*  496253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  496264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  496267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496285 */     // MIs[0] policy
     /*  496285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496295 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496302 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496312 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496314 */     GIR_RootConstrainSelectedInstOperands,
     /*  496315 */     // GIR_Coverage, 23424,
     /*  496315 */     GIR_EraseRootFromParent_Done,
     /*  496316 */   // Label 8289: @496316
     /*  496316 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496384), // Rule ID 23427 //
     /*  496321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496353 */     // MIs[0] policy
     /*  496353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496370 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496380 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496382 */     GIR_RootConstrainSelectedInstOperands,
     /*  496383 */     // GIR_Coverage, 23427,
     /*  496383 */     GIR_EraseRootFromParent_Done,
     /*  496384 */   // Label 8290: @496384
     /*  496384 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496452), // Rule ID 23428 //
     /*  496389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  496400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  496403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  496406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496421 */     // MIs[0] policy
     /*  496421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496431 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496438 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496448 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496450 */     GIR_RootConstrainSelectedInstOperands,
     /*  496451 */     // GIR_Coverage, 23428,
     /*  496451 */     GIR_EraseRootFromParent_Done,
     /*  496452 */   // Label 8291: @496452
     /*  496452 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496520), // Rule ID 23431 //
     /*  496457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496489 */     // MIs[0] policy
     /*  496489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496506 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496516 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496518 */     GIR_RootConstrainSelectedInstOperands,
     /*  496519 */     // GIR_Coverage, 23431,
     /*  496519 */     GIR_EraseRootFromParent_Done,
     /*  496520 */   // Label 8292: @496520
     /*  496520 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496588), // Rule ID 23432 //
     /*  496525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  496536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  496539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496557 */     // MIs[0] policy
     /*  496557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496574 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496584 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496586 */     GIR_RootConstrainSelectedInstOperands,
     /*  496587 */     // GIR_Coverage, 23432,
     /*  496587 */     GIR_EraseRootFromParent_Done,
     /*  496588 */   // Label 8293: @496588
     /*  496588 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496656), // Rule ID 23435 //
     /*  496593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  496604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  496607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496625 */     // MIs[0] policy
     /*  496625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496642 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496652 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496654 */     GIR_RootConstrainSelectedInstOperands,
     /*  496655 */     // GIR_Coverage, 23435,
     /*  496655 */     GIR_EraseRootFromParent_Done,
     /*  496656 */   // Label 8294: @496656
     /*  496656 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496724), // Rule ID 23436 //
     /*  496661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  496672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  496675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496693 */     // MIs[0] policy
     /*  496693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496710 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496720 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496722 */     GIR_RootConstrainSelectedInstOperands,
     /*  496723 */     // GIR_Coverage, 23436,
     /*  496723 */     GIR_EraseRootFromParent_Done,
     /*  496724 */   // Label 8295: @496724
     /*  496724 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496792), // Rule ID 23439 //
     /*  496729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496761 */     // MIs[0] policy
     /*  496761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496778 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496788 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496790 */     GIR_RootConstrainSelectedInstOperands,
     /*  496791 */     // GIR_Coverage, 23439,
     /*  496791 */     GIR_EraseRootFromParent_Done,
     /*  496792 */   // Label 8296: @496792
     /*  496792 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(496860), // Rule ID 23440 //
     /*  496797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  496814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496829 */     // MIs[0] policy
     /*  496829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496846 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496856 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496858 */     GIR_RootConstrainSelectedInstOperands,
     /*  496859 */     // GIR_Coverage, 23440,
     /*  496859 */     GIR_EraseRootFromParent_Done,
     /*  496860 */   // Label 8297: @496860
     /*  496860 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(496928), // Rule ID 23443 //
     /*  496865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496897 */     // MIs[0] policy
     /*  496897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496914 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496924 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496926 */     GIR_RootConstrainSelectedInstOperands,
     /*  496927 */     // GIR_Coverage, 23443,
     /*  496927 */     GIR_EraseRootFromParent_Done,
     /*  496928 */   // Label 8298: @496928
     /*  496928 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(496996), // Rule ID 23444 //
     /*  496933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496965 */     // MIs[0] policy
     /*  496965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496982 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496992 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496994 */     GIR_RootConstrainSelectedInstOperands,
     /*  496995 */     // GIR_Coverage, 23444,
     /*  496995 */     GIR_EraseRootFromParent_Done,
     /*  496996 */   // Label 8299: @496996
     /*  496996 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497064), // Rule ID 23447 //
     /*  497001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497033 */     // MIs[0] policy
     /*  497033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497050 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497060 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497062 */     GIR_RootConstrainSelectedInstOperands,
     /*  497063 */     // GIR_Coverage, 23447,
     /*  497063 */     GIR_EraseRootFromParent_Done,
     /*  497064 */   // Label 8300: @497064
     /*  497064 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497132), // Rule ID 23448 //
     /*  497069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497101 */     // MIs[0] policy
     /*  497101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497118 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497128 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497130 */     GIR_RootConstrainSelectedInstOperands,
     /*  497131 */     // GIR_Coverage, 23448,
     /*  497131 */     GIR_EraseRootFromParent_Done,
     /*  497132 */   // Label 8301: @497132
     /*  497132 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497200), // Rule ID 23451 //
     /*  497137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497169 */     // MIs[0] policy
     /*  497169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497186 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497196 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497198 */     GIR_RootConstrainSelectedInstOperands,
     /*  497199 */     // GIR_Coverage, 23451,
     /*  497199 */     GIR_EraseRootFromParent_Done,
     /*  497200 */   // Label 8302: @497200
     /*  497200 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497268), // Rule ID 23452 //
     /*  497205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  497222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497237 */     // MIs[0] policy
     /*  497237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497254 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497264 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497266 */     GIR_RootConstrainSelectedInstOperands,
     /*  497267 */     // GIR_Coverage, 23452,
     /*  497267 */     GIR_EraseRootFromParent_Done,
     /*  497268 */   // Label 8303: @497268
     /*  497268 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497336), // Rule ID 23455 //
     /*  497273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497305 */     // MIs[0] policy
     /*  497305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497322 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497332 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497334 */     GIR_RootConstrainSelectedInstOperands,
     /*  497335 */     // GIR_Coverage, 23455,
     /*  497335 */     GIR_EraseRootFromParent_Done,
     /*  497336 */   // Label 8304: @497336
     /*  497336 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497404), // Rule ID 23456 //
     /*  497341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  497358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  497365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497373 */     // MIs[0] policy
     /*  497373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  497386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497390 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497400 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497402 */     GIR_RootConstrainSelectedInstOperands,
     /*  497403 */     // GIR_Coverage, 23456,
     /*  497403 */     GIR_EraseRootFromParent_Done,
     /*  497404 */   // Label 8305: @497404
     /*  497404 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497472), // Rule ID 23459 //
     /*  497409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497441 */     // MIs[0] policy
     /*  497441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497458 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497468 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497470 */     GIR_RootConstrainSelectedInstOperands,
     /*  497471 */     // GIR_Coverage, 23459,
     /*  497471 */     GIR_EraseRootFromParent_Done,
     /*  497472 */   // Label 8306: @497472
     /*  497472 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497540), // Rule ID 23460 //
     /*  497477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  497494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  497501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497509 */     // MIs[0] policy
     /*  497509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  497522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497526 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497536 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497538 */     GIR_RootConstrainSelectedInstOperands,
     /*  497539 */     // GIR_Coverage, 23460,
     /*  497539 */     GIR_EraseRootFromParent_Done,
     /*  497540 */   // Label 8307: @497540
     /*  497540 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497608), // Rule ID 23463 //
     /*  497545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  497548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497577 */     // MIs[0] policy
     /*  497577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497594 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497604 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497606 */     GIR_RootConstrainSelectedInstOperands,
     /*  497607 */     // GIR_Coverage, 23463,
     /*  497607 */     GIR_EraseRootFromParent_Done,
     /*  497608 */   // Label 8308: @497608
     /*  497608 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497676), // Rule ID 23464 //
     /*  497613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  497616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  497621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  497630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  497637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  497645 */     // MIs[0] policy
     /*  497645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497655 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  497658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497662 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  497664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  497672 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497674 */     GIR_RootConstrainSelectedInstOperands,
     /*  497675 */     // GIR_Coverage, 23464,
     /*  497675 */     GIR_EraseRootFromParent_Done,
     /*  497676 */   // Label 8309: @497676
     /*  497676 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497744), // Rule ID 60289 //
     /*  497681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  497684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497713 */     // MIs[0] policy
     /*  497713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  497726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497740 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497742 */     GIR_RootConstrainSelectedInstOperands,
     /*  497743 */     // GIR_Coverage, 60289,
     /*  497743 */     GIR_EraseRootFromParent_Done,
     /*  497744 */   // Label 8310: @497744
     /*  497744 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497812), // Rule ID 60290 //
     /*  497749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  497752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497781 */     // MIs[0] policy
     /*  497781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  497794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497808 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497810 */     GIR_RootConstrainSelectedInstOperands,
     /*  497811 */     // GIR_Coverage, 60290,
     /*  497811 */     GIR_EraseRootFromParent_Done,
     /*  497812 */   // Label 8311: @497812
     /*  497812 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(497880), // Rule ID 60291 //
     /*  497817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  497825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497849 */     // MIs[0] policy
     /*  497849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  497862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497876 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497878 */     GIR_RootConstrainSelectedInstOperands,
     /*  497879 */     // GIR_Coverage, 60291,
     /*  497879 */     GIR_EraseRootFromParent_Done,
     /*  497880 */   // Label 8312: @497880
     /*  497880 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(497948), // Rule ID 60292 //
     /*  497885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  497893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497917 */     // MIs[0] policy
     /*  497917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  497930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497944 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497946 */     GIR_RootConstrainSelectedInstOperands,
     /*  497947 */     // GIR_Coverage, 60292,
     /*  497947 */     GIR_EraseRootFromParent_Done,
     /*  497948 */   // Label 8313: @497948
     /*  497948 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498016), // Rule ID 61785 //
     /*  497953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  497956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497985 */     // MIs[0] policy
     /*  497985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  497998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498012 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498014 */     GIR_RootConstrainSelectedInstOperands,
     /*  498015 */     // GIR_Coverage, 61785,
     /*  498015 */     GIR_EraseRootFromParent_Done,
     /*  498016 */   // Label 8314: @498016
     /*  498016 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498084), // Rule ID 61786 //
     /*  498021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498053 */     // MIs[0] policy
     /*  498053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  498066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498080 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498082 */     GIR_RootConstrainSelectedInstOperands,
     /*  498083 */     // GIR_Coverage, 61786,
     /*  498083 */     GIR_EraseRootFromParent_Done,
     /*  498084 */   // Label 8315: @498084
     /*  498084 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498152), // Rule ID 61787 //
     /*  498089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498121 */     // MIs[0] policy
     /*  498121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498148 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498150 */     GIR_RootConstrainSelectedInstOperands,
     /*  498151 */     // GIR_Coverage, 61787,
     /*  498151 */     GIR_EraseRootFromParent_Done,
     /*  498152 */   // Label 8316: @498152
     /*  498152 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498220), // Rule ID 61788 //
     /*  498157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498189 */     // MIs[0] policy
     /*  498189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  498202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498216 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498218 */     GIR_RootConstrainSelectedInstOperands,
     /*  498219 */     // GIR_Coverage, 61788,
     /*  498219 */     GIR_EraseRootFromParent_Done,
     /*  498220 */   // Label 8317: @498220
     /*  498220 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498288), // Rule ID 61789 //
     /*  498225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498257 */     // MIs[0] policy
     /*  498257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498284 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498286 */     GIR_RootConstrainSelectedInstOperands,
     /*  498287 */     // GIR_Coverage, 61789,
     /*  498287 */     GIR_EraseRootFromParent_Done,
     /*  498288 */   // Label 8318: @498288
     /*  498288 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498356), // Rule ID 61790 //
     /*  498293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498325 */     // MIs[0] policy
     /*  498325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  498338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498352 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498354 */     GIR_RootConstrainSelectedInstOperands,
     /*  498355 */     // GIR_Coverage, 61790,
     /*  498355 */     GIR_EraseRootFromParent_Done,
     /*  498356 */   // Label 8319: @498356
     /*  498356 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498424), // Rule ID 61791 //
     /*  498361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  498364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498393 */     // MIs[0] policy
     /*  498393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498420 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498422 */     GIR_RootConstrainSelectedInstOperands,
     /*  498423 */     // GIR_Coverage, 61791,
     /*  498423 */     GIR_EraseRootFromParent_Done,
     /*  498424 */   // Label 8320: @498424
     /*  498424 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498492), // Rule ID 61792 //
     /*  498429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  498432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  498437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498461 */     // MIs[0] policy
     /*  498461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  498474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498488 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498490 */     GIR_RootConstrainSelectedInstOperands,
     /*  498491 */     // GIR_Coverage, 61792,
     /*  498491 */     GIR_EraseRootFromParent_Done,
     /*  498492 */   // Label 8321: @498492
     /*  498492 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498560), // Rule ID 61793 //
     /*  498497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498529 */     // MIs[0] policy
     /*  498529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498556 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498558 */     GIR_RootConstrainSelectedInstOperands,
     /*  498559 */     // GIR_Coverage, 61793,
     /*  498559 */     GIR_EraseRootFromParent_Done,
     /*  498560 */   // Label 8322: @498560
     /*  498560 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498628), // Rule ID 61794 //
     /*  498565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498597 */     // MIs[0] policy
     /*  498597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  498610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498624 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498626 */     GIR_RootConstrainSelectedInstOperands,
     /*  498627 */     // GIR_Coverage, 61794,
     /*  498627 */     GIR_EraseRootFromParent_Done,
     /*  498628 */   // Label 8323: @498628
     /*  498628 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498696), // Rule ID 61795 //
     /*  498633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498665 */     // MIs[0] policy
     /*  498665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  498678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498692 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498694 */     GIR_RootConstrainSelectedInstOperands,
     /*  498695 */     // GIR_Coverage, 61795,
     /*  498695 */     GIR_EraseRootFromParent_Done,
     /*  498696 */   // Label 8324: @498696
     /*  498696 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498764), // Rule ID 61796 //
     /*  498701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498733 */     // MIs[0] policy
     /*  498733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  498746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498760 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498762 */     GIR_RootConstrainSelectedInstOperands,
     /*  498763 */     // GIR_Coverage, 61796,
     /*  498763 */     GIR_EraseRootFromParent_Done,
     /*  498764 */   // Label 8325: @498764
     /*  498764 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(498832), // Rule ID 61797 //
     /*  498769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498801 */     // MIs[0] policy
     /*  498801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  498814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498828 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498830 */     GIR_RootConstrainSelectedInstOperands,
     /*  498831 */     // GIR_Coverage, 61797,
     /*  498831 */     GIR_EraseRootFromParent_Done,
     /*  498832 */   // Label 8326: @498832
     /*  498832 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(498900), // Rule ID 61798 //
     /*  498837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498869 */     // MIs[0] policy
     /*  498869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  498882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498896 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498898 */     GIR_RootConstrainSelectedInstOperands,
     /*  498899 */     // GIR_Coverage, 61798,
     /*  498899 */     GIR_EraseRootFromParent_Done,
     /*  498900 */   // Label 8327: @498900
     /*  498900 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(498968), // Rule ID 61799 //
     /*  498905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498937 */     // MIs[0] policy
     /*  498937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  498950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498964 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498966 */     GIR_RootConstrainSelectedInstOperands,
     /*  498967 */     // GIR_Coverage, 61799,
     /*  498967 */     GIR_EraseRootFromParent_Done,
     /*  498968 */   // Label 8328: @498968
     /*  498968 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499036), // Rule ID 61800 //
     /*  498973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  498981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499005 */     // MIs[0] policy
     /*  499005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  499018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499032 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499034 */     GIR_RootConstrainSelectedInstOperands,
     /*  499035 */     // GIR_Coverage, 61800,
     /*  499035 */     GIR_EraseRootFromParent_Done,
     /*  499036 */   // Label 8329: @499036
     /*  499036 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499104), // Rule ID 61801 //
     /*  499041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499073 */     // MIs[0] policy
     /*  499073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499100 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499102 */     GIR_RootConstrainSelectedInstOperands,
     /*  499103 */     // GIR_Coverage, 61801,
     /*  499103 */     GIR_EraseRootFromParent_Done,
     /*  499104 */   // Label 8330: @499104
     /*  499104 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499172), // Rule ID 61802 //
     /*  499109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  499117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499141 */     // MIs[0] policy
     /*  499141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  499154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499168 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499170 */     GIR_RootConstrainSelectedInstOperands,
     /*  499171 */     // GIR_Coverage, 61802,
     /*  499171 */     GIR_EraseRootFromParent_Done,
     /*  499172 */   // Label 8331: @499172
     /*  499172 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499240), // Rule ID 61803 //
     /*  499177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499209 */     // MIs[0] policy
     /*  499209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499236 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499238 */     GIR_RootConstrainSelectedInstOperands,
     /*  499239 */     // GIR_Coverage, 61803,
     /*  499239 */     GIR_EraseRootFromParent_Done,
     /*  499240 */   // Label 8332: @499240
     /*  499240 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499308), // Rule ID 61804 //
     /*  499245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499277 */     // MIs[0] policy
     /*  499277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  499290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499304 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499306 */     GIR_RootConstrainSelectedInstOperands,
     /*  499307 */     // GIR_Coverage, 61804,
     /*  499307 */     GIR_EraseRootFromParent_Done,
     /*  499308 */   // Label 8333: @499308
     /*  499308 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499376), // Rule ID 61805 //
     /*  499313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499345 */     // MIs[0] policy
     /*  499345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499372 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499374 */     GIR_RootConstrainSelectedInstOperands,
     /*  499375 */     // GIR_Coverage, 61805,
     /*  499375 */     GIR_EraseRootFromParent_Done,
     /*  499376 */   // Label 8334: @499376
     /*  499376 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499444), // Rule ID 61806 //
     /*  499381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499413 */     // MIs[0] policy
     /*  499413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  499426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499440 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499442 */     GIR_RootConstrainSelectedInstOperands,
     /*  499443 */     // GIR_Coverage, 61806,
     /*  499443 */     GIR_EraseRootFromParent_Done,
     /*  499444 */   // Label 8335: @499444
     /*  499444 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499512), // Rule ID 61807 //
     /*  499449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499481 */     // MIs[0] policy
     /*  499481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499508 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499510 */     GIR_RootConstrainSelectedInstOperands,
     /*  499511 */     // GIR_Coverage, 61807,
     /*  499511 */     GIR_EraseRootFromParent_Done,
     /*  499512 */   // Label 8336: @499512
     /*  499512 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499580), // Rule ID 61808 //
     /*  499517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499549 */     // MIs[0] policy
     /*  499549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  499562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499576 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499578 */     GIR_RootConstrainSelectedInstOperands,
     /*  499579 */     // GIR_Coverage, 61808,
     /*  499579 */     GIR_EraseRootFromParent_Done,
     /*  499580 */   // Label 8337: @499580
     /*  499580 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499648), // Rule ID 61809 //
     /*  499585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499617 */     // MIs[0] policy
     /*  499617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  499630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499644 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499646 */     GIR_RootConstrainSelectedInstOperands,
     /*  499647 */     // GIR_Coverage, 61809,
     /*  499647 */     GIR_EraseRootFromParent_Done,
     /*  499648 */   // Label 8338: @499648
     /*  499648 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499716), // Rule ID 61810 //
     /*  499653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499685 */     // MIs[0] policy
     /*  499685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  499698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499712 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499714 */     GIR_RootConstrainSelectedInstOperands,
     /*  499715 */     // GIR_Coverage, 61810,
     /*  499715 */     GIR_EraseRootFromParent_Done,
     /*  499716 */   // Label 8339: @499716
     /*  499716 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(499784), // Rule ID 61811 //
     /*  499721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499753 */     // MIs[0] policy
     /*  499753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  499766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499780 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499782 */     GIR_RootConstrainSelectedInstOperands,
     /*  499783 */     // GIR_Coverage, 61811,
     /*  499783 */     GIR_EraseRootFromParent_Done,
     /*  499784 */   // Label 8340: @499784
     /*  499784 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(499852), // Rule ID 61812 //
     /*  499789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499821 */     // MIs[0] policy
     /*  499821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  499834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499848 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499850 */     GIR_RootConstrainSelectedInstOperands,
     /*  499851 */     // GIR_Coverage, 61812,
     /*  499851 */     GIR_EraseRootFromParent_Done,
     /*  499852 */   // Label 8341: @499852
     /*  499852 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(499920), // Rule ID 61813 //
     /*  499857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499889 */     // MIs[0] policy
     /*  499889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  499902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499916 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499918 */     GIR_RootConstrainSelectedInstOperands,
     /*  499919 */     // GIR_Coverage, 61813,
     /*  499919 */     GIR_EraseRootFromParent_Done,
     /*  499920 */   // Label 8342: @499920
     /*  499920 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(499988), // Rule ID 61814 //
     /*  499925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499957 */     // MIs[0] policy
     /*  499957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  499970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499984 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499986 */     GIR_RootConstrainSelectedInstOperands,
     /*  499987 */     // GIR_Coverage, 61814,
     /*  499987 */     GIR_EraseRootFromParent_Done,
     /*  499988 */   // Label 8343: @499988
     /*  499988 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500056), // Rule ID 61815 //
     /*  499993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500025 */     // MIs[0] policy
     /*  500025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500052 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500054 */     GIR_RootConstrainSelectedInstOperands,
     /*  500055 */     // GIR_Coverage, 61815,
     /*  500055 */     GIR_EraseRootFromParent_Done,
     /*  500056 */   // Label 8344: @500056
     /*  500056 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500124), // Rule ID 61816 //
     /*  500061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500093 */     // MIs[0] policy
     /*  500093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  500106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500120 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500122 */     GIR_RootConstrainSelectedInstOperands,
     /*  500123 */     // GIR_Coverage, 61816,
     /*  500123 */     GIR_EraseRootFromParent_Done,
     /*  500124 */   // Label 8345: @500124
     /*  500124 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500192), // Rule ID 61817 //
     /*  500129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500161 */     // MIs[0] policy
     /*  500161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500188 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500190 */     GIR_RootConstrainSelectedInstOperands,
     /*  500191 */     // GIR_Coverage, 61817,
     /*  500191 */     GIR_EraseRootFromParent_Done,
     /*  500192 */   // Label 8346: @500192
     /*  500192 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500260), // Rule ID 61818 //
     /*  500197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500229 */     // MIs[0] policy
     /*  500229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  500242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500256 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500258 */     GIR_RootConstrainSelectedInstOperands,
     /*  500259 */     // GIR_Coverage, 61818,
     /*  500259 */     GIR_EraseRootFromParent_Done,
     /*  500260 */   // Label 8347: @500260
     /*  500260 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500328), // Rule ID 61819 //
     /*  500265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500297 */     // MIs[0] policy
     /*  500297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500324 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500326 */     GIR_RootConstrainSelectedInstOperands,
     /*  500327 */     // GIR_Coverage, 61819,
     /*  500327 */     GIR_EraseRootFromParent_Done,
     /*  500328 */   // Label 8348: @500328
     /*  500328 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500396), // Rule ID 61820 //
     /*  500333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500365 */     // MIs[0] policy
     /*  500365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500375 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  500378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500392 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500394 */     GIR_RootConstrainSelectedInstOperands,
     /*  500395 */     // GIR_Coverage, 61820,
     /*  500395 */     GIR_EraseRootFromParent_Done,
     /*  500396 */   // Label 8349: @500396
     /*  500396 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500464), // Rule ID 61821 //
     /*  500401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500433 */     // MIs[0] policy
     /*  500433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500460 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500462 */     GIR_RootConstrainSelectedInstOperands,
     /*  500463 */     // GIR_Coverage, 61821,
     /*  500463 */     GIR_EraseRootFromParent_Done,
     /*  500464 */   // Label 8350: @500464
     /*  500464 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500532), // Rule ID 61822 //
     /*  500469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500501 */     // MIs[0] policy
     /*  500501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  500514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500528 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500530 */     GIR_RootConstrainSelectedInstOperands,
     /*  500531 */     // GIR_Coverage, 61822,
     /*  500531 */     GIR_EraseRootFromParent_Done,
     /*  500532 */   // Label 8351: @500532
     /*  500532 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500600), // Rule ID 61823 //
     /*  500537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500569 */     // MIs[0] policy
     /*  500569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  500582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500596 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500598 */     GIR_RootConstrainSelectedInstOperands,
     /*  500599 */     // GIR_Coverage, 61823,
     /*  500599 */     GIR_EraseRootFromParent_Done,
     /*  500600 */   // Label 8352: @500600
     /*  500600 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500668), // Rule ID 61824 //
     /*  500605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500637 */     // MIs[0] policy
     /*  500637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  500650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500664 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500666 */     GIR_RootConstrainSelectedInstOperands,
     /*  500667 */     // GIR_Coverage, 61824,
     /*  500667 */     GIR_EraseRootFromParent_Done,
     /*  500668 */   // Label 8353: @500668
     /*  500668 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500736), // Rule ID 61825 //
     /*  500673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500705 */     // MIs[0] policy
     /*  500705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  500718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500732 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500734 */     GIR_RootConstrainSelectedInstOperands,
     /*  500735 */     // GIR_Coverage, 61825,
     /*  500735 */     GIR_EraseRootFromParent_Done,
     /*  500736 */   // Label 8354: @500736
     /*  500736 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(500804), // Rule ID 61826 //
     /*  500741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500773 */     // MIs[0] policy
     /*  500773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  500786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500800 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500802 */     GIR_RootConstrainSelectedInstOperands,
     /*  500803 */     // GIR_Coverage, 61826,
     /*  500803 */     GIR_EraseRootFromParent_Done,
     /*  500804 */   // Label 8355: @500804
     /*  500804 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(500872), // Rule ID 61827 //
     /*  500809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500841 */     // MIs[0] policy
     /*  500841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  500854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500868 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500870 */     GIR_RootConstrainSelectedInstOperands,
     /*  500871 */     // GIR_Coverage, 61827,
     /*  500871 */     GIR_EraseRootFromParent_Done,
     /*  500872 */   // Label 8356: @500872
     /*  500872 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(500940), // Rule ID 61828 //
     /*  500877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  500885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500909 */     // MIs[0] policy
     /*  500909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  500922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500936 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500938 */     GIR_RootConstrainSelectedInstOperands,
     /*  500939 */     // GIR_Coverage, 61828,
     /*  500939 */     GIR_EraseRootFromParent_Done,
     /*  500940 */   // Label 8357: @500940
     /*  500940 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501008), // Rule ID 61829 //
     /*  500945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500977 */     // MIs[0] policy
     /*  500977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  500990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501004 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501006 */     GIR_RootConstrainSelectedInstOperands,
     /*  501007 */     // GIR_Coverage, 61829,
     /*  501007 */     GIR_EraseRootFromParent_Done,
     /*  501008 */   // Label 8358: @501008
     /*  501008 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501076), // Rule ID 61830 //
     /*  501013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501045 */     // MIs[0] policy
     /*  501045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501055 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  501058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501072 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501074 */     GIR_RootConstrainSelectedInstOperands,
     /*  501075 */     // GIR_Coverage, 61830,
     /*  501075 */     GIR_EraseRootFromParent_Done,
     /*  501076 */   // Label 8359: @501076
     /*  501076 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501144), // Rule ID 61831 //
     /*  501081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501113 */     // MIs[0] policy
     /*  501113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501140 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501142 */     GIR_RootConstrainSelectedInstOperands,
     /*  501143 */     // GIR_Coverage, 61831,
     /*  501143 */     GIR_EraseRootFromParent_Done,
     /*  501144 */   // Label 8360: @501144
     /*  501144 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501212), // Rule ID 61832 //
     /*  501149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501181 */     // MIs[0] policy
     /*  501181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  501194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501208 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501210 */     GIR_RootConstrainSelectedInstOperands,
     /*  501211 */     // GIR_Coverage, 61832,
     /*  501211 */     GIR_EraseRootFromParent_Done,
     /*  501212 */   // Label 8361: @501212
     /*  501212 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501280), // Rule ID 61833 //
     /*  501217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501249 */     // MIs[0] policy
     /*  501249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501276 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501278 */     GIR_RootConstrainSelectedInstOperands,
     /*  501279 */     // GIR_Coverage, 61833,
     /*  501279 */     GIR_EraseRootFromParent_Done,
     /*  501280 */   // Label 8362: @501280
     /*  501280 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501348), // Rule ID 61834 //
     /*  501285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501317 */     // MIs[0] policy
     /*  501317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  501330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501344 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501346 */     GIR_RootConstrainSelectedInstOperands,
     /*  501347 */     // GIR_Coverage, 61834,
     /*  501347 */     GIR_EraseRootFromParent_Done,
     /*  501348 */   // Label 8363: @501348
     /*  501348 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501416), // Rule ID 61835 //
     /*  501353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501385 */     // MIs[0] policy
     /*  501385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501412 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501414 */     GIR_RootConstrainSelectedInstOperands,
     /*  501415 */     // GIR_Coverage, 61835,
     /*  501415 */     GIR_EraseRootFromParent_Done,
     /*  501416 */   // Label 8364: @501416
     /*  501416 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501484), // Rule ID 61836 //
     /*  501421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501453 */     // MIs[0] policy
     /*  501453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  501466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501480 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501482 */     GIR_RootConstrainSelectedInstOperands,
     /*  501483 */     // GIR_Coverage, 61836,
     /*  501483 */     GIR_EraseRootFromParent_Done,
     /*  501484 */   // Label 8365: @501484
     /*  501484 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501552), // Rule ID 61837 //
     /*  501489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501521 */     // MIs[0] policy
     /*  501521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501531 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501548 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501550 */     GIR_RootConstrainSelectedInstOperands,
     /*  501551 */     // GIR_Coverage, 61837,
     /*  501551 */     GIR_EraseRootFromParent_Done,
     /*  501552 */   // Label 8366: @501552
     /*  501552 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501620), // Rule ID 61838 //
     /*  501557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  501565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  501574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501589 */     // MIs[0] policy
     /*  501589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  501602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501616 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501618 */     GIR_RootConstrainSelectedInstOperands,
     /*  501619 */     // GIR_Coverage, 61838,
     /*  501619 */     GIR_EraseRootFromParent_Done,
     /*  501620 */   // Label 8367: @501620
     /*  501620 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501688), // Rule ID 61839 //
     /*  501625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501657 */     // MIs[0] policy
     /*  501657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  501670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501684 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501686 */     GIR_RootConstrainSelectedInstOperands,
     /*  501687 */     // GIR_Coverage, 61839,
     /*  501687 */     GIR_EraseRootFromParent_Done,
     /*  501688 */   // Label 8368: @501688
     /*  501688 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501756), // Rule ID 61840 //
     /*  501693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  501704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  501707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501725 */     // MIs[0] policy
     /*  501725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  501738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501752 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501754 */     GIR_RootConstrainSelectedInstOperands,
     /*  501755 */     // GIR_Coverage, 61840,
     /*  501755 */     GIR_EraseRootFromParent_Done,
     /*  501756 */   // Label 8369: @501756
     /*  501756 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(501824), // Rule ID 61841 //
     /*  501761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501793 */     // MIs[0] policy
     /*  501793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  501806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501820 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501822 */     GIR_RootConstrainSelectedInstOperands,
     /*  501823 */     // GIR_Coverage, 61841,
     /*  501823 */     GIR_EraseRootFromParent_Done,
     /*  501824 */   // Label 8370: @501824
     /*  501824 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(501892), // Rule ID 61842 //
     /*  501829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501861 */     // MIs[0] policy
     /*  501861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  501874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501888 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501890 */     GIR_RootConstrainSelectedInstOperands,
     /*  501891 */     // GIR_Coverage, 61842,
     /*  501891 */     GIR_EraseRootFromParent_Done,
     /*  501892 */   // Label 8371: @501892
     /*  501892 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(501960), // Rule ID 61843 //
     /*  501897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501929 */     // MIs[0] policy
     /*  501929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  501942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501956 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501958 */     GIR_RootConstrainSelectedInstOperands,
     /*  501959 */     // GIR_Coverage, 61843,
     /*  501959 */     GIR_EraseRootFromParent_Done,
     /*  501960 */   // Label 8372: @501960
     /*  501960 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502028), // Rule ID 61844 //
     /*  501965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501997 */     // MIs[0] policy
     /*  501997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502007 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  502010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502024 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502026 */     GIR_RootConstrainSelectedInstOperands,
     /*  502027 */     // GIR_Coverage, 61844,
     /*  502027 */     GIR_EraseRootFromParent_Done,
     /*  502028 */   // Label 8373: @502028
     /*  502028 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502096), // Rule ID 61845 //
     /*  502033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502065 */     // MIs[0] policy
     /*  502065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502092 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502094 */     GIR_RootConstrainSelectedInstOperands,
     /*  502095 */     // GIR_Coverage, 61845,
     /*  502095 */     GIR_EraseRootFromParent_Done,
     /*  502096 */   // Label 8374: @502096
     /*  502096 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502164), // Rule ID 61846 //
     /*  502101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502133 */     // MIs[0] policy
     /*  502133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  502146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502160 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502162 */     GIR_RootConstrainSelectedInstOperands,
     /*  502163 */     // GIR_Coverage, 61846,
     /*  502163 */     GIR_EraseRootFromParent_Done,
     /*  502164 */   // Label 8375: @502164
     /*  502164 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502232), // Rule ID 61847 //
     /*  502169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502201 */     // MIs[0] policy
     /*  502201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502228 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502230 */     GIR_RootConstrainSelectedInstOperands,
     /*  502231 */     // GIR_Coverage, 61847,
     /*  502231 */     GIR_EraseRootFromParent_Done,
     /*  502232 */   // Label 8376: @502232
     /*  502232 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502300), // Rule ID 61848 //
     /*  502237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502269 */     // MIs[0] policy
     /*  502269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  502282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502296 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502298 */     GIR_RootConstrainSelectedInstOperands,
     /*  502299 */     // GIR_Coverage, 61848,
     /*  502299 */     GIR_EraseRootFromParent_Done,
     /*  502300 */   // Label 8377: @502300
     /*  502300 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502368), // Rule ID 61849 //
     /*  502305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502337 */     // MIs[0] policy
     /*  502337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502364 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502366 */     GIR_RootConstrainSelectedInstOperands,
     /*  502367 */     // GIR_Coverage, 61849,
     /*  502367 */     GIR_EraseRootFromParent_Done,
     /*  502368 */   // Label 8378: @502368
     /*  502368 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502436), // Rule ID 61850 //
     /*  502373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502405 */     // MIs[0] policy
     /*  502405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  502418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502432 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502434 */     GIR_RootConstrainSelectedInstOperands,
     /*  502435 */     // GIR_Coverage, 61850,
     /*  502435 */     GIR_EraseRootFromParent_Done,
     /*  502436 */   // Label 8379: @502436
     /*  502436 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502504), // Rule ID 61851 //
     /*  502441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502473 */     // MIs[0] policy
     /*  502473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502500 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502502 */     GIR_RootConstrainSelectedInstOperands,
     /*  502503 */     // GIR_Coverage, 61851,
     /*  502503 */     GIR_EraseRootFromParent_Done,
     /*  502504 */   // Label 8380: @502504
     /*  502504 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502572), // Rule ID 61852 //
     /*  502509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502541 */     // MIs[0] policy
     /*  502541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  502554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502568 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502570 */     GIR_RootConstrainSelectedInstOperands,
     /*  502571 */     // GIR_Coverage, 61852,
     /*  502571 */     GIR_EraseRootFromParent_Done,
     /*  502572 */   // Label 8381: @502572
     /*  502572 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502640), // Rule ID 61853 //
     /*  502577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502609 */     // MIs[0] policy
     /*  502609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  502622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502636 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502638 */     GIR_RootConstrainSelectedInstOperands,
     /*  502639 */     // GIR_Coverage, 61853,
     /*  502639 */     GIR_EraseRootFromParent_Done,
     /*  502640 */   // Label 8382: @502640
     /*  502640 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502708), // Rule ID 61854 //
     /*  502645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502677 */     // MIs[0] policy
     /*  502677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  502690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502704 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502706 */     GIR_RootConstrainSelectedInstOperands,
     /*  502707 */     // GIR_Coverage, 61854,
     /*  502707 */     GIR_EraseRootFromParent_Done,
     /*  502708 */   // Label 8383: @502708
     /*  502708 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(502776), // Rule ID 61855 //
     /*  502713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502745 */     // MIs[0] policy
     /*  502745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  502758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502772 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502774 */     GIR_RootConstrainSelectedInstOperands,
     /*  502775 */     // GIR_Coverage, 61855,
     /*  502775 */     GIR_EraseRootFromParent_Done,
     /*  502776 */   // Label 8384: @502776
     /*  502776 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(502844), // Rule ID 61856 //
     /*  502781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502813 */     // MIs[0] policy
     /*  502813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  502826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502840 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502842 */     GIR_RootConstrainSelectedInstOperands,
     /*  502843 */     // GIR_Coverage, 61856,
     /*  502843 */     GIR_EraseRootFromParent_Done,
     /*  502844 */   // Label 8385: @502844
     /*  502844 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(502912), // Rule ID 61857 //
     /*  502849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502881 */     // MIs[0] policy
     /*  502881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  502894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502908 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502910 */     GIR_RootConstrainSelectedInstOperands,
     /*  502911 */     // GIR_Coverage, 61857,
     /*  502911 */     GIR_EraseRootFromParent_Done,
     /*  502912 */   // Label 8386: @502912
     /*  502912 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(502980), // Rule ID 61858 //
     /*  502917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502949 */     // MIs[0] policy
     /*  502949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  502962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502976 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502978 */     GIR_RootConstrainSelectedInstOperands,
     /*  502979 */     // GIR_Coverage, 61858,
     /*  502979 */     GIR_EraseRootFromParent_Done,
     /*  502980 */   // Label 8387: @502980
     /*  502980 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503048), // Rule ID 61859 //
     /*  502985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503017 */     // MIs[0] policy
     /*  503017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503027 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503044 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503046 */     GIR_RootConstrainSelectedInstOperands,
     /*  503047 */     // GIR_Coverage, 61859,
     /*  503047 */     GIR_EraseRootFromParent_Done,
     /*  503048 */   // Label 8388: @503048
     /*  503048 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503116), // Rule ID 61860 //
     /*  503053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503085 */     // MIs[0] policy
     /*  503085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503095 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  503098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503112 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503114 */     GIR_RootConstrainSelectedInstOperands,
     /*  503115 */     // GIR_Coverage, 61860,
     /*  503115 */     GIR_EraseRootFromParent_Done,
     /*  503116 */   // Label 8389: @503116
     /*  503116 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503184), // Rule ID 61861 //
     /*  503121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503153 */     // MIs[0] policy
     /*  503153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503180 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503182 */     GIR_RootConstrainSelectedInstOperands,
     /*  503183 */     // GIR_Coverage, 61861,
     /*  503183 */     GIR_EraseRootFromParent_Done,
     /*  503184 */   // Label 8390: @503184
     /*  503184 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503252), // Rule ID 61862 //
     /*  503189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503221 */     // MIs[0] policy
     /*  503221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  503234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503248 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503250 */     GIR_RootConstrainSelectedInstOperands,
     /*  503251 */     // GIR_Coverage, 61862,
     /*  503251 */     GIR_EraseRootFromParent_Done,
     /*  503252 */   // Label 8391: @503252
     /*  503252 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503320), // Rule ID 61863 //
     /*  503257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503289 */     // MIs[0] policy
     /*  503289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503316 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503318 */     GIR_RootConstrainSelectedInstOperands,
     /*  503319 */     // GIR_Coverage, 61863,
     /*  503319 */     GIR_EraseRootFromParent_Done,
     /*  503320 */   // Label 8392: @503320
     /*  503320 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503388), // Rule ID 61864 //
     /*  503325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503357 */     // MIs[0] policy
     /*  503357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  503370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503384 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503386 */     GIR_RootConstrainSelectedInstOperands,
     /*  503387 */     // GIR_Coverage, 61864,
     /*  503387 */     GIR_EraseRootFromParent_Done,
     /*  503388 */   // Label 8393: @503388
     /*  503388 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503456), // Rule ID 61865 //
     /*  503393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503425 */     // MIs[0] policy
     /*  503425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503452 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503454 */     GIR_RootConstrainSelectedInstOperands,
     /*  503455 */     // GIR_Coverage, 61865,
     /*  503455 */     GIR_EraseRootFromParent_Done,
     /*  503456 */   // Label 8394: @503456
     /*  503456 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503524), // Rule ID 61866 //
     /*  503461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  503469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503493 */     // MIs[0] policy
     /*  503493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  503506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503520 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503522 */     GIR_RootConstrainSelectedInstOperands,
     /*  503523 */     // GIR_Coverage, 61866,
     /*  503523 */     GIR_EraseRootFromParent_Done,
     /*  503524 */   // Label 8395: @503524
     /*  503524 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503592), // Rule ID 61867 //
     /*  503529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503561 */     // MIs[0] policy
     /*  503561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  503574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503588 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503590 */     GIR_RootConstrainSelectedInstOperands,
     /*  503591 */     // GIR_Coverage, 61867,
     /*  503591 */     GIR_EraseRootFromParent_Done,
     /*  503592 */   // Label 8396: @503592
     /*  503592 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503660), // Rule ID 61868 //
     /*  503597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503629 */     // MIs[0] policy
     /*  503629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  503642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503656 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503658 */     GIR_RootConstrainSelectedInstOperands,
     /*  503659 */     // GIR_Coverage, 61868,
     /*  503659 */     GIR_EraseRootFromParent_Done,
     /*  503660 */   // Label 8397: @503660
     /*  503660 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503728), // Rule ID 61869 //
     /*  503665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503697 */     // MIs[0] policy
     /*  503697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  503710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503724 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503726 */     GIR_RootConstrainSelectedInstOperands,
     /*  503727 */     // GIR_Coverage, 61869,
     /*  503727 */     GIR_EraseRootFromParent_Done,
     /*  503728 */   // Label 8398: @503728
     /*  503728 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(503796), // Rule ID 61870 //
     /*  503733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503765 */     // MIs[0] policy
     /*  503765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  503778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503792 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503794 */     GIR_RootConstrainSelectedInstOperands,
     /*  503795 */     // GIR_Coverage, 61870,
     /*  503795 */     GIR_EraseRootFromParent_Done,
     /*  503796 */   // Label 8399: @503796
     /*  503796 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(503864), // Rule ID 61871 //
     /*  503801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503833 */     // MIs[0] policy
     /*  503833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  503846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503860 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503862 */     GIR_RootConstrainSelectedInstOperands,
     /*  503863 */     // GIR_Coverage, 61871,
     /*  503863 */     GIR_EraseRootFromParent_Done,
     /*  503864 */   // Label 8400: @503864
     /*  503864 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(503932), // Rule ID 61872 //
     /*  503869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503901 */     // MIs[0] policy
     /*  503901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  503914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503928 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503930 */     GIR_RootConstrainSelectedInstOperands,
     /*  503931 */     // GIR_Coverage, 61872,
     /*  503931 */     GIR_EraseRootFromParent_Done,
     /*  503932 */   // Label 8401: @503932
     /*  503932 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504000), // Rule ID 61873 //
     /*  503937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  503945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503969 */     // MIs[0] policy
     /*  503969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  503982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503996 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503998 */     GIR_RootConstrainSelectedInstOperands,
     /*  503999 */     // GIR_Coverage, 61873,
     /*  503999 */     GIR_EraseRootFromParent_Done,
     /*  504000 */   // Label 8402: @504000
     /*  504000 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504068), // Rule ID 61874 //
     /*  504005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504037 */     // MIs[0] policy
     /*  504037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  504050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504064 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504066 */     GIR_RootConstrainSelectedInstOperands,
     /*  504067 */     // GIR_Coverage, 61874,
     /*  504067 */     GIR_EraseRootFromParent_Done,
     /*  504068 */   // Label 8403: @504068
     /*  504068 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504136), // Rule ID 61875 //
     /*  504073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504105 */     // MIs[0] policy
     /*  504105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504132 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504134 */     GIR_RootConstrainSelectedInstOperands,
     /*  504135 */     // GIR_Coverage, 61875,
     /*  504135 */     GIR_EraseRootFromParent_Done,
     /*  504136 */   // Label 8404: @504136
     /*  504136 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504204), // Rule ID 61876 //
     /*  504141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  504149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504173 */     // MIs[0] policy
     /*  504173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  504186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504200 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504202 */     GIR_RootConstrainSelectedInstOperands,
     /*  504203 */     // GIR_Coverage, 61876,
     /*  504203 */     GIR_EraseRootFromParent_Done,
     /*  504204 */   // Label 8405: @504204
     /*  504204 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504272), // Rule ID 61877 //
     /*  504209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504241 */     // MIs[0] policy
     /*  504241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504251 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504268 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504270 */     GIR_RootConstrainSelectedInstOperands,
     /*  504271 */     // GIR_Coverage, 61877,
     /*  504271 */     GIR_EraseRootFromParent_Done,
     /*  504272 */   // Label 8406: @504272
     /*  504272 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504340), // Rule ID 61878 //
     /*  504277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504309 */     // MIs[0] policy
     /*  504309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  504322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504336 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504338 */     GIR_RootConstrainSelectedInstOperands,
     /*  504339 */     // GIR_Coverage, 61878,
     /*  504339 */     GIR_EraseRootFromParent_Done,
     /*  504340 */   // Label 8407: @504340
     /*  504340 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504408), // Rule ID 61879 //
     /*  504345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504377 */     // MIs[0] policy
     /*  504377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504404 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504406 */     GIR_RootConstrainSelectedInstOperands,
     /*  504407 */     // GIR_Coverage, 61879,
     /*  504407 */     GIR_EraseRootFromParent_Done,
     /*  504408 */   // Label 8408: @504408
     /*  504408 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504476), // Rule ID 61880 //
     /*  504413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504445 */     // MIs[0] policy
     /*  504445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  504458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504472 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504474 */     GIR_RootConstrainSelectedInstOperands,
     /*  504475 */     // GIR_Coverage, 61880,
     /*  504475 */     GIR_EraseRootFromParent_Done,
     /*  504476 */   // Label 8409: @504476
     /*  504476 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504544), // Rule ID 61881 //
     /*  504481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504513 */     // MIs[0] policy
     /*  504513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504540 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504542 */     GIR_RootConstrainSelectedInstOperands,
     /*  504543 */     // GIR_Coverage, 61881,
     /*  504543 */     GIR_EraseRootFromParent_Done,
     /*  504544 */   // Label 8410: @504544
     /*  504544 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504612), // Rule ID 61882 //
     /*  504549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504581 */     // MIs[0] policy
     /*  504581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  504594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504608 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504610 */     GIR_RootConstrainSelectedInstOperands,
     /*  504611 */     // GIR_Coverage, 61882,
     /*  504611 */     GIR_EraseRootFromParent_Done,
     /*  504612 */   // Label 8411: @504612
     /*  504612 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504680), // Rule ID 61883 //
     /*  504617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504649 */     // MIs[0] policy
     /*  504649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  504662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504676 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504678 */     GIR_RootConstrainSelectedInstOperands,
     /*  504679 */     // GIR_Coverage, 61883,
     /*  504679 */     GIR_EraseRootFromParent_Done,
     /*  504680 */   // Label 8412: @504680
     /*  504680 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504748), // Rule ID 61884 //
     /*  504685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504717 */     // MIs[0] policy
     /*  504717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  504730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504744 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504746 */     GIR_RootConstrainSelectedInstOperands,
     /*  504747 */     // GIR_Coverage, 61884,
     /*  504747 */     GIR_EraseRootFromParent_Done,
     /*  504748 */   // Label 8413: @504748
     /*  504748 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(504816), // Rule ID 61885 //
     /*  504753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504785 */     // MIs[0] policy
     /*  504785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  504798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504812 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504814 */     GIR_RootConstrainSelectedInstOperands,
     /*  504815 */     // GIR_Coverage, 61885,
     /*  504815 */     GIR_EraseRootFromParent_Done,
     /*  504816 */   // Label 8414: @504816
     /*  504816 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(504884), // Rule ID 61886 //
     /*  504821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504853 */     // MIs[0] policy
     /*  504853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  504866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504880 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504882 */     GIR_RootConstrainSelectedInstOperands,
     /*  504883 */     // GIR_Coverage, 61886,
     /*  504883 */     GIR_EraseRootFromParent_Done,
     /*  504884 */   // Label 8415: @504884
     /*  504884 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(504952), // Rule ID 61887 //
     /*  504889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504921 */     // MIs[0] policy
     /*  504921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  504934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504948 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504950 */     GIR_RootConstrainSelectedInstOperands,
     /*  504951 */     // GIR_Coverage, 61887,
     /*  504951 */     GIR_EraseRootFromParent_Done,
     /*  504952 */   // Label 8416: @504952
     /*  504952 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505020), // Rule ID 61888 //
     /*  504957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504989 */     // MIs[0] policy
     /*  504989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  505002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505016 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505018 */     GIR_RootConstrainSelectedInstOperands,
     /*  505019 */     // GIR_Coverage, 61888,
     /*  505019 */     GIR_EraseRootFromParent_Done,
     /*  505020 */   // Label 8417: @505020
     /*  505020 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505088), // Rule ID 61889 //
     /*  505025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505057 */     // MIs[0] policy
     /*  505057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505084 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505086 */     GIR_RootConstrainSelectedInstOperands,
     /*  505087 */     // GIR_Coverage, 61889,
     /*  505087 */     GIR_EraseRootFromParent_Done,
     /*  505088 */   // Label 8418: @505088
     /*  505088 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505156), // Rule ID 61890 //
     /*  505093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505125 */     // MIs[0] policy
     /*  505125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  505138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505152 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505154 */     GIR_RootConstrainSelectedInstOperands,
     /*  505155 */     // GIR_Coverage, 61890,
     /*  505155 */     GIR_EraseRootFromParent_Done,
     /*  505156 */   // Label 8419: @505156
     /*  505156 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505224), // Rule ID 61891 //
     /*  505161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505193 */     // MIs[0] policy
     /*  505193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505220 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505222 */     GIR_RootConstrainSelectedInstOperands,
     /*  505223 */     // GIR_Coverage, 61891,
     /*  505223 */     GIR_EraseRootFromParent_Done,
     /*  505224 */   // Label 8420: @505224
     /*  505224 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505292), // Rule ID 61892 //
     /*  505229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505261 */     // MIs[0] policy
     /*  505261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  505274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505288 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505290 */     GIR_RootConstrainSelectedInstOperands,
     /*  505291 */     // GIR_Coverage, 61892,
     /*  505291 */     GIR_EraseRootFromParent_Done,
     /*  505292 */   // Label 8421: @505292
     /*  505292 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505360), // Rule ID 61893 //
     /*  505297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505329 */     // MIs[0] policy
     /*  505329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505356 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505358 */     GIR_RootConstrainSelectedInstOperands,
     /*  505359 */     // GIR_Coverage, 61893,
     /*  505359 */     GIR_EraseRootFromParent_Done,
     /*  505360 */   // Label 8422: @505360
     /*  505360 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505428), // Rule ID 61894 //
     /*  505365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505397 */     // MIs[0] policy
     /*  505397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  505410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505424 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505426 */     GIR_RootConstrainSelectedInstOperands,
     /*  505427 */     // GIR_Coverage, 61894,
     /*  505427 */     GIR_EraseRootFromParent_Done,
     /*  505428 */   // Label 8423: @505428
     /*  505428 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505496), // Rule ID 61895 //
     /*  505433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505465 */     // MIs[0] policy
     /*  505465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505492 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505494 */     GIR_RootConstrainSelectedInstOperands,
     /*  505495 */     // GIR_Coverage, 61895,
     /*  505495 */     GIR_EraseRootFromParent_Done,
     /*  505496 */   // Label 8424: @505496
     /*  505496 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505564), // Rule ID 61896 //
     /*  505501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505533 */     // MIs[0] policy
     /*  505533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  505546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505560 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505562 */     GIR_RootConstrainSelectedInstOperands,
     /*  505563 */     // GIR_Coverage, 61896,
     /*  505563 */     GIR_EraseRootFromParent_Done,
     /*  505564 */   // Label 8425: @505564
     /*  505564 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505632), // Rule ID 61897 //
     /*  505569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505601 */     // MIs[0] policy
     /*  505601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  505614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505628 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505630 */     GIR_RootConstrainSelectedInstOperands,
     /*  505631 */     // GIR_Coverage, 61897,
     /*  505631 */     GIR_EraseRootFromParent_Done,
     /*  505632 */   // Label 8426: @505632
     /*  505632 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505700), // Rule ID 61898 //
     /*  505637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505669 */     // MIs[0] policy
     /*  505669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  505682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505696 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505698 */     GIR_RootConstrainSelectedInstOperands,
     /*  505699 */     // GIR_Coverage, 61898,
     /*  505699 */     GIR_EraseRootFromParent_Done,
     /*  505700 */   // Label 8427: @505700
     /*  505700 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(505768), // Rule ID 61899 //
     /*  505705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505737 */     // MIs[0] policy
     /*  505737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  505750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505764 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505766 */     GIR_RootConstrainSelectedInstOperands,
     /*  505767 */     // GIR_Coverage, 61899,
     /*  505767 */     GIR_EraseRootFromParent_Done,
     /*  505768 */   // Label 8428: @505768
     /*  505768 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(505836), // Rule ID 61900 //
     /*  505773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505805 */     // MIs[0] policy
     /*  505805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  505818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505832 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505834 */     GIR_RootConstrainSelectedInstOperands,
     /*  505835 */     // GIR_Coverage, 61900,
     /*  505835 */     GIR_EraseRootFromParent_Done,
     /*  505836 */   // Label 8429: @505836
     /*  505836 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(505904), // Rule ID 61901 //
     /*  505841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505873 */     // MIs[0] policy
     /*  505873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  505886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505900 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505902 */     GIR_RootConstrainSelectedInstOperands,
     /*  505903 */     // GIR_Coverage, 61901,
     /*  505903 */     GIR_EraseRootFromParent_Done,
     /*  505904 */   // Label 8430: @505904
     /*  505904 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(505972), // Rule ID 61902 //
     /*  505909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505941 */     // MIs[0] policy
     /*  505941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  505954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505968 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505970 */     GIR_RootConstrainSelectedInstOperands,
     /*  505971 */     // GIR_Coverage, 61902,
     /*  505971 */     GIR_EraseRootFromParent_Done,
     /*  505972 */   // Label 8431: @505972
     /*  505972 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506040), // Rule ID 61903 //
     /*  505977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  505985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506009 */     // MIs[0] policy
     /*  506009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506036 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506038 */     GIR_RootConstrainSelectedInstOperands,
     /*  506039 */     // GIR_Coverage, 61903,
     /*  506039 */     GIR_EraseRootFromParent_Done,
     /*  506040 */   // Label 8432: @506040
     /*  506040 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506108), // Rule ID 61904 //
     /*  506045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  506053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506077 */     // MIs[0] policy
     /*  506077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506087 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  506090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506104 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506106 */     GIR_RootConstrainSelectedInstOperands,
     /*  506107 */     // GIR_Coverage, 61904,
     /*  506107 */     GIR_EraseRootFromParent_Done,
     /*  506108 */   // Label 8433: @506108
     /*  506108 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506176), // Rule ID 61905 //
     /*  506113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506145 */     // MIs[0] policy
     /*  506145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506172 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506174 */     GIR_RootConstrainSelectedInstOperands,
     /*  506175 */     // GIR_Coverage, 61905,
     /*  506175 */     GIR_EraseRootFromParent_Done,
     /*  506176 */   // Label 8434: @506176
     /*  506176 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506244), // Rule ID 61906 //
     /*  506181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506213 */     // MIs[0] policy
     /*  506213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  506226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506240 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506242 */     GIR_RootConstrainSelectedInstOperands,
     /*  506243 */     // GIR_Coverage, 61906,
     /*  506243 */     GIR_EraseRootFromParent_Done,
     /*  506244 */   // Label 8435: @506244
     /*  506244 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506312), // Rule ID 61907 //
     /*  506249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506281 */     // MIs[0] policy
     /*  506281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506308 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506310 */     GIR_RootConstrainSelectedInstOperands,
     /*  506311 */     // GIR_Coverage, 61907,
     /*  506311 */     GIR_EraseRootFromParent_Done,
     /*  506312 */   // Label 8436: @506312
     /*  506312 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506380), // Rule ID 61908 //
     /*  506317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506349 */     // MIs[0] policy
     /*  506349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  506362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506376 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506378 */     GIR_RootConstrainSelectedInstOperands,
     /*  506379 */     // GIR_Coverage, 61908,
     /*  506379 */     GIR_EraseRootFromParent_Done,
     /*  506380 */   // Label 8437: @506380
     /*  506380 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506448), // Rule ID 61909 //
     /*  506385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506417 */     // MIs[0] policy
     /*  506417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506444 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506446 */     GIR_RootConstrainSelectedInstOperands,
     /*  506447 */     // GIR_Coverage, 61909,
     /*  506447 */     GIR_EraseRootFromParent_Done,
     /*  506448 */   // Label 8438: @506448
     /*  506448 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506516), // Rule ID 61910 //
     /*  506453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506485 */     // MIs[0] policy
     /*  506485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506495 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  506498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506512 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506514 */     GIR_RootConstrainSelectedInstOperands,
     /*  506515 */     // GIR_Coverage, 61910,
     /*  506515 */     GIR_EraseRootFromParent_Done,
     /*  506516 */   // Label 8439: @506516
     /*  506516 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506584), // Rule ID 61911 //
     /*  506521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506553 */     // MIs[0] policy
     /*  506553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  506566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506580 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506582 */     GIR_RootConstrainSelectedInstOperands,
     /*  506583 */     // GIR_Coverage, 61911,
     /*  506583 */     GIR_EraseRootFromParent_Done,
     /*  506584 */   // Label 8440: @506584
     /*  506584 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506652), // Rule ID 61912 //
     /*  506589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506621 */     // MIs[0] policy
     /*  506621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  506634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506648 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506650 */     GIR_RootConstrainSelectedInstOperands,
     /*  506651 */     // GIR_Coverage, 61912,
     /*  506651 */     GIR_EraseRootFromParent_Done,
     /*  506652 */   // Label 8441: @506652
     /*  506652 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506720), // Rule ID 61913 //
     /*  506657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506689 */     // MIs[0] policy
     /*  506689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  506702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506716 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506718 */     GIR_RootConstrainSelectedInstOperands,
     /*  506719 */     // GIR_Coverage, 61913,
     /*  506719 */     GIR_EraseRootFromParent_Done,
     /*  506720 */   // Label 8442: @506720
     /*  506720 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(506788), // Rule ID 61914 //
     /*  506725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  506733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506757 */     // MIs[0] policy
     /*  506757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  506770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506784 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506786 */     GIR_RootConstrainSelectedInstOperands,
     /*  506787 */     // GIR_Coverage, 61914,
     /*  506787 */     GIR_EraseRootFromParent_Done,
     /*  506788 */   // Label 8443: @506788
     /*  506788 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(506856), // Rule ID 61915 //
     /*  506793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506825 */     // MIs[0] policy
     /*  506825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  506838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506852 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506854 */     GIR_RootConstrainSelectedInstOperands,
     /*  506855 */     // GIR_Coverage, 61915,
     /*  506855 */     GIR_EraseRootFromParent_Done,
     /*  506856 */   // Label 8444: @506856
     /*  506856 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(506924), // Rule ID 61916 //
     /*  506861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506893 */     // MIs[0] policy
     /*  506893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  506906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506920 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506922 */     GIR_RootConstrainSelectedInstOperands,
     /*  506923 */     // GIR_Coverage, 61916,
     /*  506923 */     GIR_EraseRootFromParent_Done,
     /*  506924 */   // Label 8445: @506924
     /*  506924 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(506992), // Rule ID 61917 //
     /*  506929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506961 */     // MIs[0] policy
     /*  506961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  506974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506988 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506990 */     GIR_RootConstrainSelectedInstOperands,
     /*  506991 */     // GIR_Coverage, 61917,
     /*  506991 */     GIR_EraseRootFromParent_Done,
     /*  506992 */   // Label 8446: @506992
     /*  506992 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507060), // Rule ID 61918 //
     /*  506997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507029 */     // MIs[0] policy
     /*  507029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  507042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507056 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507058 */     GIR_RootConstrainSelectedInstOperands,
     /*  507059 */     // GIR_Coverage, 61918,
     /*  507059 */     GIR_EraseRootFromParent_Done,
     /*  507060 */   // Label 8447: @507060
     /*  507060 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507128), // Rule ID 61919 //
     /*  507065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507097 */     // MIs[0] policy
     /*  507097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507124 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507126 */     GIR_RootConstrainSelectedInstOperands,
     /*  507127 */     // GIR_Coverage, 61919,
     /*  507127 */     GIR_EraseRootFromParent_Done,
     /*  507128 */   // Label 8448: @507128
     /*  507128 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507196), // Rule ID 61920 //
     /*  507133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507165 */     // MIs[0] policy
     /*  507165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  507178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507192 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507194 */     GIR_RootConstrainSelectedInstOperands,
     /*  507195 */     // GIR_Coverage, 61920,
     /*  507195 */     GIR_EraseRootFromParent_Done,
     /*  507196 */   // Label 8449: @507196
     /*  507196 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507264), // Rule ID 61921 //
     /*  507201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507233 */     // MIs[0] policy
     /*  507233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507260 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507262 */     GIR_RootConstrainSelectedInstOperands,
     /*  507263 */     // GIR_Coverage, 61921,
     /*  507263 */     GIR_EraseRootFromParent_Done,
     /*  507264 */   // Label 8450: @507264
     /*  507264 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507332), // Rule ID 61922 //
     /*  507269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507301 */     // MIs[0] policy
     /*  507301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  507314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507328 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507330 */     GIR_RootConstrainSelectedInstOperands,
     /*  507331 */     // GIR_Coverage, 61922,
     /*  507331 */     GIR_EraseRootFromParent_Done,
     /*  507332 */   // Label 8451: @507332
     /*  507332 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507400), // Rule ID 61923 //
     /*  507337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507369 */     // MIs[0] policy
     /*  507369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507396 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507398 */     GIR_RootConstrainSelectedInstOperands,
     /*  507399 */     // GIR_Coverage, 61923,
     /*  507399 */     GIR_EraseRootFromParent_Done,
     /*  507400 */   // Label 8452: @507400
     /*  507400 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507468), // Rule ID 61924 //
     /*  507405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507437 */     // MIs[0] policy
     /*  507437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  507450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507464 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507466 */     GIR_RootConstrainSelectedInstOperands,
     /*  507467 */     // GIR_Coverage, 61924,
     /*  507467 */     GIR_EraseRootFromParent_Done,
     /*  507468 */   // Label 8453: @507468
     /*  507468 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507536), // Rule ID 61925 //
     /*  507473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507505 */     // MIs[0] policy
     /*  507505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507532 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507534 */     GIR_RootConstrainSelectedInstOperands,
     /*  507535 */     // GIR_Coverage, 61925,
     /*  507535 */     GIR_EraseRootFromParent_Done,
     /*  507536 */   // Label 8454: @507536
     /*  507536 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507604), // Rule ID 61926 //
     /*  507541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507573 */     // MIs[0] policy
     /*  507573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  507586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507600 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507602 */     GIR_RootConstrainSelectedInstOperands,
     /*  507603 */     // GIR_Coverage, 61926,
     /*  507603 */     GIR_EraseRootFromParent_Done,
     /*  507604 */   // Label 8455: @507604
     /*  507604 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507672), // Rule ID 61927 //
     /*  507609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507641 */     // MIs[0] policy
     /*  507641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  507654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507668 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507670 */     GIR_RootConstrainSelectedInstOperands,
     /*  507671 */     // GIR_Coverage, 61927,
     /*  507671 */     GIR_EraseRootFromParent_Done,
     /*  507672 */   // Label 8456: @507672
     /*  507672 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507740), // Rule ID 61928 //
     /*  507677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507709 */     // MIs[0] policy
     /*  507709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507719 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  507722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507736 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507738 */     GIR_RootConstrainSelectedInstOperands,
     /*  507739 */     // GIR_Coverage, 61928,
     /*  507739 */     GIR_EraseRootFromParent_Done,
     /*  507740 */   // Label 8457: @507740
     /*  507740 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(507808), // Rule ID 61929 //
     /*  507745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507777 */     // MIs[0] policy
     /*  507777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  507790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507804 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507806 */     GIR_RootConstrainSelectedInstOperands,
     /*  507807 */     // GIR_Coverage, 61929,
     /*  507807 */     GIR_EraseRootFromParent_Done,
     /*  507808 */   // Label 8458: @507808
     /*  507808 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(507876), // Rule ID 61930 //
     /*  507813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507845 */     // MIs[0] policy
     /*  507845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  507858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507872 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507874 */     GIR_RootConstrainSelectedInstOperands,
     /*  507875 */     // GIR_Coverage, 61930,
     /*  507875 */     GIR_EraseRootFromParent_Done,
     /*  507876 */   // Label 8459: @507876
     /*  507876 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(507944), // Rule ID 61931 //
     /*  507881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507913 */     // MIs[0] policy
     /*  507913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  507926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507940 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507942 */     GIR_RootConstrainSelectedInstOperands,
     /*  507943 */     // GIR_Coverage, 61931,
     /*  507943 */     GIR_EraseRootFromParent_Done,
     /*  507944 */   // Label 8460: @507944
     /*  507944 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508012), // Rule ID 61932 //
     /*  507949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507981 */     // MIs[0] policy
     /*  507981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507991 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  507994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508008 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508010 */     GIR_RootConstrainSelectedInstOperands,
     /*  508011 */     // GIR_Coverage, 61932,
     /*  508011 */     GIR_EraseRootFromParent_Done,
     /*  508012 */   // Label 8461: @508012
     /*  508012 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508080), // Rule ID 61933 //
     /*  508017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508049 */     // MIs[0] policy
     /*  508049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508076 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508078 */     GIR_RootConstrainSelectedInstOperands,
     /*  508079 */     // GIR_Coverage, 61933,
     /*  508079 */     GIR_EraseRootFromParent_Done,
     /*  508080 */   // Label 8462: @508080
     /*  508080 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508148), // Rule ID 61934 //
     /*  508085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508117 */     // MIs[0] policy
     /*  508117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  508130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508144 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508146 */     GIR_RootConstrainSelectedInstOperands,
     /*  508147 */     // GIR_Coverage, 61934,
     /*  508147 */     GIR_EraseRootFromParent_Done,
     /*  508148 */   // Label 8463: @508148
     /*  508148 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508216), // Rule ID 61935 //
     /*  508153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508185 */     // MIs[0] policy
     /*  508185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508212 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508214 */     GIR_RootConstrainSelectedInstOperands,
     /*  508215 */     // GIR_Coverage, 61935,
     /*  508215 */     GIR_EraseRootFromParent_Done,
     /*  508216 */   // Label 8464: @508216
     /*  508216 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508284), // Rule ID 61936 //
     /*  508221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508253 */     // MIs[0] policy
     /*  508253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508263 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  508266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508280 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508282 */     GIR_RootConstrainSelectedInstOperands,
     /*  508283 */     // GIR_Coverage, 61936,
     /*  508283 */     GIR_EraseRootFromParent_Done,
     /*  508284 */   // Label 8465: @508284
     /*  508284 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508352), // Rule ID 61937 //
     /*  508289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508321 */     // MIs[0] policy
     /*  508321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508348 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508350 */     GIR_RootConstrainSelectedInstOperands,
     /*  508351 */     // GIR_Coverage, 61937,
     /*  508351 */     GIR_EraseRootFromParent_Done,
     /*  508352 */   // Label 8466: @508352
     /*  508352 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508420), // Rule ID 61938 //
     /*  508357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508389 */     // MIs[0] policy
     /*  508389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  508402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508416 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508418 */     GIR_RootConstrainSelectedInstOperands,
     /*  508419 */     // GIR_Coverage, 61938,
     /*  508419 */     GIR_EraseRootFromParent_Done,
     /*  508420 */   // Label 8467: @508420
     /*  508420 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508488), // Rule ID 61939 //
     /*  508425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508457 */     // MIs[0] policy
     /*  508457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508484 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508486 */     GIR_RootConstrainSelectedInstOperands,
     /*  508487 */     // GIR_Coverage, 61939,
     /*  508487 */     GIR_EraseRootFromParent_Done,
     /*  508488 */   // Label 8468: @508488
     /*  508488 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508556), // Rule ID 61940 //
     /*  508493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508525 */     // MIs[0] policy
     /*  508525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508535 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  508538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508552 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508554 */     GIR_RootConstrainSelectedInstOperands,
     /*  508555 */     // GIR_Coverage, 61940,
     /*  508555 */     GIR_EraseRootFromParent_Done,
     /*  508556 */   // Label 8469: @508556
     /*  508556 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508624), // Rule ID 61941 //
     /*  508561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508593 */     // MIs[0] policy
     /*  508593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  508606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508620 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508622 */     GIR_RootConstrainSelectedInstOperands,
     /*  508623 */     // GIR_Coverage, 61941,
     /*  508623 */     GIR_EraseRootFromParent_Done,
     /*  508624 */   // Label 8470: @508624
     /*  508624 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508692), // Rule ID 61942 //
     /*  508629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  508637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508661 */     // MIs[0] policy
     /*  508661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  508674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508688 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508690 */     GIR_RootConstrainSelectedInstOperands,
     /*  508691 */     // GIR_Coverage, 61942,
     /*  508691 */     GIR_EraseRootFromParent_Done,
     /*  508692 */   // Label 8471: @508692
     /*  508692 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(508760), // Rule ID 61959 //
     /*  508697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508729 */     // MIs[0] policy
     /*  508729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  508742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508756 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508758 */     GIR_RootConstrainSelectedInstOperands,
     /*  508759 */     // GIR_Coverage, 61959,
     /*  508759 */     GIR_EraseRootFromParent_Done,
     /*  508760 */   // Label 8472: @508760
     /*  508760 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(508828), // Rule ID 61960 //
     /*  508765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508797 */     // MIs[0] policy
     /*  508797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  508810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508824 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508826 */     GIR_RootConstrainSelectedInstOperands,
     /*  508827 */     // GIR_Coverage, 61960,
     /*  508827 */     GIR_EraseRootFromParent_Done,
     /*  508828 */   // Label 8473: @508828
     /*  508828 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(508896), // Rule ID 61961 //
     /*  508833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508865 */     // MIs[0] policy
     /*  508865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  508878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508892 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508894 */     GIR_RootConstrainSelectedInstOperands,
     /*  508895 */     // GIR_Coverage, 61961,
     /*  508895 */     GIR_EraseRootFromParent_Done,
     /*  508896 */   // Label 8474: @508896
     /*  508896 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(508964), // Rule ID 61962 //
     /*  508901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508933 */     // MIs[0] policy
     /*  508933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  508946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508960 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508962 */     GIR_RootConstrainSelectedInstOperands,
     /*  508963 */     // GIR_Coverage, 61962,
     /*  508963 */     GIR_EraseRootFromParent_Done,
     /*  508964 */   // Label 8475: @508964
     /*  508964 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509032), // Rule ID 61963 //
     /*  508969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509001 */     // MIs[0] policy
     /*  509001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509028 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509030 */     GIR_RootConstrainSelectedInstOperands,
     /*  509031 */     // GIR_Coverage, 61963,
     /*  509031 */     GIR_EraseRootFromParent_Done,
     /*  509032 */   // Label 8476: @509032
     /*  509032 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509100), // Rule ID 61964 //
     /*  509037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509069 */     // MIs[0] policy
     /*  509069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  509082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509096 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509098 */     GIR_RootConstrainSelectedInstOperands,
     /*  509099 */     // GIR_Coverage, 61964,
     /*  509099 */     GIR_EraseRootFromParent_Done,
     /*  509100 */   // Label 8477: @509100
     /*  509100 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509168), // Rule ID 61965 //
     /*  509105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509137 */     // MIs[0] policy
     /*  509137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509164 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509166 */     GIR_RootConstrainSelectedInstOperands,
     /*  509167 */     // GIR_Coverage, 61965,
     /*  509167 */     GIR_EraseRootFromParent_Done,
     /*  509168 */   // Label 8478: @509168
     /*  509168 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509236), // Rule ID 61966 //
     /*  509173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509205 */     // MIs[0] policy
     /*  509205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  509218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509232 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509234 */     GIR_RootConstrainSelectedInstOperands,
     /*  509235 */     // GIR_Coverage, 61966,
     /*  509235 */     GIR_EraseRootFromParent_Done,
     /*  509236 */   // Label 8479: @509236
     /*  509236 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509304), // Rule ID 61967 //
     /*  509241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509273 */     // MIs[0] policy
     /*  509273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509300 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509302 */     GIR_RootConstrainSelectedInstOperands,
     /*  509303 */     // GIR_Coverage, 61967,
     /*  509303 */     GIR_EraseRootFromParent_Done,
     /*  509304 */   // Label 8480: @509304
     /*  509304 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509372), // Rule ID 61968 //
     /*  509309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509341 */     // MIs[0] policy
     /*  509341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  509354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509368 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509370 */     GIR_RootConstrainSelectedInstOperands,
     /*  509371 */     // GIR_Coverage, 61968,
     /*  509371 */     GIR_EraseRootFromParent_Done,
     /*  509372 */   // Label 8481: @509372
     /*  509372 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509440), // Rule ID 61969 //
     /*  509377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509409 */     // MIs[0] policy
     /*  509409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509436 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509438 */     GIR_RootConstrainSelectedInstOperands,
     /*  509439 */     // GIR_Coverage, 61969,
     /*  509439 */     GIR_EraseRootFromParent_Done,
     /*  509440 */   // Label 8482: @509440
     /*  509440 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509508), // Rule ID 61970 //
     /*  509445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509477 */     // MIs[0] policy
     /*  509477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  509490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509504 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509506 */     GIR_RootConstrainSelectedInstOperands,
     /*  509507 */     // GIR_Coverage, 61970,
     /*  509507 */     GIR_EraseRootFromParent_Done,
     /*  509508 */   // Label 8483: @509508
     /*  509508 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509576), // Rule ID 61971 //
     /*  509513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509545 */     // MIs[0] policy
     /*  509545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509572 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509574 */     GIR_RootConstrainSelectedInstOperands,
     /*  509575 */     // GIR_Coverage, 61971,
     /*  509575 */     GIR_EraseRootFromParent_Done,
     /*  509576 */   // Label 8484: @509576
     /*  509576 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509644), // Rule ID 61972 //
     /*  509581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509613 */     // MIs[0] policy
     /*  509613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  509626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509640 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509642 */     GIR_RootConstrainSelectedInstOperands,
     /*  509643 */     // GIR_Coverage, 61972,
     /*  509643 */     GIR_EraseRootFromParent_Done,
     /*  509644 */   // Label 8485: @509644
     /*  509644 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509712), // Rule ID 61973 //
     /*  509649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509681 */     // MIs[0] policy
     /*  509681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  509694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509708 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509710 */     GIR_RootConstrainSelectedInstOperands,
     /*  509711 */     // GIR_Coverage, 61973,
     /*  509711 */     GIR_EraseRootFromParent_Done,
     /*  509712 */   // Label 8486: @509712
     /*  509712 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(509780), // Rule ID 61974 //
     /*  509717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509749 */     // MIs[0] policy
     /*  509749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  509762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509776 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509778 */     GIR_RootConstrainSelectedInstOperands,
     /*  509779 */     // GIR_Coverage, 61974,
     /*  509779 */     GIR_EraseRootFromParent_Done,
     /*  509780 */   // Label 8487: @509780
     /*  509780 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(509848), // Rule ID 61975 //
     /*  509785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509817 */     // MIs[0] policy
     /*  509817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  509830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509844 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509846 */     GIR_RootConstrainSelectedInstOperands,
     /*  509847 */     // GIR_Coverage, 61975,
     /*  509847 */     GIR_EraseRootFromParent_Done,
     /*  509848 */   // Label 8488: @509848
     /*  509848 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(509916), // Rule ID 61976 //
     /*  509853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509885 */     // MIs[0] policy
     /*  509885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509895 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  509898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509912 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509914 */     GIR_RootConstrainSelectedInstOperands,
     /*  509915 */     // GIR_Coverage, 61976,
     /*  509915 */     GIR_EraseRootFromParent_Done,
     /*  509916 */   // Label 8489: @509916
     /*  509916 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(509984), // Rule ID 61977 //
     /*  509921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509953 */     // MIs[0] policy
     /*  509953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  509966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509980 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509982 */     GIR_RootConstrainSelectedInstOperands,
     /*  509983 */     // GIR_Coverage, 61977,
     /*  509983 */     GIR_EraseRootFromParent_Done,
     /*  509984 */   // Label 8490: @509984
     /*  509984 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510052), // Rule ID 61978 //
     /*  509989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510021 */     // MIs[0] policy
     /*  510021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  510034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510048 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510050 */     GIR_RootConstrainSelectedInstOperands,
     /*  510051 */     // GIR_Coverage, 61978,
     /*  510051 */     GIR_EraseRootFromParent_Done,
     /*  510052 */   // Label 8491: @510052
     /*  510052 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510120), // Rule ID 61979 //
     /*  510057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510089 */     // MIs[0] policy
     /*  510089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510116 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510118 */     GIR_RootConstrainSelectedInstOperands,
     /*  510119 */     // GIR_Coverage, 61979,
     /*  510119 */     GIR_EraseRootFromParent_Done,
     /*  510120 */   // Label 8492: @510120
     /*  510120 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510188), // Rule ID 61980 //
     /*  510125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510157 */     // MIs[0] policy
     /*  510157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  510170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510184 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510186 */     GIR_RootConstrainSelectedInstOperands,
     /*  510187 */     // GIR_Coverage, 61980,
     /*  510187 */     GIR_EraseRootFromParent_Done,
     /*  510188 */   // Label 8493: @510188
     /*  510188 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510256), // Rule ID 61981 //
     /*  510193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510225 */     // MIs[0] policy
     /*  510225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510252 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510254 */     GIR_RootConstrainSelectedInstOperands,
     /*  510255 */     // GIR_Coverage, 61981,
     /*  510255 */     GIR_EraseRootFromParent_Done,
     /*  510256 */   // Label 8494: @510256
     /*  510256 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510324), // Rule ID 61982 //
     /*  510261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510293 */     // MIs[0] policy
     /*  510293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  510306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510320 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510322 */     GIR_RootConstrainSelectedInstOperands,
     /*  510323 */     // GIR_Coverage, 61982,
     /*  510323 */     GIR_EraseRootFromParent_Done,
     /*  510324 */   // Label 8495: @510324
     /*  510324 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510392), // Rule ID 61983 //
     /*  510329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510361 */     // MIs[0] policy
     /*  510361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510388 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510390 */     GIR_RootConstrainSelectedInstOperands,
     /*  510391 */     // GIR_Coverage, 61983,
     /*  510391 */     GIR_EraseRootFromParent_Done,
     /*  510392 */   // Label 8496: @510392
     /*  510392 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510460), // Rule ID 61984 //
     /*  510397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510429 */     // MIs[0] policy
     /*  510429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  510442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510456 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510458 */     GIR_RootConstrainSelectedInstOperands,
     /*  510459 */     // GIR_Coverage, 61984,
     /*  510459 */     GIR_EraseRootFromParent_Done,
     /*  510460 */   // Label 8497: @510460
     /*  510460 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510528), // Rule ID 61985 //
     /*  510465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510497 */     // MIs[0] policy
     /*  510497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510524 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510526 */     GIR_RootConstrainSelectedInstOperands,
     /*  510527 */     // GIR_Coverage, 61985,
     /*  510527 */     GIR_EraseRootFromParent_Done,
     /*  510528 */   // Label 8498: @510528
     /*  510528 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510596), // Rule ID 61986 //
     /*  510533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  510541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510565 */     // MIs[0] policy
     /*  510565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  510578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510592 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510594 */     GIR_RootConstrainSelectedInstOperands,
     /*  510595 */     // GIR_Coverage, 61986,
     /*  510595 */     GIR_EraseRootFromParent_Done,
     /*  510596 */   // Label 8499: @510596
     /*  510596 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510664), // Rule ID 62081 //
     /*  510601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510633 */     // MIs[0] policy
     /*  510633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  510646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510660 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510662 */     GIR_RootConstrainSelectedInstOperands,
     /*  510663 */     // GIR_Coverage, 62081,
     /*  510663 */     GIR_EraseRootFromParent_Done,
     /*  510664 */   // Label 8500: @510664
     /*  510664 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510732), // Rule ID 62082 //
     /*  510669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510701 */     // MIs[0] policy
     /*  510701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  510714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510728 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510730 */     GIR_RootConstrainSelectedInstOperands,
     /*  510731 */     // GIR_Coverage, 62082,
     /*  510731 */     GIR_EraseRootFromParent_Done,
     /*  510732 */   // Label 8501: @510732
     /*  510732 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(510800), // Rule ID 62083 //
     /*  510737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510769 */     // MIs[0] policy
     /*  510769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  510782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510796 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510798 */     GIR_RootConstrainSelectedInstOperands,
     /*  510799 */     // GIR_Coverage, 62083,
     /*  510799 */     GIR_EraseRootFromParent_Done,
     /*  510800 */   // Label 8502: @510800
     /*  510800 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(510868), // Rule ID 62084 //
     /*  510805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510837 */     // MIs[0] policy
     /*  510837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  510850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510864 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510866 */     GIR_RootConstrainSelectedInstOperands,
     /*  510867 */     // GIR_Coverage, 62084,
     /*  510867 */     GIR_EraseRootFromParent_Done,
     /*  510868 */   // Label 8503: @510868
     /*  510868 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(510936), // Rule ID 62085 //
     /*  510873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510905 */     // MIs[0] policy
     /*  510905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  510918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510932 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510934 */     GIR_RootConstrainSelectedInstOperands,
     /*  510935 */     // GIR_Coverage, 62085,
     /*  510935 */     GIR_EraseRootFromParent_Done,
     /*  510936 */   // Label 8504: @510936
     /*  510936 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511004), // Rule ID 62086 //
     /*  510941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510973 */     // MIs[0] policy
     /*  510973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  510986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511000 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511002 */     GIR_RootConstrainSelectedInstOperands,
     /*  511003 */     // GIR_Coverage, 62086,
     /*  511003 */     GIR_EraseRootFromParent_Done,
     /*  511004 */   // Label 8505: @511004
     /*  511004 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511072), // Rule ID 62087 //
     /*  511009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511041 */     // MIs[0] policy
     /*  511041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511051 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511068 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511070 */     GIR_RootConstrainSelectedInstOperands,
     /*  511071 */     // GIR_Coverage, 62087,
     /*  511071 */     GIR_EraseRootFromParent_Done,
     /*  511072 */   // Label 8506: @511072
     /*  511072 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511140), // Rule ID 62088 //
     /*  511077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511109 */     // MIs[0] policy
     /*  511109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  511122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511136 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511138 */     GIR_RootConstrainSelectedInstOperands,
     /*  511139 */     // GIR_Coverage, 62088,
     /*  511139 */     GIR_EraseRootFromParent_Done,
     /*  511140 */   // Label 8507: @511140
     /*  511140 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511208), // Rule ID 62089 //
     /*  511145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511177 */     // MIs[0] policy
     /*  511177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511204 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511206 */     GIR_RootConstrainSelectedInstOperands,
     /*  511207 */     // GIR_Coverage, 62089,
     /*  511207 */     GIR_EraseRootFromParent_Done,
     /*  511208 */   // Label 8508: @511208
     /*  511208 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511276), // Rule ID 62090 //
     /*  511213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  511221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511245 */     // MIs[0] policy
     /*  511245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  511258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511272 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511274 */     GIR_RootConstrainSelectedInstOperands,
     /*  511275 */     // GIR_Coverage, 62090,
     /*  511275 */     GIR_EraseRootFromParent_Done,
     /*  511276 */   // Label 8509: @511276
     /*  511276 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511344), // Rule ID 62091 //
     /*  511281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511313 */     // MIs[0] policy
     /*  511313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511340 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511342 */     GIR_RootConstrainSelectedInstOperands,
     /*  511343 */     // GIR_Coverage, 62091,
     /*  511343 */     GIR_EraseRootFromParent_Done,
     /*  511344 */   // Label 8510: @511344
     /*  511344 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511412), // Rule ID 62092 //
     /*  511349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511381 */     // MIs[0] policy
     /*  511381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  511394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511408 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511410 */     GIR_RootConstrainSelectedInstOperands,
     /*  511411 */     // GIR_Coverage, 62092,
     /*  511411 */     GIR_EraseRootFromParent_Done,
     /*  511412 */   // Label 8511: @511412
     /*  511412 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511480), // Rule ID 62093 //
     /*  511417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511449 */     // MIs[0] policy
     /*  511449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511476 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511478 */     GIR_RootConstrainSelectedInstOperands,
     /*  511479 */     // GIR_Coverage, 62093,
     /*  511479 */     GIR_EraseRootFromParent_Done,
     /*  511480 */   // Label 8512: @511480
     /*  511480 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511548), // Rule ID 62094 //
     /*  511485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511517 */     // MIs[0] policy
     /*  511517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  511530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511544 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511546 */     GIR_RootConstrainSelectedInstOperands,
     /*  511547 */     // GIR_Coverage, 62094,
     /*  511547 */     GIR_EraseRootFromParent_Done,
     /*  511548 */   // Label 8513: @511548
     /*  511548 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511616), // Rule ID 62095 //
     /*  511553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511585 */     // MIs[0] policy
     /*  511585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  511598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511612 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511614 */     GIR_RootConstrainSelectedInstOperands,
     /*  511615 */     // GIR_Coverage, 62095,
     /*  511615 */     GIR_EraseRootFromParent_Done,
     /*  511616 */   // Label 8514: @511616
     /*  511616 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511684), // Rule ID 62096 //
     /*  511621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511653 */     // MIs[0] policy
     /*  511653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  511666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511680 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511682 */     GIR_RootConstrainSelectedInstOperands,
     /*  511683 */     // GIR_Coverage, 62096,
     /*  511683 */     GIR_EraseRootFromParent_Done,
     /*  511684 */   // Label 8515: @511684
     /*  511684 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511752), // Rule ID 62097 //
     /*  511689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511721 */     // MIs[0] policy
     /*  511721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  511734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511748 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511750 */     GIR_RootConstrainSelectedInstOperands,
     /*  511751 */     // GIR_Coverage, 62097,
     /*  511751 */     GIR_EraseRootFromParent_Done,
     /*  511752 */   // Label 8516: @511752
     /*  511752 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(511820), // Rule ID 62098 //
     /*  511757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511789 */     // MIs[0] policy
     /*  511789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  511802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511816 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511818 */     GIR_RootConstrainSelectedInstOperands,
     /*  511819 */     // GIR_Coverage, 62098,
     /*  511819 */     GIR_EraseRootFromParent_Done,
     /*  511820 */   // Label 8517: @511820
     /*  511820 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(511888), // Rule ID 62099 //
     /*  511825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511857 */     // MIs[0] policy
     /*  511857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  511870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511884 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511886 */     GIR_RootConstrainSelectedInstOperands,
     /*  511887 */     // GIR_Coverage, 62099,
     /*  511887 */     GIR_EraseRootFromParent_Done,
     /*  511888 */   // Label 8518: @511888
     /*  511888 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(511956), // Rule ID 62100 //
     /*  511893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511925 */     // MIs[0] policy
     /*  511925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  511938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511952 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511954 */     GIR_RootConstrainSelectedInstOperands,
     /*  511955 */     // GIR_Coverage, 62100,
     /*  511955 */     GIR_EraseRootFromParent_Done,
     /*  511956 */   // Label 8519: @511956
     /*  511956 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512024), // Rule ID 62101 //
     /*  511961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511993 */     // MIs[0] policy
     /*  511993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512020 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512022 */     GIR_RootConstrainSelectedInstOperands,
     /*  512023 */     // GIR_Coverage, 62101,
     /*  512023 */     GIR_EraseRootFromParent_Done,
     /*  512024 */   // Label 8520: @512024
     /*  512024 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512092), // Rule ID 62102 //
     /*  512029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512061 */     // MIs[0] policy
     /*  512061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  512074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512088 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512090 */     GIR_RootConstrainSelectedInstOperands,
     /*  512091 */     // GIR_Coverage, 62102,
     /*  512091 */     GIR_EraseRootFromParent_Done,
     /*  512092 */   // Label 8521: @512092
     /*  512092 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512160), // Rule ID 62103 //
     /*  512097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512129 */     // MIs[0] policy
     /*  512129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512156 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512158 */     GIR_RootConstrainSelectedInstOperands,
     /*  512159 */     // GIR_Coverage, 62103,
     /*  512159 */     GIR_EraseRootFromParent_Done,
     /*  512160 */   // Label 8522: @512160
     /*  512160 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512228), // Rule ID 62104 //
     /*  512165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512197 */     // MIs[0] policy
     /*  512197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  512210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512224 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512226 */     GIR_RootConstrainSelectedInstOperands,
     /*  512227 */     // GIR_Coverage, 62104,
     /*  512227 */     GIR_EraseRootFromParent_Done,
     /*  512228 */   // Label 8523: @512228
     /*  512228 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512296), // Rule ID 62105 //
     /*  512233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512265 */     // MIs[0] policy
     /*  512265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512292 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512294 */     GIR_RootConstrainSelectedInstOperands,
     /*  512295 */     // GIR_Coverage, 62105,
     /*  512295 */     GIR_EraseRootFromParent_Done,
     /*  512296 */   // Label 8524: @512296
     /*  512296 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512364), // Rule ID 62106 //
     /*  512301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512333 */     // MIs[0] policy
     /*  512333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  512346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512360 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512362 */     GIR_RootConstrainSelectedInstOperands,
     /*  512363 */     // GIR_Coverage, 62106,
     /*  512363 */     GIR_EraseRootFromParent_Done,
     /*  512364 */   // Label 8525: @512364
     /*  512364 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512432), // Rule ID 62107 //
     /*  512369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512401 */     // MIs[0] policy
     /*  512401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512428 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512430 */     GIR_RootConstrainSelectedInstOperands,
     /*  512431 */     // GIR_Coverage, 62107,
     /*  512431 */     GIR_EraseRootFromParent_Done,
     /*  512432 */   // Label 8526: @512432
     /*  512432 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512500), // Rule ID 62108 //
     /*  512437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512469 */     // MIs[0] policy
     /*  512469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  512482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512496 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512498 */     GIR_RootConstrainSelectedInstOperands,
     /*  512499 */     // GIR_Coverage, 62108,
     /*  512499 */     GIR_EraseRootFromParent_Done,
     /*  512500 */   // Label 8527: @512500
     /*  512500 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512568), // Rule ID 62109 //
     /*  512505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512537 */     // MIs[0] policy
     /*  512537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512564 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512566 */     GIR_RootConstrainSelectedInstOperands,
     /*  512567 */     // GIR_Coverage, 62109,
     /*  512567 */     GIR_EraseRootFromParent_Done,
     /*  512568 */   // Label 8528: @512568
     /*  512568 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512636), // Rule ID 62110 //
     /*  512573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512605 */     // MIs[0] policy
     /*  512605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  512618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512632 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512634 */     GIR_RootConstrainSelectedInstOperands,
     /*  512635 */     // GIR_Coverage, 62110,
     /*  512635 */     GIR_EraseRootFromParent_Done,
     /*  512636 */   // Label 8529: @512636
     /*  512636 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512704), // Rule ID 62111 //
     /*  512641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512673 */     // MIs[0] policy
     /*  512673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  512686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512700 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512702 */     GIR_RootConstrainSelectedInstOperands,
     /*  512703 */     // GIR_Coverage, 62111,
     /*  512703 */     GIR_EraseRootFromParent_Done,
     /*  512704 */   // Label 8530: @512704
     /*  512704 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(512772), // Rule ID 62112 //
     /*  512709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512741 */     // MIs[0] policy
     /*  512741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  512754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512768 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512770 */     GIR_RootConstrainSelectedInstOperands,
     /*  512771 */     // GIR_Coverage, 62112,
     /*  512771 */     GIR_EraseRootFromParent_Done,
     /*  512772 */   // Label 8531: @512772
     /*  512772 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(512840), // Rule ID 62113 //
     /*  512777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512809 */     // MIs[0] policy
     /*  512809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  512822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512836 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512838 */     GIR_RootConstrainSelectedInstOperands,
     /*  512839 */     // GIR_Coverage, 62113,
     /*  512839 */     GIR_EraseRootFromParent_Done,
     /*  512840 */   // Label 8532: @512840
     /*  512840 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(512908), // Rule ID 62114 //
     /*  512845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512877 */     // MIs[0] policy
     /*  512877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  512890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512904 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512906 */     GIR_RootConstrainSelectedInstOperands,
     /*  512907 */     // GIR_Coverage, 62114,
     /*  512907 */     GIR_EraseRootFromParent_Done,
     /*  512908 */   // Label 8533: @512908
     /*  512908 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(512976), // Rule ID 62115 //
     /*  512913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  512916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512945 */     // MIs[0] policy
     /*  512945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  512958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512972 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512974 */     GIR_RootConstrainSelectedInstOperands,
     /*  512975 */     // GIR_Coverage, 62115,
     /*  512975 */     GIR_EraseRootFromParent_Done,
     /*  512976 */   // Label 8534: @512976
     /*  512976 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513044), // Rule ID 62116 //
     /*  512981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  512984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  512989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513013 */     // MIs[0] policy
     /*  513013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  513026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513040 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513042 */     GIR_RootConstrainSelectedInstOperands,
     /*  513043 */     // GIR_Coverage, 62116,
     /*  513043 */     GIR_EraseRootFromParent_Done,
     /*  513044 */   // Label 8535: @513044
     /*  513044 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513112), // Rule ID 62117 //
     /*  513049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  513052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513081 */     // MIs[0] policy
     /*  513081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513108 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513110 */     GIR_RootConstrainSelectedInstOperands,
     /*  513111 */     // GIR_Coverage, 62117,
     /*  513111 */     GIR_EraseRootFromParent_Done,
     /*  513112 */   // Label 8536: @513112
     /*  513112 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513180), // Rule ID 62118 //
     /*  513117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  513120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  513125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513149 */     // MIs[0] policy
     /*  513149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  513162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513176 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513178 */     GIR_RootConstrainSelectedInstOperands,
     /*  513179 */     // GIR_Coverage, 62118,
     /*  513179 */     GIR_EraseRootFromParent_Done,
     /*  513180 */   // Label 8537: @513180
     /*  513180 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513251), // Rule ID 2589 //
     /*  513185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513217 */     // MIs[0] round
     /*  513217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513236 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513249 */     GIR_RootConstrainSelectedInstOperands,
     /*  513250 */     // GIR_Coverage, 2589,
     /*  513250 */     GIR_EraseRootFromParent_Done,
     /*  513251 */   // Label 8538: @513251
     /*  513251 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513322), // Rule ID 2590 //
     /*  513256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513288 */     // MIs[0] round
     /*  513288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513298 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  513301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513307 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513320 */     GIR_RootConstrainSelectedInstOperands,
     /*  513321 */     // GIR_Coverage, 2590,
     /*  513321 */     GIR_EraseRootFromParent_Done,
     /*  513322 */   // Label 8539: @513322
     /*  513322 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513393), // Rule ID 2625 //
     /*  513327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513359 */     // MIs[0] round
     /*  513359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513369 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513378 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513391 */     GIR_RootConstrainSelectedInstOperands,
     /*  513392 */     // GIR_Coverage, 2625,
     /*  513392 */     GIR_EraseRootFromParent_Done,
     /*  513393 */   // Label 8540: @513393
     /*  513393 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513464), // Rule ID 2626 //
     /*  513398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513430 */     // MIs[0] round
     /*  513430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  513443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513449 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513462 */     GIR_RootConstrainSelectedInstOperands,
     /*  513463 */     // GIR_Coverage, 2626,
     /*  513463 */     GIR_EraseRootFromParent_Done,
     /*  513464 */   // Label 8541: @513464
     /*  513464 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513535), // Rule ID 18875 //
     /*  513469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513501 */     // MIs[0] round
     /*  513501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513511 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513520 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513533 */     GIR_RootConstrainSelectedInstOperands,
     /*  513534 */     // GIR_Coverage, 18875,
     /*  513534 */     GIR_EraseRootFromParent_Done,
     /*  513535 */   // Label 8542: @513535
     /*  513535 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513606), // Rule ID 18876 //
     /*  513540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513572 */     // MIs[0] round
     /*  513572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513582 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  513585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513591 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513604 */     GIR_RootConstrainSelectedInstOperands,
     /*  513605 */     // GIR_Coverage, 18876,
     /*  513605 */     GIR_EraseRootFromParent_Done,
     /*  513606 */   // Label 8543: @513606
     /*  513606 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513677), // Rule ID 18879 //
     /*  513611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513643 */     // MIs[0] round
     /*  513643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  513656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513662 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513675 */     GIR_RootConstrainSelectedInstOperands,
     /*  513676 */     // GIR_Coverage, 18879,
     /*  513676 */     GIR_EraseRootFromParent_Done,
     /*  513677 */   // Label 8544: @513677
     /*  513677 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513748), // Rule ID 18880 //
     /*  513682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513714 */     // MIs[0] round
     /*  513714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513724 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  513727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513733 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513746 */     GIR_RootConstrainSelectedInstOperands,
     /*  513747 */     // GIR_Coverage, 18880,
     /*  513747 */     GIR_EraseRootFromParent_Done,
     /*  513748 */   // Label 8545: @513748
     /*  513748 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513819), // Rule ID 18883 //
     /*  513753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  513764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  513767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  513770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513785 */     // MIs[0] round
     /*  513785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  513798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513804 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513817 */     GIR_RootConstrainSelectedInstOperands,
     /*  513818 */     // GIR_Coverage, 18883,
     /*  513818 */     GIR_EraseRootFromParent_Done,
     /*  513819 */   // Label 8546: @513819
     /*  513819 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(513890), // Rule ID 18884 //
     /*  513824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  513835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  513838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  513841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513856 */     // MIs[0] round
     /*  513856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513866 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  513869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513875 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513888 */     GIR_RootConstrainSelectedInstOperands,
     /*  513889 */     // GIR_Coverage, 18884,
     /*  513889 */     GIR_EraseRootFromParent_Done,
     /*  513890 */   // Label 8547: @513890
     /*  513890 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(513961), // Rule ID 18887 //
     /*  513895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513927 */     // MIs[0] round
     /*  513927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  513940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513946 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513959 */     GIR_RootConstrainSelectedInstOperands,
     /*  513960 */     // GIR_Coverage, 18887,
     /*  513960 */     GIR_EraseRootFromParent_Done,
     /*  513961 */   // Label 8548: @513961
     /*  513961 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514032), // Rule ID 18888 //
     /*  513966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513998 */     // MIs[0] round
     /*  513998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  514011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514017 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514030 */     GIR_RootConstrainSelectedInstOperands,
     /*  514031 */     // GIR_Coverage, 18888,
     /*  514031 */     GIR_EraseRootFromParent_Done,
     /*  514032 */   // Label 8549: @514032
     /*  514032 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514103), // Rule ID 18891 //
     /*  514037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514069 */     // MIs[0] round
     /*  514069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514079 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514088 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514101 */     GIR_RootConstrainSelectedInstOperands,
     /*  514102 */     // GIR_Coverage, 18891,
     /*  514102 */     GIR_EraseRootFromParent_Done,
     /*  514103 */   // Label 8550: @514103
     /*  514103 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514174), // Rule ID 18892 //
     /*  514108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514140 */     // MIs[0] round
     /*  514140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  514153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514159 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514172 */     GIR_RootConstrainSelectedInstOperands,
     /*  514173 */     // GIR_Coverage, 18892,
     /*  514173 */     GIR_EraseRootFromParent_Done,
     /*  514174 */   // Label 8551: @514174
     /*  514174 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514245), // Rule ID 18895 //
     /*  514179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514211 */     // MIs[0] round
     /*  514211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514221 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514230 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514243 */     GIR_RootConstrainSelectedInstOperands,
     /*  514244 */     // GIR_Coverage, 18895,
     /*  514244 */     GIR_EraseRootFromParent_Done,
     /*  514245 */   // Label 8552: @514245
     /*  514245 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514316), // Rule ID 18896 //
     /*  514250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514282 */     // MIs[0] round
     /*  514282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  514295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514301 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514314 */     GIR_RootConstrainSelectedInstOperands,
     /*  514315 */     // GIR_Coverage, 18896,
     /*  514315 */     GIR_EraseRootFromParent_Done,
     /*  514316 */   // Label 8553: @514316
     /*  514316 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514387), // Rule ID 18899 //
     /*  514321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514353 */     // MIs[0] round
     /*  514353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514363 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514372 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514385 */     GIR_RootConstrainSelectedInstOperands,
     /*  514386 */     // GIR_Coverage, 18899,
     /*  514386 */     GIR_EraseRootFromParent_Done,
     /*  514387 */   // Label 8554: @514387
     /*  514387 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514458), // Rule ID 18900 //
     /*  514392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514424 */     // MIs[0] round
     /*  514424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514434 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  514437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514443 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514456 */     GIR_RootConstrainSelectedInstOperands,
     /*  514457 */     // GIR_Coverage, 18900,
     /*  514457 */     GIR_EraseRootFromParent_Done,
     /*  514458 */   // Label 8555: @514458
     /*  514458 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514529), // Rule ID 18903 //
     /*  514463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514495 */     // MIs[0] round
     /*  514495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514505 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514514 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514527 */     GIR_RootConstrainSelectedInstOperands,
     /*  514528 */     // GIR_Coverage, 18903,
     /*  514528 */     GIR_EraseRootFromParent_Done,
     /*  514529 */   // Label 8556: @514529
     /*  514529 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514600), // Rule ID 18904 //
     /*  514534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514566 */     // MIs[0] round
     /*  514566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514576 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  514579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514585 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514598 */     GIR_RootConstrainSelectedInstOperands,
     /*  514599 */     // GIR_Coverage, 18904,
     /*  514599 */     GIR_EraseRootFromParent_Done,
     /*  514600 */   // Label 8557: @514600
     /*  514600 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514671), // Rule ID 18907 //
     /*  514605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514637 */     // MIs[0] round
     /*  514637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514647 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  514650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514656 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514669 */     GIR_RootConstrainSelectedInstOperands,
     /*  514670 */     // GIR_Coverage, 18907,
     /*  514670 */     GIR_EraseRootFromParent_Done,
     /*  514671 */   // Label 8558: @514671
     /*  514671 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514742), // Rule ID 18908 //
     /*  514676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514708 */     // MIs[0] round
     /*  514708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514718 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  514721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514727 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514740 */     GIR_RootConstrainSelectedInstOperands,
     /*  514741 */     // GIR_Coverage, 18908,
     /*  514741 */     GIR_EraseRootFromParent_Done,
     /*  514742 */   // Label 8559: @514742
     /*  514742 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514813), // Rule ID 18911 //
     /*  514747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514779 */     // MIs[0] round
     /*  514779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  514792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514798 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514811 */     GIR_RootConstrainSelectedInstOperands,
     /*  514812 */     // GIR_Coverage, 18911,
     /*  514812 */     GIR_EraseRootFromParent_Done,
     /*  514813 */   // Label 8560: @514813
     /*  514813 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(514884), // Rule ID 18912 //
     /*  514818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514850 */     // MIs[0] round
     /*  514850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514860 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  514863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514869 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514882 */     GIR_RootConstrainSelectedInstOperands,
     /*  514883 */     // GIR_Coverage, 18912,
     /*  514883 */     GIR_EraseRootFromParent_Done,
     /*  514884 */   // Label 8561: @514884
     /*  514884 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(514955), // Rule ID 18915 //
     /*  514889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  514906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514921 */     // MIs[0] round
     /*  514921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514931 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  514934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514940 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514953 */     GIR_RootConstrainSelectedInstOperands,
     /*  514954 */     // GIR_Coverage, 18915,
     /*  514954 */     GIR_EraseRootFromParent_Done,
     /*  514955 */   // Label 8562: @514955
     /*  514955 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515026), // Rule ID 18916 //
     /*  514960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  514977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514992 */     // MIs[0] round
     /*  514992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515002 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  515005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515011 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515024 */     GIR_RootConstrainSelectedInstOperands,
     /*  515025 */     // GIR_Coverage, 18916,
     /*  515025 */     GIR_EraseRootFromParent_Done,
     /*  515026 */   // Label 8563: @515026
     /*  515026 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515097), // Rule ID 18919 //
     /*  515031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515063 */     // MIs[0] round
     /*  515063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515082 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515095 */     GIR_RootConstrainSelectedInstOperands,
     /*  515096 */     // GIR_Coverage, 18919,
     /*  515096 */     GIR_EraseRootFromParent_Done,
     /*  515097 */   // Label 8564: @515097
     /*  515097 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515168), // Rule ID 18920 //
     /*  515102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515134 */     // MIs[0] round
     /*  515134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515144 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  515147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515153 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515166 */     GIR_RootConstrainSelectedInstOperands,
     /*  515167 */     // GIR_Coverage, 18920,
     /*  515167 */     GIR_EraseRootFromParent_Done,
     /*  515168 */   // Label 8565: @515168
     /*  515168 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515239), // Rule ID 18923 //
     /*  515173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515205 */     // MIs[0] round
     /*  515205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515215 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515224 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515237 */     GIR_RootConstrainSelectedInstOperands,
     /*  515238 */     // GIR_Coverage, 18923,
     /*  515238 */     GIR_EraseRootFromParent_Done,
     /*  515239 */   // Label 8566: @515239
     /*  515239 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515310), // Rule ID 18924 //
     /*  515244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515276 */     // MIs[0] round
     /*  515276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515286 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  515289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515295 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515308 */     GIR_RootConstrainSelectedInstOperands,
     /*  515309 */     // GIR_Coverage, 18924,
     /*  515309 */     GIR_EraseRootFromParent_Done,
     /*  515310 */   // Label 8567: @515310
     /*  515310 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515381), // Rule ID 18927 //
     /*  515315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515347 */     // MIs[0] round
     /*  515347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515366 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515379 */     GIR_RootConstrainSelectedInstOperands,
     /*  515380 */     // GIR_Coverage, 18927,
     /*  515380 */     GIR_EraseRootFromParent_Done,
     /*  515381 */   // Label 8568: @515381
     /*  515381 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515452), // Rule ID 18928 //
     /*  515386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  515394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515418 */     // MIs[0] round
     /*  515418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515428 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  515431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515437 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515450 */     GIR_RootConstrainSelectedInstOperands,
     /*  515451 */     // GIR_Coverage, 18928,
     /*  515451 */     GIR_EraseRootFromParent_Done,
     /*  515452 */   // Label 8569: @515452
     /*  515452 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515523), // Rule ID 18987 //
     /*  515457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515489 */     // MIs[0] round
     /*  515489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515499 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515508 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515521 */     GIR_RootConstrainSelectedInstOperands,
     /*  515522 */     // GIR_Coverage, 18987,
     /*  515522 */     GIR_EraseRootFromParent_Done,
     /*  515523 */   // Label 8570: @515523
     /*  515523 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515594), // Rule ID 18988 //
     /*  515528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515560 */     // MIs[0] round
     /*  515560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  515573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515579 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515592 */     GIR_RootConstrainSelectedInstOperands,
     /*  515593 */     // GIR_Coverage, 18988,
     /*  515593 */     GIR_EraseRootFromParent_Done,
     /*  515594 */   // Label 8571: @515594
     /*  515594 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515665), // Rule ID 18991 //
     /*  515599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  515610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  515613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  515616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515631 */     // MIs[0] round
     /*  515631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515641 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  515644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515650 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515663 */     GIR_RootConstrainSelectedInstOperands,
     /*  515664 */     // GIR_Coverage, 18991,
     /*  515664 */     GIR_EraseRootFromParent_Done,
     /*  515665 */   // Label 8572: @515665
     /*  515665 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515736), // Rule ID 18992 //
     /*  515670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  515681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  515684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  515687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515702 */     // MIs[0] round
     /*  515702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515712 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  515715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515721 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515734 */     GIR_RootConstrainSelectedInstOperands,
     /*  515735 */     // GIR_Coverage, 18992,
     /*  515735 */     GIR_EraseRootFromParent_Done,
     /*  515736 */   // Label 8573: @515736
     /*  515736 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515807), // Rule ID 18995 //
     /*  515741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515773 */     // MIs[0] round
     /*  515773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  515786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515792 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515805 */     GIR_RootConstrainSelectedInstOperands,
     /*  515806 */     // GIR_Coverage, 18995,
     /*  515806 */     GIR_EraseRootFromParent_Done,
     /*  515807 */   // Label 8574: @515807
     /*  515807 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(515878), // Rule ID 18996 //
     /*  515812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515844 */     // MIs[0] round
     /*  515844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515854 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  515857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515863 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515876 */     GIR_RootConstrainSelectedInstOperands,
     /*  515877 */     // GIR_Coverage, 18996,
     /*  515877 */     GIR_EraseRootFromParent_Done,
     /*  515878 */   // Label 8575: @515878
     /*  515878 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(515949), // Rule ID 18999 //
     /*  515883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  515894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  515900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515915 */     // MIs[0] round
     /*  515915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515925 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  515928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515934 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515947 */     GIR_RootConstrainSelectedInstOperands,
     /*  515948 */     // GIR_Coverage, 18999,
     /*  515948 */     GIR_EraseRootFromParent_Done,
     /*  515949 */   // Label 8576: @515949
     /*  515949 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516020), // Rule ID 19000 //
     /*  515954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  515965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  515971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515986 */     // MIs[0] round
     /*  515986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  515999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516005 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516018 */     GIR_RootConstrainSelectedInstOperands,
     /*  516019 */     // GIR_Coverage, 19000,
     /*  516019 */     GIR_EraseRootFromParent_Done,
     /*  516020 */   // Label 8577: @516020
     /*  516020 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516091), // Rule ID 19003 //
     /*  516025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516057 */     // MIs[0] round
     /*  516057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516076 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516089 */     GIR_RootConstrainSelectedInstOperands,
     /*  516090 */     // GIR_Coverage, 19003,
     /*  516090 */     GIR_EraseRootFromParent_Done,
     /*  516091 */   // Label 8578: @516091
     /*  516091 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516162), // Rule ID 19004 //
     /*  516096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516128 */     // MIs[0] round
     /*  516128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516138 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  516141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516147 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516160 */     GIR_RootConstrainSelectedInstOperands,
     /*  516161 */     // GIR_Coverage, 19004,
     /*  516161 */     GIR_EraseRootFromParent_Done,
     /*  516162 */   // Label 8579: @516162
     /*  516162 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516233), // Rule ID 19007 //
     /*  516167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516199 */     // MIs[0] round
     /*  516199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516209 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516218 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516231 */     GIR_RootConstrainSelectedInstOperands,
     /*  516232 */     // GIR_Coverage, 19007,
     /*  516232 */     GIR_EraseRootFromParent_Done,
     /*  516233 */   // Label 8580: @516233
     /*  516233 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516304), // Rule ID 19008 //
     /*  516238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516270 */     // MIs[0] round
     /*  516270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  516283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516289 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516302 */     GIR_RootConstrainSelectedInstOperands,
     /*  516303 */     // GIR_Coverage, 19008,
     /*  516303 */     GIR_EraseRootFromParent_Done,
     /*  516304 */   // Label 8581: @516304
     /*  516304 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516375), // Rule ID 19011 //
     /*  516309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516341 */     // MIs[0] round
     /*  516341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516351 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516360 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516373 */     GIR_RootConstrainSelectedInstOperands,
     /*  516374 */     // GIR_Coverage, 19011,
     /*  516374 */     GIR_EraseRootFromParent_Done,
     /*  516375 */   // Label 8582: @516375
     /*  516375 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516446), // Rule ID 19012 //
     /*  516380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516412 */     // MIs[0] round
     /*  516412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516422 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  516425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516431 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516444 */     GIR_RootConstrainSelectedInstOperands,
     /*  516445 */     // GIR_Coverage, 19012,
     /*  516445 */     GIR_EraseRootFromParent_Done,
     /*  516446 */   // Label 8583: @516446
     /*  516446 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516517), // Rule ID 19015 //
     /*  516451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516483 */     // MIs[0] round
     /*  516483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516493 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516502 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516515 */     GIR_RootConstrainSelectedInstOperands,
     /*  516516 */     // GIR_Coverage, 19015,
     /*  516516 */     GIR_EraseRootFromParent_Done,
     /*  516517 */   // Label 8584: @516517
     /*  516517 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516588), // Rule ID 19016 //
     /*  516522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516554 */     // MIs[0] round
     /*  516554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516564 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  516567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516573 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516586 */     GIR_RootConstrainSelectedInstOperands,
     /*  516587 */     // GIR_Coverage, 19016,
     /*  516587 */     GIR_EraseRootFromParent_Done,
     /*  516588 */   // Label 8585: @516588
     /*  516588 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516659), // Rule ID 19019 //
     /*  516593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  516596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  516604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516625 */     // MIs[0] round
     /*  516625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516635 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  516638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516644 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516657 */     GIR_RootConstrainSelectedInstOperands,
     /*  516658 */     // GIR_Coverage, 19019,
     /*  516658 */     GIR_EraseRootFromParent_Done,
     /*  516659 */   // Label 8586: @516659
     /*  516659 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516730), // Rule ID 19020 //
     /*  516664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  516667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  516675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516696 */     // MIs[0] round
     /*  516696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516706 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  516709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516715 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516728 */     GIR_RootConstrainSelectedInstOperands,
     /*  516729 */     // GIR_Coverage, 19020,
     /*  516729 */     GIR_EraseRootFromParent_Done,
     /*  516730 */   // Label 8587: @516730
     /*  516730 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516801), // Rule ID 19023 //
     /*  516735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516767 */     // MIs[0] round
     /*  516767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  516780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516786 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516799 */     GIR_RootConstrainSelectedInstOperands,
     /*  516800 */     // GIR_Coverage, 19023,
     /*  516800 */     GIR_EraseRootFromParent_Done,
     /*  516801 */   // Label 8588: @516801
     /*  516801 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(516872), // Rule ID 19024 //
     /*  516806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516838 */     // MIs[0] round
     /*  516838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  516851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516857 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516870 */     GIR_RootConstrainSelectedInstOperands,
     /*  516871 */     // GIR_Coverage, 19024,
     /*  516871 */     GIR_EraseRootFromParent_Done,
     /*  516872 */   // Label 8589: @516872
     /*  516872 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(516943), // Rule ID 19027 //
     /*  516877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  516880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516909 */     // MIs[0] round
     /*  516909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516919 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  516922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516928 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516941 */     GIR_RootConstrainSelectedInstOperands,
     /*  516942 */     // GIR_Coverage, 19027,
     /*  516942 */     GIR_EraseRootFromParent_Done,
     /*  516943 */   // Label 8590: @516943
     /*  516943 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517014), // Rule ID 19028 //
     /*  516948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  516951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516980 */     // MIs[0] round
     /*  516980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  516993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516999 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517012 */     GIR_RootConstrainSelectedInstOperands,
     /*  517013 */     // GIR_Coverage, 19028,
     /*  517013 */     GIR_EraseRootFromParent_Done,
     /*  517014 */   // Label 8591: @517014
     /*  517014 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517085), // Rule ID 19031 //
     /*  517019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  517022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517051 */     // MIs[0] round
     /*  517051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517061 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517070 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517083 */     GIR_RootConstrainSelectedInstOperands,
     /*  517084 */     // GIR_Coverage, 19031,
     /*  517084 */     GIR_EraseRootFromParent_Done,
     /*  517085 */   // Label 8592: @517085
     /*  517085 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517156), // Rule ID 19032 //
     /*  517090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  517093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517122 */     // MIs[0] round
     /*  517122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517132 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  517135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517141 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517154 */     GIR_RootConstrainSelectedInstOperands,
     /*  517155 */     // GIR_Coverage, 19032,
     /*  517155 */     GIR_EraseRootFromParent_Done,
     /*  517156 */   // Label 8593: @517156
     /*  517156 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517227), // Rule ID 19035 //
     /*  517161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517193 */     // MIs[0] round
     /*  517193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517203 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517212 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517225 */     GIR_RootConstrainSelectedInstOperands,
     /*  517226 */     // GIR_Coverage, 19035,
     /*  517226 */     GIR_EraseRootFromParent_Done,
     /*  517227 */   // Label 8594: @517227
     /*  517227 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517298), // Rule ID 19036 //
     /*  517232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517264 */     // MIs[0] round
     /*  517264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517274 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  517277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517283 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517296 */     GIR_RootConstrainSelectedInstOperands,
     /*  517297 */     // GIR_Coverage, 19036,
     /*  517297 */     GIR_EraseRootFromParent_Done,
     /*  517298 */   // Label 8595: @517298
     /*  517298 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517369), // Rule ID 19039 //
     /*  517303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517335 */     // MIs[0] round
     /*  517335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517345 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517354 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517367 */     GIR_RootConstrainSelectedInstOperands,
     /*  517368 */     // GIR_Coverage, 19039,
     /*  517368 */     GIR_EraseRootFromParent_Done,
     /*  517369 */   // Label 8596: @517369
     /*  517369 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517440), // Rule ID 19040 //
     /*  517374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517406 */     // MIs[0] round
     /*  517406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  517419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517425 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517438 */     GIR_RootConstrainSelectedInstOperands,
     /*  517439 */     // GIR_Coverage, 19040,
     /*  517439 */     GIR_EraseRootFromParent_Done,
     /*  517440 */   // Label 8597: @517440
     /*  517440 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517511), // Rule ID 19043 //
     /*  517445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  517448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517477 */     // MIs[0] round
     /*  517477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517487 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517496 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517509 */     GIR_RootConstrainSelectedInstOperands,
     /*  517510 */     // GIR_Coverage, 19043,
     /*  517510 */     GIR_EraseRootFromParent_Done,
     /*  517511 */   // Label 8598: @517511
     /*  517511 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517582), // Rule ID 19044 //
     /*  517516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  517519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  517524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517548 */     // MIs[0] round
     /*  517548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517558 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  517561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517567 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517580 */     GIR_RootConstrainSelectedInstOperands,
     /*  517581 */     // GIR_Coverage, 19044,
     /*  517581 */     GIR_EraseRootFromParent_Done,
     /*  517582 */   // Label 8599: @517582
     /*  517582 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517653), // Rule ID 20629 //
     /*  517587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  517598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  517601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  517604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517619 */     // MIs[0] round
     /*  517619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517629 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517638 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517651 */     GIR_RootConstrainSelectedInstOperands,
     /*  517652 */     // GIR_Coverage, 20629,
     /*  517652 */     GIR_EraseRootFromParent_Done,
     /*  517653 */   // Label 8600: @517653
     /*  517653 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517724), // Rule ID 20630 //
     /*  517658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  517669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  517672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  517675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517690 */     // MIs[0] round
     /*  517690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517709 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517722 */     GIR_RootConstrainSelectedInstOperands,
     /*  517723 */     // GIR_Coverage, 20630,
     /*  517723 */     GIR_EraseRootFromParent_Done,
     /*  517724 */   // Label 8601: @517724
     /*  517724 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517795), // Rule ID 20633 //
     /*  517729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  517740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  517743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517761 */     // MIs[0] round
     /*  517761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517780 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517793 */     GIR_RootConstrainSelectedInstOperands,
     /*  517794 */     // GIR_Coverage, 20633,
     /*  517794 */     GIR_EraseRootFromParent_Done,
     /*  517795 */   // Label 8602: @517795
     /*  517795 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517866), // Rule ID 20634 //
     /*  517800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  517811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  517814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517832 */     // MIs[0] round
     /*  517832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  517845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517851 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517864 */     GIR_RootConstrainSelectedInstOperands,
     /*  517865 */     // GIR_Coverage, 20634,
     /*  517865 */     GIR_EraseRootFromParent_Done,
     /*  517866 */   // Label 8603: @517866
     /*  517866 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(517937), // Rule ID 20637 //
     /*  517871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  517882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  517885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  517888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517903 */     // MIs[0] round
     /*  517903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  517916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517922 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517935 */     GIR_RootConstrainSelectedInstOperands,
     /*  517936 */     // GIR_Coverage, 20637,
     /*  517936 */     GIR_EraseRootFromParent_Done,
     /*  517937 */   // Label 8604: @517937
     /*  517937 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518008), // Rule ID 20638 //
     /*  517942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  517953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  517956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  517959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517974 */     // MIs[0] round
     /*  517974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  517987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517993 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518006 */     GIR_RootConstrainSelectedInstOperands,
     /*  518007 */     // GIR_Coverage, 20638,
     /*  518007 */     GIR_EraseRootFromParent_Done,
     /*  518008 */   // Label 8605: @518008
     /*  518008 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518079), // Rule ID 20641 //
     /*  518013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518045 */     // MIs[0] round
     /*  518045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518064 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518077 */     GIR_RootConstrainSelectedInstOperands,
     /*  518078 */     // GIR_Coverage, 20641,
     /*  518078 */     GIR_EraseRootFromParent_Done,
     /*  518079 */   // Label 8606: @518079
     /*  518079 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518150), // Rule ID 20642 //
     /*  518084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518116 */     // MIs[0] round
     /*  518116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518135 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518148 */     GIR_RootConstrainSelectedInstOperands,
     /*  518149 */     // GIR_Coverage, 20642,
     /*  518149 */     GIR_EraseRootFromParent_Done,
     /*  518150 */   // Label 8607: @518150
     /*  518150 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518221), // Rule ID 20645 //
     /*  518155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518187 */     // MIs[0] round
     /*  518187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518206 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518219 */     GIR_RootConstrainSelectedInstOperands,
     /*  518220 */     // GIR_Coverage, 20645,
     /*  518220 */     GIR_EraseRootFromParent_Done,
     /*  518221 */   // Label 8608: @518221
     /*  518221 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518292), // Rule ID 20646 //
     /*  518226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518258 */     // MIs[0] round
     /*  518258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  518271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518277 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518290 */     GIR_RootConstrainSelectedInstOperands,
     /*  518291 */     // GIR_Coverage, 20646,
     /*  518291 */     GIR_EraseRootFromParent_Done,
     /*  518292 */   // Label 8609: @518292
     /*  518292 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518363), // Rule ID 20649 //
     /*  518297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518329 */     // MIs[0] round
     /*  518329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518348 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518361 */     GIR_RootConstrainSelectedInstOperands,
     /*  518362 */     // GIR_Coverage, 20649,
     /*  518362 */     GIR_EraseRootFromParent_Done,
     /*  518363 */   // Label 8610: @518363
     /*  518363 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518434), // Rule ID 20650 //
     /*  518368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518400 */     // MIs[0] round
     /*  518400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518419 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518432 */     GIR_RootConstrainSelectedInstOperands,
     /*  518433 */     // GIR_Coverage, 20650,
     /*  518433 */     GIR_EraseRootFromParent_Done,
     /*  518434 */   // Label 8611: @518434
     /*  518434 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518505), // Rule ID 20653 //
     /*  518439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518471 */     // MIs[0] round
     /*  518471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518490 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518503 */     GIR_RootConstrainSelectedInstOperands,
     /*  518504 */     // GIR_Coverage, 20653,
     /*  518504 */     GIR_EraseRootFromParent_Done,
     /*  518505 */   // Label 8612: @518505
     /*  518505 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518576), // Rule ID 20654 //
     /*  518510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518542 */     // MIs[0] round
     /*  518542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518561 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518574 */     GIR_RootConstrainSelectedInstOperands,
     /*  518575 */     // GIR_Coverage, 20654,
     /*  518575 */     GIR_EraseRootFromParent_Done,
     /*  518576 */   // Label 8613: @518576
     /*  518576 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518647), // Rule ID 20657 //
     /*  518581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  518592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  518595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  518598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518613 */     // MIs[0] round
     /*  518613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518632 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518645 */     GIR_RootConstrainSelectedInstOperands,
     /*  518646 */     // GIR_Coverage, 20657,
     /*  518646 */     GIR_EraseRootFromParent_Done,
     /*  518647 */   // Label 8614: @518647
     /*  518647 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518718), // Rule ID 20658 //
     /*  518652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  518663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  518666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  518669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518684 */     // MIs[0] round
     /*  518684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518703 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518716 */     GIR_RootConstrainSelectedInstOperands,
     /*  518717 */     // GIR_Coverage, 20658,
     /*  518717 */     GIR_EraseRootFromParent_Done,
     /*  518718 */   // Label 8615: @518718
     /*  518718 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518789), // Rule ID 20661 //
     /*  518723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  518734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  518737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518755 */     // MIs[0] round
     /*  518755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518774 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518787 */     GIR_RootConstrainSelectedInstOperands,
     /*  518788 */     // GIR_Coverage, 20661,
     /*  518788 */     GIR_EraseRootFromParent_Done,
     /*  518789 */   // Label 8616: @518789
     /*  518789 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518860), // Rule ID 20662 //
     /*  518794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  518805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  518808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518826 */     // MIs[0] round
     /*  518826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518845 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518858 */     GIR_RootConstrainSelectedInstOperands,
     /*  518859 */     // GIR_Coverage, 20662,
     /*  518859 */     GIR_EraseRootFromParent_Done,
     /*  518860 */   // Label 8617: @518860
     /*  518860 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(518931), // Rule ID 20665 //
     /*  518865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  518876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  518879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518897 */     // MIs[0] round
     /*  518897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518916 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518929 */     GIR_RootConstrainSelectedInstOperands,
     /*  518930 */     // GIR_Coverage, 20665,
     /*  518930 */     GIR_EraseRootFromParent_Done,
     /*  518931 */   // Label 8618: @518931
     /*  518931 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519002), // Rule ID 20666 //
     /*  518936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  518947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  518950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518968 */     // MIs[0] round
     /*  518968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518987 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519000 */     GIR_RootConstrainSelectedInstOperands,
     /*  519001 */     // GIR_Coverage, 20666,
     /*  519001 */     GIR_EraseRootFromParent_Done,
     /*  519002 */   // Label 8619: @519002
     /*  519002 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519073), // Rule ID 20669 //
     /*  519007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519039 */     // MIs[0] round
     /*  519039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519058 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519071 */     GIR_RootConstrainSelectedInstOperands,
     /*  519072 */     // GIR_Coverage, 20669,
     /*  519072 */     GIR_EraseRootFromParent_Done,
     /*  519073 */   // Label 8620: @519073
     /*  519073 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519144), // Rule ID 20670 //
     /*  519078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519110 */     // MIs[0] round
     /*  519110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519129 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519142 */     GIR_RootConstrainSelectedInstOperands,
     /*  519143 */     // GIR_Coverage, 20670,
     /*  519143 */     GIR_EraseRootFromParent_Done,
     /*  519144 */   // Label 8621: @519144
     /*  519144 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519215), // Rule ID 20673 //
     /*  519149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519181 */     // MIs[0] round
     /*  519181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519200 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519213 */     GIR_RootConstrainSelectedInstOperands,
     /*  519214 */     // GIR_Coverage, 20673,
     /*  519214 */     GIR_EraseRootFromParent_Done,
     /*  519215 */   // Label 8622: @519215
     /*  519215 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519286), // Rule ID 20674 //
     /*  519220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519252 */     // MIs[0] round
     /*  519252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  519265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519271 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519284 */     GIR_RootConstrainSelectedInstOperands,
     /*  519285 */     // GIR_Coverage, 20674,
     /*  519285 */     GIR_EraseRootFromParent_Done,
     /*  519286 */   // Label 8623: @519286
     /*  519286 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519357), // Rule ID 20677 //
     /*  519291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519323 */     // MIs[0] round
     /*  519323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519333 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519342 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519355 */     GIR_RootConstrainSelectedInstOperands,
     /*  519356 */     // GIR_Coverage, 20677,
     /*  519356 */     GIR_EraseRootFromParent_Done,
     /*  519357 */   // Label 8624: @519357
     /*  519357 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519428), // Rule ID 20678 //
     /*  519362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519394 */     // MIs[0] round
     /*  519394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  519407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519413 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519426 */     GIR_RootConstrainSelectedInstOperands,
     /*  519427 */     // GIR_Coverage, 20678,
     /*  519427 */     GIR_EraseRootFromParent_Done,
     /*  519428 */   // Label 8625: @519428
     /*  519428 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519499), // Rule ID 20681 //
     /*  519433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519465 */     // MIs[0] round
     /*  519465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519484 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519497 */     GIR_RootConstrainSelectedInstOperands,
     /*  519498 */     // GIR_Coverage, 20681,
     /*  519498 */     GIR_EraseRootFromParent_Done,
     /*  519499 */   // Label 8626: @519499
     /*  519499 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519570), // Rule ID 20682 //
     /*  519504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  519512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519536 */     // MIs[0] round
     /*  519536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  519549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519555 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519568 */     GIR_RootConstrainSelectedInstOperands,
     /*  519569 */     // GIR_Coverage, 20682,
     /*  519569 */     GIR_EraseRootFromParent_Done,
     /*  519570 */   // Label 8627: @519570
     /*  519570 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519641), // Rule ID 20685 //
     /*  519575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  519586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  519589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  519592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519607 */     // MIs[0] round
     /*  519607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  519620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519626 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519639 */     GIR_RootConstrainSelectedInstOperands,
     /*  519640 */     // GIR_Coverage, 20685,
     /*  519640 */     GIR_EraseRootFromParent_Done,
     /*  519641 */   // Label 8628: @519641
     /*  519641 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519712), // Rule ID 20686 //
     /*  519646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  519657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  519660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  519663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519678 */     // MIs[0] round
     /*  519678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  519691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519697 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519710 */     GIR_RootConstrainSelectedInstOperands,
     /*  519711 */     // GIR_Coverage, 20686,
     /*  519711 */     GIR_EraseRootFromParent_Done,
     /*  519712 */   // Label 8629: @519712
     /*  519712 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519783), // Rule ID 20689 //
     /*  519717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  519728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  519731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  519734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519749 */     // MIs[0] round
     /*  519749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519768 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519781 */     GIR_RootConstrainSelectedInstOperands,
     /*  519782 */     // GIR_Coverage, 20689,
     /*  519782 */     GIR_EraseRootFromParent_Done,
     /*  519783 */   // Label 8630: @519783
     /*  519783 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519854), // Rule ID 20690 //
     /*  519788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  519799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  519802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  519805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519820 */     // MIs[0] round
     /*  519820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519839 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519852 */     GIR_RootConstrainSelectedInstOperands,
     /*  519853 */     // GIR_Coverage, 20690,
     /*  519853 */     GIR_EraseRootFromParent_Done,
     /*  519854 */   // Label 8631: @519854
     /*  519854 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(519925), // Rule ID 20693 //
     /*  519859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  519870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  519873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  519876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519891 */     // MIs[0] round
     /*  519891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519910 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519923 */     GIR_RootConstrainSelectedInstOperands,
     /*  519924 */     // GIR_Coverage, 20693,
     /*  519924 */     GIR_EraseRootFromParent_Done,
     /*  519925 */   // Label 8632: @519925
     /*  519925 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(519996), // Rule ID 20694 //
     /*  519930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  519941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  519944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  519947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519962 */     // MIs[0] round
     /*  519962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  519975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519981 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519994 */     GIR_RootConstrainSelectedInstOperands,
     /*  519995 */     // GIR_Coverage, 20694,
     /*  519995 */     GIR_EraseRootFromParent_Done,
     /*  519996 */   // Label 8633: @519996
     /*  519996 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520067), // Rule ID 20697 //
     /*  520001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520033 */     // MIs[0] round
     /*  520033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520052 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520065 */     GIR_RootConstrainSelectedInstOperands,
     /*  520066 */     // GIR_Coverage, 20697,
     /*  520066 */     GIR_EraseRootFromParent_Done,
     /*  520067 */   // Label 8634: @520067
     /*  520067 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520138), // Rule ID 20698 //
     /*  520072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520104 */     // MIs[0] round
     /*  520104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520123 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520136 */     GIR_RootConstrainSelectedInstOperands,
     /*  520137 */     // GIR_Coverage, 20698,
     /*  520137 */     GIR_EraseRootFromParent_Done,
     /*  520138 */   // Label 8635: @520138
     /*  520138 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520209), // Rule ID 20701 //
     /*  520143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520175 */     // MIs[0] round
     /*  520175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520194 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520207 */     GIR_RootConstrainSelectedInstOperands,
     /*  520208 */     // GIR_Coverage, 20701,
     /*  520208 */     GIR_EraseRootFromParent_Done,
     /*  520209 */   // Label 8636: @520209
     /*  520209 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520280), // Rule ID 20702 //
     /*  520214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520246 */     // MIs[0] round
     /*  520246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520265 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520278 */     GIR_RootConstrainSelectedInstOperands,
     /*  520279 */     // GIR_Coverage, 20702,
     /*  520279 */     GIR_EraseRootFromParent_Done,
     /*  520280 */   // Label 8637: @520280
     /*  520280 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520351), // Rule ID 20705 //
     /*  520285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520317 */     // MIs[0] round
     /*  520317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520336 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520349 */     GIR_RootConstrainSelectedInstOperands,
     /*  520350 */     // GIR_Coverage, 20705,
     /*  520350 */     GIR_EraseRootFromParent_Done,
     /*  520351 */   // Label 8638: @520351
     /*  520351 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520422), // Rule ID 20706 //
     /*  520356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520388 */     // MIs[0] round
     /*  520388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  520401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520407 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520420 */     GIR_RootConstrainSelectedInstOperands,
     /*  520421 */     // GIR_Coverage, 20706,
     /*  520421 */     GIR_EraseRootFromParent_Done,
     /*  520422 */   // Label 8639: @520422
     /*  520422 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520493), // Rule ID 20709 //
     /*  520427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520459 */     // MIs[0] round
     /*  520459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520469 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520478 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520491 */     GIR_RootConstrainSelectedInstOperands,
     /*  520492 */     // GIR_Coverage, 20709,
     /*  520492 */     GIR_EraseRootFromParent_Done,
     /*  520493 */   // Label 8640: @520493
     /*  520493 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520564), // Rule ID 20710 //
     /*  520498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520530 */     // MIs[0] round
     /*  520530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520549 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520562 */     GIR_RootConstrainSelectedInstOperands,
     /*  520563 */     // GIR_Coverage, 20710,
     /*  520563 */     GIR_EraseRootFromParent_Done,
     /*  520564 */   // Label 8641: @520564
     /*  520564 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520635), // Rule ID 20713 //
     /*  520569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  520580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520601 */     // MIs[0] round
     /*  520601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520620 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520633 */     GIR_RootConstrainSelectedInstOperands,
     /*  520634 */     // GIR_Coverage, 20713,
     /*  520634 */     GIR_EraseRootFromParent_Done,
     /*  520635 */   // Label 8642: @520635
     /*  520635 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520706), // Rule ID 20714 //
     /*  520640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  520651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520672 */     // MIs[0] round
     /*  520672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520691 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520704 */     GIR_RootConstrainSelectedInstOperands,
     /*  520705 */     // GIR_Coverage, 20714,
     /*  520705 */     GIR_EraseRootFromParent_Done,
     /*  520706 */   // Label 8643: @520706
     /*  520706 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520777), // Rule ID 20717 //
     /*  520711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  520722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520743 */     // MIs[0] round
     /*  520743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520762 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520775 */     GIR_RootConstrainSelectedInstOperands,
     /*  520776 */     // GIR_Coverage, 20717,
     /*  520776 */     GIR_EraseRootFromParent_Done,
     /*  520777 */   // Label 8644: @520777
     /*  520777 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520848), // Rule ID 20718 //
     /*  520782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  520793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520814 */     // MIs[0] round
     /*  520814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520833 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520846 */     GIR_RootConstrainSelectedInstOperands,
     /*  520847 */     // GIR_Coverage, 20718,
     /*  520847 */     GIR_EraseRootFromParent_Done,
     /*  520848 */   // Label 8645: @520848
     /*  520848 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(520919), // Rule ID 20721 //
     /*  520853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520885 */     // MIs[0] round
     /*  520885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520904 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520917 */     GIR_RootConstrainSelectedInstOperands,
     /*  520918 */     // GIR_Coverage, 20721,
     /*  520918 */     GIR_EraseRootFromParent_Done,
     /*  520919 */   // Label 8646: @520919
     /*  520919 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(520990), // Rule ID 20722 //
     /*  520924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520956 */     // MIs[0] round
     /*  520956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520975 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520988 */     GIR_RootConstrainSelectedInstOperands,
     /*  520989 */     // GIR_Coverage, 20722,
     /*  520989 */     GIR_EraseRootFromParent_Done,
     /*  520990 */   // Label 8647: @520990
     /*  520990 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521061), // Rule ID 20725 //
     /*  520995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521027 */     // MIs[0] round
     /*  521027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521046 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521059 */     GIR_RootConstrainSelectedInstOperands,
     /*  521060 */     // GIR_Coverage, 20725,
     /*  521060 */     GIR_EraseRootFromParent_Done,
     /*  521061 */   // Label 8648: @521061
     /*  521061 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521132), // Rule ID 20726 //
     /*  521066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521098 */     // MIs[0] round
     /*  521098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521117 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521130 */     GIR_RootConstrainSelectedInstOperands,
     /*  521131 */     // GIR_Coverage, 20726,
     /*  521131 */     GIR_EraseRootFromParent_Done,
     /*  521132 */   // Label 8649: @521132
     /*  521132 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521203), // Rule ID 20729 //
     /*  521137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521169 */     // MIs[0] round
     /*  521169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521188 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521201 */     GIR_RootConstrainSelectedInstOperands,
     /*  521202 */     // GIR_Coverage, 20729,
     /*  521202 */     GIR_EraseRootFromParent_Done,
     /*  521203 */   // Label 8650: @521203
     /*  521203 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521274), // Rule ID 20730 //
     /*  521208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521240 */     // MIs[0] round
     /*  521240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521259 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521272 */     GIR_RootConstrainSelectedInstOperands,
     /*  521273 */     // GIR_Coverage, 20730,
     /*  521273 */     GIR_EraseRootFromParent_Done,
     /*  521274 */   // Label 8651: @521274
     /*  521274 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521345), // Rule ID 20733 //
     /*  521279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521311 */     // MIs[0] round
     /*  521311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521330 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521343 */     GIR_RootConstrainSelectedInstOperands,
     /*  521344 */     // GIR_Coverage, 20733,
     /*  521344 */     GIR_EraseRootFromParent_Done,
     /*  521345 */   // Label 8652: @521345
     /*  521345 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521416), // Rule ID 20734 //
     /*  521350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521382 */     // MIs[0] round
     /*  521382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  521395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521401 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521414 */     GIR_RootConstrainSelectedInstOperands,
     /*  521415 */     // GIR_Coverage, 20734,
     /*  521415 */     GIR_EraseRootFromParent_Done,
     /*  521416 */   // Label 8653: @521416
     /*  521416 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521487), // Rule ID 20737 //
     /*  521421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521453 */     // MIs[0] round
     /*  521453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521463 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521472 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521485 */     GIR_RootConstrainSelectedInstOperands,
     /*  521486 */     // GIR_Coverage, 20737,
     /*  521486 */     GIR_EraseRootFromParent_Done,
     /*  521487 */   // Label 8654: @521487
     /*  521487 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521558), // Rule ID 20738 //
     /*  521492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521524 */     // MIs[0] round
     /*  521524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  521537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521543 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521556 */     GIR_RootConstrainSelectedInstOperands,
     /*  521557 */     // GIR_Coverage, 20738,
     /*  521557 */     GIR_EraseRootFromParent_Done,
     /*  521558 */   // Label 8655: @521558
     /*  521558 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521629), // Rule ID 20741 //
     /*  521563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521595 */     // MIs[0] round
     /*  521595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521614 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521627 */     GIR_RootConstrainSelectedInstOperands,
     /*  521628 */     // GIR_Coverage, 20741,
     /*  521628 */     GIR_EraseRootFromParent_Done,
     /*  521629 */   // Label 8656: @521629
     /*  521629 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521700), // Rule ID 20742 //
     /*  521634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  521642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521666 */     // MIs[0] round
     /*  521666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  521679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521685 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521698 */     GIR_RootConstrainSelectedInstOperands,
     /*  521699 */     // GIR_Coverage, 20742,
     /*  521699 */     GIR_EraseRootFromParent_Done,
     /*  521700 */   // Label 8657: @521700
     /*  521700 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521771), // Rule ID 20865 //
     /*  521705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521737 */     // MIs[0] round
     /*  521737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521747 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  521750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521756 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521769 */     GIR_RootConstrainSelectedInstOperands,
     /*  521770 */     // GIR_Coverage, 20865,
     /*  521770 */     GIR_EraseRootFromParent_Done,
     /*  521771 */   // Label 8658: @521771
     /*  521771 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521842), // Rule ID 20866 //
     /*  521776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521808 */     // MIs[0] round
     /*  521808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521818 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  521821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521827 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521840 */     GIR_RootConstrainSelectedInstOperands,
     /*  521841 */     // GIR_Coverage, 20866,
     /*  521841 */     GIR_EraseRootFromParent_Done,
     /*  521842 */   // Label 8659: @521842
     /*  521842 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(521913), // Rule ID 20869 //
     /*  521847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521879 */     // MIs[0] round
     /*  521879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  521892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521898 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521911 */     GIR_RootConstrainSelectedInstOperands,
     /*  521912 */     // GIR_Coverage, 20869,
     /*  521912 */     GIR_EraseRootFromParent_Done,
     /*  521913 */   // Label 8660: @521913
     /*  521913 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(521984), // Rule ID 20870 //
     /*  521918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521950 */     // MIs[0] round
     /*  521950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  521963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521969 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521982 */     GIR_RootConstrainSelectedInstOperands,
     /*  521983 */     // GIR_Coverage, 20870,
     /*  521983 */     GIR_EraseRootFromParent_Done,
     /*  521984 */   // Label 8661: @521984
     /*  521984 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522055), // Rule ID 20873 //
     /*  521989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522021 */     // MIs[0] round
     /*  522021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522040 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522053 */     GIR_RootConstrainSelectedInstOperands,
     /*  522054 */     // GIR_Coverage, 20873,
     /*  522054 */     GIR_EraseRootFromParent_Done,
     /*  522055 */   // Label 8662: @522055
     /*  522055 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522126), // Rule ID 20874 //
     /*  522060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522092 */     // MIs[0] round
     /*  522092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522102 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  522105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522111 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522124 */     GIR_RootConstrainSelectedInstOperands,
     /*  522125 */     // GIR_Coverage, 20874,
     /*  522125 */     GIR_EraseRootFromParent_Done,
     /*  522126 */   // Label 8663: @522126
     /*  522126 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522197), // Rule ID 20877 //
     /*  522131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522163 */     // MIs[0] round
     /*  522163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522182 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522195 */     GIR_RootConstrainSelectedInstOperands,
     /*  522196 */     // GIR_Coverage, 20877,
     /*  522196 */     GIR_EraseRootFromParent_Done,
     /*  522197 */   // Label 8664: @522197
     /*  522197 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522268), // Rule ID 20878 //
     /*  522202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522234 */     // MIs[0] round
     /*  522234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522244 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  522247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522253 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522266 */     GIR_RootConstrainSelectedInstOperands,
     /*  522267 */     // GIR_Coverage, 20878,
     /*  522267 */     GIR_EraseRootFromParent_Done,
     /*  522268 */   // Label 8665: @522268
     /*  522268 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522339), // Rule ID 20881 //
     /*  522273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522305 */     // MIs[0] round
     /*  522305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522324 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522337 */     GIR_RootConstrainSelectedInstOperands,
     /*  522338 */     // GIR_Coverage, 20881,
     /*  522338 */     GIR_EraseRootFromParent_Done,
     /*  522339 */   // Label 8666: @522339
     /*  522339 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522410), // Rule ID 20882 //
     /*  522344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522376 */     // MIs[0] round
     /*  522376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  522389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522395 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522408 */     GIR_RootConstrainSelectedInstOperands,
     /*  522409 */     // GIR_Coverage, 20882,
     /*  522409 */     GIR_EraseRootFromParent_Done,
     /*  522410 */   // Label 8667: @522410
     /*  522410 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522481), // Rule ID 20885 //
     /*  522415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522447 */     // MIs[0] round
     /*  522447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522466 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522479 */     GIR_RootConstrainSelectedInstOperands,
     /*  522480 */     // GIR_Coverage, 20885,
     /*  522480 */     GIR_EraseRootFromParent_Done,
     /*  522481 */   // Label 8668: @522481
     /*  522481 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522552), // Rule ID 20886 //
     /*  522486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522518 */     // MIs[0] round
     /*  522518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  522531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522537 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522550 */     GIR_RootConstrainSelectedInstOperands,
     /*  522551 */     // GIR_Coverage, 20886,
     /*  522551 */     GIR_EraseRootFromParent_Done,
     /*  522552 */   // Label 8669: @522552
     /*  522552 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522623), // Rule ID 20889 //
     /*  522557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522589 */     // MIs[0] round
     /*  522589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522599 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  522602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522608 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522621 */     GIR_RootConstrainSelectedInstOperands,
     /*  522622 */     // GIR_Coverage, 20889,
     /*  522622 */     GIR_EraseRootFromParent_Done,
     /*  522623 */   // Label 8670: @522623
     /*  522623 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522694), // Rule ID 20890 //
     /*  522628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522660 */     // MIs[0] round
     /*  522660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522670 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  522673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522679 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522692 */     GIR_RootConstrainSelectedInstOperands,
     /*  522693 */     // GIR_Coverage, 20890,
     /*  522693 */     GIR_EraseRootFromParent_Done,
     /*  522694 */   // Label 8671: @522694
     /*  522694 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522765), // Rule ID 20893 //
     /*  522699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522731 */     // MIs[0] round
     /*  522731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522741 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  522744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522750 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522763 */     GIR_RootConstrainSelectedInstOperands,
     /*  522764 */     // GIR_Coverage, 20893,
     /*  522764 */     GIR_EraseRootFromParent_Done,
     /*  522765 */   // Label 8672: @522765
     /*  522765 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522836), // Rule ID 20894 //
     /*  522770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522802 */     // MIs[0] round
     /*  522802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522812 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  522815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522821 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522834 */     GIR_RootConstrainSelectedInstOperands,
     /*  522835 */     // GIR_Coverage, 20894,
     /*  522835 */     GIR_EraseRootFromParent_Done,
     /*  522836 */   // Label 8673: @522836
     /*  522836 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(522907), // Rule ID 20897 //
     /*  522841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522873 */     // MIs[0] round
     /*  522873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522883 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  522886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522892 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522905 */     GIR_RootConstrainSelectedInstOperands,
     /*  522906 */     // GIR_Coverage, 20897,
     /*  522906 */     GIR_EraseRootFromParent_Done,
     /*  522907 */   // Label 8674: @522907
     /*  522907 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(522978), // Rule ID 20898 //
     /*  522912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522944 */     // MIs[0] round
     /*  522944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522954 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  522957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522963 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522976 */     GIR_RootConstrainSelectedInstOperands,
     /*  522977 */     // GIR_Coverage, 20898,
     /*  522977 */     GIR_EraseRootFromParent_Done,
     /*  522978 */   // Label 8675: @522978
     /*  522978 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523049), // Rule ID 20901 //
     /*  522983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  522994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  522997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523015 */     // MIs[0] round
     /*  523015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523034 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523047 */     GIR_RootConstrainSelectedInstOperands,
     /*  523048 */     // GIR_Coverage, 20901,
     /*  523048 */     GIR_EraseRootFromParent_Done,
     /*  523049 */   // Label 8676: @523049
     /*  523049 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523120), // Rule ID 20902 //
     /*  523054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523086 */     // MIs[0] round
     /*  523086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  523099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523105 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523118 */     GIR_RootConstrainSelectedInstOperands,
     /*  523119 */     // GIR_Coverage, 20902,
     /*  523119 */     GIR_EraseRootFromParent_Done,
     /*  523120 */   // Label 8677: @523120
     /*  523120 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523191), // Rule ID 20905 //
     /*  523125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523157 */     // MIs[0] round
     /*  523157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523167 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523176 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523189 */     GIR_RootConstrainSelectedInstOperands,
     /*  523190 */     // GIR_Coverage, 20905,
     /*  523190 */     GIR_EraseRootFromParent_Done,
     /*  523191 */   // Label 8678: @523191
     /*  523191 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523262), // Rule ID 20906 //
     /*  523196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523228 */     // MIs[0] round
     /*  523228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523238 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  523241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523247 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523260 */     GIR_RootConstrainSelectedInstOperands,
     /*  523261 */     // GIR_Coverage, 20906,
     /*  523261 */     GIR_EraseRootFromParent_Done,
     /*  523262 */   // Label 8679: @523262
     /*  523262 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523333), // Rule ID 20909 //
     /*  523267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523299 */     // MIs[0] round
     /*  523299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523318 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523331 */     GIR_RootConstrainSelectedInstOperands,
     /*  523332 */     // GIR_Coverage, 20909,
     /*  523332 */     GIR_EraseRootFromParent_Done,
     /*  523333 */   // Label 8680: @523333
     /*  523333 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523404), // Rule ID 20910 //
     /*  523338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523370 */     // MIs[0] round
     /*  523370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523380 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  523383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523389 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523402 */     GIR_RootConstrainSelectedInstOperands,
     /*  523403 */     // GIR_Coverage, 20910,
     /*  523403 */     GIR_EraseRootFromParent_Done,
     /*  523404 */   // Label 8681: @523404
     /*  523404 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523475), // Rule ID 20913 //
     /*  523409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523441 */     // MIs[0] round
     /*  523441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523460 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523473 */     GIR_RootConstrainSelectedInstOperands,
     /*  523474 */     // GIR_Coverage, 20913,
     /*  523474 */     GIR_EraseRootFromParent_Done,
     /*  523475 */   // Label 8682: @523475
     /*  523475 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523546), // Rule ID 20914 //
     /*  523480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523512 */     // MIs[0] round
     /*  523512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523522 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  523525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523531 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523544 */     GIR_RootConstrainSelectedInstOperands,
     /*  523545 */     // GIR_Coverage, 20914,
     /*  523545 */     GIR_EraseRootFromParent_Done,
     /*  523546 */   // Label 8683: @523546
     /*  523546 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523617), // Rule ID 20917 //
     /*  523551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523583 */     // MIs[0] round
     /*  523583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523593 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  523596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523602 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523615 */     GIR_RootConstrainSelectedInstOperands,
     /*  523616 */     // GIR_Coverage, 20917,
     /*  523616 */     GIR_EraseRootFromParent_Done,
     /*  523617 */   // Label 8684: @523617
     /*  523617 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523688), // Rule ID 20918 //
     /*  523622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523654 */     // MIs[0] round
     /*  523654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523664 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  523667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523673 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523686 */     GIR_RootConstrainSelectedInstOperands,
     /*  523687 */     // GIR_Coverage, 20918,
     /*  523687 */     GIR_EraseRootFromParent_Done,
     /*  523688 */   // Label 8685: @523688
     /*  523688 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523759), // Rule ID 20921 //
     /*  523693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523725 */     // MIs[0] round
     /*  523725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523735 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  523738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523744 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523757 */     GIR_RootConstrainSelectedInstOperands,
     /*  523758 */     // GIR_Coverage, 20921,
     /*  523758 */     GIR_EraseRootFromParent_Done,
     /*  523759 */   // Label 8686: @523759
     /*  523759 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523830), // Rule ID 20922 //
     /*  523764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  523772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523796 */     // MIs[0] round
     /*  523796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  523809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523815 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523828 */     GIR_RootConstrainSelectedInstOperands,
     /*  523829 */     // GIR_Coverage, 20922,
     /*  523829 */     GIR_EraseRootFromParent_Done,
     /*  523830 */   // Label 8687: @523830
     /*  523830 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(523901), // Rule ID 20925 //
     /*  523835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  523852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523867 */     // MIs[0] round
     /*  523867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523877 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  523880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523886 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523899 */     GIR_RootConstrainSelectedInstOperands,
     /*  523900 */     // GIR_Coverage, 20925,
     /*  523900 */     GIR_EraseRootFromParent_Done,
     /*  523901 */   // Label 8688: @523901
     /*  523901 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(523972), // Rule ID 20926 //
     /*  523906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  523923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523938 */     // MIs[0] round
     /*  523938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  523951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523957 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523970 */     GIR_RootConstrainSelectedInstOperands,
     /*  523971 */     // GIR_Coverage, 20926,
     /*  523971 */     GIR_EraseRootFromParent_Done,
     /*  523972 */   // Label 8689: @523972
     /*  523972 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524043), // Rule ID 20929 //
     /*  523977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  523988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  523991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  523994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524009 */     // MIs[0] round
     /*  524009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524019 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524028 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524041 */     GIR_RootConstrainSelectedInstOperands,
     /*  524042 */     // GIR_Coverage, 20929,
     /*  524042 */     GIR_EraseRootFromParent_Done,
     /*  524043 */   // Label 8690: @524043
     /*  524043 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524114), // Rule ID 20930 //
     /*  524048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524080 */     // MIs[0] round
     /*  524080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  524093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524099 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524112 */     GIR_RootConstrainSelectedInstOperands,
     /*  524113 */     // GIR_Coverage, 20930,
     /*  524113 */     GIR_EraseRootFromParent_Done,
     /*  524114 */   // Label 8691: @524114
     /*  524114 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524185), // Rule ID 20933 //
     /*  524119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524151 */     // MIs[0] round
     /*  524151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524161 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524170 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524183 */     GIR_RootConstrainSelectedInstOperands,
     /*  524184 */     // GIR_Coverage, 20933,
     /*  524184 */     GIR_EraseRootFromParent_Done,
     /*  524185 */   // Label 8692: @524185
     /*  524185 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524256), // Rule ID 20934 //
     /*  524190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524222 */     // MIs[0] round
     /*  524222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  524235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524241 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524254 */     GIR_RootConstrainSelectedInstOperands,
     /*  524255 */     // GIR_Coverage, 20934,
     /*  524255 */     GIR_EraseRootFromParent_Done,
     /*  524256 */   // Label 8693: @524256
     /*  524256 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524327), // Rule ID 20937 //
     /*  524261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524293 */     // MIs[0] round
     /*  524293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524312 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524325 */     GIR_RootConstrainSelectedInstOperands,
     /*  524326 */     // GIR_Coverage, 20937,
     /*  524326 */     GIR_EraseRootFromParent_Done,
     /*  524327 */   // Label 8694: @524327
     /*  524327 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524398), // Rule ID 20938 //
     /*  524332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524364 */     // MIs[0] round
     /*  524364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524374 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  524377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524383 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524396 */     GIR_RootConstrainSelectedInstOperands,
     /*  524397 */     // GIR_Coverage, 20938,
     /*  524397 */     GIR_EraseRootFromParent_Done,
     /*  524398 */   // Label 8695: @524398
     /*  524398 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524469), // Rule ID 20941 //
     /*  524403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524435 */     // MIs[0] round
     /*  524435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524445 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524454 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524467 */     GIR_RootConstrainSelectedInstOperands,
     /*  524468 */     // GIR_Coverage, 20941,
     /*  524468 */     GIR_EraseRootFromParent_Done,
     /*  524469 */   // Label 8696: @524469
     /*  524469 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524540), // Rule ID 20942 //
     /*  524474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524506 */     // MIs[0] round
     /*  524506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524516 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  524519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524525 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524538 */     GIR_RootConstrainSelectedInstOperands,
     /*  524539 */     // GIR_Coverage, 20942,
     /*  524539 */     GIR_EraseRootFromParent_Done,
     /*  524540 */   // Label 8697: @524540
     /*  524540 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524611), // Rule ID 20945 //
     /*  524545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524577 */     // MIs[0] round
     /*  524577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  524590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524596 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524609 */     GIR_RootConstrainSelectedInstOperands,
     /*  524610 */     // GIR_Coverage, 20945,
     /*  524610 */     GIR_EraseRootFromParent_Done,
     /*  524611 */   // Label 8698: @524611
     /*  524611 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524682), // Rule ID 20946 //
     /*  524616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524648 */     // MIs[0] round
     /*  524648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524658 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  524661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524680 */     GIR_RootConstrainSelectedInstOperands,
     /*  524681 */     // GIR_Coverage, 20946,
     /*  524681 */     GIR_EraseRootFromParent_Done,
     /*  524682 */   // Label 8699: @524682
     /*  524682 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524753), // Rule ID 20949 //
     /*  524687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  524698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  524704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524719 */     // MIs[0] round
     /*  524719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524729 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  524732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524751 */     GIR_RootConstrainSelectedInstOperands,
     /*  524752 */     // GIR_Coverage, 20949,
     /*  524752 */     GIR_EraseRootFromParent_Done,
     /*  524753 */   // Label 8700: @524753
     /*  524753 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524824), // Rule ID 20950 //
     /*  524758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  524769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  524775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524790 */     // MIs[0] round
     /*  524790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524800 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  524803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524822 */     GIR_RootConstrainSelectedInstOperands,
     /*  524823 */     // GIR_Coverage, 20950,
     /*  524823 */     GIR_EraseRootFromParent_Done,
     /*  524824 */   // Label 8701: @524824
     /*  524824 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(524895), // Rule ID 20953 //
     /*  524829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  524846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524861 */     // MIs[0] round
     /*  524861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524871 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  524874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524893 */     GIR_RootConstrainSelectedInstOperands,
     /*  524894 */     // GIR_Coverage, 20953,
     /*  524894 */     GIR_EraseRootFromParent_Done,
     /*  524895 */   // Label 8702: @524895
     /*  524895 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(524966), // Rule ID 20954 //
     /*  524900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  524917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524932 */     // MIs[0] round
     /*  524932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524942 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  524945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524964 */     GIR_RootConstrainSelectedInstOperands,
     /*  524965 */     // GIR_Coverage, 20954,
     /*  524965 */     GIR_EraseRootFromParent_Done,
     /*  524966 */   // Label 8703: @524966
     /*  524966 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525037), // Rule ID 20957 //
     /*  524971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  524982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  524985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  524988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525003 */     // MIs[0] round
     /*  525003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525013 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525035 */     GIR_RootConstrainSelectedInstOperands,
     /*  525036 */     // GIR_Coverage, 20957,
     /*  525036 */     GIR_EraseRootFromParent_Done,
     /*  525037 */   // Label 8704: @525037
     /*  525037 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525108), // Rule ID 20958 //
     /*  525042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525074 */     // MIs[0] round
     /*  525074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525084 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  525087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525106 */     GIR_RootConstrainSelectedInstOperands,
     /*  525107 */     // GIR_Coverage, 20958,
     /*  525107 */     GIR_EraseRootFromParent_Done,
     /*  525108 */   // Label 8705: @525108
     /*  525108 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525179), // Rule ID 20961 //
     /*  525113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525145 */     // MIs[0] round
     /*  525145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525155 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525177 */     GIR_RootConstrainSelectedInstOperands,
     /*  525178 */     // GIR_Coverage, 20961,
     /*  525178 */     GIR_EraseRootFromParent_Done,
     /*  525179 */   // Label 8706: @525179
     /*  525179 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525250), // Rule ID 20962 //
     /*  525184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525216 */     // MIs[0] round
     /*  525216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525226 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  525229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525248 */     GIR_RootConstrainSelectedInstOperands,
     /*  525249 */     // GIR_Coverage, 20962,
     /*  525249 */     GIR_EraseRootFromParent_Done,
     /*  525250 */   // Label 8707: @525250
     /*  525250 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525321), // Rule ID 20965 //
     /*  525255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525287 */     // MIs[0] round
     /*  525287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525319 */     GIR_RootConstrainSelectedInstOperands,
     /*  525320 */     // GIR_Coverage, 20965,
     /*  525320 */     GIR_EraseRootFromParent_Done,
     /*  525321 */   // Label 8708: @525321
     /*  525321 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525392), // Rule ID 20966 //
     /*  525326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525358 */     // MIs[0] round
     /*  525358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  525371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525390 */     GIR_RootConstrainSelectedInstOperands,
     /*  525391 */     // GIR_Coverage, 20966,
     /*  525391 */     GIR_EraseRootFromParent_Done,
     /*  525392 */   // Label 8709: @525392
     /*  525392 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525463), // Rule ID 20969 //
     /*  525397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525429 */     // MIs[0] round
     /*  525429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525439 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525461 */     GIR_RootConstrainSelectedInstOperands,
     /*  525462 */     // GIR_Coverage, 20969,
     /*  525462 */     GIR_EraseRootFromParent_Done,
     /*  525463 */   // Label 8710: @525463
     /*  525463 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525534), // Rule ID 20970 //
     /*  525468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525500 */     // MIs[0] round
     /*  525500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525510 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  525513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525532 */     GIR_RootConstrainSelectedInstOperands,
     /*  525533 */     // GIR_Coverage, 20970,
     /*  525533 */     GIR_EraseRootFromParent_Done,
     /*  525534 */   // Label 8711: @525534
     /*  525534 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525605), // Rule ID 20973 //
     /*  525539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525571 */     // MIs[0] round
     /*  525571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525581 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  525584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525603 */     GIR_RootConstrainSelectedInstOperands,
     /*  525604 */     // GIR_Coverage, 20973,
     /*  525604 */     GIR_EraseRootFromParent_Done,
     /*  525605 */   // Label 8712: @525605
     /*  525605 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525676), // Rule ID 20974 //
     /*  525610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525642 */     // MIs[0] round
     /*  525642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  525655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525674 */     GIR_RootConstrainSelectedInstOperands,
     /*  525675 */     // GIR_Coverage, 20974,
     /*  525675 */     GIR_EraseRootFromParent_Done,
     /*  525676 */   // Label 8713: @525676
     /*  525676 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525747), // Rule ID 20977 //
     /*  525681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  525698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525713 */     // MIs[0] round
     /*  525713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  525726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525745 */     GIR_RootConstrainSelectedInstOperands,
     /*  525746 */     // GIR_Coverage, 20977,
     /*  525746 */     GIR_EraseRootFromParent_Done,
     /*  525747 */   // Label 8714: @525747
     /*  525747 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525818), // Rule ID 20978 //
     /*  525752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  525769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525784 */     // MIs[0] round
     /*  525784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525794 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  525797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525816 */     GIR_RootConstrainSelectedInstOperands,
     /*  525817 */     // GIR_Coverage, 20978,
     /*  525817 */     GIR_EraseRootFromParent_Done,
     /*  525818 */   // Label 8715: @525818
     /*  525818 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(525889), // Rule ID 20981 //
     /*  525823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  525840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525855 */     // MIs[0] round
     /*  525855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525865 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  525868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525887 */     GIR_RootConstrainSelectedInstOperands,
     /*  525888 */     // GIR_Coverage, 20981,
     /*  525888 */     GIR_EraseRootFromParent_Done,
     /*  525889 */   // Label 8716: @525889
     /*  525889 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(525960), // Rule ID 20982 //
     /*  525894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  525902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  525911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525926 */     // MIs[0] round
     /*  525926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525936 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  525939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525958 */     GIR_RootConstrainSelectedInstOperands,
     /*  525959 */     // GIR_Coverage, 20982,
     /*  525959 */     GIR_EraseRootFromParent_Done,
     /*  525960 */   // Label 8717: @525960
     /*  525960 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526031), // Rule ID 21057 //
     /*  525965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  525976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  525979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  525982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525997 */     // MIs[0] round
     /*  525997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526029 */     GIR_RootConstrainSelectedInstOperands,
     /*  526030 */     // GIR_Coverage, 21057,
     /*  526030 */     GIR_EraseRootFromParent_Done,
     /*  526031 */   // Label 8718: @526031
     /*  526031 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526102), // Rule ID 21058 //
     /*  526036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526068 */     // MIs[0] round
     /*  526068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  526081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526100 */     GIR_RootConstrainSelectedInstOperands,
     /*  526101 */     // GIR_Coverage, 21058,
     /*  526101 */     GIR_EraseRootFromParent_Done,
     /*  526102 */   // Label 8719: @526102
     /*  526102 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526173), // Rule ID 21061 //
     /*  526107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526139 */     // MIs[0] round
     /*  526139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526171 */     GIR_RootConstrainSelectedInstOperands,
     /*  526172 */     // GIR_Coverage, 21061,
     /*  526172 */     GIR_EraseRootFromParent_Done,
     /*  526173 */   // Label 8720: @526173
     /*  526173 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526244), // Rule ID 21062 //
     /*  526178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526210 */     // MIs[0] round
     /*  526210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526242 */     GIR_RootConstrainSelectedInstOperands,
     /*  526243 */     // GIR_Coverage, 21062,
     /*  526243 */     GIR_EraseRootFromParent_Done,
     /*  526244 */   // Label 8721: @526244
     /*  526244 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526315), // Rule ID 21065 //
     /*  526249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526281 */     // MIs[0] round
     /*  526281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526313 */     GIR_RootConstrainSelectedInstOperands,
     /*  526314 */     // GIR_Coverage, 21065,
     /*  526314 */     GIR_EraseRootFromParent_Done,
     /*  526315 */   // Label 8722: @526315
     /*  526315 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526386), // Rule ID 21066 //
     /*  526320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526352 */     // MIs[0] round
     /*  526352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526384 */     GIR_RootConstrainSelectedInstOperands,
     /*  526385 */     // GIR_Coverage, 21066,
     /*  526385 */     GIR_EraseRootFromParent_Done,
     /*  526386 */   // Label 8723: @526386
     /*  526386 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526457), // Rule ID 21069 //
     /*  526391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526423 */     // MIs[0] round
     /*  526423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526455 */     GIR_RootConstrainSelectedInstOperands,
     /*  526456 */     // GIR_Coverage, 21069,
     /*  526456 */     GIR_EraseRootFromParent_Done,
     /*  526457 */   // Label 8724: @526457
     /*  526457 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526528), // Rule ID 21070 //
     /*  526462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526494 */     // MIs[0] round
     /*  526494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  526507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526526 */     GIR_RootConstrainSelectedInstOperands,
     /*  526527 */     // GIR_Coverage, 21070,
     /*  526527 */     GIR_EraseRootFromParent_Done,
     /*  526528 */   // Label 8725: @526528
     /*  526528 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526599), // Rule ID 21073 //
     /*  526533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526565 */     // MIs[0] round
     /*  526565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  526578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526597 */     GIR_RootConstrainSelectedInstOperands,
     /*  526598 */     // GIR_Coverage, 21073,
     /*  526598 */     GIR_EraseRootFromParent_Done,
     /*  526599 */   // Label 8726: @526599
     /*  526599 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526670), // Rule ID 21074 //
     /*  526604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526636 */     // MIs[0] round
     /*  526636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  526649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526668 */     GIR_RootConstrainSelectedInstOperands,
     /*  526669 */     // GIR_Coverage, 21074,
     /*  526669 */     GIR_EraseRootFromParent_Done,
     /*  526670 */   // Label 8727: @526670
     /*  526670 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526741), // Rule ID 21077 //
     /*  526675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526707 */     // MIs[0] round
     /*  526707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526739 */     GIR_RootConstrainSelectedInstOperands,
     /*  526740 */     // GIR_Coverage, 21077,
     /*  526740 */     GIR_EraseRootFromParent_Done,
     /*  526741 */   // Label 8728: @526741
     /*  526741 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526812), // Rule ID 21078 //
     /*  526746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526778 */     // MIs[0] round
     /*  526778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  526791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526810 */     GIR_RootConstrainSelectedInstOperands,
     /*  526811 */     // GIR_Coverage, 21078,
     /*  526811 */     GIR_EraseRootFromParent_Done,
     /*  526812 */   // Label 8729: @526812
     /*  526812 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(526883), // Rule ID 21081 //
     /*  526817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526849 */     // MIs[0] round
     /*  526849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526881 */     GIR_RootConstrainSelectedInstOperands,
     /*  526882 */     // GIR_Coverage, 21081,
     /*  526882 */     GIR_EraseRootFromParent_Done,
     /*  526883 */   // Label 8730: @526883
     /*  526883 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(526954), // Rule ID 21082 //
     /*  526888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526920 */     // MIs[0] round
     /*  526920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  526933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526952 */     GIR_RootConstrainSelectedInstOperands,
     /*  526953 */     // GIR_Coverage, 21082,
     /*  526953 */     GIR_EraseRootFromParent_Done,
     /*  526954 */   // Label 8731: @526954
     /*  526954 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527025), // Rule ID 21085 //
     /*  526959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  526967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526991 */     // MIs[0] round
     /*  526991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527001 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527023 */     GIR_RootConstrainSelectedInstOperands,
     /*  527024 */     // GIR_Coverage, 21085,
     /*  527024 */     GIR_EraseRootFromParent_Done,
     /*  527025 */   // Label 8732: @527025
     /*  527025 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527096), // Rule ID 21086 //
     /*  527030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527062 */     // MIs[0] round
     /*  527062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  527075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527094 */     GIR_RootConstrainSelectedInstOperands,
     /*  527095 */     // GIR_Coverage, 21086,
     /*  527095 */     GIR_EraseRootFromParent_Done,
     /*  527096 */   // Label 8733: @527096
     /*  527096 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527167), // Rule ID 21089 //
     /*  527101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527133 */     // MIs[0] round
     /*  527133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527165 */     GIR_RootConstrainSelectedInstOperands,
     /*  527166 */     // GIR_Coverage, 21089,
     /*  527166 */     GIR_EraseRootFromParent_Done,
     /*  527167 */   // Label 8734: @527167
     /*  527167 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527238), // Rule ID 21090 //
     /*  527172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  527180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527204 */     // MIs[0] round
     /*  527204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  527217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527236 */     GIR_RootConstrainSelectedInstOperands,
     /*  527237 */     // GIR_Coverage, 21090,
     /*  527237 */     GIR_EraseRootFromParent_Done,
     /*  527238 */   // Label 8735: @527238
     /*  527238 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527309), // Rule ID 21093 //
     /*  527243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527275 */     // MIs[0] round
     /*  527275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527307 */     GIR_RootConstrainSelectedInstOperands,
     /*  527308 */     // GIR_Coverage, 21093,
     /*  527308 */     GIR_EraseRootFromParent_Done,
     /*  527309 */   // Label 8736: @527309
     /*  527309 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527380), // Rule ID 21094 //
     /*  527314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527346 */     // MIs[0] round
     /*  527346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  527359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527378 */     GIR_RootConstrainSelectedInstOperands,
     /*  527379 */     // GIR_Coverage, 21094,
     /*  527379 */     GIR_EraseRootFromParent_Done,
     /*  527380 */   // Label 8737: @527380
     /*  527380 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527451), // Rule ID 21097 //
     /*  527385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527417 */     // MIs[0] round
     /*  527417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527449 */     GIR_RootConstrainSelectedInstOperands,
     /*  527450 */     // GIR_Coverage, 21097,
     /*  527450 */     GIR_EraseRootFromParent_Done,
     /*  527451 */   // Label 8738: @527451
     /*  527451 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527522), // Rule ID 21098 //
     /*  527456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527488 */     // MIs[0] round
     /*  527488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527520 */     GIR_RootConstrainSelectedInstOperands,
     /*  527521 */     // GIR_Coverage, 21098,
     /*  527521 */     GIR_EraseRootFromParent_Done,
     /*  527522 */   // Label 8739: @527522
     /*  527522 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527593), // Rule ID 21101 //
     /*  527527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527559 */     // MIs[0] round
     /*  527559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  527572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527591 */     GIR_RootConstrainSelectedInstOperands,
     /*  527592 */     // GIR_Coverage, 21101,
     /*  527592 */     GIR_EraseRootFromParent_Done,
     /*  527593 */   // Label 8740: @527593
     /*  527593 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527664), // Rule ID 21102 //
     /*  527598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527630 */     // MIs[0] round
     /*  527630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  527643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527662 */     GIR_RootConstrainSelectedInstOperands,
     /*  527663 */     // GIR_Coverage, 21102,
     /*  527663 */     GIR_EraseRootFromParent_Done,
     /*  527664 */   // Label 8741: @527664
     /*  527664 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527735), // Rule ID 21105 //
     /*  527669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527701 */     // MIs[0] round
     /*  527701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527733 */     GIR_RootConstrainSelectedInstOperands,
     /*  527734 */     // GIR_Coverage, 21105,
     /*  527734 */     GIR_EraseRootFromParent_Done,
     /*  527735 */   // Label 8742: @527735
     /*  527735 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527806), // Rule ID 21106 //
     /*  527740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527772 */     // MIs[0] round
     /*  527772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527804 */     GIR_RootConstrainSelectedInstOperands,
     /*  527805 */     // GIR_Coverage, 21106,
     /*  527805 */     GIR_EraseRootFromParent_Done,
     /*  527806 */   // Label 8743: @527806
     /*  527806 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527877), // Rule ID 21109 //
     /*  527811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527843 */     // MIs[0] round
     /*  527843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527875 */     GIR_RootConstrainSelectedInstOperands,
     /*  527876 */     // GIR_Coverage, 21109,
     /*  527876 */     GIR_EraseRootFromParent_Done,
     /*  527877 */   // Label 8744: @527877
     /*  527877 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(527948), // Rule ID 21110 //
     /*  527882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527914 */     // MIs[0] round
     /*  527914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527946 */     GIR_RootConstrainSelectedInstOperands,
     /*  527947 */     // GIR_Coverage, 21110,
     /*  527947 */     GIR_EraseRootFromParent_Done,
     /*  527948 */   // Label 8745: @527948
     /*  527948 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528019), // Rule ID 21113 //
     /*  527953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527985 */     // MIs[0] round
     /*  527985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527995 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  527998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528017 */     GIR_RootConstrainSelectedInstOperands,
     /*  528018 */     // GIR_Coverage, 21113,
     /*  528018 */     GIR_EraseRootFromParent_Done,
     /*  528019 */   // Label 8746: @528019
     /*  528019 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528090), // Rule ID 21114 //
     /*  528024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528056 */     // MIs[0] round
     /*  528056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  528069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528088 */     GIR_RootConstrainSelectedInstOperands,
     /*  528089 */     // GIR_Coverage, 21114,
     /*  528089 */     GIR_EraseRootFromParent_Done,
     /*  528090 */   // Label 8747: @528090
     /*  528090 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528161), // Rule ID 21117 //
     /*  528095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528127 */     // MIs[0] round
     /*  528127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528137 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528159 */     GIR_RootConstrainSelectedInstOperands,
     /*  528160 */     // GIR_Coverage, 21117,
     /*  528160 */     GIR_EraseRootFromParent_Done,
     /*  528161 */   // Label 8748: @528161
     /*  528161 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528232), // Rule ID 21118 //
     /*  528166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528198 */     // MIs[0] round
     /*  528198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  528211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528230 */     GIR_RootConstrainSelectedInstOperands,
     /*  528231 */     // GIR_Coverage, 21118,
     /*  528231 */     GIR_EraseRootFromParent_Done,
     /*  528232 */   // Label 8749: @528232
     /*  528232 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528303), // Rule ID 21121 //
     /*  528237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528269 */     // MIs[0] round
     /*  528269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528279 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528301 */     GIR_RootConstrainSelectedInstOperands,
     /*  528302 */     // GIR_Coverage, 21121,
     /*  528302 */     GIR_EraseRootFromParent_Done,
     /*  528303 */   // Label 8750: @528303
     /*  528303 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528374), // Rule ID 21122 //
     /*  528308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528340 */     // MIs[0] round
     /*  528340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  528353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528372 */     GIR_RootConstrainSelectedInstOperands,
     /*  528373 */     // GIR_Coverage, 21122,
     /*  528373 */     GIR_EraseRootFromParent_Done,
     /*  528374 */   // Label 8751: @528374
     /*  528374 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528445), // Rule ID 21125 //
     /*  528379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528411 */     // MIs[0] round
     /*  528411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528443 */     GIR_RootConstrainSelectedInstOperands,
     /*  528444 */     // GIR_Coverage, 21125,
     /*  528444 */     GIR_EraseRootFromParent_Done,
     /*  528445 */   // Label 8752: @528445
     /*  528445 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528516), // Rule ID 21126 //
     /*  528450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  528458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528482 */     // MIs[0] round
     /*  528482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  528495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528514 */     GIR_RootConstrainSelectedInstOperands,
     /*  528515 */     // GIR_Coverage, 21126,
     /*  528515 */     GIR_EraseRootFromParent_Done,
     /*  528516 */   // Label 8753: @528516
     /*  528516 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528587), // Rule ID 21477 //
     /*  528521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528553 */     // MIs[0] round
     /*  528553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  528566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528585 */     GIR_RootConstrainSelectedInstOperands,
     /*  528586 */     // GIR_Coverage, 21477,
     /*  528586 */     GIR_EraseRootFromParent_Done,
     /*  528587 */   // Label 8754: @528587
     /*  528587 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528658), // Rule ID 21478 //
     /*  528592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  528603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  528606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528624 */     // MIs[0] round
     /*  528624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  528637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528656 */     GIR_RootConstrainSelectedInstOperands,
     /*  528657 */     // GIR_Coverage, 21478,
     /*  528657 */     GIR_EraseRootFromParent_Done,
     /*  528658 */   // Label 8755: @528658
     /*  528658 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528729), // Rule ID 21481 //
     /*  528663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  528674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  528677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528695 */     // MIs[0] round
     /*  528695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528727 */     GIR_RootConstrainSelectedInstOperands,
     /*  528728 */     // GIR_Coverage, 21481,
     /*  528728 */     GIR_EraseRootFromParent_Done,
     /*  528729 */   // Label 8756: @528729
     /*  528729 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528800), // Rule ID 21482 //
     /*  528734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  528745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  528748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528766 */     // MIs[0] round
     /*  528766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528798 */     GIR_RootConstrainSelectedInstOperands,
     /*  528799 */     // GIR_Coverage, 21482,
     /*  528799 */     GIR_EraseRootFromParent_Done,
     /*  528800 */   // Label 8757: @528800
     /*  528800 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528871), // Rule ID 21485 //
     /*  528805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  528816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  528819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528837 */     // MIs[0] round
     /*  528837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528869 */     GIR_RootConstrainSelectedInstOperands,
     /*  528870 */     // GIR_Coverage, 21485,
     /*  528870 */     GIR_EraseRootFromParent_Done,
     /*  528871 */   // Label 8758: @528871
     /*  528871 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(528942), // Rule ID 21486 //
     /*  528876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  528887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  528890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528908 */     // MIs[0] round
     /*  528908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528940 */     GIR_RootConstrainSelectedInstOperands,
     /*  528941 */     // GIR_Coverage, 21486,
     /*  528941 */     GIR_EraseRootFromParent_Done,
     /*  528942 */   // Label 8759: @528942
     /*  528942 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529013), // Rule ID 21489 //
     /*  528947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  528958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  528961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  528964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528979 */     // MIs[0] round
     /*  528979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  528992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529011 */     GIR_RootConstrainSelectedInstOperands,
     /*  529012 */     // GIR_Coverage, 21489,
     /*  529012 */     GIR_EraseRootFromParent_Done,
     /*  529013 */   // Label 8760: @529013
     /*  529013 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529084), // Rule ID 21490 //
     /*  529018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529050 */     // MIs[0] round
     /*  529050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529082 */     GIR_RootConstrainSelectedInstOperands,
     /*  529083 */     // GIR_Coverage, 21490,
     /*  529083 */     GIR_EraseRootFromParent_Done,
     /*  529084 */   // Label 8761: @529084
     /*  529084 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529155), // Rule ID 21493 //
     /*  529089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529121 */     // MIs[0] round
     /*  529121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529153 */     GIR_RootConstrainSelectedInstOperands,
     /*  529154 */     // GIR_Coverage, 21493,
     /*  529154 */     GIR_EraseRootFromParent_Done,
     /*  529155 */   // Label 8762: @529155
     /*  529155 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529226), // Rule ID 21494 //
     /*  529160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  529171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  529174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529192 */     // MIs[0] round
     /*  529192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529224 */     GIR_RootConstrainSelectedInstOperands,
     /*  529225 */     // GIR_Coverage, 21494,
     /*  529225 */     GIR_EraseRootFromParent_Done,
     /*  529226 */   // Label 8763: @529226
     /*  529226 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529297), // Rule ID 21497 //
     /*  529231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529263 */     // MIs[0] round
     /*  529263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529295 */     GIR_RootConstrainSelectedInstOperands,
     /*  529296 */     // GIR_Coverage, 21497,
     /*  529296 */     GIR_EraseRootFromParent_Done,
     /*  529297 */   // Label 8764: @529297
     /*  529297 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529368), // Rule ID 21498 //
     /*  529302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  529313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  529316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529334 */     // MIs[0] round
     /*  529334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529366 */     GIR_RootConstrainSelectedInstOperands,
     /*  529367 */     // GIR_Coverage, 21498,
     /*  529367 */     GIR_EraseRootFromParent_Done,
     /*  529368 */   // Label 8765: @529368
     /*  529368 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529439), // Rule ID 21501 //
     /*  529373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529405 */     // MIs[0] round
     /*  529405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529437 */     GIR_RootConstrainSelectedInstOperands,
     /*  529438 */     // GIR_Coverage, 21501,
     /*  529438 */     GIR_EraseRootFromParent_Done,
     /*  529439 */   // Label 8766: @529439
     /*  529439 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529510), // Rule ID 21502 //
     /*  529444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529476 */     // MIs[0] round
     /*  529476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  529489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529508 */     GIR_RootConstrainSelectedInstOperands,
     /*  529509 */     // GIR_Coverage, 21502,
     /*  529509 */     GIR_EraseRootFromParent_Done,
     /*  529510 */   // Label 8767: @529510
     /*  529510 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529581), // Rule ID 21505 //
     /*  529515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529547 */     // MIs[0] round
     /*  529547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529557 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529579 */     GIR_RootConstrainSelectedInstOperands,
     /*  529580 */     // GIR_Coverage, 21505,
     /*  529580 */     GIR_EraseRootFromParent_Done,
     /*  529581 */   // Label 8768: @529581
     /*  529581 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529652), // Rule ID 21506 //
     /*  529586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529618 */     // MIs[0] round
     /*  529618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529650 */     GIR_RootConstrainSelectedInstOperands,
     /*  529651 */     // GIR_Coverage, 21506,
     /*  529651 */     GIR_EraseRootFromParent_Done,
     /*  529652 */   // Label 8769: @529652
     /*  529652 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529723), // Rule ID 21509 //
     /*  529657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529689 */     // MIs[0] round
     /*  529689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529721 */     GIR_RootConstrainSelectedInstOperands,
     /*  529722 */     // GIR_Coverage, 21509,
     /*  529722 */     GIR_EraseRootFromParent_Done,
     /*  529723 */   // Label 8770: @529723
     /*  529723 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529794), // Rule ID 21510 //
     /*  529728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529760 */     // MIs[0] round
     /*  529760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529792 */     GIR_RootConstrainSelectedInstOperands,
     /*  529793 */     // GIR_Coverage, 21510,
     /*  529793 */     GIR_EraseRootFromParent_Done,
     /*  529794 */   // Label 8771: @529794
     /*  529794 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529865), // Rule ID 21513 //
     /*  529799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529831 */     // MIs[0] round
     /*  529831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529841 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529863 */     GIR_RootConstrainSelectedInstOperands,
     /*  529864 */     // GIR_Coverage, 21513,
     /*  529864 */     GIR_EraseRootFromParent_Done,
     /*  529865 */   // Label 8772: @529865
     /*  529865 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(529936), // Rule ID 21514 //
     /*  529870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529902 */     // MIs[0] round
     /*  529902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529934 */     GIR_RootConstrainSelectedInstOperands,
     /*  529935 */     // GIR_Coverage, 21514,
     /*  529935 */     GIR_EraseRootFromParent_Done,
     /*  529936 */   // Label 8773: @529936
     /*  529936 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530007), // Rule ID 21517 //
     /*  529941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  529958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529973 */     // MIs[0] round
     /*  529973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530005 */     GIR_RootConstrainSelectedInstOperands,
     /*  530006 */     // GIR_Coverage, 21517,
     /*  530006 */     GIR_EraseRootFromParent_Done,
     /*  530007 */   // Label 8774: @530007
     /*  530007 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530078), // Rule ID 21518 //
     /*  530012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530044 */     // MIs[0] round
     /*  530044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530076 */     GIR_RootConstrainSelectedInstOperands,
     /*  530077 */     // GIR_Coverage, 21518,
     /*  530077 */     GIR_EraseRootFromParent_Done,
     /*  530078 */   // Label 8775: @530078
     /*  530078 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530149), // Rule ID 21521 //
     /*  530083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530115 */     // MIs[0] round
     /*  530115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530147 */     GIR_RootConstrainSelectedInstOperands,
     /*  530148 */     // GIR_Coverage, 21521,
     /*  530148 */     GIR_EraseRootFromParent_Done,
     /*  530149 */   // Label 8776: @530149
     /*  530149 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530220), // Rule ID 21522 //
     /*  530154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530186 */     // MIs[0] round
     /*  530186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  530199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530218 */     GIR_RootConstrainSelectedInstOperands,
     /*  530219 */     // GIR_Coverage, 21522,
     /*  530219 */     GIR_EraseRootFromParent_Done,
     /*  530220 */   // Label 8777: @530220
     /*  530220 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530291), // Rule ID 21525 //
     /*  530225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530257 */     // MIs[0] round
     /*  530257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530289 */     GIR_RootConstrainSelectedInstOperands,
     /*  530290 */     // GIR_Coverage, 21525,
     /*  530290 */     GIR_EraseRootFromParent_Done,
     /*  530291 */   // Label 8778: @530291
     /*  530291 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530362), // Rule ID 21526 //
     /*  530296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530328 */     // MIs[0] round
     /*  530328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  530341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530360 */     GIR_RootConstrainSelectedInstOperands,
     /*  530361 */     // GIR_Coverage, 21526,
     /*  530361 */     GIR_EraseRootFromParent_Done,
     /*  530362 */   // Label 8779: @530362
     /*  530362 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530433), // Rule ID 21529 //
     /*  530367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530399 */     // MIs[0] round
     /*  530399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530431 */     GIR_RootConstrainSelectedInstOperands,
     /*  530432 */     // GIR_Coverage, 21529,
     /*  530432 */     GIR_EraseRootFromParent_Done,
     /*  530433 */   // Label 8780: @530433
     /*  530433 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530504), // Rule ID 21530 //
     /*  530438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530470 */     // MIs[0] round
     /*  530470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  530483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530502 */     GIR_RootConstrainSelectedInstOperands,
     /*  530503 */     // GIR_Coverage, 21530,
     /*  530503 */     GIR_EraseRootFromParent_Done,
     /*  530504 */   // Label 8781: @530504
     /*  530504 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530575), // Rule ID 21533 //
     /*  530509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  530512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530541 */     // MIs[0] round
     /*  530541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530573 */     GIR_RootConstrainSelectedInstOperands,
     /*  530574 */     // GIR_Coverage, 21533,
     /*  530574 */     GIR_EraseRootFromParent_Done,
     /*  530575 */   // Label 8782: @530575
     /*  530575 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530646), // Rule ID 21534 //
     /*  530580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  530583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  530588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530612 */     // MIs[0] round
     /*  530612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  530625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530644 */     GIR_RootConstrainSelectedInstOperands,
     /*  530645 */     // GIR_Coverage, 21534,
     /*  530645 */     GIR_EraseRootFromParent_Done,
     /*  530646 */   // Label 8783: @530646
     /*  530646 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530717), // Rule ID 21537 //
     /*  530651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530683 */     // MIs[0] round
     /*  530683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  530696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530715 */     GIR_RootConstrainSelectedInstOperands,
     /*  530716 */     // GIR_Coverage, 21537,
     /*  530716 */     GIR_EraseRootFromParent_Done,
     /*  530717 */   // Label 8784: @530717
     /*  530717 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530788), // Rule ID 21538 //
     /*  530722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530754 */     // MIs[0] round
     /*  530754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  530767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530786 */     GIR_RootConstrainSelectedInstOperands,
     /*  530787 */     // GIR_Coverage, 21538,
     /*  530787 */     GIR_EraseRootFromParent_Done,
     /*  530788 */   // Label 8785: @530788
     /*  530788 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530859), // Rule ID 21541 //
     /*  530793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530825 */     // MIs[0] round
     /*  530825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530857 */     GIR_RootConstrainSelectedInstOperands,
     /*  530858 */     // GIR_Coverage, 21541,
     /*  530858 */     GIR_EraseRootFromParent_Done,
     /*  530859 */   // Label 8786: @530859
     /*  530859 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(530930), // Rule ID 21542 //
     /*  530864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530896 */     // MIs[0] round
     /*  530896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530928 */     GIR_RootConstrainSelectedInstOperands,
     /*  530929 */     // GIR_Coverage, 21542,
     /*  530929 */     GIR_EraseRootFromParent_Done,
     /*  530930 */   // Label 8787: @530930
     /*  530930 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531001), // Rule ID 21545 //
     /*  530935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  530946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  530949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  530952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530967 */     // MIs[0] round
     /*  530967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  530980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530999 */     GIR_RootConstrainSelectedInstOperands,
     /*  531000 */     // GIR_Coverage, 21545,
     /*  531000 */     GIR_EraseRootFromParent_Done,
     /*  531001 */   // Label 8788: @531001
     /*  531001 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531072), // Rule ID 21546 //
     /*  531006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  531017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  531020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531038 */     // MIs[0] round
     /*  531038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531070 */     GIR_RootConstrainSelectedInstOperands,
     /*  531071 */     // GIR_Coverage, 21546,
     /*  531071 */     GIR_EraseRootFromParent_Done,
     /*  531072 */   // Label 8789: @531072
     /*  531072 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531143), // Rule ID 21549 //
     /*  531077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531109 */     // MIs[0] round
     /*  531109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531119 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531141 */     GIR_RootConstrainSelectedInstOperands,
     /*  531142 */     // GIR_Coverage, 21549,
     /*  531142 */     GIR_EraseRootFromParent_Done,
     /*  531143 */   // Label 8790: @531143
     /*  531143 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531214), // Rule ID 21550 //
     /*  531148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531180 */     // MIs[0] round
     /*  531180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531212 */     GIR_RootConstrainSelectedInstOperands,
     /*  531213 */     // GIR_Coverage, 21550,
     /*  531213 */     GIR_EraseRootFromParent_Done,
     /*  531214 */   // Label 8791: @531214
     /*  531214 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531285), // Rule ID 21553 //
     /*  531219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531251 */     // MIs[0] round
     /*  531251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531261 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531283 */     GIR_RootConstrainSelectedInstOperands,
     /*  531284 */     // GIR_Coverage, 21553,
     /*  531284 */     GIR_EraseRootFromParent_Done,
     /*  531285 */   // Label 8792: @531285
     /*  531285 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531356), // Rule ID 21554 //
     /*  531290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  531301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  531304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531322 */     // MIs[0] round
     /*  531322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531354 */     GIR_RootConstrainSelectedInstOperands,
     /*  531355 */     // GIR_Coverage, 21554,
     /*  531355 */     GIR_EraseRootFromParent_Done,
     /*  531356 */   // Label 8793: @531356
     /*  531356 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531427), // Rule ID 21557 //
     /*  531361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531393 */     // MIs[0] round
     /*  531393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531425 */     GIR_RootConstrainSelectedInstOperands,
     /*  531426 */     // GIR_Coverage, 21557,
     /*  531426 */     GIR_EraseRootFromParent_Done,
     /*  531427 */   // Label 8794: @531427
     /*  531427 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531498), // Rule ID 21558 //
     /*  531432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  531443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  531446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531464 */     // MIs[0] round
     /*  531464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531496 */     GIR_RootConstrainSelectedInstOperands,
     /*  531497 */     // GIR_Coverage, 21558,
     /*  531497 */     GIR_EraseRootFromParent_Done,
     /*  531498 */   // Label 8795: @531498
     /*  531498 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531569), // Rule ID 21561 //
     /*  531503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531535 */     // MIs[0] round
     /*  531535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531567 */     GIR_RootConstrainSelectedInstOperands,
     /*  531568 */     // GIR_Coverage, 21561,
     /*  531568 */     GIR_EraseRootFromParent_Done,
     /*  531569 */   // Label 8796: @531569
     /*  531569 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531640), // Rule ID 21562 //
     /*  531574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531606 */     // MIs[0] round
     /*  531606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  531619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531638 */     GIR_RootConstrainSelectedInstOperands,
     /*  531639 */     // GIR_Coverage, 21562,
     /*  531639 */     GIR_EraseRootFromParent_Done,
     /*  531640 */   // Label 8797: @531640
     /*  531640 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531711), // Rule ID 21565 //
     /*  531645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531677 */     // MIs[0] round
     /*  531677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531709 */     GIR_RootConstrainSelectedInstOperands,
     /*  531710 */     // GIR_Coverage, 21565,
     /*  531710 */     GIR_EraseRootFromParent_Done,
     /*  531711 */   // Label 8798: @531711
     /*  531711 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531782), // Rule ID 21566 //
     /*  531716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531748 */     // MIs[0] round
     /*  531748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531780 */     GIR_RootConstrainSelectedInstOperands,
     /*  531781 */     // GIR_Coverage, 21566,
     /*  531781 */     GIR_EraseRootFromParent_Done,
     /*  531782 */   // Label 8799: @531782
     /*  531782 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531853), // Rule ID 21569 //
     /*  531787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531819 */     // MIs[0] round
     /*  531819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531851 */     GIR_RootConstrainSelectedInstOperands,
     /*  531852 */     // GIR_Coverage, 21569,
     /*  531852 */     GIR_EraseRootFromParent_Done,
     /*  531853 */   // Label 8800: @531853
     /*  531853 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(531924), // Rule ID 21570 //
     /*  531858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  531861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531890 */     // MIs[0] round
     /*  531890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531922 */     GIR_RootConstrainSelectedInstOperands,
     /*  531923 */     // GIR_Coverage, 21570,
     /*  531923 */     GIR_EraseRootFromParent_Done,
     /*  531924 */   // Label 8801: @531924
     /*  531924 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(531995), // Rule ID 21573 //
     /*  531929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  531932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531961 */     // MIs[0] round
     /*  531961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531993 */     GIR_RootConstrainSelectedInstOperands,
     /*  531994 */     // GIR_Coverage, 21573,
     /*  531994 */     GIR_EraseRootFromParent_Done,
     /*  531995 */   // Label 8802: @531995
     /*  531995 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532066), // Rule ID 21574 //
     /*  532000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532032 */     // MIs[0] round
     /*  532032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532064 */     GIR_RootConstrainSelectedInstOperands,
     /*  532065 */     // GIR_Coverage, 21574,
     /*  532065 */     GIR_EraseRootFromParent_Done,
     /*  532066 */   // Label 8803: @532066
     /*  532066 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532137), // Rule ID 21577 //
     /*  532071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  532074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532103 */     // MIs[0] round
     /*  532103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532135 */     GIR_RootConstrainSelectedInstOperands,
     /*  532136 */     // GIR_Coverage, 21577,
     /*  532136 */     GIR_EraseRootFromParent_Done,
     /*  532137 */   // Label 8804: @532137
     /*  532137 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532208), // Rule ID 21578 //
     /*  532142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  532145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532174 */     // MIs[0] round
     /*  532174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532184 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532206 */     GIR_RootConstrainSelectedInstOperands,
     /*  532207 */     // GIR_Coverage, 21578,
     /*  532207 */     GIR_EraseRootFromParent_Done,
     /*  532208 */   // Label 8805: @532208
     /*  532208 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532279), // Rule ID 21581 //
     /*  532213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532245 */     // MIs[0] round
     /*  532245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532277 */     GIR_RootConstrainSelectedInstOperands,
     /*  532278 */     // GIR_Coverage, 21581,
     /*  532278 */     GIR_EraseRootFromParent_Done,
     /*  532279 */   // Label 8806: @532279
     /*  532279 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532350), // Rule ID 21582 //
     /*  532284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532316 */     // MIs[0] round
     /*  532316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  532329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532348 */     GIR_RootConstrainSelectedInstOperands,
     /*  532349 */     // GIR_Coverage, 21582,
     /*  532349 */     GIR_EraseRootFromParent_Done,
     /*  532350 */   // Label 8807: @532350
     /*  532350 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532421), // Rule ID 21585 //
     /*  532355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532387 */     // MIs[0] round
     /*  532387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532419 */     GIR_RootConstrainSelectedInstOperands,
     /*  532420 */     // GIR_Coverage, 21585,
     /*  532420 */     GIR_EraseRootFromParent_Done,
     /*  532421 */   // Label 8808: @532421
     /*  532421 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532492), // Rule ID 21586 //
     /*  532426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532458 */     // MIs[0] round
     /*  532458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  532471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532490 */     GIR_RootConstrainSelectedInstOperands,
     /*  532491 */     // GIR_Coverage, 21586,
     /*  532491 */     GIR_EraseRootFromParent_Done,
     /*  532492 */   // Label 8809: @532492
     /*  532492 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532563), // Rule ID 21589 //
     /*  532497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532529 */     // MIs[0] round
     /*  532529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532561 */     GIR_RootConstrainSelectedInstOperands,
     /*  532562 */     // GIR_Coverage, 21589,
     /*  532562 */     GIR_EraseRootFromParent_Done,
     /*  532563 */   // Label 8810: @532563
     /*  532563 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532634), // Rule ID 21590 //
     /*  532568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532600 */     // MIs[0] round
     /*  532600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  532613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532632 */     GIR_RootConstrainSelectedInstOperands,
     /*  532633 */     // GIR_Coverage, 21590,
     /*  532633 */     GIR_EraseRootFromParent_Done,
     /*  532634 */   // Label 8811: @532634
     /*  532634 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532705), // Rule ID 21593 //
     /*  532639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  532642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532671 */     // MIs[0] round
     /*  532671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532703 */     GIR_RootConstrainSelectedInstOperands,
     /*  532704 */     // GIR_Coverage, 21593,
     /*  532704 */     GIR_EraseRootFromParent_Done,
     /*  532705 */   // Label 8812: @532705
     /*  532705 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532776), // Rule ID 21594 //
     /*  532710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  532713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  532718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532742 */     // MIs[0] round
     /*  532742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  532755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532774 */     GIR_RootConstrainSelectedInstOperands,
     /*  532775 */     // GIR_Coverage, 21594,
     /*  532775 */     GIR_EraseRootFromParent_Done,
     /*  532776 */   // Label 8813: @532776
     /*  532776 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532847), // Rule ID 21717 //
     /*  532781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532813 */     // MIs[0] round
     /*  532813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532823 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  532826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532845 */     GIR_RootConstrainSelectedInstOperands,
     /*  532846 */     // GIR_Coverage, 21717,
     /*  532846 */     GIR_EraseRootFromParent_Done,
     /*  532847 */   // Label 8814: @532847
     /*  532847 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(532918), // Rule ID 21718 //
     /*  532852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532884 */     // MIs[0] round
     /*  532884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532894 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  532897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532916 */     GIR_RootConstrainSelectedInstOperands,
     /*  532917 */     // GIR_Coverage, 21718,
     /*  532917 */     GIR_EraseRootFromParent_Done,
     /*  532918 */   // Label 8815: @532918
     /*  532918 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(532989), // Rule ID 21721 //
     /*  532923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  532937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532955 */     // MIs[0] round
     /*  532955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532965 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  532968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532987 */     GIR_RootConstrainSelectedInstOperands,
     /*  532988 */     // GIR_Coverage, 21721,
     /*  532988 */     GIR_EraseRootFromParent_Done,
     /*  532989 */   // Label 8816: @532989
     /*  532989 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533060), // Rule ID 21722 //
     /*  532994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533026 */     // MIs[0] round
     /*  533026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533036 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  533039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533058 */     GIR_RootConstrainSelectedInstOperands,
     /*  533059 */     // GIR_Coverage, 21722,
     /*  533059 */     GIR_EraseRootFromParent_Done,
     /*  533060 */   // Label 8817: @533060
     /*  533060 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533131), // Rule ID 21725 //
     /*  533065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533097 */     // MIs[0] round
     /*  533097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533129 */     GIR_RootConstrainSelectedInstOperands,
     /*  533130 */     // GIR_Coverage, 21725,
     /*  533130 */     GIR_EraseRootFromParent_Done,
     /*  533131 */   // Label 8818: @533131
     /*  533131 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533202), // Rule ID 21726 //
     /*  533136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533168 */     // MIs[0] round
     /*  533168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  533181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533200 */     GIR_RootConstrainSelectedInstOperands,
     /*  533201 */     // GIR_Coverage, 21726,
     /*  533201 */     GIR_EraseRootFromParent_Done,
     /*  533202 */   // Label 8819: @533202
     /*  533202 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533273), // Rule ID 21729 //
     /*  533207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533239 */     // MIs[0] round
     /*  533239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533249 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533271 */     GIR_RootConstrainSelectedInstOperands,
     /*  533272 */     // GIR_Coverage, 21729,
     /*  533272 */     GIR_EraseRootFromParent_Done,
     /*  533273 */   // Label 8820: @533273
     /*  533273 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533344), // Rule ID 21730 //
     /*  533278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533310 */     // MIs[0] round
     /*  533310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533320 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  533323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533342 */     GIR_RootConstrainSelectedInstOperands,
     /*  533343 */     // GIR_Coverage, 21730,
     /*  533343 */     GIR_EraseRootFromParent_Done,
     /*  533344 */   // Label 8821: @533344
     /*  533344 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533415), // Rule ID 21733 //
     /*  533349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533381 */     // MIs[0] round
     /*  533381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533391 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533413 */     GIR_RootConstrainSelectedInstOperands,
     /*  533414 */     // GIR_Coverage, 21733,
     /*  533414 */     GIR_EraseRootFromParent_Done,
     /*  533415 */   // Label 8822: @533415
     /*  533415 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533486), // Rule ID 21734 //
     /*  533420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533452 */     // MIs[0] round
     /*  533452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533462 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  533465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533484 */     GIR_RootConstrainSelectedInstOperands,
     /*  533485 */     // GIR_Coverage, 21734,
     /*  533485 */     GIR_EraseRootFromParent_Done,
     /*  533486 */   // Label 8823: @533486
     /*  533486 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533557), // Rule ID 21737 //
     /*  533491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533523 */     // MIs[0] round
     /*  533523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533533 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533555 */     GIR_RootConstrainSelectedInstOperands,
     /*  533556 */     // GIR_Coverage, 21737,
     /*  533556 */     GIR_EraseRootFromParent_Done,
     /*  533557 */   // Label 8824: @533557
     /*  533557 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533628), // Rule ID 21738 //
     /*  533562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533594 */     // MIs[0] round
     /*  533594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  533607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533626 */     GIR_RootConstrainSelectedInstOperands,
     /*  533627 */     // GIR_Coverage, 21738,
     /*  533627 */     GIR_EraseRootFromParent_Done,
     /*  533628 */   // Label 8825: @533628
     /*  533628 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533699), // Rule ID 21741 //
     /*  533633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533665 */     // MIs[0] round
     /*  533665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533675 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  533678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533697 */     GIR_RootConstrainSelectedInstOperands,
     /*  533698 */     // GIR_Coverage, 21741,
     /*  533698 */     GIR_EraseRootFromParent_Done,
     /*  533699 */   // Label 8826: @533699
     /*  533699 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533770), // Rule ID 21742 //
     /*  533704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533736 */     // MIs[0] round
     /*  533736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533746 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  533749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533768 */     GIR_RootConstrainSelectedInstOperands,
     /*  533769 */     // GIR_Coverage, 21742,
     /*  533769 */     GIR_EraseRootFromParent_Done,
     /*  533770 */   // Label 8827: @533770
     /*  533770 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533841), // Rule ID 21745 //
     /*  533775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533807 */     // MIs[0] round
     /*  533807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  533820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533839 */     GIR_RootConstrainSelectedInstOperands,
     /*  533840 */     // GIR_Coverage, 21745,
     /*  533840 */     GIR_EraseRootFromParent_Done,
     /*  533841 */   // Label 8828: @533841
     /*  533841 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(533912), // Rule ID 21746 //
     /*  533846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533878 */     // MIs[0] round
     /*  533878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533888 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  533891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533910 */     GIR_RootConstrainSelectedInstOperands,
     /*  533911 */     // GIR_Coverage, 21746,
     /*  533911 */     GIR_EraseRootFromParent_Done,
     /*  533912 */   // Label 8829: @533912
     /*  533912 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(533983), // Rule ID 21749 //
     /*  533917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533949 */     // MIs[0] round
     /*  533949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533959 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  533962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533981 */     GIR_RootConstrainSelectedInstOperands,
     /*  533982 */     // GIR_Coverage, 21749,
     /*  533982 */     GIR_EraseRootFromParent_Done,
     /*  533983 */   // Label 8830: @533983
     /*  533983 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534054), // Rule ID 21750 //
     /*  533988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  533996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534020 */     // MIs[0] round
     /*  534020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534030 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  534033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534052 */     GIR_RootConstrainSelectedInstOperands,
     /*  534053 */     // GIR_Coverage, 21750,
     /*  534053 */     GIR_EraseRootFromParent_Done,
     /*  534054 */   // Label 8831: @534054
     /*  534054 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534125), // Rule ID 21753 //
     /*  534059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534091 */     // MIs[0] round
     /*  534091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534101 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534123 */     GIR_RootConstrainSelectedInstOperands,
     /*  534124 */     // GIR_Coverage, 21753,
     /*  534124 */     GIR_EraseRootFromParent_Done,
     /*  534125 */   // Label 8832: @534125
     /*  534125 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534196), // Rule ID 21754 //
     /*  534130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534162 */     // MIs[0] round
     /*  534162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534172 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  534175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534194 */     GIR_RootConstrainSelectedInstOperands,
     /*  534195 */     // GIR_Coverage, 21754,
     /*  534195 */     GIR_EraseRootFromParent_Done,
     /*  534196 */   // Label 8833: @534196
     /*  534196 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534267), // Rule ID 21757 //
     /*  534201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534233 */     // MIs[0] round
     /*  534233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534265 */     GIR_RootConstrainSelectedInstOperands,
     /*  534266 */     // GIR_Coverage, 21757,
     /*  534266 */     GIR_EraseRootFromParent_Done,
     /*  534267 */   // Label 8834: @534267
     /*  534267 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534338), // Rule ID 21758 //
     /*  534272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534304 */     // MIs[0] round
     /*  534304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  534317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534336 */     GIR_RootConstrainSelectedInstOperands,
     /*  534337 */     // GIR_Coverage, 21758,
     /*  534337 */     GIR_EraseRootFromParent_Done,
     /*  534338 */   // Label 8835: @534338
     /*  534338 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534409), // Rule ID 21761 //
     /*  534343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534375 */     // MIs[0] round
     /*  534375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534385 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534407 */     GIR_RootConstrainSelectedInstOperands,
     /*  534408 */     // GIR_Coverage, 21761,
     /*  534408 */     GIR_EraseRootFromParent_Done,
     /*  534409 */   // Label 8836: @534409
     /*  534409 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534480), // Rule ID 21762 //
     /*  534414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534446 */     // MIs[0] round
     /*  534446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534456 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  534459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534478 */     GIR_RootConstrainSelectedInstOperands,
     /*  534479 */     // GIR_Coverage, 21762,
     /*  534479 */     GIR_EraseRootFromParent_Done,
     /*  534480 */   // Label 8837: @534480
     /*  534480 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534551), // Rule ID 21765 //
     /*  534485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534517 */     // MIs[0] round
     /*  534517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534527 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534549 */     GIR_RootConstrainSelectedInstOperands,
     /*  534550 */     // GIR_Coverage, 21765,
     /*  534550 */     GIR_EraseRootFromParent_Done,
     /*  534551 */   // Label 8838: @534551
     /*  534551 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534622), // Rule ID 21766 //
     /*  534556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534588 */     // MIs[0] round
     /*  534588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  534601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534620 */     GIR_RootConstrainSelectedInstOperands,
     /*  534621 */     // GIR_Coverage, 21766,
     /*  534621 */     GIR_EraseRootFromParent_Done,
     /*  534622 */   // Label 8839: @534622
     /*  534622 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534693), // Rule ID 21769 //
     /*  534627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534659 */     // MIs[0] round
     /*  534659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534669 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  534672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534691 */     GIR_RootConstrainSelectedInstOperands,
     /*  534692 */     // GIR_Coverage, 21769,
     /*  534692 */     GIR_EraseRootFromParent_Done,
     /*  534693 */   // Label 8840: @534693
     /*  534693 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534764), // Rule ID 21770 //
     /*  534698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534730 */     // MIs[0] round
     /*  534730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534740 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  534743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534762 */     GIR_RootConstrainSelectedInstOperands,
     /*  534763 */     // GIR_Coverage, 21770,
     /*  534763 */     GIR_EraseRootFromParent_Done,
     /*  534764 */   // Label 8841: @534764
     /*  534764 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534835), // Rule ID 21773 //
     /*  534769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534801 */     // MIs[0] round
     /*  534801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534811 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  534814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534833 */     GIR_RootConstrainSelectedInstOperands,
     /*  534834 */     // GIR_Coverage, 21773,
     /*  534834 */     GIR_EraseRootFromParent_Done,
     /*  534835 */   // Label 8842: @534835
     /*  534835 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(534906), // Rule ID 21774 //
     /*  534840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534872 */     // MIs[0] round
     /*  534872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534882 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  534885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534904 */     GIR_RootConstrainSelectedInstOperands,
     /*  534905 */     // GIR_Coverage, 21774,
     /*  534905 */     GIR_EraseRootFromParent_Done,
     /*  534906 */   // Label 8843: @534906
     /*  534906 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(534977), // Rule ID 21777 //
     /*  534911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534943 */     // MIs[0] round
     /*  534943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  534956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534975 */     GIR_RootConstrainSelectedInstOperands,
     /*  534976 */     // GIR_Coverage, 21777,
     /*  534976 */     GIR_EraseRootFromParent_Done,
     /*  534977 */   // Label 8844: @534977
     /*  534977 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535048), // Rule ID 21778 //
     /*  534982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535014 */     // MIs[0] round
     /*  535014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535024 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  535027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535046 */     GIR_RootConstrainSelectedInstOperands,
     /*  535047 */     // GIR_Coverage, 21778,
     /*  535047 */     GIR_EraseRootFromParent_Done,
     /*  535048 */   // Label 8845: @535048
     /*  535048 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535119), // Rule ID 21781 //
     /*  535053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535085 */     // MIs[0] round
     /*  535085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535095 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535117 */     GIR_RootConstrainSelectedInstOperands,
     /*  535118 */     // GIR_Coverage, 21781,
     /*  535118 */     GIR_EraseRootFromParent_Done,
     /*  535119 */   // Label 8846: @535119
     /*  535119 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535190), // Rule ID 21782 //
     /*  535124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535156 */     // MIs[0] round
     /*  535156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  535169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535188 */     GIR_RootConstrainSelectedInstOperands,
     /*  535189 */     // GIR_Coverage, 21782,
     /*  535189 */     GIR_EraseRootFromParent_Done,
     /*  535190 */   // Label 8847: @535190
     /*  535190 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535261), // Rule ID 21785 //
     /*  535195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  535198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535227 */     // MIs[0] round
     /*  535227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535237 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535259 */     GIR_RootConstrainSelectedInstOperands,
     /*  535260 */     // GIR_Coverage, 21785,
     /*  535260 */     GIR_EraseRootFromParent_Done,
     /*  535261 */   // Label 8848: @535261
     /*  535261 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535332), // Rule ID 21786 //
     /*  535266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  535269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  535274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535298 */     // MIs[0] round
     /*  535298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535308 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  535311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535330 */     GIR_RootConstrainSelectedInstOperands,
     /*  535331 */     // GIR_Coverage, 21786,
     /*  535331 */     GIR_EraseRootFromParent_Done,
     /*  535332 */   // Label 8849: @535332
     /*  535332 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535403), // Rule ID 21789 //
     /*  535337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535369 */     // MIs[0] round
     /*  535369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535379 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535401 */     GIR_RootConstrainSelectedInstOperands,
     /*  535402 */     // GIR_Coverage, 21789,
     /*  535402 */     GIR_EraseRootFromParent_Done,
     /*  535403 */   // Label 8850: @535403
     /*  535403 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535474), // Rule ID 21790 //
     /*  535408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535440 */     // MIs[0] round
     /*  535440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535450 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  535453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535472 */     GIR_RootConstrainSelectedInstOperands,
     /*  535473 */     // GIR_Coverage, 21790,
     /*  535473 */     GIR_EraseRootFromParent_Done,
     /*  535474 */   // Label 8851: @535474
     /*  535474 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535545), // Rule ID 21793 //
     /*  535479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535511 */     // MIs[0] round
     /*  535511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535521 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535543 */     GIR_RootConstrainSelectedInstOperands,
     /*  535544 */     // GIR_Coverage, 21793,
     /*  535544 */     GIR_EraseRootFromParent_Done,
     /*  535545 */   // Label 8852: @535545
     /*  535545 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535616), // Rule ID 21794 //
     /*  535550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535582 */     // MIs[0] round
     /*  535582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  535595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535614 */     GIR_RootConstrainSelectedInstOperands,
     /*  535615 */     // GIR_Coverage, 21794,
     /*  535615 */     GIR_EraseRootFromParent_Done,
     /*  535616 */   // Label 8853: @535616
     /*  535616 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535687), // Rule ID 21797 //
     /*  535621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535653 */     // MIs[0] round
     /*  535653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535663 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  535666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535685 */     GIR_RootConstrainSelectedInstOperands,
     /*  535686 */     // GIR_Coverage, 21797,
     /*  535686 */     GIR_EraseRootFromParent_Done,
     /*  535687 */   // Label 8854: @535687
     /*  535687 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535758), // Rule ID 21798 //
     /*  535692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535724 */     // MIs[0] round
     /*  535724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  535737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535756 */     GIR_RootConstrainSelectedInstOperands,
     /*  535757 */     // GIR_Coverage, 21798,
     /*  535757 */     GIR_EraseRootFromParent_Done,
     /*  535758 */   // Label 8855: @535758
     /*  535758 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535829), // Rule ID 21801 //
     /*  535763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  535766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535795 */     // MIs[0] round
     /*  535795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535805 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  535808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535827 */     GIR_RootConstrainSelectedInstOperands,
     /*  535828 */     // GIR_Coverage, 21801,
     /*  535828 */     GIR_EraseRootFromParent_Done,
     /*  535829 */   // Label 8856: @535829
     /*  535829 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(535900), // Rule ID 21802 //
     /*  535834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  535837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535866 */     // MIs[0] round
     /*  535866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535876 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  535879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535898 */     GIR_RootConstrainSelectedInstOperands,
     /*  535899 */     // GIR_Coverage, 21802,
     /*  535899 */     GIR_EraseRootFromParent_Done,
     /*  535900 */   // Label 8857: @535900
     /*  535900 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(535971), // Rule ID 21805 //
     /*  535905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  535908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  535922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535937 */     // MIs[0] round
     /*  535937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535947 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  535950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535969 */     GIR_RootConstrainSelectedInstOperands,
     /*  535970 */     // GIR_Coverage, 21805,
     /*  535970 */     GIR_EraseRootFromParent_Done,
     /*  535971 */   // Label 8858: @535971
     /*  535971 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536042), // Rule ID 21806 //
     /*  535976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  535979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  535993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536008 */     // MIs[0] round
     /*  536008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536018 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  536021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536040 */     GIR_RootConstrainSelectedInstOperands,
     /*  536041 */     // GIR_Coverage, 21806,
     /*  536041 */     GIR_EraseRootFromParent_Done,
     /*  536042 */   // Label 8859: @536042
     /*  536042 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536113), // Rule ID 21809 //
     /*  536047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536079 */     // MIs[0] round
     /*  536079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536089 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536111 */     GIR_RootConstrainSelectedInstOperands,
     /*  536112 */     // GIR_Coverage, 21809,
     /*  536112 */     GIR_EraseRootFromParent_Done,
     /*  536113 */   // Label 8860: @536113
     /*  536113 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536184), // Rule ID 21810 //
     /*  536118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536150 */     // MIs[0] round
     /*  536150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536160 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  536163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536182 */     GIR_RootConstrainSelectedInstOperands,
     /*  536183 */     // GIR_Coverage, 21810,
     /*  536183 */     GIR_EraseRootFromParent_Done,
     /*  536184 */   // Label 8861: @536184
     /*  536184 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536255), // Rule ID 21813 //
     /*  536189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536221 */     // MIs[0] round
     /*  536221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536231 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536253 */     GIR_RootConstrainSelectedInstOperands,
     /*  536254 */     // GIR_Coverage, 21813,
     /*  536254 */     GIR_EraseRootFromParent_Done,
     /*  536255 */   // Label 8862: @536255
     /*  536255 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536326), // Rule ID 21814 //
     /*  536260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536292 */     // MIs[0] round
     /*  536292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  536305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536324 */     GIR_RootConstrainSelectedInstOperands,
     /*  536325 */     // GIR_Coverage, 21814,
     /*  536325 */     GIR_EraseRootFromParent_Done,
     /*  536326 */   // Label 8863: @536326
     /*  536326 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536397), // Rule ID 21817 //
     /*  536331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536363 */     // MIs[0] round
     /*  536363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536373 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536395 */     GIR_RootConstrainSelectedInstOperands,
     /*  536396 */     // GIR_Coverage, 21817,
     /*  536396 */     GIR_EraseRootFromParent_Done,
     /*  536397 */   // Label 8864: @536397
     /*  536397 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536468), // Rule ID 21818 //
     /*  536402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536434 */     // MIs[0] round
     /*  536434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536444 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  536447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536466 */     GIR_RootConstrainSelectedInstOperands,
     /*  536467 */     // GIR_Coverage, 21818,
     /*  536467 */     GIR_EraseRootFromParent_Done,
     /*  536468 */   // Label 8865: @536468
     /*  536468 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536539), // Rule ID 21821 //
     /*  536473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  536476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536505 */     // MIs[0] round
     /*  536505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536515 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536537 */     GIR_RootConstrainSelectedInstOperands,
     /*  536538 */     // GIR_Coverage, 21821,
     /*  536538 */     GIR_EraseRootFromParent_Done,
     /*  536539 */   // Label 8866: @536539
     /*  536539 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536610), // Rule ID 21822 //
     /*  536544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  536547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  536552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536576 */     // MIs[0] round
     /*  536576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536586 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  536589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536608 */     GIR_RootConstrainSelectedInstOperands,
     /*  536609 */     // GIR_Coverage, 21822,
     /*  536609 */     GIR_EraseRootFromParent_Done,
     /*  536610 */   // Label 8867: @536610
     /*  536610 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536681), // Rule ID 2639 //
     /*  536615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  536632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536643 */     // MIs[0] passthru
     /*  536643 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  536662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536679 */     GIR_RootConstrainSelectedInstOperands,
     /*  536680 */     // GIR_Coverage, 2639,
     /*  536680 */     GIR_EraseRootFromParent_Done,
     /*  536681 */   // Label 8868: @536681
     /*  536681 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536752), // Rule ID 2640 //
     /*  536686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  536703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536714 */     // MIs[0] passthru
     /*  536714 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  536733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536750 */     GIR_RootConstrainSelectedInstOperands,
     /*  536751 */     // GIR_Coverage, 2640,
     /*  536751 */     GIR_EraseRootFromParent_Done,
     /*  536752 */   // Label 8869: @536752
     /*  536752 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536823), // Rule ID 3947 //
     /*  536757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  536774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536785 */     // MIs[0] passthru
     /*  536785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536821 */     GIR_RootConstrainSelectedInstOperands,
     /*  536822 */     // GIR_Coverage, 3947,
     /*  536822 */     GIR_EraseRootFromParent_Done,
     /*  536823 */   // Label 8870: @536823
     /*  536823 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(536894), // Rule ID 3948 //
     /*  536828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  536845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536856 */     // MIs[0] passthru
     /*  536856 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536892 */     GIR_RootConstrainSelectedInstOperands,
     /*  536893 */     // GIR_Coverage, 3948,
     /*  536893 */     GIR_EraseRootFromParent_Done,
     /*  536894 */   // Label 8871: @536894
     /*  536894 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(536965), // Rule ID 3957 //
     /*  536899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  536916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536927 */     // MIs[0] passthru
     /*  536927 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  536946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536963 */     GIR_RootConstrainSelectedInstOperands,
     /*  536964 */     // GIR_Coverage, 3957,
     /*  536964 */     GIR_EraseRootFromParent_Done,
     /*  536965 */   // Label 8872: @536965
     /*  536965 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537036), // Rule ID 3958 //
     /*  536970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  536987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536998 */     // MIs[0] passthru
     /*  536998 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537034 */     GIR_RootConstrainSelectedInstOperands,
     /*  537035 */     // GIR_Coverage, 3958,
     /*  537035 */     GIR_EraseRootFromParent_Done,
     /*  537036 */   // Label 8873: @537036
     /*  537036 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537107), // Rule ID 3967 //
     /*  537041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537069 */     // MIs[0] passthru
     /*  537069 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537105 */     GIR_RootConstrainSelectedInstOperands,
     /*  537106 */     // GIR_Coverage, 3967,
     /*  537106 */     GIR_EraseRootFromParent_Done,
     /*  537107 */   // Label 8874: @537107
     /*  537107 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537178), // Rule ID 3968 //
     /*  537112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537140 */     // MIs[0] passthru
     /*  537140 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537176 */     GIR_RootConstrainSelectedInstOperands,
     /*  537177 */     // GIR_Coverage, 3968,
     /*  537177 */     GIR_EraseRootFromParent_Done,
     /*  537178 */   // Label 8875: @537178
     /*  537178 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537249), // Rule ID 3977 //
     /*  537183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537211 */     // MIs[0] passthru
     /*  537211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537247 */     GIR_RootConstrainSelectedInstOperands,
     /*  537248 */     // GIR_Coverage, 3977,
     /*  537248 */     GIR_EraseRootFromParent_Done,
     /*  537249 */   // Label 8876: @537249
     /*  537249 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537320), // Rule ID 3978 //
     /*  537254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537282 */     // MIs[0] passthru
     /*  537282 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537318 */     GIR_RootConstrainSelectedInstOperands,
     /*  537319 */     // GIR_Coverage, 3978,
     /*  537319 */     GIR_EraseRootFromParent_Done,
     /*  537320 */   // Label 8877: @537320
     /*  537320 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537391), // Rule ID 3987 //
     /*  537325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537353 */     // MIs[0] passthru
     /*  537353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537369 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537389 */     GIR_RootConstrainSelectedInstOperands,
     /*  537390 */     // GIR_Coverage, 3987,
     /*  537390 */     GIR_EraseRootFromParent_Done,
     /*  537391 */   // Label 8878: @537391
     /*  537391 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537462), // Rule ID 3988 //
     /*  537396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537424 */     // MIs[0] passthru
     /*  537424 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537460 */     GIR_RootConstrainSelectedInstOperands,
     /*  537461 */     // GIR_Coverage, 3988,
     /*  537461 */     GIR_EraseRootFromParent_Done,
     /*  537462 */   // Label 8879: @537462
     /*  537462 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537533), // Rule ID 3997 //
     /*  537467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537495 */     // MIs[0] passthru
     /*  537495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537531 */     GIR_RootConstrainSelectedInstOperands,
     /*  537532 */     // GIR_Coverage, 3997,
     /*  537532 */     GIR_EraseRootFromParent_Done,
     /*  537533 */   // Label 8880: @537533
     /*  537533 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537604), // Rule ID 3998 //
     /*  537538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537566 */     // MIs[0] passthru
     /*  537566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  537585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537602 */     GIR_RootConstrainSelectedInstOperands,
     /*  537603 */     // GIR_Coverage, 3998,
     /*  537603 */     GIR_EraseRootFromParent_Done,
     /*  537604 */   // Label 8881: @537604
     /*  537604 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537675), // Rule ID 4007 //
     /*  537609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  537626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537637 */     // MIs[0] passthru
     /*  537637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537673 */     GIR_RootConstrainSelectedInstOperands,
     /*  537674 */     // GIR_Coverage, 4007,
     /*  537674 */     GIR_EraseRootFromParent_Done,
     /*  537675 */   // Label 8882: @537675
     /*  537675 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537746), // Rule ID 4008 //
     /*  537680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  537697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537708 */     // MIs[0] passthru
     /*  537708 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537744 */     GIR_RootConstrainSelectedInstOperands,
     /*  537745 */     // GIR_Coverage, 4008,
     /*  537745 */     GIR_EraseRootFromParent_Done,
     /*  537746 */   // Label 8883: @537746
     /*  537746 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537817), // Rule ID 4017 //
     /*  537751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  537768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537779 */     // MIs[0] passthru
     /*  537779 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537815 */     GIR_RootConstrainSelectedInstOperands,
     /*  537816 */     // GIR_Coverage, 4017,
     /*  537816 */     GIR_EraseRootFromParent_Done,
     /*  537817 */   // Label 8884: @537817
     /*  537817 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(537888), // Rule ID 4018 //
     /*  537822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  537839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537850 */     // MIs[0] passthru
     /*  537850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537886 */     GIR_RootConstrainSelectedInstOperands,
     /*  537887 */     // GIR_Coverage, 4018,
     /*  537887 */     GIR_EraseRootFromParent_Done,
     /*  537888 */   // Label 8885: @537888
     /*  537888 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(537959), // Rule ID 4027 //
     /*  537893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  537910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537921 */     // MIs[0] passthru
     /*  537921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537957 */     GIR_RootConstrainSelectedInstOperands,
     /*  537958 */     // GIR_Coverage, 4027,
     /*  537958 */     GIR_EraseRootFromParent_Done,
     /*  537959 */   // Label 8886: @537959
     /*  537959 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538030), // Rule ID 4028 //
     /*  537964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  537981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537992 */     // MIs[0] passthru
     /*  537992 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538028 */     GIR_RootConstrainSelectedInstOperands,
     /*  538029 */     // GIR_Coverage, 4028,
     /*  538029 */     GIR_EraseRootFromParent_Done,
     /*  538030 */   // Label 8887: @538030
     /*  538030 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538101), // Rule ID 4037 //
     /*  538035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538063 */     // MIs[0] passthru
     /*  538063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538099 */     GIR_RootConstrainSelectedInstOperands,
     /*  538100 */     // GIR_Coverage, 4037,
     /*  538100 */     GIR_EraseRootFromParent_Done,
     /*  538101 */   // Label 8888: @538101
     /*  538101 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538172), // Rule ID 4038 //
     /*  538106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538134 */     // MIs[0] passthru
     /*  538134 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538170 */     GIR_RootConstrainSelectedInstOperands,
     /*  538171 */     // GIR_Coverage, 4038,
     /*  538171 */     GIR_EraseRootFromParent_Done,
     /*  538172 */   // Label 8889: @538172
     /*  538172 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538243), // Rule ID 4047 //
     /*  538177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538205 */     // MIs[0] passthru
     /*  538205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538241 */     GIR_RootConstrainSelectedInstOperands,
     /*  538242 */     // GIR_Coverage, 4047,
     /*  538242 */     GIR_EraseRootFromParent_Done,
     /*  538243 */   // Label 8890: @538243
     /*  538243 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538314), // Rule ID 4048 //
     /*  538248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538276 */     // MIs[0] passthru
     /*  538276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  538295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538312 */     GIR_RootConstrainSelectedInstOperands,
     /*  538313 */     // GIR_Coverage, 4048,
     /*  538313 */     GIR_EraseRootFromParent_Done,
     /*  538314 */   // Label 8891: @538314
     /*  538314 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538385), // Rule ID 4057 //
     /*  538319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538347 */     // MIs[0] passthru
     /*  538347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538383 */     GIR_RootConstrainSelectedInstOperands,
     /*  538384 */     // GIR_Coverage, 4057,
     /*  538384 */     GIR_EraseRootFromParent_Done,
     /*  538385 */   // Label 8892: @538385
     /*  538385 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538456), // Rule ID 4058 //
     /*  538390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538418 */     // MIs[0] passthru
     /*  538418 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  538437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538454 */     GIR_RootConstrainSelectedInstOperands,
     /*  538455 */     // GIR_Coverage, 4058,
     /*  538455 */     GIR_EraseRootFromParent_Done,
     /*  538456 */   // Label 8893: @538456
     /*  538456 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538527), // Rule ID 4067 //
     /*  538461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538489 */     // MIs[0] passthru
     /*  538489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538525 */     GIR_RootConstrainSelectedInstOperands,
     /*  538526 */     // GIR_Coverage, 4067,
     /*  538526 */     GIR_EraseRootFromParent_Done,
     /*  538527 */   // Label 8894: @538527
     /*  538527 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538598), // Rule ID 4068 //
     /*  538532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538560 */     // MIs[0] passthru
     /*  538560 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  538579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538596 */     GIR_RootConstrainSelectedInstOperands,
     /*  538597 */     // GIR_Coverage, 4068,
     /*  538597 */     GIR_EraseRootFromParent_Done,
     /*  538598 */   // Label 8895: @538598
     /*  538598 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538669), // Rule ID 4077 //
     /*  538603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  538614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  538617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  538620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538631 */     // MIs[0] passthru
     /*  538631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538667 */     GIR_RootConstrainSelectedInstOperands,
     /*  538668 */     // GIR_Coverage, 4077,
     /*  538668 */     GIR_EraseRootFromParent_Done,
     /*  538669 */   // Label 8896: @538669
     /*  538669 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538740), // Rule ID 4078 //
     /*  538674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  538682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  538685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  538688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  538691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538702 */     // MIs[0] passthru
     /*  538702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  538721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538738 */     GIR_RootConstrainSelectedInstOperands,
     /*  538739 */     // GIR_Coverage, 4078,
     /*  538739 */     GIR_EraseRootFromParent_Done,
     /*  538740 */   // Label 8897: @538740
     /*  538740 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538811), // Rule ID 4147 //
     /*  538745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  538762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538773 */     // MIs[0] passthru
     /*  538773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  538792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538809 */     GIR_RootConstrainSelectedInstOperands,
     /*  538810 */     // GIR_Coverage, 4147,
     /*  538810 */     GIR_EraseRootFromParent_Done,
     /*  538811 */   // Label 8898: @538811
     /*  538811 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(538882), // Rule ID 4148 //
     /*  538816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  538833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538844 */     // MIs[0] passthru
     /*  538844 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538860 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  538863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538880 */     GIR_RootConstrainSelectedInstOperands,
     /*  538881 */     // GIR_Coverage, 4148,
     /*  538881 */     GIR_EraseRootFromParent_Done,
     /*  538882 */   // Label 8899: @538882
     /*  538882 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(538953), // Rule ID 4157 //
     /*  538887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  538904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538915 */     // MIs[0] passthru
     /*  538915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  538934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538951 */     GIR_RootConstrainSelectedInstOperands,
     /*  538952 */     // GIR_Coverage, 4157,
     /*  538952 */     GIR_EraseRootFromParent_Done,
     /*  538953 */   // Label 8900: @538953
     /*  538953 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539024), // Rule ID 4158 //
     /*  538958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  538975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538986 */     // MIs[0] passthru
     /*  538986 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539022 */     GIR_RootConstrainSelectedInstOperands,
     /*  539023 */     // GIR_Coverage, 4158,
     /*  539023 */     GIR_EraseRootFromParent_Done,
     /*  539024 */   // Label 8901: @539024
     /*  539024 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539095), // Rule ID 4167 //
     /*  539029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539057 */     // MIs[0] passthru
     /*  539057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539093 */     GIR_RootConstrainSelectedInstOperands,
     /*  539094 */     // GIR_Coverage, 4167,
     /*  539094 */     GIR_EraseRootFromParent_Done,
     /*  539095 */   // Label 8902: @539095
     /*  539095 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539166), // Rule ID 4168 //
     /*  539100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539128 */     // MIs[0] passthru
     /*  539128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539164 */     GIR_RootConstrainSelectedInstOperands,
     /*  539165 */     // GIR_Coverage, 4168,
     /*  539165 */     GIR_EraseRootFromParent_Done,
     /*  539166 */   // Label 8903: @539166
     /*  539166 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539237), // Rule ID 4177 //
     /*  539171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539199 */     // MIs[0] passthru
     /*  539199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539235 */     GIR_RootConstrainSelectedInstOperands,
     /*  539236 */     // GIR_Coverage, 4177,
     /*  539236 */     GIR_EraseRootFromParent_Done,
     /*  539237 */   // Label 8904: @539237
     /*  539237 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539308), // Rule ID 4178 //
     /*  539242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539270 */     // MIs[0] passthru
     /*  539270 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539306 */     GIR_RootConstrainSelectedInstOperands,
     /*  539307 */     // GIR_Coverage, 4178,
     /*  539307 */     GIR_EraseRootFromParent_Done,
     /*  539308 */   // Label 8905: @539308
     /*  539308 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539379), // Rule ID 4187 //
     /*  539313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539341 */     // MIs[0] passthru
     /*  539341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539377 */     GIR_RootConstrainSelectedInstOperands,
     /*  539378 */     // GIR_Coverage, 4187,
     /*  539378 */     GIR_EraseRootFromParent_Done,
     /*  539379 */   // Label 8906: @539379
     /*  539379 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539450), // Rule ID 4188 //
     /*  539384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  539401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539412 */     // MIs[0] passthru
     /*  539412 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539448 */     GIR_RootConstrainSelectedInstOperands,
     /*  539449 */     // GIR_Coverage, 4188,
     /*  539449 */     GIR_EraseRootFromParent_Done,
     /*  539450 */   // Label 8907: @539450
     /*  539450 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539521), // Rule ID 4197 //
     /*  539455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539483 */     // MIs[0] passthru
     /*  539483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539519 */     GIR_RootConstrainSelectedInstOperands,
     /*  539520 */     // GIR_Coverage, 4197,
     /*  539520 */     GIR_EraseRootFromParent_Done,
     /*  539521 */   // Label 8908: @539521
     /*  539521 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539592), // Rule ID 4198 //
     /*  539526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  539543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539554 */     // MIs[0] passthru
     /*  539554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539590 */     GIR_RootConstrainSelectedInstOperands,
     /*  539591 */     // GIR_Coverage, 4198,
     /*  539591 */     GIR_EraseRootFromParent_Done,
     /*  539592 */   // Label 8909: @539592
     /*  539592 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539663), // Rule ID 4207 //
     /*  539597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539625 */     // MIs[0] passthru
     /*  539625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539661 */     GIR_RootConstrainSelectedInstOperands,
     /*  539662 */     // GIR_Coverage, 4207,
     /*  539662 */     GIR_EraseRootFromParent_Done,
     /*  539663 */   // Label 8910: @539663
     /*  539663 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539734), // Rule ID 4208 //
     /*  539668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539696 */     // MIs[0] passthru
     /*  539696 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  539715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539732 */     GIR_RootConstrainSelectedInstOperands,
     /*  539733 */     // GIR_Coverage, 4208,
     /*  539733 */     GIR_EraseRootFromParent_Done,
     /*  539734 */   // Label 8911: @539734
     /*  539734 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539805), // Rule ID 4217 //
     /*  539739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539767 */     // MIs[0] passthru
     /*  539767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539803 */     GIR_RootConstrainSelectedInstOperands,
     /*  539804 */     // GIR_Coverage, 4217,
     /*  539804 */     GIR_EraseRootFromParent_Done,
     /*  539805 */   // Label 8912: @539805
     /*  539805 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539876), // Rule ID 4218 //
     /*  539810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539838 */     // MIs[0] passthru
     /*  539838 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539874 */     GIR_RootConstrainSelectedInstOperands,
     /*  539875 */     // GIR_Coverage, 4218,
     /*  539875 */     GIR_EraseRootFromParent_Done,
     /*  539876 */   // Label 8913: @539876
     /*  539876 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(539947), // Rule ID 4227 //
     /*  539881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  539898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539909 */     // MIs[0] passthru
     /*  539909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539945 */     GIR_RootConstrainSelectedInstOperands,
     /*  539946 */     // GIR_Coverage, 4227,
     /*  539946 */     GIR_EraseRootFromParent_Done,
     /*  539947 */   // Label 8914: @539947
     /*  539947 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540018), // Rule ID 4228 //
     /*  539952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  539969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539980 */     // MIs[0] passthru
     /*  539980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540016 */     GIR_RootConstrainSelectedInstOperands,
     /*  540017 */     // GIR_Coverage, 4228,
     /*  540017 */     GIR_EraseRootFromParent_Done,
     /*  540018 */   // Label 8915: @540018
     /*  540018 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540089), // Rule ID 4237 //
     /*  540023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540051 */     // MIs[0] passthru
     /*  540051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540087 */     GIR_RootConstrainSelectedInstOperands,
     /*  540088 */     // GIR_Coverage, 4237,
     /*  540088 */     GIR_EraseRootFromParent_Done,
     /*  540089 */   // Label 8916: @540089
     /*  540089 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540160), // Rule ID 4238 //
     /*  540094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540122 */     // MIs[0] passthru
     /*  540122 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540158 */     GIR_RootConstrainSelectedInstOperands,
     /*  540159 */     // GIR_Coverage, 4238,
     /*  540159 */     GIR_EraseRootFromParent_Done,
     /*  540160 */   // Label 8917: @540160
     /*  540160 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540231), // Rule ID 4247 //
     /*  540165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540193 */     // MIs[0] passthru
     /*  540193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540229 */     GIR_RootConstrainSelectedInstOperands,
     /*  540230 */     // GIR_Coverage, 4247,
     /*  540230 */     GIR_EraseRootFromParent_Done,
     /*  540231 */   // Label 8918: @540231
     /*  540231 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540302), // Rule ID 4248 //
     /*  540236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  540247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  540250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  540253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540264 */     // MIs[0] passthru
     /*  540264 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540300 */     GIR_RootConstrainSelectedInstOperands,
     /*  540301 */     // GIR_Coverage, 4248,
     /*  540301 */     GIR_EraseRootFromParent_Done,
     /*  540302 */   // Label 8919: @540302
     /*  540302 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540373), // Rule ID 4257 //
     /*  540307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540335 */     // MIs[0] passthru
     /*  540335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540371 */     GIR_RootConstrainSelectedInstOperands,
     /*  540372 */     // GIR_Coverage, 4257,
     /*  540372 */     GIR_EraseRootFromParent_Done,
     /*  540373 */   // Label 8920: @540373
     /*  540373 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540444), // Rule ID 4258 //
     /*  540378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540406 */     // MIs[0] passthru
     /*  540406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  540425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540442 */     GIR_RootConstrainSelectedInstOperands,
     /*  540443 */     // GIR_Coverage, 4258,
     /*  540443 */     GIR_EraseRootFromParent_Done,
     /*  540444 */   // Label 8921: @540444
     /*  540444 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540515), // Rule ID 4267 //
     /*  540449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540477 */     // MIs[0] passthru
     /*  540477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540513 */     GIR_RootConstrainSelectedInstOperands,
     /*  540514 */     // GIR_Coverage, 4267,
     /*  540514 */     GIR_EraseRootFromParent_Done,
     /*  540515 */   // Label 8922: @540515
     /*  540515 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540586), // Rule ID 4268 //
     /*  540520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540548 */     // MIs[0] passthru
     /*  540548 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  540567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540584 */     GIR_RootConstrainSelectedInstOperands,
     /*  540585 */     // GIR_Coverage, 4268,
     /*  540585 */     GIR_EraseRootFromParent_Done,
     /*  540586 */   // Label 8923: @540586
     /*  540586 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540657), // Rule ID 4277 //
     /*  540591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  540608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540619 */     // MIs[0] passthru
     /*  540619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540655 */     GIR_RootConstrainSelectedInstOperands,
     /*  540656 */     // GIR_Coverage, 4277,
     /*  540656 */     GIR_EraseRootFromParent_Done,
     /*  540657 */   // Label 8924: @540657
     /*  540657 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540728), // Rule ID 4278 //
     /*  540662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  540679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540690 */     // MIs[0] passthru
     /*  540690 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  540709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540726 */     GIR_RootConstrainSelectedInstOperands,
     /*  540727 */     // GIR_Coverage, 4278,
     /*  540727 */     GIR_EraseRootFromParent_Done,
     /*  540728 */   // Label 8925: @540728
     /*  540728 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540799), // Rule ID 4287 //
     /*  540733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  540736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  540750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540761 */     // MIs[0] passthru
     /*  540761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540797 */     GIR_RootConstrainSelectedInstOperands,
     /*  540798 */     // GIR_Coverage, 4287,
     /*  540798 */     GIR_EraseRootFromParent_Done,
     /*  540799 */   // Label 8926: @540799
     /*  540799 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540870), // Rule ID 4288 //
     /*  540804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  540807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  540812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  540821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540832 */     // MIs[0] passthru
     /*  540832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  540851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540868 */     GIR_RootConstrainSelectedInstOperands,
     /*  540869 */     // GIR_Coverage, 4288,
     /*  540869 */     GIR_EraseRootFromParent_Done,
     /*  540870 */   // Label 8927: @540870
     /*  540870 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(540941), // Rule ID 4357 //
     /*  540875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540903 */     // MIs[0] passthru
     /*  540903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  540922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540939 */     GIR_RootConstrainSelectedInstOperands,
     /*  540940 */     // GIR_Coverage, 4357,
     /*  540940 */     GIR_EraseRootFromParent_Done,
     /*  540941 */   // Label 8928: @540941
     /*  540941 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541012), // Rule ID 4358 //
     /*  540946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540974 */     // MIs[0] passthru
     /*  540974 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  540993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541010 */     GIR_RootConstrainSelectedInstOperands,
     /*  541011 */     // GIR_Coverage, 4358,
     /*  541011 */     GIR_EraseRootFromParent_Done,
     /*  541012 */   // Label 8929: @541012
     /*  541012 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541083), // Rule ID 4367 //
     /*  541017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541045 */     // MIs[0] passthru
     /*  541045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541081 */     GIR_RootConstrainSelectedInstOperands,
     /*  541082 */     // GIR_Coverage, 4367,
     /*  541082 */     GIR_EraseRootFromParent_Done,
     /*  541083 */   // Label 8930: @541083
     /*  541083 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541154), // Rule ID 4368 //
     /*  541088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541116 */     // MIs[0] passthru
     /*  541116 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541152 */     GIR_RootConstrainSelectedInstOperands,
     /*  541153 */     // GIR_Coverage, 4368,
     /*  541153 */     GIR_EraseRootFromParent_Done,
     /*  541154 */   // Label 8931: @541154
     /*  541154 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541225), // Rule ID 4377 //
     /*  541159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541187 */     // MIs[0] passthru
     /*  541187 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541223 */     GIR_RootConstrainSelectedInstOperands,
     /*  541224 */     // GIR_Coverage, 4377,
     /*  541224 */     GIR_EraseRootFromParent_Done,
     /*  541225 */   // Label 8932: @541225
     /*  541225 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541296), // Rule ID 4378 //
     /*  541230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541258 */     // MIs[0] passthru
     /*  541258 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541294 */     GIR_RootConstrainSelectedInstOperands,
     /*  541295 */     // GIR_Coverage, 4378,
     /*  541295 */     GIR_EraseRootFromParent_Done,
     /*  541296 */   // Label 8933: @541296
     /*  541296 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541367), // Rule ID 4387 //
     /*  541301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541329 */     // MIs[0] passthru
     /*  541329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541365 */     GIR_RootConstrainSelectedInstOperands,
     /*  541366 */     // GIR_Coverage, 4387,
     /*  541366 */     GIR_EraseRootFromParent_Done,
     /*  541367 */   // Label 8934: @541367
     /*  541367 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541438), // Rule ID 4388 //
     /*  541372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541400 */     // MIs[0] passthru
     /*  541400 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541436 */     GIR_RootConstrainSelectedInstOperands,
     /*  541437 */     // GIR_Coverage, 4388,
     /*  541437 */     GIR_EraseRootFromParent_Done,
     /*  541438 */   // Label 8935: @541438
     /*  541438 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541509), // Rule ID 4397 //
     /*  541443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541471 */     // MIs[0] passthru
     /*  541471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541507 */     GIR_RootConstrainSelectedInstOperands,
     /*  541508 */     // GIR_Coverage, 4397,
     /*  541508 */     GIR_EraseRootFromParent_Done,
     /*  541509 */   // Label 8936: @541509
     /*  541509 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541580), // Rule ID 4398 //
     /*  541514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541542 */     // MIs[0] passthru
     /*  541542 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541578 */     GIR_RootConstrainSelectedInstOperands,
     /*  541579 */     // GIR_Coverage, 4398,
     /*  541579 */     GIR_EraseRootFromParent_Done,
     /*  541580 */   // Label 8937: @541580
     /*  541580 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541651), // Rule ID 4407 //
     /*  541585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541613 */     // MIs[0] passthru
     /*  541613 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541649 */     GIR_RootConstrainSelectedInstOperands,
     /*  541650 */     // GIR_Coverage, 4407,
     /*  541650 */     GIR_EraseRootFromParent_Done,
     /*  541651 */   // Label 8938: @541651
     /*  541651 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541722), // Rule ID 4408 //
     /*  541656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541684 */     // MIs[0] passthru
     /*  541684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541720 */     GIR_RootConstrainSelectedInstOperands,
     /*  541721 */     // GIR_Coverage, 4408,
     /*  541721 */     GIR_EraseRootFromParent_Done,
     /*  541722 */   // Label 8939: @541722
     /*  541722 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541793), // Rule ID 4417 //
     /*  541727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  541744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541755 */     // MIs[0] passthru
     /*  541755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541791 */     GIR_RootConstrainSelectedInstOperands,
     /*  541792 */     // GIR_Coverage, 4417,
     /*  541792 */     GIR_EraseRootFromParent_Done,
     /*  541793 */   // Label 8940: @541793
     /*  541793 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541864), // Rule ID 4418 //
     /*  541798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  541815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541826 */     // MIs[0] passthru
     /*  541826 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  541845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541862 */     GIR_RootConstrainSelectedInstOperands,
     /*  541863 */     // GIR_Coverage, 4418,
     /*  541863 */     GIR_EraseRootFromParent_Done,
     /*  541864 */   // Label 8941: @541864
     /*  541864 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(541935), // Rule ID 4427 //
     /*  541869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  541886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541897 */     // MIs[0] passthru
     /*  541897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541933 */     GIR_RootConstrainSelectedInstOperands,
     /*  541934 */     // GIR_Coverage, 4427,
     /*  541934 */     GIR_EraseRootFromParent_Done,
     /*  541935 */   // Label 8942: @541935
     /*  541935 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542006), // Rule ID 4428 //
     /*  541940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  541957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541968 */     // MIs[0] passthru
     /*  541968 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542004 */     GIR_RootConstrainSelectedInstOperands,
     /*  542005 */     // GIR_Coverage, 4428,
     /*  542005 */     GIR_EraseRootFromParent_Done,
     /*  542006 */   // Label 8943: @542006
     /*  542006 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542077), // Rule ID 4437 //
     /*  542011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542039 */     // MIs[0] passthru
     /*  542039 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542075 */     GIR_RootConstrainSelectedInstOperands,
     /*  542076 */     // GIR_Coverage, 4437,
     /*  542076 */     GIR_EraseRootFromParent_Done,
     /*  542077 */   // Label 8944: @542077
     /*  542077 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542148), // Rule ID 4438 //
     /*  542082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542110 */     // MIs[0] passthru
     /*  542110 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542146 */     GIR_RootConstrainSelectedInstOperands,
     /*  542147 */     // GIR_Coverage, 4438,
     /*  542147 */     GIR_EraseRootFromParent_Done,
     /*  542148 */   // Label 8945: @542148
     /*  542148 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542219), // Rule ID 4447 //
     /*  542153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542181 */     // MIs[0] passthru
     /*  542181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542217 */     GIR_RootConstrainSelectedInstOperands,
     /*  542218 */     // GIR_Coverage, 4447,
     /*  542218 */     GIR_EraseRootFromParent_Done,
     /*  542219 */   // Label 8946: @542219
     /*  542219 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542290), // Rule ID 4448 //
     /*  542224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542252 */     // MIs[0] passthru
     /*  542252 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542288 */     GIR_RootConstrainSelectedInstOperands,
     /*  542289 */     // GIR_Coverage, 4448,
     /*  542289 */     GIR_EraseRootFromParent_Done,
     /*  542290 */   // Label 8947: @542290
     /*  542290 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542361), // Rule ID 4457 //
     /*  542295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542323 */     // MIs[0] passthru
     /*  542323 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542359 */     GIR_RootConstrainSelectedInstOperands,
     /*  542360 */     // GIR_Coverage, 4457,
     /*  542360 */     GIR_EraseRootFromParent_Done,
     /*  542361 */   // Label 8948: @542361
     /*  542361 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542432), // Rule ID 4458 //
     /*  542366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542394 */     // MIs[0] passthru
     /*  542394 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542430 */     GIR_RootConstrainSelectedInstOperands,
     /*  542431 */     // GIR_Coverage, 4458,
     /*  542431 */     GIR_EraseRootFromParent_Done,
     /*  542432 */   // Label 8949: @542432
     /*  542432 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542503), // Rule ID 4467 //
     /*  542437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542465 */     // MIs[0] passthru
     /*  542465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542501 */     GIR_RootConstrainSelectedInstOperands,
     /*  542502 */     // GIR_Coverage, 4467,
     /*  542502 */     GIR_EraseRootFromParent_Done,
     /*  542503 */   // Label 8950: @542503
     /*  542503 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542574), // Rule ID 4468 //
     /*  542508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542536 */     // MIs[0] passthru
     /*  542536 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  542555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542572 */     GIR_RootConstrainSelectedInstOperands,
     /*  542573 */     // GIR_Coverage, 4468,
     /*  542573 */     GIR_EraseRootFromParent_Done,
     /*  542574 */   // Label 8951: @542574
     /*  542574 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542645), // Rule ID 4477 //
     /*  542579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  542596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542607 */     // MIs[0] passthru
     /*  542607 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542643 */     GIR_RootConstrainSelectedInstOperands,
     /*  542644 */     // GIR_Coverage, 4477,
     /*  542644 */     GIR_EraseRootFromParent_Done,
     /*  542645 */   // Label 8952: @542645
     /*  542645 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542716), // Rule ID 4478 //
     /*  542650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  542667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542678 */     // MIs[0] passthru
     /*  542678 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  542697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542714 */     GIR_RootConstrainSelectedInstOperands,
     /*  542715 */     // GIR_Coverage, 4478,
     /*  542715 */     GIR_EraseRootFromParent_Done,
     /*  542716 */   // Label 8953: @542716
     /*  542716 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542787), // Rule ID 4487 //
     /*  542721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542749 */     // MIs[0] passthru
     /*  542749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542785 */     GIR_RootConstrainSelectedInstOperands,
     /*  542786 */     // GIR_Coverage, 4487,
     /*  542786 */     GIR_EraseRootFromParent_Done,
     /*  542787 */   // Label 8954: @542787
     /*  542787 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542858), // Rule ID 4488 //
     /*  542792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542820 */     // MIs[0] passthru
     /*  542820 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  542839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542856 */     GIR_RootConstrainSelectedInstOperands,
     /*  542857 */     // GIR_Coverage, 4488,
     /*  542857 */     GIR_EraseRootFromParent_Done,
     /*  542858 */   // Label 8955: @542858
     /*  542858 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(542929), // Rule ID 4497 //
     /*  542863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  542877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542891 */     // MIs[0] passthru
     /*  542891 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542927 */     GIR_RootConstrainSelectedInstOperands,
     /*  542928 */     // GIR_Coverage, 4497,
     /*  542928 */     GIR_EraseRootFromParent_Done,
     /*  542929 */   // Label 8956: @542929
     /*  542929 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543000), // Rule ID 4498 //
     /*  542934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  542942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  542948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542962 */     // MIs[0] passthru
     /*  542962 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  542981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542998 */     GIR_RootConstrainSelectedInstOperands,
     /*  542999 */     // GIR_Coverage, 4498,
     /*  542999 */     GIR_EraseRootFromParent_Done,
     /*  543000 */   // Label 8957: @543000
     /*  543000 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543071), // Rule ID 4567 //
     /*  543005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543033 */     // MIs[0] passthru
     /*  543033 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543069 */     GIR_RootConstrainSelectedInstOperands,
     /*  543070 */     // GIR_Coverage, 4567,
     /*  543070 */     GIR_EraseRootFromParent_Done,
     /*  543071 */   // Label 8958: @543071
     /*  543071 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543142), // Rule ID 4568 //
     /*  543076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543104 */     // MIs[0] passthru
     /*  543104 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  543123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543140 */     GIR_RootConstrainSelectedInstOperands,
     /*  543141 */     // GIR_Coverage, 4568,
     /*  543141 */     GIR_EraseRootFromParent_Done,
     /*  543142 */   // Label 8959: @543142
     /*  543142 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543213), // Rule ID 4577 //
     /*  543147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543175 */     // MIs[0] passthru
     /*  543175 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543211 */     GIR_RootConstrainSelectedInstOperands,
     /*  543212 */     // GIR_Coverage, 4577,
     /*  543212 */     GIR_EraseRootFromParent_Done,
     /*  543213 */   // Label 8960: @543213
     /*  543213 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543284), // Rule ID 4578 //
     /*  543218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543246 */     // MIs[0] passthru
     /*  543246 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543282 */     GIR_RootConstrainSelectedInstOperands,
     /*  543283 */     // GIR_Coverage, 4578,
     /*  543283 */     GIR_EraseRootFromParent_Done,
     /*  543284 */   // Label 8961: @543284
     /*  543284 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543355), // Rule ID 4587 //
     /*  543289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543317 */     // MIs[0] passthru
     /*  543317 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543353 */     GIR_RootConstrainSelectedInstOperands,
     /*  543354 */     // GIR_Coverage, 4587,
     /*  543354 */     GIR_EraseRootFromParent_Done,
     /*  543355 */   // Label 8962: @543355
     /*  543355 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543426), // Rule ID 4588 //
     /*  543360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543388 */     // MIs[0] passthru
     /*  543388 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543424 */     GIR_RootConstrainSelectedInstOperands,
     /*  543425 */     // GIR_Coverage, 4588,
     /*  543425 */     GIR_EraseRootFromParent_Done,
     /*  543426 */   // Label 8963: @543426
     /*  543426 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543497), // Rule ID 4597 //
     /*  543431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543459 */     // MIs[0] passthru
     /*  543459 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543495 */     GIR_RootConstrainSelectedInstOperands,
     /*  543496 */     // GIR_Coverage, 4597,
     /*  543496 */     GIR_EraseRootFromParent_Done,
     /*  543497 */   // Label 8964: @543497
     /*  543497 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543568), // Rule ID 4598 //
     /*  543502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543530 */     // MIs[0] passthru
     /*  543530 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543566 */     GIR_RootConstrainSelectedInstOperands,
     /*  543567 */     // GIR_Coverage, 4598,
     /*  543567 */     GIR_EraseRootFromParent_Done,
     /*  543568 */   // Label 8965: @543568
     /*  543568 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543639), // Rule ID 4607 //
     /*  543573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543601 */     // MIs[0] passthru
     /*  543601 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543637 */     GIR_RootConstrainSelectedInstOperands,
     /*  543638 */     // GIR_Coverage, 4607,
     /*  543638 */     GIR_EraseRootFromParent_Done,
     /*  543639 */   // Label 8966: @543639
     /*  543639 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543710), // Rule ID 4608 //
     /*  543644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543672 */     // MIs[0] passthru
     /*  543672 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543708 */     GIR_RootConstrainSelectedInstOperands,
     /*  543709 */     // GIR_Coverage, 4608,
     /*  543709 */     GIR_EraseRootFromParent_Done,
     /*  543710 */   // Label 8967: @543710
     /*  543710 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543781), // Rule ID 4617 //
     /*  543715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  543726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  543729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  543732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543743 */     // MIs[0] passthru
     /*  543743 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543779 */     GIR_RootConstrainSelectedInstOperands,
     /*  543780 */     // GIR_Coverage, 4617,
     /*  543780 */     GIR_EraseRootFromParent_Done,
     /*  543781 */   // Label 8968: @543781
     /*  543781 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543852), // Rule ID 4618 //
     /*  543786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  543797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  543800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  543803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543814 */     // MIs[0] passthru
     /*  543814 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543850 */     GIR_RootConstrainSelectedInstOperands,
     /*  543851 */     // GIR_Coverage, 4618,
     /*  543851 */     GIR_EraseRootFromParent_Done,
     /*  543852 */   // Label 8969: @543852
     /*  543852 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(543923), // Rule ID 4627 //
     /*  543857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543885 */     // MIs[0] passthru
     /*  543885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543921 */     GIR_RootConstrainSelectedInstOperands,
     /*  543922 */     // GIR_Coverage, 4627,
     /*  543922 */     GIR_EraseRootFromParent_Done,
     /*  543923 */   // Label 8970: @543923
     /*  543923 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(543994), // Rule ID 4628 //
     /*  543928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543956 */     // MIs[0] passthru
     /*  543956 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  543975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543992 */     GIR_RootConstrainSelectedInstOperands,
     /*  543993 */     // GIR_Coverage, 4628,
     /*  543993 */     GIR_EraseRootFromParent_Done,
     /*  543994 */   // Label 8971: @543994
     /*  543994 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544065), // Rule ID 4637 //
     /*  543999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544027 */     // MIs[0] passthru
     /*  544027 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544063 */     GIR_RootConstrainSelectedInstOperands,
     /*  544064 */     // GIR_Coverage, 4637,
     /*  544064 */     GIR_EraseRootFromParent_Done,
     /*  544065 */   // Label 8972: @544065
     /*  544065 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544136), // Rule ID 4638 //
     /*  544070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544098 */     // MIs[0] passthru
     /*  544098 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544134 */     GIR_RootConstrainSelectedInstOperands,
     /*  544135 */     // GIR_Coverage, 4638,
     /*  544135 */     GIR_EraseRootFromParent_Done,
     /*  544136 */   // Label 8973: @544136
     /*  544136 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544207), // Rule ID 4647 //
     /*  544141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544169 */     // MIs[0] passthru
     /*  544169 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544185 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544205 */     GIR_RootConstrainSelectedInstOperands,
     /*  544206 */     // GIR_Coverage, 4647,
     /*  544206 */     GIR_EraseRootFromParent_Done,
     /*  544207 */   // Label 8974: @544207
     /*  544207 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544278), // Rule ID 4648 //
     /*  544212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544240 */     // MIs[0] passthru
     /*  544240 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544276 */     GIR_RootConstrainSelectedInstOperands,
     /*  544277 */     // GIR_Coverage, 4648,
     /*  544277 */     GIR_EraseRootFromParent_Done,
     /*  544278 */   // Label 8975: @544278
     /*  544278 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544349), // Rule ID 4657 //
     /*  544283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544311 */     // MIs[0] passthru
     /*  544311 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544347 */     GIR_RootConstrainSelectedInstOperands,
     /*  544348 */     // GIR_Coverage, 4657,
     /*  544348 */     GIR_EraseRootFromParent_Done,
     /*  544349 */   // Label 8976: @544349
     /*  544349 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544420), // Rule ID 4658 //
     /*  544354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544382 */     // MIs[0] passthru
     /*  544382 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544418 */     GIR_RootConstrainSelectedInstOperands,
     /*  544419 */     // GIR_Coverage, 4658,
     /*  544419 */     GIR_EraseRootFromParent_Done,
     /*  544420 */   // Label 8977: @544420
     /*  544420 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544491), // Rule ID 4667 //
     /*  544425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544453 */     // MIs[0] passthru
     /*  544453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544489 */     GIR_RootConstrainSelectedInstOperands,
     /*  544490 */     // GIR_Coverage, 4667,
     /*  544490 */     GIR_EraseRootFromParent_Done,
     /*  544491 */   // Label 8978: @544491
     /*  544491 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544562), // Rule ID 4668 //
     /*  544496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544524 */     // MIs[0] passthru
     /*  544524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  544543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544560 */     GIR_RootConstrainSelectedInstOperands,
     /*  544561 */     // GIR_Coverage, 4668,
     /*  544561 */     GIR_EraseRootFromParent_Done,
     /*  544562 */   // Label 8979: @544562
     /*  544562 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544633), // Rule ID 4677 //
     /*  544567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544595 */     // MIs[0] passthru
     /*  544595 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544631 */     GIR_RootConstrainSelectedInstOperands,
     /*  544632 */     // GIR_Coverage, 4677,
     /*  544632 */     GIR_EraseRootFromParent_Done,
     /*  544633 */   // Label 8980: @544633
     /*  544633 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544704), // Rule ID 4678 //
     /*  544638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544666 */     // MIs[0] passthru
     /*  544666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  544685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544702 */     GIR_RootConstrainSelectedInstOperands,
     /*  544703 */     // GIR_Coverage, 4678,
     /*  544703 */     GIR_EraseRootFromParent_Done,
     /*  544704 */   // Label 8981: @544704
     /*  544704 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544775), // Rule ID 4687 //
     /*  544709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  544720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  544723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544737 */     // MIs[0] passthru
     /*  544737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544773 */     GIR_RootConstrainSelectedInstOperands,
     /*  544774 */     // GIR_Coverage, 4687,
     /*  544774 */     GIR_EraseRootFromParent_Done,
     /*  544775 */   // Label 8982: @544775
     /*  544775 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544846), // Rule ID 4688 //
     /*  544780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  544791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  544794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544808 */     // MIs[0] passthru
     /*  544808 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  544827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544844 */     GIR_RootConstrainSelectedInstOperands,
     /*  544845 */     // GIR_Coverage, 4688,
     /*  544845 */     GIR_EraseRootFromParent_Done,
     /*  544846 */   // Label 8983: @544846
     /*  544846 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(544917), // Rule ID 4697 //
     /*  544851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  544862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  544865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  544868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544879 */     // MIs[0] passthru
     /*  544879 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544915 */     GIR_RootConstrainSelectedInstOperands,
     /*  544916 */     // GIR_Coverage, 4697,
     /*  544916 */     GIR_EraseRootFromParent_Done,
     /*  544917 */   // Label 8984: @544917
     /*  544917 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(544988), // Rule ID 4698 //
     /*  544922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  544930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  544933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  544936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  544939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544950 */     // MIs[0] passthru
     /*  544950 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544966 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  544969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544986 */     GIR_RootConstrainSelectedInstOperands,
     /*  544987 */     // GIR_Coverage, 4698,
     /*  544987 */     GIR_EraseRootFromParent_Done,
     /*  544988 */   // Label 8985: @544988
     /*  544988 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545059), // Rule ID 4707 //
     /*  544993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545021 */     // MIs[0] passthru
     /*  545021 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545057 */     GIR_RootConstrainSelectedInstOperands,
     /*  545058 */     // GIR_Coverage, 4707,
     /*  545058 */     GIR_EraseRootFromParent_Done,
     /*  545059 */   // Label 8986: @545059
     /*  545059 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545130), // Rule ID 4708 //
     /*  545064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  545072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545092 */     // MIs[0] passthru
     /*  545092 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  545111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545128 */     GIR_RootConstrainSelectedInstOperands,
     /*  545129 */     // GIR_Coverage, 4708,
     /*  545129 */     GIR_EraseRootFromParent_Done,
     /*  545130 */   // Label 8987: @545130
     /*  545130 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545202), // Rule ID 2571 //
     /*  545135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545181 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545200 */     GIR_RootConstrainSelectedInstOperands,
     /*  545201 */     // GIR_Coverage, 2571,
     /*  545201 */     GIR_EraseRootFromParent_Done,
     /*  545202 */   // Label 8988: @545202
     /*  545202 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545274), // Rule ID 2572 //
     /*  545207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  545215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545253 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  545256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545272 */     GIR_RootConstrainSelectedInstOperands,
     /*  545273 */     // GIR_Coverage, 2572,
     /*  545273 */     GIR_EraseRootFromParent_Done,
     /*  545274 */   // Label 8989: @545274
     /*  545274 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545349), // Rule ID 2575 //
     /*  545279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  545282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545325 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  545325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545347 */     GIR_RootConstrainSelectedInstOperands,
     /*  545348 */     // GIR_Coverage, 2575,
     /*  545348 */     GIR_EraseRootFromParent_Done,
     /*  545349 */   // Label 8990: @545349
     /*  545349 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545424), // Rule ID 2576 //
     /*  545354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  545357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  545362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  545368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  545371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  545381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  545400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  545403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  545422 */     GIR_RootConstrainSelectedInstOperands,
     /*  545423 */     // GIR_Coverage, 2576,
     /*  545423 */     GIR_EraseRootFromParent_Done,
     /*  545424 */   // Label 8991: @545424
     /*  545424 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545499), // Rule ID 2603 //
     /*  545429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545497 */     GIR_RootConstrainSelectedInstOperands,
     /*  545498 */     // GIR_Coverage, 2603,
     /*  545498 */     GIR_EraseRootFromParent_Done,
     /*  545499 */   // Label 8992: @545499
     /*  545499 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545574), // Rule ID 2604 //
     /*  545504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  545553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545572 */     GIR_RootConstrainSelectedInstOperands,
     /*  545573 */     // GIR_Coverage, 2604,
     /*  545573 */     GIR_EraseRootFromParent_Done,
     /*  545574 */   // Label 8993: @545574
     /*  545574 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545646), // Rule ID 2617 //
     /*  545579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  545587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545625 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  545625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  545628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  545632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545644 */     GIR_RootConstrainSelectedInstOperands,
     /*  545645 */     // GIR_Coverage, 2617,
     /*  545645 */     GIR_EraseRootFromParent_Done,
     /*  545646 */   // Label 8994: @545646
     /*  545646 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545718), // Rule ID 2618 //
     /*  545651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  545659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  545662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  545671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  545690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545697 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  545697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  545700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  545704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  545708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545716 */     GIR_RootConstrainSelectedInstOperands,
     /*  545717 */     // GIR_Coverage, 2618,
     /*  545717 */     GIR_EraseRootFromParent_Done,
     /*  545718 */   // Label 8995: @545718
     /*  545718 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545793), // Rule ID 2637 //
     /*  545723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  545731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  545772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545791 */     GIR_RootConstrainSelectedInstOperands,
     /*  545792 */     // GIR_Coverage, 2637,
     /*  545792 */     GIR_EraseRootFromParent_Done,
     /*  545793 */   // Label 8996: @545793
     /*  545793 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545868), // Rule ID 2638 //
     /*  545798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  545806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  545847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545866 */     GIR_RootConstrainSelectedInstOperands,
     /*  545867 */     // GIR_Coverage, 2638,
     /*  545867 */     GIR_EraseRootFromParent_Done,
     /*  545868 */   // Label 8997: @545868
     /*  545868 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(545943), // Rule ID 2663 //
     /*  545873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  545881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  545884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  545887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  545922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  545926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545941 */     GIR_RootConstrainSelectedInstOperands,
     /*  545942 */     // GIR_Coverage, 2663,
     /*  545942 */     GIR_EraseRootFromParent_Done,
     /*  545943 */   // Label 8998: @545943
     /*  545943 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546018), // Rule ID 2664 //
     /*  545948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  545956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  545959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  545962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  545997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  546001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546016 */     GIR_RootConstrainSelectedInstOperands,
     /*  546017 */     // GIR_Coverage, 2664,
     /*  546017 */     GIR_EraseRootFromParent_Done,
     /*  546018 */   // Label 8999: @546018
     /*  546018 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546093), // Rule ID 2675 //
     /*  546023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546091 */     GIR_RootConstrainSelectedInstOperands,
     /*  546092 */     // GIR_Coverage, 2675,
     /*  546092 */     GIR_EraseRootFromParent_Done,
     /*  546093 */   // Label 9000: @546093
     /*  546093 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546168), // Rule ID 2676 //
     /*  546098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  546147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546166 */     GIR_RootConstrainSelectedInstOperands,
     /*  546167 */     // GIR_Coverage, 2676,
     /*  546167 */     GIR_EraseRootFromParent_Done,
     /*  546168 */   // Label 9001: @546168
     /*  546168 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546243), // Rule ID 2683 //
     /*  546173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546241 */     GIR_RootConstrainSelectedInstOperands,
     /*  546242 */     // GIR_Coverage, 2683,
     /*  546242 */     GIR_EraseRootFromParent_Done,
     /*  546243 */   // Label 9002: @546243
     /*  546243 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546318), // Rule ID 2684 //
     /*  546248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546316 */     GIR_RootConstrainSelectedInstOperands,
     /*  546317 */     // GIR_Coverage, 2684,
     /*  546317 */     GIR_EraseRootFromParent_Done,
     /*  546318 */   // Label 9003: @546318
     /*  546318 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546393), // Rule ID 2691 //
     /*  546323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546391 */     GIR_RootConstrainSelectedInstOperands,
     /*  546392 */     // GIR_Coverage, 2691,
     /*  546392 */     GIR_EraseRootFromParent_Done,
     /*  546393 */   // Label 9004: @546393
     /*  546393 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546468), // Rule ID 2692 //
     /*  546398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546466 */     GIR_RootConstrainSelectedInstOperands,
     /*  546467 */     // GIR_Coverage, 2692,
     /*  546467 */     GIR_EraseRootFromParent_Done,
     /*  546468 */   // Label 9005: @546468
     /*  546468 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546543), // Rule ID 2699 //
     /*  546473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546541 */     GIR_RootConstrainSelectedInstOperands,
     /*  546542 */     // GIR_Coverage, 2699,
     /*  546542 */     GIR_EraseRootFromParent_Done,
     /*  546543 */   // Label 9006: @546543
     /*  546543 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546618), // Rule ID 2700 //
     /*  546548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  546597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546616 */     GIR_RootConstrainSelectedInstOperands,
     /*  546617 */     // GIR_Coverage, 2700,
     /*  546617 */     GIR_EraseRootFromParent_Done,
     /*  546618 */   // Label 9007: @546618
     /*  546618 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546693), // Rule ID 2707 //
     /*  546623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546691 */     GIR_RootConstrainSelectedInstOperands,
     /*  546692 */     // GIR_Coverage, 2707,
     /*  546692 */     GIR_EraseRootFromParent_Done,
     /*  546693 */   // Label 9008: @546693
     /*  546693 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546768), // Rule ID 2708 //
     /*  546698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546766 */     GIR_RootConstrainSelectedInstOperands,
     /*  546767 */     // GIR_Coverage, 2708,
     /*  546767 */     GIR_EraseRootFromParent_Done,
     /*  546768 */   // Label 9009: @546768
     /*  546768 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546843), // Rule ID 2715 //
     /*  546773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546841 */     GIR_RootConstrainSelectedInstOperands,
     /*  546842 */     // GIR_Coverage, 2715,
     /*  546842 */     GIR_EraseRootFromParent_Done,
     /*  546843 */   // Label 9010: @546843
     /*  546843 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546918), // Rule ID 2716 //
     /*  546848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  546897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546916 */     GIR_RootConstrainSelectedInstOperands,
     /*  546917 */     // GIR_Coverage, 2716,
     /*  546917 */     GIR_EraseRootFromParent_Done,
     /*  546918 */   // Label 9011: @546918
     /*  546918 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(546993), // Rule ID 2723 //
     /*  546923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  546940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546969 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546991 */     GIR_RootConstrainSelectedInstOperands,
     /*  546992 */     // GIR_Coverage, 2723,
     /*  546992 */     GIR_EraseRootFromParent_Done,
     /*  546993 */   // Label 9012: @546993
     /*  546993 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547068), // Rule ID 2724 //
     /*  546998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547066 */     GIR_RootConstrainSelectedInstOperands,
     /*  547067 */     // GIR_Coverage, 2724,
     /*  547067 */     GIR_EraseRootFromParent_Done,
     /*  547068 */   // Label 9013: @547068
     /*  547068 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547143), // Rule ID 2731 //
     /*  547073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547141 */     GIR_RootConstrainSelectedInstOperands,
     /*  547142 */     // GIR_Coverage, 2731,
     /*  547142 */     GIR_EraseRootFromParent_Done,
     /*  547143 */   // Label 9014: @547143
     /*  547143 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547218), // Rule ID 2732 //
     /*  547148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547216 */     GIR_RootConstrainSelectedInstOperands,
     /*  547217 */     // GIR_Coverage, 2732,
     /*  547217 */     GIR_EraseRootFromParent_Done,
     /*  547218 */   // Label 9015: @547218
     /*  547218 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547293), // Rule ID 2739 //
     /*  547223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547291 */     GIR_RootConstrainSelectedInstOperands,
     /*  547292 */     // GIR_Coverage, 2739,
     /*  547292 */     GIR_EraseRootFromParent_Done,
     /*  547293 */   // Label 9016: @547293
     /*  547293 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547368), // Rule ID 2740 //
     /*  547298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547366 */     GIR_RootConstrainSelectedInstOperands,
     /*  547367 */     // GIR_Coverage, 2740,
     /*  547367 */     GIR_EraseRootFromParent_Done,
     /*  547368 */   // Label 9017: @547368
     /*  547368 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547443), // Rule ID 2747 //
     /*  547373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547441 */     GIR_RootConstrainSelectedInstOperands,
     /*  547442 */     // GIR_Coverage, 2747,
     /*  547442 */     GIR_EraseRootFromParent_Done,
     /*  547443 */   // Label 9018: @547443
     /*  547443 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547518), // Rule ID 2748 //
     /*  547448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  547497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547516 */     GIR_RootConstrainSelectedInstOperands,
     /*  547517 */     // GIR_Coverage, 2748,
     /*  547517 */     GIR_EraseRootFromParent_Done,
     /*  547518 */   // Label 9019: @547518
     /*  547518 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547593), // Rule ID 2755 //
     /*  547523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547569 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547591 */     GIR_RootConstrainSelectedInstOperands,
     /*  547592 */     // GIR_Coverage, 2755,
     /*  547592 */     GIR_EraseRootFromParent_Done,
     /*  547593 */   // Label 9020: @547593
     /*  547593 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547668), // Rule ID 2756 //
     /*  547598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547666 */     GIR_RootConstrainSelectedInstOperands,
     /*  547667 */     // GIR_Coverage, 2756,
     /*  547667 */     GIR_EraseRootFromParent_Done,
     /*  547668 */   // Label 9021: @547668
     /*  547668 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547743), // Rule ID 2763 //
     /*  547673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547741 */     GIR_RootConstrainSelectedInstOperands,
     /*  547742 */     // GIR_Coverage, 2763,
     /*  547742 */     GIR_EraseRootFromParent_Done,
     /*  547743 */   // Label 9022: @547743
     /*  547743 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547818), // Rule ID 2764 //
     /*  547748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547816 */     GIR_RootConstrainSelectedInstOperands,
     /*  547817 */     // GIR_Coverage, 2764,
     /*  547817 */     GIR_EraseRootFromParent_Done,
     /*  547818 */   // Label 9023: @547818
     /*  547818 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547893), // Rule ID 2771 //
     /*  547823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547891 */     GIR_RootConstrainSelectedInstOperands,
     /*  547892 */     // GIR_Coverage, 2771,
     /*  547892 */     GIR_EraseRootFromParent_Done,
     /*  547893 */   // Label 9024: @547893
     /*  547893 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(547968), // Rule ID 2772 //
     /*  547898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547966 */     GIR_RootConstrainSelectedInstOperands,
     /*  547967 */     // GIR_Coverage, 2772,
     /*  547967 */     GIR_EraseRootFromParent_Done,
     /*  547968 */   // Label 9025: @547968
     /*  547968 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548043), // Rule ID 2779 //
     /*  547973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  547984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  547987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  547990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548041 */     GIR_RootConstrainSelectedInstOperands,
     /*  548042 */     // GIR_Coverage, 2779,
     /*  548042 */     GIR_EraseRootFromParent_Done,
     /*  548043 */   // Label 9026: @548043
     /*  548043 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548118), // Rule ID 2780 //
     /*  548048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548116 */     GIR_RootConstrainSelectedInstOperands,
     /*  548117 */     // GIR_Coverage, 2780,
     /*  548117 */     GIR_EraseRootFromParent_Done,
     /*  548118 */   // Label 9027: @548118
     /*  548118 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548193), // Rule ID 2787 //
     /*  548123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548191 */     GIR_RootConstrainSelectedInstOperands,
     /*  548192 */     // GIR_Coverage, 2787,
     /*  548192 */     GIR_EraseRootFromParent_Done,
     /*  548193 */   // Label 9028: @548193
     /*  548193 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548268), // Rule ID 2788 //
     /*  548198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  548218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548266 */     GIR_RootConstrainSelectedInstOperands,
     /*  548267 */     // GIR_Coverage, 2788,
     /*  548267 */     GIR_EraseRootFromParent_Done,
     /*  548268 */   // Label 9029: @548268
     /*  548268 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548343), // Rule ID 2795 //
     /*  548273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548341 */     GIR_RootConstrainSelectedInstOperands,
     /*  548342 */     // GIR_Coverage, 2795,
     /*  548342 */     GIR_EraseRootFromParent_Done,
     /*  548343 */   // Label 9030: @548343
     /*  548343 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548418), // Rule ID 2796 //
     /*  548348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548416 */     GIR_RootConstrainSelectedInstOperands,
     /*  548417 */     // GIR_Coverage, 2796,
     /*  548417 */     GIR_EraseRootFromParent_Done,
     /*  548418 */   // Label 9031: @548418
     /*  548418 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548493), // Rule ID 2803 //
     /*  548423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548491 */     GIR_RootConstrainSelectedInstOperands,
     /*  548492 */     // GIR_Coverage, 2803,
     /*  548492 */     GIR_EraseRootFromParent_Done,
     /*  548493 */   // Label 9032: @548493
     /*  548493 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548568), // Rule ID 2804 //
     /*  548498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548566 */     GIR_RootConstrainSelectedInstOperands,
     /*  548567 */     // GIR_Coverage, 2804,
     /*  548567 */     GIR_EraseRootFromParent_Done,
     /*  548568 */   // Label 9033: @548568
     /*  548568 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548643), // Rule ID 2811 //
     /*  548573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548641 */     GIR_RootConstrainSelectedInstOperands,
     /*  548642 */     // GIR_Coverage, 2811,
     /*  548642 */     GIR_EraseRootFromParent_Done,
     /*  548643 */   // Label 9034: @548643
     /*  548643 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548718), // Rule ID 2812 //
     /*  548648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  548697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548716 */     GIR_RootConstrainSelectedInstOperands,
     /*  548717 */     // GIR_Coverage, 2812,
     /*  548717 */     GIR_EraseRootFromParent_Done,
     /*  548718 */   // Label 9035: @548718
     /*  548718 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548793), // Rule ID 2819 //
     /*  548723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548791 */     GIR_RootConstrainSelectedInstOperands,
     /*  548792 */     // GIR_Coverage, 2819,
     /*  548792 */     GIR_EraseRootFromParent_Done,
     /*  548793 */   // Label 9036: @548793
     /*  548793 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548868), // Rule ID 2820 //
     /*  548798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548866 */     GIR_RootConstrainSelectedInstOperands,
     /*  548867 */     // GIR_Coverage, 2820,
     /*  548867 */     GIR_EraseRootFromParent_Done,
     /*  548868 */   // Label 9037: @548868
     /*  548868 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548943), // Rule ID 2827 //
     /*  548873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  548884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  548887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  548890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  548893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548919 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548941 */     GIR_RootConstrainSelectedInstOperands,
     /*  548942 */     // GIR_Coverage, 2827,
     /*  548942 */     GIR_EraseRootFromParent_Done,
     /*  548943 */   // Label 9038: @548943
     /*  548943 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(549018), // Rule ID 2828 //
     /*  548948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  548959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  548962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  548965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  548968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  548997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549016 */     GIR_RootConstrainSelectedInstOperands,
     /*  549017 */     // GIR_Coverage, 2828,
     /*  549017 */     GIR_EraseRootFromParent_Done,
     /*  549018 */   // Label 9039: @549018
     /*  549018 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549093), // Rule ID 2835 //
     /*  549023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549091 */     GIR_RootConstrainSelectedInstOperands,
     /*  549092 */     // GIR_Coverage, 2835,
     /*  549092 */     GIR_EraseRootFromParent_Done,
     /*  549093 */   // Label 9040: @549093
     /*  549093 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549168), // Rule ID 2836 //
     /*  549098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  549118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  549147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549166 */     GIR_RootConstrainSelectedInstOperands,
     /*  549167 */     // GIR_Coverage, 2836,
     /*  549167 */     GIR_EraseRootFromParent_Done,
     /*  549168 */   // Label 9041: @549168
     /*  549168 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549243), // Rule ID 2843 //
     /*  549173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549219 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549241 */     GIR_RootConstrainSelectedInstOperands,
     /*  549242 */     // GIR_Coverage, 2843,
     /*  549242 */     GIR_EraseRootFromParent_Done,
     /*  549243 */   // Label 9042: @549243
     /*  549243 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549318), // Rule ID 2844 //
     /*  549248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  549256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  549268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  549297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  549303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549316 */     GIR_RootConstrainSelectedInstOperands,
     /*  549317 */     // GIR_Coverage, 2844,
     /*  549317 */     GIR_EraseRootFromParent_Done,
     /*  549318 */   // Label 9043: @549318
     /*  549318 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549393), // Rule ID 2851 //
     /*  549323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549369 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549391 */     GIR_RootConstrainSelectedInstOperands,
     /*  549392 */     // GIR_Coverage, 2851,
     /*  549392 */     GIR_EraseRootFromParent_Done,
     /*  549393 */   // Label 9044: @549393
     /*  549393 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549468), // Rule ID 2852 //
     /*  549398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  549418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549466 */     GIR_RootConstrainSelectedInstOperands,
     /*  549467 */     // GIR_Coverage, 2852,
     /*  549467 */     GIR_EraseRootFromParent_Done,
     /*  549468 */   // Label 9045: @549468
     /*  549468 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549543), // Rule ID 2855 //
     /*  549473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549519 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549541 */     GIR_RootConstrainSelectedInstOperands,
     /*  549542 */     // GIR_Coverage, 2855,
     /*  549542 */     GIR_EraseRootFromParent_Done,
     /*  549543 */   // Label 9046: @549543
     /*  549543 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549618), // Rule ID 2856 //
     /*  549548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  549568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549594 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549616 */     GIR_RootConstrainSelectedInstOperands,
     /*  549617 */     // GIR_Coverage, 2856,
     /*  549617 */     GIR_EraseRootFromParent_Done,
     /*  549618 */   // Label 9047: @549618
     /*  549618 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549693), // Rule ID 2859 //
     /*  549623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549691 */     GIR_RootConstrainSelectedInstOperands,
     /*  549692 */     // GIR_Coverage, 2859,
     /*  549692 */     GIR_EraseRootFromParent_Done,
     /*  549693 */   // Label 9048: @549693
     /*  549693 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549768), // Rule ID 2860 //
     /*  549698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  549747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549766 */     GIR_RootConstrainSelectedInstOperands,
     /*  549767 */     // GIR_Coverage, 2860,
     /*  549767 */     GIR_EraseRootFromParent_Done,
     /*  549768 */   // Label 9049: @549768
     /*  549768 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549843), // Rule ID 2863 //
     /*  549773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549841 */     GIR_RootConstrainSelectedInstOperands,
     /*  549842 */     // GIR_Coverage, 2863,
     /*  549842 */     GIR_EraseRootFromParent_Done,
     /*  549843 */   // Label 9050: @549843
     /*  549843 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549918), // Rule ID 2864 //
     /*  549848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549916 */     GIR_RootConstrainSelectedInstOperands,
     /*  549917 */     // GIR_Coverage, 2864,
     /*  549917 */     GIR_EraseRootFromParent_Done,
     /*  549918 */   // Label 9051: @549918
     /*  549918 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(549993), // Rule ID 2867 //
     /*  549923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  549940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  549972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549991 */     GIR_RootConstrainSelectedInstOperands,
     /*  549992 */     // GIR_Coverage, 2867,
     /*  549992 */     GIR_EraseRootFromParent_Done,
     /*  549993 */   // Label 9052: @549993
     /*  549993 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(550068), // Rule ID 2868 //
     /*  549998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  550047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550066 */     GIR_RootConstrainSelectedInstOperands,
     /*  550067 */     // GIR_Coverage, 2868,
     /*  550067 */     GIR_EraseRootFromParent_Done,
     /*  550068 */   // Label 9053: @550068
     /*  550068 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550143), // Rule ID 2871 //
     /*  550073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550119 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550141 */     GIR_RootConstrainSelectedInstOperands,
     /*  550142 */     // GIR_Coverage, 2871,
     /*  550142 */     GIR_EraseRootFromParent_Done,
     /*  550143 */   // Label 9054: @550143
     /*  550143 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550218), // Rule ID 2872 //
     /*  550148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550216 */     GIR_RootConstrainSelectedInstOperands,
     /*  550217 */     // GIR_Coverage, 2872,
     /*  550217 */     GIR_EraseRootFromParent_Done,
     /*  550218 */   // Label 9055: @550218
     /*  550218 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550293), // Rule ID 2875 //
     /*  550223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550291 */     GIR_RootConstrainSelectedInstOperands,
     /*  550292 */     // GIR_Coverage, 2875,
     /*  550292 */     GIR_EraseRootFromParent_Done,
     /*  550293 */   // Label 9056: @550293
     /*  550293 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550368), // Rule ID 2876 //
     /*  550298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550366 */     GIR_RootConstrainSelectedInstOperands,
     /*  550367 */     // GIR_Coverage, 2876,
     /*  550367 */     GIR_EraseRootFromParent_Done,
     /*  550368 */   // Label 9057: @550368
     /*  550368 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550443), // Rule ID 2879 //
     /*  550373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550441 */     GIR_RootConstrainSelectedInstOperands,
     /*  550442 */     // GIR_Coverage, 2879,
     /*  550442 */     GIR_EraseRootFromParent_Done,
     /*  550443 */   // Label 9058: @550443
     /*  550443 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550518), // Rule ID 2880 //
     /*  550448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550516 */     GIR_RootConstrainSelectedInstOperands,
     /*  550517 */     // GIR_Coverage, 2880,
     /*  550517 */     GIR_EraseRootFromParent_Done,
     /*  550518 */   // Label 9059: @550518
     /*  550518 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550593), // Rule ID 2883 //
     /*  550523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550591 */     GIR_RootConstrainSelectedInstOperands,
     /*  550592 */     // GIR_Coverage, 2883,
     /*  550592 */     GIR_EraseRootFromParent_Done,
     /*  550593 */   // Label 9060: @550593
     /*  550593 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550668), // Rule ID 2884 //
     /*  550598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  550618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  550647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550666 */     GIR_RootConstrainSelectedInstOperands,
     /*  550667 */     // GIR_Coverage, 2884,
     /*  550667 */     GIR_EraseRootFromParent_Done,
     /*  550668 */   // Label 9061: @550668
     /*  550668 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550743), // Rule ID 2887 //
     /*  550673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  550693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550719 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550741 */     GIR_RootConstrainSelectedInstOperands,
     /*  550742 */     // GIR_Coverage, 2887,
     /*  550742 */     GIR_EraseRootFromParent_Done,
     /*  550743 */   // Label 9062: @550743
     /*  550743 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550818), // Rule ID 2888 //
     /*  550748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  550768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550816 */     GIR_RootConstrainSelectedInstOperands,
     /*  550817 */     // GIR_Coverage, 2888,
     /*  550817 */     GIR_EraseRootFromParent_Done,
     /*  550818 */   // Label 9063: @550818
     /*  550818 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550893), // Rule ID 2891 //
     /*  550823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  550843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550891 */     GIR_RootConstrainSelectedInstOperands,
     /*  550892 */     // GIR_Coverage, 2891,
     /*  550892 */     GIR_EraseRootFromParent_Done,
     /*  550893 */   // Label 9064: @550893
     /*  550893 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(550968), // Rule ID 2892 //
     /*  550898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  550918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550944 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550966 */     GIR_RootConstrainSelectedInstOperands,
     /*  550967 */     // GIR_Coverage, 2892,
     /*  550967 */     GIR_EraseRootFromParent_Done,
     /*  550968 */   // Label 9065: @550968
     /*  550968 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(551043), // Rule ID 2895 //
     /*  550973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  550984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  550987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  550990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  550993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551041 */     GIR_RootConstrainSelectedInstOperands,
     /*  551042 */     // GIR_Coverage, 2895,
     /*  551042 */     GIR_EraseRootFromParent_Done,
     /*  551043 */   // Label 9066: @551043
     /*  551043 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(551118), // Rule ID 2896 //
     /*  551048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551094 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551116 */     GIR_RootConstrainSelectedInstOperands,
     /*  551117 */     // GIR_Coverage, 2896,
     /*  551117 */     GIR_EraseRootFromParent_Done,
     /*  551118 */   // Label 9067: @551118
     /*  551118 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551193), // Rule ID 2899 //
     /*  551123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551191 */     GIR_RootConstrainSelectedInstOperands,
     /*  551192 */     // GIR_Coverage, 2899,
     /*  551192 */     GIR_EraseRootFromParent_Done,
     /*  551193 */   // Label 9068: @551193
     /*  551193 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551268), // Rule ID 2900 //
     /*  551198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551266 */     GIR_RootConstrainSelectedInstOperands,
     /*  551267 */     // GIR_Coverage, 2900,
     /*  551267 */     GIR_EraseRootFromParent_Done,
     /*  551268 */   // Label 9069: @551268
     /*  551268 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551343), // Rule ID 2903 //
     /*  551273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551319 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551341 */     GIR_RootConstrainSelectedInstOperands,
     /*  551342 */     // GIR_Coverage, 2903,
     /*  551342 */     GIR_EraseRootFromParent_Done,
     /*  551343 */   // Label 9070: @551343
     /*  551343 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551418), // Rule ID 2904 //
     /*  551348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551416 */     GIR_RootConstrainSelectedInstOperands,
     /*  551417 */     // GIR_Coverage, 2904,
     /*  551417 */     GIR_EraseRootFromParent_Done,
     /*  551418 */   // Label 9071: @551418
     /*  551418 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551493), // Rule ID 2907 //
     /*  551423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551469 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551491 */     GIR_RootConstrainSelectedInstOperands,
     /*  551492 */     // GIR_Coverage, 2907,
     /*  551492 */     GIR_EraseRootFromParent_Done,
     /*  551493 */   // Label 9072: @551493
     /*  551493 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551568), // Rule ID 2908 //
     /*  551498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  551518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551566 */     GIR_RootConstrainSelectedInstOperands,
     /*  551567 */     // GIR_Coverage, 2908,
     /*  551567 */     GIR_EraseRootFromParent_Done,
     /*  551568 */   // Label 9073: @551568
     /*  551568 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551643), // Rule ID 2911 //
     /*  551573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  551593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551641 */     GIR_RootConstrainSelectedInstOperands,
     /*  551642 */     // GIR_Coverage, 2911,
     /*  551642 */     GIR_EraseRootFromParent_Done,
     /*  551643 */   // Label 9074: @551643
     /*  551643 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551718), // Rule ID 2912 //
     /*  551648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  551668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  551697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551716 */     GIR_RootConstrainSelectedInstOperands,
     /*  551717 */     // GIR_Coverage, 2912,
     /*  551717 */     GIR_EraseRootFromParent_Done,
     /*  551718 */   // Label 9075: @551718
     /*  551718 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551793), // Rule ID 2915 //
     /*  551723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  551743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551791 */     GIR_RootConstrainSelectedInstOperands,
     /*  551792 */     // GIR_Coverage, 2915,
     /*  551792 */     GIR_EraseRootFromParent_Done,
     /*  551793 */   // Label 9076: @551793
     /*  551793 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551868), // Rule ID 2916 //
     /*  551798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  551818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551866 */     GIR_RootConstrainSelectedInstOperands,
     /*  551867 */     // GIR_Coverage, 2916,
     /*  551867 */     GIR_EraseRootFromParent_Done,
     /*  551868 */   // Label 9077: @551868
     /*  551868 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551943), // Rule ID 2919 //
     /*  551873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  551884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  551887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  551890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  551893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551941 */     GIR_RootConstrainSelectedInstOperands,
     /*  551942 */     // GIR_Coverage, 2919,
     /*  551942 */     GIR_EraseRootFromParent_Done,
     /*  551943 */   // Label 9078: @551943
     /*  551943 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(552018), // Rule ID 2920 //
     /*  551948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  551959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  551962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  551965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  551968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552016 */     GIR_RootConstrainSelectedInstOperands,
     /*  552017 */     // GIR_Coverage, 2920,
     /*  552017 */     GIR_EraseRootFromParent_Done,
     /*  552018 */   // Label 9079: @552018
     /*  552018 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(552093), // Rule ID 2923 //
     /*  552023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552091 */     GIR_RootConstrainSelectedInstOperands,
     /*  552092 */     // GIR_Coverage, 2923,
     /*  552092 */     GIR_EraseRootFromParent_Done,
     /*  552093 */   // Label 9080: @552093
     /*  552093 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552168), // Rule ID 2924 //
     /*  552098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  552147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552166 */     GIR_RootConstrainSelectedInstOperands,
     /*  552167 */     // GIR_Coverage, 2924,
     /*  552167 */     GIR_EraseRootFromParent_Done,
     /*  552168 */   // Label 9081: @552168
     /*  552168 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552243), // Rule ID 2927 //
     /*  552173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552241 */     GIR_RootConstrainSelectedInstOperands,
     /*  552242 */     // GIR_Coverage, 2927,
     /*  552242 */     GIR_EraseRootFromParent_Done,
     /*  552243 */   // Label 9082: @552243
     /*  552243 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552318), // Rule ID 2928 //
     /*  552248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  552297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552316 */     GIR_RootConstrainSelectedInstOperands,
     /*  552317 */     // GIR_Coverage, 2928,
     /*  552317 */     GIR_EraseRootFromParent_Done,
     /*  552318 */   // Label 9083: @552318
     /*  552318 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552393), // Rule ID 2931 //
     /*  552323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552391 */     GIR_RootConstrainSelectedInstOperands,
     /*  552392 */     // GIR_Coverage, 2931,
     /*  552392 */     GIR_EraseRootFromParent_Done,
     /*  552393 */   // Label 9084: @552393
     /*  552393 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552468), // Rule ID 2932 //
     /*  552398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  552418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  552447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552466 */     GIR_RootConstrainSelectedInstOperands,
     /*  552467 */     // GIR_Coverage, 2932,
     /*  552467 */     GIR_EraseRootFromParent_Done,
     /*  552468 */   // Label 9085: @552468
     /*  552468 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552543), // Rule ID 2935 //
     /*  552473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552519 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552541 */     GIR_RootConstrainSelectedInstOperands,
     /*  552542 */     // GIR_Coverage, 2935,
     /*  552542 */     GIR_EraseRootFromParent_Done,
     /*  552543 */   // Label 9086: @552543
     /*  552543 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552618), // Rule ID 2936 //
     /*  552548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  552597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552616 */     GIR_RootConstrainSelectedInstOperands,
     /*  552617 */     // GIR_Coverage, 2936,
     /*  552617 */     GIR_EraseRootFromParent_Done,
     /*  552618 */   // Label 9087: @552618
     /*  552618 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552693), // Rule ID 2939 //
     /*  552623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  552672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552691 */     GIR_RootConstrainSelectedInstOperands,
     /*  552692 */     // GIR_Coverage, 2939,
     /*  552692 */     GIR_EraseRootFromParent_Done,
     /*  552693 */   // Label 9088: @552693
     /*  552693 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552768), // Rule ID 2940 //
     /*  552698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  552747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552766 */     GIR_RootConstrainSelectedInstOperands,
     /*  552767 */     // GIR_Coverage, 2940,
     /*  552767 */     GIR_EraseRootFromParent_Done,
     /*  552768 */   // Label 9089: @552768
     /*  552768 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552843), // Rule ID 2943 //
     /*  552773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552841 */     GIR_RootConstrainSelectedInstOperands,
     /*  552842 */     // GIR_Coverage, 2943,
     /*  552842 */     GIR_EraseRootFromParent_Done,
     /*  552843 */   // Label 9090: @552843
     /*  552843 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552918), // Rule ID 2944 //
     /*  552848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552916 */     GIR_RootConstrainSelectedInstOperands,
     /*  552917 */     // GIR_Coverage, 2944,
     /*  552917 */     GIR_EraseRootFromParent_Done,
     /*  552918 */   // Label 9091: @552918
     /*  552918 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(552993), // Rule ID 2947 //
     /*  552923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  552934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  552937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  552940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  552972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552991 */     GIR_RootConstrainSelectedInstOperands,
     /*  552992 */     // GIR_Coverage, 2947,
     /*  552992 */     GIR_EraseRootFromParent_Done,
     /*  552993 */   // Label 9092: @552993
     /*  552993 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(553068), // Rule ID 2948 //
     /*  552998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  553047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553066 */     GIR_RootConstrainSelectedInstOperands,
     /*  553067 */     // GIR_Coverage, 2948,
     /*  553067 */     GIR_EraseRootFromParent_Done,
     /*  553068 */   // Label 9093: @553068
     /*  553068 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553143), // Rule ID 2951 //
     /*  553073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553141 */     GIR_RootConstrainSelectedInstOperands,
     /*  553142 */     // GIR_Coverage, 2951,
     /*  553142 */     GIR_EraseRootFromParent_Done,
     /*  553143 */   // Label 9094: @553143
     /*  553143 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553218), // Rule ID 2952 //
     /*  553148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553216 */     GIR_RootConstrainSelectedInstOperands,
     /*  553217 */     // GIR_Coverage, 2952,
     /*  553217 */     GIR_EraseRootFromParent_Done,
     /*  553218 */   // Label 9095: @553218
     /*  553218 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553293), // Rule ID 2955 //
     /*  553223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553291 */     GIR_RootConstrainSelectedInstOperands,
     /*  553292 */     // GIR_Coverage, 2955,
     /*  553292 */     GIR_EraseRootFromParent_Done,
     /*  553293 */   // Label 9096: @553293
     /*  553293 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553368), // Rule ID 2956 //
     /*  553298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  553347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553366 */     GIR_RootConstrainSelectedInstOperands,
     /*  553367 */     // GIR_Coverage, 2956,
     /*  553367 */     GIR_EraseRootFromParent_Done,
     /*  553368 */   // Label 9097: @553368
     /*  553368 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553443), // Rule ID 2959 //
     /*  553373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553441 */     GIR_RootConstrainSelectedInstOperands,
     /*  553442 */     // GIR_Coverage, 2959,
     /*  553442 */     GIR_EraseRootFromParent_Done,
     /*  553443 */   // Label 9098: @553443
     /*  553443 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553518), // Rule ID 2960 //
     /*  553448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553516 */     GIR_RootConstrainSelectedInstOperands,
     /*  553517 */     // GIR_Coverage, 2960,
     /*  553517 */     GIR_EraseRootFromParent_Done,
     /*  553518 */   // Label 9099: @553518
     /*  553518 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553593), // Rule ID 2963 //
     /*  553523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553591 */     GIR_RootConstrainSelectedInstOperands,
     /*  553592 */     // GIR_Coverage, 2963,
     /*  553592 */     GIR_EraseRootFromParent_Done,
     /*  553593 */   // Label 9100: @553593
     /*  553593 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553668), // Rule ID 2964 //
     /*  553598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553666 */     GIR_RootConstrainSelectedInstOperands,
     /*  553667 */     // GIR_Coverage, 2964,
     /*  553667 */     GIR_EraseRootFromParent_Done,
     /*  553668 */   // Label 9101: @553668
     /*  553668 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553743), // Rule ID 2967 //
     /*  553673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553741 */     GIR_RootConstrainSelectedInstOperands,
     /*  553742 */     // GIR_Coverage, 2967,
     /*  553742 */     GIR_EraseRootFromParent_Done,
     /*  553743 */   // Label 9102: @553743
     /*  553743 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553818), // Rule ID 2968 //
     /*  553748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553816 */     GIR_RootConstrainSelectedInstOperands,
     /*  553817 */     // GIR_Coverage, 2968,
     /*  553817 */     GIR_EraseRootFromParent_Done,
     /*  553818 */   // Label 9103: @553818
     /*  553818 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553893), // Rule ID 2971 //
     /*  553823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553891 */     GIR_RootConstrainSelectedInstOperands,
     /*  553892 */     // GIR_Coverage, 2971,
     /*  553892 */     GIR_EraseRootFromParent_Done,
     /*  553893 */   // Label 9104: @553893
     /*  553893 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(553968), // Rule ID 2972 //
     /*  553898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  553947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553966 */     GIR_RootConstrainSelectedInstOperands,
     /*  553967 */     // GIR_Coverage, 2972,
     /*  553967 */     GIR_EraseRootFromParent_Done,
     /*  553968 */   // Label 9105: @553968
     /*  553968 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(554043), // Rule ID 2975 //
     /*  553973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  553984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  553987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  553990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554041 */     GIR_RootConstrainSelectedInstOperands,
     /*  554042 */     // GIR_Coverage, 2975,
     /*  554042 */     GIR_EraseRootFromParent_Done,
     /*  554043 */   // Label 9106: @554043
     /*  554043 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(554118), // Rule ID 2976 //
     /*  554048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554116 */     GIR_RootConstrainSelectedInstOperands,
     /*  554117 */     // GIR_Coverage, 2976,
     /*  554117 */     GIR_EraseRootFromParent_Done,
     /*  554118 */   // Label 9107: @554118
     /*  554118 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554193), // Rule ID 2979 //
     /*  554123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554169 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554191 */     GIR_RootConstrainSelectedInstOperands,
     /*  554192 */     // GIR_Coverage, 2979,
     /*  554192 */     GIR_EraseRootFromParent_Done,
     /*  554193 */   // Label 9108: @554193
     /*  554193 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554268), // Rule ID 2980 //
     /*  554198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554266 */     GIR_RootConstrainSelectedInstOperands,
     /*  554267 */     // GIR_Coverage, 2980,
     /*  554267 */     GIR_EraseRootFromParent_Done,
     /*  554268 */   // Label 9109: @554268
     /*  554268 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554343), // Rule ID 2983 //
     /*  554273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554319 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554341 */     GIR_RootConstrainSelectedInstOperands,
     /*  554342 */     // GIR_Coverage, 2983,
     /*  554342 */     GIR_EraseRootFromParent_Done,
     /*  554343 */   // Label 9110: @554343
     /*  554343 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554418), // Rule ID 2984 //
     /*  554348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554394 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554416 */     GIR_RootConstrainSelectedInstOperands,
     /*  554417 */     // GIR_Coverage, 2984,
     /*  554417 */     GIR_EraseRootFromParent_Done,
     /*  554418 */   // Label 9111: @554418
     /*  554418 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554493), // Rule ID 2987 //
     /*  554423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554469 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554491 */     GIR_RootConstrainSelectedInstOperands,
     /*  554492 */     // GIR_Coverage, 2987,
     /*  554492 */     GIR_EraseRootFromParent_Done,
     /*  554493 */   // Label 9112: @554493
     /*  554493 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554568), // Rule ID 2988 //
     /*  554498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554566 */     GIR_RootConstrainSelectedInstOperands,
     /*  554567 */     // GIR_Coverage, 2988,
     /*  554567 */     GIR_EraseRootFromParent_Done,
     /*  554568 */   // Label 9113: @554568
     /*  554568 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554643), // Rule ID 2991 //
     /*  554573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554641 */     GIR_RootConstrainSelectedInstOperands,
     /*  554642 */     // GIR_Coverage, 2991,
     /*  554642 */     GIR_EraseRootFromParent_Done,
     /*  554643 */   // Label 9114: @554643
     /*  554643 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554718), // Rule ID 2992 //
     /*  554648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554716 */     GIR_RootConstrainSelectedInstOperands,
     /*  554717 */     // GIR_Coverage, 2992,
     /*  554717 */     GIR_EraseRootFromParent_Done,
     /*  554718 */   // Label 9115: @554718
     /*  554718 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554793), // Rule ID 2995 //
     /*  554723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554769 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554791 */     GIR_RootConstrainSelectedInstOperands,
     /*  554792 */     // GIR_Coverage, 2995,
     /*  554792 */     GIR_EraseRootFromParent_Done,
     /*  554793 */   // Label 9116: @554793
     /*  554793 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554868), // Rule ID 2996 //
     /*  554798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554866 */     GIR_RootConstrainSelectedInstOperands,
     /*  554867 */     // GIR_Coverage, 2996,
     /*  554867 */     GIR_EraseRootFromParent_Done,
     /*  554868 */   // Label 9117: @554868
     /*  554868 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554943), // Rule ID 2999 //
     /*  554873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  554884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  554887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  554890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554941 */     GIR_RootConstrainSelectedInstOperands,
     /*  554942 */     // GIR_Coverage, 2999,
     /*  554942 */     GIR_EraseRootFromParent_Done,
     /*  554943 */   // Label 9118: @554943
     /*  554943 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(555018), // Rule ID 3000 //
     /*  554948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  554959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  554962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  554965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555016 */     GIR_RootConstrainSelectedInstOperands,
     /*  555017 */     // GIR_Coverage, 3000,
     /*  555017 */     GIR_EraseRootFromParent_Done,
     /*  555018 */   // Label 9119: @555018
     /*  555018 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(555093), // Rule ID 3003 //
     /*  555023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555091 */     GIR_RootConstrainSelectedInstOperands,
     /*  555092 */     // GIR_Coverage, 3003,
     /*  555092 */     GIR_EraseRootFromParent_Done,
     /*  555093 */   // Label 9120: @555093
     /*  555093 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555168), // Rule ID 3004 //
     /*  555098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555166 */     GIR_RootConstrainSelectedInstOperands,
     /*  555167 */     // GIR_Coverage, 3004,
     /*  555167 */     GIR_EraseRootFromParent_Done,
     /*  555168 */   // Label 9121: @555168
     /*  555168 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555243), // Rule ID 3007 //
     /*  555173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555241 */     GIR_RootConstrainSelectedInstOperands,
     /*  555242 */     // GIR_Coverage, 3007,
     /*  555242 */     GIR_EraseRootFromParent_Done,
     /*  555243 */   // Label 9122: @555243
     /*  555243 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555318), // Rule ID 3008 //
     /*  555248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555316 */     GIR_RootConstrainSelectedInstOperands,
     /*  555317 */     // GIR_Coverage, 3008,
     /*  555317 */     GIR_EraseRootFromParent_Done,
     /*  555318 */   // Label 9123: @555318
     /*  555318 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555393), // Rule ID 3011 //
     /*  555323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555391 */     GIR_RootConstrainSelectedInstOperands,
     /*  555392 */     // GIR_Coverage, 3011,
     /*  555392 */     GIR_EraseRootFromParent_Done,
     /*  555393 */   // Label 9124: @555393
     /*  555393 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555468), // Rule ID 3012 //
     /*  555398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  555447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555466 */     GIR_RootConstrainSelectedInstOperands,
     /*  555467 */     // GIR_Coverage, 3012,
     /*  555467 */     GIR_EraseRootFromParent_Done,
     /*  555468 */   // Label 9125: @555468
     /*  555468 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555543), // Rule ID 3015 //
     /*  555473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555541 */     GIR_RootConstrainSelectedInstOperands,
     /*  555542 */     // GIR_Coverage, 3015,
     /*  555542 */     GIR_EraseRootFromParent_Done,
     /*  555543 */   // Label 9126: @555543
     /*  555543 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555618), // Rule ID 3016 //
     /*  555548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  555597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555616 */     GIR_RootConstrainSelectedInstOperands,
     /*  555617 */     // GIR_Coverage, 3016,
     /*  555617 */     GIR_EraseRootFromParent_Done,
     /*  555618 */   // Label 9127: @555618
     /*  555618 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555693), // Rule ID 3019 //
     /*  555623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555691 */     GIR_RootConstrainSelectedInstOperands,
     /*  555692 */     // GIR_Coverage, 3019,
     /*  555692 */     GIR_EraseRootFromParent_Done,
     /*  555693 */   // Label 9128: @555693
     /*  555693 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555768), // Rule ID 3020 //
     /*  555698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  555747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555766 */     GIR_RootConstrainSelectedInstOperands,
     /*  555767 */     // GIR_Coverage, 3020,
     /*  555767 */     GIR_EraseRootFromParent_Done,
     /*  555768 */   // Label 9129: @555768
     /*  555768 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555843), // Rule ID 3111 //
     /*  555773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  555793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  555822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555841 */     GIR_RootConstrainSelectedInstOperands,
     /*  555842 */     // GIR_Coverage, 3111,
     /*  555842 */     GIR_EraseRootFromParent_Done,
     /*  555843 */   // Label 9130: @555843
     /*  555843 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555918), // Rule ID 3112 //
     /*  555848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  555868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555894 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  555897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555916 */     GIR_RootConstrainSelectedInstOperands,
     /*  555917 */     // GIR_Coverage, 3112,
     /*  555917 */     GIR_EraseRootFromParent_Done,
     /*  555918 */   // Label 9131: @555918
     /*  555918 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(555993), // Rule ID 3115 //
     /*  555923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  555934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  555937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  555940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  555943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  555972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555991 */     GIR_RootConstrainSelectedInstOperands,
     /*  555992 */     // GIR_Coverage, 3115,
     /*  555992 */     GIR_EraseRootFromParent_Done,
     /*  555993 */   // Label 9132: @555993
     /*  555993 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(556068), // Rule ID 3116 //
     /*  555998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  556018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556066 */     GIR_RootConstrainSelectedInstOperands,
     /*  556067 */     // GIR_Coverage, 3116,
     /*  556067 */     GIR_EraseRootFromParent_Done,
     /*  556068 */   // Label 9133: @556068
     /*  556068 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556143), // Rule ID 3119 //
     /*  556073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556119 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556141 */     GIR_RootConstrainSelectedInstOperands,
     /*  556142 */     // GIR_Coverage, 3119,
     /*  556142 */     GIR_EraseRootFromParent_Done,
     /*  556143 */   // Label 9134: @556143
     /*  556143 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556218), // Rule ID 3120 //
     /*  556148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  556168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556216 */     GIR_RootConstrainSelectedInstOperands,
     /*  556217 */     // GIR_Coverage, 3120,
     /*  556217 */     GIR_EraseRootFromParent_Done,
     /*  556218 */   // Label 9135: @556218
     /*  556218 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556293), // Rule ID 3123 //
     /*  556223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556269 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556291 */     GIR_RootConstrainSelectedInstOperands,
     /*  556292 */     // GIR_Coverage, 3123,
     /*  556292 */     GIR_EraseRootFromParent_Done,
     /*  556293 */   // Label 9136: @556293
     /*  556293 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556368), // Rule ID 3124 //
     /*  556298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  556318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  556347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556366 */     GIR_RootConstrainSelectedInstOperands,
     /*  556367 */     // GIR_Coverage, 3124,
     /*  556367 */     GIR_EraseRootFromParent_Done,
     /*  556368 */   // Label 9137: @556368
     /*  556368 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556443), // Rule ID 3127 //
     /*  556373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556441 */     GIR_RootConstrainSelectedInstOperands,
     /*  556442 */     // GIR_Coverage, 3127,
     /*  556442 */     GIR_EraseRootFromParent_Done,
     /*  556443 */   // Label 9138: @556443
     /*  556443 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556518), // Rule ID 3128 //
     /*  556448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  556468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556516 */     GIR_RootConstrainSelectedInstOperands,
     /*  556517 */     // GIR_Coverage, 3128,
     /*  556517 */     GIR_EraseRootFromParent_Done,
     /*  556518 */   // Label 9139: @556518
     /*  556518 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556593), // Rule ID 3131 //
     /*  556523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556591 */     GIR_RootConstrainSelectedInstOperands,
     /*  556592 */     // GIR_Coverage, 3131,
     /*  556592 */     GIR_EraseRootFromParent_Done,
     /*  556593 */   // Label 9140: @556593
     /*  556593 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556668), // Rule ID 3132 //
     /*  556598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  556618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  556647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556666 */     GIR_RootConstrainSelectedInstOperands,
     /*  556667 */     // GIR_Coverage, 3132,
     /*  556667 */     GIR_EraseRootFromParent_Done,
     /*  556668 */   // Label 9141: @556668
     /*  556668 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556743), // Rule ID 3135 //
     /*  556673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  556693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556741 */     GIR_RootConstrainSelectedInstOperands,
     /*  556742 */     // GIR_Coverage, 3135,
     /*  556742 */     GIR_EraseRootFromParent_Done,
     /*  556743 */   // Label 9142: @556743
     /*  556743 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556818), // Rule ID 3136 //
     /*  556748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  556768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556794 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556816 */     GIR_RootConstrainSelectedInstOperands,
     /*  556817 */     // GIR_Coverage, 3136,
     /*  556817 */     GIR_EraseRootFromParent_Done,
     /*  556818 */   // Label 9143: @556818
     /*  556818 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556893), // Rule ID 3139 //
     /*  556823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  556843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556891 */     GIR_RootConstrainSelectedInstOperands,
     /*  556892 */     // GIR_Coverage, 3139,
     /*  556892 */     GIR_EraseRootFromParent_Done,
     /*  556893 */   // Label 9144: @556893
     /*  556893 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(556968), // Rule ID 3140 //
     /*  556898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  556918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556966 */     GIR_RootConstrainSelectedInstOperands,
     /*  556967 */     // GIR_Coverage, 3140,
     /*  556967 */     GIR_EraseRootFromParent_Done,
     /*  556968 */   // Label 9145: @556968
     /*  556968 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(557043), // Rule ID 3143 //
     /*  556973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  556984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  556987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  556990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  556993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557041 */     GIR_RootConstrainSelectedInstOperands,
     /*  557042 */     // GIR_Coverage, 3143,
     /*  557042 */     GIR_EraseRootFromParent_Done,
     /*  557043 */   // Label 9146: @557043
     /*  557043 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(557118), // Rule ID 3144 //
     /*  557048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  557068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557116 */     GIR_RootConstrainSelectedInstOperands,
     /*  557117 */     // GIR_Coverage, 3144,
     /*  557117 */     GIR_EraseRootFromParent_Done,
     /*  557118 */   // Label 9147: @557118
     /*  557118 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557193), // Rule ID 3147 //
     /*  557123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557191 */     GIR_RootConstrainSelectedInstOperands,
     /*  557192 */     // GIR_Coverage, 3147,
     /*  557192 */     GIR_EraseRootFromParent_Done,
     /*  557193 */   // Label 9148: @557193
     /*  557193 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557268), // Rule ID 3148 //
     /*  557198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  557218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  557247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557266 */     GIR_RootConstrainSelectedInstOperands,
     /*  557267 */     // GIR_Coverage, 3148,
     /*  557267 */     GIR_EraseRootFromParent_Done,
     /*  557268 */   // Label 9149: @557268
     /*  557268 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557343), // Rule ID 3151 //
     /*  557273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557341 */     GIR_RootConstrainSelectedInstOperands,
     /*  557342 */     // GIR_Coverage, 3151,
     /*  557342 */     GIR_EraseRootFromParent_Done,
     /*  557343 */   // Label 9150: @557343
     /*  557343 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557418), // Rule ID 3152 //
     /*  557348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  557368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557416 */     GIR_RootConstrainSelectedInstOperands,
     /*  557417 */     // GIR_Coverage, 3152,
     /*  557417 */     GIR_EraseRootFromParent_Done,
     /*  557418 */   // Label 9151: @557418
     /*  557418 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557493), // Rule ID 3155 //
     /*  557423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557469 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557491 */     GIR_RootConstrainSelectedInstOperands,
     /*  557492 */     // GIR_Coverage, 3155,
     /*  557492 */     GIR_EraseRootFromParent_Done,
     /*  557493 */   // Label 9152: @557493
     /*  557493 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557568), // Rule ID 3156 //
     /*  557498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  557518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557566 */     GIR_RootConstrainSelectedInstOperands,
     /*  557567 */     // GIR_Coverage, 3156,
     /*  557567 */     GIR_EraseRootFromParent_Done,
     /*  557568 */   // Label 9153: @557568
     /*  557568 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557643), // Rule ID 3159 //
     /*  557573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  557593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557619 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557641 */     GIR_RootConstrainSelectedInstOperands,
     /*  557642 */     // GIR_Coverage, 3159,
     /*  557642 */     GIR_EraseRootFromParent_Done,
     /*  557643 */   // Label 9154: @557643
     /*  557643 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557718), // Rule ID 3160 //
     /*  557648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  557668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557694 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557716 */     GIR_RootConstrainSelectedInstOperands,
     /*  557717 */     // GIR_Coverage, 3160,
     /*  557717 */     GIR_EraseRootFromParent_Done,
     /*  557718 */   // Label 9155: @557718
     /*  557718 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557793), // Rule ID 3163 //
     /*  557723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  557743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557791 */     GIR_RootConstrainSelectedInstOperands,
     /*  557792 */     // GIR_Coverage, 3163,
     /*  557792 */     GIR_EraseRootFromParent_Done,
     /*  557793 */   // Label 9156: @557793
     /*  557793 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557868), // Rule ID 3164 //
     /*  557798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  557818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557866 */     GIR_RootConstrainSelectedInstOperands,
     /*  557867 */     // GIR_Coverage, 3164,
     /*  557867 */     GIR_EraseRootFromParent_Done,
     /*  557868 */   // Label 9157: @557868
     /*  557868 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557943), // Rule ID 3167 //
     /*  557873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  557884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  557887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  557890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  557893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557941 */     GIR_RootConstrainSelectedInstOperands,
     /*  557942 */     // GIR_Coverage, 3167,
     /*  557942 */     GIR_EraseRootFromParent_Done,
     /*  557943 */   // Label 9158: @557943
     /*  557943 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(558018), // Rule ID 3168 //
     /*  557948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  557959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  557962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  557965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  557968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558016 */     GIR_RootConstrainSelectedInstOperands,
     /*  558017 */     // GIR_Coverage, 3168,
     /*  558017 */     GIR_EraseRootFromParent_Done,
     /*  558018 */   // Label 9159: @558018
     /*  558018 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(558093), // Rule ID 3171 //
     /*  558023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558091 */     GIR_RootConstrainSelectedInstOperands,
     /*  558092 */     // GIR_Coverage, 3171,
     /*  558092 */     GIR_EraseRootFromParent_Done,
     /*  558093 */   // Label 9160: @558093
     /*  558093 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558168), // Rule ID 3172 //
     /*  558098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  558118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558166 */     GIR_RootConstrainSelectedInstOperands,
     /*  558167 */     // GIR_Coverage, 3172,
     /*  558167 */     GIR_EraseRootFromParent_Done,
     /*  558168 */   // Label 9161: @558168
     /*  558168 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558243), // Rule ID 3175 //
     /*  558173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558241 */     GIR_RootConstrainSelectedInstOperands,
     /*  558242 */     // GIR_Coverage, 3175,
     /*  558242 */     GIR_EraseRootFromParent_Done,
     /*  558243 */   // Label 9162: @558243
     /*  558243 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558318), // Rule ID 3176 //
     /*  558248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  558268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558316 */     GIR_RootConstrainSelectedInstOperands,
     /*  558317 */     // GIR_Coverage, 3176,
     /*  558317 */     GIR_EraseRootFromParent_Done,
     /*  558318 */   // Label 9163: @558318
     /*  558318 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558393), // Rule ID 3179 //
     /*  558323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558369 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558391 */     GIR_RootConstrainSelectedInstOperands,
     /*  558392 */     // GIR_Coverage, 3179,
     /*  558392 */     GIR_EraseRootFromParent_Done,
     /*  558393 */   // Label 9164: @558393
     /*  558393 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558468), // Rule ID 3180 //
     /*  558398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  558418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558466 */     GIR_RootConstrainSelectedInstOperands,
     /*  558467 */     // GIR_Coverage, 3180,
     /*  558467 */     GIR_EraseRootFromParent_Done,
     /*  558468 */   // Label 9165: @558468
     /*  558468 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558543), // Rule ID 3183 //
     /*  558473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558541 */     GIR_RootConstrainSelectedInstOperands,
     /*  558542 */     // GIR_Coverage, 3183,
     /*  558542 */     GIR_EraseRootFromParent_Done,
     /*  558543 */   // Label 9166: @558543
     /*  558543 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558618), // Rule ID 3184 //
     /*  558548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  558568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558616 */     GIR_RootConstrainSelectedInstOperands,
     /*  558617 */     // GIR_Coverage, 3184,
     /*  558617 */     GIR_EraseRootFromParent_Done,
     /*  558618 */   // Label 9167: @558618
     /*  558618 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558693), // Rule ID 3187 //
     /*  558623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  558643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558691 */     GIR_RootConstrainSelectedInstOperands,
     /*  558692 */     // GIR_Coverage, 3187,
     /*  558692 */     GIR_EraseRootFromParent_Done,
     /*  558693 */   // Label 9168: @558693
     /*  558693 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558768), // Rule ID 3188 //
     /*  558698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  558718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  558747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558766 */     GIR_RootConstrainSelectedInstOperands,
     /*  558767 */     // GIR_Coverage, 3188,
     /*  558767 */     GIR_EraseRootFromParent_Done,
     /*  558768 */   // Label 9169: @558768
     /*  558768 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558843), // Rule ID 3191 //
     /*  558773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  558793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558841 */     GIR_RootConstrainSelectedInstOperands,
     /*  558842 */     // GIR_Coverage, 3191,
     /*  558842 */     GIR_EraseRootFromParent_Done,
     /*  558843 */   // Label 9170: @558843
     /*  558843 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558918), // Rule ID 3192 //
     /*  558848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  558868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  558897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558916 */     GIR_RootConstrainSelectedInstOperands,
     /*  558917 */     // GIR_Coverage, 3192,
     /*  558917 */     GIR_EraseRootFromParent_Done,
     /*  558918 */   // Label 9171: @558918
     /*  558918 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(558993), // Rule ID 3195 //
     /*  558923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  558934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  558937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  558940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  558943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558969 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  558972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558991 */     GIR_RootConstrainSelectedInstOperands,
     /*  558992 */     // GIR_Coverage, 3195,
     /*  558992 */     GIR_EraseRootFromParent_Done,
     /*  558993 */   // Label 9172: @558993
     /*  558993 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(559068), // Rule ID 3196 //
     /*  558998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  559018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  559047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559066 */     GIR_RootConstrainSelectedInstOperands,
     /*  559067 */     // GIR_Coverage, 3196,
     /*  559067 */     GIR_EraseRootFromParent_Done,
     /*  559068 */   // Label 9173: @559068
     /*  559068 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559143), // Rule ID 3199 //
     /*  559073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559119 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559141 */     GIR_RootConstrainSelectedInstOperands,
     /*  559142 */     // GIR_Coverage, 3199,
     /*  559142 */     GIR_EraseRootFromParent_Done,
     /*  559143 */   // Label 9174: @559143
     /*  559143 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559218), // Rule ID 3200 //
     /*  559148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  559159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  559162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  559197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559216 */     GIR_RootConstrainSelectedInstOperands,
     /*  559217 */     // GIR_Coverage, 3200,
     /*  559217 */     GIR_EraseRootFromParent_Done,
     /*  559218 */   // Label 9175: @559218
     /*  559218 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559293), // Rule ID 3203 //
     /*  559223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559291 */     GIR_RootConstrainSelectedInstOperands,
     /*  559292 */     // GIR_Coverage, 3203,
     /*  559292 */     GIR_EraseRootFromParent_Done,
     /*  559293 */   // Label 9176: @559293
     /*  559293 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559368), // Rule ID 3204 //
     /*  559298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559344 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559366 */     GIR_RootConstrainSelectedInstOperands,
     /*  559367 */     // GIR_Coverage, 3204,
     /*  559367 */     GIR_EraseRootFromParent_Done,
     /*  559368 */   // Label 9177: @559368
     /*  559368 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559443), // Rule ID 3207 //
     /*  559373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559419 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559441 */     GIR_RootConstrainSelectedInstOperands,
     /*  559442 */     // GIR_Coverage, 3207,
     /*  559442 */     GIR_EraseRootFromParent_Done,
     /*  559443 */   // Label 9178: @559443
     /*  559443 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559518), // Rule ID 3208 //
     /*  559448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559516 */     GIR_RootConstrainSelectedInstOperands,
     /*  559517 */     // GIR_Coverage, 3208,
     /*  559517 */     GIR_EraseRootFromParent_Done,
     /*  559518 */   // Label 9179: @559518
     /*  559518 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559593), // Rule ID 3211 //
     /*  559523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559591 */     GIR_RootConstrainSelectedInstOperands,
     /*  559592 */     // GIR_Coverage, 3211,
     /*  559592 */     GIR_EraseRootFromParent_Done,
     /*  559593 */   // Label 9180: @559593
     /*  559593 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559668), // Rule ID 3212 //
     /*  559598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  559647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559666 */     GIR_RootConstrainSelectedInstOperands,
     /*  559667 */     // GIR_Coverage, 3212,
     /*  559667 */     GIR_EraseRootFromParent_Done,
     /*  559668 */   // Label 9181: @559668
     /*  559668 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559743), // Rule ID 3215 //
     /*  559673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559741 */     GIR_RootConstrainSelectedInstOperands,
     /*  559742 */     // GIR_Coverage, 3215,
     /*  559742 */     GIR_EraseRootFromParent_Done,
     /*  559743 */   // Label 9182: @559743
     /*  559743 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559818), // Rule ID 3216 //
     /*  559748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559816 */     GIR_RootConstrainSelectedInstOperands,
     /*  559817 */     // GIR_Coverage, 3216,
     /*  559817 */     GIR_EraseRootFromParent_Done,
     /*  559818 */   // Label 9183: @559818
     /*  559818 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559893), // Rule ID 3219 //
     /*  559823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559891 */     GIR_RootConstrainSelectedInstOperands,
     /*  559892 */     // GIR_Coverage, 3219,
     /*  559892 */     GIR_EraseRootFromParent_Done,
     /*  559893 */   // Label 9184: @559893
     /*  559893 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(559968), // Rule ID 3220 //
     /*  559898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  559947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559966 */     GIR_RootConstrainSelectedInstOperands,
     /*  559967 */     // GIR_Coverage, 3220,
     /*  559967 */     GIR_EraseRootFromParent_Done,
     /*  559968 */   // Label 9185: @559968
     /*  559968 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(560043), // Rule ID 3223 //
     /*  559973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  559984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  559987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  559990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560019 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560041 */     GIR_RootConstrainSelectedInstOperands,
     /*  560042 */     // GIR_Coverage, 3223,
     /*  560042 */     GIR_EraseRootFromParent_Done,
     /*  560043 */   // Label 9186: @560043
     /*  560043 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(560118), // Rule ID 3224 //
     /*  560048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11540:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560116 */     GIR_RootConstrainSelectedInstOperands,
     /*  560117 */     // GIR_Coverage, 3224,
     /*  560117 */     GIR_EraseRootFromParent_Done,
     /*  560118 */   // Label 9187: @560118
     /*  560118 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560193), // Rule ID 3227 //
     /*  560123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560191 */     GIR_RootConstrainSelectedInstOperands,
     /*  560192 */     // GIR_Coverage, 3227,
     /*  560192 */     GIR_EraseRootFromParent_Done,
     /*  560193 */   // Label 9188: @560193
     /*  560193 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560268), // Rule ID 3228 //
     /*  560198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560266 */     GIR_RootConstrainSelectedInstOperands,
     /*  560267 */     // GIR_Coverage, 3228,
     /*  560267 */     GIR_EraseRootFromParent_Done,
     /*  560268 */   // Label 9189: @560268
     /*  560268 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560343), // Rule ID 3231 //
     /*  560273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560341 */     GIR_RootConstrainSelectedInstOperands,
     /*  560342 */     // GIR_Coverage, 3231,
     /*  560342 */     GIR_EraseRootFromParent_Done,
     /*  560343 */   // Label 9190: @560343
     /*  560343 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560418), // Rule ID 3232 //
     /*  560348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560416 */     GIR_RootConstrainSelectedInstOperands,
     /*  560417 */     // GIR_Coverage, 3232,
     /*  560417 */     GIR_EraseRootFromParent_Done,
     /*  560418 */   // Label 9191: @560418
     /*  560418 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560493), // Rule ID 3235 //
     /*  560423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560491 */     GIR_RootConstrainSelectedInstOperands,
     /*  560492 */     // GIR_Coverage, 3235,
     /*  560492 */     GIR_EraseRootFromParent_Done,
     /*  560493 */   // Label 9192: @560493
     /*  560493 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560568), // Rule ID 3236 //
     /*  560498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  560547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560566 */     GIR_RootConstrainSelectedInstOperands,
     /*  560567 */     // GIR_Coverage, 3236,
     /*  560567 */     GIR_EraseRootFromParent_Done,
     /*  560568 */   // Label 9193: @560568
     /*  560568 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560643), // Rule ID 3239 //
     /*  560573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560641 */     GIR_RootConstrainSelectedInstOperands,
     /*  560642 */     // GIR_Coverage, 3239,
     /*  560642 */     GIR_EraseRootFromParent_Done,
     /*  560643 */   // Label 9194: @560643
     /*  560643 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560718), // Rule ID 3240 //
     /*  560648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560716 */     GIR_RootConstrainSelectedInstOperands,
     /*  560717 */     // GIR_Coverage, 3240,
     /*  560717 */     GIR_EraseRootFromParent_Done,
     /*  560718 */   // Label 9195: @560718
     /*  560718 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560793), // Rule ID 3243 //
     /*  560723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560791 */     GIR_RootConstrainSelectedInstOperands,
     /*  560792 */     // GIR_Coverage, 3243,
     /*  560792 */     GIR_EraseRootFromParent_Done,
     /*  560793 */   // Label 9196: @560793
     /*  560793 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560868), // Rule ID 3244 //
     /*  560798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560866 */     GIR_RootConstrainSelectedInstOperands,
     /*  560867 */     // GIR_Coverage, 3244,
     /*  560867 */     GIR_EraseRootFromParent_Done,
     /*  560868 */   // Label 9197: @560868
     /*  560868 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560943), // Rule ID 3247 //
     /*  560873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  560884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  560887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  560890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560919 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560941 */     GIR_RootConstrainSelectedInstOperands,
     /*  560942 */     // GIR_Coverage, 3247,
     /*  560942 */     GIR_EraseRootFromParent_Done,
     /*  560943 */   // Label 9198: @560943
     /*  560943 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(561018), // Rule ID 3248 //
     /*  560948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  560959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  560962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  560965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560994 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561016 */     GIR_RootConstrainSelectedInstOperands,
     /*  561017 */     // GIR_Coverage, 3248,
     /*  561017 */     GIR_EraseRootFromParent_Done,
     /*  561018 */   // Label 9199: @561018
     /*  561018 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(561093), // Rule ID 3251 //
     /*  561023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561069 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561091 */     GIR_RootConstrainSelectedInstOperands,
     /*  561092 */     // GIR_Coverage, 3251,
     /*  561092 */     GIR_EraseRootFromParent_Done,
     /*  561093 */   // Label 9200: @561093
     /*  561093 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561168), // Rule ID 3252 //
     /*  561098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561166 */     GIR_RootConstrainSelectedInstOperands,
     /*  561167 */     // GIR_Coverage, 3252,
     /*  561167 */     GIR_EraseRootFromParent_Done,
     /*  561168 */   // Label 9201: @561168
     /*  561168 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561243), // Rule ID 3255 //
     /*  561173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561219 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561241 */     GIR_RootConstrainSelectedInstOperands,
     /*  561242 */     // GIR_Coverage, 3255,
     /*  561242 */     GIR_EraseRootFromParent_Done,
     /*  561243 */   // Label 9202: @561243
     /*  561243 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561318), // Rule ID 3256 //
     /*  561248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561316 */     GIR_RootConstrainSelectedInstOperands,
     /*  561317 */     // GIR_Coverage, 3256,
     /*  561317 */     GIR_EraseRootFromParent_Done,
     /*  561318 */   // Label 9203: @561318
     /*  561318 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561393), // Rule ID 3259 //
     /*  561323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561369 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561391 */     GIR_RootConstrainSelectedInstOperands,
     /*  561392 */     // GIR_Coverage, 3259,
     /*  561392 */     GIR_EraseRootFromParent_Done,
     /*  561393 */   // Label 9204: @561393
     /*  561393 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561468), // Rule ID 3260 //
     /*  561398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561466 */     GIR_RootConstrainSelectedInstOperands,
     /*  561467 */     // GIR_Coverage, 3260,
     /*  561467 */     GIR_EraseRootFromParent_Done,
     /*  561468 */   // Label 9205: @561468
     /*  561468 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561543), // Rule ID 3263 //
     /*  561473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561541 */     GIR_RootConstrainSelectedInstOperands,
     /*  561542 */     // GIR_Coverage, 3263,
     /*  561542 */     GIR_EraseRootFromParent_Done,
     /*  561543 */   // Label 9206: @561543
     /*  561543 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561618), // Rule ID 3264 //
     /*  561548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561616 */     GIR_RootConstrainSelectedInstOperands,
     /*  561617 */     // GIR_Coverage, 3264,
     /*  561617 */     GIR_EraseRootFromParent_Done,
     /*  561618 */   // Label 9207: @561618
     /*  561618 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561693), // Rule ID 3267 //
     /*  561623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561691 */     GIR_RootConstrainSelectedInstOperands,
     /*  561692 */     // GIR_Coverage, 3267,
     /*  561692 */     GIR_EraseRootFromParent_Done,
     /*  561693 */   // Label 9208: @561693
     /*  561693 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561768), // Rule ID 3268 //
     /*  561698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561766 */     GIR_RootConstrainSelectedInstOperands,
     /*  561767 */     // GIR_Coverage, 3268,
     /*  561767 */     GIR_EraseRootFromParent_Done,
     /*  561768 */   // Label 9209: @561768
     /*  561768 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561843), // Rule ID 3271 //
     /*  561773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561841 */     GIR_RootConstrainSelectedInstOperands,
     /*  561842 */     // GIR_Coverage, 3271,
     /*  561842 */     GIR_EraseRootFromParent_Done,
     /*  561843 */   // Label 9210: @561843
     /*  561843 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561918), // Rule ID 3272 //
     /*  561848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561916 */     GIR_RootConstrainSelectedInstOperands,
     /*  561917 */     // GIR_Coverage, 3272,
     /*  561917 */     GIR_EraseRootFromParent_Done,
     /*  561918 */   // Label 9211: @561918
     /*  561918 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(561993), // Rule ID 3275 //
     /*  561923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  561940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  561972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561991 */     GIR_RootConstrainSelectedInstOperands,
     /*  561992 */     // GIR_Coverage, 3275,
     /*  561992 */     GIR_EraseRootFromParent_Done,
     /*  561993 */   // Label 9212: @561993
     /*  561993 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(562068), // Rule ID 3276 //
     /*  561998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  562009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  562012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  562047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562066 */     GIR_RootConstrainSelectedInstOperands,
     /*  562067 */     // GIR_Coverage, 3276,
     /*  562067 */     GIR_EraseRootFromParent_Done,
     /*  562068 */   // Label 9213: @562068
     /*  562068 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562143), // Rule ID 3279 //
     /*  562073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562141 */     GIR_RootConstrainSelectedInstOperands,
     /*  562142 */     // GIR_Coverage, 3279,
     /*  562142 */     GIR_EraseRootFromParent_Done,
     /*  562143 */   // Label 9214: @562143
     /*  562143 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562218), // Rule ID 3280 //
     /*  562148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  562159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  562162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  562197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562216 */     GIR_RootConstrainSelectedInstOperands,
     /*  562217 */     // GIR_Coverage, 3280,
     /*  562217 */     GIR_EraseRootFromParent_Done,
     /*  562218 */   // Label 9215: @562218
     /*  562218 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562293), // Rule ID 3283 //
     /*  562223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562291 */     GIR_RootConstrainSelectedInstOperands,
     /*  562292 */     // GIR_Coverage, 3283,
     /*  562292 */     GIR_EraseRootFromParent_Done,
     /*  562293 */   // Label 9216: @562293
     /*  562293 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562368), // Rule ID 3284 //
     /*  562298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  562347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562366 */     GIR_RootConstrainSelectedInstOperands,
     /*  562367 */     // GIR_Coverage, 3284,
     /*  562367 */     GIR_EraseRootFromParent_Done,
     /*  562368 */   // Label 9217: @562368
     /*  562368 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562443), // Rule ID 3287 //
     /*  562373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562441 */     GIR_RootConstrainSelectedInstOperands,
     /*  562442 */     // GIR_Coverage, 3287,
     /*  562442 */     GIR_EraseRootFromParent_Done,
     /*  562443 */   // Label 9218: @562443
     /*  562443 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562518), // Rule ID 3288 //
     /*  562448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  562497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562516 */     GIR_RootConstrainSelectedInstOperands,
     /*  562517 */     // GIR_Coverage, 3288,
     /*  562517 */     GIR_EraseRootFromParent_Done,
     /*  562518 */   // Label 9219: @562518
     /*  562518 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562593), // Rule ID 3291 //
     /*  562523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562569 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562591 */     GIR_RootConstrainSelectedInstOperands,
     /*  562592 */     // GIR_Coverage, 3291,
     /*  562592 */     GIR_EraseRootFromParent_Done,
     /*  562593 */   // Label 9220: @562593
     /*  562593 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562668), // Rule ID 3292 //
     /*  562598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562666 */     GIR_RootConstrainSelectedInstOperands,
     /*  562667 */     // GIR_Coverage, 3292,
     /*  562667 */     GIR_EraseRootFromParent_Done,
     /*  562668 */   // Label 9221: @562668
     /*  562668 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562743), // Rule ID 3295 //
     /*  562673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562719 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  562722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562741 */     GIR_RootConstrainSelectedInstOperands,
     /*  562742 */     // GIR_Coverage, 3295,
     /*  562742 */     GIR_EraseRootFromParent_Done,
     /*  562743 */   // Label 9222: @562743
     /*  562743 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562818), // Rule ID 3296 //
     /*  562748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  562797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562816 */     GIR_RootConstrainSelectedInstOperands,
     /*  562817 */     // GIR_Coverage, 3296,
     /*  562817 */     GIR_EraseRootFromParent_Done,
     /*  562818 */   // Label 9223: @562818
     /*  562818 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562893), // Rule ID 3299 //
     /*  562823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562891 */     GIR_RootConstrainSelectedInstOperands,
     /*  562892 */     // GIR_Coverage, 3299,
     /*  562892 */     GIR_EraseRootFromParent_Done,
     /*  562893 */   // Label 9224: @562893
     /*  562893 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(562968), // Rule ID 3300 //
     /*  562898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562944 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  562947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562966 */     GIR_RootConstrainSelectedInstOperands,
     /*  562967 */     // GIR_Coverage, 3300,
     /*  562967 */     GIR_EraseRootFromParent_Done,
     /*  562968 */   // Label 9225: @562968
     /*  562968 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(563043), // Rule ID 3303 //
     /*  562973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  562984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  562987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  562990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563041 */     GIR_RootConstrainSelectedInstOperands,
     /*  563042 */     // GIR_Coverage, 3303,
     /*  563042 */     GIR_EraseRootFromParent_Done,
     /*  563043 */   // Label 9226: @563043
     /*  563043 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(563118), // Rule ID 3304 //
     /*  563048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563116 */     GIR_RootConstrainSelectedInstOperands,
     /*  563117 */     // GIR_Coverage, 3304,
     /*  563117 */     GIR_EraseRootFromParent_Done,
     /*  563118 */   // Label 9227: @563118
     /*  563118 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563193), // Rule ID 3307 //
     /*  563123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563191 */     GIR_RootConstrainSelectedInstOperands,
     /*  563192 */     // GIR_Coverage, 3307,
     /*  563192 */     GIR_EraseRootFromParent_Done,
     /*  563193 */   // Label 9228: @563193
     /*  563193 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563268), // Rule ID 3308 //
     /*  563198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  563247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563266 */     GIR_RootConstrainSelectedInstOperands,
     /*  563267 */     // GIR_Coverage, 3308,
     /*  563267 */     GIR_EraseRootFromParent_Done,
     /*  563268 */   // Label 9229: @563268
     /*  563268 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563343), // Rule ID 3311 //
     /*  563273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563341 */     GIR_RootConstrainSelectedInstOperands,
     /*  563342 */     // GIR_Coverage, 3311,
     /*  563342 */     GIR_EraseRootFromParent_Done,
     /*  563343 */   // Label 9230: @563343
     /*  563343 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563418), // Rule ID 3312 //
     /*  563348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563416 */     GIR_RootConstrainSelectedInstOperands,
     /*  563417 */     // GIR_Coverage, 3312,
     /*  563417 */     GIR_EraseRootFromParent_Done,
     /*  563418 */   // Label 9231: @563418
     /*  563418 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563493), // Rule ID 3315 //
     /*  563423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563491 */     GIR_RootConstrainSelectedInstOperands,
     /*  563492 */     // GIR_Coverage, 3315,
     /*  563492 */     GIR_EraseRootFromParent_Done,
     /*  563493 */   // Label 9232: @563493
     /*  563493 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563568), // Rule ID 3316 //
     /*  563498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563566 */     GIR_RootConstrainSelectedInstOperands,
     /*  563567 */     // GIR_Coverage, 3316,
     /*  563567 */     GIR_EraseRootFromParent_Done,
     /*  563568 */   // Label 9233: @563568
     /*  563568 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563643), // Rule ID 3319 //
     /*  563573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563641 */     GIR_RootConstrainSelectedInstOperands,
     /*  563642 */     // GIR_Coverage, 3319,
     /*  563642 */     GIR_EraseRootFromParent_Done,
     /*  563643 */   // Label 9234: @563643
     /*  563643 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563718), // Rule ID 3320 //
     /*  563648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563716 */     GIR_RootConstrainSelectedInstOperands,
     /*  563717 */     // GIR_Coverage, 3320,
     /*  563717 */     GIR_EraseRootFromParent_Done,
     /*  563718 */   // Label 9235: @563718
     /*  563718 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563793), // Rule ID 3323 //
     /*  563723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563791 */     GIR_RootConstrainSelectedInstOperands,
     /*  563792 */     // GIR_Coverage, 3323,
     /*  563792 */     GIR_EraseRootFromParent_Done,
     /*  563793 */   // Label 9236: @563793
     /*  563793 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563868), // Rule ID 3324 //
     /*  563798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  563847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563866 */     GIR_RootConstrainSelectedInstOperands,
     /*  563867 */     // GIR_Coverage, 3324,
     /*  563867 */     GIR_EraseRootFromParent_Done,
     /*  563868 */   // Label 9237: @563868
     /*  563868 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563943), // Rule ID 3327 //
     /*  563873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  563890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563941 */     GIR_RootConstrainSelectedInstOperands,
     /*  563942 */     // GIR_Coverage, 3327,
     /*  563942 */     GIR_EraseRootFromParent_Done,
     /*  563943 */   // Label 9238: @563943
     /*  563943 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(564018), // Rule ID 3328 //
     /*  563948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  563965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564016 */     GIR_RootConstrainSelectedInstOperands,
     /*  564017 */     // GIR_Coverage, 3328,
     /*  564017 */     GIR_EraseRootFromParent_Done,
     /*  564018 */   // Label 9239: @564018
     /*  564018 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(564093), // Rule ID 3331 //
     /*  564023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564091 */     GIR_RootConstrainSelectedInstOperands,
     /*  564092 */     // GIR_Coverage, 3331,
     /*  564092 */     GIR_EraseRootFromParent_Done,
     /*  564093 */   // Label 9240: @564093
     /*  564093 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564168), // Rule ID 3332 //
     /*  564098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  564109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  564112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  564115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564166 */     GIR_RootConstrainSelectedInstOperands,
     /*  564167 */     // GIR_Coverage, 3332,
     /*  564167 */     GIR_EraseRootFromParent_Done,
     /*  564168 */   // Label 9241: @564168
     /*  564168 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564243), // Rule ID 3335 //
     /*  564173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564219 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564241 */     GIR_RootConstrainSelectedInstOperands,
     /*  564242 */     // GIR_Coverage, 3335,
     /*  564242 */     GIR_EraseRootFromParent_Done,
     /*  564243 */   // Label 9242: @564243
     /*  564243 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564318), // Rule ID 3336 //
     /*  564248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564316 */     GIR_RootConstrainSelectedInstOperands,
     /*  564317 */     // GIR_Coverage, 3336,
     /*  564317 */     GIR_EraseRootFromParent_Done,
     /*  564318 */   // Label 9243: @564318
     /*  564318 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564393), // Rule ID 3339 //
     /*  564323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564391 */     GIR_RootConstrainSelectedInstOperands,
     /*  564392 */     // GIR_Coverage, 3339,
     /*  564392 */     GIR_EraseRootFromParent_Done,
     /*  564393 */   // Label 9244: @564393
     /*  564393 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564468), // Rule ID 3340 //
     /*  564398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564466 */     GIR_RootConstrainSelectedInstOperands,
     /*  564467 */     // GIR_Coverage, 3340,
     /*  564467 */     GIR_EraseRootFromParent_Done,
     /*  564468 */   // Label 9245: @564468
     /*  564468 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564543), // Rule ID 3343 //
     /*  564473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564541 */     GIR_RootConstrainSelectedInstOperands,
     /*  564542 */     // GIR_Coverage, 3343,
     /*  564542 */     GIR_EraseRootFromParent_Done,
     /*  564543 */   // Label 9246: @564543
     /*  564543 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564618), // Rule ID 3344 //
     /*  564548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564616 */     GIR_RootConstrainSelectedInstOperands,
     /*  564617 */     // GIR_Coverage, 3344,
     /*  564617 */     GIR_EraseRootFromParent_Done,
     /*  564618 */   // Label 9247: @564618
     /*  564618 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564693), // Rule ID 3347 //
     /*  564623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564691 */     GIR_RootConstrainSelectedInstOperands,
     /*  564692 */     // GIR_Coverage, 3347,
     /*  564692 */     GIR_EraseRootFromParent_Done,
     /*  564693 */   // Label 9248: @564693
     /*  564693 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564768), // Rule ID 3348 //
     /*  564698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564766 */     GIR_RootConstrainSelectedInstOperands,
     /*  564767 */     // GIR_Coverage, 3348,
     /*  564767 */     GIR_EraseRootFromParent_Done,
     /*  564768 */   // Label 9249: @564768
     /*  564768 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564843), // Rule ID 3351 //
     /*  564773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564841 */     GIR_RootConstrainSelectedInstOperands,
     /*  564842 */     // GIR_Coverage, 3351,
     /*  564842 */     GIR_EraseRootFromParent_Done,
     /*  564843 */   // Label 9250: @564843
     /*  564843 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564918), // Rule ID 3352 //
     /*  564848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564916 */     GIR_RootConstrainSelectedInstOperands,
     /*  564917 */     // GIR_Coverage, 3352,
     /*  564917 */     GIR_EraseRootFromParent_Done,
     /*  564918 */   // Label 9251: @564918
     /*  564918 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(564993), // Rule ID 3355 //
     /*  564923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564991 */     GIR_RootConstrainSelectedInstOperands,
     /*  564992 */     // GIR_Coverage, 3355,
     /*  564992 */     GIR_EraseRootFromParent_Done,
     /*  564993 */   // Label 9252: @564993
     /*  564993 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(565068), // Rule ID 3356 //
     /*  564998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  565015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565066 */     GIR_RootConstrainSelectedInstOperands,
     /*  565067 */     // GIR_Coverage, 3356,
     /*  565067 */     GIR_EraseRootFromParent_Done,
     /*  565068 */   // Label 9253: @565068
     /*  565068 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565143), // Rule ID 3359 //
     /*  565073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565141 */     GIR_RootConstrainSelectedInstOperands,
     /*  565142 */     // GIR_Coverage, 3359,
     /*  565142 */     GIR_EraseRootFromParent_Done,
     /*  565143 */   // Label 9254: @565143
     /*  565143 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565218), // Rule ID 3360 //
     /*  565148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  565165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565216 */     GIR_RootConstrainSelectedInstOperands,
     /*  565217 */     // GIR_Coverage, 3360,
     /*  565217 */     GIR_EraseRootFromParent_Done,
     /*  565218 */   // Label 9255: @565218
     /*  565218 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565293), // Rule ID 3363 //
     /*  565223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565291 */     GIR_RootConstrainSelectedInstOperands,
     /*  565292 */     // GIR_Coverage, 3363,
     /*  565292 */     GIR_EraseRootFromParent_Done,
     /*  565293 */   // Label 9256: @565293
     /*  565293 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565368), // Rule ID 3364 //
     /*  565298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  565347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565366 */     GIR_RootConstrainSelectedInstOperands,
     /*  565367 */     // GIR_Coverage, 3364,
     /*  565367 */     GIR_EraseRootFromParent_Done,
     /*  565368 */   // Label 9257: @565368
     /*  565368 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565443), // Rule ID 3367 //
     /*  565373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565441 */     GIR_RootConstrainSelectedInstOperands,
     /*  565442 */     // GIR_Coverage, 3367,
     /*  565442 */     GIR_EraseRootFromParent_Done,
     /*  565443 */   // Label 9258: @565443
     /*  565443 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565518), // Rule ID 3368 //
     /*  565448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  565497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565516 */     GIR_RootConstrainSelectedInstOperands,
     /*  565517 */     // GIR_Coverage, 3368,
     /*  565517 */     GIR_EraseRootFromParent_Done,
     /*  565518 */   // Label 9259: @565518
     /*  565518 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565593), // Rule ID 3371 //
     /*  565523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565591 */     GIR_RootConstrainSelectedInstOperands,
     /*  565592 */     // GIR_Coverage, 3371,
     /*  565592 */     GIR_EraseRootFromParent_Done,
     /*  565593 */   // Label 9260: @565593
     /*  565593 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565668), // Rule ID 3372 //
     /*  565598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  565606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  565647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565666 */     GIR_RootConstrainSelectedInstOperands,
     /*  565667 */     // GIR_Coverage, 3372,
     /*  565667 */     GIR_EraseRootFromParent_Done,
     /*  565668 */   // Label 9261: @565668
     /*  565668 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565743), // Rule ID 3463 //
     /*  565673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  565690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  565722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565741 */     GIR_RootConstrainSelectedInstOperands,
     /*  565742 */     // GIR_Coverage, 3463,
     /*  565742 */     GIR_EraseRootFromParent_Done,
     /*  565743 */   // Label 9262: @565743
     /*  565743 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565818), // Rule ID 3464 //
     /*  565748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  565765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  565797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565816 */     GIR_RootConstrainSelectedInstOperands,
     /*  565817 */     // GIR_Coverage, 3464,
     /*  565817 */     GIR_EraseRootFromParent_Done,
     /*  565818 */   // Label 9263: @565818
     /*  565818 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565893), // Rule ID 3467 //
     /*  565823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  565840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565869 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565891 */     GIR_RootConstrainSelectedInstOperands,
     /*  565892 */     // GIR_Coverage, 3467,
     /*  565892 */     GIR_EraseRootFromParent_Done,
     /*  565893 */   // Label 9264: @565893
     /*  565893 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(565968), // Rule ID 3468 //
     /*  565898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  565915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565966 */     GIR_RootConstrainSelectedInstOperands,
     /*  565967 */     // GIR_Coverage, 3468,
     /*  565967 */     GIR_EraseRootFromParent_Done,
     /*  565968 */   // Label 9265: @565968
     /*  565968 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(566043), // Rule ID 3471 //
     /*  565973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  565987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  565990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  565993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566041 */     GIR_RootConstrainSelectedInstOperands,
     /*  566042 */     // GIR_Coverage, 3471,
     /*  566042 */     GIR_EraseRootFromParent_Done,
     /*  566043 */   // Label 9266: @566043
     /*  566043 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(566118), // Rule ID 3472 //
     /*  566048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  566068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566116 */     GIR_RootConstrainSelectedInstOperands,
     /*  566117 */     // GIR_Coverage, 3472,
     /*  566117 */     GIR_EraseRootFromParent_Done,
     /*  566118 */   // Label 9267: @566118
     /*  566118 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566193), // Rule ID 3475 //
     /*  566123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566191 */     GIR_RootConstrainSelectedInstOperands,
     /*  566192 */     // GIR_Coverage, 3475,
     /*  566192 */     GIR_EraseRootFromParent_Done,
     /*  566193 */   // Label 9268: @566193
     /*  566193 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566268), // Rule ID 3476 //
     /*  566198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566266 */     GIR_RootConstrainSelectedInstOperands,
     /*  566267 */     // GIR_Coverage, 3476,
     /*  566267 */     GIR_EraseRootFromParent_Done,
     /*  566268 */   // Label 9269: @566268
     /*  566268 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566343), // Rule ID 3479 //
     /*  566273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566319 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566341 */     GIR_RootConstrainSelectedInstOperands,
     /*  566342 */     // GIR_Coverage, 3479,
     /*  566342 */     GIR_EraseRootFromParent_Done,
     /*  566343 */   // Label 9270: @566343
     /*  566343 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566418), // Rule ID 3480 //
     /*  566348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  566365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566416 */     GIR_RootConstrainSelectedInstOperands,
     /*  566417 */     // GIR_Coverage, 3480,
     /*  566417 */     GIR_EraseRootFromParent_Done,
     /*  566418 */   // Label 9271: @566418
     /*  566418 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566493), // Rule ID 3483 //
     /*  566423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566469 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566491 */     GIR_RootConstrainSelectedInstOperands,
     /*  566492 */     // GIR_Coverage, 3483,
     /*  566492 */     GIR_EraseRootFromParent_Done,
     /*  566493 */   // Label 9272: @566493
     /*  566493 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566568), // Rule ID 3484 //
     /*  566498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566566 */     GIR_RootConstrainSelectedInstOperands,
     /*  566567 */     // GIR_Coverage, 3484,
     /*  566567 */     GIR_EraseRootFromParent_Done,
     /*  566568 */   // Label 9273: @566568
     /*  566568 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566643), // Rule ID 3487 //
     /*  566573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  566590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566641 */     GIR_RootConstrainSelectedInstOperands,
     /*  566642 */     // GIR_Coverage, 3487,
     /*  566642 */     GIR_EraseRootFromParent_Done,
     /*  566643 */   // Label 9274: @566643
     /*  566643 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566718), // Rule ID 3488 //
     /*  566648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  566665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  566697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566716 */     GIR_RootConstrainSelectedInstOperands,
     /*  566717 */     // GIR_Coverage, 3488,
     /*  566717 */     GIR_EraseRootFromParent_Done,
     /*  566718 */   // Label 9275: @566718
     /*  566718 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566793), // Rule ID 3491 //
     /*  566723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  566740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566791 */     GIR_RootConstrainSelectedInstOperands,
     /*  566792 */     // GIR_Coverage, 3491,
     /*  566792 */     GIR_EraseRootFromParent_Done,
     /*  566793 */   // Label 9276: @566793
     /*  566793 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566868), // Rule ID 3492 //
     /*  566798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  566815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566866 */     GIR_RootConstrainSelectedInstOperands,
     /*  566867 */     // GIR_Coverage, 3492,
     /*  566867 */     GIR_EraseRootFromParent_Done,
     /*  566868 */   // Label 9277: @566868
     /*  566868 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566943), // Rule ID 3495 //
     /*  566873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  566890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566941 */     GIR_RootConstrainSelectedInstOperands,
     /*  566942 */     // GIR_Coverage, 3495,
     /*  566942 */     GIR_EraseRootFromParent_Done,
     /*  566943 */   // Label 9278: @566943
     /*  566943 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(567018), // Rule ID 3496 //
     /*  566948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  566965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567016 */     GIR_RootConstrainSelectedInstOperands,
     /*  567017 */     // GIR_Coverage, 3496,
     /*  567017 */     GIR_EraseRootFromParent_Done,
     /*  567018 */   // Label 9279: @567018
     /*  567018 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(567093), // Rule ID 3499 //
     /*  567023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567091 */     GIR_RootConstrainSelectedInstOperands,
     /*  567092 */     // GIR_Coverage, 3499,
     /*  567092 */     GIR_EraseRootFromParent_Done,
     /*  567093 */   // Label 9280: @567093
     /*  567093 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567168), // Rule ID 3500 //
     /*  567098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  567118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567166 */     GIR_RootConstrainSelectedInstOperands,
     /*  567167 */     // GIR_Coverage, 3500,
     /*  567167 */     GIR_EraseRootFromParent_Done,
     /*  567168 */   // Label 9281: @567168
     /*  567168 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567243), // Rule ID 3503 //
     /*  567173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567241 */     GIR_RootConstrainSelectedInstOperands,
     /*  567242 */     // GIR_Coverage, 3503,
     /*  567242 */     GIR_EraseRootFromParent_Done,
     /*  567243 */   // Label 9282: @567243
     /*  567243 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567318), // Rule ID 3504 //
     /*  567248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567316 */     GIR_RootConstrainSelectedInstOperands,
     /*  567317 */     // GIR_Coverage, 3504,
     /*  567317 */     GIR_EraseRootFromParent_Done,
     /*  567318 */   // Label 9283: @567318
     /*  567318 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567393), // Rule ID 3507 //
     /*  567323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567391 */     GIR_RootConstrainSelectedInstOperands,
     /*  567392 */     // GIR_Coverage, 3507,
     /*  567392 */     GIR_EraseRootFromParent_Done,
     /*  567393 */   // Label 9284: @567393
     /*  567393 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567468), // Rule ID 3508 //
     /*  567398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  567409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  567412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  567447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567466 */     GIR_RootConstrainSelectedInstOperands,
     /*  567467 */     // GIR_Coverage, 3508,
     /*  567467 */     GIR_EraseRootFromParent_Done,
     /*  567468 */   // Label 9285: @567468
     /*  567468 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567543), // Rule ID 3511 //
     /*  567473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567519 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567541 */     GIR_RootConstrainSelectedInstOperands,
     /*  567542 */     // GIR_Coverage, 3511,
     /*  567542 */     GIR_EraseRootFromParent_Done,
     /*  567543 */   // Label 9286: @567543
     /*  567543 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567618), // Rule ID 3512 //
     /*  567548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  567565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  567597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567616 */     GIR_RootConstrainSelectedInstOperands,
     /*  567617 */     // GIR_Coverage, 3512,
     /*  567617 */     GIR_EraseRootFromParent_Done,
     /*  567618 */   // Label 9287: @567618
     /*  567618 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567693), // Rule ID 3515 //
     /*  567623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  567640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567691 */     GIR_RootConstrainSelectedInstOperands,
     /*  567692 */     // GIR_Coverage, 3515,
     /*  567692 */     GIR_EraseRootFromParent_Done,
     /*  567693 */   // Label 9288: @567693
     /*  567693 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567768), // Rule ID 3516 //
     /*  567698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  567715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  567747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567766 */     GIR_RootConstrainSelectedInstOperands,
     /*  567767 */     // GIR_Coverage, 3516,
     /*  567767 */     GIR_EraseRootFromParent_Done,
     /*  567768 */   // Label 9289: @567768
     /*  567768 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567843), // Rule ID 3519 //
     /*  567773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  567790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567841 */     GIR_RootConstrainSelectedInstOperands,
     /*  567842 */     // GIR_Coverage, 3519,
     /*  567842 */     GIR_EraseRootFromParent_Done,
     /*  567843 */   // Label 9290: @567843
     /*  567843 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567918), // Rule ID 3520 //
     /*  567848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  567865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  567897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567916 */     GIR_RootConstrainSelectedInstOperands,
     /*  567917 */     // GIR_Coverage, 3520,
     /*  567917 */     GIR_EraseRootFromParent_Done,
     /*  567918 */   // Label 9291: @567918
     /*  567918 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(567993), // Rule ID 3523 //
     /*  567923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  567972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567991 */     GIR_RootConstrainSelectedInstOperands,
     /*  567992 */     // GIR_Coverage, 3523,
     /*  567992 */     GIR_EraseRootFromParent_Done,
     /*  567993 */   // Label 9292: @567993
     /*  567993 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(568068), // Rule ID 3524 //
     /*  567998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  568047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568066 */     GIR_RootConstrainSelectedInstOperands,
     /*  568067 */     // GIR_Coverage, 3524,
     /*  568067 */     GIR_EraseRootFromParent_Done,
     /*  568068 */   // Label 9293: @568068
     /*  568068 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568143), // Rule ID 3527 //
     /*  568073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568141 */     GIR_RootConstrainSelectedInstOperands,
     /*  568142 */     // GIR_Coverage, 3527,
     /*  568142 */     GIR_EraseRootFromParent_Done,
     /*  568143 */   // Label 9294: @568143
     /*  568143 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568218), // Rule ID 3528 //
     /*  568148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568216 */     GIR_RootConstrainSelectedInstOperands,
     /*  568217 */     // GIR_Coverage, 3528,
     /*  568217 */     GIR_EraseRootFromParent_Done,
     /*  568218 */   // Label 9295: @568218
     /*  568218 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568293), // Rule ID 3531 //
     /*  568223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568291 */     GIR_RootConstrainSelectedInstOperands,
     /*  568292 */     // GIR_Coverage, 3531,
     /*  568292 */     GIR_EraseRootFromParent_Done,
     /*  568293 */   // Label 9296: @568293
     /*  568293 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568368), // Rule ID 3532 //
     /*  568298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568366 */     GIR_RootConstrainSelectedInstOperands,
     /*  568367 */     // GIR_Coverage, 3532,
     /*  568367 */     GIR_EraseRootFromParent_Done,
     /*  568368 */   // Label 9297: @568368
     /*  568368 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568443), // Rule ID 3535 //
     /*  568373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568441 */     GIR_RootConstrainSelectedInstOperands,
     /*  568442 */     // GIR_Coverage, 3535,
     /*  568442 */     GIR_EraseRootFromParent_Done,
     /*  568443 */   // Label 9298: @568443
     /*  568443 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568518), // Rule ID 3536 //
     /*  568448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568516 */     GIR_RootConstrainSelectedInstOperands,
     /*  568517 */     // GIR_Coverage, 3536,
     /*  568517 */     GIR_EraseRootFromParent_Done,
     /*  568518 */   // Label 9299: @568518
     /*  568518 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568593), // Rule ID 3539 //
     /*  568523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568591 */     GIR_RootConstrainSelectedInstOperands,
     /*  568592 */     // GIR_Coverage, 3539,
     /*  568592 */     GIR_EraseRootFromParent_Done,
     /*  568593 */   // Label 9300: @568593
     /*  568593 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568668), // Rule ID 3540 //
     /*  568598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568666 */     GIR_RootConstrainSelectedInstOperands,
     /*  568667 */     // GIR_Coverage, 3540,
     /*  568667 */     GIR_EraseRootFromParent_Done,
     /*  568668 */   // Label 9301: @568668
     /*  568668 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568743), // Rule ID 3543 //
     /*  568673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  568684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  568687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568741 */     GIR_RootConstrainSelectedInstOperands,
     /*  568742 */     // GIR_Coverage, 3543,
     /*  568742 */     GIR_EraseRootFromParent_Done,
     /*  568743 */   // Label 9302: @568743
     /*  568743 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568818), // Rule ID 3544 //
     /*  568748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  568759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  568762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568816 */     GIR_RootConstrainSelectedInstOperands,
     /*  568817 */     // GIR_Coverage, 3544,
     /*  568817 */     GIR_EraseRootFromParent_Done,
     /*  568818 */   // Label 9303: @568818
     /*  568818 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568893), // Rule ID 3547 //
     /*  568823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568891 */     GIR_RootConstrainSelectedInstOperands,
     /*  568892 */     // GIR_Coverage, 3547,
     /*  568892 */     GIR_EraseRootFromParent_Done,
     /*  568893 */   // Label 9304: @568893
     /*  568893 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(568968), // Rule ID 3548 //
     /*  568898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  568947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568966 */     GIR_RootConstrainSelectedInstOperands,
     /*  568967 */     // GIR_Coverage, 3548,
     /*  568967 */     GIR_EraseRootFromParent_Done,
     /*  568968 */   // Label 9305: @568968
     /*  568968 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(569043), // Rule ID 3551 //
     /*  568973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  568990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569041 */     GIR_RootConstrainSelectedInstOperands,
     /*  569042 */     // GIR_Coverage, 3551,
     /*  569042 */     GIR_EraseRootFromParent_Done,
     /*  569043 */   // Label 9306: @569043
     /*  569043 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(569118), // Rule ID 3552 //
     /*  569048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569116 */     GIR_RootConstrainSelectedInstOperands,
     /*  569117 */     // GIR_Coverage, 3552,
     /*  569117 */     GIR_EraseRootFromParent_Done,
     /*  569118 */   // Label 9307: @569118
     /*  569118 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569193), // Rule ID 3555 //
     /*  569123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569191 */     GIR_RootConstrainSelectedInstOperands,
     /*  569192 */     // GIR_Coverage, 3555,
     /*  569192 */     GIR_EraseRootFromParent_Done,
     /*  569193 */   // Label 9308: @569193
     /*  569193 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569268), // Rule ID 3556 //
     /*  569198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569266 */     GIR_RootConstrainSelectedInstOperands,
     /*  569267 */     // GIR_Coverage, 3556,
     /*  569267 */     GIR_EraseRootFromParent_Done,
     /*  569268 */   // Label 9309: @569268
     /*  569268 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569343), // Rule ID 3559 //
     /*  569273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569341 */     GIR_RootConstrainSelectedInstOperands,
     /*  569342 */     // GIR_Coverage, 3559,
     /*  569342 */     GIR_EraseRootFromParent_Done,
     /*  569343 */   // Label 9310: @569343
     /*  569343 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569418), // Rule ID 3560 //
     /*  569348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569416 */     GIR_RootConstrainSelectedInstOperands,
     /*  569417 */     // GIR_Coverage, 3560,
     /*  569417 */     GIR_EraseRootFromParent_Done,
     /*  569418 */   // Label 9311: @569418
     /*  569418 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569493), // Rule ID 3563 //
     /*  569423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569491 */     GIR_RootConstrainSelectedInstOperands,
     /*  569492 */     // GIR_Coverage, 3563,
     /*  569492 */     GIR_EraseRootFromParent_Done,
     /*  569493 */   // Label 9312: @569493
     /*  569493 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569568), // Rule ID 3564 //
     /*  569498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  569547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569566 */     GIR_RootConstrainSelectedInstOperands,
     /*  569567 */     // GIR_Coverage, 3564,
     /*  569567 */     GIR_EraseRootFromParent_Done,
     /*  569568 */   // Label 9313: @569568
     /*  569568 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569643), // Rule ID 3567 //
     /*  569573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  569590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569641 */     GIR_RootConstrainSelectedInstOperands,
     /*  569642 */     // GIR_Coverage, 3567,
     /*  569642 */     GIR_EraseRootFromParent_Done,
     /*  569643 */   // Label 9314: @569643
     /*  569643 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569718), // Rule ID 3568 //
     /*  569648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  569665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  569697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569716 */     GIR_RootConstrainSelectedInstOperands,
     /*  569717 */     // GIR_Coverage, 3568,
     /*  569717 */     GIR_EraseRootFromParent_Done,
     /*  569718 */   // Label 9315: @569718
     /*  569718 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569793), // Rule ID 3571 //
     /*  569723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  569740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569791 */     GIR_RootConstrainSelectedInstOperands,
     /*  569792 */     // GIR_Coverage, 3571,
     /*  569792 */     GIR_EraseRootFromParent_Done,
     /*  569793 */   // Label 9316: @569793
     /*  569793 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569868), // Rule ID 3572 //
     /*  569798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  569815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  569847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569866 */     GIR_RootConstrainSelectedInstOperands,
     /*  569867 */     // GIR_Coverage, 3572,
     /*  569867 */     GIR_EraseRootFromParent_Done,
     /*  569868 */   // Label 9317: @569868
     /*  569868 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569943), // Rule ID 3575 //
     /*  569873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  569884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  569887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569919 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569941 */     GIR_RootConstrainSelectedInstOperands,
     /*  569942 */     // GIR_Coverage, 3575,
     /*  569942 */     GIR_EraseRootFromParent_Done,
     /*  569943 */   // Label 9318: @569943
     /*  569943 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(570018), // Rule ID 3576 //
     /*  569948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  569956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  569959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  569962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  569997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570016 */     GIR_RootConstrainSelectedInstOperands,
     /*  570017 */     // GIR_Coverage, 3576,
     /*  570017 */     GIR_EraseRootFromParent_Done,
     /*  570018 */   // Label 9319: @570018
     /*  570018 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(570093), // Rule ID 3579 //
     /*  570023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570091 */     GIR_RootConstrainSelectedInstOperands,
     /*  570092 */     // GIR_Coverage, 3579,
     /*  570092 */     GIR_EraseRootFromParent_Done,
     /*  570093 */   // Label 9320: @570093
     /*  570093 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570168), // Rule ID 3580 //
     /*  570098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  570147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570166 */     GIR_RootConstrainSelectedInstOperands,
     /*  570167 */     // GIR_Coverage, 3580,
     /*  570167 */     GIR_EraseRootFromParent_Done,
     /*  570168 */   // Label 9321: @570168
     /*  570168 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570243), // Rule ID 3583 //
     /*  570173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570241 */     GIR_RootConstrainSelectedInstOperands,
     /*  570242 */     // GIR_Coverage, 3583,
     /*  570242 */     GIR_EraseRootFromParent_Done,
     /*  570243 */   // Label 9322: @570243
     /*  570243 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570318), // Rule ID 3584 //
     /*  570248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  570297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570316 */     GIR_RootConstrainSelectedInstOperands,
     /*  570317 */     // GIR_Coverage, 3584,
     /*  570317 */     GIR_EraseRootFromParent_Done,
     /*  570318 */   // Label 9323: @570318
     /*  570318 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570393), // Rule ID 3587 //
     /*  570323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570391 */     GIR_RootConstrainSelectedInstOperands,
     /*  570392 */     // GIR_Coverage, 3587,
     /*  570392 */     GIR_EraseRootFromParent_Done,
     /*  570393 */   // Label 9324: @570393
     /*  570393 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570468), // Rule ID 3588 //
     /*  570398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570466 */     GIR_RootConstrainSelectedInstOperands,
     /*  570467 */     // GIR_Coverage, 3588,
     /*  570467 */     GIR_EraseRootFromParent_Done,
     /*  570468 */   // Label 9325: @570468
     /*  570468 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570543), // Rule ID 3591 //
     /*  570473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570541 */     GIR_RootConstrainSelectedInstOperands,
     /*  570542 */     // GIR_Coverage, 3591,
     /*  570542 */     GIR_EraseRootFromParent_Done,
     /*  570543 */   // Label 9326: @570543
     /*  570543 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570618), // Rule ID 3592 //
     /*  570548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570616 */     GIR_RootConstrainSelectedInstOperands,
     /*  570617 */     // GIR_Coverage, 3592,
     /*  570617 */     GIR_EraseRootFromParent_Done,
     /*  570618 */   // Label 9327: @570618
     /*  570618 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570693), // Rule ID 3595 //
     /*  570623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570691 */     GIR_RootConstrainSelectedInstOperands,
     /*  570692 */     // GIR_Coverage, 3595,
     /*  570692 */     GIR_EraseRootFromParent_Done,
     /*  570693 */   // Label 9328: @570693
     /*  570693 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570768), // Rule ID 3596 //
     /*  570698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570766 */     GIR_RootConstrainSelectedInstOperands,
     /*  570767 */     // GIR_Coverage, 3596,
     /*  570767 */     GIR_EraseRootFromParent_Done,
     /*  570768 */   // Label 9329: @570768
     /*  570768 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570843), // Rule ID 3599 //
     /*  570773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570841 */     GIR_RootConstrainSelectedInstOperands,
     /*  570842 */     // GIR_Coverage, 3599,
     /*  570842 */     GIR_EraseRootFromParent_Done,
     /*  570843 */   // Label 9330: @570843
     /*  570843 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570918), // Rule ID 3600 //
     /*  570848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570916 */     GIR_RootConstrainSelectedInstOperands,
     /*  570917 */     // GIR_Coverage, 3600,
     /*  570917 */     GIR_EraseRootFromParent_Done,
     /*  570918 */   // Label 9331: @570918
     /*  570918 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(570993), // Rule ID 3603 //
     /*  570923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  570934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  570937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  570940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  570972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570991 */     GIR_RootConstrainSelectedInstOperands,
     /*  570992 */     // GIR_Coverage, 3603,
     /*  570992 */     GIR_EraseRootFromParent_Done,
     /*  570993 */   // Label 9332: @570993
     /*  570993 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(571068), // Rule ID 3604 //
     /*  570998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571066 */     GIR_RootConstrainSelectedInstOperands,
     /*  571067 */     // GIR_Coverage, 3604,
     /*  571067 */     GIR_EraseRootFromParent_Done,
     /*  571068 */   // Label 9333: @571068
     /*  571068 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571143), // Rule ID 3607 //
     /*  571073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571141 */     GIR_RootConstrainSelectedInstOperands,
     /*  571142 */     // GIR_Coverage, 3607,
     /*  571142 */     GIR_EraseRootFromParent_Done,
     /*  571143 */   // Label 9334: @571143
     /*  571143 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571218), // Rule ID 3608 //
     /*  571148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  571197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571216 */     GIR_RootConstrainSelectedInstOperands,
     /*  571217 */     // GIR_Coverage, 3608,
     /*  571217 */     GIR_EraseRootFromParent_Done,
     /*  571218 */   // Label 9335: @571218
     /*  571218 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571293), // Rule ID 3611 //
     /*  571223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571291 */     GIR_RootConstrainSelectedInstOperands,
     /*  571292 */     // GIR_Coverage, 3611,
     /*  571292 */     GIR_EraseRootFromParent_Done,
     /*  571293 */   // Label 9336: @571293
     /*  571293 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571368), // Rule ID 3612 //
     /*  571298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571366 */     GIR_RootConstrainSelectedInstOperands,
     /*  571367 */     // GIR_Coverage, 3612,
     /*  571367 */     GIR_EraseRootFromParent_Done,
     /*  571368 */   // Label 9337: @571368
     /*  571368 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571443), // Rule ID 3615 //
     /*  571373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571441 */     GIR_RootConstrainSelectedInstOperands,
     /*  571442 */     // GIR_Coverage, 3615,
     /*  571442 */     GIR_EraseRootFromParent_Done,
     /*  571443 */   // Label 9338: @571443
     /*  571443 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571518), // Rule ID 3616 //
     /*  571448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  571497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571516 */     GIR_RootConstrainSelectedInstOperands,
     /*  571517 */     // GIR_Coverage, 3616,
     /*  571517 */     GIR_EraseRootFromParent_Done,
     /*  571518 */   // Label 9339: @571518
     /*  571518 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571593), // Rule ID 3619 //
     /*  571523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571591 */     GIR_RootConstrainSelectedInstOperands,
     /*  571592 */     // GIR_Coverage, 3619,
     /*  571592 */     GIR_EraseRootFromParent_Done,
     /*  571593 */   // Label 9340: @571593
     /*  571593 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571668), // Rule ID 3620 //
     /*  571598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571666 */     GIR_RootConstrainSelectedInstOperands,
     /*  571667 */     // GIR_Coverage, 3620,
     /*  571667 */     GIR_EraseRootFromParent_Done,
     /*  571668 */   // Label 9341: @571668
     /*  571668 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571743), // Rule ID 3623 //
     /*  571673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571741 */     GIR_RootConstrainSelectedInstOperands,
     /*  571742 */     // GIR_Coverage, 3623,
     /*  571742 */     GIR_EraseRootFromParent_Done,
     /*  571743 */   // Label 9342: @571743
     /*  571743 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571818), // Rule ID 3624 //
     /*  571748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571816 */     GIR_RootConstrainSelectedInstOperands,
     /*  571817 */     // GIR_Coverage, 3624,
     /*  571817 */     GIR_EraseRootFromParent_Done,
     /*  571818 */   // Label 9343: @571818
     /*  571818 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571893), // Rule ID 3627 //
     /*  571823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  571834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  571837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  571840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571891 */     GIR_RootConstrainSelectedInstOperands,
     /*  571892 */     // GIR_Coverage, 3627,
     /*  571892 */     GIR_EraseRootFromParent_Done,
     /*  571893 */   // Label 9344: @571893
     /*  571893 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(571968), // Rule ID 3628 //
     /*  571898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  571909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  571912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  571915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  571947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571966 */     GIR_RootConstrainSelectedInstOperands,
     /*  571967 */     // GIR_Coverage, 3628,
     /*  571967 */     GIR_EraseRootFromParent_Done,
     /*  571968 */   // Label 9345: @571968
     /*  571968 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(572043), // Rule ID 3631 //
     /*  571973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  571984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  571987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  571990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  571993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572041 */     GIR_RootConstrainSelectedInstOperands,
     /*  572042 */     // GIR_Coverage, 3631,
     /*  572042 */     GIR_EraseRootFromParent_Done,
     /*  572043 */   // Label 9346: @572043
     /*  572043 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(572118), // Rule ID 3632 //
     /*  572048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  572097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572116 */     GIR_RootConstrainSelectedInstOperands,
     /*  572117 */     // GIR_Coverage, 3632,
     /*  572117 */     GIR_EraseRootFromParent_Done,
     /*  572118 */   // Label 9347: @572118
     /*  572118 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572193), // Rule ID 3635 //
     /*  572123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572191 */     GIR_RootConstrainSelectedInstOperands,
     /*  572192 */     // GIR_Coverage, 3635,
     /*  572192 */     GIR_EraseRootFromParent_Done,
     /*  572193 */   // Label 9348: @572193
     /*  572193 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572268), // Rule ID 3636 //
     /*  572198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  572247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572266 */     GIR_RootConstrainSelectedInstOperands,
     /*  572267 */     // GIR_Coverage, 3636,
     /*  572267 */     GIR_EraseRootFromParent_Done,
     /*  572268 */   // Label 9349: @572268
     /*  572268 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572343), // Rule ID 3639 //
     /*  572273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572341 */     GIR_RootConstrainSelectedInstOperands,
     /*  572342 */     // GIR_Coverage, 3639,
     /*  572342 */     GIR_EraseRootFromParent_Done,
     /*  572343 */   // Label 9350: @572343
     /*  572343 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572418), // Rule ID 3640 //
     /*  572348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  572397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572416 */     GIR_RootConstrainSelectedInstOperands,
     /*  572417 */     // GIR_Coverage, 3640,
     /*  572417 */     GIR_EraseRootFromParent_Done,
     /*  572418 */   // Label 9351: @572418
     /*  572418 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572493), // Rule ID 3643 //
     /*  572423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572491 */     GIR_RootConstrainSelectedInstOperands,
     /*  572492 */     // GIR_Coverage, 3643,
     /*  572492 */     GIR_EraseRootFromParent_Done,
     /*  572493 */   // Label 9352: @572493
     /*  572493 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572568), // Rule ID 3644 //
     /*  572498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  572547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572566 */     GIR_RootConstrainSelectedInstOperands,
     /*  572567 */     // GIR_Coverage, 3644,
     /*  572567 */     GIR_EraseRootFromParent_Done,
     /*  572568 */   // Label 9353: @572568
     /*  572568 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572643), // Rule ID 3647 //
     /*  572573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572641 */     GIR_RootConstrainSelectedInstOperands,
     /*  572642 */     // GIR_Coverage, 3647,
     /*  572642 */     GIR_EraseRootFromParent_Done,
     /*  572643 */   // Label 9354: @572643
     /*  572643 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572718), // Rule ID 3648 //
     /*  572648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572716 */     GIR_RootConstrainSelectedInstOperands,
     /*  572717 */     // GIR_Coverage, 3648,
     /*  572717 */     GIR_EraseRootFromParent_Done,
     /*  572718 */   // Label 9355: @572718
     /*  572718 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572793), // Rule ID 3651 //
     /*  572723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572791 */     GIR_RootConstrainSelectedInstOperands,
     /*  572792 */     // GIR_Coverage, 3651,
     /*  572792 */     GIR_EraseRootFromParent_Done,
     /*  572793 */   // Label 9356: @572793
     /*  572793 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572868), // Rule ID 3652 //
     /*  572798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572866 */     GIR_RootConstrainSelectedInstOperands,
     /*  572867 */     // GIR_Coverage, 3652,
     /*  572867 */     GIR_EraseRootFromParent_Done,
     /*  572868 */   // Label 9357: @572868
     /*  572868 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572943), // Rule ID 3655 //
     /*  572873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  572884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  572887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  572890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  572922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572941 */     GIR_RootConstrainSelectedInstOperands,
     /*  572942 */     // GIR_Coverage, 3655,
     /*  572942 */     GIR_EraseRootFromParent_Done,
     /*  572943 */   // Label 9358: @572943
     /*  572943 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(573018), // Rule ID 3656 //
     /*  572948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  572959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  572962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  572965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  572997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573016 */     GIR_RootConstrainSelectedInstOperands,
     /*  573017 */     // GIR_Coverage, 3656,
     /*  573017 */     GIR_EraseRootFromParent_Done,
     /*  573018 */   // Label 9359: @573018
     /*  573018 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(573093), // Rule ID 3659 //
     /*  573023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573091 */     GIR_RootConstrainSelectedInstOperands,
     /*  573092 */     // GIR_Coverage, 3659,
     /*  573092 */     GIR_EraseRootFromParent_Done,
     /*  573093 */   // Label 9360: @573093
     /*  573093 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573168), // Rule ID 3660 //
     /*  573098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573166 */     GIR_RootConstrainSelectedInstOperands,
     /*  573167 */     // GIR_Coverage, 3660,
     /*  573167 */     GIR_EraseRootFromParent_Done,
     /*  573168 */   // Label 9361: @573168
     /*  573168 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573243), // Rule ID 3663 //
     /*  573173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573241 */     GIR_RootConstrainSelectedInstOperands,
     /*  573242 */     // GIR_Coverage, 3663,
     /*  573242 */     GIR_EraseRootFromParent_Done,
     /*  573243 */   // Label 9362: @573243
     /*  573243 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573318), // Rule ID 3664 //
     /*  573248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573316 */     GIR_RootConstrainSelectedInstOperands,
     /*  573317 */     // GIR_Coverage, 3664,
     /*  573317 */     GIR_EraseRootFromParent_Done,
     /*  573318 */   // Label 9363: @573318
     /*  573318 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573393), // Rule ID 3667 //
     /*  573323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573391 */     GIR_RootConstrainSelectedInstOperands,
     /*  573392 */     // GIR_Coverage, 3667,
     /*  573392 */     GIR_EraseRootFromParent_Done,
     /*  573393 */   // Label 9364: @573393
     /*  573393 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573468), // Rule ID 3668 //
     /*  573398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  573447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573466 */     GIR_RootConstrainSelectedInstOperands,
     /*  573467 */     // GIR_Coverage, 3668,
     /*  573467 */     GIR_EraseRootFromParent_Done,
     /*  573468 */   // Label 9365: @573468
     /*  573468 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573543), // Rule ID 3671 //
     /*  573473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573541 */     GIR_RootConstrainSelectedInstOperands,
     /*  573542 */     // GIR_Coverage, 3671,
     /*  573542 */     GIR_EraseRootFromParent_Done,
     /*  573543 */   // Label 9366: @573543
     /*  573543 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573618), // Rule ID 3672 //
     /*  573548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573616 */     GIR_RootConstrainSelectedInstOperands,
     /*  573617 */     // GIR_Coverage, 3672,
     /*  573617 */     GIR_EraseRootFromParent_Done,
     /*  573618 */   // Label 9367: @573618
     /*  573618 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573693), // Rule ID 3675 //
     /*  573623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573691 */     GIR_RootConstrainSelectedInstOperands,
     /*  573692 */     // GIR_Coverage, 3675,
     /*  573692 */     GIR_EraseRootFromParent_Done,
     /*  573693 */   // Label 9368: @573693
     /*  573693 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573768), // Rule ID 3676 //
     /*  573698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573766 */     GIR_RootConstrainSelectedInstOperands,
     /*  573767 */     // GIR_Coverage, 3676,
     /*  573767 */     GIR_EraseRootFromParent_Done,
     /*  573768 */   // Label 9369: @573768
     /*  573768 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573843), // Rule ID 3679 //
     /*  573773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573841 */     GIR_RootConstrainSelectedInstOperands,
     /*  573842 */     // GIR_Coverage, 3679,
     /*  573842 */     GIR_EraseRootFromParent_Done,
     /*  573843 */   // Label 9370: @573843
     /*  573843 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573918), // Rule ID 3680 //
     /*  573848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573916 */     GIR_RootConstrainSelectedInstOperands,
     /*  573917 */     // GIR_Coverage, 3680,
     /*  573917 */     GIR_EraseRootFromParent_Done,
     /*  573918 */   // Label 9371: @573918
     /*  573918 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(573993), // Rule ID 3683 //
     /*  573923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  573934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  573937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  573940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573991 */     GIR_RootConstrainSelectedInstOperands,
     /*  573992 */     // GIR_Coverage, 3683,
     /*  573992 */     GIR_EraseRootFromParent_Done,
     /*  573993 */   // Label 9372: @573993
     /*  573993 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(574068), // Rule ID 3684 //
     /*  573998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574066 */     GIR_RootConstrainSelectedInstOperands,
     /*  574067 */     // GIR_Coverage, 3684,
     /*  574067 */     GIR_EraseRootFromParent_Done,
     /*  574068 */   // Label 9373: @574068
     /*  574068 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574143), // Rule ID 3687 //
     /*  574073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574141 */     GIR_RootConstrainSelectedInstOperands,
     /*  574142 */     // GIR_Coverage, 3687,
     /*  574142 */     GIR_EraseRootFromParent_Done,
     /*  574143 */   // Label 9374: @574143
     /*  574143 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574218), // Rule ID 3688 //
     /*  574148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  574197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574216 */     GIR_RootConstrainSelectedInstOperands,
     /*  574217 */     // GIR_Coverage, 3688,
     /*  574217 */     GIR_EraseRootFromParent_Done,
     /*  574218 */   // Label 9375: @574218
     /*  574218 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574293), // Rule ID 3691 //
     /*  574223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574291 */     GIR_RootConstrainSelectedInstOperands,
     /*  574292 */     // GIR_Coverage, 3691,
     /*  574292 */     GIR_EraseRootFromParent_Done,
     /*  574293 */   // Label 9376: @574293
     /*  574293 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574368), // Rule ID 3692 //
     /*  574298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  574347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574366 */     GIR_RootConstrainSelectedInstOperands,
     /*  574367 */     // GIR_Coverage, 3692,
     /*  574367 */     GIR_EraseRootFromParent_Done,
     /*  574368 */   // Label 9377: @574368
     /*  574368 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574443), // Rule ID 3695 //
     /*  574373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574441 */     GIR_RootConstrainSelectedInstOperands,
     /*  574442 */     // GIR_Coverage, 3695,
     /*  574442 */     GIR_EraseRootFromParent_Done,
     /*  574443 */   // Label 9378: @574443
     /*  574443 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574518), // Rule ID 3696 //
     /*  574448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  574497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574516 */     GIR_RootConstrainSelectedInstOperands,
     /*  574517 */     // GIR_Coverage, 3696,
     /*  574517 */     GIR_EraseRootFromParent_Done,
     /*  574518 */   // Label 9379: @574518
     /*  574518 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574593), // Rule ID 3699 //
     /*  574523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574591 */     GIR_RootConstrainSelectedInstOperands,
     /*  574592 */     // GIR_Coverage, 3699,
     /*  574592 */     GIR_EraseRootFromParent_Done,
     /*  574593 */   // Label 9380: @574593
     /*  574593 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574668), // Rule ID 3700 //
     /*  574598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  574647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574666 */     GIR_RootConstrainSelectedInstOperands,
     /*  574667 */     // GIR_Coverage, 3700,
     /*  574667 */     GIR_EraseRootFromParent_Done,
     /*  574668 */   // Label 9381: @574668
     /*  574668 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574743), // Rule ID 3703 //
     /*  574673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  574722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574741 */     GIR_RootConstrainSelectedInstOperands,
     /*  574742 */     // GIR_Coverage, 3703,
     /*  574742 */     GIR_EraseRootFromParent_Done,
     /*  574743 */   // Label 9382: @574743
     /*  574743 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574818), // Rule ID 3704 //
     /*  574748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  574797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574816 */     GIR_RootConstrainSelectedInstOperands,
     /*  574817 */     // GIR_Coverage, 3704,
     /*  574817 */     GIR_EraseRootFromParent_Done,
     /*  574818 */   // Label 9383: @574818
     /*  574818 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574893), // Rule ID 3707 //
     /*  574823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  574834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  574837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574869 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574891 */     GIR_RootConstrainSelectedInstOperands,
     /*  574892 */     // GIR_Coverage, 3707,
     /*  574892 */     GIR_EraseRootFromParent_Done,
     /*  574893 */   // Label 9384: @574893
     /*  574893 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(574968), // Rule ID 3708 //
     /*  574898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  574909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  574912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574966 */     GIR_RootConstrainSelectedInstOperands,
     /*  574967 */     // GIR_Coverage, 3708,
     /*  574967 */     GIR_EraseRootFromParent_Done,
     /*  574968 */   // Label 9385: @574968
     /*  574968 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(575043), // Rule ID 3711 //
     /*  574973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  574984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  574987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  574990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  574993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575041 */     GIR_RootConstrainSelectedInstOperands,
     /*  575042 */     // GIR_Coverage, 3711,
     /*  575042 */     GIR_EraseRootFromParent_Done,
     /*  575043 */   // Label 9386: @575043
     /*  575043 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(575118), // Rule ID 3712 //
     /*  575048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575116 */     GIR_RootConstrainSelectedInstOperands,
     /*  575117 */     // GIR_Coverage, 3712,
     /*  575117 */     GIR_EraseRootFromParent_Done,
     /*  575118 */   // Label 9387: @575118
     /*  575118 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575193), // Rule ID 3715 //
     /*  575123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575191 */     GIR_RootConstrainSelectedInstOperands,
     /*  575192 */     // GIR_Coverage, 3715,
     /*  575192 */     GIR_EraseRootFromParent_Done,
     /*  575193 */   // Label 9388: @575193
     /*  575193 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575268), // Rule ID 3716 //
     /*  575198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575266 */     GIR_RootConstrainSelectedInstOperands,
     /*  575267 */     // GIR_Coverage, 3716,
     /*  575267 */     GIR_EraseRootFromParent_Done,
     /*  575268 */   // Label 9389: @575268
     /*  575268 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575343), // Rule ID 3719 //
     /*  575273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575319 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575341 */     GIR_RootConstrainSelectedInstOperands,
     /*  575342 */     // GIR_Coverage, 3719,
     /*  575342 */     GIR_EraseRootFromParent_Done,
     /*  575343 */   // Label 9390: @575343
     /*  575343 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575418), // Rule ID 3720 //
     /*  575348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575416 */     GIR_RootConstrainSelectedInstOperands,
     /*  575417 */     // GIR_Coverage, 3720,
     /*  575417 */     GIR_EraseRootFromParent_Done,
     /*  575418 */   // Label 9391: @575418
     /*  575418 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575493), // Rule ID 3723 //
     /*  575423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575469 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575491 */     GIR_RootConstrainSelectedInstOperands,
     /*  575492 */     // GIR_Coverage, 3723,
     /*  575492 */     GIR_EraseRootFromParent_Done,
     /*  575493 */   // Label 9392: @575493
     /*  575493 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575568), // Rule ID 3724 //
     /*  575498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575566 */     GIR_RootConstrainSelectedInstOperands,
     /*  575567 */     // GIR_Coverage, 3724,
     /*  575567 */     GIR_EraseRootFromParent_Done,
     /*  575568 */   // Label 9393: @575568
     /*  575568 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575643), // Rule ID 3727 //
     /*  575573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575641 */     GIR_RootConstrainSelectedInstOperands,
     /*  575642 */     // GIR_Coverage, 3727,
     /*  575642 */     GIR_EraseRootFromParent_Done,
     /*  575643 */   // Label 9394: @575643
     /*  575643 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575718), // Rule ID 3728 //
     /*  575648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  575697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575716 */     GIR_RootConstrainSelectedInstOperands,
     /*  575717 */     // GIR_Coverage, 3728,
     /*  575717 */     GIR_EraseRootFromParent_Done,
     /*  575718 */   // Label 9395: @575718
     /*  575718 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575793), // Rule ID 3731 //
     /*  575723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575791 */     GIR_RootConstrainSelectedInstOperands,
     /*  575792 */     // GIR_Coverage, 3731,
     /*  575792 */     GIR_EraseRootFromParent_Done,
     /*  575793 */   // Label 9396: @575793
     /*  575793 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575868), // Rule ID 3732 //
     /*  575798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575866 */     GIR_RootConstrainSelectedInstOperands,
     /*  575867 */     // GIR_Coverage, 3732,
     /*  575867 */     GIR_EraseRootFromParent_Done,
     /*  575868 */   // Label 9397: @575868
     /*  575868 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575943), // Rule ID 3735 //
     /*  575873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  575884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  575887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575941 */     GIR_RootConstrainSelectedInstOperands,
     /*  575942 */     // GIR_Coverage, 3735,
     /*  575942 */     GIR_EraseRootFromParent_Done,
     /*  575943 */   // Label 9398: @575943
     /*  575943 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(576018), // Rule ID 3736 //
     /*  575948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  575959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  575962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576016 */     GIR_RootConstrainSelectedInstOperands,
     /*  576017 */     // GIR_Coverage, 3736,
     /*  576017 */     GIR_EraseRootFromParent_Done,
     /*  576018 */   // Label 9399: @576018
     /*  576018 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(576093), // Rule ID 3739 //
     /*  576023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576091 */     GIR_RootConstrainSelectedInstOperands,
     /*  576092 */     // GIR_Coverage, 3739,
     /*  576092 */     GIR_EraseRootFromParent_Done,
     /*  576093 */   // Label 9400: @576093
     /*  576093 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576168), // Rule ID 3740 //
     /*  576098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576166 */     GIR_RootConstrainSelectedInstOperands,
     /*  576167 */     // GIR_Coverage, 3740,
     /*  576167 */     GIR_EraseRootFromParent_Done,
     /*  576168 */   // Label 9401: @576168
     /*  576168 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576243), // Rule ID 3743 //
     /*  576173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576241 */     GIR_RootConstrainSelectedInstOperands,
     /*  576242 */     // GIR_Coverage, 3743,
     /*  576242 */     GIR_EraseRootFromParent_Done,
     /*  576243 */   // Label 9402: @576243
     /*  576243 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576318), // Rule ID 3744 //
     /*  576248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576316 */     GIR_RootConstrainSelectedInstOperands,
     /*  576317 */     // GIR_Coverage, 3744,
     /*  576317 */     GIR_EraseRootFromParent_Done,
     /*  576318 */   // Label 9403: @576318
     /*  576318 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576393), // Rule ID 3747 //
     /*  576323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576391 */     GIR_RootConstrainSelectedInstOperands,
     /*  576392 */     // GIR_Coverage, 3747,
     /*  576392 */     GIR_EraseRootFromParent_Done,
     /*  576393 */   // Label 9404: @576393
     /*  576393 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576468), // Rule ID 3748 //
     /*  576398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  576447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576466 */     GIR_RootConstrainSelectedInstOperands,
     /*  576467 */     // GIR_Coverage, 3748,
     /*  576467 */     GIR_EraseRootFromParent_Done,
     /*  576468 */   // Label 9405: @576468
     /*  576468 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576543), // Rule ID 3751 //
     /*  576473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576519 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576541 */     GIR_RootConstrainSelectedInstOperands,
     /*  576542 */     // GIR_Coverage, 3751,
     /*  576542 */     GIR_EraseRootFromParent_Done,
     /*  576543 */   // Label 9406: @576543
     /*  576543 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576618), // Rule ID 3752 //
     /*  576548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  576597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576616 */     GIR_RootConstrainSelectedInstOperands,
     /*  576617 */     // GIR_Coverage, 3752,
     /*  576617 */     GIR_EraseRootFromParent_Done,
     /*  576618 */   // Label 9407: @576618
     /*  576618 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576693), // Rule ID 3755 //
     /*  576623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576691 */     GIR_RootConstrainSelectedInstOperands,
     /*  576692 */     // GIR_Coverage, 3755,
     /*  576692 */     GIR_EraseRootFromParent_Done,
     /*  576693 */   // Label 9408: @576693
     /*  576693 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576768), // Rule ID 3756 //
     /*  576698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  576747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576766 */     GIR_RootConstrainSelectedInstOperands,
     /*  576767 */     // GIR_Coverage, 3756,
     /*  576767 */     GIR_EraseRootFromParent_Done,
     /*  576768 */   // Label 9409: @576768
     /*  576768 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576843), // Rule ID 3759 //
     /*  576773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576841 */     GIR_RootConstrainSelectedInstOperands,
     /*  576842 */     // GIR_Coverage, 3759,
     /*  576842 */     GIR_EraseRootFromParent_Done,
     /*  576843 */   // Label 9410: @576843
     /*  576843 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576918), // Rule ID 3760 //
     /*  576848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  576897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576916 */     GIR_RootConstrainSelectedInstOperands,
     /*  576917 */     // GIR_Coverage, 3760,
     /*  576917 */     GIR_EraseRootFromParent_Done,
     /*  576918 */   // Label 9411: @576918
     /*  576918 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(576993), // Rule ID 3763 //
     /*  576923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  576934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  576937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  576940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  576972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576991 */     GIR_RootConstrainSelectedInstOperands,
     /*  576992 */     // GIR_Coverage, 3763,
     /*  576992 */     GIR_EraseRootFromParent_Done,
     /*  576993 */   // Label 9412: @576993
     /*  576993 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(577068), // Rule ID 3764 //
     /*  576998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  577047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577066 */     GIR_RootConstrainSelectedInstOperands,
     /*  577067 */     // GIR_Coverage, 3764,
     /*  577067 */     GIR_EraseRootFromParent_Done,
     /*  577068 */   // Label 9413: @577068
     /*  577068 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577143), // Rule ID 3767 //
     /*  577073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577141 */     GIR_RootConstrainSelectedInstOperands,
     /*  577142 */     // GIR_Coverage, 3767,
     /*  577142 */     GIR_EraseRootFromParent_Done,
     /*  577143 */   // Label 9414: @577143
     /*  577143 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577218), // Rule ID 3768 //
     /*  577148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577216 */     GIR_RootConstrainSelectedInstOperands,
     /*  577217 */     // GIR_Coverage, 3768,
     /*  577217 */     GIR_EraseRootFromParent_Done,
     /*  577218 */   // Label 9415: @577218
     /*  577218 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577293), // Rule ID 3771 //
     /*  577223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577291 */     GIR_RootConstrainSelectedInstOperands,
     /*  577292 */     // GIR_Coverage, 3771,
     /*  577292 */     GIR_EraseRootFromParent_Done,
     /*  577293 */   // Label 9416: @577293
     /*  577293 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577368), // Rule ID 3772 //
     /*  577298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577366 */     GIR_RootConstrainSelectedInstOperands,
     /*  577367 */     // GIR_Coverage, 3772,
     /*  577367 */     GIR_EraseRootFromParent_Done,
     /*  577368 */   // Label 9417: @577368
     /*  577368 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577443), // Rule ID 3775 //
     /*  577373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577441 */     GIR_RootConstrainSelectedInstOperands,
     /*  577442 */     // GIR_Coverage, 3775,
     /*  577442 */     GIR_EraseRootFromParent_Done,
     /*  577443 */   // Label 9418: @577443
     /*  577443 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577518), // Rule ID 3776 //
     /*  577448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577516 */     GIR_RootConstrainSelectedInstOperands,
     /*  577517 */     // GIR_Coverage, 3776,
     /*  577517 */     GIR_EraseRootFromParent_Done,
     /*  577518 */   // Label 9419: @577518
     /*  577518 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577593), // Rule ID 3779 //
     /*  577523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577591 */     GIR_RootConstrainSelectedInstOperands,
     /*  577592 */     // GIR_Coverage, 3779,
     /*  577592 */     GIR_EraseRootFromParent_Done,
     /*  577593 */   // Label 9420: @577593
     /*  577593 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577668), // Rule ID 3780 //
     /*  577598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577666 */     GIR_RootConstrainSelectedInstOperands,
     /*  577667 */     // GIR_Coverage, 3780,
     /*  577667 */     GIR_EraseRootFromParent_Done,
     /*  577668 */   // Label 9421: @577668
     /*  577668 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577743), // Rule ID 3783 //
     /*  577673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577741 */     GIR_RootConstrainSelectedInstOperands,
     /*  577742 */     // GIR_Coverage, 3783,
     /*  577742 */     GIR_EraseRootFromParent_Done,
     /*  577743 */   // Label 9422: @577743
     /*  577743 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577818), // Rule ID 3784 //
     /*  577748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577816 */     GIR_RootConstrainSelectedInstOperands,
     /*  577817 */     // GIR_Coverage, 3784,
     /*  577817 */     GIR_EraseRootFromParent_Done,
     /*  577818 */   // Label 9423: @577818
     /*  577818 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577893), // Rule ID 3787 //
     /*  577823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  577834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  577837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  577840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577869 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577891 */     GIR_RootConstrainSelectedInstOperands,
     /*  577892 */     // GIR_Coverage, 3787,
     /*  577892 */     GIR_EraseRootFromParent_Done,
     /*  577893 */   // Label 9424: @577893
     /*  577893 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(577968), // Rule ID 3788 //
     /*  577898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  577909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  577912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  577915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  577947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577966 */     GIR_RootConstrainSelectedInstOperands,
     /*  577967 */     // GIR_Coverage, 3788,
     /*  577967 */     GIR_EraseRootFromParent_Done,
     /*  577968 */   // Label 9425: @577968
     /*  577968 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(578043), // Rule ID 3791 //
     /*  577973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  577984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  577987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  577990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578041 */     GIR_RootConstrainSelectedInstOperands,
     /*  578042 */     // GIR_Coverage, 3791,
     /*  578042 */     GIR_EraseRootFromParent_Done,
     /*  578043 */   // Label 9426: @578043
     /*  578043 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(578118), // Rule ID 3792 //
     /*  578048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578116 */     GIR_RootConstrainSelectedInstOperands,
     /*  578117 */     // GIR_Coverage, 3792,
     /*  578117 */     GIR_EraseRootFromParent_Done,
     /*  578118 */   // Label 9427: @578118
     /*  578118 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578193), // Rule ID 3795 //
     /*  578123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578191 */     GIR_RootConstrainSelectedInstOperands,
     /*  578192 */     // GIR_Coverage, 3795,
     /*  578192 */     GIR_EraseRootFromParent_Done,
     /*  578193 */   // Label 9428: @578193
     /*  578193 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578268), // Rule ID 3796 //
     /*  578198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578266 */     GIR_RootConstrainSelectedInstOperands,
     /*  578267 */     // GIR_Coverage, 3796,
     /*  578267 */     GIR_EraseRootFromParent_Done,
     /*  578268 */   // Label 9429: @578268
     /*  578268 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578343), // Rule ID 3799 //
     /*  578273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578341 */     GIR_RootConstrainSelectedInstOperands,
     /*  578342 */     // GIR_Coverage, 3799,
     /*  578342 */     GIR_EraseRootFromParent_Done,
     /*  578343 */   // Label 9430: @578343
     /*  578343 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578418), // Rule ID 3800 //
     /*  578348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578416 */     GIR_RootConstrainSelectedInstOperands,
     /*  578417 */     // GIR_Coverage, 3800,
     /*  578417 */     GIR_EraseRootFromParent_Done,
     /*  578418 */   // Label 9431: @578418
     /*  578418 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578493), // Rule ID 3803 //
     /*  578423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578491 */     GIR_RootConstrainSelectedInstOperands,
     /*  578492 */     // GIR_Coverage, 3803,
     /*  578492 */     GIR_EraseRootFromParent_Done,
     /*  578493 */   // Label 9432: @578493
     /*  578493 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578568), // Rule ID 3804 //
     /*  578498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  578547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578566 */     GIR_RootConstrainSelectedInstOperands,
     /*  578567 */     // GIR_Coverage, 3804,
     /*  578567 */     GIR_EraseRootFromParent_Done,
     /*  578568 */   // Label 9433: @578568
     /*  578568 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578643), // Rule ID 3807 //
     /*  578573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578641 */     GIR_RootConstrainSelectedInstOperands,
     /*  578642 */     // GIR_Coverage, 3807,
     /*  578642 */     GIR_EraseRootFromParent_Done,
     /*  578643 */   // Label 9434: @578643
     /*  578643 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578718), // Rule ID 3808 //
     /*  578648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  578697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578716 */     GIR_RootConstrainSelectedInstOperands,
     /*  578717 */     // GIR_Coverage, 3808,
     /*  578717 */     GIR_EraseRootFromParent_Done,
     /*  578718 */   // Label 9435: @578718
     /*  578718 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578793), // Rule ID 3811 //
     /*  578723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578791 */     GIR_RootConstrainSelectedInstOperands,
     /*  578792 */     // GIR_Coverage, 3811,
     /*  578792 */     GIR_EraseRootFromParent_Done,
     /*  578793 */   // Label 9436: @578793
     /*  578793 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578868), // Rule ID 3812 //
     /*  578798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  578847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578866 */     GIR_RootConstrainSelectedInstOperands,
     /*  578867 */     // GIR_Coverage, 3812,
     /*  578867 */     GIR_EraseRootFromParent_Done,
     /*  578868 */   // Label 9437: @578868
     /*  578868 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578943), // Rule ID 3815 //
     /*  578873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578919 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578941 */     GIR_RootConstrainSelectedInstOperands,
     /*  578942 */     // GIR_Coverage, 3815,
     /*  578942 */     GIR_EraseRootFromParent_Done,
     /*  578943 */   // Label 9438: @578943
     /*  578943 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(579018), // Rule ID 3816 //
     /*  578948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  578956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  578997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579016 */     GIR_RootConstrainSelectedInstOperands,
     /*  579017 */     // GIR_Coverage, 3816,
     /*  579017 */     GIR_EraseRootFromParent_Done,
     /*  579018 */   // Label 9439: @579018
     /*  579018 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(579093), // Rule ID 3819 //
     /*  579023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579091 */     GIR_RootConstrainSelectedInstOperands,
     /*  579092 */     // GIR_Coverage, 3819,
     /*  579092 */     GIR_EraseRootFromParent_Done,
     /*  579093 */   // Label 9440: @579093
     /*  579093 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579168), // Rule ID 3820 //
     /*  579098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  579147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579166 */     GIR_RootConstrainSelectedInstOperands,
     /*  579167 */     // GIR_Coverage, 3820,
     /*  579167 */     GIR_EraseRootFromParent_Done,
     /*  579168 */   // Label 9441: @579168
     /*  579168 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579243), // Rule ID 3823 //
     /*  579173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579241 */     GIR_RootConstrainSelectedInstOperands,
     /*  579242 */     // GIR_Coverage, 3823,
     /*  579242 */     GIR_EraseRootFromParent_Done,
     /*  579243 */   // Label 9442: @579243
     /*  579243 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579318), // Rule ID 3824 //
     /*  579248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  579297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579316 */     GIR_RootConstrainSelectedInstOperands,
     /*  579317 */     // GIR_Coverage, 3824,
     /*  579317 */     GIR_EraseRootFromParent_Done,
     /*  579318 */   // Label 9443: @579318
     /*  579318 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579393), // Rule ID 3827 //
     /*  579323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579391 */     GIR_RootConstrainSelectedInstOperands,
     /*  579392 */     // GIR_Coverage, 3827,
     /*  579392 */     GIR_EraseRootFromParent_Done,
     /*  579393 */   // Label 9444: @579393
     /*  579393 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579468), // Rule ID 3828 //
     /*  579398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579466 */     GIR_RootConstrainSelectedInstOperands,
     /*  579467 */     // GIR_Coverage, 3828,
     /*  579467 */     GIR_EraseRootFromParent_Done,
     /*  579468 */   // Label 9445: @579468
     /*  579468 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579543), // Rule ID 3831 //
     /*  579473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579541 */     GIR_RootConstrainSelectedInstOperands,
     /*  579542 */     // GIR_Coverage, 3831,
     /*  579542 */     GIR_EraseRootFromParent_Done,
     /*  579543 */   // Label 9446: @579543
     /*  579543 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579618), // Rule ID 3832 //
     /*  579548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579616 */     GIR_RootConstrainSelectedInstOperands,
     /*  579617 */     // GIR_Coverage, 3832,
     /*  579617 */     GIR_EraseRootFromParent_Done,
     /*  579618 */   // Label 9447: @579618
     /*  579618 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579693), // Rule ID 3835 //
     /*  579623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579691 */     GIR_RootConstrainSelectedInstOperands,
     /*  579692 */     // GIR_Coverage, 3835,
     /*  579692 */     GIR_EraseRootFromParent_Done,
     /*  579693 */   // Label 9448: @579693
     /*  579693 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579768), // Rule ID 3836 //
     /*  579698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579766 */     GIR_RootConstrainSelectedInstOperands,
     /*  579767 */     // GIR_Coverage, 3836,
     /*  579767 */     GIR_EraseRootFromParent_Done,
     /*  579768 */   // Label 9449: @579768
     /*  579768 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579843), // Rule ID 3839 //
     /*  579773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579841 */     GIR_RootConstrainSelectedInstOperands,
     /*  579842 */     // GIR_Coverage, 3839,
     /*  579842 */     GIR_EraseRootFromParent_Done,
     /*  579843 */   // Label 9450: @579843
     /*  579843 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579918), // Rule ID 3840 //
     /*  579848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579916 */     GIR_RootConstrainSelectedInstOperands,
     /*  579917 */     // GIR_Coverage, 3840,
     /*  579917 */     GIR_EraseRootFromParent_Done,
     /*  579918 */   // Label 9451: @579918
     /*  579918 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(579993), // Rule ID 3843 //
     /*  579923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  579934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  579937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  579940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  579943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  579972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579991 */     GIR_RootConstrainSelectedInstOperands,
     /*  579992 */     // GIR_Coverage, 3843,
     /*  579992 */     GIR_EraseRootFromParent_Done,
     /*  579993 */   // Label 9452: @579993
     /*  579993 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(580068), // Rule ID 3844 //
     /*  579998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580066 */     GIR_RootConstrainSelectedInstOperands,
     /*  580067 */     // GIR_Coverage, 3844,
     /*  580067 */     GIR_EraseRootFromParent_Done,
     /*  580068 */   // Label 9453: @580068
     /*  580068 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580143), // Rule ID 3847 //
     /*  580073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580141 */     GIR_RootConstrainSelectedInstOperands,
     /*  580142 */     // GIR_Coverage, 3847,
     /*  580142 */     GIR_EraseRootFromParent_Done,
     /*  580143 */   // Label 9454: @580143
     /*  580143 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580218), // Rule ID 3848 //
     /*  580148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  580197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580216 */     GIR_RootConstrainSelectedInstOperands,
     /*  580217 */     // GIR_Coverage, 3848,
     /*  580217 */     GIR_EraseRootFromParent_Done,
     /*  580218 */   // Label 9455: @580218
     /*  580218 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580293), // Rule ID 3851 //
     /*  580223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580291 */     GIR_RootConstrainSelectedInstOperands,
     /*  580292 */     // GIR_Coverage, 3851,
     /*  580292 */     GIR_EraseRootFromParent_Done,
     /*  580293 */   // Label 9456: @580293
     /*  580293 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580368), // Rule ID 3852 //
     /*  580298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580366 */     GIR_RootConstrainSelectedInstOperands,
     /*  580367 */     // GIR_Coverage, 3852,
     /*  580367 */     GIR_EraseRootFromParent_Done,
     /*  580368 */   // Label 9457: @580368
     /*  580368 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580443), // Rule ID 3855 //
     /*  580373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580441 */     GIR_RootConstrainSelectedInstOperands,
     /*  580442 */     // GIR_Coverage, 3855,
     /*  580442 */     GIR_EraseRootFromParent_Done,
     /*  580443 */   // Label 9458: @580443
     /*  580443 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580518), // Rule ID 3856 //
     /*  580448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  580497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580516 */     GIR_RootConstrainSelectedInstOperands,
     /*  580517 */     // GIR_Coverage, 3856,
     /*  580517 */     GIR_EraseRootFromParent_Done,
     /*  580518 */   // Label 9459: @580518
     /*  580518 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580593), // Rule ID 3859 //
     /*  580523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580591 */     GIR_RootConstrainSelectedInstOperands,
     /*  580592 */     // GIR_Coverage, 3859,
     /*  580592 */     GIR_EraseRootFromParent_Done,
     /*  580593 */   // Label 9460: @580593
     /*  580593 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580668), // Rule ID 3860 //
     /*  580598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580666 */     GIR_RootConstrainSelectedInstOperands,
     /*  580667 */     // GIR_Coverage, 3860,
     /*  580667 */     GIR_EraseRootFromParent_Done,
     /*  580668 */   // Label 9461: @580668
     /*  580668 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580743), // Rule ID 3863 //
     /*  580673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580741 */     GIR_RootConstrainSelectedInstOperands,
     /*  580742 */     // GIR_Coverage, 3863,
     /*  580742 */     GIR_EraseRootFromParent_Done,
     /*  580743 */   // Label 9462: @580743
     /*  580743 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580818), // Rule ID 3864 //
     /*  580748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580816 */     GIR_RootConstrainSelectedInstOperands,
     /*  580817 */     // GIR_Coverage, 3864,
     /*  580817 */     GIR_EraseRootFromParent_Done,
     /*  580818 */   // Label 9463: @580818
     /*  580818 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580893), // Rule ID 3867 //
     /*  580823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  580843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580891 */     GIR_RootConstrainSelectedInstOperands,
     /*  580892 */     // GIR_Coverage, 3867,
     /*  580892 */     GIR_EraseRootFromParent_Done,
     /*  580893 */   // Label 9464: @580893
     /*  580893 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(580968), // Rule ID 3868 //
     /*  580898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  580918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  580947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580966 */     GIR_RootConstrainSelectedInstOperands,
     /*  580967 */     // GIR_Coverage, 3868,
     /*  580967 */     GIR_EraseRootFromParent_Done,
     /*  580968 */   // Label 9465: @580968
     /*  580968 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(581043), // Rule ID 3871 //
     /*  580973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  580984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  580987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  580990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  580993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581041 */     GIR_RootConstrainSelectedInstOperands,
     /*  581042 */     // GIR_Coverage, 3871,
     /*  581042 */     GIR_EraseRootFromParent_Done,
     /*  581043 */   // Label 9466: @581043
     /*  581043 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(581118), // Rule ID 3872 //
     /*  581048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  581097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581116 */     GIR_RootConstrainSelectedInstOperands,
     /*  581117 */     // GIR_Coverage, 3872,
     /*  581117 */     GIR_EraseRootFromParent_Done,
     /*  581118 */   // Label 9467: @581118
     /*  581118 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581193), // Rule ID 3875 //
     /*  581123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581191 */     GIR_RootConstrainSelectedInstOperands,
     /*  581192 */     // GIR_Coverage, 3875,
     /*  581192 */     GIR_EraseRootFromParent_Done,
     /*  581193 */   // Label 9468: @581193
     /*  581193 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581268), // Rule ID 3876 //
     /*  581198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  581247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581266 */     GIR_RootConstrainSelectedInstOperands,
     /*  581267 */     // GIR_Coverage, 3876,
     /*  581267 */     GIR_EraseRootFromParent_Done,
     /*  581268 */   // Label 9469: @581268
     /*  581268 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581343), // Rule ID 3879 //
     /*  581273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581341 */     GIR_RootConstrainSelectedInstOperands,
     /*  581342 */     // GIR_Coverage, 3879,
     /*  581342 */     GIR_EraseRootFromParent_Done,
     /*  581343 */   // Label 9470: @581343
     /*  581343 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581418), // Rule ID 3880 //
     /*  581348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  581397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581416 */     GIR_RootConstrainSelectedInstOperands,
     /*  581417 */     // GIR_Coverage, 3880,
     /*  581417 */     GIR_EraseRootFromParent_Done,
     /*  581418 */   // Label 9471: @581418
     /*  581418 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581493), // Rule ID 3883 //
     /*  581423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581491 */     GIR_RootConstrainSelectedInstOperands,
     /*  581492 */     // GIR_Coverage, 3883,
     /*  581492 */     GIR_EraseRootFromParent_Done,
     /*  581493 */   // Label 9472: @581493
     /*  581493 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581568), // Rule ID 3884 //
     /*  581498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  581547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581566 */     GIR_RootConstrainSelectedInstOperands,
     /*  581567 */     // GIR_Coverage, 3884,
     /*  581567 */     GIR_EraseRootFromParent_Done,
     /*  581568 */   // Label 9473: @581568
     /*  581568 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581643), // Rule ID 3887 //
     /*  581573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581641 */     GIR_RootConstrainSelectedInstOperands,
     /*  581642 */     // GIR_Coverage, 3887,
     /*  581642 */     GIR_EraseRootFromParent_Done,
     /*  581643 */   // Label 9474: @581643
     /*  581643 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581718), // Rule ID 3888 //
     /*  581648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581716 */     GIR_RootConstrainSelectedInstOperands,
     /*  581717 */     // GIR_Coverage, 3888,
     /*  581717 */     GIR_EraseRootFromParent_Done,
     /*  581718 */   // Label 9475: @581718
     /*  581718 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581793), // Rule ID 3891 //
     /*  581723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581791 */     GIR_RootConstrainSelectedInstOperands,
     /*  581792 */     // GIR_Coverage, 3891,
     /*  581792 */     GIR_EraseRootFromParent_Done,
     /*  581793 */   // Label 9476: @581793
     /*  581793 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581868), // Rule ID 3892 //
     /*  581798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581866 */     GIR_RootConstrainSelectedInstOperands,
     /*  581867 */     // GIR_Coverage, 3892,
     /*  581867 */     GIR_EraseRootFromParent_Done,
     /*  581868 */   // Label 9477: @581868
     /*  581868 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581943), // Rule ID 3895 //
     /*  581873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  581890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  581922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581941 */     GIR_RootConstrainSelectedInstOperands,
     /*  581942 */     // GIR_Coverage, 3895,
     /*  581942 */     GIR_EraseRootFromParent_Done,
     /*  581943 */   // Label 9478: @581943
     /*  581943 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(582018), // Rule ID 3896 //
     /*  581948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  581965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  581997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582016 */     GIR_RootConstrainSelectedInstOperands,
     /*  582017 */     // GIR_Coverage, 3896,
     /*  582017 */     GIR_EraseRootFromParent_Done,
     /*  582018 */   // Label 9479: @582018
     /*  582018 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(582093), // Rule ID 3899 //
     /*  582023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582091 */     GIR_RootConstrainSelectedInstOperands,
     /*  582092 */     // GIR_Coverage, 3899,
     /*  582092 */     GIR_EraseRootFromParent_Done,
     /*  582093 */   // Label 9480: @582093
     /*  582093 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582168), // Rule ID 3900 //
     /*  582098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582166 */     GIR_RootConstrainSelectedInstOperands,
     /*  582167 */     // GIR_Coverage, 3900,
     /*  582167 */     GIR_EraseRootFromParent_Done,
     /*  582168 */   // Label 9481: @582168
     /*  582168 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582243), // Rule ID 3903 //
     /*  582173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582241 */     GIR_RootConstrainSelectedInstOperands,
     /*  582242 */     // GIR_Coverage, 3903,
     /*  582242 */     GIR_EraseRootFromParent_Done,
     /*  582243 */   // Label 9482: @582243
     /*  582243 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582318), // Rule ID 3904 //
     /*  582248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582316 */     GIR_RootConstrainSelectedInstOperands,
     /*  582317 */     // GIR_Coverage, 3904,
     /*  582317 */     GIR_EraseRootFromParent_Done,
     /*  582318 */   // Label 9483: @582318
     /*  582318 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582393), // Rule ID 3907 //
     /*  582323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582391 */     GIR_RootConstrainSelectedInstOperands,
     /*  582392 */     // GIR_Coverage, 3907,
     /*  582392 */     GIR_EraseRootFromParent_Done,
     /*  582393 */   // Label 9484: @582393
     /*  582393 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582468), // Rule ID 3908 //
     /*  582398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  582447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582466 */     GIR_RootConstrainSelectedInstOperands,
     /*  582467 */     // GIR_Coverage, 3908,
     /*  582467 */     GIR_EraseRootFromParent_Done,
     /*  582468 */   // Label 9485: @582468
     /*  582468 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582543), // Rule ID 3911 //
     /*  582473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582541 */     GIR_RootConstrainSelectedInstOperands,
     /*  582542 */     // GIR_Coverage, 3911,
     /*  582542 */     GIR_EraseRootFromParent_Done,
     /*  582543 */   // Label 9486: @582543
     /*  582543 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582618), // Rule ID 3912 //
     /*  582548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582616 */     GIR_RootConstrainSelectedInstOperands,
     /*  582617 */     // GIR_Coverage, 3912,
     /*  582617 */     GIR_EraseRootFromParent_Done,
     /*  582618 */   // Label 9487: @582618
     /*  582618 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582693), // Rule ID 3915 //
     /*  582623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582691 */     GIR_RootConstrainSelectedInstOperands,
     /*  582692 */     // GIR_Coverage, 3915,
     /*  582692 */     GIR_EraseRootFromParent_Done,
     /*  582693 */   // Label 9488: @582693
     /*  582693 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582768), // Rule ID 3916 //
     /*  582698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582766 */     GIR_RootConstrainSelectedInstOperands,
     /*  582767 */     // GIR_Coverage, 3916,
     /*  582767 */     GIR_EraseRootFromParent_Done,
     /*  582768 */   // Label 9489: @582768
     /*  582768 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582843), // Rule ID 3919 //
     /*  582773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582841 */     GIR_RootConstrainSelectedInstOperands,
     /*  582842 */     // GIR_Coverage, 3919,
     /*  582842 */     GIR_EraseRootFromParent_Done,
     /*  582843 */   // Label 9490: @582843
     /*  582843 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582918), // Rule ID 3920 //
     /*  582848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582916 */     GIR_RootConstrainSelectedInstOperands,
     /*  582917 */     // GIR_Coverage, 3920,
     /*  582917 */     GIR_EraseRootFromParent_Done,
     /*  582918 */   // Label 9491: @582918
     /*  582918 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(582993), // Rule ID 3923 //
     /*  582923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  582934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  582937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  582940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582991 */     GIR_RootConstrainSelectedInstOperands,
     /*  582992 */     // GIR_Coverage, 3923,
     /*  582992 */     GIR_EraseRootFromParent_Done,
     /*  582993 */   // Label 9492: @582993
     /*  582993 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(583068), // Rule ID 3924 //
     /*  582998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583066 */     GIR_RootConstrainSelectedInstOperands,
     /*  583067 */     // GIR_Coverage, 3924,
     /*  583067 */     GIR_EraseRootFromParent_Done,
     /*  583068 */   // Label 9493: @583068
     /*  583068 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583143), // Rule ID 3927 //
     /*  583073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583141 */     GIR_RootConstrainSelectedInstOperands,
     /*  583142 */     // GIR_Coverage, 3927,
     /*  583142 */     GIR_EraseRootFromParent_Done,
     /*  583143 */   // Label 9494: @583143
     /*  583143 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583218), // Rule ID 3928 //
     /*  583148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  583197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583216 */     GIR_RootConstrainSelectedInstOperands,
     /*  583217 */     // GIR_Coverage, 3928,
     /*  583217 */     GIR_EraseRootFromParent_Done,
     /*  583218 */   // Label 9495: @583218
     /*  583218 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583293), // Rule ID 3931 //
     /*  583223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583291 */     GIR_RootConstrainSelectedInstOperands,
     /*  583292 */     // GIR_Coverage, 3931,
     /*  583292 */     GIR_EraseRootFromParent_Done,
     /*  583293 */   // Label 9496: @583293
     /*  583293 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583368), // Rule ID 3932 //
     /*  583298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  583347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583366 */     GIR_RootConstrainSelectedInstOperands,
     /*  583367 */     // GIR_Coverage, 3932,
     /*  583367 */     GIR_EraseRootFromParent_Done,
     /*  583368 */   // Label 9497: @583368
     /*  583368 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583443), // Rule ID 3935 //
     /*  583373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583441 */     GIR_RootConstrainSelectedInstOperands,
     /*  583442 */     // GIR_Coverage, 3935,
     /*  583442 */     GIR_EraseRootFromParent_Done,
     /*  583443 */   // Label 9498: @583443
     /*  583443 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583518), // Rule ID 3936 //
     /*  583448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  583497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583516 */     GIR_RootConstrainSelectedInstOperands,
     /*  583517 */     // GIR_Coverage, 3936,
     /*  583517 */     GIR_EraseRootFromParent_Done,
     /*  583518 */   // Label 9499: @583518
     /*  583518 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583593), // Rule ID 3939 //
     /*  583523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583591 */     GIR_RootConstrainSelectedInstOperands,
     /*  583592 */     // GIR_Coverage, 3939,
     /*  583592 */     GIR_EraseRootFromParent_Done,
     /*  583593 */   // Label 9500: @583593
     /*  583593 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583668), // Rule ID 3940 //
     /*  583598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  583647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583666 */     GIR_RootConstrainSelectedInstOperands,
     /*  583667 */     // GIR_Coverage, 3940,
     /*  583667 */     GIR_EraseRootFromParent_Done,
     /*  583668 */   // Label 9501: @583668
     /*  583668 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583743), // Rule ID 3945 //
     /*  583673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  583693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583741 */     GIR_RootConstrainSelectedInstOperands,
     /*  583742 */     // GIR_Coverage, 3945,
     /*  583742 */     GIR_EraseRootFromParent_Done,
     /*  583743 */   // Label 9502: @583743
     /*  583743 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583818), // Rule ID 3946 //
     /*  583748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  583768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583816 */     GIR_RootConstrainSelectedInstOperands,
     /*  583817 */     // GIR_Coverage, 3946,
     /*  583817 */     GIR_EraseRootFromParent_Done,
     /*  583818 */   // Label 9503: @583818
     /*  583818 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583893), // Rule ID 3955 //
     /*  583823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  583843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583891 */     GIR_RootConstrainSelectedInstOperands,
     /*  583892 */     // GIR_Coverage, 3955,
     /*  583892 */     GIR_EraseRootFromParent_Done,
     /*  583893 */   // Label 9504: @583893
     /*  583893 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(583968), // Rule ID 3956 //
     /*  583898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  583918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583966 */     GIR_RootConstrainSelectedInstOperands,
     /*  583967 */     // GIR_Coverage, 3956,
     /*  583967 */     GIR_EraseRootFromParent_Done,
     /*  583968 */   // Label 9505: @583968
     /*  583968 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(584043), // Rule ID 3965 //
     /*  583973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  583984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  583987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  583993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584041 */     GIR_RootConstrainSelectedInstOperands,
     /*  584042 */     // GIR_Coverage, 3965,
     /*  584042 */     GIR_EraseRootFromParent_Done,
     /*  584043 */   // Label 9506: @584043
     /*  584043 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(584118), // Rule ID 3966 //
     /*  584048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584116 */     GIR_RootConstrainSelectedInstOperands,
     /*  584117 */     // GIR_Coverage, 3966,
     /*  584117 */     GIR_EraseRootFromParent_Done,
     /*  584118 */   // Label 9507: @584118
     /*  584118 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584193), // Rule ID 3975 //
     /*  584123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584191 */     GIR_RootConstrainSelectedInstOperands,
     /*  584192 */     // GIR_Coverage, 3975,
     /*  584192 */     GIR_EraseRootFromParent_Done,
     /*  584193 */   // Label 9508: @584193
     /*  584193 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584268), // Rule ID 3976 //
     /*  584198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584266 */     GIR_RootConstrainSelectedInstOperands,
     /*  584267 */     // GIR_Coverage, 3976,
     /*  584267 */     GIR_EraseRootFromParent_Done,
     /*  584268 */   // Label 9509: @584268
     /*  584268 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584343), // Rule ID 3985 //
     /*  584273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584341 */     GIR_RootConstrainSelectedInstOperands,
     /*  584342 */     // GIR_Coverage, 3985,
     /*  584342 */     GIR_EraseRootFromParent_Done,
     /*  584343 */   // Label 9510: @584343
     /*  584343 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584418), // Rule ID 3986 //
     /*  584348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584416 */     GIR_RootConstrainSelectedInstOperands,
     /*  584417 */     // GIR_Coverage, 3986,
     /*  584417 */     GIR_EraseRootFromParent_Done,
     /*  584418 */   // Label 9511: @584418
     /*  584418 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584493), // Rule ID 3995 //
     /*  584423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584491 */     GIR_RootConstrainSelectedInstOperands,
     /*  584492 */     // GIR_Coverage, 3995,
     /*  584492 */     GIR_EraseRootFromParent_Done,
     /*  584493 */   // Label 9512: @584493
     /*  584493 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584568), // Rule ID 3996 //
     /*  584498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  584515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  584547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584566 */     GIR_RootConstrainSelectedInstOperands,
     /*  584567 */     // GIR_Coverage, 3996,
     /*  584567 */     GIR_EraseRootFromParent_Done,
     /*  584568 */   // Label 9513: @584568
     /*  584568 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584643), // Rule ID 4005 //
     /*  584573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584641 */     GIR_RootConstrainSelectedInstOperands,
     /*  584642 */     // GIR_Coverage, 4005,
     /*  584642 */     GIR_EraseRootFromParent_Done,
     /*  584643 */   // Label 9514: @584643
     /*  584643 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584718), // Rule ID 4006 //
     /*  584648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584716 */     GIR_RootConstrainSelectedInstOperands,
     /*  584717 */     // GIR_Coverage, 4006,
     /*  584717 */     GIR_EraseRootFromParent_Done,
     /*  584718 */   // Label 9515: @584718
     /*  584718 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584793), // Rule ID 4015 //
     /*  584723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  584743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584791 */     GIR_RootConstrainSelectedInstOperands,
     /*  584792 */     // GIR_Coverage, 4015,
     /*  584792 */     GIR_EraseRootFromParent_Done,
     /*  584793 */   // Label 9516: @584793
     /*  584793 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584868), // Rule ID 4016 //
     /*  584798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  584818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584866 */     GIR_RootConstrainSelectedInstOperands,
     /*  584867 */     // GIR_Coverage, 4016,
     /*  584867 */     GIR_EraseRootFromParent_Done,
     /*  584868 */   // Label 9517: @584868
     /*  584868 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584943), // Rule ID 4025 //
     /*  584873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  584884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  584887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  584893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584941 */     GIR_RootConstrainSelectedInstOperands,
     /*  584942 */     // GIR_Coverage, 4025,
     /*  584942 */     GIR_EraseRootFromParent_Done,
     /*  584943 */   // Label 9518: @584943
     /*  584943 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(585018), // Rule ID 4026 //
     /*  584948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  584959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  584962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  584968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585016 */     GIR_RootConstrainSelectedInstOperands,
     /*  585017 */     // GIR_Coverage, 4026,
     /*  585017 */     GIR_EraseRootFromParent_Done,
     /*  585018 */   // Label 9519: @585018
     /*  585018 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(585093), // Rule ID 4035 //
     /*  585023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585091 */     GIR_RootConstrainSelectedInstOperands,
     /*  585092 */     // GIR_Coverage, 4035,
     /*  585092 */     GIR_EraseRootFromParent_Done,
     /*  585093 */   // Label 9520: @585093
     /*  585093 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585168), // Rule ID 4036 //
     /*  585098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585166 */     GIR_RootConstrainSelectedInstOperands,
     /*  585167 */     // GIR_Coverage, 4036,
     /*  585167 */     GIR_EraseRootFromParent_Done,
     /*  585168 */   // Label 9521: @585168
     /*  585168 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585243), // Rule ID 4045 //
     /*  585173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585241 */     GIR_RootConstrainSelectedInstOperands,
     /*  585242 */     // GIR_Coverage, 4045,
     /*  585242 */     GIR_EraseRootFromParent_Done,
     /*  585243 */   // Label 9522: @585243
     /*  585243 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585318), // Rule ID 4046 //
     /*  585248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  585297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585316 */     GIR_RootConstrainSelectedInstOperands,
     /*  585317 */     // GIR_Coverage, 4046,
     /*  585317 */     GIR_EraseRootFromParent_Done,
     /*  585318 */   // Label 9523: @585318
     /*  585318 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585393), // Rule ID 4055 //
     /*  585323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585391 */     GIR_RootConstrainSelectedInstOperands,
     /*  585392 */     // GIR_Coverage, 4055,
     /*  585392 */     GIR_EraseRootFromParent_Done,
     /*  585393 */   // Label 9524: @585393
     /*  585393 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585468), // Rule ID 4056 //
     /*  585398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  585447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585466 */     GIR_RootConstrainSelectedInstOperands,
     /*  585467 */     // GIR_Coverage, 4056,
     /*  585467 */     GIR_EraseRootFromParent_Done,
     /*  585468 */   // Label 9525: @585468
     /*  585468 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585543), // Rule ID 4065 //
     /*  585473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585541 */     GIR_RootConstrainSelectedInstOperands,
     /*  585542 */     // GIR_Coverage, 4065,
     /*  585542 */     GIR_EraseRootFromParent_Done,
     /*  585543 */   // Label 9526: @585543
     /*  585543 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585618), // Rule ID 4066 //
     /*  585548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  585597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585616 */     GIR_RootConstrainSelectedInstOperands,
     /*  585617 */     // GIR_Coverage, 4066,
     /*  585617 */     GIR_EraseRootFromParent_Done,
     /*  585618 */   // Label 9527: @585618
     /*  585618 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585693), // Rule ID 4075 //
     /*  585623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585691 */     GIR_RootConstrainSelectedInstOperands,
     /*  585692 */     // GIR_Coverage, 4075,
     /*  585692 */     GIR_EraseRootFromParent_Done,
     /*  585693 */   // Label 9528: @585693
     /*  585693 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585768), // Rule ID 4076 //
     /*  585698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  585747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585766 */     GIR_RootConstrainSelectedInstOperands,
     /*  585767 */     // GIR_Coverage, 4076,
     /*  585767 */     GIR_EraseRootFromParent_Done,
     /*  585768 */   // Label 9529: @585768
     /*  585768 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585843), // Rule ID 4083 //
     /*  585773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  585784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  585787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  585822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585841 */     GIR_RootConstrainSelectedInstOperands,
     /*  585842 */     // GIR_Coverage, 4083,
     /*  585842 */     GIR_EraseRootFromParent_Done,
     /*  585843 */   // Label 9530: @585843
     /*  585843 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585918), // Rule ID 4084 //
     /*  585848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  585859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  585862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  585897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585916 */     GIR_RootConstrainSelectedInstOperands,
     /*  585917 */     // GIR_Coverage, 4084,
     /*  585917 */     GIR_EraseRootFromParent_Done,
     /*  585918 */   // Label 9531: @585918
     /*  585918 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(585993), // Rule ID 4087 //
     /*  585923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  585934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  585937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  585972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585991 */     GIR_RootConstrainSelectedInstOperands,
     /*  585992 */     // GIR_Coverage, 4087,
     /*  585992 */     GIR_EraseRootFromParent_Done,
     /*  585993 */   // Label 9532: @585993
     /*  585993 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(586068), // Rule ID 4088 //
     /*  585998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586066 */     GIR_RootConstrainSelectedInstOperands,
     /*  586067 */     // GIR_Coverage, 4088,
     /*  586067 */     GIR_EraseRootFromParent_Done,
     /*  586068 */   // Label 9533: @586068
     /*  586068 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586143), // Rule ID 4091 //
     /*  586073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586141 */     GIR_RootConstrainSelectedInstOperands,
     /*  586142 */     // GIR_Coverage, 4091,
     /*  586142 */     GIR_EraseRootFromParent_Done,
     /*  586143 */   // Label 9534: @586143
     /*  586143 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586218), // Rule ID 4092 //
     /*  586148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586216 */     GIR_RootConstrainSelectedInstOperands,
     /*  586217 */     // GIR_Coverage, 4092,
     /*  586217 */     GIR_EraseRootFromParent_Done,
     /*  586218 */   // Label 9535: @586218
     /*  586218 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586293), // Rule ID 4095 //
     /*  586223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586291 */     GIR_RootConstrainSelectedInstOperands,
     /*  586292 */     // GIR_Coverage, 4095,
     /*  586292 */     GIR_EraseRootFromParent_Done,
     /*  586293 */   // Label 9536: @586293
     /*  586293 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586368), // Rule ID 4096 //
     /*  586298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586366 */     GIR_RootConstrainSelectedInstOperands,
     /*  586367 */     // GIR_Coverage, 4096,
     /*  586367 */     GIR_EraseRootFromParent_Done,
     /*  586368 */   // Label 9537: @586368
     /*  586368 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586443), // Rule ID 4099 //
     /*  586373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586441 */     GIR_RootConstrainSelectedInstOperands,
     /*  586442 */     // GIR_Coverage, 4099,
     /*  586442 */     GIR_EraseRootFromParent_Done,
     /*  586443 */   // Label 9538: @586443
     /*  586443 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586518), // Rule ID 4100 //
     /*  586448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586516 */     GIR_RootConstrainSelectedInstOperands,
     /*  586517 */     // GIR_Coverage, 4100,
     /*  586517 */     GIR_EraseRootFromParent_Done,
     /*  586518 */   // Label 9539: @586518
     /*  586518 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586593), // Rule ID 4103 //
     /*  586523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586591 */     GIR_RootConstrainSelectedInstOperands,
     /*  586592 */     // GIR_Coverage, 4103,
     /*  586592 */     GIR_EraseRootFromParent_Done,
     /*  586593 */   // Label 9540: @586593
     /*  586593 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586668), // Rule ID 4104 //
     /*  586598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586666 */     GIR_RootConstrainSelectedInstOperands,
     /*  586667 */     // GIR_Coverage, 4104,
     /*  586667 */     GIR_EraseRootFromParent_Done,
     /*  586668 */   // Label 9541: @586668
     /*  586668 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586743), // Rule ID 4107 //
     /*  586673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586741 */     GIR_RootConstrainSelectedInstOperands,
     /*  586742 */     // GIR_Coverage, 4107,
     /*  586742 */     GIR_EraseRootFromParent_Done,
     /*  586743 */   // Label 9542: @586743
     /*  586743 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586818), // Rule ID 4108 //
     /*  586748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  586797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586816 */     GIR_RootConstrainSelectedInstOperands,
     /*  586817 */     // GIR_Coverage, 4108,
     /*  586817 */     GIR_EraseRootFromParent_Done,
     /*  586818 */   // Label 9543: @586818
     /*  586818 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586893), // Rule ID 4111 //
     /*  586823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  586837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586891 */     GIR_RootConstrainSelectedInstOperands,
     /*  586892 */     // GIR_Coverage, 4111,
     /*  586892 */     GIR_EraseRootFromParent_Done,
     /*  586893 */   // Label 9544: @586893
     /*  586893 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(586968), // Rule ID 4112 //
     /*  586898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  586912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586966 */     GIR_RootConstrainSelectedInstOperands,
     /*  586967 */     // GIR_Coverage, 4112,
     /*  586967 */     GIR_EraseRootFromParent_Done,
     /*  586968 */   // Label 9545: @586968
     /*  586968 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(587043), // Rule ID 4115 //
     /*  586973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  586984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  586987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587041 */     GIR_RootConstrainSelectedInstOperands,
     /*  587042 */     // GIR_Coverage, 4115,
     /*  587042 */     GIR_EraseRootFromParent_Done,
     /*  587043 */   // Label 9546: @587043
     /*  587043 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(587118), // Rule ID 4116 //
     /*  587048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587116 */     GIR_RootConstrainSelectedInstOperands,
     /*  587117 */     // GIR_Coverage, 4116,
     /*  587117 */     GIR_EraseRootFromParent_Done,
     /*  587118 */   // Label 9547: @587118
     /*  587118 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587193), // Rule ID 4119 //
     /*  587123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587191 */     GIR_RootConstrainSelectedInstOperands,
     /*  587192 */     // GIR_Coverage, 4119,
     /*  587192 */     GIR_EraseRootFromParent_Done,
     /*  587193 */   // Label 9548: @587193
     /*  587193 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587268), // Rule ID 4120 //
     /*  587198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587266 */     GIR_RootConstrainSelectedInstOperands,
     /*  587267 */     // GIR_Coverage, 4120,
     /*  587267 */     GIR_EraseRootFromParent_Done,
     /*  587268 */   // Label 9549: @587268
     /*  587268 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587343), // Rule ID 4123 //
     /*  587273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587341 */     GIR_RootConstrainSelectedInstOperands,
     /*  587342 */     // GIR_Coverage, 4123,
     /*  587342 */     GIR_EraseRootFromParent_Done,
     /*  587343 */   // Label 9550: @587343
     /*  587343 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587418), // Rule ID 4124 //
     /*  587348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587416 */     GIR_RootConstrainSelectedInstOperands,
     /*  587417 */     // GIR_Coverage, 4124,
     /*  587417 */     GIR_EraseRootFromParent_Done,
     /*  587418 */   // Label 9551: @587418
     /*  587418 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587493), // Rule ID 4127 //
     /*  587423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587491 */     GIR_RootConstrainSelectedInstOperands,
     /*  587492 */     // GIR_Coverage, 4127,
     /*  587492 */     GIR_EraseRootFromParent_Done,
     /*  587493 */   // Label 9552: @587493
     /*  587493 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587568), // Rule ID 4128 //
     /*  587498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  587547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587566 */     GIR_RootConstrainSelectedInstOperands,
     /*  587567 */     // GIR_Coverage, 4128,
     /*  587567 */     GIR_EraseRootFromParent_Done,
     /*  587568 */   // Label 9553: @587568
     /*  587568 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587643), // Rule ID 4131 //
     /*  587573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587641 */     GIR_RootConstrainSelectedInstOperands,
     /*  587642 */     // GIR_Coverage, 4131,
     /*  587642 */     GIR_EraseRootFromParent_Done,
     /*  587643 */   // Label 9554: @587643
     /*  587643 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587718), // Rule ID 4132 //
     /*  587648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  587697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587716 */     GIR_RootConstrainSelectedInstOperands,
     /*  587717 */     // GIR_Coverage, 4132,
     /*  587717 */     GIR_EraseRootFromParent_Done,
     /*  587718 */   // Label 9555: @587718
     /*  587718 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587793), // Rule ID 4135 //
     /*  587723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587791 */     GIR_RootConstrainSelectedInstOperands,
     /*  587792 */     // GIR_Coverage, 4135,
     /*  587792 */     GIR_EraseRootFromParent_Done,
     /*  587793 */   // Label 9556: @587793
     /*  587793 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587868), // Rule ID 4136 //
     /*  587798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  587847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587866 */     GIR_RootConstrainSelectedInstOperands,
     /*  587867 */     // GIR_Coverage, 4136,
     /*  587867 */     GIR_EraseRootFromParent_Done,
     /*  587868 */   // Label 9557: @587868
     /*  587868 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587943), // Rule ID 4139 //
     /*  587873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  587884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  587887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  587890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587941 */     GIR_RootConstrainSelectedInstOperands,
     /*  587942 */     // GIR_Coverage, 4139,
     /*  587942 */     GIR_EraseRootFromParent_Done,
     /*  587943 */   // Label 9558: @587943
     /*  587943 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(588018), // Rule ID 4140 //
     /*  587948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  587956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  587959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  587962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  587965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  587997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588016 */     GIR_RootConstrainSelectedInstOperands,
     /*  588017 */     // GIR_Coverage, 4140,
     /*  588017 */     GIR_EraseRootFromParent_Done,
     /*  588018 */   // Label 9559: @588018
     /*  588018 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(588093), // Rule ID 4145 //
     /*  588023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588091 */     GIR_RootConstrainSelectedInstOperands,
     /*  588092 */     // GIR_Coverage, 4145,
     /*  588092 */     GIR_EraseRootFromParent_Done,
     /*  588093 */   // Label 9560: @588093
     /*  588093 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588168), // Rule ID 4146 //
     /*  588098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  588118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  588147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588166 */     GIR_RootConstrainSelectedInstOperands,
     /*  588167 */     // GIR_Coverage, 4146,
     /*  588167 */     GIR_EraseRootFromParent_Done,
     /*  588168 */   // Label 9561: @588168
     /*  588168 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588243), // Rule ID 4155 //
     /*  588173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588241 */     GIR_RootConstrainSelectedInstOperands,
     /*  588242 */     // GIR_Coverage, 4155,
     /*  588242 */     GIR_EraseRootFromParent_Done,
     /*  588243 */   // Label 9562: @588243
     /*  588243 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588318), // Rule ID 4156 //
     /*  588248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588316 */     GIR_RootConstrainSelectedInstOperands,
     /*  588317 */     // GIR_Coverage, 4156,
     /*  588317 */     GIR_EraseRootFromParent_Done,
     /*  588318 */   // Label 9563: @588318
     /*  588318 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588393), // Rule ID 4165 //
     /*  588323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588391 */     GIR_RootConstrainSelectedInstOperands,
     /*  588392 */     // GIR_Coverage, 4165,
     /*  588392 */     GIR_EraseRootFromParent_Done,
     /*  588393 */   // Label 9564: @588393
     /*  588393 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588468), // Rule ID 4166 //
     /*  588398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588466 */     GIR_RootConstrainSelectedInstOperands,
     /*  588467 */     // GIR_Coverage, 4166,
     /*  588467 */     GIR_EraseRootFromParent_Done,
     /*  588468 */   // Label 9565: @588468
     /*  588468 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588543), // Rule ID 4175 //
     /*  588473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588541 */     GIR_RootConstrainSelectedInstOperands,
     /*  588542 */     // GIR_Coverage, 4175,
     /*  588542 */     GIR_EraseRootFromParent_Done,
     /*  588543 */   // Label 9566: @588543
     /*  588543 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588618), // Rule ID 4176 //
     /*  588548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588616 */     GIR_RootConstrainSelectedInstOperands,
     /*  588617 */     // GIR_Coverage, 4176,
     /*  588617 */     GIR_EraseRootFromParent_Done,
     /*  588618 */   // Label 9567: @588618
     /*  588618 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588693), // Rule ID 4185 //
     /*  588623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588691 */     GIR_RootConstrainSelectedInstOperands,
     /*  588692 */     // GIR_Coverage, 4185,
     /*  588692 */     GIR_EraseRootFromParent_Done,
     /*  588693 */   // Label 9568: @588693
     /*  588693 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588768), // Rule ID 4186 //
     /*  588698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588766 */     GIR_RootConstrainSelectedInstOperands,
     /*  588767 */     // GIR_Coverage, 4186,
     /*  588767 */     GIR_EraseRootFromParent_Done,
     /*  588768 */   // Label 9569: @588768
     /*  588768 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588843), // Rule ID 4195 //
     /*  588773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588841 */     GIR_RootConstrainSelectedInstOperands,
     /*  588842 */     // GIR_Coverage, 4195,
     /*  588842 */     GIR_EraseRootFromParent_Done,
     /*  588843 */   // Label 9570: @588843
     /*  588843 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588918), // Rule ID 4196 //
     /*  588848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588916 */     GIR_RootConstrainSelectedInstOperands,
     /*  588917 */     // GIR_Coverage, 4196,
     /*  588917 */     GIR_EraseRootFromParent_Done,
     /*  588918 */   // Label 9571: @588918
     /*  588918 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(588993), // Rule ID 4205 //
     /*  588923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  588934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  588937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  588943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  588972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588991 */     GIR_RootConstrainSelectedInstOperands,
     /*  588992 */     // GIR_Coverage, 4205,
     /*  588992 */     GIR_EraseRootFromParent_Done,
     /*  588993 */   // Label 9572: @588993
     /*  588993 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(589068), // Rule ID 4206 //
     /*  588998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  589047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589066 */     GIR_RootConstrainSelectedInstOperands,
     /*  589067 */     // GIR_Coverage, 4206,
     /*  589067 */     GIR_EraseRootFromParent_Done,
     /*  589068 */   // Label 9573: @589068
     /*  589068 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589143), // Rule ID 4215 //
     /*  589073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589141 */     GIR_RootConstrainSelectedInstOperands,
     /*  589142 */     // GIR_Coverage, 4215,
     /*  589142 */     GIR_EraseRootFromParent_Done,
     /*  589143 */   // Label 9574: @589143
     /*  589143 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589218), // Rule ID 4216 //
     /*  589148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589216 */     GIR_RootConstrainSelectedInstOperands,
     /*  589217 */     // GIR_Coverage, 4216,
     /*  589217 */     GIR_EraseRootFromParent_Done,
     /*  589218 */   // Label 9575: @589218
     /*  589218 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589293), // Rule ID 4225 //
     /*  589223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589291 */     GIR_RootConstrainSelectedInstOperands,
     /*  589292 */     // GIR_Coverage, 4225,
     /*  589292 */     GIR_EraseRootFromParent_Done,
     /*  589293 */   // Label 9576: @589293
     /*  589293 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589368), // Rule ID 4226 //
     /*  589298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589366 */     GIR_RootConstrainSelectedInstOperands,
     /*  589367 */     // GIR_Coverage, 4226,
     /*  589367 */     GIR_EraseRootFromParent_Done,
     /*  589368 */   // Label 9577: @589368
     /*  589368 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589443), // Rule ID 4235 //
     /*  589373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589441 */     GIR_RootConstrainSelectedInstOperands,
     /*  589442 */     // GIR_Coverage, 4235,
     /*  589442 */     GIR_EraseRootFromParent_Done,
     /*  589443 */   // Label 9578: @589443
     /*  589443 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589518), // Rule ID 4236 //
     /*  589448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  589497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589516 */     GIR_RootConstrainSelectedInstOperands,
     /*  589517 */     // GIR_Coverage, 4236,
     /*  589517 */     GIR_EraseRootFromParent_Done,
     /*  589518 */   // Label 9579: @589518
     /*  589518 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589593), // Rule ID 4245 //
     /*  589523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589591 */     GIR_RootConstrainSelectedInstOperands,
     /*  589592 */     // GIR_Coverage, 4245,
     /*  589592 */     GIR_EraseRootFromParent_Done,
     /*  589593 */   // Label 9580: @589593
     /*  589593 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589668), // Rule ID 4246 //
     /*  589598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589666 */     GIR_RootConstrainSelectedInstOperands,
     /*  589667 */     // GIR_Coverage, 4246,
     /*  589667 */     GIR_EraseRootFromParent_Done,
     /*  589668 */   // Label 9581: @589668
     /*  589668 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589743), // Rule ID 4255 //
     /*  589673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589741 */     GIR_RootConstrainSelectedInstOperands,
     /*  589742 */     // GIR_Coverage, 4255,
     /*  589742 */     GIR_EraseRootFromParent_Done,
     /*  589743 */   // Label 9582: @589743
     /*  589743 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589818), // Rule ID 4256 //
     /*  589748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  589797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589816 */     GIR_RootConstrainSelectedInstOperands,
     /*  589817 */     // GIR_Coverage, 4256,
     /*  589817 */     GIR_EraseRootFromParent_Done,
     /*  589818 */   // Label 9583: @589818
     /*  589818 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589893), // Rule ID 4265 //
     /*  589823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  589834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  589837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  589840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589891 */     GIR_RootConstrainSelectedInstOperands,
     /*  589892 */     // GIR_Coverage, 4265,
     /*  589892 */     GIR_EraseRootFromParent_Done,
     /*  589893 */   // Label 9584: @589893
     /*  589893 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(589968), // Rule ID 4266 //
     /*  589898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  589909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  589912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  589915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  589947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589966 */     GIR_RootConstrainSelectedInstOperands,
     /*  589967 */     // GIR_Coverage, 4266,
     /*  589967 */     GIR_EraseRootFromParent_Done,
     /*  589968 */   // Label 9585: @589968
     /*  589968 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(590043), // Rule ID 4275 //
     /*  589973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  589984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  589987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  589990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  589993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590041 */     GIR_RootConstrainSelectedInstOperands,
     /*  590042 */     // GIR_Coverage, 4275,
     /*  590042 */     GIR_EraseRootFromParent_Done,
     /*  590043 */   // Label 9586: @590043
     /*  590043 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(590118), // Rule ID 4276 //
     /*  590048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  590097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590116 */     GIR_RootConstrainSelectedInstOperands,
     /*  590117 */     // GIR_Coverage, 4276,
     /*  590117 */     GIR_EraseRootFromParent_Done,
     /*  590118 */   // Label 9587: @590118
     /*  590118 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590193), // Rule ID 4285 //
     /*  590123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590191 */     GIR_RootConstrainSelectedInstOperands,
     /*  590192 */     // GIR_Coverage, 4285,
     /*  590192 */     GIR_EraseRootFromParent_Done,
     /*  590193 */   // Label 9588: @590193
     /*  590193 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590268), // Rule ID 4286 //
     /*  590198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  590247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590266 */     GIR_RootConstrainSelectedInstOperands,
     /*  590267 */     // GIR_Coverage, 4286,
     /*  590267 */     GIR_EraseRootFromParent_Done,
     /*  590268 */   // Label 9589: @590268
     /*  590268 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590343), // Rule ID 4293 //
     /*  590273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590341 */     GIR_RootConstrainSelectedInstOperands,
     /*  590342 */     // GIR_Coverage, 4293,
     /*  590342 */     GIR_EraseRootFromParent_Done,
     /*  590343 */   // Label 9590: @590343
     /*  590343 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590418), // Rule ID 4294 //
     /*  590348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  590397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590416 */     GIR_RootConstrainSelectedInstOperands,
     /*  590417 */     // GIR_Coverage, 4294,
     /*  590417 */     GIR_EraseRootFromParent_Done,
     /*  590418 */   // Label 9591: @590418
     /*  590418 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590493), // Rule ID 4297 //
     /*  590423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590491 */     GIR_RootConstrainSelectedInstOperands,
     /*  590492 */     // GIR_Coverage, 4297,
     /*  590492 */     GIR_EraseRootFromParent_Done,
     /*  590493 */   // Label 9592: @590493
     /*  590493 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590568), // Rule ID 4298 //
     /*  590498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590566 */     GIR_RootConstrainSelectedInstOperands,
     /*  590567 */     // GIR_Coverage, 4298,
     /*  590567 */     GIR_EraseRootFromParent_Done,
     /*  590568 */   // Label 9593: @590568
     /*  590568 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590643), // Rule ID 4301 //
     /*  590573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590641 */     GIR_RootConstrainSelectedInstOperands,
     /*  590642 */     // GIR_Coverage, 4301,
     /*  590642 */     GIR_EraseRootFromParent_Done,
     /*  590643 */   // Label 9594: @590643
     /*  590643 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590718), // Rule ID 4302 //
     /*  590648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590716 */     GIR_RootConstrainSelectedInstOperands,
     /*  590717 */     // GIR_Coverage, 4302,
     /*  590717 */     GIR_EraseRootFromParent_Done,
     /*  590718 */   // Label 9595: @590718
     /*  590718 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590793), // Rule ID 4305 //
     /*  590723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590791 */     GIR_RootConstrainSelectedInstOperands,
     /*  590792 */     // GIR_Coverage, 4305,
     /*  590792 */     GIR_EraseRootFromParent_Done,
     /*  590793 */   // Label 9596: @590793
     /*  590793 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590868), // Rule ID 4306 //
     /*  590798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590866 */     GIR_RootConstrainSelectedInstOperands,
     /*  590867 */     // GIR_Coverage, 4306,
     /*  590867 */     GIR_EraseRootFromParent_Done,
     /*  590868 */   // Label 9597: @590868
     /*  590868 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590943), // Rule ID 4309 //
     /*  590873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  590884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  590887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  590890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  590922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590941 */     GIR_RootConstrainSelectedInstOperands,
     /*  590942 */     // GIR_Coverage, 4309,
     /*  590942 */     GIR_EraseRootFromParent_Done,
     /*  590943 */   // Label 9598: @590943
     /*  590943 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(591018), // Rule ID 4310 //
     /*  590948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  590959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  590962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  590965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  590997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591016 */     GIR_RootConstrainSelectedInstOperands,
     /*  591017 */     // GIR_Coverage, 4310,
     /*  591017 */     GIR_EraseRootFromParent_Done,
     /*  591018 */   // Label 9599: @591018
     /*  591018 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(591093), // Rule ID 4313 //
     /*  591023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591091 */     GIR_RootConstrainSelectedInstOperands,
     /*  591092 */     // GIR_Coverage, 4313,
     /*  591092 */     GIR_EraseRootFromParent_Done,
     /*  591093 */   // Label 9600: @591093
     /*  591093 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591168), // Rule ID 4314 //
     /*  591098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591166 */     GIR_RootConstrainSelectedInstOperands,
     /*  591167 */     // GIR_Coverage, 4314,
     /*  591167 */     GIR_EraseRootFromParent_Done,
     /*  591168 */   // Label 9601: @591168
     /*  591168 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591243), // Rule ID 4317 //
     /*  591173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591241 */     GIR_RootConstrainSelectedInstOperands,
     /*  591242 */     // GIR_Coverage, 4317,
     /*  591242 */     GIR_EraseRootFromParent_Done,
     /*  591243 */   // Label 9602: @591243
     /*  591243 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591318), // Rule ID 4318 //
     /*  591248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  591297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591316 */     GIR_RootConstrainSelectedInstOperands,
     /*  591317 */     // GIR_Coverage, 4318,
     /*  591317 */     GIR_EraseRootFromParent_Done,
     /*  591318 */   // Label 9603: @591318
     /*  591318 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591393), // Rule ID 4321 //
     /*  591323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591391 */     GIR_RootConstrainSelectedInstOperands,
     /*  591392 */     // GIR_Coverage, 4321,
     /*  591392 */     GIR_EraseRootFromParent_Done,
     /*  591393 */   // Label 9604: @591393
     /*  591393 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591468), // Rule ID 4322 //
     /*  591398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591466 */     GIR_RootConstrainSelectedInstOperands,
     /*  591467 */     // GIR_Coverage, 4322,
     /*  591467 */     GIR_EraseRootFromParent_Done,
     /*  591468 */   // Label 9605: @591468
     /*  591468 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591543), // Rule ID 4325 //
     /*  591473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591541 */     GIR_RootConstrainSelectedInstOperands,
     /*  591542 */     // GIR_Coverage, 4325,
     /*  591542 */     GIR_EraseRootFromParent_Done,
     /*  591543 */   // Label 9606: @591543
     /*  591543 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591618), // Rule ID 4326 //
     /*  591548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591616 */     GIR_RootConstrainSelectedInstOperands,
     /*  591617 */     // GIR_Coverage, 4326,
     /*  591617 */     GIR_EraseRootFromParent_Done,
     /*  591618 */   // Label 9607: @591618
     /*  591618 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591693), // Rule ID 4329 //
     /*  591623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591691 */     GIR_RootConstrainSelectedInstOperands,
     /*  591692 */     // GIR_Coverage, 4329,
     /*  591692 */     GIR_EraseRootFromParent_Done,
     /*  591693 */   // Label 9608: @591693
     /*  591693 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591768), // Rule ID 4330 //
     /*  591698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591766 */     GIR_RootConstrainSelectedInstOperands,
     /*  591767 */     // GIR_Coverage, 4330,
     /*  591767 */     GIR_EraseRootFromParent_Done,
     /*  591768 */   // Label 9609: @591768
     /*  591768 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591843), // Rule ID 4333 //
     /*  591773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591841 */     GIR_RootConstrainSelectedInstOperands,
     /*  591842 */     // GIR_Coverage, 4333,
     /*  591842 */     GIR_EraseRootFromParent_Done,
     /*  591843 */   // Label 9610: @591843
     /*  591843 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591918), // Rule ID 4334 //
     /*  591848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591916 */     GIR_RootConstrainSelectedInstOperands,
     /*  591917 */     // GIR_Coverage, 4334,
     /*  591917 */     GIR_EraseRootFromParent_Done,
     /*  591918 */   // Label 9611: @591918
     /*  591918 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(591993), // Rule ID 4337 //
     /*  591923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  591934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  591937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  591940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591969 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  591972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591991 */     GIR_RootConstrainSelectedInstOperands,
     /*  591992 */     // GIR_Coverage, 4337,
     /*  591992 */     GIR_EraseRootFromParent_Done,
     /*  591993 */   // Label 9612: @591993
     /*  591993 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(592068), // Rule ID 4338 //
     /*  591998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  592047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592066 */     GIR_RootConstrainSelectedInstOperands,
     /*  592067 */     // GIR_Coverage, 4338,
     /*  592067 */     GIR_EraseRootFromParent_Done,
     /*  592068 */   // Label 9613: @592068
     /*  592068 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592143), // Rule ID 4341 //
     /*  592073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592141 */     GIR_RootConstrainSelectedInstOperands,
     /*  592142 */     // GIR_Coverage, 4341,
     /*  592142 */     GIR_EraseRootFromParent_Done,
     /*  592143 */   // Label 9614: @592143
     /*  592143 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592218), // Rule ID 4342 //
     /*  592148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  592197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592216 */     GIR_RootConstrainSelectedInstOperands,
     /*  592217 */     // GIR_Coverage, 4342,
     /*  592217 */     GIR_EraseRootFromParent_Done,
     /*  592218 */   // Label 9615: @592218
     /*  592218 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592293), // Rule ID 4345 //
     /*  592223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592291 */     GIR_RootConstrainSelectedInstOperands,
     /*  592292 */     // GIR_Coverage, 4345,
     /*  592292 */     GIR_EraseRootFromParent_Done,
     /*  592293 */   // Label 9616: @592293
     /*  592293 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592368), // Rule ID 4346 //
     /*  592298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  592347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592366 */     GIR_RootConstrainSelectedInstOperands,
     /*  592367 */     // GIR_Coverage, 4346,
     /*  592367 */     GIR_EraseRootFromParent_Done,
     /*  592368 */   // Label 9617: @592368
     /*  592368 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592443), // Rule ID 4349 //
     /*  592373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592441 */     GIR_RootConstrainSelectedInstOperands,
     /*  592442 */     // GIR_Coverage, 4349,
     /*  592442 */     GIR_EraseRootFromParent_Done,
     /*  592443 */   // Label 9618: @592443
     /*  592443 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592518), // Rule ID 4350 //
     /*  592448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  592497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592516 */     GIR_RootConstrainSelectedInstOperands,
     /*  592517 */     // GIR_Coverage, 4350,
     /*  592517 */     GIR_EraseRootFromParent_Done,
     /*  592518 */   // Label 9619: @592518
     /*  592518 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592593), // Rule ID 4355 //
     /*  592523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  592572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592591 */     GIR_RootConstrainSelectedInstOperands,
     /*  592592 */     // GIR_Coverage, 4355,
     /*  592592 */     GIR_EraseRootFromParent_Done,
     /*  592593 */   // Label 9620: @592593
     /*  592593 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592668), // Rule ID 4356 //
     /*  592598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  592647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592666 */     GIR_RootConstrainSelectedInstOperands,
     /*  592667 */     // GIR_Coverage, 4356,
     /*  592667 */     GIR_EraseRootFromParent_Done,
     /*  592668 */   // Label 9621: @592668
     /*  592668 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592743), // Rule ID 4365 //
     /*  592673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592741 */     GIR_RootConstrainSelectedInstOperands,
     /*  592742 */     // GIR_Coverage, 4365,
     /*  592742 */     GIR_EraseRootFromParent_Done,
     /*  592743 */   // Label 9622: @592743
     /*  592743 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592818), // Rule ID 4366 //
     /*  592748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592816 */     GIR_RootConstrainSelectedInstOperands,
     /*  592817 */     // GIR_Coverage, 4366,
     /*  592817 */     GIR_EraseRootFromParent_Done,
     /*  592818 */   // Label 9623: @592818
     /*  592818 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592893), // Rule ID 4375 //
     /*  592823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  592843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592891 */     GIR_RootConstrainSelectedInstOperands,
     /*  592892 */     // GIR_Coverage, 4375,
     /*  592892 */     GIR_EraseRootFromParent_Done,
     /*  592893 */   // Label 9624: @592893
     /*  592893 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(592968), // Rule ID 4376 //
     /*  592898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  592918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592966 */     GIR_RootConstrainSelectedInstOperands,
     /*  592967 */     // GIR_Coverage, 4376,
     /*  592967 */     GIR_EraseRootFromParent_Done,
     /*  592968 */   // Label 9625: @592968
     /*  592968 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(593043), // Rule ID 4385 //
     /*  592973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  592984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  592987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  592990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  592993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593041 */     GIR_RootConstrainSelectedInstOperands,
     /*  593042 */     // GIR_Coverage, 4385,
     /*  593042 */     GIR_EraseRootFromParent_Done,
     /*  593043 */   // Label 9626: @593043
     /*  593043 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(593118), // Rule ID 4386 //
     /*  593048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593116 */     GIR_RootConstrainSelectedInstOperands,
     /*  593117 */     // GIR_Coverage, 4386,
     /*  593117 */     GIR_EraseRootFromParent_Done,
     /*  593118 */   // Label 9627: @593118
     /*  593118 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593193), // Rule ID 4395 //
     /*  593123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593191 */     GIR_RootConstrainSelectedInstOperands,
     /*  593192 */     // GIR_Coverage, 4395,
     /*  593192 */     GIR_EraseRootFromParent_Done,
     /*  593193 */   // Label 9628: @593193
     /*  593193 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593268), // Rule ID 4396 //
     /*  593198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593266 */     GIR_RootConstrainSelectedInstOperands,
     /*  593267 */     // GIR_Coverage, 4396,
     /*  593267 */     GIR_EraseRootFromParent_Done,
     /*  593268 */   // Label 9629: @593268
     /*  593268 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593343), // Rule ID 4405 //
     /*  593273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593341 */     GIR_RootConstrainSelectedInstOperands,
     /*  593342 */     // GIR_Coverage, 4405,
     /*  593342 */     GIR_EraseRootFromParent_Done,
     /*  593343 */   // Label 9630: @593343
     /*  593343 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593418), // Rule ID 4406 //
     /*  593348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593416 */     GIR_RootConstrainSelectedInstOperands,
     /*  593417 */     // GIR_Coverage, 4406,
     /*  593417 */     GIR_EraseRootFromParent_Done,
     /*  593418 */   // Label 9631: @593418
     /*  593418 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593493), // Rule ID 4415 //
     /*  593423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593491 */     GIR_RootConstrainSelectedInstOperands,
     /*  593492 */     // GIR_Coverage, 4415,
     /*  593492 */     GIR_EraseRootFromParent_Done,
     /*  593493 */   // Label 9632: @593493
     /*  593493 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593568), // Rule ID 4416 //
     /*  593498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  593547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593566 */     GIR_RootConstrainSelectedInstOperands,
     /*  593567 */     // GIR_Coverage, 4416,
     /*  593567 */     GIR_EraseRootFromParent_Done,
     /*  593568 */   // Label 9633: @593568
     /*  593568 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593643), // Rule ID 4425 //
     /*  593573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593641 */     GIR_RootConstrainSelectedInstOperands,
     /*  593642 */     // GIR_Coverage, 4425,
     /*  593642 */     GIR_EraseRootFromParent_Done,
     /*  593643 */   // Label 9634: @593643
     /*  593643 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593718), // Rule ID 4426 //
     /*  593648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593716 */     GIR_RootConstrainSelectedInstOperands,
     /*  593717 */     // GIR_Coverage, 4426,
     /*  593717 */     GIR_EraseRootFromParent_Done,
     /*  593718 */   // Label 9635: @593718
     /*  593718 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593793), // Rule ID 4435 //
     /*  593723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593791 */     GIR_RootConstrainSelectedInstOperands,
     /*  593792 */     // GIR_Coverage, 4435,
     /*  593792 */     GIR_EraseRootFromParent_Done,
     /*  593793 */   // Label 9636: @593793
     /*  593793 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593868), // Rule ID 4436 //
     /*  593798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593866 */     GIR_RootConstrainSelectedInstOperands,
     /*  593867 */     // GIR_Coverage, 4436,
     /*  593867 */     GIR_EraseRootFromParent_Done,
     /*  593868 */   // Label 9637: @593868
     /*  593868 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593943), // Rule ID 4445 //
     /*  593873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  593893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593941 */     GIR_RootConstrainSelectedInstOperands,
     /*  593942 */     // GIR_Coverage, 4445,
     /*  593942 */     GIR_EraseRootFromParent_Done,
     /*  593943 */   // Label 9638: @593943
     /*  593943 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(594018), // Rule ID 4446 //
     /*  593948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  593968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594016 */     GIR_RootConstrainSelectedInstOperands,
     /*  594017 */     // GIR_Coverage, 4446,
     /*  594017 */     GIR_EraseRootFromParent_Done,
     /*  594018 */   // Label 9639: @594018
     /*  594018 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(594093), // Rule ID 4455 //
     /*  594023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594091 */     GIR_RootConstrainSelectedInstOperands,
     /*  594092 */     // GIR_Coverage, 4455,
     /*  594092 */     GIR_EraseRootFromParent_Done,
     /*  594093 */   // Label 9640: @594093
     /*  594093 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594168), // Rule ID 4456 //
     /*  594098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594166 */     GIR_RootConstrainSelectedInstOperands,
     /*  594167 */     // GIR_Coverage, 4456,
     /*  594167 */     GIR_EraseRootFromParent_Done,
     /*  594168 */   // Label 9641: @594168
     /*  594168 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594243), // Rule ID 4465 //
     /*  594173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594241 */     GIR_RootConstrainSelectedInstOperands,
     /*  594242 */     // GIR_Coverage, 4465,
     /*  594242 */     GIR_EraseRootFromParent_Done,
     /*  594243 */   // Label 9642: @594243
     /*  594243 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594318), // Rule ID 4466 //
     /*  594248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  594297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594316 */     GIR_RootConstrainSelectedInstOperands,
     /*  594317 */     // GIR_Coverage, 4466,
     /*  594317 */     GIR_EraseRootFromParent_Done,
     /*  594318 */   // Label 9643: @594318
     /*  594318 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594393), // Rule ID 4475 //
     /*  594323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594391 */     GIR_RootConstrainSelectedInstOperands,
     /*  594392 */     // GIR_Coverage, 4475,
     /*  594392 */     GIR_EraseRootFromParent_Done,
     /*  594393 */   // Label 9644: @594393
     /*  594393 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594468), // Rule ID 4476 //
     /*  594398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  594447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594466 */     GIR_RootConstrainSelectedInstOperands,
     /*  594467 */     // GIR_Coverage, 4476,
     /*  594467 */     GIR_EraseRootFromParent_Done,
     /*  594468 */   // Label 9645: @594468
     /*  594468 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594543), // Rule ID 4485 //
     /*  594473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594541 */     GIR_RootConstrainSelectedInstOperands,
     /*  594542 */     // GIR_Coverage, 4485,
     /*  594542 */     GIR_EraseRootFromParent_Done,
     /*  594543 */   // Label 9646: @594543
     /*  594543 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594618), // Rule ID 4486 //
     /*  594548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  594597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594616 */     GIR_RootConstrainSelectedInstOperands,
     /*  594617 */     // GIR_Coverage, 4486,
     /*  594617 */     GIR_EraseRootFromParent_Done,
     /*  594618 */   // Label 9647: @594618
     /*  594618 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594693), // Rule ID 4495 //
     /*  594623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594691 */     GIR_RootConstrainSelectedInstOperands,
     /*  594692 */     // GIR_Coverage, 4495,
     /*  594692 */     GIR_EraseRootFromParent_Done,
     /*  594693 */   // Label 9648: @594693
     /*  594693 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594768), // Rule ID 4496 //
     /*  594698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  594747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594766 */     GIR_RootConstrainSelectedInstOperands,
     /*  594767 */     // GIR_Coverage, 4496,
     /*  594767 */     GIR_EraseRootFromParent_Done,
     /*  594768 */   // Label 9649: @594768
     /*  594768 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594843), // Rule ID 4503 //
     /*  594773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  594822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594841 */     GIR_RootConstrainSelectedInstOperands,
     /*  594842 */     // GIR_Coverage, 4503,
     /*  594842 */     GIR_EraseRootFromParent_Done,
     /*  594843 */   // Label 9650: @594843
     /*  594843 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594918), // Rule ID 4504 //
     /*  594848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  594897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594916 */     GIR_RootConstrainSelectedInstOperands,
     /*  594917 */     // GIR_Coverage, 4504,
     /*  594917 */     GIR_EraseRootFromParent_Done,
     /*  594918 */   // Label 9651: @594918
     /*  594918 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(594993), // Rule ID 4507 //
     /*  594923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  594934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  594937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  594940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  594972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594991 */     GIR_RootConstrainSelectedInstOperands,
     /*  594992 */     // GIR_Coverage, 4507,
     /*  594992 */     GIR_EraseRootFromParent_Done,
     /*  594993 */   // Label 9652: @594993
     /*  594993 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(595068), // Rule ID 4508 //
     /*  594998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595066 */     GIR_RootConstrainSelectedInstOperands,
     /*  595067 */     // GIR_Coverage, 4508,
     /*  595067 */     GIR_EraseRootFromParent_Done,
     /*  595068 */   // Label 9653: @595068
     /*  595068 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595143), // Rule ID 4511 //
     /*  595073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595141 */     GIR_RootConstrainSelectedInstOperands,
     /*  595142 */     // GIR_Coverage, 4511,
     /*  595142 */     GIR_EraseRootFromParent_Done,
     /*  595143 */   // Label 9654: @595143
     /*  595143 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595218), // Rule ID 4512 //
     /*  595148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595216 */     GIR_RootConstrainSelectedInstOperands,
     /*  595217 */     // GIR_Coverage, 4512,
     /*  595217 */     GIR_EraseRootFromParent_Done,
     /*  595218 */   // Label 9655: @595218
     /*  595218 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595293), // Rule ID 4515 //
     /*  595223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595291 */     GIR_RootConstrainSelectedInstOperands,
     /*  595292 */     // GIR_Coverage, 4515,
     /*  595292 */     GIR_EraseRootFromParent_Done,
     /*  595293 */   // Label 9656: @595293
     /*  595293 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595368), // Rule ID 4516 //
     /*  595298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595366 */     GIR_RootConstrainSelectedInstOperands,
     /*  595367 */     // GIR_Coverage, 4516,
     /*  595367 */     GIR_EraseRootFromParent_Done,
     /*  595368 */   // Label 9657: @595368
     /*  595368 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595443), // Rule ID 4519 //
     /*  595373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595441 */     GIR_RootConstrainSelectedInstOperands,
     /*  595442 */     // GIR_Coverage, 4519,
     /*  595442 */     GIR_EraseRootFromParent_Done,
     /*  595443 */   // Label 9658: @595443
     /*  595443 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595518), // Rule ID 4520 //
     /*  595448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595516 */     GIR_RootConstrainSelectedInstOperands,
     /*  595517 */     // GIR_Coverage, 4520,
     /*  595517 */     GIR_EraseRootFromParent_Done,
     /*  595518 */   // Label 9659: @595518
     /*  595518 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595593), // Rule ID 4523 //
     /*  595523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595591 */     GIR_RootConstrainSelectedInstOperands,
     /*  595592 */     // GIR_Coverage, 4523,
     /*  595592 */     GIR_EraseRootFromParent_Done,
     /*  595593 */   // Label 9660: @595593
     /*  595593 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595668), // Rule ID 4524 //
     /*  595598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595666 */     GIR_RootConstrainSelectedInstOperands,
     /*  595667 */     // GIR_Coverage, 4524,
     /*  595667 */     GIR_EraseRootFromParent_Done,
     /*  595668 */   // Label 9661: @595668
     /*  595668 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595743), // Rule ID 4527 //
     /*  595673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595741 */     GIR_RootConstrainSelectedInstOperands,
     /*  595742 */     // GIR_Coverage, 4527,
     /*  595742 */     GIR_EraseRootFromParent_Done,
     /*  595743 */   // Label 9662: @595743
     /*  595743 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595818), // Rule ID 4528 //
     /*  595748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  595797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595816 */     GIR_RootConstrainSelectedInstOperands,
     /*  595817 */     // GIR_Coverage, 4528,
     /*  595817 */     GIR_EraseRootFromParent_Done,
     /*  595818 */   // Label 9663: @595818
     /*  595818 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595893), // Rule ID 4531 //
     /*  595823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595891 */     GIR_RootConstrainSelectedInstOperands,
     /*  595892 */     // GIR_Coverage, 4531,
     /*  595892 */     GIR_EraseRootFromParent_Done,
     /*  595893 */   // Label 9664: @595893
     /*  595893 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(595968), // Rule ID 4532 //
     /*  595898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595966 */     GIR_RootConstrainSelectedInstOperands,
     /*  595967 */     // GIR_Coverage, 4532,
     /*  595967 */     GIR_EraseRootFromParent_Done,
     /*  595968 */   // Label 9665: @595968
     /*  595968 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(596043), // Rule ID 4535 //
     /*  595973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  595984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  595987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  595990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596041 */     GIR_RootConstrainSelectedInstOperands,
     /*  596042 */     // GIR_Coverage, 4535,
     /*  596042 */     GIR_EraseRootFromParent_Done,
     /*  596043 */   // Label 9666: @596043
     /*  596043 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(596118), // Rule ID 4536 //
     /*  596048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596116 */     GIR_RootConstrainSelectedInstOperands,
     /*  596117 */     // GIR_Coverage, 4536,
     /*  596117 */     GIR_EraseRootFromParent_Done,
     /*  596118 */   // Label 9667: @596118
     /*  596118 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596193), // Rule ID 4539 //
     /*  596123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596191 */     GIR_RootConstrainSelectedInstOperands,
     /*  596192 */     // GIR_Coverage, 4539,
     /*  596192 */     GIR_EraseRootFromParent_Done,
     /*  596193 */   // Label 9668: @596193
     /*  596193 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596268), // Rule ID 4540 //
     /*  596198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596266 */     GIR_RootConstrainSelectedInstOperands,
     /*  596267 */     // GIR_Coverage, 4540,
     /*  596267 */     GIR_EraseRootFromParent_Done,
     /*  596268 */   // Label 9669: @596268
     /*  596268 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596343), // Rule ID 4543 //
     /*  596273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596341 */     GIR_RootConstrainSelectedInstOperands,
     /*  596342 */     // GIR_Coverage, 4543,
     /*  596342 */     GIR_EraseRootFromParent_Done,
     /*  596343 */   // Label 9670: @596343
     /*  596343 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596418), // Rule ID 4544 //
     /*  596348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596416 */     GIR_RootConstrainSelectedInstOperands,
     /*  596417 */     // GIR_Coverage, 4544,
     /*  596417 */     GIR_EraseRootFromParent_Done,
     /*  596418 */   // Label 9671: @596418
     /*  596418 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596493), // Rule ID 4547 //
     /*  596423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596491 */     GIR_RootConstrainSelectedInstOperands,
     /*  596492 */     // GIR_Coverage, 4547,
     /*  596492 */     GIR_EraseRootFromParent_Done,
     /*  596493 */   // Label 9672: @596493
     /*  596493 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596568), // Rule ID 4548 //
     /*  596498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  596547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596566 */     GIR_RootConstrainSelectedInstOperands,
     /*  596567 */     // GIR_Coverage, 4548,
     /*  596567 */     GIR_EraseRootFromParent_Done,
     /*  596568 */   // Label 9673: @596568
     /*  596568 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596643), // Rule ID 4551 //
     /*  596573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596641 */     GIR_RootConstrainSelectedInstOperands,
     /*  596642 */     // GIR_Coverage, 4551,
     /*  596642 */     GIR_EraseRootFromParent_Done,
     /*  596643 */   // Label 9674: @596643
     /*  596643 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596718), // Rule ID 4552 //
     /*  596648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  596697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596716 */     GIR_RootConstrainSelectedInstOperands,
     /*  596717 */     // GIR_Coverage, 4552,
     /*  596717 */     GIR_EraseRootFromParent_Done,
     /*  596718 */   // Label 9675: @596718
     /*  596718 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596793), // Rule ID 4555 //
     /*  596723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596791 */     GIR_RootConstrainSelectedInstOperands,
     /*  596792 */     // GIR_Coverage, 4555,
     /*  596792 */     GIR_EraseRootFromParent_Done,
     /*  596793 */   // Label 9676: @596793
     /*  596793 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596868), // Rule ID 4556 //
     /*  596798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  596847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596866 */     GIR_RootConstrainSelectedInstOperands,
     /*  596867 */     // GIR_Coverage, 4556,
     /*  596867 */     GIR_EraseRootFromParent_Done,
     /*  596868 */   // Label 9677: @596868
     /*  596868 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596943), // Rule ID 4559 //
     /*  596873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  596884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  596887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  596890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596941 */     GIR_RootConstrainSelectedInstOperands,
     /*  596942 */     // GIR_Coverage, 4559,
     /*  596942 */     GIR_EraseRootFromParent_Done,
     /*  596943 */   // Label 9678: @596943
     /*  596943 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(597018), // Rule ID 4560 //
     /*  596948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  596956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  596959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  596962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  596965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  596997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597016 */     GIR_RootConstrainSelectedInstOperands,
     /*  597017 */     // GIR_Coverage, 4560,
     /*  597017 */     GIR_EraseRootFromParent_Done,
     /*  597018 */   // Label 9679: @597018
     /*  597018 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(597093), // Rule ID 4565 //
     /*  597023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597091 */     GIR_RootConstrainSelectedInstOperands,
     /*  597092 */     // GIR_Coverage, 4565,
     /*  597092 */     GIR_EraseRootFromParent_Done,
     /*  597093 */   // Label 9680: @597093
     /*  597093 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597168), // Rule ID 4566 //
     /*  597098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  597147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597166 */     GIR_RootConstrainSelectedInstOperands,
     /*  597167 */     // GIR_Coverage, 4566,
     /*  597167 */     GIR_EraseRootFromParent_Done,
     /*  597168 */   // Label 9681: @597168
     /*  597168 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597243), // Rule ID 4575 //
     /*  597173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597241 */     GIR_RootConstrainSelectedInstOperands,
     /*  597242 */     // GIR_Coverage, 4575,
     /*  597242 */     GIR_EraseRootFromParent_Done,
     /*  597243 */   // Label 9682: @597243
     /*  597243 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597318), // Rule ID 4576 //
     /*  597248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597316 */     GIR_RootConstrainSelectedInstOperands,
     /*  597317 */     // GIR_Coverage, 4576,
     /*  597317 */     GIR_EraseRootFromParent_Done,
     /*  597318 */   // Label 9683: @597318
     /*  597318 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597393), // Rule ID 4585 //
     /*  597323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597391 */     GIR_RootConstrainSelectedInstOperands,
     /*  597392 */     // GIR_Coverage, 4585,
     /*  597392 */     GIR_EraseRootFromParent_Done,
     /*  597393 */   // Label 9684: @597393
     /*  597393 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597468), // Rule ID 4586 //
     /*  597398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597466 */     GIR_RootConstrainSelectedInstOperands,
     /*  597467 */     // GIR_Coverage, 4586,
     /*  597467 */     GIR_EraseRootFromParent_Done,
     /*  597468 */   // Label 9685: @597468
     /*  597468 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597543), // Rule ID 4595 //
     /*  597473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597541 */     GIR_RootConstrainSelectedInstOperands,
     /*  597542 */     // GIR_Coverage, 4595,
     /*  597542 */     GIR_EraseRootFromParent_Done,
     /*  597543 */   // Label 9686: @597543
     /*  597543 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597618), // Rule ID 4596 //
     /*  597548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597616 */     GIR_RootConstrainSelectedInstOperands,
     /*  597617 */     // GIR_Coverage, 4596,
     /*  597617 */     GIR_EraseRootFromParent_Done,
     /*  597618 */   // Label 9687: @597618
     /*  597618 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597693), // Rule ID 4605 //
     /*  597623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597691 */     GIR_RootConstrainSelectedInstOperands,
     /*  597692 */     // GIR_Coverage, 4605,
     /*  597692 */     GIR_EraseRootFromParent_Done,
     /*  597693 */   // Label 9688: @597693
     /*  597693 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597768), // Rule ID 4606 //
     /*  597698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597766 */     GIR_RootConstrainSelectedInstOperands,
     /*  597767 */     // GIR_Coverage, 4606,
     /*  597767 */     GIR_EraseRootFromParent_Done,
     /*  597768 */   // Label 9689: @597768
     /*  597768 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597843), // Rule ID 4615 //
     /*  597773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597841 */     GIR_RootConstrainSelectedInstOperands,
     /*  597842 */     // GIR_Coverage, 4615,
     /*  597842 */     GIR_EraseRootFromParent_Done,
     /*  597843 */   // Label 9690: @597843
     /*  597843 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597918), // Rule ID 4616 //
     /*  597848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597916 */     GIR_RootConstrainSelectedInstOperands,
     /*  597917 */     // GIR_Coverage, 4616,
     /*  597917 */     GIR_EraseRootFromParent_Done,
     /*  597918 */   // Label 9691: @597918
     /*  597918 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(597993), // Rule ID 4625 //
     /*  597923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  597934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  597937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  597940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  597943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  597972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597991 */     GIR_RootConstrainSelectedInstOperands,
     /*  597992 */     // GIR_Coverage, 4625,
     /*  597992 */     GIR_EraseRootFromParent_Done,
     /*  597993 */   // Label 9692: @597993
     /*  597993 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(598068), // Rule ID 4626 //
     /*  597998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  598047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598066 */     GIR_RootConstrainSelectedInstOperands,
     /*  598067 */     // GIR_Coverage, 4626,
     /*  598067 */     GIR_EraseRootFromParent_Done,
     /*  598068 */   // Label 9693: @598068
     /*  598068 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598143), // Rule ID 4635 //
     /*  598073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598141 */     GIR_RootConstrainSelectedInstOperands,
     /*  598142 */     // GIR_Coverage, 4635,
     /*  598142 */     GIR_EraseRootFromParent_Done,
     /*  598143 */   // Label 9694: @598143
     /*  598143 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598218), // Rule ID 4636 //
     /*  598148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598216 */     GIR_RootConstrainSelectedInstOperands,
     /*  598217 */     // GIR_Coverage, 4636,
     /*  598217 */     GIR_EraseRootFromParent_Done,
     /*  598218 */   // Label 9695: @598218
     /*  598218 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598293), // Rule ID 4645 //
     /*  598223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598291 */     GIR_RootConstrainSelectedInstOperands,
     /*  598292 */     // GIR_Coverage, 4645,
     /*  598292 */     GIR_EraseRootFromParent_Done,
     /*  598293 */   // Label 9696: @598293
     /*  598293 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598368), // Rule ID 4646 //
     /*  598298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598366 */     GIR_RootConstrainSelectedInstOperands,
     /*  598367 */     // GIR_Coverage, 4646,
     /*  598367 */     GIR_EraseRootFromParent_Done,
     /*  598368 */   // Label 9697: @598368
     /*  598368 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598443), // Rule ID 4655 //
     /*  598373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598441 */     GIR_RootConstrainSelectedInstOperands,
     /*  598442 */     // GIR_Coverage, 4655,
     /*  598442 */     GIR_EraseRootFromParent_Done,
     /*  598443 */   // Label 9698: @598443
     /*  598443 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598518), // Rule ID 4656 //
     /*  598448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  598497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598516 */     GIR_RootConstrainSelectedInstOperands,
     /*  598517 */     // GIR_Coverage, 4656,
     /*  598517 */     GIR_EraseRootFromParent_Done,
     /*  598518 */   // Label 9699: @598518
     /*  598518 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598593), // Rule ID 4665 //
     /*  598523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598591 */     GIR_RootConstrainSelectedInstOperands,
     /*  598592 */     // GIR_Coverage, 4665,
     /*  598592 */     GIR_EraseRootFromParent_Done,
     /*  598593 */   // Label 9700: @598593
     /*  598593 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598668), // Rule ID 4666 //
     /*  598598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598666 */     GIR_RootConstrainSelectedInstOperands,
     /*  598667 */     // GIR_Coverage, 4666,
     /*  598667 */     GIR_EraseRootFromParent_Done,
     /*  598668 */   // Label 9701: @598668
     /*  598668 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598743), // Rule ID 4675 //
     /*  598673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598741 */     GIR_RootConstrainSelectedInstOperands,
     /*  598742 */     // GIR_Coverage, 4675,
     /*  598742 */     GIR_EraseRootFromParent_Done,
     /*  598743 */   // Label 9702: @598743
     /*  598743 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598818), // Rule ID 4676 //
     /*  598748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  598797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598816 */     GIR_RootConstrainSelectedInstOperands,
     /*  598817 */     // GIR_Coverage, 4676,
     /*  598817 */     GIR_EraseRootFromParent_Done,
     /*  598818 */   // Label 9703: @598818
     /*  598818 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598893), // Rule ID 4685 //
     /*  598823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  598843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598891 */     GIR_RootConstrainSelectedInstOperands,
     /*  598892 */     // GIR_Coverage, 4685,
     /*  598892 */     GIR_EraseRootFromParent_Done,
     /*  598893 */   // Label 9704: @598893
     /*  598893 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(598968), // Rule ID 4686 //
     /*  598898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  598918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  598947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598966 */     GIR_RootConstrainSelectedInstOperands,
     /*  598967 */     // GIR_Coverage, 4686,
     /*  598967 */     GIR_EraseRootFromParent_Done,
     /*  598968 */   // Label 9705: @598968
     /*  598968 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(599043), // Rule ID 4695 //
     /*  598973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  598984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  598987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  598990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  598993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599041 */     GIR_RootConstrainSelectedInstOperands,
     /*  599042 */     // GIR_Coverage, 4695,
     /*  599042 */     GIR_EraseRootFromParent_Done,
     /*  599043 */   // Label 9706: @599043
     /*  599043 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(599118), // Rule ID 4696 //
     /*  599048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  599097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599116 */     GIR_RootConstrainSelectedInstOperands,
     /*  599117 */     // GIR_Coverage, 4696,
     /*  599117 */     GIR_EraseRootFromParent_Done,
     /*  599118 */   // Label 9707: @599118
     /*  599118 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599193), // Rule ID 4705 //
     /*  599123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599191 */     GIR_RootConstrainSelectedInstOperands,
     /*  599192 */     // GIR_Coverage, 4705,
     /*  599192 */     GIR_EraseRootFromParent_Done,
     /*  599193 */   // Label 9708: @599193
     /*  599193 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599268), // Rule ID 4706 //
     /*  599198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  599247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599266 */     GIR_RootConstrainSelectedInstOperands,
     /*  599267 */     // GIR_Coverage, 4706,
     /*  599267 */     GIR_EraseRootFromParent_Done,
     /*  599268 */   // Label 9709: @599268
     /*  599268 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599343), // Rule ID 4713 //
     /*  599273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599341 */     GIR_RootConstrainSelectedInstOperands,
     /*  599342 */     // GIR_Coverage, 4713,
     /*  599342 */     GIR_EraseRootFromParent_Done,
     /*  599343 */   // Label 9710: @599343
     /*  599343 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599418), // Rule ID 4714 //
     /*  599348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  599397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599416 */     GIR_RootConstrainSelectedInstOperands,
     /*  599417 */     // GIR_Coverage, 4714,
     /*  599417 */     GIR_EraseRootFromParent_Done,
     /*  599418 */   // Label 9711: @599418
     /*  599418 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599493), // Rule ID 4717 //
     /*  599423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599491 */     GIR_RootConstrainSelectedInstOperands,
     /*  599492 */     // GIR_Coverage, 4717,
     /*  599492 */     GIR_EraseRootFromParent_Done,
     /*  599493 */   // Label 9712: @599493
     /*  599493 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599568), // Rule ID 4718 //
     /*  599498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599566 */     GIR_RootConstrainSelectedInstOperands,
     /*  599567 */     // GIR_Coverage, 4718,
     /*  599567 */     GIR_EraseRootFromParent_Done,
     /*  599568 */   // Label 9713: @599568
     /*  599568 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599643), // Rule ID 4721 //
     /*  599573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599641 */     GIR_RootConstrainSelectedInstOperands,
     /*  599642 */     // GIR_Coverage, 4721,
     /*  599642 */     GIR_EraseRootFromParent_Done,
     /*  599643 */   // Label 9714: @599643
     /*  599643 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599718), // Rule ID 4722 //
     /*  599648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599716 */     GIR_RootConstrainSelectedInstOperands,
     /*  599717 */     // GIR_Coverage, 4722,
     /*  599717 */     GIR_EraseRootFromParent_Done,
     /*  599718 */   // Label 9715: @599718
     /*  599718 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599793), // Rule ID 4725 //
     /*  599723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599791 */     GIR_RootConstrainSelectedInstOperands,
     /*  599792 */     // GIR_Coverage, 4725,
     /*  599792 */     GIR_EraseRootFromParent_Done,
     /*  599793 */   // Label 9716: @599793
     /*  599793 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599868), // Rule ID 4726 //
     /*  599798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599866 */     GIR_RootConstrainSelectedInstOperands,
     /*  599867 */     // GIR_Coverage, 4726,
     /*  599867 */     GIR_EraseRootFromParent_Done,
     /*  599868 */   // Label 9717: @599868
     /*  599868 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599943), // Rule ID 4729 //
     /*  599873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  599922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599941 */     GIR_RootConstrainSelectedInstOperands,
     /*  599942 */     // GIR_Coverage, 4729,
     /*  599942 */     GIR_EraseRootFromParent_Done,
     /*  599943 */   // Label 9718: @599943
     /*  599943 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(600018), // Rule ID 4730 //
     /*  599948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  599997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600016 */     GIR_RootConstrainSelectedInstOperands,
     /*  600017 */     // GIR_Coverage, 4730,
     /*  600017 */     GIR_EraseRootFromParent_Done,
     /*  600018 */   // Label 9719: @600018
     /*  600018 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(600093), // Rule ID 4733 //
     /*  600023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600091 */     GIR_RootConstrainSelectedInstOperands,
     /*  600092 */     // GIR_Coverage, 4733,
     /*  600092 */     GIR_EraseRootFromParent_Done,
     /*  600093 */   // Label 9720: @600093
     /*  600093 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600168), // Rule ID 4734 //
     /*  600098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600166 */     GIR_RootConstrainSelectedInstOperands,
     /*  600167 */     // GIR_Coverage, 4734,
     /*  600167 */     GIR_EraseRootFromParent_Done,
     /*  600168 */   // Label 9721: @600168
     /*  600168 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600243), // Rule ID 4737 //
     /*  600173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600241 */     GIR_RootConstrainSelectedInstOperands,
     /*  600242 */     // GIR_Coverage, 4737,
     /*  600242 */     GIR_EraseRootFromParent_Done,
     /*  600243 */   // Label 9722: @600243
     /*  600243 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600318), // Rule ID 4738 //
     /*  600248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  600297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600316 */     GIR_RootConstrainSelectedInstOperands,
     /*  600317 */     // GIR_Coverage, 4738,
     /*  600317 */     GIR_EraseRootFromParent_Done,
     /*  600318 */   // Label 9723: @600318
     /*  600318 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600393), // Rule ID 4741 //
     /*  600323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600391 */     GIR_RootConstrainSelectedInstOperands,
     /*  600392 */     // GIR_Coverage, 4741,
     /*  600392 */     GIR_EraseRootFromParent_Done,
     /*  600393 */   // Label 9724: @600393
     /*  600393 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600468), // Rule ID 4742 //
     /*  600398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600466 */     GIR_RootConstrainSelectedInstOperands,
     /*  600467 */     // GIR_Coverage, 4742,
     /*  600467 */     GIR_EraseRootFromParent_Done,
     /*  600468 */   // Label 9725: @600468
     /*  600468 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600543), // Rule ID 4745 //
     /*  600473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600541 */     GIR_RootConstrainSelectedInstOperands,
     /*  600542 */     // GIR_Coverage, 4745,
     /*  600542 */     GIR_EraseRootFromParent_Done,
     /*  600543 */   // Label 9726: @600543
     /*  600543 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600618), // Rule ID 4746 //
     /*  600548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600616 */     GIR_RootConstrainSelectedInstOperands,
     /*  600617 */     // GIR_Coverage, 4746,
     /*  600617 */     GIR_EraseRootFromParent_Done,
     /*  600618 */   // Label 9727: @600618
     /*  600618 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600693), // Rule ID 4749 //
     /*  600623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600691 */     GIR_RootConstrainSelectedInstOperands,
     /*  600692 */     // GIR_Coverage, 4749,
     /*  600692 */     GIR_EraseRootFromParent_Done,
     /*  600693 */   // Label 9728: @600693
     /*  600693 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600768), // Rule ID 4750 //
     /*  600698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600766 */     GIR_RootConstrainSelectedInstOperands,
     /*  600767 */     // GIR_Coverage, 4750,
     /*  600767 */     GIR_EraseRootFromParent_Done,
     /*  600768 */   // Label 9729: @600768
     /*  600768 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600843), // Rule ID 4753 //
     /*  600773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600841 */     GIR_RootConstrainSelectedInstOperands,
     /*  600842 */     // GIR_Coverage, 4753,
     /*  600842 */     GIR_EraseRootFromParent_Done,
     /*  600843 */   // Label 9730: @600843
     /*  600843 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600918), // Rule ID 4754 //
     /*  600848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600916 */     GIR_RootConstrainSelectedInstOperands,
     /*  600917 */     // GIR_Coverage, 4754,
     /*  600917 */     GIR_EraseRootFromParent_Done,
     /*  600918 */   // Label 9731: @600918
     /*  600918 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(600993), // Rule ID 4757 //
     /*  600923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  600934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  600937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  600940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600969 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  600972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600991 */     GIR_RootConstrainSelectedInstOperands,
     /*  600992 */     // GIR_Coverage, 4757,
     /*  600992 */     GIR_EraseRootFromParent_Done,
     /*  600993 */   // Label 9732: @600993
     /*  600993 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(601068), // Rule ID 4758 //
     /*  600998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  601047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601066 */     GIR_RootConstrainSelectedInstOperands,
     /*  601067 */     // GIR_Coverage, 4758,
     /*  601067 */     GIR_EraseRootFromParent_Done,
     /*  601068 */   // Label 9733: @601068
     /*  601068 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601143), // Rule ID 4761 //
     /*  601073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601141 */     GIR_RootConstrainSelectedInstOperands,
     /*  601142 */     // GIR_Coverage, 4761,
     /*  601142 */     GIR_EraseRootFromParent_Done,
     /*  601143 */   // Label 9734: @601143
     /*  601143 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601218), // Rule ID 4762 //
     /*  601148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  601197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601216 */     GIR_RootConstrainSelectedInstOperands,
     /*  601217 */     // GIR_Coverage, 4762,
     /*  601217 */     GIR_EraseRootFromParent_Done,
     /*  601218 */   // Label 9735: @601218
     /*  601218 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601293), // Rule ID 4765 //
     /*  601223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601291 */     GIR_RootConstrainSelectedInstOperands,
     /*  601292 */     // GIR_Coverage, 4765,
     /*  601292 */     GIR_EraseRootFromParent_Done,
     /*  601293 */   // Label 9736: @601293
     /*  601293 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601368), // Rule ID 4766 //
     /*  601298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  601347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601366 */     GIR_RootConstrainSelectedInstOperands,
     /*  601367 */     // GIR_Coverage, 4766,
     /*  601367 */     GIR_EraseRootFromParent_Done,
     /*  601368 */   // Label 9737: @601368
     /*  601368 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601443), // Rule ID 4769 //
     /*  601373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601441 */     GIR_RootConstrainSelectedInstOperands,
     /*  601442 */     // GIR_Coverage, 4769,
     /*  601442 */     GIR_EraseRootFromParent_Done,
     /*  601443 */   // Label 9738: @601443
     /*  601443 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601518), // Rule ID 4770 //
     /*  601448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  601497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601516 */     GIR_RootConstrainSelectedInstOperands,
     /*  601517 */     // GIR_Coverage, 4770,
     /*  601517 */     GIR_EraseRootFromParent_Done,
     /*  601518 */   // Label 9739: @601518
     /*  601518 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601590), // Rule ID 5123 //
     /*  601523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601588 */     GIR_RootConstrainSelectedInstOperands,
     /*  601589 */     // GIR_Coverage, 5123,
     /*  601589 */     GIR_EraseRootFromParent_Done,
     /*  601590 */   // Label 9740: @601590
     /*  601590 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601662), // Rule ID 5124 //
     /*  601595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601660 */     GIR_RootConstrainSelectedInstOperands,
     /*  601661 */     // GIR_Coverage, 5124,
     /*  601661 */     GIR_EraseRootFromParent_Done,
     /*  601662 */   // Label 9741: @601662
     /*  601662 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601734), // Rule ID 5125 //
     /*  601667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  601716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601732 */     GIR_RootConstrainSelectedInstOperands,
     /*  601733 */     // GIR_Coverage, 5125,
     /*  601733 */     GIR_EraseRootFromParent_Done,
     /*  601734 */   // Label 9742: @601734
     /*  601734 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601806), // Rule ID 5126 //
     /*  601739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  601788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601804 */     GIR_RootConstrainSelectedInstOperands,
     /*  601805 */     // GIR_Coverage, 5126,
     /*  601805 */     GIR_EraseRootFromParent_Done,
     /*  601806 */   // Label 9743: @601806
     /*  601806 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601878), // Rule ID 5127 //
     /*  601811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601857 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  601857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601876 */     GIR_RootConstrainSelectedInstOperands,
     /*  601877 */     // GIR_Coverage, 5127,
     /*  601877 */     GIR_EraseRootFromParent_Done,
     /*  601878 */   // Label 9744: @601878
     /*  601878 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(601950), // Rule ID 5128 //
     /*  601883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  601929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  601932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601948 */     GIR_RootConstrainSelectedInstOperands,
     /*  601949 */     // GIR_Coverage, 5128,
     /*  601949 */     GIR_EraseRootFromParent_Done,
     /*  601950 */   // Label 9745: @601950
     /*  601950 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(602022), // Rule ID 5129 //
     /*  601955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602020 */     GIR_RootConstrainSelectedInstOperands,
     /*  602021 */     // GIR_Coverage, 5129,
     /*  602021 */     GIR_EraseRootFromParent_Done,
     /*  602022 */   // Label 9746: @602022
     /*  602022 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(602094), // Rule ID 5130 //
     /*  602027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602092 */     GIR_RootConstrainSelectedInstOperands,
     /*  602093 */     // GIR_Coverage, 5130,
     /*  602093 */     GIR_EraseRootFromParent_Done,
     /*  602094 */   // Label 9747: @602094
     /*  602094 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602166), // Rule ID 5131 //
     /*  602099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602164 */     GIR_RootConstrainSelectedInstOperands,
     /*  602165 */     // GIR_Coverage, 5131,
     /*  602165 */     GIR_EraseRootFromParent_Done,
     /*  602166 */   // Label 9748: @602166
     /*  602166 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602238), // Rule ID 5132 //
     /*  602171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  602220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602236 */     GIR_RootConstrainSelectedInstOperands,
     /*  602237 */     // GIR_Coverage, 5132,
     /*  602237 */     GIR_EraseRootFromParent_Done,
     /*  602238 */   // Label 9749: @602238
     /*  602238 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602310), // Rule ID 5133 //
     /*  602243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602308 */     GIR_RootConstrainSelectedInstOperands,
     /*  602309 */     // GIR_Coverage, 5133,
     /*  602309 */     GIR_EraseRootFromParent_Done,
     /*  602310 */   // Label 9750: @602310
     /*  602310 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602382), // Rule ID 5134 //
     /*  602315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602380 */     GIR_RootConstrainSelectedInstOperands,
     /*  602381 */     // GIR_Coverage, 5134,
     /*  602381 */     GIR_EraseRootFromParent_Done,
     /*  602382 */   // Label 9751: @602382
     /*  602382 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602454), // Rule ID 5135 //
     /*  602387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602452 */     GIR_RootConstrainSelectedInstOperands,
     /*  602453 */     // GIR_Coverage, 5135,
     /*  602453 */     GIR_EraseRootFromParent_Done,
     /*  602454 */   // Label 9752: @602454
     /*  602454 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602526), // Rule ID 5136 //
     /*  602459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602524 */     GIR_RootConstrainSelectedInstOperands,
     /*  602525 */     // GIR_Coverage, 5136,
     /*  602525 */     GIR_EraseRootFromParent_Done,
     /*  602526 */   // Label 9753: @602526
     /*  602526 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602598), // Rule ID 5137 //
     /*  602531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602596 */     GIR_RootConstrainSelectedInstOperands,
     /*  602597 */     // GIR_Coverage, 5137,
     /*  602597 */     GIR_EraseRootFromParent_Done,
     /*  602598 */   // Label 9754: @602598
     /*  602598 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602670), // Rule ID 5138 //
     /*  602603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602668 */     GIR_RootConstrainSelectedInstOperands,
     /*  602669 */     // GIR_Coverage, 5138,
     /*  602669 */     GIR_EraseRootFromParent_Done,
     /*  602670 */   // Label 9755: @602670
     /*  602670 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602742), // Rule ID 5139 //
     /*  602675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  602678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  602721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602740 */     GIR_RootConstrainSelectedInstOperands,
     /*  602741 */     // GIR_Coverage, 5139,
     /*  602741 */     GIR_EraseRootFromParent_Done,
     /*  602742 */   // Label 9756: @602742
     /*  602742 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602814), // Rule ID 5140 //
     /*  602747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  602750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  602793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  602796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602812 */     GIR_RootConstrainSelectedInstOperands,
     /*  602813 */     // GIR_Coverage, 5140,
     /*  602813 */     GIR_EraseRootFromParent_Done,
     /*  602814 */   // Label 9757: @602814
     /*  602814 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602886), // Rule ID 5141 //
     /*  602819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602884 */     GIR_RootConstrainSelectedInstOperands,
     /*  602885 */     // GIR_Coverage, 5141,
     /*  602885 */     GIR_EraseRootFromParent_Done,
     /*  602886 */   // Label 9758: @602886
     /*  602886 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(602958), // Rule ID 5142 //
     /*  602891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602956 */     GIR_RootConstrainSelectedInstOperands,
     /*  602957 */     // GIR_Coverage, 5142,
     /*  602957 */     GIR_EraseRootFromParent_Done,
     /*  602958 */   // Label 9759: @602958
     /*  602958 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(603030), // Rule ID 5143 //
     /*  602963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  602974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  602977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  602980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  602983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603009 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603028 */     GIR_RootConstrainSelectedInstOperands,
     /*  603029 */     // GIR_Coverage, 5143,
     /*  603029 */     GIR_EraseRootFromParent_Done,
     /*  603030 */   // Label 9760: @603030
     /*  603030 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603102), // Rule ID 5144 //
     /*  603035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603081 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603100 */     GIR_RootConstrainSelectedInstOperands,
     /*  603101 */     // GIR_Coverage, 5144,
     /*  603101 */     GIR_EraseRootFromParent_Done,
     /*  603102 */   // Label 9761: @603102
     /*  603102 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603174), // Rule ID 5145 //
     /*  603107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603153 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603172 */     GIR_RootConstrainSelectedInstOperands,
     /*  603173 */     // GIR_Coverage, 5145,
     /*  603173 */     GIR_EraseRootFromParent_Done,
     /*  603174 */   // Label 9762: @603174
     /*  603174 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603246), // Rule ID 5146 //
     /*  603179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603225 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603244 */     GIR_RootConstrainSelectedInstOperands,
     /*  603245 */     // GIR_Coverage, 5146,
     /*  603245 */     GIR_EraseRootFromParent_Done,
     /*  603246 */   // Label 9763: @603246
     /*  603246 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603318), // Rule ID 5147 //
     /*  603251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603297 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603316 */     GIR_RootConstrainSelectedInstOperands,
     /*  603317 */     // GIR_Coverage, 5147,
     /*  603317 */     GIR_EraseRootFromParent_Done,
     /*  603318 */   // Label 9764: @603318
     /*  603318 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603390), // Rule ID 5148 //
     /*  603323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603388 */     GIR_RootConstrainSelectedInstOperands,
     /*  603389 */     // GIR_Coverage, 5148,
     /*  603389 */     GIR_EraseRootFromParent_Done,
     /*  603390 */   // Label 9765: @603390
     /*  603390 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603462), // Rule ID 5149 //
     /*  603395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603460 */     GIR_RootConstrainSelectedInstOperands,
     /*  603461 */     // GIR_Coverage, 5149,
     /*  603461 */     GIR_EraseRootFromParent_Done,
     /*  603462 */   // Label 9766: @603462
     /*  603462 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603534), // Rule ID 5150 //
     /*  603467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603532 */     GIR_RootConstrainSelectedInstOperands,
     /*  603533 */     // GIR_Coverage, 5150,
     /*  603533 */     GIR_EraseRootFromParent_Done,
     /*  603534 */   // Label 9767: @603534
     /*  603534 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603606), // Rule ID 5151 //
     /*  603539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603585 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603604 */     GIR_RootConstrainSelectedInstOperands,
     /*  603605 */     // GIR_Coverage, 5151,
     /*  603605 */     GIR_EraseRootFromParent_Done,
     /*  603606 */   // Label 9768: @603606
     /*  603606 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603678), // Rule ID 5152 //
     /*  603611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603657 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603676 */     GIR_RootConstrainSelectedInstOperands,
     /*  603677 */     // GIR_Coverage, 5152,
     /*  603677 */     GIR_EraseRootFromParent_Done,
     /*  603678 */   // Label 9769: @603678
     /*  603678 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603750), // Rule ID 5153 //
     /*  603683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603748 */     GIR_RootConstrainSelectedInstOperands,
     /*  603749 */     // GIR_Coverage, 5153,
     /*  603749 */     GIR_EraseRootFromParent_Done,
     /*  603750 */   // Label 9770: @603750
     /*  603750 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603822), // Rule ID 5154 //
     /*  603755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603801 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603820 */     GIR_RootConstrainSelectedInstOperands,
     /*  603821 */     // GIR_Coverage, 5154,
     /*  603821 */     GIR_EraseRootFromParent_Done,
     /*  603822 */   // Label 9771: @603822
     /*  603822 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603894), // Rule ID 5155 //
     /*  603827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603892 */     GIR_RootConstrainSelectedInstOperands,
     /*  603893 */     // GIR_Coverage, 5155,
     /*  603893 */     GIR_EraseRootFromParent_Done,
     /*  603894 */   // Label 9772: @603894
     /*  603894 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(603966), // Rule ID 5156 //
     /*  603899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603964 */     GIR_RootConstrainSelectedInstOperands,
     /*  603965 */     // GIR_Coverage, 5156,
     /*  603965 */     GIR_EraseRootFromParent_Done,
     /*  603966 */   // Label 9773: @603966
     /*  603966 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604038), // Rule ID 5157 //
     /*  603971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604036 */     GIR_RootConstrainSelectedInstOperands,
     /*  604037 */     // GIR_Coverage, 5157,
     /*  604037 */     GIR_EraseRootFromParent_Done,
     /*  604038 */   // Label 9774: @604038
     /*  604038 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604110), // Rule ID 5158 //
     /*  604043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604108 */     GIR_RootConstrainSelectedInstOperands,
     /*  604109 */     // GIR_Coverage, 5158,
     /*  604109 */     GIR_EraseRootFromParent_Done,
     /*  604110 */   // Label 9775: @604110
     /*  604110 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604182), // Rule ID 5159 //
     /*  604115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604180 */     GIR_RootConstrainSelectedInstOperands,
     /*  604181 */     // GIR_Coverage, 5159,
     /*  604181 */     GIR_EraseRootFromParent_Done,
     /*  604182 */   // Label 9776: @604182
     /*  604182 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604254), // Rule ID 5160 //
     /*  604187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  604236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604252 */     GIR_RootConstrainSelectedInstOperands,
     /*  604253 */     // GIR_Coverage, 5160,
     /*  604253 */     GIR_EraseRootFromParent_Done,
     /*  604254 */   // Label 9777: @604254
     /*  604254 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604326), // Rule ID 5161 //
     /*  604259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604324 */     GIR_RootConstrainSelectedInstOperands,
     /*  604325 */     // GIR_Coverage, 5161,
     /*  604325 */     GIR_EraseRootFromParent_Done,
     /*  604326 */   // Label 9778: @604326
     /*  604326 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604398), // Rule ID 5162 //
     /*  604331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  604380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604396 */     GIR_RootConstrainSelectedInstOperands,
     /*  604397 */     // GIR_Coverage, 5162,
     /*  604397 */     GIR_EraseRootFromParent_Done,
     /*  604398 */   // Label 9779: @604398
     /*  604398 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604470), // Rule ID 5163 //
     /*  604403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604468 */     GIR_RootConstrainSelectedInstOperands,
     /*  604469 */     // GIR_Coverage, 5163,
     /*  604469 */     GIR_EraseRootFromParent_Done,
     /*  604470 */   // Label 9780: @604470
     /*  604470 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604542), // Rule ID 5164 //
     /*  604475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604521 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  604524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604540 */     GIR_RootConstrainSelectedInstOperands,
     /*  604541 */     // GIR_Coverage, 5164,
     /*  604541 */     GIR_EraseRootFromParent_Done,
     /*  604542 */   // Label 9781: @604542
     /*  604542 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604614), // Rule ID 5165 //
     /*  604547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  604596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604612 */     GIR_RootConstrainSelectedInstOperands,
     /*  604613 */     // GIR_Coverage, 5165,
     /*  604613 */     GIR_EraseRootFromParent_Done,
     /*  604614 */   // Label 9782: @604614
     /*  604614 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604686), // Rule ID 5166 //
     /*  604619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  604668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604684 */     GIR_RootConstrainSelectedInstOperands,
     /*  604685 */     // GIR_Coverage, 5166,
     /*  604685 */     GIR_EraseRootFromParent_Done,
     /*  604686 */   // Label 9783: @604686
     /*  604686 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604758), // Rule ID 5167 //
     /*  604691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  604740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604756 */     GIR_RootConstrainSelectedInstOperands,
     /*  604757 */     // GIR_Coverage, 5167,
     /*  604757 */     GIR_EraseRootFromParent_Done,
     /*  604758 */   // Label 9784: @604758
     /*  604758 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604830), // Rule ID 5168 //
     /*  604763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  604812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604828 */     GIR_RootConstrainSelectedInstOperands,
     /*  604829 */     // GIR_Coverage, 5168,
     /*  604829 */     GIR_EraseRootFromParent_Done,
     /*  604830 */   // Label 9785: @604830
     /*  604830 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604902), // Rule ID 5169 //
     /*  604835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604900 */     GIR_RootConstrainSelectedInstOperands,
     /*  604901 */     // GIR_Coverage, 5169,
     /*  604901 */     GIR_EraseRootFromParent_Done,
     /*  604902 */   // Label 9786: @604902
     /*  604902 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(604974), // Rule ID 5170 //
     /*  604907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604972 */     GIR_RootConstrainSelectedInstOperands,
     /*  604973 */     // GIR_Coverage, 5170,
     /*  604973 */     GIR_EraseRootFromParent_Done,
     /*  604974 */   // Label 9787: @604974
     /*  604974 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605046), // Rule ID 5171 //
     /*  604979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605044 */     GIR_RootConstrainSelectedInstOperands,
     /*  605045 */     // GIR_Coverage, 5171,
     /*  605045 */     GIR_EraseRootFromParent_Done,
     /*  605046 */   // Label 9788: @605046
     /*  605046 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605118), // Rule ID 5172 //
     /*  605051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  605100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605116 */     GIR_RootConstrainSelectedInstOperands,
     /*  605117 */     // GIR_Coverage, 5172,
     /*  605117 */     GIR_EraseRootFromParent_Done,
     /*  605118 */   // Label 9789: @605118
     /*  605118 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605190), // Rule ID 5173 //
     /*  605123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605188 */     GIR_RootConstrainSelectedInstOperands,
     /*  605189 */     // GIR_Coverage, 5173,
     /*  605189 */     GIR_EraseRootFromParent_Done,
     /*  605190 */   // Label 9790: @605190
     /*  605190 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605262), // Rule ID 5174 //
     /*  605195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605260 */     GIR_RootConstrainSelectedInstOperands,
     /*  605261 */     // GIR_Coverage, 5174,
     /*  605261 */     GIR_EraseRootFromParent_Done,
     /*  605262 */   // Label 9791: @605262
     /*  605262 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605334), // Rule ID 5175 //
     /*  605267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605332 */     GIR_RootConstrainSelectedInstOperands,
     /*  605333 */     // GIR_Coverage, 5175,
     /*  605333 */     GIR_EraseRootFromParent_Done,
     /*  605334 */   // Label 9792: @605334
     /*  605334 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605406), // Rule ID 5176 //
     /*  605339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  605388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605404 */     GIR_RootConstrainSelectedInstOperands,
     /*  605405 */     // GIR_Coverage, 5176,
     /*  605405 */     GIR_EraseRootFromParent_Done,
     /*  605406 */   // Label 9793: @605406
     /*  605406 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605478), // Rule ID 5177 //
     /*  605411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605476 */     GIR_RootConstrainSelectedInstOperands,
     /*  605477 */     // GIR_Coverage, 5177,
     /*  605477 */     GIR_EraseRootFromParent_Done,
     /*  605478 */   // Label 9794: @605478
     /*  605478 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605550), // Rule ID 5178 //
     /*  605483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605548 */     GIR_RootConstrainSelectedInstOperands,
     /*  605549 */     // GIR_Coverage, 5178,
     /*  605549 */     GIR_EraseRootFromParent_Done,
     /*  605550 */   // Label 9795: @605550
     /*  605550 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605622), // Rule ID 5179 //
     /*  605555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605620 */     GIR_RootConstrainSelectedInstOperands,
     /*  605621 */     // GIR_Coverage, 5179,
     /*  605621 */     GIR_EraseRootFromParent_Done,
     /*  605622 */   // Label 9796: @605622
     /*  605622 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605694), // Rule ID 5180 //
     /*  605627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605692 */     GIR_RootConstrainSelectedInstOperands,
     /*  605693 */     // GIR_Coverage, 5180,
     /*  605693 */     GIR_EraseRootFromParent_Done,
     /*  605694 */   // Label 9797: @605694
     /*  605694 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605766), // Rule ID 5181 //
     /*  605699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605764 */     GIR_RootConstrainSelectedInstOperands,
     /*  605765 */     // GIR_Coverage, 5181,
     /*  605765 */     GIR_EraseRootFromParent_Done,
     /*  605766 */   // Label 9798: @605766
     /*  605766 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605838), // Rule ID 5182 //
     /*  605771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605817 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605836 */     GIR_RootConstrainSelectedInstOperands,
     /*  605837 */     // GIR_Coverage, 5182,
     /*  605837 */     GIR_EraseRootFromParent_Done,
     /*  605838 */   // Label 9799: @605838
     /*  605838 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605910), // Rule ID 5183 //
     /*  605843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605889 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  605889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605908 */     GIR_RootConstrainSelectedInstOperands,
     /*  605909 */     // GIR_Coverage, 5183,
     /*  605909 */     GIR_EraseRootFromParent_Done,
     /*  605910 */   // Label 9800: @605910
     /*  605910 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(605982), // Rule ID 5184 //
     /*  605915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  605961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  605964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605980 */     GIR_RootConstrainSelectedInstOperands,
     /*  605981 */     // GIR_Coverage, 5184,
     /*  605981 */     GIR_EraseRootFromParent_Done,
     /*  605982 */   // Label 9801: @605982
     /*  605982 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606054), // Rule ID 5185 //
     /*  605987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606052 */     GIR_RootConstrainSelectedInstOperands,
     /*  606053 */     // GIR_Coverage, 5185,
     /*  606053 */     GIR_EraseRootFromParent_Done,
     /*  606054 */   // Label 9802: @606054
     /*  606054 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606126), // Rule ID 5186 //
     /*  606059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606105 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606124 */     GIR_RootConstrainSelectedInstOperands,
     /*  606125 */     // GIR_Coverage, 5186,
     /*  606125 */     GIR_EraseRootFromParent_Done,
     /*  606126 */   // Label 9803: @606126
     /*  606126 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606198), // Rule ID 5187 //
     /*  606131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606177 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606196 */     GIR_RootConstrainSelectedInstOperands,
     /*  606197 */     // GIR_Coverage, 5187,
     /*  606197 */     GIR_EraseRootFromParent_Done,
     /*  606198 */   // Label 9804: @606198
     /*  606198 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606270), // Rule ID 5188 //
     /*  606203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606268 */     GIR_RootConstrainSelectedInstOperands,
     /*  606269 */     // GIR_Coverage, 5188,
     /*  606269 */     GIR_EraseRootFromParent_Done,
     /*  606270 */   // Label 9805: @606270
     /*  606270 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606342), // Rule ID 5189 //
     /*  606275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606321 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606340 */     GIR_RootConstrainSelectedInstOperands,
     /*  606341 */     // GIR_Coverage, 5189,
     /*  606341 */     GIR_EraseRootFromParent_Done,
     /*  606342 */   // Label 9806: @606342
     /*  606342 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606414), // Rule ID 5190 //
     /*  606347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606393 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606412 */     GIR_RootConstrainSelectedInstOperands,
     /*  606413 */     // GIR_Coverage, 5190,
     /*  606413 */     GIR_EraseRootFromParent_Done,
     /*  606414 */   // Label 9807: @606414
     /*  606414 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606486), // Rule ID 5191 //
     /*  606419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606484 */     GIR_RootConstrainSelectedInstOperands,
     /*  606485 */     // GIR_Coverage, 5191,
     /*  606485 */     GIR_EraseRootFromParent_Done,
     /*  606486 */   // Label 9808: @606486
     /*  606486 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606558), // Rule ID 5192 //
     /*  606491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606556 */     GIR_RootConstrainSelectedInstOperands,
     /*  606557 */     // GIR_Coverage, 5192,
     /*  606557 */     GIR_EraseRootFromParent_Done,
     /*  606558 */   // Label 9809: @606558
     /*  606558 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606630), // Rule ID 5193 //
     /*  606563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606609 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606628 */     GIR_RootConstrainSelectedInstOperands,
     /*  606629 */     // GIR_Coverage, 5193,
     /*  606629 */     GIR_EraseRootFromParent_Done,
     /*  606630 */   // Label 9810: @606630
     /*  606630 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606702), // Rule ID 5194 //
     /*  606635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606700 */     GIR_RootConstrainSelectedInstOperands,
     /*  606701 */     // GIR_Coverage, 5194,
     /*  606701 */     GIR_EraseRootFromParent_Done,
     /*  606702 */   // Label 9811: @606702
     /*  606702 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606774), // Rule ID 5195 //
     /*  606707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606753 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606772 */     GIR_RootConstrainSelectedInstOperands,
     /*  606773 */     // GIR_Coverage, 5195,
     /*  606773 */     GIR_EraseRootFromParent_Done,
     /*  606774 */   // Label 9812: @606774
     /*  606774 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606846), // Rule ID 5196 //
     /*  606779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606825 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606844 */     GIR_RootConstrainSelectedInstOperands,
     /*  606845 */     // GIR_Coverage, 5196,
     /*  606845 */     GIR_EraseRootFromParent_Done,
     /*  606846 */   // Label 9813: @606846
     /*  606846 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606918), // Rule ID 5197 //
     /*  606851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606916 */     GIR_RootConstrainSelectedInstOperands,
     /*  606917 */     // GIR_Coverage, 5197,
     /*  606917 */     GIR_EraseRootFromParent_Done,
     /*  606918 */   // Label 9814: @606918
     /*  606918 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(606990), // Rule ID 5198 //
     /*  606923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606988 */     GIR_RootConstrainSelectedInstOperands,
     /*  606989 */     // GIR_Coverage, 5198,
     /*  606989 */     GIR_EraseRootFromParent_Done,
     /*  606990 */   // Label 9815: @606990
     /*  606990 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607062), // Rule ID 5199 //
     /*  606995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607060 */     GIR_RootConstrainSelectedInstOperands,
     /*  607061 */     // GIR_Coverage, 5199,
     /*  607061 */     GIR_EraseRootFromParent_Done,
     /*  607062 */   // Label 9816: @607062
     /*  607062 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607134), // Rule ID 5200 //
     /*  607067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607132 */     GIR_RootConstrainSelectedInstOperands,
     /*  607133 */     // GIR_Coverage, 5200,
     /*  607133 */     GIR_EraseRootFromParent_Done,
     /*  607134 */   // Label 9817: @607134
     /*  607134 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607206), // Rule ID 5201 //
     /*  607139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607185 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607204 */     GIR_RootConstrainSelectedInstOperands,
     /*  607205 */     // GIR_Coverage, 5201,
     /*  607205 */     GIR_EraseRootFromParent_Done,
     /*  607206 */   // Label 9818: @607206
     /*  607206 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607278), // Rule ID 5202 //
     /*  607211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607257 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607276 */     GIR_RootConstrainSelectedInstOperands,
     /*  607277 */     // GIR_Coverage, 5202,
     /*  607277 */     GIR_EraseRootFromParent_Done,
     /*  607278 */   // Label 9819: @607278
     /*  607278 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607350), // Rule ID 5203 //
     /*  607283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607348 */     GIR_RootConstrainSelectedInstOperands,
     /*  607349 */     // GIR_Coverage, 5203,
     /*  607349 */     GIR_EraseRootFromParent_Done,
     /*  607350 */   // Label 9820: @607350
     /*  607350 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607422), // Rule ID 5204 //
     /*  607355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  607404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607420 */     GIR_RootConstrainSelectedInstOperands,
     /*  607421 */     // GIR_Coverage, 5204,
     /*  607421 */     GIR_EraseRootFromParent_Done,
     /*  607422 */   // Label 9821: @607422
     /*  607422 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607494), // Rule ID 5205 //
     /*  607427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607492 */     GIR_RootConstrainSelectedInstOperands,
     /*  607493 */     // GIR_Coverage, 5205,
     /*  607493 */     GIR_EraseRootFromParent_Done,
     /*  607494 */   // Label 9822: @607494
     /*  607494 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607566), // Rule ID 5206 //
     /*  607499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  607548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607564 */     GIR_RootConstrainSelectedInstOperands,
     /*  607565 */     // GIR_Coverage, 5206,
     /*  607565 */     GIR_EraseRootFromParent_Done,
     /*  607566 */   // Label 9823: @607566
     /*  607566 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607638), // Rule ID 5207 //
     /*  607571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607636 */     GIR_RootConstrainSelectedInstOperands,
     /*  607637 */     // GIR_Coverage, 5207,
     /*  607637 */     GIR_EraseRootFromParent_Done,
     /*  607638 */   // Label 9824: @607638
     /*  607638 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607710), // Rule ID 5208 //
     /*  607643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  607692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607708 */     GIR_RootConstrainSelectedInstOperands,
     /*  607709 */     // GIR_Coverage, 5208,
     /*  607709 */     GIR_EraseRootFromParent_Done,
     /*  607710 */   // Label 9825: @607710
     /*  607710 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607782), // Rule ID 5471 //
     /*  607715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  607764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607780 */     GIR_RootConstrainSelectedInstOperands,
     /*  607781 */     // GIR_Coverage, 5471,
     /*  607781 */     GIR_EraseRootFromParent_Done,
     /*  607782 */   // Label 9826: @607782
     /*  607782 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607854), // Rule ID 5472 //
     /*  607787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  607836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607852 */     GIR_RootConstrainSelectedInstOperands,
     /*  607853 */     // GIR_Coverage, 5472,
     /*  607853 */     GIR_EraseRootFromParent_Done,
     /*  607854 */   // Label 9827: @607854
     /*  607854 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607926), // Rule ID 5473 //
     /*  607859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  607908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607924 */     GIR_RootConstrainSelectedInstOperands,
     /*  607925 */     // GIR_Coverage, 5473,
     /*  607925 */     GIR_EraseRootFromParent_Done,
     /*  607926 */   // Label 9828: @607926
     /*  607926 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(607998), // Rule ID 5474 //
     /*  607931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  607980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607996 */     GIR_RootConstrainSelectedInstOperands,
     /*  607997 */     // GIR_Coverage, 5474,
     /*  607997 */     GIR_EraseRootFromParent_Done,
     /*  607998 */   // Label 9829: @607998
     /*  607998 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608070), // Rule ID 5475 //
     /*  608003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608068 */     GIR_RootConstrainSelectedInstOperands,
     /*  608069 */     // GIR_Coverage, 5475,
     /*  608069 */     GIR_EraseRootFromParent_Done,
     /*  608070 */   // Label 9830: @608070
     /*  608070 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608142), // Rule ID 5476 //
     /*  608075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608140 */     GIR_RootConstrainSelectedInstOperands,
     /*  608141 */     // GIR_Coverage, 5476,
     /*  608141 */     GIR_EraseRootFromParent_Done,
     /*  608142 */   // Label 9831: @608142
     /*  608142 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608214), // Rule ID 5477 //
     /*  608147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608212 */     GIR_RootConstrainSelectedInstOperands,
     /*  608213 */     // GIR_Coverage, 5477,
     /*  608213 */     GIR_EraseRootFromParent_Done,
     /*  608214 */   // Label 9832: @608214
     /*  608214 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608286), // Rule ID 5478 //
     /*  608219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  608268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608284 */     GIR_RootConstrainSelectedInstOperands,
     /*  608285 */     // GIR_Coverage, 5478,
     /*  608285 */     GIR_EraseRootFromParent_Done,
     /*  608286 */   // Label 9833: @608286
     /*  608286 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608358), // Rule ID 5479 //
     /*  608291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608356 */     GIR_RootConstrainSelectedInstOperands,
     /*  608357 */     // GIR_Coverage, 5479,
     /*  608357 */     GIR_EraseRootFromParent_Done,
     /*  608358 */   // Label 9834: @608358
     /*  608358 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608430), // Rule ID 5480 //
     /*  608363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608428 */     GIR_RootConstrainSelectedInstOperands,
     /*  608429 */     // GIR_Coverage, 5480,
     /*  608429 */     GIR_EraseRootFromParent_Done,
     /*  608430 */   // Label 9835: @608430
     /*  608430 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608502), // Rule ID 5481 //
     /*  608435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608500 */     GIR_RootConstrainSelectedInstOperands,
     /*  608501 */     // GIR_Coverage, 5481,
     /*  608501 */     GIR_EraseRootFromParent_Done,
     /*  608502 */   // Label 9836: @608502
     /*  608502 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608574), // Rule ID 5482 //
     /*  608507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  608556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608572 */     GIR_RootConstrainSelectedInstOperands,
     /*  608573 */     // GIR_Coverage, 5482,
     /*  608573 */     GIR_EraseRootFromParent_Done,
     /*  608574 */   // Label 9837: @608574
     /*  608574 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608646), // Rule ID 5483 //
     /*  608579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608644 */     GIR_RootConstrainSelectedInstOperands,
     /*  608645 */     // GIR_Coverage, 5483,
     /*  608645 */     GIR_EraseRootFromParent_Done,
     /*  608646 */   // Label 9838: @608646
     /*  608646 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608718), // Rule ID 5484 //
     /*  608651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608716 */     GIR_RootConstrainSelectedInstOperands,
     /*  608717 */     // GIR_Coverage, 5484,
     /*  608717 */     GIR_EraseRootFromParent_Done,
     /*  608718 */   // Label 9839: @608718
     /*  608718 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608790), // Rule ID 5485 //
     /*  608723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608788 */     GIR_RootConstrainSelectedInstOperands,
     /*  608789 */     // GIR_Coverage, 5485,
     /*  608789 */     GIR_EraseRootFromParent_Done,
     /*  608790 */   // Label 9840: @608790
     /*  608790 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608862), // Rule ID 5486 //
     /*  608795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608841 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608860 */     GIR_RootConstrainSelectedInstOperands,
     /*  608861 */     // GIR_Coverage, 5486,
     /*  608861 */     GIR_EraseRootFromParent_Done,
     /*  608862 */   // Label 9841: @608862
     /*  608862 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608934), // Rule ID 5487 //
     /*  608867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608932 */     GIR_RootConstrainSelectedInstOperands,
     /*  608933 */     // GIR_Coverage, 5487,
     /*  608933 */     GIR_EraseRootFromParent_Done,
     /*  608934 */   // Label 9842: @608934
     /*  608934 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609006), // Rule ID 5488 //
     /*  608939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  608988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609004 */     GIR_RootConstrainSelectedInstOperands,
     /*  609005 */     // GIR_Coverage, 5488,
     /*  609005 */     GIR_EraseRootFromParent_Done,
     /*  609006 */   // Label 9843: @609006
     /*  609006 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609078), // Rule ID 5489 //
     /*  609011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609076 */     GIR_RootConstrainSelectedInstOperands,
     /*  609077 */     // GIR_Coverage, 5489,
     /*  609077 */     GIR_EraseRootFromParent_Done,
     /*  609078 */   // Label 9844: @609078
     /*  609078 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609150), // Rule ID 5490 //
     /*  609083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  609132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609148 */     GIR_RootConstrainSelectedInstOperands,
     /*  609149 */     // GIR_Coverage, 5490,
     /*  609149 */     GIR_EraseRootFromParent_Done,
     /*  609150 */   // Label 9845: @609150
     /*  609150 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609222), // Rule ID 5491 //
     /*  609155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609201 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609220 */     GIR_RootConstrainSelectedInstOperands,
     /*  609221 */     // GIR_Coverage, 5491,
     /*  609221 */     GIR_EraseRootFromParent_Done,
     /*  609222 */   // Label 9846: @609222
     /*  609222 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609294), // Rule ID 5492 //
     /*  609227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609273 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609292 */     GIR_RootConstrainSelectedInstOperands,
     /*  609293 */     // GIR_Coverage, 5492,
     /*  609293 */     GIR_EraseRootFromParent_Done,
     /*  609294 */   // Label 9847: @609294
     /*  609294 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609366), // Rule ID 5493 //
     /*  609299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609345 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609364 */     GIR_RootConstrainSelectedInstOperands,
     /*  609365 */     // GIR_Coverage, 5493,
     /*  609365 */     GIR_EraseRootFromParent_Done,
     /*  609366 */   // Label 9848: @609366
     /*  609366 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609438), // Rule ID 5494 //
     /*  609371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609417 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609436 */     GIR_RootConstrainSelectedInstOperands,
     /*  609437 */     // GIR_Coverage, 5494,
     /*  609437 */     GIR_EraseRootFromParent_Done,
     /*  609438 */   // Label 9849: @609438
     /*  609438 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609510), // Rule ID 5495 //
     /*  609443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609489 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609508 */     GIR_RootConstrainSelectedInstOperands,
     /*  609509 */     // GIR_Coverage, 5495,
     /*  609509 */     GIR_EraseRootFromParent_Done,
     /*  609510 */   // Label 9850: @609510
     /*  609510 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609582), // Rule ID 5496 //
     /*  609515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  609526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  609535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609561 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609580 */     GIR_RootConstrainSelectedInstOperands,
     /*  609581 */     // GIR_Coverage, 5496,
     /*  609581 */     GIR_EraseRootFromParent_Done,
     /*  609582 */   // Label 9851: @609582
     /*  609582 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609654), // Rule ID 5497 //
     /*  609587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609652 */     GIR_RootConstrainSelectedInstOperands,
     /*  609653 */     // GIR_Coverage, 5497,
     /*  609653 */     GIR_EraseRootFromParent_Done,
     /*  609654 */   // Label 9852: @609654
     /*  609654 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609726), // Rule ID 5498 //
     /*  609659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609724 */     GIR_RootConstrainSelectedInstOperands,
     /*  609725 */     // GIR_Coverage, 5498,
     /*  609725 */     GIR_EraseRootFromParent_Done,
     /*  609726 */   // Label 9853: @609726
     /*  609726 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609798), // Rule ID 5499 //
     /*  609731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609796 */     GIR_RootConstrainSelectedInstOperands,
     /*  609797 */     // GIR_Coverage, 5499,
     /*  609797 */     GIR_EraseRootFromParent_Done,
     /*  609798 */   // Label 9854: @609798
     /*  609798 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609870), // Rule ID 5500 //
     /*  609803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609849 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609868 */     GIR_RootConstrainSelectedInstOperands,
     /*  609869 */     // GIR_Coverage, 5500,
     /*  609869 */     GIR_EraseRootFromParent_Done,
     /*  609870 */   // Label 9855: @609870
     /*  609870 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609942), // Rule ID 5501 //
     /*  609875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609921 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609940 */     GIR_RootConstrainSelectedInstOperands,
     /*  609941 */     // GIR_Coverage, 5501,
     /*  609941 */     GIR_EraseRootFromParent_Done,
     /*  609942 */   // Label 9856: @609942
     /*  609942 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610014), // Rule ID 5502 //
     /*  609947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  609958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  609967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609993 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610012 */     GIR_RootConstrainSelectedInstOperands,
     /*  610013 */     // GIR_Coverage, 5502,
     /*  610013 */     GIR_EraseRootFromParent_Done,
     /*  610014 */   // Label 9857: @610014
     /*  610014 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610086), // Rule ID 5503 //
     /*  610019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610084 */     GIR_RootConstrainSelectedInstOperands,
     /*  610085 */     // GIR_Coverage, 5503,
     /*  610085 */     GIR_EraseRootFromParent_Done,
     /*  610086 */   // Label 9858: @610086
     /*  610086 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610158), // Rule ID 5504 //
     /*  610091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610137 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610156 */     GIR_RootConstrainSelectedInstOperands,
     /*  610157 */     // GIR_Coverage, 5504,
     /*  610157 */     GIR_EraseRootFromParent_Done,
     /*  610158 */   // Label 9859: @610158
     /*  610158 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610230), // Rule ID 5505 //
     /*  610163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610228 */     GIR_RootConstrainSelectedInstOperands,
     /*  610229 */     // GIR_Coverage, 5505,
     /*  610229 */     GIR_EraseRootFromParent_Done,
     /*  610230 */   // Label 9860: @610230
     /*  610230 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610302), // Rule ID 5506 //
     /*  610235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610300 */     GIR_RootConstrainSelectedInstOperands,
     /*  610301 */     // GIR_Coverage, 5506,
     /*  610301 */     GIR_EraseRootFromParent_Done,
     /*  610302 */   // Label 9861: @610302
     /*  610302 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610374), // Rule ID 5507 //
     /*  610307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610372 */     GIR_RootConstrainSelectedInstOperands,
     /*  610373 */     // GIR_Coverage, 5507,
     /*  610373 */     GIR_EraseRootFromParent_Done,
     /*  610374 */   // Label 9862: @610374
     /*  610374 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610446), // Rule ID 5508 //
     /*  610379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610425 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610444 */     GIR_RootConstrainSelectedInstOperands,
     /*  610445 */     // GIR_Coverage, 5508,
     /*  610445 */     GIR_EraseRootFromParent_Done,
     /*  610446 */   // Label 9863: @610446
     /*  610446 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610518), // Rule ID 5509 //
     /*  610451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610516 */     GIR_RootConstrainSelectedInstOperands,
     /*  610517 */     // GIR_Coverage, 5509,
     /*  610517 */     GIR_EraseRootFromParent_Done,
     /*  610518 */   // Label 9864: @610518
     /*  610518 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610590), // Rule ID 5510 //
     /*  610523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  610537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  610540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  610572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610588 */     GIR_RootConstrainSelectedInstOperands,
     /*  610589 */     // GIR_Coverage, 5510,
     /*  610589 */     GIR_EraseRootFromParent_Done,
     /*  610590 */   // Label 9865: @610590
     /*  610590 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610662), // Rule ID 5511 //
     /*  610595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  610609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  610612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610660 */     GIR_RootConstrainSelectedInstOperands,
     /*  610661 */     // GIR_Coverage, 5511,
     /*  610661 */     GIR_EraseRootFromParent_Done,
     /*  610662 */   // Label 9866: @610662
     /*  610662 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610734), // Rule ID 5512 //
     /*  610667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  610681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  610684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  610716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610732 */     GIR_RootConstrainSelectedInstOperands,
     /*  610733 */     // GIR_Coverage, 5512,
     /*  610733 */     GIR_EraseRootFromParent_Done,
     /*  610734 */   // Label 9867: @610734
     /*  610734 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610806), // Rule ID 5513 //
     /*  610739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  610753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  610756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610804 */     GIR_RootConstrainSelectedInstOperands,
     /*  610805 */     // GIR_Coverage, 5513,
     /*  610805 */     GIR_EraseRootFromParent_Done,
     /*  610806 */   // Label 9868: @610806
     /*  610806 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610878), // Rule ID 5514 //
     /*  610811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  610825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  610828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  610860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610876 */     GIR_RootConstrainSelectedInstOperands,
     /*  610877 */     // GIR_Coverage, 5514,
     /*  610877 */     GIR_EraseRootFromParent_Done,
     /*  610878 */   // Label 9869: @610878
     /*  610878 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(610950), // Rule ID 5515 //
     /*  610883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  610932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610948 */     GIR_RootConstrainSelectedInstOperands,
     /*  610949 */     // GIR_Coverage, 5515,
     /*  610949 */     GIR_EraseRootFromParent_Done,
     /*  610950 */   // Label 9870: @610950
     /*  610950 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611022), // Rule ID 5516 //
     /*  610955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  611004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611020 */     GIR_RootConstrainSelectedInstOperands,
     /*  611021 */     // GIR_Coverage, 5516,
     /*  611021 */     GIR_EraseRootFromParent_Done,
     /*  611022 */   // Label 9871: @611022
     /*  611022 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611094), // Rule ID 5517 //
     /*  611027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611092 */     GIR_RootConstrainSelectedInstOperands,
     /*  611093 */     // GIR_Coverage, 5517,
     /*  611093 */     GIR_EraseRootFromParent_Done,
     /*  611094 */   // Label 9872: @611094
     /*  611094 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611166), // Rule ID 5518 //
     /*  611099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611145 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611164 */     GIR_RootConstrainSelectedInstOperands,
     /*  611165 */     // GIR_Coverage, 5518,
     /*  611165 */     GIR_EraseRootFromParent_Done,
     /*  611166 */   // Label 9873: @611166
     /*  611166 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611238), // Rule ID 5519 //
     /*  611171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611236 */     GIR_RootConstrainSelectedInstOperands,
     /*  611237 */     // GIR_Coverage, 5519,
     /*  611237 */     GIR_EraseRootFromParent_Done,
     /*  611238 */   // Label 9874: @611238
     /*  611238 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611310), // Rule ID 5520 //
     /*  611243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611308 */     GIR_RootConstrainSelectedInstOperands,
     /*  611309 */     // GIR_Coverage, 5520,
     /*  611309 */     GIR_EraseRootFromParent_Done,
     /*  611310 */   // Label 9875: @611310
     /*  611310 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611382), // Rule ID 5521 //
     /*  611315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611380 */     GIR_RootConstrainSelectedInstOperands,
     /*  611381 */     // GIR_Coverage, 5521,
     /*  611381 */     GIR_EraseRootFromParent_Done,
     /*  611382 */   // Label 9876: @611382
     /*  611382 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611454), // Rule ID 5522 //
     /*  611387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  611436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611452 */     GIR_RootConstrainSelectedInstOperands,
     /*  611453 */     // GIR_Coverage, 5522,
     /*  611453 */     GIR_EraseRootFromParent_Done,
     /*  611454 */   // Label 9877: @611454
     /*  611454 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611526), // Rule ID 5523 //
     /*  611459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611524 */     GIR_RootConstrainSelectedInstOperands,
     /*  611525 */     // GIR_Coverage, 5523,
     /*  611525 */     GIR_EraseRootFromParent_Done,
     /*  611526 */   // Label 9878: @611526
     /*  611526 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611598), // Rule ID 5524 //
     /*  611531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611596 */     GIR_RootConstrainSelectedInstOperands,
     /*  611597 */     // GIR_Coverage, 5524,
     /*  611597 */     GIR_EraseRootFromParent_Done,
     /*  611598 */   // Label 9879: @611598
     /*  611598 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611670), // Rule ID 5525 //
     /*  611603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611668 */     GIR_RootConstrainSelectedInstOperands,
     /*  611669 */     // GIR_Coverage, 5525,
     /*  611669 */     GIR_EraseRootFromParent_Done,
     /*  611670 */   // Label 9880: @611670
     /*  611670 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611742), // Rule ID 5526 //
     /*  611675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  611724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611740 */     GIR_RootConstrainSelectedInstOperands,
     /*  611741 */     // GIR_Coverage, 5526,
     /*  611741 */     GIR_EraseRootFromParent_Done,
     /*  611742 */   // Label 9881: @611742
     /*  611742 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611814), // Rule ID 5527 //
     /*  611747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611812 */     GIR_RootConstrainSelectedInstOperands,
     /*  611813 */     // GIR_Coverage, 5527,
     /*  611813 */     GIR_EraseRootFromParent_Done,
     /*  611814 */   // Label 9882: @611814
     /*  611814 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611886), // Rule ID 5528 //
     /*  611819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611865 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611884 */     GIR_RootConstrainSelectedInstOperands,
     /*  611885 */     // GIR_Coverage, 5528,
     /*  611885 */     GIR_EraseRootFromParent_Done,
     /*  611886 */   // Label 9883: @611886
     /*  611886 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(611958), // Rule ID 5529 //
     /*  611891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611956 */     GIR_RootConstrainSelectedInstOperands,
     /*  611957 */     // GIR_Coverage, 5529,
     /*  611957 */     GIR_EraseRootFromParent_Done,
     /*  611958 */   // Label 9884: @611958
     /*  611958 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612030), // Rule ID 5530 //
     /*  611963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612028 */     GIR_RootConstrainSelectedInstOperands,
     /*  612029 */     // GIR_Coverage, 5530,
     /*  612029 */     GIR_EraseRootFromParent_Done,
     /*  612030 */   // Label 9885: @612030
     /*  612030 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612102), // Rule ID 5531 //
     /*  612035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612100 */     GIR_RootConstrainSelectedInstOperands,
     /*  612101 */     // GIR_Coverage, 5531,
     /*  612101 */     GIR_EraseRootFromParent_Done,
     /*  612102 */   // Label 9886: @612102
     /*  612102 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612174), // Rule ID 5532 //
     /*  612107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612153 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612172 */     GIR_RootConstrainSelectedInstOperands,
     /*  612173 */     // GIR_Coverage, 5532,
     /*  612173 */     GIR_EraseRootFromParent_Done,
     /*  612174 */   // Label 9887: @612174
     /*  612174 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612246), // Rule ID 5533 //
     /*  612179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612244 */     GIR_RootConstrainSelectedInstOperands,
     /*  612245 */     // GIR_Coverage, 5533,
     /*  612245 */     GIR_EraseRootFromParent_Done,
     /*  612246 */   // Label 9888: @612246
     /*  612246 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612318), // Rule ID 5534 //
     /*  612251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  612300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612316 */     GIR_RootConstrainSelectedInstOperands,
     /*  612317 */     // GIR_Coverage, 5534,
     /*  612317 */     GIR_EraseRootFromParent_Done,
     /*  612318 */   // Label 9889: @612318
     /*  612318 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612390), // Rule ID 5535 //
     /*  612323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612388 */     GIR_RootConstrainSelectedInstOperands,
     /*  612389 */     // GIR_Coverage, 5535,
     /*  612389 */     GIR_EraseRootFromParent_Done,
     /*  612390 */   // Label 9890: @612390
     /*  612390 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612462), // Rule ID 5536 //
     /*  612395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612460 */     GIR_RootConstrainSelectedInstOperands,
     /*  612461 */     // GIR_Coverage, 5536,
     /*  612461 */     GIR_EraseRootFromParent_Done,
     /*  612462 */   // Label 9891: @612462
     /*  612462 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612534), // Rule ID 5537 //
     /*  612467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612532 */     GIR_RootConstrainSelectedInstOperands,
     /*  612533 */     // GIR_Coverage, 5537,
     /*  612533 */     GIR_EraseRootFromParent_Done,
     /*  612534 */   // Label 9892: @612534
     /*  612534 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612606), // Rule ID 5538 //
     /*  612539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  612553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612585 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612604 */     GIR_RootConstrainSelectedInstOperands,
     /*  612605 */     // GIR_Coverage, 5538,
     /*  612605 */     GIR_EraseRootFromParent_Done,
     /*  612606 */   // Label 9893: @612606
     /*  612606 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612678), // Rule ID 5539 //
     /*  612611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  612622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  612625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  612631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612657 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612676 */     GIR_RootConstrainSelectedInstOperands,
     /*  612677 */     // GIR_Coverage, 5539,
     /*  612677 */     GIR_EraseRootFromParent_Done,
     /*  612678 */   // Label 9894: @612678
     /*  612678 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612750), // Rule ID 5540 //
     /*  612683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  612694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  612697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  612703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612729 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612748 */     GIR_RootConstrainSelectedInstOperands,
     /*  612749 */     // GIR_Coverage, 5540,
     /*  612749 */     GIR_EraseRootFromParent_Done,
     /*  612750 */   // Label 9895: @612750
     /*  612750 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612822), // Rule ID 5541 //
     /*  612755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612820 */     GIR_RootConstrainSelectedInstOperands,
     /*  612821 */     // GIR_Coverage, 5541,
     /*  612821 */     GIR_EraseRootFromParent_Done,
     /*  612822 */   // Label 9896: @612822
     /*  612822 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612894), // Rule ID 5542 //
     /*  612827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612892 */     GIR_RootConstrainSelectedInstOperands,
     /*  612893 */     // GIR_Coverage, 5542,
     /*  612893 */     GIR_EraseRootFromParent_Done,
     /*  612894 */   // Label 9897: @612894
     /*  612894 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(612966), // Rule ID 5543 //
     /*  612899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612945 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612964 */     GIR_RootConstrainSelectedInstOperands,
     /*  612965 */     // GIR_Coverage, 5543,
     /*  612965 */     GIR_EraseRootFromParent_Done,
     /*  612966 */   // Label 9898: @612966
     /*  612966 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613038), // Rule ID 5544 //
     /*  612971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613036 */     GIR_RootConstrainSelectedInstOperands,
     /*  613037 */     // GIR_Coverage, 5544,
     /*  613037 */     GIR_EraseRootFromParent_Done,
     /*  613038 */   // Label 9899: @613038
     /*  613038 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613110), // Rule ID 5545 //
     /*  613043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613108 */     GIR_RootConstrainSelectedInstOperands,
     /*  613109 */     // GIR_Coverage, 5545,
     /*  613109 */     GIR_EraseRootFromParent_Done,
     /*  613110 */   // Label 9900: @613110
     /*  613110 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613182), // Rule ID 5546 //
     /*  613115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613161 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613180 */     GIR_RootConstrainSelectedInstOperands,
     /*  613181 */     // GIR_Coverage, 5546,
     /*  613181 */     GIR_EraseRootFromParent_Done,
     /*  613182 */   // Label 9901: @613182
     /*  613182 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613254), // Rule ID 5547 //
     /*  613187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613233 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613252 */     GIR_RootConstrainSelectedInstOperands,
     /*  613253 */     // GIR_Coverage, 5547,
     /*  613253 */     GIR_EraseRootFromParent_Done,
     /*  613254 */   // Label 9902: @613254
     /*  613254 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613326), // Rule ID 5548 //
     /*  613259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613324 */     GIR_RootConstrainSelectedInstOperands,
     /*  613325 */     // GIR_Coverage, 5548,
     /*  613325 */     GIR_EraseRootFromParent_Done,
     /*  613326 */   // Label 9903: @613326
     /*  613326 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613398), // Rule ID 5549 //
     /*  613331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613396 */     GIR_RootConstrainSelectedInstOperands,
     /*  613397 */     // GIR_Coverage, 5549,
     /*  613397 */     GIR_EraseRootFromParent_Done,
     /*  613398 */   // Label 9904: @613398
     /*  613398 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613470), // Rule ID 5550 //
     /*  613403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  613417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613468 */     GIR_RootConstrainSelectedInstOperands,
     /*  613469 */     // GIR_Coverage, 5550,
     /*  613469 */     GIR_EraseRootFromParent_Done,
     /*  613470 */   // Label 9905: @613470
     /*  613470 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613542), // Rule ID 5551 //
     /*  613475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613540 */     GIR_RootConstrainSelectedInstOperands,
     /*  613541 */     // GIR_Coverage, 5551,
     /*  613541 */     GIR_EraseRootFromParent_Done,
     /*  613542 */   // Label 9906: @613542
     /*  613542 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613614), // Rule ID 5552 //
     /*  613547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  613561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613612 */     GIR_RootConstrainSelectedInstOperands,
     /*  613613 */     // GIR_Coverage, 5552,
     /*  613613 */     GIR_EraseRootFromParent_Done,
     /*  613614 */   // Label 9907: @613614
     /*  613614 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613686), // Rule ID 5553 //
     /*  613619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  613633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613665 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613684 */     GIR_RootConstrainSelectedInstOperands,
     /*  613685 */     // GIR_Coverage, 5553,
     /*  613685 */     GIR_EraseRootFromParent_Done,
     /*  613686 */   // Label 9908: @613686
     /*  613686 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613758), // Rule ID 5554 //
     /*  613691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  613705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  613740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613756 */     GIR_RootConstrainSelectedInstOperands,
     /*  613757 */     // GIR_Coverage, 5554,
     /*  613757 */     GIR_EraseRootFromParent_Done,
     /*  613758 */   // Label 9909: @613758
     /*  613758 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613830), // Rule ID 5555 //
     /*  613763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  613777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613828 */     GIR_RootConstrainSelectedInstOperands,
     /*  613829 */     // GIR_Coverage, 5555,
     /*  613829 */     GIR_EraseRootFromParent_Done,
     /*  613830 */   // Label 9910: @613830
     /*  613830 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613902), // Rule ID 5556 //
     /*  613835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  613849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  613884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613900 */     GIR_RootConstrainSelectedInstOperands,
     /*  613901 */     // GIR_Coverage, 5556,
     /*  613901 */     GIR_EraseRootFromParent_Done,
     /*  613902 */   // Label 9911: @613902
     /*  613902 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(613974), // Rule ID 5557 //
     /*  613907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  613921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  613924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  613956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613972 */     GIR_RootConstrainSelectedInstOperands,
     /*  613973 */     // GIR_Coverage, 5557,
     /*  613973 */     GIR_EraseRootFromParent_Done,
     /*  613974 */   // Label 9912: @613974
     /*  613974 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614046), // Rule ID 5558 //
     /*  613979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  613993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  613996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614025 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  614028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614044 */     GIR_RootConstrainSelectedInstOperands,
     /*  614045 */     // GIR_Coverage, 5558,
     /*  614045 */     GIR_EraseRootFromParent_Done,
     /*  614046 */   // Label 9913: @614046
     /*  614046 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614121), // Rule ID 5647 //
     /*  614051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614119 */     GIR_RootConstrainSelectedInstOperands,
     /*  614120 */     // GIR_Coverage, 5647,
     /*  614120 */     GIR_EraseRootFromParent_Done,
     /*  614121 */   // Label 9914: @614121
     /*  614121 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614196), // Rule ID 5648 //
     /*  614126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  614175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614194 */     GIR_RootConstrainSelectedInstOperands,
     /*  614195 */     // GIR_Coverage, 5648,
     /*  614195 */     GIR_EraseRootFromParent_Done,
     /*  614196 */   // Label 9915: @614196
     /*  614196 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614271), // Rule ID 5651 //
     /*  614201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614269 */     GIR_RootConstrainSelectedInstOperands,
     /*  614270 */     // GIR_Coverage, 5651,
     /*  614270 */     GIR_EraseRootFromParent_Done,
     /*  614271 */   // Label 9916: @614271
     /*  614271 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614346), // Rule ID 5652 //
     /*  614276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614344 */     GIR_RootConstrainSelectedInstOperands,
     /*  614345 */     // GIR_Coverage, 5652,
     /*  614345 */     GIR_EraseRootFromParent_Done,
     /*  614346 */   // Label 9917: @614346
     /*  614346 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614421), // Rule ID 5655 //
     /*  614351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614419 */     GIR_RootConstrainSelectedInstOperands,
     /*  614420 */     // GIR_Coverage, 5655,
     /*  614420 */     GIR_EraseRootFromParent_Done,
     /*  614421 */   // Label 9918: @614421
     /*  614421 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614496), // Rule ID 5656 //
     /*  614426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  614437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  614440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  614443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  614446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614494 */     GIR_RootConstrainSelectedInstOperands,
     /*  614495 */     // GIR_Coverage, 5656,
     /*  614495 */     GIR_EraseRootFromParent_Done,
     /*  614496 */   // Label 9919: @614496
     /*  614496 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614571), // Rule ID 5659 //
     /*  614501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614569 */     GIR_RootConstrainSelectedInstOperands,
     /*  614570 */     // GIR_Coverage, 5659,
     /*  614570 */     GIR_EraseRootFromParent_Done,
     /*  614571 */   // Label 9920: @614571
     /*  614571 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614646), // Rule ID 5660 //
     /*  614576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  614587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  614590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  614593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  614596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  614625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614644 */     GIR_RootConstrainSelectedInstOperands,
     /*  614645 */     // GIR_Coverage, 5660,
     /*  614645 */     GIR_EraseRootFromParent_Done,
     /*  614646 */   // Label 9921: @614646
     /*  614646 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614721), // Rule ID 5663 //
     /*  614651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  614662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  614665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  614668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  614671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614719 */     GIR_RootConstrainSelectedInstOperands,
     /*  614720 */     // GIR_Coverage, 5663,
     /*  614720 */     GIR_EraseRootFromParent_Done,
     /*  614721 */   // Label 9922: @614721
     /*  614721 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614796), // Rule ID 5664 //
     /*  614726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  614737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  614740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  614743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  614746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614794 */     GIR_RootConstrainSelectedInstOperands,
     /*  614795 */     // GIR_Coverage, 5664,
     /*  614795 */     GIR_EraseRootFromParent_Done,
     /*  614796 */   // Label 9923: @614796
     /*  614796 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614871), // Rule ID 5667 //
     /*  614801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  614812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  614815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  614818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  614821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614869 */     GIR_RootConstrainSelectedInstOperands,
     /*  614870 */     // GIR_Coverage, 5667,
     /*  614870 */     GIR_EraseRootFromParent_Done,
     /*  614871 */   // Label 9924: @614871
     /*  614871 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614946), // Rule ID 5668 //
     /*  614876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  614887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  614890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  614893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  614896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  614925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614944 */     GIR_RootConstrainSelectedInstOperands,
     /*  614945 */     // GIR_Coverage, 5668,
     /*  614945 */     GIR_EraseRootFromParent_Done,
     /*  614946 */   // Label 9925: @614946
     /*  614946 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615021), // Rule ID 5671 //
     /*  614951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  614962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  614965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  614968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  614971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615019 */     GIR_RootConstrainSelectedInstOperands,
     /*  615020 */     // GIR_Coverage, 5671,
     /*  615020 */     GIR_EraseRootFromParent_Done,
     /*  615021 */   // Label 9926: @615021
     /*  615021 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615096), // Rule ID 5672 //
     /*  615026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615094 */     GIR_RootConstrainSelectedInstOperands,
     /*  615095 */     // GIR_Coverage, 5672,
     /*  615095 */     GIR_EraseRootFromParent_Done,
     /*  615096 */   // Label 9927: @615096
     /*  615096 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615171), // Rule ID 5675 //
     /*  615101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615169 */     GIR_RootConstrainSelectedInstOperands,
     /*  615170 */     // GIR_Coverage, 5675,
     /*  615170 */     GIR_EraseRootFromParent_Done,
     /*  615171 */   // Label 9928: @615171
     /*  615171 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615246), // Rule ID 5676 //
     /*  615176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615244 */     GIR_RootConstrainSelectedInstOperands,
     /*  615245 */     // GIR_Coverage, 5676,
     /*  615245 */     GIR_EraseRootFromParent_Done,
     /*  615246 */   // Label 9929: @615246
     /*  615246 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615321), // Rule ID 5679 //
     /*  615251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615319 */     GIR_RootConstrainSelectedInstOperands,
     /*  615320 */     // GIR_Coverage, 5679,
     /*  615320 */     GIR_EraseRootFromParent_Done,
     /*  615321 */   // Label 9930: @615321
     /*  615321 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615396), // Rule ID 5680 //
     /*  615326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615394 */     GIR_RootConstrainSelectedInstOperands,
     /*  615395 */     // GIR_Coverage, 5680,
     /*  615395 */     GIR_EraseRootFromParent_Done,
     /*  615396 */   // Label 9931: @615396
     /*  615396 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615471), // Rule ID 5683 //
     /*  615401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615469 */     GIR_RootConstrainSelectedInstOperands,
     /*  615470 */     // GIR_Coverage, 5683,
     /*  615470 */     GIR_EraseRootFromParent_Done,
     /*  615471 */   // Label 9932: @615471
     /*  615471 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615546), // Rule ID 5684 //
     /*  615476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  615487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  615490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  615493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  615496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  615525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615544 */     GIR_RootConstrainSelectedInstOperands,
     /*  615545 */     // GIR_Coverage, 5684,
     /*  615545 */     GIR_EraseRootFromParent_Done,
     /*  615546 */   // Label 9933: @615546
     /*  615546 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615621), // Rule ID 5687 //
     /*  615551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  615562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  615565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  615568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  615571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615619 */     GIR_RootConstrainSelectedInstOperands,
     /*  615620 */     // GIR_Coverage, 5687,
     /*  615620 */     GIR_EraseRootFromParent_Done,
     /*  615621 */   // Label 9934: @615621
     /*  615621 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615696), // Rule ID 5688 //
     /*  615626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  615637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  615640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  615643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  615646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615694 */     GIR_RootConstrainSelectedInstOperands,
     /*  615695 */     // GIR_Coverage, 5688,
     /*  615695 */     GIR_EraseRootFromParent_Done,
     /*  615696 */   // Label 9935: @615696
     /*  615696 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615771), // Rule ID 5691 //
     /*  615701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  615712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  615715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  615718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  615721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615769 */     GIR_RootConstrainSelectedInstOperands,
     /*  615770 */     // GIR_Coverage, 5691,
     /*  615770 */     GIR_EraseRootFromParent_Done,
     /*  615771 */   // Label 9936: @615771
     /*  615771 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615846), // Rule ID 5692 //
     /*  615776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  615787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  615790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  615793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  615796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615844 */     GIR_RootConstrainSelectedInstOperands,
     /*  615845 */     // GIR_Coverage, 5692,
     /*  615845 */     GIR_EraseRootFromParent_Done,
     /*  615846 */   // Label 9937: @615846
     /*  615846 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615921), // Rule ID 5695 //
     /*  615851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  615862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  615865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  615868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  615871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615919 */     GIR_RootConstrainSelectedInstOperands,
     /*  615920 */     // GIR_Coverage, 5695,
     /*  615920 */     GIR_EraseRootFromParent_Done,
     /*  615921 */   // Label 9938: @615921
     /*  615921 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615996), // Rule ID 5696 //
     /*  615926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  615937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  615940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  615943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  615946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615994 */     GIR_RootConstrainSelectedInstOperands,
     /*  615995 */     // GIR_Coverage, 5696,
     /*  615995 */     GIR_EraseRootFromParent_Done,
     /*  615996 */   // Label 9939: @615996
     /*  615996 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616071), // Rule ID 5699 //
     /*  616001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616069 */     GIR_RootConstrainSelectedInstOperands,
     /*  616070 */     // GIR_Coverage, 5699,
     /*  616070 */     GIR_EraseRootFromParent_Done,
     /*  616071 */   // Label 9940: @616071
     /*  616071 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616146), // Rule ID 5700 //
     /*  616076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616144 */     GIR_RootConstrainSelectedInstOperands,
     /*  616145 */     // GIR_Coverage, 5700,
     /*  616145 */     GIR_EraseRootFromParent_Done,
     /*  616146 */   // Label 9941: @616146
     /*  616146 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616221), // Rule ID 5703 //
     /*  616151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616219 */     GIR_RootConstrainSelectedInstOperands,
     /*  616220 */     // GIR_Coverage, 5703,
     /*  616220 */     GIR_EraseRootFromParent_Done,
     /*  616221 */   // Label 9942: @616221
     /*  616221 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616296), // Rule ID 5704 //
     /*  616226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616294 */     GIR_RootConstrainSelectedInstOperands,
     /*  616295 */     // GIR_Coverage, 5704,
     /*  616295 */     GIR_EraseRootFromParent_Done,
     /*  616296 */   // Label 9943: @616296
     /*  616296 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616371), // Rule ID 5707 //
     /*  616301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616369 */     GIR_RootConstrainSelectedInstOperands,
     /*  616370 */     // GIR_Coverage, 5707,
     /*  616370 */     GIR_EraseRootFromParent_Done,
     /*  616371 */   // Label 9944: @616371
     /*  616371 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616446), // Rule ID 5708 //
     /*  616376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  616387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  616390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  616393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  616396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616444 */     GIR_RootConstrainSelectedInstOperands,
     /*  616445 */     // GIR_Coverage, 5708,
     /*  616445 */     GIR_EraseRootFromParent_Done,
     /*  616446 */   // Label 9945: @616446
     /*  616446 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616521), // Rule ID 5711 //
     /*  616451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616519 */     GIR_RootConstrainSelectedInstOperands,
     /*  616520 */     // GIR_Coverage, 5711,
     /*  616520 */     GIR_EraseRootFromParent_Done,
     /*  616521 */   // Label 9946: @616521
     /*  616521 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616596), // Rule ID 5712 //
     /*  616526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  616537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  616540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  616543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  616546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616594 */     GIR_RootConstrainSelectedInstOperands,
     /*  616595 */     // GIR_Coverage, 5712,
     /*  616595 */     GIR_EraseRootFromParent_Done,
     /*  616596 */   // Label 9947: @616596
     /*  616596 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616671), // Rule ID 5715 //
     /*  616601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  616612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  616615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  616618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  616621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616669 */     GIR_RootConstrainSelectedInstOperands,
     /*  616670 */     // GIR_Coverage, 5715,
     /*  616670 */     GIR_EraseRootFromParent_Done,
     /*  616671 */   // Label 9948: @616671
     /*  616671 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616746), // Rule ID 5716 //
     /*  616676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  616687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  616690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  616693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  616696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  616725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616744 */     GIR_RootConstrainSelectedInstOperands,
     /*  616745 */     // GIR_Coverage, 5716,
     /*  616745 */     GIR_EraseRootFromParent_Done,
     /*  616746 */   // Label 9949: @616746
     /*  616746 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616821), // Rule ID 5719 //
     /*  616751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  616762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  616765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  616768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  616771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616819 */     GIR_RootConstrainSelectedInstOperands,
     /*  616820 */     // GIR_Coverage, 5719,
     /*  616820 */     GIR_EraseRootFromParent_Done,
     /*  616821 */   // Label 9950: @616821
     /*  616821 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616896), // Rule ID 5720 //
     /*  616826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  616837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  616840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  616843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  616846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616894 */     GIR_RootConstrainSelectedInstOperands,
     /*  616895 */     // GIR_Coverage, 5720,
     /*  616895 */     GIR_EraseRootFromParent_Done,
     /*  616896 */   // Label 9951: @616896
     /*  616896 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616971), // Rule ID 5723 //
     /*  616901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  616912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  616915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  616918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  616921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  616947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  616950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616969 */     GIR_RootConstrainSelectedInstOperands,
     /*  616970 */     // GIR_Coverage, 5723,
     /*  616970 */     GIR_EraseRootFromParent_Done,
     /*  616971 */   // Label 9952: @616971
     /*  616971 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(617046), // Rule ID 5724 //
     /*  616976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  616987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  616990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  616993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  616996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  617025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617044 */     GIR_RootConstrainSelectedInstOperands,
     /*  617045 */     // GIR_Coverage, 5724,
     /*  617045 */     GIR_EraseRootFromParent_Done,
     /*  617046 */   // Label 9953: @617046
     /*  617046 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617121), // Rule ID 5727 //
     /*  617051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617119 */     GIR_RootConstrainSelectedInstOperands,
     /*  617120 */     // GIR_Coverage, 5727,
     /*  617120 */     GIR_EraseRootFromParent_Done,
     /*  617121 */   // Label 9954: @617121
     /*  617121 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617196), // Rule ID 5728 //
     /*  617126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  617175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617194 */     GIR_RootConstrainSelectedInstOperands,
     /*  617195 */     // GIR_Coverage, 5728,
     /*  617195 */     GIR_EraseRootFromParent_Done,
     /*  617196 */   // Label 9955: @617196
     /*  617196 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617271), // Rule ID 5731 //
     /*  617201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617269 */     GIR_RootConstrainSelectedInstOperands,
     /*  617270 */     // GIR_Coverage, 5731,
     /*  617270 */     GIR_EraseRootFromParent_Done,
     /*  617271 */   // Label 9956: @617271
     /*  617271 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617346), // Rule ID 5732 //
     /*  617276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  617325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617344 */     GIR_RootConstrainSelectedInstOperands,
     /*  617345 */     // GIR_Coverage, 5732,
     /*  617345 */     GIR_EraseRootFromParent_Done,
     /*  617346 */   // Label 9957: @617346
     /*  617346 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617421), // Rule ID 5735 //
     /*  617351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617419 */     GIR_RootConstrainSelectedInstOperands,
     /*  617420 */     // GIR_Coverage, 5735,
     /*  617420 */     GIR_EraseRootFromParent_Done,
     /*  617421 */   // Label 9958: @617421
     /*  617421 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617496), // Rule ID 5736 //
     /*  617426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  617437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  617440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  617443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  617475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617494 */     GIR_RootConstrainSelectedInstOperands,
     /*  617495 */     // GIR_Coverage, 5736,
     /*  617495 */     GIR_EraseRootFromParent_Done,
     /*  617496 */   // Label 9959: @617496
     /*  617496 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617571), // Rule ID 5739 //
     /*  617501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617569 */     GIR_RootConstrainSelectedInstOperands,
     /*  617570 */     // GIR_Coverage, 5739,
     /*  617570 */     GIR_EraseRootFromParent_Done,
     /*  617571 */   // Label 9960: @617571
     /*  617571 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617646), // Rule ID 5740 //
     /*  617576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  617587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  617590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  617593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617644 */     GIR_RootConstrainSelectedInstOperands,
     /*  617645 */     // GIR_Coverage, 5740,
     /*  617645 */     GIR_EraseRootFromParent_Done,
     /*  617646 */   // Label 9961: @617646
     /*  617646 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617721), // Rule ID 5743 //
     /*  617651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  617662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  617665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  617668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  617700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617719 */     GIR_RootConstrainSelectedInstOperands,
     /*  617720 */     // GIR_Coverage, 5743,
     /*  617720 */     GIR_EraseRootFromParent_Done,
     /*  617721 */   // Label 9962: @617721
     /*  617721 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617796), // Rule ID 5744 //
     /*  617726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  617737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  617740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  617743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  617775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617794 */     GIR_RootConstrainSelectedInstOperands,
     /*  617795 */     // GIR_Coverage, 5744,
     /*  617795 */     GIR_EraseRootFromParent_Done,
     /*  617796 */   // Label 9963: @617796
     /*  617796 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617871), // Rule ID 5747 //
     /*  617801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  617812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  617815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  617818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617869 */     GIR_RootConstrainSelectedInstOperands,
     /*  617870 */     // GIR_Coverage, 5747,
     /*  617870 */     GIR_EraseRootFromParent_Done,
     /*  617871 */   // Label 9964: @617871
     /*  617871 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617946), // Rule ID 5748 //
     /*  617876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  617887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  617890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  617893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  617925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617944 */     GIR_RootConstrainSelectedInstOperands,
     /*  617945 */     // GIR_Coverage, 5748,
     /*  617945 */     GIR_EraseRootFromParent_Done,
     /*  617946 */   // Label 9965: @617946
     /*  617946 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(618021), // Rule ID 5751 //
     /*  617951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  617962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  617965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  617968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618019 */     GIR_RootConstrainSelectedInstOperands,
     /*  618020 */     // GIR_Coverage, 5751,
     /*  618020 */     GIR_EraseRootFromParent_Done,
     /*  618021 */   // Label 9966: @618021
     /*  618021 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(618096), // Rule ID 5752 //
     /*  618026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618094 */     GIR_RootConstrainSelectedInstOperands,
     /*  618095 */     // GIR_Coverage, 5752,
     /*  618095 */     GIR_EraseRootFromParent_Done,
     /*  618096 */   // Label 9967: @618096
     /*  618096 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618171), // Rule ID 5755 //
     /*  618101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618169 */     GIR_RootConstrainSelectedInstOperands,
     /*  618170 */     // GIR_Coverage, 5755,
     /*  618170 */     GIR_EraseRootFromParent_Done,
     /*  618171 */   // Label 9968: @618171
     /*  618171 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618246), // Rule ID 5756 //
     /*  618176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  618225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618244 */     GIR_RootConstrainSelectedInstOperands,
     /*  618245 */     // GIR_Coverage, 5756,
     /*  618245 */     GIR_EraseRootFromParent_Done,
     /*  618246 */   // Label 9969: @618246
     /*  618246 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618321), // Rule ID 5759 //
     /*  618251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618319 */     GIR_RootConstrainSelectedInstOperands,
     /*  618320 */     // GIR_Coverage, 5759,
     /*  618320 */     GIR_EraseRootFromParent_Done,
     /*  618321 */   // Label 9970: @618321
     /*  618321 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618396), // Rule ID 5760 //
     /*  618326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618394 */     GIR_RootConstrainSelectedInstOperands,
     /*  618395 */     // GIR_Coverage, 5760,
     /*  618395 */     GIR_EraseRootFromParent_Done,
     /*  618396 */   // Label 9971: @618396
     /*  618396 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618471), // Rule ID 5763 //
     /*  618401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618469 */     GIR_RootConstrainSelectedInstOperands,
     /*  618470 */     // GIR_Coverage, 5763,
     /*  618470 */     GIR_EraseRootFromParent_Done,
     /*  618471 */   // Label 9972: @618471
     /*  618471 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618546), // Rule ID 5764 //
     /*  618476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  618487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  618490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  618493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618544 */     GIR_RootConstrainSelectedInstOperands,
     /*  618545 */     // GIR_Coverage, 5764,
     /*  618545 */     GIR_EraseRootFromParent_Done,
     /*  618546 */   // Label 9973: @618546
     /*  618546 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618621), // Rule ID 5767 //
     /*  618551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  618562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  618565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  618568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618619 */     GIR_RootConstrainSelectedInstOperands,
     /*  618620 */     // GIR_Coverage, 5767,
     /*  618620 */     GIR_EraseRootFromParent_Done,
     /*  618621 */   // Label 9974: @618621
     /*  618621 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618696), // Rule ID 5768 //
     /*  618626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  618637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  618640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  618643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618694 */     GIR_RootConstrainSelectedInstOperands,
     /*  618695 */     // GIR_Coverage, 5768,
     /*  618695 */     GIR_EraseRootFromParent_Done,
     /*  618696 */   // Label 9975: @618696
     /*  618696 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618771), // Rule ID 5771 //
     /*  618701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618769 */     GIR_RootConstrainSelectedInstOperands,
     /*  618770 */     // GIR_Coverage, 5771,
     /*  618770 */     GIR_EraseRootFromParent_Done,
     /*  618771 */   // Label 9976: @618771
     /*  618771 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618846), // Rule ID 5772 //
     /*  618776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  618825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618844 */     GIR_RootConstrainSelectedInstOperands,
     /*  618845 */     // GIR_Coverage, 5772,
     /*  618845 */     GIR_EraseRootFromParent_Done,
     /*  618846 */   // Label 9977: @618846
     /*  618846 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618921), // Rule ID 5775 //
     /*  618851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  618862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  618865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  618868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618919 */     GIR_RootConstrainSelectedInstOperands,
     /*  618920 */     // GIR_Coverage, 5775,
     /*  618920 */     GIR_EraseRootFromParent_Done,
     /*  618921 */   // Label 9978: @618921
     /*  618921 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618996), // Rule ID 5776 //
     /*  618926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  618937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  618940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  618943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618994 */     GIR_RootConstrainSelectedInstOperands,
     /*  618995 */     // GIR_Coverage, 5776,
     /*  618995 */     GIR_EraseRootFromParent_Done,
     /*  618996 */   // Label 9979: @618996
     /*  618996 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(619071), // Rule ID 5779 //
     /*  619001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619069 */     GIR_RootConstrainSelectedInstOperands,
     /*  619070 */     // GIR_Coverage, 5779,
     /*  619070 */     GIR_EraseRootFromParent_Done,
     /*  619071 */   // Label 9980: @619071
     /*  619071 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619146), // Rule ID 5780 //
     /*  619076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619144 */     GIR_RootConstrainSelectedInstOperands,
     /*  619145 */     // GIR_Coverage, 5780,
     /*  619145 */     GIR_EraseRootFromParent_Done,
     /*  619146 */   // Label 9981: @619146
     /*  619146 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619221), // Rule ID 5783 //
     /*  619151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619219 */     GIR_RootConstrainSelectedInstOperands,
     /*  619220 */     // GIR_Coverage, 5783,
     /*  619220 */     GIR_EraseRootFromParent_Done,
     /*  619221 */   // Label 9982: @619221
     /*  619221 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619296), // Rule ID 5784 //
     /*  619226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619294 */     GIR_RootConstrainSelectedInstOperands,
     /*  619295 */     // GIR_Coverage, 5784,
     /*  619295 */     GIR_EraseRootFromParent_Done,
     /*  619296 */   // Label 9983: @619296
     /*  619296 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619371), // Rule ID 5787 //
     /*  619301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619369 */     GIR_RootConstrainSelectedInstOperands,
     /*  619370 */     // GIR_Coverage, 5787,
     /*  619370 */     GIR_EraseRootFromParent_Done,
     /*  619371 */   // Label 9984: @619371
     /*  619371 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619446), // Rule ID 5788 //
     /*  619376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  619387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  619390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  619393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619444 */     GIR_RootConstrainSelectedInstOperands,
     /*  619445 */     // GIR_Coverage, 5788,
     /*  619445 */     GIR_EraseRootFromParent_Done,
     /*  619446 */   // Label 9985: @619446
     /*  619446 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619521), // Rule ID 5791 //
     /*  619451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619519 */     GIR_RootConstrainSelectedInstOperands,
     /*  619520 */     // GIR_Coverage, 5791,
     /*  619520 */     GIR_EraseRootFromParent_Done,
     /*  619521 */   // Label 9986: @619521
     /*  619521 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619596), // Rule ID 5792 //
     /*  619526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  619537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  619540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  619543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619594 */     GIR_RootConstrainSelectedInstOperands,
     /*  619595 */     // GIR_Coverage, 5792,
     /*  619595 */     GIR_EraseRootFromParent_Done,
     /*  619596 */   // Label 9987: @619596
     /*  619596 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619671), // Rule ID 5795 //
     /*  619601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  619612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  619615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  619618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619669 */     GIR_RootConstrainSelectedInstOperands,
     /*  619670 */     // GIR_Coverage, 5795,
     /*  619670 */     GIR_EraseRootFromParent_Done,
     /*  619671 */   // Label 9988: @619671
     /*  619671 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619746), // Rule ID 5796 //
     /*  619676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  619687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  619690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  619693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619744 */     GIR_RootConstrainSelectedInstOperands,
     /*  619745 */     // GIR_Coverage, 5796,
     /*  619745 */     GIR_EraseRootFromParent_Done,
     /*  619746 */   // Label 9989: @619746
     /*  619746 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619821), // Rule ID 5799 //
     /*  619751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  619762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  619765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  619768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619819 */     GIR_RootConstrainSelectedInstOperands,
     /*  619820 */     // GIR_Coverage, 5799,
     /*  619820 */     GIR_EraseRootFromParent_Done,
     /*  619821 */   // Label 9990: @619821
     /*  619821 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619896), // Rule ID 5800 //
     /*  619826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  619837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  619840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  619843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619894 */     GIR_RootConstrainSelectedInstOperands,
     /*  619895 */     // GIR_Coverage, 5800,
     /*  619895 */     GIR_EraseRootFromParent_Done,
     /*  619896 */   // Label 9991: @619896
     /*  619896 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619971), // Rule ID 5803 //
     /*  619901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  619912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  619915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  619918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619969 */     GIR_RootConstrainSelectedInstOperands,
     /*  619970 */     // GIR_Coverage, 5803,
     /*  619970 */     GIR_EraseRootFromParent_Done,
     /*  619971 */   // Label 9992: @619971
     /*  619971 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(620046), // Rule ID 5804 //
     /*  619976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  619987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  619990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  619993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620044 */     GIR_RootConstrainSelectedInstOperands,
     /*  620045 */     // GIR_Coverage, 5804,
     /*  620045 */     GIR_EraseRootFromParent_Done,
     /*  620046 */   // Label 9993: @620046
     /*  620046 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(620121), // Rule ID 5807 //
     /*  620051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620119 */     GIR_RootConstrainSelectedInstOperands,
     /*  620120 */     // GIR_Coverage, 5807,
     /*  620120 */     GIR_EraseRootFromParent_Done,
     /*  620121 */   // Label 9994: @620121
     /*  620121 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620196), // Rule ID 5808 //
     /*  620126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620194 */     GIR_RootConstrainSelectedInstOperands,
     /*  620195 */     // GIR_Coverage, 5808,
     /*  620195 */     GIR_EraseRootFromParent_Done,
     /*  620196 */   // Label 9995: @620196
     /*  620196 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620271), // Rule ID 5811 //
     /*  620201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620269 */     GIR_RootConstrainSelectedInstOperands,
     /*  620270 */     // GIR_Coverage, 5811,
     /*  620270 */     GIR_EraseRootFromParent_Done,
     /*  620271 */   // Label 9996: @620271
     /*  620271 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620346), // Rule ID 5812 //
     /*  620276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  620325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620344 */     GIR_RootConstrainSelectedInstOperands,
     /*  620345 */     // GIR_Coverage, 5812,
     /*  620345 */     GIR_EraseRootFromParent_Done,
     /*  620346 */   // Label 9997: @620346
     /*  620346 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620421), // Rule ID 5815 //
     /*  620351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620419 */     GIR_RootConstrainSelectedInstOperands,
     /*  620420 */     // GIR_Coverage, 5815,
     /*  620420 */     GIR_EraseRootFromParent_Done,
     /*  620421 */   // Label 9998: @620421
     /*  620421 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620496), // Rule ID 5816 //
     /*  620426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  620475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620494 */     GIR_RootConstrainSelectedInstOperands,
     /*  620495 */     // GIR_Coverage, 5816,
     /*  620495 */     GIR_EraseRootFromParent_Done,
     /*  620496 */   // Label 9999: @620496
     /*  620496 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620571), // Rule ID 5819 //
     /*  620501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620569 */     GIR_RootConstrainSelectedInstOperands,
     /*  620570 */     // GIR_Coverage, 5819,
     /*  620570 */     GIR_EraseRootFromParent_Done,
     /*  620571 */   // Label 10000: @620571
     /*  620571 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620646), // Rule ID 5820 //
     /*  620576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  620625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620644 */     GIR_RootConstrainSelectedInstOperands,
     /*  620645 */     // GIR_Coverage, 5820,
     /*  620645 */     GIR_EraseRootFromParent_Done,
     /*  620646 */   // Label 10001: @620646
     /*  620646 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620721), // Rule ID 5911 //
     /*  620651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  620662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  620665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  620668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  620671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  620700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620719 */     GIR_RootConstrainSelectedInstOperands,
     /*  620720 */     // GIR_Coverage, 5911,
     /*  620720 */     GIR_EraseRootFromParent_Done,
     /*  620721 */   // Label 10002: @620721
     /*  620721 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620796), // Rule ID 5912 //
     /*  620726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  620737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  620740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  620743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  620746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  620775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620794 */     GIR_RootConstrainSelectedInstOperands,
     /*  620795 */     // GIR_Coverage, 5912,
     /*  620795 */     GIR_EraseRootFromParent_Done,
     /*  620796 */   // Label 10003: @620796
     /*  620796 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620871), // Rule ID 5915 //
     /*  620801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  620812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  620815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  620818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  620821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  620850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620869 */     GIR_RootConstrainSelectedInstOperands,
     /*  620870 */     // GIR_Coverage, 5915,
     /*  620870 */     GIR_EraseRootFromParent_Done,
     /*  620871 */   // Label 10004: @620871
     /*  620871 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620946), // Rule ID 5916 //
     /*  620876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  620887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  620890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  620893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  620896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  620925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620944 */     GIR_RootConstrainSelectedInstOperands,
     /*  620945 */     // GIR_Coverage, 5916,
     /*  620945 */     GIR_EraseRootFromParent_Done,
     /*  620946 */   // Label 10005: @620946
     /*  620946 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(621021), // Rule ID 5919 //
     /*  620951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  620962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  620965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  620968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  620971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621019 */     GIR_RootConstrainSelectedInstOperands,
     /*  621020 */     // GIR_Coverage, 5919,
     /*  621020 */     GIR_EraseRootFromParent_Done,
     /*  621021 */   // Label 10006: @621021
     /*  621021 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(621096), // Rule ID 5920 //
     /*  621026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621094 */     GIR_RootConstrainSelectedInstOperands,
     /*  621095 */     // GIR_Coverage, 5920,
     /*  621095 */     GIR_EraseRootFromParent_Done,
     /*  621096 */   // Label 10007: @621096
     /*  621096 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621171), // Rule ID 5923 //
     /*  621101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621169 */     GIR_RootConstrainSelectedInstOperands,
     /*  621170 */     // GIR_Coverage, 5923,
     /*  621170 */     GIR_EraseRootFromParent_Done,
     /*  621171 */   // Label 10008: @621171
     /*  621171 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621246), // Rule ID 5924 //
     /*  621176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  621225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621244 */     GIR_RootConstrainSelectedInstOperands,
     /*  621245 */     // GIR_Coverage, 5924,
     /*  621245 */     GIR_EraseRootFromParent_Done,
     /*  621246 */   // Label 10009: @621246
     /*  621246 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621321), // Rule ID 5927 //
     /*  621251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621319 */     GIR_RootConstrainSelectedInstOperands,
     /*  621320 */     // GIR_Coverage, 5927,
     /*  621320 */     GIR_EraseRootFromParent_Done,
     /*  621321 */   // Label 10010: @621321
     /*  621321 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621396), // Rule ID 5928 //
     /*  621326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621394 */     GIR_RootConstrainSelectedInstOperands,
     /*  621395 */     // GIR_Coverage, 5928,
     /*  621395 */     GIR_EraseRootFromParent_Done,
     /*  621396 */   // Label 10011: @621396
     /*  621396 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621471), // Rule ID 5931 //
     /*  621401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621469 */     GIR_RootConstrainSelectedInstOperands,
     /*  621470 */     // GIR_Coverage, 5931,
     /*  621470 */     GIR_EraseRootFromParent_Done,
     /*  621471 */   // Label 10012: @621471
     /*  621471 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621546), // Rule ID 5932 //
     /*  621476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  621496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  621525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621544 */     GIR_RootConstrainSelectedInstOperands,
     /*  621545 */     // GIR_Coverage, 5932,
     /*  621545 */     GIR_EraseRootFromParent_Done,
     /*  621546 */   // Label 10013: @621546
     /*  621546 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621621), // Rule ID 5935 //
     /*  621551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  621571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621619 */     GIR_RootConstrainSelectedInstOperands,
     /*  621620 */     // GIR_Coverage, 5935,
     /*  621620 */     GIR_EraseRootFromParent_Done,
     /*  621621 */   // Label 10014: @621621
     /*  621621 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621696), // Rule ID 5936 //
     /*  621626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  621646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621694 */     GIR_RootConstrainSelectedInstOperands,
     /*  621695 */     // GIR_Coverage, 5936,
     /*  621695 */     GIR_EraseRootFromParent_Done,
     /*  621696 */   // Label 10015: @621696
     /*  621696 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621771), // Rule ID 5939 //
     /*  621701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  621712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  621715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  621718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  621721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621769 */     GIR_RootConstrainSelectedInstOperands,
     /*  621770 */     // GIR_Coverage, 5939,
     /*  621770 */     GIR_EraseRootFromParent_Done,
     /*  621771 */   // Label 10016: @621771
     /*  621771 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621846), // Rule ID 5940 //
     /*  621776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  621787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  621790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  621793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  621796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621844 */     GIR_RootConstrainSelectedInstOperands,
     /*  621845 */     // GIR_Coverage, 5940,
     /*  621845 */     GIR_EraseRootFromParent_Done,
     /*  621846 */   // Label 10017: @621846
     /*  621846 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621921), // Rule ID 5943 //
     /*  621851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  621862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  621865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  621868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  621871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621919 */     GIR_RootConstrainSelectedInstOperands,
     /*  621920 */     // GIR_Coverage, 5943,
     /*  621920 */     GIR_EraseRootFromParent_Done,
     /*  621921 */   // Label 10018: @621921
     /*  621921 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621996), // Rule ID 5944 //
     /*  621926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  621937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  621940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  621943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  621946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  621975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621994 */     GIR_RootConstrainSelectedInstOperands,
     /*  621995 */     // GIR_Coverage, 5944,
     /*  621995 */     GIR_EraseRootFromParent_Done,
     /*  621996 */   // Label 10019: @621996
     /*  621996 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(622071), // Rule ID 5947 //
     /*  622001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622069 */     GIR_RootConstrainSelectedInstOperands,
     /*  622070 */     // GIR_Coverage, 5947,
     /*  622070 */     GIR_EraseRootFromParent_Done,
     /*  622071 */   // Label 10020: @622071
     /*  622071 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622146), // Rule ID 5948 //
     /*  622076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  622125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622144 */     GIR_RootConstrainSelectedInstOperands,
     /*  622145 */     // GIR_Coverage, 5948,
     /*  622145 */     GIR_EraseRootFromParent_Done,
     /*  622146 */   // Label 10021: @622146
     /*  622146 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622221), // Rule ID 5951 //
     /*  622151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622219 */     GIR_RootConstrainSelectedInstOperands,
     /*  622220 */     // GIR_Coverage, 5951,
     /*  622220 */     GIR_EraseRootFromParent_Done,
     /*  622221 */   // Label 10022: @622221
     /*  622221 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622296), // Rule ID 5952 //
     /*  622226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622294 */     GIR_RootConstrainSelectedInstOperands,
     /*  622295 */     // GIR_Coverage, 5952,
     /*  622295 */     GIR_EraseRootFromParent_Done,
     /*  622296 */   // Label 10023: @622296
     /*  622296 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622371), // Rule ID 5955 //
     /*  622301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622369 */     GIR_RootConstrainSelectedInstOperands,
     /*  622370 */     // GIR_Coverage, 5955,
     /*  622370 */     GIR_EraseRootFromParent_Done,
     /*  622371 */   // Label 10024: @622371
     /*  622371 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622446), // Rule ID 5956 //
     /*  622376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  622396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622444 */     GIR_RootConstrainSelectedInstOperands,
     /*  622445 */     // GIR_Coverage, 5956,
     /*  622445 */     GIR_EraseRootFromParent_Done,
     /*  622446 */   // Label 10025: @622446
     /*  622446 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622521), // Rule ID 5959 //
     /*  622451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622519 */     GIR_RootConstrainSelectedInstOperands,
     /*  622520 */     // GIR_Coverage, 5959,
     /*  622520 */     GIR_EraseRootFromParent_Done,
     /*  622521 */   // Label 10026: @622521
     /*  622521 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622596), // Rule ID 5960 //
     /*  622526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  622546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622594 */     GIR_RootConstrainSelectedInstOperands,
     /*  622595 */     // GIR_Coverage, 5960,
     /*  622595 */     GIR_EraseRootFromParent_Done,
     /*  622596 */   // Label 10027: @622596
     /*  622596 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622671), // Rule ID 5963 //
     /*  622601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  622621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622669 */     GIR_RootConstrainSelectedInstOperands,
     /*  622670 */     // GIR_Coverage, 5963,
     /*  622670 */     GIR_EraseRootFromParent_Done,
     /*  622671 */   // Label 10028: @622671
     /*  622671 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622746), // Rule ID 5964 //
     /*  622676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  622696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622744 */     GIR_RootConstrainSelectedInstOperands,
     /*  622745 */     // GIR_Coverage, 5964,
     /*  622745 */     GIR_EraseRootFromParent_Done,
     /*  622746 */   // Label 10029: @622746
     /*  622746 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622821), // Rule ID 5967 //
     /*  622751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  622762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  622765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  622768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  622771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622819 */     GIR_RootConstrainSelectedInstOperands,
     /*  622820 */     // GIR_Coverage, 5967,
     /*  622820 */     GIR_EraseRootFromParent_Done,
     /*  622821 */   // Label 10030: @622821
     /*  622821 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622896), // Rule ID 5968 //
     /*  622826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  622837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  622840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  622843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  622846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622894 */     GIR_RootConstrainSelectedInstOperands,
     /*  622895 */     // GIR_Coverage, 5968,
     /*  622895 */     GIR_EraseRootFromParent_Done,
     /*  622896 */   // Label 10031: @622896
     /*  622896 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622971), // Rule ID 5971 //
     /*  622901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  622912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  622915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  622918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  622921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622969 */     GIR_RootConstrainSelectedInstOperands,
     /*  622970 */     // GIR_Coverage, 5971,
     /*  622970 */     GIR_EraseRootFromParent_Done,
     /*  622971 */   // Label 10032: @622971
     /*  622971 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(623046), // Rule ID 5972 //
     /*  622976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  622987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  622990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  622993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  622996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623044 */     GIR_RootConstrainSelectedInstOperands,
     /*  623045 */     // GIR_Coverage, 5972,
     /*  623045 */     GIR_EraseRootFromParent_Done,
     /*  623046 */   // Label 10033: @623046
     /*  623046 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(623121), // Rule ID 5975 //
     /*  623051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623119 */     GIR_RootConstrainSelectedInstOperands,
     /*  623120 */     // GIR_Coverage, 5975,
     /*  623120 */     GIR_EraseRootFromParent_Done,
     /*  623121 */   // Label 10034: @623121
     /*  623121 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623196), // Rule ID 5976 //
     /*  623126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623194 */     GIR_RootConstrainSelectedInstOperands,
     /*  623195 */     // GIR_Coverage, 5976,
     /*  623195 */     GIR_EraseRootFromParent_Done,
     /*  623196 */   // Label 10035: @623196
     /*  623196 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623271), // Rule ID 5979 //
     /*  623201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623269 */     GIR_RootConstrainSelectedInstOperands,
     /*  623270 */     // GIR_Coverage, 5979,
     /*  623270 */     GIR_EraseRootFromParent_Done,
     /*  623271 */   // Label 10036: @623271
     /*  623271 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623346), // Rule ID 5980 //
     /*  623276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623344 */     GIR_RootConstrainSelectedInstOperands,
     /*  623345 */     // GIR_Coverage, 5980,
     /*  623345 */     GIR_EraseRootFromParent_Done,
     /*  623346 */   // Label 10037: @623346
     /*  623346 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623421), // Rule ID 5983 //
     /*  623351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623419 */     GIR_RootConstrainSelectedInstOperands,
     /*  623420 */     // GIR_Coverage, 5983,
     /*  623420 */     GIR_EraseRootFromParent_Done,
     /*  623421 */   // Label 10038: @623421
     /*  623421 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623496), // Rule ID 5984 //
     /*  623426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  623446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623494 */     GIR_RootConstrainSelectedInstOperands,
     /*  623495 */     // GIR_Coverage, 5984,
     /*  623495 */     GIR_EraseRootFromParent_Done,
     /*  623496 */   // Label 10039: @623496
     /*  623496 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623571), // Rule ID 5987 //
     /*  623501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623569 */     GIR_RootConstrainSelectedInstOperands,
     /*  623570 */     // GIR_Coverage, 5987,
     /*  623570 */     GIR_EraseRootFromParent_Done,
     /*  623571 */   // Label 10040: @623571
     /*  623571 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623646), // Rule ID 5988 //
     /*  623576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  623625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623644 */     GIR_RootConstrainSelectedInstOperands,
     /*  623645 */     // GIR_Coverage, 5988,
     /*  623645 */     GIR_EraseRootFromParent_Done,
     /*  623646 */   // Label 10041: @623646
     /*  623646 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623721), // Rule ID 5991 //
     /*  623651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  623662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  623665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  623668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  623671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623719 */     GIR_RootConstrainSelectedInstOperands,
     /*  623720 */     // GIR_Coverage, 5991,
     /*  623720 */     GIR_EraseRootFromParent_Done,
     /*  623721 */   // Label 10042: @623721
     /*  623721 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623796), // Rule ID 5992 //
     /*  623726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  623737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  623740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  623743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  623746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  623775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623794 */     GIR_RootConstrainSelectedInstOperands,
     /*  623795 */     // GIR_Coverage, 5992,
     /*  623795 */     GIR_EraseRootFromParent_Done,
     /*  623796 */   // Label 10043: @623796
     /*  623796 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623871), // Rule ID 5995 //
     /*  623801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  623812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  623815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  623818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  623821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623869 */     GIR_RootConstrainSelectedInstOperands,
     /*  623870 */     // GIR_Coverage, 5995,
     /*  623870 */     GIR_EraseRootFromParent_Done,
     /*  623871 */   // Label 10044: @623871
     /*  623871 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623946), // Rule ID 5996 //
     /*  623876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  623887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  623890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  623893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  623896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  623925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623944 */     GIR_RootConstrainSelectedInstOperands,
     /*  623945 */     // GIR_Coverage, 5996,
     /*  623945 */     GIR_EraseRootFromParent_Done,
     /*  623946 */   // Label 10045: @623946
     /*  623946 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(624021), // Rule ID 5999 //
     /*  623951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  623962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  623965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  623968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624019 */     GIR_RootConstrainSelectedInstOperands,
     /*  624020 */     // GIR_Coverage, 5999,
     /*  624020 */     GIR_EraseRootFromParent_Done,
     /*  624021 */   // Label 10046: @624021
     /*  624021 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(624096), // Rule ID 6000 //
     /*  624026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  624075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624094 */     GIR_RootConstrainSelectedInstOperands,
     /*  624095 */     // GIR_Coverage, 6000,
     /*  624095 */     GIR_EraseRootFromParent_Done,
     /*  624096 */   // Label 10047: @624096
     /*  624096 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624171), // Rule ID 6003 //
     /*  624101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624169 */     GIR_RootConstrainSelectedInstOperands,
     /*  624170 */     // GIR_Coverage, 6003,
     /*  624170 */     GIR_EraseRootFromParent_Done,
     /*  624171 */   // Label 10048: @624171
     /*  624171 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624246), // Rule ID 6004 //
     /*  624176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624244 */     GIR_RootConstrainSelectedInstOperands,
     /*  624245 */     // GIR_Coverage, 6004,
     /*  624245 */     GIR_EraseRootFromParent_Done,
     /*  624246 */   // Label 10049: @624246
     /*  624246 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624321), // Rule ID 6007 //
     /*  624251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624297 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624319 */     GIR_RootConstrainSelectedInstOperands,
     /*  624320 */     // GIR_Coverage, 6007,
     /*  624320 */     GIR_EraseRootFromParent_Done,
     /*  624321 */   // Label 10050: @624321
     /*  624321 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624396), // Rule ID 6008 //
     /*  624326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624394 */     GIR_RootConstrainSelectedInstOperands,
     /*  624395 */     // GIR_Coverage, 6008,
     /*  624395 */     GIR_EraseRootFromParent_Done,
     /*  624396 */   // Label 10051: @624396
     /*  624396 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624471), // Rule ID 6011 //
     /*  624401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624469 */     GIR_RootConstrainSelectedInstOperands,
     /*  624470 */     // GIR_Coverage, 6011,
     /*  624470 */     GIR_EraseRootFromParent_Done,
     /*  624471 */   // Label 10052: @624471
     /*  624471 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624546), // Rule ID 6012 //
     /*  624476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  624487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  624490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  624493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  624525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624544 */     GIR_RootConstrainSelectedInstOperands,
     /*  624545 */     // GIR_Coverage, 6012,
     /*  624545 */     GIR_EraseRootFromParent_Done,
     /*  624546 */   // Label 10053: @624546
     /*  624546 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624621), // Rule ID 6015 //
     /*  624551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  624562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  624565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  624568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624619 */     GIR_RootConstrainSelectedInstOperands,
     /*  624620 */     // GIR_Coverage, 6015,
     /*  624620 */     GIR_EraseRootFromParent_Done,
     /*  624621 */   // Label 10054: @624621
     /*  624621 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624696), // Rule ID 6016 //
     /*  624626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  624637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  624640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  624643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624694 */     GIR_RootConstrainSelectedInstOperands,
     /*  624695 */     // GIR_Coverage, 6016,
     /*  624695 */     GIR_EraseRootFromParent_Done,
     /*  624696 */   // Label 10055: @624696
     /*  624696 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624771), // Rule ID 6019 //
     /*  624701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  624712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  624715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  624718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624769 */     GIR_RootConstrainSelectedInstOperands,
     /*  624770 */     // GIR_Coverage, 6019,
     /*  624770 */     GIR_EraseRootFromParent_Done,
     /*  624771 */   // Label 10056: @624771
     /*  624771 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624846), // Rule ID 6020 //
     /*  624776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  624787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  624790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  624793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  624825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624844 */     GIR_RootConstrainSelectedInstOperands,
     /*  624845 */     // GIR_Coverage, 6020,
     /*  624845 */     GIR_EraseRootFromParent_Done,
     /*  624846 */   // Label 10057: @624846
     /*  624846 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624921), // Rule ID 6023 //
     /*  624851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  624862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  624865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  624868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624919 */     GIR_RootConstrainSelectedInstOperands,
     /*  624920 */     // GIR_Coverage, 6023,
     /*  624920 */     GIR_EraseRootFromParent_Done,
     /*  624921 */   // Label 10058: @624921
     /*  624921 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624996), // Rule ID 6024 //
     /*  624926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  624937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  624940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  624943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624994 */     GIR_RootConstrainSelectedInstOperands,
     /*  624995 */     // GIR_Coverage, 6024,
     /*  624995 */     GIR_EraseRootFromParent_Done,
     /*  624996 */   // Label 10059: @624996
     /*  624996 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(625071), // Rule ID 6027 //
     /*  625001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625069 */     GIR_RootConstrainSelectedInstOperands,
     /*  625070 */     // GIR_Coverage, 6027,
     /*  625070 */     GIR_EraseRootFromParent_Done,
     /*  625071 */   // Label 10060: @625071
     /*  625071 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625146), // Rule ID 6028 //
     /*  625076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625144 */     GIR_RootConstrainSelectedInstOperands,
     /*  625145 */     // GIR_Coverage, 6028,
     /*  625145 */     GIR_EraseRootFromParent_Done,
     /*  625146 */   // Label 10061: @625146
     /*  625146 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625221), // Rule ID 6031 //
     /*  625151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625219 */     GIR_RootConstrainSelectedInstOperands,
     /*  625220 */     // GIR_Coverage, 6031,
     /*  625220 */     GIR_EraseRootFromParent_Done,
     /*  625221 */   // Label 10062: @625221
     /*  625221 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625296), // Rule ID 6032 //
     /*  625226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625294 */     GIR_RootConstrainSelectedInstOperands,
     /*  625295 */     // GIR_Coverage, 6032,
     /*  625295 */     GIR_EraseRootFromParent_Done,
     /*  625296 */   // Label 10063: @625296
     /*  625296 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625371), // Rule ID 6035 //
     /*  625301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625369 */     GIR_RootConstrainSelectedInstOperands,
     /*  625370 */     // GIR_Coverage, 6035,
     /*  625370 */     GIR_EraseRootFromParent_Done,
     /*  625371 */   // Label 10064: @625371
     /*  625371 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625446), // Rule ID 6036 //
     /*  625376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  625425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625444 */     GIR_RootConstrainSelectedInstOperands,
     /*  625445 */     // GIR_Coverage, 6036,
     /*  625445 */     GIR_EraseRootFromParent_Done,
     /*  625446 */   // Label 10065: @625446
     /*  625446 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625521), // Rule ID 6039 //
     /*  625451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625497 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625519 */     GIR_RootConstrainSelectedInstOperands,
     /*  625520 */     // GIR_Coverage, 6039,
     /*  625520 */     GIR_EraseRootFromParent_Done,
     /*  625521 */   // Label 10066: @625521
     /*  625521 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625596), // Rule ID 6040 //
     /*  625526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  625537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  625540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  625543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625594 */     GIR_RootConstrainSelectedInstOperands,
     /*  625595 */     // GIR_Coverage, 6040,
     /*  625595 */     GIR_EraseRootFromParent_Done,
     /*  625596 */   // Label 10067: @625596
     /*  625596 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625671), // Rule ID 6043 //
     /*  625601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  625612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  625615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  625618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625669 */     GIR_RootConstrainSelectedInstOperands,
     /*  625670 */     // GIR_Coverage, 6043,
     /*  625670 */     GIR_EraseRootFromParent_Done,
     /*  625671 */   // Label 10068: @625671
     /*  625671 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625746), // Rule ID 6044 //
     /*  625676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  625687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  625690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  625693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625744 */     GIR_RootConstrainSelectedInstOperands,
     /*  625745 */     // GIR_Coverage, 6044,
     /*  625745 */     GIR_EraseRootFromParent_Done,
     /*  625746 */   // Label 10069: @625746
     /*  625746 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625821), // Rule ID 6047 //
     /*  625751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  625762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  625765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  625768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625819 */     GIR_RootConstrainSelectedInstOperands,
     /*  625820 */     // GIR_Coverage, 6047,
     /*  625820 */     GIR_EraseRootFromParent_Done,
     /*  625821 */   // Label 10070: @625821
     /*  625821 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625896), // Rule ID 6048 //
     /*  625826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  625837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  625840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  625843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625894 */     GIR_RootConstrainSelectedInstOperands,
     /*  625895 */     // GIR_Coverage, 6048,
     /*  625895 */     GIR_EraseRootFromParent_Done,
     /*  625896 */   // Label 10071: @625896
     /*  625896 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625971), // Rule ID 6051 //
     /*  625901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  625912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  625915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  625918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625969 */     GIR_RootConstrainSelectedInstOperands,
     /*  625970 */     // GIR_Coverage, 6051,
     /*  625970 */     GIR_EraseRootFromParent_Done,
     /*  625971 */   // Label 10072: @625971
     /*  625971 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(626046), // Rule ID 6052 //
     /*  625976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  625987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  625990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  625993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626044 */     GIR_RootConstrainSelectedInstOperands,
     /*  626045 */     // GIR_Coverage, 6052,
     /*  626045 */     GIR_EraseRootFromParent_Done,
     /*  626046 */   // Label 10073: @626046
     /*  626046 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(626121), // Rule ID 6055 //
     /*  626051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626119 */     GIR_RootConstrainSelectedInstOperands,
     /*  626120 */     // GIR_Coverage, 6055,
     /*  626120 */     GIR_EraseRootFromParent_Done,
     /*  626121 */   // Label 10074: @626121
     /*  626121 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626196), // Rule ID 6056 //
     /*  626126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626194 */     GIR_RootConstrainSelectedInstOperands,
     /*  626195 */     // GIR_Coverage, 6056,
     /*  626195 */     GIR_EraseRootFromParent_Done,
     /*  626196 */   // Label 10075: @626196
     /*  626196 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626271), // Rule ID 6059 //
     /*  626201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626269 */     GIR_RootConstrainSelectedInstOperands,
     /*  626270 */     // GIR_Coverage, 6059,
     /*  626270 */     GIR_EraseRootFromParent_Done,
     /*  626271 */   // Label 10076: @626271
     /*  626271 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626346), // Rule ID 6060 //
     /*  626276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626344 */     GIR_RootConstrainSelectedInstOperands,
     /*  626345 */     // GIR_Coverage, 6060,
     /*  626345 */     GIR_EraseRootFromParent_Done,
     /*  626346 */   // Label 10077: @626346
     /*  626346 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626421), // Rule ID 6063 //
     /*  626351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626419 */     GIR_RootConstrainSelectedInstOperands,
     /*  626420 */     // GIR_Coverage, 6063,
     /*  626420 */     GIR_EraseRootFromParent_Done,
     /*  626421 */   // Label 10078: @626421
     /*  626421 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626496), // Rule ID 6064 //
     /*  626426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  626437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  626440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  626443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626494 */     GIR_RootConstrainSelectedInstOperands,
     /*  626495 */     // GIR_Coverage, 6064,
     /*  626495 */     GIR_EraseRootFromParent_Done,
     /*  626496 */   // Label 10079: @626496
     /*  626496 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626571), // Rule ID 6067 //
     /*  626501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626569 */     GIR_RootConstrainSelectedInstOperands,
     /*  626570 */     // GIR_Coverage, 6067,
     /*  626570 */     GIR_EraseRootFromParent_Done,
     /*  626571 */   // Label 10080: @626571
     /*  626571 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626646), // Rule ID 6068 //
     /*  626576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  626587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  626590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  626593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  626625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626644 */     GIR_RootConstrainSelectedInstOperands,
     /*  626645 */     // GIR_Coverage, 6068,
     /*  626645 */     GIR_EraseRootFromParent_Done,
     /*  626646 */   // Label 10081: @626646
     /*  626646 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626721), // Rule ID 6071 //
     /*  626651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  626662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  626665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  626668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626719 */     GIR_RootConstrainSelectedInstOperands,
     /*  626720 */     // GIR_Coverage, 6071,
     /*  626720 */     GIR_EraseRootFromParent_Done,
     /*  626721 */   // Label 10082: @626721
     /*  626721 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626796), // Rule ID 6072 //
     /*  626726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  626737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  626740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  626743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626794 */     GIR_RootConstrainSelectedInstOperands,
     /*  626795 */     // GIR_Coverage, 6072,
     /*  626795 */     GIR_EraseRootFromParent_Done,
     /*  626796 */   // Label 10083: @626796
     /*  626796 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626871), // Rule ID 6075 //
     /*  626801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626869 */     GIR_RootConstrainSelectedInstOperands,
     /*  626870 */     // GIR_Coverage, 6075,
     /*  626870 */     GIR_EraseRootFromParent_Done,
     /*  626871 */   // Label 10084: @626871
     /*  626871 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626946), // Rule ID 6076 //
     /*  626876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  626925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626944 */     GIR_RootConstrainSelectedInstOperands,
     /*  626945 */     // GIR_Coverage, 6076,
     /*  626945 */     GIR_EraseRootFromParent_Done,
     /*  626946 */   // Label 10085: @626946
     /*  626946 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(627021), // Rule ID 6079 //
     /*  626951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  626962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  626965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  626968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627019 */     GIR_RootConstrainSelectedInstOperands,
     /*  627020 */     // GIR_Coverage, 6079,
     /*  627020 */     GIR_EraseRootFromParent_Done,
     /*  627021 */   // Label 10086: @627021
     /*  627021 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(627096), // Rule ID 6080 //
     /*  627026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  627075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627094 */     GIR_RootConstrainSelectedInstOperands,
     /*  627095 */     // GIR_Coverage, 6080,
     /*  627095 */     GIR_EraseRootFromParent_Done,
     /*  627096 */   // Label 10087: @627096
     /*  627096 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627171), // Rule ID 6083 //
     /*  627101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627169 */     GIR_RootConstrainSelectedInstOperands,
     /*  627170 */     // GIR_Coverage, 6083,
     /*  627170 */     GIR_EraseRootFromParent_Done,
     /*  627171 */   // Label 10088: @627171
     /*  627171 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627246), // Rule ID 6084 //
     /*  627176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  627225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627244 */     GIR_RootConstrainSelectedInstOperands,
     /*  627245 */     // GIR_Coverage, 6084,
     /*  627245 */     GIR_EraseRootFromParent_Done,
     /*  627246 */   // Label 10089: @627246
     /*  627246 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627321), // Rule ID 6175 //
     /*  627251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627319 */     GIR_RootConstrainSelectedInstOperands,
     /*  627320 */     // GIR_Coverage, 6175,
     /*  627320 */     GIR_EraseRootFromParent_Done,
     /*  627321 */   // Label 10090: @627321
     /*  627321 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627396), // Rule ID 6176 //
     /*  627326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  627375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627394 */     GIR_RootConstrainSelectedInstOperands,
     /*  627395 */     // GIR_Coverage, 6176,
     /*  627395 */     GIR_EraseRootFromParent_Done,
     /*  627396 */   // Label 10091: @627396
     /*  627396 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627471), // Rule ID 6179 //
     /*  627401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627469 */     GIR_RootConstrainSelectedInstOperands,
     /*  627470 */     // GIR_Coverage, 6179,
     /*  627470 */     GIR_EraseRootFromParent_Done,
     /*  627471 */   // Label 10092: @627471
     /*  627471 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627546), // Rule ID 6180 //
     /*  627476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627544 */     GIR_RootConstrainSelectedInstOperands,
     /*  627545 */     // GIR_Coverage, 6180,
     /*  627545 */     GIR_EraseRootFromParent_Done,
     /*  627546 */   // Label 10093: @627546
     /*  627546 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627621), // Rule ID 6183 //
     /*  627551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627619 */     GIR_RootConstrainSelectedInstOperands,
     /*  627620 */     // GIR_Coverage, 6183,
     /*  627620 */     GIR_EraseRootFromParent_Done,
     /*  627621 */   // Label 10094: @627621
     /*  627621 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627696), // Rule ID 6184 //
     /*  627626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627694 */     GIR_RootConstrainSelectedInstOperands,
     /*  627695 */     // GIR_Coverage, 6184,
     /*  627695 */     GIR_EraseRootFromParent_Done,
     /*  627696 */   // Label 10095: @627696
     /*  627696 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627771), // Rule ID 6187 //
     /*  627701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627769 */     GIR_RootConstrainSelectedInstOperands,
     /*  627770 */     // GIR_Coverage, 6187,
     /*  627770 */     GIR_EraseRootFromParent_Done,
     /*  627771 */   // Label 10096: @627771
     /*  627771 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627846), // Rule ID 6188 //
     /*  627776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  627825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627844 */     GIR_RootConstrainSelectedInstOperands,
     /*  627845 */     // GIR_Coverage, 6188,
     /*  627845 */     GIR_EraseRootFromParent_Done,
     /*  627846 */   // Label 10097: @627846
     /*  627846 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627921), // Rule ID 6191 //
     /*  627851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  627871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627897 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627919 */     GIR_RootConstrainSelectedInstOperands,
     /*  627920 */     // GIR_Coverage, 6191,
     /*  627920 */     GIR_EraseRootFromParent_Done,
     /*  627921 */   // Label 10098: @627921
     /*  627921 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627996), // Rule ID 6192 //
     /*  627926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  627946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  627975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627994 */     GIR_RootConstrainSelectedInstOperands,
     /*  627995 */     // GIR_Coverage, 6192,
     /*  627995 */     GIR_EraseRootFromParent_Done,
     /*  627996 */   // Label 10099: @627996
     /*  627996 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(628071), // Rule ID 6195 //
     /*  628001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628069 */     GIR_RootConstrainSelectedInstOperands,
     /*  628070 */     // GIR_Coverage, 6195,
     /*  628070 */     GIR_EraseRootFromParent_Done,
     /*  628071 */   // Label 10100: @628071
     /*  628071 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628146), // Rule ID 6196 //
     /*  628076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  628125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628144 */     GIR_RootConstrainSelectedInstOperands,
     /*  628145 */     // GIR_Coverage, 6196,
     /*  628145 */     GIR_EraseRootFromParent_Done,
     /*  628146 */   // Label 10101: @628146
     /*  628146 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628221), // Rule ID 6199 //
     /*  628151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628219 */     GIR_RootConstrainSelectedInstOperands,
     /*  628220 */     // GIR_Coverage, 6199,
     /*  628220 */     GIR_EraseRootFromParent_Done,
     /*  628221 */   // Label 10102: @628221
     /*  628221 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628296), // Rule ID 6200 //
     /*  628226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628294 */     GIR_RootConstrainSelectedInstOperands,
     /*  628295 */     // GIR_Coverage, 6200,
     /*  628295 */     GIR_EraseRootFromParent_Done,
     /*  628296 */   // Label 10103: @628296
     /*  628296 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628371), // Rule ID 6203 //
     /*  628301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628369 */     GIR_RootConstrainSelectedInstOperands,
     /*  628370 */     // GIR_Coverage, 6203,
     /*  628370 */     GIR_EraseRootFromParent_Done,
     /*  628371 */   // Label 10104: @628371
     /*  628371 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628446), // Rule ID 6204 //
     /*  628376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628444 */     GIR_RootConstrainSelectedInstOperands,
     /*  628445 */     // GIR_Coverage, 6204,
     /*  628445 */     GIR_EraseRootFromParent_Done,
     /*  628446 */   // Label 10105: @628446
     /*  628446 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628521), // Rule ID 6207 //
     /*  628451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628519 */     GIR_RootConstrainSelectedInstOperands,
     /*  628520 */     // GIR_Coverage, 6207,
     /*  628520 */     GIR_EraseRootFromParent_Done,
     /*  628521 */   // Label 10106: @628521
     /*  628521 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628596), // Rule ID 6208 //
     /*  628526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628594 */     GIR_RootConstrainSelectedInstOperands,
     /*  628595 */     // GIR_Coverage, 6208,
     /*  628595 */     GIR_EraseRootFromParent_Done,
     /*  628596 */   // Label 10107: @628596
     /*  628596 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628671), // Rule ID 6211 //
     /*  628601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628669 */     GIR_RootConstrainSelectedInstOperands,
     /*  628670 */     // GIR_Coverage, 6211,
     /*  628670 */     GIR_EraseRootFromParent_Done,
     /*  628671 */   // Label 10108: @628671
     /*  628671 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628746), // Rule ID 6212 //
     /*  628676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  628725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628744 */     GIR_RootConstrainSelectedInstOperands,
     /*  628745 */     // GIR_Coverage, 6212,
     /*  628745 */     GIR_EraseRootFromParent_Done,
     /*  628746 */   // Label 10109: @628746
     /*  628746 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628821), // Rule ID 6215 //
     /*  628751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628819 */     GIR_RootConstrainSelectedInstOperands,
     /*  628820 */     // GIR_Coverage, 6215,
     /*  628820 */     GIR_EraseRootFromParent_Done,
     /*  628821 */   // Label 10110: @628821
     /*  628821 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628896), // Rule ID 6216 //
     /*  628826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628894 */     GIR_RootConstrainSelectedInstOperands,
     /*  628895 */     // GIR_Coverage, 6216,
     /*  628895 */     GIR_EraseRootFromParent_Done,
     /*  628896 */   // Label 10111: @628896
     /*  628896 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628971), // Rule ID 6219 //
     /*  628901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  628912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  628915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  628918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  628921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  628950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628969 */     GIR_RootConstrainSelectedInstOperands,
     /*  628970 */     // GIR_Coverage, 6219,
     /*  628970 */     GIR_EraseRootFromParent_Done,
     /*  628971 */   // Label 10112: @628971
     /*  628971 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(629046), // Rule ID 6220 //
     /*  628976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  628987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  628990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  628993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  628996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629044 */     GIR_RootConstrainSelectedInstOperands,
     /*  629045 */     // GIR_Coverage, 6220,
     /*  629045 */     GIR_EraseRootFromParent_Done,
     /*  629046 */   // Label 10113: @629046
     /*  629046 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(629121), // Rule ID 6223 //
     /*  629051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629119 */     GIR_RootConstrainSelectedInstOperands,
     /*  629120 */     // GIR_Coverage, 6223,
     /*  629120 */     GIR_EraseRootFromParent_Done,
     /*  629121 */   // Label 10114: @629121
     /*  629121 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629196), // Rule ID 6224 //
     /*  629126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629194 */     GIR_RootConstrainSelectedInstOperands,
     /*  629195 */     // GIR_Coverage, 6224,
     /*  629195 */     GIR_EraseRootFromParent_Done,
     /*  629196 */   // Label 10115: @629196
     /*  629196 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629271), // Rule ID 6227 //
     /*  629201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629269 */     GIR_RootConstrainSelectedInstOperands,
     /*  629270 */     // GIR_Coverage, 6227,
     /*  629270 */     GIR_EraseRootFromParent_Done,
     /*  629271 */   // Label 10116: @629271
     /*  629271 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629346), // Rule ID 6228 //
     /*  629276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629344 */     GIR_RootConstrainSelectedInstOperands,
     /*  629345 */     // GIR_Coverage, 6228,
     /*  629345 */     GIR_EraseRootFromParent_Done,
     /*  629346 */   // Label 10117: @629346
     /*  629346 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629421), // Rule ID 6231 //
     /*  629351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629419 */     GIR_RootConstrainSelectedInstOperands,
     /*  629420 */     // GIR_Coverage, 6231,
     /*  629420 */     GIR_EraseRootFromParent_Done,
     /*  629421 */   // Label 10118: @629421
     /*  629421 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629496), // Rule ID 6232 //
     /*  629426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629494 */     GIR_RootConstrainSelectedInstOperands,
     /*  629495 */     // GIR_Coverage, 6232,
     /*  629495 */     GIR_EraseRootFromParent_Done,
     /*  629496 */   // Label 10119: @629496
     /*  629496 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629571), // Rule ID 6235 //
     /*  629501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629569 */     GIR_RootConstrainSelectedInstOperands,
     /*  629570 */     // GIR_Coverage, 6235,
     /*  629570 */     GIR_EraseRootFromParent_Done,
     /*  629571 */   // Label 10120: @629571
     /*  629571 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629646), // Rule ID 6236 //
     /*  629576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629644 */     GIR_RootConstrainSelectedInstOperands,
     /*  629645 */     // GIR_Coverage, 6236,
     /*  629645 */     GIR_EraseRootFromParent_Done,
     /*  629646 */   // Label 10121: @629646
     /*  629646 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629721), // Rule ID 6239 //
     /*  629651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629719 */     GIR_RootConstrainSelectedInstOperands,
     /*  629720 */     // GIR_Coverage, 6239,
     /*  629720 */     GIR_EraseRootFromParent_Done,
     /*  629721 */   // Label 10122: @629721
     /*  629721 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629796), // Rule ID 6240 //
     /*  629726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629794 */     GIR_RootConstrainSelectedInstOperands,
     /*  629795 */     // GIR_Coverage, 6240,
     /*  629795 */     GIR_EraseRootFromParent_Done,
     /*  629796 */   // Label 10123: @629796
     /*  629796 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629871), // Rule ID 6243 //
     /*  629801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629869 */     GIR_RootConstrainSelectedInstOperands,
     /*  629870 */     // GIR_Coverage, 6243,
     /*  629870 */     GIR_EraseRootFromParent_Done,
     /*  629871 */   // Label 10124: @629871
     /*  629871 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629946), // Rule ID 6244 //
     /*  629876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629944 */     GIR_RootConstrainSelectedInstOperands,
     /*  629945 */     // GIR_Coverage, 6244,
     /*  629945 */     GIR_EraseRootFromParent_Done,
     /*  629946 */   // Label 10125: @629946
     /*  629946 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(630021), // Rule ID 6247 //
     /*  629951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  629962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  629965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  629968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  629971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630019 */     GIR_RootConstrainSelectedInstOperands,
     /*  630020 */     // GIR_Coverage, 6247,
     /*  630020 */     GIR_EraseRootFromParent_Done,
     /*  630021 */   // Label 10126: @630021
     /*  630021 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(630096), // Rule ID 6248 //
     /*  630026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630094 */     GIR_RootConstrainSelectedInstOperands,
     /*  630095 */     // GIR_Coverage, 6248,
     /*  630095 */     GIR_EraseRootFromParent_Done,
     /*  630096 */   // Label 10127: @630096
     /*  630096 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630171), // Rule ID 6251 //
     /*  630101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630169 */     GIR_RootConstrainSelectedInstOperands,
     /*  630170 */     // GIR_Coverage, 6251,
     /*  630170 */     GIR_EraseRootFromParent_Done,
     /*  630171 */   // Label 10128: @630171
     /*  630171 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630246), // Rule ID 6252 //
     /*  630176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  630225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630244 */     GIR_RootConstrainSelectedInstOperands,
     /*  630245 */     // GIR_Coverage, 6252,
     /*  630245 */     GIR_EraseRootFromParent_Done,
     /*  630246 */   // Label 10129: @630246
     /*  630246 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630321), // Rule ID 6255 //
     /*  630251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630319 */     GIR_RootConstrainSelectedInstOperands,
     /*  630320 */     // GIR_Coverage, 6255,
     /*  630320 */     GIR_EraseRootFromParent_Done,
     /*  630321 */   // Label 10130: @630321
     /*  630321 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630396), // Rule ID 6256 //
     /*  630326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  630375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630394 */     GIR_RootConstrainSelectedInstOperands,
     /*  630395 */     // GIR_Coverage, 6256,
     /*  630395 */     GIR_EraseRootFromParent_Done,
     /*  630396 */   // Label 10131: @630396
     /*  630396 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630471), // Rule ID 6259 //
     /*  630401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630469 */     GIR_RootConstrainSelectedInstOperands,
     /*  630470 */     // GIR_Coverage, 6259,
     /*  630470 */     GIR_EraseRootFromParent_Done,
     /*  630471 */   // Label 10132: @630471
     /*  630471 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630546), // Rule ID 6260 //
     /*  630476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  630525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630544 */     GIR_RootConstrainSelectedInstOperands,
     /*  630545 */     // GIR_Coverage, 6260,
     /*  630545 */     GIR_EraseRootFromParent_Done,
     /*  630546 */   // Label 10133: @630546
     /*  630546 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630621), // Rule ID 6263 //
     /*  630551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  630600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630619 */     GIR_RootConstrainSelectedInstOperands,
     /*  630620 */     // GIR_Coverage, 6263,
     /*  630620 */     GIR_EraseRootFromParent_Done,
     /*  630621 */   // Label 10134: @630621
     /*  630621 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630696), // Rule ID 6264 //
     /*  630626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  630675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630694 */     GIR_RootConstrainSelectedInstOperands,
     /*  630695 */     // GIR_Coverage, 6264,
     /*  630695 */     GIR_EraseRootFromParent_Done,
     /*  630696 */   // Label 10135: @630696
     /*  630696 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630771), // Rule ID 6267 //
     /*  630701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  630750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630769 */     GIR_RootConstrainSelectedInstOperands,
     /*  630770 */     // GIR_Coverage, 6267,
     /*  630770 */     GIR_EraseRootFromParent_Done,
     /*  630771 */   // Label 10136: @630771
     /*  630771 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630846), // Rule ID 6268 //
     /*  630776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  630825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630844 */     GIR_RootConstrainSelectedInstOperands,
     /*  630845 */     // GIR_Coverage, 6268,
     /*  630845 */     GIR_EraseRootFromParent_Done,
     /*  630846 */   // Label 10137: @630846
     /*  630846 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630921), // Rule ID 6271 //
     /*  630851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630919 */     GIR_RootConstrainSelectedInstOperands,
     /*  630920 */     // GIR_Coverage, 6271,
     /*  630920 */     GIR_EraseRootFromParent_Done,
     /*  630921 */   // Label 10138: @630921
     /*  630921 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630996), // Rule ID 6272 //
     /*  630926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630994 */     GIR_RootConstrainSelectedInstOperands,
     /*  630995 */     // GIR_Coverage, 6272,
     /*  630995 */     GIR_EraseRootFromParent_Done,
     /*  630996 */   // Label 10139: @630996
     /*  630996 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(631071), // Rule ID 6275 //
     /*  631001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631069 */     GIR_RootConstrainSelectedInstOperands,
     /*  631070 */     // GIR_Coverage, 6275,
     /*  631070 */     GIR_EraseRootFromParent_Done,
     /*  631071 */   // Label 10140: @631071
     /*  631071 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631146), // Rule ID 6276 //
     /*  631076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  631125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631144 */     GIR_RootConstrainSelectedInstOperands,
     /*  631145 */     // GIR_Coverage, 6276,
     /*  631145 */     GIR_EraseRootFromParent_Done,
     /*  631146 */   // Label 10141: @631146
     /*  631146 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631221), // Rule ID 6279 //
     /*  631151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631219 */     GIR_RootConstrainSelectedInstOperands,
     /*  631220 */     // GIR_Coverage, 6279,
     /*  631220 */     GIR_EraseRootFromParent_Done,
     /*  631221 */   // Label 10142: @631221
     /*  631221 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631296), // Rule ID 6280 //
     /*  631226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631294 */     GIR_RootConstrainSelectedInstOperands,
     /*  631295 */     // GIR_Coverage, 6280,
     /*  631295 */     GIR_EraseRootFromParent_Done,
     /*  631296 */   // Label 10143: @631296
     /*  631296 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631371), // Rule ID 6283 //
     /*  631301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631369 */     GIR_RootConstrainSelectedInstOperands,
     /*  631370 */     // GIR_Coverage, 6283,
     /*  631370 */     GIR_EraseRootFromParent_Done,
     /*  631371 */   // Label 10144: @631371
     /*  631371 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631446), // Rule ID 6284 //
     /*  631376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  631425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631444 */     GIR_RootConstrainSelectedInstOperands,
     /*  631445 */     // GIR_Coverage, 6284,
     /*  631445 */     GIR_EraseRootFromParent_Done,
     /*  631446 */   // Label 10145: @631446
     /*  631446 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631521), // Rule ID 6287 //
     /*  631451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631519 */     GIR_RootConstrainSelectedInstOperands,
     /*  631520 */     // GIR_Coverage, 6287,
     /*  631520 */     GIR_EraseRootFromParent_Done,
     /*  631521 */   // Label 10146: @631521
     /*  631521 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631596), // Rule ID 6288 //
     /*  631526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11594:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631594 */     GIR_RootConstrainSelectedInstOperands,
     /*  631595 */     // GIR_Coverage, 6288,
     /*  631595 */     GIR_EraseRootFromParent_Done,
     /*  631596 */   // Label 10147: @631596
     /*  631596 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631671), // Rule ID 6291 //
     /*  631601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631669 */     GIR_RootConstrainSelectedInstOperands,
     /*  631670 */     // GIR_Coverage, 6291,
     /*  631670 */     GIR_EraseRootFromParent_Done,
     /*  631671 */   // Label 10148: @631671
     /*  631671 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631746), // Rule ID 6292 //
     /*  631676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631744 */     GIR_RootConstrainSelectedInstOperands,
     /*  631745 */     // GIR_Coverage, 6292,
     /*  631745 */     GIR_EraseRootFromParent_Done,
     /*  631746 */   // Label 10149: @631746
     /*  631746 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631821), // Rule ID 6295 //
     /*  631751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631819 */     GIR_RootConstrainSelectedInstOperands,
     /*  631820 */     // GIR_Coverage, 6295,
     /*  631820 */     GIR_EraseRootFromParent_Done,
     /*  631821 */   // Label 10150: @631821
     /*  631821 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631896), // Rule ID 6296 //
     /*  631826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631894 */     GIR_RootConstrainSelectedInstOperands,
     /*  631895 */     // GIR_Coverage, 6296,
     /*  631895 */     GIR_EraseRootFromParent_Done,
     /*  631896 */   // Label 10151: @631896
     /*  631896 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631971), // Rule ID 6299 //
     /*  631901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  631912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  631915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  631918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  631950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631969 */     GIR_RootConstrainSelectedInstOperands,
     /*  631970 */     // GIR_Coverage, 6299,
     /*  631970 */     GIR_EraseRootFromParent_Done,
     /*  631971 */   // Label 10152: @631971
     /*  631971 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(632046), // Rule ID 6300 //
     /*  631976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  631987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  631990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  631993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  632025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632044 */     GIR_RootConstrainSelectedInstOperands,
     /*  632045 */     // GIR_Coverage, 6300,
     /*  632045 */     GIR_EraseRootFromParent_Done,
     /*  632046 */   // Label 10153: @632046
     /*  632046 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(632121), // Rule ID 6303 //
     /*  632051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632119 */     GIR_RootConstrainSelectedInstOperands,
     /*  632120 */     // GIR_Coverage, 6303,
     /*  632120 */     GIR_EraseRootFromParent_Done,
     /*  632121 */   // Label 10154: @632121
     /*  632121 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632196), // Rule ID 6304 //
     /*  632126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632194 */     GIR_RootConstrainSelectedInstOperands,
     /*  632195 */     // GIR_Coverage, 6304,
     /*  632195 */     GIR_EraseRootFromParent_Done,
     /*  632196 */   // Label 10155: @632196
     /*  632196 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632271), // Rule ID 6307 //
     /*  632201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632269 */     GIR_RootConstrainSelectedInstOperands,
     /*  632270 */     // GIR_Coverage, 6307,
     /*  632270 */     GIR_EraseRootFromParent_Done,
     /*  632271 */   // Label 10156: @632271
     /*  632271 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632346), // Rule ID 6308 //
     /*  632276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632344 */     GIR_RootConstrainSelectedInstOperands,
     /*  632345 */     // GIR_Coverage, 6308,
     /*  632345 */     GIR_EraseRootFromParent_Done,
     /*  632346 */   // Label 10157: @632346
     /*  632346 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632421), // Rule ID 6311 //
     /*  632351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632419 */     GIR_RootConstrainSelectedInstOperands,
     /*  632420 */     // GIR_Coverage, 6311,
     /*  632420 */     GIR_EraseRootFromParent_Done,
     /*  632421 */   // Label 10158: @632421
     /*  632421 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632496), // Rule ID 6312 //
     /*  632426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632494 */     GIR_RootConstrainSelectedInstOperands,
     /*  632495 */     // GIR_Coverage, 6312,
     /*  632495 */     GIR_EraseRootFromParent_Done,
     /*  632496 */   // Label 10159: @632496
     /*  632496 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632571), // Rule ID 6315 //
     /*  632501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632569 */     GIR_RootConstrainSelectedInstOperands,
     /*  632570 */     // GIR_Coverage, 6315,
     /*  632570 */     GIR_EraseRootFromParent_Done,
     /*  632571 */   // Label 10160: @632571
     /*  632571 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632646), // Rule ID 6316 //
     /*  632576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632644 */     GIR_RootConstrainSelectedInstOperands,
     /*  632645 */     // GIR_Coverage, 6316,
     /*  632645 */     GIR_EraseRootFromParent_Done,
     /*  632646 */   // Label 10161: @632646
     /*  632646 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632721), // Rule ID 6319 //
     /*  632651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632719 */     GIR_RootConstrainSelectedInstOperands,
     /*  632720 */     // GIR_Coverage, 6319,
     /*  632720 */     GIR_EraseRootFromParent_Done,
     /*  632721 */   // Label 10162: @632721
     /*  632721 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632796), // Rule ID 6320 //
     /*  632726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632794 */     GIR_RootConstrainSelectedInstOperands,
     /*  632795 */     // GIR_Coverage, 6320,
     /*  632795 */     GIR_EraseRootFromParent_Done,
     /*  632796 */   // Label 10163: @632796
     /*  632796 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632871), // Rule ID 6323 //
     /*  632801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632869 */     GIR_RootConstrainSelectedInstOperands,
     /*  632870 */     // GIR_Coverage, 6323,
     /*  632870 */     GIR_EraseRootFromParent_Done,
     /*  632871 */   // Label 10164: @632871
     /*  632871 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632946), // Rule ID 6324 //
     /*  632876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632944 */     GIR_RootConstrainSelectedInstOperands,
     /*  632945 */     // GIR_Coverage, 6324,
     /*  632945 */     GIR_EraseRootFromParent_Done,
     /*  632946 */   // Label 10165: @632946
     /*  632946 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(633021), // Rule ID 6327 //
     /*  632951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  632962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  632965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  632968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633019 */     GIR_RootConstrainSelectedInstOperands,
     /*  633020 */     // GIR_Coverage, 6327,
     /*  633020 */     GIR_EraseRootFromParent_Done,
     /*  633021 */   // Label 10166: @633021
     /*  633021 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(633096), // Rule ID 6328 //
     /*  633026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633094 */     GIR_RootConstrainSelectedInstOperands,
     /*  633095 */     // GIR_Coverage, 6328,
     /*  633095 */     GIR_EraseRootFromParent_Done,
     /*  633096 */   // Label 10167: @633096
     /*  633096 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633171), // Rule ID 6331 //
     /*  633101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633169 */     GIR_RootConstrainSelectedInstOperands,
     /*  633170 */     // GIR_Coverage, 6331,
     /*  633170 */     GIR_EraseRootFromParent_Done,
     /*  633171 */   // Label 10168: @633171
     /*  633171 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633246), // Rule ID 6332 //
     /*  633176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633244 */     GIR_RootConstrainSelectedInstOperands,
     /*  633245 */     // GIR_Coverage, 6332,
     /*  633245 */     GIR_EraseRootFromParent_Done,
     /*  633246 */   // Label 10169: @633246
     /*  633246 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633321), // Rule ID 6335 //
     /*  633251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633319 */     GIR_RootConstrainSelectedInstOperands,
     /*  633320 */     // GIR_Coverage, 6335,
     /*  633320 */     GIR_EraseRootFromParent_Done,
     /*  633321 */   // Label 10170: @633321
     /*  633321 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633396), // Rule ID 6336 //
     /*  633326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633394 */     GIR_RootConstrainSelectedInstOperands,
     /*  633395 */     // GIR_Coverage, 6336,
     /*  633395 */     GIR_EraseRootFromParent_Done,
     /*  633396 */   // Label 10171: @633396
     /*  633396 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633471), // Rule ID 6339 //
     /*  633401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633469 */     GIR_RootConstrainSelectedInstOperands,
     /*  633470 */     // GIR_Coverage, 6339,
     /*  633470 */     GIR_EraseRootFromParent_Done,
     /*  633471 */   // Label 10172: @633471
     /*  633471 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633546), // Rule ID 6340 //
     /*  633476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  633525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633544 */     GIR_RootConstrainSelectedInstOperands,
     /*  633545 */     // GIR_Coverage, 6340,
     /*  633545 */     GIR_EraseRootFromParent_Done,
     /*  633546 */   // Label 10173: @633546
     /*  633546 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633621), // Rule ID 6343 //
     /*  633551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633619 */     GIR_RootConstrainSelectedInstOperands,
     /*  633620 */     // GIR_Coverage, 6343,
     /*  633620 */     GIR_EraseRootFromParent_Done,
     /*  633621 */   // Label 10174: @633621
     /*  633621 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633696), // Rule ID 6344 //
     /*  633626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  633675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633694 */     GIR_RootConstrainSelectedInstOperands,
     /*  633695 */     // GIR_Coverage, 6344,
     /*  633695 */     GIR_EraseRootFromParent_Done,
     /*  633696 */   // Label 10175: @633696
     /*  633696 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633771), // Rule ID 6347 //
     /*  633701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633769 */     GIR_RootConstrainSelectedInstOperands,
     /*  633770 */     // GIR_Coverage, 6347,
     /*  633770 */     GIR_EraseRootFromParent_Done,
     /*  633771 */   // Label 10176: @633771
     /*  633771 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633846), // Rule ID 6348 //
     /*  633776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  633825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633844 */     GIR_RootConstrainSelectedInstOperands,
     /*  633845 */     // GIR_Coverage, 6348,
     /*  633845 */     GIR_EraseRootFromParent_Done,
     /*  633846 */   // Label 10177: @633846
     /*  633846 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633921), // Rule ID 6439 //
     /*  633851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  633871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633897 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  633900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633919 */     GIR_RootConstrainSelectedInstOperands,
     /*  633920 */     // GIR_Coverage, 6439,
     /*  633920 */     GIR_EraseRootFromParent_Done,
     /*  633921 */   // Label 10178: @633921
     /*  633921 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633996), // Rule ID 6440 //
     /*  633926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  633946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  633975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633994 */     GIR_RootConstrainSelectedInstOperands,
     /*  633995 */     // GIR_Coverage, 6440,
     /*  633995 */     GIR_EraseRootFromParent_Done,
     /*  633996 */   // Label 10179: @633996
     /*  633996 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(634071), // Rule ID 6443 //
     /*  634001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634047 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634069 */     GIR_RootConstrainSelectedInstOperands,
     /*  634070 */     // GIR_Coverage, 6443,
     /*  634070 */     GIR_EraseRootFromParent_Done,
     /*  634071 */   // Label 10180: @634071
     /*  634071 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634146), // Rule ID 6444 //
     /*  634076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634144 */     GIR_RootConstrainSelectedInstOperands,
     /*  634145 */     // GIR_Coverage, 6444,
     /*  634145 */     GIR_EraseRootFromParent_Done,
     /*  634146 */   // Label 10181: @634146
     /*  634146 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634221), // Rule ID 6447 //
     /*  634151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634219 */     GIR_RootConstrainSelectedInstOperands,
     /*  634220 */     // GIR_Coverage, 6447,
     /*  634220 */     GIR_EraseRootFromParent_Done,
     /*  634221 */   // Label 10182: @634221
     /*  634221 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634296), // Rule ID 6448 //
     /*  634226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634294 */     GIR_RootConstrainSelectedInstOperands,
     /*  634295 */     // GIR_Coverage, 6448,
     /*  634295 */     GIR_EraseRootFromParent_Done,
     /*  634296 */   // Label 10183: @634296
     /*  634296 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634371), // Rule ID 6451 //
     /*  634301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634369 */     GIR_RootConstrainSelectedInstOperands,
     /*  634370 */     // GIR_Coverage, 6451,
     /*  634370 */     GIR_EraseRootFromParent_Done,
     /*  634371 */   // Label 10184: @634371
     /*  634371 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634446), // Rule ID 6452 //
     /*  634376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  634425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634444 */     GIR_RootConstrainSelectedInstOperands,
     /*  634445 */     // GIR_Coverage, 6452,
     /*  634445 */     GIR_EraseRootFromParent_Done,
     /*  634446 */   // Label 10185: @634446
     /*  634446 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634521), // Rule ID 6455 //
     /*  634451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634519 */     GIR_RootConstrainSelectedInstOperands,
     /*  634520 */     // GIR_Coverage, 6455,
     /*  634520 */     GIR_EraseRootFromParent_Done,
     /*  634521 */   // Label 10186: @634521
     /*  634521 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634596), // Rule ID 6456 //
     /*  634526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634594 */     GIR_RootConstrainSelectedInstOperands,
     /*  634595 */     // GIR_Coverage, 6456,
     /*  634595 */     GIR_EraseRootFromParent_Done,
     /*  634596 */   // Label 10187: @634596
     /*  634596 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634671), // Rule ID 6459 //
     /*  634601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634669 */     GIR_RootConstrainSelectedInstOperands,
     /*  634670 */     // GIR_Coverage, 6459,
     /*  634670 */     GIR_EraseRootFromParent_Done,
     /*  634671 */   // Label 10188: @634671
     /*  634671 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634746), // Rule ID 6460 //
     /*  634676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  634725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634744 */     GIR_RootConstrainSelectedInstOperands,
     /*  634745 */     // GIR_Coverage, 6460,
     /*  634745 */     GIR_EraseRootFromParent_Done,
     /*  634746 */   // Label 10189: @634746
     /*  634746 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634821), // Rule ID 6463 //
     /*  634751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634797 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634819 */     GIR_RootConstrainSelectedInstOperands,
     /*  634820 */     // GIR_Coverage, 6463,
     /*  634820 */     GIR_EraseRootFromParent_Done,
     /*  634821 */   // Label 10190: @634821
     /*  634821 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634896), // Rule ID 6464 //
     /*  634826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634894 */     GIR_RootConstrainSelectedInstOperands,
     /*  634895 */     // GIR_Coverage, 6464,
     /*  634895 */     GIR_EraseRootFromParent_Done,
     /*  634896 */   // Label 10191: @634896
     /*  634896 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634971), // Rule ID 6467 //
     /*  634901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  634912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  634915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  634918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  634921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634969 */     GIR_RootConstrainSelectedInstOperands,
     /*  634970 */     // GIR_Coverage, 6467,
     /*  634970 */     GIR_EraseRootFromParent_Done,
     /*  634971 */   // Label 10192: @634971
     /*  634971 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(635046), // Rule ID 6468 //
     /*  634976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  634987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  634990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  634993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  634996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635044 */     GIR_RootConstrainSelectedInstOperands,
     /*  635045 */     // GIR_Coverage, 6468,
     /*  635045 */     GIR_EraseRootFromParent_Done,
     /*  635046 */   // Label 10193: @635046
     /*  635046 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(635121), // Rule ID 6471 //
     /*  635051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635119 */     GIR_RootConstrainSelectedInstOperands,
     /*  635120 */     // GIR_Coverage, 6471,
     /*  635120 */     GIR_EraseRootFromParent_Done,
     /*  635121 */   // Label 10194: @635121
     /*  635121 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635196), // Rule ID 6472 //
     /*  635126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635194 */     GIR_RootConstrainSelectedInstOperands,
     /*  635195 */     // GIR_Coverage, 6472,
     /*  635195 */     GIR_EraseRootFromParent_Done,
     /*  635196 */   // Label 10195: @635196
     /*  635196 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635271), // Rule ID 6475 //
     /*  635201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635269 */     GIR_RootConstrainSelectedInstOperands,
     /*  635270 */     // GIR_Coverage, 6475,
     /*  635270 */     GIR_EraseRootFromParent_Done,
     /*  635271 */   // Label 10196: @635271
     /*  635271 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635346), // Rule ID 6476 //
     /*  635276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  635325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635344 */     GIR_RootConstrainSelectedInstOperands,
     /*  635345 */     // GIR_Coverage, 6476,
     /*  635345 */     GIR_EraseRootFromParent_Done,
     /*  635346 */   // Label 10197: @635346
     /*  635346 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635421), // Rule ID 6479 //
     /*  635351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635419 */     GIR_RootConstrainSelectedInstOperands,
     /*  635420 */     // GIR_Coverage, 6479,
     /*  635420 */     GIR_EraseRootFromParent_Done,
     /*  635421 */   // Label 10198: @635421
     /*  635421 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635496), // Rule ID 6480 //
     /*  635426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635494 */     GIR_RootConstrainSelectedInstOperands,
     /*  635495 */     // GIR_Coverage, 6480,
     /*  635495 */     GIR_EraseRootFromParent_Done,
     /*  635496 */   // Label 10199: @635496
     /*  635496 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635571), // Rule ID 6483 //
     /*  635501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635569 */     GIR_RootConstrainSelectedInstOperands,
     /*  635570 */     // GIR_Coverage, 6483,
     /*  635570 */     GIR_EraseRootFromParent_Done,
     /*  635571 */   // Label 10200: @635571
     /*  635571 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635646), // Rule ID 6484 //
     /*  635576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635644 */     GIR_RootConstrainSelectedInstOperands,
     /*  635645 */     // GIR_Coverage, 6484,
     /*  635645 */     GIR_EraseRootFromParent_Done,
     /*  635646 */   // Label 10201: @635646
     /*  635646 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635721), // Rule ID 6487 //
     /*  635651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635719 */     GIR_RootConstrainSelectedInstOperands,
     /*  635720 */     // GIR_Coverage, 6487,
     /*  635720 */     GIR_EraseRootFromParent_Done,
     /*  635721 */   // Label 10202: @635721
     /*  635721 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635796), // Rule ID 6488 //
     /*  635726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635794 */     GIR_RootConstrainSelectedInstOperands,
     /*  635795 */     // GIR_Coverage, 6488,
     /*  635795 */     GIR_EraseRootFromParent_Done,
     /*  635796 */   // Label 10203: @635796
     /*  635796 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635871), // Rule ID 6491 //
     /*  635801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635869 */     GIR_RootConstrainSelectedInstOperands,
     /*  635870 */     // GIR_Coverage, 6491,
     /*  635870 */     GIR_EraseRootFromParent_Done,
     /*  635871 */   // Label 10204: @635871
     /*  635871 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635946), // Rule ID 6492 //
     /*  635876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635944 */     GIR_RootConstrainSelectedInstOperands,
     /*  635945 */     // GIR_Coverage, 6492,
     /*  635945 */     GIR_EraseRootFromParent_Done,
     /*  635946 */   // Label 10205: @635946
     /*  635946 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(636021), // Rule ID 6495 //
     /*  635951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  635962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  635965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  635968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  635971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636019 */     GIR_RootConstrainSelectedInstOperands,
     /*  636020 */     // GIR_Coverage, 6495,
     /*  636020 */     GIR_EraseRootFromParent_Done,
     /*  636021 */   // Label 10206: @636021
     /*  636021 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(636096), // Rule ID 6496 //
     /*  636026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636094 */     GIR_RootConstrainSelectedInstOperands,
     /*  636095 */     // GIR_Coverage, 6496,
     /*  636095 */     GIR_EraseRootFromParent_Done,
     /*  636096 */   // Label 10207: @636096
     /*  636096 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636171), // Rule ID 6499 //
     /*  636101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636169 */     GIR_RootConstrainSelectedInstOperands,
     /*  636170 */     // GIR_Coverage, 6499,
     /*  636170 */     GIR_EraseRootFromParent_Done,
     /*  636171 */   // Label 10208: @636171
     /*  636171 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636246), // Rule ID 6500 //
     /*  636176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636244 */     GIR_RootConstrainSelectedInstOperands,
     /*  636245 */     // GIR_Coverage, 6500,
     /*  636245 */     GIR_EraseRootFromParent_Done,
     /*  636246 */   // Label 10209: @636246
     /*  636246 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636321), // Rule ID 6503 //
     /*  636251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636319 */     GIR_RootConstrainSelectedInstOperands,
     /*  636320 */     // GIR_Coverage, 6503,
     /*  636320 */     GIR_EraseRootFromParent_Done,
     /*  636321 */   // Label 10210: @636321
     /*  636321 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636396), // Rule ID 6504 //
     /*  636326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636394 */     GIR_RootConstrainSelectedInstOperands,
     /*  636395 */     // GIR_Coverage, 6504,
     /*  636395 */     GIR_EraseRootFromParent_Done,
     /*  636396 */   // Label 10211: @636396
     /*  636396 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636471), // Rule ID 6507 //
     /*  636401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636469 */     GIR_RootConstrainSelectedInstOperands,
     /*  636470 */     // GIR_Coverage, 6507,
     /*  636470 */     GIR_EraseRootFromParent_Done,
     /*  636471 */   // Label 10212: @636471
     /*  636471 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636546), // Rule ID 6508 //
     /*  636476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636544 */     GIR_RootConstrainSelectedInstOperands,
     /*  636545 */     // GIR_Coverage, 6508,
     /*  636545 */     GIR_EraseRootFromParent_Done,
     /*  636546 */   // Label 10213: @636546
     /*  636546 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636621), // Rule ID 6511 //
     /*  636551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636619 */     GIR_RootConstrainSelectedInstOperands,
     /*  636620 */     // GIR_Coverage, 6511,
     /*  636620 */     GIR_EraseRootFromParent_Done,
     /*  636621 */   // Label 10214: @636621
     /*  636621 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636696), // Rule ID 6512 //
     /*  636626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  636675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636694 */     GIR_RootConstrainSelectedInstOperands,
     /*  636695 */     // GIR_Coverage, 6512,
     /*  636695 */     GIR_EraseRootFromParent_Done,
     /*  636696 */   // Label 10215: @636696
     /*  636696 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636771), // Rule ID 6515 //
     /*  636701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636769 */     GIR_RootConstrainSelectedInstOperands,
     /*  636770 */     // GIR_Coverage, 6515,
     /*  636770 */     GIR_EraseRootFromParent_Done,
     /*  636771 */   // Label 10216: @636771
     /*  636771 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636846), // Rule ID 6516 //
     /*  636776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  636825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636844 */     GIR_RootConstrainSelectedInstOperands,
     /*  636845 */     // GIR_Coverage, 6516,
     /*  636845 */     GIR_EraseRootFromParent_Done,
     /*  636846 */   // Label 10217: @636846
     /*  636846 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636921), // Rule ID 6519 //
     /*  636851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  636871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636897 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636919 */     GIR_RootConstrainSelectedInstOperands,
     /*  636920 */     // GIR_Coverage, 6519,
     /*  636920 */     GIR_EraseRootFromParent_Done,
     /*  636921 */   // Label 10218: @636921
     /*  636921 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636996), // Rule ID 6520 //
     /*  636926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  636946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  636975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636994 */     GIR_RootConstrainSelectedInstOperands,
     /*  636995 */     // GIR_Coverage, 6520,
     /*  636995 */     GIR_EraseRootFromParent_Done,
     /*  636996 */   // Label 10219: @636996
     /*  636996 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(637071), // Rule ID 6523 //
     /*  637001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637069 */     GIR_RootConstrainSelectedInstOperands,
     /*  637070 */     // GIR_Coverage, 6523,
     /*  637070 */     GIR_EraseRootFromParent_Done,
     /*  637071 */   // Label 10220: @637071
     /*  637071 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637146), // Rule ID 6524 //
     /*  637076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  637125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637144 */     GIR_RootConstrainSelectedInstOperands,
     /*  637145 */     // GIR_Coverage, 6524,
     /*  637145 */     GIR_EraseRootFromParent_Done,
     /*  637146 */   // Label 10221: @637146
     /*  637146 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637221), // Rule ID 6527 //
     /*  637151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637219 */     GIR_RootConstrainSelectedInstOperands,
     /*  637220 */     // GIR_Coverage, 6527,
     /*  637220 */     GIR_EraseRootFromParent_Done,
     /*  637221 */   // Label 10222: @637221
     /*  637221 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637296), // Rule ID 6528 //
     /*  637226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  637275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637294 */     GIR_RootConstrainSelectedInstOperands,
     /*  637295 */     // GIR_Coverage, 6528,
     /*  637295 */     GIR_EraseRootFromParent_Done,
     /*  637296 */   // Label 10223: @637296
     /*  637296 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637371), // Rule ID 6531 //
     /*  637301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637369 */     GIR_RootConstrainSelectedInstOperands,
     /*  637370 */     // GIR_Coverage, 6531,
     /*  637370 */     GIR_EraseRootFromParent_Done,
     /*  637371 */   // Label 10224: @637371
     /*  637371 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637446), // Rule ID 6532 //
     /*  637376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637444 */     GIR_RootConstrainSelectedInstOperands,
     /*  637445 */     // GIR_Coverage, 6532,
     /*  637445 */     GIR_EraseRootFromParent_Done,
     /*  637446 */   // Label 10225: @637446
     /*  637446 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637521), // Rule ID 6535 //
     /*  637451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637519 */     GIR_RootConstrainSelectedInstOperands,
     /*  637520 */     // GIR_Coverage, 6535,
     /*  637520 */     GIR_EraseRootFromParent_Done,
     /*  637521 */   // Label 10226: @637521
     /*  637521 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637596), // Rule ID 6536 //
     /*  637526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637594 */     GIR_RootConstrainSelectedInstOperands,
     /*  637595 */     // GIR_Coverage, 6536,
     /*  637595 */     GIR_EraseRootFromParent_Done,
     /*  637596 */   // Label 10227: @637596
     /*  637596 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637671), // Rule ID 6539 //
     /*  637601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637669 */     GIR_RootConstrainSelectedInstOperands,
     /*  637670 */     // GIR_Coverage, 6539,
     /*  637670 */     GIR_EraseRootFromParent_Done,
     /*  637671 */   // Label 10228: @637671
     /*  637671 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637746), // Rule ID 6540 //
     /*  637676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  637725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637744 */     GIR_RootConstrainSelectedInstOperands,
     /*  637745 */     // GIR_Coverage, 6540,
     /*  637745 */     GIR_EraseRootFromParent_Done,
     /*  637746 */   // Label 10229: @637746
     /*  637746 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637821), // Rule ID 6543 //
     /*  637751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637819 */     GIR_RootConstrainSelectedInstOperands,
     /*  637820 */     // GIR_Coverage, 6543,
     /*  637820 */     GIR_EraseRootFromParent_Done,
     /*  637821 */   // Label 10230: @637821
     /*  637821 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637896), // Rule ID 6544 //
     /*  637826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637894 */     GIR_RootConstrainSelectedInstOperands,
     /*  637895 */     // GIR_Coverage, 6544,
     /*  637895 */     GIR_EraseRootFromParent_Done,
     /*  637896 */   // Label 10231: @637896
     /*  637896 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637971), // Rule ID 6547 //
     /*  637901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  637912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  637915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  637918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  637950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637969 */     GIR_RootConstrainSelectedInstOperands,
     /*  637970 */     // GIR_Coverage, 6547,
     /*  637970 */     GIR_EraseRootFromParent_Done,
     /*  637971 */   // Label 10232: @637971
     /*  637971 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(638046), // Rule ID 6548 //
     /*  637976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  637987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  637990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  637993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  638025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638044 */     GIR_RootConstrainSelectedInstOperands,
     /*  638045 */     // GIR_Coverage, 6548,
     /*  638045 */     GIR_EraseRootFromParent_Done,
     /*  638046 */   // Label 10233: @638046
     /*  638046 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(638121), // Rule ID 6551 //
     /*  638051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638119 */     GIR_RootConstrainSelectedInstOperands,
     /*  638120 */     // GIR_Coverage, 6551,
     /*  638120 */     GIR_EraseRootFromParent_Done,
     /*  638121 */   // Label 10234: @638121
     /*  638121 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638196), // Rule ID 6552 //
     /*  638126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638194 */     GIR_RootConstrainSelectedInstOperands,
     /*  638195 */     // GIR_Coverage, 6552,
     /*  638195 */     GIR_EraseRootFromParent_Done,
     /*  638196 */   // Label 10235: @638196
     /*  638196 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638271), // Rule ID 6555 //
     /*  638201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638269 */     GIR_RootConstrainSelectedInstOperands,
     /*  638270 */     // GIR_Coverage, 6555,
     /*  638270 */     GIR_EraseRootFromParent_Done,
     /*  638271 */   // Label 10236: @638271
     /*  638271 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638346), // Rule ID 6556 //
     /*  638276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638344 */     GIR_RootConstrainSelectedInstOperands,
     /*  638345 */     // GIR_Coverage, 6556,
     /*  638345 */     GIR_EraseRootFromParent_Done,
     /*  638346 */   // Label 10237: @638346
     /*  638346 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638421), // Rule ID 6559 //
     /*  638351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638419 */     GIR_RootConstrainSelectedInstOperands,
     /*  638420 */     // GIR_Coverage, 6559,
     /*  638420 */     GIR_EraseRootFromParent_Done,
     /*  638421 */   // Label 10238: @638421
     /*  638421 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638496), // Rule ID 6560 //
     /*  638426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638494 */     GIR_RootConstrainSelectedInstOperands,
     /*  638495 */     // GIR_Coverage, 6560,
     /*  638495 */     GIR_EraseRootFromParent_Done,
     /*  638496 */   // Label 10239: @638496
     /*  638496 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638571), // Rule ID 6563 //
     /*  638501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638569 */     GIR_RootConstrainSelectedInstOperands,
     /*  638570 */     // GIR_Coverage, 6563,
     /*  638570 */     GIR_EraseRootFromParent_Done,
     /*  638571 */   // Label 10240: @638571
     /*  638571 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638646), // Rule ID 6564 //
     /*  638576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  638625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638644 */     GIR_RootConstrainSelectedInstOperands,
     /*  638645 */     // GIR_Coverage, 6564,
     /*  638645 */     GIR_EraseRootFromParent_Done,
     /*  638646 */   // Label 10241: @638646
     /*  638646 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638721), // Rule ID 6567 //
     /*  638651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638719 */     GIR_RootConstrainSelectedInstOperands,
     /*  638720 */     // GIR_Coverage, 6567,
     /*  638720 */     GIR_EraseRootFromParent_Done,
     /*  638721 */   // Label 10242: @638721
     /*  638721 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638796), // Rule ID 6568 //
     /*  638726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638794 */     GIR_RootConstrainSelectedInstOperands,
     /*  638795 */     // GIR_Coverage, 6568,
     /*  638795 */     GIR_EraseRootFromParent_Done,
     /*  638796 */   // Label 10243: @638796
     /*  638796 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638871), // Rule ID 6571 //
     /*  638801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638847 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638869 */     GIR_RootConstrainSelectedInstOperands,
     /*  638870 */     // GIR_Coverage, 6571,
     /*  638870 */     GIR_EraseRootFromParent_Done,
     /*  638871 */   // Label 10244: @638871
     /*  638871 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638946), // Rule ID 6572 //
     /*  638876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638944 */     GIR_RootConstrainSelectedInstOperands,
     /*  638945 */     // GIR_Coverage, 6572,
     /*  638945 */     GIR_EraseRootFromParent_Done,
     /*  638946 */   // Label 10245: @638946
     /*  638946 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(639021), // Rule ID 6575 //
     /*  638951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  638962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  638965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  638968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638997 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639019 */     GIR_RootConstrainSelectedInstOperands,
     /*  639020 */     // GIR_Coverage, 6575,
     /*  639020 */     GIR_EraseRootFromParent_Done,
     /*  639021 */   // Label 10246: @639021
     /*  639021 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(639096), // Rule ID 6576 //
     /*  639026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639094 */     GIR_RootConstrainSelectedInstOperands,
     /*  639095 */     // GIR_Coverage, 6576,
     /*  639095 */     GIR_EraseRootFromParent_Done,
     /*  639096 */   // Label 10247: @639096
     /*  639096 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639171), // Rule ID 6579 //
     /*  639101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639169 */     GIR_RootConstrainSelectedInstOperands,
     /*  639170 */     // GIR_Coverage, 6579,
     /*  639170 */     GIR_EraseRootFromParent_Done,
     /*  639171 */   // Label 10248: @639171
     /*  639171 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639246), // Rule ID 6580 //
     /*  639176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639244 */     GIR_RootConstrainSelectedInstOperands,
     /*  639245 */     // GIR_Coverage, 6580,
     /*  639245 */     GIR_EraseRootFromParent_Done,
     /*  639246 */   // Label 10249: @639246
     /*  639246 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639321), // Rule ID 6583 //
     /*  639251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639319 */     GIR_RootConstrainSelectedInstOperands,
     /*  639320 */     // GIR_Coverage, 6583,
     /*  639320 */     GIR_EraseRootFromParent_Done,
     /*  639321 */   // Label 10250: @639321
     /*  639321 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639396), // Rule ID 6584 //
     /*  639326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639394 */     GIR_RootConstrainSelectedInstOperands,
     /*  639395 */     // GIR_Coverage, 6584,
     /*  639395 */     GIR_EraseRootFromParent_Done,
     /*  639396 */   // Label 10251: @639396
     /*  639396 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639471), // Rule ID 6587 //
     /*  639401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639447 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639469 */     GIR_RootConstrainSelectedInstOperands,
     /*  639470 */     // GIR_Coverage, 6587,
     /*  639470 */     GIR_EraseRootFromParent_Done,
     /*  639471 */   // Label 10252: @639471
     /*  639471 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639546), // Rule ID 6588 //
     /*  639476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639544 */     GIR_RootConstrainSelectedInstOperands,
     /*  639545 */     // GIR_Coverage, 6588,
     /*  639545 */     GIR_EraseRootFromParent_Done,
     /*  639546 */   // Label 10253: @639546
     /*  639546 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639621), // Rule ID 6591 //
     /*  639551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639619 */     GIR_RootConstrainSelectedInstOperands,
     /*  639620 */     // GIR_Coverage, 6591,
     /*  639620 */     GIR_EraseRootFromParent_Done,
     /*  639621 */   // Label 10254: @639621
     /*  639621 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639696), // Rule ID 6592 //
     /*  639626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  639675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639694 */     GIR_RootConstrainSelectedInstOperands,
     /*  639695 */     // GIR_Coverage, 6592,
     /*  639695 */     GIR_EraseRootFromParent_Done,
     /*  639696 */   // Label 10255: @639696
     /*  639696 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639771), // Rule ID 6595 //
     /*  639701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639769 */     GIR_RootConstrainSelectedInstOperands,
     /*  639770 */     // GIR_Coverage, 6595,
     /*  639770 */     GIR_EraseRootFromParent_Done,
     /*  639771 */   // Label 10256: @639771
     /*  639771 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639846), // Rule ID 6596 //
     /*  639776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639844 */     GIR_RootConstrainSelectedInstOperands,
     /*  639845 */     // GIR_Coverage, 6596,
     /*  639845 */     GIR_EraseRootFromParent_Done,
     /*  639846 */   // Label 10257: @639846
     /*  639846 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639921), // Rule ID 6599 //
     /*  639851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639919 */     GIR_RootConstrainSelectedInstOperands,
     /*  639920 */     // GIR_Coverage, 6599,
     /*  639920 */     GIR_EraseRootFromParent_Done,
     /*  639921 */   // Label 10258: @639921
     /*  639921 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639996), // Rule ID 6600 //
     /*  639926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639994 */     GIR_RootConstrainSelectedInstOperands,
     /*  639995 */     // GIR_Coverage, 6600,
     /*  639995 */     GIR_EraseRootFromParent_Done,
     /*  639996 */   // Label 10259: @639996
     /*  639996 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(640071), // Rule ID 6603 //
     /*  640001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640069 */     GIR_RootConstrainSelectedInstOperands,
     /*  640070 */     // GIR_Coverage, 6603,
     /*  640070 */     GIR_EraseRootFromParent_Done,
     /*  640071 */   // Label 10260: @640071
     /*  640071 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640146), // Rule ID 6604 //
     /*  640076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  640125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640144 */     GIR_RootConstrainSelectedInstOperands,
     /*  640145 */     // GIR_Coverage, 6604,
     /*  640145 */     GIR_EraseRootFromParent_Done,
     /*  640146 */   // Label 10261: @640146
     /*  640146 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640221), // Rule ID 6607 //
     /*  640151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640219 */     GIR_RootConstrainSelectedInstOperands,
     /*  640220 */     // GIR_Coverage, 6607,
     /*  640220 */     GIR_EraseRootFromParent_Done,
     /*  640221 */   // Label 10262: @640221
     /*  640221 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640296), // Rule ID 6608 //
     /*  640226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  640275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640294 */     GIR_RootConstrainSelectedInstOperands,
     /*  640295 */     // GIR_Coverage, 6608,
     /*  640295 */     GIR_EraseRootFromParent_Done,
     /*  640296 */   // Label 10263: @640296
     /*  640296 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640371), // Rule ID 6611 //
     /*  640301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640369 */     GIR_RootConstrainSelectedInstOperands,
     /*  640370 */     // GIR_Coverage, 6611,
     /*  640370 */     GIR_EraseRootFromParent_Done,
     /*  640371 */   // Label 10264: @640371
     /*  640371 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640446), // Rule ID 6612 //
     /*  640376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  640425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640444 */     GIR_RootConstrainSelectedInstOperands,
     /*  640445 */     // GIR_Coverage, 6612,
     /*  640445 */     GIR_EraseRootFromParent_Done,
     /*  640446 */   // Label 10265: @640446
     /*  640446 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640521), // Rule ID 6703 //
     /*  640451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640519 */     GIR_RootConstrainSelectedInstOperands,
     /*  640520 */     // GIR_Coverage, 6703,
     /*  640520 */     GIR_EraseRootFromParent_Done,
     /*  640521 */   // Label 10266: @640521
     /*  640521 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640596), // Rule ID 6704 //
     /*  640526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  640575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640594 */     GIR_RootConstrainSelectedInstOperands,
     /*  640595 */     // GIR_Coverage, 6704,
     /*  640595 */     GIR_EraseRootFromParent_Done,
     /*  640596 */   // Label 10267: @640596
     /*  640596 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640671), // Rule ID 6707 //
     /*  640601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  640650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640669 */     GIR_RootConstrainSelectedInstOperands,
     /*  640670 */     // GIR_Coverage, 6707,
     /*  640670 */     GIR_EraseRootFromParent_Done,
     /*  640671 */   // Label 10268: @640671
     /*  640671 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640746), // Rule ID 6708 //
     /*  640676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  640725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640744 */     GIR_RootConstrainSelectedInstOperands,
     /*  640745 */     // GIR_Coverage, 6708,
     /*  640745 */     GIR_EraseRootFromParent_Done,
     /*  640746 */   // Label 10269: @640746
     /*  640746 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640821), // Rule ID 6711 //
     /*  640751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640819 */     GIR_RootConstrainSelectedInstOperands,
     /*  640820 */     // GIR_Coverage, 6711,
     /*  640820 */     GIR_EraseRootFromParent_Done,
     /*  640821 */   // Label 10270: @640821
     /*  640821 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640896), // Rule ID 6712 //
     /*  640826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640894 */     GIR_RootConstrainSelectedInstOperands,
     /*  640895 */     // GIR_Coverage, 6712,
     /*  640895 */     GIR_EraseRootFromParent_Done,
     /*  640896 */   // Label 10271: @640896
     /*  640896 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640971), // Rule ID 6715 //
     /*  640901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  640912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  640915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  640918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  640921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  640950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640969 */     GIR_RootConstrainSelectedInstOperands,
     /*  640970 */     // GIR_Coverage, 6715,
     /*  640970 */     GIR_EraseRootFromParent_Done,
     /*  640971 */   // Label 10272: @640971
     /*  640971 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(641046), // Rule ID 6716 //
     /*  640976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  640987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  640990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  640993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  640996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  641025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641044 */     GIR_RootConstrainSelectedInstOperands,
     /*  641045 */     // GIR_Coverage, 6716,
     /*  641045 */     GIR_EraseRootFromParent_Done,
     /*  641046 */   // Label 10273: @641046
     /*  641046 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(641121), // Rule ID 6719 //
     /*  641051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641119 */     GIR_RootConstrainSelectedInstOperands,
     /*  641120 */     // GIR_Coverage, 6719,
     /*  641120 */     GIR_EraseRootFromParent_Done,
     /*  641121 */   // Label 10274: @641121
     /*  641121 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641196), // Rule ID 6720 //
     /*  641126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641194 */     GIR_RootConstrainSelectedInstOperands,
     /*  641195 */     // GIR_Coverage, 6720,
     /*  641195 */     GIR_EraseRootFromParent_Done,
     /*  641196 */   // Label 10275: @641196
     /*  641196 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641271), // Rule ID 6723 //
     /*  641201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641269 */     GIR_RootConstrainSelectedInstOperands,
     /*  641270 */     // GIR_Coverage, 6723,
     /*  641270 */     GIR_EraseRootFromParent_Done,
     /*  641271 */   // Label 10276: @641271
     /*  641271 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641346), // Rule ID 6724 //
     /*  641276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  641325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641344 */     GIR_RootConstrainSelectedInstOperands,
     /*  641345 */     // GIR_Coverage, 6724,
     /*  641345 */     GIR_EraseRootFromParent_Done,
     /*  641346 */   // Label 10277: @641346
     /*  641346 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641421), // Rule ID 6727 //
     /*  641351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641419 */     GIR_RootConstrainSelectedInstOperands,
     /*  641420 */     // GIR_Coverage, 6727,
     /*  641420 */     GIR_EraseRootFromParent_Done,
     /*  641421 */   // Label 10278: @641421
     /*  641421 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641496), // Rule ID 6728 //
     /*  641426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641494 */     GIR_RootConstrainSelectedInstOperands,
     /*  641495 */     // GIR_Coverage, 6728,
     /*  641495 */     GIR_EraseRootFromParent_Done,
     /*  641496 */   // Label 10279: @641496
     /*  641496 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641571), // Rule ID 6731 //
     /*  641501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641569 */     GIR_RootConstrainSelectedInstOperands,
     /*  641570 */     // GIR_Coverage, 6731,
     /*  641570 */     GIR_EraseRootFromParent_Done,
     /*  641571 */   // Label 10280: @641571
     /*  641571 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641646), // Rule ID 6732 //
     /*  641576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641644 */     GIR_RootConstrainSelectedInstOperands,
     /*  641645 */     // GIR_Coverage, 6732,
     /*  641645 */     GIR_EraseRootFromParent_Done,
     /*  641646 */   // Label 10281: @641646
     /*  641646 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641721), // Rule ID 6735 //
     /*  641651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641719 */     GIR_RootConstrainSelectedInstOperands,
     /*  641720 */     // GIR_Coverage, 6735,
     /*  641720 */     GIR_EraseRootFromParent_Done,
     /*  641721 */   // Label 10282: @641721
     /*  641721 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641796), // Rule ID 6736 //
     /*  641726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641794 */     GIR_RootConstrainSelectedInstOperands,
     /*  641795 */     // GIR_Coverage, 6736,
     /*  641795 */     GIR_EraseRootFromParent_Done,
     /*  641796 */   // Label 10283: @641796
     /*  641796 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641871), // Rule ID 6739 //
     /*  641801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641869 */     GIR_RootConstrainSelectedInstOperands,
     /*  641870 */     // GIR_Coverage, 6739,
     /*  641870 */     GIR_EraseRootFromParent_Done,
     /*  641871 */   // Label 10284: @641871
     /*  641871 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641946), // Rule ID 6740 //
     /*  641876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  641925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641944 */     GIR_RootConstrainSelectedInstOperands,
     /*  641945 */     // GIR_Coverage, 6740,
     /*  641945 */     GIR_EraseRootFromParent_Done,
     /*  641946 */   // Label 10285: @641946
     /*  641946 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(642021), // Rule ID 6743 //
     /*  641951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  641962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  641965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  641968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  641971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642019 */     GIR_RootConstrainSelectedInstOperands,
     /*  642020 */     // GIR_Coverage, 6743,
     /*  642020 */     GIR_EraseRootFromParent_Done,
     /*  642021 */   // Label 10286: @642021
     /*  642021 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(642096), // Rule ID 6744 //
     /*  642026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642094 */     GIR_RootConstrainSelectedInstOperands,
     /*  642095 */     // GIR_Coverage, 6744,
     /*  642095 */     GIR_EraseRootFromParent_Done,
     /*  642096 */   // Label 10287: @642096
     /*  642096 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642171), // Rule ID 6747 //
     /*  642101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642169 */     GIR_RootConstrainSelectedInstOperands,
     /*  642170 */     // GIR_Coverage, 6747,
     /*  642170 */     GIR_EraseRootFromParent_Done,
     /*  642171 */   // Label 10288: @642171
     /*  642171 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642246), // Rule ID 6748 //
     /*  642176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642244 */     GIR_RootConstrainSelectedInstOperands,
     /*  642245 */     // GIR_Coverage, 6748,
     /*  642245 */     GIR_EraseRootFromParent_Done,
     /*  642246 */   // Label 10289: @642246
     /*  642246 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642321), // Rule ID 6751 //
     /*  642251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642297 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642319 */     GIR_RootConstrainSelectedInstOperands,
     /*  642320 */     // GIR_Coverage, 6751,
     /*  642320 */     GIR_EraseRootFromParent_Done,
     /*  642321 */   // Label 10290: @642321
     /*  642321 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642396), // Rule ID 6752 //
     /*  642326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642394 */     GIR_RootConstrainSelectedInstOperands,
     /*  642395 */     // GIR_Coverage, 6752,
     /*  642395 */     GIR_EraseRootFromParent_Done,
     /*  642396 */   // Label 10291: @642396
     /*  642396 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642471), // Rule ID 6755 //
     /*  642401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642469 */     GIR_RootConstrainSelectedInstOperands,
     /*  642470 */     // GIR_Coverage, 6755,
     /*  642470 */     GIR_EraseRootFromParent_Done,
     /*  642471 */   // Label 10292: @642471
     /*  642471 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642546), // Rule ID 6756 //
     /*  642476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642544 */     GIR_RootConstrainSelectedInstOperands,
     /*  642545 */     // GIR_Coverage, 6756,
     /*  642545 */     GIR_EraseRootFromParent_Done,
     /*  642546 */   // Label 10293: @642546
     /*  642546 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642621), // Rule ID 6759 //
     /*  642551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642619 */     GIR_RootConstrainSelectedInstOperands,
     /*  642620 */     // GIR_Coverage, 6759,
     /*  642620 */     GIR_EraseRootFromParent_Done,
     /*  642621 */   // Label 10294: @642621
     /*  642621 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642696), // Rule ID 6760 //
     /*  642626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642694 */     GIR_RootConstrainSelectedInstOperands,
     /*  642695 */     // GIR_Coverage, 6760,
     /*  642695 */     GIR_EraseRootFromParent_Done,
     /*  642696 */   // Label 10295: @642696
     /*  642696 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642771), // Rule ID 6763 //
     /*  642701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642769 */     GIR_RootConstrainSelectedInstOperands,
     /*  642770 */     // GIR_Coverage, 6763,
     /*  642770 */     GIR_EraseRootFromParent_Done,
     /*  642771 */   // Label 10296: @642771
     /*  642771 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642846), // Rule ID 6764 //
     /*  642776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642844 */     GIR_RootConstrainSelectedInstOperands,
     /*  642845 */     // GIR_Coverage, 6764,
     /*  642845 */     GIR_EraseRootFromParent_Done,
     /*  642846 */   // Label 10297: @642846
     /*  642846 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642921), // Rule ID 6767 //
     /*  642851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  642871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642919 */     GIR_RootConstrainSelectedInstOperands,
     /*  642920 */     // GIR_Coverage, 6767,
     /*  642920 */     GIR_EraseRootFromParent_Done,
     /*  642921 */   // Label 10298: @642921
     /*  642921 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642996), // Rule ID 6768 //
     /*  642926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  642946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642994 */     GIR_RootConstrainSelectedInstOperands,
     /*  642995 */     // GIR_Coverage, 6768,
     /*  642995 */     GIR_EraseRootFromParent_Done,
     /*  642996 */   // Label 10299: @642996
     /*  642996 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(643071), // Rule ID 6771 //
     /*  643001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643069 */     GIR_RootConstrainSelectedInstOperands,
     /*  643070 */     // GIR_Coverage, 6771,
     /*  643070 */     GIR_EraseRootFromParent_Done,
     /*  643071 */   // Label 10300: @643071
     /*  643071 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643146), // Rule ID 6772 //
     /*  643076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643144 */     GIR_RootConstrainSelectedInstOperands,
     /*  643145 */     // GIR_Coverage, 6772,
     /*  643145 */     GIR_EraseRootFromParent_Done,
     /*  643146 */   // Label 10301: @643146
     /*  643146 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643221), // Rule ID 6775 //
     /*  643151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643219 */     GIR_RootConstrainSelectedInstOperands,
     /*  643220 */     // GIR_Coverage, 6775,
     /*  643220 */     GIR_EraseRootFromParent_Done,
     /*  643221 */   // Label 10302: @643221
     /*  643221 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643296), // Rule ID 6776 //
     /*  643226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643294 */     GIR_RootConstrainSelectedInstOperands,
     /*  643295 */     // GIR_Coverage, 6776,
     /*  643295 */     GIR_EraseRootFromParent_Done,
     /*  643296 */   // Label 10303: @643296
     /*  643296 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643371), // Rule ID 6779 //
     /*  643301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643369 */     GIR_RootConstrainSelectedInstOperands,
     /*  643370 */     // GIR_Coverage, 6779,
     /*  643370 */     GIR_EraseRootFromParent_Done,
     /*  643371 */   // Label 10304: @643371
     /*  643371 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643446), // Rule ID 6780 //
     /*  643376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  643425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643444 */     GIR_RootConstrainSelectedInstOperands,
     /*  643445 */     // GIR_Coverage, 6780,
     /*  643445 */     GIR_EraseRootFromParent_Done,
     /*  643446 */   // Label 10305: @643446
     /*  643446 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643521), // Rule ID 6783 //
     /*  643451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643519 */     GIR_RootConstrainSelectedInstOperands,
     /*  643520 */     // GIR_Coverage, 6783,
     /*  643520 */     GIR_EraseRootFromParent_Done,
     /*  643521 */   // Label 10306: @643521
     /*  643521 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643596), // Rule ID 6784 //
     /*  643526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  643575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643594 */     GIR_RootConstrainSelectedInstOperands,
     /*  643595 */     // GIR_Coverage, 6784,
     /*  643595 */     GIR_EraseRootFromParent_Done,
     /*  643596 */   // Label 10307: @643596
     /*  643596 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643671), // Rule ID 6787 //
     /*  643601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643669 */     GIR_RootConstrainSelectedInstOperands,
     /*  643670 */     // GIR_Coverage, 6787,
     /*  643670 */     GIR_EraseRootFromParent_Done,
     /*  643671 */   // Label 10308: @643671
     /*  643671 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643746), // Rule ID 6788 //
     /*  643676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  643725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643744 */     GIR_RootConstrainSelectedInstOperands,
     /*  643745 */     // GIR_Coverage, 6788,
     /*  643745 */     GIR_EraseRootFromParent_Done,
     /*  643746 */   // Label 10309: @643746
     /*  643746 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643821), // Rule ID 6791 //
     /*  643751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  643800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643819 */     GIR_RootConstrainSelectedInstOperands,
     /*  643820 */     // GIR_Coverage, 6791,
     /*  643820 */     GIR_EraseRootFromParent_Done,
     /*  643821 */   // Label 10310: @643821
     /*  643821 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643896), // Rule ID 6792 //
     /*  643826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  643875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643894 */     GIR_RootConstrainSelectedInstOperands,
     /*  643895 */     // GIR_Coverage, 6792,
     /*  643895 */     GIR_EraseRootFromParent_Done,
     /*  643896 */   // Label 10311: @643896
     /*  643896 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643971), // Rule ID 6795 //
     /*  643901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  643912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  643915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  643918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  643950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643969 */     GIR_RootConstrainSelectedInstOperands,
     /*  643970 */     // GIR_Coverage, 6795,
     /*  643970 */     GIR_EraseRootFromParent_Done,
     /*  643971 */   // Label 10312: @643971
     /*  643971 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(644046), // Rule ID 6796 //
     /*  643976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  643987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  643990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  643993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644044 */     GIR_RootConstrainSelectedInstOperands,
     /*  644045 */     // GIR_Coverage, 6796,
     /*  644045 */     GIR_EraseRootFromParent_Done,
     /*  644046 */   // Label 10313: @644046
     /*  644046 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(644121), // Rule ID 6799 //
     /*  644051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644119 */     GIR_RootConstrainSelectedInstOperands,
     /*  644120 */     // GIR_Coverage, 6799,
     /*  644120 */     GIR_EraseRootFromParent_Done,
     /*  644121 */   // Label 10314: @644121
     /*  644121 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644196), // Rule ID 6800 //
     /*  644126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644194 */     GIR_RootConstrainSelectedInstOperands,
     /*  644195 */     // GIR_Coverage, 6800,
     /*  644195 */     GIR_EraseRootFromParent_Done,
     /*  644196 */   // Label 10315: @644196
     /*  644196 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644271), // Rule ID 6803 //
     /*  644201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644269 */     GIR_RootConstrainSelectedInstOperands,
     /*  644270 */     // GIR_Coverage, 6803,
     /*  644270 */     GIR_EraseRootFromParent_Done,
     /*  644271 */   // Label 10316: @644271
     /*  644271 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644346), // Rule ID 6804 //
     /*  644276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  644325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644344 */     GIR_RootConstrainSelectedInstOperands,
     /*  644345 */     // GIR_Coverage, 6804,
     /*  644345 */     GIR_EraseRootFromParent_Done,
     /*  644346 */   // Label 10317: @644346
     /*  644346 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644421), // Rule ID 6807 //
     /*  644351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644419 */     GIR_RootConstrainSelectedInstOperands,
     /*  644420 */     // GIR_Coverage, 6807,
     /*  644420 */     GIR_EraseRootFromParent_Done,
     /*  644421 */   // Label 10318: @644421
     /*  644421 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644496), // Rule ID 6808 //
     /*  644426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644494 */     GIR_RootConstrainSelectedInstOperands,
     /*  644495 */     // GIR_Coverage, 6808,
     /*  644495 */     GIR_EraseRootFromParent_Done,
     /*  644496 */   // Label 10319: @644496
     /*  644496 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644571), // Rule ID 6811 //
     /*  644501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644569 */     GIR_RootConstrainSelectedInstOperands,
     /*  644570 */     // GIR_Coverage, 6811,
     /*  644570 */     GIR_EraseRootFromParent_Done,
     /*  644571 */   // Label 10320: @644571
     /*  644571 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644646), // Rule ID 6812 //
     /*  644576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  644625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644644 */     GIR_RootConstrainSelectedInstOperands,
     /*  644645 */     // GIR_Coverage, 6812,
     /*  644645 */     GIR_EraseRootFromParent_Done,
     /*  644646 */   // Label 10321: @644646
     /*  644646 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644721), // Rule ID 6815 //
     /*  644651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644719 */     GIR_RootConstrainSelectedInstOperands,
     /*  644720 */     // GIR_Coverage, 6815,
     /*  644720 */     GIR_EraseRootFromParent_Done,
     /*  644721 */   // Label 10322: @644721
     /*  644721 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644796), // Rule ID 6816 //
     /*  644726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644794 */     GIR_RootConstrainSelectedInstOperands,
     /*  644795 */     // GIR_Coverage, 6816,
     /*  644795 */     GIR_EraseRootFromParent_Done,
     /*  644796 */   // Label 10323: @644796
     /*  644796 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644871), // Rule ID 6819 //
     /*  644801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644869 */     GIR_RootConstrainSelectedInstOperands,
     /*  644870 */     // GIR_Coverage, 6819,
     /*  644870 */     GIR_EraseRootFromParent_Done,
     /*  644871 */   // Label 10324: @644871
     /*  644871 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644946), // Rule ID 6820 //
     /*  644876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644944 */     GIR_RootConstrainSelectedInstOperands,
     /*  644945 */     // GIR_Coverage, 6820,
     /*  644945 */     GIR_EraseRootFromParent_Done,
     /*  644946 */   // Label 10325: @644946
     /*  644946 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(645021), // Rule ID 6823 //
     /*  644951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  644962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  644965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  644968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645019 */     GIR_RootConstrainSelectedInstOperands,
     /*  645020 */     // GIR_Coverage, 6823,
     /*  645020 */     GIR_EraseRootFromParent_Done,
     /*  645021 */   // Label 10326: @645021
     /*  645021 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(645096), // Rule ID 6824 //
     /*  645026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645094 */     GIR_RootConstrainSelectedInstOperands,
     /*  645095 */     // GIR_Coverage, 6824,
     /*  645095 */     GIR_EraseRootFromParent_Done,
     /*  645096 */   // Label 10327: @645096
     /*  645096 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645171), // Rule ID 6827 //
     /*  645101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645169 */     GIR_RootConstrainSelectedInstOperands,
     /*  645170 */     // GIR_Coverage, 6827,
     /*  645170 */     GIR_EraseRootFromParent_Done,
     /*  645171 */   // Label 10328: @645171
     /*  645171 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645246), // Rule ID 6828 //
     /*  645176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  645225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645244 */     GIR_RootConstrainSelectedInstOperands,
     /*  645245 */     // GIR_Coverage, 6828,
     /*  645245 */     GIR_EraseRootFromParent_Done,
     /*  645246 */   // Label 10329: @645246
     /*  645246 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645321), // Rule ID 6831 //
     /*  645251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645319 */     GIR_RootConstrainSelectedInstOperands,
     /*  645320 */     // GIR_Coverage, 6831,
     /*  645320 */     GIR_EraseRootFromParent_Done,
     /*  645321 */   // Label 10330: @645321
     /*  645321 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645396), // Rule ID 6832 //
     /*  645326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645394 */     GIR_RootConstrainSelectedInstOperands,
     /*  645395 */     // GIR_Coverage, 6832,
     /*  645395 */     GIR_EraseRootFromParent_Done,
     /*  645396 */   // Label 10331: @645396
     /*  645396 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645471), // Rule ID 6835 //
     /*  645401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645447 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645469 */     GIR_RootConstrainSelectedInstOperands,
     /*  645470 */     // GIR_Coverage, 6835,
     /*  645470 */     GIR_EraseRootFromParent_Done,
     /*  645471 */   // Label 10332: @645471
     /*  645471 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645546), // Rule ID 6836 //
     /*  645476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645544 */     GIR_RootConstrainSelectedInstOperands,
     /*  645545 */     // GIR_Coverage, 6836,
     /*  645545 */     GIR_EraseRootFromParent_Done,
     /*  645546 */   // Label 10333: @645546
     /*  645546 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645621), // Rule ID 6839 //
     /*  645551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645619 */     GIR_RootConstrainSelectedInstOperands,
     /*  645620 */     // GIR_Coverage, 6839,
     /*  645620 */     GIR_EraseRootFromParent_Done,
     /*  645621 */   // Label 10334: @645621
     /*  645621 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645696), // Rule ID 6840 //
     /*  645626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645694 */     GIR_RootConstrainSelectedInstOperands,
     /*  645695 */     // GIR_Coverage, 6840,
     /*  645695 */     GIR_EraseRootFromParent_Done,
     /*  645696 */   // Label 10335: @645696
     /*  645696 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645771), // Rule ID 6843 //
     /*  645701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645769 */     GIR_RootConstrainSelectedInstOperands,
     /*  645770 */     // GIR_Coverage, 6843,
     /*  645770 */     GIR_EraseRootFromParent_Done,
     /*  645771 */   // Label 10336: @645771
     /*  645771 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645846), // Rule ID 6844 //
     /*  645776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645844 */     GIR_RootConstrainSelectedInstOperands,
     /*  645845 */     // GIR_Coverage, 6844,
     /*  645845 */     GIR_EraseRootFromParent_Done,
     /*  645846 */   // Label 10337: @645846
     /*  645846 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645921), // Rule ID 6847 //
     /*  645851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645919 */     GIR_RootConstrainSelectedInstOperands,
     /*  645920 */     // GIR_Coverage, 6847,
     /*  645920 */     GIR_EraseRootFromParent_Done,
     /*  645921 */   // Label 10338: @645921
     /*  645921 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645996), // Rule ID 6848 //
     /*  645926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645994 */     GIR_RootConstrainSelectedInstOperands,
     /*  645995 */     // GIR_Coverage, 6848,
     /*  645995 */     GIR_EraseRootFromParent_Done,
     /*  645996 */   // Label 10339: @645996
     /*  645996 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(646071), // Rule ID 6851 //
     /*  646001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646069 */     GIR_RootConstrainSelectedInstOperands,
     /*  646070 */     // GIR_Coverage, 6851,
     /*  646070 */     GIR_EraseRootFromParent_Done,
     /*  646071 */   // Label 10340: @646071
     /*  646071 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646146), // Rule ID 6852 //
     /*  646076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646144 */     GIR_RootConstrainSelectedInstOperands,
     /*  646145 */     // GIR_Coverage, 6852,
     /*  646145 */     GIR_EraseRootFromParent_Done,
     /*  646146 */   // Label 10341: @646146
     /*  646146 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646221), // Rule ID 6855 //
     /*  646151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646219 */     GIR_RootConstrainSelectedInstOperands,
     /*  646220 */     // GIR_Coverage, 6855,
     /*  646220 */     GIR_EraseRootFromParent_Done,
     /*  646221 */   // Label 10342: @646221
     /*  646221 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646296), // Rule ID 6856 //
     /*  646226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646294 */     GIR_RootConstrainSelectedInstOperands,
     /*  646295 */     // GIR_Coverage, 6856,
     /*  646295 */     GIR_EraseRootFromParent_Done,
     /*  646296 */   // Label 10343: @646296
     /*  646296 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646371), // Rule ID 6859 //
     /*  646301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646369 */     GIR_RootConstrainSelectedInstOperands,
     /*  646370 */     // GIR_Coverage, 6859,
     /*  646370 */     GIR_EraseRootFromParent_Done,
     /*  646371 */   // Label 10344: @646371
     /*  646371 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646446), // Rule ID 6860 //
     /*  646376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646444 */     GIR_RootConstrainSelectedInstOperands,
     /*  646445 */     // GIR_Coverage, 6860,
     /*  646445 */     GIR_EraseRootFromParent_Done,
     /*  646446 */   // Label 10345: @646446
     /*  646446 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646521), // Rule ID 6863 //
     /*  646451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646519 */     GIR_RootConstrainSelectedInstOperands,
     /*  646520 */     // GIR_Coverage, 6863,
     /*  646520 */     GIR_EraseRootFromParent_Done,
     /*  646521 */   // Label 10346: @646521
     /*  646521 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646596), // Rule ID 6864 //
     /*  646526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646594 */     GIR_RootConstrainSelectedInstOperands,
     /*  646595 */     // GIR_Coverage, 6864,
     /*  646595 */     GIR_EraseRootFromParent_Done,
     /*  646596 */   // Label 10347: @646596
     /*  646596 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646671), // Rule ID 6867 //
     /*  646601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646669 */     GIR_RootConstrainSelectedInstOperands,
     /*  646670 */     // GIR_Coverage, 6867,
     /*  646670 */     GIR_EraseRootFromParent_Done,
     /*  646671 */   // Label 10348: @646671
     /*  646671 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646746), // Rule ID 6868 //
     /*  646676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  646725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646744 */     GIR_RootConstrainSelectedInstOperands,
     /*  646745 */     // GIR_Coverage, 6868,
     /*  646745 */     GIR_EraseRootFromParent_Done,
     /*  646746 */   // Label 10349: @646746
     /*  646746 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646821), // Rule ID 6871 //
     /*  646751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646819 */     GIR_RootConstrainSelectedInstOperands,
     /*  646820 */     // GIR_Coverage, 6871,
     /*  646820 */     GIR_EraseRootFromParent_Done,
     /*  646821 */   // Label 10350: @646821
     /*  646821 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646896), // Rule ID 6872 //
     /*  646826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  646875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646894 */     GIR_RootConstrainSelectedInstOperands,
     /*  646895 */     // GIR_Coverage, 6872,
     /*  646895 */     GIR_EraseRootFromParent_Done,
     /*  646896 */   // Label 10351: @646896
     /*  646896 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646971), // Rule ID 6875 //
     /*  646901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  646912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  646915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  646918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  646950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646969 */     GIR_RootConstrainSelectedInstOperands,
     /*  646970 */     // GIR_Coverage, 6875,
     /*  646970 */     GIR_EraseRootFromParent_Done,
     /*  646971 */   // Label 10352: @646971
     /*  646971 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(647046), // Rule ID 6876 //
     /*  646976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  646987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  646990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  646993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  647025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647044 */     GIR_RootConstrainSelectedInstOperands,
     /*  647045 */     // GIR_Coverage, 6876,
     /*  647045 */     GIR_EraseRootFromParent_Done,
     /*  647046 */   // Label 10353: @647046
     /*  647046 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(647121), // Rule ID 6967 //
     /*  647051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647119 */     GIR_RootConstrainSelectedInstOperands,
     /*  647120 */     // GIR_Coverage, 6967,
     /*  647120 */     GIR_EraseRootFromParent_Done,
     /*  647121 */   // Label 10354: @647121
     /*  647121 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647196), // Rule ID 6968 //
     /*  647126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  647175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647194 */     GIR_RootConstrainSelectedInstOperands,
     /*  647195 */     // GIR_Coverage, 6968,
     /*  647195 */     GIR_EraseRootFromParent_Done,
     /*  647196 */   // Label 10355: @647196
     /*  647196 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647271), // Rule ID 6971 //
     /*  647201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647269 */     GIR_RootConstrainSelectedInstOperands,
     /*  647270 */     // GIR_Coverage, 6971,
     /*  647270 */     GIR_EraseRootFromParent_Done,
     /*  647271 */   // Label 10356: @647271
     /*  647271 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647346), // Rule ID 6972 //
     /*  647276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647344 */     GIR_RootConstrainSelectedInstOperands,
     /*  647345 */     // GIR_Coverage, 6972,
     /*  647345 */     GIR_EraseRootFromParent_Done,
     /*  647346 */   // Label 10357: @647346
     /*  647346 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647421), // Rule ID 6975 //
     /*  647351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647419 */     GIR_RootConstrainSelectedInstOperands,
     /*  647420 */     // GIR_Coverage, 6975,
     /*  647420 */     GIR_EraseRootFromParent_Done,
     /*  647421 */   // Label 10358: @647421
     /*  647421 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647496), // Rule ID 6976 //
     /*  647426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647494 */     GIR_RootConstrainSelectedInstOperands,
     /*  647495 */     // GIR_Coverage, 6976,
     /*  647495 */     GIR_EraseRootFromParent_Done,
     /*  647496 */   // Label 10359: @647496
     /*  647496 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647571), // Rule ID 6979 //
     /*  647501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647569 */     GIR_RootConstrainSelectedInstOperands,
     /*  647570 */     // GIR_Coverage, 6979,
     /*  647570 */     GIR_EraseRootFromParent_Done,
     /*  647571 */   // Label 10360: @647571
     /*  647571 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647646), // Rule ID 6980 //
     /*  647576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  647625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647644 */     GIR_RootConstrainSelectedInstOperands,
     /*  647645 */     // GIR_Coverage, 6980,
     /*  647645 */     GIR_EraseRootFromParent_Done,
     /*  647646 */   // Label 10361: @647646
     /*  647646 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647721), // Rule ID 6983 //
     /*  647651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647719 */     GIR_RootConstrainSelectedInstOperands,
     /*  647720 */     // GIR_Coverage, 6983,
     /*  647720 */     GIR_EraseRootFromParent_Done,
     /*  647721 */   // Label 10362: @647721
     /*  647721 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647796), // Rule ID 6984 //
     /*  647726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647794 */     GIR_RootConstrainSelectedInstOperands,
     /*  647795 */     // GIR_Coverage, 6984,
     /*  647795 */     GIR_EraseRootFromParent_Done,
     /*  647796 */   // Label 10363: @647796
     /*  647796 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647871), // Rule ID 6987 //
     /*  647801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647869 */     GIR_RootConstrainSelectedInstOperands,
     /*  647870 */     // GIR_Coverage, 6987,
     /*  647870 */     GIR_EraseRootFromParent_Done,
     /*  647871 */   // Label 10364: @647871
     /*  647871 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647946), // Rule ID 6988 //
     /*  647876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  647925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647944 */     GIR_RootConstrainSelectedInstOperands,
     /*  647945 */     // GIR_Coverage, 6988,
     /*  647945 */     GIR_EraseRootFromParent_Done,
     /*  647946 */   // Label 10365: @647946
     /*  647946 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(648021), // Rule ID 6991 //
     /*  647951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  647962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  647965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  647968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  647971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648019 */     GIR_RootConstrainSelectedInstOperands,
     /*  648020 */     // GIR_Coverage, 6991,
     /*  648020 */     GIR_EraseRootFromParent_Done,
     /*  648021 */   // Label 10366: @648021
     /*  648021 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(648096), // Rule ID 6992 //
     /*  648026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648094 */     GIR_RootConstrainSelectedInstOperands,
     /*  648095 */     // GIR_Coverage, 6992,
     /*  648095 */     GIR_EraseRootFromParent_Done,
     /*  648096 */   // Label 10367: @648096
     /*  648096 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648171), // Rule ID 6995 //
     /*  648101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648169 */     GIR_RootConstrainSelectedInstOperands,
     /*  648170 */     // GIR_Coverage, 6995,
     /*  648170 */     GIR_EraseRootFromParent_Done,
     /*  648171 */   // Label 10368: @648171
     /*  648171 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648246), // Rule ID 6996 //
     /*  648176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648244 */     GIR_RootConstrainSelectedInstOperands,
     /*  648245 */     // GIR_Coverage, 6996,
     /*  648245 */     GIR_EraseRootFromParent_Done,
     /*  648246 */   // Label 10369: @648246
     /*  648246 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648321), // Rule ID 6999 //
     /*  648251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648319 */     GIR_RootConstrainSelectedInstOperands,
     /*  648320 */     // GIR_Coverage, 6999,
     /*  648320 */     GIR_EraseRootFromParent_Done,
     /*  648321 */   // Label 10370: @648321
     /*  648321 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648396), // Rule ID 7000 //
     /*  648326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648394 */     GIR_RootConstrainSelectedInstOperands,
     /*  648395 */     // GIR_Coverage, 7000,
     /*  648395 */     GIR_EraseRootFromParent_Done,
     /*  648396 */   // Label 10371: @648396
     /*  648396 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648471), // Rule ID 7003 //
     /*  648401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648469 */     GIR_RootConstrainSelectedInstOperands,
     /*  648470 */     // GIR_Coverage, 7003,
     /*  648470 */     GIR_EraseRootFromParent_Done,
     /*  648471 */   // Label 10372: @648471
     /*  648471 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648546), // Rule ID 7004 //
     /*  648476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  648525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648544 */     GIR_RootConstrainSelectedInstOperands,
     /*  648545 */     // GIR_Coverage, 7004,
     /*  648545 */     GIR_EraseRootFromParent_Done,
     /*  648546 */   // Label 10373: @648546
     /*  648546 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648621), // Rule ID 7007 //
     /*  648551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648619 */     GIR_RootConstrainSelectedInstOperands,
     /*  648620 */     // GIR_Coverage, 7007,
     /*  648620 */     GIR_EraseRootFromParent_Done,
     /*  648621 */   // Label 10374: @648621
     /*  648621 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648696), // Rule ID 7008 //
     /*  648626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648694 */     GIR_RootConstrainSelectedInstOperands,
     /*  648695 */     // GIR_Coverage, 7008,
     /*  648695 */     GIR_EraseRootFromParent_Done,
     /*  648696 */   // Label 10375: @648696
     /*  648696 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648771), // Rule ID 7011 //
     /*  648701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648769 */     GIR_RootConstrainSelectedInstOperands,
     /*  648770 */     // GIR_Coverage, 7011,
     /*  648770 */     GIR_EraseRootFromParent_Done,
     /*  648771 */   // Label 10376: @648771
     /*  648771 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648846), // Rule ID 7012 //
     /*  648776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648844 */     GIR_RootConstrainSelectedInstOperands,
     /*  648845 */     // GIR_Coverage, 7012,
     /*  648845 */     GIR_EraseRootFromParent_Done,
     /*  648846 */   // Label 10377: @648846
     /*  648846 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648921), // Rule ID 7015 //
     /*  648851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  648871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648919 */     GIR_RootConstrainSelectedInstOperands,
     /*  648920 */     // GIR_Coverage, 7015,
     /*  648920 */     GIR_EraseRootFromParent_Done,
     /*  648921 */   // Label 10378: @648921
     /*  648921 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648996), // Rule ID 7016 //
     /*  648926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  648946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648994 */     GIR_RootConstrainSelectedInstOperands,
     /*  648995 */     // GIR_Coverage, 7016,
     /*  648995 */     GIR_EraseRootFromParent_Done,
     /*  648996 */   // Label 10379: @648996
     /*  648996 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(649071), // Rule ID 7019 //
     /*  649001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649069 */     GIR_RootConstrainSelectedInstOperands,
     /*  649070 */     // GIR_Coverage, 7019,
     /*  649070 */     GIR_EraseRootFromParent_Done,
     /*  649071 */   // Label 10380: @649071
     /*  649071 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649146), // Rule ID 7020 //
     /*  649076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649144 */     GIR_RootConstrainSelectedInstOperands,
     /*  649145 */     // GIR_Coverage, 7020,
     /*  649145 */     GIR_EraseRootFromParent_Done,
     /*  649146 */   // Label 10381: @649146
     /*  649146 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649221), // Rule ID 7023 //
     /*  649151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649219 */     GIR_RootConstrainSelectedInstOperands,
     /*  649220 */     // GIR_Coverage, 7023,
     /*  649220 */     GIR_EraseRootFromParent_Done,
     /*  649221 */   // Label 10382: @649221
     /*  649221 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649296), // Rule ID 7024 //
     /*  649226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649294 */     GIR_RootConstrainSelectedInstOperands,
     /*  649295 */     // GIR_Coverage, 7024,
     /*  649295 */     GIR_EraseRootFromParent_Done,
     /*  649296 */   // Label 10383: @649296
     /*  649296 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649371), // Rule ID 7027 //
     /*  649301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649369 */     GIR_RootConstrainSelectedInstOperands,
     /*  649370 */     // GIR_Coverage, 7027,
     /*  649370 */     GIR_EraseRootFromParent_Done,
     /*  649371 */   // Label 10384: @649371
     /*  649371 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649446), // Rule ID 7028 //
     /*  649376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649444 */     GIR_RootConstrainSelectedInstOperands,
     /*  649445 */     // GIR_Coverage, 7028,
     /*  649445 */     GIR_EraseRootFromParent_Done,
     /*  649446 */   // Label 10385: @649446
     /*  649446 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649521), // Rule ID 7031 //
     /*  649451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649519 */     GIR_RootConstrainSelectedInstOperands,
     /*  649520 */     // GIR_Coverage, 7031,
     /*  649520 */     GIR_EraseRootFromParent_Done,
     /*  649521 */   // Label 10386: @649521
     /*  649521 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649596), // Rule ID 7032 //
     /*  649526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649594 */     GIR_RootConstrainSelectedInstOperands,
     /*  649595 */     // GIR_Coverage, 7032,
     /*  649595 */     GIR_EraseRootFromParent_Done,
     /*  649596 */   // Label 10387: @649596
     /*  649596 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649671), // Rule ID 7035 //
     /*  649601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649669 */     GIR_RootConstrainSelectedInstOperands,
     /*  649670 */     // GIR_Coverage, 7035,
     /*  649670 */     GIR_EraseRootFromParent_Done,
     /*  649671 */   // Label 10388: @649671
     /*  649671 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649746), // Rule ID 7036 //
     /*  649676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  649725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649744 */     GIR_RootConstrainSelectedInstOperands,
     /*  649745 */     // GIR_Coverage, 7036,
     /*  649745 */     GIR_EraseRootFromParent_Done,
     /*  649746 */   // Label 10389: @649746
     /*  649746 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649821), // Rule ID 7039 //
     /*  649751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649819 */     GIR_RootConstrainSelectedInstOperands,
     /*  649820 */     // GIR_Coverage, 7039,
     /*  649820 */     GIR_EraseRootFromParent_Done,
     /*  649821 */   // Label 10390: @649821
     /*  649821 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649896), // Rule ID 7040 //
     /*  649826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649894 */     GIR_RootConstrainSelectedInstOperands,
     /*  649895 */     // GIR_Coverage, 7040,
     /*  649895 */     GIR_EraseRootFromParent_Done,
     /*  649896 */   // Label 10391: @649896
     /*  649896 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649971), // Rule ID 7043 //
     /*  649901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  649912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  649915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  649921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  649950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649969 */     GIR_RootConstrainSelectedInstOperands,
     /*  649970 */     // GIR_Coverage, 7043,
     /*  649970 */     GIR_EraseRootFromParent_Done,
     /*  649971 */   // Label 10392: @649971
     /*  649971 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(650046), // Rule ID 7044 //
     /*  649976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  649979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  649987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  649990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  649996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  650025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650044 */     GIR_RootConstrainSelectedInstOperands,
     /*  650045 */     // GIR_Coverage, 7044,
     /*  650045 */     GIR_EraseRootFromParent_Done,
     /*  650046 */   // Label 10393: @650046
     /*  650046 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(650121), // Rule ID 7047 //
     /*  650051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650119 */     GIR_RootConstrainSelectedInstOperands,
     /*  650120 */     // GIR_Coverage, 7047,
     /*  650120 */     GIR_EraseRootFromParent_Done,
     /*  650121 */   // Label 10394: @650121
     /*  650121 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650196), // Rule ID 7048 //
     /*  650126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  650175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650194 */     GIR_RootConstrainSelectedInstOperands,
     /*  650195 */     // GIR_Coverage, 7048,
     /*  650195 */     GIR_EraseRootFromParent_Done,
     /*  650196 */   // Label 10395: @650196
     /*  650196 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650271), // Rule ID 7051 //
     /*  650201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650269 */     GIR_RootConstrainSelectedInstOperands,
     /*  650270 */     // GIR_Coverage, 7051,
     /*  650270 */     GIR_EraseRootFromParent_Done,
     /*  650271 */   // Label 10396: @650271
     /*  650271 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650346), // Rule ID 7052 //
     /*  650276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  650325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650344 */     GIR_RootConstrainSelectedInstOperands,
     /*  650345 */     // GIR_Coverage, 7052,
     /*  650345 */     GIR_EraseRootFromParent_Done,
     /*  650346 */   // Label 10397: @650346
     /*  650346 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650421), // Rule ID 7055 //
     /*  650351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650419 */     GIR_RootConstrainSelectedInstOperands,
     /*  650420 */     // GIR_Coverage, 7055,
     /*  650420 */     GIR_EraseRootFromParent_Done,
     /*  650421 */   // Label 10398: @650421
     /*  650421 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650496), // Rule ID 7056 //
     /*  650426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  650475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650494 */     GIR_RootConstrainSelectedInstOperands,
     /*  650495 */     // GIR_Coverage, 7056,
     /*  650495 */     GIR_EraseRootFromParent_Done,
     /*  650496 */   // Label 10399: @650496
     /*  650496 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650571), // Rule ID 7059 //
     /*  650501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650569 */     GIR_RootConstrainSelectedInstOperands,
     /*  650570 */     // GIR_Coverage, 7059,
     /*  650570 */     GIR_EraseRootFromParent_Done,
     /*  650571 */   // Label 10400: @650571
     /*  650571 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650646), // Rule ID 7060 //
     /*  650576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650644 */     GIR_RootConstrainSelectedInstOperands,
     /*  650645 */     // GIR_Coverage, 7060,
     /*  650645 */     GIR_EraseRootFromParent_Done,
     /*  650646 */   // Label 10401: @650646
     /*  650646 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650721), // Rule ID 7063 //
     /*  650651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  650700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650719 */     GIR_RootConstrainSelectedInstOperands,
     /*  650720 */     // GIR_Coverage, 7063,
     /*  650720 */     GIR_EraseRootFromParent_Done,
     /*  650721 */   // Label 10402: @650721
     /*  650721 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650796), // Rule ID 7064 //
     /*  650726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  650775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650794 */     GIR_RootConstrainSelectedInstOperands,
     /*  650795 */     // GIR_Coverage, 7064,
     /*  650795 */     GIR_EraseRootFromParent_Done,
     /*  650796 */   // Label 10403: @650796
     /*  650796 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650871), // Rule ID 7067 //
     /*  650801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650869 */     GIR_RootConstrainSelectedInstOperands,
     /*  650870 */     // GIR_Coverage, 7067,
     /*  650870 */     GIR_EraseRootFromParent_Done,
     /*  650871 */   // Label 10404: @650871
     /*  650871 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650946), // Rule ID 7068 //
     /*  650876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  650925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650944 */     GIR_RootConstrainSelectedInstOperands,
     /*  650945 */     // GIR_Coverage, 7068,
     /*  650945 */     GIR_EraseRootFromParent_Done,
     /*  650946 */   // Label 10405: @650946
     /*  650946 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(651021), // Rule ID 7071 //
     /*  650951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  650962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  650965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  650968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651019 */     GIR_RootConstrainSelectedInstOperands,
     /*  651020 */     // GIR_Coverage, 7071,
     /*  651020 */     GIR_EraseRootFromParent_Done,
     /*  651021 */   // Label 10406: @651021
     /*  651021 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(651096), // Rule ID 7072 //
     /*  651026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651094 */     GIR_RootConstrainSelectedInstOperands,
     /*  651095 */     // GIR_Coverage, 7072,
     /*  651095 */     GIR_EraseRootFromParent_Done,
     /*  651096 */   // Label 10407: @651096
     /*  651096 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651171), // Rule ID 7075 //
     /*  651101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651169 */     GIR_RootConstrainSelectedInstOperands,
     /*  651170 */     // GIR_Coverage, 7075,
     /*  651170 */     GIR_EraseRootFromParent_Done,
     /*  651171 */   // Label 10408: @651171
     /*  651171 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651246), // Rule ID 7076 //
     /*  651176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  651225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651244 */     GIR_RootConstrainSelectedInstOperands,
     /*  651245 */     // GIR_Coverage, 7076,
     /*  651245 */     GIR_EraseRootFromParent_Done,
     /*  651246 */   // Label 10409: @651246
     /*  651246 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651321), // Rule ID 7079 //
     /*  651251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651319 */     GIR_RootConstrainSelectedInstOperands,
     /*  651320 */     // GIR_Coverage, 7079,
     /*  651320 */     GIR_EraseRootFromParent_Done,
     /*  651321 */   // Label 10410: @651321
     /*  651321 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651396), // Rule ID 7080 //
     /*  651326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651394 */     GIR_RootConstrainSelectedInstOperands,
     /*  651395 */     // GIR_Coverage, 7080,
     /*  651395 */     GIR_EraseRootFromParent_Done,
     /*  651396 */   // Label 10411: @651396
     /*  651396 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651471), // Rule ID 7083 //
     /*  651401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651469 */     GIR_RootConstrainSelectedInstOperands,
     /*  651470 */     // GIR_Coverage, 7083,
     /*  651470 */     GIR_EraseRootFromParent_Done,
     /*  651471 */   // Label 10412: @651471
     /*  651471 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651546), // Rule ID 7084 //
     /*  651476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651544 */     GIR_RootConstrainSelectedInstOperands,
     /*  651545 */     // GIR_Coverage, 7084,
     /*  651545 */     GIR_EraseRootFromParent_Done,
     /*  651546 */   // Label 10413: @651546
     /*  651546 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651621), // Rule ID 7087 //
     /*  651551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651619 */     GIR_RootConstrainSelectedInstOperands,
     /*  651620 */     // GIR_Coverage, 7087,
     /*  651620 */     GIR_EraseRootFromParent_Done,
     /*  651621 */   // Label 10414: @651621
     /*  651621 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651696), // Rule ID 7088 //
     /*  651626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651694 */     GIR_RootConstrainSelectedInstOperands,
     /*  651695 */     // GIR_Coverage, 7088,
     /*  651695 */     GIR_EraseRootFromParent_Done,
     /*  651696 */   // Label 10415: @651696
     /*  651696 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651771), // Rule ID 7091 //
     /*  651701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651769 */     GIR_RootConstrainSelectedInstOperands,
     /*  651770 */     // GIR_Coverage, 7091,
     /*  651770 */     GIR_EraseRootFromParent_Done,
     /*  651771 */   // Label 10416: @651771
     /*  651771 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651846), // Rule ID 7092 //
     /*  651776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  651825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651844 */     GIR_RootConstrainSelectedInstOperands,
     /*  651845 */     // GIR_Coverage, 7092,
     /*  651845 */     GIR_EraseRootFromParent_Done,
     /*  651846 */   // Label 10417: @651846
     /*  651846 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651921), // Rule ID 7095 //
     /*  651851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651919 */     GIR_RootConstrainSelectedInstOperands,
     /*  651920 */     // GIR_Coverage, 7095,
     /*  651920 */     GIR_EraseRootFromParent_Done,
     /*  651921 */   // Label 10418: @651921
     /*  651921 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651996), // Rule ID 7096 //
     /*  651926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651994 */     GIR_RootConstrainSelectedInstOperands,
     /*  651995 */     // GIR_Coverage, 7096,
     /*  651995 */     GIR_EraseRootFromParent_Done,
     /*  651996 */   // Label 10419: @651996
     /*  651996 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(652071), // Rule ID 7099 //
     /*  652001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652069 */     GIR_RootConstrainSelectedInstOperands,
     /*  652070 */     // GIR_Coverage, 7099,
     /*  652070 */     GIR_EraseRootFromParent_Done,
     /*  652071 */   // Label 10420: @652071
     /*  652071 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652146), // Rule ID 7100 //
     /*  652076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652144 */     GIR_RootConstrainSelectedInstOperands,
     /*  652145 */     // GIR_Coverage, 7100,
     /*  652145 */     GIR_EraseRootFromParent_Done,
     /*  652146 */   // Label 10421: @652146
     /*  652146 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652221), // Rule ID 7103 //
     /*  652151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652219 */     GIR_RootConstrainSelectedInstOperands,
     /*  652220 */     // GIR_Coverage, 7103,
     /*  652220 */     GIR_EraseRootFromParent_Done,
     /*  652221 */   // Label 10422: @652221
     /*  652221 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652296), // Rule ID 7104 //
     /*  652226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652294 */     GIR_RootConstrainSelectedInstOperands,
     /*  652295 */     // GIR_Coverage, 7104,
     /*  652295 */     GIR_EraseRootFromParent_Done,
     /*  652296 */   // Label 10423: @652296
     /*  652296 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652371), // Rule ID 7107 //
     /*  652301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652369 */     GIR_RootConstrainSelectedInstOperands,
     /*  652370 */     // GIR_Coverage, 7107,
     /*  652370 */     GIR_EraseRootFromParent_Done,
     /*  652371 */   // Label 10424: @652371
     /*  652371 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652446), // Rule ID 7108 //
     /*  652376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652444 */     GIR_RootConstrainSelectedInstOperands,
     /*  652445 */     // GIR_Coverage, 7108,
     /*  652445 */     GIR_EraseRootFromParent_Done,
     /*  652446 */   // Label 10425: @652446
     /*  652446 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652521), // Rule ID 7111 //
     /*  652451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652519 */     GIR_RootConstrainSelectedInstOperands,
     /*  652520 */     // GIR_Coverage, 7111,
     /*  652520 */     GIR_EraseRootFromParent_Done,
     /*  652521 */   // Label 10426: @652521
     /*  652521 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652596), // Rule ID 7112 //
     /*  652526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652594 */     GIR_RootConstrainSelectedInstOperands,
     /*  652595 */     // GIR_Coverage, 7112,
     /*  652595 */     GIR_EraseRootFromParent_Done,
     /*  652596 */   // Label 10427: @652596
     /*  652596 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652671), // Rule ID 7115 //
     /*  652601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652669 */     GIR_RootConstrainSelectedInstOperands,
     /*  652670 */     // GIR_Coverage, 7115,
     /*  652670 */     GIR_EraseRootFromParent_Done,
     /*  652671 */   // Label 10428: @652671
     /*  652671 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652746), // Rule ID 7116 //
     /*  652676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652744 */     GIR_RootConstrainSelectedInstOperands,
     /*  652745 */     // GIR_Coverage, 7116,
     /*  652745 */     GIR_EraseRootFromParent_Done,
     /*  652746 */   // Label 10429: @652746
     /*  652746 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652821), // Rule ID 7119 //
     /*  652751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652819 */     GIR_RootConstrainSelectedInstOperands,
     /*  652820 */     // GIR_Coverage, 7119,
     /*  652820 */     GIR_EraseRootFromParent_Done,
     /*  652821 */   // Label 10430: @652821
     /*  652821 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652896), // Rule ID 7120 //
     /*  652826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652894 */     GIR_RootConstrainSelectedInstOperands,
     /*  652895 */     // GIR_Coverage, 7120,
     /*  652895 */     GIR_EraseRootFromParent_Done,
     /*  652896 */   // Label 10431: @652896
     /*  652896 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652971), // Rule ID 7123 //
     /*  652901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652969 */     GIR_RootConstrainSelectedInstOperands,
     /*  652970 */     // GIR_Coverage, 7123,
     /*  652970 */     GIR_EraseRootFromParent_Done,
     /*  652971 */   // Label 10432: @652971
     /*  652971 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(653046), // Rule ID 7124 //
     /*  652976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653044 */     GIR_RootConstrainSelectedInstOperands,
     /*  653045 */     // GIR_Coverage, 7124,
     /*  653045 */     GIR_EraseRootFromParent_Done,
     /*  653046 */   // Label 10433: @653046
     /*  653046 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(653121), // Rule ID 7127 //
     /*  653051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653119 */     GIR_RootConstrainSelectedInstOperands,
     /*  653120 */     // GIR_Coverage, 7127,
     /*  653120 */     GIR_EraseRootFromParent_Done,
     /*  653121 */   // Label 10434: @653121
     /*  653121 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653196), // Rule ID 7128 //
     /*  653126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653194 */     GIR_RootConstrainSelectedInstOperands,
     /*  653195 */     // GIR_Coverage, 7128,
     /*  653195 */     GIR_EraseRootFromParent_Done,
     /*  653196 */   // Label 10435: @653196
     /*  653196 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653271), // Rule ID 7131 //
     /*  653201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653269 */     GIR_RootConstrainSelectedInstOperands,
     /*  653270 */     // GIR_Coverage, 7131,
     /*  653270 */     GIR_EraseRootFromParent_Done,
     /*  653271 */   // Label 10436: @653271
     /*  653271 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653346), // Rule ID 7132 //
     /*  653276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  653325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653344 */     GIR_RootConstrainSelectedInstOperands,
     /*  653345 */     // GIR_Coverage, 7132,
     /*  653345 */     GIR_EraseRootFromParent_Done,
     /*  653346 */   // Label 10437: @653346
     /*  653346 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653421), // Rule ID 7135 //
     /*  653351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653419 */     GIR_RootConstrainSelectedInstOperands,
     /*  653420 */     // GIR_Coverage, 7135,
     /*  653420 */     GIR_EraseRootFromParent_Done,
     /*  653421 */   // Label 10438: @653421
     /*  653421 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653496), // Rule ID 7136 //
     /*  653426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  653475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653494 */     GIR_RootConstrainSelectedInstOperands,
     /*  653495 */     // GIR_Coverage, 7136,
     /*  653495 */     GIR_EraseRootFromParent_Done,
     /*  653496 */   // Label 10439: @653496
     /*  653496 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653571), // Rule ID 7139 //
     /*  653501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653569 */     GIR_RootConstrainSelectedInstOperands,
     /*  653570 */     // GIR_Coverage, 7139,
     /*  653570 */     GIR_EraseRootFromParent_Done,
     /*  653571 */   // Label 10440: @653571
     /*  653571 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653646), // Rule ID 7140 //
     /*  653576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  653625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653644 */     GIR_RootConstrainSelectedInstOperands,
     /*  653645 */     // GIR_Coverage, 7140,
     /*  653645 */     GIR_EraseRootFromParent_Done,
     /*  653646 */   // Label 10441: @653646
     /*  653646 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653721), // Rule ID 7319 //
     /*  653651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  653662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  653665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  653700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653719 */     GIR_RootConstrainSelectedInstOperands,
     /*  653720 */     // GIR_Coverage, 7319,
     /*  653720 */     GIR_EraseRootFromParent_Done,
     /*  653721 */   // Label 10442: @653721
     /*  653721 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653796), // Rule ID 7320 //
     /*  653726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  653737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  653740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  653775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653794 */     GIR_RootConstrainSelectedInstOperands,
     /*  653795 */     // GIR_Coverage, 7320,
     /*  653795 */     GIR_EraseRootFromParent_Done,
     /*  653796 */   // Label 10443: @653796
     /*  653796 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653871), // Rule ID 7323 //
     /*  653801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  653812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  653815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653869 */     GIR_RootConstrainSelectedInstOperands,
     /*  653870 */     // GIR_Coverage, 7323,
     /*  653870 */     GIR_EraseRootFromParent_Done,
     /*  653871 */   // Label 10444: @653871
     /*  653871 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653946), // Rule ID 7324 //
     /*  653876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  653887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  653890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653944 */     GIR_RootConstrainSelectedInstOperands,
     /*  653945 */     // GIR_Coverage, 7324,
     /*  653945 */     GIR_EraseRootFromParent_Done,
     /*  653946 */   // Label 10445: @653946
     /*  653946 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(654021), // Rule ID 7327 //
     /*  653951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  653962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  653965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  653968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  653971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654019 */     GIR_RootConstrainSelectedInstOperands,
     /*  654020 */     // GIR_Coverage, 7327,
     /*  654020 */     GIR_EraseRootFromParent_Done,
     /*  654021 */   // Label 10446: @654021
     /*  654021 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(654096), // Rule ID 7328 //
     /*  654026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654094 */     GIR_RootConstrainSelectedInstOperands,
     /*  654095 */     // GIR_Coverage, 7328,
     /*  654095 */     GIR_EraseRootFromParent_Done,
     /*  654096 */   // Label 10447: @654096
     /*  654096 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654171), // Rule ID 7331 //
     /*  654101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654169 */     GIR_RootConstrainSelectedInstOperands,
     /*  654170 */     // GIR_Coverage, 7331,
     /*  654170 */     GIR_EraseRootFromParent_Done,
     /*  654171 */   // Label 10448: @654171
     /*  654171 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654246), // Rule ID 7332 //
     /*  654176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654244 */     GIR_RootConstrainSelectedInstOperands,
     /*  654245 */     // GIR_Coverage, 7332,
     /*  654245 */     GIR_EraseRootFromParent_Done,
     /*  654246 */   // Label 10449: @654246
     /*  654246 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654321), // Rule ID 7335 //
     /*  654251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654319 */     GIR_RootConstrainSelectedInstOperands,
     /*  654320 */     // GIR_Coverage, 7335,
     /*  654320 */     GIR_EraseRootFromParent_Done,
     /*  654321 */   // Label 10450: @654321
     /*  654321 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654396), // Rule ID 7336 //
     /*  654326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  654337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  654340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654394 */     GIR_RootConstrainSelectedInstOperands,
     /*  654395 */     // GIR_Coverage, 7336,
     /*  654395 */     GIR_EraseRootFromParent_Done,
     /*  654396 */   // Label 10451: @654396
     /*  654396 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654471), // Rule ID 7339 //
     /*  654401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654447 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654469 */     GIR_RootConstrainSelectedInstOperands,
     /*  654470 */     // GIR_Coverage, 7339,
     /*  654470 */     GIR_EraseRootFromParent_Done,
     /*  654471 */   // Label 10452: @654471
     /*  654471 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654546), // Rule ID 7340 //
     /*  654476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654544 */     GIR_RootConstrainSelectedInstOperands,
     /*  654545 */     // GIR_Coverage, 7340,
     /*  654545 */     GIR_EraseRootFromParent_Done,
     /*  654546 */   // Label 10453: @654546
     /*  654546 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654621), // Rule ID 7343 //
     /*  654551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  654562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  654565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654619 */     GIR_RootConstrainSelectedInstOperands,
     /*  654620 */     // GIR_Coverage, 7343,
     /*  654620 */     GIR_EraseRootFromParent_Done,
     /*  654621 */   // Label 10454: @654621
     /*  654621 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654696), // Rule ID 7344 //
     /*  654626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  654637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  654640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  654675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654694 */     GIR_RootConstrainSelectedInstOperands,
     /*  654695 */     // GIR_Coverage, 7344,
     /*  654695 */     GIR_EraseRootFromParent_Done,
     /*  654696 */   // Label 10455: @654696
     /*  654696 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654771), // Rule ID 7347 //
     /*  654701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  654712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  654715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654769 */     GIR_RootConstrainSelectedInstOperands,
     /*  654770 */     // GIR_Coverage, 7347,
     /*  654770 */     GIR_EraseRootFromParent_Done,
     /*  654771 */   // Label 10456: @654771
     /*  654771 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654846), // Rule ID 7348 //
     /*  654776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  654787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  654790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654844 */     GIR_RootConstrainSelectedInstOperands,
     /*  654845 */     // GIR_Coverage, 7348,
     /*  654845 */     GIR_EraseRootFromParent_Done,
     /*  654846 */   // Label 10457: @654846
     /*  654846 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654921), // Rule ID 7351 //
     /*  654851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654919 */     GIR_RootConstrainSelectedInstOperands,
     /*  654920 */     // GIR_Coverage, 7351,
     /*  654920 */     GIR_EraseRootFromParent_Done,
     /*  654921 */   // Label 10458: @654921
     /*  654921 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654996), // Rule ID 7352 //
     /*  654926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654994 */     GIR_RootConstrainSelectedInstOperands,
     /*  654995 */     // GIR_Coverage, 7352,
     /*  654995 */     GIR_EraseRootFromParent_Done,
     /*  654996 */   // Label 10459: @654996
     /*  654996 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(655071), // Rule ID 7355 //
     /*  655001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655069 */     GIR_RootConstrainSelectedInstOperands,
     /*  655070 */     // GIR_Coverage, 7355,
     /*  655070 */     GIR_EraseRootFromParent_Done,
     /*  655071 */   // Label 10460: @655071
     /*  655071 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655146), // Rule ID 7356 //
     /*  655076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655144 */     GIR_RootConstrainSelectedInstOperands,
     /*  655145 */     // GIR_Coverage, 7356,
     /*  655145 */     GIR_EraseRootFromParent_Done,
     /*  655146 */   // Label 10461: @655146
     /*  655146 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655221), // Rule ID 7359 //
     /*  655151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655219 */     GIR_RootConstrainSelectedInstOperands,
     /*  655220 */     // GIR_Coverage, 7359,
     /*  655220 */     GIR_EraseRootFromParent_Done,
     /*  655221 */   // Label 10462: @655221
     /*  655221 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655296), // Rule ID 7360 //
     /*  655226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655294 */     GIR_RootConstrainSelectedInstOperands,
     /*  655295 */     // GIR_Coverage, 7360,
     /*  655295 */     GIR_EraseRootFromParent_Done,
     /*  655296 */   // Label 10463: @655296
     /*  655296 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655371), // Rule ID 7363 //
     /*  655301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655369 */     GIR_RootConstrainSelectedInstOperands,
     /*  655370 */     // GIR_Coverage, 7363,
     /*  655370 */     GIR_EraseRootFromParent_Done,
     /*  655371 */   // Label 10464: @655371
     /*  655371 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655446), // Rule ID 7364 //
     /*  655376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  655393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  655425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655444 */     GIR_RootConstrainSelectedInstOperands,
     /*  655445 */     // GIR_Coverage, 7364,
     /*  655445 */     GIR_EraseRootFromParent_Done,
     /*  655446 */   // Label 10465: @655446
     /*  655446 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655521), // Rule ID 7367 //
     /*  655451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655519 */     GIR_RootConstrainSelectedInstOperands,
     /*  655520 */     // GIR_Coverage, 7367,
     /*  655520 */     GIR_EraseRootFromParent_Done,
     /*  655521 */   // Label 10466: @655521
     /*  655521 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655596), // Rule ID 7368 //
     /*  655526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  655537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  655540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  655575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655594 */     GIR_RootConstrainSelectedInstOperands,
     /*  655595 */     // GIR_Coverage, 7368,
     /*  655595 */     GIR_EraseRootFromParent_Done,
     /*  655596 */   // Label 10467: @655596
     /*  655596 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655671), // Rule ID 7371 //
     /*  655601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  655612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  655615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655669 */     GIR_RootConstrainSelectedInstOperands,
     /*  655670 */     // GIR_Coverage, 7371,
     /*  655670 */     GIR_EraseRootFromParent_Done,
     /*  655671 */   // Label 10468: @655671
     /*  655671 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655746), // Rule ID 7372 //
     /*  655676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  655687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  655690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  655725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655744 */     GIR_RootConstrainSelectedInstOperands,
     /*  655745 */     // GIR_Coverage, 7372,
     /*  655745 */     GIR_EraseRootFromParent_Done,
     /*  655746 */   // Label 10469: @655746
     /*  655746 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655821), // Rule ID 7375 //
     /*  655751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655819 */     GIR_RootConstrainSelectedInstOperands,
     /*  655820 */     // GIR_Coverage, 7375,
     /*  655820 */     GIR_EraseRootFromParent_Done,
     /*  655821 */   // Label 10470: @655821
     /*  655821 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655896), // Rule ID 7376 //
     /*  655826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  655875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655894 */     GIR_RootConstrainSelectedInstOperands,
     /*  655895 */     // GIR_Coverage, 7376,
     /*  655895 */     GIR_EraseRootFromParent_Done,
     /*  655896 */   // Label 10471: @655896
     /*  655896 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655971), // Rule ID 7379 //
     /*  655901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  655950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655969 */     GIR_RootConstrainSelectedInstOperands,
     /*  655970 */     // GIR_Coverage, 7379,
     /*  655970 */     GIR_EraseRootFromParent_Done,
     /*  655971 */   // Label 10472: @655971
     /*  655971 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(656046), // Rule ID 7380 //
     /*  655976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  656025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656044 */     GIR_RootConstrainSelectedInstOperands,
     /*  656045 */     // GIR_Coverage, 7380,
     /*  656045 */     GIR_EraseRootFromParent_Done,
     /*  656046 */   // Label 10473: @656046
     /*  656046 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(656121), // Rule ID 7383 //
     /*  656051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656119 */     GIR_RootConstrainSelectedInstOperands,
     /*  656120 */     // GIR_Coverage, 7383,
     /*  656120 */     GIR_EraseRootFromParent_Done,
     /*  656121 */   // Label 10474: @656121
     /*  656121 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656196), // Rule ID 7384 //
     /*  656126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656194 */     GIR_RootConstrainSelectedInstOperands,
     /*  656195 */     // GIR_Coverage, 7384,
     /*  656195 */     GIR_EraseRootFromParent_Done,
     /*  656196 */   // Label 10475: @656196
     /*  656196 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656271), // Rule ID 7387 //
     /*  656201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656269 */     GIR_RootConstrainSelectedInstOperands,
     /*  656270 */     // GIR_Coverage, 7387,
     /*  656270 */     GIR_EraseRootFromParent_Done,
     /*  656271 */   // Label 10476: @656271
     /*  656271 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656346), // Rule ID 7388 //
     /*  656276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656344 */     GIR_RootConstrainSelectedInstOperands,
     /*  656345 */     // GIR_Coverage, 7388,
     /*  656345 */     GIR_EraseRootFromParent_Done,
     /*  656346 */   // Label 10477: @656346
     /*  656346 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656421), // Rule ID 7391 //
     /*  656351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656419 */     GIR_RootConstrainSelectedInstOperands,
     /*  656420 */     // GIR_Coverage, 7391,
     /*  656420 */     GIR_EraseRootFromParent_Done,
     /*  656421 */   // Label 10478: @656421
     /*  656421 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656496), // Rule ID 7392 //
     /*  656426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656494 */     GIR_RootConstrainSelectedInstOperands,
     /*  656495 */     // GIR_Coverage, 7392,
     /*  656495 */     GIR_EraseRootFromParent_Done,
     /*  656496 */   // Label 10479: @656496
     /*  656496 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656571), // Rule ID 7395 //
     /*  656501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656569 */     GIR_RootConstrainSelectedInstOperands,
     /*  656570 */     // GIR_Coverage, 7395,
     /*  656570 */     GIR_EraseRootFromParent_Done,
     /*  656571 */   // Label 10480: @656571
     /*  656571 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656646), // Rule ID 7396 //
     /*  656576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656622 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656644 */     GIR_RootConstrainSelectedInstOperands,
     /*  656645 */     // GIR_Coverage, 7396,
     /*  656645 */     GIR_EraseRootFromParent_Done,
     /*  656646 */   // Label 10481: @656646
     /*  656646 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656721), // Rule ID 7399 //
     /*  656651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  656668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656719 */     GIR_RootConstrainSelectedInstOperands,
     /*  656720 */     // GIR_Coverage, 7399,
     /*  656720 */     GIR_EraseRootFromParent_Done,
     /*  656721 */   // Label 10482: @656721
     /*  656721 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656796), // Rule ID 7400 //
     /*  656726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  656743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656794 */     GIR_RootConstrainSelectedInstOperands,
     /*  656795 */     // GIR_Coverage, 7400,
     /*  656795 */     GIR_EraseRootFromParent_Done,
     /*  656796 */   // Label 10483: @656796
     /*  656796 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656871), // Rule ID 7403 //
     /*  656801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656869 */     GIR_RootConstrainSelectedInstOperands,
     /*  656870 */     // GIR_Coverage, 7403,
     /*  656870 */     GIR_EraseRootFromParent_Done,
     /*  656871 */   // Label 10484: @656871
     /*  656871 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656946), // Rule ID 7404 //
     /*  656876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  656925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656944 */     GIR_RootConstrainSelectedInstOperands,
     /*  656945 */     // GIR_Coverage, 7404,
     /*  656945 */     GIR_EraseRootFromParent_Done,
     /*  656946 */   // Label 10485: @656946
     /*  656946 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(657021), // Rule ID 7407 //
     /*  656951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  656962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  656965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657019 */     GIR_RootConstrainSelectedInstOperands,
     /*  657020 */     // GIR_Coverage, 7407,
     /*  657020 */     GIR_EraseRootFromParent_Done,
     /*  657021 */   // Label 10486: @657021
     /*  657021 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(657096), // Rule ID 7408 //
     /*  657026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657094 */     GIR_RootConstrainSelectedInstOperands,
     /*  657095 */     // GIR_Coverage, 7408,
     /*  657095 */     GIR_EraseRootFromParent_Done,
     /*  657096 */   // Label 10487: @657096
     /*  657096 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657171), // Rule ID 7411 //
     /*  657101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657169 */     GIR_RootConstrainSelectedInstOperands,
     /*  657170 */     // GIR_Coverage, 7411,
     /*  657170 */     GIR_EraseRootFromParent_Done,
     /*  657171 */   // Label 10488: @657171
     /*  657171 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657246), // Rule ID 7412 //
     /*  657176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657244 */     GIR_RootConstrainSelectedInstOperands,
     /*  657245 */     // GIR_Coverage, 7412,
     /*  657245 */     GIR_EraseRootFromParent_Done,
     /*  657246 */   // Label 10489: @657246
     /*  657246 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657321), // Rule ID 7415 //
     /*  657251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657319 */     GIR_RootConstrainSelectedInstOperands,
     /*  657320 */     // GIR_Coverage, 7415,
     /*  657320 */     GIR_EraseRootFromParent_Done,
     /*  657321 */   // Label 10490: @657321
     /*  657321 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657396), // Rule ID 7416 //
     /*  657326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657394 */     GIR_RootConstrainSelectedInstOperands,
     /*  657395 */     // GIR_Coverage, 7416,
     /*  657395 */     GIR_EraseRootFromParent_Done,
     /*  657396 */   // Label 10491: @657396
     /*  657396 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657471), // Rule ID 7419 //
     /*  657401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657469 */     GIR_RootConstrainSelectedInstOperands,
     /*  657470 */     // GIR_Coverage, 7419,
     /*  657470 */     GIR_EraseRootFromParent_Done,
     /*  657471 */   // Label 10492: @657471
     /*  657471 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657546), // Rule ID 7420 //
     /*  657476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  657525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657544 */     GIR_RootConstrainSelectedInstOperands,
     /*  657545 */     // GIR_Coverage, 7420,
     /*  657545 */     GIR_EraseRootFromParent_Done,
     /*  657546 */   // Label 10493: @657546
     /*  657546 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657621), // Rule ID 7423 //
     /*  657551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657619 */     GIR_RootConstrainSelectedInstOperands,
     /*  657620 */     // GIR_Coverage, 7423,
     /*  657620 */     GIR_EraseRootFromParent_Done,
     /*  657621 */   // Label 10494: @657621
     /*  657621 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657696), // Rule ID 7424 //
     /*  657626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  657675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657694 */     GIR_RootConstrainSelectedInstOperands,
     /*  657695 */     // GIR_Coverage, 7424,
     /*  657695 */     GIR_EraseRootFromParent_Done,
     /*  657696 */   // Label 10495: @657696
     /*  657696 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657771), // Rule ID 7427 //
     /*  657701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657769 */     GIR_RootConstrainSelectedInstOperands,
     /*  657770 */     // GIR_Coverage, 7427,
     /*  657770 */     GIR_EraseRootFromParent_Done,
     /*  657771 */   // Label 10496: @657771
     /*  657771 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657846), // Rule ID 7428 //
     /*  657776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  657825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657844 */     GIR_RootConstrainSelectedInstOperands,
     /*  657845 */     // GIR_Coverage, 7428,
     /*  657845 */     GIR_EraseRootFromParent_Done,
     /*  657846 */   // Label 10497: @657846
     /*  657846 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657921), // Rule ID 7431 //
     /*  657851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  657868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657919 */     GIR_RootConstrainSelectedInstOperands,
     /*  657920 */     // GIR_Coverage, 7431,
     /*  657920 */     GIR_EraseRootFromParent_Done,
     /*  657921 */   // Label 10498: @657921
     /*  657921 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657996), // Rule ID 7432 //
     /*  657926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  657934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  657943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  657975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657994 */     GIR_RootConstrainSelectedInstOperands,
     /*  657995 */     // GIR_Coverage, 7432,
     /*  657995 */     GIR_EraseRootFromParent_Done,
     /*  657996 */   // Label 10499: @657996
     /*  657996 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(658071), // Rule ID 7435 //
     /*  658001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658069 */     GIR_RootConstrainSelectedInstOperands,
     /*  658070 */     // GIR_Coverage, 7435,
     /*  658070 */     GIR_EraseRootFromParent_Done,
     /*  658071 */   // Label 10500: @658071
     /*  658071 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658146), // Rule ID 7436 //
     /*  658076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  658125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658144 */     GIR_RootConstrainSelectedInstOperands,
     /*  658145 */     // GIR_Coverage, 7436,
     /*  658145 */     GIR_EraseRootFromParent_Done,
     /*  658146 */   // Label 10501: @658146
     /*  658146 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658221), // Rule ID 7499 //
     /*  658151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658219 */     GIR_RootConstrainSelectedInstOperands,
     /*  658220 */     // GIR_Coverage, 7499,
     /*  658220 */     GIR_EraseRootFromParent_Done,
     /*  658221 */   // Label 10502: @658221
     /*  658221 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658296), // Rule ID 7500 //
     /*  658226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  658275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658294 */     GIR_RootConstrainSelectedInstOperands,
     /*  658295 */     // GIR_Coverage, 7500,
     /*  658295 */     GIR_EraseRootFromParent_Done,
     /*  658296 */   // Label 10503: @658296
     /*  658296 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658371), // Rule ID 7503 //
     /*  658301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658369 */     GIR_RootConstrainSelectedInstOperands,
     /*  658370 */     // GIR_Coverage, 7503,
     /*  658370 */     GIR_EraseRootFromParent_Done,
     /*  658371 */   // Label 10504: @658371
     /*  658371 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658446), // Rule ID 7504 //
     /*  658376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  658425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658444 */     GIR_RootConstrainSelectedInstOperands,
     /*  658445 */     // GIR_Coverage, 7504,
     /*  658445 */     GIR_EraseRootFromParent_Done,
     /*  658446 */   // Label 10505: @658446
     /*  658446 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658521), // Rule ID 7507 //
     /*  658451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658519 */     GIR_RootConstrainSelectedInstOperands,
     /*  658520 */     // GIR_Coverage, 7507,
     /*  658520 */     GIR_EraseRootFromParent_Done,
     /*  658521 */   // Label 10506: @658521
     /*  658521 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658596), // Rule ID 7508 //
     /*  658526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658594 */     GIR_RootConstrainSelectedInstOperands,
     /*  658595 */     // GIR_Coverage, 7508,
     /*  658595 */     GIR_EraseRootFromParent_Done,
     /*  658596 */   // Label 10507: @658596
     /*  658596 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658671), // Rule ID 7511 //
     /*  658601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658669 */     GIR_RootConstrainSelectedInstOperands,
     /*  658670 */     // GIR_Coverage, 7511,
     /*  658670 */     GIR_EraseRootFromParent_Done,
     /*  658671 */   // Label 10508: @658671
     /*  658671 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658746), // Rule ID 7512 //
     /*  658676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658744 */     GIR_RootConstrainSelectedInstOperands,
     /*  658745 */     // GIR_Coverage, 7512,
     /*  658745 */     GIR_EraseRootFromParent_Done,
     /*  658746 */   // Label 10509: @658746
     /*  658746 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658821), // Rule ID 7515 //
     /*  658751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658819 */     GIR_RootConstrainSelectedInstOperands,
     /*  658820 */     // GIR_Coverage, 7515,
     /*  658820 */     GIR_EraseRootFromParent_Done,
     /*  658821 */   // Label 10510: @658821
     /*  658821 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658896), // Rule ID 7516 //
     /*  658826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658894 */     GIR_RootConstrainSelectedInstOperands,
     /*  658895 */     // GIR_Coverage, 7516,
     /*  658895 */     GIR_EraseRootFromParent_Done,
     /*  658896 */   // Label 10511: @658896
     /*  658896 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658971), // Rule ID 7519 //
     /*  658901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  658912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  658915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  658918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  658950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658969 */     GIR_RootConstrainSelectedInstOperands,
     /*  658970 */     // GIR_Coverage, 7519,
     /*  658970 */     GIR_EraseRootFromParent_Done,
     /*  658971 */   // Label 10512: @658971
     /*  658971 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(659046), // Rule ID 7520 //
     /*  658976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  658987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  658990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  658993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659044 */     GIR_RootConstrainSelectedInstOperands,
     /*  659045 */     // GIR_Coverage, 7520,
     /*  659045 */     GIR_EraseRootFromParent_Done,
     /*  659046 */   // Label 10513: @659046
     /*  659046 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(659121), // Rule ID 7523 //
     /*  659051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659119 */     GIR_RootConstrainSelectedInstOperands,
     /*  659120 */     // GIR_Coverage, 7523,
     /*  659120 */     GIR_EraseRootFromParent_Done,
     /*  659121 */   // Label 10514: @659121
     /*  659121 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659196), // Rule ID 7524 //
     /*  659126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  659175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659194 */     GIR_RootConstrainSelectedInstOperands,
     /*  659195 */     // GIR_Coverage, 7524,
     /*  659195 */     GIR_EraseRootFromParent_Done,
     /*  659196 */   // Label 10515: @659196
     /*  659196 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659271), // Rule ID 7527 //
     /*  659201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659269 */     GIR_RootConstrainSelectedInstOperands,
     /*  659270 */     // GIR_Coverage, 7527,
     /*  659270 */     GIR_EraseRootFromParent_Done,
     /*  659271 */   // Label 10516: @659271
     /*  659271 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659346), // Rule ID 7528 //
     /*  659276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659344 */     GIR_RootConstrainSelectedInstOperands,
     /*  659345 */     // GIR_Coverage, 7528,
     /*  659345 */     GIR_EraseRootFromParent_Done,
     /*  659346 */   // Label 10517: @659346
     /*  659346 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659421), // Rule ID 7531 //
     /*  659351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659419 */     GIR_RootConstrainSelectedInstOperands,
     /*  659420 */     // GIR_Coverage, 7531,
     /*  659420 */     GIR_EraseRootFromParent_Done,
     /*  659421 */   // Label 10518: @659421
     /*  659421 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659496), // Rule ID 7532 //
     /*  659426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  659475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659494 */     GIR_RootConstrainSelectedInstOperands,
     /*  659495 */     // GIR_Coverage, 7532,
     /*  659495 */     GIR_EraseRootFromParent_Done,
     /*  659496 */   // Label 10519: @659496
     /*  659496 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659571), // Rule ID 7535 //
     /*  659501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659569 */     GIR_RootConstrainSelectedInstOperands,
     /*  659570 */     // GIR_Coverage, 7535,
     /*  659570 */     GIR_EraseRootFromParent_Done,
     /*  659571 */   // Label 10520: @659571
     /*  659571 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659646), // Rule ID 7536 //
     /*  659576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659644 */     GIR_RootConstrainSelectedInstOperands,
     /*  659645 */     // GIR_Coverage, 7536,
     /*  659645 */     GIR_EraseRootFromParent_Done,
     /*  659646 */   // Label 10521: @659646
     /*  659646 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659721), // Rule ID 7539 //
     /*  659651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659719 */     GIR_RootConstrainSelectedInstOperands,
     /*  659720 */     // GIR_Coverage, 7539,
     /*  659720 */     GIR_EraseRootFromParent_Done,
     /*  659721 */   // Label 10522: @659721
     /*  659721 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659796), // Rule ID 7540 //
     /*  659726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659794 */     GIR_RootConstrainSelectedInstOperands,
     /*  659795 */     // GIR_Coverage, 7540,
     /*  659795 */     GIR_EraseRootFromParent_Done,
     /*  659796 */   // Label 10523: @659796
     /*  659796 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659871), // Rule ID 7543 //
     /*  659801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659869 */     GIR_RootConstrainSelectedInstOperands,
     /*  659870 */     // GIR_Coverage, 7543,
     /*  659870 */     GIR_EraseRootFromParent_Done,
     /*  659871 */   // Label 10524: @659871
     /*  659871 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659946), // Rule ID 7544 //
     /*  659876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  659925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659944 */     GIR_RootConstrainSelectedInstOperands,
     /*  659945 */     // GIR_Coverage, 7544,
     /*  659945 */     GIR_EraseRootFromParent_Done,
     /*  659946 */   // Label 10525: @659946
     /*  659946 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(660021), // Rule ID 7547 //
     /*  659951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  659962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  659965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  659968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  659971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660019 */     GIR_RootConstrainSelectedInstOperands,
     /*  660020 */     // GIR_Coverage, 7547,
     /*  660020 */     GIR_EraseRootFromParent_Done,
     /*  660021 */   // Label 10526: @660021
     /*  660021 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(660096), // Rule ID 7548 //
     /*  660026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  660075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660094 */     GIR_RootConstrainSelectedInstOperands,
     /*  660095 */     // GIR_Coverage, 7548,
     /*  660095 */     GIR_EraseRootFromParent_Done,
     /*  660096 */   // Label 10527: @660096
     /*  660096 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660171), // Rule ID 7551 //
     /*  660101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660169 */     GIR_RootConstrainSelectedInstOperands,
     /*  660170 */     // GIR_Coverage, 7551,
     /*  660170 */     GIR_EraseRootFromParent_Done,
     /*  660171 */   // Label 10528: @660171
     /*  660171 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660246), // Rule ID 7552 //
     /*  660176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  660225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660244 */     GIR_RootConstrainSelectedInstOperands,
     /*  660245 */     // GIR_Coverage, 7552,
     /*  660245 */     GIR_EraseRootFromParent_Done,
     /*  660246 */   // Label 10529: @660246
     /*  660246 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660321), // Rule ID 7555 //
     /*  660251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660319 */     GIR_RootConstrainSelectedInstOperands,
     /*  660320 */     // GIR_Coverage, 7555,
     /*  660320 */     GIR_EraseRootFromParent_Done,
     /*  660321 */   // Label 10530: @660321
     /*  660321 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660396), // Rule ID 7556 //
     /*  660326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  660375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660394 */     GIR_RootConstrainSelectedInstOperands,
     /*  660395 */     // GIR_Coverage, 7556,
     /*  660395 */     GIR_EraseRootFromParent_Done,
     /*  660396 */   // Label 10531: @660396
     /*  660396 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660471), // Rule ID 7559 //
     /*  660401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660469 */     GIR_RootConstrainSelectedInstOperands,
     /*  660470 */     // GIR_Coverage, 7559,
     /*  660470 */     GIR_EraseRootFromParent_Done,
     /*  660471 */   // Label 10532: @660471
     /*  660471 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660546), // Rule ID 7560 //
     /*  660476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  660525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660544 */     GIR_RootConstrainSelectedInstOperands,
     /*  660545 */     // GIR_Coverage, 7560,
     /*  660545 */     GIR_EraseRootFromParent_Done,
     /*  660546 */   // Label 10533: @660546
     /*  660546 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660621), // Rule ID 7563 //
     /*  660551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660619 */     GIR_RootConstrainSelectedInstOperands,
     /*  660620 */     // GIR_Coverage, 7563,
     /*  660620 */     GIR_EraseRootFromParent_Done,
     /*  660621 */   // Label 10534: @660621
     /*  660621 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660696), // Rule ID 7564 //
     /*  660626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660694 */     GIR_RootConstrainSelectedInstOperands,
     /*  660695 */     // GIR_Coverage, 7564,
     /*  660695 */     GIR_EraseRootFromParent_Done,
     /*  660696 */   // Label 10535: @660696
     /*  660696 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660771), // Rule ID 7567 //
     /*  660701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660769 */     GIR_RootConstrainSelectedInstOperands,
     /*  660770 */     // GIR_Coverage, 7567,
     /*  660770 */     GIR_EraseRootFromParent_Done,
     /*  660771 */   // Label 10536: @660771
     /*  660771 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660846), // Rule ID 7568 //
     /*  660776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660844 */     GIR_RootConstrainSelectedInstOperands,
     /*  660845 */     // GIR_Coverage, 7568,
     /*  660845 */     GIR_EraseRootFromParent_Done,
     /*  660846 */   // Label 10537: @660846
     /*  660846 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660921), // Rule ID 7571 //
     /*  660851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  660868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  660900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660919 */     GIR_RootConstrainSelectedInstOperands,
     /*  660920 */     // GIR_Coverage, 7571,
     /*  660920 */     GIR_EraseRootFromParent_Done,
     /*  660921 */   // Label 10538: @660921
     /*  660921 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660996), // Rule ID 7572 //
     /*  660926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  660943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  660975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660994 */     GIR_RootConstrainSelectedInstOperands,
     /*  660995 */     // GIR_Coverage, 7572,
     /*  660995 */     GIR_EraseRootFromParent_Done,
     /*  660996 */   // Label 10539: @660996
     /*  660996 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(661071), // Rule ID 7575 //
     /*  661001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661069 */     GIR_RootConstrainSelectedInstOperands,
     /*  661070 */     // GIR_Coverage, 7575,
     /*  661070 */     GIR_EraseRootFromParent_Done,
     /*  661071 */   // Label 10540: @661071
     /*  661071 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661146), // Rule ID 7576 //
     /*  661076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661144 */     GIR_RootConstrainSelectedInstOperands,
     /*  661145 */     // GIR_Coverage, 7576,
     /*  661145 */     GIR_EraseRootFromParent_Done,
     /*  661146 */   // Label 10541: @661146
     /*  661146 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661221), // Rule ID 7579 //
     /*  661151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661219 */     GIR_RootConstrainSelectedInstOperands,
     /*  661220 */     // GIR_Coverage, 7579,
     /*  661220 */     GIR_EraseRootFromParent_Done,
     /*  661221 */   // Label 10542: @661221
     /*  661221 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661296), // Rule ID 7580 //
     /*  661226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661294 */     GIR_RootConstrainSelectedInstOperands,
     /*  661295 */     // GIR_Coverage, 7580,
     /*  661295 */     GIR_EraseRootFromParent_Done,
     /*  661296 */   // Label 10543: @661296
     /*  661296 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661371), // Rule ID 7583 //
     /*  661301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661369 */     GIR_RootConstrainSelectedInstOperands,
     /*  661370 */     // GIR_Coverage, 7583,
     /*  661370 */     GIR_EraseRootFromParent_Done,
     /*  661371 */   // Label 10544: @661371
     /*  661371 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661446), // Rule ID 7584 //
     /*  661376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  661425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661444 */     GIR_RootConstrainSelectedInstOperands,
     /*  661445 */     // GIR_Coverage, 7584,
     /*  661445 */     GIR_EraseRootFromParent_Done,
     /*  661446 */   // Label 10545: @661446
     /*  661446 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661521), // Rule ID 7587 //
     /*  661451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661519 */     GIR_RootConstrainSelectedInstOperands,
     /*  661520 */     // GIR_Coverage, 7587,
     /*  661520 */     GIR_EraseRootFromParent_Done,
     /*  661521 */   // Label 10546: @661521
     /*  661521 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661596), // Rule ID 7588 //
     /*  661526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  661575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661594 */     GIR_RootConstrainSelectedInstOperands,
     /*  661595 */     // GIR_Coverage, 7588,
     /*  661595 */     GIR_EraseRootFromParent_Done,
     /*  661596 */   // Label 10547: @661596
     /*  661596 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661671), // Rule ID 7591 //
     /*  661601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661669 */     GIR_RootConstrainSelectedInstOperands,
     /*  661670 */     // GIR_Coverage, 7591,
     /*  661670 */     GIR_EraseRootFromParent_Done,
     /*  661671 */   // Label 10548: @661671
     /*  661671 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661746), // Rule ID 7592 //
     /*  661676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661744 */     GIR_RootConstrainSelectedInstOperands,
     /*  661745 */     // GIR_Coverage, 7592,
     /*  661745 */     GIR_EraseRootFromParent_Done,
     /*  661746 */   // Label 10549: @661746
     /*  661746 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661821), // Rule ID 7595 //
     /*  661751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661819 */     GIR_RootConstrainSelectedInstOperands,
     /*  661820 */     // GIR_Coverage, 7595,
     /*  661820 */     GIR_EraseRootFromParent_Done,
     /*  661821 */   // Label 10550: @661821
     /*  661821 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661896), // Rule ID 7596 //
     /*  661826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661894 */     GIR_RootConstrainSelectedInstOperands,
     /*  661895 */     // GIR_Coverage, 7596,
     /*  661895 */     GIR_EraseRootFromParent_Done,
     /*  661896 */   // Label 10551: @661896
     /*  661896 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661971), // Rule ID 7599 //
     /*  661901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  661912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  661915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  661918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661969 */     GIR_RootConstrainSelectedInstOperands,
     /*  661970 */     // GIR_Coverage, 7599,
     /*  661970 */     GIR_EraseRootFromParent_Done,
     /*  661971 */   // Label 10552: @661971
     /*  661971 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(662046), // Rule ID 7600 //
     /*  661976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  661987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  661990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  661993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662044 */     GIR_RootConstrainSelectedInstOperands,
     /*  662045 */     // GIR_Coverage, 7600,
     /*  662045 */     GIR_EraseRootFromParent_Done,
     /*  662046 */   // Label 10553: @662046
     /*  662046 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(662121), // Rule ID 7603 //
     /*  662051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662119 */     GIR_RootConstrainSelectedInstOperands,
     /*  662120 */     // GIR_Coverage, 7603,
     /*  662120 */     GIR_EraseRootFromParent_Done,
     /*  662121 */   // Label 10554: @662121
     /*  662121 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662196), // Rule ID 7604 //
     /*  662126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  662175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662194 */     GIR_RootConstrainSelectedInstOperands,
     /*  662195 */     // GIR_Coverage, 7604,
     /*  662195 */     GIR_EraseRootFromParent_Done,
     /*  662196 */   // Label 10555: @662196
     /*  662196 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662271), // Rule ID 7607 //
     /*  662201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662269 */     GIR_RootConstrainSelectedInstOperands,
     /*  662270 */     // GIR_Coverage, 7607,
     /*  662270 */     GIR_EraseRootFromParent_Done,
     /*  662271 */   // Label 10556: @662271
     /*  662271 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662346), // Rule ID 7608 //
     /*  662276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  662325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662344 */     GIR_RootConstrainSelectedInstOperands,
     /*  662345 */     // GIR_Coverage, 7608,
     /*  662345 */     GIR_EraseRootFromParent_Done,
     /*  662346 */   // Label 10557: @662346
     /*  662346 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662421), // Rule ID 7611 //
     /*  662351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662419 */     GIR_RootConstrainSelectedInstOperands,
     /*  662420 */     // GIR_Coverage, 7611,
     /*  662420 */     GIR_EraseRootFromParent_Done,
     /*  662421 */   // Label 10558: @662421
     /*  662421 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662496), // Rule ID 7612 //
     /*  662426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  662475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662494 */     GIR_RootConstrainSelectedInstOperands,
     /*  662495 */     // GIR_Coverage, 7612,
     /*  662495 */     GIR_EraseRootFromParent_Done,
     /*  662496 */   // Label 10559: @662496
     /*  662496 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662571), // Rule ID 7615 //
     /*  662501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662569 */     GIR_RootConstrainSelectedInstOperands,
     /*  662570 */     // GIR_Coverage, 7615,
     /*  662570 */     GIR_EraseRootFromParent_Done,
     /*  662571 */   // Label 10560: @662571
     /*  662571 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662646), // Rule ID 7616 //
     /*  662576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  662625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662644 */     GIR_RootConstrainSelectedInstOperands,
     /*  662645 */     // GIR_Coverage, 7616,
     /*  662645 */     GIR_EraseRootFromParent_Done,
     /*  662646 */   // Label 10561: @662646
     /*  662646 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662721), // Rule ID 10131 //
     /*  662651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  662700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662719 */     GIR_RootConstrainSelectedInstOperands,
     /*  662720 */     // GIR_Coverage, 10131,
     /*  662720 */     GIR_EraseRootFromParent_Done,
     /*  662721 */   // Label 10562: @662721
     /*  662721 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662796), // Rule ID 10132 //
     /*  662726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  662775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662794 */     GIR_RootConstrainSelectedInstOperands,
     /*  662795 */     // GIR_Coverage, 10132,
     /*  662795 */     GIR_EraseRootFromParent_Done,
     /*  662796 */   // Label 10563: @662796
     /*  662796 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662871), // Rule ID 10135 //
     /*  662801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  662850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662869 */     GIR_RootConstrainSelectedInstOperands,
     /*  662870 */     // GIR_Coverage, 10135,
     /*  662870 */     GIR_EraseRootFromParent_Done,
     /*  662871 */   // Label 10564: @662871
     /*  662871 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662946), // Rule ID 10136 //
     /*  662876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  662925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662944 */     GIR_RootConstrainSelectedInstOperands,
     /*  662945 */     // GIR_Coverage, 10136,
     /*  662945 */     GIR_EraseRootFromParent_Done,
     /*  662946 */   // Label 10565: @662946
     /*  662946 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(663021), // Rule ID 10139 //
     /*  662951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  662962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  662965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  662968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  662971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663019 */     GIR_RootConstrainSelectedInstOperands,
     /*  663020 */     // GIR_Coverage, 10139,
     /*  663020 */     GIR_EraseRootFromParent_Done,
     /*  663021 */   // Label 10566: @663021
     /*  663021 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(663096), // Rule ID 10140 //
     /*  663026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663094 */     GIR_RootConstrainSelectedInstOperands,
     /*  663095 */     // GIR_Coverage, 10140,
     /*  663095 */     GIR_EraseRootFromParent_Done,
     /*  663096 */   // Label 10567: @663096
     /*  663096 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663171), // Rule ID 10143 //
     /*  663101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663169 */     GIR_RootConstrainSelectedInstOperands,
     /*  663170 */     // GIR_Coverage, 10143,
     /*  663170 */     GIR_EraseRootFromParent_Done,
     /*  663171 */   // Label 10568: @663171
     /*  663171 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663246), // Rule ID 10144 //
     /*  663176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  663225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663244 */     GIR_RootConstrainSelectedInstOperands,
     /*  663245 */     // GIR_Coverage, 10144,
     /*  663245 */     GIR_EraseRootFromParent_Done,
     /*  663246 */   // Label 10569: @663246
     /*  663246 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663321), // Rule ID 10147 //
     /*  663251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663319 */     GIR_RootConstrainSelectedInstOperands,
     /*  663320 */     // GIR_Coverage, 10147,
     /*  663320 */     GIR_EraseRootFromParent_Done,
     /*  663321 */   // Label 10570: @663321
     /*  663321 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663396), // Rule ID 10148 //
     /*  663326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663394 */     GIR_RootConstrainSelectedInstOperands,
     /*  663395 */     // GIR_Coverage, 10148,
     /*  663395 */     GIR_EraseRootFromParent_Done,
     /*  663396 */   // Label 10571: @663396
     /*  663396 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663471), // Rule ID 10151 //
     /*  663401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663469 */     GIR_RootConstrainSelectedInstOperands,
     /*  663470 */     // GIR_Coverage, 10151,
     /*  663470 */     GIR_EraseRootFromParent_Done,
     /*  663471 */   // Label 10572: @663471
     /*  663471 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663546), // Rule ID 10152 //
     /*  663476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  663496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  663525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663544 */     GIR_RootConstrainSelectedInstOperands,
     /*  663545 */     // GIR_Coverage, 10152,
     /*  663545 */     GIR_EraseRootFromParent_Done,
     /*  663546 */   // Label 10573: @663546
     /*  663546 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663621), // Rule ID 10155 //
     /*  663551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663619 */     GIR_RootConstrainSelectedInstOperands,
     /*  663620 */     // GIR_Coverage, 10155,
     /*  663620 */     GIR_EraseRootFromParent_Done,
     /*  663621 */   // Label 10574: @663621
     /*  663621 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663696), // Rule ID 10156 //
     /*  663626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663694 */     GIR_RootConstrainSelectedInstOperands,
     /*  663695 */     // GIR_Coverage, 10156,
     /*  663695 */     GIR_EraseRootFromParent_Done,
     /*  663696 */   // Label 10575: @663696
     /*  663696 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663771), // Rule ID 10159 //
     /*  663701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663769 */     GIR_RootConstrainSelectedInstOperands,
     /*  663770 */     // GIR_Coverage, 10159,
     /*  663770 */     GIR_EraseRootFromParent_Done,
     /*  663771 */   // Label 10576: @663771
     /*  663771 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663846), // Rule ID 10160 //
     /*  663776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663844 */     GIR_RootConstrainSelectedInstOperands,
     /*  663845 */     // GIR_Coverage, 10160,
     /*  663845 */     GIR_EraseRootFromParent_Done,
     /*  663846 */   // Label 10577: @663846
     /*  663846 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663921), // Rule ID 10163 //
     /*  663851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663919 */     GIR_RootConstrainSelectedInstOperands,
     /*  663920 */     // GIR_Coverage, 10163,
     /*  663920 */     GIR_EraseRootFromParent_Done,
     /*  663921 */   // Label 10578: @663921
     /*  663921 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663996), // Rule ID 10164 //
     /*  663926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  663975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663994 */     GIR_RootConstrainSelectedInstOperands,
     /*  663995 */     // GIR_Coverage, 10164,
     /*  663995 */     GIR_EraseRootFromParent_Done,
     /*  663996 */   // Label 10579: @663996
     /*  663996 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(664071), // Rule ID 10167 //
     /*  664001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664069 */     GIR_RootConstrainSelectedInstOperands,
     /*  664070 */     // GIR_Coverage, 10167,
     /*  664070 */     GIR_EraseRootFromParent_Done,
     /*  664071 */   // Label 10580: @664071
     /*  664071 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664146), // Rule ID 10168 //
     /*  664076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  664125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664144 */     GIR_RootConstrainSelectedInstOperands,
     /*  664145 */     // GIR_Coverage, 10168,
     /*  664145 */     GIR_EraseRootFromParent_Done,
     /*  664146 */   // Label 10581: @664146
     /*  664146 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664221), // Rule ID 10171 //
     /*  664151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664219 */     GIR_RootConstrainSelectedInstOperands,
     /*  664220 */     // GIR_Coverage, 10171,
     /*  664220 */     GIR_EraseRootFromParent_Done,
     /*  664221 */   // Label 10582: @664221
     /*  664221 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664296), // Rule ID 10172 //
     /*  664226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664294 */     GIR_RootConstrainSelectedInstOperands,
     /*  664295 */     // GIR_Coverage, 10172,
     /*  664295 */     GIR_EraseRootFromParent_Done,
     /*  664296 */   // Label 10583: @664296
     /*  664296 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664371), // Rule ID 10175 //
     /*  664301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664369 */     GIR_RootConstrainSelectedInstOperands,
     /*  664370 */     // GIR_Coverage, 10175,
     /*  664370 */     GIR_EraseRootFromParent_Done,
     /*  664371 */   // Label 10584: @664371
     /*  664371 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664446), // Rule ID 10176 //
     /*  664376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  664393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664444 */     GIR_RootConstrainSelectedInstOperands,
     /*  664445 */     // GIR_Coverage, 10176,
     /*  664445 */     GIR_EraseRootFromParent_Done,
     /*  664446 */   // Label 10585: @664446
     /*  664446 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664521), // Rule ID 10179 //
     /*  664451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664519 */     GIR_RootConstrainSelectedInstOperands,
     /*  664520 */     // GIR_Coverage, 10179,
     /*  664520 */     GIR_EraseRootFromParent_Done,
     /*  664521 */   // Label 10586: @664521
     /*  664521 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664596), // Rule ID 10180 //
     /*  664526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  664537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  664540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  664543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  664546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664594 */     GIR_RootConstrainSelectedInstOperands,
     /*  664595 */     // GIR_Coverage, 10180,
     /*  664595 */     GIR_EraseRootFromParent_Done,
     /*  664596 */   // Label 10587: @664596
     /*  664596 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664671), // Rule ID 10183 //
     /*  664601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664669 */     GIR_RootConstrainSelectedInstOperands,
     /*  664670 */     // GIR_Coverage, 10183,
     /*  664670 */     GIR_EraseRootFromParent_Done,
     /*  664671 */   // Label 10588: @664671
     /*  664671 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664746), // Rule ID 10184 //
     /*  664676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664744 */     GIR_RootConstrainSelectedInstOperands,
     /*  664745 */     // GIR_Coverage, 10184,
     /*  664745 */     GIR_EraseRootFromParent_Done,
     /*  664746 */   // Label 10589: @664746
     /*  664746 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664821), // Rule ID 10187 //
     /*  664751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664819 */     GIR_RootConstrainSelectedInstOperands,
     /*  664820 */     // GIR_Coverage, 10187,
     /*  664820 */     GIR_EraseRootFromParent_Done,
     /*  664821 */   // Label 10590: @664821
     /*  664821 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664896), // Rule ID 10188 //
     /*  664826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664894 */     GIR_RootConstrainSelectedInstOperands,
     /*  664895 */     // GIR_Coverage, 10188,
     /*  664895 */     GIR_EraseRootFromParent_Done,
     /*  664896 */   // Label 10591: @664896
     /*  664896 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664971), // Rule ID 10191 //
     /*  664901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  664912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  664915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  664921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664969 */     GIR_RootConstrainSelectedInstOperands,
     /*  664970 */     // GIR_Coverage, 10191,
     /*  664970 */     GIR_EraseRootFromParent_Done,
     /*  664971 */   // Label 10592: @664971
     /*  664971 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(665046), // Rule ID 10192 //
     /*  664976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  664987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  664990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  664996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665044 */     GIR_RootConstrainSelectedInstOperands,
     /*  665045 */     // GIR_Coverage, 10192,
     /*  665045 */     GIR_EraseRootFromParent_Done,
     /*  665046 */   // Label 10593: @665046
     /*  665046 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(665121), // Rule ID 10195 //
     /*  665051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665119 */     GIR_RootConstrainSelectedInstOperands,
     /*  665120 */     // GIR_Coverage, 10195,
     /*  665120 */     GIR_EraseRootFromParent_Done,
     /*  665121 */   // Label 10594: @665121
     /*  665121 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665196), // Rule ID 10196 //
     /*  665126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665194 */     GIR_RootConstrainSelectedInstOperands,
     /*  665195 */     // GIR_Coverage, 10196,
     /*  665195 */     GIR_EraseRootFromParent_Done,
     /*  665196 */   // Label 10595: @665196
     /*  665196 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665271), // Rule ID 10199 //
     /*  665201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665269 */     GIR_RootConstrainSelectedInstOperands,
     /*  665270 */     // GIR_Coverage, 10199,
     /*  665270 */     GIR_EraseRootFromParent_Done,
     /*  665271 */   // Label 10596: @665271
     /*  665271 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665346), // Rule ID 10200 //
     /*  665276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665344 */     GIR_RootConstrainSelectedInstOperands,
     /*  665345 */     // GIR_Coverage, 10200,
     /*  665345 */     GIR_EraseRootFromParent_Done,
     /*  665346 */   // Label 10597: @665346
     /*  665346 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665421), // Rule ID 10203 //
     /*  665351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665419 */     GIR_RootConstrainSelectedInstOperands,
     /*  665420 */     // GIR_Coverage, 10203,
     /*  665420 */     GIR_EraseRootFromParent_Done,
     /*  665421 */   // Label 10598: @665421
     /*  665421 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665496), // Rule ID 10204 //
     /*  665426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  665437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  665440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  665446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665494 */     GIR_RootConstrainSelectedInstOperands,
     /*  665495 */     // GIR_Coverage, 10204,
     /*  665495 */     GIR_EraseRootFromParent_Done,
     /*  665496 */   // Label 10599: @665496
     /*  665496 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665571), // Rule ID 10207 //
     /*  665501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665569 */     GIR_RootConstrainSelectedInstOperands,
     /*  665570 */     // GIR_Coverage, 10207,
     /*  665570 */     GIR_EraseRootFromParent_Done,
     /*  665571 */   // Label 10600: @665571
     /*  665571 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665646), // Rule ID 10208 //
     /*  665576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  665587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  665590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  665596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  665625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665644 */     GIR_RootConstrainSelectedInstOperands,
     /*  665645 */     // GIR_Coverage, 10208,
     /*  665645 */     GIR_EraseRootFromParent_Done,
     /*  665646 */   // Label 10601: @665646
     /*  665646 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665721), // Rule ID 10211 //
     /*  665651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665719 */     GIR_RootConstrainSelectedInstOperands,
     /*  665720 */     // GIR_Coverage, 10211,
     /*  665720 */     GIR_EraseRootFromParent_Done,
     /*  665721 */   // Label 10602: @665721
     /*  665721 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665796), // Rule ID 10212 //
     /*  665726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  665775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665794 */     GIR_RootConstrainSelectedInstOperands,
     /*  665795 */     // GIR_Coverage, 10212,
     /*  665795 */     GIR_EraseRootFromParent_Done,
     /*  665796 */   // Label 10603: @665796
     /*  665796 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665871), // Rule ID 10215 //
     /*  665801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665869 */     GIR_RootConstrainSelectedInstOperands,
     /*  665870 */     // GIR_Coverage, 10215,
     /*  665870 */     GIR_EraseRootFromParent_Done,
     /*  665871 */   // Label 10604: @665871
     /*  665871 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665946), // Rule ID 10216 //
     /*  665876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  665925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665944 */     GIR_RootConstrainSelectedInstOperands,
     /*  665945 */     // GIR_Coverage, 10216,
     /*  665945 */     GIR_EraseRootFromParent_Done,
     /*  665946 */   // Label 10605: @665946
     /*  665946 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(666021), // Rule ID 10219 //
     /*  665951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  665968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666019 */     GIR_RootConstrainSelectedInstOperands,
     /*  666020 */     // GIR_Coverage, 10219,
     /*  666020 */     GIR_EraseRootFromParent_Done,
     /*  666021 */   // Label 10606: @666021
     /*  666021 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(666096), // Rule ID 10220 //
     /*  666026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  666075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666094 */     GIR_RootConstrainSelectedInstOperands,
     /*  666095 */     // GIR_Coverage, 10220,
     /*  666095 */     GIR_EraseRootFromParent_Done,
     /*  666096 */   // Label 10607: @666096
     /*  666096 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666171), // Rule ID 10223 //
     /*  666101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666169 */     GIR_RootConstrainSelectedInstOperands,
     /*  666170 */     // GIR_Coverage, 10223,
     /*  666170 */     GIR_EraseRootFromParent_Done,
     /*  666171 */   // Label 10608: @666171
     /*  666171 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666246), // Rule ID 10224 //
     /*  666176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666244 */     GIR_RootConstrainSelectedInstOperands,
     /*  666245 */     // GIR_Coverage, 10224,
     /*  666245 */     GIR_EraseRootFromParent_Done,
     /*  666246 */   // Label 10609: @666246
     /*  666246 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666321), // Rule ID 10227 //
     /*  666251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666297 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666319 */     GIR_RootConstrainSelectedInstOperands,
     /*  666320 */     // GIR_Coverage, 10227,
     /*  666320 */     GIR_EraseRootFromParent_Done,
     /*  666321 */   // Label 10610: @666321
     /*  666321 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666396), // Rule ID 10228 //
     /*  666326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666394 */     GIR_RootConstrainSelectedInstOperands,
     /*  666395 */     // GIR_Coverage, 10228,
     /*  666395 */     GIR_EraseRootFromParent_Done,
     /*  666396 */   // Label 10611: @666396
     /*  666396 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666471), // Rule ID 10231 //
     /*  666401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666469 */     GIR_RootConstrainSelectedInstOperands,
     /*  666470 */     // GIR_Coverage, 10231,
     /*  666470 */     GIR_EraseRootFromParent_Done,
     /*  666471 */   // Label 10612: @666471
     /*  666471 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666546), // Rule ID 10232 //
     /*  666476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  666493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  666525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666544 */     GIR_RootConstrainSelectedInstOperands,
     /*  666545 */     // GIR_Coverage, 10232,
     /*  666545 */     GIR_EraseRootFromParent_Done,
     /*  666546 */   // Label 10613: @666546
     /*  666546 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666621), // Rule ID 10235 //
     /*  666551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666619 */     GIR_RootConstrainSelectedInstOperands,
     /*  666620 */     // GIR_Coverage, 10235,
     /*  666620 */     GIR_EraseRootFromParent_Done,
     /*  666621 */   // Label 10614: @666621
     /*  666621 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666696), // Rule ID 10236 //
     /*  666626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666694 */     GIR_RootConstrainSelectedInstOperands,
     /*  666695 */     // GIR_Coverage, 10236,
     /*  666695 */     GIR_EraseRootFromParent_Done,
     /*  666696 */   // Label 10615: @666696
     /*  666696 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666771), // Rule ID 10239 //
     /*  666701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666769 */     GIR_RootConstrainSelectedInstOperands,
     /*  666770 */     // GIR_Coverage, 10239,
     /*  666770 */     GIR_EraseRootFromParent_Done,
     /*  666771 */   // Label 10616: @666771
     /*  666771 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666846), // Rule ID 10240 //
     /*  666776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  666825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666844 */     GIR_RootConstrainSelectedInstOperands,
     /*  666845 */     // GIR_Coverage, 10240,
     /*  666845 */     GIR_EraseRootFromParent_Done,
     /*  666846 */   // Label 10617: @666846
     /*  666846 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666921), // Rule ID 10243 //
     /*  666851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666919 */     GIR_RootConstrainSelectedInstOperands,
     /*  666920 */     // GIR_Coverage, 10243,
     /*  666920 */     GIR_EraseRootFromParent_Done,
     /*  666921 */   // Label 10618: @666921
     /*  666921 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666996), // Rule ID 10244 //
     /*  666926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666994 */     GIR_RootConstrainSelectedInstOperands,
     /*  666995 */     // GIR_Coverage, 10244,
     /*  666995 */     GIR_EraseRootFromParent_Done,
     /*  666996 */   // Label 10619: @666996
     /*  666996 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(667071), // Rule ID 10247 //
     /*  667001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667069 */     GIR_RootConstrainSelectedInstOperands,
     /*  667070 */     // GIR_Coverage, 10247,
     /*  667070 */     GIR_EraseRootFromParent_Done,
     /*  667071 */   // Label 10620: @667071
     /*  667071 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667146), // Rule ID 10248 //
     /*  667076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667144 */     GIR_RootConstrainSelectedInstOperands,
     /*  667145 */     // GIR_Coverage, 10248,
     /*  667145 */     GIR_EraseRootFromParent_Done,
     /*  667146 */   // Label 10621: @667146
     /*  667146 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667221), // Rule ID 10251 //
     /*  667151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667219 */     GIR_RootConstrainSelectedInstOperands,
     /*  667220 */     // GIR_Coverage, 10251,
     /*  667220 */     GIR_EraseRootFromParent_Done,
     /*  667221 */   // Label 10622: @667221
     /*  667221 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667296), // Rule ID 10252 //
     /*  667226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667294 */     GIR_RootConstrainSelectedInstOperands,
     /*  667295 */     // GIR_Coverage, 10252,
     /*  667295 */     GIR_EraseRootFromParent_Done,
     /*  667296 */   // Label 10623: @667296
     /*  667296 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667371), // Rule ID 10255 //
     /*  667301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667369 */     GIR_RootConstrainSelectedInstOperands,
     /*  667370 */     // GIR_Coverage, 10255,
     /*  667370 */     GIR_EraseRootFromParent_Done,
     /*  667371 */   // Label 10624: @667371
     /*  667371 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667446), // Rule ID 10256 //
     /*  667376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  667387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  667390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  667425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667444 */     GIR_RootConstrainSelectedInstOperands,
     /*  667445 */     // GIR_Coverage, 10256,
     /*  667445 */     GIR_EraseRootFromParent_Done,
     /*  667446 */   // Label 10625: @667446
     /*  667446 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667521), // Rule ID 10259 //
     /*  667451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667497 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667519 */     GIR_RootConstrainSelectedInstOperands,
     /*  667520 */     // GIR_Coverage, 10259,
     /*  667520 */     GIR_EraseRootFromParent_Done,
     /*  667521 */   // Label 10626: @667521
     /*  667521 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667596), // Rule ID 10260 //
     /*  667526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  667537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  667540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667594 */     GIR_RootConstrainSelectedInstOperands,
     /*  667595 */     // GIR_Coverage, 10260,
     /*  667595 */     GIR_EraseRootFromParent_Done,
     /*  667596 */   // Label 10627: @667596
     /*  667596 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667671), // Rule ID 10263 //
     /*  667601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667669 */     GIR_RootConstrainSelectedInstOperands,
     /*  667670 */     // GIR_Coverage, 10263,
     /*  667670 */     GIR_EraseRootFromParent_Done,
     /*  667671 */   // Label 10628: @667671
     /*  667671 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667746), // Rule ID 10264 //
     /*  667676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667744 */     GIR_RootConstrainSelectedInstOperands,
     /*  667745 */     // GIR_Coverage, 10264,
     /*  667745 */     GIR_EraseRootFromParent_Done,
     /*  667746 */   // Label 10629: @667746
     /*  667746 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667821), // Rule ID 10267 //
     /*  667751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667819 */     GIR_RootConstrainSelectedInstOperands,
     /*  667820 */     // GIR_Coverage, 10267,
     /*  667820 */     GIR_EraseRootFromParent_Done,
     /*  667821 */   // Label 10630: @667821
     /*  667821 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667896), // Rule ID 10268 //
     /*  667826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667894 */     GIR_RootConstrainSelectedInstOperands,
     /*  667895 */     // GIR_Coverage, 10268,
     /*  667895 */     GIR_EraseRootFromParent_Done,
     /*  667896 */   // Label 10631: @667896
     /*  667896 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667971), // Rule ID 10271 //
     /*  667901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  667918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667969 */     GIR_RootConstrainSelectedInstOperands,
     /*  667970 */     // GIR_Coverage, 10271,
     /*  667970 */     GIR_EraseRootFromParent_Done,
     /*  667971 */   // Label 10632: @667971
     /*  667971 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(668046), // Rule ID 10272 //
     /*  667976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  667993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668044 */     GIR_RootConstrainSelectedInstOperands,
     /*  668045 */     // GIR_Coverage, 10272,
     /*  668045 */     GIR_EraseRootFromParent_Done,
     /*  668046 */   // Label 10633: @668046
     /*  668046 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(668121), // Rule ID 10275 //
     /*  668051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668119 */     GIR_RootConstrainSelectedInstOperands,
     /*  668120 */     // GIR_Coverage, 10275,
     /*  668120 */     GIR_EraseRootFromParent_Done,
     /*  668121 */   // Label 10634: @668121
     /*  668121 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668196), // Rule ID 10276 //
     /*  668126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668194 */     GIR_RootConstrainSelectedInstOperands,
     /*  668195 */     // GIR_Coverage, 10276,
     /*  668195 */     GIR_EraseRootFromParent_Done,
     /*  668196 */   // Label 10635: @668196
     /*  668196 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668271), // Rule ID 10279 //
     /*  668201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668269 */     GIR_RootConstrainSelectedInstOperands,
     /*  668270 */     // GIR_Coverage, 10279,
     /*  668270 */     GIR_EraseRootFromParent_Done,
     /*  668271 */   // Label 10636: @668271
     /*  668271 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668346), // Rule ID 10280 //
     /*  668276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668344 */     GIR_RootConstrainSelectedInstOperands,
     /*  668345 */     // GIR_Coverage, 10280,
     /*  668345 */     GIR_EraseRootFromParent_Done,
     /*  668346 */   // Label 10637: @668346
     /*  668346 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668421), // Rule ID 10283 //
     /*  668351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668419 */     GIR_RootConstrainSelectedInstOperands,
     /*  668420 */     // GIR_Coverage, 10283,
     /*  668420 */     GIR_EraseRootFromParent_Done,
     /*  668421 */   // Label 10638: @668421
     /*  668421 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668496), // Rule ID 10284 //
     /*  668426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  668437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  668440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  668443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668494 */     GIR_RootConstrainSelectedInstOperands,
     /*  668495 */     // GIR_Coverage, 10284,
     /*  668495 */     GIR_EraseRootFromParent_Done,
     /*  668496 */   // Label 10639: @668496
     /*  668496 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668571), // Rule ID 10287 //
     /*  668501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668569 */     GIR_RootConstrainSelectedInstOperands,
     /*  668570 */     // GIR_Coverage, 10287,
     /*  668570 */     GIR_EraseRootFromParent_Done,
     /*  668571 */   // Label 10640: @668571
     /*  668571 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668646), // Rule ID 10288 //
     /*  668576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  668625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668644 */     GIR_RootConstrainSelectedInstOperands,
     /*  668645 */     // GIR_Coverage, 10288,
     /*  668645 */     GIR_EraseRootFromParent_Done,
     /*  668646 */   // Label 10641: @668646
     /*  668646 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668721), // Rule ID 10291 //
     /*  668651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668719 */     GIR_RootConstrainSelectedInstOperands,
     /*  668720 */     // GIR_Coverage, 10291,
     /*  668720 */     GIR_EraseRootFromParent_Done,
     /*  668721 */   // Label 10642: @668721
     /*  668721 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668796), // Rule ID 10292 //
     /*  668726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668794 */     GIR_RootConstrainSelectedInstOperands,
     /*  668795 */     // GIR_Coverage, 10292,
     /*  668795 */     GIR_EraseRootFromParent_Done,
     /*  668796 */   // Label 10643: @668796
     /*  668796 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668871), // Rule ID 10295 //
     /*  668801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668869 */     GIR_RootConstrainSelectedInstOperands,
     /*  668870 */     // GIR_Coverage, 10295,
     /*  668870 */     GIR_EraseRootFromParent_Done,
     /*  668871 */   // Label 10644: @668871
     /*  668871 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668946), // Rule ID 10296 //
     /*  668876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11353:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  668925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668944 */     GIR_RootConstrainSelectedInstOperands,
     /*  668945 */     // GIR_Coverage, 10296,
     /*  668945 */     GIR_EraseRootFromParent_Done,
     /*  668946 */   // Label 10645: @668946
     /*  668946 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(669021), // Rule ID 10299 //
     /*  668951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  668962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  668965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  668968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669019 */     GIR_RootConstrainSelectedInstOperands,
     /*  669020 */     // GIR_Coverage, 10299,
     /*  669020 */     GIR_EraseRootFromParent_Done,
     /*  669021 */   // Label 10646: @669021
     /*  669021 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(669096), // Rule ID 10300 //
     /*  669026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11353:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  669075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669094 */     GIR_RootConstrainSelectedInstOperands,
     /*  669095 */     // GIR_Coverage, 10300,
     /*  669095 */     GIR_EraseRootFromParent_Done,
     /*  669096 */   // Label 10647: @669096
     /*  669096 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669171), // Rule ID 10303 //
     /*  669101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669169 */     GIR_RootConstrainSelectedInstOperands,
     /*  669170 */     // GIR_Coverage, 10303,
     /*  669170 */     GIR_EraseRootFromParent_Done,
     /*  669171 */   // Label 10648: @669171
     /*  669171 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669246), // Rule ID 10304 //
     /*  669176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11353:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  669225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669244 */     GIR_RootConstrainSelectedInstOperands,
     /*  669245 */     // GIR_Coverage, 10304,
     /*  669245 */     GIR_EraseRootFromParent_Done,
     /*  669246 */   // Label 10649: @669246
     /*  669246 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669321), // Rule ID 10307 //
     /*  669251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669319 */     GIR_RootConstrainSelectedInstOperands,
     /*  669320 */     // GIR_Coverage, 10307,
     /*  669320 */     GIR_EraseRootFromParent_Done,
     /*  669321 */   // Label 10650: @669321
     /*  669321 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669396), // Rule ID 10308 //
     /*  669326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  669375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669394 */     GIR_RootConstrainSelectedInstOperands,
     /*  669395 */     // GIR_Coverage, 10308,
     /*  669395 */     GIR_EraseRootFromParent_Done,
     /*  669396 */   // Label 10651: @669396
     /*  669396 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669471), // Rule ID 10311 //
     /*  669401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669469 */     GIR_RootConstrainSelectedInstOperands,
     /*  669470 */     // GIR_Coverage, 10311,
     /*  669470 */     GIR_EraseRootFromParent_Done,
     /*  669471 */   // Label 10652: @669471
     /*  669471 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669546), // Rule ID 10312 //
     /*  669476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669544 */     GIR_RootConstrainSelectedInstOperands,
     /*  669545 */     // GIR_Coverage, 10312,
     /*  669545 */     GIR_EraseRootFromParent_Done,
     /*  669546 */   // Label 10653: @669546
     /*  669546 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669621), // Rule ID 10315 //
     /*  669551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669619 */     GIR_RootConstrainSelectedInstOperands,
     /*  669620 */     // GIR_Coverage, 10315,
     /*  669620 */     GIR_EraseRootFromParent_Done,
     /*  669621 */   // Label 10654: @669621
     /*  669621 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669696), // Rule ID 10316 //
     /*  669626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669694 */     GIR_RootConstrainSelectedInstOperands,
     /*  669695 */     // GIR_Coverage, 10316,
     /*  669695 */     GIR_EraseRootFromParent_Done,
     /*  669696 */   // Label 10655: @669696
     /*  669696 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669771), // Rule ID 10319 //
     /*  669701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669769 */     GIR_RootConstrainSelectedInstOperands,
     /*  669770 */     // GIR_Coverage, 10319,
     /*  669770 */     GIR_EraseRootFromParent_Done,
     /*  669771 */   // Label 10656: @669771
     /*  669771 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669846), // Rule ID 10320 //
     /*  669776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  669825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669844 */     GIR_RootConstrainSelectedInstOperands,
     /*  669845 */     // GIR_Coverage, 10320,
     /*  669845 */     GIR_EraseRootFromParent_Done,
     /*  669846 */   // Label 10657: @669846
     /*  669846 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669921), // Rule ID 10323 //
     /*  669851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669897 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669919 */     GIR_RootConstrainSelectedInstOperands,
     /*  669920 */     // GIR_Coverage, 10323,
     /*  669920 */     GIR_EraseRootFromParent_Done,
     /*  669921 */   // Label 10658: @669921
     /*  669921 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669996), // Rule ID 10324 //
     /*  669926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  669975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669994 */     GIR_RootConstrainSelectedInstOperands,
     /*  669995 */     // GIR_Coverage, 10324,
     /*  669995 */     GIR_EraseRootFromParent_Done,
     /*  669996 */   // Label 10659: @669996
     /*  669996 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(670071), // Rule ID 10327 //
     /*  670001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670069 */     GIR_RootConstrainSelectedInstOperands,
     /*  670070 */     // GIR_Coverage, 10327,
     /*  670070 */     GIR_EraseRootFromParent_Done,
     /*  670071 */   // Label 10660: @670071
     /*  670071 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670146), // Rule ID 10328 //
     /*  670076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  670125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670144 */     GIR_RootConstrainSelectedInstOperands,
     /*  670145 */     // GIR_Coverage, 10328,
     /*  670145 */     GIR_EraseRootFromParent_Done,
     /*  670146 */   // Label 10661: @670146
     /*  670146 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670221), // Rule ID 10331 //
     /*  670151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670219 */     GIR_RootConstrainSelectedInstOperands,
     /*  670220 */     // GIR_Coverage, 10331,
     /*  670220 */     GIR_EraseRootFromParent_Done,
     /*  670221 */   // Label 10662: @670221
     /*  670221 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670296), // Rule ID 10332 //
     /*  670226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670294 */     GIR_RootConstrainSelectedInstOperands,
     /*  670295 */     // GIR_Coverage, 10332,
     /*  670295 */     GIR_EraseRootFromParent_Done,
     /*  670296 */   // Label 10663: @670296
     /*  670296 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670371), // Rule ID 10335 //
     /*  670301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670369 */     GIR_RootConstrainSelectedInstOperands,
     /*  670370 */     // GIR_Coverage, 10335,
     /*  670370 */     GIR_EraseRootFromParent_Done,
     /*  670371 */   // Label 10664: @670371
     /*  670371 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670446), // Rule ID 10336 //
     /*  670376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  670387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  670390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  670393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  670396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670444 */     GIR_RootConstrainSelectedInstOperands,
     /*  670445 */     // GIR_Coverage, 10336,
     /*  670445 */     GIR_EraseRootFromParent_Done,
     /*  670446 */   // Label 10665: @670446
     /*  670446 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670521), // Rule ID 10339 //
     /*  670451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670519 */     GIR_RootConstrainSelectedInstOperands,
     /*  670520 */     // GIR_Coverage, 10339,
     /*  670520 */     GIR_EraseRootFromParent_Done,
     /*  670521 */   // Label 10666: @670521
     /*  670521 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670596), // Rule ID 10340 //
     /*  670526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670594 */     GIR_RootConstrainSelectedInstOperands,
     /*  670595 */     // GIR_Coverage, 10340,
     /*  670595 */     GIR_EraseRootFromParent_Done,
     /*  670596 */   // Label 10667: @670596
     /*  670596 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670671), // Rule ID 10343 //
     /*  670601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670669 */     GIR_RootConstrainSelectedInstOperands,
     /*  670670 */     // GIR_Coverage, 10343,
     /*  670670 */     GIR_EraseRootFromParent_Done,
     /*  670671 */   // Label 10668: @670671
     /*  670671 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670746), // Rule ID 10344 //
     /*  670676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  670725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670744 */     GIR_RootConstrainSelectedInstOperands,
     /*  670745 */     // GIR_Coverage, 10344,
     /*  670745 */     GIR_EraseRootFromParent_Done,
     /*  670746 */   // Label 10669: @670746
     /*  670746 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670821), // Rule ID 10347 //
     /*  670751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670819 */     GIR_RootConstrainSelectedInstOperands,
     /*  670820 */     // GIR_Coverage, 10347,
     /*  670820 */     GIR_EraseRootFromParent_Done,
     /*  670821 */   // Label 10670: @670821
     /*  670821 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670896), // Rule ID 10348 //
     /*  670826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670894 */     GIR_RootConstrainSelectedInstOperands,
     /*  670895 */     // GIR_Coverage, 10348,
     /*  670895 */     GIR_EraseRootFromParent_Done,
     /*  670896 */   // Label 10671: @670896
     /*  670896 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670971), // Rule ID 10351 //
     /*  670901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  670912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  670915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  670918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  670921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  670950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670969 */     GIR_RootConstrainSelectedInstOperands,
     /*  670970 */     // GIR_Coverage, 10351,
     /*  670970 */     GIR_EraseRootFromParent_Done,
     /*  670971 */   // Label 10672: @670971
     /*  670971 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(671046), // Rule ID 10352 //
     /*  670976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  670987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  670990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  670993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  670996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671044 */     GIR_RootConstrainSelectedInstOperands,
     /*  671045 */     // GIR_Coverage, 10352,
     /*  671045 */     GIR_EraseRootFromParent_Done,
     /*  671046 */   // Label 10673: @671046
     /*  671046 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(671121), // Rule ID 10355 //
     /*  671051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671119 */     GIR_RootConstrainSelectedInstOperands,
     /*  671120 */     // GIR_Coverage, 10355,
     /*  671120 */     GIR_EraseRootFromParent_Done,
     /*  671121 */   // Label 10674: @671121
     /*  671121 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671196), // Rule ID 10356 //
     /*  671126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671194 */     GIR_RootConstrainSelectedInstOperands,
     /*  671195 */     // GIR_Coverage, 10356,
     /*  671195 */     GIR_EraseRootFromParent_Done,
     /*  671196 */   // Label 10675: @671196
     /*  671196 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671271), // Rule ID 10359 //
     /*  671201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671269 */     GIR_RootConstrainSelectedInstOperands,
     /*  671270 */     // GIR_Coverage, 10359,
     /*  671270 */     GIR_EraseRootFromParent_Done,
     /*  671271 */   // Label 10676: @671271
     /*  671271 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671346), // Rule ID 10360 //
     /*  671276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671344 */     GIR_RootConstrainSelectedInstOperands,
     /*  671345 */     // GIR_Coverage, 10360,
     /*  671345 */     GIR_EraseRootFromParent_Done,
     /*  671346 */   // Label 10677: @671346
     /*  671346 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671421), // Rule ID 10363 //
     /*  671351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671419 */     GIR_RootConstrainSelectedInstOperands,
     /*  671420 */     // GIR_Coverage, 10363,
     /*  671420 */     GIR_EraseRootFromParent_Done,
     /*  671421 */   // Label 10678: @671421
     /*  671421 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671496), // Rule ID 10364 //
     /*  671426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671494 */     GIR_RootConstrainSelectedInstOperands,
     /*  671495 */     // GIR_Coverage, 10364,
     /*  671495 */     GIR_EraseRootFromParent_Done,
     /*  671496 */   // Label 10679: @671496
     /*  671496 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671571), // Rule ID 10367 //
     /*  671501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671569 */     GIR_RootConstrainSelectedInstOperands,
     /*  671570 */     // GIR_Coverage, 10367,
     /*  671570 */     GIR_EraseRootFromParent_Done,
     /*  671571 */   // Label 10680: @671571
     /*  671571 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671646), // Rule ID 10368 //
     /*  671576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671644 */     GIR_RootConstrainSelectedInstOperands,
     /*  671645 */     // GIR_Coverage, 10368,
     /*  671645 */     GIR_EraseRootFromParent_Done,
     /*  671646 */   // Label 10681: @671646
     /*  671646 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671721), // Rule ID 10371 //
     /*  671651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671719 */     GIR_RootConstrainSelectedInstOperands,
     /*  671720 */     // GIR_Coverage, 10371,
     /*  671720 */     GIR_EraseRootFromParent_Done,
     /*  671721 */   // Label 10682: @671721
     /*  671721 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671796), // Rule ID 10372 //
     /*  671726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671794 */     GIR_RootConstrainSelectedInstOperands,
     /*  671795 */     // GIR_Coverage, 10372,
     /*  671795 */     GIR_EraseRootFromParent_Done,
     /*  671796 */   // Label 10683: @671796
     /*  671796 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671871), // Rule ID 10375 //
     /*  671801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671869 */     GIR_RootConstrainSelectedInstOperands,
     /*  671870 */     // GIR_Coverage, 10375,
     /*  671870 */     GIR_EraseRootFromParent_Done,
     /*  671871 */   // Label 10684: @671871
     /*  671871 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671946), // Rule ID 10376 //
     /*  671876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671944 */     GIR_RootConstrainSelectedInstOperands,
     /*  671945 */     // GIR_Coverage, 10376,
     /*  671945 */     GIR_EraseRootFromParent_Done,
     /*  671946 */   // Label 10685: @671946
     /*  671946 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(672021), // Rule ID 10379 //
     /*  671951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  671962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  671965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  671968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  671971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672019 */     GIR_RootConstrainSelectedInstOperands,
     /*  672020 */     // GIR_Coverage, 10379,
     /*  672020 */     GIR_EraseRootFromParent_Done,
     /*  672021 */   // Label 10686: @672021
     /*  672021 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(672096), // Rule ID 10380 //
     /*  672026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672094 */     GIR_RootConstrainSelectedInstOperands,
     /*  672095 */     // GIR_Coverage, 10380,
     /*  672095 */     GIR_EraseRootFromParent_Done,
     /*  672096 */   // Label 10687: @672096
     /*  672096 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672171), // Rule ID 10383 //
     /*  672101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672169 */     GIR_RootConstrainSelectedInstOperands,
     /*  672170 */     // GIR_Coverage, 10383,
     /*  672170 */     GIR_EraseRootFromParent_Done,
     /*  672171 */   // Label 10688: @672171
     /*  672171 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672246), // Rule ID 10384 //
     /*  672176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  672225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672244 */     GIR_RootConstrainSelectedInstOperands,
     /*  672245 */     // GIR_Coverage, 10384,
     /*  672245 */     GIR_EraseRootFromParent_Done,
     /*  672246 */   // Label 10689: @672246
     /*  672246 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672321), // Rule ID 10387 //
     /*  672251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672319 */     GIR_RootConstrainSelectedInstOperands,
     /*  672320 */     // GIR_Coverage, 10387,
     /*  672320 */     GIR_EraseRootFromParent_Done,
     /*  672321 */   // Label 10690: @672321
     /*  672321 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672396), // Rule ID 10388 //
     /*  672326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  672375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672394 */     GIR_RootConstrainSelectedInstOperands,
     /*  672395 */     // GIR_Coverage, 10388,
     /*  672395 */     GIR_EraseRootFromParent_Done,
     /*  672396 */   // Label 10691: @672396
     /*  672396 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672471), // Rule ID 10391 //
     /*  672401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672469 */     GIR_RootConstrainSelectedInstOperands,
     /*  672470 */     // GIR_Coverage, 10391,
     /*  672470 */     GIR_EraseRootFromParent_Done,
     /*  672471 */   // Label 10692: @672471
     /*  672471 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672546), // Rule ID 10392 //
     /*  672476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  672525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672544 */     GIR_RootConstrainSelectedInstOperands,
     /*  672545 */     // GIR_Coverage, 10392,
     /*  672545 */     GIR_EraseRootFromParent_Done,
     /*  672546 */   // Label 10693: @672546
     /*  672546 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672621), // Rule ID 10395 //
     /*  672551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  672600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672619 */     GIR_RootConstrainSelectedInstOperands,
     /*  672620 */     // GIR_Coverage, 10395,
     /*  672620 */     GIR_EraseRootFromParent_Done,
     /*  672621 */   // Label 10694: @672621
     /*  672621 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672696), // Rule ID 10396 //
     /*  672626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  672675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672694 */     GIR_RootConstrainSelectedInstOperands,
     /*  672695 */     // GIR_Coverage, 10396,
     /*  672695 */     GIR_EraseRootFromParent_Done,
     /*  672696 */   // Label 10695: @672696
     /*  672696 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672771), // Rule ID 10399 //
     /*  672701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  672750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672769 */     GIR_RootConstrainSelectedInstOperands,
     /*  672770 */     // GIR_Coverage, 10399,
     /*  672770 */     GIR_EraseRootFromParent_Done,
     /*  672771 */   // Label 10696: @672771
     /*  672771 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672846), // Rule ID 10400 //
     /*  672776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  672825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672844 */     GIR_RootConstrainSelectedInstOperands,
     /*  672845 */     // GIR_Coverage, 10400,
     /*  672845 */     GIR_EraseRootFromParent_Done,
     /*  672846 */   // Label 10697: @672846
     /*  672846 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672921), // Rule ID 10403 //
     /*  672851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672919 */     GIR_RootConstrainSelectedInstOperands,
     /*  672920 */     // GIR_Coverage, 10403,
     /*  672920 */     GIR_EraseRootFromParent_Done,
     /*  672921 */   // Label 10698: @672921
     /*  672921 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672996), // Rule ID 10404 //
     /*  672926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672994 */     GIR_RootConstrainSelectedInstOperands,
     /*  672995 */     // GIR_Coverage, 10404,
     /*  672995 */     GIR_EraseRootFromParent_Done,
     /*  672996 */   // Label 10699: @672996
     /*  672996 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(673071), // Rule ID 10407 //
     /*  673001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673069 */     GIR_RootConstrainSelectedInstOperands,
     /*  673070 */     // GIR_Coverage, 10407,
     /*  673070 */     GIR_EraseRootFromParent_Done,
     /*  673071 */   // Label 10700: @673071
     /*  673071 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673146), // Rule ID 10408 //
     /*  673076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  673125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673144 */     GIR_RootConstrainSelectedInstOperands,
     /*  673145 */     // GIR_Coverage, 10408,
     /*  673145 */     GIR_EraseRootFromParent_Done,
     /*  673146 */   // Label 10701: @673146
     /*  673146 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673221), // Rule ID 10411 //
     /*  673151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673219 */     GIR_RootConstrainSelectedInstOperands,
     /*  673220 */     // GIR_Coverage, 10411,
     /*  673220 */     GIR_EraseRootFromParent_Done,
     /*  673221 */   // Label 10702: @673221
     /*  673221 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673296), // Rule ID 10412 //
     /*  673226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673294 */     GIR_RootConstrainSelectedInstOperands,
     /*  673295 */     // GIR_Coverage, 10412,
     /*  673295 */     GIR_EraseRootFromParent_Done,
     /*  673296 */   // Label 10703: @673296
     /*  673296 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673371), // Rule ID 10415 //
     /*  673301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673369 */     GIR_RootConstrainSelectedInstOperands,
     /*  673370 */     // GIR_Coverage, 10415,
     /*  673370 */     GIR_EraseRootFromParent_Done,
     /*  673371 */   // Label 10704: @673371
     /*  673371 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673446), // Rule ID 10416 //
     /*  673376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  673425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673444 */     GIR_RootConstrainSelectedInstOperands,
     /*  673445 */     // GIR_Coverage, 10416,
     /*  673445 */     GIR_EraseRootFromParent_Done,
     /*  673446 */   // Label 10705: @673446
     /*  673446 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673521), // Rule ID 10419 //
     /*  673451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673519 */     GIR_RootConstrainSelectedInstOperands,
     /*  673520 */     // GIR_Coverage, 10419,
     /*  673520 */     GIR_EraseRootFromParent_Done,
     /*  673521 */   // Label 10706: @673521
     /*  673521 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673596), // Rule ID 10420 //
     /*  673526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673594 */     GIR_RootConstrainSelectedInstOperands,
     /*  673595 */     // GIR_Coverage, 10420,
     /*  673595 */     GIR_EraseRootFromParent_Done,
     /*  673596 */   // Label 10707: @673596
     /*  673596 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673671), // Rule ID 10423 //
     /*  673601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673669 */     GIR_RootConstrainSelectedInstOperands,
     /*  673670 */     // GIR_Coverage, 10423,
     /*  673670 */     GIR_EraseRootFromParent_Done,
     /*  673671 */   // Label 10708: @673671
     /*  673671 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673746), // Rule ID 10424 //
     /*  673676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673744 */     GIR_RootConstrainSelectedInstOperands,
     /*  673745 */     // GIR_Coverage, 10424,
     /*  673745 */     GIR_EraseRootFromParent_Done,
     /*  673746 */   // Label 10709: @673746
     /*  673746 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673821), // Rule ID 10427 //
     /*  673751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673819 */     GIR_RootConstrainSelectedInstOperands,
     /*  673820 */     // GIR_Coverage, 10427,
     /*  673820 */     GIR_EraseRootFromParent_Done,
     /*  673821 */   // Label 10710: @673821
     /*  673821 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673896), // Rule ID 10428 //
     /*  673826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673894 */     GIR_RootConstrainSelectedInstOperands,
     /*  673895 */     // GIR_Coverage, 10428,
     /*  673895 */     GIR_EraseRootFromParent_Done,
     /*  673896 */   // Label 10711: @673896
     /*  673896 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673971), // Rule ID 10431 //
     /*  673901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  673912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  673915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  673918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  673950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673969 */     GIR_RootConstrainSelectedInstOperands,
     /*  673970 */     // GIR_Coverage, 10431,
     /*  673970 */     GIR_EraseRootFromParent_Done,
     /*  673971 */   // Label 10712: @673971
     /*  673971 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(674046), // Rule ID 10432 //
     /*  673976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  673987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  673990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  673993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  674025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674044 */     GIR_RootConstrainSelectedInstOperands,
     /*  674045 */     // GIR_Coverage, 10432,
     /*  674045 */     GIR_EraseRootFromParent_Done,
     /*  674046 */   // Label 10713: @674046
     /*  674046 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(674121), // Rule ID 10435 //
     /*  674051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674119 */     GIR_RootConstrainSelectedInstOperands,
     /*  674120 */     // GIR_Coverage, 10435,
     /*  674120 */     GIR_EraseRootFromParent_Done,
     /*  674121 */   // Label 10714: @674121
     /*  674121 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674196), // Rule ID 10436 //
     /*  674126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674194 */     GIR_RootConstrainSelectedInstOperands,
     /*  674195 */     // GIR_Coverage, 10436,
     /*  674195 */     GIR_EraseRootFromParent_Done,
     /*  674196 */   // Label 10715: @674196
     /*  674196 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674271), // Rule ID 10439 //
     /*  674201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674269 */     GIR_RootConstrainSelectedInstOperands,
     /*  674270 */     // GIR_Coverage, 10439,
     /*  674270 */     GIR_EraseRootFromParent_Done,
     /*  674271 */   // Label 10716: @674271
     /*  674271 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674346), // Rule ID 10440 //
     /*  674276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674344 */     GIR_RootConstrainSelectedInstOperands,
     /*  674345 */     // GIR_Coverage, 10440,
     /*  674345 */     GIR_EraseRootFromParent_Done,
     /*  674346 */   // Label 10717: @674346
     /*  674346 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674421), // Rule ID 10443 //
     /*  674351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674419 */     GIR_RootConstrainSelectedInstOperands,
     /*  674420 */     // GIR_Coverage, 10443,
     /*  674420 */     GIR_EraseRootFromParent_Done,
     /*  674421 */   // Label 10718: @674421
     /*  674421 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674496), // Rule ID 10444 //
     /*  674426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674494 */     GIR_RootConstrainSelectedInstOperands,
     /*  674495 */     // GIR_Coverage, 10444,
     /*  674495 */     GIR_EraseRootFromParent_Done,
     /*  674496 */   // Label 10719: @674496
     /*  674496 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674571), // Rule ID 10447 //
     /*  674501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674569 */     GIR_RootConstrainSelectedInstOperands,
     /*  674570 */     // GIR_Coverage, 10447,
     /*  674570 */     GIR_EraseRootFromParent_Done,
     /*  674571 */   // Label 10720: @674571
     /*  674571 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674646), // Rule ID 10448 //
     /*  674576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674644 */     GIR_RootConstrainSelectedInstOperands,
     /*  674645 */     // GIR_Coverage, 10448,
     /*  674645 */     GIR_EraseRootFromParent_Done,
     /*  674646 */   // Label 10721: @674646
     /*  674646 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674721), // Rule ID 10451 //
     /*  674651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674719 */     GIR_RootConstrainSelectedInstOperands,
     /*  674720 */     // GIR_Coverage, 10451,
     /*  674720 */     GIR_EraseRootFromParent_Done,
     /*  674721 */   // Label 10722: @674721
     /*  674721 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674796), // Rule ID 10452 //
     /*  674726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674794 */     GIR_RootConstrainSelectedInstOperands,
     /*  674795 */     // GIR_Coverage, 10452,
     /*  674795 */     GIR_EraseRootFromParent_Done,
     /*  674796 */   // Label 10723: @674796
     /*  674796 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674871), // Rule ID 10455 //
     /*  674801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674869 */     GIR_RootConstrainSelectedInstOperands,
     /*  674870 */     // GIR_Coverage, 10455,
     /*  674870 */     GIR_EraseRootFromParent_Done,
     /*  674871 */   // Label 10724: @674871
     /*  674871 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674946), // Rule ID 10456 //
     /*  674876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674944 */     GIR_RootConstrainSelectedInstOperands,
     /*  674945 */     // GIR_Coverage, 10456,
     /*  674945 */     GIR_EraseRootFromParent_Done,
     /*  674946 */   // Label 10725: @674946
     /*  674946 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(675021), // Rule ID 10459 //
     /*  674951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  674962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  674965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  674968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675019 */     GIR_RootConstrainSelectedInstOperands,
     /*  675020 */     // GIR_Coverage, 10459,
     /*  675020 */     GIR_EraseRootFromParent_Done,
     /*  675021 */   // Label 10726: @675021
     /*  675021 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(675096), // Rule ID 10460 //
     /*  675026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675094 */     GIR_RootConstrainSelectedInstOperands,
     /*  675095 */     // GIR_Coverage, 10460,
     /*  675095 */     GIR_EraseRootFromParent_Done,
     /*  675096 */   // Label 10727: @675096
     /*  675096 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675171), // Rule ID 10463 //
     /*  675101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675169 */     GIR_RootConstrainSelectedInstOperands,
     /*  675170 */     // GIR_Coverage, 10463,
     /*  675170 */     GIR_EraseRootFromParent_Done,
     /*  675171 */   // Label 10728: @675171
     /*  675171 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675246), // Rule ID 10464 //
     /*  675176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675244 */     GIR_RootConstrainSelectedInstOperands,
     /*  675245 */     // GIR_Coverage, 10464,
     /*  675245 */     GIR_EraseRootFromParent_Done,
     /*  675246 */   // Label 10729: @675246
     /*  675246 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675321), // Rule ID 10467 //
     /*  675251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675319 */     GIR_RootConstrainSelectedInstOperands,
     /*  675320 */     // GIR_Coverage, 10467,
     /*  675320 */     GIR_EraseRootFromParent_Done,
     /*  675321 */   // Label 10730: @675321
     /*  675321 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675396), // Rule ID 10468 //
     /*  675326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675394 */     GIR_RootConstrainSelectedInstOperands,
     /*  675395 */     // GIR_Coverage, 10468,
     /*  675395 */     GIR_EraseRootFromParent_Done,
     /*  675396 */   // Label 10731: @675396
     /*  675396 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675471), // Rule ID 10471 //
     /*  675401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675469 */     GIR_RootConstrainSelectedInstOperands,
     /*  675470 */     // GIR_Coverage, 10471,
     /*  675470 */     GIR_EraseRootFromParent_Done,
     /*  675471 */   // Label 10732: @675471
     /*  675471 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675546), // Rule ID 10472 //
     /*  675476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  675525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675544 */     GIR_RootConstrainSelectedInstOperands,
     /*  675545 */     // GIR_Coverage, 10472,
     /*  675545 */     GIR_EraseRootFromParent_Done,
     /*  675546 */   // Label 10733: @675546
     /*  675546 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675621), // Rule ID 10475 //
     /*  675551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675619 */     GIR_RootConstrainSelectedInstOperands,
     /*  675620 */     // GIR_Coverage, 10475,
     /*  675620 */     GIR_EraseRootFromParent_Done,
     /*  675621 */   // Label 10734: @675621
     /*  675621 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675696), // Rule ID 10476 //
     /*  675626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  675675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675694 */     GIR_RootConstrainSelectedInstOperands,
     /*  675695 */     // GIR_Coverage, 10476,
     /*  675695 */     GIR_EraseRootFromParent_Done,
     /*  675696 */   // Label 10735: @675696
     /*  675696 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675771), // Rule ID 10479 //
     /*  675701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675769 */     GIR_RootConstrainSelectedInstOperands,
     /*  675770 */     // GIR_Coverage, 10479,
     /*  675770 */     GIR_EraseRootFromParent_Done,
     /*  675771 */   // Label 10736: @675771
     /*  675771 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675846), // Rule ID 10480 //
     /*  675776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  675825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675844 */     GIR_RootConstrainSelectedInstOperands,
     /*  675845 */     // GIR_Coverage, 10480,
     /*  675845 */     GIR_EraseRootFromParent_Done,
     /*  675846 */   // Label 10737: @675846
     /*  675846 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675921), // Rule ID 10483 //
     /*  675851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675897 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  675900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675919 */     GIR_RootConstrainSelectedInstOperands,
     /*  675920 */     // GIR_Coverage, 10483,
     /*  675920 */     GIR_EraseRootFromParent_Done,
     /*  675921 */   // Label 10738: @675921
     /*  675921 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675996), // Rule ID 10484 //
     /*  675926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  675975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675994 */     GIR_RootConstrainSelectedInstOperands,
     /*  675995 */     // GIR_Coverage, 10484,
     /*  675995 */     GIR_EraseRootFromParent_Done,
     /*  675996 */   // Label 10739: @675996
     /*  675996 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(676071), // Rule ID 10487 //
     /*  676001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676047 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676069 */     GIR_RootConstrainSelectedInstOperands,
     /*  676070 */     // GIR_Coverage, 10487,
     /*  676070 */     GIR_EraseRootFromParent_Done,
     /*  676071 */   // Label 10740: @676071
     /*  676071 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676146), // Rule ID 10488 //
     /*  676076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676144 */     GIR_RootConstrainSelectedInstOperands,
     /*  676145 */     // GIR_Coverage, 10488,
     /*  676145 */     GIR_EraseRootFromParent_Done,
     /*  676146 */   // Label 10741: @676146
     /*  676146 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676221), // Rule ID 10491 //
     /*  676151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676219 */     GIR_RootConstrainSelectedInstOperands,
     /*  676220 */     // GIR_Coverage, 10491,
     /*  676220 */     GIR_EraseRootFromParent_Done,
     /*  676221 */   // Label 10742: @676221
     /*  676221 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676296), // Rule ID 10492 //
     /*  676226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676294 */     GIR_RootConstrainSelectedInstOperands,
     /*  676295 */     // GIR_Coverage, 10492,
     /*  676295 */     GIR_EraseRootFromParent_Done,
     /*  676296 */   // Label 10743: @676296
     /*  676296 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676371), // Rule ID 10495 //
     /*  676301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676369 */     GIR_RootConstrainSelectedInstOperands,
     /*  676370 */     // GIR_Coverage, 10495,
     /*  676370 */     GIR_EraseRootFromParent_Done,
     /*  676371 */   // Label 10744: @676371
     /*  676371 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676446), // Rule ID 10496 //
     /*  676376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  676425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676444 */     GIR_RootConstrainSelectedInstOperands,
     /*  676445 */     // GIR_Coverage, 10496,
     /*  676445 */     GIR_EraseRootFromParent_Done,
     /*  676446 */   // Label 10745: @676446
     /*  676446 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676521), // Rule ID 10499 //
     /*  676451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676519 */     GIR_RootConstrainSelectedInstOperands,
     /*  676520 */     // GIR_Coverage, 10499,
     /*  676520 */     GIR_EraseRootFromParent_Done,
     /*  676521 */   // Label 10746: @676521
     /*  676521 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676596), // Rule ID 10500 //
     /*  676526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676594 */     GIR_RootConstrainSelectedInstOperands,
     /*  676595 */     // GIR_Coverage, 10500,
     /*  676595 */     GIR_EraseRootFromParent_Done,
     /*  676596 */   // Label 10747: @676596
     /*  676596 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676671), // Rule ID 10503 //
     /*  676601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676669 */     GIR_RootConstrainSelectedInstOperands,
     /*  676670 */     // GIR_Coverage, 10503,
     /*  676670 */     GIR_EraseRootFromParent_Done,
     /*  676671 */   // Label 10748: @676671
     /*  676671 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676746), // Rule ID 10504 //
     /*  676676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  676725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676744 */     GIR_RootConstrainSelectedInstOperands,
     /*  676745 */     // GIR_Coverage, 10504,
     /*  676745 */     GIR_EraseRootFromParent_Done,
     /*  676746 */   // Label 10749: @676746
     /*  676746 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676821), // Rule ID 10507 //
     /*  676751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676797 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676819 */     GIR_RootConstrainSelectedInstOperands,
     /*  676820 */     // GIR_Coverage, 10507,
     /*  676820 */     GIR_EraseRootFromParent_Done,
     /*  676821 */   // Label 10750: @676821
     /*  676821 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676896), // Rule ID 10508 //
     /*  676826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676894 */     GIR_RootConstrainSelectedInstOperands,
     /*  676895 */     // GIR_Coverage, 10508,
     /*  676895 */     GIR_EraseRootFromParent_Done,
     /*  676896 */   // Label 10751: @676896
     /*  676896 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676971), // Rule ID 10511 //
     /*  676901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  676912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  676915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  676918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  676921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676969 */     GIR_RootConstrainSelectedInstOperands,
     /*  676970 */     // GIR_Coverage, 10511,
     /*  676970 */     GIR_EraseRootFromParent_Done,
     /*  676971 */   // Label 10752: @676971
     /*  676971 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(677046), // Rule ID 10512 //
     /*  676976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  676987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  676990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  676993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  676996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677044 */     GIR_RootConstrainSelectedInstOperands,
     /*  677045 */     // GIR_Coverage, 10512,
     /*  677045 */     GIR_EraseRootFromParent_Done,
     /*  677046 */   // Label 10753: @677046
     /*  677046 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(677121), // Rule ID 10515 //
     /*  677051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677119 */     GIR_RootConstrainSelectedInstOperands,
     /*  677120 */     // GIR_Coverage, 10515,
     /*  677120 */     GIR_EraseRootFromParent_Done,
     /*  677121 */   // Label 10754: @677121
     /*  677121 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677196), // Rule ID 10516 //
     /*  677126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677194 */     GIR_RootConstrainSelectedInstOperands,
     /*  677195 */     // GIR_Coverage, 10516,
     /*  677195 */     GIR_EraseRootFromParent_Done,
     /*  677196 */   // Label 10755: @677196
     /*  677196 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677271), // Rule ID 10519 //
     /*  677201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677269 */     GIR_RootConstrainSelectedInstOperands,
     /*  677270 */     // GIR_Coverage, 10519,
     /*  677270 */     GIR_EraseRootFromParent_Done,
     /*  677271 */   // Label 10756: @677271
     /*  677271 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677346), // Rule ID 10520 //
     /*  677276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  677325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677344 */     GIR_RootConstrainSelectedInstOperands,
     /*  677345 */     // GIR_Coverage, 10520,
     /*  677345 */     GIR_EraseRootFromParent_Done,
     /*  677346 */   // Label 10757: @677346
     /*  677346 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677421), // Rule ID 10523 //
     /*  677351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677419 */     GIR_RootConstrainSelectedInstOperands,
     /*  677420 */     // GIR_Coverage, 10523,
     /*  677420 */     GIR_EraseRootFromParent_Done,
     /*  677421 */   // Label 10758: @677421
     /*  677421 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677496), // Rule ID 10524 //
     /*  677426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677494 */     GIR_RootConstrainSelectedInstOperands,
     /*  677495 */     // GIR_Coverage, 10524,
     /*  677495 */     GIR_EraseRootFromParent_Done,
     /*  677496 */   // Label 10759: @677496
     /*  677496 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677571), // Rule ID 10527 //
     /*  677501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677569 */     GIR_RootConstrainSelectedInstOperands,
     /*  677570 */     // GIR_Coverage, 10527,
     /*  677570 */     GIR_EraseRootFromParent_Done,
     /*  677571 */   // Label 10760: @677571
     /*  677571 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677646), // Rule ID 10528 //
     /*  677576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677644 */     GIR_RootConstrainSelectedInstOperands,
     /*  677645 */     // GIR_Coverage, 10528,
     /*  677645 */     GIR_EraseRootFromParent_Done,
     /*  677646 */   // Label 10761: @677646
     /*  677646 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677721), // Rule ID 10531 //
     /*  677651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677719 */     GIR_RootConstrainSelectedInstOperands,
     /*  677720 */     // GIR_Coverage, 10531,
     /*  677720 */     GIR_EraseRootFromParent_Done,
     /*  677721 */   // Label 10762: @677721
     /*  677721 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677796), // Rule ID 10532 //
     /*  677726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677794 */     GIR_RootConstrainSelectedInstOperands,
     /*  677795 */     // GIR_Coverage, 10532,
     /*  677795 */     GIR_EraseRootFromParent_Done,
     /*  677796 */   // Label 10763: @677796
     /*  677796 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677871), // Rule ID 10535 //
     /*  677801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677869 */     GIR_RootConstrainSelectedInstOperands,
     /*  677870 */     // GIR_Coverage, 10535,
     /*  677870 */     GIR_EraseRootFromParent_Done,
     /*  677871 */   // Label 10764: @677871
     /*  677871 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677946), // Rule ID 10536 //
     /*  677876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677944 */     GIR_RootConstrainSelectedInstOperands,
     /*  677945 */     // GIR_Coverage, 10536,
     /*  677945 */     GIR_EraseRootFromParent_Done,
     /*  677946 */   // Label 10765: @677946
     /*  677946 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(678021), // Rule ID 10539 //
     /*  677951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  677962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  677965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  677968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  677971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678019 */     GIR_RootConstrainSelectedInstOperands,
     /*  678020 */     // GIR_Coverage, 10539,
     /*  678020 */     GIR_EraseRootFromParent_Done,
     /*  678021 */   // Label 10766: @678021
     /*  678021 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(678096), // Rule ID 10540 //
     /*  678026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678094 */     GIR_RootConstrainSelectedInstOperands,
     /*  678095 */     // GIR_Coverage, 10540,
     /*  678095 */     GIR_EraseRootFromParent_Done,
     /*  678096 */   // Label 10767: @678096
     /*  678096 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678171), // Rule ID 10543 //
     /*  678101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678169 */     GIR_RootConstrainSelectedInstOperands,
     /*  678170 */     // GIR_Coverage, 10543,
     /*  678170 */     GIR_EraseRootFromParent_Done,
     /*  678171 */   // Label 10768: @678171
     /*  678171 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678246), // Rule ID 10544 //
     /*  678176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678244 */     GIR_RootConstrainSelectedInstOperands,
     /*  678245 */     // GIR_Coverage, 10544,
     /*  678245 */     GIR_EraseRootFromParent_Done,
     /*  678246 */   // Label 10769: @678246
     /*  678246 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678321), // Rule ID 10547 //
     /*  678251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678319 */     GIR_RootConstrainSelectedInstOperands,
     /*  678320 */     // GIR_Coverage, 10547,
     /*  678320 */     GIR_EraseRootFromParent_Done,
     /*  678321 */   // Label 10770: @678321
     /*  678321 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678396), // Rule ID 10548 //
     /*  678326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678394 */     GIR_RootConstrainSelectedInstOperands,
     /*  678395 */     // GIR_Coverage, 10548,
     /*  678395 */     GIR_EraseRootFromParent_Done,
     /*  678396 */   // Label 10771: @678396
     /*  678396 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678471), // Rule ID 10551 //
     /*  678401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678469 */     GIR_RootConstrainSelectedInstOperands,
     /*  678470 */     // GIR_Coverage, 10551,
     /*  678470 */     GIR_EraseRootFromParent_Done,
     /*  678471 */   // Label 10772: @678471
     /*  678471 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678546), // Rule ID 10552 //
     /*  678476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678544 */     GIR_RootConstrainSelectedInstOperands,
     /*  678545 */     // GIR_Coverage, 10552,
     /*  678545 */     GIR_EraseRootFromParent_Done,
     /*  678546 */   // Label 10773: @678546
     /*  678546 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678621), // Rule ID 10555 //
     /*  678551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678619 */     GIR_RootConstrainSelectedInstOperands,
     /*  678620 */     // GIR_Coverage, 10555,
     /*  678620 */     GIR_EraseRootFromParent_Done,
     /*  678621 */   // Label 10774: @678621
     /*  678621 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678696), // Rule ID 10556 //
     /*  678626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  678675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678694 */     GIR_RootConstrainSelectedInstOperands,
     /*  678695 */     // GIR_Coverage, 10556,
     /*  678695 */     GIR_EraseRootFromParent_Done,
     /*  678696 */   // Label 10775: @678696
     /*  678696 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678771), // Rule ID 10559 //
     /*  678701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678769 */     GIR_RootConstrainSelectedInstOperands,
     /*  678770 */     // GIR_Coverage, 10559,
     /*  678770 */     GIR_EraseRootFromParent_Done,
     /*  678771 */   // Label 10776: @678771
     /*  678771 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678846), // Rule ID 10560 //
     /*  678776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  678825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678844 */     GIR_RootConstrainSelectedInstOperands,
     /*  678845 */     // GIR_Coverage, 10560,
     /*  678845 */     GIR_EraseRootFromParent_Done,
     /*  678846 */   // Label 10777: @678846
     /*  678846 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678921), // Rule ID 10563 //
     /*  678851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678897 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678919 */     GIR_RootConstrainSelectedInstOperands,
     /*  678920 */     // GIR_Coverage, 10563,
     /*  678920 */     GIR_EraseRootFromParent_Done,
     /*  678921 */   // Label 10778: @678921
     /*  678921 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678996), // Rule ID 10564 //
     /*  678926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  678975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678994 */     GIR_RootConstrainSelectedInstOperands,
     /*  678995 */     // GIR_Coverage, 10564,
     /*  678995 */     GIR_EraseRootFromParent_Done,
     /*  678996 */   // Label 10779: @678996
     /*  678996 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(679071), // Rule ID 10567 //
     /*  679001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679069 */     GIR_RootConstrainSelectedInstOperands,
     /*  679070 */     // GIR_Coverage, 10567,
     /*  679070 */     GIR_EraseRootFromParent_Done,
     /*  679071 */   // Label 10780: @679071
     /*  679071 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679146), // Rule ID 10568 //
     /*  679076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  679125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679144 */     GIR_RootConstrainSelectedInstOperands,
     /*  679145 */     // GIR_Coverage, 10568,
     /*  679145 */     GIR_EraseRootFromParent_Done,
     /*  679146 */   // Label 10781: @679146
     /*  679146 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679221), // Rule ID 10571 //
     /*  679151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679219 */     GIR_RootConstrainSelectedInstOperands,
     /*  679220 */     // GIR_Coverage, 10571,
     /*  679220 */     GIR_EraseRootFromParent_Done,
     /*  679221 */   // Label 10782: @679221
     /*  679221 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679296), // Rule ID 10572 //
     /*  679226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  679275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679294 */     GIR_RootConstrainSelectedInstOperands,
     /*  679295 */     // GIR_Coverage, 10572,
     /*  679295 */     GIR_EraseRootFromParent_Done,
     /*  679296 */   // Label 10783: @679296
     /*  679296 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679371), // Rule ID 10575 //
     /*  679301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679369 */     GIR_RootConstrainSelectedInstOperands,
     /*  679370 */     // GIR_Coverage, 10575,
     /*  679370 */     GIR_EraseRootFromParent_Done,
     /*  679371 */   // Label 10784: @679371
     /*  679371 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679446), // Rule ID 10576 //
     /*  679376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679444 */     GIR_RootConstrainSelectedInstOperands,
     /*  679445 */     // GIR_Coverage, 10576,
     /*  679445 */     GIR_EraseRootFromParent_Done,
     /*  679446 */   // Label 10785: @679446
     /*  679446 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679521), // Rule ID 10579 //
     /*  679451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679519 */     GIR_RootConstrainSelectedInstOperands,
     /*  679520 */     // GIR_Coverage, 10579,
     /*  679520 */     GIR_EraseRootFromParent_Done,
     /*  679521 */   // Label 10786: @679521
     /*  679521 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679596), // Rule ID 10580 //
     /*  679526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679594 */     GIR_RootConstrainSelectedInstOperands,
     /*  679595 */     // GIR_Coverage, 10580,
     /*  679595 */     GIR_EraseRootFromParent_Done,
     /*  679596 */   // Label 10787: @679596
     /*  679596 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679671), // Rule ID 10583 //
     /*  679601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679669 */     GIR_RootConstrainSelectedInstOperands,
     /*  679670 */     // GIR_Coverage, 10583,
     /*  679670 */     GIR_EraseRootFromParent_Done,
     /*  679671 */   // Label 10788: @679671
     /*  679671 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679746), // Rule ID 10584 //
     /*  679676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  679725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679744 */     GIR_RootConstrainSelectedInstOperands,
     /*  679745 */     // GIR_Coverage, 10584,
     /*  679745 */     GIR_EraseRootFromParent_Done,
     /*  679746 */   // Label 10789: @679746
     /*  679746 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679821), // Rule ID 10587 //
     /*  679751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679819 */     GIR_RootConstrainSelectedInstOperands,
     /*  679820 */     // GIR_Coverage, 10587,
     /*  679820 */     GIR_EraseRootFromParent_Done,
     /*  679821 */   // Label 10790: @679821
     /*  679821 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679896), // Rule ID 10588 //
     /*  679826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679894 */     GIR_RootConstrainSelectedInstOperands,
     /*  679895 */     // GIR_Coverage, 10588,
     /*  679895 */     GIR_EraseRootFromParent_Done,
     /*  679896 */   // Label 10791: @679896
     /*  679896 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679971), // Rule ID 10591 //
     /*  679901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  679912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  679915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  679918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  679950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679969 */     GIR_RootConstrainSelectedInstOperands,
     /*  679970 */     // GIR_Coverage, 10591,
     /*  679970 */     GIR_EraseRootFromParent_Done,
     /*  679971 */   // Label 10792: @679971
     /*  679971 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(680046), // Rule ID 10592 //
     /*  679976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  679987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  679990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  679993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  680025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680044 */     GIR_RootConstrainSelectedInstOperands,
     /*  680045 */     // GIR_Coverage, 10592,
     /*  680045 */     GIR_EraseRootFromParent_Done,
     /*  680046 */   // Label 10793: @680046
     /*  680046 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(680121), // Rule ID 10595 //
     /*  680051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680119 */     GIR_RootConstrainSelectedInstOperands,
     /*  680120 */     // GIR_Coverage, 10595,
     /*  680120 */     GIR_EraseRootFromParent_Done,
     /*  680121 */   // Label 10794: @680121
     /*  680121 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680196), // Rule ID 10596 //
     /*  680126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680194 */     GIR_RootConstrainSelectedInstOperands,
     /*  680195 */     // GIR_Coverage, 10596,
     /*  680195 */     GIR_EraseRootFromParent_Done,
     /*  680196 */   // Label 10795: @680196
     /*  680196 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680271), // Rule ID 10599 //
     /*  680201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680269 */     GIR_RootConstrainSelectedInstOperands,
     /*  680270 */     // GIR_Coverage, 10599,
     /*  680270 */     GIR_EraseRootFromParent_Done,
     /*  680271 */   // Label 10796: @680271
     /*  680271 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680346), // Rule ID 10600 //
     /*  680276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680344 */     GIR_RootConstrainSelectedInstOperands,
     /*  680345 */     // GIR_Coverage, 10600,
     /*  680345 */     GIR_EraseRootFromParent_Done,
     /*  680346 */   // Label 10797: @680346
     /*  680346 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680421), // Rule ID 10603 //
     /*  680351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680419 */     GIR_RootConstrainSelectedInstOperands,
     /*  680420 */     // GIR_Coverage, 10603,
     /*  680420 */     GIR_EraseRootFromParent_Done,
     /*  680421 */   // Label 10798: @680421
     /*  680421 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680496), // Rule ID 10604 //
     /*  680426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680494 */     GIR_RootConstrainSelectedInstOperands,
     /*  680495 */     // GIR_Coverage, 10604,
     /*  680495 */     GIR_EraseRootFromParent_Done,
     /*  680496 */   // Label 10799: @680496
     /*  680496 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680571), // Rule ID 10607 //
     /*  680501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680569 */     GIR_RootConstrainSelectedInstOperands,
     /*  680570 */     // GIR_Coverage, 10607,
     /*  680570 */     GIR_EraseRootFromParent_Done,
     /*  680571 */   // Label 10800: @680571
     /*  680571 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680646), // Rule ID 10608 //
     /*  680576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  680625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680644 */     GIR_RootConstrainSelectedInstOperands,
     /*  680645 */     // GIR_Coverage, 10608,
     /*  680645 */     GIR_EraseRootFromParent_Done,
     /*  680646 */   // Label 10801: @680646
     /*  680646 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680721), // Rule ID 10611 //
     /*  680651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680719 */     GIR_RootConstrainSelectedInstOperands,
     /*  680720 */     // GIR_Coverage, 10611,
     /*  680720 */     GIR_EraseRootFromParent_Done,
     /*  680721 */   // Label 10802: @680721
     /*  680721 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680796), // Rule ID 10612 //
     /*  680726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680794 */     GIR_RootConstrainSelectedInstOperands,
     /*  680795 */     // GIR_Coverage, 10612,
     /*  680795 */     GIR_EraseRootFromParent_Done,
     /*  680796 */   // Label 10803: @680796
     /*  680796 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680871), // Rule ID 10615 //
     /*  680801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680847 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680869 */     GIR_RootConstrainSelectedInstOperands,
     /*  680870 */     // GIR_Coverage, 10615,
     /*  680870 */     GIR_EraseRootFromParent_Done,
     /*  680871 */   // Label 10804: @680871
     /*  680871 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680946), // Rule ID 10616 //
     /*  680876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680944 */     GIR_RootConstrainSelectedInstOperands,
     /*  680945 */     // GIR_Coverage, 10616,
     /*  680945 */     GIR_EraseRootFromParent_Done,
     /*  680946 */   // Label 10805: @680946
     /*  680946 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(681021), // Rule ID 10619 //
     /*  680951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  680962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  680965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  680968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680997 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681019 */     GIR_RootConstrainSelectedInstOperands,
     /*  681020 */     // GIR_Coverage, 10619,
     /*  681020 */     GIR_EraseRootFromParent_Done,
     /*  681021 */   // Label 10806: @681021
     /*  681021 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681096), // Rule ID 10620 //
     /*  681026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681094 */     GIR_RootConstrainSelectedInstOperands,
     /*  681095 */     // GIR_Coverage, 10620,
     /*  681095 */     GIR_EraseRootFromParent_Done,
     /*  681096 */   // Label 10807: @681096
     /*  681096 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681171), // Rule ID 10623 //
     /*  681101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681169 */     GIR_RootConstrainSelectedInstOperands,
     /*  681170 */     // GIR_Coverage, 10623,
     /*  681170 */     GIR_EraseRootFromParent_Done,
     /*  681171 */   // Label 10808: @681171
     /*  681171 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681246), // Rule ID 10624 //
     /*  681176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681244 */     GIR_RootConstrainSelectedInstOperands,
     /*  681245 */     // GIR_Coverage, 10624,
     /*  681245 */     GIR_EraseRootFromParent_Done,
     /*  681246 */   // Label 10809: @681246
     /*  681246 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681321), // Rule ID 10627 //
     /*  681251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681319 */     GIR_RootConstrainSelectedInstOperands,
     /*  681320 */     // GIR_Coverage, 10627,
     /*  681320 */     GIR_EraseRootFromParent_Done,
     /*  681321 */   // Label 10810: @681321
     /*  681321 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681396), // Rule ID 10628 //
     /*  681326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681394 */     GIR_RootConstrainSelectedInstOperands,
     /*  681395 */     // GIR_Coverage, 10628,
     /*  681395 */     GIR_EraseRootFromParent_Done,
     /*  681396 */   // Label 10811: @681396
     /*  681396 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681471), // Rule ID 10631 //
     /*  681401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681447 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681469 */     GIR_RootConstrainSelectedInstOperands,
     /*  681470 */     // GIR_Coverage, 10631,
     /*  681470 */     GIR_EraseRootFromParent_Done,
     /*  681471 */   // Label 10812: @681471
     /*  681471 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681546), // Rule ID 10632 //
     /*  681476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681544 */     GIR_RootConstrainSelectedInstOperands,
     /*  681545 */     // GIR_Coverage, 10632,
     /*  681545 */     GIR_EraseRootFromParent_Done,
     /*  681546 */   // Label 10813: @681546
     /*  681546 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681621), // Rule ID 10635 //
     /*  681551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681619 */     GIR_RootConstrainSelectedInstOperands,
     /*  681620 */     // GIR_Coverage, 10635,
     /*  681620 */     GIR_EraseRootFromParent_Done,
     /*  681621 */   // Label 10814: @681621
     /*  681621 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681696), // Rule ID 10636 //
     /*  681626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  681675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681694 */     GIR_RootConstrainSelectedInstOperands,
     /*  681695 */     // GIR_Coverage, 10636,
     /*  681695 */     GIR_EraseRootFromParent_Done,
     /*  681696 */   // Label 10815: @681696
     /*  681696 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681771), // Rule ID 10639 //
     /*  681701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681769 */     GIR_RootConstrainSelectedInstOperands,
     /*  681770 */     // GIR_Coverage, 10639,
     /*  681770 */     GIR_EraseRootFromParent_Done,
     /*  681771 */   // Label 10816: @681771
     /*  681771 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681846), // Rule ID 10640 //
     /*  681776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681844 */     GIR_RootConstrainSelectedInstOperands,
     /*  681845 */     // GIR_Coverage, 10640,
     /*  681845 */     GIR_EraseRootFromParent_Done,
     /*  681846 */   // Label 10817: @681846
     /*  681846 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681921), // Rule ID 10643 //
     /*  681851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681919 */     GIR_RootConstrainSelectedInstOperands,
     /*  681920 */     // GIR_Coverage, 10643,
     /*  681920 */     GIR_EraseRootFromParent_Done,
     /*  681921 */   // Label 10818: @681921
     /*  681921 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681996), // Rule ID 10644 //
     /*  681926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681994 */     GIR_RootConstrainSelectedInstOperands,
     /*  681995 */     // GIR_Coverage, 10644,
     /*  681995 */     GIR_EraseRootFromParent_Done,
     /*  681996 */   // Label 10819: @681996
     /*  681996 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682071), // Rule ID 10647 //
     /*  682001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682069 */     GIR_RootConstrainSelectedInstOperands,
     /*  682070 */     // GIR_Coverage, 10647,
     /*  682070 */     GIR_EraseRootFromParent_Done,
     /*  682071 */   // Label 10820: @682071
     /*  682071 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682146), // Rule ID 10648 //
     /*  682076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  682125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682144 */     GIR_RootConstrainSelectedInstOperands,
     /*  682145 */     // GIR_Coverage, 10648,
     /*  682145 */     GIR_EraseRootFromParent_Done,
     /*  682146 */   // Label 10821: @682146
     /*  682146 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682221), // Rule ID 10651 //
     /*  682151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682219 */     GIR_RootConstrainSelectedInstOperands,
     /*  682220 */     // GIR_Coverage, 10651,
     /*  682220 */     GIR_EraseRootFromParent_Done,
     /*  682221 */   // Label 10822: @682221
     /*  682221 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682296), // Rule ID 10652 //
     /*  682226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  682275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682294 */     GIR_RootConstrainSelectedInstOperands,
     /*  682295 */     // GIR_Coverage, 10652,
     /*  682295 */     GIR_EraseRootFromParent_Done,
     /*  682296 */   // Label 10823: @682296
     /*  682296 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682371), // Rule ID 10655 //
     /*  682301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682369 */     GIR_RootConstrainSelectedInstOperands,
     /*  682370 */     // GIR_Coverage, 10655,
     /*  682370 */     GIR_EraseRootFromParent_Done,
     /*  682371 */   // Label 10824: @682371
     /*  682371 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682446), // Rule ID 10656 //
     /*  682376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  682425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682444 */     GIR_RootConstrainSelectedInstOperands,
     /*  682445 */     // GIR_Coverage, 10656,
     /*  682445 */     GIR_EraseRootFromParent_Done,
     /*  682446 */   // Label 10825: @682446
     /*  682446 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682521), // Rule ID 10659 //
     /*  682451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682519 */     GIR_RootConstrainSelectedInstOperands,
     /*  682520 */     // GIR_Coverage, 10659,
     /*  682520 */     GIR_EraseRootFromParent_Done,
     /*  682521 */   // Label 10826: @682521
     /*  682521 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682596), // Rule ID 10660 //
     /*  682526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  682575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682594 */     GIR_RootConstrainSelectedInstOperands,
     /*  682595 */     // GIR_Coverage, 10660,
     /*  682595 */     GIR_EraseRootFromParent_Done,
     /*  682596 */   // Label 10827: @682596
     /*  682596 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682671), // Rule ID 10663 //
     /*  682601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  682650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682669 */     GIR_RootConstrainSelectedInstOperands,
     /*  682670 */     // GIR_Coverage, 10663,
     /*  682670 */     GIR_EraseRootFromParent_Done,
     /*  682671 */   // Label 10828: @682671
     /*  682671 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682746), // Rule ID 10664 //
     /*  682676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  682725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682744 */     GIR_RootConstrainSelectedInstOperands,
     /*  682745 */     // GIR_Coverage, 10664,
     /*  682745 */     GIR_EraseRootFromParent_Done,
     /*  682746 */   // Label 10829: @682746
     /*  682746 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682821), // Rule ID 10667 //
     /*  682751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682819 */     GIR_RootConstrainSelectedInstOperands,
     /*  682820 */     // GIR_Coverage, 10667,
     /*  682820 */     GIR_EraseRootFromParent_Done,
     /*  682821 */   // Label 10830: @682821
     /*  682821 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682896), // Rule ID 10668 //
     /*  682826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682894 */     GIR_RootConstrainSelectedInstOperands,
     /*  682895 */     // GIR_Coverage, 10668,
     /*  682895 */     GIR_EraseRootFromParent_Done,
     /*  682896 */   // Label 10831: @682896
     /*  682896 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682971), // Rule ID 10671 //
     /*  682901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  682912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  682915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  682918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  682921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  682950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682969 */     GIR_RootConstrainSelectedInstOperands,
     /*  682970 */     // GIR_Coverage, 10671,
     /*  682970 */     GIR_EraseRootFromParent_Done,
     /*  682971 */   // Label 10832: @682971
     /*  682971 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683046), // Rule ID 10672 //
     /*  682976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  682987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  682990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  682993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  682996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  683025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683044 */     GIR_RootConstrainSelectedInstOperands,
     /*  683045 */     // GIR_Coverage, 10672,
     /*  683045 */     GIR_EraseRootFromParent_Done,
     /*  683046 */   // Label 10833: @683046
     /*  683046 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683121), // Rule ID 10675 //
     /*  683051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683119 */     GIR_RootConstrainSelectedInstOperands,
     /*  683120 */     // GIR_Coverage, 10675,
     /*  683120 */     GIR_EraseRootFromParent_Done,
     /*  683121 */   // Label 10834: @683121
     /*  683121 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683196), // Rule ID 10676 //
     /*  683126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683194 */     GIR_RootConstrainSelectedInstOperands,
     /*  683195 */     // GIR_Coverage, 10676,
     /*  683195 */     GIR_EraseRootFromParent_Done,
     /*  683196 */   // Label 10835: @683196
     /*  683196 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683271), // Rule ID 10679 //
     /*  683201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683269 */     GIR_RootConstrainSelectedInstOperands,
     /*  683270 */     // GIR_Coverage, 10679,
     /*  683270 */     GIR_EraseRootFromParent_Done,
     /*  683271 */   // Label 10836: @683271
     /*  683271 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683346), // Rule ID 10680 //
     /*  683276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  683325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683344 */     GIR_RootConstrainSelectedInstOperands,
     /*  683345 */     // GIR_Coverage, 10680,
     /*  683345 */     GIR_EraseRootFromParent_Done,
     /*  683346 */   // Label 10837: @683346
     /*  683346 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683421), // Rule ID 10683 //
     /*  683351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683419 */     GIR_RootConstrainSelectedInstOperands,
     /*  683420 */     // GIR_Coverage, 10683,
     /*  683420 */     GIR_EraseRootFromParent_Done,
     /*  683421 */   // Label 10838: @683421
     /*  683421 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683496), // Rule ID 10684 //
     /*  683426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683494 */     GIR_RootConstrainSelectedInstOperands,
     /*  683495 */     // GIR_Coverage, 10684,
     /*  683495 */     GIR_EraseRootFromParent_Done,
     /*  683496 */   // Label 10839: @683496
     /*  683496 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683571), // Rule ID 10687 //
     /*  683501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683569 */     GIR_RootConstrainSelectedInstOperands,
     /*  683570 */     // GIR_Coverage, 10687,
     /*  683570 */     GIR_EraseRootFromParent_Done,
     /*  683571 */   // Label 10840: @683571
     /*  683571 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683646), // Rule ID 10688 //
     /*  683576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683644 */     GIR_RootConstrainSelectedInstOperands,
     /*  683645 */     // GIR_Coverage, 10688,
     /*  683645 */     GIR_EraseRootFromParent_Done,
     /*  683646 */   // Label 10841: @683646
     /*  683646 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683721), // Rule ID 10691 //
     /*  683651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683719 */     GIR_RootConstrainSelectedInstOperands,
     /*  683720 */     // GIR_Coverage, 10691,
     /*  683720 */     GIR_EraseRootFromParent_Done,
     /*  683721 */   // Label 10842: @683721
     /*  683721 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683796), // Rule ID 10692 //
     /*  683726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683794 */     GIR_RootConstrainSelectedInstOperands,
     /*  683795 */     // GIR_Coverage, 10692,
     /*  683795 */     GIR_EraseRootFromParent_Done,
     /*  683796 */   // Label 10843: @683796
     /*  683796 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683871), // Rule ID 10695 //
     /*  683801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  683815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  683818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  683821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683869 */     GIR_RootConstrainSelectedInstOperands,
     /*  683870 */     // GIR_Coverage, 10695,
     /*  683870 */     GIR_EraseRootFromParent_Done,
     /*  683871 */   // Label 10844: @683871
     /*  683871 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683946), // Rule ID 10696 //
     /*  683876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  683890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  683893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  683896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  683925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683944 */     GIR_RootConstrainSelectedInstOperands,
     /*  683945 */     // GIR_Coverage, 10696,
     /*  683945 */     GIR_EraseRootFromParent_Done,
     /*  683946 */   // Label 10845: @683946
     /*  683946 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684021), // Rule ID 10699 //
     /*  683951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  683962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  683965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  683968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  683971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684019 */     GIR_RootConstrainSelectedInstOperands,
     /*  684020 */     // GIR_Coverage, 10699,
     /*  684020 */     GIR_EraseRootFromParent_Done,
     /*  684021 */   // Label 10846: @684021
     /*  684021 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684096), // Rule ID 10700 //
     /*  684026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684094 */     GIR_RootConstrainSelectedInstOperands,
     /*  684095 */     // GIR_Coverage, 10700,
     /*  684095 */     GIR_EraseRootFromParent_Done,
     /*  684096 */   // Label 10847: @684096
     /*  684096 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684171), // Rule ID 10703 //
     /*  684101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684169 */     GIR_RootConstrainSelectedInstOperands,
     /*  684170 */     // GIR_Coverage, 10703,
     /*  684170 */     GIR_EraseRootFromParent_Done,
     /*  684171 */   // Label 10848: @684171
     /*  684171 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684246), // Rule ID 10704 //
     /*  684176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684244 */     GIR_RootConstrainSelectedInstOperands,
     /*  684245 */     // GIR_Coverage, 10704,
     /*  684245 */     GIR_EraseRootFromParent_Done,
     /*  684246 */   // Label 10849: @684246
     /*  684246 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684321), // Rule ID 10707 //
     /*  684251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684297 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684319 */     GIR_RootConstrainSelectedInstOperands,
     /*  684320 */     // GIR_Coverage, 10707,
     /*  684320 */     GIR_EraseRootFromParent_Done,
     /*  684321 */   // Label 10850: @684321
     /*  684321 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684396), // Rule ID 10708 //
     /*  684326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684394 */     GIR_RootConstrainSelectedInstOperands,
     /*  684395 */     // GIR_Coverage, 10708,
     /*  684395 */     GIR_EraseRootFromParent_Done,
     /*  684396 */   // Label 10851: @684396
     /*  684396 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684471), // Rule ID 10711 //
     /*  684401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684469 */     GIR_RootConstrainSelectedInstOperands,
     /*  684470 */     // GIR_Coverage, 10711,
     /*  684470 */     GIR_EraseRootFromParent_Done,
     /*  684471 */   // Label 10852: @684471
     /*  684471 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684546), // Rule ID 10712 //
     /*  684476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684544 */     GIR_RootConstrainSelectedInstOperands,
     /*  684545 */     // GIR_Coverage, 10712,
     /*  684545 */     GIR_EraseRootFromParent_Done,
     /*  684546 */   // Label 10853: @684546
     /*  684546 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684621), // Rule ID 10715 //
     /*  684551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684619 */     GIR_RootConstrainSelectedInstOperands,
     /*  684620 */     // GIR_Coverage, 10715,
     /*  684620 */     GIR_EraseRootFromParent_Done,
     /*  684621 */   // Label 10854: @684621
     /*  684621 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684696), // Rule ID 10716 //
     /*  684626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684694 */     GIR_RootConstrainSelectedInstOperands,
     /*  684695 */     // GIR_Coverage, 10716,
     /*  684695 */     GIR_EraseRootFromParent_Done,
     /*  684696 */   // Label 10855: @684696
     /*  684696 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684771), // Rule ID 10719 //
     /*  684701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684769 */     GIR_RootConstrainSelectedInstOperands,
     /*  684770 */     // GIR_Coverage, 10719,
     /*  684770 */     GIR_EraseRootFromParent_Done,
     /*  684771 */   // Label 10856: @684771
     /*  684771 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684846), // Rule ID 10720 //
     /*  684776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684844 */     GIR_RootConstrainSelectedInstOperands,
     /*  684845 */     // GIR_Coverage, 10720,
     /*  684845 */     GIR_EraseRootFromParent_Done,
     /*  684846 */   // Label 10857: @684846
     /*  684846 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684921), // Rule ID 10723 //
     /*  684851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  684862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  684865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  684868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  684871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684919 */     GIR_RootConstrainSelectedInstOperands,
     /*  684920 */     // GIR_Coverage, 10723,
     /*  684920 */     GIR_EraseRootFromParent_Done,
     /*  684921 */   // Label 10858: @684921
     /*  684921 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(684996), // Rule ID 10724 //
     /*  684926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  684937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  684940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  684943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  684946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684994 */     GIR_RootConstrainSelectedInstOperands,
     /*  684995 */     // GIR_Coverage, 10724,
     /*  684995 */     GIR_EraseRootFromParent_Done,
     /*  684996 */   // Label 10859: @684996
     /*  684996 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685071), // Rule ID 10727 //
     /*  685001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685069 */     GIR_RootConstrainSelectedInstOperands,
     /*  685070 */     // GIR_Coverage, 10727,
     /*  685070 */     GIR_EraseRootFromParent_Done,
     /*  685071 */   // Label 10860: @685071
     /*  685071 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685146), // Rule ID 10728 //
     /*  685076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685144 */     GIR_RootConstrainSelectedInstOperands,
     /*  685145 */     // GIR_Coverage, 10728,
     /*  685145 */     GIR_EraseRootFromParent_Done,
     /*  685146 */   // Label 10861: @685146
     /*  685146 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685221), // Rule ID 10731 //
     /*  685151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685219 */     GIR_RootConstrainSelectedInstOperands,
     /*  685220 */     // GIR_Coverage, 10731,
     /*  685220 */     GIR_EraseRootFromParent_Done,
     /*  685221 */   // Label 10862: @685221
     /*  685221 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685296), // Rule ID 10732 //
     /*  685226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685294 */     GIR_RootConstrainSelectedInstOperands,
     /*  685295 */     // GIR_Coverage, 10732,
     /*  685295 */     GIR_EraseRootFromParent_Done,
     /*  685296 */   // Label 10863: @685296
     /*  685296 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685371), // Rule ID 10735 //
     /*  685301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685369 */     GIR_RootConstrainSelectedInstOperands,
     /*  685370 */     // GIR_Coverage, 10735,
     /*  685370 */     GIR_EraseRootFromParent_Done,
     /*  685371 */   // Label 10864: @685371
     /*  685371 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685446), // Rule ID 10736 //
     /*  685376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  685425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685444 */     GIR_RootConstrainSelectedInstOperands,
     /*  685445 */     // GIR_Coverage, 10736,
     /*  685445 */     GIR_EraseRootFromParent_Done,
     /*  685446 */   // Label 10865: @685446
     /*  685446 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685521), // Rule ID 10739 //
     /*  685451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685519 */     GIR_RootConstrainSelectedInstOperands,
     /*  685520 */     // GIR_Coverage, 10739,
     /*  685520 */     GIR_EraseRootFromParent_Done,
     /*  685521 */   // Label 10866: @685521
     /*  685521 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685596), // Rule ID 10740 //
     /*  685526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  685575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685594 */     GIR_RootConstrainSelectedInstOperands,
     /*  685595 */     // GIR_Coverage, 10740,
     /*  685595 */     GIR_EraseRootFromParent_Done,
     /*  685596 */   // Label 10867: @685596
     /*  685596 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685671), // Rule ID 10743 //
     /*  685601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685669 */     GIR_RootConstrainSelectedInstOperands,
     /*  685670 */     // GIR_Coverage, 10743,
     /*  685670 */     GIR_EraseRootFromParent_Done,
     /*  685671 */   // Label 10868: @685671
     /*  685671 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685746), // Rule ID 10744 //
     /*  685676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  685725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685744 */     GIR_RootConstrainSelectedInstOperands,
     /*  685745 */     // GIR_Coverage, 10744,
     /*  685745 */     GIR_EraseRootFromParent_Done,
     /*  685746 */   // Label 10869: @685746
     /*  685746 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685821), // Rule ID 10747 //
     /*  685751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  685762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  685765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  685768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  685800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685819 */     GIR_RootConstrainSelectedInstOperands,
     /*  685820 */     // GIR_Coverage, 10747,
     /*  685820 */     GIR_EraseRootFromParent_Done,
     /*  685821 */   // Label 10870: @685821
     /*  685821 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685896), // Rule ID 10748 //
     /*  685826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  685837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  685840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  685843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  685875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685894 */     GIR_RootConstrainSelectedInstOperands,
     /*  685895 */     // GIR_Coverage, 10748,
     /*  685895 */     GIR_EraseRootFromParent_Done,
     /*  685896 */   // Label 10871: @685896
     /*  685896 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(685971), // Rule ID 10751 //
     /*  685901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  685912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  685915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  685918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  685950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685969 */     GIR_RootConstrainSelectedInstOperands,
     /*  685970 */     // GIR_Coverage, 10751,
     /*  685970 */     GIR_EraseRootFromParent_Done,
     /*  685971 */   // Label 10872: @685971
     /*  685971 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686046), // Rule ID 10752 //
     /*  685976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  685987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  685990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  685993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686044 */     GIR_RootConstrainSelectedInstOperands,
     /*  686045 */     // GIR_Coverage, 10752,
     /*  686045 */     GIR_EraseRootFromParent_Done,
     /*  686046 */   // Label 10873: @686046
     /*  686046 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686121), // Rule ID 10755 //
     /*  686051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686119 */     GIR_RootConstrainSelectedInstOperands,
     /*  686120 */     // GIR_Coverage, 10755,
     /*  686120 */     GIR_EraseRootFromParent_Done,
     /*  686121 */   // Label 10874: @686121
     /*  686121 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686196), // Rule ID 10756 //
     /*  686126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686194 */     GIR_RootConstrainSelectedInstOperands,
     /*  686195 */     // GIR_Coverage, 10756,
     /*  686195 */     GIR_EraseRootFromParent_Done,
     /*  686196 */   // Label 10875: @686196
     /*  686196 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686271), // Rule ID 10759 //
     /*  686201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686269 */     GIR_RootConstrainSelectedInstOperands,
     /*  686270 */     // GIR_Coverage, 10759,
     /*  686270 */     GIR_EraseRootFromParent_Done,
     /*  686271 */   // Label 10876: @686271
     /*  686271 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686346), // Rule ID 10760 //
     /*  686276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  686325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686344 */     GIR_RootConstrainSelectedInstOperands,
     /*  686345 */     // GIR_Coverage, 10760,
     /*  686345 */     GIR_EraseRootFromParent_Done,
     /*  686346 */   // Label 10877: @686346
     /*  686346 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686421), // Rule ID 10763 //
     /*  686351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686419 */     GIR_RootConstrainSelectedInstOperands,
     /*  686420 */     // GIR_Coverage, 10763,
     /*  686420 */     GIR_EraseRootFromParent_Done,
     /*  686421 */   // Label 10878: @686421
     /*  686421 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686496), // Rule ID 10764 //
     /*  686426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686494 */     GIR_RootConstrainSelectedInstOperands,
     /*  686495 */     // GIR_Coverage, 10764,
     /*  686495 */     GIR_EraseRootFromParent_Done,
     /*  686496 */   // Label 10879: @686496
     /*  686496 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686571), // Rule ID 10767 //
     /*  686501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686569 */     GIR_RootConstrainSelectedInstOperands,
     /*  686570 */     // GIR_Coverage, 10767,
     /*  686570 */     GIR_EraseRootFromParent_Done,
     /*  686571 */   // Label 10880: @686571
     /*  686571 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686646), // Rule ID 10768 //
     /*  686576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  686625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686644 */     GIR_RootConstrainSelectedInstOperands,
     /*  686645 */     // GIR_Coverage, 10768,
     /*  686645 */     GIR_EraseRootFromParent_Done,
     /*  686646 */   // Label 10881: @686646
     /*  686646 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686721), // Rule ID 10771 //
     /*  686651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686719 */     GIR_RootConstrainSelectedInstOperands,
     /*  686720 */     // GIR_Coverage, 10771,
     /*  686720 */     GIR_EraseRootFromParent_Done,
     /*  686721 */   // Label 10882: @686721
     /*  686721 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686796), // Rule ID 10772 //
     /*  686726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686794 */     GIR_RootConstrainSelectedInstOperands,
     /*  686795 */     // GIR_Coverage, 10772,
     /*  686795 */     GIR_EraseRootFromParent_Done,
     /*  686796 */   // Label 10883: @686796
     /*  686796 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686871), // Rule ID 10775 //
     /*  686801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  686812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  686815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  686818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686869 */     GIR_RootConstrainSelectedInstOperands,
     /*  686870 */     // GIR_Coverage, 10775,
     /*  686870 */     GIR_EraseRootFromParent_Done,
     /*  686871 */   // Label 10884: @686871
     /*  686871 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686946), // Rule ID 10776 //
     /*  686876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  686887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  686890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  686893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686944 */     GIR_RootConstrainSelectedInstOperands,
     /*  686945 */     // GIR_Coverage, 10776,
     /*  686945 */     GIR_EraseRootFromParent_Done,
     /*  686946 */   // Label 10885: @686946
     /*  686946 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687021), // Rule ID 10779 //
     /*  686951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  686962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  686965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  686968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687019 */     GIR_RootConstrainSelectedInstOperands,
     /*  687020 */     // GIR_Coverage, 10779,
     /*  687020 */     GIR_EraseRootFromParent_Done,
     /*  687021 */   // Label 10886: @687021
     /*  687021 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687096), // Rule ID 10780 //
     /*  687026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687094 */     GIR_RootConstrainSelectedInstOperands,
     /*  687095 */     // GIR_Coverage, 10780,
     /*  687095 */     GIR_EraseRootFromParent_Done,
     /*  687096 */   // Label 10887: @687096
     /*  687096 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687171), // Rule ID 10783 //
     /*  687101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687169 */     GIR_RootConstrainSelectedInstOperands,
     /*  687170 */     // GIR_Coverage, 10783,
     /*  687170 */     GIR_EraseRootFromParent_Done,
     /*  687171 */   // Label 10888: @687171
     /*  687171 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687246), // Rule ID 10784 //
     /*  687176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  687225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687244 */     GIR_RootConstrainSelectedInstOperands,
     /*  687245 */     // GIR_Coverage, 10784,
     /*  687245 */     GIR_EraseRootFromParent_Done,
     /*  687246 */   // Label 10889: @687246
     /*  687246 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687321), // Rule ID 10787 //
     /*  687251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687319 */     GIR_RootConstrainSelectedInstOperands,
     /*  687320 */     // GIR_Coverage, 10787,
     /*  687320 */     GIR_EraseRootFromParent_Done,
     /*  687321 */   // Label 10890: @687321
     /*  687321 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687396), // Rule ID 10788 //
     /*  687326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687394 */     GIR_RootConstrainSelectedInstOperands,
     /*  687395 */     // GIR_Coverage, 10788,
     /*  687395 */     GIR_EraseRootFromParent_Done,
     /*  687396 */   // Label 10891: @687396
     /*  687396 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687471), // Rule ID 10791 //
     /*  687401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687447 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687469 */     GIR_RootConstrainSelectedInstOperands,
     /*  687470 */     // GIR_Coverage, 10791,
     /*  687470 */     GIR_EraseRootFromParent_Done,
     /*  687471 */   // Label 10892: @687471
     /*  687471 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687546), // Rule ID 10792 //
     /*  687476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687544 */     GIR_RootConstrainSelectedInstOperands,
     /*  687545 */     // GIR_Coverage, 10792,
     /*  687545 */     GIR_EraseRootFromParent_Done,
     /*  687546 */   // Label 10893: @687546
     /*  687546 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687621), // Rule ID 10795 //
     /*  687551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687619 */     GIR_RootConstrainSelectedInstOperands,
     /*  687620 */     // GIR_Coverage, 10795,
     /*  687620 */     GIR_EraseRootFromParent_Done,
     /*  687621 */   // Label 10894: @687621
     /*  687621 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687696), // Rule ID 10796 //
     /*  687626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687694 */     GIR_RootConstrainSelectedInstOperands,
     /*  687695 */     // GIR_Coverage, 10796,
     /*  687695 */     GIR_EraseRootFromParent_Done,
     /*  687696 */   // Label 10895: @687696
     /*  687696 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687771), // Rule ID 10799 //
     /*  687701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  687712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  687715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  687718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687769 */     GIR_RootConstrainSelectedInstOperands,
     /*  687770 */     // GIR_Coverage, 10799,
     /*  687770 */     GIR_EraseRootFromParent_Done,
     /*  687771 */   // Label 10896: @687771
     /*  687771 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687846), // Rule ID 10800 //
     /*  687776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  687787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  687790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  687793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687844 */     GIR_RootConstrainSelectedInstOperands,
     /*  687845 */     // GIR_Coverage, 10800,
     /*  687845 */     GIR_EraseRootFromParent_Done,
     /*  687846 */   // Label 10897: @687846
     /*  687846 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687921), // Rule ID 10803 //
     /*  687851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  687862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  687865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  687868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687919 */     GIR_RootConstrainSelectedInstOperands,
     /*  687920 */     // GIR_Coverage, 10803,
     /*  687920 */     GIR_EraseRootFromParent_Done,
     /*  687921 */   // Label 10898: @687921
     /*  687921 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(687996), // Rule ID 10804 //
     /*  687926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  687937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  687940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  687943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687994 */     GIR_RootConstrainSelectedInstOperands,
     /*  687995 */     // GIR_Coverage, 10804,
     /*  687995 */     GIR_EraseRootFromParent_Done,
     /*  687996 */   // Label 10899: @687996
     /*  687996 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688071), // Rule ID 10807 //
     /*  688001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688069 */     GIR_RootConstrainSelectedInstOperands,
     /*  688070 */     // GIR_Coverage, 10807,
     /*  688070 */     GIR_EraseRootFromParent_Done,
     /*  688071 */   // Label 10900: @688071
     /*  688071 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688146), // Rule ID 10808 //
     /*  688076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688144 */     GIR_RootConstrainSelectedInstOperands,
     /*  688145 */     // GIR_Coverage, 10808,
     /*  688145 */     GIR_EraseRootFromParent_Done,
     /*  688146 */   // Label 10901: @688146
     /*  688146 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688221), // Rule ID 10811 //
     /*  688151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688219 */     GIR_RootConstrainSelectedInstOperands,
     /*  688220 */     // GIR_Coverage, 10811,
     /*  688220 */     GIR_EraseRootFromParent_Done,
     /*  688221 */   // Label 10902: @688221
     /*  688221 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688296), // Rule ID 10812 //
     /*  688226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688294 */     GIR_RootConstrainSelectedInstOperands,
     /*  688295 */     // GIR_Coverage, 10812,
     /*  688295 */     GIR_EraseRootFromParent_Done,
     /*  688296 */   // Label 10903: @688296
     /*  688296 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688371), // Rule ID 10815 //
     /*  688301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688369 */     GIR_RootConstrainSelectedInstOperands,
     /*  688370 */     // GIR_Coverage, 10815,
     /*  688370 */     GIR_EraseRootFromParent_Done,
     /*  688371 */   // Label 10904: @688371
     /*  688371 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688446), // Rule ID 10816 //
     /*  688376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688444 */     GIR_RootConstrainSelectedInstOperands,
     /*  688445 */     // GIR_Coverage, 10816,
     /*  688445 */     GIR_EraseRootFromParent_Done,
     /*  688446 */   // Label 10905: @688446
     /*  688446 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688521), // Rule ID 10819 //
     /*  688451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688519 */     GIR_RootConstrainSelectedInstOperands,
     /*  688520 */     // GIR_Coverage, 10819,
     /*  688520 */     GIR_EraseRootFromParent_Done,
     /*  688521 */   // Label 10906: @688521
     /*  688521 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688596), // Rule ID 10820 //
     /*  688526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688594 */     GIR_RootConstrainSelectedInstOperands,
     /*  688595 */     // GIR_Coverage, 10820,
     /*  688595 */     GIR_EraseRootFromParent_Done,
     /*  688596 */   // Label 10907: @688596
     /*  688596 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688671), // Rule ID 10823 //
     /*  688601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688669 */     GIR_RootConstrainSelectedInstOperands,
     /*  688670 */     // GIR_Coverage, 10823,
     /*  688670 */     GIR_EraseRootFromParent_Done,
     /*  688671 */   // Label 10908: @688671
     /*  688671 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688746), // Rule ID 10824 //
     /*  688676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  688725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688744 */     GIR_RootConstrainSelectedInstOperands,
     /*  688745 */     // GIR_Coverage, 10824,
     /*  688745 */     GIR_EraseRootFromParent_Done,
     /*  688746 */   // Label 10909: @688746
     /*  688746 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688821), // Rule ID 10827 //
     /*  688751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  688762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  688765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  688768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688819 */     GIR_RootConstrainSelectedInstOperands,
     /*  688820 */     // GIR_Coverage, 10827,
     /*  688820 */     GIR_EraseRootFromParent_Done,
     /*  688821 */   // Label 10910: @688821
     /*  688821 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688896), // Rule ID 10828 //
     /*  688826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  688837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  688840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  688843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  688875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688894 */     GIR_RootConstrainSelectedInstOperands,
     /*  688895 */     // GIR_Coverage, 10828,
     /*  688895 */     GIR_EraseRootFromParent_Done,
     /*  688896 */   // Label 10911: @688896
     /*  688896 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(688971), // Rule ID 10831 //
     /*  688901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  688912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  688915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  688918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  688950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688969 */     GIR_RootConstrainSelectedInstOperands,
     /*  688970 */     // GIR_Coverage, 10831,
     /*  688970 */     GIR_EraseRootFromParent_Done,
     /*  688971 */   // Label 10912: @688971
     /*  688971 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689046), // Rule ID 10832 //
     /*  688976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  688987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  688990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  688993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  689025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689044 */     GIR_RootConstrainSelectedInstOperands,
     /*  689045 */     // GIR_Coverage, 10832,
     /*  689045 */     GIR_EraseRootFromParent_Done,
     /*  689046 */   // Label 10913: @689046
     /*  689046 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689121), // Rule ID 10835 //
     /*  689051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689119 */     GIR_RootConstrainSelectedInstOperands,
     /*  689120 */     // GIR_Coverage, 10835,
     /*  689120 */     GIR_EraseRootFromParent_Done,
     /*  689121 */   // Label 10914: @689121
     /*  689121 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689196), // Rule ID 10836 //
     /*  689126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  689175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689194 */     GIR_RootConstrainSelectedInstOperands,
     /*  689195 */     // GIR_Coverage, 10836,
     /*  689195 */     GIR_EraseRootFromParent_Done,
     /*  689196 */   // Label 10915: @689196
     /*  689196 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689271), // Rule ID 10839 //
     /*  689201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689269 */     GIR_RootConstrainSelectedInstOperands,
     /*  689270 */     // GIR_Coverage, 10839,
     /*  689270 */     GIR_EraseRootFromParent_Done,
     /*  689271 */   // Label 10916: @689271
     /*  689271 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689346), // Rule ID 10840 //
     /*  689276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689344 */     GIR_RootConstrainSelectedInstOperands,
     /*  689345 */     // GIR_Coverage, 10840,
     /*  689345 */     GIR_EraseRootFromParent_Done,
     /*  689346 */   // Label 10917: @689346
     /*  689346 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689421), // Rule ID 10843 //
     /*  689351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689419 */     GIR_RootConstrainSelectedInstOperands,
     /*  689420 */     // GIR_Coverage, 10843,
     /*  689420 */     GIR_EraseRootFromParent_Done,
     /*  689421 */   // Label 10918: @689421
     /*  689421 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689496), // Rule ID 10844 //
     /*  689426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  689437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  689440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  689443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  689446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689494 */     GIR_RootConstrainSelectedInstOperands,
     /*  689495 */     // GIR_Coverage, 10844,
     /*  689495 */     GIR_EraseRootFromParent_Done,
     /*  689496 */   // Label 10919: @689496
     /*  689496 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689571), // Rule ID 10847 //
     /*  689501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689569 */     GIR_RootConstrainSelectedInstOperands,
     /*  689570 */     // GIR_Coverage, 10847,
     /*  689570 */     GIR_EraseRootFromParent_Done,
     /*  689571 */   // Label 10920: @689571
     /*  689571 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689646), // Rule ID 10848 //
     /*  689576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  689625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689644 */     GIR_RootConstrainSelectedInstOperands,
     /*  689645 */     // GIR_Coverage, 10848,
     /*  689645 */     GIR_EraseRootFromParent_Done,
     /*  689646 */   // Label 10921: @689646
     /*  689646 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689721), // Rule ID 10851 //
     /*  689651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689719 */     GIR_RootConstrainSelectedInstOperands,
     /*  689720 */     // GIR_Coverage, 10851,
     /*  689720 */     GIR_EraseRootFromParent_Done,
     /*  689721 */   // Label 10922: @689721
     /*  689721 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689796), // Rule ID 10852 //
     /*  689726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689794 */     GIR_RootConstrainSelectedInstOperands,
     /*  689795 */     // GIR_Coverage, 10852,
     /*  689795 */     GIR_EraseRootFromParent_Done,
     /*  689796 */   // Label 10923: @689796
     /*  689796 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689871), // Rule ID 10855 //
     /*  689801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689869 */     GIR_RootConstrainSelectedInstOperands,
     /*  689870 */     // GIR_Coverage, 10855,
     /*  689870 */     GIR_EraseRootFromParent_Done,
     /*  689871 */   // Label 10924: @689871
     /*  689871 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689946), // Rule ID 10856 //
     /*  689876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  689925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689944 */     GIR_RootConstrainSelectedInstOperands,
     /*  689945 */     // GIR_Coverage, 10856,
     /*  689945 */     GIR_EraseRootFromParent_Done,
     /*  689946 */   // Label 10925: @689946
     /*  689946 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690021), // Rule ID 10859 //
     /*  689951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  689962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  689965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  689968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  689971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690019 */     GIR_RootConstrainSelectedInstOperands,
     /*  690020 */     // GIR_Coverage, 10859,
     /*  690020 */     GIR_EraseRootFromParent_Done,
     /*  690021 */   // Label 10926: @690021
     /*  690021 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690096), // Rule ID 10860 //
     /*  690026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690094 */     GIR_RootConstrainSelectedInstOperands,
     /*  690095 */     // GIR_Coverage, 10860,
     /*  690095 */     GIR_EraseRootFromParent_Done,
     /*  690096 */   // Label 10927: @690096
     /*  690096 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690171), // Rule ID 10863 //
     /*  690101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690169 */     GIR_RootConstrainSelectedInstOperands,
     /*  690170 */     // GIR_Coverage, 10863,
     /*  690170 */     GIR_EraseRootFromParent_Done,
     /*  690171 */   // Label 10928: @690171
     /*  690171 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690246), // Rule ID 10864 //
     /*  690176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690244 */     GIR_RootConstrainSelectedInstOperands,
     /*  690245 */     // GIR_Coverage, 10864,
     /*  690245 */     GIR_EraseRootFromParent_Done,
     /*  690246 */   // Label 10929: @690246
     /*  690246 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690321), // Rule ID 10867 //
     /*  690251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690319 */     GIR_RootConstrainSelectedInstOperands,
     /*  690320 */     // GIR_Coverage, 10867,
     /*  690320 */     GIR_EraseRootFromParent_Done,
     /*  690321 */   // Label 10930: @690321
     /*  690321 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690396), // Rule ID 10868 //
     /*  690326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690394 */     GIR_RootConstrainSelectedInstOperands,
     /*  690395 */     // GIR_Coverage, 10868,
     /*  690395 */     GIR_EraseRootFromParent_Done,
     /*  690396 */   // Label 10931: @690396
     /*  690396 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690471), // Rule ID 10871 //
     /*  690401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690469 */     GIR_RootConstrainSelectedInstOperands,
     /*  690470 */     // GIR_Coverage, 10871,
     /*  690470 */     GIR_EraseRootFromParent_Done,
     /*  690471 */   // Label 10932: @690471
     /*  690471 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690546), // Rule ID 10872 //
     /*  690476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  690525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690544 */     GIR_RootConstrainSelectedInstOperands,
     /*  690545 */     // GIR_Coverage, 10872,
     /*  690545 */     GIR_EraseRootFromParent_Done,
     /*  690546 */   // Label 10933: @690546
     /*  690546 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690621), // Rule ID 10875 //
     /*  690551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  690562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  690565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  690568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  690571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690619 */     GIR_RootConstrainSelectedInstOperands,
     /*  690620 */     // GIR_Coverage, 10875,
     /*  690620 */     GIR_EraseRootFromParent_Done,
     /*  690621 */   // Label 10934: @690621
     /*  690621 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690696), // Rule ID 10876 //
     /*  690626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  690637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  690640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  690643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  690646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690694 */     GIR_RootConstrainSelectedInstOperands,
     /*  690695 */     // GIR_Coverage, 10876,
     /*  690695 */     GIR_EraseRootFromParent_Done,
     /*  690696 */   // Label 10935: @690696
     /*  690696 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690771), // Rule ID 10879 //
     /*  690701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  690712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  690715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  690718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  690721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690769 */     GIR_RootConstrainSelectedInstOperands,
     /*  690770 */     // GIR_Coverage, 10879,
     /*  690770 */     GIR_EraseRootFromParent_Done,
     /*  690771 */   // Label 10936: @690771
     /*  690771 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690846), // Rule ID 10880 //
     /*  690776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  690787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  690790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  690793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  690796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690844 */     GIR_RootConstrainSelectedInstOperands,
     /*  690845 */     // GIR_Coverage, 10880,
     /*  690845 */     GIR_EraseRootFromParent_Done,
     /*  690846 */   // Label 10937: @690846
     /*  690846 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690921), // Rule ID 10883 //
     /*  690851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  690862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  690865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  690868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  690871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690919 */     GIR_RootConstrainSelectedInstOperands,
     /*  690920 */     // GIR_Coverage, 10883,
     /*  690920 */     GIR_EraseRootFromParent_Done,
     /*  690921 */   // Label 10938: @690921
     /*  690921 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(690996), // Rule ID 10884 //
     /*  690926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  690937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  690940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  690943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  690946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690994 */     GIR_RootConstrainSelectedInstOperands,
     /*  690995 */     // GIR_Coverage, 10884,
     /*  690995 */     GIR_EraseRootFromParent_Done,
     /*  690996 */   // Label 10939: @690996
     /*  690996 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691071), // Rule ID 10887 //
     /*  691001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691069 */     GIR_RootConstrainSelectedInstOperands,
     /*  691070 */     // GIR_Coverage, 10887,
     /*  691070 */     GIR_EraseRootFromParent_Done,
     /*  691071 */   // Label 10940: @691071
     /*  691071 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691146), // Rule ID 10888 //
     /*  691076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691144 */     GIR_RootConstrainSelectedInstOperands,
     /*  691145 */     // GIR_Coverage, 10888,
     /*  691145 */     GIR_EraseRootFromParent_Done,
     /*  691146 */   // Label 10941: @691146
     /*  691146 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691221), // Rule ID 10891 //
     /*  691151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691219 */     GIR_RootConstrainSelectedInstOperands,
     /*  691220 */     // GIR_Coverage, 10891,
     /*  691220 */     GIR_EraseRootFromParent_Done,
     /*  691221 */   // Label 10942: @691221
     /*  691221 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691296), // Rule ID 10892 //
     /*  691226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691294 */     GIR_RootConstrainSelectedInstOperands,
     /*  691295 */     // GIR_Coverage, 10892,
     /*  691295 */     GIR_EraseRootFromParent_Done,
     /*  691296 */   // Label 10943: @691296
     /*  691296 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691371), // Rule ID 10895 //
     /*  691301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691369 */     GIR_RootConstrainSelectedInstOperands,
     /*  691370 */     // GIR_Coverage, 10895,
     /*  691370 */     GIR_EraseRootFromParent_Done,
     /*  691371 */   // Label 10944: @691371
     /*  691371 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691446), // Rule ID 10896 //
     /*  691376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691444 */     GIR_RootConstrainSelectedInstOperands,
     /*  691445 */     // GIR_Coverage, 10896,
     /*  691445 */     GIR_EraseRootFromParent_Done,
     /*  691446 */   // Label 10945: @691446
     /*  691446 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691521), // Rule ID 10899 //
     /*  691451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691519 */     GIR_RootConstrainSelectedInstOperands,
     /*  691520 */     // GIR_Coverage, 10899,
     /*  691520 */     GIR_EraseRootFromParent_Done,
     /*  691521 */   // Label 10946: @691521
     /*  691521 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691596), // Rule ID 10900 //
     /*  691526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  691537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  691540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  691543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  691546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691594 */     GIR_RootConstrainSelectedInstOperands,
     /*  691595 */     // GIR_Coverage, 10900,
     /*  691595 */     GIR_EraseRootFromParent_Done,
     /*  691596 */   // Label 10947: @691596
     /*  691596 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691671), // Rule ID 10903 //
     /*  691601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  691612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  691615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  691618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  691621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691669 */     GIR_RootConstrainSelectedInstOperands,
     /*  691670 */     // GIR_Coverage, 10903,
     /*  691670 */     GIR_EraseRootFromParent_Done,
     /*  691671 */   // Label 10948: @691671
     /*  691671 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691746), // Rule ID 10904 //
     /*  691676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  691687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  691690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  691693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  691696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  691725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691744 */     GIR_RootConstrainSelectedInstOperands,
     /*  691745 */     // GIR_Coverage, 10904,
     /*  691745 */     GIR_EraseRootFromParent_Done,
     /*  691746 */   // Label 10949: @691746
     /*  691746 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691821), // Rule ID 10907 //
     /*  691751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691819 */     GIR_RootConstrainSelectedInstOperands,
     /*  691820 */     // GIR_Coverage, 10907,
     /*  691820 */     GIR_EraseRootFromParent_Done,
     /*  691821 */   // Label 10950: @691821
     /*  691821 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691896), // Rule ID 10908 //
     /*  691826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691894 */     GIR_RootConstrainSelectedInstOperands,
     /*  691895 */     // GIR_Coverage, 10908,
     /*  691895 */     GIR_EraseRootFromParent_Done,
     /*  691896 */   // Label 10951: @691896
     /*  691896 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(691971), // Rule ID 10911 //
     /*  691901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  691912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  691915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  691918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  691921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  691950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691969 */     GIR_RootConstrainSelectedInstOperands,
     /*  691970 */     // GIR_Coverage, 10911,
     /*  691970 */     GIR_EraseRootFromParent_Done,
     /*  691971 */   // Label 10952: @691971
     /*  691971 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692046), // Rule ID 10912 //
     /*  691976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  691987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  691990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  691993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  691996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  692025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692044 */     GIR_RootConstrainSelectedInstOperands,
     /*  692045 */     // GIR_Coverage, 10912,
     /*  692045 */     GIR_EraseRootFromParent_Done,
     /*  692046 */   // Label 10953: @692046
     /*  692046 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692121), // Rule ID 10915 //
     /*  692051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692119 */     GIR_RootConstrainSelectedInstOperands,
     /*  692120 */     // GIR_Coverage, 10915,
     /*  692120 */     GIR_EraseRootFromParent_Done,
     /*  692121 */   // Label 10954: @692121
     /*  692121 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692196), // Rule ID 10916 //
     /*  692126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  692137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  692140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  692143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  692146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  692175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692194 */     GIR_RootConstrainSelectedInstOperands,
     /*  692195 */     // GIR_Coverage, 10916,
     /*  692195 */     GIR_EraseRootFromParent_Done,
     /*  692196 */   // Label 10955: @692196
     /*  692196 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692271), // Rule ID 10919 //
     /*  692201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692269 */     GIR_RootConstrainSelectedInstOperands,
     /*  692270 */     // GIR_Coverage, 10919,
     /*  692270 */     GIR_EraseRootFromParent_Done,
     /*  692271 */   // Label 10956: @692271
     /*  692271 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692346), // Rule ID 10920 //
     /*  692276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  692287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  692290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  692293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  692296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  692325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692344 */     GIR_RootConstrainSelectedInstOperands,
     /*  692345 */     // GIR_Coverage, 10920,
     /*  692345 */     GIR_EraseRootFromParent_Done,
     /*  692346 */   // Label 10957: @692346
     /*  692346 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692421), // Rule ID 10923 //
     /*  692351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692419 */     GIR_RootConstrainSelectedInstOperands,
     /*  692420 */     // GIR_Coverage, 10923,
     /*  692420 */     GIR_EraseRootFromParent_Done,
     /*  692421 */   // Label 10958: @692421
     /*  692421 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692496), // Rule ID 10924 //
     /*  692426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  692475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692494 */     GIR_RootConstrainSelectedInstOperands,
     /*  692495 */     // GIR_Coverage, 10924,
     /*  692495 */     GIR_EraseRootFromParent_Done,
     /*  692496 */   // Label 10959: @692496
     /*  692496 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692571), // Rule ID 10927 //
     /*  692501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692569 */     GIR_RootConstrainSelectedInstOperands,
     /*  692570 */     // GIR_Coverage, 10927,
     /*  692570 */     GIR_EraseRootFromParent_Done,
     /*  692571 */   // Label 10960: @692571
     /*  692571 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692646), // Rule ID 10928 //
     /*  692576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692644 */     GIR_RootConstrainSelectedInstOperands,
     /*  692645 */     // GIR_Coverage, 10928,
     /*  692645 */     GIR_EraseRootFromParent_Done,
     /*  692646 */   // Label 10961: @692646
     /*  692646 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692721), // Rule ID 10931 //
     /*  692651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  692700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692719 */     GIR_RootConstrainSelectedInstOperands,
     /*  692720 */     // GIR_Coverage, 10931,
     /*  692720 */     GIR_EraseRootFromParent_Done,
     /*  692721 */   // Label 10962: @692721
     /*  692721 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692796), // Rule ID 10932 //
     /*  692726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  692775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692794 */     GIR_RootConstrainSelectedInstOperands,
     /*  692795 */     // GIR_Coverage, 10932,
     /*  692795 */     GIR_EraseRootFromParent_Done,
     /*  692796 */   // Label 10963: @692796
     /*  692796 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692871), // Rule ID 10935 //
     /*  692801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692869 */     GIR_RootConstrainSelectedInstOperands,
     /*  692870 */     // GIR_Coverage, 10935,
     /*  692870 */     GIR_EraseRootFromParent_Done,
     /*  692871 */   // Label 10964: @692871
     /*  692871 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692946), // Rule ID 10936 //
     /*  692876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  692925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692944 */     GIR_RootConstrainSelectedInstOperands,
     /*  692945 */     // GIR_Coverage, 10936,
     /*  692945 */     GIR_EraseRootFromParent_Done,
     /*  692946 */   // Label 10965: @692946
     /*  692946 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693021), // Rule ID 10939 //
     /*  692951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  692962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  692965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  692968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693019 */     GIR_RootConstrainSelectedInstOperands,
     /*  693020 */     // GIR_Coverage, 10939,
     /*  693020 */     GIR_EraseRootFromParent_Done,
     /*  693021 */   // Label 10966: @693021
     /*  693021 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693096), // Rule ID 10940 //
     /*  693026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693094 */     GIR_RootConstrainSelectedInstOperands,
     /*  693095 */     // GIR_Coverage, 10940,
     /*  693095 */     GIR_EraseRootFromParent_Done,
     /*  693096 */   // Label 10967: @693096
     /*  693096 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693171), // Rule ID 10943 //
     /*  693101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693169 */     GIR_RootConstrainSelectedInstOperands,
     /*  693170 */     // GIR_Coverage, 10943,
     /*  693170 */     GIR_EraseRootFromParent_Done,
     /*  693171 */   // Label 10968: @693171
     /*  693171 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693246), // Rule ID 10944 //
     /*  693176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  693225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693244 */     GIR_RootConstrainSelectedInstOperands,
     /*  693245 */     // GIR_Coverage, 10944,
     /*  693245 */     GIR_EraseRootFromParent_Done,
     /*  693246 */   // Label 10969: @693246
     /*  693246 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693321), // Rule ID 10947 //
     /*  693251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693319 */     GIR_RootConstrainSelectedInstOperands,
     /*  693320 */     // GIR_Coverage, 10947,
     /*  693320 */     GIR_EraseRootFromParent_Done,
     /*  693321 */   // Label 10970: @693321
     /*  693321 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693396), // Rule ID 10948 //
     /*  693326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693394 */     GIR_RootConstrainSelectedInstOperands,
     /*  693395 */     // GIR_Coverage, 10948,
     /*  693395 */     GIR_EraseRootFromParent_Done,
     /*  693396 */   // Label 10971: @693396
     /*  693396 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693471), // Rule ID 10951 //
     /*  693401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693469 */     GIR_RootConstrainSelectedInstOperands,
     /*  693470 */     // GIR_Coverage, 10951,
     /*  693470 */     GIR_EraseRootFromParent_Done,
     /*  693471 */   // Label 10972: @693471
     /*  693471 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693546), // Rule ID 10952 //
     /*  693476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693544 */     GIR_RootConstrainSelectedInstOperands,
     /*  693545 */     // GIR_Coverage, 10952,
     /*  693545 */     GIR_EraseRootFromParent_Done,
     /*  693546 */   // Label 10973: @693546
     /*  693546 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693621), // Rule ID 10955 //
     /*  693551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693619 */     GIR_RootConstrainSelectedInstOperands,
     /*  693620 */     // GIR_Coverage, 10955,
     /*  693620 */     GIR_EraseRootFromParent_Done,
     /*  693621 */   // Label 10974: @693621
     /*  693621 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693696), // Rule ID 10956 //
     /*  693626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693694 */     GIR_RootConstrainSelectedInstOperands,
     /*  693695 */     // GIR_Coverage, 10956,
     /*  693695 */     GIR_EraseRootFromParent_Done,
     /*  693696 */   // Label 10975: @693696
     /*  693696 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693771), // Rule ID 10959 //
     /*  693701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  693712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  693715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  693718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693769 */     GIR_RootConstrainSelectedInstOperands,
     /*  693770 */     // GIR_Coverage, 10959,
     /*  693770 */     GIR_EraseRootFromParent_Done,
     /*  693771 */   // Label 10976: @693771
     /*  693771 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693846), // Rule ID 10960 //
     /*  693776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  693787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  693790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  693793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  693825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693844 */     GIR_RootConstrainSelectedInstOperands,
     /*  693845 */     // GIR_Coverage, 10960,
     /*  693845 */     GIR_EraseRootFromParent_Done,
     /*  693846 */   // Label 10977: @693846
     /*  693846 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693921), // Rule ID 10963 //
     /*  693851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693919 */     GIR_RootConstrainSelectedInstOperands,
     /*  693920 */     // GIR_Coverage, 10963,
     /*  693920 */     GIR_EraseRootFromParent_Done,
     /*  693921 */   // Label 10978: @693921
     /*  693921 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(693996), // Rule ID 10964 //
     /*  693926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693994 */     GIR_RootConstrainSelectedInstOperands,
     /*  693995 */     // GIR_Coverage, 10964,
     /*  693995 */     GIR_EraseRootFromParent_Done,
     /*  693996 */   // Label 10979: @693996
     /*  693996 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694071), // Rule ID 10967 //
     /*  694001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694069 */     GIR_RootConstrainSelectedInstOperands,
     /*  694070 */     // GIR_Coverage, 10967,
     /*  694070 */     GIR_EraseRootFromParent_Done,
     /*  694071 */   // Label 10980: @694071
     /*  694071 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694146), // Rule ID 10968 //
     /*  694076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694144 */     GIR_RootConstrainSelectedInstOperands,
     /*  694145 */     // GIR_Coverage, 10968,
     /*  694145 */     GIR_EraseRootFromParent_Done,
     /*  694146 */   // Label 10981: @694146
     /*  694146 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694221), // Rule ID 10971 //
     /*  694151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694219 */     GIR_RootConstrainSelectedInstOperands,
     /*  694220 */     // GIR_Coverage, 10971,
     /*  694220 */     GIR_EraseRootFromParent_Done,
     /*  694221 */   // Label 10982: @694221
     /*  694221 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694296), // Rule ID 10972 //
     /*  694226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694294 */     GIR_RootConstrainSelectedInstOperands,
     /*  694295 */     // GIR_Coverage, 10972,
     /*  694295 */     GIR_EraseRootFromParent_Done,
     /*  694296 */   // Label 10983: @694296
     /*  694296 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694371), // Rule ID 10975 //
     /*  694301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694369 */     GIR_RootConstrainSelectedInstOperands,
     /*  694370 */     // GIR_Coverage, 10975,
     /*  694370 */     GIR_EraseRootFromParent_Done,
     /*  694371 */   // Label 10984: @694371
     /*  694371 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694446), // Rule ID 10976 //
     /*  694376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694444 */     GIR_RootConstrainSelectedInstOperands,
     /*  694445 */     // GIR_Coverage, 10976,
     /*  694445 */     GIR_EraseRootFromParent_Done,
     /*  694446 */   // Label 10985: @694446
     /*  694446 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694521), // Rule ID 10979 //
     /*  694451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694519 */     GIR_RootConstrainSelectedInstOperands,
     /*  694520 */     // GIR_Coverage, 10979,
     /*  694520 */     GIR_EraseRootFromParent_Done,
     /*  694521 */   // Label 10986: @694521
     /*  694521 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694596), // Rule ID 10980 //
     /*  694526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694594 */     GIR_RootConstrainSelectedInstOperands,
     /*  694595 */     // GIR_Coverage, 10980,
     /*  694595 */     GIR_EraseRootFromParent_Done,
     /*  694596 */   // Label 10987: @694596
     /*  694596 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694671), // Rule ID 10983 //
     /*  694601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694669 */     GIR_RootConstrainSelectedInstOperands,
     /*  694670 */     // GIR_Coverage, 10983,
     /*  694670 */     GIR_EraseRootFromParent_Done,
     /*  694671 */   // Label 10988: @694671
     /*  694671 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694746), // Rule ID 10984 //
     /*  694676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694744 */     GIR_RootConstrainSelectedInstOperands,
     /*  694745 */     // GIR_Coverage, 10984,
     /*  694745 */     GIR_EraseRootFromParent_Done,
     /*  694746 */   // Label 10989: @694746
     /*  694746 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694821), // Rule ID 10987 //
     /*  694751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694819 */     GIR_RootConstrainSelectedInstOperands,
     /*  694820 */     // GIR_Coverage, 10987,
     /*  694820 */     GIR_EraseRootFromParent_Done,
     /*  694821 */   // Label 10990: @694821
     /*  694821 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694896), // Rule ID 10988 //
     /*  694826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694894 */     GIR_RootConstrainSelectedInstOperands,
     /*  694895 */     // GIR_Coverage, 10988,
     /*  694895 */     GIR_EraseRootFromParent_Done,
     /*  694896 */   // Label 10991: @694896
     /*  694896 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(694971), // Rule ID 10991 //
     /*  694901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  694912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  694915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  694918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694969 */     GIR_RootConstrainSelectedInstOperands,
     /*  694970 */     // GIR_Coverage, 10991,
     /*  694970 */     GIR_EraseRootFromParent_Done,
     /*  694971 */   // Label 10992: @694971
     /*  694971 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695046), // Rule ID 10992 //
     /*  694976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  694987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  694990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  694993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695044 */     GIR_RootConstrainSelectedInstOperands,
     /*  695045 */     // GIR_Coverage, 10992,
     /*  695045 */     GIR_EraseRootFromParent_Done,
     /*  695046 */   // Label 10993: @695046
     /*  695046 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695121), // Rule ID 10995 //
     /*  695051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695119 */     GIR_RootConstrainSelectedInstOperands,
     /*  695120 */     // GIR_Coverage, 10995,
     /*  695120 */     GIR_EraseRootFromParent_Done,
     /*  695121 */   // Label 10994: @695121
     /*  695121 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695196), // Rule ID 10996 //
     /*  695126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695194 */     GIR_RootConstrainSelectedInstOperands,
     /*  695195 */     // GIR_Coverage, 10996,
     /*  695195 */     GIR_EraseRootFromParent_Done,
     /*  695196 */   // Label 10995: @695196
     /*  695196 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695271), // Rule ID 10999 //
     /*  695201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695269 */     GIR_RootConstrainSelectedInstOperands,
     /*  695270 */     // GIR_Coverage, 10999,
     /*  695270 */     GIR_EraseRootFromParent_Done,
     /*  695271 */   // Label 10996: @695271
     /*  695271 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695346), // Rule ID 11000 //
     /*  695276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  695325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695344 */     GIR_RootConstrainSelectedInstOperands,
     /*  695345 */     // GIR_Coverage, 11000,
     /*  695345 */     GIR_EraseRootFromParent_Done,
     /*  695346 */   // Label 10997: @695346
     /*  695346 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695421), // Rule ID 11003 //
     /*  695351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695419 */     GIR_RootConstrainSelectedInstOperands,
     /*  695420 */     // GIR_Coverage, 11003,
     /*  695420 */     GIR_EraseRootFromParent_Done,
     /*  695421 */   // Label 10998: @695421
     /*  695421 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695496), // Rule ID 11004 //
     /*  695426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  695475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695494 */     GIR_RootConstrainSelectedInstOperands,
     /*  695495 */     // GIR_Coverage, 11004,
     /*  695495 */     GIR_EraseRootFromParent_Done,
     /*  695496 */   // Label 10999: @695496
     /*  695496 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695571), // Rule ID 11007 //
     /*  695501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695569 */     GIR_RootConstrainSelectedInstOperands,
     /*  695570 */     // GIR_Coverage, 11007,
     /*  695570 */     GIR_EraseRootFromParent_Done,
     /*  695571 */   // Label 11000: @695571
     /*  695571 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695646), // Rule ID 11008 //
     /*  695576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  695625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695644 */     GIR_RootConstrainSelectedInstOperands,
     /*  695645 */     // GIR_Coverage, 11008,
     /*  695645 */     GIR_EraseRootFromParent_Done,
     /*  695646 */   // Label 11001: @695646
     /*  695646 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695721), // Rule ID 11011 //
     /*  695651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  695700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695719 */     GIR_RootConstrainSelectedInstOperands,
     /*  695720 */     // GIR_Coverage, 11011,
     /*  695720 */     GIR_EraseRootFromParent_Done,
     /*  695721 */   // Label 11002: @695721
     /*  695721 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695796), // Rule ID 11012 //
     /*  695726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  695775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695794 */     GIR_RootConstrainSelectedInstOperands,
     /*  695795 */     // GIR_Coverage, 11012,
     /*  695795 */     GIR_EraseRootFromParent_Done,
     /*  695796 */   // Label 11003: @695796
     /*  695796 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695871), // Rule ID 11015 //
     /*  695801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  695850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695869 */     GIR_RootConstrainSelectedInstOperands,
     /*  695870 */     // GIR_Coverage, 11015,
     /*  695870 */     GIR_EraseRootFromParent_Done,
     /*  695871 */   // Label 11004: @695871
     /*  695871 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695946), // Rule ID 11016 //
     /*  695876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  695925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695944 */     GIR_RootConstrainSelectedInstOperands,
     /*  695945 */     // GIR_Coverage, 11016,
     /*  695945 */     GIR_EraseRootFromParent_Done,
     /*  695946 */   // Label 11005: @695946
     /*  695946 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696021), // Rule ID 11019 //
     /*  695951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  695962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  695965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  695968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  695971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696019 */     GIR_RootConstrainSelectedInstOperands,
     /*  696020 */     // GIR_Coverage, 11019,
     /*  696020 */     GIR_EraseRootFromParent_Done,
     /*  696021 */   // Label 11006: @696021
     /*  696021 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696096), // Rule ID 11020 //
     /*  696026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  696037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  696040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  696043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  696046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696094 */     GIR_RootConstrainSelectedInstOperands,
     /*  696095 */     // GIR_Coverage, 11020,
     /*  696095 */     GIR_EraseRootFromParent_Done,
     /*  696096 */   // Label 11007: @696096
     /*  696096 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696171), // Rule ID 11023 //
     /*  696101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696169 */     GIR_RootConstrainSelectedInstOperands,
     /*  696170 */     // GIR_Coverage, 11023,
     /*  696170 */     GIR_EraseRootFromParent_Done,
     /*  696171 */   // Label 11008: @696171
     /*  696171 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696246), // Rule ID 11024 //
     /*  696176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  696196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  696225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696244 */     GIR_RootConstrainSelectedInstOperands,
     /*  696245 */     // GIR_Coverage, 11024,
     /*  696245 */     GIR_EraseRootFromParent_Done,
     /*  696246 */   // Label 11009: @696246
     /*  696246 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696321), // Rule ID 11027 //
     /*  696251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696319 */     GIR_RootConstrainSelectedInstOperands,
     /*  696320 */     // GIR_Coverage, 11027,
     /*  696320 */     GIR_EraseRootFromParent_Done,
     /*  696321 */   // Label 11010: @696321
     /*  696321 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696396), // Rule ID 11028 //
     /*  696326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  696346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696394 */     GIR_RootConstrainSelectedInstOperands,
     /*  696395 */     // GIR_Coverage, 11028,
     /*  696395 */     GIR_EraseRootFromParent_Done,
     /*  696396 */   // Label 11011: @696396
     /*  696396 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696471), // Rule ID 11031 //
     /*  696401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696469 */     GIR_RootConstrainSelectedInstOperands,
     /*  696470 */     // GIR_Coverage, 11031,
     /*  696470 */     GIR_EraseRootFromParent_Done,
     /*  696471 */   // Label 11012: @696471
     /*  696471 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696546), // Rule ID 11032 //
     /*  696476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  696496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  696525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696544 */     GIR_RootConstrainSelectedInstOperands,
     /*  696545 */     // GIR_Coverage, 11032,
     /*  696545 */     GIR_EraseRootFromParent_Done,
     /*  696546 */   // Label 11013: @696546
     /*  696546 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696621), // Rule ID 11035 //
     /*  696551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696619 */     GIR_RootConstrainSelectedInstOperands,
     /*  696620 */     // GIR_Coverage, 11035,
     /*  696620 */     GIR_EraseRootFromParent_Done,
     /*  696621 */   // Label 11014: @696621
     /*  696621 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696696), // Rule ID 11036 //
     /*  696626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696694 */     GIR_RootConstrainSelectedInstOperands,
     /*  696695 */     // GIR_Coverage, 11036,
     /*  696695 */     GIR_EraseRootFromParent_Done,
     /*  696696 */   // Label 11015: @696696
     /*  696696 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696771), // Rule ID 11039 //
     /*  696701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696769 */     GIR_RootConstrainSelectedInstOperands,
     /*  696770 */     // GIR_Coverage, 11039,
     /*  696770 */     GIR_EraseRootFromParent_Done,
     /*  696771 */   // Label 11016: @696771
     /*  696771 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696846), // Rule ID 11040 //
     /*  696776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696844 */     GIR_RootConstrainSelectedInstOperands,
     /*  696845 */     // GIR_Coverage, 11040,
     /*  696845 */     GIR_EraseRootFromParent_Done,
     /*  696846 */   // Label 11017: @696846
     /*  696846 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696921), // Rule ID 11043 //
     /*  696851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696919 */     GIR_RootConstrainSelectedInstOperands,
     /*  696920 */     // GIR_Coverage, 11043,
     /*  696920 */     GIR_EraseRootFromParent_Done,
     /*  696921 */   // Label 11018: @696921
     /*  696921 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(696996), // Rule ID 11044 //
     /*  696926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  696975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696994 */     GIR_RootConstrainSelectedInstOperands,
     /*  696995 */     // GIR_Coverage, 11044,
     /*  696995 */     GIR_EraseRootFromParent_Done,
     /*  696996 */   // Label 11019: @696996
     /*  696996 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697071), // Rule ID 11047 //
     /*  697001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697069 */     GIR_RootConstrainSelectedInstOperands,
     /*  697070 */     // GIR_Coverage, 11047,
     /*  697070 */     GIR_EraseRootFromParent_Done,
     /*  697071 */   // Label 11020: @697071
     /*  697071 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697146), // Rule ID 11048 //
     /*  697076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  697087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  697090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  697093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  697096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697144 */     GIR_RootConstrainSelectedInstOperands,
     /*  697145 */     // GIR_Coverage, 11048,
     /*  697145 */     GIR_EraseRootFromParent_Done,
     /*  697146 */   // Label 11021: @697146
     /*  697146 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697221), // Rule ID 11051 //
     /*  697151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697219 */     GIR_RootConstrainSelectedInstOperands,
     /*  697220 */     // GIR_Coverage, 11051,
     /*  697220 */     GIR_EraseRootFromParent_Done,
     /*  697221 */   // Label 11022: @697221
     /*  697221 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697296), // Rule ID 11052 //
     /*  697226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  697237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  697240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  697243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  697246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697294 */     GIR_RootConstrainSelectedInstOperands,
     /*  697295 */     // GIR_Coverage, 11052,
     /*  697295 */     GIR_EraseRootFromParent_Done,
     /*  697296 */   // Label 11023: @697296
     /*  697296 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697371), // Rule ID 11055 //
     /*  697301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697369 */     GIR_RootConstrainSelectedInstOperands,
     /*  697370 */     // GIR_Coverage, 11055,
     /*  697370 */     GIR_EraseRootFromParent_Done,
     /*  697371 */   // Label 11024: @697371
     /*  697371 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697446), // Rule ID 11056 //
     /*  697376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  697387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  697390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  697393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  697396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697444 */     GIR_RootConstrainSelectedInstOperands,
     /*  697445 */     // GIR_Coverage, 11056,
     /*  697445 */     GIR_EraseRootFromParent_Done,
     /*  697446 */   // Label 11025: @697446
     /*  697446 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697521), // Rule ID 11059 //
     /*  697451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697519 */     GIR_RootConstrainSelectedInstOperands,
     /*  697520 */     // GIR_Coverage, 11059,
     /*  697520 */     GIR_EraseRootFromParent_Done,
     /*  697521 */   // Label 11026: @697521
     /*  697521 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697596), // Rule ID 11060 //
     /*  697526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697594 */     GIR_RootConstrainSelectedInstOperands,
     /*  697595 */     // GIR_Coverage, 11060,
     /*  697595 */     GIR_EraseRootFromParent_Done,
     /*  697596 */   // Label 11027: @697596
     /*  697596 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697671), // Rule ID 11063 //
     /*  697601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697669 */     GIR_RootConstrainSelectedInstOperands,
     /*  697670 */     // GIR_Coverage, 11063,
     /*  697670 */     GIR_EraseRootFromParent_Done,
     /*  697671 */   // Label 11028: @697671
     /*  697671 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697746), // Rule ID 11064 //
     /*  697676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  697725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697744 */     GIR_RootConstrainSelectedInstOperands,
     /*  697745 */     // GIR_Coverage, 11064,
     /*  697745 */     GIR_EraseRootFromParent_Done,
     /*  697746 */   // Label 11029: @697746
     /*  697746 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697821), // Rule ID 11067 //
     /*  697751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697819 */     GIR_RootConstrainSelectedInstOperands,
     /*  697820 */     // GIR_Coverage, 11067,
     /*  697820 */     GIR_EraseRootFromParent_Done,
     /*  697821 */   // Label 11030: @697821
     /*  697821 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697896), // Rule ID 11068 //
     /*  697826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697894 */     GIR_RootConstrainSelectedInstOperands,
     /*  697895 */     // GIR_Coverage, 11068,
     /*  697895 */     GIR_EraseRootFromParent_Done,
     /*  697896 */   // Label 11031: @697896
     /*  697896 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(697971), // Rule ID 11071 //
     /*  697901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  697921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  697950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697969 */     GIR_RootConstrainSelectedInstOperands,
     /*  697970 */     // GIR_Coverage, 11071,
     /*  697970 */     GIR_EraseRootFromParent_Done,
     /*  697971 */   // Label 11032: @697971
     /*  697971 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698046), // Rule ID 11072 //
     /*  697976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  697996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  698025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698044 */     GIR_RootConstrainSelectedInstOperands,
     /*  698045 */     // GIR_Coverage, 11072,
     /*  698045 */     GIR_EraseRootFromParent_Done,
     /*  698046 */   // Label 11033: @698046
     /*  698046 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698121), // Rule ID 11075 //
     /*  698051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698119 */     GIR_RootConstrainSelectedInstOperands,
     /*  698120 */     // GIR_Coverage, 11075,
     /*  698120 */     GIR_EraseRootFromParent_Done,
     /*  698121 */   // Label 11034: @698121
     /*  698121 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698196), // Rule ID 11076 //
     /*  698126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  698146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  698175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698194 */     GIR_RootConstrainSelectedInstOperands,
     /*  698195 */     // GIR_Coverage, 11076,
     /*  698195 */     GIR_EraseRootFromParent_Done,
     /*  698196 */   // Label 11035: @698196
     /*  698196 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698271), // Rule ID 11079 //
     /*  698201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698269 */     GIR_RootConstrainSelectedInstOperands,
     /*  698270 */     // GIR_Coverage, 11079,
     /*  698270 */     GIR_EraseRootFromParent_Done,
     /*  698271 */   // Label 11036: @698271
     /*  698271 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698346), // Rule ID 11080 //
     /*  698276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  698296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  698325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698344 */     GIR_RootConstrainSelectedInstOperands,
     /*  698345 */     // GIR_Coverage, 11080,
     /*  698345 */     GIR_EraseRootFromParent_Done,
     /*  698346 */   // Label 11037: @698346
     /*  698346 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698421), // Rule ID 11083 //
     /*  698351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698419 */     GIR_RootConstrainSelectedInstOperands,
     /*  698420 */     // GIR_Coverage, 11083,
     /*  698420 */     GIR_EraseRootFromParent_Done,
     /*  698421 */   // Label 11038: @698421
     /*  698421 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698496), // Rule ID 11084 //
     /*  698426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  698437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  698440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  698443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  698475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698494 */     GIR_RootConstrainSelectedInstOperands,
     /*  698495 */     // GIR_Coverage, 11084,
     /*  698495 */     GIR_EraseRootFromParent_Done,
     /*  698496 */   // Label 11039: @698496
     /*  698496 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698571), // Rule ID 11087 //
     /*  698501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698569 */     GIR_RootConstrainSelectedInstOperands,
     /*  698570 */     // GIR_Coverage, 11087,
     /*  698570 */     GIR_EraseRootFromParent_Done,
     /*  698571 */   // Label 11040: @698571
     /*  698571 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698646), // Rule ID 11088 //
     /*  698576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698644 */     GIR_RootConstrainSelectedInstOperands,
     /*  698645 */     // GIR_Coverage, 11088,
     /*  698645 */     GIR_EraseRootFromParent_Done,
     /*  698646 */   // Label 11041: @698646
     /*  698646 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698721), // Rule ID 11091 //
     /*  698651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  698700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698719 */     GIR_RootConstrainSelectedInstOperands,
     /*  698720 */     // GIR_Coverage, 11091,
     /*  698720 */     GIR_EraseRootFromParent_Done,
     /*  698721 */   // Label 11042: @698721
     /*  698721 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698796), // Rule ID 11092 //
     /*  698726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  698775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698794 */     GIR_RootConstrainSelectedInstOperands,
     /*  698795 */     // GIR_Coverage, 11092,
     /*  698795 */     GIR_EraseRootFromParent_Done,
     /*  698796 */   // Label 11043: @698796
     /*  698796 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698871), // Rule ID 11095 //
     /*  698801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698869 */     GIR_RootConstrainSelectedInstOperands,
     /*  698870 */     // GIR_Coverage, 11095,
     /*  698870 */     GIR_EraseRootFromParent_Done,
     /*  698871 */   // Label 11044: @698871
     /*  698871 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698946), // Rule ID 11096 //
     /*  698876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  698925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698944 */     GIR_RootConstrainSelectedInstOperands,
     /*  698945 */     // GIR_Coverage, 11096,
     /*  698945 */     GIR_EraseRootFromParent_Done,
     /*  698946 */   // Label 11045: @698946
     /*  698946 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699021), // Rule ID 11099 //
     /*  698951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699019 */     GIR_RootConstrainSelectedInstOperands,
     /*  699020 */     // GIR_Coverage, 11099,
     /*  699020 */     GIR_EraseRootFromParent_Done,
     /*  699021 */   // Label 11046: @699021
     /*  699021 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699096), // Rule ID 11100 //
     /*  699026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699094 */     GIR_RootConstrainSelectedInstOperands,
     /*  699095 */     // GIR_Coverage, 11100,
     /*  699095 */     GIR_EraseRootFromParent_Done,
     /*  699096 */   // Label 11047: @699096
     /*  699096 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699171), // Rule ID 11103 //
     /*  699101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699169 */     GIR_RootConstrainSelectedInstOperands,
     /*  699170 */     // GIR_Coverage, 11103,
     /*  699170 */     GIR_EraseRootFromParent_Done,
     /*  699171 */   // Label 11048: @699171
     /*  699171 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699246), // Rule ID 11104 //
     /*  699176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  699225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699244 */     GIR_RootConstrainSelectedInstOperands,
     /*  699245 */     // GIR_Coverage, 11104,
     /*  699245 */     GIR_EraseRootFromParent_Done,
     /*  699246 */   // Label 11049: @699246
     /*  699246 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699321), // Rule ID 11107 //
     /*  699251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699319 */     GIR_RootConstrainSelectedInstOperands,
     /*  699320 */     // GIR_Coverage, 11107,
     /*  699320 */     GIR_EraseRootFromParent_Done,
     /*  699321 */   // Label 11050: @699321
     /*  699321 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699396), // Rule ID 11108 //
     /*  699326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  699337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  699340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  699343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699394 */     GIR_RootConstrainSelectedInstOperands,
     /*  699395 */     // GIR_Coverage, 11108,
     /*  699395 */     GIR_EraseRootFromParent_Done,
     /*  699396 */   // Label 11051: @699396
     /*  699396 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699471), // Rule ID 11111 //
     /*  699401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699469 */     GIR_RootConstrainSelectedInstOperands,
     /*  699470 */     // GIR_Coverage, 11111,
     /*  699470 */     GIR_EraseRootFromParent_Done,
     /*  699471 */   // Label 11052: @699471
     /*  699471 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699546), // Rule ID 11112 //
     /*  699476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699544 */     GIR_RootConstrainSelectedInstOperands,
     /*  699545 */     // GIR_Coverage, 11112,
     /*  699545 */     GIR_EraseRootFromParent_Done,
     /*  699546 */   // Label 11053: @699546
     /*  699546 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699621), // Rule ID 11115 //
     /*  699551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699619 */     GIR_RootConstrainSelectedInstOperands,
     /*  699620 */     // GIR_Coverage, 11115,
     /*  699620 */     GIR_EraseRootFromParent_Done,
     /*  699621 */   // Label 11054: @699621
     /*  699621 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699696), // Rule ID 11116 //
     /*  699626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  699675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699694 */     GIR_RootConstrainSelectedInstOperands,
     /*  699695 */     // GIR_Coverage, 11116,
     /*  699695 */     GIR_EraseRootFromParent_Done,
     /*  699696 */   // Label 11055: @699696
     /*  699696 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699771), // Rule ID 11119 //
     /*  699701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699769 */     GIR_RootConstrainSelectedInstOperands,
     /*  699770 */     // GIR_Coverage, 11119,
     /*  699770 */     GIR_EraseRootFromParent_Done,
     /*  699771 */   // Label 11056: @699771
     /*  699771 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699846), // Rule ID 11120 //
     /*  699776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699822 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699844 */     GIR_RootConstrainSelectedInstOperands,
     /*  699845 */     // GIR_Coverage, 11120,
     /*  699845 */     GIR_EraseRootFromParent_Done,
     /*  699846 */   // Label 11057: @699846
     /*  699846 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699921), // Rule ID 11123 //
     /*  699851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699919 */     GIR_RootConstrainSelectedInstOperands,
     /*  699920 */     // GIR_Coverage, 11123,
     /*  699920 */     GIR_EraseRootFromParent_Done,
     /*  699921 */   // Label 11058: @699921
     /*  699921 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(699996), // Rule ID 11124 //
     /*  699926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699994 */     GIR_RootConstrainSelectedInstOperands,
     /*  699995 */     // GIR_Coverage, 11124,
     /*  699995 */     GIR_EraseRootFromParent_Done,
     /*  699996 */   // Label 11059: @699996
     /*  699996 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700071), // Rule ID 11127 //
     /*  700001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700069 */     GIR_RootConstrainSelectedInstOperands,
     /*  700070 */     // GIR_Coverage, 11127,
     /*  700070 */     GIR_EraseRootFromParent_Done,
     /*  700071 */   // Label 11060: @700071
     /*  700071 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700146), // Rule ID 11128 //
     /*  700076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  700087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  700090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  700093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700144 */     GIR_RootConstrainSelectedInstOperands,
     /*  700145 */     // GIR_Coverage, 11128,
     /*  700145 */     GIR_EraseRootFromParent_Done,
     /*  700146 */   // Label 11061: @700146
     /*  700146 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700221), // Rule ID 11131 //
     /*  700151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700219 */     GIR_RootConstrainSelectedInstOperands,
     /*  700220 */     // GIR_Coverage, 11131,
     /*  700220 */     GIR_EraseRootFromParent_Done,
     /*  700221 */   // Label 11062: @700221
     /*  700221 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700296), // Rule ID 11132 //
     /*  700226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700294 */     GIR_RootConstrainSelectedInstOperands,
     /*  700295 */     // GIR_Coverage, 11132,
     /*  700295 */     GIR_EraseRootFromParent_Done,
     /*  700296 */   // Label 11063: @700296
     /*  700296 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700371), // Rule ID 11135 //
     /*  700301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700369 */     GIR_RootConstrainSelectedInstOperands,
     /*  700370 */     // GIR_Coverage, 11135,
     /*  700370 */     GIR_EraseRootFromParent_Done,
     /*  700371 */   // Label 11064: @700371
     /*  700371 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700446), // Rule ID 11136 //
     /*  700376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700444 */     GIR_RootConstrainSelectedInstOperands,
     /*  700445 */     // GIR_Coverage, 11136,
     /*  700445 */     GIR_EraseRootFromParent_Done,
     /*  700446 */   // Label 11065: @700446
     /*  700446 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700521), // Rule ID 11139 //
     /*  700451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700519 */     GIR_RootConstrainSelectedInstOperands,
     /*  700520 */     // GIR_Coverage, 11139,
     /*  700520 */     GIR_EraseRootFromParent_Done,
     /*  700521 */   // Label 11066: @700521
     /*  700521 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700596), // Rule ID 11140 //
     /*  700526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700594 */     GIR_RootConstrainSelectedInstOperands,
     /*  700595 */     // GIR_Coverage, 11140,
     /*  700595 */     GIR_EraseRootFromParent_Done,
     /*  700596 */   // Label 11067: @700596
     /*  700596 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700671), // Rule ID 11143 //
     /*  700601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700669 */     GIR_RootConstrainSelectedInstOperands,
     /*  700670 */     // GIR_Coverage, 11143,
     /*  700670 */     GIR_EraseRootFromParent_Done,
     /*  700671 */   // Label 11068: @700671
     /*  700671 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700746), // Rule ID 11144 //
     /*  700676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  700725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700744 */     GIR_RootConstrainSelectedInstOperands,
     /*  700745 */     // GIR_Coverage, 11144,
     /*  700745 */     GIR_EraseRootFromParent_Done,
     /*  700746 */   // Label 11069: @700746
     /*  700746 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700821), // Rule ID 11147 //
     /*  700751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700819 */     GIR_RootConstrainSelectedInstOperands,
     /*  700820 */     // GIR_Coverage, 11147,
     /*  700820 */     GIR_EraseRootFromParent_Done,
     /*  700821 */   // Label 11070: @700821
     /*  700821 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700896), // Rule ID 11148 //
     /*  700826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  700875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700894 */     GIR_RootConstrainSelectedInstOperands,
     /*  700895 */     // GIR_Coverage, 11148,
     /*  700895 */     GIR_EraseRootFromParent_Done,
     /*  700896 */   // Label 11071: @700896
     /*  700896 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(700971), // Rule ID 11151 //
     /*  700901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  700950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700969 */     GIR_RootConstrainSelectedInstOperands,
     /*  700970 */     // GIR_Coverage, 11151,
     /*  700970 */     GIR_EraseRootFromParent_Done,
     /*  700971 */   // Label 11072: @700971
     /*  700971 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701046), // Rule ID 11152 //
     /*  700976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  701015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  701025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701044 */     GIR_RootConstrainSelectedInstOperands,
     /*  701045 */     // GIR_Coverage, 11152,
     /*  701045 */     GIR_EraseRootFromParent_Done,
     /*  701046 */   // Label 11073: @701046
     /*  701046 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701121), // Rule ID 11155 //
     /*  701051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701119 */     GIR_RootConstrainSelectedInstOperands,
     /*  701120 */     // GIR_Coverage, 11155,
     /*  701120 */     GIR_EraseRootFromParent_Done,
     /*  701121 */   // Label 11074: @701121
     /*  701121 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701196), // Rule ID 11156 //
     /*  701126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  701175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701194 */     GIR_RootConstrainSelectedInstOperands,
     /*  701195 */     // GIR_Coverage, 11156,
     /*  701195 */     GIR_EraseRootFromParent_Done,
     /*  701196 */   // Label 11075: @701196
     /*  701196 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701271), // Rule ID 11159 //
     /*  701201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701269 */     GIR_RootConstrainSelectedInstOperands,
     /*  701270 */     // GIR_Coverage, 11159,
     /*  701270 */     GIR_EraseRootFromParent_Done,
     /*  701271 */   // Label 11076: @701271
     /*  701271 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701346), // Rule ID 11160 //
     /*  701276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701344 */     GIR_RootConstrainSelectedInstOperands,
     /*  701345 */     // GIR_Coverage, 11160,
     /*  701345 */     GIR_EraseRootFromParent_Done,
     /*  701346 */   // Label 11077: @701346
     /*  701346 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701421), // Rule ID 11163 //
     /*  701351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701419 */     GIR_RootConstrainSelectedInstOperands,
     /*  701420 */     // GIR_Coverage, 11163,
     /*  701420 */     GIR_EraseRootFromParent_Done,
     /*  701421 */   // Label 11078: @701421
     /*  701421 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701496), // Rule ID 11164 //
     /*  701426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701494 */     GIR_RootConstrainSelectedInstOperands,
     /*  701495 */     // GIR_Coverage, 11164,
     /*  701495 */     GIR_EraseRootFromParent_Done,
     /*  701496 */   // Label 11079: @701496
     /*  701496 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701571), // Rule ID 11167 //
     /*  701501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701569 */     GIR_RootConstrainSelectedInstOperands,
     /*  701570 */     // GIR_Coverage, 11167,
     /*  701570 */     GIR_EraseRootFromParent_Done,
     /*  701571 */   // Label 11080: @701571
     /*  701571 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701646), // Rule ID 11168 //
     /*  701576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  701625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701644 */     GIR_RootConstrainSelectedInstOperands,
     /*  701645 */     // GIR_Coverage, 11168,
     /*  701645 */     GIR_EraseRootFromParent_Done,
     /*  701646 */   // Label 11081: @701646
     /*  701646 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701721), // Rule ID 11171 //
     /*  701651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701719 */     GIR_RootConstrainSelectedInstOperands,
     /*  701720 */     // GIR_Coverage, 11171,
     /*  701720 */     GIR_EraseRootFromParent_Done,
     /*  701721 */   // Label 11082: @701721
     /*  701721 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701796), // Rule ID 11172 //
     /*  701726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701794 */     GIR_RootConstrainSelectedInstOperands,
     /*  701795 */     // GIR_Coverage, 11172,
     /*  701795 */     GIR_EraseRootFromParent_Done,
     /*  701796 */   // Label 11083: @701796
     /*  701796 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701871), // Rule ID 11175 //
     /*  701801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701869 */     GIR_RootConstrainSelectedInstOperands,
     /*  701870 */     // GIR_Coverage, 11175,
     /*  701870 */     GIR_EraseRootFromParent_Done,
     /*  701871 */   // Label 11084: @701871
     /*  701871 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701946), // Rule ID 11176 //
     /*  701876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  701925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701944 */     GIR_RootConstrainSelectedInstOperands,
     /*  701945 */     // GIR_Coverage, 11176,
     /*  701945 */     GIR_EraseRootFromParent_Done,
     /*  701946 */   // Label 11085: @701946
     /*  701946 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702021), // Rule ID 11179 //
     /*  701951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702019 */     GIR_RootConstrainSelectedInstOperands,
     /*  702020 */     // GIR_Coverage, 11179,
     /*  702020 */     GIR_EraseRootFromParent_Done,
     /*  702021 */   // Label 11086: @702021
     /*  702021 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702096), // Rule ID 11180 //
     /*  702026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  702037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  702040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  702043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  702046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702094 */     GIR_RootConstrainSelectedInstOperands,
     /*  702095 */     // GIR_Coverage, 11180,
     /*  702095 */     GIR_EraseRootFromParent_Done,
     /*  702096 */   // Label 11087: @702096
     /*  702096 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702171), // Rule ID 11183 //
     /*  702101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702169 */     GIR_RootConstrainSelectedInstOperands,
     /*  702170 */     // GIR_Coverage, 11183,
     /*  702170 */     GIR_EraseRootFromParent_Done,
     /*  702171 */   // Label 11088: @702171
     /*  702171 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702246), // Rule ID 11184 //
     /*  702176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702244 */     GIR_RootConstrainSelectedInstOperands,
     /*  702245 */     // GIR_Coverage, 11184,
     /*  702245 */     GIR_EraseRootFromParent_Done,
     /*  702246 */   // Label 11089: @702246
     /*  702246 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702321), // Rule ID 11187 //
     /*  702251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702319 */     GIR_RootConstrainSelectedInstOperands,
     /*  702320 */     // GIR_Coverage, 11187,
     /*  702320 */     GIR_EraseRootFromParent_Done,
     /*  702321 */   // Label 11090: @702321
     /*  702321 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702396), // Rule ID 11188 //
     /*  702326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  702375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702394 */     GIR_RootConstrainSelectedInstOperands,
     /*  702395 */     // GIR_Coverage, 11188,
     /*  702395 */     GIR_EraseRootFromParent_Done,
     /*  702396 */   // Label 11091: @702396
     /*  702396 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702471), // Rule ID 11191 //
     /*  702401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702469 */     GIR_RootConstrainSelectedInstOperands,
     /*  702470 */     // GIR_Coverage, 11191,
     /*  702470 */     GIR_EraseRootFromParent_Done,
     /*  702471 */   // Label 11092: @702471
     /*  702471 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702546), // Rule ID 11192 //
     /*  702476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702522 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702544 */     GIR_RootConstrainSelectedInstOperands,
     /*  702545 */     // GIR_Coverage, 11192,
     /*  702545 */     GIR_EraseRootFromParent_Done,
     /*  702546 */   // Label 11093: @702546
     /*  702546 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702621), // Rule ID 11195 //
     /*  702551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702619 */     GIR_RootConstrainSelectedInstOperands,
     /*  702620 */     // GIR_Coverage, 11195,
     /*  702620 */     GIR_EraseRootFromParent_Done,
     /*  702621 */   // Label 11094: @702621
     /*  702621 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702696), // Rule ID 11196 //
     /*  702626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702694 */     GIR_RootConstrainSelectedInstOperands,
     /*  702695 */     // GIR_Coverage, 11196,
     /*  702695 */     GIR_EraseRootFromParent_Done,
     /*  702696 */   // Label 11095: @702696
     /*  702696 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702771), // Rule ID 11199 //
     /*  702701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702769 */     GIR_RootConstrainSelectedInstOperands,
     /*  702770 */     // GIR_Coverage, 11199,
     /*  702770 */     GIR_EraseRootFromParent_Done,
     /*  702771 */   // Label 11096: @702771
     /*  702771 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702846), // Rule ID 11200 //
     /*  702776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702844 */     GIR_RootConstrainSelectedInstOperands,
     /*  702845 */     // GIR_Coverage, 11200,
     /*  702845 */     GIR_EraseRootFromParent_Done,
     /*  702846 */   // Label 11097: @702846
     /*  702846 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702921), // Rule ID 11203 //
     /*  702851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702919 */     GIR_RootConstrainSelectedInstOperands,
     /*  702920 */     // GIR_Coverage, 11203,
     /*  702920 */     GIR_EraseRootFromParent_Done,
     /*  702921 */   // Label 11098: @702921
     /*  702921 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(702996), // Rule ID 11204 //
     /*  702926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702994 */     GIR_RootConstrainSelectedInstOperands,
     /*  702995 */     // GIR_Coverage, 11204,
     /*  702995 */     GIR_EraseRootFromParent_Done,
     /*  702996 */   // Label 11099: @702996
     /*  702996 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703071), // Rule ID 11207 //
     /*  703001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703069 */     GIR_RootConstrainSelectedInstOperands,
     /*  703070 */     // GIR_Coverage, 11207,
     /*  703070 */     GIR_EraseRootFromParent_Done,
     /*  703071 */   // Label 11100: @703071
     /*  703071 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703146), // Rule ID 11208 //
     /*  703076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703144 */     GIR_RootConstrainSelectedInstOperands,
     /*  703145 */     // GIR_Coverage, 11208,
     /*  703145 */     GIR_EraseRootFromParent_Done,
     /*  703146 */   // Label 11101: @703146
     /*  703146 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703221), // Rule ID 11211 //
     /*  703151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703197 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703219 */     GIR_RootConstrainSelectedInstOperands,
     /*  703220 */     // GIR_Coverage, 11211,
     /*  703220 */     GIR_EraseRootFromParent_Done,
     /*  703221 */   // Label 11102: @703221
     /*  703221 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703296), // Rule ID 11212 //
     /*  703226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703294 */     GIR_RootConstrainSelectedInstOperands,
     /*  703295 */     // GIR_Coverage, 11212,
     /*  703295 */     GIR_EraseRootFromParent_Done,
     /*  703296 */   // Label 11103: @703296
     /*  703296 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703371), // Rule ID 11215 //
     /*  703301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703369 */     GIR_RootConstrainSelectedInstOperands,
     /*  703370 */     // GIR_Coverage, 11215,
     /*  703370 */     GIR_EraseRootFromParent_Done,
     /*  703371 */   // Label 11104: @703371
     /*  703371 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703446), // Rule ID 11216 //
     /*  703376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  703425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703444 */     GIR_RootConstrainSelectedInstOperands,
     /*  703445 */     // GIR_Coverage, 11216,
     /*  703445 */     GIR_EraseRootFromParent_Done,
     /*  703446 */   // Label 11105: @703446
     /*  703446 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703521), // Rule ID 11219 //
     /*  703451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703519 */     GIR_RootConstrainSelectedInstOperands,
     /*  703520 */     // GIR_Coverage, 11219,
     /*  703520 */     GIR_EraseRootFromParent_Done,
     /*  703521 */   // Label 11106: @703521
     /*  703521 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703596), // Rule ID 11220 //
     /*  703526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  703575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703594 */     GIR_RootConstrainSelectedInstOperands,
     /*  703595 */     // GIR_Coverage, 11220,
     /*  703595 */     GIR_EraseRootFromParent_Done,
     /*  703596 */   // Label 11107: @703596
     /*  703596 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703671), // Rule ID 11223 //
     /*  703601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703669 */     GIR_RootConstrainSelectedInstOperands,
     /*  703670 */     // GIR_Coverage, 11223,
     /*  703670 */     GIR_EraseRootFromParent_Done,
     /*  703671 */   // Label 11108: @703671
     /*  703671 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703746), // Rule ID 11224 //
     /*  703676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  703725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703744 */     GIR_RootConstrainSelectedInstOperands,
     /*  703745 */     // GIR_Coverage, 11224,
     /*  703745 */     GIR_EraseRootFromParent_Done,
     /*  703746 */   // Label 11109: @703746
     /*  703746 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703821), // Rule ID 11227 //
     /*  703751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  703800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703819 */     GIR_RootConstrainSelectedInstOperands,
     /*  703820 */     // GIR_Coverage, 11227,
     /*  703820 */     GIR_EraseRootFromParent_Done,
     /*  703821 */   // Label 11110: @703821
     /*  703821 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703896), // Rule ID 11228 //
     /*  703826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  703875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703894 */     GIR_RootConstrainSelectedInstOperands,
     /*  703895 */     // GIR_Coverage, 11228,
     /*  703895 */     GIR_EraseRootFromParent_Done,
     /*  703896 */   // Label 11111: @703896
     /*  703896 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(703971), // Rule ID 11231 //
     /*  703901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  703950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703969 */     GIR_RootConstrainSelectedInstOperands,
     /*  703970 */     // GIR_Coverage, 11231,
     /*  703970 */     GIR_EraseRootFromParent_Done,
     /*  703971 */   // Label 11112: @703971
     /*  703971 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704046), // Rule ID 11232 //
     /*  703976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704044 */     GIR_RootConstrainSelectedInstOperands,
     /*  704045 */     // GIR_Coverage, 11232,
     /*  704045 */     GIR_EraseRootFromParent_Done,
     /*  704046 */   // Label 11113: @704046
     /*  704046 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704121), // Rule ID 11235 //
     /*  704051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704119 */     GIR_RootConstrainSelectedInstOperands,
     /*  704120 */     // GIR_Coverage, 11235,
     /*  704120 */     GIR_EraseRootFromParent_Done,
     /*  704121 */   // Label 11114: @704121
     /*  704121 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704196), // Rule ID 11236 //
     /*  704126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704194 */     GIR_RootConstrainSelectedInstOperands,
     /*  704195 */     // GIR_Coverage, 11236,
     /*  704195 */     GIR_EraseRootFromParent_Done,
     /*  704196 */   // Label 11115: @704196
     /*  704196 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704271), // Rule ID 11239 //
     /*  704201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704269 */     GIR_RootConstrainSelectedInstOperands,
     /*  704270 */     // GIR_Coverage, 11239,
     /*  704270 */     GIR_EraseRootFromParent_Done,
     /*  704271 */   // Label 11116: @704271
     /*  704271 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704346), // Rule ID 11240 //
     /*  704276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  704325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704344 */     GIR_RootConstrainSelectedInstOperands,
     /*  704345 */     // GIR_Coverage, 11240,
     /*  704345 */     GIR_EraseRootFromParent_Done,
     /*  704346 */   // Label 11117: @704346
     /*  704346 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704421), // Rule ID 11243 //
     /*  704351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704419 */     GIR_RootConstrainSelectedInstOperands,
     /*  704420 */     // GIR_Coverage, 11243,
     /*  704420 */     GIR_EraseRootFromParent_Done,
     /*  704421 */   // Label 11118: @704421
     /*  704421 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704496), // Rule ID 11244 //
     /*  704426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704494 */     GIR_RootConstrainSelectedInstOperands,
     /*  704495 */     // GIR_Coverage, 11244,
     /*  704495 */     GIR_EraseRootFromParent_Done,
     /*  704496 */   // Label 11119: @704496
     /*  704496 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704571), // Rule ID 11247 //
     /*  704501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704569 */     GIR_RootConstrainSelectedInstOperands,
     /*  704570 */     // GIR_Coverage, 11247,
     /*  704570 */     GIR_EraseRootFromParent_Done,
     /*  704571 */   // Label 11120: @704571
     /*  704571 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704646), // Rule ID 11248 //
     /*  704576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  704625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704644 */     GIR_RootConstrainSelectedInstOperands,
     /*  704645 */     // GIR_Coverage, 11248,
     /*  704645 */     GIR_EraseRootFromParent_Done,
     /*  704646 */   // Label 11121: @704646
     /*  704646 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704721), // Rule ID 11251 //
     /*  704651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704719 */     GIR_RootConstrainSelectedInstOperands,
     /*  704720 */     // GIR_Coverage, 11251,
     /*  704720 */     GIR_EraseRootFromParent_Done,
     /*  704721 */   // Label 11122: @704721
     /*  704721 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704796), // Rule ID 11252 //
     /*  704726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704794 */     GIR_RootConstrainSelectedInstOperands,
     /*  704795 */     // GIR_Coverage, 11252,
     /*  704795 */     GIR_EraseRootFromParent_Done,
     /*  704796 */   // Label 11123: @704796
     /*  704796 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704871), // Rule ID 11255 //
     /*  704801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704869 */     GIR_RootConstrainSelectedInstOperands,
     /*  704870 */     // GIR_Coverage, 11255,
     /*  704870 */     GIR_EraseRootFromParent_Done,
     /*  704871 */   // Label 11124: @704871
     /*  704871 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704946), // Rule ID 11256 //
     /*  704876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  704925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704944 */     GIR_RootConstrainSelectedInstOperands,
     /*  704945 */     // GIR_Coverage, 11256,
     /*  704945 */     GIR_EraseRootFromParent_Done,
     /*  704946 */   // Label 11125: @704946
     /*  704946 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705021), // Rule ID 11259 //
     /*  704951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705019 */     GIR_RootConstrainSelectedInstOperands,
     /*  705020 */     // GIR_Coverage, 11259,
     /*  705020 */     GIR_EraseRootFromParent_Done,
     /*  705021 */   // Label 11126: @705021
     /*  705021 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705096), // Rule ID 11260 //
     /*  705026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  705075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705094 */     GIR_RootConstrainSelectedInstOperands,
     /*  705095 */     // GIR_Coverage, 11260,
     /*  705095 */     GIR_EraseRootFromParent_Done,
     /*  705096 */   // Label 11127: @705096
     /*  705096 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705171), // Rule ID 11263 //
     /*  705101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705169 */     GIR_RootConstrainSelectedInstOperands,
     /*  705170 */     // GIR_Coverage, 11263,
     /*  705170 */     GIR_EraseRootFromParent_Done,
     /*  705171 */   // Label 11128: @705171
     /*  705171 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705246), // Rule ID 11264 //
     /*  705176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705244 */     GIR_RootConstrainSelectedInstOperands,
     /*  705245 */     // GIR_Coverage, 11264,
     /*  705245 */     GIR_EraseRootFromParent_Done,
     /*  705246 */   // Label 11129: @705246
     /*  705246 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705321), // Rule ID 11267 //
     /*  705251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705319 */     GIR_RootConstrainSelectedInstOperands,
     /*  705320 */     // GIR_Coverage, 11267,
     /*  705320 */     GIR_EraseRootFromParent_Done,
     /*  705321 */   // Label 11130: @705321
     /*  705321 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705396), // Rule ID 11268 //
     /*  705326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705394 */     GIR_RootConstrainSelectedInstOperands,
     /*  705395 */     // GIR_Coverage, 11268,
     /*  705395 */     GIR_EraseRootFromParent_Done,
     /*  705396 */   // Label 11131: @705396
     /*  705396 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705471), // Rule ID 11271 //
     /*  705401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705469 */     GIR_RootConstrainSelectedInstOperands,
     /*  705470 */     // GIR_Coverage, 11271,
     /*  705470 */     GIR_EraseRootFromParent_Done,
     /*  705471 */   // Label 11132: @705471
     /*  705471 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705546), // Rule ID 11272 //
     /*  705476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705544 */     GIR_RootConstrainSelectedInstOperands,
     /*  705545 */     // GIR_Coverage, 11272,
     /*  705545 */     GIR_EraseRootFromParent_Done,
     /*  705546 */   // Label 11133: @705546
     /*  705546 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705621), // Rule ID 11275 //
     /*  705551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705619 */     GIR_RootConstrainSelectedInstOperands,
     /*  705620 */     // GIR_Coverage, 11275,
     /*  705620 */     GIR_EraseRootFromParent_Done,
     /*  705621 */   // Label 11134: @705621
     /*  705621 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705696), // Rule ID 11276 //
     /*  705626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  705675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705694 */     GIR_RootConstrainSelectedInstOperands,
     /*  705695 */     // GIR_Coverage, 11276,
     /*  705695 */     GIR_EraseRootFromParent_Done,
     /*  705696 */   // Label 11135: @705696
     /*  705696 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705771), // Rule ID 11279 //
     /*  705701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705769 */     GIR_RootConstrainSelectedInstOperands,
     /*  705770 */     // GIR_Coverage, 11279,
     /*  705770 */     GIR_EraseRootFromParent_Done,
     /*  705771 */   // Label 11136: @705771
     /*  705771 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705846), // Rule ID 11280 //
     /*  705776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705844 */     GIR_RootConstrainSelectedInstOperands,
     /*  705845 */     // GIR_Coverage, 11280,
     /*  705845 */     GIR_EraseRootFromParent_Done,
     /*  705846 */   // Label 11137: @705846
     /*  705846 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705921), // Rule ID 11283 //
     /*  705851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705919 */     GIR_RootConstrainSelectedInstOperands,
     /*  705920 */     // GIR_Coverage, 11283,
     /*  705920 */     GIR_EraseRootFromParent_Done,
     /*  705921 */   // Label 11138: @705921
     /*  705921 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(705996), // Rule ID 11284 //
     /*  705926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705994 */     GIR_RootConstrainSelectedInstOperands,
     /*  705995 */     // GIR_Coverage, 11284,
     /*  705995 */     GIR_EraseRootFromParent_Done,
     /*  705996 */   // Label 11139: @705996
     /*  705996 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706071), // Rule ID 11287 //
     /*  706001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706069 */     GIR_RootConstrainSelectedInstOperands,
     /*  706070 */     // GIR_Coverage, 11287,
     /*  706070 */     GIR_EraseRootFromParent_Done,
     /*  706071 */   // Label 11140: @706071
     /*  706071 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706146), // Rule ID 11288 //
     /*  706076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  706125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706144 */     GIR_RootConstrainSelectedInstOperands,
     /*  706145 */     // GIR_Coverage, 11288,
     /*  706145 */     GIR_EraseRootFromParent_Done,
     /*  706146 */   // Label 11141: @706146
     /*  706146 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706221), // Rule ID 11291 //
     /*  706151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706219 */     GIR_RootConstrainSelectedInstOperands,
     /*  706220 */     // GIR_Coverage, 11291,
     /*  706220 */     GIR_EraseRootFromParent_Done,
     /*  706221 */   // Label 11142: @706221
     /*  706221 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706296), // Rule ID 11292 //
     /*  706226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  706275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706294 */     GIR_RootConstrainSelectedInstOperands,
     /*  706295 */     // GIR_Coverage, 11292,
     /*  706295 */     GIR_EraseRootFromParent_Done,
     /*  706296 */   // Label 11143: @706296
     /*  706296 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706371), // Rule ID 11295 //
     /*  706301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706369 */     GIR_RootConstrainSelectedInstOperands,
     /*  706370 */     // GIR_Coverage, 11295,
     /*  706370 */     GIR_EraseRootFromParent_Done,
     /*  706371 */   // Label 11144: @706371
     /*  706371 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706446), // Rule ID 11296 //
     /*  706376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  706425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706444 */     GIR_RootConstrainSelectedInstOperands,
     /*  706445 */     // GIR_Coverage, 11296,
     /*  706445 */     GIR_EraseRootFromParent_Done,
     /*  706446 */   // Label 11145: @706446
     /*  706446 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706521), // Rule ID 11299 //
     /*  706451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706519 */     GIR_RootConstrainSelectedInstOperands,
     /*  706520 */     // GIR_Coverage, 11299,
     /*  706520 */     GIR_EraseRootFromParent_Done,
     /*  706521 */   // Label 11146: @706521
     /*  706521 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706596), // Rule ID 11300 //
     /*  706526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  706575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706594 */     GIR_RootConstrainSelectedInstOperands,
     /*  706595 */     // GIR_Coverage, 11300,
     /*  706595 */     GIR_EraseRootFromParent_Done,
     /*  706596 */   // Label 11147: @706596
     /*  706596 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706671), // Rule ID 11303 //
     /*  706601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  706650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706669 */     GIR_RootConstrainSelectedInstOperands,
     /*  706670 */     // GIR_Coverage, 11303,
     /*  706670 */     GIR_EraseRootFromParent_Done,
     /*  706671 */   // Label 11148: @706671
     /*  706671 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706746), // Rule ID 11304 //
     /*  706676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  706725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706744 */     GIR_RootConstrainSelectedInstOperands,
     /*  706745 */     // GIR_Coverage, 11304,
     /*  706745 */     GIR_EraseRootFromParent_Done,
     /*  706746 */   // Label 11149: @706746
     /*  706746 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706821), // Rule ID 11307 //
     /*  706751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706819 */     GIR_RootConstrainSelectedInstOperands,
     /*  706820 */     // GIR_Coverage, 11307,
     /*  706820 */     GIR_EraseRootFromParent_Done,
     /*  706821 */   // Label 11150: @706821
     /*  706821 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706896), // Rule ID 11308 //
     /*  706826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706894 */     GIR_RootConstrainSelectedInstOperands,
     /*  706895 */     // GIR_Coverage, 11308,
     /*  706895 */     GIR_EraseRootFromParent_Done,
     /*  706896 */   // Label 11151: @706896
     /*  706896 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(706971), // Rule ID 11311 //
     /*  706901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  706950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706969 */     GIR_RootConstrainSelectedInstOperands,
     /*  706970 */     // GIR_Coverage, 11311,
     /*  706970 */     GIR_EraseRootFromParent_Done,
     /*  706971 */   // Label 11152: @706971
     /*  706971 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707046), // Rule ID 11312 //
     /*  706976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  707025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707044 */     GIR_RootConstrainSelectedInstOperands,
     /*  707045 */     // GIR_Coverage, 11312,
     /*  707045 */     GIR_EraseRootFromParent_Done,
     /*  707046 */   // Label 11153: @707046
     /*  707046 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707121), // Rule ID 11315 //
     /*  707051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707119 */     GIR_RootConstrainSelectedInstOperands,
     /*  707120 */     // GIR_Coverage, 11315,
     /*  707120 */     GIR_EraseRootFromParent_Done,
     /*  707121 */   // Label 11154: @707121
     /*  707121 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707196), // Rule ID 11316 //
     /*  707126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707194 */     GIR_RootConstrainSelectedInstOperands,
     /*  707195 */     // GIR_Coverage, 11316,
     /*  707195 */     GIR_EraseRootFromParent_Done,
     /*  707196 */   // Label 11155: @707196
     /*  707196 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707271), // Rule ID 11319 //
     /*  707201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707269 */     GIR_RootConstrainSelectedInstOperands,
     /*  707270 */     // GIR_Coverage, 11319,
     /*  707270 */     GIR_EraseRootFromParent_Done,
     /*  707271 */   // Label 11156: @707271
     /*  707271 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707346), // Rule ID 11320 //
     /*  707276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  707325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707344 */     GIR_RootConstrainSelectedInstOperands,
     /*  707345 */     // GIR_Coverage, 11320,
     /*  707345 */     GIR_EraseRootFromParent_Done,
     /*  707346 */   // Label 11157: @707346
     /*  707346 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707421), // Rule ID 11323 //
     /*  707351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707419 */     GIR_RootConstrainSelectedInstOperands,
     /*  707420 */     // GIR_Coverage, 11323,
     /*  707420 */     GIR_EraseRootFromParent_Done,
     /*  707421 */   // Label 11158: @707421
     /*  707421 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707496), // Rule ID 11324 //
     /*  707426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707494 */     GIR_RootConstrainSelectedInstOperands,
     /*  707495 */     // GIR_Coverage, 11324,
     /*  707495 */     GIR_EraseRootFromParent_Done,
     /*  707496 */   // Label 11159: @707496
     /*  707496 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707571), // Rule ID 11327 //
     /*  707501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707569 */     GIR_RootConstrainSelectedInstOperands,
     /*  707570 */     // GIR_Coverage, 11327,
     /*  707570 */     GIR_EraseRootFromParent_Done,
     /*  707571 */   // Label 11160: @707571
     /*  707571 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707646), // Rule ID 11328 //
     /*  707576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707644 */     GIR_RootConstrainSelectedInstOperands,
     /*  707645 */     // GIR_Coverage, 11328,
     /*  707645 */     GIR_EraseRootFromParent_Done,
     /*  707646 */   // Label 11161: @707646
     /*  707646 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707721), // Rule ID 11331 //
     /*  707651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707719 */     GIR_RootConstrainSelectedInstOperands,
     /*  707720 */     // GIR_Coverage, 11331,
     /*  707720 */     GIR_EraseRootFromParent_Done,
     /*  707721 */   // Label 11162: @707721
     /*  707721 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707796), // Rule ID 11332 //
     /*  707726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  707775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707794 */     GIR_RootConstrainSelectedInstOperands,
     /*  707795 */     // GIR_Coverage, 11332,
     /*  707795 */     GIR_EraseRootFromParent_Done,
     /*  707796 */   // Label 11163: @707796
     /*  707796 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707871), // Rule ID 11335 //
     /*  707801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707869 */     GIR_RootConstrainSelectedInstOperands,
     /*  707870 */     // GIR_Coverage, 11335,
     /*  707870 */     GIR_EraseRootFromParent_Done,
     /*  707871 */   // Label 11164: @707871
     /*  707871 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707946), // Rule ID 11336 //
     /*  707876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707944 */     GIR_RootConstrainSelectedInstOperands,
     /*  707945 */     // GIR_Coverage, 11336,
     /*  707945 */     GIR_EraseRootFromParent_Done,
     /*  707946 */   // Label 11165: @707946
     /*  707946 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708021), // Rule ID 11339 //
     /*  707951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708019 */     GIR_RootConstrainSelectedInstOperands,
     /*  708020 */     // GIR_Coverage, 11339,
     /*  708020 */     GIR_EraseRootFromParent_Done,
     /*  708021 */   // Label 11166: @708021
     /*  708021 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708096), // Rule ID 11340 //
     /*  708026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  708037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  708040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  708043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  708046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708094 */     GIR_RootConstrainSelectedInstOperands,
     /*  708095 */     // GIR_Coverage, 11340,
     /*  708095 */     GIR_EraseRootFromParent_Done,
     /*  708096 */   // Label 11167: @708096
     /*  708096 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708171), // Rule ID 11343 //
     /*  708101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708169 */     GIR_RootConstrainSelectedInstOperands,
     /*  708170 */     // GIR_Coverage, 11343,
     /*  708170 */     GIR_EraseRootFromParent_Done,
     /*  708171 */   // Label 11168: @708171
     /*  708171 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708246), // Rule ID 11344 //
     /*  708176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708244 */     GIR_RootConstrainSelectedInstOperands,
     /*  708245 */     // GIR_Coverage, 11344,
     /*  708245 */     GIR_EraseRootFromParent_Done,
     /*  708246 */   // Label 11169: @708246
     /*  708246 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708321), // Rule ID 11347 //
     /*  708251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708319 */     GIR_RootConstrainSelectedInstOperands,
     /*  708320 */     // GIR_Coverage, 11347,
     /*  708320 */     GIR_EraseRootFromParent_Done,
     /*  708321 */   // Label 11170: @708321
     /*  708321 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708396), // Rule ID 11348 //
     /*  708326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708394 */     GIR_RootConstrainSelectedInstOperands,
     /*  708395 */     // GIR_Coverage, 11348,
     /*  708395 */     GIR_EraseRootFromParent_Done,
     /*  708396 */   // Label 11171: @708396
     /*  708396 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708471), // Rule ID 11351 //
     /*  708401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708469 */     GIR_RootConstrainSelectedInstOperands,
     /*  708470 */     // GIR_Coverage, 11351,
     /*  708470 */     GIR_EraseRootFromParent_Done,
     /*  708471 */   // Label 11172: @708471
     /*  708471 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708546), // Rule ID 11352 //
     /*  708476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708544 */     GIR_RootConstrainSelectedInstOperands,
     /*  708545 */     // GIR_Coverage, 11352,
     /*  708545 */     GIR_EraseRootFromParent_Done,
     /*  708546 */   // Label 11173: @708546
     /*  708546 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708621), // Rule ID 11355 //
     /*  708551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708619 */     GIR_RootConstrainSelectedInstOperands,
     /*  708620 */     // GIR_Coverage, 11355,
     /*  708620 */     GIR_EraseRootFromParent_Done,
     /*  708621 */   // Label 11174: @708621
     /*  708621 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708696), // Rule ID 11356 //
     /*  708626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708694 */     GIR_RootConstrainSelectedInstOperands,
     /*  708695 */     // GIR_Coverage, 11356,
     /*  708695 */     GIR_EraseRootFromParent_Done,
     /*  708696 */   // Label 11175: @708696
     /*  708696 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708771), // Rule ID 11359 //
     /*  708701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708769 */     GIR_RootConstrainSelectedInstOperands,
     /*  708770 */     // GIR_Coverage, 11359,
     /*  708770 */     GIR_EraseRootFromParent_Done,
     /*  708771 */   // Label 11176: @708771
     /*  708771 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708846), // Rule ID 11360 //
     /*  708776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708844 */     GIR_RootConstrainSelectedInstOperands,
     /*  708845 */     // GIR_Coverage, 11360,
     /*  708845 */     GIR_EraseRootFromParent_Done,
     /*  708846 */   // Label 11177: @708846
     /*  708846 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708921), // Rule ID 11363 //
     /*  708851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708919 */     GIR_RootConstrainSelectedInstOperands,
     /*  708920 */     // GIR_Coverage, 11363,
     /*  708920 */     GIR_EraseRootFromParent_Done,
     /*  708921 */   // Label 11178: @708921
     /*  708921 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(708996), // Rule ID 11364 //
     /*  708926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708994 */     GIR_RootConstrainSelectedInstOperands,
     /*  708995 */     // GIR_Coverage, 11364,
     /*  708995 */     GIR_EraseRootFromParent_Done,
     /*  708996 */   // Label 11179: @708996
     /*  708996 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709071), // Rule ID 11367 //
     /*  709001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709069 */     GIR_RootConstrainSelectedInstOperands,
     /*  709070 */     // GIR_Coverage, 11367,
     /*  709070 */     GIR_EraseRootFromParent_Done,
     /*  709071 */   // Label 11180: @709071
     /*  709071 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709146), // Rule ID 11368 //
     /*  709076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  709125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709144 */     GIR_RootConstrainSelectedInstOperands,
     /*  709145 */     // GIR_Coverage, 11368,
     /*  709145 */     GIR_EraseRootFromParent_Done,
     /*  709146 */   // Label 11181: @709146
     /*  709146 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709221), // Rule ID 11371 //
     /*  709151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709219 */     GIR_RootConstrainSelectedInstOperands,
     /*  709220 */     // GIR_Coverage, 11371,
     /*  709220 */     GIR_EraseRootFromParent_Done,
     /*  709221 */   // Label 11182: @709221
     /*  709221 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709296), // Rule ID 11372 //
     /*  709226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  709275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709294 */     GIR_RootConstrainSelectedInstOperands,
     /*  709295 */     // GIR_Coverage, 11372,
     /*  709295 */     GIR_EraseRootFromParent_Done,
     /*  709296 */   // Label 11183: @709296
     /*  709296 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709371), // Rule ID 11375 //
     /*  709301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709369 */     GIR_RootConstrainSelectedInstOperands,
     /*  709370 */     // GIR_Coverage, 11375,
     /*  709370 */     GIR_EraseRootFromParent_Done,
     /*  709371 */   // Label 11184: @709371
     /*  709371 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709446), // Rule ID 11376 //
     /*  709376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709444 */     GIR_RootConstrainSelectedInstOperands,
     /*  709445 */     // GIR_Coverage, 11376,
     /*  709445 */     GIR_EraseRootFromParent_Done,
     /*  709446 */   // Label 11185: @709446
     /*  709446 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709521), // Rule ID 11379 //
     /*  709451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709519 */     GIR_RootConstrainSelectedInstOperands,
     /*  709520 */     // GIR_Coverage, 11379,
     /*  709520 */     GIR_EraseRootFromParent_Done,
     /*  709521 */   // Label 11186: @709521
     /*  709521 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709596), // Rule ID 11380 //
     /*  709526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709594 */     GIR_RootConstrainSelectedInstOperands,
     /*  709595 */     // GIR_Coverage, 11380,
     /*  709595 */     GIR_EraseRootFromParent_Done,
     /*  709596 */   // Label 11187: @709596
     /*  709596 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709671), // Rule ID 11383 //
     /*  709601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709669 */     GIR_RootConstrainSelectedInstOperands,
     /*  709670 */     // GIR_Coverage, 11383,
     /*  709670 */     GIR_EraseRootFromParent_Done,
     /*  709671 */   // Label 11188: @709671
     /*  709671 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709746), // Rule ID 11384 //
     /*  709676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  709725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709744 */     GIR_RootConstrainSelectedInstOperands,
     /*  709745 */     // GIR_Coverage, 11384,
     /*  709745 */     GIR_EraseRootFromParent_Done,
     /*  709746 */   // Label 11189: @709746
     /*  709746 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709821), // Rule ID 11387 //
     /*  709751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709819 */     GIR_RootConstrainSelectedInstOperands,
     /*  709820 */     // GIR_Coverage, 11387,
     /*  709820 */     GIR_EraseRootFromParent_Done,
     /*  709821 */   // Label 11190: @709821
     /*  709821 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709896), // Rule ID 11388 //
     /*  709826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709894 */     GIR_RootConstrainSelectedInstOperands,
     /*  709895 */     // GIR_Coverage, 11388,
     /*  709895 */     GIR_EraseRootFromParent_Done,
     /*  709896 */   // Label 11191: @709896
     /*  709896 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(709971), // Rule ID 11391 //
     /*  709901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  709950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709969 */     GIR_RootConstrainSelectedInstOperands,
     /*  709970 */     // GIR_Coverage, 11391,
     /*  709970 */     GIR_EraseRootFromParent_Done,
     /*  709971 */   // Label 11192: @709971
     /*  709971 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710046), // Rule ID 11392 //
     /*  709976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  710025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710044 */     GIR_RootConstrainSelectedInstOperands,
     /*  710045 */     // GIR_Coverage, 11392,
     /*  710045 */     GIR_EraseRootFromParent_Done,
     /*  710046 */   // Label 11193: @710046
     /*  710046 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710121), // Rule ID 11395 //
     /*  710051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710119 */     GIR_RootConstrainSelectedInstOperands,
     /*  710120 */     // GIR_Coverage, 11395,
     /*  710120 */     GIR_EraseRootFromParent_Done,
     /*  710121 */   // Label 11194: @710121
     /*  710121 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710196), // Rule ID 11396 //
     /*  710126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710194 */     GIR_RootConstrainSelectedInstOperands,
     /*  710195 */     // GIR_Coverage, 11396,
     /*  710195 */     GIR_EraseRootFromParent_Done,
     /*  710196 */   // Label 11195: @710196
     /*  710196 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710271), // Rule ID 11399 //
     /*  710201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710269 */     GIR_RootConstrainSelectedInstOperands,
     /*  710270 */     // GIR_Coverage, 11399,
     /*  710270 */     GIR_EraseRootFromParent_Done,
     /*  710271 */   // Label 11196: @710271
     /*  710271 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710346), // Rule ID 11400 //
     /*  710276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710344 */     GIR_RootConstrainSelectedInstOperands,
     /*  710345 */     // GIR_Coverage, 11400,
     /*  710345 */     GIR_EraseRootFromParent_Done,
     /*  710346 */   // Label 11197: @710346
     /*  710346 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710421), // Rule ID 11403 //
     /*  710351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710419 */     GIR_RootConstrainSelectedInstOperands,
     /*  710420 */     // GIR_Coverage, 11403,
     /*  710420 */     GIR_EraseRootFromParent_Done,
     /*  710421 */   // Label 11198: @710421
     /*  710421 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710496), // Rule ID 11404 //
     /*  710426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  710475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710494 */     GIR_RootConstrainSelectedInstOperands,
     /*  710495 */     // GIR_Coverage, 11404,
     /*  710495 */     GIR_EraseRootFromParent_Done,
     /*  710496 */   // Label 11199: @710496
     /*  710496 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710571), // Rule ID 11407 //
     /*  710501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710569 */     GIR_RootConstrainSelectedInstOperands,
     /*  710570 */     // GIR_Coverage, 11407,
     /*  710570 */     GIR_EraseRootFromParent_Done,
     /*  710571 */   // Label 11200: @710571
     /*  710571 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710646), // Rule ID 11408 //
     /*  710576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710622 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710644 */     GIR_RootConstrainSelectedInstOperands,
     /*  710645 */     // GIR_Coverage, 11408,
     /*  710645 */     GIR_EraseRootFromParent_Done,
     /*  710646 */   // Label 11201: @710646
     /*  710646 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710721), // Rule ID 11411 //
     /*  710651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710719 */     GIR_RootConstrainSelectedInstOperands,
     /*  710720 */     // GIR_Coverage, 11411,
     /*  710720 */     GIR_EraseRootFromParent_Done,
     /*  710721 */   // Label 11202: @710721
     /*  710721 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710796), // Rule ID 11412 //
     /*  710726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710794 */     GIR_RootConstrainSelectedInstOperands,
     /*  710795 */     // GIR_Coverage, 11412,
     /*  710795 */     GIR_EraseRootFromParent_Done,
     /*  710796 */   // Label 11203: @710796
     /*  710796 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710871), // Rule ID 11415 //
     /*  710801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710869 */     GIR_RootConstrainSelectedInstOperands,
     /*  710870 */     // GIR_Coverage, 11415,
     /*  710870 */     GIR_EraseRootFromParent_Done,
     /*  710871 */   // Label 11204: @710871
     /*  710871 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710946), // Rule ID 11416 //
     /*  710876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710922 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710944 */     GIR_RootConstrainSelectedInstOperands,
     /*  710945 */     // GIR_Coverage, 11416,
     /*  710945 */     GIR_EraseRootFromParent_Done,
     /*  710946 */   // Label 11205: @710946
     /*  710946 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711021), // Rule ID 11419 //
     /*  710951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711019 */     GIR_RootConstrainSelectedInstOperands,
     /*  711020 */     // GIR_Coverage, 11419,
     /*  711020 */     GIR_EraseRootFromParent_Done,
     /*  711021 */   // Label 11206: @711021
     /*  711021 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711096), // Rule ID 11420 //
     /*  711026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711094 */     GIR_RootConstrainSelectedInstOperands,
     /*  711095 */     // GIR_Coverage, 11420,
     /*  711095 */     GIR_EraseRootFromParent_Done,
     /*  711096 */   // Label 11207: @711096
     /*  711096 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711171), // Rule ID 11423 //
     /*  711101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711169 */     GIR_RootConstrainSelectedInstOperands,
     /*  711170 */     // GIR_Coverage, 11423,
     /*  711170 */     GIR_EraseRootFromParent_Done,
     /*  711171 */   // Label 11208: @711171
     /*  711171 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711246), // Rule ID 11424 //
     /*  711176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711244 */     GIR_RootConstrainSelectedInstOperands,
     /*  711245 */     // GIR_Coverage, 11424,
     /*  711245 */     GIR_EraseRootFromParent_Done,
     /*  711246 */   // Label 11209: @711246
     /*  711246 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711321), // Rule ID 11427 //
     /*  711251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711319 */     GIR_RootConstrainSelectedInstOperands,
     /*  711320 */     // GIR_Coverage, 11427,
     /*  711320 */     GIR_EraseRootFromParent_Done,
     /*  711321 */   // Label 11210: @711321
     /*  711321 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711396), // Rule ID 11428 //
     /*  711326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711394 */     GIR_RootConstrainSelectedInstOperands,
     /*  711395 */     // GIR_Coverage, 11428,
     /*  711395 */     GIR_EraseRootFromParent_Done,
     /*  711396 */   // Label 11211: @711396
     /*  711396 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711471), // Rule ID 11431 //
     /*  711401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711469 */     GIR_RootConstrainSelectedInstOperands,
     /*  711470 */     // GIR_Coverage, 11431,
     /*  711470 */     GIR_EraseRootFromParent_Done,
     /*  711471 */   // Label 11212: @711471
     /*  711471 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711546), // Rule ID 11432 //
     /*  711476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  711525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711544 */     GIR_RootConstrainSelectedInstOperands,
     /*  711545 */     // GIR_Coverage, 11432,
     /*  711545 */     GIR_EraseRootFromParent_Done,
     /*  711546 */   // Label 11213: @711546
     /*  711546 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711621), // Rule ID 11435 //
     /*  711551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711619 */     GIR_RootConstrainSelectedInstOperands,
     /*  711620 */     // GIR_Coverage, 11435,
     /*  711620 */     GIR_EraseRootFromParent_Done,
     /*  711621 */   // Label 11214: @711621
     /*  711621 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711696), // Rule ID 11436 //
     /*  711626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  711675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711694 */     GIR_RootConstrainSelectedInstOperands,
     /*  711695 */     // GIR_Coverage, 11436,
     /*  711695 */     GIR_EraseRootFromParent_Done,
     /*  711696 */   // Label 11215: @711696
     /*  711696 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711771), // Rule ID 11439 //
     /*  711701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711769 */     GIR_RootConstrainSelectedInstOperands,
     /*  711770 */     // GIR_Coverage, 11439,
     /*  711770 */     GIR_EraseRootFromParent_Done,
     /*  711771 */   // Label 11216: @711771
     /*  711771 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711846), // Rule ID 11440 //
     /*  711776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  711825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711844 */     GIR_RootConstrainSelectedInstOperands,
     /*  711845 */     // GIR_Coverage, 11440,
     /*  711845 */     GIR_EraseRootFromParent_Done,
     /*  711846 */   // Label 11217: @711846
     /*  711846 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711921), // Rule ID 11443 //
     /*  711851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  711900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711919 */     GIR_RootConstrainSelectedInstOperands,
     /*  711920 */     // GIR_Coverage, 11443,
     /*  711920 */     GIR_EraseRootFromParent_Done,
     /*  711921 */   // Label 11218: @711921
     /*  711921 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(711996), // Rule ID 11444 //
     /*  711926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  711975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711994 */     GIR_RootConstrainSelectedInstOperands,
     /*  711995 */     // GIR_Coverage, 11444,
     /*  711995 */     GIR_EraseRootFromParent_Done,
     /*  711996 */   // Label 11219: @711996
     /*  711996 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712071), // Rule ID 11447 //
     /*  712001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712069 */     GIR_RootConstrainSelectedInstOperands,
     /*  712070 */     // GIR_Coverage, 11447,
     /*  712070 */     GIR_EraseRootFromParent_Done,
     /*  712071 */   // Label 11220: @712071
     /*  712071 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712146), // Rule ID 11448 //
     /*  712076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  712125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712144 */     GIR_RootConstrainSelectedInstOperands,
     /*  712145 */     // GIR_Coverage, 11448,
     /*  712145 */     GIR_EraseRootFromParent_Done,
     /*  712146 */   // Label 11221: @712146
     /*  712146 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712221), // Rule ID 11451 //
     /*  712151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712219 */     GIR_RootConstrainSelectedInstOperands,
     /*  712220 */     // GIR_Coverage, 11451,
     /*  712220 */     GIR_EraseRootFromParent_Done,
     /*  712221 */   // Label 11222: @712221
     /*  712221 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712296), // Rule ID 11452 //
     /*  712226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  712275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712294 */     GIR_RootConstrainSelectedInstOperands,
     /*  712295 */     // GIR_Coverage, 11452,
     /*  712295 */     GIR_EraseRootFromParent_Done,
     /*  712296 */   // Label 11223: @712296
     /*  712296 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712371), // Rule ID 11455 //
     /*  712301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712369 */     GIR_RootConstrainSelectedInstOperands,
     /*  712370 */     // GIR_Coverage, 11455,
     /*  712370 */     GIR_EraseRootFromParent_Done,
     /*  712371 */   // Label 11224: @712371
     /*  712371 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712446), // Rule ID 11456 //
     /*  712376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  712425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712444 */     GIR_RootConstrainSelectedInstOperands,
     /*  712445 */     // GIR_Coverage, 11456,
     /*  712445 */     GIR_EraseRootFromParent_Done,
     /*  712446 */   // Label 11225: @712446
     /*  712446 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712521), // Rule ID 11459 //
     /*  712451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712519 */     GIR_RootConstrainSelectedInstOperands,
     /*  712520 */     // GIR_Coverage, 11459,
     /*  712520 */     GIR_EraseRootFromParent_Done,
     /*  712521 */   // Label 11226: @712521
     /*  712521 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712596), // Rule ID 11460 //
     /*  712526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  712575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712594 */     GIR_RootConstrainSelectedInstOperands,
     /*  712595 */     // GIR_Coverage, 11460,
     /*  712595 */     GIR_EraseRootFromParent_Done,
     /*  712596 */   // Label 11227: @712596
     /*  712596 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712671), // Rule ID 11463 //
     /*  712601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  712650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712669 */     GIR_RootConstrainSelectedInstOperands,
     /*  712670 */     // GIR_Coverage, 11463,
     /*  712670 */     GIR_EraseRootFromParent_Done,
     /*  712671 */   // Label 11228: @712671
     /*  712671 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712746), // Rule ID 11464 //
     /*  712676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  712725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712744 */     GIR_RootConstrainSelectedInstOperands,
     /*  712745 */     // GIR_Coverage, 11464,
     /*  712745 */     GIR_EraseRootFromParent_Done,
     /*  712746 */   // Label 11229: @712746
     /*  712746 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712821), // Rule ID 11467 //
     /*  712751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  712800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712819 */     GIR_RootConstrainSelectedInstOperands,
     /*  712820 */     // GIR_Coverage, 11467,
     /*  712820 */     GIR_EraseRootFromParent_Done,
     /*  712821 */   // Label 11230: @712821
     /*  712821 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712896), // Rule ID 11468 //
     /*  712826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  712875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712894 */     GIR_RootConstrainSelectedInstOperands,
     /*  712895 */     // GIR_Coverage, 11468,
     /*  712895 */     GIR_EraseRootFromParent_Done,
     /*  712896 */   // Label 11231: @712896
     /*  712896 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(712971), // Rule ID 11471 //
     /*  712901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  712950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712969 */     GIR_RootConstrainSelectedInstOperands,
     /*  712970 */     // GIR_Coverage, 11471,
     /*  712970 */     GIR_EraseRootFromParent_Done,
     /*  712971 */   // Label 11232: @712971
     /*  712971 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713046), // Rule ID 11472 //
     /*  712976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  712984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  713025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713044 */     GIR_RootConstrainSelectedInstOperands,
     /*  713045 */     // GIR_Coverage, 11472,
     /*  713045 */     GIR_EraseRootFromParent_Done,
     /*  713046 */   // Label 11233: @713046
     /*  713046 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713121), // Rule ID 11475 //
     /*  713051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713119 */     GIR_RootConstrainSelectedInstOperands,
     /*  713120 */     // GIR_Coverage, 11475,
     /*  713120 */     GIR_EraseRootFromParent_Done,
     /*  713121 */   // Label 11234: @713121
     /*  713121 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713196), // Rule ID 11476 //
     /*  713126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  713175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713194 */     GIR_RootConstrainSelectedInstOperands,
     /*  713195 */     // GIR_Coverage, 11476,
     /*  713195 */     GIR_EraseRootFromParent_Done,
     /*  713196 */   // Label 11235: @713196
     /*  713196 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713271), // Rule ID 11479 //
     /*  713201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713269 */     GIR_RootConstrainSelectedInstOperands,
     /*  713270 */     // GIR_Coverage, 11479,
     /*  713270 */     GIR_EraseRootFromParent_Done,
     /*  713271 */   // Label 11236: @713271
     /*  713271 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713346), // Rule ID 11480 //
     /*  713276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  713325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713344 */     GIR_RootConstrainSelectedInstOperands,
     /*  713345 */     // GIR_Coverage, 11480,
     /*  713345 */     GIR_EraseRootFromParent_Done,
     /*  713346 */   // Label 11237: @713346
     /*  713346 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713421), // Rule ID 11483 //
     /*  713351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713419 */     GIR_RootConstrainSelectedInstOperands,
     /*  713420 */     // GIR_Coverage, 11483,
     /*  713420 */     GIR_EraseRootFromParent_Done,
     /*  713421 */   // Label 11238: @713421
     /*  713421 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713496), // Rule ID 11484 //
     /*  713426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  713475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713494 */     GIR_RootConstrainSelectedInstOperands,
     /*  713495 */     // GIR_Coverage, 11484,
     /*  713495 */     GIR_EraseRootFromParent_Done,
     /*  713496 */   // Label 11239: @713496
     /*  713496 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713571), // Rule ID 11487 //
     /*  713501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713569 */     GIR_RootConstrainSelectedInstOperands,
     /*  713570 */     // GIR_Coverage, 11487,
     /*  713570 */     GIR_EraseRootFromParent_Done,
     /*  713571 */   // Label 11240: @713571
     /*  713571 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713646), // Rule ID 11488 //
     /*  713576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  713625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713644 */     GIR_RootConstrainSelectedInstOperands,
     /*  713645 */     // GIR_Coverage, 11488,
     /*  713645 */     GIR_EraseRootFromParent_Done,
     /*  713646 */   // Label 11241: @713646
     /*  713646 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713721), // Rule ID 11491 //
     /*  713651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  713700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713719 */     GIR_RootConstrainSelectedInstOperands,
     /*  713720 */     // GIR_Coverage, 11491,
     /*  713720 */     GIR_EraseRootFromParent_Done,
     /*  713721 */   // Label 11242: @713721
     /*  713721 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713796), // Rule ID 11492 //
     /*  713726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  713775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713794 */     GIR_RootConstrainSelectedInstOperands,
     /*  713795 */     // GIR_Coverage, 11492,
     /*  713795 */     GIR_EraseRootFromParent_Done,
     /*  713796 */   // Label 11243: @713796
     /*  713796 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713871), // Rule ID 11495 //
     /*  713801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  713850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713869 */     GIR_RootConstrainSelectedInstOperands,
     /*  713870 */     // GIR_Coverage, 11495,
     /*  713870 */     GIR_EraseRootFromParent_Done,
     /*  713871 */   // Label 11244: @713871
     /*  713871 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713946), // Rule ID 11496 //
     /*  713876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  713925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713944 */     GIR_RootConstrainSelectedInstOperands,
     /*  713945 */     // GIR_Coverage, 11496,
     /*  713945 */     GIR_EraseRootFromParent_Done,
     /*  713946 */   // Label 11245: @713946
     /*  713946 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714021), // Rule ID 11499 //
     /*  713951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  713959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714019 */     GIR_RootConstrainSelectedInstOperands,
     /*  714020 */     // GIR_Coverage, 11499,
     /*  714020 */     GIR_EraseRootFromParent_Done,
     /*  714021 */   // Label 11246: @714021
     /*  714021 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714096), // Rule ID 11500 //
     /*  714026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  714075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714094 */     GIR_RootConstrainSelectedInstOperands,
     /*  714095 */     // GIR_Coverage, 11500,
     /*  714095 */     GIR_EraseRootFromParent_Done,
     /*  714096 */   // Label 11247: @714096
     /*  714096 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714171), // Rule ID 11503 //
     /*  714101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714169 */     GIR_RootConstrainSelectedInstOperands,
     /*  714170 */     // GIR_Coverage, 11503,
     /*  714170 */     GIR_EraseRootFromParent_Done,
     /*  714171 */   // Label 11248: @714171
     /*  714171 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714246), // Rule ID 11504 //
     /*  714176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  714184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  714225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714244 */     GIR_RootConstrainSelectedInstOperands,
     /*  714245 */     // GIR_Coverage, 11504,
     /*  714245 */     GIR_EraseRootFromParent_Done,
     /*  714246 */   // Label 11249: @714246
     /*  714246 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714321), // Rule ID 11507 //
     /*  714251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714319 */     GIR_RootConstrainSelectedInstOperands,
     /*  714320 */     // GIR_Coverage, 11507,
     /*  714320 */     GIR_EraseRootFromParent_Done,
     /*  714321 */   // Label 11250: @714321
     /*  714321 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714396), // Rule ID 11508 //
     /*  714326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  714375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714394 */     GIR_RootConstrainSelectedInstOperands,
     /*  714395 */     // GIR_Coverage, 11508,
     /*  714395 */     GIR_EraseRootFromParent_Done,
     /*  714396 */   // Label 11251: @714396
     /*  714396 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714471), // Rule ID 11511 //
     /*  714401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714469 */     GIR_RootConstrainSelectedInstOperands,
     /*  714470 */     // GIR_Coverage, 11511,
     /*  714470 */     GIR_EraseRootFromParent_Done,
     /*  714471 */   // Label 11252: @714471
     /*  714471 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714546), // Rule ID 11512 //
     /*  714476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714544 */     GIR_RootConstrainSelectedInstOperands,
     /*  714545 */     // GIR_Coverage, 11512,
     /*  714545 */     GIR_EraseRootFromParent_Done,
     /*  714546 */   // Label 11253: @714546
     /*  714546 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714621), // Rule ID 11515 //
     /*  714551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714619 */     GIR_RootConstrainSelectedInstOperands,
     /*  714620 */     // GIR_Coverage, 11515,
     /*  714620 */     GIR_EraseRootFromParent_Done,
     /*  714621 */   // Label 11254: @714621
     /*  714621 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714696), // Rule ID 11516 //
     /*  714626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714694 */     GIR_RootConstrainSelectedInstOperands,
     /*  714695 */     // GIR_Coverage, 11516,
     /*  714695 */     GIR_EraseRootFromParent_Done,
     /*  714696 */   // Label 11255: @714696
     /*  714696 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714771), // Rule ID 11519 //
     /*  714701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714769 */     GIR_RootConstrainSelectedInstOperands,
     /*  714770 */     // GIR_Coverage, 11519,
     /*  714770 */     GIR_EraseRootFromParent_Done,
     /*  714771 */   // Label 11256: @714771
     /*  714771 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714846), // Rule ID 11520 //
     /*  714776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714844 */     GIR_RootConstrainSelectedInstOperands,
     /*  714845 */     // GIR_Coverage, 11520,
     /*  714845 */     GIR_EraseRootFromParent_Done,
     /*  714846 */   // Label 11257: @714846
     /*  714846 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714921), // Rule ID 11523 //
     /*  714851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714919 */     GIR_RootConstrainSelectedInstOperands,
     /*  714920 */     // GIR_Coverage, 11523,
     /*  714920 */     GIR_EraseRootFromParent_Done,
     /*  714921 */   // Label 11258: @714921
     /*  714921 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(714996), // Rule ID 11524 //
     /*  714926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714994 */     GIR_RootConstrainSelectedInstOperands,
     /*  714995 */     // GIR_Coverage, 11524,
     /*  714995 */     GIR_EraseRootFromParent_Done,
     /*  714996 */   // Label 11259: @714996
     /*  714996 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715071), // Rule ID 11527 //
     /*  715001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715069 */     GIR_RootConstrainSelectedInstOperands,
     /*  715070 */     // GIR_Coverage, 11527,
     /*  715070 */     GIR_EraseRootFromParent_Done,
     /*  715071 */   // Label 11260: @715071
     /*  715071 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715146), // Rule ID 11528 //
     /*  715076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715144 */     GIR_RootConstrainSelectedInstOperands,
     /*  715145 */     // GIR_Coverage, 11528,
     /*  715145 */     GIR_EraseRootFromParent_Done,
     /*  715146 */   // Label 11261: @715146
     /*  715146 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715221), // Rule ID 11531 //
     /*  715151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715219 */     GIR_RootConstrainSelectedInstOperands,
     /*  715220 */     // GIR_Coverage, 11531,
     /*  715220 */     GIR_EraseRootFromParent_Done,
     /*  715221 */   // Label 11262: @715221
     /*  715221 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715296), // Rule ID 11532 //
     /*  715226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715294 */     GIR_RootConstrainSelectedInstOperands,
     /*  715295 */     // GIR_Coverage, 11532,
     /*  715295 */     GIR_EraseRootFromParent_Done,
     /*  715296 */   // Label 11263: @715296
     /*  715296 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715371), // Rule ID 11535 //
     /*  715301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  715304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715369 */     GIR_RootConstrainSelectedInstOperands,
     /*  715370 */     // GIR_Coverage, 11535,
     /*  715370 */     GIR_EraseRootFromParent_Done,
     /*  715371 */   // Label 11264: @715371
     /*  715371 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715446), // Rule ID 11536 //
     /*  715376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  715379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  715387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  715390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  715393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715444 */     GIR_RootConstrainSelectedInstOperands,
     /*  715445 */     // GIR_Coverage, 11536,
     /*  715445 */     GIR_EraseRootFromParent_Done,
     /*  715446 */   // Label 11265: @715446
     /*  715446 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715521), // Rule ID 11539 //
     /*  715451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715519 */     GIR_RootConstrainSelectedInstOperands,
     /*  715520 */     // GIR_Coverage, 11539,
     /*  715520 */     GIR_EraseRootFromParent_Done,
     /*  715521 */   // Label 11266: @715521
     /*  715521 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715596), // Rule ID 11540 //
     /*  715526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  715537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  715540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  715546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  715575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715594 */     GIR_RootConstrainSelectedInstOperands,
     /*  715595 */     // GIR_Coverage, 11540,
     /*  715595 */     GIR_EraseRootFromParent_Done,
     /*  715596 */   // Label 11267: @715596
     /*  715596 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715671), // Rule ID 11543 //
     /*  715601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  715612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  715615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  715621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  715650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715669 */     GIR_RootConstrainSelectedInstOperands,
     /*  715670 */     // GIR_Coverage, 11543,
     /*  715670 */     GIR_EraseRootFromParent_Done,
     /*  715671 */   // Label 11268: @715671
     /*  715671 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715746), // Rule ID 11544 //
     /*  715676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  715687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  715690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  715696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  715725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715744 */     GIR_RootConstrainSelectedInstOperands,
     /*  715745 */     // GIR_Coverage, 11544,
     /*  715745 */     GIR_EraseRootFromParent_Done,
     /*  715746 */   // Label 11269: @715746
     /*  715746 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715821), // Rule ID 11547 //
     /*  715751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  715762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  715765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  715771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  715800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715819 */     GIR_RootConstrainSelectedInstOperands,
     /*  715820 */     // GIR_Coverage, 11547,
     /*  715820 */     GIR_EraseRootFromParent_Done,
     /*  715821 */   // Label 11270: @715821
     /*  715821 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715896), // Rule ID 11548 //
     /*  715826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  715837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  715840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  715846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  715875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715894 */     GIR_RootConstrainSelectedInstOperands,
     /*  715895 */     // GIR_Coverage, 11548,
     /*  715895 */     GIR_EraseRootFromParent_Done,
     /*  715896 */   // Label 11271: @715896
     /*  715896 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(715971), // Rule ID 11551 //
     /*  715901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  715912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  715915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  715921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  715950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715969 */     GIR_RootConstrainSelectedInstOperands,
     /*  715970 */     // GIR_Coverage, 11551,
     /*  715970 */     GIR_EraseRootFromParent_Done,
     /*  715971 */   // Label 11272: @715971
     /*  715971 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716046), // Rule ID 11552 //
     /*  715976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  715987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  715990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  715996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  716025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716044 */     GIR_RootConstrainSelectedInstOperands,
     /*  716045 */     // GIR_Coverage, 11552,
     /*  716045 */     GIR_EraseRootFromParent_Done,
     /*  716046 */   // Label 11273: @716046
     /*  716046 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716121), // Rule ID 11555 //
     /*  716051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716119 */     GIR_RootConstrainSelectedInstOperands,
     /*  716120 */     // GIR_Coverage, 11555,
     /*  716120 */     GIR_EraseRootFromParent_Done,
     /*  716121 */   // Label 11274: @716121
     /*  716121 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716196), // Rule ID 11556 //
     /*  716126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  716175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716194 */     GIR_RootConstrainSelectedInstOperands,
     /*  716195 */     // GIR_Coverage, 11556,
     /*  716195 */     GIR_EraseRootFromParent_Done,
     /*  716196 */   // Label 11275: @716196
     /*  716196 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716271), // Rule ID 11559 //
     /*  716201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716269 */     GIR_RootConstrainSelectedInstOperands,
     /*  716270 */     // GIR_Coverage, 11559,
     /*  716270 */     GIR_EraseRootFromParent_Done,
     /*  716271 */   // Label 11276: @716271
     /*  716271 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716346), // Rule ID 11560 //
     /*  716276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  716325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716344 */     GIR_RootConstrainSelectedInstOperands,
     /*  716345 */     // GIR_Coverage, 11560,
     /*  716345 */     GIR_EraseRootFromParent_Done,
     /*  716346 */   // Label 11277: @716346
     /*  716346 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716421), // Rule ID 11563 //
     /*  716351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716419 */     GIR_RootConstrainSelectedInstOperands,
     /*  716420 */     // GIR_Coverage, 11563,
     /*  716420 */     GIR_EraseRootFromParent_Done,
     /*  716421 */   // Label 11278: @716421
     /*  716421 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716496), // Rule ID 11564 //
     /*  716426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  716475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716494 */     GIR_RootConstrainSelectedInstOperands,
     /*  716495 */     // GIR_Coverage, 11564,
     /*  716495 */     GIR_EraseRootFromParent_Done,
     /*  716496 */   // Label 11279: @716496
     /*  716496 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716571), // Rule ID 11567 //
     /*  716501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716569 */     GIR_RootConstrainSelectedInstOperands,
     /*  716570 */     // GIR_Coverage, 11567,
     /*  716570 */     GIR_EraseRootFromParent_Done,
     /*  716571 */   // Label 11280: @716571
     /*  716571 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716646), // Rule ID 11568 //
     /*  716576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  716625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716644 */     GIR_RootConstrainSelectedInstOperands,
     /*  716645 */     // GIR_Coverage, 11568,
     /*  716645 */     GIR_EraseRootFromParent_Done,
     /*  716646 */   // Label 11281: @716646
     /*  716646 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716721), // Rule ID 11571 //
     /*  716651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  716700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716719 */     GIR_RootConstrainSelectedInstOperands,
     /*  716720 */     // GIR_Coverage, 11571,
     /*  716720 */     GIR_EraseRootFromParent_Done,
     /*  716721 */   // Label 11282: @716721
     /*  716721 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716796), // Rule ID 11572 //
     /*  716726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  716775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716794 */     GIR_RootConstrainSelectedInstOperands,
     /*  716795 */     // GIR_Coverage, 11572,
     /*  716795 */     GIR_EraseRootFromParent_Done,
     /*  716796 */   // Label 11283: @716796
     /*  716796 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716871), // Rule ID 11575 //
     /*  716801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  716804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  716850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716869 */     GIR_RootConstrainSelectedInstOperands,
     /*  716870 */     // GIR_Coverage, 11575,
     /*  716870 */     GIR_EraseRootFromParent_Done,
     /*  716871 */   // Label 11284: @716871
     /*  716871 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716946), // Rule ID 11576 //
     /*  716876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  716879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  716925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716944 */     GIR_RootConstrainSelectedInstOperands,
     /*  716945 */     // GIR_Coverage, 11576,
     /*  716945 */     GIR_EraseRootFromParent_Done,
     /*  716946 */   // Label 11285: @716946
     /*  716946 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717021), // Rule ID 11579 //
     /*  716951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  716962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  716965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  716968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  716971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717019 */     GIR_RootConstrainSelectedInstOperands,
     /*  717020 */     // GIR_Coverage, 11579,
     /*  717020 */     GIR_EraseRootFromParent_Done,
     /*  717021 */   // Label 11286: @717021
     /*  717021 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717096), // Rule ID 11580 //
     /*  717026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  717075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717094 */     GIR_RootConstrainSelectedInstOperands,
     /*  717095 */     // GIR_Coverage, 11580,
     /*  717095 */     GIR_EraseRootFromParent_Done,
     /*  717096 */   // Label 11287: @717096
     /*  717096 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717171), // Rule ID 11583 //
     /*  717101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717169 */     GIR_RootConstrainSelectedInstOperands,
     /*  717170 */     // GIR_Coverage, 11583,
     /*  717170 */     GIR_EraseRootFromParent_Done,
     /*  717171 */   // Label 11288: @717171
     /*  717171 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717246), // Rule ID 11584 //
     /*  717176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  717225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717244 */     GIR_RootConstrainSelectedInstOperands,
     /*  717245 */     // GIR_Coverage, 11584,
     /*  717245 */     GIR_EraseRootFromParent_Done,
     /*  717246 */   // Label 11289: @717246
     /*  717246 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717321), // Rule ID 11587 //
     /*  717251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717297 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717319 */     GIR_RootConstrainSelectedInstOperands,
     /*  717320 */     // GIR_Coverage, 11587,
     /*  717320 */     GIR_EraseRootFromParent_Done,
     /*  717321 */   // Label 11290: @717321
     /*  717321 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717396), // Rule ID 11588 //
     /*  717326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  717375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717394 */     GIR_RootConstrainSelectedInstOperands,
     /*  717395 */     // GIR_Coverage, 11588,
     /*  717395 */     GIR_EraseRootFromParent_Done,
     /*  717396 */   // Label 11291: @717396
     /*  717396 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717471), // Rule ID 11591 //
     /*  717401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717469 */     GIR_RootConstrainSelectedInstOperands,
     /*  717470 */     // GIR_Coverage, 11591,
     /*  717470 */     GIR_EraseRootFromParent_Done,
     /*  717471 */   // Label 11292: @717471
     /*  717471 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717546), // Rule ID 11592 //
     /*  717476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  717487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  717490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  717496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  717525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717544 */     GIR_RootConstrainSelectedInstOperands,
     /*  717545 */     // GIR_Coverage, 11592,
     /*  717545 */     GIR_EraseRootFromParent_Done,
     /*  717546 */   // Label 11293: @717546
     /*  717546 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717621), // Rule ID 11595 //
     /*  717551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  717562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  717565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  717571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  717600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717619 */     GIR_RootConstrainSelectedInstOperands,
     /*  717620 */     // GIR_Coverage, 11595,
     /*  717620 */     GIR_EraseRootFromParent_Done,
     /*  717621 */   // Label 11294: @717621
     /*  717621 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717696), // Rule ID 11596 //
     /*  717626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  717637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  717640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  717646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  717675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717694 */     GIR_RootConstrainSelectedInstOperands,
     /*  717695 */     // GIR_Coverage, 11596,
     /*  717695 */     GIR_EraseRootFromParent_Done,
     /*  717696 */   // Label 11295: @717696
     /*  717696 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717771), // Rule ID 11599 //
     /*  717701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  717712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  717715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  717721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  717750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717769 */     GIR_RootConstrainSelectedInstOperands,
     /*  717770 */     // GIR_Coverage, 11599,
     /*  717770 */     GIR_EraseRootFromParent_Done,
     /*  717771 */   // Label 11296: @717771
     /*  717771 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717846), // Rule ID 11600 //
     /*  717776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  717787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  717790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  717796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  717825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717844 */     GIR_RootConstrainSelectedInstOperands,
     /*  717845 */     // GIR_Coverage, 11600,
     /*  717845 */     GIR_EraseRootFromParent_Done,
     /*  717846 */   // Label 11297: @717846
     /*  717846 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717921), // Rule ID 11603 //
     /*  717851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  717862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  717865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  717871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  717900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717919 */     GIR_RootConstrainSelectedInstOperands,
     /*  717920 */     // GIR_Coverage, 11603,
     /*  717920 */     GIR_EraseRootFromParent_Done,
     /*  717921 */   // Label 11298: @717921
     /*  717921 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(717996), // Rule ID 11604 //
     /*  717926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  717937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  717940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  717946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  717975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717994 */     GIR_RootConstrainSelectedInstOperands,
     /*  717995 */     // GIR_Coverage, 11604,
     /*  717995 */     GIR_EraseRootFromParent_Done,
     /*  717996 */   // Label 11299: @717996
     /*  717996 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718071), // Rule ID 11607 //
     /*  718001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718069 */     GIR_RootConstrainSelectedInstOperands,
     /*  718070 */     // GIR_Coverage, 11607,
     /*  718070 */     GIR_EraseRootFromParent_Done,
     /*  718071 */   // Label 11300: @718071
     /*  718071 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718146), // Rule ID 11608 //
     /*  718076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  718125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718144 */     GIR_RootConstrainSelectedInstOperands,
     /*  718145 */     // GIR_Coverage, 11608,
     /*  718145 */     GIR_EraseRootFromParent_Done,
     /*  718146 */   // Label 11301: @718146
     /*  718146 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718221), // Rule ID 11611 //
     /*  718151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718219 */     GIR_RootConstrainSelectedInstOperands,
     /*  718220 */     // GIR_Coverage, 11611,
     /*  718220 */     GIR_EraseRootFromParent_Done,
     /*  718221 */   // Label 11302: @718221
     /*  718221 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718296), // Rule ID 11612 //
     /*  718226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  718275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718294 */     GIR_RootConstrainSelectedInstOperands,
     /*  718295 */     // GIR_Coverage, 11612,
     /*  718295 */     GIR_EraseRootFromParent_Done,
     /*  718296 */   // Label 11303: @718296
     /*  718296 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718371), // Rule ID 11615 //
     /*  718301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718369 */     GIR_RootConstrainSelectedInstOperands,
     /*  718370 */     // GIR_Coverage, 11615,
     /*  718370 */     GIR_EraseRootFromParent_Done,
     /*  718371 */   // Label 11304: @718371
     /*  718371 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718446), // Rule ID 11616 //
     /*  718376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  718425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718444 */     GIR_RootConstrainSelectedInstOperands,
     /*  718445 */     // GIR_Coverage, 11616,
     /*  718445 */     GIR_EraseRootFromParent_Done,
     /*  718446 */   // Label 11305: @718446
     /*  718446 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718521), // Rule ID 11619 //
     /*  718451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718519 */     GIR_RootConstrainSelectedInstOperands,
     /*  718520 */     // GIR_Coverage, 11619,
     /*  718520 */     GIR_EraseRootFromParent_Done,
     /*  718521 */   // Label 11306: @718521
     /*  718521 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718596), // Rule ID 11620 //
     /*  718526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  718575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718594 */     GIR_RootConstrainSelectedInstOperands,
     /*  718595 */     // GIR_Coverage, 11620,
     /*  718595 */     GIR_EraseRootFromParent_Done,
     /*  718596 */   // Label 11307: @718596
     /*  718596 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718671), // Rule ID 11623 //
     /*  718601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  718650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718669 */     GIR_RootConstrainSelectedInstOperands,
     /*  718670 */     // GIR_Coverage, 11623,
     /*  718670 */     GIR_EraseRootFromParent_Done,
     /*  718671 */   // Label 11308: @718671
     /*  718671 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718746), // Rule ID 11624 //
     /*  718676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  718725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718744 */     GIR_RootConstrainSelectedInstOperands,
     /*  718745 */     // GIR_Coverage, 11624,
     /*  718745 */     GIR_EraseRootFromParent_Done,
     /*  718746 */   // Label 11309: @718746
     /*  718746 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718821), // Rule ID 11627 //
     /*  718751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  718762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  718765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  718800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718819 */     GIR_RootConstrainSelectedInstOperands,
     /*  718820 */     // GIR_Coverage, 11627,
     /*  718820 */     GIR_EraseRootFromParent_Done,
     /*  718821 */   // Label 11310: @718821
     /*  718821 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718896), // Rule ID 11628 //
     /*  718826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  718837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  718840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  718875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718894 */     GIR_RootConstrainSelectedInstOperands,
     /*  718895 */     // GIR_Coverage, 11628,
     /*  718895 */     GIR_EraseRootFromParent_Done,
     /*  718896 */   // Label 11311: @718896
     /*  718896 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(718971), // Rule ID 11631 //
     /*  718901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  718912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  718915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  718918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  718950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718969 */     GIR_RootConstrainSelectedInstOperands,
     /*  718970 */     // GIR_Coverage, 11631,
     /*  718970 */     GIR_EraseRootFromParent_Done,
     /*  718971 */   // Label 11312: @718971
     /*  718971 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719046), // Rule ID 11632 //
     /*  718976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  718987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  718990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  718993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  719025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719044 */     GIR_RootConstrainSelectedInstOperands,
     /*  719045 */     // GIR_Coverage, 11632,
     /*  719045 */     GIR_EraseRootFromParent_Done,
     /*  719046 */   // Label 11313: @719046
     /*  719046 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719121), // Rule ID 11635 //
     /*  719051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719119 */     GIR_RootConstrainSelectedInstOperands,
     /*  719120 */     // GIR_Coverage, 11635,
     /*  719120 */     GIR_EraseRootFromParent_Done,
     /*  719121 */   // Label 11314: @719121
     /*  719121 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719196), // Rule ID 11636 //
     /*  719126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  719175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719194 */     GIR_RootConstrainSelectedInstOperands,
     /*  719195 */     // GIR_Coverage, 11636,
     /*  719195 */     GIR_EraseRootFromParent_Done,
     /*  719196 */   // Label 11315: @719196
     /*  719196 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719271), // Rule ID 11639 //
     /*  719201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719269 */     GIR_RootConstrainSelectedInstOperands,
     /*  719270 */     // GIR_Coverage, 11639,
     /*  719270 */     GIR_EraseRootFromParent_Done,
     /*  719271 */   // Label 11316: @719271
     /*  719271 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719346), // Rule ID 11640 //
     /*  719276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  719325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719344 */     GIR_RootConstrainSelectedInstOperands,
     /*  719345 */     // GIR_Coverage, 11640,
     /*  719345 */     GIR_EraseRootFromParent_Done,
     /*  719346 */   // Label 11317: @719346
     /*  719346 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719421), // Rule ID 11643 //
     /*  719351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719419 */     GIR_RootConstrainSelectedInstOperands,
     /*  719420 */     // GIR_Coverage, 11643,
     /*  719420 */     GIR_EraseRootFromParent_Done,
     /*  719421 */   // Label 11318: @719421
     /*  719421 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719496), // Rule ID 11644 //
     /*  719426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  719437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  719440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  719475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719494 */     GIR_RootConstrainSelectedInstOperands,
     /*  719495 */     // GIR_Coverage, 11644,
     /*  719495 */     GIR_EraseRootFromParent_Done,
     /*  719496 */   // Label 11319: @719496
     /*  719496 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719571), // Rule ID 11647 //
     /*  719501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719569 */     GIR_RootConstrainSelectedInstOperands,
     /*  719570 */     // GIR_Coverage, 11647,
     /*  719570 */     GIR_EraseRootFromParent_Done,
     /*  719571 */   // Label 11320: @719571
     /*  719571 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719646), // Rule ID 11648 //
     /*  719576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  719587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  719590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  719625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719644 */     GIR_RootConstrainSelectedInstOperands,
     /*  719645 */     // GIR_Coverage, 11648,
     /*  719645 */     GIR_EraseRootFromParent_Done,
     /*  719646 */   // Label 11321: @719646
     /*  719646 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719721), // Rule ID 11651 //
     /*  719651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  719700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719719 */     GIR_RootConstrainSelectedInstOperands,
     /*  719720 */     // GIR_Coverage, 11651,
     /*  719720 */     GIR_EraseRootFromParent_Done,
     /*  719721 */   // Label 11322: @719721
     /*  719721 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719796), // Rule ID 11652 //
     /*  719726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  719775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719794 */     GIR_RootConstrainSelectedInstOperands,
     /*  719795 */     // GIR_Coverage, 11652,
     /*  719795 */     GIR_EraseRootFromParent_Done,
     /*  719796 */   // Label 11323: @719796
     /*  719796 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719871), // Rule ID 11655 //
     /*  719801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  719850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719869 */     GIR_RootConstrainSelectedInstOperands,
     /*  719870 */     // GIR_Coverage, 11655,
     /*  719870 */     GIR_EraseRootFromParent_Done,
     /*  719871 */   // Label 11324: @719871
     /*  719871 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719946), // Rule ID 11656 //
     /*  719876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  719925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719944 */     GIR_RootConstrainSelectedInstOperands,
     /*  719945 */     // GIR_Coverage, 11656,
     /*  719945 */     GIR_EraseRootFromParent_Done,
     /*  719946 */   // Label 11325: @719946
     /*  719946 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720021), // Rule ID 11659 //
     /*  719951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  719968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720019 */     GIR_RootConstrainSelectedInstOperands,
     /*  720020 */     // GIR_Coverage, 11659,
     /*  720020 */     GIR_EraseRootFromParent_Done,
     /*  720021 */   // Label 11326: @720021
     /*  720021 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720096), // Rule ID 11660 //
     /*  720026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  720075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720094 */     GIR_RootConstrainSelectedInstOperands,
     /*  720095 */     // GIR_Coverage, 11660,
     /*  720095 */     GIR_EraseRootFromParent_Done,
     /*  720096 */   // Label 11327: @720096
     /*  720096 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720171), // Rule ID 11663 //
     /*  720101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720169 */     GIR_RootConstrainSelectedInstOperands,
     /*  720170 */     // GIR_Coverage, 11663,
     /*  720170 */     GIR_EraseRootFromParent_Done,
     /*  720171 */   // Label 11328: @720171
     /*  720171 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720246), // Rule ID 11664 //
     /*  720176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  720225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720244 */     GIR_RootConstrainSelectedInstOperands,
     /*  720245 */     // GIR_Coverage, 11664,
     /*  720245 */     GIR_EraseRootFromParent_Done,
     /*  720246 */   // Label 11329: @720246
     /*  720246 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720321), // Rule ID 11667 //
     /*  720251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720319 */     GIR_RootConstrainSelectedInstOperands,
     /*  720320 */     // GIR_Coverage, 11667,
     /*  720320 */     GIR_EraseRootFromParent_Done,
     /*  720321 */   // Label 11330: @720321
     /*  720321 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720396), // Rule ID 11668 //
     /*  720326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  720375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720394 */     GIR_RootConstrainSelectedInstOperands,
     /*  720395 */     // GIR_Coverage, 11668,
     /*  720395 */     GIR_EraseRootFromParent_Done,
     /*  720396 */   // Label 11331: @720396
     /*  720396 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720471), // Rule ID 11671 //
     /*  720401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720447 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720469 */     GIR_RootConstrainSelectedInstOperands,
     /*  720470 */     // GIR_Coverage, 11671,
     /*  720470 */     GIR_EraseRootFromParent_Done,
     /*  720471 */   // Label 11332: @720471
     /*  720471 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720546), // Rule ID 11672 //
     /*  720476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  720487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  720490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  720525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720544 */     GIR_RootConstrainSelectedInstOperands,
     /*  720545 */     // GIR_Coverage, 11672,
     /*  720545 */     GIR_EraseRootFromParent_Done,
     /*  720546 */   // Label 11333: @720546
     /*  720546 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720621), // Rule ID 11675 //
     /*  720551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  720562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  720565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  720600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720619 */     GIR_RootConstrainSelectedInstOperands,
     /*  720620 */     // GIR_Coverage, 11675,
     /*  720620 */     GIR_EraseRootFromParent_Done,
     /*  720621 */   // Label 11334: @720621
     /*  720621 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720696), // Rule ID 11676 //
     /*  720626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  720637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  720640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  720675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720694 */     GIR_RootConstrainSelectedInstOperands,
     /*  720695 */     // GIR_Coverage, 11676,
     /*  720695 */     GIR_EraseRootFromParent_Done,
     /*  720696 */   // Label 11335: @720696
     /*  720696 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720771), // Rule ID 11679 //
     /*  720701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  720712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  720715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  720750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720769 */     GIR_RootConstrainSelectedInstOperands,
     /*  720770 */     // GIR_Coverage, 11679,
     /*  720770 */     GIR_EraseRootFromParent_Done,
     /*  720771 */   // Label 11336: @720771
     /*  720771 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720846), // Rule ID 11680 //
     /*  720776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  720787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  720790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  720825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720844 */     GIR_RootConstrainSelectedInstOperands,
     /*  720845 */     // GIR_Coverage, 11680,
     /*  720845 */     GIR_EraseRootFromParent_Done,
     /*  720846 */   // Label 11337: @720846
     /*  720846 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720921), // Rule ID 11683 //
     /*  720851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  720862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  720865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  720900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720919 */     GIR_RootConstrainSelectedInstOperands,
     /*  720920 */     // GIR_Coverage, 11683,
     /*  720920 */     GIR_EraseRootFromParent_Done,
     /*  720921 */   // Label 11338: @720921
     /*  720921 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(720996), // Rule ID 11684 //
     /*  720926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  720937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  720940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  720975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720994 */     GIR_RootConstrainSelectedInstOperands,
     /*  720995 */     // GIR_Coverage, 11684,
     /*  720995 */     GIR_EraseRootFromParent_Done,
     /*  720996 */   // Label 11339: @720996
     /*  720996 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721071), // Rule ID 11687 //
     /*  721001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721069 */     GIR_RootConstrainSelectedInstOperands,
     /*  721070 */     // GIR_Coverage, 11687,
     /*  721070 */     GIR_EraseRootFromParent_Done,
     /*  721071 */   // Label 11340: @721071
     /*  721071 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721146), // Rule ID 11688 //
     /*  721076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  721125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721144 */     GIR_RootConstrainSelectedInstOperands,
     /*  721145 */     // GIR_Coverage, 11688,
     /*  721145 */     GIR_EraseRootFromParent_Done,
     /*  721146 */   // Label 11341: @721146
     /*  721146 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721221), // Rule ID 11691 //
     /*  721151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721219 */     GIR_RootConstrainSelectedInstOperands,
     /*  721220 */     // GIR_Coverage, 11691,
     /*  721220 */     GIR_EraseRootFromParent_Done,
     /*  721221 */   // Label 11342: @721221
     /*  721221 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721296), // Rule ID 11692 //
     /*  721226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  721275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721294 */     GIR_RootConstrainSelectedInstOperands,
     /*  721295 */     // GIR_Coverage, 11692,
     /*  721295 */     GIR_EraseRootFromParent_Done,
     /*  721296 */   // Label 11343: @721296
     /*  721296 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721371), // Rule ID 11695 //
     /*  721301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721369 */     GIR_RootConstrainSelectedInstOperands,
     /*  721370 */     // GIR_Coverage, 11695,
     /*  721370 */     GIR_EraseRootFromParent_Done,
     /*  721371 */   // Label 11344: @721371
     /*  721371 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721446), // Rule ID 11696 //
     /*  721376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  721387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  721390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  721393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  721425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721444 */     GIR_RootConstrainSelectedInstOperands,
     /*  721445 */     // GIR_Coverage, 11696,
     /*  721445 */     GIR_EraseRootFromParent_Done,
     /*  721446 */   // Label 11345: @721446
     /*  721446 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721521), // Rule ID 11699 //
     /*  721451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721519 */     GIR_RootConstrainSelectedInstOperands,
     /*  721520 */     // GIR_Coverage, 11699,
     /*  721520 */     GIR_EraseRootFromParent_Done,
     /*  721521 */   // Label 11346: @721521
     /*  721521 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721596), // Rule ID 11700 //
     /*  721526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  721537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  721540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  721575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721594 */     GIR_RootConstrainSelectedInstOperands,
     /*  721595 */     // GIR_Coverage, 11700,
     /*  721595 */     GIR_EraseRootFromParent_Done,
     /*  721596 */   // Label 11347: @721596
     /*  721596 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721671), // Rule ID 11703 //
     /*  721601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  721612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  721615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  721650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721669 */     GIR_RootConstrainSelectedInstOperands,
     /*  721670 */     // GIR_Coverage, 11703,
     /*  721670 */     GIR_EraseRootFromParent_Done,
     /*  721671 */   // Label 11348: @721671
     /*  721671 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721746), // Rule ID 11704 //
     /*  721676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  721687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  721690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  721725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721744 */     GIR_RootConstrainSelectedInstOperands,
     /*  721745 */     // GIR_Coverage, 11704,
     /*  721745 */     GIR_EraseRootFromParent_Done,
     /*  721746 */   // Label 11349: @721746
     /*  721746 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721821), // Rule ID 11707 //
     /*  721751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  721762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  721765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  721800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721819 */     GIR_RootConstrainSelectedInstOperands,
     /*  721820 */     // GIR_Coverage, 11707,
     /*  721820 */     GIR_EraseRootFromParent_Done,
     /*  721821 */   // Label 11350: @721821
     /*  721821 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721896), // Rule ID 11708 //
     /*  721826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  721837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  721840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  721875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721894 */     GIR_RootConstrainSelectedInstOperands,
     /*  721895 */     // GIR_Coverage, 11708,
     /*  721895 */     GIR_EraseRootFromParent_Done,
     /*  721896 */   // Label 11351: @721896
     /*  721896 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(721971), // Rule ID 11711 //
     /*  721901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  721912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  721915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  721918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  721950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721969 */     GIR_RootConstrainSelectedInstOperands,
     /*  721970 */     // GIR_Coverage, 11711,
     /*  721970 */     GIR_EraseRootFromParent_Done,
     /*  721971 */   // Label 11352: @721971
     /*  721971 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722046), // Rule ID 11712 //
     /*  721976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  721987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  721990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  721993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  722025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722044 */     GIR_RootConstrainSelectedInstOperands,
     /*  722045 */     // GIR_Coverage, 11712,
     /*  722045 */     GIR_EraseRootFromParent_Done,
     /*  722046 */   // Label 11353: @722046
     /*  722046 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722121), // Rule ID 11715 //
     /*  722051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722119 */     GIR_RootConstrainSelectedInstOperands,
     /*  722120 */     // GIR_Coverage, 11715,
     /*  722120 */     GIR_EraseRootFromParent_Done,
     /*  722121 */   // Label 11354: @722121
     /*  722121 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722196), // Rule ID 11716 //
     /*  722126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  722175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722194 */     GIR_RootConstrainSelectedInstOperands,
     /*  722195 */     // GIR_Coverage, 11716,
     /*  722195 */     GIR_EraseRootFromParent_Done,
     /*  722196 */   // Label 11355: @722196
     /*  722196 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722271), // Rule ID 11719 //
     /*  722201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722269 */     GIR_RootConstrainSelectedInstOperands,
     /*  722270 */     // GIR_Coverage, 11719,
     /*  722270 */     GIR_EraseRootFromParent_Done,
     /*  722271 */   // Label 11356: @722271
     /*  722271 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722346), // Rule ID 11720 //
     /*  722276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  722325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722344 */     GIR_RootConstrainSelectedInstOperands,
     /*  722345 */     // GIR_Coverage, 11720,
     /*  722345 */     GIR_EraseRootFromParent_Done,
     /*  722346 */   // Label 11357: @722346
     /*  722346 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722421), // Rule ID 11723 //
     /*  722351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722419 */     GIR_RootConstrainSelectedInstOperands,
     /*  722420 */     // GIR_Coverage, 11723,
     /*  722420 */     GIR_EraseRootFromParent_Done,
     /*  722421 */   // Label 11358: @722421
     /*  722421 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722496), // Rule ID 11724 //
     /*  722426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  722437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  722440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  722446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  722475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722494 */     GIR_RootConstrainSelectedInstOperands,
     /*  722495 */     // GIR_Coverage, 11724,
     /*  722495 */     GIR_EraseRootFromParent_Done,
     /*  722496 */   // Label 11359: @722496
     /*  722496 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722571), // Rule ID 11727 //
     /*  722501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722569 */     GIR_RootConstrainSelectedInstOperands,
     /*  722570 */     // GIR_Coverage, 11727,
     /*  722570 */     GIR_EraseRootFromParent_Done,
     /*  722571 */   // Label 11360: @722571
     /*  722571 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722646), // Rule ID 11728 //
     /*  722576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  722587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  722590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  722596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  722625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722644 */     GIR_RootConstrainSelectedInstOperands,
     /*  722645 */     // GIR_Coverage, 11728,
     /*  722645 */     GIR_EraseRootFromParent_Done,
     /*  722646 */   // Label 11361: @722646
     /*  722646 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722721), // Rule ID 11731 //
     /*  722651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  722662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  722665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  722671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  722700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722719 */     GIR_RootConstrainSelectedInstOperands,
     /*  722720 */     // GIR_Coverage, 11731,
     /*  722720 */     GIR_EraseRootFromParent_Done,
     /*  722721 */   // Label 11362: @722721
     /*  722721 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722796), // Rule ID 11732 //
     /*  722726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  722737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  722740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  722746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  722775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722794 */     GIR_RootConstrainSelectedInstOperands,
     /*  722795 */     // GIR_Coverage, 11732,
     /*  722795 */     GIR_EraseRootFromParent_Done,
     /*  722796 */   // Label 11363: @722796
     /*  722796 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722871), // Rule ID 11735 //
     /*  722801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  722812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  722815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  722821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  722850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722869 */     GIR_RootConstrainSelectedInstOperands,
     /*  722870 */     // GIR_Coverage, 11735,
     /*  722870 */     GIR_EraseRootFromParent_Done,
     /*  722871 */   // Label 11364: @722871
     /*  722871 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722946), // Rule ID 11736 //
     /*  722876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  722887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  722890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  722896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  722925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722944 */     GIR_RootConstrainSelectedInstOperands,
     /*  722945 */     // GIR_Coverage, 11736,
     /*  722945 */     GIR_EraseRootFromParent_Done,
     /*  722946 */   // Label 11365: @722946
     /*  722946 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723021), // Rule ID 11739 //
     /*  722951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  722968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723019 */     GIR_RootConstrainSelectedInstOperands,
     /*  723020 */     // GIR_Coverage, 11739,
     /*  723020 */     GIR_EraseRootFromParent_Done,
     /*  723021 */   // Label 11366: @723021
     /*  723021 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723096), // Rule ID 11740 //
     /*  723026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  723075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723094 */     GIR_RootConstrainSelectedInstOperands,
     /*  723095 */     // GIR_Coverage, 11740,
     /*  723095 */     GIR_EraseRootFromParent_Done,
     /*  723096 */   // Label 11367: @723096
     /*  723096 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723171), // Rule ID 11743 //
     /*  723101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723169 */     GIR_RootConstrainSelectedInstOperands,
     /*  723170 */     // GIR_Coverage, 11743,
     /*  723170 */     GIR_EraseRootFromParent_Done,
     /*  723171 */   // Label 11368: @723171
     /*  723171 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723246), // Rule ID 11744 //
     /*  723176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  723225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723244 */     GIR_RootConstrainSelectedInstOperands,
     /*  723245 */     // GIR_Coverage, 11744,
     /*  723245 */     GIR_EraseRootFromParent_Done,
     /*  723246 */   // Label 11369: @723246
     /*  723246 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723321), // Rule ID 11747 //
     /*  723251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723319 */     GIR_RootConstrainSelectedInstOperands,
     /*  723320 */     // GIR_Coverage, 11747,
     /*  723320 */     GIR_EraseRootFromParent_Done,
     /*  723321 */   // Label 11370: @723321
     /*  723321 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723396), // Rule ID 11748 //
     /*  723326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  723375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723394 */     GIR_RootConstrainSelectedInstOperands,
     /*  723395 */     // GIR_Coverage, 11748,
     /*  723395 */     GIR_EraseRootFromParent_Done,
     /*  723396 */   // Label 11371: @723396
     /*  723396 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723471), // Rule ID 11751 //
     /*  723401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723469 */     GIR_RootConstrainSelectedInstOperands,
     /*  723470 */     // GIR_Coverage, 11751,
     /*  723470 */     GIR_EraseRootFromParent_Done,
     /*  723471 */   // Label 11372: @723471
     /*  723471 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723546), // Rule ID 11752 //
     /*  723476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  723525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723544 */     GIR_RootConstrainSelectedInstOperands,
     /*  723545 */     // GIR_Coverage, 11752,
     /*  723545 */     GIR_EraseRootFromParent_Done,
     /*  723546 */   // Label 11373: @723546
     /*  723546 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723621), // Rule ID 11755 //
     /*  723551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  723562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  723565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  723571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  723600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723619 */     GIR_RootConstrainSelectedInstOperands,
     /*  723620 */     // GIR_Coverage, 11755,
     /*  723620 */     GIR_EraseRootFromParent_Done,
     /*  723621 */   // Label 11374: @723621
     /*  723621 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723696), // Rule ID 11756 //
     /*  723626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  723637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  723640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  723646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  723675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723694 */     GIR_RootConstrainSelectedInstOperands,
     /*  723695 */     // GIR_Coverage, 11756,
     /*  723695 */     GIR_EraseRootFromParent_Done,
     /*  723696 */   // Label 11375: @723696
     /*  723696 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723771), // Rule ID 11759 //
     /*  723701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  723712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  723715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  723721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  723750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723769 */     GIR_RootConstrainSelectedInstOperands,
     /*  723770 */     // GIR_Coverage, 11759,
     /*  723770 */     GIR_EraseRootFromParent_Done,
     /*  723771 */   // Label 11376: @723771
     /*  723771 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723846), // Rule ID 11760 //
     /*  723776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  723787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  723790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  723796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  723825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723844 */     GIR_RootConstrainSelectedInstOperands,
     /*  723845 */     // GIR_Coverage, 11760,
     /*  723845 */     GIR_EraseRootFromParent_Done,
     /*  723846 */   // Label 11377: @723846
     /*  723846 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723921), // Rule ID 11763 //
     /*  723851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  723862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  723865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  723871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  723900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723919 */     GIR_RootConstrainSelectedInstOperands,
     /*  723920 */     // GIR_Coverage, 11763,
     /*  723920 */     GIR_EraseRootFromParent_Done,
     /*  723921 */   // Label 11378: @723921
     /*  723921 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(723996), // Rule ID 11764 //
     /*  723926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  723937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  723940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  723946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  723975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723994 */     GIR_RootConstrainSelectedInstOperands,
     /*  723995 */     // GIR_Coverage, 11764,
     /*  723995 */     GIR_EraseRootFromParent_Done,
     /*  723996 */   // Label 11379: @723996
     /*  723996 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724071), // Rule ID 11767 //
     /*  724001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724069 */     GIR_RootConstrainSelectedInstOperands,
     /*  724070 */     // GIR_Coverage, 11767,
     /*  724070 */     GIR_EraseRootFromParent_Done,
     /*  724071 */   // Label 11380: @724071
     /*  724071 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724146), // Rule ID 11768 //
     /*  724076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  724125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724144 */     GIR_RootConstrainSelectedInstOperands,
     /*  724145 */     // GIR_Coverage, 11768,
     /*  724145 */     GIR_EraseRootFromParent_Done,
     /*  724146 */   // Label 11381: @724146
     /*  724146 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724221), // Rule ID 11771 //
     /*  724151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724219 */     GIR_RootConstrainSelectedInstOperands,
     /*  724220 */     // GIR_Coverage, 11771,
     /*  724220 */     GIR_EraseRootFromParent_Done,
     /*  724221 */   // Label 11382: @724221
     /*  724221 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724296), // Rule ID 11772 //
     /*  724226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  724275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724294 */     GIR_RootConstrainSelectedInstOperands,
     /*  724295 */     // GIR_Coverage, 11772,
     /*  724295 */     GIR_EraseRootFromParent_Done,
     /*  724296 */   // Label 11383: @724296
     /*  724296 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724371), // Rule ID 11775 //
     /*  724301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724369 */     GIR_RootConstrainSelectedInstOperands,
     /*  724370 */     // GIR_Coverage, 11775,
     /*  724370 */     GIR_EraseRootFromParent_Done,
     /*  724371 */   // Label 11384: @724371
     /*  724371 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724446), // Rule ID 11776 //
     /*  724376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  724387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  724390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  724393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  724396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  724425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724444 */     GIR_RootConstrainSelectedInstOperands,
     /*  724445 */     // GIR_Coverage, 11776,
     /*  724445 */     GIR_EraseRootFromParent_Done,
     /*  724446 */   // Label 11385: @724446
     /*  724446 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724521), // Rule ID 11779 //
     /*  724451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724519 */     GIR_RootConstrainSelectedInstOperands,
     /*  724520 */     // GIR_Coverage, 11779,
     /*  724520 */     GIR_EraseRootFromParent_Done,
     /*  724521 */   // Label 11386: @724521
     /*  724521 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724596), // Rule ID 11780 //
     /*  724526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  724537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  724540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  724546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  724575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724594 */     GIR_RootConstrainSelectedInstOperands,
     /*  724595 */     // GIR_Coverage, 11780,
     /*  724595 */     GIR_EraseRootFromParent_Done,
     /*  724596 */   // Label 11387: @724596
     /*  724596 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724671), // Rule ID 11783 //
     /*  724601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  724612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  724615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  724621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  724650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724669 */     GIR_RootConstrainSelectedInstOperands,
     /*  724670 */     // GIR_Coverage, 11783,
     /*  724670 */     GIR_EraseRootFromParent_Done,
     /*  724671 */   // Label 11388: @724671
     /*  724671 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724746), // Rule ID 11784 //
     /*  724676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  724687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  724690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  724696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  724725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724744 */     GIR_RootConstrainSelectedInstOperands,
     /*  724745 */     // GIR_Coverage, 11784,
     /*  724745 */     GIR_EraseRootFromParent_Done,
     /*  724746 */   // Label 11389: @724746
     /*  724746 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724821), // Rule ID 11787 //
     /*  724751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  724762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  724765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  724771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  724800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724819 */     GIR_RootConstrainSelectedInstOperands,
     /*  724820 */     // GIR_Coverage, 11787,
     /*  724820 */     GIR_EraseRootFromParent_Done,
     /*  724821 */   // Label 11390: @724821
     /*  724821 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724896), // Rule ID 11788 //
     /*  724826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  724837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  724840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  724846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  724875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724894 */     GIR_RootConstrainSelectedInstOperands,
     /*  724895 */     // GIR_Coverage, 11788,
     /*  724895 */     GIR_EraseRootFromParent_Done,
     /*  724896 */   // Label 11391: @724896
     /*  724896 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(724971), // Rule ID 11791 //
     /*  724901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  724912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  724915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  724918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  724921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  724950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724969 */     GIR_RootConstrainSelectedInstOperands,
     /*  724970 */     // GIR_Coverage, 11791,
     /*  724970 */     GIR_EraseRootFromParent_Done,
     /*  724971 */   // Label 11392: @724971
     /*  724971 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725046), // Rule ID 11792 //
     /*  724976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  724987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  724990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  724993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  724996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  725025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725044 */     GIR_RootConstrainSelectedInstOperands,
     /*  725045 */     // GIR_Coverage, 11792,
     /*  725045 */     GIR_EraseRootFromParent_Done,
     /*  725046 */   // Label 11393: @725046
     /*  725046 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725121), // Rule ID 11795 //
     /*  725051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725119 */     GIR_RootConstrainSelectedInstOperands,
     /*  725120 */     // GIR_Coverage, 11795,
     /*  725120 */     GIR_EraseRootFromParent_Done,
     /*  725121 */   // Label 11394: @725121
     /*  725121 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725196), // Rule ID 11796 //
     /*  725126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  725175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725194 */     GIR_RootConstrainSelectedInstOperands,
     /*  725195 */     // GIR_Coverage, 11796,
     /*  725195 */     GIR_EraseRootFromParent_Done,
     /*  725196 */   // Label 11395: @725196
     /*  725196 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725271), // Rule ID 11799 //
     /*  725201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725269 */     GIR_RootConstrainSelectedInstOperands,
     /*  725270 */     // GIR_Coverage, 11799,
     /*  725270 */     GIR_EraseRootFromParent_Done,
     /*  725271 */   // Label 11396: @725271
     /*  725271 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725346), // Rule ID 11800 //
     /*  725276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  725325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725344 */     GIR_RootConstrainSelectedInstOperands,
     /*  725345 */     // GIR_Coverage, 11800,
     /*  725345 */     GIR_EraseRootFromParent_Done,
     /*  725346 */   // Label 11397: @725346
     /*  725346 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725421), // Rule ID 11803 //
     /*  725351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725419 */     GIR_RootConstrainSelectedInstOperands,
     /*  725420 */     // GIR_Coverage, 11803,
     /*  725420 */     GIR_EraseRootFromParent_Done,
     /*  725421 */   // Label 11398: @725421
     /*  725421 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725496), // Rule ID 11804 //
     /*  725426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  725437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  725440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  725475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725494 */     GIR_RootConstrainSelectedInstOperands,
     /*  725495 */     // GIR_Coverage, 11804,
     /*  725495 */     GIR_EraseRootFromParent_Done,
     /*  725496 */   // Label 11399: @725496
     /*  725496 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725571), // Rule ID 11807 //
     /*  725501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725569 */     GIR_RootConstrainSelectedInstOperands,
     /*  725570 */     // GIR_Coverage, 11807,
     /*  725570 */     GIR_EraseRootFromParent_Done,
     /*  725571 */   // Label 11400: @725571
     /*  725571 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725646), // Rule ID 11808 //
     /*  725576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  725587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  725590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  725625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725644 */     GIR_RootConstrainSelectedInstOperands,
     /*  725645 */     // GIR_Coverage, 11808,
     /*  725645 */     GIR_EraseRootFromParent_Done,
     /*  725646 */   // Label 11401: @725646
     /*  725646 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725721), // Rule ID 11811 //
     /*  725651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  725662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  725665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  725700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725719 */     GIR_RootConstrainSelectedInstOperands,
     /*  725720 */     // GIR_Coverage, 11811,
     /*  725720 */     GIR_EraseRootFromParent_Done,
     /*  725721 */   // Label 11402: @725721
     /*  725721 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725796), // Rule ID 11812 //
     /*  725726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  725737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  725740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  725775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725794 */     GIR_RootConstrainSelectedInstOperands,
     /*  725795 */     // GIR_Coverage, 11812,
     /*  725795 */     GIR_EraseRootFromParent_Done,
     /*  725796 */   // Label 11403: @725796
     /*  725796 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725871), // Rule ID 11815 //
     /*  725801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  725812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  725815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  725850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725869 */     GIR_RootConstrainSelectedInstOperands,
     /*  725870 */     // GIR_Coverage, 11815,
     /*  725870 */     GIR_EraseRootFromParent_Done,
     /*  725871 */   // Label 11404: @725871
     /*  725871 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725946), // Rule ID 11816 //
     /*  725876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  725887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  725890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  725925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725944 */     GIR_RootConstrainSelectedInstOperands,
     /*  725945 */     // GIR_Coverage, 11816,
     /*  725945 */     GIR_EraseRootFromParent_Done,
     /*  725946 */   // Label 11405: @725946
     /*  725946 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726021), // Rule ID 11819 //
     /*  725951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  725962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  725965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  725968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726019 */     GIR_RootConstrainSelectedInstOperands,
     /*  726020 */     // GIR_Coverage, 11819,
     /*  726020 */     GIR_EraseRootFromParent_Done,
     /*  726021 */   // Label 11406: @726021
     /*  726021 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726096), // Rule ID 11820 //
     /*  726026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  726075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726094 */     GIR_RootConstrainSelectedInstOperands,
     /*  726095 */     // GIR_Coverage, 11820,
     /*  726095 */     GIR_EraseRootFromParent_Done,
     /*  726096 */   // Label 11407: @726096
     /*  726096 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726171), // Rule ID 11823 //
     /*  726101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726169 */     GIR_RootConstrainSelectedInstOperands,
     /*  726170 */     // GIR_Coverage, 11823,
     /*  726170 */     GIR_EraseRootFromParent_Done,
     /*  726171 */   // Label 11408: @726171
     /*  726171 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726246), // Rule ID 11824 //
     /*  726176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  726225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726244 */     GIR_RootConstrainSelectedInstOperands,
     /*  726245 */     // GIR_Coverage, 11824,
     /*  726245 */     GIR_EraseRootFromParent_Done,
     /*  726246 */   // Label 11409: @726246
     /*  726246 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726321), // Rule ID 11827 //
     /*  726251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726319 */     GIR_RootConstrainSelectedInstOperands,
     /*  726320 */     // GIR_Coverage, 11827,
     /*  726320 */     GIR_EraseRootFromParent_Done,
     /*  726321 */   // Label 11410: @726321
     /*  726321 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726396), // Rule ID 11828 //
     /*  726326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  726375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726394 */     GIR_RootConstrainSelectedInstOperands,
     /*  726395 */     // GIR_Coverage, 11828,
     /*  726395 */     GIR_EraseRootFromParent_Done,
     /*  726396 */   // Label 11411: @726396
     /*  726396 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726471), // Rule ID 11831 //
     /*  726401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726469 */     GIR_RootConstrainSelectedInstOperands,
     /*  726470 */     // GIR_Coverage, 11831,
     /*  726470 */     GIR_EraseRootFromParent_Done,
     /*  726471 */   // Label 11412: @726471
     /*  726471 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726546), // Rule ID 11832 //
     /*  726476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  726525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726544 */     GIR_RootConstrainSelectedInstOperands,
     /*  726545 */     // GIR_Coverage, 11832,
     /*  726545 */     GIR_EraseRootFromParent_Done,
     /*  726546 */   // Label 11413: @726546
     /*  726546 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726621), // Rule ID 11835 //
     /*  726551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  726600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726619 */     GIR_RootConstrainSelectedInstOperands,
     /*  726620 */     // GIR_Coverage, 11835,
     /*  726620 */     GIR_EraseRootFromParent_Done,
     /*  726621 */   // Label 11414: @726621
     /*  726621 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726696), // Rule ID 11836 //
     /*  726626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  726675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726694 */     GIR_RootConstrainSelectedInstOperands,
     /*  726695 */     // GIR_Coverage, 11836,
     /*  726695 */     GIR_EraseRootFromParent_Done,
     /*  726696 */   // Label 11415: @726696
     /*  726696 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726771), // Rule ID 11839 //
     /*  726701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  726750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726769 */     GIR_RootConstrainSelectedInstOperands,
     /*  726770 */     // GIR_Coverage, 11839,
     /*  726770 */     GIR_EraseRootFromParent_Done,
     /*  726771 */   // Label 11416: @726771
     /*  726771 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726846), // Rule ID 11840 //
     /*  726776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  726825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726844 */     GIR_RootConstrainSelectedInstOperands,
     /*  726845 */     // GIR_Coverage, 11840,
     /*  726845 */     GIR_EraseRootFromParent_Done,
     /*  726846 */   // Label 11417: @726846
     /*  726846 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726921), // Rule ID 11843 //
     /*  726851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  726862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  726865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  726900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726919 */     GIR_RootConstrainSelectedInstOperands,
     /*  726920 */     // GIR_Coverage, 11843,
     /*  726920 */     GIR_EraseRootFromParent_Done,
     /*  726921 */   // Label 11418: @726921
     /*  726921 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(726996), // Rule ID 11844 //
     /*  726926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  726937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  726940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  726975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726994 */     GIR_RootConstrainSelectedInstOperands,
     /*  726995 */     // GIR_Coverage, 11844,
     /*  726995 */     GIR_EraseRootFromParent_Done,
     /*  726996 */   // Label 11419: @726996
     /*  726996 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727071), // Rule ID 11847 //
     /*  727001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727069 */     GIR_RootConstrainSelectedInstOperands,
     /*  727070 */     // GIR_Coverage, 11847,
     /*  727070 */     GIR_EraseRootFromParent_Done,
     /*  727071 */   // Label 11420: @727071
     /*  727071 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727146), // Rule ID 11848 //
     /*  727076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  727125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727144 */     GIR_RootConstrainSelectedInstOperands,
     /*  727145 */     // GIR_Coverage, 11848,
     /*  727145 */     GIR_EraseRootFromParent_Done,
     /*  727146 */   // Label 11421: @727146
     /*  727146 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727221), // Rule ID 11851 //
     /*  727151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727219 */     GIR_RootConstrainSelectedInstOperands,
     /*  727220 */     // GIR_Coverage, 11851,
     /*  727220 */     GIR_EraseRootFromParent_Done,
     /*  727221 */   // Label 11422: @727221
     /*  727221 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727296), // Rule ID 11852 //
     /*  727226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  727275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727294 */     GIR_RootConstrainSelectedInstOperands,
     /*  727295 */     // GIR_Coverage, 11852,
     /*  727295 */     GIR_EraseRootFromParent_Done,
     /*  727296 */   // Label 11423: @727296
     /*  727296 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727371), // Rule ID 11855 //
     /*  727301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727369 */     GIR_RootConstrainSelectedInstOperands,
     /*  727370 */     // GIR_Coverage, 11855,
     /*  727370 */     GIR_EraseRootFromParent_Done,
     /*  727371 */   // Label 11424: @727371
     /*  727371 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727446), // Rule ID 11856 //
     /*  727376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  727387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  727390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  727393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  727425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727444 */     GIR_RootConstrainSelectedInstOperands,
     /*  727445 */     // GIR_Coverage, 11856,
     /*  727445 */     GIR_EraseRootFromParent_Done,
     /*  727446 */   // Label 11425: @727446
     /*  727446 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727521), // Rule ID 11859 //
     /*  727451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727519 */     GIR_RootConstrainSelectedInstOperands,
     /*  727520 */     // GIR_Coverage, 11859,
     /*  727520 */     GIR_EraseRootFromParent_Done,
     /*  727521 */   // Label 11426: @727521
     /*  727521 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727596), // Rule ID 11860 //
     /*  727526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  727537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  727540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  727575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727594 */     GIR_RootConstrainSelectedInstOperands,
     /*  727595 */     // GIR_Coverage, 11860,
     /*  727595 */     GIR_EraseRootFromParent_Done,
     /*  727596 */   // Label 11427: @727596
     /*  727596 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727671), // Rule ID 11863 //
     /*  727601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  727612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  727615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  727650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727669 */     GIR_RootConstrainSelectedInstOperands,
     /*  727670 */     // GIR_Coverage, 11863,
     /*  727670 */     GIR_EraseRootFromParent_Done,
     /*  727671 */   // Label 11428: @727671
     /*  727671 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727746), // Rule ID 11864 //
     /*  727676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  727687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  727690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  727725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727744 */     GIR_RootConstrainSelectedInstOperands,
     /*  727745 */     // GIR_Coverage, 11864,
     /*  727745 */     GIR_EraseRootFromParent_Done,
     /*  727746 */   // Label 11429: @727746
     /*  727746 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727821), // Rule ID 11867 //
     /*  727751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  727762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  727765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  727800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727819 */     GIR_RootConstrainSelectedInstOperands,
     /*  727820 */     // GIR_Coverage, 11867,
     /*  727820 */     GIR_EraseRootFromParent_Done,
     /*  727821 */   // Label 11430: @727821
     /*  727821 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727896), // Rule ID 11868 //
     /*  727826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  727837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  727840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  727875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727894 */     GIR_RootConstrainSelectedInstOperands,
     /*  727895 */     // GIR_Coverage, 11868,
     /*  727895 */     GIR_EraseRootFromParent_Done,
     /*  727896 */   // Label 11431: @727896
     /*  727896 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(727971), // Rule ID 11871 //
     /*  727901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  727912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  727915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  727918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  727950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727969 */     GIR_RootConstrainSelectedInstOperands,
     /*  727970 */     // GIR_Coverage, 11871,
     /*  727970 */     GIR_EraseRootFromParent_Done,
     /*  727971 */   // Label 11432: @727971
     /*  727971 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728046), // Rule ID 11872 //
     /*  727976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  727987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  727990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  727993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  728025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728044 */     GIR_RootConstrainSelectedInstOperands,
     /*  728045 */     // GIR_Coverage, 11872,
     /*  728045 */     GIR_EraseRootFromParent_Done,
     /*  728046 */   // Label 11433: @728046
     /*  728046 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728121), // Rule ID 11875 //
     /*  728051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728119 */     GIR_RootConstrainSelectedInstOperands,
     /*  728120 */     // GIR_Coverage, 11875,
     /*  728120 */     GIR_EraseRootFromParent_Done,
     /*  728121 */   // Label 11434: @728121
     /*  728121 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728196), // Rule ID 11876 //
     /*  728126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  728175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728194 */     GIR_RootConstrainSelectedInstOperands,
     /*  728195 */     // GIR_Coverage, 11876,
     /*  728195 */     GIR_EraseRootFromParent_Done,
     /*  728196 */   // Label 11435: @728196
     /*  728196 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728271), // Rule ID 11879 //
     /*  728201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728269 */     GIR_RootConstrainSelectedInstOperands,
     /*  728270 */     // GIR_Coverage, 11879,
     /*  728270 */     GIR_EraseRootFromParent_Done,
     /*  728271 */   // Label 11436: @728271
     /*  728271 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728346), // Rule ID 11880 //
     /*  728276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  728325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728344 */     GIR_RootConstrainSelectedInstOperands,
     /*  728345 */     // GIR_Coverage, 11880,
     /*  728345 */     GIR_EraseRootFromParent_Done,
     /*  728346 */   // Label 11437: @728346
     /*  728346 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728421), // Rule ID 11883 //
     /*  728351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728419 */     GIR_RootConstrainSelectedInstOperands,
     /*  728420 */     // GIR_Coverage, 11883,
     /*  728420 */     GIR_EraseRootFromParent_Done,
     /*  728421 */   // Label 11438: @728421
     /*  728421 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728496), // Rule ID 11884 //
     /*  728426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  728437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  728440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  728475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728494 */     GIR_RootConstrainSelectedInstOperands,
     /*  728495 */     // GIR_Coverage, 11884,
     /*  728495 */     GIR_EraseRootFromParent_Done,
     /*  728496 */   // Label 11439: @728496
     /*  728496 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728571), // Rule ID 11887 //
     /*  728501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728569 */     GIR_RootConstrainSelectedInstOperands,
     /*  728570 */     // GIR_Coverage, 11887,
     /*  728570 */     GIR_EraseRootFromParent_Done,
     /*  728571 */   // Label 11440: @728571
     /*  728571 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728646), // Rule ID 11888 //
     /*  728576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  728587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  728590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  728625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728644 */     GIR_RootConstrainSelectedInstOperands,
     /*  728645 */     // GIR_Coverage, 11888,
     /*  728645 */     GIR_EraseRootFromParent_Done,
     /*  728646 */   // Label 11441: @728646
     /*  728646 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728721), // Rule ID 11891 //
     /*  728651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  728662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  728665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  728671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  728700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728719 */     GIR_RootConstrainSelectedInstOperands,
     /*  728720 */     // GIR_Coverage, 11891,
     /*  728720 */     GIR_EraseRootFromParent_Done,
     /*  728721 */   // Label 11442: @728721
     /*  728721 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728796), // Rule ID 11892 //
     /*  728726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  728737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  728740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  728746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  728775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728794 */     GIR_RootConstrainSelectedInstOperands,
     /*  728795 */     // GIR_Coverage, 11892,
     /*  728795 */     GIR_EraseRootFromParent_Done,
     /*  728796 */   // Label 11443: @728796
     /*  728796 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728871), // Rule ID 11895 //
     /*  728801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  728812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  728815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  728821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  728850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728869 */     GIR_RootConstrainSelectedInstOperands,
     /*  728870 */     // GIR_Coverage, 11895,
     /*  728870 */     GIR_EraseRootFromParent_Done,
     /*  728871 */   // Label 11444: @728871
     /*  728871 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728946), // Rule ID 11896 //
     /*  728876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  728887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  728890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  728896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  728925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728944 */     GIR_RootConstrainSelectedInstOperands,
     /*  728945 */     // GIR_Coverage, 11896,
     /*  728945 */     GIR_EraseRootFromParent_Done,
     /*  728946 */   // Label 11445: @728946
     /*  728946 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729021), // Rule ID 11899 //
     /*  728951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  728962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  728965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  728968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  728971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729019 */     GIR_RootConstrainSelectedInstOperands,
     /*  729020 */     // GIR_Coverage, 11899,
     /*  729020 */     GIR_EraseRootFromParent_Done,
     /*  729021 */   // Label 11446: @729021
     /*  729021 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729096), // Rule ID 11900 //
     /*  729026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  729075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729094 */     GIR_RootConstrainSelectedInstOperands,
     /*  729095 */     // GIR_Coverage, 11900,
     /*  729095 */     GIR_EraseRootFromParent_Done,
     /*  729096 */   // Label 11447: @729096
     /*  729096 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729171), // Rule ID 11903 //
     /*  729101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729169 */     GIR_RootConstrainSelectedInstOperands,
     /*  729170 */     // GIR_Coverage, 11903,
     /*  729170 */     GIR_EraseRootFromParent_Done,
     /*  729171 */   // Label 11448: @729171
     /*  729171 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729246), // Rule ID 11904 //
     /*  729176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  729225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729244 */     GIR_RootConstrainSelectedInstOperands,
     /*  729245 */     // GIR_Coverage, 11904,
     /*  729245 */     GIR_EraseRootFromParent_Done,
     /*  729246 */   // Label 11449: @729246
     /*  729246 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729321), // Rule ID 11907 //
     /*  729251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729319 */     GIR_RootConstrainSelectedInstOperands,
     /*  729320 */     // GIR_Coverage, 11907,
     /*  729320 */     GIR_EraseRootFromParent_Done,
     /*  729321 */   // Label 11450: @729321
     /*  729321 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729396), // Rule ID 11908 //
     /*  729326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  729375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729394 */     GIR_RootConstrainSelectedInstOperands,
     /*  729395 */     // GIR_Coverage, 11908,
     /*  729395 */     GIR_EraseRootFromParent_Done,
     /*  729396 */   // Label 11451: @729396
     /*  729396 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729471), // Rule ID 11911 //
     /*  729401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729469 */     GIR_RootConstrainSelectedInstOperands,
     /*  729470 */     // GIR_Coverage, 11911,
     /*  729470 */     GIR_EraseRootFromParent_Done,
     /*  729471 */   // Label 11452: @729471
     /*  729471 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729546), // Rule ID 11912 //
     /*  729476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  729487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  729490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  729496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  729525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729544 */     GIR_RootConstrainSelectedInstOperands,
     /*  729545 */     // GIR_Coverage, 11912,
     /*  729545 */     GIR_EraseRootFromParent_Done,
     /*  729546 */   // Label 11453: @729546
     /*  729546 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729621), // Rule ID 11915 //
     /*  729551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  729600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729619 */     GIR_RootConstrainSelectedInstOperands,
     /*  729620 */     // GIR_Coverage, 11915,
     /*  729620 */     GIR_EraseRootFromParent_Done,
     /*  729621 */   // Label 11454: @729621
     /*  729621 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729696), // Rule ID 11916 //
     /*  729626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  729675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729694 */     GIR_RootConstrainSelectedInstOperands,
     /*  729695 */     // GIR_Coverage, 11916,
     /*  729695 */     GIR_EraseRootFromParent_Done,
     /*  729696 */   // Label 11455: @729696
     /*  729696 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729771), // Rule ID 11919 //
     /*  729701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  729750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729769 */     GIR_RootConstrainSelectedInstOperands,
     /*  729770 */     // GIR_Coverage, 11919,
     /*  729770 */     GIR_EraseRootFromParent_Done,
     /*  729771 */   // Label 11456: @729771
     /*  729771 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729846), // Rule ID 11920 //
     /*  729776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  729825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729844 */     GIR_RootConstrainSelectedInstOperands,
     /*  729845 */     // GIR_Coverage, 11920,
     /*  729845 */     GIR_EraseRootFromParent_Done,
     /*  729846 */   // Label 11457: @729846
     /*  729846 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729921), // Rule ID 11923 //
     /*  729851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  729900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729919 */     GIR_RootConstrainSelectedInstOperands,
     /*  729920 */     // GIR_Coverage, 11923,
     /*  729920 */     GIR_EraseRootFromParent_Done,
     /*  729921 */   // Label 11458: @729921
     /*  729921 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(729996), // Rule ID 11924 //
     /*  729926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  729975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729994 */     GIR_RootConstrainSelectedInstOperands,
     /*  729995 */     // GIR_Coverage, 11924,
     /*  729995 */     GIR_EraseRootFromParent_Done,
     /*  729996 */   // Label 11459: @729996
     /*  729996 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730071), // Rule ID 11927 //
     /*  730001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730069 */     GIR_RootConstrainSelectedInstOperands,
     /*  730070 */     // GIR_Coverage, 11927,
     /*  730070 */     GIR_EraseRootFromParent_Done,
     /*  730071 */   // Label 11460: @730071
     /*  730071 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730146), // Rule ID 11928 //
     /*  730076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  730125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730144 */     GIR_RootConstrainSelectedInstOperands,
     /*  730145 */     // GIR_Coverage, 11928,
     /*  730145 */     GIR_EraseRootFromParent_Done,
     /*  730146 */   // Label 11461: @730146
     /*  730146 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730221), // Rule ID 11931 //
     /*  730151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730219 */     GIR_RootConstrainSelectedInstOperands,
     /*  730220 */     // GIR_Coverage, 11931,
     /*  730220 */     GIR_EraseRootFromParent_Done,
     /*  730221 */   // Label 11462: @730221
     /*  730221 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730296), // Rule ID 11932 //
     /*  730226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  730275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730294 */     GIR_RootConstrainSelectedInstOperands,
     /*  730295 */     // GIR_Coverage, 11932,
     /*  730295 */     GIR_EraseRootFromParent_Done,
     /*  730296 */   // Label 11463: @730296
     /*  730296 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730371), // Rule ID 11935 //
     /*  730301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730369 */     GIR_RootConstrainSelectedInstOperands,
     /*  730370 */     // GIR_Coverage, 11935,
     /*  730370 */     GIR_EraseRootFromParent_Done,
     /*  730371 */   // Label 11464: @730371
     /*  730371 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730446), // Rule ID 11936 //
     /*  730376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  730387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  730390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  730393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  730396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  730425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730444 */     GIR_RootConstrainSelectedInstOperands,
     /*  730445 */     // GIR_Coverage, 11936,
     /*  730445 */     GIR_EraseRootFromParent_Done,
     /*  730446 */   // Label 11465: @730446
     /*  730446 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730521), // Rule ID 11939 //
     /*  730451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730519 */     GIR_RootConstrainSelectedInstOperands,
     /*  730520 */     // GIR_Coverage, 11939,
     /*  730520 */     GIR_EraseRootFromParent_Done,
     /*  730521 */   // Label 11466: @730521
     /*  730521 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730596), // Rule ID 11940 //
     /*  730526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  730537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  730540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  730546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  730575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730594 */     GIR_RootConstrainSelectedInstOperands,
     /*  730595 */     // GIR_Coverage, 11940,
     /*  730595 */     GIR_EraseRootFromParent_Done,
     /*  730596 */   // Label 11467: @730596
     /*  730596 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730671), // Rule ID 11943 //
     /*  730601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  730612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  730615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  730621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  730650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730669 */     GIR_RootConstrainSelectedInstOperands,
     /*  730670 */     // GIR_Coverage, 11943,
     /*  730670 */     GIR_EraseRootFromParent_Done,
     /*  730671 */   // Label 11468: @730671
     /*  730671 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730746), // Rule ID 11944 //
     /*  730676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  730687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  730690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  730696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  730725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730744 */     GIR_RootConstrainSelectedInstOperands,
     /*  730745 */     // GIR_Coverage, 11944,
     /*  730745 */     GIR_EraseRootFromParent_Done,
     /*  730746 */   // Label 11469: @730746
     /*  730746 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730821), // Rule ID 11947 //
     /*  730751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  730762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  730765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  730771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  730800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730819 */     GIR_RootConstrainSelectedInstOperands,
     /*  730820 */     // GIR_Coverage, 11947,
     /*  730820 */     GIR_EraseRootFromParent_Done,
     /*  730821 */   // Label 11470: @730821
     /*  730821 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730896), // Rule ID 11948 //
     /*  730826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  730837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  730840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  730846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  730875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730894 */     GIR_RootConstrainSelectedInstOperands,
     /*  730895 */     // GIR_Coverage, 11948,
     /*  730895 */     GIR_EraseRootFromParent_Done,
     /*  730896 */   // Label 11471: @730896
     /*  730896 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(730971), // Rule ID 11951 //
     /*  730901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  730912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  730915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  730918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  730921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  730950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730969 */     GIR_RootConstrainSelectedInstOperands,
     /*  730970 */     // GIR_Coverage, 11951,
     /*  730970 */     GIR_EraseRootFromParent_Done,
     /*  730971 */   // Label 11472: @730971
     /*  730971 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731046), // Rule ID 11952 //
     /*  730976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  730987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  730990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  730993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  730996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  731025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731044 */     GIR_RootConstrainSelectedInstOperands,
     /*  731045 */     // GIR_Coverage, 11952,
     /*  731045 */     GIR_EraseRootFromParent_Done,
     /*  731046 */   // Label 11473: @731046
     /*  731046 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731121), // Rule ID 11955 //
     /*  731051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731119 */     GIR_RootConstrainSelectedInstOperands,
     /*  731120 */     // GIR_Coverage, 11955,
     /*  731120 */     GIR_EraseRootFromParent_Done,
     /*  731121 */   // Label 11474: @731121
     /*  731121 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731196), // Rule ID 11956 //
     /*  731126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  731175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731194 */     GIR_RootConstrainSelectedInstOperands,
     /*  731195 */     // GIR_Coverage, 11956,
     /*  731195 */     GIR_EraseRootFromParent_Done,
     /*  731196 */   // Label 11475: @731196
     /*  731196 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731271), // Rule ID 11959 //
     /*  731201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731269 */     GIR_RootConstrainSelectedInstOperands,
     /*  731270 */     // GIR_Coverage, 11959,
     /*  731270 */     GIR_EraseRootFromParent_Done,
     /*  731271 */   // Label 11476: @731271
     /*  731271 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731346), // Rule ID 11960 //
     /*  731276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  731325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731344 */     GIR_RootConstrainSelectedInstOperands,
     /*  731345 */     // GIR_Coverage, 11960,
     /*  731345 */     GIR_EraseRootFromParent_Done,
     /*  731346 */   // Label 11477: @731346
     /*  731346 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731421), // Rule ID 11963 //
     /*  731351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731419 */     GIR_RootConstrainSelectedInstOperands,
     /*  731420 */     // GIR_Coverage, 11963,
     /*  731420 */     GIR_EraseRootFromParent_Done,
     /*  731421 */   // Label 11478: @731421
     /*  731421 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731496), // Rule ID 11964 //
     /*  731426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  731437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  731440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  731446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  731475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731494 */     GIR_RootConstrainSelectedInstOperands,
     /*  731495 */     // GIR_Coverage, 11964,
     /*  731495 */     GIR_EraseRootFromParent_Done,
     /*  731496 */   // Label 11479: @731496
     /*  731496 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731571), // Rule ID 11967 //
     /*  731501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731569 */     GIR_RootConstrainSelectedInstOperands,
     /*  731570 */     // GIR_Coverage, 11967,
     /*  731570 */     GIR_EraseRootFromParent_Done,
     /*  731571 */   // Label 11480: @731571
     /*  731571 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731646), // Rule ID 11968 //
     /*  731576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  731587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  731590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  731596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  731625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731644 */     GIR_RootConstrainSelectedInstOperands,
     /*  731645 */     // GIR_Coverage, 11968,
     /*  731645 */     GIR_EraseRootFromParent_Done,
     /*  731646 */   // Label 11481: @731646
     /*  731646 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731721), // Rule ID 11971 //
     /*  731651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  731662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  731665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  731671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  731700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731719 */     GIR_RootConstrainSelectedInstOperands,
     /*  731720 */     // GIR_Coverage, 11971,
     /*  731720 */     GIR_EraseRootFromParent_Done,
     /*  731721 */   // Label 11482: @731721
     /*  731721 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731796), // Rule ID 11972 //
     /*  731726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  731737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  731740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  731746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  731775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731794 */     GIR_RootConstrainSelectedInstOperands,
     /*  731795 */     // GIR_Coverage, 11972,
     /*  731795 */     GIR_EraseRootFromParent_Done,
     /*  731796 */   // Label 11483: @731796
     /*  731796 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731871), // Rule ID 11975 //
     /*  731801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  731812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  731815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  731821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  731850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731869 */     GIR_RootConstrainSelectedInstOperands,
     /*  731870 */     // GIR_Coverage, 11975,
     /*  731870 */     GIR_EraseRootFromParent_Done,
     /*  731871 */   // Label 11484: @731871
     /*  731871 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731946), // Rule ID 11976 //
     /*  731876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  731887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  731890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  731896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  731925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731944 */     GIR_RootConstrainSelectedInstOperands,
     /*  731945 */     // GIR_Coverage, 11976,
     /*  731945 */     GIR_EraseRootFromParent_Done,
     /*  731946 */   // Label 11485: @731946
     /*  731946 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732021), // Rule ID 11979 //
     /*  731951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  731962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  731965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  731968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732019 */     GIR_RootConstrainSelectedInstOperands,
     /*  732020 */     // GIR_Coverage, 11979,
     /*  732020 */     GIR_EraseRootFromParent_Done,
     /*  732021 */   // Label 11486: @732021
     /*  732021 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732096), // Rule ID 11980 //
     /*  732026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  732075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732094 */     GIR_RootConstrainSelectedInstOperands,
     /*  732095 */     // GIR_Coverage, 11980,
     /*  732095 */     GIR_EraseRootFromParent_Done,
     /*  732096 */   // Label 11487: @732096
     /*  732096 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732171), // Rule ID 11983 //
     /*  732101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732169 */     GIR_RootConstrainSelectedInstOperands,
     /*  732170 */     // GIR_Coverage, 11983,
     /*  732170 */     GIR_EraseRootFromParent_Done,
     /*  732171 */   // Label 11488: @732171
     /*  732171 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732246), // Rule ID 11984 //
     /*  732176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  732225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732244 */     GIR_RootConstrainSelectedInstOperands,
     /*  732245 */     // GIR_Coverage, 11984,
     /*  732245 */     GIR_EraseRootFromParent_Done,
     /*  732246 */   // Label 11489: @732246
     /*  732246 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732321), // Rule ID 11987 //
     /*  732251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732297 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732319 */     GIR_RootConstrainSelectedInstOperands,
     /*  732320 */     // GIR_Coverage, 11987,
     /*  732320 */     GIR_EraseRootFromParent_Done,
     /*  732321 */   // Label 11490: @732321
     /*  732321 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732396), // Rule ID 11988 //
     /*  732326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  732375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732394 */     GIR_RootConstrainSelectedInstOperands,
     /*  732395 */     // GIR_Coverage, 11988,
     /*  732395 */     GIR_EraseRootFromParent_Done,
     /*  732396 */   // Label 11491: @732396
     /*  732396 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732471), // Rule ID 11991 //
     /*  732401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732469 */     GIR_RootConstrainSelectedInstOperands,
     /*  732470 */     // GIR_Coverage, 11991,
     /*  732470 */     GIR_EraseRootFromParent_Done,
     /*  732471 */   // Label 11492: @732471
     /*  732471 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732546), // Rule ID 11992 //
     /*  732476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  732487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  732490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  732525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732544 */     GIR_RootConstrainSelectedInstOperands,
     /*  732545 */     // GIR_Coverage, 11992,
     /*  732545 */     GIR_EraseRootFromParent_Done,
     /*  732546 */   // Label 11493: @732546
     /*  732546 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732621), // Rule ID 11995 //
     /*  732551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  732562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  732565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  732600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732619 */     GIR_RootConstrainSelectedInstOperands,
     /*  732620 */     // GIR_Coverage, 11995,
     /*  732620 */     GIR_EraseRootFromParent_Done,
     /*  732621 */   // Label 11494: @732621
     /*  732621 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732696), // Rule ID 11996 //
     /*  732626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  732637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  732640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  732675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732694 */     GIR_RootConstrainSelectedInstOperands,
     /*  732695 */     // GIR_Coverage, 11996,
     /*  732695 */     GIR_EraseRootFromParent_Done,
     /*  732696 */   // Label 11495: @732696
     /*  732696 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732771), // Rule ID 11999 //
     /*  732701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  732712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  732715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  732750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732769 */     GIR_RootConstrainSelectedInstOperands,
     /*  732770 */     // GIR_Coverage, 11999,
     /*  732770 */     GIR_EraseRootFromParent_Done,
     /*  732771 */   // Label 11496: @732771
     /*  732771 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732846), // Rule ID 12000 //
     /*  732776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  732787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  732790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  732825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732844 */     GIR_RootConstrainSelectedInstOperands,
     /*  732845 */     // GIR_Coverage, 12000,
     /*  732845 */     GIR_EraseRootFromParent_Done,
     /*  732846 */   // Label 11497: @732846
     /*  732846 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732921), // Rule ID 12003 //
     /*  732851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  732900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732919 */     GIR_RootConstrainSelectedInstOperands,
     /*  732920 */     // GIR_Coverage, 12003,
     /*  732920 */     GIR_EraseRootFromParent_Done,
     /*  732921 */   // Label 11498: @732921
     /*  732921 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(732996), // Rule ID 12004 //
     /*  732926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  732975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732994 */     GIR_RootConstrainSelectedInstOperands,
     /*  732995 */     // GIR_Coverage, 12004,
     /*  732995 */     GIR_EraseRootFromParent_Done,
     /*  732996 */   // Label 11499: @732996
     /*  732996 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733071), // Rule ID 12007 //
     /*  733001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733069 */     GIR_RootConstrainSelectedInstOperands,
     /*  733070 */     // GIR_Coverage, 12007,
     /*  733070 */     GIR_EraseRootFromParent_Done,
     /*  733071 */   // Label 11500: @733071
     /*  733071 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733146), // Rule ID 12008 //
     /*  733076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  733125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733144 */     GIR_RootConstrainSelectedInstOperands,
     /*  733145 */     // GIR_Coverage, 12008,
     /*  733145 */     GIR_EraseRootFromParent_Done,
     /*  733146 */   // Label 11501: @733146
     /*  733146 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733221), // Rule ID 12011 //
     /*  733151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733219 */     GIR_RootConstrainSelectedInstOperands,
     /*  733220 */     // GIR_Coverage, 12011,
     /*  733220 */     GIR_EraseRootFromParent_Done,
     /*  733221 */   // Label 11502: @733221
     /*  733221 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733296), // Rule ID 12012 //
     /*  733226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  733275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733294 */     GIR_RootConstrainSelectedInstOperands,
     /*  733295 */     // GIR_Coverage, 12012,
     /*  733295 */     GIR_EraseRootFromParent_Done,
     /*  733296 */   // Label 11503: @733296
     /*  733296 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733371), // Rule ID 12015 //
     /*  733301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733369 */     GIR_RootConstrainSelectedInstOperands,
     /*  733370 */     // GIR_Coverage, 12015,
     /*  733370 */     GIR_EraseRootFromParent_Done,
     /*  733371 */   // Label 11504: @733371
     /*  733371 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733446), // Rule ID 12016 //
     /*  733376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  733393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  733425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733444 */     GIR_RootConstrainSelectedInstOperands,
     /*  733445 */     // GIR_Coverage, 12016,
     /*  733445 */     GIR_EraseRootFromParent_Done,
     /*  733446 */   // Label 11505: @733446
     /*  733446 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733521), // Rule ID 12019 //
     /*  733451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733497 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733519 */     GIR_RootConstrainSelectedInstOperands,
     /*  733520 */     // GIR_Coverage, 12019,
     /*  733520 */     GIR_EraseRootFromParent_Done,
     /*  733521 */   // Label 11506: @733521
     /*  733521 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733596), // Rule ID 12020 //
     /*  733526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  733537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  733540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  733575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733594 */     GIR_RootConstrainSelectedInstOperands,
     /*  733595 */     // GIR_Coverage, 12020,
     /*  733595 */     GIR_EraseRootFromParent_Done,
     /*  733596 */   // Label 11507: @733596
     /*  733596 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733671), // Rule ID 12023 //
     /*  733601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  733612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  733615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  733650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733669 */     GIR_RootConstrainSelectedInstOperands,
     /*  733670 */     // GIR_Coverage, 12023,
     /*  733670 */     GIR_EraseRootFromParent_Done,
     /*  733671 */   // Label 11508: @733671
     /*  733671 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733746), // Rule ID 12024 //
     /*  733676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  733687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  733690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  733725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733744 */     GIR_RootConstrainSelectedInstOperands,
     /*  733745 */     // GIR_Coverage, 12024,
     /*  733745 */     GIR_EraseRootFromParent_Done,
     /*  733746 */   // Label 11509: @733746
     /*  733746 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733821), // Rule ID 12027 //
     /*  733751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  733762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  733765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  733800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733819 */     GIR_RootConstrainSelectedInstOperands,
     /*  733820 */     // GIR_Coverage, 12027,
     /*  733820 */     GIR_EraseRootFromParent_Done,
     /*  733821 */   // Label 11510: @733821
     /*  733821 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733896), // Rule ID 12028 //
     /*  733826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  733837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  733840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  733875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733894 */     GIR_RootConstrainSelectedInstOperands,
     /*  733895 */     // GIR_Coverage, 12028,
     /*  733895 */     GIR_EraseRootFromParent_Done,
     /*  733896 */   // Label 11511: @733896
     /*  733896 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(733971), // Rule ID 12031 //
     /*  733901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  733912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  733915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  733918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  733950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733969 */     GIR_RootConstrainSelectedInstOperands,
     /*  733970 */     // GIR_Coverage, 12031,
     /*  733970 */     GIR_EraseRootFromParent_Done,
     /*  733971 */   // Label 11512: @733971
     /*  733971 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734046), // Rule ID 12032 //
     /*  733976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  733987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  733990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  733993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  734025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734044 */     GIR_RootConstrainSelectedInstOperands,
     /*  734045 */     // GIR_Coverage, 12032,
     /*  734045 */     GIR_EraseRootFromParent_Done,
     /*  734046 */   // Label 11513: @734046
     /*  734046 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734121), // Rule ID 12035 //
     /*  734051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734119 */     GIR_RootConstrainSelectedInstOperands,
     /*  734120 */     // GIR_Coverage, 12035,
     /*  734120 */     GIR_EraseRootFromParent_Done,
     /*  734121 */   // Label 11514: @734121
     /*  734121 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734196), // Rule ID 12036 //
     /*  734126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  734175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734194 */     GIR_RootConstrainSelectedInstOperands,
     /*  734195 */     // GIR_Coverage, 12036,
     /*  734195 */     GIR_EraseRootFromParent_Done,
     /*  734196 */   // Label 11515: @734196
     /*  734196 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734271), // Rule ID 12039 //
     /*  734201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734269 */     GIR_RootConstrainSelectedInstOperands,
     /*  734270 */     // GIR_Coverage, 12039,
     /*  734270 */     GIR_EraseRootFromParent_Done,
     /*  734271 */   // Label 11516: @734271
     /*  734271 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734346), // Rule ID 12040 //
     /*  734276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  734325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734344 */     GIR_RootConstrainSelectedInstOperands,
     /*  734345 */     // GIR_Coverage, 12040,
     /*  734345 */     GIR_EraseRootFromParent_Done,
     /*  734346 */   // Label 11517: @734346
     /*  734346 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734421), // Rule ID 12043 //
     /*  734351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734419 */     GIR_RootConstrainSelectedInstOperands,
     /*  734420 */     // GIR_Coverage, 12043,
     /*  734420 */     GIR_EraseRootFromParent_Done,
     /*  734421 */   // Label 11518: @734421
     /*  734421 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734496), // Rule ID 12044 //
     /*  734426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  734437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  734440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  734475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734494 */     GIR_RootConstrainSelectedInstOperands,
     /*  734495 */     // GIR_Coverage, 12044,
     /*  734495 */     GIR_EraseRootFromParent_Done,
     /*  734496 */   // Label 11519: @734496
     /*  734496 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734571), // Rule ID 12047 //
     /*  734501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734569 */     GIR_RootConstrainSelectedInstOperands,
     /*  734570 */     // GIR_Coverage, 12047,
     /*  734570 */     GIR_EraseRootFromParent_Done,
     /*  734571 */   // Label 11520: @734571
     /*  734571 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734646), // Rule ID 12048 //
     /*  734576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  734587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  734590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  734625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734644 */     GIR_RootConstrainSelectedInstOperands,
     /*  734645 */     // GIR_Coverage, 12048,
     /*  734645 */     GIR_EraseRootFromParent_Done,
     /*  734646 */   // Label 11521: @734646
     /*  734646 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734721), // Rule ID 12051 //
     /*  734651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  734662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  734665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  734700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734719 */     GIR_RootConstrainSelectedInstOperands,
     /*  734720 */     // GIR_Coverage, 12051,
     /*  734720 */     GIR_EraseRootFromParent_Done,
     /*  734721 */   // Label 11522: @734721
     /*  734721 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734796), // Rule ID 12052 //
     /*  734726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  734737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  734740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  734775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734794 */     GIR_RootConstrainSelectedInstOperands,
     /*  734795 */     // GIR_Coverage, 12052,
     /*  734795 */     GIR_EraseRootFromParent_Done,
     /*  734796 */   // Label 11523: @734796
     /*  734796 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734871), // Rule ID 12055 //
     /*  734801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  734812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  734815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  734850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734869 */     GIR_RootConstrainSelectedInstOperands,
     /*  734870 */     // GIR_Coverage, 12055,
     /*  734870 */     GIR_EraseRootFromParent_Done,
     /*  734871 */   // Label 11524: @734871
     /*  734871 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734946), // Rule ID 12056 //
     /*  734876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  734887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  734890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  734925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734944 */     GIR_RootConstrainSelectedInstOperands,
     /*  734945 */     // GIR_Coverage, 12056,
     /*  734945 */     GIR_EraseRootFromParent_Done,
     /*  734946 */   // Label 11525: @734946
     /*  734946 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735021), // Rule ID 12059 //
     /*  734951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  734962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  734965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  734968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735019 */     GIR_RootConstrainSelectedInstOperands,
     /*  735020 */     // GIR_Coverage, 12059,
     /*  735020 */     GIR_EraseRootFromParent_Done,
     /*  735021 */   // Label 11526: @735021
     /*  735021 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735096), // Rule ID 12060 //
     /*  735026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  735075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735094 */     GIR_RootConstrainSelectedInstOperands,
     /*  735095 */     // GIR_Coverage, 12060,
     /*  735095 */     GIR_EraseRootFromParent_Done,
     /*  735096 */   // Label 11527: @735096
     /*  735096 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735171), // Rule ID 12063 //
     /*  735101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735169 */     GIR_RootConstrainSelectedInstOperands,
     /*  735170 */     // GIR_Coverage, 12063,
     /*  735170 */     GIR_EraseRootFromParent_Done,
     /*  735171 */   // Label 11528: @735171
     /*  735171 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735246), // Rule ID 12064 //
     /*  735176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  735225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735244 */     GIR_RootConstrainSelectedInstOperands,
     /*  735245 */     // GIR_Coverage, 12064,
     /*  735245 */     GIR_EraseRootFromParent_Done,
     /*  735246 */   // Label 11529: @735246
     /*  735246 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735321), // Rule ID 12067 //
     /*  735251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735319 */     GIR_RootConstrainSelectedInstOperands,
     /*  735320 */     // GIR_Coverage, 12067,
     /*  735320 */     GIR_EraseRootFromParent_Done,
     /*  735321 */   // Label 11530: @735321
     /*  735321 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735396), // Rule ID 12068 //
     /*  735326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  735337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  735340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  735375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735394 */     GIR_RootConstrainSelectedInstOperands,
     /*  735395 */     // GIR_Coverage, 12068,
     /*  735395 */     GIR_EraseRootFromParent_Done,
     /*  735396 */   // Label 11531: @735396
     /*  735396 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735471), // Rule ID 12071 //
     /*  735401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735469 */     GIR_RootConstrainSelectedInstOperands,
     /*  735470 */     // GIR_Coverage, 12071,
     /*  735470 */     GIR_EraseRootFromParent_Done,
     /*  735471 */   // Label 11532: @735471
     /*  735471 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735546), // Rule ID 12072 //
     /*  735476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  735487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  735490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  735496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  735525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735544 */     GIR_RootConstrainSelectedInstOperands,
     /*  735545 */     // GIR_Coverage, 12072,
     /*  735545 */     GIR_EraseRootFromParent_Done,
     /*  735546 */   // Label 11533: @735546
     /*  735546 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735621), // Rule ID 12075 //
     /*  735551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  735562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  735565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  735571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  735600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735619 */     GIR_RootConstrainSelectedInstOperands,
     /*  735620 */     // GIR_Coverage, 12075,
     /*  735620 */     GIR_EraseRootFromParent_Done,
     /*  735621 */   // Label 11534: @735621
     /*  735621 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735696), // Rule ID 12076 //
     /*  735626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  735637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  735640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  735646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  735675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735694 */     GIR_RootConstrainSelectedInstOperands,
     /*  735695 */     // GIR_Coverage, 12076,
     /*  735695 */     GIR_EraseRootFromParent_Done,
     /*  735696 */   // Label 11535: @735696
     /*  735696 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735771), // Rule ID 12079 //
     /*  735701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  735712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  735715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  735721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  735750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735769 */     GIR_RootConstrainSelectedInstOperands,
     /*  735770 */     // GIR_Coverage, 12079,
     /*  735770 */     GIR_EraseRootFromParent_Done,
     /*  735771 */   // Label 11536: @735771
     /*  735771 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735846), // Rule ID 12080 //
     /*  735776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  735787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  735790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  735796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  735825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735844 */     GIR_RootConstrainSelectedInstOperands,
     /*  735845 */     // GIR_Coverage, 12080,
     /*  735845 */     GIR_EraseRootFromParent_Done,
     /*  735846 */   // Label 11537: @735846
     /*  735846 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735921), // Rule ID 12083 //
     /*  735851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  735862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  735865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  735871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735897 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  735900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735919 */     GIR_RootConstrainSelectedInstOperands,
     /*  735920 */     // GIR_Coverage, 12083,
     /*  735920 */     GIR_EraseRootFromParent_Done,
     /*  735921 */   // Label 11538: @735921
     /*  735921 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(735996), // Rule ID 12084 //
     /*  735926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  735937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  735940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  735946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  735975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735994 */     GIR_RootConstrainSelectedInstOperands,
     /*  735995 */     // GIR_Coverage, 12084,
     /*  735995 */     GIR_EraseRootFromParent_Done,
     /*  735996 */   // Label 11539: @735996
     /*  735996 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736071), // Rule ID 12087 //
     /*  736001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736069 */     GIR_RootConstrainSelectedInstOperands,
     /*  736070 */     // GIR_Coverage, 12087,
     /*  736070 */     GIR_EraseRootFromParent_Done,
     /*  736071 */   // Label 11540: @736071
     /*  736071 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736146), // Rule ID 12088 //
     /*  736076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  736093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  736096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  736125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736144 */     GIR_RootConstrainSelectedInstOperands,
     /*  736145 */     // GIR_Coverage, 12088,
     /*  736145 */     GIR_EraseRootFromParent_Done,
     /*  736146 */   // Label 11541: @736146
     /*  736146 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736221), // Rule ID 12091 //
     /*  736151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736219 */     GIR_RootConstrainSelectedInstOperands,
     /*  736220 */     // GIR_Coverage, 12091,
     /*  736220 */     GIR_EraseRootFromParent_Done,
     /*  736221 */   // Label 11542: @736221
     /*  736221 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736296), // Rule ID 12092 //
     /*  736226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  736275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736294 */     GIR_RootConstrainSelectedInstOperands,
     /*  736295 */     // GIR_Coverage, 12092,
     /*  736295 */     GIR_EraseRootFromParent_Done,
     /*  736296 */   // Label 11543: @736296
     /*  736296 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736371), // Rule ID 12095 //
     /*  736301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736369 */     GIR_RootConstrainSelectedInstOperands,
     /*  736370 */     // GIR_Coverage, 12095,
     /*  736370 */     GIR_EraseRootFromParent_Done,
     /*  736371 */   // Label 11544: @736371
     /*  736371 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736446), // Rule ID 12096 //
     /*  736376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  736393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  736425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736444 */     GIR_RootConstrainSelectedInstOperands,
     /*  736445 */     // GIR_Coverage, 12096,
     /*  736445 */     GIR_EraseRootFromParent_Done,
     /*  736446 */   // Label 11545: @736446
     /*  736446 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736521), // Rule ID 12099 //
     /*  736451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736519 */     GIR_RootConstrainSelectedInstOperands,
     /*  736520 */     // GIR_Coverage, 12099,
     /*  736520 */     GIR_EraseRootFromParent_Done,
     /*  736521 */   // Label 11546: @736521
     /*  736521 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736596), // Rule ID 12100 //
     /*  736526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  736575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736594 */     GIR_RootConstrainSelectedInstOperands,
     /*  736595 */     // GIR_Coverage, 12100,
     /*  736595 */     GIR_EraseRootFromParent_Done,
     /*  736596 */   // Label 11547: @736596
     /*  736596 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736671), // Rule ID 12103 //
     /*  736601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  736650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736669 */     GIR_RootConstrainSelectedInstOperands,
     /*  736670 */     // GIR_Coverage, 12103,
     /*  736670 */     GIR_EraseRootFromParent_Done,
     /*  736671 */   // Label 11548: @736671
     /*  736671 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736746), // Rule ID 12104 //
     /*  736676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  736725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736744 */     GIR_RootConstrainSelectedInstOperands,
     /*  736745 */     // GIR_Coverage, 12104,
     /*  736745 */     GIR_EraseRootFromParent_Done,
     /*  736746 */   // Label 11549: @736746
     /*  736746 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736821), // Rule ID 12107 //
     /*  736751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  736762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  736765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  736800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736819 */     GIR_RootConstrainSelectedInstOperands,
     /*  736820 */     // GIR_Coverage, 12107,
     /*  736820 */     GIR_EraseRootFromParent_Done,
     /*  736821 */   // Label 11550: @736821
     /*  736821 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736896), // Rule ID 12108 //
     /*  736826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  736837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  736840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  736875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736894 */     GIR_RootConstrainSelectedInstOperands,
     /*  736895 */     // GIR_Coverage, 12108,
     /*  736895 */     GIR_EraseRootFromParent_Done,
     /*  736896 */   // Label 11551: @736896
     /*  736896 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(736971), // Rule ID 12111 //
     /*  736901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  736912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  736915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  736921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  736950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736969 */     GIR_RootConstrainSelectedInstOperands,
     /*  736970 */     // GIR_Coverage, 12111,
     /*  736970 */     GIR_EraseRootFromParent_Done,
     /*  736971 */   // Label 11552: @736971
     /*  736971 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737046), // Rule ID 12112 //
     /*  736976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  736987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  736990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  736996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  737025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737044 */     GIR_RootConstrainSelectedInstOperands,
     /*  737045 */     // GIR_Coverage, 12112,
     /*  737045 */     GIR_EraseRootFromParent_Done,
     /*  737046 */   // Label 11553: @737046
     /*  737046 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737121), // Rule ID 12115 //
     /*  737051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737119 */     GIR_RootConstrainSelectedInstOperands,
     /*  737120 */     // GIR_Coverage, 12115,
     /*  737120 */     GIR_EraseRootFromParent_Done,
     /*  737121 */   // Label 11554: @737121
     /*  737121 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737196), // Rule ID 12116 //
     /*  737126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  737137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  737140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  737143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  737146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  737175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737194 */     GIR_RootConstrainSelectedInstOperands,
     /*  737195 */     // GIR_Coverage, 12116,
     /*  737195 */     GIR_EraseRootFromParent_Done,
     /*  737196 */   // Label 11555: @737196
     /*  737196 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737271), // Rule ID 12119 //
     /*  737201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737269 */     GIR_RootConstrainSelectedInstOperands,
     /*  737270 */     // GIR_Coverage, 12119,
     /*  737270 */     GIR_EraseRootFromParent_Done,
     /*  737271 */   // Label 11556: @737271
     /*  737271 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737346), // Rule ID 12120 //
     /*  737276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  737287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  737290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  737325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737344 */     GIR_RootConstrainSelectedInstOperands,
     /*  737345 */     // GIR_Coverage, 12120,
     /*  737345 */     GIR_EraseRootFromParent_Done,
     /*  737346 */   // Label 11557: @737346
     /*  737346 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737421), // Rule ID 12123 //
     /*  737351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737419 */     GIR_RootConstrainSelectedInstOperands,
     /*  737420 */     // GIR_Coverage, 12123,
     /*  737420 */     GIR_EraseRootFromParent_Done,
     /*  737421 */   // Label 11558: @737421
     /*  737421 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737496), // Rule ID 12124 //
     /*  737426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  737437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  737440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  737475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737494 */     GIR_RootConstrainSelectedInstOperands,
     /*  737495 */     // GIR_Coverage, 12124,
     /*  737495 */     GIR_EraseRootFromParent_Done,
     /*  737496 */   // Label 11559: @737496
     /*  737496 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737571), // Rule ID 12127 //
     /*  737501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737569 */     GIR_RootConstrainSelectedInstOperands,
     /*  737570 */     // GIR_Coverage, 12127,
     /*  737570 */     GIR_EraseRootFromParent_Done,
     /*  737571 */   // Label 11560: @737571
     /*  737571 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737646), // Rule ID 12128 //
     /*  737576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  737587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  737590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  737596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  737625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737644 */     GIR_RootConstrainSelectedInstOperands,
     /*  737645 */     // GIR_Coverage, 12128,
     /*  737645 */     GIR_EraseRootFromParent_Done,
     /*  737646 */   // Label 11561: @737646
     /*  737646 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737721), // Rule ID 12131 //
     /*  737651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  737700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737719 */     GIR_RootConstrainSelectedInstOperands,
     /*  737720 */     // GIR_Coverage, 12131,
     /*  737720 */     GIR_EraseRootFromParent_Done,
     /*  737721 */   // Label 11562: @737721
     /*  737721 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737796), // Rule ID 12132 //
     /*  737726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  737775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737794 */     GIR_RootConstrainSelectedInstOperands,
     /*  737795 */     // GIR_Coverage, 12132,
     /*  737795 */     GIR_EraseRootFromParent_Done,
     /*  737796 */   // Label 11563: @737796
     /*  737796 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737871), // Rule ID 12135 //
     /*  737801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  737821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  737850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737869 */     GIR_RootConstrainSelectedInstOperands,
     /*  737870 */     // GIR_Coverage, 12135,
     /*  737870 */     GIR_EraseRootFromParent_Done,
     /*  737871 */   // Label 11564: @737871
     /*  737871 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737946), // Rule ID 12136 //
     /*  737876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  737896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  737925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737944 */     GIR_RootConstrainSelectedInstOperands,
     /*  737945 */     // GIR_Coverage, 12136,
     /*  737945 */     GIR_EraseRootFromParent_Done,
     /*  737946 */   // Label 11565: @737946
     /*  737946 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738021), // Rule ID 12139 //
     /*  737951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  737962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  737965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  737968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  737971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738019 */     GIR_RootConstrainSelectedInstOperands,
     /*  738020 */     // GIR_Coverage, 12139,
     /*  738020 */     GIR_EraseRootFromParent_Done,
     /*  738021 */   // Label 11566: @738021
     /*  738021 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738096), // Rule ID 12140 //
     /*  738026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  738037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  738040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  738043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  738046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  738075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738094 */     GIR_RootConstrainSelectedInstOperands,
     /*  738095 */     // GIR_Coverage, 12140,
     /*  738095 */     GIR_EraseRootFromParent_Done,
     /*  738096 */   // Label 11567: @738096
     /*  738096 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738171), // Rule ID 12143 //
     /*  738101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738169 */     GIR_RootConstrainSelectedInstOperands,
     /*  738170 */     // GIR_Coverage, 12143,
     /*  738170 */     GIR_EraseRootFromParent_Done,
     /*  738171 */   // Label 11568: @738171
     /*  738171 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738246), // Rule ID 12144 //
     /*  738176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  738187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  738190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  738193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  738196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  738225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738244 */     GIR_RootConstrainSelectedInstOperands,
     /*  738245 */     // GIR_Coverage, 12144,
     /*  738245 */     GIR_EraseRootFromParent_Done,
     /*  738246 */   // Label 11569: @738246
     /*  738246 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738321), // Rule ID 12147 //
     /*  738251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738319 */     GIR_RootConstrainSelectedInstOperands,
     /*  738320 */     // GIR_Coverage, 12147,
     /*  738320 */     GIR_EraseRootFromParent_Done,
     /*  738321 */   // Label 11570: @738321
     /*  738321 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738396), // Rule ID 12148 //
     /*  738326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  738337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  738340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  738343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  738346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  738375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738394 */     GIR_RootConstrainSelectedInstOperands,
     /*  738395 */     // GIR_Coverage, 12148,
     /*  738395 */     GIR_EraseRootFromParent_Done,
     /*  738396 */   // Label 11571: @738396
     /*  738396 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738471), // Rule ID 12151 //
     /*  738401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738469 */     GIR_RootConstrainSelectedInstOperands,
     /*  738470 */     // GIR_Coverage, 12151,
     /*  738470 */     GIR_EraseRootFromParent_Done,
     /*  738471 */   // Label 11572: @738471
     /*  738471 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738546), // Rule ID 12152 //
     /*  738476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  738496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  738525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738544 */     GIR_RootConstrainSelectedInstOperands,
     /*  738545 */     // GIR_Coverage, 12152,
     /*  738545 */     GIR_EraseRootFromParent_Done,
     /*  738546 */   // Label 11573: @738546
     /*  738546 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738621), // Rule ID 12155 //
     /*  738551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  738562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  738565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  738600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738619 */     GIR_RootConstrainSelectedInstOperands,
     /*  738620 */     // GIR_Coverage, 12155,
     /*  738620 */     GIR_EraseRootFromParent_Done,
     /*  738621 */   // Label 11574: @738621
     /*  738621 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738696), // Rule ID 12156 //
     /*  738626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  738637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  738640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  738675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738694 */     GIR_RootConstrainSelectedInstOperands,
     /*  738695 */     // GIR_Coverage, 12156,
     /*  738695 */     GIR_EraseRootFromParent_Done,
     /*  738696 */   // Label 11575: @738696
     /*  738696 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738771), // Rule ID 12159 //
     /*  738701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  738712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  738715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  738750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738769 */     GIR_RootConstrainSelectedInstOperands,
     /*  738770 */     // GIR_Coverage, 12159,
     /*  738770 */     GIR_EraseRootFromParent_Done,
     /*  738771 */   // Label 11576: @738771
     /*  738771 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738846), // Rule ID 12160 //
     /*  738776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  738787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  738790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  738825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738844 */     GIR_RootConstrainSelectedInstOperands,
     /*  738845 */     // GIR_Coverage, 12160,
     /*  738845 */     GIR_EraseRootFromParent_Done,
     /*  738846 */   // Label 11577: @738846
     /*  738846 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738921), // Rule ID 12163 //
     /*  738851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  738862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  738865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  738900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738919 */     GIR_RootConstrainSelectedInstOperands,
     /*  738920 */     // GIR_Coverage, 12163,
     /*  738920 */     GIR_EraseRootFromParent_Done,
     /*  738921 */   // Label 11578: @738921
     /*  738921 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(738996), // Rule ID 12164 //
     /*  738926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  738937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  738940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  738975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738994 */     GIR_RootConstrainSelectedInstOperands,
     /*  738995 */     // GIR_Coverage, 12164,
     /*  738995 */     GIR_EraseRootFromParent_Done,
     /*  738996 */   // Label 11579: @738996
     /*  738996 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739071), // Rule ID 12167 //
     /*  739001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739069 */     GIR_RootConstrainSelectedInstOperands,
     /*  739070 */     // GIR_Coverage, 12167,
     /*  739070 */     GIR_EraseRootFromParent_Done,
     /*  739071 */   // Label 11580: @739071
     /*  739071 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739146), // Rule ID 12168 //
     /*  739076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  739087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  739090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  739125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739144 */     GIR_RootConstrainSelectedInstOperands,
     /*  739145 */     // GIR_Coverage, 12168,
     /*  739145 */     GIR_EraseRootFromParent_Done,
     /*  739146 */   // Label 11581: @739146
     /*  739146 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739221), // Rule ID 12171 //
     /*  739151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739219 */     GIR_RootConstrainSelectedInstOperands,
     /*  739220 */     // GIR_Coverage, 12171,
     /*  739220 */     GIR_EraseRootFromParent_Done,
     /*  739221 */   // Label 11582: @739221
     /*  739221 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739296), // Rule ID 12172 //
     /*  739226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  739237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  739240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  739275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739294 */     GIR_RootConstrainSelectedInstOperands,
     /*  739295 */     // GIR_Coverage, 12172,
     /*  739295 */     GIR_EraseRootFromParent_Done,
     /*  739296 */   // Label 11583: @739296
     /*  739296 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739371), // Rule ID 12175 //
     /*  739301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739369 */     GIR_RootConstrainSelectedInstOperands,
     /*  739370 */     // GIR_Coverage, 12175,
     /*  739370 */     GIR_EraseRootFromParent_Done,
     /*  739371 */   // Label 11584: @739371
     /*  739371 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739446), // Rule ID 12176 //
     /*  739376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  739425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739444 */     GIR_RootConstrainSelectedInstOperands,
     /*  739445 */     // GIR_Coverage, 12176,
     /*  739445 */     GIR_EraseRootFromParent_Done,
     /*  739446 */   // Label 11585: @739446
     /*  739446 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739521), // Rule ID 12179 //
     /*  739451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739519 */     GIR_RootConstrainSelectedInstOperands,
     /*  739520 */     // GIR_Coverage, 12179,
     /*  739520 */     GIR_EraseRootFromParent_Done,
     /*  739521 */   // Label 11586: @739521
     /*  739521 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739596), // Rule ID 12180 //
     /*  739526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  739537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  739540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  739575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739594 */     GIR_RootConstrainSelectedInstOperands,
     /*  739595 */     // GIR_Coverage, 12180,
     /*  739595 */     GIR_EraseRootFromParent_Done,
     /*  739596 */   // Label 11587: @739596
     /*  739596 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739671), // Rule ID 12183 //
     /*  739601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  739650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739669 */     GIR_RootConstrainSelectedInstOperands,
     /*  739670 */     // GIR_Coverage, 12183,
     /*  739670 */     GIR_EraseRootFromParent_Done,
     /*  739671 */   // Label 11588: @739671
     /*  739671 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739746), // Rule ID 12184 //
     /*  739676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  739725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739744 */     GIR_RootConstrainSelectedInstOperands,
     /*  739745 */     // GIR_Coverage, 12184,
     /*  739745 */     GIR_EraseRootFromParent_Done,
     /*  739746 */   // Label 11589: @739746
     /*  739746 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739821), // Rule ID 12187 //
     /*  739751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  739800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739819 */     GIR_RootConstrainSelectedInstOperands,
     /*  739820 */     // GIR_Coverage, 12187,
     /*  739820 */     GIR_EraseRootFromParent_Done,
     /*  739821 */   // Label 11590: @739821
     /*  739821 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739896), // Rule ID 12188 //
     /*  739826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  739875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739894 */     GIR_RootConstrainSelectedInstOperands,
     /*  739895 */     // GIR_Coverage, 12188,
     /*  739895 */     GIR_EraseRootFromParent_Done,
     /*  739896 */   // Label 11591: @739896
     /*  739896 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(739971), // Rule ID 12191 //
     /*  739901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  739918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  739950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739969 */     GIR_RootConstrainSelectedInstOperands,
     /*  739970 */     // GIR_Coverage, 12191,
     /*  739970 */     GIR_EraseRootFromParent_Done,
     /*  739971 */   // Label 11592: @739971
     /*  739971 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740046), // Rule ID 12192 //
     /*  739976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  739993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  740025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740044 */     GIR_RootConstrainSelectedInstOperands,
     /*  740045 */     // GIR_Coverage, 12192,
     /*  740045 */     GIR_EraseRootFromParent_Done,
     /*  740046 */   // Label 11593: @740046
     /*  740046 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740121), // Rule ID 12195 //
     /*  740051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740119 */     GIR_RootConstrainSelectedInstOperands,
     /*  740120 */     // GIR_Coverage, 12195,
     /*  740120 */     GIR_EraseRootFromParent_Done,
     /*  740121 */   // Label 11594: @740121
     /*  740121 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740196), // Rule ID 12196 //
     /*  740126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  740137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  740140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  740143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  740175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740194 */     GIR_RootConstrainSelectedInstOperands,
     /*  740195 */     // GIR_Coverage, 12196,
     /*  740195 */     GIR_EraseRootFromParent_Done,
     /*  740196 */   // Label 11595: @740196
     /*  740196 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740271), // Rule ID 12199 //
     /*  740201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740269 */     GIR_RootConstrainSelectedInstOperands,
     /*  740270 */     // GIR_Coverage, 12199,
     /*  740270 */     GIR_EraseRootFromParent_Done,
     /*  740271 */   // Label 11596: @740271
     /*  740271 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740346), // Rule ID 12200 //
     /*  740276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  740287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  740290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  740293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  740325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740344 */     GIR_RootConstrainSelectedInstOperands,
     /*  740345 */     // GIR_Coverage, 12200,
     /*  740345 */     GIR_EraseRootFromParent_Done,
     /*  740346 */   // Label 11597: @740346
     /*  740346 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740421), // Rule ID 12203 //
     /*  740351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740419 */     GIR_RootConstrainSelectedInstOperands,
     /*  740420 */     // GIR_Coverage, 12203,
     /*  740420 */     GIR_EraseRootFromParent_Done,
     /*  740421 */   // Label 11598: @740421
     /*  740421 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740496), // Rule ID 12204 //
     /*  740426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  740437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  740440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  740443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  740475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740494 */     GIR_RootConstrainSelectedInstOperands,
     /*  740495 */     // GIR_Coverage, 12204,
     /*  740495 */     GIR_EraseRootFromParent_Done,
     /*  740496 */   // Label 11599: @740496
     /*  740496 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740571), // Rule ID 12207 //
     /*  740501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740569 */     GIR_RootConstrainSelectedInstOperands,
     /*  740570 */     // GIR_Coverage, 12207,
     /*  740570 */     GIR_EraseRootFromParent_Done,
     /*  740571 */   // Label 11600: @740571
     /*  740571 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740646), // Rule ID 12208 //
     /*  740576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  740625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740644 */     GIR_RootConstrainSelectedInstOperands,
     /*  740645 */     // GIR_Coverage, 12208,
     /*  740645 */     GIR_EraseRootFromParent_Done,
     /*  740646 */   // Label 11601: @740646
     /*  740646 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740721), // Rule ID 12211 //
     /*  740651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  740662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  740665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  740700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740719 */     GIR_RootConstrainSelectedInstOperands,
     /*  740720 */     // GIR_Coverage, 12211,
     /*  740720 */     GIR_EraseRootFromParent_Done,
     /*  740721 */   // Label 11602: @740721
     /*  740721 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740796), // Rule ID 12212 //
     /*  740726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  740737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  740740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  740775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740794 */     GIR_RootConstrainSelectedInstOperands,
     /*  740795 */     // GIR_Coverage, 12212,
     /*  740795 */     GIR_EraseRootFromParent_Done,
     /*  740796 */   // Label 11603: @740796
     /*  740796 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740871), // Rule ID 12215 //
     /*  740801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  740812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  740815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  740850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740869 */     GIR_RootConstrainSelectedInstOperands,
     /*  740870 */     // GIR_Coverage, 12215,
     /*  740870 */     GIR_EraseRootFromParent_Done,
     /*  740871 */   // Label 11604: @740871
     /*  740871 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740946), // Rule ID 12216 //
     /*  740876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  740887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  740890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  740925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740944 */     GIR_RootConstrainSelectedInstOperands,
     /*  740945 */     // GIR_Coverage, 12216,
     /*  740945 */     GIR_EraseRootFromParent_Done,
     /*  740946 */   // Label 11605: @740946
     /*  740946 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741021), // Rule ID 12219 //
     /*  740951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  740962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  740965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  740968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741019 */     GIR_RootConstrainSelectedInstOperands,
     /*  741020 */     // GIR_Coverage, 12219,
     /*  741020 */     GIR_EraseRootFromParent_Done,
     /*  741021 */   // Label 11606: @741021
     /*  741021 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741096), // Rule ID 12220 //
     /*  741026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  741043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  741075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741094 */     GIR_RootConstrainSelectedInstOperands,
     /*  741095 */     // GIR_Coverage, 12220,
     /*  741095 */     GIR_EraseRootFromParent_Done,
     /*  741096 */   // Label 11607: @741096
     /*  741096 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741171), // Rule ID 12223 //
     /*  741101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741169 */     GIR_RootConstrainSelectedInstOperands,
     /*  741170 */     // GIR_Coverage, 12223,
     /*  741170 */     GIR_EraseRootFromParent_Done,
     /*  741171 */   // Label 11608: @741171
     /*  741171 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741246), // Rule ID 12224 //
     /*  741176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  741193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  741225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741244 */     GIR_RootConstrainSelectedInstOperands,
     /*  741245 */     // GIR_Coverage, 12224,
     /*  741245 */     GIR_EraseRootFromParent_Done,
     /*  741246 */   // Label 11609: @741246
     /*  741246 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741321), // Rule ID 12227 //
     /*  741251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741319 */     GIR_RootConstrainSelectedInstOperands,
     /*  741320 */     // GIR_Coverage, 12227,
     /*  741320 */     GIR_EraseRootFromParent_Done,
     /*  741321 */   // Label 11610: @741321
     /*  741321 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741396), // Rule ID 12228 //
     /*  741326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  741343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  741375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741394 */     GIR_RootConstrainSelectedInstOperands,
     /*  741395 */     // GIR_Coverage, 12228,
     /*  741395 */     GIR_EraseRootFromParent_Done,
     /*  741396 */   // Label 11611: @741396
     /*  741396 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741471), // Rule ID 12231 //
     /*  741401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741469 */     GIR_RootConstrainSelectedInstOperands,
     /*  741470 */     // GIR_Coverage, 12231,
     /*  741470 */     GIR_EraseRootFromParent_Done,
     /*  741471 */   // Label 11612: @741471
     /*  741471 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741546), // Rule ID 12232 //
     /*  741476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  741487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  741490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  741493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  741525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741544 */     GIR_RootConstrainSelectedInstOperands,
     /*  741545 */     // GIR_Coverage, 12232,
     /*  741545 */     GIR_EraseRootFromParent_Done,
     /*  741546 */   // Label 11613: @741546
     /*  741546 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741621), // Rule ID 12235 //
     /*  741551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  741562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  741565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  741568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  741600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741619 */     GIR_RootConstrainSelectedInstOperands,
     /*  741620 */     // GIR_Coverage, 12235,
     /*  741620 */     GIR_EraseRootFromParent_Done,
     /*  741621 */   // Label 11614: @741621
     /*  741621 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741696), // Rule ID 12236 //
     /*  741626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  741637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  741640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  741643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  741675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741694 */     GIR_RootConstrainSelectedInstOperands,
     /*  741695 */     // GIR_Coverage, 12236,
     /*  741695 */     GIR_EraseRootFromParent_Done,
     /*  741696 */   // Label 11615: @741696
     /*  741696 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741771), // Rule ID 12239 //
     /*  741701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  741712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  741715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  741718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  741721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  741750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741769 */     GIR_RootConstrainSelectedInstOperands,
     /*  741770 */     // GIR_Coverage, 12239,
     /*  741770 */     GIR_EraseRootFromParent_Done,
     /*  741771 */   // Label 11616: @741771
     /*  741771 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741846), // Rule ID 12240 //
     /*  741776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  741787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  741790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  741793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  741796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  741815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  741825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741844 */     GIR_RootConstrainSelectedInstOperands,
     /*  741845 */     // GIR_Coverage, 12240,
     /*  741845 */     GIR_EraseRootFromParent_Done,
     /*  741846 */   // Label 11617: @741846
     /*  741846 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741921), // Rule ID 12243 //
     /*  741851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  741862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  741865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  741868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  741871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  741900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741919 */     GIR_RootConstrainSelectedInstOperands,
     /*  741920 */     // GIR_Coverage, 12243,
     /*  741920 */     GIR_EraseRootFromParent_Done,
     /*  741921 */   // Label 11618: @741921
     /*  741921 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(741996), // Rule ID 12244 //
     /*  741926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  741937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  741940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  741943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  741946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  741975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741994 */     GIR_RootConstrainSelectedInstOperands,
     /*  741995 */     // GIR_Coverage, 12244,
     /*  741995 */     GIR_EraseRootFromParent_Done,
     /*  741996 */   // Label 11619: @741996
     /*  741996 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742071), // Rule ID 12247 //
     /*  742001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742069 */     GIR_RootConstrainSelectedInstOperands,
     /*  742070 */     // GIR_Coverage, 12247,
     /*  742070 */     GIR_EraseRootFromParent_Done,
     /*  742071 */   // Label 11620: @742071
     /*  742071 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742146), // Rule ID 12248 //
     /*  742076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  742096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742144 */     GIR_RootConstrainSelectedInstOperands,
     /*  742145 */     // GIR_Coverage, 12248,
     /*  742145 */     GIR_EraseRootFromParent_Done,
     /*  742146 */   // Label 11621: @742146
     /*  742146 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742221), // Rule ID 12251 //
     /*  742151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742219 */     GIR_RootConstrainSelectedInstOperands,
     /*  742220 */     // GIR_Coverage, 12251,
     /*  742220 */     GIR_EraseRootFromParent_Done,
     /*  742221 */   // Label 11622: @742221
     /*  742221 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742296), // Rule ID 12252 //
     /*  742226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  742243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  742246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742294 */     GIR_RootConstrainSelectedInstOperands,
     /*  742295 */     // GIR_Coverage, 12252,
     /*  742295 */     GIR_EraseRootFromParent_Done,
     /*  742296 */   // Label 11623: @742296
     /*  742296 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742371), // Rule ID 12255 //
     /*  742301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742369 */     GIR_RootConstrainSelectedInstOperands,
     /*  742370 */     // GIR_Coverage, 12255,
     /*  742370 */     GIR_EraseRootFromParent_Done,
     /*  742371 */   // Label 11624: @742371
     /*  742371 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742446), // Rule ID 12256 //
     /*  742376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  742393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742444 */     GIR_RootConstrainSelectedInstOperands,
     /*  742445 */     // GIR_Coverage, 12256,
     /*  742445 */     GIR_EraseRootFromParent_Done,
     /*  742446 */   // Label 11625: @742446
     /*  742446 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742521), // Rule ID 12259 //
     /*  742451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742519 */     GIR_RootConstrainSelectedInstOperands,
     /*  742520 */     // GIR_Coverage, 12259,
     /*  742520 */     GIR_EraseRootFromParent_Done,
     /*  742521 */   // Label 11626: @742521
     /*  742521 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742596), // Rule ID 12260 //
     /*  742526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742594 */     GIR_RootConstrainSelectedInstOperands,
     /*  742595 */     // GIR_Coverage, 12260,
     /*  742595 */     GIR_EraseRootFromParent_Done,
     /*  742596 */   // Label 11627: @742596
     /*  742596 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742671), // Rule ID 12263 //
     /*  742601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742669 */     GIR_RootConstrainSelectedInstOperands,
     /*  742670 */     // GIR_Coverage, 12263,
     /*  742670 */     GIR_EraseRootFromParent_Done,
     /*  742671 */   // Label 11628: @742671
     /*  742671 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742746), // Rule ID 12264 //
     /*  742676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742744 */     GIR_RootConstrainSelectedInstOperands,
     /*  742745 */     // GIR_Coverage, 12264,
     /*  742745 */     GIR_EraseRootFromParent_Done,
     /*  742746 */   // Label 11629: @742746
     /*  742746 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742821), // Rule ID 12267 //
     /*  742751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  742762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  742765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  742768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  742771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742819 */     GIR_RootConstrainSelectedInstOperands,
     /*  742820 */     // GIR_Coverage, 12267,
     /*  742820 */     GIR_EraseRootFromParent_Done,
     /*  742821 */   // Label 11630: @742821
     /*  742821 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742896), // Rule ID 12268 //
     /*  742826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  742837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  742840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  742843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  742846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  742875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742894 */     GIR_RootConstrainSelectedInstOperands,
     /*  742895 */     // GIR_Coverage, 12268,
     /*  742895 */     GIR_EraseRootFromParent_Done,
     /*  742896 */   // Label 11631: @742896
     /*  742896 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(742971), // Rule ID 12271 //
     /*  742901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  742918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  742921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742969 */     GIR_RootConstrainSelectedInstOperands,
     /*  742970 */     // GIR_Coverage, 12271,
     /*  742970 */     GIR_EraseRootFromParent_Done,
     /*  742971 */   // Label 11632: @742971
     /*  742971 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743046), // Rule ID 12272 //
     /*  742976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  742993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  742996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743044 */     GIR_RootConstrainSelectedInstOperands,
     /*  743045 */     // GIR_Coverage, 12272,
     /*  743045 */     GIR_EraseRootFromParent_Done,
     /*  743046 */   // Label 11633: @743046
     /*  743046 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743121), // Rule ID 12275 //
     /*  743051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743119 */     GIR_RootConstrainSelectedInstOperands,
     /*  743120 */     // GIR_Coverage, 12275,
     /*  743120 */     GIR_EraseRootFromParent_Done,
     /*  743121 */   // Label 11634: @743121
     /*  743121 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743196), // Rule ID 12276 //
     /*  743126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743194 */     GIR_RootConstrainSelectedInstOperands,
     /*  743195 */     // GIR_Coverage, 12276,
     /*  743195 */     GIR_EraseRootFromParent_Done,
     /*  743196 */   // Label 11635: @743196
     /*  743196 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743271), // Rule ID 12279 //
     /*  743201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743269 */     GIR_RootConstrainSelectedInstOperands,
     /*  743270 */     // GIR_Coverage, 12279,
     /*  743270 */     GIR_EraseRootFromParent_Done,
     /*  743271 */   // Label 11636: @743271
     /*  743271 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743346), // Rule ID 12280 //
     /*  743276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  743293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  743296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743344 */     GIR_RootConstrainSelectedInstOperands,
     /*  743345 */     // GIR_Coverage, 12280,
     /*  743345 */     GIR_EraseRootFromParent_Done,
     /*  743346 */   // Label 11637: @743346
     /*  743346 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743421), // Rule ID 12283 //
     /*  743351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743419 */     GIR_RootConstrainSelectedInstOperands,
     /*  743420 */     // GIR_Coverage, 12283,
     /*  743420 */     GIR_EraseRootFromParent_Done,
     /*  743421 */   // Label 11638: @743421
     /*  743421 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743496), // Rule ID 12284 //
     /*  743426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  743443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  743446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  743475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743494 */     GIR_RootConstrainSelectedInstOperands,
     /*  743495 */     // GIR_Coverage, 12284,
     /*  743495 */     GIR_EraseRootFromParent_Done,
     /*  743496 */   // Label 11639: @743496
     /*  743496 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743571), // Rule ID 12287 //
     /*  743501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743569 */     GIR_RootConstrainSelectedInstOperands,
     /*  743570 */     // GIR_Coverage, 12287,
     /*  743570 */     GIR_EraseRootFromParent_Done,
     /*  743571 */   // Label 11640: @743571
     /*  743571 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743646), // Rule ID 12288 //
     /*  743576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  743596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  743625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743644 */     GIR_RootConstrainSelectedInstOperands,
     /*  743645 */     // GIR_Coverage, 12288,
     /*  743645 */     GIR_EraseRootFromParent_Done,
     /*  743646 */   // Label 11641: @743646
     /*  743646 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743721), // Rule ID 12291 //
     /*  743651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  743668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743719 */     GIR_RootConstrainSelectedInstOperands,
     /*  743720 */     // GIR_Coverage, 12291,
     /*  743720 */     GIR_EraseRootFromParent_Done,
     /*  743721 */   // Label 11642: @743721
     /*  743721 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743796), // Rule ID 12292 //
     /*  743726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  743743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  743775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743794 */     GIR_RootConstrainSelectedInstOperands,
     /*  743795 */     // GIR_Coverage, 12292,
     /*  743795 */     GIR_EraseRootFromParent_Done,
     /*  743796 */   // Label 11643: @743796
     /*  743796 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743871), // Rule ID 12295 //
     /*  743801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  743821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743869 */     GIR_RootConstrainSelectedInstOperands,
     /*  743870 */     // GIR_Coverage, 12295,
     /*  743870 */     GIR_EraseRootFromParent_Done,
     /*  743871 */   // Label 11644: @743871
     /*  743871 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743946), // Rule ID 12296 //
     /*  743876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  743879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  743896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  743925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743944 */     GIR_RootConstrainSelectedInstOperands,
     /*  743945 */     // GIR_Coverage, 12296,
     /*  743945 */     GIR_EraseRootFromParent_Done,
     /*  743946 */   // Label 11645: @743946
     /*  743946 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744021), // Rule ID 12299 //
     /*  743951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  743954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  743968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  743971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744019 */     GIR_RootConstrainSelectedInstOperands,
     /*  744020 */     // GIR_Coverage, 12299,
     /*  744020 */     GIR_EraseRootFromParent_Done,
     /*  744021 */   // Label 11646: @744021
     /*  744021 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744096), // Rule ID 12300 //
     /*  744026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  744046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  744075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744094 */     GIR_RootConstrainSelectedInstOperands,
     /*  744095 */     // GIR_Coverage, 12300,
     /*  744095 */     GIR_EraseRootFromParent_Done,
     /*  744096 */   // Label 11647: @744096
     /*  744096 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744171), // Rule ID 12303 //
     /*  744101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744169 */     GIR_RootConstrainSelectedInstOperands,
     /*  744170 */     // GIR_Coverage, 12303,
     /*  744170 */     GIR_EraseRootFromParent_Done,
     /*  744171 */   // Label 11648: @744171
     /*  744171 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744246), // Rule ID 12304 //
     /*  744176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  744225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744244 */     GIR_RootConstrainSelectedInstOperands,
     /*  744245 */     // GIR_Coverage, 12304,
     /*  744245 */     GIR_EraseRootFromParent_Done,
     /*  744246 */   // Label 11649: @744246
     /*  744246 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744321), // Rule ID 12307 //
     /*  744251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744319 */     GIR_RootConstrainSelectedInstOperands,
     /*  744320 */     // GIR_Coverage, 12307,
     /*  744320 */     GIR_EraseRootFromParent_Done,
     /*  744321 */   // Label 11650: @744321
     /*  744321 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744396), // Rule ID 12308 //
     /*  744326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  744375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744394 */     GIR_RootConstrainSelectedInstOperands,
     /*  744395 */     // GIR_Coverage, 12308,
     /*  744395 */     GIR_EraseRootFromParent_Done,
     /*  744396 */   // Label 11651: @744396
     /*  744396 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744471), // Rule ID 12311 //
     /*  744401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744469 */     GIR_RootConstrainSelectedInstOperands,
     /*  744470 */     // GIR_Coverage, 12311,
     /*  744470 */     GIR_EraseRootFromParent_Done,
     /*  744471 */   // Label 11652: @744471
     /*  744471 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744546), // Rule ID 12312 //
     /*  744476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744544 */     GIR_RootConstrainSelectedInstOperands,
     /*  744545 */     // GIR_Coverage, 12312,
     /*  744545 */     GIR_EraseRootFromParent_Done,
     /*  744546 */   // Label 11653: @744546
     /*  744546 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744621), // Rule ID 12315 //
     /*  744551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  744562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  744565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744619 */     GIR_RootConstrainSelectedInstOperands,
     /*  744620 */     // GIR_Coverage, 12315,
     /*  744620 */     GIR_EraseRootFromParent_Done,
     /*  744621 */   // Label 11654: @744621
     /*  744621 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744696), // Rule ID 12316 //
     /*  744626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  744637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  744640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744694 */     GIR_RootConstrainSelectedInstOperands,
     /*  744695 */     // GIR_Coverage, 12316,
     /*  744695 */     GIR_EraseRootFromParent_Done,
     /*  744696 */   // Label 11655: @744696
     /*  744696 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744771), // Rule ID 12319 //
     /*  744701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  744712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  744715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744769 */     GIR_RootConstrainSelectedInstOperands,
     /*  744770 */     // GIR_Coverage, 12319,
     /*  744770 */     GIR_EraseRootFromParent_Done,
     /*  744771 */   // Label 11656: @744771
     /*  744771 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744846), // Rule ID 12320 //
     /*  744776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  744787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  744790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744844 */     GIR_RootConstrainSelectedInstOperands,
     /*  744845 */     // GIR_Coverage, 12320,
     /*  744845 */     GIR_EraseRootFromParent_Done,
     /*  744846 */   // Label 11657: @744846
     /*  744846 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744921), // Rule ID 12323 //
     /*  744851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  744862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  744865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  744900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744919 */     GIR_RootConstrainSelectedInstOperands,
     /*  744920 */     // GIR_Coverage, 12323,
     /*  744920 */     GIR_EraseRootFromParent_Done,
     /*  744921 */   // Label 11658: @744921
     /*  744921 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(744996), // Rule ID 12324 //
     /*  744926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  744937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  744940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  744975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744994 */     GIR_RootConstrainSelectedInstOperands,
     /*  744995 */     // GIR_Coverage, 12324,
     /*  744995 */     GIR_EraseRootFromParent_Done,
     /*  744996 */   // Label 11659: @744996
     /*  744996 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745071), // Rule ID 12327 //
     /*  745001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745069 */     GIR_RootConstrainSelectedInstOperands,
     /*  745070 */     // GIR_Coverage, 12327,
     /*  745070 */     GIR_EraseRootFromParent_Done,
     /*  745071 */   // Label 11660: @745071
     /*  745071 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745146), // Rule ID 12328 //
     /*  745076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  745125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745144 */     GIR_RootConstrainSelectedInstOperands,
     /*  745145 */     // GIR_Coverage, 12328,
     /*  745145 */     GIR_EraseRootFromParent_Done,
     /*  745146 */   // Label 11661: @745146
     /*  745146 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745221), // Rule ID 12331 //
     /*  745151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745219 */     GIR_RootConstrainSelectedInstOperands,
     /*  745220 */     // GIR_Coverage, 12331,
     /*  745220 */     GIR_EraseRootFromParent_Done,
     /*  745221 */   // Label 11662: @745221
     /*  745221 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745296), // Rule ID 12332 //
     /*  745226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745294 */     GIR_RootConstrainSelectedInstOperands,
     /*  745295 */     // GIR_Coverage, 12332,
     /*  745295 */     GIR_EraseRootFromParent_Done,
     /*  745296 */   // Label 11663: @745296
     /*  745296 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745371), // Rule ID 12335 //
     /*  745301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745369 */     GIR_RootConstrainSelectedInstOperands,
     /*  745370 */     // GIR_Coverage, 12335,
     /*  745370 */     GIR_EraseRootFromParent_Done,
     /*  745371 */   // Label 11664: @745371
     /*  745371 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745446), // Rule ID 12336 //
     /*  745376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  745393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745444 */     GIR_RootConstrainSelectedInstOperands,
     /*  745445 */     // GIR_Coverage, 12336,
     /*  745445 */     GIR_EraseRootFromParent_Done,
     /*  745446 */   // Label 11665: @745446
     /*  745446 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745521), // Rule ID 12339 //
     /*  745451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745519 */     GIR_RootConstrainSelectedInstOperands,
     /*  745520 */     // GIR_Coverage, 12339,
     /*  745520 */     GIR_EraseRootFromParent_Done,
     /*  745521 */   // Label 11666: @745521
     /*  745521 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745596), // Rule ID 12340 //
     /*  745526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  745575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745594 */     GIR_RootConstrainSelectedInstOperands,
     /*  745595 */     // GIR_Coverage, 12340,
     /*  745595 */     GIR_EraseRootFromParent_Done,
     /*  745596 */   // Label 11667: @745596
     /*  745596 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745671), // Rule ID 12343 //
     /*  745601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745669 */     GIR_RootConstrainSelectedInstOperands,
     /*  745670 */     // GIR_Coverage, 12343,
     /*  745670 */     GIR_EraseRootFromParent_Done,
     /*  745671 */   // Label 11668: @745671
     /*  745671 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745746), // Rule ID 12344 //
     /*  745676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745744 */     GIR_RootConstrainSelectedInstOperands,
     /*  745745 */     // GIR_Coverage, 12344,
     /*  745745 */     GIR_EraseRootFromParent_Done,
     /*  745746 */   // Label 11669: @745746
     /*  745746 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745821), // Rule ID 12347 //
     /*  745751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  745768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745819 */     GIR_RootConstrainSelectedInstOperands,
     /*  745820 */     // GIR_Coverage, 12347,
     /*  745820 */     GIR_EraseRootFromParent_Done,
     /*  745821 */   // Label 11670: @745821
     /*  745821 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745896), // Rule ID 12348 //
     /*  745826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  745829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  745843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  745875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745894 */     GIR_RootConstrainSelectedInstOperands,
     /*  745895 */     // GIR_Coverage, 12348,
     /*  745895 */     GIR_EraseRootFromParent_Done,
     /*  745896 */   // Label 11671: @745896
     /*  745896 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(745971), // Rule ID 12351 //
     /*  745901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  745912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  745915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  745918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  745950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745969 */     GIR_RootConstrainSelectedInstOperands,
     /*  745970 */     // GIR_Coverage, 12351,
     /*  745970 */     GIR_EraseRootFromParent_Done,
     /*  745971 */   // Label 11672: @745971
     /*  745971 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746046), // Rule ID 12352 //
     /*  745976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  745979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  745987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  745990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  745993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  746025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746044 */     GIR_RootConstrainSelectedInstOperands,
     /*  746045 */     // GIR_Coverage, 12352,
     /*  746045 */     GIR_EraseRootFromParent_Done,
     /*  746046 */   // Label 11673: @746046
     /*  746046 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746121), // Rule ID 12355 //
     /*  746051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746119 */     GIR_RootConstrainSelectedInstOperands,
     /*  746120 */     // GIR_Coverage, 12355,
     /*  746120 */     GIR_EraseRootFromParent_Done,
     /*  746121 */   // Label 11674: @746121
     /*  746121 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746196), // Rule ID 12356 //
     /*  746126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  746175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746194 */     GIR_RootConstrainSelectedInstOperands,
     /*  746195 */     // GIR_Coverage, 12356,
     /*  746195 */     GIR_EraseRootFromParent_Done,
     /*  746196 */   // Label 11675: @746196
     /*  746196 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746271), // Rule ID 12359 //
     /*  746201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746269 */     GIR_RootConstrainSelectedInstOperands,
     /*  746270 */     // GIR_Coverage, 12359,
     /*  746270 */     GIR_EraseRootFromParent_Done,
     /*  746271 */   // Label 11676: @746271
     /*  746271 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746346), // Rule ID 12360 //
     /*  746276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  746325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746344 */     GIR_RootConstrainSelectedInstOperands,
     /*  746345 */     // GIR_Coverage, 12360,
     /*  746345 */     GIR_EraseRootFromParent_Done,
     /*  746346 */   // Label 11677: @746346
     /*  746346 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746421), // Rule ID 12363 //
     /*  746351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746419 */     GIR_RootConstrainSelectedInstOperands,
     /*  746420 */     // GIR_Coverage, 12363,
     /*  746420 */     GIR_EraseRootFromParent_Done,
     /*  746421 */   // Label 11678: @746421
     /*  746421 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746496), // Rule ID 12364 //
     /*  746426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  746475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746494 */     GIR_RootConstrainSelectedInstOperands,
     /*  746495 */     // GIR_Coverage, 12364,
     /*  746495 */     GIR_EraseRootFromParent_Done,
     /*  746496 */   // Label 11679: @746496
     /*  746496 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746571), // Rule ID 12367 //
     /*  746501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746569 */     GIR_RootConstrainSelectedInstOperands,
     /*  746570 */     // GIR_Coverage, 12367,
     /*  746570 */     GIR_EraseRootFromParent_Done,
     /*  746571 */   // Label 11680: @746571
     /*  746571 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746646), // Rule ID 12368 //
     /*  746576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746644 */     GIR_RootConstrainSelectedInstOperands,
     /*  746645 */     // GIR_Coverage, 12368,
     /*  746645 */     GIR_EraseRootFromParent_Done,
     /*  746646 */   // Label 11681: @746646
     /*  746646 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746721), // Rule ID 12371 //
     /*  746651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746719 */     GIR_RootConstrainSelectedInstOperands,
     /*  746720 */     // GIR_Coverage, 12371,
     /*  746720 */     GIR_EraseRootFromParent_Done,
     /*  746721 */   // Label 11682: @746721
     /*  746721 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746796), // Rule ID 12372 //
     /*  746726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746794 */     GIR_RootConstrainSelectedInstOperands,
     /*  746795 */     // GIR_Coverage, 12372,
     /*  746795 */     GIR_EraseRootFromParent_Done,
     /*  746796 */   // Label 11683: @746796
     /*  746796 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746871), // Rule ID 12375 //
     /*  746801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746869 */     GIR_RootConstrainSelectedInstOperands,
     /*  746870 */     // GIR_Coverage, 12375,
     /*  746870 */     GIR_EraseRootFromParent_Done,
     /*  746871 */   // Label 11684: @746871
     /*  746871 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746946), // Rule ID 12376 //
     /*  746876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746944 */     GIR_RootConstrainSelectedInstOperands,
     /*  746945 */     // GIR_Coverage, 12376,
     /*  746945 */     GIR_EraseRootFromParent_Done,
     /*  746946 */   // Label 11685: @746946
     /*  746946 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747021), // Rule ID 12379 //
     /*  746951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  746962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  746965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  746968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  746971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747019 */     GIR_RootConstrainSelectedInstOperands,
     /*  747020 */     // GIR_Coverage, 12379,
     /*  747020 */     GIR_EraseRootFromParent_Done,
     /*  747021 */   // Label 11686: @747021
     /*  747021 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747096), // Rule ID 12380 //
     /*  747026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747094 */     GIR_RootConstrainSelectedInstOperands,
     /*  747095 */     // GIR_Coverage, 12380,
     /*  747095 */     GIR_EraseRootFromParent_Done,
     /*  747096 */   // Label 11687: @747096
     /*  747096 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747171), // Rule ID 12383 //
     /*  747101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747169 */     GIR_RootConstrainSelectedInstOperands,
     /*  747170 */     // GIR_Coverage, 12383,
     /*  747170 */     GIR_EraseRootFromParent_Done,
     /*  747171 */   // Label 11688: @747171
     /*  747171 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747246), // Rule ID 12384 //
     /*  747176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747244 */     GIR_RootConstrainSelectedInstOperands,
     /*  747245 */     // GIR_Coverage, 12384,
     /*  747245 */     GIR_EraseRootFromParent_Done,
     /*  747246 */   // Label 11689: @747246
     /*  747246 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747321), // Rule ID 12387 //
     /*  747251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747319 */     GIR_RootConstrainSelectedInstOperands,
     /*  747320 */     // GIR_Coverage, 12387,
     /*  747320 */     GIR_EraseRootFromParent_Done,
     /*  747321 */   // Label 11690: @747321
     /*  747321 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747396), // Rule ID 12388 //
     /*  747326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  747375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747394 */     GIR_RootConstrainSelectedInstOperands,
     /*  747395 */     // GIR_Coverage, 12388,
     /*  747395 */     GIR_EraseRootFromParent_Done,
     /*  747396 */   // Label 11691: @747396
     /*  747396 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747471), // Rule ID 12391 //
     /*  747401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747469 */     GIR_RootConstrainSelectedInstOperands,
     /*  747470 */     // GIR_Coverage, 12391,
     /*  747470 */     GIR_EraseRootFromParent_Done,
     /*  747471 */   // Label 11692: @747471
     /*  747471 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747546), // Rule ID 12392 //
     /*  747476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  747525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747544 */     GIR_RootConstrainSelectedInstOperands,
     /*  747545 */     // GIR_Coverage, 12392,
     /*  747545 */     GIR_EraseRootFromParent_Done,
     /*  747546 */   // Label 11693: @747546
     /*  747546 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747621), // Rule ID 12395 //
     /*  747551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747619 */     GIR_RootConstrainSelectedInstOperands,
     /*  747620 */     // GIR_Coverage, 12395,
     /*  747620 */     GIR_EraseRootFromParent_Done,
     /*  747621 */   // Label 11694: @747621
     /*  747621 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747696), // Rule ID 12396 //
     /*  747626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747694 */     GIR_RootConstrainSelectedInstOperands,
     /*  747695 */     // GIR_Coverage, 12396,
     /*  747695 */     GIR_EraseRootFromParent_Done,
     /*  747696 */   // Label 11695: @747696
     /*  747696 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747771), // Rule ID 12399 //
     /*  747701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747769 */     GIR_RootConstrainSelectedInstOperands,
     /*  747770 */     // GIR_Coverage, 12399,
     /*  747770 */     GIR_EraseRootFromParent_Done,
     /*  747771 */   // Label 11696: @747771
     /*  747771 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747846), // Rule ID 12400 //
     /*  747776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747844 */     GIR_RootConstrainSelectedInstOperands,
     /*  747845 */     // GIR_Coverage, 12400,
     /*  747845 */     GIR_EraseRootFromParent_Done,
     /*  747846 */   // Label 11697: @747846
     /*  747846 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747921), // Rule ID 12403 //
     /*  747851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  747862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  747865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  747868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  747871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747919 */     GIR_RootConstrainSelectedInstOperands,
     /*  747920 */     // GIR_Coverage, 12403,
     /*  747920 */     GIR_EraseRootFromParent_Done,
     /*  747921 */   // Label 11698: @747921
     /*  747921 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(747996), // Rule ID 12404 //
     /*  747926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  747937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  747940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  747943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  747946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747994 */     GIR_RootConstrainSelectedInstOperands,
     /*  747995 */     // GIR_Coverage, 12404,
     /*  747995 */     GIR_EraseRootFromParent_Done,
     /*  747996 */   // Label 11699: @747996
     /*  747996 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748071), // Rule ID 12407 //
     /*  748001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748069 */     GIR_RootConstrainSelectedInstOperands,
     /*  748070 */     // GIR_Coverage, 12407,
     /*  748070 */     GIR_EraseRootFromParent_Done,
     /*  748071 */   // Label 11700: @748071
     /*  748071 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748146), // Rule ID 12408 //
     /*  748076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  748125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748144 */     GIR_RootConstrainSelectedInstOperands,
     /*  748145 */     // GIR_Coverage, 12408,
     /*  748145 */     GIR_EraseRootFromParent_Done,
     /*  748146 */   // Label 11701: @748146
     /*  748146 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748221), // Rule ID 12411 //
     /*  748151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748219 */     GIR_RootConstrainSelectedInstOperands,
     /*  748220 */     // GIR_Coverage, 12411,
     /*  748220 */     GIR_EraseRootFromParent_Done,
     /*  748221 */   // Label 11702: @748221
     /*  748221 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748296), // Rule ID 12412 //
     /*  748226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  748275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748294 */     GIR_RootConstrainSelectedInstOperands,
     /*  748295 */     // GIR_Coverage, 12412,
     /*  748295 */     GIR_EraseRootFromParent_Done,
     /*  748296 */   // Label 11703: @748296
     /*  748296 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748371), // Rule ID 12415 //
     /*  748301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748369 */     GIR_RootConstrainSelectedInstOperands,
     /*  748370 */     // GIR_Coverage, 12415,
     /*  748370 */     GIR_EraseRootFromParent_Done,
     /*  748371 */   // Label 11704: @748371
     /*  748371 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748446), // Rule ID 12416 //
     /*  748376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  748425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748444 */     GIR_RootConstrainSelectedInstOperands,
     /*  748445 */     // GIR_Coverage, 12416,
     /*  748445 */     GIR_EraseRootFromParent_Done,
     /*  748446 */   // Label 11705: @748446
     /*  748446 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748521), // Rule ID 12419 //
     /*  748451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748519 */     GIR_RootConstrainSelectedInstOperands,
     /*  748520 */     // GIR_Coverage, 12419,
     /*  748520 */     GIR_EraseRootFromParent_Done,
     /*  748521 */   // Label 11706: @748521
     /*  748521 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748596), // Rule ID 12420 //
     /*  748526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  748575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748594 */     GIR_RootConstrainSelectedInstOperands,
     /*  748595 */     // GIR_Coverage, 12420,
     /*  748595 */     GIR_EraseRootFromParent_Done,
     /*  748596 */   // Label 11707: @748596
     /*  748596 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748671), // Rule ID 12423 //
     /*  748601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  748650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748669 */     GIR_RootConstrainSelectedInstOperands,
     /*  748670 */     // GIR_Coverage, 12423,
     /*  748670 */     GIR_EraseRootFromParent_Done,
     /*  748671 */   // Label 11708: @748671
     /*  748671 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748746), // Rule ID 12424 //
     /*  748676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  748725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748744 */     GIR_RootConstrainSelectedInstOperands,
     /*  748745 */     // GIR_Coverage, 12424,
     /*  748745 */     GIR_EraseRootFromParent_Done,
     /*  748746 */   // Label 11709: @748746
     /*  748746 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748821), // Rule ID 12427 //
     /*  748751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748819 */     GIR_RootConstrainSelectedInstOperands,
     /*  748820 */     // GIR_Coverage, 12427,
     /*  748820 */     GIR_EraseRootFromParent_Done,
     /*  748821 */   // Label 11710: @748821
     /*  748821 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748896), // Rule ID 12428 //
     /*  748826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748894 */     GIR_RootConstrainSelectedInstOperands,
     /*  748895 */     // GIR_Coverage, 12428,
     /*  748895 */     GIR_EraseRootFromParent_Done,
     /*  748896 */   // Label 11711: @748896
     /*  748896 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(748971), // Rule ID 12431 //
     /*  748901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  748918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  748950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748969 */     GIR_RootConstrainSelectedInstOperands,
     /*  748970 */     // GIR_Coverage, 12431,
     /*  748970 */     GIR_EraseRootFromParent_Done,
     /*  748971 */   // Label 11712: @748971
     /*  748971 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749046), // Rule ID 12432 //
     /*  748976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  748993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749044 */     GIR_RootConstrainSelectedInstOperands,
     /*  749045 */     // GIR_Coverage, 12432,
     /*  749045 */     GIR_EraseRootFromParent_Done,
     /*  749046 */   // Label 11713: @749046
     /*  749046 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749121), // Rule ID 12435 //
     /*  749051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749119 */     GIR_RootConstrainSelectedInstOperands,
     /*  749120 */     // GIR_Coverage, 12435,
     /*  749120 */     GIR_EraseRootFromParent_Done,
     /*  749121 */   // Label 11714: @749121
     /*  749121 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749196), // Rule ID 12436 //
     /*  749126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749172 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749194 */     GIR_RootConstrainSelectedInstOperands,
     /*  749195 */     // GIR_Coverage, 12436,
     /*  749195 */     GIR_EraseRootFromParent_Done,
     /*  749196 */   // Label 11715: @749196
     /*  749196 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749271), // Rule ID 12439 //
     /*  749201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749269 */     GIR_RootConstrainSelectedInstOperands,
     /*  749270 */     // GIR_Coverage, 12439,
     /*  749270 */     GIR_EraseRootFromParent_Done,
     /*  749271 */   // Label 11716: @749271
     /*  749271 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749346), // Rule ID 12440 //
     /*  749276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749344 */     GIR_RootConstrainSelectedInstOperands,
     /*  749345 */     // GIR_Coverage, 12440,
     /*  749345 */     GIR_EraseRootFromParent_Done,
     /*  749346 */   // Label 11717: @749346
     /*  749346 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749421), // Rule ID 12443 //
     /*  749351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749419 */     GIR_RootConstrainSelectedInstOperands,
     /*  749420 */     // GIR_Coverage, 12443,
     /*  749420 */     GIR_EraseRootFromParent_Done,
     /*  749421 */   // Label 11718: @749421
     /*  749421 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749496), // Rule ID 12444 //
     /*  749426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749494 */     GIR_RootConstrainSelectedInstOperands,
     /*  749495 */     // GIR_Coverage, 12444,
     /*  749495 */     GIR_EraseRootFromParent_Done,
     /*  749496 */   // Label 11719: @749496
     /*  749496 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749571), // Rule ID 12447 //
     /*  749501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749569 */     GIR_RootConstrainSelectedInstOperands,
     /*  749570 */     // GIR_Coverage, 12447,
     /*  749570 */     GIR_EraseRootFromParent_Done,
     /*  749571 */   // Label 11720: @749571
     /*  749571 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749646), // Rule ID 12448 //
     /*  749576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  749625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749644 */     GIR_RootConstrainSelectedInstOperands,
     /*  749645 */     // GIR_Coverage, 12448,
     /*  749645 */     GIR_EraseRootFromParent_Done,
     /*  749646 */   // Label 11721: @749646
     /*  749646 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749721), // Rule ID 12451 //
     /*  749651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749719 */     GIR_RootConstrainSelectedInstOperands,
     /*  749720 */     // GIR_Coverage, 12451,
     /*  749720 */     GIR_EraseRootFromParent_Done,
     /*  749721 */   // Label 11722: @749721
     /*  749721 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749796), // Rule ID 12452 //
     /*  749726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749794 */     GIR_RootConstrainSelectedInstOperands,
     /*  749795 */     // GIR_Coverage, 12452,
     /*  749795 */     GIR_EraseRootFromParent_Done,
     /*  749796 */   // Label 11723: @749796
     /*  749796 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749871), // Rule ID 12455 //
     /*  749801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749869 */     GIR_RootConstrainSelectedInstOperands,
     /*  749870 */     // GIR_Coverage, 12455,
     /*  749870 */     GIR_EraseRootFromParent_Done,
     /*  749871 */   // Label 11724: @749871
     /*  749871 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749946), // Rule ID 12456 //
     /*  749876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749944 */     GIR_RootConstrainSelectedInstOperands,
     /*  749945 */     // GIR_Coverage, 12456,
     /*  749945 */     GIR_EraseRootFromParent_Done,
     /*  749946 */   // Label 11725: @749946
     /*  749946 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750021), // Rule ID 12459 //
     /*  749951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  749962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  749965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  749968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750019 */     GIR_RootConstrainSelectedInstOperands,
     /*  750020 */     // GIR_Coverage, 12459,
     /*  750020 */     GIR_EraseRootFromParent_Done,
     /*  750021 */   // Label 11726: @750021
     /*  750021 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750096), // Rule ID 12460 //
     /*  750026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750094 */     GIR_RootConstrainSelectedInstOperands,
     /*  750095 */     // GIR_Coverage, 12460,
     /*  750095 */     GIR_EraseRootFromParent_Done,
     /*  750096 */   // Label 11727: @750096
     /*  750096 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750171), // Rule ID 12463 //
     /*  750101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750169 */     GIR_RootConstrainSelectedInstOperands,
     /*  750170 */     // GIR_Coverage, 12463,
     /*  750170 */     GIR_EraseRootFromParent_Done,
     /*  750171 */   // Label 11728: @750171
     /*  750171 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750246), // Rule ID 12464 //
     /*  750176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750244 */     GIR_RootConstrainSelectedInstOperands,
     /*  750245 */     // GIR_Coverage, 12464,
     /*  750245 */     GIR_EraseRootFromParent_Done,
     /*  750246 */   // Label 11729: @750246
     /*  750246 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750321), // Rule ID 12467 //
     /*  750251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750319 */     GIR_RootConstrainSelectedInstOperands,
     /*  750320 */     // GIR_Coverage, 12467,
     /*  750320 */     GIR_EraseRootFromParent_Done,
     /*  750321 */   // Label 11730: @750321
     /*  750321 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750396), // Rule ID 12468 //
     /*  750326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  750375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750394 */     GIR_RootConstrainSelectedInstOperands,
     /*  750395 */     // GIR_Coverage, 12468,
     /*  750395 */     GIR_EraseRootFromParent_Done,
     /*  750396 */   // Label 11731: @750396
     /*  750396 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750471), // Rule ID 12471 //
     /*  750401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750469 */     GIR_RootConstrainSelectedInstOperands,
     /*  750470 */     // GIR_Coverage, 12471,
     /*  750470 */     GIR_EraseRootFromParent_Done,
     /*  750471 */   // Label 11732: @750471
     /*  750471 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750546), // Rule ID 12472 //
     /*  750476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  750525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750544 */     GIR_RootConstrainSelectedInstOperands,
     /*  750545 */     // GIR_Coverage, 12472,
     /*  750545 */     GIR_EraseRootFromParent_Done,
     /*  750546 */   // Label 11733: @750546
     /*  750546 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750621), // Rule ID 12475 //
     /*  750551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750619 */     GIR_RootConstrainSelectedInstOperands,
     /*  750620 */     // GIR_Coverage, 12475,
     /*  750620 */     GIR_EraseRootFromParent_Done,
     /*  750621 */   // Label 11734: @750621
     /*  750621 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750696), // Rule ID 12476 //
     /*  750626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  750675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750694 */     GIR_RootConstrainSelectedInstOperands,
     /*  750695 */     // GIR_Coverage, 12476,
     /*  750695 */     GIR_EraseRootFromParent_Done,
     /*  750696 */   // Label 11735: @750696
     /*  750696 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750771), // Rule ID 12479 //
     /*  750701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750769 */     GIR_RootConstrainSelectedInstOperands,
     /*  750770 */     // GIR_Coverage, 12479,
     /*  750770 */     GIR_EraseRootFromParent_Done,
     /*  750771 */   // Label 11736: @750771
     /*  750771 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750846), // Rule ID 12480 //
     /*  750776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  750825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750844 */     GIR_RootConstrainSelectedInstOperands,
     /*  750845 */     // GIR_Coverage, 12480,
     /*  750845 */     GIR_EraseRootFromParent_Done,
     /*  750846 */   // Label 11737: @750846
     /*  750846 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750921), // Rule ID 12483 //
     /*  750851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  750868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  750871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  750900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750919 */     GIR_RootConstrainSelectedInstOperands,
     /*  750920 */     // GIR_Coverage, 12483,
     /*  750920 */     GIR_EraseRootFromParent_Done,
     /*  750921 */   // Label 11738: @750921
     /*  750921 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(750996), // Rule ID 12484 //
     /*  750926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  750943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  750946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  750975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750994 */     GIR_RootConstrainSelectedInstOperands,
     /*  750995 */     // GIR_Coverage, 12484,
     /*  750995 */     GIR_EraseRootFromParent_Done,
     /*  750996 */   // Label 11739: @750996
     /*  750996 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751071), // Rule ID 12487 //
     /*  751001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751069 */     GIR_RootConstrainSelectedInstOperands,
     /*  751070 */     // GIR_Coverage, 12487,
     /*  751070 */     GIR_EraseRootFromParent_Done,
     /*  751071 */   // Label 11740: @751071
     /*  751071 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751146), // Rule ID 12488 //
     /*  751076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751144 */     GIR_RootConstrainSelectedInstOperands,
     /*  751145 */     // GIR_Coverage, 12488,
     /*  751145 */     GIR_EraseRootFromParent_Done,
     /*  751146 */   // Label 11741: @751146
     /*  751146 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751221), // Rule ID 12491 //
     /*  751151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751219 */     GIR_RootConstrainSelectedInstOperands,
     /*  751220 */     // GIR_Coverage, 12491,
     /*  751220 */     GIR_EraseRootFromParent_Done,
     /*  751221 */   // Label 11742: @751221
     /*  751221 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751296), // Rule ID 12492 //
     /*  751226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751294 */     GIR_RootConstrainSelectedInstOperands,
     /*  751295 */     // GIR_Coverage, 12492,
     /*  751295 */     GIR_EraseRootFromParent_Done,
     /*  751296 */   // Label 11743: @751296
     /*  751296 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751371), // Rule ID 12495 //
     /*  751301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751369 */     GIR_RootConstrainSelectedInstOperands,
     /*  751370 */     // GIR_Coverage, 12495,
     /*  751370 */     GIR_EraseRootFromParent_Done,
     /*  751371 */   // Label 11744: @751371
     /*  751371 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751446), // Rule ID 12496 //
     /*  751376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751444 */     GIR_RootConstrainSelectedInstOperands,
     /*  751445 */     // GIR_Coverage, 12496,
     /*  751445 */     GIR_EraseRootFromParent_Done,
     /*  751446 */   // Label 11745: @751446
     /*  751446 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751521), // Rule ID 12499 //
     /*  751451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751519 */     GIR_RootConstrainSelectedInstOperands,
     /*  751520 */     // GIR_Coverage, 12499,
     /*  751520 */     GIR_EraseRootFromParent_Done,
     /*  751521 */   // Label 11746: @751521
     /*  751521 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751596), // Rule ID 12500 //
     /*  751526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751594 */     GIR_RootConstrainSelectedInstOperands,
     /*  751595 */     // GIR_Coverage, 12500,
     /*  751595 */     GIR_EraseRootFromParent_Done,
     /*  751596 */   // Label 11747: @751596
     /*  751596 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751671), // Rule ID 12503 //
     /*  751601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751669 */     GIR_RootConstrainSelectedInstOperands,
     /*  751670 */     // GIR_Coverage, 12503,
     /*  751670 */     GIR_EraseRootFromParent_Done,
     /*  751671 */   // Label 11748: @751671
     /*  751671 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751746), // Rule ID 12504 //
     /*  751676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751744 */     GIR_RootConstrainSelectedInstOperands,
     /*  751745 */     // GIR_Coverage, 12504,
     /*  751745 */     GIR_EraseRootFromParent_Done,
     /*  751746 */   // Label 11749: @751746
     /*  751746 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751821), // Rule ID 12507 //
     /*  751751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751819 */     GIR_RootConstrainSelectedInstOperands,
     /*  751820 */     // GIR_Coverage, 12507,
     /*  751820 */     GIR_EraseRootFromParent_Done,
     /*  751821 */   // Label 11750: @751821
     /*  751821 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751896), // Rule ID 12508 //
     /*  751826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  751875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751894 */     GIR_RootConstrainSelectedInstOperands,
     /*  751895 */     // GIR_Coverage, 12508,
     /*  751895 */     GIR_EraseRootFromParent_Done,
     /*  751896 */   // Label 11751: @751896
     /*  751896 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(751971), // Rule ID 12511 //
     /*  751901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  751921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751969 */     GIR_RootConstrainSelectedInstOperands,
     /*  751970 */     // GIR_Coverage, 12511,
     /*  751970 */     GIR_EraseRootFromParent_Done,
     /*  751971 */   // Label 11752: @751971
     /*  751971 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752046), // Rule ID 12512 //
     /*  751976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  751996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752044 */     GIR_RootConstrainSelectedInstOperands,
     /*  752045 */     // GIR_Coverage, 12512,
     /*  752045 */     GIR_EraseRootFromParent_Done,
     /*  752046 */   // Label 11753: @752046
     /*  752046 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752121), // Rule ID 12515 //
     /*  752051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752119 */     GIR_RootConstrainSelectedInstOperands,
     /*  752120 */     // GIR_Coverage, 12515,
     /*  752120 */     GIR_EraseRootFromParent_Done,
     /*  752121 */   // Label 11754: @752121
     /*  752121 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752196), // Rule ID 12516 //
     /*  752126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752194 */     GIR_RootConstrainSelectedInstOperands,
     /*  752195 */     // GIR_Coverage, 12516,
     /*  752195 */     GIR_EraseRootFromParent_Done,
     /*  752196 */   // Label 11755: @752196
     /*  752196 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752271), // Rule ID 12519 //
     /*  752201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752269 */     GIR_RootConstrainSelectedInstOperands,
     /*  752270 */     // GIR_Coverage, 12519,
     /*  752270 */     GIR_EraseRootFromParent_Done,
     /*  752271 */   // Label 11756: @752271
     /*  752271 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752346), // Rule ID 12520 //
     /*  752276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752344 */     GIR_RootConstrainSelectedInstOperands,
     /*  752345 */     // GIR_Coverage, 12520,
     /*  752345 */     GIR_EraseRootFromParent_Done,
     /*  752346 */   // Label 11757: @752346
     /*  752346 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752421), // Rule ID 12523 //
     /*  752351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752419 */     GIR_RootConstrainSelectedInstOperands,
     /*  752420 */     // GIR_Coverage, 12523,
     /*  752420 */     GIR_EraseRootFromParent_Done,
     /*  752421 */   // Label 11758: @752421
     /*  752421 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752496), // Rule ID 12524 //
     /*  752426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  752475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752494 */     GIR_RootConstrainSelectedInstOperands,
     /*  752495 */     // GIR_Coverage, 12524,
     /*  752495 */     GIR_EraseRootFromParent_Done,
     /*  752496 */   // Label 11759: @752496
     /*  752496 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752571), // Rule ID 12527 //
     /*  752501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752569 */     GIR_RootConstrainSelectedInstOperands,
     /*  752570 */     // GIR_Coverage, 12527,
     /*  752570 */     GIR_EraseRootFromParent_Done,
     /*  752571 */   // Label 11760: @752571
     /*  752571 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752646), // Rule ID 12528 //
     /*  752576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  752625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752644 */     GIR_RootConstrainSelectedInstOperands,
     /*  752645 */     // GIR_Coverage, 12528,
     /*  752645 */     GIR_EraseRootFromParent_Done,
     /*  752646 */   // Label 11761: @752646
     /*  752646 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752721), // Rule ID 12531 //
     /*  752651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752719 */     GIR_RootConstrainSelectedInstOperands,
     /*  752720 */     // GIR_Coverage, 12531,
     /*  752720 */     GIR_EraseRootFromParent_Done,
     /*  752721 */   // Label 11762: @752721
     /*  752721 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752796), // Rule ID 12532 //
     /*  752726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  752775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752794 */     GIR_RootConstrainSelectedInstOperands,
     /*  752795 */     // GIR_Coverage, 12532,
     /*  752795 */     GIR_EraseRootFromParent_Done,
     /*  752796 */   // Label 11763: @752796
     /*  752796 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752871), // Rule ID 12535 //
     /*  752801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752869 */     GIR_RootConstrainSelectedInstOperands,
     /*  752870 */     // GIR_Coverage, 12535,
     /*  752870 */     GIR_EraseRootFromParent_Done,
     /*  752871 */   // Label 11764: @752871
     /*  752871 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752946), // Rule ID 12536 //
     /*  752876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  752925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752944 */     GIR_RootConstrainSelectedInstOperands,
     /*  752945 */     // GIR_Coverage, 12536,
     /*  752945 */     GIR_EraseRootFromParent_Done,
     /*  752946 */   // Label 11765: @752946
     /*  752946 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753021), // Rule ID 12539 //
     /*  752951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  752962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  752965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  752968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  752971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753019 */     GIR_RootConstrainSelectedInstOperands,
     /*  753020 */     // GIR_Coverage, 12539,
     /*  753020 */     GIR_EraseRootFromParent_Done,
     /*  753021 */   // Label 11766: @753021
     /*  753021 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753096), // Rule ID 12540 //
     /*  753026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  753075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753094 */     GIR_RootConstrainSelectedInstOperands,
     /*  753095 */     // GIR_Coverage, 12540,
     /*  753095 */     GIR_EraseRootFromParent_Done,
     /*  753096 */   // Label 11767: @753096
     /*  753096 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753171), // Rule ID 12543 //
     /*  753101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753169 */     GIR_RootConstrainSelectedInstOperands,
     /*  753170 */     // GIR_Coverage, 12543,
     /*  753170 */     GIR_EraseRootFromParent_Done,
     /*  753171 */   // Label 11768: @753171
     /*  753171 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753246), // Rule ID 12544 //
     /*  753176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  753225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753244 */     GIR_RootConstrainSelectedInstOperands,
     /*  753245 */     // GIR_Coverage, 12544,
     /*  753245 */     GIR_EraseRootFromParent_Done,
     /*  753246 */   // Label 11769: @753246
     /*  753246 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753321), // Rule ID 12547 //
     /*  753251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753319 */     GIR_RootConstrainSelectedInstOperands,
     /*  753320 */     // GIR_Coverage, 12547,
     /*  753320 */     GIR_EraseRootFromParent_Done,
     /*  753321 */   // Label 11770: @753321
     /*  753321 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753396), // Rule ID 12548 //
     /*  753326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  753375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753394 */     GIR_RootConstrainSelectedInstOperands,
     /*  753395 */     // GIR_Coverage, 12548,
     /*  753395 */     GIR_EraseRootFromParent_Done,
     /*  753396 */   // Label 11771: @753396
     /*  753396 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753471), // Rule ID 12551 //
     /*  753401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753469 */     GIR_RootConstrainSelectedInstOperands,
     /*  753470 */     // GIR_Coverage, 12551,
     /*  753470 */     GIR_EraseRootFromParent_Done,
     /*  753471 */   // Label 11772: @753471
     /*  753471 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753546), // Rule ID 12552 //
     /*  753476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753544 */     GIR_RootConstrainSelectedInstOperands,
     /*  753545 */     // GIR_Coverage, 12552,
     /*  753545 */     GIR_EraseRootFromParent_Done,
     /*  753546 */   // Label 11773: @753546
     /*  753546 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753621), // Rule ID 12555 //
     /*  753551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753619 */     GIR_RootConstrainSelectedInstOperands,
     /*  753620 */     // GIR_Coverage, 12555,
     /*  753620 */     GIR_EraseRootFromParent_Done,
     /*  753621 */   // Label 11774: @753621
     /*  753621 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753696), // Rule ID 12556 //
     /*  753626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753694 */     GIR_RootConstrainSelectedInstOperands,
     /*  753695 */     // GIR_Coverage, 12556,
     /*  753695 */     GIR_EraseRootFromParent_Done,
     /*  753696 */   // Label 11775: @753696
     /*  753696 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753771), // Rule ID 12559 //
     /*  753701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753769 */     GIR_RootConstrainSelectedInstOperands,
     /*  753770 */     // GIR_Coverage, 12559,
     /*  753770 */     GIR_EraseRootFromParent_Done,
     /*  753771 */   // Label 11776: @753771
     /*  753771 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753846), // Rule ID 12560 //
     /*  753776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753844 */     GIR_RootConstrainSelectedInstOperands,
     /*  753845 */     // GIR_Coverage, 12560,
     /*  753845 */     GIR_EraseRootFromParent_Done,
     /*  753846 */   // Label 11777: @753846
     /*  753846 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753921), // Rule ID 12563 //
     /*  753851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  753868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  753900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753919 */     GIR_RootConstrainSelectedInstOperands,
     /*  753920 */     // GIR_Coverage, 12563,
     /*  753920 */     GIR_EraseRootFromParent_Done,
     /*  753921 */   // Label 11778: @753921
     /*  753921 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(753996), // Rule ID 12564 //
     /*  753926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  753943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  753975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753994 */     GIR_RootConstrainSelectedInstOperands,
     /*  753995 */     // GIR_Coverage, 12564,
     /*  753995 */     GIR_EraseRootFromParent_Done,
     /*  753996 */   // Label 11779: @753996
     /*  753996 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754071), // Rule ID 12567 //
     /*  754001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754069 */     GIR_RootConstrainSelectedInstOperands,
     /*  754070 */     // GIR_Coverage, 12567,
     /*  754070 */     GIR_EraseRootFromParent_Done,
     /*  754071 */   // Label 11780: @754071
     /*  754071 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754146), // Rule ID 12568 //
     /*  754076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  754125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754144 */     GIR_RootConstrainSelectedInstOperands,
     /*  754145 */     // GIR_Coverage, 12568,
     /*  754145 */     GIR_EraseRootFromParent_Done,
     /*  754146 */   // Label 11781: @754146
     /*  754146 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754221), // Rule ID 12571 //
     /*  754151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754219 */     GIR_RootConstrainSelectedInstOperands,
     /*  754220 */     // GIR_Coverage, 12571,
     /*  754220 */     GIR_EraseRootFromParent_Done,
     /*  754221 */   // Label 11782: @754221
     /*  754221 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754296), // Rule ID 12572 //
     /*  754226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754294 */     GIR_RootConstrainSelectedInstOperands,
     /*  754295 */     // GIR_Coverage, 12572,
     /*  754295 */     GIR_EraseRootFromParent_Done,
     /*  754296 */   // Label 11783: @754296
     /*  754296 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754371), // Rule ID 12575 //
     /*  754301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754369 */     GIR_RootConstrainSelectedInstOperands,
     /*  754370 */     // GIR_Coverage, 12575,
     /*  754370 */     GIR_EraseRootFromParent_Done,
     /*  754371 */   // Label 11784: @754371
     /*  754371 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754446), // Rule ID 12576 //
     /*  754376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754444 */     GIR_RootConstrainSelectedInstOperands,
     /*  754445 */     // GIR_Coverage, 12576,
     /*  754445 */     GIR_EraseRootFromParent_Done,
     /*  754446 */   // Label 11785: @754446
     /*  754446 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754521), // Rule ID 12579 //
     /*  754451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754519 */     GIR_RootConstrainSelectedInstOperands,
     /*  754520 */     // GIR_Coverage, 12579,
     /*  754520 */     GIR_EraseRootFromParent_Done,
     /*  754521 */   // Label 11786: @754521
     /*  754521 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754596), // Rule ID 12580 //
     /*  754526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  754575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754594 */     GIR_RootConstrainSelectedInstOperands,
     /*  754595 */     // GIR_Coverage, 12580,
     /*  754595 */     GIR_EraseRootFromParent_Done,
     /*  754596 */   // Label 11787: @754596
     /*  754596 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754671), // Rule ID 12583 //
     /*  754601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754669 */     GIR_RootConstrainSelectedInstOperands,
     /*  754670 */     // GIR_Coverage, 12583,
     /*  754670 */     GIR_EraseRootFromParent_Done,
     /*  754671 */   // Label 11788: @754671
     /*  754671 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754746), // Rule ID 12584 //
     /*  754676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754744 */     GIR_RootConstrainSelectedInstOperands,
     /*  754745 */     // GIR_Coverage, 12584,
     /*  754745 */     GIR_EraseRootFromParent_Done,
     /*  754746 */   // Label 11789: @754746
     /*  754746 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754821), // Rule ID 12587 //
     /*  754751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754819 */     GIR_RootConstrainSelectedInstOperands,
     /*  754820 */     // GIR_Coverage, 12587,
     /*  754820 */     GIR_EraseRootFromParent_Done,
     /*  754821 */   // Label 11790: @754821
     /*  754821 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754896), // Rule ID 12588 //
     /*  754826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  754875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754894 */     GIR_RootConstrainSelectedInstOperands,
     /*  754895 */     // GIR_Coverage, 12588,
     /*  754895 */     GIR_EraseRootFromParent_Done,
     /*  754896 */   // Label 11791: @754896
     /*  754896 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(754971), // Rule ID 12591 //
     /*  754901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  754912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  754915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  754918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  754950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754969 */     GIR_RootConstrainSelectedInstOperands,
     /*  754970 */     // GIR_Coverage, 12591,
     /*  754970 */     GIR_EraseRootFromParent_Done,
     /*  754971 */   // Label 11792: @754971
     /*  754971 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(755046), // Rule ID 12592 //
     /*  754976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  754987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  754990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  754993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  755025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755044 */     GIR_RootConstrainSelectedInstOperands,
     /*  755045 */     // GIR_Coverage, 12592,
     /*  755045 */     GIR_EraseRootFromParent_Done,
     /*  755046 */   // Label 11793: @755046
     /*  755046 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(755121), // Rule ID 12595 //
     /*  755051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755119 */     GIR_RootConstrainSelectedInstOperands,
     /*  755120 */     // GIR_Coverage, 12595,
     /*  755120 */     GIR_EraseRootFromParent_Done,
     /*  755121 */   // Label 11794: @755121
     /*  755121 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755196), // Rule ID 12596 //
     /*  755126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  755175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755194 */     GIR_RootConstrainSelectedInstOperands,
     /*  755195 */     // GIR_Coverage, 12596,
     /*  755195 */     GIR_EraseRootFromParent_Done,
     /*  755196 */   // Label 11795: @755196
     /*  755196 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755271), // Rule ID 12599 //
     /*  755201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755269 */     GIR_RootConstrainSelectedInstOperands,
     /*  755270 */     // GIR_Coverage, 12599,
     /*  755270 */     GIR_EraseRootFromParent_Done,
     /*  755271 */   // Label 11796: @755271
     /*  755271 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755346), // Rule ID 12600 //
     /*  755276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  755325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755344 */     GIR_RootConstrainSelectedInstOperands,
     /*  755345 */     // GIR_Coverage, 12600,
     /*  755345 */     GIR_EraseRootFromParent_Done,
     /*  755346 */   // Label 11797: @755346
     /*  755346 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755424), // Rule ID 13929 //
     /*  755351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755422 */     GIR_RootConstrainSelectedInstOperands,
     /*  755423 */     // GIR_Coverage, 13929,
     /*  755423 */     GIR_EraseRootFromParent_Done,
     /*  755424 */   // Label 11798: @755424
     /*  755424 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755502), // Rule ID 13930 //
     /*  755429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  755440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  755443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  755478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755500 */     GIR_RootConstrainSelectedInstOperands,
     /*  755501 */     // GIR_Coverage, 13930,
     /*  755501 */     GIR_EraseRootFromParent_Done,
     /*  755502 */   // Label 11799: @755502
     /*  755502 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755580), // Rule ID 13933 //
     /*  755507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755578 */     GIR_RootConstrainSelectedInstOperands,
     /*  755579 */     // GIR_Coverage, 13933,
     /*  755579 */     GIR_EraseRootFromParent_Done,
     /*  755580 */   // Label 11800: @755580
     /*  755580 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755658), // Rule ID 13934 //
     /*  755585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  755596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  755599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755631 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755656 */     GIR_RootConstrainSelectedInstOperands,
     /*  755657 */     // GIR_Coverage, 13934,
     /*  755657 */     GIR_EraseRootFromParent_Done,
     /*  755658 */   // Label 11801: @755658
     /*  755658 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755736), // Rule ID 13937 //
     /*  755663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  755674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  755677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  755712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755734 */     GIR_RootConstrainSelectedInstOperands,
     /*  755735 */     // GIR_Coverage, 13937,
     /*  755735 */     GIR_EraseRootFromParent_Done,
     /*  755736 */   // Label 11802: @755736
     /*  755736 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755814), // Rule ID 13938 //
     /*  755741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  755752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  755755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  755790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755812 */     GIR_RootConstrainSelectedInstOperands,
     /*  755813 */     // GIR_Coverage, 13938,
     /*  755813 */     GIR_EraseRootFromParent_Done,
     /*  755814 */   // Label 11803: @755814
     /*  755814 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755892), // Rule ID 13941 //
     /*  755819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  755839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755865 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755890 */     GIR_RootConstrainSelectedInstOperands,
     /*  755891 */     // GIR_Coverage, 13941,
     /*  755891 */     GIR_EraseRootFromParent_Done,
     /*  755892 */   // Label 11804: @755892
     /*  755892 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(755970), // Rule ID 13942 //
     /*  755897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  755914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  755917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  755946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755968 */     GIR_RootConstrainSelectedInstOperands,
     /*  755969 */     // GIR_Coverage, 13942,
     /*  755969 */     GIR_EraseRootFromParent_Done,
     /*  755970 */   // Label 11805: @755970
     /*  755970 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(756048), // Rule ID 13945 //
     /*  755975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  755992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  755995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756046 */     GIR_RootConstrainSelectedInstOperands,
     /*  756047 */     // GIR_Coverage, 13945,
     /*  756047 */     GIR_EraseRootFromParent_Done,
     /*  756048 */   // Label 11806: @756048
     /*  756048 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(756126), // Rule ID 13946 //
     /*  756053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756124 */     GIR_RootConstrainSelectedInstOperands,
     /*  756125 */     // GIR_Coverage, 13946,
     /*  756125 */     GIR_EraseRootFromParent_Done,
     /*  756126 */   // Label 11807: @756126
     /*  756126 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756204), // Rule ID 13949 //
     /*  756131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756202 */     GIR_RootConstrainSelectedInstOperands,
     /*  756203 */     // GIR_Coverage, 13949,
     /*  756203 */     GIR_EraseRootFromParent_Done,
     /*  756204 */   // Label 11808: @756204
     /*  756204 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756282), // Rule ID 13950 //
     /*  756209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  756226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  756229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  756258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756280 */     GIR_RootConstrainSelectedInstOperands,
     /*  756281 */     // GIR_Coverage, 13950,
     /*  756281 */     GIR_EraseRootFromParent_Done,
     /*  756282 */   // Label 11809: @756282
     /*  756282 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756360), // Rule ID 13953 //
     /*  756287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756358 */     GIR_RootConstrainSelectedInstOperands,
     /*  756359 */     // GIR_Coverage, 13953,
     /*  756359 */     GIR_EraseRootFromParent_Done,
     /*  756360 */   // Label 11810: @756360
     /*  756360 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756438), // Rule ID 13954 //
     /*  756365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  756376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  756379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756436 */     GIR_RootConstrainSelectedInstOperands,
     /*  756437 */     // GIR_Coverage, 13954,
     /*  756437 */     GIR_EraseRootFromParent_Done,
     /*  756438 */   // Label 11811: @756438
     /*  756438 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756516), // Rule ID 13957 //
     /*  756443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756514 */     GIR_RootConstrainSelectedInstOperands,
     /*  756515 */     // GIR_Coverage, 13957,
     /*  756515 */     GIR_EraseRootFromParent_Done,
     /*  756516 */   // Label 11812: @756516
     /*  756516 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756594), // Rule ID 13958 //
     /*  756521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756592 */     GIR_RootConstrainSelectedInstOperands,
     /*  756593 */     // GIR_Coverage, 13958,
     /*  756593 */     GIR_EraseRootFromParent_Done,
     /*  756594 */   // Label 11813: @756594
     /*  756594 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756672), // Rule ID 13961 //
     /*  756599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  756619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756670 */     GIR_RootConstrainSelectedInstOperands,
     /*  756671 */     // GIR_Coverage, 13961,
     /*  756671 */     GIR_EraseRootFromParent_Done,
     /*  756672 */   // Label 11814: @756672
     /*  756672 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756750), // Rule ID 13962 //
     /*  756677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  756694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  756697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756748 */     GIR_RootConstrainSelectedInstOperands,
     /*  756749 */     // GIR_Coverage, 13962,
     /*  756749 */     GIR_EraseRootFromParent_Done,
     /*  756750 */   // Label 11815: @756750
     /*  756750 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756828), // Rule ID 13965 //
     /*  756755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  756758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  756766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  756769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  756772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  756775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  756801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756826 */     GIR_RootConstrainSelectedInstOperands,
     /*  756827 */     // GIR_Coverage, 13965,
     /*  756827 */     GIR_EraseRootFromParent_Done,
     /*  756828 */   // Label 11816: @756828
     /*  756828 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756906), // Rule ID 13966 //
     /*  756833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  756836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  756844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  756847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  756850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  756853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  756879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  756882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756904 */     GIR_RootConstrainSelectedInstOperands,
     /*  756905 */     // GIR_Coverage, 13966,
     /*  756905 */     GIR_EraseRootFromParent_Done,
     /*  756906 */   // Label 11817: @756906
     /*  756906 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(756984), // Rule ID 13969 //
     /*  756911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  756922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  756925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  756960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756982 */     GIR_RootConstrainSelectedInstOperands,
     /*  756983 */     // GIR_Coverage, 13969,
     /*  756983 */     GIR_EraseRootFromParent_Done,
     /*  756984 */   // Label 11818: @756984
     /*  756984 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(757062), // Rule ID 13970 //
     /*  756989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757060 */     GIR_RootConstrainSelectedInstOperands,
     /*  757061 */     // GIR_Coverage, 13970,
     /*  757061 */     GIR_EraseRootFromParent_Done,
     /*  757062 */   // Label 11819: @757062
     /*  757062 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(757140), // Rule ID 13973 //
     /*  757067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757113 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757138 */     GIR_RootConstrainSelectedInstOperands,
     /*  757139 */     // GIR_Coverage, 13973,
     /*  757139 */     GIR_EraseRootFromParent_Done,
     /*  757140 */   // Label 11820: @757140
     /*  757140 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757218), // Rule ID 13974 //
     /*  757145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  757156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  757159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  757162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  757165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757216 */     GIR_RootConstrainSelectedInstOperands,
     /*  757217 */     // GIR_Coverage, 13974,
     /*  757217 */     GIR_EraseRootFromParent_Done,
     /*  757218 */   // Label 11821: @757218
     /*  757218 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757296), // Rule ID 13977 //
     /*  757223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757269 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757294 */     GIR_RootConstrainSelectedInstOperands,
     /*  757295 */     // GIR_Coverage, 13977,
     /*  757295 */     GIR_EraseRootFromParent_Done,
     /*  757296 */   // Label 11822: @757296
     /*  757296 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757374), // Rule ID 13978 //
     /*  757301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  757312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  757315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  757318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  757321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757372 */     GIR_RootConstrainSelectedInstOperands,
     /*  757373 */     // GIR_Coverage, 13978,
     /*  757373 */     GIR_EraseRootFromParent_Done,
     /*  757374 */   // Label 11823: @757374
     /*  757374 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757452), // Rule ID 13981 //
     /*  757379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757450 */     GIR_RootConstrainSelectedInstOperands,
     /*  757451 */     // GIR_Coverage, 13981,
     /*  757451 */     GIR_EraseRootFromParent_Done,
     /*  757452 */   // Label 11824: @757452
     /*  757452 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757530), // Rule ID 13982 //
     /*  757457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  757468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  757471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757528 */     GIR_RootConstrainSelectedInstOperands,
     /*  757529 */     // GIR_Coverage, 13982,
     /*  757529 */     GIR_EraseRootFromParent_Done,
     /*  757530 */   // Label 11825: @757530
     /*  757530 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757608), // Rule ID 13985 //
     /*  757535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757581 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757606 */     GIR_RootConstrainSelectedInstOperands,
     /*  757607 */     // GIR_Coverage, 13985,
     /*  757607 */     GIR_EraseRootFromParent_Done,
     /*  757608 */   // Label 11826: @757608
     /*  757608 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757686), // Rule ID 13986 //
     /*  757613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  757624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  757627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757684 */     GIR_RootConstrainSelectedInstOperands,
     /*  757685 */     // GIR_Coverage, 13986,
     /*  757685 */     GIR_EraseRootFromParent_Done,
     /*  757686 */   // Label 11827: @757686
     /*  757686 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757764), // Rule ID 13989 //
     /*  757691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  757702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  757705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  757708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  757711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757762 */     GIR_RootConstrainSelectedInstOperands,
     /*  757763 */     // GIR_Coverage, 13989,
     /*  757763 */     GIR_EraseRootFromParent_Done,
     /*  757764 */   // Label 11828: @757764
     /*  757764 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757842), // Rule ID 13990 //
     /*  757769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  757780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  757783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  757786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  757789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757840 */     GIR_RootConstrainSelectedInstOperands,
     /*  757841 */     // GIR_Coverage, 13990,
     /*  757841 */     GIR_EraseRootFromParent_Done,
     /*  757842 */   // Label 11829: @757842
     /*  757842 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757920), // Rule ID 13993 //
     /*  757847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757918 */     GIR_RootConstrainSelectedInstOperands,
     /*  757919 */     // GIR_Coverage, 13993,
     /*  757919 */     GIR_EraseRootFromParent_Done,
     /*  757920 */   // Label 11830: @757920
     /*  757920 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(757998), // Rule ID 13994 //
     /*  757925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757996 */     GIR_RootConstrainSelectedInstOperands,
     /*  757997 */     // GIR_Coverage, 13994,
     /*  757997 */     GIR_EraseRootFromParent_Done,
     /*  757998 */   // Label 11831: @757998
     /*  757998 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(758076), // Rule ID 13997 //
     /*  758003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758074 */     GIR_RootConstrainSelectedInstOperands,
     /*  758075 */     // GIR_Coverage, 13997,
     /*  758075 */     GIR_EraseRootFromParent_Done,
     /*  758076 */   // Label 11832: @758076
     /*  758076 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(758154), // Rule ID 13998 //
     /*  758081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758152 */     GIR_RootConstrainSelectedInstOperands,
     /*  758153 */     // GIR_Coverage, 13998,
     /*  758153 */     GIR_EraseRootFromParent_Done,
     /*  758154 */   // Label 11833: @758154
     /*  758154 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(758232), // Rule ID 14001 //
     /*  758159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758230 */     GIR_RootConstrainSelectedInstOperands,
     /*  758231 */     // GIR_Coverage, 14001,
     /*  758231 */     GIR_EraseRootFromParent_Done,
     /*  758232 */   // Label 11834: @758232
     /*  758232 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758310), // Rule ID 14002 //
     /*  758237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  758248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  758251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  758254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  758257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758308 */     GIR_RootConstrainSelectedInstOperands,
     /*  758309 */     // GIR_Coverage, 14002,
     /*  758309 */     GIR_EraseRootFromParent_Done,
     /*  758310 */   // Label 11835: @758310
     /*  758310 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758388), // Rule ID 14005 //
     /*  758315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758386 */     GIR_RootConstrainSelectedInstOperands,
     /*  758387 */     // GIR_Coverage, 14005,
     /*  758387 */     GIR_EraseRootFromParent_Done,
     /*  758388 */   // Label 11836: @758388
     /*  758388 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758466), // Rule ID 14006 //
     /*  758393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  758410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  758413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  758442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758464 */     GIR_RootConstrainSelectedInstOperands,
     /*  758465 */     // GIR_Coverage, 14006,
     /*  758465 */     GIR_EraseRootFromParent_Done,
     /*  758466 */   // Label 11837: @758466
     /*  758466 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758544), // Rule ID 14009 //
     /*  758471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758542 */     GIR_RootConstrainSelectedInstOperands,
     /*  758543 */     // GIR_Coverage, 14009,
     /*  758543 */     GIR_EraseRootFromParent_Done,
     /*  758544 */   // Label 11838: @758544
     /*  758544 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758622), // Rule ID 14010 //
     /*  758549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  758566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  758569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  758598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758620 */     GIR_RootConstrainSelectedInstOperands,
     /*  758621 */     // GIR_Coverage, 14010,
     /*  758621 */     GIR_EraseRootFromParent_Done,
     /*  758622 */   // Label 11839: @758622
     /*  758622 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758700), // Rule ID 14013 //
     /*  758627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  758644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  758647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758698 */     GIR_RootConstrainSelectedInstOperands,
     /*  758699 */     // GIR_Coverage, 14013,
     /*  758699 */     GIR_EraseRootFromParent_Done,
     /*  758700 */   // Label 11840: @758700
     /*  758700 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758778), // Rule ID 14014 //
     /*  758705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  758722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  758725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758751 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  758754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758776 */     GIR_RootConstrainSelectedInstOperands,
     /*  758777 */     // GIR_Coverage, 14014,
     /*  758777 */     GIR_EraseRootFromParent_Done,
     /*  758778 */   // Label 11841: @758778
     /*  758778 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758856), // Rule ID 14017 //
     /*  758783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  758794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  758797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758829 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  758832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758854 */     GIR_RootConstrainSelectedInstOperands,
     /*  758855 */     // GIR_Coverage, 14017,
     /*  758855 */     GIR_EraseRootFromParent_Done,
     /*  758856 */   // Label 11842: @758856
     /*  758856 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758934), // Rule ID 14018 //
     /*  758861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  758872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  758875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  758910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758932 */     GIR_RootConstrainSelectedInstOperands,
     /*  758933 */     // GIR_Coverage, 14018,
     /*  758933 */     GIR_EraseRootFromParent_Done,
     /*  758934 */   // Label 11843: @758934
     /*  758934 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(759012), // Rule ID 14021 //
     /*  758939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  758950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  758953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  758956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758985 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  758988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759010 */     GIR_RootConstrainSelectedInstOperands,
     /*  759011 */     // GIR_Coverage, 14021,
     /*  759011 */     GIR_EraseRootFromParent_Done,
     /*  759012 */   // Label 11844: @759012
     /*  759012 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(759090), // Rule ID 14022 //
     /*  759017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759063 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759088 */     GIR_RootConstrainSelectedInstOperands,
     /*  759089 */     // GIR_Coverage, 14022,
     /*  759089 */     GIR_EraseRootFromParent_Done,
     /*  759090 */   // Label 11845: @759090
     /*  759090 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(759168), // Rule ID 14025 //
     /*  759095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759141 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759166 */     GIR_RootConstrainSelectedInstOperands,
     /*  759167 */     // GIR_Coverage, 14025,
     /*  759167 */     GIR_EraseRootFromParent_Done,
     /*  759168 */   // Label 11846: @759168
     /*  759168 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(759246), // Rule ID 14026 //
     /*  759173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  759184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  759187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  759190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759244 */     GIR_RootConstrainSelectedInstOperands,
     /*  759245 */     // GIR_Coverage, 14026,
     /*  759245 */     GIR_EraseRootFromParent_Done,
     /*  759246 */   // Label 11847: @759246
     /*  759246 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759324), // Rule ID 14029 //
     /*  759251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759322 */     GIR_RootConstrainSelectedInstOperands,
     /*  759323 */     // GIR_Coverage, 14029,
     /*  759323 */     GIR_EraseRootFromParent_Done,
     /*  759324 */   // Label 11848: @759324
     /*  759324 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759402), // Rule ID 14030 //
     /*  759329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759375 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  759378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759400 */     GIR_RootConstrainSelectedInstOperands,
     /*  759401 */     // GIR_Coverage, 14030,
     /*  759401 */     GIR_EraseRootFromParent_Done,
     /*  759402 */   // Label 11849: @759402
     /*  759402 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759480), // Rule ID 14033 //
     /*  759407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759478 */     GIR_RootConstrainSelectedInstOperands,
     /*  759479 */     // GIR_Coverage, 14033,
     /*  759479 */     GIR_EraseRootFromParent_Done,
     /*  759480 */   // Label 11850: @759480
     /*  759480 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759558), // Rule ID 14034 //
     /*  759485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  759496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  759499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759556 */     GIR_RootConstrainSelectedInstOperands,
     /*  759557 */     // GIR_Coverage, 14034,
     /*  759557 */     GIR_EraseRootFromParent_Done,
     /*  759558 */   // Label 11851: @759558
     /*  759558 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759636), // Rule ID 14037 //
     /*  759563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759634 */     GIR_RootConstrainSelectedInstOperands,
     /*  759635 */     // GIR_Coverage, 14037,
     /*  759635 */     GIR_EraseRootFromParent_Done,
     /*  759636 */   // Label 11852: @759636
     /*  759636 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759714), // Rule ID 14038 //
     /*  759641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  759690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759712 */     GIR_RootConstrainSelectedInstOperands,
     /*  759713 */     // GIR_Coverage, 14038,
     /*  759713 */     GIR_EraseRootFromParent_Done,
     /*  759714 */   // Label 11853: @759714
     /*  759714 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759792), // Rule ID 14041 //
     /*  759719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  759730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  759733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  759736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759790 */     GIR_RootConstrainSelectedInstOperands,
     /*  759791 */     // GIR_Coverage, 14041,
     /*  759791 */     GIR_EraseRootFromParent_Done,
     /*  759792 */   // Label 11854: @759792
     /*  759792 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759870), // Rule ID 14042 //
     /*  759797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  759808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  759811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  759814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759843 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759868 */     GIR_RootConstrainSelectedInstOperands,
     /*  759869 */     // GIR_Coverage, 14042,
     /*  759869 */     GIR_EraseRootFromParent_Done,
     /*  759870 */   // Label 11855: @759870
     /*  759870 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(759948), // Rule ID 14045 //
     /*  759875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  759886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  759889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759946 */     GIR_RootConstrainSelectedInstOperands,
     /*  759947 */     // GIR_Coverage, 14045,
     /*  759947 */     GIR_EraseRootFromParent_Done,
     /*  759948 */   // Label 11856: @759948
     /*  759948 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(760026), // Rule ID 14046 //
     /*  759953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  759964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  759967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760024 */     GIR_RootConstrainSelectedInstOperands,
     /*  760025 */     // GIR_Coverage, 14046,
     /*  760025 */     GIR_EraseRootFromParent_Done,
     /*  760026 */   // Label 11857: @760026
     /*  760026 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(760104), // Rule ID 14049 //
     /*  760031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760102 */     GIR_RootConstrainSelectedInstOperands,
     /*  760103 */     // GIR_Coverage, 14049,
     /*  760103 */     GIR_EraseRootFromParent_Done,
     /*  760104 */   // Label 11858: @760104
     /*  760104 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(760182), // Rule ID 14050 //
     /*  760109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760180 */     GIR_RootConstrainSelectedInstOperands,
     /*  760181 */     // GIR_Coverage, 14050,
     /*  760181 */     GIR_EraseRootFromParent_Done,
     /*  760182 */   // Label 11859: @760182
     /*  760182 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(760260), // Rule ID 14053 //
     /*  760187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760258 */     GIR_RootConstrainSelectedInstOperands,
     /*  760259 */     // GIR_Coverage, 14053,
     /*  760259 */     GIR_EraseRootFromParent_Done,
     /*  760260 */   // Label 11860: @760260
     /*  760260 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760338), // Rule ID 14054 //
     /*  760265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  760314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760336 */     GIR_RootConstrainSelectedInstOperands,
     /*  760337 */     // GIR_Coverage, 14054,
     /*  760337 */     GIR_EraseRootFromParent_Done,
     /*  760338 */   // Label 11861: @760338
     /*  760338 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760416), // Rule ID 14057 //
     /*  760343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760414 */     GIR_RootConstrainSelectedInstOperands,
     /*  760415 */     // GIR_Coverage, 14057,
     /*  760415 */     GIR_EraseRootFromParent_Done,
     /*  760416 */   // Label 11862: @760416
     /*  760416 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760494), // Rule ID 14058 //
     /*  760421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  760432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  760435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  760438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760492 */     GIR_RootConstrainSelectedInstOperands,
     /*  760493 */     // GIR_Coverage, 14058,
     /*  760493 */     GIR_EraseRootFromParent_Done,
     /*  760494 */   // Label 11863: @760494
     /*  760494 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760572), // Rule ID 14061 //
     /*  760499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760545 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760570 */     GIR_RootConstrainSelectedInstOperands,
     /*  760571 */     // GIR_Coverage, 14061,
     /*  760571 */     GIR_EraseRootFromParent_Done,
     /*  760572 */   // Label 11864: @760572
     /*  760572 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760650), // Rule ID 14062 //
     /*  760577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  760588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  760591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  760594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760648 */     GIR_RootConstrainSelectedInstOperands,
     /*  760649 */     // GIR_Coverage, 14062,
     /*  760649 */     GIR_EraseRootFromParent_Done,
     /*  760650 */   // Label 11865: @760650
     /*  760650 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760728), // Rule ID 14065 //
     /*  760655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  760666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  760669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  760672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760701 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760726 */     GIR_RootConstrainSelectedInstOperands,
     /*  760727 */     // GIR_Coverage, 14065,
     /*  760727 */     GIR_EraseRootFromParent_Done,
     /*  760728 */   // Label 11866: @760728
     /*  760728 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760806), // Rule ID 14066 //
     /*  760733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  760744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  760747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  760750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760804 */     GIR_RootConstrainSelectedInstOperands,
     /*  760805 */     // GIR_Coverage, 14066,
     /*  760805 */     GIR_EraseRootFromParent_Done,
     /*  760806 */   // Label 11867: @760806
     /*  760806 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760884), // Rule ID 14069 //
     /*  760811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760882 */     GIR_RootConstrainSelectedInstOperands,
     /*  760883 */     // GIR_Coverage, 14069,
     /*  760883 */     GIR_EraseRootFromParent_Done,
     /*  760884 */   // Label 11868: @760884
     /*  760884 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(760962), // Rule ID 14070 //
     /*  760889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760960 */     GIR_RootConstrainSelectedInstOperands,
     /*  760961 */     // GIR_Coverage, 14070,
     /*  760961 */     GIR_EraseRootFromParent_Done,
     /*  760962 */   // Label 11869: @760962
     /*  760962 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761040), // Rule ID 14073 //
     /*  760967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  760978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  760981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  760984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761038 */     GIR_RootConstrainSelectedInstOperands,
     /*  761039 */     // GIR_Coverage, 14073,
     /*  761039 */     GIR_EraseRootFromParent_Done,
     /*  761040 */   // Label 11870: @761040
     /*  761040 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(761118), // Rule ID 14074 //
     /*  761045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761116 */     GIR_RootConstrainSelectedInstOperands,
     /*  761117 */     // GIR_Coverage, 14074,
     /*  761117 */     GIR_EraseRootFromParent_Done,
     /*  761118 */   // Label 11871: @761118
     /*  761118 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(761196), // Rule ID 14077 //
     /*  761123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761194 */     GIR_RootConstrainSelectedInstOperands,
     /*  761195 */     // GIR_Coverage, 14077,
     /*  761195 */     GIR_EraseRootFromParent_Done,
     /*  761196 */   // Label 11872: @761196
     /*  761196 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(761274), // Rule ID 14078 //
     /*  761201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761272 */     GIR_RootConstrainSelectedInstOperands,
     /*  761273 */     // GIR_Coverage, 14078,
     /*  761273 */     GIR_EraseRootFromParent_Done,
     /*  761274 */   // Label 11873: @761274
     /*  761274 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761352), // Rule ID 14081 //
     /*  761279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761350 */     GIR_RootConstrainSelectedInstOperands,
     /*  761351 */     // GIR_Coverage, 14081,
     /*  761351 */     GIR_EraseRootFromParent_Done,
     /*  761352 */   // Label 11874: @761352
     /*  761352 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761430), // Rule ID 14082 //
     /*  761357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761428 */     GIR_RootConstrainSelectedInstOperands,
     /*  761429 */     // GIR_Coverage, 14082,
     /*  761429 */     GIR_EraseRootFromParent_Done,
     /*  761430 */   // Label 11875: @761430
     /*  761430 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761508), // Rule ID 14085 //
     /*  761435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761506 */     GIR_RootConstrainSelectedInstOperands,
     /*  761507 */     // GIR_Coverage, 14085,
     /*  761507 */     GIR_EraseRootFromParent_Done,
     /*  761508 */   // Label 11876: @761508
     /*  761508 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761586), // Rule ID 14086 //
     /*  761513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761584 */     GIR_RootConstrainSelectedInstOperands,
     /*  761585 */     // GIR_Coverage, 14086,
     /*  761585 */     GIR_EraseRootFromParent_Done,
     /*  761586 */   // Label 11877: @761586
     /*  761586 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761664), // Rule ID 14089 //
     /*  761591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761637 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761662 */     GIR_RootConstrainSelectedInstOperands,
     /*  761663 */     // GIR_Coverage, 14089,
     /*  761663 */     GIR_EraseRootFromParent_Done,
     /*  761664 */   // Label 11878: @761664
     /*  761664 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761742), // Rule ID 14090 //
     /*  761669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  761718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761740 */     GIR_RootConstrainSelectedInstOperands,
     /*  761741 */     // GIR_Coverage, 14090,
     /*  761741 */     GIR_EraseRootFromParent_Done,
     /*  761742 */   // Label 11879: @761742
     /*  761742 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761820), // Rule ID 14093 //
     /*  761747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761818 */     GIR_RootConstrainSelectedInstOperands,
     /*  761819 */     // GIR_Coverage, 14093,
     /*  761819 */     GIR_EraseRootFromParent_Done,
     /*  761820 */   // Label 11880: @761820
     /*  761820 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761898), // Rule ID 14094 //
     /*  761825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  761874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761896 */     GIR_RootConstrainSelectedInstOperands,
     /*  761897 */     // GIR_Coverage, 14094,
     /*  761897 */     GIR_EraseRootFromParent_Done,
     /*  761898 */   // Label 11881: @761898
     /*  761898 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(761976), // Rule ID 14097 //
     /*  761903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  761914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  761917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  761920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  761952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761974 */     GIR_RootConstrainSelectedInstOperands,
     /*  761975 */     // GIR_Coverage, 14097,
     /*  761975 */     GIR_EraseRootFromParent_Done,
     /*  761976 */   // Label 11882: @761976
     /*  761976 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762054), // Rule ID 14098 //
     /*  761981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  761992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  761995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  761998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  762030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762052 */     GIR_RootConstrainSelectedInstOperands,
     /*  762053 */     // GIR_Coverage, 14098,
     /*  762053 */     GIR_EraseRootFromParent_Done,
     /*  762054 */   // Label 11883: @762054
     /*  762054 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(762132), // Rule ID 14101 //
     /*  762059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762130 */     GIR_RootConstrainSelectedInstOperands,
     /*  762131 */     // GIR_Coverage, 14101,
     /*  762131 */     GIR_EraseRootFromParent_Done,
     /*  762132 */   // Label 11884: @762132
     /*  762132 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(762210), // Rule ID 14102 //
     /*  762137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  762186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762208 */     GIR_RootConstrainSelectedInstOperands,
     /*  762209 */     // GIR_Coverage, 14102,
     /*  762209 */     GIR_EraseRootFromParent_Done,
     /*  762210 */   // Label 11885: @762210
     /*  762210 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762288), // Rule ID 14193 //
     /*  762215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762286 */     GIR_RootConstrainSelectedInstOperands,
     /*  762287 */     // GIR_Coverage, 14193,
     /*  762287 */     GIR_EraseRootFromParent_Done,
     /*  762288 */   // Label 11886: @762288
     /*  762288 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762366), // Rule ID 14194 //
     /*  762293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762339 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  762342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762364 */     GIR_RootConstrainSelectedInstOperands,
     /*  762365 */     // GIR_Coverage, 14194,
     /*  762365 */     GIR_EraseRootFromParent_Done,
     /*  762366 */   // Label 11887: @762366
     /*  762366 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762444), // Rule ID 14197 //
     /*  762371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762442 */     GIR_RootConstrainSelectedInstOperands,
     /*  762443 */     // GIR_Coverage, 14197,
     /*  762443 */     GIR_EraseRootFromParent_Done,
     /*  762444 */   // Label 11888: @762444
     /*  762444 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762522), // Rule ID 14198 //
     /*  762449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762520 */     GIR_RootConstrainSelectedInstOperands,
     /*  762521 */     // GIR_Coverage, 14198,
     /*  762521 */     GIR_EraseRootFromParent_Done,
     /*  762522 */   // Label 11889: @762522
     /*  762522 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762600), // Rule ID 14201 //
     /*  762527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762573 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762598 */     GIR_RootConstrainSelectedInstOperands,
     /*  762599 */     // GIR_Coverage, 14201,
     /*  762599 */     GIR_EraseRootFromParent_Done,
     /*  762600 */   // Label 11890: @762600
     /*  762600 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762678), // Rule ID 14202 //
     /*  762605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762676 */     GIR_RootConstrainSelectedInstOperands,
     /*  762677 */     // GIR_Coverage, 14202,
     /*  762677 */     GIR_EraseRootFromParent_Done,
     /*  762678 */   // Label 11891: @762678
     /*  762678 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762756), // Rule ID 14205 //
     /*  762683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762729 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762754 */     GIR_RootConstrainSelectedInstOperands,
     /*  762755 */     // GIR_Coverage, 14205,
     /*  762755 */     GIR_EraseRootFromParent_Done,
     /*  762756 */   // Label 11892: @762756
     /*  762756 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762834), // Rule ID 14206 //
     /*  762761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762807 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  762810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762832 */     GIR_RootConstrainSelectedInstOperands,
     /*  762833 */     // GIR_Coverage, 14206,
     /*  762833 */     GIR_EraseRootFromParent_Done,
     /*  762834 */   // Label 11893: @762834
     /*  762834 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762912), // Rule ID 14209 //
     /*  762839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762910 */     GIR_RootConstrainSelectedInstOperands,
     /*  762911 */     // GIR_Coverage, 14209,
     /*  762911 */     GIR_EraseRootFromParent_Done,
     /*  762912 */   // Label 11894: @762912
     /*  762912 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(762990), // Rule ID 14210 //
     /*  762917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  762966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762988 */     GIR_RootConstrainSelectedInstOperands,
     /*  762989 */     // GIR_Coverage, 14210,
     /*  762989 */     GIR_EraseRootFromParent_Done,
     /*  762990 */   // Label 11895: @762990
     /*  762990 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763068), // Rule ID 14213 //
     /*  762995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763041 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763066 */     GIR_RootConstrainSelectedInstOperands,
     /*  763067 */     // GIR_Coverage, 14213,
     /*  763067 */     GIR_EraseRootFromParent_Done,
     /*  763068 */   // Label 11896: @763068
     /*  763068 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(763146), // Rule ID 14214 //
     /*  763073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  763122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763144 */     GIR_RootConstrainSelectedInstOperands,
     /*  763145 */     // GIR_Coverage, 14214,
     /*  763145 */     GIR_EraseRootFromParent_Done,
     /*  763146 */   // Label 11897: @763146
     /*  763146 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(763224), // Rule ID 14217 //
     /*  763151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763222 */     GIR_RootConstrainSelectedInstOperands,
     /*  763223 */     // GIR_Coverage, 14217,
     /*  763223 */     GIR_EraseRootFromParent_Done,
     /*  763224 */   // Label 11898: @763224
     /*  763224 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763302), // Rule ID 14218 //
     /*  763229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763275 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763300 */     GIR_RootConstrainSelectedInstOperands,
     /*  763301 */     // GIR_Coverage, 14218,
     /*  763301 */     GIR_EraseRootFromParent_Done,
     /*  763302 */   // Label 11899: @763302
     /*  763302 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763380), // Rule ID 14221 //
     /*  763307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763378 */     GIR_RootConstrainSelectedInstOperands,
     /*  763379 */     // GIR_Coverage, 14221,
     /*  763379 */     GIR_EraseRootFromParent_Done,
     /*  763380 */   // Label 11900: @763380
     /*  763380 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763458), // Rule ID 14222 //
     /*  763385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763456 */     GIR_RootConstrainSelectedInstOperands,
     /*  763457 */     // GIR_Coverage, 14222,
     /*  763457 */     GIR_EraseRootFromParent_Done,
     /*  763458 */   // Label 11901: @763458
     /*  763458 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763536), // Rule ID 14225 //
     /*  763463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763534 */     GIR_RootConstrainSelectedInstOperands,
     /*  763535 */     // GIR_Coverage, 14225,
     /*  763535 */     GIR_EraseRootFromParent_Done,
     /*  763536 */   // Label 11902: @763536
     /*  763536 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763614), // Rule ID 14226 //
     /*  763541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763587 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763612 */     GIR_RootConstrainSelectedInstOperands,
     /*  763613 */     // GIR_Coverage, 14226,
     /*  763613 */     GIR_EraseRootFromParent_Done,
     /*  763614 */   // Label 11903: @763614
     /*  763614 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763692), // Rule ID 14229 //
     /*  763619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763690 */     GIR_RootConstrainSelectedInstOperands,
     /*  763691 */     // GIR_Coverage, 14229,
     /*  763691 */     GIR_EraseRootFromParent_Done,
     /*  763692 */   // Label 11904: @763692
     /*  763692 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763770), // Rule ID 14230 //
     /*  763697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  763746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763768 */     GIR_RootConstrainSelectedInstOperands,
     /*  763769 */     // GIR_Coverage, 14230,
     /*  763769 */     GIR_EraseRootFromParent_Done,
     /*  763770 */   // Label 11905: @763770
     /*  763770 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763848), // Rule ID 14233 //
     /*  763775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763846 */     GIR_RootConstrainSelectedInstOperands,
     /*  763847 */     // GIR_Coverage, 14233,
     /*  763847 */     GIR_EraseRootFromParent_Done,
     /*  763848 */   // Label 11906: @763848
     /*  763848 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763926), // Rule ID 14234 //
     /*  763853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763924 */     GIR_RootConstrainSelectedInstOperands,
     /*  763925 */     // GIR_Coverage, 14234,
     /*  763925 */     GIR_EraseRootFromParent_Done,
     /*  763926 */   // Label 11907: @763926
     /*  763926 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764004), // Rule ID 14237 //
     /*  763931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  763942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  763945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  763948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  763951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763977 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  763980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764002 */     GIR_RootConstrainSelectedInstOperands,
     /*  764003 */     // GIR_Coverage, 14237,
     /*  764003 */     GIR_EraseRootFromParent_Done,
     /*  764004 */   // Label 11908: @764004
     /*  764004 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764082), // Rule ID 14238 //
     /*  764009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764080 */     GIR_RootConstrainSelectedInstOperands,
     /*  764081 */     // GIR_Coverage, 14238,
     /*  764081 */     GIR_EraseRootFromParent_Done,
     /*  764082 */   // Label 11909: @764082
     /*  764082 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764160), // Rule ID 14241 //
     /*  764087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764133 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764158 */     GIR_RootConstrainSelectedInstOperands,
     /*  764159 */     // GIR_Coverage, 14241,
     /*  764159 */     GIR_EraseRootFromParent_Done,
     /*  764160 */   // Label 11910: @764160
     /*  764160 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(764238), // Rule ID 14242 //
     /*  764165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764236 */     GIR_RootConstrainSelectedInstOperands,
     /*  764237 */     // GIR_Coverage, 14242,
     /*  764237 */     GIR_EraseRootFromParent_Done,
     /*  764238 */   // Label 11911: @764238
     /*  764238 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764316), // Rule ID 14245 //
     /*  764243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764314 */     GIR_RootConstrainSelectedInstOperands,
     /*  764315 */     // GIR_Coverage, 14245,
     /*  764315 */     GIR_EraseRootFromParent_Done,
     /*  764316 */   // Label 11912: @764316
     /*  764316 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764394), // Rule ID 14246 //
     /*  764321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764392 */     GIR_RootConstrainSelectedInstOperands,
     /*  764393 */     // GIR_Coverage, 14246,
     /*  764393 */     GIR_EraseRootFromParent_Done,
     /*  764394 */   // Label 11913: @764394
     /*  764394 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764472), // Rule ID 14249 //
     /*  764399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764470 */     GIR_RootConstrainSelectedInstOperands,
     /*  764471 */     // GIR_Coverage, 14249,
     /*  764471 */     GIR_EraseRootFromParent_Done,
     /*  764472 */   // Label 11914: @764472
     /*  764472 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764550), // Rule ID 14250 //
     /*  764477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764548 */     GIR_RootConstrainSelectedInstOperands,
     /*  764549 */     // GIR_Coverage, 14250,
     /*  764549 */     GIR_EraseRootFromParent_Done,
     /*  764550 */   // Label 11915: @764550
     /*  764550 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764628), // Rule ID 14253 //
     /*  764555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764626 */     GIR_RootConstrainSelectedInstOperands,
     /*  764627 */     // GIR_Coverage, 14253,
     /*  764627 */     GIR_EraseRootFromParent_Done,
     /*  764628 */   // Label 11916: @764628
     /*  764628 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764706), // Rule ID 14254 //
     /*  764633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764704 */     GIR_RootConstrainSelectedInstOperands,
     /*  764705 */     // GIR_Coverage, 14254,
     /*  764705 */     GIR_EraseRootFromParent_Done,
     /*  764706 */   // Label 11917: @764706
     /*  764706 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764784), // Rule ID 14257 //
     /*  764711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764782 */     GIR_RootConstrainSelectedInstOperands,
     /*  764783 */     // GIR_Coverage, 14257,
     /*  764783 */     GIR_EraseRootFromParent_Done,
     /*  764784 */   // Label 11918: @764784
     /*  764784 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764862), // Rule ID 14258 //
     /*  764789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764860 */     GIR_RootConstrainSelectedInstOperands,
     /*  764861 */     // GIR_Coverage, 14258,
     /*  764861 */     GIR_EraseRootFromParent_Done,
     /*  764862 */   // Label 11919: @764862
     /*  764862 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764940), // Rule ID 14261 //
     /*  764867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  764878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  764881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  764884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  764887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764913 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764938 */     GIR_RootConstrainSelectedInstOperands,
     /*  764939 */     // GIR_Coverage, 14261,
     /*  764939 */     GIR_EraseRootFromParent_Done,
     /*  764940 */   // Label 11920: @764940
     /*  764940 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765018), // Rule ID 14262 //
     /*  764945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  764956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  764959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  764962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  764965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764991 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765016 */     GIR_RootConstrainSelectedInstOperands,
     /*  765017 */     // GIR_Coverage, 14262,
     /*  765017 */     GIR_EraseRootFromParent_Done,
     /*  765018 */   // Label 11921: @765018
     /*  765018 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765096), // Rule ID 14265 //
     /*  765023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765094 */     GIR_RootConstrainSelectedInstOperands,
     /*  765095 */     // GIR_Coverage, 14265,
     /*  765095 */     GIR_EraseRootFromParent_Done,
     /*  765096 */   // Label 11922: @765096
     /*  765096 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765174), // Rule ID 14266 //
     /*  765101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  765121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765172 */     GIR_RootConstrainSelectedInstOperands,
     /*  765173 */     // GIR_Coverage, 14266,
     /*  765173 */     GIR_EraseRootFromParent_Done,
     /*  765174 */   // Label 11923: @765174
     /*  765174 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(765252), // Rule ID 14269 //
     /*  765179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765250 */     GIR_RootConstrainSelectedInstOperands,
     /*  765251 */     // GIR_Coverage, 14269,
     /*  765251 */     GIR_EraseRootFromParent_Done,
     /*  765252 */   // Label 11924: @765252
     /*  765252 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765330), // Rule ID 14270 //
     /*  765257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  765306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765328 */     GIR_RootConstrainSelectedInstOperands,
     /*  765329 */     // GIR_Coverage, 14270,
     /*  765329 */     GIR_EraseRootFromParent_Done,
     /*  765330 */   // Label 11925: @765330
     /*  765330 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765408), // Rule ID 14273 //
     /*  765335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765381 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765406 */     GIR_RootConstrainSelectedInstOperands,
     /*  765407 */     // GIR_Coverage, 14273,
     /*  765407 */     GIR_EraseRootFromParent_Done,
     /*  765408 */   // Label 11926: @765408
     /*  765408 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765486), // Rule ID 14274 //
     /*  765413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  765462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765484 */     GIR_RootConstrainSelectedInstOperands,
     /*  765485 */     // GIR_Coverage, 14274,
     /*  765485 */     GIR_EraseRootFromParent_Done,
     /*  765486 */   // Label 11927: @765486
     /*  765486 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765564), // Rule ID 14277 //
     /*  765491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765562 */     GIR_RootConstrainSelectedInstOperands,
     /*  765563 */     // GIR_Coverage, 14277,
     /*  765563 */     GIR_EraseRootFromParent_Done,
     /*  765564 */   // Label 11928: @765564
     /*  765564 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765642), // Rule ID 14278 //
     /*  765569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  765618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765640 */     GIR_RootConstrainSelectedInstOperands,
     /*  765641 */     // GIR_Coverage, 14278,
     /*  765641 */     GIR_EraseRootFromParent_Done,
     /*  765642 */   // Label 11929: @765642
     /*  765642 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765720), // Rule ID 14281 //
     /*  765647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  765696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765718 */     GIR_RootConstrainSelectedInstOperands,
     /*  765719 */     // GIR_Coverage, 14281,
     /*  765719 */     GIR_EraseRootFromParent_Done,
     /*  765720 */   // Label 11930: @765720
     /*  765720 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765798), // Rule ID 14282 //
     /*  765725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  765774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765796 */     GIR_RootConstrainSelectedInstOperands,
     /*  765797 */     // GIR_Coverage, 14282,
     /*  765797 */     GIR_EraseRootFromParent_Done,
     /*  765798 */   // Label 11931: @765798
     /*  765798 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765876), // Rule ID 14285 //
     /*  765803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  765852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765874 */     GIR_RootConstrainSelectedInstOperands,
     /*  765875 */     // GIR_Coverage, 14285,
     /*  765875 */     GIR_EraseRootFromParent_Done,
     /*  765876 */   // Label 11932: @765876
     /*  765876 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(765954), // Rule ID 14286 //
     /*  765881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  765930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765952 */     GIR_RootConstrainSelectedInstOperands,
     /*  765953 */     // GIR_Coverage, 14286,
     /*  765953 */     GIR_EraseRootFromParent_Done,
     /*  765954 */   // Label 11933: @765954
     /*  765954 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766032), // Rule ID 14289 //
     /*  765959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  765970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  765973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  765976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766030 */     GIR_RootConstrainSelectedInstOperands,
     /*  766031 */     // GIR_Coverage, 14289,
     /*  766031 */     GIR_EraseRootFromParent_Done,
     /*  766032 */   // Label 11934: @766032
     /*  766032 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766110), // Rule ID 14290 //
     /*  766037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766083 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766108 */     GIR_RootConstrainSelectedInstOperands,
     /*  766109 */     // GIR_Coverage, 14290,
     /*  766109 */     GIR_EraseRootFromParent_Done,
     /*  766110 */   // Label 11935: @766110
     /*  766110 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766188), // Rule ID 14293 //
     /*  766115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766186 */     GIR_RootConstrainSelectedInstOperands,
     /*  766187 */     // GIR_Coverage, 14293,
     /*  766187 */     GIR_EraseRootFromParent_Done,
     /*  766188 */   // Label 11936: @766188
     /*  766188 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(766266), // Rule ID 14294 //
     /*  766193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  766204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  766207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  766210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  766242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766264 */     GIR_RootConstrainSelectedInstOperands,
     /*  766265 */     // GIR_Coverage, 14294,
     /*  766265 */     GIR_EraseRootFromParent_Done,
     /*  766266 */   // Label 11937: @766266
     /*  766266 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766344), // Rule ID 14297 //
     /*  766271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766342 */     GIR_RootConstrainSelectedInstOperands,
     /*  766343 */     // GIR_Coverage, 14297,
     /*  766343 */     GIR_EraseRootFromParent_Done,
     /*  766344 */   // Label 11938: @766344
     /*  766344 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766422), // Rule ID 14298 //
     /*  766349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766420 */     GIR_RootConstrainSelectedInstOperands,
     /*  766421 */     // GIR_Coverage, 14298,
     /*  766421 */     GIR_EraseRootFromParent_Done,
     /*  766422 */   // Label 11939: @766422
     /*  766422 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766500), // Rule ID 14301 //
     /*  766427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766498 */     GIR_RootConstrainSelectedInstOperands,
     /*  766499 */     // GIR_Coverage, 14301,
     /*  766499 */     GIR_EraseRootFromParent_Done,
     /*  766500 */   // Label 11940: @766500
     /*  766500 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766578), // Rule ID 14302 //
     /*  766505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  766554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766576 */     GIR_RootConstrainSelectedInstOperands,
     /*  766577 */     // GIR_Coverage, 14302,
     /*  766577 */     GIR_EraseRootFromParent_Done,
     /*  766578 */   // Label 11941: @766578
     /*  766578 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766656), // Rule ID 14305 //
     /*  766583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766629 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766654 */     GIR_RootConstrainSelectedInstOperands,
     /*  766655 */     // GIR_Coverage, 14305,
     /*  766655 */     GIR_EraseRootFromParent_Done,
     /*  766656 */   // Label 11942: @766656
     /*  766656 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766734), // Rule ID 14306 //
     /*  766661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766732 */     GIR_RootConstrainSelectedInstOperands,
     /*  766733 */     // GIR_Coverage, 14306,
     /*  766733 */     GIR_EraseRootFromParent_Done,
     /*  766734 */   // Label 11943: @766734
     /*  766734 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766812), // Rule ID 14309 //
     /*  766739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766810 */     GIR_RootConstrainSelectedInstOperands,
     /*  766811 */     // GIR_Coverage, 14309,
     /*  766811 */     GIR_EraseRootFromParent_Done,
     /*  766812 */   // Label 11944: @766812
     /*  766812 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766890), // Rule ID 14310 //
     /*  766817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766863 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766888 */     GIR_RootConstrainSelectedInstOperands,
     /*  766889 */     // GIR_Coverage, 14310,
     /*  766889 */     GIR_EraseRootFromParent_Done,
     /*  766890 */   // Label 11945: @766890
     /*  766890 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(766968), // Rule ID 14313 //
     /*  766895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  766944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766966 */     GIR_RootConstrainSelectedInstOperands,
     /*  766967 */     // GIR_Coverage, 14313,
     /*  766967 */     GIR_EraseRootFromParent_Done,
     /*  766968 */   // Label 11946: @766968
     /*  766968 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767046), // Rule ID 14314 //
     /*  766973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767044 */     GIR_RootConstrainSelectedInstOperands,
     /*  767045 */     // GIR_Coverage, 14314,
     /*  767045 */     GIR_EraseRootFromParent_Done,
     /*  767046 */   // Label 11947: @767046
     /*  767046 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767124), // Rule ID 14317 //
     /*  767051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767122 */     GIR_RootConstrainSelectedInstOperands,
     /*  767123 */     // GIR_Coverage, 14317,
     /*  767123 */     GIR_EraseRootFromParent_Done,
     /*  767124 */   // Label 11948: @767124
     /*  767124 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767202), // Rule ID 14318 //
     /*  767129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  767140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  767143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  767146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767175 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  767178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767200 */     GIR_RootConstrainSelectedInstOperands,
     /*  767201 */     // GIR_Coverage, 14318,
     /*  767201 */     GIR_EraseRootFromParent_Done,
     /*  767202 */   // Label 11949: @767202
     /*  767202 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767280), // Rule ID 14321 //
     /*  767207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767253 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767278 */     GIR_RootConstrainSelectedInstOperands,
     /*  767279 */     // GIR_Coverage, 14321,
     /*  767279 */     GIR_EraseRootFromParent_Done,
     /*  767280 */   // Label 11950: @767280
     /*  767280 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767358), // Rule ID 14322 //
     /*  767285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767356 */     GIR_RootConstrainSelectedInstOperands,
     /*  767357 */     // GIR_Coverage, 14322,
     /*  767357 */     GIR_EraseRootFromParent_Done,
     /*  767358 */   // Label 11951: @767358
     /*  767358 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767436), // Rule ID 14325 //
     /*  767363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767409 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767434 */     GIR_RootConstrainSelectedInstOperands,
     /*  767435 */     // GIR_Coverage, 14325,
     /*  767435 */     GIR_EraseRootFromParent_Done,
     /*  767436 */   // Label 11952: @767436
     /*  767436 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767514), // Rule ID 14326 //
     /*  767441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767487 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767512 */     GIR_RootConstrainSelectedInstOperands,
     /*  767513 */     // GIR_Coverage, 14326,
     /*  767513 */     GIR_EraseRootFromParent_Done,
     /*  767514 */   // Label 11953: @767514
     /*  767514 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767592), // Rule ID 14329 //
     /*  767519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767590 */     GIR_RootConstrainSelectedInstOperands,
     /*  767591 */     // GIR_Coverage, 14329,
     /*  767591 */     GIR_EraseRootFromParent_Done,
     /*  767592 */   // Label 11954: @767592
     /*  767592 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767670), // Rule ID 14330 //
     /*  767597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767643 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767668 */     GIR_RootConstrainSelectedInstOperands,
     /*  767669 */     // GIR_Coverage, 14330,
     /*  767669 */     GIR_EraseRootFromParent_Done,
     /*  767670 */   // Label 11955: @767670
     /*  767670 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767748), // Rule ID 14333 //
     /*  767675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767746 */     GIR_RootConstrainSelectedInstOperands,
     /*  767747 */     // GIR_Coverage, 14333,
     /*  767747 */     GIR_EraseRootFromParent_Done,
     /*  767748 */   // Label 11956: @767748
     /*  767748 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767826), // Rule ID 14334 //
     /*  767753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767824 */     GIR_RootConstrainSelectedInstOperands,
     /*  767825 */     // GIR_Coverage, 14334,
     /*  767825 */     GIR_EraseRootFromParent_Done,
     /*  767826 */   // Label 11957: @767826
     /*  767826 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767904), // Rule ID 14337 //
     /*  767831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767902 */     GIR_RootConstrainSelectedInstOperands,
     /*  767903 */     // GIR_Coverage, 14337,
     /*  767903 */     GIR_EraseRootFromParent_Done,
     /*  767904 */   // Label 11958: @767904
     /*  767904 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(767982), // Rule ID 14338 //
     /*  767909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767980 */     GIR_RootConstrainSelectedInstOperands,
     /*  767981 */     // GIR_Coverage, 14338,
     /*  767981 */     GIR_EraseRootFromParent_Done,
     /*  767982 */   // Label 11959: @767982
     /*  767982 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768060), // Rule ID 14341 //
     /*  767987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  767998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768058 */     GIR_RootConstrainSelectedInstOperands,
     /*  768059 */     // GIR_Coverage, 14341,
     /*  768059 */     GIR_EraseRootFromParent_Done,
     /*  768060 */   // Label 11960: @768060
     /*  768060 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768138), // Rule ID 14342 //
     /*  768065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768136 */     GIR_RootConstrainSelectedInstOperands,
     /*  768137 */     // GIR_Coverage, 14342,
     /*  768137 */     GIR_EraseRootFromParent_Done,
     /*  768138 */   // Label 11961: @768138
     /*  768138 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768216), // Rule ID 14345 //
     /*  768143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768214 */     GIR_RootConstrainSelectedInstOperands,
     /*  768215 */     // GIR_Coverage, 14345,
     /*  768215 */     GIR_EraseRootFromParent_Done,
     /*  768216 */   // Label 11962: @768216
     /*  768216 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768294), // Rule ID 14346 //
     /*  768221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  768232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  768235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  768238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768292 */     GIR_RootConstrainSelectedInstOperands,
     /*  768293 */     // GIR_Coverage, 14346,
     /*  768293 */     GIR_EraseRootFromParent_Done,
     /*  768294 */   // Label 11963: @768294
     /*  768294 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768372), // Rule ID 14349 //
     /*  768299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768345 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768370 */     GIR_RootConstrainSelectedInstOperands,
     /*  768371 */     // GIR_Coverage, 14349,
     /*  768371 */     GIR_EraseRootFromParent_Done,
     /*  768372 */   // Label 11964: @768372
     /*  768372 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768450), // Rule ID 14350 //
     /*  768377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768423 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768448 */     GIR_RootConstrainSelectedInstOperands,
     /*  768449 */     // GIR_Coverage, 14350,
     /*  768449 */     GIR_EraseRootFromParent_Done,
     /*  768450 */   // Label 11965: @768450
     /*  768450 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768528), // Rule ID 14353 //
     /*  768455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768526 */     GIR_RootConstrainSelectedInstOperands,
     /*  768527 */     // GIR_Coverage, 14353,
     /*  768527 */     GIR_EraseRootFromParent_Done,
     /*  768528 */   // Label 11966: @768528
     /*  768528 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768606), // Rule ID 14354 //
     /*  768533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768604 */     GIR_RootConstrainSelectedInstOperands,
     /*  768605 */     // GIR_Coverage, 14354,
     /*  768605 */     GIR_EraseRootFromParent_Done,
     /*  768606 */   // Label 11967: @768606
     /*  768606 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768684), // Rule ID 14357 //
     /*  768611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768682 */     GIR_RootConstrainSelectedInstOperands,
     /*  768683 */     // GIR_Coverage, 14357,
     /*  768683 */     GIR_EraseRootFromParent_Done,
     /*  768684 */   // Label 11968: @768684
     /*  768684 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768762), // Rule ID 14358 //
     /*  768689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  768738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768760 */     GIR_RootConstrainSelectedInstOperands,
     /*  768761 */     // GIR_Coverage, 14358,
     /*  768761 */     GIR_EraseRootFromParent_Done,
     /*  768762 */   // Label 11969: @768762
     /*  768762 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768840), // Rule ID 14361 //
     /*  768767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768813 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768838 */     GIR_RootConstrainSelectedInstOperands,
     /*  768839 */     // GIR_Coverage, 14361,
     /*  768839 */     GIR_EraseRootFromParent_Done,
     /*  768840 */   // Label 11970: @768840
     /*  768840 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768918), // Rule ID 14362 //
     /*  768845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  768894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768916 */     GIR_RootConstrainSelectedInstOperands,
     /*  768917 */     // GIR_Coverage, 14362,
     /*  768917 */     GIR_EraseRootFromParent_Done,
     /*  768918 */   // Label 11971: @768918
     /*  768918 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(768996), // Rule ID 14365 //
     /*  768923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  768934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  768937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  768940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768969 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  768972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768994 */     GIR_RootConstrainSelectedInstOperands,
     /*  768995 */     // GIR_Coverage, 14365,
     /*  768995 */     GIR_EraseRootFromParent_Done,
     /*  768996 */   // Label 11972: @768996
     /*  768996 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769074), // Rule ID 14366 //
     /*  769001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  769050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769072 */     GIR_RootConstrainSelectedInstOperands,
     /*  769073 */     // GIR_Coverage, 14366,
     /*  769073 */     GIR_EraseRootFromParent_Done,
     /*  769074 */   // Label 11973: @769074
     /*  769074 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769152), // Rule ID 14457 //
     /*  769079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769125 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769150 */     GIR_RootConstrainSelectedInstOperands,
     /*  769151 */     // GIR_Coverage, 14457,
     /*  769151 */     GIR_EraseRootFromParent_Done,
     /*  769152 */   // Label 11974: @769152
     /*  769152 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769230), // Rule ID 14458 //
     /*  769157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  769168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  769171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  769174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  769177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  769206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769228 */     GIR_RootConstrainSelectedInstOperands,
     /*  769229 */     // GIR_Coverage, 14458,
     /*  769229 */     GIR_EraseRootFromParent_Done,
     /*  769230 */   // Label 11975: @769230
     /*  769230 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769308), // Rule ID 14461 //
     /*  769235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769281 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769306 */     GIR_RootConstrainSelectedInstOperands,
     /*  769307 */     // GIR_Coverage, 14461,
     /*  769307 */     GIR_EraseRootFromParent_Done,
     /*  769308 */   // Label 11976: @769308
     /*  769308 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769386), // Rule ID 14462 //
     /*  769313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  769324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  769327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  769330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  769333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769359 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769384 */     GIR_RootConstrainSelectedInstOperands,
     /*  769385 */     // GIR_Coverage, 14462,
     /*  769385 */     GIR_EraseRootFromParent_Done,
     /*  769386 */   // Label 11977: @769386
     /*  769386 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769464), // Rule ID 14465 //
     /*  769391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769462 */     GIR_RootConstrainSelectedInstOperands,
     /*  769463 */     // GIR_Coverage, 14465,
     /*  769463 */     GIR_EraseRootFromParent_Done,
     /*  769464 */   // Label 11978: @769464
     /*  769464 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769542), // Rule ID 14466 //
     /*  769469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  769489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769515 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769540 */     GIR_RootConstrainSelectedInstOperands,
     /*  769541 */     // GIR_Coverage, 14466,
     /*  769541 */     GIR_EraseRootFromParent_Done,
     /*  769542 */   // Label 11979: @769542
     /*  769542 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769620), // Rule ID 14469 //
     /*  769547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769618 */     GIR_RootConstrainSelectedInstOperands,
     /*  769619 */     // GIR_Coverage, 14469,
     /*  769619 */     GIR_EraseRootFromParent_Done,
     /*  769620 */   // Label 11980: @769620
     /*  769620 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769698), // Rule ID 14470 //
     /*  769625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769671 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  769674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769696 */     GIR_RootConstrainSelectedInstOperands,
     /*  769697 */     // GIR_Coverage, 14470,
     /*  769697 */     GIR_EraseRootFromParent_Done,
     /*  769698 */   // Label 11981: @769698
     /*  769698 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769776), // Rule ID 14473 //
     /*  769703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769774 */     GIR_RootConstrainSelectedInstOperands,
     /*  769775 */     // GIR_Coverage, 14473,
     /*  769775 */     GIR_EraseRootFromParent_Done,
     /*  769776 */   // Label 11982: @769776
     /*  769776 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769854), // Rule ID 14474 //
     /*  769781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769827 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769852 */     GIR_RootConstrainSelectedInstOperands,
     /*  769853 */     // GIR_Coverage, 14474,
     /*  769853 */     GIR_EraseRootFromParent_Done,
     /*  769854 */   // Label 11983: @769854
     /*  769854 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769932), // Rule ID 14477 //
     /*  769859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  769870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  769873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  769876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  769879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769930 */     GIR_RootConstrainSelectedInstOperands,
     /*  769931 */     // GIR_Coverage, 14477,
     /*  769931 */     GIR_EraseRootFromParent_Done,
     /*  769932 */   // Label 11984: @769932
     /*  769932 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770010), // Rule ID 14478 //
     /*  769937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  769948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  769951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  769954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  769957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  769986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770008 */     GIR_RootConstrainSelectedInstOperands,
     /*  770009 */     // GIR_Coverage, 14478,
     /*  770009 */     GIR_EraseRootFromParent_Done,
     /*  770010 */   // Label 11985: @770010
     /*  770010 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770088), // Rule ID 14481 //
     /*  770015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770086 */     GIR_RootConstrainSelectedInstOperands,
     /*  770087 */     // GIR_Coverage, 14481,
     /*  770087 */     GIR_EraseRootFromParent_Done,
     /*  770088 */   // Label 11986: @770088
     /*  770088 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770166), // Rule ID 14482 //
     /*  770093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770139 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770164 */     GIR_RootConstrainSelectedInstOperands,
     /*  770165 */     // GIR_Coverage, 14482,
     /*  770165 */     GIR_EraseRootFromParent_Done,
     /*  770166 */   // Label 11987: @770166
     /*  770166 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770244), // Rule ID 14485 //
     /*  770171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770242 */     GIR_RootConstrainSelectedInstOperands,
     /*  770243 */     // GIR_Coverage, 14485,
     /*  770243 */     GIR_EraseRootFromParent_Done,
     /*  770244 */   // Label 11988: @770244
     /*  770244 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770322), // Rule ID 14486 //
     /*  770249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  770260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  770263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  770266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770295 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770320 */     GIR_RootConstrainSelectedInstOperands,
     /*  770321 */     // GIR_Coverage, 14486,
     /*  770321 */     GIR_EraseRootFromParent_Done,
     /*  770322 */   // Label 11989: @770322
     /*  770322 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770400), // Rule ID 14489 //
     /*  770327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770398 */     GIR_RootConstrainSelectedInstOperands,
     /*  770399 */     // GIR_Coverage, 14489,
     /*  770399 */     GIR_EraseRootFromParent_Done,
     /*  770400 */   // Label 11990: @770400
     /*  770400 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770478), // Rule ID 14490 //
     /*  770405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  770425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770476 */     GIR_RootConstrainSelectedInstOperands,
     /*  770477 */     // GIR_Coverage, 14490,
     /*  770477 */     GIR_EraseRootFromParent_Done,
     /*  770478 */   // Label 11991: @770478
     /*  770478 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770556), // Rule ID 14493 //
     /*  770483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770554 */     GIR_RootConstrainSelectedInstOperands,
     /*  770555 */     // GIR_Coverage, 14493,
     /*  770555 */     GIR_EraseRootFromParent_Done,
     /*  770556 */   // Label 11992: @770556
     /*  770556 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770634), // Rule ID 14494 //
     /*  770561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  770581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  770610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770632 */     GIR_RootConstrainSelectedInstOperands,
     /*  770633 */     // GIR_Coverage, 14494,
     /*  770633 */     GIR_EraseRootFromParent_Done,
     /*  770634 */   // Label 11993: @770634
     /*  770634 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770712), // Rule ID 14497 //
     /*  770639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  770659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770685 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770710 */     GIR_RootConstrainSelectedInstOperands,
     /*  770711 */     // GIR_Coverage, 14497,
     /*  770711 */     GIR_EraseRootFromParent_Done,
     /*  770712 */   // Label 11994: @770712
     /*  770712 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770790), // Rule ID 14498 //
     /*  770717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  770737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770788 */     GIR_RootConstrainSelectedInstOperands,
     /*  770789 */     // GIR_Coverage, 14498,
     /*  770789 */     GIR_EraseRootFromParent_Done,
     /*  770790 */   // Label 11995: @770790
     /*  770790 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770868), // Rule ID 14501 //
     /*  770795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  770815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770841 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770866 */     GIR_RootConstrainSelectedInstOperands,
     /*  770867 */     // GIR_Coverage, 14501,
     /*  770867 */     GIR_EraseRootFromParent_Done,
     /*  770868 */   // Label 11996: @770868
     /*  770868 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770946), // Rule ID 14502 //
     /*  770873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  770893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770919 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770944 */     GIR_RootConstrainSelectedInstOperands,
     /*  770945 */     // GIR_Coverage, 14502,
     /*  770945 */     GIR_EraseRootFromParent_Done,
     /*  770946 */   // Label 11997: @770946
     /*  770946 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771024), // Rule ID 14505 //
     /*  770951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  770962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  770965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  770968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  770971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770997 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771022 */     GIR_RootConstrainSelectedInstOperands,
     /*  771023 */     // GIR_Coverage, 14505,
     /*  771023 */     GIR_EraseRootFromParent_Done,
     /*  771024 */   // Label 11998: @771024
     /*  771024 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771102), // Rule ID 14506 //
     /*  771029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771075 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771100 */     GIR_RootConstrainSelectedInstOperands,
     /*  771101 */     // GIR_Coverage, 14506,
     /*  771101 */     GIR_EraseRootFromParent_Done,
     /*  771102 */   // Label 11999: @771102
     /*  771102 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771180), // Rule ID 14509 //
     /*  771107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771178 */     GIR_RootConstrainSelectedInstOperands,
     /*  771179 */     // GIR_Coverage, 14509,
     /*  771179 */     GIR_EraseRootFromParent_Done,
     /*  771180 */   // Label 12000: @771180
     /*  771180 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771258), // Rule ID 14510 //
     /*  771185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  771196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  771199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  771202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771256 */     GIR_RootConstrainSelectedInstOperands,
     /*  771257 */     // GIR_Coverage, 14510,
     /*  771257 */     GIR_EraseRootFromParent_Done,
     /*  771258 */   // Label 12001: @771258
     /*  771258 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771336), // Rule ID 14513 //
     /*  771263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771334 */     GIR_RootConstrainSelectedInstOperands,
     /*  771335 */     // GIR_Coverage, 14513,
     /*  771335 */     GIR_EraseRootFromParent_Done,
     /*  771336 */   // Label 12002: @771336
     /*  771336 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771414), // Rule ID 14514 //
     /*  771341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  771352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  771355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  771358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771412 */     GIR_RootConstrainSelectedInstOperands,
     /*  771413 */     // GIR_Coverage, 14514,
     /*  771413 */     GIR_EraseRootFromParent_Done,
     /*  771414 */   // Label 12003: @771414
     /*  771414 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771492), // Rule ID 14517 //
     /*  771419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771465 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771490 */     GIR_RootConstrainSelectedInstOperands,
     /*  771491 */     // GIR_Coverage, 14517,
     /*  771491 */     GIR_EraseRootFromParent_Done,
     /*  771492 */   // Label 12004: @771492
     /*  771492 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771570), // Rule ID 14518 //
     /*  771497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  771508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  771511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  771514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  771517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771568 */     GIR_RootConstrainSelectedInstOperands,
     /*  771569 */     // GIR_Coverage, 14518,
     /*  771569 */     GIR_EraseRootFromParent_Done,
     /*  771570 */   // Label 12005: @771570
     /*  771570 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771648), // Rule ID 14521 //
     /*  771575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  771586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  771589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  771592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  771595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771646 */     GIR_RootConstrainSelectedInstOperands,
     /*  771647 */     // GIR_Coverage, 14521,
     /*  771647 */     GIR_EraseRootFromParent_Done,
     /*  771648 */   // Label 12006: @771648
     /*  771648 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771726), // Rule ID 14522 //
     /*  771653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  771664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  771667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  771670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  771673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  771702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771724 */     GIR_RootConstrainSelectedInstOperands,
     /*  771725 */     // GIR_Coverage, 14522,
     /*  771725 */     GIR_EraseRootFromParent_Done,
     /*  771726 */   // Label 12007: @771726
     /*  771726 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771804), // Rule ID 14525 //
     /*  771731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  771751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771802 */     GIR_RootConstrainSelectedInstOperands,
     /*  771803 */     // GIR_Coverage, 14525,
     /*  771803 */     GIR_EraseRootFromParent_Done,
     /*  771804 */   // Label 12008: @771804
     /*  771804 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(771882), // Rule ID 14526 //
     /*  771809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  771829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771880 */     GIR_RootConstrainSelectedInstOperands,
     /*  771881 */     // GIR_Coverage, 14526,
     /*  771881 */     GIR_EraseRootFromParent_Done,
     /*  771882 */   // Label 12009: @771882
     /*  771882 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(771960), // Rule ID 14529 //
     /*  771887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  771898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  771901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  771904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  771907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771958 */     GIR_RootConstrainSelectedInstOperands,
     /*  771959 */     // GIR_Coverage, 14529,
     /*  771959 */     GIR_EraseRootFromParent_Done,
     /*  771960 */   // Label 12010: @771960
     /*  771960 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772038), // Rule ID 14530 //
     /*  771965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  771976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  771979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  771982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  771985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772036 */     GIR_RootConstrainSelectedInstOperands,
     /*  772037 */     // GIR_Coverage, 14530,
     /*  772037 */     GIR_EraseRootFromParent_Done,
     /*  772038 */   // Label 12011: @772038
     /*  772038 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772116), // Rule ID 14533 //
     /*  772043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772114 */     GIR_RootConstrainSelectedInstOperands,
     /*  772115 */     // GIR_Coverage, 14533,
     /*  772115 */     GIR_EraseRootFromParent_Done,
     /*  772116 */   // Label 12012: @772116
     /*  772116 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772194), // Rule ID 14534 //
     /*  772121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  772170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772192 */     GIR_RootConstrainSelectedInstOperands,
     /*  772193 */     // GIR_Coverage, 14534,
     /*  772193 */     GIR_EraseRootFromParent_Done,
     /*  772194 */   // Label 12013: @772194
     /*  772194 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772272), // Rule ID 14537 //
     /*  772199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772245 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772270 */     GIR_RootConstrainSelectedInstOperands,
     /*  772271 */     // GIR_Coverage, 14537,
     /*  772271 */     GIR_EraseRootFromParent_Done,
     /*  772272 */   // Label 12014: @772272
     /*  772272 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772350), // Rule ID 14538 //
     /*  772277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  772326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772348 */     GIR_RootConstrainSelectedInstOperands,
     /*  772349 */     // GIR_Coverage, 14538,
     /*  772349 */     GIR_EraseRootFromParent_Done,
     /*  772350 */   // Label 12015: @772350
     /*  772350 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772428), // Rule ID 14541 //
     /*  772355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772426 */     GIR_RootConstrainSelectedInstOperands,
     /*  772427 */     // GIR_Coverage, 14541,
     /*  772427 */     GIR_EraseRootFromParent_Done,
     /*  772428 */   // Label 12016: @772428
     /*  772428 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772506), // Rule ID 14542 //
     /*  772433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  772444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  772447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  772450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  772453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  772482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772504 */     GIR_RootConstrainSelectedInstOperands,
     /*  772505 */     // GIR_Coverage, 14542,
     /*  772505 */     GIR_EraseRootFromParent_Done,
     /*  772506 */   // Label 12017: @772506
     /*  772506 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772584), // Rule ID 14545 //
     /*  772511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772557 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772582 */     GIR_RootConstrainSelectedInstOperands,
     /*  772583 */     // GIR_Coverage, 14545,
     /*  772583 */     GIR_EraseRootFromParent_Done,
     /*  772584 */   // Label 12018: @772584
     /*  772584 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772662), // Rule ID 14546 //
     /*  772589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  772600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  772603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  772606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772635 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  772638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772660 */     GIR_RootConstrainSelectedInstOperands,
     /*  772661 */     // GIR_Coverage, 14546,
     /*  772661 */     GIR_EraseRootFromParent_Done,
     /*  772662 */   // Label 12019: @772662
     /*  772662 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772740), // Rule ID 14549 //
     /*  772667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  772678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  772681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  772684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772713 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  772716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772738 */     GIR_RootConstrainSelectedInstOperands,
     /*  772739 */     // GIR_Coverage, 14549,
     /*  772739 */     GIR_EraseRootFromParent_Done,
     /*  772740 */   // Label 12020: @772740
     /*  772740 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772818), // Rule ID 14550 //
     /*  772745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  772756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  772759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  772762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  772794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772816 */     GIR_RootConstrainSelectedInstOperands,
     /*  772817 */     // GIR_Coverage, 14550,
     /*  772817 */     GIR_EraseRootFromParent_Done,
     /*  772818 */   // Label 12021: @772818
     /*  772818 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772896), // Rule ID 14553 //
     /*  772823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  772834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  772837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  772840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772894 */     GIR_RootConstrainSelectedInstOperands,
     /*  772895 */     // GIR_Coverage, 14553,
     /*  772895 */     GIR_EraseRootFromParent_Done,
     /*  772896 */   // Label 12022: @772896
     /*  772896 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(772974), // Rule ID 14554 //
     /*  772901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  772912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  772915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  772918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772972 */     GIR_RootConstrainSelectedInstOperands,
     /*  772973 */     // GIR_Coverage, 14554,
     /*  772973 */     GIR_EraseRootFromParent_Done,
     /*  772974 */   // Label 12023: @772974
     /*  772974 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773052), // Rule ID 14557 //
     /*  772979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  772990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  772993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  772996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773050 */     GIR_RootConstrainSelectedInstOperands,
     /*  773051 */     // GIR_Coverage, 14557,
     /*  773051 */     GIR_EraseRootFromParent_Done,
     /*  773052 */   // Label 12024: @773052
     /*  773052 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773130), // Rule ID 14558 //
     /*  773057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773103 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  773106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773128 */     GIR_RootConstrainSelectedInstOperands,
     /*  773129 */     // GIR_Coverage, 14558,
     /*  773129 */     GIR_EraseRootFromParent_Done,
     /*  773130 */   // Label 12025: @773130
     /*  773130 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773208), // Rule ID 14561 //
     /*  773135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773206 */     GIR_RootConstrainSelectedInstOperands,
     /*  773207 */     // GIR_Coverage, 14561,
     /*  773207 */     GIR_EraseRootFromParent_Done,
     /*  773208 */   // Label 12026: @773208
     /*  773208 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773286), // Rule ID 14562 //
     /*  773213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  773224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  773227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  773230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773284 */     GIR_RootConstrainSelectedInstOperands,
     /*  773285 */     // GIR_Coverage, 14562,
     /*  773285 */     GIR_EraseRootFromParent_Done,
     /*  773286 */   // Label 12027: @773286
     /*  773286 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773364), // Rule ID 14565 //
     /*  773291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773362 */     GIR_RootConstrainSelectedInstOperands,
     /*  773363 */     // GIR_Coverage, 14565,
     /*  773363 */     GIR_EraseRootFromParent_Done,
     /*  773364 */   // Label 12028: @773364
     /*  773364 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773442), // Rule ID 14566 //
     /*  773369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  773418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773440 */     GIR_RootConstrainSelectedInstOperands,
     /*  773441 */     // GIR_Coverage, 14566,
     /*  773441 */     GIR_EraseRootFromParent_Done,
     /*  773442 */   // Label 12029: @773442
     /*  773442 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773520), // Rule ID 14569 //
     /*  773447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773518 */     GIR_RootConstrainSelectedInstOperands,
     /*  773519 */     // GIR_Coverage, 14569,
     /*  773519 */     GIR_EraseRootFromParent_Done,
     /*  773520 */   // Label 12030: @773520
     /*  773520 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773598), // Rule ID 14570 //
     /*  773525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  773536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  773539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  773542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11538:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773596 */     GIR_RootConstrainSelectedInstOperands,
     /*  773597 */     // GIR_Coverage, 14570,
     /*  773597 */     GIR_EraseRootFromParent_Done,
     /*  773598 */   // Label 12031: @773598
     /*  773598 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773676), // Rule ID 14573 //
     /*  773603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  773614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  773617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  773620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773674 */     GIR_RootConstrainSelectedInstOperands,
     /*  773675 */     // GIR_Coverage, 14573,
     /*  773675 */     GIR_EraseRootFromParent_Done,
     /*  773676 */   // Label 12032: @773676
     /*  773676 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773754), // Rule ID 14574 //
     /*  773681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  773692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  773695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  773698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773752 */     GIR_RootConstrainSelectedInstOperands,
     /*  773753 */     // GIR_Coverage, 14574,
     /*  773753 */     GIR_EraseRootFromParent_Done,
     /*  773754 */   // Label 12033: @773754
     /*  773754 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773832), // Rule ID 14577 //
     /*  773759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773830 */     GIR_RootConstrainSelectedInstOperands,
     /*  773831 */     // GIR_Coverage, 14577,
     /*  773831 */     GIR_EraseRootFromParent_Done,
     /*  773832 */   // Label 12034: @773832
     /*  773832 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773910), // Rule ID 14578 //
     /*  773837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773908 */     GIR_RootConstrainSelectedInstOperands,
     /*  773909 */     // GIR_Coverage, 14578,
     /*  773909 */     GIR_EraseRootFromParent_Done,
     /*  773910 */   // Label 12035: @773910
     /*  773910 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(773988), // Rule ID 14581 //
     /*  773915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  773926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  773929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  773932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  773964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773986 */     GIR_RootConstrainSelectedInstOperands,
     /*  773987 */     // GIR_Coverage, 14581,
     /*  773987 */     GIR_EraseRootFromParent_Done,
     /*  773988 */   // Label 12036: @773988
     /*  773988 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774066), // Rule ID 14582 //
     /*  773993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  774042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774064 */     GIR_RootConstrainSelectedInstOperands,
     /*  774065 */     // GIR_Coverage, 14582,
     /*  774065 */     GIR_EraseRootFromParent_Done,
     /*  774066 */   // Label 12037: @774066
     /*  774066 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774144), // Rule ID 14585 //
     /*  774071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774117 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774142 */     GIR_RootConstrainSelectedInstOperands,
     /*  774143 */     // GIR_Coverage, 14585,
     /*  774143 */     GIR_EraseRootFromParent_Done,
     /*  774144 */   // Label 12038: @774144
     /*  774144 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774222), // Rule ID 14586 //
     /*  774149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  774160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  774163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  774166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774220 */     GIR_RootConstrainSelectedInstOperands,
     /*  774221 */     // GIR_Coverage, 14586,
     /*  774221 */     GIR_EraseRootFromParent_Done,
     /*  774222 */   // Label 12039: @774222
     /*  774222 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774300), // Rule ID 14589 //
     /*  774227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774298 */     GIR_RootConstrainSelectedInstOperands,
     /*  774299 */     // GIR_Coverage, 14589,
     /*  774299 */     GIR_EraseRootFromParent_Done,
     /*  774300 */   // Label 12040: @774300
     /*  774300 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774378), // Rule ID 14590 //
     /*  774305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  774316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  774319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  774322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774351 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774376 */     GIR_RootConstrainSelectedInstOperands,
     /*  774377 */     // GIR_Coverage, 14590,
     /*  774377 */     GIR_EraseRootFromParent_Done,
     /*  774378 */   // Label 12041: @774378
     /*  774378 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774456), // Rule ID 14593 //
     /*  774383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774429 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774454 */     GIR_RootConstrainSelectedInstOperands,
     /*  774455 */     // GIR_Coverage, 14593,
     /*  774455 */     GIR_EraseRootFromParent_Done,
     /*  774456 */   // Label 12042: @774456
     /*  774456 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774534), // Rule ID 14594 //
     /*  774461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  774472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  774475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  774478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774507 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774532 */     GIR_RootConstrainSelectedInstOperands,
     /*  774533 */     // GIR_Coverage, 14594,
     /*  774533 */     GIR_EraseRootFromParent_Done,
     /*  774534 */   // Label 12043: @774534
     /*  774534 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774612), // Rule ID 14597 //
     /*  774539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774610 */     GIR_RootConstrainSelectedInstOperands,
     /*  774611 */     // GIR_Coverage, 14597,
     /*  774611 */     GIR_EraseRootFromParent_Done,
     /*  774612 */   // Label 12044: @774612
     /*  774612 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774690), // Rule ID 14598 //
     /*  774617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  774628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  774631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  774634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774688 */     GIR_RootConstrainSelectedInstOperands,
     /*  774689 */     // GIR_Coverage, 14598,
     /*  774689 */     GIR_EraseRootFromParent_Done,
     /*  774690 */   // Label 12045: @774690
     /*  774690 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774768), // Rule ID 14601 //
     /*  774695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  774706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  774709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  774712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774766 */     GIR_RootConstrainSelectedInstOperands,
     /*  774767 */     // GIR_Coverage, 14601,
     /*  774767 */     GIR_EraseRootFromParent_Done,
     /*  774768 */   // Label 12046: @774768
     /*  774768 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774846), // Rule ID 14602 //
     /*  774773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  774784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  774787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  774790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774844 */     GIR_RootConstrainSelectedInstOperands,
     /*  774845 */     // GIR_Coverage, 14602,
     /*  774845 */     GIR_EraseRootFromParent_Done,
     /*  774846 */   // Label 12047: @774846
     /*  774846 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774924), // Rule ID 14605 //
     /*  774851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  774862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  774865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  774868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774922 */     GIR_RootConstrainSelectedInstOperands,
     /*  774923 */     // GIR_Coverage, 14605,
     /*  774923 */     GIR_EraseRootFromParent_Done,
     /*  774924 */   // Label 12048: @774924
     /*  774924 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775002), // Rule ID 14606 //
     /*  774929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  774940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  774943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  774946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775000 */     GIR_RootConstrainSelectedInstOperands,
     /*  775001 */     // GIR_Coverage, 14606,
     /*  775001 */     GIR_EraseRootFromParent_Done,
     /*  775002 */   // Label 12049: @775002
     /*  775002 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775080), // Rule ID 14609 //
     /*  775007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775053 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775078 */     GIR_RootConstrainSelectedInstOperands,
     /*  775079 */     // GIR_Coverage, 14609,
     /*  775079 */     GIR_EraseRootFromParent_Done,
     /*  775080 */   // Label 12050: @775080
     /*  775080 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775158), // Rule ID 14610 //
     /*  775085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775156 */     GIR_RootConstrainSelectedInstOperands,
     /*  775157 */     // GIR_Coverage, 14610,
     /*  775157 */     GIR_EraseRootFromParent_Done,
     /*  775158 */   // Label 12051: @775158
     /*  775158 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775236), // Rule ID 14613 //
     /*  775163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775234 */     GIR_RootConstrainSelectedInstOperands,
     /*  775235 */     // GIR_Coverage, 14613,
     /*  775235 */     GIR_EraseRootFromParent_Done,
     /*  775236 */   // Label 12052: @775236
     /*  775236 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775314), // Rule ID 14614 //
     /*  775241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  775252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  775255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  775258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775312 */     GIR_RootConstrainSelectedInstOperands,
     /*  775313 */     // GIR_Coverage, 14614,
     /*  775313 */     GIR_EraseRootFromParent_Done,
     /*  775314 */   // Label 12053: @775314
     /*  775314 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775392), // Rule ID 14617 //
     /*  775319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775390 */     GIR_RootConstrainSelectedInstOperands,
     /*  775391 */     // GIR_Coverage, 14617,
     /*  775391 */     GIR_EraseRootFromParent_Done,
     /*  775392 */   // Label 12054: @775392
     /*  775392 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775470), // Rule ID 14618 //
     /*  775397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  775408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  775411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  775414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775468 */     GIR_RootConstrainSelectedInstOperands,
     /*  775469 */     // GIR_Coverage, 14618,
     /*  775469 */     GIR_EraseRootFromParent_Done,
     /*  775470 */   // Label 12055: @775470
     /*  775470 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775548), // Rule ID 14621 //
     /*  775475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775546 */     GIR_RootConstrainSelectedInstOperands,
     /*  775547 */     // GIR_Coverage, 14621,
     /*  775547 */     GIR_EraseRootFromParent_Done,
     /*  775548 */   // Label 12056: @775548
     /*  775548 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775626), // Rule ID 14622 //
     /*  775553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  775564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  775567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  775570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775599 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  775602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775624 */     GIR_RootConstrainSelectedInstOperands,
     /*  775625 */     // GIR_Coverage, 14622,
     /*  775625 */     GIR_EraseRootFromParent_Done,
     /*  775626 */   // Label 12057: @775626
     /*  775626 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775704), // Rule ID 14625 //
     /*  775631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  775642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  775645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  775648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775702 */     GIR_RootConstrainSelectedInstOperands,
     /*  775703 */     // GIR_Coverage, 14625,
     /*  775703 */     GIR_EraseRootFromParent_Done,
     /*  775704 */   // Label 12058: @775704
     /*  775704 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775782), // Rule ID 14626 //
     /*  775709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  775720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  775723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  775726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  775758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775780 */     GIR_RootConstrainSelectedInstOperands,
     /*  775781 */     // GIR_Coverage, 14626,
     /*  775781 */     GIR_EraseRootFromParent_Done,
     /*  775782 */   // Label 12059: @775782
     /*  775782 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775860), // Rule ID 14629 //
     /*  775787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  775798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  775801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  775804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775858 */     GIR_RootConstrainSelectedInstOperands,
     /*  775859 */     // GIR_Coverage, 14629,
     /*  775859 */     GIR_EraseRootFromParent_Done,
     /*  775860 */   // Label 12060: @775860
     /*  775860 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775938), // Rule ID 14630 //
     /*  775865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  775876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  775879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  775882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775911 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  775914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775936 */     GIR_RootConstrainSelectedInstOperands,
     /*  775937 */     // GIR_Coverage, 14630,
     /*  775937 */     GIR_EraseRootFromParent_Done,
     /*  775938 */   // Label 12061: @775938
     /*  775938 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776016), // Rule ID 14633 //
     /*  775943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  775954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  775957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  775960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  775963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  775992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776014 */     GIR_RootConstrainSelectedInstOperands,
     /*  776015 */     // GIR_Coverage, 14633,
     /*  776015 */     GIR_EraseRootFromParent_Done,
     /*  776016 */   // Label 12062: @776016
     /*  776016 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776094), // Rule ID 14634 //
     /*  776021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  776032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  776035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  776038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  776041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  776070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776092 */     GIR_RootConstrainSelectedInstOperands,
     /*  776093 */     // GIR_Coverage, 14634,
     /*  776093 */     GIR_EraseRootFromParent_Done,
     /*  776094 */   // Label 12063: @776094
     /*  776094 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776172), // Rule ID 14637 //
     /*  776099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776170 */     GIR_RootConstrainSelectedInstOperands,
     /*  776171 */     // GIR_Coverage, 14637,
     /*  776171 */     GIR_EraseRootFromParent_Done,
     /*  776172 */   // Label 12064: @776172
     /*  776172 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776250), // Rule ID 14638 //
     /*  776177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  776188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  776191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  776194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  776197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776223 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776248 */     GIR_RootConstrainSelectedInstOperands,
     /*  776249 */     // GIR_Coverage, 14638,
     /*  776249 */     GIR_EraseRootFromParent_Done,
     /*  776250 */   // Label 12065: @776250
     /*  776250 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776328), // Rule ID 14641 //
     /*  776255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776301 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776326 */     GIR_RootConstrainSelectedInstOperands,
     /*  776327 */     // GIR_Coverage, 14641,
     /*  776327 */     GIR_EraseRootFromParent_Done,
     /*  776328 */   // Label 12066: @776328
     /*  776328 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776406), // Rule ID 14642 //
     /*  776333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  776344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  776347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  776350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  776353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776404 */     GIR_RootConstrainSelectedInstOperands,
     /*  776405 */     // GIR_Coverage, 14642,
     /*  776405 */     GIR_EraseRootFromParent_Done,
     /*  776406 */   // Label 12067: @776406
     /*  776406 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776484), // Rule ID 14645 //
     /*  776411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776482 */     GIR_RootConstrainSelectedInstOperands,
     /*  776483 */     // GIR_Coverage, 14645,
     /*  776483 */     GIR_EraseRootFromParent_Done,
     /*  776484 */   // Label 12068: @776484
     /*  776484 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776562), // Rule ID 14646 //
     /*  776489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  776538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776560 */     GIR_RootConstrainSelectedInstOperands,
     /*  776561 */     // GIR_Coverage, 14646,
     /*  776561 */     GIR_EraseRootFromParent_Done,
     /*  776562 */   // Label 12069: @776562
     /*  776562 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776640), // Rule ID 14649 //
     /*  776567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776613 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776638 */     GIR_RootConstrainSelectedInstOperands,
     /*  776639 */     // GIR_Coverage, 14649,
     /*  776639 */     GIR_EraseRootFromParent_Done,
     /*  776640 */   // Label 12070: @776640
     /*  776640 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776718), // Rule ID 14650 //
     /*  776645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776716 */     GIR_RootConstrainSelectedInstOperands,
     /*  776717 */     // GIR_Coverage, 14650,
     /*  776717 */     GIR_EraseRootFromParent_Done,
     /*  776718 */   // Label 12071: @776718
     /*  776718 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776796), // Rule ID 14653 //
     /*  776723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  776743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776794 */     GIR_RootConstrainSelectedInstOperands,
     /*  776795 */     // GIR_Coverage, 14653,
     /*  776795 */     GIR_EraseRootFromParent_Done,
     /*  776796 */   // Label 12072: @776796
     /*  776796 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776874), // Rule ID 14654 //
     /*  776801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  776821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  776850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776872 */     GIR_RootConstrainSelectedInstOperands,
     /*  776873 */     // GIR_Coverage, 14654,
     /*  776873 */     GIR_EraseRootFromParent_Done,
     /*  776874 */   // Label 12073: @776874
     /*  776874 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(776952), // Rule ID 14657 //
     /*  776879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  776890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  776893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  776896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  776899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776950 */     GIR_RootConstrainSelectedInstOperands,
     /*  776951 */     // GIR_Coverage, 14657,
     /*  776951 */     GIR_EraseRootFromParent_Done,
     /*  776952 */   // Label 12074: @776952
     /*  776952 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777030), // Rule ID 14658 //
     /*  776957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  776968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  776971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  776974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  776977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777028 */     GIR_RootConstrainSelectedInstOperands,
     /*  777029 */     // GIR_Coverage, 14658,
     /*  777029 */     GIR_EraseRootFromParent_Done,
     /*  777030 */   // Label 12075: @777030
     /*  777030 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777108), // Rule ID 14661 //
     /*  777035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777106 */     GIR_RootConstrainSelectedInstOperands,
     /*  777107 */     // GIR_Coverage, 14661,
     /*  777107 */     GIR_EraseRootFromParent_Done,
     /*  777108 */   // Label 12076: @777108
     /*  777108 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777186), // Rule ID 14662 //
     /*  777113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777184 */     GIR_RootConstrainSelectedInstOperands,
     /*  777185 */     // GIR_Coverage, 14662,
     /*  777185 */     GIR_EraseRootFromParent_Done,
     /*  777186 */   // Label 12077: @777186
     /*  777186 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777264), // Rule ID 14665 //
     /*  777191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777262 */     GIR_RootConstrainSelectedInstOperands,
     /*  777263 */     // GIR_Coverage, 14665,
     /*  777263 */     GIR_EraseRootFromParent_Done,
     /*  777264 */   // Label 12078: @777264
     /*  777264 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777342), // Rule ID 14666 //
     /*  777269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777340 */     GIR_RootConstrainSelectedInstOperands,
     /*  777341 */     // GIR_Coverage, 14666,
     /*  777341 */     GIR_EraseRootFromParent_Done,
     /*  777342 */   // Label 12079: @777342
     /*  777342 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777420), // Rule ID 14669 //
     /*  777347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777418 */     GIR_RootConstrainSelectedInstOperands,
     /*  777419 */     // GIR_Coverage, 14669,
     /*  777419 */     GIR_EraseRootFromParent_Done,
     /*  777420 */   // Label 12080: @777420
     /*  777420 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777498), // Rule ID 14670 //
     /*  777425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  777474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777496 */     GIR_RootConstrainSelectedInstOperands,
     /*  777497 */     // GIR_Coverage, 14670,
     /*  777497 */     GIR_EraseRootFromParent_Done,
     /*  777498 */   // Label 12081: @777498
     /*  777498 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777576), // Rule ID 14673 //
     /*  777503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777574 */     GIR_RootConstrainSelectedInstOperands,
     /*  777575 */     // GIR_Coverage, 14673,
     /*  777575 */     GIR_EraseRootFromParent_Done,
     /*  777576 */   // Label 12082: @777576
     /*  777576 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777654), // Rule ID 14674 //
     /*  777581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  777592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  777595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  777598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  777601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777627 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777652 */     GIR_RootConstrainSelectedInstOperands,
     /*  777653 */     // GIR_Coverage, 14674,
     /*  777653 */     GIR_EraseRootFromParent_Done,
     /*  777654 */   // Label 12083: @777654
     /*  777654 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777732), // Rule ID 14677 //
     /*  777659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  777670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  777673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  777676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  777679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777705 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777730 */     GIR_RootConstrainSelectedInstOperands,
     /*  777731 */     // GIR_Coverage, 14677,
     /*  777731 */     GIR_EraseRootFromParent_Done,
     /*  777732 */   // Label 12084: @777732
     /*  777732 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777810), // Rule ID 14678 //
     /*  777737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  777748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  777751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  777754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  777757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777808 */     GIR_RootConstrainSelectedInstOperands,
     /*  777809 */     // GIR_Coverage, 14678,
     /*  777809 */     GIR_EraseRootFromParent_Done,
     /*  777810 */   // Label 12085: @777810
     /*  777810 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777888), // Rule ID 14681 //
     /*  777815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  777826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  777829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  777832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  777835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777886 */     GIR_RootConstrainSelectedInstOperands,
     /*  777887 */     // GIR_Coverage, 14681,
     /*  777887 */     GIR_EraseRootFromParent_Done,
     /*  777888 */   // Label 12086: @777888
     /*  777888 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(777966), // Rule ID 14682 //
     /*  777893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  777904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  777907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  777910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  777913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777939 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777964 */     GIR_RootConstrainSelectedInstOperands,
     /*  777965 */     // GIR_Coverage, 14682,
     /*  777965 */     GIR_EraseRootFromParent_Done,
     /*  777966 */   // Label 12087: @777966
     /*  777966 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778044), // Rule ID 14685 //
     /*  777971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  777982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  777985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  777988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778042 */     GIR_RootConstrainSelectedInstOperands,
     /*  778043 */     // GIR_Coverage, 14685,
     /*  778043 */     GIR_EraseRootFromParent_Done,
     /*  778044 */   // Label 12088: @778044
     /*  778044 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778122), // Rule ID 14686 //
     /*  778049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  778060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  778063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  778066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778095 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778120 */     GIR_RootConstrainSelectedInstOperands,
     /*  778121 */     // GIR_Coverage, 14686,
     /*  778121 */     GIR_EraseRootFromParent_Done,
     /*  778122 */   // Label 12089: @778122
     /*  778122 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778200), // Rule ID 14689 //
     /*  778127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778198 */     GIR_RootConstrainSelectedInstOperands,
     /*  778199 */     // GIR_Coverage, 14689,
     /*  778199 */     GIR_EraseRootFromParent_Done,
     /*  778200 */   // Label 12090: @778200
     /*  778200 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778278), // Rule ID 14690 //
     /*  778205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778276 */     GIR_RootConstrainSelectedInstOperands,
     /*  778277 */     // GIR_Coverage, 14690,
     /*  778277 */     GIR_EraseRootFromParent_Done,
     /*  778278 */   // Label 12091: @778278
     /*  778278 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778356), // Rule ID 14693 //
     /*  778283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778354 */     GIR_RootConstrainSelectedInstOperands,
     /*  778355 */     // GIR_Coverage, 14693,
     /*  778355 */     GIR_EraseRootFromParent_Done,
     /*  778356 */   // Label 12092: @778356
     /*  778356 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778434), // Rule ID 14694 //
     /*  778361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778432 */     GIR_RootConstrainSelectedInstOperands,
     /*  778433 */     // GIR_Coverage, 14694,
     /*  778433 */     GIR_EraseRootFromParent_Done,
     /*  778434 */   // Label 12093: @778434
     /*  778434 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778512), // Rule ID 14697 //
     /*  778439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778510 */     GIR_RootConstrainSelectedInstOperands,
     /*  778511 */     // GIR_Coverage, 14697,
     /*  778511 */     GIR_EraseRootFromParent_Done,
     /*  778512 */   // Label 12094: @778512
     /*  778512 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778590), // Rule ID 14698 //
     /*  778517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778588 */     GIR_RootConstrainSelectedInstOperands,
     /*  778589 */     // GIR_Coverage, 14698,
     /*  778589 */     GIR_EraseRootFromParent_Done,
     /*  778590 */   // Label 12095: @778590
     /*  778590 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778668), // Rule ID 14701 //
     /*  778595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778666 */     GIR_RootConstrainSelectedInstOperands,
     /*  778667 */     // GIR_Coverage, 14701,
     /*  778667 */     GIR_EraseRootFromParent_Done,
     /*  778668 */   // Label 12096: @778668
     /*  778668 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778746), // Rule ID 14702 //
     /*  778673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778719 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778744 */     GIR_RootConstrainSelectedInstOperands,
     /*  778745 */     // GIR_Coverage, 14702,
     /*  778745 */     GIR_EraseRootFromParent_Done,
     /*  778746 */   // Label 12097: @778746
     /*  778746 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778824), // Rule ID 14705 //
     /*  778751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778822 */     GIR_RootConstrainSelectedInstOperands,
     /*  778823 */     // GIR_Coverage, 14705,
     /*  778823 */     GIR_EraseRootFromParent_Done,
     /*  778824 */   // Label 12098: @778824
     /*  778824 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778902), // Rule ID 14706 //
     /*  778829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778900 */     GIR_RootConstrainSelectedInstOperands,
     /*  778901 */     // GIR_Coverage, 14706,
     /*  778901 */     GIR_EraseRootFromParent_Done,
     /*  778902 */   // Label 12099: @778902
     /*  778902 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(778980), // Rule ID 14709 //
     /*  778907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  778956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778978 */     GIR_RootConstrainSelectedInstOperands,
     /*  778979 */     // GIR_Coverage, 14709,
     /*  778979 */     GIR_EraseRootFromParent_Done,
     /*  778980 */   // Label 12100: @778980
     /*  778980 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779058), // Rule ID 14710 //
     /*  778985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  778988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  779002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  779005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  779034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779056 */     GIR_RootConstrainSelectedInstOperands,
     /*  779057 */     // GIR_Coverage, 14710,
     /*  779057 */     GIR_EraseRootFromParent_Done,
     /*  779058 */   // Label 12101: @779058
     /*  779058 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779136), // Rule ID 14713 //
     /*  779063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779134 */     GIR_RootConstrainSelectedInstOperands,
     /*  779135 */     // GIR_Coverage, 14713,
     /*  779135 */     GIR_EraseRootFromParent_Done,
     /*  779136 */   // Label 12102: @779136
     /*  779136 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779214), // Rule ID 14714 //
     /*  779141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  779190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779212 */     GIR_RootConstrainSelectedInstOperands,
     /*  779213 */     // GIR_Coverage, 14714,
     /*  779213 */     GIR_EraseRootFromParent_Done,
     /*  779214 */   // Label 12103: @779214
     /*  779214 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779292), // Rule ID 14717 //
     /*  779219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779265 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779290 */     GIR_RootConstrainSelectedInstOperands,
     /*  779291 */     // GIR_Coverage, 14717,
     /*  779291 */     GIR_EraseRootFromParent_Done,
     /*  779292 */   // Label 12104: @779292
     /*  779292 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779370), // Rule ID 14718 //
     /*  779297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  779346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779368 */     GIR_RootConstrainSelectedInstOperands,
     /*  779369 */     // GIR_Coverage, 14718,
     /*  779369 */     GIR_EraseRootFromParent_Done,
     /*  779370 */   // Label 12105: @779370
     /*  779370 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779448), // Rule ID 14721 //
     /*  779375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779421 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779446 */     GIR_RootConstrainSelectedInstOperands,
     /*  779447 */     // GIR_Coverage, 14721,
     /*  779447 */     GIR_EraseRootFromParent_Done,
     /*  779448 */   // Label 12106: @779448
     /*  779448 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779526), // Rule ID 14722 //
     /*  779453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  779464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  779467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  779470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  779502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779524 */     GIR_RootConstrainSelectedInstOperands,
     /*  779525 */     // GIR_Coverage, 14722,
     /*  779525 */     GIR_EraseRootFromParent_Done,
     /*  779526 */   // Label 12107: @779526
     /*  779526 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779604), // Rule ID 14725 //
     /*  779531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779577 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779602 */     GIR_RootConstrainSelectedInstOperands,
     /*  779603 */     // GIR_Coverage, 14725,
     /*  779603 */     GIR_EraseRootFromParent_Done,
     /*  779604 */   // Label 12108: @779604
     /*  779604 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779682), // Rule ID 14726 //
     /*  779609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  779620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  779623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  779626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779655 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779680 */     GIR_RootConstrainSelectedInstOperands,
     /*  779681 */     // GIR_Coverage, 14726,
     /*  779681 */     GIR_EraseRootFromParent_Done,
     /*  779682 */   // Label 12109: @779682
     /*  779682 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779760), // Rule ID 14729 //
     /*  779687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  779698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  779701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  779704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779733 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779758 */     GIR_RootConstrainSelectedInstOperands,
     /*  779759 */     // GIR_Coverage, 14729,
     /*  779759 */     GIR_EraseRootFromParent_Done,
     /*  779760 */   // Label 12110: @779760
     /*  779760 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779838), // Rule ID 14730 //
     /*  779765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  779776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  779779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  779782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779836 */     GIR_RootConstrainSelectedInstOperands,
     /*  779837 */     // GIR_Coverage, 14730,
     /*  779837 */     GIR_EraseRootFromParent_Done,
     /*  779838 */   // Label 12111: @779838
     /*  779838 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779916), // Rule ID 14733 //
     /*  779843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779914 */     GIR_RootConstrainSelectedInstOperands,
     /*  779915 */     // GIR_Coverage, 14733,
     /*  779915 */     GIR_EraseRootFromParent_Done,
     /*  779916 */   // Label 12112: @779916
     /*  779916 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(779994), // Rule ID 14734 //
     /*  779921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  779970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779992 */     GIR_RootConstrainSelectedInstOperands,
     /*  779993 */     // GIR_Coverage, 14734,
     /*  779993 */     GIR_EraseRootFromParent_Done,
     /*  779994 */   // Label 12113: @779994
     /*  779994 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780072), // Rule ID 14737 //
     /*  779999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780070 */     GIR_RootConstrainSelectedInstOperands,
     /*  780071 */     // GIR_Coverage, 14737,
     /*  780071 */     GIR_EraseRootFromParent_Done,
     /*  780072 */   // Label 12114: @780072
     /*  780072 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780150), // Rule ID 14738 //
     /*  780077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780148 */     GIR_RootConstrainSelectedInstOperands,
     /*  780149 */     // GIR_Coverage, 14738,
     /*  780149 */     GIR_EraseRootFromParent_Done,
     /*  780150 */   // Label 12115: @780150
     /*  780150 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780228), // Rule ID 14741 //
     /*  780155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780226 */     GIR_RootConstrainSelectedInstOperands,
     /*  780227 */     // GIR_Coverage, 14741,
     /*  780227 */     GIR_EraseRootFromParent_Done,
     /*  780228 */   // Label 12116: @780228
     /*  780228 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780306), // Rule ID 14742 //
     /*  780233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  780244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  780247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  780250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  780282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780304 */     GIR_RootConstrainSelectedInstOperands,
     /*  780305 */     // GIR_Coverage, 14742,
     /*  780305 */     GIR_EraseRootFromParent_Done,
     /*  780306 */   // Label 12117: @780306
     /*  780306 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780384), // Rule ID 14745 //
     /*  780311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780382 */     GIR_RootConstrainSelectedInstOperands,
     /*  780383 */     // GIR_Coverage, 14745,
     /*  780383 */     GIR_EraseRootFromParent_Done,
     /*  780384 */   // Label 12118: @780384
     /*  780384 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780462), // Rule ID 14746 //
     /*  780389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  780400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  780403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  780406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780460 */     GIR_RootConstrainSelectedInstOperands,
     /*  780461 */     // GIR_Coverage, 14746,
     /*  780461 */     GIR_EraseRootFromParent_Done,
     /*  780462 */   // Label 12119: @780462
     /*  780462 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780540), // Rule ID 14749 //
     /*  780467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780538 */     GIR_RootConstrainSelectedInstOperands,
     /*  780539 */     // GIR_Coverage, 14749,
     /*  780539 */     GIR_EraseRootFromParent_Done,
     /*  780540 */   // Label 12120: @780540
     /*  780540 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780618), // Rule ID 14750 //
     /*  780545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780616 */     GIR_RootConstrainSelectedInstOperands,
     /*  780617 */     // GIR_Coverage, 14750,
     /*  780617 */     GIR_EraseRootFromParent_Done,
     /*  780618 */   // Label 12121: @780618
     /*  780618 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780696), // Rule ID 14753 //
     /*  780623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  780634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  780637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  780640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780694 */     GIR_RootConstrainSelectedInstOperands,
     /*  780695 */     // GIR_Coverage, 14753,
     /*  780695 */     GIR_EraseRootFromParent_Done,
     /*  780696 */   // Label 12122: @780696
     /*  780696 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780774), // Rule ID 14754 //
     /*  780701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  780712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  780715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  780718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780772 */     GIR_RootConstrainSelectedInstOperands,
     /*  780773 */     // GIR_Coverage, 14754,
     /*  780773 */     GIR_EraseRootFromParent_Done,
     /*  780774 */   // Label 12123: @780774
     /*  780774 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780852), // Rule ID 14757 //
     /*  780779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  780790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  780793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  780796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780850 */     GIR_RootConstrainSelectedInstOperands,
     /*  780851 */     // GIR_Coverage, 14757,
     /*  780851 */     GIR_EraseRootFromParent_Done,
     /*  780852 */   // Label 12124: @780852
     /*  780852 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780930), // Rule ID 14758 //
     /*  780857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  780868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  780871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  780874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  780906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780928 */     GIR_RootConstrainSelectedInstOperands,
     /*  780929 */     // GIR_Coverage, 14758,
     /*  780929 */     GIR_EraseRootFromParent_Done,
     /*  780930 */   // Label 12125: @780930
     /*  780930 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781008), // Rule ID 14761 //
     /*  780935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  780946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  780949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  780952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  780984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781006 */     GIR_RootConstrainSelectedInstOperands,
     /*  781007 */     // GIR_Coverage, 14761,
     /*  781007 */     GIR_EraseRootFromParent_Done,
     /*  781008 */   // Label 12126: @781008
     /*  781008 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781086), // Rule ID 14762 //
     /*  781013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  781024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  781027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  781030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781084 */     GIR_RootConstrainSelectedInstOperands,
     /*  781085 */     // GIR_Coverage, 14762,
     /*  781085 */     GIR_EraseRootFromParent_Done,
     /*  781086 */   // Label 12127: @781086
     /*  781086 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781164), // Rule ID 14765 //
     /*  781091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781137 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781162 */     GIR_RootConstrainSelectedInstOperands,
     /*  781163 */     // GIR_Coverage, 14765,
     /*  781163 */     GIR_EraseRootFromParent_Done,
     /*  781164 */   // Label 12128: @781164
     /*  781164 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781242), // Rule ID 14766 //
     /*  781169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  781180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  781183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  781186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781215 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781240 */     GIR_RootConstrainSelectedInstOperands,
     /*  781241 */     // GIR_Coverage, 14766,
     /*  781241 */     GIR_EraseRootFromParent_Done,
     /*  781242 */   // Label 12129: @781242
     /*  781242 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781320), // Rule ID 14769 //
     /*  781247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781318 */     GIR_RootConstrainSelectedInstOperands,
     /*  781319 */     // GIR_Coverage, 14769,
     /*  781319 */     GIR_EraseRootFromParent_Done,
     /*  781320 */   // Label 12130: @781320
     /*  781320 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781398), // Rule ID 14770 //
     /*  781325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  781336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  781339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  781342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781396 */     GIR_RootConstrainSelectedInstOperands,
     /*  781397 */     // GIR_Coverage, 14770,
     /*  781397 */     GIR_EraseRootFromParent_Done,
     /*  781398 */   // Label 12131: @781398
     /*  781398 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781476), // Rule ID 14773 //
     /*  781403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781474 */     GIR_RootConstrainSelectedInstOperands,
     /*  781475 */     // GIR_Coverage, 14773,
     /*  781475 */     GIR_EraseRootFromParent_Done,
     /*  781476 */   // Label 12132: @781476
     /*  781476 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781554), // Rule ID 14774 //
     /*  781481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781552 */     GIR_RootConstrainSelectedInstOperands,
     /*  781553 */     // GIR_Coverage, 14774,
     /*  781553 */     GIR_EraseRootFromParent_Done,
     /*  781554 */   // Label 12133: @781554
     /*  781554 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781632), // Rule ID 14777 //
     /*  781559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781605 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781630 */     GIR_RootConstrainSelectedInstOperands,
     /*  781631 */     // GIR_Coverage, 14777,
     /*  781631 */     GIR_EraseRootFromParent_Done,
     /*  781632 */   // Label 12134: @781632
     /*  781632 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781710), // Rule ID 14778 //
     /*  781637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781708 */     GIR_RootConstrainSelectedInstOperands,
     /*  781709 */     // GIR_Coverage, 14778,
     /*  781709 */     GIR_EraseRootFromParent_Done,
     /*  781710 */   // Label 12135: @781710
     /*  781710 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781788), // Rule ID 14781 //
     /*  781715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781786 */     GIR_RootConstrainSelectedInstOperands,
     /*  781787 */     // GIR_Coverage, 14781,
     /*  781787 */     GIR_EraseRootFromParent_Done,
     /*  781788 */   // Label 12136: @781788
     /*  781788 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781866), // Rule ID 14782 //
     /*  781793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781864 */     GIR_RootConstrainSelectedInstOperands,
     /*  781865 */     // GIR_Coverage, 14782,
     /*  781865 */     GIR_EraseRootFromParent_Done,
     /*  781866 */   // Label 12137: @781866
     /*  781866 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781944), // Rule ID 14785 //
     /*  781871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  781882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  781885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  781888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781942 */     GIR_RootConstrainSelectedInstOperands,
     /*  781943 */     // GIR_Coverage, 14785,
     /*  781943 */     GIR_EraseRootFromParent_Done,
     /*  781944 */   // Label 12138: @781944
     /*  781944 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782022), // Rule ID 14786 //
     /*  781949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  781960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  781963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  781966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781995 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782020 */     GIR_RootConstrainSelectedInstOperands,
     /*  782021 */     // GIR_Coverage, 14786,
     /*  782021 */     GIR_EraseRootFromParent_Done,
     /*  782022 */   // Label 12139: @782022
     /*  782022 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782100), // Rule ID 14789 //
     /*  782027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782098 */     GIR_RootConstrainSelectedInstOperands,
     /*  782099 */     // GIR_Coverage, 14789,
     /*  782099 */     GIR_EraseRootFromParent_Done,
     /*  782100 */   // Label 12140: @782100
     /*  782100 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782178), // Rule ID 14790 //
     /*  782105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782176 */     GIR_RootConstrainSelectedInstOperands,
     /*  782177 */     // GIR_Coverage, 14790,
     /*  782177 */     GIR_EraseRootFromParent_Done,
     /*  782178 */   // Label 12141: @782178
     /*  782178 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782256), // Rule ID 14793 //
     /*  782183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782254 */     GIR_RootConstrainSelectedInstOperands,
     /*  782255 */     // GIR_Coverage, 14793,
     /*  782255 */     GIR_EraseRootFromParent_Done,
     /*  782256 */   // Label 12142: @782256
     /*  782256 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782334), // Rule ID 14794 //
     /*  782261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782332 */     GIR_RootConstrainSelectedInstOperands,
     /*  782333 */     // GIR_Coverage, 14794,
     /*  782333 */     GIR_EraseRootFromParent_Done,
     /*  782334 */   // Label 12143: @782334
     /*  782334 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782412), // Rule ID 14797 //
     /*  782339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782410 */     GIR_RootConstrainSelectedInstOperands,
     /*  782411 */     // GIR_Coverage, 14797,
     /*  782411 */     GIR_EraseRootFromParent_Done,
     /*  782412 */   // Label 12144: @782412
     /*  782412 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782490), // Rule ID 14798 //
     /*  782417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782463 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  782466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782488 */     GIR_RootConstrainSelectedInstOperands,
     /*  782489 */     // GIR_Coverage, 14798,
     /*  782489 */     GIR_EraseRootFromParent_Done,
     /*  782490 */   // Label 12145: @782490
     /*  782490 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782568), // Rule ID 14801 //
     /*  782495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782541 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782566 */     GIR_RootConstrainSelectedInstOperands,
     /*  782567 */     // GIR_Coverage, 14801,
     /*  782567 */     GIR_EraseRootFromParent_Done,
     /*  782568 */   // Label 12146: @782568
     /*  782568 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782646), // Rule ID 14802 //
     /*  782573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  782622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782644 */     GIR_RootConstrainSelectedInstOperands,
     /*  782645 */     // GIR_Coverage, 14802,
     /*  782645 */     GIR_EraseRootFromParent_Done,
     /*  782646 */   // Label 12147: @782646
     /*  782646 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782724), // Rule ID 14805 //
     /*  782651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782722 */     GIR_RootConstrainSelectedInstOperands,
     /*  782723 */     // GIR_Coverage, 14805,
     /*  782723 */     GIR_EraseRootFromParent_Done,
     /*  782724 */   // Label 12148: @782724
     /*  782724 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782802), // Rule ID 14806 //
     /*  782729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  782778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782800 */     GIR_RootConstrainSelectedInstOperands,
     /*  782801 */     // GIR_Coverage, 14806,
     /*  782801 */     GIR_EraseRootFromParent_Done,
     /*  782802 */   // Label 12149: @782802
     /*  782802 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782877), // Rule ID 19047 //
     /*  782807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  782856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782875 */     GIR_RootConstrainSelectedInstOperands,
     /*  782876 */     // GIR_Coverage, 19047,
     /*  782876 */     GIR_EraseRootFromParent_Done,
     /*  782877 */   // Label 12150: @782877
     /*  782877 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(782952), // Rule ID 19048 //
     /*  782882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  782931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782950 */     GIR_RootConstrainSelectedInstOperands,
     /*  782951 */     // GIR_Coverage, 19048,
     /*  782951 */     GIR_EraseRootFromParent_Done,
     /*  782952 */   // Label 12151: @782952
     /*  782952 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783027), // Rule ID 19051 //
     /*  782957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  782968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  782971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  782974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  782977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783025 */     GIR_RootConstrainSelectedInstOperands,
     /*  783026 */     // GIR_Coverage, 19051,
     /*  783026 */     GIR_EraseRootFromParent_Done,
     /*  783027 */   // Label 12152: @783027
     /*  783027 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783102), // Rule ID 19052 //
     /*  783032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  783081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783100 */     GIR_RootConstrainSelectedInstOperands,
     /*  783101 */     // GIR_Coverage, 19052,
     /*  783101 */     GIR_EraseRootFromParent_Done,
     /*  783102 */   // Label 12153: @783102
     /*  783102 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783177), // Rule ID 19055 //
     /*  783107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783175 */     GIR_RootConstrainSelectedInstOperands,
     /*  783176 */     // GIR_Coverage, 19055,
     /*  783176 */     GIR_EraseRootFromParent_Done,
     /*  783177 */   // Label 12154: @783177
     /*  783177 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783252), // Rule ID 19056 //
     /*  783182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  783231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783250 */     GIR_RootConstrainSelectedInstOperands,
     /*  783251 */     // GIR_Coverage, 19056,
     /*  783251 */     GIR_EraseRootFromParent_Done,
     /*  783252 */   // Label 12155: @783252
     /*  783252 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783327), // Rule ID 19059 //
     /*  783257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783325 */     GIR_RootConstrainSelectedInstOperands,
     /*  783326 */     // GIR_Coverage, 19059,
     /*  783326 */     GIR_EraseRootFromParent_Done,
     /*  783327 */   // Label 12156: @783327
     /*  783327 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783402), // Rule ID 19060 //
     /*  783332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  783381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783400 */     GIR_RootConstrainSelectedInstOperands,
     /*  783401 */     // GIR_Coverage, 19060,
     /*  783401 */     GIR_EraseRootFromParent_Done,
     /*  783402 */   // Label 12157: @783402
     /*  783402 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783477), // Rule ID 19063 //
     /*  783407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783475 */     GIR_RootConstrainSelectedInstOperands,
     /*  783476 */     // GIR_Coverage, 19063,
     /*  783476 */     GIR_EraseRootFromParent_Done,
     /*  783477 */   // Label 12158: @783477
     /*  783477 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783552), // Rule ID 19064 //
     /*  783482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  783502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  783531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783550 */     GIR_RootConstrainSelectedInstOperands,
     /*  783551 */     // GIR_Coverage, 19064,
     /*  783551 */     GIR_EraseRootFromParent_Done,
     /*  783552 */   // Label 12159: @783552
     /*  783552 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783627), // Rule ID 19067 //
     /*  783557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  783577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  783606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783625 */     GIR_RootConstrainSelectedInstOperands,
     /*  783626 */     // GIR_Coverage, 19067,
     /*  783626 */     GIR_EraseRootFromParent_Done,
     /*  783627 */   // Label 12160: @783627
     /*  783627 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783702), // Rule ID 19068 //
     /*  783632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  783652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  783681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783700 */     GIR_RootConstrainSelectedInstOperands,
     /*  783701 */     // GIR_Coverage, 19068,
     /*  783701 */     GIR_EraseRootFromParent_Done,
     /*  783702 */   // Label 12161: @783702
     /*  783702 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783777), // Rule ID 19071 //
     /*  783707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783753 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  783756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783775 */     GIR_RootConstrainSelectedInstOperands,
     /*  783776 */     // GIR_Coverage, 19071,
     /*  783776 */     GIR_EraseRootFromParent_Done,
     /*  783777 */   // Label 12162: @783777
     /*  783777 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783852), // Rule ID 19072 //
     /*  783782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  783831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783850 */     GIR_RootConstrainSelectedInstOperands,
     /*  783851 */     // GIR_Coverage, 19072,
     /*  783851 */     GIR_EraseRootFromParent_Done,
     /*  783852 */   // Label 12163: @783852
     /*  783852 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783927), // Rule ID 19075 //
     /*  783857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783903 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  783906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783925 */     GIR_RootConstrainSelectedInstOperands,
     /*  783926 */     // GIR_Coverage, 19075,
     /*  783926 */     GIR_EraseRootFromParent_Done,
     /*  783927 */   // Label 12164: @783927
     /*  783927 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784002), // Rule ID 19076 //
     /*  783932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  783981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784000 */     GIR_RootConstrainSelectedInstOperands,
     /*  784001 */     // GIR_Coverage, 19076,
     /*  784001 */     GIR_EraseRootFromParent_Done,
     /*  784002 */   // Label 12165: @784002
     /*  784002 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784077), // Rule ID 19079 //
     /*  784007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784075 */     GIR_RootConstrainSelectedInstOperands,
     /*  784076 */     // GIR_Coverage, 19079,
     /*  784076 */     GIR_EraseRootFromParent_Done,
     /*  784077 */   // Label 12166: @784077
     /*  784077 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784152), // Rule ID 19080 //
     /*  784082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  784102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  784131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784150 */     GIR_RootConstrainSelectedInstOperands,
     /*  784151 */     // GIR_Coverage, 19080,
     /*  784151 */     GIR_EraseRootFromParent_Done,
     /*  784152 */   // Label 12167: @784152
     /*  784152 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784227), // Rule ID 19083 //
     /*  784157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784225 */     GIR_RootConstrainSelectedInstOperands,
     /*  784226 */     // GIR_Coverage, 19083,
     /*  784226 */     GIR_EraseRootFromParent_Done,
     /*  784227 */   // Label 12168: @784227
     /*  784227 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784302), // Rule ID 19084 //
     /*  784232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  784243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  784246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  784249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  784252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  784281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784300 */     GIR_RootConstrainSelectedInstOperands,
     /*  784301 */     // GIR_Coverage, 19084,
     /*  784301 */     GIR_EraseRootFromParent_Done,
     /*  784302 */   // Label 12169: @784302
     /*  784302 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784377), // Rule ID 19087 //
     /*  784307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784353 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784375 */     GIR_RootConstrainSelectedInstOperands,
     /*  784376 */     // GIR_Coverage, 19087,
     /*  784376 */     GIR_EraseRootFromParent_Done,
     /*  784377 */   // Label 12170: @784377
     /*  784377 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784452), // Rule ID 19088 //
     /*  784382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  784393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  784396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  784399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  784402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  784431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784450 */     GIR_RootConstrainSelectedInstOperands,
     /*  784451 */     // GIR_Coverage, 19088,
     /*  784451 */     GIR_EraseRootFromParent_Done,
     /*  784452 */   // Label 12171: @784452
     /*  784452 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784527), // Rule ID 19091 //
     /*  784457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784525 */     GIR_RootConstrainSelectedInstOperands,
     /*  784526 */     // GIR_Coverage, 19091,
     /*  784526 */     GIR_EraseRootFromParent_Done,
     /*  784527 */   // Label 12172: @784527
     /*  784527 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784602), // Rule ID 19092 //
     /*  784532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  784581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784600 */     GIR_RootConstrainSelectedInstOperands,
     /*  784601 */     // GIR_Coverage, 19092,
     /*  784601 */     GIR_EraseRootFromParent_Done,
     /*  784602 */   // Label 12173: @784602
     /*  784602 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784677), // Rule ID 19095 //
     /*  784607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  784656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784675 */     GIR_RootConstrainSelectedInstOperands,
     /*  784676 */     // GIR_Coverage, 19095,
     /*  784676 */     GIR_EraseRootFromParent_Done,
     /*  784677 */   // Label 12174: @784677
     /*  784677 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784752), // Rule ID 19096 //
     /*  784682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  784731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784750 */     GIR_RootConstrainSelectedInstOperands,
     /*  784751 */     // GIR_Coverage, 19096,
     /*  784751 */     GIR_EraseRootFromParent_Done,
     /*  784752 */   // Label 12175: @784752
     /*  784752 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784827), // Rule ID 19099 //
     /*  784757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  784806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784825 */     GIR_RootConstrainSelectedInstOperands,
     /*  784826 */     // GIR_Coverage, 19099,
     /*  784826 */     GIR_EraseRootFromParent_Done,
     /*  784827 */   // Label 12176: @784827
     /*  784827 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784902), // Rule ID 19100 //
     /*  784832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784878 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  784881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784900 */     GIR_RootConstrainSelectedInstOperands,
     /*  784901 */     // GIR_Coverage, 19100,
     /*  784901 */     GIR_EraseRootFromParent_Done,
     /*  784902 */   // Label 12177: @784902
     /*  784902 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(784977), // Rule ID 19103 //
     /*  784907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  784956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784975 */     GIR_RootConstrainSelectedInstOperands,
     /*  784976 */     // GIR_Coverage, 19103,
     /*  784976 */     GIR_EraseRootFromParent_Done,
     /*  784977 */   // Label 12178: @784977
     /*  784977 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785052), // Rule ID 19104 //
     /*  784982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  785002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  785031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785050 */     GIR_RootConstrainSelectedInstOperands,
     /*  785051 */     // GIR_Coverage, 19104,
     /*  785051 */     GIR_EraseRootFromParent_Done,
     /*  785052 */   // Label 12179: @785052
     /*  785052 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785127), // Rule ID 19107 //
     /*  785057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785125 */     GIR_RootConstrainSelectedInstOperands,
     /*  785126 */     // GIR_Coverage, 19107,
     /*  785126 */     GIR_EraseRootFromParent_Done,
     /*  785127 */   // Label 12180: @785127
     /*  785127 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785202), // Rule ID 19108 //
     /*  785132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  785181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785200 */     GIR_RootConstrainSelectedInstOperands,
     /*  785201 */     // GIR_Coverage, 19108,
     /*  785201 */     GIR_EraseRootFromParent_Done,
     /*  785202 */   // Label 12181: @785202
     /*  785202 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785277), // Rule ID 19111 //
     /*  785207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785275 */     GIR_RootConstrainSelectedInstOperands,
     /*  785276 */     // GIR_Coverage, 19111,
     /*  785276 */     GIR_EraseRootFromParent_Done,
     /*  785277 */   // Label 12182: @785277
     /*  785277 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785352), // Rule ID 19112 //
     /*  785282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  785331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785350 */     GIR_RootConstrainSelectedInstOperands,
     /*  785351 */     // GIR_Coverage, 19112,
     /*  785351 */     GIR_EraseRootFromParent_Done,
     /*  785352 */   // Label 12183: @785352
     /*  785352 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785427), // Rule ID 19115 //
     /*  785357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785425 */     GIR_RootConstrainSelectedInstOperands,
     /*  785426 */     // GIR_Coverage, 19115,
     /*  785426 */     GIR_EraseRootFromParent_Done,
     /*  785427 */   // Label 12184: @785427
     /*  785427 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785502), // Rule ID 19116 //
     /*  785432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  785481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785500 */     GIR_RootConstrainSelectedInstOperands,
     /*  785501 */     // GIR_Coverage, 19116,
     /*  785501 */     GIR_EraseRootFromParent_Done,
     /*  785502 */   // Label 12185: @785502
     /*  785502 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785577), // Rule ID 19119 //
     /*  785507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785575 */     GIR_RootConstrainSelectedInstOperands,
     /*  785576 */     // GIR_Coverage, 19119,
     /*  785576 */     GIR_EraseRootFromParent_Done,
     /*  785577 */   // Label 12186: @785577
     /*  785577 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785652), // Rule ID 19120 //
     /*  785582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  785631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785650 */     GIR_RootConstrainSelectedInstOperands,
     /*  785651 */     // GIR_Coverage, 19120,
     /*  785651 */     GIR_EraseRootFromParent_Done,
     /*  785652 */   // Label 12187: @785652
     /*  785652 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785727), // Rule ID 19123 //
     /*  785657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  785706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785725 */     GIR_RootConstrainSelectedInstOperands,
     /*  785726 */     // GIR_Coverage, 19123,
     /*  785726 */     GIR_EraseRootFromParent_Done,
     /*  785727 */   // Label 12188: @785727
     /*  785727 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785802), // Rule ID 19124 //
     /*  785732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  785781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785800 */     GIR_RootConstrainSelectedInstOperands,
     /*  785801 */     // GIR_Coverage, 19124,
     /*  785801 */     GIR_EraseRootFromParent_Done,
     /*  785802 */   // Label 12189: @785802
     /*  785802 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785877), // Rule ID 19127 //
     /*  785807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  785856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785875 */     GIR_RootConstrainSelectedInstOperands,
     /*  785876 */     // GIR_Coverage, 19127,
     /*  785876 */     GIR_EraseRootFromParent_Done,
     /*  785877 */   // Label 12190: @785877
     /*  785877 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785952), // Rule ID 19128 //
     /*  785882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  785931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785950 */     GIR_RootConstrainSelectedInstOperands,
     /*  785951 */     // GIR_Coverage, 19128,
     /*  785951 */     GIR_EraseRootFromParent_Done,
     /*  785952 */   // Label 12191: @785952
     /*  785952 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786027), // Rule ID 19131 //
     /*  785957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  785968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  785971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  785974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786025 */     GIR_RootConstrainSelectedInstOperands,
     /*  786026 */     // GIR_Coverage, 19131,
     /*  786026 */     GIR_EraseRootFromParent_Done,
     /*  786027 */   // Label 12192: @786027
     /*  786027 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786102), // Rule ID 19132 //
     /*  786032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786078 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  786081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786100 */     GIR_RootConstrainSelectedInstOperands,
     /*  786101 */     // GIR_Coverage, 19132,
     /*  786101 */     GIR_EraseRootFromParent_Done,
     /*  786102 */   // Label 12193: @786102
     /*  786102 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786177), // Rule ID 19135 //
     /*  786107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786175 */     GIR_RootConstrainSelectedInstOperands,
     /*  786176 */     // GIR_Coverage, 19135,
     /*  786176 */     GIR_EraseRootFromParent_Done,
     /*  786177 */   // Label 12194: @786177
     /*  786177 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786252), // Rule ID 19136 //
     /*  786182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  786231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786250 */     GIR_RootConstrainSelectedInstOperands,
     /*  786251 */     // GIR_Coverage, 19136,
     /*  786251 */     GIR_EraseRootFromParent_Done,
     /*  786252 */   // Label 12195: @786252
     /*  786252 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786327), // Rule ID 19139 //
     /*  786257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786325 */     GIR_RootConstrainSelectedInstOperands,
     /*  786326 */     // GIR_Coverage, 19139,
     /*  786326 */     GIR_EraseRootFromParent_Done,
     /*  786327 */   // Label 12196: @786327
     /*  786327 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786402), // Rule ID 19140 //
     /*  786332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  786352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  786371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  786381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786400 */     GIR_RootConstrainSelectedInstOperands,
     /*  786401 */     // GIR_Coverage, 19140,
     /*  786401 */     GIR_EraseRootFromParent_Done,
     /*  786402 */   // Label 12197: @786402
     /*  786402 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786477), // Rule ID 19143 //
     /*  786407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786453 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786475 */     GIR_RootConstrainSelectedInstOperands,
     /*  786476 */     // GIR_Coverage, 19143,
     /*  786476 */     GIR_EraseRootFromParent_Done,
     /*  786477 */   // Label 12198: @786477
     /*  786477 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786552), // Rule ID 19144 //
     /*  786482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  786531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786550 */     GIR_RootConstrainSelectedInstOperands,
     /*  786551 */     // GIR_Coverage, 19144,
     /*  786551 */     GIR_EraseRootFromParent_Done,
     /*  786552 */   // Label 12199: @786552
     /*  786552 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786627), // Rule ID 19147 //
     /*  786557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786603 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  786606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786625 */     GIR_RootConstrainSelectedInstOperands,
     /*  786626 */     // GIR_Coverage, 19147,
     /*  786626 */     GIR_EraseRootFromParent_Done,
     /*  786627 */   // Label 12200: @786627
     /*  786627 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786702), // Rule ID 19148 //
     /*  786632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  786681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786700 */     GIR_RootConstrainSelectedInstOperands,
     /*  786701 */     // GIR_Coverage, 19148,
     /*  786701 */     GIR_EraseRootFromParent_Done,
     /*  786702 */   // Label 12201: @786702
     /*  786702 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786777), // Rule ID 19151 //
     /*  786707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  786756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786775 */     GIR_RootConstrainSelectedInstOperands,
     /*  786776 */     // GIR_Coverage, 19151,
     /*  786776 */     GIR_EraseRootFromParent_Done,
     /*  786777 */   // Label 12202: @786777
     /*  786777 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786852), // Rule ID 19152 //
     /*  786782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  786821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  786831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786850 */     GIR_RootConstrainSelectedInstOperands,
     /*  786851 */     // GIR_Coverage, 19152,
     /*  786851 */     GIR_EraseRootFromParent_Done,
     /*  786852 */   // Label 12203: @786852
     /*  786852 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786927), // Rule ID 19155 //
     /*  786857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  786868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  786871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  786874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786903 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  786906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786925 */     GIR_RootConstrainSelectedInstOperands,
     /*  786926 */     // GIR_Coverage, 19155,
     /*  786926 */     GIR_EraseRootFromParent_Done,
     /*  786927 */   // Label 12204: @786927
     /*  786927 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787002), // Rule ID 19156 //
     /*  786932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  786943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  786946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  786949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  786981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787000 */     GIR_RootConstrainSelectedInstOperands,
     /*  787001 */     // GIR_Coverage, 19156,
     /*  787001 */     GIR_EraseRootFromParent_Done,
     /*  787002 */   // Label 12205: @787002
     /*  787002 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787077), // Rule ID 19159 //
     /*  787007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787075 */     GIR_RootConstrainSelectedInstOperands,
     /*  787076 */     // GIR_Coverage, 19159,
     /*  787076 */     GIR_EraseRootFromParent_Done,
     /*  787077 */   // Label 12206: @787077
     /*  787077 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787152), // Rule ID 19160 //
     /*  787082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  787131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787150 */     GIR_RootConstrainSelectedInstOperands,
     /*  787151 */     // GIR_Coverage, 19160,
     /*  787151 */     GIR_EraseRootFromParent_Done,
     /*  787152 */   // Label 12207: @787152
     /*  787152 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787227), // Rule ID 19163 //
     /*  787157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787225 */     GIR_RootConstrainSelectedInstOperands,
     /*  787226 */     // GIR_Coverage, 19163,
     /*  787226 */     GIR_EraseRootFromParent_Done,
     /*  787227 */   // Label 12208: @787227
     /*  787227 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787302), // Rule ID 19164 //
     /*  787232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  787271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  787281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787300 */     GIR_RootConstrainSelectedInstOperands,
     /*  787301 */     // GIR_Coverage, 19164,
     /*  787301 */     GIR_EraseRootFromParent_Done,
     /*  787302 */   // Label 12209: @787302
     /*  787302 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787377), // Rule ID 19167 //
     /*  787307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787353 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787375 */     GIR_RootConstrainSelectedInstOperands,
     /*  787376 */     // GIR_Coverage, 19167,
     /*  787376 */     GIR_EraseRootFromParent_Done,
     /*  787377 */   // Label 12210: @787377
     /*  787377 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787452), // Rule ID 19168 //
     /*  787382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  787431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787450 */     GIR_RootConstrainSelectedInstOperands,
     /*  787451 */     // GIR_Coverage, 19168,
     /*  787451 */     GIR_EraseRootFromParent_Done,
     /*  787452 */   // Label 12211: @787452
     /*  787452 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787527), // Rule ID 19171 //
     /*  787457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787503 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787525 */     GIR_RootConstrainSelectedInstOperands,
     /*  787526 */     // GIR_Coverage, 19171,
     /*  787526 */     GIR_EraseRootFromParent_Done,
     /*  787527 */   // Label 12212: @787527
     /*  787527 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787602), // Rule ID 19172 //
     /*  787532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  787581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787600 */     GIR_RootConstrainSelectedInstOperands,
     /*  787601 */     // GIR_Coverage, 19172,
     /*  787601 */     GIR_EraseRootFromParent_Done,
     /*  787602 */   // Label 12213: @787602
     /*  787602 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787677), // Rule ID 19175 //
     /*  787607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  787656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787675 */     GIR_RootConstrainSelectedInstOperands,
     /*  787676 */     // GIR_Coverage, 19175,
     /*  787676 */     GIR_EraseRootFromParent_Done,
     /*  787677 */   // Label 12214: @787677
     /*  787677 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787752), // Rule ID 19176 //
     /*  787682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787728 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  787731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787750 */     GIR_RootConstrainSelectedInstOperands,
     /*  787751 */     // GIR_Coverage, 19176,
     /*  787751 */     GIR_EraseRootFromParent_Done,
     /*  787752 */   // Label 12215: @787752
     /*  787752 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787827), // Rule ID 19179 //
     /*  787757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787803 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  787806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787825 */     GIR_RootConstrainSelectedInstOperands,
     /*  787826 */     // GIR_Coverage, 19179,
     /*  787826 */     GIR_EraseRootFromParent_Done,
     /*  787827 */   // Label 12216: @787827
     /*  787827 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787902), // Rule ID 19180 //
     /*  787832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787878 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  787881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787900 */     GIR_RootConstrainSelectedInstOperands,
     /*  787901 */     // GIR_Coverage, 19180,
     /*  787901 */     GIR_EraseRootFromParent_Done,
     /*  787902 */   // Label 12217: @787902
     /*  787902 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787977), // Rule ID 19183 //
     /*  787907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  787924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  787927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  787956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787975 */     GIR_RootConstrainSelectedInstOperands,
     /*  787976 */     // GIR_Coverage, 19183,
     /*  787976 */     GIR_EraseRootFromParent_Done,
     /*  787977 */   // Label 12218: @787977
     /*  787977 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788052), // Rule ID 19184 //
     /*  787982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  787999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  788031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788050 */     GIR_RootConstrainSelectedInstOperands,
     /*  788051 */     // GIR_Coverage, 19184,
     /*  788051 */     GIR_EraseRootFromParent_Done,
     /*  788052 */   // Label 12219: @788052
     /*  788052 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788127), // Rule ID 19187 //
     /*  788057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788125 */     GIR_RootConstrainSelectedInstOperands,
     /*  788126 */     // GIR_Coverage, 19187,
     /*  788126 */     GIR_EraseRootFromParent_Done,
     /*  788127 */   // Label 12220: @788127
     /*  788127 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788202), // Rule ID 19188 //
     /*  788132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  788181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788200 */     GIR_RootConstrainSelectedInstOperands,
     /*  788201 */     // GIR_Coverage, 19188,
     /*  788201 */     GIR_EraseRootFromParent_Done,
     /*  788202 */   // Label 12221: @788202
     /*  788202 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788277), // Rule ID 19191 //
     /*  788207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788275 */     GIR_RootConstrainSelectedInstOperands,
     /*  788276 */     // GIR_Coverage, 19191,
     /*  788276 */     GIR_EraseRootFromParent_Done,
     /*  788277 */   // Label 12222: @788277
     /*  788277 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788352), // Rule ID 19192 //
     /*  788282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788328 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  788331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788350 */     GIR_RootConstrainSelectedInstOperands,
     /*  788351 */     // GIR_Coverage, 19192,
     /*  788351 */     GIR_EraseRootFromParent_Done,
     /*  788352 */   // Label 12223: @788352
     /*  788352 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788427), // Rule ID 19195 //
     /*  788357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788403 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788425 */     GIR_RootConstrainSelectedInstOperands,
     /*  788426 */     // GIR_Coverage, 19195,
     /*  788426 */     GIR_EraseRootFromParent_Done,
     /*  788427 */   // Label 12224: @788427
     /*  788427 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788502), // Rule ID 19196 //
     /*  788432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788478 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  788481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788500 */     GIR_RootConstrainSelectedInstOperands,
     /*  788501 */     // GIR_Coverage, 19196,
     /*  788501 */     GIR_EraseRootFromParent_Done,
     /*  788502 */   // Label 12225: @788502
     /*  788502 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788577), // Rule ID 19199 //
     /*  788507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788553 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788575 */     GIR_RootConstrainSelectedInstOperands,
     /*  788576 */     // GIR_Coverage, 19199,
     /*  788576 */     GIR_EraseRootFromParent_Done,
     /*  788577 */   // Label 12226: @788577
     /*  788577 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788652), // Rule ID 19200 //
     /*  788582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  788631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788650 */     GIR_RootConstrainSelectedInstOperands,
     /*  788651 */     // GIR_Coverage, 19200,
     /*  788651 */     GIR_EraseRootFromParent_Done,
     /*  788652 */   // Label 12227: @788652
     /*  788652 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788727), // Rule ID 19203 //
     /*  788657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788703 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  788706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788725 */     GIR_RootConstrainSelectedInstOperands,
     /*  788726 */     // GIR_Coverage, 19203,
     /*  788726 */     GIR_EraseRootFromParent_Done,
     /*  788727 */   // Label 12228: @788727
     /*  788727 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788802), // Rule ID 19204 //
     /*  788732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  788781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788800 */     GIR_RootConstrainSelectedInstOperands,
     /*  788801 */     // GIR_Coverage, 19204,
     /*  788801 */     GIR_EraseRootFromParent_Done,
     /*  788802 */   // Label 12229: @788802
     /*  788802 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788877), // Rule ID 19207 //
     /*  788807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788853 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  788856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788875 */     GIR_RootConstrainSelectedInstOperands,
     /*  788876 */     // GIR_Coverage, 19207,
     /*  788876 */     GIR_EraseRootFromParent_Done,
     /*  788877 */   // Label 12230: @788877
     /*  788877 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788952), // Rule ID 19208 //
     /*  788882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  788931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788950 */     GIR_RootConstrainSelectedInstOperands,
     /*  788951 */     // GIR_Coverage, 19208,
     /*  788951 */     GIR_EraseRootFromParent_Done,
     /*  788952 */   // Label 12231: @788952
     /*  788952 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(789027), // Rule ID 19211 //
     /*  788957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  788968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  788971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  788974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  788977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789003 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789025 */     GIR_RootConstrainSelectedInstOperands,
     /*  789026 */     // GIR_Coverage, 19211,
     /*  789026 */     GIR_EraseRootFromParent_Done,
     /*  789027 */   // Label 12232: @789027
     /*  789027 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789102), // Rule ID 19212 //
     /*  789032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  789081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789100 */     GIR_RootConstrainSelectedInstOperands,
     /*  789101 */     // GIR_Coverage, 19212,
     /*  789101 */     GIR_EraseRootFromParent_Done,
     /*  789102 */   // Label 12233: @789102
     /*  789102 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789177), // Rule ID 19215 //
     /*  789107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789175 */     GIR_RootConstrainSelectedInstOperands,
     /*  789176 */     // GIR_Coverage, 19215,
     /*  789176 */     GIR_EraseRootFromParent_Done,
     /*  789177 */   // Label 12234: @789177
     /*  789177 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789252), // Rule ID 19216 //
     /*  789182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  789231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789250 */     GIR_RootConstrainSelectedInstOperands,
     /*  789251 */     // GIR_Coverage, 19216,
     /*  789251 */     GIR_EraseRootFromParent_Done,
     /*  789252 */   // Label 12235: @789252
     /*  789252 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789327), // Rule ID 19219 //
     /*  789257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789325 */     GIR_RootConstrainSelectedInstOperands,
     /*  789326 */     // GIR_Coverage, 19219,
     /*  789326 */     GIR_EraseRootFromParent_Done,
     /*  789327 */   // Label 12236: @789327
     /*  789327 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789402), // Rule ID 19220 //
     /*  789332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  789381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789400 */     GIR_RootConstrainSelectedInstOperands,
     /*  789401 */     // GIR_Coverage, 19220,
     /*  789401 */     GIR_EraseRootFromParent_Done,
     /*  789402 */   // Label 12237: @789402
     /*  789402 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789477), // Rule ID 19223 //
     /*  789407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789475 */     GIR_RootConstrainSelectedInstOperands,
     /*  789476 */     // GIR_Coverage, 19223,
     /*  789476 */     GIR_EraseRootFromParent_Done,
     /*  789477 */   // Label 12238: @789477
     /*  789477 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789552), // Rule ID 19224 //
     /*  789482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  789531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789550 */     GIR_RootConstrainSelectedInstOperands,
     /*  789551 */     // GIR_Coverage, 19224,
     /*  789551 */     GIR_EraseRootFromParent_Done,
     /*  789552 */   // Label 12239: @789552
     /*  789552 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789627), // Rule ID 19227 //
     /*  789557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789603 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  789606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789625 */     GIR_RootConstrainSelectedInstOperands,
     /*  789626 */     // GIR_Coverage, 19227,
     /*  789626 */     GIR_EraseRootFromParent_Done,
     /*  789627 */   // Label 12240: @789627
     /*  789627 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789702), // Rule ID 19228 //
     /*  789632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789678 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  789681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789700 */     GIR_RootConstrainSelectedInstOperands,
     /*  789701 */     // GIR_Coverage, 19228,
     /*  789701 */     GIR_EraseRootFromParent_Done,
     /*  789702 */   // Label 12241: @789702
     /*  789702 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789777), // Rule ID 19231 //
     /*  789707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789753 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  789756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789775 */     GIR_RootConstrainSelectedInstOperands,
     /*  789776 */     // GIR_Coverage, 19231,
     /*  789776 */     GIR_EraseRootFromParent_Done,
     /*  789777 */   // Label 12242: @789777
     /*  789777 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789852), // Rule ID 19232 //
     /*  789782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789828 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  789831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789850 */     GIR_RootConstrainSelectedInstOperands,
     /*  789851 */     // GIR_Coverage, 19232,
     /*  789851 */     GIR_EraseRootFromParent_Done,
     /*  789852 */   // Label 12243: @789852
     /*  789852 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789927), // Rule ID 19235 //
     /*  789857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789903 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  789906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789925 */     GIR_RootConstrainSelectedInstOperands,
     /*  789926 */     // GIR_Coverage, 19235,
     /*  789926 */     GIR_EraseRootFromParent_Done,
     /*  789927 */   // Label 12244: @789927
     /*  789927 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(790002), // Rule ID 19236 //
     /*  789932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  789981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790000 */     GIR_RootConstrainSelectedInstOperands,
     /*  790001 */     // GIR_Coverage, 19236,
     /*  790001 */     GIR_EraseRootFromParent_Done,
     /*  790002 */   // Label 12245: @790002
     /*  790002 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(790077), // Rule ID 19239 //
     /*  790007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790075 */     GIR_RootConstrainSelectedInstOperands,
     /*  790076 */     // GIR_Coverage, 19239,
     /*  790076 */     GIR_EraseRootFromParent_Done,
     /*  790077 */   // Label 12246: @790077
     /*  790077 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790152), // Rule ID 19240 //
     /*  790082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  790131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790150 */     GIR_RootConstrainSelectedInstOperands,
     /*  790151 */     // GIR_Coverage, 19240,
     /*  790151 */     GIR_EraseRootFromParent_Done,
     /*  790152 */   // Label 12247: @790152
     /*  790152 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790227), // Rule ID 19243 //
     /*  790157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790225 */     GIR_RootConstrainSelectedInstOperands,
     /*  790226 */     // GIR_Coverage, 19243,
     /*  790226 */     GIR_EraseRootFromParent_Done,
     /*  790227 */   // Label 12248: @790227
     /*  790227 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790302), // Rule ID 19244 //
     /*  790232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790278 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  790281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790300 */     GIR_RootConstrainSelectedInstOperands,
     /*  790301 */     // GIR_Coverage, 19244,
     /*  790301 */     GIR_EraseRootFromParent_Done,
     /*  790302 */   // Label 12249: @790302
     /*  790302 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790377), // Rule ID 19247 //
     /*  790307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790353 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790375 */     GIR_RootConstrainSelectedInstOperands,
     /*  790376 */     // GIR_Coverage, 19247,
     /*  790376 */     GIR_EraseRootFromParent_Done,
     /*  790377 */   // Label 12250: @790377
     /*  790377 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790452), // Rule ID 19248 //
     /*  790382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  790431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790450 */     GIR_RootConstrainSelectedInstOperands,
     /*  790451 */     // GIR_Coverage, 19248,
     /*  790451 */     GIR_EraseRootFromParent_Done,
     /*  790452 */   // Label 12251: @790452
     /*  790452 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790527), // Rule ID 19251 //
     /*  790457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790525 */     GIR_RootConstrainSelectedInstOperands,
     /*  790526 */     // GIR_Coverage, 19251,
     /*  790526 */     GIR_EraseRootFromParent_Done,
     /*  790527 */   // Label 12252: @790527
     /*  790527 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790602), // Rule ID 19252 //
     /*  790532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  790581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790600 */     GIR_RootConstrainSelectedInstOperands,
     /*  790601 */     // GIR_Coverage, 19252,
     /*  790601 */     GIR_EraseRootFromParent_Done,
     /*  790602 */   // Label 12253: @790602
     /*  790602 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790677), // Rule ID 19255 //
     /*  790607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790653 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  790656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790675 */     GIR_RootConstrainSelectedInstOperands,
     /*  790676 */     // GIR_Coverage, 19255,
     /*  790676 */     GIR_EraseRootFromParent_Done,
     /*  790677 */   // Label 12254: @790677
     /*  790677 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790752), // Rule ID 19256 //
     /*  790682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790728 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  790731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790750 */     GIR_RootConstrainSelectedInstOperands,
     /*  790751 */     // GIR_Coverage, 19256,
     /*  790751 */     GIR_EraseRootFromParent_Done,
     /*  790752 */   // Label 12255: @790752
     /*  790752 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790827), // Rule ID 19259 //
     /*  790757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  790806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790825 */     GIR_RootConstrainSelectedInstOperands,
     /*  790826 */     // GIR_Coverage, 19259,
     /*  790826 */     GIR_EraseRootFromParent_Done,
     /*  790827 */   // Label 12256: @790827
     /*  790827 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790902), // Rule ID 19260 //
     /*  790832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790878 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  790881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790900 */     GIR_RootConstrainSelectedInstOperands,
     /*  790901 */     // GIR_Coverage, 19260,
     /*  790901 */     GIR_EraseRootFromParent_Done,
     /*  790902 */   // Label 12257: @790902
     /*  790902 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790977), // Rule ID 19263 //
     /*  790907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  790918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  790921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  790924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790953 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  790956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790975 */     GIR_RootConstrainSelectedInstOperands,
     /*  790976 */     // GIR_Coverage, 19263,
     /*  790976 */     GIR_EraseRootFromParent_Done,
     /*  790977 */   // Label 12258: @790977
     /*  790977 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(791052), // Rule ID 19264 //
     /*  790982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  790993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  790996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  790999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  791031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791050 */     GIR_RootConstrainSelectedInstOperands,
     /*  791051 */     // GIR_Coverage, 19264,
     /*  791051 */     GIR_EraseRootFromParent_Done,
     /*  791052 */   // Label 12259: @791052
     /*  791052 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791127), // Rule ID 19267 //
     /*  791057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791103 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791125 */     GIR_RootConstrainSelectedInstOperands,
     /*  791126 */     // GIR_Coverage, 19267,
     /*  791126 */     GIR_EraseRootFromParent_Done,
     /*  791127 */   // Label 12260: @791127
     /*  791127 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791202), // Rule ID 19268 //
     /*  791132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791178 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  791181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791200 */     GIR_RootConstrainSelectedInstOperands,
     /*  791201 */     // GIR_Coverage, 19268,
     /*  791201 */     GIR_EraseRootFromParent_Done,
     /*  791202 */   // Label 12261: @791202
     /*  791202 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791277), // Rule ID 19271 //
     /*  791207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791253 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791275 */     GIR_RootConstrainSelectedInstOperands,
     /*  791276 */     // GIR_Coverage, 19271,
     /*  791276 */     GIR_EraseRootFromParent_Done,
     /*  791277 */   // Label 12262: @791277
     /*  791277 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791352), // Rule ID 19272 //
     /*  791282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  791331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791350 */     GIR_RootConstrainSelectedInstOperands,
     /*  791351 */     // GIR_Coverage, 19272,
     /*  791351 */     GIR_EraseRootFromParent_Done,
     /*  791352 */   // Label 12263: @791352
     /*  791352 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791427), // Rule ID 19275 //
     /*  791357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791403 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791425 */     GIR_RootConstrainSelectedInstOperands,
     /*  791426 */     // GIR_Coverage, 19275,
     /*  791426 */     GIR_EraseRootFromParent_Done,
     /*  791427 */   // Label 12264: @791427
     /*  791427 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791502), // Rule ID 19276 //
     /*  791432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  791481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791500 */     GIR_RootConstrainSelectedInstOperands,
     /*  791501 */     // GIR_Coverage, 19276,
     /*  791501 */     GIR_EraseRootFromParent_Done,
     /*  791502 */   // Label 12265: @791502
     /*  791502 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791577), // Rule ID 19279 //
     /*  791507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791553 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791575 */     GIR_RootConstrainSelectedInstOperands,
     /*  791576 */     // GIR_Coverage, 19279,
     /*  791576 */     GIR_EraseRootFromParent_Done,
     /*  791577 */   // Label 12266: @791577
     /*  791577 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791652), // Rule ID 19280 //
     /*  791582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  791631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791650 */     GIR_RootConstrainSelectedInstOperands,
     /*  791651 */     // GIR_Coverage, 19280,
     /*  791651 */     GIR_EraseRootFromParent_Done,
     /*  791652 */   // Label 12267: @791652
     /*  791652 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791727), // Rule ID 19283 //
     /*  791657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  791706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791725 */     GIR_RootConstrainSelectedInstOperands,
     /*  791726 */     // GIR_Coverage, 19283,
     /*  791726 */     GIR_EraseRootFromParent_Done,
     /*  791727 */   // Label 12268: @791727
     /*  791727 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791802), // Rule ID 19284 //
     /*  791732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791778 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  791781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791800 */     GIR_RootConstrainSelectedInstOperands,
     /*  791801 */     // GIR_Coverage, 19284,
     /*  791801 */     GIR_EraseRootFromParent_Done,
     /*  791802 */   // Label 12269: @791802
     /*  791802 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791877), // Rule ID 19287 //
     /*  791807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  791856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791875 */     GIR_RootConstrainSelectedInstOperands,
     /*  791876 */     // GIR_Coverage, 19287,
     /*  791876 */     GIR_EraseRootFromParent_Done,
     /*  791877 */   // Label 12270: @791877
     /*  791877 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791952), // Rule ID 19288 //
     /*  791882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  791931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791950 */     GIR_RootConstrainSelectedInstOperands,
     /*  791951 */     // GIR_Coverage, 19288,
     /*  791951 */     GIR_EraseRootFromParent_Done,
     /*  791952 */   // Label 12271: @791952
     /*  791952 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(792027), // Rule ID 19291 //
     /*  791957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  791968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  791971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  791974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  791977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792025 */     GIR_RootConstrainSelectedInstOperands,
     /*  792026 */     // GIR_Coverage, 19291,
     /*  792026 */     GIR_EraseRootFromParent_Done,
     /*  792027 */   // Label 12272: @792027
     /*  792027 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(792102), // Rule ID 19292 //
     /*  792032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  792081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792100 */     GIR_RootConstrainSelectedInstOperands,
     /*  792101 */     // GIR_Coverage, 19292,
     /*  792101 */     GIR_EraseRootFromParent_Done,
     /*  792102 */   // Label 12273: @792102
     /*  792102 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792177), // Rule ID 19295 //
     /*  792107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792175 */     GIR_RootConstrainSelectedInstOperands,
     /*  792176 */     // GIR_Coverage, 19295,
     /*  792176 */     GIR_EraseRootFromParent_Done,
     /*  792177 */   // Label 12274: @792177
     /*  792177 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792252), // Rule ID 19296 //
     /*  792182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  792231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792250 */     GIR_RootConstrainSelectedInstOperands,
     /*  792251 */     // GIR_Coverage, 19296,
     /*  792251 */     GIR_EraseRootFromParent_Done,
     /*  792252 */   // Label 12275: @792252
     /*  792252 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792327), // Rule ID 19299 //
     /*  792257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792325 */     GIR_RootConstrainSelectedInstOperands,
     /*  792326 */     // GIR_Coverage, 19299,
     /*  792326 */     GIR_EraseRootFromParent_Done,
     /*  792327 */   // Label 12276: @792327
     /*  792327 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792402), // Rule ID 19300 //
     /*  792332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  792381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792400 */     GIR_RootConstrainSelectedInstOperands,
     /*  792401 */     // GIR_Coverage, 19300,
     /*  792401 */     GIR_EraseRootFromParent_Done,
     /*  792402 */   // Label 12277: @792402
     /*  792402 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792477), // Rule ID 19303 //
     /*  792407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792475 */     GIR_RootConstrainSelectedInstOperands,
     /*  792476 */     // GIR_Coverage, 19303,
     /*  792476 */     GIR_EraseRootFromParent_Done,
     /*  792477 */   // Label 12278: @792477
     /*  792477 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792552), // Rule ID 19304 //
     /*  792482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  792531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792550 */     GIR_RootConstrainSelectedInstOperands,
     /*  792551 */     // GIR_Coverage, 19304,
     /*  792551 */     GIR_EraseRootFromParent_Done,
     /*  792552 */   // Label 12279: @792552
     /*  792552 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792627), // Rule ID 19307 //
     /*  792557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  792606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792625 */     GIR_RootConstrainSelectedInstOperands,
     /*  792626 */     // GIR_Coverage, 19307,
     /*  792626 */     GIR_EraseRootFromParent_Done,
     /*  792627 */   // Label 12280: @792627
     /*  792627 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792702), // Rule ID 19308 //
     /*  792632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  792681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792700 */     GIR_RootConstrainSelectedInstOperands,
     /*  792701 */     // GIR_Coverage, 19308,
     /*  792701 */     GIR_EraseRootFromParent_Done,
     /*  792702 */   // Label 12281: @792702
     /*  792702 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792777), // Rule ID 19311 //
     /*  792707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792753 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  792756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792775 */     GIR_RootConstrainSelectedInstOperands,
     /*  792776 */     // GIR_Coverage, 19311,
     /*  792776 */     GIR_EraseRootFromParent_Done,
     /*  792777 */   // Label 12282: @792777
     /*  792777 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792852), // Rule ID 19312 //
     /*  792782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  792831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792850 */     GIR_RootConstrainSelectedInstOperands,
     /*  792851 */     // GIR_Coverage, 19312,
     /*  792851 */     GIR_EraseRootFromParent_Done,
     /*  792852 */   // Label 12283: @792852
     /*  792852 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792927), // Rule ID 19315 //
     /*  792857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  792874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  792877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792903 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  792906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792925 */     GIR_RootConstrainSelectedInstOperands,
     /*  792926 */     // GIR_Coverage, 19315,
     /*  792926 */     GIR_EraseRootFromParent_Done,
     /*  792927 */   // Label 12284: @792927
     /*  792927 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(793002), // Rule ID 19316 //
     /*  792932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  792949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  792952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  792981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793000 */     GIR_RootConstrainSelectedInstOperands,
     /*  793001 */     // GIR_Coverage, 19316,
     /*  793001 */     GIR_EraseRootFromParent_Done,
     /*  793002 */   // Label 12285: @793002
     /*  793002 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(793077), // Rule ID 19319 //
     /*  793007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793075 */     GIR_RootConstrainSelectedInstOperands,
     /*  793076 */     // GIR_Coverage, 19319,
     /*  793076 */     GIR_EraseRootFromParent_Done,
     /*  793077 */   // Label 12286: @793077
     /*  793077 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793152), // Rule ID 19320 //
     /*  793082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  793131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793150 */     GIR_RootConstrainSelectedInstOperands,
     /*  793151 */     // GIR_Coverage, 19320,
     /*  793151 */     GIR_EraseRootFromParent_Done,
     /*  793152 */   // Label 12287: @793152
     /*  793152 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793227), // Rule ID 19323 //
     /*  793157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793225 */     GIR_RootConstrainSelectedInstOperands,
     /*  793226 */     // GIR_Coverage, 19323,
     /*  793226 */     GIR_EraseRootFromParent_Done,
     /*  793227 */   // Label 12288: @793227
     /*  793227 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793302), // Rule ID 19324 //
     /*  793232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  793281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793300 */     GIR_RootConstrainSelectedInstOperands,
     /*  793301 */     // GIR_Coverage, 19324,
     /*  793301 */     GIR_EraseRootFromParent_Done,
     /*  793302 */   // Label 12289: @793302
     /*  793302 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793377), // Rule ID 19327 //
     /*  793307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793353 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793375 */     GIR_RootConstrainSelectedInstOperands,
     /*  793376 */     // GIR_Coverage, 19327,
     /*  793376 */     GIR_EraseRootFromParent_Done,
     /*  793377 */   // Label 12290: @793377
     /*  793377 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793452), // Rule ID 19328 //
     /*  793382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  793431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793450 */     GIR_RootConstrainSelectedInstOperands,
     /*  793451 */     // GIR_Coverage, 19328,
     /*  793451 */     GIR_EraseRootFromParent_Done,
     /*  793452 */   // Label 12291: @793452
     /*  793452 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793527), // Rule ID 19331 //
     /*  793457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793525 */     GIR_RootConstrainSelectedInstOperands,
     /*  793526 */     // GIR_Coverage, 19331,
     /*  793526 */     GIR_EraseRootFromParent_Done,
     /*  793527 */   // Label 12292: @793527
     /*  793527 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793602), // Rule ID 19332 //
     /*  793532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  793581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793600 */     GIR_RootConstrainSelectedInstOperands,
     /*  793601 */     // GIR_Coverage, 19332,
     /*  793601 */     GIR_EraseRootFromParent_Done,
     /*  793602 */   // Label 12293: @793602
     /*  793602 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793677), // Rule ID 19335 //
     /*  793607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  793656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793675 */     GIR_RootConstrainSelectedInstOperands,
     /*  793676 */     // GIR_Coverage, 19335,
     /*  793676 */     GIR_EraseRootFromParent_Done,
     /*  793677 */   // Label 12294: @793677
     /*  793677 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793752), // Rule ID 19336 //
     /*  793682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  793731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793750 */     GIR_RootConstrainSelectedInstOperands,
     /*  793751 */     // GIR_Coverage, 19336,
     /*  793751 */     GIR_EraseRootFromParent_Done,
     /*  793752 */   // Label 12295: @793752
     /*  793752 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793827), // Rule ID 19339 //
     /*  793757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  793806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793825 */     GIR_RootConstrainSelectedInstOperands,
     /*  793826 */     // GIR_Coverage, 19339,
     /*  793826 */     GIR_EraseRootFromParent_Done,
     /*  793827 */   // Label 12296: @793827
     /*  793827 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793902), // Rule ID 19340 //
     /*  793832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793878 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  793881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793900 */     GIR_RootConstrainSelectedInstOperands,
     /*  793901 */     // GIR_Coverage, 19340,
     /*  793901 */     GIR_EraseRootFromParent_Done,
     /*  793902 */   // Label 12297: @793902
     /*  793902 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793977), // Rule ID 19343 //
     /*  793907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  793918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  793921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  793924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  793927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  793956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793975 */     GIR_RootConstrainSelectedInstOperands,
     /*  793976 */     // GIR_Coverage, 19343,
     /*  793976 */     GIR_EraseRootFromParent_Done,
     /*  793977 */   // Label 12298: @793977
     /*  793977 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(794052), // Rule ID 19344 //
     /*  793982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  793993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  793996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  793999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  794031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794050 */     GIR_RootConstrainSelectedInstOperands,
     /*  794051 */     // GIR_Coverage, 19344,
     /*  794051 */     GIR_EraseRootFromParent_Done,
     /*  794052 */   // Label 12299: @794052
     /*  794052 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794127), // Rule ID 19347 //
     /*  794057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794125 */     GIR_RootConstrainSelectedInstOperands,
     /*  794126 */     // GIR_Coverage, 19347,
     /*  794126 */     GIR_EraseRootFromParent_Done,
     /*  794127 */   // Label 12300: @794127
     /*  794127 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794202), // Rule ID 19348 //
     /*  794132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  794181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794200 */     GIR_RootConstrainSelectedInstOperands,
     /*  794201 */     // GIR_Coverage, 19348,
     /*  794201 */     GIR_EraseRootFromParent_Done,
     /*  794202 */   // Label 12301: @794202
     /*  794202 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794277), // Rule ID 19351 //
     /*  794207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794275 */     GIR_RootConstrainSelectedInstOperands,
     /*  794276 */     // GIR_Coverage, 19351,
     /*  794276 */     GIR_EraseRootFromParent_Done,
     /*  794277 */   // Label 12302: @794277
     /*  794277 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794352), // Rule ID 19352 //
     /*  794282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  794331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794350 */     GIR_RootConstrainSelectedInstOperands,
     /*  794351 */     // GIR_Coverage, 19352,
     /*  794351 */     GIR_EraseRootFromParent_Done,
     /*  794352 */   // Label 12303: @794352
     /*  794352 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794427), // Rule ID 19355 //
     /*  794357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794425 */     GIR_RootConstrainSelectedInstOperands,
     /*  794426 */     // GIR_Coverage, 19355,
     /*  794426 */     GIR_EraseRootFromParent_Done,
     /*  794427 */   // Label 12304: @794427
     /*  794427 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794502), // Rule ID 19356 //
     /*  794432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  794481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794500 */     GIR_RootConstrainSelectedInstOperands,
     /*  794501 */     // GIR_Coverage, 19356,
     /*  794501 */     GIR_EraseRootFromParent_Done,
     /*  794502 */   // Label 12305: @794502
     /*  794502 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794577), // Rule ID 19359 //
     /*  794507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794575 */     GIR_RootConstrainSelectedInstOperands,
     /*  794576 */     // GIR_Coverage, 19359,
     /*  794576 */     GIR_EraseRootFromParent_Done,
     /*  794577 */   // Label 12306: @794577
     /*  794577 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794652), // Rule ID 19360 //
     /*  794582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  794631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794650 */     GIR_RootConstrainSelectedInstOperands,
     /*  794651 */     // GIR_Coverage, 19360,
     /*  794651 */     GIR_EraseRootFromParent_Done,
     /*  794652 */   // Label 12307: @794652
     /*  794652 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794727), // Rule ID 19363 //
     /*  794657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  794706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794725 */     GIR_RootConstrainSelectedInstOperands,
     /*  794726 */     // GIR_Coverage, 19363,
     /*  794726 */     GIR_EraseRootFromParent_Done,
     /*  794727 */   // Label 12308: @794727
     /*  794727 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794802), // Rule ID 19364 //
     /*  794732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  794781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794800 */     GIR_RootConstrainSelectedInstOperands,
     /*  794801 */     // GIR_Coverage, 19364,
     /*  794801 */     GIR_EraseRootFromParent_Done,
     /*  794802 */   // Label 12309: @794802
     /*  794802 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794877), // Rule ID 19367 //
     /*  794807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  794856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794875 */     GIR_RootConstrainSelectedInstOperands,
     /*  794876 */     // GIR_Coverage, 19367,
     /*  794876 */     GIR_EraseRootFromParent_Done,
     /*  794877 */   // Label 12310: @794877
     /*  794877 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794952), // Rule ID 19368 //
     /*  794882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  794931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794950 */     GIR_RootConstrainSelectedInstOperands,
     /*  794951 */     // GIR_Coverage, 19368,
     /*  794951 */     GIR_EraseRootFromParent_Done,
     /*  794952 */   // Label 12311: @794952
     /*  794952 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(795027), // Rule ID 19371 //
     /*  794957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  794968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  794971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  794974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795025 */     GIR_RootConstrainSelectedInstOperands,
     /*  795026 */     // GIR_Coverage, 19371,
     /*  795026 */     GIR_EraseRootFromParent_Done,
     /*  795027 */   // Label 12312: @795027
     /*  795027 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(795102), // Rule ID 19372 //
     /*  795032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795078 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  795081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795100 */     GIR_RootConstrainSelectedInstOperands,
     /*  795101 */     // GIR_Coverage, 19372,
     /*  795101 */     GIR_EraseRootFromParent_Done,
     /*  795102 */   // Label 12313: @795102
     /*  795102 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795177), // Rule ID 19375 //
     /*  795107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795175 */     GIR_RootConstrainSelectedInstOperands,
     /*  795176 */     // GIR_Coverage, 19375,
     /*  795176 */     GIR_EraseRootFromParent_Done,
     /*  795177 */   // Label 12314: @795177
     /*  795177 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795252), // Rule ID 19376 //
     /*  795182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  795231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795250 */     GIR_RootConstrainSelectedInstOperands,
     /*  795251 */     // GIR_Coverage, 19376,
     /*  795251 */     GIR_EraseRootFromParent_Done,
     /*  795252 */   // Label 12315: @795252
     /*  795252 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795327), // Rule ID 19379 //
     /*  795257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795325 */     GIR_RootConstrainSelectedInstOperands,
     /*  795326 */     // GIR_Coverage, 19379,
     /*  795326 */     GIR_EraseRootFromParent_Done,
     /*  795327 */   // Label 12316: @795327
     /*  795327 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795402), // Rule ID 19380 //
     /*  795332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  795381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795400 */     GIR_RootConstrainSelectedInstOperands,
     /*  795401 */     // GIR_Coverage, 19380,
     /*  795401 */     GIR_EraseRootFromParent_Done,
     /*  795402 */   // Label 12317: @795402
     /*  795402 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795477), // Rule ID 19383 //
     /*  795407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795453 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795475 */     GIR_RootConstrainSelectedInstOperands,
     /*  795476 */     // GIR_Coverage, 19383,
     /*  795476 */     GIR_EraseRootFromParent_Done,
     /*  795477 */   // Label 12318: @795477
     /*  795477 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795552), // Rule ID 19384 //
     /*  795482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  795531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795550 */     GIR_RootConstrainSelectedInstOperands,
     /*  795551 */     // GIR_Coverage, 19384,
     /*  795551 */     GIR_EraseRootFromParent_Done,
     /*  795552 */   // Label 12319: @795552
     /*  795552 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795627), // Rule ID 19387 //
     /*  795557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795603 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  795606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795625 */     GIR_RootConstrainSelectedInstOperands,
     /*  795626 */     // GIR_Coverage, 19387,
     /*  795626 */     GIR_EraseRootFromParent_Done,
     /*  795627 */   // Label 12320: @795627
     /*  795627 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795702), // Rule ID 19388 //
     /*  795632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  795681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795700 */     GIR_RootConstrainSelectedInstOperands,
     /*  795701 */     // GIR_Coverage, 19388,
     /*  795701 */     GIR_EraseRootFromParent_Done,
     /*  795702 */   // Label 12321: @795702
     /*  795702 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795777), // Rule ID 19391 //
     /*  795707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  795756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795775 */     GIR_RootConstrainSelectedInstOperands,
     /*  795776 */     // GIR_Coverage, 19391,
     /*  795776 */     GIR_EraseRootFromParent_Done,
     /*  795777 */   // Label 12322: @795777
     /*  795777 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795852), // Rule ID 19392 //
     /*  795782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  795831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795850 */     GIR_RootConstrainSelectedInstOperands,
     /*  795851 */     // GIR_Coverage, 19392,
     /*  795851 */     GIR_EraseRootFromParent_Done,
     /*  795852 */   // Label 12323: @795852
     /*  795852 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795927), // Rule ID 19395 //
     /*  795857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795903 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  795906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795925 */     GIR_RootConstrainSelectedInstOperands,
     /*  795926 */     // GIR_Coverage, 19395,
     /*  795926 */     GIR_EraseRootFromParent_Done,
     /*  795927 */   // Label 12324: @795927
     /*  795927 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(796002), // Rule ID 19396 //
     /*  795932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  795981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796000 */     GIR_RootConstrainSelectedInstOperands,
     /*  796001 */     // GIR_Coverage, 19396,
     /*  796001 */     GIR_EraseRootFromParent_Done,
     /*  796002 */   // Label 12325: @796002
     /*  796002 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(796077), // Rule ID 19399 //
     /*  796007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796075 */     GIR_RootConstrainSelectedInstOperands,
     /*  796076 */     // GIR_Coverage, 19399,
     /*  796076 */     GIR_EraseRootFromParent_Done,
     /*  796077 */   // Label 12326: @796077
     /*  796077 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796152), // Rule ID 19400 //
     /*  796082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  796131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796150 */     GIR_RootConstrainSelectedInstOperands,
     /*  796151 */     // GIR_Coverage, 19400,
     /*  796151 */     GIR_EraseRootFromParent_Done,
     /*  796152 */   // Label 12327: @796152
     /*  796152 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796227), // Rule ID 19403 //
     /*  796157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796225 */     GIR_RootConstrainSelectedInstOperands,
     /*  796226 */     // GIR_Coverage, 19403,
     /*  796226 */     GIR_EraseRootFromParent_Done,
     /*  796227 */   // Label 12328: @796227
     /*  796227 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796302), // Rule ID 19404 //
     /*  796232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  796281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796300 */     GIR_RootConstrainSelectedInstOperands,
     /*  796301 */     // GIR_Coverage, 19404,
     /*  796301 */     GIR_EraseRootFromParent_Done,
     /*  796302 */   // Label 12329: @796302
     /*  796302 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796377), // Rule ID 19407 //
     /*  796307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796353 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796375 */     GIR_RootConstrainSelectedInstOperands,
     /*  796376 */     // GIR_Coverage, 19407,
     /*  796376 */     GIR_EraseRootFromParent_Done,
     /*  796377 */   // Label 12330: @796377
     /*  796377 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796452), // Rule ID 19408 //
     /*  796382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  796431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796450 */     GIR_RootConstrainSelectedInstOperands,
     /*  796451 */     // GIR_Coverage, 19408,
     /*  796451 */     GIR_EraseRootFromParent_Done,
     /*  796452 */   // Label 12331: @796452
     /*  796452 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796527), // Rule ID 19411 //
     /*  796457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796503 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796525 */     GIR_RootConstrainSelectedInstOperands,
     /*  796526 */     // GIR_Coverage, 19411,
     /*  796526 */     GIR_EraseRootFromParent_Done,
     /*  796527 */   // Label 12332: @796527
     /*  796527 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796602), // Rule ID 19412 //
     /*  796532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  796581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796600 */     GIR_RootConstrainSelectedInstOperands,
     /*  796601 */     // GIR_Coverage, 19412,
     /*  796601 */     GIR_EraseRootFromParent_Done,
     /*  796602 */   // Label 12333: @796602
     /*  796602 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796677), // Rule ID 19415 //
     /*  796607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  796656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796675 */     GIR_RootConstrainSelectedInstOperands,
     /*  796676 */     // GIR_Coverage, 19415,
     /*  796676 */     GIR_EraseRootFromParent_Done,
     /*  796677 */   // Label 12334: @796677
     /*  796677 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796752), // Rule ID 19416 //
     /*  796682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796728 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  796731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796750 */     GIR_RootConstrainSelectedInstOperands,
     /*  796751 */     // GIR_Coverage, 19416,
     /*  796751 */     GIR_EraseRootFromParent_Done,
     /*  796752 */   // Label 12335: @796752
     /*  796752 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796827), // Rule ID 19419 //
     /*  796757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796803 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  796806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796825 */     GIR_RootConstrainSelectedInstOperands,
     /*  796826 */     // GIR_Coverage, 19419,
     /*  796826 */     GIR_EraseRootFromParent_Done,
     /*  796827 */   // Label 12336: @796827
     /*  796827 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796902), // Rule ID 19420 //
     /*  796832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796878 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  796881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796900 */     GIR_RootConstrainSelectedInstOperands,
     /*  796901 */     // GIR_Coverage, 19420,
     /*  796901 */     GIR_EraseRootFromParent_Done,
     /*  796902 */   // Label 12337: @796902
     /*  796902 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796977), // Rule ID 19423 //
     /*  796907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  796918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  796921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  796924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  796927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  796956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796975 */     GIR_RootConstrainSelectedInstOperands,
     /*  796976 */     // GIR_Coverage, 19423,
     /*  796976 */     GIR_EraseRootFromParent_Done,
     /*  796977 */   // Label 12338: @796977
     /*  796977 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(797052), // Rule ID 19424 //
     /*  796982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  796993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  796996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  796999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  797031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797050 */     GIR_RootConstrainSelectedInstOperands,
     /*  797051 */     // GIR_Coverage, 19424,
     /*  797051 */     GIR_EraseRootFromParent_Done,
     /*  797052 */   // Label 12339: @797052
     /*  797052 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797127), // Rule ID 19427 //
     /*  797057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797125 */     GIR_RootConstrainSelectedInstOperands,
     /*  797126 */     // GIR_Coverage, 19427,
     /*  797126 */     GIR_EraseRootFromParent_Done,
     /*  797127 */   // Label 12340: @797127
     /*  797127 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797202), // Rule ID 19428 //
     /*  797132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  797181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797200 */     GIR_RootConstrainSelectedInstOperands,
     /*  797201 */     // GIR_Coverage, 19428,
     /*  797201 */     GIR_EraseRootFromParent_Done,
     /*  797202 */   // Label 12341: @797202
     /*  797202 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797277), // Rule ID 19431 //
     /*  797207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797275 */     GIR_RootConstrainSelectedInstOperands,
     /*  797276 */     // GIR_Coverage, 19431,
     /*  797276 */     GIR_EraseRootFromParent_Done,
     /*  797277 */   // Label 12342: @797277
     /*  797277 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797352), // Rule ID 19432 //
     /*  797282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797328 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  797331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797350 */     GIR_RootConstrainSelectedInstOperands,
     /*  797351 */     // GIR_Coverage, 19432,
     /*  797351 */     GIR_EraseRootFromParent_Done,
     /*  797352 */   // Label 12343: @797352
     /*  797352 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797427), // Rule ID 19435 //
     /*  797357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797403 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797425 */     GIR_RootConstrainSelectedInstOperands,
     /*  797426 */     // GIR_Coverage, 19435,
     /*  797426 */     GIR_EraseRootFromParent_Done,
     /*  797427 */   // Label 12344: @797427
     /*  797427 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797502), // Rule ID 19436 //
     /*  797432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797478 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  797481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797500 */     GIR_RootConstrainSelectedInstOperands,
     /*  797501 */     // GIR_Coverage, 19436,
     /*  797501 */     GIR_EraseRootFromParent_Done,
     /*  797502 */   // Label 12345: @797502
     /*  797502 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797577), // Rule ID 19439 //
     /*  797507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797553 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797575 */     GIR_RootConstrainSelectedInstOperands,
     /*  797576 */     // GIR_Coverage, 19439,
     /*  797576 */     GIR_EraseRootFromParent_Done,
     /*  797577 */   // Label 12346: @797577
     /*  797577 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797652), // Rule ID 19440 //
     /*  797582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  797631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797650 */     GIR_RootConstrainSelectedInstOperands,
     /*  797651 */     // GIR_Coverage, 19440,
     /*  797651 */     GIR_EraseRootFromParent_Done,
     /*  797652 */   // Label 12347: @797652
     /*  797652 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797727), // Rule ID 19443 //
     /*  797657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797703 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  797706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797725 */     GIR_RootConstrainSelectedInstOperands,
     /*  797726 */     // GIR_Coverage, 19443,
     /*  797726 */     GIR_EraseRootFromParent_Done,
     /*  797727 */   // Label 12348: @797727
     /*  797727 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797802), // Rule ID 19444 //
     /*  797732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  797781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797800 */     GIR_RootConstrainSelectedInstOperands,
     /*  797801 */     // GIR_Coverage, 19444,
     /*  797801 */     GIR_EraseRootFromParent_Done,
     /*  797802 */   // Label 12349: @797802
     /*  797802 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797877), // Rule ID 19447 //
     /*  797807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797853 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  797856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797875 */     GIR_RootConstrainSelectedInstOperands,
     /*  797876 */     // GIR_Coverage, 19447,
     /*  797876 */     GIR_EraseRootFromParent_Done,
     /*  797877 */   // Label 12350: @797877
     /*  797877 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797952), // Rule ID 19448 //
     /*  797882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  797931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797950 */     GIR_RootConstrainSelectedInstOperands,
     /*  797951 */     // GIR_Coverage, 19448,
     /*  797951 */     GIR_EraseRootFromParent_Done,
     /*  797952 */   // Label 12351: @797952
     /*  797952 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(798027), // Rule ID 19451 //
     /*  797957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  797968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  797971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  797974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  797977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798003 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798025 */     GIR_RootConstrainSelectedInstOperands,
     /*  798026 */     // GIR_Coverage, 19451,
     /*  798026 */     GIR_EraseRootFromParent_Done,
     /*  798027 */   // Label 12352: @798027
     /*  798027 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(798102), // Rule ID 19452 //
     /*  798032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  798081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798100 */     GIR_RootConstrainSelectedInstOperands,
     /*  798101 */     // GIR_Coverage, 19452,
     /*  798101 */     GIR_EraseRootFromParent_Done,
     /*  798102 */   // Label 12353: @798102
     /*  798102 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798177), // Rule ID 19455 //
     /*  798107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798175 */     GIR_RootConstrainSelectedInstOperands,
     /*  798176 */     // GIR_Coverage, 19455,
     /*  798176 */     GIR_EraseRootFromParent_Done,
     /*  798177 */   // Label 12354: @798177
     /*  798177 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798252), // Rule ID 19456 //
     /*  798182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  798231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798250 */     GIR_RootConstrainSelectedInstOperands,
     /*  798251 */     // GIR_Coverage, 19456,
     /*  798251 */     GIR_EraseRootFromParent_Done,
     /*  798252 */   // Label 12355: @798252
     /*  798252 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798327), // Rule ID 19459 //
     /*  798257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798325 */     GIR_RootConstrainSelectedInstOperands,
     /*  798326 */     // GIR_Coverage, 19459,
     /*  798326 */     GIR_EraseRootFromParent_Done,
     /*  798327 */   // Label 12356: @798327
     /*  798327 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798402), // Rule ID 19460 //
     /*  798332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  798381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798400 */     GIR_RootConstrainSelectedInstOperands,
     /*  798401 */     // GIR_Coverage, 19460,
     /*  798401 */     GIR_EraseRootFromParent_Done,
     /*  798402 */   // Label 12357: @798402
     /*  798402 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798477), // Rule ID 19463 //
     /*  798407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798475 */     GIR_RootConstrainSelectedInstOperands,
     /*  798476 */     // GIR_Coverage, 19463,
     /*  798476 */     GIR_EraseRootFromParent_Done,
     /*  798477 */   // Label 12358: @798477
     /*  798477 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798552), // Rule ID 19464 //
     /*  798482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  798531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798550 */     GIR_RootConstrainSelectedInstOperands,
     /*  798551 */     // GIR_Coverage, 19464,
     /*  798551 */     GIR_EraseRootFromParent_Done,
     /*  798552 */   // Label 12359: @798552
     /*  798552 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798627), // Rule ID 19467 //
     /*  798557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798603 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  798606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798625 */     GIR_RootConstrainSelectedInstOperands,
     /*  798626 */     // GIR_Coverage, 19467,
     /*  798626 */     GIR_EraseRootFromParent_Done,
     /*  798627 */   // Label 12360: @798627
     /*  798627 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798702), // Rule ID 19468 //
     /*  798632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798678 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  798681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798700 */     GIR_RootConstrainSelectedInstOperands,
     /*  798701 */     // GIR_Coverage, 19468,
     /*  798701 */     GIR_EraseRootFromParent_Done,
     /*  798702 */   // Label 12361: @798702
     /*  798702 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798777), // Rule ID 19471 //
     /*  798707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798753 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  798756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798775 */     GIR_RootConstrainSelectedInstOperands,
     /*  798776 */     // GIR_Coverage, 19471,
     /*  798776 */     GIR_EraseRootFromParent_Done,
     /*  798777 */   // Label 12362: @798777
     /*  798777 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798852), // Rule ID 19472 //
     /*  798782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798828 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  798831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798850 */     GIR_RootConstrainSelectedInstOperands,
     /*  798851 */     // GIR_Coverage, 19472,
     /*  798851 */     GIR_EraseRootFromParent_Done,
     /*  798852 */   // Label 12363: @798852
     /*  798852 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798927), // Rule ID 19475 //
     /*  798857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798903 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  798906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798925 */     GIR_RootConstrainSelectedInstOperands,
     /*  798926 */     // GIR_Coverage, 19475,
     /*  798926 */     GIR_EraseRootFromParent_Done,
     /*  798927 */   // Label 12364: @798927
     /*  798927 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(799002), // Rule ID 19476 //
     /*  798932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  798981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799000 */     GIR_RootConstrainSelectedInstOperands,
     /*  799001 */     // GIR_Coverage, 19476,
     /*  799001 */     GIR_EraseRootFromParent_Done,
     /*  799002 */   // Label 12365: @799002
     /*  799002 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(799077), // Rule ID 19479 //
     /*  799007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799075 */     GIR_RootConstrainSelectedInstOperands,
     /*  799076 */     // GIR_Coverage, 19479,
     /*  799076 */     GIR_EraseRootFromParent_Done,
     /*  799077 */   // Label 12366: @799077
     /*  799077 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799152), // Rule ID 19480 //
     /*  799082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  799131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799150 */     GIR_RootConstrainSelectedInstOperands,
     /*  799151 */     // GIR_Coverage, 19480,
     /*  799151 */     GIR_EraseRootFromParent_Done,
     /*  799152 */   // Label 12367: @799152
     /*  799152 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799227), // Rule ID 19483 //
     /*  799157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799225 */     GIR_RootConstrainSelectedInstOperands,
     /*  799226 */     // GIR_Coverage, 19483,
     /*  799226 */     GIR_EraseRootFromParent_Done,
     /*  799227 */   // Label 12368: @799227
     /*  799227 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799302), // Rule ID 19484 //
     /*  799232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799278 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  799281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799300 */     GIR_RootConstrainSelectedInstOperands,
     /*  799301 */     // GIR_Coverage, 19484,
     /*  799301 */     GIR_EraseRootFromParent_Done,
     /*  799302 */   // Label 12369: @799302
     /*  799302 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799377), // Rule ID 19487 //
     /*  799307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799353 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799375 */     GIR_RootConstrainSelectedInstOperands,
     /*  799376 */     // GIR_Coverage, 19487,
     /*  799376 */     GIR_EraseRootFromParent_Done,
     /*  799377 */   // Label 12370: @799377
     /*  799377 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799452), // Rule ID 19488 //
     /*  799382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  799431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799450 */     GIR_RootConstrainSelectedInstOperands,
     /*  799451 */     // GIR_Coverage, 19488,
     /*  799451 */     GIR_EraseRootFromParent_Done,
     /*  799452 */   // Label 12371: @799452
     /*  799452 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799527), // Rule ID 19491 //
     /*  799457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799525 */     GIR_RootConstrainSelectedInstOperands,
     /*  799526 */     // GIR_Coverage, 19491,
     /*  799526 */     GIR_EraseRootFromParent_Done,
     /*  799527 */   // Label 12372: @799527
     /*  799527 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799602), // Rule ID 19492 //
     /*  799532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  799581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799600 */     GIR_RootConstrainSelectedInstOperands,
     /*  799601 */     // GIR_Coverage, 19492,
     /*  799601 */     GIR_EraseRootFromParent_Done,
     /*  799602 */   // Label 12373: @799602
     /*  799602 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799677), // Rule ID 19495 //
     /*  799607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799653 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  799656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799675 */     GIR_RootConstrainSelectedInstOperands,
     /*  799676 */     // GIR_Coverage, 19495,
     /*  799676 */     GIR_EraseRootFromParent_Done,
     /*  799677 */   // Label 12374: @799677
     /*  799677 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799752), // Rule ID 19496 //
     /*  799682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799728 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  799731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799750 */     GIR_RootConstrainSelectedInstOperands,
     /*  799751 */     // GIR_Coverage, 19496,
     /*  799751 */     GIR_EraseRootFromParent_Done,
     /*  799752 */   // Label 12375: @799752
     /*  799752 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799827), // Rule ID 19499 //
     /*  799757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  799806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799825 */     GIR_RootConstrainSelectedInstOperands,
     /*  799826 */     // GIR_Coverage, 19499,
     /*  799826 */     GIR_EraseRootFromParent_Done,
     /*  799827 */   // Label 12376: @799827
     /*  799827 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799902), // Rule ID 19500 //
     /*  799832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799878 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  799881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799900 */     GIR_RootConstrainSelectedInstOperands,
     /*  799901 */     // GIR_Coverage, 19500,
     /*  799901 */     GIR_EraseRootFromParent_Done,
     /*  799902 */   // Label 12377: @799902
     /*  799902 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799977), // Rule ID 19503 //
     /*  799907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799953 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  799956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799975 */     GIR_RootConstrainSelectedInstOperands,
     /*  799976 */     // GIR_Coverage, 19503,
     /*  799976 */     GIR_EraseRootFromParent_Done,
     /*  799977 */   // Label 12378: @799977
     /*  799977 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(800052), // Rule ID 19504 //
     /*  799982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  800031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800050 */     GIR_RootConstrainSelectedInstOperands,
     /*  800051 */     // GIR_Coverage, 19504,
     /*  800051 */     GIR_EraseRootFromParent_Done,
     /*  800052 */   // Label 12379: @800052
     /*  800052 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800127), // Rule ID 19507 //
     /*  800057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800103 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800125 */     GIR_RootConstrainSelectedInstOperands,
     /*  800126 */     // GIR_Coverage, 19507,
     /*  800126 */     GIR_EraseRootFromParent_Done,
     /*  800127 */   // Label 12380: @800127
     /*  800127 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800202), // Rule ID 19508 //
     /*  800132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800178 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  800181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800200 */     GIR_RootConstrainSelectedInstOperands,
     /*  800201 */     // GIR_Coverage, 19508,
     /*  800201 */     GIR_EraseRootFromParent_Done,
     /*  800202 */   // Label 12381: @800202
     /*  800202 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800277), // Rule ID 19511 //
     /*  800207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800253 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800275 */     GIR_RootConstrainSelectedInstOperands,
     /*  800276 */     // GIR_Coverage, 19511,
     /*  800276 */     GIR_EraseRootFromParent_Done,
     /*  800277 */   // Label 12382: @800277
     /*  800277 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800352), // Rule ID 19512 //
     /*  800282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  800331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800350 */     GIR_RootConstrainSelectedInstOperands,
     /*  800351 */     // GIR_Coverage, 19512,
     /*  800351 */     GIR_EraseRootFromParent_Done,
     /*  800352 */   // Label 12383: @800352
     /*  800352 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800427), // Rule ID 19515 //
     /*  800357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800403 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800425 */     GIR_RootConstrainSelectedInstOperands,
     /*  800426 */     // GIR_Coverage, 19515,
     /*  800426 */     GIR_EraseRootFromParent_Done,
     /*  800427 */   // Label 12384: @800427
     /*  800427 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800502), // Rule ID 19516 //
     /*  800432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  800481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800500 */     GIR_RootConstrainSelectedInstOperands,
     /*  800501 */     // GIR_Coverage, 19516,
     /*  800501 */     GIR_EraseRootFromParent_Done,
     /*  800502 */   // Label 12385: @800502
     /*  800502 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800577), // Rule ID 19519 //
     /*  800507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800553 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800575 */     GIR_RootConstrainSelectedInstOperands,
     /*  800576 */     // GIR_Coverage, 19519,
     /*  800576 */     GIR_EraseRootFromParent_Done,
     /*  800577 */   // Label 12386: @800577
     /*  800577 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800652), // Rule ID 19520 //
     /*  800582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  800631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800650 */     GIR_RootConstrainSelectedInstOperands,
     /*  800651 */     // GIR_Coverage, 19520,
     /*  800651 */     GIR_EraseRootFromParent_Done,
     /*  800652 */   // Label 12387: @800652
     /*  800652 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800727), // Rule ID 19523 //
     /*  800657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  800706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800725 */     GIR_RootConstrainSelectedInstOperands,
     /*  800726 */     // GIR_Coverage, 19523,
     /*  800726 */     GIR_EraseRootFromParent_Done,
     /*  800727 */   // Label 12388: @800727
     /*  800727 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800802), // Rule ID 19524 //
     /*  800732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800778 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  800781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800800 */     GIR_RootConstrainSelectedInstOperands,
     /*  800801 */     // GIR_Coverage, 19524,
     /*  800801 */     GIR_EraseRootFromParent_Done,
     /*  800802 */   // Label 12389: @800802
     /*  800802 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800877), // Rule ID 19527 //
     /*  800807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  800856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800875 */     GIR_RootConstrainSelectedInstOperands,
     /*  800876 */     // GIR_Coverage, 19527,
     /*  800876 */     GIR_EraseRootFromParent_Done,
     /*  800877 */   // Label 12390: @800877
     /*  800877 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800952), // Rule ID 19528 //
     /*  800882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  800931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800950 */     GIR_RootConstrainSelectedInstOperands,
     /*  800951 */     // GIR_Coverage, 19528,
     /*  800951 */     GIR_EraseRootFromParent_Done,
     /*  800952 */   // Label 12391: @800952
     /*  800952 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(801027), // Rule ID 19531 //
     /*  800957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  800968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  800971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  800974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  800977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801025 */     GIR_RootConstrainSelectedInstOperands,
     /*  801026 */     // GIR_Coverage, 19531,
     /*  801026 */     GIR_EraseRootFromParent_Done,
     /*  801027 */   // Label 12392: @801027
     /*  801027 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(801102), // Rule ID 19532 //
     /*  801032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  801081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801100 */     GIR_RootConstrainSelectedInstOperands,
     /*  801101 */     // GIR_Coverage, 19532,
     /*  801101 */     GIR_EraseRootFromParent_Done,
     /*  801102 */   // Label 12393: @801102
     /*  801102 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801177), // Rule ID 19535 //
     /*  801107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801175 */     GIR_RootConstrainSelectedInstOperands,
     /*  801176 */     // GIR_Coverage, 19535,
     /*  801176 */     GIR_EraseRootFromParent_Done,
     /*  801177 */   // Label 12394: @801177
     /*  801177 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801252), // Rule ID 19536 //
     /*  801182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  801231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801250 */     GIR_RootConstrainSelectedInstOperands,
     /*  801251 */     // GIR_Coverage, 19536,
     /*  801251 */     GIR_EraseRootFromParent_Done,
     /*  801252 */   // Label 12395: @801252
     /*  801252 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801327), // Rule ID 19539 //
     /*  801257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801325 */     GIR_RootConstrainSelectedInstOperands,
     /*  801326 */     // GIR_Coverage, 19539,
     /*  801326 */     GIR_EraseRootFromParent_Done,
     /*  801327 */   // Label 12396: @801327
     /*  801327 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801402), // Rule ID 19540 //
     /*  801332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  801381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801400 */     GIR_RootConstrainSelectedInstOperands,
     /*  801401 */     // GIR_Coverage, 19540,
     /*  801401 */     GIR_EraseRootFromParent_Done,
     /*  801402 */   // Label 12397: @801402
     /*  801402 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801477), // Rule ID 19543 //
     /*  801407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801475 */     GIR_RootConstrainSelectedInstOperands,
     /*  801476 */     // GIR_Coverage, 19543,
     /*  801476 */     GIR_EraseRootFromParent_Done,
     /*  801477 */   // Label 12398: @801477
     /*  801477 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801552), // Rule ID 19544 //
     /*  801482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  801531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801550 */     GIR_RootConstrainSelectedInstOperands,
     /*  801551 */     // GIR_Coverage, 19544,
     /*  801551 */     GIR_EraseRootFromParent_Done,
     /*  801552 */   // Label 12399: @801552
     /*  801552 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801627), // Rule ID 19547 //
     /*  801557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  801606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801625 */     GIR_RootConstrainSelectedInstOperands,
     /*  801626 */     // GIR_Coverage, 19547,
     /*  801626 */     GIR_EraseRootFromParent_Done,
     /*  801627 */   // Label 12400: @801627
     /*  801627 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801702), // Rule ID 19548 //
     /*  801632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  801681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801700 */     GIR_RootConstrainSelectedInstOperands,
     /*  801701 */     // GIR_Coverage, 19548,
     /*  801701 */     GIR_EraseRootFromParent_Done,
     /*  801702 */   // Label 12401: @801702
     /*  801702 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801777), // Rule ID 19551 //
     /*  801707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801753 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  801756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801775 */     GIR_RootConstrainSelectedInstOperands,
     /*  801776 */     // GIR_Coverage, 19551,
     /*  801776 */     GIR_EraseRootFromParent_Done,
     /*  801777 */   // Label 12402: @801777
     /*  801777 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801852), // Rule ID 19552 //
     /*  801782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  801831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801850 */     GIR_RootConstrainSelectedInstOperands,
     /*  801851 */     // GIR_Coverage, 19552,
     /*  801851 */     GIR_EraseRootFromParent_Done,
     /*  801852 */   // Label 12403: @801852
     /*  801852 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801927), // Rule ID 19555 //
     /*  801857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  801868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  801871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  801877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801903 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  801906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801925 */     GIR_RootConstrainSelectedInstOperands,
     /*  801926 */     // GIR_Coverage, 19555,
     /*  801926 */     GIR_EraseRootFromParent_Done,
     /*  801927 */   // Label 12404: @801927
     /*  801927 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(802002), // Rule ID 19556 //
     /*  801932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  801943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  801946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  801952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  801981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802000 */     GIR_RootConstrainSelectedInstOperands,
     /*  802001 */     // GIR_Coverage, 19556,
     /*  802001 */     GIR_EraseRootFromParent_Done,
     /*  802002 */   // Label 12405: @802002
     /*  802002 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(802077), // Rule ID 19559 //
     /*  802007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802075 */     GIR_RootConstrainSelectedInstOperands,
     /*  802076 */     // GIR_Coverage, 19559,
     /*  802076 */     GIR_EraseRootFromParent_Done,
     /*  802077 */   // Label 12406: @802077
     /*  802077 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802152), // Rule ID 19560 //
     /*  802082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  802131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802150 */     GIR_RootConstrainSelectedInstOperands,
     /*  802151 */     // GIR_Coverage, 19560,
     /*  802151 */     GIR_EraseRootFromParent_Done,
     /*  802152 */   // Label 12407: @802152
     /*  802152 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802227), // Rule ID 19563 //
     /*  802157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802225 */     GIR_RootConstrainSelectedInstOperands,
     /*  802226 */     // GIR_Coverage, 19563,
     /*  802226 */     GIR_EraseRootFromParent_Done,
     /*  802227 */   // Label 12408: @802227
     /*  802227 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802302), // Rule ID 19564 //
     /*  802232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  802281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802300 */     GIR_RootConstrainSelectedInstOperands,
     /*  802301 */     // GIR_Coverage, 19564,
     /*  802301 */     GIR_EraseRootFromParent_Done,
     /*  802302 */   // Label 12409: @802302
     /*  802302 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802377), // Rule ID 19567 //
     /*  802307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802353 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802375 */     GIR_RootConstrainSelectedInstOperands,
     /*  802376 */     // GIR_Coverage, 19567,
     /*  802376 */     GIR_EraseRootFromParent_Done,
     /*  802377 */   // Label 12410: @802377
     /*  802377 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802452), // Rule ID 19568 //
     /*  802382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  802431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802450 */     GIR_RootConstrainSelectedInstOperands,
     /*  802451 */     // GIR_Coverage, 19568,
     /*  802451 */     GIR_EraseRootFromParent_Done,
     /*  802452 */   // Label 12411: @802452
     /*  802452 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802527), // Rule ID 19571 //
     /*  802457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802525 */     GIR_RootConstrainSelectedInstOperands,
     /*  802526 */     // GIR_Coverage, 19571,
     /*  802526 */     GIR_EraseRootFromParent_Done,
     /*  802527 */   // Label 12412: @802527
     /*  802527 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802602), // Rule ID 19572 //
     /*  802532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  802581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802600 */     GIR_RootConstrainSelectedInstOperands,
     /*  802601 */     // GIR_Coverage, 19572,
     /*  802601 */     GIR_EraseRootFromParent_Done,
     /*  802602 */   // Label 12413: @802602
     /*  802602 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802677), // Rule ID 19575 //
     /*  802607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  802656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802675 */     GIR_RootConstrainSelectedInstOperands,
     /*  802676 */     // GIR_Coverage, 19575,
     /*  802676 */     GIR_EraseRootFromParent_Done,
     /*  802677 */   // Label 12414: @802677
     /*  802677 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802752), // Rule ID 19576 //
     /*  802682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  802731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802750 */     GIR_RootConstrainSelectedInstOperands,
     /*  802751 */     // GIR_Coverage, 19576,
     /*  802751 */     GIR_EraseRootFromParent_Done,
     /*  802752 */   // Label 12415: @802752
     /*  802752 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802827), // Rule ID 19579 //
     /*  802757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  802806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802825 */     GIR_RootConstrainSelectedInstOperands,
     /*  802826 */     // GIR_Coverage, 19579,
     /*  802826 */     GIR_EraseRootFromParent_Done,
     /*  802827 */   // Label 12416: @802827
     /*  802827 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802902), // Rule ID 19580 //
     /*  802832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802878 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  802881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802900 */     GIR_RootConstrainSelectedInstOperands,
     /*  802901 */     // GIR_Coverage, 19580,
     /*  802901 */     GIR_EraseRootFromParent_Done,
     /*  802902 */   // Label 12417: @802902
     /*  802902 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802977), // Rule ID 19583 //
     /*  802907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  802918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  802921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  802924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  802927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  802956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802975 */     GIR_RootConstrainSelectedInstOperands,
     /*  802976 */     // GIR_Coverage, 19583,
     /*  802976 */     GIR_EraseRootFromParent_Done,
     /*  802977 */   // Label 12418: @802977
     /*  802977 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(803052), // Rule ID 19584 //
     /*  802982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  802993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  802996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  802999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  803031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803050 */     GIR_RootConstrainSelectedInstOperands,
     /*  803051 */     // GIR_Coverage, 19584,
     /*  803051 */     GIR_EraseRootFromParent_Done,
     /*  803052 */   // Label 12419: @803052
     /*  803052 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803127), // Rule ID 19587 //
     /*  803057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803125 */     GIR_RootConstrainSelectedInstOperands,
     /*  803126 */     // GIR_Coverage, 19587,
     /*  803126 */     GIR_EraseRootFromParent_Done,
     /*  803127 */   // Label 12420: @803127
     /*  803127 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803202), // Rule ID 19588 //
     /*  803132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  803181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803200 */     GIR_RootConstrainSelectedInstOperands,
     /*  803201 */     // GIR_Coverage, 19588,
     /*  803201 */     GIR_EraseRootFromParent_Done,
     /*  803202 */   // Label 12421: @803202
     /*  803202 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803277), // Rule ID 19591 //
     /*  803207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803275 */     GIR_RootConstrainSelectedInstOperands,
     /*  803276 */     // GIR_Coverage, 19591,
     /*  803276 */     GIR_EraseRootFromParent_Done,
     /*  803277 */   // Label 12422: @803277
     /*  803277 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803352), // Rule ID 19592 //
     /*  803282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  803331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803350 */     GIR_RootConstrainSelectedInstOperands,
     /*  803351 */     // GIR_Coverage, 19592,
     /*  803351 */     GIR_EraseRootFromParent_Done,
     /*  803352 */   // Label 12423: @803352
     /*  803352 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803427), // Rule ID 19595 //
     /*  803357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803425 */     GIR_RootConstrainSelectedInstOperands,
     /*  803426 */     // GIR_Coverage, 19595,
     /*  803426 */     GIR_EraseRootFromParent_Done,
     /*  803427 */   // Label 12424: @803427
     /*  803427 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803502), // Rule ID 19596 //
     /*  803432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  803481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803500 */     GIR_RootConstrainSelectedInstOperands,
     /*  803501 */     // GIR_Coverage, 19596,
     /*  803501 */     GIR_EraseRootFromParent_Done,
     /*  803502 */   // Label 12425: @803502
     /*  803502 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803577), // Rule ID 19599 //
     /*  803507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803575 */     GIR_RootConstrainSelectedInstOperands,
     /*  803576 */     // GIR_Coverage, 19599,
     /*  803576 */     GIR_EraseRootFromParent_Done,
     /*  803577 */   // Label 12426: @803577
     /*  803577 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803652), // Rule ID 19600 //
     /*  803582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  803631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803650 */     GIR_RootConstrainSelectedInstOperands,
     /*  803651 */     // GIR_Coverage, 19600,
     /*  803651 */     GIR_EraseRootFromParent_Done,
     /*  803652 */   // Label 12427: @803652
     /*  803652 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803727), // Rule ID 19603 //
     /*  803657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  803706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803725 */     GIR_RootConstrainSelectedInstOperands,
     /*  803726 */     // GIR_Coverage, 19603,
     /*  803726 */     GIR_EraseRootFromParent_Done,
     /*  803727 */   // Label 12428: @803727
     /*  803727 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803802), // Rule ID 19604 //
     /*  803732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  803781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803800 */     GIR_RootConstrainSelectedInstOperands,
     /*  803801 */     // GIR_Coverage, 19604,
     /*  803801 */     GIR_EraseRootFromParent_Done,
     /*  803802 */   // Label 12429: @803802
     /*  803802 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803877), // Rule ID 19607 //
     /*  803807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  803856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803875 */     GIR_RootConstrainSelectedInstOperands,
     /*  803876 */     // GIR_Coverage, 19607,
     /*  803876 */     GIR_EraseRootFromParent_Done,
     /*  803877 */   // Label 12430: @803877
     /*  803877 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803952), // Rule ID 19608 //
     /*  803882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  803931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803950 */     GIR_RootConstrainSelectedInstOperands,
     /*  803951 */     // GIR_Coverage, 19608,
     /*  803951 */     GIR_EraseRootFromParent_Done,
     /*  803952 */   // Label 12431: @803952
     /*  803952 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(804027), // Rule ID 19611 //
     /*  803957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  803968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  803971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  803974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804025 */     GIR_RootConstrainSelectedInstOperands,
     /*  804026 */     // GIR_Coverage, 19611,
     /*  804026 */     GIR_EraseRootFromParent_Done,
     /*  804027 */   // Label 12432: @804027
     /*  804027 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(804102), // Rule ID 19612 //
     /*  804032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804078 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  804081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804100 */     GIR_RootConstrainSelectedInstOperands,
     /*  804101 */     // GIR_Coverage, 19612,
     /*  804101 */     GIR_EraseRootFromParent_Done,
     /*  804102 */   // Label 12433: @804102
     /*  804102 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804177), // Rule ID 19615 //
     /*  804107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804175 */     GIR_RootConstrainSelectedInstOperands,
     /*  804176 */     // GIR_Coverage, 19615,
     /*  804176 */     GIR_EraseRootFromParent_Done,
     /*  804177 */   // Label 12434: @804177
     /*  804177 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804252), // Rule ID 19616 //
     /*  804182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  804231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804250 */     GIR_RootConstrainSelectedInstOperands,
     /*  804251 */     // GIR_Coverage, 19616,
     /*  804251 */     GIR_EraseRootFromParent_Done,
     /*  804252 */   // Label 12435: @804252
     /*  804252 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804327), // Rule ID 19619 //
     /*  804257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804325 */     GIR_RootConstrainSelectedInstOperands,
     /*  804326 */     // GIR_Coverage, 19619,
     /*  804326 */     GIR_EraseRootFromParent_Done,
     /*  804327 */   // Label 12436: @804327
     /*  804327 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804402), // Rule ID 19620 //
     /*  804332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  804381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804400 */     GIR_RootConstrainSelectedInstOperands,
     /*  804401 */     // GIR_Coverage, 19620,
     /*  804401 */     GIR_EraseRootFromParent_Done,
     /*  804402 */   // Label 12437: @804402
     /*  804402 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804477), // Rule ID 19623 //
     /*  804407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804453 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804475 */     GIR_RootConstrainSelectedInstOperands,
     /*  804476 */     // GIR_Coverage, 19623,
     /*  804476 */     GIR_EraseRootFromParent_Done,
     /*  804477 */   // Label 12438: @804477
     /*  804477 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804552), // Rule ID 19624 //
     /*  804482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  804531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804550 */     GIR_RootConstrainSelectedInstOperands,
     /*  804551 */     // GIR_Coverage, 19624,
     /*  804551 */     GIR_EraseRootFromParent_Done,
     /*  804552 */   // Label 12439: @804552
     /*  804552 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804627), // Rule ID 19627 //
     /*  804557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804603 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  804606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804625 */     GIR_RootConstrainSelectedInstOperands,
     /*  804626 */     // GIR_Coverage, 19627,
     /*  804626 */     GIR_EraseRootFromParent_Done,
     /*  804627 */   // Label 12440: @804627
     /*  804627 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804702), // Rule ID 19628 //
     /*  804632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  804681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804700 */     GIR_RootConstrainSelectedInstOperands,
     /*  804701 */     // GIR_Coverage, 19628,
     /*  804701 */     GIR_EraseRootFromParent_Done,
     /*  804702 */   // Label 12441: @804702
     /*  804702 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804777), // Rule ID 19631 //
     /*  804707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  804756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804775 */     GIR_RootConstrainSelectedInstOperands,
     /*  804776 */     // GIR_Coverage, 19631,
     /*  804776 */     GIR_EraseRootFromParent_Done,
     /*  804777 */   // Label 12442: @804777
     /*  804777 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804852), // Rule ID 19632 //
     /*  804782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  804831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804850 */     GIR_RootConstrainSelectedInstOperands,
     /*  804851 */     // GIR_Coverage, 19632,
     /*  804851 */     GIR_EraseRootFromParent_Done,
     /*  804852 */   // Label 12443: @804852
     /*  804852 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804927), // Rule ID 19635 //
     /*  804857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  804868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  804871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  804874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804903 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  804906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804925 */     GIR_RootConstrainSelectedInstOperands,
     /*  804926 */     // GIR_Coverage, 19635,
     /*  804926 */     GIR_EraseRootFromParent_Done,
     /*  804927 */   // Label 12444: @804927
     /*  804927 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(805002), // Rule ID 19636 //
     /*  804932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  804943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  804946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  804949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  804981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805000 */     GIR_RootConstrainSelectedInstOperands,
     /*  805001 */     // GIR_Coverage, 19636,
     /*  805001 */     GIR_EraseRootFromParent_Done,
     /*  805002 */   // Label 12445: @805002
     /*  805002 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(805077), // Rule ID 19639 //
     /*  805007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805075 */     GIR_RootConstrainSelectedInstOperands,
     /*  805076 */     // GIR_Coverage, 19639,
     /*  805076 */     GIR_EraseRootFromParent_Done,
     /*  805077 */   // Label 12446: @805077
     /*  805077 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805152), // Rule ID 19640 //
     /*  805082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  805131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805150 */     GIR_RootConstrainSelectedInstOperands,
     /*  805151 */     // GIR_Coverage, 19640,
     /*  805151 */     GIR_EraseRootFromParent_Done,
     /*  805152 */   // Label 12447: @805152
     /*  805152 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805227), // Rule ID 19643 //
     /*  805157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805225 */     GIR_RootConstrainSelectedInstOperands,
     /*  805226 */     // GIR_Coverage, 19643,
     /*  805226 */     GIR_EraseRootFromParent_Done,
     /*  805227 */   // Label 12448: @805227
     /*  805227 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805302), // Rule ID 19644 //
     /*  805232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  805281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805300 */     GIR_RootConstrainSelectedInstOperands,
     /*  805301 */     // GIR_Coverage, 19644,
     /*  805301 */     GIR_EraseRootFromParent_Done,
     /*  805302 */   // Label 12449: @805302
     /*  805302 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805377), // Rule ID 21861 //
     /*  805307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805375 */     GIR_RootConstrainSelectedInstOperands,
     /*  805376 */     // GIR_Coverage, 21861,
     /*  805376 */     GIR_EraseRootFromParent_Done,
     /*  805377 */   // Label 12450: @805377
     /*  805377 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805452), // Rule ID 21862 //
     /*  805382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  805399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  805431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805450 */     GIR_RootConstrainSelectedInstOperands,
     /*  805451 */     // GIR_Coverage, 21862,
     /*  805451 */     GIR_EraseRootFromParent_Done,
     /*  805452 */   // Label 12451: @805452
     /*  805452 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805527), // Rule ID 21865 //
     /*  805457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805525 */     GIR_RootConstrainSelectedInstOperands,
     /*  805526 */     // GIR_Coverage, 21865,
     /*  805526 */     GIR_EraseRootFromParent_Done,
     /*  805527 */   // Label 12452: @805527
     /*  805527 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805602), // Rule ID 21866 //
     /*  805532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  805549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  805581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805600 */     GIR_RootConstrainSelectedInstOperands,
     /*  805601 */     // GIR_Coverage, 21866,
     /*  805601 */     GIR_EraseRootFromParent_Done,
     /*  805602 */   // Label 12453: @805602
     /*  805602 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805677), // Rule ID 21869 //
     /*  805607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  805656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805675 */     GIR_RootConstrainSelectedInstOperands,
     /*  805676 */     // GIR_Coverage, 21869,
     /*  805676 */     GIR_EraseRootFromParent_Done,
     /*  805677 */   // Label 12454: @805677
     /*  805677 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805752), // Rule ID 21870 //
     /*  805682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  805731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805750 */     GIR_RootConstrainSelectedInstOperands,
     /*  805751 */     // GIR_Coverage, 21870,
     /*  805751 */     GIR_EraseRootFromParent_Done,
     /*  805752 */   // Label 12455: @805752
     /*  805752 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805827), // Rule ID 21873 //
     /*  805757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  805806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805825 */     GIR_RootConstrainSelectedInstOperands,
     /*  805826 */     // GIR_Coverage, 21873,
     /*  805826 */     GIR_EraseRootFromParent_Done,
     /*  805827 */   // Label 12456: @805827
     /*  805827 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805902), // Rule ID 21874 //
     /*  805832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  805881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805900 */     GIR_RootConstrainSelectedInstOperands,
     /*  805901 */     // GIR_Coverage, 21874,
     /*  805901 */     GIR_EraseRootFromParent_Done,
     /*  805902 */   // Label 12457: @805902
     /*  805902 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805977), // Rule ID 21877 //
     /*  805907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  805956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805975 */     GIR_RootConstrainSelectedInstOperands,
     /*  805976 */     // GIR_Coverage, 21877,
     /*  805976 */     GIR_EraseRootFromParent_Done,
     /*  805977 */   // Label 12458: @805977
     /*  805977 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(806052), // Rule ID 21878 //
     /*  805982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  806031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806050 */     GIR_RootConstrainSelectedInstOperands,
     /*  806051 */     // GIR_Coverage, 21878,
     /*  806051 */     GIR_EraseRootFromParent_Done,
     /*  806052 */   // Label 12459: @806052
     /*  806052 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806127), // Rule ID 21881 //
     /*  806057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806125 */     GIR_RootConstrainSelectedInstOperands,
     /*  806126 */     // GIR_Coverage, 21881,
     /*  806126 */     GIR_EraseRootFromParent_Done,
     /*  806127 */   // Label 12460: @806127
     /*  806127 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806202), // Rule ID 21882 //
     /*  806132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  806181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806200 */     GIR_RootConstrainSelectedInstOperands,
     /*  806201 */     // GIR_Coverage, 21882,
     /*  806201 */     GIR_EraseRootFromParent_Done,
     /*  806202 */   // Label 12461: @806202
     /*  806202 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806277), // Rule ID 21885 //
     /*  806207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806275 */     GIR_RootConstrainSelectedInstOperands,
     /*  806276 */     // GIR_Coverage, 21885,
     /*  806276 */     GIR_EraseRootFromParent_Done,
     /*  806277 */   // Label 12462: @806277
     /*  806277 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806352), // Rule ID 21886 //
     /*  806282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  806331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806350 */     GIR_RootConstrainSelectedInstOperands,
     /*  806351 */     // GIR_Coverage, 21886,
     /*  806351 */     GIR_EraseRootFromParent_Done,
     /*  806352 */   // Label 12463: @806352
     /*  806352 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806427), // Rule ID 21889 //
     /*  806357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806425 */     GIR_RootConstrainSelectedInstOperands,
     /*  806426 */     // GIR_Coverage, 21889,
     /*  806426 */     GIR_EraseRootFromParent_Done,
     /*  806427 */   // Label 12464: @806427
     /*  806427 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806502), // Rule ID 21890 //
     /*  806432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  806481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806500 */     GIR_RootConstrainSelectedInstOperands,
     /*  806501 */     // GIR_Coverage, 21890,
     /*  806501 */     GIR_EraseRootFromParent_Done,
     /*  806502 */   // Label 12465: @806502
     /*  806502 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806577), // Rule ID 21893 //
     /*  806507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806575 */     GIR_RootConstrainSelectedInstOperands,
     /*  806576 */     // GIR_Coverage, 21893,
     /*  806576 */     GIR_EraseRootFromParent_Done,
     /*  806577 */   // Label 12466: @806577
     /*  806577 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806652), // Rule ID 21894 //
     /*  806582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  806585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  806631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806650 */     GIR_RootConstrainSelectedInstOperands,
     /*  806651 */     // GIR_Coverage, 21894,
     /*  806651 */     GIR_EraseRootFromParent_Done,
     /*  806652 */   // Label 12467: @806652
     /*  806652 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806727), // Rule ID 21897 //
     /*  806657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  806674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  806706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806725 */     GIR_RootConstrainSelectedInstOperands,
     /*  806726 */     // GIR_Coverage, 21897,
     /*  806726 */     GIR_EraseRootFromParent_Done,
     /*  806727 */   // Label 12468: @806727
     /*  806727 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806802), // Rule ID 21898 //
     /*  806732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  806749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  806781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806800 */     GIR_RootConstrainSelectedInstOperands,
     /*  806801 */     // GIR_Coverage, 21898,
     /*  806801 */     GIR_EraseRootFromParent_Done,
     /*  806802 */   // Label 12469: @806802
     /*  806802 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806877), // Rule ID 21901 //
     /*  806807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  806824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  806856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806875 */     GIR_RootConstrainSelectedInstOperands,
     /*  806876 */     // GIR_Coverage, 21901,
     /*  806876 */     GIR_EraseRootFromParent_Done,
     /*  806877 */   // Label 12470: @806877
     /*  806877 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806952), // Rule ID 21902 //
     /*  806882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  806899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  806931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806950 */     GIR_RootConstrainSelectedInstOperands,
     /*  806951 */     // GIR_Coverage, 21902,
     /*  806951 */     GIR_EraseRootFromParent_Done,
     /*  806952 */   // Label 12471: @806952
     /*  806952 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(807027), // Rule ID 21905 //
     /*  806957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  806974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807025 */     GIR_RootConstrainSelectedInstOperands,
     /*  807026 */     // GIR_Coverage, 21905,
     /*  807026 */     GIR_EraseRootFromParent_Done,
     /*  807027 */   // Label 12472: @807027
     /*  807027 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(807102), // Rule ID 21906 //
     /*  807032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  807081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807100 */     GIR_RootConstrainSelectedInstOperands,
     /*  807101 */     // GIR_Coverage, 21906,
     /*  807101 */     GIR_EraseRootFromParent_Done,
     /*  807102 */   // Label 12473: @807102
     /*  807102 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807177), // Rule ID 21909 //
     /*  807107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807175 */     GIR_RootConstrainSelectedInstOperands,
     /*  807176 */     // GIR_Coverage, 21909,
     /*  807176 */     GIR_EraseRootFromParent_Done,
     /*  807177 */   // Label 12474: @807177
     /*  807177 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807252), // Rule ID 21910 //
     /*  807182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  807231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807250 */     GIR_RootConstrainSelectedInstOperands,
     /*  807251 */     // GIR_Coverage, 21910,
     /*  807251 */     GIR_EraseRootFromParent_Done,
     /*  807252 */   // Label 12475: @807252
     /*  807252 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807327), // Rule ID 21913 //
     /*  807257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807325 */     GIR_RootConstrainSelectedInstOperands,
     /*  807326 */     // GIR_Coverage, 21913,
     /*  807326 */     GIR_EraseRootFromParent_Done,
     /*  807327 */   // Label 12476: @807327
     /*  807327 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807402), // Rule ID 21914 //
     /*  807332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  807381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807400 */     GIR_RootConstrainSelectedInstOperands,
     /*  807401 */     // GIR_Coverage, 21914,
     /*  807401 */     GIR_EraseRootFromParent_Done,
     /*  807402 */   // Label 12477: @807402
     /*  807402 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807477), // Rule ID 21917 //
     /*  807407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807475 */     GIR_RootConstrainSelectedInstOperands,
     /*  807476 */     // GIR_Coverage, 21917,
     /*  807476 */     GIR_EraseRootFromParent_Done,
     /*  807477 */   // Label 12478: @807477
     /*  807477 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807552), // Rule ID 21918 //
     /*  807482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  807531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807550 */     GIR_RootConstrainSelectedInstOperands,
     /*  807551 */     // GIR_Coverage, 21918,
     /*  807551 */     GIR_EraseRootFromParent_Done,
     /*  807552 */   // Label 12479: @807552
     /*  807552 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807627), // Rule ID 21921 //
     /*  807557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  807606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807625 */     GIR_RootConstrainSelectedInstOperands,
     /*  807626 */     // GIR_Coverage, 21921,
     /*  807626 */     GIR_EraseRootFromParent_Done,
     /*  807627 */   // Label 12480: @807627
     /*  807627 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807702), // Rule ID 21922 //
     /*  807632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  807681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807700 */     GIR_RootConstrainSelectedInstOperands,
     /*  807701 */     // GIR_Coverage, 21922,
     /*  807701 */     GIR_EraseRootFromParent_Done,
     /*  807702 */   // Label 12481: @807702
     /*  807702 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807777), // Rule ID 21925 //
     /*  807707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  807756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807775 */     GIR_RootConstrainSelectedInstOperands,
     /*  807776 */     // GIR_Coverage, 21925,
     /*  807776 */     GIR_EraseRootFromParent_Done,
     /*  807777 */   // Label 12482: @807777
     /*  807777 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807852), // Rule ID 21926 //
     /*  807782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  807831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807850 */     GIR_RootConstrainSelectedInstOperands,
     /*  807851 */     // GIR_Coverage, 21926,
     /*  807851 */     GIR_EraseRootFromParent_Done,
     /*  807852 */   // Label 12483: @807852
     /*  807852 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807927), // Rule ID 21929 //
     /*  807857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  807906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807925 */     GIR_RootConstrainSelectedInstOperands,
     /*  807926 */     // GIR_Coverage, 21929,
     /*  807926 */     GIR_EraseRootFromParent_Done,
     /*  807927 */   // Label 12484: @807927
     /*  807927 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(808002), // Rule ID 21930 //
     /*  807932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  807981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808000 */     GIR_RootConstrainSelectedInstOperands,
     /*  808001 */     // GIR_Coverage, 21930,
     /*  808001 */     GIR_EraseRootFromParent_Done,
     /*  808002 */   // Label 12485: @808002
     /*  808002 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(808077), // Rule ID 21933 //
     /*  808007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808075 */     GIR_RootConstrainSelectedInstOperands,
     /*  808076 */     // GIR_Coverage, 21933,
     /*  808076 */     GIR_EraseRootFromParent_Done,
     /*  808077 */   // Label 12486: @808077
     /*  808077 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808152), // Rule ID 21934 //
     /*  808082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  808131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808150 */     GIR_RootConstrainSelectedInstOperands,
     /*  808151 */     // GIR_Coverage, 21934,
     /*  808151 */     GIR_EraseRootFromParent_Done,
     /*  808152 */   // Label 12487: @808152
     /*  808152 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808227), // Rule ID 21937 //
     /*  808157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808225 */     GIR_RootConstrainSelectedInstOperands,
     /*  808226 */     // GIR_Coverage, 21937,
     /*  808226 */     GIR_EraseRootFromParent_Done,
     /*  808227 */   // Label 12488: @808227
     /*  808227 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808302), // Rule ID 21938 //
     /*  808232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  808281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808300 */     GIR_RootConstrainSelectedInstOperands,
     /*  808301 */     // GIR_Coverage, 21938,
     /*  808301 */     GIR_EraseRootFromParent_Done,
     /*  808302 */   // Label 12489: @808302
     /*  808302 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808377), // Rule ID 21941 //
     /*  808307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808375 */     GIR_RootConstrainSelectedInstOperands,
     /*  808376 */     // GIR_Coverage, 21941,
     /*  808376 */     GIR_EraseRootFromParent_Done,
     /*  808377 */   // Label 12490: @808377
     /*  808377 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808452), // Rule ID 21942 //
     /*  808382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  808390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  808431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808450 */     GIR_RootConstrainSelectedInstOperands,
     /*  808451 */     // GIR_Coverage, 21942,
     /*  808451 */     GIR_EraseRootFromParent_Done,
     /*  808452 */   // Label 12491: @808452
     /*  808452 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808527), // Rule ID 21945 //
     /*  808457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808525 */     GIR_RootConstrainSelectedInstOperands,
     /*  808526 */     // GIR_Coverage, 21945,
     /*  808526 */     GIR_EraseRootFromParent_Done,
     /*  808527 */   // Label 12492: @808527
     /*  808527 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808602), // Rule ID 21946 //
     /*  808532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  808549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  808581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808600 */     GIR_RootConstrainSelectedInstOperands,
     /*  808601 */     // GIR_Coverage, 21946,
     /*  808601 */     GIR_EraseRootFromParent_Done,
     /*  808602 */   // Label 12493: @808602
     /*  808602 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808677), // Rule ID 21949 //
     /*  808607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  808624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  808656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808675 */     GIR_RootConstrainSelectedInstOperands,
     /*  808676 */     // GIR_Coverage, 21949,
     /*  808676 */     GIR_EraseRootFromParent_Done,
     /*  808677 */   // Label 12494: @808677
     /*  808677 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808752), // Rule ID 21950 //
     /*  808682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  808699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  808731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808750 */     GIR_RootConstrainSelectedInstOperands,
     /*  808751 */     // GIR_Coverage, 21950,
     /*  808751 */     GIR_EraseRootFromParent_Done,
     /*  808752 */   // Label 12495: @808752
     /*  808752 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808827), // Rule ID 21953 //
     /*  808757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  808774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  808806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808825 */     GIR_RootConstrainSelectedInstOperands,
     /*  808826 */     // GIR_Coverage, 21953,
     /*  808826 */     GIR_EraseRootFromParent_Done,
     /*  808827 */   // Label 12496: @808827
     /*  808827 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808902), // Rule ID 21954 //
     /*  808832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  808849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  808881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808900 */     GIR_RootConstrainSelectedInstOperands,
     /*  808901 */     // GIR_Coverage, 21954,
     /*  808901 */     GIR_EraseRootFromParent_Done,
     /*  808902 */   // Label 12497: @808902
     /*  808902 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808977), // Rule ID 21957 //
     /*  808907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  808924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  808956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808975 */     GIR_RootConstrainSelectedInstOperands,
     /*  808976 */     // GIR_Coverage, 21957,
     /*  808976 */     GIR_EraseRootFromParent_Done,
     /*  808977 */   // Label 12498: @808977
     /*  808977 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(809052), // Rule ID 21958 //
     /*  808982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  808999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  809031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809050 */     GIR_RootConstrainSelectedInstOperands,
     /*  809051 */     // GIR_Coverage, 21958,
     /*  809051 */     GIR_EraseRootFromParent_Done,
     /*  809052 */   // Label 12499: @809052
     /*  809052 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809127), // Rule ID 21961 //
     /*  809057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809125 */     GIR_RootConstrainSelectedInstOperands,
     /*  809126 */     // GIR_Coverage, 21961,
     /*  809126 */     GIR_EraseRootFromParent_Done,
     /*  809127 */   // Label 12500: @809127
     /*  809127 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809202), // Rule ID 21962 //
     /*  809132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  809181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809200 */     GIR_RootConstrainSelectedInstOperands,
     /*  809201 */     // GIR_Coverage, 21962,
     /*  809201 */     GIR_EraseRootFromParent_Done,
     /*  809202 */   // Label 12501: @809202
     /*  809202 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809277), // Rule ID 21965 //
     /*  809207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809275 */     GIR_RootConstrainSelectedInstOperands,
     /*  809276 */     // GIR_Coverage, 21965,
     /*  809276 */     GIR_EraseRootFromParent_Done,
     /*  809277 */   // Label 12502: @809277
     /*  809277 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809352), // Rule ID 21966 //
     /*  809282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  809331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809350 */     GIR_RootConstrainSelectedInstOperands,
     /*  809351 */     // GIR_Coverage, 21966,
     /*  809351 */     GIR_EraseRootFromParent_Done,
     /*  809352 */   // Label 12503: @809352
     /*  809352 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809427), // Rule ID 21969 //
     /*  809357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809425 */     GIR_RootConstrainSelectedInstOperands,
     /*  809426 */     // GIR_Coverage, 21969,
     /*  809426 */     GIR_EraseRootFromParent_Done,
     /*  809427 */   // Label 12504: @809427
     /*  809427 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809502), // Rule ID 21970 //
     /*  809432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  809449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  809481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809500 */     GIR_RootConstrainSelectedInstOperands,
     /*  809501 */     // GIR_Coverage, 21970,
     /*  809501 */     GIR_EraseRootFromParent_Done,
     /*  809502 */   // Label 12505: @809502
     /*  809502 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809577), // Rule ID 21973 //
     /*  809507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809575 */     GIR_RootConstrainSelectedInstOperands,
     /*  809576 */     // GIR_Coverage, 21973,
     /*  809576 */     GIR_EraseRootFromParent_Done,
     /*  809577 */   // Label 12506: @809577
     /*  809577 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809652), // Rule ID 21974 //
     /*  809582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  809599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  809631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809650 */     GIR_RootConstrainSelectedInstOperands,
     /*  809651 */     // GIR_Coverage, 21974,
     /*  809651 */     GIR_EraseRootFromParent_Done,
     /*  809652 */   // Label 12507: @809652
     /*  809652 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809727), // Rule ID 21977 //
     /*  809657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  809674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  809706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809725 */     GIR_RootConstrainSelectedInstOperands,
     /*  809726 */     // GIR_Coverage, 21977,
     /*  809726 */     GIR_EraseRootFromParent_Done,
     /*  809727 */   // Label 12508: @809727
     /*  809727 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809802), // Rule ID 21978 //
     /*  809732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  809749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  809781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809800 */     GIR_RootConstrainSelectedInstOperands,
     /*  809801 */     // GIR_Coverage, 21978,
     /*  809801 */     GIR_EraseRootFromParent_Done,
     /*  809802 */   // Label 12509: @809802
     /*  809802 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809877), // Rule ID 21981 //
     /*  809807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  809856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809875 */     GIR_RootConstrainSelectedInstOperands,
     /*  809876 */     // GIR_Coverage, 21981,
     /*  809876 */     GIR_EraseRootFromParent_Done,
     /*  809877 */   // Label 12510: @809877
     /*  809877 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809952), // Rule ID 21982 //
     /*  809882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  809931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809950 */     GIR_RootConstrainSelectedInstOperands,
     /*  809951 */     // GIR_Coverage, 21982,
     /*  809951 */     GIR_EraseRootFromParent_Done,
     /*  809952 */   // Label 12511: @809952
     /*  809952 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(810027), // Rule ID 21985 //
     /*  809957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  809974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810025 */     GIR_RootConstrainSelectedInstOperands,
     /*  810026 */     // GIR_Coverage, 21985,
     /*  810026 */     GIR_EraseRootFromParent_Done,
     /*  810027 */   // Label 12512: @810027
     /*  810027 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(810102), // Rule ID 21986 //
     /*  810032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  810081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810100 */     GIR_RootConstrainSelectedInstOperands,
     /*  810101 */     // GIR_Coverage, 21986,
     /*  810101 */     GIR_EraseRootFromParent_Done,
     /*  810102 */   // Label 12513: @810102
     /*  810102 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810177), // Rule ID 21989 //
     /*  810107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810175 */     GIR_RootConstrainSelectedInstOperands,
     /*  810176 */     // GIR_Coverage, 21989,
     /*  810176 */     GIR_EraseRootFromParent_Done,
     /*  810177 */   // Label 12514: @810177
     /*  810177 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810252), // Rule ID 21990 //
     /*  810182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  810231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810250 */     GIR_RootConstrainSelectedInstOperands,
     /*  810251 */     // GIR_Coverage, 21990,
     /*  810251 */     GIR_EraseRootFromParent_Done,
     /*  810252 */   // Label 12515: @810252
     /*  810252 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810327), // Rule ID 21993 //
     /*  810257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810325 */     GIR_RootConstrainSelectedInstOperands,
     /*  810326 */     // GIR_Coverage, 21993,
     /*  810326 */     GIR_EraseRootFromParent_Done,
     /*  810327 */   // Label 12516: @810327
     /*  810327 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810402), // Rule ID 21994 //
     /*  810332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  810381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810400 */     GIR_RootConstrainSelectedInstOperands,
     /*  810401 */     // GIR_Coverage, 21994,
     /*  810401 */     GIR_EraseRootFromParent_Done,
     /*  810402 */   // Label 12517: @810402
     /*  810402 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810477), // Rule ID 21997 //
     /*  810407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810475 */     GIR_RootConstrainSelectedInstOperands,
     /*  810476 */     // GIR_Coverage, 21997,
     /*  810476 */     GIR_EraseRootFromParent_Done,
     /*  810477 */   // Label 12518: @810477
     /*  810477 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810552), // Rule ID 21998 //
     /*  810482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  810499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  810531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810550 */     GIR_RootConstrainSelectedInstOperands,
     /*  810551 */     // GIR_Coverage, 21998,
     /*  810551 */     GIR_EraseRootFromParent_Done,
     /*  810552 */   // Label 12519: @810552
     /*  810552 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810627), // Rule ID 22001 //
     /*  810557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  810574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  810606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810625 */     GIR_RootConstrainSelectedInstOperands,
     /*  810626 */     // GIR_Coverage, 22001,
     /*  810626 */     GIR_EraseRootFromParent_Done,
     /*  810627 */   // Label 12520: @810627
     /*  810627 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810702), // Rule ID 22002 //
     /*  810632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  810649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  810681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810700 */     GIR_RootConstrainSelectedInstOperands,
     /*  810701 */     // GIR_Coverage, 22002,
     /*  810701 */     GIR_EraseRootFromParent_Done,
     /*  810702 */   // Label 12521: @810702
     /*  810702 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810777), // Rule ID 22005 //
     /*  810707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  810724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  810756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810775 */     GIR_RootConstrainSelectedInstOperands,
     /*  810776 */     // GIR_Coverage, 22005,
     /*  810776 */     GIR_EraseRootFromParent_Done,
     /*  810777 */   // Label 12522: @810777
     /*  810777 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810852), // Rule ID 22006 //
     /*  810782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  810799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  810831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810850 */     GIR_RootConstrainSelectedInstOperands,
     /*  810851 */     // GIR_Coverage, 22006,
     /*  810851 */     GIR_EraseRootFromParent_Done,
     /*  810852 */   // Label 12523: @810852
     /*  810852 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810927), // Rule ID 22009 //
     /*  810857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  810874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  810906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810925 */     GIR_RootConstrainSelectedInstOperands,
     /*  810926 */     // GIR_Coverage, 22009,
     /*  810926 */     GIR_EraseRootFromParent_Done,
     /*  810927 */   // Label 12524: @810927
     /*  810927 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(811002), // Rule ID 22010 //
     /*  810932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  810949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  810981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811000 */     GIR_RootConstrainSelectedInstOperands,
     /*  811001 */     // GIR_Coverage, 22010,
     /*  811001 */     GIR_EraseRootFromParent_Done,
     /*  811002 */   // Label 12525: @811002
     /*  811002 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(811077), // Rule ID 22013 //
     /*  811007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811075 */     GIR_RootConstrainSelectedInstOperands,
     /*  811076 */     // GIR_Coverage, 22013,
     /*  811076 */     GIR_EraseRootFromParent_Done,
     /*  811077 */   // Label 12526: @811077
     /*  811077 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811152), // Rule ID 22014 //
     /*  811082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  811131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811150 */     GIR_RootConstrainSelectedInstOperands,
     /*  811151 */     // GIR_Coverage, 22014,
     /*  811151 */     GIR_EraseRootFromParent_Done,
     /*  811152 */   // Label 12527: @811152
     /*  811152 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811227), // Rule ID 22017 //
     /*  811157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811225 */     GIR_RootConstrainSelectedInstOperands,
     /*  811226 */     // GIR_Coverage, 22017,
     /*  811226 */     GIR_EraseRootFromParent_Done,
     /*  811227 */   // Label 12528: @811227
     /*  811227 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811302), // Rule ID 22018 //
     /*  811232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  811281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811300 */     GIR_RootConstrainSelectedInstOperands,
     /*  811301 */     // GIR_Coverage, 22018,
     /*  811301 */     GIR_EraseRootFromParent_Done,
     /*  811302 */   // Label 12529: @811302
     /*  811302 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811377), // Rule ID 22021 //
     /*  811307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811375 */     GIR_RootConstrainSelectedInstOperands,
     /*  811376 */     // GIR_Coverage, 22021,
     /*  811376 */     GIR_EraseRootFromParent_Done,
     /*  811377 */   // Label 12530: @811377
     /*  811377 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811452), // Rule ID 22022 //
     /*  811382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  811399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  811431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811450 */     GIR_RootConstrainSelectedInstOperands,
     /*  811451 */     // GIR_Coverage, 22022,
     /*  811451 */     GIR_EraseRootFromParent_Done,
     /*  811452 */   // Label 12531: @811452
     /*  811452 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811527), // Rule ID 22025 //
     /*  811457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811525 */     GIR_RootConstrainSelectedInstOperands,
     /*  811526 */     // GIR_Coverage, 22025,
     /*  811526 */     GIR_EraseRootFromParent_Done,
     /*  811527 */   // Label 12532: @811527
     /*  811527 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811602), // Rule ID 22026 //
     /*  811532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  811549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  811581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811600 */     GIR_RootConstrainSelectedInstOperands,
     /*  811601 */     // GIR_Coverage, 22026,
     /*  811601 */     GIR_EraseRootFromParent_Done,
     /*  811602 */   // Label 12533: @811602
     /*  811602 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811677), // Rule ID 22029 //
     /*  811607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  811624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  811656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811675 */     GIR_RootConstrainSelectedInstOperands,
     /*  811676 */     // GIR_Coverage, 22029,
     /*  811676 */     GIR_EraseRootFromParent_Done,
     /*  811677 */   // Label 12534: @811677
     /*  811677 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811752), // Rule ID 22030 //
     /*  811682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  811690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  811699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  811731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811750 */     GIR_RootConstrainSelectedInstOperands,
     /*  811751 */     // GIR_Coverage, 22030,
     /*  811751 */     GIR_EraseRootFromParent_Done,
     /*  811752 */   // Label 12535: @811752
     /*  811752 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811827), // Rule ID 22033 //
     /*  811757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  811806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811825 */     GIR_RootConstrainSelectedInstOperands,
     /*  811826 */     // GIR_Coverage, 22033,
     /*  811826 */     GIR_EraseRootFromParent_Done,
     /*  811827 */   // Label 12536: @811827
     /*  811827 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811902), // Rule ID 22034 //
     /*  811832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  811881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811900 */     GIR_RootConstrainSelectedInstOperands,
     /*  811901 */     // GIR_Coverage, 22034,
     /*  811901 */     GIR_EraseRootFromParent_Done,
     /*  811902 */   // Label 12537: @811902
     /*  811902 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811977), // Rule ID 22037 //
     /*  811907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  811924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  811956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811975 */     GIR_RootConstrainSelectedInstOperands,
     /*  811976 */     // GIR_Coverage, 22037,
     /*  811976 */     GIR_EraseRootFromParent_Done,
     /*  811977 */   // Label 12538: @811977
     /*  811977 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(812052), // Rule ID 22038 //
     /*  811982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  811999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  812031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812050 */     GIR_RootConstrainSelectedInstOperands,
     /*  812051 */     // GIR_Coverage, 22038,
     /*  812051 */     GIR_EraseRootFromParent_Done,
     /*  812052 */   // Label 12539: @812052
     /*  812052 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812127), // Rule ID 22041 //
     /*  812057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812125 */     GIR_RootConstrainSelectedInstOperands,
     /*  812126 */     // GIR_Coverage, 22041,
     /*  812126 */     GIR_EraseRootFromParent_Done,
     /*  812127 */   // Label 12540: @812127
     /*  812127 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812202), // Rule ID 22042 //
     /*  812132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  812181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812200 */     GIR_RootConstrainSelectedInstOperands,
     /*  812201 */     // GIR_Coverage, 22042,
     /*  812201 */     GIR_EraseRootFromParent_Done,
     /*  812202 */   // Label 12541: @812202
     /*  812202 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812277), // Rule ID 22045 //
     /*  812207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812275 */     GIR_RootConstrainSelectedInstOperands,
     /*  812276 */     // GIR_Coverage, 22045,
     /*  812276 */     GIR_EraseRootFromParent_Done,
     /*  812277 */   // Label 12542: @812277
     /*  812277 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812352), // Rule ID 22046 //
     /*  812282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  812331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812350 */     GIR_RootConstrainSelectedInstOperands,
     /*  812351 */     // GIR_Coverage, 22046,
     /*  812351 */     GIR_EraseRootFromParent_Done,
     /*  812352 */   // Label 12543: @812352
     /*  812352 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812427), // Rule ID 22049 //
     /*  812357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812425 */     GIR_RootConstrainSelectedInstOperands,
     /*  812426 */     // GIR_Coverage, 22049,
     /*  812426 */     GIR_EraseRootFromParent_Done,
     /*  812427 */   // Label 12544: @812427
     /*  812427 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812502), // Rule ID 22050 //
     /*  812432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  812481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812500 */     GIR_RootConstrainSelectedInstOperands,
     /*  812501 */     // GIR_Coverage, 22050,
     /*  812501 */     GIR_EraseRootFromParent_Done,
     /*  812502 */   // Label 12545: @812502
     /*  812502 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812577), // Rule ID 22053 //
     /*  812507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812575 */     GIR_RootConstrainSelectedInstOperands,
     /*  812576 */     // GIR_Coverage, 22053,
     /*  812576 */     GIR_EraseRootFromParent_Done,
     /*  812577 */   // Label 12546: @812577
     /*  812577 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812652), // Rule ID 22054 //
     /*  812582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  812631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812650 */     GIR_RootConstrainSelectedInstOperands,
     /*  812651 */     // GIR_Coverage, 22054,
     /*  812651 */     GIR_EraseRootFromParent_Done,
     /*  812652 */   // Label 12547: @812652
     /*  812652 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812727), // Rule ID 22057 //
     /*  812657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  812706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812725 */     GIR_RootConstrainSelectedInstOperands,
     /*  812726 */     // GIR_Coverage, 22057,
     /*  812726 */     GIR_EraseRootFromParent_Done,
     /*  812727 */   // Label 12548: @812727
     /*  812727 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812802), // Rule ID 22058 //
     /*  812732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  812781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812800 */     GIR_RootConstrainSelectedInstOperands,
     /*  812801 */     // GIR_Coverage, 22058,
     /*  812801 */     GIR_EraseRootFromParent_Done,
     /*  812802 */   // Label 12549: @812802
     /*  812802 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812877), // Rule ID 22061 //
     /*  812807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  812824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  812856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812875 */     GIR_RootConstrainSelectedInstOperands,
     /*  812876 */     // GIR_Coverage, 22061,
     /*  812876 */     GIR_EraseRootFromParent_Done,
     /*  812877 */   // Label 12550: @812877
     /*  812877 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812952), // Rule ID 22062 //
     /*  812882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  812899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  812931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812950 */     GIR_RootConstrainSelectedInstOperands,
     /*  812951 */     // GIR_Coverage, 22062,
     /*  812951 */     GIR_EraseRootFromParent_Done,
     /*  812952 */   // Label 12551: @812952
     /*  812952 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(813027), // Rule ID 22065 //
     /*  812957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  812974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813025 */     GIR_RootConstrainSelectedInstOperands,
     /*  813026 */     // GIR_Coverage, 22065,
     /*  813026 */     GIR_EraseRootFromParent_Done,
     /*  813027 */   // Label 12552: @813027
     /*  813027 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(813102), // Rule ID 22066 //
     /*  813032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  813081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813100 */     GIR_RootConstrainSelectedInstOperands,
     /*  813101 */     // GIR_Coverage, 22066,
     /*  813101 */     GIR_EraseRootFromParent_Done,
     /*  813102 */   // Label 12553: @813102
     /*  813102 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813177), // Rule ID 22069 //
     /*  813107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813175 */     GIR_RootConstrainSelectedInstOperands,
     /*  813176 */     // GIR_Coverage, 22069,
     /*  813176 */     GIR_EraseRootFromParent_Done,
     /*  813177 */   // Label 12554: @813177
     /*  813177 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813252), // Rule ID 22070 //
     /*  813182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  813231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813250 */     GIR_RootConstrainSelectedInstOperands,
     /*  813251 */     // GIR_Coverage, 22070,
     /*  813251 */     GIR_EraseRootFromParent_Done,
     /*  813252 */   // Label 12555: @813252
     /*  813252 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813327), // Rule ID 22073 //
     /*  813257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813325 */     GIR_RootConstrainSelectedInstOperands,
     /*  813326 */     // GIR_Coverage, 22073,
     /*  813326 */     GIR_EraseRootFromParent_Done,
     /*  813327 */   // Label 12556: @813327
     /*  813327 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813402), // Rule ID 22074 //
     /*  813332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  813381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813400 */     GIR_RootConstrainSelectedInstOperands,
     /*  813401 */     // GIR_Coverage, 22074,
     /*  813401 */     GIR_EraseRootFromParent_Done,
     /*  813402 */   // Label 12557: @813402
     /*  813402 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813477), // Rule ID 22077 //
     /*  813407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813475 */     GIR_RootConstrainSelectedInstOperands,
     /*  813476 */     // GIR_Coverage, 22077,
     /*  813476 */     GIR_EraseRootFromParent_Done,
     /*  813477 */   // Label 12558: @813477
     /*  813477 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813552), // Rule ID 22078 //
     /*  813482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  813531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813550 */     GIR_RootConstrainSelectedInstOperands,
     /*  813551 */     // GIR_Coverage, 22078,
     /*  813551 */     GIR_EraseRootFromParent_Done,
     /*  813552 */   // Label 12559: @813552
     /*  813552 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813627), // Rule ID 22081 //
     /*  813557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  813606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813625 */     GIR_RootConstrainSelectedInstOperands,
     /*  813626 */     // GIR_Coverage, 22081,
     /*  813626 */     GIR_EraseRootFromParent_Done,
     /*  813627 */   // Label 12560: @813627
     /*  813627 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813702), // Rule ID 22082 //
     /*  813632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  813681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813700 */     GIR_RootConstrainSelectedInstOperands,
     /*  813701 */     // GIR_Coverage, 22082,
     /*  813701 */     GIR_EraseRootFromParent_Done,
     /*  813702 */   // Label 12561: @813702
     /*  813702 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813777), // Rule ID 22085 //
     /*  813707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  813724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  813756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813775 */     GIR_RootConstrainSelectedInstOperands,
     /*  813776 */     // GIR_Coverage, 22085,
     /*  813776 */     GIR_EraseRootFromParent_Done,
     /*  813777 */   // Label 12562: @813777
     /*  813777 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813852), // Rule ID 22086 //
     /*  813782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  813799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  813831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813850 */     GIR_RootConstrainSelectedInstOperands,
     /*  813851 */     // GIR_Coverage, 22086,
     /*  813851 */     GIR_EraseRootFromParent_Done,
     /*  813852 */   // Label 12563: @813852
     /*  813852 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813927), // Rule ID 22089 //
     /*  813857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  813874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  813906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813925 */     GIR_RootConstrainSelectedInstOperands,
     /*  813926 */     // GIR_Coverage, 22089,
     /*  813926 */     GIR_EraseRootFromParent_Done,
     /*  813927 */   // Label 12564: @813927
     /*  813927 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(814002), // Rule ID 22090 //
     /*  813932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  813949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  813981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814000 */     GIR_RootConstrainSelectedInstOperands,
     /*  814001 */     // GIR_Coverage, 22090,
     /*  814001 */     GIR_EraseRootFromParent_Done,
     /*  814002 */   // Label 12565: @814002
     /*  814002 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(814077), // Rule ID 22093 //
     /*  814007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814075 */     GIR_RootConstrainSelectedInstOperands,
     /*  814076 */     // GIR_Coverage, 22093,
     /*  814076 */     GIR_EraseRootFromParent_Done,
     /*  814077 */   // Label 12566: @814077
     /*  814077 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814152), // Rule ID 22094 //
     /*  814082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  814131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814150 */     GIR_RootConstrainSelectedInstOperands,
     /*  814151 */     // GIR_Coverage, 22094,
     /*  814151 */     GIR_EraseRootFromParent_Done,
     /*  814152 */   // Label 12567: @814152
     /*  814152 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814227), // Rule ID 22097 //
     /*  814157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814225 */     GIR_RootConstrainSelectedInstOperands,
     /*  814226 */     // GIR_Coverage, 22097,
     /*  814226 */     GIR_EraseRootFromParent_Done,
     /*  814227 */   // Label 12568: @814227
     /*  814227 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814302), // Rule ID 22098 //
     /*  814232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  814281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814300 */     GIR_RootConstrainSelectedInstOperands,
     /*  814301 */     // GIR_Coverage, 22098,
     /*  814301 */     GIR_EraseRootFromParent_Done,
     /*  814302 */   // Label 12569: @814302
     /*  814302 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814377), // Rule ID 22101 //
     /*  814307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814375 */     GIR_RootConstrainSelectedInstOperands,
     /*  814376 */     // GIR_Coverage, 22101,
     /*  814376 */     GIR_EraseRootFromParent_Done,
     /*  814377 */   // Label 12570: @814377
     /*  814377 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814452), // Rule ID 22102 //
     /*  814382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  814431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814450 */     GIR_RootConstrainSelectedInstOperands,
     /*  814451 */     // GIR_Coverage, 22102,
     /*  814451 */     GIR_EraseRootFromParent_Done,
     /*  814452 */   // Label 12571: @814452
     /*  814452 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814527), // Rule ID 22105 //
     /*  814457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814525 */     GIR_RootConstrainSelectedInstOperands,
     /*  814526 */     // GIR_Coverage, 22105,
     /*  814526 */     GIR_EraseRootFromParent_Done,
     /*  814527 */   // Label 12572: @814527
     /*  814527 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814602), // Rule ID 22106 //
     /*  814532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  814581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814600 */     GIR_RootConstrainSelectedInstOperands,
     /*  814601 */     // GIR_Coverage, 22106,
     /*  814601 */     GIR_EraseRootFromParent_Done,
     /*  814602 */   // Label 12573: @814602
     /*  814602 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814677), // Rule ID 22109 //
     /*  814607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  814624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  814656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814675 */     GIR_RootConstrainSelectedInstOperands,
     /*  814676 */     // GIR_Coverage, 22109,
     /*  814676 */     GIR_EraseRootFromParent_Done,
     /*  814677 */   // Label 12574: @814677
     /*  814677 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814752), // Rule ID 22110 //
     /*  814682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  814699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  814731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814750 */     GIR_RootConstrainSelectedInstOperands,
     /*  814751 */     // GIR_Coverage, 22110,
     /*  814751 */     GIR_EraseRootFromParent_Done,
     /*  814752 */   // Label 12575: @814752
     /*  814752 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814827), // Rule ID 22113 //
     /*  814757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  814774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  814806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814825 */     GIR_RootConstrainSelectedInstOperands,
     /*  814826 */     // GIR_Coverage, 22113,
     /*  814826 */     GIR_EraseRootFromParent_Done,
     /*  814827 */   // Label 12576: @814827
     /*  814827 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814902), // Rule ID 22114 //
     /*  814832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  814849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  814881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814900 */     GIR_RootConstrainSelectedInstOperands,
     /*  814901 */     // GIR_Coverage, 22114,
     /*  814901 */     GIR_EraseRootFromParent_Done,
     /*  814902 */   // Label 12577: @814902
     /*  814902 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814977), // Rule ID 22117 //
     /*  814907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  814924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  814956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814975 */     GIR_RootConstrainSelectedInstOperands,
     /*  814976 */     // GIR_Coverage, 22117,
     /*  814976 */     GIR_EraseRootFromParent_Done,
     /*  814977 */   // Label 12578: @814977
     /*  814977 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(815052), // Rule ID 22118 //
     /*  814982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  814990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  814999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  815031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815050 */     GIR_RootConstrainSelectedInstOperands,
     /*  815051 */     // GIR_Coverage, 22118,
     /*  815051 */     GIR_EraseRootFromParent_Done,
     /*  815052 */   // Label 12579: @815052
     /*  815052 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815127), // Rule ID 22121 //
     /*  815057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815125 */     GIR_RootConstrainSelectedInstOperands,
     /*  815126 */     // GIR_Coverage, 22121,
     /*  815126 */     GIR_EraseRootFromParent_Done,
     /*  815127 */   // Label 12580: @815127
     /*  815127 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815202), // Rule ID 22122 //
     /*  815132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  815181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815200 */     GIR_RootConstrainSelectedInstOperands,
     /*  815201 */     // GIR_Coverage, 22122,
     /*  815201 */     GIR_EraseRootFromParent_Done,
     /*  815202 */   // Label 12581: @815202
     /*  815202 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815277), // Rule ID 22125 //
     /*  815207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815275 */     GIR_RootConstrainSelectedInstOperands,
     /*  815276 */     // GIR_Coverage, 22125,
     /*  815276 */     GIR_EraseRootFromParent_Done,
     /*  815277 */   // Label 12582: @815277
     /*  815277 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815352), // Rule ID 22126 //
     /*  815282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  815331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815350 */     GIR_RootConstrainSelectedInstOperands,
     /*  815351 */     // GIR_Coverage, 22126,
     /*  815351 */     GIR_EraseRootFromParent_Done,
     /*  815352 */   // Label 12583: @815352
     /*  815352 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815427), // Rule ID 22129 //
     /*  815357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815425 */     GIR_RootConstrainSelectedInstOperands,
     /*  815426 */     // GIR_Coverage, 22129,
     /*  815426 */     GIR_EraseRootFromParent_Done,
     /*  815427 */   // Label 12584: @815427
     /*  815427 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815502), // Rule ID 22130 //
     /*  815432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  815449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  815481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815500 */     GIR_RootConstrainSelectedInstOperands,
     /*  815501 */     // GIR_Coverage, 22130,
     /*  815501 */     GIR_EraseRootFromParent_Done,
     /*  815502 */   // Label 12585: @815502
     /*  815502 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815577), // Rule ID 22133 //
     /*  815507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815575 */     GIR_RootConstrainSelectedInstOperands,
     /*  815576 */     // GIR_Coverage, 22133,
     /*  815576 */     GIR_EraseRootFromParent_Done,
     /*  815577 */   // Label 12586: @815577
     /*  815577 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815652), // Rule ID 22134 //
     /*  815582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  815631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815650 */     GIR_RootConstrainSelectedInstOperands,
     /*  815651 */     // GIR_Coverage, 22134,
     /*  815651 */     GIR_EraseRootFromParent_Done,
     /*  815652 */   // Label 12587: @815652
     /*  815652 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815727), // Rule ID 22137 //
     /*  815657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  815706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815725 */     GIR_RootConstrainSelectedInstOperands,
     /*  815726 */     // GIR_Coverage, 22137,
     /*  815726 */     GIR_EraseRootFromParent_Done,
     /*  815727 */   // Label 12588: @815727
     /*  815727 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815802), // Rule ID 22138 //
     /*  815732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  815781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815800 */     GIR_RootConstrainSelectedInstOperands,
     /*  815801 */     // GIR_Coverage, 22138,
     /*  815801 */     GIR_EraseRootFromParent_Done,
     /*  815802 */   // Label 12589: @815802
     /*  815802 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815877), // Rule ID 22141 //
     /*  815807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  815824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  815856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815875 */     GIR_RootConstrainSelectedInstOperands,
     /*  815876 */     // GIR_Coverage, 22141,
     /*  815876 */     GIR_EraseRootFromParent_Done,
     /*  815877 */   // Label 12590: @815877
     /*  815877 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815952), // Rule ID 22142 //
     /*  815882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  815899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  815931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815950 */     GIR_RootConstrainSelectedInstOperands,
     /*  815951 */     // GIR_Coverage, 22142,
     /*  815951 */     GIR_EraseRootFromParent_Done,
     /*  815952 */   // Label 12591: @815952
     /*  815952 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(816027), // Rule ID 22145 //
     /*  815957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  815974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816025 */     GIR_RootConstrainSelectedInstOperands,
     /*  816026 */     // GIR_Coverage, 22145,
     /*  816026 */     GIR_EraseRootFromParent_Done,
     /*  816027 */   // Label 12592: @816027
     /*  816027 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(816102), // Rule ID 22146 //
     /*  816032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  816081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816100 */     GIR_RootConstrainSelectedInstOperands,
     /*  816101 */     // GIR_Coverage, 22146,
     /*  816101 */     GIR_EraseRootFromParent_Done,
     /*  816102 */   // Label 12593: @816102
     /*  816102 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816177), // Rule ID 22149 //
     /*  816107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816175 */     GIR_RootConstrainSelectedInstOperands,
     /*  816176 */     // GIR_Coverage, 22149,
     /*  816176 */     GIR_EraseRootFromParent_Done,
     /*  816177 */   // Label 12594: @816177
     /*  816177 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816252), // Rule ID 22150 //
     /*  816182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  816231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816250 */     GIR_RootConstrainSelectedInstOperands,
     /*  816251 */     // GIR_Coverage, 22150,
     /*  816251 */     GIR_EraseRootFromParent_Done,
     /*  816252 */   // Label 12595: @816252
     /*  816252 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816327), // Rule ID 22153 //
     /*  816257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816325 */     GIR_RootConstrainSelectedInstOperands,
     /*  816326 */     // GIR_Coverage, 22153,
     /*  816326 */     GIR_EraseRootFromParent_Done,
     /*  816327 */   // Label 12596: @816327
     /*  816327 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816402), // Rule ID 22154 //
     /*  816332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  816381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816400 */     GIR_RootConstrainSelectedInstOperands,
     /*  816401 */     // GIR_Coverage, 22154,
     /*  816401 */     GIR_EraseRootFromParent_Done,
     /*  816402 */   // Label 12597: @816402
     /*  816402 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816477), // Rule ID 22157 //
     /*  816407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816475 */     GIR_RootConstrainSelectedInstOperands,
     /*  816476 */     // GIR_Coverage, 22157,
     /*  816476 */     GIR_EraseRootFromParent_Done,
     /*  816477 */   // Label 12598: @816477
     /*  816477 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816552), // Rule ID 22158 //
     /*  816482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  816499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  816531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816550 */     GIR_RootConstrainSelectedInstOperands,
     /*  816551 */     // GIR_Coverage, 22158,
     /*  816551 */     GIR_EraseRootFromParent_Done,
     /*  816552 */   // Label 12599: @816552
     /*  816552 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816627), // Rule ID 22161 //
     /*  816557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  816574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  816606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816625 */     GIR_RootConstrainSelectedInstOperands,
     /*  816626 */     // GIR_Coverage, 22161,
     /*  816626 */     GIR_EraseRootFromParent_Done,
     /*  816627 */   // Label 12600: @816627
     /*  816627 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816702), // Rule ID 22162 //
     /*  816632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  816649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  816681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816700 */     GIR_RootConstrainSelectedInstOperands,
     /*  816701 */     // GIR_Coverage, 22162,
     /*  816701 */     GIR_EraseRootFromParent_Done,
     /*  816702 */   // Label 12601: @816702
     /*  816702 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816777), // Rule ID 22165 //
     /*  816707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  816724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  816756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816775 */     GIR_RootConstrainSelectedInstOperands,
     /*  816776 */     // GIR_Coverage, 22165,
     /*  816776 */     GIR_EraseRootFromParent_Done,
     /*  816777 */   // Label 12602: @816777
     /*  816777 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816852), // Rule ID 22166 //
     /*  816782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  816799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  816831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816850 */     GIR_RootConstrainSelectedInstOperands,
     /*  816851 */     // GIR_Coverage, 22166,
     /*  816851 */     GIR_EraseRootFromParent_Done,
     /*  816852 */   // Label 12603: @816852
     /*  816852 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816927), // Rule ID 22169 //
     /*  816857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  816874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  816906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816925 */     GIR_RootConstrainSelectedInstOperands,
     /*  816926 */     // GIR_Coverage, 22169,
     /*  816926 */     GIR_EraseRootFromParent_Done,
     /*  816927 */   // Label 12604: @816927
     /*  816927 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(817002), // Rule ID 22170 //
     /*  816932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  816949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  816981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817000 */     GIR_RootConstrainSelectedInstOperands,
     /*  817001 */     // GIR_Coverage, 22170,
     /*  817001 */     GIR_EraseRootFromParent_Done,
     /*  817002 */   // Label 12605: @817002
     /*  817002 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(817077), // Rule ID 22173 //
     /*  817007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817075 */     GIR_RootConstrainSelectedInstOperands,
     /*  817076 */     // GIR_Coverage, 22173,
     /*  817076 */     GIR_EraseRootFromParent_Done,
     /*  817077 */   // Label 12606: @817077
     /*  817077 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817152), // Rule ID 22174 //
     /*  817082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  817131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817150 */     GIR_RootConstrainSelectedInstOperands,
     /*  817151 */     // GIR_Coverage, 22174,
     /*  817151 */     GIR_EraseRootFromParent_Done,
     /*  817152 */   // Label 12607: @817152
     /*  817152 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817227), // Rule ID 22177 //
     /*  817157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817225 */     GIR_RootConstrainSelectedInstOperands,
     /*  817226 */     // GIR_Coverage, 22177,
     /*  817226 */     GIR_EraseRootFromParent_Done,
     /*  817227 */   // Label 12608: @817227
     /*  817227 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817302), // Rule ID 22178 //
     /*  817232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  817281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817300 */     GIR_RootConstrainSelectedInstOperands,
     /*  817301 */     // GIR_Coverage, 22178,
     /*  817301 */     GIR_EraseRootFromParent_Done,
     /*  817302 */   // Label 12609: @817302
     /*  817302 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817377), // Rule ID 22181 //
     /*  817307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817375 */     GIR_RootConstrainSelectedInstOperands,
     /*  817376 */     // GIR_Coverage, 22181,
     /*  817376 */     GIR_EraseRootFromParent_Done,
     /*  817377 */   // Label 12610: @817377
     /*  817377 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817452), // Rule ID 22182 //
     /*  817382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  817399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  817431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817450 */     GIR_RootConstrainSelectedInstOperands,
     /*  817451 */     // GIR_Coverage, 22182,
     /*  817451 */     GIR_EraseRootFromParent_Done,
     /*  817452 */   // Label 12611: @817452
     /*  817452 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817527), // Rule ID 22185 //
     /*  817457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817525 */     GIR_RootConstrainSelectedInstOperands,
     /*  817526 */     // GIR_Coverage, 22185,
     /*  817526 */     GIR_EraseRootFromParent_Done,
     /*  817527 */   // Label 12612: @817527
     /*  817527 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817602), // Rule ID 22186 //
     /*  817532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  817549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  817581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817600 */     GIR_RootConstrainSelectedInstOperands,
     /*  817601 */     // GIR_Coverage, 22186,
     /*  817601 */     GIR_EraseRootFromParent_Done,
     /*  817602 */   // Label 12613: @817602
     /*  817602 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817677), // Rule ID 22189 //
     /*  817607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  817656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817675 */     GIR_RootConstrainSelectedInstOperands,
     /*  817676 */     // GIR_Coverage, 22189,
     /*  817676 */     GIR_EraseRootFromParent_Done,
     /*  817677 */   // Label 12614: @817677
     /*  817677 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817752), // Rule ID 22190 //
     /*  817682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  817731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817750 */     GIR_RootConstrainSelectedInstOperands,
     /*  817751 */     // GIR_Coverage, 22190,
     /*  817751 */     GIR_EraseRootFromParent_Done,
     /*  817752 */   // Label 12615: @817752
     /*  817752 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817827), // Rule ID 22193 //
     /*  817757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  817806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817825 */     GIR_RootConstrainSelectedInstOperands,
     /*  817826 */     // GIR_Coverage, 22193,
     /*  817826 */     GIR_EraseRootFromParent_Done,
     /*  817827 */   // Label 12616: @817827
     /*  817827 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817902), // Rule ID 22194 //
     /*  817832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  817881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817900 */     GIR_RootConstrainSelectedInstOperands,
     /*  817901 */     // GIR_Coverage, 22194,
     /*  817901 */     GIR_EraseRootFromParent_Done,
     /*  817902 */   // Label 12617: @817902
     /*  817902 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817977), // Rule ID 22197 //
     /*  817907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  817924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  817956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817975 */     GIR_RootConstrainSelectedInstOperands,
     /*  817976 */     // GIR_Coverage, 22197,
     /*  817976 */     GIR_EraseRootFromParent_Done,
     /*  817977 */   // Label 12618: @817977
     /*  817977 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(818052), // Rule ID 22198 //
     /*  817982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  817999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  818031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818050 */     GIR_RootConstrainSelectedInstOperands,
     /*  818051 */     // GIR_Coverage, 22198,
     /*  818051 */     GIR_EraseRootFromParent_Done,
     /*  818052 */   // Label 12619: @818052
     /*  818052 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(818127), // Rule ID 22201 //
     /*  818057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818125 */     GIR_RootConstrainSelectedInstOperands,
     /*  818126 */     // GIR_Coverage, 22201,
     /*  818126 */     GIR_EraseRootFromParent_Done,
     /*  818127 */   // Label 12620: @818127
     /*  818127 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818202), // Rule ID 22202 //
     /*  818132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  818181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818200 */     GIR_RootConstrainSelectedInstOperands,
     /*  818201 */     // GIR_Coverage, 22202,
     /*  818201 */     GIR_EraseRootFromParent_Done,
     /*  818202 */   // Label 12621: @818202
     /*  818202 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818277), // Rule ID 22205 //
     /*  818207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818275 */     GIR_RootConstrainSelectedInstOperands,
     /*  818276 */     // GIR_Coverage, 22205,
     /*  818276 */     GIR_EraseRootFromParent_Done,
     /*  818277 */   // Label 12622: @818277
     /*  818277 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818352), // Rule ID 22206 //
     /*  818282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  818290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  818331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818350 */     GIR_RootConstrainSelectedInstOperands,
     /*  818351 */     // GIR_Coverage, 22206,
     /*  818351 */     GIR_EraseRootFromParent_Done,
     /*  818352 */   // Label 12623: @818352
     /*  818352 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818427), // Rule ID 22209 //
     /*  818357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818425 */     GIR_RootConstrainSelectedInstOperands,
     /*  818426 */     // GIR_Coverage, 22209,
     /*  818426 */     GIR_EraseRootFromParent_Done,
     /*  818427 */   // Label 12624: @818427
     /*  818427 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818502), // Rule ID 22210 //
     /*  818432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  818449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  818481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818500 */     GIR_RootConstrainSelectedInstOperands,
     /*  818501 */     // GIR_Coverage, 22210,
     /*  818501 */     GIR_EraseRootFromParent_Done,
     /*  818502 */   // Label 12625: @818502
     /*  818502 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818577), // Rule ID 22213 //
     /*  818507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818575 */     GIR_RootConstrainSelectedInstOperands,
     /*  818576 */     // GIR_Coverage, 22213,
     /*  818576 */     GIR_EraseRootFromParent_Done,
     /*  818577 */   // Label 12626: @818577
     /*  818577 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818652), // Rule ID 22214 //
     /*  818582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  818631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818650 */     GIR_RootConstrainSelectedInstOperands,
     /*  818651 */     // GIR_Coverage, 22214,
     /*  818651 */     GIR_EraseRootFromParent_Done,
     /*  818652 */   // Label 12627: @818652
     /*  818652 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818727), // Rule ID 22217 //
     /*  818657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  818706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818725 */     GIR_RootConstrainSelectedInstOperands,
     /*  818726 */     // GIR_Coverage, 22217,
     /*  818726 */     GIR_EraseRootFromParent_Done,
     /*  818727 */   // Label 12628: @818727
     /*  818727 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818802), // Rule ID 22218 //
     /*  818732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  818781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818800 */     GIR_RootConstrainSelectedInstOperands,
     /*  818801 */     // GIR_Coverage, 22218,
     /*  818801 */     GIR_EraseRootFromParent_Done,
     /*  818802 */   // Label 12629: @818802
     /*  818802 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818877), // Rule ID 22221 //
     /*  818807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  818856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818875 */     GIR_RootConstrainSelectedInstOperands,
     /*  818876 */     // GIR_Coverage, 22221,
     /*  818876 */     GIR_EraseRootFromParent_Done,
     /*  818877 */   // Label 12630: @818877
     /*  818877 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818952), // Rule ID 22222 //
     /*  818882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  818931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818950 */     GIR_RootConstrainSelectedInstOperands,
     /*  818951 */     // GIR_Coverage, 22222,
     /*  818951 */     GIR_EraseRootFromParent_Done,
     /*  818952 */   // Label 12631: @818952
     /*  818952 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(819027), // Rule ID 22225 //
     /*  818957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  818974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819025 */     GIR_RootConstrainSelectedInstOperands,
     /*  819026 */     // GIR_Coverage, 22225,
     /*  819026 */     GIR_EraseRootFromParent_Done,
     /*  819027 */   // Label 12632: @819027
     /*  819027 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(819102), // Rule ID 22226 //
     /*  819032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  819081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819100 */     GIR_RootConstrainSelectedInstOperands,
     /*  819101 */     // GIR_Coverage, 22226,
     /*  819101 */     GIR_EraseRootFromParent_Done,
     /*  819102 */   // Label 12633: @819102
     /*  819102 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819177), // Rule ID 22229 //
     /*  819107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819175 */     GIR_RootConstrainSelectedInstOperands,
     /*  819176 */     // GIR_Coverage, 22229,
     /*  819176 */     GIR_EraseRootFromParent_Done,
     /*  819177 */   // Label 12634: @819177
     /*  819177 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819252), // Rule ID 22230 //
     /*  819182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  819231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819250 */     GIR_RootConstrainSelectedInstOperands,
     /*  819251 */     // GIR_Coverage, 22230,
     /*  819251 */     GIR_EraseRootFromParent_Done,
     /*  819252 */   // Label 12635: @819252
     /*  819252 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819327), // Rule ID 22233 //
     /*  819257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819325 */     GIR_RootConstrainSelectedInstOperands,
     /*  819326 */     // GIR_Coverage, 22233,
     /*  819326 */     GIR_EraseRootFromParent_Done,
     /*  819327 */   // Label 12636: @819327
     /*  819327 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819402), // Rule ID 22234 //
     /*  819332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  819381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819400 */     GIR_RootConstrainSelectedInstOperands,
     /*  819401 */     // GIR_Coverage, 22234,
     /*  819401 */     GIR_EraseRootFromParent_Done,
     /*  819402 */   // Label 12637: @819402
     /*  819402 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819477), // Rule ID 22237 //
     /*  819407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819475 */     GIR_RootConstrainSelectedInstOperands,
     /*  819476 */     // GIR_Coverage, 22237,
     /*  819476 */     GIR_EraseRootFromParent_Done,
     /*  819477 */   // Label 12638: @819477
     /*  819477 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819552), // Rule ID 22238 //
     /*  819482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  819531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819550 */     GIR_RootConstrainSelectedInstOperands,
     /*  819551 */     // GIR_Coverage, 22238,
     /*  819551 */     GIR_EraseRootFromParent_Done,
     /*  819552 */   // Label 12639: @819552
     /*  819552 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819627), // Rule ID 22241 //
     /*  819557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  819606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819625 */     GIR_RootConstrainSelectedInstOperands,
     /*  819626 */     // GIR_Coverage, 22241,
     /*  819626 */     GIR_EraseRootFromParent_Done,
     /*  819627 */   // Label 12640: @819627
     /*  819627 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819702), // Rule ID 22242 //
     /*  819632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  819681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819700 */     GIR_RootConstrainSelectedInstOperands,
     /*  819701 */     // GIR_Coverage, 22242,
     /*  819701 */     GIR_EraseRootFromParent_Done,
     /*  819702 */   // Label 12641: @819702
     /*  819702 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819777), // Rule ID 22245 //
     /*  819707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819753 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  819756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819775 */     GIR_RootConstrainSelectedInstOperands,
     /*  819776 */     // GIR_Coverage, 22245,
     /*  819776 */     GIR_EraseRootFromParent_Done,
     /*  819777 */   // Label 12642: @819777
     /*  819777 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819852), // Rule ID 22246 //
     /*  819782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  819831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819850 */     GIR_RootConstrainSelectedInstOperands,
     /*  819851 */     // GIR_Coverage, 22246,
     /*  819851 */     GIR_EraseRootFromParent_Done,
     /*  819852 */   // Label 12643: @819852
     /*  819852 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819927), // Rule ID 22249 //
     /*  819857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  819874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  819906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819925 */     GIR_RootConstrainSelectedInstOperands,
     /*  819926 */     // GIR_Coverage, 22249,
     /*  819926 */     GIR_EraseRootFromParent_Done,
     /*  819927 */   // Label 12644: @819927
     /*  819927 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(820002), // Rule ID 22250 //
     /*  819932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  819949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  819981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820000 */     GIR_RootConstrainSelectedInstOperands,
     /*  820001 */     // GIR_Coverage, 22250,
     /*  820001 */     GIR_EraseRootFromParent_Done,
     /*  820002 */   // Label 12645: @820002
     /*  820002 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820077), // Rule ID 22253 //
     /*  820007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820075 */     GIR_RootConstrainSelectedInstOperands,
     /*  820076 */     // GIR_Coverage, 22253,
     /*  820076 */     GIR_EraseRootFromParent_Done,
     /*  820077 */   // Label 12646: @820077
     /*  820077 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820152), // Rule ID 22254 //
     /*  820082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  820131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820150 */     GIR_RootConstrainSelectedInstOperands,
     /*  820151 */     // GIR_Coverage, 22254,
     /*  820151 */     GIR_EraseRootFromParent_Done,
     /*  820152 */   // Label 12647: @820152
     /*  820152 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820227), // Rule ID 22257 //
     /*  820157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820225 */     GIR_RootConstrainSelectedInstOperands,
     /*  820226 */     // GIR_Coverage, 22257,
     /*  820226 */     GIR_EraseRootFromParent_Done,
     /*  820227 */   // Label 12648: @820227
     /*  820227 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820302), // Rule ID 22258 //
     /*  820232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  820281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820300 */     GIR_RootConstrainSelectedInstOperands,
     /*  820301 */     // GIR_Coverage, 22258,
     /*  820301 */     GIR_EraseRootFromParent_Done,
     /*  820302 */   // Label 12649: @820302
     /*  820302 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820377), // Rule ID 22261 //
     /*  820307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820375 */     GIR_RootConstrainSelectedInstOperands,
     /*  820376 */     // GIR_Coverage, 22261,
     /*  820376 */     GIR_EraseRootFromParent_Done,
     /*  820377 */   // Label 12650: @820377
     /*  820377 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820452), // Rule ID 22262 //
     /*  820382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  820431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820450 */     GIR_RootConstrainSelectedInstOperands,
     /*  820451 */     // GIR_Coverage, 22262,
     /*  820451 */     GIR_EraseRootFromParent_Done,
     /*  820452 */   // Label 12651: @820452
     /*  820452 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820527), // Rule ID 22265 //
     /*  820457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820525 */     GIR_RootConstrainSelectedInstOperands,
     /*  820526 */     // GIR_Coverage, 22265,
     /*  820526 */     GIR_EraseRootFromParent_Done,
     /*  820527 */   // Label 12652: @820527
     /*  820527 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820602), // Rule ID 22266 //
     /*  820532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  820581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820600 */     GIR_RootConstrainSelectedInstOperands,
     /*  820601 */     // GIR_Coverage, 22266,
     /*  820601 */     GIR_EraseRootFromParent_Done,
     /*  820602 */   // Label 12653: @820602
     /*  820602 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820677), // Rule ID 22269 //
     /*  820607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  820656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820675 */     GIR_RootConstrainSelectedInstOperands,
     /*  820676 */     // GIR_Coverage, 22269,
     /*  820676 */     GIR_EraseRootFromParent_Done,
     /*  820677 */   // Label 12654: @820677
     /*  820677 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820752), // Rule ID 22270 //
     /*  820682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  820731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820750 */     GIR_RootConstrainSelectedInstOperands,
     /*  820751 */     // GIR_Coverage, 22270,
     /*  820751 */     GIR_EraseRootFromParent_Done,
     /*  820752 */   // Label 12655: @820752
     /*  820752 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820827), // Rule ID 22273 //
     /*  820757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  820806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820825 */     GIR_RootConstrainSelectedInstOperands,
     /*  820826 */     // GIR_Coverage, 22273,
     /*  820826 */     GIR_EraseRootFromParent_Done,
     /*  820827 */   // Label 12656: @820827
     /*  820827 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820902), // Rule ID 22274 //
     /*  820832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  820881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820900 */     GIR_RootConstrainSelectedInstOperands,
     /*  820901 */     // GIR_Coverage, 22274,
     /*  820901 */     GIR_EraseRootFromParent_Done,
     /*  820902 */   // Label 12657: @820902
     /*  820902 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(820977), // Rule ID 22277 //
     /*  820907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  820924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  820956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820975 */     GIR_RootConstrainSelectedInstOperands,
     /*  820976 */     // GIR_Coverage, 22277,
     /*  820976 */     GIR_EraseRootFromParent_Done,
     /*  820977 */   // Label 12658: @820977
     /*  820977 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821052), // Rule ID 22278 //
     /*  820982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  820999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  821031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821050 */     GIR_RootConstrainSelectedInstOperands,
     /*  821051 */     // GIR_Coverage, 22278,
     /*  821051 */     GIR_EraseRootFromParent_Done,
     /*  821052 */   // Label 12659: @821052
     /*  821052 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821127), // Rule ID 22281 //
     /*  821057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821125 */     GIR_RootConstrainSelectedInstOperands,
     /*  821126 */     // GIR_Coverage, 22281,
     /*  821126 */     GIR_EraseRootFromParent_Done,
     /*  821127 */   // Label 12660: @821127
     /*  821127 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821202), // Rule ID 22282 //
     /*  821132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  821181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821200 */     GIR_RootConstrainSelectedInstOperands,
     /*  821201 */     // GIR_Coverage, 22282,
     /*  821201 */     GIR_EraseRootFromParent_Done,
     /*  821202 */   // Label 12661: @821202
     /*  821202 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821277), // Rule ID 22285 //
     /*  821207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821275 */     GIR_RootConstrainSelectedInstOperands,
     /*  821276 */     // GIR_Coverage, 22285,
     /*  821276 */     GIR_EraseRootFromParent_Done,
     /*  821277 */   // Label 12662: @821277
     /*  821277 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821352), // Rule ID 22286 //
     /*  821282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  821331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821350 */     GIR_RootConstrainSelectedInstOperands,
     /*  821351 */     // GIR_Coverage, 22286,
     /*  821351 */     GIR_EraseRootFromParent_Done,
     /*  821352 */   // Label 12663: @821352
     /*  821352 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821427), // Rule ID 22289 //
     /*  821357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821425 */     GIR_RootConstrainSelectedInstOperands,
     /*  821426 */     // GIR_Coverage, 22289,
     /*  821426 */     GIR_EraseRootFromParent_Done,
     /*  821427 */   // Label 12664: @821427
     /*  821427 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821502), // Rule ID 22290 //
     /*  821432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  821481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821500 */     GIR_RootConstrainSelectedInstOperands,
     /*  821501 */     // GIR_Coverage, 22290,
     /*  821501 */     GIR_EraseRootFromParent_Done,
     /*  821502 */   // Label 12665: @821502
     /*  821502 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821577), // Rule ID 22293 //
     /*  821507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821575 */     GIR_RootConstrainSelectedInstOperands,
     /*  821576 */     // GIR_Coverage, 22293,
     /*  821576 */     GIR_EraseRootFromParent_Done,
     /*  821577 */   // Label 12666: @821577
     /*  821577 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821652), // Rule ID 22294 //
     /*  821582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  821590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  821631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821650 */     GIR_RootConstrainSelectedInstOperands,
     /*  821651 */     // GIR_Coverage, 22294,
     /*  821651 */     GIR_EraseRootFromParent_Done,
     /*  821652 */   // Label 12667: @821652
     /*  821652 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821727), // Rule ID 22297 //
     /*  821657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  821674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  821706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821725 */     GIR_RootConstrainSelectedInstOperands,
     /*  821726 */     // GIR_Coverage, 22297,
     /*  821726 */     GIR_EraseRootFromParent_Done,
     /*  821727 */   // Label 12668: @821727
     /*  821727 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821802), // Rule ID 22298 //
     /*  821732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  821749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  821781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821800 */     GIR_RootConstrainSelectedInstOperands,
     /*  821801 */     // GIR_Coverage, 22298,
     /*  821801 */     GIR_EraseRootFromParent_Done,
     /*  821802 */   // Label 12669: @821802
     /*  821802 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821877), // Rule ID 22301 //
     /*  821807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  821824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  821856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821875 */     GIR_RootConstrainSelectedInstOperands,
     /*  821876 */     // GIR_Coverage, 22301,
     /*  821876 */     GIR_EraseRootFromParent_Done,
     /*  821877 */   // Label 12670: @821877
     /*  821877 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(821952), // Rule ID 22302 //
     /*  821882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  821899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  821931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821950 */     GIR_RootConstrainSelectedInstOperands,
     /*  821951 */     // GIR_Coverage, 22302,
     /*  821951 */     GIR_EraseRootFromParent_Done,
     /*  821952 */   // Label 12671: @821952
     /*  821952 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822027), // Rule ID 22305 //
     /*  821957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  821974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822025 */     GIR_RootConstrainSelectedInstOperands,
     /*  822026 */     // GIR_Coverage, 22305,
     /*  822026 */     GIR_EraseRootFromParent_Done,
     /*  822027 */   // Label 12672: @822027
     /*  822027 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822102), // Rule ID 22306 //
     /*  822032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  822081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822100 */     GIR_RootConstrainSelectedInstOperands,
     /*  822101 */     // GIR_Coverage, 22306,
     /*  822101 */     GIR_EraseRootFromParent_Done,
     /*  822102 */   // Label 12673: @822102
     /*  822102 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822177), // Rule ID 22309 //
     /*  822107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822175 */     GIR_RootConstrainSelectedInstOperands,
     /*  822176 */     // GIR_Coverage, 22309,
     /*  822176 */     GIR_EraseRootFromParent_Done,
     /*  822177 */   // Label 12674: @822177
     /*  822177 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822252), // Rule ID 22310 //
     /*  822182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  822231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822250 */     GIR_RootConstrainSelectedInstOperands,
     /*  822251 */     // GIR_Coverage, 22310,
     /*  822251 */     GIR_EraseRootFromParent_Done,
     /*  822252 */   // Label 12675: @822252
     /*  822252 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822327), // Rule ID 22313 //
     /*  822257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822325 */     GIR_RootConstrainSelectedInstOperands,
     /*  822326 */     // GIR_Coverage, 22313,
     /*  822326 */     GIR_EraseRootFromParent_Done,
     /*  822327 */   // Label 12676: @822327
     /*  822327 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822402), // Rule ID 22314 //
     /*  822332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  822381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822400 */     GIR_RootConstrainSelectedInstOperands,
     /*  822401 */     // GIR_Coverage, 22314,
     /*  822401 */     GIR_EraseRootFromParent_Done,
     /*  822402 */   // Label 12677: @822402
     /*  822402 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822477), // Rule ID 22317 //
     /*  822407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822475 */     GIR_RootConstrainSelectedInstOperands,
     /*  822476 */     // GIR_Coverage, 22317,
     /*  822476 */     GIR_EraseRootFromParent_Done,
     /*  822477 */   // Label 12678: @822477
     /*  822477 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822552), // Rule ID 22318 //
     /*  822482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  822531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822550 */     GIR_RootConstrainSelectedInstOperands,
     /*  822551 */     // GIR_Coverage, 22318,
     /*  822551 */     GIR_EraseRootFromParent_Done,
     /*  822552 */   // Label 12679: @822552
     /*  822552 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822627), // Rule ID 22321 //
     /*  822557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  822574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  822606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822625 */     GIR_RootConstrainSelectedInstOperands,
     /*  822626 */     // GIR_Coverage, 22321,
     /*  822626 */     GIR_EraseRootFromParent_Done,
     /*  822627 */   // Label 12680: @822627
     /*  822627 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822702), // Rule ID 22322 //
     /*  822632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  822649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  822681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822700 */     GIR_RootConstrainSelectedInstOperands,
     /*  822701 */     // GIR_Coverage, 22322,
     /*  822701 */     GIR_EraseRootFromParent_Done,
     /*  822702 */   // Label 12681: @822702
     /*  822702 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822777), // Rule ID 22325 //
     /*  822707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  822724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  822756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822775 */     GIR_RootConstrainSelectedInstOperands,
     /*  822776 */     // GIR_Coverage, 22325,
     /*  822776 */     GIR_EraseRootFromParent_Done,
     /*  822777 */   // Label 12682: @822777
     /*  822777 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822852), // Rule ID 22326 //
     /*  822782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  822799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  822831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822850 */     GIR_RootConstrainSelectedInstOperands,
     /*  822851 */     // GIR_Coverage, 22326,
     /*  822851 */     GIR_EraseRootFromParent_Done,
     /*  822852 */   // Label 12683: @822852
     /*  822852 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822927), // Rule ID 22329 //
     /*  822857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  822874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  822906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822925 */     GIR_RootConstrainSelectedInstOperands,
     /*  822926 */     // GIR_Coverage, 22329,
     /*  822926 */     GIR_EraseRootFromParent_Done,
     /*  822927 */   // Label 12684: @822927
     /*  822927 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823002), // Rule ID 22330 //
     /*  822932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  822949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  822981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823000 */     GIR_RootConstrainSelectedInstOperands,
     /*  823001 */     // GIR_Coverage, 22330,
     /*  823001 */     GIR_EraseRootFromParent_Done,
     /*  823002 */   // Label 12685: @823002
     /*  823002 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823077), // Rule ID 22333 //
     /*  823007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823075 */     GIR_RootConstrainSelectedInstOperands,
     /*  823076 */     // GIR_Coverage, 22333,
     /*  823076 */     GIR_EraseRootFromParent_Done,
     /*  823077 */   // Label 12686: @823077
     /*  823077 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823152), // Rule ID 22334 //
     /*  823082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  823131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823150 */     GIR_RootConstrainSelectedInstOperands,
     /*  823151 */     // GIR_Coverage, 22334,
     /*  823151 */     GIR_EraseRootFromParent_Done,
     /*  823152 */   // Label 12687: @823152
     /*  823152 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823227), // Rule ID 22337 //
     /*  823157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823225 */     GIR_RootConstrainSelectedInstOperands,
     /*  823226 */     // GIR_Coverage, 22337,
     /*  823226 */     GIR_EraseRootFromParent_Done,
     /*  823227 */   // Label 12688: @823227
     /*  823227 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823302), // Rule ID 22338 //
     /*  823232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  823281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823300 */     GIR_RootConstrainSelectedInstOperands,
     /*  823301 */     // GIR_Coverage, 22338,
     /*  823301 */     GIR_EraseRootFromParent_Done,
     /*  823302 */   // Label 12689: @823302
     /*  823302 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823377), // Rule ID 22341 //
     /*  823307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823375 */     GIR_RootConstrainSelectedInstOperands,
     /*  823376 */     // GIR_Coverage, 22341,
     /*  823376 */     GIR_EraseRootFromParent_Done,
     /*  823377 */   // Label 12690: @823377
     /*  823377 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823452), // Rule ID 22342 //
     /*  823382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  823399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  823431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823450 */     GIR_RootConstrainSelectedInstOperands,
     /*  823451 */     // GIR_Coverage, 22342,
     /*  823451 */     GIR_EraseRootFromParent_Done,
     /*  823452 */   // Label 12691: @823452
     /*  823452 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823527), // Rule ID 22345 //
     /*  823457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823525 */     GIR_RootConstrainSelectedInstOperands,
     /*  823526 */     // GIR_Coverage, 22345,
     /*  823526 */     GIR_EraseRootFromParent_Done,
     /*  823527 */   // Label 12692: @823527
     /*  823527 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823602), // Rule ID 22346 //
     /*  823532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  823549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  823581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823600 */     GIR_RootConstrainSelectedInstOperands,
     /*  823601 */     // GIR_Coverage, 22346,
     /*  823601 */     GIR_EraseRootFromParent_Done,
     /*  823602 */   // Label 12693: @823602
     /*  823602 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823677), // Rule ID 22349 //
     /*  823607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  823624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  823656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823675 */     GIR_RootConstrainSelectedInstOperands,
     /*  823676 */     // GIR_Coverage, 22349,
     /*  823676 */     GIR_EraseRootFromParent_Done,
     /*  823677 */   // Label 12694: @823677
     /*  823677 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823752), // Rule ID 22350 //
     /*  823682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  823699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  823731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823750 */     GIR_RootConstrainSelectedInstOperands,
     /*  823751 */     // GIR_Coverage, 22350,
     /*  823751 */     GIR_EraseRootFromParent_Done,
     /*  823752 */   // Label 12695: @823752
     /*  823752 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823827), // Rule ID 22353 //
     /*  823757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  823774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  823806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823825 */     GIR_RootConstrainSelectedInstOperands,
     /*  823826 */     // GIR_Coverage, 22353,
     /*  823826 */     GIR_EraseRootFromParent_Done,
     /*  823827 */   // Label 12696: @823827
     /*  823827 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823902), // Rule ID 22354 //
     /*  823832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  823849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  823881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823900 */     GIR_RootConstrainSelectedInstOperands,
     /*  823901 */     // GIR_Coverage, 22354,
     /*  823901 */     GIR_EraseRootFromParent_Done,
     /*  823902 */   // Label 12697: @823902
     /*  823902 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(823977), // Rule ID 22357 //
     /*  823907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  823924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  823956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823975 */     GIR_RootConstrainSelectedInstOperands,
     /*  823976 */     // GIR_Coverage, 22357,
     /*  823976 */     GIR_EraseRootFromParent_Done,
     /*  823977 */   // Label 12698: @823977
     /*  823977 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824052), // Rule ID 22358 //
     /*  823982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  823999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  824031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824050 */     GIR_RootConstrainSelectedInstOperands,
     /*  824051 */     // GIR_Coverage, 22358,
     /*  824051 */     GIR_EraseRootFromParent_Done,
     /*  824052 */   // Label 12699: @824052
     /*  824052 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824127), // Rule ID 22361 //
     /*  824057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824125 */     GIR_RootConstrainSelectedInstOperands,
     /*  824126 */     // GIR_Coverage, 22361,
     /*  824126 */     GIR_EraseRootFromParent_Done,
     /*  824127 */   // Label 12700: @824127
     /*  824127 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824202), // Rule ID 22362 //
     /*  824132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  824181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824200 */     GIR_RootConstrainSelectedInstOperands,
     /*  824201 */     // GIR_Coverage, 22362,
     /*  824201 */     GIR_EraseRootFromParent_Done,
     /*  824202 */   // Label 12701: @824202
     /*  824202 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824277), // Rule ID 22365 //
     /*  824207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824275 */     GIR_RootConstrainSelectedInstOperands,
     /*  824276 */     // GIR_Coverage, 22365,
     /*  824276 */     GIR_EraseRootFromParent_Done,
     /*  824277 */   // Label 12702: @824277
     /*  824277 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824352), // Rule ID 22366 //
     /*  824282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  824331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824350 */     GIR_RootConstrainSelectedInstOperands,
     /*  824351 */     // GIR_Coverage, 22366,
     /*  824351 */     GIR_EraseRootFromParent_Done,
     /*  824352 */   // Label 12703: @824352
     /*  824352 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824427), // Rule ID 22369 //
     /*  824357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824425 */     GIR_RootConstrainSelectedInstOperands,
     /*  824426 */     // GIR_Coverage, 22369,
     /*  824426 */     GIR_EraseRootFromParent_Done,
     /*  824427 */   // Label 12704: @824427
     /*  824427 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824502), // Rule ID 22370 //
     /*  824432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  824481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824500 */     GIR_RootConstrainSelectedInstOperands,
     /*  824501 */     // GIR_Coverage, 22370,
     /*  824501 */     GIR_EraseRootFromParent_Done,
     /*  824502 */   // Label 12705: @824502
     /*  824502 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824577), // Rule ID 22373 //
     /*  824507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824575 */     GIR_RootConstrainSelectedInstOperands,
     /*  824576 */     // GIR_Coverage, 22373,
     /*  824576 */     GIR_EraseRootFromParent_Done,
     /*  824577 */   // Label 12706: @824577
     /*  824577 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824652), // Rule ID 22374 //
     /*  824582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  824599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  824631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824650 */     GIR_RootConstrainSelectedInstOperands,
     /*  824651 */     // GIR_Coverage, 22374,
     /*  824651 */     GIR_EraseRootFromParent_Done,
     /*  824652 */   // Label 12707: @824652
     /*  824652 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824727), // Rule ID 22377 //
     /*  824657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  824674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  824706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824725 */     GIR_RootConstrainSelectedInstOperands,
     /*  824726 */     // GIR_Coverage, 22377,
     /*  824726 */     GIR_EraseRootFromParent_Done,
     /*  824727 */   // Label 12708: @824727
     /*  824727 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824802), // Rule ID 22378 //
     /*  824732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  824749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  824781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824800 */     GIR_RootConstrainSelectedInstOperands,
     /*  824801 */     // GIR_Coverage, 22378,
     /*  824801 */     GIR_EraseRootFromParent_Done,
     /*  824802 */   // Label 12709: @824802
     /*  824802 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824877), // Rule ID 22381 //
     /*  824807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  824824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  824856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824875 */     GIR_RootConstrainSelectedInstOperands,
     /*  824876 */     // GIR_Coverage, 22381,
     /*  824876 */     GIR_EraseRootFromParent_Done,
     /*  824877 */   // Label 12710: @824877
     /*  824877 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(824952), // Rule ID 22382 //
     /*  824882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  824890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  824899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  824931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824950 */     GIR_RootConstrainSelectedInstOperands,
     /*  824951 */     // GIR_Coverage, 22382,
     /*  824951 */     GIR_EraseRootFromParent_Done,
     /*  824952 */   // Label 12711: @824952
     /*  824952 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825027), // Rule ID 22385 //
     /*  824957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  824974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825025 */     GIR_RootConstrainSelectedInstOperands,
     /*  825026 */     // GIR_Coverage, 22385,
     /*  825026 */     GIR_EraseRootFromParent_Done,
     /*  825027 */   // Label 12712: @825027
     /*  825027 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825102), // Rule ID 22386 //
     /*  825032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  825081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825100 */     GIR_RootConstrainSelectedInstOperands,
     /*  825101 */     // GIR_Coverage, 22386,
     /*  825101 */     GIR_EraseRootFromParent_Done,
     /*  825102 */   // Label 12713: @825102
     /*  825102 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825177), // Rule ID 22389 //
     /*  825107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825175 */     GIR_RootConstrainSelectedInstOperands,
     /*  825176 */     // GIR_Coverage, 22389,
     /*  825176 */     GIR_EraseRootFromParent_Done,
     /*  825177 */   // Label 12714: @825177
     /*  825177 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825252), // Rule ID 22390 //
     /*  825182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  825231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825250 */     GIR_RootConstrainSelectedInstOperands,
     /*  825251 */     // GIR_Coverage, 22390,
     /*  825251 */     GIR_EraseRootFromParent_Done,
     /*  825252 */   // Label 12715: @825252
     /*  825252 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825327), // Rule ID 22393 //
     /*  825257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825325 */     GIR_RootConstrainSelectedInstOperands,
     /*  825326 */     // GIR_Coverage, 22393,
     /*  825326 */     GIR_EraseRootFromParent_Done,
     /*  825327 */   // Label 12716: @825327
     /*  825327 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825402), // Rule ID 22394 //
     /*  825332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  825381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825400 */     GIR_RootConstrainSelectedInstOperands,
     /*  825401 */     // GIR_Coverage, 22394,
     /*  825401 */     GIR_EraseRootFromParent_Done,
     /*  825402 */   // Label 12717: @825402
     /*  825402 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825477), // Rule ID 22397 //
     /*  825407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825475 */     GIR_RootConstrainSelectedInstOperands,
     /*  825476 */     // GIR_Coverage, 22397,
     /*  825476 */     GIR_EraseRootFromParent_Done,
     /*  825477 */   // Label 12718: @825477
     /*  825477 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825552), // Rule ID 22398 //
     /*  825482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  825499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  825531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825550 */     GIR_RootConstrainSelectedInstOperands,
     /*  825551 */     // GIR_Coverage, 22398,
     /*  825551 */     GIR_EraseRootFromParent_Done,
     /*  825552 */   // Label 12719: @825552
     /*  825552 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825627), // Rule ID 22401 //
     /*  825557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  825574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  825606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825625 */     GIR_RootConstrainSelectedInstOperands,
     /*  825626 */     // GIR_Coverage, 22401,
     /*  825626 */     GIR_EraseRootFromParent_Done,
     /*  825627 */   // Label 12720: @825627
     /*  825627 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825702), // Rule ID 22402 //
     /*  825632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  825649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  825681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825700 */     GIR_RootConstrainSelectedInstOperands,
     /*  825701 */     // GIR_Coverage, 22402,
     /*  825701 */     GIR_EraseRootFromParent_Done,
     /*  825702 */   // Label 12721: @825702
     /*  825702 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825777), // Rule ID 22405 //
     /*  825707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  825724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  825756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825775 */     GIR_RootConstrainSelectedInstOperands,
     /*  825776 */     // GIR_Coverage, 22405,
     /*  825776 */     GIR_EraseRootFromParent_Done,
     /*  825777 */   // Label 12722: @825777
     /*  825777 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825852), // Rule ID 22406 //
     /*  825782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  825799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  825831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825850 */     GIR_RootConstrainSelectedInstOperands,
     /*  825851 */     // GIR_Coverage, 22406,
     /*  825851 */     GIR_EraseRootFromParent_Done,
     /*  825852 */   // Label 12723: @825852
     /*  825852 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825927), // Rule ID 22409 //
     /*  825857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  825874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  825906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825925 */     GIR_RootConstrainSelectedInstOperands,
     /*  825926 */     // GIR_Coverage, 22409,
     /*  825926 */     GIR_EraseRootFromParent_Done,
     /*  825927 */   // Label 12724: @825927
     /*  825927 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826002), // Rule ID 22410 //
     /*  825932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  825949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  825981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826000 */     GIR_RootConstrainSelectedInstOperands,
     /*  826001 */     // GIR_Coverage, 22410,
     /*  826001 */     GIR_EraseRootFromParent_Done,
     /*  826002 */   // Label 12725: @826002
     /*  826002 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826077), // Rule ID 22413 //
     /*  826007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826075 */     GIR_RootConstrainSelectedInstOperands,
     /*  826076 */     // GIR_Coverage, 22413,
     /*  826076 */     GIR_EraseRootFromParent_Done,
     /*  826077 */   // Label 12726: @826077
     /*  826077 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826152), // Rule ID 22414 //
     /*  826082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  826131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826150 */     GIR_RootConstrainSelectedInstOperands,
     /*  826151 */     // GIR_Coverage, 22414,
     /*  826151 */     GIR_EraseRootFromParent_Done,
     /*  826152 */   // Label 12727: @826152
     /*  826152 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826227), // Rule ID 22417 //
     /*  826157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826225 */     GIR_RootConstrainSelectedInstOperands,
     /*  826226 */     // GIR_Coverage, 22417,
     /*  826226 */     GIR_EraseRootFromParent_Done,
     /*  826227 */   // Label 12728: @826227
     /*  826227 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826302), // Rule ID 22418 //
     /*  826232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  826281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826300 */     GIR_RootConstrainSelectedInstOperands,
     /*  826301 */     // GIR_Coverage, 22418,
     /*  826301 */     GIR_EraseRootFromParent_Done,
     /*  826302 */   // Label 12729: @826302
     /*  826302 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826377), // Rule ID 22421 //
     /*  826307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826375 */     GIR_RootConstrainSelectedInstOperands,
     /*  826376 */     // GIR_Coverage, 22421,
     /*  826376 */     GIR_EraseRootFromParent_Done,
     /*  826377 */   // Label 12730: @826377
     /*  826377 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826452), // Rule ID 22422 //
     /*  826382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  826399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  826431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826450 */     GIR_RootConstrainSelectedInstOperands,
     /*  826451 */     // GIR_Coverage, 22422,
     /*  826451 */     GIR_EraseRootFromParent_Done,
     /*  826452 */   // Label 12731: @826452
     /*  826452 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826527), // Rule ID 22425 //
     /*  826457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826525 */     GIR_RootConstrainSelectedInstOperands,
     /*  826526 */     // GIR_Coverage, 22425,
     /*  826526 */     GIR_EraseRootFromParent_Done,
     /*  826527 */   // Label 12732: @826527
     /*  826527 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826602), // Rule ID 22426 //
     /*  826532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  826549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  826581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826600 */     GIR_RootConstrainSelectedInstOperands,
     /*  826601 */     // GIR_Coverage, 22426,
     /*  826601 */     GIR_EraseRootFromParent_Done,
     /*  826602 */   // Label 12733: @826602
     /*  826602 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826677), // Rule ID 22429 //
     /*  826607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  826624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  826656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826675 */     GIR_RootConstrainSelectedInstOperands,
     /*  826676 */     // GIR_Coverage, 22429,
     /*  826676 */     GIR_EraseRootFromParent_Done,
     /*  826677 */   // Label 12734: @826677
     /*  826677 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826752), // Rule ID 22430 //
     /*  826682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  826699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  826731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826750 */     GIR_RootConstrainSelectedInstOperands,
     /*  826751 */     // GIR_Coverage, 22430,
     /*  826751 */     GIR_EraseRootFromParent_Done,
     /*  826752 */   // Label 12735: @826752
     /*  826752 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826827), // Rule ID 22433 //
     /*  826757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  826774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  826806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826825 */     GIR_RootConstrainSelectedInstOperands,
     /*  826826 */     // GIR_Coverage, 22433,
     /*  826826 */     GIR_EraseRootFromParent_Done,
     /*  826827 */   // Label 12736: @826827
     /*  826827 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826902), // Rule ID 22434 //
     /*  826832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  826849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  826881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826900 */     GIR_RootConstrainSelectedInstOperands,
     /*  826901 */     // GIR_Coverage, 22434,
     /*  826901 */     GIR_EraseRootFromParent_Done,
     /*  826902 */   // Label 12737: @826902
     /*  826902 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(826977), // Rule ID 22437 //
     /*  826907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  826924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  826956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826975 */     GIR_RootConstrainSelectedInstOperands,
     /*  826976 */     // GIR_Coverage, 22437,
     /*  826976 */     GIR_EraseRootFromParent_Done,
     /*  826977 */   // Label 12738: @826977
     /*  826977 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827052), // Rule ID 22438 //
     /*  826982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  826999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  827031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827050 */     GIR_RootConstrainSelectedInstOperands,
     /*  827051 */     // GIR_Coverage, 22438,
     /*  827051 */     GIR_EraseRootFromParent_Done,
     /*  827052 */   // Label 12739: @827052
     /*  827052 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827127), // Rule ID 22441 //
     /*  827057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827125 */     GIR_RootConstrainSelectedInstOperands,
     /*  827126 */     // GIR_Coverage, 22441,
     /*  827126 */     GIR_EraseRootFromParent_Done,
     /*  827127 */   // Label 12740: @827127
     /*  827127 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827202), // Rule ID 22442 //
     /*  827132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  827181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827200 */     GIR_RootConstrainSelectedInstOperands,
     /*  827201 */     // GIR_Coverage, 22442,
     /*  827201 */     GIR_EraseRootFromParent_Done,
     /*  827202 */   // Label 12741: @827202
     /*  827202 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827277), // Rule ID 22445 //
     /*  827207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827275 */     GIR_RootConstrainSelectedInstOperands,
     /*  827276 */     // GIR_Coverage, 22445,
     /*  827276 */     GIR_EraseRootFromParent_Done,
     /*  827277 */   // Label 12742: @827277
     /*  827277 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827352), // Rule ID 22446 //
     /*  827282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  827331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827350 */     GIR_RootConstrainSelectedInstOperands,
     /*  827351 */     // GIR_Coverage, 22446,
     /*  827351 */     GIR_EraseRootFromParent_Done,
     /*  827352 */   // Label 12743: @827352
     /*  827352 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827427), // Rule ID 22449 //
     /*  827357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827425 */     GIR_RootConstrainSelectedInstOperands,
     /*  827426 */     // GIR_Coverage, 22449,
     /*  827426 */     GIR_EraseRootFromParent_Done,
     /*  827427 */   // Label 12744: @827427
     /*  827427 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827502), // Rule ID 22450 //
     /*  827432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  827481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827500 */     GIR_RootConstrainSelectedInstOperands,
     /*  827501 */     // GIR_Coverage, 22450,
     /*  827501 */     GIR_EraseRootFromParent_Done,
     /*  827502 */   // Label 12745: @827502
     /*  827502 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827577), // Rule ID 22453 //
     /*  827507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827575 */     GIR_RootConstrainSelectedInstOperands,
     /*  827576 */     // GIR_Coverage, 22453,
     /*  827576 */     GIR_EraseRootFromParent_Done,
     /*  827577 */   // Label 12746: @827577
     /*  827577 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827652), // Rule ID 22454 //
     /*  827582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  827599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  827631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827650 */     GIR_RootConstrainSelectedInstOperands,
     /*  827651 */     // GIR_Coverage, 22454,
     /*  827651 */     GIR_EraseRootFromParent_Done,
     /*  827652 */   // Label 12747: @827652
     /*  827652 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827727), // Rule ID 22457 //
     /*  827657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  827674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  827706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827725 */     GIR_RootConstrainSelectedInstOperands,
     /*  827726 */     // GIR_Coverage, 22457,
     /*  827726 */     GIR_EraseRootFromParent_Done,
     /*  827727 */   // Label 12748: @827727
     /*  827727 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827802), // Rule ID 22458 //
     /*  827732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  827749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  827781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827800 */     GIR_RootConstrainSelectedInstOperands,
     /*  827801 */     // GIR_Coverage, 22458,
     /*  827801 */     GIR_EraseRootFromParent_Done,
     /*  827802 */   // Label 12749: @827802
     /*  827802 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827877), // Rule ID 22461 //
     /*  827807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  827824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  827853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  827856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827875 */     GIR_RootConstrainSelectedInstOperands,
     /*  827876 */     // GIR_Coverage, 22461,
     /*  827876 */     GIR_EraseRootFromParent_Done,
     /*  827877 */   // Label 12750: @827877
     /*  827877 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(827952), // Rule ID 22462 //
     /*  827882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  827899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  827931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827950 */     GIR_RootConstrainSelectedInstOperands,
     /*  827951 */     // GIR_Coverage, 22462,
     /*  827951 */     GIR_EraseRootFromParent_Done,
     /*  827952 */   // Label 12751: @827952
     /*  827952 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828027), // Rule ID 22465 //
     /*  827957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  827974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828025 */     GIR_RootConstrainSelectedInstOperands,
     /*  828026 */     // GIR_Coverage, 22465,
     /*  828026 */     GIR_EraseRootFromParent_Done,
     /*  828027 */   // Label 12752: @828027
     /*  828027 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(828102), // Rule ID 22466 //
     /*  828032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  828049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  828081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828100 */     GIR_RootConstrainSelectedInstOperands,
     /*  828101 */     // GIR_Coverage, 22466,
     /*  828101 */     GIR_EraseRootFromParent_Done,
     /*  828102 */   // Label 12753: @828102
     /*  828102 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828177), // Rule ID 22469 //
     /*  828107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828175 */     GIR_RootConstrainSelectedInstOperands,
     /*  828176 */     // GIR_Coverage, 22469,
     /*  828176 */     GIR_EraseRootFromParent_Done,
     /*  828177 */   // Label 12754: @828177
     /*  828177 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828252), // Rule ID 22470 //
     /*  828182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  828190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  828199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  828231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828250 */     GIR_RootConstrainSelectedInstOperands,
     /*  828251 */     // GIR_Coverage, 22470,
     /*  828251 */     GIR_EraseRootFromParent_Done,
     /*  828252 */   // Label 12755: @828252
     /*  828252 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828327), // Rule ID 22473 //
     /*  828257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828325 */     GIR_RootConstrainSelectedInstOperands,
     /*  828326 */     // GIR_Coverage, 22473,
     /*  828326 */     GIR_EraseRootFromParent_Done,
     /*  828327 */   // Label 12756: @828327
     /*  828327 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828402), // Rule ID 22474 //
     /*  828332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  828381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828400 */     GIR_RootConstrainSelectedInstOperands,
     /*  828401 */     // GIR_Coverage, 22474,
     /*  828401 */     GIR_EraseRootFromParent_Done,
     /*  828402 */   // Label 12757: @828402
     /*  828402 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828477), // Rule ID 22477 //
     /*  828407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828475 */     GIR_RootConstrainSelectedInstOperands,
     /*  828476 */     // GIR_Coverage, 22477,
     /*  828476 */     GIR_EraseRootFromParent_Done,
     /*  828477 */   // Label 12758: @828477
     /*  828477 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828552), // Rule ID 22478 //
     /*  828482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  828531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828550 */     GIR_RootConstrainSelectedInstOperands,
     /*  828551 */     // GIR_Coverage, 22478,
     /*  828551 */     GIR_EraseRootFromParent_Done,
     /*  828552 */   // Label 12759: @828552
     /*  828552 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828627), // Rule ID 22481 //
     /*  828557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  828606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828625 */     GIR_RootConstrainSelectedInstOperands,
     /*  828626 */     // GIR_Coverage, 22481,
     /*  828626 */     GIR_EraseRootFromParent_Done,
     /*  828627 */   // Label 12760: @828627
     /*  828627 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828702), // Rule ID 22482 //
     /*  828632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  828681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828700 */     GIR_RootConstrainSelectedInstOperands,
     /*  828701 */     // GIR_Coverage, 22482,
     /*  828701 */     GIR_EraseRootFromParent_Done,
     /*  828702 */   // Label 12761: @828702
     /*  828702 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828777), // Rule ID 22485 //
     /*  828707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  828756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828775 */     GIR_RootConstrainSelectedInstOperands,
     /*  828776 */     // GIR_Coverage, 22485,
     /*  828776 */     GIR_EraseRootFromParent_Done,
     /*  828777 */   // Label 12762: @828777
     /*  828777 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828852), // Rule ID 22486 //
     /*  828782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  828831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828850 */     GIR_RootConstrainSelectedInstOperands,
     /*  828851 */     // GIR_Coverage, 22486,
     /*  828851 */     GIR_EraseRootFromParent_Done,
     /*  828852 */   // Label 12763: @828852
     /*  828852 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828927), // Rule ID 22489 //
     /*  828857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  828874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  828906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828925 */     GIR_RootConstrainSelectedInstOperands,
     /*  828926 */     // GIR_Coverage, 22489,
     /*  828926 */     GIR_EraseRootFromParent_Done,
     /*  828927 */   // Label 12764: @828927
     /*  828927 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(829002), // Rule ID 22490 //
     /*  828932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  828949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  828981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829000 */     GIR_RootConstrainSelectedInstOperands,
     /*  829001 */     // GIR_Coverage, 22490,
     /*  829001 */     GIR_EraseRootFromParent_Done,
     /*  829002 */   // Label 12765: @829002
     /*  829002 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(829077), // Rule ID 22493 //
     /*  829007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829075 */     GIR_RootConstrainSelectedInstOperands,
     /*  829076 */     // GIR_Coverage, 22493,
     /*  829076 */     GIR_EraseRootFromParent_Done,
     /*  829077 */   // Label 12766: @829077
     /*  829077 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829152), // Rule ID 22494 //
     /*  829082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  829131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829150 */     GIR_RootConstrainSelectedInstOperands,
     /*  829151 */     // GIR_Coverage, 22494,
     /*  829151 */     GIR_EraseRootFromParent_Done,
     /*  829152 */   // Label 12767: @829152
     /*  829152 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829227), // Rule ID 22497 //
     /*  829157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829225 */     GIR_RootConstrainSelectedInstOperands,
     /*  829226 */     // GIR_Coverage, 22497,
     /*  829226 */     GIR_EraseRootFromParent_Done,
     /*  829227 */   // Label 12768: @829227
     /*  829227 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829302), // Rule ID 22498 //
     /*  829232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  829281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829300 */     GIR_RootConstrainSelectedInstOperands,
     /*  829301 */     // GIR_Coverage, 22498,
     /*  829301 */     GIR_EraseRootFromParent_Done,
     /*  829302 */   // Label 12769: @829302
     /*  829302 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829377), // Rule ID 22501 //
     /*  829307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829375 */     GIR_RootConstrainSelectedInstOperands,
     /*  829376 */     // GIR_Coverage, 22501,
     /*  829376 */     GIR_EraseRootFromParent_Done,
     /*  829377 */   // Label 12770: @829377
     /*  829377 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829452), // Rule ID 22502 //
     /*  829382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  829431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829450 */     GIR_RootConstrainSelectedInstOperands,
     /*  829451 */     // GIR_Coverage, 22502,
     /*  829451 */     GIR_EraseRootFromParent_Done,
     /*  829452 */   // Label 12771: @829452
     /*  829452 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829527), // Rule ID 22505 //
     /*  829457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829525 */     GIR_RootConstrainSelectedInstOperands,
     /*  829526 */     // GIR_Coverage, 22505,
     /*  829526 */     GIR_EraseRootFromParent_Done,
     /*  829527 */   // Label 12772: @829527
     /*  829527 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829602), // Rule ID 22506 //
     /*  829532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  829581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829600 */     GIR_RootConstrainSelectedInstOperands,
     /*  829601 */     // GIR_Coverage, 22506,
     /*  829601 */     GIR_EraseRootFromParent_Done,
     /*  829602 */   // Label 12773: @829602
     /*  829602 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829677), // Rule ID 22509 //
     /*  829607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  829624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  829656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829675 */     GIR_RootConstrainSelectedInstOperands,
     /*  829676 */     // GIR_Coverage, 22509,
     /*  829676 */     GIR_EraseRootFromParent_Done,
     /*  829677 */   // Label 12774: @829677
     /*  829677 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829752), // Rule ID 22510 //
     /*  829682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  829699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  829731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829750 */     GIR_RootConstrainSelectedInstOperands,
     /*  829751 */     // GIR_Coverage, 22510,
     /*  829751 */     GIR_EraseRootFromParent_Done,
     /*  829752 */   // Label 12775: @829752
     /*  829752 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829827), // Rule ID 22513 //
     /*  829757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  829806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829825 */     GIR_RootConstrainSelectedInstOperands,
     /*  829826 */     // GIR_Coverage, 22513,
     /*  829826 */     GIR_EraseRootFromParent_Done,
     /*  829827 */   // Label 12776: @829827
     /*  829827 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829902), // Rule ID 22514 //
     /*  829832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  829881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829900 */     GIR_RootConstrainSelectedInstOperands,
     /*  829901 */     // GIR_Coverage, 22514,
     /*  829901 */     GIR_EraseRootFromParent_Done,
     /*  829902 */   // Label 12777: @829902
     /*  829902 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(829977), // Rule ID 22517 //
     /*  829907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  829924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  829956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829975 */     GIR_RootConstrainSelectedInstOperands,
     /*  829976 */     // GIR_Coverage, 22517,
     /*  829976 */     GIR_EraseRootFromParent_Done,
     /*  829977 */   // Label 12778: @829977
     /*  829977 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(830052), // Rule ID 22518 //
     /*  829982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  829999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  830031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830050 */     GIR_RootConstrainSelectedInstOperands,
     /*  830051 */     // GIR_Coverage, 22518,
     /*  830051 */     GIR_EraseRootFromParent_Done,
     /*  830052 */   // Label 12779: @830052
     /*  830052 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(830127), // Rule ID 22521 //
     /*  830057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830125 */     GIR_RootConstrainSelectedInstOperands,
     /*  830126 */     // GIR_Coverage, 22521,
     /*  830126 */     GIR_EraseRootFromParent_Done,
     /*  830127 */   // Label 12780: @830127
     /*  830127 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830202), // Rule ID 22522 //
     /*  830132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  830181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830200 */     GIR_RootConstrainSelectedInstOperands,
     /*  830201 */     // GIR_Coverage, 22522,
     /*  830201 */     GIR_EraseRootFromParent_Done,
     /*  830202 */   // Label 12781: @830202
     /*  830202 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830277), // Rule ID 22525 //
     /*  830207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830275 */     GIR_RootConstrainSelectedInstOperands,
     /*  830276 */     // GIR_Coverage, 22525,
     /*  830276 */     GIR_EraseRootFromParent_Done,
     /*  830277 */   // Label 12782: @830277
     /*  830277 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830352), // Rule ID 22526 //
     /*  830282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  830331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830350 */     GIR_RootConstrainSelectedInstOperands,
     /*  830351 */     // GIR_Coverage, 22526,
     /*  830351 */     GIR_EraseRootFromParent_Done,
     /*  830352 */   // Label 12783: @830352
     /*  830352 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830427), // Rule ID 22529 //
     /*  830357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830425 */     GIR_RootConstrainSelectedInstOperands,
     /*  830426 */     // GIR_Coverage, 22529,
     /*  830426 */     GIR_EraseRootFromParent_Done,
     /*  830427 */   // Label 12784: @830427
     /*  830427 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830502), // Rule ID 22530 //
     /*  830432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  830481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830500 */     GIR_RootConstrainSelectedInstOperands,
     /*  830501 */     // GIR_Coverage, 22530,
     /*  830501 */     GIR_EraseRootFromParent_Done,
     /*  830502 */   // Label 12785: @830502
     /*  830502 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830577), // Rule ID 22533 //
     /*  830507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830575 */     GIR_RootConstrainSelectedInstOperands,
     /*  830576 */     // GIR_Coverage, 22533,
     /*  830576 */     GIR_EraseRootFromParent_Done,
     /*  830577 */   // Label 12786: @830577
     /*  830577 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830652), // Rule ID 22534 //
     /*  830582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  830631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830650 */     GIR_RootConstrainSelectedInstOperands,
     /*  830651 */     // GIR_Coverage, 22534,
     /*  830651 */     GIR_EraseRootFromParent_Done,
     /*  830652 */   // Label 12787: @830652
     /*  830652 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830727), // Rule ID 22537 //
     /*  830657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  830706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830725 */     GIR_RootConstrainSelectedInstOperands,
     /*  830726 */     // GIR_Coverage, 22537,
     /*  830726 */     GIR_EraseRootFromParent_Done,
     /*  830727 */   // Label 12788: @830727
     /*  830727 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830802), // Rule ID 22538 //
     /*  830732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  830781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830800 */     GIR_RootConstrainSelectedInstOperands,
     /*  830801 */     // GIR_Coverage, 22538,
     /*  830801 */     GIR_EraseRootFromParent_Done,
     /*  830802 */   // Label 12789: @830802
     /*  830802 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830877), // Rule ID 22541 //
     /*  830807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  830856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830875 */     GIR_RootConstrainSelectedInstOperands,
     /*  830876 */     // GIR_Coverage, 22541,
     /*  830876 */     GIR_EraseRootFromParent_Done,
     /*  830877 */   // Label 12790: @830877
     /*  830877 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(830952), // Rule ID 22542 //
     /*  830882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  830931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830950 */     GIR_RootConstrainSelectedInstOperands,
     /*  830951 */     // GIR_Coverage, 22542,
     /*  830951 */     GIR_EraseRootFromParent_Done,
     /*  830952 */   // Label 12791: @830952
     /*  830952 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(831027), // Rule ID 22545 //
     /*  830957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  830974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831025 */     GIR_RootConstrainSelectedInstOperands,
     /*  831026 */     // GIR_Coverage, 22545,
     /*  831026 */     GIR_EraseRootFromParent_Done,
     /*  831027 */   // Label 12792: @831027
     /*  831027 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(831102), // Rule ID 22546 //
     /*  831032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  831081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831100 */     GIR_RootConstrainSelectedInstOperands,
     /*  831101 */     // GIR_Coverage, 22546,
     /*  831101 */     GIR_EraseRootFromParent_Done,
     /*  831102 */   // Label 12793: @831102
     /*  831102 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831177), // Rule ID 22549 //
     /*  831107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831175 */     GIR_RootConstrainSelectedInstOperands,
     /*  831176 */     // GIR_Coverage, 22549,
     /*  831176 */     GIR_EraseRootFromParent_Done,
     /*  831177 */   // Label 12794: @831177
     /*  831177 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831252), // Rule ID 22550 //
     /*  831182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  831231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831250 */     GIR_RootConstrainSelectedInstOperands,
     /*  831251 */     // GIR_Coverage, 22550,
     /*  831251 */     GIR_EraseRootFromParent_Done,
     /*  831252 */   // Label 12795: @831252
     /*  831252 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831327), // Rule ID 22553 //
     /*  831257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831325 */     GIR_RootConstrainSelectedInstOperands,
     /*  831326 */     // GIR_Coverage, 22553,
     /*  831326 */     GIR_EraseRootFromParent_Done,
     /*  831327 */   // Label 12796: @831327
     /*  831327 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831402), // Rule ID 22554 //
     /*  831332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  831349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  831381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831400 */     GIR_RootConstrainSelectedInstOperands,
     /*  831401 */     // GIR_Coverage, 22554,
     /*  831401 */     GIR_EraseRootFromParent_Done,
     /*  831402 */   // Label 12797: @831402
     /*  831402 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831477), // Rule ID 22557 //
     /*  831407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831475 */     GIR_RootConstrainSelectedInstOperands,
     /*  831476 */     // GIR_Coverage, 22557,
     /*  831476 */     GIR_EraseRootFromParent_Done,
     /*  831477 */   // Label 12798: @831477
     /*  831477 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831552), // Rule ID 22558 //
     /*  831482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  831490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  831499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  831531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831550 */     GIR_RootConstrainSelectedInstOperands,
     /*  831551 */     // GIR_Coverage, 22558,
     /*  831551 */     GIR_EraseRootFromParent_Done,
     /*  831552 */   // Label 12799: @831552
     /*  831552 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831627), // Rule ID 22561 //
     /*  831557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  831574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  831606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831625 */     GIR_RootConstrainSelectedInstOperands,
     /*  831626 */     // GIR_Coverage, 22561,
     /*  831626 */     GIR_EraseRootFromParent_Done,
     /*  831627 */   // Label 12800: @831627
     /*  831627 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831702), // Rule ID 22562 //
     /*  831632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  831649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  831681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831700 */     GIR_RootConstrainSelectedInstOperands,
     /*  831701 */     // GIR_Coverage, 22562,
     /*  831701 */     GIR_EraseRootFromParent_Done,
     /*  831702 */   // Label 12801: @831702
     /*  831702 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831777), // Rule ID 22565 //
     /*  831707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  831724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  831756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831775 */     GIR_RootConstrainSelectedInstOperands,
     /*  831776 */     // GIR_Coverage, 22565,
     /*  831776 */     GIR_EraseRootFromParent_Done,
     /*  831777 */   // Label 12802: @831777
     /*  831777 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831852), // Rule ID 22566 //
     /*  831782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  831799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  831831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831850 */     GIR_RootConstrainSelectedInstOperands,
     /*  831851 */     // GIR_Coverage, 22566,
     /*  831851 */     GIR_EraseRootFromParent_Done,
     /*  831852 */   // Label 12803: @831852
     /*  831852 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831927), // Rule ID 22569 //
     /*  831857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  831874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  831906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831925 */     GIR_RootConstrainSelectedInstOperands,
     /*  831926 */     // GIR_Coverage, 22569,
     /*  831926 */     GIR_EraseRootFromParent_Done,
     /*  831927 */   // Label 12804: @831927
     /*  831927 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(832002), // Rule ID 22570 //
     /*  831932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  831949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  831981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832000 */     GIR_RootConstrainSelectedInstOperands,
     /*  832001 */     // GIR_Coverage, 22570,
     /*  832001 */     GIR_EraseRootFromParent_Done,
     /*  832002 */   // Label 12805: @832002
     /*  832002 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(832077), // Rule ID 22573 //
     /*  832007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832075 */     GIR_RootConstrainSelectedInstOperands,
     /*  832076 */     // GIR_Coverage, 22573,
     /*  832076 */     GIR_EraseRootFromParent_Done,
     /*  832077 */   // Label 12806: @832077
     /*  832077 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832152), // Rule ID 22574 //
     /*  832082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  832099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  832131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832150 */     GIR_RootConstrainSelectedInstOperands,
     /*  832151 */     // GIR_Coverage, 22574,
     /*  832151 */     GIR_EraseRootFromParent_Done,
     /*  832152 */   // Label 12807: @832152
     /*  832152 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832227), // Rule ID 22577 //
     /*  832157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832225 */     GIR_RootConstrainSelectedInstOperands,
     /*  832226 */     // GIR_Coverage, 22577,
     /*  832226 */     GIR_EraseRootFromParent_Done,
     /*  832227 */   // Label 12808: @832227
     /*  832227 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832302), // Rule ID 22578 //
     /*  832232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  832249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  832281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832300 */     GIR_RootConstrainSelectedInstOperands,
     /*  832301 */     // GIR_Coverage, 22578,
     /*  832301 */     GIR_EraseRootFromParent_Done,
     /*  832302 */   // Label 12809: @832302
     /*  832302 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832377), // Rule ID 22581 //
     /*  832307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832375 */     GIR_RootConstrainSelectedInstOperands,
     /*  832376 */     // GIR_Coverage, 22581,
     /*  832376 */     GIR_EraseRootFromParent_Done,
     /*  832377 */   // Label 12810: @832377
     /*  832377 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832452), // Rule ID 22582 //
     /*  832382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  832399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  832431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832450 */     GIR_RootConstrainSelectedInstOperands,
     /*  832451 */     // GIR_Coverage, 22582,
     /*  832451 */     GIR_EraseRootFromParent_Done,
     /*  832452 */   // Label 12811: @832452
     /*  832452 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832527), // Rule ID 22585 //
     /*  832457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832525 */     GIR_RootConstrainSelectedInstOperands,
     /*  832526 */     // GIR_Coverage, 22585,
     /*  832526 */     GIR_EraseRootFromParent_Done,
     /*  832527 */   // Label 12812: @832527
     /*  832527 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832602), // Rule ID 22586 //
     /*  832532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  832549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  832581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832600 */     GIR_RootConstrainSelectedInstOperands,
     /*  832601 */     // GIR_Coverage, 22586,
     /*  832601 */     GIR_EraseRootFromParent_Done,
     /*  832602 */   // Label 12813: @832602
     /*  832602 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832677), // Rule ID 22589 //
     /*  832607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  832624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  832656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832675 */     GIR_RootConstrainSelectedInstOperands,
     /*  832676 */     // GIR_Coverage, 22589,
     /*  832676 */     GIR_EraseRootFromParent_Done,
     /*  832677 */   // Label 12814: @832677
     /*  832677 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832752), // Rule ID 22590 //
     /*  832682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  832699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  832731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832750 */     GIR_RootConstrainSelectedInstOperands,
     /*  832751 */     // GIR_Coverage, 22590,
     /*  832751 */     GIR_EraseRootFromParent_Done,
     /*  832752 */   // Label 12815: @832752
     /*  832752 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832827), // Rule ID 22593 //
     /*  832757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  832774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  832806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832825 */     GIR_RootConstrainSelectedInstOperands,
     /*  832826 */     // GIR_Coverage, 22593,
     /*  832826 */     GIR_EraseRootFromParent_Done,
     /*  832827 */   // Label 12816: @832827
     /*  832827 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832902), // Rule ID 22594 //
     /*  832832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  832849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  832881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832900 */     GIR_RootConstrainSelectedInstOperands,
     /*  832901 */     // GIR_Coverage, 22594,
     /*  832901 */     GIR_EraseRootFromParent_Done,
     /*  832902 */   // Label 12817: @832902
     /*  832902 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(832977), // Rule ID 22597 //
     /*  832907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  832924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  832956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832975 */     GIR_RootConstrainSelectedInstOperands,
     /*  832976 */     // GIR_Coverage, 22597,
     /*  832976 */     GIR_EraseRootFromParent_Done,
     /*  832977 */   // Label 12818: @832977
     /*  832977 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(833052), // Rule ID 22598 //
     /*  832982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  832999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  833031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833050 */     GIR_RootConstrainSelectedInstOperands,
     /*  833051 */     // GIR_Coverage, 22598,
     /*  833051 */     GIR_EraseRootFromParent_Done,
     /*  833052 */   // Label 12819: @833052
     /*  833052 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(833127), // Rule ID 22601 //
     /*  833057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833125 */     GIR_RootConstrainSelectedInstOperands,
     /*  833126 */     // GIR_Coverage, 22601,
     /*  833126 */     GIR_EraseRootFromParent_Done,
     /*  833127 */   // Label 12820: @833127
     /*  833127 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833202), // Rule ID 22602 //
     /*  833132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  833149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  833181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833200 */     GIR_RootConstrainSelectedInstOperands,
     /*  833201 */     // GIR_Coverage, 22602,
     /*  833201 */     GIR_EraseRootFromParent_Done,
     /*  833202 */   // Label 12821: @833202
     /*  833202 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833277), // Rule ID 22605 //
     /*  833207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833275 */     GIR_RootConstrainSelectedInstOperands,
     /*  833276 */     // GIR_Coverage, 22605,
     /*  833276 */     GIR_EraseRootFromParent_Done,
     /*  833277 */   // Label 12822: @833277
     /*  833277 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833352), // Rule ID 22606 //
     /*  833282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  833299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  833331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833350 */     GIR_RootConstrainSelectedInstOperands,
     /*  833351 */     // GIR_Coverage, 22606,
     /*  833351 */     GIR_EraseRootFromParent_Done,
     /*  833352 */   // Label 12823: @833352
     /*  833352 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833427), // Rule ID 22609 //
     /*  833357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833425 */     GIR_RootConstrainSelectedInstOperands,
     /*  833426 */     // GIR_Coverage, 22609,
     /*  833426 */     GIR_EraseRootFromParent_Done,
     /*  833427 */   // Label 12824: @833427
     /*  833427 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833502), // Rule ID 22610 //
     /*  833432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  833449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  833481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833500 */     GIR_RootConstrainSelectedInstOperands,
     /*  833501 */     // GIR_Coverage, 22610,
     /*  833501 */     GIR_EraseRootFromParent_Done,
     /*  833502 */   // Label 12825: @833502
     /*  833502 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833577), // Rule ID 22613 //
     /*  833507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833575 */     GIR_RootConstrainSelectedInstOperands,
     /*  833576 */     // GIR_Coverage, 22613,
     /*  833576 */     GIR_EraseRootFromParent_Done,
     /*  833577 */   // Label 12826: @833577
     /*  833577 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833652), // Rule ID 22614 //
     /*  833582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  833599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  833631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833650 */     GIR_RootConstrainSelectedInstOperands,
     /*  833651 */     // GIR_Coverage, 22614,
     /*  833651 */     GIR_EraseRootFromParent_Done,
     /*  833652 */   // Label 12827: @833652
     /*  833652 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833727), // Rule ID 22617 //
     /*  833657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  833674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  833706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833725 */     GIR_RootConstrainSelectedInstOperands,
     /*  833726 */     // GIR_Coverage, 22617,
     /*  833726 */     GIR_EraseRootFromParent_Done,
     /*  833727 */   // Label 12828: @833727
     /*  833727 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833802), // Rule ID 22618 //
     /*  833732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  833749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  833781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833800 */     GIR_RootConstrainSelectedInstOperands,
     /*  833801 */     // GIR_Coverage, 22618,
     /*  833801 */     GIR_EraseRootFromParent_Done,
     /*  833802 */   // Label 12829: @833802
     /*  833802 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833877), // Rule ID 22621 //
     /*  833807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  833824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  833856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833875 */     GIR_RootConstrainSelectedInstOperands,
     /*  833876 */     // GIR_Coverage, 22621,
     /*  833876 */     GIR_EraseRootFromParent_Done,
     /*  833877 */   // Label 12830: @833877
     /*  833877 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(833952), // Rule ID 22622 //
     /*  833882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  833899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  833931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833950 */     GIR_RootConstrainSelectedInstOperands,
     /*  833951 */     // GIR_Coverage, 22622,
     /*  833951 */     GIR_EraseRootFromParent_Done,
     /*  833952 */   // Label 12831: @833952
     /*  833952 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(834027), // Rule ID 22625 //
     /*  833957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  833974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834025 */     GIR_RootConstrainSelectedInstOperands,
     /*  834026 */     // GIR_Coverage, 22625,
     /*  834026 */     GIR_EraseRootFromParent_Done,
     /*  834027 */   // Label 12832: @834027
     /*  834027 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(834102), // Rule ID 22626 //
     /*  834032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  834081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834100 */     GIR_RootConstrainSelectedInstOperands,
     /*  834101 */     // GIR_Coverage, 22626,
     /*  834101 */     GIR_EraseRootFromParent_Done,
     /*  834102 */   // Label 12833: @834102
     /*  834102 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834177), // Rule ID 22629 //
     /*  834107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834175 */     GIR_RootConstrainSelectedInstOperands,
     /*  834176 */     // GIR_Coverage, 22629,
     /*  834176 */     GIR_EraseRootFromParent_Done,
     /*  834177 */   // Label 12834: @834177
     /*  834177 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834252), // Rule ID 22630 //
     /*  834182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  834190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  834231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834250 */     GIR_RootConstrainSelectedInstOperands,
     /*  834251 */     // GIR_Coverage, 22630,
     /*  834251 */     GIR_EraseRootFromParent_Done,
     /*  834252 */   // Label 12835: @834252
     /*  834252 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834327), // Rule ID 22633 //
     /*  834257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834325 */     GIR_RootConstrainSelectedInstOperands,
     /*  834326 */     // GIR_Coverage, 22633,
     /*  834326 */     GIR_EraseRootFromParent_Done,
     /*  834327 */   // Label 12836: @834327
     /*  834327 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834402), // Rule ID 22634 //
     /*  834332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  834349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  834381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834400 */     GIR_RootConstrainSelectedInstOperands,
     /*  834401 */     // GIR_Coverage, 22634,
     /*  834401 */     GIR_EraseRootFromParent_Done,
     /*  834402 */   // Label 12837: @834402
     /*  834402 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834477), // Rule ID 22637 //
     /*  834407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834475 */     GIR_RootConstrainSelectedInstOperands,
     /*  834476 */     // GIR_Coverage, 22637,
     /*  834476 */     GIR_EraseRootFromParent_Done,
     /*  834477 */   // Label 12838: @834477
     /*  834477 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834552), // Rule ID 22638 //
     /*  834482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  834499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  834531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834550 */     GIR_RootConstrainSelectedInstOperands,
     /*  834551 */     // GIR_Coverage, 22638,
     /*  834551 */     GIR_EraseRootFromParent_Done,
     /*  834552 */   // Label 12839: @834552
     /*  834552 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834627), // Rule ID 22641 //
     /*  834557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  834574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  834606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834625 */     GIR_RootConstrainSelectedInstOperands,
     /*  834626 */     // GIR_Coverage, 22641,
     /*  834626 */     GIR_EraseRootFromParent_Done,
     /*  834627 */   // Label 12840: @834627
     /*  834627 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834702), // Rule ID 22642 //
     /*  834632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  834649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  834681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834700 */     GIR_RootConstrainSelectedInstOperands,
     /*  834701 */     // GIR_Coverage, 22642,
     /*  834701 */     GIR_EraseRootFromParent_Done,
     /*  834702 */   // Label 12841: @834702
     /*  834702 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834777), // Rule ID 22645 //
     /*  834707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  834724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  834756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834775 */     GIR_RootConstrainSelectedInstOperands,
     /*  834776 */     // GIR_Coverage, 22645,
     /*  834776 */     GIR_EraseRootFromParent_Done,
     /*  834777 */   // Label 12842: @834777
     /*  834777 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834852), // Rule ID 22646 //
     /*  834782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  834799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  834831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834850 */     GIR_RootConstrainSelectedInstOperands,
     /*  834851 */     // GIR_Coverage, 22646,
     /*  834851 */     GIR_EraseRootFromParent_Done,
     /*  834852 */   // Label 12843: @834852
     /*  834852 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834927), // Rule ID 22649 //
     /*  834857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  834874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  834906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834925 */     GIR_RootConstrainSelectedInstOperands,
     /*  834926 */     // GIR_Coverage, 22649,
     /*  834926 */     GIR_EraseRootFromParent_Done,
     /*  834927 */   // Label 12844: @834927
     /*  834927 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(835002), // Rule ID 22650 //
     /*  834932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  834949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  834981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835000 */     GIR_RootConstrainSelectedInstOperands,
     /*  835001 */     // GIR_Coverage, 22650,
     /*  835001 */     GIR_EraseRootFromParent_Done,
     /*  835002 */   // Label 12845: @835002
     /*  835002 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(835077), // Rule ID 22653 //
     /*  835007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835075 */     GIR_RootConstrainSelectedInstOperands,
     /*  835076 */     // GIR_Coverage, 22653,
     /*  835076 */     GIR_EraseRootFromParent_Done,
     /*  835077 */   // Label 12846: @835077
     /*  835077 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835152), // Rule ID 22654 //
     /*  835082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  835099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  835131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835150 */     GIR_RootConstrainSelectedInstOperands,
     /*  835151 */     // GIR_Coverage, 22654,
     /*  835151 */     GIR_EraseRootFromParent_Done,
     /*  835152 */   // Label 12847: @835152
     /*  835152 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835227), // Rule ID 22657 //
     /*  835157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835225 */     GIR_RootConstrainSelectedInstOperands,
     /*  835226 */     // GIR_Coverage, 22657,
     /*  835226 */     GIR_EraseRootFromParent_Done,
     /*  835227 */   // Label 12848: @835227
     /*  835227 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835302), // Rule ID 22658 //
     /*  835232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  835249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  835281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835300 */     GIR_RootConstrainSelectedInstOperands,
     /*  835301 */     // GIR_Coverage, 22658,
     /*  835301 */     GIR_EraseRootFromParent_Done,
     /*  835302 */   // Label 12849: @835302
     /*  835302 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835377), // Rule ID 22661 //
     /*  835307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835375 */     GIR_RootConstrainSelectedInstOperands,
     /*  835376 */     // GIR_Coverage, 22661,
     /*  835376 */     GIR_EraseRootFromParent_Done,
     /*  835377 */   // Label 12850: @835377
     /*  835377 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835452), // Rule ID 22662 //
     /*  835382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  835399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  835431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835450 */     GIR_RootConstrainSelectedInstOperands,
     /*  835451 */     // GIR_Coverage, 22662,
     /*  835451 */     GIR_EraseRootFromParent_Done,
     /*  835452 */   // Label 12851: @835452
     /*  835452 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835527), // Rule ID 22665 //
     /*  835457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835525 */     GIR_RootConstrainSelectedInstOperands,
     /*  835526 */     // GIR_Coverage, 22665,
     /*  835526 */     GIR_EraseRootFromParent_Done,
     /*  835527 */   // Label 12852: @835527
     /*  835527 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835602), // Rule ID 22666 //
     /*  835532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  835549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  835581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835600 */     GIR_RootConstrainSelectedInstOperands,
     /*  835601 */     // GIR_Coverage, 22666,
     /*  835601 */     GIR_EraseRootFromParent_Done,
     /*  835602 */   // Label 12853: @835602
     /*  835602 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835677), // Rule ID 22669 //
     /*  835607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  835656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835675 */     GIR_RootConstrainSelectedInstOperands,
     /*  835676 */     // GIR_Coverage, 22669,
     /*  835676 */     GIR_EraseRootFromParent_Done,
     /*  835677 */   // Label 12854: @835677
     /*  835677 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835752), // Rule ID 22670 //
     /*  835682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  835731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835750 */     GIR_RootConstrainSelectedInstOperands,
     /*  835751 */     // GIR_Coverage, 22670,
     /*  835751 */     GIR_EraseRootFromParent_Done,
     /*  835752 */   // Label 12855: @835752
     /*  835752 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835827), // Rule ID 22673 //
     /*  835757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  835806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835825 */     GIR_RootConstrainSelectedInstOperands,
     /*  835826 */     // GIR_Coverage, 22673,
     /*  835826 */     GIR_EraseRootFromParent_Done,
     /*  835827 */   // Label 12856: @835827
     /*  835827 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835902), // Rule ID 22674 //
     /*  835832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  835881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835900 */     GIR_RootConstrainSelectedInstOperands,
     /*  835901 */     // GIR_Coverage, 22674,
     /*  835901 */     GIR_EraseRootFromParent_Done,
     /*  835902 */   // Label 12857: @835902
     /*  835902 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(835977), // Rule ID 22677 //
     /*  835907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  835924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  835956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835975 */     GIR_RootConstrainSelectedInstOperands,
     /*  835976 */     // GIR_Coverage, 22677,
     /*  835976 */     GIR_EraseRootFromParent_Done,
     /*  835977 */   // Label 12858: @835977
     /*  835977 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(836052), // Rule ID 22678 //
     /*  835982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  835999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  836031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836050 */     GIR_RootConstrainSelectedInstOperands,
     /*  836051 */     // GIR_Coverage, 22678,
     /*  836051 */     GIR_EraseRootFromParent_Done,
     /*  836052 */   // Label 12859: @836052
     /*  836052 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(836127), // Rule ID 22681 //
     /*  836057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836125 */     GIR_RootConstrainSelectedInstOperands,
     /*  836126 */     // GIR_Coverage, 22681,
     /*  836126 */     GIR_EraseRootFromParent_Done,
     /*  836127 */   // Label 12860: @836127
     /*  836127 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836202), // Rule ID 22682 //
     /*  836132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  836181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836200 */     GIR_RootConstrainSelectedInstOperands,
     /*  836201 */     // GIR_Coverage, 22682,
     /*  836201 */     GIR_EraseRootFromParent_Done,
     /*  836202 */   // Label 12861: @836202
     /*  836202 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836277), // Rule ID 22685 //
     /*  836207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836275 */     GIR_RootConstrainSelectedInstOperands,
     /*  836276 */     // GIR_Coverage, 22685,
     /*  836276 */     GIR_EraseRootFromParent_Done,
     /*  836277 */   // Label 12862: @836277
     /*  836277 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836352), // Rule ID 22686 //
     /*  836282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  836331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836350 */     GIR_RootConstrainSelectedInstOperands,
     /*  836351 */     // GIR_Coverage, 22686,
     /*  836351 */     GIR_EraseRootFromParent_Done,
     /*  836352 */   // Label 12863: @836352
     /*  836352 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836427), // Rule ID 22689 //
     /*  836357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836425 */     GIR_RootConstrainSelectedInstOperands,
     /*  836426 */     // GIR_Coverage, 22689,
     /*  836426 */     GIR_EraseRootFromParent_Done,
     /*  836427 */   // Label 12864: @836427
     /*  836427 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836502), // Rule ID 22690 //
     /*  836432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  836481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836500 */     GIR_RootConstrainSelectedInstOperands,
     /*  836501 */     // GIR_Coverage, 22690,
     /*  836501 */     GIR_EraseRootFromParent_Done,
     /*  836502 */   // Label 12865: @836502
     /*  836502 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836577), // Rule ID 22693 //
     /*  836507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836575 */     GIR_RootConstrainSelectedInstOperands,
     /*  836576 */     // GIR_Coverage, 22693,
     /*  836576 */     GIR_EraseRootFromParent_Done,
     /*  836577 */   // Label 12866: @836577
     /*  836577 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836652), // Rule ID 22694 //
     /*  836582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  836631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836650 */     GIR_RootConstrainSelectedInstOperands,
     /*  836651 */     // GIR_Coverage, 22694,
     /*  836651 */     GIR_EraseRootFromParent_Done,
     /*  836652 */   // Label 12867: @836652
     /*  836652 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836727), // Rule ID 22697 //
     /*  836657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  836706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836725 */     GIR_RootConstrainSelectedInstOperands,
     /*  836726 */     // GIR_Coverage, 22697,
     /*  836726 */     GIR_EraseRootFromParent_Done,
     /*  836727 */   // Label 12868: @836727
     /*  836727 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836802), // Rule ID 22698 //
     /*  836732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  836781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836800 */     GIR_RootConstrainSelectedInstOperands,
     /*  836801 */     // GIR_Coverage, 22698,
     /*  836801 */     GIR_EraseRootFromParent_Done,
     /*  836802 */   // Label 12869: @836802
     /*  836802 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836877), // Rule ID 22701 //
     /*  836807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  836856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836875 */     GIR_RootConstrainSelectedInstOperands,
     /*  836876 */     // GIR_Coverage, 22701,
     /*  836876 */     GIR_EraseRootFromParent_Done,
     /*  836877 */   // Label 12870: @836877
     /*  836877 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(836952), // Rule ID 22702 //
     /*  836882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  836890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  836931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836950 */     GIR_RootConstrainSelectedInstOperands,
     /*  836951 */     // GIR_Coverage, 22702,
     /*  836951 */     GIR_EraseRootFromParent_Done,
     /*  836952 */   // Label 12871: @836952
     /*  836952 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(837027), // Rule ID 22821 //
     /*  836957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  836974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837003 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837025 */     GIR_RootConstrainSelectedInstOperands,
     /*  837026 */     // GIR_Coverage, 22821,
     /*  837026 */     GIR_EraseRootFromParent_Done,
     /*  837027 */   // Label 12872: @837027
     /*  837027 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(837102), // Rule ID 22822 //
     /*  837032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  837081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837100 */     GIR_RootConstrainSelectedInstOperands,
     /*  837101 */     // GIR_Coverage, 22822,
     /*  837101 */     GIR_EraseRootFromParent_Done,
     /*  837102 */   // Label 12873: @837102
     /*  837102 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837177), // Rule ID 22825 //
     /*  837107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837175 */     GIR_RootConstrainSelectedInstOperands,
     /*  837176 */     // GIR_Coverage, 22825,
     /*  837176 */     GIR_EraseRootFromParent_Done,
     /*  837177 */   // Label 12874: @837177
     /*  837177 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837252), // Rule ID 22826 //
     /*  837182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  837231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837250 */     GIR_RootConstrainSelectedInstOperands,
     /*  837251 */     // GIR_Coverage, 22826,
     /*  837251 */     GIR_EraseRootFromParent_Done,
     /*  837252 */   // Label 12875: @837252
     /*  837252 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837327), // Rule ID 22829 //
     /*  837257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837325 */     GIR_RootConstrainSelectedInstOperands,
     /*  837326 */     // GIR_Coverage, 22829,
     /*  837326 */     GIR_EraseRootFromParent_Done,
     /*  837327 */   // Label 12876: @837327
     /*  837327 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837402), // Rule ID 22830 //
     /*  837332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  837381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837400 */     GIR_RootConstrainSelectedInstOperands,
     /*  837401 */     // GIR_Coverage, 22830,
     /*  837401 */     GIR_EraseRootFromParent_Done,
     /*  837402 */   // Label 12877: @837402
     /*  837402 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837477), // Rule ID 22833 //
     /*  837407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837453 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837475 */     GIR_RootConstrainSelectedInstOperands,
     /*  837476 */     // GIR_Coverage, 22833,
     /*  837476 */     GIR_EraseRootFromParent_Done,
     /*  837477 */   // Label 12878: @837477
     /*  837477 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837552), // Rule ID 22834 //
     /*  837482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  837531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837550 */     GIR_RootConstrainSelectedInstOperands,
     /*  837551 */     // GIR_Coverage, 22834,
     /*  837551 */     GIR_EraseRootFromParent_Done,
     /*  837552 */   // Label 12879: @837552
     /*  837552 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837627), // Rule ID 22837 //
     /*  837557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  837606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837625 */     GIR_RootConstrainSelectedInstOperands,
     /*  837626 */     // GIR_Coverage, 22837,
     /*  837626 */     GIR_EraseRootFromParent_Done,
     /*  837627 */   // Label 12880: @837627
     /*  837627 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837702), // Rule ID 22838 //
     /*  837632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837678 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  837681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837700 */     GIR_RootConstrainSelectedInstOperands,
     /*  837701 */     // GIR_Coverage, 22838,
     /*  837701 */     GIR_EraseRootFromParent_Done,
     /*  837702 */   // Label 12881: @837702
     /*  837702 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837777), // Rule ID 22841 //
     /*  837707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  837724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837753 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  837753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  837756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837775 */     GIR_RootConstrainSelectedInstOperands,
     /*  837776 */     // GIR_Coverage, 22841,
     /*  837776 */     GIR_EraseRootFromParent_Done,
     /*  837777 */   // Label 12882: @837777
     /*  837777 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837852), // Rule ID 22842 //
     /*  837782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  837785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  837799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  837828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  837831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837850 */     GIR_RootConstrainSelectedInstOperands,
     /*  837851 */     // GIR_Coverage, 22842,
     /*  837851 */     GIR_EraseRootFromParent_Done,
     /*  837852 */   // Label 12883: @837852
     /*  837852 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837927), // Rule ID 22845 //
     /*  837857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  837906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837925 */     GIR_RootConstrainSelectedInstOperands,
     /*  837926 */     // GIR_Coverage, 22845,
     /*  837926 */     GIR_EraseRootFromParent_Done,
     /*  837927 */   // Label 12884: @837927
     /*  837927 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(838002), // Rule ID 22846 //
     /*  837932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837978 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  837981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838000 */     GIR_RootConstrainSelectedInstOperands,
     /*  838001 */     // GIR_Coverage, 22846,
     /*  838001 */     GIR_EraseRootFromParent_Done,
     /*  838002 */   // Label 12885: @838002
     /*  838002 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(838077), // Rule ID 22849 //
     /*  838007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838075 */     GIR_RootConstrainSelectedInstOperands,
     /*  838076 */     // GIR_Coverage, 22849,
     /*  838076 */     GIR_EraseRootFromParent_Done,
     /*  838077 */   // Label 12886: @838077
     /*  838077 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838152), // Rule ID 22850 //
     /*  838082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838128 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  838131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838150 */     GIR_RootConstrainSelectedInstOperands,
     /*  838151 */     // GIR_Coverage, 22850,
     /*  838151 */     GIR_EraseRootFromParent_Done,
     /*  838152 */   // Label 12887: @838152
     /*  838152 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838227), // Rule ID 22853 //
     /*  838157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838203 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838225 */     GIR_RootConstrainSelectedInstOperands,
     /*  838226 */     // GIR_Coverage, 22853,
     /*  838226 */     GIR_EraseRootFromParent_Done,
     /*  838227 */   // Label 12888: @838227
     /*  838227 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838302), // Rule ID 22854 //
     /*  838232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838278 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  838281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838300 */     GIR_RootConstrainSelectedInstOperands,
     /*  838301 */     // GIR_Coverage, 22854,
     /*  838301 */     GIR_EraseRootFromParent_Done,
     /*  838302 */   // Label 12889: @838302
     /*  838302 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838377), // Rule ID 22857 //
     /*  838307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838375 */     GIR_RootConstrainSelectedInstOperands,
     /*  838376 */     // GIR_Coverage, 22857,
     /*  838376 */     GIR_EraseRootFromParent_Done,
     /*  838377 */   // Label 12890: @838377
     /*  838377 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838452), // Rule ID 22858 //
     /*  838382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  838431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838450 */     GIR_RootConstrainSelectedInstOperands,
     /*  838451 */     // GIR_Coverage, 22858,
     /*  838451 */     GIR_EraseRootFromParent_Done,
     /*  838452 */   // Label 12891: @838452
     /*  838452 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838527), // Rule ID 22861 //
     /*  838457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838503 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838525 */     GIR_RootConstrainSelectedInstOperands,
     /*  838526 */     // GIR_Coverage, 22861,
     /*  838526 */     GIR_EraseRootFromParent_Done,
     /*  838527 */   // Label 12892: @838527
     /*  838527 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838602), // Rule ID 22862 //
     /*  838532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  838581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838600 */     GIR_RootConstrainSelectedInstOperands,
     /*  838601 */     // GIR_Coverage, 22862,
     /*  838601 */     GIR_EraseRootFromParent_Done,
     /*  838602 */   // Label 12893: @838602
     /*  838602 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838677), // Rule ID 22865 //
     /*  838607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838653 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  838656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838675 */     GIR_RootConstrainSelectedInstOperands,
     /*  838676 */     // GIR_Coverage, 22865,
     /*  838676 */     GIR_EraseRootFromParent_Done,
     /*  838677 */   // Label 12894: @838677
     /*  838677 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838752), // Rule ID 22866 //
     /*  838682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  838731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838750 */     GIR_RootConstrainSelectedInstOperands,
     /*  838751 */     // GIR_Coverage, 22866,
     /*  838751 */     GIR_EraseRootFromParent_Done,
     /*  838752 */   // Label 12895: @838752
     /*  838752 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838827), // Rule ID 22869 //
     /*  838757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  838806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838825 */     GIR_RootConstrainSelectedInstOperands,
     /*  838826 */     // GIR_Coverage, 22869,
     /*  838826 */     GIR_EraseRootFromParent_Done,
     /*  838827 */   // Label 12896: @838827
     /*  838827 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838902), // Rule ID 22870 //
     /*  838832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  838881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838900 */     GIR_RootConstrainSelectedInstOperands,
     /*  838901 */     // GIR_Coverage, 22870,
     /*  838901 */     GIR_EraseRootFromParent_Done,
     /*  838902 */   // Label 12897: @838902
     /*  838902 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(838977), // Rule ID 22873 //
     /*  838907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  838924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  838956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838975 */     GIR_RootConstrainSelectedInstOperands,
     /*  838976 */     // GIR_Coverage, 22873,
     /*  838976 */     GIR_EraseRootFromParent_Done,
     /*  838977 */   // Label 12898: @838977
     /*  838977 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(839052), // Rule ID 22874 //
     /*  838982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  838990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  838999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  839031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839050 */     GIR_RootConstrainSelectedInstOperands,
     /*  839051 */     // GIR_Coverage, 22874,
     /*  839051 */     GIR_EraseRootFromParent_Done,
     /*  839052 */   // Label 12899: @839052
     /*  839052 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(839127), // Rule ID 22877 //
     /*  839057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839125 */     GIR_RootConstrainSelectedInstOperands,
     /*  839126 */     // GIR_Coverage, 22877,
     /*  839126 */     GIR_EraseRootFromParent_Done,
     /*  839127 */   // Label 12900: @839127
     /*  839127 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839202), // Rule ID 22878 //
     /*  839132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  839140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  839149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  839181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839200 */     GIR_RootConstrainSelectedInstOperands,
     /*  839201 */     // GIR_Coverage, 22878,
     /*  839201 */     GIR_EraseRootFromParent_Done,
     /*  839202 */   // Label 12901: @839202
     /*  839202 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839277), // Rule ID 22881 //
     /*  839207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839275 */     GIR_RootConstrainSelectedInstOperands,
     /*  839276 */     // GIR_Coverage, 22881,
     /*  839276 */     GIR_EraseRootFromParent_Done,
     /*  839277 */   // Label 12902: @839277
     /*  839277 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839352), // Rule ID 22882 //
     /*  839282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  839331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839350 */     GIR_RootConstrainSelectedInstOperands,
     /*  839351 */     // GIR_Coverage, 22882,
     /*  839351 */     GIR_EraseRootFromParent_Done,
     /*  839352 */   // Label 12903: @839352
     /*  839352 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839427), // Rule ID 22885 //
     /*  839357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839425 */     GIR_RootConstrainSelectedInstOperands,
     /*  839426 */     // GIR_Coverage, 22885,
     /*  839426 */     GIR_EraseRootFromParent_Done,
     /*  839427 */   // Label 12904: @839427
     /*  839427 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839502), // Rule ID 22886 //
     /*  839432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839478 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  839481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839500 */     GIR_RootConstrainSelectedInstOperands,
     /*  839501 */     // GIR_Coverage, 22886,
     /*  839501 */     GIR_EraseRootFromParent_Done,
     /*  839502 */   // Label 12905: @839502
     /*  839502 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839577), // Rule ID 22889 //
     /*  839507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839575 */     GIR_RootConstrainSelectedInstOperands,
     /*  839576 */     // GIR_Coverage, 22889,
     /*  839576 */     GIR_EraseRootFromParent_Done,
     /*  839577 */   // Label 12906: @839577
     /*  839577 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839652), // Rule ID 22890 //
     /*  839582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  839631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839650 */     GIR_RootConstrainSelectedInstOperands,
     /*  839651 */     // GIR_Coverage, 22890,
     /*  839651 */     GIR_EraseRootFromParent_Done,
     /*  839652 */   // Label 12907: @839652
     /*  839652 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839727), // Rule ID 22893 //
     /*  839657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839703 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  839706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839725 */     GIR_RootConstrainSelectedInstOperands,
     /*  839726 */     // GIR_Coverage, 22893,
     /*  839726 */     GIR_EraseRootFromParent_Done,
     /*  839727 */   // Label 12908: @839727
     /*  839727 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839802), // Rule ID 22894 //
     /*  839732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839778 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  839781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839800 */     GIR_RootConstrainSelectedInstOperands,
     /*  839801 */     // GIR_Coverage, 22894,
     /*  839801 */     GIR_EraseRootFromParent_Done,
     /*  839802 */   // Label 12909: @839802
     /*  839802 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839877), // Rule ID 22897 //
     /*  839807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839853 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  839856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839875 */     GIR_RootConstrainSelectedInstOperands,
     /*  839876 */     // GIR_Coverage, 22897,
     /*  839876 */     GIR_EraseRootFromParent_Done,
     /*  839877 */   // Label 12910: @839877
     /*  839877 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(839952), // Rule ID 22898 //
     /*  839882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  839931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839950 */     GIR_RootConstrainSelectedInstOperands,
     /*  839951 */     // GIR_Coverage, 22898,
     /*  839951 */     GIR_EraseRootFromParent_Done,
     /*  839952 */   // Label 12911: @839952
     /*  839952 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(840027), // Rule ID 22901 //
     /*  839957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  839974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840003 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840025 */     GIR_RootConstrainSelectedInstOperands,
     /*  840026 */     // GIR_Coverage, 22901,
     /*  840026 */     GIR_EraseRootFromParent_Done,
     /*  840027 */   // Label 12912: @840027
     /*  840027 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(840102), // Rule ID 22902 //
     /*  840032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840078 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  840081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840100 */     GIR_RootConstrainSelectedInstOperands,
     /*  840101 */     // GIR_Coverage, 22902,
     /*  840101 */     GIR_EraseRootFromParent_Done,
     /*  840102 */   // Label 12913: @840102
     /*  840102 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840177), // Rule ID 22905 //
     /*  840107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840175 */     GIR_RootConstrainSelectedInstOperands,
     /*  840176 */     // GIR_Coverage, 22905,
     /*  840176 */     GIR_EraseRootFromParent_Done,
     /*  840177 */   // Label 12914: @840177
     /*  840177 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840252), // Rule ID 22906 //
     /*  840182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  840231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840250 */     GIR_RootConstrainSelectedInstOperands,
     /*  840251 */     // GIR_Coverage, 22906,
     /*  840251 */     GIR_EraseRootFromParent_Done,
     /*  840252 */   // Label 12915: @840252
     /*  840252 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840327), // Rule ID 22909 //
     /*  840257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840325 */     GIR_RootConstrainSelectedInstOperands,
     /*  840326 */     // GIR_Coverage, 22909,
     /*  840326 */     GIR_EraseRootFromParent_Done,
     /*  840327 */   // Label 12916: @840327
     /*  840327 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840402), // Rule ID 22910 //
     /*  840332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  840381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840400 */     GIR_RootConstrainSelectedInstOperands,
     /*  840401 */     // GIR_Coverage, 22910,
     /*  840401 */     GIR_EraseRootFromParent_Done,
     /*  840402 */   // Label 12917: @840402
     /*  840402 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840477), // Rule ID 22913 //
     /*  840407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  840410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840453 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840475 */     GIR_RootConstrainSelectedInstOperands,
     /*  840476 */     // GIR_Coverage, 22913,
     /*  840476 */     GIR_EraseRootFromParent_Done,
     /*  840477 */   // Label 12918: @840477
     /*  840477 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840552), // Rule ID 22914 //
     /*  840482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  840485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  840531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840550 */     GIR_RootConstrainSelectedInstOperands,
     /*  840551 */     // GIR_Coverage, 22914,
     /*  840551 */     GIR_EraseRootFromParent_Done,
     /*  840552 */   // Label 12919: @840552
     /*  840552 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840627), // Rule ID 22917 //
     /*  840557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  840574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  840606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840625 */     GIR_RootConstrainSelectedInstOperands,
     /*  840626 */     // GIR_Coverage, 22917,
     /*  840626 */     GIR_EraseRootFromParent_Done,
     /*  840627 */   // Label 12920: @840627
     /*  840627 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840702), // Rule ID 22918 //
     /*  840632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  840649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840678 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  840681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840700 */     GIR_RootConstrainSelectedInstOperands,
     /*  840701 */     // GIR_Coverage, 22918,
     /*  840701 */     GIR_EraseRootFromParent_Done,
     /*  840702 */   // Label 12921: @840702
     /*  840702 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840777), // Rule ID 22921 //
     /*  840707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  840724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840753 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  840756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840775 */     GIR_RootConstrainSelectedInstOperands,
     /*  840776 */     // GIR_Coverage, 22921,
     /*  840776 */     GIR_EraseRootFromParent_Done,
     /*  840777 */   // Label 12922: @840777
     /*  840777 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840852), // Rule ID 22922 //
     /*  840782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  840799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  840831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840850 */     GIR_RootConstrainSelectedInstOperands,
     /*  840851 */     // GIR_Coverage, 22922,
     /*  840851 */     GIR_EraseRootFromParent_Done,
     /*  840852 */   // Label 12923: @840852
     /*  840852 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840927), // Rule ID 22925 //
     /*  840857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  840860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  840874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  840906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840925 */     GIR_RootConstrainSelectedInstOperands,
     /*  840926 */     // GIR_Coverage, 22925,
     /*  840926 */     GIR_EraseRootFromParent_Done,
     /*  840927 */   // Label 12924: @840927
     /*  840927 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(841002), // Rule ID 22926 //
     /*  840932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  840935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  840949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  840981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841000 */     GIR_RootConstrainSelectedInstOperands,
     /*  841001 */     // GIR_Coverage, 22926,
     /*  841001 */     GIR_EraseRootFromParent_Done,
     /*  841002 */   // Label 12925: @841002
     /*  841002 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(841077), // Rule ID 22929 //
     /*  841007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841053 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841075 */     GIR_RootConstrainSelectedInstOperands,
     /*  841076 */     // GIR_Coverage, 22929,
     /*  841076 */     GIR_EraseRootFromParent_Done,
     /*  841077 */   // Label 12926: @841077
     /*  841077 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841152), // Rule ID 22930 //
     /*  841082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  841131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841150 */     GIR_RootConstrainSelectedInstOperands,
     /*  841151 */     // GIR_Coverage, 22930,
     /*  841151 */     GIR_EraseRootFromParent_Done,
     /*  841152 */   // Label 12927: @841152
     /*  841152 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841227), // Rule ID 22933 //
     /*  841157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841225 */     GIR_RootConstrainSelectedInstOperands,
     /*  841226 */     // GIR_Coverage, 22933,
     /*  841226 */     GIR_EraseRootFromParent_Done,
     /*  841227 */   // Label 12928: @841227
     /*  841227 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841302), // Rule ID 22934 //
     /*  841232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841278 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  841281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841300 */     GIR_RootConstrainSelectedInstOperands,
     /*  841301 */     // GIR_Coverage, 22934,
     /*  841301 */     GIR_EraseRootFromParent_Done,
     /*  841302 */   // Label 12929: @841302
     /*  841302 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841377), // Rule ID 22937 //
     /*  841307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  841310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841353 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841375 */     GIR_RootConstrainSelectedInstOperands,
     /*  841376 */     // GIR_Coverage, 22937,
     /*  841376 */     GIR_EraseRootFromParent_Done,
     /*  841377 */   // Label 12930: @841377
     /*  841377 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841452), // Rule ID 22938 //
     /*  841382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  841385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  841390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  841431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841450 */     GIR_RootConstrainSelectedInstOperands,
     /*  841451 */     // GIR_Coverage, 22938,
     /*  841451 */     GIR_EraseRootFromParent_Done,
     /*  841452 */   // Label 12931: @841452
     /*  841452 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841527), // Rule ID 23219 //
     /*  841457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841525 */     GIR_RootConstrainSelectedInstOperands,
     /*  841526 */     // GIR_Coverage, 23219,
     /*  841526 */     GIR_EraseRootFromParent_Done,
     /*  841527 */   // Label 12932: @841527
     /*  841527 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841602), // Rule ID 23220 //
     /*  841532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  841581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841600 */     GIR_RootConstrainSelectedInstOperands,
     /*  841601 */     // GIR_Coverage, 23220,
     /*  841601 */     GIR_EraseRootFromParent_Done,
     /*  841602 */   // Label 12933: @841602
     /*  841602 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841677), // Rule ID 23223 //
     /*  841607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  841656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841675 */     GIR_RootConstrainSelectedInstOperands,
     /*  841676 */     // GIR_Coverage, 23223,
     /*  841676 */     GIR_EraseRootFromParent_Done,
     /*  841677 */   // Label 12934: @841677
     /*  841677 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841752), // Rule ID 23224 //
     /*  841682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  841731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841750 */     GIR_RootConstrainSelectedInstOperands,
     /*  841751 */     // GIR_Coverage, 23224,
     /*  841751 */     GIR_EraseRootFromParent_Done,
     /*  841752 */   // Label 12935: @841752
     /*  841752 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841827), // Rule ID 23227 //
     /*  841757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  841806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841825 */     GIR_RootConstrainSelectedInstOperands,
     /*  841826 */     // GIR_Coverage, 23227,
     /*  841826 */     GIR_EraseRootFromParent_Done,
     /*  841827 */   // Label 12936: @841827
     /*  841827 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841902), // Rule ID 23228 //
     /*  841832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  841881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841900 */     GIR_RootConstrainSelectedInstOperands,
     /*  841901 */     // GIR_Coverage, 23228,
     /*  841901 */     GIR_EraseRootFromParent_Done,
     /*  841902 */   // Label 12937: @841902
     /*  841902 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(841977), // Rule ID 23231 //
     /*  841907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  841918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  841921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  841924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  841927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  841956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841975 */     GIR_RootConstrainSelectedInstOperands,
     /*  841976 */     // GIR_Coverage, 23231,
     /*  841976 */     GIR_EraseRootFromParent_Done,
     /*  841977 */   // Label 12938: @841977
     /*  841977 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(842052), // Rule ID 23232 //
     /*  841982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  841993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  841996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  841999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  842031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842050 */     GIR_RootConstrainSelectedInstOperands,
     /*  842051 */     // GIR_Coverage, 23232,
     /*  842051 */     GIR_EraseRootFromParent_Done,
     /*  842052 */   // Label 12939: @842052
     /*  842052 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(842127), // Rule ID 23235 //
     /*  842057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842103 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842125 */     GIR_RootConstrainSelectedInstOperands,
     /*  842126 */     // GIR_Coverage, 23235,
     /*  842126 */     GIR_EraseRootFromParent_Done,
     /*  842127 */   // Label 12940: @842127
     /*  842127 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842202), // Rule ID 23236 //
     /*  842132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842178 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  842181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842200 */     GIR_RootConstrainSelectedInstOperands,
     /*  842201 */     // GIR_Coverage, 23236,
     /*  842201 */     GIR_EraseRootFromParent_Done,
     /*  842202 */   // Label 12941: @842202
     /*  842202 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842277), // Rule ID 23239 //
     /*  842207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842253 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842275 */     GIR_RootConstrainSelectedInstOperands,
     /*  842276 */     // GIR_Coverage, 23239,
     /*  842276 */     GIR_EraseRootFromParent_Done,
     /*  842277 */   // Label 12942: @842277
     /*  842277 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842352), // Rule ID 23240 //
     /*  842282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  842290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842328 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  842331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842350 */     GIR_RootConstrainSelectedInstOperands,
     /*  842351 */     // GIR_Coverage, 23240,
     /*  842351 */     GIR_EraseRootFromParent_Done,
     /*  842352 */   // Label 12943: @842352
     /*  842352 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842427), // Rule ID 23243 //
     /*  842357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842425 */     GIR_RootConstrainSelectedInstOperands,
     /*  842426 */     // GIR_Coverage, 23243,
     /*  842426 */     GIR_EraseRootFromParent_Done,
     /*  842427 */   // Label 12944: @842427
     /*  842427 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842502), // Rule ID 23244 //
     /*  842432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  842481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842500 */     GIR_RootConstrainSelectedInstOperands,
     /*  842501 */     // GIR_Coverage, 23244,
     /*  842501 */     GIR_EraseRootFromParent_Done,
     /*  842502 */   // Label 12945: @842502
     /*  842502 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842577), // Rule ID 23247 //
     /*  842507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842575 */     GIR_RootConstrainSelectedInstOperands,
     /*  842576 */     // GIR_Coverage, 23247,
     /*  842576 */     GIR_EraseRootFromParent_Done,
     /*  842577 */   // Label 12946: @842577
     /*  842577 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842652), // Rule ID 23248 //
     /*  842582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  842631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842650 */     GIR_RootConstrainSelectedInstOperands,
     /*  842651 */     // GIR_Coverage, 23248,
     /*  842651 */     GIR_EraseRootFromParent_Done,
     /*  842652 */   // Label 12947: @842652
     /*  842652 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842727), // Rule ID 23251 //
     /*  842657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  842706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842725 */     GIR_RootConstrainSelectedInstOperands,
     /*  842726 */     // GIR_Coverage, 23251,
     /*  842726 */     GIR_EraseRootFromParent_Done,
     /*  842727 */   // Label 12948: @842727
     /*  842727 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842802), // Rule ID 23252 //
     /*  842732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842778 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  842781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842800 */     GIR_RootConstrainSelectedInstOperands,
     /*  842801 */     // GIR_Coverage, 23252,
     /*  842801 */     GIR_EraseRootFromParent_Done,
     /*  842802 */   // Label 12949: @842802
     /*  842802 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842877), // Rule ID 23255 //
     /*  842807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  842856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842875 */     GIR_RootConstrainSelectedInstOperands,
     /*  842876 */     // GIR_Coverage, 23255,
     /*  842876 */     GIR_EraseRootFromParent_Done,
     /*  842877 */   // Label 12950: @842877
     /*  842877 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(842952), // Rule ID 23256 //
     /*  842882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  842931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842950 */     GIR_RootConstrainSelectedInstOperands,
     /*  842951 */     // GIR_Coverage, 23256,
     /*  842951 */     GIR_EraseRootFromParent_Done,
     /*  842952 */   // Label 12951: @842952
     /*  842952 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(843027), // Rule ID 23259 //
     /*  842957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843025 */     GIR_RootConstrainSelectedInstOperands,
     /*  843026 */     // GIR_Coverage, 23259,
     /*  843026 */     GIR_EraseRootFromParent_Done,
     /*  843027 */   // Label 12952: @843027
     /*  843027 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(843102), // Rule ID 23260 //
     /*  843032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  843043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  843046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  843049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  843052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  843081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843100 */     GIR_RootConstrainSelectedInstOperands,
     /*  843101 */     // GIR_Coverage, 23260,
     /*  843101 */     GIR_EraseRootFromParent_Done,
     /*  843102 */   // Label 12953: @843102
     /*  843102 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843177), // Rule ID 23263 //
     /*  843107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843153 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843175 */     GIR_RootConstrainSelectedInstOperands,
     /*  843176 */     // GIR_Coverage, 23263,
     /*  843176 */     GIR_EraseRootFromParent_Done,
     /*  843177 */   // Label 12954: @843177
     /*  843177 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843252), // Rule ID 23264 //
     /*  843182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  843231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843250 */     GIR_RootConstrainSelectedInstOperands,
     /*  843251 */     // GIR_Coverage, 23264,
     /*  843251 */     GIR_EraseRootFromParent_Done,
     /*  843252 */   // Label 12955: @843252
     /*  843252 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843327), // Rule ID 23267 //
     /*  843257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843303 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843325 */     GIR_RootConstrainSelectedInstOperands,
     /*  843326 */     // GIR_Coverage, 23267,
     /*  843326 */     GIR_EraseRootFromParent_Done,
     /*  843327 */   // Label 12956: @843327
     /*  843327 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843402), // Rule ID 23268 //
     /*  843332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  843340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843378 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  843381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843400 */     GIR_RootConstrainSelectedInstOperands,
     /*  843401 */     // GIR_Coverage, 23268,
     /*  843401 */     GIR_EraseRootFromParent_Done,
     /*  843402 */   // Label 12957: @843402
     /*  843402 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843477), // Rule ID 23271 //
     /*  843407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843475 */     GIR_RootConstrainSelectedInstOperands,
     /*  843476 */     // GIR_Coverage, 23271,
     /*  843476 */     GIR_EraseRootFromParent_Done,
     /*  843477 */   // Label 12958: @843477
     /*  843477 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843552), // Rule ID 23272 //
     /*  843482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  843493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  843496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  843499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  843502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  843531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843550 */     GIR_RootConstrainSelectedInstOperands,
     /*  843551 */     // GIR_Coverage, 23272,
     /*  843551 */     GIR_EraseRootFromParent_Done,
     /*  843552 */   // Label 12959: @843552
     /*  843552 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843627), // Rule ID 23275 //
     /*  843557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843603 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  843606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843625 */     GIR_RootConstrainSelectedInstOperands,
     /*  843626 */     // GIR_Coverage, 23275,
     /*  843626 */     GIR_EraseRootFromParent_Done,
     /*  843627 */   // Label 12960: @843627
     /*  843627 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843702), // Rule ID 23276 //
     /*  843632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  843643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  843646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  843649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  843652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  843681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843700 */     GIR_RootConstrainSelectedInstOperands,
     /*  843701 */     // GIR_Coverage, 23276,
     /*  843701 */     GIR_EraseRootFromParent_Done,
     /*  843702 */   // Label 12961: @843702
     /*  843702 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843777), // Rule ID 23279 //
     /*  843707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  843756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843775 */     GIR_RootConstrainSelectedInstOperands,
     /*  843776 */     // GIR_Coverage, 23279,
     /*  843776 */     GIR_EraseRootFromParent_Done,
     /*  843777 */   // Label 12962: @843777
     /*  843777 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843852), // Rule ID 23280 //
     /*  843782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  843793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  843796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  843799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  843802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  843831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843850 */     GIR_RootConstrainSelectedInstOperands,
     /*  843851 */     // GIR_Coverage, 23280,
     /*  843851 */     GIR_EraseRootFromParent_Done,
     /*  843852 */   // Label 12963: @843852
     /*  843852 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843927), // Rule ID 23283 //
     /*  843857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  843906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843925 */     GIR_RootConstrainSelectedInstOperands,
     /*  843926 */     // GIR_Coverage, 23283,
     /*  843926 */     GIR_EraseRootFromParent_Done,
     /*  843927 */   // Label 12964: @843927
     /*  843927 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(844002), // Rule ID 23284 //
     /*  843932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  843943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  843946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  843949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  843952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  843981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844000 */     GIR_RootConstrainSelectedInstOperands,
     /*  844001 */     // GIR_Coverage, 23284,
     /*  844001 */     GIR_EraseRootFromParent_Done,
     /*  844002 */   // Label 12965: @844002
     /*  844002 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(844077), // Rule ID 23287 //
     /*  844007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844075 */     GIR_RootConstrainSelectedInstOperands,
     /*  844076 */     // GIR_Coverage, 23287,
     /*  844076 */     GIR_EraseRootFromParent_Done,
     /*  844077 */   // Label 12966: @844077
     /*  844077 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844152), // Rule ID 23288 //
     /*  844082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  844093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  844096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  844099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  844102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  844131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844150 */     GIR_RootConstrainSelectedInstOperands,
     /*  844151 */     // GIR_Coverage, 23288,
     /*  844151 */     GIR_EraseRootFromParent_Done,
     /*  844152 */   // Label 12967: @844152
     /*  844152 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844227), // Rule ID 23291 //
     /*  844157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844203 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844225 */     GIR_RootConstrainSelectedInstOperands,
     /*  844226 */     // GIR_Coverage, 23291,
     /*  844226 */     GIR_EraseRootFromParent_Done,
     /*  844227 */   // Label 12968: @844227
     /*  844227 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844302), // Rule ID 23292 //
     /*  844232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  844243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  844246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  844249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  844252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844278 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  844281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844300 */     GIR_RootConstrainSelectedInstOperands,
     /*  844301 */     // GIR_Coverage, 23292,
     /*  844301 */     GIR_EraseRootFromParent_Done,
     /*  844302 */   // Label 12969: @844302
     /*  844302 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844377), // Rule ID 23295 //
     /*  844307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  844310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844353 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  844353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844375 */     GIR_RootConstrainSelectedInstOperands,
     /*  844376 */     // GIR_Coverage, 23295,
     /*  844376 */     GIR_EraseRootFromParent_Done,
     /*  844377 */   // Label 12970: @844377
     /*  844377 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844452), // Rule ID 23296 //
     /*  844382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  844385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  844390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  844393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  844396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  844399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  844402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  844409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  844421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844428 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  844428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  844431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  844437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  844439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  844450 */     GIR_RootConstrainSelectedInstOperands,
     /*  844451 */     // GIR_Coverage, 23296,
     /*  844451 */     GIR_EraseRootFromParent_Done,
     /*  844452 */   // Label 12971: @844452
     /*  844452 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844527), // Rule ID 23837 //
     /*  844457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844525 */     GIR_RootConstrainSelectedInstOperands,
     /*  844526 */     // GIR_Coverage, 23837,
     /*  844526 */     GIR_EraseRootFromParent_Done,
     /*  844527 */   // Label 12972: @844527
     /*  844527 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844602), // Rule ID 23838 //
     /*  844532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  844543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  844546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  844549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844578 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  844581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844600 */     GIR_RootConstrainSelectedInstOperands,
     /*  844601 */     // GIR_Coverage, 23838,
     /*  844601 */     GIR_EraseRootFromParent_Done,
     /*  844602 */   // Label 12973: @844602
     /*  844602 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844677), // Rule ID 23841 //
     /*  844607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  844618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  844621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  844624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  844656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844675 */     GIR_RootConstrainSelectedInstOperands,
     /*  844676 */     // GIR_Coverage, 23841,
     /*  844676 */     GIR_EraseRootFromParent_Done,
     /*  844677 */   // Label 12974: @844677
     /*  844677 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844752), // Rule ID 23842 //
     /*  844682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  844693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  844696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  844699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  844731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844750 */     GIR_RootConstrainSelectedInstOperands,
     /*  844751 */     // GIR_Coverage, 23842,
     /*  844751 */     GIR_EraseRootFromParent_Done,
     /*  844752 */   // Label 12975: @844752
     /*  844752 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844827), // Rule ID 23845 //
     /*  844757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  844768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  844771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  844774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844825 */     GIR_RootConstrainSelectedInstOperands,
     /*  844826 */     // GIR_Coverage, 23845,
     /*  844826 */     GIR_EraseRootFromParent_Done,
     /*  844827 */   // Label 12976: @844827
     /*  844827 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844902), // Rule ID 23846 //
     /*  844832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  844843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  844846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  844849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844878 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844900 */     GIR_RootConstrainSelectedInstOperands,
     /*  844901 */     // GIR_Coverage, 23846,
     /*  844901 */     GIR_EraseRootFromParent_Done,
     /*  844902 */   // Label 12977: @844902
     /*  844902 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(844977), // Rule ID 23849 //
     /*  844907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  844918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  844921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  844956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844975 */     GIR_RootConstrainSelectedInstOperands,
     /*  844976 */     // GIR_Coverage, 23849,
     /*  844976 */     GIR_EraseRootFromParent_Done,
     /*  844977 */   // Label 12978: @844977
     /*  844977 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(845052), // Rule ID 23850 //
     /*  844982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  844993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  844996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  845031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845050 */     GIR_RootConstrainSelectedInstOperands,
     /*  845051 */     // GIR_Coverage, 23850,
     /*  845051 */     GIR_EraseRootFromParent_Done,
     /*  845052 */   // Label 12979: @845052
     /*  845052 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(845127), // Rule ID 23853 //
     /*  845057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845125 */     GIR_RootConstrainSelectedInstOperands,
     /*  845126 */     // GIR_Coverage, 23853,
     /*  845126 */     GIR_EraseRootFromParent_Done,
     /*  845127 */   // Label 12980: @845127
     /*  845127 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845202), // Rule ID 23854 //
     /*  845132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845200 */     GIR_RootConstrainSelectedInstOperands,
     /*  845201 */     // GIR_Coverage, 23854,
     /*  845201 */     GIR_EraseRootFromParent_Done,
     /*  845202 */   // Label 12981: @845202
     /*  845202 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845277), // Rule ID 23857 //
     /*  845207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845275 */     GIR_RootConstrainSelectedInstOperands,
     /*  845276 */     // GIR_Coverage, 23857,
     /*  845276 */     GIR_EraseRootFromParent_Done,
     /*  845277 */   // Label 12982: @845277
     /*  845277 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845352), // Rule ID 23858 //
     /*  845282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  845331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845350 */     GIR_RootConstrainSelectedInstOperands,
     /*  845351 */     // GIR_Coverage, 23858,
     /*  845351 */     GIR_EraseRootFromParent_Done,
     /*  845352 */   // Label 12983: @845352
     /*  845352 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845427), // Rule ID 23861 //
     /*  845357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845425 */     GIR_RootConstrainSelectedInstOperands,
     /*  845426 */     // GIR_Coverage, 23861,
     /*  845426 */     GIR_EraseRootFromParent_Done,
     /*  845427 */   // Label 12984: @845427
     /*  845427 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845502), // Rule ID 23862 //
     /*  845432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  845443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  845446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  845449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845500 */     GIR_RootConstrainSelectedInstOperands,
     /*  845501 */     // GIR_Coverage, 23862,
     /*  845501 */     GIR_EraseRootFromParent_Done,
     /*  845502 */   // Label 12985: @845502
     /*  845502 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845577), // Rule ID 23865 //
     /*  845507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845575 */     GIR_RootConstrainSelectedInstOperands,
     /*  845576 */     // GIR_Coverage, 23865,
     /*  845576 */     GIR_EraseRootFromParent_Done,
     /*  845577 */   // Label 12986: @845577
     /*  845577 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845652), // Rule ID 23866 //
     /*  845582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845650 */     GIR_RootConstrainSelectedInstOperands,
     /*  845651 */     // GIR_Coverage, 23866,
     /*  845651 */     GIR_EraseRootFromParent_Done,
     /*  845652 */   // Label 12987: @845652
     /*  845652 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845727), // Rule ID 23869 //
     /*  845657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845725 */     GIR_RootConstrainSelectedInstOperands,
     /*  845726 */     // GIR_Coverage, 23869,
     /*  845726 */     GIR_EraseRootFromParent_Done,
     /*  845727 */   // Label 12988: @845727
     /*  845727 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845802), // Rule ID 23870 //
     /*  845732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845800 */     GIR_RootConstrainSelectedInstOperands,
     /*  845801 */     // GIR_Coverage, 23870,
     /*  845801 */     GIR_EraseRootFromParent_Done,
     /*  845802 */   // Label 12989: @845802
     /*  845802 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845877), // Rule ID 23873 //
     /*  845807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  845810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845875 */     GIR_RootConstrainSelectedInstOperands,
     /*  845876 */     // GIR_Coverage, 23873,
     /*  845876 */     GIR_EraseRootFromParent_Done,
     /*  845877 */   // Label 12990: @845877
     /*  845877 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(845952), // Rule ID 23874 //
     /*  845882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  845885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  845931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845950 */     GIR_RootConstrainSelectedInstOperands,
     /*  845951 */     // GIR_Coverage, 23874,
     /*  845951 */     GIR_EraseRootFromParent_Done,
     /*  845952 */   // Label 12991: @845952
     /*  845952 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(846027), // Rule ID 23877 //
     /*  845957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  845968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  845971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  845974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846025 */     GIR_RootConstrainSelectedInstOperands,
     /*  846026 */     // GIR_Coverage, 23877,
     /*  846026 */     GIR_EraseRootFromParent_Done,
     /*  846027 */   // Label 12992: @846027
     /*  846027 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(846102), // Rule ID 23878 //
     /*  846032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  846043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  846046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  846049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846100 */     GIR_RootConstrainSelectedInstOperands,
     /*  846101 */     // GIR_Coverage, 23878,
     /*  846101 */     GIR_EraseRootFromParent_Done,
     /*  846102 */   // Label 12993: @846102
     /*  846102 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846177), // Rule ID 23881 //
     /*  846107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846175 */     GIR_RootConstrainSelectedInstOperands,
     /*  846176 */     // GIR_Coverage, 23881,
     /*  846176 */     GIR_EraseRootFromParent_Done,
     /*  846177 */   // Label 12994: @846177
     /*  846177 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846252), // Rule ID 23882 //
     /*  846182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  846193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  846196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  846199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846250 */     GIR_RootConstrainSelectedInstOperands,
     /*  846251 */     // GIR_Coverage, 23882,
     /*  846251 */     GIR_EraseRootFromParent_Done,
     /*  846252 */   // Label 12995: @846252
     /*  846252 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846327), // Rule ID 23885 //
     /*  846257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846325 */     GIR_RootConstrainSelectedInstOperands,
     /*  846326 */     // GIR_Coverage, 23885,
     /*  846326 */     GIR_EraseRootFromParent_Done,
     /*  846327 */   // Label 12996: @846327
     /*  846327 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846402), // Rule ID 23886 //
     /*  846332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  846343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  846346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  846349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846400 */     GIR_RootConstrainSelectedInstOperands,
     /*  846401 */     // GIR_Coverage, 23886,
     /*  846401 */     GIR_EraseRootFromParent_Done,
     /*  846402 */   // Label 12997: @846402
     /*  846402 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846477), // Rule ID 23889 //
     /*  846407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846475 */     GIR_RootConstrainSelectedInstOperands,
     /*  846476 */     // GIR_Coverage, 23889,
     /*  846476 */     GIR_EraseRootFromParent_Done,
     /*  846477 */   // Label 12998: @846477
     /*  846477 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846552), // Rule ID 23890 //
     /*  846482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846550 */     GIR_RootConstrainSelectedInstOperands,
     /*  846551 */     // GIR_Coverage, 23890,
     /*  846551 */     GIR_EraseRootFromParent_Done,
     /*  846552 */   // Label 12999: @846552
     /*  846552 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846627), // Rule ID 23893 //
     /*  846557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846625 */     GIR_RootConstrainSelectedInstOperands,
     /*  846626 */     // GIR_Coverage, 23893,
     /*  846626 */     GIR_EraseRootFromParent_Done,
     /*  846627 */   // Label 13000: @846627
     /*  846627 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846702), // Rule ID 23894 //
     /*  846632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846678 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846700 */     GIR_RootConstrainSelectedInstOperands,
     /*  846701 */     // GIR_Coverage, 23894,
     /*  846701 */     GIR_EraseRootFromParent_Done,
     /*  846702 */   // Label 13001: @846702
     /*  846702 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846777), // Rule ID 23897 //
     /*  846707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846775 */     GIR_RootConstrainSelectedInstOperands,
     /*  846776 */     // GIR_Coverage, 23897,
     /*  846776 */     GIR_EraseRootFromParent_Done,
     /*  846777 */   // Label 13002: @846777
     /*  846777 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846852), // Rule ID 23898 //
     /*  846782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846850 */     GIR_RootConstrainSelectedInstOperands,
     /*  846851 */     // GIR_Coverage, 23898,
     /*  846851 */     GIR_EraseRootFromParent_Done,
     /*  846852 */   // Label 13003: @846852
     /*  846852 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846927), // Rule ID 23901 //
     /*  846857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846925 */     GIR_RootConstrainSelectedInstOperands,
     /*  846926 */     // GIR_Coverage, 23901,
     /*  846926 */     GIR_EraseRootFromParent_Done,
     /*  846927 */   // Label 13004: @846927
     /*  846927 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(847002), // Rule ID 23902 //
     /*  846932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847000 */     GIR_RootConstrainSelectedInstOperands,
     /*  847001 */     // GIR_Coverage, 23902,
     /*  847001 */     GIR_EraseRootFromParent_Done,
     /*  847002 */   // Label 13005: @847002
     /*  847002 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(847077), // Rule ID 23905 //
     /*  847007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847075 */     GIR_RootConstrainSelectedInstOperands,
     /*  847076 */     // GIR_Coverage, 23905,
     /*  847076 */     GIR_EraseRootFromParent_Done,
     /*  847077 */   // Label 13006: @847077
     /*  847077 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847152), // Rule ID 23906 //
     /*  847082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  847093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  847096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  847099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847128 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847150 */     GIR_RootConstrainSelectedInstOperands,
     /*  847151 */     // GIR_Coverage, 23906,
     /*  847151 */     GIR_EraseRootFromParent_Done,
     /*  847152 */   // Label 13007: @847152
     /*  847152 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847227), // Rule ID 23909 //
     /*  847157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847225 */     GIR_RootConstrainSelectedInstOperands,
     /*  847226 */     // GIR_Coverage, 23909,
     /*  847226 */     GIR_EraseRootFromParent_Done,
     /*  847227 */   // Label 13008: @847227
     /*  847227 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847302), // Rule ID 23910 //
     /*  847232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  847243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  847246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  847249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847300 */     GIR_RootConstrainSelectedInstOperands,
     /*  847301 */     // GIR_Coverage, 23910,
     /*  847301 */     GIR_EraseRootFromParent_Done,
     /*  847302 */   // Label 13009: @847302
     /*  847302 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847377), // Rule ID 23913 //
     /*  847307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847375 */     GIR_RootConstrainSelectedInstOperands,
     /*  847376 */     // GIR_Coverage, 23913,
     /*  847376 */     GIR_EraseRootFromParent_Done,
     /*  847377 */   // Label 13010: @847377
     /*  847377 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847452), // Rule ID 23914 //
     /*  847382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  847431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847450 */     GIR_RootConstrainSelectedInstOperands,
     /*  847451 */     // GIR_Coverage, 23914,
     /*  847451 */     GIR_EraseRootFromParent_Done,
     /*  847452 */   // Label 13011: @847452
     /*  847452 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847527), // Rule ID 23917 //
     /*  847457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847525 */     GIR_RootConstrainSelectedInstOperands,
     /*  847526 */     // GIR_Coverage, 23917,
     /*  847526 */     GIR_EraseRootFromParent_Done,
     /*  847527 */   // Label 13012: @847527
     /*  847527 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847602), // Rule ID 23918 //
     /*  847532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  847581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847600 */     GIR_RootConstrainSelectedInstOperands,
     /*  847601 */     // GIR_Coverage, 23918,
     /*  847601 */     GIR_EraseRootFromParent_Done,
     /*  847602 */   // Label 13013: @847602
     /*  847602 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847677), // Rule ID 23921 //
     /*  847607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847675 */     GIR_RootConstrainSelectedInstOperands,
     /*  847676 */     // GIR_Coverage, 23921,
     /*  847676 */     GIR_EraseRootFromParent_Done,
     /*  847677 */   // Label 13014: @847677
     /*  847677 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847752), // Rule ID 23922 //
     /*  847682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  847690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  847731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847750 */     GIR_RootConstrainSelectedInstOperands,
     /*  847751 */     // GIR_Coverage, 23922,
     /*  847751 */     GIR_EraseRootFromParent_Done,
     /*  847752 */   // Label 13015: @847752
     /*  847752 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847827), // Rule ID 23925 //
     /*  847757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  847768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  847771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  847774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  847806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847825 */     GIR_RootConstrainSelectedInstOperands,
     /*  847826 */     // GIR_Coverage, 23925,
     /*  847826 */     GIR_EraseRootFromParent_Done,
     /*  847827 */   // Label 13016: @847827
     /*  847827 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847902), // Rule ID 23926 //
     /*  847832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  847843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  847846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  847849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  847881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847900 */     GIR_RootConstrainSelectedInstOperands,
     /*  847901 */     // GIR_Coverage, 23926,
     /*  847901 */     GIR_EraseRootFromParent_Done,
     /*  847902 */   // Label 13017: @847902
     /*  847902 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(847977), // Rule ID 23929 //
     /*  847907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  847918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  847921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  847924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  847956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847975 */     GIR_RootConstrainSelectedInstOperands,
     /*  847976 */     // GIR_Coverage, 23929,
     /*  847976 */     GIR_EraseRootFromParent_Done,
     /*  847977 */   // Label 13018: @847977
     /*  847977 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(848052), // Rule ID 23930 //
     /*  847982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  847993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  847996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  847999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848050 */     GIR_RootConstrainSelectedInstOperands,
     /*  848051 */     // GIR_Coverage, 23930,
     /*  848051 */     GIR_EraseRootFromParent_Done,
     /*  848052 */   // Label 13019: @848052
     /*  848052 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(848127), // Rule ID 23933 //
     /*  848057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848125 */     GIR_RootConstrainSelectedInstOperands,
     /*  848126 */     // GIR_Coverage, 23933,
     /*  848126 */     GIR_EraseRootFromParent_Done,
     /*  848127 */   // Label 13020: @848127
     /*  848127 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848202), // Rule ID 23934 //
     /*  848132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  848143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  848146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  848149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848200 */     GIR_RootConstrainSelectedInstOperands,
     /*  848201 */     // GIR_Coverage, 23934,
     /*  848201 */     GIR_EraseRootFromParent_Done,
     /*  848202 */   // Label 13021: @848202
     /*  848202 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848277), // Rule ID 23937 //
     /*  848207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848275 */     GIR_RootConstrainSelectedInstOperands,
     /*  848276 */     // GIR_Coverage, 23937,
     /*  848276 */     GIR_EraseRootFromParent_Done,
     /*  848277 */   // Label 13022: @848277
     /*  848277 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848352), // Rule ID 23938 //
     /*  848282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  848293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  848296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  848299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  848331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848350 */     GIR_RootConstrainSelectedInstOperands,
     /*  848351 */     // GIR_Coverage, 23938,
     /*  848351 */     GIR_EraseRootFromParent_Done,
     /*  848352 */   // Label 13023: @848352
     /*  848352 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848427), // Rule ID 23941 //
     /*  848357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848425 */     GIR_RootConstrainSelectedInstOperands,
     /*  848426 */     // GIR_Coverage, 23941,
     /*  848426 */     GIR_EraseRootFromParent_Done,
     /*  848427 */   // Label 13024: @848427
     /*  848427 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848502), // Rule ID 23942 //
     /*  848432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  848443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  848446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  848449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848500 */     GIR_RootConstrainSelectedInstOperands,
     /*  848501 */     // GIR_Coverage, 23942,
     /*  848501 */     GIR_EraseRootFromParent_Done,
     /*  848502 */   // Label 13025: @848502
     /*  848502 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848577), // Rule ID 23945 //
     /*  848507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848575 */     GIR_RootConstrainSelectedInstOperands,
     /*  848576 */     // GIR_Coverage, 23945,
     /*  848576 */     GIR_EraseRootFromParent_Done,
     /*  848577 */   // Label 13026: @848577
     /*  848577 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848652), // Rule ID 23946 //
     /*  848582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  848599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  848631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848650 */     GIR_RootConstrainSelectedInstOperands,
     /*  848651 */     // GIR_Coverage, 23946,
     /*  848651 */     GIR_EraseRootFromParent_Done,
     /*  848652 */   // Label 13027: @848652
     /*  848652 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848727), // Rule ID 23949 //
     /*  848657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  848668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  848671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  848674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848725 */     GIR_RootConstrainSelectedInstOperands,
     /*  848726 */     // GIR_Coverage, 23949,
     /*  848726 */     GIR_EraseRootFromParent_Done,
     /*  848727 */   // Label 13028: @848727
     /*  848727 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848802), // Rule ID 23950 //
     /*  848732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  848743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  848746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  848749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848800 */     GIR_RootConstrainSelectedInstOperands,
     /*  848801 */     // GIR_Coverage, 23950,
     /*  848801 */     GIR_EraseRootFromParent_Done,
     /*  848802 */   // Label 13029: @848802
     /*  848802 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848877), // Rule ID 23953 //
     /*  848807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  848824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848875 */     GIR_RootConstrainSelectedInstOperands,
     /*  848876 */     // GIR_Coverage, 23953,
     /*  848876 */     GIR_EraseRootFromParent_Done,
     /*  848877 */   // Label 13030: @848877
     /*  848877 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(848952), // Rule ID 23954 //
     /*  848882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  848899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848950 */     GIR_RootConstrainSelectedInstOperands,
     /*  848951 */     // GIR_Coverage, 23954,
     /*  848951 */     GIR_EraseRootFromParent_Done,
     /*  848952 */   // Label 13031: @848952
     /*  848952 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(849027), // Rule ID 23957 //
     /*  848957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  848968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  848971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  848974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849025 */     GIR_RootConstrainSelectedInstOperands,
     /*  849026 */     // GIR_Coverage, 23957,
     /*  849026 */     GIR_EraseRootFromParent_Done,
     /*  849027 */   // Label 13032: @849027
     /*  849027 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(849102), // Rule ID 23958 //
     /*  849032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  849043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  849046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  849049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849100 */     GIR_RootConstrainSelectedInstOperands,
     /*  849101 */     // GIR_Coverage, 23958,
     /*  849101 */     GIR_EraseRootFromParent_Done,
     /*  849102 */   // Label 13033: @849102
     /*  849102 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849177), // Rule ID 23961 //
     /*  849107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849175 */     GIR_RootConstrainSelectedInstOperands,
     /*  849176 */     // GIR_Coverage, 23961,
     /*  849176 */     GIR_EraseRootFromParent_Done,
     /*  849177 */   // Label 13034: @849177
     /*  849177 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849252), // Rule ID 23962 //
     /*  849182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  849193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  849196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  849199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  849231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849250 */     GIR_RootConstrainSelectedInstOperands,
     /*  849251 */     // GIR_Coverage, 23962,
     /*  849251 */     GIR_EraseRootFromParent_Done,
     /*  849252 */   // Label 13035: @849252
     /*  849252 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849327), // Rule ID 23965 //
     /*  849257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849325 */     GIR_RootConstrainSelectedInstOperands,
     /*  849326 */     // GIR_Coverage, 23965,
     /*  849326 */     GIR_EraseRootFromParent_Done,
     /*  849327 */   // Label 13036: @849327
     /*  849327 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849402), // Rule ID 23966 //
     /*  849332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  849343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  849346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  849349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849400 */     GIR_RootConstrainSelectedInstOperands,
     /*  849401 */     // GIR_Coverage, 23966,
     /*  849401 */     GIR_EraseRootFromParent_Done,
     /*  849402 */   // Label 13037: @849402
     /*  849402 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849477), // Rule ID 23969 //
     /*  849407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849475 */     GIR_RootConstrainSelectedInstOperands,
     /*  849476 */     // GIR_Coverage, 23969,
     /*  849476 */     GIR_EraseRootFromParent_Done,
     /*  849477 */   // Label 13038: @849477
     /*  849477 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849552), // Rule ID 23970 //
     /*  849482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  849493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  849496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  849499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849550 */     GIR_RootConstrainSelectedInstOperands,
     /*  849551 */     // GIR_Coverage, 23970,
     /*  849551 */     GIR_EraseRootFromParent_Done,
     /*  849552 */   // Label 13039: @849552
     /*  849552 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849627), // Rule ID 23973 //
     /*  849557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  849568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  849571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  849574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849625 */     GIR_RootConstrainSelectedInstOperands,
     /*  849626 */     // GIR_Coverage, 23973,
     /*  849626 */     GIR_EraseRootFromParent_Done,
     /*  849627 */   // Label 13040: @849627
     /*  849627 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849702), // Rule ID 23974 //
     /*  849632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  849643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  849646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  849649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849700 */     GIR_RootConstrainSelectedInstOperands,
     /*  849701 */     // GIR_Coverage, 23974,
     /*  849701 */     GIR_EraseRootFromParent_Done,
     /*  849702 */   // Label 13041: @849702
     /*  849702 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849777), // Rule ID 23977 //
     /*  849707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  849718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  849721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  849724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849775 */     GIR_RootConstrainSelectedInstOperands,
     /*  849776 */     // GIR_Coverage, 23977,
     /*  849776 */     GIR_EraseRootFromParent_Done,
     /*  849777 */   // Label 13042: @849777
     /*  849777 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849852), // Rule ID 23978 //
     /*  849782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  849793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  849796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  849799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849850 */     GIR_RootConstrainSelectedInstOperands,
     /*  849851 */     // GIR_Coverage, 23978,
     /*  849851 */     GIR_EraseRootFromParent_Done,
     /*  849852 */   // Label 13043: @849852
     /*  849852 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849927), // Rule ID 23981 //
     /*  849857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  849868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  849871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  849874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849925 */     GIR_RootConstrainSelectedInstOperands,
     /*  849926 */     // GIR_Coverage, 23981,
     /*  849926 */     GIR_EraseRootFromParent_Done,
     /*  849927 */   // Label 13044: @849927
     /*  849927 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(850002), // Rule ID 23982 //
     /*  849932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  849943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  849946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  849949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850000 */     GIR_RootConstrainSelectedInstOperands,
     /*  850001 */     // GIR_Coverage, 23982,
     /*  850001 */     GIR_EraseRootFromParent_Done,
     /*  850002 */   // Label 13045: @850002
     /*  850002 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(850077), // Rule ID 23985 //
     /*  850007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850053 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850075 */     GIR_RootConstrainSelectedInstOperands,
     /*  850076 */     // GIR_Coverage, 23985,
     /*  850076 */     GIR_EraseRootFromParent_Done,
     /*  850077 */   // Label 13046: @850077
     /*  850077 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850152), // Rule ID 23986 //
     /*  850082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  850093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  850096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850150 */     GIR_RootConstrainSelectedInstOperands,
     /*  850151 */     // GIR_Coverage, 23986,
     /*  850151 */     GIR_EraseRootFromParent_Done,
     /*  850152 */   // Label 13047: @850152
     /*  850152 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850227), // Rule ID 23989 //
     /*  850157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850225 */     GIR_RootConstrainSelectedInstOperands,
     /*  850226 */     // GIR_Coverage, 23989,
     /*  850226 */     GIR_EraseRootFromParent_Done,
     /*  850227 */   // Label 13048: @850227
     /*  850227 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850302), // Rule ID 23990 //
     /*  850232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  850243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  850246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850300 */     GIR_RootConstrainSelectedInstOperands,
     /*  850301 */     // GIR_Coverage, 23990,
     /*  850301 */     GIR_EraseRootFromParent_Done,
     /*  850302 */   // Label 13049: @850302
     /*  850302 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850377), // Rule ID 23993 //
     /*  850307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850375 */     GIR_RootConstrainSelectedInstOperands,
     /*  850376 */     // GIR_Coverage, 23993,
     /*  850376 */     GIR_EraseRootFromParent_Done,
     /*  850377 */   // Label 13050: @850377
     /*  850377 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850452), // Rule ID 23994 //
     /*  850382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  850393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  850396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  850399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850450 */     GIR_RootConstrainSelectedInstOperands,
     /*  850451 */     // GIR_Coverage, 23994,
     /*  850451 */     GIR_EraseRootFromParent_Done,
     /*  850452 */   // Label 13051: @850452
     /*  850452 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850527), // Rule ID 23997 //
     /*  850457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850525 */     GIR_RootConstrainSelectedInstOperands,
     /*  850526 */     // GIR_Coverage, 23997,
     /*  850526 */     GIR_EraseRootFromParent_Done,
     /*  850527 */   // Label 13052: @850527
     /*  850527 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850602), // Rule ID 23998 //
     /*  850532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  850543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  850546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  850549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850600 */     GIR_RootConstrainSelectedInstOperands,
     /*  850601 */     // GIR_Coverage, 23998,
     /*  850601 */     GIR_EraseRootFromParent_Done,
     /*  850602 */   // Label 13053: @850602
     /*  850602 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850677), // Rule ID 24001 //
     /*  850607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  850618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  850621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  850624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850675 */     GIR_RootConstrainSelectedInstOperands,
     /*  850676 */     // GIR_Coverage, 24001,
     /*  850676 */     GIR_EraseRootFromParent_Done,
     /*  850677 */   // Label 13054: @850677
     /*  850677 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850752), // Rule ID 24002 //
     /*  850682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  850693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  850696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  850699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  850731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850750 */     GIR_RootConstrainSelectedInstOperands,
     /*  850751 */     // GIR_Coverage, 24002,
     /*  850751 */     GIR_EraseRootFromParent_Done,
     /*  850752 */   // Label 13055: @850752
     /*  850752 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850827), // Rule ID 24005 //
     /*  850757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  850768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  850771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  850774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850825 */     GIR_RootConstrainSelectedInstOperands,
     /*  850826 */     // GIR_Coverage, 24005,
     /*  850826 */     GIR_EraseRootFromParent_Done,
     /*  850827 */   // Label 13056: @850827
     /*  850827 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850902), // Rule ID 24006 //
     /*  850832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  850843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  850846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  850849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  850881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850900 */     GIR_RootConstrainSelectedInstOperands,
     /*  850901 */     // GIR_Coverage, 24006,
     /*  850901 */     GIR_EraseRootFromParent_Done,
     /*  850902 */   // Label 13057: @850902
     /*  850902 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850977), // Rule ID 24009 //
     /*  850907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  850918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  850921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  850924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  850956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850975 */     GIR_RootConstrainSelectedInstOperands,
     /*  850976 */     // GIR_Coverage, 24009,
     /*  850976 */     GIR_EraseRootFromParent_Done,
     /*  850977 */   // Label 13058: @850977
     /*  850977 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(851052), // Rule ID 24010 //
     /*  850982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  850990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  850993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  850996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  850999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  851031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851050 */     GIR_RootConstrainSelectedInstOperands,
     /*  851051 */     // GIR_Coverage, 24010,
     /*  851051 */     GIR_EraseRootFromParent_Done,
     /*  851052 */   // Label 13059: @851052
     /*  851052 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(851127), // Rule ID 24253 //
     /*  851057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851125 */     GIR_RootConstrainSelectedInstOperands,
     /*  851126 */     // GIR_Coverage, 24253,
     /*  851126 */     GIR_EraseRootFromParent_Done,
     /*  851127 */   // Label 13060: @851127
     /*  851127 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851202), // Rule ID 24254 //
     /*  851132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  851143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  851146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  851149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  851181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851200 */     GIR_RootConstrainSelectedInstOperands,
     /*  851201 */     // GIR_Coverage, 24254,
     /*  851201 */     GIR_EraseRootFromParent_Done,
     /*  851202 */   // Label 13061: @851202
     /*  851202 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851277), // Rule ID 24257 //
     /*  851207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851275 */     GIR_RootConstrainSelectedInstOperands,
     /*  851276 */     // GIR_Coverage, 24257,
     /*  851276 */     GIR_EraseRootFromParent_Done,
     /*  851277 */   // Label 13062: @851277
     /*  851277 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851352), // Rule ID 24258 //
     /*  851282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  851296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  851331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851350 */     GIR_RootConstrainSelectedInstOperands,
     /*  851351 */     // GIR_Coverage, 24258,
     /*  851351 */     GIR_EraseRootFromParent_Done,
     /*  851352 */   // Label 13063: @851352
     /*  851352 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851427), // Rule ID 24261 //
     /*  851357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851425 */     GIR_RootConstrainSelectedInstOperands,
     /*  851426 */     // GIR_Coverage, 24261,
     /*  851426 */     GIR_EraseRootFromParent_Done,
     /*  851427 */   // Label 13064: @851427
     /*  851427 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851502), // Rule ID 24262 //
     /*  851432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  851481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851500 */     GIR_RootConstrainSelectedInstOperands,
     /*  851501 */     // GIR_Coverage, 24262,
     /*  851501 */     GIR_EraseRootFromParent_Done,
     /*  851502 */   // Label 13065: @851502
     /*  851502 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851577), // Rule ID 24265 //
     /*  851507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851575 */     GIR_RootConstrainSelectedInstOperands,
     /*  851576 */     // GIR_Coverage, 24265,
     /*  851576 */     GIR_EraseRootFromParent_Done,
     /*  851577 */   // Label 13066: @851577
     /*  851577 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851652), // Rule ID 24266 //
     /*  851582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  851596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  851631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851650 */     GIR_RootConstrainSelectedInstOperands,
     /*  851651 */     // GIR_Coverage, 24266,
     /*  851651 */     GIR_EraseRootFromParent_Done,
     /*  851652 */   // Label 13067: @851652
     /*  851652 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851727), // Rule ID 24269 //
     /*  851657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  851674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  851706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851725 */     GIR_RootConstrainSelectedInstOperands,
     /*  851726 */     // GIR_Coverage, 24269,
     /*  851726 */     GIR_EraseRootFromParent_Done,
     /*  851727 */   // Label 13068: @851727
     /*  851727 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851802), // Rule ID 24270 //
     /*  851732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  851749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  851781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851800 */     GIR_RootConstrainSelectedInstOperands,
     /*  851801 */     // GIR_Coverage, 24270,
     /*  851801 */     GIR_EraseRootFromParent_Done,
     /*  851802 */   // Label 13069: @851802
     /*  851802 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851877), // Rule ID 24273 //
     /*  851807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  851810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851853 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  851856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851875 */     GIR_RootConstrainSelectedInstOperands,
     /*  851876 */     // GIR_Coverage, 24273,
     /*  851876 */     GIR_EraseRootFromParent_Done,
     /*  851877 */   // Label 13070: @851877
     /*  851877 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851952), // Rule ID 24274 //
     /*  851882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  851885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  851931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851950 */     GIR_RootConstrainSelectedInstOperands,
     /*  851951 */     // GIR_Coverage, 24274,
     /*  851951 */     GIR_EraseRootFromParent_Done,
     /*  851952 */   // Label 13071: @851952
     /*  851952 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(852027), // Rule ID 24277 //
     /*  851957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852025 */     GIR_RootConstrainSelectedInstOperands,
     /*  852026 */     // GIR_Coverage, 24277,
     /*  852026 */     GIR_EraseRootFromParent_Done,
     /*  852027 */   // Label 13072: @852027
     /*  852027 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(852102), // Rule ID 24278 //
     /*  852032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  852043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  852046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  852049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852078 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  852081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852100 */     GIR_RootConstrainSelectedInstOperands,
     /*  852101 */     // GIR_Coverage, 24278,
     /*  852101 */     GIR_EraseRootFromParent_Done,
     /*  852102 */   // Label 13073: @852102
     /*  852102 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852177), // Rule ID 24281 //
     /*  852107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852175 */     GIR_RootConstrainSelectedInstOperands,
     /*  852176 */     // GIR_Coverage, 24281,
     /*  852176 */     GIR_EraseRootFromParent_Done,
     /*  852177 */   // Label 13074: @852177
     /*  852177 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852252), // Rule ID 24282 //
     /*  852182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  852193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  852196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  852199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  852231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852250 */     GIR_RootConstrainSelectedInstOperands,
     /*  852251 */     // GIR_Coverage, 24282,
     /*  852251 */     GIR_EraseRootFromParent_Done,
     /*  852252 */   // Label 13075: @852252
     /*  852252 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852327), // Rule ID 24285 //
     /*  852257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852325 */     GIR_RootConstrainSelectedInstOperands,
     /*  852326 */     // GIR_Coverage, 24285,
     /*  852326 */     GIR_EraseRootFromParent_Done,
     /*  852327 */   // Label 13076: @852327
     /*  852327 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852402), // Rule ID 24286 //
     /*  852332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  852381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852400 */     GIR_RootConstrainSelectedInstOperands,
     /*  852401 */     // GIR_Coverage, 24286,
     /*  852401 */     GIR_EraseRootFromParent_Done,
     /*  852402 */   // Label 13077: @852402
     /*  852402 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852477), // Rule ID 24289 //
     /*  852407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852453 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852475 */     GIR_RootConstrainSelectedInstOperands,
     /*  852476 */     // GIR_Coverage, 24289,
     /*  852476 */     GIR_EraseRootFromParent_Done,
     /*  852477 */   // Label 13078: @852477
     /*  852477 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852552), // Rule ID 24290 //
     /*  852482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  852531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852550 */     GIR_RootConstrainSelectedInstOperands,
     /*  852551 */     // GIR_Coverage, 24290,
     /*  852551 */     GIR_EraseRootFromParent_Done,
     /*  852552 */   // Label 13079: @852552
     /*  852552 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852627), // Rule ID 24293 //
     /*  852557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852603 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  852606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852625 */     GIR_RootConstrainSelectedInstOperands,
     /*  852626 */     // GIR_Coverage, 24293,
     /*  852626 */     GIR_EraseRootFromParent_Done,
     /*  852627 */   // Label 13080: @852627
     /*  852627 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852702), // Rule ID 24294 //
     /*  852632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  852681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852700 */     GIR_RootConstrainSelectedInstOperands,
     /*  852701 */     // GIR_Coverage, 24294,
     /*  852701 */     GIR_EraseRootFromParent_Done,
     /*  852702 */   // Label 13081: @852702
     /*  852702 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852777), // Rule ID 24297 //
     /*  852707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  852756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852775 */     GIR_RootConstrainSelectedInstOperands,
     /*  852776 */     // GIR_Coverage, 24297,
     /*  852776 */     GIR_EraseRootFromParent_Done,
     /*  852777 */   // Label 13082: @852777
     /*  852777 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852852), // Rule ID 24298 //
     /*  852782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  852831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852850 */     GIR_RootConstrainSelectedInstOperands,
     /*  852851 */     // GIR_Coverage, 24298,
     /*  852851 */     GIR_EraseRootFromParent_Done,
     /*  852852 */   // Label 13083: @852852
     /*  852852 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852927), // Rule ID 24301 //
     /*  852857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852903 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  852906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852925 */     GIR_RootConstrainSelectedInstOperands,
     /*  852926 */     // GIR_Coverage, 24301,
     /*  852926 */     GIR_EraseRootFromParent_Done,
     /*  852927 */   // Label 13084: @852927
     /*  852927 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(853002), // Rule ID 24302 //
     /*  852932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  852981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853000 */     GIR_RootConstrainSelectedInstOperands,
     /*  853001 */     // GIR_Coverage, 24302,
     /*  853001 */     GIR_EraseRootFromParent_Done,
     /*  853002 */   // Label 13085: @853002
     /*  853002 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(853077), // Rule ID 24305 //
     /*  853007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853075 */     GIR_RootConstrainSelectedInstOperands,
     /*  853076 */     // GIR_Coverage, 24305,
     /*  853076 */     GIR_EraseRootFromParent_Done,
     /*  853077 */   // Label 13086: @853077
     /*  853077 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853152), // Rule ID 24306 //
     /*  853082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  853131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853150 */     GIR_RootConstrainSelectedInstOperands,
     /*  853151 */     // GIR_Coverage, 24306,
     /*  853151 */     GIR_EraseRootFromParent_Done,
     /*  853152 */   // Label 13087: @853152
     /*  853152 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853227), // Rule ID 24309 //
     /*  853157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853225 */     GIR_RootConstrainSelectedInstOperands,
     /*  853226 */     // GIR_Coverage, 24309,
     /*  853226 */     GIR_EraseRootFromParent_Done,
     /*  853227 */   // Label 13088: @853227
     /*  853227 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853302), // Rule ID 24310 //
     /*  853232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  853240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  853281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853300 */     GIR_RootConstrainSelectedInstOperands,
     /*  853301 */     // GIR_Coverage, 24310,
     /*  853301 */     GIR_EraseRootFromParent_Done,
     /*  853302 */   // Label 13089: @853302
     /*  853302 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853377), // Rule ID 24313 //
     /*  853307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853353 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853375 */     GIR_RootConstrainSelectedInstOperands,
     /*  853376 */     // GIR_Coverage, 24313,
     /*  853376 */     GIR_EraseRootFromParent_Done,
     /*  853377 */   // Label 13090: @853377
     /*  853377 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853452), // Rule ID 24314 //
     /*  853382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  853431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853450 */     GIR_RootConstrainSelectedInstOperands,
     /*  853451 */     // GIR_Coverage, 24314,
     /*  853451 */     GIR_EraseRootFromParent_Done,
     /*  853452 */   // Label 13091: @853452
     /*  853452 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853527), // Rule ID 24317 //
     /*  853457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853503 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853525 */     GIR_RootConstrainSelectedInstOperands,
     /*  853526 */     // GIR_Coverage, 24317,
     /*  853526 */     GIR_EraseRootFromParent_Done,
     /*  853527 */   // Label 13092: @853527
     /*  853527 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853602), // Rule ID 24318 //
     /*  853532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  853581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853600 */     GIR_RootConstrainSelectedInstOperands,
     /*  853601 */     // GIR_Coverage, 24318,
     /*  853601 */     GIR_EraseRootFromParent_Done,
     /*  853602 */   // Label 13093: @853602
     /*  853602 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853677), // Rule ID 24321 //
     /*  853607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  853656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853675 */     GIR_RootConstrainSelectedInstOperands,
     /*  853676 */     // GIR_Coverage, 24321,
     /*  853676 */     GIR_EraseRootFromParent_Done,
     /*  853677 */   // Label 13094: @853677
     /*  853677 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853752), // Rule ID 24322 //
     /*  853682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853728 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  853731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853750 */     GIR_RootConstrainSelectedInstOperands,
     /*  853751 */     // GIR_Coverage, 24322,
     /*  853751 */     GIR_EraseRootFromParent_Done,
     /*  853752 */   // Label 13095: @853752
     /*  853752 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853827), // Rule ID 24325 //
     /*  853757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853803 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  853806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853825 */     GIR_RootConstrainSelectedInstOperands,
     /*  853826 */     // GIR_Coverage, 24325,
     /*  853826 */     GIR_EraseRootFromParent_Done,
     /*  853827 */   // Label 13096: @853827
     /*  853827 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853902), // Rule ID 24326 //
     /*  853832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853878 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  853881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853900 */     GIR_RootConstrainSelectedInstOperands,
     /*  853901 */     // GIR_Coverage, 24326,
     /*  853901 */     GIR_EraseRootFromParent_Done,
     /*  853902 */   // Label 13097: @853902
     /*  853902 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853977), // Rule ID 24329 //
     /*  853907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  853956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853975 */     GIR_RootConstrainSelectedInstOperands,
     /*  853976 */     // GIR_Coverage, 24329,
     /*  853976 */     GIR_EraseRootFromParent_Done,
     /*  853977 */   // Label 13098: @853977
     /*  853977 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(854052), // Rule ID 24330 //
     /*  853982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  854031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854050 */     GIR_RootConstrainSelectedInstOperands,
     /*  854051 */     // GIR_Coverage, 24330,
     /*  854051 */     GIR_EraseRootFromParent_Done,
     /*  854052 */   // Label 13099: @854052
     /*  854052 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(854127), // Rule ID 24333 //
     /*  854057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854125 */     GIR_RootConstrainSelectedInstOperands,
     /*  854126 */     // GIR_Coverage, 24333,
     /*  854126 */     GIR_EraseRootFromParent_Done,
     /*  854127 */   // Label 13100: @854127
     /*  854127 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854202), // Rule ID 24334 //
     /*  854132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  854181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854200 */     GIR_RootConstrainSelectedInstOperands,
     /*  854201 */     // GIR_Coverage, 24334,
     /*  854201 */     GIR_EraseRootFromParent_Done,
     /*  854202 */   // Label 13101: @854202
     /*  854202 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854277), // Rule ID 24337 //
     /*  854207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854275 */     GIR_RootConstrainSelectedInstOperands,
     /*  854276 */     // GIR_Coverage, 24337,
     /*  854276 */     GIR_EraseRootFromParent_Done,
     /*  854277 */   // Label 13102: @854277
     /*  854277 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854352), // Rule ID 24338 //
     /*  854282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854328 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  854331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854350 */     GIR_RootConstrainSelectedInstOperands,
     /*  854351 */     // GIR_Coverage, 24338,
     /*  854351 */     GIR_EraseRootFromParent_Done,
     /*  854352 */   // Label 13103: @854352
     /*  854352 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854427), // Rule ID 24341 //
     /*  854357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854403 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854425 */     GIR_RootConstrainSelectedInstOperands,
     /*  854426 */     // GIR_Coverage, 24341,
     /*  854426 */     GIR_EraseRootFromParent_Done,
     /*  854427 */   // Label 13104: @854427
     /*  854427 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854502), // Rule ID 24342 //
     /*  854432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854478 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  854481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854500 */     GIR_RootConstrainSelectedInstOperands,
     /*  854501 */     // GIR_Coverage, 24342,
     /*  854501 */     GIR_EraseRootFromParent_Done,
     /*  854502 */   // Label 13105: @854502
     /*  854502 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854577), // Rule ID 24345 //
     /*  854507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  854510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854553 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854575 */     GIR_RootConstrainSelectedInstOperands,
     /*  854576 */     // GIR_Coverage, 24345,
     /*  854576 */     GIR_EraseRootFromParent_Done,
     /*  854577 */   // Label 13106: @854577
     /*  854577 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854652), // Rule ID 24346 //
     /*  854582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  854585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  854602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  854631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854650 */     GIR_RootConstrainSelectedInstOperands,
     /*  854651 */     // GIR_Coverage, 24346,
     /*  854651 */     GIR_EraseRootFromParent_Done,
     /*  854652 */   // Label 13107: @854652
     /*  854652 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854727), // Rule ID 24349 //
     /*  854657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854703 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  854706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854725 */     GIR_RootConstrainSelectedInstOperands,
     /*  854726 */     // GIR_Coverage, 24349,
     /*  854726 */     GIR_EraseRootFromParent_Done,
     /*  854727 */   // Label 13108: @854727
     /*  854727 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854802), // Rule ID 24350 //
     /*  854732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  854781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854800 */     GIR_RootConstrainSelectedInstOperands,
     /*  854801 */     // GIR_Coverage, 24350,
     /*  854801 */     GIR_EraseRootFromParent_Done,
     /*  854802 */   // Label 13109: @854802
     /*  854802 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854877), // Rule ID 24353 //
     /*  854807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854853 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  854856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854875 */     GIR_RootConstrainSelectedInstOperands,
     /*  854876 */     // GIR_Coverage, 24353,
     /*  854876 */     GIR_EraseRootFromParent_Done,
     /*  854877 */   // Label 13110: @854877
     /*  854877 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854952), // Rule ID 24354 //
     /*  854882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  854885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  854931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854950 */     GIR_RootConstrainSelectedInstOperands,
     /*  854951 */     // GIR_Coverage, 24354,
     /*  854951 */     GIR_EraseRootFromParent_Done,
     /*  854952 */   // Label 13111: @854952
     /*  854952 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(855027), // Rule ID 24357 //
     /*  854957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  854960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  854968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  854971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  854974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  854996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855003 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855025 */     GIR_RootConstrainSelectedInstOperands,
     /*  855026 */     // GIR_Coverage, 24357,
     /*  855026 */     GIR_EraseRootFromParent_Done,
     /*  855027 */   // Label 13112: @855027
     /*  855027 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(855102), // Rule ID 24358 //
     /*  855032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  855035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  855081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855100 */     GIR_RootConstrainSelectedInstOperands,
     /*  855101 */     // GIR_Coverage, 24358,
     /*  855101 */     GIR_EraseRootFromParent_Done,
     /*  855102 */   // Label 13113: @855102
     /*  855102 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855177), // Rule ID 24361 //
     /*  855107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855175 */     GIR_RootConstrainSelectedInstOperands,
     /*  855176 */     // GIR_Coverage, 24361,
     /*  855176 */     GIR_EraseRootFromParent_Done,
     /*  855177 */   // Label 13114: @855177
     /*  855177 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855252), // Rule ID 24362 //
     /*  855182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  855231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855250 */     GIR_RootConstrainSelectedInstOperands,
     /*  855251 */     // GIR_Coverage, 24362,
     /*  855251 */     GIR_EraseRootFromParent_Done,
     /*  855252 */   // Label 13115: @855252
     /*  855252 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855327), // Rule ID 24365 //
     /*  855257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855325 */     GIR_RootConstrainSelectedInstOperands,
     /*  855326 */     // GIR_Coverage, 24365,
     /*  855326 */     GIR_EraseRootFromParent_Done,
     /*  855327 */   // Label 13116: @855327
     /*  855327 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855402), // Rule ID 24366 //
     /*  855332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  855381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855400 */     GIR_RootConstrainSelectedInstOperands,
     /*  855401 */     // GIR_Coverage, 24366,
     /*  855401 */     GIR_EraseRootFromParent_Done,
     /*  855402 */   // Label 13117: @855402
     /*  855402 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855477), // Rule ID 24369 //
     /*  855407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  855410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855475 */     GIR_RootConstrainSelectedInstOperands,
     /*  855476 */     // GIR_Coverage, 24369,
     /*  855476 */     GIR_EraseRootFromParent_Done,
     /*  855477 */   // Label 13118: @855477
     /*  855477 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855552), // Rule ID 24370 //
     /*  855482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  855485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  855490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  855521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  855531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855550 */     GIR_RootConstrainSelectedInstOperands,
     /*  855551 */     // GIR_Coverage, 24370,
     /*  855551 */     GIR_EraseRootFromParent_Done,
     /*  855552 */   // Label 13119: @855552
     /*  855552 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855627), // Rule ID 24373 //
     /*  855557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  855571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  855606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855625 */     GIR_RootConstrainSelectedInstOperands,
     /*  855626 */     // GIR_Coverage, 24373,
     /*  855626 */     GIR_EraseRootFromParent_Done,
     /*  855627 */   // Label 13120: @855627
     /*  855627 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855702), // Rule ID 24374 //
     /*  855632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  855646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  855681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855700 */     GIR_RootConstrainSelectedInstOperands,
     /*  855701 */     // GIR_Coverage, 24374,
     /*  855701 */     GIR_EraseRootFromParent_Done,
     /*  855702 */   // Label 13121: @855702
     /*  855702 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855777), // Rule ID 24377 //
     /*  855707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  855721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  855756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855775 */     GIR_RootConstrainSelectedInstOperands,
     /*  855776 */     // GIR_Coverage, 24377,
     /*  855776 */     GIR_EraseRootFromParent_Done,
     /*  855777 */   // Label 13122: @855777
     /*  855777 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855852), // Rule ID 24378 //
     /*  855782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  855796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855828 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  855831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855850 */     GIR_RootConstrainSelectedInstOperands,
     /*  855851 */     // GIR_Coverage, 24378,
     /*  855851 */     GIR_EraseRootFromParent_Done,
     /*  855852 */   // Label 13123: @855852
     /*  855852 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855927), // Rule ID 24381 //
     /*  855857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  855871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  855874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  855877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855903 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  855906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855925 */     GIR_RootConstrainSelectedInstOperands,
     /*  855926 */     // GIR_Coverage, 24381,
     /*  855926 */     GIR_EraseRootFromParent_Done,
     /*  855927 */   // Label 13124: @855927
     /*  855927 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(856002), // Rule ID 24382 //
     /*  855932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  855946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  855949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  855952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  855981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856000 */     GIR_RootConstrainSelectedInstOperands,
     /*  856001 */     // GIR_Coverage, 24382,
     /*  856001 */     GIR_EraseRootFromParent_Done,
     /*  856002 */   // Label 13125: @856002
     /*  856002 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(856077), // Rule ID 24385 //
     /*  856007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856053 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856075 */     GIR_RootConstrainSelectedInstOperands,
     /*  856076 */     // GIR_Coverage, 24385,
     /*  856076 */     GIR_EraseRootFromParent_Done,
     /*  856077 */   // Label 13126: @856077
     /*  856077 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856152), // Rule ID 24386 //
     /*  856082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  856131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856150 */     GIR_RootConstrainSelectedInstOperands,
     /*  856151 */     // GIR_Coverage, 24386,
     /*  856151 */     GIR_EraseRootFromParent_Done,
     /*  856152 */   // Label 13127: @856152
     /*  856152 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856227), // Rule ID 24389 //
     /*  856157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856225 */     GIR_RootConstrainSelectedInstOperands,
     /*  856226 */     // GIR_Coverage, 24389,
     /*  856226 */     GIR_EraseRootFromParent_Done,
     /*  856227 */   // Label 13128: @856227
     /*  856227 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856302), // Rule ID 24390 //
     /*  856232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  856281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856300 */     GIR_RootConstrainSelectedInstOperands,
     /*  856301 */     // GIR_Coverage, 24390,
     /*  856301 */     GIR_EraseRootFromParent_Done,
     /*  856302 */   // Label 13129: @856302
     /*  856302 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856377), // Rule ID 24393 //
     /*  856307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856375 */     GIR_RootConstrainSelectedInstOperands,
     /*  856376 */     // GIR_Coverage, 24393,
     /*  856376 */     GIR_EraseRootFromParent_Done,
     /*  856377 */   // Label 13130: @856377
     /*  856377 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856452), // Rule ID 24394 //
     /*  856382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  856402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  856431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856450 */     GIR_RootConstrainSelectedInstOperands,
     /*  856451 */     // GIR_Coverage, 24394,
     /*  856451 */     GIR_EraseRootFromParent_Done,
     /*  856452 */   // Label 13131: @856452
     /*  856452 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856527), // Rule ID 24397 //
     /*  856457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856525 */     GIR_RootConstrainSelectedInstOperands,
     /*  856526 */     // GIR_Coverage, 24397,
     /*  856526 */     GIR_EraseRootFromParent_Done,
     /*  856527 */   // Label 13132: @856527
     /*  856527 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856602), // Rule ID 24398 //
     /*  856532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  856543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  856546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  856549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  856552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  856581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856600 */     GIR_RootConstrainSelectedInstOperands,
     /*  856601 */     // GIR_Coverage, 24398,
     /*  856601 */     GIR_EraseRootFromParent_Done,
     /*  856602 */   // Label 13133: @856602
     /*  856602 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856677), // Rule ID 24401 //
     /*  856607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  856656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856675 */     GIR_RootConstrainSelectedInstOperands,
     /*  856676 */     // GIR_Coverage, 24401,
     /*  856676 */     GIR_EraseRootFromParent_Done,
     /*  856677 */   // Label 13134: @856677
     /*  856677 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856752), // Rule ID 24402 //
     /*  856682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  856731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856750 */     GIR_RootConstrainSelectedInstOperands,
     /*  856751 */     // GIR_Coverage, 24402,
     /*  856751 */     GIR_EraseRootFromParent_Done,
     /*  856752 */   // Label 13135: @856752
     /*  856752 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856827), // Rule ID 24405 //
     /*  856757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  856777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  856806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856825 */     GIR_RootConstrainSelectedInstOperands,
     /*  856826 */     // GIR_Coverage, 24405,
     /*  856826 */     GIR_EraseRootFromParent_Done,
     /*  856827 */   // Label 13136: @856827
     /*  856827 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856902), // Rule ID 24406 //
     /*  856832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  856852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  856881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856900 */     GIR_RootConstrainSelectedInstOperands,
     /*  856901 */     // GIR_Coverage, 24406,
     /*  856901 */     GIR_EraseRootFromParent_Done,
     /*  856902 */   // Label 13137: @856902
     /*  856902 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856977), // Rule ID 24409 //
     /*  856907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  856910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  856927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  856956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856975 */     GIR_RootConstrainSelectedInstOperands,
     /*  856976 */     // GIR_Coverage, 24409,
     /*  856976 */     GIR_EraseRootFromParent_Done,
     /*  856977 */   // Label 13138: @856977
     /*  856977 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(857052), // Rule ID 24410 //
     /*  856982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  856985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  857002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  857031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857050 */     GIR_RootConstrainSelectedInstOperands,
     /*  857051 */     // GIR_Coverage, 24410,
     /*  857051 */     GIR_EraseRootFromParent_Done,
     /*  857052 */   // Label 13139: @857052
     /*  857052 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(857127), // Rule ID 24413 //
     /*  857057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857125 */     GIR_RootConstrainSelectedInstOperands,
     /*  857126 */     // GIR_Coverage, 24413,
     /*  857126 */     GIR_EraseRootFromParent_Done,
     /*  857127 */   // Label 13140: @857127
     /*  857127 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857202), // Rule ID 24414 //
     /*  857132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  857152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  857181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857200 */     GIR_RootConstrainSelectedInstOperands,
     /*  857201 */     // GIR_Coverage, 24414,
     /*  857201 */     GIR_EraseRootFromParent_Done,
     /*  857202 */   // Label 13141: @857202
     /*  857202 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857277), // Rule ID 24417 //
     /*  857207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857275 */     GIR_RootConstrainSelectedInstOperands,
     /*  857276 */     // GIR_Coverage, 24417,
     /*  857276 */     GIR_EraseRootFromParent_Done,
     /*  857277 */   // Label 13142: @857277
     /*  857277 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857352), // Rule ID 24418 //
     /*  857282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  857302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  857331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857350 */     GIR_RootConstrainSelectedInstOperands,
     /*  857351 */     // GIR_Coverage, 24418,
     /*  857351 */     GIR_EraseRootFromParent_Done,
     /*  857352 */   // Label 13143: @857352
     /*  857352 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857427), // Rule ID 24421 //
     /*  857357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857425 */     GIR_RootConstrainSelectedInstOperands,
     /*  857426 */     // GIR_Coverage, 24421,
     /*  857426 */     GIR_EraseRootFromParent_Done,
     /*  857427 */   // Label 13144: @857427
     /*  857427 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857502), // Rule ID 24422 //
     /*  857432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  857443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  857446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  857449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  857452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  857481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857500 */     GIR_RootConstrainSelectedInstOperands,
     /*  857501 */     // GIR_Coverage, 24422,
     /*  857501 */     GIR_EraseRootFromParent_Done,
     /*  857502 */   // Label 13145: @857502
     /*  857502 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857577), // Rule ID 24425 //
     /*  857507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857575 */     GIR_RootConstrainSelectedInstOperands,
     /*  857576 */     // GIR_Coverage, 24425,
     /*  857576 */     GIR_EraseRootFromParent_Done,
     /*  857577 */   // Label 13146: @857577
     /*  857577 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857652), // Rule ID 24426 //
     /*  857582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  857631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857650 */     GIR_RootConstrainSelectedInstOperands,
     /*  857651 */     // GIR_Coverage, 24426,
     /*  857651 */     GIR_EraseRootFromParent_Done,
     /*  857652 */   // Label 13147: @857652
     /*  857652 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857727), // Rule ID 24429 //
     /*  857657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  857706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857725 */     GIR_RootConstrainSelectedInstOperands,
     /*  857726 */     // GIR_Coverage, 24429,
     /*  857726 */     GIR_EraseRootFromParent_Done,
     /*  857727 */   // Label 13148: @857727
     /*  857727 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857802), // Rule ID 24430 //
     /*  857732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  857781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857800 */     GIR_RootConstrainSelectedInstOperands,
     /*  857801 */     // GIR_Coverage, 24430,
     /*  857801 */     GIR_EraseRootFromParent_Done,
     /*  857802 */   // Label 13149: @857802
     /*  857802 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857877), // Rule ID 24433 //
     /*  857807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  857827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  857856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857875 */     GIR_RootConstrainSelectedInstOperands,
     /*  857876 */     // GIR_Coverage, 24433,
     /*  857876 */     GIR_EraseRootFromParent_Done,
     /*  857877 */   // Label 13150: @857877
     /*  857877 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857952), // Rule ID 24434 //
     /*  857882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  857902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  857931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857950 */     GIR_RootConstrainSelectedInstOperands,
     /*  857951 */     // GIR_Coverage, 24434,
     /*  857951 */     GIR_EraseRootFromParent_Done,
     /*  857952 */   // Label 13151: @857952
     /*  857952 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(858027), // Rule ID 24437 //
     /*  857957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  857977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858025 */     GIR_RootConstrainSelectedInstOperands,
     /*  858026 */     // GIR_Coverage, 24437,
     /*  858026 */     GIR_EraseRootFromParent_Done,
     /*  858027 */   // Label 13152: @858027
     /*  858027 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858102), // Rule ID 24438 //
     /*  858032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  858052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  858081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858100 */     GIR_RootConstrainSelectedInstOperands,
     /*  858101 */     // GIR_Coverage, 24438,
     /*  858101 */     GIR_EraseRootFromParent_Done,
     /*  858102 */   // Label 13153: @858102
     /*  858102 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858177), // Rule ID 24441 //
     /*  858107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858175 */     GIR_RootConstrainSelectedInstOperands,
     /*  858176 */     // GIR_Coverage, 24441,
     /*  858176 */     GIR_EraseRootFromParent_Done,
     /*  858177 */   // Label 13154: @858177
     /*  858177 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858252), // Rule ID 24442 //
     /*  858182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  858202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  858231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858250 */     GIR_RootConstrainSelectedInstOperands,
     /*  858251 */     // GIR_Coverage, 24442,
     /*  858251 */     GIR_EraseRootFromParent_Done,
     /*  858252 */   // Label 13155: @858252
     /*  858252 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858327), // Rule ID 24445 //
     /*  858257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858325 */     GIR_RootConstrainSelectedInstOperands,
     /*  858326 */     // GIR_Coverage, 24445,
     /*  858326 */     GIR_EraseRootFromParent_Done,
     /*  858327 */   // Label 13156: @858327
     /*  858327 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858402), // Rule ID 24446 //
     /*  858332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  858352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  858381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858400 */     GIR_RootConstrainSelectedInstOperands,
     /*  858401 */     // GIR_Coverage, 24446,
     /*  858401 */     GIR_EraseRootFromParent_Done,
     /*  858402 */   // Label 13157: @858402
     /*  858402 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858477), // Rule ID 24449 //
     /*  858407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858475 */     GIR_RootConstrainSelectedInstOperands,
     /*  858476 */     // GIR_Coverage, 24449,
     /*  858476 */     GIR_EraseRootFromParent_Done,
     /*  858477 */   // Label 13158: @858477
     /*  858477 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858552), // Rule ID 24450 //
     /*  858482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  858502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  858531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858550 */     GIR_RootConstrainSelectedInstOperands,
     /*  858551 */     // GIR_Coverage, 24450,
     /*  858551 */     GIR_EraseRootFromParent_Done,
     /*  858552 */   // Label 13159: @858552
     /*  858552 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858627), // Rule ID 24453 //
     /*  858557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  858606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858625 */     GIR_RootConstrainSelectedInstOperands,
     /*  858626 */     // GIR_Coverage, 24453,
     /*  858626 */     GIR_EraseRootFromParent_Done,
     /*  858627 */   // Label 13160: @858627
     /*  858627 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858702), // Rule ID 24454 //
     /*  858632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  858681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858700 */     GIR_RootConstrainSelectedInstOperands,
     /*  858701 */     // GIR_Coverage, 24454,
     /*  858701 */     GIR_EraseRootFromParent_Done,
     /*  858702 */   // Label 13161: @858702
     /*  858702 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858777), // Rule ID 24457 //
     /*  858707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  858710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  858756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858775 */     GIR_RootConstrainSelectedInstOperands,
     /*  858776 */     // GIR_Coverage, 24457,
     /*  858776 */     GIR_EraseRootFromParent_Done,
     /*  858777 */   // Label 13162: @858777
     /*  858777 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858852), // Rule ID 24458 //
     /*  858782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  858785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  858790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  858831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858850 */     GIR_RootConstrainSelectedInstOperands,
     /*  858851 */     // GIR_Coverage, 24458,
     /*  858851 */     GIR_EraseRootFromParent_Done,
     /*  858852 */   // Label 13163: @858852
     /*  858852 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858927), // Rule ID 24461 //
     /*  858857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  858868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  858871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  858874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  858906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858925 */     GIR_RootConstrainSelectedInstOperands,
     /*  858926 */     // GIR_Coverage, 24461,
     /*  858926 */     GIR_EraseRootFromParent_Done,
     /*  858927 */   // Label 13164: @858927
     /*  858927 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859002), // Rule ID 24462 //
     /*  858932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  858943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  858946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  858949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  858981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859000 */     GIR_RootConstrainSelectedInstOperands,
     /*  859001 */     // GIR_Coverage, 24462,
     /*  859001 */     GIR_EraseRootFromParent_Done,
     /*  859002 */   // Label 13165: @859002
     /*  859002 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859077), // Rule ID 24465 //
     /*  859007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859075 */     GIR_RootConstrainSelectedInstOperands,
     /*  859076 */     // GIR_Coverage, 24465,
     /*  859076 */     GIR_EraseRootFromParent_Done,
     /*  859077 */   // Label 13166: @859077
     /*  859077 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859152), // Rule ID 24466 //
     /*  859082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  859093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  859096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  859099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859150 */     GIR_RootConstrainSelectedInstOperands,
     /*  859151 */     // GIR_Coverage, 24466,
     /*  859151 */     GIR_EraseRootFromParent_Done,
     /*  859152 */   // Label 13167: @859152
     /*  859152 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859227), // Rule ID 24469 //
     /*  859157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859225 */     GIR_RootConstrainSelectedInstOperands,
     /*  859226 */     // GIR_Coverage, 24469,
     /*  859226 */     GIR_EraseRootFromParent_Done,
     /*  859227 */   // Label 13168: @859227
     /*  859227 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859302), // Rule ID 24470 //
     /*  859232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  859243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  859246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  859249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859300 */     GIR_RootConstrainSelectedInstOperands,
     /*  859301 */     // GIR_Coverage, 24470,
     /*  859301 */     GIR_EraseRootFromParent_Done,
     /*  859302 */   // Label 13169: @859302
     /*  859302 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859377), // Rule ID 24473 //
     /*  859307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859375 */     GIR_RootConstrainSelectedInstOperands,
     /*  859376 */     // GIR_Coverage, 24473,
     /*  859376 */     GIR_EraseRootFromParent_Done,
     /*  859377 */   // Label 13170: @859377
     /*  859377 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859452), // Rule ID 24474 //
     /*  859382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  859396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  859431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859450 */     GIR_RootConstrainSelectedInstOperands,
     /*  859451 */     // GIR_Coverage, 24474,
     /*  859451 */     GIR_EraseRootFromParent_Done,
     /*  859452 */   // Label 13171: @859452
     /*  859452 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859527), // Rule ID 24477 //
     /*  859457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859525 */     GIR_RootConstrainSelectedInstOperands,
     /*  859526 */     // GIR_Coverage, 24477,
     /*  859526 */     GIR_EraseRootFromParent_Done,
     /*  859527 */   // Label 13172: @859527
     /*  859527 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859602), // Rule ID 24478 //
     /*  859532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  859546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859600 */     GIR_RootConstrainSelectedInstOperands,
     /*  859601 */     // GIR_Coverage, 24478,
     /*  859601 */     GIR_EraseRootFromParent_Done,
     /*  859602 */   // Label 13173: @859602
     /*  859602 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859677), // Rule ID 24481 //
     /*  859607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859675 */     GIR_RootConstrainSelectedInstOperands,
     /*  859676 */     // GIR_Coverage, 24481,
     /*  859676 */     GIR_EraseRootFromParent_Done,
     /*  859677 */   // Label 13174: @859677
     /*  859677 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859752), // Rule ID 24482 //
     /*  859682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  859731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859750 */     GIR_RootConstrainSelectedInstOperands,
     /*  859751 */     // GIR_Coverage, 24482,
     /*  859751 */     GIR_EraseRootFromParent_Done,
     /*  859752 */   // Label 13175: @859752
     /*  859752 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859827), // Rule ID 24485 //
     /*  859757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  859768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  859771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  859774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859825 */     GIR_RootConstrainSelectedInstOperands,
     /*  859826 */     // GIR_Coverage, 24485,
     /*  859826 */     GIR_EraseRootFromParent_Done,
     /*  859827 */   // Label 13176: @859827
     /*  859827 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859902), // Rule ID 24486 //
     /*  859832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  859843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  859846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  859849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859900 */     GIR_RootConstrainSelectedInstOperands,
     /*  859901 */     // GIR_Coverage, 24486,
     /*  859901 */     GIR_EraseRootFromParent_Done,
     /*  859902 */   // Label 13177: @859902
     /*  859902 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(859977), // Rule ID 24489 //
     /*  859907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  859921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859975 */     GIR_RootConstrainSelectedInstOperands,
     /*  859976 */     // GIR_Coverage, 24489,
     /*  859976 */     GIR_EraseRootFromParent_Done,
     /*  859977 */   // Label 13178: @859977
     /*  859977 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860052), // Rule ID 24490 //
     /*  859982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  859996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860050 */     GIR_RootConstrainSelectedInstOperands,
     /*  860051 */     // GIR_Coverage, 24490,
     /*  860051 */     GIR_EraseRootFromParent_Done,
     /*  860052 */   // Label 13179: @860052
     /*  860052 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860127), // Rule ID 24493 //
     /*  860057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860125 */     GIR_RootConstrainSelectedInstOperands,
     /*  860126 */     // GIR_Coverage, 24493,
     /*  860126 */     GIR_EraseRootFromParent_Done,
     /*  860127 */   // Label 13180: @860127
     /*  860127 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860202), // Rule ID 24494 //
     /*  860132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860200 */     GIR_RootConstrainSelectedInstOperands,
     /*  860201 */     // GIR_Coverage, 24494,
     /*  860201 */     GIR_EraseRootFromParent_Done,
     /*  860202 */   // Label 13181: @860202
     /*  860202 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860277), // Rule ID 24497 //
     /*  860207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860275 */     GIR_RootConstrainSelectedInstOperands,
     /*  860276 */     // GIR_Coverage, 24497,
     /*  860276 */     GIR_EraseRootFromParent_Done,
     /*  860277 */   // Label 13182: @860277
     /*  860277 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860352), // Rule ID 24498 //
     /*  860282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  860293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  860296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  860299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860350 */     GIR_RootConstrainSelectedInstOperands,
     /*  860351 */     // GIR_Coverage, 24498,
     /*  860351 */     GIR_EraseRootFromParent_Done,
     /*  860352 */   // Label 13183: @860352
     /*  860352 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860427), // Rule ID 24501 //
     /*  860357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860425 */     GIR_RootConstrainSelectedInstOperands,
     /*  860426 */     // GIR_Coverage, 24501,
     /*  860426 */     GIR_EraseRootFromParent_Done,
     /*  860427 */   // Label 13184: @860427
     /*  860427 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860502), // Rule ID 24502 //
     /*  860432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  860443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  860446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  860449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860500 */     GIR_RootConstrainSelectedInstOperands,
     /*  860501 */     // GIR_Coverage, 24502,
     /*  860501 */     GIR_EraseRootFromParent_Done,
     /*  860502 */   // Label 13185: @860502
     /*  860502 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860577), // Rule ID 24505 //
     /*  860507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860575 */     GIR_RootConstrainSelectedInstOperands,
     /*  860576 */     // GIR_Coverage, 24505,
     /*  860576 */     GIR_EraseRootFromParent_Done,
     /*  860577 */   // Label 13186: @860577
     /*  860577 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860652), // Rule ID 24506 //
     /*  860582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  860596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860650 */     GIR_RootConstrainSelectedInstOperands,
     /*  860651 */     // GIR_Coverage, 24506,
     /*  860651 */     GIR_EraseRootFromParent_Done,
     /*  860652 */   // Label 13187: @860652
     /*  860652 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860727), // Rule ID 24509 //
     /*  860657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  860671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860725 */     GIR_RootConstrainSelectedInstOperands,
     /*  860726 */     // GIR_Coverage, 24509,
     /*  860726 */     GIR_EraseRootFromParent_Done,
     /*  860727 */   // Label 13188: @860727
     /*  860727 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860802), // Rule ID 24510 //
     /*  860732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  860746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860778 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860800 */     GIR_RootConstrainSelectedInstOperands,
     /*  860801 */     // GIR_Coverage, 24510,
     /*  860801 */     GIR_EraseRootFromParent_Done,
     /*  860802 */   // Label 13189: @860802
     /*  860802 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860877), // Rule ID 24513 //
     /*  860807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  860821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860875 */     GIR_RootConstrainSelectedInstOperands,
     /*  860876 */     // GIR_Coverage, 24513,
     /*  860876 */     GIR_EraseRootFromParent_Done,
     /*  860877 */   // Label 13190: @860877
     /*  860877 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(860952), // Rule ID 24514 //
     /*  860882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  860896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860928 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860950 */     GIR_RootConstrainSelectedInstOperands,
     /*  860951 */     // GIR_Coverage, 24514,
     /*  860951 */     GIR_EraseRootFromParent_Done,
     /*  860952 */   // Label 13191: @860952
     /*  860952 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861027), // Rule ID 24517 //
     /*  860957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  860971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861025 */     GIR_RootConstrainSelectedInstOperands,
     /*  861026 */     // GIR_Coverage, 24517,
     /*  861026 */     GIR_EraseRootFromParent_Done,
     /*  861027 */   // Label 13192: @861027
     /*  861027 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861102), // Rule ID 24518 //
     /*  861032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  861046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861100 */     GIR_RootConstrainSelectedInstOperands,
     /*  861101 */     // GIR_Coverage, 24518,
     /*  861101 */     GIR_EraseRootFromParent_Done,
     /*  861102 */   // Label 13193: @861102
     /*  861102 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861177), // Rule ID 24521 //
     /*  861107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861175 */     GIR_RootConstrainSelectedInstOperands,
     /*  861176 */     // GIR_Coverage, 24521,
     /*  861176 */     GIR_EraseRootFromParent_Done,
     /*  861177 */   // Label 13194: @861177
     /*  861177 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861252), // Rule ID 24522 //
     /*  861182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  861196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861250 */     GIR_RootConstrainSelectedInstOperands,
     /*  861251 */     // GIR_Coverage, 24522,
     /*  861251 */     GIR_EraseRootFromParent_Done,
     /*  861252 */   // Label 13195: @861252
     /*  861252 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861327), // Rule ID 24525 //
     /*  861257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861325 */     GIR_RootConstrainSelectedInstOperands,
     /*  861326 */     // GIR_Coverage, 24525,
     /*  861326 */     GIR_EraseRootFromParent_Done,
     /*  861327 */   // Label 13196: @861327
     /*  861327 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861402), // Rule ID 24526 //
     /*  861332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861400 */     GIR_RootConstrainSelectedInstOperands,
     /*  861401 */     // GIR_Coverage, 24526,
     /*  861401 */     GIR_EraseRootFromParent_Done,
     /*  861402 */   // Label 13197: @861402
     /*  861402 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861477), // Rule ID 24529 //
     /*  861407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861475 */     GIR_RootConstrainSelectedInstOperands,
     /*  861476 */     // GIR_Coverage, 24529,
     /*  861476 */     GIR_EraseRootFromParent_Done,
     /*  861477 */   // Label 13198: @861477
     /*  861477 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861552), // Rule ID 24530 //
     /*  861482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861550 */     GIR_RootConstrainSelectedInstOperands,
     /*  861551 */     // GIR_Coverage, 24530,
     /*  861551 */     GIR_EraseRootFromParent_Done,
     /*  861552 */   // Label 13199: @861552
     /*  861552 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861627), // Rule ID 24533 //
     /*  861557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861625 */     GIR_RootConstrainSelectedInstOperands,
     /*  861626 */     // GIR_Coverage, 24533,
     /*  861626 */     GIR_EraseRootFromParent_Done,
     /*  861627 */   // Label 13200: @861627
     /*  861627 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861702), // Rule ID 24534 //
     /*  861632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861700 */     GIR_RootConstrainSelectedInstOperands,
     /*  861701 */     // GIR_Coverage, 24534,
     /*  861701 */     GIR_EraseRootFromParent_Done,
     /*  861702 */   // Label 13201: @861702
     /*  861702 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861777), // Rule ID 24537 //
     /*  861707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861775 */     GIR_RootConstrainSelectedInstOperands,
     /*  861776 */     // GIR_Coverage, 24537,
     /*  861776 */     GIR_EraseRootFromParent_Done,
     /*  861777 */   // Label 13202: @861777
     /*  861777 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861852), // Rule ID 24538 //
     /*  861782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861850 */     GIR_RootConstrainSelectedInstOperands,
     /*  861851 */     // GIR_Coverage, 24538,
     /*  861851 */     GIR_EraseRootFromParent_Done,
     /*  861852 */   // Label 13203: @861852
     /*  861852 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861927), // Rule ID 24541 //
     /*  861857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  861874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861925 */     GIR_RootConstrainSelectedInstOperands,
     /*  861926 */     // GIR_Coverage, 24541,
     /*  861926 */     GIR_EraseRootFromParent_Done,
     /*  861927 */   // Label 13204: @861927
     /*  861927 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862002), // Rule ID 24542 //
     /*  861932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  861949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862000 */     GIR_RootConstrainSelectedInstOperands,
     /*  862001 */     // GIR_Coverage, 24542,
     /*  862001 */     GIR_EraseRootFromParent_Done,
     /*  862002 */   // Label 13205: @862002
     /*  862002 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862077), // Rule ID 24545 //
     /*  862007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  862027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862075 */     GIR_RootConstrainSelectedInstOperands,
     /*  862076 */     // GIR_Coverage, 24545,
     /*  862076 */     GIR_EraseRootFromParent_Done,
     /*  862077 */   // Label 13206: @862077
     /*  862077 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862152), // Rule ID 24546 //
     /*  862082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862150 */     GIR_RootConstrainSelectedInstOperands,
     /*  862151 */     // GIR_Coverage, 24546,
     /*  862151 */     GIR_EraseRootFromParent_Done,
     /*  862152 */   // Label 13207: @862152
     /*  862152 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862227), // Rule ID 24637 //
     /*  862157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862225 */     GIR_RootConstrainSelectedInstOperands,
     /*  862226 */     // GIR_Coverage, 24637,
     /*  862226 */     GIR_EraseRootFromParent_Done,
     /*  862227 */   // Label 13208: @862227
     /*  862227 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862302), // Rule ID 24638 //
     /*  862232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  862243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  862246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  862249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862278 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  862281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862300 */     GIR_RootConstrainSelectedInstOperands,
     /*  862301 */     // GIR_Coverage, 24638,
     /*  862301 */     GIR_EraseRootFromParent_Done,
     /*  862302 */   // Label 13209: @862302
     /*  862302 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862377), // Rule ID 24641 //
     /*  862307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862375 */     GIR_RootConstrainSelectedInstOperands,
     /*  862376 */     // GIR_Coverage, 24641,
     /*  862376 */     GIR_EraseRootFromParent_Done,
     /*  862377 */   // Label 13210: @862377
     /*  862377 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862452), // Rule ID 24642 //
     /*  862382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  862393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  862396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  862399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  862431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862450 */     GIR_RootConstrainSelectedInstOperands,
     /*  862451 */     // GIR_Coverage, 24642,
     /*  862451 */     GIR_EraseRootFromParent_Done,
     /*  862452 */   // Label 13211: @862452
     /*  862452 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862527), // Rule ID 24645 //
     /*  862457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862525 */     GIR_RootConstrainSelectedInstOperands,
     /*  862526 */     // GIR_Coverage, 24645,
     /*  862526 */     GIR_EraseRootFromParent_Done,
     /*  862527 */   // Label 13212: @862527
     /*  862527 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862602), // Rule ID 24646 //
     /*  862532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  862543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  862546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  862549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862578 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  862581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862600 */     GIR_RootConstrainSelectedInstOperands,
     /*  862601 */     // GIR_Coverage, 24646,
     /*  862601 */     GIR_EraseRootFromParent_Done,
     /*  862602 */   // Label 13213: @862602
     /*  862602 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862677), // Rule ID 24649 //
     /*  862607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  862656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862675 */     GIR_RootConstrainSelectedInstOperands,
     /*  862676 */     // GIR_Coverage, 24649,
     /*  862676 */     GIR_EraseRootFromParent_Done,
     /*  862677 */   // Label 13214: @862677
     /*  862677 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862752), // Rule ID 24650 //
     /*  862682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  862731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862750 */     GIR_RootConstrainSelectedInstOperands,
     /*  862751 */     // GIR_Coverage, 24650,
     /*  862751 */     GIR_EraseRootFromParent_Done,
     /*  862752 */   // Label 13215: @862752
     /*  862752 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862827), // Rule ID 24653 //
     /*  862757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  862806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862825 */     GIR_RootConstrainSelectedInstOperands,
     /*  862826 */     // GIR_Coverage, 24653,
     /*  862826 */     GIR_EraseRootFromParent_Done,
     /*  862827 */   // Label 13216: @862827
     /*  862827 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862902), // Rule ID 24654 //
     /*  862832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  862881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862900 */     GIR_RootConstrainSelectedInstOperands,
     /*  862901 */     // GIR_Coverage, 24654,
     /*  862901 */     GIR_EraseRootFromParent_Done,
     /*  862902 */   // Label 13217: @862902
     /*  862902 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(862977), // Rule ID 24657 //
     /*  862907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  862918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  862921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  862924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  862956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862975 */     GIR_RootConstrainSelectedInstOperands,
     /*  862976 */     // GIR_Coverage, 24657,
     /*  862976 */     GIR_EraseRootFromParent_Done,
     /*  862977 */   // Label 13218: @862977
     /*  862977 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863052), // Rule ID 24658 //
     /*  862982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  862993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  862996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  862999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  863031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863050 */     GIR_RootConstrainSelectedInstOperands,
     /*  863051 */     // GIR_Coverage, 24658,
     /*  863051 */     GIR_EraseRootFromParent_Done,
     /*  863052 */   // Label 13219: @863052
     /*  863052 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863127), // Rule ID 24661 //
     /*  863057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863125 */     GIR_RootConstrainSelectedInstOperands,
     /*  863126 */     // GIR_Coverage, 24661,
     /*  863126 */     GIR_EraseRootFromParent_Done,
     /*  863127 */   // Label 13220: @863127
     /*  863127 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863202), // Rule ID 24662 //
     /*  863132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  863143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  863146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  863149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  863181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863200 */     GIR_RootConstrainSelectedInstOperands,
     /*  863201 */     // GIR_Coverage, 24662,
     /*  863201 */     GIR_EraseRootFromParent_Done,
     /*  863202 */   // Label 13221: @863202
     /*  863202 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863277), // Rule ID 24665 //
     /*  863207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863275 */     GIR_RootConstrainSelectedInstOperands,
     /*  863276 */     // GIR_Coverage, 24665,
     /*  863276 */     GIR_EraseRootFromParent_Done,
     /*  863277 */   // Label 13222: @863277
     /*  863277 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863352), // Rule ID 24666 //
     /*  863282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  863331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863350 */     GIR_RootConstrainSelectedInstOperands,
     /*  863351 */     // GIR_Coverage, 24666,
     /*  863351 */     GIR_EraseRootFromParent_Done,
     /*  863352 */   // Label 13223: @863352
     /*  863352 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863427), // Rule ID 24669 //
     /*  863357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863425 */     GIR_RootConstrainSelectedInstOperands,
     /*  863426 */     // GIR_Coverage, 24669,
     /*  863426 */     GIR_EraseRootFromParent_Done,
     /*  863427 */   // Label 13224: @863427
     /*  863427 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863502), // Rule ID 24670 //
     /*  863432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  863443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  863446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  863449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  863481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863500 */     GIR_RootConstrainSelectedInstOperands,
     /*  863501 */     // GIR_Coverage, 24670,
     /*  863501 */     GIR_EraseRootFromParent_Done,
     /*  863502 */   // Label 13225: @863502
     /*  863502 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863577), // Rule ID 24673 //
     /*  863507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863575 */     GIR_RootConstrainSelectedInstOperands,
     /*  863576 */     // GIR_Coverage, 24673,
     /*  863576 */     GIR_EraseRootFromParent_Done,
     /*  863577 */   // Label 13226: @863577
     /*  863577 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863652), // Rule ID 24674 //
     /*  863582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  863585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  863596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  863631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863650 */     GIR_RootConstrainSelectedInstOperands,
     /*  863651 */     // GIR_Coverage, 24674,
     /*  863651 */     GIR_EraseRootFromParent_Done,
     /*  863652 */   // Label 13227: @863652
     /*  863652 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863727), // Rule ID 24677 //
     /*  863657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  863668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  863671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  863674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  863706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863725 */     GIR_RootConstrainSelectedInstOperands,
     /*  863726 */     // GIR_Coverage, 24677,
     /*  863726 */     GIR_EraseRootFromParent_Done,
     /*  863727 */   // Label 13228: @863727
     /*  863727 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863802), // Rule ID 24678 //
     /*  863732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  863743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  863746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  863749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  863781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863800 */     GIR_RootConstrainSelectedInstOperands,
     /*  863801 */     // GIR_Coverage, 24678,
     /*  863801 */     GIR_EraseRootFromParent_Done,
     /*  863802 */   // Label 13229: @863802
     /*  863802 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863877), // Rule ID 24681 //
     /*  863807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  863818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  863821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  863824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  863856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863875 */     GIR_RootConstrainSelectedInstOperands,
     /*  863876 */     // GIR_Coverage, 24681,
     /*  863876 */     GIR_EraseRootFromParent_Done,
     /*  863877 */   // Label 13230: @863877
     /*  863877 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(863952), // Rule ID 24682 //
     /*  863882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  863893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  863896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  863899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  863931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863950 */     GIR_RootConstrainSelectedInstOperands,
     /*  863951 */     // GIR_Coverage, 24682,
     /*  863951 */     GIR_EraseRootFromParent_Done,
     /*  863952 */   // Label 13231: @863952
     /*  863952 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864027), // Rule ID 24685 //
     /*  863957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  863968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  863971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  863974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864025 */     GIR_RootConstrainSelectedInstOperands,
     /*  864026 */     // GIR_Coverage, 24685,
     /*  864026 */     GIR_EraseRootFromParent_Done,
     /*  864027 */   // Label 13232: @864027
     /*  864027 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864102), // Rule ID 24686 //
     /*  864032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864100 */     GIR_RootConstrainSelectedInstOperands,
     /*  864101 */     // GIR_Coverage, 24686,
     /*  864101 */     GIR_EraseRootFromParent_Done,
     /*  864102 */   // Label 13233: @864102
     /*  864102 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864177), // Rule ID 24689 //
     /*  864107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864175 */     GIR_RootConstrainSelectedInstOperands,
     /*  864176 */     // GIR_Coverage, 24689,
     /*  864176 */     GIR_EraseRootFromParent_Done,
     /*  864177 */   // Label 13234: @864177
     /*  864177 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864252), // Rule ID 24690 //
     /*  864182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  864231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864250 */     GIR_RootConstrainSelectedInstOperands,
     /*  864251 */     // GIR_Coverage, 24690,
     /*  864251 */     GIR_EraseRootFromParent_Done,
     /*  864252 */   // Label 13235: @864252
     /*  864252 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864327), // Rule ID 24693 //
     /*  864257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864303 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864325 */     GIR_RootConstrainSelectedInstOperands,
     /*  864326 */     // GIR_Coverage, 24693,
     /*  864326 */     GIR_EraseRootFromParent_Done,
     /*  864327 */   // Label 13236: @864327
     /*  864327 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864402), // Rule ID 24694 //
     /*  864332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  864343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  864346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  864349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  864352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  864381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864400 */     GIR_RootConstrainSelectedInstOperands,
     /*  864401 */     // GIR_Coverage, 24694,
     /*  864401 */     GIR_EraseRootFromParent_Done,
     /*  864402 */   // Label 13237: @864402
     /*  864402 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864477), // Rule ID 24697 //
     /*  864407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864475 */     GIR_RootConstrainSelectedInstOperands,
     /*  864476 */     // GIR_Coverage, 24697,
     /*  864476 */     GIR_EraseRootFromParent_Done,
     /*  864477 */   // Label 13238: @864477
     /*  864477 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864552), // Rule ID 24698 //
     /*  864482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  864531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864550 */     GIR_RootConstrainSelectedInstOperands,
     /*  864551 */     // GIR_Coverage, 24698,
     /*  864551 */     GIR_EraseRootFromParent_Done,
     /*  864552 */   // Label 13239: @864552
     /*  864552 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864627), // Rule ID 24701 //
     /*  864557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  864606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864625 */     GIR_RootConstrainSelectedInstOperands,
     /*  864626 */     // GIR_Coverage, 24701,
     /*  864626 */     GIR_EraseRootFromParent_Done,
     /*  864627 */   // Label 13240: @864627
     /*  864627 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864702), // Rule ID 24702 //
     /*  864632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  864681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864700 */     GIR_RootConstrainSelectedInstOperands,
     /*  864701 */     // GIR_Coverage, 24702,
     /*  864701 */     GIR_EraseRootFromParent_Done,
     /*  864702 */   // Label 13241: @864702
     /*  864702 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864777), // Rule ID 24705 //
     /*  864707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864753 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  864756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864775 */     GIR_RootConstrainSelectedInstOperands,
     /*  864776 */     // GIR_Coverage, 24705,
     /*  864776 */     GIR_EraseRootFromParent_Done,
     /*  864777 */   // Label 13242: @864777
     /*  864777 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864852), // Rule ID 24706 //
     /*  864782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  864831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864850 */     GIR_RootConstrainSelectedInstOperands,
     /*  864851 */     // GIR_Coverage, 24706,
     /*  864851 */     GIR_EraseRootFromParent_Done,
     /*  864852 */   // Label 13243: @864852
     /*  864852 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864927), // Rule ID 24709 //
     /*  864857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  864860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  864871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  864906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864925 */     GIR_RootConstrainSelectedInstOperands,
     /*  864926 */     // GIR_Coverage, 24709,
     /*  864926 */     GIR_EraseRootFromParent_Done,
     /*  864927 */   // Label 13244: @864927
     /*  864927 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865002), // Rule ID 24710 //
     /*  864932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  864946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  864981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865000 */     GIR_RootConstrainSelectedInstOperands,
     /*  865001 */     // GIR_Coverage, 24710,
     /*  865001 */     GIR_EraseRootFromParent_Done,
     /*  865002 */   // Label 13245: @865002
     /*  865002 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865077), // Rule ID 24713 //
     /*  865007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865053 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865075 */     GIR_RootConstrainSelectedInstOperands,
     /*  865076 */     // GIR_Coverage, 24713,
     /*  865076 */     GIR_EraseRootFromParent_Done,
     /*  865077 */   // Label 13246: @865077
     /*  865077 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865152), // Rule ID 24714 //
     /*  865082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865150 */     GIR_RootConstrainSelectedInstOperands,
     /*  865151 */     // GIR_Coverage, 24714,
     /*  865151 */     GIR_EraseRootFromParent_Done,
     /*  865152 */   // Label 13247: @865152
     /*  865152 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865227), // Rule ID 24717 //
     /*  865157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  865160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865225 */     GIR_RootConstrainSelectedInstOperands,
     /*  865226 */     // GIR_Coverage, 24717,
     /*  865226 */     GIR_EraseRootFromParent_Done,
     /*  865227 */   // Label 13248: @865227
     /*  865227 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865302), // Rule ID 24718 //
     /*  865232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  865235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  865281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865300 */     GIR_RootConstrainSelectedInstOperands,
     /*  865301 */     // GIR_Coverage, 24718,
     /*  865301 */     GIR_EraseRootFromParent_Done,
     /*  865302 */   // Label 13249: @865302
     /*  865302 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865377), // Rule ID 24721 //
     /*  865307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865353 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865375 */     GIR_RootConstrainSelectedInstOperands,
     /*  865376 */     // GIR_Coverage, 24721,
     /*  865376 */     GIR_EraseRootFromParent_Done,
     /*  865377 */   // Label 13250: @865377
     /*  865377 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865452), // Rule ID 24722 //
     /*  865382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  865402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  865431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865450 */     GIR_RootConstrainSelectedInstOperands,
     /*  865451 */     // GIR_Coverage, 24722,
     /*  865451 */     GIR_EraseRootFromParent_Done,
     /*  865452 */   // Label 13251: @865452
     /*  865452 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865527), // Rule ID 24725 //
     /*  865457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865503 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865525 */     GIR_RootConstrainSelectedInstOperands,
     /*  865526 */     // GIR_Coverage, 24725,
     /*  865526 */     GIR_EraseRootFromParent_Done,
     /*  865527 */   // Label 13252: @865527
     /*  865527 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865602), // Rule ID 24726 //
     /*  865532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  865552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  865581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865600 */     GIR_RootConstrainSelectedInstOperands,
     /*  865601 */     // GIR_Coverage, 24726,
     /*  865601 */     GIR_EraseRootFromParent_Done,
     /*  865602 */   // Label 13253: @865602
     /*  865602 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865677), // Rule ID 24729 //
     /*  865607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  865627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865653 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  865656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865675 */     GIR_RootConstrainSelectedInstOperands,
     /*  865676 */     // GIR_Coverage, 24729,
     /*  865676 */     GIR_EraseRootFromParent_Done,
     /*  865677 */   // Label 13254: @865677
     /*  865677 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865752), // Rule ID 24730 //
     /*  865682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  865702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  865731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865750 */     GIR_RootConstrainSelectedInstOperands,
     /*  865751 */     // GIR_Coverage, 24730,
     /*  865751 */     GIR_EraseRootFromParent_Done,
     /*  865752 */   // Label 13255: @865752
     /*  865752 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865827), // Rule ID 24733 //
     /*  865757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  865777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  865806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865825 */     GIR_RootConstrainSelectedInstOperands,
     /*  865826 */     // GIR_Coverage, 24733,
     /*  865826 */     GIR_EraseRootFromParent_Done,
     /*  865827 */   // Label 13256: @865827
     /*  865827 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865902), // Rule ID 24734 //
     /*  865832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  865852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865878 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  865881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865900 */     GIR_RootConstrainSelectedInstOperands,
     /*  865901 */     // GIR_Coverage, 24734,
     /*  865901 */     GIR_EraseRootFromParent_Done,
     /*  865902 */   // Label 13257: @865902
     /*  865902 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(865977), // Rule ID 24737 //
     /*  865907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  865927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  865956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865975 */     GIR_RootConstrainSelectedInstOperands,
     /*  865976 */     // GIR_Coverage, 24737,
     /*  865976 */     GIR_EraseRootFromParent_Done,
     /*  865977 */   // Label 13258: @865977
     /*  865977 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866052), // Rule ID 24738 //
     /*  865982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  866002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  866031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866050 */     GIR_RootConstrainSelectedInstOperands,
     /*  866051 */     // GIR_Coverage, 24738,
     /*  866051 */     GIR_EraseRootFromParent_Done,
     /*  866052 */   // Label 13259: @866052
     /*  866052 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866127), // Rule ID 24741 //
     /*  866057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866125 */     GIR_RootConstrainSelectedInstOperands,
     /*  866126 */     // GIR_Coverage, 24741,
     /*  866126 */     GIR_EraseRootFromParent_Done,
     /*  866127 */   // Label 13260: @866127
     /*  866127 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866202), // Rule ID 24742 //
     /*  866132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  866152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866178 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  866181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866200 */     GIR_RootConstrainSelectedInstOperands,
     /*  866201 */     // GIR_Coverage, 24742,
     /*  866201 */     GIR_EraseRootFromParent_Done,
     /*  866202 */   // Label 13261: @866202
     /*  866202 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866277), // Rule ID 24745 //
     /*  866207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866275 */     GIR_RootConstrainSelectedInstOperands,
     /*  866276 */     // GIR_Coverage, 24745,
     /*  866276 */     GIR_EraseRootFromParent_Done,
     /*  866277 */   // Label 13262: @866277
     /*  866277 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866352), // Rule ID 24746 //
     /*  866282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  866302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  866331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866350 */     GIR_RootConstrainSelectedInstOperands,
     /*  866351 */     // GIR_Coverage, 24746,
     /*  866351 */     GIR_EraseRootFromParent_Done,
     /*  866352 */   // Label 13263: @866352
     /*  866352 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866427), // Rule ID 24749 //
     /*  866357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866425 */     GIR_RootConstrainSelectedInstOperands,
     /*  866426 */     // GIR_Coverage, 24749,
     /*  866426 */     GIR_EraseRootFromParent_Done,
     /*  866427 */   // Label 13264: @866427
     /*  866427 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866502), // Rule ID 24750 //
     /*  866432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  866452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866478 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  866481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866500 */     GIR_RootConstrainSelectedInstOperands,
     /*  866501 */     // GIR_Coverage, 24750,
     /*  866501 */     GIR_EraseRootFromParent_Done,
     /*  866502 */   // Label 13265: @866502
     /*  866502 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866577), // Rule ID 24753 //
     /*  866507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866575 */     GIR_RootConstrainSelectedInstOperands,
     /*  866576 */     // GIR_Coverage, 24753,
     /*  866576 */     GIR_EraseRootFromParent_Done,
     /*  866577 */   // Label 13266: @866577
     /*  866577 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866652), // Rule ID 24754 //
     /*  866582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  866602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866628 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  866631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866650 */     GIR_RootConstrainSelectedInstOperands,
     /*  866651 */     // GIR_Coverage, 24754,
     /*  866651 */     GIR_EraseRootFromParent_Done,
     /*  866652 */   // Label 13267: @866652
     /*  866652 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866727), // Rule ID 24757 //
     /*  866657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866703 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  866706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866725 */     GIR_RootConstrainSelectedInstOperands,
     /*  866726 */     // GIR_Coverage, 24757,
     /*  866726 */     GIR_EraseRootFromParent_Done,
     /*  866727 */   // Label 13268: @866727
     /*  866727 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866802), // Rule ID 24758 //
     /*  866732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  866781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866800 */     GIR_RootConstrainSelectedInstOperands,
     /*  866801 */     // GIR_Coverage, 24758,
     /*  866801 */     GIR_EraseRootFromParent_Done,
     /*  866802 */   // Label 13269: @866802
     /*  866802 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866877), // Rule ID 24761 //
     /*  866807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866853 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  866856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866875 */     GIR_RootConstrainSelectedInstOperands,
     /*  866876 */     // GIR_Coverage, 24761,
     /*  866876 */     GIR_EraseRootFromParent_Done,
     /*  866877 */   // Label 13270: @866877
     /*  866877 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(866952), // Rule ID 24762 //
     /*  866882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  866931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866950 */     GIR_RootConstrainSelectedInstOperands,
     /*  866951 */     // GIR_Coverage, 24762,
     /*  866951 */     GIR_EraseRootFromParent_Done,
     /*  866952 */   // Label 13271: @866952
     /*  866952 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(867027), // Rule ID 24765 //
     /*  866957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867003 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867025 */     GIR_RootConstrainSelectedInstOperands,
     /*  867026 */     // GIR_Coverage, 24765,
     /*  867026 */     GIR_EraseRootFromParent_Done,
     /*  867027 */   // Label 13272: @867027
     /*  867027 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(867102), // Rule ID 24766 //
     /*  867032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867078 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  867081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867100 */     GIR_RootConstrainSelectedInstOperands,
     /*  867101 */     // GIR_Coverage, 24766,
     /*  867101 */     GIR_EraseRootFromParent_Done,
     /*  867102 */   // Label 13273: @867102
     /*  867102 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867177), // Rule ID 24769 //
     /*  867107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867153 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867175 */     GIR_RootConstrainSelectedInstOperands,
     /*  867176 */     // GIR_Coverage, 24769,
     /*  867176 */     GIR_EraseRootFromParent_Done,
     /*  867177 */   // Label 13274: @867177
     /*  867177 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867252), // Rule ID 24770 //
     /*  867182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  867196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867250 */     GIR_RootConstrainSelectedInstOperands,
     /*  867251 */     // GIR_Coverage, 24770,
     /*  867251 */     GIR_EraseRootFromParent_Done,
     /*  867252 */   // Label 13275: @867252
     /*  867252 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867327), // Rule ID 24773 //
     /*  867257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867303 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867325 */     GIR_RootConstrainSelectedInstOperands,
     /*  867326 */     // GIR_Coverage, 24773,
     /*  867326 */     GIR_EraseRootFromParent_Done,
     /*  867327 */   // Label 13276: @867327
     /*  867327 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867402), // Rule ID 24774 //
     /*  867332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  867343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  867346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  867349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867400 */     GIR_RootConstrainSelectedInstOperands,
     /*  867401 */     // GIR_Coverage, 24774,
     /*  867401 */     GIR_EraseRootFromParent_Done,
     /*  867402 */   // Label 13277: @867402
     /*  867402 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867477), // Rule ID 24777 //
     /*  867407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  867410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867453 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867475 */     GIR_RootConstrainSelectedInstOperands,
     /*  867476 */     // GIR_Coverage, 24777,
     /*  867476 */     GIR_EraseRootFromParent_Done,
     /*  867477 */   // Label 13278: @867477
     /*  867477 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867552), // Rule ID 24778 //
     /*  867482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  867485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  867493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  867496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  867499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867550 */     GIR_RootConstrainSelectedInstOperands,
     /*  867551 */     // GIR_Coverage, 24778,
     /*  867551 */     GIR_EraseRootFromParent_Done,
     /*  867552 */   // Label 13279: @867552
     /*  867552 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867627), // Rule ID 24781 //
     /*  867557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  867571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  867574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867625 */     GIR_RootConstrainSelectedInstOperands,
     /*  867626 */     // GIR_Coverage, 24781,
     /*  867626 */     GIR_EraseRootFromParent_Done,
     /*  867627 */   // Label 13280: @867627
     /*  867627 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867702), // Rule ID 24782 //
     /*  867632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  867646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  867649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867700 */     GIR_RootConstrainSelectedInstOperands,
     /*  867701 */     // GIR_Coverage, 24782,
     /*  867701 */     GIR_EraseRootFromParent_Done,
     /*  867702 */   // Label 13281: @867702
     /*  867702 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867777), // Rule ID 24785 //
     /*  867707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867753 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867775 */     GIR_RootConstrainSelectedInstOperands,
     /*  867776 */     // GIR_Coverage, 24785,
     /*  867776 */     GIR_EraseRootFromParent_Done,
     /*  867777 */   // Label 13282: @867777
     /*  867777 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867852), // Rule ID 24786 //
     /*  867782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867850 */     GIR_RootConstrainSelectedInstOperands,
     /*  867851 */     // GIR_Coverage, 24786,
     /*  867851 */     GIR_EraseRootFromParent_Done,
     /*  867852 */   // Label 13283: @867852
     /*  867852 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867927), // Rule ID 24789 //
     /*  867857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  867860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867903 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867925 */     GIR_RootConstrainSelectedInstOperands,
     /*  867926 */     // GIR_Coverage, 24789,
     /*  867926 */     GIR_EraseRootFromParent_Done,
     /*  867927 */   // Label 13284: @867927
     /*  867927 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(868002), // Rule ID 24790 //
     /*  867932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  867935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868000 */     GIR_RootConstrainSelectedInstOperands,
     /*  868001 */     // GIR_Coverage, 24790,
     /*  868001 */     GIR_EraseRootFromParent_Done,
     /*  868002 */   // Label 13285: @868002
     /*  868002 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(868077), // Rule ID 24829 //
     /*  868007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868053 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868075 */     GIR_RootConstrainSelectedInstOperands,
     /*  868076 */     // GIR_Coverage, 24829,
     /*  868076 */     GIR_EraseRootFromParent_Done,
     /*  868077 */   // Label 13286: @868077
     /*  868077 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868152), // Rule ID 24830 //
     /*  868082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  868131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868150 */     GIR_RootConstrainSelectedInstOperands,
     /*  868151 */     // GIR_Coverage, 24830,
     /*  868151 */     GIR_EraseRootFromParent_Done,
     /*  868152 */   // Label 13287: @868152
     /*  868152 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868227), // Rule ID 24833 //
     /*  868157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868203 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868225 */     GIR_RootConstrainSelectedInstOperands,
     /*  868226 */     // GIR_Coverage, 24833,
     /*  868226 */     GIR_EraseRootFromParent_Done,
     /*  868227 */   // Label 13288: @868227
     /*  868227 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868302), // Rule ID 24834 //
     /*  868232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  868281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868300 */     GIR_RootConstrainSelectedInstOperands,
     /*  868301 */     // GIR_Coverage, 24834,
     /*  868301 */     GIR_EraseRootFromParent_Done,
     /*  868302 */   // Label 13289: @868302
     /*  868302 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868377), // Rule ID 24837 //
     /*  868307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868375 */     GIR_RootConstrainSelectedInstOperands,
     /*  868376 */     // GIR_Coverage, 24837,
     /*  868376 */     GIR_EraseRootFromParent_Done,
     /*  868377 */   // Label 13290: @868377
     /*  868377 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868452), // Rule ID 24838 //
     /*  868382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  868431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868450 */     GIR_RootConstrainSelectedInstOperands,
     /*  868451 */     // GIR_Coverage, 24838,
     /*  868451 */     GIR_EraseRootFromParent_Done,
     /*  868452 */   // Label 13291: @868452
     /*  868452 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868527), // Rule ID 24841 //
     /*  868457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868525 */     GIR_RootConstrainSelectedInstOperands,
     /*  868526 */     // GIR_Coverage, 24841,
     /*  868526 */     GIR_EraseRootFromParent_Done,
     /*  868527 */   // Label 13292: @868527
     /*  868527 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868602), // Rule ID 24842 //
     /*  868532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  868581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868600 */     GIR_RootConstrainSelectedInstOperands,
     /*  868601 */     // GIR_Coverage, 24842,
     /*  868601 */     GIR_EraseRootFromParent_Done,
     /*  868602 */   // Label 13293: @868602
     /*  868602 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868677), // Rule ID 24845 //
     /*  868607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868653 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  868656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868675 */     GIR_RootConstrainSelectedInstOperands,
     /*  868676 */     // GIR_Coverage, 24845,
     /*  868676 */     GIR_EraseRootFromParent_Done,
     /*  868677 */   // Label 13294: @868677
     /*  868677 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868752), // Rule ID 24846 //
     /*  868682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868728 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  868731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868750 */     GIR_RootConstrainSelectedInstOperands,
     /*  868751 */     // GIR_Coverage, 24846,
     /*  868751 */     GIR_EraseRootFromParent_Done,
     /*  868752 */   // Label 13295: @868752
     /*  868752 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868827), // Rule ID 24849 //
     /*  868757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  868806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868825 */     GIR_RootConstrainSelectedInstOperands,
     /*  868826 */     // GIR_Coverage, 24849,
     /*  868826 */     GIR_EraseRootFromParent_Done,
     /*  868827 */   // Label 13296: @868827
     /*  868827 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868902), // Rule ID 24850 //
     /*  868832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  868840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868878 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  868881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868900 */     GIR_RootConstrainSelectedInstOperands,
     /*  868901 */     // GIR_Coverage, 24850,
     /*  868901 */     GIR_EraseRootFromParent_Done,
     /*  868902 */   // Label 13297: @868902
     /*  868902 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(868977), // Rule ID 24853 //
     /*  868907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868953 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  868956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868975 */     GIR_RootConstrainSelectedInstOperands,
     /*  868976 */     // GIR_Coverage, 24853,
     /*  868976 */     GIR_EraseRootFromParent_Done,
     /*  868977 */   // Label 13298: @868977
     /*  868977 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(869052), // Rule ID 24854 //
     /*  868982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869028 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  869031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869050 */     GIR_RootConstrainSelectedInstOperands,
     /*  869051 */     // GIR_Coverage, 24854,
     /*  869051 */     GIR_EraseRootFromParent_Done,
     /*  869052 */   // Label 13299: @869052
     /*  869052 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(869127), // Rule ID 24857 //
     /*  869057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869103 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869125 */     GIR_RootConstrainSelectedInstOperands,
     /*  869126 */     // GIR_Coverage, 24857,
     /*  869126 */     GIR_EraseRootFromParent_Done,
     /*  869127 */   // Label 13300: @869127
     /*  869127 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869202), // Rule ID 24858 //
     /*  869132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869178 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  869181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869200 */     GIR_RootConstrainSelectedInstOperands,
     /*  869201 */     // GIR_Coverage, 24858,
     /*  869201 */     GIR_EraseRootFromParent_Done,
     /*  869202 */   // Label 13301: @869202
     /*  869202 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869277), // Rule ID 24861 //
     /*  869207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869275 */     GIR_RootConstrainSelectedInstOperands,
     /*  869276 */     // GIR_Coverage, 24861,
     /*  869276 */     GIR_EraseRootFromParent_Done,
     /*  869277 */   // Label 13302: @869277
     /*  869277 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869352), // Rule ID 24862 //
     /*  869282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  869331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869350 */     GIR_RootConstrainSelectedInstOperands,
     /*  869351 */     // GIR_Coverage, 24862,
     /*  869351 */     GIR_EraseRootFromParent_Done,
     /*  869352 */   // Label 13303: @869352
     /*  869352 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869427), // Rule ID 24865 //
     /*  869357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869403 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869425 */     GIR_RootConstrainSelectedInstOperands,
     /*  869426 */     // GIR_Coverage, 24865,
     /*  869426 */     GIR_EraseRootFromParent_Done,
     /*  869427 */   // Label 13304: @869427
     /*  869427 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869502), // Rule ID 24866 //
     /*  869432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869478 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  869481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869500 */     GIR_RootConstrainSelectedInstOperands,
     /*  869501 */     // GIR_Coverage, 24866,
     /*  869501 */     GIR_EraseRootFromParent_Done,
     /*  869502 */   // Label 13305: @869502
     /*  869502 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869577), // Rule ID 24869 //
     /*  869507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869553 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869575 */     GIR_RootConstrainSelectedInstOperands,
     /*  869576 */     // GIR_Coverage, 24869,
     /*  869576 */     GIR_EraseRootFromParent_Done,
     /*  869577 */   // Label 13306: @869577
     /*  869577 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869652), // Rule ID 24870 //
     /*  869582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869628 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  869631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869650 */     GIR_RootConstrainSelectedInstOperands,
     /*  869651 */     // GIR_Coverage, 24870,
     /*  869651 */     GIR_EraseRootFromParent_Done,
     /*  869652 */   // Label 13307: @869652
     /*  869652 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869727), // Rule ID 24873 //
     /*  869657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  869660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869703 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869725 */     GIR_RootConstrainSelectedInstOperands,
     /*  869726 */     // GIR_Coverage, 24873,
     /*  869726 */     GIR_EraseRootFromParent_Done,
     /*  869727 */   // Label 13308: @869727
     /*  869727 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869802), // Rule ID 24874 //
     /*  869732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  869735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  869740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869778 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  869781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869800 */     GIR_RootConstrainSelectedInstOperands,
     /*  869801 */     // GIR_Coverage, 24874,
     /*  869801 */     GIR_EraseRootFromParent_Done,
     /*  869802 */   // Label 13309: @869802
     /*  869802 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869877), // Rule ID 24901 //
     /*  869807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  869856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869875 */     GIR_RootConstrainSelectedInstOperands,
     /*  869876 */     // GIR_Coverage, 24901,
     /*  869876 */     GIR_EraseRootFromParent_Done,
     /*  869877 */   // Label 13310: @869877
     /*  869877 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(869952), // Rule ID 24902 //
     /*  869882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  869893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  869896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  869931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869950 */     GIR_RootConstrainSelectedInstOperands,
     /*  869951 */     // GIR_Coverage, 24902,
     /*  869951 */     GIR_EraseRootFromParent_Done,
     /*  869952 */   // Label 13311: @869952
     /*  869952 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(870027), // Rule ID 24905 //
     /*  869957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  869968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  869971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  869974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870025 */     GIR_RootConstrainSelectedInstOperands,
     /*  870026 */     // GIR_Coverage, 24905,
     /*  870026 */     GIR_EraseRootFromParent_Done,
     /*  870027 */   // Label 13312: @870027
     /*  870027 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(870102), // Rule ID 24906 //
     /*  870032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  870081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870100 */     GIR_RootConstrainSelectedInstOperands,
     /*  870101 */     // GIR_Coverage, 24906,
     /*  870101 */     GIR_EraseRootFromParent_Done,
     /*  870102 */   // Label 13313: @870102
     /*  870102 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870177), // Rule ID 24909 //
     /*  870107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870175 */     GIR_RootConstrainSelectedInstOperands,
     /*  870176 */     // GIR_Coverage, 24909,
     /*  870176 */     GIR_EraseRootFromParent_Done,
     /*  870177 */   // Label 13314: @870177
     /*  870177 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870252), // Rule ID 24910 //
     /*  870182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  870231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870250 */     GIR_RootConstrainSelectedInstOperands,
     /*  870251 */     // GIR_Coverage, 24910,
     /*  870251 */     GIR_EraseRootFromParent_Done,
     /*  870252 */   // Label 13315: @870252
     /*  870252 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870327), // Rule ID 24913 //
     /*  870257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870325 */     GIR_RootConstrainSelectedInstOperands,
     /*  870326 */     // GIR_Coverage, 24913,
     /*  870326 */     GIR_EraseRootFromParent_Done,
     /*  870327 */   // Label 13316: @870327
     /*  870327 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870402), // Rule ID 24914 //
     /*  870332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  870381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870400 */     GIR_RootConstrainSelectedInstOperands,
     /*  870401 */     // GIR_Coverage, 24914,
     /*  870401 */     GIR_EraseRootFromParent_Done,
     /*  870402 */   // Label 13317: @870402
     /*  870402 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870477), // Rule ID 24917 //
     /*  870407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870475 */     GIR_RootConstrainSelectedInstOperands,
     /*  870476 */     // GIR_Coverage, 24917,
     /*  870476 */     GIR_EraseRootFromParent_Done,
     /*  870477 */   // Label 13318: @870477
     /*  870477 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870552), // Rule ID 24918 //
     /*  870482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  870531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870550 */     GIR_RootConstrainSelectedInstOperands,
     /*  870551 */     // GIR_Coverage, 24918,
     /*  870551 */     GIR_EraseRootFromParent_Done,
     /*  870552 */   // Label 13319: @870552
     /*  870552 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870627), // Rule ID 24921 //
     /*  870557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  870606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870625 */     GIR_RootConstrainSelectedInstOperands,
     /*  870626 */     // GIR_Coverage, 24921,
     /*  870626 */     GIR_EraseRootFromParent_Done,
     /*  870627 */   // Label 13320: @870627
     /*  870627 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870702), // Rule ID 24922 //
     /*  870632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  870635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870678 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  870681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870700 */     GIR_RootConstrainSelectedInstOperands,
     /*  870701 */     // GIR_Coverage, 24922,
     /*  870701 */     GIR_EraseRootFromParent_Done,
     /*  870702 */   // Label 13321: @870702
     /*  870702 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870777), // Rule ID 24925 //
     /*  870707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870753 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  870756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870775 */     GIR_RootConstrainSelectedInstOperands,
     /*  870776 */     // GIR_Coverage, 24925,
     /*  870776 */     GIR_EraseRootFromParent_Done,
     /*  870777 */   // Label 13322: @870777
     /*  870777 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870852), // Rule ID 24926 //
     /*  870782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  870831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870850 */     GIR_RootConstrainSelectedInstOperands,
     /*  870851 */     // GIR_Coverage, 24926,
     /*  870851 */     GIR_EraseRootFromParent_Done,
     /*  870852 */   // Label 13323: @870852
     /*  870852 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870927), // Rule ID 24929 //
     /*  870857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  870860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  870874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870903 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  870906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870925 */     GIR_RootConstrainSelectedInstOperands,
     /*  870926 */     // GIR_Coverage, 24929,
     /*  870926 */     GIR_EraseRootFromParent_Done,
     /*  870927 */   // Label 13324: @870927
     /*  870927 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(871002), // Rule ID 24930 //
     /*  870932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  870935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  870943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  870946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  870949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870978 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  870981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871000 */     GIR_RootConstrainSelectedInstOperands,
     /*  871001 */     // GIR_Coverage, 24930,
     /*  871001 */     GIR_EraseRootFromParent_Done,
     /*  871002 */   // Label 13325: @871002
     /*  871002 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(871077), // Rule ID 24933 //
     /*  871007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  871010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871075 */     GIR_RootConstrainSelectedInstOperands,
     /*  871076 */     // GIR_Coverage, 24933,
     /*  871076 */     GIR_EraseRootFromParent_Done,
     /*  871077 */   // Label 13326: @871077
     /*  871077 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871152), // Rule ID 24934 //
     /*  871082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  871085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  871131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871150 */     GIR_RootConstrainSelectedInstOperands,
     /*  871151 */     // GIR_Coverage, 24934,
     /*  871151 */     GIR_EraseRootFromParent_Done,
     /*  871152 */   // Label 13327: @871152
     /*  871152 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871227), // Rule ID 24937 //
     /*  871157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871225 */     GIR_RootConstrainSelectedInstOperands,
     /*  871226 */     // GIR_Coverage, 24937,
     /*  871226 */     GIR_EraseRootFromParent_Done,
     /*  871227 */   // Label 13328: @871227
     /*  871227 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871302), // Rule ID 24938 //
     /*  871232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  871281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871300 */     GIR_RootConstrainSelectedInstOperands,
     /*  871301 */     // GIR_Coverage, 24938,
     /*  871301 */     GIR_EraseRootFromParent_Done,
     /*  871302 */   // Label 13329: @871302
     /*  871302 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871377), // Rule ID 24941 //
     /*  871307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871353 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871375 */     GIR_RootConstrainSelectedInstOperands,
     /*  871376 */     // GIR_Coverage, 24941,
     /*  871376 */     GIR_EraseRootFromParent_Done,
     /*  871377 */   // Label 13330: @871377
     /*  871377 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871452), // Rule ID 24942 //
     /*  871382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  871431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871450 */     GIR_RootConstrainSelectedInstOperands,
     /*  871451 */     // GIR_Coverage, 24942,
     /*  871451 */     GIR_EraseRootFromParent_Done,
     /*  871452 */   // Label 13331: @871452
     /*  871452 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871527), // Rule ID 24945 //
     /*  871457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  871460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871525 */     GIR_RootConstrainSelectedInstOperands,
     /*  871526 */     // GIR_Coverage, 24945,
     /*  871526 */     GIR_EraseRootFromParent_Done,
     /*  871527 */   // Label 13332: @871527
     /*  871527 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871602), // Rule ID 24946 //
     /*  871532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  871535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  871543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  871546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  871549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  871581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871600 */     GIR_RootConstrainSelectedInstOperands,
     /*  871601 */     // GIR_Coverage, 24946,
     /*  871601 */     GIR_EraseRootFromParent_Done,
     /*  871602 */   // Label 13333: @871602
     /*  871602 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871677), // Rule ID 24949 //
     /*  871607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  871656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871675 */     GIR_RootConstrainSelectedInstOperands,
     /*  871676 */     // GIR_Coverage, 24949,
     /*  871676 */     GIR_EraseRootFromParent_Done,
     /*  871677 */   // Label 13334: @871677
     /*  871677 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871752), // Rule ID 24950 //
     /*  871682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  871693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  871696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  871699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  871702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  871731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871750 */     GIR_RootConstrainSelectedInstOperands,
     /*  871751 */     // GIR_Coverage, 24950,
     /*  871751 */     GIR_EraseRootFromParent_Done,
     /*  871752 */   // Label 13335: @871752
     /*  871752 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871827), // Rule ID 24953 //
     /*  871757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  871806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871825 */     GIR_RootConstrainSelectedInstOperands,
     /*  871826 */     // GIR_Coverage, 24953,
     /*  871826 */     GIR_EraseRootFromParent_Done,
     /*  871827 */   // Label 13336: @871827
     /*  871827 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871902), // Rule ID 24954 //
     /*  871832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871878 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  871881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871900 */     GIR_RootConstrainSelectedInstOperands,
     /*  871901 */     // GIR_Coverage, 24954,
     /*  871901 */     GIR_EraseRootFromParent_Done,
     /*  871902 */   // Label 13337: @871902
     /*  871902 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(871977), // Rule ID 24957 //
     /*  871907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  871910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  871956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871975 */     GIR_RootConstrainSelectedInstOperands,
     /*  871976 */     // GIR_Coverage, 24957,
     /*  871976 */     GIR_EraseRootFromParent_Done,
     /*  871977 */   // Label 13338: @871977
     /*  871977 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(872052), // Rule ID 24958 //
     /*  871982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  871985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  871990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  872031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872050 */     GIR_RootConstrainSelectedInstOperands,
     /*  872051 */     // GIR_Coverage, 24958,
     /*  872051 */     GIR_EraseRootFromParent_Done,
     /*  872052 */   // Label 13339: @872052
     /*  872052 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(872124), // Rule ID 24961 //
     /*  872057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872103 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872122 */     GIR_RootConstrainSelectedInstOperands,
     /*  872123 */     // GIR_Coverage, 24961,
     /*  872123 */     GIR_EraseRootFromParent_Done,
     /*  872124 */   // Label 13340: @872124
     /*  872124 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872196), // Rule ID 24962 //
     /*  872129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  872140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  872143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  872146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  872178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872194 */     GIR_RootConstrainSelectedInstOperands,
     /*  872195 */     // GIR_Coverage, 24962,
     /*  872195 */     GIR_EraseRootFromParent_Done,
     /*  872196 */   // Label 13341: @872196
     /*  872196 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872268), // Rule ID 24963 //
     /*  872201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872266 */     GIR_RootConstrainSelectedInstOperands,
     /*  872267 */     // GIR_Coverage, 24963,
     /*  872267 */     GIR_EraseRootFromParent_Done,
     /*  872268 */   // Label 13342: @872268
     /*  872268 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872340), // Rule ID 24964 //
     /*  872273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  872284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  872287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  872290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872319 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  872322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872338 */     GIR_RootConstrainSelectedInstOperands,
     /*  872339 */     // GIR_Coverage, 24964,
     /*  872339 */     GIR_EraseRootFromParent_Done,
     /*  872340 */   // Label 13343: @872340
     /*  872340 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872412), // Rule ID 24965 //
     /*  872345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872391 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872410 */     GIR_RootConstrainSelectedInstOperands,
     /*  872411 */     // GIR_Coverage, 24965,
     /*  872411 */     GIR_EraseRootFromParent_Done,
     /*  872412 */   // Label 13344: @872412
     /*  872412 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872484), // Rule ID 24966 //
     /*  872417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  872466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872482 */     GIR_RootConstrainSelectedInstOperands,
     /*  872483 */     // GIR_Coverage, 24966,
     /*  872483 */     GIR_EraseRootFromParent_Done,
     /*  872484 */   // Label 13345: @872484
     /*  872484 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872556), // Rule ID 24967 //
     /*  872489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872535 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872554 */     GIR_RootConstrainSelectedInstOperands,
     /*  872555 */     // GIR_Coverage, 24967,
     /*  872555 */     GIR_EraseRootFromParent_Done,
     /*  872556 */   // Label 13346: @872556
     /*  872556 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872628), // Rule ID 24968 //
     /*  872561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  872581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  872610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872626 */     GIR_RootConstrainSelectedInstOperands,
     /*  872627 */     // GIR_Coverage, 24968,
     /*  872627 */     GIR_EraseRootFromParent_Done,
     /*  872628 */   // Label 13347: @872628
     /*  872628 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872700), // Rule ID 24969 //
     /*  872633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872679 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  872682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872698 */     GIR_RootConstrainSelectedInstOperands,
     /*  872699 */     // GIR_Coverage, 24969,
     /*  872699 */     GIR_EraseRootFromParent_Done,
     /*  872700 */   // Label 13348: @872700
     /*  872700 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872772), // Rule ID 24970 //
     /*  872705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872751 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  872754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872770 */     GIR_RootConstrainSelectedInstOperands,
     /*  872771 */     // GIR_Coverage, 24970,
     /*  872771 */     GIR_EraseRootFromParent_Done,
     /*  872772 */   // Label 13349: @872772
     /*  872772 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872844), // Rule ID 24971 //
     /*  872777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872823 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  872826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872842 */     GIR_RootConstrainSelectedInstOperands,
     /*  872843 */     // GIR_Coverage, 24971,
     /*  872843 */     GIR_EraseRootFromParent_Done,
     /*  872844 */   // Label 13350: @872844
     /*  872844 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872916), // Rule ID 24972 //
     /*  872849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  872898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872914 */     GIR_RootConstrainSelectedInstOperands,
     /*  872915 */     // GIR_Coverage, 24972,
     /*  872915 */     GIR_EraseRootFromParent_Done,
     /*  872916 */   // Label 13351: @872916
     /*  872916 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(872988), // Rule ID 24973 //
     /*  872921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  872941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  872970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872986 */     GIR_RootConstrainSelectedInstOperands,
     /*  872987 */     // GIR_Coverage, 24973,
     /*  872987 */     GIR_EraseRootFromParent_Done,
     /*  872988 */   // Label 13352: @872988
     /*  872988 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(873060), // Rule ID 24974 //
     /*  872993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  873042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873058 */     GIR_RootConstrainSelectedInstOperands,
     /*  873059 */     // GIR_Coverage, 24974,
     /*  873059 */     GIR_EraseRootFromParent_Done,
     /*  873060 */   // Label 13353: @873060
     /*  873060 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873132), // Rule ID 24975 //
     /*  873065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873130 */     GIR_RootConstrainSelectedInstOperands,
     /*  873131 */     // GIR_Coverage, 24975,
     /*  873131 */     GIR_EraseRootFromParent_Done,
     /*  873132 */   // Label 13354: @873132
     /*  873132 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873204), // Rule ID 24976 //
     /*  873137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  873186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873202 */     GIR_RootConstrainSelectedInstOperands,
     /*  873203 */     // GIR_Coverage, 24976,
     /*  873203 */     GIR_EraseRootFromParent_Done,
     /*  873204 */   // Label 13355: @873204
     /*  873204 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873276), // Rule ID 24977 //
     /*  873209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873274 */     GIR_RootConstrainSelectedInstOperands,
     /*  873275 */     // GIR_Coverage, 24977,
     /*  873275 */     GIR_EraseRootFromParent_Done,
     /*  873276 */   // Label 13356: @873276
     /*  873276 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873348), // Rule ID 24978 //
     /*  873281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  873330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873346 */     GIR_RootConstrainSelectedInstOperands,
     /*  873347 */     // GIR_Coverage, 24978,
     /*  873347 */     GIR_EraseRootFromParent_Done,
     /*  873348 */   // Label 13357: @873348
     /*  873348 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873420), // Rule ID 24979 //
     /*  873353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873418 */     GIR_RootConstrainSelectedInstOperands,
     /*  873419 */     // GIR_Coverage, 24979,
     /*  873419 */     GIR_EraseRootFromParent_Done,
     /*  873420 */   // Label 13358: @873420
     /*  873420 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873492), // Rule ID 24980 //
     /*  873425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  873474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873490 */     GIR_RootConstrainSelectedInstOperands,
     /*  873491 */     // GIR_Coverage, 24980,
     /*  873491 */     GIR_EraseRootFromParent_Done,
     /*  873492 */   // Label 13359: @873492
     /*  873492 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873564), // Rule ID 24981 //
     /*  873497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873562 */     GIR_RootConstrainSelectedInstOperands,
     /*  873563 */     // GIR_Coverage, 24981,
     /*  873563 */     GIR_EraseRootFromParent_Done,
     /*  873564 */   // Label 13360: @873564
     /*  873564 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873636), // Rule ID 24982 //
     /*  873569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  873589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873615 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  873618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873634 */     GIR_RootConstrainSelectedInstOperands,
     /*  873635 */     // GIR_Coverage, 24982,
     /*  873635 */     GIR_EraseRootFromParent_Done,
     /*  873636 */   // Label 13361: @873636
     /*  873636 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873708), // Rule ID 24983 //
     /*  873641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  873652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  873655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  873658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  873661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  873690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873706 */     GIR_RootConstrainSelectedInstOperands,
     /*  873707 */     // GIR_Coverage, 24983,
     /*  873707 */     GIR_EraseRootFromParent_Done,
     /*  873708 */   // Label 13362: @873708
     /*  873708 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873780), // Rule ID 24984 //
     /*  873713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  873724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  873727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  873730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  873733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  873762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873778 */     GIR_RootConstrainSelectedInstOperands,
     /*  873779 */     // GIR_Coverage, 24984,
     /*  873779 */     GIR_EraseRootFromParent_Done,
     /*  873780 */   // Label 13363: @873780
     /*  873780 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873852), // Rule ID 24985 //
     /*  873785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  873834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873850 */     GIR_RootConstrainSelectedInstOperands,
     /*  873851 */     // GIR_Coverage, 24985,
     /*  873851 */     GIR_EraseRootFromParent_Done,
     /*  873852 */   // Label 13364: @873852
     /*  873852 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873924), // Rule ID 24986 //
     /*  873857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  873906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873922 */     GIR_RootConstrainSelectedInstOperands,
     /*  873923 */     // GIR_Coverage, 24986,
     /*  873923 */     GIR_EraseRootFromParent_Done,
     /*  873924 */   // Label 13365: @873924
     /*  873924 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(873996), // Rule ID 24987 //
     /*  873929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  873978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873994 */     GIR_RootConstrainSelectedInstOperands,
     /*  873995 */     // GIR_Coverage, 24987,
     /*  873995 */     GIR_EraseRootFromParent_Done,
     /*  873996 */   // Label 13366: @873996
     /*  873996 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874068), // Rule ID 24988 //
     /*  874001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  874050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874066 */     GIR_RootConstrainSelectedInstOperands,
     /*  874067 */     // GIR_Coverage, 24988,
     /*  874067 */     GIR_EraseRootFromParent_Done,
     /*  874068 */   // Label 13367: @874068
     /*  874068 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874140), // Rule ID 24989 //
     /*  874073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874138 */     GIR_RootConstrainSelectedInstOperands,
     /*  874139 */     // GIR_Coverage, 24989,
     /*  874139 */     GIR_EraseRootFromParent_Done,
     /*  874140 */   // Label 13368: @874140
     /*  874140 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874212), // Rule ID 24990 //
     /*  874145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  874165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  874194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874210 */     GIR_RootConstrainSelectedInstOperands,
     /*  874211 */     // GIR_Coverage, 24990,
     /*  874211 */     GIR_EraseRootFromParent_Done,
     /*  874212 */   // Label 13369: @874212
     /*  874212 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874284), // Rule ID 24991 //
     /*  874217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874282 */     GIR_RootConstrainSelectedInstOperands,
     /*  874283 */     // GIR_Coverage, 24991,
     /*  874283 */     GIR_EraseRootFromParent_Done,
     /*  874284 */   // Label 13370: @874284
     /*  874284 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874356), // Rule ID 24992 //
     /*  874289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874354 */     GIR_RootConstrainSelectedInstOperands,
     /*  874355 */     // GIR_Coverage, 24992,
     /*  874355 */     GIR_EraseRootFromParent_Done,
     /*  874356 */   // Label 13371: @874356
     /*  874356 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874428), // Rule ID 24993 //
     /*  874361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874426 */     GIR_RootConstrainSelectedInstOperands,
     /*  874427 */     // GIR_Coverage, 24993,
     /*  874427 */     GIR_EraseRootFromParent_Done,
     /*  874428 */   // Label 13372: @874428
     /*  874428 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874500), // Rule ID 24994 //
     /*  874433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874498 */     GIR_RootConstrainSelectedInstOperands,
     /*  874499 */     // GIR_Coverage, 24994,
     /*  874499 */     GIR_EraseRootFromParent_Done,
     /*  874500 */   // Label 13373: @874500
     /*  874500 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874572), // Rule ID 24995 //
     /*  874505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874570 */     GIR_RootConstrainSelectedInstOperands,
     /*  874571 */     // GIR_Coverage, 24995,
     /*  874571 */     GIR_EraseRootFromParent_Done,
     /*  874572 */   // Label 13374: @874572
     /*  874572 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874644), // Rule ID 24996 //
     /*  874577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874623 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874642 */     GIR_RootConstrainSelectedInstOperands,
     /*  874643 */     // GIR_Coverage, 24996,
     /*  874643 */     GIR_EraseRootFromParent_Done,
     /*  874644 */   // Label 13375: @874644
     /*  874644 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874716), // Rule ID 24997 //
     /*  874649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874714 */     GIR_RootConstrainSelectedInstOperands,
     /*  874715 */     // GIR_Coverage, 24997,
     /*  874715 */     GIR_EraseRootFromParent_Done,
     /*  874716 */   // Label 13376: @874716
     /*  874716 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874788), // Rule ID 24998 //
     /*  874721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  874724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874767 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874786 */     GIR_RootConstrainSelectedInstOperands,
     /*  874787 */     // GIR_Coverage, 24998,
     /*  874787 */     GIR_EraseRootFromParent_Done,
     /*  874788 */   // Label 13377: @874788
     /*  874788 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874860), // Rule ID 24999 //
     /*  874793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  874842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874858 */     GIR_RootConstrainSelectedInstOperands,
     /*  874859 */     // GIR_Coverage, 24999,
     /*  874859 */     GIR_EraseRootFromParent_Done,
     /*  874860 */   // Label 13378: @874860
     /*  874860 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874932), // Rule ID 25000 //
     /*  874865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  874868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  874914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874930 */     GIR_RootConstrainSelectedInstOperands,
     /*  874931 */     // GIR_Coverage, 25000,
     /*  874931 */     GIR_EraseRootFromParent_Done,
     /*  874932 */   // Label 13379: @874932
     /*  874932 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(875004), // Rule ID 25001 //
     /*  874937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  874948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  874951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  874954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  874986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875002 */     GIR_RootConstrainSelectedInstOperands,
     /*  875003 */     // GIR_Coverage, 25001,
     /*  875003 */     GIR_EraseRootFromParent_Done,
     /*  875004 */   // Label 13380: @875004
     /*  875004 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875076), // Rule ID 25002 //
     /*  875009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875074 */     GIR_RootConstrainSelectedInstOperands,
     /*  875075 */     // GIR_Coverage, 25002,
     /*  875075 */     GIR_EraseRootFromParent_Done,
     /*  875076 */   // Label 13381: @875076
     /*  875076 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875148), // Rule ID 25003 //
     /*  875081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875127 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875146 */     GIR_RootConstrainSelectedInstOperands,
     /*  875147 */     // GIR_Coverage, 25003,
     /*  875147 */     GIR_EraseRootFromParent_Done,
     /*  875148 */   // Label 13382: @875148
     /*  875148 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875220), // Rule ID 25004 //
     /*  875153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875199 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  875202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875218 */     GIR_RootConstrainSelectedInstOperands,
     /*  875219 */     // GIR_Coverage, 25004,
     /*  875219 */     GIR_EraseRootFromParent_Done,
     /*  875220 */   // Label 13383: @875220
     /*  875220 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875292), // Rule ID 25005 //
     /*  875225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875290 */     GIR_RootConstrainSelectedInstOperands,
     /*  875291 */     // GIR_Coverage, 25005,
     /*  875291 */     GIR_EraseRootFromParent_Done,
     /*  875292 */   // Label 13384: @875292
     /*  875292 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875364), // Rule ID 25006 //
     /*  875297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875343 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  875346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875362 */     GIR_RootConstrainSelectedInstOperands,
     /*  875363 */     // GIR_Coverage, 25006,
     /*  875363 */     GIR_EraseRootFromParent_Done,
     /*  875364 */   // Label 13385: @875364
     /*  875364 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875436), // Rule ID 25007 //
     /*  875369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875434 */     GIR_RootConstrainSelectedInstOperands,
     /*  875435 */     // GIR_Coverage, 25007,
     /*  875435 */     GIR_EraseRootFromParent_Done,
     /*  875436 */   // Label 13386: @875436
     /*  875436 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875508), // Rule ID 25008 //
     /*  875441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875487 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  875490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875506 */     GIR_RootConstrainSelectedInstOperands,
     /*  875507 */     // GIR_Coverage, 25008,
     /*  875507 */     GIR_EraseRootFromParent_Done,
     /*  875508 */   // Label 13387: @875508
     /*  875508 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875580), // Rule ID 25009 //
     /*  875513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875559 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875578 */     GIR_RootConstrainSelectedInstOperands,
     /*  875579 */     // GIR_Coverage, 25009,
     /*  875579 */     GIR_EraseRootFromParent_Done,
     /*  875580 */   // Label 13388: @875580
     /*  875580 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875652), // Rule ID 25010 //
     /*  875585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  875634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875650 */     GIR_RootConstrainSelectedInstOperands,
     /*  875651 */     // GIR_Coverage, 25010,
     /*  875651 */     GIR_EraseRootFromParent_Done,
     /*  875652 */   // Label 13389: @875652
     /*  875652 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875724), // Rule ID 25011 //
     /*  875657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875722 */     GIR_RootConstrainSelectedInstOperands,
     /*  875723 */     // GIR_Coverage, 25011,
     /*  875723 */     GIR_EraseRootFromParent_Done,
     /*  875724 */   // Label 13390: @875724
     /*  875724 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875796), // Rule ID 25012 //
     /*  875729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875775 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  875778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875794 */     GIR_RootConstrainSelectedInstOperands,
     /*  875795 */     // GIR_Coverage, 25012,
     /*  875795 */     GIR_EraseRootFromParent_Done,
     /*  875796 */   // Label 13391: @875796
     /*  875796 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875868), // Rule ID 25013 //
     /*  875801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  875804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875847 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875866 */     GIR_RootConstrainSelectedInstOperands,
     /*  875867 */     // GIR_Coverage, 25013,
     /*  875867 */     GIR_EraseRootFromParent_Done,
     /*  875868 */   // Label 13392: @875868
     /*  875868 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875940), // Rule ID 25014 //
     /*  875873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  875876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875919 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  875922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875938 */     GIR_RootConstrainSelectedInstOperands,
     /*  875939 */     // GIR_Coverage, 25014,
     /*  875939 */     GIR_EraseRootFromParent_Done,
     /*  875940 */   // Label 13393: @875940
     /*  875940 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876012), // Rule ID 25015 //
     /*  875945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  875994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876010 */     GIR_RootConstrainSelectedInstOperands,
     /*  876011 */     // GIR_Coverage, 25015,
     /*  876011 */     GIR_EraseRootFromParent_Done,
     /*  876012 */   // Label 13394: @876012
     /*  876012 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876084), // Rule ID 25016 //
     /*  876017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  876066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876082 */     GIR_RootConstrainSelectedInstOperands,
     /*  876083 */     // GIR_Coverage, 25016,
     /*  876083 */     GIR_EraseRootFromParent_Done,
     /*  876084 */   // Label 13395: @876084
     /*  876084 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876156), // Rule ID 25017 //
     /*  876089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876135 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876154 */     GIR_RootConstrainSelectedInstOperands,
     /*  876155 */     // GIR_Coverage, 25017,
     /*  876155 */     GIR_EraseRootFromParent_Done,
     /*  876156 */   // Label 13396: @876156
     /*  876156 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876228), // Rule ID 25018 //
     /*  876161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876207 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  876210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876226 */     GIR_RootConstrainSelectedInstOperands,
     /*  876227 */     // GIR_Coverage, 25018,
     /*  876227 */     GIR_EraseRootFromParent_Done,
     /*  876228 */   // Label 13397: @876228
     /*  876228 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876300), // Rule ID 25019 //
     /*  876233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  876236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876279 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876298 */     GIR_RootConstrainSelectedInstOperands,
     /*  876299 */     // GIR_Coverage, 25019,
     /*  876299 */     GIR_EraseRootFromParent_Done,
     /*  876300 */   // Label 13398: @876300
     /*  876300 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876372), // Rule ID 25020 //
     /*  876305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  876308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876351 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  876354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876370 */     GIR_RootConstrainSelectedInstOperands,
     /*  876371 */     // GIR_Coverage, 25020,
     /*  876371 */     GIR_EraseRootFromParent_Done,
     /*  876372 */   // Label 13399: @876372
     /*  876372 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876444), // Rule ID 25021 //
     /*  876377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876423 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876442 */     GIR_RootConstrainSelectedInstOperands,
     /*  876443 */     // GIR_Coverage, 25021,
     /*  876443 */     GIR_EraseRootFromParent_Done,
     /*  876444 */   // Label 13400: @876444
     /*  876444 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876516), // Rule ID 25022 //
     /*  876449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876495 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876514 */     GIR_RootConstrainSelectedInstOperands,
     /*  876515 */     // GIR_Coverage, 25022,
     /*  876515 */     GIR_EraseRootFromParent_Done,
     /*  876516 */   // Label 13401: @876516
     /*  876516 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876588), // Rule ID 25023 //
     /*  876521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876567 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876586 */     GIR_RootConstrainSelectedInstOperands,
     /*  876587 */     // GIR_Coverage, 25023,
     /*  876587 */     GIR_EraseRootFromParent_Done,
     /*  876588 */   // Label 13402: @876588
     /*  876588 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876660), // Rule ID 25024 //
     /*  876593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876639 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  876642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876658 */     GIR_RootConstrainSelectedInstOperands,
     /*  876659 */     // GIR_Coverage, 25024,
     /*  876659 */     GIR_EraseRootFromParent_Done,
     /*  876660 */   // Label 13403: @876660
     /*  876660 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876732), // Rule ID 25025 //
     /*  876665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876730 */     GIR_RootConstrainSelectedInstOperands,
     /*  876731 */     // GIR_Coverage, 25025,
     /*  876731 */     GIR_EraseRootFromParent_Done,
     /*  876732 */   // Label 13404: @876732
     /*  876732 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876804), // Rule ID 25026 //
     /*  876737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  876754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876783 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  876786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876802 */     GIR_RootConstrainSelectedInstOperands,
     /*  876803 */     // GIR_Coverage, 25026,
     /*  876803 */     GIR_EraseRootFromParent_Done,
     /*  876804 */   // Label 13405: @876804
     /*  876804 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876876), // Rule ID 25027 //
     /*  876809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  876826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876855 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  876858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876874 */     GIR_RootConstrainSelectedInstOperands,
     /*  876875 */     // GIR_Coverage, 25027,
     /*  876875 */     GIR_EraseRootFromParent_Done,
     /*  876876 */   // Label 13406: @876876
     /*  876876 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(876948), // Rule ID 25028 //
     /*  876881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  876884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  876898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  876901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  876930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876946 */     GIR_RootConstrainSelectedInstOperands,
     /*  876947 */     // GIR_Coverage, 25028,
     /*  876947 */     GIR_EraseRootFromParent_Done,
     /*  876948 */   // Label 13407: @876948
     /*  876948 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877020), // Rule ID 25029 //
     /*  876953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  876956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  876964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  876967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  876970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  876973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876999 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877018 */     GIR_RootConstrainSelectedInstOperands,
     /*  877019 */     // GIR_Coverage, 25029,
     /*  877019 */     GIR_EraseRootFromParent_Done,
     /*  877020 */   // Label 13408: @877020
     /*  877020 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877092), // Rule ID 25030 //
     /*  877025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  877036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  877039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877071 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  877074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877090 */     GIR_RootConstrainSelectedInstOperands,
     /*  877091 */     // GIR_Coverage, 25030,
     /*  877091 */     GIR_EraseRootFromParent_Done,
     /*  877092 */   // Label 13409: @877092
     /*  877092 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877164), // Rule ID 25031 //
     /*  877097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  877100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877143 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877162 */     GIR_RootConstrainSelectedInstOperands,
     /*  877163 */     // GIR_Coverage, 25031,
     /*  877163 */     GIR_EraseRootFromParent_Done,
     /*  877164 */   // Label 13410: @877164
     /*  877164 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877236), // Rule ID 25032 //
     /*  877169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  877172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  877186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  877189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877215 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  877218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877234 */     GIR_RootConstrainSelectedInstOperands,
     /*  877235 */     // GIR_Coverage, 25032,
     /*  877235 */     GIR_EraseRootFromParent_Done,
     /*  877236 */   // Label 13411: @877236
     /*  877236 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877311), // Rule ID 60299 //
     /*  877241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  877244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  877287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877309 */     GIR_RootConstrainSelectedInstOperands,
     /*  877310 */     // GIR_Coverage, 60299,
     /*  877310 */     GIR_EraseRootFromParent_Done,
     /*  877311 */   // Label 13412: @877311
     /*  877311 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877386), // Rule ID 60300 //
     /*  877316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  877319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  877324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  877362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  877365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877384 */     GIR_RootConstrainSelectedInstOperands,
     /*  877385 */     // GIR_Coverage, 60300,
     /*  877385 */     GIR_EraseRootFromParent_Done,
     /*  877386 */   // Label 13413: @877386
     /*  877386 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877461), // Rule ID 60657 //
     /*  877391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877459 */     GIR_RootConstrainSelectedInstOperands,
     /*  877460 */     // GIR_Coverage, 60657,
     /*  877460 */     GIR_EraseRootFromParent_Done,
     /*  877461 */   // Label 13414: @877461
     /*  877461 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877536), // Rule ID 60658 //
     /*  877466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  877486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  877515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877534 */     GIR_RootConstrainSelectedInstOperands,
     /*  877535 */     // GIR_Coverage, 60658,
     /*  877535 */     GIR_EraseRootFromParent_Done,
     /*  877536 */   // Label 13415: @877536
     /*  877536 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877611), // Rule ID 60661 //
     /*  877541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  877561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877609 */     GIR_RootConstrainSelectedInstOperands,
     /*  877610 */     // GIR_Coverage, 60661,
     /*  877610 */     GIR_EraseRootFromParent_Done,
     /*  877611 */   // Label 13416: @877611
     /*  877611 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877686), // Rule ID 60662 //
     /*  877616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  877636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877684 */     GIR_RootConstrainSelectedInstOperands,
     /*  877685 */     // GIR_Coverage, 60662,
     /*  877685 */     GIR_EraseRootFromParent_Done,
     /*  877686 */   // Label 13417: @877686
     /*  877686 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877761), // Rule ID 60665 //
     /*  877691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  877711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877759 */     GIR_RootConstrainSelectedInstOperands,
     /*  877760 */     // GIR_Coverage, 60665,
     /*  877760 */     GIR_EraseRootFromParent_Done,
     /*  877761 */   // Label 13418: @877761
     /*  877761 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877836), // Rule ID 60666 //
     /*  877766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  877786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877834 */     GIR_RootConstrainSelectedInstOperands,
     /*  877835 */     // GIR_Coverage, 60666,
     /*  877835 */     GIR_EraseRootFromParent_Done,
     /*  877836 */   // Label 13419: @877836
     /*  877836 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877911), // Rule ID 60669 //
     /*  877841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  877861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  877887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  877890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877909 */     GIR_RootConstrainSelectedInstOperands,
     /*  877910 */     // GIR_Coverage, 60669,
     /*  877910 */     GIR_EraseRootFromParent_Done,
     /*  877911 */   // Label 13420: @877911
     /*  877911 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(877986), // Rule ID 60670 //
     /*  877916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  877927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  877930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  877936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  877965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877984 */     GIR_RootConstrainSelectedInstOperands,
     /*  877985 */     // GIR_Coverage, 60670,
     /*  877985 */     GIR_EraseRootFromParent_Done,
     /*  877986 */   // Label 13421: @877986
     /*  877986 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878061), // Rule ID 60673 //
     /*  877991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878059 */     GIR_RootConstrainSelectedInstOperands,
     /*  878060 */     // GIR_Coverage, 60673,
     /*  878060 */     GIR_EraseRootFromParent_Done,
     /*  878061 */   // Label 13422: @878061
     /*  878061 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878136), // Rule ID 60674 //
     /*  878066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  878086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878134 */     GIR_RootConstrainSelectedInstOperands,
     /*  878135 */     // GIR_Coverage, 60674,
     /*  878135 */     GIR_EraseRootFromParent_Done,
     /*  878136 */   // Label 13423: @878136
     /*  878136 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878211), // Rule ID 60677 //
     /*  878141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878209 */     GIR_RootConstrainSelectedInstOperands,
     /*  878210 */     // GIR_Coverage, 60677,
     /*  878210 */     GIR_EraseRootFromParent_Done,
     /*  878211 */   // Label 13424: @878211
     /*  878211 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878286), // Rule ID 60678 //
     /*  878216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  878236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878284 */     GIR_RootConstrainSelectedInstOperands,
     /*  878285 */     // GIR_Coverage, 60678,
     /*  878285 */     GIR_EraseRootFromParent_Done,
     /*  878286 */   // Label 13425: @878286
     /*  878286 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878361), // Rule ID 60681 //
     /*  878291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878359 */     GIR_RootConstrainSelectedInstOperands,
     /*  878360 */     // GIR_Coverage, 60681,
     /*  878360 */     GIR_EraseRootFromParent_Done,
     /*  878361 */   // Label 13426: @878361
     /*  878361 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878436), // Rule ID 60682 //
     /*  878366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  878377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  878380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  878415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878434 */     GIR_RootConstrainSelectedInstOperands,
     /*  878435 */     // GIR_Coverage, 60682,
     /*  878435 */     GIR_EraseRootFromParent_Done,
     /*  878436 */   // Label 13427: @878436
     /*  878436 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878511), // Rule ID 60685 //
     /*  878441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878509 */     GIR_RootConstrainSelectedInstOperands,
     /*  878510 */     // GIR_Coverage, 60685,
     /*  878510 */     GIR_EraseRootFromParent_Done,
     /*  878511 */   // Label 13428: @878511
     /*  878511 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878586), // Rule ID 60686 //
     /*  878516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  878536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  878565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878584 */     GIR_RootConstrainSelectedInstOperands,
     /*  878585 */     // GIR_Coverage, 60686,
     /*  878585 */     GIR_EraseRootFromParent_Done,
     /*  878586 */   // Label 13429: @878586
     /*  878586 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878661), // Rule ID 60689 //
     /*  878591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  878611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878659 */     GIR_RootConstrainSelectedInstOperands,
     /*  878660 */     // GIR_Coverage, 60689,
     /*  878660 */     GIR_EraseRootFromParent_Done,
     /*  878661 */   // Label 13430: @878661
     /*  878661 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878736), // Rule ID 60690 //
     /*  878666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  878686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878734 */     GIR_RootConstrainSelectedInstOperands,
     /*  878735 */     // GIR_Coverage, 60690,
     /*  878735 */     GIR_EraseRootFromParent_Done,
     /*  878736 */   // Label 13431: @878736
     /*  878736 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878811), // Rule ID 60693 //
     /*  878741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  878752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  878755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  878761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878809 */     GIR_RootConstrainSelectedInstOperands,
     /*  878810 */     // GIR_Coverage, 60693,
     /*  878810 */     GIR_EraseRootFromParent_Done,
     /*  878811 */   // Label 13432: @878811
     /*  878811 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878886), // Rule ID 60694 //
     /*  878816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  878827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  878830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  878836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878884 */     GIR_RootConstrainSelectedInstOperands,
     /*  878885 */     // GIR_Coverage, 60694,
     /*  878885 */     GIR_EraseRootFromParent_Done,
     /*  878886 */   // Label 13433: @878886
     /*  878886 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(878961), // Rule ID 60697 //
     /*  878891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  878902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  878905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  878911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878959 */     GIR_RootConstrainSelectedInstOperands,
     /*  878960 */     // GIR_Coverage, 60697,
     /*  878960 */     GIR_EraseRootFromParent_Done,
     /*  878961 */   // Label 13434: @878961
     /*  878961 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879036), // Rule ID 60698 //
     /*  878966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  878977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  878980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  878986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879034 */     GIR_RootConstrainSelectedInstOperands,
     /*  879035 */     // GIR_Coverage, 60698,
     /*  879035 */     GIR_EraseRootFromParent_Done,
     /*  879036 */   // Label 13435: @879036
     /*  879036 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879111), // Rule ID 60701 //
     /*  879041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879109 */     GIR_RootConstrainSelectedInstOperands,
     /*  879110 */     // GIR_Coverage, 60701,
     /*  879110 */     GIR_EraseRootFromParent_Done,
     /*  879111 */   // Label 13436: @879111
     /*  879111 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879186), // Rule ID 60702 //
     /*  879116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  879165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879184 */     GIR_RootConstrainSelectedInstOperands,
     /*  879185 */     // GIR_Coverage, 60702,
     /*  879185 */     GIR_EraseRootFromParent_Done,
     /*  879186 */   // Label 13437: @879186
     /*  879186 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879261), // Rule ID 60705 //
     /*  879191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879237 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879259 */     GIR_RootConstrainSelectedInstOperands,
     /*  879260 */     // GIR_Coverage, 60705,
     /*  879260 */     GIR_EraseRootFromParent_Done,
     /*  879261 */   // Label 13438: @879261
     /*  879261 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879336), // Rule ID 60706 //
     /*  879266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  879315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879334 */     GIR_RootConstrainSelectedInstOperands,
     /*  879335 */     // GIR_Coverage, 60706,
     /*  879335 */     GIR_EraseRootFromParent_Done,
     /*  879336 */   // Label 13439: @879336
     /*  879336 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879411), // Rule ID 60709 //
     /*  879341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879409 */     GIR_RootConstrainSelectedInstOperands,
     /*  879410 */     // GIR_Coverage, 60709,
     /*  879410 */     GIR_EraseRootFromParent_Done,
     /*  879411 */   // Label 13440: @879411
     /*  879411 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879486), // Rule ID 60710 //
     /*  879416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  879436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  879465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879484 */     GIR_RootConstrainSelectedInstOperands,
     /*  879485 */     // GIR_Coverage, 60710,
     /*  879485 */     GIR_EraseRootFromParent_Done,
     /*  879486 */   // Label 13441: @879486
     /*  879486 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879561), // Rule ID 60713 //
     /*  879491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879559 */     GIR_RootConstrainSelectedInstOperands,
     /*  879560 */     // GIR_Coverage, 60713,
     /*  879560 */     GIR_EraseRootFromParent_Done,
     /*  879561 */   // Label 13442: @879561
     /*  879561 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879636), // Rule ID 60714 //
     /*  879566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  879586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  879615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879634 */     GIR_RootConstrainSelectedInstOperands,
     /*  879635 */     // GIR_Coverage, 60714,
     /*  879635 */     GIR_EraseRootFromParent_Done,
     /*  879636 */   // Label 13443: @879636
     /*  879636 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879711), // Rule ID 60717 //
     /*  879641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  879652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  879655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  879658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879687 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  879690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879709 */     GIR_RootConstrainSelectedInstOperands,
     /*  879710 */     // GIR_Coverage, 60717,
     /*  879710 */     GIR_EraseRootFromParent_Done,
     /*  879711 */   // Label 13444: @879711
     /*  879711 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879786), // Rule ID 60718 //
     /*  879716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  879727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  879730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  879733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  879765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879784 */     GIR_RootConstrainSelectedInstOperands,
     /*  879785 */     // GIR_Coverage, 60718,
     /*  879785 */     GIR_EraseRootFromParent_Done,
     /*  879786 */   // Label 13445: @879786
     /*  879786 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879861), // Rule ID 60725 //
     /*  879791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  879808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879859 */     GIR_RootConstrainSelectedInstOperands,
     /*  879860 */     // GIR_Coverage, 60725,
     /*  879860 */     GIR_EraseRootFromParent_Done,
     /*  879861 */   // Label 13446: @879861
     /*  879861 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879936), // Rule ID 60726 //
     /*  879866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  879883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879934 */     GIR_RootConstrainSelectedInstOperands,
     /*  879935 */     // GIR_Coverage, 60726,
     /*  879935 */     GIR_EraseRootFromParent_Done,
     /*  879936 */   // Label 13447: @879936
     /*  879936 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(880011), // Rule ID 60733 //
     /*  879941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  879952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  879955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  879958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  879990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880009 */     GIR_RootConstrainSelectedInstOperands,
     /*  880010 */     // GIR_Coverage, 60733,
     /*  880010 */     GIR_EraseRootFromParent_Done,
     /*  880011 */   // Label 13448: @880011
     /*  880011 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880086), // Rule ID 60734 //
     /*  880016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  880033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880084 */     GIR_RootConstrainSelectedInstOperands,
     /*  880085 */     // GIR_Coverage, 60734,
     /*  880085 */     GIR_EraseRootFromParent_Done,
     /*  880086 */   // Label 13449: @880086
     /*  880086 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880161), // Rule ID 60741 //
     /*  880091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880159 */     GIR_RootConstrainSelectedInstOperands,
     /*  880160 */     // GIR_Coverage, 60741,
     /*  880160 */     GIR_EraseRootFromParent_Done,
     /*  880161 */   // Label 13450: @880161
     /*  880161 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880236), // Rule ID 60742 //
     /*  880166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  880183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880234 */     GIR_RootConstrainSelectedInstOperands,
     /*  880235 */     // GIR_Coverage, 60742,
     /*  880235 */     GIR_EraseRootFromParent_Done,
     /*  880236 */   // Label 13451: @880236
     /*  880236 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880311), // Rule ID 60749 //
     /*  880241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880287 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880309 */     GIR_RootConstrainSelectedInstOperands,
     /*  880310 */     // GIR_Coverage, 60749,
     /*  880310 */     GIR_EraseRootFromParent_Done,
     /*  880311 */   // Label 13452: @880311
     /*  880311 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880386), // Rule ID 60750 //
     /*  880316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  880333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880384 */     GIR_RootConstrainSelectedInstOperands,
     /*  880385 */     // GIR_Coverage, 60750,
     /*  880385 */     GIR_EraseRootFromParent_Done,
     /*  880386 */   // Label 13453: @880386
     /*  880386 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880461), // Rule ID 60757 //
     /*  880391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880437 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880459 */     GIR_RootConstrainSelectedInstOperands,
     /*  880460 */     // GIR_Coverage, 60757,
     /*  880460 */     GIR_EraseRootFromParent_Done,
     /*  880461 */   // Label 13454: @880461
     /*  880461 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880536), // Rule ID 60758 //
     /*  880466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880534 */     GIR_RootConstrainSelectedInstOperands,
     /*  880535 */     // GIR_Coverage, 60758,
     /*  880535 */     GIR_EraseRootFromParent_Done,
     /*  880536 */   // Label 13455: @880536
     /*  880536 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880611), // Rule ID 60765 //
     /*  880541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880609 */     GIR_RootConstrainSelectedInstOperands,
     /*  880610 */     // GIR_Coverage, 60765,
     /*  880610 */     GIR_EraseRootFromParent_Done,
     /*  880611 */   // Label 13456: @880611
     /*  880611 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880686), // Rule ID 60766 //
     /*  880616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  880665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880684 */     GIR_RootConstrainSelectedInstOperands,
     /*  880685 */     // GIR_Coverage, 60766,
     /*  880685 */     GIR_EraseRootFromParent_Done,
     /*  880686 */   // Label 13457: @880686
     /*  880686 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880761), // Rule ID 60773 //
     /*  880691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880759 */     GIR_RootConstrainSelectedInstOperands,
     /*  880760 */     // GIR_Coverage, 60773,
     /*  880760 */     GIR_EraseRootFromParent_Done,
     /*  880761 */   // Label 13458: @880761
     /*  880761 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880836), // Rule ID 60774 //
     /*  880766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880834 */     GIR_RootConstrainSelectedInstOperands,
     /*  880835 */     // GIR_Coverage, 60774,
     /*  880835 */     GIR_EraseRootFromParent_Done,
     /*  880836 */   // Label 13459: @880836
     /*  880836 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880911), // Rule ID 60781 //
     /*  880841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880909 */     GIR_RootConstrainSelectedInstOperands,
     /*  880910 */     // GIR_Coverage, 60781,
     /*  880910 */     GIR_EraseRootFromParent_Done,
     /*  880911 */   // Label 13460: @880911
     /*  880911 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(880986), // Rule ID 60782 //
     /*  880916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880984 */     GIR_RootConstrainSelectedInstOperands,
     /*  880985 */     // GIR_Coverage, 60782,
     /*  880985 */     GIR_EraseRootFromParent_Done,
     /*  880986 */   // Label 13461: @880986
     /*  880986 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(881061), // Rule ID 60789 //
     /*  880991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881059 */     GIR_RootConstrainSelectedInstOperands,
     /*  881060 */     // GIR_Coverage, 60789,
     /*  881060 */     GIR_EraseRootFromParent_Done,
     /*  881061 */   // Label 13462: @881061
     /*  881061 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881136), // Rule ID 60790 //
     /*  881066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881134 */     GIR_RootConstrainSelectedInstOperands,
     /*  881135 */     // GIR_Coverage, 60790,
     /*  881135 */     GIR_EraseRootFromParent_Done,
     /*  881136 */   // Label 13463: @881136
     /*  881136 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881211), // Rule ID 60797 //
     /*  881141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  881187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881209 */     GIR_RootConstrainSelectedInstOperands,
     /*  881210 */     // GIR_Coverage, 60797,
     /*  881210 */     GIR_EraseRootFromParent_Done,
     /*  881211 */   // Label 13464: @881211
     /*  881211 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881286), // Rule ID 60798 //
     /*  881216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  881262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881284 */     GIR_RootConstrainSelectedInstOperands,
     /*  881285 */     // GIR_Coverage, 60798,
     /*  881285 */     GIR_EraseRootFromParent_Done,
     /*  881286 */   // Label 13465: @881286
     /*  881286 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881361), // Rule ID 60805 //
     /*  881291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881359 */     GIR_RootConstrainSelectedInstOperands,
     /*  881360 */     // GIR_Coverage, 60805,
     /*  881360 */     GIR_EraseRootFromParent_Done,
     /*  881361 */   // Label 13466: @881361
     /*  881361 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881436), // Rule ID 60806 //
     /*  881366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  881415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881434 */     GIR_RootConstrainSelectedInstOperands,
     /*  881435 */     // GIR_Coverage, 60806,
     /*  881435 */     GIR_EraseRootFromParent_Done,
     /*  881436 */   // Label 13467: @881436
     /*  881436 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881511), // Rule ID 60813 //
     /*  881441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881509 */     GIR_RootConstrainSelectedInstOperands,
     /*  881510 */     // GIR_Coverage, 60813,
     /*  881510 */     GIR_EraseRootFromParent_Done,
     /*  881511 */   // Label 13468: @881511
     /*  881511 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881586), // Rule ID 60814 //
     /*  881516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  881565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881584 */     GIR_RootConstrainSelectedInstOperands,
     /*  881585 */     // GIR_Coverage, 60814,
     /*  881585 */     GIR_EraseRootFromParent_Done,
     /*  881586 */   // Label 13469: @881586
     /*  881586 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881661), // Rule ID 60821 //
     /*  881591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881659 */     GIR_RootConstrainSelectedInstOperands,
     /*  881660 */     // GIR_Coverage, 60821,
     /*  881660 */     GIR_EraseRootFromParent_Done,
     /*  881661 */   // Label 13470: @881661
     /*  881661 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881736), // Rule ID 60822 //
     /*  881666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  881715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881734 */     GIR_RootConstrainSelectedInstOperands,
     /*  881735 */     // GIR_Coverage, 60822,
     /*  881735 */     GIR_EraseRootFromParent_Done,
     /*  881736 */   // Label 13471: @881736
     /*  881736 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881811), // Rule ID 60829 //
     /*  881741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881809 */     GIR_RootConstrainSelectedInstOperands,
     /*  881810 */     // GIR_Coverage, 60829,
     /*  881810 */     GIR_EraseRootFromParent_Done,
     /*  881811 */   // Label 13472: @881811
     /*  881811 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881886), // Rule ID 60830 //
     /*  881816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  881819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  881865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881884 */     GIR_RootConstrainSelectedInstOperands,
     /*  881885 */     // GIR_Coverage, 60830,
     /*  881885 */     GIR_EraseRootFromParent_Done,
     /*  881886 */   // Label 13473: @881886
     /*  881886 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(881961), // Rule ID 60837 //
     /*  881891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  881911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881937 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  881940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881959 */     GIR_RootConstrainSelectedInstOperands,
     /*  881960 */     // GIR_Coverage, 60837,
     /*  881960 */     GIR_EraseRootFromParent_Done,
     /*  881961 */   // Label 13474: @881961
     /*  881961 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(882036), // Rule ID 60838 //
     /*  881966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  881986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  882015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882034 */     GIR_RootConstrainSelectedInstOperands,
     /*  882035 */     // GIR_Coverage, 60838,
     /*  882035 */     GIR_EraseRootFromParent_Done,
     /*  882036 */   // Label 13475: @882036
     /*  882036 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(882111), // Rule ID 60841 //
     /*  882041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882109 */     GIR_RootConstrainSelectedInstOperands,
     /*  882110 */     // GIR_Coverage, 60841,
     /*  882110 */     GIR_EraseRootFromParent_Done,
     /*  882111 */   // Label 13476: @882111
     /*  882111 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882186), // Rule ID 60842 //
     /*  882116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  882165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882184 */     GIR_RootConstrainSelectedInstOperands,
     /*  882185 */     // GIR_Coverage, 60842,
     /*  882185 */     GIR_EraseRootFromParent_Done,
     /*  882186 */   // Label 13477: @882186
     /*  882186 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882261), // Rule ID 60845 //
     /*  882191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882259 */     GIR_RootConstrainSelectedInstOperands,
     /*  882260 */     // GIR_Coverage, 60845,
     /*  882260 */     GIR_EraseRootFromParent_Done,
     /*  882261 */   // Label 13478: @882261
     /*  882261 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882336), // Rule ID 60846 //
     /*  882266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  882315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882334 */     GIR_RootConstrainSelectedInstOperands,
     /*  882335 */     // GIR_Coverage, 60846,
     /*  882335 */     GIR_EraseRootFromParent_Done,
     /*  882336 */   // Label 13479: @882336
     /*  882336 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882411), // Rule ID 60849 //
     /*  882341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882387 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882409 */     GIR_RootConstrainSelectedInstOperands,
     /*  882410 */     // GIR_Coverage, 60849,
     /*  882410 */     GIR_EraseRootFromParent_Done,
     /*  882411 */   // Label 13480: @882411
     /*  882411 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882486), // Rule ID 60850 //
     /*  882416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  882465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882484 */     GIR_RootConstrainSelectedInstOperands,
     /*  882485 */     // GIR_Coverage, 60850,
     /*  882485 */     GIR_EraseRootFromParent_Done,
     /*  882486 */   // Label 13481: @882486
     /*  882486 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882561), // Rule ID 60853 //
     /*  882491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882559 */     GIR_RootConstrainSelectedInstOperands,
     /*  882560 */     // GIR_Coverage, 60853,
     /*  882560 */     GIR_EraseRootFromParent_Done,
     /*  882561 */   // Label 13482: @882561
     /*  882561 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882636), // Rule ID 60854 //
     /*  882566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  882615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882634 */     GIR_RootConstrainSelectedInstOperands,
     /*  882635 */     // GIR_Coverage, 60854,
     /*  882635 */     GIR_EraseRootFromParent_Done,
     /*  882636 */   // Label 13483: @882636
     /*  882636 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882711), // Rule ID 60857 //
     /*  882641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  882690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882709 */     GIR_RootConstrainSelectedInstOperands,
     /*  882710 */     // GIR_Coverage, 60857,
     /*  882710 */     GIR_EraseRootFromParent_Done,
     /*  882711 */   // Label 13484: @882711
     /*  882711 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882786), // Rule ID 60858 //
     /*  882716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  882765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882784 */     GIR_RootConstrainSelectedInstOperands,
     /*  882785 */     // GIR_Coverage, 60858,
     /*  882785 */     GIR_EraseRootFromParent_Done,
     /*  882786 */   // Label 13485: @882786
     /*  882786 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882861), // Rule ID 60861 //
     /*  882791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882837 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  882840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882859 */     GIR_RootConstrainSelectedInstOperands,
     /*  882860 */     // GIR_Coverage, 60861,
     /*  882860 */     GIR_EraseRootFromParent_Done,
     /*  882861 */   // Label 13486: @882861
     /*  882861 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882936), // Rule ID 60862 //
     /*  882866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  882915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882934 */     GIR_RootConstrainSelectedInstOperands,
     /*  882935 */     // GIR_Coverage, 60862,
     /*  882935 */     GIR_EraseRootFromParent_Done,
     /*  882936 */   // Label 13487: @882936
     /*  882936 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(883011), // Rule ID 60865 //
     /*  882941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  882949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  882990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883009 */     GIR_RootConstrainSelectedInstOperands,
     /*  883010 */     // GIR_Coverage, 60865,
     /*  883010 */     GIR_EraseRootFromParent_Done,
     /*  883011 */   // Label 13488: @883011
     /*  883011 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(883086), // Rule ID 60866 //
     /*  883016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  883024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  883065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883084 */     GIR_RootConstrainSelectedInstOperands,
     /*  883085 */     // GIR_Coverage, 60866,
     /*  883085 */     GIR_EraseRootFromParent_Done,
     /*  883086 */   // Label 13489: @883086
     /*  883086 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883161), // Rule ID 60869 //
     /*  883091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883159 */     GIR_RootConstrainSelectedInstOperands,
     /*  883160 */     // GIR_Coverage, 60869,
     /*  883160 */     GIR_EraseRootFromParent_Done,
     /*  883161 */   // Label 13490: @883161
     /*  883161 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883236), // Rule ID 60870 //
     /*  883166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  883186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  883215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883234 */     GIR_RootConstrainSelectedInstOperands,
     /*  883235 */     // GIR_Coverage, 60870,
     /*  883235 */     GIR_EraseRootFromParent_Done,
     /*  883236 */   // Label 13491: @883236
     /*  883236 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883311), // Rule ID 60873 //
     /*  883241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883287 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883309 */     GIR_RootConstrainSelectedInstOperands,
     /*  883310 */     // GIR_Coverage, 60873,
     /*  883310 */     GIR_EraseRootFromParent_Done,
     /*  883311 */   // Label 13492: @883311
     /*  883311 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883386), // Rule ID 60874 //
     /*  883316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  883336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  883365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883384 */     GIR_RootConstrainSelectedInstOperands,
     /*  883385 */     // GIR_Coverage, 60874,
     /*  883385 */     GIR_EraseRootFromParent_Done,
     /*  883386 */   // Label 13493: @883386
     /*  883386 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883461), // Rule ID 60877 //
     /*  883391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883459 */     GIR_RootConstrainSelectedInstOperands,
     /*  883460 */     // GIR_Coverage, 60877,
     /*  883460 */     GIR_EraseRootFromParent_Done,
     /*  883461 */   // Label 13494: @883461
     /*  883461 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883536), // Rule ID 60878 //
     /*  883466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  883483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  883486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  883515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883534 */     GIR_RootConstrainSelectedInstOperands,
     /*  883535 */     // GIR_Coverage, 60878,
     /*  883535 */     GIR_EraseRootFromParent_Done,
     /*  883536 */   // Label 13495: @883536
     /*  883536 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883611), // Rule ID 60881 //
     /*  883541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  883590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883609 */     GIR_RootConstrainSelectedInstOperands,
     /*  883610 */     // GIR_Coverage, 60881,
     /*  883610 */     GIR_EraseRootFromParent_Done,
     /*  883611 */   // Label 13496: @883611
     /*  883611 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883686), // Rule ID 60882 //
     /*  883616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  883636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  883665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883684 */     GIR_RootConstrainSelectedInstOperands,
     /*  883685 */     // GIR_Coverage, 60882,
     /*  883685 */     GIR_EraseRootFromParent_Done,
     /*  883686 */   // Label 13497: @883686
     /*  883686 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883761), // Rule ID 60885 //
     /*  883691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  883740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883759 */     GIR_RootConstrainSelectedInstOperands,
     /*  883760 */     // GIR_Coverage, 60885,
     /*  883760 */     GIR_EraseRootFromParent_Done,
     /*  883761 */   // Label 13498: @883761
     /*  883761 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883836), // Rule ID 60886 //
     /*  883766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  883815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883834 */     GIR_RootConstrainSelectedInstOperands,
     /*  883835 */     // GIR_Coverage, 60886,
     /*  883835 */     GIR_EraseRootFromParent_Done,
     /*  883836 */   // Label 13499: @883836
     /*  883836 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883911), // Rule ID 60889 //
     /*  883841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  883890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883909 */     GIR_RootConstrainSelectedInstOperands,
     /*  883910 */     // GIR_Coverage, 60889,
     /*  883910 */     GIR_EraseRootFromParent_Done,
     /*  883911 */   // Label 13500: @883911
     /*  883911 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(883986), // Rule ID 60890 //
     /*  883916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  883933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  883965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883984 */     GIR_RootConstrainSelectedInstOperands,
     /*  883985 */     // GIR_Coverage, 60890,
     /*  883985 */     GIR_EraseRootFromParent_Done,
     /*  883986 */   // Label 13501: @883986
     /*  883986 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(884061), // Rule ID 60893 //
     /*  883991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  883994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884037 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884059 */     GIR_RootConstrainSelectedInstOperands,
     /*  884060 */     // GIR_Coverage, 60893,
     /*  884060 */     GIR_EraseRootFromParent_Done,
     /*  884061 */   // Label 13502: @884061
     /*  884061 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884136), // Rule ID 60894 //
     /*  884066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  884115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884134 */     GIR_RootConstrainSelectedInstOperands,
     /*  884135 */     // GIR_Coverage, 60894,
     /*  884135 */     GIR_EraseRootFromParent_Done,
     /*  884136 */   // Label 13503: @884136
     /*  884136 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884211), // Rule ID 60897 //
     /*  884141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  884144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884209 */     GIR_RootConstrainSelectedInstOperands,
     /*  884210 */     // GIR_Coverage, 60897,
     /*  884210 */     GIR_EraseRootFromParent_Done,
     /*  884211 */   // Label 13504: @884211
     /*  884211 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884286), // Rule ID 60898 //
     /*  884216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  884219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  884224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  884265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884284 */     GIR_RootConstrainSelectedInstOperands,
     /*  884285 */     // GIR_Coverage, 60898,
     /*  884285 */     GIR_EraseRootFromParent_Done,
     /*  884286 */   // Label 13505: @884286
     /*  884286 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884361), // Rule ID 60901 //
     /*  884291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884337 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884359 */     GIR_RootConstrainSelectedInstOperands,
     /*  884360 */     // GIR_Coverage, 60901,
     /*  884360 */     GIR_EraseRootFromParent_Done,
     /*  884361 */   // Label 13506: @884361
     /*  884361 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884436), // Rule ID 60902 //
     /*  884366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  884377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  884380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  884386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  884415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884434 */     GIR_RootConstrainSelectedInstOperands,
     /*  884435 */     // GIR_Coverage, 60902,
     /*  884435 */     GIR_EraseRootFromParent_Done,
     /*  884436 */   // Label 13507: @884436
     /*  884436 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884511), // Rule ID 60905 //
     /*  884441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884509 */     GIR_RootConstrainSelectedInstOperands,
     /*  884510 */     // GIR_Coverage, 60905,
     /*  884510 */     GIR_EraseRootFromParent_Done,
     /*  884511 */   // Label 13508: @884511
     /*  884511 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884586), // Rule ID 60906 //
     /*  884516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  884527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  884530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  884536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884584 */     GIR_RootConstrainSelectedInstOperands,
     /*  884585 */     // GIR_Coverage, 60906,
     /*  884585 */     GIR_EraseRootFromParent_Done,
     /*  884586 */   // Label 13509: @884586
     /*  884586 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884661), // Rule ID 60909 //
     /*  884591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  884602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  884605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  884611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884637 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884659 */     GIR_RootConstrainSelectedInstOperands,
     /*  884660 */     // GIR_Coverage, 60909,
     /*  884660 */     GIR_EraseRootFromParent_Done,
     /*  884661 */   // Label 13510: @884661
     /*  884661 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884736), // Rule ID 60910 //
     /*  884666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  884677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  884680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  884686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884734 */     GIR_RootConstrainSelectedInstOperands,
     /*  884735 */     // GIR_Coverage, 60910,
     /*  884735 */     GIR_EraseRootFromParent_Done,
     /*  884736 */   // Label 13511: @884736
     /*  884736 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884811), // Rule ID 60913 //
     /*  884741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  884758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  884761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884809 */     GIR_RootConstrainSelectedInstOperands,
     /*  884810 */     // GIR_Coverage, 60913,
     /*  884810 */     GIR_EraseRootFromParent_Done,
     /*  884811 */   // Label 13512: @884811
     /*  884811 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884886), // Rule ID 60914 //
     /*  884816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  884833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  884836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  884865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884884 */     GIR_RootConstrainSelectedInstOperands,
     /*  884885 */     // GIR_Coverage, 60914,
     /*  884885 */     GIR_EraseRootFromParent_Done,
     /*  884886 */   // Label 13513: @884886
     /*  884886 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(884961), // Rule ID 60917 //
     /*  884891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  884908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  884911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  884940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884959 */     GIR_RootConstrainSelectedInstOperands,
     /*  884960 */     // GIR_Coverage, 60917,
     /*  884960 */     GIR_EraseRootFromParent_Done,
     /*  884961 */   // Label 13514: @884961
     /*  884961 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(885036), // Rule ID 60918 //
     /*  884966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  884983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  884986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885034 */     GIR_RootConstrainSelectedInstOperands,
     /*  885035 */     // GIR_Coverage, 60918,
     /*  885035 */     GIR_EraseRootFromParent_Done,
     /*  885036 */   // Label 13515: @885036
     /*  885036 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(885111), // Rule ID 60921 //
     /*  885041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885109 */     GIR_RootConstrainSelectedInstOperands,
     /*  885110 */     // GIR_Coverage, 60921,
     /*  885110 */     GIR_EraseRootFromParent_Done,
     /*  885111 */   // Label 13516: @885111
     /*  885111 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885186), // Rule ID 60922 //
     /*  885116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  885165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885184 */     GIR_RootConstrainSelectedInstOperands,
     /*  885185 */     // GIR_Coverage, 60922,
     /*  885185 */     GIR_EraseRootFromParent_Done,
     /*  885186 */   // Label 13517: @885186
     /*  885186 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885261), // Rule ID 60925 //
     /*  885191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885237 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885259 */     GIR_RootConstrainSelectedInstOperands,
     /*  885260 */     // GIR_Coverage, 60925,
     /*  885260 */     GIR_EraseRootFromParent_Done,
     /*  885261 */   // Label 13518: @885261
     /*  885261 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885336), // Rule ID 60926 //
     /*  885266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885334 */     GIR_RootConstrainSelectedInstOperands,
     /*  885335 */     // GIR_Coverage, 60926,
     /*  885335 */     GIR_EraseRootFromParent_Done,
     /*  885336 */   // Label 13519: @885336
     /*  885336 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885411), // Rule ID 60929 //
     /*  885341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885409 */     GIR_RootConstrainSelectedInstOperands,
     /*  885410 */     // GIR_Coverage, 60929,
     /*  885410 */     GIR_EraseRootFromParent_Done,
     /*  885411 */   // Label 13520: @885411
     /*  885411 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885486), // Rule ID 60930 //
     /*  885416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  885436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885484 */     GIR_RootConstrainSelectedInstOperands,
     /*  885485 */     // GIR_Coverage, 60930,
     /*  885485 */     GIR_EraseRootFromParent_Done,
     /*  885486 */   // Label 13521: @885486
     /*  885486 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885561), // Rule ID 60933 //
     /*  885491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885559 */     GIR_RootConstrainSelectedInstOperands,
     /*  885560 */     // GIR_Coverage, 60933,
     /*  885560 */     GIR_EraseRootFromParent_Done,
     /*  885561 */   // Label 13522: @885561
     /*  885561 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885636), // Rule ID 60934 //
     /*  885566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  885583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  885586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885634 */     GIR_RootConstrainSelectedInstOperands,
     /*  885635 */     // GIR_Coverage, 60934,
     /*  885635 */     GIR_EraseRootFromParent_Done,
     /*  885636 */   // Label 13523: @885636
     /*  885636 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885711), // Rule ID 60937 //
     /*  885641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  885658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  885661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885687 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  885687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885709 */     GIR_RootConstrainSelectedInstOperands,
     /*  885710 */     // GIR_Coverage, 60937,
     /*  885710 */     GIR_EraseRootFromParent_Done,
     /*  885711 */   // Label 13524: @885711
     /*  885711 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885786), // Rule ID 60938 //
     /*  885716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  885733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  885736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  885762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  885765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885784 */     GIR_RootConstrainSelectedInstOperands,
     /*  885785 */     // GIR_Coverage, 60938,
     /*  885785 */     GIR_EraseRootFromParent_Done,
     /*  885786 */   // Label 13525: @885786
     /*  885786 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885861), // Rule ID 60941 //
     /*  885791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  885802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  885805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  885811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885859 */     GIR_RootConstrainSelectedInstOperands,
     /*  885860 */     // GIR_Coverage, 60941,
     /*  885860 */     GIR_EraseRootFromParent_Done,
     /*  885861 */   // Label 13526: @885861
     /*  885861 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885936), // Rule ID 60942 //
     /*  885866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  885877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  885880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  885886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885934 */     GIR_RootConstrainSelectedInstOperands,
     /*  885935 */     // GIR_Coverage, 60942,
     /*  885935 */     GIR_EraseRootFromParent_Done,
     /*  885936 */   // Label 13527: @885936
     /*  885936 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(886011), // Rule ID 60945 //
     /*  885941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  885952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  885955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  885961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  885990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886009 */     GIR_RootConstrainSelectedInstOperands,
     /*  886010 */     // GIR_Coverage, 60945,
     /*  886010 */     GIR_EraseRootFromParent_Done,
     /*  886011 */   // Label 13528: @886011
     /*  886011 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(886086), // Rule ID 60946 //
     /*  886016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886084 */     GIR_RootConstrainSelectedInstOperands,
     /*  886085 */     // GIR_Coverage, 60946,
     /*  886085 */     GIR_EraseRootFromParent_Done,
     /*  886086 */   // Label 13529: @886086
     /*  886086 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886161), // Rule ID 60949 //
     /*  886091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886137 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886159 */     GIR_RootConstrainSelectedInstOperands,
     /*  886160 */     // GIR_Coverage, 60949,
     /*  886160 */     GIR_EraseRootFromParent_Done,
     /*  886161 */   // Label 13530: @886161
     /*  886161 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886236), // Rule ID 60950 //
     /*  886166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886234 */     GIR_RootConstrainSelectedInstOperands,
     /*  886235 */     // GIR_Coverage, 60950,
     /*  886235 */     GIR_EraseRootFromParent_Done,
     /*  886236 */   // Label 13531: @886236
     /*  886236 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886311), // Rule ID 60953 //
     /*  886241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886309 */     GIR_RootConstrainSelectedInstOperands,
     /*  886310 */     // GIR_Coverage, 60953,
     /*  886310 */     GIR_EraseRootFromParent_Done,
     /*  886311 */   // Label 13532: @886311
     /*  886311 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886386), // Rule ID 60954 //
     /*  886316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886384 */     GIR_RootConstrainSelectedInstOperands,
     /*  886385 */     // GIR_Coverage, 60954,
     /*  886385 */     GIR_EraseRootFromParent_Done,
     /*  886386 */   // Label 13533: @886386
     /*  886386 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886461), // Rule ID 60957 //
     /*  886391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886437 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886459 */     GIR_RootConstrainSelectedInstOperands,
     /*  886460 */     // GIR_Coverage, 60957,
     /*  886460 */     GIR_EraseRootFromParent_Done,
     /*  886461 */   // Label 13534: @886461
     /*  886461 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886536), // Rule ID 60958 //
     /*  886466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  886477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  886480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  886486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886534 */     GIR_RootConstrainSelectedInstOperands,
     /*  886535 */     // GIR_Coverage, 60958,
     /*  886535 */     GIR_EraseRootFromParent_Done,
     /*  886536 */   // Label 13535: @886536
     /*  886536 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886611), // Rule ID 60961 //
     /*  886541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  886561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886587 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886609 */     GIR_RootConstrainSelectedInstOperands,
     /*  886610 */     // GIR_Coverage, 60961,
     /*  886610 */     GIR_EraseRootFromParent_Done,
     /*  886611 */   // Label 13536: @886611
     /*  886611 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886686), // Rule ID 60962 //
     /*  886616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  886627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  886630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  886633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  886636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886684 */     GIR_RootConstrainSelectedInstOperands,
     /*  886685 */     // GIR_Coverage, 60962,
     /*  886685 */     GIR_EraseRootFromParent_Done,
     /*  886686 */   // Label 13537: @886686
     /*  886686 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886761), // Rule ID 60965 //
     /*  886691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  886711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886759 */     GIR_RootConstrainSelectedInstOperands,
     /*  886760 */     // GIR_Coverage, 60965,
     /*  886760 */     GIR_EraseRootFromParent_Done,
     /*  886761 */   // Label 13538: @886761
     /*  886761 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886836), // Rule ID 60966 //
     /*  886766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  886786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886834 */     GIR_RootConstrainSelectedInstOperands,
     /*  886835 */     // GIR_Coverage, 60966,
     /*  886835 */     GIR_EraseRootFromParent_Done,
     /*  886836 */   // Label 13539: @886836
     /*  886836 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886911), // Rule ID 60969 //
     /*  886841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  886861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886909 */     GIR_RootConstrainSelectedInstOperands,
     /*  886910 */     // GIR_Coverage, 60969,
     /*  886910 */     GIR_EraseRootFromParent_Done,
     /*  886911 */   // Label 13540: @886911
     /*  886911 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(886986), // Rule ID 60970 //
     /*  886916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  886936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886984 */     GIR_RootConstrainSelectedInstOperands,
     /*  886985 */     // GIR_Coverage, 60970,
     /*  886985 */     GIR_EraseRootFromParent_Done,
     /*  886986 */   // Label 13541: @886986
     /*  886986 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(887061), // Rule ID 60973 //
     /*  886991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887037 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887059 */     GIR_RootConstrainSelectedInstOperands,
     /*  887060 */     // GIR_Coverage, 60973,
     /*  887060 */     GIR_EraseRootFromParent_Done,
     /*  887061 */   // Label 13542: @887061
     /*  887061 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887136), // Rule ID 60974 //
     /*  887066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887134 */     GIR_RootConstrainSelectedInstOperands,
     /*  887135 */     // GIR_Coverage, 60974,
     /*  887135 */     GIR_EraseRootFromParent_Done,
     /*  887136 */   // Label 13543: @887136
     /*  887136 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887211), // Rule ID 60977 //
     /*  887141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887209 */     GIR_RootConstrainSelectedInstOperands,
     /*  887210 */     // GIR_Coverage, 60977,
     /*  887210 */     GIR_EraseRootFromParent_Done,
     /*  887211 */   // Label 13544: @887211
     /*  887211 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887286), // Rule ID 60978 //
     /*  887216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  887265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887284 */     GIR_RootConstrainSelectedInstOperands,
     /*  887285 */     // GIR_Coverage, 60978,
     /*  887285 */     GIR_EraseRootFromParent_Done,
     /*  887286 */   // Label 13545: @887286
     /*  887286 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887361), // Rule ID 60981 //
     /*  887291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887337 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887359 */     GIR_RootConstrainSelectedInstOperands,
     /*  887360 */     // GIR_Coverage, 60981,
     /*  887360 */     GIR_EraseRootFromParent_Done,
     /*  887361 */   // Label 13546: @887361
     /*  887361 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887436), // Rule ID 60982 //
     /*  887366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  887415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887434 */     GIR_RootConstrainSelectedInstOperands,
     /*  887435 */     // GIR_Coverage, 60982,
     /*  887435 */     GIR_EraseRootFromParent_Done,
     /*  887436 */   // Label 13547: @887436
     /*  887436 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887511), // Rule ID 60985 //
     /*  887441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887487 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887509 */     GIR_RootConstrainSelectedInstOperands,
     /*  887510 */     // GIR_Coverage, 60985,
     /*  887510 */     GIR_EraseRootFromParent_Done,
     /*  887511 */   // Label 13548: @887511
     /*  887511 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887586), // Rule ID 60986 //
     /*  887516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887562 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  887565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887584 */     GIR_RootConstrainSelectedInstOperands,
     /*  887585 */     // GIR_Coverage, 60986,
     /*  887585 */     GIR_EraseRootFromParent_Done,
     /*  887586 */   // Label 13549: @887586
     /*  887586 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887661), // Rule ID 60989 //
     /*  887591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  887602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  887605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  887608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887637 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  887640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887659 */     GIR_RootConstrainSelectedInstOperands,
     /*  887660 */     // GIR_Coverage, 60989,
     /*  887660 */     GIR_EraseRootFromParent_Done,
     /*  887661 */   // Label 13550: @887661
     /*  887661 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887736), // Rule ID 60990 //
     /*  887666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  887677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  887680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  887683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  887715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887734 */     GIR_RootConstrainSelectedInstOperands,
     /*  887735 */     // GIR_Coverage, 60990,
     /*  887735 */     GIR_EraseRootFromParent_Done,
     /*  887736 */   // Label 13551: @887736
     /*  887736 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887811), // Rule ID 60993 //
     /*  887741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  887752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  887755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  887758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  887790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887809 */     GIR_RootConstrainSelectedInstOperands,
     /*  887810 */     // GIR_Coverage, 60993,
     /*  887810 */     GIR_EraseRootFromParent_Done,
     /*  887811 */   // Label 13552: @887811
     /*  887811 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887886), // Rule ID 60994 //
     /*  887816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  887827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  887830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  887833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887862 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  887865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887884 */     GIR_RootConstrainSelectedInstOperands,
     /*  887885 */     // GIR_Coverage, 60994,
     /*  887885 */     GIR_EraseRootFromParent_Done,
     /*  887886 */   // Label 13553: @887886
     /*  887886 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(887961), // Rule ID 60997 //
     /*  887891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  887902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  887905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  887908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887937 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887959 */     GIR_RootConstrainSelectedInstOperands,
     /*  887960 */     // GIR_Coverage, 60997,
     /*  887960 */     GIR_EraseRootFromParent_Done,
     /*  887961 */   // Label 13554: @887961
     /*  887961 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(888036), // Rule ID 60998 //
     /*  887966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  887977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  887980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  887983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888034 */     GIR_RootConstrainSelectedInstOperands,
     /*  888035 */     // GIR_Coverage, 60998,
     /*  888035 */     GIR_EraseRootFromParent_Done,
     /*  888036 */   // Label 13555: @888036
     /*  888036 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(888111), // Rule ID 61001 //
     /*  888041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888109 */     GIR_RootConstrainSelectedInstOperands,
     /*  888110 */     // GIR_Coverage, 61001,
     /*  888110 */     GIR_EraseRootFromParent_Done,
     /*  888111 */   // Label 13556: @888111
     /*  888111 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888186), // Rule ID 61002 //
     /*  888116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888162 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  888165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888184 */     GIR_RootConstrainSelectedInstOperands,
     /*  888185 */     // GIR_Coverage, 61002,
     /*  888185 */     GIR_EraseRootFromParent_Done,
     /*  888186 */   // Label 13557: @888186
     /*  888186 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888261), // Rule ID 61005 //
     /*  888191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888259 */     GIR_RootConstrainSelectedInstOperands,
     /*  888260 */     // GIR_Coverage, 61005,
     /*  888260 */     GIR_EraseRootFromParent_Done,
     /*  888261 */   // Label 13558: @888261
     /*  888261 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888336), // Rule ID 61006 //
     /*  888266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888334 */     GIR_RootConstrainSelectedInstOperands,
     /*  888335 */     // GIR_Coverage, 61006,
     /*  888335 */     GIR_EraseRootFromParent_Done,
     /*  888336 */   // Label 13559: @888336
     /*  888336 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888411), // Rule ID 61009 //
     /*  888341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888409 */     GIR_RootConstrainSelectedInstOperands,
     /*  888410 */     // GIR_Coverage, 61009,
     /*  888410 */     GIR_EraseRootFromParent_Done,
     /*  888411 */   // Label 13560: @888411
     /*  888411 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888486), // Rule ID 61010 //
     /*  888416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  888427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  888430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  888433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  888465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888484 */     GIR_RootConstrainSelectedInstOperands,
     /*  888485 */     // GIR_Coverage, 61010,
     /*  888485 */     GIR_EraseRootFromParent_Done,
     /*  888486 */   // Label 13561: @888486
     /*  888486 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888561), // Rule ID 61013 //
     /*  888491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888559 */     GIR_RootConstrainSelectedInstOperands,
     /*  888560 */     // GIR_Coverage, 61013,
     /*  888560 */     GIR_EraseRootFromParent_Done,
     /*  888561 */   // Label 13562: @888561
     /*  888561 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888636), // Rule ID 61014 //
     /*  888566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  888577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  888580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  888583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888634 */     GIR_RootConstrainSelectedInstOperands,
     /*  888635 */     // GIR_Coverage, 61014,
     /*  888635 */     GIR_EraseRootFromParent_Done,
     /*  888636 */   // Label 13563: @888636
     /*  888636 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888711), // Rule ID 61017 //
     /*  888641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  888652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  888655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  888658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888709 */     GIR_RootConstrainSelectedInstOperands,
     /*  888710 */     // GIR_Coverage, 61017,
     /*  888710 */     GIR_EraseRootFromParent_Done,
     /*  888711 */   // Label 13564: @888711
     /*  888711 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888786), // Rule ID 61018 //
     /*  888716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  888727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  888730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  888733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888784 */     GIR_RootConstrainSelectedInstOperands,
     /*  888785 */     // GIR_Coverage, 61018,
     /*  888785 */     GIR_EraseRootFromParent_Done,
     /*  888786 */   // Label 13565: @888786
     /*  888786 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888861), // Rule ID 61021 //
     /*  888791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  888802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  888805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  888808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888859 */     GIR_RootConstrainSelectedInstOperands,
     /*  888860 */     // GIR_Coverage, 61021,
     /*  888860 */     GIR_EraseRootFromParent_Done,
     /*  888861 */   // Label 13566: @888861
     /*  888861 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888936), // Rule ID 61022 //
     /*  888866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  888877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  888880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  888883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888934 */     GIR_RootConstrainSelectedInstOperands,
     /*  888935 */     // GIR_Coverage, 61022,
     /*  888935 */     GIR_EraseRootFromParent_Done,
     /*  888936 */   // Label 13567: @888936
     /*  888936 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(889011), // Rule ID 61025 //
     /*  888941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  888990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889009 */     GIR_RootConstrainSelectedInstOperands,
     /*  889010 */     // GIR_Coverage, 61025,
     /*  889010 */     GIR_EraseRootFromParent_Done,
     /*  889011 */   // Label 13568: @889011
     /*  889011 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(889086), // Rule ID 61026 //
     /*  889016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  889065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889084 */     GIR_RootConstrainSelectedInstOperands,
     /*  889085 */     // GIR_Coverage, 61026,
     /*  889085 */     GIR_EraseRootFromParent_Done,
     /*  889086 */   // Label 13569: @889086
     /*  889086 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889161), // Rule ID 61029 //
     /*  889091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889159 */     GIR_RootConstrainSelectedInstOperands,
     /*  889160 */     // GIR_Coverage, 61029,
     /*  889160 */     GIR_EraseRootFromParent_Done,
     /*  889161 */   // Label 13570: @889161
     /*  889161 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889236), // Rule ID 61030 //
     /*  889166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889234 */     GIR_RootConstrainSelectedInstOperands,
     /*  889235 */     // GIR_Coverage, 61030,
     /*  889235 */     GIR_EraseRootFromParent_Done,
     /*  889236 */   // Label 13571: @889236
     /*  889236 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889311), // Rule ID 61033 //
     /*  889241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889309 */     GIR_RootConstrainSelectedInstOperands,
     /*  889310 */     // GIR_Coverage, 61033,
     /*  889310 */     GIR_EraseRootFromParent_Done,
     /*  889311 */   // Label 13572: @889311
     /*  889311 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889386), // Rule ID 61034 //
     /*  889316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889384 */     GIR_RootConstrainSelectedInstOperands,
     /*  889385 */     // GIR_Coverage, 61034,
     /*  889385 */     GIR_EraseRootFromParent_Done,
     /*  889386 */   // Label 13573: @889386
     /*  889386 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889461), // Rule ID 61037 //
     /*  889391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889437 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889459 */     GIR_RootConstrainSelectedInstOperands,
     /*  889460 */     // GIR_Coverage, 61037,
     /*  889460 */     GIR_EraseRootFromParent_Done,
     /*  889461 */   // Label 13574: @889461
     /*  889461 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889536), // Rule ID 61038 //
     /*  889466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  889477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  889480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  889483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889534 */     GIR_RootConstrainSelectedInstOperands,
     /*  889535 */     // GIR_Coverage, 61038,
     /*  889535 */     GIR_EraseRootFromParent_Done,
     /*  889536 */   // Label 13575: @889536
     /*  889536 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889611), // Rule ID 61041 //
     /*  889541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889609 */     GIR_RootConstrainSelectedInstOperands,
     /*  889610 */     // GIR_Coverage, 61041,
     /*  889610 */     GIR_EraseRootFromParent_Done,
     /*  889611 */   // Label 13576: @889611
     /*  889611 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889686), // Rule ID 61042 //
     /*  889616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  889627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  889630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  889633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889684 */     GIR_RootConstrainSelectedInstOperands,
     /*  889685 */     // GIR_Coverage, 61042,
     /*  889685 */     GIR_EraseRootFromParent_Done,
     /*  889686 */   // Label 13577: @889686
     /*  889686 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889761), // Rule ID 61045 //
     /*  889691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  889702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  889705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  889708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889759 */     GIR_RootConstrainSelectedInstOperands,
     /*  889760 */     // GIR_Coverage, 61045,
     /*  889760 */     GIR_EraseRootFromParent_Done,
     /*  889761 */   // Label 13578: @889761
     /*  889761 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889836), // Rule ID 61046 //
     /*  889766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  889777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  889780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  889783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889812 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889834 */     GIR_RootConstrainSelectedInstOperands,
     /*  889835 */     // GIR_Coverage, 61046,
     /*  889835 */     GIR_EraseRootFromParent_Done,
     /*  889836 */   // Label 13579: @889836
     /*  889836 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889911), // Rule ID 61049 //
     /*  889841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  889852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  889855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889909 */     GIR_RootConstrainSelectedInstOperands,
     /*  889910 */     // GIR_Coverage, 61049,
     /*  889910 */     GIR_EraseRootFromParent_Done,
     /*  889911 */   // Label 13580: @889911
     /*  889911 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(889986), // Rule ID 61050 //
     /*  889916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  889927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  889930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889984 */     GIR_RootConstrainSelectedInstOperands,
     /*  889985 */     // GIR_Coverage, 61050,
     /*  889985 */     GIR_EraseRootFromParent_Done,
     /*  889986 */   // Label 13581: @889986
     /*  889986 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(890061), // Rule ID 61053 //
     /*  889991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890059 */     GIR_RootConstrainSelectedInstOperands,
     /*  890060 */     // GIR_Coverage, 61053,
     /*  890060 */     GIR_EraseRootFromParent_Done,
     /*  890061 */   // Label 13582: @890061
     /*  890061 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890136), // Rule ID 61054 //
     /*  890066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890134 */     GIR_RootConstrainSelectedInstOperands,
     /*  890135 */     // GIR_Coverage, 61054,
     /*  890135 */     GIR_EraseRootFromParent_Done,
     /*  890136 */   // Label 13583: @890136
     /*  890136 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890211), // Rule ID 61057 //
     /*  890141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890209 */     GIR_RootConstrainSelectedInstOperands,
     /*  890210 */     // GIR_Coverage, 61057,
     /*  890210 */     GIR_EraseRootFromParent_Done,
     /*  890211 */   // Label 13584: @890211
     /*  890211 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890286), // Rule ID 61058 //
     /*  890216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890284 */     GIR_RootConstrainSelectedInstOperands,
     /*  890285 */     // GIR_Coverage, 61058,
     /*  890285 */     GIR_EraseRootFromParent_Done,
     /*  890286 */   // Label 13585: @890286
     /*  890286 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890361), // Rule ID 61061 //
     /*  890291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890359 */     GIR_RootConstrainSelectedInstOperands,
     /*  890360 */     // GIR_Coverage, 61061,
     /*  890360 */     GIR_EraseRootFromParent_Done,
     /*  890361 */   // Label 13586: @890361
     /*  890361 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890436), // Rule ID 61062 //
     /*  890366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  890377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  890380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  890383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890434 */     GIR_RootConstrainSelectedInstOperands,
     /*  890435 */     // GIR_Coverage, 61062,
     /*  890435 */     GIR_EraseRootFromParent_Done,
     /*  890436 */   // Label 13587: @890436
     /*  890436 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890511), // Rule ID 61065 //
     /*  890441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890509 */     GIR_RootConstrainSelectedInstOperands,
     /*  890510 */     // GIR_Coverage, 61065,
     /*  890510 */     GIR_EraseRootFromParent_Done,
     /*  890511 */   // Label 13588: @890511
     /*  890511 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890586), // Rule ID 61066 //
     /*  890516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  890527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  890530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  890565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890584 */     GIR_RootConstrainSelectedInstOperands,
     /*  890585 */     // GIR_Coverage, 61066,
     /*  890585 */     GIR_EraseRootFromParent_Done,
     /*  890586 */   // Label 13589: @890586
     /*  890586 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890661), // Rule ID 61069 //
     /*  890591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  890602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  890605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890659 */     GIR_RootConstrainSelectedInstOperands,
     /*  890660 */     // GIR_Coverage, 61069,
     /*  890660 */     GIR_EraseRootFromParent_Done,
     /*  890661 */   // Label 13590: @890661
     /*  890661 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890736), // Rule ID 61070 //
     /*  890666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  890677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  890680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  890715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890734 */     GIR_RootConstrainSelectedInstOperands,
     /*  890735 */     // GIR_Coverage, 61070,
     /*  890735 */     GIR_EraseRootFromParent_Done,
     /*  890736 */   // Label 13591: @890736
     /*  890736 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890811), // Rule ID 61073 //
     /*  890741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  890752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  890755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890809 */     GIR_RootConstrainSelectedInstOperands,
     /*  890810 */     // GIR_Coverage, 61073,
     /*  890810 */     GIR_EraseRootFromParent_Done,
     /*  890811 */   // Label 13592: @890811
     /*  890811 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890886), // Rule ID 61074 //
     /*  890816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  890827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  890830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  890865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890884 */     GIR_RootConstrainSelectedInstOperands,
     /*  890885 */     // GIR_Coverage, 61074,
     /*  890885 */     GIR_EraseRootFromParent_Done,
     /*  890886 */   // Label 13593: @890886
     /*  890886 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(890961), // Rule ID 61253 //
     /*  890891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  890902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  890905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  890908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  890911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890937 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  890940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890959 */     GIR_RootConstrainSelectedInstOperands,
     /*  890960 */     // GIR_Coverage, 61253,
     /*  890960 */     GIR_EraseRootFromParent_Done,
     /*  890961 */   // Label 13594: @890961
     /*  890961 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(891036), // Rule ID 61254 //
     /*  890966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  890977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  890980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  890983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  890986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  891015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891034 */     GIR_RootConstrainSelectedInstOperands,
     /*  891035 */     // GIR_Coverage, 61254,
     /*  891035 */     GIR_EraseRootFromParent_Done,
     /*  891036 */   // Label 13595: @891036
     /*  891036 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(891111), // Rule ID 61257 //
     /*  891041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891109 */     GIR_RootConstrainSelectedInstOperands,
     /*  891110 */     // GIR_Coverage, 61257,
     /*  891110 */     GIR_EraseRootFromParent_Done,
     /*  891111 */   // Label 13596: @891111
     /*  891111 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891186), // Rule ID 61258 //
     /*  891116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891184 */     GIR_RootConstrainSelectedInstOperands,
     /*  891185 */     // GIR_Coverage, 61258,
     /*  891185 */     GIR_EraseRootFromParent_Done,
     /*  891186 */   // Label 13597: @891186
     /*  891186 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891261), // Rule ID 61261 //
     /*  891191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891237 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891259 */     GIR_RootConstrainSelectedInstOperands,
     /*  891260 */     // GIR_Coverage, 61261,
     /*  891260 */     GIR_EraseRootFromParent_Done,
     /*  891261 */   // Label 13598: @891261
     /*  891261 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891336), // Rule ID 61262 //
     /*  891266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891334 */     GIR_RootConstrainSelectedInstOperands,
     /*  891335 */     // GIR_Coverage, 61262,
     /*  891335 */     GIR_EraseRootFromParent_Done,
     /*  891336 */   // Label 13599: @891336
     /*  891336 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891411), // Rule ID 61265 //
     /*  891341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891409 */     GIR_RootConstrainSelectedInstOperands,
     /*  891410 */     // GIR_Coverage, 61265,
     /*  891410 */     GIR_EraseRootFromParent_Done,
     /*  891411 */   // Label 13600: @891411
     /*  891411 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891486), // Rule ID 61266 //
     /*  891416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  891427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  891430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  891436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  891465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891484 */     GIR_RootConstrainSelectedInstOperands,
     /*  891485 */     // GIR_Coverage, 61266,
     /*  891485 */     GIR_EraseRootFromParent_Done,
     /*  891486 */   // Label 13601: @891486
     /*  891486 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891561), // Rule ID 61269 //
     /*  891491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891559 */     GIR_RootConstrainSelectedInstOperands,
     /*  891560 */     // GIR_Coverage, 61269,
     /*  891560 */     GIR_EraseRootFromParent_Done,
     /*  891561 */   // Label 13602: @891561
     /*  891561 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891636), // Rule ID 61270 //
     /*  891566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  891577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  891580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  891586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891634 */     GIR_RootConstrainSelectedInstOperands,
     /*  891635 */     // GIR_Coverage, 61270,
     /*  891635 */     GIR_EraseRootFromParent_Done,
     /*  891636 */   // Label 13603: @891636
     /*  891636 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891711), // Rule ID 61273 //
     /*  891641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  891652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  891655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  891661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891709 */     GIR_RootConstrainSelectedInstOperands,
     /*  891710 */     // GIR_Coverage, 61273,
     /*  891710 */     GIR_EraseRootFromParent_Done,
     /*  891711 */   // Label 13604: @891711
     /*  891711 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891786), // Rule ID 61274 //
     /*  891716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  891727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  891730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  891736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  891765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891784 */     GIR_RootConstrainSelectedInstOperands,
     /*  891785 */     // GIR_Coverage, 61274,
     /*  891785 */     GIR_EraseRootFromParent_Done,
     /*  891786 */   // Label 13605: @891786
     /*  891786 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891861), // Rule ID 61277 //
     /*  891791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  891802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  891805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  891808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  891811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891859 */     GIR_RootConstrainSelectedInstOperands,
     /*  891860 */     // GIR_Coverage, 61277,
     /*  891860 */     GIR_EraseRootFromParent_Done,
     /*  891861 */   // Label 13606: @891861
     /*  891861 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891936), // Rule ID 61278 //
     /*  891866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  891877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  891880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  891883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  891886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891934 */     GIR_RootConstrainSelectedInstOperands,
     /*  891935 */     // GIR_Coverage, 61278,
     /*  891935 */     GIR_EraseRootFromParent_Done,
     /*  891936 */   // Label 13607: @891936
     /*  891936 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(892011), // Rule ID 61281 //
     /*  891941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  891952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  891955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  891958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  891961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892009 */     GIR_RootConstrainSelectedInstOperands,
     /*  892010 */     // GIR_Coverage, 61281,
     /*  892010 */     GIR_EraseRootFromParent_Done,
     /*  892011 */   // Label 13608: @892011
     /*  892011 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(892086), // Rule ID 61282 //
     /*  892016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892084 */     GIR_RootConstrainSelectedInstOperands,
     /*  892085 */     // GIR_Coverage, 61282,
     /*  892085 */     GIR_EraseRootFromParent_Done,
     /*  892086 */   // Label 13609: @892086
     /*  892086 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892161), // Rule ID 61285 //
     /*  892091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892159 */     GIR_RootConstrainSelectedInstOperands,
     /*  892160 */     // GIR_Coverage, 61285,
     /*  892160 */     GIR_EraseRootFromParent_Done,
     /*  892161 */   // Label 13610: @892161
     /*  892161 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892236), // Rule ID 61286 //
     /*  892166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892234 */     GIR_RootConstrainSelectedInstOperands,
     /*  892235 */     // GIR_Coverage, 61286,
     /*  892235 */     GIR_EraseRootFromParent_Done,
     /*  892236 */   // Label 13611: @892236
     /*  892236 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892311), // Rule ID 61289 //
     /*  892241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892309 */     GIR_RootConstrainSelectedInstOperands,
     /*  892310 */     // GIR_Coverage, 61289,
     /*  892310 */     GIR_EraseRootFromParent_Done,
     /*  892311 */   // Label 13612: @892311
     /*  892311 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892386), // Rule ID 61290 //
     /*  892316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  892365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892384 */     GIR_RootConstrainSelectedInstOperands,
     /*  892385 */     // GIR_Coverage, 61290,
     /*  892385 */     GIR_EraseRootFromParent_Done,
     /*  892386 */   // Label 13613: @892386
     /*  892386 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892461), // Rule ID 61293 //
     /*  892391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892437 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892459 */     GIR_RootConstrainSelectedInstOperands,
     /*  892460 */     // GIR_Coverage, 61293,
     /*  892460 */     GIR_EraseRootFromParent_Done,
     /*  892461 */   // Label 13614: @892461
     /*  892461 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892536), // Rule ID 61294 //
     /*  892466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  892477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  892480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  892486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892534 */     GIR_RootConstrainSelectedInstOperands,
     /*  892535 */     // GIR_Coverage, 61294,
     /*  892535 */     GIR_EraseRootFromParent_Done,
     /*  892536 */   // Label 13615: @892536
     /*  892536 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892611), // Rule ID 61297 //
     /*  892541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  892561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892609 */     GIR_RootConstrainSelectedInstOperands,
     /*  892610 */     // GIR_Coverage, 61297,
     /*  892610 */     GIR_EraseRootFromParent_Done,
     /*  892611 */   // Label 13616: @892611
     /*  892611 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892686), // Rule ID 61298 //
     /*  892616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  892627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  892630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  892633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  892636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892684 */     GIR_RootConstrainSelectedInstOperands,
     /*  892685 */     // GIR_Coverage, 61298,
     /*  892685 */     GIR_EraseRootFromParent_Done,
     /*  892686 */   // Label 13617: @892686
     /*  892686 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892761), // Rule ID 61301 //
     /*  892691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  892702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  892705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  892708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  892711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892737 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892759 */     GIR_RootConstrainSelectedInstOperands,
     /*  892760 */     // GIR_Coverage, 61301,
     /*  892760 */     GIR_EraseRootFromParent_Done,
     /*  892761 */   // Label 13618: @892761
     /*  892761 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892836), // Rule ID 61302 //
     /*  892766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  892777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  892780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  892783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  892786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892834 */     GIR_RootConstrainSelectedInstOperands,
     /*  892835 */     // GIR_Coverage, 61302,
     /*  892835 */     GIR_EraseRootFromParent_Done,
     /*  892836 */   // Label 13619: @892836
     /*  892836 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892911), // Rule ID 61305 //
     /*  892841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  892852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  892855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  892858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  892861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892909 */     GIR_RootConstrainSelectedInstOperands,
     /*  892910 */     // GIR_Coverage, 61305,
     /*  892910 */     GIR_EraseRootFromParent_Done,
     /*  892911 */   // Label 13620: @892911
     /*  892911 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(892986), // Rule ID 61306 //
     /*  892916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  892927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  892930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  892933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  892936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892984 */     GIR_RootConstrainSelectedInstOperands,
     /*  892985 */     // GIR_Coverage, 61306,
     /*  892985 */     GIR_EraseRootFromParent_Done,
     /*  892986 */   // Label 13621: @892986
     /*  892986 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(893061), // Rule ID 61309 //
     /*  892991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893059 */     GIR_RootConstrainSelectedInstOperands,
     /*  893060 */     // GIR_Coverage, 61309,
     /*  893060 */     GIR_EraseRootFromParent_Done,
     /*  893061 */   // Label 13622: @893061
     /*  893061 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893136), // Rule ID 61310 //
     /*  893066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893134 */     GIR_RootConstrainSelectedInstOperands,
     /*  893135 */     // GIR_Coverage, 61310,
     /*  893135 */     GIR_EraseRootFromParent_Done,
     /*  893136 */   // Label 13623: @893136
     /*  893136 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893211), // Rule ID 61313 //
     /*  893141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893209 */     GIR_RootConstrainSelectedInstOperands,
     /*  893210 */     // GIR_Coverage, 61313,
     /*  893210 */     GIR_EraseRootFromParent_Done,
     /*  893211 */   // Label 13624: @893211
     /*  893211 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893286), // Rule ID 61314 //
     /*  893216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893284 */     GIR_RootConstrainSelectedInstOperands,
     /*  893285 */     // GIR_Coverage, 61314,
     /*  893285 */     GIR_EraseRootFromParent_Done,
     /*  893286 */   // Label 13625: @893286
     /*  893286 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893361), // Rule ID 61317 //
     /*  893291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893359 */     GIR_RootConstrainSelectedInstOperands,
     /*  893360 */     // GIR_Coverage, 61317,
     /*  893360 */     GIR_EraseRootFromParent_Done,
     /*  893361 */   // Label 13626: @893361
     /*  893361 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893436), // Rule ID 61318 //
     /*  893366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  893377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  893380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  893383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  893386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893434 */     GIR_RootConstrainSelectedInstOperands,
     /*  893435 */     // GIR_Coverage, 61318,
     /*  893435 */     GIR_EraseRootFromParent_Done,
     /*  893436 */   // Label 13627: @893436
     /*  893436 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893511), // Rule ID 61321 //
     /*  893441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893509 */     GIR_RootConstrainSelectedInstOperands,
     /*  893510 */     // GIR_Coverage, 61321,
     /*  893510 */     GIR_EraseRootFromParent_Done,
     /*  893511 */   // Label 13628: @893511
     /*  893511 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893586), // Rule ID 61322 //
     /*  893516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  893527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  893530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  893533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  893536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893584 */     GIR_RootConstrainSelectedInstOperands,
     /*  893585 */     // GIR_Coverage, 61322,
     /*  893585 */     GIR_EraseRootFromParent_Done,
     /*  893586 */   // Label 13629: @893586
     /*  893586 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893661), // Rule ID 61325 //
     /*  893591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  893602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  893605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  893608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  893611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893637 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893659 */     GIR_RootConstrainSelectedInstOperands,
     /*  893660 */     // GIR_Coverage, 61325,
     /*  893660 */     GIR_EraseRootFromParent_Done,
     /*  893661 */   // Label 13630: @893661
     /*  893661 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893736), // Rule ID 61326 //
     /*  893666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  893677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  893680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  893683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  893686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  893715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893734 */     GIR_RootConstrainSelectedInstOperands,
     /*  893735 */     // GIR_Coverage, 61326,
     /*  893735 */     GIR_EraseRootFromParent_Done,
     /*  893736 */   // Label 13631: @893736
     /*  893736 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893811), // Rule ID 61329 //
     /*  893741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  893752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  893755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  893761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893809 */     GIR_RootConstrainSelectedInstOperands,
     /*  893810 */     // GIR_Coverage, 61329,
     /*  893810 */     GIR_EraseRootFromParent_Done,
     /*  893811 */   // Label 13632: @893811
     /*  893811 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893886), // Rule ID 61330 //
     /*  893816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  893827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  893830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  893836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  893865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893884 */     GIR_RootConstrainSelectedInstOperands,
     /*  893885 */     // GIR_Coverage, 61330,
     /*  893885 */     GIR_EraseRootFromParent_Done,
     /*  893886 */   // Label 13633: @893886
     /*  893886 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(893961), // Rule ID 61333 //
     /*  893891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  893902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  893905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  893908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  893911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  893940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893959 */     GIR_RootConstrainSelectedInstOperands,
     /*  893960 */     // GIR_Coverage, 61333,
     /*  893960 */     GIR_EraseRootFromParent_Done,
     /*  893961 */   // Label 13634: @893961
     /*  893961 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(894036), // Rule ID 61334 //
     /*  893966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  893977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  893980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  893983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  893986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  894015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894034 */     GIR_RootConstrainSelectedInstOperands,
     /*  894035 */     // GIR_Coverage, 61334,
     /*  894035 */     GIR_EraseRootFromParent_Done,
     /*  894036 */   // Label 13635: @894036
     /*  894036 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(894111), // Rule ID 61337 //
     /*  894041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894109 */     GIR_RootConstrainSelectedInstOperands,
     /*  894110 */     // GIR_Coverage, 61337,
     /*  894110 */     GIR_EraseRootFromParent_Done,
     /*  894111 */   // Label 13636: @894111
     /*  894111 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894186), // Rule ID 61338 //
     /*  894116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  894165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894184 */     GIR_RootConstrainSelectedInstOperands,
     /*  894185 */     // GIR_Coverage, 61338,
     /*  894185 */     GIR_EraseRootFromParent_Done,
     /*  894186 */   // Label 13637: @894186
     /*  894186 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894261), // Rule ID 61341 //
     /*  894191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894237 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894259 */     GIR_RootConstrainSelectedInstOperands,
     /*  894260 */     // GIR_Coverage, 61341,
     /*  894260 */     GIR_EraseRootFromParent_Done,
     /*  894261 */   // Label 13638: @894261
     /*  894261 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894336), // Rule ID 61342 //
     /*  894266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  894315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894334 */     GIR_RootConstrainSelectedInstOperands,
     /*  894335 */     // GIR_Coverage, 61342,
     /*  894335 */     GIR_EraseRootFromParent_Done,
     /*  894336 */   // Label 13639: @894336
     /*  894336 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894411), // Rule ID 61345 //
     /*  894341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894409 */     GIR_RootConstrainSelectedInstOperands,
     /*  894410 */     // GIR_Coverage, 61345,
     /*  894410 */     GIR_EraseRootFromParent_Done,
     /*  894411 */   // Label 13640: @894411
     /*  894411 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894486), // Rule ID 61346 //
     /*  894416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  894427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  894430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  894433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894484 */     GIR_RootConstrainSelectedInstOperands,
     /*  894485 */     // GIR_Coverage, 61346,
     /*  894485 */     GIR_EraseRootFromParent_Done,
     /*  894486 */   // Label 13641: @894486
     /*  894486 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894561), // Rule ID 61349 //
     /*  894491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894559 */     GIR_RootConstrainSelectedInstOperands,
     /*  894560 */     // GIR_Coverage, 61349,
     /*  894560 */     GIR_EraseRootFromParent_Done,
     /*  894561 */   // Label 13642: @894561
     /*  894561 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894636), // Rule ID 61350 //
     /*  894566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894634 */     GIR_RootConstrainSelectedInstOperands,
     /*  894635 */     // GIR_Coverage, 61350,
     /*  894635 */     GIR_EraseRootFromParent_Done,
     /*  894636 */   // Label 13643: @894636
     /*  894636 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894711), // Rule ID 61353 //
     /*  894641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894687 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894709 */     GIR_RootConstrainSelectedInstOperands,
     /*  894710 */     // GIR_Coverage, 61353,
     /*  894710 */     GIR_EraseRootFromParent_Done,
     /*  894711 */   // Label 13644: @894711
     /*  894711 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894786), // Rule ID 61354 //
     /*  894716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  894765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894784 */     GIR_RootConstrainSelectedInstOperands,
     /*  894785 */     // GIR_Coverage, 61354,
     /*  894785 */     GIR_EraseRootFromParent_Done,
     /*  894786 */   // Label 13645: @894786
     /*  894786 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894861), // Rule ID 61357 //
     /*  894791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894859 */     GIR_RootConstrainSelectedInstOperands,
     /*  894860 */     // GIR_Coverage, 61357,
     /*  894860 */     GIR_EraseRootFromParent_Done,
     /*  894861 */   // Label 13646: @894861
     /*  894861 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894936), // Rule ID 61358 //
     /*  894866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894934 */     GIR_RootConstrainSelectedInstOperands,
     /*  894935 */     // GIR_Coverage, 61358,
     /*  894935 */     GIR_EraseRootFromParent_Done,
     /*  894936 */   // Label 13647: @894936
     /*  894936 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(895011), // Rule ID 61361 //
     /*  894941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  894952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  894955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  894958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  894990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895009 */     GIR_RootConstrainSelectedInstOperands,
     /*  895010 */     // GIR_Coverage, 61361,
     /*  895010 */     GIR_EraseRootFromParent_Done,
     /*  895011 */   // Label 13648: @895011
     /*  895011 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(895086), // Rule ID 61362 //
     /*  895016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  895065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895084 */     GIR_RootConstrainSelectedInstOperands,
     /*  895085 */     // GIR_Coverage, 61362,
     /*  895085 */     GIR_EraseRootFromParent_Done,
     /*  895086 */   // Label 13649: @895086
     /*  895086 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895161), // Rule ID 61365 //
     /*  895091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895137 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895159 */     GIR_RootConstrainSelectedInstOperands,
     /*  895160 */     // GIR_Coverage, 61365,
     /*  895160 */     GIR_EraseRootFromParent_Done,
     /*  895161 */   // Label 13650: @895161
     /*  895161 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895236), // Rule ID 61366 //
     /*  895166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895234 */     GIR_RootConstrainSelectedInstOperands,
     /*  895235 */     // GIR_Coverage, 61366,
     /*  895235 */     GIR_EraseRootFromParent_Done,
     /*  895236 */   // Label 13651: @895236
     /*  895236 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895311), // Rule ID 61369 //
     /*  895241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895309 */     GIR_RootConstrainSelectedInstOperands,
     /*  895310 */     // GIR_Coverage, 61369,
     /*  895310 */     GIR_EraseRootFromParent_Done,
     /*  895311 */   // Label 13652: @895311
     /*  895311 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895386), // Rule ID 61370 //
     /*  895316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895384 */     GIR_RootConstrainSelectedInstOperands,
     /*  895385 */     // GIR_Coverage, 61370,
     /*  895385 */     GIR_EraseRootFromParent_Done,
     /*  895386 */   // Label 13653: @895386
     /*  895386 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895461), // Rule ID 61373 //
     /*  895391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895459 */     GIR_RootConstrainSelectedInstOperands,
     /*  895460 */     // GIR_Coverage, 61373,
     /*  895460 */     GIR_EraseRootFromParent_Done,
     /*  895461 */   // Label 13654: @895461
     /*  895461 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895536), // Rule ID 61374 //
     /*  895466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895534 */     GIR_RootConstrainSelectedInstOperands,
     /*  895535 */     // GIR_Coverage, 61374,
     /*  895535 */     GIR_EraseRootFromParent_Done,
     /*  895536 */   // Label 13655: @895536
     /*  895536 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895611), // Rule ID 61377 //
     /*  895541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895609 */     GIR_RootConstrainSelectedInstOperands,
     /*  895610 */     // GIR_Coverage, 61377,
     /*  895610 */     GIR_EraseRootFromParent_Done,
     /*  895611 */   // Label 13656: @895611
     /*  895611 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895686), // Rule ID 61378 //
     /*  895616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  895665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895684 */     GIR_RootConstrainSelectedInstOperands,
     /*  895685 */     // GIR_Coverage, 61378,
     /*  895685 */     GIR_EraseRootFromParent_Done,
     /*  895686 */   // Label 13657: @895686
     /*  895686 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895761), // Rule ID 61381 //
     /*  895691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895759 */     GIR_RootConstrainSelectedInstOperands,
     /*  895760 */     // GIR_Coverage, 61381,
     /*  895760 */     GIR_EraseRootFromParent_Done,
     /*  895761 */   // Label 13658: @895761
     /*  895761 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895836), // Rule ID 61382 //
     /*  895766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895834 */     GIR_RootConstrainSelectedInstOperands,
     /*  895835 */     // GIR_Coverage, 61382,
     /*  895835 */     GIR_EraseRootFromParent_Done,
     /*  895836 */   // Label 13659: @895836
     /*  895836 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895911), // Rule ID 61385 //
     /*  895841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895887 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895909 */     GIR_RootConstrainSelectedInstOperands,
     /*  895910 */     // GIR_Coverage, 61385,
     /*  895910 */     GIR_EraseRootFromParent_Done,
     /*  895911 */   // Label 13660: @895911
     /*  895911 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(895986), // Rule ID 61386 //
     /*  895916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895984 */     GIR_RootConstrainSelectedInstOperands,
     /*  895985 */     // GIR_Coverage, 61386,
     /*  895985 */     GIR_EraseRootFromParent_Done,
     /*  895986 */   // Label 13661: @895986
     /*  895986 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(896061), // Rule ID 61389 //
     /*  895991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896037 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896059 */     GIR_RootConstrainSelectedInstOperands,
     /*  896060 */     // GIR_Coverage, 61389,
     /*  896060 */     GIR_EraseRootFromParent_Done,
     /*  896061 */   // Label 13662: @896061
     /*  896061 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896136), // Rule ID 61390 //
     /*  896066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896112 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896134 */     GIR_RootConstrainSelectedInstOperands,
     /*  896135 */     // GIR_Coverage, 61390,
     /*  896135 */     GIR_EraseRootFromParent_Done,
     /*  896136 */   // Label 13663: @896136
     /*  896136 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896211), // Rule ID 61393 //
     /*  896141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896209 */     GIR_RootConstrainSelectedInstOperands,
     /*  896210 */     // GIR_Coverage, 61393,
     /*  896210 */     GIR_EraseRootFromParent_Done,
     /*  896211 */   // Label 13664: @896211
     /*  896211 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896286), // Rule ID 61394 //
     /*  896216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896284 */     GIR_RootConstrainSelectedInstOperands,
     /*  896285 */     // GIR_Coverage, 61394,
     /*  896285 */     GIR_EraseRootFromParent_Done,
     /*  896286 */   // Label 13665: @896286
     /*  896286 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896361), // Rule ID 61397 //
     /*  896291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896359 */     GIR_RootConstrainSelectedInstOperands,
     /*  896360 */     // GIR_Coverage, 61397,
     /*  896360 */     GIR_EraseRootFromParent_Done,
     /*  896361 */   // Label 13666: @896361
     /*  896361 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896436), // Rule ID 61398 //
     /*  896366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896434 */     GIR_RootConstrainSelectedInstOperands,
     /*  896435 */     // GIR_Coverage, 61398,
     /*  896435 */     GIR_EraseRootFromParent_Done,
     /*  896436 */   // Label 13667: @896436
     /*  896436 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896511), // Rule ID 61401 //
     /*  896441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896509 */     GIR_RootConstrainSelectedInstOperands,
     /*  896510 */     // GIR_Coverage, 61401,
     /*  896510 */     GIR_EraseRootFromParent_Done,
     /*  896511 */   // Label 13668: @896511
     /*  896511 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896586), // Rule ID 61402 //
     /*  896516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896584 */     GIR_RootConstrainSelectedInstOperands,
     /*  896585 */     // GIR_Coverage, 61402,
     /*  896585 */     GIR_EraseRootFromParent_Done,
     /*  896586 */   // Label 13669: @896586
     /*  896586 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896661), // Rule ID 61405 //
     /*  896591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896659 */     GIR_RootConstrainSelectedInstOperands,
     /*  896660 */     // GIR_Coverage, 61405,
     /*  896660 */     GIR_EraseRootFromParent_Done,
     /*  896661 */   // Label 13670: @896661
     /*  896661 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896736), // Rule ID 61406 //
     /*  896666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  896715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896734 */     GIR_RootConstrainSelectedInstOperands,
     /*  896735 */     // GIR_Coverage, 61406,
     /*  896735 */     GIR_EraseRootFromParent_Done,
     /*  896736 */   // Label 13671: @896736
     /*  896736 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896811), // Rule ID 61409 //
     /*  896741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896809 */     GIR_RootConstrainSelectedInstOperands,
     /*  896810 */     // GIR_Coverage, 61409,
     /*  896810 */     GIR_EraseRootFromParent_Done,
     /*  896811 */   // Label 13672: @896811
     /*  896811 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896886), // Rule ID 61410 //
     /*  896816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896884 */     GIR_RootConstrainSelectedInstOperands,
     /*  896885 */     // GIR_Coverage, 61410,
     /*  896885 */     GIR_EraseRootFromParent_Done,
     /*  896886 */   // Label 13673: @896886
     /*  896886 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(896961), // Rule ID 61413 //
     /*  896891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  896902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  896905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  896908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896959 */     GIR_RootConstrainSelectedInstOperands,
     /*  896960 */     // GIR_Coverage, 61413,
     /*  896960 */     GIR_EraseRootFromParent_Done,
     /*  896961 */   // Label 13674: @896961
     /*  896961 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(897036), // Rule ID 61414 //
     /*  896966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  896977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  896980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  896983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897034 */     GIR_RootConstrainSelectedInstOperands,
     /*  897035 */     // GIR_Coverage, 61414,
     /*  897035 */     GIR_EraseRootFromParent_Done,
     /*  897036 */   // Label 13675: @897036
     /*  897036 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(897111), // Rule ID 61417 //
     /*  897041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897109 */     GIR_RootConstrainSelectedInstOperands,
     /*  897110 */     // GIR_Coverage, 61417,
     /*  897110 */     GIR_EraseRootFromParent_Done,
     /*  897111 */   // Label 13676: @897111
     /*  897111 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897186), // Rule ID 61418 //
     /*  897116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  897165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897184 */     GIR_RootConstrainSelectedInstOperands,
     /*  897185 */     // GIR_Coverage, 61418,
     /*  897185 */     GIR_EraseRootFromParent_Done,
     /*  897186 */   // Label 13677: @897186
     /*  897186 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897261), // Rule ID 61421 //
     /*  897191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897259 */     GIR_RootConstrainSelectedInstOperands,
     /*  897260 */     // GIR_Coverage, 61421,
     /*  897260 */     GIR_EraseRootFromParent_Done,
     /*  897261 */   // Label 13678: @897261
     /*  897261 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897336), // Rule ID 61422 //
     /*  897266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  897315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897334 */     GIR_RootConstrainSelectedInstOperands,
     /*  897335 */     // GIR_Coverage, 61422,
     /*  897335 */     GIR_EraseRootFromParent_Done,
     /*  897336 */   // Label 13679: @897336
     /*  897336 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897411), // Rule ID 61425 //
     /*  897341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897387 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897409 */     GIR_RootConstrainSelectedInstOperands,
     /*  897410 */     // GIR_Coverage, 61425,
     /*  897410 */     GIR_EraseRootFromParent_Done,
     /*  897411 */   // Label 13680: @897411
     /*  897411 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897486), // Rule ID 61426 //
     /*  897416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  897465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897484 */     GIR_RootConstrainSelectedInstOperands,
     /*  897485 */     // GIR_Coverage, 61426,
     /*  897485 */     GIR_EraseRootFromParent_Done,
     /*  897486 */   // Label 13681: @897486
     /*  897486 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897561), // Rule ID 61513 //
     /*  897491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897537 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897559 */     GIR_RootConstrainSelectedInstOperands,
     /*  897560 */     // GIR_Coverage, 61513,
     /*  897560 */     GIR_EraseRootFromParent_Done,
     /*  897561 */   // Label 13682: @897561
     /*  897561 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897636), // Rule ID 61514 //
     /*  897566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  897577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  897580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  897583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  897586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  897615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897634 */     GIR_RootConstrainSelectedInstOperands,
     /*  897635 */     // GIR_Coverage, 61514,
     /*  897635 */     GIR_EraseRootFromParent_Done,
     /*  897636 */   // Label 13683: @897636
     /*  897636 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897711), // Rule ID 61517 //
     /*  897641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  897652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  897655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  897658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  897661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897687 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  897690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897709 */     GIR_RootConstrainSelectedInstOperands,
     /*  897710 */     // GIR_Coverage, 61517,
     /*  897710 */     GIR_EraseRootFromParent_Done,
     /*  897711 */   // Label 13684: @897711
     /*  897711 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897786), // Rule ID 61518 //
     /*  897716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  897727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  897730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  897733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  897736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  897765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897784 */     GIR_RootConstrainSelectedInstOperands,
     /*  897785 */     // GIR_Coverage, 61518,
     /*  897785 */     GIR_EraseRootFromParent_Done,
     /*  897786 */   // Label 13685: @897786
     /*  897786 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897861), // Rule ID 61521 //
     /*  897791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  897802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  897805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  897808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  897811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897837 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897859 */     GIR_RootConstrainSelectedInstOperands,
     /*  897860 */     // GIR_Coverage, 61521,
     /*  897860 */     GIR_EraseRootFromParent_Done,
     /*  897861 */   // Label 13686: @897861
     /*  897861 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897936), // Rule ID 61522 //
     /*  897866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  897877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  897880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  897883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  897886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897934 */     GIR_RootConstrainSelectedInstOperands,
     /*  897935 */     // GIR_Coverage, 61522,
     /*  897935 */     GIR_EraseRootFromParent_Done,
     /*  897936 */   // Label 13687: @897936
     /*  897936 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(898011), // Rule ID 61525 //
     /*  897941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  897952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  897955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  897958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  897961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  897990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898009 */     GIR_RootConstrainSelectedInstOperands,
     /*  898010 */     // GIR_Coverage, 61525,
     /*  898010 */     GIR_EraseRootFromParent_Done,
     /*  898011 */   // Label 13688: @898011
     /*  898011 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(898086), // Rule ID 61526 //
     /*  898016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  898027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  898030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  898033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  898036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  898065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898084 */     GIR_RootConstrainSelectedInstOperands,
     /*  898085 */     // GIR_Coverage, 61526,
     /*  898085 */     GIR_EraseRootFromParent_Done,
     /*  898086 */   // Label 13689: @898086
     /*  898086 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898161), // Rule ID 61529 //
     /*  898091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898137 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898159 */     GIR_RootConstrainSelectedInstOperands,
     /*  898160 */     // GIR_Coverage, 61529,
     /*  898160 */     GIR_EraseRootFromParent_Done,
     /*  898161 */   // Label 13690: @898161
     /*  898161 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898236), // Rule ID 61530 //
     /*  898166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  898177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  898180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  898183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  898186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898234 */     GIR_RootConstrainSelectedInstOperands,
     /*  898235 */     // GIR_Coverage, 61530,
     /*  898235 */     GIR_EraseRootFromParent_Done,
     /*  898236 */   // Label 13691: @898236
     /*  898236 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898311), // Rule ID 61533 //
     /*  898241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898309 */     GIR_RootConstrainSelectedInstOperands,
     /*  898310 */     // GIR_Coverage, 61533,
     /*  898310 */     GIR_EraseRootFromParent_Done,
     /*  898311 */   // Label 13692: @898311
     /*  898311 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898386), // Rule ID 61534 //
     /*  898316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  898327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  898330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  898333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  898365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898384 */     GIR_RootConstrainSelectedInstOperands,
     /*  898385 */     // GIR_Coverage, 61534,
     /*  898385 */     GIR_EraseRootFromParent_Done,
     /*  898386 */   // Label 13693: @898386
     /*  898386 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898461), // Rule ID 61537 //
     /*  898391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898437 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898459 */     GIR_RootConstrainSelectedInstOperands,
     /*  898460 */     // GIR_Coverage, 61537,
     /*  898460 */     GIR_EraseRootFromParent_Done,
     /*  898461 */   // Label 13694: @898461
     /*  898461 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898536), // Rule ID 61538 //
     /*  898466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  898477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  898480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  898483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  898486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898534 */     GIR_RootConstrainSelectedInstOperands,
     /*  898535 */     // GIR_Coverage, 61538,
     /*  898535 */     GIR_EraseRootFromParent_Done,
     /*  898536 */   // Label 13695: @898536
     /*  898536 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898611), // Rule ID 61541 //
     /*  898541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898609 */     GIR_RootConstrainSelectedInstOperands,
     /*  898610 */     // GIR_Coverage, 61541,
     /*  898610 */     GIR_EraseRootFromParent_Done,
     /*  898611 */   // Label 13696: @898611
     /*  898611 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898686), // Rule ID 61542 //
     /*  898616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  898627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  898630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  898633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898684 */     GIR_RootConstrainSelectedInstOperands,
     /*  898685 */     // GIR_Coverage, 61542,
     /*  898685 */     GIR_EraseRootFromParent_Done,
     /*  898686 */   // Label 13697: @898686
     /*  898686 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898761), // Rule ID 61545 //
     /*  898691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898759 */     GIR_RootConstrainSelectedInstOperands,
     /*  898760 */     // GIR_Coverage, 61545,
     /*  898760 */     GIR_EraseRootFromParent_Done,
     /*  898761 */   // Label 13698: @898761
     /*  898761 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898836), // Rule ID 61546 //
     /*  898766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898834 */     GIR_RootConstrainSelectedInstOperands,
     /*  898835 */     // GIR_Coverage, 61546,
     /*  898835 */     GIR_EraseRootFromParent_Done,
     /*  898836 */   // Label 13699: @898836
     /*  898836 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898911), // Rule ID 61549 //
     /*  898841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  898858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  898861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898909 */     GIR_RootConstrainSelectedInstOperands,
     /*  898910 */     // GIR_Coverage, 61549,
     /*  898910 */     GIR_EraseRootFromParent_Done,
     /*  898911 */   // Label 13700: @898911
     /*  898911 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(898986), // Rule ID 61550 //
     /*  898916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  898933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  898936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  898965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898984 */     GIR_RootConstrainSelectedInstOperands,
     /*  898985 */     // GIR_Coverage, 61550,
     /*  898985 */     GIR_EraseRootFromParent_Done,
     /*  898986 */   // Label 13701: @898986
     /*  898986 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(899061), // Rule ID 61553 //
     /*  898991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899037 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899059 */     GIR_RootConstrainSelectedInstOperands,
     /*  899060 */     // GIR_Coverage, 61553,
     /*  899060 */     GIR_EraseRootFromParent_Done,
     /*  899061 */   // Label 13702: @899061
     /*  899061 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899136), // Rule ID 61554 //
     /*  899066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  899077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  899080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  899083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  899086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899134 */     GIR_RootConstrainSelectedInstOperands,
     /*  899135 */     // GIR_Coverage, 61554,
     /*  899135 */     GIR_EraseRootFromParent_Done,
     /*  899136 */   // Label 13703: @899136
     /*  899136 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899211), // Rule ID 61557 //
     /*  899141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899187 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899209 */     GIR_RootConstrainSelectedInstOperands,
     /*  899210 */     // GIR_Coverage, 61557,
     /*  899210 */     GIR_EraseRootFromParent_Done,
     /*  899211 */   // Label 13704: @899211
     /*  899211 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899286), // Rule ID 61558 //
     /*  899216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  899227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  899230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  899233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  899236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899284 */     GIR_RootConstrainSelectedInstOperands,
     /*  899285 */     // GIR_Coverage, 61558,
     /*  899285 */     GIR_EraseRootFromParent_Done,
     /*  899286 */   // Label 13705: @899286
     /*  899286 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899361), // Rule ID 61561 //
     /*  899291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899337 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899359 */     GIR_RootConstrainSelectedInstOperands,
     /*  899360 */     // GIR_Coverage, 61561,
     /*  899360 */     GIR_EraseRootFromParent_Done,
     /*  899361 */   // Label 13706: @899361
     /*  899361 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899436), // Rule ID 61562 //
     /*  899366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  899377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  899380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  899383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  899386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899434 */     GIR_RootConstrainSelectedInstOperands,
     /*  899435 */     // GIR_Coverage, 61562,
     /*  899435 */     GIR_EraseRootFromParent_Done,
     /*  899436 */   // Label 13707: @899436
     /*  899436 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899511), // Rule ID 61565 //
     /*  899441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899509 */     GIR_RootConstrainSelectedInstOperands,
     /*  899510 */     // GIR_Coverage, 61565,
     /*  899510 */     GIR_EraseRootFromParent_Done,
     /*  899511 */   // Label 13708: @899511
     /*  899511 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899586), // Rule ID 61566 //
     /*  899516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  899527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  899530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  899533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899584 */     GIR_RootConstrainSelectedInstOperands,
     /*  899585 */     // GIR_Coverage, 61566,
     /*  899585 */     GIR_EraseRootFromParent_Done,
     /*  899586 */   // Label 13709: @899586
     /*  899586 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899661), // Rule ID 61569 //
     /*  899591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  899602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  899605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  899608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899637 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899659 */     GIR_RootConstrainSelectedInstOperands,
     /*  899660 */     // GIR_Coverage, 61569,
     /*  899660 */     GIR_EraseRootFromParent_Done,
     /*  899661 */   // Label 13710: @899661
     /*  899661 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899736), // Rule ID 61570 //
     /*  899666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  899677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  899680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  899683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899734 */     GIR_RootConstrainSelectedInstOperands,
     /*  899735 */     // GIR_Coverage, 61570,
     /*  899735 */     GIR_EraseRootFromParent_Done,
     /*  899736 */   // Label 13711: @899736
     /*  899736 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899811), // Rule ID 61573 //
     /*  899741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  899752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  899755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  899758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  899761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899809 */     GIR_RootConstrainSelectedInstOperands,
     /*  899810 */     // GIR_Coverage, 61573,
     /*  899810 */     GIR_EraseRootFromParent_Done,
     /*  899811 */   // Label 13712: @899811
     /*  899811 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899886), // Rule ID 61574 //
     /*  899816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  899827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  899830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  899833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  899836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899884 */     GIR_RootConstrainSelectedInstOperands,
     /*  899885 */     // GIR_Coverage, 61574,
     /*  899885 */     GIR_EraseRootFromParent_Done,
     /*  899886 */   // Label 13713: @899886
     /*  899886 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(899961), // Rule ID 61577 //
     /*  899891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  899902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  899905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  899908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  899911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899959 */     GIR_RootConstrainSelectedInstOperands,
     /*  899960 */     // GIR_Coverage, 61577,
     /*  899960 */     GIR_EraseRootFromParent_Done,
     /*  899961 */   // Label 13714: @899961
     /*  899961 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(900036), // Rule ID 61578 //
     /*  899966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  899977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  899980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  899983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  899986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900034 */     GIR_RootConstrainSelectedInstOperands,
     /*  900035 */     // GIR_Coverage, 61578,
     /*  900035 */     GIR_EraseRootFromParent_Done,
     /*  900036 */   // Label 13715: @900036
     /*  900036 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(900111), // Rule ID 61581 //
     /*  900041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900109 */     GIR_RootConstrainSelectedInstOperands,
     /*  900110 */     // GIR_Coverage, 61581,
     /*  900110 */     GIR_EraseRootFromParent_Done,
     /*  900111 */   // Label 13716: @900111
     /*  900111 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900186), // Rule ID 61582 //
     /*  900116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  900127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  900130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  900133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900184 */     GIR_RootConstrainSelectedInstOperands,
     /*  900185 */     // GIR_Coverage, 61582,
     /*  900185 */     GIR_EraseRootFromParent_Done,
     /*  900186 */   // Label 13717: @900186
     /*  900186 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900261), // Rule ID 61585 //
     /*  900191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900259 */     GIR_RootConstrainSelectedInstOperands,
     /*  900260 */     // GIR_Coverage, 61585,
     /*  900260 */     GIR_EraseRootFromParent_Done,
     /*  900261 */   // Label 13718: @900261
     /*  900261 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900336), // Rule ID 61586 //
     /*  900266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  900277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  900280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  900283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  900286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900334 */     GIR_RootConstrainSelectedInstOperands,
     /*  900335 */     // GIR_Coverage, 61586,
     /*  900335 */     GIR_EraseRootFromParent_Done,
     /*  900336 */   // Label 13719: @900336
     /*  900336 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900411), // Rule ID 61589 //
     /*  900341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900409 */     GIR_RootConstrainSelectedInstOperands,
     /*  900410 */     // GIR_Coverage, 61589,
     /*  900410 */     GIR_EraseRootFromParent_Done,
     /*  900411 */   // Label 13720: @900411
     /*  900411 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900486), // Rule ID 61590 //
     /*  900416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  900427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  900430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  900433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  900436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  900465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900484 */     GIR_RootConstrainSelectedInstOperands,
     /*  900485 */     // GIR_Coverage, 61590,
     /*  900485 */     GIR_EraseRootFromParent_Done,
     /*  900486 */   // Label 13721: @900486
     /*  900486 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900561), // Rule ID 61593 //
     /*  900491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900559 */     GIR_RootConstrainSelectedInstOperands,
     /*  900560 */     // GIR_Coverage, 61593,
     /*  900560 */     GIR_EraseRootFromParent_Done,
     /*  900561 */   // Label 13722: @900561
     /*  900561 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900636), // Rule ID 61594 //
     /*  900566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  900583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  900586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  900615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900634 */     GIR_RootConstrainSelectedInstOperands,
     /*  900635 */     // GIR_Coverage, 61594,
     /*  900635 */     GIR_EraseRootFromParent_Done,
     /*  900636 */   // Label 13723: @900636
     /*  900636 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900711), // Rule ID 61597 //
     /*  900641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  900661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900709 */     GIR_RootConstrainSelectedInstOperands,
     /*  900710 */     // GIR_Coverage, 61597,
     /*  900710 */     GIR_EraseRootFromParent_Done,
     /*  900711 */   // Label 13724: @900711
     /*  900711 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900786), // Rule ID 61598 //
     /*  900716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  900736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  900765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900784 */     GIR_RootConstrainSelectedInstOperands,
     /*  900785 */     // GIR_Coverage, 61598,
     /*  900785 */     GIR_EraseRootFromParent_Done,
     /*  900786 */   // Label 13725: @900786
     /*  900786 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900861), // Rule ID 61601 //
     /*  900791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900837 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  900840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900859 */     GIR_RootConstrainSelectedInstOperands,
     /*  900860 */     // GIR_Coverage, 61601,
     /*  900860 */     GIR_EraseRootFromParent_Done,
     /*  900861 */   // Label 13726: @900861
     /*  900861 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900936), // Rule ID 61602 //
     /*  900866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  900915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900934 */     GIR_RootConstrainSelectedInstOperands,
     /*  900935 */     // GIR_Coverage, 61602,
     /*  900935 */     GIR_EraseRootFromParent_Done,
     /*  900936 */   // Label 13727: @900936
     /*  900936 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(901011), // Rule ID 61605 //
     /*  900941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  900952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  900955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  900958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  900990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901009 */     GIR_RootConstrainSelectedInstOperands,
     /*  901010 */     // GIR_Coverage, 61605,
     /*  901010 */     GIR_EraseRootFromParent_Done,
     /*  901011 */   // Label 13728: @901011
     /*  901011 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(901086), // Rule ID 61606 //
     /*  901016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  901027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  901030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901084 */     GIR_RootConstrainSelectedInstOperands,
     /*  901085 */     // GIR_Coverage, 61606,
     /*  901085 */     GIR_EraseRootFromParent_Done,
     /*  901086 */   // Label 13729: @901086
     /*  901086 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901161), // Rule ID 61609 //
     /*  901091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901159 */     GIR_RootConstrainSelectedInstOperands,
     /*  901160 */     // GIR_Coverage, 61609,
     /*  901160 */     GIR_EraseRootFromParent_Done,
     /*  901161 */   // Label 13730: @901161
     /*  901161 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901236), // Rule ID 61610 //
     /*  901166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  901177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  901180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901234 */     GIR_RootConstrainSelectedInstOperands,
     /*  901235 */     // GIR_Coverage, 61610,
     /*  901235 */     GIR_EraseRootFromParent_Done,
     /*  901236 */   // Label 13731: @901236
     /*  901236 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901311), // Rule ID 61613 //
     /*  901241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901309 */     GIR_RootConstrainSelectedInstOperands,
     /*  901310 */     // GIR_Coverage, 61613,
     /*  901310 */     GIR_EraseRootFromParent_Done,
     /*  901311 */   // Label 13732: @901311
     /*  901311 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901386), // Rule ID 61614 //
     /*  901316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  901327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  901330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  901365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901384 */     GIR_RootConstrainSelectedInstOperands,
     /*  901385 */     // GIR_Coverage, 61614,
     /*  901385 */     GIR_EraseRootFromParent_Done,
     /*  901386 */   // Label 13733: @901386
     /*  901386 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901461), // Rule ID 61617 //
     /*  901391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901437 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901459 */     GIR_RootConstrainSelectedInstOperands,
     /*  901460 */     // GIR_Coverage, 61617,
     /*  901460 */     GIR_EraseRootFromParent_Done,
     /*  901461 */   // Label 13734: @901461
     /*  901461 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901536), // Rule ID 61618 //
     /*  901466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901534 */     GIR_RootConstrainSelectedInstOperands,
     /*  901535 */     // GIR_Coverage, 61618,
     /*  901535 */     GIR_EraseRootFromParent_Done,
     /*  901536 */   // Label 13735: @901536
     /*  901536 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901611), // Rule ID 61621 //
     /*  901541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901609 */     GIR_RootConstrainSelectedInstOperands,
     /*  901610 */     // GIR_Coverage, 61621,
     /*  901610 */     GIR_EraseRootFromParent_Done,
     /*  901611 */   // Label 13736: @901611
     /*  901611 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901686), // Rule ID 61622 //
     /*  901616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  901665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901684 */     GIR_RootConstrainSelectedInstOperands,
     /*  901685 */     // GIR_Coverage, 61622,
     /*  901685 */     GIR_EraseRootFromParent_Done,
     /*  901686 */   // Label 13737: @901686
     /*  901686 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901761), // Rule ID 61625 //
     /*  901691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  901702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  901705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901759 */     GIR_RootConstrainSelectedInstOperands,
     /*  901760 */     // GIR_Coverage, 61625,
     /*  901760 */     GIR_EraseRootFromParent_Done,
     /*  901761 */   // Label 13738: @901761
     /*  901761 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901836), // Rule ID 61626 //
     /*  901766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  901777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  901780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901834 */     GIR_RootConstrainSelectedInstOperands,
     /*  901835 */     // GIR_Coverage, 61626,
     /*  901835 */     GIR_EraseRootFromParent_Done,
     /*  901836 */   // Label 13739: @901836
     /*  901836 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901911), // Rule ID 61629 //
     /*  901841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901887 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901909 */     GIR_RootConstrainSelectedInstOperands,
     /*  901910 */     // GIR_Coverage, 61629,
     /*  901910 */     GIR_EraseRootFromParent_Done,
     /*  901911 */   // Label 13740: @901911
     /*  901911 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(901986), // Rule ID 61630 //
     /*  901916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901984 */     GIR_RootConstrainSelectedInstOperands,
     /*  901985 */     // GIR_Coverage, 61630,
     /*  901985 */     GIR_EraseRootFromParent_Done,
     /*  901986 */   // Label 13741: @901986
     /*  901986 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(902061), // Rule ID 61633 //
     /*  901991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902059 */     GIR_RootConstrainSelectedInstOperands,
     /*  902060 */     // GIR_Coverage, 61633,
     /*  902060 */     GIR_EraseRootFromParent_Done,
     /*  902061 */   // Label 13742: @902061
     /*  902061 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902136), // Rule ID 61634 //
     /*  902066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902134 */     GIR_RootConstrainSelectedInstOperands,
     /*  902135 */     // GIR_Coverage, 61634,
     /*  902135 */     GIR_EraseRootFromParent_Done,
     /*  902136 */   // Label 13743: @902136
     /*  902136 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902211), // Rule ID 61637 //
     /*  902141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902209 */     GIR_RootConstrainSelectedInstOperands,
     /*  902210 */     // GIR_Coverage, 61637,
     /*  902210 */     GIR_EraseRootFromParent_Done,
     /*  902211 */   // Label 13744: @902211
     /*  902211 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902286), // Rule ID 61638 //
     /*  902216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  902265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902284 */     GIR_RootConstrainSelectedInstOperands,
     /*  902285 */     // GIR_Coverage, 61638,
     /*  902285 */     GIR_EraseRootFromParent_Done,
     /*  902286 */   // Label 13745: @902286
     /*  902286 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902361), // Rule ID 61641 //
     /*  902291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902337 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902359 */     GIR_RootConstrainSelectedInstOperands,
     /*  902360 */     // GIR_Coverage, 61641,
     /*  902360 */     GIR_EraseRootFromParent_Done,
     /*  902361 */   // Label 13746: @902361
     /*  902361 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902436), // Rule ID 61642 //
     /*  902366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  902377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  902380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902434 */     GIR_RootConstrainSelectedInstOperands,
     /*  902435 */     // GIR_Coverage, 61642,
     /*  902435 */     GIR_EraseRootFromParent_Done,
     /*  902436 */   // Label 13747: @902436
     /*  902436 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902511), // Rule ID 61645 //
     /*  902441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902487 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902509 */     GIR_RootConstrainSelectedInstOperands,
     /*  902510 */     // GIR_Coverage, 61645,
     /*  902510 */     GIR_EraseRootFromParent_Done,
     /*  902511 */   // Label 13748: @902511
     /*  902511 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902586), // Rule ID 61646 //
     /*  902516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  902527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  902530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902562 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902584 */     GIR_RootConstrainSelectedInstOperands,
     /*  902585 */     // GIR_Coverage, 61646,
     /*  902585 */     GIR_EraseRootFromParent_Done,
     /*  902586 */   // Label 13749: @902586
     /*  902586 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902661), // Rule ID 61649 //
     /*  902591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  902602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  902605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  902608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902659 */     GIR_RootConstrainSelectedInstOperands,
     /*  902660 */     // GIR_Coverage, 61649,
     /*  902660 */     GIR_EraseRootFromParent_Done,
     /*  902661 */   // Label 13750: @902661
     /*  902661 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902736), // Rule ID 61650 //
     /*  902666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  902677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  902680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  902683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902712 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902734 */     GIR_RootConstrainSelectedInstOperands,
     /*  902735 */     // GIR_Coverage, 61650,
     /*  902735 */     GIR_EraseRootFromParent_Done,
     /*  902736 */   // Label 13751: @902736
     /*  902736 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902811), // Rule ID 61653 //
     /*  902741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  902752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  902755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902809 */     GIR_RootConstrainSelectedInstOperands,
     /*  902810 */     // GIR_Coverage, 61653,
     /*  902810 */     GIR_EraseRootFromParent_Done,
     /*  902811 */   // Label 13752: @902811
     /*  902811 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902886), // Rule ID 61654 //
     /*  902816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  902827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  902830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902884 */     GIR_RootConstrainSelectedInstOperands,
     /*  902885 */     // GIR_Coverage, 61654,
     /*  902885 */     GIR_EraseRootFromParent_Done,
     /*  902886 */   // Label 13753: @902886
     /*  902886 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(902961), // Rule ID 61657 //
     /*  902891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  902902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  902905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  902908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902959 */     GIR_RootConstrainSelectedInstOperands,
     /*  902960 */     // GIR_Coverage, 61657,
     /*  902960 */     GIR_EraseRootFromParent_Done,
     /*  902961 */   // Label 13754: @902961
     /*  902961 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(903036), // Rule ID 61658 //
     /*  902966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  902977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  902980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  902983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903034 */     GIR_RootConstrainSelectedInstOperands,
     /*  903035 */     // GIR_Coverage, 61658,
     /*  903035 */     GIR_EraseRootFromParent_Done,
     /*  903036 */   // Label 13755: @903036
     /*  903036 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(903111), // Rule ID 61661 //
     /*  903041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903087 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903109 */     GIR_RootConstrainSelectedInstOperands,
     /*  903110 */     // GIR_Coverage, 61661,
     /*  903110 */     GIR_EraseRootFromParent_Done,
     /*  903111 */   // Label 13756: @903111
     /*  903111 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903186), // Rule ID 61662 //
     /*  903116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  903130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903184 */     GIR_RootConstrainSelectedInstOperands,
     /*  903185 */     // GIR_Coverage, 61662,
     /*  903185 */     GIR_EraseRootFromParent_Done,
     /*  903186 */   // Label 13757: @903186
     /*  903186 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903261), // Rule ID 61665 //
     /*  903191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903259 */     GIR_RootConstrainSelectedInstOperands,
     /*  903260 */     // GIR_Coverage, 61665,
     /*  903260 */     GIR_EraseRootFromParent_Done,
     /*  903261 */   // Label 13758: @903261
     /*  903261 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903336), // Rule ID 61666 //
     /*  903266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903334 */     GIR_RootConstrainSelectedInstOperands,
     /*  903335 */     // GIR_Coverage, 61666,
     /*  903335 */     GIR_EraseRootFromParent_Done,
     /*  903336 */   // Label 13759: @903336
     /*  903336 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903411), // Rule ID 61669 //
     /*  903341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903409 */     GIR_RootConstrainSelectedInstOperands,
     /*  903410 */     // GIR_Coverage, 61669,
     /*  903410 */     GIR_EraseRootFromParent_Done,
     /*  903411 */   // Label 13760: @903411
     /*  903411 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903486), // Rule ID 61670 //
     /*  903416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903484 */     GIR_RootConstrainSelectedInstOperands,
     /*  903485 */     // GIR_Coverage, 61670,
     /*  903485 */     GIR_EraseRootFromParent_Done,
     /*  903486 */   // Label 13761: @903486
     /*  903486 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903561), // Rule ID 61673 //
     /*  903491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903559 */     GIR_RootConstrainSelectedInstOperands,
     /*  903560 */     // GIR_Coverage, 61673,
     /*  903560 */     GIR_EraseRootFromParent_Done,
     /*  903561 */   // Label 13762: @903561
     /*  903561 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903636), // Rule ID 61674 //
     /*  903566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903634 */     GIR_RootConstrainSelectedInstOperands,
     /*  903635 */     // GIR_Coverage, 61674,
     /*  903635 */     GIR_EraseRootFromParent_Done,
     /*  903636 */   // Label 13763: @903636
     /*  903636 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903711), // Rule ID 61677 //
     /*  903641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  903652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  903655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  903658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903709 */     GIR_RootConstrainSelectedInstOperands,
     /*  903710 */     // GIR_Coverage, 61677,
     /*  903710 */     GIR_EraseRootFromParent_Done,
     /*  903711 */   // Label 13764: @903711
     /*  903711 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903786), // Rule ID 61678 //
     /*  903716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  903727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  903730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  903733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  903765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903784 */     GIR_RootConstrainSelectedInstOperands,
     /*  903785 */     // GIR_Coverage, 61678,
     /*  903785 */     GIR_EraseRootFromParent_Done,
     /*  903786 */   // Label 13765: @903786
     /*  903786 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903861), // Rule ID 61681 //
     /*  903791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  903802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  903805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  903808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903837 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903859 */     GIR_RootConstrainSelectedInstOperands,
     /*  903860 */     // GIR_Coverage, 61681,
     /*  903860 */     GIR_EraseRootFromParent_Done,
     /*  903861 */   // Label 13766: @903861
     /*  903861 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903936), // Rule ID 61682 //
     /*  903866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  903877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  903880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  903883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  903915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903934 */     GIR_RootConstrainSelectedInstOperands,
     /*  903935 */     // GIR_Coverage, 61682,
     /*  903935 */     GIR_EraseRootFromParent_Done,
     /*  903936 */   // Label 13767: @903936
     /*  903936 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(904011), // Rule ID 61685 //
     /*  903941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  903952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  903955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  903958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  903990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904009 */     GIR_RootConstrainSelectedInstOperands,
     /*  904010 */     // GIR_Coverage, 61685,
     /*  904010 */     GIR_EraseRootFromParent_Done,
     /*  904011 */   // Label 13768: @904011
     /*  904011 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(904086), // Rule ID 61686 //
     /*  904016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  904065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904084 */     GIR_RootConstrainSelectedInstOperands,
     /*  904085 */     // GIR_Coverage, 61686,
     /*  904085 */     GIR_EraseRootFromParent_Done,
     /*  904086 */   // Label 13769: @904086
     /*  904086 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904161), // Rule ID 62129 //
     /*  904091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904159 */     GIR_RootConstrainSelectedInstOperands,
     /*  904160 */     // GIR_Coverage, 62129,
     /*  904160 */     GIR_EraseRootFromParent_Done,
     /*  904161 */   // Label 13770: @904161
     /*  904161 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904236), // Rule ID 62130 //
     /*  904166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  904215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904234 */     GIR_RootConstrainSelectedInstOperands,
     /*  904235 */     // GIR_Coverage, 62130,
     /*  904235 */     GIR_EraseRootFromParent_Done,
     /*  904236 */   // Label 13771: @904236
     /*  904236 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904311), // Rule ID 62131 //
     /*  904241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904309 */     GIR_RootConstrainSelectedInstOperands,
     /*  904310 */     // GIR_Coverage, 62131,
     /*  904310 */     GIR_EraseRootFromParent_Done,
     /*  904311 */   // Label 13772: @904311
     /*  904311 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904386), // Rule ID 62132 //
     /*  904316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  904365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904384 */     GIR_RootConstrainSelectedInstOperands,
     /*  904385 */     // GIR_Coverage, 62132,
     /*  904385 */     GIR_EraseRootFromParent_Done,
     /*  904386 */   // Label 13773: @904386
     /*  904386 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904461), // Rule ID 62133 //
     /*  904391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904437 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904459 */     GIR_RootConstrainSelectedInstOperands,
     /*  904460 */     // GIR_Coverage, 62133,
     /*  904460 */     GIR_EraseRootFromParent_Done,
     /*  904461 */   // Label 13774: @904461
     /*  904461 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904536), // Rule ID 62134 //
     /*  904466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  904515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904534 */     GIR_RootConstrainSelectedInstOperands,
     /*  904535 */     // GIR_Coverage, 62134,
     /*  904535 */     GIR_EraseRootFromParent_Done,
     /*  904536 */   // Label 13775: @904536
     /*  904536 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904611), // Rule ID 62135 //
     /*  904541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  904544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  904590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904609 */     GIR_RootConstrainSelectedInstOperands,
     /*  904610 */     // GIR_Coverage, 62135,
     /*  904610 */     GIR_EraseRootFromParent_Done,
     /*  904611 */   // Label 13776: @904611
     /*  904611 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904686), // Rule ID 62136 //
     /*  904616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  904619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  904624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  904665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904684 */     GIR_RootConstrainSelectedInstOperands,
     /*  904685 */     // GIR_Coverage, 62136,
     /*  904685 */     GIR_EraseRootFromParent_Done,
     /*  904686 */   // Label 13777: @904686
     /*  904686 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904750), // Rule ID 64244 //
     /*  904691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  904699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904727 */     // MIs[0] imm5
     /*  904727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904735 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  904738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904746 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904748 */     GIR_RootConstrainSelectedInstOperands,
     /*  904749 */     // GIR_Coverage, 64244,
     /*  904749 */     GIR_EraseRootFromParent_Done,
     /*  904750 */   // Label 13778: @904750
     /*  904750 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904814), // Rule ID 64245 //
     /*  904755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  904763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904791 */     // MIs[0] imm5
     /*  904791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904799 */     // (intrinsic_wo_chain:{ *:[i32] } 10923:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  904802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904810 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904812 */     GIR_RootConstrainSelectedInstOperands,
     /*  904813 */     // GIR_Coverage, 64245,
     /*  904813 */     GIR_EraseRootFromParent_Done,
     /*  904814 */   // Label 13779: @904814
     /*  904814 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904878), // Rule ID 64246 //
     /*  904819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  904827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904855 */     // MIs[0] imm5
     /*  904855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904863 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  904866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904874 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904876 */     GIR_RootConstrainSelectedInstOperands,
     /*  904877 */     // GIR_Coverage, 64246,
     /*  904877 */     GIR_EraseRootFromParent_Done,
     /*  904878 */   // Label 13780: @904878
     /*  904878 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904942), // Rule ID 64247 //
     /*  904883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  904891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904919 */     // MIs[0] imm5
     /*  904919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904927 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  904930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904938 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904940 */     GIR_RootConstrainSelectedInstOperands,
     /*  904941 */     // GIR_Coverage, 64247,
     /*  904941 */     GIR_EraseRootFromParent_Done,
     /*  904942 */   // Label 13781: @904942
     /*  904942 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(905006), // Rule ID 64248 //
     /*  904947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  904950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  904955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  904958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  904961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  904964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  904983 */     // MIs[0] imm5
     /*  904983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  904991 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  904991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  904994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  904996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905002 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905004 */     GIR_RootConstrainSelectedInstOperands,
     /*  905005 */     // GIR_Coverage, 64248,
     /*  905005 */     GIR_EraseRootFromParent_Done,
     /*  905006 */   // Label 13782: @905006
     /*  905006 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905070), // Rule ID 64249 //
     /*  905011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  905019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905047 */     // MIs[0] imm5
     /*  905047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905055 */     // (intrinsic_wo_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  905058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905066 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905068 */     GIR_RootConstrainSelectedInstOperands,
     /*  905069 */     // GIR_Coverage, 64249,
     /*  905069 */     GIR_EraseRootFromParent_Done,
     /*  905070 */   // Label 13783: @905070
     /*  905070 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905134), // Rule ID 64250 //
     /*  905075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  905083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905111 */     // MIs[0] imm5
     /*  905111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905119 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  905122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905130 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905132 */     GIR_RootConstrainSelectedInstOperands,
     /*  905133 */     // GIR_Coverage, 64250,
     /*  905133 */     GIR_EraseRootFromParent_Done,
     /*  905134 */   // Label 13784: @905134
     /*  905134 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905198), // Rule ID 64251 //
     /*  905139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  905142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  905147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  905150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  905153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  905156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905175 */     // MIs[0] imm5
     /*  905175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  905183 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  905183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  905186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  905190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  905192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905194 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  905196 */     GIR_RootConstrainSelectedInstOperands,
     /*  905197 */     // GIR_Coverage, 64251,
     /*  905197 */     GIR_EraseRootFromParent_Done,
     /*  905198 */   // Label 13785: @905198
     /*  905198 */   GIM_Reject,
     /*  905199 */ // Label 6939: @905199
     /*  905199 */ GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(1394672),
     /*  905204 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  905207 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905290), // Rule ID 62583 //
     /*  905212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905236 */     // MIs[0] op1
     /*  905236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905252 */     // MIs[0] op4
     /*  905252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905288 */     GIR_RootConstrainSelectedInstOperands,
     /*  905289 */     // GIR_Coverage, 62583,
     /*  905289 */     GIR_EraseRootFromParent_Done,
     /*  905290 */   // Label 13787: @905290
     /*  905290 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905373), // Rule ID 62584 //
     /*  905295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  905312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905319 */     // MIs[0] op1
     /*  905319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905335 */     // MIs[0] op4
     /*  905335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  905353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905361 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905371 */     GIR_RootConstrainSelectedInstOperands,
     /*  905372 */     // GIR_Coverage, 62584,
     /*  905372 */     GIR_EraseRootFromParent_Done,
     /*  905373 */   // Label 13788: @905373
     /*  905373 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905456), // Rule ID 62627 //
     /*  905378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905402 */     // MIs[0] op1
     /*  905402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905418 */     // MIs[0] op4
     /*  905418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905454 */     GIR_RootConstrainSelectedInstOperands,
     /*  905455 */     // GIR_Coverage, 62627,
     /*  905455 */     GIR_EraseRootFromParent_Done,
     /*  905456 */   // Label 13789: @905456
     /*  905456 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905539), // Rule ID 62628 //
     /*  905461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  905478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905485 */     // MIs[0] op1
     /*  905485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905501 */     // MIs[0] op4
     /*  905501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905527 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905537 */     GIR_RootConstrainSelectedInstOperands,
     /*  905538 */     // GIR_Coverage, 62628,
     /*  905538 */     GIR_EraseRootFromParent_Done,
     /*  905539 */   // Label 13790: @905539
     /*  905539 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905622), // Rule ID 62671 //
     /*  905544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  905561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905568 */     // MIs[0] op1
     /*  905568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905584 */     // MIs[0] op4
     /*  905584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905599 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905620 */     GIR_RootConstrainSelectedInstOperands,
     /*  905621 */     // GIR_Coverage, 62671,
     /*  905621 */     GIR_EraseRootFromParent_Done,
     /*  905622 */   // Label 13791: @905622
     /*  905622 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905705), // Rule ID 62672 //
     /*  905627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  905644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905651 */     // MIs[0] op1
     /*  905651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905667 */     // MIs[0] op4
     /*  905667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905703 */     GIR_RootConstrainSelectedInstOperands,
     /*  905704 */     // GIR_Coverage, 62672,
     /*  905704 */     GIR_EraseRootFromParent_Done,
     /*  905705 */   // Label 13792: @905705
     /*  905705 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905788), // Rule ID 62715 //
     /*  905710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  905727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905734 */     // MIs[0] op1
     /*  905734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905750 */     // MIs[0] op4
     /*  905750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905786 */     GIR_RootConstrainSelectedInstOperands,
     /*  905787 */     // GIR_Coverage, 62715,
     /*  905787 */     GIR_EraseRootFromParent_Done,
     /*  905788 */   // Label 13793: @905788
     /*  905788 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905871), // Rule ID 62716 //
     /*  905793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  905810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905817 */     // MIs[0] op1
     /*  905817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905833 */     // MIs[0] op4
     /*  905833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  905848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  905851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905869 */     GIR_RootConstrainSelectedInstOperands,
     /*  905870 */     // GIR_Coverage, 62716,
     /*  905870 */     GIR_EraseRootFromParent_Done,
     /*  905871 */   // Label 13794: @905871
     /*  905871 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(905954), // Rule ID 62771 //
     /*  905876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  905890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  905893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905900 */     // MIs[0] op1
     /*  905900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905916 */     // MIs[0] op4
     /*  905916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  905934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905942 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905952 */     GIR_RootConstrainSelectedInstOperands,
     /*  905953 */     // GIR_Coverage, 62771,
     /*  905953 */     GIR_EraseRootFromParent_Done,
     /*  905954 */   // Label 13795: @905954
     /*  905954 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906037), // Rule ID 62772 //
     /*  905959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  905973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  905976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905983 */     // MIs[0] op1
     /*  905983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905999 */     // MIs[0] op4
     /*  905999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906035 */     GIR_RootConstrainSelectedInstOperands,
     /*  906036 */     // GIR_Coverage, 62772,
     /*  906036 */     GIR_EraseRootFromParent_Done,
     /*  906037 */   // Label 13796: @906037
     /*  906037 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906120), // Rule ID 62827 //
     /*  906042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906066 */     // MIs[0] op1
     /*  906066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906082 */     // MIs[0] op4
     /*  906082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906118 */     GIR_RootConstrainSelectedInstOperands,
     /*  906119 */     // GIR_Coverage, 62827,
     /*  906119 */     GIR_EraseRootFromParent_Done,
     /*  906120 */   // Label 13797: @906120
     /*  906120 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906203), // Rule ID 62828 //
     /*  906125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  906142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906149 */     // MIs[0] op1
     /*  906149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906165 */     // MIs[0] op4
     /*  906165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  906183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906191 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906201 */     GIR_RootConstrainSelectedInstOperands,
     /*  906202 */     // GIR_Coverage, 62828,
     /*  906202 */     GIR_EraseRootFromParent_Done,
     /*  906203 */   // Label 13798: @906203
     /*  906203 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906286), // Rule ID 62883 //
     /*  906208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906232 */     // MIs[0] op1
     /*  906232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906248 */     // MIs[0] op4
     /*  906248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906284 */     GIR_RootConstrainSelectedInstOperands,
     /*  906285 */     // GIR_Coverage, 62883,
     /*  906285 */     GIR_EraseRootFromParent_Done,
     /*  906286 */   // Label 13799: @906286
     /*  906286 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906369), // Rule ID 62884 //
     /*  906291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  906308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906315 */     // MIs[0] op1
     /*  906315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906331 */     // MIs[0] op4
     /*  906331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906351 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906353 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906355 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906357 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906367 */     GIR_RootConstrainSelectedInstOperands,
     /*  906368 */     // GIR_Coverage, 62884,
     /*  906368 */     GIR_EraseRootFromParent_Done,
     /*  906369 */   // Label 13800: @906369
     /*  906369 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906452), // Rule ID 62927 //
     /*  906374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906398 */     // MIs[0] op1
     /*  906398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906414 */     // MIs[0] op4
     /*  906414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906450 */     GIR_RootConstrainSelectedInstOperands,
     /*  906451 */     // GIR_Coverage, 62927,
     /*  906451 */     GIR_EraseRootFromParent_Done,
     /*  906452 */   // Label 13801: @906452
     /*  906452 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906535), // Rule ID 62928 //
     /*  906457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  906474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906481 */     // MIs[0] op1
     /*  906481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906497 */     // MIs[0] op4
     /*  906497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906523 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906533 */     GIR_RootConstrainSelectedInstOperands,
     /*  906534 */     // GIR_Coverage, 62928,
     /*  906534 */     GIR_EraseRootFromParent_Done,
     /*  906535 */   // Label 13802: @906535
     /*  906535 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906618), // Rule ID 62983 //
     /*  906540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906564 */     // MIs[0] op1
     /*  906564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906580 */     // MIs[0] op4
     /*  906580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906616 */     GIR_RootConstrainSelectedInstOperands,
     /*  906617 */     // GIR_Coverage, 62983,
     /*  906617 */     GIR_EraseRootFromParent_Done,
     /*  906618 */   // Label 13803: @906618
     /*  906618 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906701), // Rule ID 62984 //
     /*  906623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  906640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906647 */     // MIs[0] op1
     /*  906647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906663 */     // MIs[0] op4
     /*  906663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906683 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906685 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906687 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906689 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906699 */     GIR_RootConstrainSelectedInstOperands,
     /*  906700 */     // GIR_Coverage, 62984,
     /*  906700 */     GIR_EraseRootFromParent_Done,
     /*  906701 */   // Label 13804: @906701
     /*  906701 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906784), // Rule ID 63039 //
     /*  906706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  906723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906730 */     // MIs[0] op1
     /*  906730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906746 */     // MIs[0] op4
     /*  906746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  906761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906782 */     GIR_RootConstrainSelectedInstOperands,
     /*  906783 */     // GIR_Coverage, 63039,
     /*  906783 */     GIR_EraseRootFromParent_Done,
     /*  906784 */   // Label 13805: @906784
     /*  906784 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906867), // Rule ID 63040 //
     /*  906789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  906806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906813 */     // MIs[0] op1
     /*  906813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906829 */     // MIs[0] op4
     /*  906829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  906844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  906847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906855 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906865 */     GIR_RootConstrainSelectedInstOperands,
     /*  906866 */     // GIR_Coverage, 63040,
     /*  906866 */     GIR_EraseRootFromParent_Done,
     /*  906867 */   // Label 13806: @906867
     /*  906867 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(906950), // Rule ID 63095 //
     /*  906872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  906883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  906889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906896 */     // MIs[0] op1
     /*  906896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906912 */     // MIs[0] op4
     /*  906912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906948 */     GIR_RootConstrainSelectedInstOperands,
     /*  906949 */     // GIR_Coverage, 63095,
     /*  906949 */     GIR_EraseRootFromParent_Done,
     /*  906950 */   // Label 13807: @906950
     /*  906950 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907033), // Rule ID 63096 //
     /*  906955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  906966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  906972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906979 */     // MIs[0] op1
     /*  906979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906995 */     // MIs[0] op4
     /*  906995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907015 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907017 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907019 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907021 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907031 */     GIR_RootConstrainSelectedInstOperands,
     /*  907032 */     // GIR_Coverage, 63096,
     /*  907032 */     GIR_EraseRootFromParent_Done,
     /*  907033 */   // Label 13808: @907033
     /*  907033 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907116), // Rule ID 63139 //
     /*  907038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907062 */     // MIs[0] op1
     /*  907062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907078 */     // MIs[0] op4
     /*  907078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907104 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907114 */     GIR_RootConstrainSelectedInstOperands,
     /*  907115 */     // GIR_Coverage, 63139,
     /*  907115 */     GIR_EraseRootFromParent_Done,
     /*  907116 */   // Label 13809: @907116
     /*  907116 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907199), // Rule ID 63140 //
     /*  907121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  907138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907145 */     // MIs[0] op1
     /*  907145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907161 */     // MIs[0] op4
     /*  907161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907197 */     GIR_RootConstrainSelectedInstOperands,
     /*  907198 */     // GIR_Coverage, 63140,
     /*  907198 */     GIR_EraseRootFromParent_Done,
     /*  907199 */   // Label 13810: @907199
     /*  907199 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907282), // Rule ID 63183 //
     /*  907204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907228 */     // MIs[0] op1
     /*  907228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907244 */     // MIs[0] op4
     /*  907244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907280 */     GIR_RootConstrainSelectedInstOperands,
     /*  907281 */     // GIR_Coverage, 63183,
     /*  907281 */     GIR_EraseRootFromParent_Done,
     /*  907282 */   // Label 13811: @907282
     /*  907282 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907365), // Rule ID 63184 //
     /*  907287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  907304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907311 */     // MIs[0] op1
     /*  907311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907327 */     // MIs[0] op4
     /*  907327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907363 */     GIR_RootConstrainSelectedInstOperands,
     /*  907364 */     // GIR_Coverage, 63184,
     /*  907364 */     GIR_EraseRootFromParent_Done,
     /*  907365 */   // Label 13812: @907365
     /*  907365 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907448), // Rule ID 63227 //
     /*  907370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907394 */     // MIs[0] op1
     /*  907394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907410 */     // MIs[0] op4
     /*  907410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907446 */     GIR_RootConstrainSelectedInstOperands,
     /*  907447 */     // GIR_Coverage, 63227,
     /*  907447 */     GIR_EraseRootFromParent_Done,
     /*  907448 */   // Label 13813: @907448
     /*  907448 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907531), // Rule ID 63228 //
     /*  907453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  907470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907477 */     // MIs[0] op1
     /*  907477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907493 */     // MIs[0] op4
     /*  907493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907519 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907529 */     GIR_RootConstrainSelectedInstOperands,
     /*  907530 */     // GIR_Coverage, 63228,
     /*  907530 */     GIR_EraseRootFromParent_Done,
     /*  907531 */   // Label 13814: @907531
     /*  907531 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907614), // Rule ID 63283 //
     /*  907536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907560 */     // MIs[0] op1
     /*  907560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907576 */     // MIs[0] op4
     /*  907576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907612 */     GIR_RootConstrainSelectedInstOperands,
     /*  907613 */     // GIR_Coverage, 63283,
     /*  907613 */     GIR_EraseRootFromParent_Done,
     /*  907614 */   // Label 13815: @907614
     /*  907614 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907697), // Rule ID 63284 //
     /*  907619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  907636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907643 */     // MIs[0] op1
     /*  907643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907659 */     // MIs[0] op4
     /*  907659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907679 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907681 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907683 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907685 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907695 */     GIR_RootConstrainSelectedInstOperands,
     /*  907696 */     // GIR_Coverage, 63284,
     /*  907696 */     GIR_EraseRootFromParent_Done,
     /*  907697 */   // Label 13816: @907697
     /*  907697 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907780), // Rule ID 63339 //
     /*  907702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  907719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907726 */     // MIs[0] op1
     /*  907726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907742 */     // MIs[0] op4
     /*  907742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907757 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  907757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907778 */     GIR_RootConstrainSelectedInstOperands,
     /*  907779 */     // GIR_Coverage, 63339,
     /*  907779 */     GIR_EraseRootFromParent_Done,
     /*  907780 */   // Label 13817: @907780
     /*  907780 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907863), // Rule ID 63340 //
     /*  907785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  907802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907809 */     // MIs[0] op1
     /*  907809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907825 */     // MIs[0] op4
     /*  907825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  907840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907851 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907861 */     GIR_RootConstrainSelectedInstOperands,
     /*  907862 */     // GIR_Coverage, 63340,
     /*  907862 */     GIR_EraseRootFromParent_Done,
     /*  907863 */   // Label 13818: @907863
     /*  907863 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907946), // Rule ID 63395 //
     /*  907868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  907885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907892 */     // MIs[0] op1
     /*  907892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907908 */     // MIs[0] op4
     /*  907908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907934 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907944 */     GIR_RootConstrainSelectedInstOperands,
     /*  907945 */     // GIR_Coverage, 63395,
     /*  907945 */     GIR_EraseRootFromParent_Done,
     /*  907946 */   // Label 13819: @907946
     /*  907946 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908029), // Rule ID 63396 //
     /*  907951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  907968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907975 */     // MIs[0] op1
     /*  907975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907991 */     // MIs[0] op4
     /*  907991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908011 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908013 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908015 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908017 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908027 */     GIR_RootConstrainSelectedInstOperands,
     /*  908028 */     // GIR_Coverage, 63396,
     /*  908028 */     GIR_EraseRootFromParent_Done,
     /*  908029 */   // Label 13820: @908029
     /*  908029 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908112), // Rule ID 63451 //
     /*  908034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908058 */     // MIs[0] op1
     /*  908058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908074 */     // MIs[0] op4
     /*  908074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908100 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908110 */     GIR_RootConstrainSelectedInstOperands,
     /*  908111 */     // GIR_Coverage, 63451,
     /*  908111 */     GIR_EraseRootFromParent_Done,
     /*  908112 */   // Label 13821: @908112
     /*  908112 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908195), // Rule ID 63452 //
     /*  908117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  908134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908141 */     // MIs[0] op1
     /*  908141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908157 */     // MIs[0] op4
     /*  908157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908183 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908193 */     GIR_RootConstrainSelectedInstOperands,
     /*  908194 */     // GIR_Coverage, 63452,
     /*  908194 */     GIR_EraseRootFromParent_Done,
     /*  908195 */   // Label 13822: @908195
     /*  908195 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908278), // Rule ID 63507 //
     /*  908200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908224 */     // MIs[0] op1
     /*  908224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908240 */     // MIs[0] op4
     /*  908240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908266 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908276 */     GIR_RootConstrainSelectedInstOperands,
     /*  908277 */     // GIR_Coverage, 63507,
     /*  908277 */     GIR_EraseRootFromParent_Done,
     /*  908278 */   // Label 13823: @908278
     /*  908278 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908361), // Rule ID 63508 //
     /*  908283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  908300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908307 */     // MIs[0] op1
     /*  908307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908323 */     // MIs[0] op4
     /*  908323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908343 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908345 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908347 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908349 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908359 */     GIR_RootConstrainSelectedInstOperands,
     /*  908360 */     // GIR_Coverage, 63508,
     /*  908360 */     GIR_EraseRootFromParent_Done,
     /*  908361 */   // Label 13824: @908361
     /*  908361 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908444), // Rule ID 63563 //
     /*  908366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908390 */     // MIs[0] op1
     /*  908390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908406 */     // MIs[0] op4
     /*  908406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908426 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908428 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908430 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908432 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908442 */     GIR_RootConstrainSelectedInstOperands,
     /*  908443 */     // GIR_Coverage, 63563,
     /*  908443 */     GIR_EraseRootFromParent_Done,
     /*  908444 */   // Label 13825: @908444
     /*  908444 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908527), // Rule ID 63564 //
     /*  908449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  908466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908473 */     // MIs[0] op1
     /*  908473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908489 */     // MIs[0] op4
     /*  908489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  908507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908515 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908525 */     GIR_RootConstrainSelectedInstOperands,
     /*  908526 */     // GIR_Coverage, 63564,
     /*  908526 */     GIR_EraseRootFromParent_Done,
     /*  908527 */   // Label 13826: @908527
     /*  908527 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908610), // Rule ID 63619 //
     /*  908532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908556 */     // MIs[0] op1
     /*  908556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908572 */     // MIs[0] op4
     /*  908572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908598 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908608 */     GIR_RootConstrainSelectedInstOperands,
     /*  908609 */     // GIR_Coverage, 63619,
     /*  908609 */     GIR_EraseRootFromParent_Done,
     /*  908610 */   // Label 13827: @908610
     /*  908610 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908693), // Rule ID 63620 //
     /*  908615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  908632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908639 */     // MIs[0] op1
     /*  908639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908655 */     // MIs[0] op4
     /*  908655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  908673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908681 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908691 */     GIR_RootConstrainSelectedInstOperands,
     /*  908692 */     // GIR_Coverage, 63620,
     /*  908692 */     GIR_EraseRootFromParent_Done,
     /*  908693 */   // Label 13828: @908693
     /*  908693 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908776), // Rule ID 63675 //
     /*  908698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  908715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908722 */     // MIs[0] op1
     /*  908722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908738 */     // MIs[0] op4
     /*  908738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  908753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908764 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908774 */     GIR_RootConstrainSelectedInstOperands,
     /*  908775 */     // GIR_Coverage, 63675,
     /*  908775 */     GIR_EraseRootFromParent_Done,
     /*  908776 */   // Label 13829: @908776
     /*  908776 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908859), // Rule ID 63676 //
     /*  908781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  908789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  908798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908805 */     // MIs[0] op1
     /*  908805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908821 */     // MIs[0] op4
     /*  908821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10990:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  908836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  908839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908847 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908857 */     GIR_RootConstrainSelectedInstOperands,
     /*  908858 */     // GIR_Coverage, 63676,
     /*  908858 */     GIR_EraseRootFromParent_Done,
     /*  908859 */   // Label 13830: @908859
     /*  908859 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(908942), // Rule ID 63705 //
     /*  908864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  908875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  908878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  908881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908888 */     // MIs[0] op1
     /*  908888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908904 */     // MIs[0] op4
     /*  908904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  908922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908930 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908940 */     GIR_RootConstrainSelectedInstOperands,
     /*  908941 */     // GIR_Coverage, 63705,
     /*  908941 */     GIR_EraseRootFromParent_Done,
     /*  908942 */   // Label 13831: @908942
     /*  908942 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909025), // Rule ID 63706 //
     /*  908947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  908958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  908961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  908964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908971 */     // MIs[0] op1
     /*  908971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908987 */     // MIs[0] op4
     /*  908987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  909005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909007 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909009 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909011 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909013 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909023 */     GIR_RootConstrainSelectedInstOperands,
     /*  909024 */     // GIR_Coverage, 63706,
     /*  909024 */     GIR_EraseRootFromParent_Done,
     /*  909025 */   // Label 13832: @909025
     /*  909025 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909108), // Rule ID 63723 //
     /*  909030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909054 */     // MIs[0] op1
     /*  909054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909070 */     // MIs[0] op4
     /*  909070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909096 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909106 */     GIR_RootConstrainSelectedInstOperands,
     /*  909107 */     // GIR_Coverage, 63723,
     /*  909107 */     GIR_EraseRootFromParent_Done,
     /*  909108 */   // Label 13833: @909108
     /*  909108 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909191), // Rule ID 63724 //
     /*  909113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  909124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  909127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909137 */     // MIs[0] op1
     /*  909137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909153 */     // MIs[0] op4
     /*  909153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909173 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909175 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909177 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909179 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909189 */     GIR_RootConstrainSelectedInstOperands,
     /*  909190 */     // GIR_Coverage, 63724,
     /*  909190 */     GIR_EraseRootFromParent_Done,
     /*  909191 */   // Label 13834: @909191
     /*  909191 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(909274), // Rule ID 63741 //
     /*  909196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909220 */     // MIs[0] op1
     /*  909220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909223 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909236 */     // MIs[0] op4
     /*  909236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909262 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909272 */     GIR_RootConstrainSelectedInstOperands,
     /*  909273 */     // GIR_Coverage, 63741,
     /*  909273 */     GIR_EraseRootFromParent_Done,
     /*  909274 */   // Label 13835: @909274
     /*  909274 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(909357), // Rule ID 63742 //
     /*  909279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  909290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  909293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909303 */     // MIs[0] op1
     /*  909303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909319 */     // MIs[0] op4
     /*  909319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909339 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909341 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909343 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909345 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909355 */     GIR_RootConstrainSelectedInstOperands,
     /*  909356 */     // GIR_Coverage, 63742,
     /*  909356 */     GIR_EraseRootFromParent_Done,
     /*  909357 */   // Label 13836: @909357
     /*  909357 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909440), // Rule ID 63759 //
     /*  909362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909386 */     // MIs[0] op1
     /*  909386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909402 */     // MIs[0] op4
     /*  909402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909428 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909438 */     GIR_RootConstrainSelectedInstOperands,
     /*  909439 */     // GIR_Coverage, 63759,
     /*  909439 */     GIR_EraseRootFromParent_Done,
     /*  909440 */   // Label 13837: @909440
     /*  909440 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909523), // Rule ID 63760 //
     /*  909445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  909462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909469 */     // MIs[0] op1
     /*  909469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909485 */     // MIs[0] op4
     /*  909485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909505 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909507 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909509 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909511 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909521 */     GIR_RootConstrainSelectedInstOperands,
     /*  909522 */     // GIR_Coverage, 63760,
     /*  909522 */     GIR_EraseRootFromParent_Done,
     /*  909523 */   // Label 13838: @909523
     /*  909523 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909606), // Rule ID 63777 //
     /*  909528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909552 */     // MIs[0] op1
     /*  909552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909568 */     // MIs[0] op4
     /*  909568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909594 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909604 */     GIR_RootConstrainSelectedInstOperands,
     /*  909605 */     // GIR_Coverage, 63777,
     /*  909605 */     GIR_EraseRootFromParent_Done,
     /*  909606 */   // Label 13839: @909606
     /*  909606 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909689), // Rule ID 63778 //
     /*  909611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  909628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909635 */     // MIs[0] op1
     /*  909635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909651 */     // MIs[0] op4
     /*  909651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909677 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909687 */     GIR_RootConstrainSelectedInstOperands,
     /*  909688 */     // GIR_Coverage, 63778,
     /*  909688 */     GIR_EraseRootFromParent_Done,
     /*  909689 */   // Label 13840: @909689
     /*  909689 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909772), // Rule ID 63795 //
     /*  909694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  909711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909718 */     // MIs[0] op1
     /*  909718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909734 */     // MIs[0] op4
     /*  909734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909754 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909756 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909758 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909760 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909770 */     GIR_RootConstrainSelectedInstOperands,
     /*  909771 */     // GIR_Coverage, 63795,
     /*  909771 */     GIR_EraseRootFromParent_Done,
     /*  909772 */   // Label 13841: @909772
     /*  909772 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909855), // Rule ID 63796 //
     /*  909777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  909794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909801 */     // MIs[0] op1
     /*  909801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909804 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909817 */     // MIs[0] op4
     /*  909817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909837 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909839 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909841 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909843 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909853 */     GIR_RootConstrainSelectedInstOperands,
     /*  909854 */     // GIR_Coverage, 63796,
     /*  909854 */     GIR_EraseRootFromParent_Done,
     /*  909855 */   // Label 13842: @909855
     /*  909855 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(909938), // Rule ID 63813 //
     /*  909860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  909871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  909874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  909877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909884 */     // MIs[0] op1
     /*  909884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909900 */     // MIs[0] op4
     /*  909900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  909915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  909918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909926 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909936 */     GIR_RootConstrainSelectedInstOperands,
     /*  909937 */     // GIR_Coverage, 63813,
     /*  909937 */     GIR_EraseRootFromParent_Done,
     /*  909938 */   // Label 13843: @909938
     /*  909938 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910021), // Rule ID 63814 //
     /*  909943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  909954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  909957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  909960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909967 */     // MIs[0] op1
     /*  909967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909983 */     // MIs[0] op4
     /*  909983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  909998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  910001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910009 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910019 */     GIR_RootConstrainSelectedInstOperands,
     /*  910020 */     // GIR_Coverage, 63814,
     /*  910020 */     GIR_EraseRootFromParent_Done,
     /*  910021 */   // Label 13844: @910021
     /*  910021 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910104), // Rule ID 63837 //
     /*  910026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910050 */     // MIs[0] op1
     /*  910050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910066 */     // MIs[0] op4
     /*  910066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910092 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910102 */     GIR_RootConstrainSelectedInstOperands,
     /*  910103 */     // GIR_Coverage, 63837,
     /*  910103 */     GIR_EraseRootFromParent_Done,
     /*  910104 */   // Label 13845: @910104
     /*  910104 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910187), // Rule ID 63838 //
     /*  910109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910133 */     // MIs[0] op1
     /*  910133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910149 */     // MIs[0] op4
     /*  910149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910175 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910185 */     GIR_RootConstrainSelectedInstOperands,
     /*  910186 */     // GIR_Coverage, 63838,
     /*  910186 */     GIR_EraseRootFromParent_Done,
     /*  910187 */   // Label 13846: @910187
     /*  910187 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(910270), // Rule ID 63861 //
     /*  910192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910216 */     // MIs[0] op1
     /*  910216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910232 */     // MIs[0] op4
     /*  910232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910252 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910254 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910256 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910258 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910268 */     GIR_RootConstrainSelectedInstOperands,
     /*  910269 */     // GIR_Coverage, 63861,
     /*  910269 */     GIR_EraseRootFromParent_Done,
     /*  910270 */   // Label 13847: @910270
     /*  910270 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(910353), // Rule ID 63862 //
     /*  910275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910299 */     // MIs[0] op1
     /*  910299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910315 */     // MIs[0] op4
     /*  910315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910341 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910351 */     GIR_RootConstrainSelectedInstOperands,
     /*  910352 */     // GIR_Coverage, 63862,
     /*  910352 */     GIR_EraseRootFromParent_Done,
     /*  910353 */   // Label 13848: @910353
     /*  910353 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(910436), // Rule ID 63885 //
     /*  910358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910382 */     // MIs[0] op1
     /*  910382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910398 */     // MIs[0] op4
     /*  910398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910424 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910434 */     GIR_RootConstrainSelectedInstOperands,
     /*  910435 */     // GIR_Coverage, 63885,
     /*  910435 */     GIR_EraseRootFromParent_Done,
     /*  910436 */   // Label 13849: @910436
     /*  910436 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(910519), // Rule ID 63886 //
     /*  910441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910465 */     // MIs[0] op1
     /*  910465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910481 */     // MIs[0] op4
     /*  910481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  910499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910501 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910503 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910505 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910507 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910517 */     GIR_RootConstrainSelectedInstOperands,
     /*  910518 */     // GIR_Coverage, 63886,
     /*  910518 */     GIR_EraseRootFromParent_Done,
     /*  910519 */   // Label 13850: @910519
     /*  910519 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(910602), // Rule ID 63909 //
     /*  910524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910548 */     // MIs[0] op1
     /*  910548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910564 */     // MIs[0] op4
     /*  910564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910590 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910600 */     GIR_RootConstrainSelectedInstOperands,
     /*  910601 */     // GIR_Coverage, 63909,
     /*  910601 */     GIR_EraseRootFromParent_Done,
     /*  910602 */   // Label 13851: @910602
     /*  910602 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910685), // Rule ID 63910 //
     /*  910607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910631 */     // MIs[0] op1
     /*  910631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910647 */     // MIs[0] op4
     /*  910647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910667 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910669 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910671 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910673 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910683 */     GIR_RootConstrainSelectedInstOperands,
     /*  910684 */     // GIR_Coverage, 63910,
     /*  910684 */     GIR_EraseRootFromParent_Done,
     /*  910685 */   // Label 13852: @910685
     /*  910685 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910768), // Rule ID 63933 //
     /*  910690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910714 */     // MIs[0] op1
     /*  910714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910730 */     // MIs[0] op4
     /*  910730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910756 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910766 */     GIR_RootConstrainSelectedInstOperands,
     /*  910767 */     // GIR_Coverage, 63933,
     /*  910767 */     GIR_EraseRootFromParent_Done,
     /*  910768 */   // Label 13853: @910768
     /*  910768 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910851), // Rule ID 63934 //
     /*  910773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910797 */     // MIs[0] op1
     /*  910797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910800 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910813 */     // MIs[0] op4
     /*  910813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  910831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910833 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910835 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910837 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910839 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910849 */     GIR_RootConstrainSelectedInstOperands,
     /*  910850 */     // GIR_Coverage, 63934,
     /*  910850 */     GIR_EraseRootFromParent_Done,
     /*  910851 */   // Label 13854: @910851
     /*  910851 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(910934), // Rule ID 63957 //
     /*  910856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  910870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910880 */     // MIs[0] op1
     /*  910880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910896 */     // MIs[0] op4
     /*  910896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910922 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910932 */     GIR_RootConstrainSelectedInstOperands,
     /*  910933 */     // GIR_Coverage, 63957,
     /*  910933 */     GIR_EraseRootFromParent_Done,
     /*  910934 */   // Label 13855: @910934
     /*  910934 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911017), // Rule ID 63958 //
     /*  910939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  910953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910963 */     // MIs[0] op1
     /*  910963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910979 */     // MIs[0] op4
     /*  910979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  910997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911005 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911015 */     GIR_RootConstrainSelectedInstOperands,
     /*  911016 */     // GIR_Coverage, 63958,
     /*  911016 */     GIR_EraseRootFromParent_Done,
     /*  911017 */   // Label 13856: @911017
     /*  911017 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911100), // Rule ID 63981 //
     /*  911022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911046 */     // MIs[0] op1
     /*  911046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911062 */     // MIs[0] op4
     /*  911062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911082 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911084 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911086 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911088 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911098 */     GIR_RootConstrainSelectedInstOperands,
     /*  911099 */     // GIR_Coverage, 63981,
     /*  911099 */     GIR_EraseRootFromParent_Done,
     /*  911100 */   // Label 13857: @911100
     /*  911100 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911183), // Rule ID 63982 //
     /*  911105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  911119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911129 */     // MIs[0] op1
     /*  911129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911145 */     // MIs[0] op4
     /*  911145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  911163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911165 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911167 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911169 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911171 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911181 */     GIR_RootConstrainSelectedInstOperands,
     /*  911182 */     // GIR_Coverage, 63982,
     /*  911182 */     GIR_EraseRootFromParent_Done,
     /*  911183 */   // Label 13858: @911183
     /*  911183 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911266), // Rule ID 64005 //
     /*  911188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911212 */     // MIs[0] op1
     /*  911212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911228 */     // MIs[0] op4
     /*  911228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911248 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911250 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911252 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911254 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911264 */     GIR_RootConstrainSelectedInstOperands,
     /*  911265 */     // GIR_Coverage, 64005,
     /*  911265 */     GIR_EraseRootFromParent_Done,
     /*  911266 */   // Label 13859: @911266
     /*  911266 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(911349), // Rule ID 64006 //
     /*  911271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  911279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  911285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911295 */     // MIs[0] op1
     /*  911295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911311 */     // MIs[0] op4
     /*  911311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10992:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  911329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911337 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911347 */     GIR_RootConstrainSelectedInstOperands,
     /*  911348 */     // GIR_Coverage, 64006,
     /*  911348 */     GIR_EraseRootFromParent_Done,
     /*  911349 */   // Label 13860: @911349
     /*  911349 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(911427), // Rule ID 60295 //
     /*  911354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911386 */     // MIs[0] rs2
     /*  911386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911394 */     // MIs[0] policy
     /*  911394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911425 */     GIR_RootConstrainSelectedInstOperands,
     /*  911426 */     // GIR_Coverage, 60295,
     /*  911426 */     GIR_EraseRootFromParent_Done,
     /*  911427 */   // Label 13861: @911427
     /*  911427 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(911505), // Rule ID 60296 //
     /*  911432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911464 */     // MIs[0] rs2
     /*  911464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911472 */     // MIs[0] policy
     /*  911472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  911485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911503 */     GIR_RootConstrainSelectedInstOperands,
     /*  911504 */     // GIR_Coverage, 60296,
     /*  911504 */     GIR_EraseRootFromParent_Done,
     /*  911505 */   // Label 13862: @911505
     /*  911505 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(911583), // Rule ID 61951 //
     /*  911510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911542 */     // MIs[0] rs2
     /*  911542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911550 */     // MIs[0] policy
     /*  911550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  911563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911581 */     GIR_RootConstrainSelectedInstOperands,
     /*  911582 */     // GIR_Coverage, 61951,
     /*  911582 */     GIR_EraseRootFromParent_Done,
     /*  911583 */   // Label 13863: @911583
     /*  911583 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911661), // Rule ID 61952 //
     /*  911588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911620 */     // MIs[0] rs2
     /*  911620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911628 */     // MIs[0] policy
     /*  911628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  911641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911659 */     GIR_RootConstrainSelectedInstOperands,
     /*  911660 */     // GIR_Coverage, 61952,
     /*  911660 */     GIR_EraseRootFromParent_Done,
     /*  911661 */   // Label 13864: @911661
     /*  911661 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911739), // Rule ID 61953 //
     /*  911666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911698 */     // MIs[0] rs2
     /*  911698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911706 */     // MIs[0] policy
     /*  911706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  911719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911737 */     GIR_RootConstrainSelectedInstOperands,
     /*  911738 */     // GIR_Coverage, 61953,
     /*  911738 */     GIR_EraseRootFromParent_Done,
     /*  911739 */   // Label 13865: @911739
     /*  911739 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911817), // Rule ID 61954 //
     /*  911744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911776 */     // MIs[0] rs2
     /*  911776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911784 */     // MIs[0] policy
     /*  911784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  911797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911815 */     GIR_RootConstrainSelectedInstOperands,
     /*  911816 */     // GIR_Coverage, 61954,
     /*  911816 */     GIR_EraseRootFromParent_Done,
     /*  911817 */   // Label 13866: @911817
     /*  911817 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(911895), // Rule ID 61955 //
     /*  911822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911854 */     // MIs[0] rs2
     /*  911854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911862 */     // MIs[0] policy
     /*  911862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  911875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911893 */     GIR_RootConstrainSelectedInstOperands,
     /*  911894 */     // GIR_Coverage, 61955,
     /*  911894 */     GIR_EraseRootFromParent_Done,
     /*  911895 */   // Label 13867: @911895
     /*  911895 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(911973), // Rule ID 61956 //
     /*  911900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  911903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911932 */     // MIs[0] rs2
     /*  911932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911940 */     // MIs[0] policy
     /*  911940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  911953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911971 */     GIR_RootConstrainSelectedInstOperands,
     /*  911972 */     // GIR_Coverage, 61956,
     /*  911972 */     GIR_EraseRootFromParent_Done,
     /*  911973 */   // Label 13868: @911973
     /*  911973 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912051), // Rule ID 61957 //
     /*  911978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  911981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  911986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  911992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912010 */     // MIs[0] rs2
     /*  912010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912018 */     // MIs[0] policy
     /*  912018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912049 */     GIR_RootConstrainSelectedInstOperands,
     /*  912050 */     // GIR_Coverage, 61957,
     /*  912050 */     GIR_EraseRootFromParent_Done,
     /*  912051 */   // Label 13869: @912051
     /*  912051 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912129), // Rule ID 61958 //
     /*  912056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  912059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  912064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912088 */     // MIs[0] rs2
     /*  912088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912096 */     // MIs[0] policy
     /*  912096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  912109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912127 */     GIR_RootConstrainSelectedInstOperands,
     /*  912128 */     // GIR_Coverage, 61958,
     /*  912128 */     GIR_EraseRootFromParent_Done,
     /*  912129 */   // Label 13870: @912129
     /*  912129 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(912207), // Rule ID 62119 //
     /*  912134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912166 */     // MIs[0] rs2
     /*  912166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912169 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912174 */     // MIs[0] policy
     /*  912174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912205 */     GIR_RootConstrainSelectedInstOperands,
     /*  912206 */     // GIR_Coverage, 62119,
     /*  912206 */     GIR_EraseRootFromParent_Done,
     /*  912207 */   // Label 13871: @912207
     /*  912207 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(912285), // Rule ID 62120 //
     /*  912212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912244 */     // MIs[0] rs2
     /*  912244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912252 */     // MIs[0] policy
     /*  912252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  912265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912283 */     GIR_RootConstrainSelectedInstOperands,
     /*  912284 */     // GIR_Coverage, 62120,
     /*  912284 */     GIR_EraseRootFromParent_Done,
     /*  912285 */   // Label 13872: @912285
     /*  912285 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(912363), // Rule ID 62121 //
     /*  912290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912322 */     // MIs[0] rs2
     /*  912322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912330 */     // MIs[0] policy
     /*  912330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912361 */     GIR_RootConstrainSelectedInstOperands,
     /*  912362 */     // GIR_Coverage, 62121,
     /*  912362 */     GIR_EraseRootFromParent_Done,
     /*  912363 */   // Label 13873: @912363
     /*  912363 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(912441), // Rule ID 62122 //
     /*  912368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912400 */     // MIs[0] rs2
     /*  912400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912408 */     // MIs[0] policy
     /*  912408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  912421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912439 */     GIR_RootConstrainSelectedInstOperands,
     /*  912440 */     // GIR_Coverage, 62122,
     /*  912440 */     GIR_EraseRootFromParent_Done,
     /*  912441 */   // Label 13874: @912441
     /*  912441 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(912519), // Rule ID 62123 //
     /*  912446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912478 */     // MIs[0] rs2
     /*  912478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912486 */     // MIs[0] policy
     /*  912486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912517 */     GIR_RootConstrainSelectedInstOperands,
     /*  912518 */     // GIR_Coverage, 62123,
     /*  912518 */     GIR_EraseRootFromParent_Done,
     /*  912519 */   // Label 13875: @912519
     /*  912519 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912597), // Rule ID 62124 //
     /*  912524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912556 */     // MIs[0] rs2
     /*  912556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912564 */     // MIs[0] policy
     /*  912564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  912577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912595 */     GIR_RootConstrainSelectedInstOperands,
     /*  912596 */     // GIR_Coverage, 62124,
     /*  912596 */     GIR_EraseRootFromParent_Done,
     /*  912597 */   // Label 13876: @912597
     /*  912597 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(912675), // Rule ID 62125 //
     /*  912602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912634 */     // MIs[0] rs2
     /*  912634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912642 */     // MIs[0] policy
     /*  912642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  912655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912673 */     GIR_RootConstrainSelectedInstOperands,
     /*  912674 */     // GIR_Coverage, 62125,
     /*  912674 */     GIR_EraseRootFromParent_Done,
     /*  912675 */   // Label 13877: @912675
     /*  912675 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912753), // Rule ID 62126 //
     /*  912680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912712 */     // MIs[0] rs2
     /*  912712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912720 */     // MIs[0] policy
     /*  912720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  912733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912751 */     GIR_RootConstrainSelectedInstOperands,
     /*  912752 */     // GIR_Coverage, 62126,
     /*  912752 */     GIR_EraseRootFromParent_Done,
     /*  912753 */   // Label 13878: @912753
     /*  912753 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912831), // Rule ID 62127 //
     /*  912758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  912761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912790 */     // MIs[0] rs2
     /*  912790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912798 */     // MIs[0] policy
     /*  912798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  912811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912829 */     GIR_RootConstrainSelectedInstOperands,
     /*  912830 */     // GIR_Coverage, 62127,
     /*  912830 */     GIR_EraseRootFromParent_Done,
     /*  912831 */   // Label 13879: @912831
     /*  912831 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(912909), // Rule ID 62128 //
     /*  912836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  912839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  912844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912868 */     // MIs[0] rs2
     /*  912868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  912871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  912876 */     // MIs[0] policy
     /*  912876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  912889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  912891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912907 */     GIR_RootConstrainSelectedInstOperands,
     /*  912908 */     // GIR_Coverage, 62128,
     /*  912908 */     GIR_EraseRootFromParent_Done,
     /*  912909 */   // Label 13880: @912909
     /*  912909 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(912997), // Rule ID 23573 //
     /*  912914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  912931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912961 */     // MIs[1] Operand 1
     /*  912961 */     // No operand predicates
     /*  912961 */     // MIs[0] policy
     /*  912961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912973 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  912976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912995 */     GIR_RootConstrainSelectedInstOperands,
     /*  912996 */     // GIR_Coverage, 23573,
     /*  912996 */     GIR_EraseRootFromParent_Done,
     /*  912997 */   // Label 13881: @912997
     /*  912997 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(913085), // Rule ID 23574 //
     /*  913002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913049 */     // MIs[1] Operand 1
     /*  913049 */     // No operand predicates
     /*  913049 */     // MIs[0] policy
     /*  913049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913061 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  913064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913083 */     GIR_RootConstrainSelectedInstOperands,
     /*  913084 */     // GIR_Coverage, 23574,
     /*  913084 */     GIR_EraseRootFromParent_Done,
     /*  913085 */   // Label 13882: @913085
     /*  913085 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(913173), // Rule ID 23577 //
     /*  913090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913137 */     // MIs[1] Operand 1
     /*  913137 */     // No operand predicates
     /*  913137 */     // MIs[0] policy
     /*  913137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913171 */     GIR_RootConstrainSelectedInstOperands,
     /*  913172 */     // GIR_Coverage, 23577,
     /*  913172 */     GIR_EraseRootFromParent_Done,
     /*  913173 */   // Label 13883: @913173
     /*  913173 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(913261), // Rule ID 23578 //
     /*  913178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913225 */     // MIs[1] Operand 1
     /*  913225 */     // No operand predicates
     /*  913225 */     // MIs[0] policy
     /*  913225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913259 */     GIR_RootConstrainSelectedInstOperands,
     /*  913260 */     // GIR_Coverage, 23578,
     /*  913260 */     GIR_EraseRootFromParent_Done,
     /*  913261 */   // Label 13884: @913261
     /*  913261 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(913349), // Rule ID 23581 //
     /*  913266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913313 */     // MIs[1] Operand 1
     /*  913313 */     // No operand predicates
     /*  913313 */     // MIs[0] policy
     /*  913313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913347 */     GIR_RootConstrainSelectedInstOperands,
     /*  913348 */     // GIR_Coverage, 23581,
     /*  913348 */     GIR_EraseRootFromParent_Done,
     /*  913349 */   // Label 13885: @913349
     /*  913349 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(913437), // Rule ID 23582 //
     /*  913354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913401 */     // MIs[1] Operand 1
     /*  913401 */     // No operand predicates
     /*  913401 */     // MIs[0] policy
     /*  913401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913435 */     GIR_RootConstrainSelectedInstOperands,
     /*  913436 */     // GIR_Coverage, 23582,
     /*  913436 */     GIR_EraseRootFromParent_Done,
     /*  913437 */   // Label 13886: @913437
     /*  913437 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(913525), // Rule ID 23585 //
     /*  913442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913489 */     // MIs[1] Operand 1
     /*  913489 */     // No operand predicates
     /*  913489 */     // MIs[0] policy
     /*  913489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913523 */     GIR_RootConstrainSelectedInstOperands,
     /*  913524 */     // GIR_Coverage, 23585,
     /*  913524 */     GIR_EraseRootFromParent_Done,
     /*  913525 */   // Label 13887: @913525
     /*  913525 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(913613), // Rule ID 23586 //
     /*  913530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913577 */     // MIs[1] Operand 1
     /*  913577 */     // No operand predicates
     /*  913577 */     // MIs[0] policy
     /*  913577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913589 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  913592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913611 */     GIR_RootConstrainSelectedInstOperands,
     /*  913612 */     // GIR_Coverage, 23586,
     /*  913612 */     GIR_EraseRootFromParent_Done,
     /*  913613 */   // Label 13888: @913613
     /*  913613 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(913701), // Rule ID 23589 //
     /*  913618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913665 */     // MIs[1] Operand 1
     /*  913665 */     // No operand predicates
     /*  913665 */     // MIs[0] policy
     /*  913665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913699 */     GIR_RootConstrainSelectedInstOperands,
     /*  913700 */     // GIR_Coverage, 23589,
     /*  913700 */     GIR_EraseRootFromParent_Done,
     /*  913701 */   // Label 13889: @913701
     /*  913701 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913789), // Rule ID 23590 //
     /*  913706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913753 */     // MIs[1] Operand 1
     /*  913753 */     // No operand predicates
     /*  913753 */     // MIs[0] policy
     /*  913753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913787 */     GIR_RootConstrainSelectedInstOperands,
     /*  913788 */     // GIR_Coverage, 23590,
     /*  913788 */     GIR_EraseRootFromParent_Done,
     /*  913789 */   // Label 13890: @913789
     /*  913789 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913877), // Rule ID 23593 //
     /*  913794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913841 */     // MIs[1] Operand 1
     /*  913841 */     // No operand predicates
     /*  913841 */     // MIs[0] policy
     /*  913841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913875 */     GIR_RootConstrainSelectedInstOperands,
     /*  913876 */     // GIR_Coverage, 23593,
     /*  913876 */     GIR_EraseRootFromParent_Done,
     /*  913877 */   // Label 13891: @913877
     /*  913877 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(913965), // Rule ID 23594 //
     /*  913882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  913899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913929 */     // MIs[1] Operand 1
     /*  913929 */     // No operand predicates
     /*  913929 */     // MIs[0] policy
     /*  913929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  913944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913963 */     GIR_RootConstrainSelectedInstOperands,
     /*  913964 */     // GIR_Coverage, 23594,
     /*  913964 */     GIR_EraseRootFromParent_Done,
     /*  913965 */   // Label 13892: @913965
     /*  913965 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914053), // Rule ID 23597 //
     /*  913970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  913981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  913984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  913987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914017 */     // MIs[1] Operand 1
     /*  914017 */     // No operand predicates
     /*  914017 */     // MIs[0] policy
     /*  914017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914051 */     GIR_RootConstrainSelectedInstOperands,
     /*  914052 */     // GIR_Coverage, 23597,
     /*  914052 */     GIR_EraseRootFromParent_Done,
     /*  914053 */   // Label 13893: @914053
     /*  914053 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(914141), // Rule ID 23598 //
     /*  914058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  914069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  914072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914105 */     // MIs[1] Operand 1
     /*  914105 */     // No operand predicates
     /*  914105 */     // MIs[0] policy
     /*  914105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914139 */     GIR_RootConstrainSelectedInstOperands,
     /*  914140 */     // GIR_Coverage, 23598,
     /*  914140 */     GIR_EraseRootFromParent_Done,
     /*  914141 */   // Label 13894: @914141
     /*  914141 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(914229), // Rule ID 23601 //
     /*  914146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914193 */     // MIs[1] Operand 1
     /*  914193 */     // No operand predicates
     /*  914193 */     // MIs[0] policy
     /*  914193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914227 */     GIR_RootConstrainSelectedInstOperands,
     /*  914228 */     // GIR_Coverage, 23601,
     /*  914228 */     GIR_EraseRootFromParent_Done,
     /*  914229 */   // Label 13895: @914229
     /*  914229 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(914317), // Rule ID 23602 //
     /*  914234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914281 */     // MIs[1] Operand 1
     /*  914281 */     // No operand predicates
     /*  914281 */     // MIs[0] policy
     /*  914281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914315 */     GIR_RootConstrainSelectedInstOperands,
     /*  914316 */     // GIR_Coverage, 23602,
     /*  914316 */     GIR_EraseRootFromParent_Done,
     /*  914317 */   // Label 13896: @914317
     /*  914317 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(914405), // Rule ID 23605 //
     /*  914322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914369 */     // MIs[1] Operand 1
     /*  914369 */     // No operand predicates
     /*  914369 */     // MIs[0] policy
     /*  914369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914403 */     GIR_RootConstrainSelectedInstOperands,
     /*  914404 */     // GIR_Coverage, 23605,
     /*  914404 */     GIR_EraseRootFromParent_Done,
     /*  914405 */   // Label 13897: @914405
     /*  914405 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(914493), // Rule ID 23606 //
     /*  914410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914457 */     // MIs[1] Operand 1
     /*  914457 */     // No operand predicates
     /*  914457 */     // MIs[0] policy
     /*  914457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914491 */     GIR_RootConstrainSelectedInstOperands,
     /*  914492 */     // GIR_Coverage, 23606,
     /*  914492 */     GIR_EraseRootFromParent_Done,
     /*  914493 */   // Label 13898: @914493
     /*  914493 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(914581), // Rule ID 23609 //
     /*  914498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914545 */     // MIs[1] Operand 1
     /*  914545 */     // No operand predicates
     /*  914545 */     // MIs[0] policy
     /*  914545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914579 */     GIR_RootConstrainSelectedInstOperands,
     /*  914580 */     // GIR_Coverage, 23609,
     /*  914580 */     GIR_EraseRootFromParent_Done,
     /*  914581 */   // Label 13899: @914581
     /*  914581 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(914669), // Rule ID 23610 //
     /*  914586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  914603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914633 */     // MIs[1] Operand 1
     /*  914633 */     // No operand predicates
     /*  914633 */     // MIs[0] policy
     /*  914633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  914648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914667 */     GIR_RootConstrainSelectedInstOperands,
     /*  914668 */     // GIR_Coverage, 23610,
     /*  914668 */     GIR_EraseRootFromParent_Done,
     /*  914669 */   // Label 13900: @914669
     /*  914669 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(914757), // Rule ID 23613 //
     /*  914674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914721 */     // MIs[1] Operand 1
     /*  914721 */     // No operand predicates
     /*  914721 */     // MIs[0] policy
     /*  914721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914755 */     GIR_RootConstrainSelectedInstOperands,
     /*  914756 */     // GIR_Coverage, 23613,
     /*  914756 */     GIR_EraseRootFromParent_Done,
     /*  914757 */   // Label 13901: @914757
     /*  914757 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914845), // Rule ID 23614 //
     /*  914762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914809 */     // MIs[1] Operand 1
     /*  914809 */     // No operand predicates
     /*  914809 */     // MIs[0] policy
     /*  914809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914843 */     GIR_RootConstrainSelectedInstOperands,
     /*  914844 */     // GIR_Coverage, 23614,
     /*  914844 */     GIR_EraseRootFromParent_Done,
     /*  914845 */   // Label 13902: @914845
     /*  914845 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(914933), // Rule ID 23617 //
     /*  914850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  914861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  914864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  914867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914897 */     // MIs[1] Operand 1
     /*  914897 */     // No operand predicates
     /*  914897 */     // MIs[0] policy
     /*  914897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914931 */     GIR_RootConstrainSelectedInstOperands,
     /*  914932 */     // GIR_Coverage, 23617,
     /*  914932 */     GIR_EraseRootFromParent_Done,
     /*  914933 */   // Label 13903: @914933
     /*  914933 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915021), // Rule ID 23618 //
     /*  914938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  914949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  914952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  914955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914985 */     // MIs[1] Operand 1
     /*  914985 */     // No operand predicates
     /*  914985 */     // MIs[0] policy
     /*  914985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915019 */     GIR_RootConstrainSelectedInstOperands,
     /*  915020 */     // GIR_Coverage, 23618,
     /*  915020 */     GIR_EraseRootFromParent_Done,
     /*  915021 */   // Label 13904: @915021
     /*  915021 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(915109), // Rule ID 23621 //
     /*  915026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915073 */     // MIs[1] Operand 1
     /*  915073 */     // No operand predicates
     /*  915073 */     // MIs[0] policy
     /*  915073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915107 */     GIR_RootConstrainSelectedInstOperands,
     /*  915108 */     // GIR_Coverage, 23621,
     /*  915108 */     GIR_EraseRootFromParent_Done,
     /*  915109 */   // Label 13905: @915109
     /*  915109 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(915197), // Rule ID 23622 //
     /*  915114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  915125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  915128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  915131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915161 */     // MIs[1] Operand 1
     /*  915161 */     // No operand predicates
     /*  915161 */     // MIs[0] policy
     /*  915161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915173 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915195 */     GIR_RootConstrainSelectedInstOperands,
     /*  915196 */     // GIR_Coverage, 23622,
     /*  915196 */     GIR_EraseRootFromParent_Done,
     /*  915197 */   // Label 13906: @915197
     /*  915197 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(915285), // Rule ID 23625 //
     /*  915202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915249 */     // MIs[1] Operand 1
     /*  915249 */     // No operand predicates
     /*  915249 */     // MIs[0] policy
     /*  915249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915283 */     GIR_RootConstrainSelectedInstOperands,
     /*  915284 */     // GIR_Coverage, 23625,
     /*  915284 */     GIR_EraseRootFromParent_Done,
     /*  915285 */   // Label 13907: @915285
     /*  915285 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(915373), // Rule ID 23626 //
     /*  915290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915337 */     // MIs[1] Operand 1
     /*  915337 */     // No operand predicates
     /*  915337 */     // MIs[0] policy
     /*  915337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915371 */     GIR_RootConstrainSelectedInstOperands,
     /*  915372 */     // GIR_Coverage, 23626,
     /*  915372 */     GIR_EraseRootFromParent_Done,
     /*  915373 */   // Label 13908: @915373
     /*  915373 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(915461), // Rule ID 23629 //
     /*  915378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915425 */     // MIs[1] Operand 1
     /*  915425 */     // No operand predicates
     /*  915425 */     // MIs[0] policy
     /*  915425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915437 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915459 */     GIR_RootConstrainSelectedInstOperands,
     /*  915460 */     // GIR_Coverage, 23629,
     /*  915460 */     GIR_EraseRootFromParent_Done,
     /*  915461 */   // Label 13909: @915461
     /*  915461 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(915549), // Rule ID 23630 //
     /*  915466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915513 */     // MIs[1] Operand 1
     /*  915513 */     // No operand predicates
     /*  915513 */     // MIs[0] policy
     /*  915513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915547 */     GIR_RootConstrainSelectedInstOperands,
     /*  915548 */     // GIR_Coverage, 23630,
     /*  915548 */     GIR_EraseRootFromParent_Done,
     /*  915549 */   // Label 13910: @915549
     /*  915549 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(915637), // Rule ID 23633 //
     /*  915554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  915571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915601 */     // MIs[1] Operand 1
     /*  915601 */     // No operand predicates
     /*  915601 */     // MIs[0] policy
     /*  915601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915635 */     GIR_RootConstrainSelectedInstOperands,
     /*  915636 */     // GIR_Coverage, 23633,
     /*  915636 */     GIR_EraseRootFromParent_Done,
     /*  915637 */   // Label 13911: @915637
     /*  915637 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(915725), // Rule ID 23634 //
     /*  915642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  915659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915689 */     // MIs[1] Operand 1
     /*  915689 */     // No operand predicates
     /*  915689 */     // MIs[0] policy
     /*  915689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915723 */     GIR_RootConstrainSelectedInstOperands,
     /*  915724 */     // GIR_Coverage, 23634,
     /*  915724 */     GIR_EraseRootFromParent_Done,
     /*  915725 */   // Label 13912: @915725
     /*  915725 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(915813), // Rule ID 23637 //
     /*  915730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915777 */     // MIs[1] Operand 1
     /*  915777 */     // No operand predicates
     /*  915777 */     // MIs[0] policy
     /*  915777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915811 */     GIR_RootConstrainSelectedInstOperands,
     /*  915812 */     // GIR_Coverage, 23637,
     /*  915812 */     GIR_EraseRootFromParent_Done,
     /*  915813 */   // Label 13913: @915813
     /*  915813 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915901), // Rule ID 23638 //
     /*  915818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915865 */     // MIs[1] Operand 1
     /*  915865 */     // No operand predicates
     /*  915865 */     // MIs[0] policy
     /*  915865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915899 */     GIR_RootConstrainSelectedInstOperands,
     /*  915900 */     // GIR_Coverage, 23638,
     /*  915900 */     GIR_EraseRootFromParent_Done,
     /*  915901 */   // Label 13914: @915901
     /*  915901 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(915989), // Rule ID 23641 //
     /*  915906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915953 */     // MIs[1] Operand 1
     /*  915953 */     // No operand predicates
     /*  915953 */     // MIs[0] policy
     /*  915953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915987 */     GIR_RootConstrainSelectedInstOperands,
     /*  915988 */     // GIR_Coverage, 23641,
     /*  915988 */     GIR_EraseRootFromParent_Done,
     /*  915989 */   // Label 13915: @915989
     /*  915989 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(916077), // Rule ID 23642 //
     /*  915994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916041 */     // MIs[1] Operand 1
     /*  916041 */     // No operand predicates
     /*  916041 */     // MIs[0] policy
     /*  916041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916075 */     GIR_RootConstrainSelectedInstOperands,
     /*  916076 */     // GIR_Coverage, 23642,
     /*  916076 */     GIR_EraseRootFromParent_Done,
     /*  916077 */   // Label 13916: @916077
     /*  916077 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(916165), // Rule ID 23645 //
     /*  916082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916129 */     // MIs[1] Operand 1
     /*  916129 */     // No operand predicates
     /*  916129 */     // MIs[0] policy
     /*  916129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916163 */     GIR_RootConstrainSelectedInstOperands,
     /*  916164 */     // GIR_Coverage, 23645,
     /*  916164 */     GIR_EraseRootFromParent_Done,
     /*  916165 */   // Label 13917: @916165
     /*  916165 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(916253), // Rule ID 23646 //
     /*  916170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916217 */     // MIs[1] Operand 1
     /*  916217 */     // No operand predicates
     /*  916217 */     // MIs[0] policy
     /*  916217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916251 */     GIR_RootConstrainSelectedInstOperands,
     /*  916252 */     // GIR_Coverage, 23646,
     /*  916252 */     GIR_EraseRootFromParent_Done,
     /*  916253 */   // Label 13918: @916253
     /*  916253 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(916341), // Rule ID 23649 //
     /*  916258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916305 */     // MIs[1] Operand 1
     /*  916305 */     // No operand predicates
     /*  916305 */     // MIs[0] policy
     /*  916305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916339 */     GIR_RootConstrainSelectedInstOperands,
     /*  916340 */     // GIR_Coverage, 23649,
     /*  916340 */     GIR_EraseRootFromParent_Done,
     /*  916341 */   // Label 13919: @916341
     /*  916341 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(916429), // Rule ID 23650 //
     /*  916346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916393 */     // MIs[1] Operand 1
     /*  916393 */     // No operand predicates
     /*  916393 */     // MIs[0] policy
     /*  916393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916427 */     GIR_RootConstrainSelectedInstOperands,
     /*  916428 */     // GIR_Coverage, 23650,
     /*  916428 */     GIR_EraseRootFromParent_Done,
     /*  916429 */   // Label 13920: @916429
     /*  916429 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(916517), // Rule ID 23653 //
     /*  916434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916481 */     // MIs[1] Operand 1
     /*  916481 */     // No operand predicates
     /*  916481 */     // MIs[0] policy
     /*  916481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916515 */     GIR_RootConstrainSelectedInstOperands,
     /*  916516 */     // GIR_Coverage, 23653,
     /*  916516 */     GIR_EraseRootFromParent_Done,
     /*  916517 */   // Label 13921: @916517
     /*  916517 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(916605), // Rule ID 23654 //
     /*  916522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916569 */     // MIs[1] Operand 1
     /*  916569 */     // No operand predicates
     /*  916569 */     // MIs[0] policy
     /*  916569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916603 */     GIR_RootConstrainSelectedInstOperands,
     /*  916604 */     // GIR_Coverage, 23654,
     /*  916604 */     GIR_EraseRootFromParent_Done,
     /*  916605 */   // Label 13922: @916605
     /*  916605 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(916693), // Rule ID 23657 //
     /*  916610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916657 */     // MIs[1] Operand 1
     /*  916657 */     // No operand predicates
     /*  916657 */     // MIs[0] policy
     /*  916657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916691 */     GIR_RootConstrainSelectedInstOperands,
     /*  916692 */     // GIR_Coverage, 23657,
     /*  916692 */     GIR_EraseRootFromParent_Done,
     /*  916693 */   // Label 13923: @916693
     /*  916693 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(916781), // Rule ID 23658 //
     /*  916698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916745 */     // MIs[1] Operand 1
     /*  916745 */     // No operand predicates
     /*  916745 */     // MIs[0] policy
     /*  916745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916779 */     GIR_RootConstrainSelectedInstOperands,
     /*  916780 */     // GIR_Coverage, 23658,
     /*  916780 */     GIR_EraseRootFromParent_Done,
     /*  916781 */   // Label 13924: @916781
     /*  916781 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(916869), // Rule ID 23749 //
     /*  916786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916833 */     // MIs[1] Operand 1
     /*  916833 */     // No operand predicates
     /*  916833 */     // MIs[0] policy
     /*  916833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916845 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  916848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916867 */     GIR_RootConstrainSelectedInstOperands,
     /*  916868 */     // GIR_Coverage, 23749,
     /*  916868 */     GIR_EraseRootFromParent_Done,
     /*  916869 */   // Label 13925: @916869
     /*  916869 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(916957), // Rule ID 23750 //
     /*  916874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916921 */     // MIs[1] Operand 1
     /*  916921 */     // No operand predicates
     /*  916921 */     // MIs[0] policy
     /*  916921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  916936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916955 */     GIR_RootConstrainSelectedInstOperands,
     /*  916956 */     // GIR_Coverage, 23750,
     /*  916956 */     GIR_EraseRootFromParent_Done,
     /*  916957 */   // Label 13926: @916957
     /*  916957 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917045), // Rule ID 23753 //
     /*  916962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  916973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  916976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  916979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917009 */     // MIs[1] Operand 1
     /*  917009 */     // No operand predicates
     /*  917009 */     // MIs[0] policy
     /*  917009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917043 */     GIR_RootConstrainSelectedInstOperands,
     /*  917044 */     // GIR_Coverage, 23753,
     /*  917044 */     GIR_EraseRootFromParent_Done,
     /*  917045 */   // Label 13927: @917045
     /*  917045 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(917133), // Rule ID 23754 //
     /*  917050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917097 */     // MIs[1] Operand 1
     /*  917097 */     // No operand predicates
     /*  917097 */     // MIs[0] policy
     /*  917097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917131 */     GIR_RootConstrainSelectedInstOperands,
     /*  917132 */     // GIR_Coverage, 23754,
     /*  917132 */     GIR_EraseRootFromParent_Done,
     /*  917133 */   // Label 13928: @917133
     /*  917133 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(917221), // Rule ID 23757 //
     /*  917138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917185 */     // MIs[1] Operand 1
     /*  917185 */     // No operand predicates
     /*  917185 */     // MIs[0] policy
     /*  917185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917219 */     GIR_RootConstrainSelectedInstOperands,
     /*  917220 */     // GIR_Coverage, 23757,
     /*  917220 */     GIR_EraseRootFromParent_Done,
     /*  917221 */   // Label 13929: @917221
     /*  917221 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(917309), // Rule ID 23758 //
     /*  917226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917273 */     // MIs[1] Operand 1
     /*  917273 */     // No operand predicates
     /*  917273 */     // MIs[0] policy
     /*  917273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917285 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917307 */     GIR_RootConstrainSelectedInstOperands,
     /*  917308 */     // GIR_Coverage, 23758,
     /*  917308 */     GIR_EraseRootFromParent_Done,
     /*  917309 */   // Label 13930: @917309
     /*  917309 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(917397), // Rule ID 23761 //
     /*  917314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917361 */     // MIs[1] Operand 1
     /*  917361 */     // No operand predicates
     /*  917361 */     // MIs[0] policy
     /*  917361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917395 */     GIR_RootConstrainSelectedInstOperands,
     /*  917396 */     // GIR_Coverage, 23761,
     /*  917396 */     GIR_EraseRootFromParent_Done,
     /*  917397 */   // Label 13931: @917397
     /*  917397 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(917485), // Rule ID 23762 //
     /*  917402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917449 */     // MIs[1] Operand 1
     /*  917449 */     // No operand predicates
     /*  917449 */     // MIs[0] policy
     /*  917449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917483 */     GIR_RootConstrainSelectedInstOperands,
     /*  917484 */     // GIR_Coverage, 23762,
     /*  917484 */     GIR_EraseRootFromParent_Done,
     /*  917485 */   // Label 13932: @917485
     /*  917485 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(917573), // Rule ID 23765 //
     /*  917490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917537 */     // MIs[1] Operand 1
     /*  917537 */     // No operand predicates
     /*  917537 */     // MIs[0] policy
     /*  917537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917571 */     GIR_RootConstrainSelectedInstOperands,
     /*  917572 */     // GIR_Coverage, 23765,
     /*  917572 */     GIR_EraseRootFromParent_Done,
     /*  917573 */   // Label 13933: @917573
     /*  917573 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(917661), // Rule ID 23766 //
     /*  917578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917625 */     // MIs[1] Operand 1
     /*  917625 */     // No operand predicates
     /*  917625 */     // MIs[0] policy
     /*  917625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917637 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917659 */     GIR_RootConstrainSelectedInstOperands,
     /*  917660 */     // GIR_Coverage, 23766,
     /*  917660 */     GIR_EraseRootFromParent_Done,
     /*  917661 */   // Label 13934: @917661
     /*  917661 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(917749), // Rule ID 23769 //
     /*  917666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917713 */     // MIs[1] Operand 1
     /*  917713 */     // No operand predicates
     /*  917713 */     // MIs[0] policy
     /*  917713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917747 */     GIR_RootConstrainSelectedInstOperands,
     /*  917748 */     // GIR_Coverage, 23769,
     /*  917748 */     GIR_EraseRootFromParent_Done,
     /*  917749 */   // Label 13935: @917749
     /*  917749 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(917837), // Rule ID 23770 //
     /*  917754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917801 */     // MIs[1] Operand 1
     /*  917801 */     // No operand predicates
     /*  917801 */     // MIs[0] policy
     /*  917801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917835 */     GIR_RootConstrainSelectedInstOperands,
     /*  917836 */     // GIR_Coverage, 23770,
     /*  917836 */     GIR_EraseRootFromParent_Done,
     /*  917837 */   // Label 13936: @917837
     /*  917837 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(917925), // Rule ID 23773 //
     /*  917842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917889 */     // MIs[1] Operand 1
     /*  917889 */     // No operand predicates
     /*  917889 */     // MIs[0] policy
     /*  917889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917923 */     GIR_RootConstrainSelectedInstOperands,
     /*  917924 */     // GIR_Coverage, 23773,
     /*  917924 */     GIR_EraseRootFromParent_Done,
     /*  917925 */   // Label 13937: @917925
     /*  917925 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918013), // Rule ID 23774 //
     /*  917930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917977 */     // MIs[1] Operand 1
     /*  917977 */     // No operand predicates
     /*  917977 */     // MIs[0] policy
     /*  917977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918011 */     GIR_RootConstrainSelectedInstOperands,
     /*  918012 */     // GIR_Coverage, 23774,
     /*  918012 */     GIR_EraseRootFromParent_Done,
     /*  918013 */   // Label 13938: @918013
     /*  918013 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(918101), // Rule ID 23777 //
     /*  918018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918065 */     // MIs[1] Operand 1
     /*  918065 */     // No operand predicates
     /*  918065 */     // MIs[0] policy
     /*  918065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918099 */     GIR_RootConstrainSelectedInstOperands,
     /*  918100 */     // GIR_Coverage, 23777,
     /*  918100 */     GIR_EraseRootFromParent_Done,
     /*  918101 */   // Label 13939: @918101
     /*  918101 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(918189), // Rule ID 23778 //
     /*  918106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918153 */     // MIs[1] Operand 1
     /*  918153 */     // No operand predicates
     /*  918153 */     // MIs[0] policy
     /*  918153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918187 */     GIR_RootConstrainSelectedInstOperands,
     /*  918188 */     // GIR_Coverage, 23778,
     /*  918188 */     GIR_EraseRootFromParent_Done,
     /*  918189 */   // Label 13940: @918189
     /*  918189 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(918277), // Rule ID 23781 //
     /*  918194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918241 */     // MIs[1] Operand 1
     /*  918241 */     // No operand predicates
     /*  918241 */     // MIs[0] policy
     /*  918241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918275 */     GIR_RootConstrainSelectedInstOperands,
     /*  918276 */     // GIR_Coverage, 23781,
     /*  918276 */     GIR_EraseRootFromParent_Done,
     /*  918277 */   // Label 13941: @918277
     /*  918277 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(918365), // Rule ID 23782 //
     /*  918282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918329 */     // MIs[1] Operand 1
     /*  918329 */     // No operand predicates
     /*  918329 */     // MIs[0] policy
     /*  918329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918363 */     GIR_RootConstrainSelectedInstOperands,
     /*  918364 */     // GIR_Coverage, 23782,
     /*  918364 */     GIR_EraseRootFromParent_Done,
     /*  918365 */   // Label 13942: @918365
     /*  918365 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(918453), // Rule ID 23785 //
     /*  918370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  918373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918417 */     // MIs[1] Operand 1
     /*  918417 */     // No operand predicates
     /*  918417 */     // MIs[0] policy
     /*  918417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918451 */     GIR_RootConstrainSelectedInstOperands,
     /*  918452 */     // GIR_Coverage, 23785,
     /*  918452 */     GIR_EraseRootFromParent_Done,
     /*  918453 */   // Label 13943: @918453
     /*  918453 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(918541), // Rule ID 23786 //
     /*  918458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  918461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918505 */     // MIs[1] Operand 1
     /*  918505 */     // No operand predicates
     /*  918505 */     // MIs[0] policy
     /*  918505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918539 */     GIR_RootConstrainSelectedInstOperands,
     /*  918540 */     // GIR_Coverage, 23786,
     /*  918540 */     GIR_EraseRootFromParent_Done,
     /*  918541 */   // Label 13944: @918541
     /*  918541 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(918629), // Rule ID 23789 //
     /*  918546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  918563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918593 */     // MIs[1] Operand 1
     /*  918593 */     // No operand predicates
     /*  918593 */     // MIs[0] policy
     /*  918593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918627 */     GIR_RootConstrainSelectedInstOperands,
     /*  918628 */     // GIR_Coverage, 23789,
     /*  918628 */     GIR_EraseRootFromParent_Done,
     /*  918629 */   // Label 13945: @918629
     /*  918629 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(918717), // Rule ID 23790 //
     /*  918634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  918645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  918648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  918651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918681 */     // MIs[1] Operand 1
     /*  918681 */     // No operand predicates
     /*  918681 */     // MIs[0] policy
     /*  918681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918693 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918715 */     GIR_RootConstrainSelectedInstOperands,
     /*  918716 */     // GIR_Coverage, 23790,
     /*  918716 */     GIR_EraseRootFromParent_Done,
     /*  918717 */   // Label 13946: @918717
     /*  918717 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(918805), // Rule ID 23793 //
     /*  918722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  918733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  918736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  918739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918769 */     // MIs[1] Operand 1
     /*  918769 */     // No operand predicates
     /*  918769 */     // MIs[0] policy
     /*  918769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918781 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918803 */     GIR_RootConstrainSelectedInstOperands,
     /*  918804 */     // GIR_Coverage, 23793,
     /*  918804 */     GIR_EraseRootFromParent_Done,
     /*  918805 */   // Label 13947: @918805
     /*  918805 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(918893), // Rule ID 23794 //
     /*  918810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  918821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  918824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  918827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918857 */     // MIs[1] Operand 1
     /*  918857 */     // No operand predicates
     /*  918857 */     // MIs[0] policy
     /*  918857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918891 */     GIR_RootConstrainSelectedInstOperands,
     /*  918892 */     // GIR_Coverage, 23794,
     /*  918892 */     GIR_EraseRootFromParent_Done,
     /*  918893 */   // Label 13948: @918893
     /*  918893 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(918981), // Rule ID 23797 //
     /*  918898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  918909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  918912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  918915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918945 */     // MIs[1] Operand 1
     /*  918945 */     // No operand predicates
     /*  918945 */     // MIs[0] policy
     /*  918945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918957 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918979 */     GIR_RootConstrainSelectedInstOperands,
     /*  918980 */     // GIR_Coverage, 23797,
     /*  918980 */     GIR_EraseRootFromParent_Done,
     /*  918981 */   // Label 13949: @918981
     /*  918981 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919069), // Rule ID 23798 //
     /*  918986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  918997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919033 */     // MIs[1] Operand 1
     /*  919033 */     // No operand predicates
     /*  919033 */     // MIs[0] policy
     /*  919033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919067 */     GIR_RootConstrainSelectedInstOperands,
     /*  919068 */     // GIR_Coverage, 23798,
     /*  919068 */     GIR_EraseRootFromParent_Done,
     /*  919069 */   // Label 13950: @919069
     /*  919069 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(919157), // Rule ID 23801 //
     /*  919074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919121 */     // MIs[1] Operand 1
     /*  919121 */     // No operand predicates
     /*  919121 */     // MIs[0] policy
     /*  919121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919155 */     GIR_RootConstrainSelectedInstOperands,
     /*  919156 */     // GIR_Coverage, 23801,
     /*  919156 */     GIR_EraseRootFromParent_Done,
     /*  919157 */   // Label 13951: @919157
     /*  919157 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(919245), // Rule ID 23802 //
     /*  919162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919209 */     // MIs[1] Operand 1
     /*  919209 */     // No operand predicates
     /*  919209 */     // MIs[0] policy
     /*  919209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919243 */     GIR_RootConstrainSelectedInstOperands,
     /*  919244 */     // GIR_Coverage, 23802,
     /*  919244 */     GIR_EraseRootFromParent_Done,
     /*  919245 */   // Label 13952: @919245
     /*  919245 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(919333), // Rule ID 23805 //
     /*  919250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919297 */     // MIs[1] Operand 1
     /*  919297 */     // No operand predicates
     /*  919297 */     // MIs[0] policy
     /*  919297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919331 */     GIR_RootConstrainSelectedInstOperands,
     /*  919332 */     // GIR_Coverage, 23805,
     /*  919332 */     GIR_EraseRootFromParent_Done,
     /*  919333 */   // Label 13953: @919333
     /*  919333 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(919421), // Rule ID 23806 //
     /*  919338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919385 */     // MIs[1] Operand 1
     /*  919385 */     // No operand predicates
     /*  919385 */     // MIs[0] policy
     /*  919385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919419 */     GIR_RootConstrainSelectedInstOperands,
     /*  919420 */     // GIR_Coverage, 23806,
     /*  919420 */     GIR_EraseRootFromParent_Done,
     /*  919421 */   // Label 13954: @919421
     /*  919421 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(919509), // Rule ID 23809 //
     /*  919426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919473 */     // MIs[1] Operand 1
     /*  919473 */     // No operand predicates
     /*  919473 */     // MIs[0] policy
     /*  919473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919485 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919507 */     GIR_RootConstrainSelectedInstOperands,
     /*  919508 */     // GIR_Coverage, 23809,
     /*  919508 */     GIR_EraseRootFromParent_Done,
     /*  919509 */   // Label 13955: @919509
     /*  919509 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(919597), // Rule ID 23810 //
     /*  919514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  919531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919561 */     // MIs[1] Operand 1
     /*  919561 */     // No operand predicates
     /*  919561 */     // MIs[0] policy
     /*  919561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919595 */     GIR_RootConstrainSelectedInstOperands,
     /*  919596 */     // GIR_Coverage, 23810,
     /*  919596 */     GIR_EraseRootFromParent_Done,
     /*  919597 */   // Label 13956: @919597
     /*  919597 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(919685), // Rule ID 23813 //
     /*  919602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  919613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  919616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  919619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919649 */     // MIs[1] Operand 1
     /*  919649 */     // No operand predicates
     /*  919649 */     // MIs[0] policy
     /*  919649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919683 */     GIR_RootConstrainSelectedInstOperands,
     /*  919684 */     // GIR_Coverage, 23813,
     /*  919684 */     GIR_EraseRootFromParent_Done,
     /*  919685 */   // Label 13957: @919685
     /*  919685 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(919773), // Rule ID 23814 //
     /*  919690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  919701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  919704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  919707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919737 */     // MIs[1] Operand 1
     /*  919737 */     // No operand predicates
     /*  919737 */     // MIs[0] policy
     /*  919737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919749 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919771 */     GIR_RootConstrainSelectedInstOperands,
     /*  919772 */     // GIR_Coverage, 23814,
     /*  919772 */     GIR_EraseRootFromParent_Done,
     /*  919773 */   // Label 13958: @919773
     /*  919773 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(919861), // Rule ID 23817 //
     /*  919778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919825 */     // MIs[1] Operand 1
     /*  919825 */     // No operand predicates
     /*  919825 */     // MIs[0] policy
     /*  919825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919859 */     GIR_RootConstrainSelectedInstOperands,
     /*  919860 */     // GIR_Coverage, 23817,
     /*  919860 */     GIR_EraseRootFromParent_Done,
     /*  919861 */   // Label 13959: @919861
     /*  919861 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(919949), // Rule ID 23818 //
     /*  919866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919913 */     // MIs[1] Operand 1
     /*  919913 */     // No operand predicates
     /*  919913 */     // MIs[0] policy
     /*  919913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919947 */     GIR_RootConstrainSelectedInstOperands,
     /*  919948 */     // GIR_Coverage, 23818,
     /*  919948 */     GIR_EraseRootFromParent_Done,
     /*  919949 */   // Label 13960: @919949
     /*  919949 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920037), // Rule ID 23821 //
     /*  919954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  919965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  919968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  919971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920001 */     // MIs[1] Operand 1
     /*  920001 */     // No operand predicates
     /*  920001 */     // MIs[0] policy
     /*  920001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920035 */     GIR_RootConstrainSelectedInstOperands,
     /*  920036 */     // GIR_Coverage, 23821,
     /*  920036 */     GIR_EraseRootFromParent_Done,
     /*  920037 */   // Label 13961: @920037
     /*  920037 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(920125), // Rule ID 23822 //
     /*  920042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920089 */     // MIs[1] Operand 1
     /*  920089 */     // No operand predicates
     /*  920089 */     // MIs[0] policy
     /*  920089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920123 */     GIR_RootConstrainSelectedInstOperands,
     /*  920124 */     // GIR_Coverage, 23822,
     /*  920124 */     GIR_EraseRootFromParent_Done,
     /*  920125 */   // Label 13962: @920125
     /*  920125 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(920213), // Rule ID 23825 //
     /*  920130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920177 */     // MIs[1] Operand 1
     /*  920177 */     // No operand predicates
     /*  920177 */     // MIs[0] policy
     /*  920177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920211 */     GIR_RootConstrainSelectedInstOperands,
     /*  920212 */     // GIR_Coverage, 23825,
     /*  920212 */     GIR_EraseRootFromParent_Done,
     /*  920213 */   // Label 13963: @920213
     /*  920213 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(920301), // Rule ID 23826 //
     /*  920218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920265 */     // MIs[1] Operand 1
     /*  920265 */     // No operand predicates
     /*  920265 */     // MIs[0] policy
     /*  920265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  920280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920299 */     GIR_RootConstrainSelectedInstOperands,
     /*  920300 */     // GIR_Coverage, 23826,
     /*  920300 */     GIR_EraseRootFromParent_Done,
     /*  920301 */   // Label 13964: @920301
     /*  920301 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(920389), // Rule ID 23829 //
     /*  920306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920353 */     // MIs[1] Operand 1
     /*  920353 */     // No operand predicates
     /*  920353 */     // MIs[0] policy
     /*  920353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920387 */     GIR_RootConstrainSelectedInstOperands,
     /*  920388 */     // GIR_Coverage, 23829,
     /*  920388 */     GIR_EraseRootFromParent_Done,
     /*  920389 */   // Label 13965: @920389
     /*  920389 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(920477), // Rule ID 23830 //
     /*  920394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  920405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  920408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  920411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920441 */     // MIs[1] Operand 1
     /*  920441 */     // No operand predicates
     /*  920441 */     // MIs[0] policy
     /*  920441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  920456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920475 */     GIR_RootConstrainSelectedInstOperands,
     /*  920476 */     // GIR_Coverage, 23830,
     /*  920476 */     GIR_EraseRootFromParent_Done,
     /*  920477 */   // Label 13966: @920477
     /*  920477 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(920565), // Rule ID 23833 //
     /*  920482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920529 */     // MIs[1] Operand 1
     /*  920529 */     // No operand predicates
     /*  920529 */     // MIs[0] policy
     /*  920529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920563 */     GIR_RootConstrainSelectedInstOperands,
     /*  920564 */     // GIR_Coverage, 23833,
     /*  920564 */     GIR_EraseRootFromParent_Done,
     /*  920565 */   // Label 13967: @920565
     /*  920565 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(920653), // Rule ID 23834 //
     /*  920570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  920578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  920581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  920584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  920587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920617 */     // MIs[1] Operand 1
     /*  920617 */     // No operand predicates
     /*  920617 */     // MIs[0] policy
     /*  920617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920651 */     GIR_RootConstrainSelectedInstOperands,
     /*  920652 */     // GIR_Coverage, 23834,
     /*  920652 */     GIR_EraseRootFromParent_Done,
     /*  920653 */   // Label 13968: @920653
     /*  920653 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(920741), // Rule ID 24073 //
     /*  920658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920705 */     // MIs[1] Operand 1
     /*  920705 */     // No operand predicates
     /*  920705 */     // MIs[0] policy
     /*  920705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920717 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  920720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920739 */     GIR_RootConstrainSelectedInstOperands,
     /*  920740 */     // GIR_Coverage, 24073,
     /*  920740 */     GIR_EraseRootFromParent_Done,
     /*  920741 */   // Label 13969: @920741
     /*  920741 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(920829), // Rule ID 24074 //
     /*  920746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920793 */     // MIs[1] Operand 1
     /*  920793 */     // No operand predicates
     /*  920793 */     // MIs[0] policy
     /*  920793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920805 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  920808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920827 */     GIR_RootConstrainSelectedInstOperands,
     /*  920828 */     // GIR_Coverage, 24074,
     /*  920828 */     GIR_EraseRootFromParent_Done,
     /*  920829 */   // Label 13970: @920829
     /*  920829 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(920917), // Rule ID 24077 //
     /*  920834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920881 */     // MIs[1] Operand 1
     /*  920881 */     // No operand predicates
     /*  920881 */     // MIs[0] policy
     /*  920881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920893 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  920896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920915 */     GIR_RootConstrainSelectedInstOperands,
     /*  920916 */     // GIR_Coverage, 24077,
     /*  920916 */     GIR_EraseRootFromParent_Done,
     /*  920917 */   // Label 13971: @920917
     /*  920917 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921005), // Rule ID 24078 //
     /*  920922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920969 */     // MIs[1] Operand 1
     /*  920969 */     // No operand predicates
     /*  920969 */     // MIs[0] policy
     /*  920969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920981 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  920984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921003 */     GIR_RootConstrainSelectedInstOperands,
     /*  921004 */     // GIR_Coverage, 24078,
     /*  921004 */     GIR_EraseRootFromParent_Done,
     /*  921005 */   // Label 13972: @921005
     /*  921005 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(921093), // Rule ID 24081 //
     /*  921010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921057 */     // MIs[1] Operand 1
     /*  921057 */     // No operand predicates
     /*  921057 */     // MIs[0] policy
     /*  921057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921069 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921091 */     GIR_RootConstrainSelectedInstOperands,
     /*  921092 */     // GIR_Coverage, 24081,
     /*  921092 */     GIR_EraseRootFromParent_Done,
     /*  921093 */   // Label 13973: @921093
     /*  921093 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(921181), // Rule ID 24082 //
     /*  921098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921145 */     // MIs[1] Operand 1
     /*  921145 */     // No operand predicates
     /*  921145 */     // MIs[0] policy
     /*  921145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921157 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  921160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921179 */     GIR_RootConstrainSelectedInstOperands,
     /*  921180 */     // GIR_Coverage, 24082,
     /*  921180 */     GIR_EraseRootFromParent_Done,
     /*  921181 */   // Label 13974: @921181
     /*  921181 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(921269), // Rule ID 24085 //
     /*  921186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921233 */     // MIs[1] Operand 1
     /*  921233 */     // No operand predicates
     /*  921233 */     // MIs[0] policy
     /*  921233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921267 */     GIR_RootConstrainSelectedInstOperands,
     /*  921268 */     // GIR_Coverage, 24085,
     /*  921268 */     GIR_EraseRootFromParent_Done,
     /*  921269 */   // Label 13975: @921269
     /*  921269 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(921357), // Rule ID 24086 //
     /*  921274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921321 */     // MIs[1] Operand 1
     /*  921321 */     // No operand predicates
     /*  921321 */     // MIs[0] policy
     /*  921321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921355 */     GIR_RootConstrainSelectedInstOperands,
     /*  921356 */     // GIR_Coverage, 24086,
     /*  921356 */     GIR_EraseRootFromParent_Done,
     /*  921357 */   // Label 13976: @921357
     /*  921357 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(921445), // Rule ID 24089 //
     /*  921362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921409 */     // MIs[1] Operand 1
     /*  921409 */     // No operand predicates
     /*  921409 */     // MIs[0] policy
     /*  921409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921421 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921443 */     GIR_RootConstrainSelectedInstOperands,
     /*  921444 */     // GIR_Coverage, 24089,
     /*  921444 */     GIR_EraseRootFromParent_Done,
     /*  921445 */   // Label 13977: @921445
     /*  921445 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(921533), // Rule ID 24090 //
     /*  921450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921497 */     // MIs[1] Operand 1
     /*  921497 */     // No operand predicates
     /*  921497 */     // MIs[0] policy
     /*  921497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921531 */     GIR_RootConstrainSelectedInstOperands,
     /*  921532 */     // GIR_Coverage, 24090,
     /*  921532 */     GIR_EraseRootFromParent_Done,
     /*  921533 */   // Label 13978: @921533
     /*  921533 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(921621), // Rule ID 24093 //
     /*  921538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921585 */     // MIs[1] Operand 1
     /*  921585 */     // No operand predicates
     /*  921585 */     // MIs[0] policy
     /*  921585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921597 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921619 */     GIR_RootConstrainSelectedInstOperands,
     /*  921620 */     // GIR_Coverage, 24093,
     /*  921620 */     GIR_EraseRootFromParent_Done,
     /*  921621 */   // Label 13979: @921621
     /*  921621 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(921709), // Rule ID 24094 //
     /*  921626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  921629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921673 */     // MIs[1] Operand 1
     /*  921673 */     // No operand predicates
     /*  921673 */     // MIs[0] policy
     /*  921673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  921688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921707 */     GIR_RootConstrainSelectedInstOperands,
     /*  921708 */     // GIR_Coverage, 24094,
     /*  921708 */     GIR_EraseRootFromParent_Done,
     /*  921709 */   // Label 13980: @921709
     /*  921709 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(921797), // Rule ID 24097 //
     /*  921714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  921731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921761 */     // MIs[1] Operand 1
     /*  921761 */     // No operand predicates
     /*  921761 */     // MIs[0] policy
     /*  921761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921795 */     GIR_RootConstrainSelectedInstOperands,
     /*  921796 */     // GIR_Coverage, 24097,
     /*  921796 */     GIR_EraseRootFromParent_Done,
     /*  921797 */   // Label 13981: @921797
     /*  921797 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(921885), // Rule ID 24098 //
     /*  921802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  921819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921849 */     // MIs[1] Operand 1
     /*  921849 */     // No operand predicates
     /*  921849 */     // MIs[0] policy
     /*  921849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921861 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921883 */     GIR_RootConstrainSelectedInstOperands,
     /*  921884 */     // GIR_Coverage, 24098,
     /*  921884 */     GIR_EraseRootFromParent_Done,
     /*  921885 */   // Label 13982: @921885
     /*  921885 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(921973), // Rule ID 24101 //
     /*  921890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  921893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  921901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  921904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  921907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921937 */     // MIs[1] Operand 1
     /*  921937 */     // No operand predicates
     /*  921937 */     // MIs[0] policy
     /*  921937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921949 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921971 */     GIR_RootConstrainSelectedInstOperands,
     /*  921972 */     // GIR_Coverage, 24101,
     /*  921972 */     GIR_EraseRootFromParent_Done,
     /*  921973 */   // Label 13983: @921973
     /*  921973 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922061), // Rule ID 24102 //
     /*  921978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  921981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  921989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  921992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  921995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922025 */     // MIs[1] Operand 1
     /*  922025 */     // No operand predicates
     /*  922025 */     // MIs[0] policy
     /*  922025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922037 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922059 */     GIR_RootConstrainSelectedInstOperands,
     /*  922060 */     // GIR_Coverage, 24102,
     /*  922060 */     GIR_EraseRootFromParent_Done,
     /*  922061 */   // Label 13984: @922061
     /*  922061 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(922149), // Rule ID 24105 //
     /*  922066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922113 */     // MIs[1] Operand 1
     /*  922113 */     // No operand predicates
     /*  922113 */     // MIs[0] policy
     /*  922113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922125 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922147 */     GIR_RootConstrainSelectedInstOperands,
     /*  922148 */     // GIR_Coverage, 24105,
     /*  922148 */     GIR_EraseRootFromParent_Done,
     /*  922149 */   // Label 13985: @922149
     /*  922149 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(922237), // Rule ID 24106 //
     /*  922154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922201 */     // MIs[1] Operand 1
     /*  922201 */     // No operand predicates
     /*  922201 */     // MIs[0] policy
     /*  922201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922213 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922235 */     GIR_RootConstrainSelectedInstOperands,
     /*  922236 */     // GIR_Coverage, 24106,
     /*  922236 */     GIR_EraseRootFromParent_Done,
     /*  922237 */   // Label 13986: @922237
     /*  922237 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(922325), // Rule ID 24109 //
     /*  922242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922289 */     // MIs[1] Operand 1
     /*  922289 */     // No operand predicates
     /*  922289 */     // MIs[0] policy
     /*  922289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922301 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922323 */     GIR_RootConstrainSelectedInstOperands,
     /*  922324 */     // GIR_Coverage, 24109,
     /*  922324 */     GIR_EraseRootFromParent_Done,
     /*  922325 */   // Label 13987: @922325
     /*  922325 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(922413), // Rule ID 24110 //
     /*  922330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922377 */     // MIs[1] Operand 1
     /*  922377 */     // No operand predicates
     /*  922377 */     // MIs[0] policy
     /*  922377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922389 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922411 */     GIR_RootConstrainSelectedInstOperands,
     /*  922412 */     // GIR_Coverage, 24110,
     /*  922412 */     GIR_EraseRootFromParent_Done,
     /*  922413 */   // Label 13988: @922413
     /*  922413 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(922501), // Rule ID 24113 //
     /*  922418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922465 */     // MIs[1] Operand 1
     /*  922465 */     // No operand predicates
     /*  922465 */     // MIs[0] policy
     /*  922465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922499 */     GIR_RootConstrainSelectedInstOperands,
     /*  922500 */     // GIR_Coverage, 24113,
     /*  922500 */     GIR_EraseRootFromParent_Done,
     /*  922501 */   // Label 13989: @922501
     /*  922501 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(922589), // Rule ID 24114 //
     /*  922506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  922523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922553 */     // MIs[1] Operand 1
     /*  922553 */     // No operand predicates
     /*  922553 */     // MIs[0] policy
     /*  922553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  922568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922587 */     GIR_RootConstrainSelectedInstOperands,
     /*  922588 */     // GIR_Coverage, 24114,
     /*  922588 */     GIR_EraseRootFromParent_Done,
     /*  922589 */   // Label 13990: @922589
     /*  922589 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(922677), // Rule ID 24117 //
     /*  922594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  922611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922641 */     // MIs[1] Operand 1
     /*  922641 */     // No operand predicates
     /*  922641 */     // MIs[0] policy
     /*  922641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922653 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922675 */     GIR_RootConstrainSelectedInstOperands,
     /*  922676 */     // GIR_Coverage, 24117,
     /*  922676 */     GIR_EraseRootFromParent_Done,
     /*  922677 */   // Label 13991: @922677
     /*  922677 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(922765), // Rule ID 24118 //
     /*  922682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  922699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922729 */     // MIs[1] Operand 1
     /*  922729 */     // No operand predicates
     /*  922729 */     // MIs[0] policy
     /*  922729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922741 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922763 */     GIR_RootConstrainSelectedInstOperands,
     /*  922764 */     // GIR_Coverage, 24118,
     /*  922764 */     GIR_EraseRootFromParent_Done,
     /*  922765 */   // Label 13992: @922765
     /*  922765 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(922853), // Rule ID 24121 //
     /*  922770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  922773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  922787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922817 */     // MIs[1] Operand 1
     /*  922817 */     // No operand predicates
     /*  922817 */     // MIs[0] policy
     /*  922817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922829 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922851 */     GIR_RootConstrainSelectedInstOperands,
     /*  922852 */     // GIR_Coverage, 24121,
     /*  922852 */     GIR_EraseRootFromParent_Done,
     /*  922853 */   // Label 13993: @922853
     /*  922853 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(922941), // Rule ID 24122 //
     /*  922858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  922861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  922875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922905 */     // MIs[1] Operand 1
     /*  922905 */     // No operand predicates
     /*  922905 */     // MIs[0] policy
     /*  922905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  922920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922939 */     GIR_RootConstrainSelectedInstOperands,
     /*  922940 */     // GIR_Coverage, 24122,
     /*  922940 */     GIR_EraseRootFromParent_Done,
     /*  922941 */   // Label 13994: @922941
     /*  922941 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923029), // Rule ID 24125 //
     /*  922946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  922949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  922957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  922960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  922963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922993 */     // MIs[1] Operand 1
     /*  922993 */     // No operand predicates
     /*  922993 */     // MIs[0] policy
     /*  922993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923005 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923027 */     GIR_RootConstrainSelectedInstOperands,
     /*  923028 */     // GIR_Coverage, 24125,
     /*  923028 */     GIR_EraseRootFromParent_Done,
     /*  923029 */   // Label 13995: @923029
     /*  923029 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(923117), // Rule ID 24126 //
     /*  923034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923081 */     // MIs[1] Operand 1
     /*  923081 */     // No operand predicates
     /*  923081 */     // MIs[0] policy
     /*  923081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923093 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  923096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923115 */     GIR_RootConstrainSelectedInstOperands,
     /*  923116 */     // GIR_Coverage, 24126,
     /*  923116 */     GIR_EraseRootFromParent_Done,
     /*  923117 */   // Label 13996: @923117
     /*  923117 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(923205), // Rule ID 24129 //
     /*  923122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  923125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923169 */     // MIs[1] Operand 1
     /*  923169 */     // No operand predicates
     /*  923169 */     // MIs[0] policy
     /*  923169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923203 */     GIR_RootConstrainSelectedInstOperands,
     /*  923204 */     // GIR_Coverage, 24129,
     /*  923204 */     GIR_EraseRootFromParent_Done,
     /*  923205 */   // Label 13997: @923205
     /*  923205 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(923293), // Rule ID 24130 //
     /*  923210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  923218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923257 */     // MIs[1] Operand 1
     /*  923257 */     // No operand predicates
     /*  923257 */     // MIs[0] policy
     /*  923257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923269 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  923272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923291 */     GIR_RootConstrainSelectedInstOperands,
     /*  923292 */     // GIR_Coverage, 24130,
     /*  923292 */     GIR_EraseRootFromParent_Done,
     /*  923293 */   // Label 13998: @923293
     /*  923293 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(923381), // Rule ID 24193 //
     /*  923298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923345 */     // MIs[1] Operand 1
     /*  923345 */     // No operand predicates
     /*  923345 */     // MIs[0] policy
     /*  923345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923357 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923379 */     GIR_RootConstrainSelectedInstOperands,
     /*  923380 */     // GIR_Coverage, 24193,
     /*  923380 */     GIR_EraseRootFromParent_Done,
     /*  923381 */   // Label 13999: @923381
     /*  923381 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(923469), // Rule ID 24194 //
     /*  923386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923433 */     // MIs[1] Operand 1
     /*  923433 */     // No operand predicates
     /*  923433 */     // MIs[0] policy
     /*  923433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923445 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  923448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923467 */     GIR_RootConstrainSelectedInstOperands,
     /*  923468 */     // GIR_Coverage, 24194,
     /*  923468 */     GIR_EraseRootFromParent_Done,
     /*  923469 */   // Label 14000: @923469
     /*  923469 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(923557), // Rule ID 24197 //
     /*  923474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923521 */     // MIs[1] Operand 1
     /*  923521 */     // No operand predicates
     /*  923521 */     // MIs[0] policy
     /*  923521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923533 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923555 */     GIR_RootConstrainSelectedInstOperands,
     /*  923556 */     // GIR_Coverage, 24197,
     /*  923556 */     GIR_EraseRootFromParent_Done,
     /*  923557 */   // Label 14001: @923557
     /*  923557 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(923645), // Rule ID 24198 //
     /*  923562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923609 */     // MIs[1] Operand 1
     /*  923609 */     // No operand predicates
     /*  923609 */     // MIs[0] policy
     /*  923609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923621 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923643 */     GIR_RootConstrainSelectedInstOperands,
     /*  923644 */     // GIR_Coverage, 24198,
     /*  923644 */     GIR_EraseRootFromParent_Done,
     /*  923645 */   // Label 14002: @923645
     /*  923645 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(923733), // Rule ID 24201 //
     /*  923650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923697 */     // MIs[1] Operand 1
     /*  923697 */     // No operand predicates
     /*  923697 */     // MIs[0] policy
     /*  923697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923731 */     GIR_RootConstrainSelectedInstOperands,
     /*  923732 */     // GIR_Coverage, 24201,
     /*  923732 */     GIR_EraseRootFromParent_Done,
     /*  923733 */   // Label 14003: @923733
     /*  923733 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(923821), // Rule ID 24202 //
     /*  923738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923785 */     // MIs[1] Operand 1
     /*  923785 */     // No operand predicates
     /*  923785 */     // MIs[0] policy
     /*  923785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923797 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923819 */     GIR_RootConstrainSelectedInstOperands,
     /*  923820 */     // GIR_Coverage, 24202,
     /*  923820 */     GIR_EraseRootFromParent_Done,
     /*  923821 */   // Label 14004: @923821
     /*  923821 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(923909), // Rule ID 24205 //
     /*  923826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923873 */     // MIs[1] Operand 1
     /*  923873 */     // No operand predicates
     /*  923873 */     // MIs[0] policy
     /*  923873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923885 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923907 */     GIR_RootConstrainSelectedInstOperands,
     /*  923908 */     // GIR_Coverage, 24205,
     /*  923908 */     GIR_EraseRootFromParent_Done,
     /*  923909 */   // Label 14005: @923909
     /*  923909 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(923997), // Rule ID 24206 //
     /*  923914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923961 */     // MIs[1] Operand 1
     /*  923961 */     // No operand predicates
     /*  923961 */     // MIs[0] policy
     /*  923961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923995 */     GIR_RootConstrainSelectedInstOperands,
     /*  923996 */     // GIR_Coverage, 24206,
     /*  923996 */     GIR_EraseRootFromParent_Done,
     /*  923997 */   // Label 14006: @923997
     /*  923997 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(924085), // Rule ID 24209 //
     /*  924002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924049 */     // MIs[1] Operand 1
     /*  924049 */     // No operand predicates
     /*  924049 */     // MIs[0] policy
     /*  924049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924061 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924083 */     GIR_RootConstrainSelectedInstOperands,
     /*  924084 */     // GIR_Coverage, 24209,
     /*  924084 */     GIR_EraseRootFromParent_Done,
     /*  924085 */   // Label 14007: @924085
     /*  924085 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(924173), // Rule ID 24210 //
     /*  924090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924137 */     // MIs[1] Operand 1
     /*  924137 */     // No operand predicates
     /*  924137 */     // MIs[0] policy
     /*  924137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924171 */     GIR_RootConstrainSelectedInstOperands,
     /*  924172 */     // GIR_Coverage, 24210,
     /*  924172 */     GIR_EraseRootFromParent_Done,
     /*  924173 */   // Label 14008: @924173
     /*  924173 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(924261), // Rule ID 24213 //
     /*  924178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924225 */     // MIs[1] Operand 1
     /*  924225 */     // No operand predicates
     /*  924225 */     // MIs[0] policy
     /*  924225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924237 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924259 */     GIR_RootConstrainSelectedInstOperands,
     /*  924260 */     // GIR_Coverage, 24213,
     /*  924260 */     GIR_EraseRootFromParent_Done,
     /*  924261 */   // Label 14009: @924261
     /*  924261 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(924349), // Rule ID 24214 //
     /*  924266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924313 */     // MIs[1] Operand 1
     /*  924313 */     // No operand predicates
     /*  924313 */     // MIs[0] policy
     /*  924313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924325 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  924328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924347 */     GIR_RootConstrainSelectedInstOperands,
     /*  924348 */     // GIR_Coverage, 24214,
     /*  924348 */     GIR_EraseRootFromParent_Done,
     /*  924349 */   // Label 14010: @924349
     /*  924349 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(924437), // Rule ID 24217 //
     /*  924354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924401 */     // MIs[1] Operand 1
     /*  924401 */     // No operand predicates
     /*  924401 */     // MIs[0] policy
     /*  924401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924413 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924435 */     GIR_RootConstrainSelectedInstOperands,
     /*  924436 */     // GIR_Coverage, 24217,
     /*  924436 */     GIR_EraseRootFromParent_Done,
     /*  924437 */   // Label 14011: @924437
     /*  924437 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(924525), // Rule ID 24218 //
     /*  924442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924489 */     // MIs[1] Operand 1
     /*  924489 */     // No operand predicates
     /*  924489 */     // MIs[0] policy
     /*  924489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924501 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924523 */     GIR_RootConstrainSelectedInstOperands,
     /*  924524 */     // GIR_Coverage, 24218,
     /*  924524 */     GIR_EraseRootFromParent_Done,
     /*  924525 */   // Label 14012: @924525
     /*  924525 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(924613), // Rule ID 24221 //
     /*  924530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924577 */     // MIs[1] Operand 1
     /*  924577 */     // No operand predicates
     /*  924577 */     // MIs[0] policy
     /*  924577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924589 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924611 */     GIR_RootConstrainSelectedInstOperands,
     /*  924612 */     // GIR_Coverage, 24221,
     /*  924612 */     GIR_EraseRootFromParent_Done,
     /*  924613 */   // Label 14013: @924613
     /*  924613 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(924701), // Rule ID 24222 //
     /*  924618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924665 */     // MIs[1] Operand 1
     /*  924665 */     // No operand predicates
     /*  924665 */     // MIs[0] policy
     /*  924665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924677 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924699 */     GIR_RootConstrainSelectedInstOperands,
     /*  924700 */     // GIR_Coverage, 24222,
     /*  924700 */     GIR_EraseRootFromParent_Done,
     /*  924701 */   // Label 14014: @924701
     /*  924701 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(924789), // Rule ID 24225 //
     /*  924706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  924709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924753 */     // MIs[1] Operand 1
     /*  924753 */     // No operand predicates
     /*  924753 */     // MIs[0] policy
     /*  924753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924765 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924787 */     GIR_RootConstrainSelectedInstOperands,
     /*  924788 */     // GIR_Coverage, 24225,
     /*  924788 */     GIR_EraseRootFromParent_Done,
     /*  924789 */   // Label 14015: @924789
     /*  924789 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(924877), // Rule ID 24226 //
     /*  924794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  924797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924841 */     // MIs[1] Operand 1
     /*  924841 */     // No operand predicates
     /*  924841 */     // MIs[0] policy
     /*  924841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924853 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924875 */     GIR_RootConstrainSelectedInstOperands,
     /*  924876 */     // GIR_Coverage, 24226,
     /*  924876 */     GIR_EraseRootFromParent_Done,
     /*  924877 */   // Label 14016: @924877
     /*  924877 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(924965), // Rule ID 24229 //
     /*  924882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924929 */     // MIs[1] Operand 1
     /*  924929 */     // No operand predicates
     /*  924929 */     // MIs[0] policy
     /*  924929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924941 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924963 */     GIR_RootConstrainSelectedInstOperands,
     /*  924964 */     // GIR_Coverage, 24229,
     /*  924964 */     GIR_EraseRootFromParent_Done,
     /*  924965 */   // Label 14017: @924965
     /*  924965 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(925053), // Rule ID 24230 //
     /*  924970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925017 */     // MIs[1] Operand 1
     /*  925017 */     // No operand predicates
     /*  925017 */     // MIs[0] policy
     /*  925017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925029 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925051 */     GIR_RootConstrainSelectedInstOperands,
     /*  925052 */     // GIR_Coverage, 24230,
     /*  925052 */     GIR_EraseRootFromParent_Done,
     /*  925053 */   // Label 14018: @925053
     /*  925053 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(925141), // Rule ID 24233 //
     /*  925058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925105 */     // MIs[1] Operand 1
     /*  925105 */     // No operand predicates
     /*  925105 */     // MIs[0] policy
     /*  925105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925139 */     GIR_RootConstrainSelectedInstOperands,
     /*  925140 */     // GIR_Coverage, 24233,
     /*  925140 */     GIR_EraseRootFromParent_Done,
     /*  925141 */   // Label 14019: @925141
     /*  925141 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(925229), // Rule ID 24234 //
     /*  925146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925193 */     // MIs[1] Operand 1
     /*  925193 */     // No operand predicates
     /*  925193 */     // MIs[0] policy
     /*  925193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925227 */     GIR_RootConstrainSelectedInstOperands,
     /*  925228 */     // GIR_Coverage, 24234,
     /*  925228 */     GIR_EraseRootFromParent_Done,
     /*  925229 */   // Label 14020: @925229
     /*  925229 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(925317), // Rule ID 24237 //
     /*  925234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925281 */     // MIs[1] Operand 1
     /*  925281 */     // No operand predicates
     /*  925281 */     // MIs[0] policy
     /*  925281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925293 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925315 */     GIR_RootConstrainSelectedInstOperands,
     /*  925316 */     // GIR_Coverage, 24237,
     /*  925316 */     GIR_EraseRootFromParent_Done,
     /*  925317 */   // Label 14021: @925317
     /*  925317 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(925405), // Rule ID 24238 //
     /*  925322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925369 */     // MIs[1] Operand 1
     /*  925369 */     // No operand predicates
     /*  925369 */     // MIs[0] policy
     /*  925369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925381 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925403 */     GIR_RootConstrainSelectedInstOperands,
     /*  925404 */     // GIR_Coverage, 24238,
     /*  925404 */     GIR_EraseRootFromParent_Done,
     /*  925405 */   // Label 14022: @925405
     /*  925405 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(925493), // Rule ID 24241 //
     /*  925410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925457 */     // MIs[1] Operand 1
     /*  925457 */     // No operand predicates
     /*  925457 */     // MIs[0] policy
     /*  925457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925469 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925491 */     GIR_RootConstrainSelectedInstOperands,
     /*  925492 */     // GIR_Coverage, 24241,
     /*  925492 */     GIR_EraseRootFromParent_Done,
     /*  925493 */   // Label 14023: @925493
     /*  925493 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(925581), // Rule ID 24242 //
     /*  925498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925545 */     // MIs[1] Operand 1
     /*  925545 */     // No operand predicates
     /*  925545 */     // MIs[0] policy
     /*  925545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925557 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925579 */     GIR_RootConstrainSelectedInstOperands,
     /*  925580 */     // GIR_Coverage, 24242,
     /*  925580 */     GIR_EraseRootFromParent_Done,
     /*  925581 */   // Label 14024: @925581
     /*  925581 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(925669), // Rule ID 24245 //
     /*  925586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925633 */     // MIs[1] Operand 1
     /*  925633 */     // No operand predicates
     /*  925633 */     // MIs[0] policy
     /*  925633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925645 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925667 */     GIR_RootConstrainSelectedInstOperands,
     /*  925668 */     // GIR_Coverage, 24245,
     /*  925668 */     GIR_EraseRootFromParent_Done,
     /*  925669 */   // Label 14025: @925669
     /*  925669 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(925757), // Rule ID 24246 //
     /*  925674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925721 */     // MIs[1] Operand 1
     /*  925721 */     // No operand predicates
     /*  925721 */     // MIs[0] policy
     /*  925721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925755 */     GIR_RootConstrainSelectedInstOperands,
     /*  925756 */     // GIR_Coverage, 24246,
     /*  925756 */     GIR_EraseRootFromParent_Done,
     /*  925757 */   // Label 14026: @925757
     /*  925757 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(925845), // Rule ID 24249 //
     /*  925762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  925765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925809 */     // MIs[1] Operand 1
     /*  925809 */     // No operand predicates
     /*  925809 */     // MIs[0] policy
     /*  925809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925821 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925843 */     GIR_RootConstrainSelectedInstOperands,
     /*  925844 */     // GIR_Coverage, 24249,
     /*  925844 */     GIR_EraseRootFromParent_Done,
     /*  925845 */   // Label 14027: @925845
     /*  925845 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(925933), // Rule ID 24250 //
     /*  925850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  925853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925897 */     // MIs[1] Operand 1
     /*  925897 */     // No operand predicates
     /*  925897 */     // MIs[0] policy
     /*  925897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925931 */     GIR_RootConstrainSelectedInstOperands,
     /*  925932 */     // GIR_Coverage, 24250,
     /*  925932 */     GIR_EraseRootFromParent_Done,
     /*  925933 */   // Label 14028: @925933
     /*  925933 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(926024), // Rule ID 15861 //
     /*  925938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  925949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  925952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  925955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925985 */     // MIs[1] Operand 1
     /*  925985 */     // No operand predicates
     /*  925985 */     // MIs[0] round
     /*  925985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  925997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926022 */     GIR_RootConstrainSelectedInstOperands,
     /*  926023 */     // GIR_Coverage, 15861,
     /*  926023 */     GIR_EraseRootFromParent_Done,
     /*  926024 */   // Label 14029: @926024
     /*  926024 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(926115), // Rule ID 15862 //
     /*  926029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  926046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926076 */     // MIs[1] Operand 1
     /*  926076 */     // No operand predicates
     /*  926076 */     // MIs[0] round
     /*  926076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  926091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926113 */     GIR_RootConstrainSelectedInstOperands,
     /*  926114 */     // GIR_Coverage, 15862,
     /*  926114 */     GIR_EraseRootFromParent_Done,
     /*  926115 */   // Label 14030: @926115
     /*  926115 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(926206), // Rule ID 15865 //
     /*  926120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926167 */     // MIs[1] Operand 1
     /*  926167 */     // No operand predicates
     /*  926167 */     // MIs[0] round
     /*  926167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926179 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926204 */     GIR_RootConstrainSelectedInstOperands,
     /*  926205 */     // GIR_Coverage, 15865,
     /*  926205 */     GIR_EraseRootFromParent_Done,
     /*  926206 */   // Label 14031: @926206
     /*  926206 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(926297), // Rule ID 15866 //
     /*  926211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  926228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926258 */     // MIs[1] Operand 1
     /*  926258 */     // No operand predicates
     /*  926258 */     // MIs[0] round
     /*  926258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926295 */     GIR_RootConstrainSelectedInstOperands,
     /*  926296 */     // GIR_Coverage, 15866,
     /*  926296 */     GIR_EraseRootFromParent_Done,
     /*  926297 */   // Label 14032: @926297
     /*  926297 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(926388), // Rule ID 15869 //
     /*  926302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926349 */     // MIs[1] Operand 1
     /*  926349 */     // No operand predicates
     /*  926349 */     // MIs[0] round
     /*  926349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926361 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926386 */     GIR_RootConstrainSelectedInstOperands,
     /*  926387 */     // GIR_Coverage, 15869,
     /*  926387 */     GIR_EraseRootFromParent_Done,
     /*  926388 */   // Label 14033: @926388
     /*  926388 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(926479), // Rule ID 15870 //
     /*  926393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  926410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926440 */     // MIs[1] Operand 1
     /*  926440 */     // No operand predicates
     /*  926440 */     // MIs[0] round
     /*  926440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926477 */     GIR_RootConstrainSelectedInstOperands,
     /*  926478 */     // GIR_Coverage, 15870,
     /*  926478 */     GIR_EraseRootFromParent_Done,
     /*  926479 */   // Label 14034: @926479
     /*  926479 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(926570), // Rule ID 15873 //
     /*  926484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926531 */     // MIs[1] Operand 1
     /*  926531 */     // No operand predicates
     /*  926531 */     // MIs[0] round
     /*  926531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926568 */     GIR_RootConstrainSelectedInstOperands,
     /*  926569 */     // GIR_Coverage, 15873,
     /*  926569 */     GIR_EraseRootFromParent_Done,
     /*  926570 */   // Label 14035: @926570
     /*  926570 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(926661), // Rule ID 15874 //
     /*  926575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926622 */     // MIs[1] Operand 1
     /*  926622 */     // No operand predicates
     /*  926622 */     // MIs[0] round
     /*  926622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  926637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926659 */     GIR_RootConstrainSelectedInstOperands,
     /*  926660 */     // GIR_Coverage, 15874,
     /*  926660 */     GIR_EraseRootFromParent_Done,
     /*  926661 */   // Label 14036: @926661
     /*  926661 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(926752), // Rule ID 15877 //
     /*  926666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926713 */     // MIs[1] Operand 1
     /*  926713 */     // No operand predicates
     /*  926713 */     // MIs[0] round
     /*  926713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926750 */     GIR_RootConstrainSelectedInstOperands,
     /*  926751 */     // GIR_Coverage, 15877,
     /*  926751 */     GIR_EraseRootFromParent_Done,
     /*  926752 */   // Label 14037: @926752
     /*  926752 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(926843), // Rule ID 15878 //
     /*  926757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926804 */     // MIs[1] Operand 1
     /*  926804 */     // No operand predicates
     /*  926804 */     // MIs[0] round
     /*  926804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926841 */     GIR_RootConstrainSelectedInstOperands,
     /*  926842 */     // GIR_Coverage, 15878,
     /*  926842 */     GIR_EraseRootFromParent_Done,
     /*  926843 */   // Label 14038: @926843
     /*  926843 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(926934), // Rule ID 15881 //
     /*  926848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  926859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  926862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  926865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926895 */     // MIs[1] Operand 1
     /*  926895 */     // No operand predicates
     /*  926895 */     // MIs[0] round
     /*  926895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  926907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  926910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926932 */     GIR_RootConstrainSelectedInstOperands,
     /*  926933 */     // GIR_Coverage, 15881,
     /*  926933 */     GIR_EraseRootFromParent_Done,
     /*  926934 */   // Label 14039: @926934
     /*  926934 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(927025), // Rule ID 15882 //
     /*  926939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  926950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  926953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  926956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926986 */     // MIs[1] Operand 1
     /*  926986 */     // No operand predicates
     /*  926986 */     // MIs[0] round
     /*  926986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  926998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  927001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927023 */     GIR_RootConstrainSelectedInstOperands,
     /*  927024 */     // GIR_Coverage, 15882,
     /*  927024 */     GIR_EraseRootFromParent_Done,
     /*  927025 */   // Label 14040: @927025
     /*  927025 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(927116), // Rule ID 15885 //
     /*  927030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927077 */     // MIs[1] Operand 1
     /*  927077 */     // No operand predicates
     /*  927077 */     // MIs[0] round
     /*  927077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927114 */     GIR_RootConstrainSelectedInstOperands,
     /*  927115 */     // GIR_Coverage, 15885,
     /*  927115 */     GIR_EraseRootFromParent_Done,
     /*  927116 */   // Label 14041: @927116
     /*  927116 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(927207), // Rule ID 15886 //
     /*  927121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  927138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927168 */     // MIs[1] Operand 1
     /*  927168 */     // No operand predicates
     /*  927168 */     // MIs[0] round
     /*  927168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927205 */     GIR_RootConstrainSelectedInstOperands,
     /*  927206 */     // GIR_Coverage, 15886,
     /*  927206 */     GIR_EraseRootFromParent_Done,
     /*  927207 */   // Label 14042: @927207
     /*  927207 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(927298), // Rule ID 15889 //
     /*  927212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927259 */     // MIs[1] Operand 1
     /*  927259 */     // No operand predicates
     /*  927259 */     // MIs[0] round
     /*  927259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927271 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927296 */     GIR_RootConstrainSelectedInstOperands,
     /*  927297 */     // GIR_Coverage, 15889,
     /*  927297 */     GIR_EraseRootFromParent_Done,
     /*  927298 */   // Label 14043: @927298
     /*  927298 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(927389), // Rule ID 15890 //
     /*  927303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  927320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927350 */     // MIs[1] Operand 1
     /*  927350 */     // No operand predicates
     /*  927350 */     // MIs[0] round
     /*  927350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927387 */     GIR_RootConstrainSelectedInstOperands,
     /*  927388 */     // GIR_Coverage, 15890,
     /*  927388 */     GIR_EraseRootFromParent_Done,
     /*  927389 */   // Label 14044: @927389
     /*  927389 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(927480), // Rule ID 15893 //
     /*  927394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927441 */     // MIs[1] Operand 1
     /*  927441 */     // No operand predicates
     /*  927441 */     // MIs[0] round
     /*  927441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927478 */     GIR_RootConstrainSelectedInstOperands,
     /*  927479 */     // GIR_Coverage, 15893,
     /*  927479 */     GIR_EraseRootFromParent_Done,
     /*  927480 */   // Label 14045: @927480
     /*  927480 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(927571), // Rule ID 15894 //
     /*  927485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  927502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927532 */     // MIs[1] Operand 1
     /*  927532 */     // No operand predicates
     /*  927532 */     // MIs[0] round
     /*  927532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927569 */     GIR_RootConstrainSelectedInstOperands,
     /*  927570 */     // GIR_Coverage, 15894,
     /*  927570 */     GIR_EraseRootFromParent_Done,
     /*  927571 */   // Label 14046: @927571
     /*  927571 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(927662), // Rule ID 15897 //
     /*  927576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  927593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927623 */     // MIs[1] Operand 1
     /*  927623 */     // No operand predicates
     /*  927623 */     // MIs[0] round
     /*  927623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927635 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  927635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927660 */     GIR_RootConstrainSelectedInstOperands,
     /*  927661 */     // GIR_Coverage, 15897,
     /*  927661 */     GIR_EraseRootFromParent_Done,
     /*  927662 */   // Label 14047: @927662
     /*  927662 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(927753), // Rule ID 15898 //
     /*  927667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  927684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927714 */     // MIs[1] Operand 1
     /*  927714 */     // No operand predicates
     /*  927714 */     // MIs[0] round
     /*  927714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  927726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  927729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927751 */     GIR_RootConstrainSelectedInstOperands,
     /*  927752 */     // GIR_Coverage, 15898,
     /*  927752 */     GIR_EraseRootFromParent_Done,
     /*  927753 */   // Label 14048: @927753
     /*  927753 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(927844), // Rule ID 15901 //
     /*  927758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  927769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  927772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  927775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927805 */     // MIs[1] Operand 1
     /*  927805 */     // No operand predicates
     /*  927805 */     // MIs[0] round
     /*  927805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927817 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927842 */     GIR_RootConstrainSelectedInstOperands,
     /*  927843 */     // GIR_Coverage, 15901,
     /*  927843 */     GIR_EraseRootFromParent_Done,
     /*  927844 */   // Label 14049: @927844
     /*  927844 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(927935), // Rule ID 15902 //
     /*  927849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  927860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  927863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  927866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927896 */     // MIs[1] Operand 1
     /*  927896 */     // No operand predicates
     /*  927896 */     // MIs[0] round
     /*  927896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927933 */     GIR_RootConstrainSelectedInstOperands,
     /*  927934 */     // GIR_Coverage, 15902,
     /*  927934 */     GIR_EraseRootFromParent_Done,
     /*  927935 */   // Label 14050: @927935
     /*  927935 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(928026), // Rule ID 15905 //
     /*  927940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  927951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  927954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  927957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927987 */     // MIs[1] Operand 1
     /*  927987 */     // No operand predicates
     /*  927987 */     // MIs[0] round
     /*  927987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  927999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928024 */     GIR_RootConstrainSelectedInstOperands,
     /*  928025 */     // GIR_Coverage, 15905,
     /*  928025 */     GIR_EraseRootFromParent_Done,
     /*  928026 */   // Label 14051: @928026
     /*  928026 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(928117), // Rule ID 15906 //
     /*  928031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  928048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928078 */     // MIs[1] Operand 1
     /*  928078 */     // No operand predicates
     /*  928078 */     // MIs[0] round
     /*  928078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928115 */     GIR_RootConstrainSelectedInstOperands,
     /*  928116 */     // GIR_Coverage, 15906,
     /*  928116 */     GIR_EraseRootFromParent_Done,
     /*  928117 */   // Label 14052: @928117
     /*  928117 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(928208), // Rule ID 15909 //
     /*  928122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928169 */     // MIs[1] Operand 1
     /*  928169 */     // No operand predicates
     /*  928169 */     // MIs[0] round
     /*  928169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928206 */     GIR_RootConstrainSelectedInstOperands,
     /*  928207 */     // GIR_Coverage, 15909,
     /*  928207 */     GIR_EraseRootFromParent_Done,
     /*  928208 */   // Label 14053: @928208
     /*  928208 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(928299), // Rule ID 15910 //
     /*  928213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  928230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928260 */     // MIs[1] Operand 1
     /*  928260 */     // No operand predicates
     /*  928260 */     // MIs[0] round
     /*  928260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928297 */     GIR_RootConstrainSelectedInstOperands,
     /*  928298 */     // GIR_Coverage, 15910,
     /*  928298 */     GIR_EraseRootFromParent_Done,
     /*  928299 */   // Label 14054: @928299
     /*  928299 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(928390), // Rule ID 15913 //
     /*  928304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928351 */     // MIs[1] Operand 1
     /*  928351 */     // No operand predicates
     /*  928351 */     // MIs[0] round
     /*  928351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928388 */     GIR_RootConstrainSelectedInstOperands,
     /*  928389 */     // GIR_Coverage, 15913,
     /*  928389 */     GIR_EraseRootFromParent_Done,
     /*  928390 */   // Label 14055: @928390
     /*  928390 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(928481), // Rule ID 15914 //
     /*  928395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928442 */     // MIs[1] Operand 1
     /*  928442 */     // No operand predicates
     /*  928442 */     // MIs[0] round
     /*  928442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928479 */     GIR_RootConstrainSelectedInstOperands,
     /*  928480 */     // GIR_Coverage, 15914,
     /*  928480 */     GIR_EraseRootFromParent_Done,
     /*  928481 */   // Label 14056: @928481
     /*  928481 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(928572), // Rule ID 15917 //
     /*  928486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928533 */     // MIs[1] Operand 1
     /*  928533 */     // No operand predicates
     /*  928533 */     // MIs[0] round
     /*  928533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928545 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928570 */     GIR_RootConstrainSelectedInstOperands,
     /*  928571 */     // GIR_Coverage, 15917,
     /*  928571 */     GIR_EraseRootFromParent_Done,
     /*  928572 */   // Label 14057: @928572
     /*  928572 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(928663), // Rule ID 15918 //
     /*  928577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928624 */     // MIs[1] Operand 1
     /*  928624 */     // No operand predicates
     /*  928624 */     // MIs[0] round
     /*  928624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928661 */     GIR_RootConstrainSelectedInstOperands,
     /*  928662 */     // GIR_Coverage, 15918,
     /*  928662 */     GIR_EraseRootFromParent_Done,
     /*  928663 */   // Label 14058: @928663
     /*  928663 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(928754), // Rule ID 15921 //
     /*  928668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  928685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928715 */     // MIs[1] Operand 1
     /*  928715 */     // No operand predicates
     /*  928715 */     // MIs[0] round
     /*  928715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  928727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928752 */     GIR_RootConstrainSelectedInstOperands,
     /*  928753 */     // GIR_Coverage, 15921,
     /*  928753 */     GIR_EraseRootFromParent_Done,
     /*  928754 */   // Label 14059: @928754
     /*  928754 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(928845), // Rule ID 15922 //
     /*  928759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  928776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928806 */     // MIs[1] Operand 1
     /*  928806 */     // No operand predicates
     /*  928806 */     // MIs[0] round
     /*  928806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  928818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928843 */     GIR_RootConstrainSelectedInstOperands,
     /*  928844 */     // GIR_Coverage, 15922,
     /*  928844 */     GIR_EraseRootFromParent_Done,
     /*  928845 */   // Label 14060: @928845
     /*  928845 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(928936), // Rule ID 15925 //
     /*  928850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  928861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  928864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  928867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928897 */     // MIs[1] Operand 1
     /*  928897 */     // No operand predicates
     /*  928897 */     // MIs[0] round
     /*  928897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  928909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928934 */     GIR_RootConstrainSelectedInstOperands,
     /*  928935 */     // GIR_Coverage, 15925,
     /*  928935 */     GIR_EraseRootFromParent_Done,
     /*  928936 */   // Label 14061: @928936
     /*  928936 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(929027), // Rule ID 15926 //
     /*  928941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  928952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  928955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  928958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928988 */     // MIs[1] Operand 1
     /*  928988 */     // No operand predicates
     /*  928988 */     // MIs[0] round
     /*  928988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929025 */     GIR_RootConstrainSelectedInstOperands,
     /*  929026 */     // GIR_Coverage, 15926,
     /*  929026 */     GIR_EraseRootFromParent_Done,
     /*  929027 */   // Label 14062: @929027
     /*  929027 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(929118), // Rule ID 15929 //
     /*  929032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929079 */     // MIs[1] Operand 1
     /*  929079 */     // No operand predicates
     /*  929079 */     // MIs[0] round
     /*  929079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929116 */     GIR_RootConstrainSelectedInstOperands,
     /*  929117 */     // GIR_Coverage, 15929,
     /*  929117 */     GIR_EraseRootFromParent_Done,
     /*  929118 */   // Label 14063: @929118
     /*  929118 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(929209), // Rule ID 15930 //
     /*  929123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929170 */     // MIs[1] Operand 1
     /*  929170 */     // No operand predicates
     /*  929170 */     // MIs[0] round
     /*  929170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929207 */     GIR_RootConstrainSelectedInstOperands,
     /*  929208 */     // GIR_Coverage, 15930,
     /*  929208 */     GIR_EraseRootFromParent_Done,
     /*  929209 */   // Label 14064: @929209
     /*  929209 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(929300), // Rule ID 15933 //
     /*  929214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929261 */     // MIs[1] Operand 1
     /*  929261 */     // No operand predicates
     /*  929261 */     // MIs[0] round
     /*  929261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929273 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929298 */     GIR_RootConstrainSelectedInstOperands,
     /*  929299 */     // GIR_Coverage, 15933,
     /*  929299 */     GIR_EraseRootFromParent_Done,
     /*  929300 */   // Label 14065: @929300
     /*  929300 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(929391), // Rule ID 15934 //
     /*  929305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929352 */     // MIs[1] Operand 1
     /*  929352 */     // No operand predicates
     /*  929352 */     // MIs[0] round
     /*  929352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929389 */     GIR_RootConstrainSelectedInstOperands,
     /*  929390 */     // GIR_Coverage, 15934,
     /*  929390 */     GIR_EraseRootFromParent_Done,
     /*  929391 */   // Label 14066: @929391
     /*  929391 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(929482), // Rule ID 15937 //
     /*  929396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929443 */     // MIs[1] Operand 1
     /*  929443 */     // No operand predicates
     /*  929443 */     // MIs[0] round
     /*  929443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929455 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929480 */     GIR_RootConstrainSelectedInstOperands,
     /*  929481 */     // GIR_Coverage, 15937,
     /*  929481 */     GIR_EraseRootFromParent_Done,
     /*  929482 */   // Label 14067: @929482
     /*  929482 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(929573), // Rule ID 15938 //
     /*  929487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  929504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929534 */     // MIs[1] Operand 1
     /*  929534 */     // No operand predicates
     /*  929534 */     // MIs[0] round
     /*  929534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  929549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929571 */     GIR_RootConstrainSelectedInstOperands,
     /*  929572 */     // GIR_Coverage, 15938,
     /*  929572 */     GIR_EraseRootFromParent_Done,
     /*  929573 */   // Label 14068: @929573
     /*  929573 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(929664), // Rule ID 15941 //
     /*  929578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  929595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929625 */     // MIs[1] Operand 1
     /*  929625 */     // No operand predicates
     /*  929625 */     // MIs[0] round
     /*  929625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929662 */     GIR_RootConstrainSelectedInstOperands,
     /*  929663 */     // GIR_Coverage, 15941,
     /*  929663 */     GIR_EraseRootFromParent_Done,
     /*  929664 */   // Label 14069: @929664
     /*  929664 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(929755), // Rule ID 15942 //
     /*  929669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  929686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929716 */     // MIs[1] Operand 1
     /*  929716 */     // No operand predicates
     /*  929716 */     // MIs[0] round
     /*  929716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  929731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929753 */     GIR_RootConstrainSelectedInstOperands,
     /*  929754 */     // GIR_Coverage, 15942,
     /*  929754 */     GIR_EraseRootFromParent_Done,
     /*  929755 */   // Label 14070: @929755
     /*  929755 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(929846), // Rule ID 15945 //
     /*  929760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  929777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929807 */     // MIs[1] Operand 1
     /*  929807 */     // No operand predicates
     /*  929807 */     // MIs[0] round
     /*  929807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  929819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929844 */     GIR_RootConstrainSelectedInstOperands,
     /*  929845 */     // GIR_Coverage, 15945,
     /*  929845 */     GIR_EraseRootFromParent_Done,
     /*  929846 */   // Label 14071: @929846
     /*  929846 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(929937), // Rule ID 15946 //
     /*  929851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  929859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  929868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929898 */     // MIs[1] Operand 1
     /*  929898 */     // No operand predicates
     /*  929898 */     // MIs[0] round
     /*  929898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  929910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  929913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929935 */     GIR_RootConstrainSelectedInstOperands,
     /*  929936 */     // GIR_Coverage, 15946,
     /*  929936 */     GIR_EraseRootFromParent_Done,
     /*  929937 */   // Label 14072: @929937
     /*  929937 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(930028), // Rule ID 16125 //
     /*  929942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  929953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  929956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  929959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929989 */     // MIs[1] Operand 1
     /*  929989 */     // No operand predicates
     /*  929989 */     // MIs[0] round
     /*  929989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930001 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930026 */     GIR_RootConstrainSelectedInstOperands,
     /*  930027 */     // GIR_Coverage, 16125,
     /*  930027 */     GIR_EraseRootFromParent_Done,
     /*  930028 */   // Label 14073: @930028
     /*  930028 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(930119), // Rule ID 16126 //
     /*  930033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930080 */     // MIs[1] Operand 1
     /*  930080 */     // No operand predicates
     /*  930080 */     // MIs[0] round
     /*  930080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  930095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930117 */     GIR_RootConstrainSelectedInstOperands,
     /*  930118 */     // GIR_Coverage, 16126,
     /*  930118 */     GIR_EraseRootFromParent_Done,
     /*  930119 */   // Label 14074: @930119
     /*  930119 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(930210), // Rule ID 16129 //
     /*  930124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930171 */     // MIs[1] Operand 1
     /*  930171 */     // No operand predicates
     /*  930171 */     // MIs[0] round
     /*  930171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930208 */     GIR_RootConstrainSelectedInstOperands,
     /*  930209 */     // GIR_Coverage, 16129,
     /*  930209 */     GIR_EraseRootFromParent_Done,
     /*  930210 */   // Label 14075: @930210
     /*  930210 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(930301), // Rule ID 16130 //
     /*  930215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930262 */     // MIs[1] Operand 1
     /*  930262 */     // No operand predicates
     /*  930262 */     // MIs[0] round
     /*  930262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930299 */     GIR_RootConstrainSelectedInstOperands,
     /*  930300 */     // GIR_Coverage, 16130,
     /*  930300 */     GIR_EraseRootFromParent_Done,
     /*  930301 */   // Label 14076: @930301
     /*  930301 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(930392), // Rule ID 16133 //
     /*  930306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930353 */     // MIs[1] Operand 1
     /*  930353 */     // No operand predicates
     /*  930353 */     // MIs[0] round
     /*  930353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930390 */     GIR_RootConstrainSelectedInstOperands,
     /*  930391 */     // GIR_Coverage, 16133,
     /*  930391 */     GIR_EraseRootFromParent_Done,
     /*  930392 */   // Label 14077: @930392
     /*  930392 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(930483), // Rule ID 16134 //
     /*  930397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930444 */     // MIs[1] Operand 1
     /*  930444 */     // No operand predicates
     /*  930444 */     // MIs[0] round
     /*  930444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930481 */     GIR_RootConstrainSelectedInstOperands,
     /*  930482 */     // GIR_Coverage, 16134,
     /*  930482 */     GIR_EraseRootFromParent_Done,
     /*  930483 */   // Label 14078: @930483
     /*  930483 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(930574), // Rule ID 16137 //
     /*  930488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930535 */     // MIs[1] Operand 1
     /*  930535 */     // No operand predicates
     /*  930535 */     // MIs[0] round
     /*  930535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930572 */     GIR_RootConstrainSelectedInstOperands,
     /*  930573 */     // GIR_Coverage, 16137,
     /*  930573 */     GIR_EraseRootFromParent_Done,
     /*  930574 */   // Label 14079: @930574
     /*  930574 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(930665), // Rule ID 16138 //
     /*  930579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930626 */     // MIs[1] Operand 1
     /*  930626 */     // No operand predicates
     /*  930626 */     // MIs[0] round
     /*  930626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  930641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930663 */     GIR_RootConstrainSelectedInstOperands,
     /*  930664 */     // GIR_Coverage, 16138,
     /*  930664 */     GIR_EraseRootFromParent_Done,
     /*  930665 */   // Label 14080: @930665
     /*  930665 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(930756), // Rule ID 16141 //
     /*  930670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930717 */     // MIs[1] Operand 1
     /*  930717 */     // No operand predicates
     /*  930717 */     // MIs[0] round
     /*  930717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930729 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930754 */     GIR_RootConstrainSelectedInstOperands,
     /*  930755 */     // GIR_Coverage, 16141,
     /*  930755 */     GIR_EraseRootFromParent_Done,
     /*  930756 */   // Label 14081: @930756
     /*  930756 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(930847), // Rule ID 16142 //
     /*  930761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930808 */     // MIs[1] Operand 1
     /*  930808 */     // No operand predicates
     /*  930808 */     // MIs[0] round
     /*  930808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930845 */     GIR_RootConstrainSelectedInstOperands,
     /*  930846 */     // GIR_Coverage, 16142,
     /*  930846 */     GIR_EraseRootFromParent_Done,
     /*  930847 */   // Label 14082: @930847
     /*  930847 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(930938), // Rule ID 16145 //
     /*  930852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  930869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930899 */     // MIs[1] Operand 1
     /*  930899 */     // No operand predicates
     /*  930899 */     // MIs[0] round
     /*  930899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  930914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930936 */     GIR_RootConstrainSelectedInstOperands,
     /*  930937 */     // GIR_Coverage, 16145,
     /*  930937 */     GIR_EraseRootFromParent_Done,
     /*  930938 */   // Label 14083: @930938
     /*  930938 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(931029), // Rule ID 16146 //
     /*  930943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  930960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930990 */     // MIs[1] Operand 1
     /*  930990 */     // No operand predicates
     /*  930990 */     // MIs[0] round
     /*  930990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  931005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931027 */     GIR_RootConstrainSelectedInstOperands,
     /*  931028 */     // GIR_Coverage, 16146,
     /*  931028 */     GIR_EraseRootFromParent_Done,
     /*  931029 */   // Label 14084: @931029
     /*  931029 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(931120), // Rule ID 16149 //
     /*  931034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931081 */     // MIs[1] Operand 1
     /*  931081 */     // No operand predicates
     /*  931081 */     // MIs[0] round
     /*  931081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931118 */     GIR_RootConstrainSelectedInstOperands,
     /*  931119 */     // GIR_Coverage, 16149,
     /*  931119 */     GIR_EraseRootFromParent_Done,
     /*  931120 */   // Label 14085: @931120
     /*  931120 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(931211), // Rule ID 16150 //
     /*  931125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931172 */     // MIs[1] Operand 1
     /*  931172 */     // No operand predicates
     /*  931172 */     // MIs[0] round
     /*  931172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931209 */     GIR_RootConstrainSelectedInstOperands,
     /*  931210 */     // GIR_Coverage, 16150,
     /*  931210 */     GIR_EraseRootFromParent_Done,
     /*  931211 */   // Label 14086: @931211
     /*  931211 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(931302), // Rule ID 16153 //
     /*  931216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931263 */     // MIs[1] Operand 1
     /*  931263 */     // No operand predicates
     /*  931263 */     // MIs[0] round
     /*  931263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931300 */     GIR_RootConstrainSelectedInstOperands,
     /*  931301 */     // GIR_Coverage, 16153,
     /*  931301 */     GIR_EraseRootFromParent_Done,
     /*  931302 */   // Label 14087: @931302
     /*  931302 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(931393), // Rule ID 16154 //
     /*  931307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931354 */     // MIs[1] Operand 1
     /*  931354 */     // No operand predicates
     /*  931354 */     // MIs[0] round
     /*  931354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931391 */     GIR_RootConstrainSelectedInstOperands,
     /*  931392 */     // GIR_Coverage, 16154,
     /*  931392 */     GIR_EraseRootFromParent_Done,
     /*  931393 */   // Label 14088: @931393
     /*  931393 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(931484), // Rule ID 16157 //
     /*  931398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931445 */     // MIs[1] Operand 1
     /*  931445 */     // No operand predicates
     /*  931445 */     // MIs[0] round
     /*  931445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931482 */     GIR_RootConstrainSelectedInstOperands,
     /*  931483 */     // GIR_Coverage, 16157,
     /*  931483 */     GIR_EraseRootFromParent_Done,
     /*  931484 */   // Label 14089: @931484
     /*  931484 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(931575), // Rule ID 16158 //
     /*  931489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931536 */     // MIs[1] Operand 1
     /*  931536 */     // No operand predicates
     /*  931536 */     // MIs[0] round
     /*  931536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931573 */     GIR_RootConstrainSelectedInstOperands,
     /*  931574 */     // GIR_Coverage, 16158,
     /*  931574 */     GIR_EraseRootFromParent_Done,
     /*  931575 */   // Label 14090: @931575
     /*  931575 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(931666), // Rule ID 16161 //
     /*  931580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  931583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931627 */     // MIs[1] Operand 1
     /*  931627 */     // No operand predicates
     /*  931627 */     // MIs[0] round
     /*  931627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  931639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931664 */     GIR_RootConstrainSelectedInstOperands,
     /*  931665 */     // GIR_Coverage, 16161,
     /*  931665 */     GIR_EraseRootFromParent_Done,
     /*  931666 */   // Label 14091: @931666
     /*  931666 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(931757), // Rule ID 16162 //
     /*  931671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  931674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931718 */     // MIs[1] Operand 1
     /*  931718 */     // No operand predicates
     /*  931718 */     // MIs[0] round
     /*  931718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  931730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  931733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931755 */     GIR_RootConstrainSelectedInstOperands,
     /*  931756 */     // GIR_Coverage, 16162,
     /*  931756 */     GIR_EraseRootFromParent_Done,
     /*  931757 */   // Label 14092: @931757
     /*  931757 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(931848), // Rule ID 16165 //
     /*  931762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931809 */     // MIs[1] Operand 1
     /*  931809 */     // No operand predicates
     /*  931809 */     // MIs[0] round
     /*  931809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931846 */     GIR_RootConstrainSelectedInstOperands,
     /*  931847 */     // GIR_Coverage, 16165,
     /*  931847 */     GIR_EraseRootFromParent_Done,
     /*  931848 */   // Label 14093: @931848
     /*  931848 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(931939), // Rule ID 16166 //
     /*  931853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931900 */     // MIs[1] Operand 1
     /*  931900 */     // No operand predicates
     /*  931900 */     // MIs[0] round
     /*  931900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931937 */     GIR_RootConstrainSelectedInstOperands,
     /*  931938 */     // GIR_Coverage, 16166,
     /*  931938 */     GIR_EraseRootFromParent_Done,
     /*  931939 */   // Label 14094: @931939
     /*  931939 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(932030), // Rule ID 16169 //
     /*  931944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  931955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  931958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  931961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931991 */     // MIs[1] Operand 1
     /*  931991 */     // No operand predicates
     /*  931991 */     // MIs[0] round
     /*  931991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932028 */     GIR_RootConstrainSelectedInstOperands,
     /*  932029 */     // GIR_Coverage, 16169,
     /*  932029 */     GIR_EraseRootFromParent_Done,
     /*  932030 */   // Label 14095: @932030
     /*  932030 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(932121), // Rule ID 16170 //
     /*  932035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932082 */     // MIs[1] Operand 1
     /*  932082 */     // No operand predicates
     /*  932082 */     // MIs[0] round
     /*  932082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932119 */     GIR_RootConstrainSelectedInstOperands,
     /*  932120 */     // GIR_Coverage, 16170,
     /*  932120 */     GIR_EraseRootFromParent_Done,
     /*  932121 */   // Label 14096: @932121
     /*  932121 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(932212), // Rule ID 16173 //
     /*  932126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932173 */     // MIs[1] Operand 1
     /*  932173 */     // No operand predicates
     /*  932173 */     // MIs[0] round
     /*  932173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932185 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932210 */     GIR_RootConstrainSelectedInstOperands,
     /*  932211 */     // GIR_Coverage, 16173,
     /*  932211 */     GIR_EraseRootFromParent_Done,
     /*  932212 */   // Label 14097: @932212
     /*  932212 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(932303), // Rule ID 16174 //
     /*  932217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932264 */     // MIs[1] Operand 1
     /*  932264 */     // No operand predicates
     /*  932264 */     // MIs[0] round
     /*  932264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932276 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932301 */     GIR_RootConstrainSelectedInstOperands,
     /*  932302 */     // GIR_Coverage, 16174,
     /*  932302 */     GIR_EraseRootFromParent_Done,
     /*  932303 */   // Label 14098: @932303
     /*  932303 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(932394), // Rule ID 16177 //
     /*  932308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932355 */     // MIs[1] Operand 1
     /*  932355 */     // No operand predicates
     /*  932355 */     // MIs[0] round
     /*  932355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932392 */     GIR_RootConstrainSelectedInstOperands,
     /*  932393 */     // GIR_Coverage, 16177,
     /*  932393 */     GIR_EraseRootFromParent_Done,
     /*  932394 */   // Label 14099: @932394
     /*  932394 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(932485), // Rule ID 16178 //
     /*  932399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932446 */     // MIs[1] Operand 1
     /*  932446 */     // No operand predicates
     /*  932446 */     // MIs[0] round
     /*  932446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932483 */     GIR_RootConstrainSelectedInstOperands,
     /*  932484 */     // GIR_Coverage, 16178,
     /*  932484 */     GIR_EraseRootFromParent_Done,
     /*  932485 */   // Label 14100: @932485
     /*  932485 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(932576), // Rule ID 16181 //
     /*  932490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932537 */     // MIs[1] Operand 1
     /*  932537 */     // No operand predicates
     /*  932537 */     // MIs[0] round
     /*  932537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932574 */     GIR_RootConstrainSelectedInstOperands,
     /*  932575 */     // GIR_Coverage, 16181,
     /*  932575 */     GIR_EraseRootFromParent_Done,
     /*  932576 */   // Label 14101: @932576
     /*  932576 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(932667), // Rule ID 16182 //
     /*  932581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932628 */     // MIs[1] Operand 1
     /*  932628 */     // No operand predicates
     /*  932628 */     // MIs[0] round
     /*  932628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932665 */     GIR_RootConstrainSelectedInstOperands,
     /*  932666 */     // GIR_Coverage, 16182,
     /*  932666 */     GIR_EraseRootFromParent_Done,
     /*  932667 */   // Label 14102: @932667
     /*  932667 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(932758), // Rule ID 16185 //
     /*  932672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932719 */     // MIs[1] Operand 1
     /*  932719 */     // No operand predicates
     /*  932719 */     // MIs[0] round
     /*  932719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932756 */     GIR_RootConstrainSelectedInstOperands,
     /*  932757 */     // GIR_Coverage, 16185,
     /*  932757 */     GIR_EraseRootFromParent_Done,
     /*  932758 */   // Label 14103: @932758
     /*  932758 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(932849), // Rule ID 16186 //
     /*  932763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932810 */     // MIs[1] Operand 1
     /*  932810 */     // No operand predicates
     /*  932810 */     // MIs[0] round
     /*  932810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932847 */     GIR_RootConstrainSelectedInstOperands,
     /*  932848 */     // GIR_Coverage, 16186,
     /*  932848 */     GIR_EraseRootFromParent_Done,
     /*  932849 */   // Label 14104: @932849
     /*  932849 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(932940), // Rule ID 16189 //
     /*  932854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  932865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  932868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932901 */     // MIs[1] Operand 1
     /*  932901 */     // No operand predicates
     /*  932901 */     // MIs[0] round
     /*  932901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932938 */     GIR_RootConstrainSelectedInstOperands,
     /*  932939 */     // GIR_Coverage, 16189,
     /*  932939 */     GIR_EraseRootFromParent_Done,
     /*  932940 */   // Label 14105: @932940
     /*  932940 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(933031), // Rule ID 16190 //
     /*  932945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  932956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  932959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932992 */     // MIs[1] Operand 1
     /*  932992 */     // No operand predicates
     /*  932992 */     // MIs[0] round
     /*  932992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933029 */     GIR_RootConstrainSelectedInstOperands,
     /*  933030 */     // GIR_Coverage, 16190,
     /*  933030 */     GIR_EraseRootFromParent_Done,
     /*  933031 */   // Label 14106: @933031
     /*  933031 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(933122), // Rule ID 16193 //
     /*  933036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933083 */     // MIs[1] Operand 1
     /*  933083 */     // No operand predicates
     /*  933083 */     // MIs[0] round
     /*  933083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933120 */     GIR_RootConstrainSelectedInstOperands,
     /*  933121 */     // GIR_Coverage, 16193,
     /*  933121 */     GIR_EraseRootFromParent_Done,
     /*  933122 */   // Label 14107: @933122
     /*  933122 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(933213), // Rule ID 16194 //
     /*  933127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933174 */     // MIs[1] Operand 1
     /*  933174 */     // No operand predicates
     /*  933174 */     // MIs[0] round
     /*  933174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933211 */     GIR_RootConstrainSelectedInstOperands,
     /*  933212 */     // GIR_Coverage, 16194,
     /*  933212 */     GIR_EraseRootFromParent_Done,
     /*  933213 */   // Label 14108: @933213
     /*  933213 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(933304), // Rule ID 16197 //
     /*  933218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933265 */     // MIs[1] Operand 1
     /*  933265 */     // No operand predicates
     /*  933265 */     // MIs[0] round
     /*  933265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933302 */     GIR_RootConstrainSelectedInstOperands,
     /*  933303 */     // GIR_Coverage, 16197,
     /*  933303 */     GIR_EraseRootFromParent_Done,
     /*  933304 */   // Label 14109: @933304
     /*  933304 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(933395), // Rule ID 16198 //
     /*  933309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933356 */     // MIs[1] Operand 1
     /*  933356 */     // No operand predicates
     /*  933356 */     // MIs[0] round
     /*  933356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933393 */     GIR_RootConstrainSelectedInstOperands,
     /*  933394 */     // GIR_Coverage, 16198,
     /*  933394 */     GIR_EraseRootFromParent_Done,
     /*  933395 */   // Label 14110: @933395
     /*  933395 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(933486), // Rule ID 16201 //
     /*  933400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933447 */     // MIs[1] Operand 1
     /*  933447 */     // No operand predicates
     /*  933447 */     // MIs[0] round
     /*  933447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933484 */     GIR_RootConstrainSelectedInstOperands,
     /*  933485 */     // GIR_Coverage, 16201,
     /*  933485 */     GIR_EraseRootFromParent_Done,
     /*  933486 */   // Label 14111: @933486
     /*  933486 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(933577), // Rule ID 16202 //
     /*  933491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933538 */     // MIs[1] Operand 1
     /*  933538 */     // No operand predicates
     /*  933538 */     // MIs[0] round
     /*  933538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  933553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933575 */     GIR_RootConstrainSelectedInstOperands,
     /*  933576 */     // GIR_Coverage, 16202,
     /*  933576 */     GIR_EraseRootFromParent_Done,
     /*  933577 */   // Label 14112: @933577
     /*  933577 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(933668), // Rule ID 16205 //
     /*  933582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933629 */     // MIs[1] Operand 1
     /*  933629 */     // No operand predicates
     /*  933629 */     // MIs[0] round
     /*  933629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933666 */     GIR_RootConstrainSelectedInstOperands,
     /*  933667 */     // GIR_Coverage, 16205,
     /*  933667 */     GIR_EraseRootFromParent_Done,
     /*  933668 */   // Label 14113: @933668
     /*  933668 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(933759), // Rule ID 16206 //
     /*  933673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933720 */     // MIs[1] Operand 1
     /*  933720 */     // No operand predicates
     /*  933720 */     // MIs[0] round
     /*  933720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  933735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933757 */     GIR_RootConstrainSelectedInstOperands,
     /*  933758 */     // GIR_Coverage, 16206,
     /*  933758 */     GIR_EraseRootFromParent_Done,
     /*  933759 */   // Label 14114: @933759
     /*  933759 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(933850), // Rule ID 16209 //
     /*  933764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933811 */     // MIs[1] Operand 1
     /*  933811 */     // No operand predicates
     /*  933811 */     // MIs[0] round
     /*  933811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  933823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933848 */     GIR_RootConstrainSelectedInstOperands,
     /*  933849 */     // GIR_Coverage, 16209,
     /*  933849 */     GIR_EraseRootFromParent_Done,
     /*  933850 */   // Label 14115: @933850
     /*  933850 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(933941), // Rule ID 16210 //
     /*  933855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  933863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933902 */     // MIs[1] Operand 1
     /*  933902 */     // No operand predicates
     /*  933902 */     // MIs[0] round
     /*  933902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  933917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933939 */     GIR_RootConstrainSelectedInstOperands,
     /*  933940 */     // GIR_Coverage, 16210,
     /*  933940 */     GIR_EraseRootFromParent_Done,
     /*  933941 */   // Label 14116: @933941
     /*  933941 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(934035), // Rule ID 16333 //
     /*  933946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  933957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  933960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  933963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933993 */     // MIs[1] Operand 1
     /*  933993 */     // No operand predicates
     /*  933993 */     // MIs[0] round
     /*  933993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934033 */     GIR_RootConstrainSelectedInstOperands,
     /*  934034 */     // GIR_Coverage, 16333,
     /*  934034 */     GIR_EraseRootFromParent_Done,
     /*  934035 */   // Label 14117: @934035
     /*  934035 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(934129), // Rule ID 16334 //
     /*  934040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  934057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934087 */     // MIs[1] Operand 1
     /*  934087 */     // No operand predicates
     /*  934087 */     // MIs[0] round
     /*  934087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  934102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934127 */     GIR_RootConstrainSelectedInstOperands,
     /*  934128 */     // GIR_Coverage, 16334,
     /*  934128 */     GIR_EraseRootFromParent_Done,
     /*  934129 */   // Label 14118: @934129
     /*  934129 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(934223), // Rule ID 16337 //
     /*  934134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934181 */     // MIs[1] Operand 1
     /*  934181 */     // No operand predicates
     /*  934181 */     // MIs[0] round
     /*  934181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934221 */     GIR_RootConstrainSelectedInstOperands,
     /*  934222 */     // GIR_Coverage, 16337,
     /*  934222 */     GIR_EraseRootFromParent_Done,
     /*  934223 */   // Label 14119: @934223
     /*  934223 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(934317), // Rule ID 16338 //
     /*  934228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  934245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934275 */     // MIs[1] Operand 1
     /*  934275 */     // No operand predicates
     /*  934275 */     // MIs[0] round
     /*  934275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934287 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934315 */     GIR_RootConstrainSelectedInstOperands,
     /*  934316 */     // GIR_Coverage, 16338,
     /*  934316 */     GIR_EraseRootFromParent_Done,
     /*  934317 */   // Label 14120: @934317
     /*  934317 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(934411), // Rule ID 16341 //
     /*  934322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934369 */     // MIs[1] Operand 1
     /*  934369 */     // No operand predicates
     /*  934369 */     // MIs[0] round
     /*  934369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934409 */     GIR_RootConstrainSelectedInstOperands,
     /*  934410 */     // GIR_Coverage, 16341,
     /*  934410 */     GIR_EraseRootFromParent_Done,
     /*  934411 */   // Label 14121: @934411
     /*  934411 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(934505), // Rule ID 16342 //
     /*  934416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  934433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934463 */     // MIs[1] Operand 1
     /*  934463 */     // No operand predicates
     /*  934463 */     // MIs[0] round
     /*  934463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934503 */     GIR_RootConstrainSelectedInstOperands,
     /*  934504 */     // GIR_Coverage, 16342,
     /*  934504 */     GIR_EraseRootFromParent_Done,
     /*  934505 */   // Label 14122: @934505
     /*  934505 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(934599), // Rule ID 16345 //
     /*  934510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934557 */     // MIs[1] Operand 1
     /*  934557 */     // No operand predicates
     /*  934557 */     // MIs[0] round
     /*  934557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934597 */     GIR_RootConstrainSelectedInstOperands,
     /*  934598 */     // GIR_Coverage, 16345,
     /*  934598 */     GIR_EraseRootFromParent_Done,
     /*  934599 */   // Label 14123: @934599
     /*  934599 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(934693), // Rule ID 16346 //
     /*  934604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  934621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934651 */     // MIs[1] Operand 1
     /*  934651 */     // No operand predicates
     /*  934651 */     // MIs[0] round
     /*  934651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934663 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934691 */     GIR_RootConstrainSelectedInstOperands,
     /*  934692 */     // GIR_Coverage, 16346,
     /*  934692 */     GIR_EraseRootFromParent_Done,
     /*  934693 */   // Label 14124: @934693
     /*  934693 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(934787), // Rule ID 16349 //
     /*  934698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  934715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934745 */     // MIs[1] Operand 1
     /*  934745 */     // No operand predicates
     /*  934745 */     // MIs[0] round
     /*  934745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934785 */     GIR_RootConstrainSelectedInstOperands,
     /*  934786 */     // GIR_Coverage, 16349,
     /*  934786 */     GIR_EraseRootFromParent_Done,
     /*  934787 */   // Label 14125: @934787
     /*  934787 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(934881), // Rule ID 16350 //
     /*  934792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  934809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934839 */     // MIs[1] Operand 1
     /*  934839 */     // No operand predicates
     /*  934839 */     // MIs[0] round
     /*  934839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934879 */     GIR_RootConstrainSelectedInstOperands,
     /*  934880 */     // GIR_Coverage, 16350,
     /*  934880 */     GIR_EraseRootFromParent_Done,
     /*  934881 */   // Label 14126: @934881
     /*  934881 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(934975), // Rule ID 16353 //
     /*  934886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  934897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  934900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  934903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934933 */     // MIs[1] Operand 1
     /*  934933 */     // No operand predicates
     /*  934933 */     // MIs[0] round
     /*  934933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  934948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934973 */     GIR_RootConstrainSelectedInstOperands,
     /*  934974 */     // GIR_Coverage, 16353,
     /*  934974 */     GIR_EraseRootFromParent_Done,
     /*  934975 */   // Label 14127: @934975
     /*  934975 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(935069), // Rule ID 16354 //
     /*  934980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  934991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  934994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  934997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935027 */     // MIs[1] Operand 1
     /*  935027 */     // No operand predicates
     /*  935027 */     // MIs[0] round
     /*  935027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935067 */     GIR_RootConstrainSelectedInstOperands,
     /*  935068 */     // GIR_Coverage, 16354,
     /*  935068 */     GIR_EraseRootFromParent_Done,
     /*  935069 */   // Label 14128: @935069
     /*  935069 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(935163), // Rule ID 16357 //
     /*  935074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935121 */     // MIs[1] Operand 1
     /*  935121 */     // No operand predicates
     /*  935121 */     // MIs[0] round
     /*  935121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935161 */     GIR_RootConstrainSelectedInstOperands,
     /*  935162 */     // GIR_Coverage, 16357,
     /*  935162 */     GIR_EraseRootFromParent_Done,
     /*  935163 */   // Label 14129: @935163
     /*  935163 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(935257), // Rule ID 16358 //
     /*  935168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935215 */     // MIs[1] Operand 1
     /*  935215 */     // No operand predicates
     /*  935215 */     // MIs[0] round
     /*  935215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  935230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935255 */     GIR_RootConstrainSelectedInstOperands,
     /*  935256 */     // GIR_Coverage, 16358,
     /*  935256 */     GIR_EraseRootFromParent_Done,
     /*  935257 */   // Label 14130: @935257
     /*  935257 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(935351), // Rule ID 16361 //
     /*  935262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935309 */     // MIs[1] Operand 1
     /*  935309 */     // No operand predicates
     /*  935309 */     // MIs[0] round
     /*  935309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935349 */     GIR_RootConstrainSelectedInstOperands,
     /*  935350 */     // GIR_Coverage, 16361,
     /*  935350 */     GIR_EraseRootFromParent_Done,
     /*  935351 */   // Label 14131: @935351
     /*  935351 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(935445), // Rule ID 16362 //
     /*  935356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935403 */     // MIs[1] Operand 1
     /*  935403 */     // No operand predicates
     /*  935403 */     // MIs[0] round
     /*  935403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  935418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935443 */     GIR_RootConstrainSelectedInstOperands,
     /*  935444 */     // GIR_Coverage, 16362,
     /*  935444 */     GIR_EraseRootFromParent_Done,
     /*  935445 */   // Label 14132: @935445
     /*  935445 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(935539), // Rule ID 16365 //
     /*  935450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935497 */     // MIs[1] Operand 1
     /*  935497 */     // No operand predicates
     /*  935497 */     // MIs[0] round
     /*  935497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935537 */     GIR_RootConstrainSelectedInstOperands,
     /*  935538 */     // GIR_Coverage, 16365,
     /*  935538 */     GIR_EraseRootFromParent_Done,
     /*  935539 */   // Label 14133: @935539
     /*  935539 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(935633), // Rule ID 16366 //
     /*  935544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935591 */     // MIs[1] Operand 1
     /*  935591 */     // No operand predicates
     /*  935591 */     // MIs[0] round
     /*  935591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935631 */     GIR_RootConstrainSelectedInstOperands,
     /*  935632 */     // GIR_Coverage, 16366,
     /*  935632 */     GIR_EraseRootFromParent_Done,
     /*  935633 */   // Label 14134: @935633
     /*  935633 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(935727), // Rule ID 16369 //
     /*  935638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935685 */     // MIs[1] Operand 1
     /*  935685 */     // No operand predicates
     /*  935685 */     // MIs[0] round
     /*  935685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935725 */     GIR_RootConstrainSelectedInstOperands,
     /*  935726 */     // GIR_Coverage, 16369,
     /*  935726 */     GIR_EraseRootFromParent_Done,
     /*  935727 */   // Label 14135: @935727
     /*  935727 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(935821), // Rule ID 16370 //
     /*  935732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935779 */     // MIs[1] Operand 1
     /*  935779 */     // No operand predicates
     /*  935779 */     // MIs[0] round
     /*  935779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935819 */     GIR_RootConstrainSelectedInstOperands,
     /*  935820 */     // GIR_Coverage, 16370,
     /*  935820 */     GIR_EraseRootFromParent_Done,
     /*  935821 */   // Label 14136: @935821
     /*  935821 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(935915), // Rule ID 16373 //
     /*  935826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935873 */     // MIs[1] Operand 1
     /*  935873 */     // No operand predicates
     /*  935873 */     // MIs[0] round
     /*  935873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935913 */     GIR_RootConstrainSelectedInstOperands,
     /*  935914 */     // GIR_Coverage, 16373,
     /*  935914 */     GIR_EraseRootFromParent_Done,
     /*  935915 */   // Label 14137: @935915
     /*  935915 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(936009), // Rule ID 16374 //
     /*  935920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935967 */     // MIs[1] Operand 1
     /*  935967 */     // No operand predicates
     /*  935967 */     // MIs[0] round
     /*  935967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935979 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936007 */     GIR_RootConstrainSelectedInstOperands,
     /*  936008 */     // GIR_Coverage, 16374,
     /*  936008 */     GIR_EraseRootFromParent_Done,
     /*  936009 */   // Label 14138: @936009
     /*  936009 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(936103), // Rule ID 16377 //
     /*  936014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936061 */     // MIs[1] Operand 1
     /*  936061 */     // No operand predicates
     /*  936061 */     // MIs[0] round
     /*  936061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936101 */     GIR_RootConstrainSelectedInstOperands,
     /*  936102 */     // GIR_Coverage, 16377,
     /*  936102 */     GIR_EraseRootFromParent_Done,
     /*  936103 */   // Label 14139: @936103
     /*  936103 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(936197), // Rule ID 16378 //
     /*  936108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936155 */     // MIs[1] Operand 1
     /*  936155 */     // No operand predicates
     /*  936155 */     // MIs[0] round
     /*  936155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  936170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936195 */     GIR_RootConstrainSelectedInstOperands,
     /*  936196 */     // GIR_Coverage, 16378,
     /*  936196 */     GIR_EraseRootFromParent_Done,
     /*  936197 */   // Label 14140: @936197
     /*  936197 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(936291), // Rule ID 16381 //
     /*  936202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936249 */     // MIs[1] Operand 1
     /*  936249 */     // No operand predicates
     /*  936249 */     // MIs[0] round
     /*  936249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936289 */     GIR_RootConstrainSelectedInstOperands,
     /*  936290 */     // GIR_Coverage, 16381,
     /*  936290 */     GIR_EraseRootFromParent_Done,
     /*  936291 */   // Label 14141: @936291
     /*  936291 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(936385), // Rule ID 16382 //
     /*  936296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936343 */     // MIs[1] Operand 1
     /*  936343 */     // No operand predicates
     /*  936343 */     // MIs[0] round
     /*  936343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  936358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936383 */     GIR_RootConstrainSelectedInstOperands,
     /*  936384 */     // GIR_Coverage, 16382,
     /*  936384 */     GIR_EraseRootFromParent_Done,
     /*  936385 */   // Label 14142: @936385
     /*  936385 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(936479), // Rule ID 16385 //
     /*  936390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936437 */     // MIs[1] Operand 1
     /*  936437 */     // No operand predicates
     /*  936437 */     // MIs[0] round
     /*  936437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936477 */     GIR_RootConstrainSelectedInstOperands,
     /*  936478 */     // GIR_Coverage, 16385,
     /*  936478 */     GIR_EraseRootFromParent_Done,
     /*  936479 */   // Label 14143: @936479
     /*  936479 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(936573), // Rule ID 16386 //
     /*  936484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936531 */     // MIs[1] Operand 1
     /*  936531 */     // No operand predicates
     /*  936531 */     // MIs[0] round
     /*  936531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  936546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936571 */     GIR_RootConstrainSelectedInstOperands,
     /*  936572 */     // GIR_Coverage, 16386,
     /*  936572 */     GIR_EraseRootFromParent_Done,
     /*  936573 */   // Label 14144: @936573
     /*  936573 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(936667), // Rule ID 16389 //
     /*  936578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  936581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936625 */     // MIs[1] Operand 1
     /*  936625 */     // No operand predicates
     /*  936625 */     // MIs[0] round
     /*  936625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936665 */     GIR_RootConstrainSelectedInstOperands,
     /*  936666 */     // GIR_Coverage, 16389,
     /*  936666 */     GIR_EraseRootFromParent_Done,
     /*  936667 */   // Label 14145: @936667
     /*  936667 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(936761), // Rule ID 16390 //
     /*  936672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  936675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  936680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936719 */     // MIs[1] Operand 1
     /*  936719 */     // No operand predicates
     /*  936719 */     // MIs[0] round
     /*  936719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  936734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936759 */     GIR_RootConstrainSelectedInstOperands,
     /*  936760 */     // GIR_Coverage, 16390,
     /*  936760 */     GIR_EraseRootFromParent_Done,
     /*  936761 */   // Label 14146: @936761
     /*  936761 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(936855), // Rule ID 16513 //
     /*  936766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  936780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  936783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936813 */     // MIs[1] Operand 1
     /*  936813 */     // No operand predicates
     /*  936813 */     // MIs[0] round
     /*  936813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936825 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  936828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936853 */     GIR_RootConstrainSelectedInstOperands,
     /*  936854 */     // GIR_Coverage, 16513,
     /*  936854 */     GIR_EraseRootFromParent_Done,
     /*  936855 */   // Label 14147: @936855
     /*  936855 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(936949), // Rule ID 16514 //
     /*  936860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  936874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  936877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936907 */     // MIs[1] Operand 1
     /*  936907 */     // No operand predicates
     /*  936907 */     // MIs[0] round
     /*  936907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936919 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  936922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936947 */     GIR_RootConstrainSelectedInstOperands,
     /*  936948 */     // GIR_Coverage, 16514,
     /*  936948 */     GIR_EraseRootFromParent_Done,
     /*  936949 */   // Label 14148: @936949
     /*  936949 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(937043), // Rule ID 16517 //
     /*  936954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  936965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  936968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  936971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937001 */     // MIs[1] Operand 1
     /*  937001 */     // No operand predicates
     /*  937001 */     // MIs[0] round
     /*  937001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937041 */     GIR_RootConstrainSelectedInstOperands,
     /*  937042 */     // GIR_Coverage, 16517,
     /*  937042 */     GIR_EraseRootFromParent_Done,
     /*  937043 */   // Label 14149: @937043
     /*  937043 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(937137), // Rule ID 16518 //
     /*  937048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937095 */     // MIs[1] Operand 1
     /*  937095 */     // No operand predicates
     /*  937095 */     // MIs[0] round
     /*  937095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937135 */     GIR_RootConstrainSelectedInstOperands,
     /*  937136 */     // GIR_Coverage, 16518,
     /*  937136 */     GIR_EraseRootFromParent_Done,
     /*  937137 */   // Label 14150: @937137
     /*  937137 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(937231), // Rule ID 16521 //
     /*  937142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937189 */     // MIs[1] Operand 1
     /*  937189 */     // No operand predicates
     /*  937189 */     // MIs[0] round
     /*  937189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937201 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937229 */     GIR_RootConstrainSelectedInstOperands,
     /*  937230 */     // GIR_Coverage, 16521,
     /*  937230 */     GIR_EraseRootFromParent_Done,
     /*  937231 */   // Label 14151: @937231
     /*  937231 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(937325), // Rule ID 16522 //
     /*  937236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937283 */     // MIs[1] Operand 1
     /*  937283 */     // No operand predicates
     /*  937283 */     // MIs[0] round
     /*  937283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937323 */     GIR_RootConstrainSelectedInstOperands,
     /*  937324 */     // GIR_Coverage, 16522,
     /*  937324 */     GIR_EraseRootFromParent_Done,
     /*  937325 */   // Label 14152: @937325
     /*  937325 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(937419), // Rule ID 16525 //
     /*  937330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937377 */     // MIs[1] Operand 1
     /*  937377 */     // No operand predicates
     /*  937377 */     // MIs[0] round
     /*  937377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937417 */     GIR_RootConstrainSelectedInstOperands,
     /*  937418 */     // GIR_Coverage, 16525,
     /*  937418 */     GIR_EraseRootFromParent_Done,
     /*  937419 */   // Label 14153: @937419
     /*  937419 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(937513), // Rule ID 16526 //
     /*  937424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  937435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  937438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937471 */     // MIs[1] Operand 1
     /*  937471 */     // No operand predicates
     /*  937471 */     // MIs[0] round
     /*  937471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937511 */     GIR_RootConstrainSelectedInstOperands,
     /*  937512 */     // GIR_Coverage, 16526,
     /*  937512 */     GIR_EraseRootFromParent_Done,
     /*  937513 */   // Label 14154: @937513
     /*  937513 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(937607), // Rule ID 16529 //
     /*  937518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937565 */     // MIs[1] Operand 1
     /*  937565 */     // No operand predicates
     /*  937565 */     // MIs[0] round
     /*  937565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937605 */     GIR_RootConstrainSelectedInstOperands,
     /*  937606 */     // GIR_Coverage, 16529,
     /*  937606 */     GIR_EraseRootFromParent_Done,
     /*  937607 */   // Label 14155: @937607
     /*  937607 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(937701), // Rule ID 16530 //
     /*  937612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937659 */     // MIs[1] Operand 1
     /*  937659 */     // No operand predicates
     /*  937659 */     // MIs[0] round
     /*  937659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937699 */     GIR_RootConstrainSelectedInstOperands,
     /*  937700 */     // GIR_Coverage, 16530,
     /*  937700 */     GIR_EraseRootFromParent_Done,
     /*  937701 */   // Label 14156: @937701
     /*  937701 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(937795), // Rule ID 16533 //
     /*  937706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937753 */     // MIs[1] Operand 1
     /*  937753 */     // No operand predicates
     /*  937753 */     // MIs[0] round
     /*  937753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937765 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937793 */     GIR_RootConstrainSelectedInstOperands,
     /*  937794 */     // GIR_Coverage, 16533,
     /*  937794 */     GIR_EraseRootFromParent_Done,
     /*  937795 */   // Label 14157: @937795
     /*  937795 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(937889), // Rule ID 16534 //
     /*  937800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937847 */     // MIs[1] Operand 1
     /*  937847 */     // No operand predicates
     /*  937847 */     // MIs[0] round
     /*  937847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937887 */     GIR_RootConstrainSelectedInstOperands,
     /*  937888 */     // GIR_Coverage, 16534,
     /*  937888 */     GIR_EraseRootFromParent_Done,
     /*  937889 */   // Label 14158: @937889
     /*  937889 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(937983), // Rule ID 16537 //
     /*  937894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  937908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  937911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937941 */     // MIs[1] Operand 1
     /*  937941 */     // No operand predicates
     /*  937941 */     // MIs[0] round
     /*  937941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  937956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937981 */     GIR_RootConstrainSelectedInstOperands,
     /*  937982 */     // GIR_Coverage, 16537,
     /*  937982 */     GIR_EraseRootFromParent_Done,
     /*  937983 */   // Label 14159: @937983
     /*  937983 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(938077), // Rule ID 16538 //
     /*  937988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938035 */     // MIs[1] Operand 1
     /*  938035 */     // No operand predicates
     /*  938035 */     // MIs[0] round
     /*  938035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  938050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938075 */     GIR_RootConstrainSelectedInstOperands,
     /*  938076 */     // GIR_Coverage, 16538,
     /*  938076 */     GIR_EraseRootFromParent_Done,
     /*  938077 */   // Label 14160: @938077
     /*  938077 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(938171), // Rule ID 16541 //
     /*  938082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938129 */     // MIs[1] Operand 1
     /*  938129 */     // No operand predicates
     /*  938129 */     // MIs[0] round
     /*  938129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938169 */     GIR_RootConstrainSelectedInstOperands,
     /*  938170 */     // GIR_Coverage, 16541,
     /*  938170 */     GIR_EraseRootFromParent_Done,
     /*  938171 */   // Label 14161: @938171
     /*  938171 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(938265), // Rule ID 16542 //
     /*  938176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938223 */     // MIs[1] Operand 1
     /*  938223 */     // No operand predicates
     /*  938223 */     // MIs[0] round
     /*  938223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938263 */     GIR_RootConstrainSelectedInstOperands,
     /*  938264 */     // GIR_Coverage, 16542,
     /*  938264 */     GIR_EraseRootFromParent_Done,
     /*  938265 */   // Label 14162: @938265
     /*  938265 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(938359), // Rule ID 16545 //
     /*  938270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938317 */     // MIs[1] Operand 1
     /*  938317 */     // No operand predicates
     /*  938317 */     // MIs[0] round
     /*  938317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938329 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938357 */     GIR_RootConstrainSelectedInstOperands,
     /*  938358 */     // GIR_Coverage, 16545,
     /*  938358 */     GIR_EraseRootFromParent_Done,
     /*  938359 */   // Label 14163: @938359
     /*  938359 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(938453), // Rule ID 16546 //
     /*  938364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938411 */     // MIs[1] Operand 1
     /*  938411 */     // No operand predicates
     /*  938411 */     // MIs[0] round
     /*  938411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  938426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938451 */     GIR_RootConstrainSelectedInstOperands,
     /*  938452 */     // GIR_Coverage, 16546,
     /*  938452 */     GIR_EraseRootFromParent_Done,
     /*  938453 */   // Label 14164: @938453
     /*  938453 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(938547), // Rule ID 16549 //
     /*  938458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938505 */     // MIs[1] Operand 1
     /*  938505 */     // No operand predicates
     /*  938505 */     // MIs[0] round
     /*  938505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938545 */     GIR_RootConstrainSelectedInstOperands,
     /*  938546 */     // GIR_Coverage, 16549,
     /*  938546 */     GIR_EraseRootFromParent_Done,
     /*  938547 */   // Label 14165: @938547
     /*  938547 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(938641), // Rule ID 16550 //
     /*  938552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  938563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  938566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938599 */     // MIs[1] Operand 1
     /*  938599 */     // No operand predicates
     /*  938599 */     // MIs[0] round
     /*  938599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938611 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938639 */     GIR_RootConstrainSelectedInstOperands,
     /*  938640 */     // GIR_Coverage, 16550,
     /*  938640 */     GIR_EraseRootFromParent_Done,
     /*  938641 */   // Label 14166: @938641
     /*  938641 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(938735), // Rule ID 16553 //
     /*  938646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  938657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  938660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938693 */     // MIs[1] Operand 1
     /*  938693 */     // No operand predicates
     /*  938693 */     // MIs[0] round
     /*  938693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938733 */     GIR_RootConstrainSelectedInstOperands,
     /*  938734 */     // GIR_Coverage, 16553,
     /*  938734 */     GIR_EraseRootFromParent_Done,
     /*  938735 */   // Label 14167: @938735
     /*  938735 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(938829), // Rule ID 16554 //
     /*  938740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  938751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  938754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938787 */     // MIs[1] Operand 1
     /*  938787 */     // No operand predicates
     /*  938787 */     // MIs[0] round
     /*  938787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938827 */     GIR_RootConstrainSelectedInstOperands,
     /*  938828 */     // GIR_Coverage, 16554,
     /*  938828 */     GIR_EraseRootFromParent_Done,
     /*  938829 */   // Label 14168: @938829
     /*  938829 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(938923), // Rule ID 16557 //
     /*  938834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938881 */     // MIs[1] Operand 1
     /*  938881 */     // No operand predicates
     /*  938881 */     // MIs[0] round
     /*  938881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938921 */     GIR_RootConstrainSelectedInstOperands,
     /*  938922 */     // GIR_Coverage, 16557,
     /*  938922 */     GIR_EraseRootFromParent_Done,
     /*  938923 */   // Label 14169: @938923
     /*  938923 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939017), // Rule ID 16558 //
     /*  938928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938975 */     // MIs[1] Operand 1
     /*  938975 */     // No operand predicates
     /*  938975 */     // MIs[0] round
     /*  938975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  938990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939015 */     GIR_RootConstrainSelectedInstOperands,
     /*  939016 */     // GIR_Coverage, 16558,
     /*  939016 */     GIR_EraseRootFromParent_Done,
     /*  939017 */   // Label 14170: @939017
     /*  939017 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939111), // Rule ID 16561 //
     /*  939022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939069 */     // MIs[1] Operand 1
     /*  939069 */     // No operand predicates
     /*  939069 */     // MIs[0] round
     /*  939069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939109 */     GIR_RootConstrainSelectedInstOperands,
     /*  939110 */     // GIR_Coverage, 16561,
     /*  939110 */     GIR_EraseRootFromParent_Done,
     /*  939111 */   // Label 14171: @939111
     /*  939111 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(939205), // Rule ID 16562 //
     /*  939116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939163 */     // MIs[1] Operand 1
     /*  939163 */     // No operand predicates
     /*  939163 */     // MIs[0] round
     /*  939163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  939178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939203 */     GIR_RootConstrainSelectedInstOperands,
     /*  939204 */     // GIR_Coverage, 16562,
     /*  939204 */     GIR_EraseRootFromParent_Done,
     /*  939205 */   // Label 14172: @939205
     /*  939205 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(939299), // Rule ID 16565 //
     /*  939210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939257 */     // MIs[1] Operand 1
     /*  939257 */     // No operand predicates
     /*  939257 */     // MIs[0] round
     /*  939257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939297 */     GIR_RootConstrainSelectedInstOperands,
     /*  939298 */     // GIR_Coverage, 16565,
     /*  939298 */     GIR_EraseRootFromParent_Done,
     /*  939299 */   // Label 14173: @939299
     /*  939299 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(939393), // Rule ID 16566 //
     /*  939304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939351 */     // MIs[1] Operand 1
     /*  939351 */     // No operand predicates
     /*  939351 */     // MIs[0] round
     /*  939351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  939366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939391 */     GIR_RootConstrainSelectedInstOperands,
     /*  939392 */     // GIR_Coverage, 16566,
     /*  939392 */     GIR_EraseRootFromParent_Done,
     /*  939393 */   // Label 14174: @939393
     /*  939393 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(939487), // Rule ID 16569 //
     /*  939398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  939401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939445 */     // MIs[1] Operand 1
     /*  939445 */     // No operand predicates
     /*  939445 */     // MIs[0] round
     /*  939445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  939457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939485 */     GIR_RootConstrainSelectedInstOperands,
     /*  939486 */     // GIR_Coverage, 16569,
     /*  939486 */     GIR_EraseRootFromParent_Done,
     /*  939487 */   // Label 14175: @939487
     /*  939487 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(939581), // Rule ID 16570 //
     /*  939492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  939495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  939500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  939503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  939506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939539 */     // MIs[1] Operand 1
     /*  939539 */     // No operand predicates
     /*  939539 */     // MIs[0] round
     /*  939539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  939551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  939554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939579 */     GIR_RootConstrainSelectedInstOperands,
     /*  939580 */     // GIR_Coverage, 16570,
     /*  939580 */     GIR_EraseRootFromParent_Done,
     /*  939581 */   // Label 14176: @939581
     /*  939581 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(939665), // Rule ID 2645 //
     /*  939586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939629 */     // MIs[0] round
     /*  939629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939641 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  939644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939663 */     GIR_RootConstrainSelectedInstOperands,
     /*  939664 */     // GIR_Coverage, 2645,
     /*  939664 */     GIR_EraseRootFromParent_Done,
     /*  939665 */   // Label 14177: @939665
     /*  939665 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(939749), // Rule ID 2646 //
     /*  939670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939713 */     // MIs[0] round
     /*  939713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939725 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  939728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939747 */     GIR_RootConstrainSelectedInstOperands,
     /*  939748 */     // GIR_Coverage, 2646,
     /*  939748 */     GIR_EraseRootFromParent_Done,
     /*  939749 */   // Label 14178: @939749
     /*  939749 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(939833), // Rule ID 17017 //
     /*  939754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  939774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939797 */     // MIs[0] round
     /*  939797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939809 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  939812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939831 */     GIR_RootConstrainSelectedInstOperands,
     /*  939832 */     // GIR_Coverage, 17017,
     /*  939832 */     GIR_EraseRootFromParent_Done,
     /*  939833 */   // Label 14179: @939833
     /*  939833 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(939917), // Rule ID 17018 //
     /*  939838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  939858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939881 */     // MIs[0] round
     /*  939881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939893 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  939896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939915 */     GIR_RootConstrainSelectedInstOperands,
     /*  939916 */     // GIR_Coverage, 17018,
     /*  939916 */     GIR_EraseRootFromParent_Done,
     /*  939917 */   // Label 14180: @939917
     /*  939917 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940001), // Rule ID 17027 //
     /*  939922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  939939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939965 */     // MIs[0] round
     /*  939965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  939980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939999 */     GIR_RootConstrainSelectedInstOperands,
     /*  940000 */     // GIR_Coverage, 17027,
     /*  940000 */     GIR_EraseRootFromParent_Done,
     /*  940001 */   // Label 14181: @940001
     /*  940001 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940085), // Rule ID 17028 //
     /*  940006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940049 */     // MIs[0] round
     /*  940049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940061 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  940064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940083 */     GIR_RootConstrainSelectedInstOperands,
     /*  940084 */     // GIR_Coverage, 17028,
     /*  940084 */     GIR_EraseRootFromParent_Done,
     /*  940085 */   // Label 14182: @940085
     /*  940085 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940169), // Rule ID 17037 //
     /*  940090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940133 */     // MIs[0] round
     /*  940133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940145 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940167 */     GIR_RootConstrainSelectedInstOperands,
     /*  940168 */     // GIR_Coverage, 17037,
     /*  940168 */     GIR_EraseRootFromParent_Done,
     /*  940169 */   // Label 14183: @940169
     /*  940169 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(940253), // Rule ID 17038 //
     /*  940174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940217 */     // MIs[0] round
     /*  940217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940229 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  940232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940251 */     GIR_RootConstrainSelectedInstOperands,
     /*  940252 */     // GIR_Coverage, 17038,
     /*  940252 */     GIR_EraseRootFromParent_Done,
     /*  940253 */   // Label 14184: @940253
     /*  940253 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(940337), // Rule ID 17047 //
     /*  940258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940301 */     // MIs[0] round
     /*  940301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940313 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940335 */     GIR_RootConstrainSelectedInstOperands,
     /*  940336 */     // GIR_Coverage, 17047,
     /*  940336 */     GIR_EraseRootFromParent_Done,
     /*  940337 */   // Label 14185: @940337
     /*  940337 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(940421), // Rule ID 17048 //
     /*  940342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940385 */     // MIs[0] round
     /*  940385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940397 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  940400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940419 */     GIR_RootConstrainSelectedInstOperands,
     /*  940420 */     // GIR_Coverage, 17048,
     /*  940420 */     GIR_EraseRootFromParent_Done,
     /*  940421 */   // Label 14186: @940421
     /*  940421 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(940505), // Rule ID 17057 //
     /*  940426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940469 */     // MIs[0] round
     /*  940469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940503 */     GIR_RootConstrainSelectedInstOperands,
     /*  940504 */     // GIR_Coverage, 17057,
     /*  940504 */     GIR_EraseRootFromParent_Done,
     /*  940505 */   // Label 14187: @940505
     /*  940505 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(940589), // Rule ID 17058 //
     /*  940510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940553 */     // MIs[0] round
     /*  940553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  940568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940587 */     GIR_RootConstrainSelectedInstOperands,
     /*  940588 */     // GIR_Coverage, 17058,
     /*  940588 */     GIR_EraseRootFromParent_Done,
     /*  940589 */   // Label 14188: @940589
     /*  940589 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(940673), // Rule ID 17067 //
     /*  940594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940637 */     // MIs[0] round
     /*  940637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940649 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  940652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940671 */     GIR_RootConstrainSelectedInstOperands,
     /*  940672 */     // GIR_Coverage, 17067,
     /*  940672 */     GIR_EraseRootFromParent_Done,
     /*  940673 */   // Label 14189: @940673
     /*  940673 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(940757), // Rule ID 17068 //
     /*  940678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940721 */     // MIs[0] round
     /*  940721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940733 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  940736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940755 */     GIR_RootConstrainSelectedInstOperands,
     /*  940756 */     // GIR_Coverage, 17068,
     /*  940756 */     GIR_EraseRootFromParent_Done,
     /*  940757 */   // Label 14190: @940757
     /*  940757 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(940841), // Rule ID 17077 //
     /*  940762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940805 */     // MIs[0] round
     /*  940805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  940820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940839 */     GIR_RootConstrainSelectedInstOperands,
     /*  940840 */     // GIR_Coverage, 17077,
     /*  940840 */     GIR_EraseRootFromParent_Done,
     /*  940841 */   // Label 14191: @940841
     /*  940841 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(940925), // Rule ID 17078 //
     /*  940846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940889 */     // MIs[0] round
     /*  940889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940901 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  940904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940923 */     GIR_RootConstrainSelectedInstOperands,
     /*  940924 */     // GIR_Coverage, 17078,
     /*  940924 */     GIR_EraseRootFromParent_Done,
     /*  940925 */   // Label 14192: @940925
     /*  940925 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941009), // Rule ID 17087 //
     /*  940930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  940938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  940941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  940944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  940950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940973 */     // MIs[0] round
     /*  940973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940985 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  940988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941007 */     GIR_RootConstrainSelectedInstOperands,
     /*  941008 */     // GIR_Coverage, 17087,
     /*  941008 */     GIR_EraseRootFromParent_Done,
     /*  941009 */   // Label 14193: @941009
     /*  941009 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941093), // Rule ID 17088 //
     /*  941014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  941022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941057 */     // MIs[0] round
     /*  941057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941069 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  941072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941091 */     GIR_RootConstrainSelectedInstOperands,
     /*  941092 */     // GIR_Coverage, 17088,
     /*  941092 */     GIR_EraseRootFromParent_Done,
     /*  941093 */   // Label 14194: @941093
     /*  941093 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941177), // Rule ID 17133 //
     /*  941098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941141 */     // MIs[0] round
     /*  941141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941153 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941175 */     GIR_RootConstrainSelectedInstOperands,
     /*  941176 */     // GIR_Coverage, 17133,
     /*  941176 */     GIR_EraseRootFromParent_Done,
     /*  941177 */   // Label 14195: @941177
     /*  941177 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(941261), // Rule ID 17134 //
     /*  941182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  941199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941225 */     // MIs[0] round
     /*  941225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941237 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  941240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941259 */     GIR_RootConstrainSelectedInstOperands,
     /*  941260 */     // GIR_Coverage, 17134,
     /*  941260 */     GIR_EraseRootFromParent_Done,
     /*  941261 */   // Label 14196: @941261
     /*  941261 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(941345), // Rule ID 17143 //
     /*  941266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941309 */     // MIs[0] round
     /*  941309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941321 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941343 */     GIR_RootConstrainSelectedInstOperands,
     /*  941344 */     // GIR_Coverage, 17143,
     /*  941344 */     GIR_EraseRootFromParent_Done,
     /*  941345 */   // Label 14197: @941345
     /*  941345 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(941429), // Rule ID 17144 //
     /*  941350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  941367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941393 */     // MIs[0] round
     /*  941393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941405 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  941408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941427 */     GIR_RootConstrainSelectedInstOperands,
     /*  941428 */     // GIR_Coverage, 17144,
     /*  941428 */     GIR_EraseRootFromParent_Done,
     /*  941429 */   // Label 14198: @941429
     /*  941429 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(941513), // Rule ID 17153 //
     /*  941434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941477 */     // MIs[0] round
     /*  941477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941489 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941511 */     GIR_RootConstrainSelectedInstOperands,
     /*  941512 */     // GIR_Coverage, 17153,
     /*  941512 */     GIR_EraseRootFromParent_Done,
     /*  941513 */   // Label 14199: @941513
     /*  941513 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(941597), // Rule ID 17154 //
     /*  941518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  941535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941561 */     // MIs[0] round
     /*  941561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941573 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  941576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941595 */     GIR_RootConstrainSelectedInstOperands,
     /*  941596 */     // GIR_Coverage, 17154,
     /*  941596 */     GIR_EraseRootFromParent_Done,
     /*  941597 */   // Label 14200: @941597
     /*  941597 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(941681), // Rule ID 17163 //
     /*  941602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941645 */     // MIs[0] round
     /*  941645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941657 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  941660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941679 */     GIR_RootConstrainSelectedInstOperands,
     /*  941680 */     // GIR_Coverage, 17163,
     /*  941680 */     GIR_EraseRootFromParent_Done,
     /*  941681 */   // Label 14201: @941681
     /*  941681 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(941765), // Rule ID 17164 //
     /*  941686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941729 */     // MIs[0] round
     /*  941729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  941744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941763 */     GIR_RootConstrainSelectedInstOperands,
     /*  941764 */     // GIR_Coverage, 17164,
     /*  941764 */     GIR_EraseRootFromParent_Done,
     /*  941765 */   // Label 14202: @941765
     /*  941765 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(941849), // Rule ID 17173 //
     /*  941770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  941773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941813 */     // MIs[0] round
     /*  941813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941825 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  941825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  941828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941847 */     GIR_RootConstrainSelectedInstOperands,
     /*  941848 */     // GIR_Coverage, 17173,
     /*  941848 */     GIR_EraseRootFromParent_Done,
     /*  941849 */   // Label 14203: @941849
     /*  941849 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(941933), // Rule ID 17174 //
     /*  941854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  941857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  941865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  941868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  941874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941897 */     // MIs[0] round
     /*  941897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  941909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  941912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941931 */     GIR_RootConstrainSelectedInstOperands,
     /*  941932 */     // GIR_Coverage, 17174,
     /*  941932 */     GIR_EraseRootFromParent_Done,
     /*  941933 */   // Label 14204: @941933
     /*  941933 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942017), // Rule ID 17183 //
     /*  941938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  941949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  941952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  941955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  941958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941981 */     // MIs[0] round
     /*  941981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941993 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  941996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942015 */     GIR_RootConstrainSelectedInstOperands,
     /*  942016 */     // GIR_Coverage, 17183,
     /*  942016 */     GIR_EraseRootFromParent_Done,
     /*  942017 */   // Label 14205: @942017
     /*  942017 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942101), // Rule ID 17184 //
     /*  942022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  942039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942065 */     // MIs[0] round
     /*  942065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942077 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  942080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942099 */     GIR_RootConstrainSelectedInstOperands,
     /*  942100 */     // GIR_Coverage, 17184,
     /*  942100 */     GIR_EraseRootFromParent_Done,
     /*  942101 */   // Label 14206: @942101
     /*  942101 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942185), // Rule ID 17193 //
     /*  942106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942149 */     // MIs[0] round
     /*  942149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942161 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942183 */     GIR_RootConstrainSelectedInstOperands,
     /*  942184 */     // GIR_Coverage, 17193,
     /*  942184 */     GIR_EraseRootFromParent_Done,
     /*  942185 */   // Label 14207: @942185
     /*  942185 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(942269), // Rule ID 17194 //
     /*  942190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  942201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  942204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  942207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942233 */     // MIs[0] round
     /*  942233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942245 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  942248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942267 */     GIR_RootConstrainSelectedInstOperands,
     /*  942268 */     // GIR_Coverage, 17194,
     /*  942268 */     GIR_EraseRootFromParent_Done,
     /*  942269 */   // Label 14208: @942269
     /*  942269 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(942353), // Rule ID 17203 //
     /*  942274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942317 */     // MIs[0] round
     /*  942317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942329 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942351 */     GIR_RootConstrainSelectedInstOperands,
     /*  942352 */     // GIR_Coverage, 17203,
     /*  942352 */     GIR_EraseRootFromParent_Done,
     /*  942353 */   // Label 14209: @942353
     /*  942353 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(942437), // Rule ID 17204 //
     /*  942358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  942369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  942372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  942375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  942378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942401 */     // MIs[0] round
     /*  942401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942413 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  942416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942435 */     GIR_RootConstrainSelectedInstOperands,
     /*  942436 */     // GIR_Coverage, 17204,
     /*  942436 */     GIR_EraseRootFromParent_Done,
     /*  942437 */   // Label 14210: @942437
     /*  942437 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(942521), // Rule ID 17213 //
     /*  942442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  942445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942485 */     // MIs[0] round
     /*  942485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942497 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  942497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942519 */     GIR_RootConstrainSelectedInstOperands,
     /*  942520 */     // GIR_Coverage, 17213,
     /*  942520 */     GIR_EraseRootFromParent_Done,
     /*  942521 */   // Label 14211: @942521
     /*  942521 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(942605), // Rule ID 17214 //
     /*  942526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  942529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  942534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  942537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  942540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  942543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  942546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  942557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  942561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942569 */     // MIs[0] round
     /*  942569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942581 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  942581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  942584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  942603 */     GIR_RootConstrainSelectedInstOperands,
     /*  942604 */     // GIR_Coverage, 17214,
     /*  942604 */     GIR_EraseRootFromParent_Done,
     /*  942605 */   // Label 14212: @942605
     /*  942605 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(942687), // Rule ID 62559 //
     /*  942610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942637 */     // MIs[0] op1
     /*  942637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  942667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942675 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942685 */     GIR_RootConstrainSelectedInstOperands,
     /*  942686 */     // GIR_Coverage, 62559,
     /*  942686 */     GIR_EraseRootFromParent_Done,
     /*  942687 */   // Label 14213: @942687
     /*  942687 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(942769), // Rule ID 62560 //
     /*  942692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942719 */     // MIs[0] op1
     /*  942719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  942749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942757 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942767 */     GIR_RootConstrainSelectedInstOperands,
     /*  942768 */     // GIR_Coverage, 62560,
     /*  942768 */     GIR_EraseRootFromParent_Done,
     /*  942769 */   // Label 14214: @942769
     /*  942769 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(942851), // Rule ID 62589 //
     /*  942774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  942794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942801 */     // MIs[0] op1
     /*  942801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942804 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  942831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942833 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942835 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942837 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942839 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942849 */     GIR_RootConstrainSelectedInstOperands,
     /*  942850 */     // GIR_Coverage, 62589,
     /*  942850 */     GIR_EraseRootFromParent_Done,
     /*  942851 */   // Label 14215: @942851
     /*  942851 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(942933), // Rule ID 62590 //
     /*  942856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  942870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  942873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  942876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942883 */     // MIs[0] op1
     /*  942883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942910 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  942913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942915 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942917 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942919 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942921 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942931 */     GIR_RootConstrainSelectedInstOperands,
     /*  942932 */     // GIR_Coverage, 62590,
     /*  942932 */     GIR_EraseRootFromParent_Done,
     /*  942933 */   // Label 14216: @942933
     /*  942933 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943015), // Rule ID 62621 //
     /*  942938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  942949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  942952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  942955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942965 */     // MIs[0] op1
     /*  942965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  942995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942997 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942999 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943001 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943003 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943013 */     GIR_RootConstrainSelectedInstOperands,
     /*  943014 */     // GIR_Coverage, 62621,
     /*  943014 */     GIR_EraseRootFromParent_Done,
     /*  943015 */   // Label 14217: @943015
     /*  943015 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943097), // Rule ID 62622 //
     /*  943020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943047 */     // MIs[0] op1
     /*  943047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943085 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943095 */     GIR_RootConstrainSelectedInstOperands,
     /*  943096 */     // GIR_Coverage, 62622,
     /*  943096 */     GIR_EraseRootFromParent_Done,
     /*  943097 */   // Label 14218: @943097
     /*  943097 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943179), // Rule ID 62633 //
     /*  943102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943129 */     // MIs[0] op1
     /*  943129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943161 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943163 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943165 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943167 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943177 */     GIR_RootConstrainSelectedInstOperands,
     /*  943178 */     // GIR_Coverage, 62633,
     /*  943178 */     GIR_EraseRootFromParent_Done,
     /*  943179 */   // Label 14219: @943179
     /*  943179 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(943261), // Rule ID 62634 //
     /*  943184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  943195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  943198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  943204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943211 */     // MIs[0] op1
     /*  943211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943243 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943245 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943247 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943249 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943259 */     GIR_RootConstrainSelectedInstOperands,
     /*  943260 */     // GIR_Coverage, 62634,
     /*  943260 */     GIR_EraseRootFromParent_Done,
     /*  943261 */   // Label 14220: @943261
     /*  943261 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(943343), // Rule ID 62665 //
     /*  943266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943293 */     // MIs[0] op1
     /*  943293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943331 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943341 */     GIR_RootConstrainSelectedInstOperands,
     /*  943342 */     // GIR_Coverage, 62665,
     /*  943342 */     GIR_EraseRootFromParent_Done,
     /*  943343 */   // Label 14221: @943343
     /*  943343 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(943425), // Rule ID 62666 //
     /*  943348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943375 */     // MIs[0] op1
     /*  943375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943423 */     GIR_RootConstrainSelectedInstOperands,
     /*  943424 */     // GIR_Coverage, 62666,
     /*  943424 */     GIR_EraseRootFromParent_Done,
     /*  943425 */   // Label 14222: @943425
     /*  943425 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(943507), // Rule ID 62677 //
     /*  943430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943457 */     // MIs[0] op1
     /*  943457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943495 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943505 */     GIR_RootConstrainSelectedInstOperands,
     /*  943506 */     // GIR_Coverage, 62677,
     /*  943506 */     GIR_EraseRootFromParent_Done,
     /*  943507 */   // Label 14223: @943507
     /*  943507 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(943589), // Rule ID 62678 //
     /*  943512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  943523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  943526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  943532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943539 */     // MIs[0] op1
     /*  943539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943542 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  943566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943571 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943573 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943575 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943577 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943587 */     GIR_RootConstrainSelectedInstOperands,
     /*  943588 */     // GIR_Coverage, 62678,
     /*  943588 */     GIR_EraseRootFromParent_Done,
     /*  943589 */   // Label 14224: @943589
     /*  943589 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(943671), // Rule ID 62709 //
     /*  943594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943621 */     // MIs[0] op1
     /*  943621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943653 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943655 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943657 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943659 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943669 */     GIR_RootConstrainSelectedInstOperands,
     /*  943670 */     // GIR_Coverage, 62709,
     /*  943670 */     GIR_EraseRootFromParent_Done,
     /*  943671 */   // Label 14225: @943671
     /*  943671 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(943753), // Rule ID 62710 //
     /*  943676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943703 */     // MIs[0] op1
     /*  943703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  943733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943751 */     GIR_RootConstrainSelectedInstOperands,
     /*  943752 */     // GIR_Coverage, 62710,
     /*  943752 */     GIR_EraseRootFromParent_Done,
     /*  943753 */   // Label 14226: @943753
     /*  943753 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943835), // Rule ID 62721 //
     /*  943758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  943778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943785 */     // MIs[0] op1
     /*  943785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943823 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943833 */     GIR_RootConstrainSelectedInstOperands,
     /*  943834 */     // GIR_Coverage, 62721,
     /*  943834 */     GIR_EraseRootFromParent_Done,
     /*  943835 */   // Label 14227: @943835
     /*  943835 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(943917), // Rule ID 62722 //
     /*  943840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  943860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943867 */     // MIs[0] op1
     /*  943867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  943897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943899 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943901 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943903 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943905 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943915 */     GIR_RootConstrainSelectedInstOperands,
     /*  943916 */     // GIR_Coverage, 62722,
     /*  943916 */     GIR_EraseRootFromParent_Done,
     /*  943917 */   // Label 14228: @943917
     /*  943917 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(943999), // Rule ID 62733 //
     /*  943922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  943936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  943939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943949 */     // MIs[0] op1
     /*  943949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  943969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  943979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943981 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943983 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943985 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943987 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943997 */     GIR_RootConstrainSelectedInstOperands,
     /*  943998 */     // GIR_Coverage, 62733,
     /*  943998 */     GIR_EraseRootFromParent_Done,
     /*  943999 */   // Label 14229: @943999
     /*  943999 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944081), // Rule ID 62734 //
     /*  944004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944031 */     // MIs[0] op1
     /*  944031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  944061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944079 */     GIR_RootConstrainSelectedInstOperands,
     /*  944080 */     // GIR_Coverage, 62734,
     /*  944080 */     GIR_EraseRootFromParent_Done,
     /*  944081 */   // Label 14230: @944081
     /*  944081 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944163), // Rule ID 62765 //
     /*  944086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944113 */     // MIs[0] op1
     /*  944113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944151 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944161 */     GIR_RootConstrainSelectedInstOperands,
     /*  944162 */     // GIR_Coverage, 62765,
     /*  944162 */     GIR_EraseRootFromParent_Done,
     /*  944163 */   // Label 14231: @944163
     /*  944163 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(944245), // Rule ID 62766 //
     /*  944168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944195 */     // MIs[0] op1
     /*  944195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944227 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944229 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944231 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944233 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944243 */     GIR_RootConstrainSelectedInstOperands,
     /*  944244 */     // GIR_Coverage, 62766,
     /*  944244 */     GIR_EraseRootFromParent_Done,
     /*  944245 */   // Label 14232: @944245
     /*  944245 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(944327), // Rule ID 62777 //
     /*  944250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944277 */     // MIs[0] op1
     /*  944277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944315 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944325 */     GIR_RootConstrainSelectedInstOperands,
     /*  944326 */     // GIR_Coverage, 62777,
     /*  944326 */     GIR_EraseRootFromParent_Done,
     /*  944327 */   // Label 14233: @944327
     /*  944327 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(944409), // Rule ID 62778 //
     /*  944332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  944352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944359 */     // MIs[0] op1
     /*  944359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944397 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944407 */     GIR_RootConstrainSelectedInstOperands,
     /*  944408 */     // GIR_Coverage, 62778,
     /*  944408 */     GIR_EraseRootFromParent_Done,
     /*  944409 */   // Label 14234: @944409
     /*  944409 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(944491), // Rule ID 62789 //
     /*  944414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944441 */     // MIs[0] op1
     /*  944441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944479 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944489 */     GIR_RootConstrainSelectedInstOperands,
     /*  944490 */     // GIR_Coverage, 62789,
     /*  944490 */     GIR_EraseRootFromParent_Done,
     /*  944491 */   // Label 14235: @944491
     /*  944491 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(944573), // Rule ID 62790 //
     /*  944496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944523 */     // MIs[0] op1
     /*  944523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  944553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944561 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944571 */     GIR_RootConstrainSelectedInstOperands,
     /*  944572 */     // GIR_Coverage, 62790,
     /*  944572 */     GIR_EraseRootFromParent_Done,
     /*  944573 */   // Label 14236: @944573
     /*  944573 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(944655), // Rule ID 62821 //
     /*  944578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944605 */     // MIs[0] op1
     /*  944605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944637 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944639 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944641 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944643 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944653 */     GIR_RootConstrainSelectedInstOperands,
     /*  944654 */     // GIR_Coverage, 62821,
     /*  944654 */     GIR_EraseRootFromParent_Done,
     /*  944655 */   // Label 14237: @944655
     /*  944655 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944737), // Rule ID 62822 //
     /*  944660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944687 */     // MIs[0] op1
     /*  944687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  944717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944719 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944721 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944723 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944725 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944735 */     GIR_RootConstrainSelectedInstOperands,
     /*  944736 */     // GIR_Coverage, 62822,
     /*  944736 */     GIR_EraseRootFromParent_Done,
     /*  944737 */   // Label 14238: @944737
     /*  944737 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944819), // Rule ID 62833 //
     /*  944742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  944762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944769 */     // MIs[0] op1
     /*  944769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944807 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944817 */     GIR_RootConstrainSelectedInstOperands,
     /*  944818 */     // GIR_Coverage, 62833,
     /*  944818 */     GIR_EraseRootFromParent_Done,
     /*  944819 */   // Label 14239: @944819
     /*  944819 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(944901), // Rule ID 62834 //
     /*  944824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  944844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944851 */     // MIs[0] op1
     /*  944851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  944881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944883 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944885 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944887 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944889 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944899 */     GIR_RootConstrainSelectedInstOperands,
     /*  944900 */     // GIR_Coverage, 62834,
     /*  944900 */     GIR_EraseRootFromParent_Done,
     /*  944901 */   // Label 14240: @944901
     /*  944901 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(944983), // Rule ID 62845 //
     /*  944906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  944923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944933 */     // MIs[0] op1
     /*  944933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  944953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  944963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944971 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944981 */     GIR_RootConstrainSelectedInstOperands,
     /*  944982 */     // GIR_Coverage, 62845,
     /*  944982 */     GIR_EraseRootFromParent_Done,
     /*  944983 */   // Label 14241: @944983
     /*  944983 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945065), // Rule ID 62846 //
     /*  944988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945015 */     // MIs[0] op1
     /*  945015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  945045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945047 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945049 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945051 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945053 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945063 */     GIR_RootConstrainSelectedInstOperands,
     /*  945064 */     // GIR_Coverage, 62846,
     /*  945064 */     GIR_EraseRootFromParent_Done,
     /*  945065 */   // Label 14242: @945065
     /*  945065 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945147), // Rule ID 62877 //
     /*  945070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945097 */     // MIs[0] op1
     /*  945097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945129 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945131 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945133 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945135 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945145 */     GIR_RootConstrainSelectedInstOperands,
     /*  945146 */     // GIR_Coverage, 62877,
     /*  945146 */     GIR_EraseRootFromParent_Done,
     /*  945147 */   // Label 14243: @945147
     /*  945147 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(945229), // Rule ID 62878 //
     /*  945152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945179 */     // MIs[0] op1
     /*  945179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945206 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945217 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945227 */     GIR_RootConstrainSelectedInstOperands,
     /*  945228 */     // GIR_Coverage, 62878,
     /*  945228 */     GIR_EraseRootFromParent_Done,
     /*  945229 */   // Label 14244: @945229
     /*  945229 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(945311), // Rule ID 62889 //
     /*  945234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945261 */     // MIs[0] op1
     /*  945261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945293 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945295 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945297 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945299 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945309 */     GIR_RootConstrainSelectedInstOperands,
     /*  945310 */     // GIR_Coverage, 62889,
     /*  945310 */     GIR_EraseRootFromParent_Done,
     /*  945311 */   // Label 14245: @945311
     /*  945311 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(945393), // Rule ID 62890 //
     /*  945316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  945336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945343 */     // MIs[0] op1
     /*  945343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945381 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945391 */     GIR_RootConstrainSelectedInstOperands,
     /*  945392 */     // GIR_Coverage, 62890,
     /*  945392 */     GIR_EraseRootFromParent_Done,
     /*  945393 */   // Label 14246: @945393
     /*  945393 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(945475), // Rule ID 62921 //
     /*  945398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945425 */     // MIs[0] op1
     /*  945425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945457 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945459 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945461 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945463 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945473 */     GIR_RootConstrainSelectedInstOperands,
     /*  945474 */     // GIR_Coverage, 62921,
     /*  945474 */     GIR_EraseRootFromParent_Done,
     /*  945475 */   // Label 14247: @945475
     /*  945475 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(945557), // Rule ID 62922 //
     /*  945480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945507 */     // MIs[0] op1
     /*  945507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945545 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945555 */     GIR_RootConstrainSelectedInstOperands,
     /*  945556 */     // GIR_Coverage, 62922,
     /*  945556 */     GIR_EraseRootFromParent_Done,
     /*  945557 */   // Label 14248: @945557
     /*  945557 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945639), // Rule ID 62933 //
     /*  945562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  945582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945589 */     // MIs[0] op1
     /*  945589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945621 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945623 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945625 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945627 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945637 */     GIR_RootConstrainSelectedInstOperands,
     /*  945638 */     // GIR_Coverage, 62933,
     /*  945638 */     GIR_EraseRootFromParent_Done,
     /*  945639 */   // Label 14249: @945639
     /*  945639 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945721), // Rule ID 62934 //
     /*  945644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  945664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945671 */     // MIs[0] op1
     /*  945671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945709 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945719 */     GIR_RootConstrainSelectedInstOperands,
     /*  945720 */     // GIR_Coverage, 62934,
     /*  945720 */     GIR_EraseRootFromParent_Done,
     /*  945721 */   // Label 14250: @945721
     /*  945721 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945803), // Rule ID 62945 //
     /*  945726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945753 */     // MIs[0] op1
     /*  945753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  945780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  945783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945785 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945787 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945789 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945791 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945801 */     GIR_RootConstrainSelectedInstOperands,
     /*  945802 */     // GIR_Coverage, 62945,
     /*  945802 */     GIR_EraseRootFromParent_Done,
     /*  945803 */   // Label 14251: @945803
     /*  945803 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945885), // Rule ID 62946 //
     /*  945808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  945828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945835 */     // MIs[0] op1
     /*  945835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  945855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  945862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  945865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945873 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945883 */     GIR_RootConstrainSelectedInstOperands,
     /*  945884 */     // GIR_Coverage, 62946,
     /*  945884 */     GIR_EraseRootFromParent_Done,
     /*  945885 */   // Label 14252: @945885
     /*  945885 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(945967), // Rule ID 62977 //
     /*  945890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945917 */     // MIs[0] op1
     /*  945917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945949 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945951 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945953 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945955 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945965 */     GIR_RootConstrainSelectedInstOperands,
     /*  945966 */     // GIR_Coverage, 62977,
     /*  945966 */     GIR_EraseRootFromParent_Done,
     /*  945967 */   // Label 14253: @945967
     /*  945967 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946049), // Rule ID 62978 //
     /*  945972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945999 */     // MIs[0] op1
     /*  945999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946037 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946047 */     GIR_RootConstrainSelectedInstOperands,
     /*  946048 */     // GIR_Coverage, 62978,
     /*  946048 */     GIR_EraseRootFromParent_Done,
     /*  946049 */   // Label 14254: @946049
     /*  946049 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946131), // Rule ID 62989 //
     /*  946054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946081 */     // MIs[0] op1
     /*  946081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946119 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946129 */     GIR_RootConstrainSelectedInstOperands,
     /*  946130 */     // GIR_Coverage, 62989,
     /*  946130 */     GIR_EraseRootFromParent_Done,
     /*  946131 */   // Label 14255: @946131
     /*  946131 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946213), // Rule ID 62990 //
     /*  946136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  946156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946163 */     // MIs[0] op1
     /*  946163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946201 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946211 */     GIR_RootConstrainSelectedInstOperands,
     /*  946212 */     // GIR_Coverage, 62990,
     /*  946212 */     GIR_EraseRootFromParent_Done,
     /*  946213 */   // Label 14256: @946213
     /*  946213 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(946295), // Rule ID 63001 //
     /*  946218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946245 */     // MIs[0] op1
     /*  946245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946248 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  946272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946277 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946279 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946281 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946283 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946293 */     GIR_RootConstrainSelectedInstOperands,
     /*  946294 */     // GIR_Coverage, 63001,
     /*  946294 */     GIR_EraseRootFromParent_Done,
     /*  946295 */   // Label 14257: @946295
     /*  946295 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(946377), // Rule ID 63002 //
     /*  946300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946327 */     // MIs[0] op1
     /*  946327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  946347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  946354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  946357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946365 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946375 */     GIR_RootConstrainSelectedInstOperands,
     /*  946376 */     // GIR_Coverage, 63002,
     /*  946376 */     GIR_EraseRootFromParent_Done,
     /*  946377 */   // Label 14258: @946377
     /*  946377 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(946459), // Rule ID 63033 //
     /*  946382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946409 */     // MIs[0] op1
     /*  946409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946447 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946457 */     GIR_RootConstrainSelectedInstOperands,
     /*  946458 */     // GIR_Coverage, 63033,
     /*  946458 */     GIR_EraseRootFromParent_Done,
     /*  946459 */   // Label 14259: @946459
     /*  946459 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(946541), // Rule ID 63034 //
     /*  946464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946491 */     // MIs[0] op1
     /*  946491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  946521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946529 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946539 */     GIR_RootConstrainSelectedInstOperands,
     /*  946540 */     // GIR_Coverage, 63034,
     /*  946540 */     GIR_EraseRootFromParent_Done,
     /*  946541 */   // Label 14260: @946541
     /*  946541 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946623), // Rule ID 63045 //
     /*  946546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  946566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946573 */     // MIs[0] op1
     /*  946573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946600 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946611 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946621 */     GIR_RootConstrainSelectedInstOperands,
     /*  946622 */     // GIR_Coverage, 63045,
     /*  946622 */     GIR_EraseRootFromParent_Done,
     /*  946623 */   // Label 14261: @946623
     /*  946623 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946705), // Rule ID 63046 //
     /*  946628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  946648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946655 */     // MIs[0] op1
     /*  946655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  946685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946703 */     GIR_RootConstrainSelectedInstOperands,
     /*  946704 */     // GIR_Coverage, 63046,
     /*  946704 */     GIR_EraseRootFromParent_Done,
     /*  946705 */   // Label 14262: @946705
     /*  946705 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946787), // Rule ID 63057 //
     /*  946710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946737 */     // MIs[0] op1
     /*  946737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  946767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946775 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946785 */     GIR_RootConstrainSelectedInstOperands,
     /*  946786 */     // GIR_Coverage, 63057,
     /*  946786 */     GIR_EraseRootFromParent_Done,
     /*  946787 */   // Label 14263: @946787
     /*  946787 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946869), // Rule ID 63058 //
     /*  946792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  946809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946819 */     // MIs[0] op1
     /*  946819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  946849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946857 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946867 */     GIR_RootConstrainSelectedInstOperands,
     /*  946868 */     // GIR_Coverage, 63058,
     /*  946868 */     GIR_EraseRootFromParent_Done,
     /*  946869 */   // Label 14264: @946869
     /*  946869 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(946951), // Rule ID 63089 //
     /*  946874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  946885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  946888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  946891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946901 */     // MIs[0] op1
     /*  946901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  946931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946939 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946949 */     GIR_RootConstrainSelectedInstOperands,
     /*  946950 */     // GIR_Coverage, 63089,
     /*  946950 */     GIR_EraseRootFromParent_Done,
     /*  946951 */   // Label 14265: @946951
     /*  946951 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947033), // Rule ID 63090 //
     /*  946956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  946967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  946970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  946973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946983 */     // MIs[0] op1
     /*  946983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947010 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947015 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947017 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947019 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947021 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947031 */     GIR_RootConstrainSelectedInstOperands,
     /*  947032 */     // GIR_Coverage, 63090,
     /*  947032 */     GIR_EraseRootFromParent_Done,
     /*  947033 */   // Label 14266: @947033
     /*  947033 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947115), // Rule ID 63101 //
     /*  947038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947065 */     // MIs[0] op1
     /*  947065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947097 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947099 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947101 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947103 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947113 */     GIR_RootConstrainSelectedInstOperands,
     /*  947114 */     // GIR_Coverage, 63101,
     /*  947114 */     GIR_EraseRootFromParent_Done,
     /*  947115 */   // Label 14267: @947115
     /*  947115 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947197), // Rule ID 63102 //
     /*  947120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  947131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  947134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947147 */     // MIs[0] op1
     /*  947147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  947177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947185 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947195 */     GIR_RootConstrainSelectedInstOperands,
     /*  947196 */     // GIR_Coverage, 63102,
     /*  947196 */     GIR_EraseRootFromParent_Done,
     /*  947197 */   // Label 14268: @947197
     /*  947197 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(947279), // Rule ID 63133 //
     /*  947202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947229 */     // MIs[0] op1
     /*  947229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947267 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947277 */     GIR_RootConstrainSelectedInstOperands,
     /*  947278 */     // GIR_Coverage, 63133,
     /*  947278 */     GIR_EraseRootFromParent_Done,
     /*  947279 */   // Label 14269: @947279
     /*  947279 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(947361), // Rule ID 63134 //
     /*  947284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947311 */     // MIs[0] op1
     /*  947311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947338 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947343 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947345 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947347 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947349 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947359 */     GIR_RootConstrainSelectedInstOperands,
     /*  947360 */     // GIR_Coverage, 63134,
     /*  947360 */     GIR_EraseRootFromParent_Done,
     /*  947361 */   // Label 14270: @947361
     /*  947361 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(947443), // Rule ID 63145 //
     /*  947366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947393 */     // MIs[0] op1
     /*  947393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947425 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947427 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947429 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947431 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947441 */     GIR_RootConstrainSelectedInstOperands,
     /*  947442 */     // GIR_Coverage, 63145,
     /*  947442 */     GIR_EraseRootFromParent_Done,
     /*  947443 */   // Label 14271: @947443
     /*  947443 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(947525), // Rule ID 63146 //
     /*  947448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  947459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  947462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  947465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  947468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947475 */     // MIs[0] op1
     /*  947475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947507 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947509 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947511 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947513 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947523 */     GIR_RootConstrainSelectedInstOperands,
     /*  947524 */     // GIR_Coverage, 63146,
     /*  947524 */     GIR_EraseRootFromParent_Done,
     /*  947525 */   // Label 14272: @947525
     /*  947525 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947607), // Rule ID 63177 //
     /*  947530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947557 */     // MIs[0] op1
     /*  947557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947595 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947605 */     GIR_RootConstrainSelectedInstOperands,
     /*  947606 */     // GIR_Coverage, 63177,
     /*  947606 */     GIR_EraseRootFromParent_Done,
     /*  947607 */   // Label 14273: @947607
     /*  947607 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947689), // Rule ID 63178 //
     /*  947612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947639 */     // MIs[0] op1
     /*  947639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947677 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947687 */     GIR_RootConstrainSelectedInstOperands,
     /*  947688 */     // GIR_Coverage, 63178,
     /*  947688 */     GIR_EraseRootFromParent_Done,
     /*  947689 */   // Label 14274: @947689
     /*  947689 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947771), // Rule ID 63189 //
     /*  947694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  947714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947721 */     // MIs[0] op1
     /*  947721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947753 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947755 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947757 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947759 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947769 */     GIR_RootConstrainSelectedInstOperands,
     /*  947770 */     // GIR_Coverage, 63189,
     /*  947770 */     GIR_EraseRootFromParent_Done,
     /*  947771 */   // Label 14275: @947771
     /*  947771 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947853), // Rule ID 63190 //
     /*  947776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  947787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  947790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  947793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  947796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947803 */     // MIs[0] op1
     /*  947803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947835 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947837 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947839 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947841 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947851 */     GIR_RootConstrainSelectedInstOperands,
     /*  947852 */     // GIR_Coverage, 63190,
     /*  947852 */     GIR_EraseRootFromParent_Done,
     /*  947853 */   // Label 14276: @947853
     /*  947853 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(947935), // Rule ID 63221 //
     /*  947858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947885 */     // MIs[0] op1
     /*  947885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947923 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947933 */     GIR_RootConstrainSelectedInstOperands,
     /*  947934 */     // GIR_Coverage, 63221,
     /*  947934 */     GIR_EraseRootFromParent_Done,
     /*  947935 */   // Label 14277: @947935
     /*  947935 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948017), // Rule ID 63222 //
     /*  947940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947967 */     // MIs[0] op1
     /*  947967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  947997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948005 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948015 */     GIR_RootConstrainSelectedInstOperands,
     /*  948016 */     // GIR_Coverage, 63222,
     /*  948016 */     GIR_EraseRootFromParent_Done,
     /*  948017 */   // Label 14278: @948017
     /*  948017 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948099), // Rule ID 63233 //
     /*  948022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948049 */     // MIs[0] op1
     /*  948049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948081 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948083 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948085 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948087 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948097 */     GIR_RootConstrainSelectedInstOperands,
     /*  948098 */     // GIR_Coverage, 63233,
     /*  948098 */     GIR_EraseRootFromParent_Done,
     /*  948099 */   // Label 14279: @948099
     /*  948099 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948181), // Rule ID 63234 //
     /*  948104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  948124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948131 */     // MIs[0] op1
     /*  948131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948169 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948179 */     GIR_RootConstrainSelectedInstOperands,
     /*  948180 */     // GIR_Coverage, 63234,
     /*  948180 */     GIR_EraseRootFromParent_Done,
     /*  948181 */   // Label 14280: @948181
     /*  948181 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(948263), // Rule ID 63245 //
     /*  948186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948213 */     // MIs[0] op1
     /*  948213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948251 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948261 */     GIR_RootConstrainSelectedInstOperands,
     /*  948262 */     // GIR_Coverage, 63245,
     /*  948262 */     GIR_EraseRootFromParent_Done,
     /*  948263 */   // Label 14281: @948263
     /*  948263 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(948345), // Rule ID 63246 //
     /*  948268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  948282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  948285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948295 */     // MIs[0] op1
     /*  948295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  948325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948333 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948343 */     GIR_RootConstrainSelectedInstOperands,
     /*  948344 */     // GIR_Coverage, 63246,
     /*  948344 */     GIR_EraseRootFromParent_Done,
     /*  948345 */   // Label 14282: @948345
     /*  948345 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(948427), // Rule ID 63277 //
     /*  948350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948377 */     // MIs[0] op1
     /*  948377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948415 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948425 */     GIR_RootConstrainSelectedInstOperands,
     /*  948426 */     // GIR_Coverage, 63277,
     /*  948426 */     GIR_EraseRootFromParent_Done,
     /*  948427 */   // Label 14283: @948427
     /*  948427 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(948509), // Rule ID 63278 //
     /*  948432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948459 */     // MIs[0] op1
     /*  948459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948497 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948507 */     GIR_RootConstrainSelectedInstOperands,
     /*  948508 */     // GIR_Coverage, 63278,
     /*  948508 */     GIR_EraseRootFromParent_Done,
     /*  948509 */   // Label 14284: @948509
     /*  948509 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948591), // Rule ID 63289 //
     /*  948514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948541 */     // MIs[0] op1
     /*  948541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948589 */     GIR_RootConstrainSelectedInstOperands,
     /*  948590 */     // GIR_Coverage, 63289,
     /*  948590 */     GIR_EraseRootFromParent_Done,
     /*  948591 */   // Label 14285: @948591
     /*  948591 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948673), // Rule ID 63290 //
     /*  948596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  948616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948623 */     // MIs[0] op1
     /*  948623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948661 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948671 */     GIR_RootConstrainSelectedInstOperands,
     /*  948672 */     // GIR_Coverage, 63290,
     /*  948672 */     GIR_EraseRootFromParent_Done,
     /*  948673 */   // Label 14286: @948673
     /*  948673 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948755), // Rule ID 63301 //
     /*  948678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948705 */     // MIs[0] op1
     /*  948705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  948735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948737 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948739 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948741 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948743 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948753 */     GIR_RootConstrainSelectedInstOperands,
     /*  948754 */     // GIR_Coverage, 63301,
     /*  948754 */     GIR_EraseRootFromParent_Done,
     /*  948755 */   // Label 14287: @948755
     /*  948755 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948837), // Rule ID 63302 //
     /*  948760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  948774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  948777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948787 */     // MIs[0] op1
     /*  948787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  948817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948825 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948835 */     GIR_RootConstrainSelectedInstOperands,
     /*  948836 */     // GIR_Coverage, 63302,
     /*  948836 */     GIR_EraseRootFromParent_Done,
     /*  948837 */   // Label 14288: @948837
     /*  948837 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(948919), // Rule ID 63333 //
     /*  948842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  948859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948869 */     // MIs[0] op1
     /*  948869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948917 */     GIR_RootConstrainSelectedInstOperands,
     /*  948918 */     // GIR_Coverage, 63333,
     /*  948918 */     GIR_EraseRootFromParent_Done,
     /*  948919 */   // Label 14289: @948919
     /*  948919 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949001), // Rule ID 63334 //
     /*  948924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  948941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948951 */     // MIs[0] op1
     /*  948951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  948981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948983 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948985 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948987 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948989 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948999 */     GIR_RootConstrainSelectedInstOperands,
     /*  949000 */     // GIR_Coverage, 63334,
     /*  949000 */     GIR_EraseRootFromParent_Done,
     /*  949001 */   // Label 14290: @949001
     /*  949001 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949083), // Rule ID 63345 //
     /*  949006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949033 */     // MIs[0] op1
     /*  949033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949071 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949081 */     GIR_RootConstrainSelectedInstOperands,
     /*  949082 */     // GIR_Coverage, 63345,
     /*  949082 */     GIR_EraseRootFromParent_Done,
     /*  949083 */   // Label 14291: @949083
     /*  949083 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949165), // Rule ID 63346 //
     /*  949088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  949108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949115 */     // MIs[0] op1
     /*  949115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949147 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949149 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949151 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949153 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949163 */     GIR_RootConstrainSelectedInstOperands,
     /*  949164 */     // GIR_Coverage, 63346,
     /*  949164 */     GIR_EraseRootFromParent_Done,
     /*  949165 */   // Label 14292: @949165
     /*  949165 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(949247), // Rule ID 63357 //
     /*  949170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949197 */     // MIs[0] op1
     /*  949197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949224 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949245 */     GIR_RootConstrainSelectedInstOperands,
     /*  949246 */     // GIR_Coverage, 63357,
     /*  949246 */     GIR_EraseRootFromParent_Done,
     /*  949247 */   // Label 14293: @949247
     /*  949247 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(949329), // Rule ID 63358 //
     /*  949252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  949266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949279 */     // MIs[0] op1
     /*  949279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949282 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  949309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949311 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949313 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949315 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949317 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949327 */     GIR_RootConstrainSelectedInstOperands,
     /*  949328 */     // GIR_Coverage, 63358,
     /*  949328 */     GIR_EraseRootFromParent_Done,
     /*  949329 */   // Label 14294: @949329
     /*  949329 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(949411), // Rule ID 63389 //
     /*  949334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949361 */     // MIs[0] op1
     /*  949361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949399 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949409 */     GIR_RootConstrainSelectedInstOperands,
     /*  949410 */     // GIR_Coverage, 63389,
     /*  949410 */     GIR_EraseRootFromParent_Done,
     /*  949411 */   // Label 14295: @949411
     /*  949411 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(949493), // Rule ID 63390 //
     /*  949416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949443 */     // MIs[0] op1
     /*  949443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949481 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949491 */     GIR_RootConstrainSelectedInstOperands,
     /*  949492 */     // GIR_Coverage, 63390,
     /*  949492 */     GIR_EraseRootFromParent_Done,
     /*  949493 */   // Label 14296: @949493
     /*  949493 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949575), // Rule ID 63401 //
     /*  949498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949525 */     // MIs[0] op1
     /*  949525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949563 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949573 */     GIR_RootConstrainSelectedInstOperands,
     /*  949574 */     // GIR_Coverage, 63401,
     /*  949574 */     GIR_EraseRootFromParent_Done,
     /*  949575 */   // Label 14297: @949575
     /*  949575 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949657), // Rule ID 63402 //
     /*  949580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  949600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949607 */     // MIs[0] op1
     /*  949607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949610 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949645 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949655 */     GIR_RootConstrainSelectedInstOperands,
     /*  949656 */     // GIR_Coverage, 63402,
     /*  949656 */     GIR_EraseRootFromParent_Done,
     /*  949657 */   // Label 14298: @949657
     /*  949657 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949739), // Rule ID 63413 //
     /*  949662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949689 */     // MIs[0] op1
     /*  949689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  949719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949727 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949737 */     GIR_RootConstrainSelectedInstOperands,
     /*  949738 */     // GIR_Coverage, 63413,
     /*  949738 */     GIR_EraseRootFromParent_Done,
     /*  949739 */   // Label 14299: @949739
     /*  949739 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949821), // Rule ID 63414 //
     /*  949744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  949761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949771 */     // MIs[0] op1
     /*  949771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  949801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949809 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949819 */     GIR_RootConstrainSelectedInstOperands,
     /*  949820 */     // GIR_Coverage, 63414,
     /*  949820 */     GIR_EraseRootFromParent_Done,
     /*  949821 */   // Label 14300: @949821
     /*  949821 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(949903), // Rule ID 63445 //
     /*  949826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  949843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949853 */     // MIs[0] op1
     /*  949853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  949883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949891 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949901 */     GIR_RootConstrainSelectedInstOperands,
     /*  949902 */     // GIR_Coverage, 63445,
     /*  949902 */     GIR_EraseRootFromParent_Done,
     /*  949903 */   // Label 14301: @949903
     /*  949903 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(949985), // Rule ID 63446 //
     /*  949908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  949925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949935 */     // MIs[0] op1
     /*  949935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  949965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949973 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949983 */     GIR_RootConstrainSelectedInstOperands,
     /*  949984 */     // GIR_Coverage, 63446,
     /*  949984 */     GIR_EraseRootFromParent_Done,
     /*  949985 */   // Label 14302: @949985
     /*  949985 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950067), // Rule ID 63457 //
     /*  949990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950017 */     // MIs[0] op1
     /*  950017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950055 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950065 */     GIR_RootConstrainSelectedInstOperands,
     /*  950066 */     // GIR_Coverage, 63457,
     /*  950066 */     GIR_EraseRootFromParent_Done,
     /*  950067 */   // Label 14303: @950067
     /*  950067 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950149), // Rule ID 63458 //
     /*  950072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  950092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950099 */     // MIs[0] op1
     /*  950099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950137 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950147 */     GIR_RootConstrainSelectedInstOperands,
     /*  950148 */     // GIR_Coverage, 63458,
     /*  950148 */     GIR_EraseRootFromParent_Done,
     /*  950149 */   // Label 14304: @950149
     /*  950149 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(950231), // Rule ID 63469 //
     /*  950154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950181 */     // MIs[0] op1
     /*  950181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950219 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950229 */     GIR_RootConstrainSelectedInstOperands,
     /*  950230 */     // GIR_Coverage, 63469,
     /*  950230 */     GIR_EraseRootFromParent_Done,
     /*  950231 */   // Label 14305: @950231
     /*  950231 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(950313), // Rule ID 63470 //
     /*  950236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950263 */     // MIs[0] op1
     /*  950263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  950293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950301 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950311 */     GIR_RootConstrainSelectedInstOperands,
     /*  950312 */     // GIR_Coverage, 63470,
     /*  950312 */     GIR_EraseRootFromParent_Done,
     /*  950313 */   // Label 14306: @950313
     /*  950313 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(950395), // Rule ID 63501 //
     /*  950318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950345 */     // MIs[0] op1
     /*  950345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950383 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950393 */     GIR_RootConstrainSelectedInstOperands,
     /*  950394 */     // GIR_Coverage, 63501,
     /*  950394 */     GIR_EraseRootFromParent_Done,
     /*  950395 */   // Label 14307: @950395
     /*  950395 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(950477), // Rule ID 63502 //
     /*  950400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950427 */     // MIs[0] op1
     /*  950427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950465 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950475 */     GIR_RootConstrainSelectedInstOperands,
     /*  950476 */     // GIR_Coverage, 63502,
     /*  950476 */     GIR_EraseRootFromParent_Done,
     /*  950477 */   // Label 14308: @950477
     /*  950477 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(950559), // Rule ID 63513 //
     /*  950482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950509 */     // MIs[0] op1
     /*  950509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950547 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950557 */     GIR_RootConstrainSelectedInstOperands,
     /*  950558 */     // GIR_Coverage, 63513,
     /*  950558 */     GIR_EraseRootFromParent_Done,
     /*  950559 */   // Label 14309: @950559
     /*  950559 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950641), // Rule ID 63514 //
     /*  950564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  950584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950591 */     // MIs[0] op1
     /*  950591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950629 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950639 */     GIR_RootConstrainSelectedInstOperands,
     /*  950640 */     // GIR_Coverage, 63514,
     /*  950640 */     GIR_EraseRootFromParent_Done,
     /*  950641 */   // Label 14310: @950641
     /*  950641 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950723), // Rule ID 63525 //
     /*  950646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950673 */     // MIs[0] op1
     /*  950673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  950703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950711 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950721 */     GIR_RootConstrainSelectedInstOperands,
     /*  950722 */     // GIR_Coverage, 63525,
     /*  950722 */     GIR_EraseRootFromParent_Done,
     /*  950723 */   // Label 14311: @950723
     /*  950723 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950805), // Rule ID 63526 //
     /*  950728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950755 */     // MIs[0] op1
     /*  950755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  950785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950793 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950803 */     GIR_RootConstrainSelectedInstOperands,
     /*  950804 */     // GIR_Coverage, 63526,
     /*  950804 */     GIR_EraseRootFromParent_Done,
     /*  950805 */   // Label 14312: @950805
     /*  950805 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950887), // Rule ID 63557 //
     /*  950810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950837 */     // MIs[0] op1
     /*  950837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  950867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950885 */     GIR_RootConstrainSelectedInstOperands,
     /*  950886 */     // GIR_Coverage, 63557,
     /*  950886 */     GIR_EraseRootFromParent_Done,
     /*  950887 */   // Label 14313: @950887
     /*  950887 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(950969), // Rule ID 63558 //
     /*  950892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950919 */     // MIs[0] op1
     /*  950919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  950949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950957 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950967 */     GIR_RootConstrainSelectedInstOperands,
     /*  950968 */     // GIR_Coverage, 63558,
     /*  950968 */     GIR_EraseRootFromParent_Done,
     /*  950969 */   // Label 14314: @950969
     /*  950969 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951051), // Rule ID 63569 //
     /*  950974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  950994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951001 */     // MIs[0] op1
     /*  951001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951049 */     GIR_RootConstrainSelectedInstOperands,
     /*  951050 */     // GIR_Coverage, 63569,
     /*  951050 */     GIR_EraseRootFromParent_Done,
     /*  951051 */   // Label 14315: @951051
     /*  951051 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951133), // Rule ID 63570 //
     /*  951056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  951076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951083 */     // MIs[0] op1
     /*  951083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951121 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951131 */     GIR_RootConstrainSelectedInstOperands,
     /*  951132 */     // GIR_Coverage, 63570,
     /*  951132 */     GIR_EraseRootFromParent_Done,
     /*  951133 */   // Label 14316: @951133
     /*  951133 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951215), // Rule ID 63581 //
     /*  951138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951165 */     // MIs[0] op1
     /*  951165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951213 */     GIR_RootConstrainSelectedInstOperands,
     /*  951214 */     // GIR_Coverage, 63581,
     /*  951214 */     GIR_EraseRootFromParent_Done,
     /*  951215 */   // Label 14317: @951215
     /*  951215 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(951297), // Rule ID 63582 //
     /*  951220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  951237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951247 */     // MIs[0] op1
     /*  951247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  951277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951285 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951295 */     GIR_RootConstrainSelectedInstOperands,
     /*  951296 */     // GIR_Coverage, 63582,
     /*  951296 */     GIR_EraseRootFromParent_Done,
     /*  951297 */   // Label 14318: @951297
     /*  951297 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(951379), // Rule ID 63613 //
     /*  951302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951329 */     // MIs[0] op1
     /*  951329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951377 */     GIR_RootConstrainSelectedInstOperands,
     /*  951378 */     // GIR_Coverage, 63613,
     /*  951378 */     GIR_EraseRootFromParent_Done,
     /*  951379 */   // Label 14319: @951379
     /*  951379 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(951461), // Rule ID 63614 //
     /*  951384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951411 */     // MIs[0] op1
     /*  951411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951443 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951445 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951447 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951449 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951459 */     GIR_RootConstrainSelectedInstOperands,
     /*  951460 */     // GIR_Coverage, 63614,
     /*  951460 */     GIR_EraseRootFromParent_Done,
     /*  951461 */   // Label 14320: @951461
     /*  951461 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(951543), // Rule ID 63625 //
     /*  951466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951493 */     // MIs[0] op1
     /*  951493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951541 */     GIR_RootConstrainSelectedInstOperands,
     /*  951542 */     // GIR_Coverage, 63625,
     /*  951542 */     GIR_EraseRootFromParent_Done,
     /*  951543 */   // Label 14321: @951543
     /*  951543 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951625), // Rule ID 63626 //
     /*  951548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  951568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951575 */     // MIs[0] op1
     /*  951575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  951605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951607 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951609 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951611 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951613 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951623 */     GIR_RootConstrainSelectedInstOperands,
     /*  951624 */     // GIR_Coverage, 63626,
     /*  951624 */     GIR_EraseRootFromParent_Done,
     /*  951625 */   // Label 14322: @951625
     /*  951625 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951707), // Rule ID 63637 //
     /*  951630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951657 */     // MIs[0] op1
     /*  951657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  951687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951695 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951705 */     GIR_RootConstrainSelectedInstOperands,
     /*  951706 */     // GIR_Coverage, 63637,
     /*  951706 */     GIR_EraseRootFromParent_Done,
     /*  951707 */   // Label 14323: @951707
     /*  951707 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951789), // Rule ID 63638 //
     /*  951712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  951729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951739 */     // MIs[0] op1
     /*  951739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  951769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951777 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951787 */     GIR_RootConstrainSelectedInstOperands,
     /*  951788 */     // GIR_Coverage, 63638,
     /*  951788 */     GIR_EraseRootFromParent_Done,
     /*  951789 */   // Label 14324: @951789
     /*  951789 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951871), // Rule ID 63669 //
     /*  951794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951821 */     // MIs[0] op1
     /*  951821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  951851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951869 */     GIR_RootConstrainSelectedInstOperands,
     /*  951870 */     // GIR_Coverage, 63669,
     /*  951870 */     GIR_EraseRootFromParent_Done,
     /*  951871 */   // Label 14325: @951871
     /*  951871 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(951953), // Rule ID 63670 //
     /*  951876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951903 */     // MIs[0] op1
     /*  951903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  951933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951935 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951937 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951939 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951941 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951951 */     GIR_RootConstrainSelectedInstOperands,
     /*  951952 */     // GIR_Coverage, 63670,
     /*  951952 */     GIR_EraseRootFromParent_Done,
     /*  951953 */   // Label 14326: @951953
     /*  951953 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952035), // Rule ID 63681 //
     /*  951958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  951978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951985 */     // MIs[0] op1
     /*  951985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952023 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952033 */     GIR_RootConstrainSelectedInstOperands,
     /*  952034 */     // GIR_Coverage, 63681,
     /*  952034 */     GIR_EraseRootFromParent_Done,
     /*  952035 */   // Label 14327: @952035
     /*  952035 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952117), // Rule ID 63682 //
     /*  952040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  952060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952067 */     // MIs[0] op1
     /*  952067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952099 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952101 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952103 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952105 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952115 */     GIR_RootConstrainSelectedInstOperands,
     /*  952116 */     // GIR_Coverage, 63682,
     /*  952116 */     GIR_EraseRootFromParent_Done,
     /*  952117 */   // Label 14328: @952117
     /*  952117 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952199), // Rule ID 63693 //
     /*  952122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952149 */     // MIs[0] op1
     /*  952149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952197 */     GIR_RootConstrainSelectedInstOperands,
     /*  952198 */     // GIR_Coverage, 63693,
     /*  952198 */     GIR_EraseRootFromParent_Done,
     /*  952199 */   // Label 14329: @952199
     /*  952199 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(952281), // Rule ID 63694 //
     /*  952204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  952221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952231 */     // MIs[0] op1
     /*  952231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  952261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952269 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952279 */     GIR_RootConstrainSelectedInstOperands,
     /*  952280 */     // GIR_Coverage, 63694,
     /*  952280 */     GIR_EraseRootFromParent_Done,
     /*  952281 */   // Label 14330: @952281
     /*  952281 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(952363), // Rule ID 63699 //
     /*  952286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952313 */     // MIs[0] op1
     /*  952313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952351 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952361 */     GIR_RootConstrainSelectedInstOperands,
     /*  952362 */     // GIR_Coverage, 63699,
     /*  952362 */     GIR_EraseRootFromParent_Done,
     /*  952363 */   // Label 14331: @952363
     /*  952363 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(952445), // Rule ID 63700 //
     /*  952368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952395 */     // MIs[0] op1
     /*  952395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  952425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952433 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952443 */     GIR_RootConstrainSelectedInstOperands,
     /*  952444 */     // GIR_Coverage, 63700,
     /*  952444 */     GIR_EraseRootFromParent_Done,
     /*  952445 */   // Label 14332: @952445
     /*  952445 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(952527), // Rule ID 63711 //
     /*  952450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952477 */     // MIs[0] op1
     /*  952477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952515 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952525 */     GIR_RootConstrainSelectedInstOperands,
     /*  952526 */     // GIR_Coverage, 63711,
     /*  952526 */     GIR_EraseRootFromParent_Done,
     /*  952527 */   // Label 14333: @952527
     /*  952527 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952609), // Rule ID 63712 //
     /*  952532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  952543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  952549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  952552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952559 */     // MIs[0] op1
     /*  952559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  952589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952597 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952607 */     GIR_RootConstrainSelectedInstOperands,
     /*  952608 */     // GIR_Coverage, 63712,
     /*  952608 */     GIR_EraseRootFromParent_Done,
     /*  952609 */   // Label 14334: @952609
     /*  952609 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952691), // Rule ID 63717 //
     /*  952614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952641 */     // MIs[0] op1
     /*  952641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  952671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952679 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952689 */     GIR_RootConstrainSelectedInstOperands,
     /*  952690 */     // GIR_Coverage, 63717,
     /*  952690 */     GIR_EraseRootFromParent_Done,
     /*  952691 */   // Label 14335: @952691
     /*  952691 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952773), // Rule ID 63718 //
     /*  952696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952723 */     // MIs[0] op1
     /*  952723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  952753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952761 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952771 */     GIR_RootConstrainSelectedInstOperands,
     /*  952772 */     // GIR_Coverage, 63718,
     /*  952772 */     GIR_EraseRootFromParent_Done,
     /*  952773 */   // Label 14336: @952773
     /*  952773 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952855), // Rule ID 63729 //
     /*  952778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  952798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952805 */     // MIs[0] op1
     /*  952805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  952835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952837 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952839 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952841 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952843 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952853 */     GIR_RootConstrainSelectedInstOperands,
     /*  952854 */     // GIR_Coverage, 63729,
     /*  952854 */     GIR_EraseRootFromParent_Done,
     /*  952855 */   // Label 14337: @952855
     /*  952855 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(952937), // Rule ID 63730 //
     /*  952860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  952877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  952880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952887 */     // MIs[0] op1
     /*  952887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  952917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952925 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952935 */     GIR_RootConstrainSelectedInstOperands,
     /*  952936 */     // GIR_Coverage, 63730,
     /*  952936 */     GIR_EraseRootFromParent_Done,
     /*  952937 */   // Label 14338: @952937
     /*  952937 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953019), // Rule ID 63735 //
     /*  952942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  952953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  952956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  952959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952969 */     // MIs[0] op1
     /*  952969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  952999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953007 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953017 */     GIR_RootConstrainSelectedInstOperands,
     /*  953018 */     // GIR_Coverage, 63735,
     /*  953018 */     GIR_EraseRootFromParent_Done,
     /*  953019 */   // Label 14339: @953019
     /*  953019 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953101), // Rule ID 63736 //
     /*  953024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953051 */     // MIs[0] op1
     /*  953051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953099 */     GIR_RootConstrainSelectedInstOperands,
     /*  953100 */     // GIR_Coverage, 63736,
     /*  953100 */     GIR_EraseRootFromParent_Done,
     /*  953101 */   // Label 14340: @953101
     /*  953101 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953183), // Rule ID 63747 //
     /*  953106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953133 */     // MIs[0] op1
     /*  953133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953165 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953167 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953169 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953171 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953181 */     GIR_RootConstrainSelectedInstOperands,
     /*  953182 */     // GIR_Coverage, 63747,
     /*  953182 */     GIR_EraseRootFromParent_Done,
     /*  953183 */   // Label 14341: @953183
     /*  953183 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(953265), // Rule ID 63748 //
     /*  953188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  953208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953215 */     // MIs[0] op1
     /*  953215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953253 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953263 */     GIR_RootConstrainSelectedInstOperands,
     /*  953264 */     // GIR_Coverage, 63748,
     /*  953264 */     GIR_EraseRootFromParent_Done,
     /*  953265 */   // Label 14342: @953265
     /*  953265 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(953347), // Rule ID 63753 //
     /*  953270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953297 */     // MIs[0] op1
     /*  953297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953329 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953331 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953333 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953335 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953345 */     GIR_RootConstrainSelectedInstOperands,
     /*  953346 */     // GIR_Coverage, 63753,
     /*  953346 */     GIR_EraseRootFromParent_Done,
     /*  953347 */   // Label 14343: @953347
     /*  953347 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(953429), // Rule ID 63754 //
     /*  953352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953379 */     // MIs[0] op1
     /*  953379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  953409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953427 */     GIR_RootConstrainSelectedInstOperands,
     /*  953428 */     // GIR_Coverage, 63754,
     /*  953428 */     GIR_EraseRootFromParent_Done,
     /*  953429 */   // Label 14344: @953429
     /*  953429 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(953511), // Rule ID 63765 //
     /*  953434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953461 */     // MIs[0] op1
     /*  953461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953493 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953495 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953497 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953499 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953509 */     GIR_RootConstrainSelectedInstOperands,
     /*  953510 */     // GIR_Coverage, 63765,
     /*  953510 */     GIR_EraseRootFromParent_Done,
     /*  953511 */   // Label 14345: @953511
     /*  953511 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953593), // Rule ID 63766 //
     /*  953516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  953536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953543 */     // MIs[0] op1
     /*  953543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  953573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953581 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953591 */     GIR_RootConstrainSelectedInstOperands,
     /*  953592 */     // GIR_Coverage, 63766,
     /*  953592 */     GIR_EraseRootFromParent_Done,
     /*  953593 */   // Label 14346: @953593
     /*  953593 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953675), // Rule ID 63771 //
     /*  953598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953625 */     // MIs[0] op1
     /*  953625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  953655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953657 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953659 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953661 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953663 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953673 */     GIR_RootConstrainSelectedInstOperands,
     /*  953674 */     // GIR_Coverage, 63771,
     /*  953674 */     GIR_EraseRootFromParent_Done,
     /*  953675 */   // Label 14347: @953675
     /*  953675 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953757), // Rule ID 63772 //
     /*  953680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953707 */     // MIs[0] op1
     /*  953707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  953737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953755 */     GIR_RootConstrainSelectedInstOperands,
     /*  953756 */     // GIR_Coverage, 63772,
     /*  953756 */     GIR_EraseRootFromParent_Done,
     /*  953757 */   // Label 14348: @953757
     /*  953757 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953839), // Rule ID 63783 //
     /*  953762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  953782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953789 */     // MIs[0] op1
     /*  953789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  953819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953827 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953837 */     GIR_RootConstrainSelectedInstOperands,
     /*  953838 */     // GIR_Coverage, 63783,
     /*  953838 */     GIR_EraseRootFromParent_Done,
     /*  953839 */   // Label 14349: @953839
     /*  953839 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(953921), // Rule ID 63784 //
     /*  953844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  953864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953871 */     // MIs[0] op1
     /*  953871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953898 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  953901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953909 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953919 */     GIR_RootConstrainSelectedInstOperands,
     /*  953920 */     // GIR_Coverage, 63784,
     /*  953920 */     GIR_EraseRootFromParent_Done,
     /*  953921 */   // Label 14350: @953921
     /*  953921 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954003), // Rule ID 63789 //
     /*  953926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  953943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953953 */     // MIs[0] op1
     /*  953953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  953983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953991 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954001 */     GIR_RootConstrainSelectedInstOperands,
     /*  954002 */     // GIR_Coverage, 63789,
     /*  954002 */     GIR_EraseRootFromParent_Done,
     /*  954003 */   // Label 14351: @954003
     /*  954003 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954085), // Rule ID 63790 //
     /*  954008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954035 */     // MIs[0] op1
     /*  954035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  954065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954083 */     GIR_RootConstrainSelectedInstOperands,
     /*  954084 */     // GIR_Coverage, 63790,
     /*  954084 */     GIR_EraseRootFromParent_Done,
     /*  954085 */   // Label 14352: @954085
     /*  954085 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954167), // Rule ID 63801 //
     /*  954090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954117 */     // MIs[0] op1
     /*  954117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954155 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954165 */     GIR_RootConstrainSelectedInstOperands,
     /*  954166 */     // GIR_Coverage, 63801,
     /*  954166 */     GIR_EraseRootFromParent_Done,
     /*  954167 */   // Label 14353: @954167
     /*  954167 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(954249), // Rule ID 63802 //
     /*  954172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  954192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954199 */     // MIs[0] op1
     /*  954199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  954229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954231 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954233 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954235 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954237 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954247 */     GIR_RootConstrainSelectedInstOperands,
     /*  954248 */     // GIR_Coverage, 63802,
     /*  954248 */     GIR_EraseRootFromParent_Done,
     /*  954249 */   // Label 14354: @954249
     /*  954249 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(954331), // Rule ID 63807 //
     /*  954254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954281 */     // MIs[0] op1
     /*  954281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954319 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954329 */     GIR_RootConstrainSelectedInstOperands,
     /*  954330 */     // GIR_Coverage, 63807,
     /*  954330 */     GIR_EraseRootFromParent_Done,
     /*  954331 */   // Label 14355: @954331
     /*  954331 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(954413), // Rule ID 63808 //
     /*  954336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954363 */     // MIs[0] op1
     /*  954363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  954393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954411 */     GIR_RootConstrainSelectedInstOperands,
     /*  954412 */     // GIR_Coverage, 63808,
     /*  954412 */     GIR_EraseRootFromParent_Done,
     /*  954413 */   // Label 14356: @954413
     /*  954413 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(954495), // Rule ID 63819 //
     /*  954418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954445 */     // MIs[0] op1
     /*  954445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954483 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954493 */     GIR_RootConstrainSelectedInstOperands,
     /*  954494 */     // GIR_Coverage, 63819,
     /*  954494 */     GIR_EraseRootFromParent_Done,
     /*  954495 */   // Label 14357: @954495
     /*  954495 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954577), // Rule ID 63820 //
     /*  954500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  954520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954527 */     // MIs[0] op1
     /*  954527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  954557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954565 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954575 */     GIR_RootConstrainSelectedInstOperands,
     /*  954576 */     // GIR_Coverage, 63820,
     /*  954576 */     GIR_EraseRootFromParent_Done,
     /*  954577 */   // Label 14358: @954577
     /*  954577 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954659), // Rule ID 63825 //
     /*  954582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954609 */     // MIs[0] op1
     /*  954609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  954639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954647 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954657 */     GIR_RootConstrainSelectedInstOperands,
     /*  954658 */     // GIR_Coverage, 63825,
     /*  954658 */     GIR_EraseRootFromParent_Done,
     /*  954659 */   // Label 14359: @954659
     /*  954659 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954741), // Rule ID 63826 //
     /*  954664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  954678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954691 */     // MIs[0] op1
     /*  954691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  954721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954739 */     GIR_RootConstrainSelectedInstOperands,
     /*  954740 */     // GIR_Coverage, 63826,
     /*  954740 */     GIR_EraseRootFromParent_Done,
     /*  954741 */   // Label 14360: @954741
     /*  954741 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954823), // Rule ID 63831 //
     /*  954746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954773 */     // MIs[0] op1
     /*  954773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  954803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954811 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954821 */     GIR_RootConstrainSelectedInstOperands,
     /*  954822 */     // GIR_Coverage, 63831,
     /*  954822 */     GIR_EraseRootFromParent_Done,
     /*  954823 */   // Label 14361: @954823
     /*  954823 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(954905), // Rule ID 63832 //
     /*  954828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954855 */     // MIs[0] op1
     /*  954855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  954885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954893 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954903 */     GIR_RootConstrainSelectedInstOperands,
     /*  954904 */     // GIR_Coverage, 63832,
     /*  954904 */     GIR_EraseRootFromParent_Done,
     /*  954905 */   // Label 14362: @954905
     /*  954905 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(954987), // Rule ID 63843 //
     /*  954910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  954930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954937 */     // MIs[0] op1
     /*  954937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  954967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954975 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954985 */     GIR_RootConstrainSelectedInstOperands,
     /*  954986 */     // GIR_Coverage, 63843,
     /*  954986 */     GIR_EraseRootFromParent_Done,
     /*  954987 */   // Label 14363: @954987
     /*  954987 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955069), // Rule ID 63844 //
     /*  954992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  955012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955019 */     // MIs[0] op1
     /*  955019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955067 */     GIR_RootConstrainSelectedInstOperands,
     /*  955068 */     // GIR_Coverage, 63844,
     /*  955068 */     GIR_EraseRootFromParent_Done,
     /*  955069 */   // Label 14364: @955069
     /*  955069 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955151), // Rule ID 63849 //
     /*  955074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955101 */     // MIs[0] op1
     /*  955101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955139 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955149 */     GIR_RootConstrainSelectedInstOperands,
     /*  955150 */     // GIR_Coverage, 63849,
     /*  955150 */     GIR_EraseRootFromParent_Done,
     /*  955151 */   // Label 14365: @955151
     /*  955151 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(955233), // Rule ID 63850 //
     /*  955156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  955173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955183 */     // MIs[0] op1
     /*  955183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  955213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955221 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955231 */     GIR_RootConstrainSelectedInstOperands,
     /*  955232 */     // GIR_Coverage, 63850,
     /*  955232 */     GIR_EraseRootFromParent_Done,
     /*  955233 */   // Label 14366: @955233
     /*  955233 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(955315), // Rule ID 63855 //
     /*  955238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955265 */     // MIs[0] op1
     /*  955265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955303 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955313 */     GIR_RootConstrainSelectedInstOperands,
     /*  955314 */     // GIR_Coverage, 63855,
     /*  955314 */     GIR_EraseRootFromParent_Done,
     /*  955315 */   // Label 14367: @955315
     /*  955315 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(955397), // Rule ID 63856 //
     /*  955320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955347 */     // MIs[0] op1
     /*  955347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  955377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955385 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955395 */     GIR_RootConstrainSelectedInstOperands,
     /*  955396 */     // GIR_Coverage, 63856,
     /*  955396 */     GIR_EraseRootFromParent_Done,
     /*  955397 */   // Label 14368: @955397
     /*  955397 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(955479), // Rule ID 63867 //
     /*  955402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955429 */     // MIs[0] op1
     /*  955429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955461 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955463 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955465 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955467 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955477 */     GIR_RootConstrainSelectedInstOperands,
     /*  955478 */     // GIR_Coverage, 63867,
     /*  955478 */     GIR_EraseRootFromParent_Done,
     /*  955479 */   // Label 14369: @955479
     /*  955479 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(955561), // Rule ID 63868 //
     /*  955484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  955504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955511 */     // MIs[0] op1
     /*  955511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  955541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955559 */     GIR_RootConstrainSelectedInstOperands,
     /*  955560 */     // GIR_Coverage, 63868,
     /*  955560 */     GIR_EraseRootFromParent_Done,
     /*  955561 */   // Label 14370: @955561
     /*  955561 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955643), // Rule ID 63873 //
     /*  955566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955593 */     // MIs[0] op1
     /*  955593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  955623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955631 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955641 */     GIR_RootConstrainSelectedInstOperands,
     /*  955642 */     // GIR_Coverage, 63873,
     /*  955642 */     GIR_EraseRootFromParent_Done,
     /*  955643 */   // Label 14371: @955643
     /*  955643 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955725), // Rule ID 63874 //
     /*  955648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  955665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955675 */     // MIs[0] op1
     /*  955675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  955705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955713 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955723 */     GIR_RootConstrainSelectedInstOperands,
     /*  955724 */     // GIR_Coverage, 63874,
     /*  955724 */     GIR_EraseRootFromParent_Done,
     /*  955725 */   // Label 14372: @955725
     /*  955725 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955807), // Rule ID 63879 //
     /*  955730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955757 */     // MIs[0] op1
     /*  955757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  955787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955795 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955805 */     GIR_RootConstrainSelectedInstOperands,
     /*  955806 */     // GIR_Coverage, 63879,
     /*  955806 */     GIR_EraseRootFromParent_Done,
     /*  955807 */   // Label 14373: @955807
     /*  955807 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(955889), // Rule ID 63880 //
     /*  955812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955839 */     // MIs[0] op1
     /*  955839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  955869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955887 */     GIR_RootConstrainSelectedInstOperands,
     /*  955888 */     // GIR_Coverage, 63880,
     /*  955888 */     GIR_EraseRootFromParent_Done,
     /*  955889 */   // Label 14374: @955889
     /*  955889 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(955971), // Rule ID 63891 //
     /*  955894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  955914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955921 */     // MIs[0] op1
     /*  955921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  955951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955959 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955969 */     GIR_RootConstrainSelectedInstOperands,
     /*  955970 */     // GIR_Coverage, 63891,
     /*  955970 */     GIR_EraseRootFromParent_Done,
     /*  955971 */   // Label 14375: @955971
     /*  955971 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956053), // Rule ID 63892 //
     /*  955976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  955993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  955996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956003 */     // MIs[0] op1
     /*  956003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956051 */     GIR_RootConstrainSelectedInstOperands,
     /*  956052 */     // GIR_Coverage, 63892,
     /*  956052 */     GIR_EraseRootFromParent_Done,
     /*  956053 */   // Label 14376: @956053
     /*  956053 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956135), // Rule ID 63897 //
     /*  956058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956085 */     // MIs[0] op1
     /*  956085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956117 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956119 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956121 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956123 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956133 */     GIR_RootConstrainSelectedInstOperands,
     /*  956134 */     // GIR_Coverage, 63897,
     /*  956134 */     GIR_EraseRootFromParent_Done,
     /*  956135 */   // Label 14377: @956135
     /*  956135 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956217), // Rule ID 63898 //
     /*  956140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  956157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956167 */     // MIs[0] op1
     /*  956167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  956197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956215 */     GIR_RootConstrainSelectedInstOperands,
     /*  956216 */     // GIR_Coverage, 63898,
     /*  956216 */     GIR_EraseRootFromParent_Done,
     /*  956217 */   // Label 14378: @956217
     /*  956217 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(956299), // Rule ID 63903 //
     /*  956222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956249 */     // MIs[0] op1
     /*  956249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956287 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956297 */     GIR_RootConstrainSelectedInstOperands,
     /*  956298 */     // GIR_Coverage, 63903,
     /*  956298 */     GIR_EraseRootFromParent_Done,
     /*  956299 */   // Label 14379: @956299
     /*  956299 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(956381), // Rule ID 63904 //
     /*  956304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956331 */     // MIs[0] op1
     /*  956331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  956361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956379 */     GIR_RootConstrainSelectedInstOperands,
     /*  956380 */     // GIR_Coverage, 63904,
     /*  956380 */     GIR_EraseRootFromParent_Done,
     /*  956381 */   // Label 14380: @956381
     /*  956381 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(956463), // Rule ID 63915 //
     /*  956386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956413 */     // MIs[0] op1
     /*  956413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956440 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956451 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956461 */     GIR_RootConstrainSelectedInstOperands,
     /*  956462 */     // GIR_Coverage, 63915,
     /*  956462 */     GIR_EraseRootFromParent_Done,
     /*  956463 */   // Label 14381: @956463
     /*  956463 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(956545), // Rule ID 63916 //
     /*  956468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  956488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956495 */     // MIs[0] op1
     /*  956495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  956525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956543 */     GIR_RootConstrainSelectedInstOperands,
     /*  956544 */     // GIR_Coverage, 63916,
     /*  956544 */     GIR_EraseRootFromParent_Done,
     /*  956545 */   // Label 14382: @956545
     /*  956545 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(956627), // Rule ID 63921 //
     /*  956550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956577 */     // MIs[0] op1
     /*  956577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  956604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  956607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956615 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956625 */     GIR_RootConstrainSelectedInstOperands,
     /*  956626 */     // GIR_Coverage, 63921,
     /*  956626 */     GIR_EraseRootFromParent_Done,
     /*  956627 */   // Label 14383: @956627
     /*  956627 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956709), // Rule ID 63922 //
     /*  956632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  956649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  956652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956659 */     // MIs[0] op1
     /*  956659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  956679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  956686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  956689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956707 */     GIR_RootConstrainSelectedInstOperands,
     /*  956708 */     // GIR_Coverage, 63922,
     /*  956708 */     GIR_EraseRootFromParent_Done,
     /*  956709 */   // Label 14384: @956709
     /*  956709 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956791), // Rule ID 63927 //
     /*  956714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956741 */     // MIs[0] op1
     /*  956741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  956771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956779 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956789 */     GIR_RootConstrainSelectedInstOperands,
     /*  956790 */     // GIR_Coverage, 63927,
     /*  956790 */     GIR_EraseRootFromParent_Done,
     /*  956791 */   // Label 14385: @956791
     /*  956791 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956873), // Rule ID 63928 //
     /*  956796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956823 */     // MIs[0] op1
     /*  956823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  956853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956871 */     GIR_RootConstrainSelectedInstOperands,
     /*  956872 */     // GIR_Coverage, 63928,
     /*  956872 */     GIR_EraseRootFromParent_Done,
     /*  956873 */   // Label 14386: @956873
     /*  956873 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(956955), // Rule ID 63939 //
     /*  956878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  956898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956905 */     // MIs[0] op1
     /*  956905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  956935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956943 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956953 */     GIR_RootConstrainSelectedInstOperands,
     /*  956954 */     // GIR_Coverage, 63939,
     /*  956954 */     GIR_EraseRootFromParent_Done,
     /*  956955 */   // Label 14387: @956955
     /*  956955 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957037), // Rule ID 63940 //
     /*  956960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  956971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  956974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  956977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  956980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956987 */     // MIs[0] op1
     /*  956987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957035 */     GIR_RootConstrainSelectedInstOperands,
     /*  957036 */     // GIR_Coverage, 63940,
     /*  957036 */     GIR_EraseRootFromParent_Done,
     /*  957037 */   // Label 14388: @957037
     /*  957037 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957119), // Rule ID 63945 //
     /*  957042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957069 */     // MIs[0] op1
     /*  957069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957107 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957117 */     GIR_RootConstrainSelectedInstOperands,
     /*  957118 */     // GIR_Coverage, 63945,
     /*  957118 */     GIR_EraseRootFromParent_Done,
     /*  957119 */   // Label 14389: @957119
     /*  957119 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(957201), // Rule ID 63946 //
     /*  957124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957151 */     // MIs[0] op1
     /*  957151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  957181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957189 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957199 */     GIR_RootConstrainSelectedInstOperands,
     /*  957200 */     // GIR_Coverage, 63946,
     /*  957200 */     GIR_EraseRootFromParent_Done,
     /*  957201 */   // Label 14390: @957201
     /*  957201 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(957283), // Rule ID 63951 //
     /*  957206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957233 */     // MIs[0] op1
     /*  957233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957271 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957281 */     GIR_RootConstrainSelectedInstOperands,
     /*  957282 */     // GIR_Coverage, 63951,
     /*  957282 */     GIR_EraseRootFromParent_Done,
     /*  957283 */   // Label 14391: @957283
     /*  957283 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(957365), // Rule ID 63952 //
     /*  957288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957315 */     // MIs[0] op1
     /*  957315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957363 */     GIR_RootConstrainSelectedInstOperands,
     /*  957364 */     // GIR_Coverage, 63952,
     /*  957364 */     GIR_EraseRootFromParent_Done,
     /*  957365 */   // Label 14392: @957365
     /*  957365 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(957447), // Rule ID 63963 //
     /*  957370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957397 */     // MIs[0] op1
     /*  957397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957435 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957445 */     GIR_RootConstrainSelectedInstOperands,
     /*  957446 */     // GIR_Coverage, 63963,
     /*  957446 */     GIR_EraseRootFromParent_Done,
     /*  957447 */   // Label 14393: @957447
     /*  957447 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(957529), // Rule ID 63964 //
     /*  957452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  957472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957479 */     // MIs[0] op1
     /*  957479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  957509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957517 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957527 */     GIR_RootConstrainSelectedInstOperands,
     /*  957528 */     // GIR_Coverage, 63964,
     /*  957528 */     GIR_EraseRootFromParent_Done,
     /*  957529 */   // Label 14394: @957529
     /*  957529 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(957611), // Rule ID 63969 //
     /*  957534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957561 */     // MIs[0] op1
     /*  957561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  957591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957599 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957609 */     GIR_RootConstrainSelectedInstOperands,
     /*  957610 */     // GIR_Coverage, 63969,
     /*  957610 */     GIR_EraseRootFromParent_Done,
     /*  957611 */   // Label 14395: @957611
     /*  957611 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(957693), // Rule ID 63970 //
     /*  957616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  957630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957643 */     // MIs[0] op1
     /*  957643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  957673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957681 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957691 */     GIR_RootConstrainSelectedInstOperands,
     /*  957692 */     // GIR_Coverage, 63970,
     /*  957692 */     GIR_EraseRootFromParent_Done,
     /*  957693 */   // Label 14396: @957693
     /*  957693 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957775), // Rule ID 63975 //
     /*  957698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957725 */     // MIs[0] op1
     /*  957725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  957755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957763 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957773 */     GIR_RootConstrainSelectedInstOperands,
     /*  957774 */     // GIR_Coverage, 63975,
     /*  957774 */     GIR_EraseRootFromParent_Done,
     /*  957775 */   // Label 14397: @957775
     /*  957775 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957857), // Rule ID 63976 //
     /*  957780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957807 */     // MIs[0] op1
     /*  957807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  957837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957845 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957855 */     GIR_RootConstrainSelectedInstOperands,
     /*  957856 */     // GIR_Coverage, 63976,
     /*  957856 */     GIR_EraseRootFromParent_Done,
     /*  957857 */   // Label 14398: @957857
     /*  957857 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(957939), // Rule ID 63987 //
     /*  957862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  957882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957889 */     // MIs[0] op1
     /*  957889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  957919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957927 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957937 */     GIR_RootConstrainSelectedInstOperands,
     /*  957938 */     // GIR_Coverage, 63987,
     /*  957938 */     GIR_EraseRootFromParent_Done,
     /*  957939 */   // Label 14399: @957939
     /*  957939 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958021), // Rule ID 63988 //
     /*  957944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  957964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957971 */     // MIs[0] op1
     /*  957971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958009 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958019 */     GIR_RootConstrainSelectedInstOperands,
     /*  958020 */     // GIR_Coverage, 63988,
     /*  958020 */     GIR_EraseRootFromParent_Done,
     /*  958021 */   // Label 14400: @958021
     /*  958021 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(958103), // Rule ID 63993 //
     /*  958026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958053 */     // MIs[0] op1
     /*  958053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958085 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958087 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958089 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958091 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958101 */     GIR_RootConstrainSelectedInstOperands,
     /*  958102 */     // GIR_Coverage, 63993,
     /*  958102 */     GIR_EraseRootFromParent_Done,
     /*  958103 */   // Label 14401: @958103
     /*  958103 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(958185), // Rule ID 63994 //
     /*  958108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  958119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  958122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  958125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958135 */     // MIs[0] op1
     /*  958135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958162 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  958165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958173 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958183 */     GIR_RootConstrainSelectedInstOperands,
     /*  958184 */     // GIR_Coverage, 63994,
     /*  958184 */     GIR_EraseRootFromParent_Done,
     /*  958185 */   // Label 14402: @958185
     /*  958185 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(958267), // Rule ID 63999 //
     /*  958190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958217 */     // MIs[0] op1
     /*  958217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958265 */     GIR_RootConstrainSelectedInstOperands,
     /*  958266 */     // GIR_Coverage, 63999,
     /*  958266 */     GIR_EraseRootFromParent_Done,
     /*  958267 */   // Label 14403: @958267
     /*  958267 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(958349), // Rule ID 64000 //
     /*  958272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958299 */     // MIs[0] op1
     /*  958299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958337 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958347 */     GIR_RootConstrainSelectedInstOperands,
     /*  958348 */     // GIR_Coverage, 64000,
     /*  958348 */     GIR_EraseRootFromParent_Done,
     /*  958349 */   // Label 14404: @958349
     /*  958349 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(958431), // Rule ID 64011 //
     /*  958354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958381 */     // MIs[0] op1
     /*  958381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958419 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958429 */     GIR_RootConstrainSelectedInstOperands,
     /*  958430 */     // GIR_Coverage, 64011,
     /*  958430 */     GIR_EraseRootFromParent_Done,
     /*  958431 */   // Label 14405: @958431
     /*  958431 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(958513), // Rule ID 64012 //
     /*  958436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  958456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958463 */     // MIs[0] op1
     /*  958463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958501 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958511 */     GIR_RootConstrainSelectedInstOperands,
     /*  958512 */     // GIR_Coverage, 64012,
     /*  958512 */     GIR_EraseRootFromParent_Done,
     /*  958513 */   // Label 14406: @958513
     /*  958513 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(958595), // Rule ID 64017 //
     /*  958518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958545 */     // MIs[0] op1
     /*  958545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  958575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958593 */     GIR_RootConstrainSelectedInstOperands,
     /*  958594 */     // GIR_Coverage, 64017,
     /*  958594 */     GIR_EraseRootFromParent_Done,
     /*  958595 */   // Label 14407: @958595
     /*  958595 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(958677), // Rule ID 64018 //
     /*  958600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  958608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  958611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  958614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  958617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958627 */     // MIs[0] op1
     /*  958627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  958635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  958647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  958657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958665 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958675 */     GIR_RootConstrainSelectedInstOperands,
     /*  958676 */     // GIR_Coverage, 64018,
     /*  958676 */     GIR_EraseRootFromParent_Done,
     /*  958677 */   // Label 14408: @958677
     /*  958677 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958769), // Rule ID 5079 //
     /*  958682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  958693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  958696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  958699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958732 */     // MIs[1] Operand 1
     /*  958732 */     // No operand predicates
     /*  958732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  958748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958767 */     GIR_RootConstrainSelectedInstOperands,
     /*  958768 */     // GIR_Coverage, 5079,
     /*  958768 */     GIR_EraseRootFromParent_Done,
     /*  958769 */   // Label 14409: @958769
     /*  958769 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958861), // Rule ID 5080 //
     /*  958774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  958785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  958788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  958791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958824 */     // MIs[1] Operand 1
     /*  958824 */     // No operand predicates
     /*  958824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958837 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  958840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958859 */     GIR_RootConstrainSelectedInstOperands,
     /*  958860 */     // GIR_Coverage, 5080,
     /*  958860 */     GIR_EraseRootFromParent_Done,
     /*  958861 */   // Label 14410: @958861
     /*  958861 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(958953), // Rule ID 5081 //
     /*  958866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  958877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  958880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  958883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958916 */     // MIs[1] Operand 1
     /*  958916 */     // No operand predicates
     /*  958916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958929 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  958932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958951 */     GIR_RootConstrainSelectedInstOperands,
     /*  958952 */     // GIR_Coverage, 5081,
     /*  958952 */     GIR_EraseRootFromParent_Done,
     /*  958953 */   // Label 14411: @958953
     /*  958953 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(959045), // Rule ID 5082 //
     /*  958958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  958969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  958972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  958975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959008 */     // MIs[1] Operand 1
     /*  959008 */     // No operand predicates
     /*  959008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959043 */     GIR_RootConstrainSelectedInstOperands,
     /*  959044 */     // GIR_Coverage, 5082,
     /*  959044 */     GIR_EraseRootFromParent_Done,
     /*  959045 */   // Label 14412: @959045
     /*  959045 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(959137), // Rule ID 5083 //
     /*  959050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959100 */     // MIs[1] Operand 1
     /*  959100 */     // No operand predicates
     /*  959100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959135 */     GIR_RootConstrainSelectedInstOperands,
     /*  959136 */     // GIR_Coverage, 5083,
     /*  959136 */     GIR_EraseRootFromParent_Done,
     /*  959137 */   // Label 14413: @959137
     /*  959137 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(959229), // Rule ID 5084 //
     /*  959142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  959153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  959156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  959159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959192 */     // MIs[1] Operand 1
     /*  959192 */     // No operand predicates
     /*  959192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959205 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959227 */     GIR_RootConstrainSelectedInstOperands,
     /*  959228 */     // GIR_Coverage, 5084,
     /*  959228 */     GIR_EraseRootFromParent_Done,
     /*  959229 */   // Label 14414: @959229
     /*  959229 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(959321), // Rule ID 5085 //
     /*  959234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959284 */     // MIs[1] Operand 1
     /*  959284 */     // No operand predicates
     /*  959284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959319 */     GIR_RootConstrainSelectedInstOperands,
     /*  959320 */     // GIR_Coverage, 5085,
     /*  959320 */     GIR_EraseRootFromParent_Done,
     /*  959321 */   // Label 14415: @959321
     /*  959321 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(959413), // Rule ID 5086 //
     /*  959326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959376 */     // MIs[1] Operand 1
     /*  959376 */     // No operand predicates
     /*  959376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  959392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959411 */     GIR_RootConstrainSelectedInstOperands,
     /*  959412 */     // GIR_Coverage, 5086,
     /*  959412 */     GIR_EraseRootFromParent_Done,
     /*  959413 */   // Label 14416: @959413
     /*  959413 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(959505), // Rule ID 5087 //
     /*  959418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959468 */     // MIs[1] Operand 1
     /*  959468 */     // No operand predicates
     /*  959468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959503 */     GIR_RootConstrainSelectedInstOperands,
     /*  959504 */     // GIR_Coverage, 5087,
     /*  959504 */     GIR_EraseRootFromParent_Done,
     /*  959505 */   // Label 14417: @959505
     /*  959505 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(959597), // Rule ID 5088 //
     /*  959510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959560 */     // MIs[1] Operand 1
     /*  959560 */     // No operand predicates
     /*  959560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959573 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959595 */     GIR_RootConstrainSelectedInstOperands,
     /*  959596 */     // GIR_Coverage, 5088,
     /*  959596 */     GIR_EraseRootFromParent_Done,
     /*  959597 */   // Label 14418: @959597
     /*  959597 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(959689), // Rule ID 5089 //
     /*  959602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959652 */     // MIs[1] Operand 1
     /*  959652 */     // No operand predicates
     /*  959652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959687 */     GIR_RootConstrainSelectedInstOperands,
     /*  959688 */     // GIR_Coverage, 5089,
     /*  959688 */     GIR_EraseRootFromParent_Done,
     /*  959689 */   // Label 14419: @959689
     /*  959689 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(959781), // Rule ID 5090 //
     /*  959694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959744 */     // MIs[1] Operand 1
     /*  959744 */     // No operand predicates
     /*  959744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  959760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959779 */     GIR_RootConstrainSelectedInstOperands,
     /*  959780 */     // GIR_Coverage, 5090,
     /*  959780 */     GIR_EraseRootFromParent_Done,
     /*  959781 */   // Label 14420: @959781
     /*  959781 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959873), // Rule ID 5091 //
     /*  959786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  959797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  959800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  959803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959836 */     // MIs[1] Operand 1
     /*  959836 */     // No operand predicates
     /*  959836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959849 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959871 */     GIR_RootConstrainSelectedInstOperands,
     /*  959872 */     // GIR_Coverage, 5091,
     /*  959872 */     GIR_EraseRootFromParent_Done,
     /*  959873 */   // Label 14421: @959873
     /*  959873 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(959965), // Rule ID 5092 //
     /*  959878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  959889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  959892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  959895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959928 */     // MIs[1] Operand 1
     /*  959928 */     // No operand predicates
     /*  959928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959963 */     GIR_RootConstrainSelectedInstOperands,
     /*  959964 */     // GIR_Coverage, 5092,
     /*  959964 */     GIR_EraseRootFromParent_Done,
     /*  959965 */   // Label 14422: @959965
     /*  959965 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(960057), // Rule ID 5093 //
     /*  959970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  959981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  959984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  959987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960020 */     // MIs[1] Operand 1
     /*  960020 */     // No operand predicates
     /*  960020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960055 */     GIR_RootConstrainSelectedInstOperands,
     /*  960056 */     // GIR_Coverage, 5093,
     /*  960056 */     GIR_EraseRootFromParent_Done,
     /*  960057 */   // Label 14423: @960057
     /*  960057 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(960149), // Rule ID 5094 //
     /*  960062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  960079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960112 */     // MIs[1] Operand 1
     /*  960112 */     // No operand predicates
     /*  960112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960147 */     GIR_RootConstrainSelectedInstOperands,
     /*  960148 */     // GIR_Coverage, 5094,
     /*  960148 */     GIR_EraseRootFromParent_Done,
     /*  960149 */   // Label 14424: @960149
     /*  960149 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(960241), // Rule ID 5095 //
     /*  960154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960204 */     // MIs[1] Operand 1
     /*  960204 */     // No operand predicates
     /*  960204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960239 */     GIR_RootConstrainSelectedInstOperands,
     /*  960240 */     // GIR_Coverage, 5095,
     /*  960240 */     GIR_EraseRootFromParent_Done,
     /*  960241 */   // Label 14425: @960241
     /*  960241 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(960333), // Rule ID 5096 //
     /*  960246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960296 */     // MIs[1] Operand 1
     /*  960296 */     // No operand predicates
     /*  960296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960331 */     GIR_RootConstrainSelectedInstOperands,
     /*  960332 */     // GIR_Coverage, 5096,
     /*  960332 */     GIR_EraseRootFromParent_Done,
     /*  960333 */   // Label 14426: @960333
     /*  960333 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(960425), // Rule ID 5097 //
     /*  960338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960388 */     // MIs[1] Operand 1
     /*  960388 */     // No operand predicates
     /*  960388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  960401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960423 */     GIR_RootConstrainSelectedInstOperands,
     /*  960424 */     // GIR_Coverage, 5097,
     /*  960424 */     GIR_EraseRootFromParent_Done,
     /*  960425 */   // Label 14427: @960425
     /*  960425 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(960517), // Rule ID 5098 //
     /*  960430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  960453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960480 */     // MIs[1] Operand 1
     /*  960480 */     // No operand predicates
     /*  960480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  960493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  960496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960515 */     GIR_RootConstrainSelectedInstOperands,
     /*  960516 */     // GIR_Coverage, 5098,
     /*  960516 */     GIR_EraseRootFromParent_Done,
     /*  960517 */   // Label 14428: @960517
     /*  960517 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(960609), // Rule ID 5099 //
     /*  960522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960572 */     // MIs[1] Operand 1
     /*  960572 */     // No operand predicates
     /*  960572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960585 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960607 */     GIR_RootConstrainSelectedInstOperands,
     /*  960608 */     // GIR_Coverage, 5099,
     /*  960608 */     GIR_EraseRootFromParent_Done,
     /*  960609 */   // Label 14429: @960609
     /*  960609 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(960701), // Rule ID 5100 //
     /*  960614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  960625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  960628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960664 */     // MIs[1] Operand 1
     /*  960664 */     // No operand predicates
     /*  960664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960699 */     GIR_RootConstrainSelectedInstOperands,
     /*  960700 */     // GIR_Coverage, 5100,
     /*  960700 */     GIR_EraseRootFromParent_Done,
     /*  960701 */   // Label 14430: @960701
     /*  960701 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(960793), // Rule ID 5101 //
     /*  960706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  960717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  960720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  960723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960756 */     // MIs[1] Operand 1
     /*  960756 */     // No operand predicates
     /*  960756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960791 */     GIR_RootConstrainSelectedInstOperands,
     /*  960792 */     // GIR_Coverage, 5101,
     /*  960792 */     GIR_EraseRootFromParent_Done,
     /*  960793 */   // Label 14431: @960793
     /*  960793 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(960885), // Rule ID 5102 //
     /*  960798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  960809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  960812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  960815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960848 */     // MIs[1] Operand 1
     /*  960848 */     // No operand predicates
     /*  960848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  960861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960883 */     GIR_RootConstrainSelectedInstOperands,
     /*  960884 */     // GIR_Coverage, 5102,
     /*  960884 */     GIR_EraseRootFromParent_Done,
     /*  960885 */   // Label 14432: @960885
     /*  960885 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(960977), // Rule ID 5103 //
     /*  960890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  960901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  960904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  960907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  960913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960940 */     // MIs[1] Operand 1
     /*  960940 */     // No operand predicates
     /*  960940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960953 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  960953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  960956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960975 */     GIR_RootConstrainSelectedInstOperands,
     /*  960976 */     // GIR_Coverage, 5103,
     /*  960976 */     GIR_EraseRootFromParent_Done,
     /*  960977 */   // Label 14433: @960977
     /*  960977 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(961069), // Rule ID 5104 //
     /*  960982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  960993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  960996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  960999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  961005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961032 */     // MIs[1] Operand 1
     /*  961032 */     // No operand predicates
     /*  961032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  961045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961067 */     GIR_RootConstrainSelectedInstOperands,
     /*  961068 */     // GIR_Coverage, 5104,
     /*  961068 */     GIR_EraseRootFromParent_Done,
     /*  961069 */   // Label 14434: @961069
     /*  961069 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(961161), // Rule ID 5105 //
     /*  961074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961124 */     // MIs[1] Operand 1
     /*  961124 */     // No operand predicates
     /*  961124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961159 */     GIR_RootConstrainSelectedInstOperands,
     /*  961160 */     // GIR_Coverage, 5105,
     /*  961160 */     GIR_EraseRootFromParent_Done,
     /*  961161 */   // Label 14435: @961161
     /*  961161 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(961253), // Rule ID 5106 //
     /*  961166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  961177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  961180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961216 */     // MIs[1] Operand 1
     /*  961216 */     // No operand predicates
     /*  961216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961251 */     GIR_RootConstrainSelectedInstOperands,
     /*  961252 */     // GIR_Coverage, 5106,
     /*  961252 */     GIR_EraseRootFromParent_Done,
     /*  961253 */   // Label 14436: @961253
     /*  961253 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(961345), // Rule ID 5107 //
     /*  961258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961308 */     // MIs[1] Operand 1
     /*  961308 */     // No operand predicates
     /*  961308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961343 */     GIR_RootConstrainSelectedInstOperands,
     /*  961344 */     // GIR_Coverage, 5107,
     /*  961344 */     GIR_EraseRootFromParent_Done,
     /*  961345 */   // Label 14437: @961345
     /*  961345 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(961437), // Rule ID 5108 //
     /*  961350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  961361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  961364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  961373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961400 */     // MIs[1] Operand 1
     /*  961400 */     // No operand predicates
     /*  961400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961413 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961435 */     GIR_RootConstrainSelectedInstOperands,
     /*  961436 */     // GIR_Coverage, 5108,
     /*  961436 */     GIR_EraseRootFromParent_Done,
     /*  961437 */   // Label 14438: @961437
     /*  961437 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(961529), // Rule ID 5109 //
     /*  961442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961492 */     // MIs[1] Operand 1
     /*  961492 */     // No operand predicates
     /*  961492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961527 */     GIR_RootConstrainSelectedInstOperands,
     /*  961528 */     // GIR_Coverage, 5109,
     /*  961528 */     GIR_EraseRootFromParent_Done,
     /*  961529 */   // Label 14439: @961529
     /*  961529 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(961621), // Rule ID 5110 //
     /*  961534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  961551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  961557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961584 */     // MIs[1] Operand 1
     /*  961584 */     // No operand predicates
     /*  961584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961619 */     GIR_RootConstrainSelectedInstOperands,
     /*  961620 */     // GIR_Coverage, 5110,
     /*  961620 */     GIR_EraseRootFromParent_Done,
     /*  961621 */   // Label 14440: @961621
     /*  961621 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(961713), // Rule ID 5111 //
     /*  961626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  961643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961676 */     // MIs[1] Operand 1
     /*  961676 */     // No operand predicates
     /*  961676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961711 */     GIR_RootConstrainSelectedInstOperands,
     /*  961712 */     // GIR_Coverage, 5111,
     /*  961712 */     GIR_EraseRootFromParent_Done,
     /*  961713 */   // Label 14441: @961713
     /*  961713 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(961805), // Rule ID 5112 //
     /*  961718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  961735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961768 */     // MIs[1] Operand 1
     /*  961768 */     // No operand predicates
     /*  961768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961803 */     GIR_RootConstrainSelectedInstOperands,
     /*  961804 */     // GIR_Coverage, 5112,
     /*  961804 */     GIR_EraseRootFromParent_Done,
     /*  961805 */   // Label 14442: @961805
     /*  961805 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(961897), // Rule ID 5113 //
     /*  961810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961860 */     // MIs[1] Operand 1
     /*  961860 */     // No operand predicates
     /*  961860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961895 */     GIR_RootConstrainSelectedInstOperands,
     /*  961896 */     // GIR_Coverage, 5113,
     /*  961896 */     GIR_EraseRootFromParent_Done,
     /*  961897 */   // Label 14443: @961897
     /*  961897 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(961989), // Rule ID 5114 //
     /*  961902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961952 */     // MIs[1] Operand 1
     /*  961952 */     // No operand predicates
     /*  961952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961987 */     GIR_RootConstrainSelectedInstOperands,
     /*  961988 */     // GIR_Coverage, 5114,
     /*  961988 */     GIR_EraseRootFromParent_Done,
     /*  961989 */   // Label 14444: @961989
     /*  961989 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(962081), // Rule ID 5115 //
     /*  961994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962044 */     // MIs[1] Operand 1
     /*  962044 */     // No operand predicates
     /*  962044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962079 */     GIR_RootConstrainSelectedInstOperands,
     /*  962080 */     // GIR_Coverage, 5115,
     /*  962080 */     GIR_EraseRootFromParent_Done,
     /*  962081 */   // Label 14445: @962081
     /*  962081 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(962173), // Rule ID 5116 //
     /*  962086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  962103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962136 */     // MIs[1] Operand 1
     /*  962136 */     // No operand predicates
     /*  962136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962171 */     GIR_RootConstrainSelectedInstOperands,
     /*  962172 */     // GIR_Coverage, 5116,
     /*  962172 */     GIR_EraseRootFromParent_Done,
     /*  962173 */   // Label 14446: @962173
     /*  962173 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(962265), // Rule ID 5117 //
     /*  962178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962228 */     // MIs[1] Operand 1
     /*  962228 */     // No operand predicates
     /*  962228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962263 */     GIR_RootConstrainSelectedInstOperands,
     /*  962264 */     // GIR_Coverage, 5117,
     /*  962264 */     GIR_EraseRootFromParent_Done,
     /*  962265 */   // Label 14447: @962265
     /*  962265 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(962357), // Rule ID 5118 //
     /*  962270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962320 */     // MIs[1] Operand 1
     /*  962320 */     // No operand predicates
     /*  962320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  962336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962355 */     GIR_RootConstrainSelectedInstOperands,
     /*  962356 */     // GIR_Coverage, 5118,
     /*  962356 */     GIR_EraseRootFromParent_Done,
     /*  962357 */   // Label 14448: @962357
     /*  962357 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(962449), // Rule ID 5119 //
     /*  962362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962412 */     // MIs[1] Operand 1
     /*  962412 */     // No operand predicates
     /*  962412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962447 */     GIR_RootConstrainSelectedInstOperands,
     /*  962448 */     // GIR_Coverage, 5119,
     /*  962448 */     GIR_EraseRootFromParent_Done,
     /*  962449 */   // Label 14449: @962449
     /*  962449 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(962541), // Rule ID 5120 //
     /*  962454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962504 */     // MIs[1] Operand 1
     /*  962504 */     // No operand predicates
     /*  962504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  962520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962539 */     GIR_RootConstrainSelectedInstOperands,
     /*  962540 */     // GIR_Coverage, 5120,
     /*  962540 */     GIR_EraseRootFromParent_Done,
     /*  962541 */   // Label 14450: @962541
     /*  962541 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(962633), // Rule ID 5121 //
     /*  962546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962596 */     // MIs[1] Operand 1
     /*  962596 */     // No operand predicates
     /*  962596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  962609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962631 */     GIR_RootConstrainSelectedInstOperands,
     /*  962632 */     // GIR_Coverage, 5121,
     /*  962632 */     GIR_EraseRootFromParent_Done,
     /*  962633 */   // Label 14451: @962633
     /*  962633 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(962725), // Rule ID 5122 //
     /*  962638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  962646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962688 */     // MIs[1] Operand 1
     /*  962688 */     // No operand predicates
     /*  962688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  962701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  962704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962723 */     GIR_RootConstrainSelectedInstOperands,
     /*  962724 */     // GIR_Coverage, 5122,
     /*  962724 */     GIR_EraseRootFromParent_Done,
     /*  962725 */   // Label 14452: @962725
     /*  962725 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(962820), // Rule ID 7853 //
     /*  962730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  962747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962780 */     // MIs[1] Operand 1
     /*  962780 */     // No operand predicates
     /*  962780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  962796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962818 */     GIR_RootConstrainSelectedInstOperands,
     /*  962819 */     // GIR_Coverage, 7853,
     /*  962819 */     GIR_EraseRootFromParent_Done,
     /*  962820 */   // Label 14453: @962820
     /*  962820 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(962915), // Rule ID 7854 //
     /*  962825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  962842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962875 */     // MIs[1] Operand 1
     /*  962875 */     // No operand predicates
     /*  962875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  962888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  962891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962913 */     GIR_RootConstrainSelectedInstOperands,
     /*  962914 */     // GIR_Coverage, 7854,
     /*  962914 */     GIR_EraseRootFromParent_Done,
     /*  962915 */   // Label 14454: @962915
     /*  962915 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963010), // Rule ID 7857 //
     /*  962920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  962937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962970 */     // MIs[1] Operand 1
     /*  962970 */     // No operand predicates
     /*  962970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962983 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  962986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963008 */     GIR_RootConstrainSelectedInstOperands,
     /*  963009 */     // GIR_Coverage, 7857,
     /*  963009 */     GIR_EraseRootFromParent_Done,
     /*  963010 */   // Label 14455: @963010
     /*  963010 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(963105), // Rule ID 7858 //
     /*  963015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963065 */     // MIs[1] Operand 1
     /*  963065 */     // No operand predicates
     /*  963065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963103 */     GIR_RootConstrainSelectedInstOperands,
     /*  963104 */     // GIR_Coverage, 7858,
     /*  963104 */     GIR_EraseRootFromParent_Done,
     /*  963105 */   // Label 14456: @963105
     /*  963105 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(963200), // Rule ID 7861 //
     /*  963110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963160 */     // MIs[1] Operand 1
     /*  963160 */     // No operand predicates
     /*  963160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963198 */     GIR_RootConstrainSelectedInstOperands,
     /*  963199 */     // GIR_Coverage, 7861,
     /*  963199 */     GIR_EraseRootFromParent_Done,
     /*  963200 */   // Label 14457: @963200
     /*  963200 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(963295), // Rule ID 7862 //
     /*  963205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  963216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  963219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963255 */     // MIs[1] Operand 1
     /*  963255 */     // No operand predicates
     /*  963255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963293 */     GIR_RootConstrainSelectedInstOperands,
     /*  963294 */     // GIR_Coverage, 7862,
     /*  963294 */     GIR_EraseRootFromParent_Done,
     /*  963295 */   // Label 14458: @963295
     /*  963295 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(963390), // Rule ID 7865 //
     /*  963300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963350 */     // MIs[1] Operand 1
     /*  963350 */     // No operand predicates
     /*  963350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963363 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963388 */     GIR_RootConstrainSelectedInstOperands,
     /*  963389 */     // GIR_Coverage, 7865,
     /*  963389 */     GIR_EraseRootFromParent_Done,
     /*  963390 */   // Label 14459: @963390
     /*  963390 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(963485), // Rule ID 7866 //
     /*  963395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963445 */     // MIs[1] Operand 1
     /*  963445 */     // No operand predicates
     /*  963445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963458 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  963461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963483 */     GIR_RootConstrainSelectedInstOperands,
     /*  963484 */     // GIR_Coverage, 7866,
     /*  963484 */     GIR_EraseRootFromParent_Done,
     /*  963485 */   // Label 14460: @963485
     /*  963485 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(963580), // Rule ID 7869 //
     /*  963490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963540 */     // MIs[1] Operand 1
     /*  963540 */     // No operand predicates
     /*  963540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963578 */     GIR_RootConstrainSelectedInstOperands,
     /*  963579 */     // GIR_Coverage, 7869,
     /*  963579 */     GIR_EraseRootFromParent_Done,
     /*  963580 */   // Label 14461: @963580
     /*  963580 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(963675), // Rule ID 7870 //
     /*  963585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963635 */     // MIs[1] Operand 1
     /*  963635 */     // No operand predicates
     /*  963635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963673 */     GIR_RootConstrainSelectedInstOperands,
     /*  963674 */     // GIR_Coverage, 7870,
     /*  963674 */     GIR_EraseRootFromParent_Done,
     /*  963675 */   // Label 14462: @963675
     /*  963675 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(963770), // Rule ID 7873 //
     /*  963680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963730 */     // MIs[1] Operand 1
     /*  963730 */     // No operand predicates
     /*  963730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  963743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963768 */     GIR_RootConstrainSelectedInstOperands,
     /*  963769 */     // GIR_Coverage, 7873,
     /*  963769 */     GIR_EraseRootFromParent_Done,
     /*  963770 */   // Label 14463: @963770
     /*  963770 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(963865), // Rule ID 7874 //
     /*  963775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963825 */     // MIs[1] Operand 1
     /*  963825 */     // No operand predicates
     /*  963825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963838 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  963838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  963841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963863 */     GIR_RootConstrainSelectedInstOperands,
     /*  963864 */     // GIR_Coverage, 7874,
     /*  963864 */     GIR_EraseRootFromParent_Done,
     /*  963865 */   // Label 14464: @963865
     /*  963865 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(963960), // Rule ID 7877 //
     /*  963870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  963881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  963884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  963887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963920 */     // MIs[1] Operand 1
     /*  963920 */     // No operand predicates
     /*  963920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963958 */     GIR_RootConstrainSelectedInstOperands,
     /*  963959 */     // GIR_Coverage, 7877,
     /*  963959 */     GIR_EraseRootFromParent_Done,
     /*  963960 */   // Label 14465: @963960
     /*  963960 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964055), // Rule ID 7878 //
     /*  963965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  963976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  963979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  963982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964015 */     // MIs[1] Operand 1
     /*  964015 */     // No operand predicates
     /*  964015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964053 */     GIR_RootConstrainSelectedInstOperands,
     /*  964054 */     // GIR_Coverage, 7878,
     /*  964054 */     GIR_EraseRootFromParent_Done,
     /*  964055 */   // Label 14466: @964055
     /*  964055 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(964150), // Rule ID 7881 //
     /*  964060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964110 */     // MIs[1] Operand 1
     /*  964110 */     // No operand predicates
     /*  964110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964148 */     GIR_RootConstrainSelectedInstOperands,
     /*  964149 */     // GIR_Coverage, 7881,
     /*  964149 */     GIR_EraseRootFromParent_Done,
     /*  964150 */   // Label 14467: @964150
     /*  964150 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(964245), // Rule ID 7882 //
     /*  964155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964205 */     // MIs[1] Operand 1
     /*  964205 */     // No operand predicates
     /*  964205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964218 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964243 */     GIR_RootConstrainSelectedInstOperands,
     /*  964244 */     // GIR_Coverage, 7882,
     /*  964244 */     GIR_EraseRootFromParent_Done,
     /*  964245 */   // Label 14468: @964245
     /*  964245 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(964340), // Rule ID 7885 //
     /*  964250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964300 */     // MIs[1] Operand 1
     /*  964300 */     // No operand predicates
     /*  964300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964338 */     GIR_RootConstrainSelectedInstOperands,
     /*  964339 */     // GIR_Coverage, 7885,
     /*  964339 */     GIR_EraseRootFromParent_Done,
     /*  964340 */   // Label 14469: @964340
     /*  964340 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(964435), // Rule ID 7886 //
     /*  964345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964395 */     // MIs[1] Operand 1
     /*  964395 */     // No operand predicates
     /*  964395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964433 */     GIR_RootConstrainSelectedInstOperands,
     /*  964434 */     // GIR_Coverage, 7886,
     /*  964434 */     GIR_EraseRootFromParent_Done,
     /*  964435 */   // Label 14470: @964435
     /*  964435 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(964530), // Rule ID 7889 //
     /*  964440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964490 */     // MIs[1] Operand 1
     /*  964490 */     // No operand predicates
     /*  964490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964503 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964528 */     GIR_RootConstrainSelectedInstOperands,
     /*  964529 */     // GIR_Coverage, 7889,
     /*  964529 */     GIR_EraseRootFromParent_Done,
     /*  964530 */   // Label 14471: @964530
     /*  964530 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(964625), // Rule ID 7890 //
     /*  964535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  964546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  964549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964585 */     // MIs[1] Operand 1
     /*  964585 */     // No operand predicates
     /*  964585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  964598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  964601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964623 */     GIR_RootConstrainSelectedInstOperands,
     /*  964624 */     // GIR_Coverage, 7890,
     /*  964624 */     GIR_EraseRootFromParent_Done,
     /*  964625 */   // Label 14472: @964625
     /*  964625 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(964720), // Rule ID 7893 //
     /*  964630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  964647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964680 */     // MIs[1] Operand 1
     /*  964680 */     // No operand predicates
     /*  964680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964693 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964718 */     GIR_RootConstrainSelectedInstOperands,
     /*  964719 */     // GIR_Coverage, 7893,
     /*  964719 */     GIR_EraseRootFromParent_Done,
     /*  964720 */   // Label 14473: @964720
     /*  964720 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(964815), // Rule ID 7894 //
     /*  964725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  964742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964775 */     // MIs[1] Operand 1
     /*  964775 */     // No operand predicates
     /*  964775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964813 */     GIR_RootConstrainSelectedInstOperands,
     /*  964814 */     // GIR_Coverage, 7894,
     /*  964814 */     GIR_EraseRootFromParent_Done,
     /*  964815 */   // Label 14474: @964815
     /*  964815 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(964910), // Rule ID 7897 //
     /*  964820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  964837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964870 */     // MIs[1] Operand 1
     /*  964870 */     // No operand predicates
     /*  964870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964883 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  964883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964908 */     GIR_RootConstrainSelectedInstOperands,
     /*  964909 */     // GIR_Coverage, 7897,
     /*  964909 */     GIR_EraseRootFromParent_Done,
     /*  964910 */   // Label 14475: @964910
     /*  964910 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965005), // Rule ID 7898 //
     /*  964915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  964932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964965 */     // MIs[1] Operand 1
     /*  964965 */     // No operand predicates
     /*  964965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964978 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  964978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965003 */     GIR_RootConstrainSelectedInstOperands,
     /*  965004 */     // GIR_Coverage, 7898,
     /*  965004 */     GIR_EraseRootFromParent_Done,
     /*  965005 */   // Label 14476: @965005
     /*  965005 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(965100), // Rule ID 7901 //
     /*  965010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965060 */     // MIs[1] Operand 1
     /*  965060 */     // No operand predicates
     /*  965060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965073 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965098 */     GIR_RootConstrainSelectedInstOperands,
     /*  965099 */     // GIR_Coverage, 7901,
     /*  965099 */     GIR_EraseRootFromParent_Done,
     /*  965100 */   // Label 14477: @965100
     /*  965100 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(965195), // Rule ID 7902 //
     /*  965105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  965116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  965119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965155 */     // MIs[1] Operand 1
     /*  965155 */     // No operand predicates
     /*  965155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965168 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965193 */     GIR_RootConstrainSelectedInstOperands,
     /*  965194 */     // GIR_Coverage, 7902,
     /*  965194 */     GIR_EraseRootFromParent_Done,
     /*  965195 */   // Label 14478: @965195
     /*  965195 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(965290), // Rule ID 7905 //
     /*  965200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965250 */     // MIs[1] Operand 1
     /*  965250 */     // No operand predicates
     /*  965250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965263 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965288 */     GIR_RootConstrainSelectedInstOperands,
     /*  965289 */     // GIR_Coverage, 7905,
     /*  965289 */     GIR_EraseRootFromParent_Done,
     /*  965290 */   // Label 14479: @965290
     /*  965290 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(965385), // Rule ID 7906 //
     /*  965295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965345 */     // MIs[1] Operand 1
     /*  965345 */     // No operand predicates
     /*  965345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965358 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965383 */     GIR_RootConstrainSelectedInstOperands,
     /*  965384 */     // GIR_Coverage, 7906,
     /*  965384 */     GIR_EraseRootFromParent_Done,
     /*  965385 */   // Label 14480: @965385
     /*  965385 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(965480), // Rule ID 7909 //
     /*  965390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965440 */     // MIs[1] Operand 1
     /*  965440 */     // No operand predicates
     /*  965440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965478 */     GIR_RootConstrainSelectedInstOperands,
     /*  965479 */     // GIR_Coverage, 7909,
     /*  965479 */     GIR_EraseRootFromParent_Done,
     /*  965480 */   // Label 14481: @965480
     /*  965480 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(965575), // Rule ID 7910 //
     /*  965485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965535 */     // MIs[1] Operand 1
     /*  965535 */     // No operand predicates
     /*  965535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965573 */     GIR_RootConstrainSelectedInstOperands,
     /*  965574 */     // GIR_Coverage, 7910,
     /*  965574 */     GIR_EraseRootFromParent_Done,
     /*  965575 */   // Label 14482: @965575
     /*  965575 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(965670), // Rule ID 7913 //
     /*  965580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  965597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965630 */     // MIs[1] Operand 1
     /*  965630 */     // No operand predicates
     /*  965630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965643 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965668 */     GIR_RootConstrainSelectedInstOperands,
     /*  965669 */     // GIR_Coverage, 7913,
     /*  965669 */     GIR_EraseRootFromParent_Done,
     /*  965670 */   // Label 14483: @965670
     /*  965670 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(965765), // Rule ID 7914 //
     /*  965675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  965686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  965689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  965692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965725 */     // MIs[1] Operand 1
     /*  965725 */     // No operand predicates
     /*  965725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965738 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965763 */     GIR_RootConstrainSelectedInstOperands,
     /*  965764 */     // GIR_Coverage, 7914,
     /*  965764 */     GIR_EraseRootFromParent_Done,
     /*  965765 */   // Label 14484: @965765
     /*  965765 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(965860), // Rule ID 7917 //
     /*  965770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  965787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965820 */     // MIs[1] Operand 1
     /*  965820 */     // No operand predicates
     /*  965820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  965833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965858 */     GIR_RootConstrainSelectedInstOperands,
     /*  965859 */     // GIR_Coverage, 7917,
     /*  965859 */     GIR_EraseRootFromParent_Done,
     /*  965860 */   // Label 14485: @965860
     /*  965860 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(965955), // Rule ID 7918 //
     /*  965865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  965882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965915 */     // MIs[1] Operand 1
     /*  965915 */     // No operand predicates
     /*  965915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  965928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965953 */     GIR_RootConstrainSelectedInstOperands,
     /*  965954 */     // GIR_Coverage, 7918,
     /*  965954 */     GIR_EraseRootFromParent_Done,
     /*  965955 */   // Label 14486: @965955
     /*  965955 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966050), // Rule ID 7921 //
     /*  965960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  965977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966010 */     // MIs[1] Operand 1
     /*  966010 */     // No operand predicates
     /*  966010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966048 */     GIR_RootConstrainSelectedInstOperands,
     /*  966049 */     // GIR_Coverage, 7921,
     /*  966049 */     GIR_EraseRootFromParent_Done,
     /*  966050 */   // Label 14487: @966050
     /*  966050 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(966145), // Rule ID 7922 //
     /*  966055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966105 */     // MIs[1] Operand 1
     /*  966105 */     // No operand predicates
     /*  966105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966118 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966143 */     GIR_RootConstrainSelectedInstOperands,
     /*  966144 */     // GIR_Coverage, 7922,
     /*  966144 */     GIR_EraseRootFromParent_Done,
     /*  966145 */   // Label 14488: @966145
     /*  966145 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(966240), // Rule ID 7925 //
     /*  966150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966200 */     // MIs[1] Operand 1
     /*  966200 */     // No operand predicates
     /*  966200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966238 */     GIR_RootConstrainSelectedInstOperands,
     /*  966239 */     // GIR_Coverage, 7925,
     /*  966239 */     GIR_EraseRootFromParent_Done,
     /*  966240 */   // Label 14489: @966240
     /*  966240 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(966335), // Rule ID 7926 //
     /*  966245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  966256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  966259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966295 */     // MIs[1] Operand 1
     /*  966295 */     // No operand predicates
     /*  966295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966333 */     GIR_RootConstrainSelectedInstOperands,
     /*  966334 */     // GIR_Coverage, 7926,
     /*  966334 */     GIR_EraseRootFromParent_Done,
     /*  966335 */   // Label 14490: @966335
     /*  966335 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(966430), // Rule ID 7929 //
     /*  966340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966390 */     // MIs[1] Operand 1
     /*  966390 */     // No operand predicates
     /*  966390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966428 */     GIR_RootConstrainSelectedInstOperands,
     /*  966429 */     // GIR_Coverage, 7929,
     /*  966429 */     GIR_EraseRootFromParent_Done,
     /*  966430 */   // Label 14491: @966430
     /*  966430 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(966525), // Rule ID 7930 //
     /*  966435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966485 */     // MIs[1] Operand 1
     /*  966485 */     // No operand predicates
     /*  966485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  966501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966523 */     GIR_RootConstrainSelectedInstOperands,
     /*  966524 */     // GIR_Coverage, 7930,
     /*  966524 */     GIR_EraseRootFromParent_Done,
     /*  966525 */   // Label 14492: @966525
     /*  966525 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(966620), // Rule ID 7933 //
     /*  966530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966580 */     // MIs[1] Operand 1
     /*  966580 */     // No operand predicates
     /*  966580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966593 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966618 */     GIR_RootConstrainSelectedInstOperands,
     /*  966619 */     // GIR_Coverage, 7933,
     /*  966619 */     GIR_EraseRootFromParent_Done,
     /*  966620 */   // Label 14493: @966620
     /*  966620 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(966715), // Rule ID 7934 //
     /*  966625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966675 */     // MIs[1] Operand 1
     /*  966675 */     // No operand predicates
     /*  966675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  966691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966713 */     GIR_RootConstrainSelectedInstOperands,
     /*  966714 */     // GIR_Coverage, 7934,
     /*  966714 */     GIR_EraseRootFromParent_Done,
     /*  966715 */   // Label 14494: @966715
     /*  966715 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(966810), // Rule ID 7937 //
     /*  966720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  966737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966770 */     // MIs[1] Operand 1
     /*  966770 */     // No operand predicates
     /*  966770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966783 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966808 */     GIR_RootConstrainSelectedInstOperands,
     /*  966809 */     // GIR_Coverage, 7937,
     /*  966809 */     GIR_EraseRootFromParent_Done,
     /*  966810 */   // Label 14495: @966810
     /*  966810 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(966905), // Rule ID 7938 //
     /*  966815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  966823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  966832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966865 */     // MIs[1] Operand 1
     /*  966865 */     // No operand predicates
     /*  966865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  966878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  966881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966903 */     GIR_RootConstrainSelectedInstOperands,
     /*  966904 */     // GIR_Coverage, 7938,
     /*  966904 */     GIR_EraseRootFromParent_Done,
     /*  966905 */   // Label 14496: @966905
     /*  966905 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967000), // Rule ID 8117 //
     /*  966910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  966927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966960 */     // MIs[1] Operand 1
     /*  966960 */     // No operand predicates
     /*  966960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  966973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  966976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966998 */     GIR_RootConstrainSelectedInstOperands,
     /*  966999 */     // GIR_Coverage, 8117,
     /*  966999 */     GIR_EraseRootFromParent_Done,
     /*  967000 */   // Label 14497: @967000
     /*  967000 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(967095), // Rule ID 8118 //
     /*  967005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967055 */     // MIs[1] Operand 1
     /*  967055 */     // No operand predicates
     /*  967055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  967071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967093 */     GIR_RootConstrainSelectedInstOperands,
     /*  967094 */     // GIR_Coverage, 8118,
     /*  967094 */     GIR_EraseRootFromParent_Done,
     /*  967095 */   // Label 14498: @967095
     /*  967095 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(967190), // Rule ID 8121 //
     /*  967100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967150 */     // MIs[1] Operand 1
     /*  967150 */     // No operand predicates
     /*  967150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967163 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967188 */     GIR_RootConstrainSelectedInstOperands,
     /*  967189 */     // GIR_Coverage, 8121,
     /*  967189 */     GIR_EraseRootFromParent_Done,
     /*  967190 */   // Label 14499: @967190
     /*  967190 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(967285), // Rule ID 8122 //
     /*  967195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967245 */     // MIs[1] Operand 1
     /*  967245 */     // No operand predicates
     /*  967245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967283 */     GIR_RootConstrainSelectedInstOperands,
     /*  967284 */     // GIR_Coverage, 8122,
     /*  967284 */     GIR_EraseRootFromParent_Done,
     /*  967285 */   // Label 14500: @967285
     /*  967285 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(967380), // Rule ID 8125 //
     /*  967290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967340 */     // MIs[1] Operand 1
     /*  967340 */     // No operand predicates
     /*  967340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967378 */     GIR_RootConstrainSelectedInstOperands,
     /*  967379 */     // GIR_Coverage, 8125,
     /*  967379 */     GIR_EraseRootFromParent_Done,
     /*  967380 */   // Label 14501: @967380
     /*  967380 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(967475), // Rule ID 8126 //
     /*  967385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967435 */     // MIs[1] Operand 1
     /*  967435 */     // No operand predicates
     /*  967435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967473 */     GIR_RootConstrainSelectedInstOperands,
     /*  967474 */     // GIR_Coverage, 8126,
     /*  967474 */     GIR_EraseRootFromParent_Done,
     /*  967475 */   // Label 14502: @967475
     /*  967475 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(967570), // Rule ID 8129 //
     /*  967480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967530 */     // MIs[1] Operand 1
     /*  967530 */     // No operand predicates
     /*  967530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967568 */     GIR_RootConstrainSelectedInstOperands,
     /*  967569 */     // GIR_Coverage, 8129,
     /*  967569 */     GIR_EraseRootFromParent_Done,
     /*  967570 */   // Label 14503: @967570
     /*  967570 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(967665), // Rule ID 8130 //
     /*  967575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967625 */     // MIs[1] Operand 1
     /*  967625 */     // No operand predicates
     /*  967625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967638 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  967641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967663 */     GIR_RootConstrainSelectedInstOperands,
     /*  967664 */     // GIR_Coverage, 8130,
     /*  967664 */     GIR_EraseRootFromParent_Done,
     /*  967665 */   // Label 14504: @967665
     /*  967665 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(967760), // Rule ID 8133 //
     /*  967670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967720 */     // MIs[1] Operand 1
     /*  967720 */     // No operand predicates
     /*  967720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967758 */     GIR_RootConstrainSelectedInstOperands,
     /*  967759 */     // GIR_Coverage, 8133,
     /*  967759 */     GIR_EraseRootFromParent_Done,
     /*  967760 */   // Label 14505: @967760
     /*  967760 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(967855), // Rule ID 8134 //
     /*  967765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967815 */     // MIs[1] Operand 1
     /*  967815 */     // No operand predicates
     /*  967815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967853 */     GIR_RootConstrainSelectedInstOperands,
     /*  967854 */     // GIR_Coverage, 8134,
     /*  967854 */     GIR_EraseRootFromParent_Done,
     /*  967855 */   // Label 14506: @967855
     /*  967855 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(967950), // Rule ID 8137 //
     /*  967860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  967877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967910 */     // MIs[1] Operand 1
     /*  967910 */     // No operand predicates
     /*  967910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  967923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  967926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967948 */     GIR_RootConstrainSelectedInstOperands,
     /*  967949 */     // GIR_Coverage, 8137,
     /*  967949 */     GIR_EraseRootFromParent_Done,
     /*  967950 */   // Label 14507: @967950
     /*  967950 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968045), // Rule ID 8138 //
     /*  967955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  967972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968005 */     // MIs[1] Operand 1
     /*  968005 */     // No operand predicates
     /*  968005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  968021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968043 */     GIR_RootConstrainSelectedInstOperands,
     /*  968044 */     // GIR_Coverage, 8138,
     /*  968044 */     GIR_EraseRootFromParent_Done,
     /*  968045 */   // Label 14508: @968045
     /*  968045 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(968140), // Rule ID 8141 //
     /*  968050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968100 */     // MIs[1] Operand 1
     /*  968100 */     // No operand predicates
     /*  968100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968138 */     GIR_RootConstrainSelectedInstOperands,
     /*  968139 */     // GIR_Coverage, 8141,
     /*  968139 */     GIR_EraseRootFromParent_Done,
     /*  968140 */   // Label 14509: @968140
     /*  968140 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(968235), // Rule ID 8142 //
     /*  968145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968195 */     // MIs[1] Operand 1
     /*  968195 */     // No operand predicates
     /*  968195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968233 */     GIR_RootConstrainSelectedInstOperands,
     /*  968234 */     // GIR_Coverage, 8142,
     /*  968234 */     GIR_EraseRootFromParent_Done,
     /*  968235 */   // Label 14510: @968235
     /*  968235 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(968330), // Rule ID 8145 //
     /*  968240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968290 */     // MIs[1] Operand 1
     /*  968290 */     // No operand predicates
     /*  968290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968328 */     GIR_RootConstrainSelectedInstOperands,
     /*  968329 */     // GIR_Coverage, 8145,
     /*  968329 */     GIR_EraseRootFromParent_Done,
     /*  968330 */   // Label 14511: @968330
     /*  968330 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(968425), // Rule ID 8146 //
     /*  968335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968385 */     // MIs[1] Operand 1
     /*  968385 */     // No operand predicates
     /*  968385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968398 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968423 */     GIR_RootConstrainSelectedInstOperands,
     /*  968424 */     // GIR_Coverage, 8146,
     /*  968424 */     GIR_EraseRootFromParent_Done,
     /*  968425 */   // Label 14512: @968425
     /*  968425 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(968520), // Rule ID 8149 //
     /*  968430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968480 */     // MIs[1] Operand 1
     /*  968480 */     // No operand predicates
     /*  968480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968518 */     GIR_RootConstrainSelectedInstOperands,
     /*  968519 */     // GIR_Coverage, 8149,
     /*  968519 */     GIR_EraseRootFromParent_Done,
     /*  968520 */   // Label 14513: @968520
     /*  968520 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(968615), // Rule ID 8150 //
     /*  968525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968575 */     // MIs[1] Operand 1
     /*  968575 */     // No operand predicates
     /*  968575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968613 */     GIR_RootConstrainSelectedInstOperands,
     /*  968614 */     // GIR_Coverage, 8150,
     /*  968614 */     GIR_EraseRootFromParent_Done,
     /*  968615 */   // Label 14514: @968615
     /*  968615 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(968710), // Rule ID 8153 //
     /*  968620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  968623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  968637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968670 */     // MIs[1] Operand 1
     /*  968670 */     // No operand predicates
     /*  968670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  968683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968708 */     GIR_RootConstrainSelectedInstOperands,
     /*  968709 */     // GIR_Coverage, 8153,
     /*  968709 */     GIR_EraseRootFromParent_Done,
     /*  968710 */   // Label 14515: @968710
     /*  968710 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(968805), // Rule ID 8154 //
     /*  968715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  968718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  968732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968765 */     // MIs[1] Operand 1
     /*  968765 */     // No operand predicates
     /*  968765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  968778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  968781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968803 */     GIR_RootConstrainSelectedInstOperands,
     /*  968804 */     // GIR_Coverage, 8154,
     /*  968804 */     GIR_EraseRootFromParent_Done,
     /*  968805 */   // Label 14516: @968805
     /*  968805 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(968900), // Rule ID 8157 //
     /*  968810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  968827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968860 */     // MIs[1] Operand 1
     /*  968860 */     // No operand predicates
     /*  968860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968873 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968898 */     GIR_RootConstrainSelectedInstOperands,
     /*  968899 */     // GIR_Coverage, 8157,
     /*  968899 */     GIR_EraseRootFromParent_Done,
     /*  968900 */   // Label 14517: @968900
     /*  968900 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(968995), // Rule ID 8158 //
     /*  968905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  968922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968955 */     // MIs[1] Operand 1
     /*  968955 */     // No operand predicates
     /*  968955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968993 */     GIR_RootConstrainSelectedInstOperands,
     /*  968994 */     // GIR_Coverage, 8158,
     /*  968994 */     GIR_EraseRootFromParent_Done,
     /*  968995 */   // Label 14518: @968995
     /*  968995 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(969090), // Rule ID 8161 //
     /*  969000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969050 */     // MIs[1] Operand 1
     /*  969050 */     // No operand predicates
     /*  969050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969063 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969088 */     GIR_RootConstrainSelectedInstOperands,
     /*  969089 */     // GIR_Coverage, 8161,
     /*  969089 */     GIR_EraseRootFromParent_Done,
     /*  969090 */   // Label 14519: @969090
     /*  969090 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(969185), // Rule ID 8162 //
     /*  969095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969145 */     // MIs[1] Operand 1
     /*  969145 */     // No operand predicates
     /*  969145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969183 */     GIR_RootConstrainSelectedInstOperands,
     /*  969184 */     // GIR_Coverage, 8162,
     /*  969184 */     GIR_EraseRootFromParent_Done,
     /*  969185 */   // Label 14520: @969185
     /*  969185 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(969280), // Rule ID 8165 //
     /*  969190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969240 */     // MIs[1] Operand 1
     /*  969240 */     // No operand predicates
     /*  969240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969253 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969278 */     GIR_RootConstrainSelectedInstOperands,
     /*  969279 */     // GIR_Coverage, 8165,
     /*  969279 */     GIR_EraseRootFromParent_Done,
     /*  969280 */   // Label 14521: @969280
     /*  969280 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(969375), // Rule ID 8166 //
     /*  969285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969335 */     // MIs[1] Operand 1
     /*  969335 */     // No operand predicates
     /*  969335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969373 */     GIR_RootConstrainSelectedInstOperands,
     /*  969374 */     // GIR_Coverage, 8166,
     /*  969374 */     GIR_EraseRootFromParent_Done,
     /*  969375 */   // Label 14522: @969375
     /*  969375 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(969470), // Rule ID 8169 //
     /*  969380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969430 */     // MIs[1] Operand 1
     /*  969430 */     // No operand predicates
     /*  969430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969468 */     GIR_RootConstrainSelectedInstOperands,
     /*  969469 */     // GIR_Coverage, 8169,
     /*  969469 */     GIR_EraseRootFromParent_Done,
     /*  969470 */   // Label 14523: @969470
     /*  969470 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(969565), // Rule ID 8170 //
     /*  969475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969525 */     // MIs[1] Operand 1
     /*  969525 */     // No operand predicates
     /*  969525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969563 */     GIR_RootConstrainSelectedInstOperands,
     /*  969564 */     // GIR_Coverage, 8170,
     /*  969564 */     GIR_EraseRootFromParent_Done,
     /*  969565 */   // Label 14524: @969565
     /*  969565 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(969660), // Rule ID 8173 //
     /*  969570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969620 */     // MIs[1] Operand 1
     /*  969620 */     // No operand predicates
     /*  969620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969658 */     GIR_RootConstrainSelectedInstOperands,
     /*  969659 */     // GIR_Coverage, 8173,
     /*  969659 */     GIR_EraseRootFromParent_Done,
     /*  969660 */   // Label 14525: @969660
     /*  969660 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(969755), // Rule ID 8174 //
     /*  969665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969715 */     // MIs[1] Operand 1
     /*  969715 */     // No operand predicates
     /*  969715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969753 */     GIR_RootConstrainSelectedInstOperands,
     /*  969754 */     // GIR_Coverage, 8174,
     /*  969754 */     GIR_EraseRootFromParent_Done,
     /*  969755 */   // Label 14526: @969755
     /*  969755 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(969850), // Rule ID 8177 //
     /*  969760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  969777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969810 */     // MIs[1] Operand 1
     /*  969810 */     // No operand predicates
     /*  969810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969823 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969848 */     GIR_RootConstrainSelectedInstOperands,
     /*  969849 */     // GIR_Coverage, 8177,
     /*  969849 */     GIR_EraseRootFromParent_Done,
     /*  969850 */   // Label 14527: @969850
     /*  969850 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(969945), // Rule ID 8178 //
     /*  969855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  969872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969905 */     // MIs[1] Operand 1
     /*  969905 */     // No operand predicates
     /*  969905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969918 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969943 */     GIR_RootConstrainSelectedInstOperands,
     /*  969944 */     // GIR_Coverage, 8178,
     /*  969944 */     GIR_EraseRootFromParent_Done,
     /*  969945 */   // Label 14528: @969945
     /*  969945 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(970040), // Rule ID 8181 //
     /*  969950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  969967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970000 */     // MIs[1] Operand 1
     /*  970000 */     // No operand predicates
     /*  970000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970038 */     GIR_RootConstrainSelectedInstOperands,
     /*  970039 */     // GIR_Coverage, 8181,
     /*  970039 */     GIR_EraseRootFromParent_Done,
     /*  970040 */   // Label 14529: @970040
     /*  970040 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(970135), // Rule ID 8182 //
     /*  970045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970095 */     // MIs[1] Operand 1
     /*  970095 */     // No operand predicates
     /*  970095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970133 */     GIR_RootConstrainSelectedInstOperands,
     /*  970134 */     // GIR_Coverage, 8182,
     /*  970134 */     GIR_EraseRootFromParent_Done,
     /*  970135 */   // Label 14530: @970135
     /*  970135 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(970230), // Rule ID 8185 //
     /*  970140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970190 */     // MIs[1] Operand 1
     /*  970190 */     // No operand predicates
     /*  970190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970203 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970228 */     GIR_RootConstrainSelectedInstOperands,
     /*  970229 */     // GIR_Coverage, 8185,
     /*  970229 */     GIR_EraseRootFromParent_Done,
     /*  970230 */   // Label 14531: @970230
     /*  970230 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(970325), // Rule ID 8186 //
     /*  970235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970285 */     // MIs[1] Operand 1
     /*  970285 */     // No operand predicates
     /*  970285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970323 */     GIR_RootConstrainSelectedInstOperands,
     /*  970324 */     // GIR_Coverage, 8186,
     /*  970324 */     GIR_EraseRootFromParent_Done,
     /*  970325 */   // Label 14532: @970325
     /*  970325 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(970420), // Rule ID 8189 //
     /*  970330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970380 */     // MIs[1] Operand 1
     /*  970380 */     // No operand predicates
     /*  970380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970418 */     GIR_RootConstrainSelectedInstOperands,
     /*  970419 */     // GIR_Coverage, 8189,
     /*  970419 */     GIR_EraseRootFromParent_Done,
     /*  970420 */   // Label 14533: @970420
     /*  970420 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(970515), // Rule ID 8190 //
     /*  970425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970475 */     // MIs[1] Operand 1
     /*  970475 */     // No operand predicates
     /*  970475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970513 */     GIR_RootConstrainSelectedInstOperands,
     /*  970514 */     // GIR_Coverage, 8190,
     /*  970514 */     GIR_EraseRootFromParent_Done,
     /*  970515 */   // Label 14534: @970515
     /*  970515 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(970610), // Rule ID 8193 //
     /*  970520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970570 */     // MIs[1] Operand 1
     /*  970570 */     // No operand predicates
     /*  970570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970608 */     GIR_RootConstrainSelectedInstOperands,
     /*  970609 */     // GIR_Coverage, 8193,
     /*  970609 */     GIR_EraseRootFromParent_Done,
     /*  970610 */   // Label 14535: @970610
     /*  970610 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(970705), // Rule ID 8194 //
     /*  970615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  970618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970665 */     // MIs[1] Operand 1
     /*  970665 */     // No operand predicates
     /*  970665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  970678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  970681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970703 */     GIR_RootConstrainSelectedInstOperands,
     /*  970704 */     // GIR_Coverage, 8194,
     /*  970704 */     GIR_EraseRootFromParent_Done,
     /*  970705 */   // Label 14536: @970705
     /*  970705 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(970800), // Rule ID 8197 //
     /*  970710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  970727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970760 */     // MIs[1] Operand 1
     /*  970760 */     // No operand predicates
     /*  970760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970798 */     GIR_RootConstrainSelectedInstOperands,
     /*  970799 */     // GIR_Coverage, 8197,
     /*  970799 */     GIR_EraseRootFromParent_Done,
     /*  970800 */   // Label 14537: @970800
     /*  970800 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(970895), // Rule ID 8198 //
     /*  970805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  970808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  970822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970855 */     // MIs[1] Operand 1
     /*  970855 */     // No operand predicates
     /*  970855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  970868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  970871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970893 */     GIR_RootConstrainSelectedInstOperands,
     /*  970894 */     // GIR_Coverage, 8198,
     /*  970894 */     GIR_EraseRootFromParent_Done,
     /*  970895 */   // Label 14538: @970895
     /*  970895 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(970990), // Rule ID 8201 //
     /*  970900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  970908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  970917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970950 */     // MIs[1] Operand 1
     /*  970950 */     // No operand predicates
     /*  970950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  970966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970988 */     GIR_RootConstrainSelectedInstOperands,
     /*  970989 */     // GIR_Coverage, 8201,
     /*  970989 */     GIR_EraseRootFromParent_Done,
     /*  970990 */   // Label 14539: @970990
     /*  970990 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(971085), // Rule ID 8202 //
     /*  970995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  970998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971045 */     // MIs[1] Operand 1
     /*  971045 */     // No operand predicates
     /*  971045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  971061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971083 */     GIR_RootConstrainSelectedInstOperands,
     /*  971084 */     // GIR_Coverage, 8202,
     /*  971084 */     GIR_EraseRootFromParent_Done,
     /*  971085 */   // Label 14540: @971085
     /*  971085 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(971180), // Rule ID 8733 //
     /*  971090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971140 */     // MIs[1] Operand 1
     /*  971140 */     // No operand predicates
     /*  971140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971153 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971178 */     GIR_RootConstrainSelectedInstOperands,
     /*  971179 */     // GIR_Coverage, 8733,
     /*  971179 */     GIR_EraseRootFromParent_Done,
     /*  971180 */   // Label 14541: @971180
     /*  971180 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(971275), // Rule ID 8734 //
     /*  971185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971235 */     // MIs[1] Operand 1
     /*  971235 */     // No operand predicates
     /*  971235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  971251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971273 */     GIR_RootConstrainSelectedInstOperands,
     /*  971274 */     // GIR_Coverage, 8734,
     /*  971274 */     GIR_EraseRootFromParent_Done,
     /*  971275 */   // Label 14542: @971275
     /*  971275 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(971370), // Rule ID 8737 //
     /*  971280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971330 */     // MIs[1] Operand 1
     /*  971330 */     // No operand predicates
     /*  971330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971368 */     GIR_RootConstrainSelectedInstOperands,
     /*  971369 */     // GIR_Coverage, 8737,
     /*  971369 */     GIR_EraseRootFromParent_Done,
     /*  971370 */   // Label 14543: @971370
     /*  971370 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(971465), // Rule ID 8738 //
     /*  971375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971425 */     // MIs[1] Operand 1
     /*  971425 */     // No operand predicates
     /*  971425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971463 */     GIR_RootConstrainSelectedInstOperands,
     /*  971464 */     // GIR_Coverage, 8738,
     /*  971464 */     GIR_EraseRootFromParent_Done,
     /*  971465 */   // Label 14544: @971465
     /*  971465 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(971560), // Rule ID 8741 //
     /*  971470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971520 */     // MIs[1] Operand 1
     /*  971520 */     // No operand predicates
     /*  971520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971558 */     GIR_RootConstrainSelectedInstOperands,
     /*  971559 */     // GIR_Coverage, 8741,
     /*  971559 */     GIR_EraseRootFromParent_Done,
     /*  971560 */   // Label 14545: @971560
     /*  971560 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(971655), // Rule ID 8742 //
     /*  971565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971615 */     // MIs[1] Operand 1
     /*  971615 */     // No operand predicates
     /*  971615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971653 */     GIR_RootConstrainSelectedInstOperands,
     /*  971654 */     // GIR_Coverage, 8742,
     /*  971654 */     GIR_EraseRootFromParent_Done,
     /*  971655 */   // Label 14546: @971655
     /*  971655 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(971750), // Rule ID 8745 //
     /*  971660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  971677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971710 */     // MIs[1] Operand 1
     /*  971710 */     // No operand predicates
     /*  971710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971748 */     GIR_RootConstrainSelectedInstOperands,
     /*  971749 */     // GIR_Coverage, 8745,
     /*  971749 */     GIR_EraseRootFromParent_Done,
     /*  971750 */   // Label 14547: @971750
     /*  971750 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(971845), // Rule ID 8746 //
     /*  971755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  971772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971805 */     // MIs[1] Operand 1
     /*  971805 */     // No operand predicates
     /*  971805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  971821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971843 */     GIR_RootConstrainSelectedInstOperands,
     /*  971844 */     // GIR_Coverage, 8746,
     /*  971844 */     GIR_EraseRootFromParent_Done,
     /*  971845 */   // Label 14548: @971845
     /*  971845 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(971940), // Rule ID 8749 //
     /*  971850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  971867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971900 */     // MIs[1] Operand 1
     /*  971900 */     // No operand predicates
     /*  971900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971938 */     GIR_RootConstrainSelectedInstOperands,
     /*  971939 */     // GIR_Coverage, 8749,
     /*  971939 */     GIR_EraseRootFromParent_Done,
     /*  971940 */   // Label 14549: @971940
     /*  971940 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(972035), // Rule ID 8750 //
     /*  971945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  971962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971995 */     // MIs[1] Operand 1
     /*  971995 */     // No operand predicates
     /*  971995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972033 */     GIR_RootConstrainSelectedInstOperands,
     /*  972034 */     // GIR_Coverage, 8750,
     /*  972034 */     GIR_EraseRootFromParent_Done,
     /*  972035 */   // Label 14550: @972035
     /*  972035 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(972130), // Rule ID 8753 //
     /*  972040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972090 */     // MIs[1] Operand 1
     /*  972090 */     // No operand predicates
     /*  972090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972128 */     GIR_RootConstrainSelectedInstOperands,
     /*  972129 */     // GIR_Coverage, 8753,
     /*  972129 */     GIR_EraseRootFromParent_Done,
     /*  972130 */   // Label 14551: @972130
     /*  972130 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(972225), // Rule ID 8754 //
     /*  972135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972185 */     // MIs[1] Operand 1
     /*  972185 */     // No operand predicates
     /*  972185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  972201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972223 */     GIR_RootConstrainSelectedInstOperands,
     /*  972224 */     // GIR_Coverage, 8754,
     /*  972224 */     GIR_EraseRootFromParent_Done,
     /*  972225 */   // Label 14552: @972225
     /*  972225 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(972320), // Rule ID 8757 //
     /*  972230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972280 */     // MIs[1] Operand 1
     /*  972280 */     // No operand predicates
     /*  972280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972293 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972318 */     GIR_RootConstrainSelectedInstOperands,
     /*  972319 */     // GIR_Coverage, 8757,
     /*  972319 */     GIR_EraseRootFromParent_Done,
     /*  972320 */   // Label 14553: @972320
     /*  972320 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(972415), // Rule ID 8758 //
     /*  972325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972375 */     // MIs[1] Operand 1
     /*  972375 */     // No operand predicates
     /*  972375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972413 */     GIR_RootConstrainSelectedInstOperands,
     /*  972414 */     // GIR_Coverage, 8758,
     /*  972414 */     GIR_EraseRootFromParent_Done,
     /*  972415 */   // Label 14554: @972415
     /*  972415 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(972510), // Rule ID 8761 //
     /*  972420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972470 */     // MIs[1] Operand 1
     /*  972470 */     // No operand predicates
     /*  972470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972483 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972508 */     GIR_RootConstrainSelectedInstOperands,
     /*  972509 */     // GIR_Coverage, 8761,
     /*  972509 */     GIR_EraseRootFromParent_Done,
     /*  972510 */   // Label 14555: @972510
     /*  972510 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(972605), // Rule ID 8762 //
     /*  972515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972565 */     // MIs[1] Operand 1
     /*  972565 */     // No operand predicates
     /*  972565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972578 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972603 */     GIR_RootConstrainSelectedInstOperands,
     /*  972604 */     // GIR_Coverage, 8762,
     /*  972604 */     GIR_EraseRootFromParent_Done,
     /*  972605 */   // Label 14556: @972605
     /*  972605 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(972700), // Rule ID 8765 //
     /*  972610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  972627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972660 */     // MIs[1] Operand 1
     /*  972660 */     // No operand predicates
     /*  972660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972698 */     GIR_RootConstrainSelectedInstOperands,
     /*  972699 */     // GIR_Coverage, 8765,
     /*  972699 */     GIR_EraseRootFromParent_Done,
     /*  972700 */   // Label 14557: @972700
     /*  972700 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(972795), // Rule ID 8766 //
     /*  972705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  972722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972755 */     // MIs[1] Operand 1
     /*  972755 */     // No operand predicates
     /*  972755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972793 */     GIR_RootConstrainSelectedInstOperands,
     /*  972794 */     // GIR_Coverage, 8766,
     /*  972794 */     GIR_EraseRootFromParent_Done,
     /*  972795 */   // Label 14558: @972795
     /*  972795 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(972890), // Rule ID 8769 //
     /*  972800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  972803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972850 */     // MIs[1] Operand 1
     /*  972850 */     // No operand predicates
     /*  972850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972863 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  972863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972888 */     GIR_RootConstrainSelectedInstOperands,
     /*  972889 */     // GIR_Coverage, 8769,
     /*  972889 */     GIR_EraseRootFromParent_Done,
     /*  972890 */   // Label 14559: @972890
     /*  972890 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(972985), // Rule ID 8770 //
     /*  972895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  972898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972945 */     // MIs[1] Operand 1
     /*  972945 */     // No operand predicates
     /*  972945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  972958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  972961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972983 */     GIR_RootConstrainSelectedInstOperands,
     /*  972984 */     // GIR_Coverage, 8770,
     /*  972984 */     GIR_EraseRootFromParent_Done,
     /*  972985 */   // Label 14560: @972985
     /*  972985 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(973080), // Rule ID 8773 //
     /*  972990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973040 */     // MIs[1] Operand 1
     /*  973040 */     // No operand predicates
     /*  973040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973078 */     GIR_RootConstrainSelectedInstOperands,
     /*  973079 */     // GIR_Coverage, 8773,
     /*  973079 */     GIR_EraseRootFromParent_Done,
     /*  973080 */   // Label 14561: @973080
     /*  973080 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(973175), // Rule ID 8774 //
     /*  973085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973135 */     // MIs[1] Operand 1
     /*  973135 */     // No operand predicates
     /*  973135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973173 */     GIR_RootConstrainSelectedInstOperands,
     /*  973174 */     // GIR_Coverage, 8774,
     /*  973174 */     GIR_EraseRootFromParent_Done,
     /*  973175 */   // Label 14562: @973175
     /*  973175 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(973270), // Rule ID 8777 //
     /*  973180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973230 */     // MIs[1] Operand 1
     /*  973230 */     // No operand predicates
     /*  973230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973268 */     GIR_RootConstrainSelectedInstOperands,
     /*  973269 */     // GIR_Coverage, 8777,
     /*  973269 */     GIR_EraseRootFromParent_Done,
     /*  973270 */   // Label 14563: @973270
     /*  973270 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(973365), // Rule ID 8778 //
     /*  973275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973325 */     // MIs[1] Operand 1
     /*  973325 */     // No operand predicates
     /*  973325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973338 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973363 */     GIR_RootConstrainSelectedInstOperands,
     /*  973364 */     // GIR_Coverage, 8778,
     /*  973364 */     GIR_EraseRootFromParent_Done,
     /*  973365 */   // Label 14564: @973365
     /*  973365 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(973460), // Rule ID 8781 //
     /*  973370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973420 */     // MIs[1] Operand 1
     /*  973420 */     // No operand predicates
     /*  973420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973433 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973458 */     GIR_RootConstrainSelectedInstOperands,
     /*  973459 */     // GIR_Coverage, 8781,
     /*  973459 */     GIR_EraseRootFromParent_Done,
     /*  973460 */   // Label 14565: @973460
     /*  973460 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(973555), // Rule ID 8782 //
     /*  973465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973515 */     // MIs[1] Operand 1
     /*  973515 */     // No operand predicates
     /*  973515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973553 */     GIR_RootConstrainSelectedInstOperands,
     /*  973554 */     // GIR_Coverage, 8782,
     /*  973554 */     GIR_EraseRootFromParent_Done,
     /*  973555 */   // Label 14566: @973555
     /*  973555 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(973650), // Rule ID 8785 //
     /*  973560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973610 */     // MIs[1] Operand 1
     /*  973610 */     // No operand predicates
     /*  973610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973648 */     GIR_RootConstrainSelectedInstOperands,
     /*  973649 */     // GIR_Coverage, 8785,
     /*  973649 */     GIR_EraseRootFromParent_Done,
     /*  973650 */   // Label 14567: @973650
     /*  973650 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(973745), // Rule ID 8786 //
     /*  973655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973705 */     // MIs[1] Operand 1
     /*  973705 */     // No operand predicates
     /*  973705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973743 */     GIR_RootConstrainSelectedInstOperands,
     /*  973744 */     // GIR_Coverage, 8786,
     /*  973744 */     GIR_EraseRootFromParent_Done,
     /*  973745 */   // Label 14568: @973745
     /*  973745 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(973840), // Rule ID 8789 //
     /*  973750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973800 */     // MIs[1] Operand 1
     /*  973800 */     // No operand predicates
     /*  973800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973838 */     GIR_RootConstrainSelectedInstOperands,
     /*  973839 */     // GIR_Coverage, 8789,
     /*  973839 */     GIR_EraseRootFromParent_Done,
     /*  973840 */   // Label 14569: @973840
     /*  973840 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(973935), // Rule ID 8790 //
     /*  973845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973895 */     // MIs[1] Operand 1
     /*  973895 */     // No operand predicates
     /*  973895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973933 */     GIR_RootConstrainSelectedInstOperands,
     /*  973934 */     // GIR_Coverage, 8790,
     /*  973934 */     GIR_EraseRootFromParent_Done,
     /*  973935 */   // Label 14570: @973935
     /*  973935 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(974030), // Rule ID 8793 //
     /*  973940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  973957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973990 */     // MIs[1] Operand 1
     /*  973990 */     // No operand predicates
     /*  973990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974003 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974028 */     GIR_RootConstrainSelectedInstOperands,
     /*  974029 */     // GIR_Coverage, 8793,
     /*  974029 */     GIR_EraseRootFromParent_Done,
     /*  974030 */   // Label 14571: @974030
     /*  974030 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(974125), // Rule ID 8794 //
     /*  974035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974085 */     // MIs[1] Operand 1
     /*  974085 */     // No operand predicates
     /*  974085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974098 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974123 */     GIR_RootConstrainSelectedInstOperands,
     /*  974124 */     // GIR_Coverage, 8794,
     /*  974124 */     GIR_EraseRootFromParent_Done,
     /*  974125 */   // Label 14572: @974125
     /*  974125 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(974220), // Rule ID 8797 //
     /*  974130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974180 */     // MIs[1] Operand 1
     /*  974180 */     // No operand predicates
     /*  974180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974193 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974218 */     GIR_RootConstrainSelectedInstOperands,
     /*  974219 */     // GIR_Coverage, 8797,
     /*  974219 */     GIR_EraseRootFromParent_Done,
     /*  974220 */   // Label 14573: @974220
     /*  974220 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(974315), // Rule ID 8798 //
     /*  974225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974275 */     // MIs[1] Operand 1
     /*  974275 */     // No operand predicates
     /*  974275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974313 */     GIR_RootConstrainSelectedInstOperands,
     /*  974314 */     // GIR_Coverage, 8798,
     /*  974314 */     GIR_EraseRootFromParent_Done,
     /*  974315 */   // Label 14574: @974315
     /*  974315 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(974410), // Rule ID 8801 //
     /*  974320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974370 */     // MIs[1] Operand 1
     /*  974370 */     // No operand predicates
     /*  974370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974408 */     GIR_RootConstrainSelectedInstOperands,
     /*  974409 */     // GIR_Coverage, 8801,
     /*  974409 */     GIR_EraseRootFromParent_Done,
     /*  974410 */   // Label 14575: @974410
     /*  974410 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(974505), // Rule ID 8802 //
     /*  974415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974465 */     // MIs[1] Operand 1
     /*  974465 */     // No operand predicates
     /*  974465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974503 */     GIR_RootConstrainSelectedInstOperands,
     /*  974504 */     // GIR_Coverage, 8802,
     /*  974504 */     GIR_EraseRootFromParent_Done,
     /*  974505 */   // Label 14576: @974505
     /*  974505 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(974600), // Rule ID 8805 //
     /*  974510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974560 */     // MIs[1] Operand 1
     /*  974560 */     // No operand predicates
     /*  974560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974598 */     GIR_RootConstrainSelectedInstOperands,
     /*  974599 */     // GIR_Coverage, 8805,
     /*  974599 */     GIR_EraseRootFromParent_Done,
     /*  974600 */   // Label 14577: @974600
     /*  974600 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(974695), // Rule ID 8806 //
     /*  974605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974655 */     // MIs[1] Operand 1
     /*  974655 */     // No operand predicates
     /*  974655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974693 */     GIR_RootConstrainSelectedInstOperands,
     /*  974694 */     // GIR_Coverage, 8806,
     /*  974694 */     GIR_EraseRootFromParent_Done,
     /*  974695 */   // Label 14578: @974695
     /*  974695 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(974790), // Rule ID 8809 //
     /*  974700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  974703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974750 */     // MIs[1] Operand 1
     /*  974750 */     // No operand predicates
     /*  974750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974763 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  974763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974788 */     GIR_RootConstrainSelectedInstOperands,
     /*  974789 */     // GIR_Coverage, 8809,
     /*  974789 */     GIR_EraseRootFromParent_Done,
     /*  974790 */   // Label 14579: @974790
     /*  974790 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(974885), // Rule ID 8810 //
     /*  974795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  974798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974845 */     // MIs[1] Operand 1
     /*  974845 */     // No operand predicates
     /*  974845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  974858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  974861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974883 */     GIR_RootConstrainSelectedInstOperands,
     /*  974884 */     // GIR_Coverage, 8810,
     /*  974884 */     GIR_EraseRootFromParent_Done,
     /*  974885 */   // Label 14580: @974885
     /*  974885 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(974980), // Rule ID 8813 //
     /*  974890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  974893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  974907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974940 */     // MIs[1] Operand 1
     /*  974940 */     // No operand predicates
     /*  974940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  974953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  974956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974978 */     GIR_RootConstrainSelectedInstOperands,
     /*  974979 */     // GIR_Coverage, 8813,
     /*  974979 */     GIR_EraseRootFromParent_Done,
     /*  974980 */   // Label 14581: @974980
     /*  974980 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(975075), // Rule ID 8814 //
     /*  974985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  974988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  974993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975035 */     // MIs[1] Operand 1
     /*  975035 */     // No operand predicates
     /*  975035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  975051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975073 */     GIR_RootConstrainSelectedInstOperands,
     /*  975074 */     // GIR_Coverage, 8814,
     /*  975074 */     GIR_EraseRootFromParent_Done,
     /*  975075 */   // Label 14582: @975075
     /*  975075 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(975170), // Rule ID 8817 //
     /*  975080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975130 */     // MIs[1] Operand 1
     /*  975130 */     // No operand predicates
     /*  975130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975143 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975168 */     GIR_RootConstrainSelectedInstOperands,
     /*  975169 */     // GIR_Coverage, 8817,
     /*  975169 */     GIR_EraseRootFromParent_Done,
     /*  975170 */   // Label 14583: @975170
     /*  975170 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(975265), // Rule ID 8818 //
     /*  975175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975225 */     // MIs[1] Operand 1
     /*  975225 */     // No operand predicates
     /*  975225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975238 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  975241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975263 */     GIR_RootConstrainSelectedInstOperands,
     /*  975264 */     // GIR_Coverage, 8818,
     /*  975264 */     GIR_EraseRootFromParent_Done,
     /*  975265 */   // Label 14584: @975265
     /*  975265 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(975360), // Rule ID 8997 //
     /*  975270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975320 */     // MIs[1] Operand 1
     /*  975320 */     // No operand predicates
     /*  975320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975333 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975358 */     GIR_RootConstrainSelectedInstOperands,
     /*  975359 */     // GIR_Coverage, 8997,
     /*  975359 */     GIR_EraseRootFromParent_Done,
     /*  975360 */   // Label 14585: @975360
     /*  975360 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(975455), // Rule ID 8998 //
     /*  975365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975415 */     // MIs[1] Operand 1
     /*  975415 */     // No operand predicates
     /*  975415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  975431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975453 */     GIR_RootConstrainSelectedInstOperands,
     /*  975454 */     // GIR_Coverage, 8998,
     /*  975454 */     GIR_EraseRootFromParent_Done,
     /*  975455 */   // Label 14586: @975455
     /*  975455 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(975550), // Rule ID 9001 //
     /*  975460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975510 */     // MIs[1] Operand 1
     /*  975510 */     // No operand predicates
     /*  975510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975523 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975548 */     GIR_RootConstrainSelectedInstOperands,
     /*  975549 */     // GIR_Coverage, 9001,
     /*  975549 */     GIR_EraseRootFromParent_Done,
     /*  975550 */   // Label 14587: @975550
     /*  975550 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(975645), // Rule ID 9002 //
     /*  975555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975605 */     // MIs[1] Operand 1
     /*  975605 */     // No operand predicates
     /*  975605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975618 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975643 */     GIR_RootConstrainSelectedInstOperands,
     /*  975644 */     // GIR_Coverage, 9002,
     /*  975644 */     GIR_EraseRootFromParent_Done,
     /*  975645 */   // Label 14588: @975645
     /*  975645 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(975740), // Rule ID 9005 //
     /*  975650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  975667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975700 */     // MIs[1] Operand 1
     /*  975700 */     // No operand predicates
     /*  975700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975738 */     GIR_RootConstrainSelectedInstOperands,
     /*  975739 */     // GIR_Coverage, 9005,
     /*  975739 */     GIR_EraseRootFromParent_Done,
     /*  975740 */   // Label 14589: @975740
     /*  975740 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(975835), // Rule ID 9006 //
     /*  975745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  975762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975795 */     // MIs[1] Operand 1
     /*  975795 */     // No operand predicates
     /*  975795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975833 */     GIR_RootConstrainSelectedInstOperands,
     /*  975834 */     // GIR_Coverage, 9006,
     /*  975834 */     GIR_EraseRootFromParent_Done,
     /*  975835 */   // Label 14590: @975835
     /*  975835 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(975930), // Rule ID 9009 //
     /*  975840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  975857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975890 */     // MIs[1] Operand 1
     /*  975890 */     // No operand predicates
     /*  975890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975903 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  975903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  975906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975928 */     GIR_RootConstrainSelectedInstOperands,
     /*  975929 */     // GIR_Coverage, 9009,
     /*  975929 */     GIR_EraseRootFromParent_Done,
     /*  975930 */   // Label 14591: @975930
     /*  975930 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(976025), // Rule ID 9010 //
     /*  975935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  975952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975985 */     // MIs[1] Operand 1
     /*  975985 */     // No operand predicates
     /*  975985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  976001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976023 */     GIR_RootConstrainSelectedInstOperands,
     /*  976024 */     // GIR_Coverage, 9010,
     /*  976024 */     GIR_EraseRootFromParent_Done,
     /*  976025 */   // Label 14592: @976025
     /*  976025 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(976120), // Rule ID 9013 //
     /*  976030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976080 */     // MIs[1] Operand 1
     /*  976080 */     // No operand predicates
     /*  976080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976118 */     GIR_RootConstrainSelectedInstOperands,
     /*  976119 */     // GIR_Coverage, 9013,
     /*  976119 */     GIR_EraseRootFromParent_Done,
     /*  976120 */   // Label 14593: @976120
     /*  976120 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(976215), // Rule ID 9014 //
     /*  976125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976175 */     // MIs[1] Operand 1
     /*  976175 */     // No operand predicates
     /*  976175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976213 */     GIR_RootConstrainSelectedInstOperands,
     /*  976214 */     // GIR_Coverage, 9014,
     /*  976214 */     GIR_EraseRootFromParent_Done,
     /*  976215 */   // Label 14594: @976215
     /*  976215 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(976310), // Rule ID 9017 //
     /*  976220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976270 */     // MIs[1] Operand 1
     /*  976270 */     // No operand predicates
     /*  976270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976283 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976308 */     GIR_RootConstrainSelectedInstOperands,
     /*  976309 */     // GIR_Coverage, 9017,
     /*  976309 */     GIR_EraseRootFromParent_Done,
     /*  976310 */   // Label 14595: @976310
     /*  976310 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(976405), // Rule ID 9018 //
     /*  976315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976365 */     // MIs[1] Operand 1
     /*  976365 */     // No operand predicates
     /*  976365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  976381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976403 */     GIR_RootConstrainSelectedInstOperands,
     /*  976404 */     // GIR_Coverage, 9018,
     /*  976404 */     GIR_EraseRootFromParent_Done,
     /*  976405 */   // Label 14596: @976405
     /*  976405 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(976500), // Rule ID 9021 //
     /*  976410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976460 */     // MIs[1] Operand 1
     /*  976460 */     // No operand predicates
     /*  976460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976498 */     GIR_RootConstrainSelectedInstOperands,
     /*  976499 */     // GIR_Coverage, 9021,
     /*  976499 */     GIR_EraseRootFromParent_Done,
     /*  976500 */   // Label 14597: @976500
     /*  976500 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(976595), // Rule ID 9022 //
     /*  976505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976555 */     // MIs[1] Operand 1
     /*  976555 */     // No operand predicates
     /*  976555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976593 */     GIR_RootConstrainSelectedInstOperands,
     /*  976594 */     // GIR_Coverage, 9022,
     /*  976594 */     GIR_EraseRootFromParent_Done,
     /*  976595 */   // Label 14598: @976595
     /*  976595 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(976690), // Rule ID 9025 //
     /*  976600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  976617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976650 */     // MIs[1] Operand 1
     /*  976650 */     // No operand predicates
     /*  976650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976663 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976688 */     GIR_RootConstrainSelectedInstOperands,
     /*  976689 */     // GIR_Coverage, 9025,
     /*  976689 */     GIR_EraseRootFromParent_Done,
     /*  976690 */   // Label 14599: @976690
     /*  976690 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(976785), // Rule ID 9026 //
     /*  976695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  976712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976745 */     // MIs[1] Operand 1
     /*  976745 */     // No operand predicates
     /*  976745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976783 */     GIR_RootConstrainSelectedInstOperands,
     /*  976784 */     // GIR_Coverage, 9026,
     /*  976784 */     GIR_EraseRootFromParent_Done,
     /*  976785 */   // Label 14600: @976785
     /*  976785 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(976880), // Rule ID 9029 //
     /*  976790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976840 */     // MIs[1] Operand 1
     /*  976840 */     // No operand predicates
     /*  976840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976878 */     GIR_RootConstrainSelectedInstOperands,
     /*  976879 */     // GIR_Coverage, 9029,
     /*  976879 */     GIR_EraseRootFromParent_Done,
     /*  976880 */   // Label 14601: @976880
     /*  976880 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(976975), // Rule ID 9030 //
     /*  976885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976935 */     // MIs[1] Operand 1
     /*  976935 */     // No operand predicates
     /*  976935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  976951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976973 */     GIR_RootConstrainSelectedInstOperands,
     /*  976974 */     // GIR_Coverage, 9030,
     /*  976974 */     GIR_EraseRootFromParent_Done,
     /*  976975 */   // Label 14602: @976975
     /*  976975 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(977070), // Rule ID 9033 //
     /*  976980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  976983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  976997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977030 */     // MIs[1] Operand 1
     /*  977030 */     // No operand predicates
     /*  977030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977068 */     GIR_RootConstrainSelectedInstOperands,
     /*  977069 */     // GIR_Coverage, 9033,
     /*  977069 */     GIR_EraseRootFromParent_Done,
     /*  977070 */   // Label 14603: @977070
     /*  977070 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(977165), // Rule ID 9034 //
     /*  977075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977125 */     // MIs[1] Operand 1
     /*  977125 */     // No operand predicates
     /*  977125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  977141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977163 */     GIR_RootConstrainSelectedInstOperands,
     /*  977164 */     // GIR_Coverage, 9034,
     /*  977164 */     GIR_EraseRootFromParent_Done,
     /*  977165 */   // Label 14604: @977165
     /*  977165 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(977260), // Rule ID 9037 //
     /*  977170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977220 */     // MIs[1] Operand 1
     /*  977220 */     // No operand predicates
     /*  977220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977233 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977258 */     GIR_RootConstrainSelectedInstOperands,
     /*  977259 */     // GIR_Coverage, 9037,
     /*  977259 */     GIR_EraseRootFromParent_Done,
     /*  977260 */   // Label 14605: @977260
     /*  977260 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(977355), // Rule ID 9038 //
     /*  977265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977315 */     // MIs[1] Operand 1
     /*  977315 */     // No operand predicates
     /*  977315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977353 */     GIR_RootConstrainSelectedInstOperands,
     /*  977354 */     // GIR_Coverage, 9038,
     /*  977354 */     GIR_EraseRootFromParent_Done,
     /*  977355 */   // Label 14606: @977355
     /*  977355 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(977450), // Rule ID 9041 //
     /*  977360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977410 */     // MIs[1] Operand 1
     /*  977410 */     // No operand predicates
     /*  977410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977448 */     GIR_RootConstrainSelectedInstOperands,
     /*  977449 */     // GIR_Coverage, 9041,
     /*  977449 */     GIR_EraseRootFromParent_Done,
     /*  977450 */   // Label 14607: @977450
     /*  977450 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(977545), // Rule ID 9042 //
     /*  977455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977505 */     // MIs[1] Operand 1
     /*  977505 */     // No operand predicates
     /*  977505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977543 */     GIR_RootConstrainSelectedInstOperands,
     /*  977544 */     // GIR_Coverage, 9042,
     /*  977544 */     GIR_EraseRootFromParent_Done,
     /*  977545 */   // Label 14608: @977545
     /*  977545 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(977640), // Rule ID 9045 //
     /*  977550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  977573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977600 */     // MIs[1] Operand 1
     /*  977600 */     // No operand predicates
     /*  977600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977613 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977638 */     GIR_RootConstrainSelectedInstOperands,
     /*  977639 */     // GIR_Coverage, 9045,
     /*  977639 */     GIR_EraseRootFromParent_Done,
     /*  977640 */   // Label 14609: @977640
     /*  977640 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(977735), // Rule ID 9046 //
     /*  977645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  977668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977695 */     // MIs[1] Operand 1
     /*  977695 */     // No operand predicates
     /*  977695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977708 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977733 */     GIR_RootConstrainSelectedInstOperands,
     /*  977734 */     // GIR_Coverage, 9046,
     /*  977734 */     GIR_EraseRootFromParent_Done,
     /*  977735 */   // Label 14610: @977735
     /*  977735 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(977830), // Rule ID 9049 //
     /*  977740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  977757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977790 */     // MIs[1] Operand 1
     /*  977790 */     // No operand predicates
     /*  977790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977828 */     GIR_RootConstrainSelectedInstOperands,
     /*  977829 */     // GIR_Coverage, 9049,
     /*  977829 */     GIR_EraseRootFromParent_Done,
     /*  977830 */   // Label 14611: @977830
     /*  977830 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(977925), // Rule ID 9050 //
     /*  977835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  977852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977885 */     // MIs[1] Operand 1
     /*  977885 */     // No operand predicates
     /*  977885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977923 */     GIR_RootConstrainSelectedInstOperands,
     /*  977924 */     // GIR_Coverage, 9050,
     /*  977924 */     GIR_EraseRootFromParent_Done,
     /*  977925 */   // Label 14612: @977925
     /*  977925 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(978020), // Rule ID 9053 //
     /*  977930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  977947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977980 */     // MIs[1] Operand 1
     /*  977980 */     // No operand predicates
     /*  977980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978018 */     GIR_RootConstrainSelectedInstOperands,
     /*  978019 */     // GIR_Coverage, 9053,
     /*  978019 */     GIR_EraseRootFromParent_Done,
     /*  978020 */   // Label 14613: @978020
     /*  978020 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(978115), // Rule ID 9054 //
     /*  978025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978075 */     // MIs[1] Operand 1
     /*  978075 */     // No operand predicates
     /*  978075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978113 */     GIR_RootConstrainSelectedInstOperands,
     /*  978114 */     // GIR_Coverage, 9054,
     /*  978114 */     GIR_EraseRootFromParent_Done,
     /*  978115 */   // Label 14614: @978115
     /*  978115 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(978210), // Rule ID 9057 //
     /*  978120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978170 */     // MIs[1] Operand 1
     /*  978170 */     // No operand predicates
     /*  978170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978183 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978208 */     GIR_RootConstrainSelectedInstOperands,
     /*  978209 */     // GIR_Coverage, 9057,
     /*  978209 */     GIR_EraseRootFromParent_Done,
     /*  978210 */   // Label 14615: @978210
     /*  978210 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(978305), // Rule ID 9058 //
     /*  978215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978265 */     // MIs[1] Operand 1
     /*  978265 */     // No operand predicates
     /*  978265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978278 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978303 */     GIR_RootConstrainSelectedInstOperands,
     /*  978304 */     // GIR_Coverage, 9058,
     /*  978304 */     GIR_EraseRootFromParent_Done,
     /*  978305 */   // Label 14616: @978305
     /*  978305 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(978400), // Rule ID 9061 //
     /*  978310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978360 */     // MIs[1] Operand 1
     /*  978360 */     // No operand predicates
     /*  978360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978398 */     GIR_RootConstrainSelectedInstOperands,
     /*  978399 */     // GIR_Coverage, 9061,
     /*  978399 */     GIR_EraseRootFromParent_Done,
     /*  978400 */   // Label 14617: @978400
     /*  978400 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(978495), // Rule ID 9062 //
     /*  978405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978455 */     // MIs[1] Operand 1
     /*  978455 */     // No operand predicates
     /*  978455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978493 */     GIR_RootConstrainSelectedInstOperands,
     /*  978494 */     // GIR_Coverage, 9062,
     /*  978494 */     GIR_EraseRootFromParent_Done,
     /*  978495 */   // Label 14618: @978495
     /*  978495 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(978590), // Rule ID 9065 //
     /*  978500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978550 */     // MIs[1] Operand 1
     /*  978550 */     // No operand predicates
     /*  978550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978563 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978588 */     GIR_RootConstrainSelectedInstOperands,
     /*  978589 */     // GIR_Coverage, 9065,
     /*  978589 */     GIR_EraseRootFromParent_Done,
     /*  978590 */   // Label 14619: @978590
     /*  978590 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(978685), // Rule ID 9066 //
     /*  978595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978645 */     // MIs[1] Operand 1
     /*  978645 */     // No operand predicates
     /*  978645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978658 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978683 */     GIR_RootConstrainSelectedInstOperands,
     /*  978684 */     // GIR_Coverage, 9066,
     /*  978684 */     GIR_EraseRootFromParent_Done,
     /*  978685 */   // Label 14620: @978685
     /*  978685 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(978780), // Rule ID 9069 //
     /*  978690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  978707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978740 */     // MIs[1] Operand 1
     /*  978740 */     // No operand predicates
     /*  978740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978778 */     GIR_RootConstrainSelectedInstOperands,
     /*  978779 */     // GIR_Coverage, 9069,
     /*  978779 */     GIR_EraseRootFromParent_Done,
     /*  978780 */   // Label 14621: @978780
     /*  978780 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(978875), // Rule ID 9070 //
     /*  978785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  978802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978835 */     // MIs[1] Operand 1
     /*  978835 */     // No operand predicates
     /*  978835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978873 */     GIR_RootConstrainSelectedInstOperands,
     /*  978874 */     // GIR_Coverage, 9070,
     /*  978874 */     GIR_EraseRootFromParent_Done,
     /*  978875 */   // Label 14622: @978875
     /*  978875 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(978970), // Rule ID 9073 //
     /*  978880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  978883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  978897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978930 */     // MIs[1] Operand 1
     /*  978930 */     // No operand predicates
     /*  978930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978943 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  978943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  978946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978968 */     GIR_RootConstrainSelectedInstOperands,
     /*  978969 */     // GIR_Coverage, 9073,
     /*  978969 */     GIR_EraseRootFromParent_Done,
     /*  978970 */   // Label 14623: @978970
     /*  978970 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(979065), // Rule ID 9074 //
     /*  978975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  978978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  978992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979025 */     // MIs[1] Operand 1
     /*  979025 */     // No operand predicates
     /*  979025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  979041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979063 */     GIR_RootConstrainSelectedInstOperands,
     /*  979064 */     // GIR_Coverage, 9074,
     /*  979064 */     GIR_EraseRootFromParent_Done,
     /*  979065 */   // Label 14624: @979065
     /*  979065 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(979160), // Rule ID 9077 //
     /*  979070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979120 */     // MIs[1] Operand 1
     /*  979120 */     // No operand predicates
     /*  979120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979133 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979158 */     GIR_RootConstrainSelectedInstOperands,
     /*  979159 */     // GIR_Coverage, 9077,
     /*  979159 */     GIR_EraseRootFromParent_Done,
     /*  979160 */   // Label 14625: @979160
     /*  979160 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(979255), // Rule ID 9078 //
     /*  979165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979215 */     // MIs[1] Operand 1
     /*  979215 */     // No operand predicates
     /*  979215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  979231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979253 */     GIR_RootConstrainSelectedInstOperands,
     /*  979254 */     // GIR_Coverage, 9078,
     /*  979254 */     GIR_EraseRootFromParent_Done,
     /*  979255 */   // Label 14626: @979255
     /*  979255 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(979350), // Rule ID 9081 //
     /*  979260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979310 */     // MIs[1] Operand 1
     /*  979310 */     // No operand predicates
     /*  979310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979348 */     GIR_RootConstrainSelectedInstOperands,
     /*  979349 */     // GIR_Coverage, 9081,
     /*  979349 */     GIR_EraseRootFromParent_Done,
     /*  979350 */   // Label 14627: @979350
     /*  979350 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(979445), // Rule ID 9082 //
     /*  979355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979405 */     // MIs[1] Operand 1
     /*  979405 */     // No operand predicates
     /*  979405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  979421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979443 */     GIR_RootConstrainSelectedInstOperands,
     /*  979444 */     // GIR_Coverage, 9082,
     /*  979444 */     GIR_EraseRootFromParent_Done,
     /*  979445 */   // Label 14628: @979445
     /*  979445 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(979540), // Rule ID 9173 //
     /*  979450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979500 */     // MIs[1] Operand 1
     /*  979500 */     // No operand predicates
     /*  979500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979513 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979538 */     GIR_RootConstrainSelectedInstOperands,
     /*  979539 */     // GIR_Coverage, 9173,
     /*  979539 */     GIR_EraseRootFromParent_Done,
     /*  979540 */   // Label 14629: @979540
     /*  979540 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(979635), // Rule ID 9174 //
     /*  979545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979595 */     // MIs[1] Operand 1
     /*  979595 */     // No operand predicates
     /*  979595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  979611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979633 */     GIR_RootConstrainSelectedInstOperands,
     /*  979634 */     // GIR_Coverage, 9174,
     /*  979634 */     GIR_EraseRootFromParent_Done,
     /*  979635 */   // Label 14630: @979635
     /*  979635 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(979730), // Rule ID 9177 //
     /*  979640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979690 */     // MIs[1] Operand 1
     /*  979690 */     // No operand predicates
     /*  979690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979703 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  979706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979728 */     GIR_RootConstrainSelectedInstOperands,
     /*  979729 */     // GIR_Coverage, 9177,
     /*  979729 */     GIR_EraseRootFromParent_Done,
     /*  979730 */   // Label 14631: @979730
     /*  979730 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(979825), // Rule ID 9178 //
     /*  979735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979785 */     // MIs[1] Operand 1
     /*  979785 */     // No operand predicates
     /*  979785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979798 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  979801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979823 */     GIR_RootConstrainSelectedInstOperands,
     /*  979824 */     // GIR_Coverage, 9178,
     /*  979824 */     GIR_EraseRootFromParent_Done,
     /*  979825 */   // Label 14632: @979825
     /*  979825 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(979920), // Rule ID 9181 //
     /*  979830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  979847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979880 */     // MIs[1] Operand 1
     /*  979880 */     // No operand predicates
     /*  979880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979918 */     GIR_RootConstrainSelectedInstOperands,
     /*  979919 */     // GIR_Coverage, 9181,
     /*  979919 */     GIR_EraseRootFromParent_Done,
     /*  979920 */   // Label 14633: @979920
     /*  979920 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(980015), // Rule ID 9182 //
     /*  979925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  979942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979975 */     // MIs[1] Operand 1
     /*  979975 */     // No operand predicates
     /*  979975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980013 */     GIR_RootConstrainSelectedInstOperands,
     /*  980014 */     // GIR_Coverage, 9182,
     /*  980014 */     GIR_EraseRootFromParent_Done,
     /*  980015 */   // Label 14634: @980015
     /*  980015 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(980110), // Rule ID 9185 //
     /*  980020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980070 */     // MIs[1] Operand 1
     /*  980070 */     // No operand predicates
     /*  980070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980108 */     GIR_RootConstrainSelectedInstOperands,
     /*  980109 */     // GIR_Coverage, 9185,
     /*  980109 */     GIR_EraseRootFromParent_Done,
     /*  980110 */   // Label 14635: @980110
     /*  980110 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(980205), // Rule ID 9186 //
     /*  980115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980165 */     // MIs[1] Operand 1
     /*  980165 */     // No operand predicates
     /*  980165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  980181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980203 */     GIR_RootConstrainSelectedInstOperands,
     /*  980204 */     // GIR_Coverage, 9186,
     /*  980204 */     GIR_EraseRootFromParent_Done,
     /*  980205 */   // Label 14636: @980205
     /*  980205 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(980300), // Rule ID 9189 //
     /*  980210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980260 */     // MIs[1] Operand 1
     /*  980260 */     // No operand predicates
     /*  980260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980273 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980298 */     GIR_RootConstrainSelectedInstOperands,
     /*  980299 */     // GIR_Coverage, 9189,
     /*  980299 */     GIR_EraseRootFromParent_Done,
     /*  980300 */   // Label 14637: @980300
     /*  980300 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(980395), // Rule ID 9190 //
     /*  980305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980355 */     // MIs[1] Operand 1
     /*  980355 */     // No operand predicates
     /*  980355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980393 */     GIR_RootConstrainSelectedInstOperands,
     /*  980394 */     // GIR_Coverage, 9190,
     /*  980394 */     GIR_EraseRootFromParent_Done,
     /*  980395 */   // Label 14638: @980395
     /*  980395 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(980490), // Rule ID 9193 //
     /*  980400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980450 */     // MIs[1] Operand 1
     /*  980450 */     // No operand predicates
     /*  980450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980488 */     GIR_RootConstrainSelectedInstOperands,
     /*  980489 */     // GIR_Coverage, 9193,
     /*  980489 */     GIR_EraseRootFromParent_Done,
     /*  980490 */   // Label 14639: @980490
     /*  980490 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(980585), // Rule ID 9194 //
     /*  980495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980545 */     // MIs[1] Operand 1
     /*  980545 */     // No operand predicates
     /*  980545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  980561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980583 */     GIR_RootConstrainSelectedInstOperands,
     /*  980584 */     // GIR_Coverage, 9194,
     /*  980584 */     GIR_EraseRootFromParent_Done,
     /*  980585 */   // Label 14640: @980585
     /*  980585 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(980680), // Rule ID 9197 //
     /*  980590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980640 */     // MIs[1] Operand 1
     /*  980640 */     // No operand predicates
     /*  980640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980678 */     GIR_RootConstrainSelectedInstOperands,
     /*  980679 */     // GIR_Coverage, 9197,
     /*  980679 */     GIR_EraseRootFromParent_Done,
     /*  980680 */   // Label 14641: @980680
     /*  980680 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(980775), // Rule ID 9198 //
     /*  980685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980735 */     // MIs[1] Operand 1
     /*  980735 */     // No operand predicates
     /*  980735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980773 */     GIR_RootConstrainSelectedInstOperands,
     /*  980774 */     // GIR_Coverage, 9198,
     /*  980774 */     GIR_EraseRootFromParent_Done,
     /*  980775 */   // Label 14642: @980775
     /*  980775 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(980870), // Rule ID 9201 //
     /*  980780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980830 */     // MIs[1] Operand 1
     /*  980830 */     // No operand predicates
     /*  980830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980868 */     GIR_RootConstrainSelectedInstOperands,
     /*  980869 */     // GIR_Coverage, 9201,
     /*  980869 */     GIR_EraseRootFromParent_Done,
     /*  980870 */   // Label 14643: @980870
     /*  980870 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(980965), // Rule ID 9202 //
     /*  980875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980925 */     // MIs[1] Operand 1
     /*  980925 */     // No operand predicates
     /*  980925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980963 */     GIR_RootConstrainSelectedInstOperands,
     /*  980964 */     // GIR_Coverage, 9202,
     /*  980964 */     GIR_EraseRootFromParent_Done,
     /*  980965 */   // Label 14644: @980965
     /*  980965 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(981060), // Rule ID 9205 //
     /*  980970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  980987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981020 */     // MIs[1] Operand 1
     /*  981020 */     // No operand predicates
     /*  981020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981058 */     GIR_RootConstrainSelectedInstOperands,
     /*  981059 */     // GIR_Coverage, 9205,
     /*  981059 */     GIR_EraseRootFromParent_Done,
     /*  981060 */   // Label 14645: @981060
     /*  981060 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(981155), // Rule ID 9206 //
     /*  981065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981115 */     // MIs[1] Operand 1
     /*  981115 */     // No operand predicates
     /*  981115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981153 */     GIR_RootConstrainSelectedInstOperands,
     /*  981154 */     // GIR_Coverage, 9206,
     /*  981154 */     GIR_EraseRootFromParent_Done,
     /*  981155 */   // Label 14646: @981155
     /*  981155 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(981250), // Rule ID 9209 //
     /*  981160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981210 */     // MIs[1] Operand 1
     /*  981210 */     // No operand predicates
     /*  981210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981223 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981248 */     GIR_RootConstrainSelectedInstOperands,
     /*  981249 */     // GIR_Coverage, 9209,
     /*  981249 */     GIR_EraseRootFromParent_Done,
     /*  981250 */   // Label 14647: @981250
     /*  981250 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(981345), // Rule ID 9210 //
     /*  981255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981305 */     // MIs[1] Operand 1
     /*  981305 */     // No operand predicates
     /*  981305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  981321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981343 */     GIR_RootConstrainSelectedInstOperands,
     /*  981344 */     // GIR_Coverage, 9210,
     /*  981344 */     GIR_EraseRootFromParent_Done,
     /*  981345 */   // Label 14648: @981345
     /*  981345 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(981440), // Rule ID 9213 //
     /*  981350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981400 */     // MIs[1] Operand 1
     /*  981400 */     // No operand predicates
     /*  981400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981438 */     GIR_RootConstrainSelectedInstOperands,
     /*  981439 */     // GIR_Coverage, 9213,
     /*  981439 */     GIR_EraseRootFromParent_Done,
     /*  981440 */   // Label 14649: @981440
     /*  981440 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(981535), // Rule ID 9214 //
     /*  981445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981495 */     // MIs[1] Operand 1
     /*  981495 */     // No operand predicates
     /*  981495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981533 */     GIR_RootConstrainSelectedInstOperands,
     /*  981534 */     // GIR_Coverage, 9214,
     /*  981534 */     GIR_EraseRootFromParent_Done,
     /*  981535 */   // Label 14650: @981535
     /*  981535 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(981630), // Rule ID 9217 //
     /*  981540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981590 */     // MIs[1] Operand 1
     /*  981590 */     // No operand predicates
     /*  981590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981603 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981628 */     GIR_RootConstrainSelectedInstOperands,
     /*  981629 */     // GIR_Coverage, 9217,
     /*  981629 */     GIR_EraseRootFromParent_Done,
     /*  981630 */   // Label 14651: @981630
     /*  981630 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(981725), // Rule ID 9218 //
     /*  981635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981685 */     // MIs[1] Operand 1
     /*  981685 */     // No operand predicates
     /*  981685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981698 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981723 */     GIR_RootConstrainSelectedInstOperands,
     /*  981724 */     // GIR_Coverage, 9218,
     /*  981724 */     GIR_EraseRootFromParent_Done,
     /*  981725 */   // Label 14652: @981725
     /*  981725 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(981820), // Rule ID 9221 //
     /*  981730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  981741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  981744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  981753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981780 */     // MIs[1] Operand 1
     /*  981780 */     // No operand predicates
     /*  981780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981793 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981818 */     GIR_RootConstrainSelectedInstOperands,
     /*  981819 */     // GIR_Coverage, 9221,
     /*  981819 */     GIR_EraseRootFromParent_Done,
     /*  981820 */   // Label 14653: @981820
     /*  981820 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(981915), // Rule ID 9222 //
     /*  981825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  981836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  981839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  981848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981875 */     // MIs[1] Operand 1
     /*  981875 */     // No operand predicates
     /*  981875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981888 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981913 */     GIR_RootConstrainSelectedInstOperands,
     /*  981914 */     // GIR_Coverage, 9222,
     /*  981914 */     GIR_EraseRootFromParent_Done,
     /*  981915 */   // Label 14654: @981915
     /*  981915 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(982010), // Rule ID 9225 //
     /*  981920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  981937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981970 */     // MIs[1] Operand 1
     /*  981970 */     // No operand predicates
     /*  981970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982008 */     GIR_RootConstrainSelectedInstOperands,
     /*  982009 */     // GIR_Coverage, 9225,
     /*  982009 */     GIR_EraseRootFromParent_Done,
     /*  982010 */   // Label 14655: @982010
     /*  982010 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(982105), // Rule ID 9226 //
     /*  982015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982065 */     // MIs[1] Operand 1
     /*  982065 */     // No operand predicates
     /*  982065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982078 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982103 */     GIR_RootConstrainSelectedInstOperands,
     /*  982104 */     // GIR_Coverage, 9226,
     /*  982104 */     GIR_EraseRootFromParent_Done,
     /*  982105 */   // Label 14656: @982105
     /*  982105 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(982200), // Rule ID 9229 //
     /*  982110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982160 */     // MIs[1] Operand 1
     /*  982160 */     // No operand predicates
     /*  982160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982198 */     GIR_RootConstrainSelectedInstOperands,
     /*  982199 */     // GIR_Coverage, 9229,
     /*  982199 */     GIR_EraseRootFromParent_Done,
     /*  982200 */   // Label 14657: @982200
     /*  982200 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(982295), // Rule ID 9230 //
     /*  982205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982255 */     // MIs[1] Operand 1
     /*  982255 */     // No operand predicates
     /*  982255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982293 */     GIR_RootConstrainSelectedInstOperands,
     /*  982294 */     // GIR_Coverage, 9230,
     /*  982294 */     GIR_EraseRootFromParent_Done,
     /*  982295 */   // Label 14658: @982295
     /*  982295 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(982390), // Rule ID 9233 //
     /*  982300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982350 */     // MIs[1] Operand 1
     /*  982350 */     // No operand predicates
     /*  982350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982363 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982388 */     GIR_RootConstrainSelectedInstOperands,
     /*  982389 */     // GIR_Coverage, 9233,
     /*  982389 */     GIR_EraseRootFromParent_Done,
     /*  982390 */   // Label 14659: @982390
     /*  982390 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(982485), // Rule ID 9234 //
     /*  982395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982445 */     // MIs[1] Operand 1
     /*  982445 */     // No operand predicates
     /*  982445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982458 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982483 */     GIR_RootConstrainSelectedInstOperands,
     /*  982484 */     // GIR_Coverage, 9234,
     /*  982484 */     GIR_EraseRootFromParent_Done,
     /*  982485 */   // Label 14660: @982485
     /*  982485 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(982580), // Rule ID 9237 //
     /*  982490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982540 */     // MIs[1] Operand 1
     /*  982540 */     // No operand predicates
     /*  982540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982578 */     GIR_RootConstrainSelectedInstOperands,
     /*  982579 */     // GIR_Coverage, 9237,
     /*  982579 */     GIR_EraseRootFromParent_Done,
     /*  982580 */   // Label 14661: @982580
     /*  982580 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(982675), // Rule ID 9238 //
     /*  982585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982635 */     // MIs[1] Operand 1
     /*  982635 */     // No operand predicates
     /*  982635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982673 */     GIR_RootConstrainSelectedInstOperands,
     /*  982674 */     // GIR_Coverage, 9238,
     /*  982674 */     GIR_EraseRootFromParent_Done,
     /*  982675 */   // Label 14662: @982675
     /*  982675 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(982770), // Rule ID 9241 //
     /*  982680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982730 */     // MIs[1] Operand 1
     /*  982730 */     // No operand predicates
     /*  982730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982768 */     GIR_RootConstrainSelectedInstOperands,
     /*  982769 */     // GIR_Coverage, 9241,
     /*  982769 */     GIR_EraseRootFromParent_Done,
     /*  982770 */   // Label 14663: @982770
     /*  982770 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(982865), // Rule ID 9242 //
     /*  982775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982825 */     // MIs[1] Operand 1
     /*  982825 */     // No operand predicates
     /*  982825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982863 */     GIR_RootConstrainSelectedInstOperands,
     /*  982864 */     // GIR_Coverage, 9242,
     /*  982864 */     GIR_EraseRootFromParent_Done,
     /*  982865 */   // Label 14664: @982865
     /*  982865 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(982960), // Rule ID 9245 //
     /*  982870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  982887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982920 */     // MIs[1] Operand 1
     /*  982920 */     // No operand predicates
     /*  982920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982933 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982958 */     GIR_RootConstrainSelectedInstOperands,
     /*  982959 */     // GIR_Coverage, 9245,
     /*  982959 */     GIR_EraseRootFromParent_Done,
     /*  982960 */   // Label 14665: @982960
     /*  982960 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(983055), // Rule ID 9246 //
     /*  982965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  982982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983015 */     // MIs[1] Operand 1
     /*  983015 */     // No operand predicates
     /*  983015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983053 */     GIR_RootConstrainSelectedInstOperands,
     /*  983054 */     // GIR_Coverage, 9246,
     /*  983054 */     GIR_EraseRootFromParent_Done,
     /*  983055 */   // Label 14666: @983055
     /*  983055 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(983150), // Rule ID 9249 //
     /*  983060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983110 */     // MIs[1] Operand 1
     /*  983110 */     // No operand predicates
     /*  983110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983148 */     GIR_RootConstrainSelectedInstOperands,
     /*  983149 */     // GIR_Coverage, 9249,
     /*  983149 */     GIR_EraseRootFromParent_Done,
     /*  983150 */   // Label 14667: @983150
     /*  983150 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(983245), // Rule ID 9250 //
     /*  983155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983205 */     // MIs[1] Operand 1
     /*  983205 */     // No operand predicates
     /*  983205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  983221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983243 */     GIR_RootConstrainSelectedInstOperands,
     /*  983244 */     // GIR_Coverage, 9250,
     /*  983244 */     GIR_EraseRootFromParent_Done,
     /*  983245 */   // Label 14668: @983245
     /*  983245 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(983340), // Rule ID 9253 //
     /*  983250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983300 */     // MIs[1] Operand 1
     /*  983300 */     // No operand predicates
     /*  983300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983338 */     GIR_RootConstrainSelectedInstOperands,
     /*  983339 */     // GIR_Coverage, 9253,
     /*  983339 */     GIR_EraseRootFromParent_Done,
     /*  983340 */   // Label 14669: @983340
     /*  983340 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(983435), // Rule ID 9254 //
     /*  983345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983395 */     // MIs[1] Operand 1
     /*  983395 */     // No operand predicates
     /*  983395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  983411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983433 */     GIR_RootConstrainSelectedInstOperands,
     /*  983434 */     // GIR_Coverage, 9254,
     /*  983434 */     GIR_EraseRootFromParent_Done,
     /*  983435 */   // Label 14670: @983435
     /*  983435 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(983530), // Rule ID 9257 //
     /*  983440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983490 */     // MIs[1] Operand 1
     /*  983490 */     // No operand predicates
     /*  983490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983528 */     GIR_RootConstrainSelectedInstOperands,
     /*  983529 */     // GIR_Coverage, 9257,
     /*  983529 */     GIR_EraseRootFromParent_Done,
     /*  983530 */   // Label 14671: @983530
     /*  983530 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(983625), // Rule ID 9258 //
     /*  983535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  983543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983585 */     // MIs[1] Operand 1
     /*  983585 */     // No operand predicates
     /*  983585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  983601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983623 */     GIR_RootConstrainSelectedInstOperands,
     /*  983624 */     // GIR_Coverage, 9258,
     /*  983624 */     GIR_EraseRootFromParent_Done,
     /*  983625 */   // Label 14672: @983625
     /*  983625 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(983720), // Rule ID 9349 //
     /*  983630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983680 */     // MIs[1] Operand 1
     /*  983680 */     // No operand predicates
     /*  983680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  983693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  983696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983718 */     GIR_RootConstrainSelectedInstOperands,
     /*  983719 */     // GIR_Coverage, 9349,
     /*  983719 */     GIR_EraseRootFromParent_Done,
     /*  983720 */   // Label 14673: @983720
     /*  983720 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(983815), // Rule ID 9350 //
     /*  983725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983775 */     // MIs[1] Operand 1
     /*  983775 */     // No operand predicates
     /*  983775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  983788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  983791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983813 */     GIR_RootConstrainSelectedInstOperands,
     /*  983814 */     // GIR_Coverage, 9350,
     /*  983814 */     GIR_EraseRootFromParent_Done,
     /*  983815 */   // Label 14674: @983815
     /*  983815 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(983910), // Rule ID 9353 //
     /*  983820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983870 */     // MIs[1] Operand 1
     /*  983870 */     // No operand predicates
     /*  983870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983883 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  983883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  983886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983908 */     GIR_RootConstrainSelectedInstOperands,
     /*  983909 */     // GIR_Coverage, 9353,
     /*  983909 */     GIR_EraseRootFromParent_Done,
     /*  983910 */   // Label 14675: @983910
     /*  983910 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(984005), // Rule ID 9354 //
     /*  983915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983965 */     // MIs[1] Operand 1
     /*  983965 */     // No operand predicates
     /*  983965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  983978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  983981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984003 */     GIR_RootConstrainSelectedInstOperands,
     /*  984004 */     // GIR_Coverage, 9354,
     /*  984004 */     GIR_EraseRootFromParent_Done,
     /*  984005 */   // Label 14676: @984005
     /*  984005 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(984100), // Rule ID 9357 //
     /*  984010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984060 */     // MIs[1] Operand 1
     /*  984060 */     // No operand predicates
     /*  984060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984098 */     GIR_RootConstrainSelectedInstOperands,
     /*  984099 */     // GIR_Coverage, 9357,
     /*  984099 */     GIR_EraseRootFromParent_Done,
     /*  984100 */   // Label 14677: @984100
     /*  984100 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(984195), // Rule ID 9358 //
     /*  984105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984155 */     // MIs[1] Operand 1
     /*  984155 */     // No operand predicates
     /*  984155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984193 */     GIR_RootConstrainSelectedInstOperands,
     /*  984194 */     // GIR_Coverage, 9358,
     /*  984194 */     GIR_EraseRootFromParent_Done,
     /*  984195 */   // Label 14678: @984195
     /*  984195 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(984290), // Rule ID 9361 //
     /*  984200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984250 */     // MIs[1] Operand 1
     /*  984250 */     // No operand predicates
     /*  984250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984263 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984288 */     GIR_RootConstrainSelectedInstOperands,
     /*  984289 */     // GIR_Coverage, 9361,
     /*  984289 */     GIR_EraseRootFromParent_Done,
     /*  984290 */   // Label 14679: @984290
     /*  984290 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(984385), // Rule ID 9362 //
     /*  984295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984345 */     // MIs[1] Operand 1
     /*  984345 */     // No operand predicates
     /*  984345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  984361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984383 */     GIR_RootConstrainSelectedInstOperands,
     /*  984384 */     // GIR_Coverage, 9362,
     /*  984384 */     GIR_EraseRootFromParent_Done,
     /*  984385 */   // Label 14680: @984385
     /*  984385 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(984480), // Rule ID 9365 //
     /*  984390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984440 */     // MIs[1] Operand 1
     /*  984440 */     // No operand predicates
     /*  984440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984478 */     GIR_RootConstrainSelectedInstOperands,
     /*  984479 */     // GIR_Coverage, 9365,
     /*  984479 */     GIR_EraseRootFromParent_Done,
     /*  984480 */   // Label 14681: @984480
     /*  984480 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(984575), // Rule ID 9366 //
     /*  984485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984535 */     // MIs[1] Operand 1
     /*  984535 */     // No operand predicates
     /*  984535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984573 */     GIR_RootConstrainSelectedInstOperands,
     /*  984574 */     // GIR_Coverage, 9366,
     /*  984574 */     GIR_EraseRootFromParent_Done,
     /*  984575 */   // Label 14682: @984575
     /*  984575 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(984670), // Rule ID 9369 //
     /*  984580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  984597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984630 */     // MIs[1] Operand 1
     /*  984630 */     // No operand predicates
     /*  984630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984643 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  984643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984668 */     GIR_RootConstrainSelectedInstOperands,
     /*  984669 */     // GIR_Coverage, 9369,
     /*  984669 */     GIR_EraseRootFromParent_Done,
     /*  984670 */   // Label 14683: @984670
     /*  984670 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(984765), // Rule ID 9370 //
     /*  984675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  984692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984725 */     // MIs[1] Operand 1
     /*  984725 */     // No operand predicates
     /*  984725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  984738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  984741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984763 */     GIR_RootConstrainSelectedInstOperands,
     /*  984764 */     // GIR_Coverage, 9370,
     /*  984764 */     GIR_EraseRootFromParent_Done,
     /*  984765 */   // Label 14684: @984765
     /*  984765 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(984860), // Rule ID 9373 //
     /*  984770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984820 */     // MIs[1] Operand 1
     /*  984820 */     // No operand predicates
     /*  984820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984858 */     GIR_RootConstrainSelectedInstOperands,
     /*  984859 */     // GIR_Coverage, 9373,
     /*  984859 */     GIR_EraseRootFromParent_Done,
     /*  984860 */   // Label 14685: @984860
     /*  984860 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(984955), // Rule ID 9374 //
     /*  984865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984915 */     // MIs[1] Operand 1
     /*  984915 */     // No operand predicates
     /*  984915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984953 */     GIR_RootConstrainSelectedInstOperands,
     /*  984954 */     // GIR_Coverage, 9374,
     /*  984954 */     GIR_EraseRootFromParent_Done,
     /*  984955 */   // Label 14686: @984955
     /*  984955 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(985050), // Rule ID 9377 //
     /*  984960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  984977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985010 */     // MIs[1] Operand 1
     /*  985010 */     // No operand predicates
     /*  985010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985048 */     GIR_RootConstrainSelectedInstOperands,
     /*  985049 */     // GIR_Coverage, 9377,
     /*  985049 */     GIR_EraseRootFromParent_Done,
     /*  985050 */   // Label 14687: @985050
     /*  985050 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(985145), // Rule ID 9378 //
     /*  985055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985105 */     // MIs[1] Operand 1
     /*  985105 */     // No operand predicates
     /*  985105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985143 */     GIR_RootConstrainSelectedInstOperands,
     /*  985144 */     // GIR_Coverage, 9378,
     /*  985144 */     GIR_EraseRootFromParent_Done,
     /*  985145 */   // Label 14688: @985145
     /*  985145 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(985240), // Rule ID 9381 //
     /*  985150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985200 */     // MIs[1] Operand 1
     /*  985200 */     // No operand predicates
     /*  985200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985238 */     GIR_RootConstrainSelectedInstOperands,
     /*  985239 */     // GIR_Coverage, 9381,
     /*  985239 */     GIR_EraseRootFromParent_Done,
     /*  985240 */   // Label 14689: @985240
     /*  985240 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(985335), // Rule ID 9382 //
     /*  985245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985295 */     // MIs[1] Operand 1
     /*  985295 */     // No operand predicates
     /*  985295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985333 */     GIR_RootConstrainSelectedInstOperands,
     /*  985334 */     // GIR_Coverage, 9382,
     /*  985334 */     GIR_EraseRootFromParent_Done,
     /*  985335 */   // Label 14690: @985335
     /*  985335 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(985430), // Rule ID 9385 //
     /*  985340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985390 */     // MIs[1] Operand 1
     /*  985390 */     // No operand predicates
     /*  985390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  985403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985428 */     GIR_RootConstrainSelectedInstOperands,
     /*  985429 */     // GIR_Coverage, 9385,
     /*  985429 */     GIR_EraseRootFromParent_Done,
     /*  985430 */   // Label 14691: @985430
     /*  985430 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(985525), // Rule ID 9386 //
     /*  985435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985485 */     // MIs[1] Operand 1
     /*  985485 */     // No operand predicates
     /*  985485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  985498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  985501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985523 */     GIR_RootConstrainSelectedInstOperands,
     /*  985524 */     // GIR_Coverage, 9386,
     /*  985524 */     GIR_EraseRootFromParent_Done,
     /*  985525 */   // Label 14692: @985525
     /*  985525 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(985620), // Rule ID 9389 //
     /*  985530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985580 */     // MIs[1] Operand 1
     /*  985580 */     // No operand predicates
     /*  985580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985618 */     GIR_RootConstrainSelectedInstOperands,
     /*  985619 */     // GIR_Coverage, 9389,
     /*  985619 */     GIR_EraseRootFromParent_Done,
     /*  985620 */   // Label 14693: @985620
     /*  985620 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(985715), // Rule ID 9390 //
     /*  985625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985675 */     // MIs[1] Operand 1
     /*  985675 */     // No operand predicates
     /*  985675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985713 */     GIR_RootConstrainSelectedInstOperands,
     /*  985714 */     // GIR_Coverage, 9390,
     /*  985714 */     GIR_EraseRootFromParent_Done,
     /*  985715 */   // Label 14694: @985715
     /*  985715 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(985810), // Rule ID 9393 //
     /*  985720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985770 */     // MIs[1] Operand 1
     /*  985770 */     // No operand predicates
     /*  985770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985783 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985808 */     GIR_RootConstrainSelectedInstOperands,
     /*  985809 */     // GIR_Coverage, 9393,
     /*  985809 */     GIR_EraseRootFromParent_Done,
     /*  985810 */   // Label 14695: @985810
     /*  985810 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(985905), // Rule ID 9394 //
     /*  985815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985865 */     // MIs[1] Operand 1
     /*  985865 */     // No operand predicates
     /*  985865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985903 */     GIR_RootConstrainSelectedInstOperands,
     /*  985904 */     // GIR_Coverage, 9394,
     /*  985904 */     GIR_EraseRootFromParent_Done,
     /*  985905 */   // Label 14696: @985905
     /*  985905 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(986000), // Rule ID 9397 //
     /*  985910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  985921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  985924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  985927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  985933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985960 */     // MIs[1] Operand 1
     /*  985960 */     // No operand predicates
     /*  985960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985973 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  985976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985998 */     GIR_RootConstrainSelectedInstOperands,
     /*  985999 */     // GIR_Coverage, 9397,
     /*  985999 */     GIR_EraseRootFromParent_Done,
     /*  986000 */   // Label 14697: @986000
     /*  986000 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(986095), // Rule ID 9398 //
     /*  986005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986055 */     // MIs[1] Operand 1
     /*  986055 */     // No operand predicates
     /*  986055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986093 */     GIR_RootConstrainSelectedInstOperands,
     /*  986094 */     // GIR_Coverage, 9398,
     /*  986094 */     GIR_EraseRootFromParent_Done,
     /*  986095 */   // Label 14698: @986095
     /*  986095 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(986190), // Rule ID 9401 //
     /*  986100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986150 */     // MIs[1] Operand 1
     /*  986150 */     // No operand predicates
     /*  986150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986188 */     GIR_RootConstrainSelectedInstOperands,
     /*  986189 */     // GIR_Coverage, 9401,
     /*  986189 */     GIR_EraseRootFromParent_Done,
     /*  986190 */   // Label 14699: @986190
     /*  986190 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(986285), // Rule ID 9402 //
     /*  986195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986245 */     // MIs[1] Operand 1
     /*  986245 */     // No operand predicates
     /*  986245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986283 */     GIR_RootConstrainSelectedInstOperands,
     /*  986284 */     // GIR_Coverage, 9402,
     /*  986284 */     GIR_EraseRootFromParent_Done,
     /*  986285 */   // Label 14700: @986285
     /*  986285 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(986380), // Rule ID 9405 //
     /*  986290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986340 */     // MIs[1] Operand 1
     /*  986340 */     // No operand predicates
     /*  986340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986378 */     GIR_RootConstrainSelectedInstOperands,
     /*  986379 */     // GIR_Coverage, 9405,
     /*  986379 */     GIR_EraseRootFromParent_Done,
     /*  986380 */   // Label 14701: @986380
     /*  986380 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(986475), // Rule ID 9406 //
     /*  986385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986435 */     // MIs[1] Operand 1
     /*  986435 */     // No operand predicates
     /*  986435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986473 */     GIR_RootConstrainSelectedInstOperands,
     /*  986474 */     // GIR_Coverage, 9406,
     /*  986474 */     GIR_EraseRootFromParent_Done,
     /*  986475 */   // Label 14702: @986475
     /*  986475 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(986570), // Rule ID 9409 //
     /*  986480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986530 */     // MIs[1] Operand 1
     /*  986530 */     // No operand predicates
     /*  986530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986543 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986568 */     GIR_RootConstrainSelectedInstOperands,
     /*  986569 */     // GIR_Coverage, 9409,
     /*  986569 */     GIR_EraseRootFromParent_Done,
     /*  986570 */   // Label 14703: @986570
     /*  986570 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(986665), // Rule ID 9410 //
     /*  986575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986625 */     // MIs[1] Operand 1
     /*  986625 */     // No operand predicates
     /*  986625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986638 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986663 */     GIR_RootConstrainSelectedInstOperands,
     /*  986664 */     // GIR_Coverage, 9410,
     /*  986664 */     GIR_EraseRootFromParent_Done,
     /*  986665 */   // Label 14704: @986665
     /*  986665 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(986760), // Rule ID 9413 //
     /*  986670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  986687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986720 */     // MIs[1] Operand 1
     /*  986720 */     // No operand predicates
     /*  986720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986758 */     GIR_RootConstrainSelectedInstOperands,
     /*  986759 */     // GIR_Coverage, 9413,
     /*  986759 */     GIR_EraseRootFromParent_Done,
     /*  986760 */   // Label 14705: @986760
     /*  986760 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(986855), // Rule ID 9414 //
     /*  986765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  986782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986815 */     // MIs[1] Operand 1
     /*  986815 */     // No operand predicates
     /*  986815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  986828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986853 */     GIR_RootConstrainSelectedInstOperands,
     /*  986854 */     // GIR_Coverage, 9414,
     /*  986854 */     GIR_EraseRootFromParent_Done,
     /*  986855 */   // Label 14706: @986855
     /*  986855 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(986950), // Rule ID 9417 //
     /*  986860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  986877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986910 */     // MIs[1] Operand 1
     /*  986910 */     // No operand predicates
     /*  986910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986948 */     GIR_RootConstrainSelectedInstOperands,
     /*  986949 */     // GIR_Coverage, 9417,
     /*  986949 */     GIR_EraseRootFromParent_Done,
     /*  986950 */   // Label 14707: @986950
     /*  986950 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(987045), // Rule ID 9418 //
     /*  986955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  986972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987005 */     // MIs[1] Operand 1
     /*  987005 */     // No operand predicates
     /*  987005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987043 */     GIR_RootConstrainSelectedInstOperands,
     /*  987044 */     // GIR_Coverage, 9418,
     /*  987044 */     GIR_EraseRootFromParent_Done,
     /*  987045 */   // Label 14708: @987045
     /*  987045 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(987140), // Rule ID 9421 //
     /*  987050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987100 */     // MIs[1] Operand 1
     /*  987100 */     // No operand predicates
     /*  987100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987138 */     GIR_RootConstrainSelectedInstOperands,
     /*  987139 */     // GIR_Coverage, 9421,
     /*  987139 */     GIR_EraseRootFromParent_Done,
     /*  987140 */   // Label 14709: @987140
     /*  987140 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(987235), // Rule ID 9422 //
     /*  987145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987195 */     // MIs[1] Operand 1
     /*  987195 */     // No operand predicates
     /*  987195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987233 */     GIR_RootConstrainSelectedInstOperands,
     /*  987234 */     // GIR_Coverage, 9422,
     /*  987234 */     GIR_EraseRootFromParent_Done,
     /*  987235 */   // Label 14710: @987235
     /*  987235 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(987330), // Rule ID 9425 //
     /*  987240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987290 */     // MIs[1] Operand 1
     /*  987290 */     // No operand predicates
     /*  987290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987303 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987328 */     GIR_RootConstrainSelectedInstOperands,
     /*  987329 */     // GIR_Coverage, 9425,
     /*  987329 */     GIR_EraseRootFromParent_Done,
     /*  987330 */   // Label 14711: @987330
     /*  987330 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(987425), // Rule ID 9426 //
     /*  987335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987385 */     // MIs[1] Operand 1
     /*  987385 */     // No operand predicates
     /*  987385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  987401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987423 */     GIR_RootConstrainSelectedInstOperands,
     /*  987424 */     // GIR_Coverage, 9426,
     /*  987424 */     GIR_EraseRootFromParent_Done,
     /*  987425 */   // Label 14712: @987425
     /*  987425 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(987520), // Rule ID 9429 //
     /*  987430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987480 */     // MIs[1] Operand 1
     /*  987480 */     // No operand predicates
     /*  987480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987518 */     GIR_RootConstrainSelectedInstOperands,
     /*  987519 */     // GIR_Coverage, 9429,
     /*  987519 */     GIR_EraseRootFromParent_Done,
     /*  987520 */   // Label 14713: @987520
     /*  987520 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(987615), // Rule ID 9430 //
     /*  987525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987575 */     // MIs[1] Operand 1
     /*  987575 */     // No operand predicates
     /*  987575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  987591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987613 */     GIR_RootConstrainSelectedInstOperands,
     /*  987614 */     // GIR_Coverage, 9430,
     /*  987614 */     GIR_EraseRootFromParent_Done,
     /*  987615 */   // Label 14714: @987615
     /*  987615 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(987710), // Rule ID 9433 //
     /*  987620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  987637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987670 */     // MIs[1] Operand 1
     /*  987670 */     // No operand predicates
     /*  987670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987708 */     GIR_RootConstrainSelectedInstOperands,
     /*  987709 */     // GIR_Coverage, 9433,
     /*  987709 */     GIR_EraseRootFromParent_Done,
     /*  987710 */   // Label 14715: @987710
     /*  987710 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(987805), // Rule ID 9434 //
     /*  987715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  987723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  987732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987765 */     // MIs[1] Operand 1
     /*  987765 */     // No operand predicates
     /*  987765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  987781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987803 */     GIR_RootConstrainSelectedInstOperands,
     /*  987804 */     // GIR_Coverage, 9434,
     /*  987804 */     GIR_EraseRootFromParent_Done,
     /*  987805 */   // Label 14716: @987805
     /*  987805 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(987897), // Rule ID 13811 //
     /*  987810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  987821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  987824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  987827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987860 */     // MIs[1] Operand 1
     /*  987860 */     // No operand predicates
     /*  987860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  987873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  987876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987895 */     GIR_RootConstrainSelectedInstOperands,
     /*  987896 */     // GIR_Coverage, 13811,
     /*  987896 */     GIR_EraseRootFromParent_Done,
     /*  987897 */   // Label 14717: @987897
     /*  987897 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(987989), // Rule ID 13812 //
     /*  987902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  987913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  987916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  987919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987952 */     // MIs[1] Operand 1
     /*  987952 */     // No operand predicates
     /*  987952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987965 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  987965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  987968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987987 */     GIR_RootConstrainSelectedInstOperands,
     /*  987988 */     // GIR_Coverage, 13812,
     /*  987988 */     GIR_EraseRootFromParent_Done,
     /*  987989 */   // Label 14718: @987989
     /*  987989 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(988081), // Rule ID 13813 //
     /*  987994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988044 */     // MIs[1] Operand 1
     /*  988044 */     // No operand predicates
     /*  988044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988057 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988079 */     GIR_RootConstrainSelectedInstOperands,
     /*  988080 */     // GIR_Coverage, 13813,
     /*  988080 */     GIR_EraseRootFromParent_Done,
     /*  988081 */   // Label 14719: @988081
     /*  988081 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(988173), // Rule ID 13814 //
     /*  988086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  988097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  988100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988136 */     // MIs[1] Operand 1
     /*  988136 */     // No operand predicates
     /*  988136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988149 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988171 */     GIR_RootConstrainSelectedInstOperands,
     /*  988172 */     // GIR_Coverage, 13814,
     /*  988172 */     GIR_EraseRootFromParent_Done,
     /*  988173 */   // Label 14720: @988173
     /*  988173 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(988265), // Rule ID 13815 //
     /*  988178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988228 */     // MIs[1] Operand 1
     /*  988228 */     // No operand predicates
     /*  988228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988241 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988263 */     GIR_RootConstrainSelectedInstOperands,
     /*  988264 */     // GIR_Coverage, 13815,
     /*  988264 */     GIR_EraseRootFromParent_Done,
     /*  988265 */   // Label 14721: @988265
     /*  988265 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(988357), // Rule ID 13816 //
     /*  988270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  988281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  988284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988320 */     // MIs[1] Operand 1
     /*  988320 */     // No operand predicates
     /*  988320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988355 */     GIR_RootConstrainSelectedInstOperands,
     /*  988356 */     // GIR_Coverage, 13816,
     /*  988356 */     GIR_EraseRootFromParent_Done,
     /*  988357 */   // Label 14722: @988357
     /*  988357 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(988449), // Rule ID 13817 //
     /*  988362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988412 */     // MIs[1] Operand 1
     /*  988412 */     // No operand predicates
     /*  988412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988447 */     GIR_RootConstrainSelectedInstOperands,
     /*  988448 */     // GIR_Coverage, 13817,
     /*  988448 */     GIR_EraseRootFromParent_Done,
     /*  988449 */   // Label 14723: @988449
     /*  988449 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(988541), // Rule ID 13818 //
     /*  988454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988504 */     // MIs[1] Operand 1
     /*  988504 */     // No operand predicates
     /*  988504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  988520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988539 */     GIR_RootConstrainSelectedInstOperands,
     /*  988540 */     // GIR_Coverage, 13818,
     /*  988540 */     GIR_EraseRootFromParent_Done,
     /*  988541 */   // Label 14724: @988541
     /*  988541 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(988633), // Rule ID 13819 //
     /*  988546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988596 */     // MIs[1] Operand 1
     /*  988596 */     // No operand predicates
     /*  988596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  988609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988631 */     GIR_RootConstrainSelectedInstOperands,
     /*  988632 */     // GIR_Coverage, 13819,
     /*  988632 */     GIR_EraseRootFromParent_Done,
     /*  988633 */   // Label 14725: @988633
     /*  988633 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(988725), // Rule ID 13820 //
     /*  988638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988688 */     // MIs[1] Operand 1
     /*  988688 */     // No operand predicates
     /*  988688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988701 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988723 */     GIR_RootConstrainSelectedInstOperands,
     /*  988724 */     // GIR_Coverage, 13820,
     /*  988724 */     GIR_EraseRootFromParent_Done,
     /*  988725 */   // Label 14726: @988725
     /*  988725 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(988817), // Rule ID 13821 //
     /*  988730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  988741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  988744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988780 */     // MIs[1] Operand 1
     /*  988780 */     // No operand predicates
     /*  988780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  988793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988815 */     GIR_RootConstrainSelectedInstOperands,
     /*  988816 */     // GIR_Coverage, 13821,
     /*  988816 */     GIR_EraseRootFromParent_Done,
     /*  988817 */   // Label 14727: @988817
     /*  988817 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(988909), // Rule ID 13822 //
     /*  988822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  988833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  988836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988872 */     // MIs[1] Operand 1
     /*  988872 */     // No operand predicates
     /*  988872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  988885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  988888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988907 */     GIR_RootConstrainSelectedInstOperands,
     /*  988908 */     // GIR_Coverage, 13822,
     /*  988908 */     GIR_EraseRootFromParent_Done,
     /*  988909 */   // Label 14728: @988909
     /*  988909 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(989001), // Rule ID 13823 //
     /*  988914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  988925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  988928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  988931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988964 */     // MIs[1] Operand 1
     /*  988964 */     // No operand predicates
     /*  988964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988999 */     GIR_RootConstrainSelectedInstOperands,
     /*  989000 */     // GIR_Coverage, 13823,
     /*  989000 */     GIR_EraseRootFromParent_Done,
     /*  989001 */   // Label 14729: @989001
     /*  989001 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(989093), // Rule ID 13824 //
     /*  989006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989056 */     // MIs[1] Operand 1
     /*  989056 */     // No operand predicates
     /*  989056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989091 */     GIR_RootConstrainSelectedInstOperands,
     /*  989092 */     // GIR_Coverage, 13824,
     /*  989092 */     GIR_EraseRootFromParent_Done,
     /*  989093 */   // Label 14730: @989093
     /*  989093 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(989185), // Rule ID 13825 //
     /*  989098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989148 */     // MIs[1] Operand 1
     /*  989148 */     // No operand predicates
     /*  989148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989183 */     GIR_RootConstrainSelectedInstOperands,
     /*  989184 */     // GIR_Coverage, 13825,
     /*  989184 */     GIR_EraseRootFromParent_Done,
     /*  989185 */   // Label 14731: @989185
     /*  989185 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(989277), // Rule ID 13826 //
     /*  989190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989240 */     // MIs[1] Operand 1
     /*  989240 */     // No operand predicates
     /*  989240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989275 */     GIR_RootConstrainSelectedInstOperands,
     /*  989276 */     // GIR_Coverage, 13826,
     /*  989276 */     GIR_EraseRootFromParent_Done,
     /*  989277 */   // Label 14732: @989277
     /*  989277 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(989369), // Rule ID 13827 //
     /*  989282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989332 */     // MIs[1] Operand 1
     /*  989332 */     // No operand predicates
     /*  989332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989367 */     GIR_RootConstrainSelectedInstOperands,
     /*  989368 */     // GIR_Coverage, 13827,
     /*  989368 */     GIR_EraseRootFromParent_Done,
     /*  989369 */   // Label 14733: @989369
     /*  989369 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(989461), // Rule ID 13828 //
     /*  989374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989424 */     // MIs[1] Operand 1
     /*  989424 */     // No operand predicates
     /*  989424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989459 */     GIR_RootConstrainSelectedInstOperands,
     /*  989460 */     // GIR_Coverage, 13828,
     /*  989460 */     GIR_EraseRootFromParent_Done,
     /*  989461 */   // Label 14734: @989461
     /*  989461 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(989553), // Rule ID 13829 //
     /*  989466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  989469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989516 */     // MIs[1] Operand 1
     /*  989516 */     // No operand predicates
     /*  989516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  989529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989551 */     GIR_RootConstrainSelectedInstOperands,
     /*  989552 */     // GIR_Coverage, 13829,
     /*  989552 */     GIR_EraseRootFromParent_Done,
     /*  989553 */   // Label 14735: @989553
     /*  989553 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(989645), // Rule ID 13830 //
     /*  989558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  989561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989608 */     // MIs[1] Operand 1
     /*  989608 */     // No operand predicates
     /*  989608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  989621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  989624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989643 */     GIR_RootConstrainSelectedInstOperands,
     /*  989644 */     // GIR_Coverage, 13830,
     /*  989644 */     GIR_EraseRootFromParent_Done,
     /*  989645 */   // Label 14736: @989645
     /*  989645 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(989737), // Rule ID 13831 //
     /*  989650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  989667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989700 */     // MIs[1] Operand 1
     /*  989700 */     // No operand predicates
     /*  989700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989713 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989735 */     GIR_RootConstrainSelectedInstOperands,
     /*  989736 */     // GIR_Coverage, 13831,
     /*  989736 */     GIR_EraseRootFromParent_Done,
     /*  989737 */   // Label 14737: @989737
     /*  989737 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(989829), // Rule ID 13832 //
     /*  989742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  989759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989792 */     // MIs[1] Operand 1
     /*  989792 */     // No operand predicates
     /*  989792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989827 */     GIR_RootConstrainSelectedInstOperands,
     /*  989828 */     // GIR_Coverage, 13832,
     /*  989828 */     GIR_EraseRootFromParent_Done,
     /*  989829 */   // Label 14738: @989829
     /*  989829 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(989921), // Rule ID 13833 //
     /*  989834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  989845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  989848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  989851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  989857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989884 */     // MIs[1] Operand 1
     /*  989884 */     // No operand predicates
     /*  989884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  989897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989919 */     GIR_RootConstrainSelectedInstOperands,
     /*  989920 */     // GIR_Coverage, 13833,
     /*  989920 */     GIR_EraseRootFromParent_Done,
     /*  989921 */   // Label 14739: @989921
     /*  989921 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(990013), // Rule ID 13834 //
     /*  989926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  989937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  989940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  989943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  989949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989976 */     // MIs[1] Operand 1
     /*  989976 */     // No operand predicates
     /*  989976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989989 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  989989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990011 */     GIR_RootConstrainSelectedInstOperands,
     /*  990012 */     // GIR_Coverage, 13834,
     /*  990012 */     GIR_EraseRootFromParent_Done,
     /*  990013 */   // Label 14740: @990013
     /*  990013 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(990105), // Rule ID 13835 //
     /*  990018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990068 */     // MIs[1] Operand 1
     /*  990068 */     // No operand predicates
     /*  990068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990081 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  990081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990103 */     GIR_RootConstrainSelectedInstOperands,
     /*  990104 */     // GIR_Coverage, 13835,
     /*  990104 */     GIR_EraseRootFromParent_Done,
     /*  990105 */   // Label 14741: @990105
     /*  990105 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(990197), // Rule ID 13836 //
     /*  990110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  990121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  990124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990160 */     // MIs[1] Operand 1
     /*  990160 */     // No operand predicates
     /*  990160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990173 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  990173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990195 */     GIR_RootConstrainSelectedInstOperands,
     /*  990196 */     // GIR_Coverage, 13836,
     /*  990196 */     GIR_EraseRootFromParent_Done,
     /*  990197 */   // Label 14742: @990197
     /*  990197 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(990289), // Rule ID 13837 //
     /*  990202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990252 */     // MIs[1] Operand 1
     /*  990252 */     // No operand predicates
     /*  990252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990287 */     GIR_RootConstrainSelectedInstOperands,
     /*  990288 */     // GIR_Coverage, 13837,
     /*  990288 */     GIR_EraseRootFromParent_Done,
     /*  990289 */   // Label 14743: @990289
     /*  990289 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(990381), // Rule ID 13838 //
     /*  990294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990344 */     // MIs[1] Operand 1
     /*  990344 */     // No operand predicates
     /*  990344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990379 */     GIR_RootConstrainSelectedInstOperands,
     /*  990380 */     // GIR_Coverage, 13838,
     /*  990380 */     GIR_EraseRootFromParent_Done,
     /*  990381 */   // Label 14744: @990381
     /*  990381 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(990473), // Rule ID 13839 //
     /*  990386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990436 */     // MIs[1] Operand 1
     /*  990436 */     // No operand predicates
     /*  990436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990471 */     GIR_RootConstrainSelectedInstOperands,
     /*  990472 */     // GIR_Coverage, 13839,
     /*  990472 */     GIR_EraseRootFromParent_Done,
     /*  990473 */   // Label 14745: @990473
     /*  990473 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(990565), // Rule ID 13840 //
     /*  990478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990528 */     // MIs[1] Operand 1
     /*  990528 */     // No operand predicates
     /*  990528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990563 */     GIR_RootConstrainSelectedInstOperands,
     /*  990564 */     // GIR_Coverage, 13840,
     /*  990564 */     GIR_EraseRootFromParent_Done,
     /*  990565 */   // Label 14746: @990565
     /*  990565 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(990657), // Rule ID 13841 //
     /*  990570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990620 */     // MIs[1] Operand 1
     /*  990620 */     // No operand predicates
     /*  990620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  990633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990655 */     GIR_RootConstrainSelectedInstOperands,
     /*  990656 */     // GIR_Coverage, 13841,
     /*  990656 */     GIR_EraseRootFromParent_Done,
     /*  990657 */   // Label 14747: @990657
     /*  990657 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(990749), // Rule ID 13842 //
     /*  990662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990712 */     // MIs[1] Operand 1
     /*  990712 */     // No operand predicates
     /*  990712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  990725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990747 */     GIR_RootConstrainSelectedInstOperands,
     /*  990748 */     // GIR_Coverage, 13842,
     /*  990748 */     GIR_EraseRootFromParent_Done,
     /*  990749 */   // Label 14748: @990749
     /*  990749 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(990841), // Rule ID 13843 //
     /*  990754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990804 */     // MIs[1] Operand 1
     /*  990804 */     // No operand predicates
     /*  990804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  990817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990839 */     GIR_RootConstrainSelectedInstOperands,
     /*  990840 */     // GIR_Coverage, 13843,
     /*  990840 */     GIR_EraseRootFromParent_Done,
     /*  990841 */   // Label 14749: @990841
     /*  990841 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(990933), // Rule ID 13844 //
     /*  990846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990896 */     // MIs[1] Operand 1
     /*  990896 */     // No operand predicates
     /*  990896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  990909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990931 */     GIR_RootConstrainSelectedInstOperands,
     /*  990932 */     // GIR_Coverage, 13844,
     /*  990932 */     GIR_EraseRootFromParent_Done,
     /*  990933 */   // Label 14750: @990933
     /*  990933 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(991025), // Rule ID 13845 //
     /*  990938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  990949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  990952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  990955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990988 */     // MIs[1] Operand 1
     /*  990988 */     // No operand predicates
     /*  990988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991023 */     GIR_RootConstrainSelectedInstOperands,
     /*  991024 */     // GIR_Coverage, 13845,
     /*  991024 */     GIR_EraseRootFromParent_Done,
     /*  991025 */   // Label 14751: @991025
     /*  991025 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(991117), // Rule ID 13846 //
     /*  991030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991080 */     // MIs[1] Operand 1
     /*  991080 */     // No operand predicates
     /*  991080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991115 */     GIR_RootConstrainSelectedInstOperands,
     /*  991116 */     // GIR_Coverage, 13846,
     /*  991116 */     GIR_EraseRootFromParent_Done,
     /*  991117 */   // Label 14752: @991117
     /*  991117 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(991209), // Rule ID 13847 //
     /*  991122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991172 */     // MIs[1] Operand 1
     /*  991172 */     // No operand predicates
     /*  991172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  991185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991207 */     GIR_RootConstrainSelectedInstOperands,
     /*  991208 */     // GIR_Coverage, 13847,
     /*  991208 */     GIR_EraseRootFromParent_Done,
     /*  991209 */   // Label 14753: @991209
     /*  991209 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(991301), // Rule ID 13848 //
     /*  991214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991264 */     // MIs[1] Operand 1
     /*  991264 */     // No operand predicates
     /*  991264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  991277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991299 */     GIR_RootConstrainSelectedInstOperands,
     /*  991300 */     // GIR_Coverage, 13848,
     /*  991300 */     GIR_EraseRootFromParent_Done,
     /*  991301 */   // Label 14754: @991301
     /*  991301 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(991393), // Rule ID 13849 //
     /*  991306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991356 */     // MIs[1] Operand 1
     /*  991356 */     // No operand predicates
     /*  991356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991391 */     GIR_RootConstrainSelectedInstOperands,
     /*  991392 */     // GIR_Coverage, 13849,
     /*  991392 */     GIR_EraseRootFromParent_Done,
     /*  991393 */   // Label 14755: @991393
     /*  991393 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(991485), // Rule ID 13850 //
     /*  991398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991448 */     // MIs[1] Operand 1
     /*  991448 */     // No operand predicates
     /*  991448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  991464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991483 */     GIR_RootConstrainSelectedInstOperands,
     /*  991484 */     // GIR_Coverage, 13850,
     /*  991484 */     GIR_EraseRootFromParent_Done,
     /*  991485 */   // Label 14756: @991485
     /*  991485 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(991577), // Rule ID 13851 //
     /*  991490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991540 */     // MIs[1] Operand 1
     /*  991540 */     // No operand predicates
     /*  991540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991553 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991575 */     GIR_RootConstrainSelectedInstOperands,
     /*  991576 */     // GIR_Coverage, 13851,
     /*  991576 */     GIR_EraseRootFromParent_Done,
     /*  991577 */   // Label 14757: @991577
     /*  991577 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(991669), // Rule ID 13852 //
     /*  991582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991632 */     // MIs[1] Operand 1
     /*  991632 */     // No operand predicates
     /*  991632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  991648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991667 */     GIR_RootConstrainSelectedInstOperands,
     /*  991668 */     // GIR_Coverage, 13852,
     /*  991668 */     GIR_EraseRootFromParent_Done,
     /*  991669 */   // Label 14758: @991669
     /*  991669 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(991761), // Rule ID 13853 //
     /*  991674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991724 */     // MIs[1] Operand 1
     /*  991724 */     // No operand predicates
     /*  991724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  991737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991759 */     GIR_RootConstrainSelectedInstOperands,
     /*  991760 */     // GIR_Coverage, 13853,
     /*  991760 */     GIR_EraseRootFromParent_Done,
     /*  991761 */   // Label 14759: @991761
     /*  991761 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(991853), // Rule ID 13854 //
     /*  991766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  991774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991816 */     // MIs[1] Operand 1
     /*  991816 */     // No operand predicates
     /*  991816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  991829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  991832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991851 */     GIR_RootConstrainSelectedInstOperands,
     /*  991852 */     // GIR_Coverage, 13854,
     /*  991852 */     GIR_EraseRootFromParent_Done,
     /*  991853 */   // Label 14760: @991853
     /*  991853 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(991929), // Rule ID 2649 //
     /*  991858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  991861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  991875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991886 */     // MIs[0] passthru
     /*  991886 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991895 */     // MIs[0] round
     /*  991895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991905 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  991905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  991908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991927 */     GIR_RootConstrainSelectedInstOperands,
     /*  991928 */     // GIR_Coverage, 2649,
     /*  991928 */     GIR_EraseRootFromParent_Done,
     /*  991929 */   // Label 14761: @991929
     /*  991929 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(992005), // Rule ID 2650 //
     /*  991934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  991937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  991951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991962 */     // MIs[0] passthru
     /*  991962 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991971 */     // MIs[0] round
     /*  991971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991981 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  991981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  991984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992003 */     GIR_RootConstrainSelectedInstOperands,
     /*  992004 */     // GIR_Coverage, 2650,
     /*  992004 */     GIR_EraseRootFromParent_Done,
     /*  992005 */   // Label 14762: @992005
     /*  992005 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(992081), // Rule ID 17021 //
     /*  992010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992038 */     // MIs[0] passthru
     /*  992038 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992047 */     // MIs[0] round
     /*  992047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992079 */     GIR_RootConstrainSelectedInstOperands,
     /*  992080 */     // GIR_Coverage, 17021,
     /*  992080 */     GIR_EraseRootFromParent_Done,
     /*  992081 */   // Label 14763: @992081
     /*  992081 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(992157), // Rule ID 17022 //
     /*  992086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992114 */     // MIs[0] passthru
     /*  992114 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992123 */     // MIs[0] round
     /*  992123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  992136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992155 */     GIR_RootConstrainSelectedInstOperands,
     /*  992156 */     // GIR_Coverage, 17022,
     /*  992156 */     GIR_EraseRootFromParent_Done,
     /*  992157 */   // Label 14764: @992157
     /*  992157 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(992233), // Rule ID 17031 //
     /*  992162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992190 */     // MIs[0] passthru
     /*  992190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992199 */     // MIs[0] round
     /*  992199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992231 */     GIR_RootConstrainSelectedInstOperands,
     /*  992232 */     // GIR_Coverage, 17031,
     /*  992232 */     GIR_EraseRootFromParent_Done,
     /*  992233 */   // Label 14765: @992233
     /*  992233 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(992309), // Rule ID 17032 //
     /*  992238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992266 */     // MIs[0] passthru
     /*  992266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992275 */     // MIs[0] round
     /*  992275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992285 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  992288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992307 */     GIR_RootConstrainSelectedInstOperands,
     /*  992308 */     // GIR_Coverage, 17032,
     /*  992308 */     GIR_EraseRootFromParent_Done,
     /*  992309 */   // Label 14766: @992309
     /*  992309 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(992385), // Rule ID 17041 //
     /*  992314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992342 */     // MIs[0] passthru
     /*  992342 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992351 */     // MIs[0] round
     /*  992351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992361 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992383 */     GIR_RootConstrainSelectedInstOperands,
     /*  992384 */     // GIR_Coverage, 17041,
     /*  992384 */     GIR_EraseRootFromParent_Done,
     /*  992385 */   // Label 14767: @992385
     /*  992385 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(992461), // Rule ID 17042 //
     /*  992390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992418 */     // MIs[0] passthru
     /*  992418 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992427 */     // MIs[0] round
     /*  992427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992437 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  992440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992459 */     GIR_RootConstrainSelectedInstOperands,
     /*  992460 */     // GIR_Coverage, 17042,
     /*  992460 */     GIR_EraseRootFromParent_Done,
     /*  992461 */   // Label 14768: @992461
     /*  992461 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(992537), // Rule ID 17051 //
     /*  992466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992494 */     // MIs[0] passthru
     /*  992494 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992503 */     // MIs[0] round
     /*  992503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992513 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992535 */     GIR_RootConstrainSelectedInstOperands,
     /*  992536 */     // GIR_Coverage, 17051,
     /*  992536 */     GIR_EraseRootFromParent_Done,
     /*  992537 */   // Label 14769: @992537
     /*  992537 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(992613), // Rule ID 17052 //
     /*  992542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992570 */     // MIs[0] passthru
     /*  992570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992579 */     // MIs[0] round
     /*  992579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992589 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  992592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992611 */     GIR_RootConstrainSelectedInstOperands,
     /*  992612 */     // GIR_Coverage, 17052,
     /*  992612 */     GIR_EraseRootFromParent_Done,
     /*  992613 */   // Label 14770: @992613
     /*  992613 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(992689), // Rule ID 17061 //
     /*  992618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992646 */     // MIs[0] passthru
     /*  992646 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992655 */     // MIs[0] round
     /*  992655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  992668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992687 */     GIR_RootConstrainSelectedInstOperands,
     /*  992688 */     // GIR_Coverage, 17061,
     /*  992688 */     GIR_EraseRootFromParent_Done,
     /*  992689 */   // Label 14771: @992689
     /*  992689 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(992765), // Rule ID 17062 //
     /*  992694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  992697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992722 */     // MIs[0] passthru
     /*  992722 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992731 */     // MIs[0] round
     /*  992731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992741 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  992744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992763 */     GIR_RootConstrainSelectedInstOperands,
     /*  992764 */     // GIR_Coverage, 17062,
     /*  992764 */     GIR_EraseRootFromParent_Done,
     /*  992765 */   // Label 14772: @992765
     /*  992765 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(992841), // Rule ID 17071 //
     /*  992770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  992787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992798 */     // MIs[0] passthru
     /*  992798 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992807 */     // MIs[0] round
     /*  992807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992817 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  992820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992839 */     GIR_RootConstrainSelectedInstOperands,
     /*  992840 */     // GIR_Coverage, 17071,
     /*  992840 */     GIR_EraseRootFromParent_Done,
     /*  992841 */   // Label 14773: @992841
     /*  992841 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(992917), // Rule ID 17072 //
     /*  992846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  992849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  992863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992874 */     // MIs[0] passthru
     /*  992874 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992883 */     // MIs[0] round
     /*  992883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992893 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  992896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992915 */     GIR_RootConstrainSelectedInstOperands,
     /*  992916 */     // GIR_Coverage, 17072,
     /*  992916 */     GIR_EraseRootFromParent_Done,
     /*  992917 */   // Label 14774: @992917
     /*  992917 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(992993), // Rule ID 17081 //
     /*  992922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  992930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  992939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992950 */     // MIs[0] passthru
     /*  992950 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992959 */     // MIs[0] round
     /*  992959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992969 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  992972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992991 */     GIR_RootConstrainSelectedInstOperands,
     /*  992992 */     // GIR_Coverage, 17081,
     /*  992992 */     GIR_EraseRootFromParent_Done,
     /*  992993 */   // Label 14775: @992993
     /*  992993 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(993069), // Rule ID 17082 //
     /*  992998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993026 */     // MIs[0] passthru
     /*  993026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993035 */     // MIs[0] round
     /*  993035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993045 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  993048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993067 */     GIR_RootConstrainSelectedInstOperands,
     /*  993068 */     // GIR_Coverage, 17082,
     /*  993068 */     GIR_EraseRootFromParent_Done,
     /*  993069 */   // Label 14776: @993069
     /*  993069 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(993145), // Rule ID 17091 //
     /*  993074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993102 */     // MIs[0] passthru
     /*  993102 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993111 */     // MIs[0] round
     /*  993111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993121 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993143 */     GIR_RootConstrainSelectedInstOperands,
     /*  993144 */     // GIR_Coverage, 17091,
     /*  993144 */     GIR_EraseRootFromParent_Done,
     /*  993145 */   // Label 14777: @993145
     /*  993145 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(993221), // Rule ID 17092 //
     /*  993150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  993158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993178 */     // MIs[0] passthru
     /*  993178 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993187 */     // MIs[0] round
     /*  993187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993197 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  993200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993219 */     GIR_RootConstrainSelectedInstOperands,
     /*  993220 */     // GIR_Coverage, 17092,
     /*  993220 */     GIR_EraseRootFromParent_Done,
     /*  993221 */   // Label 14778: @993221
     /*  993221 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(993297), // Rule ID 17137 //
     /*  993226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993254 */     // MIs[0] passthru
     /*  993254 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993263 */     // MIs[0] round
     /*  993263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993273 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993295 */     GIR_RootConstrainSelectedInstOperands,
     /*  993296 */     // GIR_Coverage, 17137,
     /*  993296 */     GIR_EraseRootFromParent_Done,
     /*  993297 */   // Label 14779: @993297
     /*  993297 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(993373), // Rule ID 17138 //
     /*  993302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  993319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993330 */     // MIs[0] passthru
     /*  993330 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993339 */     // MIs[0] round
     /*  993339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993349 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  993352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993371 */     GIR_RootConstrainSelectedInstOperands,
     /*  993372 */     // GIR_Coverage, 17138,
     /*  993372 */     GIR_EraseRootFromParent_Done,
     /*  993373 */   // Label 14780: @993373
     /*  993373 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(993449), // Rule ID 17147 //
     /*  993378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993406 */     // MIs[0] passthru
     /*  993406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993415 */     // MIs[0] round
     /*  993415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993425 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993447 */     GIR_RootConstrainSelectedInstOperands,
     /*  993448 */     // GIR_Coverage, 17147,
     /*  993448 */     GIR_EraseRootFromParent_Done,
     /*  993449 */   // Label 14781: @993449
     /*  993449 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(993525), // Rule ID 17148 //
     /*  993454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  993471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993482 */     // MIs[0] passthru
     /*  993482 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993491 */     // MIs[0] round
     /*  993491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993501 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  993504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993523 */     GIR_RootConstrainSelectedInstOperands,
     /*  993524 */     // GIR_Coverage, 17148,
     /*  993524 */     GIR_EraseRootFromParent_Done,
     /*  993525 */   // Label 14782: @993525
     /*  993525 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(993601), // Rule ID 17157 //
     /*  993530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993558 */     // MIs[0] passthru
     /*  993558 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993567 */     // MIs[0] round
     /*  993567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  993580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993599 */     GIR_RootConstrainSelectedInstOperands,
     /*  993600 */     // GIR_Coverage, 17157,
     /*  993600 */     GIR_EraseRootFromParent_Done,
     /*  993601 */   // Label 14783: @993601
     /*  993601 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(993677), // Rule ID 17158 //
     /*  993606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  993623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993634 */     // MIs[0] passthru
     /*  993634 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993643 */     // MIs[0] round
     /*  993643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993653 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  993656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993675 */     GIR_RootConstrainSelectedInstOperands,
     /*  993676 */     // GIR_Coverage, 17158,
     /*  993676 */     GIR_EraseRootFromParent_Done,
     /*  993677 */   // Label 14784: @993677
     /*  993677 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(993753), // Rule ID 17167 //
     /*  993682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993710 */     // MIs[0] passthru
     /*  993710 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993719 */     // MIs[0] round
     /*  993719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  993732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993751 */     GIR_RootConstrainSelectedInstOperands,
     /*  993752 */     // GIR_Coverage, 17167,
     /*  993752 */     GIR_EraseRootFromParent_Done,
     /*  993753 */   // Label 14785: @993753
     /*  993753 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993829), // Rule ID 17168 //
     /*  993758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  993775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993786 */     // MIs[0] passthru
     /*  993786 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993795 */     // MIs[0] round
     /*  993795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993805 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  993808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993827 */     GIR_RootConstrainSelectedInstOperands,
     /*  993828 */     // GIR_Coverage, 17168,
     /*  993828 */     GIR_EraseRootFromParent_Done,
     /*  993829 */   // Label 14786: @993829
     /*  993829 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(993905), // Rule ID 17177 //
     /*  993834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  993837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993862 */     // MIs[0] passthru
     /*  993862 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993871 */     // MIs[0] round
     /*  993871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993881 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  993881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  993884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993903 */     GIR_RootConstrainSelectedInstOperands,
     /*  993904 */     // GIR_Coverage, 17177,
     /*  993904 */     GIR_EraseRootFromParent_Done,
     /*  993905 */   // Label 14787: @993905
     /*  993905 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(993981), // Rule ID 17178 //
     /*  993910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  993913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  993921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  993924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  993927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993938 */     // MIs[0] passthru
     /*  993938 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993947 */     // MIs[0] round
     /*  993947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993957 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  993957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  993960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993979 */     GIR_RootConstrainSelectedInstOperands,
     /*  993980 */     // GIR_Coverage, 17178,
     /*  993980 */     GIR_EraseRootFromParent_Done,
     /*  993981 */   // Label 14788: @993981
     /*  993981 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(994057), // Rule ID 17187 //
     /*  993986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994014 */     // MIs[0] passthru
     /*  994014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994023 */     // MIs[0] round
     /*  994023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994055 */     GIR_RootConstrainSelectedInstOperands,
     /*  994056 */     // GIR_Coverage, 17187,
     /*  994056 */     GIR_EraseRootFromParent_Done,
     /*  994057 */   // Label 14789: @994057
     /*  994057 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(994133), // Rule ID 17188 //
     /*  994062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  994079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994090 */     // MIs[0] passthru
     /*  994090 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994099 */     // MIs[0] round
     /*  994099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  994112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994131 */     GIR_RootConstrainSelectedInstOperands,
     /*  994132 */     // GIR_Coverage, 17188,
     /*  994132 */     GIR_EraseRootFromParent_Done,
     /*  994133 */   // Label 14790: @994133
     /*  994133 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(994209), // Rule ID 17197 //
     /*  994138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994166 */     // MIs[0] passthru
     /*  994166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994175 */     // MIs[0] round
     /*  994175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994185 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994207 */     GIR_RootConstrainSelectedInstOperands,
     /*  994208 */     // GIR_Coverage, 17197,
     /*  994208 */     GIR_EraseRootFromParent_Done,
     /*  994209 */   // Label 14791: @994209
     /*  994209 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(994285), // Rule ID 17198 //
     /*  994214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  994231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994242 */     // MIs[0] passthru
     /*  994242 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994251 */     // MIs[0] round
     /*  994251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994261 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  994264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994283 */     GIR_RootConstrainSelectedInstOperands,
     /*  994284 */     // GIR_Coverage, 17198,
     /*  994284 */     GIR_EraseRootFromParent_Done,
     /*  994285 */   // Label 14792: @994285
     /*  994285 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(994361), // Rule ID 17207 //
     /*  994290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994318 */     // MIs[0] passthru
     /*  994318 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994327 */     // MIs[0] round
     /*  994327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994337 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994359 */     GIR_RootConstrainSelectedInstOperands,
     /*  994360 */     // GIR_Coverage, 17207,
     /*  994360 */     GIR_EraseRootFromParent_Done,
     /*  994361 */   // Label 14793: @994361
     /*  994361 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(994437), // Rule ID 17208 //
     /*  994366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  994383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994394 */     // MIs[0] passthru
     /*  994394 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994403 */     // MIs[0] round
     /*  994403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994413 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  994416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994435 */     GIR_RootConstrainSelectedInstOperands,
     /*  994436 */     // GIR_Coverage, 17208,
     /*  994436 */     GIR_EraseRootFromParent_Done,
     /*  994437 */   // Label 14794: @994437
     /*  994437 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(994513), // Rule ID 17217 //
     /*  994442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  994445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994470 */     // MIs[0] passthru
     /*  994470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994479 */     // MIs[0] round
     /*  994479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994489 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  994489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994511 */     GIR_RootConstrainSelectedInstOperands,
     /*  994512 */     // GIR_Coverage, 17217,
     /*  994512 */     GIR_EraseRootFromParent_Done,
     /*  994513 */   // Label 14795: @994513
     /*  994513 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(994589), // Rule ID 17218 //
     /*  994518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  994521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  994526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  994535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994546 */     // MIs[0] passthru
     /*  994546 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  994551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994555 */     // MIs[0] round
     /*  994555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  994558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994565 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  994565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  994568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  994576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  994587 */     GIR_RootConstrainSelectedInstOperands,
     /*  994588 */     // GIR_Coverage, 17218,
     /*  994588 */     GIR_EraseRootFromParent_Done,
     /*  994589 */   // Label 14796: @994589
     /*  994589 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994666), // Rule ID 2579 //
     /*  994594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  994602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  994611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994633 */     // MIs[0] policy
     /*  994633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  994646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994664 */     GIR_RootConstrainSelectedInstOperands,
     /*  994665 */     // GIR_Coverage, 2579,
     /*  994665 */     GIR_EraseRootFromParent_Done,
     /*  994666 */   // Label 14797: @994666
     /*  994666 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994743), // Rule ID 2580 //
     /*  994671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  994679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  994688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994710 */     // MIs[0] policy
     /*  994710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  994723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994741 */     GIR_RootConstrainSelectedInstOperands,
     /*  994742 */     // GIR_Coverage, 2580,
     /*  994742 */     GIR_EraseRootFromParent_Done,
     /*  994743 */   // Label 14798: @994743
     /*  994743 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994820), // Rule ID 2583 //
     /*  994748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994787 */     // MIs[0] policy
     /*  994787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  994800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994818 */     GIR_RootConstrainSelectedInstOperands,
     /*  994819 */     // GIR_Coverage, 2583,
     /*  994819 */     GIR_EraseRootFromParent_Done,
     /*  994820 */   // Label 14799: @994820
     /*  994820 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(994897), // Rule ID 2584 //
     /*  994825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994864 */     // MIs[0] policy
     /*  994864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  994877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994895 */     GIR_RootConstrainSelectedInstOperands,
     /*  994896 */     // GIR_Coverage, 2584,
     /*  994896 */     GIR_EraseRootFromParent_Done,
     /*  994897 */   // Label 14800: @994897
     /*  994897 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(994974), // Rule ID 2587 //
     /*  994902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  994905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  994910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994941 */     // MIs[0] policy
     /*  994941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  994954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994972 */     GIR_RootConstrainSelectedInstOperands,
     /*  994973 */     // GIR_Coverage, 2587,
     /*  994973 */     GIR_EraseRootFromParent_Done,
     /*  994974 */   // Label 14801: @994974
     /*  994974 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(995051), // Rule ID 2588 //
     /*  994979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  994982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  994987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995018 */     // MIs[0] policy
     /*  995018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995028 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  995031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995049 */     GIR_RootConstrainSelectedInstOperands,
     /*  995050 */     // GIR_Coverage, 2588,
     /*  995050 */     GIR_EraseRootFromParent_Done,
     /*  995051 */   // Label 14802: @995051
     /*  995051 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(995128), // Rule ID 2623 //
     /*  995056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  995059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995095 */     // MIs[0] policy
     /*  995095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995126 */     GIR_RootConstrainSelectedInstOperands,
     /*  995127 */     // GIR_Coverage, 2623,
     /*  995127 */     GIR_EraseRootFromParent_Done,
     /*  995128 */   // Label 14803: @995128
     /*  995128 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(995205), // Rule ID 2624 //
     /*  995133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  995136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  995141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995172 */     // MIs[0] policy
     /*  995172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  995185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995203 */     GIR_RootConstrainSelectedInstOperands,
     /*  995204 */     // GIR_Coverage, 2624,
     /*  995204 */     GIR_EraseRootFromParent_Done,
     /*  995205 */   // Label 14804: @995205
     /*  995205 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(995282), // Rule ID 2655 //
     /*  995210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995249 */     // MIs[0] policy
     /*  995249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995280 */     GIR_RootConstrainSelectedInstOperands,
     /*  995281 */     // GIR_Coverage, 2655,
     /*  995281 */     GIR_EraseRootFromParent_Done,
     /*  995282 */   // Label 14805: @995282
     /*  995282 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(995359), // Rule ID 2656 //
     /*  995287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  995295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  995298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  995301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  995307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995326 */     // MIs[0] policy
     /*  995326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  995339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  995343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  995347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995357 */     GIR_RootConstrainSelectedInstOperands,
     /*  995358 */     // GIR_Coverage, 2656,
     /*  995358 */     GIR_EraseRootFromParent_Done,
     /*  995359 */   // Label 14806: @995359
     /*  995359 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(995436), // Rule ID 4775 //
     /*  995364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995403 */     // MIs[0] policy
     /*  995403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995434 */     GIR_RootConstrainSelectedInstOperands,
     /*  995435 */     // GIR_Coverage, 4775,
     /*  995435 */     GIR_EraseRootFromParent_Done,
     /*  995436 */   // Label 14807: @995436
     /*  995436 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995513), // Rule ID 4776 //
     /*  995441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  995458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995480 */     // MIs[0] policy
     /*  995480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995490 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995511 */     GIR_RootConstrainSelectedInstOperands,
     /*  995512 */     // GIR_Coverage, 4776,
     /*  995512 */     GIR_EraseRootFromParent_Done,
     /*  995513 */   // Label 14808: @995513
     /*  995513 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995590), // Rule ID 4779 //
     /*  995518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995557 */     // MIs[0] policy
     /*  995557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995588 */     GIR_RootConstrainSelectedInstOperands,
     /*  995589 */     // GIR_Coverage, 4779,
     /*  995589 */     GIR_EraseRootFromParent_Done,
     /*  995590 */   // Label 14809: @995590
     /*  995590 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995667), // Rule ID 4780 //
     /*  995595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995634 */     // MIs[0] policy
     /*  995634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995665 */     GIR_RootConstrainSelectedInstOperands,
     /*  995666 */     // GIR_Coverage, 4780,
     /*  995666 */     GIR_EraseRootFromParent_Done,
     /*  995667 */   // Label 14810: @995667
     /*  995667 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995744), // Rule ID 4783 //
     /*  995672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995711 */     // MIs[0] policy
     /*  995711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995742 */     GIR_RootConstrainSelectedInstOperands,
     /*  995743 */     // GIR_Coverage, 4783,
     /*  995743 */     GIR_EraseRootFromParent_Done,
     /*  995744 */   // Label 14811: @995744
     /*  995744 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995821), // Rule ID 4784 //
     /*  995749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995788 */     // MIs[0] policy
     /*  995788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995819 */     GIR_RootConstrainSelectedInstOperands,
     /*  995820 */     // GIR_Coverage, 4784,
     /*  995820 */     GIR_EraseRootFromParent_Done,
     /*  995821 */   // Label 14812: @995821
     /*  995821 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(995898), // Rule ID 4787 //
     /*  995826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  995843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995865 */     // MIs[0] policy
     /*  995865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  995878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995896 */     GIR_RootConstrainSelectedInstOperands,
     /*  995897 */     // GIR_Coverage, 4787,
     /*  995897 */     GIR_EraseRootFromParent_Done,
     /*  995898 */   // Label 14813: @995898
     /*  995898 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(995975), // Rule ID 4788 //
     /*  995903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  995920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995942 */     // MIs[0] policy
     /*  995942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  995955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995973 */     GIR_RootConstrainSelectedInstOperands,
     /*  995974 */     // GIR_Coverage, 4788,
     /*  995974 */     GIR_EraseRootFromParent_Done,
     /*  995975 */   // Label 14814: @995975
     /*  995975 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(996052), // Rule ID 4791 //
     /*  995980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  995997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996019 */     // MIs[0] policy
     /*  996019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996029 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996050 */     GIR_RootConstrainSelectedInstOperands,
     /*  996051 */     // GIR_Coverage, 4791,
     /*  996051 */     GIR_EraseRootFromParent_Done,
     /*  996052 */   // Label 14815: @996052
     /*  996052 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(996129), // Rule ID 4792 //
     /*  996057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996096 */     // MIs[0] policy
     /*  996096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996127 */     GIR_RootConstrainSelectedInstOperands,
     /*  996128 */     // GIR_Coverage, 4792,
     /*  996128 */     GIR_EraseRootFromParent_Done,
     /*  996129 */   // Label 14816: @996129
     /*  996129 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(996206), // Rule ID 4795 //
     /*  996134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996173 */     // MIs[0] policy
     /*  996173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996204 */     GIR_RootConstrainSelectedInstOperands,
     /*  996205 */     // GIR_Coverage, 4795,
     /*  996205 */     GIR_EraseRootFromParent_Done,
     /*  996206 */   // Label 14817: @996206
     /*  996206 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(996283), // Rule ID 4796 //
     /*  996211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996250 */     // MIs[0] policy
     /*  996250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996260 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  996263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996281 */     GIR_RootConstrainSelectedInstOperands,
     /*  996282 */     // GIR_Coverage, 4796,
     /*  996282 */     GIR_EraseRootFromParent_Done,
     /*  996283 */   // Label 14818: @996283
     /*  996283 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996360), // Rule ID 4799 //
     /*  996288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996327 */     // MIs[0] policy
     /*  996327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996358 */     GIR_RootConstrainSelectedInstOperands,
     /*  996359 */     // GIR_Coverage, 4799,
     /*  996359 */     GIR_EraseRootFromParent_Done,
     /*  996360 */   // Label 14819: @996360
     /*  996360 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996437), // Rule ID 4800 //
     /*  996365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996404 */     // MIs[0] policy
     /*  996404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996435 */     GIR_RootConstrainSelectedInstOperands,
     /*  996436 */     // GIR_Coverage, 4800,
     /*  996436 */     GIR_EraseRootFromParent_Done,
     /*  996437 */   // Label 14820: @996437
     /*  996437 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996514), // Rule ID 4803 //
     /*  996442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996481 */     // MIs[0] policy
     /*  996481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996512 */     GIR_RootConstrainSelectedInstOperands,
     /*  996513 */     // GIR_Coverage, 4803,
     /*  996513 */     GIR_EraseRootFromParent_Done,
     /*  996514 */   // Label 14821: @996514
     /*  996514 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996591), // Rule ID 4804 //
     /*  996519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  996536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996558 */     // MIs[0] policy
     /*  996558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  996571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996589 */     GIR_RootConstrainSelectedInstOperands,
     /*  996590 */     // GIR_Coverage, 4804,
     /*  996590 */     GIR_EraseRootFromParent_Done,
     /*  996591 */   // Label 14822: @996591
     /*  996591 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996668), // Rule ID 4807 //
     /*  996596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996635 */     // MIs[0] policy
     /*  996635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996645 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996666 */     GIR_RootConstrainSelectedInstOperands,
     /*  996667 */     // GIR_Coverage, 4807,
     /*  996667 */     GIR_EraseRootFromParent_Done,
     /*  996668 */   // Label 14823: @996668
     /*  996668 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996745), // Rule ID 4808 //
     /*  996673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996712 */     // MIs[0] policy
     /*  996712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996743 */     GIR_RootConstrainSelectedInstOperands,
     /*  996744 */     // GIR_Coverage, 4808,
     /*  996744 */     GIR_EraseRootFromParent_Done,
     /*  996745 */   // Label 14824: @996745
     /*  996745 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996822), // Rule ID 4811 //
     /*  996750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996789 */     // MIs[0] policy
     /*  996789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996820 */     GIR_RootConstrainSelectedInstOperands,
     /*  996821 */     // GIR_Coverage, 4811,
     /*  996821 */     GIR_EraseRootFromParent_Done,
     /*  996822 */   // Label 14825: @996822
     /*  996822 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(996899), // Rule ID 4812 //
     /*  996827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996866 */     // MIs[0] policy
     /*  996866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996897 */     GIR_RootConstrainSelectedInstOperands,
     /*  996898 */     // GIR_Coverage, 4812,
     /*  996898 */     GIR_EraseRootFromParent_Done,
     /*  996899 */   // Label 14826: @996899
     /*  996899 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(996976), // Rule ID 4815 //
     /*  996904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  996921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996943 */     // MIs[0] policy
     /*  996943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  996956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996974 */     GIR_RootConstrainSelectedInstOperands,
     /*  996975 */     // GIR_Coverage, 4815,
     /*  996975 */     GIR_EraseRootFromParent_Done,
     /*  996976 */   // Label 14827: @996976
     /*  996976 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(997053), // Rule ID 4816 //
     /*  996981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  996984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  996998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997020 */     // MIs[0] policy
     /*  997020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  997033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997051 */     GIR_RootConstrainSelectedInstOperands,
     /*  997052 */     // GIR_Coverage, 4816,
     /*  997052 */     GIR_EraseRootFromParent_Done,
     /*  997053 */   // Label 14828: @997053
     /*  997053 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(997130), // Rule ID 4819 //
     /*  997058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997097 */     // MIs[0] policy
     /*  997097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997128 */     GIR_RootConstrainSelectedInstOperands,
     /*  997129 */     // GIR_Coverage, 4819,
     /*  997129 */     GIR_EraseRootFromParent_Done,
     /*  997130 */   // Label 14829: @997130
     /*  997130 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(997207), // Rule ID 4820 //
     /*  997135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  997152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997174 */     // MIs[0] policy
     /*  997174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  997187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997205 */     GIR_RootConstrainSelectedInstOperands,
     /*  997206 */     // GIR_Coverage, 4820,
     /*  997206 */     GIR_EraseRootFromParent_Done,
     /*  997207 */   // Label 14830: @997207
     /*  997207 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997284), // Rule ID 4823 //
     /*  997212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997251 */     // MIs[0] policy
     /*  997251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997282 */     GIR_RootConstrainSelectedInstOperands,
     /*  997283 */     // GIR_Coverage, 4823,
     /*  997283 */     GIR_EraseRootFromParent_Done,
     /*  997284 */   // Label 14831: @997284
     /*  997284 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997361), // Rule ID 4824 //
     /*  997289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997328 */     // MIs[0] policy
     /*  997328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  997341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997359 */     GIR_RootConstrainSelectedInstOperands,
     /*  997360 */     // GIR_Coverage, 4824,
     /*  997360 */     GIR_EraseRootFromParent_Done,
     /*  997361 */   // Label 14832: @997361
     /*  997361 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997438), // Rule ID 4827 //
     /*  997366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997405 */     // MIs[0] policy
     /*  997405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997436 */     GIR_RootConstrainSelectedInstOperands,
     /*  997437 */     // GIR_Coverage, 4827,
     /*  997437 */     GIR_EraseRootFromParent_Done,
     /*  997438 */   // Label 14833: @997438
     /*  997438 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997515), // Rule ID 4828 //
     /*  997443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997482 */     // MIs[0] policy
     /*  997482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  997495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997513 */     GIR_RootConstrainSelectedInstOperands,
     /*  997514 */     // GIR_Coverage, 4828,
     /*  997514 */     GIR_EraseRootFromParent_Done,
     /*  997515 */   // Label 14834: @997515
     /*  997515 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997592), // Rule ID 4831 //
     /*  997520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997559 */     // MIs[0] policy
     /*  997559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  997572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997590 */     GIR_RootConstrainSelectedInstOperands,
     /*  997591 */     // GIR_Coverage, 4831,
     /*  997591 */     GIR_EraseRootFromParent_Done,
     /*  997592 */   // Label 14835: @997592
     /*  997592 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997669), // Rule ID 4832 //
     /*  997597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997636 */     // MIs[0] policy
     /*  997636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  997649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997667 */     GIR_RootConstrainSelectedInstOperands,
     /*  997668 */     // GIR_Coverage, 4832,
     /*  997668 */     GIR_EraseRootFromParent_Done,
     /*  997669 */   // Label 14836: @997669
     /*  997669 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997746), // Rule ID 4835 //
     /*  997674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997713 */     // MIs[0] policy
     /*  997713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997744 */     GIR_RootConstrainSelectedInstOperands,
     /*  997745 */     // GIR_Coverage, 4835,
     /*  997745 */     GIR_EraseRootFromParent_Done,
     /*  997746 */   // Label 14837: @997746
     /*  997746 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997823), // Rule ID 4836 //
     /*  997751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997790 */     // MIs[0] policy
     /*  997790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997821 */     GIR_RootConstrainSelectedInstOperands,
     /*  997822 */     // GIR_Coverage, 4836,
     /*  997822 */     GIR_EraseRootFromParent_Done,
     /*  997823 */   // Label 14838: @997823
     /*  997823 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997900), // Rule ID 4839 //
     /*  997828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997867 */     // MIs[0] policy
     /*  997867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  997880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997898 */     GIR_RootConstrainSelectedInstOperands,
     /*  997899 */     // GIR_Coverage, 4839,
     /*  997899 */     GIR_EraseRootFromParent_Done,
     /*  997900 */   // Label 14839: @997900
     /*  997900 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(997977), // Rule ID 4840 //
     /*  997905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997944 */     // MIs[0] policy
     /*  997944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  997957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997975 */     GIR_RootConstrainSelectedInstOperands,
     /*  997976 */     // GIR_Coverage, 4840,
     /*  997976 */     GIR_EraseRootFromParent_Done,
     /*  997977 */   // Label 14840: @997977
     /*  997977 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(998054), // Rule ID 4843 //
     /*  997982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  997999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998021 */     // MIs[0] policy
     /*  998021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998052 */     GIR_RootConstrainSelectedInstOperands,
     /*  998053 */     // GIR_Coverage, 4843,
     /*  998053 */     GIR_EraseRootFromParent_Done,
     /*  998054 */   // Label 14841: @998054
     /*  998054 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(998131), // Rule ID 4844 //
     /*  998059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998098 */     // MIs[0] policy
     /*  998098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998129 */     GIR_RootConstrainSelectedInstOperands,
     /*  998130 */     // GIR_Coverage, 4844,
     /*  998130 */     GIR_EraseRootFromParent_Done,
     /*  998131 */   // Label 14842: @998131
     /*  998131 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(998208), // Rule ID 4847 //
     /*  998136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998175 */     // MIs[0] policy
     /*  998175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998206 */     GIR_RootConstrainSelectedInstOperands,
     /*  998207 */     // GIR_Coverage, 4847,
     /*  998207 */     GIR_EraseRootFromParent_Done,
     /*  998208 */   // Label 14843: @998208
     /*  998208 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998285), // Rule ID 4848 //
     /*  998213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998252 */     // MIs[0] policy
     /*  998252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998283 */     GIR_RootConstrainSelectedInstOperands,
     /*  998284 */     // GIR_Coverage, 4848,
     /*  998284 */     GIR_EraseRootFromParent_Done,
     /*  998285 */   // Label 14844: @998285
     /*  998285 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998362), // Rule ID 4851 //
     /*  998290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998329 */     // MIs[0] policy
     /*  998329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998360 */     GIR_RootConstrainSelectedInstOperands,
     /*  998361 */     // GIR_Coverage, 4851,
     /*  998361 */     GIR_EraseRootFromParent_Done,
     /*  998362 */   // Label 14845: @998362
     /*  998362 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998439), // Rule ID 4852 //
     /*  998367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998406 */     // MIs[0] policy
     /*  998406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  998419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998437 */     GIR_RootConstrainSelectedInstOperands,
     /*  998438 */     // GIR_Coverage, 4852,
     /*  998438 */     GIR_EraseRootFromParent_Done,
     /*  998439 */   // Label 14846: @998439
     /*  998439 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998516), // Rule ID 4855 //
     /*  998444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998483 */     // MIs[0] policy
     /*  998483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998514 */     GIR_RootConstrainSelectedInstOperands,
     /*  998515 */     // GIR_Coverage, 4855,
     /*  998515 */     GIR_EraseRootFromParent_Done,
     /*  998516 */   // Label 14847: @998516
     /*  998516 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998593), // Rule ID 4856 //
     /*  998521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998560 */     // MIs[0] policy
     /*  998560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  998573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998591 */     GIR_RootConstrainSelectedInstOperands,
     /*  998592 */     // GIR_Coverage, 4856,
     /*  998592 */     GIR_EraseRootFromParent_Done,
     /*  998593 */   // Label 14848: @998593
     /*  998593 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998670), // Rule ID 4859 //
     /*  998598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998637 */     // MIs[0] policy
     /*  998637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998668 */     GIR_RootConstrainSelectedInstOperands,
     /*  998669 */     // GIR_Coverage, 4859,
     /*  998669 */     GIR_EraseRootFromParent_Done,
     /*  998670 */   // Label 14849: @998670
     /*  998670 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998747), // Rule ID 4860 //
     /*  998675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998714 */     // MIs[0] policy
     /*  998714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  998727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998745 */     GIR_RootConstrainSelectedInstOperands,
     /*  998746 */     // GIR_Coverage, 4860,
     /*  998746 */     GIR_EraseRootFromParent_Done,
     /*  998747 */   // Label 14850: @998747
     /*  998747 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998824), // Rule ID 4863 //
     /*  998752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  998769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998791 */     // MIs[0] policy
     /*  998791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998822 */     GIR_RootConstrainSelectedInstOperands,
     /*  998823 */     // GIR_Coverage, 4863,
     /*  998823 */     GIR_EraseRootFromParent_Done,
     /*  998824 */   // Label 14851: @998824
     /*  998824 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998901), // Rule ID 4864 //
     /*  998829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  998846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998868 */     // MIs[0] policy
     /*  998868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  998881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998899 */     GIR_RootConstrainSelectedInstOperands,
     /*  998900 */     // GIR_Coverage, 4864,
     /*  998900 */     GIR_EraseRootFromParent_Done,
     /*  998901 */   // Label 14852: @998901
     /*  998901 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(998978), // Rule ID 4867 //
     /*  998906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998945 */     // MIs[0] policy
     /*  998945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  998958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998976 */     GIR_RootConstrainSelectedInstOperands,
     /*  998977 */     // GIR_Coverage, 4867,
     /*  998977 */     GIR_EraseRootFromParent_Done,
     /*  998978 */   // Label 14853: @998978
     /*  998978 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(999055), // Rule ID 4868 //
     /*  998983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999022 */     // MIs[0] policy
     /*  999022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  999035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999053 */     GIR_RootConstrainSelectedInstOperands,
     /*  999054 */     // GIR_Coverage, 4868,
     /*  999054 */     GIR_EraseRootFromParent_Done,
     /*  999055 */   // Label 14854: @999055
     /*  999055 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(999132), // Rule ID 4871 //
     /*  999060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999099 */     // MIs[0] policy
     /*  999099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999130 */     GIR_RootConstrainSelectedInstOperands,
     /*  999131 */     // GIR_Coverage, 4871,
     /*  999131 */     GIR_EraseRootFromParent_Done,
     /*  999132 */   // Label 14855: @999132
     /*  999132 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(999209), // Rule ID 4872 //
     /*  999137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999176 */     // MIs[0] policy
     /*  999176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11597:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  999189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999207 */     GIR_RootConstrainSelectedInstOperands,
     /*  999208 */     // GIR_Coverage, 4872,
     /*  999208 */     GIR_EraseRootFromParent_Done,
     /*  999209 */   // Label 14856: @999209
     /*  999209 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999286), // Rule ID 4875 //
     /*  999214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999253 */     // MIs[0] policy
     /*  999253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999263 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999284 */     GIR_RootConstrainSelectedInstOperands,
     /*  999285 */     // GIR_Coverage, 4875,
     /*  999285 */     GIR_EraseRootFromParent_Done,
     /*  999286 */   // Label 14857: @999286
     /*  999286 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999363), // Rule ID 4876 //
     /*  999291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999330 */     // MIs[0] policy
     /*  999330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11597:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  999343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999361 */     GIR_RootConstrainSelectedInstOperands,
     /*  999362 */     // GIR_Coverage, 4876,
     /*  999362 */     GIR_EraseRootFromParent_Done,
     /*  999363 */   // Label 14858: @999363
     /*  999363 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999440), // Rule ID 4879 //
     /*  999368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  999371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999407 */     // MIs[0] policy
     /*  999407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999438 */     GIR_RootConstrainSelectedInstOperands,
     /*  999439 */     // GIR_Coverage, 4879,
     /*  999439 */     GIR_EraseRootFromParent_Done,
     /*  999440 */   // Label 14859: @999440
     /*  999440 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999517), // Rule ID 4880 //
     /*  999445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  999448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999484 */     // MIs[0] policy
     /*  999484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11597:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  999497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999515 */     GIR_RootConstrainSelectedInstOperands,
     /*  999516 */     // GIR_Coverage, 4880,
     /*  999516 */     GIR_EraseRootFromParent_Done,
     /*  999517 */   // Label 14860: @999517
     /*  999517 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999594), // Rule ID 4883 //
     /*  999522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999561 */     // MIs[0] policy
     /*  999561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  999574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999592 */     GIR_RootConstrainSelectedInstOperands,
     /*  999593 */     // GIR_Coverage, 4883,
     /*  999593 */     GIR_EraseRootFromParent_Done,
     /*  999594 */   // Label 14861: @999594
     /*  999594 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999671), // Rule ID 4884 //
     /*  999599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999638 */     // MIs[0] policy
     /*  999638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  999651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999669 */     GIR_RootConstrainSelectedInstOperands,
     /*  999670 */     // GIR_Coverage, 4884,
     /*  999670 */     GIR_EraseRootFromParent_Done,
     /*  999671 */   // Label 14862: @999671
     /*  999671 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999748), // Rule ID 4887 //
     /*  999676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  999687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  999690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999715 */     // MIs[0] policy
     /*  999715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999746 */     GIR_RootConstrainSelectedInstOperands,
     /*  999747 */     // GIR_Coverage, 4887,
     /*  999747 */     GIR_EraseRootFromParent_Done,
     /*  999748 */   // Label 14863: @999748
     /*  999748 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999825), // Rule ID 4888 //
     /*  999753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  999764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  999767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999792 */     // MIs[0] policy
     /*  999792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999802 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999823 */     GIR_RootConstrainSelectedInstOperands,
     /*  999824 */     // GIR_Coverage, 4888,
     /*  999824 */     GIR_EraseRootFromParent_Done,
     /*  999825 */   // Label 14864: @999825
     /*  999825 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999902), // Rule ID 4891 //
     /*  999830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999869 */     // MIs[0] policy
     /*  999869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  999882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999900 */     GIR_RootConstrainSelectedInstOperands,
     /*  999901 */     // GIR_Coverage, 4891,
     /*  999901 */     GIR_EraseRootFromParent_Done,
     /*  999902 */   // Label 14865: @999902
     /*  999902 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(999979), // Rule ID 4892 //
     /*  999907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  999924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999946 */     // MIs[0] policy
     /*  999946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  999959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999977 */     GIR_RootConstrainSelectedInstOperands,
     /*  999978 */     // GIR_Coverage, 4892,
     /*  999978 */     GIR_EraseRootFromParent_Done,
     /*  999979 */   // Label 14866: @999979
     /*  999979 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1000056), // Rule ID 4895 //
     /*  999984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  999995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  999998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000023 */     // MIs[0] policy
     /* 1000023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000055 */     // GIR_Coverage, 4895,
     /* 1000055 */     GIR_EraseRootFromParent_Done,
     /* 1000056 */   // Label 14867: @1000056
     /* 1000056 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1000133), // Rule ID 4896 //
     /* 1000061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000100 */     // MIs[0] policy
     /* 1000100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000132 */     // GIR_Coverage, 4896,
     /* 1000132 */     GIR_EraseRootFromParent_Done,
     /* 1000133 */   // Label 14868: @1000133
     /* 1000133 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1000210), // Rule ID 4899 //
     /* 1000138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000177 */     // MIs[0] policy
     /* 1000177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000209 */     // GIR_Coverage, 4899,
     /* 1000209 */     GIR_EraseRootFromParent_Done,
     /* 1000210 */   // Label 14869: @1000210
     /* 1000210 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000287), // Rule ID 4900 //
     /* 1000215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000254 */     // MIs[0] policy
     /* 1000254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000286 */     // GIR_Coverage, 4900,
     /* 1000286 */     GIR_EraseRootFromParent_Done,
     /* 1000287 */   // Label 14870: @1000287
     /* 1000287 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000364), // Rule ID 4903 //
     /* 1000292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000331 */     // MIs[0] policy
     /* 1000331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000341 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000363 */     // GIR_Coverage, 4903,
     /* 1000363 */     GIR_EraseRootFromParent_Done,
     /* 1000364 */   // Label 14871: @1000364
     /* 1000364 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000441), // Rule ID 4904 //
     /* 1000369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000408 */     // MIs[0] policy
     /* 1000408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000440 */     // GIR_Coverage, 4904,
     /* 1000440 */     GIR_EraseRootFromParent_Done,
     /* 1000441 */   // Label 14872: @1000441
     /* 1000441 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000518), // Rule ID 4907 //
     /* 1000446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000485 */     // MIs[0] policy
     /* 1000485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000517 */     // GIR_Coverage, 4907,
     /* 1000517 */     GIR_EraseRootFromParent_Done,
     /* 1000518 */   // Label 14873: @1000518
     /* 1000518 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000595), // Rule ID 4908 //
     /* 1000523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000562 */     // MIs[0] policy
     /* 1000562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1000575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000594 */     // GIR_Coverage, 4908,
     /* 1000594 */     GIR_EraseRootFromParent_Done,
     /* 1000595 */   // Label 14874: @1000595
     /* 1000595 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000672), // Rule ID 4911 //
     /* 1000600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000639 */     // MIs[0] policy
     /* 1000639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000671 */     // GIR_Coverage, 4911,
     /* 1000671 */     GIR_EraseRootFromParent_Done,
     /* 1000672 */   // Label 14875: @1000672
     /* 1000672 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000749), // Rule ID 4912 //
     /* 1000677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000716 */     // MIs[0] policy
     /* 1000716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000748 */     // GIR_Coverage, 4912,
     /* 1000748 */     GIR_EraseRootFromParent_Done,
     /* 1000749 */   // Label 14876: @1000749
     /* 1000749 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000826), // Rule ID 4915 //
     /* 1000754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1000771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000793 */     // MIs[0] policy
     /* 1000793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000825 */     // GIR_Coverage, 4915,
     /* 1000825 */     GIR_EraseRootFromParent_Done,
     /* 1000826 */   // Label 14877: @1000826
     /* 1000826 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000903), // Rule ID 4916 //
     /* 1000831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1000848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000870 */     // MIs[0] policy
     /* 1000870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000902 */     // GIR_Coverage, 4916,
     /* 1000902 */     GIR_EraseRootFromParent_Done,
     /* 1000903 */   // Label 14878: @1000903
     /* 1000903 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1000980), // Rule ID 4919 //
     /* 1000908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1000925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000947 */     // MIs[0] policy
     /* 1000947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000979 */     // GIR_Coverage, 4919,
     /* 1000979 */     GIR_EraseRootFromParent_Done,
     /* 1000980 */   // Label 14879: @1000980
     /* 1000980 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1001057), // Rule ID 4920 //
     /* 1000985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001024 */     // MIs[0] policy
     /* 1001024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001056 */     // GIR_Coverage, 4920,
     /* 1001056 */     GIR_EraseRootFromParent_Done,
     /* 1001057 */   // Label 14880: @1001057
     /* 1001057 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1001134), // Rule ID 4923 //
     /* 1001062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001101 */     // MIs[0] policy
     /* 1001101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001133 */     // GIR_Coverage, 4923,
     /* 1001133 */     GIR_EraseRootFromParent_Done,
     /* 1001134 */   // Label 14881: @1001134
     /* 1001134 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1001211), // Rule ID 4924 //
     /* 1001139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001178 */     // MIs[0] policy
     /* 1001178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001210 */     // GIR_Coverage, 4924,
     /* 1001210 */     GIR_EraseRootFromParent_Done,
     /* 1001211 */   // Label 14882: @1001211
     /* 1001211 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001288), // Rule ID 4927 //
     /* 1001216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001255 */     // MIs[0] policy
     /* 1001255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001287 */     // GIR_Coverage, 4927,
     /* 1001287 */     GIR_EraseRootFromParent_Done,
     /* 1001288 */   // Label 14883: @1001288
     /* 1001288 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001365), // Rule ID 4928 //
     /* 1001293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001332 */     // MIs[0] policy
     /* 1001332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1001345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001364 */     // GIR_Coverage, 4928,
     /* 1001364 */     GIR_EraseRootFromParent_Done,
     /* 1001365 */   // Label 14884: @1001365
     /* 1001365 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001442), // Rule ID 4931 //
     /* 1001370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001409 */     // MIs[0] policy
     /* 1001409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001441 */     // GIR_Coverage, 4931,
     /* 1001441 */     GIR_EraseRootFromParent_Done,
     /* 1001442 */   // Label 14885: @1001442
     /* 1001442 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001519), // Rule ID 4932 //
     /* 1001447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001486 */     // MIs[0] policy
     /* 1001486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1001499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001518 */     // GIR_Coverage, 4932,
     /* 1001518 */     GIR_EraseRootFromParent_Done,
     /* 1001519 */   // Label 14886: @1001519
     /* 1001519 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001596), // Rule ID 4935 //
     /* 1001524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001563 */     // MIs[0] policy
     /* 1001563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001595 */     // GIR_Coverage, 4935,
     /* 1001595 */     GIR_EraseRootFromParent_Done,
     /* 1001596 */   // Label 14887: @1001596
     /* 1001596 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001673), // Rule ID 4936 //
     /* 1001601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001640 */     // MIs[0] policy
     /* 1001640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1001653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001672 */     // GIR_Coverage, 4936,
     /* 1001672 */     GIR_EraseRootFromParent_Done,
     /* 1001673 */   // Label 14888: @1001673
     /* 1001673 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001750), // Rule ID 4939 //
     /* 1001678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1001695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001717 */     // MIs[0] policy
     /* 1001717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001749 */     // GIR_Coverage, 4939,
     /* 1001749 */     GIR_EraseRootFromParent_Done,
     /* 1001750 */   // Label 14889: @1001750
     /* 1001750 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001827), // Rule ID 4940 //
     /* 1001755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1001772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001794 */     // MIs[0] policy
     /* 1001794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1001807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001826 */     // GIR_Coverage, 4940,
     /* 1001826 */     GIR_EraseRootFromParent_Done,
     /* 1001827 */   // Label 14890: @1001827
     /* 1001827 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001904), // Rule ID 4943 //
     /* 1001832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001871 */     // MIs[0] policy
     /* 1001871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1001884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001903 */     // GIR_Coverage, 4943,
     /* 1001903 */     GIR_EraseRootFromParent_Done,
     /* 1001904 */   // Label 14891: @1001904
     /* 1001904 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1001981), // Rule ID 4944 //
     /* 1001909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001948 */     // MIs[0] policy
     /* 1001948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1001961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001980 */     // GIR_Coverage, 4944,
     /* 1001980 */     GIR_EraseRootFromParent_Done,
     /* 1001981 */   // Label 14892: @1001981
     /* 1001981 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1002058), // Rule ID 4947 //
     /* 1001986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002025 */     // MIs[0] policy
     /* 1002025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002057 */     // GIR_Coverage, 4947,
     /* 1002057 */     GIR_EraseRootFromParent_Done,
     /* 1002058 */   // Label 14893: @1002058
     /* 1002058 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1002135), // Rule ID 4948 //
     /* 1002063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002102 */     // MIs[0] policy
     /* 1002102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002134 */     // GIR_Coverage, 4948,
     /* 1002134 */     GIR_EraseRootFromParent_Done,
     /* 1002135 */   // Label 14894: @1002135
     /* 1002135 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1002212), // Rule ID 4951 //
     /* 1002140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002179 */     // MIs[0] policy
     /* 1002179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002211 */     // GIR_Coverage, 4951,
     /* 1002211 */     GIR_EraseRootFromParent_Done,
     /* 1002212 */   // Label 14895: @1002212
     /* 1002212 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002289), // Rule ID 4952 //
     /* 1002217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002256 */     // MIs[0] policy
     /* 1002256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002288 */     // GIR_Coverage, 4952,
     /* 1002288 */     GIR_EraseRootFromParent_Done,
     /* 1002289 */   // Label 14896: @1002289
     /* 1002289 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002366), // Rule ID 4955 //
     /* 1002294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002333 */     // MIs[0] policy
     /* 1002333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002365 */     // GIR_Coverage, 4955,
     /* 1002365 */     GIR_EraseRootFromParent_Done,
     /* 1002366 */   // Label 14897: @1002366
     /* 1002366 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002443), // Rule ID 4956 //
     /* 1002371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002410 */     // MIs[0] policy
     /* 1002410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002442 */     // GIR_Coverage, 4956,
     /* 1002442 */     GIR_EraseRootFromParent_Done,
     /* 1002443 */   // Label 14898: @1002443
     /* 1002443 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002520), // Rule ID 4959 //
     /* 1002448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002487 */     // MIs[0] policy
     /* 1002487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002519 */     // GIR_Coverage, 4959,
     /* 1002519 */     GIR_EraseRootFromParent_Done,
     /* 1002520 */   // Label 14899: @1002520
     /* 1002520 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002597), // Rule ID 4960 //
     /* 1002525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002564 */     // MIs[0] policy
     /* 1002564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002596 */     // GIR_Coverage, 4960,
     /* 1002596 */     GIR_EraseRootFromParent_Done,
     /* 1002597 */   // Label 14900: @1002597
     /* 1002597 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002674), // Rule ID 4963 //
     /* 1002602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002641 */     // MIs[0] policy
     /* 1002641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002673 */     // GIR_Coverage, 4963,
     /* 1002673 */     GIR_EraseRootFromParent_Done,
     /* 1002674 */   // Label 14901: @1002674
     /* 1002674 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002751), // Rule ID 4964 //
     /* 1002679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002718 */     // MIs[0] policy
     /* 1002718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1002731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002750 */     // GIR_Coverage, 4964,
     /* 1002750 */     GIR_EraseRootFromParent_Done,
     /* 1002751 */   // Label 14902: @1002751
     /* 1002751 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002828), // Rule ID 4967 //
     /* 1002756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002795 */     // MIs[0] policy
     /* 1002795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002827 */     // GIR_Coverage, 4967,
     /* 1002827 */     GIR_EraseRootFromParent_Done,
     /* 1002828 */   // Label 14903: @1002828
     /* 1002828 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002905), // Rule ID 4968 //
     /* 1002833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002872 */     // MIs[0] policy
     /* 1002872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1002885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002904 */     // GIR_Coverage, 4968,
     /* 1002904 */     GIR_EraseRootFromParent_Done,
     /* 1002905 */   // Label 14904: @1002905
     /* 1002905 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1002982), // Rule ID 4971 //
     /* 1002910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1002927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002949 */     // MIs[0] policy
     /* 1002949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1002962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002981 */     // GIR_Coverage, 4971,
     /* 1002981 */     GIR_EraseRootFromParent_Done,
     /* 1002982 */   // Label 14905: @1002982
     /* 1002982 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1003059), // Rule ID 4972 //
     /* 1002987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003026 */     // MIs[0] policy
     /* 1003026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1003039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003058 */     // GIR_Coverage, 4972,
     /* 1003058 */     GIR_EraseRootFromParent_Done,
     /* 1003059 */   // Label 14906: @1003059
     /* 1003059 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1003136), // Rule ID 4975 //
     /* 1003064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003103 */     // MIs[0] policy
     /* 1003103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003135 */     // GIR_Coverage, 4975,
     /* 1003135 */     GIR_EraseRootFromParent_Done,
     /* 1003136 */   // Label 14907: @1003136
     /* 1003136 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1003213), // Rule ID 4976 //
     /* 1003141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003180 */     // MIs[0] policy
     /* 1003180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1003193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003212 */     // GIR_Coverage, 4976,
     /* 1003212 */     GIR_EraseRootFromParent_Done,
     /* 1003213 */   // Label 14908: @1003213
     /* 1003213 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003290), // Rule ID 4979 //
     /* 1003218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003257 */     // MIs[0] policy
     /* 1003257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003289 */     // GIR_Coverage, 4979,
     /* 1003289 */     GIR_EraseRootFromParent_Done,
     /* 1003290 */   // Label 14909: @1003290
     /* 1003290 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003367), // Rule ID 4980 //
     /* 1003295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003334 */     // MIs[0] policy
     /* 1003334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1003347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003366 */     // GIR_Coverage, 4980,
     /* 1003366 */     GIR_EraseRootFromParent_Done,
     /* 1003367 */   // Label 14910: @1003367
     /* 1003367 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003444), // Rule ID 4983 //
     /* 1003372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003411 */     // MIs[0] policy
     /* 1003411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003443 */     // GIR_Coverage, 4983,
     /* 1003443 */     GIR_EraseRootFromParent_Done,
     /* 1003444 */   // Label 14911: @1003444
     /* 1003444 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003521), // Rule ID 4984 //
     /* 1003449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003488 */     // MIs[0] policy
     /* 1003488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1003501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003520 */     // GIR_Coverage, 4984,
     /* 1003520 */     GIR_EraseRootFromParent_Done,
     /* 1003521 */   // Label 14912: @1003521
     /* 1003521 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003598), // Rule ID 4987 //
     /* 1003526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003565 */     // MIs[0] policy
     /* 1003565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1003578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003597 */     // GIR_Coverage, 4987,
     /* 1003597 */     GIR_EraseRootFromParent_Done,
     /* 1003598 */   // Label 14913: @1003598
     /* 1003598 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003675), // Rule ID 4988 //
     /* 1003603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003642 */     // MIs[0] policy
     /* 1003642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1003655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003674 */     // GIR_Coverage, 4988,
     /* 1003674 */     GIR_EraseRootFromParent_Done,
     /* 1003675 */   // Label 14914: @1003675
     /* 1003675 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003752), // Rule ID 4991 //
     /* 1003680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003719 */     // MIs[0] policy
     /* 1003719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1003732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003751 */     // GIR_Coverage, 4991,
     /* 1003751 */     GIR_EraseRootFromParent_Done,
     /* 1003752 */   // Label 14915: @1003752
     /* 1003752 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003829), // Rule ID 4992 //
     /* 1003757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1003765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003796 */     // MIs[0] policy
     /* 1003796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1003809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003828 */     // GIR_Coverage, 4992,
     /* 1003828 */     GIR_EraseRootFromParent_Done,
     /* 1003829 */   // Label 14916: @1003829
     /* 1003829 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003906), // Rule ID 12603 //
     /* 1003834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1003845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1003848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1003854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003873 */     // MIs[0] policy
     /* 1003873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1003886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003905 */     // GIR_Coverage, 12603,
     /* 1003905 */     GIR_EraseRootFromParent_Done,
     /* 1003906 */   // Label 14917: @1003906
     /* 1003906 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1003983), // Rule ID 12604 //
     /* 1003911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1003922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1003925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1003931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003950 */     // MIs[0] policy
     /* 1003950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1003963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003982 */     // GIR_Coverage, 12604,
     /* 1003982 */     GIR_EraseRootFromParent_Done,
     /* 1003983 */   // Label 14918: @1003983
     /* 1003983 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1004060), // Rule ID 12607 //
     /* 1003988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1003999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004027 */     // MIs[0] policy
     /* 1004027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004059 */     // GIR_Coverage, 12607,
     /* 1004059 */     GIR_EraseRootFromParent_Done,
     /* 1004060 */   // Label 14919: @1004060
     /* 1004060 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1004137), // Rule ID 12608 //
     /* 1004065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004104 */     // MIs[0] policy
     /* 1004104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004114 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004136 */     // GIR_Coverage, 12608,
     /* 1004136 */     GIR_EraseRootFromParent_Done,
     /* 1004137 */   // Label 14920: @1004137
     /* 1004137 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1004214), // Rule ID 12611 //
     /* 1004142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004181 */     // MIs[0] policy
     /* 1004181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004213 */     // GIR_Coverage, 12611,
     /* 1004213 */     GIR_EraseRootFromParent_Done,
     /* 1004214 */   // Label 14921: @1004214
     /* 1004214 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004291), // Rule ID 12612 //
     /* 1004219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1004239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004258 */     // MIs[0] policy
     /* 1004258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1004271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004290 */     // GIR_Coverage, 12612,
     /* 1004290 */     GIR_EraseRootFromParent_Done,
     /* 1004291 */   // Label 14922: @1004291
     /* 1004291 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004368), // Rule ID 12615 //
     /* 1004296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004335 */     // MIs[0] policy
     /* 1004335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004367 */     // GIR_Coverage, 12615,
     /* 1004367 */     GIR_EraseRootFromParent_Done,
     /* 1004368 */   // Label 14923: @1004368
     /* 1004368 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004445), // Rule ID 12616 //
     /* 1004373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1004393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004412 */     // MIs[0] policy
     /* 1004412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004444 */     // GIR_Coverage, 12616,
     /* 1004444 */     GIR_EraseRootFromParent_Done,
     /* 1004445 */   // Label 14924: @1004445
     /* 1004445 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004522), // Rule ID 12619 //
     /* 1004450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004489 */     // MIs[0] policy
     /* 1004489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004521 */     // GIR_Coverage, 12619,
     /* 1004521 */     GIR_EraseRootFromParent_Done,
     /* 1004522 */   // Label 14925: @1004522
     /* 1004522 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004599), // Rule ID 12620 //
     /* 1004527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1004547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004566 */     // MIs[0] policy
     /* 1004566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1004579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004598 */     // GIR_Coverage, 12620,
     /* 1004598 */     GIR_EraseRootFromParent_Done,
     /* 1004599 */   // Label 14926: @1004599
     /* 1004599 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004676), // Rule ID 12623 //
     /* 1004604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1004624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004643 */     // MIs[0] policy
     /* 1004643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004675 */     // GIR_Coverage, 12623,
     /* 1004675 */     GIR_EraseRootFromParent_Done,
     /* 1004676 */   // Label 14927: @1004676
     /* 1004676 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004753), // Rule ID 12624 //
     /* 1004681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1004701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004720 */     // MIs[0] policy
     /* 1004720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004752 */     // GIR_Coverage, 12624,
     /* 1004752 */     GIR_EraseRootFromParent_Done,
     /* 1004753 */   // Label 14928: @1004753
     /* 1004753 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004830), // Rule ID 12627 //
     /* 1004758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1004778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004797 */     // MIs[0] policy
     /* 1004797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004829 */     // GIR_Coverage, 12627,
     /* 1004829 */     GIR_EraseRootFromParent_Done,
     /* 1004830 */   // Label 14929: @1004830
     /* 1004830 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004907), // Rule ID 12628 //
     /* 1004835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1004855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004874 */     // MIs[0] policy
     /* 1004874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004906 */     // GIR_Coverage, 12628,
     /* 1004906 */     GIR_EraseRootFromParent_Done,
     /* 1004907 */   // Label 14930: @1004907
     /* 1004907 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1004984), // Rule ID 12631 //
     /* 1004912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1004923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1004926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1004929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1004932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004951 */     // MIs[0] policy
     /* 1004951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004983 */     // GIR_Coverage, 12631,
     /* 1004983 */     GIR_EraseRootFromParent_Done,
     /* 1004984 */   // Label 14931: @1004984
     /* 1004984 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1005061), // Rule ID 12632 //
     /* 1004989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005028 */     // MIs[0] policy
     /* 1005028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005060 */     // GIR_Coverage, 12632,
     /* 1005060 */     GIR_EraseRootFromParent_Done,
     /* 1005061 */   // Label 14932: @1005061
     /* 1005061 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1005138), // Rule ID 12635 //
     /* 1005066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005105 */     // MIs[0] policy
     /* 1005105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005137 */     // GIR_Coverage, 12635,
     /* 1005137 */     GIR_EraseRootFromParent_Done,
     /* 1005138 */   // Label 14933: @1005138
     /* 1005138 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1005215), // Rule ID 12636 //
     /* 1005143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005182 */     // MIs[0] policy
     /* 1005182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1005195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005214 */     // GIR_Coverage, 12636,
     /* 1005214 */     GIR_EraseRootFromParent_Done,
     /* 1005215 */   // Label 14934: @1005215
     /* 1005215 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005292), // Rule ID 12639 //
     /* 1005220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005259 */     // MIs[0] policy
     /* 1005259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005291 */     // GIR_Coverage, 12639,
     /* 1005291 */     GIR_EraseRootFromParent_Done,
     /* 1005292 */   // Label 14935: @1005292
     /* 1005292 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005369), // Rule ID 12640 //
     /* 1005297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1005317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005336 */     // MIs[0] policy
     /* 1005336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005368 */     // GIR_Coverage, 12640,
     /* 1005368 */     GIR_EraseRootFromParent_Done,
     /* 1005369 */   // Label 14936: @1005369
     /* 1005369 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005446), // Rule ID 12643 //
     /* 1005374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005413 */     // MIs[0] policy
     /* 1005413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005445 */     // GIR_Coverage, 12643,
     /* 1005445 */     GIR_EraseRootFromParent_Done,
     /* 1005446 */   // Label 14937: @1005446
     /* 1005446 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005523), // Rule ID 12644 //
     /* 1005451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1005471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005490 */     // MIs[0] policy
     /* 1005490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005522 */     // GIR_Coverage, 12644,
     /* 1005522 */     GIR_EraseRootFromParent_Done,
     /* 1005523 */   // Label 14938: @1005523
     /* 1005523 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005600), // Rule ID 12647 //
     /* 1005528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005567 */     // MIs[0] policy
     /* 1005567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005599 */     // GIR_Coverage, 12647,
     /* 1005599 */     GIR_EraseRootFromParent_Done,
     /* 1005600 */   // Label 14939: @1005600
     /* 1005600 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005677), // Rule ID 12648 //
     /* 1005605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1005625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005644 */     // MIs[0] policy
     /* 1005644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005676 */     // GIR_Coverage, 12648,
     /* 1005676 */     GIR_EraseRootFromParent_Done,
     /* 1005677 */   // Label 14940: @1005677
     /* 1005677 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005754), // Rule ID 12651 //
     /* 1005682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1005702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005721 */     // MIs[0] policy
     /* 1005721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005753 */     // GIR_Coverage, 12651,
     /* 1005753 */     GIR_EraseRootFromParent_Done,
     /* 1005754 */   // Label 14941: @1005754
     /* 1005754 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005831), // Rule ID 12652 //
     /* 1005759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1005779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005798 */     // MIs[0] policy
     /* 1005798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005830 */     // GIR_Coverage, 12652,
     /* 1005830 */     GIR_EraseRootFromParent_Done,
     /* 1005831 */   // Label 14942: @1005831
     /* 1005831 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005908), // Rule ID 12655 //
     /* 1005836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1005856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005875 */     // MIs[0] policy
     /* 1005875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005907 */     // GIR_Coverage, 12655,
     /* 1005907 */     GIR_EraseRootFromParent_Done,
     /* 1005908 */   // Label 14943: @1005908
     /* 1005908 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1005985), // Rule ID 12656 //
     /* 1005913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1005933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005952 */     // MIs[0] policy
     /* 1005952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005984 */     // GIR_Coverage, 12656,
     /* 1005984 */     GIR_EraseRootFromParent_Done,
     /* 1005985 */   // Label 14944: @1005985
     /* 1005985 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1006062), // Rule ID 12659 //
     /* 1005990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006029 */     // MIs[0] policy
     /* 1006029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006061 */     // GIR_Coverage, 12659,
     /* 1006061 */     GIR_EraseRootFromParent_Done,
     /* 1006062 */   // Label 14945: @1006062
     /* 1006062 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1006139), // Rule ID 12660 //
     /* 1006067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006106 */     // MIs[0] policy
     /* 1006106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006138 */     // GIR_Coverage, 12660,
     /* 1006138 */     GIR_EraseRootFromParent_Done,
     /* 1006139 */   // Label 14946: @1006139
     /* 1006139 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1006216), // Rule ID 12663 //
     /* 1006144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006183 */     // MIs[0] policy
     /* 1006183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006215 */     // GIR_Coverage, 12663,
     /* 1006215 */     GIR_EraseRootFromParent_Done,
     /* 1006216 */   // Label 14947: @1006216
     /* 1006216 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006293), // Rule ID 12664 //
     /* 1006221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1006241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006260 */     // MIs[0] policy
     /* 1006260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006292 */     // GIR_Coverage, 12664,
     /* 1006292 */     GIR_EraseRootFromParent_Done,
     /* 1006293 */   // Label 14948: @1006293
     /* 1006293 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006370), // Rule ID 12667 //
     /* 1006298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006337 */     // MIs[0] policy
     /* 1006337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006369 */     // GIR_Coverage, 12667,
     /* 1006369 */     GIR_EraseRootFromParent_Done,
     /* 1006370 */   // Label 14949: @1006370
     /* 1006370 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006447), // Rule ID 12668 //
     /* 1006375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1006395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006414 */     // MIs[0] policy
     /* 1006414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006446 */     // GIR_Coverage, 12668,
     /* 1006446 */     GIR_EraseRootFromParent_Done,
     /* 1006447 */   // Label 14950: @1006447
     /* 1006447 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006524), // Rule ID 12671 //
     /* 1006452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006491 */     // MIs[0] policy
     /* 1006491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006523 */     // GIR_Coverage, 12671,
     /* 1006523 */     GIR_EraseRootFromParent_Done,
     /* 1006524 */   // Label 14951: @1006524
     /* 1006524 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006601), // Rule ID 12672 //
     /* 1006529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1006549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006568 */     // MIs[0] policy
     /* 1006568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006600 */     // GIR_Coverage, 12672,
     /* 1006600 */     GIR_EraseRootFromParent_Done,
     /* 1006601 */   // Label 14952: @1006601
     /* 1006601 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006678), // Rule ID 12675 //
     /* 1006606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1006626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006645 */     // MIs[0] policy
     /* 1006645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006677 */     // GIR_Coverage, 12675,
     /* 1006677 */     GIR_EraseRootFromParent_Done,
     /* 1006678 */   // Label 14953: @1006678
     /* 1006678 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006755), // Rule ID 12676 //
     /* 1006683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1006703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006722 */     // MIs[0] policy
     /* 1006722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1006735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006754 */     // GIR_Coverage, 12676,
     /* 1006754 */     GIR_EraseRootFromParent_Done,
     /* 1006755 */   // Label 14954: @1006755
     /* 1006755 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006832), // Rule ID 12679 //
     /* 1006760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1006777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1006780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006799 */     // MIs[0] policy
     /* 1006799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006831 */     // GIR_Coverage, 12679,
     /* 1006831 */     GIR_EraseRootFromParent_Done,
     /* 1006832 */   // Label 14955: @1006832
     /* 1006832 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006909), // Rule ID 12680 //
     /* 1006837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1006854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1006857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006876 */     // MIs[0] policy
     /* 1006876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1006889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006908 */     // GIR_Coverage, 12680,
     /* 1006908 */     GIR_EraseRootFromParent_Done,
     /* 1006909 */   // Label 14956: @1006909
     /* 1006909 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1006986), // Rule ID 12683 //
     /* 1006914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1006931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1006934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006953 */     // MIs[0] policy
     /* 1006953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1006966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006985 */     // GIR_Coverage, 12683,
     /* 1006985 */     GIR_EraseRootFromParent_Done,
     /* 1006986 */   // Label 14957: @1006986
     /* 1006986 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1007063), // Rule ID 12684 //
     /* 1006991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007030 */     // MIs[0] policy
     /* 1007030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1007043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007062 */     // GIR_Coverage, 12684,
     /* 1007062 */     GIR_EraseRootFromParent_Done,
     /* 1007063 */   // Label 14958: @1007063
     /* 1007063 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1007140), // Rule ID 12687 //
     /* 1007068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007107 */     // MIs[0] policy
     /* 1007107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007139 */     // GIR_Coverage, 12687,
     /* 1007139 */     GIR_EraseRootFromParent_Done,
     /* 1007140 */   // Label 14959: @1007140
     /* 1007140 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1007217), // Rule ID 12688 //
     /* 1007145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007184 */     // MIs[0] policy
     /* 1007184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1007197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007216 */     // GIR_Coverage, 12688,
     /* 1007216 */     GIR_EraseRootFromParent_Done,
     /* 1007217 */   // Label 14960: @1007217
     /* 1007217 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007294), // Rule ID 12691 //
     /* 1007222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007261 */     // MIs[0] policy
     /* 1007261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007293 */     // GIR_Coverage, 12691,
     /* 1007293 */     GIR_EraseRootFromParent_Done,
     /* 1007294 */   // Label 14961: @1007294
     /* 1007294 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007371), // Rule ID 12692 //
     /* 1007299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1007310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1007313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1007319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007338 */     // MIs[0] policy
     /* 1007338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007370 */     // GIR_Coverage, 12692,
     /* 1007370 */     GIR_EraseRootFromParent_Done,
     /* 1007371 */   // Label 14962: @1007371
     /* 1007371 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007448), // Rule ID 12695 //
     /* 1007376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007415 */     // MIs[0] policy
     /* 1007415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007447 */     // GIR_Coverage, 12695,
     /* 1007447 */     GIR_EraseRootFromParent_Done,
     /* 1007448 */   // Label 14963: @1007448
     /* 1007448 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007525), // Rule ID 12696 //
     /* 1007453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1007464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1007467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1007473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007492 */     // MIs[0] policy
     /* 1007492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007524 */     // GIR_Coverage, 12696,
     /* 1007524 */     GIR_EraseRootFromParent_Done,
     /* 1007525 */   // Label 14964: @1007525
     /* 1007525 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007602), // Rule ID 12699 //
     /* 1007530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007569 */     // MIs[0] policy
     /* 1007569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007601 */     // GIR_Coverage, 12699,
     /* 1007601 */     GIR_EraseRootFromParent_Done,
     /* 1007602 */   // Label 14965: @1007602
     /* 1007602 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007679), // Rule ID 12700 //
     /* 1007607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1007627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007646 */     // MIs[0] policy
     /* 1007646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007656 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1007659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007678 */     // GIR_Coverage, 12700,
     /* 1007678 */     GIR_EraseRootFromParent_Done,
     /* 1007679 */   // Label 14966: @1007679
     /* 1007679 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007756), // Rule ID 12703 //
     /* 1007684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1007704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007723 */     // MIs[0] policy
     /* 1007723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007755 */     // GIR_Coverage, 12703,
     /* 1007755 */     GIR_EraseRootFromParent_Done,
     /* 1007756 */   // Label 14967: @1007756
     /* 1007756 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007833), // Rule ID 12704 //
     /* 1007761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1007781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007800 */     // MIs[0] policy
     /* 1007800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007832 */     // GIR_Coverage, 12704,
     /* 1007832 */     GIR_EraseRootFromParent_Done,
     /* 1007833 */   // Label 14968: @1007833
     /* 1007833 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007910), // Rule ID 12707 //
     /* 1007838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1007858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007877 */     // MIs[0] policy
     /* 1007877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007909 */     // GIR_Coverage, 12707,
     /* 1007909 */     GIR_EraseRootFromParent_Done,
     /* 1007910 */   // Label 14969: @1007910
     /* 1007910 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1007987), // Rule ID 12708 //
     /* 1007915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1007935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007954 */     // MIs[0] policy
     /* 1007954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1007967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007986 */     // GIR_Coverage, 12708,
     /* 1007986 */     GIR_EraseRootFromParent_Done,
     /* 1007987 */   // Label 14970: @1007987
     /* 1007987 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1008064), // Rule ID 12711 //
     /* 1007992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008031 */     // MIs[0] policy
     /* 1008031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008063 */     // GIR_Coverage, 12711,
     /* 1008063 */     GIR_EraseRootFromParent_Done,
     /* 1008064 */   // Label 14971: @1008064
     /* 1008064 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1008141), // Rule ID 12712 //
     /* 1008069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008108 */     // MIs[0] policy
     /* 1008108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008140 */     // GIR_Coverage, 12712,
     /* 1008140 */     GIR_EraseRootFromParent_Done,
     /* 1008141 */   // Label 14972: @1008141
     /* 1008141 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1008218), // Rule ID 12715 //
     /* 1008146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008185 */     // MIs[0] policy
     /* 1008185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008217 */     // GIR_Coverage, 12715,
     /* 1008217 */     GIR_EraseRootFromParent_Done,
     /* 1008218 */   // Label 14973: @1008218
     /* 1008218 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008295), // Rule ID 12716 //
     /* 1008223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1008234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1008237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1008243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008262 */     // MIs[0] policy
     /* 1008262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008294 */     // GIR_Coverage, 12716,
     /* 1008294 */     GIR_EraseRootFromParent_Done,
     /* 1008295 */   // Label 14974: @1008295
     /* 1008295 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008372), // Rule ID 12719 //
     /* 1008300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008339 */     // MIs[0] policy
     /* 1008339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008371 */     // GIR_Coverage, 12719,
     /* 1008371 */     GIR_EraseRootFromParent_Done,
     /* 1008372 */   // Label 14975: @1008372
     /* 1008372 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008449), // Rule ID 12720 //
     /* 1008377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1008388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1008391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1008397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008416 */     // MIs[0] policy
     /* 1008416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008448 */     // GIR_Coverage, 12720,
     /* 1008448 */     GIR_EraseRootFromParent_Done,
     /* 1008449 */   // Label 14976: @1008449
     /* 1008449 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008526), // Rule ID 12723 //
     /* 1008454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008493 */     // MIs[0] policy
     /* 1008493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008525 */     // GIR_Coverage, 12723,
     /* 1008525 */     GIR_EraseRootFromParent_Done,
     /* 1008526 */   // Label 14977: @1008526
     /* 1008526 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008603), // Rule ID 12724 //
     /* 1008531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1008551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008570 */     // MIs[0] policy
     /* 1008570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1008583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008602 */     // GIR_Coverage, 12724,
     /* 1008602 */     GIR_EraseRootFromParent_Done,
     /* 1008603 */   // Label 14978: @1008603
     /* 1008603 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008680), // Rule ID 12727 //
     /* 1008608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1008619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1008622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1008628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008647 */     // MIs[0] policy
     /* 1008647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008679 */     // GIR_Coverage, 12727,
     /* 1008679 */     GIR_EraseRootFromParent_Done,
     /* 1008680 */   // Label 14979: @1008680
     /* 1008680 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008757), // Rule ID 12728 //
     /* 1008685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1008696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1008699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1008705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008724 */     // MIs[0] policy
     /* 1008724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008756 */     // GIR_Coverage, 12728,
     /* 1008756 */     GIR_EraseRootFromParent_Done,
     /* 1008757 */   // Label 14980: @1008757
     /* 1008757 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008834), // Rule ID 12731 //
     /* 1008762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1008773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1008776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1008782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008801 */     // MIs[0] policy
     /* 1008801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008833 */     // GIR_Coverage, 12731,
     /* 1008833 */     GIR_EraseRootFromParent_Done,
     /* 1008834 */   // Label 14981: @1008834
     /* 1008834 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008911), // Rule ID 12732 //
     /* 1008839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1008850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1008853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1008859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008878 */     // MIs[0] policy
     /* 1008878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008888 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008910 */     // GIR_Coverage, 12732,
     /* 1008910 */     GIR_EraseRootFromParent_Done,
     /* 1008911 */   // Label 14982: @1008911
     /* 1008911 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1008988), // Rule ID 12735 //
     /* 1008916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1008927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1008930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1008936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008955 */     // MIs[0] policy
     /* 1008955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1008968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008987 */     // GIR_Coverage, 12735,
     /* 1008987 */     GIR_EraseRootFromParent_Done,
     /* 1008988 */   // Label 14983: @1008988
     /* 1008988 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1009065), // Rule ID 12736 //
     /* 1008993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009032 */     // MIs[0] policy
     /* 1009032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009064 */     // GIR_Coverage, 12736,
     /* 1009064 */     GIR_EraseRootFromParent_Done,
     /* 1009065 */   // Label 14984: @1009065
     /* 1009065 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1009142), // Rule ID 12739 //
     /* 1009070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009109 */     // MIs[0] policy
     /* 1009109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009141 */     // GIR_Coverage, 12739,
     /* 1009141 */     GIR_EraseRootFromParent_Done,
     /* 1009142 */   // Label 14985: @1009142
     /* 1009142 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1009219), // Rule ID 12740 //
     /* 1009147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009186 */     // MIs[0] policy
     /* 1009186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009218 */     // GIR_Coverage, 12740,
     /* 1009218 */     GIR_EraseRootFromParent_Done,
     /* 1009219 */   // Label 14986: @1009219
     /* 1009219 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009296), // Rule ID 12743 //
     /* 1009224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009263 */     // MIs[0] policy
     /* 1009263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009295 */     // GIR_Coverage, 12743,
     /* 1009295 */     GIR_EraseRootFromParent_Done,
     /* 1009296 */   // Label 14987: @1009296
     /* 1009296 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009373), // Rule ID 12744 //
     /* 1009301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1009312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1009315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1009321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009340 */     // MIs[0] policy
     /* 1009340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009372 */     // GIR_Coverage, 12744,
     /* 1009372 */     GIR_EraseRootFromParent_Done,
     /* 1009373 */   // Label 14988: @1009373
     /* 1009373 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009450), // Rule ID 12747 //
     /* 1009378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009417 */     // MIs[0] policy
     /* 1009417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009449 */     // GIR_Coverage, 12747,
     /* 1009449 */     GIR_EraseRootFromParent_Done,
     /* 1009450 */   // Label 14989: @1009450
     /* 1009450 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009527), // Rule ID 12748 //
     /* 1009455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1009466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1009469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1009475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009494 */     // MIs[0] policy
     /* 1009494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009526 */     // GIR_Coverage, 12748,
     /* 1009526 */     GIR_EraseRootFromParent_Done,
     /* 1009527 */   // Label 14990: @1009527
     /* 1009527 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009604), // Rule ID 12751 //
     /* 1009532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009571 */     // MIs[0] policy
     /* 1009571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009603 */     // GIR_Coverage, 12751,
     /* 1009603 */     GIR_EraseRootFromParent_Done,
     /* 1009604 */   // Label 14991: @1009604
     /* 1009604 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009681), // Rule ID 12752 //
     /* 1009609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1009620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1009623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1009629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009648 */     // MIs[0] policy
     /* 1009648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1009661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009680 */     // GIR_Coverage, 12752,
     /* 1009680 */     GIR_EraseRootFromParent_Done,
     /* 1009681 */   // Label 14992: @1009681
     /* 1009681 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009758), // Rule ID 12755 //
     /* 1009686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1009697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1009700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1009706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009725 */     // MIs[0] policy
     /* 1009725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009757 */     // GIR_Coverage, 12755,
     /* 1009757 */     GIR_EraseRootFromParent_Done,
     /* 1009758 */   // Label 14993: @1009758
     /* 1009758 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009835), // Rule ID 12756 //
     /* 1009763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1009774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1009777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1009783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009802 */     // MIs[0] policy
     /* 1009802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009834 */     // GIR_Coverage, 12756,
     /* 1009834 */     GIR_EraseRootFromParent_Done,
     /* 1009835 */   // Label 14994: @1009835
     /* 1009835 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009912), // Rule ID 12759 //
     /* 1009840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1009851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1009854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1009860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009879 */     // MIs[0] policy
     /* 1009879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009911 */     // GIR_Coverage, 12759,
     /* 1009911 */     GIR_EraseRootFromParent_Done,
     /* 1009912 */   // Label 14995: @1009912
     /* 1009912 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1009989), // Rule ID 12760 //
     /* 1009917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1009928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1009931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1009937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009956 */     // MIs[0] policy
     /* 1009956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009988 */     // GIR_Coverage, 12760,
     /* 1009988 */     GIR_EraseRootFromParent_Done,
     /* 1009989 */   // Label 14996: @1009989
     /* 1009989 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1010066), // Rule ID 12763 //
     /* 1009994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010033 */     // MIs[0] policy
     /* 1010033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010065 */     // GIR_Coverage, 12763,
     /* 1010065 */     GIR_EraseRootFromParent_Done,
     /* 1010066 */   // Label 14997: @1010066
     /* 1010066 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1010143), // Rule ID 12764 //
     /* 1010071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010110 */     // MIs[0] policy
     /* 1010110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1010123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010142 */     // GIR_Coverage, 12764,
     /* 1010142 */     GIR_EraseRootFromParent_Done,
     /* 1010143 */   // Label 14998: @1010143
     /* 1010143 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1010220), // Rule ID 12767 //
     /* 1010148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010187 */     // MIs[0] policy
     /* 1010187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010219 */     // GIR_Coverage, 12767,
     /* 1010219 */     GIR_EraseRootFromParent_Done,
     /* 1010220 */   // Label 14999: @1010220
     /* 1010220 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010297), // Rule ID 12768 //
     /* 1010225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1010236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1010239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1010245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010264 */     // MIs[0] policy
     /* 1010264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1010277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010296 */     // GIR_Coverage, 12768,
     /* 1010296 */     GIR_EraseRootFromParent_Done,
     /* 1010297 */   // Label 15000: @1010297
     /* 1010297 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010374), // Rule ID 12771 //
     /* 1010302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010341 */     // MIs[0] policy
     /* 1010341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010373 */     // GIR_Coverage, 12771,
     /* 1010373 */     GIR_EraseRootFromParent_Done,
     /* 1010374 */   // Label 15001: @1010374
     /* 1010374 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010451), // Rule ID 12772 //
     /* 1010379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1010390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1010393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1010399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010418 */     // MIs[0] policy
     /* 1010418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1010431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010450 */     // GIR_Coverage, 12772,
     /* 1010450 */     GIR_EraseRootFromParent_Done,
     /* 1010451 */   // Label 15002: @1010451
     /* 1010451 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010528), // Rule ID 12775 //
     /* 1010456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010495 */     // MIs[0] policy
     /* 1010495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010505 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010527 */     // GIR_Coverage, 12775,
     /* 1010527 */     GIR_EraseRootFromParent_Done,
     /* 1010528 */   // Label 15003: @1010528
     /* 1010528 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010605), // Rule ID 12776 //
     /* 1010533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1010544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1010547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1010550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1010553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010572 */     // MIs[0] policy
     /* 1010572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1010585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010604 */     // GIR_Coverage, 12776,
     /* 1010604 */     GIR_EraseRootFromParent_Done,
     /* 1010605 */   // Label 15004: @1010605
     /* 1010605 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010682), // Rule ID 12779 //
     /* 1010610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1010621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1010624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1010627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1010630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010649 */     // MIs[0] policy
     /* 1010649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1010662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010681 */     // GIR_Coverage, 12779,
     /* 1010681 */     GIR_EraseRootFromParent_Done,
     /* 1010682 */   // Label 15005: @1010682
     /* 1010682 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010759), // Rule ID 12780 //
     /* 1010687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1010698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1010701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1010704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1010707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010726 */     // MIs[0] policy
     /* 1010726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1010739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010758 */     // GIR_Coverage, 12780,
     /* 1010758 */     GIR_EraseRootFromParent_Done,
     /* 1010759 */   // Label 15006: @1010759
     /* 1010759 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010836), // Rule ID 12783 //
     /* 1010764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1010775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1010778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1010781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1010784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010803 */     // MIs[0] policy
     /* 1010803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010835 */     // GIR_Coverage, 12783,
     /* 1010835 */     GIR_EraseRootFromParent_Done,
     /* 1010836 */   // Label 15007: @1010836
     /* 1010836 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010913), // Rule ID 12784 //
     /* 1010841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1010852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1010855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1010858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1010861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010880 */     // MIs[0] policy
     /* 1010880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010912 */     // GIR_Coverage, 12784,
     /* 1010912 */     GIR_EraseRootFromParent_Done,
     /* 1010913 */   // Label 15008: @1010913
     /* 1010913 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1010990), // Rule ID 12787 //
     /* 1010918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1010929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1010932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1010935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1010938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010957 */     // MIs[0] policy
     /* 1010957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1010970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010989 */     // GIR_Coverage, 12787,
     /* 1010989 */     GIR_EraseRootFromParent_Done,
     /* 1010990 */   // Label 15009: @1010990
     /* 1010990 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1011067), // Rule ID 12788 //
     /* 1010995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011034 */     // MIs[0] policy
     /* 1011034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1011047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011066 */     // GIR_Coverage, 12788,
     /* 1011066 */     GIR_EraseRootFromParent_Done,
     /* 1011067 */   // Label 15010: @1011067
     /* 1011067 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1011144), // Rule ID 12791 //
     /* 1011072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011111 */     // MIs[0] policy
     /* 1011111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011121 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011143 */     // GIR_Coverage, 12791,
     /* 1011143 */     GIR_EraseRootFromParent_Done,
     /* 1011144 */   // Label 15011: @1011144
     /* 1011144 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1011221), // Rule ID 12792 //
     /* 1011149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011188 */     // MIs[0] policy
     /* 1011188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011220 */     // GIR_Coverage, 12792,
     /* 1011220 */     GIR_EraseRootFromParent_Done,
     /* 1011221 */   // Label 15012: @1011221
     /* 1011221 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011298), // Rule ID 12795 //
     /* 1011226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011265 */     // MIs[0] policy
     /* 1011265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011297 */     // GIR_Coverage, 12795,
     /* 1011297 */     GIR_EraseRootFromParent_Done,
     /* 1011298 */   // Label 15013: @1011298
     /* 1011298 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011375), // Rule ID 12796 //
     /* 1011303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011342 */     // MIs[0] policy
     /* 1011342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1011355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011374 */     // GIR_Coverage, 12796,
     /* 1011374 */     GIR_EraseRootFromParent_Done,
     /* 1011375 */   // Label 15014: @1011375
     /* 1011375 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011452), // Rule ID 12799 //
     /* 1011380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011419 */     // MIs[0] policy
     /* 1011419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011429 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011451 */     // GIR_Coverage, 12799,
     /* 1011451 */     GIR_EraseRootFromParent_Done,
     /* 1011452 */   // Label 15015: @1011452
     /* 1011452 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011529), // Rule ID 12800 //
     /* 1011457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1011468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1011471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1011474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1011477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011496 */     // MIs[0] policy
     /* 1011496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011506 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011528 */     // GIR_Coverage, 12800,
     /* 1011528 */     GIR_EraseRootFromParent_Done,
     /* 1011529 */   // Label 15016: @1011529
     /* 1011529 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011606), // Rule ID 12803 //
     /* 1011534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011573 */     // MIs[0] policy
     /* 1011573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011605 */     // GIR_Coverage, 12803,
     /* 1011605 */     GIR_EraseRootFromParent_Done,
     /* 1011606 */   // Label 15017: @1011606
     /* 1011606 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011683), // Rule ID 12804 //
     /* 1011611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1011622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1011625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1011628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1011631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011650 */     // MIs[0] policy
     /* 1011650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011682 */     // GIR_Coverage, 12804,
     /* 1011682 */     GIR_EraseRootFromParent_Done,
     /* 1011683 */   // Label 15018: @1011683
     /* 1011683 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011760), // Rule ID 12807 //
     /* 1011688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011727 */     // MIs[0] policy
     /* 1011727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011759 */     // GIR_Coverage, 12807,
     /* 1011759 */     GIR_EraseRootFromParent_Done,
     /* 1011760 */   // Label 15019: @1011760
     /* 1011760 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011837), // Rule ID 12808 //
     /* 1011765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011804 */     // MIs[0] policy
     /* 1011804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011836 */     // GIR_Coverage, 12808,
     /* 1011836 */     GIR_EraseRootFromParent_Done,
     /* 1011837 */   // Label 15020: @1011837
     /* 1011837 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011914), // Rule ID 12811 //
     /* 1011842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1011853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1011856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1011859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1011862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011881 */     // MIs[0] policy
     /* 1011881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011913 */     // GIR_Coverage, 12811,
     /* 1011913 */     GIR_EraseRootFromParent_Done,
     /* 1011914 */   // Label 15021: @1011914
     /* 1011914 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1011991), // Rule ID 12812 //
     /* 1011919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1011930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1011933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1011936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1011939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011958 */     // MIs[0] policy
     /* 1011958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1011971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011990 */     // GIR_Coverage, 12812,
     /* 1011990 */     GIR_EraseRootFromParent_Done,
     /* 1011991 */   // Label 15022: @1011991
     /* 1011991 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1012068), // Rule ID 12815 //
     /* 1011996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012035 */     // MIs[0] policy
     /* 1012035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012045 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012067 */     // GIR_Coverage, 12815,
     /* 1012067 */     GIR_EraseRootFromParent_Done,
     /* 1012068 */   // Label 15023: @1012068
     /* 1012068 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1012145), // Rule ID 12816 //
     /* 1012073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012112 */     // MIs[0] policy
     /* 1012112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012144 */     // GIR_Coverage, 12816,
     /* 1012144 */     GIR_EraseRootFromParent_Done,
     /* 1012145 */   // Label 15024: @1012145
     /* 1012145 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1012222), // Rule ID 12819 //
     /* 1012150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012189 */     // MIs[0] policy
     /* 1012189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012221 */     // GIR_Coverage, 12819,
     /* 1012221 */     GIR_EraseRootFromParent_Done,
     /* 1012222 */   // Label 15025: @1012222
     /* 1012222 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012299), // Rule ID 12820 //
     /* 1012227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1012238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1012241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1012244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1012247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012266 */     // MIs[0] policy
     /* 1012266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012298 */     // GIR_Coverage, 12820,
     /* 1012298 */     GIR_EraseRootFromParent_Done,
     /* 1012299 */   // Label 15026: @1012299
     /* 1012299 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012376), // Rule ID 12823 //
     /* 1012304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012343 */     // MIs[0] policy
     /* 1012343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012353 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012375 */     // GIR_Coverage, 12823,
     /* 1012375 */     GIR_EraseRootFromParent_Done,
     /* 1012376 */   // Label 15027: @1012376
     /* 1012376 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012453), // Rule ID 12824 //
     /* 1012381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1012392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1012395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1012398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1012401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012420 */     // MIs[0] policy
     /* 1012420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012452 */     // GIR_Coverage, 12824,
     /* 1012452 */     GIR_EraseRootFromParent_Done,
     /* 1012453 */   // Label 15028: @1012453
     /* 1012453 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012530), // Rule ID 12827 //
     /* 1012458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012497 */     // MIs[0] policy
     /* 1012497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012529 */     // GIR_Coverage, 12827,
     /* 1012529 */     GIR_EraseRootFromParent_Done,
     /* 1012530 */   // Label 15029: @1012530
     /* 1012530 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012607), // Rule ID 12828 //
     /* 1012535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1012546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1012549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1012552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1012555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012574 */     // MIs[0] policy
     /* 1012574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012606 */     // GIR_Coverage, 12828,
     /* 1012606 */     GIR_EraseRootFromParent_Done,
     /* 1012607 */   // Label 15030: @1012607
     /* 1012607 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012684), // Rule ID 12831 //
     /* 1012612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1012623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1012626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1012629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1012632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012651 */     // MIs[0] policy
     /* 1012651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012683 */     // GIR_Coverage, 12831,
     /* 1012683 */     GIR_EraseRootFromParent_Done,
     /* 1012684 */   // Label 15031: @1012684
     /* 1012684 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012761), // Rule ID 12832 //
     /* 1012689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1012700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1012703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1012706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1012709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012728 */     // MIs[0] policy
     /* 1012728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012760 */     // GIR_Coverage, 12832,
     /* 1012760 */     GIR_EraseRootFromParent_Done,
     /* 1012761 */   // Label 15032: @1012761
     /* 1012761 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012838), // Rule ID 12835 //
     /* 1012766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1012777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1012780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1012783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1012786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012805 */     // MIs[0] policy
     /* 1012805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012837 */     // GIR_Coverage, 12835,
     /* 1012837 */     GIR_EraseRootFromParent_Done,
     /* 1012838 */   // Label 15033: @1012838
     /* 1012838 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012915), // Rule ID 12836 //
     /* 1012843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1012854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1012857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1012860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1012863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012882 */     // MIs[0] policy
     /* 1012882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012914 */     // GIR_Coverage, 12836,
     /* 1012914 */     GIR_EraseRootFromParent_Done,
     /* 1012915 */   // Label 15034: @1012915
     /* 1012915 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1012992), // Rule ID 12839 //
     /* 1012920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1012931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1012934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1012937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1012940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012959 */     // MIs[0] policy
     /* 1012959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012991 */     // GIR_Coverage, 12839,
     /* 1012991 */     GIR_EraseRootFromParent_Done,
     /* 1012992 */   // Label 15035: @1012992
     /* 1012992 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1013069), // Rule ID 12840 //
     /* 1012997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013036 */     // MIs[0] policy
     /* 1013036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013068 */     // GIR_Coverage, 12840,
     /* 1013068 */     GIR_EraseRootFromParent_Done,
     /* 1013069 */   // Label 15036: @1013069
     /* 1013069 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1013146), // Rule ID 12843 //
     /* 1013074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013113 */     // MIs[0] policy
     /* 1013113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013145 */     // GIR_Coverage, 12843,
     /* 1013145 */     GIR_EraseRootFromParent_Done,
     /* 1013146 */   // Label 15037: @1013146
     /* 1013146 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1013223), // Rule ID 12844 //
     /* 1013151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013190 */     // MIs[0] policy
     /* 1013190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013222 */     // GIR_Coverage, 12844,
     /* 1013222 */     GIR_EraseRootFromParent_Done,
     /* 1013223 */   // Label 15038: @1013223
     /* 1013223 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013300), // Rule ID 12847 //
     /* 1013228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013267 */     // MIs[0] policy
     /* 1013267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013299 */     // GIR_Coverage, 12847,
     /* 1013299 */     GIR_EraseRootFromParent_Done,
     /* 1013300 */   // Label 15039: @1013300
     /* 1013300 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013377), // Rule ID 12848 //
     /* 1013305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013344 */     // MIs[0] policy
     /* 1013344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013376 */     // GIR_Coverage, 12848,
     /* 1013376 */     GIR_EraseRootFromParent_Done,
     /* 1013377 */   // Label 15040: @1013377
     /* 1013377 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013454), // Rule ID 12851 //
     /* 1013382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013421 */     // MIs[0] policy
     /* 1013421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013453 */     // GIR_Coverage, 12851,
     /* 1013453 */     GIR_EraseRootFromParent_Done,
     /* 1013454 */   // Label 15041: @1013454
     /* 1013454 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013531), // Rule ID 12852 //
     /* 1013459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1013470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1013473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1013476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1013479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013498 */     // MIs[0] policy
     /* 1013498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1013511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013530 */     // GIR_Coverage, 12852,
     /* 1013530 */     GIR_EraseRootFromParent_Done,
     /* 1013531 */   // Label 15042: @1013531
     /* 1013531 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013608), // Rule ID 12855 //
     /* 1013536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013575 */     // MIs[0] policy
     /* 1013575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013585 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013607 */     // GIR_Coverage, 12855,
     /* 1013607 */     GIR_EraseRootFromParent_Done,
     /* 1013608 */   // Label 15043: @1013608
     /* 1013608 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013685), // Rule ID 12856 //
     /* 1013613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1013624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1013627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1013630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1013633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013652 */     // MIs[0] policy
     /* 1013652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1013665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013684 */     // GIR_Coverage, 12856,
     /* 1013684 */     GIR_EraseRootFromParent_Done,
     /* 1013685 */   // Label 15044: @1013685
     /* 1013685 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013762), // Rule ID 12859 //
     /* 1013690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1013701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1013704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1013707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1013710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013729 */     // MIs[0] policy
     /* 1013729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013761 */     // GIR_Coverage, 12859,
     /* 1013761 */     GIR_EraseRootFromParent_Done,
     /* 1013762 */   // Label 15045: @1013762
     /* 1013762 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013839), // Rule ID 12860 //
     /* 1013767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1013778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1013781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1013784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1013787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013806 */     // MIs[0] policy
     /* 1013806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1013819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013838 */     // GIR_Coverage, 12860,
     /* 1013838 */     GIR_EraseRootFromParent_Done,
     /* 1013839 */   // Label 15046: @1013839
     /* 1013839 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013916), // Rule ID 12863 //
     /* 1013844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1013855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1013858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1013864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013883 */     // MIs[0] policy
     /* 1013883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013893 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1013896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013915 */     // GIR_Coverage, 12863,
     /* 1013915 */     GIR_EraseRootFromParent_Done,
     /* 1013916 */   // Label 15047: @1013916
     /* 1013916 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1013993), // Rule ID 12864 //
     /* 1013921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1013932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1013935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1013941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013960 */     // MIs[0] policy
     /* 1013960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1013973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013992 */     // GIR_Coverage, 12864,
     /* 1013992 */     GIR_EraseRootFromParent_Done,
     /* 1013993 */   // Label 15048: @1013993
     /* 1013993 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1014070), // Rule ID 12867 //
     /* 1013998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014037 */     // MIs[0] policy
     /* 1014037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014047 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014069 */     // GIR_Coverage, 12867,
     /* 1014069 */     GIR_EraseRootFromParent_Done,
     /* 1014070 */   // Label 15049: @1014070
     /* 1014070 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1014147), // Rule ID 12868 //
     /* 1014075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014114 */     // MIs[0] policy
     /* 1014114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014146 */     // GIR_Coverage, 12868,
     /* 1014146 */     GIR_EraseRootFromParent_Done,
     /* 1014147 */   // Label 15050: @1014147
     /* 1014147 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1014224), // Rule ID 12871 //
     /* 1014152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014191 */     // MIs[0] policy
     /* 1014191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014201 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014223 */     // GIR_Coverage, 12871,
     /* 1014223 */     GIR_EraseRootFromParent_Done,
     /* 1014224 */   // Label 15051: @1014224
     /* 1014224 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014301), // Rule ID 12872 //
     /* 1014229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1014240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1014243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1014249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014268 */     // MIs[0] policy
     /* 1014268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014300 */     // GIR_Coverage, 12872,
     /* 1014300 */     GIR_EraseRootFromParent_Done,
     /* 1014301 */   // Label 15052: @1014301
     /* 1014301 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014378), // Rule ID 12875 //
     /* 1014306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014345 */     // MIs[0] policy
     /* 1014345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014377 */     // GIR_Coverage, 12875,
     /* 1014377 */     GIR_EraseRootFromParent_Done,
     /* 1014378 */   // Label 15053: @1014378
     /* 1014378 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014455), // Rule ID 12876 //
     /* 1014383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1014394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1014397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1014403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014422 */     // MIs[0] policy
     /* 1014422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1014435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014454 */     // GIR_Coverage, 12876,
     /* 1014454 */     GIR_EraseRootFromParent_Done,
     /* 1014455 */   // Label 15054: @1014455
     /* 1014455 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014532), // Rule ID 12879 //
     /* 1014460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014499 */     // MIs[0] policy
     /* 1014499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014531 */     // GIR_Coverage, 12879,
     /* 1014531 */     GIR_EraseRootFromParent_Done,
     /* 1014532 */   // Label 15055: @1014532
     /* 1014532 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014609), // Rule ID 12880 //
     /* 1014537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1014548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1014551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1014557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014576 */     // MIs[0] policy
     /* 1014576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014608 */     // GIR_Coverage, 12880,
     /* 1014608 */     GIR_EraseRootFromParent_Done,
     /* 1014609 */   // Label 15056: @1014609
     /* 1014609 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014686), // Rule ID 12883 //
     /* 1014614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014653 */     // MIs[0] policy
     /* 1014653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014685 */     // GIR_Coverage, 12883,
     /* 1014685 */     GIR_EraseRootFromParent_Done,
     /* 1014686 */   // Label 15057: @1014686
     /* 1014686 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014763), // Rule ID 12884 //
     /* 1014691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014730 */     // MIs[0] policy
     /* 1014730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1014743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014762 */     // GIR_Coverage, 12884,
     /* 1014762 */     GIR_EraseRootFromParent_Done,
     /* 1014763 */   // Label 15058: @1014763
     /* 1014763 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014840), // Rule ID 12887 //
     /* 1014768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1014779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1014782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1014788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014807 */     // MIs[0] policy
     /* 1014807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014839 */     // GIR_Coverage, 12887,
     /* 1014839 */     GIR_EraseRootFromParent_Done,
     /* 1014840 */   // Label 15059: @1014840
     /* 1014840 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014917), // Rule ID 12888 //
     /* 1014845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1014856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1014859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1014865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014884 */     // MIs[0] policy
     /* 1014884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014894 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014916 */     // GIR_Coverage, 12888,
     /* 1014916 */     GIR_EraseRootFromParent_Done,
     /* 1014917 */   // Label 15060: @1014917
     /* 1014917 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1014994), // Rule ID 12891 //
     /* 1014922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1014933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1014936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1014942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014961 */     // MIs[0] policy
     /* 1014961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014971 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014993 */     // GIR_Coverage, 12891,
     /* 1014993 */     GIR_EraseRootFromParent_Done,
     /* 1014994 */   // Label 15061: @1014994
     /* 1014994 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1015071), // Rule ID 12892 //
     /* 1014999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015038 */     // MIs[0] policy
     /* 1015038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015070 */     // GIR_Coverage, 12892,
     /* 1015070 */     GIR_EraseRootFromParent_Done,
     /* 1015071 */   // Label 15062: @1015071
     /* 1015071 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1015148), // Rule ID 12895 //
     /* 1015076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015115 */     // MIs[0] policy
     /* 1015115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015147 */     // GIR_Coverage, 12895,
     /* 1015147 */     GIR_EraseRootFromParent_Done,
     /* 1015148 */   // Label 15063: @1015148
     /* 1015148 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1015225), // Rule ID 12896 //
     /* 1015153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015192 */     // MIs[0] policy
     /* 1015192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015224 */     // GIR_Coverage, 12896,
     /* 1015224 */     GIR_EraseRootFromParent_Done,
     /* 1015225 */   // Label 15064: @1015225
     /* 1015225 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015302), // Rule ID 12899 //
     /* 1015230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015269 */     // MIs[0] policy
     /* 1015269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015301 */     // GIR_Coverage, 12899,
     /* 1015301 */     GIR_EraseRootFromParent_Done,
     /* 1015302 */   // Label 15065: @1015302
     /* 1015302 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015379), // Rule ID 12900 //
     /* 1015307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1015318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1015321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1015327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015346 */     // MIs[0] policy
     /* 1015346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1015359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015378 */     // GIR_Coverage, 12900,
     /* 1015378 */     GIR_EraseRootFromParent_Done,
     /* 1015379 */   // Label 15066: @1015379
     /* 1015379 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015456), // Rule ID 12903 //
     /* 1015384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015423 */     // MIs[0] policy
     /* 1015423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015455 */     // GIR_Coverage, 12903,
     /* 1015455 */     GIR_EraseRootFromParent_Done,
     /* 1015456 */   // Label 15067: @1015456
     /* 1015456 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015533), // Rule ID 12904 //
     /* 1015461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1015472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1015475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1015481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015500 */     // MIs[0] policy
     /* 1015500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015532 */     // GIR_Coverage, 12904,
     /* 1015532 */     GIR_EraseRootFromParent_Done,
     /* 1015533 */   // Label 15068: @1015533
     /* 1015533 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015610), // Rule ID 12907 //
     /* 1015538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015577 */     // MIs[0] policy
     /* 1015577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015609 */     // GIR_Coverage, 12907,
     /* 1015609 */     GIR_EraseRootFromParent_Done,
     /* 1015610 */   // Label 15069: @1015610
     /* 1015610 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015687), // Rule ID 12908 //
     /* 1015615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1015626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1015629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1015635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015654 */     // MIs[0] policy
     /* 1015654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015686 */     // GIR_Coverage, 12908,
     /* 1015686 */     GIR_EraseRootFromParent_Done,
     /* 1015687 */   // Label 15070: @1015687
     /* 1015687 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015764), // Rule ID 12911 //
     /* 1015692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1015703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1015706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1015712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015731 */     // MIs[0] policy
     /* 1015731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015741 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015763 */     // GIR_Coverage, 12911,
     /* 1015763 */     GIR_EraseRootFromParent_Done,
     /* 1015764 */   // Label 15071: @1015764
     /* 1015764 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015841), // Rule ID 12912 //
     /* 1015769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1015780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1015783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1015789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015808 */     // MIs[0] policy
     /* 1015808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015818 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015840 */     // GIR_Coverage, 12912,
     /* 1015840 */     GIR_EraseRootFromParent_Done,
     /* 1015841 */   // Label 15072: @1015841
     /* 1015841 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015918), // Rule ID 12915 //
     /* 1015846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1015857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1015860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1015866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015885 */     // MIs[0] policy
     /* 1015885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015895 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015917 */     // GIR_Coverage, 12915,
     /* 1015917 */     GIR_EraseRootFromParent_Done,
     /* 1015918 */   // Label 15073: @1015918
     /* 1015918 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1015995), // Rule ID 12916 //
     /* 1015923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1015934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1015937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1015943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015962 */     // MIs[0] policy
     /* 1015962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015994 */     // GIR_Coverage, 12916,
     /* 1015994 */     GIR_EraseRootFromParent_Done,
     /* 1015995 */   // Label 15074: @1015995
     /* 1015995 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1016072), // Rule ID 12919 //
     /* 1016000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016039 */     // MIs[0] policy
     /* 1016039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016071 */     // GIR_Coverage, 12919,
     /* 1016071 */     GIR_EraseRootFromParent_Done,
     /* 1016072 */   // Label 15075: @1016072
     /* 1016072 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1016149), // Rule ID 12920 //
     /* 1016077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016116 */     // MIs[0] policy
     /* 1016116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016148 */     // GIR_Coverage, 12920,
     /* 1016148 */     GIR_EraseRootFromParent_Done,
     /* 1016149 */   // Label 15076: @1016149
     /* 1016149 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1016226), // Rule ID 12923 //
     /* 1016154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016193 */     // MIs[0] policy
     /* 1016193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016225 */     // GIR_Coverage, 12923,
     /* 1016225 */     GIR_EraseRootFromParent_Done,
     /* 1016226 */   // Label 15077: @1016226
     /* 1016226 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016303), // Rule ID 12924 //
     /* 1016231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1016242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1016245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1016251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016270 */     // MIs[0] policy
     /* 1016270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016302 */     // GIR_Coverage, 12924,
     /* 1016302 */     GIR_EraseRootFromParent_Done,
     /* 1016303 */   // Label 15078: @1016303
     /* 1016303 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016380), // Rule ID 12927 //
     /* 1016308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016347 */     // MIs[0] policy
     /* 1016347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016379 */     // GIR_Coverage, 12927,
     /* 1016379 */     GIR_EraseRootFromParent_Done,
     /* 1016380 */   // Label 15079: @1016380
     /* 1016380 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016457), // Rule ID 12928 //
     /* 1016385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016424 */     // MIs[0] policy
     /* 1016424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016456 */     // GIR_Coverage, 12928,
     /* 1016456 */     GIR_EraseRootFromParent_Done,
     /* 1016457 */   // Label 15080: @1016457
     /* 1016457 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016534), // Rule ID 12931 //
     /* 1016462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016501 */     // MIs[0] policy
     /* 1016501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016533 */     // GIR_Coverage, 12931,
     /* 1016533 */     GIR_EraseRootFromParent_Done,
     /* 1016534 */   // Label 15081: @1016534
     /* 1016534 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016611), // Rule ID 12932 //
     /* 1016539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016578 */     // MIs[0] policy
     /* 1016578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016610 */     // GIR_Coverage, 12932,
     /* 1016610 */     GIR_EraseRootFromParent_Done,
     /* 1016611 */   // Label 15082: @1016611
     /* 1016611 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016688), // Rule ID 12935 //
     /* 1016616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016655 */     // MIs[0] policy
     /* 1016655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016687 */     // GIR_Coverage, 12935,
     /* 1016687 */     GIR_EraseRootFromParent_Done,
     /* 1016688 */   // Label 15083: @1016688
     /* 1016688 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016765), // Rule ID 12936 //
     /* 1016693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016732 */     // MIs[0] policy
     /* 1016732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016764 */     // GIR_Coverage, 12936,
     /* 1016764 */     GIR_EraseRootFromParent_Done,
     /* 1016765 */   // Label 15084: @1016765
     /* 1016765 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016842), // Rule ID 12939 //
     /* 1016770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016809 */     // MIs[0] policy
     /* 1016809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016841 */     // GIR_Coverage, 12939,
     /* 1016841 */     GIR_EraseRootFromParent_Done,
     /* 1016842 */   // Label 15085: @1016842
     /* 1016842 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016919), // Rule ID 12940 //
     /* 1016847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016886 */     // MIs[0] policy
     /* 1016886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1016899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016918 */     // GIR_Coverage, 12940,
     /* 1016918 */     GIR_EraseRootFromParent_Done,
     /* 1016919 */   // Label 15086: @1016919
     /* 1016919 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1016996), // Rule ID 12943 //
     /* 1016924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1016935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1016938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1016944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016963 */     // MIs[0] policy
     /* 1016963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1016976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016995 */     // GIR_Coverage, 12943,
     /* 1016995 */     GIR_EraseRootFromParent_Done,
     /* 1016996 */   // Label 15087: @1016996
     /* 1016996 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1017073), // Rule ID 12944 //
     /* 1017001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017040 */     // MIs[0] policy
     /* 1017040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1017053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017072 */     // GIR_Coverage, 12944,
     /* 1017072 */     GIR_EraseRootFromParent_Done,
     /* 1017073 */   // Label 15088: @1017073
     /* 1017073 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1017150), // Rule ID 12947 //
     /* 1017078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017117 */     // MIs[0] policy
     /* 1017117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017149 */     // GIR_Coverage, 12947,
     /* 1017149 */     GIR_EraseRootFromParent_Done,
     /* 1017150 */   // Label 15089: @1017150
     /* 1017150 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1017227), // Rule ID 12948 //
     /* 1017155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017194 */     // MIs[0] policy
     /* 1017194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1017207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017226 */     // GIR_Coverage, 12948,
     /* 1017226 */     GIR_EraseRootFromParent_Done,
     /* 1017227 */   // Label 15090: @1017227
     /* 1017227 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017304), // Rule ID 12951 //
     /* 1017232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017271 */     // MIs[0] policy
     /* 1017271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017281 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017303 */     // GIR_Coverage, 12951,
     /* 1017303 */     GIR_EraseRootFromParent_Done,
     /* 1017304 */   // Label 15091: @1017304
     /* 1017304 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017381), // Rule ID 12952 //
     /* 1017309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1017320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1017323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1017326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1017329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017348 */     // MIs[0] policy
     /* 1017348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1017361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017380 */     // GIR_Coverage, 12952,
     /* 1017380 */     GIR_EraseRootFromParent_Done,
     /* 1017381 */   // Label 15092: @1017381
     /* 1017381 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017458), // Rule ID 12955 //
     /* 1017386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017425 */     // MIs[0] policy
     /* 1017425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017435 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017457 */     // GIR_Coverage, 12955,
     /* 1017457 */     GIR_EraseRootFromParent_Done,
     /* 1017458 */   // Label 15093: @1017458
     /* 1017458 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017535), // Rule ID 12956 //
     /* 1017463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1017474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1017477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1017480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1017483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017502 */     // MIs[0] policy
     /* 1017502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017534 */     // GIR_Coverage, 12956,
     /* 1017534 */     GIR_EraseRootFromParent_Done,
     /* 1017535 */   // Label 15094: @1017535
     /* 1017535 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017612), // Rule ID 12959 //
     /* 1017540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017579 */     // MIs[0] policy
     /* 1017579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017611 */     // GIR_Coverage, 12959,
     /* 1017611 */     GIR_EraseRootFromParent_Done,
     /* 1017612 */   // Label 15095: @1017612
     /* 1017612 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017689), // Rule ID 12960 //
     /* 1017617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1017628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1017631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1017634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1017637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017656 */     // MIs[0] policy
     /* 1017656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017666 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017688 */     // GIR_Coverage, 12960,
     /* 1017688 */     GIR_EraseRootFromParent_Done,
     /* 1017689 */   // Label 15096: @1017689
     /* 1017689 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017766), // Rule ID 12963 //
     /* 1017694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1017705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1017708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1017711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1017714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017733 */     // MIs[0] policy
     /* 1017733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017765 */     // GIR_Coverage, 12963,
     /* 1017765 */     GIR_EraseRootFromParent_Done,
     /* 1017766 */   // Label 15097: @1017766
     /* 1017766 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017843), // Rule ID 12964 //
     /* 1017771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1017782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1017785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1017788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1017791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017810 */     // MIs[0] policy
     /* 1017810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1017823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017842 */     // GIR_Coverage, 12964,
     /* 1017842 */     GIR_EraseRootFromParent_Done,
     /* 1017843 */   // Label 15098: @1017843
     /* 1017843 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017920), // Rule ID 12967 //
     /* 1017848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1017859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1017862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1017865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1017868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017887 */     // MIs[0] policy
     /* 1017887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017897 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017919 */     // GIR_Coverage, 12967,
     /* 1017919 */     GIR_EraseRootFromParent_Done,
     /* 1017920 */   // Label 15099: @1017920
     /* 1017920 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1017997), // Rule ID 12968 //
     /* 1017925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1017936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1017939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1017942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1017945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017964 */     // MIs[0] policy
     /* 1017964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1017977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017996 */     // GIR_Coverage, 12968,
     /* 1017996 */     GIR_EraseRootFromParent_Done,
     /* 1017997 */   // Label 15100: @1017997
     /* 1017997 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1018074), // Rule ID 12971 //
     /* 1018002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018041 */     // MIs[0] policy
     /* 1018041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018073 */     // GIR_Coverage, 12971,
     /* 1018073 */     GIR_EraseRootFromParent_Done,
     /* 1018074 */   // Label 15101: @1018074
     /* 1018074 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1018151), // Rule ID 12972 //
     /* 1018079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018118 */     // MIs[0] policy
     /* 1018118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1018131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018150 */     // GIR_Coverage, 12972,
     /* 1018150 */     GIR_EraseRootFromParent_Done,
     /* 1018151 */   // Label 15102: @1018151
     /* 1018151 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1018228), // Rule ID 12975 //
     /* 1018156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018195 */     // MIs[0] policy
     /* 1018195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018227 */     // GIR_Coverage, 12975,
     /* 1018227 */     GIR_EraseRootFromParent_Done,
     /* 1018228 */   // Label 15103: @1018228
     /* 1018228 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018305), // Rule ID 12976 //
     /* 1018233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1018244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1018247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018272 */     // MIs[0] policy
     /* 1018272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018304 */     // GIR_Coverage, 12976,
     /* 1018304 */     GIR_EraseRootFromParent_Done,
     /* 1018305 */   // Label 15104: @1018305
     /* 1018305 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018382), // Rule ID 12979 //
     /* 1018310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018349 */     // MIs[0] policy
     /* 1018349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018381 */     // GIR_Coverage, 12979,
     /* 1018381 */     GIR_EraseRootFromParent_Done,
     /* 1018382 */   // Label 15105: @1018382
     /* 1018382 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018459), // Rule ID 12980 //
     /* 1018387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1018398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1018401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1018404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1018407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018426 */     // MIs[0] policy
     /* 1018426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018458 */     // GIR_Coverage, 12980,
     /* 1018458 */     GIR_EraseRootFromParent_Done,
     /* 1018459 */   // Label 15106: @1018459
     /* 1018459 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018536), // Rule ID 12983 //
     /* 1018464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018503 */     // MIs[0] policy
     /* 1018503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018535 */     // GIR_Coverage, 12983,
     /* 1018535 */     GIR_EraseRootFromParent_Done,
     /* 1018536 */   // Label 15107: @1018536
     /* 1018536 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018613), // Rule ID 12984 //
     /* 1018541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1018558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1018561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018580 */     // MIs[0] policy
     /* 1018580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018612 */     // GIR_Coverage, 12984,
     /* 1018612 */     GIR_EraseRootFromParent_Done,
     /* 1018613 */   // Label 15108: @1018613
     /* 1018613 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018690), // Rule ID 12987 //
     /* 1018618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1018629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1018632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1018635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1018638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018657 */     // MIs[0] policy
     /* 1018657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018689 */     // GIR_Coverage, 12987,
     /* 1018689 */     GIR_EraseRootFromParent_Done,
     /* 1018690 */   // Label 15109: @1018690
     /* 1018690 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018767), // Rule ID 12988 //
     /* 1018695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1018706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1018709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1018712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1018715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018734 */     // MIs[0] policy
     /* 1018734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1018747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018766 */     // GIR_Coverage, 12988,
     /* 1018766 */     GIR_EraseRootFromParent_Done,
     /* 1018767 */   // Label 15110: @1018767
     /* 1018767 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018844), // Rule ID 12991 //
     /* 1018772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1018792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018811 */     // MIs[0] policy
     /* 1018811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018843 */     // GIR_Coverage, 12991,
     /* 1018843 */     GIR_EraseRootFromParent_Done,
     /* 1018844 */   // Label 15111: @1018844
     /* 1018844 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018921), // Rule ID 12992 //
     /* 1018849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1018869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018888 */     // MIs[0] policy
     /* 1018888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018920 */     // GIR_Coverage, 12992,
     /* 1018920 */     GIR_EraseRootFromParent_Done,
     /* 1018921 */   // Label 15112: @1018921
     /* 1018921 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1018998), // Rule ID 12995 //
     /* 1018926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1018937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1018940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1018943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1018946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018965 */     // MIs[0] policy
     /* 1018965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1018978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018997 */     // GIR_Coverage, 12995,
     /* 1018997 */     GIR_EraseRootFromParent_Done,
     /* 1018998 */   // Label 15113: @1018998
     /* 1018998 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1019075), // Rule ID 12996 //
     /* 1019003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019042 */     // MIs[0] policy
     /* 1019042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019074 */     // GIR_Coverage, 12996,
     /* 1019074 */     GIR_EraseRootFromParent_Done,
     /* 1019075 */   // Label 15114: @1019075
     /* 1019075 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1019152), // Rule ID 12999 //
     /* 1019080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019119 */     // MIs[0] policy
     /* 1019119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019129 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019151 */     // GIR_Coverage, 12999,
     /* 1019151 */     GIR_EraseRootFromParent_Done,
     /* 1019152 */   // Label 15115: @1019152
     /* 1019152 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1019229), // Rule ID 13000 //
     /* 1019157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019196 */     // MIs[0] policy
     /* 1019196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019206 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019228 */     // GIR_Coverage, 13000,
     /* 1019228 */     GIR_EraseRootFromParent_Done,
     /* 1019229 */   // Label 15116: @1019229
     /* 1019229 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019306), // Rule ID 13003 //
     /* 1019234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019273 */     // MIs[0] policy
     /* 1019273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019305 */     // GIR_Coverage, 13003,
     /* 1019305 */     GIR_EraseRootFromParent_Done,
     /* 1019306 */   // Label 15117: @1019306
     /* 1019306 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019383), // Rule ID 13004 //
     /* 1019311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1019322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1019325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1019328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1019331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019350 */     // MIs[0] policy
     /* 1019350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019382 */     // GIR_Coverage, 13004,
     /* 1019382 */     GIR_EraseRootFromParent_Done,
     /* 1019383 */   // Label 15118: @1019383
     /* 1019383 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019460), // Rule ID 13007 //
     /* 1019388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019427 */     // MIs[0] policy
     /* 1019427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019437 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019459 */     // GIR_Coverage, 13007,
     /* 1019459 */     GIR_EraseRootFromParent_Done,
     /* 1019460 */   // Label 15119: @1019460
     /* 1019460 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019537), // Rule ID 13008 //
     /* 1019465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1019476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1019479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1019482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1019485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019504 */     // MIs[0] policy
     /* 1019504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019536 */     // GIR_Coverage, 13008,
     /* 1019536 */     GIR_EraseRootFromParent_Done,
     /* 1019537 */   // Label 15120: @1019537
     /* 1019537 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019614), // Rule ID 13011 //
     /* 1019542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1019562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019581 */     // MIs[0] policy
     /* 1019581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019591 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019613 */     // GIR_Coverage, 13011,
     /* 1019613 */     GIR_EraseRootFromParent_Done,
     /* 1019614 */   // Label 15121: @1019614
     /* 1019614 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019691), // Rule ID 13012 //
     /* 1019619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1019639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019658 */     // MIs[0] policy
     /* 1019658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019690 */     // GIR_Coverage, 13012,
     /* 1019690 */     GIR_EraseRootFromParent_Done,
     /* 1019691 */   // Label 15122: @1019691
     /* 1019691 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019768), // Rule ID 13015 //
     /* 1019696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1019716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019735 */     // MIs[0] policy
     /* 1019735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019767 */     // GIR_Coverage, 13015,
     /* 1019767 */     GIR_EraseRootFromParent_Done,
     /* 1019768 */   // Label 15123: @1019768
     /* 1019768 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019845), // Rule ID 13016 //
     /* 1019773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1019793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019812 */     // MIs[0] policy
     /* 1019812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019844 */     // GIR_Coverage, 13016,
     /* 1019844 */     GIR_EraseRootFromParent_Done,
     /* 1019845 */   // Label 15124: @1019845
     /* 1019845 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019922), // Rule ID 13019 //
     /* 1019850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1019870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019889 */     // MIs[0] policy
     /* 1019889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019921 */     // GIR_Coverage, 13019,
     /* 1019921 */     GIR_EraseRootFromParent_Done,
     /* 1019922 */   // Label 15125: @1019922
     /* 1019922 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1019999), // Rule ID 13020 //
     /* 1019927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1019947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019966 */     // MIs[0] policy
     /* 1019966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019998 */     // GIR_Coverage, 13020,
     /* 1019998 */     GIR_EraseRootFromParent_Done,
     /* 1019999 */   // Label 15126: @1019999
     /* 1019999 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1020076), // Rule ID 13023 //
     /* 1020004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020043 */     // MIs[0] policy
     /* 1020043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020075 */     // GIR_Coverage, 13023,
     /* 1020075 */     GIR_EraseRootFromParent_Done,
     /* 1020076 */   // Label 15127: @1020076
     /* 1020076 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1020153), // Rule ID 13024 //
     /* 1020081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020120 */     // MIs[0] policy
     /* 1020120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020152 */     // GIR_Coverage, 13024,
     /* 1020152 */     GIR_EraseRootFromParent_Done,
     /* 1020153 */   // Label 15128: @1020153
     /* 1020153 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1020230), // Rule ID 13027 //
     /* 1020158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020197 */     // MIs[0] policy
     /* 1020197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020207 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020229 */     // GIR_Coverage, 13027,
     /* 1020229 */     GIR_EraseRootFromParent_Done,
     /* 1020230 */   // Label 15129: @1020230
     /* 1020230 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020307), // Rule ID 13028 //
     /* 1020235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1020246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1020249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1020252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1020255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020274 */     // MIs[0] policy
     /* 1020274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1020287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020306 */     // GIR_Coverage, 13028,
     /* 1020306 */     GIR_EraseRootFromParent_Done,
     /* 1020307 */   // Label 15130: @1020307
     /* 1020307 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020384), // Rule ID 13031 //
     /* 1020312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020351 */     // MIs[0] policy
     /* 1020351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020383 */     // GIR_Coverage, 13031,
     /* 1020383 */     GIR_EraseRootFromParent_Done,
     /* 1020384 */   // Label 15131: @1020384
     /* 1020384 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020461), // Rule ID 13032 //
     /* 1020389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1020409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020428 */     // MIs[0] policy
     /* 1020428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1020441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020460 */     // GIR_Coverage, 13032,
     /* 1020460 */     GIR_EraseRootFromParent_Done,
     /* 1020461 */   // Label 15132: @1020461
     /* 1020461 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020538), // Rule ID 13035 //
     /* 1020466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020505 */     // MIs[0] policy
     /* 1020505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020537 */     // GIR_Coverage, 13035,
     /* 1020537 */     GIR_EraseRootFromParent_Done,
     /* 1020538 */   // Label 15133: @1020538
     /* 1020538 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020615), // Rule ID 13036 //
     /* 1020543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1020563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020582 */     // MIs[0] policy
     /* 1020582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1020595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020614 */     // GIR_Coverage, 13036,
     /* 1020614 */     GIR_EraseRootFromParent_Done,
     /* 1020615 */   // Label 15134: @1020615
     /* 1020615 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020692), // Rule ID 13039 //
     /* 1020620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1020640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020659 */     // MIs[0] policy
     /* 1020659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020669 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1020672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020691 */     // GIR_Coverage, 13039,
     /* 1020691 */     GIR_EraseRootFromParent_Done,
     /* 1020692 */   // Label 15135: @1020692
     /* 1020692 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020769), // Rule ID 13040 //
     /* 1020697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1020717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020736 */     // MIs[0] policy
     /* 1020736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1020749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020768 */     // GIR_Coverage, 13040,
     /* 1020768 */     GIR_EraseRootFromParent_Done,
     /* 1020769 */   // Label 15136: @1020769
     /* 1020769 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020846), // Rule ID 13043 //
     /* 1020774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1020794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020813 */     // MIs[0] policy
     /* 1020813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020823 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1020826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020845 */     // GIR_Coverage, 13043,
     /* 1020845 */     GIR_EraseRootFromParent_Done,
     /* 1020846 */   // Label 15137: @1020846
     /* 1020846 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020923), // Rule ID 13044 //
     /* 1020851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1020871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020890 */     // MIs[0] policy
     /* 1020890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020900 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1020903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020922 */     // GIR_Coverage, 13044,
     /* 1020922 */     GIR_EraseRootFromParent_Done,
     /* 1020923 */   // Label 15138: @1020923
     /* 1020923 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1021000), // Rule ID 13047 //
     /* 1020928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1020939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1020942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1020948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020967 */     // MIs[0] policy
     /* 1020967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1020980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020999 */     // GIR_Coverage, 13047,
     /* 1020999 */     GIR_EraseRootFromParent_Done,
     /* 1021000 */   // Label 15139: @1021000
     /* 1021000 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1021077), // Rule ID 13048 //
     /* 1021005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021044 */     // MIs[0] policy
     /* 1021044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021076 */     // GIR_Coverage, 13048,
     /* 1021076 */     GIR_EraseRootFromParent_Done,
     /* 1021077 */   // Label 15140: @1021077
     /* 1021077 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1021154), // Rule ID 13051 //
     /* 1021082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021121 */     // MIs[0] policy
     /* 1021121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021153 */     // GIR_Coverage, 13051,
     /* 1021153 */     GIR_EraseRootFromParent_Done,
     /* 1021154 */   // Label 15141: @1021154
     /* 1021154 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1021231), // Rule ID 13052 //
     /* 1021159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021198 */     // MIs[0] policy
     /* 1021198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1021211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021230 */     // GIR_Coverage, 13052,
     /* 1021230 */     GIR_EraseRootFromParent_Done,
     /* 1021231 */   // Label 15142: @1021231
     /* 1021231 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021308), // Rule ID 13055 //
     /* 1021236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021275 */     // MIs[0] policy
     /* 1021275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021285 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021307 */     // GIR_Coverage, 13055,
     /* 1021307 */     GIR_EraseRootFromParent_Done,
     /* 1021308 */   // Label 15143: @1021308
     /* 1021308 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021385), // Rule ID 13056 //
     /* 1021313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1021333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021352 */     // MIs[0] policy
     /* 1021352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021384 */     // GIR_Coverage, 13056,
     /* 1021384 */     GIR_EraseRootFromParent_Done,
     /* 1021385 */   // Label 15144: @1021385
     /* 1021385 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021462), // Rule ID 13059 //
     /* 1021390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021429 */     // MIs[0] policy
     /* 1021429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021461 */     // GIR_Coverage, 13059,
     /* 1021461 */     GIR_EraseRootFromParent_Done,
     /* 1021462 */   // Label 15145: @1021462
     /* 1021462 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021539), // Rule ID 13060 //
     /* 1021467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1021487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021506 */     // MIs[0] policy
     /* 1021506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1021519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021538 */     // GIR_Coverage, 13060,
     /* 1021538 */     GIR_EraseRootFromParent_Done,
     /* 1021539 */   // Label 15146: @1021539
     /* 1021539 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021616), // Rule ID 13063 //
     /* 1021544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021583 */     // MIs[0] policy
     /* 1021583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021615 */     // GIR_Coverage, 13063,
     /* 1021615 */     GIR_EraseRootFromParent_Done,
     /* 1021616 */   // Label 15147: @1021616
     /* 1021616 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021693), // Rule ID 13064 //
     /* 1021621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021660 */     // MIs[0] policy
     /* 1021660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021692 */     // GIR_Coverage, 13064,
     /* 1021692 */     GIR_EraseRootFromParent_Done,
     /* 1021693 */   // Label 15148: @1021693
     /* 1021693 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021770), // Rule ID 13067 //
     /* 1021698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1021718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021737 */     // MIs[0] policy
     /* 1021737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021769 */     // GIR_Coverage, 13067,
     /* 1021769 */     GIR_EraseRootFromParent_Done,
     /* 1021770 */   // Label 15149: @1021770
     /* 1021770 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021847), // Rule ID 13068 //
     /* 1021775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1021795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021814 */     // MIs[0] policy
     /* 1021814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021846 */     // GIR_Coverage, 13068,
     /* 1021846 */     GIR_EraseRootFromParent_Done,
     /* 1021847 */   // Label 15150: @1021847
     /* 1021847 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021924), // Rule ID 13071 //
     /* 1021852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1021872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021891 */     // MIs[0] policy
     /* 1021891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021923 */     // GIR_Coverage, 13071,
     /* 1021923 */     GIR_EraseRootFromParent_Done,
     /* 1021924 */   // Label 15151: @1021924
     /* 1021924 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1022001), // Rule ID 13072 //
     /* 1021929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1021949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021968 */     // MIs[0] policy
     /* 1021968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1021981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022000 */     // GIR_Coverage, 13072,
     /* 1022000 */     GIR_EraseRootFromParent_Done,
     /* 1022001 */   // Label 15152: @1022001
     /* 1022001 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1022078), // Rule ID 13075 //
     /* 1022006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022045 */     // MIs[0] policy
     /* 1022045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022077 */     // GIR_Coverage, 13075,
     /* 1022077 */     GIR_EraseRootFromParent_Done,
     /* 1022078 */   // Label 15153: @1022078
     /* 1022078 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1022155), // Rule ID 13076 //
     /* 1022083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022122 */     // MIs[0] policy
     /* 1022122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1022135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022154 */     // GIR_Coverage, 13076,
     /* 1022154 */     GIR_EraseRootFromParent_Done,
     /* 1022155 */   // Label 15154: @1022155
     /* 1022155 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1022232), // Rule ID 13079 //
     /* 1022160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022199 */     // MIs[0] policy
     /* 1022199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022231 */     // GIR_Coverage, 13079,
     /* 1022231 */     GIR_EraseRootFromParent_Done,
     /* 1022232 */   // Label 15155: @1022232
     /* 1022232 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022309), // Rule ID 13080 //
     /* 1022237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022276 */     // MIs[0] policy
     /* 1022276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022286 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022308 */     // GIR_Coverage, 13080,
     /* 1022308 */     GIR_EraseRootFromParent_Done,
     /* 1022309 */   // Label 15156: @1022309
     /* 1022309 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022386), // Rule ID 13083 //
     /* 1022314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022353 */     // MIs[0] policy
     /* 1022353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022363 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022385 */     // GIR_Coverage, 13083,
     /* 1022385 */     GIR_EraseRootFromParent_Done,
     /* 1022386 */   // Label 15157: @1022386
     /* 1022386 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022463), // Rule ID 13084 //
     /* 1022391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022430 */     // MIs[0] policy
     /* 1022430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022462 */     // GIR_Coverage, 13084,
     /* 1022462 */     GIR_EraseRootFromParent_Done,
     /* 1022463 */   // Label 15158: @1022463
     /* 1022463 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022540), // Rule ID 13087 //
     /* 1022468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022507 */     // MIs[0] policy
     /* 1022507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022517 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022539 */     // GIR_Coverage, 13087,
     /* 1022539 */     GIR_EraseRootFromParent_Done,
     /* 1022540 */   // Label 15159: @1022540
     /* 1022540 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022617), // Rule ID 13088 //
     /* 1022545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022584 */     // MIs[0] policy
     /* 1022584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022616 */     // GIR_Coverage, 13088,
     /* 1022616 */     GIR_EraseRootFromParent_Done,
     /* 1022617 */   // Label 15160: @1022617
     /* 1022617 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022694), // Rule ID 13091 //
     /* 1022622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1022642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022661 */     // MIs[0] policy
     /* 1022661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022693 */     // GIR_Coverage, 13091,
     /* 1022693 */     GIR_EraseRootFromParent_Done,
     /* 1022694 */   // Label 15161: @1022694
     /* 1022694 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022771), // Rule ID 13092 //
     /* 1022699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1022719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022738 */     // MIs[0] policy
     /* 1022738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022770 */     // GIR_Coverage, 13092,
     /* 1022770 */     GIR_EraseRootFromParent_Done,
     /* 1022771 */   // Label 15162: @1022771
     /* 1022771 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022848), // Rule ID 13095 //
     /* 1022776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1022787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1022790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1022796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022815 */     // MIs[0] policy
     /* 1022815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022847 */     // GIR_Coverage, 13095,
     /* 1022847 */     GIR_EraseRootFromParent_Done,
     /* 1022848 */   // Label 15163: @1022848
     /* 1022848 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022925), // Rule ID 13096 //
     /* 1022853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1022864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1022867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1022873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022892 */     // MIs[0] policy
     /* 1022892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022924 */     // GIR_Coverage, 13096,
     /* 1022924 */     GIR_EraseRootFromParent_Done,
     /* 1022925 */   // Label 15164: @1022925
     /* 1022925 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1023002), // Rule ID 13099 //
     /* 1022930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1022941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1022944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1022950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022969 */     // MIs[0] policy
     /* 1022969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023001 */     // GIR_Coverage, 13099,
     /* 1023001 */     GIR_EraseRootFromParent_Done,
     /* 1023002 */   // Label 15165: @1023002
     /* 1023002 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1023079), // Rule ID 13100 //
     /* 1023007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023046 */     // MIs[0] policy
     /* 1023046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023078 */     // GIR_Coverage, 13100,
     /* 1023078 */     GIR_EraseRootFromParent_Done,
     /* 1023079 */   // Label 15166: @1023079
     /* 1023079 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1023156), // Rule ID 13103 //
     /* 1023084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023123 */     // MIs[0] policy
     /* 1023123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023133 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023155 */     // GIR_Coverage, 13103,
     /* 1023155 */     GIR_EraseRootFromParent_Done,
     /* 1023156 */   // Label 15167: @1023156
     /* 1023156 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1023233), // Rule ID 13104 //
     /* 1023161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023200 */     // MIs[0] policy
     /* 1023200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023232 */     // GIR_Coverage, 13104,
     /* 1023232 */     GIR_EraseRootFromParent_Done,
     /* 1023233 */   // Label 15168: @1023233
     /* 1023233 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023310), // Rule ID 13107 //
     /* 1023238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023277 */     // MIs[0] policy
     /* 1023277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023309 */     // GIR_Coverage, 13107,
     /* 1023309 */     GIR_EraseRootFromParent_Done,
     /* 1023310 */   // Label 15169: @1023310
     /* 1023310 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023387), // Rule ID 13108 //
     /* 1023315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1023335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023354 */     // MIs[0] policy
     /* 1023354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023386 */     // GIR_Coverage, 13108,
     /* 1023386 */     GIR_EraseRootFromParent_Done,
     /* 1023387 */   // Label 15170: @1023387
     /* 1023387 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023464), // Rule ID 13111 //
     /* 1023392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023431 */     // MIs[0] policy
     /* 1023431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023463 */     // GIR_Coverage, 13111,
     /* 1023463 */     GIR_EraseRootFromParent_Done,
     /* 1023464 */   // Label 15171: @1023464
     /* 1023464 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023541), // Rule ID 13112 //
     /* 1023469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1023489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023508 */     // MIs[0] policy
     /* 1023508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023540 */     // GIR_Coverage, 13112,
     /* 1023540 */     GIR_EraseRootFromParent_Done,
     /* 1023541 */   // Label 15172: @1023541
     /* 1023541 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023618), // Rule ID 13115 //
     /* 1023546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1023566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023585 */     // MIs[0] policy
     /* 1023585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023617 */     // GIR_Coverage, 13115,
     /* 1023617 */     GIR_EraseRootFromParent_Done,
     /* 1023618 */   // Label 15173: @1023618
     /* 1023618 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023695), // Rule ID 13116 //
     /* 1023623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1023643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023662 */     // MIs[0] policy
     /* 1023662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1023675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023694 */     // GIR_Coverage, 13116,
     /* 1023694 */     GIR_EraseRootFromParent_Done,
     /* 1023695 */   // Label 15174: @1023695
     /* 1023695 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023772), // Rule ID 13119 //
     /* 1023700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1023711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1023714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1023720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023739 */     // MIs[0] policy
     /* 1023739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023771 */     // GIR_Coverage, 13119,
     /* 1023771 */     GIR_EraseRootFromParent_Done,
     /* 1023772 */   // Label 15175: @1023772
     /* 1023772 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023849), // Rule ID 13120 //
     /* 1023777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1023788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1023791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1023797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023816 */     // MIs[0] policy
     /* 1023816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1023829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023848 */     // GIR_Coverage, 13120,
     /* 1023848 */     GIR_EraseRootFromParent_Done,
     /* 1023849 */   // Label 15176: @1023849
     /* 1023849 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023926), // Rule ID 13123 //
     /* 1023854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1023865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1023868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1023874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023893 */     // MIs[0] policy
     /* 1023893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023903 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023925 */     // GIR_Coverage, 13123,
     /* 1023925 */     GIR_EraseRootFromParent_Done,
     /* 1023926 */   // Label 15177: @1023926
     /* 1023926 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1024003), // Rule ID 13124 //
     /* 1023931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1023942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1023945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1023951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023970 */     // MIs[0] policy
     /* 1023970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1023983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024002 */     // GIR_Coverage, 13124,
     /* 1024002 */     GIR_EraseRootFromParent_Done,
     /* 1024003 */   // Label 15178: @1024003
     /* 1024003 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1024080), // Rule ID 13127 //
     /* 1024008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024047 */     // MIs[0] policy
     /* 1024047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024079 */     // GIR_Coverage, 13127,
     /* 1024079 */     GIR_EraseRootFromParent_Done,
     /* 1024080 */   // Label 15179: @1024080
     /* 1024080 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1024157), // Rule ID 13128 //
     /* 1024085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024124 */     // MIs[0] policy
     /* 1024124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1024137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024156 */     // GIR_Coverage, 13128,
     /* 1024156 */     GIR_EraseRootFromParent_Done,
     /* 1024157 */   // Label 15180: @1024157
     /* 1024157 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1024234), // Rule ID 13131 //
     /* 1024162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024201 */     // MIs[0] policy
     /* 1024201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024211 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024233 */     // GIR_Coverage, 13131,
     /* 1024233 */     GIR_EraseRootFromParent_Done,
     /* 1024234 */   // Label 15181: @1024234
     /* 1024234 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024311), // Rule ID 13132 //
     /* 1024239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1024259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024278 */     // MIs[0] policy
     /* 1024278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024310 */     // GIR_Coverage, 13132,
     /* 1024310 */     GIR_EraseRootFromParent_Done,
     /* 1024311 */   // Label 15182: @1024311
     /* 1024311 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024388), // Rule ID 13135 //
     /* 1024316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024355 */     // MIs[0] policy
     /* 1024355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024387 */     // GIR_Coverage, 13135,
     /* 1024387 */     GIR_EraseRootFromParent_Done,
     /* 1024388 */   // Label 15183: @1024388
     /* 1024388 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024465), // Rule ID 13136 //
     /* 1024393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1024413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024432 */     // MIs[0] policy
     /* 1024432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024464 */     // GIR_Coverage, 13136,
     /* 1024464 */     GIR_EraseRootFromParent_Done,
     /* 1024465 */   // Label 15184: @1024465
     /* 1024465 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024542), // Rule ID 13139 //
     /* 1024470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024509 */     // MIs[0] policy
     /* 1024509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024541 */     // GIR_Coverage, 13139,
     /* 1024541 */     GIR_EraseRootFromParent_Done,
     /* 1024542 */   // Label 15185: @1024542
     /* 1024542 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024619), // Rule ID 13140 //
     /* 1024547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1024564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1024567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024586 */     // MIs[0] policy
     /* 1024586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1024599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024618 */     // GIR_Coverage, 13140,
     /* 1024618 */     GIR_EraseRootFromParent_Done,
     /* 1024619 */   // Label 15186: @1024619
     /* 1024619 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024696), // Rule ID 13143 //
     /* 1024624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1024635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1024638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1024641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1024644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024663 */     // MIs[0] policy
     /* 1024663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024673 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024695 */     // GIR_Coverage, 13143,
     /* 1024695 */     GIR_EraseRootFromParent_Done,
     /* 1024696 */   // Label 15187: @1024696
     /* 1024696 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024773), // Rule ID 13144 //
     /* 1024701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1024712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1024715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1024718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1024721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024740 */     // MIs[0] policy
     /* 1024740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024772 */     // GIR_Coverage, 13144,
     /* 1024772 */     GIR_EraseRootFromParent_Done,
     /* 1024773 */   // Label 15188: @1024773
     /* 1024773 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024850), // Rule ID 13147 //
     /* 1024778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1024789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1024792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1024795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1024798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024817 */     // MIs[0] policy
     /* 1024817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024849 */     // GIR_Coverage, 13147,
     /* 1024849 */     GIR_EraseRootFromParent_Done,
     /* 1024850 */   // Label 15189: @1024850
     /* 1024850 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024927), // Rule ID 13148 //
     /* 1024855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1024866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1024869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1024872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1024875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024894 */     // MIs[0] policy
     /* 1024894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1024907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024926 */     // GIR_Coverage, 13148,
     /* 1024926 */     GIR_EraseRootFromParent_Done,
     /* 1024927 */   // Label 15190: @1024927
     /* 1024927 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1025004), // Rule ID 13151 //
     /* 1024932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1024943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1024946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1024952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024971 */     // MIs[0] policy
     /* 1024971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025003 */     // GIR_Coverage, 13151,
     /* 1025003 */     GIR_EraseRootFromParent_Done,
     /* 1025004 */   // Label 15191: @1025004
     /* 1025004 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1025081), // Rule ID 13152 //
     /* 1025009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025048 */     // MIs[0] policy
     /* 1025048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025080 */     // GIR_Coverage, 13152,
     /* 1025080 */     GIR_EraseRootFromParent_Done,
     /* 1025081 */   // Label 15192: @1025081
     /* 1025081 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1025158), // Rule ID 13155 //
     /* 1025086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025125 */     // MIs[0] policy
     /* 1025125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025135 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025157 */     // GIR_Coverage, 13155,
     /* 1025157 */     GIR_EraseRootFromParent_Done,
     /* 1025158 */   // Label 15193: @1025158
     /* 1025158 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1025235), // Rule ID 13156 //
     /* 1025163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1025183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025202 */     // MIs[0] policy
     /* 1025202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025234 */     // GIR_Coverage, 13156,
     /* 1025234 */     GIR_EraseRootFromParent_Done,
     /* 1025235 */   // Label 15194: @1025235
     /* 1025235 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025312), // Rule ID 13159 //
     /* 1025240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025279 */     // MIs[0] policy
     /* 1025279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025311 */     // GIR_Coverage, 13159,
     /* 1025311 */     GIR_EraseRootFromParent_Done,
     /* 1025312 */   // Label 15195: @1025312
     /* 1025312 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025389), // Rule ID 13160 //
     /* 1025317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1025334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1025337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025356 */     // MIs[0] policy
     /* 1025356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025388 */     // GIR_Coverage, 13160,
     /* 1025388 */     GIR_EraseRootFromParent_Done,
     /* 1025389 */   // Label 15196: @1025389
     /* 1025389 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025466), // Rule ID 13163 //
     /* 1025394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025433 */     // MIs[0] policy
     /* 1025433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025465 */     // GIR_Coverage, 13163,
     /* 1025465 */     GIR_EraseRootFromParent_Done,
     /* 1025466 */   // Label 15197: @1025466
     /* 1025466 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025543), // Rule ID 13164 //
     /* 1025471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1025482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1025485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1025488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1025491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025510 */     // MIs[0] policy
     /* 1025510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025520 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1025523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025542 */     // GIR_Coverage, 13164,
     /* 1025542 */     GIR_EraseRootFromParent_Done,
     /* 1025543 */   // Label 15198: @1025543
     /* 1025543 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025620), // Rule ID 13167 //
     /* 1025548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1025562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025587 */     // MIs[0] policy
     /* 1025587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025619 */     // GIR_Coverage, 13167,
     /* 1025619 */     GIR_EraseRootFromParent_Done,
     /* 1025620 */   // Label 15199: @1025620
     /* 1025620 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025697), // Rule ID 13168 //
     /* 1025625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1025636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1025639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025664 */     // MIs[0] policy
     /* 1025664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025696 */     // GIR_Coverage, 13168,
     /* 1025696 */     GIR_EraseRootFromParent_Done,
     /* 1025697 */   // Label 15200: @1025697
     /* 1025697 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025774), // Rule ID 13171 //
     /* 1025702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1025713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1025716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025741 */     // MIs[0] policy
     /* 1025741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025751 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025773 */     // GIR_Coverage, 13171,
     /* 1025773 */     GIR_EraseRootFromParent_Done,
     /* 1025774 */   // Label 15201: @1025774
     /* 1025774 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025851), // Rule ID 13172 //
     /* 1025779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1025790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1025793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025818 */     // MIs[0] policy
     /* 1025818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025828 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025850 */     // GIR_Coverage, 13172,
     /* 1025850 */     GIR_EraseRootFromParent_Done,
     /* 1025851 */   // Label 15202: @1025851
     /* 1025851 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025928), // Rule ID 13175 //
     /* 1025856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1025867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1025870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1025873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025895 */     // MIs[0] policy
     /* 1025895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025905 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025927 */     // GIR_Coverage, 13175,
     /* 1025927 */     GIR_EraseRootFromParent_Done,
     /* 1025928 */   // Label 15203: @1025928
     /* 1025928 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1026005), // Rule ID 13176 //
     /* 1025933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1025944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1025947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1025950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025972 */     // MIs[0] policy
     /* 1025972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025982 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026004 */     // GIR_Coverage, 13176,
     /* 1026004 */     GIR_EraseRootFromParent_Done,
     /* 1026005 */   // Label 15204: @1026005
     /* 1026005 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1026082), // Rule ID 13179 //
     /* 1026010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026049 */     // MIs[0] policy
     /* 1026049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026081 */     // GIR_Coverage, 13179,
     /* 1026081 */     GIR_EraseRootFromParent_Done,
     /* 1026082 */   // Label 15205: @1026082
     /* 1026082 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1026159), // Rule ID 13180 //
     /* 1026087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1026098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1026101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026126 */     // MIs[0] policy
     /* 1026126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026158 */     // GIR_Coverage, 13180,
     /* 1026158 */     GIR_EraseRootFromParent_Done,
     /* 1026159 */   // Label 15206: @1026159
     /* 1026159 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1026236), // Rule ID 13183 //
     /* 1026164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026203 */     // MIs[0] policy
     /* 1026203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026213 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026235 */     // GIR_Coverage, 13183,
     /* 1026235 */     GIR_EraseRootFromParent_Done,
     /* 1026236 */   // Label 15207: @1026236
     /* 1026236 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026313), // Rule ID 13184 //
     /* 1026241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1026252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1026255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026280 */     // MIs[0] policy
     /* 1026280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026312 */     // GIR_Coverage, 13184,
     /* 1026312 */     GIR_EraseRootFromParent_Done,
     /* 1026313 */   // Label 15208: @1026313
     /* 1026313 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026390), // Rule ID 13187 //
     /* 1026318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026357 */     // MIs[0] policy
     /* 1026357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026389 */     // GIR_Coverage, 13187,
     /* 1026389 */     GIR_EraseRootFromParent_Done,
     /* 1026390 */   // Label 15209: @1026390
     /* 1026390 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026467), // Rule ID 13188 //
     /* 1026395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1026406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1026409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1026412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1026415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026434 */     // MIs[0] policy
     /* 1026434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026466 */     // GIR_Coverage, 13188,
     /* 1026466 */     GIR_EraseRootFromParent_Done,
     /* 1026467 */   // Label 15210: @1026467
     /* 1026467 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026544), // Rule ID 13191 //
     /* 1026472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026511 */     // MIs[0] policy
     /* 1026511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026543 */     // GIR_Coverage, 13191,
     /* 1026543 */     GIR_EraseRootFromParent_Done,
     /* 1026544 */   // Label 15211: @1026544
     /* 1026544 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026621), // Rule ID 13192 //
     /* 1026549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026588 */     // MIs[0] policy
     /* 1026588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026620 */     // GIR_Coverage, 13192,
     /* 1026620 */     GIR_EraseRootFromParent_Done,
     /* 1026621 */   // Label 15212: @1026621
     /* 1026621 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026698), // Rule ID 13195 //
     /* 1026626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1026643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1026646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026665 */     // MIs[0] policy
     /* 1026665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026697 */     // GIR_Coverage, 13195,
     /* 1026697 */     GIR_EraseRootFromParent_Done,
     /* 1026698 */   // Label 15213: @1026698
     /* 1026698 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026775), // Rule ID 13196 //
     /* 1026703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1026720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1026723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026742 */     // MIs[0] policy
     /* 1026742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026774 */     // GIR_Coverage, 13196,
     /* 1026774 */     GIR_EraseRootFromParent_Done,
     /* 1026775 */   // Label 15214: @1026775
     /* 1026775 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026852), // Rule ID 13199 //
     /* 1026780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1026797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1026800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026819 */     // MIs[0] policy
     /* 1026819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026851 */     // GIR_Coverage, 13199,
     /* 1026851 */     GIR_EraseRootFromParent_Done,
     /* 1026852 */   // Label 15215: @1026852
     /* 1026852 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026929), // Rule ID 13200 //
     /* 1026857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1026874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1026877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026896 */     // MIs[0] policy
     /* 1026896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026928 */     // GIR_Coverage, 13200,
     /* 1026928 */     GIR_EraseRootFromParent_Done,
     /* 1026929 */   // Label 15216: @1026929
     /* 1026929 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1027006), // Rule ID 13203 //
     /* 1026934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1026945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1026948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1026951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1026954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026973 */     // MIs[0] policy
     /* 1026973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1026986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027005 */     // GIR_Coverage, 13203,
     /* 1027005 */     GIR_EraseRootFromParent_Done,
     /* 1027006 */   // Label 15217: @1027006
     /* 1027006 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1027083), // Rule ID 13204 //
     /* 1027011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1027022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1027025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1027028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1027031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027050 */     // MIs[0] policy
     /* 1027050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027060 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1027063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027082 */     // GIR_Coverage, 13204,
     /* 1027082 */     GIR_EraseRootFromParent_Done,
     /* 1027083 */   // Label 15218: @1027083
     /* 1027083 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1027160), // Rule ID 13207 //
     /* 1027088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027127 */     // MIs[0] policy
     /* 1027127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027159 */     // GIR_Coverage, 13207,
     /* 1027159 */     GIR_EraseRootFromParent_Done,
     /* 1027160 */   // Label 15219: @1027160
     /* 1027160 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1027237), // Rule ID 13208 //
     /* 1027165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1027176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1027179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1027182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1027185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027204 */     // MIs[0] policy
     /* 1027204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1027217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027236 */     // GIR_Coverage, 13208,
     /* 1027236 */     GIR_EraseRootFromParent_Done,
     /* 1027237 */   // Label 15220: @1027237
     /* 1027237 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027314), // Rule ID 13211 //
     /* 1027242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027281 */     // MIs[0] policy
     /* 1027281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027313 */     // GIR_Coverage, 13211,
     /* 1027313 */     GIR_EraseRootFromParent_Done,
     /* 1027314 */   // Label 15221: @1027314
     /* 1027314 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027391), // Rule ID 13212 //
     /* 1027319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1027336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1027339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027358 */     // MIs[0] policy
     /* 1027358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1027371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027390 */     // GIR_Coverage, 13212,
     /* 1027390 */     GIR_EraseRootFromParent_Done,
     /* 1027391 */   // Label 15222: @1027391
     /* 1027391 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027468), // Rule ID 13215 //
     /* 1027396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027435 */     // MIs[0] policy
     /* 1027435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027445 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027467 */     // GIR_Coverage, 13215,
     /* 1027467 */     GIR_EraseRootFromParent_Done,
     /* 1027468 */   // Label 15223: @1027468
     /* 1027468 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027545), // Rule ID 13216 //
     /* 1027473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1027484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1027487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027512 */     // MIs[0] policy
     /* 1027512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1027525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027544 */     // GIR_Coverage, 13216,
     /* 1027544 */     GIR_EraseRootFromParent_Done,
     /* 1027545 */   // Label 15224: @1027545
     /* 1027545 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027622), // Rule ID 13219 //
     /* 1027550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1027561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1027564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027589 */     // MIs[0] policy
     /* 1027589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027621 */     // GIR_Coverage, 13219,
     /* 1027621 */     GIR_EraseRootFromParent_Done,
     /* 1027622 */   // Label 15225: @1027622
     /* 1027622 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027699), // Rule ID 13220 //
     /* 1027627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1027638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1027641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027666 */     // MIs[0] policy
     /* 1027666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027698 */     // GIR_Coverage, 13220,
     /* 1027698 */     GIR_EraseRootFromParent_Done,
     /* 1027699 */   // Label 15226: @1027699
     /* 1027699 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027776), // Rule ID 13223 //
     /* 1027704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1027715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1027718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027743 */     // MIs[0] policy
     /* 1027743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027775 */     // GIR_Coverage, 13223,
     /* 1027775 */     GIR_EraseRootFromParent_Done,
     /* 1027776 */   // Label 15227: @1027776
     /* 1027776 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027853), // Rule ID 13224 //
     /* 1027781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1027792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1027795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027820 */     // MIs[0] policy
     /* 1027820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027830 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027852 */     // GIR_Coverage, 13224,
     /* 1027852 */     GIR_EraseRootFromParent_Done,
     /* 1027853 */   // Label 15228: @1027853
     /* 1027853 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027930), // Rule ID 13227 //
     /* 1027858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1027872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1027878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027897 */     // MIs[0] policy
     /* 1027897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027929 */     // GIR_Coverage, 13227,
     /* 1027929 */     GIR_EraseRootFromParent_Done,
     /* 1027930 */   // Label 15229: @1027930
     /* 1027930 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1028007), // Rule ID 13228 //
     /* 1027935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1027949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1027955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027974 */     // MIs[0] policy
     /* 1027974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1027987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028006 */     // GIR_Coverage, 13228,
     /* 1028006 */     GIR_EraseRootFromParent_Done,
     /* 1028007 */   // Label 15230: @1028007
     /* 1028007 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1028084), // Rule ID 13231 //
     /* 1028012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028051 */     // MIs[0] policy
     /* 1028051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028083 */     // GIR_Coverage, 13231,
     /* 1028083 */     GIR_EraseRootFromParent_Done,
     /* 1028084 */   // Label 15231: @1028084
     /* 1028084 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1028161), // Rule ID 13232 //
     /* 1028089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1028100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1028103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028128 */     // MIs[0] policy
     /* 1028128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028160 */     // GIR_Coverage, 13232,
     /* 1028160 */     GIR_EraseRootFromParent_Done,
     /* 1028161 */   // Label 15232: @1028161
     /* 1028161 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1028238), // Rule ID 13235 //
     /* 1028166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028205 */     // MIs[0] policy
     /* 1028205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028237 */     // GIR_Coverage, 13235,
     /* 1028237 */     GIR_EraseRootFromParent_Done,
     /* 1028238 */   // Label 15233: @1028238
     /* 1028238 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028315), // Rule ID 13236 //
     /* 1028243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028282 */     // MIs[0] policy
     /* 1028282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1028295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028314 */     // GIR_Coverage, 13236,
     /* 1028314 */     GIR_EraseRootFromParent_Done,
     /* 1028315 */   // Label 15234: @1028315
     /* 1028315 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028392), // Rule ID 13239 //
     /* 1028320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028359 */     // MIs[0] policy
     /* 1028359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028391 */     // GIR_Coverage, 13239,
     /* 1028391 */     GIR_EraseRootFromParent_Done,
     /* 1028392 */   // Label 15235: @1028392
     /* 1028392 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028469), // Rule ID 13240 //
     /* 1028397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1028408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1028411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028436 */     // MIs[0] policy
     /* 1028436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028468 */     // GIR_Coverage, 13240,
     /* 1028468 */     GIR_EraseRootFromParent_Done,
     /* 1028469 */   // Label 15236: @1028469
     /* 1028469 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028546), // Rule ID 13243 //
     /* 1028474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028513 */     // MIs[0] policy
     /* 1028513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028545 */     // GIR_Coverage, 13243,
     /* 1028545 */     GIR_EraseRootFromParent_Done,
     /* 1028546 */   // Label 15237: @1028546
     /* 1028546 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028623), // Rule ID 13244 //
     /* 1028551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1028562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1028565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028590 */     // MIs[0] policy
     /* 1028590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028622 */     // GIR_Coverage, 13244,
     /* 1028622 */     GIR_EraseRootFromParent_Done,
     /* 1028623 */   // Label 15238: @1028623
     /* 1028623 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028700), // Rule ID 13247 //
     /* 1028628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1028648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028667 */     // MIs[0] policy
     /* 1028667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028699 */     // GIR_Coverage, 13247,
     /* 1028699 */     GIR_EraseRootFromParent_Done,
     /* 1028700 */   // Label 15239: @1028700
     /* 1028700 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028777), // Rule ID 13248 //
     /* 1028705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1028725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028744 */     // MIs[0] policy
     /* 1028744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028776 */     // GIR_Coverage, 13248,
     /* 1028776 */     GIR_EraseRootFromParent_Done,
     /* 1028777 */   // Label 15240: @1028777
     /* 1028777 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028854), // Rule ID 13251 //
     /* 1028782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1028802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028821 */     // MIs[0] policy
     /* 1028821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028853 */     // GIR_Coverage, 13251,
     /* 1028853 */     GIR_EraseRootFromParent_Done,
     /* 1028854 */   // Label 15241: @1028854
     /* 1028854 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028931), // Rule ID 13252 //
     /* 1028859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1028879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028898 */     // MIs[0] policy
     /* 1028898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1028911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028930 */     // GIR_Coverage, 13252,
     /* 1028930 */     GIR_EraseRootFromParent_Done,
     /* 1028931 */   // Label 15242: @1028931
     /* 1028931 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1029008), // Rule ID 13255 //
     /* 1028936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1028947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1028950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1028956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028975 */     // MIs[0] policy
     /* 1028975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1028988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029007 */     // GIR_Coverage, 13255,
     /* 1029007 */     GIR_EraseRootFromParent_Done,
     /* 1029008 */   // Label 15243: @1029008
     /* 1029008 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1029085), // Rule ID 13256 //
     /* 1029013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1029024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1029027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1029033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029052 */     // MIs[0] policy
     /* 1029052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029084 */     // GIR_Coverage, 13256,
     /* 1029084 */     GIR_EraseRootFromParent_Done,
     /* 1029085 */   // Label 15244: @1029085
     /* 1029085 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1029162), // Rule ID 13259 //
     /* 1029090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029129 */     // MIs[0] policy
     /* 1029129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029161 */     // GIR_Coverage, 13259,
     /* 1029161 */     GIR_EraseRootFromParent_Done,
     /* 1029162 */   // Label 15245: @1029162
     /* 1029162 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1029239), // Rule ID 13260 //
     /* 1029167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1029178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1029181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1029187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029206 */     // MIs[0] policy
     /* 1029206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029238 */     // GIR_Coverage, 13260,
     /* 1029238 */     GIR_EraseRootFromParent_Done,
     /* 1029239 */   // Label 15246: @1029239
     /* 1029239 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029316), // Rule ID 13263 //
     /* 1029244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029283 */     // MIs[0] policy
     /* 1029283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029315 */     // GIR_Coverage, 13263,
     /* 1029315 */     GIR_EraseRootFromParent_Done,
     /* 1029316 */   // Label 15247: @1029316
     /* 1029316 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029393), // Rule ID 13264 //
     /* 1029321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1029332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1029335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1029341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029360 */     // MIs[0] policy
     /* 1029360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029392 */     // GIR_Coverage, 13264,
     /* 1029392 */     GIR_EraseRootFromParent_Done,
     /* 1029393 */   // Label 15248: @1029393
     /* 1029393 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029470), // Rule ID 13267 //
     /* 1029398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029437 */     // MIs[0] policy
     /* 1029437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029469 */     // GIR_Coverage, 13267,
     /* 1029469 */     GIR_EraseRootFromParent_Done,
     /* 1029470 */   // Label 15249: @1029470
     /* 1029470 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029547), // Rule ID 13268 //
     /* 1029475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1029495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029514 */     // MIs[0] policy
     /* 1029514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029546 */     // GIR_Coverage, 13268,
     /* 1029546 */     GIR_EraseRootFromParent_Done,
     /* 1029547 */   // Label 15250: @1029547
     /* 1029547 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029624), // Rule ID 13271 //
     /* 1029552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1029563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1029566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1029572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029591 */     // MIs[0] policy
     /* 1029591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029623 */     // GIR_Coverage, 13271,
     /* 1029623 */     GIR_EraseRootFromParent_Done,
     /* 1029624 */   // Label 15251: @1029624
     /* 1029624 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029701), // Rule ID 13272 //
     /* 1029629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1029640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1029643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1029649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029668 */     // MIs[0] policy
     /* 1029668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029678 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029700 */     // GIR_Coverage, 13272,
     /* 1029700 */     GIR_EraseRootFromParent_Done,
     /* 1029701 */   // Label 15252: @1029701
     /* 1029701 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029778), // Rule ID 13275 //
     /* 1029706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1029717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1029720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1029726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029745 */     // MIs[0] policy
     /* 1029745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029777 */     // GIR_Coverage, 13275,
     /* 1029777 */     GIR_EraseRootFromParent_Done,
     /* 1029778 */   // Label 15253: @1029778
     /* 1029778 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029855), // Rule ID 13276 //
     /* 1029783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1029794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1029797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1029803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029822 */     // MIs[0] policy
     /* 1029822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029854 */     // GIR_Coverage, 13276,
     /* 1029854 */     GIR_EraseRootFromParent_Done,
     /* 1029855 */   // Label 15254: @1029855
     /* 1029855 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029932), // Rule ID 13279 //
     /* 1029860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1029871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1029874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1029880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029899 */     // MIs[0] policy
     /* 1029899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029931 */     // GIR_Coverage, 13279,
     /* 1029931 */     GIR_EraseRootFromParent_Done,
     /* 1029932 */   // Label 15255: @1029932
     /* 1029932 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1030009), // Rule ID 13280 //
     /* 1029937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1029948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1029951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1029957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029976 */     // MIs[0] policy
     /* 1029976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030008 */     // GIR_Coverage, 13280,
     /* 1030008 */     GIR_EraseRootFromParent_Done,
     /* 1030009 */   // Label 15256: @1030009
     /* 1030009 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1030086), // Rule ID 13283 //
     /* 1030014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030053 */     // MIs[0] policy
     /* 1030053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030063 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030085 */     // GIR_Coverage, 13283,
     /* 1030085 */     GIR_EraseRootFromParent_Done,
     /* 1030086 */   // Label 15257: @1030086
     /* 1030086 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1030163), // Rule ID 13284 //
     /* 1030091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1030111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030130 */     // MIs[0] policy
     /* 1030130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030162 */     // GIR_Coverage, 13284,
     /* 1030162 */     GIR_EraseRootFromParent_Done,
     /* 1030163 */   // Label 15258: @1030163
     /* 1030163 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1030240), // Rule ID 13287 //
     /* 1030168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030207 */     // MIs[0] policy
     /* 1030207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030217 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030239 */     // GIR_Coverage, 13287,
     /* 1030239 */     GIR_EraseRootFromParent_Done,
     /* 1030240 */   // Label 15259: @1030240
     /* 1030240 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030317), // Rule ID 13288 //
     /* 1030245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1030256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1030259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1030265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030284 */     // MIs[0] policy
     /* 1030284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030316 */     // GIR_Coverage, 13288,
     /* 1030316 */     GIR_EraseRootFromParent_Done,
     /* 1030317 */   // Label 15260: @1030317
     /* 1030317 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030394), // Rule ID 13291 //
     /* 1030322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030361 */     // MIs[0] policy
     /* 1030361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030393 */     // GIR_Coverage, 13291,
     /* 1030393 */     GIR_EraseRootFromParent_Done,
     /* 1030394 */   // Label 15261: @1030394
     /* 1030394 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030471), // Rule ID 13292 //
     /* 1030399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1030410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1030413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1030419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030438 */     // MIs[0] policy
     /* 1030438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1030451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030470 */     // GIR_Coverage, 13292,
     /* 1030470 */     GIR_EraseRootFromParent_Done,
     /* 1030471 */   // Label 15262: @1030471
     /* 1030471 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030548), // Rule ID 13295 //
     /* 1030476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030515 */     // MIs[0] policy
     /* 1030515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030547 */     // GIR_Coverage, 13295,
     /* 1030547 */     GIR_EraseRootFromParent_Done,
     /* 1030548 */   // Label 15263: @1030548
     /* 1030548 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030625), // Rule ID 13296 //
     /* 1030553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1030564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1030567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1030573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030592 */     // MIs[0] policy
     /* 1030592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1030605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030624 */     // GIR_Coverage, 13296,
     /* 1030624 */     GIR_EraseRootFromParent_Done,
     /* 1030625 */   // Label 15264: @1030625
     /* 1030625 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030702), // Rule ID 13299 //
     /* 1030630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1030641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1030644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1030647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1030650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030669 */     // MIs[0] policy
     /* 1030669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030679 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030701 */     // GIR_Coverage, 13299,
     /* 1030701 */     GIR_EraseRootFromParent_Done,
     /* 1030702 */   // Label 15265: @1030702
     /* 1030702 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030779), // Rule ID 13300 //
     /* 1030707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1030718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1030721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1030724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1030727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1030742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030746 */     // MIs[0] policy
     /* 1030746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1030759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030778 */     // GIR_Coverage, 13300,
     /* 1030778 */     GIR_EraseRootFromParent_Done,
     /* 1030779 */   // Label 15266: @1030779
     /* 1030779 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030856), // Rule ID 13303 //
     /* 1030784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1030795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1030798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1030801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1030804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030823 */     // MIs[0] policy
     /* 1030823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1030836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030855 */     // GIR_Coverage, 13303,
     /* 1030855 */     GIR_EraseRootFromParent_Done,
     /* 1030856 */   // Label 15267: @1030856
     /* 1030856 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030933), // Rule ID 13304 //
     /* 1030861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1030872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1030875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1030878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1030881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030900 */     // MIs[0] policy
     /* 1030900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1030913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030932 */     // GIR_Coverage, 13304,
     /* 1030932 */     GIR_EraseRootFromParent_Done,
     /* 1030933 */   // Label 15268: @1030933
     /* 1030933 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1031010), // Rule ID 13307 //
     /* 1030938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1030949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1030952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1030955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1030958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030977 */     // MIs[0] policy
     /* 1030977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1030990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031009 */     // GIR_Coverage, 13307,
     /* 1031009 */     GIR_EraseRootFromParent_Done,
     /* 1031010 */   // Label 15269: @1031010
     /* 1031010 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1031087), // Rule ID 13308 //
     /* 1031015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1031032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031054 */     // MIs[0] policy
     /* 1031054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031086 */     // GIR_Coverage, 13308,
     /* 1031086 */     GIR_EraseRootFromParent_Done,
     /* 1031087 */   // Label 15270: @1031087
     /* 1031087 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1031164), // Rule ID 13311 //
     /* 1031092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031131 */     // MIs[0] policy
     /* 1031131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031141 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031163 */     // GIR_Coverage, 13311,
     /* 1031163 */     GIR_EraseRootFromParent_Done,
     /* 1031164 */   // Label 15271: @1031164
     /* 1031164 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1031241), // Rule ID 13312 //
     /* 1031169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1031180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1031183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1031186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1031189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031208 */     // MIs[0] policy
     /* 1031208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031240 */     // GIR_Coverage, 13312,
     /* 1031240 */     GIR_EraseRootFromParent_Done,
     /* 1031241 */   // Label 15272: @1031241
     /* 1031241 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031318), // Rule ID 13315 //
     /* 1031246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031285 */     // MIs[0] policy
     /* 1031285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031295 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031317 */     // GIR_Coverage, 13315,
     /* 1031317 */     GIR_EraseRootFromParent_Done,
     /* 1031318 */   // Label 15273: @1031318
     /* 1031318 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031395), // Rule ID 13316 //
     /* 1031323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1031340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1031343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031362 */     // MIs[0] policy
     /* 1031362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031394 */     // GIR_Coverage, 13316,
     /* 1031394 */     GIR_EraseRootFromParent_Done,
     /* 1031395 */   // Label 15274: @1031395
     /* 1031395 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031472), // Rule ID 13319 //
     /* 1031400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031439 */     // MIs[0] policy
     /* 1031439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031471 */     // GIR_Coverage, 13319,
     /* 1031471 */     GIR_EraseRootFromParent_Done,
     /* 1031472 */   // Label 15275: @1031472
     /* 1031472 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031549), // Rule ID 13320 //
     /* 1031477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1031494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1031497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031516 */     // MIs[0] policy
     /* 1031516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031548 */     // GIR_Coverage, 13320,
     /* 1031548 */     GIR_EraseRootFromParent_Done,
     /* 1031549 */   // Label 15276: @1031549
     /* 1031549 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031626), // Rule ID 13323 //
     /* 1031554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031593 */     // MIs[0] policy
     /* 1031593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031603 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031625 */     // GIR_Coverage, 13323,
     /* 1031625 */     GIR_EraseRootFromParent_Done,
     /* 1031626 */   // Label 15277: @1031626
     /* 1031626 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031703), // Rule ID 13324 //
     /* 1031631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031670 */     // MIs[0] policy
     /* 1031670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031702 */     // GIR_Coverage, 13324,
     /* 1031702 */     GIR_EraseRootFromParent_Done,
     /* 1031703 */   // Label 15278: @1031703
     /* 1031703 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031780), // Rule ID 13327 //
     /* 1031708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1031719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1031722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1031725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1031728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031747 */     // MIs[0] policy
     /* 1031747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031779 */     // GIR_Coverage, 13327,
     /* 1031779 */     GIR_EraseRootFromParent_Done,
     /* 1031780 */   // Label 15279: @1031780
     /* 1031780 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031857), // Rule ID 13328 //
     /* 1031785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1031796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1031799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1031802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1031805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031824 */     // MIs[0] policy
     /* 1031824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1031837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031856 */     // GIR_Coverage, 13328,
     /* 1031856 */     GIR_EraseRootFromParent_Done,
     /* 1031857 */   // Label 15280: @1031857
     /* 1031857 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031934), // Rule ID 13331 //
     /* 1031862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1031873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1031876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1031879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1031882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031901 */     // MIs[0] policy
     /* 1031901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031933 */     // GIR_Coverage, 13331,
     /* 1031933 */     GIR_EraseRootFromParent_Done,
     /* 1031934 */   // Label 15281: @1031934
     /* 1031934 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1032011), // Rule ID 13332 //
     /* 1031939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1031950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1031953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1031956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1031959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031978 */     // MIs[0] policy
     /* 1031978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032010 */     // GIR_Coverage, 13332,
     /* 1032010 */     GIR_EraseRootFromParent_Done,
     /* 1032011 */   // Label 15282: @1032011
     /* 1032011 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1032088), // Rule ID 13335 //
     /* 1032016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032055 */     // MIs[0] policy
     /* 1032055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032087 */     // GIR_Coverage, 13335,
     /* 1032087 */     GIR_EraseRootFromParent_Done,
     /* 1032088 */   // Label 15283: @1032088
     /* 1032088 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1032165), // Rule ID 13336 //
     /* 1032093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1032104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1032107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1032110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1032113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032132 */     // MIs[0] policy
     /* 1032132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032164 */     // GIR_Coverage, 13336,
     /* 1032164 */     GIR_EraseRootFromParent_Done,
     /* 1032165 */   // Label 15284: @1032165
     /* 1032165 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1032242), // Rule ID 13339 //
     /* 1032170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032209 */     // MIs[0] policy
     /* 1032209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032241 */     // GIR_Coverage, 13339,
     /* 1032241 */     GIR_EraseRootFromParent_Done,
     /* 1032242 */   // Label 15285: @1032242
     /* 1032242 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032319), // Rule ID 13340 //
     /* 1032247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1032264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1032267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032286 */     // MIs[0] policy
     /* 1032286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032318 */     // GIR_Coverage, 13340,
     /* 1032318 */     GIR_EraseRootFromParent_Done,
     /* 1032319 */   // Label 15286: @1032319
     /* 1032319 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032396), // Rule ID 13343 //
     /* 1032324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032363 */     // MIs[0] policy
     /* 1032363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032395 */     // GIR_Coverage, 13343,
     /* 1032395 */     GIR_EraseRootFromParent_Done,
     /* 1032396 */   // Label 15287: @1032396
     /* 1032396 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032473), // Rule ID 13344 //
     /* 1032401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1032418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1032421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032440 */     // MIs[0] policy
     /* 1032440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032472 */     // GIR_Coverage, 13344,
     /* 1032472 */     GIR_EraseRootFromParent_Done,
     /* 1032473 */   // Label 15288: @1032473
     /* 1032473 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032550), // Rule ID 13347 //
     /* 1032478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032517 */     // MIs[0] policy
     /* 1032517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032549 */     // GIR_Coverage, 13347,
     /* 1032549 */     GIR_EraseRootFromParent_Done,
     /* 1032550 */   // Label 15289: @1032550
     /* 1032550 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032627), // Rule ID 13348 //
     /* 1032555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1032566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1032569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1032572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032594 */     // MIs[0] policy
     /* 1032594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1032607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032626 */     // GIR_Coverage, 13348,
     /* 1032626 */     GIR_EraseRootFromParent_Done,
     /* 1032627 */   // Label 15290: @1032627
     /* 1032627 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032704), // Rule ID 13351 //
     /* 1032632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1032649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1032652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032671 */     // MIs[0] policy
     /* 1032671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032703 */     // GIR_Coverage, 13351,
     /* 1032703 */     GIR_EraseRootFromParent_Done,
     /* 1032704 */   // Label 15291: @1032704
     /* 1032704 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032781), // Rule ID 13352 //
     /* 1032709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1032726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1032729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032748 */     // MIs[0] policy
     /* 1032748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1032761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032780 */     // GIR_Coverage, 13352,
     /* 1032780 */     GIR_EraseRootFromParent_Done,
     /* 1032781 */   // Label 15292: @1032781
     /* 1032781 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032858), // Rule ID 13355 //
     /* 1032786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1032803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1032806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032825 */     // MIs[0] policy
     /* 1032825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032857 */     // GIR_Coverage, 13355,
     /* 1032857 */     GIR_EraseRootFromParent_Done,
     /* 1032858 */   // Label 15293: @1032858
     /* 1032858 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032935), // Rule ID 13356 //
     /* 1032863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1032866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1032880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1032883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032902 */     // MIs[0] policy
     /* 1032902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1032915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032934 */     // GIR_Coverage, 13356,
     /* 1032934 */     GIR_EraseRootFromParent_Done,
     /* 1032935 */   // Label 15294: @1032935
     /* 1032935 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1033012), // Rule ID 13359 //
     /* 1032940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1032943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1032957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1032960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032979 */     // MIs[0] policy
     /* 1032979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1032992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033011 */     // GIR_Coverage, 13359,
     /* 1033011 */     GIR_EraseRootFromParent_Done,
     /* 1033012 */   // Label 15295: @1033012
     /* 1033012 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1033089), // Rule ID 13360 //
     /* 1033017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1033034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033056 */     // MIs[0] policy
     /* 1033056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1033069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033088 */     // GIR_Coverage, 13360,
     /* 1033088 */     GIR_EraseRootFromParent_Done,
     /* 1033089 */   // Label 15296: @1033089
     /* 1033089 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1033166), // Rule ID 13363 //
     /* 1033094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033133 */     // MIs[0] policy
     /* 1033133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033165 */     // GIR_Coverage, 13363,
     /* 1033165 */     GIR_EraseRootFromParent_Done,
     /* 1033166 */   // Label 15297: @1033166
     /* 1033166 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1033243), // Rule ID 13364 //
     /* 1033171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1033191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033210 */     // MIs[0] policy
     /* 1033210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1033223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033242 */     // GIR_Coverage, 13364,
     /* 1033242 */     GIR_EraseRootFromParent_Done,
     /* 1033243 */   // Label 15298: @1033243
     /* 1033243 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033320), // Rule ID 13367 //
     /* 1033248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033287 */     // MIs[0] policy
     /* 1033287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033319 */     // GIR_Coverage, 13367,
     /* 1033319 */     GIR_EraseRootFromParent_Done,
     /* 1033320 */   // Label 15299: @1033320
     /* 1033320 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033397), // Rule ID 13368 //
     /* 1033325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1033345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033364 */     // MIs[0] policy
     /* 1033364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1033377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033396 */     // GIR_Coverage, 13368,
     /* 1033396 */     GIR_EraseRootFromParent_Done,
     /* 1033397 */   // Label 15300: @1033397
     /* 1033397 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033474), // Rule ID 13371 //
     /* 1033402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033441 */     // MIs[0] policy
     /* 1033441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033473 */     // GIR_Coverage, 13371,
     /* 1033473 */     GIR_EraseRootFromParent_Done,
     /* 1033474 */   // Label 15301: @1033474
     /* 1033474 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033551), // Rule ID 13372 //
     /* 1033479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033518 */     // MIs[0] policy
     /* 1033518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033550 */     // GIR_Coverage, 13372,
     /* 1033550 */     GIR_EraseRootFromParent_Done,
     /* 1033551 */   // Label 15302: @1033551
     /* 1033551 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033628), // Rule ID 13375 //
     /* 1033556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1033567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1033570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033595 */     // MIs[0] policy
     /* 1033595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033627 */     // GIR_Coverage, 13375,
     /* 1033627 */     GIR_EraseRootFromParent_Done,
     /* 1033628 */   // Label 15303: @1033628
     /* 1033628 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033705), // Rule ID 13376 //
     /* 1033633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1033644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1033647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033672 */     // MIs[0] policy
     /* 1033672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033704 */     // GIR_Coverage, 13376,
     /* 1033704 */     GIR_EraseRootFromParent_Done,
     /* 1033705 */   // Label 15304: @1033705
     /* 1033705 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033782), // Rule ID 13379 //
     /* 1033710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1033721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1033724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033749 */     // MIs[0] policy
     /* 1033749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033781 */     // GIR_Coverage, 13379,
     /* 1033781 */     GIR_EraseRootFromParent_Done,
     /* 1033782 */   // Label 15305: @1033782
     /* 1033782 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033859), // Rule ID 13380 //
     /* 1033787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1033798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1033801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033826 */     // MIs[0] policy
     /* 1033826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033858 */     // GIR_Coverage, 13380,
     /* 1033858 */     GIR_EraseRootFromParent_Done,
     /* 1033859 */   // Label 15306: @1033859
     /* 1033859 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033936), // Rule ID 13383 //
     /* 1033864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1033875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1033878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033903 */     // MIs[0] policy
     /* 1033903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033913 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1033916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033935 */     // GIR_Coverage, 13383,
     /* 1033935 */     GIR_EraseRootFromParent_Done,
     /* 1033936 */   // Label 15307: @1033936
     /* 1033936 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1034013), // Rule ID 13384 //
     /* 1033941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1033952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1033955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033980 */     // MIs[0] policy
     /* 1033980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1033993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034012 */     // GIR_Coverage, 13384,
     /* 1034012 */     GIR_EraseRootFromParent_Done,
     /* 1034013 */   // Label 15308: @1034013
     /* 1034013 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1034090), // Rule ID 13387 //
     /* 1034018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034057 */     // MIs[0] policy
     /* 1034057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034089 */     // GIR_Coverage, 13387,
     /* 1034089 */     GIR_EraseRootFromParent_Done,
     /* 1034090 */   // Label 15309: @1034090
     /* 1034090 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1034167), // Rule ID 13388 //
     /* 1034095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1034106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1034109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1034115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034134 */     // MIs[0] policy
     /* 1034134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1034147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034166 */     // GIR_Coverage, 13388,
     /* 1034166 */     GIR_EraseRootFromParent_Done,
     /* 1034167 */   // Label 15310: @1034167
     /* 1034167 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1034244), // Rule ID 13391 //
     /* 1034172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034211 */     // MIs[0] policy
     /* 1034211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034243 */     // GIR_Coverage, 13391,
     /* 1034243 */     GIR_EraseRootFromParent_Done,
     /* 1034244 */   // Label 15311: @1034244
     /* 1034244 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034321), // Rule ID 13392 //
     /* 1034249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1034269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034288 */     // MIs[0] policy
     /* 1034288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034320 */     // GIR_Coverage, 13392,
     /* 1034320 */     GIR_EraseRootFromParent_Done,
     /* 1034321 */   // Label 15312: @1034321
     /* 1034321 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034398), // Rule ID 13395 //
     /* 1034326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034365 */     // MIs[0] policy
     /* 1034365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034397 */     // GIR_Coverage, 13395,
     /* 1034397 */     GIR_EraseRootFromParent_Done,
     /* 1034398 */   // Label 15313: @1034398
     /* 1034398 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034475), // Rule ID 13396 //
     /* 1034403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1034423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034442 */     // MIs[0] policy
     /* 1034442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034474 */     // GIR_Coverage, 13396,
     /* 1034474 */     GIR_EraseRootFromParent_Done,
     /* 1034475 */   // Label 15314: @1034475
     /* 1034475 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034552), // Rule ID 13399 //
     /* 1034480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034519 */     // MIs[0] policy
     /* 1034519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034551 */     // GIR_Coverage, 13399,
     /* 1034551 */     GIR_EraseRootFromParent_Done,
     /* 1034552 */   // Label 15315: @1034552
     /* 1034552 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034629), // Rule ID 13400 //
     /* 1034557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034596 */     // MIs[0] policy
     /* 1034596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034628 */     // GIR_Coverage, 13400,
     /* 1034628 */     GIR_EraseRootFromParent_Done,
     /* 1034629 */   // Label 15316: @1034629
     /* 1034629 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034706), // Rule ID 13403 //
     /* 1034634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034673 */     // MIs[0] policy
     /* 1034673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034705 */     // GIR_Coverage, 13403,
     /* 1034705 */     GIR_EraseRootFromParent_Done,
     /* 1034706 */   // Label 15317: @1034706
     /* 1034706 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034783), // Rule ID 13404 //
     /* 1034711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034750 */     // MIs[0] policy
     /* 1034750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034782 */     // GIR_Coverage, 13404,
     /* 1034782 */     GIR_EraseRootFromParent_Done,
     /* 1034783 */   // Label 15318: @1034783
     /* 1034783 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034860), // Rule ID 13407 //
     /* 1034788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1034808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034827 */     // MIs[0] policy
     /* 1034827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034837 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034859 */     // GIR_Coverage, 13407,
     /* 1034859 */     GIR_EraseRootFromParent_Done,
     /* 1034860 */   // Label 15319: @1034860
     /* 1034860 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034937), // Rule ID 13408 //
     /* 1034865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1034868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1034885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034904 */     // MIs[0] policy
     /* 1034904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1034917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034936 */     // GIR_Coverage, 13408,
     /* 1034936 */     GIR_EraseRootFromParent_Done,
     /* 1034937 */   // Label 15320: @1034937
     /* 1034937 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1035014), // Rule ID 13411 //
     /* 1034942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1034953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1034956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1034962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034981 */     // MIs[0] policy
     /* 1034981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1034994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035013 */     // GIR_Coverage, 13411,
     /* 1035013 */     GIR_EraseRootFromParent_Done,
     /* 1035014 */   // Label 15321: @1035014
     /* 1035014 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1035091), // Rule ID 13412 //
     /* 1035019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035058 */     // MIs[0] policy
     /* 1035058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1035071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035090 */     // GIR_Coverage, 13412,
     /* 1035090 */     GIR_EraseRootFromParent_Done,
     /* 1035091 */   // Label 15322: @1035091
     /* 1035091 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1035168), // Rule ID 13415 //
     /* 1035096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035135 */     // MIs[0] policy
     /* 1035135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035167 */     // GIR_Coverage, 13415,
     /* 1035167 */     GIR_EraseRootFromParent_Done,
     /* 1035168 */   // Label 15323: @1035168
     /* 1035168 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1035245), // Rule ID 13416 //
     /* 1035173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035212 */     // MIs[0] policy
     /* 1035212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035222 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1035225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035244 */     // GIR_Coverage, 13416,
     /* 1035244 */     GIR_EraseRootFromParent_Done,
     /* 1035245 */   // Label 15324: @1035245
     /* 1035245 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035322), // Rule ID 13419 //
     /* 1035250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035289 */     // MIs[0] policy
     /* 1035289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035321 */     // GIR_Coverage, 13419,
     /* 1035321 */     GIR_EraseRootFromParent_Done,
     /* 1035322 */   // Label 15325: @1035322
     /* 1035322 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035399), // Rule ID 13420 //
     /* 1035327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035366 */     // MIs[0] policy
     /* 1035366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1035379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035398 */     // GIR_Coverage, 13420,
     /* 1035398 */     GIR_EraseRootFromParent_Done,
     /* 1035399 */   // Label 15326: @1035399
     /* 1035399 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035476), // Rule ID 13423 //
     /* 1035404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035443 */     // MIs[0] policy
     /* 1035443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035453 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035475 */     // GIR_Coverage, 13423,
     /* 1035475 */     GIR_EraseRootFromParent_Done,
     /* 1035476 */   // Label 15327: @1035476
     /* 1035476 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035553), // Rule ID 13424 //
     /* 1035481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035520 */     // MIs[0] policy
     /* 1035520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1035533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035552 */     // GIR_Coverage, 13424,
     /* 1035552 */     GIR_EraseRootFromParent_Done,
     /* 1035553 */   // Label 15328: @1035553
     /* 1035553 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035630), // Rule ID 13427 //
     /* 1035558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035597 */     // MIs[0] policy
     /* 1035597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035629 */     // GIR_Coverage, 13427,
     /* 1035629 */     GIR_EraseRootFromParent_Done,
     /* 1035630 */   // Label 15329: @1035630
     /* 1035630 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035707), // Rule ID 13428 //
     /* 1035635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035674 */     // MIs[0] policy
     /* 1035674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035706 */     // GIR_Coverage, 13428,
     /* 1035706 */     GIR_EraseRootFromParent_Done,
     /* 1035707 */   // Label 15330: @1035707
     /* 1035707 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035784), // Rule ID 13431 //
     /* 1035712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035751 */     // MIs[0] policy
     /* 1035751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035783 */     // GIR_Coverage, 13431,
     /* 1035783 */     GIR_EraseRootFromParent_Done,
     /* 1035784 */   // Label 15331: @1035784
     /* 1035784 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035861), // Rule ID 13432 //
     /* 1035789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035828 */     // MIs[0] policy
     /* 1035828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035860 */     // GIR_Coverage, 13432,
     /* 1035860 */     GIR_EraseRootFromParent_Done,
     /* 1035861 */   // Label 15332: @1035861
     /* 1035861 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035938), // Rule ID 13435 //
     /* 1035866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1035883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1035886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035905 */     // MIs[0] policy
     /* 1035905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1035918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035937 */     // GIR_Coverage, 13435,
     /* 1035937 */     GIR_EraseRootFromParent_Done,
     /* 1035938 */   // Label 15333: @1035938
     /* 1035938 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1036015), // Rule ID 13436 //
     /* 1035943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1035960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1035963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035982 */     // MIs[0] policy
     /* 1035982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1035995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036014 */     // GIR_Coverage, 13436,
     /* 1036014 */     GIR_EraseRootFromParent_Done,
     /* 1036015 */   // Label 15334: @1036015
     /* 1036015 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1036092), // Rule ID 13439 //
     /* 1036020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036059 */     // MIs[0] policy
     /* 1036059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036091 */     // GIR_Coverage, 13439,
     /* 1036091 */     GIR_EraseRootFromParent_Done,
     /* 1036092 */   // Label 15335: @1036092
     /* 1036092 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1036169), // Rule ID 13440 //
     /* 1036097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036136 */     // MIs[0] policy
     /* 1036136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036168 */     // GIR_Coverage, 13440,
     /* 1036168 */     GIR_EraseRootFromParent_Done,
     /* 1036169 */   // Label 15336: @1036169
     /* 1036169 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1036246), // Rule ID 13443 //
     /* 1036174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036213 */     // MIs[0] policy
     /* 1036213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036223 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036245 */     // GIR_Coverage, 13443,
     /* 1036245 */     GIR_EraseRootFromParent_Done,
     /* 1036246 */   // Label 15337: @1036246
     /* 1036246 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036323), // Rule ID 13444 //
     /* 1036251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036290 */     // MIs[0] policy
     /* 1036290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036322 */     // GIR_Coverage, 13444,
     /* 1036322 */     GIR_EraseRootFromParent_Done,
     /* 1036323 */   // Label 15338: @1036323
     /* 1036323 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036400), // Rule ID 13447 //
     /* 1036328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036367 */     // MIs[0] policy
     /* 1036367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036377 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036399 */     // GIR_Coverage, 13447,
     /* 1036399 */     GIR_EraseRootFromParent_Done,
     /* 1036400 */   // Label 15339: @1036400
     /* 1036400 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036477), // Rule ID 13448 //
     /* 1036405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036444 */     // MIs[0] policy
     /* 1036444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1036457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036476 */     // GIR_Coverage, 13448,
     /* 1036476 */     GIR_EraseRootFromParent_Done,
     /* 1036477 */   // Label 15340: @1036477
     /* 1036477 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036554), // Rule ID 13451 //
     /* 1036482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036521 */     // MIs[0] policy
     /* 1036521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036553 */     // GIR_Coverage, 13451,
     /* 1036553 */     GIR_EraseRootFromParent_Done,
     /* 1036554 */   // Label 15341: @1036554
     /* 1036554 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036631), // Rule ID 13452 //
     /* 1036559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036598 */     // MIs[0] policy
     /* 1036598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036630 */     // GIR_Coverage, 13452,
     /* 1036630 */     GIR_EraseRootFromParent_Done,
     /* 1036631 */   // Label 15342: @1036631
     /* 1036631 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036708), // Rule ID 13455 //
     /* 1036636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036675 */     // MIs[0] policy
     /* 1036675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036707 */     // GIR_Coverage, 13455,
     /* 1036707 */     GIR_EraseRootFromParent_Done,
     /* 1036708 */   // Label 15343: @1036708
     /* 1036708 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036785), // Rule ID 13456 //
     /* 1036713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036752 */     // MIs[0] policy
     /* 1036752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036784 */     // GIR_Coverage, 13456,
     /* 1036784 */     GIR_EraseRootFromParent_Done,
     /* 1036785 */   // Label 15344: @1036785
     /* 1036785 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036862), // Rule ID 13459 //
     /* 1036790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036829 */     // MIs[0] policy
     /* 1036829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036861 */     // GIR_Coverage, 13459,
     /* 1036861 */     GIR_EraseRootFromParent_Done,
     /* 1036862 */   // Label 15345: @1036862
     /* 1036862 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036939), // Rule ID 13460 //
     /* 1036867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036906 */     // MIs[0] policy
     /* 1036906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036916 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036938 */     // GIR_Coverage, 13460,
     /* 1036938 */     GIR_EraseRootFromParent_Done,
     /* 1036939 */   // Label 15346: @1036939
     /* 1036939 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1037016), // Rule ID 13463 //
     /* 1036944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1036955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1036958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1036961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1036964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036983 */     // MIs[0] policy
     /* 1036983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037015 */     // GIR_Coverage, 13463,
     /* 1037015 */     GIR_EraseRootFromParent_Done,
     /* 1037016 */   // Label 15347: @1037016
     /* 1037016 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1037093), // Rule ID 13464 //
     /* 1037021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037060 */     // MIs[0] policy
     /* 1037060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037092 */     // GIR_Coverage, 13464,
     /* 1037092 */     GIR_EraseRootFromParent_Done,
     /* 1037093 */   // Label 15348: @1037093
     /* 1037093 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1037170), // Rule ID 13467 //
     /* 1037098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037137 */     // MIs[0] policy
     /* 1037137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037169 */     // GIR_Coverage, 13467,
     /* 1037169 */     GIR_EraseRootFromParent_Done,
     /* 1037170 */   // Label 15349: @1037170
     /* 1037170 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1037247), // Rule ID 13468 //
     /* 1037175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037214 */     // MIs[0] policy
     /* 1037214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1037227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037246 */     // GIR_Coverage, 13468,
     /* 1037246 */     GIR_EraseRootFromParent_Done,
     /* 1037247 */   // Label 15350: @1037247
     /* 1037247 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037324), // Rule ID 13471 //
     /* 1037252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037291 */     // MIs[0] policy
     /* 1037291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037323 */     // GIR_Coverage, 13471,
     /* 1037323 */     GIR_EraseRootFromParent_Done,
     /* 1037324 */   // Label 15351: @1037324
     /* 1037324 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037401), // Rule ID 13472 //
     /* 1037329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037368 */     // MIs[0] policy
     /* 1037368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1037381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037400 */     // GIR_Coverage, 13472,
     /* 1037400 */     GIR_EraseRootFromParent_Done,
     /* 1037401 */   // Label 15352: @1037401
     /* 1037401 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037478), // Rule ID 13475 //
     /* 1037406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037445 */     // MIs[0] policy
     /* 1037445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037455 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037477 */     // GIR_Coverage, 13475,
     /* 1037477 */     GIR_EraseRootFromParent_Done,
     /* 1037478 */   // Label 15353: @1037478
     /* 1037478 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037555), // Rule ID 13476 //
     /* 1037483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037522 */     // MIs[0] policy
     /* 1037522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1037535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037554 */     // GIR_Coverage, 13476,
     /* 1037554 */     GIR_EraseRootFromParent_Done,
     /* 1037555 */   // Label 15354: @1037555
     /* 1037555 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037632), // Rule ID 13479 //
     /* 1037560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037599 */     // MIs[0] policy
     /* 1037599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037631 */     // GIR_Coverage, 13479,
     /* 1037631 */     GIR_EraseRootFromParent_Done,
     /* 1037632 */   // Label 15355: @1037632
     /* 1037632 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037709), // Rule ID 13480 //
     /* 1037637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037676 */     // MIs[0] policy
     /* 1037676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1037689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037708 */     // GIR_Coverage, 13480,
     /* 1037708 */     GIR_EraseRootFromParent_Done,
     /* 1037709 */   // Label 15356: @1037709
     /* 1037709 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037786), // Rule ID 13483 //
     /* 1037714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037753 */     // MIs[0] policy
     /* 1037753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1037766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037785 */     // GIR_Coverage, 13483,
     /* 1037785 */     GIR_EraseRootFromParent_Done,
     /* 1037786 */   // Label 15357: @1037786
     /* 1037786 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037863), // Rule ID 13484 //
     /* 1037791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037830 */     // MIs[0] policy
     /* 1037830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1037843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037862 */     // GIR_Coverage, 13484,
     /* 1037862 */     GIR_EraseRootFromParent_Done,
     /* 1037863 */   // Label 15358: @1037863
     /* 1037863 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037940), // Rule ID 13487 //
     /* 1037868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1037888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037907 */     // MIs[0] policy
     /* 1037907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1037920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037939 */     // GIR_Coverage, 13487,
     /* 1037939 */     GIR_EraseRootFromParent_Done,
     /* 1037940 */   // Label 15359: @1037940
     /* 1037940 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1038017), // Rule ID 13488 //
     /* 1037945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1037965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037984 */     // MIs[0] policy
     /* 1037984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1037997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038016 */     // GIR_Coverage, 13488,
     /* 1038016 */     GIR_EraseRootFromParent_Done,
     /* 1038017 */   // Label 15360: @1038017
     /* 1038017 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1038094), // Rule ID 13491 //
     /* 1038022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038061 */     // MIs[0] policy
     /* 1038061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038093 */     // GIR_Coverage, 13491,
     /* 1038093 */     GIR_EraseRootFromParent_Done,
     /* 1038094 */   // Label 15361: @1038094
     /* 1038094 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1038171), // Rule ID 13492 //
     /* 1038099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038138 */     // MIs[0] policy
     /* 1038138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038170 */     // GIR_Coverage, 13492,
     /* 1038170 */     GIR_EraseRootFromParent_Done,
     /* 1038171 */   // Label 15362: @1038171
     /* 1038171 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1038248), // Rule ID 13495 //
     /* 1038176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038215 */     // MIs[0] policy
     /* 1038215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038247 */     // GIR_Coverage, 13495,
     /* 1038247 */     GIR_EraseRootFromParent_Done,
     /* 1038248 */   // Label 15363: @1038248
     /* 1038248 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038325), // Rule ID 13496 //
     /* 1038253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038292 */     // MIs[0] policy
     /* 1038292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038324 */     // GIR_Coverage, 13496,
     /* 1038324 */     GIR_EraseRootFromParent_Done,
     /* 1038325 */   // Label 15364: @1038325
     /* 1038325 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038402), // Rule ID 13499 //
     /* 1038330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038369 */     // MIs[0] policy
     /* 1038369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038401 */     // GIR_Coverage, 13499,
     /* 1038401 */     GIR_EraseRootFromParent_Done,
     /* 1038402 */   // Label 15365: @1038402
     /* 1038402 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038479), // Rule ID 13500 //
     /* 1038407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038446 */     // MIs[0] policy
     /* 1038446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038478 */     // GIR_Coverage, 13500,
     /* 1038478 */     GIR_EraseRootFromParent_Done,
     /* 1038479 */   // Label 15366: @1038479
     /* 1038479 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038556), // Rule ID 13503 //
     /* 1038484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038523 */     // MIs[0] policy
     /* 1038523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038555 */     // GIR_Coverage, 13503,
     /* 1038555 */     GIR_EraseRootFromParent_Done,
     /* 1038556 */   // Label 15367: @1038556
     /* 1038556 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038633), // Rule ID 13504 //
     /* 1038561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038600 */     // MIs[0] policy
     /* 1038600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038632 */     // GIR_Coverage, 13504,
     /* 1038632 */     GIR_EraseRootFromParent_Done,
     /* 1038633 */   // Label 15368: @1038633
     /* 1038633 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038710), // Rule ID 13507 //
     /* 1038638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038677 */     // MIs[0] policy
     /* 1038677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038709 */     // GIR_Coverage, 13507,
     /* 1038709 */     GIR_EraseRootFromParent_Done,
     /* 1038710 */   // Label 15369: @1038710
     /* 1038710 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038787), // Rule ID 13508 //
     /* 1038715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038754 */     // MIs[0] policy
     /* 1038754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1038767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038786 */     // GIR_Coverage, 13508,
     /* 1038786 */     GIR_EraseRootFromParent_Done,
     /* 1038787 */   // Label 15370: @1038787
     /* 1038787 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038864), // Rule ID 13511 //
     /* 1038792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038831 */     // MIs[0] policy
     /* 1038831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038863 */     // GIR_Coverage, 13511,
     /* 1038863 */     GIR_EraseRootFromParent_Done,
     /* 1038864 */   // Label 15371: @1038864
     /* 1038864 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038941), // Rule ID 13512 //
     /* 1038869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038908 */     // MIs[0] policy
     /* 1038908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038940 */     // GIR_Coverage, 13512,
     /* 1038940 */     GIR_EraseRootFromParent_Done,
     /* 1038941 */   // Label 15372: @1038941
     /* 1038941 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1039018), // Rule ID 13515 //
     /* 1038946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1038966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038985 */     // MIs[0] policy
     /* 1038985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038995 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039017 */     // GIR_Coverage, 13515,
     /* 1039017 */     GIR_EraseRootFromParent_Done,
     /* 1039018 */   // Label 15373: @1039018
     /* 1039018 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1039095), // Rule ID 13516 //
     /* 1039023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039062 */     // MIs[0] policy
     /* 1039062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039094 */     // GIR_Coverage, 13516,
     /* 1039094 */     GIR_EraseRootFromParent_Done,
     /* 1039095 */   // Label 15374: @1039095
     /* 1039095 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1039172), // Rule ID 13519 //
     /* 1039100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039139 */     // MIs[0] policy
     /* 1039139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039171 */     // GIR_Coverage, 13519,
     /* 1039171 */     GIR_EraseRootFromParent_Done,
     /* 1039172 */   // Label 15375: @1039172
     /* 1039172 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1039249), // Rule ID 13520 //
     /* 1039177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039216 */     // MIs[0] policy
     /* 1039216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039248 */     // GIR_Coverage, 13520,
     /* 1039248 */     GIR_EraseRootFromParent_Done,
     /* 1039249 */   // Label 15376: @1039249
     /* 1039249 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039326), // Rule ID 13523 //
     /* 1039254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039293 */     // MIs[0] policy
     /* 1039293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039325 */     // GIR_Coverage, 13523,
     /* 1039325 */     GIR_EraseRootFromParent_Done,
     /* 1039326 */   // Label 15377: @1039326
     /* 1039326 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039403), // Rule ID 13524 //
     /* 1039331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039370 */     // MIs[0] policy
     /* 1039370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039402 */     // GIR_Coverage, 13524,
     /* 1039402 */     GIR_EraseRootFromParent_Done,
     /* 1039403 */   // Label 15378: @1039403
     /* 1039403 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039480), // Rule ID 13527 //
     /* 1039408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039447 */     // MIs[0] policy
     /* 1039447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039479 */     // GIR_Coverage, 13527,
     /* 1039479 */     GIR_EraseRootFromParent_Done,
     /* 1039480 */   // Label 15379: @1039480
     /* 1039480 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039557), // Rule ID 13528 //
     /* 1039485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039524 */     // MIs[0] policy
     /* 1039524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1039537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039556 */     // GIR_Coverage, 13528,
     /* 1039556 */     GIR_EraseRootFromParent_Done,
     /* 1039557 */   // Label 15380: @1039557
     /* 1039557 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039634), // Rule ID 13531 //
     /* 1039562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039601 */     // MIs[0] policy
     /* 1039601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039633 */     // GIR_Coverage, 13531,
     /* 1039633 */     GIR_EraseRootFromParent_Done,
     /* 1039634 */   // Label 15381: @1039634
     /* 1039634 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039711), // Rule ID 13532 //
     /* 1039639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039678 */     // MIs[0] policy
     /* 1039678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039688 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1039691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039710 */     // GIR_Coverage, 13532,
     /* 1039710 */     GIR_EraseRootFromParent_Done,
     /* 1039711 */   // Label 15382: @1039711
     /* 1039711 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039788), // Rule ID 13535 //
     /* 1039716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039755 */     // MIs[0] policy
     /* 1039755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039787 */     // GIR_Coverage, 13535,
     /* 1039787 */     GIR_EraseRootFromParent_Done,
     /* 1039788 */   // Label 15383: @1039788
     /* 1039788 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039865), // Rule ID 13536 //
     /* 1039793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039832 */     // MIs[0] policy
     /* 1039832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039842 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1039845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039864 */     // GIR_Coverage, 13536,
     /* 1039864 */     GIR_EraseRootFromParent_Done,
     /* 1039865 */   // Label 15384: @1039865
     /* 1039865 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039942), // Rule ID 13539 //
     /* 1039870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039909 */     // MIs[0] policy
     /* 1039909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039941 */     // GIR_Coverage, 13539,
     /* 1039941 */     GIR_EraseRootFromParent_Done,
     /* 1039942 */   // Label 15385: @1039942
     /* 1039942 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1040019), // Rule ID 13540 //
     /* 1039947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1039955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039986 */     // MIs[0] policy
     /* 1039986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1039999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040018 */     // GIR_Coverage, 13540,
     /* 1040018 */     GIR_EraseRootFromParent_Done,
     /* 1040019 */   // Label 15386: @1040019
     /* 1040019 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1040096), // Rule ID 13543 //
     /* 1040024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040063 */     // MIs[0] policy
     /* 1040063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040073 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040095 */     // GIR_Coverage, 13543,
     /* 1040095 */     GIR_EraseRootFromParent_Done,
     /* 1040096 */   // Label 15387: @1040096
     /* 1040096 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1040173), // Rule ID 13544 //
     /* 1040101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040140 */     // MIs[0] policy
     /* 1040140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1040153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040172 */     // GIR_Coverage, 13544,
     /* 1040172 */     GIR_EraseRootFromParent_Done,
     /* 1040173 */   // Label 15388: @1040173
     /* 1040173 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1040250), // Rule ID 13547 //
     /* 1040178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040217 */     // MIs[0] policy
     /* 1040217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040249 */     // GIR_Coverage, 13547,
     /* 1040249 */     GIR_EraseRootFromParent_Done,
     /* 1040250 */   // Label 15389: @1040250
     /* 1040250 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040327), // Rule ID 13548 //
     /* 1040255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040294 */     // MIs[0] policy
     /* 1040294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1040307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040326 */     // GIR_Coverage, 13548,
     /* 1040326 */     GIR_EraseRootFromParent_Done,
     /* 1040327 */   // Label 15390: @1040327
     /* 1040327 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040404), // Rule ID 13551 //
     /* 1040332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040371 */     // MIs[0] policy
     /* 1040371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040403 */     // GIR_Coverage, 13551,
     /* 1040403 */     GIR_EraseRootFromParent_Done,
     /* 1040404 */   // Label 15391: @1040404
     /* 1040404 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040481), // Rule ID 13552 //
     /* 1040409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040448 */     // MIs[0] policy
     /* 1040448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040480 */     // GIR_Coverage, 13552,
     /* 1040480 */     GIR_EraseRootFromParent_Done,
     /* 1040481 */   // Label 15392: @1040481
     /* 1040481 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040558), // Rule ID 13555 //
     /* 1040486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040525 */     // MIs[0] policy
     /* 1040525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040535 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040557 */     // GIR_Coverage, 13555,
     /* 1040557 */     GIR_EraseRootFromParent_Done,
     /* 1040558 */   // Label 15393: @1040558
     /* 1040558 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040635), // Rule ID 13556 //
     /* 1040563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040602 */     // MIs[0] policy
     /* 1040602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040634 */     // GIR_Coverage, 13556,
     /* 1040634 */     GIR_EraseRootFromParent_Done,
     /* 1040635 */   // Label 15394: @1040635
     /* 1040635 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040712), // Rule ID 13559 //
     /* 1040640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040679 */     // MIs[0] policy
     /* 1040679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040689 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040711 */     // GIR_Coverage, 13559,
     /* 1040711 */     GIR_EraseRootFromParent_Done,
     /* 1040712 */   // Label 15395: @1040712
     /* 1040712 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040789), // Rule ID 13560 //
     /* 1040717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040756 */     // MIs[0] policy
     /* 1040756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040788 */     // GIR_Coverage, 13560,
     /* 1040788 */     GIR_EraseRootFromParent_Done,
     /* 1040789 */   // Label 15396: @1040789
     /* 1040789 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040866), // Rule ID 13563 //
     /* 1040794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040833 */     // MIs[0] policy
     /* 1040833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040865 */     // GIR_Coverage, 13563,
     /* 1040865 */     GIR_EraseRootFromParent_Done,
     /* 1040866 */   // Label 15397: @1040866
     /* 1040866 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040943), // Rule ID 13564 //
     /* 1040871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040910 */     // MIs[0] policy
     /* 1040910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040942 */     // GIR_Coverage, 13564,
     /* 1040942 */     GIR_EraseRootFromParent_Done,
     /* 1040943 */   // Label 15398: @1040943
     /* 1040943 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1041020), // Rule ID 13567 //
     /* 1040948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1040965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1040968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040987 */     // MIs[0] policy
     /* 1040987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041019 */     // GIR_Coverage, 13567,
     /* 1041019 */     GIR_EraseRootFromParent_Done,
     /* 1041020 */   // Label 15399: @1041020
     /* 1041020 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1041097), // Rule ID 13568 //
     /* 1041025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041064 */     // MIs[0] policy
     /* 1041064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1041077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041096 */     // GIR_Coverage, 13568,
     /* 1041096 */     GIR_EraseRootFromParent_Done,
     /* 1041097 */   // Label 15400: @1041097
     /* 1041097 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1041174), // Rule ID 13571 //
     /* 1041102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041141 */     // MIs[0] policy
     /* 1041141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041173 */     // GIR_Coverage, 13571,
     /* 1041173 */     GIR_EraseRootFromParent_Done,
     /* 1041174 */   // Label 15401: @1041174
     /* 1041174 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1041251), // Rule ID 13572 //
     /* 1041179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041218 */     // MIs[0] policy
     /* 1041218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041250 */     // GIR_Coverage, 13572,
     /* 1041250 */     GIR_EraseRootFromParent_Done,
     /* 1041251 */   // Label 15402: @1041251
     /* 1041251 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041328), // Rule ID 13575 //
     /* 1041256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041295 */     // MIs[0] policy
     /* 1041295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041327 */     // GIR_Coverage, 13575,
     /* 1041327 */     GIR_EraseRootFromParent_Done,
     /* 1041328 */   // Label 15403: @1041328
     /* 1041328 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041405), // Rule ID 13576 //
     /* 1041333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041372 */     // MIs[0] policy
     /* 1041372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041404 */     // GIR_Coverage, 13576,
     /* 1041404 */     GIR_EraseRootFromParent_Done,
     /* 1041405 */   // Label 15404: @1041405
     /* 1041405 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041482), // Rule ID 13579 //
     /* 1041410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041449 */     // MIs[0] policy
     /* 1041449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041481 */     // GIR_Coverage, 13579,
     /* 1041481 */     GIR_EraseRootFromParent_Done,
     /* 1041482 */   // Label 15405: @1041482
     /* 1041482 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041559), // Rule ID 13580 //
     /* 1041487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041526 */     // MIs[0] policy
     /* 1041526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1041539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041558 */     // GIR_Coverage, 13580,
     /* 1041558 */     GIR_EraseRootFromParent_Done,
     /* 1041559 */   // Label 15406: @1041559
     /* 1041559 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041636), // Rule ID 13583 //
     /* 1041564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041603 */     // MIs[0] policy
     /* 1041603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041613 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041635 */     // GIR_Coverage, 13583,
     /* 1041635 */     GIR_EraseRootFromParent_Done,
     /* 1041636 */   // Label 15407: @1041636
     /* 1041636 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041713), // Rule ID 13584 //
     /* 1041641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041680 */     // MIs[0] policy
     /* 1041680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041712 */     // GIR_Coverage, 13584,
     /* 1041712 */     GIR_EraseRootFromParent_Done,
     /* 1041713 */   // Label 15408: @1041713
     /* 1041713 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041790), // Rule ID 13587 //
     /* 1041718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041757 */     // MIs[0] policy
     /* 1041757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041789 */     // GIR_Coverage, 13587,
     /* 1041789 */     GIR_EraseRootFromParent_Done,
     /* 1041790 */   // Label 15409: @1041790
     /* 1041790 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041867), // Rule ID 13588 //
     /* 1041795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041834 */     // MIs[0] policy
     /* 1041834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1041847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041866 */     // GIR_Coverage, 13588,
     /* 1041866 */     GIR_EraseRootFromParent_Done,
     /* 1041867 */   // Label 15410: @1041867
     /* 1041867 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041944), // Rule ID 13591 //
     /* 1041872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041911 */     // MIs[0] policy
     /* 1041911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1041924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041943 */     // GIR_Coverage, 13591,
     /* 1041943 */     GIR_EraseRootFromParent_Done,
     /* 1041944 */   // Label 15411: @1041944
     /* 1041944 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1042021), // Rule ID 13592 //
     /* 1041949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041988 */     // MIs[0] policy
     /* 1041988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1042001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042020 */     // GIR_Coverage, 13592,
     /* 1042020 */     GIR_EraseRootFromParent_Done,
     /* 1042021 */   // Label 15412: @1042021
     /* 1042021 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1042098), // Rule ID 13595 //
     /* 1042026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042065 */     // MIs[0] policy
     /* 1042065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042097 */     // GIR_Coverage, 13595,
     /* 1042097 */     GIR_EraseRootFromParent_Done,
     /* 1042098 */   // Label 15413: @1042098
     /* 1042098 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1042175), // Rule ID 13596 //
     /* 1042103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042142 */     // MIs[0] policy
     /* 1042142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1042155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042174 */     // GIR_Coverage, 13596,
     /* 1042174 */     GIR_EraseRootFromParent_Done,
     /* 1042175 */   // Label 15414: @1042175
     /* 1042175 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1042252), // Rule ID 13599 //
     /* 1042180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042219 */     // MIs[0] policy
     /* 1042219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042229 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042251 */     // GIR_Coverage, 13599,
     /* 1042251 */     GIR_EraseRootFromParent_Done,
     /* 1042252 */   // Label 15415: @1042252
     /* 1042252 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042329), // Rule ID 13600 //
     /* 1042257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042296 */     // MIs[0] policy
     /* 1042296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1042309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042328 */     // GIR_Coverage, 13600,
     /* 1042328 */     GIR_EraseRootFromParent_Done,
     /* 1042329 */   // Label 15416: @1042329
     /* 1042329 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042406), // Rule ID 13603 //
     /* 1042334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042373 */     // MIs[0] policy
     /* 1042373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042383 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042405 */     // GIR_Coverage, 13603,
     /* 1042405 */     GIR_EraseRootFromParent_Done,
     /* 1042406 */   // Label 15417: @1042406
     /* 1042406 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042483), // Rule ID 13604 //
     /* 1042411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042450 */     // MIs[0] policy
     /* 1042450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042460 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1042463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042482 */     // GIR_Coverage, 13604,
     /* 1042482 */     GIR_EraseRootFromParent_Done,
     /* 1042483 */   // Label 15418: @1042483
     /* 1042483 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042560), // Rule ID 13607 //
     /* 1042488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042527 */     // MIs[0] policy
     /* 1042527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042559 */     // GIR_Coverage, 13607,
     /* 1042559 */     GIR_EraseRootFromParent_Done,
     /* 1042560 */   // Label 15419: @1042560
     /* 1042560 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042637), // Rule ID 13608 //
     /* 1042565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042604 */     // MIs[0] policy
     /* 1042604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042636 */     // GIR_Coverage, 13608,
     /* 1042636 */     GIR_EraseRootFromParent_Done,
     /* 1042637 */   // Label 15420: @1042637
     /* 1042637 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042714), // Rule ID 13611 //
     /* 1042642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042681 */     // MIs[0] policy
     /* 1042681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042713 */     // GIR_Coverage, 13611,
     /* 1042713 */     GIR_EraseRootFromParent_Done,
     /* 1042714 */   // Label 15421: @1042714
     /* 1042714 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042791), // Rule ID 13612 //
     /* 1042719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042758 */     // MIs[0] policy
     /* 1042758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042790 */     // GIR_Coverage, 13612,
     /* 1042790 */     GIR_EraseRootFromParent_Done,
     /* 1042791 */   // Label 15422: @1042791
     /* 1042791 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042868), // Rule ID 13615 //
     /* 1042796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042835 */     // MIs[0] policy
     /* 1042835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042867 */     // GIR_Coverage, 13615,
     /* 1042867 */     GIR_EraseRootFromParent_Done,
     /* 1042868 */   // Label 15423: @1042868
     /* 1042868 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042945), // Rule ID 13616 //
     /* 1042873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042912 */     // MIs[0] policy
     /* 1042912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042944 */     // GIR_Coverage, 13616,
     /* 1042944 */     GIR_EraseRootFromParent_Done,
     /* 1042945 */   // Label 15424: @1042945
     /* 1042945 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1043022), // Rule ID 13619 //
     /* 1042950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1042961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1042964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1042970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042989 */     // MIs[0] policy
     /* 1042989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043021 */     // GIR_Coverage, 13619,
     /* 1043021 */     GIR_EraseRootFromParent_Done,
     /* 1043022 */   // Label 15425: @1043022
     /* 1043022 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1043099), // Rule ID 13620 //
     /* 1043027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043066 */     // MIs[0] policy
     /* 1043066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043098 */     // GIR_Coverage, 13620,
     /* 1043098 */     GIR_EraseRootFromParent_Done,
     /* 1043099 */   // Label 15426: @1043099
     /* 1043099 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1043176), // Rule ID 13623 //
     /* 1043104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043143 */     // MIs[0] policy
     /* 1043143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043175 */     // GIR_Coverage, 13623,
     /* 1043175 */     GIR_EraseRootFromParent_Done,
     /* 1043176 */   // Label 15427: @1043176
     /* 1043176 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1043253), // Rule ID 13624 //
     /* 1043181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043220 */     // MIs[0] policy
     /* 1043220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043252 */     // GIR_Coverage, 13624,
     /* 1043252 */     GIR_EraseRootFromParent_Done,
     /* 1043253 */   // Label 15428: @1043253
     /* 1043253 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043330), // Rule ID 13627 //
     /* 1043258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043297 */     // MIs[0] policy
     /* 1043297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043329 */     // GIR_Coverage, 13627,
     /* 1043329 */     GIR_EraseRootFromParent_Done,
     /* 1043330 */   // Label 15429: @1043330
     /* 1043330 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043407), // Rule ID 13628 //
     /* 1043335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043374 */     // MIs[0] policy
     /* 1043374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1043387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043406 */     // GIR_Coverage, 13628,
     /* 1043406 */     GIR_EraseRootFromParent_Done,
     /* 1043407 */   // Label 15430: @1043407
     /* 1043407 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043484), // Rule ID 13631 //
     /* 1043412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043451 */     // MIs[0] policy
     /* 1043451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043483 */     // GIR_Coverage, 13631,
     /* 1043483 */     GIR_EraseRootFromParent_Done,
     /* 1043484 */   // Label 15431: @1043484
     /* 1043484 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043561), // Rule ID 13632 //
     /* 1043489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043528 */     // MIs[0] policy
     /* 1043528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1043541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043560 */     // GIR_Coverage, 13632,
     /* 1043560 */     GIR_EraseRootFromParent_Done,
     /* 1043561 */   // Label 15432: @1043561
     /* 1043561 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043638), // Rule ID 13635 //
     /* 1043566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043605 */     // MIs[0] policy
     /* 1043605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043637 */     // GIR_Coverage, 13635,
     /* 1043637 */     GIR_EraseRootFromParent_Done,
     /* 1043638 */   // Label 15433: @1043638
     /* 1043638 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043715), // Rule ID 13636 //
     /* 1043643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043682 */     // MIs[0] policy
     /* 1043682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043714 */     // GIR_Coverage, 13636,
     /* 1043714 */     GIR_EraseRootFromParent_Done,
     /* 1043715 */   // Label 15434: @1043715
     /* 1043715 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043792), // Rule ID 13639 //
     /* 1043720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043759 */     // MIs[0] policy
     /* 1043759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043791 */     // GIR_Coverage, 13639,
     /* 1043791 */     GIR_EraseRootFromParent_Done,
     /* 1043792 */   // Label 15435: @1043792
     /* 1043792 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043869), // Rule ID 13640 //
     /* 1043797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043836 */     // MIs[0] policy
     /* 1043836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043868 */     // GIR_Coverage, 13640,
     /* 1043868 */     GIR_EraseRootFromParent_Done,
     /* 1043869 */   // Label 15436: @1043869
     /* 1043869 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043946), // Rule ID 13643 //
     /* 1043874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1043894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043913 */     // MIs[0] policy
     /* 1043913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043945 */     // GIR_Coverage, 13643,
     /* 1043945 */     GIR_EraseRootFromParent_Done,
     /* 1043946 */   // Label 15437: @1043946
     /* 1043946 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1044023), // Rule ID 13644 //
     /* 1043951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1043971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043990 */     // MIs[0] policy
     /* 1043990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044022 */     // GIR_Coverage, 13644,
     /* 1044022 */     GIR_EraseRootFromParent_Done,
     /* 1044023 */   // Label 15438: @1044023
     /* 1044023 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1044100), // Rule ID 13647 //
     /* 1044028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044067 */     // MIs[0] policy
     /* 1044067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044099 */     // GIR_Coverage, 13647,
     /* 1044099 */     GIR_EraseRootFromParent_Done,
     /* 1044100 */   // Label 15439: @1044100
     /* 1044100 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1044177), // Rule ID 13648 //
     /* 1044105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044144 */     // MIs[0] policy
     /* 1044144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1044157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044176 */     // GIR_Coverage, 13648,
     /* 1044176 */     GIR_EraseRootFromParent_Done,
     /* 1044177 */   // Label 15440: @1044177
     /* 1044177 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1044254), // Rule ID 13651 //
     /* 1044182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044221 */     // MIs[0] policy
     /* 1044221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044253 */     // GIR_Coverage, 13651,
     /* 1044253 */     GIR_EraseRootFromParent_Done,
     /* 1044254 */   // Label 15441: @1044254
     /* 1044254 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044331), // Rule ID 13652 //
     /* 1044259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044298 */     // MIs[0] policy
     /* 1044298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1044311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044330 */     // GIR_Coverage, 13652,
     /* 1044330 */     GIR_EraseRootFromParent_Done,
     /* 1044331 */   // Label 15442: @1044331
     /* 1044331 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044408), // Rule ID 13655 //
     /* 1044336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044375 */     // MIs[0] policy
     /* 1044375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044407 */     // GIR_Coverage, 13655,
     /* 1044407 */     GIR_EraseRootFromParent_Done,
     /* 1044408 */   // Label 15443: @1044408
     /* 1044408 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044485), // Rule ID 13656 //
     /* 1044413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044452 */     // MIs[0] policy
     /* 1044452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1044465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044484 */     // GIR_Coverage, 13656,
     /* 1044484 */     GIR_EraseRootFromParent_Done,
     /* 1044485 */   // Label 15444: @1044485
     /* 1044485 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044562), // Rule ID 13659 //
     /* 1044490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044529 */     // MIs[0] policy
     /* 1044529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044561 */     // GIR_Coverage, 13659,
     /* 1044561 */     GIR_EraseRootFromParent_Done,
     /* 1044562 */   // Label 15445: @1044562
     /* 1044562 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044639), // Rule ID 13660 //
     /* 1044567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044606 */     // MIs[0] policy
     /* 1044606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1044619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044638 */     // GIR_Coverage, 13660,
     /* 1044638 */     GIR_EraseRootFromParent_Done,
     /* 1044639 */   // Label 15446: @1044639
     /* 1044639 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044716), // Rule ID 13663 //
     /* 1044644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044683 */     // MIs[0] policy
     /* 1044683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1044696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044715 */     // GIR_Coverage, 13663,
     /* 1044715 */     GIR_EraseRootFromParent_Done,
     /* 1044716 */   // Label 15447: @1044716
     /* 1044716 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044793), // Rule ID 13664 //
     /* 1044721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044760 */     // MIs[0] policy
     /* 1044760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1044773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044792 */     // GIR_Coverage, 13664,
     /* 1044792 */     GIR_EraseRootFromParent_Done,
     /* 1044793 */   // Label 15448: @1044793
     /* 1044793 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044870), // Rule ID 13667 //
     /* 1044798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044837 */     // MIs[0] policy
     /* 1044837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044869 */     // GIR_Coverage, 13667,
     /* 1044869 */     GIR_EraseRootFromParent_Done,
     /* 1044870 */   // Label 15449: @1044870
     /* 1044870 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044947), // Rule ID 13668 //
     /* 1044875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044914 */     // MIs[0] policy
     /* 1044914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044946 */     // GIR_Coverage, 13668,
     /* 1044946 */     GIR_EraseRootFromParent_Done,
     /* 1044947 */   // Label 15450: @1044947
     /* 1044947 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1045024), // Rule ID 13671 //
     /* 1044952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1044963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1044966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1044972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044991 */     // MIs[0] policy
     /* 1044991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045023 */     // GIR_Coverage, 13671,
     /* 1045023 */     GIR_EraseRootFromParent_Done,
     /* 1045024 */   // Label 15451: @1045024
     /* 1045024 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1045101), // Rule ID 13672 //
     /* 1045029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045068 */     // MIs[0] policy
     /* 1045068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045100 */     // GIR_Coverage, 13672,
     /* 1045100 */     GIR_EraseRootFromParent_Done,
     /* 1045101 */   // Label 15452: @1045101
     /* 1045101 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1045178), // Rule ID 13675 //
     /* 1045106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045145 */     // MIs[0] policy
     /* 1045145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045177 */     // GIR_Coverage, 13675,
     /* 1045177 */     GIR_EraseRootFromParent_Done,
     /* 1045178 */   // Label 15453: @1045178
     /* 1045178 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1045255), // Rule ID 13676 //
     /* 1045183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045222 */     // MIs[0] policy
     /* 1045222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045254 */     // GIR_Coverage, 13676,
     /* 1045254 */     GIR_EraseRootFromParent_Done,
     /* 1045255 */   // Label 15454: @1045255
     /* 1045255 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045332), // Rule ID 13679 //
     /* 1045260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045299 */     // MIs[0] policy
     /* 1045299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045331 */     // GIR_Coverage, 13679,
     /* 1045331 */     GIR_EraseRootFromParent_Done,
     /* 1045332 */   // Label 15455: @1045332
     /* 1045332 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045409), // Rule ID 13680 //
     /* 1045337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045376 */     // MIs[0] policy
     /* 1045376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045408 */     // GIR_Coverage, 13680,
     /* 1045408 */     GIR_EraseRootFromParent_Done,
     /* 1045409 */   // Label 15456: @1045409
     /* 1045409 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045486), // Rule ID 13683 //
     /* 1045414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045453 */     // MIs[0] policy
     /* 1045453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045463 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045485 */     // GIR_Coverage, 13683,
     /* 1045485 */     GIR_EraseRootFromParent_Done,
     /* 1045486 */   // Label 15457: @1045486
     /* 1045486 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045563), // Rule ID 13684 //
     /* 1045491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045530 */     // MIs[0] policy
     /* 1045530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045562 */     // GIR_Coverage, 13684,
     /* 1045562 */     GIR_EraseRootFromParent_Done,
     /* 1045563 */   // Label 15458: @1045563
     /* 1045563 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045640), // Rule ID 13687 //
     /* 1045568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045607 */     // MIs[0] policy
     /* 1045607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045639 */     // GIR_Coverage, 13687,
     /* 1045639 */     GIR_EraseRootFromParent_Done,
     /* 1045640 */   // Label 15459: @1045640
     /* 1045640 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045717), // Rule ID 13688 //
     /* 1045645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045684 */     // MIs[0] policy
     /* 1045684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1045697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045716 */     // GIR_Coverage, 13688,
     /* 1045716 */     GIR_EraseRootFromParent_Done,
     /* 1045717 */   // Label 15460: @1045717
     /* 1045717 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045794), // Rule ID 13691 //
     /* 1045722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045761 */     // MIs[0] policy
     /* 1045761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045793 */     // GIR_Coverage, 13691,
     /* 1045793 */     GIR_EraseRootFromParent_Done,
     /* 1045794 */   // Label 15461: @1045794
     /* 1045794 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045871), // Rule ID 13692 //
     /* 1045799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045838 */     // MIs[0] policy
     /* 1045838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045870 */     // GIR_Coverage, 13692,
     /* 1045870 */     GIR_EraseRootFromParent_Done,
     /* 1045871 */   // Label 15462: @1045871
     /* 1045871 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1045948), // Rule ID 13695 //
     /* 1045876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1045896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045915 */     // MIs[0] policy
     /* 1045915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045947 */     // GIR_Coverage, 13695,
     /* 1045947 */     GIR_EraseRootFromParent_Done,
     /* 1045948 */   // Label 15463: @1045948
     /* 1045948 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1046025), // Rule ID 13696 //
     /* 1045953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1045973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045992 */     // MIs[0] policy
     /* 1045992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046024 */     // GIR_Coverage, 13696,
     /* 1046024 */     GIR_EraseRootFromParent_Done,
     /* 1046025 */   // Label 15464: @1046025
     /* 1046025 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1046102), // Rule ID 13699 //
     /* 1046030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046069 */     // MIs[0] policy
     /* 1046069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046101 */     // GIR_Coverage, 13699,
     /* 1046101 */     GIR_EraseRootFromParent_Done,
     /* 1046102 */   // Label 15465: @1046102
     /* 1046102 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1046179), // Rule ID 13700 //
     /* 1046107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046146 */     // MIs[0] policy
     /* 1046146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046178 */     // GIR_Coverage, 13700,
     /* 1046178 */     GIR_EraseRootFromParent_Done,
     /* 1046179 */   // Label 15466: @1046179
     /* 1046179 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046256), // Rule ID 13703 //
     /* 1046184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046223 */     // MIs[0] policy
     /* 1046223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046255 */     // GIR_Coverage, 13703,
     /* 1046255 */     GIR_EraseRootFromParent_Done,
     /* 1046256 */   // Label 15467: @1046256
     /* 1046256 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046333), // Rule ID 13704 //
     /* 1046261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046300 */     // MIs[0] policy
     /* 1046300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046332 */     // GIR_Coverage, 13704,
     /* 1046332 */     GIR_EraseRootFromParent_Done,
     /* 1046333 */   // Label 15468: @1046333
     /* 1046333 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046410), // Rule ID 13707 //
     /* 1046338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046377 */     // MIs[0] policy
     /* 1046377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046409 */     // GIR_Coverage, 13707,
     /* 1046409 */     GIR_EraseRootFromParent_Done,
     /* 1046410 */   // Label 15469: @1046410
     /* 1046410 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046487), // Rule ID 13708 //
     /* 1046415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046454 */     // MIs[0] policy
     /* 1046454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1046467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046486 */     // GIR_Coverage, 13708,
     /* 1046486 */     GIR_EraseRootFromParent_Done,
     /* 1046487 */   // Label 15470: @1046487
     /* 1046487 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046564), // Rule ID 13711 //
     /* 1046492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046531 */     // MIs[0] policy
     /* 1046531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046563 */     // GIR_Coverage, 13711,
     /* 1046563 */     GIR_EraseRootFromParent_Done,
     /* 1046564 */   // Label 15471: @1046564
     /* 1046564 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046641), // Rule ID 13712 //
     /* 1046569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046608 */     // MIs[0] policy
     /* 1046608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1046621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046640 */     // GIR_Coverage, 13712,
     /* 1046640 */     GIR_EraseRootFromParent_Done,
     /* 1046641 */   // Label 15472: @1046641
     /* 1046641 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046718), // Rule ID 13715 //
     /* 1046646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046685 */     // MIs[0] policy
     /* 1046685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046695 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046717 */     // GIR_Coverage, 13715,
     /* 1046717 */     GIR_EraseRootFromParent_Done,
     /* 1046718 */   // Label 15473: @1046718
     /* 1046718 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046795), // Rule ID 13716 //
     /* 1046723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046762 */     // MIs[0] policy
     /* 1046762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1046775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046794 */     // GIR_Coverage, 13716,
     /* 1046794 */     GIR_EraseRootFromParent_Done,
     /* 1046795 */   // Label 15474: @1046795
     /* 1046795 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046872), // Rule ID 13719 //
     /* 1046800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046839 */     // MIs[0] policy
     /* 1046839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046871 */     // GIR_Coverage, 13719,
     /* 1046871 */     GIR_EraseRootFromParent_Done,
     /* 1046872 */   // Label 15475: @1046872
     /* 1046872 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1046949), // Rule ID 13720 //
     /* 1046877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1046885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046916 */     // MIs[0] policy
     /* 1046916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1046929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046948 */     // GIR_Coverage, 13720,
     /* 1046948 */     GIR_EraseRootFromParent_Done,
     /* 1046949 */   // Label 15476: @1046949
     /* 1046949 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1047026), // Rule ID 18933 //
     /* 1046954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1046957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1046965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1046968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1046971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1046974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046993 */     // MIs[0] policy
     /* 1046993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047025 */     // GIR_Coverage, 18933,
     /* 1047025 */     GIR_EraseRootFromParent_Done,
     /* 1047026 */   // Label 15477: @1047026
     /* 1047026 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1047103), // Rule ID 18934 //
     /* 1047031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047070 */     // MIs[0] policy
     /* 1047070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047080 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1047083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047102 */     // GIR_Coverage, 18934,
     /* 1047102 */     GIR_EraseRootFromParent_Done,
     /* 1047103 */   // Label 15478: @1047103
     /* 1047103 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1047180), // Rule ID 18937 //
     /* 1047108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047147 */     // MIs[0] policy
     /* 1047147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047157 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047179 */     // GIR_Coverage, 18937,
     /* 1047179 */     GIR_EraseRootFromParent_Done,
     /* 1047180 */   // Label 15479: @1047180
     /* 1047180 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047257), // Rule ID 18938 //
     /* 1047185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047224 */     // MIs[0] policy
     /* 1047224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047234 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1047237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047256 */     // GIR_Coverage, 18938,
     /* 1047256 */     GIR_EraseRootFromParent_Done,
     /* 1047257 */   // Label 15480: @1047257
     /* 1047257 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047334), // Rule ID 18941 //
     /* 1047262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047301 */     // MIs[0] policy
     /* 1047301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047333 */     // GIR_Coverage, 18941,
     /* 1047333 */     GIR_EraseRootFromParent_Done,
     /* 1047334 */   // Label 15481: @1047334
     /* 1047334 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047411), // Rule ID 18942 //
     /* 1047339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1047356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047378 */     // MIs[0] policy
     /* 1047378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1047391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047410 */     // GIR_Coverage, 18942,
     /* 1047410 */     GIR_EraseRootFromParent_Done,
     /* 1047411 */   // Label 15482: @1047411
     /* 1047411 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047488), // Rule ID 18945 //
     /* 1047416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047455 */     // MIs[0] policy
     /* 1047455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047487 */     // GIR_Coverage, 18945,
     /* 1047487 */     GIR_EraseRootFromParent_Done,
     /* 1047488 */   // Label 15483: @1047488
     /* 1047488 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047565), // Rule ID 18946 //
     /* 1047493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047532 */     // MIs[0] policy
     /* 1047532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1047545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047564 */     // GIR_Coverage, 18946,
     /* 1047564 */     GIR_EraseRootFromParent_Done,
     /* 1047565 */   // Label 15484: @1047565
     /* 1047565 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047642), // Rule ID 18949 //
     /* 1047570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1047573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1047587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047609 */     // MIs[0] policy
     /* 1047609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047619 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1047622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047641 */     // GIR_Coverage, 18949,
     /* 1047641 */     GIR_EraseRootFromParent_Done,
     /* 1047642 */   // Label 15485: @1047642
     /* 1047642 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047719), // Rule ID 18950 //
     /* 1047647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1047650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1047664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047686 */     // MIs[0] policy
     /* 1047686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1047699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047718 */     // GIR_Coverage, 18950,
     /* 1047718 */     GIR_EraseRootFromParent_Done,
     /* 1047719 */   // Label 15486: @1047719
     /* 1047719 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047796), // Rule ID 18953 //
     /* 1047724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1047741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047763 */     // MIs[0] policy
     /* 1047763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1047776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047795 */     // GIR_Coverage, 18953,
     /* 1047795 */     GIR_EraseRootFromParent_Done,
     /* 1047796 */   // Label 15487: @1047796
     /* 1047796 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047873), // Rule ID 18954 //
     /* 1047801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1047818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047840 */     // MIs[0] policy
     /* 1047840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047850 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1047853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047872 */     // GIR_Coverage, 18954,
     /* 1047872 */     GIR_EraseRootFromParent_Done,
     /* 1047873 */   // Label 15488: @1047873
     /* 1047873 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1047950), // Rule ID 18957 //
     /* 1047878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1047881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1047895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047917 */     // MIs[0] policy
     /* 1047917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047927 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1047930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047949 */     // GIR_Coverage, 18957,
     /* 1047949 */     GIR_EraseRootFromParent_Done,
     /* 1047950 */   // Label 15489: @1047950
     /* 1047950 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1048027), // Rule ID 18958 //
     /* 1047955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1047958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1047972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047994 */     // MIs[0] policy
     /* 1047994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048004 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1048007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048026 */     // GIR_Coverage, 18958,
     /* 1048026 */     GIR_EraseRootFromParent_Done,
     /* 1048027 */   // Label 15490: @1048027
     /* 1048027 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1048104), // Rule ID 18961 //
     /* 1048032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1048035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048071 */     // MIs[0] policy
     /* 1048071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048081 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048103 */     // GIR_Coverage, 18961,
     /* 1048103 */     GIR_EraseRootFromParent_Done,
     /* 1048104 */   // Label 15491: @1048104
     /* 1048104 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1048181), // Rule ID 18962 //
     /* 1048109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1048112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048148 */     // MIs[0] policy
     /* 1048148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1048161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048180 */     // GIR_Coverage, 18962,
     /* 1048180 */     GIR_EraseRootFromParent_Done,
     /* 1048181 */   // Label 15492: @1048181
     /* 1048181 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048258), // Rule ID 18965 //
     /* 1048186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048225 */     // MIs[0] policy
     /* 1048225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048257 */     // GIR_Coverage, 18965,
     /* 1048257 */     GIR_EraseRootFromParent_Done,
     /* 1048258 */   // Label 15493: @1048258
     /* 1048258 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048335), // Rule ID 18966 //
     /* 1048263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1048280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048302 */     // MIs[0] policy
     /* 1048302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048312 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1048315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048334 */     // GIR_Coverage, 18966,
     /* 1048334 */     GIR_EraseRootFromParent_Done,
     /* 1048335 */   // Label 15494: @1048335
     /* 1048335 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048412), // Rule ID 18969 //
     /* 1048340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048379 */     // MIs[0] policy
     /* 1048379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048389 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048411 */     // GIR_Coverage, 18969,
     /* 1048411 */     GIR_EraseRootFromParent_Done,
     /* 1048412 */   // Label 15495: @1048412
     /* 1048412 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048489), // Rule ID 18970 //
     /* 1048417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1048434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048456 */     // MIs[0] policy
     /* 1048456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048466 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1048469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048488 */     // GIR_Coverage, 18970,
     /* 1048488 */     GIR_EraseRootFromParent_Done,
     /* 1048489 */   // Label 15496: @1048489
     /* 1048489 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048566), // Rule ID 18973 //
     /* 1048494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1048497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048533 */     // MIs[0] policy
     /* 1048533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048543 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048565 */     // GIR_Coverage, 18973,
     /* 1048565 */     GIR_EraseRootFromParent_Done,
     /* 1048566 */   // Label 15497: @1048566
     /* 1048566 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048643), // Rule ID 18974 //
     /* 1048571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1048574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1048588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048610 */     // MIs[0] policy
     /* 1048610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048620 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1048623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048642 */     // GIR_Coverage, 18974,
     /* 1048642 */     GIR_EraseRootFromParent_Done,
     /* 1048643 */   // Label 15498: @1048643
     /* 1048643 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048720), // Rule ID 18977 //
     /* 1048648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1048665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048687 */     // MIs[0] policy
     /* 1048687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048697 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1048700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048719 */     // GIR_Coverage, 18977,
     /* 1048719 */     GIR_EraseRootFromParent_Done,
     /* 1048720 */   // Label 15499: @1048720
     /* 1048720 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048797), // Rule ID 18978 //
     /* 1048725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1048742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048764 */     // MIs[0] policy
     /* 1048764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048774 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1048777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048796 */     // GIR_Coverage, 18978,
     /* 1048796 */     GIR_EraseRootFromParent_Done,
     /* 1048797 */   // Label 15500: @1048797
     /* 1048797 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048874), // Rule ID 18981 //
     /* 1048802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1048813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1048816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1048819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048841 */     // MIs[0] policy
     /* 1048841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048851 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1048854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048873 */     // GIR_Coverage, 18981,
     /* 1048873 */     GIR_EraseRootFromParent_Done,
     /* 1048874 */   // Label 15501: @1048874
     /* 1048874 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1048951), // Rule ID 18982 //
     /* 1048879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1048882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1048890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1048893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1048896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048918 */     // MIs[0] policy
     /* 1048918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048928 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1048931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048950 */     // GIR_Coverage, 18982,
     /* 1048950 */     GIR_EraseRootFromParent_Done,
     /* 1048951 */   // Label 15502: @1048951
     /* 1048951 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1049028), // Rule ID 18985 //
     /* 1048956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1048959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1048964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1048967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1048970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1048973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048995 */     // MIs[0] policy
     /* 1048995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049027 */     // GIR_Coverage, 18985,
     /* 1049027 */     GIR_EraseRootFromParent_Done,
     /* 1049028 */   // Label 15503: @1049028
     /* 1049028 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1049105), // Rule ID 18986 //
     /* 1049033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1049036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1049041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049072 */     // MIs[0] policy
     /* 1049072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049082 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1049085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049104 */     // GIR_Coverage, 18986,
     /* 1049104 */     GIR_EraseRootFromParent_Done,
     /* 1049105 */   // Label 15504: @1049105
     /* 1049105 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1049182), // Rule ID 20369 //
     /* 1049110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049149 */     // MIs[0] policy
     /* 1049149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049181 */     // GIR_Coverage, 20369,
     /* 1049181 */     GIR_EraseRootFromParent_Done,
     /* 1049182 */   // Label 15505: @1049182
     /* 1049182 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049259), // Rule ID 20370 //
     /* 1049187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1049204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049226 */     // MIs[0] policy
     /* 1049226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049258 */     // GIR_Coverage, 20370,
     /* 1049258 */     GIR_EraseRootFromParent_Done,
     /* 1049259 */   // Label 15506: @1049259
     /* 1049259 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049336), // Rule ID 20373 //
     /* 1049264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049303 */     // MIs[0] policy
     /* 1049303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049335 */     // GIR_Coverage, 20373,
     /* 1049335 */     GIR_EraseRootFromParent_Done,
     /* 1049336 */   // Label 15507: @1049336
     /* 1049336 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049413), // Rule ID 20374 //
     /* 1049341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1049358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049380 */     // MIs[0] policy
     /* 1049380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1049393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049412 */     // GIR_Coverage, 20374,
     /* 1049412 */     GIR_EraseRootFromParent_Done,
     /* 1049413 */   // Label 15508: @1049413
     /* 1049413 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049490), // Rule ID 20377 //
     /* 1049418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049457 */     // MIs[0] policy
     /* 1049457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049489 */     // GIR_Coverage, 20377,
     /* 1049489 */     GIR_EraseRootFromParent_Done,
     /* 1049490 */   // Label 15509: @1049490
     /* 1049490 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049567), // Rule ID 20378 //
     /* 1049495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1049512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049534 */     // MIs[0] policy
     /* 1049534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049566 */     // GIR_Coverage, 20378,
     /* 1049566 */     GIR_EraseRootFromParent_Done,
     /* 1049567 */   // Label 15510: @1049567
     /* 1049567 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049644), // Rule ID 20381 //
     /* 1049572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1049589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049611 */     // MIs[0] policy
     /* 1049611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049643 */     // GIR_Coverage, 20381,
     /* 1049643 */     GIR_EraseRootFromParent_Done,
     /* 1049644 */   // Label 15511: @1049644
     /* 1049644 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049721), // Rule ID 20382 //
     /* 1049649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1049666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049688 */     // MIs[0] policy
     /* 1049688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049720 */     // GIR_Coverage, 20382,
     /* 1049720 */     GIR_EraseRootFromParent_Done,
     /* 1049721 */   // Label 15512: @1049721
     /* 1049721 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049798), // Rule ID 20385 //
     /* 1049726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1049743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049765 */     // MIs[0] policy
     /* 1049765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049775 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049797 */     // GIR_Coverage, 20385,
     /* 1049797 */     GIR_EraseRootFromParent_Done,
     /* 1049798 */   // Label 15513: @1049798
     /* 1049798 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049875), // Rule ID 20386 //
     /* 1049803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1049820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1049823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1049830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049842 */     // MIs[0] policy
     /* 1049842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1049855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049874 */     // GIR_Coverage, 20386,
     /* 1049874 */     GIR_EraseRootFromParent_Done,
     /* 1049875 */   // Label 15514: @1049875
     /* 1049875 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1049952), // Rule ID 20389 //
     /* 1049880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1049897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049919 */     // MIs[0] policy
     /* 1049919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049951 */     // GIR_Coverage, 20389,
     /* 1049951 */     GIR_EraseRootFromParent_Done,
     /* 1049952 */   // Label 15515: @1049952
     /* 1049952 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1050029), // Rule ID 20390 //
     /* 1049957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1049974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049996 */     // MIs[0] policy
     /* 1049996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050028 */     // GIR_Coverage, 20390,
     /* 1050028 */     GIR_EraseRootFromParent_Done,
     /* 1050029 */   // Label 15516: @1050029
     /* 1050029 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1050106), // Rule ID 20393 //
     /* 1050034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050073 */     // MIs[0] policy
     /* 1050073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050105 */     // GIR_Coverage, 20393,
     /* 1050105 */     GIR_EraseRootFromParent_Done,
     /* 1050106 */   // Label 15517: @1050106
     /* 1050106 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1050183), // Rule ID 20394 //
     /* 1050111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050150 */     // MIs[0] policy
     /* 1050150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050182 */     // GIR_Coverage, 20394,
     /* 1050182 */     GIR_EraseRootFromParent_Done,
     /* 1050183 */   // Label 15518: @1050183
     /* 1050183 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050260), // Rule ID 20397 //
     /* 1050188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050227 */     // MIs[0] policy
     /* 1050227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050259 */     // GIR_Coverage, 20397,
     /* 1050259 */     GIR_EraseRootFromParent_Done,
     /* 1050260 */   // Label 15519: @1050260
     /* 1050260 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050337), // Rule ID 20398 //
     /* 1050265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1050282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1050285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050304 */     // MIs[0] policy
     /* 1050304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050336 */     // GIR_Coverage, 20398,
     /* 1050336 */     GIR_EraseRootFromParent_Done,
     /* 1050337 */   // Label 15520: @1050337
     /* 1050337 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050414), // Rule ID 20401 //
     /* 1050342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050381 */     // MIs[0] policy
     /* 1050381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050413 */     // GIR_Coverage, 20401,
     /* 1050413 */     GIR_EraseRootFromParent_Done,
     /* 1050414 */   // Label 15521: @1050414
     /* 1050414 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050491), // Rule ID 20402 //
     /* 1050419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1050436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050458 */     // MIs[0] policy
     /* 1050458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050490 */     // GIR_Coverage, 20402,
     /* 1050490 */     GIR_EraseRootFromParent_Done,
     /* 1050491 */   // Label 15522: @1050491
     /* 1050491 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050568), // Rule ID 20405 //
     /* 1050496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050535 */     // MIs[0] policy
     /* 1050535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050567 */     // GIR_Coverage, 20405,
     /* 1050567 */     GIR_EraseRootFromParent_Done,
     /* 1050568 */   // Label 15523: @1050568
     /* 1050568 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050645), // Rule ID 20406 //
     /* 1050573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1050590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050612 */     // MIs[0] policy
     /* 1050612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1050625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050644 */     // GIR_Coverage, 20406,
     /* 1050644 */     GIR_EraseRootFromParent_Done,
     /* 1050645 */   // Label 15524: @1050645
     /* 1050645 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050722), // Rule ID 20409 //
     /* 1050650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1050667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050689 */     // MIs[0] policy
     /* 1050689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050721 */     // GIR_Coverage, 20409,
     /* 1050721 */     GIR_EraseRootFromParent_Done,
     /* 1050722 */   // Label 15525: @1050722
     /* 1050722 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050799), // Rule ID 20410 //
     /* 1050727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1050744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050766 */     // MIs[0] policy
     /* 1050766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050798 */     // GIR_Coverage, 20410,
     /* 1050798 */     GIR_EraseRootFromParent_Done,
     /* 1050799 */   // Label 15526: @1050799
     /* 1050799 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050876), // Rule ID 20413 //
     /* 1050804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1050821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050843 */     // MIs[0] policy
     /* 1050843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050875 */     // GIR_Coverage, 20413,
     /* 1050875 */     GIR_EraseRootFromParent_Done,
     /* 1050876 */   // Label 15527: @1050876
     /* 1050876 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1050953), // Rule ID 20414 //
     /* 1050881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1050898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050920 */     // MIs[0] policy
     /* 1050920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1050933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050952 */     // GIR_Coverage, 20414,
     /* 1050952 */     GIR_EraseRootFromParent_Done,
     /* 1050953 */   // Label 15528: @1050953
     /* 1050953 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1051030), // Rule ID 20417 //
     /* 1050958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1050969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1050972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1050975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050997 */     // MIs[0] policy
     /* 1050997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051029 */     // GIR_Coverage, 20417,
     /* 1051029 */     GIR_EraseRootFromParent_Done,
     /* 1051030 */   // Label 15529: @1051030
     /* 1051030 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1051107), // Rule ID 20418 //
     /* 1051035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1051052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051074 */     // MIs[0] policy
     /* 1051074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1051087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051106 */     // GIR_Coverage, 20418,
     /* 1051106 */     GIR_EraseRootFromParent_Done,
     /* 1051107 */   // Label 15530: @1051107
     /* 1051107 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1051184), // Rule ID 20421 //
     /* 1051112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051151 */     // MIs[0] policy
     /* 1051151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051183 */     // GIR_Coverage, 20421,
     /* 1051183 */     GIR_EraseRootFromParent_Done,
     /* 1051184 */   // Label 15531: @1051184
     /* 1051184 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051261), // Rule ID 20422 //
     /* 1051189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1051192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1051197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1051206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051228 */     // MIs[0] policy
     /* 1051228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1051241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051260 */     // GIR_Coverage, 20422,
     /* 1051260 */     GIR_EraseRootFromParent_Done,
     /* 1051261 */   // Label 15532: @1051261
     /* 1051261 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051338), // Rule ID 20747 //
     /* 1051266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051305 */     // MIs[0] policy
     /* 1051305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051337 */     // GIR_Coverage, 20747,
     /* 1051337 */     GIR_EraseRootFromParent_Done,
     /* 1051338 */   // Label 15533: @1051338
     /* 1051338 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051415), // Rule ID 20748 //
     /* 1051343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1051354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1051357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051382 */     // MIs[0] policy
     /* 1051382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1051395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051414 */     // GIR_Coverage, 20748,
     /* 1051414 */     GIR_EraseRootFromParent_Done,
     /* 1051415 */   // Label 15534: @1051415
     /* 1051415 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051492), // Rule ID 20751 //
     /* 1051420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051459 */     // MIs[0] policy
     /* 1051459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051491 */     // GIR_Coverage, 20751,
     /* 1051491 */     GIR_EraseRootFromParent_Done,
     /* 1051492 */   // Label 15535: @1051492
     /* 1051492 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051569), // Rule ID 20752 //
     /* 1051497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051536 */     // MIs[0] policy
     /* 1051536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051568 */     // GIR_Coverage, 20752,
     /* 1051568 */     GIR_EraseRootFromParent_Done,
     /* 1051569 */   // Label 15536: @1051569
     /* 1051569 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051646), // Rule ID 20755 //
     /* 1051574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051613 */     // MIs[0] policy
     /* 1051613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051645 */     // GIR_Coverage, 20755,
     /* 1051645 */     GIR_EraseRootFromParent_Done,
     /* 1051646 */   // Label 15537: @1051646
     /* 1051646 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051723), // Rule ID 20756 //
     /* 1051651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051690 */     // MIs[0] policy
     /* 1051690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1051703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051722 */     // GIR_Coverage, 20756,
     /* 1051722 */     GIR_EraseRootFromParent_Done,
     /* 1051723 */   // Label 15538: @1051723
     /* 1051723 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051800), // Rule ID 20759 //
     /* 1051728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051767 */     // MIs[0] policy
     /* 1051767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051799 */     // GIR_Coverage, 20759,
     /* 1051799 */     GIR_EraseRootFromParent_Done,
     /* 1051800 */   // Label 15539: @1051800
     /* 1051800 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051877), // Rule ID 20760 //
     /* 1051805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051844 */     // MIs[0] policy
     /* 1051844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051876 */     // GIR_Coverage, 20760,
     /* 1051876 */     GIR_EraseRootFromParent_Done,
     /* 1051877 */   // Label 15540: @1051877
     /* 1051877 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1051954), // Rule ID 20763 //
     /* 1051882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051921 */     // MIs[0] policy
     /* 1051921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051953 */     // GIR_Coverage, 20763,
     /* 1051953 */     GIR_EraseRootFromParent_Done,
     /* 1051954 */   // Label 15541: @1051954
     /* 1051954 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1052031), // Rule ID 20764 //
     /* 1051959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051998 */     // MIs[0] policy
     /* 1051998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052030 */     // GIR_Coverage, 20764,
     /* 1052030 */     GIR_EraseRootFromParent_Done,
     /* 1052031 */   // Label 15542: @1052031
     /* 1052031 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1052108), // Rule ID 20767 //
     /* 1052036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052075 */     // MIs[0] policy
     /* 1052075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052085 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052107 */     // GIR_Coverage, 20767,
     /* 1052107 */     GIR_EraseRootFromParent_Done,
     /* 1052108 */   // Label 15543: @1052108
     /* 1052108 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1052185), // Rule ID 20768 //
     /* 1052113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052152 */     // MIs[0] policy
     /* 1052152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1052165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052184 */     // GIR_Coverage, 20768,
     /* 1052184 */     GIR_EraseRootFromParent_Done,
     /* 1052185 */   // Label 15544: @1052185
     /* 1052185 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052262), // Rule ID 20771 //
     /* 1052190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052229 */     // MIs[0] policy
     /* 1052229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052261 */     // GIR_Coverage, 20771,
     /* 1052261 */     GIR_EraseRootFromParent_Done,
     /* 1052262 */   // Label 15545: @1052262
     /* 1052262 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052339), // Rule ID 20772 //
     /* 1052267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052306 */     // MIs[0] policy
     /* 1052306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052338 */     // GIR_Coverage, 20772,
     /* 1052338 */     GIR_EraseRootFromParent_Done,
     /* 1052339 */   // Label 15546: @1052339
     /* 1052339 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052416), // Rule ID 20775 //
     /* 1052344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052383 */     // MIs[0] policy
     /* 1052383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052415 */     // GIR_Coverage, 20775,
     /* 1052415 */     GIR_EraseRootFromParent_Done,
     /* 1052416 */   // Label 15547: @1052416
     /* 1052416 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052493), // Rule ID 20776 //
     /* 1052421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052460 */     // MIs[0] policy
     /* 1052460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052492 */     // GIR_Coverage, 20776,
     /* 1052492 */     GIR_EraseRootFromParent_Done,
     /* 1052493 */   // Label 15548: @1052493
     /* 1052493 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052570), // Rule ID 20779 //
     /* 1052498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052537 */     // MIs[0] policy
     /* 1052537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052569 */     // GIR_Coverage, 20779,
     /* 1052569 */     GIR_EraseRootFromParent_Done,
     /* 1052570 */   // Label 15549: @1052570
     /* 1052570 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052647), // Rule ID 20780 //
     /* 1052575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052614 */     // MIs[0] policy
     /* 1052614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052646 */     // GIR_Coverage, 20780,
     /* 1052646 */     GIR_EraseRootFromParent_Done,
     /* 1052647 */   // Label 15550: @1052647
     /* 1052647 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052724), // Rule ID 20783 //
     /* 1052652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052691 */     // MIs[0] policy
     /* 1052691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052723 */     // GIR_Coverage, 20783,
     /* 1052723 */     GIR_EraseRootFromParent_Done,
     /* 1052724 */   // Label 15551: @1052724
     /* 1052724 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052801), // Rule ID 20784 //
     /* 1052729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052768 */     // MIs[0] policy
     /* 1052768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052800 */     // GIR_Coverage, 20784,
     /* 1052800 */     GIR_EraseRootFromParent_Done,
     /* 1052801 */   // Label 15552: @1052801
     /* 1052801 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052878), // Rule ID 20787 //
     /* 1052806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052845 */     // MIs[0] policy
     /* 1052845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052877 */     // GIR_Coverage, 20787,
     /* 1052877 */     GIR_EraseRootFromParent_Done,
     /* 1052878 */   // Label 15553: @1052878
     /* 1052878 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1052955), // Rule ID 20788 //
     /* 1052883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052922 */     // MIs[0] policy
     /* 1052922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052954 */     // GIR_Coverage, 20788,
     /* 1052954 */     GIR_EraseRootFromParent_Done,
     /* 1052955 */   // Label 15554: @1052955
     /* 1052955 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1053032), // Rule ID 20791 //
     /* 1052960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1052971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1052974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1052977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052999 */     // MIs[0] policy
     /* 1052999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053031 */     // GIR_Coverage, 20791,
     /* 1053031 */     GIR_EraseRootFromParent_Done,
     /* 1053032 */   // Label 15555: @1053032
     /* 1053032 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1053109), // Rule ID 20792 //
     /* 1053037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053076 */     // MIs[0] policy
     /* 1053076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053108 */     // GIR_Coverage, 20792,
     /* 1053108 */     GIR_EraseRootFromParent_Done,
     /* 1053109 */   // Label 15556: @1053109
     /* 1053109 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1053186), // Rule ID 20795 //
     /* 1053114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053153 */     // MIs[0] policy
     /* 1053153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053185 */     // GIR_Coverage, 20795,
     /* 1053185 */     GIR_EraseRootFromParent_Done,
     /* 1053186 */   // Label 15557: @1053186
     /* 1053186 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053263), // Rule ID 20796 //
     /* 1053191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053230 */     // MIs[0] policy
     /* 1053230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1053243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053262 */     // GIR_Coverage, 20796,
     /* 1053262 */     GIR_EraseRootFromParent_Done,
     /* 1053263 */   // Label 15558: @1053263
     /* 1053263 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053340), // Rule ID 20799 //
     /* 1053268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053307 */     // MIs[0] policy
     /* 1053307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053339 */     // GIR_Coverage, 20799,
     /* 1053339 */     GIR_EraseRootFromParent_Done,
     /* 1053340 */   // Label 15559: @1053340
     /* 1053340 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053417), // Rule ID 20800 //
     /* 1053345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053384 */     // MIs[0] policy
     /* 1053384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1053397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053416 */     // GIR_Coverage, 20800,
     /* 1053416 */     GIR_EraseRootFromParent_Done,
     /* 1053417 */   // Label 15560: @1053417
     /* 1053417 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053494), // Rule ID 20803 //
     /* 1053422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053461 */     // MIs[0] policy
     /* 1053461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053493 */     // GIR_Coverage, 20803,
     /* 1053493 */     GIR_EraseRootFromParent_Done,
     /* 1053494 */   // Label 15561: @1053494
     /* 1053494 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053571), // Rule ID 20804 //
     /* 1053499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1053507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053538 */     // MIs[0] policy
     /* 1053538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1053551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053570 */     // GIR_Coverage, 20804,
     /* 1053570 */     GIR_EraseRootFromParent_Done,
     /* 1053571 */   // Label 15562: @1053571
     /* 1053571 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053648), // Rule ID 20807 //
     /* 1053576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1053587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1053590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053615 */     // MIs[0] policy
     /* 1053615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1053628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053647 */     // GIR_Coverage, 20807,
     /* 1053647 */     GIR_EraseRootFromParent_Done,
     /* 1053648 */   // Label 15563: @1053648
     /* 1053648 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053725), // Rule ID 20808 //
     /* 1053653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1053664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1053667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053692 */     // MIs[0] policy
     /* 1053692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1053705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053724 */     // GIR_Coverage, 20808,
     /* 1053724 */     GIR_EraseRootFromParent_Done,
     /* 1053725 */   // Label 15564: @1053725
     /* 1053725 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053802), // Rule ID 20811 //
     /* 1053730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053769 */     // MIs[0] policy
     /* 1053769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053801 */     // GIR_Coverage, 20811,
     /* 1053801 */     GIR_EraseRootFromParent_Done,
     /* 1053802 */   // Label 15565: @1053802
     /* 1053802 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053879), // Rule ID 20812 //
     /* 1053807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053846 */     // MIs[0] policy
     /* 1053846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053878 */     // GIR_Coverage, 20812,
     /* 1053878 */     GIR_EraseRootFromParent_Done,
     /* 1053879 */   // Label 15566: @1053879
     /* 1053879 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1053956), // Rule ID 20815 //
     /* 1053884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1053901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053923 */     // MIs[0] policy
     /* 1053923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1053936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053955 */     // GIR_Coverage, 20815,
     /* 1053955 */     GIR_EraseRootFromParent_Done,
     /* 1053956 */   // Label 15567: @1053956
     /* 1053956 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1054033), // Rule ID 20816 //
     /* 1053961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1053978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054000 */     // MIs[0] policy
     /* 1054000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1054013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054032 */     // GIR_Coverage, 20816,
     /* 1054032 */     GIR_EraseRootFromParent_Done,
     /* 1054033 */   // Label 15568: @1054033
     /* 1054033 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1054110), // Rule ID 20819 //
     /* 1054038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054077 */     // MIs[0] policy
     /* 1054077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054109 */     // GIR_Coverage, 20819,
     /* 1054109 */     GIR_EraseRootFromParent_Done,
     /* 1054110 */   // Label 15569: @1054110
     /* 1054110 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1054187), // Rule ID 20820 //
     /* 1054115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054154 */     // MIs[0] policy
     /* 1054154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054186 */     // GIR_Coverage, 20820,
     /* 1054186 */     GIR_EraseRootFromParent_Done,
     /* 1054187 */   // Label 15570: @1054187
     /* 1054187 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054264), // Rule ID 20823 //
     /* 1054192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054231 */     // MIs[0] policy
     /* 1054231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054263 */     // GIR_Coverage, 20823,
     /* 1054263 */     GIR_EraseRootFromParent_Done,
     /* 1054264 */   // Label 15571: @1054264
     /* 1054264 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1054341), // Rule ID 20824 //
     /* 1054269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054308 */     // MIs[0] policy
     /* 1054308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054340 */     // GIR_Coverage, 20824,
     /* 1054340 */     GIR_EraseRootFromParent_Done,
     /* 1054341 */   // Label 15572: @1054341
     /* 1054341 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054418), // Rule ID 20827 //
     /* 1054346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054385 */     // MIs[0] policy
     /* 1054385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054417 */     // GIR_Coverage, 20827,
     /* 1054417 */     GIR_EraseRootFromParent_Done,
     /* 1054418 */   // Label 15573: @1054418
     /* 1054418 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054495), // Rule ID 20828 //
     /* 1054423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054462 */     // MIs[0] policy
     /* 1054462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1054475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054494 */     // GIR_Coverage, 20828,
     /* 1054494 */     GIR_EraseRootFromParent_Done,
     /* 1054495 */   // Label 15574: @1054495
     /* 1054495 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054572), // Rule ID 20831 //
     /* 1054500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054539 */     // MIs[0] policy
     /* 1054539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054571 */     // GIR_Coverage, 20831,
     /* 1054571 */     GIR_EraseRootFromParent_Done,
     /* 1054572 */   // Label 15575: @1054572
     /* 1054572 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054649), // Rule ID 20832 //
     /* 1054577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054616 */     // MIs[0] policy
     /* 1054616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054648 */     // GIR_Coverage, 20832,
     /* 1054648 */     GIR_EraseRootFromParent_Done,
     /* 1054649 */   // Label 15576: @1054649
     /* 1054649 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054726), // Rule ID 20835 //
     /* 1054654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054693 */     // MIs[0] policy
     /* 1054693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054725 */     // GIR_Coverage, 20835,
     /* 1054725 */     GIR_EraseRootFromParent_Done,
     /* 1054726 */   // Label 15577: @1054726
     /* 1054726 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054803), // Rule ID 20836 //
     /* 1054731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054770 */     // MIs[0] policy
     /* 1054770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054802 */     // GIR_Coverage, 20836,
     /* 1054802 */     GIR_EraseRootFromParent_Done,
     /* 1054803 */   // Label 15578: @1054803
     /* 1054803 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054880), // Rule ID 20839 //
     /* 1054808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054847 */     // MIs[0] policy
     /* 1054847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054879 */     // GIR_Coverage, 20839,
     /* 1054879 */     GIR_EraseRootFromParent_Done,
     /* 1054880 */   // Label 15579: @1054880
     /* 1054880 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1054957), // Rule ID 20840 //
     /* 1054885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054924 */     // MIs[0] policy
     /* 1054924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054956 */     // GIR_Coverage, 20840,
     /* 1054956 */     GIR_EraseRootFromParent_Done,
     /* 1054957 */   // Label 15580: @1054957
     /* 1054957 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1055034), // Rule ID 20843 //
     /* 1054962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1054979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055001 */     // MIs[0] policy
     /* 1055001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055033 */     // GIR_Coverage, 20843,
     /* 1055033 */     GIR_EraseRootFromParent_Done,
     /* 1055034 */   // Label 15581: @1055034
     /* 1055034 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1055111), // Rule ID 20844 //
     /* 1055039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055078 */     // MIs[0] policy
     /* 1055078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055110 */     // GIR_Coverage, 20844,
     /* 1055110 */     GIR_EraseRootFromParent_Done,
     /* 1055111 */   // Label 15582: @1055111
     /* 1055111 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1055188), // Rule ID 20847 //
     /* 1055116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055155 */     // MIs[0] policy
     /* 1055155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055165 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055187 */     // GIR_Coverage, 20847,
     /* 1055187 */     GIR_EraseRootFromParent_Done,
     /* 1055188 */   // Label 15583: @1055188
     /* 1055188 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055265), // Rule ID 20848 //
     /* 1055193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055232 */     // MIs[0] policy
     /* 1055232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055264 */     // GIR_Coverage, 20848,
     /* 1055264 */     GIR_EraseRootFromParent_Done,
     /* 1055265 */   // Label 15584: @1055265
     /* 1055265 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1055342), // Rule ID 20851 //
     /* 1055270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055309 */     // MIs[0] policy
     /* 1055309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055341 */     // GIR_Coverage, 20851,
     /* 1055341 */     GIR_EraseRootFromParent_Done,
     /* 1055342 */   // Label 15585: @1055342
     /* 1055342 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055419), // Rule ID 20852 //
     /* 1055347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055386 */     // MIs[0] policy
     /* 1055386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055418 */     // GIR_Coverage, 20852,
     /* 1055418 */     GIR_EraseRootFromParent_Done,
     /* 1055419 */   // Label 15586: @1055419
     /* 1055419 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055496), // Rule ID 20855 //
     /* 1055424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055463 */     // MIs[0] policy
     /* 1055463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055495 */     // GIR_Coverage, 20855,
     /* 1055495 */     GIR_EraseRootFromParent_Done,
     /* 1055496 */   // Label 15587: @1055496
     /* 1055496 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055573), // Rule ID 20856 //
     /* 1055501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055540 */     // MIs[0] policy
     /* 1055540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1055553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055572 */     // GIR_Coverage, 20856,
     /* 1055572 */     GIR_EraseRootFromParent_Done,
     /* 1055573 */   // Label 15588: @1055573
     /* 1055573 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055650), // Rule ID 20859 //
     /* 1055578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055617 */     // MIs[0] policy
     /* 1055617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055649 */     // GIR_Coverage, 20859,
     /* 1055649 */     GIR_EraseRootFromParent_Done,
     /* 1055650 */   // Label 15589: @1055650
     /* 1055650 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055727), // Rule ID 20860 //
     /* 1055655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055694 */     // MIs[0] policy
     /* 1055694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1055707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055726 */     // GIR_Coverage, 20860,
     /* 1055726 */     GIR_EraseRootFromParent_Done,
     /* 1055727 */   // Label 15590: @1055727
     /* 1055727 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055804), // Rule ID 20863 //
     /* 1055732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055771 */     // MIs[0] policy
     /* 1055771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055803 */     // GIR_Coverage, 20863,
     /* 1055803 */     GIR_EraseRootFromParent_Done,
     /* 1055804 */   // Label 15591: @1055804
     /* 1055804 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055881), // Rule ID 20864 //
     /* 1055809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1055817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055848 */     // MIs[0] policy
     /* 1055848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1055861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055880 */     // GIR_Coverage, 20864,
     /* 1055880 */     GIR_EraseRootFromParent_Done,
     /* 1055881 */   // Label 15592: @1055881
     /* 1055881 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1055958), // Rule ID 21131 //
     /* 1055886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055925 */     // MIs[0] policy
     /* 1055925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055935 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1055938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055957 */     // GIR_Coverage, 21131,
     /* 1055957 */     GIR_EraseRootFromParent_Done,
     /* 1055958 */   // Label 15593: @1055958
     /* 1055958 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1056035), // Rule ID 21132 //
     /* 1055963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056002 */     // MIs[0] policy
     /* 1056002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056034 */     // GIR_Coverage, 21132,
     /* 1056034 */     GIR_EraseRootFromParent_Done,
     /* 1056035 */   // Label 15594: @1056035
     /* 1056035 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1056112), // Rule ID 21135 //
     /* 1056040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056079 */     // MIs[0] policy
     /* 1056079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056111 */     // GIR_Coverage, 21135,
     /* 1056111 */     GIR_EraseRootFromParent_Done,
     /* 1056112 */   // Label 15595: @1056112
     /* 1056112 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1056189), // Rule ID 21136 //
     /* 1056117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056156 */     // MIs[0] policy
     /* 1056156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056188 */     // GIR_Coverage, 21136,
     /* 1056188 */     GIR_EraseRootFromParent_Done,
     /* 1056189 */   // Label 15596: @1056189
     /* 1056189 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056266), // Rule ID 21139 //
     /* 1056194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056233 */     // MIs[0] policy
     /* 1056233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056265 */     // GIR_Coverage, 21139,
     /* 1056265 */     GIR_EraseRootFromParent_Done,
     /* 1056266 */   // Label 15597: @1056266
     /* 1056266 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1056343), // Rule ID 21140 //
     /* 1056271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056310 */     // MIs[0] policy
     /* 1056310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056342 */     // GIR_Coverage, 21140,
     /* 1056342 */     GIR_EraseRootFromParent_Done,
     /* 1056343 */   // Label 15598: @1056343
     /* 1056343 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056420), // Rule ID 21143 //
     /* 1056348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056387 */     // MIs[0] policy
     /* 1056387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056419 */     // GIR_Coverage, 21143,
     /* 1056419 */     GIR_EraseRootFromParent_Done,
     /* 1056420 */   // Label 15599: @1056420
     /* 1056420 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056497), // Rule ID 21144 //
     /* 1056425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056464 */     // MIs[0] policy
     /* 1056464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056496 */     // GIR_Coverage, 21144,
     /* 1056496 */     GIR_EraseRootFromParent_Done,
     /* 1056497 */   // Label 15600: @1056497
     /* 1056497 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056574), // Rule ID 21147 //
     /* 1056502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056541 */     // MIs[0] policy
     /* 1056541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056573 */     // GIR_Coverage, 21147,
     /* 1056573 */     GIR_EraseRootFromParent_Done,
     /* 1056574 */   // Label 15601: @1056574
     /* 1056574 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056651), // Rule ID 21148 //
     /* 1056579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056618 */     // MIs[0] policy
     /* 1056618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056650 */     // GIR_Coverage, 21148,
     /* 1056650 */     GIR_EraseRootFromParent_Done,
     /* 1056651 */   // Label 15602: @1056651
     /* 1056651 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056728), // Rule ID 21151 //
     /* 1056656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056695 */     // MIs[0] policy
     /* 1056695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056727 */     // GIR_Coverage, 21151,
     /* 1056727 */     GIR_EraseRootFromParent_Done,
     /* 1056728 */   // Label 15603: @1056728
     /* 1056728 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056805), // Rule ID 21152 //
     /* 1056733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056772 */     // MIs[0] policy
     /* 1056772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056804 */     // GIR_Coverage, 21152,
     /* 1056804 */     GIR_EraseRootFromParent_Done,
     /* 1056805 */   // Label 15604: @1056805
     /* 1056805 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056882), // Rule ID 21155 //
     /* 1056810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056849 */     // MIs[0] policy
     /* 1056849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056881 */     // GIR_Coverage, 21155,
     /* 1056881 */     GIR_EraseRootFromParent_Done,
     /* 1056882 */   // Label 15605: @1056882
     /* 1056882 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1056959), // Rule ID 21156 //
     /* 1056887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056926 */     // MIs[0] policy
     /* 1056926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056958 */     // GIR_Coverage, 21156,
     /* 1056958 */     GIR_EraseRootFromParent_Done,
     /* 1056959 */   // Label 15606: @1056959
     /* 1056959 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1057036), // Rule ID 21159 //
     /* 1056964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1056981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057003 */     // MIs[0] policy
     /* 1057003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057013 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057035 */     // GIR_Coverage, 21159,
     /* 1057035 */     GIR_EraseRootFromParent_Done,
     /* 1057036 */   // Label 15607: @1057036
     /* 1057036 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1057113), // Rule ID 21160 //
     /* 1057041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057080 */     // MIs[0] policy
     /* 1057080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057112 */     // GIR_Coverage, 21160,
     /* 1057112 */     GIR_EraseRootFromParent_Done,
     /* 1057113 */   // Label 15608: @1057113
     /* 1057113 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1057190), // Rule ID 21163 //
     /* 1057118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057157 */     // MIs[0] policy
     /* 1057157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057189 */     // GIR_Coverage, 21163,
     /* 1057189 */     GIR_EraseRootFromParent_Done,
     /* 1057190 */   // Label 15609: @1057190
     /* 1057190 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057267), // Rule ID 21164 //
     /* 1057195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1057203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057234 */     // MIs[0] policy
     /* 1057234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057266 */     // GIR_Coverage, 21164,
     /* 1057266 */     GIR_EraseRootFromParent_Done,
     /* 1057267 */   // Label 15610: @1057267
     /* 1057267 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1057344), // Rule ID 21167 //
     /* 1057272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057311 */     // MIs[0] policy
     /* 1057311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057343 */     // GIR_Coverage, 21167,
     /* 1057343 */     GIR_EraseRootFromParent_Done,
     /* 1057344 */   // Label 15611: @1057344
     /* 1057344 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057421), // Rule ID 21168 //
     /* 1057349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057388 */     // MIs[0] policy
     /* 1057388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1057401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057420 */     // GIR_Coverage, 21168,
     /* 1057420 */     GIR_EraseRootFromParent_Done,
     /* 1057421 */   // Label 15612: @1057421
     /* 1057421 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057498), // Rule ID 21171 //
     /* 1057426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057465 */     // MIs[0] policy
     /* 1057465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057497 */     // GIR_Coverage, 21171,
     /* 1057497 */     GIR_EraseRootFromParent_Done,
     /* 1057498 */   // Label 15613: @1057498
     /* 1057498 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057575), // Rule ID 21172 //
     /* 1057503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057542 */     // MIs[0] policy
     /* 1057542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1057555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057574 */     // GIR_Coverage, 21172,
     /* 1057574 */     GIR_EraseRootFromParent_Done,
     /* 1057575 */   // Label 15614: @1057575
     /* 1057575 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057652), // Rule ID 21175 //
     /* 1057580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057619 */     // MIs[0] policy
     /* 1057619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057651 */     // GIR_Coverage, 21175,
     /* 1057651 */     GIR_EraseRootFromParent_Done,
     /* 1057652 */   // Label 15615: @1057652
     /* 1057652 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057729), // Rule ID 21176 //
     /* 1057657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057696 */     // MIs[0] policy
     /* 1057696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057728 */     // GIR_Coverage, 21176,
     /* 1057728 */     GIR_EraseRootFromParent_Done,
     /* 1057729 */   // Label 15616: @1057729
     /* 1057729 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057806), // Rule ID 21179 //
     /* 1057734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057773 */     // MIs[0] policy
     /* 1057773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057805 */     // GIR_Coverage, 21179,
     /* 1057805 */     GIR_EraseRootFromParent_Done,
     /* 1057806 */   // Label 15617: @1057806
     /* 1057806 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057883), // Rule ID 21180 //
     /* 1057811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057850 */     // MIs[0] policy
     /* 1057850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057882 */     // GIR_Coverage, 21180,
     /* 1057882 */     GIR_EraseRootFromParent_Done,
     /* 1057883 */   // Label 15618: @1057883
     /* 1057883 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1057960), // Rule ID 21183 //
     /* 1057888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057927 */     // MIs[0] policy
     /* 1057927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1057940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057959 */     // GIR_Coverage, 21183,
     /* 1057959 */     GIR_EraseRootFromParent_Done,
     /* 1057960 */   // Label 15619: @1057960
     /* 1057960 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1058037), // Rule ID 21184 //
     /* 1057965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058004 */     // MIs[0] policy
     /* 1058004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058036 */     // GIR_Coverage, 21184,
     /* 1058036 */     GIR_EraseRootFromParent_Done,
     /* 1058037 */   // Label 15620: @1058037
     /* 1058037 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1058114), // Rule ID 21187 //
     /* 1058042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058081 */     // MIs[0] policy
     /* 1058081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058113 */     // GIR_Coverage, 21187,
     /* 1058113 */     GIR_EraseRootFromParent_Done,
     /* 1058114 */   // Label 15621: @1058114
     /* 1058114 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1058191), // Rule ID 21188 //
     /* 1058119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058158 */     // MIs[0] policy
     /* 1058158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058190 */     // GIR_Coverage, 21188,
     /* 1058190 */     GIR_EraseRootFromParent_Done,
     /* 1058191 */   // Label 15622: @1058191
     /* 1058191 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058268), // Rule ID 21191 //
     /* 1058196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058235 */     // MIs[0] policy
     /* 1058235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058267 */     // GIR_Coverage, 21191,
     /* 1058267 */     GIR_EraseRootFromParent_Done,
     /* 1058268 */   // Label 15623: @1058268
     /* 1058268 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1058345), // Rule ID 21192 //
     /* 1058273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058312 */     // MIs[0] policy
     /* 1058312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1058325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058344 */     // GIR_Coverage, 21192,
     /* 1058344 */     GIR_EraseRootFromParent_Done,
     /* 1058345 */   // Label 15624: @1058345
     /* 1058345 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058422), // Rule ID 21195 //
     /* 1058350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058389 */     // MIs[0] policy
     /* 1058389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058421 */     // GIR_Coverage, 21195,
     /* 1058421 */     GIR_EraseRootFromParent_Done,
     /* 1058422 */   // Label 15625: @1058422
     /* 1058422 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058499), // Rule ID 21196 //
     /* 1058427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058466 */     // MIs[0] policy
     /* 1058466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1058479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058498 */     // GIR_Coverage, 21196,
     /* 1058498 */     GIR_EraseRootFromParent_Done,
     /* 1058499 */   // Label 15626: @1058499
     /* 1058499 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058576), // Rule ID 21199 //
     /* 1058504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1058507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058543 */     // MIs[0] policy
     /* 1058543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058575 */     // GIR_Coverage, 21199,
     /* 1058575 */     GIR_EraseRootFromParent_Done,
     /* 1058576 */   // Label 15627: @1058576
     /* 1058576 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058653), // Rule ID 21200 //
     /* 1058581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1058584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1058589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058620 */     // MIs[0] policy
     /* 1058620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1058633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058652 */     // GIR_Coverage, 21200,
     /* 1058652 */     GIR_EraseRootFromParent_Done,
     /* 1058653 */   // Label 15628: @1058653
     /* 1058653 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058730), // Rule ID 21203 //
     /* 1058658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058697 */     // MIs[0] policy
     /* 1058697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1058710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058729 */     // GIR_Coverage, 21203,
     /* 1058729 */     GIR_EraseRootFromParent_Done,
     /* 1058730 */   // Label 15629: @1058730
     /* 1058730 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058807), // Rule ID 21204 //
     /* 1058735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058774 */     // MIs[0] policy
     /* 1058774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058784 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1058787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058806 */     // GIR_Coverage, 21204,
     /* 1058806 */     GIR_EraseRootFromParent_Done,
     /* 1058807 */   // Label 15630: @1058807
     /* 1058807 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058884), // Rule ID 21207 //
     /* 1058812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058851 */     // MIs[0] policy
     /* 1058851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058861 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1058864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058883 */     // GIR_Coverage, 21207,
     /* 1058883 */     GIR_EraseRootFromParent_Done,
     /* 1058884 */   // Label 15631: @1058884
     /* 1058884 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1058961), // Rule ID 21208 //
     /* 1058889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058928 */     // MIs[0] policy
     /* 1058928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058938 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1058941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058960 */     // GIR_Coverage, 21208,
     /* 1058960 */     GIR_EraseRootFromParent_Done,
     /* 1058961 */   // Label 15632: @1058961
     /* 1058961 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1059038), // Rule ID 21211 //
     /* 1058966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1058983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059005 */     // MIs[0] policy
     /* 1059005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059015 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059037 */     // GIR_Coverage, 21211,
     /* 1059037 */     GIR_EraseRootFromParent_Done,
     /* 1059038 */   // Label 15633: @1059038
     /* 1059038 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1059115), // Rule ID 21212 //
     /* 1059043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1059060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059082 */     // MIs[0] policy
     /* 1059082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1059095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059114 */     // GIR_Coverage, 21212,
     /* 1059114 */     GIR_EraseRootFromParent_Done,
     /* 1059115 */   // Label 15634: @1059115
     /* 1059115 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1059192), // Rule ID 21215 //
     /* 1059120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059159 */     // MIs[0] policy
     /* 1059159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059169 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059191 */     // GIR_Coverage, 21215,
     /* 1059191 */     GIR_EraseRootFromParent_Done,
     /* 1059192 */   // Label 15635: @1059192
     /* 1059192 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059269), // Rule ID 21216 //
     /* 1059197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059236 */     // MIs[0] policy
     /* 1059236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059246 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1059249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059268 */     // GIR_Coverage, 21216,
     /* 1059268 */     GIR_EraseRootFromParent_Done,
     /* 1059269 */   // Label 15636: @1059269
     /* 1059269 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1059346), // Rule ID 21219 //
     /* 1059274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059313 */     // MIs[0] policy
     /* 1059313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059345 */     // GIR_Coverage, 21219,
     /* 1059345 */     GIR_EraseRootFromParent_Done,
     /* 1059346 */   // Label 15637: @1059346
     /* 1059346 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059423), // Rule ID 21220 //
     /* 1059351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059390 */     // MIs[0] policy
     /* 1059390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1059403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059422 */     // GIR_Coverage, 21220,
     /* 1059422 */     GIR_EraseRootFromParent_Done,
     /* 1059423 */   // Label 15638: @1059423
     /* 1059423 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059500), // Rule ID 21223 //
     /* 1059428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059467 */     // MIs[0] policy
     /* 1059467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059499 */     // GIR_Coverage, 21223,
     /* 1059499 */     GIR_EraseRootFromParent_Done,
     /* 1059500 */   // Label 15639: @1059500
     /* 1059500 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059577), // Rule ID 21224 //
     /* 1059505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059544 */     // MIs[0] policy
     /* 1059544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059554 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1059557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059576 */     // GIR_Coverage, 21224,
     /* 1059576 */     GIR_EraseRootFromParent_Done,
     /* 1059577 */   // Label 15640: @1059577
     /* 1059577 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059654), // Rule ID 21227 //
     /* 1059582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1059599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059621 */     // MIs[0] policy
     /* 1059621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1059634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059653 */     // GIR_Coverage, 21227,
     /* 1059653 */     GIR_EraseRootFromParent_Done,
     /* 1059654 */   // Label 15641: @1059654
     /* 1059654 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059731), // Rule ID 21228 //
     /* 1059659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1059676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059698 */     // MIs[0] policy
     /* 1059698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059708 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1059711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059730 */     // GIR_Coverage, 21228,
     /* 1059730 */     GIR_EraseRootFromParent_Done,
     /* 1059731 */   // Label 15642: @1059731
     /* 1059731 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059808), // Rule ID 21231 //
     /* 1059736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059775 */     // MIs[0] policy
     /* 1059775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059785 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1059788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059807 */     // GIR_Coverage, 21231,
     /* 1059807 */     GIR_EraseRootFromParent_Done,
     /* 1059808 */   // Label 15643: @1059808
     /* 1059808 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059885), // Rule ID 21232 //
     /* 1059813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059852 */     // MIs[0] policy
     /* 1059852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059862 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1059865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059884 */     // GIR_Coverage, 21232,
     /* 1059884 */     GIR_EraseRootFromParent_Done,
     /* 1059885 */   // Label 15644: @1059885
     /* 1059885 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1059962), // Rule ID 21235 //
     /* 1059890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059929 */     // MIs[0] policy
     /* 1059929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059939 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1059942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059961 */     // GIR_Coverage, 21235,
     /* 1059961 */     GIR_EraseRootFromParent_Done,
     /* 1059962 */   // Label 15645: @1059962
     /* 1059962 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1060039), // Rule ID 21236 //
     /* 1059967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060006 */     // MIs[0] policy
     /* 1060006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060016 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1060019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060038 */     // GIR_Coverage, 21236,
     /* 1060038 */     GIR_EraseRootFromParent_Done,
     /* 1060039 */   // Label 15646: @1060039
     /* 1060039 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1060116), // Rule ID 21239 //
     /* 1060044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060083 */     // MIs[0] policy
     /* 1060083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060093 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060115 */     // GIR_Coverage, 21239,
     /* 1060115 */     GIR_EraseRootFromParent_Done,
     /* 1060116 */   // Label 15647: @1060116
     /* 1060116 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1060193), // Rule ID 21240 //
     /* 1060121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060160 */     // MIs[0] policy
     /* 1060160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060170 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1060173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060192 */     // GIR_Coverage, 21240,
     /* 1060192 */     GIR_EraseRootFromParent_Done,
     /* 1060193 */   // Label 15648: @1060193
     /* 1060193 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060270), // Rule ID 21243 //
     /* 1060198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060237 */     // MIs[0] policy
     /* 1060237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060247 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060269 */     // GIR_Coverage, 21243,
     /* 1060269 */     GIR_EraseRootFromParent_Done,
     /* 1060270 */   // Label 15649: @1060270
     /* 1060270 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1060347), // Rule ID 21244 //
     /* 1060275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060314 */     // MIs[0] policy
     /* 1060314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1060327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060346 */     // GIR_Coverage, 21244,
     /* 1060346 */     GIR_EraseRootFromParent_Done,
     /* 1060347 */   // Label 15650: @1060347
     /* 1060347 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060424), // Rule ID 21247 //
     /* 1060352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060391 */     // MIs[0] policy
     /* 1060391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060401 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060423 */     // GIR_Coverage, 21247,
     /* 1060423 */     GIR_EraseRootFromParent_Done,
     /* 1060424 */   // Label 15651: @1060424
     /* 1060424 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060501), // Rule ID 21248 //
     /* 1060429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1060440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1060443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1060446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060468 */     // MIs[0] policy
     /* 1060468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060478 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1060481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060500 */     // GIR_Coverage, 21248,
     /* 1060500 */     GIR_EraseRootFromParent_Done,
     /* 1060501 */   // Label 15652: @1060501
     /* 1060501 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060578), // Rule ID 21251 //
     /* 1060506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060545 */     // MIs[0] policy
     /* 1060545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060555 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060577 */     // GIR_Coverage, 21251,
     /* 1060577 */     GIR_EraseRootFromParent_Done,
     /* 1060578 */   // Label 15653: @1060578
     /* 1060578 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060655), // Rule ID 21252 //
     /* 1060583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1060600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060622 */     // MIs[0] policy
     /* 1060622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1060635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060654 */     // GIR_Coverage, 21252,
     /* 1060654 */     GIR_EraseRootFromParent_Done,
     /* 1060655 */   // Label 15654: @1060655
     /* 1060655 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060732), // Rule ID 21255 //
     /* 1060660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060699 */     // MIs[0] policy
     /* 1060699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060709 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1060712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060731 */     // GIR_Coverage, 21255,
     /* 1060731 */     GIR_EraseRootFromParent_Done,
     /* 1060732 */   // Label 15655: @1060732
     /* 1060732 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060809), // Rule ID 21256 //
     /* 1060737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060776 */     // MIs[0] policy
     /* 1060776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060786 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1060789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060808 */     // GIR_Coverage, 21256,
     /* 1060808 */     GIR_EraseRootFromParent_Done,
     /* 1060809 */   // Label 15656: @1060809
     /* 1060809 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060886), // Rule ID 21259 //
     /* 1060814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060853 */     // MIs[0] policy
     /* 1060853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060863 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1060866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060885 */     // GIR_Coverage, 21259,
     /* 1060885 */     GIR_EraseRootFromParent_Done,
     /* 1060886 */   // Label 15657: @1060886
     /* 1060886 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1060963), // Rule ID 21260 //
     /* 1060891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1060899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060930 */     // MIs[0] policy
     /* 1060930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060940 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1060943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060962 */     // GIR_Coverage, 21260,
     /* 1060962 */     GIR_EraseRootFromParent_Done,
     /* 1060963 */   // Label 15658: @1060963
     /* 1060963 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1061040), // Rule ID 21263 //
     /* 1060968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1060979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1060982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1060985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061007 */     // MIs[0] policy
     /* 1061007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061017 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061039 */     // GIR_Coverage, 21263,
     /* 1061039 */     GIR_EraseRootFromParent_Done,
     /* 1061040 */   // Label 15659: @1061040
     /* 1061040 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1061117), // Rule ID 21264 //
     /* 1061045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061084 */     // MIs[0] policy
     /* 1061084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061094 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1061097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061116 */     // GIR_Coverage, 21264,
     /* 1061116 */     GIR_EraseRootFromParent_Done,
     /* 1061117 */   // Label 15660: @1061117
     /* 1061117 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1061194), // Rule ID 21267 //
     /* 1061122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061161 */     // MIs[0] policy
     /* 1061161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061171 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061193 */     // GIR_Coverage, 21267,
     /* 1061193 */     GIR_EraseRootFromParent_Done,
     /* 1061194 */   // Label 15661: @1061194
     /* 1061194 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061271), // Rule ID 21268 //
     /* 1061199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1061216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061238 */     // MIs[0] policy
     /* 1061238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061248 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1061251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061270 */     // GIR_Coverage, 21268,
     /* 1061270 */     GIR_EraseRootFromParent_Done,
     /* 1061271 */   // Label 15662: @1061271
     /* 1061271 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1061348), // Rule ID 21271 //
     /* 1061276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061315 */     // MIs[0] policy
     /* 1061315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061347 */     // GIR_Coverage, 21271,
     /* 1061347 */     GIR_EraseRootFromParent_Done,
     /* 1061348 */   // Label 15663: @1061348
     /* 1061348 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061425), // Rule ID 21272 //
     /* 1061353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1061370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061392 */     // MIs[0] policy
     /* 1061392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1061405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061424 */     // GIR_Coverage, 21272,
     /* 1061424 */     GIR_EraseRootFromParent_Done,
     /* 1061425 */   // Label 15664: @1061425
     /* 1061425 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061502), // Rule ID 21275 //
     /* 1061430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061469 */     // MIs[0] policy
     /* 1061469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061479 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061501 */     // GIR_Coverage, 21275,
     /* 1061501 */     GIR_EraseRootFromParent_Done,
     /* 1061502 */   // Label 15665: @1061502
     /* 1061502 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061579), // Rule ID 21276 //
     /* 1061507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1061518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1061521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061546 */     // MIs[0] policy
     /* 1061546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061556 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1061559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061578 */     // GIR_Coverage, 21276,
     /* 1061578 */     GIR_EraseRootFromParent_Done,
     /* 1061579 */   // Label 15666: @1061579
     /* 1061579 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061656), // Rule ID 21279 //
     /* 1061584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1061595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1061598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1061601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061623 */     // MIs[0] policy
     /* 1061623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061633 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1061636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061655 */     // GIR_Coverage, 21279,
     /* 1061655 */     GIR_EraseRootFromParent_Done,
     /* 1061656 */   // Label 15667: @1061656
     /* 1061656 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061733), // Rule ID 21280 //
     /* 1061661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1061672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1061675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1061678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061700 */     // MIs[0] policy
     /* 1061700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061710 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1061713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061732 */     // GIR_Coverage, 21280,
     /* 1061732 */     GIR_EraseRootFromParent_Done,
     /* 1061733 */   // Label 15668: @1061733
     /* 1061733 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061810), // Rule ID 21283 //
     /* 1061738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1061749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1061752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1061755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061777 */     // MIs[0] policy
     /* 1061777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1061790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061809 */     // GIR_Coverage, 21283,
     /* 1061809 */     GIR_EraseRootFromParent_Done,
     /* 1061810 */   // Label 15669: @1061810
     /* 1061810 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061887), // Rule ID 21284 //
     /* 1061815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1061826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1061829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1061832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061854 */     // MIs[0] policy
     /* 1061854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1061867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061886 */     // GIR_Coverage, 21284,
     /* 1061886 */     GIR_EraseRootFromParent_Done,
     /* 1061887 */   // Label 15670: @1061887
     /* 1061887 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1061964), // Rule ID 21287 //
     /* 1061892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061931 */     // MIs[0] policy
     /* 1061931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061941 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1061944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061963 */     // GIR_Coverage, 21287,
     /* 1061963 */     GIR_EraseRootFromParent_Done,
     /* 1061964 */   // Label 15671: @1061964
     /* 1061964 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1062041), // Rule ID 21288 //
     /* 1061969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062008 */     // MIs[0] policy
     /* 1062008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062018 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1062021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062040 */     // GIR_Coverage, 21288,
     /* 1062040 */     GIR_EraseRootFromParent_Done,
     /* 1062041 */   // Label 15672: @1062041
     /* 1062041 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1062118), // Rule ID 21291 //
     /* 1062046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062085 */     // MIs[0] policy
     /* 1062085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062095 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062117 */     // GIR_Coverage, 21291,
     /* 1062117 */     GIR_EraseRootFromParent_Done,
     /* 1062118 */   // Label 15673: @1062118
     /* 1062118 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1062195), // Rule ID 21292 //
     /* 1062123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062162 */     // MIs[0] policy
     /* 1062162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1062175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062194 */     // GIR_Coverage, 21292,
     /* 1062194 */     GIR_EraseRootFromParent_Done,
     /* 1062195 */   // Label 15674: @1062195
     /* 1062195 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062272), // Rule ID 21295 //
     /* 1062200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062239 */     // MIs[0] policy
     /* 1062239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062249 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062271 */     // GIR_Coverage, 21295,
     /* 1062271 */     GIR_EraseRootFromParent_Done,
     /* 1062272 */   // Label 15675: @1062272
     /* 1062272 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1062349), // Rule ID 21296 //
     /* 1062277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062316 */     // MIs[0] policy
     /* 1062316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1062329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062348 */     // GIR_Coverage, 21296,
     /* 1062348 */     GIR_EraseRootFromParent_Done,
     /* 1062349 */   // Label 15676: @1062349
     /* 1062349 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062426), // Rule ID 21299 //
     /* 1062354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062393 */     // MIs[0] policy
     /* 1062393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062403 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062425 */     // GIR_Coverage, 21299,
     /* 1062425 */     GIR_EraseRootFromParent_Done,
     /* 1062426 */   // Label 15677: @1062426
     /* 1062426 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062503), // Rule ID 21300 //
     /* 1062431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062470 */     // MIs[0] policy
     /* 1062470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1062483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062502 */     // GIR_Coverage, 21300,
     /* 1062502 */     GIR_EraseRootFromParent_Done,
     /* 1062503 */   // Label 15678: @1062503
     /* 1062503 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062580), // Rule ID 21303 //
     /* 1062508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062547 */     // MIs[0] policy
     /* 1062547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062557 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062579 */     // GIR_Coverage, 21303,
     /* 1062579 */     GIR_EraseRootFromParent_Done,
     /* 1062580 */   // Label 15679: @1062580
     /* 1062580 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062657), // Rule ID 21304 //
     /* 1062585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062624 */     // MIs[0] policy
     /* 1062624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062634 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1062637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062656 */     // GIR_Coverage, 21304,
     /* 1062656 */     GIR_EraseRootFromParent_Done,
     /* 1062657 */   // Label 15680: @1062657
     /* 1062657 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062734), // Rule ID 21307 //
     /* 1062662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062701 */     // MIs[0] policy
     /* 1062701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1062714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062733 */     // GIR_Coverage, 21307,
     /* 1062733 */     GIR_EraseRootFromParent_Done,
     /* 1062734 */   // Label 15681: @1062734
     /* 1062734 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062811), // Rule ID 21308 //
     /* 1062739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062778 */     // MIs[0] policy
     /* 1062778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1062791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062810 */     // GIR_Coverage, 21308,
     /* 1062810 */     GIR_EraseRootFromParent_Done,
     /* 1062811 */   // Label 15682: @1062811
     /* 1062811 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062888), // Rule ID 21311 //
     /* 1062816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062855 */     // MIs[0] policy
     /* 1062855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1062868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062887 */     // GIR_Coverage, 21311,
     /* 1062887 */     GIR_EraseRootFromParent_Done,
     /* 1062888 */   // Label 15683: @1062888
     /* 1062888 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1062965), // Rule ID 21312 //
     /* 1062893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062932 */     // MIs[0] policy
     /* 1062932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1062945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062964 */     // GIR_Coverage, 21312,
     /* 1062964 */     GIR_EraseRootFromParent_Done,
     /* 1062965 */   // Label 15684: @1062965
     /* 1062965 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1063042), // Rule ID 21315 //
     /* 1062970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1062981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1062984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063009 */     // MIs[0] policy
     /* 1063009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063019 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063041 */     // GIR_Coverage, 21315,
     /* 1063041 */     GIR_EraseRootFromParent_Done,
     /* 1063042 */   // Label 15685: @1063042
     /* 1063042 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1063119), // Rule ID 21316 //
     /* 1063047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063086 */     // MIs[0] policy
     /* 1063086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1063099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063118 */     // GIR_Coverage, 21316,
     /* 1063118 */     GIR_EraseRootFromParent_Done,
     /* 1063119 */   // Label 15686: @1063119
     /* 1063119 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1063196), // Rule ID 21319 //
     /* 1063124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063163 */     // MIs[0] policy
     /* 1063163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063173 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063195 */     // GIR_Coverage, 21319,
     /* 1063195 */     GIR_EraseRootFromParent_Done,
     /* 1063196 */   // Label 15687: @1063196
     /* 1063196 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063273), // Rule ID 21320 //
     /* 1063201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1063209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063240 */     // MIs[0] policy
     /* 1063240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063250 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1063253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063272 */     // GIR_Coverage, 21320,
     /* 1063272 */     GIR_EraseRootFromParent_Done,
     /* 1063273 */   // Label 15688: @1063273
     /* 1063273 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1063350), // Rule ID 21323 //
     /* 1063278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063317 */     // MIs[0] policy
     /* 1063317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063349 */     // GIR_Coverage, 21323,
     /* 1063349 */     GIR_EraseRootFromParent_Done,
     /* 1063350 */   // Label 15689: @1063350
     /* 1063350 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063427), // Rule ID 21324 //
     /* 1063355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1063366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1063369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063394 */     // MIs[0] policy
     /* 1063394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063404 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1063407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063426 */     // GIR_Coverage, 21324,
     /* 1063426 */     GIR_EraseRootFromParent_Done,
     /* 1063427 */   // Label 15690: @1063427
     /* 1063427 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063504), // Rule ID 21327 //
     /* 1063432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063471 */     // MIs[0] policy
     /* 1063471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063481 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063503 */     // GIR_Coverage, 21327,
     /* 1063503 */     GIR_EraseRootFromParent_Done,
     /* 1063504 */   // Label 15691: @1063504
     /* 1063504 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063581), // Rule ID 21328 //
     /* 1063509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063548 */     // MIs[0] policy
     /* 1063548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1063561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063580 */     // GIR_Coverage, 21328,
     /* 1063580 */     GIR_EraseRootFromParent_Done,
     /* 1063581 */   // Label 15692: @1063581
     /* 1063581 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063658), // Rule ID 21331 //
     /* 1063586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063625 */     // MIs[0] policy
     /* 1063625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1063638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063657 */     // GIR_Coverage, 21331,
     /* 1063657 */     GIR_EraseRootFromParent_Done,
     /* 1063658 */   // Label 15693: @1063658
     /* 1063658 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063735), // Rule ID 21332 //
     /* 1063663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063702 */     // MIs[0] policy
     /* 1063702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063712 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1063715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063734 */     // GIR_Coverage, 21332,
     /* 1063734 */     GIR_EraseRootFromParent_Done,
     /* 1063735 */   // Label 15694: @1063735
     /* 1063735 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063812), // Rule ID 21335 //
     /* 1063740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063779 */     // MIs[0] policy
     /* 1063779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1063792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063811 */     // GIR_Coverage, 21335,
     /* 1063811 */     GIR_EraseRootFromParent_Done,
     /* 1063812 */   // Label 15695: @1063812
     /* 1063812 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063889), // Rule ID 21336 //
     /* 1063817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063856 */     // MIs[0] policy
     /* 1063856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1063869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063888 */     // GIR_Coverage, 21336,
     /* 1063888 */     GIR_EraseRootFromParent_Done,
     /* 1063889 */   // Label 15696: @1063889
     /* 1063889 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1063966), // Rule ID 21339 //
     /* 1063894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1063897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063933 */     // MIs[0] policy
     /* 1063933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063943 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1063946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063965 */     // GIR_Coverage, 21339,
     /* 1063965 */     GIR_EraseRootFromParent_Done,
     /* 1063966 */   // Label 15697: @1063966
     /* 1063966 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1064043), // Rule ID 21340 //
     /* 1063971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1063974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064010 */     // MIs[0] policy
     /* 1064010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064020 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1064023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064042 */     // GIR_Coverage, 21340,
     /* 1064042 */     GIR_EraseRootFromParent_Done,
     /* 1064043 */   // Label 15698: @1064043
     /* 1064043 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1064120), // Rule ID 21343 //
     /* 1064048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064087 */     // MIs[0] policy
     /* 1064087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064119 */     // GIR_Coverage, 21343,
     /* 1064119 */     GIR_EraseRootFromParent_Done,
     /* 1064120 */   // Label 15699: @1064120
     /* 1064120 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1064197), // Rule ID 21344 //
     /* 1064125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064164 */     // MIs[0] policy
     /* 1064164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064174 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1064177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064196 */     // GIR_Coverage, 21344,
     /* 1064196 */     GIR_EraseRootFromParent_Done,
     /* 1064197 */   // Label 15700: @1064197
     /* 1064197 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064274), // Rule ID 21347 //
     /* 1064202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064241 */     // MIs[0] policy
     /* 1064241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064251 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064273 */     // GIR_Coverage, 21347,
     /* 1064273 */     GIR_EraseRootFromParent_Done,
     /* 1064274 */   // Label 15701: @1064274
     /* 1064274 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1064351), // Rule ID 21348 //
     /* 1064279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064318 */     // MIs[0] policy
     /* 1064318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1064331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064350 */     // GIR_Coverage, 21348,
     /* 1064350 */     GIR_EraseRootFromParent_Done,
     /* 1064351 */   // Label 15702: @1064351
     /* 1064351 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064428), // Rule ID 21351 //
     /* 1064356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064395 */     // MIs[0] policy
     /* 1064395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064405 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064427 */     // GIR_Coverage, 21351,
     /* 1064427 */     GIR_EraseRootFromParent_Done,
     /* 1064428 */   // Label 15703: @1064428
     /* 1064428 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064505), // Rule ID 21352 //
     /* 1064433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064472 */     // MIs[0] policy
     /* 1064472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1064485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064504 */     // GIR_Coverage, 21352,
     /* 1064504 */     GIR_EraseRootFromParent_Done,
     /* 1064505 */   // Label 15704: @1064505
     /* 1064505 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064582), // Rule ID 21355 //
     /* 1064510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064549 */     // MIs[0] policy
     /* 1064549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064559 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1064562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064581 */     // GIR_Coverage, 21355,
     /* 1064581 */     GIR_EraseRootFromParent_Done,
     /* 1064582 */   // Label 15705: @1064582
     /* 1064582 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064659), // Rule ID 21356 //
     /* 1064587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1064595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064626 */     // MIs[0] policy
     /* 1064626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1064639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064658 */     // GIR_Coverage, 21356,
     /* 1064658 */     GIR_EraseRootFromParent_Done,
     /* 1064659 */   // Label 15706: @1064659
     /* 1064659 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064736), // Rule ID 21599 //
     /* 1064664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064703 */     // MIs[0] policy
     /* 1064703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1064716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064735 */     // GIR_Coverage, 21599,
     /* 1064735 */     GIR_EraseRootFromParent_Done,
     /* 1064736 */   // Label 15707: @1064736
     /* 1064736 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064813), // Rule ID 21600 //
     /* 1064741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064780 */     // MIs[0] policy
     /* 1064780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064790 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1064793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064812 */     // GIR_Coverage, 21600,
     /* 1064812 */     GIR_EraseRootFromParent_Done,
     /* 1064813 */   // Label 15708: @1064813
     /* 1064813 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064890), // Rule ID 21603 //
     /* 1064818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064857 */     // MIs[0] policy
     /* 1064857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064889 */     // GIR_Coverage, 21603,
     /* 1064889 */     GIR_EraseRootFromParent_Done,
     /* 1064890 */   // Label 15709: @1064890
     /* 1064890 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1064967), // Rule ID 21604 //
     /* 1064895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064934 */     // MIs[0] policy
     /* 1064934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064944 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064966 */     // GIR_Coverage, 21604,
     /* 1064966 */     GIR_EraseRootFromParent_Done,
     /* 1064967 */   // Label 15710: @1064967
     /* 1064967 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1065044), // Rule ID 21607 //
     /* 1064972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1064983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1064986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065011 */     // MIs[0] policy
     /* 1065011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065021 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065043 */     // GIR_Coverage, 21607,
     /* 1065043 */     GIR_EraseRootFromParent_Done,
     /* 1065044 */   // Label 15711: @1065044
     /* 1065044 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1065121), // Rule ID 21608 //
     /* 1065049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065088 */     // MIs[0] policy
     /* 1065088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065098 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065120 */     // GIR_Coverage, 21608,
     /* 1065120 */     GIR_EraseRootFromParent_Done,
     /* 1065121 */   // Label 15712: @1065121
     /* 1065121 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1065198), // Rule ID 21611 //
     /* 1065126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065165 */     // MIs[0] policy
     /* 1065165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065175 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065197 */     // GIR_Coverage, 21611,
     /* 1065197 */     GIR_EraseRootFromParent_Done,
     /* 1065198 */   // Label 15713: @1065198
     /* 1065198 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065275), // Rule ID 21612 //
     /* 1065203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065242 */     // MIs[0] policy
     /* 1065242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065274 */     // GIR_Coverage, 21612,
     /* 1065274 */     GIR_EraseRootFromParent_Done,
     /* 1065275 */   // Label 15714: @1065275
     /* 1065275 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1065352), // Rule ID 21615 //
     /* 1065280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065319 */     // MIs[0] policy
     /* 1065319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065329 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065351 */     // GIR_Coverage, 21615,
     /* 1065351 */     GIR_EraseRootFromParent_Done,
     /* 1065352 */   // Label 15715: @1065352
     /* 1065352 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065429), // Rule ID 21616 //
     /* 1065357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1065368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1065371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065396 */     // MIs[0] policy
     /* 1065396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065428 */     // GIR_Coverage, 21616,
     /* 1065428 */     GIR_EraseRootFromParent_Done,
     /* 1065429 */   // Label 15716: @1065429
     /* 1065429 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065506), // Rule ID 21619 //
     /* 1065434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065473 */     // MIs[0] policy
     /* 1065473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065505 */     // GIR_Coverage, 21619,
     /* 1065505 */     GIR_EraseRootFromParent_Done,
     /* 1065506 */   // Label 15717: @1065506
     /* 1065506 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065583), // Rule ID 21620 //
     /* 1065511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1065522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1065525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1065528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1065531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065550 */     // MIs[0] policy
     /* 1065550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065582 */     // GIR_Coverage, 21620,
     /* 1065582 */     GIR_EraseRootFromParent_Done,
     /* 1065583 */   // Label 15718: @1065583
     /* 1065583 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065660), // Rule ID 21623 //
     /* 1065588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065627 */     // MIs[0] policy
     /* 1065627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065659 */     // GIR_Coverage, 21623,
     /* 1065659 */     GIR_EraseRootFromParent_Done,
     /* 1065660 */   // Label 15719: @1065660
     /* 1065660 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065737), // Rule ID 21624 //
     /* 1065665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065704 */     // MIs[0] policy
     /* 1065704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1065717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065736 */     // GIR_Coverage, 21624,
     /* 1065736 */     GIR_EraseRootFromParent_Done,
     /* 1065737 */   // Label 15720: @1065737
     /* 1065737 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065814), // Rule ID 21627 //
     /* 1065742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065781 */     // MIs[0] policy
     /* 1065781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065791 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065813 */     // GIR_Coverage, 21627,
     /* 1065813 */     GIR_EraseRootFromParent_Done,
     /* 1065814 */   // Label 15721: @1065814
     /* 1065814 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065891), // Rule ID 21628 //
     /* 1065819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065858 */     // MIs[0] policy
     /* 1065858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065890 */     // GIR_Coverage, 21628,
     /* 1065890 */     GIR_EraseRootFromParent_Done,
     /* 1065891 */   // Label 15722: @1065891
     /* 1065891 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1065968), // Rule ID 21631 //
     /* 1065896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065935 */     // MIs[0] policy
     /* 1065935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065967 */     // GIR_Coverage, 21631,
     /* 1065967 */     GIR_EraseRootFromParent_Done,
     /* 1065968 */   // Label 15723: @1065968
     /* 1065968 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1066045), // Rule ID 21632 //
     /* 1065973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066012 */     // MIs[0] policy
     /* 1066012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066044 */     // GIR_Coverage, 21632,
     /* 1066044 */     GIR_EraseRootFromParent_Done,
     /* 1066045 */   // Label 15724: @1066045
     /* 1066045 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1066122), // Rule ID 21635 //
     /* 1066050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066089 */     // MIs[0] policy
     /* 1066089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066121 */     // GIR_Coverage, 21635,
     /* 1066121 */     GIR_EraseRootFromParent_Done,
     /* 1066122 */   // Label 15725: @1066122
     /* 1066122 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1066199), // Rule ID 21636 //
     /* 1066127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066166 */     // MIs[0] policy
     /* 1066166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066198 */     // GIR_Coverage, 21636,
     /* 1066198 */     GIR_EraseRootFromParent_Done,
     /* 1066199 */   // Label 15726: @1066199
     /* 1066199 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066276), // Rule ID 21639 //
     /* 1066204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066243 */     // MIs[0] policy
     /* 1066243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066275 */     // GIR_Coverage, 21639,
     /* 1066275 */     GIR_EraseRootFromParent_Done,
     /* 1066276 */   // Label 15727: @1066276
     /* 1066276 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1066353), // Rule ID 21640 //
     /* 1066281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1066298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066320 */     // MIs[0] policy
     /* 1066320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066352 */     // GIR_Coverage, 21640,
     /* 1066352 */     GIR_EraseRootFromParent_Done,
     /* 1066353 */   // Label 15728: @1066353
     /* 1066353 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066430), // Rule ID 21643 //
     /* 1066358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066397 */     // MIs[0] policy
     /* 1066397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066407 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066429 */     // GIR_Coverage, 21643,
     /* 1066429 */     GIR_EraseRootFromParent_Done,
     /* 1066430 */   // Label 15729: @1066430
     /* 1066430 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066507), // Rule ID 21644 //
     /* 1066435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066474 */     // MIs[0] policy
     /* 1066474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1066487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066506 */     // GIR_Coverage, 21644,
     /* 1066506 */     GIR_EraseRootFromParent_Done,
     /* 1066507 */   // Label 15730: @1066507
     /* 1066507 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066584), // Rule ID 21647 //
     /* 1066512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066551 */     // MIs[0] policy
     /* 1066551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066583 */     // GIR_Coverage, 21647,
     /* 1066583 */     GIR_EraseRootFromParent_Done,
     /* 1066584 */   // Label 15731: @1066584
     /* 1066584 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066661), // Rule ID 21648 //
     /* 1066589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1066606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066628 */     // MIs[0] policy
     /* 1066628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1066641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066660 */     // GIR_Coverage, 21648,
     /* 1066660 */     GIR_EraseRootFromParent_Done,
     /* 1066661 */   // Label 15732: @1066661
     /* 1066661 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066738), // Rule ID 21651 //
     /* 1066666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1066683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066705 */     // MIs[0] policy
     /* 1066705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066737 */     // GIR_Coverage, 21651,
     /* 1066737 */     GIR_EraseRootFromParent_Done,
     /* 1066738 */   // Label 15733: @1066738
     /* 1066738 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066815), // Rule ID 21652 //
     /* 1066743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1066760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066782 */     // MIs[0] policy
     /* 1066782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1066795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066814 */     // GIR_Coverage, 21652,
     /* 1066814 */     GIR_EraseRootFromParent_Done,
     /* 1066815 */   // Label 15734: @1066815
     /* 1066815 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066892), // Rule ID 21655 //
     /* 1066820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1066831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1066834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1066837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066859 */     // MIs[0] policy
     /* 1066859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066891 */     // GIR_Coverage, 21655,
     /* 1066891 */     GIR_EraseRootFromParent_Done,
     /* 1066892 */   // Label 15735: @1066892
     /* 1066892 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1066969), // Rule ID 21656 //
     /* 1066897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1066905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1066908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1066911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1066914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066936 */     // MIs[0] policy
     /* 1066936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1066949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066968 */     // GIR_Coverage, 21656,
     /* 1066968 */     GIR_EraseRootFromParent_Done,
     /* 1066969 */   // Label 15736: @1066969
     /* 1066969 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1067046), // Rule ID 21659 //
     /* 1066974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1066985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1066988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1066991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067013 */     // MIs[0] policy
     /* 1067013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067023 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067045 */     // GIR_Coverage, 21659,
     /* 1067045 */     GIR_EraseRootFromParent_Done,
     /* 1067046 */   // Label 15737: @1067046
     /* 1067046 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1067123), // Rule ID 21660 //
     /* 1067051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1067062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1067065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067090 */     // MIs[0] policy
     /* 1067090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1067103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067122 */     // GIR_Coverage, 21660,
     /* 1067122 */     GIR_EraseRootFromParent_Done,
     /* 1067123 */   // Label 15738: @1067123
     /* 1067123 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1067200), // Rule ID 21663 //
     /* 1067128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067167 */     // MIs[0] policy
     /* 1067167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067199 */     // GIR_Coverage, 21663,
     /* 1067199 */     GIR_EraseRootFromParent_Done,
     /* 1067200 */   // Label 15739: @1067200
     /* 1067200 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067277), // Rule ID 21664 //
     /* 1067205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1067216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1067219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067244 */     // MIs[0] policy
     /* 1067244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067276 */     // GIR_Coverage, 21664,
     /* 1067276 */     GIR_EraseRootFromParent_Done,
     /* 1067277 */   // Label 15740: @1067277
     /* 1067277 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1067354), // Rule ID 21667 //
     /* 1067282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067321 */     // MIs[0] policy
     /* 1067321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067331 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067353 */     // GIR_Coverage, 21667,
     /* 1067353 */     GIR_EraseRootFromParent_Done,
     /* 1067354 */   // Label 15741: @1067354
     /* 1067354 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067431), // Rule ID 21668 //
     /* 1067359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1067370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1067373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067398 */     // MIs[0] policy
     /* 1067398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067430 */     // GIR_Coverage, 21668,
     /* 1067430 */     GIR_EraseRootFromParent_Done,
     /* 1067431 */   // Label 15742: @1067431
     /* 1067431 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067508), // Rule ID 21671 //
     /* 1067436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067475 */     // MIs[0] policy
     /* 1067475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067485 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067507 */     // GIR_Coverage, 21671,
     /* 1067507 */     GIR_EraseRootFromParent_Done,
     /* 1067508 */   // Label 15743: @1067508
     /* 1067508 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067585), // Rule ID 21672 //
     /* 1067513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1067524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1067527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067552 */     // MIs[0] policy
     /* 1067552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067584 */     // GIR_Coverage, 21672,
     /* 1067584 */     GIR_EraseRootFromParent_Done,
     /* 1067585 */   // Label 15744: @1067585
     /* 1067585 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067662), // Rule ID 21675 //
     /* 1067590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1067601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1067604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067629 */     // MIs[0] policy
     /* 1067629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067639 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067661 */     // GIR_Coverage, 21675,
     /* 1067661 */     GIR_EraseRootFromParent_Done,
     /* 1067662 */   // Label 15745: @1067662
     /* 1067662 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067739), // Rule ID 21676 //
     /* 1067667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1067678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1067681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067706 */     // MIs[0] policy
     /* 1067706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067738 */     // GIR_Coverage, 21676,
     /* 1067738 */     GIR_EraseRootFromParent_Done,
     /* 1067739 */   // Label 15746: @1067739
     /* 1067739 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067816), // Rule ID 21679 //
     /* 1067744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067783 */     // MIs[0] policy
     /* 1067783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067815 */     // GIR_Coverage, 21679,
     /* 1067815 */     GIR_EraseRootFromParent_Done,
     /* 1067816 */   // Label 15747: @1067816
     /* 1067816 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067893), // Rule ID 21680 //
     /* 1067821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067860 */     // MIs[0] policy
     /* 1067860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067892 */     // GIR_Coverage, 21680,
     /* 1067892 */     GIR_EraseRootFromParent_Done,
     /* 1067893 */   // Label 15748: @1067893
     /* 1067893 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1067970), // Rule ID 21683 //
     /* 1067898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1067909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1067912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067937 */     // MIs[0] policy
     /* 1067937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1067950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067969 */     // GIR_Coverage, 21683,
     /* 1067969 */     GIR_EraseRootFromParent_Done,
     /* 1067970 */   // Label 15749: @1067970
     /* 1067970 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1068047), // Rule ID 21684 //
     /* 1067975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1067986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1067989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068014 */     // MIs[0] policy
     /* 1068014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1068027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068046 */     // GIR_Coverage, 21684,
     /* 1068046 */     GIR_EraseRootFromParent_Done,
     /* 1068047 */   // Label 15750: @1068047
     /* 1068047 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1068124), // Rule ID 21687 //
     /* 1068052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068091 */     // MIs[0] policy
     /* 1068091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068123 */     // GIR_Coverage, 21687,
     /* 1068123 */     GIR_EraseRootFromParent_Done,
     /* 1068124 */   // Label 15751: @1068124
     /* 1068124 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1068201), // Rule ID 21688 //
     /* 1068129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068168 */     // MIs[0] policy
     /* 1068168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068178 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068200 */     // GIR_Coverage, 21688,
     /* 1068200 */     GIR_EraseRootFromParent_Done,
     /* 1068201 */   // Label 15752: @1068201
     /* 1068201 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068278), // Rule ID 21691 //
     /* 1068206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068245 */     // MIs[0] policy
     /* 1068245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068277 */     // GIR_Coverage, 21691,
     /* 1068277 */     GIR_EraseRootFromParent_Done,
     /* 1068278 */   // Label 15753: @1068278
     /* 1068278 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1068355), // Rule ID 21692 //
     /* 1068283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068322 */     // MIs[0] policy
     /* 1068322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068354 */     // GIR_Coverage, 21692,
     /* 1068354 */     GIR_EraseRootFromParent_Done,
     /* 1068355 */   // Label 15754: @1068355
     /* 1068355 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068432), // Rule ID 21695 //
     /* 1068360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068399 */     // MIs[0] policy
     /* 1068399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068431 */     // GIR_Coverage, 21695,
     /* 1068431 */     GIR_EraseRootFromParent_Done,
     /* 1068432 */   // Label 15755: @1068432
     /* 1068432 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068509), // Rule ID 21696 //
     /* 1068437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068476 */     // MIs[0] policy
     /* 1068476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1068489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068508 */     // GIR_Coverage, 21696,
     /* 1068508 */     GIR_EraseRootFromParent_Done,
     /* 1068509 */   // Label 15756: @1068509
     /* 1068509 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068586), // Rule ID 21699 //
     /* 1068514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1068517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068553 */     // MIs[0] policy
     /* 1068553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068585 */     // GIR_Coverage, 21699,
     /* 1068585 */     GIR_EraseRootFromParent_Done,
     /* 1068586 */   // Label 15757: @1068586
     /* 1068586 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068663), // Rule ID 21700 //
     /* 1068591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1068594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068630 */     // MIs[0] policy
     /* 1068630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068662 */     // GIR_Coverage, 21700,
     /* 1068662 */     GIR_EraseRootFromParent_Done,
     /* 1068663 */   // Label 15758: @1068663
     /* 1068663 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068740), // Rule ID 21703 //
     /* 1068668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068707 */     // MIs[0] policy
     /* 1068707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068739 */     // GIR_Coverage, 21703,
     /* 1068739 */     GIR_EraseRootFromParent_Done,
     /* 1068740 */   // Label 15759: @1068740
     /* 1068740 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068817), // Rule ID 21704 //
     /* 1068745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068784 */     // MIs[0] policy
     /* 1068784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1068797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068816 */     // GIR_Coverage, 21704,
     /* 1068816 */     GIR_EraseRootFromParent_Done,
     /* 1068817 */   // Label 15760: @1068817
     /* 1068817 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068894), // Rule ID 21707 //
     /* 1068822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068861 */     // MIs[0] policy
     /* 1068861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068893 */     // GIR_Coverage, 21707,
     /* 1068893 */     GIR_EraseRootFromParent_Done,
     /* 1068894 */   // Label 15761: @1068894
     /* 1068894 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1068971), // Rule ID 21708 //
     /* 1068899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068938 */     // MIs[0] policy
     /* 1068938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1068951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068970 */     // GIR_Coverage, 21708,
     /* 1068970 */     GIR_EraseRootFromParent_Done,
     /* 1068971 */   // Label 15762: @1068971
     /* 1068971 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1069048), // Rule ID 21711 //
     /* 1068976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1068993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069015 */     // MIs[0] policy
     /* 1069015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069047 */     // GIR_Coverage, 21711,
     /* 1069047 */     GIR_EraseRootFromParent_Done,
     /* 1069048 */   // Label 15763: @1069048
     /* 1069048 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1069125), // Rule ID 21712 //
     /* 1069053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069092 */     // MIs[0] policy
     /* 1069092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1069105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069124 */     // GIR_Coverage, 21712,
     /* 1069124 */     GIR_EraseRootFromParent_Done,
     /* 1069125 */   // Label 15764: @1069125
     /* 1069125 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1069202), // Rule ID 21715 //
     /* 1069130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1069133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069169 */     // MIs[0] policy
     /* 1069169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069201 */     // GIR_Coverage, 21715,
     /* 1069201 */     GIR_EraseRootFromParent_Done,
     /* 1069202 */   // Label 15765: @1069202
     /* 1069202 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069279), // Rule ID 21716 //
     /* 1069207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1069210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1069215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069246 */     // MIs[0] policy
     /* 1069246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1069259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069278 */     // GIR_Coverage, 21716,
     /* 1069278 */     GIR_EraseRootFromParent_Done,
     /* 1069279 */   // Label 15766: @1069279
     /* 1069279 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1069356), // Rule ID 21827 //
     /* 1069284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069323 */     // MIs[0] policy
     /* 1069323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069333 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069355 */     // GIR_Coverage, 21827,
     /* 1069355 */     GIR_EraseRootFromParent_Done,
     /* 1069356 */   // Label 15767: @1069356
     /* 1069356 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069433), // Rule ID 21828 //
     /* 1069361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069400 */     // MIs[0] policy
     /* 1069400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069410 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1069413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069432 */     // GIR_Coverage, 21828,
     /* 1069432 */     GIR_EraseRootFromParent_Done,
     /* 1069433 */   // Label 15768: @1069433
     /* 1069433 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069510), // Rule ID 21831 //
     /* 1069438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069477 */     // MIs[0] policy
     /* 1069477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069509 */     // GIR_Coverage, 21831,
     /* 1069509 */     GIR_EraseRootFromParent_Done,
     /* 1069510 */   // Label 15769: @1069510
     /* 1069510 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069587), // Rule ID 21832 //
     /* 1069515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069554 */     // MIs[0] policy
     /* 1069554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069564 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1069567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069586 */     // GIR_Coverage, 21832,
     /* 1069586 */     GIR_EraseRootFromParent_Done,
     /* 1069587 */   // Label 15770: @1069587
     /* 1069587 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069664), // Rule ID 21835 //
     /* 1069592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069631 */     // MIs[0] policy
     /* 1069631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069641 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1069644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069663 */     // GIR_Coverage, 21835,
     /* 1069663 */     GIR_EraseRootFromParent_Done,
     /* 1069664 */   // Label 15771: @1069664
     /* 1069664 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069741), // Rule ID 21836 //
     /* 1069669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069708 */     // MIs[0] policy
     /* 1069708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069718 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1069721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069740 */     // GIR_Coverage, 21836,
     /* 1069740 */     GIR_EraseRootFromParent_Done,
     /* 1069741 */   // Label 15772: @1069741
     /* 1069741 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069818), // Rule ID 21839 //
     /* 1069746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069785 */     // MIs[0] policy
     /* 1069785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069795 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1069798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069817 */     // GIR_Coverage, 21839,
     /* 1069817 */     GIR_EraseRootFromParent_Done,
     /* 1069818 */   // Label 15773: @1069818
     /* 1069818 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069895), // Rule ID 21840 //
     /* 1069823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1069834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1069837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069862 */     // MIs[0] policy
     /* 1069862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1069875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069894 */     // GIR_Coverage, 21840,
     /* 1069894 */     GIR_EraseRootFromParent_Done,
     /* 1069895 */   // Label 15774: @1069895
     /* 1069895 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1069972), // Rule ID 21843 //
     /* 1069900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1069903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069939 */     // MIs[0] policy
     /* 1069939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069949 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1069952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069971 */     // GIR_Coverage, 21843,
     /* 1069971 */     GIR_EraseRootFromParent_Done,
     /* 1069972 */   // Label 15775: @1069972
     /* 1069972 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1070049), // Rule ID 21844 //
     /* 1069977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1069980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1069988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1069991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1069994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070016 */     // MIs[0] policy
     /* 1070016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070026 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1070029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070048 */     // GIR_Coverage, 21844,
     /* 1070048 */     GIR_EraseRootFromParent_Done,
     /* 1070049 */   // Label 15776: @1070049
     /* 1070049 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1070126), // Rule ID 21847 //
     /* 1070054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070093 */     // MIs[0] policy
     /* 1070093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070103 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070125 */     // GIR_Coverage, 21847,
     /* 1070125 */     GIR_EraseRootFromParent_Done,
     /* 1070126 */   // Label 15777: @1070126
     /* 1070126 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1070203), // Rule ID 21848 //
     /* 1070131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070170 */     // MIs[0] policy
     /* 1070170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070180 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1070183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070202 */     // GIR_Coverage, 21848,
     /* 1070202 */     GIR_EraseRootFromParent_Done,
     /* 1070203 */   // Label 15778: @1070203
     /* 1070203 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070280), // Rule ID 21851 //
     /* 1070208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070247 */     // MIs[0] policy
     /* 1070247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070279 */     // GIR_Coverage, 21851,
     /* 1070279 */     GIR_EraseRootFromParent_Done,
     /* 1070280 */   // Label 15779: @1070280
     /* 1070280 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070357), // Rule ID 21852 //
     /* 1070285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070324 */     // MIs[0] policy
     /* 1070324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1070337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070356 */     // GIR_Coverage, 21852,
     /* 1070356 */     GIR_EraseRootFromParent_Done,
     /* 1070357 */   // Label 15780: @1070357
     /* 1070357 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070434), // Rule ID 21855 //
     /* 1070362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070401 */     // MIs[0] policy
     /* 1070401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070411 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070433 */     // GIR_Coverage, 21855,
     /* 1070433 */     GIR_EraseRootFromParent_Done,
     /* 1070434 */   // Label 15781: @1070434
     /* 1070434 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070511), // Rule ID 21856 //
     /* 1070439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1070456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070478 */     // MIs[0] policy
     /* 1070478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1070491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070510 */     // GIR_Coverage, 21856,
     /* 1070510 */     GIR_EraseRootFromParent_Done,
     /* 1070511 */   // Label 15782: @1070511
     /* 1070511 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070588), // Rule ID 21859 //
     /* 1070516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1070519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070555 */     // MIs[0] policy
     /* 1070555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1070568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070587 */     // GIR_Coverage, 21859,
     /* 1070587 */     GIR_EraseRootFromParent_Done,
     /* 1070588 */   // Label 15783: @1070588
     /* 1070588 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070665), // Rule ID 21860 //
     /* 1070593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1070596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1070601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1070610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070632 */     // MIs[0] policy
     /* 1070632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070642 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1070645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070664 */     // GIR_Coverage, 21860,
     /* 1070664 */     GIR_EraseRootFromParent_Done,
     /* 1070665 */   // Label 15784: @1070665
     /* 1070665 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070742), // Rule ID 23299 //
     /* 1070670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070709 */     // MIs[0] policy
     /* 1070709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1070722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070741 */     // GIR_Coverage, 23299,
     /* 1070741 */     GIR_EraseRootFromParent_Done,
     /* 1070742 */   // Label 15785: @1070742
     /* 1070742 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070819), // Rule ID 23300 //
     /* 1070747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070786 */     // MIs[0] policy
     /* 1070786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1070799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070818 */     // GIR_Coverage, 23300,
     /* 1070818 */     GIR_EraseRootFromParent_Done,
     /* 1070819 */   // Label 15786: @1070819
     /* 1070819 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070896), // Rule ID 23303 //
     /* 1070824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070863 */     // MIs[0] policy
     /* 1070863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070895 */     // GIR_Coverage, 23303,
     /* 1070895 */     GIR_EraseRootFromParent_Done,
     /* 1070896 */   // Label 15787: @1070896
     /* 1070896 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1070973), // Rule ID 23304 //
     /* 1070901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070940 */     // MIs[0] policy
     /* 1070940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070950 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070972 */     // GIR_Coverage, 23304,
     /* 1070972 */     GIR_EraseRootFromParent_Done,
     /* 1070973 */   // Label 15788: @1070973
     /* 1070973 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1071050), // Rule ID 23307 //
     /* 1070978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1070995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071017 */     // MIs[0] policy
     /* 1071017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071049 */     // GIR_Coverage, 23307,
     /* 1071049 */     GIR_EraseRootFromParent_Done,
     /* 1071050 */   // Label 15789: @1071050
     /* 1071050 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1071127), // Rule ID 23308 //
     /* 1071055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071094 */     // MIs[0] policy
     /* 1071094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1071107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071126 */     // GIR_Coverage, 23308,
     /* 1071126 */     GIR_EraseRootFromParent_Done,
     /* 1071127 */   // Label 15790: @1071127
     /* 1071127 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1071204), // Rule ID 23311 //
     /* 1071132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071171 */     // MIs[0] policy
     /* 1071171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071203 */     // GIR_Coverage, 23311,
     /* 1071203 */     GIR_EraseRootFromParent_Done,
     /* 1071204 */   // Label 15791: @1071204
     /* 1071204 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071281), // Rule ID 23312 //
     /* 1071209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071248 */     // MIs[0] policy
     /* 1071248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071280 */     // GIR_Coverage, 23312,
     /* 1071280 */     GIR_EraseRootFromParent_Done,
     /* 1071281 */   // Label 15792: @1071281
     /* 1071281 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071358), // Rule ID 23315 //
     /* 1071286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071325 */     // MIs[0] policy
     /* 1071325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071357 */     // GIR_Coverage, 23315,
     /* 1071357 */     GIR_EraseRootFromParent_Done,
     /* 1071358 */   // Label 15793: @1071358
     /* 1071358 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071435), // Rule ID 23316 //
     /* 1071363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071402 */     // MIs[0] policy
     /* 1071402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1071415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071434 */     // GIR_Coverage, 23316,
     /* 1071434 */     GIR_EraseRootFromParent_Done,
     /* 1071435 */   // Label 15794: @1071435
     /* 1071435 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071512), // Rule ID 23319 //
     /* 1071440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071479 */     // MIs[0] policy
     /* 1071479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071511 */     // GIR_Coverage, 23319,
     /* 1071511 */     GIR_EraseRootFromParent_Done,
     /* 1071512 */   // Label 15795: @1071512
     /* 1071512 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071589), // Rule ID 23320 //
     /* 1071517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1071528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1071531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071556 */     // MIs[0] policy
     /* 1071556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071566 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11243:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071588 */     // GIR_Coverage, 23320,
     /* 1071588 */     GIR_EraseRootFromParent_Done,
     /* 1071589 */   // Label 15796: @1071589
     /* 1071589 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071666), // Rule ID 23323 //
     /* 1071594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071633 */     // MIs[0] policy
     /* 1071633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071665 */     // GIR_Coverage, 23323,
     /* 1071665 */     GIR_EraseRootFromParent_Done,
     /* 1071666 */   // Label 15797: @1071666
     /* 1071666 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071743), // Rule ID 23324 //
     /* 1071671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071710 */     // MIs[0] policy
     /* 1071710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071742 */     // GIR_Coverage, 23324,
     /* 1071742 */     GIR_EraseRootFromParent_Done,
     /* 1071743 */   // Label 15798: @1071743
     /* 1071743 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071820), // Rule ID 23327 //
     /* 1071748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071787 */     // MIs[0] policy
     /* 1071787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071819 */     // GIR_Coverage, 23327,
     /* 1071819 */     GIR_EraseRootFromParent_Done,
     /* 1071820 */   // Label 15799: @1071820
     /* 1071820 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071897), // Rule ID 23328 //
     /* 1071825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1071842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071864 */     // MIs[0] policy
     /* 1071864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071896 */     // GIR_Coverage, 23328,
     /* 1071896 */     GIR_EraseRootFromParent_Done,
     /* 1071897 */   // Label 15800: @1071897
     /* 1071897 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1071974), // Rule ID 23331 //
     /* 1071902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1071913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1071916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071941 */     // MIs[0] policy
     /* 1071941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1071954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071973 */     // GIR_Coverage, 23331,
     /* 1071973 */     GIR_EraseRootFromParent_Done,
     /* 1071974 */   // Label 15801: @1071974
     /* 1071974 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1072051), // Rule ID 23332 //
     /* 1071979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1071990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1071993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1071996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072018 */     // MIs[0] policy
     /* 1072018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1072031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072050 */     // GIR_Coverage, 23332,
     /* 1072050 */     GIR_EraseRootFromParent_Done,
     /* 1072051 */   // Label 15802: @1072051
     /* 1072051 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1072128), // Rule ID 23335 //
     /* 1072056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072095 */     // MIs[0] policy
     /* 1072095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072127 */     // GIR_Coverage, 23335,
     /* 1072127 */     GIR_EraseRootFromParent_Done,
     /* 1072128 */   // Label 15803: @1072128
     /* 1072128 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1072205), // Rule ID 23336 //
     /* 1072133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072172 */     // MIs[0] policy
     /* 1072172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072182 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072204 */     // GIR_Coverage, 23336,
     /* 1072204 */     GIR_EraseRootFromParent_Done,
     /* 1072205 */   // Label 15804: @1072205
     /* 1072205 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072282), // Rule ID 23339 //
     /* 1072210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072249 */     // MIs[0] policy
     /* 1072249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072281 */     // GIR_Coverage, 23339,
     /* 1072281 */     GIR_EraseRootFromParent_Done,
     /* 1072282 */   // Label 15805: @1072282
     /* 1072282 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072359), // Rule ID 23340 //
     /* 1072287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072326 */     // MIs[0] policy
     /* 1072326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072358 */     // GIR_Coverage, 23340,
     /* 1072358 */     GIR_EraseRootFromParent_Done,
     /* 1072359 */   // Label 15806: @1072359
     /* 1072359 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072436), // Rule ID 23343 //
     /* 1072364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072403 */     // MIs[0] policy
     /* 1072403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072413 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072435 */     // GIR_Coverage, 23343,
     /* 1072435 */     GIR_EraseRootFromParent_Done,
     /* 1072436 */   // Label 15807: @1072436
     /* 1072436 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072513), // Rule ID 23344 //
     /* 1072441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1072452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1072455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1072458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1072461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072480 */     // MIs[0] policy
     /* 1072480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072490 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072512 */     // GIR_Coverage, 23344,
     /* 1072512 */     GIR_EraseRootFromParent_Done,
     /* 1072513 */   // Label 15808: @1072513
     /* 1072513 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072590), // Rule ID 23347 //
     /* 1072518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072557 */     // MIs[0] policy
     /* 1072557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072589 */     // GIR_Coverage, 23347,
     /* 1072589 */     GIR_EraseRootFromParent_Done,
     /* 1072590 */   // Label 15809: @1072590
     /* 1072590 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072667), // Rule ID 23348 //
     /* 1072595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072634 */     // MIs[0] policy
     /* 1072634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072666 */     // GIR_Coverage, 23348,
     /* 1072666 */     GIR_EraseRootFromParent_Done,
     /* 1072667 */   // Label 15810: @1072667
     /* 1072667 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072744), // Rule ID 23351 //
     /* 1072672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1072683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1072686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072711 */     // MIs[0] policy
     /* 1072711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072743 */     // GIR_Coverage, 23351,
     /* 1072743 */     GIR_EraseRootFromParent_Done,
     /* 1072744 */   // Label 15811: @1072744
     /* 1072744 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072821), // Rule ID 23352 //
     /* 1072749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1072760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1072763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072788 */     // MIs[0] policy
     /* 1072788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072820 */     // GIR_Coverage, 23352,
     /* 1072820 */     GIR_EraseRootFromParent_Done,
     /* 1072821 */   // Label 15812: @1072821
     /* 1072821 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072898), // Rule ID 23355 //
     /* 1072826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1072837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1072840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072865 */     // MIs[0] policy
     /* 1072865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072897 */     // GIR_Coverage, 23355,
     /* 1072897 */     GIR_EraseRootFromParent_Done,
     /* 1072898 */   // Label 15813: @1072898
     /* 1072898 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1072975), // Rule ID 23356 //
     /* 1072903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1072914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1072917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1072920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072942 */     // MIs[0] policy
     /* 1072942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072974 */     // GIR_Coverage, 23356,
     /* 1072974 */     GIR_EraseRootFromParent_Done,
     /* 1072975 */   // Label 15814: @1072975
     /* 1072975 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1073052), // Rule ID 23359 //
     /* 1072980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1072991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1072994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073019 */     // MIs[0] policy
     /* 1073019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073051 */     // GIR_Coverage, 23359,
     /* 1073051 */     GIR_EraseRootFromParent_Done,
     /* 1073052 */   // Label 15815: @1073052
     /* 1073052 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1073129), // Rule ID 23360 //
     /* 1073057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073096 */     // MIs[0] policy
     /* 1073096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073128 */     // GIR_Coverage, 23360,
     /* 1073128 */     GIR_EraseRootFromParent_Done,
     /* 1073129 */   // Label 15816: @1073129
     /* 1073129 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1073206), // Rule ID 23363 //
     /* 1073134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073173 */     // MIs[0] policy
     /* 1073173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073205 */     // GIR_Coverage, 23363,
     /* 1073205 */     GIR_EraseRootFromParent_Done,
     /* 1073206 */   // Label 15817: @1073206
     /* 1073206 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073283), // Rule ID 23364 //
     /* 1073211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073250 */     // MIs[0] policy
     /* 1073250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073282 */     // GIR_Coverage, 23364,
     /* 1073282 */     GIR_EraseRootFromParent_Done,
     /* 1073283 */   // Label 15818: @1073283
     /* 1073283 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073360), // Rule ID 23367 //
     /* 1073288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073327 */     // MIs[0] policy
     /* 1073327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073359 */     // GIR_Coverage, 23367,
     /* 1073359 */     GIR_EraseRootFromParent_Done,
     /* 1073360 */   // Label 15819: @1073360
     /* 1073360 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073437), // Rule ID 23368 //
     /* 1073365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1073376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1073379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1073382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073404 */     // MIs[0] policy
     /* 1073404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073436 */     // GIR_Coverage, 23368,
     /* 1073436 */     GIR_EraseRootFromParent_Done,
     /* 1073437 */   // Label 15820: @1073437
     /* 1073437 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073514), // Rule ID 23371 //
     /* 1073442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073481 */     // MIs[0] policy
     /* 1073481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073513 */     // GIR_Coverage, 23371,
     /* 1073513 */     GIR_EraseRootFromParent_Done,
     /* 1073514 */   // Label 15821: @1073514
     /* 1073514 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073591), // Rule ID 23372 //
     /* 1073519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1073530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1073533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1073536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073558 */     // MIs[0] policy
     /* 1073558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1073571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073590 */     // GIR_Coverage, 23372,
     /* 1073590 */     GIR_EraseRootFromParent_Done,
     /* 1073591 */   // Label 15822: @1073591
     /* 1073591 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073668), // Rule ID 23375 //
     /* 1073596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1073607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1073610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073635 */     // MIs[0] policy
     /* 1073635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073667 */     // GIR_Coverage, 23375,
     /* 1073667 */     GIR_EraseRootFromParent_Done,
     /* 1073668 */   // Label 15823: @1073668
     /* 1073668 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073745), // Rule ID 23376 //
     /* 1073673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1073684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1073687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1073690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073712 */     // MIs[0] policy
     /* 1073712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1073725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073744 */     // GIR_Coverage, 23376,
     /* 1073744 */     GIR_EraseRootFromParent_Done,
     /* 1073745 */   // Label 15824: @1073745
     /* 1073745 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073822), // Rule ID 23379 //
     /* 1073750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1073761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1073764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073789 */     // MIs[0] policy
     /* 1073789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073821 */     // GIR_Coverage, 23379,
     /* 1073821 */     GIR_EraseRootFromParent_Done,
     /* 1073822 */   // Label 15825: @1073822
     /* 1073822 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073899), // Rule ID 23380 //
     /* 1073827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1073835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1073838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1073841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1073844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1073854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073866 */     // MIs[0] policy
     /* 1073866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1073879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073898 */     // GIR_Coverage, 23380,
     /* 1073898 */     GIR_EraseRootFromParent_Done,
     /* 1073899 */   // Label 15826: @1073899
     /* 1073899 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1073976), // Rule ID 23485 //
     /* 1073904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1073915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1073918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1073921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073943 */     // MIs[0] policy
     /* 1073943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1073956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073975 */     // GIR_Coverage, 23485,
     /* 1073975 */     GIR_EraseRootFromParent_Done,
     /* 1073976 */   // Label 15827: @1073976
     /* 1073976 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1074053), // Rule ID 23486 //
     /* 1073981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1073992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1073995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1073998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074020 */     // MIs[0] policy
     /* 1074020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074030 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1074033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074052 */     // GIR_Coverage, 23486,
     /* 1074052 */     GIR_EraseRootFromParent_Done,
     /* 1074053 */   // Label 15828: @1074053
     /* 1074053 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1074130), // Rule ID 23489 //
     /* 1074058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074097 */     // MIs[0] policy
     /* 1074097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074129 */     // GIR_Coverage, 23489,
     /* 1074129 */     GIR_EraseRootFromParent_Done,
     /* 1074130 */   // Label 15829: @1074130
     /* 1074130 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1074207), // Rule ID 23490 //
     /* 1074135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1074146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1074149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1074152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074174 */     // MIs[0] policy
     /* 1074174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074206 */     // GIR_Coverage, 23490,
     /* 1074206 */     GIR_EraseRootFromParent_Done,
     /* 1074207 */   // Label 15830: @1074207
     /* 1074207 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074284), // Rule ID 23493 //
     /* 1074212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074251 */     // MIs[0] policy
     /* 1074251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074283 */     // GIR_Coverage, 23493,
     /* 1074283 */     GIR_EraseRootFromParent_Done,
     /* 1074284 */   // Label 15831: @1074284
     /* 1074284 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074361), // Rule ID 23494 //
     /* 1074289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1074300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1074303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1074306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074328 */     // MIs[0] policy
     /* 1074328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074360 */     // GIR_Coverage, 23494,
     /* 1074360 */     GIR_EraseRootFromParent_Done,
     /* 1074361 */   // Label 15832: @1074361
     /* 1074361 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074438), // Rule ID 23497 //
     /* 1074366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074405 */     // MIs[0] policy
     /* 1074405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074437 */     // GIR_Coverage, 23497,
     /* 1074437 */     GIR_EraseRootFromParent_Done,
     /* 1074438 */   // Label 15833: @1074438
     /* 1074438 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074515), // Rule ID 23498 //
     /* 1074443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074482 */     // MIs[0] policy
     /* 1074482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074514 */     // GIR_Coverage, 23498,
     /* 1074514 */     GIR_EraseRootFromParent_Done,
     /* 1074515 */   // Label 15834: @1074515
     /* 1074515 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074592), // Rule ID 23501 //
     /* 1074520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074559 */     // MIs[0] policy
     /* 1074559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074591 */     // GIR_Coverage, 23501,
     /* 1074591 */     GIR_EraseRootFromParent_Done,
     /* 1074592 */   // Label 15835: @1074592
     /* 1074592 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074669), // Rule ID 23502 //
     /* 1074597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074636 */     // MIs[0] policy
     /* 1074636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074668 */     // GIR_Coverage, 23502,
     /* 1074668 */     GIR_EraseRootFromParent_Done,
     /* 1074669 */   // Label 15836: @1074669
     /* 1074669 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074746), // Rule ID 23505 //
     /* 1074674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074713 */     // MIs[0] policy
     /* 1074713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074745 */     // GIR_Coverage, 23505,
     /* 1074745 */     GIR_EraseRootFromParent_Done,
     /* 1074746 */   // Label 15837: @1074746
     /* 1074746 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074823), // Rule ID 23506 //
     /* 1074751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074790 */     // MIs[0] policy
     /* 1074790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074822 */     // GIR_Coverage, 23506,
     /* 1074822 */     GIR_EraseRootFromParent_Done,
     /* 1074823 */   // Label 15838: @1074823
     /* 1074823 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074900), // Rule ID 23509 //
     /* 1074828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1074839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1074842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1074845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074867 */     // MIs[0] policy
     /* 1074867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074899 */     // GIR_Coverage, 23509,
     /* 1074899 */     GIR_EraseRootFromParent_Done,
     /* 1074900 */   // Label 15839: @1074900
     /* 1074900 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1074977), // Rule ID 23510 //
     /* 1074905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1074916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1074919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1074922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074944 */     // MIs[0] policy
     /* 1074944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074954 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074976 */     // GIR_Coverage, 23510,
     /* 1074976 */     GIR_EraseRootFromParent_Done,
     /* 1074977 */   // Label 15840: @1074977
     /* 1074977 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1075054), // Rule ID 23513 //
     /* 1074982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1074999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075021 */     // MIs[0] policy
     /* 1075021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075053 */     // GIR_Coverage, 23513,
     /* 1075053 */     GIR_EraseRootFromParent_Done,
     /* 1075054 */   // Label 15841: @1075054
     /* 1075054 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1075131), // Rule ID 23514 //
     /* 1075059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075098 */     // MIs[0] policy
     /* 1075098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075130 */     // GIR_Coverage, 23514,
     /* 1075130 */     GIR_EraseRootFromParent_Done,
     /* 1075131 */   // Label 15842: @1075131
     /* 1075131 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1075208), // Rule ID 23517 //
     /* 1075136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075175 */     // MIs[0] policy
     /* 1075175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075207 */     // GIR_Coverage, 23517,
     /* 1075207 */     GIR_EraseRootFromParent_Done,
     /* 1075208 */   // Label 15843: @1075208
     /* 1075208 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075285), // Rule ID 23518 //
     /* 1075213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075252 */     // MIs[0] policy
     /* 1075252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075284 */     // GIR_Coverage, 23518,
     /* 1075284 */     GIR_EraseRootFromParent_Done,
     /* 1075285 */   // Label 15844: @1075285
     /* 1075285 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075362), // Rule ID 23521 //
     /* 1075290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075329 */     // MIs[0] policy
     /* 1075329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075361 */     // GIR_Coverage, 23521,
     /* 1075361 */     GIR_EraseRootFromParent_Done,
     /* 1075362 */   // Label 15845: @1075362
     /* 1075362 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075439), // Rule ID 23522 //
     /* 1075367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075406 */     // MIs[0] policy
     /* 1075406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075438 */     // GIR_Coverage, 23522,
     /* 1075438 */     GIR_EraseRootFromParent_Done,
     /* 1075439 */   // Label 15846: @1075439
     /* 1075439 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075516), // Rule ID 23525 //
     /* 1075444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075483 */     // MIs[0] policy
     /* 1075483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075515 */     // GIR_Coverage, 23525,
     /* 1075515 */     GIR_EraseRootFromParent_Done,
     /* 1075516 */   // Label 15847: @1075516
     /* 1075516 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075593), // Rule ID 23526 //
     /* 1075521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1075532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1075535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1075538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075560 */     // MIs[0] policy
     /* 1075560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075592 */     // GIR_Coverage, 23526,
     /* 1075592 */     GIR_EraseRootFromParent_Done,
     /* 1075593 */   // Label 15848: @1075593
     /* 1075593 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075670), // Rule ID 23529 //
     /* 1075598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1075609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1075612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1075615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075637 */     // MIs[0] policy
     /* 1075637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075669 */     // GIR_Coverage, 23529,
     /* 1075669 */     GIR_EraseRootFromParent_Done,
     /* 1075670 */   // Label 15849: @1075670
     /* 1075670 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075747), // Rule ID 23530 //
     /* 1075675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1075686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1075689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1075692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075714 */     // MIs[0] policy
     /* 1075714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075746 */     // GIR_Coverage, 23530,
     /* 1075746 */     GIR_EraseRootFromParent_Done,
     /* 1075747 */   // Label 15850: @1075747
     /* 1075747 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075824), // Rule ID 23533 //
     /* 1075752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1075763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1075766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1075769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075791 */     // MIs[0] policy
     /* 1075791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075801 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075823 */     // GIR_Coverage, 23533,
     /* 1075823 */     GIR_EraseRootFromParent_Done,
     /* 1075824 */   // Label 15851: @1075824
     /* 1075824 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075901), // Rule ID 23534 //
     /* 1075829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1075840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1075843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1075846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075868 */     // MIs[0] policy
     /* 1075868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075900 */     // GIR_Coverage, 23534,
     /* 1075900 */     GIR_EraseRootFromParent_Done,
     /* 1075901 */   // Label 15852: @1075901
     /* 1075901 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1075978), // Rule ID 23537 //
     /* 1075906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1075923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075945 */     // MIs[0] policy
     /* 1075945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075977 */     // GIR_Coverage, 23537,
     /* 1075977 */     GIR_EraseRootFromParent_Done,
     /* 1075978 */   // Label 15853: @1075978
     /* 1075978 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1076055), // Rule ID 23538 //
     /* 1075983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1076000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076022 */     // MIs[0] policy
     /* 1076022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076054 */     // GIR_Coverage, 23538,
     /* 1076054 */     GIR_EraseRootFromParent_Done,
     /* 1076055 */   // Label 15854: @1076055
     /* 1076055 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1076132), // Rule ID 23541 //
     /* 1076060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076099 */     // MIs[0] policy
     /* 1076099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076131 */     // GIR_Coverage, 23541,
     /* 1076131 */     GIR_EraseRootFromParent_Done,
     /* 1076132 */   // Label 15855: @1076132
     /* 1076132 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1076209), // Rule ID 23542 //
     /* 1076137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1076148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1076151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1076154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076176 */     // MIs[0] policy
     /* 1076176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076208 */     // GIR_Coverage, 23542,
     /* 1076208 */     GIR_EraseRootFromParent_Done,
     /* 1076209 */   // Label 15856: @1076209
     /* 1076209 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076286), // Rule ID 23545 //
     /* 1076214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076253 */     // MIs[0] policy
     /* 1076253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076285 */     // GIR_Coverage, 23545,
     /* 1076285 */     GIR_EraseRootFromParent_Done,
     /* 1076286 */   // Label 15857: @1076286
     /* 1076286 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076363), // Rule ID 23546 //
     /* 1076291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076330 */     // MIs[0] policy
     /* 1076330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076340 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076362 */     // GIR_Coverage, 23546,
     /* 1076362 */     GIR_EraseRootFromParent_Done,
     /* 1076363 */   // Label 15858: @1076363
     /* 1076363 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076440), // Rule ID 23549 //
     /* 1076368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076407 */     // MIs[0] policy
     /* 1076407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076439 */     // GIR_Coverage, 23549,
     /* 1076439 */     GIR_EraseRootFromParent_Done,
     /* 1076440 */   // Label 15859: @1076440
     /* 1076440 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076517), // Rule ID 23550 //
     /* 1076445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076484 */     // MIs[0] policy
     /* 1076484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076516 */     // GIR_Coverage, 23550,
     /* 1076516 */     GIR_EraseRootFromParent_Done,
     /* 1076517 */   // Label 15860: @1076517
     /* 1076517 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076594), // Rule ID 23553 //
     /* 1076522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076561 */     // MIs[0] policy
     /* 1076561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076593 */     // GIR_Coverage, 23553,
     /* 1076593 */     GIR_EraseRootFromParent_Done,
     /* 1076594 */   // Label 15861: @1076594
     /* 1076594 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076671), // Rule ID 23554 //
     /* 1076599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076638 */     // MIs[0] policy
     /* 1076638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076670 */     // GIR_Coverage, 23554,
     /* 1076670 */     GIR_EraseRootFromParent_Done,
     /* 1076671 */   // Label 15862: @1076671
     /* 1076671 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076748), // Rule ID 23557 //
     /* 1076676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076715 */     // MIs[0] policy
     /* 1076715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076747 */     // GIR_Coverage, 23557,
     /* 1076747 */     GIR_EraseRootFromParent_Done,
     /* 1076748 */   // Label 15863: @1076748
     /* 1076748 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076825), // Rule ID 23558 //
     /* 1076753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076792 */     // MIs[0] policy
     /* 1076792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076824 */     // GIR_Coverage, 23558,
     /* 1076824 */     GIR_EraseRootFromParent_Done,
     /* 1076825 */   // Label 15864: @1076825
     /* 1076825 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076902), // Rule ID 23561 //
     /* 1076830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076869 */     // MIs[0] policy
     /* 1076869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076901 */     // GIR_Coverage, 23561,
     /* 1076901 */     GIR_EraseRootFromParent_Done,
     /* 1076902 */   // Label 15865: @1076902
     /* 1076902 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1076979), // Rule ID 23562 //
     /* 1076907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076946 */     // MIs[0] policy
     /* 1076946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076978 */     // GIR_Coverage, 23562,
     /* 1076978 */     GIR_EraseRootFromParent_Done,
     /* 1076979 */   // Label 15866: @1076979
     /* 1076979 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1077056), // Rule ID 23565 //
     /* 1076984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1076995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1076998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077023 */     // MIs[0] policy
     /* 1077023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077055 */     // GIR_Coverage, 23565,
     /* 1077055 */     GIR_EraseRootFromParent_Done,
     /* 1077056 */   // Label 15867: @1077056
     /* 1077056 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1077133), // Rule ID 23566 //
     /* 1077061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1077072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1077075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1077078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077100 */     // MIs[0] policy
     /* 1077100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1077113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077132 */     // GIR_Coverage, 23566,
     /* 1077132 */     GIR_EraseRootFromParent_Done,
     /* 1077133 */   // Label 15868: @1077133
     /* 1077133 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1077210), // Rule ID 23569 //
     /* 1077138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077177 */     // MIs[0] policy
     /* 1077177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077209 */     // GIR_Coverage, 23569,
     /* 1077209 */     GIR_EraseRootFromParent_Done,
     /* 1077210 */   // Label 15869: @1077210
     /* 1077210 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077287), // Rule ID 23570 //
     /* 1077215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077254 */     // MIs[0] policy
     /* 1077254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077286 */     // GIR_Coverage, 23570,
     /* 1077286 */     GIR_EraseRootFromParent_Done,
     /* 1077287 */   // Label 15870: @1077287
     /* 1077287 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077364), // Rule ID 23661 //
     /* 1077292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077331 */     // MIs[0] policy
     /* 1077331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077363 */     // GIR_Coverage, 23661,
     /* 1077363 */     GIR_EraseRootFromParent_Done,
     /* 1077364 */   // Label 15871: @1077364
     /* 1077364 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077441), // Rule ID 23662 //
     /* 1077369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1077380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1077383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1077386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077408 */     // MIs[0] policy
     /* 1077408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1077421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077440 */     // GIR_Coverage, 23662,
     /* 1077440 */     GIR_EraseRootFromParent_Done,
     /* 1077441 */   // Label 15872: @1077441
     /* 1077441 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077518), // Rule ID 23665 //
     /* 1077446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077485 */     // MIs[0] policy
     /* 1077485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077517 */     // GIR_Coverage, 23665,
     /* 1077517 */     GIR_EraseRootFromParent_Done,
     /* 1077518 */   // Label 15873: @1077518
     /* 1077518 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077595), // Rule ID 23666 //
     /* 1077523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1077534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1077537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1077540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077562 */     // MIs[0] policy
     /* 1077562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077572 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077594 */     // GIR_Coverage, 23666,
     /* 1077594 */     GIR_EraseRootFromParent_Done,
     /* 1077595 */   // Label 15874: @1077595
     /* 1077595 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077672), // Rule ID 23669 //
     /* 1077600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1077611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1077614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1077617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077639 */     // MIs[0] policy
     /* 1077639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077671 */     // GIR_Coverage, 23669,
     /* 1077671 */     GIR_EraseRootFromParent_Done,
     /* 1077672 */   // Label 15875: @1077672
     /* 1077672 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077749), // Rule ID 23670 //
     /* 1077677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1077688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1077691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1077694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077716 */     // MIs[0] policy
     /* 1077716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077748 */     // GIR_Coverage, 23670,
     /* 1077748 */     GIR_EraseRootFromParent_Done,
     /* 1077749 */   // Label 15876: @1077749
     /* 1077749 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077826), // Rule ID 23673 //
     /* 1077754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077793 */     // MIs[0] policy
     /* 1077793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077825 */     // GIR_Coverage, 23673,
     /* 1077825 */     GIR_EraseRootFromParent_Done,
     /* 1077826 */   // Label 15877: @1077826
     /* 1077826 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077903), // Rule ID 23674 //
     /* 1077831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077870 */     // MIs[0] policy
     /* 1077870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077902 */     // GIR_Coverage, 23674,
     /* 1077902 */     GIR_EraseRootFromParent_Done,
     /* 1077903 */   // Label 15878: @1077903
     /* 1077903 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1077980), // Rule ID 23677 //
     /* 1077908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1077919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1077922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1077925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077947 */     // MIs[0] policy
     /* 1077947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077957 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077979 */     // GIR_Coverage, 23677,
     /* 1077979 */     GIR_EraseRootFromParent_Done,
     /* 1077980 */   // Label 15879: @1077980
     /* 1077980 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1078057), // Rule ID 23678 //
     /* 1077985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1077996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1077999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1078002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078024 */     // MIs[0] policy
     /* 1078024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078056 */     // GIR_Coverage, 23678,
     /* 1078056 */     GIR_EraseRootFromParent_Done,
     /* 1078057 */   // Label 15880: @1078057
     /* 1078057 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1078134), // Rule ID 23681 //
     /* 1078062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078101 */     // MIs[0] policy
     /* 1078101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078133 */     // GIR_Coverage, 23681,
     /* 1078133 */     GIR_EraseRootFromParent_Done,
     /* 1078134 */   // Label 15881: @1078134
     /* 1078134 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1078211), // Rule ID 23682 //
     /* 1078139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1078150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1078153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1078156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078178 */     // MIs[0] policy
     /* 1078178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1078191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078210 */     // GIR_Coverage, 23682,
     /* 1078210 */     GIR_EraseRootFromParent_Done,
     /* 1078211 */   // Label 15882: @1078211
     /* 1078211 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078288), // Rule ID 23685 //
     /* 1078216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078255 */     // MIs[0] policy
     /* 1078255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078287 */     // GIR_Coverage, 23685,
     /* 1078287 */     GIR_EraseRootFromParent_Done,
     /* 1078288 */   // Label 15883: @1078288
     /* 1078288 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078365), // Rule ID 23686 //
     /* 1078293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1078304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1078307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1078310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078332 */     // MIs[0] policy
     /* 1078332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078364 */     // GIR_Coverage, 23686,
     /* 1078364 */     GIR_EraseRootFromParent_Done,
     /* 1078365 */   // Label 15884: @1078365
     /* 1078365 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078442), // Rule ID 23689 //
     /* 1078370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078409 */     // MIs[0] policy
     /* 1078409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078441 */     // GIR_Coverage, 23689,
     /* 1078441 */     GIR_EraseRootFromParent_Done,
     /* 1078442 */   // Label 15885: @1078442
     /* 1078442 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078519), // Rule ID 23690 //
     /* 1078447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1078458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1078461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1078464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078486 */     // MIs[0] policy
     /* 1078486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078518 */     // GIR_Coverage, 23690,
     /* 1078518 */     GIR_EraseRootFromParent_Done,
     /* 1078519 */   // Label 15886: @1078519
     /* 1078519 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078596), // Rule ID 23693 //
     /* 1078524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078563 */     // MIs[0] policy
     /* 1078563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078595 */     // GIR_Coverage, 23693,
     /* 1078595 */     GIR_EraseRootFromParent_Done,
     /* 1078596 */   // Label 15887: @1078596
     /* 1078596 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078673), // Rule ID 23694 //
     /* 1078601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1078612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1078615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1078618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078640 */     // MIs[0] policy
     /* 1078640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078672 */     // GIR_Coverage, 23694,
     /* 1078672 */     GIR_EraseRootFromParent_Done,
     /* 1078673 */   // Label 15888: @1078673
     /* 1078673 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078750), // Rule ID 23697 //
     /* 1078678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1078689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1078692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1078695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078717 */     // MIs[0] policy
     /* 1078717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078749 */     // GIR_Coverage, 23697,
     /* 1078749 */     GIR_EraseRootFromParent_Done,
     /* 1078750 */   // Label 15889: @1078750
     /* 1078750 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078827), // Rule ID 23698 //
     /* 1078755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1078766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1078769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1078772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078794 */     // MIs[0] policy
     /* 1078794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1078807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078826 */     // GIR_Coverage, 23698,
     /* 1078826 */     GIR_EraseRootFromParent_Done,
     /* 1078827 */   // Label 15890: @1078827
     /* 1078827 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078904), // Rule ID 23701 //
     /* 1078832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1078843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1078846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1078849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078871 */     // MIs[0] policy
     /* 1078871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078903 */     // GIR_Coverage, 23701,
     /* 1078903 */     GIR_EraseRootFromParent_Done,
     /* 1078904 */   // Label 15891: @1078904
     /* 1078904 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1078981), // Rule ID 23702 //
     /* 1078909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1078920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1078923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1078926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078948 */     // MIs[0] policy
     /* 1078948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078980 */     // GIR_Coverage, 23702,
     /* 1078980 */     GIR_EraseRootFromParent_Done,
     /* 1078981 */   // Label 15892: @1078981
     /* 1078981 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1079058), // Rule ID 23705 //
     /* 1078986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1078997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079025 */     // MIs[0] policy
     /* 1079025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079057 */     // GIR_Coverage, 23705,
     /* 1079057 */     GIR_EraseRootFromParent_Done,
     /* 1079058 */   // Label 15893: @1079058
     /* 1079058 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1079135), // Rule ID 23706 //
     /* 1079063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1079080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079102 */     // MIs[0] policy
     /* 1079102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079134 */     // GIR_Coverage, 23706,
     /* 1079134 */     GIR_EraseRootFromParent_Done,
     /* 1079135 */   // Label 15894: @1079135
     /* 1079135 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1079212), // Rule ID 23709 //
     /* 1079140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079179 */     // MIs[0] policy
     /* 1079179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079189 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079211 */     // GIR_Coverage, 23709,
     /* 1079211 */     GIR_EraseRootFromParent_Done,
     /* 1079212 */   // Label 15895: @1079212
     /* 1079212 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079289), // Rule ID 23710 //
     /* 1079217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1079228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1079231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1079234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079256 */     // MIs[0] policy
     /* 1079256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079288 */     // GIR_Coverage, 23710,
     /* 1079288 */     GIR_EraseRootFromParent_Done,
     /* 1079289 */   // Label 15896: @1079289
     /* 1079289 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079366), // Rule ID 23713 //
     /* 1079294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079333 */     // MIs[0] policy
     /* 1079333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079365 */     // GIR_Coverage, 23713,
     /* 1079365 */     GIR_EraseRootFromParent_Done,
     /* 1079366 */   // Label 15897: @1079366
     /* 1079366 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079443), // Rule ID 23714 //
     /* 1079371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1079382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1079385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079410 */     // MIs[0] policy
     /* 1079410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079420 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079442 */     // GIR_Coverage, 23714,
     /* 1079442 */     GIR_EraseRootFromParent_Done,
     /* 1079443 */   // Label 15898: @1079443
     /* 1079443 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079520), // Rule ID 23717 //
     /* 1079448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079487 */     // MIs[0] policy
     /* 1079487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079519 */     // GIR_Coverage, 23717,
     /* 1079519 */     GIR_EraseRootFromParent_Done,
     /* 1079520 */   // Label 15899: @1079520
     /* 1079520 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079597), // Rule ID 23718 //
     /* 1079525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1079536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1079539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079564 */     // MIs[0] policy
     /* 1079564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079596 */     // GIR_Coverage, 23718,
     /* 1079596 */     GIR_EraseRootFromParent_Done,
     /* 1079597 */   // Label 15900: @1079597
     /* 1079597 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079674), // Rule ID 23721 //
     /* 1079602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1079613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1079616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079641 */     // MIs[0] policy
     /* 1079641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079673 */     // GIR_Coverage, 23721,
     /* 1079673 */     GIR_EraseRootFromParent_Done,
     /* 1079674 */   // Label 15901: @1079674
     /* 1079674 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079751), // Rule ID 23722 //
     /* 1079679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1079690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1079693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079718 */     // MIs[0] policy
     /* 1079718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079750 */     // GIR_Coverage, 23722,
     /* 1079750 */     GIR_EraseRootFromParent_Done,
     /* 1079751 */   // Label 15902: @1079751
     /* 1079751 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079828), // Rule ID 23725 //
     /* 1079756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1079767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1079770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1079773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079795 */     // MIs[0] policy
     /* 1079795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079827 */     // GIR_Coverage, 23725,
     /* 1079827 */     GIR_EraseRootFromParent_Done,
     /* 1079828 */   // Label 15903: @1079828
     /* 1079828 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079905), // Rule ID 23726 //
     /* 1079833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1079844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1079847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1079850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079872 */     // MIs[0] policy
     /* 1079872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079904 */     // GIR_Coverage, 23726,
     /* 1079904 */     GIR_EraseRootFromParent_Done,
     /* 1079905 */   // Label 15904: @1079905
     /* 1079905 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1079982), // Rule ID 23729 //
     /* 1079910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1079921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1079924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1079927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079949 */     // MIs[0] policy
     /* 1079949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079981 */     // GIR_Coverage, 23729,
     /* 1079981 */     GIR_EraseRootFromParent_Done,
     /* 1079982 */   // Label 15905: @1079982
     /* 1079982 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1080059), // Rule ID 23730 //
     /* 1079987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1079998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1080001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080026 */     // MIs[0] policy
     /* 1080026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080058 */     // GIR_Coverage, 23730,
     /* 1080058 */     GIR_EraseRootFromParent_Done,
     /* 1080059 */   // Label 15906: @1080059
     /* 1080059 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1080136), // Rule ID 23733 //
     /* 1080064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080103 */     // MIs[0] policy
     /* 1080103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080113 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080135 */     // GIR_Coverage, 23733,
     /* 1080135 */     GIR_EraseRootFromParent_Done,
     /* 1080136 */   // Label 15907: @1080136
     /* 1080136 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1080213), // Rule ID 23734 //
     /* 1080141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1080152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1080155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080180 */     // MIs[0] policy
     /* 1080180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080212 */     // GIR_Coverage, 23734,
     /* 1080212 */     GIR_EraseRootFromParent_Done,
     /* 1080213 */   // Label 15908: @1080213
     /* 1080213 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080290), // Rule ID 23737 //
     /* 1080218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080257 */     // MIs[0] policy
     /* 1080257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080289 */     // GIR_Coverage, 23737,
     /* 1080289 */     GIR_EraseRootFromParent_Done,
     /* 1080290 */   // Label 15909: @1080290
     /* 1080290 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080367), // Rule ID 23738 //
     /* 1080295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1080306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1080309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080334 */     // MIs[0] policy
     /* 1080334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1080347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080366 */     // GIR_Coverage, 23738,
     /* 1080366 */     GIR_EraseRootFromParent_Done,
     /* 1080367 */   // Label 15910: @1080367
     /* 1080367 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080444), // Rule ID 23741 //
     /* 1080372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080411 */     // MIs[0] policy
     /* 1080411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080443 */     // GIR_Coverage, 23741,
     /* 1080443 */     GIR_EraseRootFromParent_Done,
     /* 1080444 */   // Label 15911: @1080444
     /* 1080444 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080521), // Rule ID 23742 //
     /* 1080449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1080460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1080463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080488 */     // MIs[0] policy
     /* 1080488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1080501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080520 */     // GIR_Coverage, 23742,
     /* 1080520 */     GIR_EraseRootFromParent_Done,
     /* 1080521 */   // Label 15912: @1080521
     /* 1080521 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080598), // Rule ID 23745 //
     /* 1080526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080565 */     // MIs[0] policy
     /* 1080565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080597 */     // GIR_Coverage, 23745,
     /* 1080597 */     GIR_EraseRootFromParent_Done,
     /* 1080598 */   // Label 15913: @1080598
     /* 1080598 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080675), // Rule ID 23746 //
     /* 1080603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1080611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1080614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1080617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1080620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080642 */     // MIs[0] policy
     /* 1080642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1080655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080674 */     // GIR_Coverage, 23746,
     /* 1080674 */     GIR_EraseRootFromParent_Done,
     /* 1080675 */   // Label 15914: @1080675
     /* 1080675 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080752), // Rule ID 24013 //
     /* 1080680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080719 */     // MIs[0] policy
     /* 1080719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080729 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1080732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080751 */     // GIR_Coverage, 24013,
     /* 1080751 */     GIR_EraseRootFromParent_Done,
     /* 1080752 */   // Label 15915: @1080752
     /* 1080752 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080829), // Rule ID 24014 //
     /* 1080757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080796 */     // MIs[0] policy
     /* 1080796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080806 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1080809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080828 */     // GIR_Coverage, 24014,
     /* 1080828 */     GIR_EraseRootFromParent_Done,
     /* 1080829 */   // Label 15916: @1080829
     /* 1080829 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080906), // Rule ID 24017 //
     /* 1080834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080873 */     // MIs[0] policy
     /* 1080873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080883 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1080886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080905 */     // GIR_Coverage, 24017,
     /* 1080905 */     GIR_EraseRootFromParent_Done,
     /* 1080906 */   // Label 15917: @1080906
     /* 1080906 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1080983), // Rule ID 24018 //
     /* 1080911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080950 */     // MIs[0] policy
     /* 1080950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1080963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080982 */     // GIR_Coverage, 24018,
     /* 1080982 */     GIR_EraseRootFromParent_Done,
     /* 1080983 */   // Label 15918: @1080983
     /* 1080983 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1081060), // Rule ID 24021 //
     /* 1080988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1080991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081027 */     // MIs[0] policy
     /* 1081027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081037 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081059 */     // GIR_Coverage, 24021,
     /* 1081059 */     GIR_EraseRootFromParent_Done,
     /* 1081060 */   // Label 15919: @1081060
     /* 1081060 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1081137), // Rule ID 24022 //
     /* 1081065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1081076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1081079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1081082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081104 */     // MIs[0] policy
     /* 1081104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081114 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1081117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081136 */     // GIR_Coverage, 24022,
     /* 1081136 */     GIR_EraseRootFromParent_Done,
     /* 1081137 */   // Label 15920: @1081137
     /* 1081137 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1081214), // Rule ID 24025 //
     /* 1081142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081181 */     // MIs[0] policy
     /* 1081181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081213 */     // GIR_Coverage, 24025,
     /* 1081213 */     GIR_EraseRootFromParent_Done,
     /* 1081214 */   // Label 15921: @1081214
     /* 1081214 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081291), // Rule ID 24026 //
     /* 1081219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1081230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1081233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081258 */     // MIs[0] policy
     /* 1081258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081268 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081290 */     // GIR_Coverage, 24026,
     /* 1081290 */     GIR_EraseRootFromParent_Done,
     /* 1081291 */   // Label 15922: @1081291
     /* 1081291 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081368), // Rule ID 24029 //
     /* 1081296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081335 */     // MIs[0] policy
     /* 1081335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081345 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081367 */     // GIR_Coverage, 24029,
     /* 1081367 */     GIR_EraseRootFromParent_Done,
     /* 1081368 */   // Label 15923: @1081368
     /* 1081368 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081445), // Rule ID 24030 //
     /* 1081373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1081384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1081387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1081390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081412 */     // MIs[0] policy
     /* 1081412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081444 */     // GIR_Coverage, 24030,
     /* 1081444 */     GIR_EraseRootFromParent_Done,
     /* 1081445 */   // Label 15924: @1081445
     /* 1081445 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081522), // Rule ID 24033 //
     /* 1081450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081489 */     // MIs[0] policy
     /* 1081489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081499 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081521 */     // GIR_Coverage, 24033,
     /* 1081521 */     GIR_EraseRootFromParent_Done,
     /* 1081522 */   // Label 15925: @1081522
     /* 1081522 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081599), // Rule ID 24034 //
     /* 1081527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081566 */     // MIs[0] policy
     /* 1081566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1081579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081598 */     // GIR_Coverage, 24034,
     /* 1081598 */     GIR_EraseRootFromParent_Done,
     /* 1081599 */   // Label 15926: @1081599
     /* 1081599 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081676), // Rule ID 24037 //
     /* 1081604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081643 */     // MIs[0] policy
     /* 1081643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081653 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081675 */     // GIR_Coverage, 24037,
     /* 1081675 */     GIR_EraseRootFromParent_Done,
     /* 1081676 */   // Label 15927: @1081676
     /* 1081676 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081753), // Rule ID 24038 //
     /* 1081681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081720 */     // MIs[0] policy
     /* 1081720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081730 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081752 */     // GIR_Coverage, 24038,
     /* 1081752 */     GIR_EraseRootFromParent_Done,
     /* 1081753 */   // Label 15928: @1081753
     /* 1081753 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081830), // Rule ID 24041 //
     /* 1081758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081797 */     // MIs[0] policy
     /* 1081797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081807 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081829 */     // GIR_Coverage, 24041,
     /* 1081829 */     GIR_EraseRootFromParent_Done,
     /* 1081830 */   // Label 15929: @1081830
     /* 1081830 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081907), // Rule ID 24042 //
     /* 1081835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081874 */     // MIs[0] policy
     /* 1081874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081884 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081906 */     // GIR_Coverage, 24042,
     /* 1081906 */     GIR_EraseRootFromParent_Done,
     /* 1081907 */   // Label 15930: @1081907
     /* 1081907 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1081984), // Rule ID 24045 //
     /* 1081912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081951 */     // MIs[0] policy
     /* 1081951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081961 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081983 */     // GIR_Coverage, 24045,
     /* 1081983 */     GIR_EraseRootFromParent_Done,
     /* 1081984 */   // Label 15931: @1081984
     /* 1081984 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1082061), // Rule ID 24046 //
     /* 1081989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1082000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1082003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082028 */     // MIs[0] policy
     /* 1082028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082038 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082060 */     // GIR_Coverage, 24046,
     /* 1082060 */     GIR_EraseRootFromParent_Done,
     /* 1082061 */   // Label 15932: @1082061
     /* 1082061 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1082138), // Rule ID 24049 //
     /* 1082066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082105 */     // MIs[0] policy
     /* 1082105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082137 */     // GIR_Coverage, 24049,
     /* 1082137 */     GIR_EraseRootFromParent_Done,
     /* 1082138 */   // Label 15933: @1082138
     /* 1082138 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1082215), // Rule ID 24050 //
     /* 1082143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082182 */     // MIs[0] policy
     /* 1082182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082192 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082214 */     // GIR_Coverage, 24050,
     /* 1082214 */     GIR_EraseRootFromParent_Done,
     /* 1082215 */   // Label 15934: @1082215
     /* 1082215 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082292), // Rule ID 24053 //
     /* 1082220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082259 */     // MIs[0] policy
     /* 1082259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082291 */     // GIR_Coverage, 24053,
     /* 1082291 */     GIR_EraseRootFromParent_Done,
     /* 1082292 */   // Label 15935: @1082292
     /* 1082292 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082369), // Rule ID 24054 //
     /* 1082297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082336 */     // MIs[0] policy
     /* 1082336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082346 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082368 */     // GIR_Coverage, 24054,
     /* 1082368 */     GIR_EraseRootFromParent_Done,
     /* 1082369 */   // Label 15936: @1082369
     /* 1082369 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082446), // Rule ID 24057 //
     /* 1082374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082413 */     // MIs[0] policy
     /* 1082413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082445 */     // GIR_Coverage, 24057,
     /* 1082445 */     GIR_EraseRootFromParent_Done,
     /* 1082446 */   // Label 15937: @1082446
     /* 1082446 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082523), // Rule ID 24058 //
     /* 1082451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082490 */     // MIs[0] policy
     /* 1082490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082500 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082522 */     // GIR_Coverage, 24058,
     /* 1082522 */     GIR_EraseRootFromParent_Done,
     /* 1082523 */   // Label 15938: @1082523
     /* 1082523 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082600), // Rule ID 24061 //
     /* 1082528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082567 */     // MIs[0] policy
     /* 1082567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082599 */     // GIR_Coverage, 24061,
     /* 1082599 */     GIR_EraseRootFromParent_Done,
     /* 1082600 */   // Label 15939: @1082600
     /* 1082600 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082677), // Rule ID 24062 //
     /* 1082605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082644 */     // MIs[0] policy
     /* 1082644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082676 */     // GIR_Coverage, 24062,
     /* 1082676 */     GIR_EraseRootFromParent_Done,
     /* 1082677 */   // Label 15940: @1082677
     /* 1082677 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082754), // Rule ID 24065 //
     /* 1082682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082721 */     // MIs[0] policy
     /* 1082721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082731 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082753 */     // GIR_Coverage, 24065,
     /* 1082753 */     GIR_EraseRootFromParent_Done,
     /* 1082754 */   // Label 15941: @1082754
     /* 1082754 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082831), // Rule ID 24066 //
     /* 1082759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082798 */     // MIs[0] policy
     /* 1082798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082808 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082830 */     // GIR_Coverage, 24066,
     /* 1082830 */     GIR_EraseRootFromParent_Done,
     /* 1082831 */   // Label 15942: @1082831
     /* 1082831 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082908), // Rule ID 24069 //
     /* 1082836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082875 */     // MIs[0] policy
     /* 1082875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082885 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082907 */     // GIR_Coverage, 24069,
     /* 1082907 */     GIR_EraseRootFromParent_Done,
     /* 1082908 */   // Label 15943: @1082908
     /* 1082908 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1082985), // Rule ID 24070 //
     /* 1082913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082952 */     // MIs[0] policy
     /* 1082952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082962 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082984 */     // GIR_Coverage, 24070,
     /* 1082984 */     GIR_EraseRootFromParent_Done,
     /* 1082985 */   // Label 15944: @1082985
     /* 1082985 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1083062), // Rule ID 24133 //
     /* 1082990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083029 */     // MIs[0] policy
     /* 1083029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083039 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083061 */     // GIR_Coverage, 24133,
     /* 1083061 */     GIR_EraseRootFromParent_Done,
     /* 1083062 */   // Label 15945: @1083062
     /* 1083062 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1083139), // Rule ID 24134 //
     /* 1083067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083106 */     // MIs[0] policy
     /* 1083106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083116 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083138 */     // GIR_Coverage, 24134,
     /* 1083138 */     GIR_EraseRootFromParent_Done,
     /* 1083139 */   // Label 15946: @1083139
     /* 1083139 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1083216), // Rule ID 24137 //
     /* 1083144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083183 */     // MIs[0] policy
     /* 1083183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083193 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083215 */     // GIR_Coverage, 24137,
     /* 1083215 */     GIR_EraseRootFromParent_Done,
     /* 1083216 */   // Label 15947: @1083216
     /* 1083216 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083293), // Rule ID 24138 //
     /* 1083221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083260 */     // MIs[0] policy
     /* 1083260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083270 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083292 */     // GIR_Coverage, 24138,
     /* 1083292 */     GIR_EraseRootFromParent_Done,
     /* 1083293 */   // Label 15948: @1083293
     /* 1083293 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083370), // Rule ID 24141 //
     /* 1083298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083337 */     // MIs[0] policy
     /* 1083337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083347 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083369 */     // GIR_Coverage, 24141,
     /* 1083369 */     GIR_EraseRootFromParent_Done,
     /* 1083370 */   // Label 15949: @1083370
     /* 1083370 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083447), // Rule ID 24142 //
     /* 1083375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083414 */     // MIs[0] policy
     /* 1083414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083424 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083446 */     // GIR_Coverage, 24142,
     /* 1083446 */     GIR_EraseRootFromParent_Done,
     /* 1083447 */   // Label 15950: @1083447
     /* 1083447 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083524), // Rule ID 24145 //
     /* 1083452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083491 */     // MIs[0] policy
     /* 1083491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083523 */     // GIR_Coverage, 24145,
     /* 1083523 */     GIR_EraseRootFromParent_Done,
     /* 1083524 */   // Label 15951: @1083524
     /* 1083524 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083601), // Rule ID 24146 //
     /* 1083529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083568 */     // MIs[0] policy
     /* 1083568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083600 */     // GIR_Coverage, 24146,
     /* 1083600 */     GIR_EraseRootFromParent_Done,
     /* 1083601 */   // Label 15952: @1083601
     /* 1083601 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083678), // Rule ID 24149 //
     /* 1083606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083645 */     // MIs[0] policy
     /* 1083645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083677 */     // GIR_Coverage, 24149,
     /* 1083677 */     GIR_EraseRootFromParent_Done,
     /* 1083678 */   // Label 15953: @1083678
     /* 1083678 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083755), // Rule ID 24150 //
     /* 1083683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083722 */     // MIs[0] policy
     /* 1083722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083754 */     // GIR_Coverage, 24150,
     /* 1083754 */     GIR_EraseRootFromParent_Done,
     /* 1083755 */   // Label 15954: @1083755
     /* 1083755 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083832), // Rule ID 24153 //
     /* 1083760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083799 */     // MIs[0] policy
     /* 1083799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083809 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083831 */     // GIR_Coverage, 24153,
     /* 1083831 */     GIR_EraseRootFromParent_Done,
     /* 1083832 */   // Label 15955: @1083832
     /* 1083832 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083909), // Rule ID 24154 //
     /* 1083837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083876 */     // MIs[0] policy
     /* 1083876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083886 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083908 */     // GIR_Coverage, 24154,
     /* 1083908 */     GIR_EraseRootFromParent_Done,
     /* 1083909 */   // Label 15956: @1083909
     /* 1083909 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1083986), // Rule ID 24157 //
     /* 1083914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1083925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1083928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1083931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083953 */     // MIs[0] policy
     /* 1083953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083963 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083985 */     // GIR_Coverage, 24157,
     /* 1083985 */     GIR_EraseRootFromParent_Done,
     /* 1083986 */   // Label 15957: @1083986
     /* 1083986 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1084063), // Rule ID 24158 //
     /* 1083991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084030 */     // MIs[0] policy
     /* 1084030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084040 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084062 */     // GIR_Coverage, 24158,
     /* 1084062 */     GIR_EraseRootFromParent_Done,
     /* 1084063 */   // Label 15958: @1084063
     /* 1084063 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1084140), // Rule ID 24161 //
     /* 1084068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084107 */     // MIs[0] policy
     /* 1084107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084117 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084139 */     // GIR_Coverage, 24161,
     /* 1084139 */     GIR_EraseRootFromParent_Done,
     /* 1084140 */   // Label 15959: @1084140
     /* 1084140 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1084217), // Rule ID 24162 //
     /* 1084145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084184 */     // MIs[0] policy
     /* 1084184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084194 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084216 */     // GIR_Coverage, 24162,
     /* 1084216 */     GIR_EraseRootFromParent_Done,
     /* 1084217 */   // Label 15960: @1084217
     /* 1084217 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084294), // Rule ID 24165 //
     /* 1084222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1084225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084261 */     // MIs[0] policy
     /* 1084261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084271 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084293 */     // GIR_Coverage, 24165,
     /* 1084293 */     GIR_EraseRootFromParent_Done,
     /* 1084294 */   // Label 15961: @1084294
     /* 1084294 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084371), // Rule ID 24166 //
     /* 1084299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1084302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084338 */     // MIs[0] policy
     /* 1084338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084348 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084370 */     // GIR_Coverage, 24166,
     /* 1084370 */     GIR_EraseRootFromParent_Done,
     /* 1084371 */   // Label 15962: @1084371
     /* 1084371 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084448), // Rule ID 24169 //
     /* 1084376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084415 */     // MIs[0] policy
     /* 1084415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084425 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084447 */     // GIR_Coverage, 24169,
     /* 1084447 */     GIR_EraseRootFromParent_Done,
     /* 1084448 */   // Label 15963: @1084448
     /* 1084448 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084525), // Rule ID 24170 //
     /* 1084453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084492 */     // MIs[0] policy
     /* 1084492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084502 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084524 */     // GIR_Coverage, 24170,
     /* 1084524 */     GIR_EraseRootFromParent_Done,
     /* 1084525 */   // Label 15964: @1084525
     /* 1084525 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084602), // Rule ID 24173 //
     /* 1084530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084569 */     // MIs[0] policy
     /* 1084569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084579 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084601 */     // GIR_Coverage, 24173,
     /* 1084601 */     GIR_EraseRootFromParent_Done,
     /* 1084602 */   // Label 15965: @1084602
     /* 1084602 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084679), // Rule ID 24174 //
     /* 1084607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084646 */     // MIs[0] policy
     /* 1084646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084678 */     // GIR_Coverage, 24174,
     /* 1084678 */     GIR_EraseRootFromParent_Done,
     /* 1084679 */   // Label 15966: @1084679
     /* 1084679 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084756), // Rule ID 24177 //
     /* 1084684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1084687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084723 */     // MIs[0] policy
     /* 1084723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084733 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084755 */     // GIR_Coverage, 24177,
     /* 1084755 */     GIR_EraseRootFromParent_Done,
     /* 1084756 */   // Label 15967: @1084756
     /* 1084756 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084833), // Rule ID 24178 //
     /* 1084761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1084764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084800 */     // MIs[0] policy
     /* 1084800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084832 */     // GIR_Coverage, 24178,
     /* 1084832 */     GIR_EraseRootFromParent_Done,
     /* 1084833 */   // Label 15968: @1084833
     /* 1084833 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084910), // Rule ID 24181 //
     /* 1084838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1084841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084877 */     // MIs[0] policy
     /* 1084877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084887 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084909 */     // GIR_Coverage, 24181,
     /* 1084909 */     GIR_EraseRootFromParent_Done,
     /* 1084910 */   // Label 15969: @1084910
     /* 1084910 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1084987), // Rule ID 24182 //
     /* 1084915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1084918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084954 */     // MIs[0] policy
     /* 1084954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084986 */     // GIR_Coverage, 24182,
     /* 1084986 */     GIR_EraseRootFromParent_Done,
     /* 1084987 */   // Label 15970: @1084987
     /* 1084987 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1085064), // Rule ID 24185 //
     /* 1084992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1084995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085031 */     // MIs[0] policy
     /* 1085031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085041 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085063 */     // GIR_Coverage, 24185,
     /* 1085063 */     GIR_EraseRootFromParent_Done,
     /* 1085064 */   // Label 15971: @1085064
     /* 1085064 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1085141), // Rule ID 24186 //
     /* 1085069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085108 */     // MIs[0] policy
     /* 1085108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085118 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085140 */     // GIR_Coverage, 24186,
     /* 1085140 */     GIR_EraseRootFromParent_Done,
     /* 1085141 */   // Label 15972: @1085141
     /* 1085141 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1085218), // Rule ID 24189 //
     /* 1085146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1085149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085185 */     // MIs[0] policy
     /* 1085185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085195 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085217 */     // GIR_Coverage, 24189,
     /* 1085217 */     GIR_EraseRootFromParent_Done,
     /* 1085218 */   // Label 15973: @1085218
     /* 1085218 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085295), // Rule ID 24190 //
     /* 1085223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1085226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085262 */     // MIs[0] policy
     /* 1085262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085294 */     // GIR_Coverage, 24190,
     /* 1085294 */     GIR_EraseRootFromParent_Done,
     /* 1085295 */   // Label 15974: @1085295
     /* 1085295 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085372), // Rule ID 60293 //
     /* 1085300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1085303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085339 */     // MIs[0] policy
     /* 1085339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085371 */     // GIR_Coverage, 60293,
     /* 1085371 */     GIR_EraseRootFromParent_Done,
     /* 1085372 */   // Label 15975: @1085372
     /* 1085372 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085449), // Rule ID 60294 //
     /* 1085377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1085380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1085385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085416 */     // MIs[0] policy
     /* 1085416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1085429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1085431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085448 */     // GIR_Coverage, 60294,
     /* 1085448 */     GIR_EraseRootFromParent_Done,
     /* 1085449 */   // Label 15976: @1085449
     /* 1085449 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085526), // Rule ID 60307 //
     /* 1085454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085493 */     // MIs[0] policy
     /* 1085493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085525 */     // GIR_Coverage, 60307,
     /* 1085525 */     GIR_EraseRootFromParent_Done,
     /* 1085526 */   // Label 15977: @1085526
     /* 1085526 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085603), // Rule ID 60308 //
     /* 1085531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085570 */     // MIs[0] policy
     /* 1085570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1085583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085602 */     // GIR_Coverage, 60308,
     /* 1085602 */     GIR_EraseRootFromParent_Done,
     /* 1085603 */   // Label 15978: @1085603
     /* 1085603 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085680), // Rule ID 60311 //
     /* 1085608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1085619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1085622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1085625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085647 */     // MIs[0] policy
     /* 1085647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085657 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1085660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085679 */     // GIR_Coverage, 60311,
     /* 1085679 */     GIR_EraseRootFromParent_Done,
     /* 1085680 */   // Label 15979: @1085680
     /* 1085680 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085757), // Rule ID 60312 //
     /* 1085685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1085696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1085699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1085702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085724 */     // MIs[0] policy
     /* 1085724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085734 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1085737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085756 */     // GIR_Coverage, 60312,
     /* 1085756 */     GIR_EraseRootFromParent_Done,
     /* 1085757 */   // Label 15980: @1085757
     /* 1085757 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085834), // Rule ID 60315 //
     /* 1085762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1085773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1085776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1085779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085801 */     // MIs[0] policy
     /* 1085801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085833 */     // GIR_Coverage, 60315,
     /* 1085833 */     GIR_EraseRootFromParent_Done,
     /* 1085834 */   // Label 15981: @1085834
     /* 1085834 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085911), // Rule ID 60316 //
     /* 1085839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1085850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1085853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1085856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085878 */     // MIs[0] policy
     /* 1085878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085910 */     // GIR_Coverage, 60316,
     /* 1085910 */     GIR_EraseRootFromParent_Done,
     /* 1085911 */   // Label 15982: @1085911
     /* 1085911 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1085988), // Rule ID 60319 //
     /* 1085916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085955 */     // MIs[0] policy
     /* 1085955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1085968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085987 */     // GIR_Coverage, 60319,
     /* 1085987 */     GIR_EraseRootFromParent_Done,
     /* 1085988 */   // Label 15983: @1085988
     /* 1085988 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1086065), // Rule ID 60320 //
     /* 1085993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086032 */     // MIs[0] policy
     /* 1086032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1086045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086064 */     // GIR_Coverage, 60320,
     /* 1086064 */     GIR_EraseRootFromParent_Done,
     /* 1086065 */   // Label 15984: @1086065
     /* 1086065 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1086142), // Rule ID 60323 //
     /* 1086070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086109 */     // MIs[0] policy
     /* 1086109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086141 */     // GIR_Coverage, 60323,
     /* 1086141 */     GIR_EraseRootFromParent_Done,
     /* 1086142 */   // Label 15985: @1086142
     /* 1086142 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1086219), // Rule ID 60324 //
     /* 1086147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086186 */     // MIs[0] policy
     /* 1086186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086218 */     // GIR_Coverage, 60324,
     /* 1086218 */     GIR_EraseRootFromParent_Done,
     /* 1086219 */   // Label 15986: @1086219
     /* 1086219 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086296), // Rule ID 60327 //
     /* 1086224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086263 */     // MIs[0] policy
     /* 1086263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086295 */     // GIR_Coverage, 60327,
     /* 1086295 */     GIR_EraseRootFromParent_Done,
     /* 1086296 */   // Label 15987: @1086296
     /* 1086296 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086373), // Rule ID 60328 //
     /* 1086301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086340 */     // MIs[0] policy
     /* 1086340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1086353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086372 */     // GIR_Coverage, 60328,
     /* 1086372 */     GIR_EraseRootFromParent_Done,
     /* 1086373 */   // Label 15988: @1086373
     /* 1086373 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086450), // Rule ID 60331 //
     /* 1086378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086417 */     // MIs[0] policy
     /* 1086417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086449 */     // GIR_Coverage, 60331,
     /* 1086449 */     GIR_EraseRootFromParent_Done,
     /* 1086450 */   // Label 15989: @1086450
     /* 1086450 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086527), // Rule ID 60332 //
     /* 1086455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086494 */     // MIs[0] policy
     /* 1086494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086526 */     // GIR_Coverage, 60332,
     /* 1086526 */     GIR_EraseRootFromParent_Done,
     /* 1086527 */   // Label 15990: @1086527
     /* 1086527 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086604), // Rule ID 60335 //
     /* 1086532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086571 */     // MIs[0] policy
     /* 1086571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086603 */     // GIR_Coverage, 60335,
     /* 1086603 */     GIR_EraseRootFromParent_Done,
     /* 1086604 */   // Label 15991: @1086604
     /* 1086604 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086681), // Rule ID 60336 //
     /* 1086609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086648 */     // MIs[0] policy
     /* 1086648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086680 */     // GIR_Coverage, 60336,
     /* 1086680 */     GIR_EraseRootFromParent_Done,
     /* 1086681 */   // Label 15992: @1086681
     /* 1086681 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086758), // Rule ID 60339 //
     /* 1086686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086725 */     // MIs[0] policy
     /* 1086725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086757 */     // GIR_Coverage, 60339,
     /* 1086757 */     GIR_EraseRootFromParent_Done,
     /* 1086758 */   // Label 15993: @1086758
     /* 1086758 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086835), // Rule ID 60340 //
     /* 1086763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086802 */     // MIs[0] policy
     /* 1086802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086834 */     // GIR_Coverage, 60340,
     /* 1086834 */     GIR_EraseRootFromParent_Done,
     /* 1086835 */   // Label 15994: @1086835
     /* 1086835 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086912), // Rule ID 60343 //
     /* 1086840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086879 */     // MIs[0] policy
     /* 1086879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086911 */     // GIR_Coverage, 60343,
     /* 1086911 */     GIR_EraseRootFromParent_Done,
     /* 1086912 */   // Label 15995: @1086912
     /* 1086912 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1086989), // Rule ID 60344 //
     /* 1086917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086956 */     // MIs[0] policy
     /* 1086956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1086969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086988 */     // GIR_Coverage, 60344,
     /* 1086988 */     GIR_EraseRootFromParent_Done,
     /* 1086989 */   // Label 15996: @1086989
     /* 1086989 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1087066), // Rule ID 60347 //
     /* 1086994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087033 */     // MIs[0] policy
     /* 1087033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087065 */     // GIR_Coverage, 60347,
     /* 1087065 */     GIR_EraseRootFromParent_Done,
     /* 1087066 */   // Label 15997: @1087066
     /* 1087066 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1087143), // Rule ID 60348 //
     /* 1087071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087110 */     // MIs[0] policy
     /* 1087110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087120 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087142 */     // GIR_Coverage, 60348,
     /* 1087142 */     GIR_EraseRootFromParent_Done,
     /* 1087143 */   // Label 15998: @1087143
     /* 1087143 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1087220), // Rule ID 60351 //
     /* 1087148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087187 */     // MIs[0] policy
     /* 1087187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087219 */     // GIR_Coverage, 60351,
     /* 1087219 */     GIR_EraseRootFromParent_Done,
     /* 1087220 */   // Label 15999: @1087220
     /* 1087220 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087297), // Rule ID 60352 //
     /* 1087225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087264 */     // MIs[0] policy
     /* 1087264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087296 */     // GIR_Coverage, 60352,
     /* 1087296 */     GIR_EraseRootFromParent_Done,
     /* 1087297 */   // Label 16000: @1087297
     /* 1087297 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087374), // Rule ID 60355 //
     /* 1087302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087341 */     // MIs[0] policy
     /* 1087341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087373 */     // GIR_Coverage, 60355,
     /* 1087373 */     GIR_EraseRootFromParent_Done,
     /* 1087374 */   // Label 16001: @1087374
     /* 1087374 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087451), // Rule ID 60356 //
     /* 1087379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1087399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087418 */     // MIs[0] policy
     /* 1087418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087428 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087450 */     // GIR_Coverage, 60356,
     /* 1087450 */     GIR_EraseRootFromParent_Done,
     /* 1087451 */   // Label 16002: @1087451
     /* 1087451 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087528), // Rule ID 60359 //
     /* 1087456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087495 */     // MIs[0] policy
     /* 1087495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087505 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087527 */     // GIR_Coverage, 60359,
     /* 1087527 */     GIR_EraseRootFromParent_Done,
     /* 1087528 */   // Label 16003: @1087528
     /* 1087528 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087605), // Rule ID 60360 //
     /* 1087533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087572 */     // MIs[0] policy
     /* 1087572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087604 */     // GIR_Coverage, 60360,
     /* 1087604 */     GIR_EraseRootFromParent_Done,
     /* 1087605 */   // Label 16004: @1087605
     /* 1087605 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087682), // Rule ID 60363 //
     /* 1087610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087649 */     // MIs[0] policy
     /* 1087649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087681 */     // GIR_Coverage, 60363,
     /* 1087681 */     GIR_EraseRootFromParent_Done,
     /* 1087682 */   // Label 16005: @1087682
     /* 1087682 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087759), // Rule ID 60364 //
     /* 1087687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087726 */     // MIs[0] policy
     /* 1087726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087758 */     // GIR_Coverage, 60364,
     /* 1087758 */     GIR_EraseRootFromParent_Done,
     /* 1087759 */   // Label 16006: @1087759
     /* 1087759 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087836), // Rule ID 60367 //
     /* 1087764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087803 */     // MIs[0] policy
     /* 1087803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087813 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087835 */     // GIR_Coverage, 60367,
     /* 1087835 */     GIR_EraseRootFromParent_Done,
     /* 1087836 */   // Label 16007: @1087836
     /* 1087836 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087913), // Rule ID 60368 //
     /* 1087841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1087861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087880 */     // MIs[0] policy
     /* 1087880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087912 */     // GIR_Coverage, 60368,
     /* 1087912 */     GIR_EraseRootFromParent_Done,
     /* 1087913 */   // Label 16008: @1087913
     /* 1087913 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1087990), // Rule ID 60371 //
     /* 1087918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1087929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1087932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087957 */     // MIs[0] policy
     /* 1087957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087989 */     // GIR_Coverage, 60371,
     /* 1087989 */     GIR_EraseRootFromParent_Done,
     /* 1087990 */   // Label 16009: @1087990
     /* 1087990 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1088067), // Rule ID 60372 //
     /* 1087995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088034 */     // MIs[0] policy
     /* 1088034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088066 */     // GIR_Coverage, 60372,
     /* 1088066 */     GIR_EraseRootFromParent_Done,
     /* 1088067 */   // Label 16010: @1088067
     /* 1088067 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1088144), // Rule ID 60375 //
     /* 1088072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088111 */     // MIs[0] policy
     /* 1088111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088143 */     // GIR_Coverage, 60375,
     /* 1088143 */     GIR_EraseRootFromParent_Done,
     /* 1088144 */   // Label 16011: @1088144
     /* 1088144 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1088221), // Rule ID 60376 //
     /* 1088149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088188 */     // MIs[0] policy
     /* 1088188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088220 */     // GIR_Coverage, 60376,
     /* 1088220 */     GIR_EraseRootFromParent_Done,
     /* 1088221 */   // Label 16012: @1088221
     /* 1088221 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088298), // Rule ID 60379 //
     /* 1088226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088265 */     // MIs[0] policy
     /* 1088265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088297 */     // GIR_Coverage, 60379,
     /* 1088297 */     GIR_EraseRootFromParent_Done,
     /* 1088298 */   // Label 16013: @1088298
     /* 1088298 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088375), // Rule ID 60380 //
     /* 1088303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088342 */     // MIs[0] policy
     /* 1088342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088374 */     // GIR_Coverage, 60380,
     /* 1088374 */     GIR_EraseRootFromParent_Done,
     /* 1088375 */   // Label 16014: @1088375
     /* 1088375 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088452), // Rule ID 60383 //
     /* 1088380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088419 */     // MIs[0] policy
     /* 1088419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088451 */     // GIR_Coverage, 60383,
     /* 1088451 */     GIR_EraseRootFromParent_Done,
     /* 1088452 */   // Label 16015: @1088452
     /* 1088452 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088529), // Rule ID 60384 //
     /* 1088457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1088468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1088471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088496 */     // MIs[0] policy
     /* 1088496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1088509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088528 */     // GIR_Coverage, 60384,
     /* 1088528 */     GIR_EraseRootFromParent_Done,
     /* 1088529 */   // Label 16016: @1088529
     /* 1088529 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088606), // Rule ID 60387 //
     /* 1088534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088573 */     // MIs[0] policy
     /* 1088573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088605 */     // GIR_Coverage, 60387,
     /* 1088605 */     GIR_EraseRootFromParent_Done,
     /* 1088606 */   // Label 16017: @1088606
     /* 1088606 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088683), // Rule ID 60388 //
     /* 1088611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088650 */     // MIs[0] policy
     /* 1088650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1088663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088682 */     // GIR_Coverage, 60388,
     /* 1088682 */     GIR_EraseRootFromParent_Done,
     /* 1088683 */   // Label 16018: @1088683
     /* 1088683 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088760), // Rule ID 60391 //
     /* 1088688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088727 */     // MIs[0] policy
     /* 1088727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088759 */     // GIR_Coverage, 60391,
     /* 1088759 */     GIR_EraseRootFromParent_Done,
     /* 1088760 */   // Label 16019: @1088760
     /* 1088760 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088837), // Rule ID 60392 //
     /* 1088765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1088773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088804 */     // MIs[0] policy
     /* 1088804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1088817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088836 */     // GIR_Coverage, 60392,
     /* 1088836 */     GIR_EraseRootFromParent_Done,
     /* 1088837 */   // Label 16020: @1088837
     /* 1088837 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088914), // Rule ID 60395 //
     /* 1088842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1088853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1088856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1088859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088881 */     // MIs[0] policy
     /* 1088881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088891 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1088894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088913 */     // GIR_Coverage, 60395,
     /* 1088913 */     GIR_EraseRootFromParent_Done,
     /* 1088914 */   // Label 16021: @1088914
     /* 1088914 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1088991), // Rule ID 60396 //
     /* 1088919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1088930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1088933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1088936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088958 */     // MIs[0] policy
     /* 1088958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1088971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088990 */     // GIR_Coverage, 60396,
     /* 1088990 */     GIR_EraseRootFromParent_Done,
     /* 1088991 */   // Label 16022: @1088991
     /* 1088991 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1089068), // Rule ID 60399 //
     /* 1088996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089035 */     // MIs[0] policy
     /* 1089035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089045 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089067 */     // GIR_Coverage, 60399,
     /* 1089067 */     GIR_EraseRootFromParent_Done,
     /* 1089068 */   // Label 16023: @1089068
     /* 1089068 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1089145), // Rule ID 60400 //
     /* 1089073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089112 */     // MIs[0] policy
     /* 1089112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089144 */     // GIR_Coverage, 60400,
     /* 1089144 */     GIR_EraseRootFromParent_Done,
     /* 1089145 */   // Label 16024: @1089145
     /* 1089145 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1089222), // Rule ID 60403 //
     /* 1089150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089189 */     // MIs[0] policy
     /* 1089189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089199 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089221 */     // GIR_Coverage, 60403,
     /* 1089221 */     GIR_EraseRootFromParent_Done,
     /* 1089222 */   // Label 16025: @1089222
     /* 1089222 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089299), // Rule ID 60404 //
     /* 1089227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1089238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1089241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1089244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089266 */     // MIs[0] policy
     /* 1089266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089298 */     // GIR_Coverage, 60404,
     /* 1089298 */     GIR_EraseRootFromParent_Done,
     /* 1089299 */   // Label 16026: @1089299
     /* 1089299 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089376), // Rule ID 60407 //
     /* 1089304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089343 */     // MIs[0] policy
     /* 1089343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089375 */     // GIR_Coverage, 60407,
     /* 1089375 */     GIR_EraseRootFromParent_Done,
     /* 1089376 */   // Label 16027: @1089376
     /* 1089376 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089453), // Rule ID 60408 //
     /* 1089381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1089392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1089395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1089398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089420 */     // MIs[0] policy
     /* 1089420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1089433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089452 */     // GIR_Coverage, 60408,
     /* 1089452 */     GIR_EraseRootFromParent_Done,
     /* 1089453 */   // Label 16028: @1089453
     /* 1089453 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089530), // Rule ID 60411 //
     /* 1089458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089497 */     // MIs[0] policy
     /* 1089497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089529 */     // GIR_Coverage, 60411,
     /* 1089529 */     GIR_EraseRootFromParent_Done,
     /* 1089530 */   // Label 16029: @1089530
     /* 1089530 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089607), // Rule ID 60412 //
     /* 1089535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089574 */     // MIs[0] policy
     /* 1089574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089584 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089606 */     // GIR_Coverage, 60412,
     /* 1089606 */     GIR_EraseRootFromParent_Done,
     /* 1089607 */   // Label 16030: @1089607
     /* 1089607 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089684), // Rule ID 60415 //
     /* 1089612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089651 */     // MIs[0] policy
     /* 1089651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089683 */     // GIR_Coverage, 60415,
     /* 1089683 */     GIR_EraseRootFromParent_Done,
     /* 1089684 */   // Label 16031: @1089684
     /* 1089684 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089761), // Rule ID 60416 //
     /* 1089689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089728 */     // MIs[0] policy
     /* 1089728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1089741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089760 */     // GIR_Coverage, 60416,
     /* 1089760 */     GIR_EraseRootFromParent_Done,
     /* 1089761 */   // Label 16032: @1089761
     /* 1089761 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089838), // Rule ID 60419 //
     /* 1089766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1089777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1089780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1089783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089805 */     // MIs[0] policy
     /* 1089805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089837 */     // GIR_Coverage, 60419,
     /* 1089837 */     GIR_EraseRootFromParent_Done,
     /* 1089838 */   // Label 16033: @1089838
     /* 1089838 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089915), // Rule ID 60420 //
     /* 1089843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1089854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1089857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1089860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089882 */     // MIs[0] policy
     /* 1089882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089914 */     // GIR_Coverage, 60420,
     /* 1089914 */     GIR_EraseRootFromParent_Done,
     /* 1089915 */   // Label 16034: @1089915
     /* 1089915 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1089992), // Rule ID 60423 //
     /* 1089920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1089931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1089934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1089937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089959 */     // MIs[0] policy
     /* 1089959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089991 */     // GIR_Coverage, 60423,
     /* 1089991 */     GIR_EraseRootFromParent_Done,
     /* 1089992 */   // Label 16035: @1089992
     /* 1089992 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1090069), // Rule ID 60424 //
     /* 1089997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090036 */     // MIs[0] policy
     /* 1090036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090068 */     // GIR_Coverage, 60424,
     /* 1090068 */     GIR_EraseRootFromParent_Done,
     /* 1090069 */   // Label 16036: @1090069
     /* 1090069 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1090146), // Rule ID 60427 //
     /* 1090074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090113 */     // MIs[0] policy
     /* 1090113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090145 */     // GIR_Coverage, 60427,
     /* 1090145 */     GIR_EraseRootFromParent_Done,
     /* 1090146 */   // Label 16037: @1090146
     /* 1090146 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1090223), // Rule ID 60428 //
     /* 1090151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090190 */     // MIs[0] policy
     /* 1090190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090222 */     // GIR_Coverage, 60428,
     /* 1090222 */     GIR_EraseRootFromParent_Done,
     /* 1090223 */   // Label 16038: @1090223
     /* 1090223 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090300), // Rule ID 60431 //
     /* 1090228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090267 */     // MIs[0] policy
     /* 1090267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090299 */     // GIR_Coverage, 60431,
     /* 1090299 */     GIR_EraseRootFromParent_Done,
     /* 1090300 */   // Label 16039: @1090300
     /* 1090300 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090377), // Rule ID 60432 //
     /* 1090305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1090316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1090319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1090322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090344 */     // MIs[0] policy
     /* 1090344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1090357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090376 */     // GIR_Coverage, 60432,
     /* 1090376 */     GIR_EraseRootFromParent_Done,
     /* 1090377 */   // Label 16040: @1090377
     /* 1090377 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090454), // Rule ID 60435 //
     /* 1090382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090421 */     // MIs[0] policy
     /* 1090421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090453 */     // GIR_Coverage, 60435,
     /* 1090453 */     GIR_EraseRootFromParent_Done,
     /* 1090454 */   // Label 16041: @1090454
     /* 1090454 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090531), // Rule ID 60436 //
     /* 1090459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1090470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1090473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1090476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090498 */     // MIs[0] policy
     /* 1090498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090530 */     // GIR_Coverage, 60436,
     /* 1090530 */     GIR_EraseRootFromParent_Done,
     /* 1090531 */   // Label 16042: @1090531
     /* 1090531 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090608), // Rule ID 60439 //
     /* 1090536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090575 */     // MIs[0] policy
     /* 1090575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090607 */     // GIR_Coverage, 60439,
     /* 1090607 */     GIR_EraseRootFromParent_Done,
     /* 1090608 */   // Label 16043: @1090608
     /* 1090608 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090685), // Rule ID 60440 //
     /* 1090613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1090624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1090627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1090630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090652 */     // MIs[0] policy
     /* 1090652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090684 */     // GIR_Coverage, 60440,
     /* 1090684 */     GIR_EraseRootFromParent_Done,
     /* 1090685 */   // Label 16044: @1090685
     /* 1090685 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090762), // Rule ID 60443 //
     /* 1090690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1090701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1090704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1090707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1090710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090729 */     // MIs[0] policy
     /* 1090729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090739 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090761 */     // GIR_Coverage, 60443,
     /* 1090761 */     GIR_EraseRootFromParent_Done,
     /* 1090762 */   // Label 16045: @1090762
     /* 1090762 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090839), // Rule ID 60444 //
     /* 1090767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1090778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1090781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1090784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1090787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090806 */     // MIs[0] policy
     /* 1090806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090838 */     // GIR_Coverage, 60444,
     /* 1090838 */     GIR_EraseRootFromParent_Done,
     /* 1090839 */   // Label 16046: @1090839
     /* 1090839 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090916), // Rule ID 60447 //
     /* 1090844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1090855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1090858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1090861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090883 */     // MIs[0] policy
     /* 1090883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090915 */     // GIR_Coverage, 60447,
     /* 1090915 */     GIR_EraseRootFromParent_Done,
     /* 1090916 */   // Label 16047: @1090916
     /* 1090916 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1090993), // Rule ID 60448 //
     /* 1090921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1090932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1090935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1090938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090960 */     // MIs[0] policy
     /* 1090960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090992 */     // GIR_Coverage, 60448,
     /* 1090992 */     GIR_EraseRootFromParent_Done,
     /* 1090993 */   // Label 16048: @1090993
     /* 1090993 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1091070), // Rule ID 60451 //
     /* 1090998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091037 */     // MIs[0] policy
     /* 1091037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091069 */     // GIR_Coverage, 60451,
     /* 1091069 */     GIR_EraseRootFromParent_Done,
     /* 1091070 */   // Label 16049: @1091070
     /* 1091070 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1091147), // Rule ID 60452 //
     /* 1091075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091114 */     // MIs[0] policy
     /* 1091114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091146 */     // GIR_Coverage, 60452,
     /* 1091146 */     GIR_EraseRootFromParent_Done,
     /* 1091147 */   // Label 16050: @1091147
     /* 1091147 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1091224), // Rule ID 60455 //
     /* 1091152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091191 */     // MIs[0] policy
     /* 1091191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091223 */     // GIR_Coverage, 60455,
     /* 1091223 */     GIR_EraseRootFromParent_Done,
     /* 1091224 */   // Label 16051: @1091224
     /* 1091224 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091301), // Rule ID 60456 //
     /* 1091229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1091240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1091243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1091246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091268 */     // MIs[0] policy
     /* 1091268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091300 */     // GIR_Coverage, 60456,
     /* 1091300 */     GIR_EraseRootFromParent_Done,
     /* 1091301 */   // Label 16052: @1091301
     /* 1091301 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091378), // Rule ID 60459 //
     /* 1091306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091345 */     // MIs[0] policy
     /* 1091345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091377 */     // GIR_Coverage, 60459,
     /* 1091377 */     GIR_EraseRootFromParent_Done,
     /* 1091378 */   // Label 16053: @1091378
     /* 1091378 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091455), // Rule ID 60460 //
     /* 1091383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1091394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1091397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1091400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091422 */     // MIs[0] policy
     /* 1091422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091454 */     // GIR_Coverage, 60460,
     /* 1091454 */     GIR_EraseRootFromParent_Done,
     /* 1091455 */   // Label 16054: @1091455
     /* 1091455 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091532), // Rule ID 60463 //
     /* 1091460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091499 */     // MIs[0] policy
     /* 1091499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091531 */     // GIR_Coverage, 60463,
     /* 1091531 */     GIR_EraseRootFromParent_Done,
     /* 1091532 */   // Label 16055: @1091532
     /* 1091532 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091609), // Rule ID 60464 //
     /* 1091537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1091548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1091551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1091554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091576 */     // MIs[0] policy
     /* 1091576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091608 */     // GIR_Coverage, 60464,
     /* 1091608 */     GIR_EraseRootFromParent_Done,
     /* 1091609 */   // Label 16056: @1091609
     /* 1091609 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091686), // Rule ID 60467 //
     /* 1091614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1091625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1091628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1091631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091653 */     // MIs[0] policy
     /* 1091653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091685 */     // GIR_Coverage, 60467,
     /* 1091685 */     GIR_EraseRootFromParent_Done,
     /* 1091686 */   // Label 16057: @1091686
     /* 1091686 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091763), // Rule ID 60468 //
     /* 1091691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1091702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1091705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1091708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091730 */     // MIs[0] policy
     /* 1091730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091762 */     // GIR_Coverage, 60468,
     /* 1091762 */     GIR_EraseRootFromParent_Done,
     /* 1091763 */   // Label 16058: @1091763
     /* 1091763 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091840), // Rule ID 60471 //
     /* 1091768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1091779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1091782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1091785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091807 */     // MIs[0] policy
     /* 1091807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091839 */     // GIR_Coverage, 60471,
     /* 1091839 */     GIR_EraseRootFromParent_Done,
     /* 1091840 */   // Label 16059: @1091840
     /* 1091840 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091917), // Rule ID 60472 //
     /* 1091845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1091856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1091859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1091862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091884 */     // MIs[0] policy
     /* 1091884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1091897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091916 */     // GIR_Coverage, 60472,
     /* 1091916 */     GIR_EraseRootFromParent_Done,
     /* 1091917 */   // Label 16060: @1091917
     /* 1091917 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1091994), // Rule ID 60475 //
     /* 1091922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1091930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1091933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1091936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1091939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091961 */     // MIs[0] policy
     /* 1091961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1091974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091993 */     // GIR_Coverage, 60475,
     /* 1091993 */     GIR_EraseRootFromParent_Done,
     /* 1091994 */   // Label 16061: @1091994
     /* 1091994 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1092071), // Rule ID 60476 //
     /* 1091999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092038 */     // MIs[0] policy
     /* 1092038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1092051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092070 */     // GIR_Coverage, 60476,
     /* 1092070 */     GIR_EraseRootFromParent_Done,
     /* 1092071 */   // Label 16062: @1092071
     /* 1092071 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1092148), // Rule ID 60479 //
     /* 1092076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092115 */     // MIs[0] policy
     /* 1092115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092147 */     // GIR_Coverage, 60479,
     /* 1092147 */     GIR_EraseRootFromParent_Done,
     /* 1092148 */   // Label 16063: @1092148
     /* 1092148 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1092225), // Rule ID 60480 //
     /* 1092153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1092161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092192 */     // MIs[0] policy
     /* 1092192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1092205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092224 */     // GIR_Coverage, 60480,
     /* 1092224 */     GIR_EraseRootFromParent_Done,
     /* 1092225 */   // Label 16064: @1092225
     /* 1092225 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092302), // Rule ID 60483 //
     /* 1092230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092269 */     // MIs[0] policy
     /* 1092269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092279 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092301 */     // GIR_Coverage, 60483,
     /* 1092301 */     GIR_EraseRootFromParent_Done,
     /* 1092302 */   // Label 16065: @1092302
     /* 1092302 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092379), // Rule ID 60484 //
     /* 1092307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1092318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1092321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1092324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092346 */     // MIs[0] policy
     /* 1092346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1092359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092378 */     // GIR_Coverage, 60484,
     /* 1092378 */     GIR_EraseRootFromParent_Done,
     /* 1092379 */   // Label 16066: @1092379
     /* 1092379 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092456), // Rule ID 60487 //
     /* 1092384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092423 */     // MIs[0] policy
     /* 1092423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092455 */     // GIR_Coverage, 60487,
     /* 1092455 */     GIR_EraseRootFromParent_Done,
     /* 1092456 */   // Label 16067: @1092456
     /* 1092456 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092533), // Rule ID 60488 //
     /* 1092461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1092472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1092475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1092478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092500 */     // MIs[0] policy
     /* 1092500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092532 */     // GIR_Coverage, 60488,
     /* 1092532 */     GIR_EraseRootFromParent_Done,
     /* 1092533 */   // Label 16068: @1092533
     /* 1092533 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092610), // Rule ID 60491 //
     /* 1092538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092577 */     // MIs[0] policy
     /* 1092577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092609 */     // GIR_Coverage, 60491,
     /* 1092609 */     GIR_EraseRootFromParent_Done,
     /* 1092610 */   // Label 16069: @1092610
     /* 1092610 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092687), // Rule ID 60492 //
     /* 1092615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1092626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1092629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1092632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092654 */     // MIs[0] policy
     /* 1092654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092664 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092686 */     // GIR_Coverage, 60492,
     /* 1092686 */     GIR_EraseRootFromParent_Done,
     /* 1092687 */   // Label 16070: @1092687
     /* 1092687 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092764), // Rule ID 60495 //
     /* 1092692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1092703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1092706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1092709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092731 */     // MIs[0] policy
     /* 1092731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092741 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092763 */     // GIR_Coverage, 60495,
     /* 1092763 */     GIR_EraseRootFromParent_Done,
     /* 1092764 */   // Label 16071: @1092764
     /* 1092764 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092841), // Rule ID 60496 //
     /* 1092769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1092780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1092783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1092786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092808 */     // MIs[0] policy
     /* 1092808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1092821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092840 */     // GIR_Coverage, 60496,
     /* 1092840 */     GIR_EraseRootFromParent_Done,
     /* 1092841 */   // Label 16072: @1092841
     /* 1092841 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092918), // Rule ID 60499 //
     /* 1092846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1092857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1092860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1092863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092885 */     // MIs[0] policy
     /* 1092885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092917 */     // GIR_Coverage, 60499,
     /* 1092917 */     GIR_EraseRootFromParent_Done,
     /* 1092918 */   // Label 16073: @1092918
     /* 1092918 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1092995), // Rule ID 60500 //
     /* 1092923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1092934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1092937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1092940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092962 */     // MIs[0] policy
     /* 1092962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1092975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092994 */     // GIR_Coverage, 60500,
     /* 1092994 */     GIR_EraseRootFromParent_Done,
     /* 1092995 */   // Label 16074: @1092995
     /* 1092995 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1093072), // Rule ID 60503 //
     /* 1093000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093039 */     // MIs[0] policy
     /* 1093039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093071 */     // GIR_Coverage, 60503,
     /* 1093071 */     GIR_EraseRootFromParent_Done,
     /* 1093072 */   // Label 16075: @1093072
     /* 1093072 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1093149), // Rule ID 60504 //
     /* 1093077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093116 */     // MIs[0] policy
     /* 1093116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1093129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093148 */     // GIR_Coverage, 60504,
     /* 1093148 */     GIR_EraseRootFromParent_Done,
     /* 1093149 */   // Label 16076: @1093149
     /* 1093149 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1093226), // Rule ID 60507 //
     /* 1093154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093193 */     // MIs[0] policy
     /* 1093193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093225 */     // GIR_Coverage, 60507,
     /* 1093225 */     GIR_EraseRootFromParent_Done,
     /* 1093226 */   // Label 16077: @1093226
     /* 1093226 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093303), // Rule ID 60508 //
     /* 1093231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1093242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1093245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1093248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093270 */     // MIs[0] policy
     /* 1093270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093302 */     // GIR_Coverage, 60508,
     /* 1093302 */     GIR_EraseRootFromParent_Done,
     /* 1093303 */   // Label 16078: @1093303
     /* 1093303 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093380), // Rule ID 60511 //
     /* 1093308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093347 */     // MIs[0] policy
     /* 1093347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093379 */     // GIR_Coverage, 60511,
     /* 1093379 */     GIR_EraseRootFromParent_Done,
     /* 1093380 */   // Label 16079: @1093380
     /* 1093380 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093457), // Rule ID 60512 //
     /* 1093385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1093396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1093399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1093402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093424 */     // MIs[0] policy
     /* 1093424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093456 */     // GIR_Coverage, 60512,
     /* 1093456 */     GIR_EraseRootFromParent_Done,
     /* 1093457 */   // Label 16080: @1093457
     /* 1093457 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093534), // Rule ID 60515 //
     /* 1093462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093501 */     // MIs[0] policy
     /* 1093501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093533 */     // GIR_Coverage, 60515,
     /* 1093533 */     GIR_EraseRootFromParent_Done,
     /* 1093534 */   // Label 16081: @1093534
     /* 1093534 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093611), // Rule ID 60516 //
     /* 1093539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1093550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1093553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1093556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093578 */     // MIs[0] policy
     /* 1093578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093610 */     // GIR_Coverage, 60516,
     /* 1093610 */     GIR_EraseRootFromParent_Done,
     /* 1093611 */   // Label 16082: @1093611
     /* 1093611 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093688), // Rule ID 60519 //
     /* 1093616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1093627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1093630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1093633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093655 */     // MIs[0] policy
     /* 1093655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093687 */     // GIR_Coverage, 60519,
     /* 1093687 */     GIR_EraseRootFromParent_Done,
     /* 1093688 */   // Label 16083: @1093688
     /* 1093688 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093765), // Rule ID 60520 //
     /* 1093693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1093704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1093707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1093710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093732 */     // MIs[0] policy
     /* 1093732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1093745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093764 */     // GIR_Coverage, 60520,
     /* 1093764 */     GIR_EraseRootFromParent_Done,
     /* 1093765 */   // Label 16084: @1093765
     /* 1093765 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093842), // Rule ID 60523 //
     /* 1093770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1093781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1093784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1093787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093809 */     // MIs[0] policy
     /* 1093809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093841 */     // GIR_Coverage, 60523,
     /* 1093841 */     GIR_EraseRootFromParent_Done,
     /* 1093842 */   // Label 16085: @1093842
     /* 1093842 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093919), // Rule ID 60524 //
     /* 1093847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1093858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1093861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1093864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093886 */     // MIs[0] policy
     /* 1093886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093918 */     // GIR_Coverage, 60524,
     /* 1093918 */     GIR_EraseRootFromParent_Done,
     /* 1093919 */   // Label 16086: @1093919
     /* 1093919 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1093996), // Rule ID 60527 //
     /* 1093924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1093935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1093938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1093941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093963 */     // MIs[0] policy
     /* 1093963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093973 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1093976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093995 */     // GIR_Coverage, 60527,
     /* 1093995 */     GIR_EraseRootFromParent_Done,
     /* 1093996 */   // Label 16087: @1093996
     /* 1093996 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1094073), // Rule ID 60528 //
     /* 1094001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094040 */     // MIs[0] policy
     /* 1094040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094072 */     // GIR_Coverage, 60528,
     /* 1094072 */     GIR_EraseRootFromParent_Done,
     /* 1094073 */   // Label 16088: @1094073
     /* 1094073 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1094150), // Rule ID 60531 //
     /* 1094078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094117 */     // MIs[0] policy
     /* 1094117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094127 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094149 */     // GIR_Coverage, 60531,
     /* 1094149 */     GIR_EraseRootFromParent_Done,
     /* 1094150 */   // Label 16089: @1094150
     /* 1094150 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1094227), // Rule ID 60532 //
     /* 1094155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094194 */     // MIs[0] policy
     /* 1094194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094204 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094226 */     // GIR_Coverage, 60532,
     /* 1094226 */     GIR_EraseRootFromParent_Done,
     /* 1094227 */   // Label 16090: @1094227
     /* 1094227 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094304), // Rule ID 60535 //
     /* 1094232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094271 */     // MIs[0] policy
     /* 1094271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094303 */     // GIR_Coverage, 60535,
     /* 1094303 */     GIR_EraseRootFromParent_Done,
     /* 1094304 */   // Label 16091: @1094304
     /* 1094304 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094381), // Rule ID 60536 //
     /* 1094309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094348 */     // MIs[0] policy
     /* 1094348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094380 */     // GIR_Coverage, 60536,
     /* 1094380 */     GIR_EraseRootFromParent_Done,
     /* 1094381 */   // Label 16092: @1094381
     /* 1094381 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094458), // Rule ID 60539 //
     /* 1094386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094425 */     // MIs[0] policy
     /* 1094425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094457 */     // GIR_Coverage, 60539,
     /* 1094457 */     GIR_EraseRootFromParent_Done,
     /* 1094458 */   // Label 16093: @1094458
     /* 1094458 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094535), // Rule ID 60540 //
     /* 1094463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094502 */     // MIs[0] policy
     /* 1094502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094534 */     // GIR_Coverage, 60540,
     /* 1094534 */     GIR_EraseRootFromParent_Done,
     /* 1094535 */   // Label 16094: @1094535
     /* 1094535 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094612), // Rule ID 60543 //
     /* 1094540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094579 */     // MIs[0] policy
     /* 1094579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094589 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094611 */     // GIR_Coverage, 60543,
     /* 1094611 */     GIR_EraseRootFromParent_Done,
     /* 1094612 */   // Label 16095: @1094612
     /* 1094612 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094689), // Rule ID 60544 //
     /* 1094617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094656 */     // MIs[0] policy
     /* 1094656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094666 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094688 */     // GIR_Coverage, 60544,
     /* 1094688 */     GIR_EraseRootFromParent_Done,
     /* 1094689 */   // Label 16096: @1094689
     /* 1094689 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094766), // Rule ID 60547 //
     /* 1094694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1094705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1094708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1094711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094733 */     // MIs[0] policy
     /* 1094733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094743 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094765 */     // GIR_Coverage, 60547,
     /* 1094765 */     GIR_EraseRootFromParent_Done,
     /* 1094766 */   // Label 16097: @1094766
     /* 1094766 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094843), // Rule ID 60548 //
     /* 1094771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1094782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1094785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1094788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094810 */     // MIs[0] policy
     /* 1094810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094842 */     // GIR_Coverage, 60548,
     /* 1094842 */     GIR_EraseRootFromParent_Done,
     /* 1094843 */   // Label 16098: @1094843
     /* 1094843 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094920), // Rule ID 60551 //
     /* 1094848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1094859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1094862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1094865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094887 */     // MIs[0] policy
     /* 1094887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094919 */     // GIR_Coverage, 60551,
     /* 1094919 */     GIR_EraseRootFromParent_Done,
     /* 1094920 */   // Label 16099: @1094920
     /* 1094920 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1094997), // Rule ID 60552 //
     /* 1094925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1094936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1094939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1094942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094964 */     // MIs[0] policy
     /* 1094964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094996 */     // GIR_Coverage, 60552,
     /* 1094996 */     GIR_EraseRootFromParent_Done,
     /* 1094997 */   // Label 16100: @1094997
     /* 1094997 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1095074), // Rule ID 60555 //
     /* 1095002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095041 */     // MIs[0] policy
     /* 1095041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095073 */     // GIR_Coverage, 60555,
     /* 1095073 */     GIR_EraseRootFromParent_Done,
     /* 1095074 */   // Label 16101: @1095074
     /* 1095074 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1095151), // Rule ID 60556 //
     /* 1095079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095118 */     // MIs[0] policy
     /* 1095118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095150 */     // GIR_Coverage, 60556,
     /* 1095150 */     GIR_EraseRootFromParent_Done,
     /* 1095151 */   // Label 16102: @1095151
     /* 1095151 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1095228), // Rule ID 60559 //
     /* 1095156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095195 */     // MIs[0] policy
     /* 1095195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095227 */     // GIR_Coverage, 60559,
     /* 1095227 */     GIR_EraseRootFromParent_Done,
     /* 1095228 */   // Label 16103: @1095228
     /* 1095228 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095305), // Rule ID 60560 //
     /* 1095233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095272 */     // MIs[0] policy
     /* 1095272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1095285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095304 */     // GIR_Coverage, 60560,
     /* 1095304 */     GIR_EraseRootFromParent_Done,
     /* 1095305 */   // Label 16104: @1095305
     /* 1095305 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095382), // Rule ID 60563 //
     /* 1095310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095349 */     // MIs[0] policy
     /* 1095349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095381 */     // GIR_Coverage, 60563,
     /* 1095381 */     GIR_EraseRootFromParent_Done,
     /* 1095382 */   // Label 16105: @1095382
     /* 1095382 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095459), // Rule ID 60564 //
     /* 1095387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095426 */     // MIs[0] policy
     /* 1095426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1095439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095458 */     // GIR_Coverage, 60564,
     /* 1095458 */     GIR_EraseRootFromParent_Done,
     /* 1095459 */   // Label 16106: @1095459
     /* 1095459 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095536), // Rule ID 60567 //
     /* 1095464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095503 */     // MIs[0] policy
     /* 1095503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095535 */     // GIR_Coverage, 60567,
     /* 1095535 */     GIR_EraseRootFromParent_Done,
     /* 1095536 */   // Label 16107: @1095536
     /* 1095536 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095613), // Rule ID 60568 //
     /* 1095541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1095549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095580 */     // MIs[0] policy
     /* 1095580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1095593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095612 */     // GIR_Coverage, 60568,
     /* 1095612 */     GIR_EraseRootFromParent_Done,
     /* 1095613 */   // Label 16108: @1095613
     /* 1095613 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095690), // Rule ID 60571 //
     /* 1095618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1095629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1095632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1095635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095657 */     // MIs[0] policy
     /* 1095657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1095670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095689 */     // GIR_Coverage, 60571,
     /* 1095689 */     GIR_EraseRootFromParent_Done,
     /* 1095690 */   // Label 16109: @1095690
     /* 1095690 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095767), // Rule ID 60572 //
     /* 1095695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1095706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1095709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1095712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095734 */     // MIs[0] policy
     /* 1095734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1095747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095766 */     // GIR_Coverage, 60572,
     /* 1095766 */     GIR_EraseRootFromParent_Done,
     /* 1095767 */   // Label 16110: @1095767
     /* 1095767 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095844), // Rule ID 60575 //
     /* 1095772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1095783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1095786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1095789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095811 */     // MIs[0] policy
     /* 1095811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1095824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095843 */     // GIR_Coverage, 60575,
     /* 1095843 */     GIR_EraseRootFromParent_Done,
     /* 1095844 */   // Label 16111: @1095844
     /* 1095844 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095921), // Rule ID 60576 //
     /* 1095849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1095860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1095863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1095866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095888 */     // MIs[0] policy
     /* 1095888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1095901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095920 */     // GIR_Coverage, 60576,
     /* 1095920 */     GIR_EraseRootFromParent_Done,
     /* 1095921 */   // Label 16112: @1095921
     /* 1095921 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1095998), // Rule ID 60579 //
     /* 1095926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1095937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1095940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1095943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095965 */     // MIs[0] policy
     /* 1095965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095975 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1095978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095997 */     // GIR_Coverage, 60579,
     /* 1095997 */     GIR_EraseRootFromParent_Done,
     /* 1095998 */   // Label 16113: @1095998
     /* 1095998 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1096075), // Rule ID 60580 //
     /* 1096003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096042 */     // MIs[0] policy
     /* 1096042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096074 */     // GIR_Coverage, 60580,
     /* 1096074 */     GIR_EraseRootFromParent_Done,
     /* 1096075 */   // Label 16114: @1096075
     /* 1096075 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1096152), // Rule ID 60583 //
     /* 1096080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096119 */     // MIs[0] policy
     /* 1096119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096129 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096151 */     // GIR_Coverage, 60583,
     /* 1096151 */     GIR_EraseRootFromParent_Done,
     /* 1096152 */   // Label 16115: @1096152
     /* 1096152 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1096229), // Rule ID 60584 //
     /* 1096157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096196 */     // MIs[0] policy
     /* 1096196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1096209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096228 */     // GIR_Coverage, 60584,
     /* 1096228 */     GIR_EraseRootFromParent_Done,
     /* 1096229 */   // Label 16116: @1096229
     /* 1096229 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096306), // Rule ID 60587 //
     /* 1096234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096273 */     // MIs[0] policy
     /* 1096273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096305 */     // GIR_Coverage, 60587,
     /* 1096305 */     GIR_EraseRootFromParent_Done,
     /* 1096306 */   // Label 16117: @1096306
     /* 1096306 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096383), // Rule ID 60588 //
     /* 1096311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096350 */     // MIs[0] policy
     /* 1096350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096382 */     // GIR_Coverage, 60588,
     /* 1096382 */     GIR_EraseRootFromParent_Done,
     /* 1096383 */   // Label 16118: @1096383
     /* 1096383 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096460), // Rule ID 60591 //
     /* 1096388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096427 */     // MIs[0] policy
     /* 1096427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096459 */     // GIR_Coverage, 60591,
     /* 1096459 */     GIR_EraseRootFromParent_Done,
     /* 1096460 */   // Label 16119: @1096460
     /* 1096460 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096537), // Rule ID 60592 //
     /* 1096465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096504 */     // MIs[0] policy
     /* 1096504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1096517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096536 */     // GIR_Coverage, 60592,
     /* 1096536 */     GIR_EraseRootFromParent_Done,
     /* 1096537 */   // Label 16120: @1096537
     /* 1096537 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096614), // Rule ID 60595 //
     /* 1096542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096581 */     // MIs[0] policy
     /* 1096581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096613 */     // GIR_Coverage, 60595,
     /* 1096613 */     GIR_EraseRootFromParent_Done,
     /* 1096614 */   // Label 16121: @1096614
     /* 1096614 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096691), // Rule ID 60596 //
     /* 1096619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1096630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1096633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1096636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096658 */     // MIs[0] policy
     /* 1096658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096690 */     // GIR_Coverage, 60596,
     /* 1096690 */     GIR_EraseRootFromParent_Done,
     /* 1096691 */   // Label 16122: @1096691
     /* 1096691 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096768), // Rule ID 60599 //
     /* 1096696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096735 */     // MIs[0] policy
     /* 1096735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096767 */     // GIR_Coverage, 60599,
     /* 1096767 */     GIR_EraseRootFromParent_Done,
     /* 1096768 */   // Label 16123: @1096768
     /* 1096768 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096845), // Rule ID 60600 //
     /* 1096773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096812 */     // MIs[0] policy
     /* 1096812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096844 */     // GIR_Coverage, 60600,
     /* 1096844 */     GIR_EraseRootFromParent_Done,
     /* 1096845 */   // Label 16124: @1096845
     /* 1096845 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096922), // Rule ID 60603 //
     /* 1096850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096889 */     // MIs[0] policy
     /* 1096889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096921 */     // GIR_Coverage, 60603,
     /* 1096921 */     GIR_EraseRootFromParent_Done,
     /* 1096922 */   // Label 16125: @1096922
     /* 1096922 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1096999), // Rule ID 60604 //
     /* 1096927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096966 */     // MIs[0] policy
     /* 1096966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1096979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096998 */     // GIR_Coverage, 60604,
     /* 1096998 */     GIR_EraseRootFromParent_Done,
     /* 1096999 */   // Label 16126: @1096999
     /* 1096999 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1097076), // Rule ID 60607 //
     /* 1097004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097043 */     // MIs[0] policy
     /* 1097043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097075 */     // GIR_Coverage, 60607,
     /* 1097075 */     GIR_EraseRootFromParent_Done,
     /* 1097076 */   // Label 16127: @1097076
     /* 1097076 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1097153), // Rule ID 60608 //
     /* 1097081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097120 */     // MIs[0] policy
     /* 1097120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1097133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097152 */     // GIR_Coverage, 60608,
     /* 1097152 */     GIR_EraseRootFromParent_Done,
     /* 1097153 */   // Label 16128: @1097153
     /* 1097153 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1097230), // Rule ID 60611 //
     /* 1097158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097197 */     // MIs[0] policy
     /* 1097197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097229 */     // GIR_Coverage, 60611,
     /* 1097229 */     GIR_EraseRootFromParent_Done,
     /* 1097230 */   // Label 16129: @1097230
     /* 1097230 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097307), // Rule ID 60612 //
     /* 1097235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1097246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1097249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1097252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097274 */     // MIs[0] policy
     /* 1097274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097306 */     // GIR_Coverage, 60612,
     /* 1097306 */     GIR_EraseRootFromParent_Done,
     /* 1097307 */   // Label 16130: @1097307
     /* 1097307 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097384), // Rule ID 60615 //
     /* 1097312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097351 */     // MIs[0] policy
     /* 1097351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097383 */     // GIR_Coverage, 60615,
     /* 1097383 */     GIR_EraseRootFromParent_Done,
     /* 1097384 */   // Label 16131: @1097384
     /* 1097384 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097461), // Rule ID 60616 //
     /* 1097389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1097400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1097403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1097406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097428 */     // MIs[0] policy
     /* 1097428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097460 */     // GIR_Coverage, 60616,
     /* 1097460 */     GIR_EraseRootFromParent_Done,
     /* 1097461 */   // Label 16132: @1097461
     /* 1097461 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097538), // Rule ID 60619 //
     /* 1097466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097505 */     // MIs[0] policy
     /* 1097505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097537 */     // GIR_Coverage, 60619,
     /* 1097537 */     GIR_EraseRootFromParent_Done,
     /* 1097538 */   // Label 16133: @1097538
     /* 1097538 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097615), // Rule ID 60620 //
     /* 1097543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1097554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1097557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1097560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1097563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097582 */     // MIs[0] policy
     /* 1097582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097614 */     // GIR_Coverage, 60620,
     /* 1097614 */     GIR_EraseRootFromParent_Done,
     /* 1097615 */   // Label 16134: @1097615
     /* 1097615 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097692), // Rule ID 60623 //
     /* 1097620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1097631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1097634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1097637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097659 */     // MIs[0] policy
     /* 1097659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097691 */     // GIR_Coverage, 60623,
     /* 1097691 */     GIR_EraseRootFromParent_Done,
     /* 1097692 */   // Label 16135: @1097692
     /* 1097692 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097769), // Rule ID 60624 //
     /* 1097697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1097708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1097711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1097714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097736 */     // MIs[0] policy
     /* 1097736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097768 */     // GIR_Coverage, 60624,
     /* 1097768 */     GIR_EraseRootFromParent_Done,
     /* 1097769 */   // Label 16136: @1097769
     /* 1097769 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097846), // Rule ID 60627 //
     /* 1097774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097813 */     // MIs[0] policy
     /* 1097813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097845 */     // GIR_Coverage, 60627,
     /* 1097845 */     GIR_EraseRootFromParent_Done,
     /* 1097846 */   // Label 16137: @1097846
     /* 1097846 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097923), // Rule ID 60628 //
     /* 1097851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097890 */     // MIs[0] policy
     /* 1097890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097922 */     // GIR_Coverage, 60628,
     /* 1097922 */     GIR_EraseRootFromParent_Done,
     /* 1097923 */   // Label 16138: @1097923
     /* 1097923 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1098000), // Rule ID 60631 //
     /* 1097928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1097939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1097942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1097945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1097948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097967 */     // MIs[0] policy
     /* 1097967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097977 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097999 */     // GIR_Coverage, 60631,
     /* 1097999 */     GIR_EraseRootFromParent_Done,
     /* 1098000 */   // Label 16139: @1098000
     /* 1098000 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1098077), // Rule ID 60632 //
     /* 1098005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098044 */     // MIs[0] policy
     /* 1098044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098076 */     // GIR_Coverage, 60632,
     /* 1098076 */     GIR_EraseRootFromParent_Done,
     /* 1098077 */   // Label 16140: @1098077
     /* 1098077 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1098154), // Rule ID 60635 //
     /* 1098082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098121 */     // MIs[0] policy
     /* 1098121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098153 */     // GIR_Coverage, 60635,
     /* 1098153 */     GIR_EraseRootFromParent_Done,
     /* 1098154 */   // Label 16141: @1098154
     /* 1098154 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1098231), // Rule ID 60636 //
     /* 1098159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098198 */     // MIs[0] policy
     /* 1098198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098230 */     // GIR_Coverage, 60636,
     /* 1098230 */     GIR_EraseRootFromParent_Done,
     /* 1098231 */   // Label 16142: @1098231
     /* 1098231 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098308), // Rule ID 60639 //
     /* 1098236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098275 */     // MIs[0] policy
     /* 1098275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098307 */     // GIR_Coverage, 60639,
     /* 1098307 */     GIR_EraseRootFromParent_Done,
     /* 1098308 */   // Label 16143: @1098308
     /* 1098308 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098385), // Rule ID 60640 //
     /* 1098313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1098324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1098327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1098330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098352 */     // MIs[0] policy
     /* 1098352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098384 */     // GIR_Coverage, 60640,
     /* 1098384 */     GIR_EraseRootFromParent_Done,
     /* 1098385 */   // Label 16144: @1098385
     /* 1098385 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098462), // Rule ID 60643 //
     /* 1098390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098429 */     // MIs[0] policy
     /* 1098429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098461 */     // GIR_Coverage, 60643,
     /* 1098461 */     GIR_EraseRootFromParent_Done,
     /* 1098462 */   // Label 16145: @1098462
     /* 1098462 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098539), // Rule ID 60644 //
     /* 1098467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1098478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1098481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1098484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098506 */     // MIs[0] policy
     /* 1098506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098516 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098538 */     // GIR_Coverage, 60644,
     /* 1098538 */     GIR_EraseRootFromParent_Done,
     /* 1098539 */   // Label 16146: @1098539
     /* 1098539 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098616), // Rule ID 60647 //
     /* 1098544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1098561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098583 */     // MIs[0] policy
     /* 1098583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098615 */     // GIR_Coverage, 60647,
     /* 1098615 */     GIR_EraseRootFromParent_Done,
     /* 1098616 */   // Label 16147: @1098616
     /* 1098616 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098693), // Rule ID 60648 //
     /* 1098621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1098632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1098635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1098638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098660 */     // MIs[0] policy
     /* 1098660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1098673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098692 */     // GIR_Coverage, 60648,
     /* 1098692 */     GIR_EraseRootFromParent_Done,
     /* 1098693 */   // Label 16148: @1098693
     /* 1098693 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098770), // Rule ID 60651 //
     /* 1098698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098737 */     // MIs[0] policy
     /* 1098737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098769 */     // GIR_Coverage, 60651,
     /* 1098769 */     GIR_EraseRootFromParent_Done,
     /* 1098770 */   // Label 16149: @1098770
     /* 1098770 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098847), // Rule ID 60652 //
     /* 1098775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098814 */     // MIs[0] policy
     /* 1098814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1098827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098846 */     // GIR_Coverage, 60652,
     /* 1098846 */     GIR_EraseRootFromParent_Done,
     /* 1098847 */   // Label 16150: @1098847
     /* 1098847 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098924), // Rule ID 60655 //
     /* 1098852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098891 */     // MIs[0] policy
     /* 1098891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098923 */     // GIR_Coverage, 60655,
     /* 1098923 */     GIR_EraseRootFromParent_Done,
     /* 1098924 */   // Label 16151: @1098924
     /* 1098924 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1099001), // Rule ID 60656 //
     /* 1098929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1098937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098968 */     // MIs[0] policy
     /* 1098968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1098981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099000 */     // GIR_Coverage, 60656,
     /* 1099000 */     GIR_EraseRootFromParent_Done,
     /* 1099001 */   // Label 16152: @1099001
     /* 1099001 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1099078), // Rule ID 61079 //
     /* 1099006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099045 */     // MIs[0] policy
     /* 1099045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099055 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099077 */     // GIR_Coverage, 61079,
     /* 1099077 */     GIR_EraseRootFromParent_Done,
     /* 1099078 */   // Label 16153: @1099078
     /* 1099078 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1099155), // Rule ID 61080 //
     /* 1099083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1099094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1099097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1099100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099122 */     // MIs[0] policy
     /* 1099122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1099135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099154 */     // GIR_Coverage, 61080,
     /* 1099154 */     GIR_EraseRootFromParent_Done,
     /* 1099155 */   // Label 16154: @1099155
     /* 1099155 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1099232), // Rule ID 61083 //
     /* 1099160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099199 */     // MIs[0] policy
     /* 1099199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099231 */     // GIR_Coverage, 61083,
     /* 1099231 */     GIR_EraseRootFromParent_Done,
     /* 1099232 */   // Label 16155: @1099232
     /* 1099232 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099309), // Rule ID 61084 //
     /* 1099237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1099248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1099251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1099254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099276 */     // MIs[0] policy
     /* 1099276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099308 */     // GIR_Coverage, 61084,
     /* 1099308 */     GIR_EraseRootFromParent_Done,
     /* 1099309 */   // Label 16156: @1099309
     /* 1099309 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099386), // Rule ID 61087 //
     /* 1099314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099353 */     // MIs[0] policy
     /* 1099353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099385 */     // GIR_Coverage, 61087,
     /* 1099385 */     GIR_EraseRootFromParent_Done,
     /* 1099386 */   // Label 16157: @1099386
     /* 1099386 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099463), // Rule ID 61088 //
     /* 1099391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1099402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1099405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1099408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099430 */     // MIs[0] policy
     /* 1099430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099462 */     // GIR_Coverage, 61088,
     /* 1099462 */     GIR_EraseRootFromParent_Done,
     /* 1099463 */   // Label 16158: @1099463
     /* 1099463 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099540), // Rule ID 61091 //
     /* 1099468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099507 */     // MIs[0] policy
     /* 1099507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099539 */     // GIR_Coverage, 61091,
     /* 1099539 */     GIR_EraseRootFromParent_Done,
     /* 1099540 */   // Label 16159: @1099540
     /* 1099540 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099617), // Rule ID 61092 //
     /* 1099545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1099556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1099559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1099562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099584 */     // MIs[0] policy
     /* 1099584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1099597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099616 */     // GIR_Coverage, 61092,
     /* 1099616 */     GIR_EraseRootFromParent_Done,
     /* 1099617 */   // Label 16160: @1099617
     /* 1099617 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099694), // Rule ID 61095 //
     /* 1099622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1099633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1099636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1099639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099661 */     // MIs[0] policy
     /* 1099661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099693 */     // GIR_Coverage, 61095,
     /* 1099693 */     GIR_EraseRootFromParent_Done,
     /* 1099694 */   // Label 16161: @1099694
     /* 1099694 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099771), // Rule ID 61096 //
     /* 1099699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1099710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1099713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1099716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099738 */     // MIs[0] policy
     /* 1099738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099770 */     // GIR_Coverage, 61096,
     /* 1099770 */     GIR_EraseRootFromParent_Done,
     /* 1099771 */   // Label 16162: @1099771
     /* 1099771 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099848), // Rule ID 61099 //
     /* 1099776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1099787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1099790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1099793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099815 */     // MIs[0] policy
     /* 1099815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099825 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099847 */     // GIR_Coverage, 61099,
     /* 1099847 */     GIR_EraseRootFromParent_Done,
     /* 1099848 */   // Label 16163: @1099848
     /* 1099848 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099925), // Rule ID 61100 //
     /* 1099853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1099864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1099867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1099870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099892 */     // MIs[0] policy
     /* 1099892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1099905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099924 */     // GIR_Coverage, 61100,
     /* 1099924 */     GIR_EraseRootFromParent_Done,
     /* 1099925 */   // Label 16164: @1099925
     /* 1099925 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1100002), // Rule ID 61103 //
     /* 1099930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1099941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1099944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1099947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099969 */     // MIs[0] policy
     /* 1099969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100001 */     // GIR_Coverage, 61103,
     /* 1100001 */     GIR_EraseRootFromParent_Done,
     /* 1100002 */   // Label 16165: @1100002
     /* 1100002 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1100079), // Rule ID 61104 //
     /* 1100007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1100018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1100021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1100024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100046 */     // MIs[0] policy
     /* 1100046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100078 */     // GIR_Coverage, 61104,
     /* 1100078 */     GIR_EraseRootFromParent_Done,
     /* 1100079 */   // Label 16166: @1100079
     /* 1100079 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1100156), // Rule ID 61107 //
     /* 1100084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100123 */     // MIs[0] policy
     /* 1100123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100155 */     // GIR_Coverage, 61107,
     /* 1100155 */     GIR_EraseRootFromParent_Done,
     /* 1100156 */   // Label 16167: @1100156
     /* 1100156 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1100233), // Rule ID 61108 //
     /* 1100161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1100172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1100175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1100178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100200 */     // MIs[0] policy
     /* 1100200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100210 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100232 */     // GIR_Coverage, 61108,
     /* 1100232 */     GIR_EraseRootFromParent_Done,
     /* 1100233 */   // Label 16168: @1100233
     /* 1100233 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100310), // Rule ID 61111 //
     /* 1100238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100277 */     // MIs[0] policy
     /* 1100277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100309 */     // GIR_Coverage, 61111,
     /* 1100309 */     GIR_EraseRootFromParent_Done,
     /* 1100310 */   // Label 16169: @1100310
     /* 1100310 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100387), // Rule ID 61112 //
     /* 1100315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100354 */     // MIs[0] policy
     /* 1100354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100386 */     // GIR_Coverage, 61112,
     /* 1100386 */     GIR_EraseRootFromParent_Done,
     /* 1100387 */   // Label 16170: @1100387
     /* 1100387 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100464), // Rule ID 61115 //
     /* 1100392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100431 */     // MIs[0] policy
     /* 1100431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100463 */     // GIR_Coverage, 61115,
     /* 1100463 */     GIR_EraseRootFromParent_Done,
     /* 1100464 */   // Label 16171: @1100464
     /* 1100464 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100541), // Rule ID 61116 //
     /* 1100469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1100480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1100483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1100486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100508 */     // MIs[0] policy
     /* 1100508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1100521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100540 */     // GIR_Coverage, 61116,
     /* 1100540 */     GIR_EraseRootFromParent_Done,
     /* 1100541 */   // Label 16172: @1100541
     /* 1100541 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100618), // Rule ID 61119 //
     /* 1100546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1100563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100585 */     // MIs[0] policy
     /* 1100585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100595 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100617 */     // GIR_Coverage, 61119,
     /* 1100617 */     GIR_EraseRootFromParent_Done,
     /* 1100618 */   // Label 16173: @1100618
     /* 1100618 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100695), // Rule ID 61120 //
     /* 1100623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1100634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1100637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1100640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100662 */     // MIs[0] policy
     /* 1100662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100694 */     // GIR_Coverage, 61120,
     /* 1100694 */     GIR_EraseRootFromParent_Done,
     /* 1100695 */   // Label 16174: @1100695
     /* 1100695 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100772), // Rule ID 61123 //
     /* 1100700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1100711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1100714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1100717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100739 */     // MIs[0] policy
     /* 1100739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100749 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100771 */     // GIR_Coverage, 61123,
     /* 1100771 */     GIR_EraseRootFromParent_Done,
     /* 1100772 */   // Label 16175: @1100772
     /* 1100772 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100849), // Rule ID 61124 //
     /* 1100777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1100788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1100791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1100794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100816 */     // MIs[0] policy
     /* 1100816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100848 */     // GIR_Coverage, 61124,
     /* 1100848 */     GIR_EraseRootFromParent_Done,
     /* 1100849 */   // Label 16176: @1100849
     /* 1100849 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100926), // Rule ID 61127 //
     /* 1100854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1100865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1100868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1100871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1100874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100893 */     // MIs[0] policy
     /* 1100893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100925 */     // GIR_Coverage, 61127,
     /* 1100925 */     GIR_EraseRootFromParent_Done,
     /* 1100926 */   // Label 16177: @1100926
     /* 1100926 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1101003), // Rule ID 61128 //
     /* 1100931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1100942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1100945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1100948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1100951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100970 */     // MIs[0] policy
     /* 1100970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101002 */     // GIR_Coverage, 61128,
     /* 1101002 */     GIR_EraseRootFromParent_Done,
     /* 1101003 */   // Label 16178: @1101003
     /* 1101003 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1101080), // Rule ID 61131 //
     /* 1101008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101047 */     // MIs[0] policy
     /* 1101047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101079 */     // GIR_Coverage, 61131,
     /* 1101079 */     GIR_EraseRootFromParent_Done,
     /* 1101080 */   // Label 16179: @1101080
     /* 1101080 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1101157), // Rule ID 61132 //
     /* 1101085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1101096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1101099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101124 */     // MIs[0] policy
     /* 1101124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101156 */     // GIR_Coverage, 61132,
     /* 1101156 */     GIR_EraseRootFromParent_Done,
     /* 1101157 */   // Label 16180: @1101157
     /* 1101157 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1101234), // Rule ID 61135 //
     /* 1101162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101201 */     // MIs[0] policy
     /* 1101201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101233 */     // GIR_Coverage, 61135,
     /* 1101233 */     GIR_EraseRootFromParent_Done,
     /* 1101234 */   // Label 16181: @1101234
     /* 1101234 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101311), // Rule ID 61136 //
     /* 1101239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1101250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1101253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101278 */     // MIs[0] policy
     /* 1101278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101310 */     // GIR_Coverage, 61136,
     /* 1101310 */     GIR_EraseRootFromParent_Done,
     /* 1101311 */   // Label 16182: @1101311
     /* 1101311 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101388), // Rule ID 61139 //
     /* 1101316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101355 */     // MIs[0] policy
     /* 1101355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101387 */     // GIR_Coverage, 61139,
     /* 1101387 */     GIR_EraseRootFromParent_Done,
     /* 1101388 */   // Label 16183: @1101388
     /* 1101388 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101465), // Rule ID 61140 //
     /* 1101393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1101404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1101407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1101410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101432 */     // MIs[0] policy
     /* 1101432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101464 */     // GIR_Coverage, 61140,
     /* 1101464 */     GIR_EraseRootFromParent_Done,
     /* 1101465 */   // Label 16184: @1101465
     /* 1101465 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101542), // Rule ID 61143 //
     /* 1101470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101509 */     // MIs[0] policy
     /* 1101509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101541 */     // GIR_Coverage, 61143,
     /* 1101541 */     GIR_EraseRootFromParent_Done,
     /* 1101542 */   // Label 16185: @1101542
     /* 1101542 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101619), // Rule ID 61144 //
     /* 1101547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101586 */     // MIs[0] policy
     /* 1101586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101618 */     // GIR_Coverage, 61144,
     /* 1101618 */     GIR_EraseRootFromParent_Done,
     /* 1101619 */   // Label 16186: @1101619
     /* 1101619 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101696), // Rule ID 61147 //
     /* 1101624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101663 */     // MIs[0] policy
     /* 1101663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101695 */     // GIR_Coverage, 61147,
     /* 1101695 */     GIR_EraseRootFromParent_Done,
     /* 1101696 */   // Label 16187: @1101696
     /* 1101696 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101773), // Rule ID 61148 //
     /* 1101701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101740 */     // MIs[0] policy
     /* 1101740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101772 */     // GIR_Coverage, 61148,
     /* 1101772 */     GIR_EraseRootFromParent_Done,
     /* 1101773 */   // Label 16188: @1101773
     /* 1101773 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101850), // Rule ID 61151 //
     /* 1101778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101817 */     // MIs[0] policy
     /* 1101817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101849 */     // GIR_Coverage, 61151,
     /* 1101849 */     GIR_EraseRootFromParent_Done,
     /* 1101850 */   // Label 16189: @1101850
     /* 1101850 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101927), // Rule ID 61152 //
     /* 1101855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101894 */     // MIs[0] policy
     /* 1101894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101904 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101926 */     // GIR_Coverage, 61152,
     /* 1101926 */     GIR_EraseRootFromParent_Done,
     /* 1101927 */   // Label 16190: @1101927
     /* 1101927 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1102004), // Rule ID 61155 //
     /* 1101932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1101943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1101946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1101949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101971 */     // MIs[0] policy
     /* 1101971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1101984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102003 */     // GIR_Coverage, 61155,
     /* 1102003 */     GIR_EraseRootFromParent_Done,
     /* 1102004 */   // Label 16191: @1102004
     /* 1102004 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1102081), // Rule ID 61156 //
     /* 1102009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1102020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1102023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1102026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102048 */     // MIs[0] policy
     /* 1102048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1102061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102080 */     // GIR_Coverage, 61156,
     /* 1102080 */     GIR_EraseRootFromParent_Done,
     /* 1102081 */   // Label 16192: @1102081
     /* 1102081 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1102158), // Rule ID 61159 //
     /* 1102086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102125 */     // MIs[0] policy
     /* 1102125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102157 */     // GIR_Coverage, 61159,
     /* 1102157 */     GIR_EraseRootFromParent_Done,
     /* 1102158 */   // Label 16193: @1102158
     /* 1102158 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1102235), // Rule ID 61160 //
     /* 1102163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1102174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1102177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1102180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102202 */     // MIs[0] policy
     /* 1102202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1102215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102234 */     // GIR_Coverage, 61160,
     /* 1102234 */     GIR_EraseRootFromParent_Done,
     /* 1102235 */   // Label 16194: @1102235
     /* 1102235 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102312), // Rule ID 61163 //
     /* 1102240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102279 */     // MIs[0] policy
     /* 1102279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102311 */     // GIR_Coverage, 61163,
     /* 1102311 */     GIR_EraseRootFromParent_Done,
     /* 1102312 */   // Label 16195: @1102312
     /* 1102312 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102389), // Rule ID 61164 //
     /* 1102317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1102325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1102334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102356 */     // MIs[0] policy
     /* 1102356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1102369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102388 */     // GIR_Coverage, 61164,
     /* 1102388 */     GIR_EraseRootFromParent_Done,
     /* 1102389 */   // Label 16196: @1102389
     /* 1102389 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102466), // Rule ID 61167 //
     /* 1102394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102433 */     // MIs[0] policy
     /* 1102433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102465 */     // GIR_Coverage, 61167,
     /* 1102465 */     GIR_EraseRootFromParent_Done,
     /* 1102466 */   // Label 16197: @1102466
     /* 1102466 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102543), // Rule ID 61168 //
     /* 1102471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1102482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1102485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1102488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102510 */     // MIs[0] policy
     /* 1102510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1102523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102542 */     // GIR_Coverage, 61168,
     /* 1102542 */     GIR_EraseRootFromParent_Done,
     /* 1102543 */   // Label 16198: @1102543
     /* 1102543 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102620), // Rule ID 61171 //
     /* 1102548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1102562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1102565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102587 */     // MIs[0] policy
     /* 1102587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102619 */     // GIR_Coverage, 61171,
     /* 1102619 */     GIR_EraseRootFromParent_Done,
     /* 1102620 */   // Label 16199: @1102620
     /* 1102620 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102697), // Rule ID 61172 //
     /* 1102625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1102636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1102639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1102642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102664 */     // MIs[0] policy
     /* 1102664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102696 */     // GIR_Coverage, 61172,
     /* 1102696 */     GIR_EraseRootFromParent_Done,
     /* 1102697 */   // Label 16200: @1102697
     /* 1102697 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102774), // Rule ID 61175 //
     /* 1102702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1102713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1102716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1102719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102741 */     // MIs[0] policy
     /* 1102741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102773 */     // GIR_Coverage, 61175,
     /* 1102773 */     GIR_EraseRootFromParent_Done,
     /* 1102774 */   // Label 16201: @1102774
     /* 1102774 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102851), // Rule ID 61176 //
     /* 1102779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1102790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1102793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1102796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102818 */     // MIs[0] policy
     /* 1102818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102850 */     // GIR_Coverage, 61176,
     /* 1102850 */     GIR_EraseRootFromParent_Done,
     /* 1102851 */   // Label 16202: @1102851
     /* 1102851 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102928), // Rule ID 61179 //
     /* 1102856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1102867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1102870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1102873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102895 */     // MIs[0] policy
     /* 1102895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102927 */     // GIR_Coverage, 61179,
     /* 1102927 */     GIR_EraseRootFromParent_Done,
     /* 1102928 */   // Label 16203: @1102928
     /* 1102928 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1103005), // Rule ID 61180 //
     /* 1102933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1102944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1102947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1102950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102972 */     // MIs[0] policy
     /* 1102972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1102985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103004 */     // GIR_Coverage, 61180,
     /* 1103004 */     GIR_EraseRootFromParent_Done,
     /* 1103005 */   // Label 16204: @1103005
     /* 1103005 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1103082), // Rule ID 61183 //
     /* 1103010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103049 */     // MIs[0] policy
     /* 1103049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103081 */     // GIR_Coverage, 61183,
     /* 1103081 */     GIR_EraseRootFromParent_Done,
     /* 1103082 */   // Label 16205: @1103082
     /* 1103082 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1103159), // Rule ID 61184 //
     /* 1103087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1103098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1103101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103126 */     // MIs[0] policy
     /* 1103126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103158 */     // GIR_Coverage, 61184,
     /* 1103158 */     GIR_EraseRootFromParent_Done,
     /* 1103159 */   // Label 16206: @1103159
     /* 1103159 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1103236), // Rule ID 61187 //
     /* 1103164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103203 */     // MIs[0] policy
     /* 1103203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103213 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103235 */     // GIR_Coverage, 61187,
     /* 1103235 */     GIR_EraseRootFromParent_Done,
     /* 1103236 */   // Label 16207: @1103236
     /* 1103236 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103313), // Rule ID 61188 //
     /* 1103241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103280 */     // MIs[0] policy
     /* 1103280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1103293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103312 */     // GIR_Coverage, 61188,
     /* 1103312 */     GIR_EraseRootFromParent_Done,
     /* 1103313 */   // Label 16208: @1103313
     /* 1103313 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103390), // Rule ID 61191 //
     /* 1103318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103357 */     // MIs[0] policy
     /* 1103357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103389 */     // GIR_Coverage, 61191,
     /* 1103389 */     GIR_EraseRootFromParent_Done,
     /* 1103390 */   // Label 16209: @1103390
     /* 1103390 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103467), // Rule ID 61192 //
     /* 1103395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1103406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1103409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1103412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103434 */     // MIs[0] policy
     /* 1103434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103466 */     // GIR_Coverage, 61192,
     /* 1103466 */     GIR_EraseRootFromParent_Done,
     /* 1103467 */   // Label 16210: @1103467
     /* 1103467 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103544), // Rule ID 61195 //
     /* 1103472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103511 */     // MIs[0] policy
     /* 1103511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103543 */     // GIR_Coverage, 61195,
     /* 1103543 */     GIR_EraseRootFromParent_Done,
     /* 1103544 */   // Label 16211: @1103544
     /* 1103544 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103621), // Rule ID 61196 //
     /* 1103549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1103560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1103563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103588 */     // MIs[0] policy
     /* 1103588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103620 */     // GIR_Coverage, 61196,
     /* 1103620 */     GIR_EraseRootFromParent_Done,
     /* 1103621 */   // Label 16212: @1103621
     /* 1103621 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103698), // Rule ID 61199 //
     /* 1103626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103665 */     // MIs[0] policy
     /* 1103665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103697 */     // GIR_Coverage, 61199,
     /* 1103697 */     GIR_EraseRootFromParent_Done,
     /* 1103698 */   // Label 16213: @1103698
     /* 1103698 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103775), // Rule ID 61200 //
     /* 1103703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103742 */     // MIs[0] policy
     /* 1103742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103774 */     // GIR_Coverage, 61200,
     /* 1103774 */     GIR_EraseRootFromParent_Done,
     /* 1103775 */   // Label 16214: @1103775
     /* 1103775 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103852), // Rule ID 61203 //
     /* 1103780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103819 */     // MIs[0] policy
     /* 1103819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103851 */     // GIR_Coverage, 61203,
     /* 1103851 */     GIR_EraseRootFromParent_Done,
     /* 1103852 */   // Label 16215: @1103852
     /* 1103852 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103929), // Rule ID 61204 //
     /* 1103857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103896 */     // MIs[0] policy
     /* 1103896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1103909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103928 */     // GIR_Coverage, 61204,
     /* 1103928 */     GIR_EraseRootFromParent_Done,
     /* 1103929 */   // Label 16216: @1103929
     /* 1103929 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1104006), // Rule ID 61207 //
     /* 1103934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1103945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1103948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1103951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103973 */     // MIs[0] policy
     /* 1103973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1103986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104005 */     // GIR_Coverage, 61207,
     /* 1104005 */     GIR_EraseRootFromParent_Done,
     /* 1104006 */   // Label 16217: @1104006
     /* 1104006 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1104083), // Rule ID 61208 //
     /* 1104011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1104022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1104025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1104028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104050 */     // MIs[0] policy
     /* 1104050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104082 */     // GIR_Coverage, 61208,
     /* 1104082 */     GIR_EraseRootFromParent_Done,
     /* 1104083 */   // Label 16218: @1104083
     /* 1104083 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1104160), // Rule ID 61211 //
     /* 1104088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104127 */     // MIs[0] policy
     /* 1104127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104137 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104159 */     // GIR_Coverage, 61211,
     /* 1104159 */     GIR_EraseRootFromParent_Done,
     /* 1104160 */   // Label 16219: @1104160
     /* 1104160 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1104237), // Rule ID 61212 //
     /* 1104165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1104176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1104179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1104182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104204 */     // MIs[0] policy
     /* 1104204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104236 */     // GIR_Coverage, 61212,
     /* 1104236 */     GIR_EraseRootFromParent_Done,
     /* 1104237 */   // Label 16220: @1104237
     /* 1104237 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104314), // Rule ID 61215 //
     /* 1104242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104281 */     // MIs[0] policy
     /* 1104281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104291 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104313 */     // GIR_Coverage, 61215,
     /* 1104313 */     GIR_EraseRootFromParent_Done,
     /* 1104314 */   // Label 16221: @1104314
     /* 1104314 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104391), // Rule ID 61216 //
     /* 1104319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1104330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1104333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1104336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1104339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104358 */     // MIs[0] policy
     /* 1104358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104390 */     // GIR_Coverage, 61216,
     /* 1104390 */     GIR_EraseRootFromParent_Done,
     /* 1104391 */   // Label 16222: @1104391
     /* 1104391 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104468), // Rule ID 61219 //
     /* 1104396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104435 */     // MIs[0] policy
     /* 1104435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104445 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104467 */     // GIR_Coverage, 61219,
     /* 1104467 */     GIR_EraseRootFromParent_Done,
     /* 1104468 */   // Label 16223: @1104468
     /* 1104468 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104545), // Rule ID 61220 //
     /* 1104473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1104484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1104487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104512 */     // MIs[0] policy
     /* 1104512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104544 */     // GIR_Coverage, 61220,
     /* 1104544 */     GIR_EraseRootFromParent_Done,
     /* 1104545 */   // Label 16224: @1104545
     /* 1104545 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104622), // Rule ID 61223 //
     /* 1104550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1104561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1104564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104589 */     // MIs[0] policy
     /* 1104589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104621 */     // GIR_Coverage, 61223,
     /* 1104621 */     GIR_EraseRootFromParent_Done,
     /* 1104622 */   // Label 16225: @1104622
     /* 1104622 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104699), // Rule ID 61224 //
     /* 1104627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1104638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1104641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104666 */     // MIs[0] policy
     /* 1104666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104698 */     // GIR_Coverage, 61224,
     /* 1104698 */     GIR_EraseRootFromParent_Done,
     /* 1104699 */   // Label 16226: @1104699
     /* 1104699 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104776), // Rule ID 61227 //
     /* 1104704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1104715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1104718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1104721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104743 */     // MIs[0] policy
     /* 1104743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104775 */     // GIR_Coverage, 61227,
     /* 1104775 */     GIR_EraseRootFromParent_Done,
     /* 1104776 */   // Label 16227: @1104776
     /* 1104776 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104853), // Rule ID 61228 //
     /* 1104781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1104792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1104795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1104798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1104801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104820 */     // MIs[0] policy
     /* 1104820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104852 */     // GIR_Coverage, 61228,
     /* 1104852 */     GIR_EraseRootFromParent_Done,
     /* 1104853 */   // Label 16228: @1104853
     /* 1104853 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104930), // Rule ID 61231 //
     /* 1104858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104897 */     // MIs[0] policy
     /* 1104897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104929 */     // GIR_Coverage, 61231,
     /* 1104929 */     GIR_EraseRootFromParent_Done,
     /* 1104930 */   // Label 16229: @1104930
     /* 1104930 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1105007), // Rule ID 61232 //
     /* 1104935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104974 */     // MIs[0] policy
     /* 1104974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105006 */     // GIR_Coverage, 61232,
     /* 1105006 */     GIR_EraseRootFromParent_Done,
     /* 1105007 */   // Label 16230: @1105007
     /* 1105007 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1105084), // Rule ID 61235 //
     /* 1105012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105051 */     // MIs[0] policy
     /* 1105051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105083 */     // GIR_Coverage, 61235,
     /* 1105083 */     GIR_EraseRootFromParent_Done,
     /* 1105084 */   // Label 16231: @1105084
     /* 1105084 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1105161), // Rule ID 61236 //
     /* 1105089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105128 */     // MIs[0] policy
     /* 1105128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105160 */     // GIR_Coverage, 61236,
     /* 1105160 */     GIR_EraseRootFromParent_Done,
     /* 1105161 */   // Label 16232: @1105161
     /* 1105161 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1105238), // Rule ID 61239 //
     /* 1105166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105205 */     // MIs[0] policy
     /* 1105205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105237 */     // GIR_Coverage, 61239,
     /* 1105237 */     GIR_EraseRootFromParent_Done,
     /* 1105238 */   // Label 16233: @1105238
     /* 1105238 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105315), // Rule ID 61240 //
     /* 1105243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105282 */     // MIs[0] policy
     /* 1105282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105314 */     // GIR_Coverage, 61240,
     /* 1105314 */     GIR_EraseRootFromParent_Done,
     /* 1105315 */   // Label 16234: @1105315
     /* 1105315 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105392), // Rule ID 61243 //
     /* 1105320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105359 */     // MIs[0] policy
     /* 1105359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105391 */     // GIR_Coverage, 61243,
     /* 1105391 */     GIR_EraseRootFromParent_Done,
     /* 1105392 */   // Label 16235: @1105392
     /* 1105392 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105469), // Rule ID 61244 //
     /* 1105397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105436 */     // MIs[0] policy
     /* 1105436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1105449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105468 */     // GIR_Coverage, 61244,
     /* 1105468 */     GIR_EraseRootFromParent_Done,
     /* 1105469 */   // Label 16236: @1105469
     /* 1105469 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105546), // Rule ID 61247 //
     /* 1105474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105513 */     // MIs[0] policy
     /* 1105513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105545 */     // GIR_Coverage, 61247,
     /* 1105545 */     GIR_EraseRootFromParent_Done,
     /* 1105546 */   // Label 16237: @1105546
     /* 1105546 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105623), // Rule ID 61248 //
     /* 1105551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105590 */     // MIs[0] policy
     /* 1105590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1105603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105622 */     // GIR_Coverage, 61248,
     /* 1105622 */     GIR_EraseRootFromParent_Done,
     /* 1105623 */   // Label 16238: @1105623
     /* 1105623 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105700), // Rule ID 61251 //
     /* 1105628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105667 */     // MIs[0] policy
     /* 1105667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105699 */     // GIR_Coverage, 61251,
     /* 1105699 */     GIR_EraseRootFromParent_Done,
     /* 1105700 */   // Label 16239: @1105700
     /* 1105700 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105777), // Rule ID 61252 //
     /* 1105705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1105713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105744 */     // MIs[0] policy
     /* 1105744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1105757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105776 */     // GIR_Coverage, 61252,
     /* 1105776 */     GIR_EraseRootFromParent_Done,
     /* 1105777 */   // Label 16240: @1105777
     /* 1105777 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105854), // Rule ID 61777 //
     /* 1105782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1105785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105821 */     // MIs[0] policy
     /* 1105821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1105834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105853 */     // GIR_Coverage, 61777,
     /* 1105853 */     GIR_EraseRootFromParent_Done,
     /* 1105854 */   // Label 16241: @1105854
     /* 1105854 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105931), // Rule ID 61778 //
     /* 1105859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1105862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105898 */     // MIs[0] policy
     /* 1105898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1105911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105930 */     // GIR_Coverage, 61778,
     /* 1105930 */     GIR_EraseRootFromParent_Done,
     /* 1105931 */   // Label 16242: @1105931
     /* 1105931 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1106008), // Rule ID 61779 //
     /* 1105936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1105939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1105956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105975 */     // MIs[0] policy
     /* 1105975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1105988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106007 */     // GIR_Coverage, 61779,
     /* 1106007 */     GIR_EraseRootFromParent_Done,
     /* 1106008 */   // Label 16243: @1106008
     /* 1106008 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1106085), // Rule ID 61780 //
     /* 1106013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106052 */     // MIs[0] policy
     /* 1106052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1106065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106084 */     // GIR_Coverage, 61780,
     /* 1106084 */     GIR_EraseRootFromParent_Done,
     /* 1106085 */   // Label 16244: @1106085
     /* 1106085 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1106162), // Rule ID 61781 //
     /* 1106090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106129 */     // MIs[0] policy
     /* 1106129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106161 */     // GIR_Coverage, 61781,
     /* 1106161 */     GIR_EraseRootFromParent_Done,
     /* 1106162 */   // Label 16245: @1106162
     /* 1106162 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1106239), // Rule ID 61782 //
     /* 1106167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106206 */     // MIs[0] policy
     /* 1106206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1106219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106238 */     // GIR_Coverage, 61782,
     /* 1106238 */     GIR_EraseRootFromParent_Done,
     /* 1106239 */   // Label 16246: @1106239
     /* 1106239 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106316), // Rule ID 61783 //
     /* 1106244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1106247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106283 */     // MIs[0] policy
     /* 1106283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106315 */     // GIR_Coverage, 61783,
     /* 1106315 */     GIR_EraseRootFromParent_Done,
     /* 1106316 */   // Label 16247: @1106316
     /* 1106316 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106393), // Rule ID 61784 //
     /* 1106321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1106324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1106329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106360 */     // MIs[0] policy
     /* 1106360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1106373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106392 */     // GIR_Coverage, 61784,
     /* 1106392 */     GIR_EraseRootFromParent_Done,
     /* 1106393 */   // Label 16248: @1106393
     /* 1106393 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106470), // Rule ID 61987 //
     /* 1106398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106437 */     // MIs[0] policy
     /* 1106437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106469 */     // GIR_Coverage, 61987,
     /* 1106469 */     GIR_EraseRootFromParent_Done,
     /* 1106470 */   // Label 16249: @1106470
     /* 1106470 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106547), // Rule ID 61988 //
     /* 1106475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106514 */     // MIs[0] policy
     /* 1106514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106546 */     // GIR_Coverage, 61988,
     /* 1106546 */     GIR_EraseRootFromParent_Done,
     /* 1106547 */   // Label 16250: @1106547
     /* 1106547 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106624), // Rule ID 61989 //
     /* 1106552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106591 */     // MIs[0] policy
     /* 1106591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106623 */     // GIR_Coverage, 61989,
     /* 1106623 */     GIR_EraseRootFromParent_Done,
     /* 1106624 */   // Label 16251: @1106624
     /* 1106624 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106701), // Rule ID 61990 //
     /* 1106629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106668 */     // MIs[0] policy
     /* 1106668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106700 */     // GIR_Coverage, 61990,
     /* 1106700 */     GIR_EraseRootFromParent_Done,
     /* 1106701 */   // Label 16252: @1106701
     /* 1106701 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106778), // Rule ID 61991 //
     /* 1106706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106745 */     // MIs[0] policy
     /* 1106745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106777 */     // GIR_Coverage, 61991,
     /* 1106777 */     GIR_EraseRootFromParent_Done,
     /* 1106778 */   // Label 16253: @1106778
     /* 1106778 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106855), // Rule ID 61992 //
     /* 1106783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106822 */     // MIs[0] policy
     /* 1106822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106854 */     // GIR_Coverage, 61992,
     /* 1106854 */     GIR_EraseRootFromParent_Done,
     /* 1106855 */   // Label 16254: @1106855
     /* 1106855 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106932), // Rule ID 61993 //
     /* 1106860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106899 */     // MIs[0] policy
     /* 1106899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1106912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106931 */     // GIR_Coverage, 61993,
     /* 1106931 */     GIR_EraseRootFromParent_Done,
     /* 1106932 */   // Label 16255: @1106932
     /* 1106932 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1107009), // Rule ID 61994 //
     /* 1106937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1106945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106976 */     // MIs[0] policy
     /* 1106976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1106989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107008 */     // GIR_Coverage, 61994,
     /* 1107008 */     GIR_EraseRootFromParent_Done,
     /* 1107009 */   // Label 16256: @1107009
     /* 1107009 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1107086), // Rule ID 61995 //
     /* 1107014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107053 */     // MIs[0] policy
     /* 1107053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107085 */     // GIR_Coverage, 61995,
     /* 1107085 */     GIR_EraseRootFromParent_Done,
     /* 1107086 */   // Label 16257: @1107086
     /* 1107086 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1107163), // Rule ID 61996 //
     /* 1107091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107130 */     // MIs[0] policy
     /* 1107130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107162 */     // GIR_Coverage, 61996,
     /* 1107162 */     GIR_EraseRootFromParent_Done,
     /* 1107163 */   // Label 16258: @1107163
     /* 1107163 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1107240), // Rule ID 61997 //
     /* 1107168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107207 */     // MIs[0] policy
     /* 1107207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107239 */     // GIR_Coverage, 61997,
     /* 1107239 */     GIR_EraseRootFromParent_Done,
     /* 1107240 */   // Label 16259: @1107240
     /* 1107240 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107317), // Rule ID 61998 //
     /* 1107245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107284 */     // MIs[0] policy
     /* 1107284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107316 */     // GIR_Coverage, 61998,
     /* 1107316 */     GIR_EraseRootFromParent_Done,
     /* 1107317 */   // Label 16260: @1107317
     /* 1107317 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107394), // Rule ID 61999 //
     /* 1107322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107361 */     // MIs[0] policy
     /* 1107361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107393 */     // GIR_Coverage, 61999,
     /* 1107393 */     GIR_EraseRootFromParent_Done,
     /* 1107394 */   // Label 16261: @1107394
     /* 1107394 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107471), // Rule ID 62000 //
     /* 1107399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107438 */     // MIs[0] policy
     /* 1107438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107470 */     // GIR_Coverage, 62000,
     /* 1107470 */     GIR_EraseRootFromParent_Done,
     /* 1107471 */   // Label 16262: @1107471
     /* 1107471 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107548), // Rule ID 62001 //
     /* 1107476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107515 */     // MIs[0] policy
     /* 1107515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107547 */     // GIR_Coverage, 62001,
     /* 1107547 */     GIR_EraseRootFromParent_Done,
     /* 1107548 */   // Label 16263: @1107548
     /* 1107548 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107625), // Rule ID 62002 //
     /* 1107553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107592 */     // MIs[0] policy
     /* 1107592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1107605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107624 */     // GIR_Coverage, 62002,
     /* 1107624 */     GIR_EraseRootFromParent_Done,
     /* 1107625 */   // Label 16264: @1107625
     /* 1107625 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107702), // Rule ID 62003 //
     /* 1107630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107669 */     // MIs[0] policy
     /* 1107669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107701 */     // GIR_Coverage, 62003,
     /* 1107701 */     GIR_EraseRootFromParent_Done,
     /* 1107702 */   // Label 16265: @1107702
     /* 1107702 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107779), // Rule ID 62004 //
     /* 1107707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107746 */     // MIs[0] policy
     /* 1107746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1107759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107778 */     // GIR_Coverage, 62004,
     /* 1107778 */     GIR_EraseRootFromParent_Done,
     /* 1107779 */   // Label 16266: @1107779
     /* 1107779 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107856), // Rule ID 62005 //
     /* 1107784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107823 */     // MIs[0] policy
     /* 1107823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107855 */     // GIR_Coverage, 62005,
     /* 1107855 */     GIR_EraseRootFromParent_Done,
     /* 1107856 */   // Label 16267: @1107856
     /* 1107856 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107933), // Rule ID 62006 //
     /* 1107861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1107869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107900 */     // MIs[0] policy
     /* 1107900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1107913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107932 */     // GIR_Coverage, 62006,
     /* 1107932 */     GIR_EraseRootFromParent_Done,
     /* 1107933 */   // Label 16268: @1107933
     /* 1107933 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1108010), // Rule ID 62007 //
     /* 1107938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107977 */     // MIs[0] policy
     /* 1107977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1107990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108009 */     // GIR_Coverage, 62007,
     /* 1108009 */     GIR_EraseRootFromParent_Done,
     /* 1108010 */   // Label 16269: @1108010
     /* 1108010 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1108087), // Rule ID 62008 //
     /* 1108015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108054 */     // MIs[0] policy
     /* 1108054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1108067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108086 */     // GIR_Coverage, 62008,
     /* 1108086 */     GIR_EraseRootFromParent_Done,
     /* 1108087 */   // Label 16270: @1108087
     /* 1108087 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1108164), // Rule ID 62009 //
     /* 1108092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108131 */     // MIs[0] policy
     /* 1108131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108163 */     // GIR_Coverage, 62009,
     /* 1108163 */     GIR_EraseRootFromParent_Done,
     /* 1108164 */   // Label 16271: @1108164
     /* 1108164 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1108241), // Rule ID 62010 //
     /* 1108169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108208 */     // MIs[0] policy
     /* 1108208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1108221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108240 */     // GIR_Coverage, 62010,
     /* 1108240 */     GIR_EraseRootFromParent_Done,
     /* 1108241 */   // Label 16272: @1108241
     /* 1108241 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108318), // Rule ID 62011 //
     /* 1108246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108285 */     // MIs[0] policy
     /* 1108285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108317 */     // GIR_Coverage, 62011,
     /* 1108317 */     GIR_EraseRootFromParent_Done,
     /* 1108318 */   // Label 16273: @1108318
     /* 1108318 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108395), // Rule ID 62012 //
     /* 1108323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108362 */     // MIs[0] policy
     /* 1108362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1108375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108394 */     // GIR_Coverage, 62012,
     /* 1108394 */     GIR_EraseRootFromParent_Done,
     /* 1108395 */   // Label 16274: @1108395
     /* 1108395 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108472), // Rule ID 62013 //
     /* 1108400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108439 */     // MIs[0] policy
     /* 1108439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108471 */     // GIR_Coverage, 62013,
     /* 1108471 */     GIR_EraseRootFromParent_Done,
     /* 1108472 */   // Label 16275: @1108472
     /* 1108472 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108549), // Rule ID 62014 //
     /* 1108477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108516 */     // MIs[0] policy
     /* 1108516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1108529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108548 */     // GIR_Coverage, 62014,
     /* 1108548 */     GIR_EraseRootFromParent_Done,
     /* 1108549 */   // Label 16276: @1108549
     /* 1108549 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108626), // Rule ID 62015 //
     /* 1108554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1108557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108593 */     // MIs[0] policy
     /* 1108593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1108606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108625 */     // GIR_Coverage, 62015,
     /* 1108625 */     GIR_EraseRootFromParent_Done,
     /* 1108626 */   // Label 16277: @1108626
     /* 1108626 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108703), // Rule ID 62016 //
     /* 1108631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1108634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1108639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108670 */     // MIs[0] policy
     /* 1108670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1108683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108702 */     // GIR_Coverage, 62016,
     /* 1108702 */     GIR_EraseRootFromParent_Done,
     /* 1108703 */   // Label 16278: @1108703
     /* 1108703 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108780), // Rule ID 62017 //
     /* 1108708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108747 */     // MIs[0] policy
     /* 1108747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108779 */     // GIR_Coverage, 62017,
     /* 1108779 */     GIR_EraseRootFromParent_Done,
     /* 1108780 */   // Label 16279: @1108780
     /* 1108780 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108857), // Rule ID 62018 //
     /* 1108785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108824 */     // MIs[0] policy
     /* 1108824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108856 */     // GIR_Coverage, 62018,
     /* 1108856 */     GIR_EraseRootFromParent_Done,
     /* 1108857 */   // Label 16280: @1108857
     /* 1108857 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108934), // Rule ID 62019 //
     /* 1108862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108901 */     // MIs[0] policy
     /* 1108901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1108914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108933 */     // GIR_Coverage, 62019,
     /* 1108933 */     GIR_EraseRootFromParent_Done,
     /* 1108934 */   // Label 16281: @1108934
     /* 1108934 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1109011), // Rule ID 62020 //
     /* 1108939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1108959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108978 */     // MIs[0] policy
     /* 1108978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1108991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109010 */     // GIR_Coverage, 62020,
     /* 1109010 */     GIR_EraseRootFromParent_Done,
     /* 1109011 */   // Label 16282: @1109011
     /* 1109011 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1109088), // Rule ID 62021 //
     /* 1109016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109055 */     // MIs[0] policy
     /* 1109055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109087 */     // GIR_Coverage, 62021,
     /* 1109087 */     GIR_EraseRootFromParent_Done,
     /* 1109088 */   // Label 16283: @1109088
     /* 1109088 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1109165), // Rule ID 62022 //
     /* 1109093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109132 */     // MIs[0] policy
     /* 1109132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109164 */     // GIR_Coverage, 62022,
     /* 1109164 */     GIR_EraseRootFromParent_Done,
     /* 1109165 */   // Label 16284: @1109165
     /* 1109165 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1109242), // Rule ID 62023 //
     /* 1109170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109209 */     // MIs[0] policy
     /* 1109209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109241 */     // GIR_Coverage, 62023,
     /* 1109241 */     GIR_EraseRootFromParent_Done,
     /* 1109242 */   // Label 16285: @1109242
     /* 1109242 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109319), // Rule ID 62024 //
     /* 1109247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109286 */     // MIs[0] policy
     /* 1109286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109318 */     // GIR_Coverage, 62024,
     /* 1109318 */     GIR_EraseRootFromParent_Done,
     /* 1109319 */   // Label 16286: @1109319
     /* 1109319 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109396), // Rule ID 62025 //
     /* 1109324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109363 */     // MIs[0] policy
     /* 1109363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109395 */     // GIR_Coverage, 62025,
     /* 1109395 */     GIR_EraseRootFromParent_Done,
     /* 1109396 */   // Label 16287: @1109396
     /* 1109396 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109473), // Rule ID 62026 //
     /* 1109401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109440 */     // MIs[0] policy
     /* 1109440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109472 */     // GIR_Coverage, 62026,
     /* 1109472 */     GIR_EraseRootFromParent_Done,
     /* 1109473 */   // Label 16288: @1109473
     /* 1109473 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109550), // Rule ID 62027 //
     /* 1109478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109517 */     // MIs[0] policy
     /* 1109517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109527 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109549 */     // GIR_Coverage, 62027,
     /* 1109549 */     GIR_EraseRootFromParent_Done,
     /* 1109550 */   // Label 16289: @1109550
     /* 1109550 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109627), // Rule ID 62028 //
     /* 1109555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109594 */     // MIs[0] policy
     /* 1109594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109626 */     // GIR_Coverage, 62028,
     /* 1109626 */     GIR_EraseRootFromParent_Done,
     /* 1109627 */   // Label 16290: @1109627
     /* 1109627 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109704), // Rule ID 62029 //
     /* 1109632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109671 */     // MIs[0] policy
     /* 1109671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109703 */     // GIR_Coverage, 62029,
     /* 1109703 */     GIR_EraseRootFromParent_Done,
     /* 1109704 */   // Label 16291: @1109704
     /* 1109704 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109781), // Rule ID 62030 //
     /* 1109709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109748 */     // MIs[0] policy
     /* 1109748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109780 */     // GIR_Coverage, 62030,
     /* 1109780 */     GIR_EraseRootFromParent_Done,
     /* 1109781 */   // Label 16292: @1109781
     /* 1109781 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109858), // Rule ID 62031 //
     /* 1109786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1109806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109825 */     // MIs[0] policy
     /* 1109825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109857 */     // GIR_Coverage, 62031,
     /* 1109857 */     GIR_EraseRootFromParent_Done,
     /* 1109858 */   // Label 16293: @1109858
     /* 1109858 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109935), // Rule ID 62032 //
     /* 1109863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1109883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109902 */     // MIs[0] policy
     /* 1109902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109934 */     // GIR_Coverage, 62032,
     /* 1109934 */     GIR_EraseRootFromParent_Done,
     /* 1109935 */   // Label 16294: @1109935
     /* 1109935 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1110012), // Rule ID 62033 //
     /* 1109940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1109948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1109951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1109954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1109957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1109960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109979 */     // MIs[0] policy
     /* 1109979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110011 */     // GIR_Coverage, 62033,
     /* 1110011 */     GIR_EraseRootFromParent_Done,
     /* 1110012 */   // Label 16295: @1110012
     /* 1110012 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1110089), // Rule ID 62034 //
     /* 1110017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1110025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110056 */     // MIs[0] policy
     /* 1110056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110088 */     // GIR_Coverage, 62034,
     /* 1110088 */     GIR_EraseRootFromParent_Done,
     /* 1110089 */   // Label 16296: @1110089
     /* 1110089 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1110166), // Rule ID 62035 //
     /* 1110094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110133 */     // MIs[0] policy
     /* 1110133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110165 */     // GIR_Coverage, 62035,
     /* 1110165 */     GIR_EraseRootFromParent_Done,
     /* 1110166 */   // Label 16297: @1110166
     /* 1110166 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1110243), // Rule ID 62036 //
     /* 1110171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110210 */     // MIs[0] policy
     /* 1110210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1110223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110242 */     // GIR_Coverage, 62036,
     /* 1110242 */     GIR_EraseRootFromParent_Done,
     /* 1110243 */   // Label 16298: @1110243
     /* 1110243 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110320), // Rule ID 62037 //
     /* 1110248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110287 */     // MIs[0] policy
     /* 1110287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110319 */     // GIR_Coverage, 62037,
     /* 1110319 */     GIR_EraseRootFromParent_Done,
     /* 1110320 */   // Label 16299: @1110320
     /* 1110320 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110397), // Rule ID 62038 //
     /* 1110325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110364 */     // MIs[0] policy
     /* 1110364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110396 */     // GIR_Coverage, 62038,
     /* 1110396 */     GIR_EraseRootFromParent_Done,
     /* 1110397 */   // Label 16300: @1110397
     /* 1110397 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110474), // Rule ID 62039 //
     /* 1110402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110441 */     // MIs[0] policy
     /* 1110441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110473 */     // GIR_Coverage, 62039,
     /* 1110473 */     GIR_EraseRootFromParent_Done,
     /* 1110474 */   // Label 16301: @1110474
     /* 1110474 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110551), // Rule ID 62040 //
     /* 1110479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110518 */     // MIs[0] policy
     /* 1110518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1110531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110550 */     // GIR_Coverage, 62040,
     /* 1110550 */     GIR_EraseRootFromParent_Done,
     /* 1110551 */   // Label 16302: @1110551
     /* 1110551 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110628), // Rule ID 62041 //
     /* 1110556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110595 */     // MIs[0] policy
     /* 1110595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110627 */     // GIR_Coverage, 62041,
     /* 1110627 */     GIR_EraseRootFromParent_Done,
     /* 1110628 */   // Label 16303: @1110628
     /* 1110628 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110705), // Rule ID 62042 //
     /* 1110633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110672 */     // MIs[0] policy
     /* 1110672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1110685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110704 */     // GIR_Coverage, 62042,
     /* 1110704 */     GIR_EraseRootFromParent_Done,
     /* 1110705 */   // Label 16304: @1110705
     /* 1110705 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110782), // Rule ID 62043 //
     /* 1110710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110749 */     // MIs[0] policy
     /* 1110749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110781 */     // GIR_Coverage, 62043,
     /* 1110781 */     GIR_EraseRootFromParent_Done,
     /* 1110782 */   // Label 16305: @1110782
     /* 1110782 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110859), // Rule ID 62044 //
     /* 1110787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110826 */     // MIs[0] policy
     /* 1110826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110858 */     // GIR_Coverage, 62044,
     /* 1110858 */     GIR_EraseRootFromParent_Done,
     /* 1110859 */   // Label 16306: @1110859
     /* 1110859 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110936), // Rule ID 62045 //
     /* 1110864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110903 */     // MIs[0] policy
     /* 1110903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110913 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110935 */     // GIR_Coverage, 62045,
     /* 1110935 */     GIR_EraseRootFromParent_Done,
     /* 1110936 */   // Label 16307: @1110936
     /* 1110936 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1111013), // Rule ID 62046 //
     /* 1110941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110980 */     // MIs[0] policy
     /* 1110980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111012 */     // GIR_Coverage, 62046,
     /* 1111012 */     GIR_EraseRootFromParent_Done,
     /* 1111013 */   // Label 16308: @1111013
     /* 1111013 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1111090), // Rule ID 62047 //
     /* 1111018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111057 */     // MIs[0] policy
     /* 1111057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111089 */     // GIR_Coverage, 62047,
     /* 1111089 */     GIR_EraseRootFromParent_Done,
     /* 1111090 */   // Label 16309: @1111090
     /* 1111090 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1111167), // Rule ID 62048 //
     /* 1111095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111134 */     // MIs[0] policy
     /* 1111134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111166 */     // GIR_Coverage, 62048,
     /* 1111166 */     GIR_EraseRootFromParent_Done,
     /* 1111167 */   // Label 16310: @1111167
     /* 1111167 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1111244), // Rule ID 62049 //
     /* 1111172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111211 */     // MIs[0] policy
     /* 1111211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111221 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111243 */     // GIR_Coverage, 62049,
     /* 1111243 */     GIR_EraseRootFromParent_Done,
     /* 1111244 */   // Label 16311: @1111244
     /* 1111244 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111321), // Rule ID 62050 //
     /* 1111249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111288 */     // MIs[0] policy
     /* 1111288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111298 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111320 */     // GIR_Coverage, 62050,
     /* 1111320 */     GIR_EraseRootFromParent_Done,
     /* 1111321 */   // Label 16312: @1111321
     /* 1111321 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111398), // Rule ID 62051 //
     /* 1111326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111365 */     // MIs[0] policy
     /* 1111365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111375 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111397 */     // GIR_Coverage, 62051,
     /* 1111397 */     GIR_EraseRootFromParent_Done,
     /* 1111398 */   // Label 16313: @1111398
     /* 1111398 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111475), // Rule ID 62052 //
     /* 1111403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111442 */     // MIs[0] policy
     /* 1111442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111474 */     // GIR_Coverage, 62052,
     /* 1111474 */     GIR_EraseRootFromParent_Done,
     /* 1111475 */   // Label 16314: @1111475
     /* 1111475 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111552), // Rule ID 62053 //
     /* 1111480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111519 */     // MIs[0] policy
     /* 1111519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111551 */     // GIR_Coverage, 62053,
     /* 1111551 */     GIR_EraseRootFromParent_Done,
     /* 1111552 */   // Label 16315: @1111552
     /* 1111552 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111629), // Rule ID 62054 //
     /* 1111557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111596 */     // MIs[0] policy
     /* 1111596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1111609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111628 */     // GIR_Coverage, 62054,
     /* 1111628 */     GIR_EraseRootFromParent_Done,
     /* 1111629 */   // Label 16316: @1111629
     /* 1111629 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111706), // Rule ID 62055 //
     /* 1111634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111673 */     // MIs[0] policy
     /* 1111673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1111686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111705 */     // GIR_Coverage, 62055,
     /* 1111705 */     GIR_EraseRootFromParent_Done,
     /* 1111706 */   // Label 16317: @1111706
     /* 1111706 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111783), // Rule ID 62056 //
     /* 1111711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111750 */     // MIs[0] policy
     /* 1111750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1111763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111782 */     // GIR_Coverage, 62056,
     /* 1111782 */     GIR_EraseRootFromParent_Done,
     /* 1111783 */   // Label 16318: @1111783
     /* 1111783 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111860), // Rule ID 62057 //
     /* 1111788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111827 */     // MIs[0] policy
     /* 1111827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111837 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1111840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111859 */     // GIR_Coverage, 62057,
     /* 1111859 */     GIR_EraseRootFromParent_Done,
     /* 1111860 */   // Label 16319: @1111860
     /* 1111860 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111937), // Rule ID 62058 //
     /* 1111865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1111885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111904 */     // MIs[0] policy
     /* 1111904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1111917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111936 */     // GIR_Coverage, 62058,
     /* 1111936 */     GIR_EraseRootFromParent_Done,
     /* 1111937 */   // Label 16320: @1111937
     /* 1111937 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1112014), // Rule ID 62059 //
     /* 1111942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111981 */     // MIs[0] policy
     /* 1111981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1111994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112013 */     // GIR_Coverage, 62059,
     /* 1112013 */     GIR_EraseRootFromParent_Done,
     /* 1112014 */   // Label 16321: @1112014
     /* 1112014 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1112091), // Rule ID 62060 //
     /* 1112019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112058 */     // MIs[0] policy
     /* 1112058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112090 */     // GIR_Coverage, 62060,
     /* 1112090 */     GIR_EraseRootFromParent_Done,
     /* 1112091 */   // Label 16322: @1112091
     /* 1112091 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1112168), // Rule ID 62061 //
     /* 1112096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112135 */     // MIs[0] policy
     /* 1112135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112167 */     // GIR_Coverage, 62061,
     /* 1112167 */     GIR_EraseRootFromParent_Done,
     /* 1112168 */   // Label 16323: @1112168
     /* 1112168 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1112245), // Rule ID 62062 //
     /* 1112173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112212 */     // MIs[0] policy
     /* 1112212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1112225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112244 */     // GIR_Coverage, 62062,
     /* 1112244 */     GIR_EraseRootFromParent_Done,
     /* 1112245 */   // Label 16324: @1112245
     /* 1112245 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112322), // Rule ID 62063 //
     /* 1112250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112289 */     // MIs[0] policy
     /* 1112289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112321 */     // GIR_Coverage, 62063,
     /* 1112321 */     GIR_EraseRootFromParent_Done,
     /* 1112322 */   // Label 16325: @1112322
     /* 1112322 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112399), // Rule ID 62064 //
     /* 1112327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112366 */     // MIs[0] policy
     /* 1112366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1112379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112398 */     // GIR_Coverage, 62064,
     /* 1112398 */     GIR_EraseRootFromParent_Done,
     /* 1112399 */   // Label 16326: @1112399
     /* 1112399 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112476), // Rule ID 62065 //
     /* 1112404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112443 */     // MIs[0] policy
     /* 1112443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112475 */     // GIR_Coverage, 62065,
     /* 1112475 */     GIR_EraseRootFromParent_Done,
     /* 1112476 */   // Label 16327: @1112476
     /* 1112476 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112553), // Rule ID 62066 //
     /* 1112481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1112492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1112495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1112498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1112501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112520 */     // MIs[0] policy
     /* 1112520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1112533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112552 */     // GIR_Coverage, 62066,
     /* 1112552 */     GIR_EraseRootFromParent_Done,
     /* 1112553 */   // Label 16328: @1112553
     /* 1112553 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112630), // Rule ID 62067 //
     /* 1112558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112597 */     // MIs[0] policy
     /* 1112597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112607 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1112610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112629 */     // GIR_Coverage, 62067,
     /* 1112629 */     GIR_EraseRootFromParent_Done,
     /* 1112630 */   // Label 16329: @1112630
     /* 1112630 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112707), // Rule ID 62068 //
     /* 1112635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1112646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1112649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1112652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1112655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112674 */     // MIs[0] policy
     /* 1112674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1112687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112706 */     // GIR_Coverage, 62068,
     /* 1112706 */     GIR_EraseRootFromParent_Done,
     /* 1112707 */   // Label 16330: @1112707
     /* 1112707 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112784), // Rule ID 62069 //
     /* 1112712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1112715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112751 */     // MIs[0] policy
     /* 1112751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1112764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112783 */     // GIR_Coverage, 62069,
     /* 1112783 */     GIR_EraseRootFromParent_Done,
     /* 1112784 */   // Label 16331: @1112784
     /* 1112784 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112861), // Rule ID 62070 //
     /* 1112789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1112792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1112809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112828 */     // MIs[0] policy
     /* 1112828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1112841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1112857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112860 */     // GIR_Coverage, 62070,
     /* 1112860 */     GIR_EraseRootFromParent_Done,
     /* 1112861 */   // Label 16332: @1112861
     /* 1112861 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112938), // Rule ID 62330 //
     /* 1112866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1112883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1112886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112905 */     // MIs[0] policy
     /* 1112905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1112918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112937 */     // GIR_Coverage, 62330,
     /* 1112937 */     GIR_EraseRootFromParent_Done,
     /* 1112938 */   // Label 16333: @1112938
     /* 1112938 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1113015), // Rule ID 62331 //
     /* 1112943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1112960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1112963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112982 */     // MIs[0] policy
     /* 1112982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1112995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113014 */     // GIR_Coverage, 62331,
     /* 1113014 */     GIR_EraseRootFromParent_Done,
     /* 1113015 */   // Label 16334: @1113015
     /* 1113015 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1113092), // Rule ID 62334 //
     /* 1113020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113059 */     // MIs[0] policy
     /* 1113059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113091 */     // GIR_Coverage, 62334,
     /* 1113091 */     GIR_EraseRootFromParent_Done,
     /* 1113092 */   // Label 16335: @1113092
     /* 1113092 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1113169), // Rule ID 62335 //
     /* 1113097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113136 */     // MIs[0] policy
     /* 1113136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1113149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113168 */     // GIR_Coverage, 62335,
     /* 1113168 */     GIR_EraseRootFromParent_Done,
     /* 1113169 */   // Label 16336: @1113169
     /* 1113169 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1113246), // Rule ID 62338 //
     /* 1113174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113213 */     // MIs[0] policy
     /* 1113213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113245 */     // GIR_Coverage, 62338,
     /* 1113245 */     GIR_EraseRootFromParent_Done,
     /* 1113246 */   // Label 16337: @1113246
     /* 1113246 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113323), // Rule ID 62339 //
     /* 1113251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113290 */     // MIs[0] policy
     /* 1113290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1113303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113322 */     // GIR_Coverage, 62339,
     /* 1113322 */     GIR_EraseRootFromParent_Done,
     /* 1113323 */   // Label 16338: @1113323
     /* 1113323 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113400), // Rule ID 62342 //
     /* 1113328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113367 */     // MIs[0] policy
     /* 1113367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113399 */     // GIR_Coverage, 62342,
     /* 1113399 */     GIR_EraseRootFromParent_Done,
     /* 1113400 */   // Label 16339: @1113400
     /* 1113400 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113477), // Rule ID 62343 //
     /* 1113405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113444 */     // MIs[0] policy
     /* 1113444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1113457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113476 */     // GIR_Coverage, 62343,
     /* 1113476 */     GIR_EraseRootFromParent_Done,
     /* 1113477 */   // Label 16340: @1113477
     /* 1113477 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113554), // Rule ID 62346 //
     /* 1113482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113521 */     // MIs[0] policy
     /* 1113521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113531 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113553 */     // GIR_Coverage, 62346,
     /* 1113553 */     GIR_EraseRootFromParent_Done,
     /* 1113554 */   // Label 16341: @1113554
     /* 1113554 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113631), // Rule ID 62347 //
     /* 1113559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113598 */     // MIs[0] policy
     /* 1113598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1113611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113630 */     // GIR_Coverage, 62347,
     /* 1113630 */     GIR_EraseRootFromParent_Done,
     /* 1113631 */   // Label 16342: @1113631
     /* 1113631 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113708), // Rule ID 62350 //
     /* 1113636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113675 */     // MIs[0] policy
     /* 1113675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113685 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1113688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113707 */     // GIR_Coverage, 62350,
     /* 1113707 */     GIR_EraseRootFromParent_Done,
     /* 1113708 */   // Label 16343: @1113708
     /* 1113708 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113785), // Rule ID 62351 //
     /* 1113713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113752 */     // MIs[0] policy
     /* 1113752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1113765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113784 */     // GIR_Coverage, 62351,
     /* 1113784 */     GIR_EraseRootFromParent_Done,
     /* 1113785 */   // Label 16344: @1113785
     /* 1113785 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113862), // Rule ID 62354 //
     /* 1113790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113829 */     // MIs[0] policy
     /* 1113829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1113842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113861 */     // GIR_Coverage, 62354,
     /* 1113861 */     GIR_EraseRootFromParent_Done,
     /* 1113862 */   // Label 16345: @1113862
     /* 1113862 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113939), // Rule ID 62355 //
     /* 1113867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113906 */     // MIs[0] policy
     /* 1113906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1113919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113938 */     // GIR_Coverage, 62355,
     /* 1113938 */     GIR_EraseRootFromParent_Done,
     /* 1113939 */   // Label 16346: @1113939
     /* 1113939 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1114016), // Rule ID 62358 //
     /* 1113944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113983 */     // MIs[0] policy
     /* 1113983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113993 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1113996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114015 */     // GIR_Coverage, 62358,
     /* 1114015 */     GIR_EraseRootFromParent_Done,
     /* 1114016 */   // Label 16347: @1114016
     /* 1114016 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1114093), // Rule ID 62359 //
     /* 1114021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114060 */     // MIs[0] policy
     /* 1114060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1114073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114092 */     // GIR_Coverage, 62359,
     /* 1114092 */     GIR_EraseRootFromParent_Done,
     /* 1114093 */   // Label 16348: @1114093
     /* 1114093 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1114170), // Rule ID 62362 //
     /* 1114098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114137 */     // MIs[0] policy
     /* 1114137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114169 */     // GIR_Coverage, 62362,
     /* 1114169 */     GIR_EraseRootFromParent_Done,
     /* 1114170 */   // Label 16349: @1114170
     /* 1114170 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1114247), // Rule ID 62363 //
     /* 1114175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114214 */     // MIs[0] policy
     /* 1114214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1114227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114246 */     // GIR_Coverage, 62363,
     /* 1114246 */     GIR_EraseRootFromParent_Done,
     /* 1114247 */   // Label 16350: @1114247
     /* 1114247 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114324), // Rule ID 62366 //
     /* 1114252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114291 */     // MIs[0] policy
     /* 1114291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114301 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114323 */     // GIR_Coverage, 62366,
     /* 1114323 */     GIR_EraseRootFromParent_Done,
     /* 1114324 */   // Label 16351: @1114324
     /* 1114324 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114401), // Rule ID 62367 //
     /* 1114329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1114337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114368 */     // MIs[0] policy
     /* 1114368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1114381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114400 */     // GIR_Coverage, 62367,
     /* 1114400 */     GIR_EraseRootFromParent_Done,
     /* 1114401 */   // Label 16352: @1114401
     /* 1114401 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114478), // Rule ID 62370 //
     /* 1114406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114445 */     // MIs[0] policy
     /* 1114445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114477 */     // GIR_Coverage, 62370,
     /* 1114477 */     GIR_EraseRootFromParent_Done,
     /* 1114478 */   // Label 16353: @1114478
     /* 1114478 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114555), // Rule ID 62371 //
     /* 1114483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114522 */     // MIs[0] policy
     /* 1114522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1114535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114554 */     // GIR_Coverage, 62371,
     /* 1114554 */     GIR_EraseRootFromParent_Done,
     /* 1114555 */   // Label 16354: @1114555
     /* 1114555 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114632), // Rule ID 62374 //
     /* 1114560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114599 */     // MIs[0] policy
     /* 1114599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1114612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114631 */     // GIR_Coverage, 62374,
     /* 1114631 */     GIR_EraseRootFromParent_Done,
     /* 1114632 */   // Label 16355: @1114632
     /* 1114632 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114709), // Rule ID 62375 //
     /* 1114637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114676 */     // MIs[0] policy
     /* 1114676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1114689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114708 */     // GIR_Coverage, 62375,
     /* 1114708 */     GIR_EraseRootFromParent_Done,
     /* 1114709 */   // Label 16356: @1114709
     /* 1114709 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114786), // Rule ID 62378 //
     /* 1114714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114753 */     // MIs[0] policy
     /* 1114753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1114766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114785 */     // GIR_Coverage, 62378,
     /* 1114785 */     GIR_EraseRootFromParent_Done,
     /* 1114786 */   // Label 16357: @1114786
     /* 1114786 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114863), // Rule ID 62379 //
     /* 1114791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1114808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114830 */     // MIs[0] policy
     /* 1114830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1114843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114862 */     // GIR_Coverage, 62379,
     /* 1114862 */     GIR_EraseRootFromParent_Done,
     /* 1114863 */   // Label 16358: @1114863
     /* 1114863 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114940), // Rule ID 62382 //
     /* 1114868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1114885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114907 */     // MIs[0] policy
     /* 1114907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1114920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114939 */     // GIR_Coverage, 62382,
     /* 1114939 */     GIR_EraseRootFromParent_Done,
     /* 1114940 */   // Label 16359: @1114940
     /* 1114940 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1115017), // Rule ID 62383 //
     /* 1114945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1114962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114984 */     // MIs[0] policy
     /* 1114984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1114997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115016 */     // GIR_Coverage, 62383,
     /* 1115016 */     GIR_EraseRootFromParent_Done,
     /* 1115017 */   // Label 16360: @1115017
     /* 1115017 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1115094), // Rule ID 62386 //
     /* 1115022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115061 */     // MIs[0] policy
     /* 1115061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115093 */     // GIR_Coverage, 62386,
     /* 1115093 */     GIR_EraseRootFromParent_Done,
     /* 1115094 */   // Label 16361: @1115094
     /* 1115094 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1115171), // Rule ID 62387 //
     /* 1115099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115138 */     // MIs[0] policy
     /* 1115138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1115151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115170 */     // GIR_Coverage, 62387,
     /* 1115170 */     GIR_EraseRootFromParent_Done,
     /* 1115171 */   // Label 16362: @1115171
     /* 1115171 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1115248), // Rule ID 62390 //
     /* 1115176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115215 */     // MIs[0] policy
     /* 1115215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115247 */     // GIR_Coverage, 62390,
     /* 1115247 */     GIR_EraseRootFromParent_Done,
     /* 1115248 */   // Label 16363: @1115248
     /* 1115248 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115325), // Rule ID 62391 //
     /* 1115253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115292 */     // MIs[0] policy
     /* 1115292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1115305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115324 */     // GIR_Coverage, 62391,
     /* 1115324 */     GIR_EraseRootFromParent_Done,
     /* 1115325 */   // Label 16364: @1115325
     /* 1115325 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115402), // Rule ID 62394 //
     /* 1115330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115369 */     // MIs[0] policy
     /* 1115369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115401 */     // GIR_Coverage, 62394,
     /* 1115401 */     GIR_EraseRootFromParent_Done,
     /* 1115402 */   // Label 16365: @1115402
     /* 1115402 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115479), // Rule ID 62395 //
     /* 1115407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115446 */     // MIs[0] policy
     /* 1115446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1115459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115478 */     // GIR_Coverage, 62395,
     /* 1115478 */     GIR_EraseRootFromParent_Done,
     /* 1115479 */   // Label 16366: @1115479
     /* 1115479 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115556), // Rule ID 62398 //
     /* 1115484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115523 */     // MIs[0] policy
     /* 1115523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115555 */     // GIR_Coverage, 62398,
     /* 1115555 */     GIR_EraseRootFromParent_Done,
     /* 1115556 */   // Label 16367: @1115556
     /* 1115556 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115633), // Rule ID 62399 //
     /* 1115561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115600 */     // MIs[0] policy
     /* 1115600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1115613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115632 */     // GIR_Coverage, 62399,
     /* 1115632 */     GIR_EraseRootFromParent_Done,
     /* 1115633 */   // Label 16368: @1115633
     /* 1115633 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115710), // Rule ID 62402 //
     /* 1115638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115677 */     // MIs[0] policy
     /* 1115677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1115690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115709 */     // GIR_Coverage, 62402,
     /* 1115709 */     GIR_EraseRootFromParent_Done,
     /* 1115710 */   // Label 16369: @1115710
     /* 1115710 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115787), // Rule ID 62403 //
     /* 1115715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115754 */     // MIs[0] policy
     /* 1115754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1115767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115786 */     // GIR_Coverage, 62403,
     /* 1115786 */     GIR_EraseRootFromParent_Done,
     /* 1115787 */   // Label 16370: @1115787
     /* 1115787 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115864), // Rule ID 62406 //
     /* 1115792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115831 */     // MIs[0] policy
     /* 1115831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1115844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115863 */     // GIR_Coverage, 62406,
     /* 1115863 */     GIR_EraseRootFromParent_Done,
     /* 1115864 */   // Label 16371: @1115864
     /* 1115864 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115941), // Rule ID 62407 //
     /* 1115869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1115877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115908 */     // MIs[0] policy
     /* 1115908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1115921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115940 */     // GIR_Coverage, 62407,
     /* 1115940 */     GIR_EraseRootFromParent_Done,
     /* 1115941 */   // Label 16372: @1115941
     /* 1115941 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1116018), // Rule ID 62410 //
     /* 1115946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1115963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115985 */     // MIs[0] policy
     /* 1115985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1115998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116017 */     // GIR_Coverage, 62410,
     /* 1116017 */     GIR_EraseRootFromParent_Done,
     /* 1116018 */   // Label 16373: @1116018
     /* 1116018 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1116095), // Rule ID 62411 //
     /* 1116023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1116040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116062 */     // MIs[0] policy
     /* 1116062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1116075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116094 */     // GIR_Coverage, 62411,
     /* 1116094 */     GIR_EraseRootFromParent_Done,
     /* 1116095 */   // Label 16374: @1116095
     /* 1116095 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1116172), // Rule ID 62414 //
     /* 1116100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116139 */     // MIs[0] policy
     /* 1116139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116171 */     // GIR_Coverage, 62414,
     /* 1116171 */     GIR_EraseRootFromParent_Done,
     /* 1116172 */   // Label 16375: @1116172
     /* 1116172 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1116249), // Rule ID 62415 //
     /* 1116177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116216 */     // MIs[0] policy
     /* 1116216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1116229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116248 */     // GIR_Coverage, 62415,
     /* 1116248 */     GIR_EraseRootFromParent_Done,
     /* 1116249 */   // Label 16376: @1116249
     /* 1116249 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116326), // Rule ID 62418 //
     /* 1116254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116293 */     // MIs[0] policy
     /* 1116293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116325 */     // GIR_Coverage, 62418,
     /* 1116325 */     GIR_EraseRootFromParent_Done,
     /* 1116326 */   // Label 16377: @1116326
     /* 1116326 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116403), // Rule ID 62419 //
     /* 1116331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1116348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116370 */     // MIs[0] policy
     /* 1116370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1116383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116402 */     // GIR_Coverage, 62419,
     /* 1116402 */     GIR_EraseRootFromParent_Done,
     /* 1116403 */   // Label 16378: @1116403
     /* 1116403 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116480), // Rule ID 62422 //
     /* 1116408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116447 */     // MIs[0] policy
     /* 1116447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116479 */     // GIR_Coverage, 62422,
     /* 1116479 */     GIR_EraseRootFromParent_Done,
     /* 1116480 */   // Label 16379: @1116480
     /* 1116480 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116557), // Rule ID 62423 //
     /* 1116485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1116502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116524 */     // MIs[0] policy
     /* 1116524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1116537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116556 */     // GIR_Coverage, 62423,
     /* 1116556 */     GIR_EraseRootFromParent_Done,
     /* 1116557 */   // Label 16380: @1116557
     /* 1116557 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116634), // Rule ID 62426 //
     /* 1116562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116601 */     // MIs[0] policy
     /* 1116601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1116614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116633 */     // GIR_Coverage, 62426,
     /* 1116633 */     GIR_EraseRootFromParent_Done,
     /* 1116634 */   // Label 16381: @1116634
     /* 1116634 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116711), // Rule ID 62427 //
     /* 1116639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1116656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116678 */     // MIs[0] policy
     /* 1116678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1116691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116710 */     // GIR_Coverage, 62427,
     /* 1116710 */     GIR_EraseRootFromParent_Done,
     /* 1116711 */   // Label 16382: @1116711
     /* 1116711 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116788), // Rule ID 62430 //
     /* 1116716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116755 */     // MIs[0] policy
     /* 1116755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1116768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116787 */     // GIR_Coverage, 62430,
     /* 1116787 */     GIR_EraseRootFromParent_Done,
     /* 1116788 */   // Label 16383: @1116788
     /* 1116788 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116865), // Rule ID 62431 //
     /* 1116793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116832 */     // MIs[0] policy
     /* 1116832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1116845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116864 */     // GIR_Coverage, 62431,
     /* 1116864 */     GIR_EraseRootFromParent_Done,
     /* 1116865 */   // Label 16384: @1116865
     /* 1116865 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116942), // Rule ID 62434 //
     /* 1116870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116909 */     // MIs[0] policy
     /* 1116909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1116922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116941 */     // GIR_Coverage, 62434,
     /* 1116941 */     GIR_EraseRootFromParent_Done,
     /* 1116942 */   // Label 16385: @1116942
     /* 1116942 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1117019), // Rule ID 62435 //
     /* 1116947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116986 */     // MIs[0] policy
     /* 1116986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1116999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117018 */     // GIR_Coverage, 62435,
     /* 1117018 */     GIR_EraseRootFromParent_Done,
     /* 1117019 */   // Label 16386: @1117019
     /* 1117019 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1117096), // Rule ID 62438 //
     /* 1117024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117063 */     // MIs[0] policy
     /* 1117063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117095 */     // GIR_Coverage, 62438,
     /* 1117095 */     GIR_EraseRootFromParent_Done,
     /* 1117096 */   // Label 16387: @1117096
     /* 1117096 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1117173), // Rule ID 62439 //
     /* 1117101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117140 */     // MIs[0] policy
     /* 1117140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1117153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117172 */     // GIR_Coverage, 62439,
     /* 1117172 */     GIR_EraseRootFromParent_Done,
     /* 1117173 */   // Label 16388: @1117173
     /* 1117173 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1117250), // Rule ID 62442 //
     /* 1117178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117217 */     // MIs[0] policy
     /* 1117217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117249 */     // GIR_Coverage, 62442,
     /* 1117249 */     GIR_EraseRootFromParent_Done,
     /* 1117250 */   // Label 16389: @1117250
     /* 1117250 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117327), // Rule ID 62443 //
     /* 1117255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117294 */     // MIs[0] policy
     /* 1117294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1117307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117326 */     // GIR_Coverage, 62443,
     /* 1117326 */     GIR_EraseRootFromParent_Done,
     /* 1117327 */   // Label 16390: @1117327
     /* 1117327 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117404), // Rule ID 62446 //
     /* 1117332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117371 */     // MIs[0] policy
     /* 1117371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117403 */     // GIR_Coverage, 62446,
     /* 1117403 */     GIR_EraseRootFromParent_Done,
     /* 1117404 */   // Label 16391: @1117404
     /* 1117404 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117481), // Rule ID 62447 //
     /* 1117409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1117417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117448 */     // MIs[0] policy
     /* 1117448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1117461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117480 */     // GIR_Coverage, 62447,
     /* 1117480 */     GIR_EraseRootFromParent_Done,
     /* 1117481 */   // Label 16392: @1117481
     /* 1117481 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117558), // Rule ID 62450 //
     /* 1117486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117525 */     // MIs[0] policy
     /* 1117525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117557 */     // GIR_Coverage, 62450,
     /* 1117557 */     GIR_EraseRootFromParent_Done,
     /* 1117558 */   // Label 16393: @1117558
     /* 1117558 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117635), // Rule ID 62451 //
     /* 1117563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117602 */     // MIs[0] policy
     /* 1117602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1117615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117634 */     // GIR_Coverage, 62451,
     /* 1117634 */     GIR_EraseRootFromParent_Done,
     /* 1117635 */   // Label 16394: @1117635
     /* 1117635 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117712), // Rule ID 62454 //
     /* 1117640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117679 */     // MIs[0] policy
     /* 1117679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1117692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117711 */     // GIR_Coverage, 62454,
     /* 1117711 */     GIR_EraseRootFromParent_Done,
     /* 1117712 */   // Label 16395: @1117712
     /* 1117712 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117789), // Rule ID 62455 //
     /* 1117717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117756 */     // MIs[0] policy
     /* 1117756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1117769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117788 */     // GIR_Coverage, 62455,
     /* 1117788 */     GIR_EraseRootFromParent_Done,
     /* 1117789 */   // Label 16396: @1117789
     /* 1117789 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117866), // Rule ID 62458 //
     /* 1117794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117833 */     // MIs[0] policy
     /* 1117833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11052:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1117846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117865 */     // GIR_Coverage, 62458,
     /* 1117865 */     GIR_EraseRootFromParent_Done,
     /* 1117866 */   // Label 16397: @1117866
     /* 1117866 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117943), // Rule ID 62459 //
     /* 1117871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117910 */     // MIs[0] policy
     /* 1117910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11052:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1117923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117942 */     // GIR_Coverage, 62459,
     /* 1117942 */     GIR_EraseRootFromParent_Done,
     /* 1117943 */   // Label 16398: @1117943
     /* 1117943 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1118020), // Rule ID 62462 //
     /* 1117948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1117956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1117965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117987 */     // MIs[0] policy
     /* 1117987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11052:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118019 */     // GIR_Coverage, 62462,
     /* 1118019 */     GIR_EraseRootFromParent_Done,
     /* 1118020 */   // Label 16399: @1118020
     /* 1118020 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1118097), // Rule ID 62463 //
     /* 1118025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118064 */     // MIs[0] policy
     /* 1118064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11052:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1118077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118096 */     // GIR_Coverage, 62463,
     /* 1118096 */     GIR_EraseRootFromParent_Done,
     /* 1118097 */   // Label 16400: @1118097
     /* 1118097 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1118174), // Rule ID 62466 //
     /* 1118102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118141 */     // MIs[0] policy
     /* 1118141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11052:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118173 */     // GIR_Coverage, 62466,
     /* 1118173 */     GIR_EraseRootFromParent_Done,
     /* 1118174 */   // Label 16401: @1118174
     /* 1118174 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1118251), // Rule ID 62467 //
     /* 1118179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1118187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118218 */     // MIs[0] policy
     /* 1118218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11052:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1118231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118250 */     // GIR_Coverage, 62467,
     /* 1118250 */     GIR_EraseRootFromParent_Done,
     /* 1118251 */   // Label 16402: @1118251
     /* 1118251 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118328), // Rule ID 62561 //
     /* 1118256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118295 */     // MIs[0] policy
     /* 1118295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118327 */     // GIR_Coverage, 62561,
     /* 1118327 */     GIR_EraseRootFromParent_Done,
     /* 1118328 */   // Label 16403: @1118328
     /* 1118328 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118405), // Rule ID 62562 //
     /* 1118333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118372 */     // MIs[0] policy
     /* 1118372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1118385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118404 */     // GIR_Coverage, 62562,
     /* 1118404 */     GIR_EraseRootFromParent_Done,
     /* 1118405 */   // Label 16404: @1118405
     /* 1118405 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118482), // Rule ID 64019 //
     /* 1118410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118449 */     // MIs[0] policy
     /* 1118449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118481 */     // GIR_Coverage, 64019,
     /* 1118481 */     GIR_EraseRootFromParent_Done,
     /* 1118482 */   // Label 16405: @1118482
     /* 1118482 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118559), // Rule ID 64020 //
     /* 1118487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118526 */     // MIs[0] policy
     /* 1118526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1118539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118558 */     // GIR_Coverage, 64020,
     /* 1118558 */     GIR_EraseRootFromParent_Done,
     /* 1118559 */   // Label 16406: @1118559
     /* 1118559 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118636), // Rule ID 64021 //
     /* 1118564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118603 */     // MIs[0] policy
     /* 1118603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1118616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118635 */     // GIR_Coverage, 64021,
     /* 1118635 */     GIR_EraseRootFromParent_Done,
     /* 1118636 */   // Label 16407: @1118636
     /* 1118636 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118713), // Rule ID 64022 //
     /* 1118641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118680 */     // MIs[0] policy
     /* 1118680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1118693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118712 */     // GIR_Coverage, 64022,
     /* 1118712 */     GIR_EraseRootFromParent_Done,
     /* 1118713 */   // Label 16408: @1118713
     /* 1118713 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118790), // Rule ID 64023 //
     /* 1118718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118757 */     // MIs[0] policy
     /* 1118757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1118770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118789 */     // GIR_Coverage, 64023,
     /* 1118789 */     GIR_EraseRootFromParent_Done,
     /* 1118790 */   // Label 16409: @1118790
     /* 1118790 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118867), // Rule ID 64024 //
     /* 1118795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1118803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118834 */     // MIs[0] policy
     /* 1118834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1118847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118866 */     // GIR_Coverage, 64024,
     /* 1118866 */     GIR_EraseRootFromParent_Done,
     /* 1118867 */   // Label 16410: @1118867
     /* 1118867 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118944), // Rule ID 64025 //
     /* 1118872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118911 */     // MIs[0] policy
     /* 1118911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118943 */     // GIR_Coverage, 64025,
     /* 1118943 */     GIR_EraseRootFromParent_Done,
     /* 1118944 */   // Label 16411: @1118944
     /* 1118944 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1119021), // Rule ID 64026 //
     /* 1118949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118988 */     // MIs[0] policy
     /* 1118988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1119001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119020 */     // GIR_Coverage, 64026,
     /* 1119020 */     GIR_EraseRootFromParent_Done,
     /* 1119021 */   // Label 16412: @1119021
     /* 1119021 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1119098), // Rule ID 64027 //
     /* 1119026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119065 */     // MIs[0] policy
     /* 1119065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119097 */     // GIR_Coverage, 64027,
     /* 1119097 */     GIR_EraseRootFromParent_Done,
     /* 1119098 */   // Label 16413: @1119098
     /* 1119098 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1119175), // Rule ID 64028 //
     /* 1119103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119142 */     // MIs[0] policy
     /* 1119142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1119155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119174 */     // GIR_Coverage, 64028,
     /* 1119174 */     GIR_EraseRootFromParent_Done,
     /* 1119175 */   // Label 16414: @1119175
     /* 1119175 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1119252), // Rule ID 64029 //
     /* 1119180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119219 */     // MIs[0] policy
     /* 1119219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119229 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119251 */     // GIR_Coverage, 64029,
     /* 1119251 */     GIR_EraseRootFromParent_Done,
     /* 1119252 */   // Label 16415: @1119252
     /* 1119252 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119329), // Rule ID 64030 //
     /* 1119257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119296 */     // MIs[0] policy
     /* 1119296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1119309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119328 */     // GIR_Coverage, 64030,
     /* 1119328 */     GIR_EraseRootFromParent_Done,
     /* 1119329 */   // Label 16416: @1119329
     /* 1119329 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119406), // Rule ID 64031 //
     /* 1119334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119373 */     // MIs[0] policy
     /* 1119373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119405 */     // GIR_Coverage, 64031,
     /* 1119405 */     GIR_EraseRootFromParent_Done,
     /* 1119406 */   // Label 16417: @1119406
     /* 1119406 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119483), // Rule ID 64032 //
     /* 1119411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1119419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119450 */     // MIs[0] policy
     /* 1119450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1119463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119482 */     // GIR_Coverage, 64032,
     /* 1119482 */     GIR_EraseRootFromParent_Done,
     /* 1119483 */   // Label 16418: @1119483
     /* 1119483 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119560), // Rule ID 64033 //
     /* 1119488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119527 */     // MIs[0] policy
     /* 1119527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119559 */     // GIR_Coverage, 64033,
     /* 1119559 */     GIR_EraseRootFromParent_Done,
     /* 1119560 */   // Label 16419: @1119560
     /* 1119560 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119637), // Rule ID 64034 //
     /* 1119565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119604 */     // MIs[0] policy
     /* 1119604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1119617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119636 */     // GIR_Coverage, 64034,
     /* 1119636 */     GIR_EraseRootFromParent_Done,
     /* 1119637 */   // Label 16420: @1119637
     /* 1119637 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119714), // Rule ID 64035 //
     /* 1119642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119681 */     // MIs[0] policy
     /* 1119681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1119694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119713 */     // GIR_Coverage, 64035,
     /* 1119713 */     GIR_EraseRootFromParent_Done,
     /* 1119714 */   // Label 16421: @1119714
     /* 1119714 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119791), // Rule ID 64036 //
     /* 1119719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119758 */     // MIs[0] policy
     /* 1119758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1119771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119790 */     // GIR_Coverage, 64036,
     /* 1119790 */     GIR_EraseRootFromParent_Done,
     /* 1119791 */   // Label 16422: @1119791
     /* 1119791 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119868), // Rule ID 64037 //
     /* 1119796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119835 */     // MIs[0] policy
     /* 1119835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1119848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119867 */     // GIR_Coverage, 64037,
     /* 1119867 */     GIR_EraseRootFromParent_Done,
     /* 1119868 */   // Label 16423: @1119868
     /* 1119868 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119945), // Rule ID 64038 //
     /* 1119873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119912 */     // MIs[0] policy
     /* 1119912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1119925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119944 */     // GIR_Coverage, 64038,
     /* 1119944 */     GIR_EraseRootFromParent_Done,
     /* 1119945 */   // Label 16424: @1119945
     /* 1119945 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1120022), // Rule ID 64039 //
     /* 1119950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1119958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119989 */     // MIs[0] policy
     /* 1119989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120021 */     // GIR_Coverage, 64039,
     /* 1120021 */     GIR_EraseRootFromParent_Done,
     /* 1120022 */   // Label 16425: @1120022
     /* 1120022 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1120099), // Rule ID 64040 //
     /* 1120027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1120035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120066 */     // MIs[0] policy
     /* 1120066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1120079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120098 */     // GIR_Coverage, 64040,
     /* 1120098 */     GIR_EraseRootFromParent_Done,
     /* 1120099 */   // Label 16426: @1120099
     /* 1120099 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1120176), // Rule ID 64041 //
     /* 1120104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120143 */     // MIs[0] policy
     /* 1120143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120175 */     // GIR_Coverage, 64041,
     /* 1120175 */     GIR_EraseRootFromParent_Done,
     /* 1120176 */   // Label 16427: @1120176
     /* 1120176 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1120253), // Rule ID 64042 //
     /* 1120181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120220 */     // MIs[0] policy
     /* 1120220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1120233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120252 */     // GIR_Coverage, 64042,
     /* 1120252 */     GIR_EraseRootFromParent_Done,
     /* 1120253 */   // Label 16428: @1120253
     /* 1120253 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120330), // Rule ID 64043 //
     /* 1120258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120297 */     // MIs[0] policy
     /* 1120297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120329 */     // GIR_Coverage, 64043,
     /* 1120329 */     GIR_EraseRootFromParent_Done,
     /* 1120330 */   // Label 16429: @1120330
     /* 1120330 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120407), // Rule ID 64044 //
     /* 1120335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120374 */     // MIs[0] policy
     /* 1120374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1120387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120406 */     // GIR_Coverage, 64044,
     /* 1120406 */     GIR_EraseRootFromParent_Done,
     /* 1120407 */   // Label 16430: @1120407
     /* 1120407 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120484), // Rule ID 64045 //
     /* 1120412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120451 */     // MIs[0] policy
     /* 1120451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120483 */     // GIR_Coverage, 64045,
     /* 1120483 */     GIR_EraseRootFromParent_Done,
     /* 1120484 */   // Label 16431: @1120484
     /* 1120484 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120561), // Rule ID 64046 //
     /* 1120489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120528 */     // MIs[0] policy
     /* 1120528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1120541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120560 */     // GIR_Coverage, 64046,
     /* 1120560 */     GIR_EraseRootFromParent_Done,
     /* 1120561 */   // Label 16432: @1120561
     /* 1120561 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120638), // Rule ID 64047 //
     /* 1120566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1120569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120605 */     // MIs[0] policy
     /* 1120605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1120618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120637 */     // GIR_Coverage, 64047,
     /* 1120637 */     GIR_EraseRootFromParent_Done,
     /* 1120638 */   // Label 16433: @1120638
     /* 1120638 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120715), // Rule ID 64048 //
     /* 1120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1120646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1120651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120682 */     // MIs[0] policy
     /* 1120682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1120695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120714 */     // GIR_Coverage, 64048,
     /* 1120714 */     GIR_EraseRootFromParent_Done,
     /* 1120715 */   // Label 16434: @1120715
     /* 1120715 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120792), // Rule ID 64049 //
     /* 1120720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120759 */     // MIs[0] policy
     /* 1120759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1120772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120791 */     // GIR_Coverage, 64049,
     /* 1120791 */     GIR_EraseRootFromParent_Done,
     /* 1120792 */   // Label 16435: @1120792
     /* 1120792 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120869), // Rule ID 64050 //
     /* 1120797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120836 */     // MIs[0] policy
     /* 1120836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1120849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120868 */     // GIR_Coverage, 64050,
     /* 1120868 */     GIR_EraseRootFromParent_Done,
     /* 1120869 */   // Label 16436: @1120869
     /* 1120869 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120946), // Rule ID 64051 //
     /* 1120874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120913 */     // MIs[0] policy
     /* 1120913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1120926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120945 */     // GIR_Coverage, 64051,
     /* 1120945 */     GIR_EraseRootFromParent_Done,
     /* 1120946 */   // Label 16437: @1120946
     /* 1120946 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1121023), // Rule ID 64052 //
     /* 1120951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120990 */     // MIs[0] policy
     /* 1120990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1121003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121022 */     // GIR_Coverage, 64052,
     /* 1121022 */     GIR_EraseRootFromParent_Done,
     /* 1121023 */   // Label 16438: @1121023
     /* 1121023 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1121100), // Rule ID 64053 //
     /* 1121028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121067 */     // MIs[0] policy
     /* 1121067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121077 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121099 */     // GIR_Coverage, 64053,
     /* 1121099 */     GIR_EraseRootFromParent_Done,
     /* 1121100 */   // Label 16439: @1121100
     /* 1121100 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1121177), // Rule ID 64054 //
     /* 1121105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121144 */     // MIs[0] policy
     /* 1121144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1121157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121176 */     // GIR_Coverage, 64054,
     /* 1121176 */     GIR_EraseRootFromParent_Done,
     /* 1121177 */   // Label 16440: @1121177
     /* 1121177 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121254), // Rule ID 64055 //
     /* 1121182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121221 */     // MIs[0] policy
     /* 1121221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121253 */     // GIR_Coverage, 64055,
     /* 1121253 */     GIR_EraseRootFromParent_Done,
     /* 1121254 */   // Label 16441: @1121254
     /* 1121254 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121331), // Rule ID 64056 //
     /* 1121259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1121267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121298 */     // MIs[0] policy
     /* 1121298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1121311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121330 */     // GIR_Coverage, 64056,
     /* 1121330 */     GIR_EraseRootFromParent_Done,
     /* 1121331 */   // Label 16442: @1121331
     /* 1121331 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121408), // Rule ID 64057 //
     /* 1121336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121375 */     // MIs[0] policy
     /* 1121375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121407 */     // GIR_Coverage, 64057,
     /* 1121407 */     GIR_EraseRootFromParent_Done,
     /* 1121408 */   // Label 16443: @1121408
     /* 1121408 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121485), // Rule ID 64058 //
     /* 1121413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121452 */     // MIs[0] policy
     /* 1121452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1121465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121484 */     // GIR_Coverage, 64058,
     /* 1121484 */     GIR_EraseRootFromParent_Done,
     /* 1121485 */   // Label 16444: @1121485
     /* 1121485 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121562), // Rule ID 64059 //
     /* 1121490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121529 */     // MIs[0] policy
     /* 1121529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121561 */     // GIR_Coverage, 64059,
     /* 1121561 */     GIR_EraseRootFromParent_Done,
     /* 1121562 */   // Label 16445: @1121562
     /* 1121562 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121639), // Rule ID 64060 //
     /* 1121567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121606 */     // MIs[0] policy
     /* 1121606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1121619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121638 */     // GIR_Coverage, 64060,
     /* 1121638 */     GIR_EraseRootFromParent_Done,
     /* 1121639 */   // Label 16446: @1121639
     /* 1121639 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121716), // Rule ID 64061 //
     /* 1121644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121683 */     // MIs[0] policy
     /* 1121683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1121696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121715 */     // GIR_Coverage, 64061,
     /* 1121715 */     GIR_EraseRootFromParent_Done,
     /* 1121716 */   // Label 16447: @1121716
     /* 1121716 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121793), // Rule ID 64062 //
     /* 1121721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121760 */     // MIs[0] policy
     /* 1121760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1121773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121792 */     // GIR_Coverage, 64062,
     /* 1121792 */     GIR_EraseRootFromParent_Done,
     /* 1121793 */   // Label 16448: @1121793
     /* 1121793 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121870), // Rule ID 64063 //
     /* 1121798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121837 */     // MIs[0] policy
     /* 1121837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1121850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121869 */     // GIR_Coverage, 64063,
     /* 1121869 */     GIR_EraseRootFromParent_Done,
     /* 1121870 */   // Label 16449: @1121870
     /* 1121870 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121947), // Rule ID 64064 //
     /* 1121875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1121883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121914 */     // MIs[0] policy
     /* 1121914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1121927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121946 */     // GIR_Coverage, 64064,
     /* 1121946 */     GIR_EraseRootFromParent_Done,
     /* 1121947 */   // Label 16450: @1121947
     /* 1121947 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1122024), // Rule ID 64065 //
     /* 1121952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121991 */     // MIs[0] policy
     /* 1121991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122023 */     // GIR_Coverage, 64065,
     /* 1122023 */     GIR_EraseRootFromParent_Done,
     /* 1122024 */   // Label 16451: @1122024
     /* 1122024 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1122101), // Rule ID 64066 //
     /* 1122029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122068 */     // MIs[0] policy
     /* 1122068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1122081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122100 */     // GIR_Coverage, 64066,
     /* 1122100 */     GIR_EraseRootFromParent_Done,
     /* 1122101 */   // Label 16452: @1122101
     /* 1122101 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1122178), // Rule ID 64067 //
     /* 1122106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122145 */     // MIs[0] policy
     /* 1122145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122177 */     // GIR_Coverage, 64067,
     /* 1122177 */     GIR_EraseRootFromParent_Done,
     /* 1122178 */   // Label 16453: @1122178
     /* 1122178 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122255), // Rule ID 64068 //
     /* 1122183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122222 */     // MIs[0] policy
     /* 1122222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1122235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122254 */     // GIR_Coverage, 64068,
     /* 1122254 */     GIR_EraseRootFromParent_Done,
     /* 1122255 */   // Label 16454: @1122255
     /* 1122255 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122332), // Rule ID 64069 //
     /* 1122260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122299 */     // MIs[0] policy
     /* 1122299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122331 */     // GIR_Coverage, 64069,
     /* 1122331 */     GIR_EraseRootFromParent_Done,
     /* 1122332 */   // Label 16455: @1122332
     /* 1122332 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122409), // Rule ID 64070 //
     /* 1122337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122376 */     // MIs[0] policy
     /* 1122376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1122389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122408 */     // GIR_Coverage, 64070,
     /* 1122408 */     GIR_EraseRootFromParent_Done,
     /* 1122409 */   // Label 16456: @1122409
     /* 1122409 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122486), // Rule ID 64071 //
     /* 1122414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122453 */     // MIs[0] policy
     /* 1122453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122485 */     // GIR_Coverage, 64071,
     /* 1122485 */     GIR_EraseRootFromParent_Done,
     /* 1122486 */   // Label 16457: @1122486
     /* 1122486 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122563), // Rule ID 64072 //
     /* 1122491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1122499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122530 */     // MIs[0] policy
     /* 1122530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1122543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122562 */     // GIR_Coverage, 64072,
     /* 1122562 */     GIR_EraseRootFromParent_Done,
     /* 1122563 */   // Label 16458: @1122563
     /* 1122563 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122640), // Rule ID 64073 //
     /* 1122568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122607 */     // MIs[0] policy
     /* 1122607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1122620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122639 */     // GIR_Coverage, 64073,
     /* 1122639 */     GIR_EraseRootFromParent_Done,
     /* 1122640 */   // Label 16459: @1122640
     /* 1122640 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122717), // Rule ID 64074 //
     /* 1122645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122684 */     // MIs[0] policy
     /* 1122684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1122697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122716 */     // GIR_Coverage, 64074,
     /* 1122716 */     GIR_EraseRootFromParent_Done,
     /* 1122717 */   // Label 16460: @1122717
     /* 1122717 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122794), // Rule ID 64075 //
     /* 1122722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122761 */     // MIs[0] policy
     /* 1122761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1122774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122793 */     // GIR_Coverage, 64075,
     /* 1122793 */     GIR_EraseRootFromParent_Done,
     /* 1122794 */   // Label 16461: @1122794
     /* 1122794 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122871), // Rule ID 64076 //
     /* 1122799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122838 */     // MIs[0] policy
     /* 1122838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1122851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122870 */     // GIR_Coverage, 64076,
     /* 1122870 */     GIR_EraseRootFromParent_Done,
     /* 1122871 */   // Label 16462: @1122871
     /* 1122871 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122948), // Rule ID 64077 //
     /* 1122876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1122879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122915 */     // MIs[0] policy
     /* 1122915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1122928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122947 */     // GIR_Coverage, 64077,
     /* 1122947 */     GIR_EraseRootFromParent_Done,
     /* 1122948 */   // Label 16463: @1122948
     /* 1122948 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1123025), // Rule ID 64078 //
     /* 1122953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1122956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1122961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122992 */     // MIs[0] policy
     /* 1122992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1123005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123024 */     // GIR_Coverage, 64078,
     /* 1123024 */     GIR_EraseRootFromParent_Done,
     /* 1123025 */   // Label 16464: @1123025
     /* 1123025 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1123102), // Rule ID 64079 //
     /* 1123030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1123033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123069 */     // MIs[0] policy
     /* 1123069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123101 */     // GIR_Coverage, 64079,
     /* 1123101 */     GIR_EraseRootFromParent_Done,
     /* 1123102 */   // Label 16465: @1123102
     /* 1123102 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123179), // Rule ID 64080 //
     /* 1123107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1123110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1123115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123146 */     // MIs[0] policy
     /* 1123146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1123159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123178 */     // GIR_Coverage, 64080,
     /* 1123178 */     GIR_EraseRootFromParent_Done,
     /* 1123179 */   // Label 16466: @1123179
     /* 1123179 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123259), // Rule ID 2607 //
     /* 1123184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123223 */     // MIs[0] round
     /* 1123223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123258 */     // GIR_Coverage, 2607,
     /* 1123258 */     GIR_EraseRootFromParent_Done,
     /* 1123259 */   // Label 16467: @1123259
     /* 1123259 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123339), // Rule ID 2608 //
     /* 1123264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1123275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1123278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1123281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1123284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123303 */     // MIs[0] round
     /* 1123303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123313 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1123316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123338 */     // GIR_Coverage, 2608,
     /* 1123338 */     GIR_EraseRootFromParent_Done,
     /* 1123339 */   // Label 16468: @1123339
     /* 1123339 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123419), // Rule ID 2647 //
     /* 1123344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1123347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123383 */     // MIs[0] round
     /* 1123383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123393 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123418 */     // GIR_Coverage, 2647,
     /* 1123418 */     GIR_EraseRootFromParent_Done,
     /* 1123419 */   // Label 16469: @1123419
     /* 1123419 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123499), // Rule ID 2648 //
     /* 1123424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1123427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1123432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1123444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123463 */     // MIs[0] round
     /* 1123463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123473 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1123476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123498 */     // GIR_Coverage, 2648,
     /* 1123498 */     GIR_EraseRootFromParent_Done,
     /* 1123499 */   // Label 16470: @1123499
     /* 1123499 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123579), // Rule ID 2667 //
     /* 1123504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123543 */     // MIs[0] round
     /* 1123543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123578 */     // GIR_Coverage, 2667,
     /* 1123578 */     GIR_EraseRootFromParent_Done,
     /* 1123579 */   // Label 16471: @1123579
     /* 1123579 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123659), // Rule ID 2668 //
     /* 1123584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1123587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1123592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123623 */     // MIs[0] round
     /* 1123623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1123636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123658 */     // GIR_Coverage, 2668,
     /* 1123658 */     GIR_EraseRootFromParent_Done,
     /* 1123659 */   // Label 16472: @1123659
     /* 1123659 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123739), // Rule ID 14809 //
     /* 1123664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1123675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1123678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1123681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1123684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123703 */     // MIs[0] round
     /* 1123703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123713 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1123716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123738 */     // GIR_Coverage, 14809,
     /* 1123738 */     GIR_EraseRootFromParent_Done,
     /* 1123739 */   // Label 16473: @1123739
     /* 1123739 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123819), // Rule ID 14810 //
     /* 1123744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1123755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1123758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1123761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1123764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123783 */     // MIs[0] round
     /* 1123783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1123796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123818 */     // GIR_Coverage, 14810,
     /* 1123818 */     GIR_EraseRootFromParent_Done,
     /* 1123819 */   // Label 16474: @1123819
     /* 1123819 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123899), // Rule ID 14813 //
     /* 1123824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1123835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1123838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1123841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123863 */     // MIs[0] round
     /* 1123863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123898 */     // GIR_Coverage, 14813,
     /* 1123898 */     GIR_EraseRootFromParent_Done,
     /* 1123899 */   // Label 16475: @1123899
     /* 1123899 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123979), // Rule ID 14814 //
     /* 1123904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1123915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1123918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1123921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1123924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123943 */     // MIs[0] round
     /* 1123943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123953 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123978 */     // GIR_Coverage, 14814,
     /* 1123978 */     GIR_EraseRootFromParent_Done,
     /* 1123979 */   // Label 16476: @1123979
     /* 1123979 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1124059), // Rule ID 14817 //
     /* 1123984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1123995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1123998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124023 */     // MIs[0] round
     /* 1124023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124058 */     // GIR_Coverage, 14817,
     /* 1124058 */     GIR_EraseRootFromParent_Done,
     /* 1124059 */   // Label 16477: @1124059
     /* 1124059 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1124139), // Rule ID 14818 //
     /* 1124064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1124075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1124078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124103 */     // MIs[0] round
     /* 1124103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124113 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1124116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124138 */     // GIR_Coverage, 14818,
     /* 1124138 */     GIR_EraseRootFromParent_Done,
     /* 1124139 */   // Label 16478: @1124139
     /* 1124139 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124219), // Rule ID 14821 //
     /* 1124144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124183 */     // MIs[0] round
     /* 1124183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124218 */     // GIR_Coverage, 14821,
     /* 1124218 */     GIR_EraseRootFromParent_Done,
     /* 1124219 */   // Label 16479: @1124219
     /* 1124219 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124299), // Rule ID 14822 //
     /* 1124224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124263 */     // MIs[0] round
     /* 1124263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124298 */     // GIR_Coverage, 14822,
     /* 1124298 */     GIR_EraseRootFromParent_Done,
     /* 1124299 */   // Label 16480: @1124299
     /* 1124299 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124379), // Rule ID 14825 //
     /* 1124304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124343 */     // MIs[0] round
     /* 1124343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124378 */     // GIR_Coverage, 14825,
     /* 1124378 */     GIR_EraseRootFromParent_Done,
     /* 1124379 */   // Label 16481: @1124379
     /* 1124379 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124459), // Rule ID 14826 //
     /* 1124384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124423 */     // MIs[0] round
     /* 1124423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1124436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124458 */     // GIR_Coverage, 14826,
     /* 1124458 */     GIR_EraseRootFromParent_Done,
     /* 1124459 */   // Label 16482: @1124459
     /* 1124459 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124539), // Rule ID 14829 //
     /* 1124464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124503 */     // MIs[0] round
     /* 1124503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124513 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124538 */     // GIR_Coverage, 14829,
     /* 1124538 */     GIR_EraseRootFromParent_Done,
     /* 1124539 */   // Label 16483: @1124539
     /* 1124539 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124619), // Rule ID 14830 //
     /* 1124544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1124555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1124558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124583 */     // MIs[0] round
     /* 1124583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124618 */     // GIR_Coverage, 14830,
     /* 1124618 */     GIR_EraseRootFromParent_Done,
     /* 1124619 */   // Label 16484: @1124619
     /* 1124619 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124699), // Rule ID 14833 //
     /* 1124624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124663 */     // MIs[0] round
     /* 1124663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124698 */     // GIR_Coverage, 14833,
     /* 1124698 */     GIR_EraseRootFromParent_Done,
     /* 1124699 */   // Label 16485: @1124699
     /* 1124699 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124779), // Rule ID 14834 //
     /* 1124704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124743 */     // MIs[0] round
     /* 1124743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124778 */     // GIR_Coverage, 14834,
     /* 1124778 */     GIR_EraseRootFromParent_Done,
     /* 1124779 */   // Label 16486: @1124779
     /* 1124779 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124859), // Rule ID 14837 //
     /* 1124784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1124804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124823 */     // MIs[0] round
     /* 1124823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124858 */     // GIR_Coverage, 14837,
     /* 1124858 */     GIR_EraseRootFromParent_Done,
     /* 1124859 */   // Label 16487: @1124859
     /* 1124859 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124939), // Rule ID 14838 //
     /* 1124864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1124884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124903 */     // MIs[0] round
     /* 1124903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124938 */     // GIR_Coverage, 14838,
     /* 1124938 */     GIR_EraseRootFromParent_Done,
     /* 1124939 */   // Label 16488: @1124939
     /* 1124939 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1125019), // Rule ID 14841 //
     /* 1124944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1124947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1124955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1124958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1124961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1124964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124983 */     // MIs[0] round
     /* 1124983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1124996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125018 */     // GIR_Coverage, 14841,
     /* 1125018 */     GIR_EraseRootFromParent_Done,
     /* 1125019 */   // Label 16489: @1125019
     /* 1125019 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1125099), // Rule ID 14842 //
     /* 1125024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1125041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1125044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125063 */     // MIs[0] round
     /* 1125063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1125076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125098 */     // GIR_Coverage, 14842,
     /* 1125098 */     GIR_EraseRootFromParent_Done,
     /* 1125099 */   // Label 16490: @1125099
     /* 1125099 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125179), // Rule ID 14845 //
     /* 1125104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125143 */     // MIs[0] round
     /* 1125143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125153 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125178 */     // GIR_Coverage, 14845,
     /* 1125178 */     GIR_EraseRootFromParent_Done,
     /* 1125179 */   // Label 16491: @1125179
     /* 1125179 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125259), // Rule ID 14846 //
     /* 1125184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1125195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1125198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1125201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125223 */     // MIs[0] round
     /* 1125223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125258 */     // GIR_Coverage, 14846,
     /* 1125258 */     GIR_EraseRootFromParent_Done,
     /* 1125259 */   // Label 16492: @1125259
     /* 1125259 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125339), // Rule ID 14849 //
     /* 1125264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125303 */     // MIs[0] round
     /* 1125303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125313 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125338 */     // GIR_Coverage, 14849,
     /* 1125338 */     GIR_EraseRootFromParent_Done,
     /* 1125339 */   // Label 16493: @1125339
     /* 1125339 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125419), // Rule ID 14850 //
     /* 1125344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1125355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1125358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1125361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125383 */     // MIs[0] round
     /* 1125383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125393 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125418 */     // GIR_Coverage, 14850,
     /* 1125418 */     GIR_EraseRootFromParent_Done,
     /* 1125419 */   // Label 16494: @1125419
     /* 1125419 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125499), // Rule ID 14853 //
     /* 1125424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125463 */     // MIs[0] round
     /* 1125463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125498 */     // GIR_Coverage, 14853,
     /* 1125498 */     GIR_EraseRootFromParent_Done,
     /* 1125499 */   // Label 16495: @1125499
     /* 1125499 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125579), // Rule ID 14854 //
     /* 1125504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1125515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1125518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1125521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125543 */     // MIs[0] round
     /* 1125543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125553 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125578 */     // GIR_Coverage, 14854,
     /* 1125578 */     GIR_EraseRootFromParent_Done,
     /* 1125579 */   // Label 16496: @1125579
     /* 1125579 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125659), // Rule ID 14857 //
     /* 1125584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1125595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1125598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125623 */     // MIs[0] round
     /* 1125623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125658 */     // GIR_Coverage, 14857,
     /* 1125658 */     GIR_EraseRootFromParent_Done,
     /* 1125659 */   // Label 16497: @1125659
     /* 1125659 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125739), // Rule ID 14858 //
     /* 1125664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1125675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1125678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1125681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1125684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125703 */     // MIs[0] round
     /* 1125703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125713 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125738 */     // GIR_Coverage, 14858,
     /* 1125738 */     GIR_EraseRootFromParent_Done,
     /* 1125739 */   // Label 16498: @1125739
     /* 1125739 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125819), // Rule ID 14861 //
     /* 1125744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125783 */     // MIs[0] round
     /* 1125783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125818 */     // GIR_Coverage, 14861,
     /* 1125818 */     GIR_EraseRootFromParent_Done,
     /* 1125819 */   // Label 16499: @1125819
     /* 1125819 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125899), // Rule ID 14862 //
     /* 1125824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1125844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125863 */     // MIs[0] round
     /* 1125863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125873 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125898 */     // GIR_Coverage, 14862,
     /* 1125898 */     GIR_EraseRootFromParent_Done,
     /* 1125899 */   // Label 16500: @1125899
     /* 1125899 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125979), // Rule ID 14865 //
     /* 1125904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1125915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1125918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1125924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125943 */     // MIs[0] round
     /* 1125943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125978 */     // GIR_Coverage, 14865,
     /* 1125978 */     GIR_EraseRootFromParent_Done,
     /* 1125979 */   // Label 16501: @1125979
     /* 1125979 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1126059), // Rule ID 14866 //
     /* 1125984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1125995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1125998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1126001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1126004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126023 */     // MIs[0] round
     /* 1126023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126058 */     // GIR_Coverage, 14866,
     /* 1126058 */     GIR_EraseRootFromParent_Done,
     /* 1126059 */   // Label 16502: @1126059
     /* 1126059 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1126139), // Rule ID 14869 //
     /* 1126064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126103 */     // MIs[0] round
     /* 1126103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126138 */     // GIR_Coverage, 14869,
     /* 1126138 */     GIR_EraseRootFromParent_Done,
     /* 1126139 */   // Label 16503: @1126139
     /* 1126139 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126219), // Rule ID 14870 //
     /* 1126144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1126164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126183 */     // MIs[0] round
     /* 1126183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126218 */     // GIR_Coverage, 14870,
     /* 1126218 */     GIR_EraseRootFromParent_Done,
     /* 1126219 */   // Label 16504: @1126219
     /* 1126219 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126299), // Rule ID 14873 //
     /* 1126224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126263 */     // MIs[0] round
     /* 1126263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126298 */     // GIR_Coverage, 14873,
     /* 1126298 */     GIR_EraseRootFromParent_Done,
     /* 1126299 */   // Label 16505: @1126299
     /* 1126299 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126379), // Rule ID 14874 //
     /* 1126304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1126324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126343 */     // MIs[0] round
     /* 1126343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126378 */     // GIR_Coverage, 14874,
     /* 1126378 */     GIR_EraseRootFromParent_Done,
     /* 1126379 */   // Label 16506: @1126379
     /* 1126379 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126459), // Rule ID 14877 //
     /* 1126384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126423 */     // MIs[0] round
     /* 1126423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126458 */     // GIR_Coverage, 14877,
     /* 1126458 */     GIR_EraseRootFromParent_Done,
     /* 1126459 */   // Label 16507: @1126459
     /* 1126459 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126539), // Rule ID 14878 //
     /* 1126464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1126481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1126484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126503 */     // MIs[0] round
     /* 1126503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126538 */     // GIR_Coverage, 14878,
     /* 1126538 */     GIR_EraseRootFromParent_Done,
     /* 1126539 */   // Label 16508: @1126539
     /* 1126539 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126619), // Rule ID 14881 //
     /* 1126544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1126561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1126564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126583 */     // MIs[0] round
     /* 1126583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126618 */     // GIR_Coverage, 14881,
     /* 1126618 */     GIR_EraseRootFromParent_Done,
     /* 1126619 */   // Label 16509: @1126619
     /* 1126619 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126699), // Rule ID 14882 //
     /* 1126624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1126641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1126644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126663 */     // MIs[0] round
     /* 1126663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1126676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126698 */     // GIR_Coverage, 14882,
     /* 1126698 */     GIR_EraseRootFromParent_Done,
     /* 1126699 */   // Label 16510: @1126699
     /* 1126699 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126779), // Rule ID 14885 //
     /* 1126704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1126721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1126724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126743 */     // MIs[0] round
     /* 1126743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126778 */     // GIR_Coverage, 14885,
     /* 1126778 */     GIR_EraseRootFromParent_Done,
     /* 1126779 */   // Label 16511: @1126779
     /* 1126779 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126859), // Rule ID 14886 //
     /* 1126784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1126801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1126804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126823 */     // MIs[0] round
     /* 1126823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1126836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126858 */     // GIR_Coverage, 14886,
     /* 1126858 */     GIR_EraseRootFromParent_Done,
     /* 1126859 */   // Label 16512: @1126859
     /* 1126859 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126939), // Rule ID 14889 //
     /* 1126864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1126881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1126884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126903 */     // MIs[0] round
     /* 1126903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126913 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126938 */     // GIR_Coverage, 14889,
     /* 1126938 */     GIR_EraseRootFromParent_Done,
     /* 1126939 */   // Label 16513: @1126939
     /* 1126939 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1127019), // Rule ID 14890 //
     /* 1126944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1126961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1126964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126983 */     // MIs[0] round
     /* 1126983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1126996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127018 */     // GIR_Coverage, 14890,
     /* 1127018 */     GIR_EraseRootFromParent_Done,
     /* 1127019 */   // Label 16514: @1127019
     /* 1127019 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1127099), // Rule ID 14893 //
     /* 1127024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127063 */     // MIs[0] round
     /* 1127063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127098 */     // GIR_Coverage, 14893,
     /* 1127098 */     GIR_EraseRootFromParent_Done,
     /* 1127099 */   // Label 16515: @1127099
     /* 1127099 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127179), // Rule ID 14894 //
     /* 1127104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127143 */     // MIs[0] round
     /* 1127143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127153 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1127156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127178 */     // GIR_Coverage, 14894,
     /* 1127178 */     GIR_EraseRootFromParent_Done,
     /* 1127179 */   // Label 16516: @1127179
     /* 1127179 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127259), // Rule ID 14897 //
     /* 1127184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127223 */     // MIs[0] round
     /* 1127223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127258 */     // GIR_Coverage, 14897,
     /* 1127258 */     GIR_EraseRootFromParent_Done,
     /* 1127259 */   // Label 16517: @1127259
     /* 1127259 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127339), // Rule ID 14898 //
     /* 1127264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1127275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1127278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1127281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127303 */     // MIs[0] round
     /* 1127303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127338 */     // GIR_Coverage, 14898,
     /* 1127338 */     GIR_EraseRootFromParent_Done,
     /* 1127339 */   // Label 16518: @1127339
     /* 1127339 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127419), // Rule ID 14901 //
     /* 1127344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127383 */     // MIs[0] round
     /* 1127383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127393 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127418 */     // GIR_Coverage, 14901,
     /* 1127418 */     GIR_EraseRootFromParent_Done,
     /* 1127419 */   // Label 16519: @1127419
     /* 1127419 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127499), // Rule ID 14902 //
     /* 1127424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1127435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1127438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1127441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127463 */     // MIs[0] round
     /* 1127463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127498 */     // GIR_Coverage, 14902,
     /* 1127498 */     GIR_EraseRootFromParent_Done,
     /* 1127499 */   // Label 16520: @1127499
     /* 1127499 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127579), // Rule ID 14905 //
     /* 1127504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127543 */     // MIs[0] round
     /* 1127543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127578 */     // GIR_Coverage, 14905,
     /* 1127578 */     GIR_EraseRootFromParent_Done,
     /* 1127579 */   // Label 16521: @1127579
     /* 1127579 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127659), // Rule ID 14906 //
     /* 1127584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1127595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1127598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127623 */     // MIs[0] round
     /* 1127623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1127636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127658 */     // GIR_Coverage, 14906,
     /* 1127658 */     GIR_EraseRootFromParent_Done,
     /* 1127659 */   // Label 16522: @1127659
     /* 1127659 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127739), // Rule ID 14909 //
     /* 1127664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1127675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1127678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127703 */     // MIs[0] round
     /* 1127703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127738 */     // GIR_Coverage, 14909,
     /* 1127738 */     GIR_EraseRootFromParent_Done,
     /* 1127739 */   // Label 16523: @1127739
     /* 1127739 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127819), // Rule ID 14910 //
     /* 1127744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1127755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1127758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127783 */     // MIs[0] round
     /* 1127783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127818 */     // GIR_Coverage, 14910,
     /* 1127818 */     GIR_EraseRootFromParent_Done,
     /* 1127819 */   // Label 16524: @1127819
     /* 1127819 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127899), // Rule ID 14913 //
     /* 1127824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127863 */     // MIs[0] round
     /* 1127863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127898 */     // GIR_Coverage, 14913,
     /* 1127898 */     GIR_EraseRootFromParent_Done,
     /* 1127899 */   // Label 16525: @1127899
     /* 1127899 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1127979), // Rule ID 14914 //
     /* 1127904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127943 */     // MIs[0] round
     /* 1127943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1127956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127978 */     // GIR_Coverage, 14914,
     /* 1127978 */     GIR_EraseRootFromParent_Done,
     /* 1127979 */   // Label 16526: @1127979
     /* 1127979 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1128059), // Rule ID 14917 //
     /* 1127984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1127995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1127998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128023 */     // MIs[0] round
     /* 1128023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128058 */     // GIR_Coverage, 14917,
     /* 1128058 */     GIR_EraseRootFromParent_Done,
     /* 1128059 */   // Label 16527: @1128059
     /* 1128059 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1128139), // Rule ID 14918 //
     /* 1128064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1128075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1128078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128103 */     // MIs[0] round
     /* 1128103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128138 */     // GIR_Coverage, 14918,
     /* 1128138 */     GIR_EraseRootFromParent_Done,
     /* 1128139 */   // Label 16528: @1128139
     /* 1128139 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128219), // Rule ID 14921 //
     /* 1128144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128183 */     // MIs[0] round
     /* 1128183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128218 */     // GIR_Coverage, 14921,
     /* 1128218 */     GIR_EraseRootFromParent_Done,
     /* 1128219 */   // Label 16529: @1128219
     /* 1128219 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128299), // Rule ID 14922 //
     /* 1128224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128263 */     // MIs[0] round
     /* 1128263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128298 */     // GIR_Coverage, 14922,
     /* 1128298 */     GIR_EraseRootFromParent_Done,
     /* 1128299 */   // Label 16530: @1128299
     /* 1128299 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128379), // Rule ID 14925 //
     /* 1128304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128343 */     // MIs[0] round
     /* 1128343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128378 */     // GIR_Coverage, 14925,
     /* 1128378 */     GIR_EraseRootFromParent_Done,
     /* 1128379 */   // Label 16531: @1128379
     /* 1128379 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128459), // Rule ID 14926 //
     /* 1128384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128423 */     // MIs[0] round
     /* 1128423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128458 */     // GIR_Coverage, 14926,
     /* 1128458 */     GIR_EraseRootFromParent_Done,
     /* 1128459 */   // Label 16532: @1128459
     /* 1128459 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128539), // Rule ID 14929 //
     /* 1128464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128503 */     // MIs[0] round
     /* 1128503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128513 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128538 */     // GIR_Coverage, 14929,
     /* 1128538 */     GIR_EraseRootFromParent_Done,
     /* 1128539 */   // Label 16533: @1128539
     /* 1128539 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128619), // Rule ID 14930 //
     /* 1128544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1128561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128583 */     // MIs[0] round
     /* 1128583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1128596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128618 */     // GIR_Coverage, 14930,
     /* 1128618 */     GIR_EraseRootFromParent_Done,
     /* 1128619 */   // Label 16534: @1128619
     /* 1128619 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128699), // Rule ID 14933 //
     /* 1128624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1128635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1128638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128663 */     // MIs[0] round
     /* 1128663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128698 */     // GIR_Coverage, 14933,
     /* 1128698 */     GIR_EraseRootFromParent_Done,
     /* 1128699 */   // Label 16535: @1128699
     /* 1128699 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128779), // Rule ID 14934 //
     /* 1128704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1128715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1128718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128743 */     // MIs[0] round
     /* 1128743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128778 */     // GIR_Coverage, 14934,
     /* 1128778 */     GIR_EraseRootFromParent_Done,
     /* 1128779 */   // Label 16536: @1128779
     /* 1128779 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128859), // Rule ID 14937 //
     /* 1128784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1128795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1128798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1128801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128823 */     // MIs[0] round
     /* 1128823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128858 */     // GIR_Coverage, 14937,
     /* 1128858 */     GIR_EraseRootFromParent_Done,
     /* 1128859 */   // Label 16537: @1128859
     /* 1128859 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128939), // Rule ID 14938 //
     /* 1128864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1128875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1128878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1128881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128903 */     // MIs[0] round
     /* 1128903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128938 */     // GIR_Coverage, 14938,
     /* 1128938 */     GIR_EraseRootFromParent_Done,
     /* 1128939 */   // Label 16538: @1128939
     /* 1128939 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1129019), // Rule ID 14941 //
     /* 1128944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1128955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1128958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1128961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128983 */     // MIs[0] round
     /* 1128983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128993 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1128996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129018 */     // GIR_Coverage, 14941,
     /* 1129018 */     GIR_EraseRootFromParent_Done,
     /* 1129019 */   // Label 16539: @1129019
     /* 1129019 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1129099), // Rule ID 14942 //
     /* 1129024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1129035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1129038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129063 */     // MIs[0] round
     /* 1129063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129098 */     // GIR_Coverage, 14942,
     /* 1129098 */     GIR_EraseRootFromParent_Done,
     /* 1129099 */   // Label 16540: @1129099
     /* 1129099 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129179), // Rule ID 14945 //
     /* 1129104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129143 */     // MIs[0] round
     /* 1129143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129178 */     // GIR_Coverage, 14945,
     /* 1129178 */     GIR_EraseRootFromParent_Done,
     /* 1129179 */   // Label 16541: @1129179
     /* 1129179 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129259), // Rule ID 14946 //
     /* 1129184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1129195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1129198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129223 */     // MIs[0] round
     /* 1129223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129258 */     // GIR_Coverage, 14946,
     /* 1129258 */     GIR_EraseRootFromParent_Done,
     /* 1129259 */   // Label 16542: @1129259
     /* 1129259 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129339), // Rule ID 14949 //
     /* 1129264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129303 */     // MIs[0] round
     /* 1129303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129313 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129338 */     // GIR_Coverage, 14949,
     /* 1129338 */     GIR_EraseRootFromParent_Done,
     /* 1129339 */   // Label 16543: @1129339
     /* 1129339 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129419), // Rule ID 14950 //
     /* 1129344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1129355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1129358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129383 */     // MIs[0] round
     /* 1129383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129418 */     // GIR_Coverage, 14950,
     /* 1129418 */     GIR_EraseRootFromParent_Done,
     /* 1129419 */   // Label 16544: @1129419
     /* 1129419 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129499), // Rule ID 14953 //
     /* 1129424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129463 */     // MIs[0] round
     /* 1129463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129498 */     // GIR_Coverage, 14953,
     /* 1129498 */     GIR_EraseRootFromParent_Done,
     /* 1129499 */   // Label 16545: @1129499
     /* 1129499 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129579), // Rule ID 14954 //
     /* 1129504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1129515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1129518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129543 */     // MIs[0] round
     /* 1129543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129578 */     // GIR_Coverage, 14954,
     /* 1129578 */     GIR_EraseRootFromParent_Done,
     /* 1129579 */   // Label 16546: @1129579
     /* 1129579 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129659), // Rule ID 14957 //
     /* 1129584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1129601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129623 */     // MIs[0] round
     /* 1129623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129658 */     // GIR_Coverage, 14957,
     /* 1129658 */     GIR_EraseRootFromParent_Done,
     /* 1129659 */   // Label 16547: @1129659
     /* 1129659 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129739), // Rule ID 14958 //
     /* 1129664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1129681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129703 */     // MIs[0] round
     /* 1129703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129738 */     // GIR_Coverage, 14958,
     /* 1129738 */     GIR_EraseRootFromParent_Done,
     /* 1129739 */   // Label 16548: @1129739
     /* 1129739 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129819), // Rule ID 14961 //
     /* 1129744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129783 */     // MIs[0] round
     /* 1129783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129818 */     // GIR_Coverage, 14961,
     /* 1129818 */     GIR_EraseRootFromParent_Done,
     /* 1129819 */   // Label 16549: @1129819
     /* 1129819 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129899), // Rule ID 14962 //
     /* 1129824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129863 */     // MIs[0] round
     /* 1129863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129898 */     // GIR_Coverage, 14962,
     /* 1129898 */     GIR_EraseRootFromParent_Done,
     /* 1129899 */   // Label 16550: @1129899
     /* 1129899 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1129979), // Rule ID 14965 //
     /* 1129904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1129921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129943 */     // MIs[0] round
     /* 1129943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129978 */     // GIR_Coverage, 14965,
     /* 1129978 */     GIR_EraseRootFromParent_Done,
     /* 1129979 */   // Label 16551: @1129979
     /* 1129979 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1130059), // Rule ID 14966 //
     /* 1129984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130023 */     // MIs[0] round
     /* 1130023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130058 */     // GIR_Coverage, 14966,
     /* 1130058 */     GIR_EraseRootFromParent_Done,
     /* 1130059 */   // Label 16552: @1130059
     /* 1130059 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1130139), // Rule ID 14969 //
     /* 1130064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130103 */     // MIs[0] round
     /* 1130103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130138 */     // GIR_Coverage, 14969,
     /* 1130138 */     GIR_EraseRootFromParent_Done,
     /* 1130139 */   // Label 16553: @1130139
     /* 1130139 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130219), // Rule ID 14970 //
     /* 1130144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1130161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130183 */     // MIs[0] round
     /* 1130183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1130196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130218 */     // GIR_Coverage, 14970,
     /* 1130218 */     GIR_EraseRootFromParent_Done,
     /* 1130219 */   // Label 16554: @1130219
     /* 1130219 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130299), // Rule ID 14973 //
     /* 1130224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130263 */     // MIs[0] round
     /* 1130263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130298 */     // GIR_Coverage, 14973,
     /* 1130298 */     GIR_EraseRootFromParent_Done,
     /* 1130299 */   // Label 16555: @1130299
     /* 1130299 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130379), // Rule ID 14974 //
     /* 1130304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1130321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130343 */     // MIs[0] round
     /* 1130343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1130356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130378 */     // GIR_Coverage, 14974,
     /* 1130378 */     GIR_EraseRootFromParent_Done,
     /* 1130379 */   // Label 16556: @1130379
     /* 1130379 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130459), // Rule ID 14977 //
     /* 1130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130423 */     // MIs[0] round
     /* 1130423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130458 */     // GIR_Coverage, 14977,
     /* 1130458 */     GIR_EraseRootFromParent_Done,
     /* 1130459 */   // Label 16557: @1130459
     /* 1130459 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130539), // Rule ID 14978 //
     /* 1130464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1130481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130503 */     // MIs[0] round
     /* 1130503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1130516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130538 */     // GIR_Coverage, 14978,
     /* 1130538 */     GIR_EraseRootFromParent_Done,
     /* 1130539 */   // Label 16558: @1130539
     /* 1130539 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130619), // Rule ID 14981 //
     /* 1130544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1130561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1130564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130583 */     // MIs[0] round
     /* 1130583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130593 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1130596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130618 */     // GIR_Coverage, 14981,
     /* 1130618 */     GIR_EraseRootFromParent_Done,
     /* 1130619 */   // Label 16559: @1130619
     /* 1130619 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130699), // Rule ID 14982 //
     /* 1130624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1130635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1130638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1130641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1130644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130663 */     // MIs[0] round
     /* 1130663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1130676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130698 */     // GIR_Coverage, 14982,
     /* 1130698 */     GIR_EraseRootFromParent_Done,
     /* 1130699 */   // Label 16560: @1130699
     /* 1130699 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130779), // Rule ID 14985 //
     /* 1130704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1130715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1130718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1130721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1130724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130743 */     // MIs[0] round
     /* 1130743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1130756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130778 */     // GIR_Coverage, 14985,
     /* 1130778 */     GIR_EraseRootFromParent_Done,
     /* 1130779 */   // Label 16561: @1130779
     /* 1130779 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130859), // Rule ID 14986 //
     /* 1130784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1130795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1130798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1130801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1130804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130823 */     // MIs[0] round
     /* 1130823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1130836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130858 */     // GIR_Coverage, 14986,
     /* 1130858 */     GIR_EraseRootFromParent_Done,
     /* 1130859 */   // Label 16562: @1130859
     /* 1130859 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130939), // Rule ID 14989 //
     /* 1130864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1130875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1130878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1130881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1130884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130903 */     // MIs[0] round
     /* 1130903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130913 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130938 */     // GIR_Coverage, 14989,
     /* 1130938 */     GIR_EraseRootFromParent_Done,
     /* 1130939 */   // Label 16563: @1130939
     /* 1130939 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1131019), // Rule ID 14990 //
     /* 1130944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1130955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1130958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1130961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1130964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130983 */     // MIs[0] round
     /* 1130983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131018 */     // GIR_Coverage, 14990,
     /* 1131018 */     GIR_EraseRootFromParent_Done,
     /* 1131019 */   // Label 16564: @1131019
     /* 1131019 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1131099), // Rule ID 14993 //
     /* 1131024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131063 */     // MIs[0] round
     /* 1131063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131073 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131098 */     // GIR_Coverage, 14993,
     /* 1131098 */     GIR_EraseRootFromParent_Done,
     /* 1131099 */   // Label 16565: @1131099
     /* 1131099 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131179), // Rule ID 14994 //
     /* 1131104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1131115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1131118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1131124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131143 */     // MIs[0] round
     /* 1131143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1131156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131178 */     // GIR_Coverage, 14994,
     /* 1131178 */     GIR_EraseRootFromParent_Done,
     /* 1131179 */   // Label 16566: @1131179
     /* 1131179 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131259), // Rule ID 14997 //
     /* 1131184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131223 */     // MIs[0] round
     /* 1131223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131258 */     // GIR_Coverage, 14997,
     /* 1131258 */     GIR_EraseRootFromParent_Done,
     /* 1131259 */   // Label 16567: @1131259
     /* 1131259 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131339), // Rule ID 14998 //
     /* 1131264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1131275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1131278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1131284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131303 */     // MIs[0] round
     /* 1131303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131338 */     // GIR_Coverage, 14998,
     /* 1131338 */     GIR_EraseRootFromParent_Done,
     /* 1131339 */   // Label 16568: @1131339
     /* 1131339 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131419), // Rule ID 15001 //
     /* 1131344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131383 */     // MIs[0] round
     /* 1131383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131418 */     // GIR_Coverage, 15001,
     /* 1131418 */     GIR_EraseRootFromParent_Done,
     /* 1131419 */   // Label 16569: @1131419
     /* 1131419 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131499), // Rule ID 15002 //
     /* 1131424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1131444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131463 */     // MIs[0] round
     /* 1131463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1131476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131498 */     // GIR_Coverage, 15002,
     /* 1131498 */     GIR_EraseRootFromParent_Done,
     /* 1131499 */   // Label 16570: @1131499
     /* 1131499 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131579), // Rule ID 15005 //
     /* 1131504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131543 */     // MIs[0] round
     /* 1131543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131578 */     // GIR_Coverage, 15005,
     /* 1131578 */     GIR_EraseRootFromParent_Done,
     /* 1131579 */   // Label 16571: @1131579
     /* 1131579 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131659), // Rule ID 15006 //
     /* 1131584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1131595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1131598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131623 */     // MIs[0] round
     /* 1131623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131658 */     // GIR_Coverage, 15006,
     /* 1131658 */     GIR_EraseRootFromParent_Done,
     /* 1131659 */   // Label 16572: @1131659
     /* 1131659 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131739), // Rule ID 15009 //
     /* 1131664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1131675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1131678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1131681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1131684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131703 */     // MIs[0] round
     /* 1131703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131713 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131738 */     // GIR_Coverage, 15009,
     /* 1131738 */     GIR_EraseRootFromParent_Done,
     /* 1131739 */   // Label 16573: @1131739
     /* 1131739 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131819), // Rule ID 15010 //
     /* 1131744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1131755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1131758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1131761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1131764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131783 */     // MIs[0] round
     /* 1131783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131818 */     // GIR_Coverage, 15010,
     /* 1131818 */     GIR_EraseRootFromParent_Done,
     /* 1131819 */   // Label 16574: @1131819
     /* 1131819 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131899), // Rule ID 15013 //
     /* 1131824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131863 */     // MIs[0] round
     /* 1131863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131898 */     // GIR_Coverage, 15013,
     /* 1131898 */     GIR_EraseRootFromParent_Done,
     /* 1131899 */   // Label 16575: @1131899
     /* 1131899 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1131979), // Rule ID 15014 //
     /* 1131904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131943 */     // MIs[0] round
     /* 1131943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1131956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131978 */     // GIR_Coverage, 15014,
     /* 1131978 */     GIR_EraseRootFromParent_Done,
     /* 1131979 */   // Label 16576: @1131979
     /* 1131979 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1132059), // Rule ID 15017 //
     /* 1131984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132023 */     // MIs[0] round
     /* 1132023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132058 */     // GIR_Coverage, 15017,
     /* 1132058 */     GIR_EraseRootFromParent_Done,
     /* 1132059 */   // Label 16577: @1132059
     /* 1132059 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1132139), // Rule ID 15018 //
     /* 1132064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132103 */     // MIs[0] round
     /* 1132103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1132116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132138 */     // GIR_Coverage, 15018,
     /* 1132138 */     GIR_EraseRootFromParent_Done,
     /* 1132139 */   // Label 16578: @1132139
     /* 1132139 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132219), // Rule ID 15021 //
     /* 1132144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132183 */     // MIs[0] round
     /* 1132183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132193 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132218 */     // GIR_Coverage, 15021,
     /* 1132218 */     GIR_EraseRootFromParent_Done,
     /* 1132219 */   // Label 16579: @1132219
     /* 1132219 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132299), // Rule ID 15022 //
     /* 1132224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1132235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1132238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1132241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1132244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132263 */     // MIs[0] round
     /* 1132263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132298 */     // GIR_Coverage, 15022,
     /* 1132298 */     GIR_EraseRootFromParent_Done,
     /* 1132299 */   // Label 16580: @1132299
     /* 1132299 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132379), // Rule ID 15025 //
     /* 1132304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132343 */     // MIs[0] round
     /* 1132343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132378 */     // GIR_Coverage, 15025,
     /* 1132378 */     GIR_EraseRootFromParent_Done,
     /* 1132379 */   // Label 16581: @1132379
     /* 1132379 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132459), // Rule ID 15026 //
     /* 1132384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1132395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1132398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1132401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1132404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132423 */     // MIs[0] round
     /* 1132423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132458 */     // GIR_Coverage, 15026,
     /* 1132458 */     GIR_EraseRootFromParent_Done,
     /* 1132459 */   // Label 16582: @1132459
     /* 1132459 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132539), // Rule ID 15029 //
     /* 1132464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132503 */     // MIs[0] round
     /* 1132503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132513 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132538 */     // GIR_Coverage, 15029,
     /* 1132538 */     GIR_EraseRootFromParent_Done,
     /* 1132539 */   // Label 16583: @1132539
     /* 1132539 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132619), // Rule ID 15030 //
     /* 1132544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1132555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1132558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1132561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1132564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132583 */     // MIs[0] round
     /* 1132583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132593 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132618 */     // GIR_Coverage, 15030,
     /* 1132618 */     GIR_EraseRootFromParent_Done,
     /* 1132619 */   // Label 16584: @1132619
     /* 1132619 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132699), // Rule ID 15033 //
     /* 1132624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1132635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1132638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132663 */     // MIs[0] round
     /* 1132663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132698 */     // GIR_Coverage, 15033,
     /* 1132698 */     GIR_EraseRootFromParent_Done,
     /* 1132699 */   // Label 16585: @1132699
     /* 1132699 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132779), // Rule ID 15034 //
     /* 1132704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1132715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1132718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132743 */     // MIs[0] round
     /* 1132743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132778 */     // GIR_Coverage, 15034,
     /* 1132778 */     GIR_EraseRootFromParent_Done,
     /* 1132779 */   // Label 16586: @1132779
     /* 1132779 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132859), // Rule ID 15037 //
     /* 1132784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1132795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1132798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132823 */     // MIs[0] round
     /* 1132823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132858 */     // GIR_Coverage, 15037,
     /* 1132858 */     GIR_EraseRootFromParent_Done,
     /* 1132859 */   // Label 16587: @1132859
     /* 1132859 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132939), // Rule ID 15038 //
     /* 1132864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1132875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1132878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132903 */     // MIs[0] round
     /* 1132903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132938 */     // GIR_Coverage, 15038,
     /* 1132938 */     GIR_EraseRootFromParent_Done,
     /* 1132939 */   // Label 16588: @1132939
     /* 1132939 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1133019), // Rule ID 15041 //
     /* 1132944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1132955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1132958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1132961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1132964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132983 */     // MIs[0] round
     /* 1132983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133018 */     // GIR_Coverage, 15041,
     /* 1133018 */     GIR_EraseRootFromParent_Done,
     /* 1133019 */   // Label 16589: @1133019
     /* 1133019 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1133099), // Rule ID 15042 //
     /* 1133024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1133035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1133038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1133041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1133044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133063 */     // MIs[0] round
     /* 1133063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133098 */     // GIR_Coverage, 15042,
     /* 1133098 */     GIR_EraseRootFromParent_Done,
     /* 1133099 */   // Label 16590: @1133099
     /* 1133099 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133179), // Rule ID 15045 //
     /* 1133104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133143 */     // MIs[0] round
     /* 1133143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133178 */     // GIR_Coverage, 15045,
     /* 1133178 */     GIR_EraseRootFromParent_Done,
     /* 1133179 */   // Label 16591: @1133179
     /* 1133179 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133259), // Rule ID 15046 //
     /* 1133184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133223 */     // MIs[0] round
     /* 1133223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133258 */     // GIR_Coverage, 15046,
     /* 1133258 */     GIR_EraseRootFromParent_Done,
     /* 1133259 */   // Label 16592: @1133259
     /* 1133259 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133339), // Rule ID 15049 //
     /* 1133264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133303 */     // MIs[0] round
     /* 1133303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133338 */     // GIR_Coverage, 15049,
     /* 1133338 */     GIR_EraseRootFromParent_Done,
     /* 1133339 */   // Label 16593: @1133339
     /* 1133339 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133419), // Rule ID 15050 //
     /* 1133344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133383 */     // MIs[0] round
     /* 1133383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133418 */     // GIR_Coverage, 15050,
     /* 1133418 */     GIR_EraseRootFromParent_Done,
     /* 1133419 */   // Label 16594: @1133419
     /* 1133419 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133499), // Rule ID 15053 //
     /* 1133424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133463 */     // MIs[0] round
     /* 1133463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133498 */     // GIR_Coverage, 15053,
     /* 1133498 */     GIR_EraseRootFromParent_Done,
     /* 1133499 */   // Label 16595: @1133499
     /* 1133499 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133579), // Rule ID 15054 //
     /* 1133504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1133524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133543 */     // MIs[0] round
     /* 1133543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133578 */     // GIR_Coverage, 15054,
     /* 1133578 */     GIR_EraseRootFromParent_Done,
     /* 1133579 */   // Label 16596: @1133579
     /* 1133579 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133659), // Rule ID 15057 //
     /* 1133584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1133595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1133598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1133601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1133604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133623 */     // MIs[0] round
     /* 1133623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133658 */     // GIR_Coverage, 15057,
     /* 1133658 */     GIR_EraseRootFromParent_Done,
     /* 1133659 */   // Label 16597: @1133659
     /* 1133659 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133739), // Rule ID 15058 //
     /* 1133664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1133675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1133678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1133681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1133684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133703 */     // MIs[0] round
     /* 1133703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1133716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133738 */     // GIR_Coverage, 15058,
     /* 1133738 */     GIR_EraseRootFromParent_Done,
     /* 1133739 */   // Label 16598: @1133739
     /* 1133739 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133819), // Rule ID 15061 //
     /* 1133744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1133764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133783 */     // MIs[0] round
     /* 1133783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133818 */     // GIR_Coverage, 15061,
     /* 1133818 */     GIR_EraseRootFromParent_Done,
     /* 1133819 */   // Label 16599: @1133819
     /* 1133819 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133899), // Rule ID 15062 //
     /* 1133824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1133844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133863 */     // MIs[0] round
     /* 1133863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133873 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1133876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133898 */     // GIR_Coverage, 15062,
     /* 1133898 */     GIR_EraseRootFromParent_Done,
     /* 1133899 */   // Label 16600: @1133899
     /* 1133899 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1133979), // Rule ID 15065 //
     /* 1133904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1133915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1133918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1133921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1133924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133943 */     // MIs[0] round
     /* 1133943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133953 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1133956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133978 */     // GIR_Coverage, 15065,
     /* 1133978 */     GIR_EraseRootFromParent_Done,
     /* 1133979 */   // Label 16601: @1133979
     /* 1133979 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1134059), // Rule ID 15066 //
     /* 1133984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1133995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1133998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1134004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134023 */     // MIs[0] round
     /* 1134023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1134036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134058 */     // GIR_Coverage, 15066,
     /* 1134058 */     GIR_EraseRootFromParent_Done,
     /* 1134059 */   // Label 16602: @1134059
     /* 1134059 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1134139), // Rule ID 15069 //
     /* 1134064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134103 */     // MIs[0] round
     /* 1134103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134113 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134138 */     // GIR_Coverage, 15069,
     /* 1134138 */     GIR_EraseRootFromParent_Done,
     /* 1134139 */   // Label 16603: @1134139
     /* 1134139 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134219), // Rule ID 15070 //
     /* 1134144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1134155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1134158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1134161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134183 */     // MIs[0] round
     /* 1134183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1134196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134218 */     // GIR_Coverage, 15070,
     /* 1134218 */     GIR_EraseRootFromParent_Done,
     /* 1134219 */   // Label 16604: @1134219
     /* 1134219 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134299), // Rule ID 15073 //
     /* 1134224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134263 */     // MIs[0] round
     /* 1134263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134273 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134298 */     // GIR_Coverage, 15073,
     /* 1134298 */     GIR_EraseRootFromParent_Done,
     /* 1134299 */   // Label 16605: @1134299
     /* 1134299 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134379), // Rule ID 15074 //
     /* 1134304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1134315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1134318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1134321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134343 */     // MIs[0] round
     /* 1134343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134378 */     // GIR_Coverage, 15074,
     /* 1134378 */     GIR_EraseRootFromParent_Done,
     /* 1134379 */   // Label 16606: @1134379
     /* 1134379 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134459), // Rule ID 15077 //
     /* 1134384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134423 */     // MIs[0] round
     /* 1134423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134458 */     // GIR_Coverage, 15077,
     /* 1134458 */     GIR_EraseRootFromParent_Done,
     /* 1134459 */   // Label 16607: @1134459
     /* 1134459 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134539), // Rule ID 15078 //
     /* 1134464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1134475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1134478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1134481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134503 */     // MIs[0] round
     /* 1134503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134513 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134538 */     // GIR_Coverage, 15078,
     /* 1134538 */     GIR_EraseRootFromParent_Done,
     /* 1134539 */   // Label 16608: @1134539
     /* 1134539 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134619), // Rule ID 15081 //
     /* 1134544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1134561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134583 */     // MIs[0] round
     /* 1134583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134618 */     // GIR_Coverage, 15081,
     /* 1134618 */     GIR_EraseRootFromParent_Done,
     /* 1134619 */   // Label 16609: @1134619
     /* 1134619 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134699), // Rule ID 15082 //
     /* 1134624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1134635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1134638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1134641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134663 */     // MIs[0] round
     /* 1134663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1134676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134698 */     // GIR_Coverage, 15082,
     /* 1134698 */     GIR_EraseRootFromParent_Done,
     /* 1134699 */   // Label 16610: @1134699
     /* 1134699 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134779), // Rule ID 15085 //
     /* 1134704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1134715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1134718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1134721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134743 */     // MIs[0] round
     /* 1134743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134778 */     // GIR_Coverage, 15085,
     /* 1134778 */     GIR_EraseRootFromParent_Done,
     /* 1134779 */   // Label 16611: @1134779
     /* 1134779 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134859), // Rule ID 15086 //
     /* 1134784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1134795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1134798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1134801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134823 */     // MIs[0] round
     /* 1134823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134858 */     // GIR_Coverage, 15086,
     /* 1134858 */     GIR_EraseRootFromParent_Done,
     /* 1134859 */   // Label 16612: @1134859
     /* 1134859 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134939), // Rule ID 15089 //
     /* 1134864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1134875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1134878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1134881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134903 */     // MIs[0] round
     /* 1134903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134938 */     // GIR_Coverage, 15089,
     /* 1134938 */     GIR_EraseRootFromParent_Done,
     /* 1134939 */   // Label 16613: @1134939
     /* 1134939 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1135019), // Rule ID 15090 //
     /* 1134944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1134955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1134958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1134961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134983 */     // MIs[0] round
     /* 1134983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1134996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135018 */     // GIR_Coverage, 15090,
     /* 1135018 */     GIR_EraseRootFromParent_Done,
     /* 1135019 */   // Label 16614: @1135019
     /* 1135019 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1135099), // Rule ID 15093 //
     /* 1135024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135063 */     // MIs[0] round
     /* 1135063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135098 */     // GIR_Coverage, 15093,
     /* 1135098 */     GIR_EraseRootFromParent_Done,
     /* 1135099 */   // Label 16615: @1135099
     /* 1135099 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135179), // Rule ID 15094 //
     /* 1135104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1135121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135143 */     // MIs[0] round
     /* 1135143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135178 */     // GIR_Coverage, 15094,
     /* 1135178 */     GIR_EraseRootFromParent_Done,
     /* 1135179 */   // Label 16616: @1135179
     /* 1135179 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135259), // Rule ID 15097 //
     /* 1135184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135223 */     // MIs[0] round
     /* 1135223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135258 */     // GIR_Coverage, 15097,
     /* 1135258 */     GIR_EraseRootFromParent_Done,
     /* 1135259 */   // Label 16617: @1135259
     /* 1135259 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135339), // Rule ID 15098 //
     /* 1135264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1135275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1135278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1135281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135303 */     // MIs[0] round
     /* 1135303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135338 */     // GIR_Coverage, 15098,
     /* 1135338 */     GIR_EraseRootFromParent_Done,
     /* 1135339 */   // Label 16618: @1135339
     /* 1135339 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135419), // Rule ID 15101 //
     /* 1135344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135383 */     // MIs[0] round
     /* 1135383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135418 */     // GIR_Coverage, 15101,
     /* 1135418 */     GIR_EraseRootFromParent_Done,
     /* 1135419 */   // Label 16619: @1135419
     /* 1135419 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135499), // Rule ID 15102 //
     /* 1135424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135463 */     // MIs[0] round
     /* 1135463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135498 */     // GIR_Coverage, 15102,
     /* 1135498 */     GIR_EraseRootFromParent_Done,
     /* 1135499 */   // Label 16620: @1135499
     /* 1135499 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135579), // Rule ID 15105 //
     /* 1135504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135543 */     // MIs[0] round
     /* 1135543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135578 */     // GIR_Coverage, 15105,
     /* 1135578 */     GIR_EraseRootFromParent_Done,
     /* 1135579 */   // Label 16621: @1135579
     /* 1135579 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135659), // Rule ID 15106 //
     /* 1135584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135623 */     // MIs[0] round
     /* 1135623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1135636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135658 */     // GIR_Coverage, 15106,
     /* 1135658 */     GIR_EraseRootFromParent_Done,
     /* 1135659 */   // Label 16622: @1135659
     /* 1135659 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135739), // Rule ID 15109 //
     /* 1135664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1135681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135703 */     // MIs[0] round
     /* 1135703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135713 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135738 */     // GIR_Coverage, 15109,
     /* 1135738 */     GIR_EraseRootFromParent_Done,
     /* 1135739 */   // Label 16623: @1135739
     /* 1135739 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135819), // Rule ID 15110 //
     /* 1135744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1135761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135783 */     // MIs[0] round
     /* 1135783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135818 */     // GIR_Coverage, 15110,
     /* 1135818 */     GIR_EraseRootFromParent_Done,
     /* 1135819 */   // Label 16624: @1135819
     /* 1135819 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135899), // Rule ID 15113 //
     /* 1135824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1135835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1135838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1135841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135863 */     // MIs[0] round
     /* 1135863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135898 */     // GIR_Coverage, 15113,
     /* 1135898 */     GIR_EraseRootFromParent_Done,
     /* 1135899 */   // Label 16625: @1135899
     /* 1135899 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1135979), // Rule ID 15114 //
     /* 1135904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1135915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1135918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1135921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135943 */     // MIs[0] round
     /* 1135943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135978 */     // GIR_Coverage, 15114,
     /* 1135978 */     GIR_EraseRootFromParent_Done,
     /* 1135979 */   // Label 16626: @1135979
     /* 1135979 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1136059), // Rule ID 15117 //
     /* 1135984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1135995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1135998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136023 */     // MIs[0] round
     /* 1136023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136033 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136058 */     // GIR_Coverage, 15117,
     /* 1136058 */     GIR_EraseRootFromParent_Done,
     /* 1136059 */   // Label 16627: @1136059
     /* 1136059 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1136139), // Rule ID 15118 //
     /* 1136064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1136075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1136078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1136081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136103 */     // MIs[0] round
     /* 1136103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136113 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136138 */     // GIR_Coverage, 15118,
     /* 1136138 */     GIR_EraseRootFromParent_Done,
     /* 1136139 */   // Label 16628: @1136139
     /* 1136139 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136219), // Rule ID 15121 //
     /* 1136144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136183 */     // MIs[0] round
     /* 1136183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136218 */     // GIR_Coverage, 15121,
     /* 1136218 */     GIR_EraseRootFromParent_Done,
     /* 1136219 */   // Label 16629: @1136219
     /* 1136219 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136299), // Rule ID 15122 //
     /* 1136224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1136235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1136238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1136241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136263 */     // MIs[0] round
     /* 1136263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136298 */     // GIR_Coverage, 15122,
     /* 1136298 */     GIR_EraseRootFromParent_Done,
     /* 1136299 */   // Label 16630: @1136299
     /* 1136299 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136379), // Rule ID 15125 //
     /* 1136304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136343 */     // MIs[0] round
     /* 1136343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136353 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136378 */     // GIR_Coverage, 15125,
     /* 1136378 */     GIR_EraseRootFromParent_Done,
     /* 1136379 */   // Label 16631: @1136379
     /* 1136379 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136459), // Rule ID 15126 //
     /* 1136384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1136395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1136398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1136401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136423 */     // MIs[0] round
     /* 1136423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136458 */     // GIR_Coverage, 15126,
     /* 1136458 */     GIR_EraseRootFromParent_Done,
     /* 1136459 */   // Label 16632: @1136459
     /* 1136459 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136539), // Rule ID 15129 //
     /* 1136464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136503 */     // MIs[0] round
     /* 1136503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136513 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136538 */     // GIR_Coverage, 15129,
     /* 1136538 */     GIR_EraseRootFromParent_Done,
     /* 1136539 */   // Label 16633: @1136539
     /* 1136539 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136619), // Rule ID 15130 //
     /* 1136544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1136555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1136558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1136561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136583 */     // MIs[0] round
     /* 1136583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136618 */     // GIR_Coverage, 15130,
     /* 1136618 */     GIR_EraseRootFromParent_Done,
     /* 1136619 */   // Label 16634: @1136619
     /* 1136619 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136699), // Rule ID 15133 //
     /* 1136624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136663 */     // MIs[0] round
     /* 1136663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136698 */     // GIR_Coverage, 15133,
     /* 1136698 */     GIR_EraseRootFromParent_Done,
     /* 1136699 */   // Label 16635: @1136699
     /* 1136699 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136779), // Rule ID 15134 //
     /* 1136704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136743 */     // MIs[0] round
     /* 1136743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136778 */     // GIR_Coverage, 15134,
     /* 1136778 */     GIR_EraseRootFromParent_Done,
     /* 1136779 */   // Label 16636: @1136779
     /* 1136779 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136859), // Rule ID 15137 //
     /* 1136784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136823 */     // MIs[0] round
     /* 1136823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136858 */     // GIR_Coverage, 15137,
     /* 1136858 */     GIR_EraseRootFromParent_Done,
     /* 1136859 */   // Label 16637: @1136859
     /* 1136859 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136939), // Rule ID 15138 //
     /* 1136864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136903 */     // MIs[0] round
     /* 1136903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136913 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136938 */     // GIR_Coverage, 15138,
     /* 1136938 */     GIR_EraseRootFromParent_Done,
     /* 1136939 */   // Label 16638: @1136939
     /* 1136939 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1137019), // Rule ID 15141 //
     /* 1136944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1136955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1136958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1136961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136983 */     // MIs[0] round
     /* 1136983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137018 */     // GIR_Coverage, 15141,
     /* 1137018 */     GIR_EraseRootFromParent_Done,
     /* 1137019 */   // Label 16639: @1137019
     /* 1137019 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1137099), // Rule ID 15142 //
     /* 1137024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1137035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1137038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1137041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137063 */     // MIs[0] round
     /* 1137063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137098 */     // GIR_Coverage, 15142,
     /* 1137098 */     GIR_EraseRootFromParent_Done,
     /* 1137099 */   // Label 16640: @1137099
     /* 1137099 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137179), // Rule ID 15145 //
     /* 1137104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137143 */     // MIs[0] round
     /* 1137143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137178 */     // GIR_Coverage, 15145,
     /* 1137178 */     GIR_EraseRootFromParent_Done,
     /* 1137179 */   // Label 16641: @1137179
     /* 1137179 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137259), // Rule ID 15146 //
     /* 1137184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137223 */     // MIs[0] round
     /* 1137223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1137236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137258 */     // GIR_Coverage, 15146,
     /* 1137258 */     GIR_EraseRootFromParent_Done,
     /* 1137259 */   // Label 16642: @1137259
     /* 1137259 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137339), // Rule ID 15149 //
     /* 1137264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137303 */     // MIs[0] round
     /* 1137303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137338 */     // GIR_Coverage, 15149,
     /* 1137338 */     GIR_EraseRootFromParent_Done,
     /* 1137339 */   // Label 16643: @1137339
     /* 1137339 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137419), // Rule ID 15150 //
     /* 1137344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137383 */     // MIs[0] round
     /* 1137383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1137396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137418 */     // GIR_Coverage, 15150,
     /* 1137418 */     GIR_EraseRootFromParent_Done,
     /* 1137419 */   // Label 16644: @1137419
     /* 1137419 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137499), // Rule ID 15153 //
     /* 1137424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137463 */     // MIs[0] round
     /* 1137463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137498 */     // GIR_Coverage, 15153,
     /* 1137498 */     GIR_EraseRootFromParent_Done,
     /* 1137499 */   // Label 16645: @1137499
     /* 1137499 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137579), // Rule ID 15154 //
     /* 1137504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137543 */     // MIs[0] round
     /* 1137543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1137556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137578 */     // GIR_Coverage, 15154,
     /* 1137578 */     GIR_EraseRootFromParent_Done,
     /* 1137579 */   // Label 16646: @1137579
     /* 1137579 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137659), // Rule ID 15157 //
     /* 1137584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137623 */     // MIs[0] round
     /* 1137623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1137636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137658 */     // GIR_Coverage, 15157,
     /* 1137658 */     GIR_EraseRootFromParent_Done,
     /* 1137659 */   // Label 16647: @1137659
     /* 1137659 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137739), // Rule ID 15158 //
     /* 1137664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137703 */     // MIs[0] round
     /* 1137703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1137716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137738 */     // GIR_Coverage, 15158,
     /* 1137738 */     GIR_EraseRootFromParent_Done,
     /* 1137739 */   // Label 16648: @1137739
     /* 1137739 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137819), // Rule ID 15161 //
     /* 1137744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137783 */     // MIs[0] round
     /* 1137783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1137796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137818 */     // GIR_Coverage, 15161,
     /* 1137818 */     GIR_EraseRootFromParent_Done,
     /* 1137819 */   // Label 16649: @1137819
     /* 1137819 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137899), // Rule ID 15162 //
     /* 1137824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137863 */     // MIs[0] round
     /* 1137863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1137876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137898 */     // GIR_Coverage, 15162,
     /* 1137898 */     GIR_EraseRootFromParent_Done,
     /* 1137899 */   // Label 16650: @1137899
     /* 1137899 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1137979), // Rule ID 15165 //
     /* 1137904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1137915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1137918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1137921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1137924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137943 */     // MIs[0] round
     /* 1137943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137953 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1137956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137978 */     // GIR_Coverage, 15165,
     /* 1137978 */     GIR_EraseRootFromParent_Done,
     /* 1137979 */   // Label 16651: @1137979
     /* 1137979 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1138059), // Rule ID 15166 //
     /* 1137984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1137995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1137998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1138004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138023 */     // MIs[0] round
     /* 1138023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138033 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138058 */     // GIR_Coverage, 15166,
     /* 1138058 */     GIR_EraseRootFromParent_Done,
     /* 1138059 */   // Label 16652: @1138059
     /* 1138059 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1138139), // Rule ID 15169 //
     /* 1138064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138103 */     // MIs[0] round
     /* 1138103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138113 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138138 */     // GIR_Coverage, 15169,
     /* 1138138 */     GIR_EraseRootFromParent_Done,
     /* 1138139 */   // Label 16653: @1138139
     /* 1138139 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138219), // Rule ID 15170 //
     /* 1138144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1138155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1138158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1138161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1138164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138183 */     // MIs[0] round
     /* 1138183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1138196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138218 */     // GIR_Coverage, 15170,
     /* 1138218 */     GIR_EraseRootFromParent_Done,
     /* 1138219 */   // Label 16654: @1138219
     /* 1138219 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138299), // Rule ID 15173 //
     /* 1138224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138263 */     // MIs[0] round
     /* 1138263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138298 */     // GIR_Coverage, 15173,
     /* 1138298 */     GIR_EraseRootFromParent_Done,
     /* 1138299 */   // Label 16655: @1138299
     /* 1138299 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138379), // Rule ID 15174 //
     /* 1138304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138343 */     // MIs[0] round
     /* 1138343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138353 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138378 */     // GIR_Coverage, 15174,
     /* 1138378 */     GIR_EraseRootFromParent_Done,
     /* 1138379 */   // Label 16656: @1138379
     /* 1138379 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138459), // Rule ID 15177 //
     /* 1138384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138423 */     // MIs[0] round
     /* 1138423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138458 */     // GIR_Coverage, 15177,
     /* 1138458 */     GIR_EraseRootFromParent_Done,
     /* 1138459 */   // Label 16657: @1138459
     /* 1138459 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138539), // Rule ID 15178 //
     /* 1138464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138503 */     // MIs[0] round
     /* 1138503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1138516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138538 */     // GIR_Coverage, 15178,
     /* 1138538 */     GIR_EraseRootFromParent_Done,
     /* 1138539 */   // Label 16658: @1138539
     /* 1138539 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138619), // Rule ID 15181 //
     /* 1138544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138583 */     // MIs[0] round
     /* 1138583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138618 */     // GIR_Coverage, 15181,
     /* 1138618 */     GIR_EraseRootFromParent_Done,
     /* 1138619 */   // Label 16659: @1138619
     /* 1138619 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138699), // Rule ID 15182 //
     /* 1138624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138663 */     // MIs[0] round
     /* 1138663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138698 */     // GIR_Coverage, 15182,
     /* 1138698 */     GIR_EraseRootFromParent_Done,
     /* 1138699 */   // Label 16660: @1138699
     /* 1138699 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138779), // Rule ID 15185 //
     /* 1138704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138743 */     // MIs[0] round
     /* 1138743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138778 */     // GIR_Coverage, 15185,
     /* 1138778 */     GIR_EraseRootFromParent_Done,
     /* 1138779 */   // Label 16661: @1138779
     /* 1138779 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138859), // Rule ID 15186 //
     /* 1138784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138823 */     // MIs[0] round
     /* 1138823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138858 */     // GIR_Coverage, 15186,
     /* 1138858 */     GIR_EraseRootFromParent_Done,
     /* 1138859 */   // Label 16662: @1138859
     /* 1138859 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138939), // Rule ID 15189 //
     /* 1138864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138903 */     // MIs[0] round
     /* 1138903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138938 */     // GIR_Coverage, 15189,
     /* 1138938 */     GIR_EraseRootFromParent_Done,
     /* 1138939 */   // Label 16663: @1138939
     /* 1138939 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1139019), // Rule ID 15190 //
     /* 1138944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138983 */     // MIs[0] round
     /* 1138983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1138996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139018 */     // GIR_Coverage, 15190,
     /* 1139018 */     GIR_EraseRootFromParent_Done,
     /* 1139019 */   // Label 16664: @1139019
     /* 1139019 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1139099), // Rule ID 15193 //
     /* 1139024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139063 */     // MIs[0] round
     /* 1139063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139098 */     // GIR_Coverage, 15193,
     /* 1139098 */     GIR_EraseRootFromParent_Done,
     /* 1139099 */   // Label 16665: @1139099
     /* 1139099 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139179), // Rule ID 15194 //
     /* 1139104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1139115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1139118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1139121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1139124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139143 */     // MIs[0] round
     /* 1139143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1139156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139178 */     // GIR_Coverage, 15194,
     /* 1139178 */     GIR_EraseRootFromParent_Done,
     /* 1139179 */   // Label 16666: @1139179
     /* 1139179 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139259), // Rule ID 15197 //
     /* 1139184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139223 */     // MIs[0] round
     /* 1139223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139258 */     // GIR_Coverage, 15197,
     /* 1139258 */     GIR_EraseRootFromParent_Done,
     /* 1139259 */   // Label 16667: @1139259
     /* 1139259 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139339), // Rule ID 15198 //
     /* 1139264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1139275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1139278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1139281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1139284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139303 */     // MIs[0] round
     /* 1139303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139313 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139338 */     // GIR_Coverage, 15198,
     /* 1139338 */     GIR_EraseRootFromParent_Done,
     /* 1139339 */   // Label 16668: @1139339
     /* 1139339 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139419), // Rule ID 15201 //
     /* 1139344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139383 */     // MIs[0] round
     /* 1139383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139393 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139418 */     // GIR_Coverage, 15201,
     /* 1139418 */     GIR_EraseRootFromParent_Done,
     /* 1139419 */   // Label 16669: @1139419
     /* 1139419 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139499), // Rule ID 15202 //
     /* 1139424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139463 */     // MIs[0] round
     /* 1139463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139498 */     // GIR_Coverage, 15202,
     /* 1139498 */     GIR_EraseRootFromParent_Done,
     /* 1139499 */   // Label 16670: @1139499
     /* 1139499 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139579), // Rule ID 15205 //
     /* 1139504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139543 */     // MIs[0] round
     /* 1139543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139553 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139578 */     // GIR_Coverage, 15205,
     /* 1139578 */     GIR_EraseRootFromParent_Done,
     /* 1139579 */   // Label 16671: @1139579
     /* 1139579 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139659), // Rule ID 15206 //
     /* 1139584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139623 */     // MIs[0] round
     /* 1139623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139658 */     // GIR_Coverage, 15206,
     /* 1139658 */     GIR_EraseRootFromParent_Done,
     /* 1139659 */   // Label 16672: @1139659
     /* 1139659 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139739), // Rule ID 15209 //
     /* 1139664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139703 */     // MIs[0] round
     /* 1139703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139713 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139738 */     // GIR_Coverage, 15209,
     /* 1139738 */     GIR_EraseRootFromParent_Done,
     /* 1139739 */   // Label 16673: @1139739
     /* 1139739 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139819), // Rule ID 15210 //
     /* 1139744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139783 */     // MIs[0] round
     /* 1139783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139818 */     // GIR_Coverage, 15210,
     /* 1139818 */     GIR_EraseRootFromParent_Done,
     /* 1139819 */   // Label 16674: @1139819
     /* 1139819 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139899), // Rule ID 15213 //
     /* 1139824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139863 */     // MIs[0] round
     /* 1139863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139873 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139898 */     // GIR_Coverage, 15213,
     /* 1139898 */     GIR_EraseRootFromParent_Done,
     /* 1139899 */   // Label 16675: @1139899
     /* 1139899 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1139979), // Rule ID 15214 //
     /* 1139904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139943 */     // MIs[0] round
     /* 1139943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139978 */     // GIR_Coverage, 15214,
     /* 1139978 */     GIR_EraseRootFromParent_Done,
     /* 1139979 */   // Label 16676: @1139979
     /* 1139979 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1140059), // Rule ID 15217 //
     /* 1139984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1139995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1139998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140023 */     // MIs[0] round
     /* 1140023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140058 */     // GIR_Coverage, 15217,
     /* 1140058 */     GIR_EraseRootFromParent_Done,
     /* 1140059 */   // Label 16677: @1140059
     /* 1140059 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1140139), // Rule ID 15218 //
     /* 1140064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1140075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1140078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1140081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1140084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140103 */     // MIs[0] round
     /* 1140103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140138 */     // GIR_Coverage, 15218,
     /* 1140138 */     GIR_EraseRootFromParent_Done,
     /* 1140139 */   // Label 16678: @1140139
     /* 1140139 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140219), // Rule ID 15221 //
     /* 1140144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140183 */     // MIs[0] round
     /* 1140183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140218 */     // GIR_Coverage, 15221,
     /* 1140218 */     GIR_EraseRootFromParent_Done,
     /* 1140219 */   // Label 16679: @1140219
     /* 1140219 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140299), // Rule ID 15222 //
     /* 1140224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1140235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1140238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1140241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1140244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140263 */     // MIs[0] round
     /* 1140263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140273 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140298 */     // GIR_Coverage, 15222,
     /* 1140298 */     GIR_EraseRootFromParent_Done,
     /* 1140299 */   // Label 16680: @1140299
     /* 1140299 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140379), // Rule ID 15225 //
     /* 1140304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140343 */     // MIs[0] round
     /* 1140343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140378 */     // GIR_Coverage, 15225,
     /* 1140378 */     GIR_EraseRootFromParent_Done,
     /* 1140379 */   // Label 16681: @1140379
     /* 1140379 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140459), // Rule ID 15226 //
     /* 1140384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140423 */     // MIs[0] round
     /* 1140423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140458 */     // GIR_Coverage, 15226,
     /* 1140458 */     GIR_EraseRootFromParent_Done,
     /* 1140459 */   // Label 16682: @1140459
     /* 1140459 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140539), // Rule ID 15229 //
     /* 1140464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140503 */     // MIs[0] round
     /* 1140503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140538 */     // GIR_Coverage, 15229,
     /* 1140538 */     GIR_EraseRootFromParent_Done,
     /* 1140539 */   // Label 16683: @1140539
     /* 1140539 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140619), // Rule ID 15230 //
     /* 1140544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140583 */     // MIs[0] round
     /* 1140583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140618 */     // GIR_Coverage, 15230,
     /* 1140618 */     GIR_EraseRootFromParent_Done,
     /* 1140619 */   // Label 16684: @1140619
     /* 1140619 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140699), // Rule ID 15233 //
     /* 1140624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140663 */     // MIs[0] round
     /* 1140663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140698 */     // GIR_Coverage, 15233,
     /* 1140698 */     GIR_EraseRootFromParent_Done,
     /* 1140699 */   // Label 16685: @1140699
     /* 1140699 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140779), // Rule ID 15234 //
     /* 1140704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140743 */     // MIs[0] round
     /* 1140743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1140756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140778 */     // GIR_Coverage, 15234,
     /* 1140778 */     GIR_EraseRootFromParent_Done,
     /* 1140779 */   // Label 16686: @1140779
     /* 1140779 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140859), // Rule ID 15237 //
     /* 1140784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140823 */     // MIs[0] round
     /* 1140823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140833 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140858 */     // GIR_Coverage, 15237,
     /* 1140858 */     GIR_EraseRootFromParent_Done,
     /* 1140859 */   // Label 16687: @1140859
     /* 1140859 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140939), // Rule ID 15238 //
     /* 1140864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140903 */     // MIs[0] round
     /* 1140903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140913 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1140916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140938 */     // GIR_Coverage, 15238,
     /* 1140938 */     GIR_EraseRootFromParent_Done,
     /* 1140939 */   // Label 16688: @1140939
     /* 1140939 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1141019), // Rule ID 15241 //
     /* 1140944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1140955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1140958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1140961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1140964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140983 */     // MIs[0] round
     /* 1140983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1140996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141018 */     // GIR_Coverage, 15241,
     /* 1141018 */     GIR_EraseRootFromParent_Done,
     /* 1141019 */   // Label 16689: @1141019
     /* 1141019 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1141099), // Rule ID 15242 //
     /* 1141024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1141035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1141038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1141041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1141044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141063 */     // MIs[0] round
     /* 1141063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1141076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141098 */     // GIR_Coverage, 15242,
     /* 1141098 */     GIR_EraseRootFromParent_Done,
     /* 1141099 */   // Label 16690: @1141099
     /* 1141099 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141179), // Rule ID 15245 //
     /* 1141104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141143 */     // MIs[0] round
     /* 1141143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141153 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141178 */     // GIR_Coverage, 15245,
     /* 1141178 */     GIR_EraseRootFromParent_Done,
     /* 1141179 */   // Label 16691: @1141179
     /* 1141179 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141259), // Rule ID 15246 //
     /* 1141184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1141195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1141198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1141201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141223 */     // MIs[0] round
     /* 1141223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1141236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141258 */     // GIR_Coverage, 15246,
     /* 1141258 */     GIR_EraseRootFromParent_Done,
     /* 1141259 */   // Label 16692: @1141259
     /* 1141259 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141339), // Rule ID 15249 //
     /* 1141264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141303 */     // MIs[0] round
     /* 1141303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141338 */     // GIR_Coverage, 15249,
     /* 1141338 */     GIR_EraseRootFromParent_Done,
     /* 1141339 */   // Label 16693: @1141339
     /* 1141339 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141419), // Rule ID 15250 //
     /* 1141344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141383 */     // MIs[0] round
     /* 1141383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141418 */     // GIR_Coverage, 15250,
     /* 1141418 */     GIR_EraseRootFromParent_Done,
     /* 1141419 */   // Label 16694: @1141419
     /* 1141419 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141499), // Rule ID 15253 //
     /* 1141424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141463 */     // MIs[0] round
     /* 1141463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141498 */     // GIR_Coverage, 15253,
     /* 1141498 */     GIR_EraseRootFromParent_Done,
     /* 1141499 */   // Label 16695: @1141499
     /* 1141499 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141579), // Rule ID 15254 //
     /* 1141504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141543 */     // MIs[0] round
     /* 1141543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141553 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141578 */     // GIR_Coverage, 15254,
     /* 1141578 */     GIR_EraseRootFromParent_Done,
     /* 1141579 */   // Label 16696: @1141579
     /* 1141579 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141659), // Rule ID 15257 //
     /* 1141584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141623 */     // MIs[0] round
     /* 1141623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141658 */     // GIR_Coverage, 15257,
     /* 1141658 */     GIR_EraseRootFromParent_Done,
     /* 1141659 */   // Label 16697: @1141659
     /* 1141659 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141739), // Rule ID 15258 //
     /* 1141664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141703 */     // MIs[0] round
     /* 1141703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141713 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1141716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141738 */     // GIR_Coverage, 15258,
     /* 1141738 */     GIR_EraseRootFromParent_Done,
     /* 1141739 */   // Label 16698: @1141739
     /* 1141739 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141819), // Rule ID 15261 //
     /* 1141744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141783 */     // MIs[0] round
     /* 1141783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141818 */     // GIR_Coverage, 15261,
     /* 1141818 */     GIR_EraseRootFromParent_Done,
     /* 1141819 */   // Label 16699: @1141819
     /* 1141819 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141899), // Rule ID 15262 //
     /* 1141824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141863 */     // MIs[0] round
     /* 1141863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141873 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141898 */     // GIR_Coverage, 15262,
     /* 1141898 */     GIR_EraseRootFromParent_Done,
     /* 1141899 */   // Label 16700: @1141899
     /* 1141899 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1141979), // Rule ID 15265 //
     /* 1141904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1141915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1141918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1141921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141943 */     // MIs[0] round
     /* 1141943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1141956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141978 */     // GIR_Coverage, 15265,
     /* 1141978 */     GIR_EraseRootFromParent_Done,
     /* 1141979 */   // Label 16701: @1141979
     /* 1141979 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1142059), // Rule ID 15266 //
     /* 1141984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1141995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1141998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142023 */     // MIs[0] round
     /* 1142023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1142036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142058 */     // GIR_Coverage, 15266,
     /* 1142058 */     GIR_EraseRootFromParent_Done,
     /* 1142059 */   // Label 16702: @1142059
     /* 1142059 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1142139), // Rule ID 15269 //
     /* 1142064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142103 */     // MIs[0] round
     /* 1142103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142138 */     // GIR_Coverage, 15269,
     /* 1142138 */     GIR_EraseRootFromParent_Done,
     /* 1142139 */   // Label 16703: @1142139
     /* 1142139 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142219), // Rule ID 15270 //
     /* 1142144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1142155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1142158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1142161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142183 */     // MIs[0] round
     /* 1142183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142218 */     // GIR_Coverage, 15270,
     /* 1142218 */     GIR_EraseRootFromParent_Done,
     /* 1142219 */   // Label 16704: @1142219
     /* 1142219 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142299), // Rule ID 15273 //
     /* 1142224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142263 */     // MIs[0] round
     /* 1142263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142298 */     // GIR_Coverage, 15273,
     /* 1142298 */     GIR_EraseRootFromParent_Done,
     /* 1142299 */   // Label 16705: @1142299
     /* 1142299 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142379), // Rule ID 15274 //
     /* 1142304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142343 */     // MIs[0] round
     /* 1142343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142378 */     // GIR_Coverage, 15274,
     /* 1142378 */     GIR_EraseRootFromParent_Done,
     /* 1142379 */   // Label 16706: @1142379
     /* 1142379 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142459), // Rule ID 15277 //
     /* 1142384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142423 */     // MIs[0] round
     /* 1142423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142458 */     // GIR_Coverage, 15277,
     /* 1142458 */     GIR_EraseRootFromParent_Done,
     /* 1142459 */   // Label 16707: @1142459
     /* 1142459 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142539), // Rule ID 15278 //
     /* 1142464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142503 */     // MIs[0] round
     /* 1142503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142538 */     // GIR_Coverage, 15278,
     /* 1142538 */     GIR_EraseRootFromParent_Done,
     /* 1142539 */   // Label 16708: @1142539
     /* 1142539 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142619), // Rule ID 15281 //
     /* 1142544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142583 */     // MIs[0] round
     /* 1142583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142618 */     // GIR_Coverage, 15281,
     /* 1142618 */     GIR_EraseRootFromParent_Done,
     /* 1142619 */   // Label 16709: @1142619
     /* 1142619 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142699), // Rule ID 15282 //
     /* 1142624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142663 */     // MIs[0] round
     /* 1142663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142698 */     // GIR_Coverage, 15282,
     /* 1142698 */     GIR_EraseRootFromParent_Done,
     /* 1142699 */   // Label 16710: @1142699
     /* 1142699 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142779), // Rule ID 15285 //
     /* 1142704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142743 */     // MIs[0] round
     /* 1142743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142778 */     // GIR_Coverage, 15285,
     /* 1142778 */     GIR_EraseRootFromParent_Done,
     /* 1142779 */   // Label 16711: @1142779
     /* 1142779 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142859), // Rule ID 15286 //
     /* 1142784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142823 */     // MIs[0] round
     /* 1142823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142858 */     // GIR_Coverage, 15286,
     /* 1142858 */     GIR_EraseRootFromParent_Done,
     /* 1142859 */   // Label 16712: @1142859
     /* 1142859 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142939), // Rule ID 15289 //
     /* 1142864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1142875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1142878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1142881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142903 */     // MIs[0] round
     /* 1142903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142938 */     // GIR_Coverage, 15289,
     /* 1142938 */     GIR_EraseRootFromParent_Done,
     /* 1142939 */   // Label 16713: @1142939
     /* 1142939 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1143019), // Rule ID 15290 //
     /* 1142944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1142955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1142958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1142961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142983 */     // MIs[0] round
     /* 1142983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143018 */     // GIR_Coverage, 15290,
     /* 1143018 */     GIR_EraseRootFromParent_Done,
     /* 1143019 */   // Label 16714: @1143019
     /* 1143019 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1143099), // Rule ID 15293 //
     /* 1143024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143063 */     // MIs[0] round
     /* 1143063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143098 */     // GIR_Coverage, 15293,
     /* 1143098 */     GIR_EraseRootFromParent_Done,
     /* 1143099 */   // Label 16715: @1143099
     /* 1143099 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143179), // Rule ID 15294 //
     /* 1143104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1143115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1143118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1143121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143143 */     // MIs[0] round
     /* 1143143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143153 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143178 */     // GIR_Coverage, 15294,
     /* 1143178 */     GIR_EraseRootFromParent_Done,
     /* 1143179 */   // Label 16716: @1143179
     /* 1143179 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143259), // Rule ID 15297 //
     /* 1143184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143223 */     // MIs[0] round
     /* 1143223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143258 */     // GIR_Coverage, 15297,
     /* 1143258 */     GIR_EraseRootFromParent_Done,
     /* 1143259 */   // Label 16717: @1143259
     /* 1143259 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143339), // Rule ID 15298 //
     /* 1143264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143303 */     // MIs[0] round
     /* 1143303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143338 */     // GIR_Coverage, 15298,
     /* 1143338 */     GIR_EraseRootFromParent_Done,
     /* 1143339 */   // Label 16718: @1143339
     /* 1143339 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143419), // Rule ID 15301 //
     /* 1143344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143383 */     // MIs[0] round
     /* 1143383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143418 */     // GIR_Coverage, 15301,
     /* 1143418 */     GIR_EraseRootFromParent_Done,
     /* 1143419 */   // Label 16719: @1143419
     /* 1143419 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143499), // Rule ID 15302 //
     /* 1143424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143463 */     // MIs[0] round
     /* 1143463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143498 */     // GIR_Coverage, 15302,
     /* 1143498 */     GIR_EraseRootFromParent_Done,
     /* 1143499 */   // Label 16720: @1143499
     /* 1143499 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143579), // Rule ID 15305 //
     /* 1143504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143543 */     // MIs[0] round
     /* 1143543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143578 */     // GIR_Coverage, 15305,
     /* 1143578 */     GIR_EraseRootFromParent_Done,
     /* 1143579 */   // Label 16721: @1143579
     /* 1143579 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143659), // Rule ID 15306 //
     /* 1143584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143623 */     // MIs[0] round
     /* 1143623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143658 */     // GIR_Coverage, 15306,
     /* 1143658 */     GIR_EraseRootFromParent_Done,
     /* 1143659 */   // Label 16722: @1143659
     /* 1143659 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143739), // Rule ID 15309 //
     /* 1143664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143703 */     // MIs[0] round
     /* 1143703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143738 */     // GIR_Coverage, 15309,
     /* 1143738 */     GIR_EraseRootFromParent_Done,
     /* 1143739 */   // Label 16723: @1143739
     /* 1143739 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143819), // Rule ID 15310 //
     /* 1143744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143783 */     // MIs[0] round
     /* 1143783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143818 */     // GIR_Coverage, 15310,
     /* 1143818 */     GIR_EraseRootFromParent_Done,
     /* 1143819 */   // Label 16724: @1143819
     /* 1143819 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143899), // Rule ID 15313 //
     /* 1143824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143863 */     // MIs[0] round
     /* 1143863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143898 */     // GIR_Coverage, 15313,
     /* 1143898 */     GIR_EraseRootFromParent_Done,
     /* 1143899 */   // Label 16725: @1143899
     /* 1143899 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1143979), // Rule ID 15314 //
     /* 1143904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143943 */     // MIs[0] round
     /* 1143943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143978 */     // GIR_Coverage, 15314,
     /* 1143978 */     GIR_EraseRootFromParent_Done,
     /* 1143979 */   // Label 16726: @1143979
     /* 1143979 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1144059), // Rule ID 15317 //
     /* 1143984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1143995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1143998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144023 */     // MIs[0] round
     /* 1144023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144058 */     // GIR_Coverage, 15317,
     /* 1144058 */     GIR_EraseRootFromParent_Done,
     /* 1144059 */   // Label 16727: @1144059
     /* 1144059 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1144139), // Rule ID 15318 //
     /* 1144064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144103 */     // MIs[0] round
     /* 1144103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144113 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144138 */     // GIR_Coverage, 15318,
     /* 1144138 */     GIR_EraseRootFromParent_Done,
     /* 1144139 */   // Label 16728: @1144139
     /* 1144139 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144219), // Rule ID 15321 //
     /* 1144144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144183 */     // MIs[0] round
     /* 1144183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144218 */     // GIR_Coverage, 15321,
     /* 1144218 */     GIR_EraseRootFromParent_Done,
     /* 1144219 */   // Label 16729: @1144219
     /* 1144219 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144299), // Rule ID 15322 //
     /* 1144224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144263 */     // MIs[0] round
     /* 1144263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1144276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144298 */     // GIR_Coverage, 15322,
     /* 1144298 */     GIR_EraseRootFromParent_Done,
     /* 1144299 */   // Label 16730: @1144299
     /* 1144299 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144379), // Rule ID 15325 //
     /* 1144304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144343 */     // MIs[0] round
     /* 1144343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144378 */     // GIR_Coverage, 15325,
     /* 1144378 */     GIR_EraseRootFromParent_Done,
     /* 1144379 */   // Label 16731: @1144379
     /* 1144379 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144459), // Rule ID 15326 //
     /* 1144384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144423 */     // MIs[0] round
     /* 1144423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1144436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144458 */     // GIR_Coverage, 15326,
     /* 1144458 */     GIR_EraseRootFromParent_Done,
     /* 1144459 */   // Label 16732: @1144459
     /* 1144459 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144539), // Rule ID 15329 //
     /* 1144464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144503 */     // MIs[0] round
     /* 1144503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144538 */     // GIR_Coverage, 15329,
     /* 1144538 */     GIR_EraseRootFromParent_Done,
     /* 1144539 */   // Label 16733: @1144539
     /* 1144539 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144619), // Rule ID 15330 //
     /* 1144544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144583 */     // MIs[0] round
     /* 1144583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1144596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144618 */     // GIR_Coverage, 15330,
     /* 1144618 */     GIR_EraseRootFromParent_Done,
     /* 1144619 */   // Label 16734: @1144619
     /* 1144619 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144699), // Rule ID 15333 //
     /* 1144624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144663 */     // MIs[0] round
     /* 1144663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1144676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144698 */     // GIR_Coverage, 15333,
     /* 1144698 */     GIR_EraseRootFromParent_Done,
     /* 1144699 */   // Label 16735: @1144699
     /* 1144699 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144779), // Rule ID 15334 //
     /* 1144704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144743 */     // MIs[0] round
     /* 1144743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144753 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1144756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144778 */     // GIR_Coverage, 15334,
     /* 1144778 */     GIR_EraseRootFromParent_Done,
     /* 1144779 */   // Label 16736: @1144779
     /* 1144779 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144859), // Rule ID 15337 //
     /* 1144784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144823 */     // MIs[0] round
     /* 1144823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1144836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144858 */     // GIR_Coverage, 15337,
     /* 1144858 */     GIR_EraseRootFromParent_Done,
     /* 1144859 */   // Label 16737: @1144859
     /* 1144859 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144939), // Rule ID 15338 //
     /* 1144864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144903 */     // MIs[0] round
     /* 1144903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144913 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1144916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144938 */     // GIR_Coverage, 15338,
     /* 1144938 */     GIR_EraseRootFromParent_Done,
     /* 1144939 */   // Label 16738: @1144939
     /* 1144939 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1145019), // Rule ID 15341 //
     /* 1144944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1144955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1144958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1144961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1144964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144983 */     // MIs[0] round
     /* 1144983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1144996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145018 */     // GIR_Coverage, 15341,
     /* 1145018 */     GIR_EraseRootFromParent_Done,
     /* 1145019 */   // Label 16739: @1145019
     /* 1145019 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1145099), // Rule ID 15342 //
     /* 1145024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1145035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1145038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1145041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1145044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145063 */     // MIs[0] round
     /* 1145063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145073 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145098 */     // GIR_Coverage, 15342,
     /* 1145098 */     GIR_EraseRootFromParent_Done,
     /* 1145099 */   // Label 16740: @1145099
     /* 1145099 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145179), // Rule ID 15345 //
     /* 1145104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145143 */     // MIs[0] round
     /* 1145143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145178 */     // GIR_Coverage, 15345,
     /* 1145178 */     GIR_EraseRootFromParent_Done,
     /* 1145179 */   // Label 16741: @1145179
     /* 1145179 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145259), // Rule ID 15346 //
     /* 1145184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1145195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1145198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1145201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1145204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145223 */     // MIs[0] round
     /* 1145223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1145236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145258 */     // GIR_Coverage, 15346,
     /* 1145258 */     GIR_EraseRootFromParent_Done,
     /* 1145259 */   // Label 16742: @1145259
     /* 1145259 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145339), // Rule ID 15349 //
     /* 1145264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145303 */     // MIs[0] round
     /* 1145303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145338 */     // GIR_Coverage, 15349,
     /* 1145338 */     GIR_EraseRootFromParent_Done,
     /* 1145339 */   // Label 16743: @1145339
     /* 1145339 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145419), // Rule ID 15350 //
     /* 1145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145383 */     // MIs[0] round
     /* 1145383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145418 */     // GIR_Coverage, 15350,
     /* 1145418 */     GIR_EraseRootFromParent_Done,
     /* 1145419 */   // Label 16744: @1145419
     /* 1145419 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145499), // Rule ID 15353 //
     /* 1145424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145463 */     // MIs[0] round
     /* 1145463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145498 */     // GIR_Coverage, 15353,
     /* 1145498 */     GIR_EraseRootFromParent_Done,
     /* 1145499 */   // Label 16745: @1145499
     /* 1145499 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145579), // Rule ID 15354 //
     /* 1145504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145543 */     // MIs[0] round
     /* 1145543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1145556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145578 */     // GIR_Coverage, 15354,
     /* 1145578 */     GIR_EraseRootFromParent_Done,
     /* 1145579 */   // Label 16746: @1145579
     /* 1145579 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145659), // Rule ID 15357 //
     /* 1145584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145623 */     // MIs[0] round
     /* 1145623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145658 */     // GIR_Coverage, 15357,
     /* 1145658 */     GIR_EraseRootFromParent_Done,
     /* 1145659 */   // Label 16747: @1145659
     /* 1145659 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145739), // Rule ID 15358 //
     /* 1145664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145703 */     // MIs[0] round
     /* 1145703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145713 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145738 */     // GIR_Coverage, 15358,
     /* 1145738 */     GIR_EraseRootFromParent_Done,
     /* 1145739 */   // Label 16748: @1145739
     /* 1145739 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145819), // Rule ID 15361 //
     /* 1145744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145783 */     // MIs[0] round
     /* 1145783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145818 */     // GIR_Coverage, 15361,
     /* 1145818 */     GIR_EraseRootFromParent_Done,
     /* 1145819 */   // Label 16749: @1145819
     /* 1145819 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145899), // Rule ID 15362 //
     /* 1145824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145863 */     // MIs[0] round
     /* 1145863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145898 */     // GIR_Coverage, 15362,
     /* 1145898 */     GIR_EraseRootFromParent_Done,
     /* 1145899 */   // Label 16750: @1145899
     /* 1145899 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1145979), // Rule ID 15365 //
     /* 1145904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1145924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145943 */     // MIs[0] round
     /* 1145943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145978 */     // GIR_Coverage, 15365,
     /* 1145978 */     GIR_EraseRootFromParent_Done,
     /* 1145979 */   // Label 16751: @1145979
     /* 1145979 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1146059), // Rule ID 15366 //
     /* 1145984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1146004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146023 */     // MIs[0] round
     /* 1146023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146058 */     // GIR_Coverage, 15366,
     /* 1146058 */     GIR_EraseRootFromParent_Done,
     /* 1146059 */   // Label 16752: @1146059
     /* 1146059 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146139), // Rule ID 15369 //
     /* 1146064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146103 */     // MIs[0] round
     /* 1146103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146138 */     // GIR_Coverage, 15369,
     /* 1146138 */     GIR_EraseRootFromParent_Done,
     /* 1146139 */   // Label 16753: @1146139
     /* 1146139 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146219), // Rule ID 15370 //
     /* 1146144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1146155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1146158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1146161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1146164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146183 */     // MIs[0] round
     /* 1146183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1146196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146218 */     // GIR_Coverage, 15370,
     /* 1146218 */     GIR_EraseRootFromParent_Done,
     /* 1146219 */   // Label 16754: @1146219
     /* 1146219 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146299), // Rule ID 15373 //
     /* 1146224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146263 */     // MIs[0] round
     /* 1146263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146298 */     // GIR_Coverage, 15373,
     /* 1146298 */     GIR_EraseRootFromParent_Done,
     /* 1146299 */   // Label 16755: @1146299
     /* 1146299 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146379), // Rule ID 15374 //
     /* 1146304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146343 */     // MIs[0] round
     /* 1146343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146378 */     // GIR_Coverage, 15374,
     /* 1146378 */     GIR_EraseRootFromParent_Done,
     /* 1146379 */   // Label 16756: @1146379
     /* 1146379 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146459), // Rule ID 15377 //
     /* 1146384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146423 */     // MIs[0] round
     /* 1146423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146458 */     // GIR_Coverage, 15377,
     /* 1146458 */     GIR_EraseRootFromParent_Done,
     /* 1146459 */   // Label 16757: @1146459
     /* 1146459 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146539), // Rule ID 15378 //
     /* 1146464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146503 */     // MIs[0] round
     /* 1146503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146538 */     // GIR_Coverage, 15378,
     /* 1146538 */     GIR_EraseRootFromParent_Done,
     /* 1146539 */   // Label 16758: @1146539
     /* 1146539 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146619), // Rule ID 15381 //
     /* 1146544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146583 */     // MIs[0] round
     /* 1146583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146593 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146618 */     // GIR_Coverage, 15381,
     /* 1146618 */     GIR_EraseRootFromParent_Done,
     /* 1146619 */   // Label 16759: @1146619
     /* 1146619 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146699), // Rule ID 15382 //
     /* 1146624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146663 */     // MIs[0] round
     /* 1146663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146673 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146698 */     // GIR_Coverage, 15382,
     /* 1146698 */     GIR_EraseRootFromParent_Done,
     /* 1146699 */   // Label 16760: @1146699
     /* 1146699 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146779), // Rule ID 15385 //
     /* 1146704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146743 */     // MIs[0] round
     /* 1146743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146778 */     // GIR_Coverage, 15385,
     /* 1146778 */     GIR_EraseRootFromParent_Done,
     /* 1146779 */   // Label 16761: @1146779
     /* 1146779 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146859), // Rule ID 15386 //
     /* 1146784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146823 */     // MIs[0] round
     /* 1146823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146858 */     // GIR_Coverage, 15386,
     /* 1146858 */     GIR_EraseRootFromParent_Done,
     /* 1146859 */   // Label 16762: @1146859
     /* 1146859 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146939), // Rule ID 15389 //
     /* 1146864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1146884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146903 */     // MIs[0] round
     /* 1146903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146938 */     // GIR_Coverage, 15389,
     /* 1146938 */     GIR_EraseRootFromParent_Done,
     /* 1146939 */   // Label 16763: @1146939
     /* 1146939 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1147019), // Rule ID 15390 //
     /* 1146944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1146964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146983 */     // MIs[0] round
     /* 1146983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146993 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147018 */     // GIR_Coverage, 15390,
     /* 1147018 */     GIR_EraseRootFromParent_Done,
     /* 1147019 */   // Label 16764: @1147019
     /* 1147019 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147099), // Rule ID 15393 //
     /* 1147024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147063 */     // MIs[0] round
     /* 1147063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147098 */     // GIR_Coverage, 15393,
     /* 1147098 */     GIR_EraseRootFromParent_Done,
     /* 1147099 */   // Label 16765: @1147099
     /* 1147099 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147179), // Rule ID 15394 //
     /* 1147104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1147115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1147118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1147121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1147124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147143 */     // MIs[0] round
     /* 1147143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147178 */     // GIR_Coverage, 15394,
     /* 1147178 */     GIR_EraseRootFromParent_Done,
     /* 1147179 */   // Label 16766: @1147179
     /* 1147179 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147259), // Rule ID 15397 //
     /* 1147184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147223 */     // MIs[0] round
     /* 1147223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147258 */     // GIR_Coverage, 15397,
     /* 1147258 */     GIR_EraseRootFromParent_Done,
     /* 1147259 */   // Label 16767: @1147259
     /* 1147259 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147339), // Rule ID 15398 //
     /* 1147264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147303 */     // MIs[0] round
     /* 1147303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147338 */     // GIR_Coverage, 15398,
     /* 1147338 */     GIR_EraseRootFromParent_Done,
     /* 1147339 */   // Label 16768: @1147339
     /* 1147339 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147419), // Rule ID 15401 //
     /* 1147344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147383 */     // MIs[0] round
     /* 1147383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147418 */     // GIR_Coverage, 15401,
     /* 1147418 */     GIR_EraseRootFromParent_Done,
     /* 1147419 */   // Label 16769: @1147419
     /* 1147419 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147499), // Rule ID 15402 //
     /* 1147424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147463 */     // MIs[0] round
     /* 1147463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147498 */     // GIR_Coverage, 15402,
     /* 1147498 */     GIR_EraseRootFromParent_Done,
     /* 1147499 */   // Label 16770: @1147499
     /* 1147499 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147579), // Rule ID 15405 //
     /* 1147504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147543 */     // MIs[0] round
     /* 1147543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147578 */     // GIR_Coverage, 15405,
     /* 1147578 */     GIR_EraseRootFromParent_Done,
     /* 1147579 */   // Label 16771: @1147579
     /* 1147579 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147659), // Rule ID 15406 //
     /* 1147584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147623 */     // MIs[0] round
     /* 1147623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1147636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147658 */     // GIR_Coverage, 15406,
     /* 1147658 */     GIR_EraseRootFromParent_Done,
     /* 1147659 */   // Label 16772: @1147659
     /* 1147659 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147739), // Rule ID 15409 //
     /* 1147664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147703 */     // MIs[0] round
     /* 1147703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147738 */     // GIR_Coverage, 15409,
     /* 1147738 */     GIR_EraseRootFromParent_Done,
     /* 1147739 */   // Label 16773: @1147739
     /* 1147739 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147819), // Rule ID 15410 //
     /* 1147744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147783 */     // MIs[0] round
     /* 1147783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1147796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147818 */     // GIR_Coverage, 15410,
     /* 1147818 */     GIR_EraseRootFromParent_Done,
     /* 1147819 */   // Label 16774: @1147819
     /* 1147819 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147899), // Rule ID 15413 //
     /* 1147824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147863 */     // MIs[0] round
     /* 1147863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147873 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147898 */     // GIR_Coverage, 15413,
     /* 1147898 */     GIR_EraseRootFromParent_Done,
     /* 1147899 */   // Label 16775: @1147899
     /* 1147899 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1147979), // Rule ID 15414 //
     /* 1147904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147943 */     // MIs[0] round
     /* 1147943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1147956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147978 */     // GIR_Coverage, 15414,
     /* 1147978 */     GIR_EraseRootFromParent_Done,
     /* 1147979 */   // Label 16776: @1147979
     /* 1147979 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1148059), // Rule ID 15417 //
     /* 1147984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1147995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1147998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148023 */     // MIs[0] round
     /* 1148023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148058 */     // GIR_Coverage, 15417,
     /* 1148058 */     GIR_EraseRootFromParent_Done,
     /* 1148059 */   // Label 16777: @1148059
     /* 1148059 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148139), // Rule ID 15418 //
     /* 1148064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1148075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1148078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1148081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1148084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148103 */     // MIs[0] round
     /* 1148103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1148116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148138 */     // GIR_Coverage, 15418,
     /* 1148138 */     GIR_EraseRootFromParent_Done,
     /* 1148139 */   // Label 16778: @1148139
     /* 1148139 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148219), // Rule ID 15421 //
     /* 1148144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148183 */     // MIs[0] round
     /* 1148183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148218 */     // GIR_Coverage, 15421,
     /* 1148218 */     GIR_EraseRootFromParent_Done,
     /* 1148219 */   // Label 16779: @1148219
     /* 1148219 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148299), // Rule ID 15422 //
     /* 1148224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148263 */     // MIs[0] round
     /* 1148263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1148276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148298 */     // GIR_Coverage, 15422,
     /* 1148298 */     GIR_EraseRootFromParent_Done,
     /* 1148299 */   // Label 16780: @1148299
     /* 1148299 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148379), // Rule ID 15425 //
     /* 1148304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148343 */     // MIs[0] round
     /* 1148343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148378 */     // GIR_Coverage, 15425,
     /* 1148378 */     GIR_EraseRootFromParent_Done,
     /* 1148379 */   // Label 16781: @1148379
     /* 1148379 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148459), // Rule ID 15426 //
     /* 1148384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148423 */     // MIs[0] round
     /* 1148423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148458 */     // GIR_Coverage, 15426,
     /* 1148458 */     GIR_EraseRootFromParent_Done,
     /* 1148459 */   // Label 16782: @1148459
     /* 1148459 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148539), // Rule ID 15429 //
     /* 1148464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148503 */     // MIs[0] round
     /* 1148503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148513 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148538 */     // GIR_Coverage, 15429,
     /* 1148538 */     GIR_EraseRootFromParent_Done,
     /* 1148539 */   // Label 16783: @1148539
     /* 1148539 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148619), // Rule ID 15430 //
     /* 1148544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148583 */     // MIs[0] round
     /* 1148583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148618 */     // GIR_Coverage, 15430,
     /* 1148618 */     GIR_EraseRootFromParent_Done,
     /* 1148619 */   // Label 16784: @1148619
     /* 1148619 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148699), // Rule ID 15433 //
     /* 1148624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148663 */     // MIs[0] round
     /* 1148663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148698 */     // GIR_Coverage, 15433,
     /* 1148698 */     GIR_EraseRootFromParent_Done,
     /* 1148699 */   // Label 16785: @1148699
     /* 1148699 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148779), // Rule ID 15434 //
     /* 1148704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148743 */     // MIs[0] round
     /* 1148743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1148756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148778 */     // GIR_Coverage, 15434,
     /* 1148778 */     GIR_EraseRootFromParent_Done,
     /* 1148779 */   // Label 16786: @1148779
     /* 1148779 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148859), // Rule ID 15437 //
     /* 1148784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148823 */     // MIs[0] round
     /* 1148823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148858 */     // GIR_Coverage, 15437,
     /* 1148858 */     GIR_EraseRootFromParent_Done,
     /* 1148859 */   // Label 16787: @1148859
     /* 1148859 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148939), // Rule ID 15438 //
     /* 1148864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148903 */     // MIs[0] round
     /* 1148903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148913 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148938 */     // GIR_Coverage, 15438,
     /* 1148938 */     GIR_EraseRootFromParent_Done,
     /* 1148939 */   // Label 16788: @1148939
     /* 1148939 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1149019), // Rule ID 15441 //
     /* 1148944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1148955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1148958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1148961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148983 */     // MIs[0] round
     /* 1148983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1148996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149018 */     // GIR_Coverage, 15441,
     /* 1149018 */     GIR_EraseRootFromParent_Done,
     /* 1149019 */   // Label 16789: @1149019
     /* 1149019 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149099), // Rule ID 15442 //
     /* 1149024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149063 */     // MIs[0] round
     /* 1149063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1149076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149098 */     // GIR_Coverage, 15442,
     /* 1149098 */     GIR_EraseRootFromParent_Done,
     /* 1149099 */   // Label 16790: @1149099
     /* 1149099 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149179), // Rule ID 15445 //
     /* 1149104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149143 */     // MIs[0] round
     /* 1149143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149178 */     // GIR_Coverage, 15445,
     /* 1149178 */     GIR_EraseRootFromParent_Done,
     /* 1149179 */   // Label 16791: @1149179
     /* 1149179 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149259), // Rule ID 15446 //
     /* 1149184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149223 */     // MIs[0] round
     /* 1149223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149258 */     // GIR_Coverage, 15446,
     /* 1149258 */     GIR_EraseRootFromParent_Done,
     /* 1149259 */   // Label 16792: @1149259
     /* 1149259 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149339), // Rule ID 15449 //
     /* 1149264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149303 */     // MIs[0] round
     /* 1149303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149338 */     // GIR_Coverage, 15449,
     /* 1149338 */     GIR_EraseRootFromParent_Done,
     /* 1149339 */   // Label 16793: @1149339
     /* 1149339 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149419), // Rule ID 15450 //
     /* 1149344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149383 */     // MIs[0] round
     /* 1149383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149418 */     // GIR_Coverage, 15450,
     /* 1149418 */     GIR_EraseRootFromParent_Done,
     /* 1149419 */   // Label 16794: @1149419
     /* 1149419 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149499), // Rule ID 15453 //
     /* 1149424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149463 */     // MIs[0] round
     /* 1149463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149498 */     // GIR_Coverage, 15453,
     /* 1149498 */     GIR_EraseRootFromParent_Done,
     /* 1149499 */   // Label 16795: @1149499
     /* 1149499 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149579), // Rule ID 15454 //
     /* 1149504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149543 */     // MIs[0] round
     /* 1149543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149578 */     // GIR_Coverage, 15454,
     /* 1149578 */     GIR_EraseRootFromParent_Done,
     /* 1149579 */   // Label 16796: @1149579
     /* 1149579 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149659), // Rule ID 15457 //
     /* 1149584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149623 */     // MIs[0] round
     /* 1149623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149658 */     // GIR_Coverage, 15457,
     /* 1149658 */     GIR_EraseRootFromParent_Done,
     /* 1149659 */   // Label 16797: @1149659
     /* 1149659 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149739), // Rule ID 15458 //
     /* 1149664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149703 */     // MIs[0] round
     /* 1149703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149713 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1149716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149738 */     // GIR_Coverage, 15458,
     /* 1149738 */     GIR_EraseRootFromParent_Done,
     /* 1149739 */   // Label 16798: @1149739
     /* 1149739 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149819), // Rule ID 15461 //
     /* 1149744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149783 */     // MIs[0] round
     /* 1149783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149818 */     // GIR_Coverage, 15461,
     /* 1149818 */     GIR_EraseRootFromParent_Done,
     /* 1149819 */   // Label 16799: @1149819
     /* 1149819 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149899), // Rule ID 15462 //
     /* 1149824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149863 */     // MIs[0] round
     /* 1149863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149898 */     // GIR_Coverage, 15462,
     /* 1149898 */     GIR_EraseRootFromParent_Done,
     /* 1149899 */   // Label 16800: @1149899
     /* 1149899 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1149979), // Rule ID 15465 //
     /* 1149904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1149915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1149918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1149921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149943 */     // MIs[0] round
     /* 1149943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1149956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149978 */     // GIR_Coverage, 15465,
     /* 1149978 */     GIR_EraseRootFromParent_Done,
     /* 1149979 */   // Label 16801: @1149979
     /* 1149979 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150059), // Rule ID 15466 //
     /* 1149984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1149995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1149998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150023 */     // MIs[0] round
     /* 1150023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150058 */     // GIR_Coverage, 15466,
     /* 1150058 */     GIR_EraseRootFromParent_Done,
     /* 1150059 */   // Label 16802: @1150059
     /* 1150059 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150139), // Rule ID 15469 //
     /* 1150064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150103 */     // MIs[0] round
     /* 1150103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150113 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150138 */     // GIR_Coverage, 15469,
     /* 1150138 */     GIR_EraseRootFromParent_Done,
     /* 1150139 */   // Label 16803: @1150139
     /* 1150139 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150219), // Rule ID 15470 //
     /* 1150144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150183 */     // MIs[0] round
     /* 1150183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150218 */     // GIR_Coverage, 15470,
     /* 1150218 */     GIR_EraseRootFromParent_Done,
     /* 1150219 */   // Label 16804: @1150219
     /* 1150219 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150299), // Rule ID 15473 //
     /* 1150224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150263 */     // MIs[0] round
     /* 1150263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150298 */     // GIR_Coverage, 15473,
     /* 1150298 */     GIR_EraseRootFromParent_Done,
     /* 1150299 */   // Label 16805: @1150299
     /* 1150299 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150379), // Rule ID 15474 //
     /* 1150304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150343 */     // MIs[0] round
     /* 1150343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150378 */     // GIR_Coverage, 15474,
     /* 1150378 */     GIR_EraseRootFromParent_Done,
     /* 1150379 */   // Label 16806: @1150379
     /* 1150379 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150459), // Rule ID 15477 //
     /* 1150384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150423 */     // MIs[0] round
     /* 1150423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150433 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150458 */     // GIR_Coverage, 15477,
     /* 1150458 */     GIR_EraseRootFromParent_Done,
     /* 1150459 */   // Label 16807: @1150459
     /* 1150459 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150539), // Rule ID 15478 //
     /* 1150464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150503 */     // MIs[0] round
     /* 1150503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150538 */     // GIR_Coverage, 15478,
     /* 1150538 */     GIR_EraseRootFromParent_Done,
     /* 1150539 */   // Label 16808: @1150539
     /* 1150539 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150619), // Rule ID 15481 //
     /* 1150544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150583 */     // MIs[0] round
     /* 1150583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150618 */     // GIR_Coverage, 15481,
     /* 1150618 */     GIR_EraseRootFromParent_Done,
     /* 1150619 */   // Label 16809: @1150619
     /* 1150619 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150699), // Rule ID 15482 //
     /* 1150624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150663 */     // MIs[0] round
     /* 1150663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150698 */     // GIR_Coverage, 15482,
     /* 1150698 */     GIR_EraseRootFromParent_Done,
     /* 1150699 */   // Label 16810: @1150699
     /* 1150699 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150779), // Rule ID 15485 //
     /* 1150704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150743 */     // MIs[0] round
     /* 1150743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150778 */     // GIR_Coverage, 15485,
     /* 1150778 */     GIR_EraseRootFromParent_Done,
     /* 1150779 */   // Label 16811: @1150779
     /* 1150779 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150859), // Rule ID 15486 //
     /* 1150784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150823 */     // MIs[0] round
     /* 1150823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150858 */     // GIR_Coverage, 15486,
     /* 1150858 */     GIR_EraseRootFromParent_Done,
     /* 1150859 */   // Label 16812: @1150859
     /* 1150859 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150939), // Rule ID 15489 //
     /* 1150864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150903 */     // MIs[0] round
     /* 1150903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150913 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150938 */     // GIR_Coverage, 15489,
     /* 1150938 */     GIR_EraseRootFromParent_Done,
     /* 1150939 */   // Label 16813: @1150939
     /* 1150939 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151019), // Rule ID 15490 //
     /* 1150944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150983 */     // MIs[0] round
     /* 1150983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151018 */     // GIR_Coverage, 15490,
     /* 1151018 */     GIR_EraseRootFromParent_Done,
     /* 1151019 */   // Label 16814: @1151019
     /* 1151019 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151099), // Rule ID 15493 //
     /* 1151024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151063 */     // MIs[0] round
     /* 1151063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151098 */     // GIR_Coverage, 15493,
     /* 1151098 */     GIR_EraseRootFromParent_Done,
     /* 1151099 */   // Label 16815: @1151099
     /* 1151099 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151179), // Rule ID 15494 //
     /* 1151104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151143 */     // MIs[0] round
     /* 1151143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151178 */     // GIR_Coverage, 15494,
     /* 1151178 */     GIR_EraseRootFromParent_Done,
     /* 1151179 */   // Label 16816: @1151179
     /* 1151179 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151259), // Rule ID 15497 //
     /* 1151184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151223 */     // MIs[0] round
     /* 1151223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151258 */     // GIR_Coverage, 15497,
     /* 1151258 */     GIR_EraseRootFromParent_Done,
     /* 1151259 */   // Label 16817: @1151259
     /* 1151259 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151339), // Rule ID 15498 //
     /* 1151264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151303 */     // MIs[0] round
     /* 1151303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1151316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151338 */     // GIR_Coverage, 15498,
     /* 1151338 */     GIR_EraseRootFromParent_Done,
     /* 1151339 */   // Label 16818: @1151339
     /* 1151339 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151419), // Rule ID 15501 //
     /* 1151344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151383 */     // MIs[0] round
     /* 1151383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151418 */     // GIR_Coverage, 15501,
     /* 1151418 */     GIR_EraseRootFromParent_Done,
     /* 1151419 */   // Label 16819: @1151419
     /* 1151419 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151499), // Rule ID 15502 //
     /* 1151424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151463 */     // MIs[0] round
     /* 1151463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1151476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151498 */     // GIR_Coverage, 15502,
     /* 1151498 */     GIR_EraseRootFromParent_Done,
     /* 1151499 */   // Label 16820: @1151499
     /* 1151499 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151579), // Rule ID 15505 //
     /* 1151504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151543 */     // MIs[0] round
     /* 1151543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151578 */     // GIR_Coverage, 15505,
     /* 1151578 */     GIR_EraseRootFromParent_Done,
     /* 1151579 */   // Label 16821: @1151579
     /* 1151579 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151659), // Rule ID 15506 //
     /* 1151584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151623 */     // MIs[0] round
     /* 1151623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1151636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151658 */     // GIR_Coverage, 15506,
     /* 1151658 */     GIR_EraseRootFromParent_Done,
     /* 1151659 */   // Label 16822: @1151659
     /* 1151659 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151742), // Rule ID 15509 //
     /* 1151664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1151675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1151678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1151681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1151684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151703 */     // MIs[0] round
     /* 1151703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1151716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151741 */     // GIR_Coverage, 15509,
     /* 1151741 */     GIR_EraseRootFromParent_Done,
     /* 1151742 */   // Label 16823: @1151742
     /* 1151742 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151825), // Rule ID 15510 //
     /* 1151747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1151758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1151761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1151764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1151767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151786 */     // MIs[0] round
     /* 1151786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1151799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151824 */     // GIR_Coverage, 15510,
     /* 1151824 */     GIR_EraseRootFromParent_Done,
     /* 1151825 */   // Label 16824: @1151825
     /* 1151825 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151908), // Rule ID 15513 //
     /* 1151830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1151841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1151844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151869 */     // MIs[0] round
     /* 1151869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151879 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1151882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151907 */     // GIR_Coverage, 15513,
     /* 1151907 */     GIR_EraseRootFromParent_Done,
     /* 1151908 */   // Label 16825: @1151908
     /* 1151908 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1151991), // Rule ID 15514 //
     /* 1151913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1151924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1151927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151952 */     // MIs[0] round
     /* 1151952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1151965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151990 */     // GIR_Coverage, 15514,
     /* 1151990 */     GIR_EraseRootFromParent_Done,
     /* 1151991 */   // Label 16826: @1151991
     /* 1151991 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152074), // Rule ID 15517 //
     /* 1151996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152035 */     // MIs[0] round
     /* 1152035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152045 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152073 */     // GIR_Coverage, 15517,
     /* 1152073 */     GIR_EraseRootFromParent_Done,
     /* 1152074 */   // Label 16827: @1152074
     /* 1152074 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152157), // Rule ID 15518 //
     /* 1152079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1152090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1152093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1152096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1152099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152118 */     // MIs[0] round
     /* 1152118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152156 */     // GIR_Coverage, 15518,
     /* 1152156 */     GIR_EraseRootFromParent_Done,
     /* 1152157 */   // Label 16828: @1152157
     /* 1152157 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152240), // Rule ID 15521 //
     /* 1152162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152201 */     // MIs[0] round
     /* 1152201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152211 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152239 */     // GIR_Coverage, 15521,
     /* 1152239 */     GIR_EraseRootFromParent_Done,
     /* 1152240 */   // Label 16829: @1152240
     /* 1152240 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152323), // Rule ID 15522 //
     /* 1152245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1152256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1152259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1152262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1152265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152284 */     // MIs[0] round
     /* 1152284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1152297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152322 */     // GIR_Coverage, 15522,
     /* 1152322 */     GIR_EraseRootFromParent_Done,
     /* 1152323 */   // Label 16830: @1152323
     /* 1152323 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152406), // Rule ID 15525 //
     /* 1152328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152367 */     // MIs[0] round
     /* 1152367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152405 */     // GIR_Coverage, 15525,
     /* 1152405 */     GIR_EraseRootFromParent_Done,
     /* 1152406 */   // Label 16831: @1152406
     /* 1152406 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152489), // Rule ID 15526 //
     /* 1152411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1152422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1152425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152450 */     // MIs[0] round
     /* 1152450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152460 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152488 */     // GIR_Coverage, 15526,
     /* 1152488 */     GIR_EraseRootFromParent_Done,
     /* 1152489 */   // Label 16832: @1152489
     /* 1152489 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152572), // Rule ID 15529 //
     /* 1152494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152533 */     // MIs[0] round
     /* 1152533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152543 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152571 */     // GIR_Coverage, 15529,
     /* 1152571 */     GIR_EraseRootFromParent_Done,
     /* 1152572 */   // Label 16833: @1152572
     /* 1152572 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152655), // Rule ID 15530 //
     /* 1152577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1152588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1152591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152616 */     // MIs[0] round
     /* 1152616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1152629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152654 */     // GIR_Coverage, 15530,
     /* 1152654 */     GIR_EraseRootFromParent_Done,
     /* 1152655 */   // Label 16834: @1152655
     /* 1152655 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152738), // Rule ID 15533 //
     /* 1152660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1152671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1152674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152699 */     // MIs[0] round
     /* 1152699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152737 */     // GIR_Coverage, 15533,
     /* 1152737 */     GIR_EraseRootFromParent_Done,
     /* 1152738 */   // Label 16835: @1152738
     /* 1152738 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152821), // Rule ID 15534 //
     /* 1152743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1152754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1152757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152782 */     // MIs[0] round
     /* 1152782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152820 */     // GIR_Coverage, 15534,
     /* 1152820 */     GIR_EraseRootFromParent_Done,
     /* 1152821 */   // Label 16836: @1152821
     /* 1152821 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152904), // Rule ID 15537 //
     /* 1152826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152865 */     // MIs[0] round
     /* 1152865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152903 */     // GIR_Coverage, 15537,
     /* 1152903 */     GIR_EraseRootFromParent_Done,
     /* 1152904 */   // Label 16837: @1152904
     /* 1152904 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1152987), // Rule ID 15538 //
     /* 1152909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152948 */     // MIs[0] round
     /* 1152948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1152961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152986 */     // GIR_Coverage, 15538,
     /* 1152986 */     GIR_EraseRootFromParent_Done,
     /* 1152987 */   // Label 16838: @1152987
     /* 1152987 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153070), // Rule ID 15541 //
     /* 1152992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153031 */     // MIs[0] round
     /* 1153031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153069 */     // GIR_Coverage, 15541,
     /* 1153069 */     GIR_EraseRootFromParent_Done,
     /* 1153070 */   // Label 16839: @1153070
     /* 1153070 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153153), // Rule ID 15542 //
     /* 1153075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153114 */     // MIs[0] round
     /* 1153114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1153127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153152 */     // GIR_Coverage, 15542,
     /* 1153152 */     GIR_EraseRootFromParent_Done,
     /* 1153153 */   // Label 16840: @1153153
     /* 1153153 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153236), // Rule ID 15545 //
     /* 1153158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153197 */     // MIs[0] round
     /* 1153197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153235 */     // GIR_Coverage, 15545,
     /* 1153235 */     GIR_EraseRootFromParent_Done,
     /* 1153236 */   // Label 16841: @1153236
     /* 1153236 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153319), // Rule ID 15546 //
     /* 1153241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1153252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1153255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153280 */     // MIs[0] round
     /* 1153280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153290 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153318 */     // GIR_Coverage, 15546,
     /* 1153318 */     GIR_EraseRootFromParent_Done,
     /* 1153319 */   // Label 16842: @1153319
     /* 1153319 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153402), // Rule ID 15549 //
     /* 1153324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153363 */     // MIs[0] round
     /* 1153363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153401 */     // GIR_Coverage, 15549,
     /* 1153401 */     GIR_EraseRootFromParent_Done,
     /* 1153402 */   // Label 16843: @1153402
     /* 1153402 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153485), // Rule ID 15550 //
     /* 1153407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1153418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1153421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153446 */     // MIs[0] round
     /* 1153446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153484 */     // GIR_Coverage, 15550,
     /* 1153484 */     GIR_EraseRootFromParent_Done,
     /* 1153485 */   // Label 16844: @1153485
     /* 1153485 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153568), // Rule ID 15553 //
     /* 1153490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153529 */     // MIs[0] round
     /* 1153529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153539 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153567 */     // GIR_Coverage, 15553,
     /* 1153567 */     GIR_EraseRootFromParent_Done,
     /* 1153568 */   // Label 16845: @1153568
     /* 1153568 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153651), // Rule ID 15554 //
     /* 1153573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1153584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1153587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153612 */     // MIs[0] round
     /* 1153612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153650 */     // GIR_Coverage, 15554,
     /* 1153650 */     GIR_EraseRootFromParent_Done,
     /* 1153651 */   // Label 16846: @1153651
     /* 1153651 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153734), // Rule ID 15557 //
     /* 1153656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1153667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1153670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153695 */     // MIs[0] round
     /* 1153695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153733 */     // GIR_Coverage, 15557,
     /* 1153733 */     GIR_EraseRootFromParent_Done,
     /* 1153734 */   // Label 16847: @1153734
     /* 1153734 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153817), // Rule ID 15558 //
     /* 1153739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1153750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1153753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153778 */     // MIs[0] round
     /* 1153778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153816 */     // GIR_Coverage, 15558,
     /* 1153816 */     GIR_EraseRootFromParent_Done,
     /* 1153817 */   // Label 16848: @1153817
     /* 1153817 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153900), // Rule ID 15561 //
     /* 1153822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1153833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1153836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153861 */     // MIs[0] round
     /* 1153861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153899 */     // GIR_Coverage, 15561,
     /* 1153899 */     GIR_EraseRootFromParent_Done,
     /* 1153900 */   // Label 16849: @1153900
     /* 1153900 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1153983), // Rule ID 15562 //
     /* 1153905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1153916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1153919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153944 */     // MIs[0] round
     /* 1153944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153982 */     // GIR_Coverage, 15562,
     /* 1153982 */     GIR_EraseRootFromParent_Done,
     /* 1153983 */   // Label 16850: @1153983
     /* 1153983 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154066), // Rule ID 15565 //
     /* 1153988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1153999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154027 */     // MIs[0] round
     /* 1154027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154037 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154065 */     // GIR_Coverage, 15565,
     /* 1154065 */     GIR_EraseRootFromParent_Done,
     /* 1154066 */   // Label 16851: @1154066
     /* 1154066 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154149), // Rule ID 15566 //
     /* 1154071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1154082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1154085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1154088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1154091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154110 */     // MIs[0] round
     /* 1154110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154148 */     // GIR_Coverage, 15566,
     /* 1154148 */     GIR_EraseRootFromParent_Done,
     /* 1154149 */   // Label 16852: @1154149
     /* 1154149 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154232), // Rule ID 15569 //
     /* 1154154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154193 */     // MIs[0] round
     /* 1154193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154231 */     // GIR_Coverage, 15569,
     /* 1154231 */     GIR_EraseRootFromParent_Done,
     /* 1154232 */   // Label 16853: @1154232
     /* 1154232 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154315), // Rule ID 15570 //
     /* 1154237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1154248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1154251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154276 */     // MIs[0] round
     /* 1154276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1154289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154314 */     // GIR_Coverage, 15570,
     /* 1154314 */     GIR_EraseRootFromParent_Done,
     /* 1154315 */   // Label 16854: @1154315
     /* 1154315 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154398), // Rule ID 15573 //
     /* 1154320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154359 */     // MIs[0] round
     /* 1154359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154369 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154397 */     // GIR_Coverage, 15573,
     /* 1154397 */     GIR_EraseRootFromParent_Done,
     /* 1154398 */   // Label 16855: @1154398
     /* 1154398 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154481), // Rule ID 15574 //
     /* 1154403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1154414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1154417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154442 */     // MIs[0] round
     /* 1154442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1154455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154480 */     // GIR_Coverage, 15574,
     /* 1154480 */     GIR_EraseRootFromParent_Done,
     /* 1154481 */   // Label 16856: @1154481
     /* 1154481 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154564), // Rule ID 15577 //
     /* 1154486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154525 */     // MIs[0] round
     /* 1154525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154535 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154563 */     // GIR_Coverage, 15577,
     /* 1154563 */     GIR_EraseRootFromParent_Done,
     /* 1154564 */   // Label 16857: @1154564
     /* 1154564 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154647), // Rule ID 15578 //
     /* 1154569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1154580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1154583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154608 */     // MIs[0] round
     /* 1154608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1154621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154646 */     // GIR_Coverage, 15578,
     /* 1154646 */     GIR_EraseRootFromParent_Done,
     /* 1154647 */   // Label 16858: @1154647
     /* 1154647 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154730), // Rule ID 15581 //
     /* 1154652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154691 */     // MIs[0] round
     /* 1154691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154701 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1154704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154729 */     // GIR_Coverage, 15581,
     /* 1154729 */     GIR_EraseRootFromParent_Done,
     /* 1154730 */   // Label 16859: @1154730
     /* 1154730 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154813), // Rule ID 15582 //
     /* 1154735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154774 */     // MIs[0] round
     /* 1154774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1154787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154812 */     // GIR_Coverage, 15582,
     /* 1154812 */     GIR_EraseRootFromParent_Done,
     /* 1154813 */   // Label 16860: @1154813
     /* 1154813 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154896), // Rule ID 15585 //
     /* 1154818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154857 */     // MIs[0] round
     /* 1154857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1154870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154895 */     // GIR_Coverage, 15585,
     /* 1154895 */     GIR_EraseRootFromParent_Done,
     /* 1154896 */   // Label 16861: @1154896
     /* 1154896 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1154979), // Rule ID 15586 //
     /* 1154901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154940 */     // MIs[0] round
     /* 1154940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1154953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154978 */     // GIR_Coverage, 15586,
     /* 1154978 */     GIR_EraseRootFromParent_Done,
     /* 1154979 */   // Label 16862: @1154979
     /* 1154979 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155062), // Rule ID 15589 //
     /* 1154984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1154995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1154998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155023 */     // MIs[0] round
     /* 1155023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155033 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155061 */     // GIR_Coverage, 15589,
     /* 1155061 */     GIR_EraseRootFromParent_Done,
     /* 1155062 */   // Label 16863: @1155062
     /* 1155062 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155145), // Rule ID 15590 //
     /* 1155067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1155078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1155081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155106 */     // MIs[0] round
     /* 1155106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155116 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155144 */     // GIR_Coverage, 15590,
     /* 1155144 */     GIR_EraseRootFromParent_Done,
     /* 1155145 */   // Label 16864: @1155145
     /* 1155145 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155228), // Rule ID 15593 //
     /* 1155150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155189 */     // MIs[0] round
     /* 1155189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155199 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155227 */     // GIR_Coverage, 15593,
     /* 1155227 */     GIR_EraseRootFromParent_Done,
     /* 1155228 */   // Label 16865: @1155228
     /* 1155228 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155311), // Rule ID 15594 //
     /* 1155233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1155244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1155247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155272 */     // MIs[0] round
     /* 1155272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1155285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155310 */     // GIR_Coverage, 15594,
     /* 1155310 */     GIR_EraseRootFromParent_Done,
     /* 1155311 */   // Label 16866: @1155311
     /* 1155311 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155394), // Rule ID 15597 //
     /* 1155316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155355 */     // MIs[0] round
     /* 1155355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155365 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155393 */     // GIR_Coverage, 15597,
     /* 1155393 */     GIR_EraseRootFromParent_Done,
     /* 1155394 */   // Label 16867: @1155394
     /* 1155394 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155477), // Rule ID 15598 //
     /* 1155399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1155410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1155413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155438 */     // MIs[0] round
     /* 1155438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155476 */     // GIR_Coverage, 15598,
     /* 1155476 */     GIR_EraseRootFromParent_Done,
     /* 1155477 */   // Label 16868: @1155477
     /* 1155477 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155560), // Rule ID 15601 //
     /* 1155482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155521 */     // MIs[0] round
     /* 1155521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155559 */     // GIR_Coverage, 15601,
     /* 1155559 */     GIR_EraseRootFromParent_Done,
     /* 1155560 */   // Label 16869: @1155560
     /* 1155560 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155643), // Rule ID 15602 //
     /* 1155565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1155576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1155579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155604 */     // MIs[0] round
     /* 1155604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1155617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155642 */     // GIR_Coverage, 15602,
     /* 1155642 */     GIR_EraseRootFromParent_Done,
     /* 1155643 */   // Label 16870: @1155643
     /* 1155643 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155726), // Rule ID 15605 //
     /* 1155648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155687 */     // MIs[0] round
     /* 1155687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155725 */     // GIR_Coverage, 15605,
     /* 1155725 */     GIR_EraseRootFromParent_Done,
     /* 1155726 */   // Label 16871: @1155726
     /* 1155726 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155809), // Rule ID 15606 //
     /* 1155731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155770 */     // MIs[0] round
     /* 1155770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155808 */     // GIR_Coverage, 15606,
     /* 1155808 */     GIR_EraseRootFromParent_Done,
     /* 1155809 */   // Label 16872: @1155809
     /* 1155809 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155892), // Rule ID 15609 //
     /* 1155814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155853 */     // MIs[0] round
     /* 1155853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155863 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155891 */     // GIR_Coverage, 15609,
     /* 1155891 */     GIR_EraseRootFromParent_Done,
     /* 1155892 */   // Label 16873: @1155892
     /* 1155892 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1155975), // Rule ID 15610 //
     /* 1155897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155936 */     // MIs[0] round
     /* 1155936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1155949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155974 */     // GIR_Coverage, 15610,
     /* 1155974 */     GIR_EraseRootFromParent_Done,
     /* 1155975 */   // Label 16874: @1155975
     /* 1155975 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156058), // Rule ID 15613 //
     /* 1155980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1155997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156019 */     // MIs[0] round
     /* 1156019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156057 */     // GIR_Coverage, 15613,
     /* 1156057 */     GIR_EraseRootFromParent_Done,
     /* 1156058 */   // Label 16875: @1156058
     /* 1156058 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156141), // Rule ID 15614 //
     /* 1156063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156102 */     // MIs[0] round
     /* 1156102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1156115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156140 */     // GIR_Coverage, 15614,
     /* 1156140 */     GIR_EraseRootFromParent_Done,
     /* 1156141 */   // Label 16876: @1156141
     /* 1156141 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156224), // Rule ID 15617 //
     /* 1156146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156185 */     // MIs[0] round
     /* 1156185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156223 */     // GIR_Coverage, 15617,
     /* 1156223 */     GIR_EraseRootFromParent_Done,
     /* 1156224 */   // Label 16877: @1156224
     /* 1156224 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156307), // Rule ID 15618 //
     /* 1156229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1156240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1156243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156268 */     // MIs[0] round
     /* 1156268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156306 */     // GIR_Coverage, 15618,
     /* 1156306 */     GIR_EraseRootFromParent_Done,
     /* 1156307 */   // Label 16878: @1156307
     /* 1156307 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156390), // Rule ID 15621 //
     /* 1156312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156351 */     // MIs[0] round
     /* 1156351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156389 */     // GIR_Coverage, 15621,
     /* 1156389 */     GIR_EraseRootFromParent_Done,
     /* 1156390 */   // Label 16879: @1156390
     /* 1156390 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156473), // Rule ID 15622 //
     /* 1156395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1156406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1156409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156434 */     // MIs[0] round
     /* 1156434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156472 */     // GIR_Coverage, 15622,
     /* 1156472 */     GIR_EraseRootFromParent_Done,
     /* 1156473 */   // Label 16880: @1156473
     /* 1156473 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156556), // Rule ID 15625 //
     /* 1156478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156517 */     // MIs[0] round
     /* 1156517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156555 */     // GIR_Coverage, 15625,
     /* 1156555 */     GIR_EraseRootFromParent_Done,
     /* 1156556 */   // Label 16881: @1156556
     /* 1156556 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156639), // Rule ID 15626 //
     /* 1156561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156600 */     // MIs[0] round
     /* 1156600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156610 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156638 */     // GIR_Coverage, 15626,
     /* 1156638 */     GIR_EraseRootFromParent_Done,
     /* 1156639 */   // Label 16882: @1156639
     /* 1156639 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156722), // Rule ID 15629 //
     /* 1156644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156683 */     // MIs[0] round
     /* 1156683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156721 */     // GIR_Coverage, 15629,
     /* 1156721 */     GIR_EraseRootFromParent_Done,
     /* 1156722 */   // Label 16883: @1156722
     /* 1156722 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156805), // Rule ID 15630 //
     /* 1156727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156766 */     // MIs[0] round
     /* 1156766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156804 */     // GIR_Coverage, 15630,
     /* 1156804 */     GIR_EraseRootFromParent_Done,
     /* 1156805 */   // Label 16884: @1156805
     /* 1156805 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156888), // Rule ID 15633 //
     /* 1156810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156849 */     // MIs[0] round
     /* 1156849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156887 */     // GIR_Coverage, 15633,
     /* 1156887 */     GIR_EraseRootFromParent_Done,
     /* 1156888 */   // Label 16885: @1156888
     /* 1156888 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1156971), // Rule ID 15634 //
     /* 1156893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156932 */     // MIs[0] round
     /* 1156932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156970 */     // GIR_Coverage, 15634,
     /* 1156970 */     GIR_EraseRootFromParent_Done,
     /* 1156971 */   // Label 16886: @1156971
     /* 1156971 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1157054), // Rule ID 15637 //
     /* 1156976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1156987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1156990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1156993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157015 */     // MIs[0] round
     /* 1157015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157053 */     // GIR_Coverage, 15637,
     /* 1157053 */     GIR_EraseRootFromParent_Done,
     /* 1157054 */   // Label 16887: @1157054
     /* 1157054 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157137), // Rule ID 15638 //
     /* 1157059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1157070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1157073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157098 */     // MIs[0] round
     /* 1157098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157136 */     // GIR_Coverage, 15638,
     /* 1157136 */     GIR_EraseRootFromParent_Done,
     /* 1157137 */   // Label 16888: @1157137
     /* 1157137 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157220), // Rule ID 15641 //
     /* 1157142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157181 */     // MIs[0] round
     /* 1157181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157219 */     // GIR_Coverage, 15641,
     /* 1157219 */     GIR_EraseRootFromParent_Done,
     /* 1157220 */   // Label 16889: @1157220
     /* 1157220 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157303), // Rule ID 15642 //
     /* 1157225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1157236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1157239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157264 */     // MIs[0] round
     /* 1157264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157302 */     // GIR_Coverage, 15642,
     /* 1157302 */     GIR_EraseRootFromParent_Done,
     /* 1157303 */   // Label 16890: @1157303
     /* 1157303 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157386), // Rule ID 15645 //
     /* 1157308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157347 */     // MIs[0] round
     /* 1157347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157357 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157385 */     // GIR_Coverage, 15645,
     /* 1157385 */     GIR_EraseRootFromParent_Done,
     /* 1157386 */   // Label 16891: @1157386
     /* 1157386 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157469), // Rule ID 15646 //
     /* 1157391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1157402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1157405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157430 */     // MIs[0] round
     /* 1157430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157468 */     // GIR_Coverage, 15646,
     /* 1157468 */     GIR_EraseRootFromParent_Done,
     /* 1157469 */   // Label 16892: @1157469
     /* 1157469 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157552), // Rule ID 15649 //
     /* 1157474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157513 */     // MIs[0] round
     /* 1157513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157551 */     // GIR_Coverage, 15649,
     /* 1157551 */     GIR_EraseRootFromParent_Done,
     /* 1157552 */   // Label 16893: @1157552
     /* 1157552 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157635), // Rule ID 15650 //
     /* 1157557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157596 */     // MIs[0] round
     /* 1157596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157634 */     // GIR_Coverage, 15650,
     /* 1157634 */     GIR_EraseRootFromParent_Done,
     /* 1157635 */   // Label 16894: @1157635
     /* 1157635 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157718), // Rule ID 15653 //
     /* 1157640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157679 */     // MIs[0] round
     /* 1157679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157717 */     // GIR_Coverage, 15653,
     /* 1157717 */     GIR_EraseRootFromParent_Done,
     /* 1157718 */   // Label 16895: @1157718
     /* 1157718 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157801), // Rule ID 15654 //
     /* 1157723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157762 */     // MIs[0] round
     /* 1157762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157800 */     // GIR_Coverage, 15654,
     /* 1157800 */     GIR_EraseRootFromParent_Done,
     /* 1157801 */   // Label 16896: @1157801
     /* 1157801 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157884), // Rule ID 15657 //
     /* 1157806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157845 */     // MIs[0] round
     /* 1157845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157883 */     // GIR_Coverage, 15657,
     /* 1157883 */     GIR_EraseRootFromParent_Done,
     /* 1157884 */   // Label 16897: @1157884
     /* 1157884 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1157967), // Rule ID 15658 //
     /* 1157889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157928 */     // MIs[0] round
     /* 1157928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157966 */     // GIR_Coverage, 15658,
     /* 1157966 */     GIR_EraseRootFromParent_Done,
     /* 1157967 */   // Label 16898: @1157967
     /* 1157967 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1158050), // Rule ID 15661 //
     /* 1157972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1157983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1157986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1157989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1157992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158011 */     // MIs[0] round
     /* 1158011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158049 */     // GIR_Coverage, 15661,
     /* 1158049 */     GIR_EraseRootFromParent_Done,
     /* 1158050 */   // Label 16899: @1158050
     /* 1158050 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158133), // Rule ID 15662 //
     /* 1158055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1158075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158094 */     // MIs[0] round
     /* 1158094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158132 */     // GIR_Coverage, 15662,
     /* 1158132 */     GIR_EraseRootFromParent_Done,
     /* 1158133 */   // Label 16900: @1158133
     /* 1158133 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158216), // Rule ID 15665 //
     /* 1158138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158177 */     // MIs[0] round
     /* 1158177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158215 */     // GIR_Coverage, 15665,
     /* 1158215 */     GIR_EraseRootFromParent_Done,
     /* 1158216 */   // Label 16901: @1158216
     /* 1158216 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158299), // Rule ID 15666 //
     /* 1158221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1158241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158260 */     // MIs[0] round
     /* 1158260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158298 */     // GIR_Coverage, 15666,
     /* 1158298 */     GIR_EraseRootFromParent_Done,
     /* 1158299 */   // Label 16902: @1158299
     /* 1158299 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158382), // Rule ID 15669 //
     /* 1158304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158343 */     // MIs[0] round
     /* 1158343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158381 */     // GIR_Coverage, 15669,
     /* 1158381 */     GIR_EraseRootFromParent_Done,
     /* 1158382 */   // Label 16903: @1158382
     /* 1158382 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158465), // Rule ID 15670 //
     /* 1158387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158426 */     // MIs[0] round
     /* 1158426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1158439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158464 */     // GIR_Coverage, 15670,
     /* 1158464 */     GIR_EraseRootFromParent_Done,
     /* 1158465 */   // Label 16904: @1158465
     /* 1158465 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158548), // Rule ID 15673 //
     /* 1158470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158509 */     // MIs[0] round
     /* 1158509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158519 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158547 */     // GIR_Coverage, 15673,
     /* 1158547 */     GIR_EraseRootFromParent_Done,
     /* 1158548 */   // Label 16905: @1158548
     /* 1158548 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158631), // Rule ID 15674 //
     /* 1158553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1158564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1158567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158592 */     // MIs[0] round
     /* 1158592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1158605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158630 */     // GIR_Coverage, 15674,
     /* 1158630 */     GIR_EraseRootFromParent_Done,
     /* 1158631 */   // Label 16906: @1158631
     /* 1158631 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158714), // Rule ID 15677 //
     /* 1158636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158675 */     // MIs[0] round
     /* 1158675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1158688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158713 */     // GIR_Coverage, 15677,
     /* 1158713 */     GIR_EraseRootFromParent_Done,
     /* 1158714 */   // Label 16907: @1158714
     /* 1158714 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158797), // Rule ID 15678 //
     /* 1158719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1158730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1158733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158758 */     // MIs[0] round
     /* 1158758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1158771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158796 */     // GIR_Coverage, 15678,
     /* 1158796 */     GIR_EraseRootFromParent_Done,
     /* 1158797 */   // Label 16908: @1158797
     /* 1158797 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158880), // Rule ID 15681 //
     /* 1158802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1158805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158841 */     // MIs[0] round
     /* 1158841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158879 */     // GIR_Coverage, 15681,
     /* 1158879 */     GIR_EraseRootFromParent_Done,
     /* 1158880 */   // Label 16909: @1158880
     /* 1158880 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1158963), // Rule ID 15682 //
     /* 1158885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1158888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1158896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1158899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158924 */     // MIs[0] round
     /* 1158924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1158937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158962 */     // GIR_Coverage, 15682,
     /* 1158962 */     GIR_EraseRootFromParent_Done,
     /* 1158963 */   // Label 16910: @1158963
     /* 1158963 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1159043), // Rule ID 15685 //
     /* 1158968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1158979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1158982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1158985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1158988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159007 */     // MIs[0] round
     /* 1159007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159017 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159042 */     // GIR_Coverage, 15685,
     /* 1159042 */     GIR_EraseRootFromParent_Done,
     /* 1159043 */   // Label 16911: @1159043
     /* 1159043 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1159123), // Rule ID 15686 //
     /* 1159048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1159068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159087 */     // MIs[0] round
     /* 1159087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1159100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159122 */     // GIR_Coverage, 15686,
     /* 1159122 */     GIR_EraseRootFromParent_Done,
     /* 1159123 */   // Label 16912: @1159123
     /* 1159123 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159203), // Rule ID 15689 //
     /* 1159128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159167 */     // MIs[0] round
     /* 1159167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159202 */     // GIR_Coverage, 15689,
     /* 1159202 */     GIR_EraseRootFromParent_Done,
     /* 1159203 */   // Label 16913: @1159203
     /* 1159203 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159283), // Rule ID 15690 //
     /* 1159208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1159228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159247 */     // MIs[0] round
     /* 1159247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159257 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159282 */     // GIR_Coverage, 15690,
     /* 1159282 */     GIR_EraseRootFromParent_Done,
     /* 1159283 */   // Label 16914: @1159283
     /* 1159283 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159363), // Rule ID 15693 //
     /* 1159288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159327 */     // MIs[0] round
     /* 1159327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159337 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159362 */     // GIR_Coverage, 15693,
     /* 1159362 */     GIR_EraseRootFromParent_Done,
     /* 1159363 */   // Label 16915: @1159363
     /* 1159363 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159443), // Rule ID 15694 //
     /* 1159368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1159388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159407 */     // MIs[0] round
     /* 1159407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159442 */     // GIR_Coverage, 15694,
     /* 1159442 */     GIR_EraseRootFromParent_Done,
     /* 1159443 */   // Label 16916: @1159443
     /* 1159443 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159523), // Rule ID 15697 //
     /* 1159448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159487 */     // MIs[0] round
     /* 1159487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159522 */     // GIR_Coverage, 15697,
     /* 1159522 */     GIR_EraseRootFromParent_Done,
     /* 1159523 */   // Label 16917: @1159523
     /* 1159523 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159603), // Rule ID 15698 //
     /* 1159528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159567 */     // MIs[0] round
     /* 1159567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1159580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159602 */     // GIR_Coverage, 15698,
     /* 1159602 */     GIR_EraseRootFromParent_Done,
     /* 1159603 */   // Label 16918: @1159603
     /* 1159603 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159683), // Rule ID 15701 //
     /* 1159608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1159619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1159622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159647 */     // MIs[0] round
     /* 1159647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159657 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159682 */     // GIR_Coverage, 15701,
     /* 1159682 */     GIR_EraseRootFromParent_Done,
     /* 1159683 */   // Label 16919: @1159683
     /* 1159683 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159763), // Rule ID 15702 //
     /* 1159688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1159699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1159702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159727 */     // MIs[0] round
     /* 1159727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159737 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159762 */     // GIR_Coverage, 15702,
     /* 1159762 */     GIR_EraseRootFromParent_Done,
     /* 1159763 */   // Label 16920: @1159763
     /* 1159763 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159843), // Rule ID 15705 //
     /* 1159768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1159779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1159782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159807 */     // MIs[0] round
     /* 1159807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159842 */     // GIR_Coverage, 15705,
     /* 1159842 */     GIR_EraseRootFromParent_Done,
     /* 1159843 */   // Label 16921: @1159843
     /* 1159843 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159923), // Rule ID 15706 //
     /* 1159848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1159859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1159862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159887 */     // MIs[0] round
     /* 1159887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1159900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159922 */     // GIR_Coverage, 15706,
     /* 1159922 */     GIR_EraseRootFromParent_Done,
     /* 1159923 */   // Label 16922: @1159923
     /* 1159923 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1160003), // Rule ID 15709 //
     /* 1159928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1159939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1159942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1159945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1159948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159967 */     // MIs[0] round
     /* 1159967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160002 */     // GIR_Coverage, 15709,
     /* 1160002 */     GIR_EraseRootFromParent_Done,
     /* 1160003 */   // Label 16923: @1160003
     /* 1160003 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1160083), // Rule ID 15710 //
     /* 1160008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1160028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160047 */     // MIs[0] round
     /* 1160047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160082 */     // GIR_Coverage, 15710,
     /* 1160082 */     GIR_EraseRootFromParent_Done,
     /* 1160083 */   // Label 16924: @1160083
     /* 1160083 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160163), // Rule ID 15713 //
     /* 1160088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160127 */     // MIs[0] round
     /* 1160127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160162 */     // GIR_Coverage, 15713,
     /* 1160162 */     GIR_EraseRootFromParent_Done,
     /* 1160163 */   // Label 16925: @1160163
     /* 1160163 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160243), // Rule ID 15714 //
     /* 1160168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1160188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160207 */     // MIs[0] round
     /* 1160207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160242 */     // GIR_Coverage, 15714,
     /* 1160242 */     GIR_EraseRootFromParent_Done,
     /* 1160243 */   // Label 16926: @1160243
     /* 1160243 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160323), // Rule ID 15717 //
     /* 1160248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160287 */     // MIs[0] round
     /* 1160287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160322 */     // GIR_Coverage, 15717,
     /* 1160322 */     GIR_EraseRootFromParent_Done,
     /* 1160323 */   // Label 16927: @1160323
     /* 1160323 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160403), // Rule ID 15718 //
     /* 1160328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160367 */     // MIs[0] round
     /* 1160367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160402 */     // GIR_Coverage, 15718,
     /* 1160402 */     GIR_EraseRootFromParent_Done,
     /* 1160403 */   // Label 16928: @1160403
     /* 1160403 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160483), // Rule ID 15721 //
     /* 1160408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160447 */     // MIs[0] round
     /* 1160447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160482 */     // GIR_Coverage, 15721,
     /* 1160482 */     GIR_EraseRootFromParent_Done,
     /* 1160483 */   // Label 16929: @1160483
     /* 1160483 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160563), // Rule ID 15722 //
     /* 1160488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160527 */     // MIs[0] round
     /* 1160527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1160540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160562 */     // GIR_Coverage, 15722,
     /* 1160562 */     GIR_EraseRootFromParent_Done,
     /* 1160563 */   // Label 16930: @1160563
     /* 1160563 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160643), // Rule ID 15725 //
     /* 1160568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160607 */     // MIs[0] round
     /* 1160607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160642 */     // GIR_Coverage, 15725,
     /* 1160642 */     GIR_EraseRootFromParent_Done,
     /* 1160643 */   // Label 16931: @1160643
     /* 1160643 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160723), // Rule ID 15726 //
     /* 1160648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160687 */     // MIs[0] round
     /* 1160687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160722 */     // GIR_Coverage, 15726,
     /* 1160722 */     GIR_EraseRootFromParent_Done,
     /* 1160723 */   // Label 16932: @1160723
     /* 1160723 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160803), // Rule ID 15729 //
     /* 1160728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1160739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1160742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160767 */     // MIs[0] round
     /* 1160767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160802 */     // GIR_Coverage, 15729,
     /* 1160802 */     GIR_EraseRootFromParent_Done,
     /* 1160803 */   // Label 16933: @1160803
     /* 1160803 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160883), // Rule ID 15730 //
     /* 1160808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1160819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1160822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160847 */     // MIs[0] round
     /* 1160847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160857 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160882 */     // GIR_Coverage, 15730,
     /* 1160882 */     GIR_EraseRootFromParent_Done,
     /* 1160883 */   // Label 16934: @1160883
     /* 1160883 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1160963), // Rule ID 15733 //
     /* 1160888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1160899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1160902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1160905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1160908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160927 */     // MIs[0] round
     /* 1160927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160937 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160962 */     // GIR_Coverage, 15733,
     /* 1160962 */     GIR_EraseRootFromParent_Done,
     /* 1160963 */   // Label 16935: @1160963
     /* 1160963 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1161043), // Rule ID 15734 //
     /* 1160968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1160979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1160982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1160985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1160988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161007 */     // MIs[0] round
     /* 1161007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161042 */     // GIR_Coverage, 15734,
     /* 1161042 */     GIR_EraseRootFromParent_Done,
     /* 1161043 */   // Label 16936: @1161043
     /* 1161043 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1161123), // Rule ID 15737 //
     /* 1161048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161087 */     // MIs[0] round
     /* 1161087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161122 */     // GIR_Coverage, 15737,
     /* 1161122 */     GIR_EraseRootFromParent_Done,
     /* 1161123 */   // Label 16937: @1161123
     /* 1161123 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161203), // Rule ID 15738 //
     /* 1161128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1161148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161167 */     // MIs[0] round
     /* 1161167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161202 */     // GIR_Coverage, 15738,
     /* 1161202 */     GIR_EraseRootFromParent_Done,
     /* 1161203 */   // Label 16938: @1161203
     /* 1161203 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161283), // Rule ID 15741 //
     /* 1161208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161247 */     // MIs[0] round
     /* 1161247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161282 */     // GIR_Coverage, 15741,
     /* 1161282 */     GIR_EraseRootFromParent_Done,
     /* 1161283 */   // Label 16939: @1161283
     /* 1161283 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161363), // Rule ID 15742 //
     /* 1161288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1161308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161327 */     // MIs[0] round
     /* 1161327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161362 */     // GIR_Coverage, 15742,
     /* 1161362 */     GIR_EraseRootFromParent_Done,
     /* 1161363 */   // Label 16940: @1161363
     /* 1161363 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161443), // Rule ID 15745 //
     /* 1161368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161407 */     // MIs[0] round
     /* 1161407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161442 */     // GIR_Coverage, 15745,
     /* 1161442 */     GIR_EraseRootFromParent_Done,
     /* 1161443 */   // Label 16941: @1161443
     /* 1161443 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161523), // Rule ID 15746 //
     /* 1161448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161487 */     // MIs[0] round
     /* 1161487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161522 */     // GIR_Coverage, 15746,
     /* 1161522 */     GIR_EraseRootFromParent_Done,
     /* 1161523 */   // Label 16942: @1161523
     /* 1161523 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161603), // Rule ID 15749 //
     /* 1161528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161567 */     // MIs[0] round
     /* 1161567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161602 */     // GIR_Coverage, 15749,
     /* 1161602 */     GIR_EraseRootFromParent_Done,
     /* 1161603 */   // Label 16943: @1161603
     /* 1161603 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161683), // Rule ID 15750 //
     /* 1161608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161647 */     // MIs[0] round
     /* 1161647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1161660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161682 */     // GIR_Coverage, 15750,
     /* 1161682 */     GIR_EraseRootFromParent_Done,
     /* 1161683 */   // Label 16944: @1161683
     /* 1161683 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161763), // Rule ID 15753 //
     /* 1161688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1161702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161727 */     // MIs[0] round
     /* 1161727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161762 */     // GIR_Coverage, 15753,
     /* 1161762 */     GIR_EraseRootFromParent_Done,
     /* 1161763 */   // Label 16945: @1161763
     /* 1161763 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161843), // Rule ID 15754 //
     /* 1161768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1161782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161807 */     // MIs[0] round
     /* 1161807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161842 */     // GIR_Coverage, 15754,
     /* 1161842 */     GIR_EraseRootFromParent_Done,
     /* 1161843 */   // Label 16946: @1161843
     /* 1161843 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161923), // Rule ID 15757 //
     /* 1161848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1161859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1161862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1161868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161887 */     // MIs[0] round
     /* 1161887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161922 */     // GIR_Coverage, 15757,
     /* 1161922 */     GIR_EraseRootFromParent_Done,
     /* 1161923 */   // Label 16947: @1161923
     /* 1161923 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1162003), // Rule ID 15758 //
     /* 1161928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1161939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1161942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1161948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161967 */     // MIs[0] round
     /* 1161967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162002 */     // GIR_Coverage, 15758,
     /* 1162002 */     GIR_EraseRootFromParent_Done,
     /* 1162003 */   // Label 16948: @1162003
     /* 1162003 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1162083), // Rule ID 15761 //
     /* 1162008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162047 */     // MIs[0] round
     /* 1162047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162082 */     // GIR_Coverage, 15761,
     /* 1162082 */     GIR_EraseRootFromParent_Done,
     /* 1162083 */   // Label 16949: @1162083
     /* 1162083 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162163), // Rule ID 15762 //
     /* 1162088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162127 */     // MIs[0] round
     /* 1162127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162137 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1162140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162162 */     // GIR_Coverage, 15762,
     /* 1162162 */     GIR_EraseRootFromParent_Done,
     /* 1162163 */   // Label 16950: @1162163
     /* 1162163 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162243), // Rule ID 15765 //
     /* 1162168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162207 */     // MIs[0] round
     /* 1162207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162217 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162242 */     // GIR_Coverage, 15765,
     /* 1162242 */     GIR_EraseRootFromParent_Done,
     /* 1162243 */   // Label 16951: @1162243
     /* 1162243 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162323), // Rule ID 15766 //
     /* 1162248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162287 */     // MIs[0] round
     /* 1162287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1162300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162322 */     // GIR_Coverage, 15766,
     /* 1162322 */     GIR_EraseRootFromParent_Done,
     /* 1162323 */   // Label 16952: @1162323
     /* 1162323 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162403), // Rule ID 15769 //
     /* 1162328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162367 */     // MIs[0] round
     /* 1162367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162402 */     // GIR_Coverage, 15769,
     /* 1162402 */     GIR_EraseRootFromParent_Done,
     /* 1162403 */   // Label 16953: @1162403
     /* 1162403 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162483), // Rule ID 15770 //
     /* 1162408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162447 */     // MIs[0] round
     /* 1162447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1162460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162482 */     // GIR_Coverage, 15770,
     /* 1162482 */     GIR_EraseRootFromParent_Done,
     /* 1162483 */   // Label 16954: @1162483
     /* 1162483 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162563), // Rule ID 15773 //
     /* 1162488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162527 */     // MIs[0] round
     /* 1162527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162537 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162562 */     // GIR_Coverage, 15773,
     /* 1162562 */     GIR_EraseRootFromParent_Done,
     /* 1162563 */   // Label 16955: @1162563
     /* 1162563 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162643), // Rule ID 15774 //
     /* 1162568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162607 */     // MIs[0] round
     /* 1162607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162617 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1162620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162642 */     // GIR_Coverage, 15774,
     /* 1162642 */     GIR_EraseRootFromParent_Done,
     /* 1162643 */   // Label 16956: @1162643
     /* 1162643 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162723), // Rule ID 15777 //
     /* 1162648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1162659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1162662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162687 */     // MIs[0] round
     /* 1162687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1162700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162722 */     // GIR_Coverage, 15777,
     /* 1162722 */     GIR_EraseRootFromParent_Done,
     /* 1162723 */   // Label 16957: @1162723
     /* 1162723 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162803), // Rule ID 15778 //
     /* 1162728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1162739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1162742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162767 */     // MIs[0] round
     /* 1162767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1162780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162802 */     // GIR_Coverage, 15778,
     /* 1162802 */     GIR_EraseRootFromParent_Done,
     /* 1162803 */   // Label 16958: @1162803
     /* 1162803 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162883), // Rule ID 15781 //
     /* 1162808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1162819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1162822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162847 */     // MIs[0] round
     /* 1162847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162882 */     // GIR_Coverage, 15781,
     /* 1162882 */     GIR_EraseRootFromParent_Done,
     /* 1162883 */   // Label 16959: @1162883
     /* 1162883 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1162963), // Rule ID 15782 //
     /* 1162888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1162899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1162902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162927 */     // MIs[0] round
     /* 1162927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162937 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162962 */     // GIR_Coverage, 15782,
     /* 1162962 */     GIR_EraseRootFromParent_Done,
     /* 1162963 */   // Label 16960: @1162963
     /* 1162963 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1163043), // Rule ID 15785 //
     /* 1162968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1162979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1162982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1162985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163007 */     // MIs[0] round
     /* 1163007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163042 */     // GIR_Coverage, 15785,
     /* 1163042 */     GIR_EraseRootFromParent_Done,
     /* 1163043 */   // Label 16961: @1163043
     /* 1163043 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1163123), // Rule ID 15786 //
     /* 1163048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163087 */     // MIs[0] round
     /* 1163087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1163100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163122 */     // GIR_Coverage, 15786,
     /* 1163122 */     GIR_EraseRootFromParent_Done,
     /* 1163123 */   // Label 16962: @1163123
     /* 1163123 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163203), // Rule ID 15789 //
     /* 1163128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163167 */     // MIs[0] round
     /* 1163167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163202 */     // GIR_Coverage, 15789,
     /* 1163202 */     GIR_EraseRootFromParent_Done,
     /* 1163203 */   // Label 16963: @1163203
     /* 1163203 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163283), // Rule ID 15790 //
     /* 1163208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163247 */     // MIs[0] round
     /* 1163247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163257 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163282 */     // GIR_Coverage, 15790,
     /* 1163282 */     GIR_EraseRootFromParent_Done,
     /* 1163283 */   // Label 16964: @1163283
     /* 1163283 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163363), // Rule ID 15793 //
     /* 1163288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163327 */     // MIs[0] round
     /* 1163327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163362 */     // GIR_Coverage, 15793,
     /* 1163362 */     GIR_EraseRootFromParent_Done,
     /* 1163363 */   // Label 16965: @1163363
     /* 1163363 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163443), // Rule ID 15794 //
     /* 1163368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163407 */     // MIs[0] round
     /* 1163407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1163420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163442 */     // GIR_Coverage, 15794,
     /* 1163442 */     GIR_EraseRootFromParent_Done,
     /* 1163443 */   // Label 16966: @1163443
     /* 1163443 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163523), // Rule ID 15797 //
     /* 1163448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163487 */     // MIs[0] round
     /* 1163487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163522 */     // GIR_Coverage, 15797,
     /* 1163522 */     GIR_EraseRootFromParent_Done,
     /* 1163523 */   // Label 16967: @1163523
     /* 1163523 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163603), // Rule ID 15798 //
     /* 1163528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163567 */     // MIs[0] round
     /* 1163567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163602 */     // GIR_Coverage, 15798,
     /* 1163602 */     GIR_EraseRootFromParent_Done,
     /* 1163603 */   // Label 16968: @1163603
     /* 1163603 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163683), // Rule ID 15801 //
     /* 1163608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1163619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1163622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163647 */     // MIs[0] round
     /* 1163647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163682 */     // GIR_Coverage, 15801,
     /* 1163682 */     GIR_EraseRootFromParent_Done,
     /* 1163683 */   // Label 16969: @1163683
     /* 1163683 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163763), // Rule ID 15802 //
     /* 1163688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1163699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1163702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163727 */     // MIs[0] round
     /* 1163727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163762 */     // GIR_Coverage, 15802,
     /* 1163762 */     GIR_EraseRootFromParent_Done,
     /* 1163763 */   // Label 16970: @1163763
     /* 1163763 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163843), // Rule ID 15805 //
     /* 1163768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1163779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1163782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163807 */     // MIs[0] round
     /* 1163807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163842 */     // GIR_Coverage, 15805,
     /* 1163842 */     GIR_EraseRootFromParent_Done,
     /* 1163843 */   // Label 16971: @1163843
     /* 1163843 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163923), // Rule ID 15806 //
     /* 1163848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1163859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1163862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163887 */     // MIs[0] round
     /* 1163887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163922 */     // GIR_Coverage, 15806,
     /* 1163922 */     GIR_EraseRootFromParent_Done,
     /* 1163923 */   // Label 16972: @1163923
     /* 1163923 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1164003), // Rule ID 15809 //
     /* 1163928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1163939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1163942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163967 */     // MIs[0] round
     /* 1163967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1163980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164002 */     // GIR_Coverage, 15809,
     /* 1164002 */     GIR_EraseRootFromParent_Done,
     /* 1164003 */   // Label 16973: @1164003
     /* 1164003 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1164083), // Rule ID 15810 //
     /* 1164008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164047 */     // MIs[0] round
     /* 1164047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164057 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1164060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164082 */     // GIR_Coverage, 15810,
     /* 1164082 */     GIR_EraseRootFromParent_Done,
     /* 1164083 */   // Label 16974: @1164083
     /* 1164083 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164163), // Rule ID 15813 //
     /* 1164088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164127 */     // MIs[0] round
     /* 1164127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164162 */     // GIR_Coverage, 15813,
     /* 1164162 */     GIR_EraseRootFromParent_Done,
     /* 1164163 */   // Label 16975: @1164163
     /* 1164163 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164243), // Rule ID 15814 //
     /* 1164168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164207 */     // MIs[0] round
     /* 1164207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164242 */     // GIR_Coverage, 15814,
     /* 1164242 */     GIR_EraseRootFromParent_Done,
     /* 1164243 */   // Label 16976: @1164243
     /* 1164243 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164323), // Rule ID 15817 //
     /* 1164248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164287 */     // MIs[0] round
     /* 1164287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164322 */     // GIR_Coverage, 15817,
     /* 1164322 */     GIR_EraseRootFromParent_Done,
     /* 1164323 */   // Label 16977: @1164323
     /* 1164323 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164403), // Rule ID 15818 //
     /* 1164328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1164339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1164342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1164345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164367 */     // MIs[0] round
     /* 1164367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164402 */     // GIR_Coverage, 15818,
     /* 1164402 */     GIR_EraseRootFromParent_Done,
     /* 1164403 */   // Label 16978: @1164403
     /* 1164403 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164483), // Rule ID 15821 //
     /* 1164408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164447 */     // MIs[0] round
     /* 1164447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164457 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164482 */     // GIR_Coverage, 15821,
     /* 1164482 */     GIR_EraseRootFromParent_Done,
     /* 1164483 */   // Label 16979: @1164483
     /* 1164483 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164563), // Rule ID 15822 //
     /* 1164488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1164499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1164502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164527 */     // MIs[0] round
     /* 1164527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164537 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164562 */     // GIR_Coverage, 15822,
     /* 1164562 */     GIR_EraseRootFromParent_Done,
     /* 1164563 */   // Label 16980: @1164563
     /* 1164563 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164643), // Rule ID 15825 //
     /* 1164568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1164579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1164582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164607 */     // MIs[0] round
     /* 1164607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164642 */     // GIR_Coverage, 15825,
     /* 1164642 */     GIR_EraseRootFromParent_Done,
     /* 1164643 */   // Label 16981: @1164643
     /* 1164643 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164723), // Rule ID 15826 //
     /* 1164648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1164659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1164662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164687 */     // MIs[0] round
     /* 1164687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164722 */     // GIR_Coverage, 15826,
     /* 1164722 */     GIR_EraseRootFromParent_Done,
     /* 1164723 */   // Label 16982: @1164723
     /* 1164723 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164803), // Rule ID 15829 //
     /* 1164728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1164739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1164742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164767 */     // MIs[0] round
     /* 1164767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164802 */     // GIR_Coverage, 15829,
     /* 1164802 */     GIR_EraseRootFromParent_Done,
     /* 1164803 */   // Label 16983: @1164803
     /* 1164803 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164883), // Rule ID 15830 //
     /* 1164808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1164819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1164822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164847 */     // MIs[0] round
     /* 1164847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164857 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164882 */     // GIR_Coverage, 15830,
     /* 1164882 */     GIR_EraseRootFromParent_Done,
     /* 1164883 */   // Label 16984: @1164883
     /* 1164883 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1164963), // Rule ID 15833 //
     /* 1164888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1164899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1164902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1164905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164927 */     // MIs[0] round
     /* 1164927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164962 */     // GIR_Coverage, 15833,
     /* 1164962 */     GIR_EraseRootFromParent_Done,
     /* 1164963 */   // Label 16985: @1164963
     /* 1164963 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1165043), // Rule ID 15834 //
     /* 1164968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1164979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1164982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1164985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165007 */     // MIs[0] round
     /* 1165007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165042 */     // GIR_Coverage, 15834,
     /* 1165042 */     GIR_EraseRootFromParent_Done,
     /* 1165043 */   // Label 16986: @1165043
     /* 1165043 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1165123), // Rule ID 15837 //
     /* 1165048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165087 */     // MIs[0] round
     /* 1165087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165122 */     // GIR_Coverage, 15837,
     /* 1165122 */     GIR_EraseRootFromParent_Done,
     /* 1165123 */   // Label 16987: @1165123
     /* 1165123 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165203), // Rule ID 15838 //
     /* 1165128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1165139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1165142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1165145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165167 */     // MIs[0] round
     /* 1165167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165202 */     // GIR_Coverage, 15838,
     /* 1165202 */     GIR_EraseRootFromParent_Done,
     /* 1165203 */   // Label 16988: @1165203
     /* 1165203 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165283), // Rule ID 15841 //
     /* 1165208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165247 */     // MIs[0] round
     /* 1165247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165282 */     // GIR_Coverage, 15841,
     /* 1165282 */     GIR_EraseRootFromParent_Done,
     /* 1165283 */   // Label 16989: @1165283
     /* 1165283 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165363), // Rule ID 15842 //
     /* 1165288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1165299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1165302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1165305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165327 */     // MIs[0] round
     /* 1165327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165362 */     // GIR_Coverage, 15842,
     /* 1165362 */     GIR_EraseRootFromParent_Done,
     /* 1165363 */   // Label 16990: @1165363
     /* 1165363 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165443), // Rule ID 15845 //
     /* 1165368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165407 */     // MIs[0] round
     /* 1165407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165442 */     // GIR_Coverage, 15845,
     /* 1165442 */     GIR_EraseRootFromParent_Done,
     /* 1165443 */   // Label 16991: @1165443
     /* 1165443 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165523), // Rule ID 15846 //
     /* 1165448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1165459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1165462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165487 */     // MIs[0] round
     /* 1165487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165522 */     // GIR_Coverage, 15846,
     /* 1165522 */     GIR_EraseRootFromParent_Done,
     /* 1165523 */   // Label 16992: @1165523
     /* 1165523 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165603), // Rule ID 15849 //
     /* 1165528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165567 */     // MIs[0] round
     /* 1165567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165602 */     // GIR_Coverage, 15849,
     /* 1165602 */     GIR_EraseRootFromParent_Done,
     /* 1165603 */   // Label 16993: @1165603
     /* 1165603 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165683), // Rule ID 15850 //
     /* 1165608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1165619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1165622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165647 */     // MIs[0] round
     /* 1165647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1165660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165682 */     // GIR_Coverage, 15850,
     /* 1165682 */     GIR_EraseRootFromParent_Done,
     /* 1165683 */   // Label 16994: @1165683
     /* 1165683 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165763), // Rule ID 15853 //
     /* 1165688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1165699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1165702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165727 */     // MIs[0] round
     /* 1165727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165762 */     // GIR_Coverage, 15853,
     /* 1165762 */     GIR_EraseRootFromParent_Done,
     /* 1165763 */   // Label 16995: @1165763
     /* 1165763 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165843), // Rule ID 15854 //
     /* 1165768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1165779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1165782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165807 */     // MIs[0] round
     /* 1165807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1165820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165842 */     // GIR_Coverage, 15854,
     /* 1165842 */     GIR_EraseRootFromParent_Done,
     /* 1165843 */   // Label 16996: @1165843
     /* 1165843 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165923), // Rule ID 15857 //
     /* 1165848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1165859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1165862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165887 */     // MIs[0] round
     /* 1165887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165922 */     // GIR_Coverage, 15857,
     /* 1165922 */     GIR_EraseRootFromParent_Done,
     /* 1165923 */   // Label 16997: @1165923
     /* 1165923 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1166003), // Rule ID 15858 //
     /* 1165928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1165939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1165942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165967 */     // MIs[0] round
     /* 1165967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1165980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166002 */     // GIR_Coverage, 15858,
     /* 1166002 */     GIR_EraseRootFromParent_Done,
     /* 1166003 */   // Label 16998: @1166003
     /* 1166003 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1166083), // Rule ID 15949 //
     /* 1166008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166047 */     // MIs[0] round
     /* 1166047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166082 */     // GIR_Coverage, 15949,
     /* 1166082 */     GIR_EraseRootFromParent_Done,
     /* 1166083 */   // Label 16999: @1166083
     /* 1166083 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166163), // Rule ID 15950 //
     /* 1166088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1166099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1166102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1166105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1166108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166127 */     // MIs[0] round
     /* 1166127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166137 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1166140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166162 */     // GIR_Coverage, 15950,
     /* 1166162 */     GIR_EraseRootFromParent_Done,
     /* 1166163 */   // Label 17000: @1166163
     /* 1166163 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166243), // Rule ID 15953 //
     /* 1166168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166207 */     // MIs[0] round
     /* 1166207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166242 */     // GIR_Coverage, 15953,
     /* 1166242 */     GIR_EraseRootFromParent_Done,
     /* 1166243 */   // Label 17001: @1166243
     /* 1166243 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166323), // Rule ID 15954 //
     /* 1166248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1166259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1166262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1166265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1166268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166287 */     // MIs[0] round
     /* 1166287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166322 */     // GIR_Coverage, 15954,
     /* 1166322 */     GIR_EraseRootFromParent_Done,
     /* 1166323 */   // Label 17002: @1166323
     /* 1166323 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166403), // Rule ID 15957 //
     /* 1166328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166367 */     // MIs[0] round
     /* 1166367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166402 */     // GIR_Coverage, 15957,
     /* 1166402 */     GIR_EraseRootFromParent_Done,
     /* 1166403 */   // Label 17003: @1166403
     /* 1166403 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166483), // Rule ID 15958 //
     /* 1166408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1166419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1166422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166447 */     // MIs[0] round
     /* 1166447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166457 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166482 */     // GIR_Coverage, 15958,
     /* 1166482 */     GIR_EraseRootFromParent_Done,
     /* 1166483 */   // Label 17004: @1166483
     /* 1166483 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166563), // Rule ID 15961 //
     /* 1166488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166527 */     // MIs[0] round
     /* 1166527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166537 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166562 */     // GIR_Coverage, 15961,
     /* 1166562 */     GIR_EraseRootFromParent_Done,
     /* 1166563 */   // Label 17005: @1166563
     /* 1166563 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166643), // Rule ID 15962 //
     /* 1166568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1166579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1166582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166607 */     // MIs[0] round
     /* 1166607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1166620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166642 */     // GIR_Coverage, 15962,
     /* 1166642 */     GIR_EraseRootFromParent_Done,
     /* 1166643 */   // Label 17006: @1166643
     /* 1166643 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166723), // Rule ID 15965 //
     /* 1166648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1166659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1166662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166687 */     // MIs[0] round
     /* 1166687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166722 */     // GIR_Coverage, 15965,
     /* 1166722 */     GIR_EraseRootFromParent_Done,
     /* 1166723 */   // Label 17007: @1166723
     /* 1166723 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166803), // Rule ID 15966 //
     /* 1166728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1166739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1166742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166767 */     // MIs[0] round
     /* 1166767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166802 */     // GIR_Coverage, 15966,
     /* 1166802 */     GIR_EraseRootFromParent_Done,
     /* 1166803 */   // Label 17008: @1166803
     /* 1166803 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166883), // Rule ID 15969 //
     /* 1166808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1166819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1166822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166847 */     // MIs[0] round
     /* 1166847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166882 */     // GIR_Coverage, 15969,
     /* 1166882 */     GIR_EraseRootFromParent_Done,
     /* 1166883 */   // Label 17009: @1166883
     /* 1166883 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1166963), // Rule ID 15970 //
     /* 1166888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1166899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1166902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166927 */     // MIs[0] round
     /* 1166927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1166940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166962 */     // GIR_Coverage, 15970,
     /* 1166962 */     GIR_EraseRootFromParent_Done,
     /* 1166963 */   // Label 17010: @1166963
     /* 1166963 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1167043), // Rule ID 15973 //
     /* 1166968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1166979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1166982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1166985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1166988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167007 */     // MIs[0] round
     /* 1167007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167042 */     // GIR_Coverage, 15973,
     /* 1167042 */     GIR_EraseRootFromParent_Done,
     /* 1167043 */   // Label 17011: @1167043
     /* 1167043 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1167123), // Rule ID 15974 //
     /* 1167048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1167065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167087 */     // MIs[0] round
     /* 1167087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167122 */     // GIR_Coverage, 15974,
     /* 1167122 */     GIR_EraseRootFromParent_Done,
     /* 1167123 */   // Label 17012: @1167123
     /* 1167123 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167203), // Rule ID 15977 //
     /* 1167128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167167 */     // MIs[0] round
     /* 1167167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167202 */     // GIR_Coverage, 15977,
     /* 1167202 */     GIR_EraseRootFromParent_Done,
     /* 1167203 */   // Label 17013: @1167203
     /* 1167203 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167283), // Rule ID 15978 //
     /* 1167208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1167219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1167222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1167228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167247 */     // MIs[0] round
     /* 1167247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167282 */     // GIR_Coverage, 15978,
     /* 1167282 */     GIR_EraseRootFromParent_Done,
     /* 1167283 */   // Label 17014: @1167283
     /* 1167283 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167363), // Rule ID 15981 //
     /* 1167288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167327 */     // MIs[0] round
     /* 1167327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167362 */     // GIR_Coverage, 15981,
     /* 1167362 */     GIR_EraseRootFromParent_Done,
     /* 1167363 */   // Label 17015: @1167363
     /* 1167363 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167443), // Rule ID 15982 //
     /* 1167368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1167379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1167382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167407 */     // MIs[0] round
     /* 1167407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167442 */     // GIR_Coverage, 15982,
     /* 1167442 */     GIR_EraseRootFromParent_Done,
     /* 1167443 */   // Label 17016: @1167443
     /* 1167443 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167523), // Rule ID 15985 //
     /* 1167448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167487 */     // MIs[0] round
     /* 1167487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167522 */     // GIR_Coverage, 15985,
     /* 1167522 */     GIR_EraseRootFromParent_Done,
     /* 1167523 */   // Label 17017: @1167523
     /* 1167523 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167603), // Rule ID 15986 //
     /* 1167528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167567 */     // MIs[0] round
     /* 1167567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1167580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167602 */     // GIR_Coverage, 15986,
     /* 1167602 */     GIR_EraseRootFromParent_Done,
     /* 1167603 */   // Label 17018: @1167603
     /* 1167603 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167683), // Rule ID 15989 //
     /* 1167608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167647 */     // MIs[0] round
     /* 1167647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167682 */     // GIR_Coverage, 15989,
     /* 1167682 */     GIR_EraseRootFromParent_Done,
     /* 1167683 */   // Label 17019: @1167683
     /* 1167683 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167763), // Rule ID 15990 //
     /* 1167688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167727 */     // MIs[0] round
     /* 1167727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167762 */     // GIR_Coverage, 15990,
     /* 1167762 */     GIR_EraseRootFromParent_Done,
     /* 1167763 */   // Label 17020: @1167763
     /* 1167763 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167843), // Rule ID 15993 //
     /* 1167768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1167779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1167782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167807 */     // MIs[0] round
     /* 1167807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167842 */     // GIR_Coverage, 15993,
     /* 1167842 */     GIR_EraseRootFromParent_Done,
     /* 1167843 */   // Label 17021: @1167843
     /* 1167843 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167923), // Rule ID 15994 //
     /* 1167848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1167859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1167862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167887 */     // MIs[0] round
     /* 1167887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167922 */     // GIR_Coverage, 15994,
     /* 1167922 */     GIR_EraseRootFromParent_Done,
     /* 1167923 */   // Label 17022: @1167923
     /* 1167923 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1168003), // Rule ID 15997 //
     /* 1167928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1167939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1167942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1167945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1167948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167967 */     // MIs[0] round
     /* 1167967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1167980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168002 */     // GIR_Coverage, 15997,
     /* 1168002 */     GIR_EraseRootFromParent_Done,
     /* 1168003 */   // Label 17023: @1168003
     /* 1168003 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1168083), // Rule ID 15998 //
     /* 1168008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1168019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1168022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1168025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1168028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168047 */     // MIs[0] round
     /* 1168047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168057 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168082 */     // GIR_Coverage, 15998,
     /* 1168082 */     GIR_EraseRootFromParent_Done,
     /* 1168083 */   // Label 17024: @1168083
     /* 1168083 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168163), // Rule ID 16001 //
     /* 1168088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168127 */     // MIs[0] round
     /* 1168127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168162 */     // GIR_Coverage, 16001,
     /* 1168162 */     GIR_EraseRootFromParent_Done,
     /* 1168163 */   // Label 17025: @1168163
     /* 1168163 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168243), // Rule ID 16002 //
     /* 1168168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1168185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168207 */     // MIs[0] round
     /* 1168207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168242 */     // GIR_Coverage, 16002,
     /* 1168242 */     GIR_EraseRootFromParent_Done,
     /* 1168243 */   // Label 17026: @1168243
     /* 1168243 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168323), // Rule ID 16005 //
     /* 1168248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168287 */     // MIs[0] round
     /* 1168287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168322 */     // GIR_Coverage, 16005,
     /* 1168322 */     GIR_EraseRootFromParent_Done,
     /* 1168323 */   // Label 17027: @1168323
     /* 1168323 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168403), // Rule ID 16006 //
     /* 1168328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1168345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168367 */     // MIs[0] round
     /* 1168367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168402 */     // GIR_Coverage, 16006,
     /* 1168402 */     GIR_EraseRootFromParent_Done,
     /* 1168403 */   // Label 17028: @1168403
     /* 1168403 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168483), // Rule ID 16009 //
     /* 1168408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168447 */     // MIs[0] round
     /* 1168447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168457 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168482 */     // GIR_Coverage, 16009,
     /* 1168482 */     GIR_EraseRootFromParent_Done,
     /* 1168483 */   // Label 17029: @1168483
     /* 1168483 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168563), // Rule ID 16010 //
     /* 1168488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1168499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1168502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168527 */     // MIs[0] round
     /* 1168527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168562 */     // GIR_Coverage, 16010,
     /* 1168562 */     GIR_EraseRootFromParent_Done,
     /* 1168563 */   // Label 17030: @1168563
     /* 1168563 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168643), // Rule ID 16013 //
     /* 1168568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1168579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1168582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168607 */     // MIs[0] round
     /* 1168607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168642 */     // GIR_Coverage, 16013,
     /* 1168642 */     GIR_EraseRootFromParent_Done,
     /* 1168643 */   // Label 17031: @1168643
     /* 1168643 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168723), // Rule ID 16014 //
     /* 1168648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1168659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1168662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168687 */     // MIs[0] round
     /* 1168687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1168700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168722 */     // GIR_Coverage, 16014,
     /* 1168722 */     GIR_EraseRootFromParent_Done,
     /* 1168723 */   // Label 17032: @1168723
     /* 1168723 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168803), // Rule ID 16017 //
     /* 1168728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1168739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1168742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168767 */     // MIs[0] round
     /* 1168767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168802 */     // GIR_Coverage, 16017,
     /* 1168802 */     GIR_EraseRootFromParent_Done,
     /* 1168803 */   // Label 17033: @1168803
     /* 1168803 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168883), // Rule ID 16018 //
     /* 1168808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1168819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1168822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168847 */     // MIs[0] round
     /* 1168847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168882 */     // GIR_Coverage, 16018,
     /* 1168882 */     GIR_EraseRootFromParent_Done,
     /* 1168883 */   // Label 17034: @1168883
     /* 1168883 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1168963), // Rule ID 16021 //
     /* 1168888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1168899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1168902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1168908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168927 */     // MIs[0] round
     /* 1168927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168962 */     // GIR_Coverage, 16021,
     /* 1168962 */     GIR_EraseRootFromParent_Done,
     /* 1168963 */   // Label 17035: @1168963
     /* 1168963 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1169043), // Rule ID 16022 //
     /* 1168968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1168979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1168982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1168988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169007 */     // MIs[0] round
     /* 1169007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169042 */     // GIR_Coverage, 16022,
     /* 1169042 */     GIR_EraseRootFromParent_Done,
     /* 1169043 */   // Label 17036: @1169043
     /* 1169043 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169123), // Rule ID 16025 //
     /* 1169048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169087 */     // MIs[0] round
     /* 1169087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169122 */     // GIR_Coverage, 16025,
     /* 1169122 */     GIR_EraseRootFromParent_Done,
     /* 1169123 */   // Label 17037: @1169123
     /* 1169123 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169203), // Rule ID 16026 //
     /* 1169128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1169139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1169142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1169148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169167 */     // MIs[0] round
     /* 1169167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1169180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169202 */     // GIR_Coverage, 16026,
     /* 1169202 */     GIR_EraseRootFromParent_Done,
     /* 1169203 */   // Label 17038: @1169203
     /* 1169203 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169283), // Rule ID 16029 //
     /* 1169208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169247 */     // MIs[0] round
     /* 1169247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169282 */     // GIR_Coverage, 16029,
     /* 1169282 */     GIR_EraseRootFromParent_Done,
     /* 1169283 */   // Label 17039: @1169283
     /* 1169283 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169363), // Rule ID 16030 //
     /* 1169288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1169299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1169302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1169308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169327 */     // MIs[0] round
     /* 1169327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169337 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1169340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169362 */     // GIR_Coverage, 16030,
     /* 1169362 */     GIR_EraseRootFromParent_Done,
     /* 1169363 */   // Label 17040: @1169363
     /* 1169363 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169443), // Rule ID 16033 //
     /* 1169368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169407 */     // MIs[0] round
     /* 1169407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169442 */     // GIR_Coverage, 16033,
     /* 1169442 */     GIR_EraseRootFromParent_Done,
     /* 1169443 */   // Label 17041: @1169443
     /* 1169443 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169523), // Rule ID 16034 //
     /* 1169448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1169459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1169462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169487 */     // MIs[0] round
     /* 1169487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1169500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169522 */     // GIR_Coverage, 16034,
     /* 1169522 */     GIR_EraseRootFromParent_Done,
     /* 1169523 */   // Label 17042: @1169523
     /* 1169523 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169603), // Rule ID 16037 //
     /* 1169528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169567 */     // MIs[0] round
     /* 1169567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1169580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169602 */     // GIR_Coverage, 16037,
     /* 1169602 */     GIR_EraseRootFromParent_Done,
     /* 1169603 */   // Label 17043: @1169603
     /* 1169603 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169683), // Rule ID 16038 //
     /* 1169608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169647 */     // MIs[0] round
     /* 1169647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169657 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1169660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169682 */     // GIR_Coverage, 16038,
     /* 1169682 */     GIR_EraseRootFromParent_Done,
     /* 1169683 */   // Label 17044: @1169683
     /* 1169683 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169763), // Rule ID 16041 //
     /* 1169688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169727 */     // MIs[0] round
     /* 1169727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169737 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1169740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169762 */     // GIR_Coverage, 16041,
     /* 1169762 */     GIR_EraseRootFromParent_Done,
     /* 1169763 */   // Label 17045: @1169763
     /* 1169763 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169843), // Rule ID 16042 //
     /* 1169768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169807 */     // MIs[0] round
     /* 1169807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1169820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169842 */     // GIR_Coverage, 16042,
     /* 1169842 */     GIR_EraseRootFromParent_Done,
     /* 1169843 */   // Label 17046: @1169843
     /* 1169843 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169923), // Rule ID 16045 //
     /* 1169848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1169859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1169862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169887 */     // MIs[0] round
     /* 1169887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169922 */     // GIR_Coverage, 16045,
     /* 1169922 */     GIR_EraseRootFromParent_Done,
     /* 1169923 */   // Label 17047: @1169923
     /* 1169923 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1170003), // Rule ID 16046 //
     /* 1169928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1169939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1169942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169967 */     // MIs[0] round
     /* 1169967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170002 */     // GIR_Coverage, 16046,
     /* 1170002 */     GIR_EraseRootFromParent_Done,
     /* 1170003 */   // Label 17048: @1170003
     /* 1170003 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170083), // Rule ID 16049 //
     /* 1170008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170047 */     // MIs[0] round
     /* 1170047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170082 */     // GIR_Coverage, 16049,
     /* 1170082 */     GIR_EraseRootFromParent_Done,
     /* 1170083 */   // Label 17049: @1170083
     /* 1170083 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170163), // Rule ID 16050 //
     /* 1170088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1170105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170127 */     // MIs[0] round
     /* 1170127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1170140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170162 */     // GIR_Coverage, 16050,
     /* 1170162 */     GIR_EraseRootFromParent_Done,
     /* 1170163 */   // Label 17050: @1170163
     /* 1170163 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170243), // Rule ID 16053 //
     /* 1170168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170207 */     // MIs[0] round
     /* 1170207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170217 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170242 */     // GIR_Coverage, 16053,
     /* 1170242 */     GIR_EraseRootFromParent_Done,
     /* 1170243 */   // Label 17051: @1170243
     /* 1170243 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170323), // Rule ID 16054 //
     /* 1170248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1170265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170287 */     // MIs[0] round
     /* 1170287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170322 */     // GIR_Coverage, 16054,
     /* 1170322 */     GIR_EraseRootFromParent_Done,
     /* 1170323 */   // Label 17052: @1170323
     /* 1170323 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170403), // Rule ID 16057 //
     /* 1170328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170367 */     // MIs[0] round
     /* 1170367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170377 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170402 */     // GIR_Coverage, 16057,
     /* 1170402 */     GIR_EraseRootFromParent_Done,
     /* 1170403 */   // Label 17053: @1170403
     /* 1170403 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170483), // Rule ID 16058 //
     /* 1170408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1170419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1170422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170447 */     // MIs[0] round
     /* 1170447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1170460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170482 */     // GIR_Coverage, 16058,
     /* 1170482 */     GIR_EraseRootFromParent_Done,
     /* 1170483 */   // Label 17054: @1170483
     /* 1170483 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170563), // Rule ID 16061 //
     /* 1170488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170527 */     // MIs[0] round
     /* 1170527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170562 */     // GIR_Coverage, 16061,
     /* 1170562 */     GIR_EraseRootFromParent_Done,
     /* 1170563 */   // Label 17055: @1170563
     /* 1170563 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170643), // Rule ID 16062 //
     /* 1170568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170607 */     // MIs[0] round
     /* 1170607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170642 */     // GIR_Coverage, 16062,
     /* 1170642 */     GIR_EraseRootFromParent_Done,
     /* 1170643 */   // Label 17056: @1170643
     /* 1170643 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170723), // Rule ID 16065 //
     /* 1170648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1170659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1170662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170687 */     // MIs[0] round
     /* 1170687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170722 */     // GIR_Coverage, 16065,
     /* 1170722 */     GIR_EraseRootFromParent_Done,
     /* 1170723 */   // Label 17057: @1170723
     /* 1170723 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170803), // Rule ID 16066 //
     /* 1170728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1170739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1170742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170767 */     // MIs[0] round
     /* 1170767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170802 */     // GIR_Coverage, 16066,
     /* 1170802 */     GIR_EraseRootFromParent_Done,
     /* 1170803 */   // Label 17058: @1170803
     /* 1170803 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170883), // Rule ID 16069 //
     /* 1170808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1170819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1170822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170847 */     // MIs[0] round
     /* 1170847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170882 */     // GIR_Coverage, 16069,
     /* 1170882 */     GIR_EraseRootFromParent_Done,
     /* 1170883 */   // Label 17059: @1170883
     /* 1170883 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1170963), // Rule ID 16070 //
     /* 1170888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1170899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1170902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170927 */     // MIs[0] round
     /* 1170927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1170940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170962 */     // GIR_Coverage, 16070,
     /* 1170962 */     GIR_EraseRootFromParent_Done,
     /* 1170963 */   // Label 17060: @1170963
     /* 1170963 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171043), // Rule ID 16073 //
     /* 1170968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1170979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1170982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1170985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171007 */     // MIs[0] round
     /* 1171007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171042 */     // GIR_Coverage, 16073,
     /* 1171042 */     GIR_EraseRootFromParent_Done,
     /* 1171043 */   // Label 17061: @1171043
     /* 1171043 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171123), // Rule ID 16074 //
     /* 1171048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1171059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1171062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171087 */     // MIs[0] round
     /* 1171087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1171100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171122 */     // GIR_Coverage, 16074,
     /* 1171122 */     GIR_EraseRootFromParent_Done,
     /* 1171123 */   // Label 17062: @1171123
     /* 1171123 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171203), // Rule ID 16077 //
     /* 1171128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171167 */     // MIs[0] round
     /* 1171167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171202 */     // GIR_Coverage, 16077,
     /* 1171202 */     GIR_EraseRootFromParent_Done,
     /* 1171203 */   // Label 17063: @1171203
     /* 1171203 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171283), // Rule ID 16078 //
     /* 1171208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1171219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1171222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1171225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171247 */     // MIs[0] round
     /* 1171247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171282 */     // GIR_Coverage, 16078,
     /* 1171282 */     GIR_EraseRootFromParent_Done,
     /* 1171283 */   // Label 17064: @1171283
     /* 1171283 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171363), // Rule ID 16081 //
     /* 1171288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171327 */     // MIs[0] round
     /* 1171327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171337 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171362 */     // GIR_Coverage, 16081,
     /* 1171362 */     GIR_EraseRootFromParent_Done,
     /* 1171363 */   // Label 17065: @1171363
     /* 1171363 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171443), // Rule ID 16082 //
     /* 1171368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1171379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1171382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171407 */     // MIs[0] round
     /* 1171407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171442 */     // GIR_Coverage, 16082,
     /* 1171442 */     GIR_EraseRootFromParent_Done,
     /* 1171443 */   // Label 17066: @1171443
     /* 1171443 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171523), // Rule ID 16085 //
     /* 1171448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171487 */     // MIs[0] round
     /* 1171487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171522 */     // GIR_Coverage, 16085,
     /* 1171522 */     GIR_EraseRootFromParent_Done,
     /* 1171523 */   // Label 17067: @1171523
     /* 1171523 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171603), // Rule ID 16086 //
     /* 1171528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1171539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1171542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171567 */     // MIs[0] round
     /* 1171567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171602 */     // GIR_Coverage, 16086,
     /* 1171602 */     GIR_EraseRootFromParent_Done,
     /* 1171603 */   // Label 17068: @1171603
     /* 1171603 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171683), // Rule ID 16089 //
     /* 1171608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171647 */     // MIs[0] round
     /* 1171647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171657 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171682 */     // GIR_Coverage, 16089,
     /* 1171682 */     GIR_EraseRootFromParent_Done,
     /* 1171683 */   // Label 17069: @1171683
     /* 1171683 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171763), // Rule ID 16090 //
     /* 1171688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171727 */     // MIs[0] round
     /* 1171727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171762 */     // GIR_Coverage, 16090,
     /* 1171762 */     GIR_EraseRootFromParent_Done,
     /* 1171763 */   // Label 17070: @1171763
     /* 1171763 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171843), // Rule ID 16093 //
     /* 1171768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171807 */     // MIs[0] round
     /* 1171807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171842 */     // GIR_Coverage, 16093,
     /* 1171842 */     GIR_EraseRootFromParent_Done,
     /* 1171843 */   // Label 17071: @1171843
     /* 1171843 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171923), // Rule ID 16094 //
     /* 1171848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171887 */     // MIs[0] round
     /* 1171887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171922 */     // GIR_Coverage, 16094,
     /* 1171922 */     GIR_EraseRootFromParent_Done,
     /* 1171923 */   // Label 17072: @1171923
     /* 1171923 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172003), // Rule ID 16097 //
     /* 1171928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1171939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1171942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1171945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171967 */     // MIs[0] round
     /* 1171967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171977 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172002 */     // GIR_Coverage, 16097,
     /* 1172002 */     GIR_EraseRootFromParent_Done,
     /* 1172003 */   // Label 17073: @1172003
     /* 1172003 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172083), // Rule ID 16098 //
     /* 1172008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1172019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1172022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172047 */     // MIs[0] round
     /* 1172047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172082 */     // GIR_Coverage, 16098,
     /* 1172082 */     GIR_EraseRootFromParent_Done,
     /* 1172083 */   // Label 17074: @1172083
     /* 1172083 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172163), // Rule ID 16101 //
     /* 1172088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172127 */     // MIs[0] round
     /* 1172127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172162 */     // GIR_Coverage, 16101,
     /* 1172162 */     GIR_EraseRootFromParent_Done,
     /* 1172163 */   // Label 17075: @1172163
     /* 1172163 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172243), // Rule ID 16102 //
     /* 1172168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1172179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1172182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1172185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172207 */     // MIs[0] round
     /* 1172207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172242 */     // GIR_Coverage, 16102,
     /* 1172242 */     GIR_EraseRootFromParent_Done,
     /* 1172243 */   // Label 17076: @1172243
     /* 1172243 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172323), // Rule ID 16105 //
     /* 1172248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172287 */     // MIs[0] round
     /* 1172287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172322 */     // GIR_Coverage, 16105,
     /* 1172322 */     GIR_EraseRootFromParent_Done,
     /* 1172323 */   // Label 17077: @1172323
     /* 1172323 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172403), // Rule ID 16106 //
     /* 1172328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172367 */     // MIs[0] round
     /* 1172367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172402 */     // GIR_Coverage, 16106,
     /* 1172402 */     GIR_EraseRootFromParent_Done,
     /* 1172403 */   // Label 17078: @1172403
     /* 1172403 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172483), // Rule ID 16109 //
     /* 1172408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172447 */     // MIs[0] round
     /* 1172447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172482 */     // GIR_Coverage, 16109,
     /* 1172482 */     GIR_EraseRootFromParent_Done,
     /* 1172483 */   // Label 17079: @1172483
     /* 1172483 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172563), // Rule ID 16110 //
     /* 1172488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1172499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1172502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172527 */     // MIs[0] round
     /* 1172527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172562 */     // GIR_Coverage, 16110,
     /* 1172562 */     GIR_EraseRootFromParent_Done,
     /* 1172563 */   // Label 17080: @1172563
     /* 1172563 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172643), // Rule ID 16113 //
     /* 1172568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1172579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1172582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172607 */     // MIs[0] round
     /* 1172607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172642 */     // GIR_Coverage, 16113,
     /* 1172642 */     GIR_EraseRootFromParent_Done,
     /* 1172643 */   // Label 17081: @1172643
     /* 1172643 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172723), // Rule ID 16114 //
     /* 1172648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1172659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1172662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172687 */     // MIs[0] round
     /* 1172687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1172700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172722 */     // GIR_Coverage, 16114,
     /* 1172722 */     GIR_EraseRootFromParent_Done,
     /* 1172723 */   // Label 17082: @1172723
     /* 1172723 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172803), // Rule ID 16117 //
     /* 1172728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1172739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1172742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172767 */     // MIs[0] round
     /* 1172767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172802 */     // GIR_Coverage, 16117,
     /* 1172802 */     GIR_EraseRootFromParent_Done,
     /* 1172803 */   // Label 17083: @1172803
     /* 1172803 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172883), // Rule ID 16118 //
     /* 1172808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1172819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1172822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172847 */     // MIs[0] round
     /* 1172847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1172860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172882 */     // GIR_Coverage, 16118,
     /* 1172882 */     GIR_EraseRootFromParent_Done,
     /* 1172883 */   // Label 17084: @1172883
     /* 1172883 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1172963), // Rule ID 16121 //
     /* 1172888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1172899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1172902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172927 */     // MIs[0] round
     /* 1172927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1172940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172962 */     // GIR_Coverage, 16121,
     /* 1172962 */     GIR_EraseRootFromParent_Done,
     /* 1172963 */   // Label 17085: @1172963
     /* 1172963 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173043), // Rule ID 16122 //
     /* 1172968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1172979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1172982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173007 */     // MIs[0] round
     /* 1173007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1173020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173042 */     // GIR_Coverage, 16122,
     /* 1173042 */     GIR_EraseRootFromParent_Done,
     /* 1173043 */   // Label 17086: @1173043
     /* 1173043 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173126), // Rule ID 16213 //
     /* 1173048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173087 */     // MIs[0] round
     /* 1173087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173097 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173125 */     // GIR_Coverage, 16213,
     /* 1173125 */     GIR_EraseRootFromParent_Done,
     /* 1173126 */   // Label 17087: @1173126
     /* 1173126 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173209), // Rule ID 16214 //
     /* 1173131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1173142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1173145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1173151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173170 */     // MIs[0] round
     /* 1173170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1173183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173208 */     // GIR_Coverage, 16214,
     /* 1173208 */     GIR_EraseRootFromParent_Done,
     /* 1173209 */   // Label 17088: @1173209
     /* 1173209 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173292), // Rule ID 16217 //
     /* 1173214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173253 */     // MIs[0] round
     /* 1173253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173263 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173291 */     // GIR_Coverage, 16217,
     /* 1173291 */     GIR_EraseRootFromParent_Done,
     /* 1173292 */   // Label 17089: @1173292
     /* 1173292 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173375), // Rule ID 16218 //
     /* 1173297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1173308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1173311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173336 */     // MIs[0] round
     /* 1173336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1173349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173374 */     // GIR_Coverage, 16218,
     /* 1173374 */     GIR_EraseRootFromParent_Done,
     /* 1173375 */   // Label 17090: @1173375
     /* 1173375 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173458), // Rule ID 16221 //
     /* 1173380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173419 */     // MIs[0] round
     /* 1173419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173429 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173457 */     // GIR_Coverage, 16221,
     /* 1173457 */     GIR_EraseRootFromParent_Done,
     /* 1173458 */   // Label 17091: @1173458
     /* 1173458 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173541), // Rule ID 16222 //
     /* 1173463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1173474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1173477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173502 */     // MIs[0] round
     /* 1173502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173540 */     // GIR_Coverage, 16222,
     /* 1173540 */     GIR_EraseRootFromParent_Done,
     /* 1173541 */   // Label 17092: @1173541
     /* 1173541 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173624), // Rule ID 16225 //
     /* 1173546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173585 */     // MIs[0] round
     /* 1173585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173623 */     // GIR_Coverage, 16225,
     /* 1173623 */     GIR_EraseRootFromParent_Done,
     /* 1173624 */   // Label 17093: @1173624
     /* 1173624 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173707), // Rule ID 16226 //
     /* 1173629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1173640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1173643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1173646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173668 */     // MIs[0] round
     /* 1173668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173706 */     // GIR_Coverage, 16226,
     /* 1173706 */     GIR_EraseRootFromParent_Done,
     /* 1173707 */   // Label 17094: @1173707
     /* 1173707 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173790), // Rule ID 16229 //
     /* 1173712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173751 */     // MIs[0] round
     /* 1173751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173761 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173789 */     // GIR_Coverage, 16229,
     /* 1173789 */     GIR_EraseRootFromParent_Done,
     /* 1173790 */   // Label 17095: @1173790
     /* 1173790 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173873), // Rule ID 16230 //
     /* 1173795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1173812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173834 */     // MIs[0] round
     /* 1173834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173872 */     // GIR_Coverage, 16230,
     /* 1173872 */     GIR_EraseRootFromParent_Done,
     /* 1173873 */   // Label 17096: @1173873
     /* 1173873 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1173956), // Rule ID 16233 //
     /* 1173878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173917 */     // MIs[0] round
     /* 1173917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1173930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173955 */     // GIR_Coverage, 16233,
     /* 1173955 */     GIR_EraseRootFromParent_Done,
     /* 1173956 */   // Label 17097: @1173956
     /* 1173956 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174039), // Rule ID 16234 //
     /* 1173961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174000 */     // MIs[0] round
     /* 1174000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174038 */     // GIR_Coverage, 16234,
     /* 1174038 */     GIR_EraseRootFromParent_Done,
     /* 1174039 */   // Label 17098: @1174039
     /* 1174039 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174122), // Rule ID 16237 //
     /* 1174044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174083 */     // MIs[0] round
     /* 1174083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174121 */     // GIR_Coverage, 16237,
     /* 1174121 */     GIR_EraseRootFromParent_Done,
     /* 1174122 */   // Label 17099: @1174122
     /* 1174122 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174205), // Rule ID 16238 //
     /* 1174127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1174147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174166 */     // MIs[0] round
     /* 1174166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1174179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174204 */     // GIR_Coverage, 16238,
     /* 1174204 */     GIR_EraseRootFromParent_Done,
     /* 1174205 */   // Label 17100: @1174205
     /* 1174205 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174288), // Rule ID 16241 //
     /* 1174210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174249 */     // MIs[0] round
     /* 1174249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174287 */     // GIR_Coverage, 16241,
     /* 1174287 */     GIR_EraseRootFromParent_Done,
     /* 1174288 */   // Label 17101: @1174288
     /* 1174288 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174371), // Rule ID 16242 //
     /* 1174293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1174313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174332 */     // MIs[0] round
     /* 1174332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174370 */     // GIR_Coverage, 16242,
     /* 1174370 */     GIR_EraseRootFromParent_Done,
     /* 1174371 */   // Label 17102: @1174371
     /* 1174371 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174454), // Rule ID 16245 //
     /* 1174376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174415 */     // MIs[0] round
     /* 1174415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174453 */     // GIR_Coverage, 16245,
     /* 1174453 */     GIR_EraseRootFromParent_Done,
     /* 1174454 */   // Label 17103: @1174454
     /* 1174454 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174537), // Rule ID 16246 //
     /* 1174459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1174470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1174473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1174479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174498 */     // MIs[0] round
     /* 1174498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1174511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174536 */     // GIR_Coverage, 16246,
     /* 1174536 */     GIR_EraseRootFromParent_Done,
     /* 1174537 */   // Label 17104: @1174537
     /* 1174537 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174620), // Rule ID 16249 //
     /* 1174542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174581 */     // MIs[0] round
     /* 1174581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174619 */     // GIR_Coverage, 16249,
     /* 1174619 */     GIR_EraseRootFromParent_Done,
     /* 1174620 */   // Label 17105: @1174620
     /* 1174620 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174703), // Rule ID 16250 //
     /* 1174625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174664 */     // MIs[0] round
     /* 1174664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174702 */     // GIR_Coverage, 16250,
     /* 1174702 */     GIR_EraseRootFromParent_Done,
     /* 1174703 */   // Label 17106: @1174703
     /* 1174703 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174786), // Rule ID 16253 //
     /* 1174708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174747 */     // MIs[0] round
     /* 1174747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174757 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174785 */     // GIR_Coverage, 16253,
     /* 1174785 */     GIR_EraseRootFromParent_Done,
     /* 1174786 */   // Label 17107: @1174786
     /* 1174786 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174869), // Rule ID 16254 //
     /* 1174791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174830 */     // MIs[0] round
     /* 1174830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174868 */     // GIR_Coverage, 16254,
     /* 1174868 */     GIR_EraseRootFromParent_Done,
     /* 1174869 */   // Label 17108: @1174869
     /* 1174869 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1174952), // Rule ID 16257 //
     /* 1174874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1174885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1174888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1174894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174913 */     // MIs[0] round
     /* 1174913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1174926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174951 */     // GIR_Coverage, 16257,
     /* 1174951 */     GIR_EraseRootFromParent_Done,
     /* 1174952 */   // Label 17109: @1174952
     /* 1174952 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175035), // Rule ID 16258 //
     /* 1174957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1174968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1174971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1174977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174996 */     // MIs[0] round
     /* 1174996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1175009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175034 */     // GIR_Coverage, 16258,
     /* 1175034 */     GIR_EraseRootFromParent_Done,
     /* 1175035 */   // Label 17110: @1175035
     /* 1175035 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175118), // Rule ID 16261 //
     /* 1175040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175079 */     // MIs[0] round
     /* 1175079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175117 */     // GIR_Coverage, 16261,
     /* 1175117 */     GIR_EraseRootFromParent_Done,
     /* 1175118 */   // Label 17111: @1175118
     /* 1175118 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175201), // Rule ID 16262 //
     /* 1175123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1175143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175162 */     // MIs[0] round
     /* 1175162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1175175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175200 */     // GIR_Coverage, 16262,
     /* 1175200 */     GIR_EraseRootFromParent_Done,
     /* 1175201 */   // Label 17112: @1175201
     /* 1175201 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175284), // Rule ID 16265 //
     /* 1175206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175245 */     // MIs[0] round
     /* 1175245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175283 */     // GIR_Coverage, 16265,
     /* 1175283 */     GIR_EraseRootFromParent_Done,
     /* 1175284 */   // Label 17113: @1175284
     /* 1175284 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175367), // Rule ID 16266 //
     /* 1175289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1175300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1175303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175328 */     // MIs[0] round
     /* 1175328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1175341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175366 */     // GIR_Coverage, 16266,
     /* 1175366 */     GIR_EraseRootFromParent_Done,
     /* 1175367 */   // Label 17114: @1175367
     /* 1175367 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175450), // Rule ID 16269 //
     /* 1175372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1175375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175411 */     // MIs[0] round
     /* 1175411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175449 */     // GIR_Coverage, 16269,
     /* 1175449 */     GIR_EraseRootFromParent_Done,
     /* 1175450 */   // Label 17115: @1175450
     /* 1175450 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175533), // Rule ID 16270 //
     /* 1175455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1175458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175494 */     // MIs[0] round
     /* 1175494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1175507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175532 */     // GIR_Coverage, 16270,
     /* 1175532 */     GIR_EraseRootFromParent_Done,
     /* 1175533 */   // Label 17116: @1175533
     /* 1175533 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175616), // Rule ID 16273 //
     /* 1175538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175577 */     // MIs[0] round
     /* 1175577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1175590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175615 */     // GIR_Coverage, 16273,
     /* 1175615 */     GIR_EraseRootFromParent_Done,
     /* 1175616 */   // Label 17117: @1175616
     /* 1175616 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175699), // Rule ID 16274 //
     /* 1175621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175660 */     // MIs[0] round
     /* 1175660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175670 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1175673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175698 */     // GIR_Coverage, 16274,
     /* 1175698 */     GIR_EraseRootFromParent_Done,
     /* 1175699 */   // Label 17118: @1175699
     /* 1175699 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175782), // Rule ID 16277 //
     /* 1175704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175743 */     // MIs[0] round
     /* 1175743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175781 */     // GIR_Coverage, 16277,
     /* 1175781 */     GIR_EraseRootFromParent_Done,
     /* 1175782 */   // Label 17119: @1175782
     /* 1175782 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175865), // Rule ID 16278 //
     /* 1175787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1175804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175826 */     // MIs[0] round
     /* 1175826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175864 */     // GIR_Coverage, 16278,
     /* 1175864 */     GIR_EraseRootFromParent_Done,
     /* 1175865 */   // Label 17120: @1175865
     /* 1175865 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1175948), // Rule ID 16281 //
     /* 1175870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175909 */     // MIs[0] round
     /* 1175909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175919 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1175922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175947 */     // GIR_Coverage, 16281,
     /* 1175947 */     GIR_EraseRootFromParent_Done,
     /* 1175948 */   // Label 17121: @1175948
     /* 1175948 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176031), // Rule ID 16282 //
     /* 1175953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175992 */     // MIs[0] round
     /* 1175992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176030 */     // GIR_Coverage, 16282,
     /* 1176030 */     GIR_EraseRootFromParent_Done,
     /* 1176031 */   // Label 17122: @1176031
     /* 1176031 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176114), // Rule ID 16285 //
     /* 1176036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176075 */     // MIs[0] round
     /* 1176075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176085 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176113 */     // GIR_Coverage, 16285,
     /* 1176113 */     GIR_EraseRootFromParent_Done,
     /* 1176114 */   // Label 17123: @1176114
     /* 1176114 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176197), // Rule ID 16286 //
     /* 1176119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176158 */     // MIs[0] round
     /* 1176158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176196 */     // GIR_Coverage, 16286,
     /* 1176196 */     GIR_EraseRootFromParent_Done,
     /* 1176197 */   // Label 17124: @1176197
     /* 1176197 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176280), // Rule ID 16289 //
     /* 1176202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176241 */     // MIs[0] round
     /* 1176241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176279 */     // GIR_Coverage, 16289,
     /* 1176279 */     GIR_EraseRootFromParent_Done,
     /* 1176280 */   // Label 17125: @1176280
     /* 1176280 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176363), // Rule ID 16290 //
     /* 1176285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1176296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1176299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176324 */     // MIs[0] round
     /* 1176324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176362 */     // GIR_Coverage, 16290,
     /* 1176362 */     GIR_EraseRootFromParent_Done,
     /* 1176363 */   // Label 17126: @1176363
     /* 1176363 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176446), // Rule ID 16293 //
     /* 1176368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176407 */     // MIs[0] round
     /* 1176407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176445 */     // GIR_Coverage, 16293,
     /* 1176445 */     GIR_EraseRootFromParent_Done,
     /* 1176446 */   // Label 17127: @1176446
     /* 1176446 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176529), // Rule ID 16294 //
     /* 1176451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1176462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1176465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176490 */     // MIs[0] round
     /* 1176490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176528 */     // GIR_Coverage, 16294,
     /* 1176528 */     GIR_EraseRootFromParent_Done,
     /* 1176529 */   // Label 17128: @1176529
     /* 1176529 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176612), // Rule ID 16297 //
     /* 1176534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176573 */     // MIs[0] round
     /* 1176573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176611 */     // GIR_Coverage, 16297,
     /* 1176611 */     GIR_EraseRootFromParent_Done,
     /* 1176612 */   // Label 17129: @1176612
     /* 1176612 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176695), // Rule ID 16298 //
     /* 1176617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176656 */     // MIs[0] round
     /* 1176656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1176669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176694 */     // GIR_Coverage, 16298,
     /* 1176694 */     GIR_EraseRootFromParent_Done,
     /* 1176695 */   // Label 17130: @1176695
     /* 1176695 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176778), // Rule ID 16301 //
     /* 1176700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176739 */     // MIs[0] round
     /* 1176739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176777 */     // GIR_Coverage, 16301,
     /* 1176777 */     GIR_EraseRootFromParent_Done,
     /* 1176778 */   // Label 17131: @1176778
     /* 1176778 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176861), // Rule ID 16302 //
     /* 1176783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176822 */     // MIs[0] round
     /* 1176822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176860 */     // GIR_Coverage, 16302,
     /* 1176860 */     GIR_EraseRootFromParent_Done,
     /* 1176861 */   // Label 17132: @1176861
     /* 1176861 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1176944), // Rule ID 16305 //
     /* 1176866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176905 */     // MIs[0] round
     /* 1176905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176943 */     // GIR_Coverage, 16305,
     /* 1176943 */     GIR_EraseRootFromParent_Done,
     /* 1176944 */   // Label 17133: @1176944
     /* 1176944 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177027), // Rule ID 16306 //
     /* 1176949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176988 */     // MIs[0] round
     /* 1176988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177026 */     // GIR_Coverage, 16306,
     /* 1177026 */     GIR_EraseRootFromParent_Done,
     /* 1177027 */   // Label 17134: @1177027
     /* 1177027 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177110), // Rule ID 16309 //
     /* 1177032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177071 */     // MIs[0] round
     /* 1177071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177109 */     // GIR_Coverage, 16309,
     /* 1177109 */     GIR_EraseRootFromParent_Done,
     /* 1177110 */   // Label 17135: @1177110
     /* 1177110 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177193), // Rule ID 16310 //
     /* 1177115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1177132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177154 */     // MIs[0] round
     /* 1177154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177192 */     // GIR_Coverage, 16310,
     /* 1177192 */     GIR_EraseRootFromParent_Done,
     /* 1177193 */   // Label 17136: @1177193
     /* 1177193 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177276), // Rule ID 16313 //
     /* 1177198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177237 */     // MIs[0] round
     /* 1177237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177275 */     // GIR_Coverage, 16313,
     /* 1177275 */     GIR_EraseRootFromParent_Done,
     /* 1177276 */   // Label 17137: @1177276
     /* 1177276 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177359), // Rule ID 16314 //
     /* 1177281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177320 */     // MIs[0] round
     /* 1177320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177358 */     // GIR_Coverage, 16314,
     /* 1177358 */     GIR_EraseRootFromParent_Done,
     /* 1177359 */   // Label 17138: @1177359
     /* 1177359 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177442), // Rule ID 16317 //
     /* 1177364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177403 */     // MIs[0] round
     /* 1177403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177413 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177441 */     // GIR_Coverage, 16317,
     /* 1177441 */     GIR_EraseRootFromParent_Done,
     /* 1177442 */   // Label 17139: @1177442
     /* 1177442 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177525), // Rule ID 16318 //
     /* 1177447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177486 */     // MIs[0] round
     /* 1177486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1177499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177524 */     // GIR_Coverage, 16318,
     /* 1177524 */     GIR_EraseRootFromParent_Done,
     /* 1177525 */   // Label 17140: @1177525
     /* 1177525 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177608), // Rule ID 16321 //
     /* 1177530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177569 */     // MIs[0] round
     /* 1177569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177607 */     // GIR_Coverage, 16321,
     /* 1177607 */     GIR_EraseRootFromParent_Done,
     /* 1177608 */   // Label 17141: @1177608
     /* 1177608 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177691), // Rule ID 16322 //
     /* 1177613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177652 */     // MIs[0] round
     /* 1177652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1177665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177690 */     // GIR_Coverage, 16322,
     /* 1177690 */     GIR_EraseRootFromParent_Done,
     /* 1177691 */   // Label 17142: @1177691
     /* 1177691 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177774), // Rule ID 16325 //
     /* 1177696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177735 */     // MIs[0] round
     /* 1177735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177773 */     // GIR_Coverage, 16325,
     /* 1177773 */     GIR_EraseRootFromParent_Done,
     /* 1177774 */   // Label 17143: @1177774
     /* 1177774 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177857), // Rule ID 16326 //
     /* 1177779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1177790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1177793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177818 */     // MIs[0] round
     /* 1177818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1177831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177856 */     // GIR_Coverage, 16326,
     /* 1177856 */     GIR_EraseRootFromParent_Done,
     /* 1177857 */   // Label 17144: @1177857
     /* 1177857 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177940), // Rule ID 16329 //
     /* 1177862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1177865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177901 */     // MIs[0] round
     /* 1177901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177939 */     // GIR_Coverage, 16329,
     /* 1177939 */     GIR_EraseRootFromParent_Done,
     /* 1177940 */   // Label 17145: @1177940
     /* 1177940 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178023), // Rule ID 16330 //
     /* 1177945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177984 */     // MIs[0] round
     /* 1177984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1177997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178022 */     // GIR_Coverage, 16330,
     /* 1178022 */     GIR_EraseRootFromParent_Done,
     /* 1178023 */   // Label 17146: @1178023
     /* 1178023 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178106), // Rule ID 16393 //
     /* 1178028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178067 */     // MIs[0] round
     /* 1178067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178105 */     // GIR_Coverage, 16393,
     /* 1178105 */     GIR_EraseRootFromParent_Done,
     /* 1178106 */   // Label 17147: @1178106
     /* 1178106 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178189), // Rule ID 16394 //
     /* 1178111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1178128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1178131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178150 */     // MIs[0] round
     /* 1178150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178160 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1178163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178188 */     // GIR_Coverage, 16394,
     /* 1178188 */     GIR_EraseRootFromParent_Done,
     /* 1178189 */   // Label 17148: @1178189
     /* 1178189 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178272), // Rule ID 16397 //
     /* 1178194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178233 */     // MIs[0] round
     /* 1178233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178243 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178271 */     // GIR_Coverage, 16397,
     /* 1178271 */     GIR_EraseRootFromParent_Done,
     /* 1178272 */   // Label 17149: @1178272
     /* 1178272 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178355), // Rule ID 16398 //
     /* 1178277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1178288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1178291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1178294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1178297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178316 */     // MIs[0] round
     /* 1178316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178326 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1178329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178354 */     // GIR_Coverage, 16398,
     /* 1178354 */     GIR_EraseRootFromParent_Done,
     /* 1178355 */   // Label 17150: @1178355
     /* 1178355 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178438), // Rule ID 16401 //
     /* 1178360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178399 */     // MIs[0] round
     /* 1178399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178437 */     // GIR_Coverage, 16401,
     /* 1178437 */     GIR_EraseRootFromParent_Done,
     /* 1178438 */   // Label 17151: @1178438
     /* 1178438 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178521), // Rule ID 16402 //
     /* 1178443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178482 */     // MIs[0] round
     /* 1178482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178520 */     // GIR_Coverage, 16402,
     /* 1178520 */     GIR_EraseRootFromParent_Done,
     /* 1178521 */   // Label 17152: @1178521
     /* 1178521 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178604), // Rule ID 16405 //
     /* 1178526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178565 */     // MIs[0] round
     /* 1178565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178575 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178603 */     // GIR_Coverage, 16405,
     /* 1178603 */     GIR_EraseRootFromParent_Done,
     /* 1178604 */   // Label 17153: @1178604
     /* 1178604 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178687), // Rule ID 16406 //
     /* 1178609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178648 */     // MIs[0] round
     /* 1178648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178686 */     // GIR_Coverage, 16406,
     /* 1178686 */     GIR_EraseRootFromParent_Done,
     /* 1178687 */   // Label 17154: @1178687
     /* 1178687 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178770), // Rule ID 16409 //
     /* 1178692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178731 */     // MIs[0] round
     /* 1178731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178741 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178769 */     // GIR_Coverage, 16409,
     /* 1178769 */     GIR_EraseRootFromParent_Done,
     /* 1178770 */   // Label 17155: @1178770
     /* 1178770 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178853), // Rule ID 16410 //
     /* 1178775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178814 */     // MIs[0] round
     /* 1178814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178852 */     // GIR_Coverage, 16410,
     /* 1178852 */     GIR_EraseRootFromParent_Done,
     /* 1178853 */   // Label 17156: @1178853
     /* 1178853 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178936), // Rule ID 16413 //
     /* 1178858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178897 */     // MIs[0] round
     /* 1178897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178907 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1178910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178935 */     // GIR_Coverage, 16413,
     /* 1178935 */     GIR_EraseRootFromParent_Done,
     /* 1178936 */   // Label 17157: @1178936
     /* 1178936 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179019), // Rule ID 16414 //
     /* 1178941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178980 */     // MIs[0] round
     /* 1178980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1178993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179018 */     // GIR_Coverage, 16414,
     /* 1179018 */     GIR_EraseRootFromParent_Done,
     /* 1179019 */   // Label 17158: @1179019
     /* 1179019 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179102), // Rule ID 16417 //
     /* 1179024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179063 */     // MIs[0] round
     /* 1179063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179073 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179101 */     // GIR_Coverage, 16417,
     /* 1179101 */     GIR_EraseRootFromParent_Done,
     /* 1179102 */   // Label 17159: @1179102
     /* 1179102 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179185), // Rule ID 16418 //
     /* 1179107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1179127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179146 */     // MIs[0] round
     /* 1179146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1179159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179184 */     // GIR_Coverage, 16418,
     /* 1179184 */     GIR_EraseRootFromParent_Done,
     /* 1179185 */   // Label 17160: @1179185
     /* 1179185 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179268), // Rule ID 16421 //
     /* 1179190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179229 */     // MIs[0] round
     /* 1179229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179267 */     // GIR_Coverage, 16421,
     /* 1179267 */     GIR_EraseRootFromParent_Done,
     /* 1179268 */   // Label 17161: @1179268
     /* 1179268 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179351), // Rule ID 16422 //
     /* 1179273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1179290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1179293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179312 */     // MIs[0] round
     /* 1179312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179350 */     // GIR_Coverage, 16422,
     /* 1179350 */     GIR_EraseRootFromParent_Done,
     /* 1179351 */   // Label 17162: @1179351
     /* 1179351 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179434), // Rule ID 16425 //
     /* 1179356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179395 */     // MIs[0] round
     /* 1179395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179433 */     // GIR_Coverage, 16425,
     /* 1179433 */     GIR_EraseRootFromParent_Done,
     /* 1179434 */   // Label 17163: @1179434
     /* 1179434 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179517), // Rule ID 16426 //
     /* 1179439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179478 */     // MIs[0] round
     /* 1179478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1179491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179516 */     // GIR_Coverage, 16426,
     /* 1179516 */     GIR_EraseRootFromParent_Done,
     /* 1179517 */   // Label 17164: @1179517
     /* 1179517 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179600), // Rule ID 16429 //
     /* 1179522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179561 */     // MIs[0] round
     /* 1179561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179599 */     // GIR_Coverage, 16429,
     /* 1179599 */     GIR_EraseRootFromParent_Done,
     /* 1179600 */   // Label 17165: @1179600
     /* 1179600 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179683), // Rule ID 16430 //
     /* 1179605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179644 */     // MIs[0] round
     /* 1179644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179682 */     // GIR_Coverage, 16430,
     /* 1179682 */     GIR_EraseRootFromParent_Done,
     /* 1179683 */   // Label 17166: @1179683
     /* 1179683 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179766), // Rule ID 16433 //
     /* 1179688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179727 */     // MIs[0] round
     /* 1179727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179765 */     // GIR_Coverage, 16433,
     /* 1179765 */     GIR_EraseRootFromParent_Done,
     /* 1179766 */   // Label 17167: @1179766
     /* 1179766 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179849), // Rule ID 16434 //
     /* 1179771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179810 */     // MIs[0] round
     /* 1179810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179848 */     // GIR_Coverage, 16434,
     /* 1179848 */     GIR_EraseRootFromParent_Done,
     /* 1179849 */   // Label 17168: @1179849
     /* 1179849 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179932), // Rule ID 16437 //
     /* 1179854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179893 */     // MIs[0] round
     /* 1179893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179931 */     // GIR_Coverage, 16437,
     /* 1179931 */     GIR_EraseRootFromParent_Done,
     /* 1179932 */   // Label 17169: @1179932
     /* 1179932 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1180015), // Rule ID 16438 //
     /* 1179937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179976 */     // MIs[0] round
     /* 1179976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1179989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180014 */     // GIR_Coverage, 16438,
     /* 1180014 */     GIR_EraseRootFromParent_Done,
     /* 1180015 */   // Label 17170: @1180015
     /* 1180015 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180098), // Rule ID 16441 //
     /* 1180020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180059 */     // MIs[0] round
     /* 1180059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180097 */     // GIR_Coverage, 16441,
     /* 1180097 */     GIR_EraseRootFromParent_Done,
     /* 1180098 */   // Label 17171: @1180098
     /* 1180098 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180181), // Rule ID 16442 //
     /* 1180103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1180120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1180123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180142 */     // MIs[0] round
     /* 1180142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1180155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180180 */     // GIR_Coverage, 16442,
     /* 1180180 */     GIR_EraseRootFromParent_Done,
     /* 1180181 */   // Label 17172: @1180181
     /* 1180181 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180264), // Rule ID 16445 //
     /* 1180186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180225 */     // MIs[0] round
     /* 1180225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180263 */     // GIR_Coverage, 16445,
     /* 1180263 */     GIR_EraseRootFromParent_Done,
     /* 1180264 */   // Label 17173: @1180264
     /* 1180264 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180347), // Rule ID 16446 //
     /* 1180269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1180289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180308 */     // MIs[0] round
     /* 1180308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1180321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180346 */     // GIR_Coverage, 16446,
     /* 1180346 */     GIR_EraseRootFromParent_Done,
     /* 1180347 */   // Label 17174: @1180347
     /* 1180347 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180430), // Rule ID 16449 //
     /* 1180352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1180355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180391 */     // MIs[0] round
     /* 1180391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180429 */     // GIR_Coverage, 16449,
     /* 1180429 */     GIR_EraseRootFromParent_Done,
     /* 1180430 */   // Label 17175: @1180430
     /* 1180430 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180513), // Rule ID 16450 //
     /* 1180435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180474 */     // MIs[0] round
     /* 1180474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1180487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180512 */     // GIR_Coverage, 16450,
     /* 1180512 */     GIR_EraseRootFromParent_Done,
     /* 1180513 */   // Label 17176: @1180513
     /* 1180513 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180596), // Rule ID 16453 //
     /* 1180518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180557 */     // MIs[0] round
     /* 1180557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1180570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180595 */     // GIR_Coverage, 16453,
     /* 1180595 */     GIR_EraseRootFromParent_Done,
     /* 1180596 */   // Label 17177: @1180596
     /* 1180596 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180679), // Rule ID 16454 //
     /* 1180601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180640 */     // MIs[0] round
     /* 1180640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1180653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180678 */     // GIR_Coverage, 16454,
     /* 1180678 */     GIR_EraseRootFromParent_Done,
     /* 1180679 */   // Label 17178: @1180679
     /* 1180679 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180762), // Rule ID 16457 //
     /* 1180684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180723 */     // MIs[0] round
     /* 1180723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180761 */     // GIR_Coverage, 16457,
     /* 1180761 */     GIR_EraseRootFromParent_Done,
     /* 1180762 */   // Label 17179: @1180762
     /* 1180762 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180845), // Rule ID 16458 //
     /* 1180767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180806 */     // MIs[0] round
     /* 1180806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180816 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180844 */     // GIR_Coverage, 16458,
     /* 1180844 */     GIR_EraseRootFromParent_Done,
     /* 1180845 */   // Label 17180: @1180845
     /* 1180845 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180928), // Rule ID 16461 //
     /* 1180850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180889 */     // MIs[0] round
     /* 1180889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180899 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1180902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180927 */     // GIR_Coverage, 16461,
     /* 1180927 */     GIR_EraseRootFromParent_Done,
     /* 1180928 */   // Label 17181: @1180928
     /* 1180928 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1181011), // Rule ID 16462 //
     /* 1180933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180972 */     // MIs[0] round
     /* 1180972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1180985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181010 */     // GIR_Coverage, 16462,
     /* 1181010 */     GIR_EraseRootFromParent_Done,
     /* 1181011 */   // Label 17182: @1181011
     /* 1181011 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181094), // Rule ID 16465 //
     /* 1181016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181055 */     // MIs[0] round
     /* 1181055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181093 */     // GIR_Coverage, 16465,
     /* 1181093 */     GIR_EraseRootFromParent_Done,
     /* 1181094 */   // Label 17183: @1181094
     /* 1181094 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181177), // Rule ID 16466 //
     /* 1181099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1181110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1181113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181138 */     // MIs[0] round
     /* 1181138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181176 */     // GIR_Coverage, 16466,
     /* 1181176 */     GIR_EraseRootFromParent_Done,
     /* 1181177 */   // Label 17184: @1181177
     /* 1181177 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181260), // Rule ID 16469 //
     /* 1181182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181221 */     // MIs[0] round
     /* 1181221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181231 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181259 */     // GIR_Coverage, 16469,
     /* 1181259 */     GIR_EraseRootFromParent_Done,
     /* 1181260 */   // Label 17185: @1181260
     /* 1181260 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181343), // Rule ID 16470 //
     /* 1181265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1181276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1181279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181304 */     // MIs[0] round
     /* 1181304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181342 */     // GIR_Coverage, 16470,
     /* 1181342 */     GIR_EraseRootFromParent_Done,
     /* 1181343 */   // Label 17186: @1181343
     /* 1181343 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181426), // Rule ID 16473 //
     /* 1181348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181387 */     // MIs[0] round
     /* 1181387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181425 */     // GIR_Coverage, 16473,
     /* 1181425 */     GIR_EraseRootFromParent_Done,
     /* 1181426 */   // Label 17187: @1181426
     /* 1181426 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181509), // Rule ID 16474 //
     /* 1181431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181470 */     // MIs[0] round
     /* 1181470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181508 */     // GIR_Coverage, 16474,
     /* 1181508 */     GIR_EraseRootFromParent_Done,
     /* 1181509 */   // Label 17188: @1181509
     /* 1181509 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181592), // Rule ID 16477 //
     /* 1181514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181553 */     // MIs[0] round
     /* 1181553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181591 */     // GIR_Coverage, 16477,
     /* 1181591 */     GIR_EraseRootFromParent_Done,
     /* 1181592 */   // Label 17189: @1181592
     /* 1181592 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181675), // Rule ID 16478 //
     /* 1181597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181636 */     // MIs[0] round
     /* 1181636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1181649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181674 */     // GIR_Coverage, 16478,
     /* 1181674 */     GIR_EraseRootFromParent_Done,
     /* 1181675 */   // Label 17190: @1181675
     /* 1181675 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181758), // Rule ID 16481 //
     /* 1181680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181719 */     // MIs[0] round
     /* 1181719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181729 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181757 */     // GIR_Coverage, 16481,
     /* 1181757 */     GIR_EraseRootFromParent_Done,
     /* 1181758 */   // Label 17191: @1181758
     /* 1181758 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181841), // Rule ID 16482 //
     /* 1181763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181802 */     // MIs[0] round
     /* 1181802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181840 */     // GIR_Coverage, 16482,
     /* 1181840 */     GIR_EraseRootFromParent_Done,
     /* 1181841 */   // Label 17192: @1181841
     /* 1181841 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181924), // Rule ID 16485 //
     /* 1181846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181885 */     // MIs[0] round
     /* 1181885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181895 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181923 */     // GIR_Coverage, 16485,
     /* 1181923 */     GIR_EraseRootFromParent_Done,
     /* 1181924 */   // Label 17193: @1181924
     /* 1181924 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1182007), // Rule ID 16486 //
     /* 1181929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181968 */     // MIs[0] round
     /* 1181968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182006 */     // GIR_Coverage, 16486,
     /* 1182006 */     GIR_EraseRootFromParent_Done,
     /* 1182007 */   // Label 17194: @1182007
     /* 1182007 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1182090), // Rule ID 16489 //
     /* 1182012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182051 */     // MIs[0] round
     /* 1182051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182089 */     // GIR_Coverage, 16489,
     /* 1182089 */     GIR_EraseRootFromParent_Done,
     /* 1182090 */   // Label 17195: @1182090
     /* 1182090 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182173), // Rule ID 16490 //
     /* 1182095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182134 */     // MIs[0] round
     /* 1182134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182172 */     // GIR_Coverage, 16490,
     /* 1182172 */     GIR_EraseRootFromParent_Done,
     /* 1182173 */   // Label 17196: @1182173
     /* 1182173 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1182256), // Rule ID 16493 //
     /* 1182178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182217 */     // MIs[0] round
     /* 1182217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182255 */     // GIR_Coverage, 16493,
     /* 1182255 */     GIR_EraseRootFromParent_Done,
     /* 1182256 */   // Label 17197: @1182256
     /* 1182256 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182339), // Rule ID 16494 //
     /* 1182261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182300 */     // MIs[0] round
     /* 1182300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182338 */     // GIR_Coverage, 16494,
     /* 1182338 */     GIR_EraseRootFromParent_Done,
     /* 1182339 */   // Label 17198: @1182339
     /* 1182339 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182422), // Rule ID 16497 //
     /* 1182344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182383 */     // MIs[0] round
     /* 1182383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182421 */     // GIR_Coverage, 16497,
     /* 1182421 */     GIR_EraseRootFromParent_Done,
     /* 1182422 */   // Label 17199: @1182422
     /* 1182422 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182505), // Rule ID 16498 //
     /* 1182427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182466 */     // MIs[0] round
     /* 1182466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1182479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182504 */     // GIR_Coverage, 16498,
     /* 1182504 */     GIR_EraseRootFromParent_Done,
     /* 1182505 */   // Label 17200: @1182505
     /* 1182505 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182588), // Rule ID 16501 //
     /* 1182510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182549 */     // MIs[0] round
     /* 1182549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182587 */     // GIR_Coverage, 16501,
     /* 1182587 */     GIR_EraseRootFromParent_Done,
     /* 1182588 */   // Label 17201: @1182588
     /* 1182588 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182671), // Rule ID 16502 //
     /* 1182593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182632 */     // MIs[0] round
     /* 1182632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1182645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182670 */     // GIR_Coverage, 16502,
     /* 1182670 */     GIR_EraseRootFromParent_Done,
     /* 1182671 */   // Label 17202: @1182671
     /* 1182671 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182754), // Rule ID 16505 //
     /* 1182676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182715 */     // MIs[0] round
     /* 1182715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182753 */     // GIR_Coverage, 16505,
     /* 1182753 */     GIR_EraseRootFromParent_Done,
     /* 1182754 */   // Label 17203: @1182754
     /* 1182754 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182837), // Rule ID 16506 //
     /* 1182759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182798 */     // MIs[0] round
     /* 1182798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1182811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182836 */     // GIR_Coverage, 16506,
     /* 1182836 */     GIR_EraseRootFromParent_Done,
     /* 1182837 */   // Label 17204: @1182837
     /* 1182837 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182920), // Rule ID 16509 //
     /* 1182842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182881 */     // MIs[0] round
     /* 1182881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182919 */     // GIR_Coverage, 16509,
     /* 1182919 */     GIR_EraseRootFromParent_Done,
     /* 1182920 */   // Label 17205: @1182920
     /* 1182920 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1183003), // Rule ID 16510 //
     /* 1182925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182964 */     // MIs[0] round
     /* 1182964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1182977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183002 */     // GIR_Coverage, 16510,
     /* 1183002 */     GIR_EraseRootFromParent_Done,
     /* 1183003 */   // Label 17206: @1183003
     /* 1183003 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1183083), // Rule ID 16573 //
     /* 1183008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183047 */     // MIs[0] round
     /* 1183047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183057 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183082 */     // GIR_Coverage, 16573,
     /* 1183082 */     GIR_EraseRootFromParent_Done,
     /* 1183083 */   // Label 17207: @1183083
     /* 1183083 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183163), // Rule ID 16574 //
     /* 1183088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183127 */     // MIs[0] round
     /* 1183127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183137 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1183140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183162 */     // GIR_Coverage, 16574,
     /* 1183162 */     GIR_EraseRootFromParent_Done,
     /* 1183163 */   // Label 17208: @1183163
     /* 1183163 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183243), // Rule ID 16577 //
     /* 1183168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183207 */     // MIs[0] round
     /* 1183207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183217 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183242 */     // GIR_Coverage, 16577,
     /* 1183242 */     GIR_EraseRootFromParent_Done,
     /* 1183243 */   // Label 17209: @1183243
     /* 1183243 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183323), // Rule ID 16578 //
     /* 1183248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1183265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183287 */     // MIs[0] round
     /* 1183287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183297 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1183300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183322 */     // GIR_Coverage, 16578,
     /* 1183322 */     GIR_EraseRootFromParent_Done,
     /* 1183323 */   // Label 17210: @1183323
     /* 1183323 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183403), // Rule ID 16581 //
     /* 1183328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183367 */     // MIs[0] round
     /* 1183367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183402 */     // GIR_Coverage, 16581,
     /* 1183402 */     GIR_EraseRootFromParent_Done,
     /* 1183403 */   // Label 17211: @1183403
     /* 1183403 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183483), // Rule ID 16582 //
     /* 1183408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1183419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1183422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1183428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183447 */     // MIs[0] round
     /* 1183447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1183460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183482 */     // GIR_Coverage, 16582,
     /* 1183482 */     GIR_EraseRootFromParent_Done,
     /* 1183483 */   // Label 17212: @1183483
     /* 1183483 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183563), // Rule ID 16585 //
     /* 1183488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183527 */     // MIs[0] round
     /* 1183527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183537 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183562 */     // GIR_Coverage, 16585,
     /* 1183562 */     GIR_EraseRootFromParent_Done,
     /* 1183563 */   // Label 17213: @1183563
     /* 1183563 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183643), // Rule ID 16586 //
     /* 1183568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183607 */     // MIs[0] round
     /* 1183607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1183620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183642 */     // GIR_Coverage, 16586,
     /* 1183642 */     GIR_EraseRootFromParent_Done,
     /* 1183643 */   // Label 17214: @1183643
     /* 1183643 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183723), // Rule ID 16589 //
     /* 1183648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1183668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183687 */     // MIs[0] round
     /* 1183687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1183700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183722 */     // GIR_Coverage, 16589,
     /* 1183722 */     GIR_EraseRootFromParent_Done,
     /* 1183723 */   // Label 17215: @1183723
     /* 1183723 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183803), // Rule ID 16590 //
     /* 1183728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1183739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1183742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1183748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183767 */     // MIs[0] round
     /* 1183767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1183780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183802 */     // GIR_Coverage, 16590,
     /* 1183802 */     GIR_EraseRootFromParent_Done,
     /* 1183803 */   // Label 17216: @1183803
     /* 1183803 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183883), // Rule ID 16593 //
     /* 1183808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1183819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1183822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1183825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1183828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183847 */     // MIs[0] round
     /* 1183847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1183860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183882 */     // GIR_Coverage, 16593,
     /* 1183882 */     GIR_EraseRootFromParent_Done,
     /* 1183883 */   // Label 17217: @1183883
     /* 1183883 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1183963), // Rule ID 16594 //
     /* 1183888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1183891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1183899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1183902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1183905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1183908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183927 */     // MIs[0] round
     /* 1183927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183937 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1183940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183962 */     // GIR_Coverage, 16594,
     /* 1183962 */     GIR_EraseRootFromParent_Done,
     /* 1183963 */   // Label 17218: @1183963
     /* 1183963 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1184043), // Rule ID 16597 //
     /* 1183968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1183979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1183982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1183988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184007 */     // MIs[0] round
     /* 1184007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184042 */     // GIR_Coverage, 16597,
     /* 1184042 */     GIR_EraseRootFromParent_Done,
     /* 1184043 */   // Label 17219: @1184043
     /* 1184043 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1184123), // Rule ID 16598 //
     /* 1184048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1184065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184087 */     // MIs[0] round
     /* 1184087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184097 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1184100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184122 */     // GIR_Coverage, 16598,
     /* 1184122 */     GIR_EraseRootFromParent_Done,
     /* 1184123 */   // Label 17220: @1184123
     /* 1184123 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184203), // Rule ID 16601 //
     /* 1184128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184167 */     // MIs[0] round
     /* 1184167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184177 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184202 */     // GIR_Coverage, 16601,
     /* 1184202 */     GIR_EraseRootFromParent_Done,
     /* 1184203 */   // Label 17221: @1184203
     /* 1184203 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184283), // Rule ID 16602 //
     /* 1184208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1184225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184247 */     // MIs[0] round
     /* 1184247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184257 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1184260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184282 */     // GIR_Coverage, 16602,
     /* 1184282 */     GIR_EraseRootFromParent_Done,
     /* 1184283 */   // Label 17222: @1184283
     /* 1184283 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184363), // Rule ID 16605 //
     /* 1184288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184327 */     // MIs[0] round
     /* 1184327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184337 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184362 */     // GIR_Coverage, 16605,
     /* 1184362 */     GIR_EraseRootFromParent_Done,
     /* 1184363 */   // Label 17223: @1184363
     /* 1184363 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184443), // Rule ID 16606 //
     /* 1184368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1184379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1184382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1184385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1184388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184407 */     // MIs[0] round
     /* 1184407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184417 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1184420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184442 */     // GIR_Coverage, 16606,
     /* 1184442 */     GIR_EraseRootFromParent_Done,
     /* 1184443 */   // Label 17224: @1184443
     /* 1184443 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184523), // Rule ID 16609 //
     /* 1184448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184487 */     // MIs[0] round
     /* 1184487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184522 */     // GIR_Coverage, 16609,
     /* 1184522 */     GIR_EraseRootFromParent_Done,
     /* 1184523 */   // Label 17225: @1184523
     /* 1184523 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184603), // Rule ID 16610 //
     /* 1184528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184567 */     // MIs[0] round
     /* 1184567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1184580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184602 */     // GIR_Coverage, 16610,
     /* 1184602 */     GIR_EraseRootFromParent_Done,
     /* 1184603 */   // Label 17226: @1184603
     /* 1184603 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184683), // Rule ID 16613 //
     /* 1184608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184647 */     // MIs[0] round
     /* 1184647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184657 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1184660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184682 */     // GIR_Coverage, 16613,
     /* 1184682 */     GIR_EraseRootFromParent_Done,
     /* 1184683 */   // Label 17227: @1184683
     /* 1184683 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184763), // Rule ID 16614 //
     /* 1184688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184727 */     // MIs[0] round
     /* 1184727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184737 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1184740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184762 */     // GIR_Coverage, 16614,
     /* 1184762 */     GIR_EraseRootFromParent_Done,
     /* 1184763 */   // Label 17228: @1184763
     /* 1184763 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184843), // Rule ID 16617 //
     /* 1184768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1184779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1184782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1184788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184807 */     // MIs[0] round
     /* 1184807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184817 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1184820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184842 */     // GIR_Coverage, 16617,
     /* 1184842 */     GIR_EraseRootFromParent_Done,
     /* 1184843 */   // Label 17229: @1184843
     /* 1184843 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184923), // Rule ID 16618 //
     /* 1184848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1184859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1184862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1184868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184887 */     // MIs[0] round
     /* 1184887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184897 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1184900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184922 */     // GIR_Coverage, 16618,
     /* 1184922 */     GIR_EraseRootFromParent_Done,
     /* 1184923 */   // Label 17230: @1184923
     /* 1184923 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1185003), // Rule ID 16621 //
     /* 1184928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1184939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1184942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1184948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184967 */     // MIs[0] round
     /* 1184967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184977 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1184980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185002 */     // GIR_Coverage, 16621,
     /* 1185002 */     GIR_EraseRootFromParent_Done,
     /* 1185003 */   // Label 17231: @1185003
     /* 1185003 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1185083), // Rule ID 16622 //
     /* 1185008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1185019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1185022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1185025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1185028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185047 */     // MIs[0] round
     /* 1185047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185057 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1185060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185082 */     // GIR_Coverage, 16622,
     /* 1185082 */     GIR_EraseRootFromParent_Done,
     /* 1185083 */   // Label 17232: @1185083
     /* 1185083 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185163), // Rule ID 16625 //
     /* 1185088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185127 */     // MIs[0] round
     /* 1185127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185137 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185162 */     // GIR_Coverage, 16625,
     /* 1185162 */     GIR_EraseRootFromParent_Done,
     /* 1185163 */   // Label 17233: @1185163
     /* 1185163 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185243), // Rule ID 16626 //
     /* 1185168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1185179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1185182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1185185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1185188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185207 */     // MIs[0] round
     /* 1185207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1185220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185242 */     // GIR_Coverage, 16626,
     /* 1185242 */     GIR_EraseRootFromParent_Done,
     /* 1185243 */   // Label 17234: @1185243
     /* 1185243 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185323), // Rule ID 16629 //
     /* 1185248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185287 */     // MIs[0] round
     /* 1185287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185297 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185322 */     // GIR_Coverage, 16629,
     /* 1185322 */     GIR_EraseRootFromParent_Done,
     /* 1185323 */   // Label 17235: @1185323
     /* 1185323 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185403), // Rule ID 16630 //
     /* 1185328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1185339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1185342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1185348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185367 */     // MIs[0] round
     /* 1185367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1185380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185402 */     // GIR_Coverage, 16630,
     /* 1185402 */     GIR_EraseRootFromParent_Done,
     /* 1185403 */   // Label 17236: @1185403
     /* 1185403 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185483), // Rule ID 16633 //
     /* 1185408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185447 */     // MIs[0] round
     /* 1185447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185482 */     // GIR_Coverage, 16633,
     /* 1185482 */     GIR_EraseRootFromParent_Done,
     /* 1185483 */   // Label 17237: @1185483
     /* 1185483 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185563), // Rule ID 16634 //
     /* 1185488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185527 */     // MIs[0] round
     /* 1185527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185537 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1185540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185562 */     // GIR_Coverage, 16634,
     /* 1185562 */     GIR_EraseRootFromParent_Done,
     /* 1185563 */   // Label 17238: @1185563
     /* 1185563 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185643), // Rule ID 16637 //
     /* 1185568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1185579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1185582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185607 */     // MIs[0] round
     /* 1185607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185617 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1185620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185642 */     // GIR_Coverage, 16637,
     /* 1185642 */     GIR_EraseRootFromParent_Done,
     /* 1185643 */   // Label 17239: @1185643
     /* 1185643 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185723), // Rule ID 16638 //
     /* 1185648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1185659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1185662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185687 */     // MIs[0] round
     /* 1185687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185697 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1185700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185722 */     // GIR_Coverage, 16638,
     /* 1185722 */     GIR_EraseRootFromParent_Done,
     /* 1185723 */   // Label 17240: @1185723
     /* 1185723 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185803), // Rule ID 16641 //
     /* 1185728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185767 */     // MIs[0] round
     /* 1185767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185777 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1185780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185802 */     // GIR_Coverage, 16641,
     /* 1185802 */     GIR_EraseRootFromParent_Done,
     /* 1185803 */   // Label 17241: @1185803
     /* 1185803 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185883), // Rule ID 16642 //
     /* 1185808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1185819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1185822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185847 */     // MIs[0] round
     /* 1185847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1185860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185882 */     // GIR_Coverage, 16642,
     /* 1185882 */     GIR_EraseRootFromParent_Done,
     /* 1185883 */   // Label 17242: @1185883
     /* 1185883 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1185963), // Rule ID 16645 //
     /* 1185888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1185899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1185902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185927 */     // MIs[0] round
     /* 1185927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185937 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1185940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185962 */     // GIR_Coverage, 16645,
     /* 1185962 */     GIR_EraseRootFromParent_Done,
     /* 1185963 */   // Label 17243: @1185963
     /* 1185963 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1186043), // Rule ID 16646 //
     /* 1185968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1185979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1185982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186007 */     // MIs[0] round
     /* 1186007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186017 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1186020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186042 */     // GIR_Coverage, 16646,
     /* 1186042 */     GIR_EraseRootFromParent_Done,
     /* 1186043 */   // Label 17244: @1186043
     /* 1186043 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1186123), // Rule ID 16649 //
     /* 1186048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186087 */     // MIs[0] round
     /* 1186087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186122 */     // GIR_Coverage, 16649,
     /* 1186122 */     GIR_EraseRootFromParent_Done,
     /* 1186123 */   // Label 17245: @1186123
     /* 1186123 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186203), // Rule ID 16650 //
     /* 1186128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186167 */     // MIs[0] round
     /* 1186167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1186180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186202 */     // GIR_Coverage, 16650,
     /* 1186202 */     GIR_EraseRootFromParent_Done,
     /* 1186203 */   // Label 17246: @1186203
     /* 1186203 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186283), // Rule ID 16653 //
     /* 1186208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186247 */     // MIs[0] round
     /* 1186247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186257 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186282 */     // GIR_Coverage, 16653,
     /* 1186282 */     GIR_EraseRootFromParent_Done,
     /* 1186283 */   // Label 17247: @1186283
     /* 1186283 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186363), // Rule ID 16654 //
     /* 1186288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1186299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1186302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186327 */     // MIs[0] round
     /* 1186327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1186340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186362 */     // GIR_Coverage, 16654,
     /* 1186362 */     GIR_EraseRootFromParent_Done,
     /* 1186363 */   // Label 17248: @1186363
     /* 1186363 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186443), // Rule ID 16657 //
     /* 1186368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186407 */     // MIs[0] round
     /* 1186407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186417 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186442 */     // GIR_Coverage, 16657,
     /* 1186442 */     GIR_EraseRootFromParent_Done,
     /* 1186443 */   // Label 17249: @1186443
     /* 1186443 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186523), // Rule ID 16658 //
     /* 1186448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1186465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186487 */     // MIs[0] round
     /* 1186487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186497 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1186500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186522 */     // GIR_Coverage, 16658,
     /* 1186522 */     GIR_EraseRootFromParent_Done,
     /* 1186523 */   // Label 17250: @1186523
     /* 1186523 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186603), // Rule ID 16661 //
     /* 1186528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186567 */     // MIs[0] round
     /* 1186567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186577 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1186580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186602 */     // GIR_Coverage, 16661,
     /* 1186602 */     GIR_EraseRootFromParent_Done,
     /* 1186603 */   // Label 17251: @1186603
     /* 1186603 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186683), // Rule ID 16662 //
     /* 1186608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1186625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186647 */     // MIs[0] round
     /* 1186647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186657 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1186660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186682 */     // GIR_Coverage, 16662,
     /* 1186682 */     GIR_EraseRootFromParent_Done,
     /* 1186683 */   // Label 17252: @1186683
     /* 1186683 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186763), // Rule ID 16665 //
     /* 1186688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1186699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1186702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186727 */     // MIs[0] round
     /* 1186727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186737 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1186740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186762 */     // GIR_Coverage, 16665,
     /* 1186762 */     GIR_EraseRootFromParent_Done,
     /* 1186763 */   // Label 17253: @1186763
     /* 1186763 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186843), // Rule ID 16666 //
     /* 1186768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1186779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1186782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186807 */     // MIs[0] round
     /* 1186807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1186820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186842 */     // GIR_Coverage, 16666,
     /* 1186842 */     GIR_EraseRootFromParent_Done,
     /* 1186843 */   // Label 17254: @1186843
     /* 1186843 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186923), // Rule ID 16669 //
     /* 1186848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1186859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1186862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186887 */     // MIs[0] round
     /* 1186887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186897 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1186900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186922 */     // GIR_Coverage, 16669,
     /* 1186922 */     GIR_EraseRootFromParent_Done,
     /* 1186923 */   // Label 17255: @1186923
     /* 1186923 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1187003), // Rule ID 16670 //
     /* 1186928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1186939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1186942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186967 */     // MIs[0] round
     /* 1186967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1186980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187002 */     // GIR_Coverage, 16670,
     /* 1187002 */     GIR_EraseRootFromParent_Done,
     /* 1187003 */   // Label 17256: @1187003
     /* 1187003 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1187083), // Rule ID 16673 //
     /* 1187008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187047 */     // MIs[0] round
     /* 1187047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187082 */     // GIR_Coverage, 16673,
     /* 1187082 */     GIR_EraseRootFromParent_Done,
     /* 1187083 */   // Label 17257: @1187083
     /* 1187083 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187163), // Rule ID 16674 //
     /* 1187088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187127 */     // MIs[0] round
     /* 1187127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187137 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1187140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187162 */     // GIR_Coverage, 16674,
     /* 1187162 */     GIR_EraseRootFromParent_Done,
     /* 1187163 */   // Label 17258: @1187163
     /* 1187163 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187243), // Rule ID 16677 //
     /* 1187168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187207 */     // MIs[0] round
     /* 1187207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187217 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187242 */     // GIR_Coverage, 16677,
     /* 1187242 */     GIR_EraseRootFromParent_Done,
     /* 1187243 */   // Label 17259: @1187243
     /* 1187243 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187323), // Rule ID 16678 //
     /* 1187248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1187259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1187262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1187265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187287 */     // MIs[0] round
     /* 1187287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1187300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187322 */     // GIR_Coverage, 16678,
     /* 1187322 */     GIR_EraseRootFromParent_Done,
     /* 1187323 */   // Label 17260: @1187323
     /* 1187323 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187403), // Rule ID 16681 //
     /* 1187328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187367 */     // MIs[0] round
     /* 1187367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187402 */     // GIR_Coverage, 16681,
     /* 1187402 */     GIR_EraseRootFromParent_Done,
     /* 1187403 */   // Label 17261: @1187403
     /* 1187403 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187483), // Rule ID 16682 //
     /* 1187408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1187419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1187422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187447 */     // MIs[0] round
     /* 1187447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1187460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187482 */     // GIR_Coverage, 16682,
     /* 1187482 */     GIR_EraseRootFromParent_Done,
     /* 1187483 */   // Label 17262: @1187483
     /* 1187483 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187563), // Rule ID 16685 //
     /* 1187488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187527 */     // MIs[0] round
     /* 1187527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187537 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187562 */     // GIR_Coverage, 16685,
     /* 1187562 */     GIR_EraseRootFromParent_Done,
     /* 1187563 */   // Label 17263: @1187563
     /* 1187563 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187643), // Rule ID 16686 //
     /* 1187568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1187579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1187582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187607 */     // MIs[0] round
     /* 1187607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1187620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187642 */     // GIR_Coverage, 16686,
     /* 1187642 */     GIR_EraseRootFromParent_Done,
     /* 1187643 */   // Label 17264: @1187643
     /* 1187643 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187723), // Rule ID 16689 //
     /* 1187648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1187659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1187662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187687 */     // MIs[0] round
     /* 1187687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1187700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187722 */     // GIR_Coverage, 16689,
     /* 1187722 */     GIR_EraseRootFromParent_Done,
     /* 1187723 */   // Label 17265: @1187723
     /* 1187723 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187803), // Rule ID 16690 //
     /* 1187728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1187739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1187742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187767 */     // MIs[0] round
     /* 1187767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1187780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187802 */     // GIR_Coverage, 16690,
     /* 1187802 */     GIR_EraseRootFromParent_Done,
     /* 1187803 */   // Label 17266: @1187803
     /* 1187803 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187883), // Rule ID 16693 //
     /* 1187808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187847 */     // MIs[0] round
     /* 1187847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187857 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1187860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187882 */     // GIR_Coverage, 16693,
     /* 1187882 */     GIR_EraseRootFromParent_Done,
     /* 1187883 */   // Label 17267: @1187883
     /* 1187883 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1187963), // Rule ID 16694 //
     /* 1187888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187927 */     // MIs[0] round
     /* 1187927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187937 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1187940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187962 */     // GIR_Coverage, 16694,
     /* 1187962 */     GIR_EraseRootFromParent_Done,
     /* 1187963 */   // Label 17268: @1187963
     /* 1187963 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1188043), // Rule ID 16697 //
     /* 1187968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1187979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1187982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188007 */     // MIs[0] round
     /* 1188007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188017 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188042 */     // GIR_Coverage, 16697,
     /* 1188042 */     GIR_EraseRootFromParent_Done,
     /* 1188043 */   // Label 17269: @1188043
     /* 1188043 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1188123), // Rule ID 16698 //
     /* 1188048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1188065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188087 */     // MIs[0] round
     /* 1188087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188097 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1188100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188122 */     // GIR_Coverage, 16698,
     /* 1188122 */     GIR_EraseRootFromParent_Done,
     /* 1188123 */   // Label 17270: @1188123
     /* 1188123 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188203), // Rule ID 16701 //
     /* 1188128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188167 */     // MIs[0] round
     /* 1188167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188202 */     // GIR_Coverage, 16701,
     /* 1188202 */     GIR_EraseRootFromParent_Done,
     /* 1188203 */   // Label 17271: @1188203
     /* 1188203 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188283), // Rule ID 16702 //
     /* 1188208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188247 */     // MIs[0] round
     /* 1188247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1188260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188282 */     // GIR_Coverage, 16702,
     /* 1188282 */     GIR_EraseRootFromParent_Done,
     /* 1188283 */   // Label 17272: @1188283
     /* 1188283 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188363), // Rule ID 16705 //
     /* 1188288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188327 */     // MIs[0] round
     /* 1188327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188337 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188362 */     // GIR_Coverage, 16705,
     /* 1188362 */     GIR_EraseRootFromParent_Done,
     /* 1188363 */   // Label 17273: @1188363
     /* 1188363 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188443), // Rule ID 16706 //
     /* 1188368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188407 */     // MIs[0] round
     /* 1188407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1188420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188442 */     // GIR_Coverage, 16706,
     /* 1188442 */     GIR_EraseRootFromParent_Done,
     /* 1188443 */   // Label 17274: @1188443
     /* 1188443 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188523), // Rule ID 16709 //
     /* 1188448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188487 */     // MIs[0] round
     /* 1188487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188522 */     // GIR_Coverage, 16709,
     /* 1188522 */     GIR_EraseRootFromParent_Done,
     /* 1188523 */   // Label 17275: @1188523
     /* 1188523 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188603), // Rule ID 16710 //
     /* 1188528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188567 */     // MIs[0] round
     /* 1188567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1188580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188602 */     // GIR_Coverage, 16710,
     /* 1188602 */     GIR_EraseRootFromParent_Done,
     /* 1188603 */   // Label 17276: @1188603
     /* 1188603 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188683), // Rule ID 16713 //
     /* 1188608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188647 */     // MIs[0] round
     /* 1188647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1188660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188682 */     // GIR_Coverage, 16713,
     /* 1188682 */     GIR_EraseRootFromParent_Done,
     /* 1188683 */   // Label 17277: @1188683
     /* 1188683 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188763), // Rule ID 16714 //
     /* 1188688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188727 */     // MIs[0] round
     /* 1188727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1188740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188762 */     // GIR_Coverage, 16714,
     /* 1188762 */     GIR_EraseRootFromParent_Done,
     /* 1188763 */   // Label 17278: @1188763
     /* 1188763 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188843), // Rule ID 16717 //
     /* 1188768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188807 */     // MIs[0] round
     /* 1188807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188817 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1188820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188842 */     // GIR_Coverage, 16717,
     /* 1188842 */     GIR_EraseRootFromParent_Done,
     /* 1188843 */   // Label 17279: @1188843
     /* 1188843 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188923), // Rule ID 16718 //
     /* 1188848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188887 */     // MIs[0] round
     /* 1188887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188897 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1188900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188922 */     // GIR_Coverage, 16718,
     /* 1188922 */     GIR_EraseRootFromParent_Done,
     /* 1188923 */   // Label 17280: @1188923
     /* 1188923 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1189003), // Rule ID 16721 //
     /* 1188928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1188939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1188942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1188948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188967 */     // MIs[0] round
     /* 1188967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188977 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1188980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189002 */     // GIR_Coverage, 16721,
     /* 1189002 */     GIR_EraseRootFromParent_Done,
     /* 1189003 */   // Label 17281: @1189003
     /* 1189003 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1189083), // Rule ID 16722 //
     /* 1189008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189047 */     // MIs[0] round
     /* 1189047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189057 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1189060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189082 */     // GIR_Coverage, 16722,
     /* 1189082 */     GIR_EraseRootFromParent_Done,
     /* 1189083 */   // Label 17282: @1189083
     /* 1189083 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189163), // Rule ID 16725 //
     /* 1189088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189127 */     // MIs[0] round
     /* 1189127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189137 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189162 */     // GIR_Coverage, 16725,
     /* 1189162 */     GIR_EraseRootFromParent_Done,
     /* 1189163 */   // Label 17283: @1189163
     /* 1189163 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189243), // Rule ID 16726 //
     /* 1189168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1189179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1189182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189207 */     // MIs[0] round
     /* 1189207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189217 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1189220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189242 */     // GIR_Coverage, 16726,
     /* 1189242 */     GIR_EraseRootFromParent_Done,
     /* 1189243 */   // Label 17284: @1189243
     /* 1189243 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189323), // Rule ID 16729 //
     /* 1189248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189287 */     // MIs[0] round
     /* 1189287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189322 */     // GIR_Coverage, 16729,
     /* 1189322 */     GIR_EraseRootFromParent_Done,
     /* 1189323 */   // Label 17285: @1189323
     /* 1189323 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189403), // Rule ID 16730 //
     /* 1189328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189367 */     // MIs[0] round
     /* 1189367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1189380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189402 */     // GIR_Coverage, 16730,
     /* 1189402 */     GIR_EraseRootFromParent_Done,
     /* 1189403 */   // Label 17286: @1189403
     /* 1189403 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189483), // Rule ID 16733 //
     /* 1189408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189447 */     // MIs[0] round
     /* 1189447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189482 */     // GIR_Coverage, 16733,
     /* 1189482 */     GIR_EraseRootFromParent_Done,
     /* 1189483 */   // Label 17287: @1189483
     /* 1189483 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189563), // Rule ID 16734 //
     /* 1189488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189527 */     // MIs[0] round
     /* 1189527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189537 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1189540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189562 */     // GIR_Coverage, 16734,
     /* 1189562 */     GIR_EraseRootFromParent_Done,
     /* 1189563 */   // Label 17288: @1189563
     /* 1189563 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189643), // Rule ID 16737 //
     /* 1189568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189607 */     // MIs[0] round
     /* 1189607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189617 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1189620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189642 */     // GIR_Coverage, 16737,
     /* 1189642 */     GIR_EraseRootFromParent_Done,
     /* 1189643 */   // Label 17289: @1189643
     /* 1189643 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189723), // Rule ID 16738 //
     /* 1189648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189687 */     // MIs[0] round
     /* 1189687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189697 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1189700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189722 */     // GIR_Coverage, 16738,
     /* 1189722 */     GIR_EraseRootFromParent_Done,
     /* 1189723 */   // Label 17290: @1189723
     /* 1189723 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189803), // Rule ID 16741 //
     /* 1189728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189767 */     // MIs[0] round
     /* 1189767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1189780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189802 */     // GIR_Coverage, 16741,
     /* 1189802 */     GIR_EraseRootFromParent_Done,
     /* 1189803 */   // Label 17291: @1189803
     /* 1189803 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189883), // Rule ID 16742 //
     /* 1189808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189847 */     // MIs[0] round
     /* 1189847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189857 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1189860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189882 */     // GIR_Coverage, 16742,
     /* 1189882 */     GIR_EraseRootFromParent_Done,
     /* 1189883 */   // Label 17292: @1189883
     /* 1189883 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1189963), // Rule ID 16745 //
     /* 1189888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189927 */     // MIs[0] round
     /* 1189927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189937 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1189940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189962 */     // GIR_Coverage, 16745,
     /* 1189962 */     GIR_EraseRootFromParent_Done,
     /* 1189963 */   // Label 17293: @1189963
     /* 1189963 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1190043), // Rule ID 16746 //
     /* 1189968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190007 */     // MIs[0] round
     /* 1190007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190017 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1190020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190042 */     // GIR_Coverage, 16746,
     /* 1190042 */     GIR_EraseRootFromParent_Done,
     /* 1190043 */   // Label 17294: @1190043
     /* 1190043 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1190123), // Rule ID 16749 //
     /* 1190048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190087 */     // MIs[0] round
     /* 1190087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190097 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190122 */     // GIR_Coverage, 16749,
     /* 1190122 */     GIR_EraseRootFromParent_Done,
     /* 1190123 */   // Label 17295: @1190123
     /* 1190123 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190203), // Rule ID 16750 //
     /* 1190128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190167 */     // MIs[0] round
     /* 1190167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190177 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1190180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190202 */     // GIR_Coverage, 16750,
     /* 1190202 */     GIR_EraseRootFromParent_Done,
     /* 1190203 */   // Label 17296: @1190203
     /* 1190203 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190283), // Rule ID 16753 //
     /* 1190208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190247 */     // MIs[0] round
     /* 1190247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190257 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190282 */     // GIR_Coverage, 16753,
     /* 1190282 */     GIR_EraseRootFromParent_Done,
     /* 1190283 */   // Label 17297: @1190283
     /* 1190283 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190363), // Rule ID 16754 //
     /* 1190288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190327 */     // MIs[0] round
     /* 1190327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190337 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1190340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190362 */     // GIR_Coverage, 16754,
     /* 1190362 */     GIR_EraseRootFromParent_Done,
     /* 1190363 */   // Label 17298: @1190363
     /* 1190363 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190443), // Rule ID 16757 //
     /* 1190368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190407 */     // MIs[0] round
     /* 1190407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190417 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190442 */     // GIR_Coverage, 16757,
     /* 1190442 */     GIR_EraseRootFromParent_Done,
     /* 1190443 */   // Label 17299: @1190443
     /* 1190443 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190523), // Rule ID 16758 //
     /* 1190448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190487 */     // MIs[0] round
     /* 1190487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190497 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1190500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190522 */     // GIR_Coverage, 16758,
     /* 1190522 */     GIR_EraseRootFromParent_Done,
     /* 1190523 */   // Label 17300: @1190523
     /* 1190523 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190603), // Rule ID 16761 //
     /* 1190528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190567 */     // MIs[0] round
     /* 1190567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1190580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190602 */     // GIR_Coverage, 16761,
     /* 1190602 */     GIR_EraseRootFromParent_Done,
     /* 1190603 */   // Label 17301: @1190603
     /* 1190603 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190683), // Rule ID 16762 //
     /* 1190608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190647 */     // MIs[0] round
     /* 1190647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190657 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1190660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190682 */     // GIR_Coverage, 16762,
     /* 1190682 */     GIR_EraseRootFromParent_Done,
     /* 1190683 */   // Label 17302: @1190683
     /* 1190683 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190763), // Rule ID 16765 //
     /* 1190688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190727 */     // MIs[0] round
     /* 1190727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1190740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190762 */     // GIR_Coverage, 16765,
     /* 1190762 */     GIR_EraseRootFromParent_Done,
     /* 1190763 */   // Label 17303: @1190763
     /* 1190763 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190843), // Rule ID 16766 //
     /* 1190768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190807 */     // MIs[0] round
     /* 1190807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1190820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190842 */     // GIR_Coverage, 16766,
     /* 1190842 */     GIR_EraseRootFromParent_Done,
     /* 1190843 */   // Label 17304: @1190843
     /* 1190843 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190923), // Rule ID 16769 //
     /* 1190848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190887 */     // MIs[0] round
     /* 1190887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1190900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190922 */     // GIR_Coverage, 16769,
     /* 1190922 */     GIR_EraseRootFromParent_Done,
     /* 1190923 */   // Label 17305: @1190923
     /* 1190923 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1191003), // Rule ID 16770 //
     /* 1190928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190967 */     // MIs[0] round
     /* 1190967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1190980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191002 */     // GIR_Coverage, 16770,
     /* 1191002 */     GIR_EraseRootFromParent_Done,
     /* 1191003 */   // Label 17306: @1191003
     /* 1191003 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1191083), // Rule ID 16773 //
     /* 1191008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191047 */     // MIs[0] round
     /* 1191047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191082 */     // GIR_Coverage, 16773,
     /* 1191082 */     GIR_EraseRootFromParent_Done,
     /* 1191083 */   // Label 17307: @1191083
     /* 1191083 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191163), // Rule ID 16774 //
     /* 1191088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191127 */     // MIs[0] round
     /* 1191127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1191140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191162 */     // GIR_Coverage, 16774,
     /* 1191162 */     GIR_EraseRootFromParent_Done,
     /* 1191163 */   // Label 17308: @1191163
     /* 1191163 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191243), // Rule ID 16777 //
     /* 1191168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191207 */     // MIs[0] round
     /* 1191207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191217 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191242 */     // GIR_Coverage, 16777,
     /* 1191242 */     GIR_EraseRootFromParent_Done,
     /* 1191243 */   // Label 17309: @1191243
     /* 1191243 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191323), // Rule ID 16778 //
     /* 1191248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191287 */     // MIs[0] round
     /* 1191287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191297 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1191300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191322 */     // GIR_Coverage, 16778,
     /* 1191322 */     GIR_EraseRootFromParent_Done,
     /* 1191323 */   // Label 17310: @1191323
     /* 1191323 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191403), // Rule ID 16781 //
     /* 1191328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191367 */     // MIs[0] round
     /* 1191367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191377 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191402 */     // GIR_Coverage, 16781,
     /* 1191402 */     GIR_EraseRootFromParent_Done,
     /* 1191403 */   // Label 17311: @1191403
     /* 1191403 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191483), // Rule ID 16782 //
     /* 1191408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191447 */     // MIs[0] round
     /* 1191447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191457 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1191460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191482 */     // GIR_Coverage, 16782,
     /* 1191482 */     GIR_EraseRootFromParent_Done,
     /* 1191483 */   // Label 17312: @1191483
     /* 1191483 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191563), // Rule ID 16785 //
     /* 1191488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191527 */     // MIs[0] round
     /* 1191527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191537 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191562 */     // GIR_Coverage, 16785,
     /* 1191562 */     GIR_EraseRootFromParent_Done,
     /* 1191563 */   // Label 17313: @1191563
     /* 1191563 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191643), // Rule ID 16786 //
     /* 1191568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191607 */     // MIs[0] round
     /* 1191607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191617 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1191620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191642 */     // GIR_Coverage, 16786,
     /* 1191642 */     GIR_EraseRootFromParent_Done,
     /* 1191643 */   // Label 17314: @1191643
     /* 1191643 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191723), // Rule ID 16789 //
     /* 1191648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191687 */     // MIs[0] round
     /* 1191687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191697 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1191700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191722 */     // GIR_Coverage, 16789,
     /* 1191722 */     GIR_EraseRootFromParent_Done,
     /* 1191723 */   // Label 17315: @1191723
     /* 1191723 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191803), // Rule ID 16790 //
     /* 1191728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191767 */     // MIs[0] round
     /* 1191767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1191780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191802 */     // GIR_Coverage, 16790,
     /* 1191802 */     GIR_EraseRootFromParent_Done,
     /* 1191803 */   // Label 17316: @1191803
     /* 1191803 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191883), // Rule ID 16793 //
     /* 1191808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191847 */     // MIs[0] round
     /* 1191847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191857 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1191860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191882 */     // GIR_Coverage, 16793,
     /* 1191882 */     GIR_EraseRootFromParent_Done,
     /* 1191883 */   // Label 17317: @1191883
     /* 1191883 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1191963), // Rule ID 16794 //
     /* 1191888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191927 */     // MIs[0] round
     /* 1191927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191937 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1191940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191962 */     // GIR_Coverage, 16794,
     /* 1191962 */     GIR_EraseRootFromParent_Done,
     /* 1191963 */   // Label 17318: @1191963
     /* 1191963 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1192043), // Rule ID 16797 //
     /* 1191968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192007 */     // MIs[0] round
     /* 1192007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192042 */     // GIR_Coverage, 16797,
     /* 1192042 */     GIR_EraseRootFromParent_Done,
     /* 1192043 */   // Label 17319: @1192043
     /* 1192043 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1192123), // Rule ID 16798 //
     /* 1192048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192087 */     // MIs[0] round
     /* 1192087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192097 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1192100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192122 */     // GIR_Coverage, 16798,
     /* 1192122 */     GIR_EraseRootFromParent_Done,
     /* 1192123 */   // Label 17320: @1192123
     /* 1192123 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192203), // Rule ID 16801 //
     /* 1192128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192167 */     // MIs[0] round
     /* 1192167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192177 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192202 */     // GIR_Coverage, 16801,
     /* 1192202 */     GIR_EraseRootFromParent_Done,
     /* 1192203 */   // Label 17321: @1192203
     /* 1192203 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192283), // Rule ID 16802 //
     /* 1192208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192247 */     // MIs[0] round
     /* 1192247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192257 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1192260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192282 */     // GIR_Coverage, 16802,
     /* 1192282 */     GIR_EraseRootFromParent_Done,
     /* 1192283 */   // Label 17322: @1192283
     /* 1192283 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192363), // Rule ID 16805 //
     /* 1192288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192327 */     // MIs[0] round
     /* 1192327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192337 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192362 */     // GIR_Coverage, 16805,
     /* 1192362 */     GIR_EraseRootFromParent_Done,
     /* 1192363 */   // Label 17323: @1192363
     /* 1192363 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192443), // Rule ID 16806 //
     /* 1192368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192407 */     // MIs[0] round
     /* 1192407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192417 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1192420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192442 */     // GIR_Coverage, 16806,
     /* 1192442 */     GIR_EraseRootFromParent_Done,
     /* 1192443 */   // Label 17324: @1192443
     /* 1192443 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192523), // Rule ID 16809 //
     /* 1192448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192487 */     // MIs[0] round
     /* 1192487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192497 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192522 */     // GIR_Coverage, 16809,
     /* 1192522 */     GIR_EraseRootFromParent_Done,
     /* 1192523 */   // Label 17325: @1192523
     /* 1192523 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192603), // Rule ID 16810 //
     /* 1192528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192567 */     // MIs[0] round
     /* 1192567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192577 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1192580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192602 */     // GIR_Coverage, 16810,
     /* 1192602 */     GIR_EraseRootFromParent_Done,
     /* 1192603 */   // Label 17326: @1192603
     /* 1192603 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192683), // Rule ID 16813 //
     /* 1192608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192647 */     // MIs[0] round
     /* 1192647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192657 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1192660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192682 */     // GIR_Coverage, 16813,
     /* 1192682 */     GIR_EraseRootFromParent_Done,
     /* 1192683 */   // Label 17327: @1192683
     /* 1192683 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192763), // Rule ID 16814 //
     /* 1192688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192727 */     // MIs[0] round
     /* 1192727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192737 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1192740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192762 */     // GIR_Coverage, 16814,
     /* 1192762 */     GIR_EraseRootFromParent_Done,
     /* 1192763 */   // Label 17328: @1192763
     /* 1192763 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192843), // Rule ID 16817 //
     /* 1192768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192807 */     // MIs[0] round
     /* 1192807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192817 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1192820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192842 */     // GIR_Coverage, 16817,
     /* 1192842 */     GIR_EraseRootFromParent_Done,
     /* 1192843 */   // Label 17329: @1192843
     /* 1192843 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192923), // Rule ID 16818 //
     /* 1192848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192887 */     // MIs[0] round
     /* 1192887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192897 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1192900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192922 */     // GIR_Coverage, 16818,
     /* 1192922 */     GIR_EraseRootFromParent_Done,
     /* 1192923 */   // Label 17330: @1192923
     /* 1192923 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1193003), // Rule ID 16821 //
     /* 1192928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192967 */     // MIs[0] round
     /* 1192967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192977 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1192980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193002 */     // GIR_Coverage, 16821,
     /* 1193002 */     GIR_EraseRootFromParent_Done,
     /* 1193003 */   // Label 17331: @1193003
     /* 1193003 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1193083), // Rule ID 16822 //
     /* 1193008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1193025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193047 */     // MIs[0] round
     /* 1193047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193057 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1193060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193082 */     // GIR_Coverage, 16822,
     /* 1193082 */     GIR_EraseRootFromParent_Done,
     /* 1193083 */   // Label 17332: @1193083
     /* 1193083 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193163), // Rule ID 16825 //
     /* 1193088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193127 */     // MIs[0] round
     /* 1193127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193137 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193162 */     // GIR_Coverage, 16825,
     /* 1193162 */     GIR_EraseRootFromParent_Done,
     /* 1193163 */   // Label 17333: @1193163
     /* 1193163 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193243), // Rule ID 16826 //
     /* 1193168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193207 */     // MIs[0] round
     /* 1193207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1193220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193242 */     // GIR_Coverage, 16826,
     /* 1193242 */     GIR_EraseRootFromParent_Done,
     /* 1193243 */   // Label 17334: @1193243
     /* 1193243 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193323), // Rule ID 16829 //
     /* 1193248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193287 */     // MIs[0] round
     /* 1193287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193322 */     // GIR_Coverage, 16829,
     /* 1193322 */     GIR_EraseRootFromParent_Done,
     /* 1193323 */   // Label 17335: @1193323
     /* 1193323 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193403), // Rule ID 16830 //
     /* 1193328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193367 */     // MIs[0] round
     /* 1193367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1193380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193402 */     // GIR_Coverage, 16830,
     /* 1193402 */     GIR_EraseRootFromParent_Done,
     /* 1193403 */   // Label 17336: @1193403
     /* 1193403 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193483), // Rule ID 16833 //
     /* 1193408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193447 */     // MIs[0] round
     /* 1193447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193482 */     // GIR_Coverage, 16833,
     /* 1193482 */     GIR_EraseRootFromParent_Done,
     /* 1193483 */   // Label 17337: @1193483
     /* 1193483 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193563), // Rule ID 16834 //
     /* 1193488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193527 */     // MIs[0] round
     /* 1193527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1193540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193562 */     // GIR_Coverage, 16834,
     /* 1193562 */     GIR_EraseRootFromParent_Done,
     /* 1193563 */   // Label 17338: @1193563
     /* 1193563 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193643), // Rule ID 16837 //
     /* 1193568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193607 */     // MIs[0] round
     /* 1193607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193617 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1193620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193642 */     // GIR_Coverage, 16837,
     /* 1193642 */     GIR_EraseRootFromParent_Done,
     /* 1193643 */   // Label 17339: @1193643
     /* 1193643 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193723), // Rule ID 16838 //
     /* 1193648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193687 */     // MIs[0] round
     /* 1193687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193697 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1193700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193722 */     // GIR_Coverage, 16838,
     /* 1193722 */     GIR_EraseRootFromParent_Done,
     /* 1193723 */   // Label 17340: @1193723
     /* 1193723 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193803), // Rule ID 16841 //
     /* 1193728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193767 */     // MIs[0] round
     /* 1193767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1193780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193802 */     // GIR_Coverage, 16841,
     /* 1193802 */     GIR_EraseRootFromParent_Done,
     /* 1193803 */   // Label 17341: @1193803
     /* 1193803 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193883), // Rule ID 16842 //
     /* 1193808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193847 */     // MIs[0] round
     /* 1193847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193857 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1193860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193882 */     // GIR_Coverage, 16842,
     /* 1193882 */     GIR_EraseRootFromParent_Done,
     /* 1193883 */   // Label 17342: @1193883
     /* 1193883 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1193963), // Rule ID 16845 //
     /* 1193888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193927 */     // MIs[0] round
     /* 1193927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193937 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1193940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193962 */     // GIR_Coverage, 16845,
     /* 1193962 */     GIR_EraseRootFromParent_Done,
     /* 1193963 */   // Label 17343: @1193963
     /* 1193963 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1194043), // Rule ID 16846 //
     /* 1193968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194007 */     // MIs[0] round
     /* 1194007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194017 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1194020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194042 */     // GIR_Coverage, 16846,
     /* 1194042 */     GIR_EraseRootFromParent_Done,
     /* 1194043 */   // Label 17344: @1194043
     /* 1194043 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1194123), // Rule ID 16849 //
     /* 1194048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194087 */     // MIs[0] round
     /* 1194087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194122 */     // GIR_Coverage, 16849,
     /* 1194122 */     GIR_EraseRootFromParent_Done,
     /* 1194123 */   // Label 17345: @1194123
     /* 1194123 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194203), // Rule ID 16850 //
     /* 1194128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194167 */     // MIs[0] round
     /* 1194167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1194180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194202 */     // GIR_Coverage, 16850,
     /* 1194202 */     GIR_EraseRootFromParent_Done,
     /* 1194203 */   // Label 17346: @1194203
     /* 1194203 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194283), // Rule ID 16853 //
     /* 1194208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194247 */     // MIs[0] round
     /* 1194247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194257 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194282 */     // GIR_Coverage, 16853,
     /* 1194282 */     GIR_EraseRootFromParent_Done,
     /* 1194283 */   // Label 17347: @1194283
     /* 1194283 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194363), // Rule ID 16854 //
     /* 1194288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194327 */     // MIs[0] round
     /* 1194327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1194340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194362 */     // GIR_Coverage, 16854,
     /* 1194362 */     GIR_EraseRootFromParent_Done,
     /* 1194363 */   // Label 17348: @1194363
     /* 1194363 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194443), // Rule ID 16857 //
     /* 1194368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194407 */     // MIs[0] round
     /* 1194407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194417 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194442 */     // GIR_Coverage, 16857,
     /* 1194442 */     GIR_EraseRootFromParent_Done,
     /* 1194443 */   // Label 17349: @1194443
     /* 1194443 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194523), // Rule ID 16858 //
     /* 1194448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194487 */     // MIs[0] round
     /* 1194487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194497 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1194500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194522 */     // GIR_Coverage, 16858,
     /* 1194522 */     GIR_EraseRootFromParent_Done,
     /* 1194523 */   // Label 17350: @1194523
     /* 1194523 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194603), // Rule ID 16861 //
     /* 1194528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194567 */     // MIs[0] round
     /* 1194567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1194580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194602 */     // GIR_Coverage, 16861,
     /* 1194602 */     GIR_EraseRootFromParent_Done,
     /* 1194603 */   // Label 17351: @1194603
     /* 1194603 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194683), // Rule ID 16862 //
     /* 1194608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194647 */     // MIs[0] round
     /* 1194647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194657 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1194660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194682 */     // GIR_Coverage, 16862,
     /* 1194682 */     GIR_EraseRootFromParent_Done,
     /* 1194683 */   // Label 17352: @1194683
     /* 1194683 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194763), // Rule ID 16865 //
     /* 1194688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194727 */     // MIs[0] round
     /* 1194727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194737 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1194740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194762 */     // GIR_Coverage, 16865,
     /* 1194762 */     GIR_EraseRootFromParent_Done,
     /* 1194763 */   // Label 17353: @1194763
     /* 1194763 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194843), // Rule ID 16866 //
     /* 1194768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194807 */     // MIs[0] round
     /* 1194807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1194820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194842 */     // GIR_Coverage, 16866,
     /* 1194842 */     GIR_EraseRootFromParent_Done,
     /* 1194843 */   // Label 17354: @1194843
     /* 1194843 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194923), // Rule ID 16869 //
     /* 1194848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194887 */     // MIs[0] round
     /* 1194887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1194900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194922 */     // GIR_Coverage, 16869,
     /* 1194922 */     GIR_EraseRootFromParent_Done,
     /* 1194923 */   // Label 17355: @1194923
     /* 1194923 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1195003), // Rule ID 16870 //
     /* 1194928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1194936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1194967 */     // MIs[0] round
     /* 1194967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1194980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195002 */     // GIR_Coverage, 16870,
     /* 1195002 */     GIR_EraseRootFromParent_Done,
     /* 1195003 */   // Label 17356: @1195003
     /* 1195003 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1195083), // Rule ID 16873 //
     /* 1195008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195047 */     // MIs[0] round
     /* 1195047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195057 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195082 */     // GIR_Coverage, 16873,
     /* 1195082 */     GIR_EraseRootFromParent_Done,
     /* 1195083 */   // Label 17357: @1195083
     /* 1195083 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195163), // Rule ID 16874 //
     /* 1195088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1195108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195127 */     // MIs[0] round
     /* 1195127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195137 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1195140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195162 */     // GIR_Coverage, 16874,
     /* 1195162 */     GIR_EraseRootFromParent_Done,
     /* 1195163 */   // Label 17358: @1195163
     /* 1195163 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195243), // Rule ID 16877 //
     /* 1195168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195207 */     // MIs[0] round
     /* 1195207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195242 */     // GIR_Coverage, 16877,
     /* 1195242 */     GIR_EraseRootFromParent_Done,
     /* 1195243 */   // Label 17359: @1195243
     /* 1195243 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195323), // Rule ID 16878 //
     /* 1195248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1195268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195287 */     // MIs[0] round
     /* 1195287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1195300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195322 */     // GIR_Coverage, 16878,
     /* 1195322 */     GIR_EraseRootFromParent_Done,
     /* 1195323 */   // Label 17360: @1195323
     /* 1195323 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195403), // Rule ID 16881 //
     /* 1195328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195367 */     // MIs[0] round
     /* 1195367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195402 */     // GIR_Coverage, 16881,
     /* 1195402 */     GIR_EraseRootFromParent_Done,
     /* 1195403 */   // Label 17361: @1195403
     /* 1195403 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195483), // Rule ID 16882 //
     /* 1195408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195447 */     // MIs[0] round
     /* 1195447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195457 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1195460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195482 */     // GIR_Coverage, 16882,
     /* 1195482 */     GIR_EraseRootFromParent_Done,
     /* 1195483 */   // Label 17362: @1195483
     /* 1195483 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195563), // Rule ID 16885 //
     /* 1195488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195527 */     // MIs[0] round
     /* 1195527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195537 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195562 */     // GIR_Coverage, 16885,
     /* 1195562 */     GIR_EraseRootFromParent_Done,
     /* 1195563 */   // Label 17363: @1195563
     /* 1195563 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195643), // Rule ID 16886 //
     /* 1195568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195607 */     // MIs[0] round
     /* 1195607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1195620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195642 */     // GIR_Coverage, 16886,
     /* 1195642 */     GIR_EraseRootFromParent_Done,
     /* 1195643 */   // Label 17364: @1195643
     /* 1195643 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195723), // Rule ID 16889 //
     /* 1195648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195687 */     // MIs[0] round
     /* 1195687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195697 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1195700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195722 */     // GIR_Coverage, 16889,
     /* 1195722 */     GIR_EraseRootFromParent_Done,
     /* 1195723 */   // Label 17365: @1195723
     /* 1195723 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195803), // Rule ID 16890 //
     /* 1195728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195767 */     // MIs[0] round
     /* 1195767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195777 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1195780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195802 */     // GIR_Coverage, 16890,
     /* 1195802 */     GIR_EraseRootFromParent_Done,
     /* 1195803 */   // Label 17366: @1195803
     /* 1195803 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195883), // Rule ID 16893 //
     /* 1195808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195847 */     // MIs[0] round
     /* 1195847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1195860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195882 */     // GIR_Coverage, 16893,
     /* 1195882 */     GIR_EraseRootFromParent_Done,
     /* 1195883 */   // Label 17367: @1195883
     /* 1195883 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1195963), // Rule ID 16894 //
     /* 1195888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195927 */     // MIs[0] round
     /* 1195927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195937 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1195940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195962 */     // GIR_Coverage, 16894,
     /* 1195962 */     GIR_EraseRootFromParent_Done,
     /* 1195963 */   // Label 17368: @1195963
     /* 1195963 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1196043), // Rule ID 16897 //
     /* 1195968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1195988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196007 */     // MIs[0] round
     /* 1196007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196042 */     // GIR_Coverage, 16897,
     /* 1196042 */     GIR_EraseRootFromParent_Done,
     /* 1196043 */   // Label 17369: @1196043
     /* 1196043 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1196123), // Rule ID 16898 //
     /* 1196048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1196068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196087 */     // MIs[0] round
     /* 1196087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196097 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1196100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196122 */     // GIR_Coverage, 16898,
     /* 1196122 */     GIR_EraseRootFromParent_Done,
     /* 1196123 */   // Label 17370: @1196123
     /* 1196123 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196203), // Rule ID 16901 //
     /* 1196128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196167 */     // MIs[0] round
     /* 1196167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196202 */     // GIR_Coverage, 16901,
     /* 1196202 */     GIR_EraseRootFromParent_Done,
     /* 1196203 */   // Label 17371: @1196203
     /* 1196203 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196283), // Rule ID 16902 //
     /* 1196208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1196228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196247 */     // MIs[0] round
     /* 1196247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196257 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1196260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196282 */     // GIR_Coverage, 16902,
     /* 1196282 */     GIR_EraseRootFromParent_Done,
     /* 1196283 */   // Label 17372: @1196283
     /* 1196283 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196363), // Rule ID 16905 //
     /* 1196288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196327 */     // MIs[0] round
     /* 1196327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196337 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196362 */     // GIR_Coverage, 16905,
     /* 1196362 */     GIR_EraseRootFromParent_Done,
     /* 1196363 */   // Label 17373: @1196363
     /* 1196363 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196443), // Rule ID 16906 //
     /* 1196368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196407 */     // MIs[0] round
     /* 1196407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196417 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1196420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196442 */     // GIR_Coverage, 16906,
     /* 1196442 */     GIR_EraseRootFromParent_Done,
     /* 1196443 */   // Label 17374: @1196443
     /* 1196443 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196523), // Rule ID 16909 //
     /* 1196448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196487 */     // MIs[0] round
     /* 1196487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196522 */     // GIR_Coverage, 16909,
     /* 1196522 */     GIR_EraseRootFromParent_Done,
     /* 1196523 */   // Label 17375: @1196523
     /* 1196523 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196603), // Rule ID 16910 //
     /* 1196528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196567 */     // MIs[0] round
     /* 1196567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1196580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196602 */     // GIR_Coverage, 16910,
     /* 1196602 */     GIR_EraseRootFromParent_Done,
     /* 1196603 */   // Label 17376: @1196603
     /* 1196603 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196683), // Rule ID 16913 //
     /* 1196608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196647 */     // MIs[0] round
     /* 1196647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1196660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196682 */     // GIR_Coverage, 16913,
     /* 1196682 */     GIR_EraseRootFromParent_Done,
     /* 1196683 */   // Label 17377: @1196683
     /* 1196683 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196763), // Rule ID 16914 //
     /* 1196688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196727 */     // MIs[0] round
     /* 1196727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1196740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196762 */     // GIR_Coverage, 16914,
     /* 1196762 */     GIR_EraseRootFromParent_Done,
     /* 1196763 */   // Label 17378: @1196763
     /* 1196763 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196843), // Rule ID 16917 //
     /* 1196768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1196785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196807 */     // MIs[0] round
     /* 1196807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1196820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196842 */     // GIR_Coverage, 16917,
     /* 1196842 */     GIR_EraseRootFromParent_Done,
     /* 1196843 */   // Label 17379: @1196843
     /* 1196843 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196923), // Rule ID 16918 //
     /* 1196848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1196865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196887 */     // MIs[0] round
     /* 1196887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196897 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1196900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196922 */     // GIR_Coverage, 16918,
     /* 1196922 */     GIR_EraseRootFromParent_Done,
     /* 1196923 */   // Label 17380: @1196923
     /* 1196923 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1197003), // Rule ID 16921 //
     /* 1196928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196967 */     // MIs[0] round
     /* 1196967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196977 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1196980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197002 */     // GIR_Coverage, 16921,
     /* 1197002 */     GIR_EraseRootFromParent_Done,
     /* 1197003 */   // Label 17381: @1197003
     /* 1197003 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1197083), // Rule ID 16922 //
     /* 1197008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197047 */     // MIs[0] round
     /* 1197047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1197060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197082 */     // GIR_Coverage, 16922,
     /* 1197082 */     GIR_EraseRootFromParent_Done,
     /* 1197083 */   // Label 17382: @1197083
     /* 1197083 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197163), // Rule ID 16925 //
     /* 1197088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197127 */     // MIs[0] round
     /* 1197127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197137 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197162 */     // GIR_Coverage, 16925,
     /* 1197162 */     GIR_EraseRootFromParent_Done,
     /* 1197163 */   // Label 17383: @1197163
     /* 1197163 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197243), // Rule ID 16926 //
     /* 1197168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197207 */     // MIs[0] round
     /* 1197207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197217 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1197220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197242 */     // GIR_Coverage, 16926,
     /* 1197242 */     GIR_EraseRootFromParent_Done,
     /* 1197243 */   // Label 17384: @1197243
     /* 1197243 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197323), // Rule ID 16929 //
     /* 1197248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197287 */     // MIs[0] round
     /* 1197287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197322 */     // GIR_Coverage, 16929,
     /* 1197322 */     GIR_EraseRootFromParent_Done,
     /* 1197323 */   // Label 17385: @1197323
     /* 1197323 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197403), // Rule ID 16930 //
     /* 1197328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197367 */     // MIs[0] round
     /* 1197367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1197380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197402 */     // GIR_Coverage, 16930,
     /* 1197402 */     GIR_EraseRootFromParent_Done,
     /* 1197403 */   // Label 17386: @1197403
     /* 1197403 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197483), // Rule ID 16933 //
     /* 1197408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197447 */     // MIs[0] round
     /* 1197447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197482 */     // GIR_Coverage, 16933,
     /* 1197482 */     GIR_EraseRootFromParent_Done,
     /* 1197483 */   // Label 17387: @1197483
     /* 1197483 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197563), // Rule ID 16934 //
     /* 1197488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197527 */     // MIs[0] round
     /* 1197527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197537 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1197540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197562 */     // GIR_Coverage, 16934,
     /* 1197562 */     GIR_EraseRootFromParent_Done,
     /* 1197563 */   // Label 17388: @1197563
     /* 1197563 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197643), // Rule ID 16937 //
     /* 1197568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197607 */     // MIs[0] round
     /* 1197607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1197620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197642 */     // GIR_Coverage, 16937,
     /* 1197642 */     GIR_EraseRootFromParent_Done,
     /* 1197643 */   // Label 17389: @1197643
     /* 1197643 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197723), // Rule ID 16938 //
     /* 1197648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197687 */     // MIs[0] round
     /* 1197687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1197700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197722 */     // GIR_Coverage, 16938,
     /* 1197722 */     GIR_EraseRootFromParent_Done,
     /* 1197723 */   // Label 17390: @1197723
     /* 1197723 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197803), // Rule ID 16941 //
     /* 1197728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197767 */     // MIs[0] round
     /* 1197767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1197780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197802 */     // GIR_Coverage, 16941,
     /* 1197802 */     GIR_EraseRootFromParent_Done,
     /* 1197803 */   // Label 17391: @1197803
     /* 1197803 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197883), // Rule ID 16942 //
     /* 1197808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1197816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197847 */     // MIs[0] round
     /* 1197847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197857 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1197860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197882 */     // GIR_Coverage, 16942,
     /* 1197882 */     GIR_EraseRootFromParent_Done,
     /* 1197883 */   // Label 17392: @1197883
     /* 1197883 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1197963), // Rule ID 16945 //
     /* 1197888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197927 */     // MIs[0] round
     /* 1197927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197937 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1197940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197962 */     // GIR_Coverage, 16945,
     /* 1197962 */     GIR_EraseRootFromParent_Done,
     /* 1197963 */   // Label 17393: @1197963
     /* 1197963 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1198043), // Rule ID 16946 //
     /* 1197968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198007 */     // MIs[0] round
     /* 1198007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198017 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1198020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198042 */     // GIR_Coverage, 16946,
     /* 1198042 */     GIR_EraseRootFromParent_Done,
     /* 1198043 */   // Label 17394: @1198043
     /* 1198043 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198123), // Rule ID 16949 //
     /* 1198048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198087 */     // MIs[0] round
     /* 1198087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198122 */     // GIR_Coverage, 16949,
     /* 1198122 */     GIR_EraseRootFromParent_Done,
     /* 1198123 */   // Label 17395: @1198123
     /* 1198123 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198203), // Rule ID 16950 //
     /* 1198128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198167 */     // MIs[0] round
     /* 1198167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1198180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198202 */     // GIR_Coverage, 16950,
     /* 1198202 */     GIR_EraseRootFromParent_Done,
     /* 1198203 */   // Label 17396: @1198203
     /* 1198203 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198283), // Rule ID 16953 //
     /* 1198208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198247 */     // MIs[0] round
     /* 1198247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198282 */     // GIR_Coverage, 16953,
     /* 1198282 */     GIR_EraseRootFromParent_Done,
     /* 1198283 */   // Label 17397: @1198283
     /* 1198283 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198363), // Rule ID 16954 //
     /* 1198288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198327 */     // MIs[0] round
     /* 1198327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1198340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198362 */     // GIR_Coverage, 16954,
     /* 1198362 */     GIR_EraseRootFromParent_Done,
     /* 1198363 */   // Label 17398: @1198363
     /* 1198363 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198443), // Rule ID 16957 //
     /* 1198368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198407 */     // MIs[0] round
     /* 1198407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198417 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198442 */     // GIR_Coverage, 16957,
     /* 1198442 */     GIR_EraseRootFromParent_Done,
     /* 1198443 */   // Label 17399: @1198443
     /* 1198443 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198523), // Rule ID 16958 //
     /* 1198448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198487 */     // MIs[0] round
     /* 1198487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198497 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1198500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198522 */     // GIR_Coverage, 16958,
     /* 1198522 */     GIR_EraseRootFromParent_Done,
     /* 1198523 */   // Label 17400: @1198523
     /* 1198523 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198603), // Rule ID 16961 //
     /* 1198528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198567 */     // MIs[0] round
     /* 1198567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1198580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198602 */     // GIR_Coverage, 16961,
     /* 1198602 */     GIR_EraseRootFromParent_Done,
     /* 1198603 */   // Label 17401: @1198603
     /* 1198603 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198683), // Rule ID 16962 //
     /* 1198608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198647 */     // MIs[0] round
     /* 1198647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198657 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1198660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198682 */     // GIR_Coverage, 16962,
     /* 1198682 */     GIR_EraseRootFromParent_Done,
     /* 1198683 */   // Label 17402: @1198683
     /* 1198683 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198763), // Rule ID 16965 //
     /* 1198688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198727 */     // MIs[0] round
     /* 1198727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1198740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198762 */     // GIR_Coverage, 16965,
     /* 1198762 */     GIR_EraseRootFromParent_Done,
     /* 1198763 */   // Label 17403: @1198763
     /* 1198763 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198843), // Rule ID 16966 //
     /* 1198768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198807 */     // MIs[0] round
     /* 1198807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198817 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1198820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198842 */     // GIR_Coverage, 16966,
     /* 1198842 */     GIR_EraseRootFromParent_Done,
     /* 1198843 */   // Label 17404: @1198843
     /* 1198843 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198923), // Rule ID 16969 //
     /* 1198848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1198868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198887 */     // MIs[0] round
     /* 1198887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198897 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1198900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198922 */     // GIR_Coverage, 16969,
     /* 1198922 */     GIR_EraseRootFromParent_Done,
     /* 1198923 */   // Label 17405: @1198923
     /* 1198923 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1199003), // Rule ID 16970 //
     /* 1198928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1198945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1198948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198967 */     // MIs[0] round
     /* 1198967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198977 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1198980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199002 */     // GIR_Coverage, 16970,
     /* 1199002 */     GIR_EraseRootFromParent_Done,
     /* 1199003 */   // Label 17406: @1199003
     /* 1199003 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1199083), // Rule ID 16973 //
     /* 1199008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199047 */     // MIs[0] round
     /* 1199047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199082 */     // GIR_Coverage, 16973,
     /* 1199082 */     GIR_EraseRootFromParent_Done,
     /* 1199083 */   // Label 17407: @1199083
     /* 1199083 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199163), // Rule ID 16974 //
     /* 1199088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1199108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199127 */     // MIs[0] round
     /* 1199127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199137 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1199140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199162 */     // GIR_Coverage, 16974,
     /* 1199162 */     GIR_EraseRootFromParent_Done,
     /* 1199163 */   // Label 17408: @1199163
     /* 1199163 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199243), // Rule ID 16977 //
     /* 1199168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199207 */     // MIs[0] round
     /* 1199207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199242 */     // GIR_Coverage, 16977,
     /* 1199242 */     GIR_EraseRootFromParent_Done,
     /* 1199243 */   // Label 17409: @1199243
     /* 1199243 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199323), // Rule ID 16978 //
     /* 1199248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1199268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199287 */     // MIs[0] round
     /* 1199287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199297 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1199300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199322 */     // GIR_Coverage, 16978,
     /* 1199322 */     GIR_EraseRootFromParent_Done,
     /* 1199323 */   // Label 17410: @1199323
     /* 1199323 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199403), // Rule ID 16981 //
     /* 1199328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199367 */     // MIs[0] round
     /* 1199367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199402 */     // GIR_Coverage, 16981,
     /* 1199402 */     GIR_EraseRootFromParent_Done,
     /* 1199403 */   // Label 17411: @1199403
     /* 1199403 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199483), // Rule ID 16982 //
     /* 1199408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199447 */     // MIs[0] round
     /* 1199447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1199460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199482 */     // GIR_Coverage, 16982,
     /* 1199482 */     GIR_EraseRootFromParent_Done,
     /* 1199483 */   // Label 17412: @1199483
     /* 1199483 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199563), // Rule ID 16985 //
     /* 1199488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199527 */     // MIs[0] round
     /* 1199527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199562 */     // GIR_Coverage, 16985,
     /* 1199562 */     GIR_EraseRootFromParent_Done,
     /* 1199563 */   // Label 17413: @1199563
     /* 1199563 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199643), // Rule ID 16986 //
     /* 1199568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199607 */     // MIs[0] round
     /* 1199607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199617 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1199620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199642 */     // GIR_Coverage, 16986,
     /* 1199642 */     GIR_EraseRootFromParent_Done,
     /* 1199643 */   // Label 17414: @1199643
     /* 1199643 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199723), // Rule ID 16989 //
     /* 1199648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199687 */     // MIs[0] round
     /* 1199687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199697 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1199700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199722 */     // GIR_Coverage, 16989,
     /* 1199722 */     GIR_EraseRootFromParent_Done,
     /* 1199723 */   // Label 17415: @1199723
     /* 1199723 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199803), // Rule ID 16990 //
     /* 1199728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199767 */     // MIs[0] round
     /* 1199767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1199780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199802 */     // GIR_Coverage, 16990,
     /* 1199802 */     GIR_EraseRootFromParent_Done,
     /* 1199803 */   // Label 17416: @1199803
     /* 1199803 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199883), // Rule ID 16993 //
     /* 1199808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199847 */     // MIs[0] round
     /* 1199847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199857 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1199860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199882 */     // GIR_Coverage, 16993,
     /* 1199882 */     GIR_EraseRootFromParent_Done,
     /* 1199883 */   // Label 17417: @1199883
     /* 1199883 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1199963), // Rule ID 16994 //
     /* 1199888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199927 */     // MIs[0] round
     /* 1199927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199937 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1199940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199962 */     // GIR_Coverage, 16994,
     /* 1199962 */     GIR_EraseRootFromParent_Done,
     /* 1199963 */   // Label 17418: @1199963
     /* 1199963 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1200043), // Rule ID 16997 //
     /* 1199968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200007 */     // MIs[0] round
     /* 1200007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200042 */     // GIR_Coverage, 16997,
     /* 1200042 */     GIR_EraseRootFromParent_Done,
     /* 1200043 */   // Label 17419: @1200043
     /* 1200043 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200123), // Rule ID 16998 //
     /* 1200048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200087 */     // MIs[0] round
     /* 1200087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200097 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1200100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200122 */     // GIR_Coverage, 16998,
     /* 1200122 */     GIR_EraseRootFromParent_Done,
     /* 1200123 */   // Label 17420: @1200123
     /* 1200123 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200203), // Rule ID 17001 //
     /* 1200128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200167 */     // MIs[0] round
     /* 1200167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200202 */     // GIR_Coverage, 17001,
     /* 1200202 */     GIR_EraseRootFromParent_Done,
     /* 1200203 */   // Label 17421: @1200203
     /* 1200203 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200283), // Rule ID 17002 //
     /* 1200208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200247 */     // MIs[0] round
     /* 1200247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200257 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1200260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200282 */     // GIR_Coverage, 17002,
     /* 1200282 */     GIR_EraseRootFromParent_Done,
     /* 1200283 */   // Label 17422: @1200283
     /* 1200283 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200363), // Rule ID 17005 //
     /* 1200288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200327 */     // MIs[0] round
     /* 1200327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200337 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200362 */     // GIR_Coverage, 17005,
     /* 1200362 */     GIR_EraseRootFromParent_Done,
     /* 1200363 */   // Label 17423: @1200363
     /* 1200363 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200443), // Rule ID 17006 //
     /* 1200368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200407 */     // MIs[0] round
     /* 1200407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1200420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200442 */     // GIR_Coverage, 17006,
     /* 1200442 */     GIR_EraseRootFromParent_Done,
     /* 1200443 */   // Label 17424: @1200443
     /* 1200443 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200523), // Rule ID 17009 //
     /* 1200448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200487 */     // MIs[0] round
     /* 1200487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200497 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200522 */     // GIR_Coverage, 17009,
     /* 1200522 */     GIR_EraseRootFromParent_Done,
     /* 1200523 */   // Label 17425: @1200523
     /* 1200523 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200603), // Rule ID 17010 //
     /* 1200528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200567 */     // MIs[0] round
     /* 1200567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200577 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1200580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200602 */     // GIR_Coverage, 17010,
     /* 1200602 */     GIR_EraseRootFromParent_Done,
     /* 1200603 */   // Label 17426: @1200603
     /* 1200603 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200683), // Rule ID 17013 //
     /* 1200608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200647 */     // MIs[0] round
     /* 1200647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200657 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1200660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200682 */     // GIR_Coverage, 17013,
     /* 1200682 */     GIR_EraseRootFromParent_Done,
     /* 1200683 */   // Label 17427: @1200683
     /* 1200683 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200763), // Rule ID 17014 //
     /* 1200688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1200696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200727 */     // MIs[0] round
     /* 1200727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200737 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1200740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200762 */     // GIR_Coverage, 17014,
     /* 1200762 */     GIR_EraseRootFromParent_Done,
     /* 1200763 */   // Label 17428: @1200763
     /* 1200763 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200843), // Rule ID 17019 //
     /* 1200768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200807 */     // MIs[0] round
     /* 1200807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1200820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200842 */     // GIR_Coverage, 17019,
     /* 1200842 */     GIR_EraseRootFromParent_Done,
     /* 1200843 */   // Label 17429: @1200843
     /* 1200843 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200923), // Rule ID 17020 //
     /* 1200848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200887 */     // MIs[0] round
     /* 1200887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1200900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200922 */     // GIR_Coverage, 17020,
     /* 1200922 */     GIR_EraseRootFromParent_Done,
     /* 1200923 */   // Label 17430: @1200923
     /* 1200923 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1201003), // Rule ID 17029 //
     /* 1200928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200967 */     // MIs[0] round
     /* 1200967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1200980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201002 */     // GIR_Coverage, 17029,
     /* 1201002 */     GIR_EraseRootFromParent_Done,
     /* 1201003 */   // Label 17431: @1201003
     /* 1201003 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201083), // Rule ID 17030 //
     /* 1201008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201047 */     // MIs[0] round
     /* 1201047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1201060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201082 */     // GIR_Coverage, 17030,
     /* 1201082 */     GIR_EraseRootFromParent_Done,
     /* 1201083 */   // Label 17432: @1201083
     /* 1201083 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201163), // Rule ID 17039 //
     /* 1201088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201127 */     // MIs[0] round
     /* 1201127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201137 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201162 */     // GIR_Coverage, 17039,
     /* 1201162 */     GIR_EraseRootFromParent_Done,
     /* 1201163 */   // Label 17433: @1201163
     /* 1201163 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201243), // Rule ID 17040 //
     /* 1201168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201207 */     // MIs[0] round
     /* 1201207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201217 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1201220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201242 */     // GIR_Coverage, 17040,
     /* 1201242 */     GIR_EraseRootFromParent_Done,
     /* 1201243 */   // Label 17434: @1201243
     /* 1201243 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201323), // Rule ID 17049 //
     /* 1201248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201287 */     // MIs[0] round
     /* 1201287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201322 */     // GIR_Coverage, 17049,
     /* 1201322 */     GIR_EraseRootFromParent_Done,
     /* 1201323 */   // Label 17435: @1201323
     /* 1201323 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201403), // Rule ID 17050 //
     /* 1201328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201367 */     // MIs[0] round
     /* 1201367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1201380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201402 */     // GIR_Coverage, 17050,
     /* 1201402 */     GIR_EraseRootFromParent_Done,
     /* 1201403 */   // Label 17436: @1201403
     /* 1201403 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201483), // Rule ID 17059 //
     /* 1201408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201447 */     // MIs[0] round
     /* 1201447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201482 */     // GIR_Coverage, 17059,
     /* 1201482 */     GIR_EraseRootFromParent_Done,
     /* 1201483 */   // Label 17437: @1201483
     /* 1201483 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201563), // Rule ID 17060 //
     /* 1201488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201527 */     // MIs[0] round
     /* 1201527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1201540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201562 */     // GIR_Coverage, 17060,
     /* 1201562 */     GIR_EraseRootFromParent_Done,
     /* 1201563 */   // Label 17438: @1201563
     /* 1201563 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201643), // Rule ID 17069 //
     /* 1201568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201607 */     // MIs[0] round
     /* 1201607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201617 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1201620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201642 */     // GIR_Coverage, 17069,
     /* 1201642 */     GIR_EraseRootFromParent_Done,
     /* 1201643 */   // Label 17439: @1201643
     /* 1201643 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201723), // Rule ID 17070 //
     /* 1201648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201687 */     // MIs[0] round
     /* 1201687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201697 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1201700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201722 */     // GIR_Coverage, 17070,
     /* 1201722 */     GIR_EraseRootFromParent_Done,
     /* 1201723 */   // Label 17440: @1201723
     /* 1201723 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201803), // Rule ID 17079 //
     /* 1201728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201767 */     // MIs[0] round
     /* 1201767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1201780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201802 */     // GIR_Coverage, 17079,
     /* 1201802 */     GIR_EraseRootFromParent_Done,
     /* 1201803 */   // Label 17441: @1201803
     /* 1201803 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201883), // Rule ID 17080 //
     /* 1201808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201847 */     // MIs[0] round
     /* 1201847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1201860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201882 */     // GIR_Coverage, 17080,
     /* 1201882 */     GIR_EraseRootFromParent_Done,
     /* 1201883 */   // Label 17442: @1201883
     /* 1201883 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1201963), // Rule ID 17089 //
     /* 1201888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201927 */     // MIs[0] round
     /* 1201927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201937 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1201940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201962 */     // GIR_Coverage, 17089,
     /* 1201962 */     GIR_EraseRootFromParent_Done,
     /* 1201963 */   // Label 17443: @1201963
     /* 1201963 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1202043), // Rule ID 17090 //
     /* 1201968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202007 */     // MIs[0] round
     /* 1202007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202017 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1202020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202042 */     // GIR_Coverage, 17090,
     /* 1202042 */     GIR_EraseRootFromParent_Done,
     /* 1202043 */   // Label 17444: @1202043
     /* 1202043 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202123), // Rule ID 17097 //
     /* 1202048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202087 */     // MIs[0] round
     /* 1202087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202122 */     // GIR_Coverage, 17097,
     /* 1202122 */     GIR_EraseRootFromParent_Done,
     /* 1202123 */   // Label 17445: @1202123
     /* 1202123 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202203), // Rule ID 17098 //
     /* 1202128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202167 */     // MIs[0] round
     /* 1202167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1202180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202202 */     // GIR_Coverage, 17098,
     /* 1202202 */     GIR_EraseRootFromParent_Done,
     /* 1202203 */   // Label 17446: @1202203
     /* 1202203 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202283), // Rule ID 17101 //
     /* 1202208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202247 */     // MIs[0] round
     /* 1202247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202282 */     // GIR_Coverage, 17101,
     /* 1202282 */     GIR_EraseRootFromParent_Done,
     /* 1202283 */   // Label 17447: @1202283
     /* 1202283 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202363), // Rule ID 17102 //
     /* 1202288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202327 */     // MIs[0] round
     /* 1202327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1202340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202362 */     // GIR_Coverage, 17102,
     /* 1202362 */     GIR_EraseRootFromParent_Done,
     /* 1202363 */   // Label 17448: @1202363
     /* 1202363 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202443), // Rule ID 17105 //
     /* 1202368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202407 */     // MIs[0] round
     /* 1202407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202417 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202442 */     // GIR_Coverage, 17105,
     /* 1202442 */     GIR_EraseRootFromParent_Done,
     /* 1202443 */   // Label 17449: @1202443
     /* 1202443 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202523), // Rule ID 17106 //
     /* 1202448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202487 */     // MIs[0] round
     /* 1202487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1202500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202522 */     // GIR_Coverage, 17106,
     /* 1202522 */     GIR_EraseRootFromParent_Done,
     /* 1202523 */   // Label 17450: @1202523
     /* 1202523 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202603), // Rule ID 17109 //
     /* 1202528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202567 */     // MIs[0] round
     /* 1202567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202577 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1202580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202602 */     // GIR_Coverage, 17109,
     /* 1202602 */     GIR_EraseRootFromParent_Done,
     /* 1202603 */   // Label 17451: @1202603
     /* 1202603 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202683), // Rule ID 17110 //
     /* 1202608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202647 */     // MIs[0] round
     /* 1202647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202657 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1202660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202682 */     // GIR_Coverage, 17110,
     /* 1202682 */     GIR_EraseRootFromParent_Done,
     /* 1202683 */   // Label 17452: @1202683
     /* 1202683 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202763), // Rule ID 17113 //
     /* 1202688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202727 */     // MIs[0] round
     /* 1202727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202737 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1202740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202762 */     // GIR_Coverage, 17113,
     /* 1202762 */     GIR_EraseRootFromParent_Done,
     /* 1202763 */   // Label 17453: @1202763
     /* 1202763 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202843), // Rule ID 17114 //
     /* 1202768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202807 */     // MIs[0] round
     /* 1202807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202817 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1202820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202842 */     // GIR_Coverage, 17114,
     /* 1202842 */     GIR_EraseRootFromParent_Done,
     /* 1202843 */   // Label 17454: @1202843
     /* 1202843 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202923), // Rule ID 17117 //
     /* 1202848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202887 */     // MIs[0] round
     /* 1202887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202897 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1202900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202922 */     // GIR_Coverage, 17117,
     /* 1202922 */     GIR_EraseRootFromParent_Done,
     /* 1202923 */   // Label 17455: @1202923
     /* 1202923 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1203003), // Rule ID 17118 //
     /* 1202928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202967 */     // MIs[0] round
     /* 1202967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1202980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203002 */     // GIR_Coverage, 17118,
     /* 1203002 */     GIR_EraseRootFromParent_Done,
     /* 1203003 */   // Label 17456: @1203003
     /* 1203003 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203083), // Rule ID 17121 //
     /* 1203008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203047 */     // MIs[0] round
     /* 1203047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203057 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203082 */     // GIR_Coverage, 17121,
     /* 1203082 */     GIR_EraseRootFromParent_Done,
     /* 1203083 */   // Label 17457: @1203083
     /* 1203083 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203163), // Rule ID 17122 //
     /* 1203088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203127 */     // MIs[0] round
     /* 1203127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1203140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203162 */     // GIR_Coverage, 17122,
     /* 1203162 */     GIR_EraseRootFromParent_Done,
     /* 1203163 */   // Label 17458: @1203163
     /* 1203163 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203243), // Rule ID 17125 //
     /* 1203168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203207 */     // MIs[0] round
     /* 1203207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203242 */     // GIR_Coverage, 17125,
     /* 1203242 */     GIR_EraseRootFromParent_Done,
     /* 1203243 */   // Label 17459: @1203243
     /* 1203243 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203323), // Rule ID 17126 //
     /* 1203248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203287 */     // MIs[0] round
     /* 1203287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203297 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1203300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203322 */     // GIR_Coverage, 17126,
     /* 1203322 */     GIR_EraseRootFromParent_Done,
     /* 1203323 */   // Label 17460: @1203323
     /* 1203323 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203403), // Rule ID 17129 //
     /* 1203328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203367 */     // MIs[0] round
     /* 1203367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203402 */     // GIR_Coverage, 17129,
     /* 1203402 */     GIR_EraseRootFromParent_Done,
     /* 1203403 */   // Label 17461: @1203403
     /* 1203403 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203483), // Rule ID 17130 //
     /* 1203408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1203416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203447 */     // MIs[0] round
     /* 1203447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203457 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1203460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203482 */     // GIR_Coverage, 17130,
     /* 1203482 */     GIR_EraseRootFromParent_Done,
     /* 1203483 */   // Label 17462: @1203483
     /* 1203483 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203563), // Rule ID 17135 //
     /* 1203488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203527 */     // MIs[0] round
     /* 1203527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203537 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203562 */     // GIR_Coverage, 17135,
     /* 1203562 */     GIR_EraseRootFromParent_Done,
     /* 1203563 */   // Label 17463: @1203563
     /* 1203563 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203643), // Rule ID 17136 //
     /* 1203568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1203588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203607 */     // MIs[0] round
     /* 1203607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203617 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1203620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203642 */     // GIR_Coverage, 17136,
     /* 1203642 */     GIR_EraseRootFromParent_Done,
     /* 1203643 */   // Label 17464: @1203643
     /* 1203643 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203723), // Rule ID 17145 //
     /* 1203648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203687 */     // MIs[0] round
     /* 1203687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1203700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203722 */     // GIR_Coverage, 17145,
     /* 1203722 */     GIR_EraseRootFromParent_Done,
     /* 1203723 */   // Label 17465: @1203723
     /* 1203723 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203803), // Rule ID 17146 //
     /* 1203728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1203748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203767 */     // MIs[0] round
     /* 1203767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1203780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203802 */     // GIR_Coverage, 17146,
     /* 1203802 */     GIR_EraseRootFromParent_Done,
     /* 1203803 */   // Label 17466: @1203803
     /* 1203803 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203883), // Rule ID 17155 //
     /* 1203808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203847 */     // MIs[0] round
     /* 1203847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203857 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1203860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203882 */     // GIR_Coverage, 17155,
     /* 1203882 */     GIR_EraseRootFromParent_Done,
     /* 1203883 */   // Label 17467: @1203883
     /* 1203883 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1203963), // Rule ID 17156 //
     /* 1203888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1203908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203927 */     // MIs[0] round
     /* 1203927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203937 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1203940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203962 */     // GIR_Coverage, 17156,
     /* 1203962 */     GIR_EraseRootFromParent_Done,
     /* 1203963 */   // Label 17468: @1203963
     /* 1203963 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204043), // Rule ID 17165 //
     /* 1203968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204007 */     // MIs[0] round
     /* 1204007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204017 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204042 */     // GIR_Coverage, 17165,
     /* 1204042 */     GIR_EraseRootFromParent_Done,
     /* 1204043 */   // Label 17469: @1204043
     /* 1204043 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204123), // Rule ID 17166 //
     /* 1204048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204087 */     // MIs[0] round
     /* 1204087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204097 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1204100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204122 */     // GIR_Coverage, 17166,
     /* 1204122 */     GIR_EraseRootFromParent_Done,
     /* 1204123 */   // Label 17470: @1204123
     /* 1204123 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204203), // Rule ID 17175 //
     /* 1204128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204167 */     // MIs[0] round
     /* 1204167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204202 */     // GIR_Coverage, 17175,
     /* 1204202 */     GIR_EraseRootFromParent_Done,
     /* 1204203 */   // Label 17471: @1204203
     /* 1204203 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204283), // Rule ID 17176 //
     /* 1204208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1204228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204247 */     // MIs[0] round
     /* 1204247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204257 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1204260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204282 */     // GIR_Coverage, 17176,
     /* 1204282 */     GIR_EraseRootFromParent_Done,
     /* 1204283 */   // Label 17472: @1204283
     /* 1204283 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204363), // Rule ID 17185 //
     /* 1204288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204327 */     // MIs[0] round
     /* 1204327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204362 */     // GIR_Coverage, 17185,
     /* 1204362 */     GIR_EraseRootFromParent_Done,
     /* 1204363 */   // Label 17473: @1204363
     /* 1204363 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204443), // Rule ID 17186 //
     /* 1204368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1204388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204407 */     // MIs[0] round
     /* 1204407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1204420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204442 */     // GIR_Coverage, 17186,
     /* 1204442 */     GIR_EraseRootFromParent_Done,
     /* 1204443 */   // Label 17474: @1204443
     /* 1204443 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204523), // Rule ID 17195 //
     /* 1204448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204487 */     // MIs[0] round
     /* 1204487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204497 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204522 */     // GIR_Coverage, 17195,
     /* 1204522 */     GIR_EraseRootFromParent_Done,
     /* 1204523 */   // Label 17475: @1204523
     /* 1204523 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204603), // Rule ID 17196 //
     /* 1204528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1204548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204567 */     // MIs[0] round
     /* 1204567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1204580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204602 */     // GIR_Coverage, 17196,
     /* 1204602 */     GIR_EraseRootFromParent_Done,
     /* 1204603 */   // Label 17476: @1204603
     /* 1204603 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204683), // Rule ID 17205 //
     /* 1204608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204647 */     // MIs[0] round
     /* 1204647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204657 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1204660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204682 */     // GIR_Coverage, 17205,
     /* 1204682 */     GIR_EraseRootFromParent_Done,
     /* 1204683 */   // Label 17477: @1204683
     /* 1204683 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204763), // Rule ID 17206 //
     /* 1204688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1204708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204727 */     // MIs[0] round
     /* 1204727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204737 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1204740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204762 */     // GIR_Coverage, 17206,
     /* 1204762 */     GIR_EraseRootFromParent_Done,
     /* 1204763 */   // Label 17478: @1204763
     /* 1204763 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204843), // Rule ID 17215 //
     /* 1204768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204807 */     // MIs[0] round
     /* 1204807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204817 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1204820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204842 */     // GIR_Coverage, 17215,
     /* 1204842 */     GIR_EraseRootFromParent_Done,
     /* 1204843 */   // Label 17479: @1204843
     /* 1204843 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204923), // Rule ID 17216 //
     /* 1204848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1204868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204887 */     // MIs[0] round
     /* 1204887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1204900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204922 */     // GIR_Coverage, 17216,
     /* 1204922 */     GIR_EraseRootFromParent_Done,
     /* 1204923 */   // Label 17480: @1204923
     /* 1204923 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1205003), // Rule ID 17223 //
     /* 1204928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204967 */     // MIs[0] round
     /* 1204967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204977 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1204980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205002 */     // GIR_Coverage, 17223,
     /* 1205002 */     GIR_EraseRootFromParent_Done,
     /* 1205003 */   // Label 17481: @1205003
     /* 1205003 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205083), // Rule ID 17224 //
     /* 1205008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205047 */     // MIs[0] round
     /* 1205047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205057 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1205060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205082 */     // GIR_Coverage, 17224,
     /* 1205082 */     GIR_EraseRootFromParent_Done,
     /* 1205083 */   // Label 17482: @1205083
     /* 1205083 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205163), // Rule ID 17227 //
     /* 1205088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205127 */     // MIs[0] round
     /* 1205127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205162 */     // GIR_Coverage, 17227,
     /* 1205162 */     GIR_EraseRootFromParent_Done,
     /* 1205163 */   // Label 17483: @1205163
     /* 1205163 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205243), // Rule ID 17228 //
     /* 1205168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205207 */     // MIs[0] round
     /* 1205207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1205220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205242 */     // GIR_Coverage, 17228,
     /* 1205242 */     GIR_EraseRootFromParent_Done,
     /* 1205243 */   // Label 17484: @1205243
     /* 1205243 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205323), // Rule ID 17231 //
     /* 1205248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205287 */     // MIs[0] round
     /* 1205287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205322 */     // GIR_Coverage, 17231,
     /* 1205322 */     GIR_EraseRootFromParent_Done,
     /* 1205323 */   // Label 17485: @1205323
     /* 1205323 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205403), // Rule ID 17232 //
     /* 1205328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205367 */     // MIs[0] round
     /* 1205367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1205380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205402 */     // GIR_Coverage, 17232,
     /* 1205402 */     GIR_EraseRootFromParent_Done,
     /* 1205403 */   // Label 17486: @1205403
     /* 1205403 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205483), // Rule ID 17235 //
     /* 1205408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205447 */     // MIs[0] round
     /* 1205447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205482 */     // GIR_Coverage, 17235,
     /* 1205482 */     GIR_EraseRootFromParent_Done,
     /* 1205483 */   // Label 17487: @1205483
     /* 1205483 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205563), // Rule ID 17236 //
     /* 1205488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205527 */     // MIs[0] round
     /* 1205527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205537 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1205540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205562 */     // GIR_Coverage, 17236,
     /* 1205562 */     GIR_EraseRootFromParent_Done,
     /* 1205563 */   // Label 17488: @1205563
     /* 1205563 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205643), // Rule ID 17239 //
     /* 1205568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205607 */     // MIs[0] round
     /* 1205607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205617 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1205620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205642 */     // GIR_Coverage, 17239,
     /* 1205642 */     GIR_EraseRootFromParent_Done,
     /* 1205643 */   // Label 17489: @1205643
     /* 1205643 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205723), // Rule ID 17240 //
     /* 1205648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205687 */     // MIs[0] round
     /* 1205687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205697 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1205700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205722 */     // GIR_Coverage, 17240,
     /* 1205722 */     GIR_EraseRootFromParent_Done,
     /* 1205723 */   // Label 17490: @1205723
     /* 1205723 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205803), // Rule ID 17243 //
     /* 1205728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1205745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205767 */     // MIs[0] round
     /* 1205767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1205780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205802 */     // GIR_Coverage, 17243,
     /* 1205802 */     GIR_EraseRootFromParent_Done,
     /* 1205803 */   // Label 17491: @1205803
     /* 1205803 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205883), // Rule ID 17244 //
     /* 1205808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1205825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205847 */     // MIs[0] round
     /* 1205847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1205860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205882 */     // GIR_Coverage, 17244,
     /* 1205882 */     GIR_EraseRootFromParent_Done,
     /* 1205883 */   // Label 17492: @1205883
     /* 1205883 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1205963), // Rule ID 17247 //
     /* 1205888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1205905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205927 */     // MIs[0] round
     /* 1205927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205937 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1205940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205962 */     // GIR_Coverage, 17247,
     /* 1205962 */     GIR_EraseRootFromParent_Done,
     /* 1205963 */   // Label 17493: @1205963
     /* 1205963 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206043), // Rule ID 17248 //
     /* 1205968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1205985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206007 */     // MIs[0] round
     /* 1206007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1206020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206042 */     // GIR_Coverage, 17248,
     /* 1206042 */     GIR_EraseRootFromParent_Done,
     /* 1206043 */   // Label 17494: @1206043
     /* 1206043 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206123), // Rule ID 17251 //
     /* 1206048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206087 */     // MIs[0] round
     /* 1206087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206122 */     // GIR_Coverage, 17251,
     /* 1206122 */     GIR_EraseRootFromParent_Done,
     /* 1206123 */   // Label 17495: @1206123
     /* 1206123 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206203), // Rule ID 17252 //
     /* 1206128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206167 */     // MIs[0] round
     /* 1206167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1206180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206202 */     // GIR_Coverage, 17252,
     /* 1206202 */     GIR_EraseRootFromParent_Done,
     /* 1206203 */   // Label 17496: @1206203
     /* 1206203 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206283), // Rule ID 17255 //
     /* 1206208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206247 */     // MIs[0] round
     /* 1206247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206257 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206282 */     // GIR_Coverage, 17255,
     /* 1206282 */     GIR_EraseRootFromParent_Done,
     /* 1206283 */   // Label 17497: @1206283
     /* 1206283 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206363), // Rule ID 17256 //
     /* 1206288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1206296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206327 */     // MIs[0] round
     /* 1206327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206337 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1206340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206362 */     // GIR_Coverage, 17256,
     /* 1206362 */     GIR_EraseRootFromParent_Done,
     /* 1206363 */   // Label 17498: @1206363
     /* 1206363 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206443), // Rule ID 17259 //
     /* 1206368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206407 */     // MIs[0] round
     /* 1206407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206417 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206442 */     // GIR_Coverage, 17259,
     /* 1206442 */     GIR_EraseRootFromParent_Done,
     /* 1206443 */   // Label 17499: @1206443
     /* 1206443 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206523), // Rule ID 17260 //
     /* 1206448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1206459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1206462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206487 */     // MIs[0] round
     /* 1206487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206497 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1206500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206522 */     // GIR_Coverage, 17260,
     /* 1206522 */     GIR_EraseRootFromParent_Done,
     /* 1206523 */   // Label 17500: @1206523
     /* 1206523 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206603), // Rule ID 17263 //
     /* 1206528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206567 */     // MIs[0] round
     /* 1206567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206577 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1206580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206602 */     // GIR_Coverage, 17263,
     /* 1206602 */     GIR_EraseRootFromParent_Done,
     /* 1206603 */   // Label 17501: @1206603
     /* 1206603 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206683), // Rule ID 17264 //
     /* 1206608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1206619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1206622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1206628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206647 */     // MIs[0] round
     /* 1206647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206657 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1206660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206682 */     // GIR_Coverage, 17264,
     /* 1206682 */     GIR_EraseRootFromParent_Done,
     /* 1206683 */   // Label 17502: @1206683
     /* 1206683 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206763), // Rule ID 17267 //
     /* 1206688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206727 */     // MIs[0] round
     /* 1206727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206737 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1206740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206762 */     // GIR_Coverage, 17267,
     /* 1206762 */     GIR_EraseRootFromParent_Done,
     /* 1206763 */   // Label 17503: @1206763
     /* 1206763 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206843), // Rule ID 17268 //
     /* 1206768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206807 */     // MIs[0] round
     /* 1206807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206817 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1206820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206842 */     // GIR_Coverage, 17268,
     /* 1206842 */     GIR_EraseRootFromParent_Done,
     /* 1206843 */   // Label 17504: @1206843
     /* 1206843 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206923), // Rule ID 17271 //
     /* 1206848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1206859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1206862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1206868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206887 */     // MIs[0] round
     /* 1206887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1206900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206922 */     // GIR_Coverage, 17271,
     /* 1206922 */     GIR_EraseRootFromParent_Done,
     /* 1206923 */   // Label 17505: @1206923
     /* 1206923 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207003), // Rule ID 17272 //
     /* 1206928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1206939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1206942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1206948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206967 */     // MIs[0] round
     /* 1206967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1206980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207002 */     // GIR_Coverage, 17272,
     /* 1207002 */     GIR_EraseRootFromParent_Done,
     /* 1207003 */   // Label 17506: @1207003
     /* 1207003 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207083), // Rule ID 17275 //
     /* 1207008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207047 */     // MIs[0] round
     /* 1207047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207082 */     // GIR_Coverage, 17275,
     /* 1207082 */     GIR_EraseRootFromParent_Done,
     /* 1207083 */   // Label 17507: @1207083
     /* 1207083 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207163), // Rule ID 17276 //
     /* 1207088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207127 */     // MIs[0] round
     /* 1207127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1207140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207162 */     // GIR_Coverage, 17276,
     /* 1207162 */     GIR_EraseRootFromParent_Done,
     /* 1207163 */   // Label 17508: @1207163
     /* 1207163 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207243), // Rule ID 17279 //
     /* 1207168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207207 */     // MIs[0] round
     /* 1207207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207242 */     // GIR_Coverage, 17279,
     /* 1207242 */     GIR_EraseRootFromParent_Done,
     /* 1207243 */   // Label 17509: @1207243
     /* 1207243 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207323), // Rule ID 17280 //
     /* 1207248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1207268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207287 */     // MIs[0] round
     /* 1207287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1207300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207322 */     // GIR_Coverage, 17280,
     /* 1207322 */     GIR_EraseRootFromParent_Done,
     /* 1207323 */   // Label 17510: @1207323
     /* 1207323 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207403), // Rule ID 17283 //
     /* 1207328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207367 */     // MIs[0] round
     /* 1207367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207402 */     // GIR_Coverage, 17283,
     /* 1207402 */     GIR_EraseRootFromParent_Done,
     /* 1207403 */   // Label 17511: @1207403
     /* 1207403 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207483), // Rule ID 17284 //
     /* 1207408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1207419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1207422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207447 */     // MIs[0] round
     /* 1207447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207457 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1207460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207482 */     // GIR_Coverage, 17284,
     /* 1207482 */     GIR_EraseRootFromParent_Done,
     /* 1207483 */   // Label 17512: @1207483
     /* 1207483 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207563), // Rule ID 17287 //
     /* 1207488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207527 */     // MIs[0] round
     /* 1207527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207537 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207562 */     // GIR_Coverage, 17287,
     /* 1207562 */     GIR_EraseRootFromParent_Done,
     /* 1207563 */   // Label 17513: @1207563
     /* 1207563 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207643), // Rule ID 17288 //
     /* 1207568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1207579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1207582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207607 */     // MIs[0] round
     /* 1207607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207617 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1207620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207642 */     // GIR_Coverage, 17288,
     /* 1207642 */     GIR_EraseRootFromParent_Done,
     /* 1207643 */   // Label 17514: @1207643
     /* 1207643 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207723), // Rule ID 17291 //
     /* 1207648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1207659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1207662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207687 */     // MIs[0] round
     /* 1207687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207697 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1207700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207722 */     // GIR_Coverage, 17291,
     /* 1207722 */     GIR_EraseRootFromParent_Done,
     /* 1207723 */   // Label 17515: @1207723
     /* 1207723 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207803), // Rule ID 17292 //
     /* 1207728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1207739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1207742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207767 */     // MIs[0] round
     /* 1207767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207777 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1207780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207802 */     // GIR_Coverage, 17292,
     /* 1207802 */     GIR_EraseRootFromParent_Done,
     /* 1207803 */   // Label 17516: @1207803
     /* 1207803 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207883), // Rule ID 17295 //
     /* 1207808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207847 */     // MIs[0] round
     /* 1207847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207857 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1207860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207882 */     // GIR_Coverage, 17295,
     /* 1207882 */     GIR_EraseRootFromParent_Done,
     /* 1207883 */   // Label 17517: @1207883
     /* 1207883 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1207963), // Rule ID 17296 //
     /* 1207888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207927 */     // MIs[0] round
     /* 1207927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207937 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1207940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207962 */     // GIR_Coverage, 17296,
     /* 1207962 */     GIR_EraseRootFromParent_Done,
     /* 1207963 */   // Label 17518: @1207963
     /* 1207963 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208043), // Rule ID 17299 //
     /* 1207968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1207988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208007 */     // MIs[0] round
     /* 1208007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208017 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208042 */     // GIR_Coverage, 17299,
     /* 1208042 */     GIR_EraseRootFromParent_Done,
     /* 1208043 */   // Label 17519: @1208043
     /* 1208043 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208123), // Rule ID 17300 //
     /* 1208048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208087 */     // MIs[0] round
     /* 1208087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208097 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1208100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208122 */     // GIR_Coverage, 17300,
     /* 1208122 */     GIR_EraseRootFromParent_Done,
     /* 1208123 */   // Label 17520: @1208123
     /* 1208123 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208203), // Rule ID 17303 //
     /* 1208128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208167 */     // MIs[0] round
     /* 1208167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208202 */     // GIR_Coverage, 17303,
     /* 1208202 */     GIR_EraseRootFromParent_Done,
     /* 1208203 */   // Label 17521: @1208203
     /* 1208203 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208283), // Rule ID 17304 //
     /* 1208208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1208228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208247 */     // MIs[0] round
     /* 1208247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208257 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1208260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208282 */     // GIR_Coverage, 17304,
     /* 1208282 */     GIR_EraseRootFromParent_Done,
     /* 1208283 */   // Label 17522: @1208283
     /* 1208283 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208363), // Rule ID 17307 //
     /* 1208288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208327 */     // MIs[0] round
     /* 1208327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208337 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208362 */     // GIR_Coverage, 17307,
     /* 1208362 */     GIR_EraseRootFromParent_Done,
     /* 1208363 */   // Label 17523: @1208363
     /* 1208363 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208443), // Rule ID 17308 //
     /* 1208368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1208385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1208388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208407 */     // MIs[0] round
     /* 1208407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1208420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208442 */     // GIR_Coverage, 17308,
     /* 1208442 */     GIR_EraseRootFromParent_Done,
     /* 1208443 */   // Label 17524: @1208443
     /* 1208443 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208523), // Rule ID 17311 //
     /* 1208448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208487 */     // MIs[0] round
     /* 1208487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208497 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208522 */     // GIR_Coverage, 17311,
     /* 1208522 */     GIR_EraseRootFromParent_Done,
     /* 1208523 */   // Label 17525: @1208523
     /* 1208523 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208603), // Rule ID 17312 //
     /* 1208528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208567 */     // MIs[0] round
     /* 1208567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208577 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1208580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208602 */     // GIR_Coverage, 17312,
     /* 1208602 */     GIR_EraseRootFromParent_Done,
     /* 1208603 */   // Label 17526: @1208603
     /* 1208603 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208683), // Rule ID 17315 //
     /* 1208608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208647 */     // MIs[0] round
     /* 1208647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208657 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1208660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208682 */     // GIR_Coverage, 17315,
     /* 1208682 */     GIR_EraseRootFromParent_Done,
     /* 1208683 */   // Label 17527: @1208683
     /* 1208683 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208763), // Rule ID 17316 //
     /* 1208688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208727 */     // MIs[0] round
     /* 1208727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208737 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1208740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208762 */     // GIR_Coverage, 17316,
     /* 1208762 */     GIR_EraseRootFromParent_Done,
     /* 1208763 */   // Label 17528: @1208763
     /* 1208763 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208843), // Rule ID 17319 //
     /* 1208768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1208779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1208782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208807 */     // MIs[0] round
     /* 1208807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208817 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1208820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208842 */     // GIR_Coverage, 17319,
     /* 1208842 */     GIR_EraseRootFromParent_Done,
     /* 1208843 */   // Label 17529: @1208843
     /* 1208843 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208923), // Rule ID 17320 //
     /* 1208848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1208859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1208862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208887 */     // MIs[0] round
     /* 1208887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208897 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1208900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208922 */     // GIR_Coverage, 17320,
     /* 1208922 */     GIR_EraseRootFromParent_Done,
     /* 1208923 */   // Label 17530: @1208923
     /* 1208923 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209003), // Rule ID 17323 //
     /* 1208928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1208939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1208942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1208945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208967 */     // MIs[0] round
     /* 1208967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208977 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1208980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209002 */     // GIR_Coverage, 17323,
     /* 1209002 */     GIR_EraseRootFromParent_Done,
     /* 1209003 */   // Label 17531: @1209003
     /* 1209003 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209083), // Rule ID 17324 //
     /* 1209008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1209019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1209022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209047 */     // MIs[0] round
     /* 1209047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209057 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1209060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209082 */     // GIR_Coverage, 17324,
     /* 1209082 */     GIR_EraseRootFromParent_Done,
     /* 1209083 */   // Label 17532: @1209083
     /* 1209083 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209163), // Rule ID 17327 //
     /* 1209088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209127 */     // MIs[0] round
     /* 1209127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209137 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209162 */     // GIR_Coverage, 17327,
     /* 1209162 */     GIR_EraseRootFromParent_Done,
     /* 1209163 */   // Label 17533: @1209163
     /* 1209163 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209243), // Rule ID 17328 //
     /* 1209168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209207 */     // MIs[0] round
     /* 1209207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1209220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209242 */     // GIR_Coverage, 17328,
     /* 1209242 */     GIR_EraseRootFromParent_Done,
     /* 1209243 */   // Label 17534: @1209243
     /* 1209243 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209323), // Rule ID 17331 //
     /* 1209248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209287 */     // MIs[0] round
     /* 1209287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209322 */     // GIR_Coverage, 17331,
     /* 1209322 */     GIR_EraseRootFromParent_Done,
     /* 1209323 */   // Label 17535: @1209323
     /* 1209323 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209403), // Rule ID 17332 //
     /* 1209328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1209339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1209342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209367 */     // MIs[0] round
     /* 1209367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1209380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209402 */     // GIR_Coverage, 17332,
     /* 1209402 */     GIR_EraseRootFromParent_Done,
     /* 1209403 */   // Label 17536: @1209403
     /* 1209403 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209483), // Rule ID 17335 //
     /* 1209408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209447 */     // MIs[0] round
     /* 1209447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209482 */     // GIR_Coverage, 17335,
     /* 1209482 */     GIR_EraseRootFromParent_Done,
     /* 1209483 */   // Label 17537: @1209483
     /* 1209483 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209563), // Rule ID 17336 //
     /* 1209488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209527 */     // MIs[0] round
     /* 1209527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1209540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209562 */     // GIR_Coverage, 17336,
     /* 1209562 */     GIR_EraseRootFromParent_Done,
     /* 1209563 */   // Label 17538: @1209563
     /* 1209563 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209643), // Rule ID 17339 //
     /* 1209568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209607 */     // MIs[0] round
     /* 1209607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1209620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209642 */     // GIR_Coverage, 17339,
     /* 1209642 */     GIR_EraseRootFromParent_Done,
     /* 1209643 */   // Label 17539: @1209643
     /* 1209643 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209723), // Rule ID 17340 //
     /* 1209648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209687 */     // MIs[0] round
     /* 1209687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1209700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209722 */     // GIR_Coverage, 17340,
     /* 1209722 */     GIR_EraseRootFromParent_Done,
     /* 1209723 */   // Label 17540: @1209723
     /* 1209723 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209803), // Rule ID 17343 //
     /* 1209728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1209739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1209742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209767 */     // MIs[0] round
     /* 1209767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209777 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1209780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209802 */     // GIR_Coverage, 17343,
     /* 1209802 */     GIR_EraseRootFromParent_Done,
     /* 1209803 */   // Label 17541: @1209803
     /* 1209803 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209883), // Rule ID 17344 //
     /* 1209808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1209819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1209822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209847 */     // MIs[0] round
     /* 1209847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1209860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209882 */     // GIR_Coverage, 17344,
     /* 1209882 */     GIR_EraseRootFromParent_Done,
     /* 1209883 */   // Label 17542: @1209883
     /* 1209883 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1209963), // Rule ID 17347 //
     /* 1209888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1209899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1209902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209927 */     // MIs[0] round
     /* 1209927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209937 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1209940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209962 */     // GIR_Coverage, 17347,
     /* 1209962 */     GIR_EraseRootFromParent_Done,
     /* 1209963 */   // Label 17543: @1209963
     /* 1209963 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210043), // Rule ID 17348 //
     /* 1209968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1209979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1209982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210007 */     // MIs[0] round
     /* 1210007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210017 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1210020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210042 */     // GIR_Coverage, 17348,
     /* 1210042 */     GIR_EraseRootFromParent_Done,
     /* 1210043 */   // Label 17544: @1210043
     /* 1210043 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210123), // Rule ID 17351 //
     /* 1210048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210087 */     // MIs[0] round
     /* 1210087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210097 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210122 */     // GIR_Coverage, 17351,
     /* 1210122 */     GIR_EraseRootFromParent_Done,
     /* 1210123 */   // Label 17545: @1210123
     /* 1210123 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210203), // Rule ID 17352 //
     /* 1210128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1210139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1210142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210167 */     // MIs[0] round
     /* 1210167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1210180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210202 */     // GIR_Coverage, 17352,
     /* 1210202 */     GIR_EraseRootFromParent_Done,
     /* 1210203 */   // Label 17546: @1210203
     /* 1210203 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210283), // Rule ID 17355 //
     /* 1210208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210247 */     // MIs[0] round
     /* 1210247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210282 */     // GIR_Coverage, 17355,
     /* 1210282 */     GIR_EraseRootFromParent_Done,
     /* 1210283 */   // Label 17547: @1210283
     /* 1210283 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210363), // Rule ID 17356 //
     /* 1210288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210327 */     // MIs[0] round
     /* 1210327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1210340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210362 */     // GIR_Coverage, 17356,
     /* 1210362 */     GIR_EraseRootFromParent_Done,
     /* 1210363 */   // Label 17548: @1210363
     /* 1210363 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210443), // Rule ID 17359 //
     /* 1210368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210407 */     // MIs[0] round
     /* 1210407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210417 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210442 */     // GIR_Coverage, 17359,
     /* 1210442 */     GIR_EraseRootFromParent_Done,
     /* 1210443 */   // Label 17549: @1210443
     /* 1210443 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210523), // Rule ID 17360 //
     /* 1210448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210487 */     // MIs[0] round
     /* 1210487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210497 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1210500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210522 */     // GIR_Coverage, 17360,
     /* 1210522 */     GIR_EraseRootFromParent_Done,
     /* 1210523 */   // Label 17550: @1210523
     /* 1210523 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210603), // Rule ID 17363 //
     /* 1210528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210567 */     // MIs[0] round
     /* 1210567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1210580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210602 */     // GIR_Coverage, 17363,
     /* 1210602 */     GIR_EraseRootFromParent_Done,
     /* 1210603 */   // Label 17551: @1210603
     /* 1210603 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210683), // Rule ID 17364 //
     /* 1210608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210647 */     // MIs[0] round
     /* 1210647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210657 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1210660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210682 */     // GIR_Coverage, 17364,
     /* 1210682 */     GIR_EraseRootFromParent_Done,
     /* 1210683 */   // Label 17552: @1210683
     /* 1210683 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210763), // Rule ID 17367 //
     /* 1210688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210727 */     // MIs[0] round
     /* 1210727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210737 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1210740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210762 */     // GIR_Coverage, 17367,
     /* 1210762 */     GIR_EraseRootFromParent_Done,
     /* 1210763 */   // Label 17553: @1210763
     /* 1210763 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210843), // Rule ID 17368 //
     /* 1210768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210807 */     // MIs[0] round
     /* 1210807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210817 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1210820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210842 */     // GIR_Coverage, 17368,
     /* 1210842 */     GIR_EraseRootFromParent_Done,
     /* 1210843 */   // Label 17554: @1210843
     /* 1210843 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210923), // Rule ID 17371 //
     /* 1210848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210887 */     // MIs[0] round
     /* 1210887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210897 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1210900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210922 */     // GIR_Coverage, 17371,
     /* 1210922 */     GIR_EraseRootFromParent_Done,
     /* 1210923 */   // Label 17555: @1210923
     /* 1210923 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211003), // Rule ID 17372 //
     /* 1210928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210967 */     // MIs[0] round
     /* 1210967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1210980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211002 */     // GIR_Coverage, 17372,
     /* 1211002 */     GIR_EraseRootFromParent_Done,
     /* 1211003 */   // Label 17556: @1211003
     /* 1211003 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211083), // Rule ID 17375 //
     /* 1211008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211047 */     // MIs[0] round
     /* 1211047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211082 */     // GIR_Coverage, 17375,
     /* 1211082 */     GIR_EraseRootFromParent_Done,
     /* 1211083 */   // Label 17557: @1211083
     /* 1211083 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211163), // Rule ID 17376 //
     /* 1211088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1211127 */     // MIs[0] round
     /* 1211127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1211140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211162 */     // GIR_Coverage, 17376,
     /* 1211162 */     GIR_EraseRootFromParent_Done,
     /* 1211163 */   // Label 17558: @1211163
     /* 1211163 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211243), // Rule ID 17379 //
     /* 1211168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211207 */     // MIs[0] round
     /* 1211207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211217 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211242 */     // GIR_Coverage, 17379,
     /* 1211242 */     GIR_EraseRootFromParent_Done,
     /* 1211243 */   // Label 17559: @1211243
     /* 1211243 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211323), // Rule ID 17380 //
     /* 1211248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211287 */     // MIs[0] round
     /* 1211287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211297 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1211300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211322 */     // GIR_Coverage, 17380,
     /* 1211322 */     GIR_EraseRootFromParent_Done,
     /* 1211323 */   // Label 17560: @1211323
     /* 1211323 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211403), // Rule ID 17383 //
     /* 1211328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211367 */     // MIs[0] round
     /* 1211367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211402 */     // GIR_Coverage, 17383,
     /* 1211402 */     GIR_EraseRootFromParent_Done,
     /* 1211403 */   // Label 17561: @1211403
     /* 1211403 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211483), // Rule ID 17384 //
     /* 1211408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211447 */     // MIs[0] round
     /* 1211447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211457 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1211460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211482 */     // GIR_Coverage, 17384,
     /* 1211482 */     GIR_EraseRootFromParent_Done,
     /* 1211483 */   // Label 17562: @1211483
     /* 1211483 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211563), // Rule ID 17387 //
     /* 1211488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211527 */     // MIs[0] round
     /* 1211527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211537 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211562 */     // GIR_Coverage, 17387,
     /* 1211562 */     GIR_EraseRootFromParent_Done,
     /* 1211563 */   // Label 17563: @1211563
     /* 1211563 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211643), // Rule ID 17388 //
     /* 1211568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211607 */     // MIs[0] round
     /* 1211607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211617 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1211620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211642 */     // GIR_Coverage, 17388,
     /* 1211642 */     GIR_EraseRootFromParent_Done,
     /* 1211643 */   // Label 17564: @1211643
     /* 1211643 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211723), // Rule ID 17391 //
     /* 1211648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211687 */     // MIs[0] round
     /* 1211687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1211700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211722 */     // GIR_Coverage, 17391,
     /* 1211722 */     GIR_EraseRootFromParent_Done,
     /* 1211723 */   // Label 17565: @1211723
     /* 1211723 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211803), // Rule ID 17392 //
     /* 1211728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211767 */     // MIs[0] round
     /* 1211767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211777 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1211780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211802 */     // GIR_Coverage, 17392,
     /* 1211802 */     GIR_EraseRootFromParent_Done,
     /* 1211803 */   // Label 17566: @1211803
     /* 1211803 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211883), // Rule ID 17395 //
     /* 1211808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211847 */     // MIs[0] round
     /* 1211847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1211860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211882 */     // GIR_Coverage, 17395,
     /* 1211882 */     GIR_EraseRootFromParent_Done,
     /* 1211883 */   // Label 17567: @1211883
     /* 1211883 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1211963), // Rule ID 17396 //
     /* 1211888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211927 */     // MIs[0] round
     /* 1211927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1211940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211962 */     // GIR_Coverage, 17396,
     /* 1211962 */     GIR_EraseRootFromParent_Done,
     /* 1211963 */   // Label 17568: @1211963
     /* 1211963 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212043), // Rule ID 17399 //
     /* 1211968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1211988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212007 */     // MIs[0] round
     /* 1212007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212017 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212042 */     // GIR_Coverage, 17399,
     /* 1212042 */     GIR_EraseRootFromParent_Done,
     /* 1212043 */   // Label 17569: @1212043
     /* 1212043 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212123), // Rule ID 17400 //
     /* 1212048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1212068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212087 */     // MIs[0] round
     /* 1212087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1212100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212122 */     // GIR_Coverage, 17400,
     /* 1212122 */     GIR_EraseRootFromParent_Done,
     /* 1212123 */   // Label 17570: @1212123
     /* 1212123 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212203), // Rule ID 17403 //
     /* 1212128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212167 */     // MIs[0] round
     /* 1212167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212202 */     // GIR_Coverage, 17403,
     /* 1212202 */     GIR_EraseRootFromParent_Done,
     /* 1212203 */   // Label 17571: @1212203
     /* 1212203 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212283), // Rule ID 17404 //
     /* 1212208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212247 */     // MIs[0] round
     /* 1212247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212257 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1212260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212282 */     // GIR_Coverage, 17404,
     /* 1212282 */     GIR_EraseRootFromParent_Done,
     /* 1212283 */   // Label 17572: @1212283
     /* 1212283 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212363), // Rule ID 17407 //
     /* 1212288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212327 */     // MIs[0] round
     /* 1212327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212337 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212362 */     // GIR_Coverage, 17407,
     /* 1212362 */     GIR_EraseRootFromParent_Done,
     /* 1212363 */   // Label 17573: @1212363
     /* 1212363 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212443), // Rule ID 17408 //
     /* 1212368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212407 */     // MIs[0] round
     /* 1212407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1212420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212442 */     // GIR_Coverage, 17408,
     /* 1212442 */     GIR_EraseRootFromParent_Done,
     /* 1212443 */   // Label 17574: @1212443
     /* 1212443 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212523), // Rule ID 17411 //
     /* 1212448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212487 */     // MIs[0] round
     /* 1212487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212497 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212522 */     // GIR_Coverage, 17411,
     /* 1212522 */     GIR_EraseRootFromParent_Done,
     /* 1212523 */   // Label 17575: @1212523
     /* 1212523 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212603), // Rule ID 17412 //
     /* 1212528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212567 */     // MIs[0] round
     /* 1212567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212577 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1212580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212602 */     // GIR_Coverage, 17412,
     /* 1212602 */     GIR_EraseRootFromParent_Done,
     /* 1212603 */   // Label 17576: @1212603
     /* 1212603 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212683), // Rule ID 17415 //
     /* 1212608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212647 */     // MIs[0] round
     /* 1212647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212657 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1212660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212682 */     // GIR_Coverage, 17415,
     /* 1212682 */     GIR_EraseRootFromParent_Done,
     /* 1212683 */   // Label 17577: @1212683
     /* 1212683 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212763), // Rule ID 17416 //
     /* 1212688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212727 */     // MIs[0] round
     /* 1212727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1212740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212762 */     // GIR_Coverage, 17416,
     /* 1212762 */     GIR_EraseRootFromParent_Done,
     /* 1212763 */   // Label 17578: @1212763
     /* 1212763 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212843), // Rule ID 17419 //
     /* 1212768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212807 */     // MIs[0] round
     /* 1212807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1212820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212842 */     // GIR_Coverage, 17419,
     /* 1212842 */     GIR_EraseRootFromParent_Done,
     /* 1212843 */   // Label 17579: @1212843
     /* 1212843 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1212923), // Rule ID 17420 //
     /* 1212848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212887 */     // MIs[0] round
     /* 1212887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212897 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1212900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212922 */     // GIR_Coverage, 17420,
     /* 1212922 */     GIR_EraseRootFromParent_Done,
     /* 1212923 */   // Label 17580: @1212923
     /* 1212923 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213003), // Rule ID 17423 //
     /* 1212928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1212948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212967 */     // MIs[0] round
     /* 1212967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212977 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1212980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213002 */     // GIR_Coverage, 17423,
     /* 1213002 */     GIR_EraseRootFromParent_Done,
     /* 1213003 */   // Label 17581: @1213003
     /* 1213003 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213083), // Rule ID 17424 //
     /* 1213008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1213028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213047 */     // MIs[0] round
     /* 1213047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213057 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1213060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213082 */     // GIR_Coverage, 17424,
     /* 1213082 */     GIR_EraseRootFromParent_Done,
     /* 1213083 */   // Label 17582: @1213083
     /* 1213083 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213163), // Rule ID 17427 //
     /* 1213088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213127 */     // MIs[0] round
     /* 1213127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213162 */     // GIR_Coverage, 17427,
     /* 1213162 */     GIR_EraseRootFromParent_Done,
     /* 1213163 */   // Label 17583: @1213163
     /* 1213163 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213243), // Rule ID 17428 //
     /* 1213168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1213188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213207 */     // MIs[0] round
     /* 1213207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213217 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1213220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213242 */     // GIR_Coverage, 17428,
     /* 1213242 */     GIR_EraseRootFromParent_Done,
     /* 1213243 */   // Label 17584: @1213243
     /* 1213243 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213323), // Rule ID 17431 //
     /* 1213248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213287 */     // MIs[0] round
     /* 1213287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213297 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213322 */     // GIR_Coverage, 17431,
     /* 1213322 */     GIR_EraseRootFromParent_Done,
     /* 1213323 */   // Label 17585: @1213323
     /* 1213323 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213403), // Rule ID 17432 //
     /* 1213328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213367 */     // MIs[0] round
     /* 1213367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213377 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1213380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213402 */     // GIR_Coverage, 17432,
     /* 1213402 */     GIR_EraseRootFromParent_Done,
     /* 1213403 */   // Label 17586: @1213403
     /* 1213403 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213483), // Rule ID 17435 //
     /* 1213408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213447 */     // MIs[0] round
     /* 1213447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213457 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213482 */     // GIR_Coverage, 17435,
     /* 1213482 */     GIR_EraseRootFromParent_Done,
     /* 1213483 */   // Label 17587: @1213483
     /* 1213483 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213563), // Rule ID 17436 //
     /* 1213488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213527 */     // MIs[0] round
     /* 1213527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213537 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1213540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213562 */     // GIR_Coverage, 17436,
     /* 1213562 */     GIR_EraseRootFromParent_Done,
     /* 1213563 */   // Label 17588: @1213563
     /* 1213563 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213643), // Rule ID 17439 //
     /* 1213568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213607 */     // MIs[0] round
     /* 1213607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1213620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213642 */     // GIR_Coverage, 17439,
     /* 1213642 */     GIR_EraseRootFromParent_Done,
     /* 1213643 */   // Label 17589: @1213643
     /* 1213643 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213723), // Rule ID 17440 //
     /* 1213648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213687 */     // MIs[0] round
     /* 1213687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213697 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1213700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213722 */     // GIR_Coverage, 17440,
     /* 1213722 */     GIR_EraseRootFromParent_Done,
     /* 1213723 */   // Label 17590: @1213723
     /* 1213723 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213803), // Rule ID 17443 //
     /* 1213728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213767 */     // MIs[0] round
     /* 1213767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213777 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1213780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213802 */     // GIR_Coverage, 17443,
     /* 1213802 */     GIR_EraseRootFromParent_Done,
     /* 1213803 */   // Label 17591: @1213803
     /* 1213803 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213883), // Rule ID 17444 //
     /* 1213808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213847 */     // MIs[0] round
     /* 1213847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213857 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1213860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213882 */     // GIR_Coverage, 17444,
     /* 1213882 */     GIR_EraseRootFromParent_Done,
     /* 1213883 */   // Label 17592: @1213883
     /* 1213883 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1213963), // Rule ID 17447 //
     /* 1213888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213927 */     // MIs[0] round
     /* 1213927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213937 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1213940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213962 */     // GIR_Coverage, 17447,
     /* 1213962 */     GIR_EraseRootFromParent_Done,
     /* 1213963 */   // Label 17593: @1213963
     /* 1213963 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214043), // Rule ID 17448 //
     /* 1213968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214007 */     // MIs[0] round
     /* 1214007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214017 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1214020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214042 */     // GIR_Coverage, 17448,
     /* 1214042 */     GIR_EraseRootFromParent_Done,
     /* 1214043 */   // Label 17594: @1214043
     /* 1214043 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214123), // Rule ID 17451 //
     /* 1214048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214087 */     // MIs[0] round
     /* 1214087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214097 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214122 */     // GIR_Coverage, 17451,
     /* 1214122 */     GIR_EraseRootFromParent_Done,
     /* 1214123 */   // Label 17595: @1214123
     /* 1214123 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214203), // Rule ID 17452 //
     /* 1214128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1214139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1214142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214167 */     // MIs[0] round
     /* 1214167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1214180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214202 */     // GIR_Coverage, 17452,
     /* 1214202 */     GIR_EraseRootFromParent_Done,
     /* 1214203 */   // Label 17596: @1214203
     /* 1214203 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214283), // Rule ID 17455 //
     /* 1214208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214247 */     // MIs[0] round
     /* 1214247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214282 */     // GIR_Coverage, 17455,
     /* 1214282 */     GIR_EraseRootFromParent_Done,
     /* 1214283 */   // Label 17597: @1214283
     /* 1214283 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214363), // Rule ID 17456 //
     /* 1214288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214327 */     // MIs[0] round
     /* 1214327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1214340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214362 */     // GIR_Coverage, 17456,
     /* 1214362 */     GIR_EraseRootFromParent_Done,
     /* 1214363 */   // Label 17598: @1214363
     /* 1214363 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214443), // Rule ID 17459 //
     /* 1214368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214407 */     // MIs[0] round
     /* 1214407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214442 */     // GIR_Coverage, 17459,
     /* 1214442 */     GIR_EraseRootFromParent_Done,
     /* 1214443 */   // Label 17599: @1214443
     /* 1214443 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214523), // Rule ID 17460 //
     /* 1214448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214487 */     // MIs[0] round
     /* 1214487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214497 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1214500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214522 */     // GIR_Coverage, 17460,
     /* 1214522 */     GIR_EraseRootFromParent_Done,
     /* 1214523 */   // Label 17600: @1214523
     /* 1214523 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214603), // Rule ID 17463 //
     /* 1214528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214567 */     // MIs[0] round
     /* 1214567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214577 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1214580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214602 */     // GIR_Coverage, 17463,
     /* 1214602 */     GIR_EraseRootFromParent_Done,
     /* 1214603 */   // Label 17601: @1214603
     /* 1214603 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214683), // Rule ID 17464 //
     /* 1214608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214647 */     // MIs[0] round
     /* 1214647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214657 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1214660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214682 */     // GIR_Coverage, 17464,
     /* 1214682 */     GIR_EraseRootFromParent_Done,
     /* 1214683 */   // Label 17602: @1214683
     /* 1214683 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214763), // Rule ID 17467 //
     /* 1214688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214727 */     // MIs[0] round
     /* 1214727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214737 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1214740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214762 */     // GIR_Coverage, 17467,
     /* 1214762 */     GIR_EraseRootFromParent_Done,
     /* 1214763 */   // Label 17603: @1214763
     /* 1214763 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214843), // Rule ID 17468 //
     /* 1214768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214807 */     // MIs[0] round
     /* 1214807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214817 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1214820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214842 */     // GIR_Coverage, 17468,
     /* 1214842 */     GIR_EraseRootFromParent_Done,
     /* 1214843 */   // Label 17604: @1214843
     /* 1214843 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1214923), // Rule ID 17471 //
     /* 1214848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214887 */     // MIs[0] round
     /* 1214887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214897 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1214900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214922 */     // GIR_Coverage, 17471,
     /* 1214922 */     GIR_EraseRootFromParent_Done,
     /* 1214923 */   // Label 17605: @1214923
     /* 1214923 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215003), // Rule ID 17472 //
     /* 1214928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214967 */     // MIs[0] round
     /* 1214967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214977 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1214980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215002 */     // GIR_Coverage, 17472,
     /* 1215002 */     GIR_EraseRootFromParent_Done,
     /* 1215003 */   // Label 17606: @1215003
     /* 1215003 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215083), // Rule ID 17475 //
     /* 1215008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215047 */     // MIs[0] round
     /* 1215047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215082 */     // GIR_Coverage, 17475,
     /* 1215082 */     GIR_EraseRootFromParent_Done,
     /* 1215083 */   // Label 17607: @1215083
     /* 1215083 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215163), // Rule ID 17476 //
     /* 1215088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1215099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1215102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215127 */     // MIs[0] round
     /* 1215127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215137 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1215140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215162 */     // GIR_Coverage, 17476,
     /* 1215162 */     GIR_EraseRootFromParent_Done,
     /* 1215163 */   // Label 17608: @1215163
     /* 1215163 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215243), // Rule ID 17479 //
     /* 1215168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215207 */     // MIs[0] round
     /* 1215207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215217 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215242 */     // GIR_Coverage, 17479,
     /* 1215242 */     GIR_EraseRootFromParent_Done,
     /* 1215243 */   // Label 17609: @1215243
     /* 1215243 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215323), // Rule ID 17480 //
     /* 1215248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215287 */     // MIs[0] round
     /* 1215287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1215300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215322 */     // GIR_Coverage, 17480,
     /* 1215322 */     GIR_EraseRootFromParent_Done,
     /* 1215323 */   // Label 17610: @1215323
     /* 1215323 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215403), // Rule ID 17483 //
     /* 1215328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215367 */     // MIs[0] round
     /* 1215367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215402 */     // GIR_Coverage, 17483,
     /* 1215402 */     GIR_EraseRootFromParent_Done,
     /* 1215403 */   // Label 17611: @1215403
     /* 1215403 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215483), // Rule ID 17484 //
     /* 1215408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215447 */     // MIs[0] round
     /* 1215447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215457 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1215460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215482 */     // GIR_Coverage, 17484,
     /* 1215482 */     GIR_EraseRootFromParent_Done,
     /* 1215483 */   // Label 17612: @1215483
     /* 1215483 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215563), // Rule ID 17487 //
     /* 1215488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215527 */     // MIs[0] round
     /* 1215527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215537 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215562 */     // GIR_Coverage, 17487,
     /* 1215562 */     GIR_EraseRootFromParent_Done,
     /* 1215563 */   // Label 17613: @1215563
     /* 1215563 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215643), // Rule ID 17488 //
     /* 1215568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215607 */     // MIs[0] round
     /* 1215607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215617 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1215620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215642 */     // GIR_Coverage, 17488,
     /* 1215642 */     GIR_EraseRootFromParent_Done,
     /* 1215643 */   // Label 17614: @1215643
     /* 1215643 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215723), // Rule ID 17491 //
     /* 1215648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215687 */     // MIs[0] round
     /* 1215687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1215700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215722 */     // GIR_Coverage, 17491,
     /* 1215722 */     GIR_EraseRootFromParent_Done,
     /* 1215723 */   // Label 17615: @1215723
     /* 1215723 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215803), // Rule ID 17492 //
     /* 1215728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215767 */     // MIs[0] round
     /* 1215767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1215780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215802 */     // GIR_Coverage, 17492,
     /* 1215802 */     GIR_EraseRootFromParent_Done,
     /* 1215803 */   // Label 17616: @1215803
     /* 1215803 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215883), // Rule ID 17495 //
     /* 1215808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215847 */     // MIs[0] round
     /* 1215847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215857 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1215860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215882 */     // GIR_Coverage, 17495,
     /* 1215882 */     GIR_EraseRootFromParent_Done,
     /* 1215883 */   // Label 17617: @1215883
     /* 1215883 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1215963), // Rule ID 17496 //
     /* 1215888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215927 */     // MIs[0] round
     /* 1215927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215937 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1215940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215962 */     // GIR_Coverage, 17496,
     /* 1215962 */     GIR_EraseRootFromParent_Done,
     /* 1215963 */   // Label 17618: @1215963
     /* 1215963 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216043), // Rule ID 17499 //
     /* 1215968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216007 */     // MIs[0] round
     /* 1216007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216017 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216042 */     // GIR_Coverage, 17499,
     /* 1216042 */     GIR_EraseRootFromParent_Done,
     /* 1216043 */   // Label 17619: @1216043
     /* 1216043 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216123), // Rule ID 17500 //
     /* 1216048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1216059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1216062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1216065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216087 */     // MIs[0] round
     /* 1216087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216097 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1216100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216122 */     // GIR_Coverage, 17500,
     /* 1216122 */     GIR_EraseRootFromParent_Done,
     /* 1216123 */   // Label 17620: @1216123
     /* 1216123 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216203), // Rule ID 17503 //
     /* 1216128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216167 */     // MIs[0] round
     /* 1216167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216202 */     // GIR_Coverage, 17503,
     /* 1216202 */     GIR_EraseRootFromParent_Done,
     /* 1216203 */   // Label 17621: @1216203
     /* 1216203 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216283), // Rule ID 17504 //
     /* 1216208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216247 */     // MIs[0] round
     /* 1216247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216257 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1216260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216282 */     // GIR_Coverage, 17504,
     /* 1216282 */     GIR_EraseRootFromParent_Done,
     /* 1216283 */   // Label 17622: @1216283
     /* 1216283 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216363), // Rule ID 17507 //
     /* 1216288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216327 */     // MIs[0] round
     /* 1216327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216337 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216362 */     // GIR_Coverage, 17507,
     /* 1216362 */     GIR_EraseRootFromParent_Done,
     /* 1216363 */   // Label 17623: @1216363
     /* 1216363 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216443), // Rule ID 17508 //
     /* 1216368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216407 */     // MIs[0] round
     /* 1216407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1216420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216442 */     // GIR_Coverage, 17508,
     /* 1216442 */     GIR_EraseRootFromParent_Done,
     /* 1216443 */   // Label 17624: @1216443
     /* 1216443 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216523), // Rule ID 17511 //
     /* 1216448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216487 */     // MIs[0] round
     /* 1216487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216522 */     // GIR_Coverage, 17511,
     /* 1216522 */     GIR_EraseRootFromParent_Done,
     /* 1216523 */   // Label 17625: @1216523
     /* 1216523 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216603), // Rule ID 17512 //
     /* 1216528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216567 */     // MIs[0] round
     /* 1216567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1216580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216602 */     // GIR_Coverage, 17512,
     /* 1216602 */     GIR_EraseRootFromParent_Done,
     /* 1216603 */   // Label 17626: @1216603
     /* 1216603 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216683), // Rule ID 17515 //
     /* 1216608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216647 */     // MIs[0] round
     /* 1216647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1216660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216682 */     // GIR_Coverage, 17515,
     /* 1216682 */     GIR_EraseRootFromParent_Done,
     /* 1216683 */   // Label 17627: @1216683
     /* 1216683 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216763), // Rule ID 17516 //
     /* 1216688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216727 */     // MIs[0] round
     /* 1216727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1216740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216762 */     // GIR_Coverage, 17516,
     /* 1216762 */     GIR_EraseRootFromParent_Done,
     /* 1216763 */   // Label 17628: @1216763
     /* 1216763 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216843), // Rule ID 17519 //
     /* 1216768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216807 */     // MIs[0] round
     /* 1216807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216817 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1216820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216842 */     // GIR_Coverage, 17519,
     /* 1216842 */     GIR_EraseRootFromParent_Done,
     /* 1216843 */   // Label 17629: @1216843
     /* 1216843 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1216923), // Rule ID 17520 //
     /* 1216848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216887 */     // MIs[0] round
     /* 1216887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216897 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1216900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216922 */     // GIR_Coverage, 17520,
     /* 1216922 */     GIR_EraseRootFromParent_Done,
     /* 1216923 */   // Label 17630: @1216923
     /* 1216923 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217003), // Rule ID 17523 //
     /* 1216928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216967 */     // MIs[0] round
     /* 1216967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216977 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1216980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217002 */     // GIR_Coverage, 17523,
     /* 1217002 */     GIR_EraseRootFromParent_Done,
     /* 1217003 */   // Label 17631: @1217003
     /* 1217003 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217083), // Rule ID 17524 //
     /* 1217008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217047 */     // MIs[0] round
     /* 1217047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217057 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1217060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217082 */     // GIR_Coverage, 17524,
     /* 1217082 */     GIR_EraseRootFromParent_Done,
     /* 1217083 */   // Label 17632: @1217083
     /* 1217083 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217163), // Rule ID 17527 //
     /* 1217088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217127 */     // MIs[0] round
     /* 1217127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217137 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217162 */     // GIR_Coverage, 17527,
     /* 1217162 */     GIR_EraseRootFromParent_Done,
     /* 1217163 */   // Label 17633: @1217163
     /* 1217163 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217243), // Rule ID 17528 //
     /* 1217168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217207 */     // MIs[0] round
     /* 1217207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217217 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1217220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217242 */     // GIR_Coverage, 17528,
     /* 1217242 */     GIR_EraseRootFromParent_Done,
     /* 1217243 */   // Label 17634: @1217243
     /* 1217243 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217323), // Rule ID 17531 //
     /* 1217248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217287 */     // MIs[0] round
     /* 1217287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217297 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217322 */     // GIR_Coverage, 17531,
     /* 1217322 */     GIR_EraseRootFromParent_Done,
     /* 1217323 */   // Label 17635: @1217323
     /* 1217323 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217403), // Rule ID 17532 //
     /* 1217328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1217348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1217367 */     // MIs[0] round
     /* 1217367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217377 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1217380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217402 */     // GIR_Coverage, 17532,
     /* 1217402 */     GIR_EraseRootFromParent_Done,
     /* 1217403 */   // Label 17636: @1217403
     /* 1217403 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217483), // Rule ID 17535 //
     /* 1217408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217447 */     // MIs[0] round
     /* 1217447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217457 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217482 */     // GIR_Coverage, 17535,
     /* 1217482 */     GIR_EraseRootFromParent_Done,
     /* 1217483 */   // Label 17637: @1217483
     /* 1217483 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217563), // Rule ID 17536 //
     /* 1217488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217527 */     // MIs[0] round
     /* 1217527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217537 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1217540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217562 */     // GIR_Coverage, 17536,
     /* 1217562 */     GIR_EraseRootFromParent_Done,
     /* 1217563 */   // Label 17638: @1217563
     /* 1217563 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217643), // Rule ID 17539 //
     /* 1217568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217607 */     // MIs[0] round
     /* 1217607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1217620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217642 */     // GIR_Coverage, 17539,
     /* 1217642 */     GIR_EraseRootFromParent_Done,
     /* 1217643 */   // Label 17639: @1217643
     /* 1217643 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217723), // Rule ID 17540 //
     /* 1217648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217687 */     // MIs[0] round
     /* 1217687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217697 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1217700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217722 */     // GIR_Coverage, 17540,
     /* 1217722 */     GIR_EraseRootFromParent_Done,
     /* 1217723 */   // Label 17640: @1217723
     /* 1217723 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217803), // Rule ID 17543 //
     /* 1217728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217767 */     // MIs[0] round
     /* 1217767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217777 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1217780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217802 */     // GIR_Coverage, 17543,
     /* 1217802 */     GIR_EraseRootFromParent_Done,
     /* 1217803 */   // Label 17641: @1217803
     /* 1217803 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217883), // Rule ID 17544 //
     /* 1217808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1217828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1217847 */     // MIs[0] round
     /* 1217847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217857 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1217860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217882 */     // GIR_Coverage, 17544,
     /* 1217882 */     GIR_EraseRootFromParent_Done,
     /* 1217883 */   // Label 17642: @1217883
     /* 1217883 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1217963), // Rule ID 17547 //
     /* 1217888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217927 */     // MIs[0] round
     /* 1217927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217937 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1217940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217962 */     // GIR_Coverage, 17547,
     /* 1217962 */     GIR_EraseRootFromParent_Done,
     /* 1217963 */   // Label 17643: @1217963
     /* 1217963 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218043), // Rule ID 17548 //
     /* 1217968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218007 */     // MIs[0] round
     /* 1218007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1218020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218042 */     // GIR_Coverage, 17548,
     /* 1218042 */     GIR_EraseRootFromParent_Done,
     /* 1218043 */   // Label 17644: @1218043
     /* 1218043 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218123), // Rule ID 17551 //
     /* 1218048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218087 */     // MIs[0] round
     /* 1218087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218122 */     // GIR_Coverage, 17551,
     /* 1218122 */     GIR_EraseRootFromParent_Done,
     /* 1218123 */   // Label 17645: @1218123
     /* 1218123 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218203), // Rule ID 17552 //
     /* 1218128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218167 */     // MIs[0] round
     /* 1218167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218177 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1218180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218202 */     // GIR_Coverage, 17552,
     /* 1218202 */     GIR_EraseRootFromParent_Done,
     /* 1218203 */   // Label 17646: @1218203
     /* 1218203 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218283), // Rule ID 17555 //
     /* 1218208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218247 */     // MIs[0] round
     /* 1218247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218257 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218282 */     // GIR_Coverage, 17555,
     /* 1218282 */     GIR_EraseRootFromParent_Done,
     /* 1218283 */   // Label 17647: @1218283
     /* 1218283 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218363), // Rule ID 17556 //
     /* 1218288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1218296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1218327 */     // MIs[0] round
     /* 1218327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218337 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1218340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218362 */     // GIR_Coverage, 17556,
     /* 1218362 */     GIR_EraseRootFromParent_Done,
     /* 1218363 */   // Label 17648: @1218363
     /* 1218363 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218443), // Rule ID 17559 //
     /* 1218368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218407 */     // MIs[0] round
     /* 1218407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218442 */     // GIR_Coverage, 17559,
     /* 1218442 */     GIR_EraseRootFromParent_Done,
     /* 1218443 */   // Label 17649: @1218443
     /* 1218443 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218523), // Rule ID 17560 //
     /* 1218448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1218468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218487 */     // MIs[0] round
     /* 1218487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1218500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218522 */     // GIR_Coverage, 17560,
     /* 1218522 */     GIR_EraseRootFromParent_Done,
     /* 1218523 */   // Label 17650: @1218523
     /* 1218523 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218603), // Rule ID 17563 //
     /* 1218528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218567 */     // MIs[0] round
     /* 1218567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1218580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218602 */     // GIR_Coverage, 17563,
     /* 1218602 */     GIR_EraseRootFromParent_Done,
     /* 1218603 */   // Label 17651: @1218603
     /* 1218603 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218683), // Rule ID 17564 //
     /* 1218608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1218628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218647 */     // MIs[0] round
     /* 1218647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1218660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218682 */     // GIR_Coverage, 17564,
     /* 1218682 */     GIR_EraseRootFromParent_Done,
     /* 1218683 */   // Label 17652: @1218683
     /* 1218683 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218763), // Rule ID 17567 //
     /* 1218688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218727 */     // MIs[0] round
     /* 1218727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1218740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218762 */     // GIR_Coverage, 17567,
     /* 1218762 */     GIR_EraseRootFromParent_Done,
     /* 1218763 */   // Label 17653: @1218763
     /* 1218763 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218843), // Rule ID 17568 //
     /* 1218768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218807 */     // MIs[0] round
     /* 1218807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1218820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218842 */     // GIR_Coverage, 17568,
     /* 1218842 */     GIR_EraseRootFromParent_Done,
     /* 1218843 */   // Label 17654: @1218843
     /* 1218843 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1218923), // Rule ID 17571 //
     /* 1218848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1218868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218887 */     // MIs[0] round
     /* 1218887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218897 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1218900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218922 */     // GIR_Coverage, 17571,
     /* 1218922 */     GIR_EraseRootFromParent_Done,
     /* 1218923 */   // Label 17655: @1218923
     /* 1218923 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219003), // Rule ID 17572 //
     /* 1218928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1218948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218967 */     // MIs[0] round
     /* 1218967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218977 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1218980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219002 */     // GIR_Coverage, 17572,
     /* 1219002 */     GIR_EraseRootFromParent_Done,
     /* 1219003 */   // Label 17656: @1219003
     /* 1219003 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219083), // Rule ID 17575 //
     /* 1219008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219047 */     // MIs[0] round
     /* 1219047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219057 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219082 */     // GIR_Coverage, 17575,
     /* 1219082 */     GIR_EraseRootFromParent_Done,
     /* 1219083 */   // Label 17657: @1219083
     /* 1219083 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219163), // Rule ID 17576 //
     /* 1219088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1219108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219127 */     // MIs[0] round
     /* 1219127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219137 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1219140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219162 */     // GIR_Coverage, 17576,
     /* 1219162 */     GIR_EraseRootFromParent_Done,
     /* 1219163 */   // Label 17658: @1219163
     /* 1219163 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219243), // Rule ID 17579 //
     /* 1219168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219207 */     // MIs[0] round
     /* 1219207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219242 */     // GIR_Coverage, 17579,
     /* 1219242 */     GIR_EraseRootFromParent_Done,
     /* 1219243 */   // Label 17659: @1219243
     /* 1219243 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219323), // Rule ID 17580 //
     /* 1219248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1219268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219287 */     // MIs[0] round
     /* 1219287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1219300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219322 */     // GIR_Coverage, 17580,
     /* 1219322 */     GIR_EraseRootFromParent_Done,
     /* 1219323 */   // Label 17660: @1219323
     /* 1219323 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219403), // Rule ID 17583 //
     /* 1219328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219367 */     // MIs[0] round
     /* 1219367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219402 */     // GIR_Coverage, 17583,
     /* 1219402 */     GIR_EraseRootFromParent_Done,
     /* 1219403 */   // Label 17661: @1219403
     /* 1219403 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219483), // Rule ID 17584 //
     /* 1219408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219447 */     // MIs[0] round
     /* 1219447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1219460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219482 */     // GIR_Coverage, 17584,
     /* 1219482 */     GIR_EraseRootFromParent_Done,
     /* 1219483 */   // Label 17662: @1219483
     /* 1219483 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219563), // Rule ID 17587 //
     /* 1219488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219527 */     // MIs[0] round
     /* 1219527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219537 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219562 */     // GIR_Coverage, 17587,
     /* 1219562 */     GIR_EraseRootFromParent_Done,
     /* 1219563 */   // Label 17663: @1219563
     /* 1219563 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219643), // Rule ID 17588 //
     /* 1219568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1219588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219607 */     // MIs[0] round
     /* 1219607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1219620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219642 */     // GIR_Coverage, 17588,
     /* 1219642 */     GIR_EraseRootFromParent_Done,
     /* 1219643 */   // Label 17664: @1219643
     /* 1219643 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219723), // Rule ID 17591 //
     /* 1219648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1219668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219687 */     // MIs[0] round
     /* 1219687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1219700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219722 */     // GIR_Coverage, 17591,
     /* 1219722 */     GIR_EraseRootFromParent_Done,
     /* 1219723 */   // Label 17665: @1219723
     /* 1219723 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219803), // Rule ID 17592 //
     /* 1219728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1219748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219767 */     // MIs[0] round
     /* 1219767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1219780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219802 */     // GIR_Coverage, 17592,
     /* 1219802 */     GIR_EraseRootFromParent_Done,
     /* 1219803 */   // Label 17666: @1219803
     /* 1219803 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219883), // Rule ID 17595 //
     /* 1219808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219847 */     // MIs[0] round
     /* 1219847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1219860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219882 */     // GIR_Coverage, 17595,
     /* 1219882 */     GIR_EraseRootFromParent_Done,
     /* 1219883 */   // Label 17667: @1219883
     /* 1219883 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1219963), // Rule ID 17596 //
     /* 1219888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219927 */     // MIs[0] round
     /* 1219927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219937 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1219940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219962 */     // GIR_Coverage, 17596,
     /* 1219962 */     GIR_EraseRootFromParent_Done,
     /* 1219963 */   // Label 17668: @1219963
     /* 1219963 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220043), // Rule ID 17599 //
     /* 1219968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220007 */     // MIs[0] round
     /* 1220007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220042 */     // GIR_Coverage, 17599,
     /* 1220042 */     GIR_EraseRootFromParent_Done,
     /* 1220043 */   // Label 17669: @1220043
     /* 1220043 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220123), // Rule ID 17600 //
     /* 1220048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220087 */     // MIs[0] round
     /* 1220087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1220100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220122 */     // GIR_Coverage, 17600,
     /* 1220122 */     GIR_EraseRootFromParent_Done,
     /* 1220123 */   // Label 17670: @1220123
     /* 1220123 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220203), // Rule ID 17603 //
     /* 1220128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220167 */     // MIs[0] round
     /* 1220167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220202 */     // GIR_Coverage, 17603,
     /* 1220202 */     GIR_EraseRootFromParent_Done,
     /* 1220203 */   // Label 17671: @1220203
     /* 1220203 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220283), // Rule ID 17604 //
     /* 1220208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1220219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1220222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220247 */     // MIs[0] round
     /* 1220247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1220260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220282 */     // GIR_Coverage, 17604,
     /* 1220282 */     GIR_EraseRootFromParent_Done,
     /* 1220283 */   // Label 17672: @1220283
     /* 1220283 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220363), // Rule ID 17607 //
     /* 1220288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220327 */     // MIs[0] round
     /* 1220327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220362 */     // GIR_Coverage, 17607,
     /* 1220362 */     GIR_EraseRootFromParent_Done,
     /* 1220363 */   // Label 17673: @1220363
     /* 1220363 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220443), // Rule ID 17608 //
     /* 1220368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1220379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1220382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220407 */     // MIs[0] round
     /* 1220407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220417 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1220420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220442 */     // GIR_Coverage, 17608,
     /* 1220442 */     GIR_EraseRootFromParent_Done,
     /* 1220443 */   // Label 17674: @1220443
     /* 1220443 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220523), // Rule ID 17611 //
     /* 1220448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1220451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220487 */     // MIs[0] round
     /* 1220487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220497 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220522 */     // GIR_Coverage, 17611,
     /* 1220522 */     GIR_EraseRootFromParent_Done,
     /* 1220523 */   // Label 17675: @1220523
     /* 1220523 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220603), // Rule ID 17612 //
     /* 1220528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1220531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220567 */     // MIs[0] round
     /* 1220567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1220580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220602 */     // GIR_Coverage, 17612,
     /* 1220602 */     GIR_EraseRootFromParent_Done,
     /* 1220603 */   // Label 17676: @1220603
     /* 1220603 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220683), // Rule ID 17615 //
     /* 1220608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220647 */     // MIs[0] round
     /* 1220647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1220660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220682 */     // GIR_Coverage, 17615,
     /* 1220682 */     GIR_EraseRootFromParent_Done,
     /* 1220683 */   // Label 17677: @1220683
     /* 1220683 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220763), // Rule ID 17616 //
     /* 1220688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220727 */     // MIs[0] round
     /* 1220727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220737 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1220740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220762 */     // GIR_Coverage, 17616,
     /* 1220762 */     GIR_EraseRootFromParent_Done,
     /* 1220763 */   // Label 17678: @1220763
     /* 1220763 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220843), // Rule ID 17619 //
     /* 1220768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220807 */     // MIs[0] round
     /* 1220807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220817 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1220820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220842 */     // GIR_Coverage, 17619,
     /* 1220842 */     GIR_EraseRootFromParent_Done,
     /* 1220843 */   // Label 17679: @1220843
     /* 1220843 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1220923), // Rule ID 17620 //
     /* 1220848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1220851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220887 */     // MIs[0] round
     /* 1220887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220897 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1220900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220922 */     // GIR_Coverage, 17620,
     /* 1220922 */     GIR_EraseRootFromParent_Done,
     /* 1220923 */   // Label 17680: @1220923
     /* 1220923 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221003), // Rule ID 17623 //
     /* 1220928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1220931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1220936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1220945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220967 */     // MIs[0] round
     /* 1220967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1220980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221002 */     // GIR_Coverage, 17623,
     /* 1221002 */     GIR_EraseRootFromParent_Done,
     /* 1221003 */   // Label 17681: @1221003
     /* 1221003 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221083), // Rule ID 17624 //
     /* 1221008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1221019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1221022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221047 */     // MIs[0] round
     /* 1221047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1221060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221082 */     // GIR_Coverage, 17624,
     /* 1221082 */     GIR_EraseRootFromParent_Done,
     /* 1221083 */   // Label 17682: @1221083
     /* 1221083 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221163), // Rule ID 17627 //
     /* 1221088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1221091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221127 */     // MIs[0] round
     /* 1221127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221162 */     // GIR_Coverage, 17627,
     /* 1221162 */     GIR_EraseRootFromParent_Done,
     /* 1221163 */   // Label 17683: @1221163
     /* 1221163 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221243), // Rule ID 17628 //
     /* 1221168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1221171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1221176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1221179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1221182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221207 */     // MIs[0] round
     /* 1221207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1221220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221242 */     // GIR_Coverage, 17628,
     /* 1221242 */     GIR_EraseRootFromParent_Done,
     /* 1221243 */   // Label 17684: @1221243
     /* 1221243 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221323), // Rule ID 22705 //
     /* 1221248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221287 */     // MIs[0] round
     /* 1221287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221322 */     // GIR_Coverage, 22705,
     /* 1221322 */     GIR_EraseRootFromParent_Done,
     /* 1221323 */   // Label 17685: @1221323
     /* 1221323 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221403), // Rule ID 22706 //
     /* 1221328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221367 */     // MIs[0] round
     /* 1221367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1221380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221402 */     // GIR_Coverage, 22706,
     /* 1221402 */     GIR_EraseRootFromParent_Done,
     /* 1221403 */   // Label 17686: @1221403
     /* 1221403 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221483), // Rule ID 22709 //
     /* 1221408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221447 */     // MIs[0] round
     /* 1221447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221482 */     // GIR_Coverage, 22709,
     /* 1221482 */     GIR_EraseRootFromParent_Done,
     /* 1221483 */   // Label 17687: @1221483
     /* 1221483 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221563), // Rule ID 22710 //
     /* 1221488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221527 */     // MIs[0] round
     /* 1221527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1221540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221562 */     // GIR_Coverage, 22710,
     /* 1221562 */     GIR_EraseRootFromParent_Done,
     /* 1221563 */   // Label 17688: @1221563
     /* 1221563 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221643), // Rule ID 22713 //
     /* 1221568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221607 */     // MIs[0] round
     /* 1221607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1221620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221642 */     // GIR_Coverage, 22713,
     /* 1221642 */     GIR_EraseRootFromParent_Done,
     /* 1221643 */   // Label 17689: @1221643
     /* 1221643 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221723), // Rule ID 22714 //
     /* 1221648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221687 */     // MIs[0] round
     /* 1221687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1221700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221722 */     // GIR_Coverage, 22714,
     /* 1221722 */     GIR_EraseRootFromParent_Done,
     /* 1221723 */   // Label 17690: @1221723
     /* 1221723 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221803), // Rule ID 22717 //
     /* 1221728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221767 */     // MIs[0] round
     /* 1221767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1221780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221802 */     // GIR_Coverage, 22717,
     /* 1221802 */     GIR_EraseRootFromParent_Done,
     /* 1221803 */   // Label 17691: @1221803
     /* 1221803 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221883), // Rule ID 22718 //
     /* 1221808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221847 */     // MIs[0] round
     /* 1221847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1221860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221882 */     // GIR_Coverage, 22718,
     /* 1221882 */     GIR_EraseRootFromParent_Done,
     /* 1221883 */   // Label 17692: @1221883
     /* 1221883 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1221963), // Rule ID 22721 //
     /* 1221888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221927 */     // MIs[0] round
     /* 1221927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221937 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1221940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221962 */     // GIR_Coverage, 22721,
     /* 1221962 */     GIR_EraseRootFromParent_Done,
     /* 1221963 */   // Label 17693: @1221963
     /* 1221963 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222043), // Rule ID 22722 //
     /* 1221968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222007 */     // MIs[0] round
     /* 1222007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222017 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1222020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222042 */     // GIR_Coverage, 22722,
     /* 1222042 */     GIR_EraseRootFromParent_Done,
     /* 1222043 */   // Label 17694: @1222043
     /* 1222043 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222123), // Rule ID 22725 //
     /* 1222048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222087 */     // MIs[0] round
     /* 1222087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222097 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222122 */     // GIR_Coverage, 22725,
     /* 1222122 */     GIR_EraseRootFromParent_Done,
     /* 1222123 */   // Label 17695: @1222123
     /* 1222123 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222203), // Rule ID 22726 //
     /* 1222128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222167 */     // MIs[0] round
     /* 1222167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1222180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222202 */     // GIR_Coverage, 22726,
     /* 1222202 */     GIR_EraseRootFromParent_Done,
     /* 1222203 */   // Label 17696: @1222203
     /* 1222203 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222283), // Rule ID 22729 //
     /* 1222208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222247 */     // MIs[0] round
     /* 1222247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222257 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222282 */     // GIR_Coverage, 22729,
     /* 1222282 */     GIR_EraseRootFromParent_Done,
     /* 1222283 */   // Label 17697: @1222283
     /* 1222283 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222363), // Rule ID 22730 //
     /* 1222288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222327 */     // MIs[0] round
     /* 1222327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222337 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1222340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222362 */     // GIR_Coverage, 22730,
     /* 1222362 */     GIR_EraseRootFromParent_Done,
     /* 1222363 */   // Label 17698: @1222363
     /* 1222363 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222443), // Rule ID 22733 //
     /* 1222368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222407 */     // MIs[0] round
     /* 1222407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222442 */     // GIR_Coverage, 22733,
     /* 1222442 */     GIR_EraseRootFromParent_Done,
     /* 1222443 */   // Label 17699: @1222443
     /* 1222443 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222523), // Rule ID 22734 //
     /* 1222448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222487 */     // MIs[0] round
     /* 1222487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1222500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222522 */     // GIR_Coverage, 22734,
     /* 1222522 */     GIR_EraseRootFromParent_Done,
     /* 1222523 */   // Label 17700: @1222523
     /* 1222523 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222603), // Rule ID 22737 //
     /* 1222528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222567 */     // MIs[0] round
     /* 1222567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1222580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222602 */     // GIR_Coverage, 22737,
     /* 1222602 */     GIR_EraseRootFromParent_Done,
     /* 1222603 */   // Label 17701: @1222603
     /* 1222603 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222683), // Rule ID 22738 //
     /* 1222608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222647 */     // MIs[0] round
     /* 1222647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1222660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222682 */     // GIR_Coverage, 22738,
     /* 1222682 */     GIR_EraseRootFromParent_Done,
     /* 1222683 */   // Label 17702: @1222683
     /* 1222683 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222763), // Rule ID 22741 //
     /* 1222688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222727 */     // MIs[0] round
     /* 1222727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1222740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222762 */     // GIR_Coverage, 22741,
     /* 1222762 */     GIR_EraseRootFromParent_Done,
     /* 1222763 */   // Label 17703: @1222763
     /* 1222763 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222843), // Rule ID 22742 //
     /* 1222768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222807 */     // MIs[0] round
     /* 1222807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1222820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222842 */     // GIR_Coverage, 22742,
     /* 1222842 */     GIR_EraseRootFromParent_Done,
     /* 1222843 */   // Label 17704: @1222843
     /* 1222843 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1222923), // Rule ID 22745 //
     /* 1222848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222887 */     // MIs[0] round
     /* 1222887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1222900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222922 */     // GIR_Coverage, 22745,
     /* 1222922 */     GIR_EraseRootFromParent_Done,
     /* 1222923 */   // Label 17705: @1222923
     /* 1222923 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223003), // Rule ID 22746 //
     /* 1222928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222967 */     // MIs[0] round
     /* 1222967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1222980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223002 */     // GIR_Coverage, 22746,
     /* 1223002 */     GIR_EraseRootFromParent_Done,
     /* 1223003 */   // Label 17706: @1223003
     /* 1223003 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223083), // Rule ID 22749 //
     /* 1223008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223047 */     // MIs[0] round
     /* 1223047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223082 */     // GIR_Coverage, 22749,
     /* 1223082 */     GIR_EraseRootFromParent_Done,
     /* 1223083 */   // Label 17707: @1223083
     /* 1223083 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223163), // Rule ID 22750 //
     /* 1223088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223127 */     // MIs[0] round
     /* 1223127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1223140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223162 */     // GIR_Coverage, 22750,
     /* 1223162 */     GIR_EraseRootFromParent_Done,
     /* 1223163 */   // Label 17708: @1223163
     /* 1223163 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223243), // Rule ID 22753 //
     /* 1223168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223207 */     // MIs[0] round
     /* 1223207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223242 */     // GIR_Coverage, 22753,
     /* 1223242 */     GIR_EraseRootFromParent_Done,
     /* 1223243 */   // Label 17709: @1223243
     /* 1223243 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223323), // Rule ID 22754 //
     /* 1223248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223287 */     // MIs[0] round
     /* 1223287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1223300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223322 */     // GIR_Coverage, 22754,
     /* 1223322 */     GIR_EraseRootFromParent_Done,
     /* 1223323 */   // Label 17710: @1223323
     /* 1223323 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223403), // Rule ID 22757 //
     /* 1223328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223367 */     // MIs[0] round
     /* 1223367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223402 */     // GIR_Coverage, 22757,
     /* 1223402 */     GIR_EraseRootFromParent_Done,
     /* 1223403 */   // Label 17711: @1223403
     /* 1223403 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223483), // Rule ID 22758 //
     /* 1223408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1223416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223447 */     // MIs[0] round
     /* 1223447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1223460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223482 */     // GIR_Coverage, 22758,
     /* 1223482 */     GIR_EraseRootFromParent_Done,
     /* 1223483 */   // Label 17712: @1223483
     /* 1223483 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223563), // Rule ID 22761 //
     /* 1223488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223527 */     // MIs[0] round
     /* 1223527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223537 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223562 */     // GIR_Coverage, 22761,
     /* 1223562 */     GIR_EraseRootFromParent_Done,
     /* 1223563 */   // Label 17713: @1223563
     /* 1223563 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223643), // Rule ID 22762 //
     /* 1223568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223607 */     // MIs[0] round
     /* 1223607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1223620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223642 */     // GIR_Coverage, 22762,
     /* 1223642 */     GIR_EraseRootFromParent_Done,
     /* 1223643 */   // Label 17714: @1223643
     /* 1223643 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223723), // Rule ID 22765 //
     /* 1223648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223687 */     // MIs[0] round
     /* 1223687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1223700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223722 */     // GIR_Coverage, 22765,
     /* 1223722 */     GIR_EraseRootFromParent_Done,
     /* 1223723 */   // Label 17715: @1223723
     /* 1223723 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223803), // Rule ID 22766 //
     /* 1223728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223767 */     // MIs[0] round
     /* 1223767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223777 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1223780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223802 */     // GIR_Coverage, 22766,
     /* 1223802 */     GIR_EraseRootFromParent_Done,
     /* 1223803 */   // Label 17716: @1223803
     /* 1223803 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223883), // Rule ID 22769 //
     /* 1223808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223847 */     // MIs[0] round
     /* 1223847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1223860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223882 */     // GIR_Coverage, 22769,
     /* 1223882 */     GIR_EraseRootFromParent_Done,
     /* 1223883 */   // Label 17717: @1223883
     /* 1223883 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1223963), // Rule ID 22770 //
     /* 1223888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223927 */     // MIs[0] round
     /* 1223927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1223940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223962 */     // GIR_Coverage, 22770,
     /* 1223962 */     GIR_EraseRootFromParent_Done,
     /* 1223963 */   // Label 17718: @1223963
     /* 1223963 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224043), // Rule ID 22773 //
     /* 1223968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224007 */     // MIs[0] round
     /* 1224007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224017 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224042 */     // GIR_Coverage, 22773,
     /* 1224042 */     GIR_EraseRootFromParent_Done,
     /* 1224043 */   // Label 17719: @1224043
     /* 1224043 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224123), // Rule ID 22774 //
     /* 1224048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224087 */     // MIs[0] round
     /* 1224087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224097 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1224100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224122 */     // GIR_Coverage, 22774,
     /* 1224122 */     GIR_EraseRootFromParent_Done,
     /* 1224123 */   // Label 17720: @1224123
     /* 1224123 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224203), // Rule ID 22777 //
     /* 1224128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224167 */     // MIs[0] round
     /* 1224167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224202 */     // GIR_Coverage, 22777,
     /* 1224202 */     GIR_EraseRootFromParent_Done,
     /* 1224203 */   // Label 17721: @1224203
     /* 1224203 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224283), // Rule ID 22778 //
     /* 1224208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224247 */     // MIs[0] round
     /* 1224247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1224260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224282 */     // GIR_Coverage, 22778,
     /* 1224282 */     GIR_EraseRootFromParent_Done,
     /* 1224283 */   // Label 17722: @1224283
     /* 1224283 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224363), // Rule ID 22781 //
     /* 1224288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224327 */     // MIs[0] round
     /* 1224327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224362 */     // GIR_Coverage, 22781,
     /* 1224362 */     GIR_EraseRootFromParent_Done,
     /* 1224363 */   // Label 17723: @1224363
     /* 1224363 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224443), // Rule ID 22782 //
     /* 1224368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1224385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224407 */     // MIs[0] round
     /* 1224407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1224420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224442 */     // GIR_Coverage, 22782,
     /* 1224442 */     GIR_EraseRootFromParent_Done,
     /* 1224443 */   // Label 17724: @1224443
     /* 1224443 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224523), // Rule ID 22785 //
     /* 1224448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224487 */     // MIs[0] round
     /* 1224487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224522 */     // GIR_Coverage, 22785,
     /* 1224522 */     GIR_EraseRootFromParent_Done,
     /* 1224523 */   // Label 17725: @1224523
     /* 1224523 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224603), // Rule ID 22786 //
     /* 1224528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224567 */     // MIs[0] round
     /* 1224567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1224580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224602 */     // GIR_Coverage, 22786,
     /* 1224602 */     GIR_EraseRootFromParent_Done,
     /* 1224603 */   // Label 17726: @1224603
     /* 1224603 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224683), // Rule ID 22789 //
     /* 1224608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224647 */     // MIs[0] round
     /* 1224647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1224660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224682 */     // GIR_Coverage, 22789,
     /* 1224682 */     GIR_EraseRootFromParent_Done,
     /* 1224683 */   // Label 17727: @1224683
     /* 1224683 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224763), // Rule ID 22790 //
     /* 1224688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224727 */     // MIs[0] round
     /* 1224727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1224740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224762 */     // GIR_Coverage, 22790,
     /* 1224762 */     GIR_EraseRootFromParent_Done,
     /* 1224763 */   // Label 17728: @1224763
     /* 1224763 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224843), // Rule ID 22793 //
     /* 1224768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224807 */     // MIs[0] round
     /* 1224807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1224820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224842 */     // GIR_Coverage, 22793,
     /* 1224842 */     GIR_EraseRootFromParent_Done,
     /* 1224843 */   // Label 17729: @1224843
     /* 1224843 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1224923), // Rule ID 22794 //
     /* 1224848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1224859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1224862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1224868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224887 */     // MIs[0] round
     /* 1224887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1224900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224922 */     // GIR_Coverage, 22794,
     /* 1224922 */     GIR_EraseRootFromParent_Done,
     /* 1224923 */   // Label 17730: @1224923
     /* 1224923 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225003), // Rule ID 22797 //
     /* 1224928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224967 */     // MIs[0] round
     /* 1224967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1224980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225002 */     // GIR_Coverage, 22797,
     /* 1225002 */     GIR_EraseRootFromParent_Done,
     /* 1225003 */   // Label 17731: @1225003
     /* 1225003 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225083), // Rule ID 22798 //
     /* 1225008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225047 */     // MIs[0] round
     /* 1225047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1225060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225082 */     // GIR_Coverage, 22798,
     /* 1225082 */     GIR_EraseRootFromParent_Done,
     /* 1225083 */   // Label 17732: @1225083
     /* 1225083 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225163), // Rule ID 22801 //
     /* 1225088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225127 */     // MIs[0] round
     /* 1225127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225162 */     // GIR_Coverage, 22801,
     /* 1225162 */     GIR_EraseRootFromParent_Done,
     /* 1225163 */   // Label 17733: @1225163
     /* 1225163 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225243), // Rule ID 22802 //
     /* 1225168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225207 */     // MIs[0] round
     /* 1225207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1225220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225242 */     // GIR_Coverage, 22802,
     /* 1225242 */     GIR_EraseRootFromParent_Done,
     /* 1225243 */   // Label 17734: @1225243
     /* 1225243 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225323), // Rule ID 22805 //
     /* 1225248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225287 */     // MIs[0] round
     /* 1225287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225322 */     // GIR_Coverage, 22805,
     /* 1225322 */     GIR_EraseRootFromParent_Done,
     /* 1225323 */   // Label 17735: @1225323
     /* 1225323 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225403), // Rule ID 22806 //
     /* 1225328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225367 */     // MIs[0] round
     /* 1225367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1225380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225402 */     // GIR_Coverage, 22806,
     /* 1225402 */     GIR_EraseRootFromParent_Done,
     /* 1225403 */   // Label 17736: @1225403
     /* 1225403 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225483), // Rule ID 22809 //
     /* 1225408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225447 */     // MIs[0] round
     /* 1225447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225482 */     // GIR_Coverage, 22809,
     /* 1225482 */     GIR_EraseRootFromParent_Done,
     /* 1225483 */   // Label 17737: @1225483
     /* 1225483 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225563), // Rule ID 22810 //
     /* 1225488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225527 */     // MIs[0] round
     /* 1225527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1225540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225562 */     // GIR_Coverage, 22810,
     /* 1225562 */     GIR_EraseRootFromParent_Done,
     /* 1225563 */   // Label 17738: @1225563
     /* 1225563 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225643), // Rule ID 22813 //
     /* 1225568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225607 */     // MIs[0] round
     /* 1225607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1225620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225642 */     // GIR_Coverage, 22813,
     /* 1225642 */     GIR_EraseRootFromParent_Done,
     /* 1225643 */   // Label 17739: @1225643
     /* 1225643 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225723), // Rule ID 22814 //
     /* 1225648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225687 */     // MIs[0] round
     /* 1225687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1225700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225722 */     // GIR_Coverage, 22814,
     /* 1225722 */     GIR_EraseRootFromParent_Done,
     /* 1225723 */   // Label 17740: @1225723
     /* 1225723 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225803), // Rule ID 22817 //
     /* 1225728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225767 */     // MIs[0] round
     /* 1225767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1225780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225802 */     // GIR_Coverage, 22817,
     /* 1225802 */     GIR_EraseRootFromParent_Done,
     /* 1225803 */   // Label 17741: @1225803
     /* 1225803 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225883), // Rule ID 22818 //
     /* 1225808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1225816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225847 */     // MIs[0] round
     /* 1225847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1225860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225882 */     // GIR_Coverage, 22818,
     /* 1225882 */     GIR_EraseRootFromParent_Done,
     /* 1225883 */   // Label 17742: @1225883
     /* 1225883 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1225963), // Rule ID 22941 //
     /* 1225888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225927 */     // MIs[0] round
     /* 1225927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1225940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225962 */     // GIR_Coverage, 22941,
     /* 1225962 */     GIR_EraseRootFromParent_Done,
     /* 1225963 */   // Label 17743: @1225963
     /* 1225963 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226043), // Rule ID 22942 //
     /* 1225968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226007 */     // MIs[0] round
     /* 1226007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1226020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226042 */     // GIR_Coverage, 22942,
     /* 1226042 */     GIR_EraseRootFromParent_Done,
     /* 1226043 */   // Label 17744: @1226043
     /* 1226043 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226123), // Rule ID 22945 //
     /* 1226048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226087 */     // MIs[0] round
     /* 1226087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226122 */     // GIR_Coverage, 22945,
     /* 1226122 */     GIR_EraseRootFromParent_Done,
     /* 1226123 */   // Label 17745: @1226123
     /* 1226123 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226203), // Rule ID 22946 //
     /* 1226128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226167 */     // MIs[0] round
     /* 1226167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1226180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226202 */     // GIR_Coverage, 22946,
     /* 1226202 */     GIR_EraseRootFromParent_Done,
     /* 1226203 */   // Label 17746: @1226203
     /* 1226203 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226283), // Rule ID 22949 //
     /* 1226208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226247 */     // MIs[0] round
     /* 1226247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226257 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226282 */     // GIR_Coverage, 22949,
     /* 1226282 */     GIR_EraseRootFromParent_Done,
     /* 1226283 */   // Label 17747: @1226283
     /* 1226283 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226363), // Rule ID 22950 //
     /* 1226288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226327 */     // MIs[0] round
     /* 1226327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1226340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226362 */     // GIR_Coverage, 22950,
     /* 1226362 */     GIR_EraseRootFromParent_Done,
     /* 1226363 */   // Label 17748: @1226363
     /* 1226363 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226443), // Rule ID 22953 //
     /* 1226368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226407 */     // MIs[0] round
     /* 1226407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226442 */     // GIR_Coverage, 22953,
     /* 1226442 */     GIR_EraseRootFromParent_Done,
     /* 1226443 */   // Label 17749: @1226443
     /* 1226443 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226523), // Rule ID 22954 //
     /* 1226448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226487 */     // MIs[0] round
     /* 1226487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1226500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226522 */     // GIR_Coverage, 22954,
     /* 1226522 */     GIR_EraseRootFromParent_Done,
     /* 1226523 */   // Label 17750: @1226523
     /* 1226523 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226603), // Rule ID 22957 //
     /* 1226528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226567 */     // MIs[0] round
     /* 1226567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226577 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1226580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226602 */     // GIR_Coverage, 22957,
     /* 1226602 */     GIR_EraseRootFromParent_Done,
     /* 1226603 */   // Label 17751: @1226603
     /* 1226603 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226683), // Rule ID 22958 //
     /* 1226608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226647 */     // MIs[0] round
     /* 1226647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1226660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226682 */     // GIR_Coverage, 22958,
     /* 1226682 */     GIR_EraseRootFromParent_Done,
     /* 1226683 */   // Label 17752: @1226683
     /* 1226683 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226763), // Rule ID 22961 //
     /* 1226688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226727 */     // MIs[0] round
     /* 1226727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1226740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226762 */     // GIR_Coverage, 22961,
     /* 1226762 */     GIR_EraseRootFromParent_Done,
     /* 1226763 */   // Label 17753: @1226763
     /* 1226763 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226843), // Rule ID 22962 //
     /* 1226768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226807 */     // MIs[0] round
     /* 1226807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1226820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226842 */     // GIR_Coverage, 22962,
     /* 1226842 */     GIR_EraseRootFromParent_Done,
     /* 1226843 */   // Label 17754: @1226843
     /* 1226843 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1226923), // Rule ID 22965 //
     /* 1226848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226887 */     // MIs[0] round
     /* 1226887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1226900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226922 */     // GIR_Coverage, 22965,
     /* 1226922 */     GIR_EraseRootFromParent_Done,
     /* 1226923 */   // Label 17755: @1226923
     /* 1226923 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227003), // Rule ID 22966 //
     /* 1226928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226967 */     // MIs[0] round
     /* 1226967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1226980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227002 */     // GIR_Coverage, 22966,
     /* 1227002 */     GIR_EraseRootFromParent_Done,
     /* 1227003 */   // Label 17756: @1227003
     /* 1227003 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227083), // Rule ID 22969 //
     /* 1227008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227047 */     // MIs[0] round
     /* 1227047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227082 */     // GIR_Coverage, 22969,
     /* 1227082 */     GIR_EraseRootFromParent_Done,
     /* 1227083 */   // Label 17757: @1227083
     /* 1227083 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227163), // Rule ID 22970 //
     /* 1227088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227127 */     // MIs[0] round
     /* 1227127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1227140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227162 */     // GIR_Coverage, 22970,
     /* 1227162 */     GIR_EraseRootFromParent_Done,
     /* 1227163 */   // Label 17758: @1227163
     /* 1227163 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227243), // Rule ID 22973 //
     /* 1227168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227207 */     // MIs[0] round
     /* 1227207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227242 */     // GIR_Coverage, 22973,
     /* 1227242 */     GIR_EraseRootFromParent_Done,
     /* 1227243 */   // Label 17759: @1227243
     /* 1227243 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227323), // Rule ID 22974 //
     /* 1227248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227287 */     // MIs[0] round
     /* 1227287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1227300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227322 */     // GIR_Coverage, 22974,
     /* 1227322 */     GIR_EraseRootFromParent_Done,
     /* 1227323 */   // Label 17760: @1227323
     /* 1227323 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227403), // Rule ID 22977 //
     /* 1227328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227367 */     // MIs[0] round
     /* 1227367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227402 */     // GIR_Coverage, 22977,
     /* 1227402 */     GIR_EraseRootFromParent_Done,
     /* 1227403 */   // Label 17761: @1227403
     /* 1227403 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227483), // Rule ID 22978 //
     /* 1227408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227447 */     // MIs[0] round
     /* 1227447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1227460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227482 */     // GIR_Coverage, 22978,
     /* 1227482 */     GIR_EraseRootFromParent_Done,
     /* 1227483 */   // Label 17762: @1227483
     /* 1227483 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227563), // Rule ID 22981 //
     /* 1227488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227527 */     // MIs[0] round
     /* 1227527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227562 */     // GIR_Coverage, 22981,
     /* 1227562 */     GIR_EraseRootFromParent_Done,
     /* 1227563 */   // Label 17763: @1227563
     /* 1227563 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227643), // Rule ID 22982 //
     /* 1227568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1227576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227607 */     // MIs[0] round
     /* 1227607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1227620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227642 */     // GIR_Coverage, 22982,
     /* 1227642 */     GIR_EraseRootFromParent_Done,
     /* 1227643 */   // Label 17764: @1227643
     /* 1227643 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227723), // Rule ID 22985 //
     /* 1227648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227687 */     // MIs[0] round
     /* 1227687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1227700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227722 */     // GIR_Coverage, 22985,
     /* 1227722 */     GIR_EraseRootFromParent_Done,
     /* 1227723 */   // Label 17765: @1227723
     /* 1227723 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227803), // Rule ID 22986 //
     /* 1227728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227767 */     // MIs[0] round
     /* 1227767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1227780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227802 */     // GIR_Coverage, 22986,
     /* 1227802 */     GIR_EraseRootFromParent_Done,
     /* 1227803 */   // Label 17766: @1227803
     /* 1227803 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227883), // Rule ID 22989 //
     /* 1227808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227847 */     // MIs[0] round
     /* 1227847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1227860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227882 */     // GIR_Coverage, 22989,
     /* 1227882 */     GIR_EraseRootFromParent_Done,
     /* 1227883 */   // Label 17767: @1227883
     /* 1227883 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1227963), // Rule ID 22990 //
     /* 1227888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227927 */     // MIs[0] round
     /* 1227927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227937 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1227940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227962 */     // GIR_Coverage, 22990,
     /* 1227962 */     GIR_EraseRootFromParent_Done,
     /* 1227963 */   // Label 17768: @1227963
     /* 1227963 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228043), // Rule ID 22993 //
     /* 1227968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1227985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228007 */     // MIs[0] round
     /* 1228007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228017 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228042 */     // GIR_Coverage, 22993,
     /* 1228042 */     GIR_EraseRootFromParent_Done,
     /* 1228043 */   // Label 17769: @1228043
     /* 1228043 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228123), // Rule ID 22994 //
     /* 1228048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228087 */     // MIs[0] round
     /* 1228087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1228100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228122 */     // GIR_Coverage, 22994,
     /* 1228122 */     GIR_EraseRootFromParent_Done,
     /* 1228123 */   // Label 17770: @1228123
     /* 1228123 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228203), // Rule ID 22997 //
     /* 1228128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228167 */     // MIs[0] round
     /* 1228167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228202 */     // GIR_Coverage, 22997,
     /* 1228202 */     GIR_EraseRootFromParent_Done,
     /* 1228203 */   // Label 17771: @1228203
     /* 1228203 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228283), // Rule ID 22998 //
     /* 1228208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228247 */     // MIs[0] round
     /* 1228247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1228260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228282 */     // GIR_Coverage, 22998,
     /* 1228282 */     GIR_EraseRootFromParent_Done,
     /* 1228283 */   // Label 17772: @1228283
     /* 1228283 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228363), // Rule ID 23001 //
     /* 1228288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228327 */     // MIs[0] round
     /* 1228327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228362 */     // GIR_Coverage, 23001,
     /* 1228362 */     GIR_EraseRootFromParent_Done,
     /* 1228363 */   // Label 17773: @1228363
     /* 1228363 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228443), // Rule ID 23002 //
     /* 1228368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228407 */     // MIs[0] round
     /* 1228407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1228420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228442 */     // GIR_Coverage, 23002,
     /* 1228442 */     GIR_EraseRootFromParent_Done,
     /* 1228443 */   // Label 17774: @1228443
     /* 1228443 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228523), // Rule ID 23005 //
     /* 1228448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228487 */     // MIs[0] round
     /* 1228487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228522 */     // GIR_Coverage, 23005,
     /* 1228522 */     GIR_EraseRootFromParent_Done,
     /* 1228523 */   // Label 17775: @1228523
     /* 1228523 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228603), // Rule ID 23006 //
     /* 1228528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228567 */     // MIs[0] round
     /* 1228567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1228580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228602 */     // GIR_Coverage, 23006,
     /* 1228602 */     GIR_EraseRootFromParent_Done,
     /* 1228603 */   // Label 17776: @1228603
     /* 1228603 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228683), // Rule ID 23009 //
     /* 1228608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228647 */     // MIs[0] round
     /* 1228647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1228660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228682 */     // GIR_Coverage, 23009,
     /* 1228682 */     GIR_EraseRootFromParent_Done,
     /* 1228683 */   // Label 17777: @1228683
     /* 1228683 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228763), // Rule ID 23010 //
     /* 1228688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228727 */     // MIs[0] round
     /* 1228727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1228740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228762 */     // GIR_Coverage, 23010,
     /* 1228762 */     GIR_EraseRootFromParent_Done,
     /* 1228763 */   // Label 17778: @1228763
     /* 1228763 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228843), // Rule ID 23013 //
     /* 1228768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228807 */     // MIs[0] round
     /* 1228807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1228820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228842 */     // GIR_Coverage, 23013,
     /* 1228842 */     GIR_EraseRootFromParent_Done,
     /* 1228843 */   // Label 17779: @1228843
     /* 1228843 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1228923), // Rule ID 23014 //
     /* 1228848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228887 */     // MIs[0] round
     /* 1228887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1228900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228922 */     // GIR_Coverage, 23014,
     /* 1228922 */     GIR_EraseRootFromParent_Done,
     /* 1228923 */   // Label 17780: @1228923
     /* 1228923 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229003), // Rule ID 23017 //
     /* 1228928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228967 */     // MIs[0] round
     /* 1228967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1228980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229002 */     // GIR_Coverage, 23017,
     /* 1229002 */     GIR_EraseRootFromParent_Done,
     /* 1229003 */   // Label 17781: @1229003
     /* 1229003 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229083), // Rule ID 23018 //
     /* 1229008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229047 */     // MIs[0] round
     /* 1229047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1229060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229082 */     // GIR_Coverage, 23018,
     /* 1229082 */     GIR_EraseRootFromParent_Done,
     /* 1229083 */   // Label 17782: @1229083
     /* 1229083 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229163), // Rule ID 23021 //
     /* 1229088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229127 */     // MIs[0] round
     /* 1229127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229137 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229162 */     // GIR_Coverage, 23021,
     /* 1229162 */     GIR_EraseRootFromParent_Done,
     /* 1229163 */   // Label 17783: @1229163
     /* 1229163 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229243), // Rule ID 23022 //
     /* 1229168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229207 */     // MIs[0] round
     /* 1229207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1229220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229242 */     // GIR_Coverage, 23022,
     /* 1229242 */     GIR_EraseRootFromParent_Done,
     /* 1229243 */   // Label 17784: @1229243
     /* 1229243 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229323), // Rule ID 23025 //
     /* 1229248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229287 */     // MIs[0] round
     /* 1229287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229322 */     // GIR_Coverage, 23025,
     /* 1229322 */     GIR_EraseRootFromParent_Done,
     /* 1229323 */   // Label 17785: @1229323
     /* 1229323 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229403), // Rule ID 23026 //
     /* 1229328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1229336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1229339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1229342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1229348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229367 */     // MIs[0] round
     /* 1229367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1229380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229402 */     // GIR_Coverage, 23026,
     /* 1229402 */     GIR_EraseRootFromParent_Done,
     /* 1229403 */   // Label 17786: @1229403
     /* 1229403 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229483), // Rule ID 64081 //
     /* 1229408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229447 */     // MIs[0] round
     /* 1229447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229457 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229482 */     // GIR_Coverage, 64081,
     /* 1229482 */     GIR_EraseRootFromParent_Done,
     /* 1229483 */   // Label 17787: @1229483
     /* 1229483 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229563), // Rule ID 64082 //
     /* 1229488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229527 */     // MIs[0] round
     /* 1229527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229537 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1229540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229562 */     // GIR_Coverage, 64082,
     /* 1229562 */     GIR_EraseRootFromParent_Done,
     /* 1229563 */   // Label 17788: @1229563
     /* 1229563 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229643), // Rule ID 64085 //
     /* 1229568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229607 */     // MIs[0] round
     /* 1229607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1229620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229642 */     // GIR_Coverage, 64085,
     /* 1229642 */     GIR_EraseRootFromParent_Done,
     /* 1229643 */   // Label 17789: @1229643
     /* 1229643 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229723), // Rule ID 64086 //
     /* 1229648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229687 */     // MIs[0] round
     /* 1229687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1229700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229722 */     // GIR_Coverage, 64086,
     /* 1229722 */     GIR_EraseRootFromParent_Done,
     /* 1229723 */   // Label 17790: @1229723
     /* 1229723 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229803), // Rule ID 64089 //
     /* 1229728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229767 */     // MIs[0] round
     /* 1229767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1229780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229802 */     // GIR_Coverage, 64089,
     /* 1229802 */     GIR_EraseRootFromParent_Done,
     /* 1229803 */   // Label 17791: @1229803
     /* 1229803 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229883), // Rule ID 64090 //
     /* 1229808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229847 */     // MIs[0] round
     /* 1229847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1229860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229882 */     // GIR_Coverage, 64090,
     /* 1229882 */     GIR_EraseRootFromParent_Done,
     /* 1229883 */   // Label 17792: @1229883
     /* 1229883 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1229963), // Rule ID 64093 //
     /* 1229888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1229899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1229902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229927 */     // MIs[0] round
     /* 1229927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1229940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229962 */     // GIR_Coverage, 64093,
     /* 1229962 */     GIR_EraseRootFromParent_Done,
     /* 1229963 */   // Label 17793: @1229963
     /* 1229963 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230043), // Rule ID 64094 //
     /* 1229968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1229976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1229979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1229982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230007 */     // MIs[0] round
     /* 1230007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1230020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230042 */     // GIR_Coverage, 64094,
     /* 1230042 */     GIR_EraseRootFromParent_Done,
     /* 1230043 */   // Label 17794: @1230043
     /* 1230043 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230123), // Rule ID 64097 //
     /* 1230048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230087 */     // MIs[0] round
     /* 1230087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230122 */     // GIR_Coverage, 64097,
     /* 1230122 */     GIR_EraseRootFromParent_Done,
     /* 1230123 */   // Label 17795: @1230123
     /* 1230123 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230203), // Rule ID 64098 //
     /* 1230128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1230136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230167 */     // MIs[0] round
     /* 1230167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1230180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230202 */     // GIR_Coverage, 64098,
     /* 1230202 */     GIR_EraseRootFromParent_Done,
     /* 1230203 */   // Label 17796: @1230203
     /* 1230203 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230283), // Rule ID 64101 //
     /* 1230208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230247 */     // MIs[0] round
     /* 1230247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230257 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230282 */     // GIR_Coverage, 64101,
     /* 1230282 */     GIR_EraseRootFromParent_Done,
     /* 1230283 */   // Label 17797: @1230283
     /* 1230283 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230363), // Rule ID 64102 //
     /* 1230288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230327 */     // MIs[0] round
     /* 1230327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230337 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1230340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230362 */     // GIR_Coverage, 64102,
     /* 1230362 */     GIR_EraseRootFromParent_Done,
     /* 1230363 */   // Label 17798: @1230363
     /* 1230363 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230443), // Rule ID 64105 //
     /* 1230368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230407 */     // MIs[0] round
     /* 1230407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230442 */     // GIR_Coverage, 64105,
     /* 1230442 */     GIR_EraseRootFromParent_Done,
     /* 1230443 */   // Label 17799: @1230443
     /* 1230443 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230523), // Rule ID 64106 //
     /* 1230448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230487 */     // MIs[0] round
     /* 1230487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1230500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230522 */     // GIR_Coverage, 64106,
     /* 1230522 */     GIR_EraseRootFromParent_Done,
     /* 1230523 */   // Label 17800: @1230523
     /* 1230523 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230603), // Rule ID 64109 //
     /* 1230528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230567 */     // MIs[0] round
     /* 1230567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1230580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230602 */     // GIR_Coverage, 64109,
     /* 1230602 */     GIR_EraseRootFromParent_Done,
     /* 1230603 */   // Label 17801: @1230603
     /* 1230603 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230683), // Rule ID 64110 //
     /* 1230608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230647 */     // MIs[0] round
     /* 1230647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230657 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1230660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230682 */     // GIR_Coverage, 64110,
     /* 1230682 */     GIR_EraseRootFromParent_Done,
     /* 1230683 */   // Label 17802: @1230683
     /* 1230683 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230763), // Rule ID 64113 //
     /* 1230688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230727 */     // MIs[0] round
     /* 1230727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1230740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230762 */     // GIR_Coverage, 64113,
     /* 1230762 */     GIR_EraseRootFromParent_Done,
     /* 1230763 */   // Label 17803: @1230763
     /* 1230763 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230843), // Rule ID 64114 //
     /* 1230768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230807 */     // MIs[0] round
     /* 1230807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1230820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230842 */     // GIR_Coverage, 64114,
     /* 1230842 */     GIR_EraseRootFromParent_Done,
     /* 1230843 */   // Label 17804: @1230843
     /* 1230843 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1230923), // Rule ID 64117 //
     /* 1230848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1230851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230887 */     // MIs[0] round
     /* 1230887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1230900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230922 */     // GIR_Coverage, 64117,
     /* 1230922 */     GIR_EraseRootFromParent_Done,
     /* 1230923 */   // Label 17805: @1230923
     /* 1230923 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231003), // Rule ID 64118 //
     /* 1230928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1230931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1230936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1230945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230967 */     // MIs[0] round
     /* 1230967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1230980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231002 */     // GIR_Coverage, 64118,
     /* 1231002 */     GIR_EraseRootFromParent_Done,
     /* 1231003 */   // Label 17806: @1231003
     /* 1231003 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231087), // Rule ID 2601 //
     /* 1231008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231086 */     // GIR_Coverage, 2601,
     /* 1231086 */     GIR_EraseRootFromParent_Done,
     /* 1231087 */   // Label 17807: @1231087
     /* 1231087 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231171), // Rule ID 2602 //
     /* 1231092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1231100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1231148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231170 */     // GIR_Coverage, 2602,
     /* 1231170 */     GIR_EraseRootFromParent_Done,
     /* 1231171 */   // Label 17808: @1231171
     /* 1231171 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231255), // Rule ID 2613 //
     /* 1231176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231229 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1231229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231254 */     // GIR_Coverage, 2613,
     /* 1231254 */     GIR_EraseRootFromParent_Done,
     /* 1231255 */   // Label 17809: @1231255
     /* 1231255 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231339), // Rule ID 2614 //
     /* 1231260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1231268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1231271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1231274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1231313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1231316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1231322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1231324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1231337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231338 */     // GIR_Coverage, 2614,
     /* 1231338 */     GIR_EraseRootFromParent_Done,
     /* 1231339 */   // Label 17810: @1231339
     /* 1231339 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231420), // Rule ID 2615 //
     /* 1231344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231419 */     // GIR_Coverage, 2615,
     /* 1231419 */     GIR_EraseRootFromParent_Done,
     /* 1231420 */   // Label 17811: @1231420
     /* 1231420 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231501), // Rule ID 2616 //
     /* 1231425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1231436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1231439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1231445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1231481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231500 */     // GIR_Coverage, 2616,
     /* 1231500 */     GIR_EraseRootFromParent_Done,
     /* 1231501 */   // Label 17812: @1231501
     /* 1231501 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231585), // Rule ID 2665 //
     /* 1231506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1231562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231584 */     // GIR_Coverage, 2665,
     /* 1231584 */     GIR_EraseRootFromParent_Done,
     /* 1231585 */   // Label 17813: @1231585
     /* 1231585 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231669), // Rule ID 2666 //
     /* 1231590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1231598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1231607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1231646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231668 */     // GIR_Coverage, 2666,
     /* 1231668 */     GIR_EraseRootFromParent_Done,
     /* 1231669 */   // Label 17814: @1231669
     /* 1231669 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231750), // Rule ID 4993 //
     /* 1231674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1231685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1231688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1231691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1231694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1231730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231749 */     // GIR_Coverage, 4993,
     /* 1231749 */     GIR_EraseRootFromParent_Done,
     /* 1231750 */   // Label 17815: @1231750
     /* 1231750 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231831), // Rule ID 4994 //
     /* 1231755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1231766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1231769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1231772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1231775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231808 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1231811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231830 */     // GIR_Coverage, 4994,
     /* 1231830 */     GIR_EraseRootFromParent_Done,
     /* 1231831 */   // Label 17816: @1231831
     /* 1231831 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1231912), // Rule ID 4995 //
     /* 1231836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1231853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1231856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231889 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231911 */     // GIR_Coverage, 4995,
     /* 1231911 */     GIR_EraseRootFromParent_Done,
     /* 1231912 */   // Label 17817: @1231912
     /* 1231912 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1231993), // Rule ID 4996 //
     /* 1231917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1231928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1231931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1231934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1231937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231992 */     // GIR_Coverage, 4996,
     /* 1231992 */     GIR_EraseRootFromParent_Done,
     /* 1231993 */   // Label 17818: @1231993
     /* 1231993 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232074), // Rule ID 4997 //
     /* 1231998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232051 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232073 */     // GIR_Coverage, 4997,
     /* 1232073 */     GIR_EraseRootFromParent_Done,
     /* 1232074 */   // Label 17819: @1232074
     /* 1232074 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232155), // Rule ID 4998 //
     /* 1232079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1232090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1232093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1232135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232154 */     // GIR_Coverage, 4998,
     /* 1232154 */     GIR_EraseRootFromParent_Done,
     /* 1232155 */   // Label 17820: @1232155
     /* 1232155 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232236), // Rule ID 4999 //
     /* 1232160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232213 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232235 */     // GIR_Coverage, 4999,
     /* 1232235 */     GIR_EraseRootFromParent_Done,
     /* 1232236 */   // Label 17821: @1232236
     /* 1232236 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232317), // Rule ID 5000 //
     /* 1232241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1232252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1232255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232316 */     // GIR_Coverage, 5000,
     /* 1232316 */     GIR_EraseRootFromParent_Done,
     /* 1232317 */   // Label 17822: @1232317
     /* 1232317 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232398), // Rule ID 5001 //
     /* 1232322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232397 */     // GIR_Coverage, 5001,
     /* 1232397 */     GIR_EraseRootFromParent_Done,
     /* 1232398 */   // Label 17823: @1232398
     /* 1232398 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232479), // Rule ID 5002 //
     /* 1232403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1232414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1232417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1232459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232478 */     // GIR_Coverage, 5002,
     /* 1232478 */     GIR_EraseRootFromParent_Done,
     /* 1232479 */   // Label 17824: @1232479
     /* 1232479 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232560), // Rule ID 5003 //
     /* 1232484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232559 */     // GIR_Coverage, 5003,
     /* 1232559 */     GIR_EraseRootFromParent_Done,
     /* 1232560 */   // Label 17825: @1232560
     /* 1232560 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232641), // Rule ID 5004 //
     /* 1232565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1232576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1232579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1232582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1232585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232640 */     // GIR_Coverage, 5004,
     /* 1232640 */     GIR_EraseRootFromParent_Done,
     /* 1232641 */   // Label 17826: @1232641
     /* 1232641 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232722), // Rule ID 5005 //
     /* 1232646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1232657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1232660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232721 */     // GIR_Coverage, 5005,
     /* 1232721 */     GIR_EraseRootFromParent_Done,
     /* 1232722 */   // Label 17827: @1232722
     /* 1232722 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232803), // Rule ID 5006 //
     /* 1232727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1232738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1232741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232802 */     // GIR_Coverage, 5006,
     /* 1232802 */     GIR_EraseRootFromParent_Done,
     /* 1232803 */   // Label 17828: @1232803
     /* 1232803 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232884), // Rule ID 5007 //
     /* 1232808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232861 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232883 */     // GIR_Coverage, 5007,
     /* 1232883 */     GIR_EraseRootFromParent_Done,
     /* 1232884 */   // Label 17829: @1232884
     /* 1232884 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1232965), // Rule ID 5008 //
     /* 1232889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1232945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232964 */     // GIR_Coverage, 5008,
     /* 1232964 */     GIR_EraseRootFromParent_Done,
     /* 1232965 */   // Label 17830: @1232965
     /* 1232965 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233046), // Rule ID 5009 //
     /* 1232970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1232987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233045 */     // GIR_Coverage, 5009,
     /* 1233045 */     GIR_EraseRootFromParent_Done,
     /* 1233046 */   // Label 17831: @1233046
     /* 1233046 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233127), // Rule ID 5010 //
     /* 1233051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1233107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233126 */     // GIR_Coverage, 5010,
     /* 1233126 */     GIR_EraseRootFromParent_Done,
     /* 1233127 */   // Label 17832: @1233127
     /* 1233127 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233208), // Rule ID 5011 //
     /* 1233132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233185 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233207 */     // GIR_Coverage, 5011,
     /* 1233207 */     GIR_EraseRootFromParent_Done,
     /* 1233208 */   // Label 17833: @1233208
     /* 1233208 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233289), // Rule ID 5012 //
     /* 1233213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1233224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1233227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1233230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1233233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233288 */     // GIR_Coverage, 5012,
     /* 1233288 */     GIR_EraseRootFromParent_Done,
     /* 1233289 */   // Label 17834: @1233289
     /* 1233289 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233370), // Rule ID 5013 //
     /* 1233294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233369 */     // GIR_Coverage, 5013,
     /* 1233369 */     GIR_EraseRootFromParent_Done,
     /* 1233370 */   // Label 17835: @1233370
     /* 1233370 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233451), // Rule ID 5014 //
     /* 1233375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1233386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1233389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1233392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1233395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233450 */     // GIR_Coverage, 5014,
     /* 1233450 */     GIR_EraseRootFromParent_Done,
     /* 1233451 */   // Label 17836: @1233451
     /* 1233451 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233532), // Rule ID 5015 //
     /* 1233456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233509 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233531 */     // GIR_Coverage, 5015,
     /* 1233531 */     GIR_EraseRootFromParent_Done,
     /* 1233532 */   // Label 17837: @1233532
     /* 1233532 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233613), // Rule ID 5016 //
     /* 1233537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1233548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1233551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1233554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1233557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1233560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233590 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233612 */     // GIR_Coverage, 5016,
     /* 1233612 */     GIR_EraseRootFromParent_Done,
     /* 1233613 */   // Label 17838: @1233613
     /* 1233613 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233694), // Rule ID 5017 //
     /* 1233618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1233629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1233632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233693 */     // GIR_Coverage, 5017,
     /* 1233693 */     GIR_EraseRootFromParent_Done,
     /* 1233694 */   // Label 17839: @1233694
     /* 1233694 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233775), // Rule ID 5018 //
     /* 1233699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1233710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1233713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233774 */     // GIR_Coverage, 5018,
     /* 1233774 */     GIR_EraseRootFromParent_Done,
     /* 1233775 */   // Label 17840: @1233775
     /* 1233775 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233856), // Rule ID 5019 //
     /* 1233780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1233791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1233794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233855 */     // GIR_Coverage, 5019,
     /* 1233855 */     GIR_EraseRootFromParent_Done,
     /* 1233856 */   // Label 17841: @1233856
     /* 1233856 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1233937), // Rule ID 5020 //
     /* 1233861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1233872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1233875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233936 */     // GIR_Coverage, 5020,
     /* 1233936 */     GIR_EraseRootFromParent_Done,
     /* 1233937 */   // Label 17842: @1233937
     /* 1233937 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234018), // Rule ID 5021 //
     /* 1233942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1233953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1233956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1233962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234017 */     // GIR_Coverage, 5021,
     /* 1234017 */     GIR_EraseRootFromParent_Done,
     /* 1234018 */   // Label 17843: @1234018
     /* 1234018 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234099), // Rule ID 5022 //
     /* 1234023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1234034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1234037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1234043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234098 */     // GIR_Coverage, 5022,
     /* 1234098 */     GIR_EraseRootFromParent_Done,
     /* 1234099 */   // Label 17844: @1234099
     /* 1234099 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234180), // Rule ID 5023 //
     /* 1234104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234179 */     // GIR_Coverage, 5023,
     /* 1234179 */     GIR_EraseRootFromParent_Done,
     /* 1234180 */   // Label 17845: @1234180
     /* 1234180 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234261), // Rule ID 5024 //
     /* 1234185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1234196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1234199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1234205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234260 */     // GIR_Coverage, 5024,
     /* 1234260 */     GIR_EraseRootFromParent_Done,
     /* 1234261 */   // Label 17846: @1234261
     /* 1234261 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234342), // Rule ID 5025 //
     /* 1234266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234341 */     // GIR_Coverage, 5025,
     /* 1234341 */     GIR_EraseRootFromParent_Done,
     /* 1234342 */   // Label 17847: @1234342
     /* 1234342 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234423), // Rule ID 5026 //
     /* 1234347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1234358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1234361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1234367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234422 */     // GIR_Coverage, 5026,
     /* 1234422 */     GIR_EraseRootFromParent_Done,
     /* 1234423 */   // Label 17848: @1234423
     /* 1234423 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234504), // Rule ID 5027 //
     /* 1234428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234503 */     // GIR_Coverage, 5027,
     /* 1234503 */     GIR_EraseRootFromParent_Done,
     /* 1234504 */   // Label 17849: @1234504
     /* 1234504 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234585), // Rule ID 5028 //
     /* 1234509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1234520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1234523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234584 */     // GIR_Coverage, 5028,
     /* 1234584 */     GIR_EraseRootFromParent_Done,
     /* 1234585 */   // Label 17850: @1234585
     /* 1234585 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234666), // Rule ID 5029 //
     /* 1234590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1234601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1234604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234665 */     // GIR_Coverage, 5029,
     /* 1234665 */     GIR_EraseRootFromParent_Done,
     /* 1234666 */   // Label 17851: @1234666
     /* 1234666 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234747), // Rule ID 5030 //
     /* 1234671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1234682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1234685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1234727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234746 */     // GIR_Coverage, 5030,
     /* 1234746 */     GIR_EraseRootFromParent_Done,
     /* 1234747 */   // Label 17852: @1234747
     /* 1234747 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234828), // Rule ID 5031 //
     /* 1234752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1234763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1234766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234827 */     // GIR_Coverage, 5031,
     /* 1234827 */     GIR_EraseRootFromParent_Done,
     /* 1234828 */   // Label 17853: @1234828
     /* 1234828 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1234909), // Rule ID 5032 //
     /* 1234833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1234844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1234847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1234889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234908 */     // GIR_Coverage, 5032,
     /* 1234908 */     GIR_EraseRootFromParent_Done,
     /* 1234909 */   // Label 17854: @1234909
     /* 1234909 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1234990), // Rule ID 5033 //
     /* 1234914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1234925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1234928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1234931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1234934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234967 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1234970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234989 */     // GIR_Coverage, 5033,
     /* 1234989 */     GIR_EraseRootFromParent_Done,
     /* 1234990 */   // Label 17855: @1234990
     /* 1234990 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235071), // Rule ID 5034 //
     /* 1234995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1235006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1235009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1235015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1235051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235070 */     // GIR_Coverage, 5034,
     /* 1235070 */     GIR_EraseRootFromParent_Done,
     /* 1235071 */   // Label 17856: @1235071
     /* 1235071 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235152), // Rule ID 5035 //
     /* 1235076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235151 */     // GIR_Coverage, 5035,
     /* 1235151 */     GIR_EraseRootFromParent_Done,
     /* 1235152 */   // Label 17857: @1235152
     /* 1235152 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235233), // Rule ID 5036 //
     /* 1235157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235210 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1235213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235232 */     // GIR_Coverage, 5036,
     /* 1235232 */     GIR_EraseRootFromParent_Done,
     /* 1235233 */   // Label 17858: @1235233
     /* 1235233 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235314), // Rule ID 5037 //
     /* 1235238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235291 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235313 */     // GIR_Coverage, 5037,
     /* 1235313 */     GIR_EraseRootFromParent_Done,
     /* 1235314 */   // Label 17859: @1235314
     /* 1235314 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235395), // Rule ID 5038 //
     /* 1235319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1235336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235394 */     // GIR_Coverage, 5038,
     /* 1235394 */     GIR_EraseRootFromParent_Done,
     /* 1235395 */   // Label 17860: @1235395
     /* 1235395 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235476), // Rule ID 5039 //
     /* 1235400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235453 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235475 */     // GIR_Coverage, 5039,
     /* 1235475 */     GIR_EraseRootFromParent_Done,
     /* 1235476 */   // Label 17861: @1235476
     /* 1235476 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235557), // Rule ID 5040 //
     /* 1235481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1235498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235556 */     // GIR_Coverage, 5040,
     /* 1235556 */     GIR_EraseRootFromParent_Done,
     /* 1235557 */   // Label 17862: @1235557
     /* 1235557 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235638), // Rule ID 5041 //
     /* 1235562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235637 */     // GIR_Coverage, 5041,
     /* 1235637 */     GIR_EraseRootFromParent_Done,
     /* 1235638 */   // Label 17863: @1235638
     /* 1235638 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235719), // Rule ID 5042 //
     /* 1235643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1235654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1235657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1235699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235718 */     // GIR_Coverage, 5042,
     /* 1235718 */     GIR_EraseRootFromParent_Done,
     /* 1235719 */   // Label 17864: @1235719
     /* 1235719 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235800), // Rule ID 5043 //
     /* 1235724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1235735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1235738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235799 */     // GIR_Coverage, 5043,
     /* 1235799 */     GIR_EraseRootFromParent_Done,
     /* 1235800 */   // Label 17865: @1235800
     /* 1235800 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235881), // Rule ID 5044 //
     /* 1235805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1235816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1235819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235880 */     // GIR_Coverage, 5044,
     /* 1235880 */     GIR_EraseRootFromParent_Done,
     /* 1235881 */   // Label 17866: @1235881
     /* 1235881 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1235962), // Rule ID 5045 //
     /* 1235886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1235897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1235900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1235942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235961 */     // GIR_Coverage, 5045,
     /* 1235961 */     GIR_EraseRootFromParent_Done,
     /* 1235962 */   // Label 17867: @1235962
     /* 1235962 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236043), // Rule ID 5046 //
     /* 1235967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1235978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1235981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1236023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236042 */     // GIR_Coverage, 5046,
     /* 1236042 */     GIR_EraseRootFromParent_Done,
     /* 1236043 */   // Label 17868: @1236043
     /* 1236043 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236124), // Rule ID 5047 //
     /* 1236048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236123 */     // GIR_Coverage, 5047,
     /* 1236123 */     GIR_EraseRootFromParent_Done,
     /* 1236124 */   // Label 17869: @1236124
     /* 1236124 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236205), // Rule ID 5048 //
     /* 1236129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1236146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236204 */     // GIR_Coverage, 5048,
     /* 1236204 */     GIR_EraseRootFromParent_Done,
     /* 1236205 */   // Label 17870: @1236205
     /* 1236205 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236286), // Rule ID 5049 //
     /* 1236210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236285 */     // GIR_Coverage, 5049,
     /* 1236285 */     GIR_EraseRootFromParent_Done,
     /* 1236286 */   // Label 17871: @1236286
     /* 1236286 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236367), // Rule ID 5050 //
     /* 1236291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1236302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1236305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1236308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236366 */     // GIR_Coverage, 5050,
     /* 1236366 */     GIR_EraseRootFromParent_Done,
     /* 1236367 */   // Label 17872: @1236367
     /* 1236367 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236448), // Rule ID 5051 //
     /* 1236372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236447 */     // GIR_Coverage, 5051,
     /* 1236447 */     GIR_EraseRootFromParent_Done,
     /* 1236448 */   // Label 17873: @1236448
     /* 1236448 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236529), // Rule ID 5052 //
     /* 1236453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236528 */     // GIR_Coverage, 5052,
     /* 1236528 */     GIR_EraseRootFromParent_Done,
     /* 1236529 */   // Label 17874: @1236529
     /* 1236529 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236610), // Rule ID 5053 //
     /* 1236534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236609 */     // GIR_Coverage, 5053,
     /* 1236609 */     GIR_EraseRootFromParent_Done,
     /* 1236610 */   // Label 17875: @1236610
     /* 1236610 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236691), // Rule ID 5054 //
     /* 1236615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1236632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1236671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236690 */     // GIR_Coverage, 5054,
     /* 1236690 */     GIR_EraseRootFromParent_Done,
     /* 1236691 */   // Label 17876: @1236691
     /* 1236691 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236772), // Rule ID 5055 //
     /* 1236696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1236713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236771 */     // GIR_Coverage, 5055,
     /* 1236771 */     GIR_EraseRootFromParent_Done,
     /* 1236772 */   // Label 17877: @1236772
     /* 1236772 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236853), // Rule ID 5056 //
     /* 1236777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1236788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1236791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1236794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236830 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236852 */     // GIR_Coverage, 5056,
     /* 1236852 */     GIR_EraseRootFromParent_Done,
     /* 1236853 */   // Label 17878: @1236853
     /* 1236853 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1236934), // Rule ID 5057 //
     /* 1236858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1236869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1236872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1236875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236933 */     // GIR_Coverage, 5057,
     /* 1236933 */     GIR_EraseRootFromParent_Done,
     /* 1236934 */   // Label 17879: @1236934
     /* 1236934 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237015), // Rule ID 5058 //
     /* 1236939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1236950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1236953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1236956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237014 */     // GIR_Coverage, 5058,
     /* 1237014 */     GIR_EraseRootFromParent_Done,
     /* 1237015 */   // Label 17880: @1237015
     /* 1237015 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237096), // Rule ID 5059 //
     /* 1237020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237095 */     // GIR_Coverage, 5059,
     /* 1237095 */     GIR_EraseRootFromParent_Done,
     /* 1237096 */   // Label 17881: @1237096
     /* 1237096 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237177), // Rule ID 5060 //
     /* 1237101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1237112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1237115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1237118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1237124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237176 */     // GIR_Coverage, 5060,
     /* 1237176 */     GIR_EraseRootFromParent_Done,
     /* 1237177 */   // Label 17882: @1237177
     /* 1237177 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237258), // Rule ID 5061 //
     /* 1237182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237257 */     // GIR_Coverage, 5061,
     /* 1237257 */     GIR_EraseRootFromParent_Done,
     /* 1237258 */   // Label 17883: @1237258
     /* 1237258 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237339), // Rule ID 5062 //
     /* 1237263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1237274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1237277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237338 */     // GIR_Coverage, 5062,
     /* 1237338 */     GIR_EraseRootFromParent_Done,
     /* 1237339 */   // Label 17884: @1237339
     /* 1237339 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237420), // Rule ID 5063 //
     /* 1237344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237419 */     // GIR_Coverage, 5063,
     /* 1237419 */     GIR_EraseRootFromParent_Done,
     /* 1237420 */   // Label 17885: @1237420
     /* 1237420 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237501), // Rule ID 5064 //
     /* 1237425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1237436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1237439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1237442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237500 */     // GIR_Coverage, 5064,
     /* 1237500 */     GIR_EraseRootFromParent_Done,
     /* 1237501 */   // Label 17886: @1237501
     /* 1237501 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237582), // Rule ID 5065 //
     /* 1237506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237559 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237581 */     // GIR_Coverage, 5065,
     /* 1237581 */     GIR_EraseRootFromParent_Done,
     /* 1237582 */   // Label 17887: @1237582
     /* 1237582 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237663), // Rule ID 5066 //
     /* 1237587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1237598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1237601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1237604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237662 */     // GIR_Coverage, 5066,
     /* 1237662 */     GIR_EraseRootFromParent_Done,
     /* 1237663 */   // Label 17888: @1237663
     /* 1237663 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237744), // Rule ID 5067 //
     /* 1237668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1237679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1237682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1237685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237743 */     // GIR_Coverage, 5067,
     /* 1237743 */     GIR_EraseRootFromParent_Done,
     /* 1237744 */   // Label 17889: @1237744
     /* 1237744 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237825), // Rule ID 5068 //
     /* 1237749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1237760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1237763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1237766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237824 */     // GIR_Coverage, 5068,
     /* 1237824 */     GIR_EraseRootFromParent_Done,
     /* 1237825 */   // Label 17890: @1237825
     /* 1237825 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1237906), // Rule ID 5069 //
     /* 1237830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1237841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1237844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1237847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237905 */     // GIR_Coverage, 5069,
     /* 1237905 */     GIR_EraseRootFromParent_Done,
     /* 1237906 */   // Label 17891: @1237906
     /* 1237906 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1237987), // Rule ID 5070 //
     /* 1237911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1237922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1237925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1237928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237986 */     // GIR_Coverage, 5070,
     /* 1237986 */     GIR_EraseRootFromParent_Done,
     /* 1237987 */   // Label 17892: @1237987
     /* 1237987 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238068), // Rule ID 5071 //
     /* 1237992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238067 */     // GIR_Coverage, 5071,
     /* 1238067 */     GIR_EraseRootFromParent_Done,
     /* 1238068 */   // Label 17893: @1238068
     /* 1238068 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238149), // Rule ID 5072 //
     /* 1238073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1238084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1238087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238148 */     // GIR_Coverage, 5072,
     /* 1238148 */     GIR_EraseRootFromParent_Done,
     /* 1238149 */   // Label 17894: @1238149
     /* 1238149 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238230), // Rule ID 5073 //
     /* 1238154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238207 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238229 */     // GIR_Coverage, 5073,
     /* 1238229 */     GIR_EraseRootFromParent_Done,
     /* 1238230 */   // Label 17895: @1238230
     /* 1238230 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238311), // Rule ID 5074 //
     /* 1238235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1238246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1238249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1238252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1238291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238310 */     // GIR_Coverage, 5074,
     /* 1238310 */     GIR_EraseRootFromParent_Done,
     /* 1238311 */   // Label 17896: @1238311
     /* 1238311 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238392), // Rule ID 5075 //
     /* 1238316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238391 */     // GIR_Coverage, 5075,
     /* 1238391 */     GIR_EraseRootFromParent_Done,
     /* 1238392 */   // Label 17897: @1238392
     /* 1238392 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238473), // Rule ID 5076 //
     /* 1238397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1238408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1238411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1238414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1238453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238472 */     // GIR_Coverage, 5076,
     /* 1238472 */     GIR_EraseRootFromParent_Done,
     /* 1238473 */   // Label 17898: @1238473
     /* 1238473 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238554), // Rule ID 5077 //
     /* 1238478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238553 */     // GIR_Coverage, 5077,
     /* 1238553 */     GIR_EraseRootFromParent_Done,
     /* 1238554 */   // Label 17899: @1238554
     /* 1238554 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238635), // Rule ID 5078 //
     /* 1238559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1238570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1238573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1238576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1238615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238634 */     // GIR_Coverage, 5078,
     /* 1238634 */     GIR_EraseRootFromParent_Done,
     /* 1238635 */   // Label 17900: @1238635
     /* 1238635 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238716), // Rule ID 5383 //
     /* 1238640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1238696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238715 */     // GIR_Coverage, 5383,
     /* 1238715 */     GIR_EraseRootFromParent_Done,
     /* 1238716 */   // Label 17901: @1238716
     /* 1238716 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238797), // Rule ID 5384 //
     /* 1238721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1238738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1238741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1238777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238796 */     // GIR_Coverage, 5384,
     /* 1238796 */     GIR_EraseRootFromParent_Done,
     /* 1238797 */   // Label 17902: @1238797
     /* 1238797 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238878), // Rule ID 5385 //
     /* 1238802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1238858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238877 */     // GIR_Coverage, 5385,
     /* 1238877 */     GIR_EraseRootFromParent_Done,
     /* 1238878 */   // Label 17903: @1238878
     /* 1238878 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1238959), // Rule ID 5386 //
     /* 1238883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1238894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1238897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1238900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1238903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1238939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238958 */     // GIR_Coverage, 5386,
     /* 1238958 */     GIR_EraseRootFromParent_Done,
     /* 1238959 */   // Label 17904: @1238959
     /* 1238959 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239040), // Rule ID 5387 //
     /* 1238964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1238975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1238978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1238981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1238984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239017 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239039 */     // GIR_Coverage, 5387,
     /* 1239039 */     GIR_EraseRootFromParent_Done,
     /* 1239040 */   // Label 17905: @1239040
     /* 1239040 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239121), // Rule ID 5388 //
     /* 1239045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1239062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1239065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239098 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239120 */     // GIR_Coverage, 5388,
     /* 1239120 */     GIR_EraseRootFromParent_Done,
     /* 1239121 */   // Label 17906: @1239121
     /* 1239121 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239202), // Rule ID 5389 //
     /* 1239126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239201 */     // GIR_Coverage, 5389,
     /* 1239201 */     GIR_EraseRootFromParent_Done,
     /* 1239202 */   // Label 17907: @1239202
     /* 1239202 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239283), // Rule ID 5390 //
     /* 1239207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1239218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1239221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1239227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1239263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239282 */     // GIR_Coverage, 5390,
     /* 1239282 */     GIR_EraseRootFromParent_Done,
     /* 1239283 */   // Label 17908: @1239283
     /* 1239283 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239364), // Rule ID 5391 //
     /* 1239288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239341 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239363 */     // GIR_Coverage, 5391,
     /* 1239363 */     GIR_EraseRootFromParent_Done,
     /* 1239364 */   // Label 17909: @1239364
     /* 1239364 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239445), // Rule ID 5392 //
     /* 1239369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1239380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1239383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1239389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239444 */     // GIR_Coverage, 5392,
     /* 1239444 */     GIR_EraseRootFromParent_Done,
     /* 1239445 */   // Label 17910: @1239445
     /* 1239445 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239526), // Rule ID 5393 //
     /* 1239450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239525 */     // GIR_Coverage, 5393,
     /* 1239525 */     GIR_EraseRootFromParent_Done,
     /* 1239526 */   // Label 17911: @1239526
     /* 1239526 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239607), // Rule ID 5394 //
     /* 1239531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1239542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1239545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1239551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1239587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239606 */     // GIR_Coverage, 5394,
     /* 1239606 */     GIR_EraseRootFromParent_Done,
     /* 1239607 */   // Label 17912: @1239607
     /* 1239607 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239688), // Rule ID 5395 //
     /* 1239612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239687 */     // GIR_Coverage, 5395,
     /* 1239687 */     GIR_EraseRootFromParent_Done,
     /* 1239688 */   // Label 17913: @1239688
     /* 1239688 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239769), // Rule ID 5396 //
     /* 1239693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1239710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1239713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239768 */     // GIR_Coverage, 5396,
     /* 1239768 */     GIR_EraseRootFromParent_Done,
     /* 1239769 */   // Label 17914: @1239769
     /* 1239769 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239850), // Rule ID 5397 //
     /* 1239774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239849 */     // GIR_Coverage, 5397,
     /* 1239849 */     GIR_EraseRootFromParent_Done,
     /* 1239850 */   // Label 17915: @1239850
     /* 1239850 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1239931), // Rule ID 5398 //
     /* 1239855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1239866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1239869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1239875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239930 */     // GIR_Coverage, 5398,
     /* 1239930 */     GIR_EraseRootFromParent_Done,
     /* 1239931 */   // Label 17916: @1239931
     /* 1239931 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240012), // Rule ID 5399 //
     /* 1239936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1239947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1239950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1239956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240011 */     // GIR_Coverage, 5399,
     /* 1240011 */     GIR_EraseRootFromParent_Done,
     /* 1240012 */   // Label 17917: @1240012
     /* 1240012 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240093), // Rule ID 5400 //
     /* 1240017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1240037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240092 */     // GIR_Coverage, 5400,
     /* 1240092 */     GIR_EraseRootFromParent_Done,
     /* 1240093 */   // Label 17918: @1240093
     /* 1240093 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240174), // Rule ID 5401 //
     /* 1240098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240151 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240173 */     // GIR_Coverage, 5401,
     /* 1240173 */     GIR_EraseRootFromParent_Done,
     /* 1240174 */   // Label 17919: @1240174
     /* 1240174 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240255), // Rule ID 5402 //
     /* 1240179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1240190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1240193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1240199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1240235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240254 */     // GIR_Coverage, 5402,
     /* 1240254 */     GIR_EraseRootFromParent_Done,
     /* 1240255 */   // Label 17920: @1240255
     /* 1240255 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240336), // Rule ID 5403 //
     /* 1240260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240313 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240335 */     // GIR_Coverage, 5403,
     /* 1240335 */     GIR_EraseRootFromParent_Done,
     /* 1240336 */   // Label 17921: @1240336
     /* 1240336 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240417), // Rule ID 5404 //
     /* 1240341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1240358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1240361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240416 */     // GIR_Coverage, 5404,
     /* 1240416 */     GIR_EraseRootFromParent_Done,
     /* 1240417 */   // Label 17922: @1240417
     /* 1240417 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240498), // Rule ID 5405 //
     /* 1240422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240497 */     // GIR_Coverage, 5405,
     /* 1240497 */     GIR_EraseRootFromParent_Done,
     /* 1240498 */   // Label 17923: @1240498
     /* 1240498 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240579), // Rule ID 5406 //
     /* 1240503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1240514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1240517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1240520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1240523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240578 */     // GIR_Coverage, 5406,
     /* 1240578 */     GIR_EraseRootFromParent_Done,
     /* 1240579 */   // Label 17924: @1240579
     /* 1240579 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240660), // Rule ID 5407 //
     /* 1240584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240659 */     // GIR_Coverage, 5407,
     /* 1240659 */     GIR_EraseRootFromParent_Done,
     /* 1240660 */   // Label 17925: @1240660
     /* 1240660 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240741), // Rule ID 5408 //
     /* 1240665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1240676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1240679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1240682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1240685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1240688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240740 */     // GIR_Coverage, 5408,
     /* 1240740 */     GIR_EraseRootFromParent_Done,
     /* 1240741 */   // Label 17926: @1240741
     /* 1240741 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240822), // Rule ID 5409 //
     /* 1240746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240821 */     // GIR_Coverage, 5409,
     /* 1240821 */     GIR_EraseRootFromParent_Done,
     /* 1240822 */   // Label 17927: @1240822
     /* 1240822 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1240903), // Rule ID 5410 //
     /* 1240827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1240847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240902 */     // GIR_Coverage, 5410,
     /* 1240902 */     GIR_EraseRootFromParent_Done,
     /* 1240903 */   // Label 17928: @1240903
     /* 1240903 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1240984), // Rule ID 5411 //
     /* 1240908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1240919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1240922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1240928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240983 */     // GIR_Coverage, 5411,
     /* 1240983 */     GIR_EraseRootFromParent_Done,
     /* 1240984 */   // Label 17929: @1240984
     /* 1240984 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241065), // Rule ID 5412 //
     /* 1240989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1241009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241064 */     // GIR_Coverage, 5412,
     /* 1241064 */     GIR_EraseRootFromParent_Done,
     /* 1241065 */   // Label 17930: @1241065
     /* 1241065 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241146), // Rule ID 5413 //
     /* 1241070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241123 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241145 */     // GIR_Coverage, 5413,
     /* 1241145 */     GIR_EraseRootFromParent_Done,
     /* 1241146 */   // Label 17931: @1241146
     /* 1241146 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241227), // Rule ID 5414 //
     /* 1241151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1241171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241226 */     // GIR_Coverage, 5414,
     /* 1241226 */     GIR_EraseRootFromParent_Done,
     /* 1241227 */   // Label 17932: @1241227
     /* 1241227 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241308), // Rule ID 5415 //
     /* 1241232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241307 */     // GIR_Coverage, 5415,
     /* 1241307 */     GIR_EraseRootFromParent_Done,
     /* 1241308 */   // Label 17933: @1241308
     /* 1241308 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241389), // Rule ID 5416 //
     /* 1241313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1241324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1241327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1241333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241388 */     // GIR_Coverage, 5416,
     /* 1241388 */     GIR_EraseRootFromParent_Done,
     /* 1241389 */   // Label 17934: @1241389
     /* 1241389 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241470), // Rule ID 5417 //
     /* 1241394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241469 */     // GIR_Coverage, 5417,
     /* 1241469 */     GIR_EraseRootFromParent_Done,
     /* 1241470 */   // Label 17935: @1241470
     /* 1241470 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241551), // Rule ID 5418 //
     /* 1241475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1241486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1241489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1241495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241550 */     // GIR_Coverage, 5418,
     /* 1241550 */     GIR_EraseRootFromParent_Done,
     /* 1241551 */   // Label 17936: @1241551
     /* 1241551 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241632), // Rule ID 5419 //
     /* 1241556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241609 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241631 */     // GIR_Coverage, 5419,
     /* 1241631 */     GIR_EraseRootFromParent_Done,
     /* 1241632 */   // Label 17937: @1241632
     /* 1241632 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241713), // Rule ID 5420 //
     /* 1241637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1241648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1241651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1241657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1241693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241712 */     // GIR_Coverage, 5420,
     /* 1241712 */     GIR_EraseRootFromParent_Done,
     /* 1241713 */   // Label 17938: @1241713
     /* 1241713 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241794), // Rule ID 5421 //
     /* 1241718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241793 */     // GIR_Coverage, 5421,
     /* 1241793 */     GIR_EraseRootFromParent_Done,
     /* 1241794 */   // Label 17939: @1241794
     /* 1241794 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241875), // Rule ID 5422 //
     /* 1241799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1241810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1241813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1241819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1241855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241874 */     // GIR_Coverage, 5422,
     /* 1241874 */     GIR_EraseRootFromParent_Done,
     /* 1241875 */   // Label 17940: @1241875
     /* 1241875 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1241956), // Rule ID 5423 //
     /* 1241880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1241936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241955 */     // GIR_Coverage, 5423,
     /* 1241955 */     GIR_EraseRootFromParent_Done,
     /* 1241956 */   // Label 17941: @1241956
     /* 1241956 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242037), // Rule ID 5424 //
     /* 1241961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1241972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1241975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1241981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1242017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242036 */     // GIR_Coverage, 5424,
     /* 1242036 */     GIR_EraseRootFromParent_Done,
     /* 1242037 */   // Label 17942: @1242037
     /* 1242037 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242118), // Rule ID 5425 //
     /* 1242042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242095 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242117 */     // GIR_Coverage, 5425,
     /* 1242117 */     GIR_EraseRootFromParent_Done,
     /* 1242118 */   // Label 17943: @1242118
     /* 1242118 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242199), // Rule ID 5426 //
     /* 1242123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1242134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1242137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1242140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1242143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1242179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242198 */     // GIR_Coverage, 5426,
     /* 1242198 */     GIR_EraseRootFromParent_Done,
     /* 1242199 */   // Label 17944: @1242199
     /* 1242199 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242280), // Rule ID 5427 //
     /* 1242204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242257 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242279 */     // GIR_Coverage, 5427,
     /* 1242279 */     GIR_EraseRootFromParent_Done,
     /* 1242280 */   // Label 17945: @1242280
     /* 1242280 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242361), // Rule ID 5428 //
     /* 1242285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1242341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242360 */     // GIR_Coverage, 5428,
     /* 1242360 */     GIR_EraseRootFromParent_Done,
     /* 1242361 */   // Label 17946: @1242361
     /* 1242361 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242442), // Rule ID 5429 //
     /* 1242366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242441 */     // GIR_Coverage, 5429,
     /* 1242441 */     GIR_EraseRootFromParent_Done,
     /* 1242442 */   // Label 17947: @1242442
     /* 1242442 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242523), // Rule ID 5430 //
     /* 1242447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1242458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1242461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1242464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242500 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242522 */     // GIR_Coverage, 5430,
     /* 1242522 */     GIR_EraseRootFromParent_Done,
     /* 1242523 */   // Label 17948: @1242523
     /* 1242523 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242604), // Rule ID 5431 //
     /* 1242528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242581 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242603 */     // GIR_Coverage, 5431,
     /* 1242603 */     GIR_EraseRootFromParent_Done,
     /* 1242604 */   // Label 17949: @1242604
     /* 1242604 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242685), // Rule ID 5432 //
     /* 1242609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1242620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1242623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1242626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242662 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242684 */     // GIR_Coverage, 5432,
     /* 1242684 */     GIR_EraseRootFromParent_Done,
     /* 1242685 */   // Label 17950: @1242685
     /* 1242685 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242766), // Rule ID 5433 //
     /* 1242690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242765 */     // GIR_Coverage, 5433,
     /* 1242765 */     GIR_EraseRootFromParent_Done,
     /* 1242766 */   // Label 17951: @1242766
     /* 1242766 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242847), // Rule ID 5434 //
     /* 1242771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1242782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1242785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1242827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242846 */     // GIR_Coverage, 5434,
     /* 1242846 */     GIR_EraseRootFromParent_Done,
     /* 1242847 */   // Label 17952: @1242847
     /* 1242847 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1242928), // Rule ID 5435 //
     /* 1242852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242927 */     // GIR_Coverage, 5435,
     /* 1242927 */     GIR_EraseRootFromParent_Done,
     /* 1242928 */   // Label 17953: @1242928
     /* 1242928 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243009), // Rule ID 5436 //
     /* 1242933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1242944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1242947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1242989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243008 */     // GIR_Coverage, 5436,
     /* 1243008 */     GIR_EraseRootFromParent_Done,
     /* 1243009 */   // Label 17954: @1243009
     /* 1243009 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243090), // Rule ID 5437 //
     /* 1243014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243089 */     // GIR_Coverage, 5437,
     /* 1243089 */     GIR_EraseRootFromParent_Done,
     /* 1243090 */   // Label 17955: @1243090
     /* 1243090 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243171), // Rule ID 5438 //
     /* 1243095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1243151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243170 */     // GIR_Coverage, 5438,
     /* 1243170 */     GIR_EraseRootFromParent_Done,
     /* 1243171 */   // Label 17956: @1243171
     /* 1243171 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243252), // Rule ID 5439 //
     /* 1243176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243251 */     // GIR_Coverage, 5439,
     /* 1243251 */     GIR_EraseRootFromParent_Done,
     /* 1243252 */   // Label 17957: @1243252
     /* 1243252 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243333), // Rule ID 5440 //
     /* 1243257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243332 */     // GIR_Coverage, 5440,
     /* 1243332 */     GIR_EraseRootFromParent_Done,
     /* 1243333 */   // Label 17958: @1243333
     /* 1243333 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243414), // Rule ID 5441 //
     /* 1243338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243413 */     // GIR_Coverage, 5441,
     /* 1243413 */     GIR_EraseRootFromParent_Done,
     /* 1243414 */   // Label 17959: @1243414
     /* 1243414 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243495), // Rule ID 5442 //
     /* 1243419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1243430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1243433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1243436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243494 */     // GIR_Coverage, 5442,
     /* 1243494 */     GIR_EraseRootFromParent_Done,
     /* 1243495 */   // Label 17960: @1243495
     /* 1243495 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243576), // Rule ID 5443 //
     /* 1243500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243575 */     // GIR_Coverage, 5443,
     /* 1243575 */     GIR_EraseRootFromParent_Done,
     /* 1243576 */   // Label 17961: @1243576
     /* 1243576 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243657), // Rule ID 5444 //
     /* 1243581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1243592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1243595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1243598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243656 */     // GIR_Coverage, 5444,
     /* 1243656 */     GIR_EraseRootFromParent_Done,
     /* 1243657 */   // Label 17962: @1243657
     /* 1243657 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243738), // Rule ID 5445 //
     /* 1243662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243737 */     // GIR_Coverage, 5445,
     /* 1243737 */     GIR_EraseRootFromParent_Done,
     /* 1243738 */   // Label 17963: @1243738
     /* 1243738 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243819), // Rule ID 5446 //
     /* 1243743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1243754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1243757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1243760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1243799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243818 */     // GIR_Coverage, 5446,
     /* 1243818 */     GIR_EraseRootFromParent_Done,
     /* 1243819 */   // Label 17964: @1243819
     /* 1243819 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1243900), // Rule ID 5447 //
     /* 1243824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243899 */     // GIR_Coverage, 5447,
     /* 1243899 */     GIR_EraseRootFromParent_Done,
     /* 1243900 */   // Label 17965: @1243900
     /* 1243900 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1243981), // Rule ID 5448 //
     /* 1243905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1243916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1243919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243980 */     // GIR_Coverage, 5448,
     /* 1243980 */     GIR_EraseRootFromParent_Done,
     /* 1243981 */   // Label 17966: @1243981
     /* 1243981 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244062), // Rule ID 5449 //
     /* 1243986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1243997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244061 */     // GIR_Coverage, 5449,
     /* 1244061 */     GIR_EraseRootFromParent_Done,
     /* 1244062 */   // Label 17967: @1244062
     /* 1244062 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244143), // Rule ID 5450 //
     /* 1244067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244142 */     // GIR_Coverage, 5450,
     /* 1244142 */     GIR_EraseRootFromParent_Done,
     /* 1244143 */   // Label 17968: @1244143
     /* 1244143 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244224), // Rule ID 5451 //
     /* 1244148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244201 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244223 */     // GIR_Coverage, 5451,
     /* 1244223 */     GIR_EraseRootFromParent_Done,
     /* 1244224 */   // Label 17969: @1244224
     /* 1244224 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244305), // Rule ID 5452 //
     /* 1244229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244304 */     // GIR_Coverage, 5452,
     /* 1244304 */     GIR_EraseRootFromParent_Done,
     /* 1244305 */   // Label 17970: @1244305
     /* 1244305 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244386), // Rule ID 5453 //
     /* 1244310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244385 */     // GIR_Coverage, 5453,
     /* 1244385 */     GIR_EraseRootFromParent_Done,
     /* 1244386 */   // Label 17971: @1244386
     /* 1244386 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244467), // Rule ID 5454 //
     /* 1244391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244466 */     // GIR_Coverage, 5454,
     /* 1244466 */     GIR_EraseRootFromParent_Done,
     /* 1244467 */   // Label 17972: @1244467
     /* 1244467 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244548), // Rule ID 5455 //
     /* 1244472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244547 */     // GIR_Coverage, 5455,
     /* 1244547 */     GIR_EraseRootFromParent_Done,
     /* 1244548 */   // Label 17973: @1244548
     /* 1244548 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244629), // Rule ID 5456 //
     /* 1244553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1244564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1244567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1244570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244606 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244628 */     // GIR_Coverage, 5456,
     /* 1244628 */     GIR_EraseRootFromParent_Done,
     /* 1244629 */   // Label 17974: @1244629
     /* 1244629 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244710), // Rule ID 5457 //
     /* 1244634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244687 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244709 */     // GIR_Coverage, 5457,
     /* 1244709 */     GIR_EraseRootFromParent_Done,
     /* 1244710 */   // Label 17975: @1244710
     /* 1244710 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244791), // Rule ID 5458 //
     /* 1244715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1244726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1244729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244790 */     // GIR_Coverage, 5458,
     /* 1244790 */     GIR_EraseRootFromParent_Done,
     /* 1244791 */   // Label 17976: @1244791
     /* 1244791 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244872), // Rule ID 5459 //
     /* 1244796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244871 */     // GIR_Coverage, 5459,
     /* 1244871 */     GIR_EraseRootFromParent_Done,
     /* 1244872 */   // Label 17977: @1244872
     /* 1244872 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1244953), // Rule ID 5460 //
     /* 1244877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1244888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1244891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244952 */     // GIR_Coverage, 5460,
     /* 1244952 */     GIR_EraseRootFromParent_Done,
     /* 1244953 */   // Label 17978: @1244953
     /* 1244953 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245034), // Rule ID 5461 //
     /* 1244958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1244969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1244972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1244975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245033 */     // GIR_Coverage, 5461,
     /* 1245033 */     GIR_EraseRootFromParent_Done,
     /* 1245034 */   // Label 17979: @1245034
     /* 1245034 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245115), // Rule ID 5462 //
     /* 1245039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245114 */     // GIR_Coverage, 5462,
     /* 1245114 */     GIR_EraseRootFromParent_Done,
     /* 1245115 */   // Label 17980: @1245115
     /* 1245115 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245196), // Rule ID 5463 //
     /* 1245120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245195 */     // GIR_Coverage, 5463,
     /* 1245195 */     GIR_EraseRootFromParent_Done,
     /* 1245196 */   // Label 17981: @1245196
     /* 1245196 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245277), // Rule ID 5464 //
     /* 1245201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245276 */     // GIR_Coverage, 5464,
     /* 1245276 */     GIR_EraseRootFromParent_Done,
     /* 1245277 */   // Label 17982: @1245277
     /* 1245277 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245358), // Rule ID 5465 //
     /* 1245282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245335 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245357 */     // GIR_Coverage, 5465,
     /* 1245357 */     GIR_EraseRootFromParent_Done,
     /* 1245358 */   // Label 17983: @1245358
     /* 1245358 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245439), // Rule ID 5466 //
     /* 1245363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1245419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245438 */     // GIR_Coverage, 5466,
     /* 1245438 */     GIR_EraseRootFromParent_Done,
     /* 1245439 */   // Label 17984: @1245439
     /* 1245439 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245520), // Rule ID 5467 //
     /* 1245444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245519 */     // GIR_Coverage, 5467,
     /* 1245519 */     GIR_EraseRootFromParent_Done,
     /* 1245520 */   // Label 17985: @1245520
     /* 1245520 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245601), // Rule ID 5468 //
     /* 1245525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1245536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1245539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1245542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1245581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245600 */     // GIR_Coverage, 5468,
     /* 1245600 */     GIR_EraseRootFromParent_Done,
     /* 1245601 */   // Label 17986: @1245601
     /* 1245601 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245682), // Rule ID 5469 //
     /* 1245606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245681 */     // GIR_Coverage, 5469,
     /* 1245681 */     GIR_EraseRootFromParent_Done,
     /* 1245682 */   // Label 17987: @1245682
     /* 1245682 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245763), // Rule ID 5470 //
     /* 1245687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1245698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1245701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1245743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245762 */     // GIR_Coverage, 5470,
     /* 1245762 */     GIR_EraseRootFromParent_Done,
     /* 1245763 */   // Label 17988: @1245763
     /* 1245763 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245847), // Rule ID 7681 //
     /* 1245768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245821 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1245824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245846 */     // GIR_Coverage, 7681,
     /* 1245846 */     GIR_EraseRootFromParent_Done,
     /* 1245847 */   // Label 17989: @1245847
     /* 1245847 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1245931), // Rule ID 7682 //
     /* 1245852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1245908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245930 */     // GIR_Coverage, 7682,
     /* 1245930 */     GIR_EraseRootFromParent_Done,
     /* 1245931 */   // Label 17990: @1245931
     /* 1245931 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246015), // Rule ID 7685 //
     /* 1245936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1245953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1245956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1245992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246014 */     // GIR_Coverage, 7685,
     /* 1246014 */     GIR_EraseRootFromParent_Done,
     /* 1246015 */   // Label 17991: @1246015
     /* 1246015 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246099), // Rule ID 7686 //
     /* 1246020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1246040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246098 */     // GIR_Coverage, 7686,
     /* 1246098 */     GIR_EraseRootFromParent_Done,
     /* 1246099 */   // Label 17992: @1246099
     /* 1246099 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246183), // Rule ID 7689 //
     /* 1246104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246182 */     // GIR_Coverage, 7689,
     /* 1246182 */     GIR_EraseRootFromParent_Done,
     /* 1246183 */   // Label 17993: @1246183
     /* 1246183 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246267), // Rule ID 7690 //
     /* 1246188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1246244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246266 */     // GIR_Coverage, 7690,
     /* 1246266 */     GIR_EraseRootFromParent_Done,
     /* 1246267 */   // Label 17994: @1246267
     /* 1246267 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246351), // Rule ID 7693 //
     /* 1246272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246350 */     // GIR_Coverage, 7693,
     /* 1246350 */     GIR_EraseRootFromParent_Done,
     /* 1246351 */   // Label 17995: @1246351
     /* 1246351 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246435), // Rule ID 7694 //
     /* 1246356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246434 */     // GIR_Coverage, 7694,
     /* 1246434 */     GIR_EraseRootFromParent_Done,
     /* 1246435 */   // Label 17996: @1246435
     /* 1246435 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246519), // Rule ID 7697 //
     /* 1246440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246493 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246518 */     // GIR_Coverage, 7697,
     /* 1246518 */     GIR_EraseRootFromParent_Done,
     /* 1246519 */   // Label 17997: @1246519
     /* 1246519 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246603), // Rule ID 7698 //
     /* 1246524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1246580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246602 */     // GIR_Coverage, 7698,
     /* 1246602 */     GIR_EraseRootFromParent_Done,
     /* 1246603 */   // Label 17998: @1246603
     /* 1246603 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246687), // Rule ID 7701 //
     /* 1246608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246686 */     // GIR_Coverage, 7701,
     /* 1246686 */     GIR_EraseRootFromParent_Done,
     /* 1246687 */   // Label 17999: @1246687
     /* 1246687 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246771), // Rule ID 7702 //
     /* 1246692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246770 */     // GIR_Coverage, 7702,
     /* 1246770 */     GIR_EraseRootFromParent_Done,
     /* 1246771 */   // Label 18000: @1246771
     /* 1246771 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246855), // Rule ID 7705 //
     /* 1246776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246854 */     // GIR_Coverage, 7705,
     /* 1246854 */     GIR_EraseRootFromParent_Done,
     /* 1246855 */   // Label 18001: @1246855
     /* 1246855 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1246939), // Rule ID 7706 //
     /* 1246860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246938 */     // GIR_Coverage, 7706,
     /* 1246938 */     GIR_EraseRootFromParent_Done,
     /* 1246939 */   // Label 18002: @1246939
     /* 1246939 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247023), // Rule ID 7709 //
     /* 1246944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1246961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1246964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247022 */     // GIR_Coverage, 7709,
     /* 1247022 */     GIR_EraseRootFromParent_Done,
     /* 1247023 */   // Label 18003: @1247023
     /* 1247023 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247107), // Rule ID 7710 //
     /* 1247028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247106 */     // GIR_Coverage, 7710,
     /* 1247106 */     GIR_EraseRootFromParent_Done,
     /* 1247107 */   // Label 18004: @1247107
     /* 1247107 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247191), // Rule ID 7713 //
     /* 1247112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247190 */     // GIR_Coverage, 7713,
     /* 1247190 */     GIR_EraseRootFromParent_Done,
     /* 1247191 */   // Label 18005: @1247191
     /* 1247191 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247275), // Rule ID 7714 //
     /* 1247196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1247252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247274 */     // GIR_Coverage, 7714,
     /* 1247274 */     GIR_EraseRootFromParent_Done,
     /* 1247275 */   // Label 18006: @1247275
     /* 1247275 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247359), // Rule ID 7717 //
     /* 1247280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247358 */     // GIR_Coverage, 7717,
     /* 1247358 */     GIR_EraseRootFromParent_Done,
     /* 1247359 */   // Label 18007: @1247359
     /* 1247359 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247443), // Rule ID 7718 //
     /* 1247364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247442 */     // GIR_Coverage, 7718,
     /* 1247442 */     GIR_EraseRootFromParent_Done,
     /* 1247443 */   // Label 18008: @1247443
     /* 1247443 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247527), // Rule ID 7721 //
     /* 1247448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247501 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247526 */     // GIR_Coverage, 7721,
     /* 1247526 */     GIR_EraseRootFromParent_Done,
     /* 1247527 */   // Label 18009: @1247527
     /* 1247527 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247611), // Rule ID 7722 //
     /* 1247532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247585 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247610 */     // GIR_Coverage, 7722,
     /* 1247610 */     GIR_EraseRootFromParent_Done,
     /* 1247611 */   // Label 18010: @1247611
     /* 1247611 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247695), // Rule ID 7725 //
     /* 1247616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247669 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247694 */     // GIR_Coverage, 7725,
     /* 1247694 */     GIR_EraseRootFromParent_Done,
     /* 1247695 */   // Label 18011: @1247695
     /* 1247695 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247779), // Rule ID 7726 //
     /* 1247700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247753 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247778 */     // GIR_Coverage, 7726,
     /* 1247778 */     GIR_EraseRootFromParent_Done,
     /* 1247779 */   // Label 18012: @1247779
     /* 1247779 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247863), // Rule ID 7729 //
     /* 1247784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247862 */     // GIR_Coverage, 7729,
     /* 1247862 */     GIR_EraseRootFromParent_Done,
     /* 1247863 */   // Label 18013: @1247863
     /* 1247863 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1247947), // Rule ID 7730 //
     /* 1247868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247946 */     // GIR_Coverage, 7730,
     /* 1247946 */     GIR_EraseRootFromParent_Done,
     /* 1247947 */   // Label 18014: @1247947
     /* 1247947 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248031), // Rule ID 7733 //
     /* 1247952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1247969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1247972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248005 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248030 */     // GIR_Coverage, 7733,
     /* 1248030 */     GIR_EraseRootFromParent_Done,
     /* 1248031 */   // Label 18015: @1248031
     /* 1248031 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248115), // Rule ID 7734 //
     /* 1248036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248114 */     // GIR_Coverage, 7734,
     /* 1248114 */     GIR_EraseRootFromParent_Done,
     /* 1248115 */   // Label 18016: @1248115
     /* 1248115 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248199), // Rule ID 7737 //
     /* 1248120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248173 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248198 */     // GIR_Coverage, 7737,
     /* 1248198 */     GIR_EraseRootFromParent_Done,
     /* 1248199 */   // Label 18017: @1248199
     /* 1248199 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248283), // Rule ID 7738 //
     /* 1248204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248282 */     // GIR_Coverage, 7738,
     /* 1248282 */     GIR_EraseRootFromParent_Done,
     /* 1248283 */   // Label 18018: @1248283
     /* 1248283 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248367), // Rule ID 7741 //
     /* 1248288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248366 */     // GIR_Coverage, 7741,
     /* 1248366 */     GIR_EraseRootFromParent_Done,
     /* 1248367 */   // Label 18019: @1248367
     /* 1248367 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248451), // Rule ID 7742 //
     /* 1248372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248450 */     // GIR_Coverage, 7742,
     /* 1248450 */     GIR_EraseRootFromParent_Done,
     /* 1248451 */   // Label 18020: @1248451
     /* 1248451 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248535), // Rule ID 7745 //
     /* 1248456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248534 */     // GIR_Coverage, 7745,
     /* 1248534 */     GIR_EraseRootFromParent_Done,
     /* 1248535 */   // Label 18021: @1248535
     /* 1248535 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248619), // Rule ID 7746 //
     /* 1248540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1248596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248618 */     // GIR_Coverage, 7746,
     /* 1248618 */     GIR_EraseRootFromParent_Done,
     /* 1248619 */   // Label 18022: @1248619
     /* 1248619 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248703), // Rule ID 7749 //
     /* 1248624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248702 */     // GIR_Coverage, 7749,
     /* 1248702 */     GIR_EraseRootFromParent_Done,
     /* 1248703 */   // Label 18023: @1248703
     /* 1248703 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248787), // Rule ID 7750 //
     /* 1248708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248786 */     // GIR_Coverage, 7750,
     /* 1248786 */     GIR_EraseRootFromParent_Done,
     /* 1248787 */   // Label 18024: @1248787
     /* 1248787 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248871), // Rule ID 7753 //
     /* 1248792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248845 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248870 */     // GIR_Coverage, 7753,
     /* 1248870 */     GIR_EraseRootFromParent_Done,
     /* 1248871 */   // Label 18025: @1248871
     /* 1248871 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1248955), // Rule ID 7754 //
     /* 1248876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248929 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1248932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248954 */     // GIR_Coverage, 7754,
     /* 1248954 */     GIR_EraseRootFromParent_Done,
     /* 1248955 */   // Label 18026: @1248955
     /* 1248955 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249039), // Rule ID 7757 //
     /* 1248960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1248977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1248980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249038 */     // GIR_Coverage, 7757,
     /* 1249038 */     GIR_EraseRootFromParent_Done,
     /* 1249039 */   // Label 18027: @1249039
     /* 1249039 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249123), // Rule ID 7758 //
     /* 1249044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1249100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249122 */     // GIR_Coverage, 7758,
     /* 1249122 */     GIR_EraseRootFromParent_Done,
     /* 1249123 */   // Label 18028: @1249123
     /* 1249123 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249207), // Rule ID 7761 //
     /* 1249128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249181 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249206 */     // GIR_Coverage, 7761,
     /* 1249206 */     GIR_EraseRootFromParent_Done,
     /* 1249207 */   // Label 18029: @1249207
     /* 1249207 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249291), // Rule ID 7762 //
     /* 1249212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1249268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249290 */     // GIR_Coverage, 7762,
     /* 1249290 */     GIR_EraseRootFromParent_Done,
     /* 1249291 */   // Label 18030: @1249291
     /* 1249291 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249375), // Rule ID 7765 //
     /* 1249296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249374 */     // GIR_Coverage, 7765,
     /* 1249374 */     GIR_EraseRootFromParent_Done,
     /* 1249375 */   // Label 18031: @1249375
     /* 1249375 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249459), // Rule ID 7766 //
     /* 1249380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1249436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249458 */     // GIR_Coverage, 7766,
     /* 1249458 */     GIR_EraseRootFromParent_Done,
     /* 1249459 */   // Label 18032: @1249459
     /* 1249459 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249543), // Rule ID 7769 //
     /* 1249464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249542 */     // GIR_Coverage, 7769,
     /* 1249542 */     GIR_EraseRootFromParent_Done,
     /* 1249543 */   // Label 18033: @1249543
     /* 1249543 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249627), // Rule ID 7770 //
     /* 1249548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249626 */     // GIR_Coverage, 7770,
     /* 1249626 */     GIR_EraseRootFromParent_Done,
     /* 1249627 */   // Label 18034: @1249627
     /* 1249627 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249711), // Rule ID 7773 //
     /* 1249632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249710 */     // GIR_Coverage, 7773,
     /* 1249710 */     GIR_EraseRootFromParent_Done,
     /* 1249711 */   // Label 18035: @1249711
     /* 1249711 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249795), // Rule ID 7774 //
     /* 1249716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1249733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249794 */     // GIR_Coverage, 7774,
     /* 1249794 */     GIR_EraseRootFromParent_Done,
     /* 1249795 */   // Label 18036: @1249795
     /* 1249795 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249879), // Rule ID 7777 //
     /* 1249800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249853 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249878 */     // GIR_Coverage, 7777,
     /* 1249878 */     GIR_EraseRootFromParent_Done,
     /* 1249879 */   // Label 18037: @1249879
     /* 1249879 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1249963), // Rule ID 7778 //
     /* 1249884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1249940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249962 */     // GIR_Coverage, 7778,
     /* 1249962 */     GIR_EraseRootFromParent_Done,
     /* 1249963 */   // Label 18038: @1249963
     /* 1249963 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250047), // Rule ID 7781 //
     /* 1249968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1249985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250021 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250046 */     // GIR_Coverage, 7781,
     /* 1250046 */     GIR_EraseRootFromParent_Done,
     /* 1250047 */   // Label 18039: @1250047
     /* 1250047 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250131), // Rule ID 7782 //
     /* 1250052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250105 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250130 */     // GIR_Coverage, 7782,
     /* 1250130 */     GIR_EraseRootFromParent_Done,
     /* 1250131 */   // Label 18040: @1250131
     /* 1250131 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250215), // Rule ID 7785 //
     /* 1250136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250214 */     // GIR_Coverage, 7785,
     /* 1250214 */     GIR_EraseRootFromParent_Done,
     /* 1250215 */   // Label 18041: @1250215
     /* 1250215 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250299), // Rule ID 7786 //
     /* 1250220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1250276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250298 */     // GIR_Coverage, 7786,
     /* 1250298 */     GIR_EraseRootFromParent_Done,
     /* 1250299 */   // Label 18042: @1250299
     /* 1250299 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250383), // Rule ID 7789 //
     /* 1250304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250382 */     // GIR_Coverage, 7789,
     /* 1250382 */     GIR_EraseRootFromParent_Done,
     /* 1250383 */   // Label 18043: @1250383
     /* 1250383 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250467), // Rule ID 7790 //
     /* 1250388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250441 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250466 */     // GIR_Coverage, 7790,
     /* 1250466 */     GIR_EraseRootFromParent_Done,
     /* 1250467 */   // Label 18044: @1250467
     /* 1250467 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250551), // Rule ID 7793 //
     /* 1250472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250550 */     // GIR_Coverage, 7793,
     /* 1250550 */     GIR_EraseRootFromParent_Done,
     /* 1250551 */   // Label 18045: @1250551
     /* 1250551 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250635), // Rule ID 7794 //
     /* 1250556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1250573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250634 */     // GIR_Coverage, 7794,
     /* 1250634 */     GIR_EraseRootFromParent_Done,
     /* 1250635 */   // Label 18046: @1250635
     /* 1250635 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250719), // Rule ID 7797 //
     /* 1250640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250718 */     // GIR_Coverage, 7797,
     /* 1250718 */     GIR_EraseRootFromParent_Done,
     /* 1250719 */   // Label 18047: @1250719
     /* 1250719 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250803), // Rule ID 7798 //
     /* 1250724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1250741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250802 */     // GIR_Coverage, 7798,
     /* 1250802 */     GIR_EraseRootFromParent_Done,
     /* 1250803 */   // Label 18048: @1250803
     /* 1250803 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250887), // Rule ID 7801 //
     /* 1250808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250886 */     // GIR_Coverage, 7801,
     /* 1250886 */     GIR_EraseRootFromParent_Done,
     /* 1250887 */   // Label 18049: @1250887
     /* 1250887 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1250971), // Rule ID 7802 //
     /* 1250892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250945 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1250948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250970 */     // GIR_Coverage, 7802,
     /* 1250970 */     GIR_EraseRootFromParent_Done,
     /* 1250971 */   // Label 18050: @1250971
     /* 1250971 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251055), // Rule ID 7805 //
     /* 1250976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1250993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251054 */     // GIR_Coverage, 7805,
     /* 1251054 */     GIR_EraseRootFromParent_Done,
     /* 1251055 */   // Label 18051: @1251055
     /* 1251055 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251139), // Rule ID 7806 //
     /* 1251060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251138 */     // GIR_Coverage, 7806,
     /* 1251138 */     GIR_EraseRootFromParent_Done,
     /* 1251139 */   // Label 18052: @1251139
     /* 1251139 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251223), // Rule ID 7809 //
     /* 1251144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251197 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251222 */     // GIR_Coverage, 7809,
     /* 1251222 */     GIR_EraseRootFromParent_Done,
     /* 1251223 */   // Label 18053: @1251223
     /* 1251223 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251307), // Rule ID 7810 //
     /* 1251228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251306 */     // GIR_Coverage, 7810,
     /* 1251306 */     GIR_EraseRootFromParent_Done,
     /* 1251307 */   // Label 18054: @1251307
     /* 1251307 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251391), // Rule ID 7813 //
     /* 1251312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251365 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251390 */     // GIR_Coverage, 7813,
     /* 1251390 */     GIR_EraseRootFromParent_Done,
     /* 1251391 */   // Label 18055: @1251391
     /* 1251391 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251475), // Rule ID 7814 //
     /* 1251396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1251407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1251410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251449 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251474 */     // GIR_Coverage, 7814,
     /* 1251474 */     GIR_EraseRootFromParent_Done,
     /* 1251475 */   // Label 18056: @1251475
     /* 1251475 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251559), // Rule ID 7817 //
     /* 1251480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251558 */     // GIR_Coverage, 7817,
     /* 1251558 */     GIR_EraseRootFromParent_Done,
     /* 1251559 */   // Label 18057: @1251559
     /* 1251559 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251643), // Rule ID 7818 //
     /* 1251564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1251581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251642 */     // GIR_Coverage, 7818,
     /* 1251642 */     GIR_EraseRootFromParent_Done,
     /* 1251643 */   // Label 18058: @1251643
     /* 1251643 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251727), // Rule ID 7821 //
     /* 1251648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251701 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251726 */     // GIR_Coverage, 7821,
     /* 1251726 */     GIR_EraseRootFromParent_Done,
     /* 1251727 */   // Label 18059: @1251727
     /* 1251727 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251811), // Rule ID 7822 //
     /* 1251732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1251749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251785 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251810 */     // GIR_Coverage, 7822,
     /* 1251810 */     GIR_EraseRootFromParent_Done,
     /* 1251811 */   // Label 18060: @1251811
     /* 1251811 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251895), // Rule ID 7825 //
     /* 1251816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251869 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251894 */     // GIR_Coverage, 7825,
     /* 1251894 */     GIR_EraseRootFromParent_Done,
     /* 1251895 */   // Label 18061: @1251895
     /* 1251895 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1251979), // Rule ID 7826 //
     /* 1251900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1251917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251953 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251978 */     // GIR_Coverage, 7826,
     /* 1251978 */     GIR_EraseRootFromParent_Done,
     /* 1251979 */   // Label 18062: @1251979
     /* 1251979 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252063), // Rule ID 7829 //
     /* 1251984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252037 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252062 */     // GIR_Coverage, 7829,
     /* 1252062 */     GIR_EraseRootFromParent_Done,
     /* 1252063 */   // Label 18063: @1252063
     /* 1252063 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252147), // Rule ID 7830 //
     /* 1252068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252146 */     // GIR_Coverage, 7830,
     /* 1252146 */     GIR_EraseRootFromParent_Done,
     /* 1252147 */   // Label 18064: @1252147
     /* 1252147 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252231), // Rule ID 7833 //
     /* 1252152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252205 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252230 */     // GIR_Coverage, 7833,
     /* 1252230 */     GIR_EraseRootFromParent_Done,
     /* 1252231 */   // Label 18065: @1252231
     /* 1252231 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252315), // Rule ID 7834 //
     /* 1252236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252314 */     // GIR_Coverage, 7834,
     /* 1252314 */     GIR_EraseRootFromParent_Done,
     /* 1252315 */   // Label 18066: @1252315
     /* 1252315 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252399), // Rule ID 7837 //
     /* 1252320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252373 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252398 */     // GIR_Coverage, 7837,
     /* 1252398 */     GIR_EraseRootFromParent_Done,
     /* 1252399 */   // Label 18067: @1252399
     /* 1252399 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252483), // Rule ID 7838 //
     /* 1252404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252482 */     // GIR_Coverage, 7838,
     /* 1252482 */     GIR_EraseRootFromParent_Done,
     /* 1252483 */   // Label 18068: @1252483
     /* 1252483 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252567), // Rule ID 7841 //
     /* 1252488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252566 */     // GIR_Coverage, 7841,
     /* 1252566 */     GIR_EraseRootFromParent_Done,
     /* 1252567 */   // Label 18069: @1252567
     /* 1252567 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252651), // Rule ID 7842 //
     /* 1252572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1252589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1252628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252650 */     // GIR_Coverage, 7842,
     /* 1252650 */     GIR_EraseRootFromParent_Done,
     /* 1252651 */   // Label 18070: @1252651
     /* 1252651 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252735), // Rule ID 7845 //
     /* 1252656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252734 */     // GIR_Coverage, 7845,
     /* 1252734 */     GIR_EraseRootFromParent_Done,
     /* 1252735 */   // Label 18071: @1252735
     /* 1252735 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252819), // Rule ID 7846 //
     /* 1252740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1252757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1252796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252818 */     // GIR_Coverage, 7846,
     /* 1252818 */     GIR_EraseRootFromParent_Done,
     /* 1252819 */   // Label 18072: @1252819
     /* 1252819 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1252903), // Rule ID 7849 //
     /* 1252824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252902 */     // GIR_Coverage, 7849,
     /* 1252902 */     GIR_EraseRootFromParent_Done,
     /* 1252903 */   // Label 18073: @1252903
     /* 1252903 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1252987), // Rule ID 7850 //
     /* 1252908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1252925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252961 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1252964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252986 */     // GIR_Coverage, 7850,
     /* 1252986 */     GIR_EraseRootFromParent_Done,
     /* 1252987 */   // Label 18074: @1252987
     /* 1252987 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253071), // Rule ID 7941 //
     /* 1252992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253045 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253070 */     // GIR_Coverage, 7941,
     /* 1253070 */     GIR_EraseRootFromParent_Done,
     /* 1253071 */   // Label 18075: @1253071
     /* 1253071 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253155), // Rule ID 7942 //
     /* 1253076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1253096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1253132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253154 */     // GIR_Coverage, 7942,
     /* 1253154 */     GIR_EraseRootFromParent_Done,
     /* 1253155 */   // Label 18076: @1253155
     /* 1253155 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253239), // Rule ID 7945 //
     /* 1253160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253238 */     // GIR_Coverage, 7945,
     /* 1253238 */     GIR_EraseRootFromParent_Done,
     /* 1253239 */   // Label 18077: @1253239
     /* 1253239 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253323), // Rule ID 7946 //
     /* 1253244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1253264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253322 */     // GIR_Coverage, 7946,
     /* 1253322 */     GIR_EraseRootFromParent_Done,
     /* 1253323 */   // Label 18078: @1253323
     /* 1253323 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253407), // Rule ID 7949 //
     /* 1253328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253406 */     // GIR_Coverage, 7949,
     /* 1253406 */     GIR_EraseRootFromParent_Done,
     /* 1253407 */   // Label 18079: @1253407
     /* 1253407 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253491), // Rule ID 7950 //
     /* 1253412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1253432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253490 */     // GIR_Coverage, 7950,
     /* 1253490 */     GIR_EraseRootFromParent_Done,
     /* 1253491 */   // Label 18080: @1253491
     /* 1253491 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253575), // Rule ID 7953 //
     /* 1253496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253574 */     // GIR_Coverage, 7953,
     /* 1253574 */     GIR_EraseRootFromParent_Done,
     /* 1253575 */   // Label 18081: @1253575
     /* 1253575 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253659), // Rule ID 7954 //
     /* 1253580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1253597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1253600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1253636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253658 */     // GIR_Coverage, 7954,
     /* 1253658 */     GIR_EraseRootFromParent_Done,
     /* 1253659 */   // Label 18082: @1253659
     /* 1253659 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253743), // Rule ID 7957 //
     /* 1253664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253742 */     // GIR_Coverage, 7957,
     /* 1253742 */     GIR_EraseRootFromParent_Done,
     /* 1253743 */   // Label 18083: @1253743
     /* 1253743 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253827), // Rule ID 7958 //
     /* 1253748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1253765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1253768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253826 */     // GIR_Coverage, 7958,
     /* 1253826 */     GIR_EraseRootFromParent_Done,
     /* 1253827 */   // Label 18084: @1253827
     /* 1253827 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1253911), // Rule ID 7961 //
     /* 1253832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253885 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253910 */     // GIR_Coverage, 7961,
     /* 1253910 */     GIR_EraseRootFromParent_Done,
     /* 1253911 */   // Label 18085: @1253911
     /* 1253911 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1253995), // Rule ID 7962 //
     /* 1253916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1253933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1253936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253969 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1253972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253994 */     // GIR_Coverage, 7962,
     /* 1253994 */     GIR_EraseRootFromParent_Done,
     /* 1253995 */   // Label 18086: @1253995
     /* 1253995 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254079), // Rule ID 7965 //
     /* 1254000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254078 */     // GIR_Coverage, 7965,
     /* 1254078 */     GIR_EraseRootFromParent_Done,
     /* 1254079 */   // Label 18087: @1254079
     /* 1254079 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254163), // Rule ID 7966 //
     /* 1254084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1254104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254137 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254162 */     // GIR_Coverage, 7966,
     /* 1254162 */     GIR_EraseRootFromParent_Done,
     /* 1254163 */   // Label 18088: @1254163
     /* 1254163 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254247), // Rule ID 7969 //
     /* 1254168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254221 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254246 */     // GIR_Coverage, 7969,
     /* 1254246 */     GIR_EraseRootFromParent_Done,
     /* 1254247 */   // Label 18089: @1254247
     /* 1254247 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254331), // Rule ID 7970 //
     /* 1254252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1254272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254330 */     // GIR_Coverage, 7970,
     /* 1254330 */     GIR_EraseRootFromParent_Done,
     /* 1254331 */   // Label 18090: @1254331
     /* 1254331 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254415), // Rule ID 7973 //
     /* 1254336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254414 */     // GIR_Coverage, 7973,
     /* 1254414 */     GIR_EraseRootFromParent_Done,
     /* 1254415 */   // Label 18091: @1254415
     /* 1254415 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254499), // Rule ID 7974 //
     /* 1254420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1254440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254498 */     // GIR_Coverage, 7974,
     /* 1254498 */     GIR_EraseRootFromParent_Done,
     /* 1254499 */   // Label 18092: @1254499
     /* 1254499 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254583), // Rule ID 7977 //
     /* 1254504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254582 */     // GIR_Coverage, 7977,
     /* 1254582 */     GIR_EraseRootFromParent_Done,
     /* 1254583 */   // Label 18093: @1254583
     /* 1254583 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254667), // Rule ID 7978 //
     /* 1254588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1254605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1254608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254641 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1254644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254666 */     // GIR_Coverage, 7978,
     /* 1254666 */     GIR_EraseRootFromParent_Done,
     /* 1254667 */   // Label 18094: @1254667
     /* 1254667 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254751), // Rule ID 7981 //
     /* 1254672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254750 */     // GIR_Coverage, 7981,
     /* 1254750 */     GIR_EraseRootFromParent_Done,
     /* 1254751 */   // Label 18095: @1254751
     /* 1254751 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254835), // Rule ID 7982 //
     /* 1254756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1254773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1254776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254809 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254834 */     // GIR_Coverage, 7982,
     /* 1254834 */     GIR_EraseRootFromParent_Done,
     /* 1254835 */   // Label 18096: @1254835
     /* 1254835 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1254919), // Rule ID 7985 //
     /* 1254840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254893 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254918 */     // GIR_Coverage, 7985,
     /* 1254918 */     GIR_EraseRootFromParent_Done,
     /* 1254919 */   // Label 18097: @1254919
     /* 1254919 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255003), // Rule ID 7986 //
     /* 1254924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1254941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1254944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254977 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255002 */     // GIR_Coverage, 7986,
     /* 1255002 */     GIR_EraseRootFromParent_Done,
     /* 1255003 */   // Label 18098: @1255003
     /* 1255003 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255087), // Rule ID 7989 //
     /* 1255008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255061 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255086 */     // GIR_Coverage, 7989,
     /* 1255086 */     GIR_EraseRootFromParent_Done,
     /* 1255087 */   // Label 18099: @1255087
     /* 1255087 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255171), // Rule ID 7990 //
     /* 1255092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1255112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255145 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255170 */     // GIR_Coverage, 7990,
     /* 1255170 */     GIR_EraseRootFromParent_Done,
     /* 1255171 */   // Label 18100: @1255171
     /* 1255171 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255255), // Rule ID 7993 //
     /* 1255176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255254 */     // GIR_Coverage, 7993,
     /* 1255254 */     GIR_EraseRootFromParent_Done,
     /* 1255255 */   // Label 18101: @1255255
     /* 1255255 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255339), // Rule ID 7994 //
     /* 1255260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1255280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255338 */     // GIR_Coverage, 7994,
     /* 1255338 */     GIR_EraseRootFromParent_Done,
     /* 1255339 */   // Label 18102: @1255339
     /* 1255339 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255423), // Rule ID 7997 //
     /* 1255344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255422 */     // GIR_Coverage, 7997,
     /* 1255422 */     GIR_EraseRootFromParent_Done,
     /* 1255423 */   // Label 18103: @1255423
     /* 1255423 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255507), // Rule ID 7998 //
     /* 1255428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1255448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255481 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255506 */     // GIR_Coverage, 7998,
     /* 1255506 */     GIR_EraseRootFromParent_Done,
     /* 1255507 */   // Label 18104: @1255507
     /* 1255507 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255591), // Rule ID 8001 //
     /* 1255512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255565 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255590 */     // GIR_Coverage, 8001,
     /* 1255590 */     GIR_EraseRootFromParent_Done,
     /* 1255591 */   // Label 18105: @1255591
     /* 1255591 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255675), // Rule ID 8002 //
     /* 1255596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1255613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1255616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255674 */     // GIR_Coverage, 8002,
     /* 1255674 */     GIR_EraseRootFromParent_Done,
     /* 1255675 */   // Label 18106: @1255675
     /* 1255675 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255759), // Rule ID 8005 //
     /* 1255680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255758 */     // GIR_Coverage, 8005,
     /* 1255758 */     GIR_EraseRootFromParent_Done,
     /* 1255759 */   // Label 18107: @1255759
     /* 1255759 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255843), // Rule ID 8006 //
     /* 1255764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1255781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1255784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255817 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255842 */     // GIR_Coverage, 8006,
     /* 1255842 */     GIR_EraseRootFromParent_Done,
     /* 1255843 */   // Label 18108: @1255843
     /* 1255843 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1255927), // Rule ID 8009 //
     /* 1255848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255926 */     // GIR_Coverage, 8009,
     /* 1255926 */     GIR_EraseRootFromParent_Done,
     /* 1255927 */   // Label 18109: @1255927
     /* 1255927 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256011), // Rule ID 8010 //
     /* 1255932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1255952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255985 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256010 */     // GIR_Coverage, 8010,
     /* 1256010 */     GIR_EraseRootFromParent_Done,
     /* 1256011 */   // Label 18110: @1256011
     /* 1256011 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256095), // Rule ID 8013 //
     /* 1256016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256094 */     // GIR_Coverage, 8013,
     /* 1256094 */     GIR_EraseRootFromParent_Done,
     /* 1256095 */   // Label 18111: @1256095
     /* 1256095 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256179), // Rule ID 8014 //
     /* 1256100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1256120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256153 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256178 */     // GIR_Coverage, 8014,
     /* 1256178 */     GIR_EraseRootFromParent_Done,
     /* 1256179 */   // Label 18112: @1256179
     /* 1256179 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256263), // Rule ID 8017 //
     /* 1256184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256262 */     // GIR_Coverage, 8017,
     /* 1256262 */     GIR_EraseRootFromParent_Done,
     /* 1256263 */   // Label 18113: @1256263
     /* 1256263 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256347), // Rule ID 8018 //
     /* 1256268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1256288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1256324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256346 */     // GIR_Coverage, 8018,
     /* 1256346 */     GIR_EraseRootFromParent_Done,
     /* 1256347 */   // Label 18114: @1256347
     /* 1256347 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256431), // Rule ID 8021 //
     /* 1256352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256405 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256430 */     // GIR_Coverage, 8021,
     /* 1256430 */     GIR_EraseRootFromParent_Done,
     /* 1256431 */   // Label 18115: @1256431
     /* 1256431 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256515), // Rule ID 8022 //
     /* 1256436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1256456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1256492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256514 */     // GIR_Coverage, 8022,
     /* 1256514 */     GIR_EraseRootFromParent_Done,
     /* 1256515 */   // Label 18116: @1256515
     /* 1256515 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256599), // Rule ID 8025 //
     /* 1256520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256598 */     // GIR_Coverage, 8025,
     /* 1256598 */     GIR_EraseRootFromParent_Done,
     /* 1256599 */   // Label 18117: @1256599
     /* 1256599 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256683), // Rule ID 8026 //
     /* 1256604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1256660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256682 */     // GIR_Coverage, 8026,
     /* 1256682 */     GIR_EraseRootFromParent_Done,
     /* 1256683 */   // Label 18118: @1256683
     /* 1256683 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256767), // Rule ID 8029 //
     /* 1256688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1256744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256766 */     // GIR_Coverage, 8029,
     /* 1256766 */     GIR_EraseRootFromParent_Done,
     /* 1256767 */   // Label 18119: @1256767
     /* 1256767 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256851), // Rule ID 8030 //
     /* 1256772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1256789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1256828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256850 */     // GIR_Coverage, 8030,
     /* 1256850 */     GIR_EraseRootFromParent_Done,
     /* 1256851 */   // Label 18120: @1256851
     /* 1256851 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1256935), // Rule ID 8033 //
     /* 1256856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1256912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256934 */     // GIR_Coverage, 8033,
     /* 1256934 */     GIR_EraseRootFromParent_Done,
     /* 1256935 */   // Label 18121: @1256935
     /* 1256935 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257019), // Rule ID 8034 //
     /* 1256940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256993 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1256996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257018 */     // GIR_Coverage, 8034,
     /* 1257018 */     GIR_EraseRootFromParent_Done,
     /* 1257019 */   // Label 18122: @1257019
     /* 1257019 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257103), // Rule ID 8037 //
     /* 1257024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257077 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257102 */     // GIR_Coverage, 8037,
     /* 1257102 */     GIR_EraseRootFromParent_Done,
     /* 1257103 */   // Label 18123: @1257103
     /* 1257103 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257187), // Rule ID 8038 //
     /* 1257108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257161 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257186 */     // GIR_Coverage, 8038,
     /* 1257186 */     GIR_EraseRootFromParent_Done,
     /* 1257187 */   // Label 18124: @1257187
     /* 1257187 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257271), // Rule ID 8041 //
     /* 1257192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257245 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257270 */     // GIR_Coverage, 8041,
     /* 1257270 */     GIR_EraseRootFromParent_Done,
     /* 1257271 */   // Label 18125: @1257271
     /* 1257271 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257355), // Rule ID 8042 //
     /* 1257276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257329 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1257332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257354 */     // GIR_Coverage, 8042,
     /* 1257354 */     GIR_EraseRootFromParent_Done,
     /* 1257355 */   // Label 18126: @1257355
     /* 1257355 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257439), // Rule ID 8045 //
     /* 1257360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257438 */     // GIR_Coverage, 8045,
     /* 1257438 */     GIR_EraseRootFromParent_Done,
     /* 1257439 */   // Label 18127: @1257439
     /* 1257439 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257523), // Rule ID 8046 //
     /* 1257444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257522 */     // GIR_Coverage, 8046,
     /* 1257522 */     GIR_EraseRootFromParent_Done,
     /* 1257523 */   // Label 18128: @1257523
     /* 1257523 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257607), // Rule ID 8049 //
     /* 1257528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257606 */     // GIR_Coverage, 8049,
     /* 1257606 */     GIR_EraseRootFromParent_Done,
     /* 1257607 */   // Label 18129: @1257607
     /* 1257607 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257691), // Rule ID 8050 //
     /* 1257612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1257668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257690 */     // GIR_Coverage, 8050,
     /* 1257690 */     GIR_EraseRootFromParent_Done,
     /* 1257691 */   // Label 18130: @1257691
     /* 1257691 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257775), // Rule ID 8053 //
     /* 1257696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257774 */     // GIR_Coverage, 8053,
     /* 1257774 */     GIR_EraseRootFromParent_Done,
     /* 1257775 */   // Label 18131: @1257775
     /* 1257775 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257859), // Rule ID 8054 //
     /* 1257780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257858 */     // GIR_Coverage, 8054,
     /* 1257858 */     GIR_EraseRootFromParent_Done,
     /* 1257859 */   // Label 18132: @1257859
     /* 1257859 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1257943), // Rule ID 8057 //
     /* 1257864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257917 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257942 */     // GIR_Coverage, 8057,
     /* 1257942 */     GIR_EraseRootFromParent_Done,
     /* 1257943 */   // Label 18133: @1257943
     /* 1257943 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258027), // Rule ID 8058 //
     /* 1257948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258026 */     // GIR_Coverage, 8058,
     /* 1258026 */     GIR_EraseRootFromParent_Done,
     /* 1258027 */   // Label 18134: @1258027
     /* 1258027 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258111), // Rule ID 8061 //
     /* 1258032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258110 */     // GIR_Coverage, 8061,
     /* 1258110 */     GIR_EraseRootFromParent_Done,
     /* 1258111 */   // Label 18135: @1258111
     /* 1258111 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258195), // Rule ID 8062 //
     /* 1258116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258194 */     // GIR_Coverage, 8062,
     /* 1258194 */     GIR_EraseRootFromParent_Done,
     /* 1258195 */   // Label 18136: @1258195
     /* 1258195 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258279), // Rule ID 8065 //
     /* 1258200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258278 */     // GIR_Coverage, 8065,
     /* 1258278 */     GIR_EraseRootFromParent_Done,
     /* 1258279 */   // Label 18137: @1258279
     /* 1258279 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258363), // Rule ID 8066 //
     /* 1258284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258337 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1258340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258362 */     // GIR_Coverage, 8066,
     /* 1258362 */     GIR_EraseRootFromParent_Done,
     /* 1258363 */   // Label 18138: @1258363
     /* 1258363 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258447), // Rule ID 8069 //
     /* 1258368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258446 */     // GIR_Coverage, 8069,
     /* 1258446 */     GIR_EraseRootFromParent_Done,
     /* 1258447 */   // Label 18139: @1258447
     /* 1258447 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258531), // Rule ID 8070 //
     /* 1258452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258530 */     // GIR_Coverage, 8070,
     /* 1258530 */     GIR_EraseRootFromParent_Done,
     /* 1258531 */   // Label 18140: @1258531
     /* 1258531 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258615), // Rule ID 8073 //
     /* 1258536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258589 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258614 */     // GIR_Coverage, 8073,
     /* 1258614 */     GIR_EraseRootFromParent_Done,
     /* 1258615 */   // Label 18141: @1258615
     /* 1258615 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258699), // Rule ID 8074 //
     /* 1258620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258673 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258698 */     // GIR_Coverage, 8074,
     /* 1258698 */     GIR_EraseRootFromParent_Done,
     /* 1258699 */   // Label 18142: @1258699
     /* 1258699 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258783), // Rule ID 8077 //
     /* 1258704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258757 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258782 */     // GIR_Coverage, 8077,
     /* 1258782 */     GIR_EraseRootFromParent_Done,
     /* 1258783 */   // Label 18143: @1258783
     /* 1258783 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258867), // Rule ID 8078 //
     /* 1258788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258841 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258866 */     // GIR_Coverage, 8078,
     /* 1258866 */     GIR_EraseRootFromParent_Done,
     /* 1258867 */   // Label 18144: @1258867
     /* 1258867 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1258951), // Rule ID 8081 //
     /* 1258872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258950 */     // GIR_Coverage, 8081,
     /* 1258950 */     GIR_EraseRootFromParent_Done,
     /* 1258951 */   // Label 18145: @1258951
     /* 1258951 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259035), // Rule ID 8082 //
     /* 1258956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259034 */     // GIR_Coverage, 8082,
     /* 1259034 */     GIR_EraseRootFromParent_Done,
     /* 1259035 */   // Label 18146: @1259035
     /* 1259035 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259119), // Rule ID 8085 //
     /* 1259040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259093 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259118 */     // GIR_Coverage, 8085,
     /* 1259118 */     GIR_EraseRootFromParent_Done,
     /* 1259119 */   // Label 18147: @1259119
     /* 1259119 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259203), // Rule ID 8086 //
     /* 1259124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259202 */     // GIR_Coverage, 8086,
     /* 1259202 */     GIR_EraseRootFromParent_Done,
     /* 1259203 */   // Label 18148: @1259203
     /* 1259203 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259287), // Rule ID 8089 //
     /* 1259208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259261 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259286 */     // GIR_Coverage, 8089,
     /* 1259286 */     GIR_EraseRootFromParent_Done,
     /* 1259287 */   // Label 18149: @1259287
     /* 1259287 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259371), // Rule ID 8090 //
     /* 1259292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259345 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259370 */     // GIR_Coverage, 8090,
     /* 1259370 */     GIR_EraseRootFromParent_Done,
     /* 1259371 */   // Label 18150: @1259371
     /* 1259371 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259455), // Rule ID 8093 //
     /* 1259376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259454 */     // GIR_Coverage, 8093,
     /* 1259454 */     GIR_EraseRootFromParent_Done,
     /* 1259455 */   // Label 18151: @1259455
     /* 1259455 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259539), // Rule ID 8094 //
     /* 1259460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259513 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259538 */     // GIR_Coverage, 8094,
     /* 1259538 */     GIR_EraseRootFromParent_Done,
     /* 1259539 */   // Label 18152: @1259539
     /* 1259539 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259623), // Rule ID 8097 //
     /* 1259544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259622 */     // GIR_Coverage, 8097,
     /* 1259622 */     GIR_EraseRootFromParent_Done,
     /* 1259623 */   // Label 18153: @1259623
     /* 1259623 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259707), // Rule ID 8098 //
     /* 1259628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1259684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259706 */     // GIR_Coverage, 8098,
     /* 1259706 */     GIR_EraseRootFromParent_Done,
     /* 1259707 */   // Label 18154: @1259707
     /* 1259707 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259791), // Rule ID 8101 //
     /* 1259712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259765 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259790 */     // GIR_Coverage, 8101,
     /* 1259790 */     GIR_EraseRootFromParent_Done,
     /* 1259791 */   // Label 18155: @1259791
     /* 1259791 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259875), // Rule ID 8102 //
     /* 1259796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259849 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259874 */     // GIR_Coverage, 8102,
     /* 1259874 */     GIR_EraseRootFromParent_Done,
     /* 1259875 */   // Label 18156: @1259875
     /* 1259875 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1259959), // Rule ID 8105 //
     /* 1259880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1259936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259958 */     // GIR_Coverage, 8105,
     /* 1259958 */     GIR_EraseRootFromParent_Done,
     /* 1259959 */   // Label 18157: @1259959
     /* 1259959 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260043), // Rule ID 8106 //
     /* 1259964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1260020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260042 */     // GIR_Coverage, 8106,
     /* 1260042 */     GIR_EraseRootFromParent_Done,
     /* 1260043 */   // Label 18158: @1260043
     /* 1260043 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260127), // Rule ID 8109 //
     /* 1260048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260126 */     // GIR_Coverage, 8109,
     /* 1260126 */     GIR_EraseRootFromParent_Done,
     /* 1260127 */   // Label 18159: @1260127
     /* 1260127 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260211), // Rule ID 8110 //
     /* 1260132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260185 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1260188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260210 */     // GIR_Coverage, 8110,
     /* 1260210 */     GIR_EraseRootFromParent_Done,
     /* 1260211 */   // Label 18160: @1260211
     /* 1260211 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260295), // Rule ID 8113 //
     /* 1260216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260294 */     // GIR_Coverage, 8113,
     /* 1260294 */     GIR_EraseRootFromParent_Done,
     /* 1260295 */   // Label 18161: @1260295
     /* 1260295 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260379), // Rule ID 8114 //
     /* 1260300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260353 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1260356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260378 */     // GIR_Coverage, 8114,
     /* 1260378 */     GIR_EraseRootFromParent_Done,
     /* 1260379 */   // Label 18162: @1260379
     /* 1260379 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260463), // Rule ID 8205 //
     /* 1260384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260462 */     // GIR_Coverage, 8205,
     /* 1260462 */     GIR_EraseRootFromParent_Done,
     /* 1260463 */   // Label 18163: @1260463
     /* 1260463 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260547), // Rule ID 8206 //
     /* 1260468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1260488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1260524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260546 */     // GIR_Coverage, 8206,
     /* 1260546 */     GIR_EraseRootFromParent_Done,
     /* 1260547 */   // Label 18164: @1260547
     /* 1260547 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260631), // Rule ID 8209 //
     /* 1260552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260630 */     // GIR_Coverage, 8209,
     /* 1260630 */     GIR_EraseRootFromParent_Done,
     /* 1260631 */   // Label 18165: @1260631
     /* 1260631 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260715), // Rule ID 8210 //
     /* 1260636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1260656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260689 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260714 */     // GIR_Coverage, 8210,
     /* 1260714 */     GIR_EraseRootFromParent_Done,
     /* 1260715 */   // Label 18166: @1260715
     /* 1260715 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260799), // Rule ID 8213 //
     /* 1260720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260798 */     // GIR_Coverage, 8213,
     /* 1260798 */     GIR_EraseRootFromParent_Done,
     /* 1260799 */   // Label 18167: @1260799
     /* 1260799 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260883), // Rule ID 8214 //
     /* 1260804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1260824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260882 */     // GIR_Coverage, 8214,
     /* 1260882 */     GIR_EraseRootFromParent_Done,
     /* 1260883 */   // Label 18168: @1260883
     /* 1260883 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1260967), // Rule ID 8217 //
     /* 1260888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260941 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1260944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260966 */     // GIR_Coverage, 8217,
     /* 1260966 */     GIR_EraseRootFromParent_Done,
     /* 1260967 */   // Label 18169: @1260967
     /* 1260967 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261051), // Rule ID 8218 //
     /* 1260972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1260992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1261028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261050 */     // GIR_Coverage, 8218,
     /* 1261050 */     GIR_EraseRootFromParent_Done,
     /* 1261051 */   // Label 18170: @1261051
     /* 1261051 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261135), // Rule ID 8221 //
     /* 1261056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261134 */     // GIR_Coverage, 8221,
     /* 1261134 */     GIR_EraseRootFromParent_Done,
     /* 1261135 */   // Label 18171: @1261135
     /* 1261135 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261219), // Rule ID 8222 //
     /* 1261140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1261160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261218 */     // GIR_Coverage, 8222,
     /* 1261218 */     GIR_EraseRootFromParent_Done,
     /* 1261219 */   // Label 18172: @1261219
     /* 1261219 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261303), // Rule ID 8225 //
     /* 1261224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261302 */     // GIR_Coverage, 8225,
     /* 1261302 */     GIR_EraseRootFromParent_Done,
     /* 1261303 */   // Label 18173: @1261303
     /* 1261303 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261387), // Rule ID 8226 //
     /* 1261308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1261328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1261364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261386 */     // GIR_Coverage, 8226,
     /* 1261386 */     GIR_EraseRootFromParent_Done,
     /* 1261387 */   // Label 18174: @1261387
     /* 1261387 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261471), // Rule ID 8229 //
     /* 1261392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261470 */     // GIR_Coverage, 8229,
     /* 1261470 */     GIR_EraseRootFromParent_Done,
     /* 1261471 */   // Label 18175: @1261471
     /* 1261471 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261555), // Rule ID 8230 //
     /* 1261476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261554 */     // GIR_Coverage, 8230,
     /* 1261554 */     GIR_EraseRootFromParent_Done,
     /* 1261555 */   // Label 18176: @1261555
     /* 1261555 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261639), // Rule ID 8233 //
     /* 1261560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261638 */     // GIR_Coverage, 8233,
     /* 1261638 */     GIR_EraseRootFromParent_Done,
     /* 1261639 */   // Label 18177: @1261639
     /* 1261639 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261723), // Rule ID 8234 //
     /* 1261644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261722 */     // GIR_Coverage, 8234,
     /* 1261722 */     GIR_EraseRootFromParent_Done,
     /* 1261723 */   // Label 18178: @1261723
     /* 1261723 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261807), // Rule ID 8237 //
     /* 1261728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261781 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261806 */     // GIR_Coverage, 8237,
     /* 1261806 */     GIR_EraseRootFromParent_Done,
     /* 1261807 */   // Label 18179: @1261807
     /* 1261807 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261891), // Rule ID 8238 //
     /* 1261812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261890 */     // GIR_Coverage, 8238,
     /* 1261890 */     GIR_EraseRootFromParent_Done,
     /* 1261891 */   // Label 18180: @1261891
     /* 1261891 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1261975), // Rule ID 8241 //
     /* 1261896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1261952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261974 */     // GIR_Coverage, 8241,
     /* 1261974 */     GIR_EraseRootFromParent_Done,
     /* 1261975 */   // Label 18181: @1261975
     /* 1261975 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262059), // Rule ID 8242 //
     /* 1261980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1262000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1262036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262058 */     // GIR_Coverage, 8242,
     /* 1262058 */     GIR_EraseRootFromParent_Done,
     /* 1262059 */   // Label 18182: @1262059
     /* 1262059 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262143), // Rule ID 8245 //
     /* 1262064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262142 */     // GIR_Coverage, 8245,
     /* 1262142 */     GIR_EraseRootFromParent_Done,
     /* 1262143 */   // Label 18183: @1262143
     /* 1262143 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262227), // Rule ID 8246 //
     /* 1262148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1262168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262201 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262226 */     // GIR_Coverage, 8246,
     /* 1262226 */     GIR_EraseRootFromParent_Done,
     /* 1262227 */   // Label 18184: @1262227
     /* 1262227 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262311), // Rule ID 8249 //
     /* 1262232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262285 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262310 */     // GIR_Coverage, 8249,
     /* 1262310 */     GIR_EraseRootFromParent_Done,
     /* 1262311 */   // Label 18185: @1262311
     /* 1262311 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262395), // Rule ID 8250 //
     /* 1262316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1262336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262369 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262394 */     // GIR_Coverage, 8250,
     /* 1262394 */     GIR_EraseRootFromParent_Done,
     /* 1262395 */   // Label 18186: @1262395
     /* 1262395 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262479), // Rule ID 8253 //
     /* 1262400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262453 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262478 */     // GIR_Coverage, 8253,
     /* 1262478 */     GIR_EraseRootFromParent_Done,
     /* 1262479 */   // Label 18187: @1262479
     /* 1262479 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262563), // Rule ID 8254 //
     /* 1262484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1262504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262537 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262562 */     // GIR_Coverage, 8254,
     /* 1262562 */     GIR_EraseRootFromParent_Done,
     /* 1262563 */   // Label 18188: @1262563
     /* 1262563 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262647), // Rule ID 8257 //
     /* 1262568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262646 */     // GIR_Coverage, 8257,
     /* 1262646 */     GIR_EraseRootFromParent_Done,
     /* 1262647 */   // Label 18189: @1262647
     /* 1262647 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262731), // Rule ID 8258 //
     /* 1262652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1262672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262730 */     // GIR_Coverage, 8258,
     /* 1262730 */     GIR_EraseRootFromParent_Done,
     /* 1262731 */   // Label 18190: @1262731
     /* 1262731 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262815), // Rule ID 8261 //
     /* 1262736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262814 */     // GIR_Coverage, 8261,
     /* 1262814 */     GIR_EraseRootFromParent_Done,
     /* 1262815 */   // Label 18191: @1262815
     /* 1262815 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1262899), // Rule ID 8262 //
     /* 1262820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1262840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262873 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262898 */     // GIR_Coverage, 8262,
     /* 1262898 */     GIR_EraseRootFromParent_Done,
     /* 1262899 */   // Label 18192: @1262899
     /* 1262899 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1262983), // Rule ID 8265 //
     /* 1262904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1262924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262957 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262982 */     // GIR_Coverage, 8265,
     /* 1262982 */     GIR_EraseRootFromParent_Done,
     /* 1262983 */   // Label 18193: @1262983
     /* 1262983 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263067), // Rule ID 8266 //
     /* 1262988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1263008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263041 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263066 */     // GIR_Coverage, 8266,
     /* 1263066 */     GIR_EraseRootFromParent_Done,
     /* 1263067 */   // Label 18194: @1263067
     /* 1263067 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263151), // Rule ID 8269 //
     /* 1263072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263150 */     // GIR_Coverage, 8269,
     /* 1263150 */     GIR_EraseRootFromParent_Done,
     /* 1263151 */   // Label 18195: @1263151
     /* 1263151 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263235), // Rule ID 8270 //
     /* 1263156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1263176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263234 */     // GIR_Coverage, 8270,
     /* 1263234 */     GIR_EraseRootFromParent_Done,
     /* 1263235 */   // Label 18196: @1263235
     /* 1263235 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263319), // Rule ID 8273 //
     /* 1263240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263293 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263318 */     // GIR_Coverage, 8273,
     /* 1263318 */     GIR_EraseRootFromParent_Done,
     /* 1263319 */   // Label 18197: @1263319
     /* 1263319 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263403), // Rule ID 8274 //
     /* 1263324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1263344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263402 */     // GIR_Coverage, 8274,
     /* 1263402 */     GIR_EraseRootFromParent_Done,
     /* 1263403 */   // Label 18198: @1263403
     /* 1263403 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263487), // Rule ID 8277 //
     /* 1263408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263461 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263486 */     // GIR_Coverage, 8277,
     /* 1263486 */     GIR_EraseRootFromParent_Done,
     /* 1263487 */   // Label 18199: @1263487
     /* 1263487 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263571), // Rule ID 8278 //
     /* 1263492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1263512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263570 */     // GIR_Coverage, 8278,
     /* 1263570 */     GIR_EraseRootFromParent_Done,
     /* 1263571 */   // Label 18200: @1263571
     /* 1263571 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263655), // Rule ID 8281 //
     /* 1263576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263654 */     // GIR_Coverage, 8281,
     /* 1263654 */     GIR_EraseRootFromParent_Done,
     /* 1263655 */   // Label 18201: @1263655
     /* 1263655 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263739), // Rule ID 8282 //
     /* 1263660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1263680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1263716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263738 */     // GIR_Coverage, 8282,
     /* 1263738 */     GIR_EraseRootFromParent_Done,
     /* 1263739 */   // Label 18202: @1263739
     /* 1263739 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263823), // Rule ID 8285 //
     /* 1263744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263822 */     // GIR_Coverage, 8285,
     /* 1263822 */     GIR_EraseRootFromParent_Done,
     /* 1263823 */   // Label 18203: @1263823
     /* 1263823 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1263907), // Rule ID 8286 //
     /* 1263828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1263848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1263884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263906 */     // GIR_Coverage, 8286,
     /* 1263906 */     GIR_EraseRootFromParent_Done,
     /* 1263907 */   // Label 18204: @1263907
     /* 1263907 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1263991), // Rule ID 8289 //
     /* 1263912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1263932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263965 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1263968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263990 */     // GIR_Coverage, 8289,
     /* 1263990 */     GIR_EraseRootFromParent_Done,
     /* 1263991 */   // Label 18205: @1263991
     /* 1263991 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264075), // Rule ID 8290 //
     /* 1263996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1264016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264049 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1264052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264074 */     // GIR_Coverage, 8290,
     /* 1264074 */     GIR_EraseRootFromParent_Done,
     /* 1264075 */   // Label 18206: @1264075
     /* 1264075 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264159), // Rule ID 8293 //
     /* 1264080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264158 */     // GIR_Coverage, 8293,
     /* 1264158 */     GIR_EraseRootFromParent_Done,
     /* 1264159 */   // Label 18207: @1264159
     /* 1264159 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264243), // Rule ID 8294 //
     /* 1264164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1264220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264242 */     // GIR_Coverage, 8294,
     /* 1264242 */     GIR_EraseRootFromParent_Done,
     /* 1264243 */   // Label 18208: @1264243
     /* 1264243 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264327), // Rule ID 8297 //
     /* 1264248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264326 */     // GIR_Coverage, 8297,
     /* 1264326 */     GIR_EraseRootFromParent_Done,
     /* 1264327 */   // Label 18209: @1264327
     /* 1264327 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264411), // Rule ID 8298 //
     /* 1264332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264385 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264410 */     // GIR_Coverage, 8298,
     /* 1264410 */     GIR_EraseRootFromParent_Done,
     /* 1264411 */   // Label 18210: @1264411
     /* 1264411 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264495), // Rule ID 8301 //
     /* 1264416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264494 */     // GIR_Coverage, 8301,
     /* 1264494 */     GIR_EraseRootFromParent_Done,
     /* 1264495 */   // Label 18211: @1264495
     /* 1264495 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264579), // Rule ID 8302 //
     /* 1264500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264578 */     // GIR_Coverage, 8302,
     /* 1264578 */     GIR_EraseRootFromParent_Done,
     /* 1264579 */   // Label 18212: @1264579
     /* 1264579 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264663), // Rule ID 8305 //
     /* 1264584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264662 */     // GIR_Coverage, 8305,
     /* 1264662 */     GIR_EraseRootFromParent_Done,
     /* 1264663 */   // Label 18213: @1264663
     /* 1264663 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264747), // Rule ID 8306 //
     /* 1264668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1264724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264746 */     // GIR_Coverage, 8306,
     /* 1264746 */     GIR_EraseRootFromParent_Done,
     /* 1264747 */   // Label 18214: @1264747
     /* 1264747 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264831), // Rule ID 8309 //
     /* 1264752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264830 */     // GIR_Coverage, 8309,
     /* 1264830 */     GIR_EraseRootFromParent_Done,
     /* 1264831 */   // Label 18215: @1264831
     /* 1264831 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1264915), // Rule ID 8310 //
     /* 1264836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264914 */     // GIR_Coverage, 8310,
     /* 1264914 */     GIR_EraseRootFromParent_Done,
     /* 1264915 */   // Label 18216: @1264915
     /* 1264915 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1264999), // Rule ID 8313 //
     /* 1264920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1264976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264998 */     // GIR_Coverage, 8313,
     /* 1264998 */     GIR_EraseRootFromParent_Done,
     /* 1264999 */   // Label 18217: @1264999
     /* 1264999 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265083), // Rule ID 8314 //
     /* 1265004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1265060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265082 */     // GIR_Coverage, 8314,
     /* 1265082 */     GIR_EraseRootFromParent_Done,
     /* 1265083 */   // Label 18218: @1265083
     /* 1265083 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265167), // Rule ID 8317 //
     /* 1265088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265166 */     // GIR_Coverage, 8317,
     /* 1265166 */     GIR_EraseRootFromParent_Done,
     /* 1265167 */   // Label 18219: @1265167
     /* 1265167 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265251), // Rule ID 8318 //
     /* 1265172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265250 */     // GIR_Coverage, 8318,
     /* 1265250 */     GIR_EraseRootFromParent_Done,
     /* 1265251 */   // Label 18220: @1265251
     /* 1265251 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265335), // Rule ID 8321 //
     /* 1265256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265334 */     // GIR_Coverage, 8321,
     /* 1265334 */     GIR_EraseRootFromParent_Done,
     /* 1265335 */   // Label 18221: @1265335
     /* 1265335 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265419), // Rule ID 8322 //
     /* 1265340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265418 */     // GIR_Coverage, 8322,
     /* 1265418 */     GIR_EraseRootFromParent_Done,
     /* 1265419 */   // Label 18222: @1265419
     /* 1265419 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265503), // Rule ID 8325 //
     /* 1265424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265502 */     // GIR_Coverage, 8325,
     /* 1265502 */     GIR_EraseRootFromParent_Done,
     /* 1265503 */   // Label 18223: @1265503
     /* 1265503 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265587), // Rule ID 8326 //
     /* 1265508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265586 */     // GIR_Coverage, 8326,
     /* 1265586 */     GIR_EraseRootFromParent_Done,
     /* 1265587 */   // Label 18224: @1265587
     /* 1265587 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265671), // Rule ID 8329 //
     /* 1265592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265670 */     // GIR_Coverage, 8329,
     /* 1265670 */     GIR_EraseRootFromParent_Done,
     /* 1265671 */   // Label 18225: @1265671
     /* 1265671 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265755), // Rule ID 8330 //
     /* 1265676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1265732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265754 */     // GIR_Coverage, 8330,
     /* 1265754 */     GIR_EraseRootFromParent_Done,
     /* 1265755 */   // Label 18226: @1265755
     /* 1265755 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265839), // Rule ID 8333 //
     /* 1265760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265838 */     // GIR_Coverage, 8333,
     /* 1265838 */     GIR_EraseRootFromParent_Done,
     /* 1265839 */   // Label 18227: @1265839
     /* 1265839 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1265923), // Rule ID 8334 //
     /* 1265844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265922 */     // GIR_Coverage, 8334,
     /* 1265922 */     GIR_EraseRootFromParent_Done,
     /* 1265923 */   // Label 18228: @1265923
     /* 1265923 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266007), // Rule ID 8337 //
     /* 1265928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265981 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1265984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266006 */     // GIR_Coverage, 8337,
     /* 1266006 */     GIR_EraseRootFromParent_Done,
     /* 1266007 */   // Label 18229: @1266007
     /* 1266007 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266091), // Rule ID 8338 //
     /* 1266012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266065 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266090 */     // GIR_Coverage, 8338,
     /* 1266090 */     GIR_EraseRootFromParent_Done,
     /* 1266091 */   // Label 18230: @1266091
     /* 1266091 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266175), // Rule ID 8341 //
     /* 1266096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266149 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266174 */     // GIR_Coverage, 8341,
     /* 1266174 */     GIR_EraseRootFromParent_Done,
     /* 1266175 */   // Label 18231: @1266175
     /* 1266175 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266259), // Rule ID 8342 //
     /* 1266180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266233 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266258 */     // GIR_Coverage, 8342,
     /* 1266258 */     GIR_EraseRootFromParent_Done,
     /* 1266259 */   // Label 18232: @1266259
     /* 1266259 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266343), // Rule ID 8345 //
     /* 1266264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266342 */     // GIR_Coverage, 8345,
     /* 1266342 */     GIR_EraseRootFromParent_Done,
     /* 1266343 */   // Label 18233: @1266343
     /* 1266343 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266427), // Rule ID 8346 //
     /* 1266348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266426 */     // GIR_Coverage, 8346,
     /* 1266426 */     GIR_EraseRootFromParent_Done,
     /* 1266427 */   // Label 18234: @1266427
     /* 1266427 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266511), // Rule ID 8349 //
     /* 1266432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266485 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266510 */     // GIR_Coverage, 8349,
     /* 1266510 */     GIR_EraseRootFromParent_Done,
     /* 1266511 */   // Label 18235: @1266511
     /* 1266511 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266595), // Rule ID 8350 //
     /* 1266516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266569 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266594 */     // GIR_Coverage, 8350,
     /* 1266594 */     GIR_EraseRootFromParent_Done,
     /* 1266595 */   // Label 18236: @1266595
     /* 1266595 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266679), // Rule ID 8353 //
     /* 1266600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266653 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266678 */     // GIR_Coverage, 8353,
     /* 1266678 */     GIR_EraseRootFromParent_Done,
     /* 1266679 */   // Label 18237: @1266679
     /* 1266679 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266763), // Rule ID 8354 //
     /* 1266684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266737 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266762 */     // GIR_Coverage, 8354,
     /* 1266762 */     GIR_EraseRootFromParent_Done,
     /* 1266763 */   // Label 18238: @1266763
     /* 1266763 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266847), // Rule ID 8357 //
     /* 1266768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266846 */     // GIR_Coverage, 8357,
     /* 1266846 */     GIR_EraseRootFromParent_Done,
     /* 1266847 */   // Label 18239: @1266847
     /* 1266847 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1266931), // Rule ID 8358 //
     /* 1266852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266905 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266930 */     // GIR_Coverage, 8358,
     /* 1266930 */     GIR_EraseRootFromParent_Done,
     /* 1266931 */   // Label 18240: @1266931
     /* 1266931 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267015), // Rule ID 8361 //
     /* 1266936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267014 */     // GIR_Coverage, 8361,
     /* 1267014 */     GIR_EraseRootFromParent_Done,
     /* 1267015 */   // Label 18241: @1267015
     /* 1267015 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267099), // Rule ID 8362 //
     /* 1267020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267073 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267098 */     // GIR_Coverage, 8362,
     /* 1267098 */     GIR_EraseRootFromParent_Done,
     /* 1267099 */   // Label 18242: @1267099
     /* 1267099 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267183), // Rule ID 8365 //
     /* 1267104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267182 */     // GIR_Coverage, 8365,
     /* 1267182 */     GIR_EraseRootFromParent_Done,
     /* 1267183 */   // Label 18243: @1267183
     /* 1267183 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267267), // Rule ID 8366 //
     /* 1267188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267266 */     // GIR_Coverage, 8366,
     /* 1267266 */     GIR_EraseRootFromParent_Done,
     /* 1267267 */   // Label 18244: @1267267
     /* 1267267 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267351), // Rule ID 8369 //
     /* 1267272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267350 */     // GIR_Coverage, 8369,
     /* 1267350 */     GIR_EraseRootFromParent_Done,
     /* 1267351 */   // Label 18245: @1267351
     /* 1267351 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267435), // Rule ID 8370 //
     /* 1267356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267409 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1267412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267434 */     // GIR_Coverage, 8370,
     /* 1267434 */     GIR_EraseRootFromParent_Done,
     /* 1267435 */   // Label 18246: @1267435
     /* 1267435 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267519), // Rule ID 8373 //
     /* 1267440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267518 */     // GIR_Coverage, 8373,
     /* 1267518 */     GIR_EraseRootFromParent_Done,
     /* 1267519 */   // Label 18247: @1267519
     /* 1267519 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267603), // Rule ID 8374 //
     /* 1267524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1267580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267602 */     // GIR_Coverage, 8374,
     /* 1267602 */     GIR_EraseRootFromParent_Done,
     /* 1267603 */   // Label 18248: @1267603
     /* 1267603 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267687), // Rule ID 8377 //
     /* 1267608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267686 */     // GIR_Coverage, 8377,
     /* 1267686 */     GIR_EraseRootFromParent_Done,
     /* 1267687 */   // Label 18249: @1267687
     /* 1267687 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267771), // Rule ID 8378 //
     /* 1267692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1267748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267770 */     // GIR_Coverage, 8378,
     /* 1267770 */     GIR_EraseRootFromParent_Done,
     /* 1267771 */   // Label 18250: @1267771
     /* 1267771 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267855), // Rule ID 8381 //
     /* 1267776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267829 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1267832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267854 */     // GIR_Coverage, 8381,
     /* 1267854 */     GIR_EraseRootFromParent_Done,
     /* 1267855 */   // Label 18251: @1267855
     /* 1267855 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1267939), // Rule ID 8382 //
     /* 1267860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1267880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1267916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267938 */     // GIR_Coverage, 8382,
     /* 1267938 */     GIR_EraseRootFromParent_Done,
     /* 1267939 */   // Label 18252: @1267939
     /* 1267939 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268023), // Rule ID 8385 //
     /* 1267944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1267964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268022 */     // GIR_Coverage, 8385,
     /* 1268022 */     GIR_EraseRootFromParent_Done,
     /* 1268023 */   // Label 18253: @1268023
     /* 1268023 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268107), // Rule ID 8386 //
     /* 1268028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1268048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268106 */     // GIR_Coverage, 8386,
     /* 1268106 */     GIR_EraseRootFromParent_Done,
     /* 1268107 */   // Label 18254: @1268107
     /* 1268107 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268191), // Rule ID 8389 //
     /* 1268112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268165 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268190 */     // GIR_Coverage, 8389,
     /* 1268190 */     GIR_EraseRootFromParent_Done,
     /* 1268191 */   // Label 18255: @1268191
     /* 1268191 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268275), // Rule ID 8390 //
     /* 1268196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1268216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268274 */     // GIR_Coverage, 8390,
     /* 1268274 */     GIR_EraseRootFromParent_Done,
     /* 1268275 */   // Label 18256: @1268275
     /* 1268275 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268359), // Rule ID 8393 //
     /* 1268280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268333 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268358 */     // GIR_Coverage, 8393,
     /* 1268358 */     GIR_EraseRootFromParent_Done,
     /* 1268359 */   // Label 18257: @1268359
     /* 1268359 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268443), // Rule ID 8394 //
     /* 1268364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1268384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1268420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268442 */     // GIR_Coverage, 8394,
     /* 1268442 */     GIR_EraseRootFromParent_Done,
     /* 1268443 */   // Label 18258: @1268443
     /* 1268443 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268527), // Rule ID 8397 //
     /* 1268448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268526 */     // GIR_Coverage, 8397,
     /* 1268526 */     GIR_EraseRootFromParent_Done,
     /* 1268527 */   // Label 18259: @1268527
     /* 1268527 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268611), // Rule ID 8398 //
     /* 1268532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1268552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268610 */     // GIR_Coverage, 8398,
     /* 1268610 */     GIR_EraseRootFromParent_Done,
     /* 1268611 */   // Label 18260: @1268611
     /* 1268611 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268695), // Rule ID 8401 //
     /* 1268616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268669 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268694 */     // GIR_Coverage, 8401,
     /* 1268694 */     GIR_EraseRootFromParent_Done,
     /* 1268695 */   // Label 18261: @1268695
     /* 1268695 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268779), // Rule ID 8402 //
     /* 1268700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1268720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1268756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268778 */     // GIR_Coverage, 8402,
     /* 1268778 */     GIR_EraseRootFromParent_Done,
     /* 1268779 */   // Label 18262: @1268779
     /* 1268779 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268863), // Rule ID 8405 //
     /* 1268784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268862 */     // GIR_Coverage, 8405,
     /* 1268862 */     GIR_EraseRootFromParent_Done,
     /* 1268863 */   // Label 18263: @1268863
     /* 1268863 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1268947), // Rule ID 8406 //
     /* 1268868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268946 */     // GIR_Coverage, 8406,
     /* 1268946 */     GIR_EraseRootFromParent_Done,
     /* 1268947 */   // Label 18264: @1268947
     /* 1268947 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269031), // Rule ID 8409 //
     /* 1268952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269030 */     // GIR_Coverage, 8409,
     /* 1269030 */     GIR_EraseRootFromParent_Done,
     /* 1269031 */   // Label 18265: @1269031
     /* 1269031 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269115), // Rule ID 8410 //
     /* 1269036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269114 */     // GIR_Coverage, 8410,
     /* 1269114 */     GIR_EraseRootFromParent_Done,
     /* 1269115 */   // Label 18266: @1269115
     /* 1269115 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269199), // Rule ID 8413 //
     /* 1269120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269198 */     // GIR_Coverage, 8413,
     /* 1269198 */     GIR_EraseRootFromParent_Done,
     /* 1269199 */   // Label 18267: @1269199
     /* 1269199 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269283), // Rule ID 8414 //
     /* 1269204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1269224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269282 */     // GIR_Coverage, 8414,
     /* 1269282 */     GIR_EraseRootFromParent_Done,
     /* 1269283 */   // Label 18268: @1269283
     /* 1269283 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269367), // Rule ID 8417 //
     /* 1269288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269341 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269366 */     // GIR_Coverage, 8417,
     /* 1269366 */     GIR_EraseRootFromParent_Done,
     /* 1269367 */   // Label 18269: @1269367
     /* 1269367 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269451), // Rule ID 8418 //
     /* 1269372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269425 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1269428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269450 */     // GIR_Coverage, 8418,
     /* 1269450 */     GIR_EraseRootFromParent_Done,
     /* 1269451 */   // Label 18270: @1269451
     /* 1269451 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269535), // Rule ID 8421 //
     /* 1269456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269509 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269534 */     // GIR_Coverage, 8421,
     /* 1269534 */     GIR_EraseRootFromParent_Done,
     /* 1269535 */   // Label 18271: @1269535
     /* 1269535 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269619), // Rule ID 8422 //
     /* 1269540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1269560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269618 */     // GIR_Coverage, 8422,
     /* 1269618 */     GIR_EraseRootFromParent_Done,
     /* 1269619 */   // Label 18272: @1269619
     /* 1269619 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269703), // Rule ID 8425 //
     /* 1269624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269677 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269702 */     // GIR_Coverage, 8425,
     /* 1269702 */     GIR_EraseRootFromParent_Done,
     /* 1269703 */   // Label 18273: @1269703
     /* 1269703 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269787), // Rule ID 8426 //
     /* 1269708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1269728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269761 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269786 */     // GIR_Coverage, 8426,
     /* 1269786 */     GIR_EraseRootFromParent_Done,
     /* 1269787 */   // Label 18274: @1269787
     /* 1269787 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269871), // Rule ID 8429 //
     /* 1269792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269845 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269870 */     // GIR_Coverage, 8429,
     /* 1269870 */     GIR_EraseRootFromParent_Done,
     /* 1269871 */   // Label 18275: @1269871
     /* 1269871 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1269955), // Rule ID 8430 //
     /* 1269876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1269887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1269890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1269896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269929 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269954 */     // GIR_Coverage, 8430,
     /* 1269954 */     GIR_EraseRootFromParent_Done,
     /* 1269955 */   // Label 18276: @1269955
     /* 1269955 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270039), // Rule ID 8433 //
     /* 1269960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1269980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270038 */     // GIR_Coverage, 8433,
     /* 1270038 */     GIR_EraseRootFromParent_Done,
     /* 1270039 */   // Label 18277: @1270039
     /* 1270039 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270123), // Rule ID 8434 //
     /* 1270044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1270064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270122 */     // GIR_Coverage, 8434,
     /* 1270122 */     GIR_EraseRootFromParent_Done,
     /* 1270123 */   // Label 18278: @1270123
     /* 1270123 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270207), // Rule ID 8437 //
     /* 1270128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270181 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270206 */     // GIR_Coverage, 8437,
     /* 1270206 */     GIR_EraseRootFromParent_Done,
     /* 1270207 */   // Label 18279: @1270207
     /* 1270207 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270291), // Rule ID 8438 //
     /* 1270212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1270232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270265 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270290 */     // GIR_Coverage, 8438,
     /* 1270290 */     GIR_EraseRootFromParent_Done,
     /* 1270291 */   // Label 18280: @1270291
     /* 1270291 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270375), // Rule ID 8441 //
     /* 1270296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270374 */     // GIR_Coverage, 8441,
     /* 1270374 */     GIR_EraseRootFromParent_Done,
     /* 1270375 */   // Label 18281: @1270375
     /* 1270375 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270459), // Rule ID 8442 //
     /* 1270380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1270400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270433 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270458 */     // GIR_Coverage, 8442,
     /* 1270458 */     GIR_EraseRootFromParent_Done,
     /* 1270459 */   // Label 18282: @1270459
     /* 1270459 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270543), // Rule ID 8445 //
     /* 1270464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270517 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270542 */     // GIR_Coverage, 8445,
     /* 1270542 */     GIR_EraseRootFromParent_Done,
     /* 1270543 */   // Label 18283: @1270543
     /* 1270543 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270627), // Rule ID 8446 //
     /* 1270548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1270568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1270604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270626 */     // GIR_Coverage, 8446,
     /* 1270626 */     GIR_EraseRootFromParent_Done,
     /* 1270627 */   // Label 18284: @1270627
     /* 1270627 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270711), // Rule ID 8449 //
     /* 1270632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270685 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270710 */     // GIR_Coverage, 8449,
     /* 1270710 */     GIR_EraseRootFromParent_Done,
     /* 1270711 */   // Label 18285: @1270711
     /* 1270711 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270795), // Rule ID 8450 //
     /* 1270716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1270736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270769 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270794 */     // GIR_Coverage, 8450,
     /* 1270794 */     GIR_EraseRootFromParent_Done,
     /* 1270795 */   // Label 18286: @1270795
     /* 1270795 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270879), // Rule ID 8453 //
     /* 1270800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270878 */     // GIR_Coverage, 8453,
     /* 1270878 */     GIR_EraseRootFromParent_Done,
     /* 1270879 */   // Label 18287: @1270879
     /* 1270879 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1270963), // Rule ID 8454 //
     /* 1270884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1270904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270962 */     // GIR_Coverage, 8454,
     /* 1270962 */     GIR_EraseRootFromParent_Done,
     /* 1270963 */   // Label 18288: @1270963
     /* 1270963 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271047), // Rule ID 8457 //
     /* 1270968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1270988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271021 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271046 */     // GIR_Coverage, 8457,
     /* 1271046 */     GIR_EraseRootFromParent_Done,
     /* 1271047 */   // Label 18289: @1271047
     /* 1271047 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271131), // Rule ID 8458 //
     /* 1271052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1271072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271105 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1271108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271130 */     // GIR_Coverage, 8458,
     /* 1271130 */     GIR_EraseRootFromParent_Done,
     /* 1271131 */   // Label 18290: @1271131
     /* 1271131 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271215), // Rule ID 8461 //
     /* 1271136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271214 */     // GIR_Coverage, 8461,
     /* 1271214 */     GIR_EraseRootFromParent_Done,
     /* 1271215 */   // Label 18291: @1271215
     /* 1271215 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271299), // Rule ID 8462 //
     /* 1271220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1271240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1271276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271298 */     // GIR_Coverage, 8462,
     /* 1271298 */     GIR_EraseRootFromParent_Done,
     /* 1271299 */   // Label 18292: @1271299
     /* 1271299 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271383), // Rule ID 8465 //
     /* 1271304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271382 */     // GIR_Coverage, 8465,
     /* 1271382 */     GIR_EraseRootFromParent_Done,
     /* 1271383 */   // Label 18293: @1271383
     /* 1271383 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271467), // Rule ID 8466 //
     /* 1271388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1271408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271441 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1271444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271466 */     // GIR_Coverage, 8466,
     /* 1271466 */     GIR_EraseRootFromParent_Done,
     /* 1271467 */   // Label 18294: @1271467
     /* 1271467 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271551), // Rule ID 8469 //
     /* 1271472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271550 */     // GIR_Coverage, 8469,
     /* 1271550 */     GIR_EraseRootFromParent_Done,
     /* 1271551 */   // Label 18295: @1271551
     /* 1271551 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271635), // Rule ID 8470 //
     /* 1271556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1271612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271634 */     // GIR_Coverage, 8470,
     /* 1271634 */     GIR_EraseRootFromParent_Done,
     /* 1271635 */   // Label 18296: @1271635
     /* 1271635 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271719), // Rule ID 8473 //
     /* 1271640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1271696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271718 */     // GIR_Coverage, 8473,
     /* 1271718 */     GIR_EraseRootFromParent_Done,
     /* 1271719 */   // Label 18297: @1271719
     /* 1271719 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271803), // Rule ID 8474 //
     /* 1271724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1271780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271802 */     // GIR_Coverage, 8474,
     /* 1271802 */     GIR_EraseRootFromParent_Done,
     /* 1271803 */   // Label 18298: @1271803
     /* 1271803 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271887), // Rule ID 8477 //
     /* 1271808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271886 */     // GIR_Coverage, 8477,
     /* 1271886 */     GIR_EraseRootFromParent_Done,
     /* 1271887 */   // Label 18299: @1271887
     /* 1271887 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1271971), // Rule ID 8478 //
     /* 1271892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271970 */     // GIR_Coverage, 8478,
     /* 1271970 */     GIR_EraseRootFromParent_Done,
     /* 1271971 */   // Label 18300: @1271971
     /* 1271971 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272055), // Rule ID 8481 //
     /* 1271976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272029 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272054 */     // GIR_Coverage, 8481,
     /* 1272054 */     GIR_EraseRootFromParent_Done,
     /* 1272055 */   // Label 18301: @1272055
     /* 1272055 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272139), // Rule ID 8482 //
     /* 1272060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1272116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272138 */     // GIR_Coverage, 8482,
     /* 1272138 */     GIR_EraseRootFromParent_Done,
     /* 1272139 */   // Label 18302: @1272139
     /* 1272139 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272223), // Rule ID 8485 //
     /* 1272144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272222 */     // GIR_Coverage, 8485,
     /* 1272222 */     GIR_EraseRootFromParent_Done,
     /* 1272223 */   // Label 18303: @1272223
     /* 1272223 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272307), // Rule ID 8486 //
     /* 1272228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272306 */     // GIR_Coverage, 8486,
     /* 1272306 */     GIR_EraseRootFromParent_Done,
     /* 1272307 */   // Label 18304: @1272307
     /* 1272307 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272391), // Rule ID 8489 //
     /* 1272312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272390 */     // GIR_Coverage, 8489,
     /* 1272390 */     GIR_EraseRootFromParent_Done,
     /* 1272391 */   // Label 18305: @1272391
     /* 1272391 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272475), // Rule ID 8490 //
     /* 1272396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1272452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272474 */     // GIR_Coverage, 8490,
     /* 1272474 */     GIR_EraseRootFromParent_Done,
     /* 1272475 */   // Label 18306: @1272475
     /* 1272475 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272559), // Rule ID 8493 //
     /* 1272480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272558 */     // GIR_Coverage, 8493,
     /* 1272558 */     GIR_EraseRootFromParent_Done,
     /* 1272559 */   // Label 18307: @1272559
     /* 1272559 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272643), // Rule ID 8494 //
     /* 1272564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272642 */     // GIR_Coverage, 8494,
     /* 1272642 */     GIR_EraseRootFromParent_Done,
     /* 1272643 */   // Label 18308: @1272643
     /* 1272643 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272727), // Rule ID 8497 //
     /* 1272648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272726 */     // GIR_Coverage, 8497,
     /* 1272726 */     GIR_EraseRootFromParent_Done,
     /* 1272727 */   // Label 18309: @1272727
     /* 1272727 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272811), // Rule ID 8498 //
     /* 1272732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272810 */     // GIR_Coverage, 8498,
     /* 1272810 */     GIR_EraseRootFromParent_Done,
     /* 1272811 */   // Label 18310: @1272811
     /* 1272811 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272895), // Rule ID 8501 //
     /* 1272816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272894 */     // GIR_Coverage, 8501,
     /* 1272894 */     GIR_EraseRootFromParent_Done,
     /* 1272895 */   // Label 18311: @1272895
     /* 1272895 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1272979), // Rule ID 8502 //
     /* 1272900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1272956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272978 */     // GIR_Coverage, 8502,
     /* 1272978 */     GIR_EraseRootFromParent_Done,
     /* 1272979 */   // Label 18312: @1272979
     /* 1272979 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273063), // Rule ID 8505 //
     /* 1272984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273062 */     // GIR_Coverage, 8505,
     /* 1273062 */     GIR_EraseRootFromParent_Done,
     /* 1273063 */   // Label 18313: @1273063
     /* 1273063 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273147), // Rule ID 8506 //
     /* 1273068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1273124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273146 */     // GIR_Coverage, 8506,
     /* 1273146 */     GIR_EraseRootFromParent_Done,
     /* 1273147 */   // Label 18314: @1273147
     /* 1273147 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273231), // Rule ID 8509 //
     /* 1273152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273230 */     // GIR_Coverage, 8509,
     /* 1273230 */     GIR_EraseRootFromParent_Done,
     /* 1273231 */   // Label 18315: @1273231
     /* 1273231 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273315), // Rule ID 8510 //
     /* 1273236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273289 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273314 */     // GIR_Coverage, 8510,
     /* 1273314 */     GIR_EraseRootFromParent_Done,
     /* 1273315 */   // Label 18316: @1273315
     /* 1273315 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273399), // Rule ID 8513 //
     /* 1273320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273373 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273398 */     // GIR_Coverage, 8513,
     /* 1273398 */     GIR_EraseRootFromParent_Done,
     /* 1273399 */   // Label 18317: @1273399
     /* 1273399 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273483), // Rule ID 8514 //
     /* 1273404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273457 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273482 */     // GIR_Coverage, 8514,
     /* 1273482 */     GIR_EraseRootFromParent_Done,
     /* 1273483 */   // Label 18318: @1273483
     /* 1273483 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273567), // Rule ID 8517 //
     /* 1273488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273541 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273566 */     // GIR_Coverage, 8517,
     /* 1273566 */     GIR_EraseRootFromParent_Done,
     /* 1273567 */   // Label 18319: @1273567
     /* 1273567 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273651), // Rule ID 8518 //
     /* 1273572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273625 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273650 */     // GIR_Coverage, 8518,
     /* 1273650 */     GIR_EraseRootFromParent_Done,
     /* 1273651 */   // Label 18320: @1273651
     /* 1273651 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273735), // Rule ID 8521 //
     /* 1273656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273734 */     // GIR_Coverage, 8521,
     /* 1273734 */     GIR_EraseRootFromParent_Done,
     /* 1273735 */   // Label 18321: @1273735
     /* 1273735 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273819), // Rule ID 8522 //
     /* 1273740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273818 */     // GIR_Coverage, 8522,
     /* 1273818 */     GIR_EraseRootFromParent_Done,
     /* 1273819 */   // Label 18322: @1273819
     /* 1273819 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1273903), // Rule ID 8525 //
     /* 1273824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273902 */     // GIR_Coverage, 8525,
     /* 1273902 */     GIR_EraseRootFromParent_Done,
     /* 1273903 */   // Label 18323: @1273903
     /* 1273903 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1273987), // Rule ID 8526 //
     /* 1273908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273986 */     // GIR_Coverage, 8526,
     /* 1273986 */     GIR_EraseRootFromParent_Done,
     /* 1273987 */   // Label 18324: @1273987
     /* 1273987 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274071), // Rule ID 8529 //
     /* 1273992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274045 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274070 */     // GIR_Coverage, 8529,
     /* 1274070 */     GIR_EraseRootFromParent_Done,
     /* 1274071 */   // Label 18325: @1274071
     /* 1274071 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274155), // Rule ID 8530 //
     /* 1274076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274154 */     // GIR_Coverage, 8530,
     /* 1274154 */     GIR_EraseRootFromParent_Done,
     /* 1274155 */   // Label 18326: @1274155
     /* 1274155 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274239), // Rule ID 8533 //
     /* 1274160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274238 */     // GIR_Coverage, 8533,
     /* 1274238 */     GIR_EraseRootFromParent_Done,
     /* 1274239 */   // Label 18327: @1274239
     /* 1274239 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274323), // Rule ID 8534 //
     /* 1274244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274322 */     // GIR_Coverage, 8534,
     /* 1274322 */     GIR_EraseRootFromParent_Done,
     /* 1274323 */   // Label 18328: @1274323
     /* 1274323 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274407), // Rule ID 8537 //
     /* 1274328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274381 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274406 */     // GIR_Coverage, 8537,
     /* 1274406 */     GIR_EraseRootFromParent_Done,
     /* 1274407 */   // Label 18329: @1274407
     /* 1274407 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274491), // Rule ID 8538 //
     /* 1274412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274490 */     // GIR_Coverage, 8538,
     /* 1274490 */     GIR_EraseRootFromParent_Done,
     /* 1274491 */   // Label 18330: @1274491
     /* 1274491 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274575), // Rule ID 8541 //
     /* 1274496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274549 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274574 */     // GIR_Coverage, 8541,
     /* 1274574 */     GIR_EraseRootFromParent_Done,
     /* 1274575 */   // Label 18331: @1274575
     /* 1274575 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274659), // Rule ID 8542 //
     /* 1274580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1274636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274658 */     // GIR_Coverage, 8542,
     /* 1274658 */     GIR_EraseRootFromParent_Done,
     /* 1274659 */   // Label 18332: @1274659
     /* 1274659 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274743), // Rule ID 8545 //
     /* 1274664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274742 */     // GIR_Coverage, 8545,
     /* 1274742 */     GIR_EraseRootFromParent_Done,
     /* 1274743 */   // Label 18333: @1274743
     /* 1274743 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274827), // Rule ID 8546 //
     /* 1274748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1274804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274826 */     // GIR_Coverage, 8546,
     /* 1274826 */     GIR_EraseRootFromParent_Done,
     /* 1274827 */   // Label 18334: @1274827
     /* 1274827 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1274911), // Rule ID 8549 //
     /* 1274832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274910 */     // GIR_Coverage, 8549,
     /* 1274910 */     GIR_EraseRootFromParent_Done,
     /* 1274911 */   // Label 18335: @1274911
     /* 1274911 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1274995), // Rule ID 8550 //
     /* 1274916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1274972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274994 */     // GIR_Coverage, 8550,
     /* 1274994 */     GIR_EraseRootFromParent_Done,
     /* 1274995 */   // Label 18336: @1274995
     /* 1274995 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275079), // Rule ID 8553 //
     /* 1275000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275078 */     // GIR_Coverage, 8553,
     /* 1275078 */     GIR_EraseRootFromParent_Done,
     /* 1275079 */   // Label 18337: @1275079
     /* 1275079 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275163), // Rule ID 8554 //
     /* 1275084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275137 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1275140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275162 */     // GIR_Coverage, 8554,
     /* 1275162 */     GIR_EraseRootFromParent_Done,
     /* 1275163 */   // Label 18338: @1275163
     /* 1275163 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275247), // Rule ID 8557 //
     /* 1275168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275221 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275246 */     // GIR_Coverage, 8557,
     /* 1275246 */     GIR_EraseRootFromParent_Done,
     /* 1275247 */   // Label 18339: @1275247
     /* 1275247 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275331), // Rule ID 8558 //
     /* 1275252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1275272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1275308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275330 */     // GIR_Coverage, 8558,
     /* 1275330 */     GIR_EraseRootFromParent_Done,
     /* 1275331 */   // Label 18340: @1275331
     /* 1275331 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275415), // Rule ID 8561 //
     /* 1275336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275414 */     // GIR_Coverage, 8561,
     /* 1275414 */     GIR_EraseRootFromParent_Done,
     /* 1275415 */   // Label 18341: @1275415
     /* 1275415 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275499), // Rule ID 8562 //
     /* 1275420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1275440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275498 */     // GIR_Coverage, 8562,
     /* 1275498 */     GIR_EraseRootFromParent_Done,
     /* 1275499 */   // Label 18342: @1275499
     /* 1275499 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275583), // Rule ID 8565 //
     /* 1275504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275582 */     // GIR_Coverage, 8565,
     /* 1275582 */     GIR_EraseRootFromParent_Done,
     /* 1275583 */   // Label 18343: @1275583
     /* 1275583 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275667), // Rule ID 8566 //
     /* 1275588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1275608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275666 */     // GIR_Coverage, 8566,
     /* 1275666 */     GIR_EraseRootFromParent_Done,
     /* 1275667 */   // Label 18344: @1275667
     /* 1275667 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275751), // Rule ID 8569 //
     /* 1275672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275725 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275750 */     // GIR_Coverage, 8569,
     /* 1275750 */     GIR_EraseRootFromParent_Done,
     /* 1275751 */   // Label 18345: @1275751
     /* 1275751 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275835), // Rule ID 8570 //
     /* 1275756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1275776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1275812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275834 */     // GIR_Coverage, 8570,
     /* 1275834 */     GIR_EraseRootFromParent_Done,
     /* 1275835 */   // Label 18346: @1275835
     /* 1275835 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1275919), // Rule ID 8573 //
     /* 1275840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275918 */     // GIR_Coverage, 8573,
     /* 1275918 */     GIR_EraseRootFromParent_Done,
     /* 1275919 */   // Label 18347: @1275919
     /* 1275919 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276003), // Rule ID 8574 //
     /* 1275924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1275944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1275980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276002 */     // GIR_Coverage, 8574,
     /* 1276002 */     GIR_EraseRootFromParent_Done,
     /* 1276003 */   // Label 18348: @1276003
     /* 1276003 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276087), // Rule ID 8577 //
     /* 1276008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276086 */     // GIR_Coverage, 8577,
     /* 1276086 */     GIR_EraseRootFromParent_Done,
     /* 1276087 */   // Label 18349: @1276087
     /* 1276087 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276171), // Rule ID 8578 //
     /* 1276092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1276112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1276148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276170 */     // GIR_Coverage, 8578,
     /* 1276170 */     GIR_EraseRootFromParent_Done,
     /* 1276171 */   // Label 18350: @1276171
     /* 1276171 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276255), // Rule ID 8581 //
     /* 1276176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276254 */     // GIR_Coverage, 8581,
     /* 1276254 */     GIR_EraseRootFromParent_Done,
     /* 1276255 */   // Label 18351: @1276255
     /* 1276255 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276339), // Rule ID 8582 //
     /* 1276260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276338 */     // GIR_Coverage, 8582,
     /* 1276338 */     GIR_EraseRootFromParent_Done,
     /* 1276339 */   // Label 18352: @1276339
     /* 1276339 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276423), // Rule ID 8585 //
     /* 1276344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276397 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276422 */     // GIR_Coverage, 8585,
     /* 1276422 */     GIR_EraseRootFromParent_Done,
     /* 1276423 */   // Label 18353: @1276423
     /* 1276423 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276507), // Rule ID 8586 //
     /* 1276428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276506 */     // GIR_Coverage, 8586,
     /* 1276506 */     GIR_EraseRootFromParent_Done,
     /* 1276507 */   // Label 18354: @1276507
     /* 1276507 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276591), // Rule ID 8589 //
     /* 1276512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276590 */     // GIR_Coverage, 8589,
     /* 1276590 */     GIR_EraseRootFromParent_Done,
     /* 1276591 */   // Label 18355: @1276591
     /* 1276591 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276675), // Rule ID 8590 //
     /* 1276596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276674 */     // GIR_Coverage, 8590,
     /* 1276674 */     GIR_EraseRootFromParent_Done,
     /* 1276675 */   // Label 18356: @1276675
     /* 1276675 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276759), // Rule ID 8593 //
     /* 1276680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276758 */     // GIR_Coverage, 8593,
     /* 1276758 */     GIR_EraseRootFromParent_Done,
     /* 1276759 */   // Label 18357: @1276759
     /* 1276759 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276843), // Rule ID 8594 //
     /* 1276764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1276820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276842 */     // GIR_Coverage, 8594,
     /* 1276842 */     GIR_EraseRootFromParent_Done,
     /* 1276843 */   // Label 18358: @1276843
     /* 1276843 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1276927), // Rule ID 8597 //
     /* 1276848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276926 */     // GIR_Coverage, 8597,
     /* 1276926 */     GIR_EraseRootFromParent_Done,
     /* 1276927 */   // Label 18359: @1276927
     /* 1276927 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277011), // Rule ID 8598 //
     /* 1276932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1276952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277010 */     // GIR_Coverage, 8598,
     /* 1277010 */     GIR_EraseRootFromParent_Done,
     /* 1277011 */   // Label 18360: @1277011
     /* 1277011 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277095), // Rule ID 8601 //
     /* 1277016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277069 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277094 */     // GIR_Coverage, 8601,
     /* 1277094 */     GIR_EraseRootFromParent_Done,
     /* 1277095 */   // Label 18361: @1277095
     /* 1277095 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277179), // Rule ID 8602 //
     /* 1277100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1277120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277153 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277178 */     // GIR_Coverage, 8602,
     /* 1277178 */     GIR_EraseRootFromParent_Done,
     /* 1277179 */   // Label 18362: @1277179
     /* 1277179 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277263), // Rule ID 8605 //
     /* 1277184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277237 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277262 */     // GIR_Coverage, 8605,
     /* 1277262 */     GIR_EraseRootFromParent_Done,
     /* 1277263 */   // Label 18363: @1277263
     /* 1277263 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277347), // Rule ID 8606 //
     /* 1277268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1277288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277321 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277346 */     // GIR_Coverage, 8606,
     /* 1277346 */     GIR_EraseRootFromParent_Done,
     /* 1277347 */   // Label 18364: @1277347
     /* 1277347 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277431), // Rule ID 8609 //
     /* 1277352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277405 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277430 */     // GIR_Coverage, 8609,
     /* 1277430 */     GIR_EraseRootFromParent_Done,
     /* 1277431 */   // Label 18365: @1277431
     /* 1277431 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277515), // Rule ID 8610 //
     /* 1277436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1277456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277514 */     // GIR_Coverage, 8610,
     /* 1277514 */     GIR_EraseRootFromParent_Done,
     /* 1277515 */   // Label 18366: @1277515
     /* 1277515 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277599), // Rule ID 8613 //
     /* 1277520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277598 */     // GIR_Coverage, 8613,
     /* 1277598 */     GIR_EraseRootFromParent_Done,
     /* 1277599 */   // Label 18367: @1277599
     /* 1277599 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277683), // Rule ID 8614 //
     /* 1277604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1277624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277657 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277682 */     // GIR_Coverage, 8614,
     /* 1277682 */     GIR_EraseRootFromParent_Done,
     /* 1277683 */   // Label 18368: @1277683
     /* 1277683 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277767), // Rule ID 8617 //
     /* 1277688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277766 */     // GIR_Coverage, 8617,
     /* 1277766 */     GIR_EraseRootFromParent_Done,
     /* 1277767 */   // Label 18369: @1277767
     /* 1277767 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277851), // Rule ID 8618 //
     /* 1277772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1277792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277825 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277850 */     // GIR_Coverage, 8618,
     /* 1277850 */     GIR_EraseRootFromParent_Done,
     /* 1277851 */   // Label 18370: @1277851
     /* 1277851 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1277935), // Rule ID 8621 //
     /* 1277856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277934 */     // GIR_Coverage, 8621,
     /* 1277934 */     GIR_EraseRootFromParent_Done,
     /* 1277935 */   // Label 18371: @1277935
     /* 1277935 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278019), // Rule ID 8622 //
     /* 1277940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1277960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277993 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278018 */     // GIR_Coverage, 8622,
     /* 1278018 */     GIR_EraseRootFromParent_Done,
     /* 1278019 */   // Label 18372: @1278019
     /* 1278019 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278103), // Rule ID 8625 //
     /* 1278024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278102 */     // GIR_Coverage, 8625,
     /* 1278102 */     GIR_EraseRootFromParent_Done,
     /* 1278103 */   // Label 18373: @1278103
     /* 1278103 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278187), // Rule ID 8626 //
     /* 1278108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1278128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278186 */     // GIR_Coverage, 8626,
     /* 1278186 */     GIR_EraseRootFromParent_Done,
     /* 1278187 */   // Label 18374: @1278187
     /* 1278187 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278271), // Rule ID 8629 //
     /* 1278192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278270 */     // GIR_Coverage, 8629,
     /* 1278270 */     GIR_EraseRootFromParent_Done,
     /* 1278271 */   // Label 18375: @1278271
     /* 1278271 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278355), // Rule ID 8630 //
     /* 1278276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1278296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278329 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278354 */     // GIR_Coverage, 8630,
     /* 1278354 */     GIR_EraseRootFromParent_Done,
     /* 1278355 */   // Label 18376: @1278355
     /* 1278355 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278439), // Rule ID 8633 //
     /* 1278360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278438 */     // GIR_Coverage, 8633,
     /* 1278438 */     GIR_EraseRootFromParent_Done,
     /* 1278439 */   // Label 18377: @1278439
     /* 1278439 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278523), // Rule ID 8634 //
     /* 1278444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1278464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1278500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278522 */     // GIR_Coverage, 8634,
     /* 1278522 */     GIR_EraseRootFromParent_Done,
     /* 1278523 */   // Label 18378: @1278523
     /* 1278523 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278607), // Rule ID 8637 //
     /* 1278528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278581 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278606 */     // GIR_Coverage, 8637,
     /* 1278606 */     GIR_EraseRootFromParent_Done,
     /* 1278607 */   // Label 18379: @1278607
     /* 1278607 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278691), // Rule ID 8638 //
     /* 1278612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1278632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1278668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278690 */     // GIR_Coverage, 8638,
     /* 1278690 */     GIR_EraseRootFromParent_Done,
     /* 1278691 */   // Label 18380: @1278691
     /* 1278691 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278775), // Rule ID 8641 //
     /* 1278696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278774 */     // GIR_Coverage, 8641,
     /* 1278774 */     GIR_EraseRootFromParent_Done,
     /* 1278775 */   // Label 18381: @1278775
     /* 1278775 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278859), // Rule ID 8642 //
     /* 1278780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1278800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1278836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278858 */     // GIR_Coverage, 8642,
     /* 1278858 */     GIR_EraseRootFromParent_Done,
     /* 1278859 */   // Label 18382: @1278859
     /* 1278859 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1278943), // Rule ID 8645 //
     /* 1278864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1278920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278942 */     // GIR_Coverage, 8645,
     /* 1278942 */     GIR_EraseRootFromParent_Done,
     /* 1278943 */   // Label 18383: @1278943
     /* 1278943 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279027), // Rule ID 8646 //
     /* 1278948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1279004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279026 */     // GIR_Coverage, 8646,
     /* 1279026 */     GIR_EraseRootFromParent_Done,
     /* 1279027 */   // Label 18384: @1279027
     /* 1279027 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279111), // Rule ID 8649 //
     /* 1279032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279110 */     // GIR_Coverage, 8649,
     /* 1279110 */     GIR_EraseRootFromParent_Done,
     /* 1279111 */   // Label 18385: @1279111
     /* 1279111 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279195), // Rule ID 8650 //
     /* 1279116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279194 */     // GIR_Coverage, 8650,
     /* 1279194 */     GIR_EraseRootFromParent_Done,
     /* 1279195 */   // Label 18386: @1279195
     /* 1279195 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279279), // Rule ID 8653 //
     /* 1279200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279278 */     // GIR_Coverage, 8653,
     /* 1279278 */     GIR_EraseRootFromParent_Done,
     /* 1279279 */   // Label 18387: @1279279
     /* 1279279 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279363), // Rule ID 8654 //
     /* 1279284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279337 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279362 */     // GIR_Coverage, 8654,
     /* 1279362 */     GIR_EraseRootFromParent_Done,
     /* 1279363 */   // Label 18388: @1279363
     /* 1279363 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279447), // Rule ID 8657 //
     /* 1279368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279446 */     // GIR_Coverage, 8657,
     /* 1279446 */     GIR_EraseRootFromParent_Done,
     /* 1279447 */   // Label 18389: @1279447
     /* 1279447 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279531), // Rule ID 8658 //
     /* 1279452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1279508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279530 */     // GIR_Coverage, 8658,
     /* 1279530 */     GIR_EraseRootFromParent_Done,
     /* 1279531 */   // Label 18390: @1279531
     /* 1279531 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279615), // Rule ID 8661 //
     /* 1279536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279589 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279614 */     // GIR_Coverage, 8661,
     /* 1279614 */     GIR_EraseRootFromParent_Done,
     /* 1279615 */   // Label 18391: @1279615
     /* 1279615 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279699), // Rule ID 8662 //
     /* 1279620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279698 */     // GIR_Coverage, 8662,
     /* 1279698 */     GIR_EraseRootFromParent_Done,
     /* 1279699 */   // Label 18392: @1279699
     /* 1279699 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279783), // Rule ID 8665 //
     /* 1279704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279782 */     // GIR_Coverage, 8665,
     /* 1279782 */     GIR_EraseRootFromParent_Done,
     /* 1279783 */   // Label 18393: @1279783
     /* 1279783 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279867), // Rule ID 8666 //
     /* 1279788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1279844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279866 */     // GIR_Coverage, 8666,
     /* 1279866 */     GIR_EraseRootFromParent_Done,
     /* 1279867 */   // Label 18394: @1279867
     /* 1279867 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1279951), // Rule ID 8669 //
     /* 1279872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279950 */     // GIR_Coverage, 8669,
     /* 1279950 */     GIR_EraseRootFromParent_Done,
     /* 1279951 */   // Label 18395: @1279951
     /* 1279951 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280035), // Rule ID 8670 //
     /* 1279956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280034 */     // GIR_Coverage, 8670,
     /* 1280034 */     GIR_EraseRootFromParent_Done,
     /* 1280035 */   // Label 18396: @1280035
     /* 1280035 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280119), // Rule ID 8673 //
     /* 1280040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280118 */     // GIR_Coverage, 8673,
     /* 1280118 */     GIR_EraseRootFromParent_Done,
     /* 1280119 */   // Label 18397: @1280119
     /* 1280119 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280203), // Rule ID 8674 //
     /* 1280124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280202 */     // GIR_Coverage, 8674,
     /* 1280202 */     GIR_EraseRootFromParent_Done,
     /* 1280203 */   // Label 18398: @1280203
     /* 1280203 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280287), // Rule ID 8677 //
     /* 1280208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280261 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280286 */     // GIR_Coverage, 8677,
     /* 1280286 */     GIR_EraseRootFromParent_Done,
     /* 1280287 */   // Label 18399: @1280287
     /* 1280287 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280371), // Rule ID 8678 //
     /* 1280292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280345 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280370 */     // GIR_Coverage, 8678,
     /* 1280370 */     GIR_EraseRootFromParent_Done,
     /* 1280371 */   // Label 18400: @1280371
     /* 1280371 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280455), // Rule ID 8681 //
     /* 1280376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280429 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280454 */     // GIR_Coverage, 8681,
     /* 1280454 */     GIR_EraseRootFromParent_Done,
     /* 1280455 */   // Label 18401: @1280455
     /* 1280455 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280539), // Rule ID 8682 //
     /* 1280460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280513 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1280516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280538 */     // GIR_Coverage, 8682,
     /* 1280538 */     GIR_EraseRootFromParent_Done,
     /* 1280539 */   // Label 18402: @1280539
     /* 1280539 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280623), // Rule ID 8685 //
     /* 1280544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280622 */     // GIR_Coverage, 8685,
     /* 1280622 */     GIR_EraseRootFromParent_Done,
     /* 1280623 */   // Label 18403: @1280623
     /* 1280623 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280707), // Rule ID 8686 //
     /* 1280628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280706 */     // GIR_Coverage, 8686,
     /* 1280706 */     GIR_EraseRootFromParent_Done,
     /* 1280707 */   // Label 18404: @1280707
     /* 1280707 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280791), // Rule ID 8689 //
     /* 1280712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280765 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280790 */     // GIR_Coverage, 8689,
     /* 1280790 */     GIR_EraseRootFromParent_Done,
     /* 1280791 */   // Label 18405: @1280791
     /* 1280791 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280875), // Rule ID 8690 //
     /* 1280796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280849 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280874 */     // GIR_Coverage, 8690,
     /* 1280874 */     GIR_EraseRootFromParent_Done,
     /* 1280875 */   // Label 18406: @1280875
     /* 1280875 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1280959), // Rule ID 8693 //
     /* 1280880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280933 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280958 */     // GIR_Coverage, 8693,
     /* 1280958 */     GIR_EraseRootFromParent_Done,
     /* 1280959 */   // Label 18407: @1280959
     /* 1280959 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281043), // Rule ID 8694 //
     /* 1280964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1280975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1280978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281017 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281042 */     // GIR_Coverage, 8694,
     /* 1281042 */     GIR_EraseRootFromParent_Done,
     /* 1281043 */   // Label 18408: @1281043
     /* 1281043 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281127), // Rule ID 8697 //
     /* 1281048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281126 */     // GIR_Coverage, 8697,
     /* 1281126 */     GIR_EraseRootFromParent_Done,
     /* 1281127 */   // Label 18409: @1281127
     /* 1281127 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281211), // Rule ID 8698 //
     /* 1281132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281210 */     // GIR_Coverage, 8698,
     /* 1281210 */     GIR_EraseRootFromParent_Done,
     /* 1281211 */   // Label 18410: @1281211
     /* 1281211 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281295), // Rule ID 8701 //
     /* 1281216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281294 */     // GIR_Coverage, 8701,
     /* 1281294 */     GIR_EraseRootFromParent_Done,
     /* 1281295 */   // Label 18411: @1281295
     /* 1281295 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281379), // Rule ID 8702 //
     /* 1281300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281378 */     // GIR_Coverage, 8702,
     /* 1281378 */     GIR_EraseRootFromParent_Done,
     /* 1281379 */   // Label 18412: @1281379
     /* 1281379 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281463), // Rule ID 8705 //
     /* 1281384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281437 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281462 */     // GIR_Coverage, 8705,
     /* 1281462 */     GIR_EraseRootFromParent_Done,
     /* 1281463 */   // Label 18413: @1281463
     /* 1281463 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281547), // Rule ID 8706 //
     /* 1281468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281521 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281546 */     // GIR_Coverage, 8706,
     /* 1281546 */     GIR_EraseRootFromParent_Done,
     /* 1281547 */   // Label 18414: @1281547
     /* 1281547 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281631), // Rule ID 8709 //
     /* 1281552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281630 */     // GIR_Coverage, 8709,
     /* 1281630 */     GIR_EraseRootFromParent_Done,
     /* 1281631 */   // Label 18415: @1281631
     /* 1281631 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281715), // Rule ID 8710 //
     /* 1281636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281714 */     // GIR_Coverage, 8710,
     /* 1281714 */     GIR_EraseRootFromParent_Done,
     /* 1281715 */   // Label 18416: @1281715
     /* 1281715 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281799), // Rule ID 8713 //
     /* 1281720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281773 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281798 */     // GIR_Coverage, 8713,
     /* 1281798 */     GIR_EraseRootFromParent_Done,
     /* 1281799 */   // Label 18417: @1281799
     /* 1281799 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281883), // Rule ID 8714 //
     /* 1281804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281882 */     // GIR_Coverage, 8714,
     /* 1281882 */     GIR_EraseRootFromParent_Done,
     /* 1281883 */   // Label 18418: @1281883
     /* 1281883 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1281967), // Rule ID 8717 //
     /* 1281888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281966 */     // GIR_Coverage, 8717,
     /* 1281966 */     GIR_EraseRootFromParent_Done,
     /* 1281967 */   // Label 18419: @1281967
     /* 1281967 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282051), // Rule ID 8718 //
     /* 1281972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282025 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282050 */     // GIR_Coverage, 8718,
     /* 1282050 */     GIR_EraseRootFromParent_Done,
     /* 1282051 */   // Label 18420: @1282051
     /* 1282051 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282135), // Rule ID 8721 //
     /* 1282056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282134 */     // GIR_Coverage, 8721,
     /* 1282134 */     GIR_EraseRootFromParent_Done,
     /* 1282135 */   // Label 18421: @1282135
     /* 1282135 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282219), // Rule ID 8722 //
     /* 1282140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1282196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282218 */     // GIR_Coverage, 8722,
     /* 1282218 */     GIR_EraseRootFromParent_Done,
     /* 1282219 */   // Label 18422: @1282219
     /* 1282219 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282303), // Rule ID 8725 //
     /* 1282224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282302 */     // GIR_Coverage, 8725,
     /* 1282302 */     GIR_EraseRootFromParent_Done,
     /* 1282303 */   // Label 18423: @1282303
     /* 1282303 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282387), // Rule ID 8726 //
     /* 1282308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282361 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1282364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282386 */     // GIR_Coverage, 8726,
     /* 1282386 */     GIR_EraseRootFromParent_Done,
     /* 1282387 */   // Label 18424: @1282387
     /* 1282387 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282471), // Rule ID 8729 //
     /* 1282392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282470 */     // GIR_Coverage, 8729,
     /* 1282470 */     GIR_EraseRootFromParent_Done,
     /* 1282471 */   // Label 18425: @1282471
     /* 1282471 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282555), // Rule ID 8730 //
     /* 1282476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1282532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282554 */     // GIR_Coverage, 8730,
     /* 1282554 */     GIR_EraseRootFromParent_Done,
     /* 1282555 */   // Label 18426: @1282555
     /* 1282555 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282639), // Rule ID 8821 //
     /* 1282560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282613 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1282616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282638 */     // GIR_Coverage, 8821,
     /* 1282638 */     GIR_EraseRootFromParent_Done,
     /* 1282639 */   // Label 18427: @1282639
     /* 1282639 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282723), // Rule ID 8822 //
     /* 1282644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1282664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282697 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1282700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282722 */     // GIR_Coverage, 8822,
     /* 1282722 */     GIR_EraseRootFromParent_Done,
     /* 1282723 */   // Label 18428: @1282723
     /* 1282723 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282807), // Rule ID 8825 //
     /* 1282728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282781 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1282784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282806 */     // GIR_Coverage, 8825,
     /* 1282806 */     GIR_EraseRootFromParent_Done,
     /* 1282807 */   // Label 18429: @1282807
     /* 1282807 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282891), // Rule ID 8826 //
     /* 1282812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1282832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1282868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282890 */     // GIR_Coverage, 8826,
     /* 1282890 */     GIR_EraseRootFromParent_Done,
     /* 1282891 */   // Label 18430: @1282891
     /* 1282891 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1282975), // Rule ID 8829 //
     /* 1282896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1282916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1282952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282974 */     // GIR_Coverage, 8829,
     /* 1282974 */     GIR_EraseRootFromParent_Done,
     /* 1282975 */   // Label 18431: @1282975
     /* 1282975 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283059), // Rule ID 8830 //
     /* 1282980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1283000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283058 */     // GIR_Coverage, 8830,
     /* 1283058 */     GIR_EraseRootFromParent_Done,
     /* 1283059 */   // Label 18432: @1283059
     /* 1283059 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283143), // Rule ID 8833 //
     /* 1283064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283142 */     // GIR_Coverage, 8833,
     /* 1283142 */     GIR_EraseRootFromParent_Done,
     /* 1283143 */   // Label 18433: @1283143
     /* 1283143 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283227), // Rule ID 8834 //
     /* 1283148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1283168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1283204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283226 */     // GIR_Coverage, 8834,
     /* 1283226 */     GIR_EraseRootFromParent_Done,
     /* 1283227 */   // Label 18434: @1283227
     /* 1283227 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283311), // Rule ID 8837 //
     /* 1283232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283310 */     // GIR_Coverage, 8837,
     /* 1283310 */     GIR_EraseRootFromParent_Done,
     /* 1283311 */   // Label 18435: @1283311
     /* 1283311 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283395), // Rule ID 8838 //
     /* 1283316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1283336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283394 */     // GIR_Coverage, 8838,
     /* 1283394 */     GIR_EraseRootFromParent_Done,
     /* 1283395 */   // Label 18436: @1283395
     /* 1283395 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283479), // Rule ID 8841 //
     /* 1283400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283478 */     // GIR_Coverage, 8841,
     /* 1283478 */     GIR_EraseRootFromParent_Done,
     /* 1283479 */   // Label 18437: @1283479
     /* 1283479 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283563), // Rule ID 8842 //
     /* 1283484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1283504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283537 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1283540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283562 */     // GIR_Coverage, 8842,
     /* 1283562 */     GIR_EraseRootFromParent_Done,
     /* 1283563 */   // Label 18438: @1283563
     /* 1283563 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283647), // Rule ID 8845 //
     /* 1283568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283646 */     // GIR_Coverage, 8845,
     /* 1283646 */     GIR_EraseRootFromParent_Done,
     /* 1283647 */   // Label 18439: @1283647
     /* 1283647 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283731), // Rule ID 8846 //
     /* 1283652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283730 */     // GIR_Coverage, 8846,
     /* 1283730 */     GIR_EraseRootFromParent_Done,
     /* 1283731 */   // Label 18440: @1283731
     /* 1283731 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283815), // Rule ID 8849 //
     /* 1283736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283814 */     // GIR_Coverage, 8849,
     /* 1283814 */     GIR_EraseRootFromParent_Done,
     /* 1283815 */   // Label 18441: @1283815
     /* 1283815 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1283899), // Rule ID 8850 //
     /* 1283820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283898 */     // GIR_Coverage, 8850,
     /* 1283898 */     GIR_EraseRootFromParent_Done,
     /* 1283899 */   // Label 18442: @1283899
     /* 1283899 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1283983), // Rule ID 8853 //
     /* 1283904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283982 */     // GIR_Coverage, 8853,
     /* 1283982 */     GIR_EraseRootFromParent_Done,
     /* 1283983 */   // Label 18443: @1283983
     /* 1283983 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284067), // Rule ID 8854 //
     /* 1283988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284066 */     // GIR_Coverage, 8854,
     /* 1284066 */     GIR_EraseRootFromParent_Done,
     /* 1284067 */   // Label 18444: @1284067
     /* 1284067 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284151), // Rule ID 8857 //
     /* 1284072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284150 */     // GIR_Coverage, 8857,
     /* 1284150 */     GIR_EraseRootFromParent_Done,
     /* 1284151 */   // Label 18445: @1284151
     /* 1284151 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284235), // Rule ID 8858 //
     /* 1284156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1284176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1284212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284234 */     // GIR_Coverage, 8858,
     /* 1284234 */     GIR_EraseRootFromParent_Done,
     /* 1284235 */   // Label 18446: @1284235
     /* 1284235 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284319), // Rule ID 8861 //
     /* 1284240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284318 */     // GIR_Coverage, 8861,
     /* 1284318 */     GIR_EraseRootFromParent_Done,
     /* 1284319 */   // Label 18447: @1284319
     /* 1284319 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284403), // Rule ID 8862 //
     /* 1284324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1284344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284377 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284402 */     // GIR_Coverage, 8862,
     /* 1284402 */     GIR_EraseRootFromParent_Done,
     /* 1284403 */   // Label 18448: @1284403
     /* 1284403 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284487), // Rule ID 8865 //
     /* 1284408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284461 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284486 */     // GIR_Coverage, 8865,
     /* 1284486 */     GIR_EraseRootFromParent_Done,
     /* 1284487 */   // Label 18449: @1284487
     /* 1284487 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284571), // Rule ID 8866 //
     /* 1284492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1284512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284545 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284570 */     // GIR_Coverage, 8866,
     /* 1284570 */     GIR_EraseRootFromParent_Done,
     /* 1284571 */   // Label 18450: @1284571
     /* 1284571 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284655), // Rule ID 8869 //
     /* 1284576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284629 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284654 */     // GIR_Coverage, 8869,
     /* 1284654 */     GIR_EraseRootFromParent_Done,
     /* 1284655 */   // Label 18451: @1284655
     /* 1284655 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284739), // Rule ID 8870 //
     /* 1284660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1284680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284713 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284738 */     // GIR_Coverage, 8870,
     /* 1284738 */     GIR_EraseRootFromParent_Done,
     /* 1284739 */   // Label 18452: @1284739
     /* 1284739 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284823), // Rule ID 8873 //
     /* 1284744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284822 */     // GIR_Coverage, 8873,
     /* 1284822 */     GIR_EraseRootFromParent_Done,
     /* 1284823 */   // Label 18453: @1284823
     /* 1284823 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1284907), // Rule ID 8874 //
     /* 1284828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1284848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284906 */     // GIR_Coverage, 8874,
     /* 1284906 */     GIR_EraseRootFromParent_Done,
     /* 1284907 */   // Label 18454: @1284907
     /* 1284907 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1284991), // Rule ID 8877 //
     /* 1284912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1284932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284965 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284990 */     // GIR_Coverage, 8877,
     /* 1284990 */     GIR_EraseRootFromParent_Done,
     /* 1284991 */   // Label 18455: @1284991
     /* 1284991 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285075), // Rule ID 8878 //
     /* 1284996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1285016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285074 */     // GIR_Coverage, 8878,
     /* 1285074 */     GIR_EraseRootFromParent_Done,
     /* 1285075 */   // Label 18456: @1285075
     /* 1285075 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285159), // Rule ID 8881 //
     /* 1285080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285158 */     // GIR_Coverage, 8881,
     /* 1285158 */     GIR_EraseRootFromParent_Done,
     /* 1285159 */   // Label 18457: @1285159
     /* 1285159 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285243), // Rule ID 8882 //
     /* 1285164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1285184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285217 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285242 */     // GIR_Coverage, 8882,
     /* 1285242 */     GIR_EraseRootFromParent_Done,
     /* 1285243 */   // Label 18458: @1285243
     /* 1285243 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285327), // Rule ID 8885 //
     /* 1285248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285326 */     // GIR_Coverage, 8885,
     /* 1285326 */     GIR_EraseRootFromParent_Done,
     /* 1285327 */   // Label 18459: @1285327
     /* 1285327 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285411), // Rule ID 8886 //
     /* 1285332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1285352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285385 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285410 */     // GIR_Coverage, 8886,
     /* 1285410 */     GIR_EraseRootFromParent_Done,
     /* 1285411 */   // Label 18460: @1285411
     /* 1285411 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285495), // Rule ID 8889 //
     /* 1285416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285494 */     // GIR_Coverage, 8889,
     /* 1285494 */     GIR_EraseRootFromParent_Done,
     /* 1285495 */   // Label 18461: @1285495
     /* 1285495 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285579), // Rule ID 8890 //
     /* 1285500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1285520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285578 */     // GIR_Coverage, 8890,
     /* 1285578 */     GIR_EraseRootFromParent_Done,
     /* 1285579 */   // Label 18462: @1285579
     /* 1285579 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285663), // Rule ID 8893 //
     /* 1285584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285637 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285662 */     // GIR_Coverage, 8893,
     /* 1285662 */     GIR_EraseRootFromParent_Done,
     /* 1285663 */   // Label 18463: @1285663
     /* 1285663 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285747), // Rule ID 8894 //
     /* 1285668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1285688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285746 */     // GIR_Coverage, 8894,
     /* 1285746 */     GIR_EraseRootFromParent_Done,
     /* 1285747 */   // Label 18464: @1285747
     /* 1285747 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285831), // Rule ID 8897 //
     /* 1285752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285830 */     // GIR_Coverage, 8897,
     /* 1285830 */     GIR_EraseRootFromParent_Done,
     /* 1285831 */   // Label 18465: @1285831
     /* 1285831 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1285915), // Rule ID 8898 //
     /* 1285836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1285856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1285892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285914 */     // GIR_Coverage, 8898,
     /* 1285914 */     GIR_EraseRootFromParent_Done,
     /* 1285915 */   // Label 18466: @1285915
     /* 1285915 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1285999), // Rule ID 8901 //
     /* 1285920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1285940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1285976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285998 */     // GIR_Coverage, 8901,
     /* 1285998 */     GIR_EraseRootFromParent_Done,
     /* 1285999 */   // Label 18467: @1285999
     /* 1285999 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286083), // Rule ID 8902 //
     /* 1286004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1286024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1286060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286082 */     // GIR_Coverage, 8902,
     /* 1286082 */     GIR_EraseRootFromParent_Done,
     /* 1286083 */   // Label 18468: @1286083
     /* 1286083 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286167), // Rule ID 8905 //
     /* 1286088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286166 */     // GIR_Coverage, 8905,
     /* 1286166 */     GIR_EraseRootFromParent_Done,
     /* 1286167 */   // Label 18469: @1286167
     /* 1286167 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286251), // Rule ID 8906 //
     /* 1286172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1286192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1286228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286250 */     // GIR_Coverage, 8906,
     /* 1286250 */     GIR_EraseRootFromParent_Done,
     /* 1286251 */   // Label 18470: @1286251
     /* 1286251 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286335), // Rule ID 8909 //
     /* 1286256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286309 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286334 */     // GIR_Coverage, 8909,
     /* 1286334 */     GIR_EraseRootFromParent_Done,
     /* 1286335 */   // Label 18471: @1286335
     /* 1286335 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286419), // Rule ID 8910 //
     /* 1286340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1286396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286418 */     // GIR_Coverage, 8910,
     /* 1286418 */     GIR_EraseRootFromParent_Done,
     /* 1286419 */   // Label 18472: @1286419
     /* 1286419 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286503), // Rule ID 8913 //
     /* 1286424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286502 */     // GIR_Coverage, 8913,
     /* 1286502 */     GIR_EraseRootFromParent_Done,
     /* 1286503 */   // Label 18473: @1286503
     /* 1286503 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286587), // Rule ID 8914 //
     /* 1286508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286586 */     // GIR_Coverage, 8914,
     /* 1286586 */     GIR_EraseRootFromParent_Done,
     /* 1286587 */   // Label 18474: @1286587
     /* 1286587 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286671), // Rule ID 8917 //
     /* 1286592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286670 */     // GIR_Coverage, 8917,
     /* 1286670 */     GIR_EraseRootFromParent_Done,
     /* 1286671 */   // Label 18475: @1286671
     /* 1286671 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286755), // Rule ID 8918 //
     /* 1286676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286754 */     // GIR_Coverage, 8918,
     /* 1286754 */     GIR_EraseRootFromParent_Done,
     /* 1286755 */   // Label 18476: @1286755
     /* 1286755 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286839), // Rule ID 8921 //
     /* 1286760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286838 */     // GIR_Coverage, 8921,
     /* 1286838 */     GIR_EraseRootFromParent_Done,
     /* 1286839 */   // Label 18477: @1286839
     /* 1286839 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1286923), // Rule ID 8922 //
     /* 1286844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1286900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286922 */     // GIR_Coverage, 8922,
     /* 1286922 */     GIR_EraseRootFromParent_Done,
     /* 1286923 */   // Label 18478: @1286923
     /* 1286923 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287007), // Rule ID 8925 //
     /* 1286928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286981 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287006 */     // GIR_Coverage, 8925,
     /* 1287006 */     GIR_EraseRootFromParent_Done,
     /* 1287007 */   // Label 18479: @1287007
     /* 1287007 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287091), // Rule ID 8926 //
     /* 1287012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287090 */     // GIR_Coverage, 8926,
     /* 1287090 */     GIR_EraseRootFromParent_Done,
     /* 1287091 */   // Label 18480: @1287091
     /* 1287091 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287175), // Rule ID 8929 //
     /* 1287096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287174 */     // GIR_Coverage, 8929,
     /* 1287174 */     GIR_EraseRootFromParent_Done,
     /* 1287175 */   // Label 18481: @1287175
     /* 1287175 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287259), // Rule ID 8930 //
     /* 1287180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1287236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287258 */     // GIR_Coverage, 8930,
     /* 1287258 */     GIR_EraseRootFromParent_Done,
     /* 1287259 */   // Label 18482: @1287259
     /* 1287259 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287343), // Rule ID 8933 //
     /* 1287264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287342 */     // GIR_Coverage, 8933,
     /* 1287342 */     GIR_EraseRootFromParent_Done,
     /* 1287343 */   // Label 18483: @1287343
     /* 1287343 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287427), // Rule ID 8934 //
     /* 1287348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287426 */     // GIR_Coverage, 8934,
     /* 1287426 */     GIR_EraseRootFromParent_Done,
     /* 1287427 */   // Label 18484: @1287427
     /* 1287427 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287511), // Rule ID 8937 //
     /* 1287432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287510 */     // GIR_Coverage, 8937,
     /* 1287510 */     GIR_EraseRootFromParent_Done,
     /* 1287511 */   // Label 18485: @1287511
     /* 1287511 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287595), // Rule ID 8938 //
     /* 1287516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287594 */     // GIR_Coverage, 8938,
     /* 1287594 */     GIR_EraseRootFromParent_Done,
     /* 1287595 */   // Label 18486: @1287595
     /* 1287595 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287679), // Rule ID 8941 //
     /* 1287600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287678 */     // GIR_Coverage, 8941,
     /* 1287678 */     GIR_EraseRootFromParent_Done,
     /* 1287679 */   // Label 18487: @1287679
     /* 1287679 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287763), // Rule ID 8942 //
     /* 1287684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287762 */     // GIR_Coverage, 8942,
     /* 1287762 */     GIR_EraseRootFromParent_Done,
     /* 1287763 */   // Label 18488: @1287763
     /* 1287763 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287847), // Rule ID 8945 //
     /* 1287768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287846 */     // GIR_Coverage, 8945,
     /* 1287846 */     GIR_EraseRootFromParent_Done,
     /* 1287847 */   // Label 18489: @1287847
     /* 1287847 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1287931), // Rule ID 8946 //
     /* 1287852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1287869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1287908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287930 */     // GIR_Coverage, 8946,
     /* 1287930 */     GIR_EraseRootFromParent_Done,
     /* 1287931 */   // Label 18490: @1287931
     /* 1287931 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288015), // Rule ID 8949 //
     /* 1287936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1287992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288014 */     // GIR_Coverage, 8949,
     /* 1288014 */     GIR_EraseRootFromParent_Done,
     /* 1288015 */   // Label 18491: @1288015
     /* 1288015 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288099), // Rule ID 8950 //
     /* 1288020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288098 */     // GIR_Coverage, 8950,
     /* 1288098 */     GIR_EraseRootFromParent_Done,
     /* 1288099 */   // Label 18492: @1288099
     /* 1288099 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288183), // Rule ID 8953 //
     /* 1288104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288157 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288182 */     // GIR_Coverage, 8953,
     /* 1288182 */     GIR_EraseRootFromParent_Done,
     /* 1288183 */   // Label 18493: @1288183
     /* 1288183 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288267), // Rule ID 8954 //
     /* 1288188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288241 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288266 */     // GIR_Coverage, 8954,
     /* 1288266 */     GIR_EraseRootFromParent_Done,
     /* 1288267 */   // Label 18494: @1288267
     /* 1288267 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288351), // Rule ID 8957 //
     /* 1288272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288325 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288350 */     // GIR_Coverage, 8957,
     /* 1288350 */     GIR_EraseRootFromParent_Done,
     /* 1288351 */   // Label 18495: @1288351
     /* 1288351 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288435), // Rule ID 8958 //
     /* 1288356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288409 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288434 */     // GIR_Coverage, 8958,
     /* 1288434 */     GIR_EraseRootFromParent_Done,
     /* 1288435 */   // Label 18496: @1288435
     /* 1288435 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288519), // Rule ID 8961 //
     /* 1288440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288518 */     // GIR_Coverage, 8961,
     /* 1288518 */     GIR_EraseRootFromParent_Done,
     /* 1288519 */   // Label 18497: @1288519
     /* 1288519 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288603), // Rule ID 8962 //
     /* 1288524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288602 */     // GIR_Coverage, 8962,
     /* 1288602 */     GIR_EraseRootFromParent_Done,
     /* 1288603 */   // Label 18498: @1288603
     /* 1288603 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288687), // Rule ID 8965 //
     /* 1288608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288686 */     // GIR_Coverage, 8965,
     /* 1288686 */     GIR_EraseRootFromParent_Done,
     /* 1288687 */   // Label 18499: @1288687
     /* 1288687 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288771), // Rule ID 8966 //
     /* 1288692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288745 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288770 */     // GIR_Coverage, 8966,
     /* 1288770 */     GIR_EraseRootFromParent_Done,
     /* 1288771 */   // Label 18500: @1288771
     /* 1288771 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288855), // Rule ID 8969 //
     /* 1288776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288829 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288854 */     // GIR_Coverage, 8969,
     /* 1288854 */     GIR_EraseRootFromParent_Done,
     /* 1288855 */   // Label 18501: @1288855
     /* 1288855 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1288939), // Rule ID 8970 //
     /* 1288860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288913 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288938 */     // GIR_Coverage, 8970,
     /* 1288938 */     GIR_EraseRootFromParent_Done,
     /* 1288939 */   // Label 18502: @1288939
     /* 1288939 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289023), // Rule ID 8973 //
     /* 1288944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288997 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289022 */     // GIR_Coverage, 8973,
     /* 1289022 */     GIR_EraseRootFromParent_Done,
     /* 1289023 */   // Label 18503: @1289023
     /* 1289023 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289107), // Rule ID 8974 //
     /* 1289028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289106 */     // GIR_Coverage, 8974,
     /* 1289106 */     GIR_EraseRootFromParent_Done,
     /* 1289107 */   // Label 18504: @1289107
     /* 1289107 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289191), // Rule ID 8977 //
     /* 1289112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289190 */     // GIR_Coverage, 8977,
     /* 1289190 */     GIR_EraseRootFromParent_Done,
     /* 1289191 */   // Label 18505: @1289191
     /* 1289191 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289275), // Rule ID 8978 //
     /* 1289196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289274 */     // GIR_Coverage, 8978,
     /* 1289274 */     GIR_EraseRootFromParent_Done,
     /* 1289275 */   // Label 18506: @1289275
     /* 1289275 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289359), // Rule ID 8981 //
     /* 1289280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289358 */     // GIR_Coverage, 8981,
     /* 1289358 */     GIR_EraseRootFromParent_Done,
     /* 1289359 */   // Label 18507: @1289359
     /* 1289359 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289443), // Rule ID 8982 //
     /* 1289364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289442 */     // GIR_Coverage, 8982,
     /* 1289442 */     GIR_EraseRootFromParent_Done,
     /* 1289443 */   // Label 18508: @1289443
     /* 1289443 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289527), // Rule ID 8985 //
     /* 1289448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289526 */     // GIR_Coverage, 8985,
     /* 1289526 */     GIR_EraseRootFromParent_Done,
     /* 1289527 */   // Label 18509: @1289527
     /* 1289527 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289611), // Rule ID 8986 //
     /* 1289532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1289588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289610 */     // GIR_Coverage, 8986,
     /* 1289610 */     GIR_EraseRootFromParent_Done,
     /* 1289611 */   // Label 18510: @1289611
     /* 1289611 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289695), // Rule ID 8989 //
     /* 1289616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289694 */     // GIR_Coverage, 8989,
     /* 1289694 */     GIR_EraseRootFromParent_Done,
     /* 1289695 */   // Label 18511: @1289695
     /* 1289695 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289779), // Rule ID 8990 //
     /* 1289700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1289756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289778 */     // GIR_Coverage, 8990,
     /* 1289778 */     GIR_EraseRootFromParent_Done,
     /* 1289779 */   // Label 18512: @1289779
     /* 1289779 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289863), // Rule ID 8993 //
     /* 1289784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289862 */     // GIR_Coverage, 8993,
     /* 1289862 */     GIR_EraseRootFromParent_Done,
     /* 1289863 */   // Label 18513: @1289863
     /* 1289863 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1289947), // Rule ID 8994 //
     /* 1289868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1289885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1289924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289946 */     // GIR_Coverage, 8994,
     /* 1289946 */     GIR_EraseRootFromParent_Done,
     /* 1289947 */   // Label 18514: @1289947
     /* 1289947 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290031), // Rule ID 9085 //
     /* 1289952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290030 */     // GIR_Coverage, 9085,
     /* 1290030 */     GIR_EraseRootFromParent_Done,
     /* 1290031 */   // Label 18515: @1290031
     /* 1290031 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290115), // Rule ID 9086 //
     /* 1290036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1290092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290114 */     // GIR_Coverage, 9086,
     /* 1290114 */     GIR_EraseRootFromParent_Done,
     /* 1290115 */   // Label 18516: @1290115
     /* 1290115 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290199), // Rule ID 9089 //
     /* 1290120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290198 */     // GIR_Coverage, 9089,
     /* 1290198 */     GIR_EraseRootFromParent_Done,
     /* 1290199 */   // Label 18517: @1290199
     /* 1290199 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290283), // Rule ID 9090 //
     /* 1290204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290282 */     // GIR_Coverage, 9090,
     /* 1290282 */     GIR_EraseRootFromParent_Done,
     /* 1290283 */   // Label 18518: @1290283
     /* 1290283 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290367), // Rule ID 9093 //
     /* 1290288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290366 */     // GIR_Coverage, 9093,
     /* 1290366 */     GIR_EraseRootFromParent_Done,
     /* 1290367 */   // Label 18519: @1290367
     /* 1290367 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290451), // Rule ID 9094 //
     /* 1290372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290450 */     // GIR_Coverage, 9094,
     /* 1290450 */     GIR_EraseRootFromParent_Done,
     /* 1290451 */   // Label 18520: @1290451
     /* 1290451 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290535), // Rule ID 9097 //
     /* 1290456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290509 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290534 */     // GIR_Coverage, 9097,
     /* 1290534 */     GIR_EraseRootFromParent_Done,
     /* 1290535 */   // Label 18521: @1290535
     /* 1290535 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290619), // Rule ID 9098 //
     /* 1290540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1290596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290618 */     // GIR_Coverage, 9098,
     /* 1290618 */     GIR_EraseRootFromParent_Done,
     /* 1290619 */   // Label 18522: @1290619
     /* 1290619 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290703), // Rule ID 9101 //
     /* 1290624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290702 */     // GIR_Coverage, 9101,
     /* 1290702 */     GIR_EraseRootFromParent_Done,
     /* 1290703 */   // Label 18523: @1290703
     /* 1290703 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290787), // Rule ID 9102 //
     /* 1290708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290761 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290786 */     // GIR_Coverage, 9102,
     /* 1290786 */     GIR_EraseRootFromParent_Done,
     /* 1290787 */   // Label 18524: @1290787
     /* 1290787 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290871), // Rule ID 9105 //
     /* 1290792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290870 */     // GIR_Coverage, 9105,
     /* 1290870 */     GIR_EraseRootFromParent_Done,
     /* 1290871 */   // Label 18525: @1290871
     /* 1290871 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1290955), // Rule ID 9106 //
     /* 1290876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1290893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1290932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290954 */     // GIR_Coverage, 9106,
     /* 1290954 */     GIR_EraseRootFromParent_Done,
     /* 1290955 */   // Label 18526: @1290955
     /* 1290955 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291039), // Rule ID 9109 //
     /* 1290960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291038 */     // GIR_Coverage, 9109,
     /* 1291038 */     GIR_EraseRootFromParent_Done,
     /* 1291039 */   // Label 18527: @1291039
     /* 1291039 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291123), // Rule ID 9110 //
     /* 1291044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291122 */     // GIR_Coverage, 9110,
     /* 1291122 */     GIR_EraseRootFromParent_Done,
     /* 1291123 */   // Label 18528: @1291123
     /* 1291123 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291207), // Rule ID 9113 //
     /* 1291128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291181 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291206 */     // GIR_Coverage, 9113,
     /* 1291206 */     GIR_EraseRootFromParent_Done,
     /* 1291207 */   // Label 18529: @1291207
     /* 1291207 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291291), // Rule ID 9114 //
     /* 1291212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291290 */     // GIR_Coverage, 9114,
     /* 1291290 */     GIR_EraseRootFromParent_Done,
     /* 1291291 */   // Label 18530: @1291291
     /* 1291291 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291375), // Rule ID 9117 //
     /* 1291296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291374 */     // GIR_Coverage, 9117,
     /* 1291374 */     GIR_EraseRootFromParent_Done,
     /* 1291375 */   // Label 18531: @1291375
     /* 1291375 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291459), // Rule ID 9118 //
     /* 1291380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291433 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291458 */     // GIR_Coverage, 9118,
     /* 1291458 */     GIR_EraseRootFromParent_Done,
     /* 1291459 */   // Label 18532: @1291459
     /* 1291459 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291543), // Rule ID 9121 //
     /* 1291464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291542 */     // GIR_Coverage, 9121,
     /* 1291542 */     GIR_EraseRootFromParent_Done,
     /* 1291543 */   // Label 18533: @1291543
     /* 1291543 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291627), // Rule ID 9122 //
     /* 1291548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291601 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1291604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291626 */     // GIR_Coverage, 9122,
     /* 1291626 */     GIR_EraseRootFromParent_Done,
     /* 1291627 */   // Label 18534: @1291627
     /* 1291627 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291711), // Rule ID 9125 //
     /* 1291632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291710 */     // GIR_Coverage, 9125,
     /* 1291710 */     GIR_EraseRootFromParent_Done,
     /* 1291711 */   // Label 18535: @1291711
     /* 1291711 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291795), // Rule ID 9126 //
     /* 1291716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291769 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291794 */     // GIR_Coverage, 9126,
     /* 1291794 */     GIR_EraseRootFromParent_Done,
     /* 1291795 */   // Label 18536: @1291795
     /* 1291795 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291879), // Rule ID 9129 //
     /* 1291800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291853 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291878 */     // GIR_Coverage, 9129,
     /* 1291878 */     GIR_EraseRootFromParent_Done,
     /* 1291879 */   // Label 18537: @1291879
     /* 1291879 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1291963), // Rule ID 9130 //
     /* 1291884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1291901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291937 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291962 */     // GIR_Coverage, 9130,
     /* 1291962 */     GIR_EraseRootFromParent_Done,
     /* 1291963 */   // Label 18538: @1291963
     /* 1291963 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292047), // Rule ID 9133 //
     /* 1291968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1291979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1291982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1291985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1291991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292021 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292046 */     // GIR_Coverage, 9133,
     /* 1292046 */     GIR_EraseRootFromParent_Done,
     /* 1292047 */   // Label 18539: @1292047
     /* 1292047 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292131), // Rule ID 9134 //
     /* 1292052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292105 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292130 */     // GIR_Coverage, 9134,
     /* 1292130 */     GIR_EraseRootFromParent_Done,
     /* 1292131 */   // Label 18540: @1292131
     /* 1292131 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292215), // Rule ID 9137 //
     /* 1292136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292214 */     // GIR_Coverage, 9137,
     /* 1292214 */     GIR_EraseRootFromParent_Done,
     /* 1292215 */   // Label 18541: @1292215
     /* 1292215 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292299), // Rule ID 9138 //
     /* 1292220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292298 */     // GIR_Coverage, 9138,
     /* 1292298 */     GIR_EraseRootFromParent_Done,
     /* 1292299 */   // Label 18542: @1292299
     /* 1292299 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292383), // Rule ID 9141 //
     /* 1292304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292382 */     // GIR_Coverage, 9141,
     /* 1292382 */     GIR_EraseRootFromParent_Done,
     /* 1292383 */   // Label 18543: @1292383
     /* 1292383 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292467), // Rule ID 9142 //
     /* 1292388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292466 */     // GIR_Coverage, 9142,
     /* 1292466 */     GIR_EraseRootFromParent_Done,
     /* 1292467 */   // Label 18544: @1292467
     /* 1292467 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292551), // Rule ID 9145 //
     /* 1292472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292525 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292550 */     // GIR_Coverage, 9145,
     /* 1292550 */     GIR_EraseRootFromParent_Done,
     /* 1292551 */   // Label 18545: @1292551
     /* 1292551 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292635), // Rule ID 9146 //
     /* 1292556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292609 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292634 */     // GIR_Coverage, 9146,
     /* 1292634 */     GIR_EraseRootFromParent_Done,
     /* 1292635 */   // Label 18546: @1292635
     /* 1292635 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292719), // Rule ID 9149 //
     /* 1292640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292718 */     // GIR_Coverage, 9149,
     /* 1292718 */     GIR_EraseRootFromParent_Done,
     /* 1292719 */   // Label 18547: @1292719
     /* 1292719 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292803), // Rule ID 9150 //
     /* 1292724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292802 */     // GIR_Coverage, 9150,
     /* 1292802 */     GIR_EraseRootFromParent_Done,
     /* 1292803 */   // Label 18548: @1292803
     /* 1292803 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292887), // Rule ID 9153 //
     /* 1292808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292886 */     // GIR_Coverage, 9153,
     /* 1292886 */     GIR_EraseRootFromParent_Done,
     /* 1292887 */   // Label 18549: @1292887
     /* 1292887 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1292971), // Rule ID 9154 //
     /* 1292892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292970 */     // GIR_Coverage, 9154,
     /* 1292970 */     GIR_EraseRootFromParent_Done,
     /* 1292971 */   // Label 18550: @1292971
     /* 1292971 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293055), // Rule ID 9157 //
     /* 1292976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1292993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293054 */     // GIR_Coverage, 9157,
     /* 1293054 */     GIR_EraseRootFromParent_Done,
     /* 1293055 */   // Label 18551: @1293055
     /* 1293055 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293139), // Rule ID 9158 //
     /* 1293060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293138 */     // GIR_Coverage, 9158,
     /* 1293138 */     GIR_EraseRootFromParent_Done,
     /* 1293139 */   // Label 18552: @1293139
     /* 1293139 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293223), // Rule ID 9161 //
     /* 1293144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293222 */     // GIR_Coverage, 9161,
     /* 1293222 */     GIR_EraseRootFromParent_Done,
     /* 1293223 */   // Label 18553: @1293223
     /* 1293223 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293307), // Rule ID 9162 //
     /* 1293228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1293284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293306 */     // GIR_Coverage, 9162,
     /* 1293306 */     GIR_EraseRootFromParent_Done,
     /* 1293307 */   // Label 18554: @1293307
     /* 1293307 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293391), // Rule ID 9165 //
     /* 1293312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293390 */     // GIR_Coverage, 9165,
     /* 1293390 */     GIR_EraseRootFromParent_Done,
     /* 1293391 */   // Label 18555: @1293391
     /* 1293391 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293475), // Rule ID 9166 //
     /* 1293396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293449 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1293452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293474 */     // GIR_Coverage, 9166,
     /* 1293474 */     GIR_EraseRootFromParent_Done,
     /* 1293475 */   // Label 18556: @1293475
     /* 1293475 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293559), // Rule ID 9169 //
     /* 1293480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293558 */     // GIR_Coverage, 9169,
     /* 1293558 */     GIR_EraseRootFromParent_Done,
     /* 1293559 */   // Label 18557: @1293559
     /* 1293559 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293643), // Rule ID 9170 //
     /* 1293564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1293620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293642 */     // GIR_Coverage, 9170,
     /* 1293642 */     GIR_EraseRootFromParent_Done,
     /* 1293643 */   // Label 18558: @1293643
     /* 1293643 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293727), // Rule ID 9261 //
     /* 1293648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1293704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293726 */     // GIR_Coverage, 9261,
     /* 1293726 */     GIR_EraseRootFromParent_Done,
     /* 1293727 */   // Label 18559: @1293727
     /* 1293727 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293811), // Rule ID 9262 //
     /* 1293732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1293788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293810 */     // GIR_Coverage, 9262,
     /* 1293810 */     GIR_EraseRootFromParent_Done,
     /* 1293811 */   // Label 18560: @1293811
     /* 1293811 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293895), // Rule ID 9265 //
     /* 1293816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1293872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293894 */     // GIR_Coverage, 9265,
     /* 1293894 */     GIR_EraseRootFromParent_Done,
     /* 1293895 */   // Label 18561: @1293895
     /* 1293895 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1293979), // Rule ID 9266 //
     /* 1293900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1293917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1293956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293978 */     // GIR_Coverage, 9266,
     /* 1293978 */     GIR_EraseRootFromParent_Done,
     /* 1293979 */   // Label 18562: @1293979
     /* 1293979 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294063), // Rule ID 9269 //
     /* 1293984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294037 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294062 */     // GIR_Coverage, 9269,
     /* 1294062 */     GIR_EraseRootFromParent_Done,
     /* 1294063 */   // Label 18563: @1294063
     /* 1294063 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294147), // Rule ID 9270 //
     /* 1294068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294146 */     // GIR_Coverage, 9270,
     /* 1294146 */     GIR_EraseRootFromParent_Done,
     /* 1294147 */   // Label 18564: @1294147
     /* 1294147 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294231), // Rule ID 9273 //
     /* 1294152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294230 */     // GIR_Coverage, 9273,
     /* 1294230 */     GIR_EraseRootFromParent_Done,
     /* 1294231 */   // Label 18565: @1294231
     /* 1294231 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294315), // Rule ID 9274 //
     /* 1294236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1294292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294314 */     // GIR_Coverage, 9274,
     /* 1294314 */     GIR_EraseRootFromParent_Done,
     /* 1294315 */   // Label 18566: @1294315
     /* 1294315 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294399), // Rule ID 9277 //
     /* 1294320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294398 */     // GIR_Coverage, 9277,
     /* 1294398 */     GIR_EraseRootFromParent_Done,
     /* 1294399 */   // Label 18567: @1294399
     /* 1294399 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294483), // Rule ID 9278 //
     /* 1294404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294482 */     // GIR_Coverage, 9278,
     /* 1294482 */     GIR_EraseRootFromParent_Done,
     /* 1294483 */   // Label 18568: @1294483
     /* 1294483 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294567), // Rule ID 9281 //
     /* 1294488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294566 */     // GIR_Coverage, 9281,
     /* 1294566 */     GIR_EraseRootFromParent_Done,
     /* 1294567 */   // Label 18569: @1294567
     /* 1294567 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294651), // Rule ID 9282 //
     /* 1294572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294625 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1294628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294650 */     // GIR_Coverage, 9282,
     /* 1294650 */     GIR_EraseRootFromParent_Done,
     /* 1294651 */   // Label 18570: @1294651
     /* 1294651 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294735), // Rule ID 9285 //
     /* 1294656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294734 */     // GIR_Coverage, 9285,
     /* 1294734 */     GIR_EraseRootFromParent_Done,
     /* 1294735 */   // Label 18571: @1294735
     /* 1294735 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294819), // Rule ID 9286 //
     /* 1294740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294818 */     // GIR_Coverage, 9286,
     /* 1294818 */     GIR_EraseRootFromParent_Done,
     /* 1294819 */   // Label 18572: @1294819
     /* 1294819 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1294903), // Rule ID 9289 //
     /* 1294824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294877 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294902 */     // GIR_Coverage, 9289,
     /* 1294902 */     GIR_EraseRootFromParent_Done,
     /* 1294903 */   // Label 18573: @1294903
     /* 1294903 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1294987), // Rule ID 9290 //
     /* 1294908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294986 */     // GIR_Coverage, 9290,
     /* 1294986 */     GIR_EraseRootFromParent_Done,
     /* 1294987 */   // Label 18574: @1294987
     /* 1294987 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295071), // Rule ID 9293 //
     /* 1294992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295070 */     // GIR_Coverage, 9293,
     /* 1295070 */     GIR_EraseRootFromParent_Done,
     /* 1295071 */   // Label 18575: @1295071
     /* 1295071 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295155), // Rule ID 9294 //
     /* 1295076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295154 */     // GIR_Coverage, 9294,
     /* 1295154 */     GIR_EraseRootFromParent_Done,
     /* 1295155 */   // Label 18576: @1295155
     /* 1295155 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295239), // Rule ID 9297 //
     /* 1295160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295238 */     // GIR_Coverage, 9297,
     /* 1295238 */     GIR_EraseRootFromParent_Done,
     /* 1295239 */   // Label 18577: @1295239
     /* 1295239 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295323), // Rule ID 9298 //
     /* 1295244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1295300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295322 */     // GIR_Coverage, 9298,
     /* 1295322 */     GIR_EraseRootFromParent_Done,
     /* 1295323 */   // Label 18578: @1295323
     /* 1295323 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295407), // Rule ID 9301 //
     /* 1295328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295381 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295406 */     // GIR_Coverage, 9301,
     /* 1295406 */     GIR_EraseRootFromParent_Done,
     /* 1295407 */   // Label 18579: @1295407
     /* 1295407 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295491), // Rule ID 9302 //
     /* 1295412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295465 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295490 */     // GIR_Coverage, 9302,
     /* 1295490 */     GIR_EraseRootFromParent_Done,
     /* 1295491 */   // Label 18580: @1295491
     /* 1295491 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295575), // Rule ID 9305 //
     /* 1295496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295549 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295574 */     // GIR_Coverage, 9305,
     /* 1295574 */     GIR_EraseRootFromParent_Done,
     /* 1295575 */   // Label 18581: @1295575
     /* 1295575 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295659), // Rule ID 9306 //
     /* 1295580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295633 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295658 */     // GIR_Coverage, 9306,
     /* 1295658 */     GIR_EraseRootFromParent_Done,
     /* 1295659 */   // Label 18582: @1295659
     /* 1295659 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295743), // Rule ID 9309 //
     /* 1295664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295717 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295742 */     // GIR_Coverage, 9309,
     /* 1295742 */     GIR_EraseRootFromParent_Done,
     /* 1295743 */   // Label 18583: @1295743
     /* 1295743 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295827), // Rule ID 9310 //
     /* 1295748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295801 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295826 */     // GIR_Coverage, 9310,
     /* 1295826 */     GIR_EraseRootFromParent_Done,
     /* 1295827 */   // Label 18584: @1295827
     /* 1295827 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1295911), // Rule ID 9313 //
     /* 1295832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295910 */     // GIR_Coverage, 9313,
     /* 1295910 */     GIR_EraseRootFromParent_Done,
     /* 1295911 */   // Label 18585: @1295911
     /* 1295911 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1295995), // Rule ID 9314 //
     /* 1295916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295969 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295994 */     // GIR_Coverage, 9314,
     /* 1295994 */     GIR_EraseRootFromParent_Done,
     /* 1295995 */   // Label 18586: @1295995
     /* 1295995 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296079), // Rule ID 9317 //
     /* 1296000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296078 */     // GIR_Coverage, 9317,
     /* 1296078 */     GIR_EraseRootFromParent_Done,
     /* 1296079 */   // Label 18587: @1296079
     /* 1296079 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296163), // Rule ID 9318 //
     /* 1296084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296137 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296162 */     // GIR_Coverage, 9318,
     /* 1296162 */     GIR_EraseRootFromParent_Done,
     /* 1296163 */   // Label 18588: @1296163
     /* 1296163 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296247), // Rule ID 9321 //
     /* 1296168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296221 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296246 */     // GIR_Coverage, 9321,
     /* 1296246 */     GIR_EraseRootFromParent_Done,
     /* 1296247 */   // Label 18589: @1296247
     /* 1296247 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296331), // Rule ID 9322 //
     /* 1296252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296330 */     // GIR_Coverage, 9322,
     /* 1296330 */     GIR_EraseRootFromParent_Done,
     /* 1296331 */   // Label 18590: @1296331
     /* 1296331 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296415), // Rule ID 9325 //
     /* 1296336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296414 */     // GIR_Coverage, 9325,
     /* 1296414 */     GIR_EraseRootFromParent_Done,
     /* 1296415 */   // Label 18591: @1296415
     /* 1296415 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296499), // Rule ID 9326 //
     /* 1296420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296498 */     // GIR_Coverage, 9326,
     /* 1296498 */     GIR_EraseRootFromParent_Done,
     /* 1296499 */   // Label 18592: @1296499
     /* 1296499 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296583), // Rule ID 9329 //
     /* 1296504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296582 */     // GIR_Coverage, 9329,
     /* 1296582 */     GIR_EraseRootFromParent_Done,
     /* 1296583 */   // Label 18593: @1296583
     /* 1296583 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296667), // Rule ID 9330 //
     /* 1296588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296641 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1296644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296666 */     // GIR_Coverage, 9330,
     /* 1296666 */     GIR_EraseRootFromParent_Done,
     /* 1296667 */   // Label 18594: @1296667
     /* 1296667 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296751), // Rule ID 9333 //
     /* 1296672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296750 */     // GIR_Coverage, 9333,
     /* 1296750 */     GIR_EraseRootFromParent_Done,
     /* 1296751 */   // Label 18595: @1296751
     /* 1296751 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296835), // Rule ID 9334 //
     /* 1296756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296809 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296834 */     // GIR_Coverage, 9334,
     /* 1296834 */     GIR_EraseRootFromParent_Done,
     /* 1296835 */   // Label 18596: @1296835
     /* 1296835 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1296919), // Rule ID 9337 //
     /* 1296840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296918 */     // GIR_Coverage, 9337,
     /* 1296918 */     GIR_EraseRootFromParent_Done,
     /* 1296919 */   // Label 18597: @1296919
     /* 1296919 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297003), // Rule ID 9338 //
     /* 1296924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1296980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297002 */     // GIR_Coverage, 9338,
     /* 1297002 */     GIR_EraseRootFromParent_Done,
     /* 1297003 */   // Label 18598: @1297003
     /* 1297003 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297087), // Rule ID 9341 //
     /* 1297008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297086 */     // GIR_Coverage, 9341,
     /* 1297086 */     GIR_EraseRootFromParent_Done,
     /* 1297087 */   // Label 18599: @1297087
     /* 1297087 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297171), // Rule ID 9342 //
     /* 1297092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297145 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1297148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297170 */     // GIR_Coverage, 9342,
     /* 1297170 */     GIR_EraseRootFromParent_Done,
     /* 1297171 */   // Label 18600: @1297171
     /* 1297171 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297255), // Rule ID 9345 //
     /* 1297176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297254 */     // GIR_Coverage, 9345,
     /* 1297254 */     GIR_EraseRootFromParent_Done,
     /* 1297255 */   // Label 18601: @1297255
     /* 1297255 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297339), // Rule ID 9346 //
     /* 1297260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1297316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297338 */     // GIR_Coverage, 9346,
     /* 1297338 */     GIR_EraseRootFromParent_Done,
     /* 1297339 */   // Label 18602: @1297339
     /* 1297339 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297423), // Rule ID 9437 //
     /* 1297344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297422 */     // GIR_Coverage, 9437,
     /* 1297422 */     GIR_EraseRootFromParent_Done,
     /* 1297423 */   // Label 18603: @1297423
     /* 1297423 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297507), // Rule ID 9438 //
     /* 1297428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1297448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297506 */     // GIR_Coverage, 9438,
     /* 1297506 */     GIR_EraseRootFromParent_Done,
     /* 1297507 */   // Label 18604: @1297507
     /* 1297507 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297591), // Rule ID 9441 //
     /* 1297512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297590 */     // GIR_Coverage, 9441,
     /* 1297590 */     GIR_EraseRootFromParent_Done,
     /* 1297591 */   // Label 18605: @1297591
     /* 1297591 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297675), // Rule ID 9442 //
     /* 1297596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1297616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297674 */     // GIR_Coverage, 9442,
     /* 1297674 */     GIR_EraseRootFromParent_Done,
     /* 1297675 */   // Label 18606: @1297675
     /* 1297675 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297759), // Rule ID 9445 //
     /* 1297680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1297700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297758 */     // GIR_Coverage, 9445,
     /* 1297758 */     GIR_EraseRootFromParent_Done,
     /* 1297759 */   // Label 18607: @1297759
     /* 1297759 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297843), // Rule ID 9446 //
     /* 1297764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1297784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1297820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297842 */     // GIR_Coverage, 9446,
     /* 1297842 */     GIR_EraseRootFromParent_Done,
     /* 1297843 */   // Label 18608: @1297843
     /* 1297843 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1297927), // Rule ID 9449 //
     /* 1297848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1297868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297901 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297926 */     // GIR_Coverage, 9449,
     /* 1297926 */     GIR_EraseRootFromParent_Done,
     /* 1297927 */   // Label 18609: @1297927
     /* 1297927 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298011), // Rule ID 9450 //
     /* 1297932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1297952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1297988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298010 */     // GIR_Coverage, 9450,
     /* 1298010 */     GIR_EraseRootFromParent_Done,
     /* 1298011 */   // Label 18610: @1298011
     /* 1298011 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298095), // Rule ID 9453 //
     /* 1298016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298069 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298094 */     // GIR_Coverage, 9453,
     /* 1298094 */     GIR_EraseRootFromParent_Done,
     /* 1298095 */   // Label 18611: @1298095
     /* 1298095 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298179), // Rule ID 9454 //
     /* 1298100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1298120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298153 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1298156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298178 */     // GIR_Coverage, 9454,
     /* 1298178 */     GIR_EraseRootFromParent_Done,
     /* 1298179 */   // Label 18612: @1298179
     /* 1298179 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298263), // Rule ID 9457 //
     /* 1298184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298262 */     // GIR_Coverage, 9457,
     /* 1298262 */     GIR_EraseRootFromParent_Done,
     /* 1298263 */   // Label 18613: @1298263
     /* 1298263 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298347), // Rule ID 9458 //
     /* 1298268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1298288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298346 */     // GIR_Coverage, 9458,
     /* 1298346 */     GIR_EraseRootFromParent_Done,
     /* 1298347 */   // Label 18614: @1298347
     /* 1298347 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298431), // Rule ID 9461 //
     /* 1298352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298405 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298430 */     // GIR_Coverage, 9461,
     /* 1298430 */     GIR_EraseRootFromParent_Done,
     /* 1298431 */   // Label 18615: @1298431
     /* 1298431 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298515), // Rule ID 9462 //
     /* 1298436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1298456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298514 */     // GIR_Coverage, 9462,
     /* 1298514 */     GIR_EraseRootFromParent_Done,
     /* 1298515 */   // Label 18616: @1298515
     /* 1298515 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298599), // Rule ID 9465 //
     /* 1298520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298573 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298598 */     // GIR_Coverage, 9465,
     /* 1298598 */     GIR_EraseRootFromParent_Done,
     /* 1298599 */   // Label 18617: @1298599
     /* 1298599 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298683), // Rule ID 9466 //
     /* 1298604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1298624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298682 */     // GIR_Coverage, 9466,
     /* 1298682 */     GIR_EraseRootFromParent_Done,
     /* 1298683 */   // Label 18618: @1298683
     /* 1298683 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298767), // Rule ID 9469 //
     /* 1298688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1298708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298766 */     // GIR_Coverage, 9469,
     /* 1298766 */     GIR_EraseRootFromParent_Done,
     /* 1298767 */   // Label 18619: @1298767
     /* 1298767 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298851), // Rule ID 9470 //
     /* 1298772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1298792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1298828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298850 */     // GIR_Coverage, 9470,
     /* 1298850 */     GIR_EraseRootFromParent_Done,
     /* 1298851 */   // Label 18620: @1298851
     /* 1298851 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1298935), // Rule ID 9473 //
     /* 1298856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1298876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298909 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298934 */     // GIR_Coverage, 9473,
     /* 1298934 */     GIR_EraseRootFromParent_Done,
     /* 1298935 */   // Label 18621: @1298935
     /* 1298935 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299019), // Rule ID 9474 //
     /* 1298940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1298960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299018 */     // GIR_Coverage, 9474,
     /* 1299018 */     GIR_EraseRootFromParent_Done,
     /* 1299019 */   // Label 18622: @1299019
     /* 1299019 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299103), // Rule ID 9477 //
     /* 1299024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299102 */     // GIR_Coverage, 9477,
     /* 1299102 */     GIR_EraseRootFromParent_Done,
     /* 1299103 */   // Label 18623: @1299103
     /* 1299103 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299187), // Rule ID 9478 //
     /* 1299108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1299128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299161 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299186 */     // GIR_Coverage, 9478,
     /* 1299186 */     GIR_EraseRootFromParent_Done,
     /* 1299187 */   // Label 18624: @1299187
     /* 1299187 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299271), // Rule ID 9481 //
     /* 1299192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299245 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299270 */     // GIR_Coverage, 9481,
     /* 1299270 */     GIR_EraseRootFromParent_Done,
     /* 1299271 */   // Label 18625: @1299271
     /* 1299271 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299355), // Rule ID 9482 //
     /* 1299276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1299296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299329 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299354 */     // GIR_Coverage, 9482,
     /* 1299354 */     GIR_EraseRootFromParent_Done,
     /* 1299355 */   // Label 18626: @1299355
     /* 1299355 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299439), // Rule ID 9485 //
     /* 1299360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299413 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299438 */     // GIR_Coverage, 9485,
     /* 1299438 */     GIR_EraseRootFromParent_Done,
     /* 1299439 */   // Label 18627: @1299439
     /* 1299439 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299523), // Rule ID 9486 //
     /* 1299444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1299464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299522 */     // GIR_Coverage, 9486,
     /* 1299522 */     GIR_EraseRootFromParent_Done,
     /* 1299523 */   // Label 18628: @1299523
     /* 1299523 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299607), // Rule ID 9489 //
     /* 1299528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299581 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299606 */     // GIR_Coverage, 9489,
     /* 1299606 */     GIR_EraseRootFromParent_Done,
     /* 1299607 */   // Label 18629: @1299607
     /* 1299607 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299691), // Rule ID 9490 //
     /* 1299612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1299632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299690 */     // GIR_Coverage, 9490,
     /* 1299690 */     GIR_EraseRootFromParent_Done,
     /* 1299691 */   // Label 18630: @1299691
     /* 1299691 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299775), // Rule ID 9493 //
     /* 1299696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1299716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299749 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299774 */     // GIR_Coverage, 9493,
     /* 1299774 */     GIR_EraseRootFromParent_Done,
     /* 1299775 */   // Label 18631: @1299775
     /* 1299775 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299859), // Rule ID 9494 //
     /* 1299780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1299800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299833 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299858 */     // GIR_Coverage, 9494,
     /* 1299858 */     GIR_EraseRootFromParent_Done,
     /* 1299859 */   // Label 18632: @1299859
     /* 1299859 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1299943), // Rule ID 9497 //
     /* 1299864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1299884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299917 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299942 */     // GIR_Coverage, 9497,
     /* 1299942 */     GIR_EraseRootFromParent_Done,
     /* 1299943 */   // Label 18633: @1299943
     /* 1299943 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300027), // Rule ID 9498 //
     /* 1299948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1299968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300026 */     // GIR_Coverage, 9498,
     /* 1300026 */     GIR_EraseRootFromParent_Done,
     /* 1300027 */   // Label 18634: @1300027
     /* 1300027 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300111), // Rule ID 9501 //
     /* 1300032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300085 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300110 */     // GIR_Coverage, 9501,
     /* 1300110 */     GIR_EraseRootFromParent_Done,
     /* 1300111 */   // Label 18635: @1300111
     /* 1300111 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300195), // Rule ID 9502 //
     /* 1300116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1300136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300194 */     // GIR_Coverage, 9502,
     /* 1300194 */     GIR_EraseRootFromParent_Done,
     /* 1300195 */   // Label 18636: @1300195
     /* 1300195 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300279), // Rule ID 9505 //
     /* 1300200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300278 */     // GIR_Coverage, 9505,
     /* 1300278 */     GIR_EraseRootFromParent_Done,
     /* 1300279 */   // Label 18637: @1300279
     /* 1300279 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300363), // Rule ID 9506 //
     /* 1300284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1300304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300362 */     // GIR_Coverage, 9506,
     /* 1300362 */     GIR_EraseRootFromParent_Done,
     /* 1300363 */   // Label 18638: @1300363
     /* 1300363 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300447), // Rule ID 9509 //
     /* 1300368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300421 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300446 */     // GIR_Coverage, 9509,
     /* 1300446 */     GIR_EraseRootFromParent_Done,
     /* 1300447 */   // Label 18639: @1300447
     /* 1300447 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300531), // Rule ID 9510 //
     /* 1300452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1300472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1300508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300530 */     // GIR_Coverage, 9510,
     /* 1300530 */     GIR_EraseRootFromParent_Done,
     /* 1300531 */   // Label 18640: @1300531
     /* 1300531 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300615), // Rule ID 9513 //
     /* 1300536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300614 */     // GIR_Coverage, 9513,
     /* 1300614 */     GIR_EraseRootFromParent_Done,
     /* 1300615 */   // Label 18641: @1300615
     /* 1300615 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300699), // Rule ID 9514 //
     /* 1300620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1300640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1300676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300698 */     // GIR_Coverage, 9514,
     /* 1300698 */     GIR_EraseRootFromParent_Done,
     /* 1300699 */   // Label 18642: @1300699
     /* 1300699 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300783), // Rule ID 9517 //
     /* 1300704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1300724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300782 */     // GIR_Coverage, 9517,
     /* 1300782 */     GIR_EraseRootFromParent_Done,
     /* 1300783 */   // Label 18643: @1300783
     /* 1300783 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300867), // Rule ID 9518 //
     /* 1300788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1300796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1300808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300841 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1300844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300866 */     // GIR_Coverage, 9518,
     /* 1300866 */     GIR_EraseRootFromParent_Done,
     /* 1300867 */   // Label 18644: @1300867
     /* 1300867 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1300951), // Rule ID 9521 //
     /* 1300872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1300892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300925 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1300928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300950 */     // GIR_Coverage, 9521,
     /* 1300950 */     GIR_EraseRootFromParent_Done,
     /* 1300951 */   // Label 18645: @1300951
     /* 1300951 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301035), // Rule ID 9522 //
     /* 1300956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1300973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1300976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1301012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301034 */     // GIR_Coverage, 9522,
     /* 1301034 */     GIR_EraseRootFromParent_Done,
     /* 1301035 */   // Label 18646: @1301035
     /* 1301035 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301119), // Rule ID 9525 //
     /* 1301040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301118 */     // GIR_Coverage, 9525,
     /* 1301118 */     GIR_EraseRootFromParent_Done,
     /* 1301119 */   // Label 18647: @1301119
     /* 1301119 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301203), // Rule ID 9526 //
     /* 1301124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301177 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301202 */     // GIR_Coverage, 9526,
     /* 1301202 */     GIR_EraseRootFromParent_Done,
     /* 1301203 */   // Label 18648: @1301203
     /* 1301203 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301287), // Rule ID 9529 //
     /* 1301208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301261 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301286 */     // GIR_Coverage, 9529,
     /* 1301286 */     GIR_EraseRootFromParent_Done,
     /* 1301287 */   // Label 18649: @1301287
     /* 1301287 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301371), // Rule ID 9530 //
     /* 1301292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1301312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301370 */     // GIR_Coverage, 9530,
     /* 1301370 */     GIR_EraseRootFromParent_Done,
     /* 1301371 */   // Label 18650: @1301371
     /* 1301371 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301455), // Rule ID 9533 //
     /* 1301376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301429 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301454 */     // GIR_Coverage, 9533,
     /* 1301454 */     GIR_EraseRootFromParent_Done,
     /* 1301455 */   // Label 18651: @1301455
     /* 1301455 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301539), // Rule ID 9534 //
     /* 1301460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1301480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301513 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1301516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301538 */     // GIR_Coverage, 9534,
     /* 1301538 */     GIR_EraseRootFromParent_Done,
     /* 1301539 */   // Label 18652: @1301539
     /* 1301539 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301623), // Rule ID 9537 //
     /* 1301544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1301564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301622 */     // GIR_Coverage, 9537,
     /* 1301622 */     GIR_EraseRootFromParent_Done,
     /* 1301623 */   // Label 18653: @1301623
     /* 1301623 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301707), // Rule ID 9538 //
     /* 1301628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1301648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301706 */     // GIR_Coverage, 9538,
     /* 1301706 */     GIR_EraseRootFromParent_Done,
     /* 1301707 */   // Label 18654: @1301707
     /* 1301707 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301791), // Rule ID 9541 //
     /* 1301712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1301732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301765 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301790 */     // GIR_Coverage, 9541,
     /* 1301790 */     GIR_EraseRootFromParent_Done,
     /* 1301791 */   // Label 18655: @1301791
     /* 1301791 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301875), // Rule ID 9542 //
     /* 1301796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1301816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301849 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1301852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301874 */     // GIR_Coverage, 9542,
     /* 1301874 */     GIR_EraseRootFromParent_Done,
     /* 1301875 */   // Label 18656: @1301875
     /* 1301875 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1301959), // Rule ID 9545 //
     /* 1301880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1301900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301958 */     // GIR_Coverage, 9545,
     /* 1301958 */     GIR_EraseRootFromParent_Done,
     /* 1301959 */   // Label 18657: @1301959
     /* 1301959 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302043), // Rule ID 9546 //
     /* 1301964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1301981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1301984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302042 */     // GIR_Coverage, 9546,
     /* 1302042 */     GIR_EraseRootFromParent_Done,
     /* 1302043 */   // Label 18658: @1302043
     /* 1302043 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302127), // Rule ID 9549 //
     /* 1302048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302126 */     // GIR_Coverage, 9549,
     /* 1302126 */     GIR_EraseRootFromParent_Done,
     /* 1302127 */   // Label 18659: @1302127
     /* 1302127 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302211), // Rule ID 9550 //
     /* 1302132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302185 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302210 */     // GIR_Coverage, 9550,
     /* 1302210 */     GIR_EraseRootFromParent_Done,
     /* 1302211 */   // Label 18660: @1302211
     /* 1302211 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302295), // Rule ID 9553 //
     /* 1302216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302294 */     // GIR_Coverage, 9553,
     /* 1302294 */     GIR_EraseRootFromParent_Done,
     /* 1302295 */   // Label 18661: @1302295
     /* 1302295 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302379), // Rule ID 9554 //
     /* 1302300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1302320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302378 */     // GIR_Coverage, 9554,
     /* 1302378 */     GIR_EraseRootFromParent_Done,
     /* 1302379 */   // Label 18662: @1302379
     /* 1302379 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302463), // Rule ID 9557 //
     /* 1302384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302462 */     // GIR_Coverage, 9557,
     /* 1302462 */     GIR_EraseRootFromParent_Done,
     /* 1302463 */   // Label 18663: @1302463
     /* 1302463 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302547), // Rule ID 9558 //
     /* 1302468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1302488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1302524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302546 */     // GIR_Coverage, 9558,
     /* 1302546 */     GIR_EraseRootFromParent_Done,
     /* 1302547 */   // Label 18664: @1302547
     /* 1302547 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302631), // Rule ID 9561 //
     /* 1302552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1302572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302605 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302630 */     // GIR_Coverage, 9561,
     /* 1302630 */     GIR_EraseRootFromParent_Done,
     /* 1302631 */   // Label 18665: @1302631
     /* 1302631 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302715), // Rule ID 9562 //
     /* 1302636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1302653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1302656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302689 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302714 */     // GIR_Coverage, 9562,
     /* 1302714 */     GIR_EraseRootFromParent_Done,
     /* 1302715 */   // Label 18666: @1302715
     /* 1302715 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302799), // Rule ID 9565 //
     /* 1302720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1302740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302773 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302798 */     // GIR_Coverage, 9565,
     /* 1302798 */     GIR_EraseRootFromParent_Done,
     /* 1302799 */   // Label 18667: @1302799
     /* 1302799 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302883), // Rule ID 9566 //
     /* 1302804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1302821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1302824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302857 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302882 */     // GIR_Coverage, 9566,
     /* 1302882 */     GIR_EraseRootFromParent_Done,
     /* 1302883 */   // Label 18668: @1302883
     /* 1302883 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1302967), // Rule ID 9569 //
     /* 1302888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1302908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302941 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302966 */     // GIR_Coverage, 9569,
     /* 1302966 */     GIR_EraseRootFromParent_Done,
     /* 1302967 */   // Label 18669: @1302967
     /* 1302967 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303051), // Rule ID 9570 //
     /* 1302972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1302983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1302986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1302989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1302992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1302995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303025 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303050 */     // GIR_Coverage, 9570,
     /* 1303050 */     GIR_EraseRootFromParent_Done,
     /* 1303051 */   // Label 18670: @1303051
     /* 1303051 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303135), // Rule ID 9573 //
     /* 1303056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303134 */     // GIR_Coverage, 9573,
     /* 1303134 */     GIR_EraseRootFromParent_Done,
     /* 1303135 */   // Label 18671: @1303135
     /* 1303135 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303219), // Rule ID 9574 //
     /* 1303140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303218 */     // GIR_Coverage, 9574,
     /* 1303218 */     GIR_EraseRootFromParent_Done,
     /* 1303219 */   // Label 18672: @1303219
     /* 1303219 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303303), // Rule ID 9577 //
     /* 1303224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303277 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303302 */     // GIR_Coverage, 9577,
     /* 1303302 */     GIR_EraseRootFromParent_Done,
     /* 1303303 */   // Label 18673: @1303303
     /* 1303303 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303387), // Rule ID 9578 //
     /* 1303308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1303328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303361 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303386 */     // GIR_Coverage, 9578,
     /* 1303386 */     GIR_EraseRootFromParent_Done,
     /* 1303387 */   // Label 18674: @1303387
     /* 1303387 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303471), // Rule ID 9581 //
     /* 1303392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303445 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303470 */     // GIR_Coverage, 9581,
     /* 1303470 */     GIR_EraseRootFromParent_Done,
     /* 1303471 */   // Label 18675: @1303471
     /* 1303471 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303555), // Rule ID 9582 //
     /* 1303476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1303496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303529 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303554 */     // GIR_Coverage, 9582,
     /* 1303554 */     GIR_EraseRootFromParent_Done,
     /* 1303555 */   // Label 18676: @1303555
     /* 1303555 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303639), // Rule ID 9585 //
     /* 1303560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1303580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303638 */     // GIR_Coverage, 9585,
     /* 1303638 */     GIR_EraseRootFromParent_Done,
     /* 1303639 */   // Label 18677: @1303639
     /* 1303639 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303723), // Rule ID 9586 //
     /* 1303644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1303661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1303664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303722 */     // GIR_Coverage, 9586,
     /* 1303722 */     GIR_EraseRootFromParent_Done,
     /* 1303723 */   // Label 18678: @1303723
     /* 1303723 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303807), // Rule ID 9589 //
     /* 1303728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1303748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303806 */     // GIR_Coverage, 9589,
     /* 1303806 */     GIR_EraseRootFromParent_Done,
     /* 1303807 */   // Label 18679: @1303807
     /* 1303807 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303891), // Rule ID 9590 //
     /* 1303812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1303829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1303832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303865 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303890 */     // GIR_Coverage, 9590,
     /* 1303890 */     GIR_EraseRootFromParent_Done,
     /* 1303891 */   // Label 18680: @1303891
     /* 1303891 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1303975), // Rule ID 9593 //
     /* 1303896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1303916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303949 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303974 */     // GIR_Coverage, 9593,
     /* 1303974 */     GIR_EraseRootFromParent_Done,
     /* 1303975 */   // Label 18681: @1303975
     /* 1303975 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304059), // Rule ID 9594 //
     /* 1303980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1303997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304058 */     // GIR_Coverage, 9594,
     /* 1304058 */     GIR_EraseRootFromParent_Done,
     /* 1304059 */   // Label 18682: @1304059
     /* 1304059 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304143), // Rule ID 9597 //
     /* 1304064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304142 */     // GIR_Coverage, 9597,
     /* 1304142 */     GIR_EraseRootFromParent_Done,
     /* 1304143 */   // Label 18683: @1304143
     /* 1304143 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304227), // Rule ID 9598 //
     /* 1304148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304201 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1304204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304226 */     // GIR_Coverage, 9598,
     /* 1304226 */     GIR_EraseRootFromParent_Done,
     /* 1304227 */   // Label 18684: @1304227
     /* 1304227 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304311), // Rule ID 9601 //
     /* 1304232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304310 */     // GIR_Coverage, 9601,
     /* 1304310 */     GIR_EraseRootFromParent_Done,
     /* 1304311 */   // Label 18685: @1304311
     /* 1304311 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304395), // Rule ID 9602 //
     /* 1304316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1304336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1304372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304394 */     // GIR_Coverage, 9602,
     /* 1304394 */     GIR_EraseRootFromParent_Done,
     /* 1304395 */   // Label 18686: @1304395
     /* 1304395 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304479), // Rule ID 9605 //
     /* 1304400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304453 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304478 */     // GIR_Coverage, 9605,
     /* 1304478 */     GIR_EraseRootFromParent_Done,
     /* 1304479 */   // Label 18687: @1304479
     /* 1304479 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304563), // Rule ID 9606 //
     /* 1304484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1304492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1304504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1304540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304562 */     // GIR_Coverage, 9606,
     /* 1304562 */     GIR_EraseRootFromParent_Done,
     /* 1304563 */   // Label 18688: @1304563
     /* 1304563 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304647), // Rule ID 9609 //
     /* 1304568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1304585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1304588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1304624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304646 */     // GIR_Coverage, 9609,
     /* 1304646 */     GIR_EraseRootFromParent_Done,
     /* 1304647 */   // Label 18689: @1304647
     /* 1304647 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304731), // Rule ID 9610 //
     /* 1304652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1304669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1304672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1304708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304730 */     // GIR_Coverage, 9610,
     /* 1304730 */     GIR_EraseRootFromParent_Done,
     /* 1304731 */   // Label 18690: @1304731
     /* 1304731 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304815), // Rule ID 9613 //
     /* 1304736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1304792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304814 */     // GIR_Coverage, 9613,
     /* 1304814 */     GIR_EraseRootFromParent_Done,
     /* 1304815 */   // Label 18691: @1304815
     /* 1304815 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1304899), // Rule ID 9614 //
     /* 1304820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1304837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1304840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1304876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304898 */     // GIR_Coverage, 9614,
     /* 1304898 */     GIR_EraseRootFromParent_Done,
     /* 1304899 */   // Label 18692: @1304899
     /* 1304899 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1304983), // Rule ID 9617 //
     /* 1304904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1304921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1304924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1304960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304982 */     // GIR_Coverage, 9617,
     /* 1304982 */     GIR_EraseRootFromParent_Done,
     /* 1304983 */   // Label 18693: @1304983
     /* 1304983 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305067), // Rule ID 9618 //
     /* 1304988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305066 */     // GIR_Coverage, 9618,
     /* 1305066 */     GIR_EraseRootFromParent_Done,
     /* 1305067 */   // Label 18694: @1305067
     /* 1305067 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305151), // Rule ID 9621 //
     /* 1305072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305150 */     // GIR_Coverage, 9621,
     /* 1305150 */     GIR_EraseRootFromParent_Done,
     /* 1305151 */   // Label 18695: @1305151
     /* 1305151 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305235), // Rule ID 9622 //
     /* 1305156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1305212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305234 */     // GIR_Coverage, 9622,
     /* 1305234 */     GIR_EraseRootFromParent_Done,
     /* 1305235 */   // Label 18696: @1305235
     /* 1305235 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305319), // Rule ID 9625 //
     /* 1305240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305318 */     // GIR_Coverage, 9625,
     /* 1305318 */     GIR_EraseRootFromParent_Done,
     /* 1305319 */   // Label 18697: @1305319
     /* 1305319 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305403), // Rule ID 9626 //
     /* 1305324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1305344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305402 */     // GIR_Coverage, 9626,
     /* 1305402 */     GIR_EraseRootFromParent_Done,
     /* 1305403 */   // Label 18698: @1305403
     /* 1305403 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305487), // Rule ID 9629 //
     /* 1305408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305486 */     // GIR_Coverage, 9629,
     /* 1305486 */     GIR_EraseRootFromParent_Done,
     /* 1305487 */   // Label 18699: @1305487
     /* 1305487 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305571), // Rule ID 9630 //
     /* 1305492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1305512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1305548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305570 */     // GIR_Coverage, 9630,
     /* 1305570 */     GIR_EraseRootFromParent_Done,
     /* 1305571 */   // Label 18700: @1305571
     /* 1305571 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305655), // Rule ID 9633 //
     /* 1305576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305654 */     // GIR_Coverage, 9633,
     /* 1305654 */     GIR_EraseRootFromParent_Done,
     /* 1305655 */   // Label 18701: @1305655
     /* 1305655 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305739), // Rule ID 9634 //
     /* 1305660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1305677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1305680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305738 */     // GIR_Coverage, 9634,
     /* 1305738 */     GIR_EraseRootFromParent_Done,
     /* 1305739 */   // Label 18702: @1305739
     /* 1305739 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305823), // Rule ID 9637 //
     /* 1305744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305822 */     // GIR_Coverage, 9637,
     /* 1305822 */     GIR_EraseRootFromParent_Done,
     /* 1305823 */   // Label 18703: @1305823
     /* 1305823 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1305907), // Rule ID 9638 //
     /* 1305828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1305845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1305848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305906 */     // GIR_Coverage, 9638,
     /* 1305906 */     GIR_EraseRootFromParent_Done,
     /* 1305907 */   // Label 18704: @1305907
     /* 1305907 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1305991), // Rule ID 9641 //
     /* 1305912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1305929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1305932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305990 */     // GIR_Coverage, 9641,
     /* 1305990 */     GIR_EraseRootFromParent_Done,
     /* 1305991 */   // Label 18705: @1305991
     /* 1305991 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306075), // Rule ID 9642 //
     /* 1305996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306074 */     // GIR_Coverage, 9642,
     /* 1306074 */     GIR_EraseRootFromParent_Done,
     /* 1306075 */   // Label 18706: @1306075
     /* 1306075 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306159), // Rule ID 9645 //
     /* 1306080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306158 */     // GIR_Coverage, 9645,
     /* 1306158 */     GIR_EraseRootFromParent_Done,
     /* 1306159 */   // Label 18707: @1306159
     /* 1306159 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306243), // Rule ID 9646 //
     /* 1306164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1306220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306242 */     // GIR_Coverage, 9646,
     /* 1306242 */     GIR_EraseRootFromParent_Done,
     /* 1306243 */   // Label 18708: @1306243
     /* 1306243 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306327), // Rule ID 9649 //
     /* 1306248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306301 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306326 */     // GIR_Coverage, 9649,
     /* 1306326 */     GIR_EraseRootFromParent_Done,
     /* 1306327 */   // Label 18709: @1306327
     /* 1306327 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306411), // Rule ID 9650 //
     /* 1306332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1306352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306385 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306410 */     // GIR_Coverage, 9650,
     /* 1306410 */     GIR_EraseRootFromParent_Done,
     /* 1306411 */   // Label 18710: @1306411
     /* 1306411 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306495), // Rule ID 9653 //
     /* 1306416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306469 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306494 */     // GIR_Coverage, 9653,
     /* 1306494 */     GIR_EraseRootFromParent_Done,
     /* 1306495 */   // Label 18711: @1306495
     /* 1306495 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306579), // Rule ID 9654 //
     /* 1306500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1306520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306553 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306578 */     // GIR_Coverage, 9654,
     /* 1306578 */     GIR_EraseRootFromParent_Done,
     /* 1306579 */   // Label 18712: @1306579
     /* 1306579 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306663), // Rule ID 9657 //
     /* 1306584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306637 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306662 */     // GIR_Coverage, 9657,
     /* 1306662 */     GIR_EraseRootFromParent_Done,
     /* 1306663 */   // Label 18713: @1306663
     /* 1306663 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306747), // Rule ID 9658 //
     /* 1306668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1306679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1306682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1306685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1306688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1306691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306721 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306746 */     // GIR_Coverage, 9658,
     /* 1306746 */     GIR_EraseRootFromParent_Done,
     /* 1306747 */   // Label 18714: @1306747
     /* 1306747 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306831), // Rule ID 9661 //
     /* 1306752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306805 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306830 */     // GIR_Coverage, 9661,
     /* 1306830 */     GIR_EraseRootFromParent_Done,
     /* 1306831 */   // Label 18715: @1306831
     /* 1306831 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1306915), // Rule ID 9662 //
     /* 1306836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1306856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306914 */     // GIR_Coverage, 9662,
     /* 1306914 */     GIR_EraseRootFromParent_Done,
     /* 1306915 */   // Label 18716: @1306915
     /* 1306915 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1306999), // Rule ID 9665 //
     /* 1306920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1306940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306973 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306998 */     // GIR_Coverage, 9665,
     /* 1306998 */     GIR_EraseRootFromParent_Done,
     /* 1306999 */   // Label 18717: @1306999
     /* 1306999 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307083), // Rule ID 9666 //
     /* 1307004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307082 */     // GIR_Coverage, 9666,
     /* 1307082 */     GIR_EraseRootFromParent_Done,
     /* 1307083 */   // Label 18718: @1307083
     /* 1307083 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307167), // Rule ID 9669 //
     /* 1307088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307166 */     // GIR_Coverage, 9669,
     /* 1307166 */     GIR_EraseRootFromParent_Done,
     /* 1307167 */   // Label 18719: @1307167
     /* 1307167 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307251), // Rule ID 9670 //
     /* 1307172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1307192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307225 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307250 */     // GIR_Coverage, 9670,
     /* 1307250 */     GIR_EraseRootFromParent_Done,
     /* 1307251 */   // Label 18720: @1307251
     /* 1307251 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307335), // Rule ID 9673 //
     /* 1307256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307334 */     // GIR_Coverage, 9673,
     /* 1307334 */     GIR_EraseRootFromParent_Done,
     /* 1307335 */   // Label 18721: @1307335
     /* 1307335 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307419), // Rule ID 9674 //
     /* 1307340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1307360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307418 */     // GIR_Coverage, 9674,
     /* 1307418 */     GIR_EraseRootFromParent_Done,
     /* 1307419 */   // Label 18722: @1307419
     /* 1307419 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307503), // Rule ID 9677 //
     /* 1307424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307502 */     // GIR_Coverage, 9677,
     /* 1307502 */     GIR_EraseRootFromParent_Done,
     /* 1307503 */   // Label 18723: @1307503
     /* 1307503 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307587), // Rule ID 9678 //
     /* 1307508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1307528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307561 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307586 */     // GIR_Coverage, 9678,
     /* 1307586 */     GIR_EraseRootFromParent_Done,
     /* 1307587 */   // Label 18724: @1307587
     /* 1307587 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307671), // Rule ID 9681 //
     /* 1307592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307670 */     // GIR_Coverage, 9681,
     /* 1307670 */     GIR_EraseRootFromParent_Done,
     /* 1307671 */   // Label 18725: @1307671
     /* 1307671 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307755), // Rule ID 9682 //
     /* 1307676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307729 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307754 */     // GIR_Coverage, 9682,
     /* 1307754 */     GIR_EraseRootFromParent_Done,
     /* 1307755 */   // Label 18726: @1307755
     /* 1307755 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307839), // Rule ID 9685 //
     /* 1307760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307838 */     // GIR_Coverage, 9685,
     /* 1307838 */     GIR_EraseRootFromParent_Done,
     /* 1307839 */   // Label 18727: @1307839
     /* 1307839 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1307923), // Rule ID 9686 //
     /* 1307844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1307900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307922 */     // GIR_Coverage, 9686,
     /* 1307922 */     GIR_EraseRootFromParent_Done,
     /* 1307923 */   // Label 18728: @1307923
     /* 1307923 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308007), // Rule ID 9689 //
     /* 1307928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1307936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307981 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1307984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308006 */     // GIR_Coverage, 9689,
     /* 1308006 */     GIR_EraseRootFromParent_Done,
     /* 1308007 */   // Label 18729: @1308007
     /* 1308007 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308091), // Rule ID 9690 //
     /* 1308012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1308068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308090 */     // GIR_Coverage, 9690,
     /* 1308090 */     GIR_EraseRootFromParent_Done,
     /* 1308091 */   // Label 18730: @1308091
     /* 1308091 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308175), // Rule ID 9693 //
     /* 1308096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308174 */     // GIR_Coverage, 9693,
     /* 1308174 */     GIR_EraseRootFromParent_Done,
     /* 1308175 */   // Label 18731: @1308175
     /* 1308175 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308259), // Rule ID 9694 //
     /* 1308180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1308188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1308236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308258 */     // GIR_Coverage, 9694,
     /* 1308258 */     GIR_EraseRootFromParent_Done,
     /* 1308259 */   // Label 18732: @1308259
     /* 1308259 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308343), // Rule ID 9697 //
     /* 1308264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308342 */     // GIR_Coverage, 9697,
     /* 1308342 */     GIR_EraseRootFromParent_Done,
     /* 1308343 */   // Label 18733: @1308343
     /* 1308343 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308427), // Rule ID 9698 //
     /* 1308348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1308365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1308368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1308404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308426 */     // GIR_Coverage, 9698,
     /* 1308426 */     GIR_EraseRootFromParent_Done,
     /* 1308427 */   // Label 18734: @1308427
     /* 1308427 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308511), // Rule ID 9701 //
     /* 1308432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308485 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308510 */     // GIR_Coverage, 9701,
     /* 1308510 */     GIR_EraseRootFromParent_Done,
     /* 1308511 */   // Label 18735: @1308511
     /* 1308511 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308595), // Rule ID 9702 //
     /* 1308516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308594 */     // GIR_Coverage, 9702,
     /* 1308594 */     GIR_EraseRootFromParent_Done,
     /* 1308595 */   // Label 18736: @1308595
     /* 1308595 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308679), // Rule ID 9705 //
     /* 1308600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308678 */     // GIR_Coverage, 9705,
     /* 1308678 */     GIR_EraseRootFromParent_Done,
     /* 1308679 */   // Label 18737: @1308679
     /* 1308679 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308763), // Rule ID 9706 //
     /* 1308684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308762 */     // GIR_Coverage, 9706,
     /* 1308762 */     GIR_EraseRootFromParent_Done,
     /* 1308763 */   // Label 18738: @1308763
     /* 1308763 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308847), // Rule ID 9709 //
     /* 1308768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308846 */     // GIR_Coverage, 9709,
     /* 1308846 */     GIR_EraseRootFromParent_Done,
     /* 1308847 */   // Label 18739: @1308847
     /* 1308847 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1308931), // Rule ID 9710 //
     /* 1308852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1308869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1308872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1308908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308930 */     // GIR_Coverage, 9710,
     /* 1308930 */     GIR_EraseRootFromParent_Done,
     /* 1308931 */   // Label 18740: @1308931
     /* 1308931 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309015), // Rule ID 9713 //
     /* 1308936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1308953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1308956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309014 */     // GIR_Coverage, 9713,
     /* 1309014 */     GIR_EraseRootFromParent_Done,
     /* 1309015 */   // Label 18741: @1309015
     /* 1309015 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309099), // Rule ID 9714 //
     /* 1309020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309098 */     // GIR_Coverage, 9714,
     /* 1309098 */     GIR_EraseRootFromParent_Done,
     /* 1309099 */   // Label 18742: @1309099
     /* 1309099 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309183), // Rule ID 9717 //
     /* 1309104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309182 */     // GIR_Coverage, 9717,
     /* 1309182 */     GIR_EraseRootFromParent_Done,
     /* 1309183 */   // Label 18743: @1309183
     /* 1309183 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309267), // Rule ID 9718 //
     /* 1309188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1309244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309266 */     // GIR_Coverage, 9718,
     /* 1309266 */     GIR_EraseRootFromParent_Done,
     /* 1309267 */   // Label 18744: @1309267
     /* 1309267 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309351), // Rule ID 9721 //
     /* 1309272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309350 */     // GIR_Coverage, 9721,
     /* 1309350 */     GIR_EraseRootFromParent_Done,
     /* 1309351 */   // Label 18745: @1309351
     /* 1309351 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309435), // Rule ID 9722 //
     /* 1309356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309434 */     // GIR_Coverage, 9722,
     /* 1309434 */     GIR_EraseRootFromParent_Done,
     /* 1309435 */   // Label 18746: @1309435
     /* 1309435 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309519), // Rule ID 9725 //
     /* 1309440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309518 */     // GIR_Coverage, 9725,
     /* 1309518 */     GIR_EraseRootFromParent_Done,
     /* 1309519 */   // Label 18747: @1309519
     /* 1309519 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309603), // Rule ID 9726 //
     /* 1309524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309602 */     // GIR_Coverage, 9726,
     /* 1309602 */     GIR_EraseRootFromParent_Done,
     /* 1309603 */   // Label 18748: @1309603
     /* 1309603 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1309687), // Rule ID 9729 //
     /* 1309608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309661 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309686 */     // GIR_Coverage, 9729,
     /* 1309686 */     GIR_EraseRootFromParent_Done,
     /* 1309687 */   // Label 18749: @1309687
     /* 1309687 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309771), // Rule ID 9730 //
     /* 1309692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309770 */     // GIR_Coverage, 9730,
     /* 1309770 */     GIR_EraseRootFromParent_Done,
     /* 1309771 */   // Label 18750: @1309771
     /* 1309771 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309855), // Rule ID 9733 //
     /* 1309776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309829 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309854 */     // GIR_Coverage, 9733,
     /* 1309854 */     GIR_EraseRootFromParent_Done,
     /* 1309855 */   // Label 18751: @1309855
     /* 1309855 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1309939), // Rule ID 9734 //
     /* 1309860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1309877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1309880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1309916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309938 */     // GIR_Coverage, 9734,
     /* 1309938 */     GIR_EraseRootFromParent_Done,
     /* 1309939 */   // Label 18752: @1309939
     /* 1309939 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310023), // Rule ID 9737 //
     /* 1309944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1309961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1309964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310022 */     // GIR_Coverage, 9737,
     /* 1310022 */     GIR_EraseRootFromParent_Done,
     /* 1310023 */   // Label 18753: @1310023
     /* 1310023 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310107), // Rule ID 9738 //
     /* 1310028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310106 */     // GIR_Coverage, 9738,
     /* 1310106 */     GIR_EraseRootFromParent_Done,
     /* 1310107 */   // Label 18754: @1310107
     /* 1310107 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310191), // Rule ID 9741 //
     /* 1310112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310165 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310190 */     // GIR_Coverage, 9741,
     /* 1310190 */     GIR_EraseRootFromParent_Done,
     /* 1310191 */   // Label 18755: @1310191
     /* 1310191 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310275), // Rule ID 9742 //
     /* 1310196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310274 */     // GIR_Coverage, 9742,
     /* 1310274 */     GIR_EraseRootFromParent_Done,
     /* 1310275 */   // Label 18756: @1310275
     /* 1310275 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310359), // Rule ID 9745 //
     /* 1310280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310333 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310358 */     // GIR_Coverage, 9745,
     /* 1310358 */     GIR_EraseRootFromParent_Done,
     /* 1310359 */   // Label 18757: @1310359
     /* 1310359 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310443), // Rule ID 9746 //
     /* 1310364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310417 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310442 */     // GIR_Coverage, 9746,
     /* 1310442 */     GIR_EraseRootFromParent_Done,
     /* 1310443 */   // Label 18758: @1310443
     /* 1310443 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310527), // Rule ID 9749 //
     /* 1310448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310526 */     // GIR_Coverage, 9749,
     /* 1310526 */     GIR_EraseRootFromParent_Done,
     /* 1310527 */   // Label 18759: @1310527
     /* 1310527 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310611), // Rule ID 9750 //
     /* 1310532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310610 */     // GIR_Coverage, 9750,
     /* 1310610 */     GIR_EraseRootFromParent_Done,
     /* 1310611 */   // Label 18760: @1310611
     /* 1310611 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1310695), // Rule ID 9753 //
     /* 1310616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310694 */     // GIR_Coverage, 9753,
     /* 1310694 */     GIR_EraseRootFromParent_Done,
     /* 1310695 */   // Label 18761: @1310695
     /* 1310695 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310779), // Rule ID 9754 //
     /* 1310700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310778 */     // GIR_Coverage, 9754,
     /* 1310778 */     GIR_EraseRootFromParent_Done,
     /* 1310779 */   // Label 18762: @1310779
     /* 1310779 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310863), // Rule ID 9757 //
     /* 1310784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310837 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310862 */     // GIR_Coverage, 9757,
     /* 1310862 */     GIR_EraseRootFromParent_Done,
     /* 1310863 */   // Label 18763: @1310863
     /* 1310863 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1310947), // Rule ID 9758 //
     /* 1310868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1310888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310921 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310946 */     // GIR_Coverage, 9758,
     /* 1310946 */     GIR_EraseRootFromParent_Done,
     /* 1310947 */   // Label 18764: @1310947
     /* 1310947 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311031), // Rule ID 9761 //
     /* 1310952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1310972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311030 */     // GIR_Coverage, 9761,
     /* 1311030 */     GIR_EraseRootFromParent_Done,
     /* 1311031 */   // Label 18765: @1311031
     /* 1311031 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311115), // Rule ID 9762 //
     /* 1311036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311114 */     // GIR_Coverage, 9762,
     /* 1311114 */     GIR_EraseRootFromParent_Done,
     /* 1311115 */   // Label 18766: @1311115
     /* 1311115 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311199), // Rule ID 9765 //
     /* 1311120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311173 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311198 */     // GIR_Coverage, 9765,
     /* 1311198 */     GIR_EraseRootFromParent_Done,
     /* 1311199 */   // Label 18767: @1311199
     /* 1311199 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311283), // Rule ID 9766 //
     /* 1311204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311282 */     // GIR_Coverage, 9766,
     /* 1311282 */     GIR_EraseRootFromParent_Done,
     /* 1311283 */   // Label 18768: @1311283
     /* 1311283 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311367), // Rule ID 9769 //
     /* 1311288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311366 */     // GIR_Coverage, 9769,
     /* 1311366 */     GIR_EraseRootFromParent_Done,
     /* 1311367 */   // Label 18769: @1311367
     /* 1311367 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311451), // Rule ID 9770 //
     /* 1311372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311425 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311450 */     // GIR_Coverage, 9770,
     /* 1311450 */     GIR_EraseRootFromParent_Done,
     /* 1311451 */   // Label 18770: @1311451
     /* 1311451 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311535), // Rule ID 9773 //
     /* 1311456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311534 */     // GIR_Coverage, 9773,
     /* 1311534 */     GIR_EraseRootFromParent_Done,
     /* 1311535 */   // Label 18771: @1311535
     /* 1311535 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1311619), // Rule ID 9774 //
     /* 1311540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311593 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1311596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311618 */     // GIR_Coverage, 9774,
     /* 1311618 */     GIR_EraseRootFromParent_Done,
     /* 1311619 */   // Label 18772: @1311619
     /* 1311619 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311703), // Rule ID 9777 //
     /* 1311624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311677 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311702 */     // GIR_Coverage, 9777,
     /* 1311702 */     GIR_EraseRootFromParent_Done,
     /* 1311703 */   // Label 18773: @1311703
     /* 1311703 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311787), // Rule ID 9778 //
     /* 1311708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311761 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1311764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311786 */     // GIR_Coverage, 9778,
     /* 1311786 */     GIR_EraseRootFromParent_Done,
     /* 1311787 */   // Label 18774: @1311787
     /* 1311787 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311871), // Rule ID 9781 //
     /* 1311792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311870 */     // GIR_Coverage, 9781,
     /* 1311870 */     GIR_EraseRootFromParent_Done,
     /* 1311871 */   // Label 18775: @1311871
     /* 1311871 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1311955), // Rule ID 9782 //
     /* 1311876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1311884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1311896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1311932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311954 */     // GIR_Coverage, 9782,
     /* 1311954 */     GIR_EraseRootFromParent_Done,
     /* 1311955 */   // Label 18776: @1311955
     /* 1311955 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312036), // Rule ID 13723 //
     /* 1311960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1311971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1311974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1311977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1311980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312035 */     // GIR_Coverage, 13723,
     /* 1312035 */     GIR_EraseRootFromParent_Done,
     /* 1312036 */   // Label 18777: @1312036
     /* 1312036 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312117), // Rule ID 13724 //
     /* 1312041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1312052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1312055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1312097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312116 */     // GIR_Coverage, 13724,
     /* 1312116 */     GIR_EraseRootFromParent_Done,
     /* 1312117 */   // Label 18778: @1312117
     /* 1312117 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312198), // Rule ID 13725 //
     /* 1312122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312197 */     // GIR_Coverage, 13725,
     /* 1312197 */     GIR_EraseRootFromParent_Done,
     /* 1312198 */   // Label 18779: @1312198
     /* 1312198 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312279), // Rule ID 13726 //
     /* 1312203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312278 */     // GIR_Coverage, 13726,
     /* 1312278 */     GIR_EraseRootFromParent_Done,
     /* 1312279 */   // Label 18780: @1312279
     /* 1312279 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312360), // Rule ID 13727 //
     /* 1312284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312337 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312359 */     // GIR_Coverage, 13727,
     /* 1312359 */     GIR_EraseRootFromParent_Done,
     /* 1312360 */   // Label 18781: @1312360
     /* 1312360 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312441), // Rule ID 13728 //
     /* 1312365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312440 */     // GIR_Coverage, 13728,
     /* 1312440 */     GIR_EraseRootFromParent_Done,
     /* 1312441 */   // Label 18782: @1312441
     /* 1312441 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1312522), // Rule ID 13729 //
     /* 1312446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312521 */     // GIR_Coverage, 13729,
     /* 1312521 */     GIR_EraseRootFromParent_Done,
     /* 1312522 */   // Label 18783: @1312522
     /* 1312522 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1312603), // Rule ID 13730 //
     /* 1312527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1312583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312602 */     // GIR_Coverage, 13730,
     /* 1312602 */     GIR_EraseRootFromParent_Done,
     /* 1312603 */   // Label 18784: @1312603
     /* 1312603 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312684), // Rule ID 13731 //
     /* 1312608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1312619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1312622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312683 */     // GIR_Coverage, 13731,
     /* 1312683 */     GIR_EraseRootFromParent_Done,
     /* 1312684 */   // Label 18785: @1312684
     /* 1312684 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312765), // Rule ID 13732 //
     /* 1312689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1312700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1312703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312764 */     // GIR_Coverage, 13732,
     /* 1312764 */     GIR_EraseRootFromParent_Done,
     /* 1312765 */   // Label 18786: @1312765
     /* 1312765 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312846), // Rule ID 13733 //
     /* 1312770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1312781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1312784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312845 */     // GIR_Coverage, 13733,
     /* 1312845 */     GIR_EraseRootFromParent_Done,
     /* 1312846 */   // Label 18787: @1312846
     /* 1312846 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1312927), // Rule ID 13734 //
     /* 1312851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1312862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1312865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1312871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1312907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312926 */     // GIR_Coverage, 13734,
     /* 1312926 */     GIR_EraseRootFromParent_Done,
     /* 1312927 */   // Label 18788: @1312927
     /* 1312927 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313008), // Rule ID 13735 //
     /* 1312932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1312943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1312946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1312949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312985 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313007 */     // GIR_Coverage, 13735,
     /* 1313007 */     GIR_EraseRootFromParent_Done,
     /* 1313008 */   // Label 18789: @1313008
     /* 1313008 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313089), // Rule ID 13736 //
     /* 1313013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313088 */     // GIR_Coverage, 13736,
     /* 1313088 */     GIR_EraseRootFromParent_Done,
     /* 1313089 */   // Label 18790: @1313089
     /* 1313089 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313170), // Rule ID 13737 //
     /* 1313094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313169 */     // GIR_Coverage, 13737,
     /* 1313169 */     GIR_EraseRootFromParent_Done,
     /* 1313170 */   // Label 18791: @1313170
     /* 1313170 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313251), // Rule ID 13738 //
     /* 1313175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313250 */     // GIR_Coverage, 13738,
     /* 1313250 */     GIR_EraseRootFromParent_Done,
     /* 1313251 */   // Label 18792: @1313251
     /* 1313251 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313332), // Rule ID 13739 //
     /* 1313256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313331 */     // GIR_Coverage, 13739,
     /* 1313331 */     GIR_EraseRootFromParent_Done,
     /* 1313332 */   // Label 18793: @1313332
     /* 1313332 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313413), // Rule ID 13740 //
     /* 1313337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313412 */     // GIR_Coverage, 13740,
     /* 1313412 */     GIR_EraseRootFromParent_Done,
     /* 1313413 */   // Label 18794: @1313413
     /* 1313413 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1313494), // Rule ID 13741 //
     /* 1313418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313493 */     // GIR_Coverage, 13741,
     /* 1313493 */     GIR_EraseRootFromParent_Done,
     /* 1313494 */   // Label 18795: @1313494
     /* 1313494 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1313575), // Rule ID 13742 //
     /* 1313499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1313510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1313513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1313555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313574 */     // GIR_Coverage, 13742,
     /* 1313574 */     GIR_EraseRootFromParent_Done,
     /* 1313575 */   // Label 18796: @1313575
     /* 1313575 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313656), // Rule ID 13743 //
     /* 1313580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1313591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1313594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313655 */     // GIR_Coverage, 13743,
     /* 1313655 */     GIR_EraseRootFromParent_Done,
     /* 1313656 */   // Label 18797: @1313656
     /* 1313656 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313737), // Rule ID 13744 //
     /* 1313661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1313672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1313675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313714 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313736 */     // GIR_Coverage, 13744,
     /* 1313736 */     GIR_EraseRootFromParent_Done,
     /* 1313737 */   // Label 18798: @1313737
     /* 1313737 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313818), // Rule ID 13745 //
     /* 1313742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1313753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1313756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313795 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313817 */     // GIR_Coverage, 13745,
     /* 1313817 */     GIR_EraseRootFromParent_Done,
     /* 1313818 */   // Label 18799: @1313818
     /* 1313818 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1313899), // Rule ID 13746 //
     /* 1313823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1313834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1313837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1313840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1313843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1313876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313898 */     // GIR_Coverage, 13746,
     /* 1313898 */     GIR_EraseRootFromParent_Done,
     /* 1313899 */   // Label 18800: @1313899
     /* 1313899 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1313980), // Rule ID 13747 //
     /* 1313904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1313915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1313918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1313921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1313924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1313927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313957 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1313957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1313960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313979 */     // GIR_Coverage, 13747,
     /* 1313979 */     GIR_EraseRootFromParent_Done,
     /* 1313980 */   // Label 18801: @1313980
     /* 1313980 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314061), // Rule ID 13748 //
     /* 1313985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1313996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1313999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314060 */     // GIR_Coverage, 13748,
     /* 1314060 */     GIR_EraseRootFromParent_Done,
     /* 1314061 */   // Label 18802: @1314061
     /* 1314061 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314142), // Rule ID 13749 //
     /* 1314066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314141 */     // GIR_Coverage, 13749,
     /* 1314141 */     GIR_EraseRootFromParent_Done,
     /* 1314142 */   // Label 18803: @1314142
     /* 1314142 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314223), // Rule ID 13750 //
     /* 1314147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1314158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1314161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314222 */     // GIR_Coverage, 13750,
     /* 1314222 */     GIR_EraseRootFromParent_Done,
     /* 1314223 */   // Label 18804: @1314223
     /* 1314223 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1314304), // Rule ID 13751 //
     /* 1314228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314303 */     // GIR_Coverage, 13751,
     /* 1314303 */     GIR_EraseRootFromParent_Done,
     /* 1314304 */   // Label 18805: @1314304
     /* 1314304 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1314385), // Rule ID 13752 //
     /* 1314309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1314320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1314323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314384 */     // GIR_Coverage, 13752,
     /* 1314384 */     GIR_EraseRootFromParent_Done,
     /* 1314385 */   // Label 18806: @1314385
     /* 1314385 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1314466), // Rule ID 13753 //
     /* 1314390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314443 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314465 */     // GIR_Coverage, 13753,
     /* 1314465 */     GIR_EraseRootFromParent_Done,
     /* 1314466 */   // Label 18807: @1314466
     /* 1314466 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1314547), // Rule ID 13754 //
     /* 1314471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1314482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1314485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314546 */     // GIR_Coverage, 13754,
     /* 1314546 */     GIR_EraseRootFromParent_Done,
     /* 1314547 */   // Label 18808: @1314547
     /* 1314547 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314628), // Rule ID 13755 //
     /* 1314552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314627 */     // GIR_Coverage, 13755,
     /* 1314627 */     GIR_EraseRootFromParent_Done,
     /* 1314628 */   // Label 18809: @1314628
     /* 1314628 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314709), // Rule ID 13756 //
     /* 1314633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1314686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1314689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314708 */     // GIR_Coverage, 13756,
     /* 1314708 */     GIR_EraseRootFromParent_Done,
     /* 1314709 */   // Label 18810: @1314709
     /* 1314709 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314790), // Rule ID 13757 //
     /* 1314714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314789 */     // GIR_Coverage, 13757,
     /* 1314789 */     GIR_EraseRootFromParent_Done,
     /* 1314790 */   // Label 18811: @1314790
     /* 1314790 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314871), // Rule ID 13758 //
     /* 1314795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1314848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314870 */     // GIR_Coverage, 13758,
     /* 1314870 */     GIR_EraseRootFromParent_Done,
     /* 1314871 */   // Label 18812: @1314871
     /* 1314871 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1314952), // Rule ID 13759 //
     /* 1314876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1314887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1314890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314929 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1314929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314951 */     // GIR_Coverage, 13759,
     /* 1314951 */     GIR_EraseRootFromParent_Done,
     /* 1314952 */   // Label 18813: @1314952
     /* 1314952 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315033), // Rule ID 13760 //
     /* 1314957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1314968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1314971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1314974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1314977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315032 */     // GIR_Coverage, 13760,
     /* 1315032 */     GIR_EraseRootFromParent_Done,
     /* 1315033 */   // Label 18814: @1315033
     /* 1315033 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315114), // Rule ID 13761 //
     /* 1315038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315113 */     // GIR_Coverage, 13761,
     /* 1315113 */     GIR_EraseRootFromParent_Done,
     /* 1315114 */   // Label 18815: @1315114
     /* 1315114 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315195), // Rule ID 13762 //
     /* 1315119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1315130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1315133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1315175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315194 */     // GIR_Coverage, 13762,
     /* 1315194 */     GIR_EraseRootFromParent_Done,
     /* 1315195 */   // Label 18816: @1315195
     /* 1315195 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1315276), // Rule ID 13763 //
     /* 1315200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315253 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315275 */     // GIR_Coverage, 13763,
     /* 1315275 */     GIR_EraseRootFromParent_Done,
     /* 1315276 */   // Label 18817: @1315276
     /* 1315276 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1315357), // Rule ID 13764 //
     /* 1315281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1315292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1315295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1315311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1315337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315356 */     // GIR_Coverage, 13764,
     /* 1315356 */     GIR_EraseRootFromParent_Done,
     /* 1315357 */   // Label 18818: @1315357
     /* 1315357 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1315438), // Rule ID 13765 //
     /* 1315362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315437 */     // GIR_Coverage, 13765,
     /* 1315437 */     GIR_EraseRootFromParent_Done,
     /* 1315438 */   // Label 18819: @1315438
     /* 1315438 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1315519), // Rule ID 13766 //
     /* 1315443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1315454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1315457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1315473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1315499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315518 */     // GIR_Coverage, 13766,
     /* 1315518 */     GIR_EraseRootFromParent_Done,
     /* 1315519 */   // Label 18820: @1315519
     /* 1315519 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315600), // Rule ID 13767 //
     /* 1315524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1315580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315599 */     // GIR_Coverage, 13767,
     /* 1315599 */     GIR_EraseRootFromParent_Done,
     /* 1315600 */   // Label 18821: @1315600
     /* 1315600 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315681), // Rule ID 13768 //
     /* 1315605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1315616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1315619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1315661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315680 */     // GIR_Coverage, 13768,
     /* 1315680 */     GIR_EraseRootFromParent_Done,
     /* 1315681 */   // Label 18822: @1315681
     /* 1315681 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315762), // Rule ID 13769 //
     /* 1315686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1315697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1315700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315739 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1315742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315761 */     // GIR_Coverage, 13769,
     /* 1315761 */     GIR_EraseRootFromParent_Done,
     /* 1315762 */   // Label 18823: @1315762
     /* 1315762 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315843), // Rule ID 13770 //
     /* 1315767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1315778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1315781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1315784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315820 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1315823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315842 */     // GIR_Coverage, 13770,
     /* 1315842 */     GIR_EraseRootFromParent_Done,
     /* 1315843 */   // Label 18824: @1315843
     /* 1315843 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1315924), // Rule ID 13771 //
     /* 1315848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1315859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1315862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315901 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315923 */     // GIR_Coverage, 13771,
     /* 1315923 */     GIR_EraseRootFromParent_Done,
     /* 1315924 */   // Label 18825: @1315924
     /* 1315924 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316005), // Rule ID 13772 //
     /* 1315929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1315940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1315943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316004 */     // GIR_Coverage, 13772,
     /* 1316004 */     GIR_EraseRootFromParent_Done,
     /* 1316005 */   // Label 18826: @1316005
     /* 1316005 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316086), // Rule ID 13773 //
     /* 1316010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316085 */     // GIR_Coverage, 13773,
     /* 1316085 */     GIR_EraseRootFromParent_Done,
     /* 1316086 */   // Label 18827: @1316086
     /* 1316086 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316167), // Rule ID 13774 //
     /* 1316091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1316102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1316105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1316147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316166 */     // GIR_Coverage, 13774,
     /* 1316166 */     GIR_EraseRootFromParent_Done,
     /* 1316167 */   // Label 18828: @1316167
     /* 1316167 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1316248), // Rule ID 13775 //
     /* 1316172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316247 */     // GIR_Coverage, 13775,
     /* 1316247 */     GIR_EraseRootFromParent_Done,
     /* 1316248 */   // Label 18829: @1316248
     /* 1316248 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1316329), // Rule ID 13776 //
     /* 1316253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1316264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1316267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316328 */     // GIR_Coverage, 13776,
     /* 1316328 */     GIR_EraseRootFromParent_Done,
     /* 1316329 */   // Label 18830: @1316329
     /* 1316329 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1316410), // Rule ID 13777 //
     /* 1316334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316409 */     // GIR_Coverage, 13777,
     /* 1316409 */     GIR_EraseRootFromParent_Done,
     /* 1316410 */   // Label 18831: @1316410
     /* 1316410 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1316491), // Rule ID 13778 //
     /* 1316415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1316426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1316429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1316468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1316471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316490 */     // GIR_Coverage, 13778,
     /* 1316490 */     GIR_EraseRootFromParent_Done,
     /* 1316491 */   // Label 18832: @1316491
     /* 1316491 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316572), // Rule ID 13779 //
     /* 1316496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316571 */     // GIR_Coverage, 13779,
     /* 1316571 */     GIR_EraseRootFromParent_Done,
     /* 1316572 */   // Label 18833: @1316572
     /* 1316572 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316653), // Rule ID 13780 //
     /* 1316577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1316588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1316591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316652 */     // GIR_Coverage, 13780,
     /* 1316652 */     GIR_EraseRootFromParent_Done,
     /* 1316653 */   // Label 18834: @1316653
     /* 1316653 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316734), // Rule ID 13781 //
     /* 1316658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316733 */     // GIR_Coverage, 13781,
     /* 1316733 */     GIR_EraseRootFromParent_Done,
     /* 1316734 */   // Label 18835: @1316734
     /* 1316734 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316815), // Rule ID 13782 //
     /* 1316739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316814 */     // GIR_Coverage, 13782,
     /* 1316814 */     GIR_EraseRootFromParent_Done,
     /* 1316815 */   // Label 18836: @1316815
     /* 1316815 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1316896), // Rule ID 13783 //
     /* 1316820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316895 */     // GIR_Coverage, 13783,
     /* 1316895 */     GIR_EraseRootFromParent_Done,
     /* 1316896 */   // Label 18837: @1316896
     /* 1316896 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1316977), // Rule ID 13784 //
     /* 1316901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1316954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1316957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316976 */     // GIR_Coverage, 13784,
     /* 1316976 */     GIR_EraseRootFromParent_Done,
     /* 1316977 */   // Label 18838: @1316977
     /* 1316977 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317058), // Rule ID 13785 //
     /* 1316982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1316993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1316996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317057 */     // GIR_Coverage, 13785,
     /* 1317057 */     GIR_EraseRootFromParent_Done,
     /* 1317058 */   // Label 18839: @1317058
     /* 1317058 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317139), // Rule ID 13786 //
     /* 1317063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1317119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317138 */     // GIR_Coverage, 13786,
     /* 1317138 */     GIR_EraseRootFromParent_Done,
     /* 1317139 */   // Label 18840: @1317139
     /* 1317139 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317220), // Rule ID 13787 //
     /* 1317144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317219 */     // GIR_Coverage, 13787,
     /* 1317219 */     GIR_EraseRootFromParent_Done,
     /* 1317220 */   // Label 18841: @1317220
     /* 1317220 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1317301), // Rule ID 13788 //
     /* 1317225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1317236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1317239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317300 */     // GIR_Coverage, 13788,
     /* 1317300 */     GIR_EraseRootFromParent_Done,
     /* 1317301 */   // Label 18842: @1317301
     /* 1317301 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1317382), // Rule ID 13789 //
     /* 1317306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317359 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317381 */     // GIR_Coverage, 13789,
     /* 1317381 */     GIR_EraseRootFromParent_Done,
     /* 1317382 */   // Label 18843: @1317382
     /* 1317382 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1317463), // Rule ID 13790 //
     /* 1317387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1317398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1317401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317462 */     // GIR_Coverage, 13790,
     /* 1317462 */     GIR_EraseRootFromParent_Done,
     /* 1317463 */   // Label 18844: @1317463
     /* 1317463 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317544), // Rule ID 13791 //
     /* 1317468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317521 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317543 */     // GIR_Coverage, 13791,
     /* 1317543 */     GIR_EraseRootFromParent_Done,
     /* 1317544 */   // Label 18845: @1317544
     /* 1317544 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317625), // Rule ID 13792 //
     /* 1317549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1317560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317624 */     // GIR_Coverage, 13792,
     /* 1317624 */     GIR_EraseRootFromParent_Done,
     /* 1317625 */   // Label 18846: @1317625
     /* 1317625 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317706), // Rule ID 13793 //
     /* 1317630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317705 */     // GIR_Coverage, 13793,
     /* 1317705 */     GIR_EraseRootFromParent_Done,
     /* 1317706 */   // Label 18847: @1317706
     /* 1317706 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317787), // Rule ID 13794 //
     /* 1317711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317786 */     // GIR_Coverage, 13794,
     /* 1317786 */     GIR_EraseRootFromParent_Done,
     /* 1317787 */   // Label 18848: @1317787
     /* 1317787 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317868), // Rule ID 13795 //
     /* 1317792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317845 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317867 */     // GIR_Coverage, 13795,
     /* 1317867 */     GIR_EraseRootFromParent_Done,
     /* 1317868 */   // Label 18849: @1317868
     /* 1317868 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1317949), // Rule ID 13796 //
     /* 1317873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317948 */     // GIR_Coverage, 13796,
     /* 1317948 */     GIR_EraseRootFromParent_Done,
     /* 1317949 */   // Label 18850: @1317949
     /* 1317949 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318030), // Rule ID 13797 //
     /* 1317954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1317965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1317968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318007 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318029 */     // GIR_Coverage, 13797,
     /* 1318029 */     GIR_EraseRootFromParent_Done,
     /* 1318030 */   // Label 18851: @1318030
     /* 1318030 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318111), // Rule ID 13798 //
     /* 1318035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318110 */     // GIR_Coverage, 13798,
     /* 1318110 */     GIR_EraseRootFromParent_Done,
     /* 1318111 */   // Label 18852: @1318111
     /* 1318111 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318192), // Rule ID 13799 //
     /* 1318116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318191 */     // GIR_Coverage, 13799,
     /* 1318191 */     GIR_EraseRootFromParent_Done,
     /* 1318192 */   // Label 18853: @1318192
     /* 1318192 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1318273), // Rule ID 13800 //
     /* 1318197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1318208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1318211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318272 */     // GIR_Coverage, 13800,
     /* 1318272 */     GIR_EraseRootFromParent_Done,
     /* 1318273 */   // Label 18854: @1318273
     /* 1318273 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1318354), // Rule ID 13801 //
     /* 1318278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318353 */     // GIR_Coverage, 13801,
     /* 1318353 */     GIR_EraseRootFromParent_Done,
     /* 1318354 */   // Label 18855: @1318354
     /* 1318354 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1318435), // Rule ID 13802 //
     /* 1318359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1318370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1318373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318434 */     // GIR_Coverage, 13802,
     /* 1318434 */     GIR_EraseRootFromParent_Done,
     /* 1318435 */   // Label 18856: @1318435
     /* 1318435 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318516), // Rule ID 13803 //
     /* 1318440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318493 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1318493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318515 */     // GIR_Coverage, 13803,
     /* 1318515 */     GIR_EraseRootFromParent_Done,
     /* 1318516 */   // Label 18857: @1318516
     /* 1318516 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318597), // Rule ID 13804 //
     /* 1318521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1318574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318596 */     // GIR_Coverage, 13804,
     /* 1318596 */     GIR_EraseRootFromParent_Done,
     /* 1318597 */   // Label 18858: @1318597
     /* 1318597 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318678), // Rule ID 13805 //
     /* 1318602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318677 */     // GIR_Coverage, 13805,
     /* 1318677 */     GIR_EraseRootFromParent_Done,
     /* 1318678 */   // Label 18859: @1318678
     /* 1318678 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318759), // Rule ID 13806 //
     /* 1318683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1318736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1318739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318758 */     // GIR_Coverage, 13806,
     /* 1318758 */     GIR_EraseRootFromParent_Done,
     /* 1318759 */   // Label 18860: @1318759
     /* 1318759 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318840), // Rule ID 13807 //
     /* 1318764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318839 */     // GIR_Coverage, 13807,
     /* 1318839 */     GIR_EraseRootFromParent_Done,
     /* 1318840 */   // Label 18861: @1318840
     /* 1318840 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1318921), // Rule ID 13808 //
     /* 1318845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1318898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1318901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318920 */     // GIR_Coverage, 13808,
     /* 1318920 */     GIR_EraseRootFromParent_Done,
     /* 1318921 */   // Label 18862: @1318921
     /* 1318921 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319002), // Rule ID 13809 //
     /* 1318926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1318937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1318940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1318968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1318982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319001 */     // GIR_Coverage, 13809,
     /* 1319001 */     GIR_EraseRootFromParent_Done,
     /* 1319002 */   // Label 18863: @1319002
     /* 1319002 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319083), // Rule ID 13810 //
     /* 1319007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1319049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319060 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1319063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319082 */     // GIR_Coverage, 13810,
     /* 1319082 */     GIR_EraseRootFromParent_Done,
     /* 1319083 */   // Label 18864: @1319083
     /* 1319083 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319167), // Rule ID 19649 //
     /* 1319088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319166 */     // GIR_Coverage, 19649,
     /* 1319166 */     GIR_EraseRootFromParent_Done,
     /* 1319167 */   // Label 18865: @1319167
     /* 1319167 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1319251), // Rule ID 19650 //
     /* 1319172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1319192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1319228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319250 */     // GIR_Coverage, 19650,
     /* 1319250 */     GIR_EraseRootFromParent_Done,
     /* 1319251 */   // Label 18866: @1319251
     /* 1319251 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1319335), // Rule ID 19653 //
     /* 1319256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319334 */     // GIR_Coverage, 19653,
     /* 1319334 */     GIR_EraseRootFromParent_Done,
     /* 1319335 */   // Label 18867: @1319335
     /* 1319335 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1319419), // Rule ID 19654 //
     /* 1319340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1319360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319418 */     // GIR_Coverage, 19654,
     /* 1319418 */     GIR_EraseRootFromParent_Done,
     /* 1319419 */   // Label 18868: @1319419
     /* 1319419 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1319503), // Rule ID 19657 //
     /* 1319424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319502 */     // GIR_Coverage, 19657,
     /* 1319502 */     GIR_EraseRootFromParent_Done,
     /* 1319503 */   // Label 18869: @1319503
     /* 1319503 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319587), // Rule ID 19658 //
     /* 1319508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1319528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319561 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1319564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319586 */     // GIR_Coverage, 19658,
     /* 1319586 */     GIR_EraseRootFromParent_Done,
     /* 1319587 */   // Label 18870: @1319587
     /* 1319587 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319671), // Rule ID 19661 //
     /* 1319592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319670 */     // GIR_Coverage, 19661,
     /* 1319670 */     GIR_EraseRootFromParent_Done,
     /* 1319671 */   // Label 18871: @1319671
     /* 1319671 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319755), // Rule ID 19662 //
     /* 1319676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1319693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1319696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319729 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319754 */     // GIR_Coverage, 19662,
     /* 1319754 */     GIR_EraseRootFromParent_Done,
     /* 1319755 */   // Label 18872: @1319755
     /* 1319755 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319839), // Rule ID 19665 //
     /* 1319760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319838 */     // GIR_Coverage, 19665,
     /* 1319838 */     GIR_EraseRootFromParent_Done,
     /* 1319839 */   // Label 18873: @1319839
     /* 1319839 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1319923), // Rule ID 19666 //
     /* 1319844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319922 */     // GIR_Coverage, 19666,
     /* 1319922 */     GIR_EraseRootFromParent_Done,
     /* 1319923 */   // Label 18874: @1319923
     /* 1319923 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320007), // Rule ID 19669 //
     /* 1319928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1319931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1319948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1319984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320006 */     // GIR_Coverage, 19669,
     /* 1320006 */     GIR_EraseRootFromParent_Done,
     /* 1320007 */   // Label 18875: @1320007
     /* 1320007 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320091), // Rule ID 19670 //
     /* 1320012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1320032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1320068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320090 */     // GIR_Coverage, 19670,
     /* 1320090 */     GIR_EraseRootFromParent_Done,
     /* 1320091 */   // Label 18876: @1320091
     /* 1320091 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1320175), // Rule ID 19673 //
     /* 1320096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320174 */     // GIR_Coverage, 19673,
     /* 1320174 */     GIR_EraseRootFromParent_Done,
     /* 1320175 */   // Label 18877: @1320175
     /* 1320175 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1320259), // Rule ID 19674 //
     /* 1320180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1320200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320258 */     // GIR_Coverage, 19674,
     /* 1320258 */     GIR_EraseRootFromParent_Done,
     /* 1320259 */   // Label 18878: @1320259
     /* 1320259 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1320343), // Rule ID 19677 //
     /* 1320264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320342 */     // GIR_Coverage, 19677,
     /* 1320342 */     GIR_EraseRootFromParent_Done,
     /* 1320343 */   // Label 18879: @1320343
     /* 1320343 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1320427), // Rule ID 19678 //
     /* 1320348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1320368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320426 */     // GIR_Coverage, 19678,
     /* 1320426 */     GIR_EraseRootFromParent_Done,
     /* 1320427 */   // Label 18880: @1320427
     /* 1320427 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1320511), // Rule ID 19681 //
     /* 1320432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320485 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320510 */     // GIR_Coverage, 19681,
     /* 1320510 */     GIR_EraseRootFromParent_Done,
     /* 1320511 */   // Label 18881: @1320511
     /* 1320511 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320595), // Rule ID 19682 //
     /* 1320516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1320527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1320530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1320536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320569 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320594 */     // GIR_Coverage, 19682,
     /* 1320594 */     GIR_EraseRootFromParent_Done,
     /* 1320595 */   // Label 18882: @1320595
     /* 1320595 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320679), // Rule ID 19685 //
     /* 1320600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1320620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320678 */     // GIR_Coverage, 19685,
     /* 1320678 */     GIR_EraseRootFromParent_Done,
     /* 1320679 */   // Label 18883: @1320679
     /* 1320679 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320763), // Rule ID 19686 //
     /* 1320684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1320704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320762 */     // GIR_Coverage, 19686,
     /* 1320762 */     GIR_EraseRootFromParent_Done,
     /* 1320763 */   // Label 18884: @1320763
     /* 1320763 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320847), // Rule ID 19689 //
     /* 1320768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1320788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320846 */     // GIR_Coverage, 19689,
     /* 1320846 */     GIR_EraseRootFromParent_Done,
     /* 1320847 */   // Label 18885: @1320847
     /* 1320847 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1320931), // Rule ID 19690 //
     /* 1320852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1320872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320930 */     // GIR_Coverage, 19690,
     /* 1320930 */     GIR_EraseRootFromParent_Done,
     /* 1320931 */   // Label 18886: @1320931
     /* 1320931 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321015), // Rule ID 19693 //
     /* 1320936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1320953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1320956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321014 */     // GIR_Coverage, 19693,
     /* 1321014 */     GIR_EraseRootFromParent_Done,
     /* 1321015 */   // Label 18887: @1321015
     /* 1321015 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321099), // Rule ID 19694 //
     /* 1321020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1321040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321098 */     // GIR_Coverage, 19694,
     /* 1321098 */     GIR_EraseRootFromParent_Done,
     /* 1321099 */   // Label 18888: @1321099
     /* 1321099 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1321183), // Rule ID 19697 //
     /* 1321104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321157 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321182 */     // GIR_Coverage, 19697,
     /* 1321182 */     GIR_EraseRootFromParent_Done,
     /* 1321183 */   // Label 18889: @1321183
     /* 1321183 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1321267), // Rule ID 19698 //
     /* 1321188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1321208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1321244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321266 */     // GIR_Coverage, 19698,
     /* 1321266 */     GIR_EraseRootFromParent_Done,
     /* 1321267 */   // Label 18890: @1321267
     /* 1321267 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1321351), // Rule ID 19701 //
     /* 1321272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321350 */     // GIR_Coverage, 19701,
     /* 1321350 */     GIR_EraseRootFromParent_Done,
     /* 1321351 */   // Label 18891: @1321351
     /* 1321351 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1321435), // Rule ID 19702 //
     /* 1321356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1321376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1321412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321434 */     // GIR_Coverage, 19702,
     /* 1321434 */     GIR_EraseRootFromParent_Done,
     /* 1321435 */   // Label 18892: @1321435
     /* 1321435 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1321519), // Rule ID 19705 //
     /* 1321440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321518 */     // GIR_Coverage, 19705,
     /* 1321518 */     GIR_EraseRootFromParent_Done,
     /* 1321519 */   // Label 18893: @1321519
     /* 1321519 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321603), // Rule ID 19706 //
     /* 1321524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1321544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1321580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321602 */     // GIR_Coverage, 19706,
     /* 1321602 */     GIR_EraseRootFromParent_Done,
     /* 1321603 */   // Label 18894: @1321603
     /* 1321603 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321687), // Rule ID 19709 //
     /* 1321608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1321625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1321664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321686 */     // GIR_Coverage, 19709,
     /* 1321686 */     GIR_EraseRootFromParent_Done,
     /* 1321687 */   // Label 18895: @1321687
     /* 1321687 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321771), // Rule ID 19710 //
     /* 1321692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1321709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1321748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321770 */     // GIR_Coverage, 19710,
     /* 1321770 */     GIR_EraseRootFromParent_Done,
     /* 1321771 */   // Label 18896: @1321771
     /* 1321771 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321855), // Rule ID 19713 //
     /* 1321776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1321793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1321832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321854 */     // GIR_Coverage, 19713,
     /* 1321854 */     GIR_EraseRootFromParent_Done,
     /* 1321855 */   // Label 18897: @1321855
     /* 1321855 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1321939), // Rule ID 19714 //
     /* 1321860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1321877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1321916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321938 */     // GIR_Coverage, 19714,
     /* 1321938 */     GIR_EraseRootFromParent_Done,
     /* 1321939 */   // Label 18898: @1321939
     /* 1321939 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322023), // Rule ID 19717 //
     /* 1321944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1321961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322022 */     // GIR_Coverage, 19717,
     /* 1322022 */     GIR_EraseRootFromParent_Done,
     /* 1322023 */   // Label 18899: @1322023
     /* 1322023 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322107), // Rule ID 19718 //
     /* 1322028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322081 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1322084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322106 */     // GIR_Coverage, 19718,
     /* 1322106 */     GIR_EraseRootFromParent_Done,
     /* 1322107 */   // Label 18900: @1322107
     /* 1322107 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1322191), // Rule ID 19721 //
     /* 1322112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322165 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322190 */     // GIR_Coverage, 19721,
     /* 1322190 */     GIR_EraseRootFromParent_Done,
     /* 1322191 */   // Label 18901: @1322191
     /* 1322191 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1322275), // Rule ID 19722 //
     /* 1322196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1322213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1322252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322274 */     // GIR_Coverage, 19722,
     /* 1322274 */     GIR_EraseRootFromParent_Done,
     /* 1322275 */   // Label 18902: @1322275
     /* 1322275 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1322359), // Rule ID 19725 //
     /* 1322280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322358 */     // GIR_Coverage, 19725,
     /* 1322358 */     GIR_EraseRootFromParent_Done,
     /* 1322359 */   // Label 18903: @1322359
     /* 1322359 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1322443), // Rule ID 19726 //
     /* 1322364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1322381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1322420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322442 */     // GIR_Coverage, 19726,
     /* 1322442 */     GIR_EraseRootFromParent_Done,
     /* 1322443 */   // Label 18904: @1322443
     /* 1322443 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1322527), // Rule ID 19729 //
     /* 1322448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322526 */     // GIR_Coverage, 19729,
     /* 1322526 */     GIR_EraseRootFromParent_Done,
     /* 1322527 */   // Label 18905: @1322527
     /* 1322527 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1322611), // Rule ID 19730 //
     /* 1322532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1322549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322585 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1322588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322610 */     // GIR_Coverage, 19730,
     /* 1322610 */     GIR_EraseRootFromParent_Done,
     /* 1322611 */   // Label 18906: @1322611
     /* 1322611 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322695), // Rule ID 19733 //
     /* 1322616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1322672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322694 */     // GIR_Coverage, 19733,
     /* 1322694 */     GIR_EraseRootFromParent_Done,
     /* 1322695 */   // Label 18907: @1322695
     /* 1322695 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322779), // Rule ID 19734 //
     /* 1322700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1322756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322778 */     // GIR_Coverage, 19734,
     /* 1322778 */     GIR_EraseRootFromParent_Done,
     /* 1322779 */   // Label 18908: @1322779
     /* 1322779 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322863), // Rule ID 19737 //
     /* 1322784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1322840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322862 */     // GIR_Coverage, 19737,
     /* 1322862 */     GIR_EraseRootFromParent_Done,
     /* 1322863 */   // Label 18909: @1322863
     /* 1322863 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1322947), // Rule ID 19738 //
     /* 1322868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322921 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1322924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322946 */     // GIR_Coverage, 19738,
     /* 1322946 */     GIR_EraseRootFromParent_Done,
     /* 1322947 */   // Label 18910: @1322947
     /* 1322947 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323031), // Rule ID 19741 //
     /* 1322952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1322963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1322966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323030 */     // GIR_Coverage, 19741,
     /* 1323030 */     GIR_EraseRootFromParent_Done,
     /* 1323031 */   // Label 18911: @1323031
     /* 1323031 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323115), // Rule ID 19742 //
     /* 1323036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1323047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1323050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1323053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1323056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1323059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1323078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1323092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323114 */     // GIR_Coverage, 19742,
     /* 1323114 */     GIR_EraseRootFromParent_Done,
     /* 1323115 */   // Label 18912: @1323115
     /* 1323115 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1323199), // Rule ID 19745 //
     /* 1323120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323198 */     // GIR_Coverage, 19745,
     /* 1323198 */     GIR_EraseRootFromParent_Done,
     /* 1323199 */   // Label 18913: @1323199
     /* 1323199 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1323283), // Rule ID 19746 //
     /* 1323204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1323221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323257 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1323260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323282 */     // GIR_Coverage, 19746,
     /* 1323282 */     GIR_EraseRootFromParent_Done,
     /* 1323283 */   // Label 18914: @1323283
     /* 1323283 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1323367), // Rule ID 19749 //
     /* 1323288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323341 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323366 */     // GIR_Coverage, 19749,
     /* 1323366 */     GIR_EraseRootFromParent_Done,
     /* 1323367 */   // Label 18915: @1323367
     /* 1323367 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1323451), // Rule ID 19750 //
     /* 1323372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1323389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1323428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323450 */     // GIR_Coverage, 19750,
     /* 1323450 */     GIR_EraseRootFromParent_Done,
     /* 1323451 */   // Label 18916: @1323451
     /* 1323451 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1323535), // Rule ID 19753 //
     /* 1323456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323509 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323534 */     // GIR_Coverage, 19753,
     /* 1323534 */     GIR_EraseRootFromParent_Done,
     /* 1323535 */   // Label 18917: @1323535
     /* 1323535 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1323619), // Rule ID 19754 //
     /* 1323540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1323551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1323554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1323582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1323596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323618 */     // GIR_Coverage, 19754,
     /* 1323618 */     GIR_EraseRootFromParent_Done,
     /* 1323619 */   // Label 18918: @1323619
     /* 1323619 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323703), // Rule ID 19757 //
     /* 1323624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1323680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323702 */     // GIR_Coverage, 19757,
     /* 1323702 */     GIR_EraseRootFromParent_Done,
     /* 1323703 */   // Label 18919: @1323703
     /* 1323703 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323787), // Rule ID 19758 //
     /* 1323708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323761 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1323764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323786 */     // GIR_Coverage, 19758,
     /* 1323786 */     GIR_EraseRootFromParent_Done,
     /* 1323787 */   // Label 18920: @1323787
     /* 1323787 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323871), // Rule ID 19761 //
     /* 1323792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1323848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323870 */     // GIR_Coverage, 19761,
     /* 1323870 */     GIR_EraseRootFromParent_Done,
     /* 1323871 */   // Label 18921: @1323871
     /* 1323871 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1323955), // Rule ID 19762 //
     /* 1323876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1323932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323954 */     // GIR_Coverage, 19762,
     /* 1323954 */     GIR_EraseRootFromParent_Done,
     /* 1323955 */   // Label 18922: @1323955
     /* 1323955 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324039), // Rule ID 19765 //
     /* 1323960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324038 */     // GIR_Coverage, 19765,
     /* 1324038 */     GIR_EraseRootFromParent_Done,
     /* 1324039 */   // Label 18923: @1324039
     /* 1324039 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324123), // Rule ID 19766 //
     /* 1324044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1324061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1324086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1324100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324122 */     // GIR_Coverage, 19766,
     /* 1324122 */     GIR_EraseRootFromParent_Done,
     /* 1324123 */   // Label 18924: @1324123
     /* 1324123 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1324207), // Rule ID 19769 //
     /* 1324128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324206 */     // GIR_Coverage, 19769,
     /* 1324206 */     GIR_EraseRootFromParent_Done,
     /* 1324207 */   // Label 18925: @1324207
     /* 1324207 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1324291), // Rule ID 19770 //
     /* 1324212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1324229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1324232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1324268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324290 */     // GIR_Coverage, 19770,
     /* 1324290 */     GIR_EraseRootFromParent_Done,
     /* 1324291 */   // Label 18926: @1324291
     /* 1324291 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1324375), // Rule ID 19773 //
     /* 1324296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324374 */     // GIR_Coverage, 19773,
     /* 1324374 */     GIR_EraseRootFromParent_Done,
     /* 1324375 */   // Label 18927: @1324375
     /* 1324375 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1324459), // Rule ID 19774 //
     /* 1324380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324433 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324458 */     // GIR_Coverage, 19774,
     /* 1324458 */     GIR_EraseRootFromParent_Done,
     /* 1324459 */   // Label 18928: @1324459
     /* 1324459 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1324543), // Rule ID 19777 //
     /* 1324464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324542 */     // GIR_Coverage, 19777,
     /* 1324542 */     GIR_EraseRootFromParent_Done,
     /* 1324543 */   // Label 18929: @1324543
     /* 1324543 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1324627), // Rule ID 19778 //
     /* 1324548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324601 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1324604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324626 */     // GIR_Coverage, 19778,
     /* 1324626 */     GIR_EraseRootFromParent_Done,
     /* 1324627 */   // Label 18930: @1324627
     /* 1324627 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324711), // Rule ID 19781 //
     /* 1324632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324710 */     // GIR_Coverage, 19781,
     /* 1324710 */     GIR_EraseRootFromParent_Done,
     /* 1324711 */   // Label 18931: @1324711
     /* 1324711 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324795), // Rule ID 19782 //
     /* 1324716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324794 */     // GIR_Coverage, 19782,
     /* 1324794 */     GIR_EraseRootFromParent_Done,
     /* 1324795 */   // Label 18932: @1324795
     /* 1324795 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324879), // Rule ID 19785 //
     /* 1324800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324878 */     // GIR_Coverage, 19785,
     /* 1324878 */     GIR_EraseRootFromParent_Done,
     /* 1324879 */   // Label 18933: @1324879
     /* 1324879 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1324963), // Rule ID 19786 //
     /* 1324884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324937 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1324940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324962 */     // GIR_Coverage, 19786,
     /* 1324962 */     GIR_EraseRootFromParent_Done,
     /* 1324963 */   // Label 18934: @1324963
     /* 1324963 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325047), // Rule ID 19789 //
     /* 1324968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325046 */     // GIR_Coverage, 19789,
     /* 1325046 */     GIR_EraseRootFromParent_Done,
     /* 1325047 */   // Label 18935: @1325047
     /* 1325047 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325131), // Rule ID 19790 //
     /* 1325052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1325069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325105 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1325108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325130 */     // GIR_Coverage, 19790,
     /* 1325130 */     GIR_EraseRootFromParent_Done,
     /* 1325131 */   // Label 18936: @1325131
     /* 1325131 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1325215), // Rule ID 19793 //
     /* 1325136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325214 */     // GIR_Coverage, 19793,
     /* 1325214 */     GIR_EraseRootFromParent_Done,
     /* 1325215 */   // Label 18937: @1325215
     /* 1325215 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1325299), // Rule ID 19794 //
     /* 1325220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325298 */     // GIR_Coverage, 19794,
     /* 1325298 */     GIR_EraseRootFromParent_Done,
     /* 1325299 */   // Label 18938: @1325299
     /* 1325299 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1325383), // Rule ID 19797 //
     /* 1325304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325382 */     // GIR_Coverage, 19797,
     /* 1325382 */     GIR_EraseRootFromParent_Done,
     /* 1325383 */   // Label 18939: @1325383
     /* 1325383 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1325467), // Rule ID 19798 //
     /* 1325388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325466 */     // GIR_Coverage, 19798,
     /* 1325466 */     GIR_EraseRootFromParent_Done,
     /* 1325467 */   // Label 18940: @1325467
     /* 1325467 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1325551), // Rule ID 19801 //
     /* 1325472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325525 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325550 */     // GIR_Coverage, 19801,
     /* 1325550 */     GIR_EraseRootFromParent_Done,
     /* 1325551 */   // Label 18941: @1325551
     /* 1325551 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1325635), // Rule ID 19802 //
     /* 1325556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325609 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325634 */     // GIR_Coverage, 19802,
     /* 1325634 */     GIR_EraseRootFromParent_Done,
     /* 1325635 */   // Label 18942: @1325635
     /* 1325635 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325719), // Rule ID 19805 //
     /* 1325640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325718 */     // GIR_Coverage, 19805,
     /* 1325718 */     GIR_EraseRootFromParent_Done,
     /* 1325719 */   // Label 18943: @1325719
     /* 1325719 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325803), // Rule ID 19806 //
     /* 1325724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325802 */     // GIR_Coverage, 19806,
     /* 1325802 */     GIR_EraseRootFromParent_Done,
     /* 1325803 */   // Label 18944: @1325803
     /* 1325803 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1325887), // Rule ID 19809 //
     /* 1325808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325886 */     // GIR_Coverage, 19809,
     /* 1325886 */     GIR_EraseRootFromParent_Done,
     /* 1325887 */   // Label 18945: @1325887
     /* 1325887 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1325971), // Rule ID 19810 //
     /* 1325892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325970 */     // GIR_Coverage, 19810,
     /* 1325970 */     GIR_EraseRootFromParent_Done,
     /* 1325971 */   // Label 18946: @1325971
     /* 1325971 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326055), // Rule ID 19813 //
     /* 1325976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1325996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326054 */     // GIR_Coverage, 19813,
     /* 1326054 */     GIR_EraseRootFromParent_Done,
     /* 1326055 */   // Label 18947: @1326055
     /* 1326055 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326139), // Rule ID 19814 //
     /* 1326060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326138 */     // GIR_Coverage, 19814,
     /* 1326138 */     GIR_EraseRootFromParent_Done,
     /* 1326139 */   // Label 18948: @1326139
     /* 1326139 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1326223), // Rule ID 19817 //
     /* 1326144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326222 */     // GIR_Coverage, 19817,
     /* 1326222 */     GIR_EraseRootFromParent_Done,
     /* 1326223 */   // Label 18949: @1326223
     /* 1326223 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1326307), // Rule ID 19818 //
     /* 1326228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1326284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326306 */     // GIR_Coverage, 19818,
     /* 1326306 */     GIR_EraseRootFromParent_Done,
     /* 1326307 */   // Label 18950: @1326307
     /* 1326307 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1326391), // Rule ID 19821 //
     /* 1326312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326390 */     // GIR_Coverage, 19821,
     /* 1326390 */     GIR_EraseRootFromParent_Done,
     /* 1326391 */   // Label 18951: @1326391
     /* 1326391 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1326475), // Rule ID 19822 //
     /* 1326396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326449 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1326452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326474 */     // GIR_Coverage, 19822,
     /* 1326474 */     GIR_EraseRootFromParent_Done,
     /* 1326475 */   // Label 18952: @1326475
     /* 1326475 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1326559), // Rule ID 19825 //
     /* 1326480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326558 */     // GIR_Coverage, 19825,
     /* 1326558 */     GIR_EraseRootFromParent_Done,
     /* 1326559 */   // Label 18953: @1326559
     /* 1326559 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1326643), // Rule ID 19826 //
     /* 1326564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1326620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326642 */     // GIR_Coverage, 19826,
     /* 1326642 */     GIR_EraseRootFromParent_Done,
     /* 1326643 */   // Label 18954: @1326643
     /* 1326643 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326727), // Rule ID 19829 //
     /* 1326648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1326704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326726 */     // GIR_Coverage, 19829,
     /* 1326726 */     GIR_EraseRootFromParent_Done,
     /* 1326727 */   // Label 18955: @1326727
     /* 1326727 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326811), // Rule ID 19830 //
     /* 1326732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1326788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326810 */     // GIR_Coverage, 19830,
     /* 1326810 */     GIR_EraseRootFromParent_Done,
     /* 1326811 */   // Label 18956: @1326811
     /* 1326811 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1326895), // Rule ID 19833 //
     /* 1326816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1326872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326894 */     // GIR_Coverage, 19833,
     /* 1326894 */     GIR_EraseRootFromParent_Done,
     /* 1326895 */   // Label 18957: @1326895
     /* 1326895 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1326979), // Rule ID 19834 //
     /* 1326900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1326956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326978 */     // GIR_Coverage, 19834,
     /* 1326978 */     GIR_EraseRootFromParent_Done,
     /* 1326979 */   // Label 18958: @1326979
     /* 1326979 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327063), // Rule ID 19837 //
     /* 1326984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327062 */     // GIR_Coverage, 19837,
     /* 1327062 */     GIR_EraseRootFromParent_Done,
     /* 1327063 */   // Label 18959: @1327063
     /* 1327063 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327147), // Rule ID 19838 //
     /* 1327068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1327124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327146 */     // GIR_Coverage, 19838,
     /* 1327146 */     GIR_EraseRootFromParent_Done,
     /* 1327147 */   // Label 18960: @1327147
     /* 1327147 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1327231), // Rule ID 19841 //
     /* 1327152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327230 */     // GIR_Coverage, 19841,
     /* 1327230 */     GIR_EraseRootFromParent_Done,
     /* 1327231 */   // Label 18961: @1327231
     /* 1327231 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1327315), // Rule ID 19842 //
     /* 1327236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1327292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327314 */     // GIR_Coverage, 19842,
     /* 1327314 */     GIR_EraseRootFromParent_Done,
     /* 1327315 */   // Label 18962: @1327315
     /* 1327315 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1327399), // Rule ID 19845 //
     /* 1327320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327398 */     // GIR_Coverage, 19845,
     /* 1327398 */     GIR_EraseRootFromParent_Done,
     /* 1327399 */   // Label 18963: @1327399
     /* 1327399 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1327483), // Rule ID 19846 //
     /* 1327404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1327421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1327460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327482 */     // GIR_Coverage, 19846,
     /* 1327482 */     GIR_EraseRootFromParent_Done,
     /* 1327483 */   // Label 18964: @1327483
     /* 1327483 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1327567), // Rule ID 19849 //
     /* 1327488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327566 */     // GIR_Coverage, 19849,
     /* 1327566 */     GIR_EraseRootFromParent_Done,
     /* 1327567 */   // Label 18965: @1327567
     /* 1327567 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1327651), // Rule ID 19850 //
     /* 1327572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327625 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1327628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327650 */     // GIR_Coverage, 19850,
     /* 1327650 */     GIR_EraseRootFromParent_Done,
     /* 1327651 */   // Label 18966: @1327651
     /* 1327651 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327735), // Rule ID 19853 //
     /* 1327656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1327712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327734 */     // GIR_Coverage, 19853,
     /* 1327734 */     GIR_EraseRootFromParent_Done,
     /* 1327735 */   // Label 18967: @1327735
     /* 1327735 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327819), // Rule ID 19854 //
     /* 1327740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1327796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327818 */     // GIR_Coverage, 19854,
     /* 1327818 */     GIR_EraseRootFromParent_Done,
     /* 1327819 */   // Label 18968: @1327819
     /* 1327819 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1327903), // Rule ID 19857 //
     /* 1327824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1327880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327902 */     // GIR_Coverage, 19857,
     /* 1327902 */     GIR_EraseRootFromParent_Done,
     /* 1327903 */   // Label 18969: @1327903
     /* 1327903 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1327987), // Rule ID 19858 //
     /* 1327908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1327964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327986 */     // GIR_Coverage, 19858,
     /* 1327986 */     GIR_EraseRootFromParent_Done,
     /* 1327987 */   // Label 18970: @1327987
     /* 1327987 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328071), // Rule ID 19861 //
     /* 1327992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328045 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328070 */     // GIR_Coverage, 19861,
     /* 1328070 */     GIR_EraseRootFromParent_Done,
     /* 1328071 */   // Label 18971: @1328071
     /* 1328071 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328155), // Rule ID 19862 //
     /* 1328076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1328087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1328090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1328093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1328096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1328118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1328132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328154 */     // GIR_Coverage, 19862,
     /* 1328154 */     GIR_EraseRootFromParent_Done,
     /* 1328155 */   // Label 18972: @1328155
     /* 1328155 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1328239), // Rule ID 19865 //
     /* 1328160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328238 */     // GIR_Coverage, 19865,
     /* 1328238 */     GIR_EraseRootFromParent_Done,
     /* 1328239 */   // Label 18973: @1328239
     /* 1328239 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1328323), // Rule ID 19866 //
     /* 1328244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1328261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1328300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328322 */     // GIR_Coverage, 19866,
     /* 1328322 */     GIR_EraseRootFromParent_Done,
     /* 1328323 */   // Label 18974: @1328323
     /* 1328323 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1328407), // Rule ID 19869 //
     /* 1328328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328381 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328406 */     // GIR_Coverage, 19869,
     /* 1328406 */     GIR_EraseRootFromParent_Done,
     /* 1328407 */   // Label 18975: @1328407
     /* 1328407 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1328491), // Rule ID 19870 //
     /* 1328412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1328429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1328468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328490 */     // GIR_Coverage, 19870,
     /* 1328490 */     GIR_EraseRootFromParent_Done,
     /* 1328491 */   // Label 18976: @1328491
     /* 1328491 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1328575), // Rule ID 19873 //
     /* 1328496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328549 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328574 */     // GIR_Coverage, 19873,
     /* 1328574 */     GIR_EraseRootFromParent_Done,
     /* 1328575 */   // Label 18977: @1328575
     /* 1328575 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1328659), // Rule ID 19874 //
     /* 1328580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1328636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328658 */     // GIR_Coverage, 19874,
     /* 1328658 */     GIR_EraseRootFromParent_Done,
     /* 1328659 */   // Label 18978: @1328659
     /* 1328659 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328743), // Rule ID 19877 //
     /* 1328664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1328720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328742 */     // GIR_Coverage, 19877,
     /* 1328742 */     GIR_EraseRootFromParent_Done,
     /* 1328743 */   // Label 18979: @1328743
     /* 1328743 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328827), // Rule ID 19878 //
     /* 1328748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1328804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328826 */     // GIR_Coverage, 19878,
     /* 1328826 */     GIR_EraseRootFromParent_Done,
     /* 1328827 */   // Label 18980: @1328827
     /* 1328827 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1328911), // Rule ID 19881 //
     /* 1328832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1328888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328910 */     // GIR_Coverage, 19881,
     /* 1328910 */     GIR_EraseRootFromParent_Done,
     /* 1328911 */   // Label 18981: @1328911
     /* 1328911 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1328995), // Rule ID 19882 //
     /* 1328916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1328972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328994 */     // GIR_Coverage, 19882,
     /* 1328994 */     GIR_EraseRootFromParent_Done,
     /* 1328995 */   // Label 18982: @1328995
     /* 1328995 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329079), // Rule ID 19885 //
     /* 1329000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329078 */     // GIR_Coverage, 19885,
     /* 1329078 */     GIR_EraseRootFromParent_Done,
     /* 1329079 */   // Label 18983: @1329079
     /* 1329079 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329163), // Rule ID 19886 //
     /* 1329084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1329101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1329126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329137 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1329140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329162 */     // GIR_Coverage, 19886,
     /* 1329162 */     GIR_EraseRootFromParent_Done,
     /* 1329163 */   // Label 18984: @1329163
     /* 1329163 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1329247), // Rule ID 19889 //
     /* 1329168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329221 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329246 */     // GIR_Coverage, 19889,
     /* 1329246 */     GIR_EraseRootFromParent_Done,
     /* 1329247 */   // Label 18985: @1329247
     /* 1329247 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1329331), // Rule ID 19890 //
     /* 1329252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1329269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1329272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1329308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329330 */     // GIR_Coverage, 19890,
     /* 1329330 */     GIR_EraseRootFromParent_Done,
     /* 1329331 */   // Label 18986: @1329331
     /* 1329331 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1329415), // Rule ID 19893 //
     /* 1329336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329414 */     // GIR_Coverage, 19893,
     /* 1329414 */     GIR_EraseRootFromParent_Done,
     /* 1329415 */   // Label 18987: @1329415
     /* 1329415 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1329499), // Rule ID 19894 //
     /* 1329420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1329437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1329440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329498 */     // GIR_Coverage, 19894,
     /* 1329498 */     GIR_EraseRootFromParent_Done,
     /* 1329499 */   // Label 18988: @1329499
     /* 1329499 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1329583), // Rule ID 19897 //
     /* 1329504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329582 */     // GIR_Coverage, 19897,
     /* 1329582 */     GIR_EraseRootFromParent_Done,
     /* 1329583 */   // Label 18989: @1329583
     /* 1329583 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1329667), // Rule ID 19898 //
     /* 1329588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329641 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1329644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329666 */     // GIR_Coverage, 19898,
     /* 1329666 */     GIR_EraseRootFromParent_Done,
     /* 1329667 */   // Label 18990: @1329667
     /* 1329667 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329751), // Rule ID 19901 //
     /* 1329672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329725 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329750 */     // GIR_Coverage, 19901,
     /* 1329750 */     GIR_EraseRootFromParent_Done,
     /* 1329751 */   // Label 18991: @1329751
     /* 1329751 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329835), // Rule ID 19902 //
     /* 1329756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329834 */     // GIR_Coverage, 19902,
     /* 1329834 */     GIR_EraseRootFromParent_Done,
     /* 1329835 */   // Label 18992: @1329835
     /* 1329835 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1329919), // Rule ID 19905 //
     /* 1329840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329918 */     // GIR_Coverage, 19905,
     /* 1329918 */     GIR_EraseRootFromParent_Done,
     /* 1329919 */   // Label 18993: @1329919
     /* 1329919 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330003), // Rule ID 19906 //
     /* 1329924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1329980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330002 */     // GIR_Coverage, 19906,
     /* 1330002 */     GIR_EraseRootFromParent_Done,
     /* 1330003 */   // Label 18994: @1330003
     /* 1330003 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330087), // Rule ID 19909 //
     /* 1330008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330086 */     // GIR_Coverage, 19909,
     /* 1330086 */     GIR_EraseRootFromParent_Done,
     /* 1330087 */   // Label 18995: @1330087
     /* 1330087 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330171), // Rule ID 19910 //
     /* 1330092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1330109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1330148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330170 */     // GIR_Coverage, 19910,
     /* 1330170 */     GIR_EraseRootFromParent_Done,
     /* 1330171 */   // Label 18996: @1330171
     /* 1330171 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1330255), // Rule ID 19913 //
     /* 1330176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330254 */     // GIR_Coverage, 19913,
     /* 1330254 */     GIR_EraseRootFromParent_Done,
     /* 1330255 */   // Label 18997: @1330255
     /* 1330255 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1330339), // Rule ID 19914 //
     /* 1330260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1330280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330338 */     // GIR_Coverage, 19914,
     /* 1330338 */     GIR_EraseRootFromParent_Done,
     /* 1330339 */   // Label 18998: @1330339
     /* 1330339 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1330423), // Rule ID 19917 //
     /* 1330344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330422 */     // GIR_Coverage, 19917,
     /* 1330422 */     GIR_EraseRootFromParent_Done,
     /* 1330423 */   // Label 18999: @1330423
     /* 1330423 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1330507), // Rule ID 19918 //
     /* 1330428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330481 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330506 */     // GIR_Coverage, 19918,
     /* 1330506 */     GIR_EraseRootFromParent_Done,
     /* 1330507 */   // Label 19000: @1330507
     /* 1330507 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1330591), // Rule ID 19921 //
     /* 1330512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330565 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330590 */     // GIR_Coverage, 19921,
     /* 1330590 */     GIR_EraseRootFromParent_Done,
     /* 1330591 */   // Label 19001: @1330591
     /* 1330591 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1330675), // Rule ID 19922 //
     /* 1330596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330674 */     // GIR_Coverage, 19922,
     /* 1330674 */     GIR_EraseRootFromParent_Done,
     /* 1330675 */   // Label 19002: @1330675
     /* 1330675 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330759), // Rule ID 19925 //
     /* 1330680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330758 */     // GIR_Coverage, 19925,
     /* 1330758 */     GIR_EraseRootFromParent_Done,
     /* 1330759 */   // Label 19003: @1330759
     /* 1330759 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330843), // Rule ID 19926 //
     /* 1330764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330817 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330842 */     // GIR_Coverage, 19926,
     /* 1330842 */     GIR_EraseRootFromParent_Done,
     /* 1330843 */   // Label 19004: @1330843
     /* 1330843 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1330927), // Rule ID 19929 //
     /* 1330848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330926 */     // GIR_Coverage, 19929,
     /* 1330926 */     GIR_EraseRootFromParent_Done,
     /* 1330927 */   // Label 19005: @1330927
     /* 1330927 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331011), // Rule ID 19930 //
     /* 1330932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330985 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331010 */     // GIR_Coverage, 19930,
     /* 1331010 */     GIR_EraseRootFromParent_Done,
     /* 1331011 */   // Label 19006: @1331011
     /* 1331011 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331095), // Rule ID 19933 //
     /* 1331016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331094 */     // GIR_Coverage, 19933,
     /* 1331094 */     GIR_EraseRootFromParent_Done,
     /* 1331095 */   // Label 19007: @1331095
     /* 1331095 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1331179), // Rule ID 19934 //
     /* 1331100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1331120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331153 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331178 */     // GIR_Coverage, 19934,
     /* 1331178 */     GIR_EraseRootFromParent_Done,
     /* 1331179 */   // Label 19008: @1331179
     /* 1331179 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1331263), // Rule ID 19937 //
     /* 1331184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331262 */     // GIR_Coverage, 19937,
     /* 1331262 */     GIR_EraseRootFromParent_Done,
     /* 1331263 */   // Label 19009: @1331263
     /* 1331263 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1331347), // Rule ID 19938 //
     /* 1331268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1331288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1331324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331346 */     // GIR_Coverage, 19938,
     /* 1331346 */     GIR_EraseRootFromParent_Done,
     /* 1331347 */   // Label 19010: @1331347
     /* 1331347 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1331431), // Rule ID 19941 //
     /* 1331352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331405 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331430 */     // GIR_Coverage, 19941,
     /* 1331430 */     GIR_EraseRootFromParent_Done,
     /* 1331431 */   // Label 19011: @1331431
     /* 1331431 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1331515), // Rule ID 19942 //
     /* 1331436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1331492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331514 */     // GIR_Coverage, 19942,
     /* 1331514 */     GIR_EraseRootFromParent_Done,
     /* 1331515 */   // Label 19012: @1331515
     /* 1331515 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1331599), // Rule ID 19945 //
     /* 1331520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331598 */     // GIR_Coverage, 19945,
     /* 1331598 */     GIR_EraseRootFromParent_Done,
     /* 1331599 */   // Label 19013: @1331599
     /* 1331599 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1331683), // Rule ID 19946 //
     /* 1331604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1331660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331682 */     // GIR_Coverage, 19946,
     /* 1331682 */     GIR_EraseRootFromParent_Done,
     /* 1331683 */   // Label 19014: @1331683
     /* 1331683 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331767), // Rule ID 19949 //
     /* 1331688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1331744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331766 */     // GIR_Coverage, 19949,
     /* 1331766 */     GIR_EraseRootFromParent_Done,
     /* 1331767 */   // Label 19015: @1331767
     /* 1331767 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331851), // Rule ID 19950 //
     /* 1331772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1331828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331850 */     // GIR_Coverage, 19950,
     /* 1331850 */     GIR_EraseRootFromParent_Done,
     /* 1331851 */   // Label 19016: @1331851
     /* 1331851 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1331935), // Rule ID 19953 //
     /* 1331856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1331912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331934 */     // GIR_Coverage, 19953,
     /* 1331934 */     GIR_EraseRootFromParent_Done,
     /* 1331935 */   // Label 19017: @1331935
     /* 1331935 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332019), // Rule ID 19954 //
     /* 1331940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331993 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1331996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332018 */     // GIR_Coverage, 19954,
     /* 1332018 */     GIR_EraseRootFromParent_Done,
     /* 1332019 */   // Label 19018: @1332019
     /* 1332019 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332103), // Rule ID 19957 //
     /* 1332024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332077 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332102 */     // GIR_Coverage, 19957,
     /* 1332102 */     GIR_EraseRootFromParent_Done,
     /* 1332103 */   // Label 19019: @1332103
     /* 1332103 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1332187), // Rule ID 19958 //
     /* 1332108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1332164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332186 */     // GIR_Coverage, 19958,
     /* 1332186 */     GIR_EraseRootFromParent_Done,
     /* 1332187 */   // Label 19020: @1332187
     /* 1332187 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1332271), // Rule ID 19961 //
     /* 1332192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332270 */     // GIR_Coverage, 19961,
     /* 1332270 */     GIR_EraseRootFromParent_Done,
     /* 1332271 */   // Label 19021: @1332271
     /* 1332271 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1332355), // Rule ID 19962 //
     /* 1332276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1332332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332354 */     // GIR_Coverage, 19962,
     /* 1332354 */     GIR_EraseRootFromParent_Done,
     /* 1332355 */   // Label 19022: @1332355
     /* 1332355 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1332439), // Rule ID 19965 //
     /* 1332360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332438 */     // GIR_Coverage, 19965,
     /* 1332438 */     GIR_EraseRootFromParent_Done,
     /* 1332439 */   // Label 19023: @1332439
     /* 1332439 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1332523), // Rule ID 19966 //
     /* 1332444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1332500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332522 */     // GIR_Coverage, 19966,
     /* 1332522 */     GIR_EraseRootFromParent_Done,
     /* 1332523 */   // Label 19024: @1332523
     /* 1332523 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1332607), // Rule ID 19969 //
     /* 1332528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1332584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332606 */     // GIR_Coverage, 19969,
     /* 1332606 */     GIR_EraseRootFromParent_Done,
     /* 1332607 */   // Label 19025: @1332607
     /* 1332607 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1332691), // Rule ID 19970 //
     /* 1332612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1332668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332690 */     // GIR_Coverage, 19970,
     /* 1332690 */     GIR_EraseRootFromParent_Done,
     /* 1332691 */   // Label 19026: @1332691
     /* 1332691 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332775), // Rule ID 19973 //
     /* 1332696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332749 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1332752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332774 */     // GIR_Coverage, 19973,
     /* 1332774 */     GIR_EraseRootFromParent_Done,
     /* 1332775 */   // Label 19027: @1332775
     /* 1332775 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1332859), // Rule ID 19974 //
     /* 1332780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1332836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332858 */     // GIR_Coverage, 19974,
     /* 1332858 */     GIR_EraseRootFromParent_Done,
     /* 1332859 */   // Label 19028: @1332859
     /* 1332859 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1332943), // Rule ID 19977 //
     /* 1332864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332917 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1332920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332942 */     // GIR_Coverage, 19977,
     /* 1332942 */     GIR_EraseRootFromParent_Done,
     /* 1332943 */   // Label 19029: @1332943
     /* 1332943 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333027), // Rule ID 19978 //
     /* 1332948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333001 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1333004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333026 */     // GIR_Coverage, 19978,
     /* 1333026 */     GIR_EraseRootFromParent_Done,
     /* 1333027 */   // Label 19030: @1333027
     /* 1333027 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333111), // Rule ID 19981 //
     /* 1333032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333085 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333110 */     // GIR_Coverage, 19981,
     /* 1333110 */     GIR_EraseRootFromParent_Done,
     /* 1333111 */   // Label 19031: @1333111
     /* 1333111 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1333195), // Rule ID 19982 //
     /* 1333116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1333127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1333130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333169 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1333172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333194 */     // GIR_Coverage, 19982,
     /* 1333194 */     GIR_EraseRootFromParent_Done,
     /* 1333195 */   // Label 19032: @1333195
     /* 1333195 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1333279), // Rule ID 19985 //
     /* 1333200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333278 */     // GIR_Coverage, 19985,
     /* 1333278 */     GIR_EraseRootFromParent_Done,
     /* 1333279 */   // Label 19033: @1333279
     /* 1333279 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1333363), // Rule ID 19986 //
     /* 1333284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1333301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333337 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1333340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333362 */     // GIR_Coverage, 19986,
     /* 1333362 */     GIR_EraseRootFromParent_Done,
     /* 1333363 */   // Label 19034: @1333363
     /* 1333363 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1333447), // Rule ID 19989 //
     /* 1333368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333446 */     // GIR_Coverage, 19989,
     /* 1333446 */     GIR_EraseRootFromParent_Done,
     /* 1333447 */   // Label 19035: @1333447
     /* 1333447 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1333531), // Rule ID 19990 //
     /* 1333452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1333508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333530 */     // GIR_Coverage, 19990,
     /* 1333530 */     GIR_EraseRootFromParent_Done,
     /* 1333531 */   // Label 19036: @1333531
     /* 1333531 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1333615), // Rule ID 19993 //
     /* 1333536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333589 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1333592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333614 */     // GIR_Coverage, 19993,
     /* 1333614 */     GIR_EraseRootFromParent_Done,
     /* 1333615 */   // Label 19037: @1333615
     /* 1333615 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333699), // Rule ID 19994 //
     /* 1333620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1333676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333698 */     // GIR_Coverage, 19994,
     /* 1333698 */     GIR_EraseRootFromParent_Done,
     /* 1333699 */   // Label 19038: @1333699
     /* 1333699 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333783), // Rule ID 19997 //
     /* 1333704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1333760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333782 */     // GIR_Coverage, 19997,
     /* 1333782 */     GIR_EraseRootFromParent_Done,
     /* 1333783 */   // Label 19039: @1333783
     /* 1333783 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1333867), // Rule ID 19998 //
     /* 1333788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1333844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333866 */     // GIR_Coverage, 19998,
     /* 1333866 */     GIR_EraseRootFromParent_Done,
     /* 1333867 */   // Label 19040: @1333867
     /* 1333867 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1333951), // Rule ID 20001 //
     /* 1333872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1333928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333950 */     // GIR_Coverage, 20001,
     /* 1333950 */     GIR_EraseRootFromParent_Done,
     /* 1333951 */   // Label 19041: @1333951
     /* 1333951 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334035), // Rule ID 20002 //
     /* 1333956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1334012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334034 */     // GIR_Coverage, 20002,
     /* 1334034 */     GIR_EraseRootFromParent_Done,
     /* 1334035 */   // Label 19042: @1334035
     /* 1334035 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334119), // Rule ID 20005 //
     /* 1334040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334118 */     // GIR_Coverage, 20005,
     /* 1334118 */     GIR_EraseRootFromParent_Done,
     /* 1334119 */   // Label 19043: @1334119
     /* 1334119 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1334203), // Rule ID 20006 //
     /* 1334124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1334141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334177 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1334180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334202 */     // GIR_Coverage, 20006,
     /* 1334202 */     GIR_EraseRootFromParent_Done,
     /* 1334203 */   // Label 19044: @1334203
     /* 1334203 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1334287), // Rule ID 20009 //
     /* 1334208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334286 */     // GIR_Coverage, 20009,
     /* 1334286 */     GIR_EraseRootFromParent_Done,
     /* 1334287 */   // Label 19045: @1334287
     /* 1334287 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1334371), // Rule ID 20010 //
     /* 1334292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1334309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1334312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1334348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334370 */     // GIR_Coverage, 20010,
     /* 1334370 */     GIR_EraseRootFromParent_Done,
     /* 1334371 */   // Label 19046: @1334371
     /* 1334371 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1334455), // Rule ID 20013 //
     /* 1334376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334454 */     // GIR_Coverage, 20013,
     /* 1334454 */     GIR_EraseRootFromParent_Done,
     /* 1334455 */   // Label 19047: @1334455
     /* 1334455 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1334539), // Rule ID 20014 //
     /* 1334460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334538 */     // GIR_Coverage, 20014,
     /* 1334538 */     GIR_EraseRootFromParent_Done,
     /* 1334539 */   // Label 19048: @1334539
     /* 1334539 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1334623), // Rule ID 20017 //
     /* 1334544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334622 */     // GIR_Coverage, 20017,
     /* 1334622 */     GIR_EraseRootFromParent_Done,
     /* 1334623 */   // Label 19049: @1334623
     /* 1334623 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334707), // Rule ID 20018 //
     /* 1334628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334681 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1334684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334706 */     // GIR_Coverage, 20018,
     /* 1334706 */     GIR_EraseRootFromParent_Done,
     /* 1334707 */   // Label 19050: @1334707
     /* 1334707 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334791), // Rule ID 20021 //
     /* 1334712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334790 */     // GIR_Coverage, 20021,
     /* 1334790 */     GIR_EraseRootFromParent_Done,
     /* 1334791 */   // Label 19051: @1334791
     /* 1334791 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1334875), // Rule ID 20022 //
     /* 1334796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334874 */     // GIR_Coverage, 20022,
     /* 1334874 */     GIR_EraseRootFromParent_Done,
     /* 1334875 */   // Label 19052: @1334875
     /* 1334875 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1334959), // Rule ID 20025 //
     /* 1334880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334933 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1334936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334958 */     // GIR_Coverage, 20025,
     /* 1334958 */     GIR_EraseRootFromParent_Done,
     /* 1334959 */   // Label 19053: @1334959
     /* 1334959 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335043), // Rule ID 20026 //
     /* 1334964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335042 */     // GIR_Coverage, 20026,
     /* 1335042 */     GIR_EraseRootFromParent_Done,
     /* 1335043 */   // Label 19054: @1335043
     /* 1335043 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335127), // Rule ID 20029 //
     /* 1335048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335126 */     // GIR_Coverage, 20029,
     /* 1335126 */     GIR_EraseRootFromParent_Done,
     /* 1335127 */   // Label 19055: @1335127
     /* 1335127 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1335211), // Rule ID 20030 //
     /* 1335132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1335149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1335188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335210 */     // GIR_Coverage, 20030,
     /* 1335210 */     GIR_EraseRootFromParent_Done,
     /* 1335211 */   // Label 19056: @1335211
     /* 1335211 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1335295), // Rule ID 20033 //
     /* 1335216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335294 */     // GIR_Coverage, 20033,
     /* 1335294 */     GIR_EraseRootFromParent_Done,
     /* 1335295 */   // Label 19057: @1335295
     /* 1335295 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1335379), // Rule ID 20034 //
     /* 1335300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1335317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1335320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335353 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335378 */     // GIR_Coverage, 20034,
     /* 1335378 */     GIR_EraseRootFromParent_Done,
     /* 1335379 */   // Label 19058: @1335379
     /* 1335379 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1335463), // Rule ID 20037 //
     /* 1335384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335462 */     // GIR_Coverage, 20037,
     /* 1335462 */     GIR_EraseRootFromParent_Done,
     /* 1335463 */   // Label 19059: @1335463
     /* 1335463 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1335547), // Rule ID 20038 //
     /* 1335468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335521 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335546 */     // GIR_Coverage, 20038,
     /* 1335546 */     GIR_EraseRootFromParent_Done,
     /* 1335547 */   // Label 19060: @1335547
     /* 1335547 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1335631), // Rule ID 20041 //
     /* 1335552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335605 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335630 */     // GIR_Coverage, 20041,
     /* 1335630 */     GIR_EraseRootFromParent_Done,
     /* 1335631 */   // Label 19061: @1335631
     /* 1335631 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335715), // Rule ID 20042 //
     /* 1335636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335714 */     // GIR_Coverage, 20042,
     /* 1335714 */     GIR_EraseRootFromParent_Done,
     /* 1335715 */   // Label 19062: @1335715
     /* 1335715 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335799), // Rule ID 20045 //
     /* 1335720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335798 */     // GIR_Coverage, 20045,
     /* 1335798 */     GIR_EraseRootFromParent_Done,
     /* 1335799 */   // Label 19063: @1335799
     /* 1335799 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1335883), // Rule ID 20046 //
     /* 1335804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335882 */     // GIR_Coverage, 20046,
     /* 1335882 */     GIR_EraseRootFromParent_Done,
     /* 1335883 */   // Label 19064: @1335883
     /* 1335883 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1335967), // Rule ID 20049 //
     /* 1335888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1335908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335966 */     // GIR_Coverage, 20049,
     /* 1335966 */     GIR_EraseRootFromParent_Done,
     /* 1335967 */   // Label 19065: @1335967
     /* 1335967 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336051), // Rule ID 20050 //
     /* 1335972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1335992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336025 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336050 */     // GIR_Coverage, 20050,
     /* 1336050 */     GIR_EraseRootFromParent_Done,
     /* 1336051 */   // Label 19066: @1336051
     /* 1336051 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336135), // Rule ID 20053 //
     /* 1336056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336109 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336134 */     // GIR_Coverage, 20053,
     /* 1336134 */     GIR_EraseRootFromParent_Done,
     /* 1336135 */   // Label 19067: @1336135
     /* 1336135 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1336219), // Rule ID 20054 //
     /* 1336140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1336157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1336160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336193 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336218 */     // GIR_Coverage, 20054,
     /* 1336218 */     GIR_EraseRootFromParent_Done,
     /* 1336219 */   // Label 19068: @1336219
     /* 1336219 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1336303), // Rule ID 20057 //
     /* 1336224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336302 */     // GIR_Coverage, 20057,
     /* 1336302 */     GIR_EraseRootFromParent_Done,
     /* 1336303 */   // Label 19069: @1336303
     /* 1336303 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1336387), // Rule ID 20058 //
     /* 1336308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1336325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1336328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1336364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336386 */     // GIR_Coverage, 20058,
     /* 1336386 */     GIR_EraseRootFromParent_Done,
     /* 1336387 */   // Label 19070: @1336387
     /* 1336387 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1336471), // Rule ID 20061 //
     /* 1336392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336470 */     // GIR_Coverage, 20061,
     /* 1336470 */     GIR_EraseRootFromParent_Done,
     /* 1336471 */   // Label 19071: @1336471
     /* 1336471 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1336555), // Rule ID 20062 //
     /* 1336476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336529 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1336532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336554 */     // GIR_Coverage, 20062,
     /* 1336554 */     GIR_EraseRootFromParent_Done,
     /* 1336555 */   // Label 19072: @1336555
     /* 1336555 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1336639), // Rule ID 20065 //
     /* 1336560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336638 */     // GIR_Coverage, 20065,
     /* 1336638 */     GIR_EraseRootFromParent_Done,
     /* 1336639 */   // Label 19073: @1336639
     /* 1336639 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336723), // Rule ID 20066 //
     /* 1336644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1336700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336722 */     // GIR_Coverage, 20066,
     /* 1336722 */     GIR_EraseRootFromParent_Done,
     /* 1336723 */   // Label 19074: @1336723
     /* 1336723 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336807), // Rule ID 20069 //
     /* 1336728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1336784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336806 */     // GIR_Coverage, 20069,
     /* 1336806 */     GIR_EraseRootFromParent_Done,
     /* 1336807 */   // Label 19075: @1336807
     /* 1336807 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1336891), // Rule ID 20070 //
     /* 1336812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1336868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336890 */     // GIR_Coverage, 20070,
     /* 1336890 */     GIR_EraseRootFromParent_Done,
     /* 1336891 */   // Label 19076: @1336891
     /* 1336891 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1336975), // Rule ID 20073 //
     /* 1336896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336949 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1336952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336974 */     // GIR_Coverage, 20073,
     /* 1336974 */     GIR_EraseRootFromParent_Done,
     /* 1336975 */   // Label 19077: @1336975
     /* 1336975 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337059), // Rule ID 20074 //
     /* 1336980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1337036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337058 */     // GIR_Coverage, 20074,
     /* 1337058 */     GIR_EraseRootFromParent_Done,
     /* 1337059 */   // Label 19078: @1337059
     /* 1337059 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337143), // Rule ID 20077 //
     /* 1337064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337142 */     // GIR_Coverage, 20077,
     /* 1337142 */     GIR_EraseRootFromParent_Done,
     /* 1337143 */   // Label 19079: @1337143
     /* 1337143 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1337227), // Rule ID 20078 //
     /* 1337148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1337204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337226 */     // GIR_Coverage, 20078,
     /* 1337226 */     GIR_EraseRootFromParent_Done,
     /* 1337227 */   // Label 19080: @1337227
     /* 1337227 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1337311), // Rule ID 20081 //
     /* 1337232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337310 */     // GIR_Coverage, 20081,
     /* 1337310 */     GIR_EraseRootFromParent_Done,
     /* 1337311 */   // Label 19081: @1337311
     /* 1337311 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1337395), // Rule ID 20082 //
     /* 1337316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1337372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337394 */     // GIR_Coverage, 20082,
     /* 1337394 */     GIR_EraseRootFromParent_Done,
     /* 1337395 */   // Label 19082: @1337395
     /* 1337395 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1337479), // Rule ID 20085 //
     /* 1337400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337478 */     // GIR_Coverage, 20085,
     /* 1337478 */     GIR_EraseRootFromParent_Done,
     /* 1337479 */   // Label 19083: @1337479
     /* 1337479 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1337563), // Rule ID 20086 //
     /* 1337484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337537 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1337540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337562 */     // GIR_Coverage, 20086,
     /* 1337562 */     GIR_EraseRootFromParent_Done,
     /* 1337563 */   // Label 19084: @1337563
     /* 1337563 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1337647), // Rule ID 20089 //
     /* 1337568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1337624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337646 */     // GIR_Coverage, 20089,
     /* 1337646 */     GIR_EraseRootFromParent_Done,
     /* 1337647 */   // Label 19085: @1337647
     /* 1337647 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337731), // Rule ID 20090 //
     /* 1337652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1337708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337730 */     // GIR_Coverage, 20090,
     /* 1337730 */     GIR_EraseRootFromParent_Done,
     /* 1337731 */   // Label 19086: @1337731
     /* 1337731 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337815), // Rule ID 20093 //
     /* 1337736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1337792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337814 */     // GIR_Coverage, 20093,
     /* 1337814 */     GIR_EraseRootFromParent_Done,
     /* 1337815 */   // Label 19087: @1337815
     /* 1337815 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1337899), // Rule ID 20094 //
     /* 1337820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1337876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337898 */     // GIR_Coverage, 20094,
     /* 1337898 */     GIR_EraseRootFromParent_Done,
     /* 1337899 */   // Label 19088: @1337899
     /* 1337899 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1337983), // Rule ID 20097 //
     /* 1337904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337957 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1337960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337982 */     // GIR_Coverage, 20097,
     /* 1337982 */     GIR_EraseRootFromParent_Done,
     /* 1337983 */   // Label 19089: @1337983
     /* 1337983 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338067), // Rule ID 20098 //
     /* 1337988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1338044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338066 */     // GIR_Coverage, 20098,
     /* 1338066 */     GIR_EraseRootFromParent_Done,
     /* 1338067 */   // Label 19090: @1338067
     /* 1338067 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338151), // Rule ID 20101 //
     /* 1338072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338125 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338150 */     // GIR_Coverage, 20101,
     /* 1338150 */     GIR_EraseRootFromParent_Done,
     /* 1338151 */   // Label 19091: @1338151
     /* 1338151 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1338235), // Rule ID 20102 //
     /* 1338156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1338167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1338170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338209 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1338212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338234 */     // GIR_Coverage, 20102,
     /* 1338234 */     GIR_EraseRootFromParent_Done,
     /* 1338235 */   // Label 19092: @1338235
     /* 1338235 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1338319), // Rule ID 20105 //
     /* 1338240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338293 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338318 */     // GIR_Coverage, 20105,
     /* 1338318 */     GIR_EraseRootFromParent_Done,
     /* 1338319 */   // Label 19093: @1338319
     /* 1338319 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1338403), // Rule ID 20106 //
     /* 1338324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1338380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338402 */     // GIR_Coverage, 20106,
     /* 1338402 */     GIR_EraseRootFromParent_Done,
     /* 1338403 */   // Label 19094: @1338403
     /* 1338403 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1338487), // Rule ID 20109 //
     /* 1338408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338461 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338486 */     // GIR_Coverage, 20109,
     /* 1338486 */     GIR_EraseRootFromParent_Done,
     /* 1338487 */   // Label 19095: @1338487
     /* 1338487 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1338571), // Rule ID 20110 //
     /* 1338492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1338548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338570 */     // GIR_Coverage, 20110,
     /* 1338570 */     GIR_EraseRootFromParent_Done,
     /* 1338571 */   // Label 19096: @1338571
     /* 1338571 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1338655), // Rule ID 20113 //
     /* 1338576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338629 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1338632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338654 */     // GIR_Coverage, 20113,
     /* 1338654 */     GIR_EraseRootFromParent_Done,
     /* 1338655 */   // Label 19097: @1338655
     /* 1338655 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338739), // Rule ID 20114 //
     /* 1338660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1338716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338738 */     // GIR_Coverage, 20114,
     /* 1338738 */     GIR_EraseRootFromParent_Done,
     /* 1338739 */   // Label 19098: @1338739
     /* 1338739 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338823), // Rule ID 20117 //
     /* 1338744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1338800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338822 */     // GIR_Coverage, 20117,
     /* 1338822 */     GIR_EraseRootFromParent_Done,
     /* 1338823 */   // Label 19099: @1338823
     /* 1338823 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1338907), // Rule ID 20118 //
     /* 1338828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1338884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338906 */     // GIR_Coverage, 20118,
     /* 1338906 */     GIR_EraseRootFromParent_Done,
     /* 1338907 */   // Label 19100: @1338907
     /* 1338907 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1338991), // Rule ID 20121 //
     /* 1338912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1338968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338990 */     // GIR_Coverage, 20121,
     /* 1338990 */     GIR_EraseRootFromParent_Done,
     /* 1338991 */   // Label 19101: @1338991
     /* 1338991 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339075), // Rule ID 20122 //
     /* 1338996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1339052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339074 */     // GIR_Coverage, 20122,
     /* 1339074 */     GIR_EraseRootFromParent_Done,
     /* 1339075 */   // Label 19102: @1339075
     /* 1339075 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339159), // Rule ID 20125 //
     /* 1339080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339158 */     // GIR_Coverage, 20125,
     /* 1339158 */     GIR_EraseRootFromParent_Done,
     /* 1339159 */   // Label 19103: @1339159
     /* 1339159 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1339243), // Rule ID 20126 //
     /* 1339164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1339220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339242 */     // GIR_Coverage, 20126,
     /* 1339242 */     GIR_EraseRootFromParent_Done,
     /* 1339243 */   // Label 19104: @1339243
     /* 1339243 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1339327), // Rule ID 20129 //
     /* 1339248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339326 */     // GIR_Coverage, 20129,
     /* 1339326 */     GIR_EraseRootFromParent_Done,
     /* 1339327 */   // Label 19105: @1339327
     /* 1339327 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1339411), // Rule ID 20130 //
     /* 1339332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1339349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1339388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339410 */     // GIR_Coverage, 20130,
     /* 1339410 */     GIR_EraseRootFromParent_Done,
     /* 1339411 */   // Label 19106: @1339411
     /* 1339411 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1339495), // Rule ID 20133 //
     /* 1339416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339494 */     // GIR_Coverage, 20133,
     /* 1339494 */     GIR_EraseRootFromParent_Done,
     /* 1339495 */   // Label 19107: @1339495
     /* 1339495 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1339579), // Rule ID 20134 //
     /* 1339500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1339556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339578 */     // GIR_Coverage, 20134,
     /* 1339578 */     GIR_EraseRootFromParent_Done,
     /* 1339579 */   // Label 19108: @1339579
     /* 1339579 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1339663), // Rule ID 20137 //
     /* 1339584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1339640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339662 */     // GIR_Coverage, 20137,
     /* 1339662 */     GIR_EraseRootFromParent_Done,
     /* 1339663 */   // Label 19109: @1339663
     /* 1339663 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339747), // Rule ID 20138 //
     /* 1339668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1339724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339746 */     // GIR_Coverage, 20138,
     /* 1339746 */     GIR_EraseRootFromParent_Done,
     /* 1339747 */   // Label 19110: @1339747
     /* 1339747 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339831), // Rule ID 20141 //
     /* 1339752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1339808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339830 */     // GIR_Coverage, 20141,
     /* 1339830 */     GIR_EraseRootFromParent_Done,
     /* 1339831 */   // Label 19111: @1339831
     /* 1339831 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1339915), // Rule ID 20142 //
     /* 1339836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339889 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1339892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339914 */     // GIR_Coverage, 20142,
     /* 1339914 */     GIR_EraseRootFromParent_Done,
     /* 1339915 */   // Label 19112: @1339915
     /* 1339915 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1339999), // Rule ID 20145 //
     /* 1339920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1339976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339998 */     // GIR_Coverage, 20145,
     /* 1339998 */     GIR_EraseRootFromParent_Done,
     /* 1339999 */   // Label 19113: @1339999
     /* 1339999 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340083), // Rule ID 20146 //
     /* 1340004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1340021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1340060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340082 */     // GIR_Coverage, 20146,
     /* 1340082 */     GIR_EraseRootFromParent_Done,
     /* 1340083 */   // Label 19114: @1340083
     /* 1340083 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340167), // Rule ID 20149 //
     /* 1340088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340166 */     // GIR_Coverage, 20149,
     /* 1340166 */     GIR_EraseRootFromParent_Done,
     /* 1340167 */   // Label 19115: @1340167
     /* 1340167 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1340251), // Rule ID 20150 //
     /* 1340172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1340189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1340228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340250 */     // GIR_Coverage, 20150,
     /* 1340250 */     GIR_EraseRootFromParent_Done,
     /* 1340251 */   // Label 19116: @1340251
     /* 1340251 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1340335), // Rule ID 20153 //
     /* 1340256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340334 */     // GIR_Coverage, 20153,
     /* 1340334 */     GIR_EraseRootFromParent_Done,
     /* 1340335 */   // Label 19117: @1340335
     /* 1340335 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1340419), // Rule ID 20154 //
     /* 1340340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1340357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1340396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340418 */     // GIR_Coverage, 20154,
     /* 1340418 */     GIR_EraseRootFromParent_Done,
     /* 1340419 */   // Label 19118: @1340419
     /* 1340419 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1340503), // Rule ID 20157 //
     /* 1340424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340502 */     // GIR_Coverage, 20157,
     /* 1340502 */     GIR_EraseRootFromParent_Done,
     /* 1340503 */   // Label 19119: @1340503
     /* 1340503 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1340587), // Rule ID 20158 //
     /* 1340508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340561 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1340564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340586 */     // GIR_Coverage, 20158,
     /* 1340586 */     GIR_EraseRootFromParent_Done,
     /* 1340587 */   // Label 19120: @1340587
     /* 1340587 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1340671), // Rule ID 20161 //
     /* 1340592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340645 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1340648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340670 */     // GIR_Coverage, 20161,
     /* 1340670 */     GIR_EraseRootFromParent_Done,
     /* 1340671 */   // Label 19121: @1340671
     /* 1340671 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340755), // Rule ID 20162 //
     /* 1340676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1340732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340754 */     // GIR_Coverage, 20162,
     /* 1340754 */     GIR_EraseRootFromParent_Done,
     /* 1340755 */   // Label 19122: @1340755
     /* 1340755 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340839), // Rule ID 20165 //
     /* 1340760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1340816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340838 */     // GIR_Coverage, 20165,
     /* 1340838 */     GIR_EraseRootFromParent_Done,
     /* 1340839 */   // Label 19123: @1340839
     /* 1340839 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1340923), // Rule ID 20166 //
     /* 1340844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1340900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340922 */     // GIR_Coverage, 20166,
     /* 1340922 */     GIR_EraseRootFromParent_Done,
     /* 1340923 */   // Label 19124: @1340923
     /* 1340923 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341007), // Rule ID 20169 //
     /* 1340928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1340984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341006 */     // GIR_Coverage, 20169,
     /* 1341006 */     GIR_EraseRootFromParent_Done,
     /* 1341007 */   // Label 19125: @1341007
     /* 1341007 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341091), // Rule ID 20170 //
     /* 1341012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1341029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1341068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341090 */     // GIR_Coverage, 20170,
     /* 1341090 */     GIR_EraseRootFromParent_Done,
     /* 1341091 */   // Label 19126: @1341091
     /* 1341091 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1341175), // Rule ID 20173 //
     /* 1341096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341149 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341174 */     // GIR_Coverage, 20173,
     /* 1341174 */     GIR_EraseRootFromParent_Done,
     /* 1341175 */   // Label 19127: @1341175
     /* 1341175 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1341259), // Rule ID 20174 //
     /* 1341180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1341197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341233 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1341236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341258 */     // GIR_Coverage, 20174,
     /* 1341258 */     GIR_EraseRootFromParent_Done,
     /* 1341259 */   // Label 19128: @1341259
     /* 1341259 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1341343), // Rule ID 20177 //
     /* 1341264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341317 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341342 */     // GIR_Coverage, 20177,
     /* 1341342 */     GIR_EraseRootFromParent_Done,
     /* 1341343 */   // Label 19129: @1341343
     /* 1341343 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1341427), // Rule ID 20178 //
     /* 1341348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1341365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1341404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341426 */     // GIR_Coverage, 20178,
     /* 1341426 */     GIR_EraseRootFromParent_Done,
     /* 1341427 */   // Label 19130: @1341427
     /* 1341427 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1341511), // Rule ID 20181 //
     /* 1341432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341510 */     // GIR_Coverage, 20181,
     /* 1341510 */     GIR_EraseRootFromParent_Done,
     /* 1341511 */   // Label 19131: @1341511
     /* 1341511 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1341595), // Rule ID 20182 //
     /* 1341516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1341572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341594 */     // GIR_Coverage, 20182,
     /* 1341594 */     GIR_EraseRootFromParent_Done,
     /* 1341595 */   // Label 19132: @1341595
     /* 1341595 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1341679), // Rule ID 20185 //
     /* 1341600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1341656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341678 */     // GIR_Coverage, 20185,
     /* 1341678 */     GIR_EraseRootFromParent_Done,
     /* 1341679 */   // Label 19133: @1341679
     /* 1341679 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341763), // Rule ID 20186 //
     /* 1341684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1341692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341737 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1341740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341762 */     // GIR_Coverage, 20186,
     /* 1341762 */     GIR_EraseRootFromParent_Done,
     /* 1341763 */   // Label 19134: @1341763
     /* 1341763 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341847), // Rule ID 20189 //
     /* 1341768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1341824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341846 */     // GIR_Coverage, 20189,
     /* 1341846 */     GIR_EraseRootFromParent_Done,
     /* 1341847 */   // Label 19135: @1341847
     /* 1341847 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1341931), // Rule ID 20190 //
     /* 1341852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1341908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341930 */     // GIR_Coverage, 20190,
     /* 1341930 */     GIR_EraseRootFromParent_Done,
     /* 1341931 */   // Label 19136: @1341931
     /* 1341931 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342015), // Rule ID 20193 //
     /* 1341936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1341992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342014 */     // GIR_Coverage, 20193,
     /* 1342014 */     GIR_EraseRootFromParent_Done,
     /* 1342015 */   // Label 19137: @1342015
     /* 1342015 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342099), // Rule ID 20194 //
     /* 1342020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1342037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1342076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342098 */     // GIR_Coverage, 20194,
     /* 1342098 */     GIR_EraseRootFromParent_Done,
     /* 1342099 */   // Label 19138: @1342099
     /* 1342099 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1342183), // Rule ID 20197 //
     /* 1342104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342182 */     // GIR_Coverage, 20197,
     /* 1342182 */     GIR_EraseRootFromParent_Done,
     /* 1342183 */   // Label 19139: @1342183
     /* 1342183 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1342267), // Rule ID 20198 //
     /* 1342188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1342205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1342244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342266 */     // GIR_Coverage, 20198,
     /* 1342266 */     GIR_EraseRootFromParent_Done,
     /* 1342267 */   // Label 19140: @1342267
     /* 1342267 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1342351), // Rule ID 20201 //
     /* 1342272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342350 */     // GIR_Coverage, 20201,
     /* 1342350 */     GIR_EraseRootFromParent_Done,
     /* 1342351 */   // Label 19141: @1342351
     /* 1342351 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1342435), // Rule ID 20202 //
     /* 1342356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1342373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1342412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342434 */     // GIR_Coverage, 20202,
     /* 1342434 */     GIR_EraseRootFromParent_Done,
     /* 1342435 */   // Label 19142: @1342435
     /* 1342435 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1342519), // Rule ID 20205 //
     /* 1342440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342518 */     // GIR_Coverage, 20205,
     /* 1342518 */     GIR_EraseRootFromParent_Done,
     /* 1342519 */   // Label 19143: @1342519
     /* 1342519 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1342603), // Rule ID 20206 //
     /* 1342524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1342580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342602 */     // GIR_Coverage, 20206,
     /* 1342602 */     GIR_EraseRootFromParent_Done,
     /* 1342603 */   // Label 19144: @1342603
     /* 1342603 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1342687), // Rule ID 20209 //
     /* 1342608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1342664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342686 */     // GIR_Coverage, 20209,
     /* 1342686 */     GIR_EraseRootFromParent_Done,
     /* 1342687 */   // Label 19145: @1342687
     /* 1342687 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342771), // Rule ID 20210 //
     /* 1342692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1342748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342770 */     // GIR_Coverage, 20210,
     /* 1342770 */     GIR_EraseRootFromParent_Done,
     /* 1342771 */   // Label 19146: @1342771
     /* 1342771 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1342855), // Rule ID 20213 //
     /* 1342776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1342832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342854 */     // GIR_Coverage, 20213,
     /* 1342854 */     GIR_EraseRootFromParent_Done,
     /* 1342855 */   // Label 19147: @1342855
     /* 1342855 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1342939), // Rule ID 20214 //
     /* 1342860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1342916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342938 */     // GIR_Coverage, 20214,
     /* 1342938 */     GIR_EraseRootFromParent_Done,
     /* 1342939 */   // Label 19148: @1342939
     /* 1342939 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343023), // Rule ID 20217 //
     /* 1342944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343022 */     // GIR_Coverage, 20217,
     /* 1343022 */     GIR_EraseRootFromParent_Done,
     /* 1343023 */   // Label 19149: @1343023
     /* 1343023 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343107), // Rule ID 20218 //
     /* 1343028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1343084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343106 */     // GIR_Coverage, 20218,
     /* 1343106 */     GIR_EraseRootFromParent_Done,
     /* 1343107 */   // Label 19150: @1343107
     /* 1343107 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1343191), // Rule ID 20221 //
     /* 1343112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343165 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343190 */     // GIR_Coverage, 20221,
     /* 1343190 */     GIR_EraseRootFromParent_Done,
     /* 1343191 */   // Label 19151: @1343191
     /* 1343191 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1343275), // Rule ID 20222 //
     /* 1343196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1343207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1343210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1343252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343274 */     // GIR_Coverage, 20222,
     /* 1343274 */     GIR_EraseRootFromParent_Done,
     /* 1343275 */   // Label 19152: @1343275
     /* 1343275 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1343359), // Rule ID 20225 //
     /* 1343280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343333 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343358 */     // GIR_Coverage, 20225,
     /* 1343358 */     GIR_EraseRootFromParent_Done,
     /* 1343359 */   // Label 19153: @1343359
     /* 1343359 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1343443), // Rule ID 20226 //
     /* 1343364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1343420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343442 */     // GIR_Coverage, 20226,
     /* 1343442 */     GIR_EraseRootFromParent_Done,
     /* 1343443 */   // Label 19154: @1343443
     /* 1343443 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1343527), // Rule ID 20229 //
     /* 1343448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343526 */     // GIR_Coverage, 20229,
     /* 1343526 */     GIR_EraseRootFromParent_Done,
     /* 1343527 */   // Label 19155: @1343527
     /* 1343527 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1343611), // Rule ID 20230 //
     /* 1343532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1343588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343610 */     // GIR_Coverage, 20230,
     /* 1343610 */     GIR_EraseRootFromParent_Done,
     /* 1343611 */   // Label 19156: @1343611
     /* 1343611 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1343695), // Rule ID 20233 //
     /* 1343616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1343672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343694 */     // GIR_Coverage, 20233,
     /* 1343694 */     GIR_EraseRootFromParent_Done,
     /* 1343695 */   // Label 19157: @1343695
     /* 1343695 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343779), // Rule ID 20234 //
     /* 1343700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1343756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343778 */     // GIR_Coverage, 20234,
     /* 1343778 */     GIR_EraseRootFromParent_Done,
     /* 1343779 */   // Label 19158: @1343779
     /* 1343779 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343863), // Rule ID 20237 //
     /* 1343784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1343840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343862 */     // GIR_Coverage, 20237,
     /* 1343862 */     GIR_EraseRootFromParent_Done,
     /* 1343863 */   // Label 19159: @1343863
     /* 1343863 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1343947), // Rule ID 20238 //
     /* 1343868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1343924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343946 */     // GIR_Coverage, 20238,
     /* 1343946 */     GIR_EraseRootFromParent_Done,
     /* 1343947 */   // Label 19160: @1343947
     /* 1343947 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344031), // Rule ID 20241 //
     /* 1343952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344030 */     // GIR_Coverage, 20241,
     /* 1344030 */     GIR_EraseRootFromParent_Done,
     /* 1344031 */   // Label 19161: @1344031
     /* 1344031 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344115), // Rule ID 20242 //
     /* 1344036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1344092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344114 */     // GIR_Coverage, 20242,
     /* 1344114 */     GIR_EraseRootFromParent_Done,
     /* 1344115 */   // Label 19162: @1344115
     /* 1344115 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1344199), // Rule ID 20245 //
     /* 1344120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344173 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344198 */     // GIR_Coverage, 20245,
     /* 1344198 */     GIR_EraseRootFromParent_Done,
     /* 1344199 */   // Label 19163: @1344199
     /* 1344199 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1344283), // Rule ID 20246 //
     /* 1344204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1344212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1344260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344282 */     // GIR_Coverage, 20246,
     /* 1344282 */     GIR_EraseRootFromParent_Done,
     /* 1344283 */   // Label 19164: @1344283
     /* 1344283 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1344367), // Rule ID 20249 //
     /* 1344288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344341 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344366 */     // GIR_Coverage, 20249,
     /* 1344366 */     GIR_EraseRootFromParent_Done,
     /* 1344367 */   // Label 19165: @1344367
     /* 1344367 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1344451), // Rule ID 20250 //
     /* 1344372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1344392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344425 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1344428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344450 */     // GIR_Coverage, 20250,
     /* 1344450 */     GIR_EraseRootFromParent_Done,
     /* 1344451 */   // Label 19166: @1344451
     /* 1344451 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1344535), // Rule ID 20253 //
     /* 1344456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344534 */     // GIR_Coverage, 20253,
     /* 1344534 */     GIR_EraseRootFromParent_Done,
     /* 1344535 */   // Label 19167: @1344535
     /* 1344535 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1344619), // Rule ID 20254 //
     /* 1344540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1344560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344593 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344618 */     // GIR_Coverage, 20254,
     /* 1344618 */     GIR_EraseRootFromParent_Done,
     /* 1344619 */   // Label 19168: @1344619
     /* 1344619 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344703), // Rule ID 20257 //
     /* 1344624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344702 */     // GIR_Coverage, 20257,
     /* 1344702 */     GIR_EraseRootFromParent_Done,
     /* 1344703 */   // Label 19169: @1344703
     /* 1344703 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344787), // Rule ID 20258 //
     /* 1344708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1344764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344786 */     // GIR_Coverage, 20258,
     /* 1344786 */     GIR_EraseRootFromParent_Done,
     /* 1344787 */   // Label 19170: @1344787
     /* 1344787 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344871), // Rule ID 20261 //
     /* 1344792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1344848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344870 */     // GIR_Coverage, 20261,
     /* 1344870 */     GIR_EraseRootFromParent_Done,
     /* 1344871 */   // Label 19171: @1344871
     /* 1344871 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1344955), // Rule ID 20262 //
     /* 1344876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1344932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344954 */     // GIR_Coverage, 20262,
     /* 1344954 */     GIR_EraseRootFromParent_Done,
     /* 1344955 */   // Label 19172: @1344955
     /* 1344955 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345039), // Rule ID 20265 //
     /* 1344960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1344980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345038 */     // GIR_Coverage, 20265,
     /* 1345038 */     GIR_EraseRootFromParent_Done,
     /* 1345039 */   // Label 19173: @1345039
     /* 1345039 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345123), // Rule ID 20266 //
     /* 1345044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345122 */     // GIR_Coverage, 20266,
     /* 1345122 */     GIR_EraseRootFromParent_Done,
     /* 1345123 */   // Label 19174: @1345123
     /* 1345123 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1345207), // Rule ID 20269 //
     /* 1345128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345206 */     // GIR_Coverage, 20269,
     /* 1345206 */     GIR_EraseRootFromParent_Done,
     /* 1345207 */   // Label 19175: @1345207
     /* 1345207 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1345291), // Rule ID 20270 //
     /* 1345212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1345268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345290 */     // GIR_Coverage, 20270,
     /* 1345290 */     GIR_EraseRootFromParent_Done,
     /* 1345291 */   // Label 19176: @1345291
     /* 1345291 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1345375), // Rule ID 20273 //
     /* 1345296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345374 */     // GIR_Coverage, 20273,
     /* 1345374 */     GIR_EraseRootFromParent_Done,
     /* 1345375 */   // Label 19177: @1345375
     /* 1345375 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1345459), // Rule ID 20274 //
     /* 1345380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345458 */     // GIR_Coverage, 20274,
     /* 1345458 */     GIR_EraseRootFromParent_Done,
     /* 1345459 */   // Label 19178: @1345459
     /* 1345459 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1345543), // Rule ID 20277 //
     /* 1345464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345542 */     // GIR_Coverage, 20277,
     /* 1345542 */     GIR_EraseRootFromParent_Done,
     /* 1345543 */   // Label 19179: @1345543
     /* 1345543 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1345627), // Rule ID 20278 //
     /* 1345548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345626 */     // GIR_Coverage, 20278,
     /* 1345626 */     GIR_EraseRootFromParent_Done,
     /* 1345627 */   // Label 19180: @1345627
     /* 1345627 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345711), // Rule ID 20281 //
     /* 1345632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1345652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345685 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345710 */     // GIR_Coverage, 20281,
     /* 1345710 */     GIR_EraseRootFromParent_Done,
     /* 1345711 */   // Label 19181: @1345711
     /* 1345711 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345795), // Rule ID 20282 //
     /* 1345716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1345736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345794 */     // GIR_Coverage, 20282,
     /* 1345794 */     GIR_EraseRootFromParent_Done,
     /* 1345795 */   // Label 19182: @1345795
     /* 1345795 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345879), // Rule ID 20285 //
     /* 1345800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1345820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345878 */     // GIR_Coverage, 20285,
     /* 1345878 */     GIR_EraseRootFromParent_Done,
     /* 1345879 */   // Label 19183: @1345879
     /* 1345879 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1345963), // Rule ID 20286 //
     /* 1345884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1345904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345962 */     // GIR_Coverage, 20286,
     /* 1345962 */     GIR_EraseRootFromParent_Done,
     /* 1345963 */   // Label 19184: @1345963
     /* 1345963 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346047), // Rule ID 20289 //
     /* 1345968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1345988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346046 */     // GIR_Coverage, 20289,
     /* 1346046 */     GIR_EraseRootFromParent_Done,
     /* 1346047 */   // Label 19185: @1346047
     /* 1346047 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346131), // Rule ID 20290 //
     /* 1346052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346130 */     // GIR_Coverage, 20290,
     /* 1346130 */     GIR_EraseRootFromParent_Done,
     /* 1346131 */   // Label 19186: @1346131
     /* 1346131 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1346215), // Rule ID 20293 //
     /* 1346136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346189 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346214 */     // GIR_Coverage, 20293,
     /* 1346214 */     GIR_EraseRootFromParent_Done,
     /* 1346215 */   // Label 19187: @1346215
     /* 1346215 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1346299), // Rule ID 20294 //
     /* 1346220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1346237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1346240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346273 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346298 */     // GIR_Coverage, 20294,
     /* 1346298 */     GIR_EraseRootFromParent_Done,
     /* 1346299 */   // Label 19188: @1346299
     /* 1346299 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1346383), // Rule ID 20297 //
     /* 1346304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346382 */     // GIR_Coverage, 20297,
     /* 1346382 */     GIR_EraseRootFromParent_Done,
     /* 1346383 */   // Label 19189: @1346383
     /* 1346383 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1346467), // Rule ID 20298 //
     /* 1346388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1346405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1346408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1346444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346466 */     // GIR_Coverage, 20298,
     /* 1346466 */     GIR_EraseRootFromParent_Done,
     /* 1346467 */   // Label 19190: @1346467
     /* 1346467 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1346551), // Rule ID 20301 //
     /* 1346472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346550 */     // GIR_Coverage, 20301,
     /* 1346550 */     GIR_EraseRootFromParent_Done,
     /* 1346551 */   // Label 19191: @1346551
     /* 1346551 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1346635), // Rule ID 20302 //
     /* 1346556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1346576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1346612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346634 */     // GIR_Coverage, 20302,
     /* 1346634 */     GIR_EraseRootFromParent_Done,
     /* 1346635 */   // Label 19192: @1346635
     /* 1346635 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346719), // Rule ID 20305 //
     /* 1346640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1346660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346718 */     // GIR_Coverage, 20305,
     /* 1346718 */     GIR_EraseRootFromParent_Done,
     /* 1346719 */   // Label 19193: @1346719
     /* 1346719 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346803), // Rule ID 20306 //
     /* 1346724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1346744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346777 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1346780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346802 */     // GIR_Coverage, 20306,
     /* 1346802 */     GIR_EraseRootFromParent_Done,
     /* 1346803 */   // Label 19194: @1346803
     /* 1346803 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346887), // Rule ID 20309 //
     /* 1346808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1346828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1346864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346886 */     // GIR_Coverage, 20309,
     /* 1346886 */     GIR_EraseRootFromParent_Done,
     /* 1346887 */   // Label 19195: @1346887
     /* 1346887 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1346971), // Rule ID 20310 //
     /* 1346892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1346912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346945 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1346948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346970 */     // GIR_Coverage, 20310,
     /* 1346970 */     GIR_EraseRootFromParent_Done,
     /* 1346971 */   // Label 19196: @1346971
     /* 1346971 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347055), // Rule ID 20313 //
     /* 1346976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1346996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347054 */     // GIR_Coverage, 20313,
     /* 1347054 */     GIR_EraseRootFromParent_Done,
     /* 1347055 */   // Label 19197: @1347055
     /* 1347055 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347139), // Rule ID 20314 //
     /* 1347060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1347077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1347080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347113 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347138 */     // GIR_Coverage, 20314,
     /* 1347138 */     GIR_EraseRootFromParent_Done,
     /* 1347139 */   // Label 19198: @1347139
     /* 1347139 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1347223), // Rule ID 20317 //
     /* 1347144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347222 */     // GIR_Coverage, 20317,
     /* 1347222 */     GIR_EraseRootFromParent_Done,
     /* 1347223 */   // Label 19199: @1347223
     /* 1347223 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1347307), // Rule ID 20318 //
     /* 1347228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1347245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1347248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347281 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1347284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347306 */     // GIR_Coverage, 20318,
     /* 1347306 */     GIR_EraseRootFromParent_Done,
     /* 1347307 */   // Label 19200: @1347307
     /* 1347307 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1347391), // Rule ID 20321 //
     /* 1347312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347365 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347390 */     // GIR_Coverage, 20321,
     /* 1347390 */     GIR_EraseRootFromParent_Done,
     /* 1347391 */   // Label 19201: @1347391
     /* 1347391 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1347475), // Rule ID 20322 //
     /* 1347396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1347413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1347416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347449 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347474 */     // GIR_Coverage, 20322,
     /* 1347474 */     GIR_EraseRootFromParent_Done,
     /* 1347475 */   // Label 19202: @1347475
     /* 1347475 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1347559), // Rule ID 20325 //
     /* 1347480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347558 */     // GIR_Coverage, 20325,
     /* 1347558 */     GIR_EraseRootFromParent_Done,
     /* 1347559 */   // Label 19203: @1347559
     /* 1347559 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1347643), // Rule ID 20326 //
     /* 1347564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347617 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347642 */     // GIR_Coverage, 20326,
     /* 1347642 */     GIR_EraseRootFromParent_Done,
     /* 1347643 */   // Label 19204: @1347643
     /* 1347643 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347727), // Rule ID 20329 //
     /* 1347648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347726 */     // GIR_Coverage, 20329,
     /* 1347726 */     GIR_EraseRootFromParent_Done,
     /* 1347727 */   // Label 19205: @1347727
     /* 1347727 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347811), // Rule ID 20330 //
     /* 1347732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1347788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347810 */     // GIR_Coverage, 20330,
     /* 1347810 */     GIR_EraseRootFromParent_Done,
     /* 1347811 */   // Label 19206: @1347811
     /* 1347811 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347895), // Rule ID 20333 //
     /* 1347816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1347836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347869 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347894 */     // GIR_Coverage, 20333,
     /* 1347894 */     GIR_EraseRootFromParent_Done,
     /* 1347895 */   // Label 19207: @1347895
     /* 1347895 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1347979), // Rule ID 20334 //
     /* 1347900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1347920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347978 */     // GIR_Coverage, 20334,
     /* 1347978 */     GIR_EraseRootFromParent_Done,
     /* 1347979 */   // Label 19208: @1347979
     /* 1347979 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348063), // Rule ID 20337 //
     /* 1347984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348062 */     // GIR_Coverage, 20337,
     /* 1348062 */     GIR_EraseRootFromParent_Done,
     /* 1348063 */   // Label 19209: @1348063
     /* 1348063 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348147), // Rule ID 20338 //
     /* 1348068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1348085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1348088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348146 */     // GIR_Coverage, 20338,
     /* 1348146 */     GIR_EraseRootFromParent_Done,
     /* 1348147 */   // Label 19210: @1348147
     /* 1348147 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1348231), // Rule ID 20341 //
     /* 1348152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348205 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348230 */     // GIR_Coverage, 20341,
     /* 1348230 */     GIR_EraseRootFromParent_Done,
     /* 1348231 */   // Label 19211: @1348231
     /* 1348231 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1348315), // Rule ID 20342 //
     /* 1348236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1348247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1348250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1348253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1348256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1348259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348289 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348314 */     // GIR_Coverage, 20342,
     /* 1348314 */     GIR_EraseRootFromParent_Done,
     /* 1348315 */   // Label 19212: @1348315
     /* 1348315 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1348399), // Rule ID 20345 //
     /* 1348320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348398 */     // GIR_Coverage, 20345,
     /* 1348398 */     GIR_EraseRootFromParent_Done,
     /* 1348399 */   // Label 19213: @1348399
     /* 1348399 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1348483), // Rule ID 20346 //
     /* 1348404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1348421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1348424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348482 */     // GIR_Coverage, 20346,
     /* 1348482 */     GIR_EraseRootFromParent_Done,
     /* 1348483 */   // Label 19214: @1348483
     /* 1348483 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1348567), // Rule ID 20349 //
     /* 1348488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348566 */     // GIR_Coverage, 20349,
     /* 1348566 */     GIR_EraseRootFromParent_Done,
     /* 1348567 */   // Label 19215: @1348567
     /* 1348567 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1348651), // Rule ID 20350 //
     /* 1348572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1348592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1348628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348650 */     // GIR_Coverage, 20350,
     /* 1348650 */     GIR_EraseRootFromParent_Done,
     /* 1348651 */   // Label 19216: @1348651
     /* 1348651 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348735), // Rule ID 20353 //
     /* 1348656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1348676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348734 */     // GIR_Coverage, 20353,
     /* 1348734 */     GIR_EraseRootFromParent_Done,
     /* 1348735 */   // Label 19217: @1348735
     /* 1348735 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348819), // Rule ID 20354 //
     /* 1348740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1348760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348793 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348818 */     // GIR_Coverage, 20354,
     /* 1348818 */     GIR_EraseRootFromParent_Done,
     /* 1348819 */   // Label 19218: @1348819
     /* 1348819 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1348903), // Rule ID 20357 //
     /* 1348824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1348844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348902 */     // GIR_Coverage, 20357,
     /* 1348902 */     GIR_EraseRootFromParent_Done,
     /* 1348903 */   // Label 19219: @1348903
     /* 1348903 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1348987), // Rule ID 20358 //
     /* 1348908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1348928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1348964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348986 */     // GIR_Coverage, 20358,
     /* 1348986 */     GIR_EraseRootFromParent_Done,
     /* 1348987 */   // Label 19220: @1348987
     /* 1348987 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349071), // Rule ID 20361 //
     /* 1348992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349070 */     // GIR_Coverage, 20361,
     /* 1349070 */     GIR_EraseRootFromParent_Done,
     /* 1349071 */   // Label 19221: @1349071
     /* 1349071 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349155), // Rule ID 20362 //
     /* 1349076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1349093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1349096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349129 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1349132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349154 */     // GIR_Coverage, 20362,
     /* 1349154 */     GIR_EraseRootFromParent_Done,
     /* 1349155 */   // Label 19222: @1349155
     /* 1349155 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349239), // Rule ID 20365 //
     /* 1349160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349213 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349238 */     // GIR_Coverage, 20365,
     /* 1349238 */     GIR_EraseRootFromParent_Done,
     /* 1349239 */   // Label 19223: @1349239
     /* 1349239 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1349323), // Rule ID 20366 //
     /* 1349244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1349252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1349261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1349264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349297 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1349300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349322 */     // GIR_Coverage, 20366,
     /* 1349322 */     GIR_EraseRootFromParent_Done,
     /* 1349323 */   // Label 19224: @1349323
     /* 1349323 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1349404), // Rule ID 20423 //
     /* 1349328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349403 */     // GIR_Coverage, 20423,
     /* 1349403 */     GIR_EraseRootFromParent_Done,
     /* 1349404 */   // Label 19225: @1349404
     /* 1349404 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1349485), // Rule ID 20424 //
     /* 1349409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1349429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349462 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1349465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349484 */     // GIR_Coverage, 20424,
     /* 1349484 */     GIR_EraseRootFromParent_Done,
     /* 1349485 */   // Label 19226: @1349485
     /* 1349485 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1349566), // Rule ID 20425 //
     /* 1349490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349543 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349565 */     // GIR_Coverage, 20425,
     /* 1349565 */     GIR_EraseRootFromParent_Done,
     /* 1349566 */   // Label 19227: @1349566
     /* 1349566 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1349647), // Rule ID 20426 //
     /* 1349571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349624 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1349627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349646 */     // GIR_Coverage, 20426,
     /* 1349646 */     GIR_EraseRootFromParent_Done,
     /* 1349647 */   // Label 19228: @1349647
     /* 1349647 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349728), // Rule ID 20427 //
     /* 1349652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349705 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1349708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349727 */     // GIR_Coverage, 20427,
     /* 1349727 */     GIR_EraseRootFromParent_Done,
     /* 1349728 */   // Label 19229: @1349728
     /* 1349728 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349809), // Rule ID 20428 //
     /* 1349733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349786 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1349789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349808 */     // GIR_Coverage, 20428,
     /* 1349808 */     GIR_EraseRootFromParent_Done,
     /* 1349809 */   // Label 19230: @1349809
     /* 1349809 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1349890), // Rule ID 20429 //
     /* 1349814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349867 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1349870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349889 */     // GIR_Coverage, 20429,
     /* 1349889 */     GIR_EraseRootFromParent_Done,
     /* 1349890 */   // Label 19231: @1349890
     /* 1349890 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1349971), // Rule ID 20430 //
     /* 1349895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349948 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1349951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349970 */     // GIR_Coverage, 20430,
     /* 1349970 */     GIR_EraseRootFromParent_Done,
     /* 1349971 */   // Label 19232: @1349971
     /* 1349971 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350052), // Rule ID 20431 //
     /* 1349976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1349987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1349990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1349996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350029 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350051 */     // GIR_Coverage, 20431,
     /* 1350051 */     GIR_EraseRootFromParent_Done,
     /* 1350052 */   // Label 19233: @1350052
     /* 1350052 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350133), // Rule ID 20432 //
     /* 1350057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1350077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350110 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1350113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350132 */     // GIR_Coverage, 20432,
     /* 1350132 */     GIR_EraseRootFromParent_Done,
     /* 1350133 */   // Label 19234: @1350133
     /* 1350133 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350214), // Rule ID 20433 //
     /* 1350138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350191 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350213 */     // GIR_Coverage, 20433,
     /* 1350213 */     GIR_EraseRootFromParent_Done,
     /* 1350214 */   // Label 19235: @1350214
     /* 1350214 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1350295), // Rule ID 20434 //
     /* 1350219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1350230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1350233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1350275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350294 */     // GIR_Coverage, 20434,
     /* 1350294 */     GIR_EraseRootFromParent_Done,
     /* 1350295 */   // Label 19236: @1350295
     /* 1350295 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1350376), // Rule ID 20435 //
     /* 1350300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350375 */     // GIR_Coverage, 20435,
     /* 1350375 */     GIR_EraseRootFromParent_Done,
     /* 1350376 */   // Label 19237: @1350376
     /* 1350376 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1350457), // Rule ID 20436 //
     /* 1350381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350434 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350456 */     // GIR_Coverage, 20436,
     /* 1350456 */     GIR_EraseRootFromParent_Done,
     /* 1350457 */   // Label 19238: @1350457
     /* 1350457 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1350538), // Rule ID 20437 //
     /* 1350462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350515 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350537 */     // GIR_Coverage, 20437,
     /* 1350537 */     GIR_EraseRootFromParent_Done,
     /* 1350538 */   // Label 19239: @1350538
     /* 1350538 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1350619), // Rule ID 20438 //
     /* 1350543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1350599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350618 */     // GIR_Coverage, 20438,
     /* 1350618 */     GIR_EraseRootFromParent_Done,
     /* 1350619 */   // Label 19240: @1350619
     /* 1350619 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350700), // Rule ID 20439 //
     /* 1350624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350677 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350699 */     // GIR_Coverage, 20439,
     /* 1350699 */     GIR_EraseRootFromParent_Done,
     /* 1350700 */   // Label 19241: @1350700
     /* 1350700 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350781), // Rule ID 20440 //
     /* 1350705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350758 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1350761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350780 */     // GIR_Coverage, 20440,
     /* 1350780 */     GIR_EraseRootFromParent_Done,
     /* 1350781 */   // Label 19242: @1350781
     /* 1350781 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350862), // Rule ID 20441 //
     /* 1350786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1350839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1350842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350861 */     // GIR_Coverage, 20441,
     /* 1350861 */     GIR_EraseRootFromParent_Done,
     /* 1350862 */   // Label 19243: @1350862
     /* 1350862 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1350943), // Rule ID 20442 //
     /* 1350867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1350920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1350923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350942 */     // GIR_Coverage, 20442,
     /* 1350942 */     GIR_EraseRootFromParent_Done,
     /* 1350943 */   // Label 19244: @1350943
     /* 1350943 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351024), // Rule ID 20443 //
     /* 1350948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1350959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1350962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1350965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1350968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351023 */     // GIR_Coverage, 20443,
     /* 1351023 */     GIR_EraseRootFromParent_Done,
     /* 1351024 */   // Label 19245: @1351024
     /* 1351024 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351105), // Rule ID 20444 //
     /* 1351029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351082 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1351085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351104 */     // GIR_Coverage, 20444,
     /* 1351104 */     GIR_EraseRootFromParent_Done,
     /* 1351105 */   // Label 19246: @1351105
     /* 1351105 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351186), // Rule ID 20445 //
     /* 1351110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351163 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1351163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351185 */     // GIR_Coverage, 20445,
     /* 1351185 */     GIR_EraseRootFromParent_Done,
     /* 1351186 */   // Label 19247: @1351186
     /* 1351186 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1351267), // Rule ID 20446 //
     /* 1351191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351244 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1351244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1351247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351266 */     // GIR_Coverage, 20446,
     /* 1351266 */     GIR_EraseRootFromParent_Done,
     /* 1351267 */   // Label 19248: @1351267
     /* 1351267 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1351348), // Rule ID 20447 //
     /* 1351272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351325 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351347 */     // GIR_Coverage, 20447,
     /* 1351347 */     GIR_EraseRootFromParent_Done,
     /* 1351348 */   // Label 19249: @1351348
     /* 1351348 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1351429), // Rule ID 20448 //
     /* 1351353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1351373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351406 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351428 */     // GIR_Coverage, 20448,
     /* 1351428 */     GIR_EraseRootFromParent_Done,
     /* 1351429 */   // Label 19250: @1351429
     /* 1351429 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1351510), // Rule ID 20449 //
     /* 1351434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351487 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351509 */     // GIR_Coverage, 20449,
     /* 1351509 */     GIR_EraseRootFromParent_Done,
     /* 1351510 */   // Label 19251: @1351510
     /* 1351510 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1351591), // Rule ID 20450 //
     /* 1351515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351568 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1351571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351590 */     // GIR_Coverage, 20450,
     /* 1351590 */     GIR_EraseRootFromParent_Done,
     /* 1351591 */   // Label 19252: @1351591
     /* 1351591 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351672), // Rule ID 20451 //
     /* 1351596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1351616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351649 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351671 */     // GIR_Coverage, 20451,
     /* 1351671 */     GIR_EraseRootFromParent_Done,
     /* 1351672 */   // Label 19253: @1351672
     /* 1351672 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351753), // Rule ID 20452 //
     /* 1351677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1351680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1351697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351730 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351752 */     // GIR_Coverage, 20452,
     /* 1351752 */     GIR_EraseRootFromParent_Done,
     /* 1351753 */   // Label 19254: @1351753
     /* 1351753 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351834), // Rule ID 20453 //
     /* 1351758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351811 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1351814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351833 */     // GIR_Coverage, 20453,
     /* 1351833 */     GIR_EraseRootFromParent_Done,
     /* 1351834 */   // Label 19255: @1351834
     /* 1351834 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1351915), // Rule ID 20454 //
     /* 1351839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351892 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1351895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351914 */     // GIR_Coverage, 20454,
     /* 1351914 */     GIR_EraseRootFromParent_Done,
     /* 1351915 */   // Label 19256: @1351915
     /* 1351915 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1351996), // Rule ID 20455 //
     /* 1351920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1351923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1351931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1351934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1351937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1351940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1351943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1351973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1351976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351995 */     // GIR_Coverage, 20455,
     /* 1351995 */     GIR_EraseRootFromParent_Done,
     /* 1351996 */   // Label 19257: @1351996
     /* 1351996 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352077), // Rule ID 20456 //
     /* 1352001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1352004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352076 */     // GIR_Coverage, 20456,
     /* 1352076 */     GIR_EraseRootFromParent_Done,
     /* 1352077 */   // Label 19258: @1352077
     /* 1352077 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352158), // Rule ID 20457 //
     /* 1352082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352135 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1352135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352157 */     // GIR_Coverage, 20457,
     /* 1352157 */     GIR_EraseRootFromParent_Done,
     /* 1352158 */   // Label 19259: @1352158
     /* 1352158 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352239), // Rule ID 20458 //
     /* 1352163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1352174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1352177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1352216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1352219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352238 */     // GIR_Coverage, 20458,
     /* 1352238 */     GIR_EraseRootFromParent_Done,
     /* 1352239 */   // Label 19260: @1352239
     /* 1352239 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1352320), // Rule ID 20459 //
     /* 1352244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352319 */     // GIR_Coverage, 20459,
     /* 1352319 */     GIR_EraseRootFromParent_Done,
     /* 1352320 */   // Label 19261: @1352320
     /* 1352320 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1352401), // Rule ID 20460 //
     /* 1352325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352400 */     // GIR_Coverage, 20460,
     /* 1352400 */     GIR_EraseRootFromParent_Done,
     /* 1352401 */   // Label 19262: @1352401
     /* 1352401 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1352482), // Rule ID 20461 //
     /* 1352406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352481 */     // GIR_Coverage, 20461,
     /* 1352481 */     GIR_EraseRootFromParent_Done,
     /* 1352482 */   // Label 19263: @1352482
     /* 1352482 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1352563), // Rule ID 20462 //
     /* 1352487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1352498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1352501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1352543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352562 */     // GIR_Coverage, 20462,
     /* 1352562 */     GIR_EraseRootFromParent_Done,
     /* 1352563 */   // Label 19264: @1352563
     /* 1352563 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352644), // Rule ID 20463 //
     /* 1352568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352621 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352643 */     // GIR_Coverage, 20463,
     /* 1352643 */     GIR_EraseRootFromParent_Done,
     /* 1352644 */   // Label 19265: @1352644
     /* 1352644 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352725), // Rule ID 20464 //
     /* 1352649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1352669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352724 */     // GIR_Coverage, 20464,
     /* 1352724 */     GIR_EraseRootFromParent_Done,
     /* 1352725 */   // Label 19266: @1352725
     /* 1352725 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352806), // Rule ID 20465 //
     /* 1352730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1352786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352805 */     // GIR_Coverage, 20465,
     /* 1352805 */     GIR_EraseRootFromParent_Done,
     /* 1352806 */   // Label 19267: @1352806
     /* 1352806 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352887), // Rule ID 20466 //
     /* 1352811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1352864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1352867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352886 */     // GIR_Coverage, 20466,
     /* 1352886 */     GIR_EraseRootFromParent_Done,
     /* 1352887 */   // Label 19268: @1352887
     /* 1352887 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1352968), // Rule ID 20467 //
     /* 1352892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1352903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1352906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1352912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352945 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1352945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352967 */     // GIR_Coverage, 20467,
     /* 1352967 */     GIR_EraseRootFromParent_Done,
     /* 1352968 */   // Label 19269: @1352968
     /* 1352968 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353049), // Rule ID 20468 //
     /* 1352973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1352984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1352987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1352993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353048 */     // GIR_Coverage, 20468,
     /* 1353048 */     GIR_EraseRootFromParent_Done,
     /* 1353049 */   // Label 19270: @1353049
     /* 1353049 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353130), // Rule ID 20469 //
     /* 1353054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1353107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353129 */     // GIR_Coverage, 20469,
     /* 1353129 */     GIR_EraseRootFromParent_Done,
     /* 1353130 */   // Label 19271: @1353130
     /* 1353130 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1353211), // Rule ID 20470 //
     /* 1353135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1353146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1353149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1353188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1353191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353210 */     // GIR_Coverage, 20470,
     /* 1353210 */     GIR_EraseRootFromParent_Done,
     /* 1353211 */   // Label 19272: @1353211
     /* 1353211 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1353292), // Rule ID 20471 //
     /* 1353216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353269 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353291 */     // GIR_Coverage, 20471,
     /* 1353291 */     GIR_EraseRootFromParent_Done,
     /* 1353292 */   // Label 19273: @1353292
     /* 1353292 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1353373), // Rule ID 20472 //
     /* 1353297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353350 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11338:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1353353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353372 */     // GIR_Coverage, 20472,
     /* 1353372 */     GIR_EraseRootFromParent_Done,
     /* 1353373 */   // Label 19274: @1353373
     /* 1353373 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1353454), // Rule ID 20473 //
     /* 1353378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353453 */     // GIR_Coverage, 20473,
     /* 1353453 */     GIR_EraseRootFromParent_Done,
     /* 1353454 */   // Label 19275: @1353454
     /* 1353454 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1353535), // Rule ID 20474 //
     /* 1353459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1353470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1353473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353512 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1353515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353534 */     // GIR_Coverage, 20474,
     /* 1353534 */     GIR_EraseRootFromParent_Done,
     /* 1353535 */   // Label 19276: @1353535
     /* 1353535 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353616), // Rule ID 20475 //
     /* 1353540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353593 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353615 */     // GIR_Coverage, 20475,
     /* 1353615 */     GIR_EraseRootFromParent_Done,
     /* 1353616 */   // Label 19277: @1353616
     /* 1353616 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353697), // Rule ID 20476 //
     /* 1353621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353674 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11338:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1353677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353696 */     // GIR_Coverage, 20476,
     /* 1353696 */     GIR_EraseRootFromParent_Done,
     /* 1353697 */   // Label 19278: @1353697
     /* 1353697 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353778), // Rule ID 20477 //
     /* 1353702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353755 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1353758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353777 */     // GIR_Coverage, 20477,
     /* 1353777 */     GIR_EraseRootFromParent_Done,
     /* 1353778 */   // Label 19279: @1353778
     /* 1353778 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353859), // Rule ID 20478 //
     /* 1353783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1353791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1353794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1353797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1353813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1353839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353858 */     // GIR_Coverage, 20478,
     /* 1353858 */     GIR_EraseRootFromParent_Done,
     /* 1353859 */   // Label 19280: @1353859
     /* 1353859 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1353940), // Rule ID 20479 //
     /* 1353864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1353875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1353878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353917 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1353917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1353920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353939 */     // GIR_Coverage, 20479,
     /* 1353939 */     GIR_EraseRootFromParent_Done,
     /* 1353940 */   // Label 19281: @1353940
     /* 1353940 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354021), // Rule ID 20480 //
     /* 1353945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1353956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1353959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1353975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353998 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11338:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1353998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1354001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354020 */     // GIR_Coverage, 20480,
     /* 1354020 */     GIR_EraseRootFromParent_Done,
     /* 1354021 */   // Label 19282: @1354021
     /* 1354021 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354102), // Rule ID 20481 //
     /* 1354026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354079 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1354079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354101 */     // GIR_Coverage, 20481,
     /* 1354101 */     GIR_EraseRootFromParent_Done,
     /* 1354102 */   // Label 19283: @1354102
     /* 1354102 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1354183), // Rule ID 20482 //
     /* 1354107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1354118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1354121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1354137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1354160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1354163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354182 */     // GIR_Coverage, 20482,
     /* 1354182 */     GIR_EraseRootFromParent_Done,
     /* 1354183 */   // Label 19284: @1354183
     /* 1354183 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1354267), // Rule ID 21863 //
     /* 1354188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354241 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354266 */     // GIR_Coverage, 21863,
     /* 1354266 */     GIR_EraseRootFromParent_Done,
     /* 1354267 */   // Label 19285: @1354267
     /* 1354267 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1354351), // Rule ID 21864 //
     /* 1354272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1354289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354325 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1354328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354350 */     // GIR_Coverage, 21864,
     /* 1354350 */     GIR_EraseRootFromParent_Done,
     /* 1354351 */   // Label 19286: @1354351
     /* 1354351 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1354435), // Rule ID 21867 //
     /* 1354356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354434 */     // GIR_Coverage, 21867,
     /* 1354434 */     GIR_EraseRootFromParent_Done,
     /* 1354435 */   // Label 19287: @1354435
     /* 1354435 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1354519), // Rule ID 21868 //
     /* 1354440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1354457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1354496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354518 */     // GIR_Coverage, 21868,
     /* 1354518 */     GIR_EraseRootFromParent_Done,
     /* 1354519 */   // Label 19288: @1354519
     /* 1354519 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354603), // Rule ID 21871 //
     /* 1354524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1354580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354602 */     // GIR_Coverage, 21871,
     /* 1354602 */     GIR_EraseRootFromParent_Done,
     /* 1354603 */   // Label 19289: @1354603
     /* 1354603 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354687), // Rule ID 21872 //
     /* 1354608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1354664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354686 */     // GIR_Coverage, 21872,
     /* 1354686 */     GIR_EraseRootFromParent_Done,
     /* 1354687 */   // Label 19290: @1354687
     /* 1354687 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354771), // Rule ID 21875 //
     /* 1354692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1354748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354770 */     // GIR_Coverage, 21875,
     /* 1354770 */     GIR_EraseRootFromParent_Done,
     /* 1354771 */   // Label 19291: @1354771
     /* 1354771 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354855), // Rule ID 21876 //
     /* 1354776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1354832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354854 */     // GIR_Coverage, 21876,
     /* 1354854 */     GIR_EraseRootFromParent_Done,
     /* 1354855 */   // Label 19292: @1354855
     /* 1354855 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1354939), // Rule ID 21879 //
     /* 1354860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1354916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354938 */     // GIR_Coverage, 21879,
     /* 1354938 */     GIR_EraseRootFromParent_Done,
     /* 1354939 */   // Label 19293: @1354939
     /* 1354939 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355023), // Rule ID 21880 //
     /* 1354944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1355000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355022 */     // GIR_Coverage, 21880,
     /* 1355022 */     GIR_EraseRootFromParent_Done,
     /* 1355023 */   // Label 19294: @1355023
     /* 1355023 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355107), // Rule ID 21883 //
     /* 1355028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355106 */     // GIR_Coverage, 21883,
     /* 1355106 */     GIR_EraseRootFromParent_Done,
     /* 1355107 */   // Label 19295: @1355107
     /* 1355107 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1355191), // Rule ID 21884 //
     /* 1355112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1355129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1355168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355190 */     // GIR_Coverage, 21884,
     /* 1355190 */     GIR_EraseRootFromParent_Done,
     /* 1355191 */   // Label 19296: @1355191
     /* 1355191 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1355275), // Rule ID 21887 //
     /* 1355196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355274 */     // GIR_Coverage, 21887,
     /* 1355274 */     GIR_EraseRootFromParent_Done,
     /* 1355275 */   // Label 19297: @1355275
     /* 1355275 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1355359), // Rule ID 21888 //
     /* 1355280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1355336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355358 */     // GIR_Coverage, 21888,
     /* 1355358 */     GIR_EraseRootFromParent_Done,
     /* 1355359 */   // Label 19298: @1355359
     /* 1355359 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1355443), // Rule ID 21891 //
     /* 1355364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355442 */     // GIR_Coverage, 21891,
     /* 1355442 */     GIR_EraseRootFromParent_Done,
     /* 1355443 */   // Label 19299: @1355443
     /* 1355443 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1355527), // Rule ID 21892 //
     /* 1355448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355501 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1355504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355526 */     // GIR_Coverage, 21892,
     /* 1355526 */     GIR_EraseRootFromParent_Done,
     /* 1355527 */   // Label 19300: @1355527
     /* 1355527 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355611), // Rule ID 21895 //
     /* 1355532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1355588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355610 */     // GIR_Coverage, 21895,
     /* 1355610 */     GIR_EraseRootFromParent_Done,
     /* 1355611 */   // Label 19301: @1355611
     /* 1355611 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355695), // Rule ID 21896 //
     /* 1355616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1355619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355669 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1355672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355694 */     // GIR_Coverage, 21896,
     /* 1355694 */     GIR_EraseRootFromParent_Done,
     /* 1355695 */   // Label 19302: @1355695
     /* 1355695 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355779), // Rule ID 21899 //
     /* 1355700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1355717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1355756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355778 */     // GIR_Coverage, 21899,
     /* 1355778 */     GIR_EraseRootFromParent_Done,
     /* 1355779 */   // Label 19303: @1355779
     /* 1355779 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355863), // Rule ID 21900 //
     /* 1355784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1355801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1355840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355862 */     // GIR_Coverage, 21900,
     /* 1355862 */     GIR_EraseRootFromParent_Done,
     /* 1355863 */   // Label 19304: @1355863
     /* 1355863 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1355947), // Rule ID 21903 //
     /* 1355868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1355885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355921 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1355924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355946 */     // GIR_Coverage, 21903,
     /* 1355946 */     GIR_EraseRootFromParent_Done,
     /* 1355947 */   // Label 19305: @1355947
     /* 1355947 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356031), // Rule ID 21904 //
     /* 1355952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1355969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1356008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356030 */     // GIR_Coverage, 21904,
     /* 1356030 */     GIR_EraseRootFromParent_Done,
     /* 1356031 */   // Label 19306: @1356031
     /* 1356031 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356115), // Rule ID 21907 //
     /* 1356036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356114 */     // GIR_Coverage, 21907,
     /* 1356114 */     GIR_EraseRootFromParent_Done,
     /* 1356115 */   // Label 19307: @1356115
     /* 1356115 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1356199), // Rule ID 21908 //
     /* 1356120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1356137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1356143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1356176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356198 */     // GIR_Coverage, 21908,
     /* 1356198 */     GIR_EraseRootFromParent_Done,
     /* 1356199 */   // Label 19308: @1356199
     /* 1356199 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1356283), // Rule ID 21911 //
     /* 1356204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356282 */     // GIR_Coverage, 21911,
     /* 1356282 */     GIR_EraseRootFromParent_Done,
     /* 1356283 */   // Label 19309: @1356283
     /* 1356283 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1356367), // Rule ID 21912 //
     /* 1356288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1356344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356366 */     // GIR_Coverage, 21912,
     /* 1356366 */     GIR_EraseRootFromParent_Done,
     /* 1356367 */   // Label 19310: @1356367
     /* 1356367 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1356451), // Rule ID 21915 //
     /* 1356372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356450 */     // GIR_Coverage, 21915,
     /* 1356450 */     GIR_EraseRootFromParent_Done,
     /* 1356451 */   // Label 19311: @1356451
     /* 1356451 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1356535), // Rule ID 21916 //
     /* 1356456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1356512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356534 */     // GIR_Coverage, 21916,
     /* 1356534 */     GIR_EraseRootFromParent_Done,
     /* 1356535 */   // Label 19312: @1356535
     /* 1356535 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356619), // Rule ID 21919 //
     /* 1356540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1356596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356618 */     // GIR_Coverage, 21919,
     /* 1356618 */     GIR_EraseRootFromParent_Done,
     /* 1356619 */   // Label 19313: @1356619
     /* 1356619 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356703), // Rule ID 21920 //
     /* 1356624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1356680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356702 */     // GIR_Coverage, 21920,
     /* 1356702 */     GIR_EraseRootFromParent_Done,
     /* 1356703 */   // Label 19314: @1356703
     /* 1356703 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356787), // Rule ID 21923 //
     /* 1356708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1356764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356786 */     // GIR_Coverage, 21923,
     /* 1356786 */     GIR_EraseRootFromParent_Done,
     /* 1356787 */   // Label 19315: @1356787
     /* 1356787 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356871), // Rule ID 21924 //
     /* 1356792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1356848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356870 */     // GIR_Coverage, 21924,
     /* 1356870 */     GIR_EraseRootFromParent_Done,
     /* 1356871 */   // Label 19316: @1356871
     /* 1356871 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1356955), // Rule ID 21927 //
     /* 1356876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1356893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1356932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356954 */     // GIR_Coverage, 21927,
     /* 1356954 */     GIR_EraseRootFromParent_Done,
     /* 1356955 */   // Label 19317: @1356955
     /* 1356955 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357039), // Rule ID 21928 //
     /* 1356960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1356977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1357016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357038 */     // GIR_Coverage, 21928,
     /* 1357038 */     GIR_EraseRootFromParent_Done,
     /* 1357039 */   // Label 19318: @1357039
     /* 1357039 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357123), // Rule ID 21931 //
     /* 1357044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357122 */     // GIR_Coverage, 21931,
     /* 1357122 */     GIR_EraseRootFromParent_Done,
     /* 1357123 */   // Label 19319: @1357123
     /* 1357123 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1357207), // Rule ID 21932 //
     /* 1357128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1357184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357206 */     // GIR_Coverage, 21932,
     /* 1357206 */     GIR_EraseRootFromParent_Done,
     /* 1357207 */   // Label 19320: @1357207
     /* 1357207 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1357291), // Rule ID 21935 //
     /* 1357212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357290 */     // GIR_Coverage, 21935,
     /* 1357290 */     GIR_EraseRootFromParent_Done,
     /* 1357291 */   // Label 19321: @1357291
     /* 1357291 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1357375), // Rule ID 21936 //
     /* 1357296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1357352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357374 */     // GIR_Coverage, 21936,
     /* 1357374 */     GIR_EraseRootFromParent_Done,
     /* 1357375 */   // Label 19322: @1357375
     /* 1357375 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1357459), // Rule ID 21939 //
     /* 1357380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357458 */     // GIR_Coverage, 21939,
     /* 1357458 */     GIR_EraseRootFromParent_Done,
     /* 1357459 */   // Label 19323: @1357459
     /* 1357459 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1357543), // Rule ID 21940 //
     /* 1357464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1357520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357542 */     // GIR_Coverage, 21940,
     /* 1357542 */     GIR_EraseRootFromParent_Done,
     /* 1357543 */   // Label 19324: @1357543
     /* 1357543 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1357627), // Rule ID 21943 //
     /* 1357548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1357604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357626 */     // GIR_Coverage, 21943,
     /* 1357626 */     GIR_EraseRootFromParent_Done,
     /* 1357627 */   // Label 19325: @1357627
     /* 1357627 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357711), // Rule ID 21944 //
     /* 1357632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1357640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1357688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357710 */     // GIR_Coverage, 21944,
     /* 1357710 */     GIR_EraseRootFromParent_Done,
     /* 1357711 */   // Label 19326: @1357711
     /* 1357711 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357795), // Rule ID 21947 //
     /* 1357716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1357772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357794 */     // GIR_Coverage, 21947,
     /* 1357794 */     GIR_EraseRootFromParent_Done,
     /* 1357795 */   // Label 19327: @1357795
     /* 1357795 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357879), // Rule ID 21948 //
     /* 1357800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1357856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357878 */     // GIR_Coverage, 21948,
     /* 1357878 */     GIR_EraseRootFromParent_Done,
     /* 1357879 */   // Label 19328: @1357879
     /* 1357879 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1357963), // Rule ID 21951 //
     /* 1357884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1357901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1357940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357962 */     // GIR_Coverage, 21951,
     /* 1357962 */     GIR_EraseRootFromParent_Done,
     /* 1357963 */   // Label 19329: @1357963
     /* 1357963 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358047), // Rule ID 21952 //
     /* 1357968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1357985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358021 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1358024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358046 */     // GIR_Coverage, 21952,
     /* 1358046 */     GIR_EraseRootFromParent_Done,
     /* 1358047 */   // Label 19330: @1358047
     /* 1358047 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358131), // Rule ID 21955 //
     /* 1358052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358105 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358130 */     // GIR_Coverage, 21955,
     /* 1358130 */     GIR_EraseRootFromParent_Done,
     /* 1358131 */   // Label 19331: @1358131
     /* 1358131 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1358215), // Rule ID 21956 //
     /* 1358136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1358192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358214 */     // GIR_Coverage, 21956,
     /* 1358214 */     GIR_EraseRootFromParent_Done,
     /* 1358215 */   // Label 19332: @1358215
     /* 1358215 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1358299), // Rule ID 21959 //
     /* 1358220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358298 */     // GIR_Coverage, 21959,
     /* 1358298 */     GIR_EraseRootFromParent_Done,
     /* 1358299 */   // Label 19333: @1358299
     /* 1358299 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1358383), // Rule ID 21960 //
     /* 1358304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1358360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358382 */     // GIR_Coverage, 21960,
     /* 1358382 */     GIR_EraseRootFromParent_Done,
     /* 1358383 */   // Label 19334: @1358383
     /* 1358383 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1358467), // Rule ID 21963 //
     /* 1358388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358441 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358466 */     // GIR_Coverage, 21963,
     /* 1358466 */     GIR_EraseRootFromParent_Done,
     /* 1358467 */   // Label 19335: @1358467
     /* 1358467 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1358551), // Rule ID 21964 //
     /* 1358472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1358528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358550 */     // GIR_Coverage, 21964,
     /* 1358550 */     GIR_EraseRootFromParent_Done,
     /* 1358551 */   // Label 19336: @1358551
     /* 1358551 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1358635), // Rule ID 21967 //
     /* 1358556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1358612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358634 */     // GIR_Coverage, 21967,
     /* 1358634 */     GIR_EraseRootFromParent_Done,
     /* 1358635 */   // Label 19337: @1358635
     /* 1358635 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358719), // Rule ID 21968 //
     /* 1358640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1358696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358718 */     // GIR_Coverage, 21968,
     /* 1358718 */     GIR_EraseRootFromParent_Done,
     /* 1358719 */   // Label 19338: @1358719
     /* 1358719 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358803), // Rule ID 21971 //
     /* 1358724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1358741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1358780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358802 */     // GIR_Coverage, 21971,
     /* 1358802 */     GIR_EraseRootFromParent_Done,
     /* 1358803 */   // Label 19339: @1358803
     /* 1358803 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358887), // Rule ID 21972 //
     /* 1358808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1358825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358861 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1358864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358886 */     // GIR_Coverage, 21972,
     /* 1358886 */     GIR_EraseRootFromParent_Done,
     /* 1358887 */   // Label 19340: @1358887
     /* 1358887 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1358971), // Rule ID 21975 //
     /* 1358892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1358909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1358948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358970 */     // GIR_Coverage, 21975,
     /* 1358970 */     GIR_EraseRootFromParent_Done,
     /* 1358971 */   // Label 19341: @1358971
     /* 1358971 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359055), // Rule ID 21976 //
     /* 1358976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1358993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1359032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359054 */     // GIR_Coverage, 21976,
     /* 1359054 */     GIR_EraseRootFromParent_Done,
     /* 1359055 */   // Label 19342: @1359055
     /* 1359055 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359139), // Rule ID 21979 //
     /* 1359060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359113 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359138 */     // GIR_Coverage, 21979,
     /* 1359138 */     GIR_EraseRootFromParent_Done,
     /* 1359139 */   // Label 19343: @1359139
     /* 1359139 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1359223), // Rule ID 21980 //
     /* 1359144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1359200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359222 */     // GIR_Coverage, 21980,
     /* 1359222 */     GIR_EraseRootFromParent_Done,
     /* 1359223 */   // Label 19344: @1359223
     /* 1359223 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1359307), // Rule ID 21983 //
     /* 1359228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359306 */     // GIR_Coverage, 21983,
     /* 1359306 */     GIR_EraseRootFromParent_Done,
     /* 1359307 */   // Label 19345: @1359307
     /* 1359307 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1359391), // Rule ID 21984 //
     /* 1359312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1359368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359390 */     // GIR_Coverage, 21984,
     /* 1359390 */     GIR_EraseRootFromParent_Done,
     /* 1359391 */   // Label 19346: @1359391
     /* 1359391 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1359475), // Rule ID 21987 //
     /* 1359396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359474 */     // GIR_Coverage, 21987,
     /* 1359474 */     GIR_EraseRootFromParent_Done,
     /* 1359475 */   // Label 19347: @1359475
     /* 1359475 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1359559), // Rule ID 21988 //
     /* 1359480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1359536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359558 */     // GIR_Coverage, 21988,
     /* 1359558 */     GIR_EraseRootFromParent_Done,
     /* 1359559 */   // Label 19348: @1359559
     /* 1359559 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1359643), // Rule ID 21991 //
     /* 1359564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1359581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1359620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359642 */     // GIR_Coverage, 21991,
     /* 1359642 */     GIR_EraseRootFromParent_Done,
     /* 1359643 */   // Label 19349: @1359643
     /* 1359643 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359727), // Rule ID 21992 //
     /* 1359648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1359665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359701 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1359704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359726 */     // GIR_Coverage, 21992,
     /* 1359726 */     GIR_EraseRootFromParent_Done,
     /* 1359727 */   // Label 19350: @1359727
     /* 1359727 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359811), // Rule ID 21995 //
     /* 1359732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1359749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1359755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1359788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359810 */     // GIR_Coverage, 21995,
     /* 1359810 */     GIR_EraseRootFromParent_Done,
     /* 1359811 */   // Label 19351: @1359811
     /* 1359811 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359895), // Rule ID 21996 //
     /* 1359816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1359833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1359839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1359872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359894 */     // GIR_Coverage, 21996,
     /* 1359894 */     GIR_EraseRootFromParent_Done,
     /* 1359895 */   // Label 19352: @1359895
     /* 1359895 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1359979), // Rule ID 21999 //
     /* 1359900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1359917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1359956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359978 */     // GIR_Coverage, 21999,
     /* 1359978 */     GIR_EraseRootFromParent_Done,
     /* 1359979 */   // Label 19353: @1359979
     /* 1359979 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360063), // Rule ID 22000 //
     /* 1359984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360037 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1360040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360062 */     // GIR_Coverage, 22000,
     /* 1360062 */     GIR_EraseRootFromParent_Done,
     /* 1360063 */   // Label 19354: @1360063
     /* 1360063 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360147), // Rule ID 22003 //
     /* 1360068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360146 */     // GIR_Coverage, 22003,
     /* 1360146 */     GIR_EraseRootFromParent_Done,
     /* 1360147 */   // Label 19355: @1360147
     /* 1360147 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1360231), // Rule ID 22004 //
     /* 1360152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1360208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360230 */     // GIR_Coverage, 22004,
     /* 1360230 */     GIR_EraseRootFromParent_Done,
     /* 1360231 */   // Label 19356: @1360231
     /* 1360231 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1360315), // Rule ID 22007 //
     /* 1360236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360314 */     // GIR_Coverage, 22007,
     /* 1360314 */     GIR_EraseRootFromParent_Done,
     /* 1360315 */   // Label 19357: @1360315
     /* 1360315 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1360399), // Rule ID 22008 //
     /* 1360320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1360376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360398 */     // GIR_Coverage, 22008,
     /* 1360398 */     GIR_EraseRootFromParent_Done,
     /* 1360399 */   // Label 19358: @1360399
     /* 1360399 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1360483), // Rule ID 22011 //
     /* 1360404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360482 */     // GIR_Coverage, 22011,
     /* 1360482 */     GIR_EraseRootFromParent_Done,
     /* 1360483 */   // Label 19359: @1360483
     /* 1360483 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1360567), // Rule ID 22012 //
     /* 1360488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1360505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1360544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360566 */     // GIR_Coverage, 22012,
     /* 1360566 */     GIR_EraseRootFromParent_Done,
     /* 1360567 */   // Label 19360: @1360567
     /* 1360567 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1360651), // Rule ID 22015 //
     /* 1360572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1360589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1360628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360650 */     // GIR_Coverage, 22015,
     /* 1360650 */     GIR_EraseRootFromParent_Done,
     /* 1360651 */   // Label 19361: @1360651
     /* 1360651 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360735), // Rule ID 22016 //
     /* 1360656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1360673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1360712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360734 */     // GIR_Coverage, 22016,
     /* 1360734 */     GIR_EraseRootFromParent_Done,
     /* 1360735 */   // Label 19362: @1360735
     /* 1360735 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360819), // Rule ID 22019 //
     /* 1360740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1360796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360818 */     // GIR_Coverage, 22019,
     /* 1360818 */     GIR_EraseRootFromParent_Done,
     /* 1360819 */   // Label 19363: @1360819
     /* 1360819 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1360903), // Rule ID 22020 //
     /* 1360824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1360880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360902 */     // GIR_Coverage, 22020,
     /* 1360902 */     GIR_EraseRootFromParent_Done,
     /* 1360903 */   // Label 19364: @1360903
     /* 1360903 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1360987), // Rule ID 22023 //
     /* 1360908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1360964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360986 */     // GIR_Coverage, 22023,
     /* 1360986 */     GIR_EraseRootFromParent_Done,
     /* 1360987 */   // Label 19365: @1360987
     /* 1360987 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361071), // Rule ID 22024 //
     /* 1360992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1360995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1361048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361070 */     // GIR_Coverage, 22024,
     /* 1361070 */     GIR_EraseRootFromParent_Done,
     /* 1361071 */   // Label 19366: @1361071
     /* 1361071 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361155), // Rule ID 22027 //
     /* 1361076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361154 */     // GIR_Coverage, 22027,
     /* 1361154 */     GIR_EraseRootFromParent_Done,
     /* 1361155 */   // Label 19367: @1361155
     /* 1361155 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1361239), // Rule ID 22028 //
     /* 1361160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1361216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361238 */     // GIR_Coverage, 22028,
     /* 1361238 */     GIR_EraseRootFromParent_Done,
     /* 1361239 */   // Label 19368: @1361239
     /* 1361239 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1361323), // Rule ID 22031 //
     /* 1361244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361322 */     // GIR_Coverage, 22031,
     /* 1361322 */     GIR_EraseRootFromParent_Done,
     /* 1361323 */   // Label 19369: @1361323
     /* 1361323 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1361407), // Rule ID 22032 //
     /* 1361328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1361336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1361345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361381 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1361384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361406 */     // GIR_Coverage, 22032,
     /* 1361406 */     GIR_EraseRootFromParent_Done,
     /* 1361407 */   // Label 19370: @1361407
     /* 1361407 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1361491), // Rule ID 22035 //
     /* 1361412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361490 */     // GIR_Coverage, 22035,
     /* 1361490 */     GIR_EraseRootFromParent_Done,
     /* 1361491 */   // Label 19371: @1361491
     /* 1361491 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1361575), // Rule ID 22036 //
     /* 1361496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1361513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1361552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361574 */     // GIR_Coverage, 22036,
     /* 1361574 */     GIR_EraseRootFromParent_Done,
     /* 1361575 */   // Label 19372: @1361575
     /* 1361575 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1361659), // Rule ID 22039 //
     /* 1361580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1361636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361658 */     // GIR_Coverage, 22039,
     /* 1361658 */     GIR_EraseRootFromParent_Done,
     /* 1361659 */   // Label 19373: @1361659
     /* 1361659 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361743), // Rule ID 22040 //
     /* 1361664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1361681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1361720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361742 */     // GIR_Coverage, 22040,
     /* 1361742 */     GIR_EraseRootFromParent_Done,
     /* 1361743 */   // Label 19374: @1361743
     /* 1361743 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361827), // Rule ID 22043 //
     /* 1361748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1361804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361826 */     // GIR_Coverage, 22043,
     /* 1361826 */     GIR_EraseRootFromParent_Done,
     /* 1361827 */   // Label 19375: @1361827
     /* 1361827 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1361911), // Rule ID 22044 //
     /* 1361832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1361849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361885 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1361888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361910 */     // GIR_Coverage, 22044,
     /* 1361910 */     GIR_EraseRootFromParent_Done,
     /* 1361911 */   // Label 19376: @1361911
     /* 1361911 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1361995), // Rule ID 22047 //
     /* 1361916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1361933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1361972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361994 */     // GIR_Coverage, 22047,
     /* 1361994 */     GIR_EraseRootFromParent_Done,
     /* 1361995 */   // Label 19377: @1361995
     /* 1361995 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362079), // Rule ID 22048 //
     /* 1362000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1362056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362078 */     // GIR_Coverage, 22048,
     /* 1362078 */     GIR_EraseRootFromParent_Done,
     /* 1362079 */   // Label 19378: @1362079
     /* 1362079 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362163), // Rule ID 22051 //
     /* 1362084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362162 */     // GIR_Coverage, 22051,
     /* 1362162 */     GIR_EraseRootFromParent_Done,
     /* 1362163 */   // Label 19379: @1362163
     /* 1362163 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1362247), // Rule ID 22052 //
     /* 1362168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1362224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362246 */     // GIR_Coverage, 22052,
     /* 1362246 */     GIR_EraseRootFromParent_Done,
     /* 1362247 */   // Label 19380: @1362247
     /* 1362247 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1362331), // Rule ID 22055 //
     /* 1362252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362330 */     // GIR_Coverage, 22055,
     /* 1362330 */     GIR_EraseRootFromParent_Done,
     /* 1362331 */   // Label 19381: @1362331
     /* 1362331 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1362415), // Rule ID 22056 //
     /* 1362336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1362392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362414 */     // GIR_Coverage, 22056,
     /* 1362414 */     GIR_EraseRootFromParent_Done,
     /* 1362415 */   // Label 19382: @1362415
     /* 1362415 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1362499), // Rule ID 22059 //
     /* 1362420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362498 */     // GIR_Coverage, 22059,
     /* 1362498 */     GIR_EraseRootFromParent_Done,
     /* 1362499 */   // Label 19383: @1362499
     /* 1362499 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1362583), // Rule ID 22060 //
     /* 1362504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1362521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1362560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362582 */     // GIR_Coverage, 22060,
     /* 1362582 */     GIR_EraseRootFromParent_Done,
     /* 1362583 */   // Label 19384: @1362583
     /* 1362583 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1362667), // Rule ID 22063 //
     /* 1362588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1362644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362666 */     // GIR_Coverage, 22063,
     /* 1362666 */     GIR_EraseRootFromParent_Done,
     /* 1362667 */   // Label 19385: @1362667
     /* 1362667 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362751), // Rule ID 22064 //
     /* 1362672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1362689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1362728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362750 */     // GIR_Coverage, 22064,
     /* 1362750 */     GIR_EraseRootFromParent_Done,
     /* 1362751 */   // Label 19386: @1362751
     /* 1362751 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362835), // Rule ID 22067 //
     /* 1362756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1362812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362834 */     // GIR_Coverage, 22067,
     /* 1362834 */     GIR_EraseRootFromParent_Done,
     /* 1362835 */   // Label 19387: @1362835
     /* 1362835 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1362919), // Rule ID 22068 //
     /* 1362840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1362896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362918 */     // GIR_Coverage, 22068,
     /* 1362918 */     GIR_EraseRootFromParent_Done,
     /* 1362919 */   // Label 19388: @1362919
     /* 1362919 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363003), // Rule ID 22071 //
     /* 1362924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1362980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363002 */     // GIR_Coverage, 22071,
     /* 1363002 */     GIR_EraseRootFromParent_Done,
     /* 1363003 */   // Label 19389: @1363003
     /* 1363003 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363087), // Rule ID 22072 //
     /* 1363008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1363064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363086 */     // GIR_Coverage, 22072,
     /* 1363086 */     GIR_EraseRootFromParent_Done,
     /* 1363087 */   // Label 19390: @1363087
     /* 1363087 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363171), // Rule ID 22075 //
     /* 1363092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363170 */     // GIR_Coverage, 22075,
     /* 1363170 */     GIR_EraseRootFromParent_Done,
     /* 1363171 */   // Label 19391: @1363171
     /* 1363171 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1363255), // Rule ID 22076 //
     /* 1363176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1363193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1363232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363254 */     // GIR_Coverage, 22076,
     /* 1363254 */     GIR_EraseRootFromParent_Done,
     /* 1363255 */   // Label 19392: @1363255
     /* 1363255 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1363339), // Rule ID 22079 //
     /* 1363260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363313 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363338 */     // GIR_Coverage, 22079,
     /* 1363338 */     GIR_EraseRootFromParent_Done,
     /* 1363339 */   // Label 19393: @1363339
     /* 1363339 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1363423), // Rule ID 22080 //
     /* 1363344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1363361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1363400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363422 */     // GIR_Coverage, 22080,
     /* 1363422 */     GIR_EraseRootFromParent_Done,
     /* 1363423 */   // Label 19394: @1363423
     /* 1363423 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1363507), // Rule ID 22083 //
     /* 1363428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363481 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363506 */     // GIR_Coverage, 22083,
     /* 1363506 */     GIR_EraseRootFromParent_Done,
     /* 1363507 */   // Label 19395: @1363507
     /* 1363507 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1363591), // Rule ID 22084 //
     /* 1363512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1363529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1363535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1363568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363590 */     // GIR_Coverage, 22084,
     /* 1363590 */     GIR_EraseRootFromParent_Done,
     /* 1363591 */   // Label 19396: @1363591
     /* 1363591 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1363675), // Rule ID 22087 //
     /* 1363596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1363652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363674 */     // GIR_Coverage, 22087,
     /* 1363674 */     GIR_EraseRootFromParent_Done,
     /* 1363675 */   // Label 19397: @1363675
     /* 1363675 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363759), // Rule ID 22088 //
     /* 1363680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1363736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363758 */     // GIR_Coverage, 22088,
     /* 1363758 */     GIR_EraseRootFromParent_Done,
     /* 1363759 */   // Label 19398: @1363759
     /* 1363759 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363843), // Rule ID 22091 //
     /* 1363764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1363820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363842 */     // GIR_Coverage, 22091,
     /* 1363842 */     GIR_EraseRootFromParent_Done,
     /* 1363843 */   // Label 19399: @1363843
     /* 1363843 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1363927), // Rule ID 22092 //
     /* 1363848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1363904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363926 */     // GIR_Coverage, 22092,
     /* 1363926 */     GIR_EraseRootFromParent_Done,
     /* 1363927 */   // Label 19400: @1363927
     /* 1363927 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364011), // Rule ID 22095 //
     /* 1363932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363985 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1363988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364010 */     // GIR_Coverage, 22095,
     /* 1364010 */     GIR_EraseRootFromParent_Done,
     /* 1364011 */   // Label 19401: @1364011
     /* 1364011 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364095), // Rule ID 22096 //
     /* 1364016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364069 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1364072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364094 */     // GIR_Coverage, 22096,
     /* 1364094 */     GIR_EraseRootFromParent_Done,
     /* 1364095 */   // Label 19402: @1364095
     /* 1364095 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1364179), // Rule ID 22099 //
     /* 1364100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364178 */     // GIR_Coverage, 22099,
     /* 1364178 */     GIR_EraseRootFromParent_Done,
     /* 1364179 */   // Label 19403: @1364179
     /* 1364179 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1364263), // Rule ID 22100 //
     /* 1364184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1364240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364262 */     // GIR_Coverage, 22100,
     /* 1364262 */     GIR_EraseRootFromParent_Done,
     /* 1364263 */   // Label 19404: @1364263
     /* 1364263 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1364347), // Rule ID 22103 //
     /* 1364268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364346 */     // GIR_Coverage, 22103,
     /* 1364346 */     GIR_EraseRootFromParent_Done,
     /* 1364347 */   // Label 19405: @1364347
     /* 1364347 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1364431), // Rule ID 22104 //
     /* 1364352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1364408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364430 */     // GIR_Coverage, 22104,
     /* 1364430 */     GIR_EraseRootFromParent_Done,
     /* 1364431 */   // Label 19406: @1364431
     /* 1364431 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1364515), // Rule ID 22107 //
     /* 1364436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364514 */     // GIR_Coverage, 22107,
     /* 1364514 */     GIR_EraseRootFromParent_Done,
     /* 1364515 */   // Label 19407: @1364515
     /* 1364515 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1364599), // Rule ID 22108 //
     /* 1364520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1364576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364598 */     // GIR_Coverage, 22108,
     /* 1364598 */     GIR_EraseRootFromParent_Done,
     /* 1364599 */   // Label 19408: @1364599
     /* 1364599 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1364683), // Rule ID 22111 //
     /* 1364604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1364660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364682 */     // GIR_Coverage, 22111,
     /* 1364682 */     GIR_EraseRootFromParent_Done,
     /* 1364683 */   // Label 19409: @1364683
     /* 1364683 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364767), // Rule ID 22112 //
     /* 1364688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1364744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364766 */     // GIR_Coverage, 22112,
     /* 1364766 */     GIR_EraseRootFromParent_Done,
     /* 1364767 */   // Label 19410: @1364767
     /* 1364767 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364851), // Rule ID 22115 //
     /* 1364772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1364828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364850 */     // GIR_Coverage, 22115,
     /* 1364850 */     GIR_EraseRootFromParent_Done,
     /* 1364851 */   // Label 19411: @1364851
     /* 1364851 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1364935), // Rule ID 22116 //
     /* 1364856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1364912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364934 */     // GIR_Coverage, 22116,
     /* 1364934 */     GIR_EraseRootFromParent_Done,
     /* 1364935 */   // Label 19412: @1364935
     /* 1364935 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365019), // Rule ID 22119 //
     /* 1364940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1364948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1364957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1364996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365018 */     // GIR_Coverage, 22119,
     /* 1365018 */     GIR_EraseRootFromParent_Done,
     /* 1365019 */   // Label 19413: @1365019
     /* 1365019 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365103), // Rule ID 22120 //
     /* 1365024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1365032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1365080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365102 */     // GIR_Coverage, 22120,
     /* 1365102 */     GIR_EraseRootFromParent_Done,
     /* 1365103 */   // Label 19414: @1365103
     /* 1365103 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1365187), // Rule ID 22123 //
     /* 1365108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365186 */     // GIR_Coverage, 22123,
     /* 1365186 */     GIR_EraseRootFromParent_Done,
     /* 1365187 */   // Label 19415: @1365187
     /* 1365187 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1365271), // Rule ID 22124 //
     /* 1365192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1365209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1365248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365270 */     // GIR_Coverage, 22124,
     /* 1365270 */     GIR_EraseRootFromParent_Done,
     /* 1365271 */   // Label 19416: @1365271
     /* 1365271 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1365355), // Rule ID 22127 //
     /* 1365276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365329 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365354 */     // GIR_Coverage, 22127,
     /* 1365354 */     GIR_EraseRootFromParent_Done,
     /* 1365355 */   // Label 19417: @1365355
     /* 1365355 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1365439), // Rule ID 22128 //
     /* 1365360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365413 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1365416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365438 */     // GIR_Coverage, 22128,
     /* 1365438 */     GIR_EraseRootFromParent_Done,
     /* 1365439 */   // Label 19418: @1365439
     /* 1365439 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1365523), // Rule ID 22131 //
     /* 1365444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365522 */     // GIR_Coverage, 22131,
     /* 1365522 */     GIR_EraseRootFromParent_Done,
     /* 1365523 */   // Label 19419: @1365523
     /* 1365523 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1365607), // Rule ID 22132 //
     /* 1365528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1365584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365606 */     // GIR_Coverage, 22132,
     /* 1365606 */     GIR_EraseRootFromParent_Done,
     /* 1365607 */   // Label 19420: @1365607
     /* 1365607 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1365691), // Rule ID 22135 //
     /* 1365612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1365668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365690 */     // GIR_Coverage, 22135,
     /* 1365690 */     GIR_EraseRootFromParent_Done,
     /* 1365691 */   // Label 19421: @1365691
     /* 1365691 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365775), // Rule ID 22136 //
     /* 1365696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1365752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365774 */     // GIR_Coverage, 22136,
     /* 1365774 */     GIR_EraseRootFromParent_Done,
     /* 1365775 */   // Label 19422: @1365775
     /* 1365775 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1365859), // Rule ID 22139 //
     /* 1365780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1365836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365858 */     // GIR_Coverage, 22139,
     /* 1365858 */     GIR_EraseRootFromParent_Done,
     /* 1365859 */   // Label 19423: @1365859
     /* 1365859 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1365943), // Rule ID 22140 //
     /* 1365864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1365920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365942 */     // GIR_Coverage, 22140,
     /* 1365942 */     GIR_EraseRootFromParent_Done,
     /* 1365943 */   // Label 19424: @1365943
     /* 1365943 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366027), // Rule ID 22143 //
     /* 1365948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1365965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366026 */     // GIR_Coverage, 22143,
     /* 1366026 */     GIR_EraseRootFromParent_Done,
     /* 1366027 */   // Label 19425: @1366027
     /* 1366027 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366111), // Rule ID 22144 //
     /* 1366032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1366088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366110 */     // GIR_Coverage, 22144,
     /* 1366110 */     GIR_EraseRootFromParent_Done,
     /* 1366111 */   // Label 19426: @1366111
     /* 1366111 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1366195), // Rule ID 22147 //
     /* 1366116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366194 */     // GIR_Coverage, 22147,
     /* 1366194 */     GIR_EraseRootFromParent_Done,
     /* 1366195 */   // Label 19427: @1366195
     /* 1366195 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1366279), // Rule ID 22148 //
     /* 1366200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1366256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366278 */     // GIR_Coverage, 22148,
     /* 1366278 */     GIR_EraseRootFromParent_Done,
     /* 1366279 */   // Label 19428: @1366279
     /* 1366279 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1366363), // Rule ID 22151 //
     /* 1366284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366362 */     // GIR_Coverage, 22151,
     /* 1366362 */     GIR_EraseRootFromParent_Done,
     /* 1366363 */   // Label 19429: @1366363
     /* 1366363 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1366447), // Rule ID 22152 //
     /* 1366368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1366424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366446 */     // GIR_Coverage, 22152,
     /* 1366446 */     GIR_EraseRootFromParent_Done,
     /* 1366447 */   // Label 19430: @1366447
     /* 1366447 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1366531), // Rule ID 22155 //
     /* 1366452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366530 */     // GIR_Coverage, 22155,
     /* 1366530 */     GIR_EraseRootFromParent_Done,
     /* 1366531 */   // Label 19431: @1366531
     /* 1366531 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1366615), // Rule ID 22156 //
     /* 1366536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1366592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366614 */     // GIR_Coverage, 22156,
     /* 1366614 */     GIR_EraseRootFromParent_Done,
     /* 1366615 */   // Label 19432: @1366615
     /* 1366615 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366699), // Rule ID 22159 //
     /* 1366620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1366676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366698 */     // GIR_Coverage, 22159,
     /* 1366698 */     GIR_EraseRootFromParent_Done,
     /* 1366699 */   // Label 19433: @1366699
     /* 1366699 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366783), // Rule ID 22160 //
     /* 1366704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1366760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366782 */     // GIR_Coverage, 22160,
     /* 1366782 */     GIR_EraseRootFromParent_Done,
     /* 1366783 */   // Label 19434: @1366783
     /* 1366783 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1366867), // Rule ID 22163 //
     /* 1366788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1366844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366866 */     // GIR_Coverage, 22163,
     /* 1366866 */     GIR_EraseRootFromParent_Done,
     /* 1366867 */   // Label 19435: @1366867
     /* 1366867 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1366951), // Rule ID 22164 //
     /* 1366872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1366889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1366928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366950 */     // GIR_Coverage, 22164,
     /* 1366950 */     GIR_EraseRootFromParent_Done,
     /* 1366951 */   // Label 19436: @1366951
     /* 1366951 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367035), // Rule ID 22167 //
     /* 1366956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1366973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367009 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367034 */     // GIR_Coverage, 22167,
     /* 1367034 */     GIR_EraseRootFromParent_Done,
     /* 1367035 */   // Label 19437: @1367035
     /* 1367035 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367119), // Rule ID 22168 //
     /* 1367040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1367096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367118 */     // GIR_Coverage, 22168,
     /* 1367118 */     GIR_EraseRootFromParent_Done,
     /* 1367119 */   // Label 19438: @1367119
     /* 1367119 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1367203), // Rule ID 22171 //
     /* 1367124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367202 */     // GIR_Coverage, 22171,
     /* 1367202 */     GIR_EraseRootFromParent_Done,
     /* 1367203 */   // Label 19439: @1367203
     /* 1367203 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1367287), // Rule ID 22172 //
     /* 1367208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367261 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1367264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367286 */     // GIR_Coverage, 22172,
     /* 1367286 */     GIR_EraseRootFromParent_Done,
     /* 1367287 */   // Label 19440: @1367287
     /* 1367287 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1367371), // Rule ID 22175 //
     /* 1367292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367370 */     // GIR_Coverage, 22175,
     /* 1367370 */     GIR_EraseRootFromParent_Done,
     /* 1367371 */   // Label 19441: @1367371
     /* 1367371 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1367455), // Rule ID 22176 //
     /* 1367376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1367432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367454 */     // GIR_Coverage, 22176,
     /* 1367454 */     GIR_EraseRootFromParent_Done,
     /* 1367455 */   // Label 19442: @1367455
     /* 1367455 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1367539), // Rule ID 22179 //
     /* 1367460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367538 */     // GIR_Coverage, 22179,
     /* 1367538 */     GIR_EraseRootFromParent_Done,
     /* 1367539 */   // Label 19443: @1367539
     /* 1367539 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1367623), // Rule ID 22180 //
     /* 1367544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1367600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367622 */     // GIR_Coverage, 22180,
     /* 1367622 */     GIR_EraseRootFromParent_Done,
     /* 1367623 */   // Label 19444: @1367623
     /* 1367623 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367707), // Rule ID 22183 //
     /* 1367628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1367684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367706 */     // GIR_Coverage, 22183,
     /* 1367706 */     GIR_EraseRootFromParent_Done,
     /* 1367707 */   // Label 19445: @1367707
     /* 1367707 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367791), // Rule ID 22184 //
     /* 1367712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1367768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367790 */     // GIR_Coverage, 22184,
     /* 1367790 */     GIR_EraseRootFromParent_Done,
     /* 1367791 */   // Label 19446: @1367791
     /* 1367791 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1367875), // Rule ID 22187 //
     /* 1367796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1367852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367874 */     // GIR_Coverage, 22187,
     /* 1367874 */     GIR_EraseRootFromParent_Done,
     /* 1367875 */   // Label 19447: @1367875
     /* 1367875 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1367959), // Rule ID 22188 //
     /* 1367880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1367936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367958 */     // GIR_Coverage, 22188,
     /* 1367958 */     GIR_EraseRootFromParent_Done,
     /* 1367959 */   // Label 19448: @1367959
     /* 1367959 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368043), // Rule ID 22191 //
     /* 1367964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368042 */     // GIR_Coverage, 22191,
     /* 1368042 */     GIR_EraseRootFromParent_Done,
     /* 1368043 */   // Label 19449: @1368043
     /* 1368043 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368127), // Rule ID 22192 //
     /* 1368048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1368104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368126 */     // GIR_Coverage, 22192,
     /* 1368126 */     GIR_EraseRootFromParent_Done,
     /* 1368127 */   // Label 19450: @1368127
     /* 1368127 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1368211), // Rule ID 22195 //
     /* 1368132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368210 */     // GIR_Coverage, 22195,
     /* 1368210 */     GIR_EraseRootFromParent_Done,
     /* 1368211 */   // Label 19451: @1368211
     /* 1368211 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1368295), // Rule ID 22196 //
     /* 1368216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1368272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368294 */     // GIR_Coverage, 22196,
     /* 1368294 */     GIR_EraseRootFromParent_Done,
     /* 1368295 */   // Label 19452: @1368295
     /* 1368295 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1368379), // Rule ID 22199 //
     /* 1368300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368378 */     // GIR_Coverage, 22199,
     /* 1368378 */     GIR_EraseRootFromParent_Done,
     /* 1368379 */   // Label 19453: @1368379
     /* 1368379 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1368463), // Rule ID 22200 //
     /* 1368384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1368440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368462 */     // GIR_Coverage, 22200,
     /* 1368462 */     GIR_EraseRootFromParent_Done,
     /* 1368463 */   // Label 19454: @1368463
     /* 1368463 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1368547), // Rule ID 22203 //
     /* 1368468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368546 */     // GIR_Coverage, 22203,
     /* 1368546 */     GIR_EraseRootFromParent_Done,
     /* 1368547 */   // Label 19455: @1368547
     /* 1368547 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1368631), // Rule ID 22204 //
     /* 1368552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1368608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368630 */     // GIR_Coverage, 22204,
     /* 1368630 */     GIR_EraseRootFromParent_Done,
     /* 1368631 */   // Label 19456: @1368631
     /* 1368631 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368715), // Rule ID 22207 //
     /* 1368636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1368692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368714 */     // GIR_Coverage, 22207,
     /* 1368714 */     GIR_EraseRootFromParent_Done,
     /* 1368715 */   // Label 19457: @1368715
     /* 1368715 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368799), // Rule ID 22208 //
     /* 1368720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1368728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1368776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368798 */     // GIR_Coverage, 22208,
     /* 1368798 */     GIR_EraseRootFromParent_Done,
     /* 1368799 */   // Label 19458: @1368799
     /* 1368799 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1368883), // Rule ID 22211 //
     /* 1368804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1368860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368882 */     // GIR_Coverage, 22211,
     /* 1368882 */     GIR_EraseRootFromParent_Done,
     /* 1368883 */   // Label 19459: @1368883
     /* 1368883 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1368967), // Rule ID 22212 //
     /* 1368888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1368905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1368944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368966 */     // GIR_Coverage, 22212,
     /* 1368966 */     GIR_EraseRootFromParent_Done,
     /* 1368967 */   // Label 19460: @1368967
     /* 1368967 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369051), // Rule ID 22215 //
     /* 1368972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1368989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369025 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369050 */     // GIR_Coverage, 22215,
     /* 1369050 */     GIR_EraseRootFromParent_Done,
     /* 1369051 */   // Label 19461: @1369051
     /* 1369051 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369135), // Rule ID 22216 //
     /* 1369056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1369112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369134 */     // GIR_Coverage, 22216,
     /* 1369134 */     GIR_EraseRootFromParent_Done,
     /* 1369135 */   // Label 19462: @1369135
     /* 1369135 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1369219), // Rule ID 22219 //
     /* 1369140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369218 */     // GIR_Coverage, 22219,
     /* 1369218 */     GIR_EraseRootFromParent_Done,
     /* 1369219 */   // Label 19463: @1369219
     /* 1369219 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1369303), // Rule ID 22220 //
     /* 1369224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1369280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369302 */     // GIR_Coverage, 22220,
     /* 1369302 */     GIR_EraseRootFromParent_Done,
     /* 1369303 */   // Label 19464: @1369303
     /* 1369303 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1369387), // Rule ID 22223 //
     /* 1369308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369386 */     // GIR_Coverage, 22223,
     /* 1369386 */     GIR_EraseRootFromParent_Done,
     /* 1369387 */   // Label 19465: @1369387
     /* 1369387 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1369471), // Rule ID 22224 //
     /* 1369392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1369448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369470 */     // GIR_Coverage, 22224,
     /* 1369470 */     GIR_EraseRootFromParent_Done,
     /* 1369471 */   // Label 19466: @1369471
     /* 1369471 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1369555), // Rule ID 22227 //
     /* 1369476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369529 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369554 */     // GIR_Coverage, 22227,
     /* 1369554 */     GIR_EraseRootFromParent_Done,
     /* 1369555 */   // Label 19467: @1369555
     /* 1369555 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1369639), // Rule ID 22228 //
     /* 1369560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369613 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1369616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369638 */     // GIR_Coverage, 22228,
     /* 1369638 */     GIR_EraseRootFromParent_Done,
     /* 1369639 */   // Label 19468: @1369639
     /* 1369639 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369723), // Rule ID 22231 //
     /* 1369644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369697 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1369700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369722 */     // GIR_Coverage, 22231,
     /* 1369722 */     GIR_EraseRootFromParent_Done,
     /* 1369723 */   // Label 19469: @1369723
     /* 1369723 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369807), // Rule ID 22232 //
     /* 1369728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1369784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369806 */     // GIR_Coverage, 22232,
     /* 1369806 */     GIR_EraseRootFromParent_Done,
     /* 1369807 */   // Label 19470: @1369807
     /* 1369807 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1369891), // Rule ID 22235 //
     /* 1369812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1369868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369890 */     // GIR_Coverage, 22235,
     /* 1369890 */     GIR_EraseRootFromParent_Done,
     /* 1369891 */   // Label 19471: @1369891
     /* 1369891 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1369975), // Rule ID 22236 //
     /* 1369896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1369913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1369952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369974 */     // GIR_Coverage, 22236,
     /* 1369974 */     GIR_EraseRootFromParent_Done,
     /* 1369975 */   // Label 19472: @1369975
     /* 1369975 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370059), // Rule ID 22239 //
     /* 1369980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370058 */     // GIR_Coverage, 22239,
     /* 1370058 */     GIR_EraseRootFromParent_Done,
     /* 1370059 */   // Label 19473: @1370059
     /* 1370059 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370143), // Rule ID 22240 //
     /* 1370064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1370120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370142 */     // GIR_Coverage, 22240,
     /* 1370142 */     GIR_EraseRootFromParent_Done,
     /* 1370143 */   // Label 19474: @1370143
     /* 1370143 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1370227), // Rule ID 22243 //
     /* 1370148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370226 */     // GIR_Coverage, 22243,
     /* 1370226 */     GIR_EraseRootFromParent_Done,
     /* 1370227 */   // Label 19475: @1370227
     /* 1370227 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1370311), // Rule ID 22244 //
     /* 1370232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1370288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370310 */     // GIR_Coverage, 22244,
     /* 1370310 */     GIR_EraseRootFromParent_Done,
     /* 1370311 */   // Label 19476: @1370311
     /* 1370311 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1370395), // Rule ID 22247 //
     /* 1370316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370394 */     // GIR_Coverage, 22247,
     /* 1370394 */     GIR_EraseRootFromParent_Done,
     /* 1370395 */   // Label 19477: @1370395
     /* 1370395 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1370479), // Rule ID 22248 //
     /* 1370400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1370456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370478 */     // GIR_Coverage, 22248,
     /* 1370478 */     GIR_EraseRootFromParent_Done,
     /* 1370479 */   // Label 19478: @1370479
     /* 1370479 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1370563), // Rule ID 22251 //
     /* 1370484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370562 */     // GIR_Coverage, 22251,
     /* 1370562 */     GIR_EraseRootFromParent_Done,
     /* 1370563 */   // Label 19479: @1370563
     /* 1370563 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1370647), // Rule ID 22252 //
     /* 1370568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1370624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370646 */     // GIR_Coverage, 22252,
     /* 1370646 */     GIR_EraseRootFromParent_Done,
     /* 1370647 */   // Label 19480: @1370647
     /* 1370647 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370731), // Rule ID 22255 //
     /* 1370652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1370708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370730 */     // GIR_Coverage, 22255,
     /* 1370730 */     GIR_EraseRootFromParent_Done,
     /* 1370731 */   // Label 19481: @1370731
     /* 1370731 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370815), // Rule ID 22256 //
     /* 1370736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1370792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370814 */     // GIR_Coverage, 22256,
     /* 1370814 */     GIR_EraseRootFromParent_Done,
     /* 1370815 */   // Label 19482: @1370815
     /* 1370815 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1370899), // Rule ID 22259 //
     /* 1370820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1370876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370898 */     // GIR_Coverage, 22259,
     /* 1370898 */     GIR_EraseRootFromParent_Done,
     /* 1370899 */   // Label 19483: @1370899
     /* 1370899 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1370983), // Rule ID 22260 //
     /* 1370904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1370960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370982 */     // GIR_Coverage, 22260,
     /* 1370982 */     GIR_EraseRootFromParent_Done,
     /* 1370983 */   // Label 19484: @1370983
     /* 1370983 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371067), // Rule ID 22263 //
     /* 1370988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371066 */     // GIR_Coverage, 22263,
     /* 1371066 */     GIR_EraseRootFromParent_Done,
     /* 1371067 */   // Label 19485: @1371067
     /* 1371067 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371151), // Rule ID 22264 //
     /* 1371072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1371128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371150 */     // GIR_Coverage, 22264,
     /* 1371150 */     GIR_EraseRootFromParent_Done,
     /* 1371151 */   // Label 19486: @1371151
     /* 1371151 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1371235), // Rule ID 22267 //
     /* 1371156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371234 */     // GIR_Coverage, 22267,
     /* 1371234 */     GIR_EraseRootFromParent_Done,
     /* 1371235 */   // Label 19487: @1371235
     /* 1371235 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1371319), // Rule ID 22268 //
     /* 1371240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1371296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371318 */     // GIR_Coverage, 22268,
     /* 1371318 */     GIR_EraseRootFromParent_Done,
     /* 1371319 */   // Label 19488: @1371319
     /* 1371319 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1371403), // Rule ID 22271 //
     /* 1371324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371402 */     // GIR_Coverage, 22271,
     /* 1371402 */     GIR_EraseRootFromParent_Done,
     /* 1371403 */   // Label 19489: @1371403
     /* 1371403 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1371487), // Rule ID 22272 //
     /* 1371408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1371464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371486 */     // GIR_Coverage, 22272,
     /* 1371486 */     GIR_EraseRootFromParent_Done,
     /* 1371487 */   // Label 19490: @1371487
     /* 1371487 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1371571), // Rule ID 22275 //
     /* 1371492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371570 */     // GIR_Coverage, 22275,
     /* 1371570 */     GIR_EraseRootFromParent_Done,
     /* 1371571 */   // Label 19491: @1371571
     /* 1371571 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1371655), // Rule ID 22276 //
     /* 1371576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1371632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371654 */     // GIR_Coverage, 22276,
     /* 1371654 */     GIR_EraseRootFromParent_Done,
     /* 1371655 */   // Label 19492: @1371655
     /* 1371655 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371739), // Rule ID 22279 //
     /* 1371660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1371716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371738 */     // GIR_Coverage, 22279,
     /* 1371738 */     GIR_EraseRootFromParent_Done,
     /* 1371739 */   // Label 19493: @1371739
     /* 1371739 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371823), // Rule ID 22280 //
     /* 1371744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1371800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371822 */     // GIR_Coverage, 22280,
     /* 1371822 */     GIR_EraseRootFromParent_Done,
     /* 1371823 */   // Label 19494: @1371823
     /* 1371823 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1371907), // Rule ID 22283 //
     /* 1371828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371881 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1371884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371906 */     // GIR_Coverage, 22283,
     /* 1371906 */     GIR_EraseRootFromParent_Done,
     /* 1371907 */   // Label 19495: @1371907
     /* 1371907 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1371991), // Rule ID 22284 //
     /* 1371912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1371968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371990 */     // GIR_Coverage, 22284,
     /* 1371990 */     GIR_EraseRootFromParent_Done,
     /* 1371991 */   // Label 19496: @1371991
     /* 1371991 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372075), // Rule ID 22287 //
     /* 1371996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372074 */     // GIR_Coverage, 22287,
     /* 1372074 */     GIR_EraseRootFromParent_Done,
     /* 1372075 */   // Label 19497: @1372075
     /* 1372075 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372159), // Rule ID 22288 //
     /* 1372080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1372136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372158 */     // GIR_Coverage, 22288,
     /* 1372158 */     GIR_EraseRootFromParent_Done,
     /* 1372159 */   // Label 19498: @1372159
     /* 1372159 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1372243), // Rule ID 22291 //
     /* 1372164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372242 */     // GIR_Coverage, 22291,
     /* 1372242 */     GIR_EraseRootFromParent_Done,
     /* 1372243 */   // Label 19499: @1372243
     /* 1372243 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1372327), // Rule ID 22292 //
     /* 1372248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1372304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372326 */     // GIR_Coverage, 22292,
     /* 1372326 */     GIR_EraseRootFromParent_Done,
     /* 1372327 */   // Label 19500: @1372327
     /* 1372327 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1372411), // Rule ID 22295 //
     /* 1372332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372385 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372410 */     // GIR_Coverage, 22295,
     /* 1372410 */     GIR_EraseRootFromParent_Done,
     /* 1372411 */   // Label 19501: @1372411
     /* 1372411 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1372495), // Rule ID 22296 //
     /* 1372416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1372424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1372472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372494 */     // GIR_Coverage, 22296,
     /* 1372494 */     GIR_EraseRootFromParent_Done,
     /* 1372495 */   // Label 19502: @1372495
     /* 1372495 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1372579), // Rule ID 22299 //
     /* 1372500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372578 */     // GIR_Coverage, 22299,
     /* 1372578 */     GIR_EraseRootFromParent_Done,
     /* 1372579 */   // Label 19503: @1372579
     /* 1372579 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1372663), // Rule ID 22300 //
     /* 1372584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372637 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1372640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372662 */     // GIR_Coverage, 22300,
     /* 1372662 */     GIR_EraseRootFromParent_Done,
     /* 1372663 */   // Label 19504: @1372663
     /* 1372663 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372747), // Rule ID 22303 //
     /* 1372668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372721 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1372724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372746 */     // GIR_Coverage, 22303,
     /* 1372746 */     GIR_EraseRootFromParent_Done,
     /* 1372747 */   // Label 19505: @1372747
     /* 1372747 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372831), // Rule ID 22304 //
     /* 1372752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1372808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372830 */     // GIR_Coverage, 22304,
     /* 1372830 */     GIR_EraseRootFromParent_Done,
     /* 1372831 */   // Label 19506: @1372831
     /* 1372831 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1372915), // Rule ID 22307 //
     /* 1372836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1372892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372914 */     // GIR_Coverage, 22307,
     /* 1372914 */     GIR_EraseRootFromParent_Done,
     /* 1372915 */   // Label 19507: @1372915
     /* 1372915 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1372999), // Rule ID 22308 //
     /* 1372920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1372976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372998 */     // GIR_Coverage, 22308,
     /* 1372998 */     GIR_EraseRootFromParent_Done,
     /* 1372999 */   // Label 19508: @1372999
     /* 1372999 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373083), // Rule ID 22311 //
     /* 1373004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373082 */     // GIR_Coverage, 22311,
     /* 1373082 */     GIR_EraseRootFromParent_Done,
     /* 1373083 */   // Label 19509: @1373083
     /* 1373083 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373167), // Rule ID 22312 //
     /* 1373088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373141 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1373144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373166 */     // GIR_Coverage, 22312,
     /* 1373166 */     GIR_EraseRootFromParent_Done,
     /* 1373167 */   // Label 19510: @1373167
     /* 1373167 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1373251), // Rule ID 22315 //
     /* 1373172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373250 */     // GIR_Coverage, 22315,
     /* 1373250 */     GIR_EraseRootFromParent_Done,
     /* 1373251 */   // Label 19511: @1373251
     /* 1373251 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1373335), // Rule ID 22316 //
     /* 1373256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1373312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373334 */     // GIR_Coverage, 22316,
     /* 1373334 */     GIR_EraseRootFromParent_Done,
     /* 1373335 */   // Label 19512: @1373335
     /* 1373335 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1373419), // Rule ID 22319 //
     /* 1373340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373418 */     // GIR_Coverage, 22319,
     /* 1373418 */     GIR_EraseRootFromParent_Done,
     /* 1373419 */   // Label 19513: @1373419
     /* 1373419 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1373503), // Rule ID 22320 //
     /* 1373424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1373480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373502 */     // GIR_Coverage, 22320,
     /* 1373502 */     GIR_EraseRootFromParent_Done,
     /* 1373503 */   // Label 19514: @1373503
     /* 1373503 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1373587), // Rule ID 22323 //
     /* 1373508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1373564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373586 */     // GIR_Coverage, 22323,
     /* 1373586 */     GIR_EraseRootFromParent_Done,
     /* 1373587 */   // Label 19515: @1373587
     /* 1373587 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1373671), // Rule ID 22324 //
     /* 1373592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1373648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373670 */     // GIR_Coverage, 22324,
     /* 1373670 */     GIR_EraseRootFromParent_Done,
     /* 1373671 */   // Label 19516: @1373671
     /* 1373671 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373755), // Rule ID 22327 //
     /* 1373676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1373732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373754 */     // GIR_Coverage, 22327,
     /* 1373754 */     GIR_EraseRootFromParent_Done,
     /* 1373755 */   // Label 19517: @1373755
     /* 1373755 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373839), // Rule ID 22328 //
     /* 1373760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1373816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373838 */     // GIR_Coverage, 22328,
     /* 1373838 */     GIR_EraseRootFromParent_Done,
     /* 1373839 */   // Label 19518: @1373839
     /* 1373839 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1373923), // Rule ID 22331 //
     /* 1373844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1373900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373922 */     // GIR_Coverage, 22331,
     /* 1373922 */     GIR_EraseRootFromParent_Done,
     /* 1373923 */   // Label 19519: @1373923
     /* 1373923 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374007), // Rule ID 22332 //
     /* 1373928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1373984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374006 */     // GIR_Coverage, 22332,
     /* 1374006 */     GIR_EraseRootFromParent_Done,
     /* 1374007 */   // Label 19520: @1374007
     /* 1374007 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374091), // Rule ID 22335 //
     /* 1374012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374090 */     // GIR_Coverage, 22335,
     /* 1374090 */     GIR_EraseRootFromParent_Done,
     /* 1374091 */   // Label 19521: @1374091
     /* 1374091 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1374175), // Rule ID 22336 //
     /* 1374096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1374152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374174 */     // GIR_Coverage, 22336,
     /* 1374174 */     GIR_EraseRootFromParent_Done,
     /* 1374175 */   // Label 19522: @1374175
     /* 1374175 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1374259), // Rule ID 22339 //
     /* 1374180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374258 */     // GIR_Coverage, 22339,
     /* 1374258 */     GIR_EraseRootFromParent_Done,
     /* 1374259 */   // Label 19523: @1374259
     /* 1374259 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1374343), // Rule ID 22340 //
     /* 1374264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1374320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374342 */     // GIR_Coverage, 22340,
     /* 1374342 */     GIR_EraseRootFromParent_Done,
     /* 1374343 */   // Label 19524: @1374343
     /* 1374343 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1374427), // Rule ID 22343 //
     /* 1374348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374401 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374426 */     // GIR_Coverage, 22343,
     /* 1374426 */     GIR_EraseRootFromParent_Done,
     /* 1374427 */   // Label 19525: @1374427
     /* 1374427 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1374511), // Rule ID 22344 //
     /* 1374432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374485 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1374488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374510 */     // GIR_Coverage, 22344,
     /* 1374510 */     GIR_EraseRootFromParent_Done,
     /* 1374511 */   // Label 19526: @1374511
     /* 1374511 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1374595), // Rule ID 22347 //
     /* 1374516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1374572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374594 */     // GIR_Coverage, 22347,
     /* 1374594 */     GIR_EraseRootFromParent_Done,
     /* 1374595 */   // Label 19527: @1374595
     /* 1374595 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1374679), // Rule ID 22348 //
     /* 1374600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1374656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374678 */     // GIR_Coverage, 22348,
     /* 1374678 */     GIR_EraseRootFromParent_Done,
     /* 1374679 */   // Label 19528: @1374679
     /* 1374679 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374763), // Rule ID 22351 //
     /* 1374684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1374740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374762 */     // GIR_Coverage, 22351,
     /* 1374762 */     GIR_EraseRootFromParent_Done,
     /* 1374763 */   // Label 19529: @1374763
     /* 1374763 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374847), // Rule ID 22352 //
     /* 1374768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1374824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374846 */     // GIR_Coverage, 22352,
     /* 1374846 */     GIR_EraseRootFromParent_Done,
     /* 1374847 */   // Label 19530: @1374847
     /* 1374847 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1374931), // Rule ID 22355 //
     /* 1374852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1374908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374930 */     // GIR_Coverage, 22355,
     /* 1374930 */     GIR_EraseRootFromParent_Done,
     /* 1374931 */   // Label 19531: @1374931
     /* 1374931 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375015), // Rule ID 22356 //
     /* 1374936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1374992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375014 */     // GIR_Coverage, 22356,
     /* 1375014 */     GIR_EraseRootFromParent_Done,
     /* 1375015 */   // Label 19532: @1375015
     /* 1375015 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375099), // Rule ID 22359 //
     /* 1375020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375098 */     // GIR_Coverage, 22359,
     /* 1375098 */     GIR_EraseRootFromParent_Done,
     /* 1375099 */   // Label 19533: @1375099
     /* 1375099 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1375183), // Rule ID 22360 //
     /* 1375104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1375160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375182 */     // GIR_Coverage, 22360,
     /* 1375182 */     GIR_EraseRootFromParent_Done,
     /* 1375183 */   // Label 19534: @1375183
     /* 1375183 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1375267), // Rule ID 22363 //
     /* 1375188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375266 */     // GIR_Coverage, 22363,
     /* 1375266 */     GIR_EraseRootFromParent_Done,
     /* 1375267 */   // Label 19535: @1375267
     /* 1375267 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1375351), // Rule ID 22364 //
     /* 1375272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1375328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375350 */     // GIR_Coverage, 22364,
     /* 1375350 */     GIR_EraseRootFromParent_Done,
     /* 1375351 */   // Label 19536: @1375351
     /* 1375351 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1375435), // Rule ID 22367 //
     /* 1375356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375434 */     // GIR_Coverage, 22367,
     /* 1375434 */     GIR_EraseRootFromParent_Done,
     /* 1375435 */   // Label 19537: @1375435
     /* 1375435 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1375519), // Rule ID 22368 //
     /* 1375440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1375496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375518 */     // GIR_Coverage, 22368,
     /* 1375518 */     GIR_EraseRootFromParent_Done,
     /* 1375519 */   // Label 19538: @1375519
     /* 1375519 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1375603), // Rule ID 22371 //
     /* 1375524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1375580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375602 */     // GIR_Coverage, 22371,
     /* 1375602 */     GIR_EraseRootFromParent_Done,
     /* 1375603 */   // Label 19539: @1375603
     /* 1375603 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1375687), // Rule ID 22372 //
     /* 1375608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1375664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375686 */     // GIR_Coverage, 22372,
     /* 1375686 */     GIR_EraseRootFromParent_Done,
     /* 1375687 */   // Label 19540: @1375687
     /* 1375687 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375771), // Rule ID 22375 //
     /* 1375692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1375748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375770 */     // GIR_Coverage, 22375,
     /* 1375770 */     GIR_EraseRootFromParent_Done,
     /* 1375771 */   // Label 19541: @1375771
     /* 1375771 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1375855), // Rule ID 22376 //
     /* 1375776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1375832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375854 */     // GIR_Coverage, 22376,
     /* 1375854 */     GIR_EraseRootFromParent_Done,
     /* 1375855 */   // Label 19542: @1375855
     /* 1375855 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1375939), // Rule ID 22379 //
     /* 1375860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1375916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375938 */     // GIR_Coverage, 22379,
     /* 1375938 */     GIR_EraseRootFromParent_Done,
     /* 1375939 */   // Label 19543: @1375939
     /* 1375939 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376023), // Rule ID 22380 //
     /* 1375944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1375952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375997 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1376000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376022 */     // GIR_Coverage, 22380,
     /* 1376022 */     GIR_EraseRootFromParent_Done,
     /* 1376023 */   // Label 19544: @1376023
     /* 1376023 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376107), // Rule ID 22383 //
     /* 1376028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376081 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376106 */     // GIR_Coverage, 22383,
     /* 1376106 */     GIR_EraseRootFromParent_Done,
     /* 1376107 */   // Label 19545: @1376107
     /* 1376107 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1376191), // Rule ID 22384 //
     /* 1376112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1376120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1376168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376190 */     // GIR_Coverage, 22384,
     /* 1376190 */     GIR_EraseRootFromParent_Done,
     /* 1376191 */   // Label 19546: @1376191
     /* 1376191 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1376275), // Rule ID 22387 //
     /* 1376196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376274 */     // GIR_Coverage, 22387,
     /* 1376274 */     GIR_EraseRootFromParent_Done,
     /* 1376275 */   // Label 19547: @1376275
     /* 1376275 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1376359), // Rule ID 22388 //
     /* 1376280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1376336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376358 */     // GIR_Coverage, 22388,
     /* 1376358 */     GIR_EraseRootFromParent_Done,
     /* 1376359 */   // Label 19548: @1376359
     /* 1376359 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1376443), // Rule ID 22391 //
     /* 1376364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376417 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376442 */     // GIR_Coverage, 22391,
     /* 1376442 */     GIR_EraseRootFromParent_Done,
     /* 1376443 */   // Label 19549: @1376443
     /* 1376443 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1376527), // Rule ID 22392 //
     /* 1376448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1376504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376526 */     // GIR_Coverage, 22392,
     /* 1376526 */     GIR_EraseRootFromParent_Done,
     /* 1376527 */   // Label 19550: @1376527
     /* 1376527 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1376611), // Rule ID 22395 //
     /* 1376532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1376588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376610 */     // GIR_Coverage, 22395,
     /* 1376610 */     GIR_EraseRootFromParent_Done,
     /* 1376611 */   // Label 19551: @1376611
     /* 1376611 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1376695), // Rule ID 22396 //
     /* 1376616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376669 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1376672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376694 */     // GIR_Coverage, 22396,
     /* 1376694 */     GIR_EraseRootFromParent_Done,
     /* 1376695 */   // Label 19552: @1376695
     /* 1376695 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376779), // Rule ID 22399 //
     /* 1376700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1376756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376778 */     // GIR_Coverage, 22399,
     /* 1376778 */     GIR_EraseRootFromParent_Done,
     /* 1376779 */   // Label 19553: @1376779
     /* 1376779 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1376863), // Rule ID 22400 //
     /* 1376784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1376840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376862 */     // GIR_Coverage, 22400,
     /* 1376862 */     GIR_EraseRootFromParent_Done,
     /* 1376863 */   // Label 19554: @1376863
     /* 1376863 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1376947), // Rule ID 22403 //
     /* 1376868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1376924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376946 */     // GIR_Coverage, 22403,
     /* 1376946 */     GIR_EraseRootFromParent_Done,
     /* 1376947 */   // Label 19555: @1376947
     /* 1376947 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377031), // Rule ID 22404 //
     /* 1376952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1377008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377030 */     // GIR_Coverage, 22404,
     /* 1377030 */     GIR_EraseRootFromParent_Done,
     /* 1377031 */   // Label 19556: @1377031
     /* 1377031 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377115), // Rule ID 22407 //
     /* 1377036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377114 */     // GIR_Coverage, 22407,
     /* 1377114 */     GIR_EraseRootFromParent_Done,
     /* 1377115 */   // Label 19557: @1377115
     /* 1377115 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1377199), // Rule ID 22408 //
     /* 1377120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1377176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377198 */     // GIR_Coverage, 22408,
     /* 1377198 */     GIR_EraseRootFromParent_Done,
     /* 1377199 */   // Label 19558: @1377199
     /* 1377199 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1377283), // Rule ID 22411 //
     /* 1377204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377282 */     // GIR_Coverage, 22411,
     /* 1377282 */     GIR_EraseRootFromParent_Done,
     /* 1377283 */   // Label 19559: @1377283
     /* 1377283 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1377367), // Rule ID 22412 //
     /* 1377288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1377344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377366 */     // GIR_Coverage, 22412,
     /* 1377366 */     GIR_EraseRootFromParent_Done,
     /* 1377367 */   // Label 19560: @1377367
     /* 1377367 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1377451), // Rule ID 22415 //
     /* 1377372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377450 */     // GIR_Coverage, 22415,
     /* 1377450 */     GIR_EraseRootFromParent_Done,
     /* 1377451 */   // Label 19561: @1377451
     /* 1377451 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1377535), // Rule ID 22416 //
     /* 1377456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1377512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377534 */     // GIR_Coverage, 22416,
     /* 1377534 */     GIR_EraseRootFromParent_Done,
     /* 1377535 */   // Label 19562: @1377535
     /* 1377535 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1377619), // Rule ID 22419 //
     /* 1377540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1377596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377618 */     // GIR_Coverage, 22419,
     /* 1377618 */     GIR_EraseRootFromParent_Done,
     /* 1377619 */   // Label 19563: @1377619
     /* 1377619 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377703), // Rule ID 22420 //
     /* 1377624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1377680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377702 */     // GIR_Coverage, 22420,
     /* 1377702 */     GIR_EraseRootFromParent_Done,
     /* 1377703 */   // Label 19564: @1377703
     /* 1377703 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377787), // Rule ID 22423 //
     /* 1377708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1377764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377786 */     // GIR_Coverage, 22423,
     /* 1377786 */     GIR_EraseRootFromParent_Done,
     /* 1377787 */   // Label 19565: @1377787
     /* 1377787 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1377871), // Rule ID 22424 //
     /* 1377792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1377848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377870 */     // GIR_Coverage, 22424,
     /* 1377870 */     GIR_EraseRootFromParent_Done,
     /* 1377871 */   // Label 19566: @1377871
     /* 1377871 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1377955), // Rule ID 22427 //
     /* 1377876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1377932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377954 */     // GIR_Coverage, 22427,
     /* 1377954 */     GIR_EraseRootFromParent_Done,
     /* 1377955 */   // Label 19567: @1377955
     /* 1377955 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378039), // Rule ID 22428 //
     /* 1377960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1377977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1378016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378038 */     // GIR_Coverage, 22428,
     /* 1378038 */     GIR_EraseRootFromParent_Done,
     /* 1378039 */   // Label 19568: @1378039
     /* 1378039 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378123), // Rule ID 22431 //
     /* 1378044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378122 */     // GIR_Coverage, 22431,
     /* 1378122 */     GIR_EraseRootFromParent_Done,
     /* 1378123 */   // Label 19569: @1378123
     /* 1378123 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1378207), // Rule ID 22432 //
     /* 1378128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378181 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1378184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378206 */     // GIR_Coverage, 22432,
     /* 1378206 */     GIR_EraseRootFromParent_Done,
     /* 1378207 */   // Label 19570: @1378207
     /* 1378207 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1378291), // Rule ID 22435 //
     /* 1378212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378290 */     // GIR_Coverage, 22435,
     /* 1378290 */     GIR_EraseRootFromParent_Done,
     /* 1378291 */   // Label 19571: @1378291
     /* 1378291 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1378375), // Rule ID 22436 //
     /* 1378296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378349 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1378352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378374 */     // GIR_Coverage, 22436,
     /* 1378374 */     GIR_EraseRootFromParent_Done,
     /* 1378375 */   // Label 19572: @1378375
     /* 1378375 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1378459), // Rule ID 22439 //
     /* 1378380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378458 */     // GIR_Coverage, 22439,
     /* 1378458 */     GIR_EraseRootFromParent_Done,
     /* 1378459 */   // Label 19573: @1378459
     /* 1378459 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1378543), // Rule ID 22440 //
     /* 1378464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1378520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378542 */     // GIR_Coverage, 22440,
     /* 1378542 */     GIR_EraseRootFromParent_Done,
     /* 1378543 */   // Label 19574: @1378543
     /* 1378543 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1378627), // Rule ID 22443 //
     /* 1378548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1378604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378626 */     // GIR_Coverage, 22443,
     /* 1378626 */     GIR_EraseRootFromParent_Done,
     /* 1378627 */   // Label 19575: @1378627
     /* 1378627 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378711), // Rule ID 22444 //
     /* 1378632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1378688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378710 */     // GIR_Coverage, 22444,
     /* 1378710 */     GIR_EraseRootFromParent_Done,
     /* 1378711 */   // Label 19576: @1378711
     /* 1378711 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378795), // Rule ID 22447 //
     /* 1378716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1378772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378794 */     // GIR_Coverage, 22447,
     /* 1378794 */     GIR_EraseRootFromParent_Done,
     /* 1378795 */   // Label 19577: @1378795
     /* 1378795 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1378879), // Rule ID 22448 //
     /* 1378800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1378856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378878 */     // GIR_Coverage, 22448,
     /* 1378878 */     GIR_EraseRootFromParent_Done,
     /* 1378879 */   // Label 19578: @1378879
     /* 1378879 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1378963), // Rule ID 22451 //
     /* 1378884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1378940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378962 */     // GIR_Coverage, 22451,
     /* 1378962 */     GIR_EraseRootFromParent_Done,
     /* 1378963 */   // Label 19579: @1378963
     /* 1378963 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379047), // Rule ID 22452 //
     /* 1378968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1379024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379046 */     // GIR_Coverage, 22452,
     /* 1379046 */     GIR_EraseRootFromParent_Done,
     /* 1379047 */   // Label 19580: @1379047
     /* 1379047 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379131), // Rule ID 22455 //
     /* 1379052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379130 */     // GIR_Coverage, 22455,
     /* 1379130 */     GIR_EraseRootFromParent_Done,
     /* 1379131 */   // Label 19581: @1379131
     /* 1379131 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1379215), // Rule ID 22456 //
     /* 1379136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1379192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379214 */     // GIR_Coverage, 22456,
     /* 1379214 */     GIR_EraseRootFromParent_Done,
     /* 1379215 */   // Label 19582: @1379215
     /* 1379215 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1379299), // Rule ID 22459 //
     /* 1379220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379298 */     // GIR_Coverage, 22459,
     /* 1379298 */     GIR_EraseRootFromParent_Done,
     /* 1379299 */   // Label 19583: @1379299
     /* 1379299 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1379383), // Rule ID 22460 //
     /* 1379304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1379360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379382 */     // GIR_Coverage, 22460,
     /* 1379382 */     GIR_EraseRootFromParent_Done,
     /* 1379383 */   // Label 19584: @1379383
     /* 1379383 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1379467), // Rule ID 22463 //
     /* 1379388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379466 */     // GIR_Coverage, 22463,
     /* 1379466 */     GIR_EraseRootFromParent_Done,
     /* 1379467 */   // Label 19585: @1379467
     /* 1379467 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1379551), // Rule ID 22464 //
     /* 1379472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1379528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379550 */     // GIR_Coverage, 22464,
     /* 1379550 */     GIR_EraseRootFromParent_Done,
     /* 1379551 */   // Label 19586: @1379551
     /* 1379551 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1379635), // Rule ID 22467 //
     /* 1379556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1379612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379634 */     // GIR_Coverage, 22467,
     /* 1379634 */     GIR_EraseRootFromParent_Done,
     /* 1379635 */   // Label 19587: @1379635
     /* 1379635 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379719), // Rule ID 22468 //
     /* 1379640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379693 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1379696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379718 */     // GIR_Coverage, 22468,
     /* 1379718 */     GIR_EraseRootFromParent_Done,
     /* 1379719 */   // Label 19588: @1379719
     /* 1379719 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379803), // Rule ID 22471 //
     /* 1379724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1379780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379802 */     // GIR_Coverage, 22471,
     /* 1379802 */     GIR_EraseRootFromParent_Done,
     /* 1379803 */   // Label 19589: @1379803
     /* 1379803 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1379887), // Rule ID 22472 //
     /* 1379808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1379816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1379825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1379864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379886 */     // GIR_Coverage, 22472,
     /* 1379886 */     GIR_EraseRootFromParent_Done,
     /* 1379887 */   // Label 19590: @1379887
     /* 1379887 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1379971), // Rule ID 22475 //
     /* 1379892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1379948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379970 */     // GIR_Coverage, 22475,
     /* 1379970 */     GIR_EraseRootFromParent_Done,
     /* 1379971 */   // Label 19591: @1379971
     /* 1379971 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380055), // Rule ID 22476 //
     /* 1379976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1380032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380054 */     // GIR_Coverage, 22476,
     /* 1380054 */     GIR_EraseRootFromParent_Done,
     /* 1380055 */   // Label 19592: @1380055
     /* 1380055 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380139), // Rule ID 22479 //
     /* 1380060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380138 */     // GIR_Coverage, 22479,
     /* 1380138 */     GIR_EraseRootFromParent_Done,
     /* 1380139 */   // Label 19593: @1380139
     /* 1380139 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1380223), // Rule ID 22480 //
     /* 1380144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1380200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380222 */     // GIR_Coverage, 22480,
     /* 1380222 */     GIR_EraseRootFromParent_Done,
     /* 1380223 */   // Label 19594: @1380223
     /* 1380223 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1380307), // Rule ID 22483 //
     /* 1380228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380306 */     // GIR_Coverage, 22483,
     /* 1380306 */     GIR_EraseRootFromParent_Done,
     /* 1380307 */   // Label 19595: @1380307
     /* 1380307 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1380391), // Rule ID 22484 //
     /* 1380312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1380368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380390 */     // GIR_Coverage, 22484,
     /* 1380390 */     GIR_EraseRootFromParent_Done,
     /* 1380391 */   // Label 19596: @1380391
     /* 1380391 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1380475), // Rule ID 22487 //
     /* 1380396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380474 */     // GIR_Coverage, 22487,
     /* 1380474 */     GIR_EraseRootFromParent_Done,
     /* 1380475 */   // Label 19597: @1380475
     /* 1380475 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1380559), // Rule ID 22488 //
     /* 1380480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1380536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380558 */     // GIR_Coverage, 22488,
     /* 1380558 */     GIR_EraseRootFromParent_Done,
     /* 1380559 */   // Label 19598: @1380559
     /* 1380559 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1380643), // Rule ID 22491 //
     /* 1380564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1380620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380642 */     // GIR_Coverage, 22491,
     /* 1380642 */     GIR_EraseRootFromParent_Done,
     /* 1380643 */   // Label 19599: @1380643
     /* 1380643 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380727), // Rule ID 22492 //
     /* 1380648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1380704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380726 */     // GIR_Coverage, 22492,
     /* 1380726 */     GIR_EraseRootFromParent_Done,
     /* 1380727 */   // Label 19600: @1380727
     /* 1380727 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380811), // Rule ID 22495 //
     /* 1380732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1380788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380810 */     // GIR_Coverage, 22495,
     /* 1380810 */     GIR_EraseRootFromParent_Done,
     /* 1380811 */   // Label 19601: @1380811
     /* 1380811 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1380895), // Rule ID 22496 //
     /* 1380816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1380872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380894 */     // GIR_Coverage, 22496,
     /* 1380894 */     GIR_EraseRootFromParent_Done,
     /* 1380895 */   // Label 19602: @1380895
     /* 1380895 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1380979), // Rule ID 22499 //
     /* 1380900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1380956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380978 */     // GIR_Coverage, 22499,
     /* 1380978 */     GIR_EraseRootFromParent_Done,
     /* 1380979 */   // Label 19603: @1380979
     /* 1380979 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381063), // Rule ID 22500 //
     /* 1380984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1381040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381062 */     // GIR_Coverage, 22500,
     /* 1381062 */     GIR_EraseRootFromParent_Done,
     /* 1381063 */   // Label 19604: @1381063
     /* 1381063 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381147), // Rule ID 22503 //
     /* 1381068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381146 */     // GIR_Coverage, 22503,
     /* 1381146 */     GIR_EraseRootFromParent_Done,
     /* 1381147 */   // Label 19605: @1381147
     /* 1381147 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1381231), // Rule ID 22504 //
     /* 1381152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1381208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381230 */     // GIR_Coverage, 22504,
     /* 1381230 */     GIR_EraseRootFromParent_Done,
     /* 1381231 */   // Label 19606: @1381231
     /* 1381231 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1381315), // Rule ID 22507 //
     /* 1381236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381314 */     // GIR_Coverage, 22507,
     /* 1381314 */     GIR_EraseRootFromParent_Done,
     /* 1381315 */   // Label 19607: @1381315
     /* 1381315 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1381399), // Rule ID 22508 //
     /* 1381320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1381376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381398 */     // GIR_Coverage, 22508,
     /* 1381398 */     GIR_EraseRootFromParent_Done,
     /* 1381399 */   // Label 19608: @1381399
     /* 1381399 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1381483), // Rule ID 22511 //
     /* 1381404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381482 */     // GIR_Coverage, 22511,
     /* 1381482 */     GIR_EraseRootFromParent_Done,
     /* 1381483 */   // Label 19609: @1381483
     /* 1381483 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1381567), // Rule ID 22512 //
     /* 1381488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1381544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381566 */     // GIR_Coverage, 22512,
     /* 1381566 */     GIR_EraseRootFromParent_Done,
     /* 1381567 */   // Label 19610: @1381567
     /* 1381567 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1381651), // Rule ID 22515 //
     /* 1381572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381625 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1381628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381650 */     // GIR_Coverage, 22515,
     /* 1381650 */     GIR_EraseRootFromParent_Done,
     /* 1381651 */   // Label 19611: @1381651
     /* 1381651 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381735), // Rule ID 22516 //
     /* 1381656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1381712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381734 */     // GIR_Coverage, 22516,
     /* 1381734 */     GIR_EraseRootFromParent_Done,
     /* 1381735 */   // Label 19612: @1381735
     /* 1381735 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381819), // Rule ID 22519 //
     /* 1381740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381793 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1381796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381818 */     // GIR_Coverage, 22519,
     /* 1381818 */     GIR_EraseRootFromParent_Done,
     /* 1381819 */   // Label 19613: @1381819
     /* 1381819 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1381903), // Rule ID 22520 //
     /* 1381824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1381880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381902 */     // GIR_Coverage, 22520,
     /* 1381902 */     GIR_EraseRootFromParent_Done,
     /* 1381903 */   // Label 19614: @1381903
     /* 1381903 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1381987), // Rule ID 22523 //
     /* 1381908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381961 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1381964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381986 */     // GIR_Coverage, 22523,
     /* 1381986 */     GIR_EraseRootFromParent_Done,
     /* 1381987 */   // Label 19615: @1381987
     /* 1381987 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382071), // Rule ID 22524 //
     /* 1381992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382045 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1382048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382070 */     // GIR_Coverage, 22524,
     /* 1382070 */     GIR_EraseRootFromParent_Done,
     /* 1382071 */   // Label 19616: @1382071
     /* 1382071 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382155), // Rule ID 22527 //
     /* 1382076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382154 */     // GIR_Coverage, 22527,
     /* 1382154 */     GIR_EraseRootFromParent_Done,
     /* 1382155 */   // Label 19617: @1382155
     /* 1382155 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1382239), // Rule ID 22528 //
     /* 1382160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1382216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382238 */     // GIR_Coverage, 22528,
     /* 1382238 */     GIR_EraseRootFromParent_Done,
     /* 1382239 */   // Label 19618: @1382239
     /* 1382239 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1382323), // Rule ID 22531 //
     /* 1382244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382322 */     // GIR_Coverage, 22531,
     /* 1382322 */     GIR_EraseRootFromParent_Done,
     /* 1382323 */   // Label 19619: @1382323
     /* 1382323 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1382407), // Rule ID 22532 //
     /* 1382328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1382384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382406 */     // GIR_Coverage, 22532,
     /* 1382406 */     GIR_EraseRootFromParent_Done,
     /* 1382407 */   // Label 19620: @1382407
     /* 1382407 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1382491), // Rule ID 22535 //
     /* 1382412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382490 */     // GIR_Coverage, 22535,
     /* 1382490 */     GIR_EraseRootFromParent_Done,
     /* 1382491 */   // Label 19621: @1382491
     /* 1382491 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1382575), // Rule ID 22536 //
     /* 1382496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1382552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382574 */     // GIR_Coverage, 22536,
     /* 1382574 */     GIR_EraseRootFromParent_Done,
     /* 1382575 */   // Label 19622: @1382575
     /* 1382575 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1382659), // Rule ID 22539 //
     /* 1382580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1382636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382658 */     // GIR_Coverage, 22539,
     /* 1382658 */     GIR_EraseRootFromParent_Done,
     /* 1382659 */   // Label 19623: @1382659
     /* 1382659 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382743), // Rule ID 22540 //
     /* 1382664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1382720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382742 */     // GIR_Coverage, 22540,
     /* 1382742 */     GIR_EraseRootFromParent_Done,
     /* 1382743 */   // Label 19624: @1382743
     /* 1382743 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382827), // Rule ID 22543 //
     /* 1382748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1382804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382826 */     // GIR_Coverage, 22543,
     /* 1382826 */     GIR_EraseRootFromParent_Done,
     /* 1382827 */   // Label 19625: @1382827
     /* 1382827 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1382911), // Rule ID 22544 //
     /* 1382832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1382888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382910 */     // GIR_Coverage, 22544,
     /* 1382910 */     GIR_EraseRootFromParent_Done,
     /* 1382911 */   // Label 19626: @1382911
     /* 1382911 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1382995), // Rule ID 22547 //
     /* 1382916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1382933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1382972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382994 */     // GIR_Coverage, 22547,
     /* 1382994 */     GIR_EraseRootFromParent_Done,
     /* 1382995 */   // Label 19627: @1382995
     /* 1382995 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383079), // Rule ID 22548 //
     /* 1383000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1383056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383078 */     // GIR_Coverage, 22548,
     /* 1383078 */     GIR_EraseRootFromParent_Done,
     /* 1383079 */   // Label 19628: @1383079
     /* 1383079 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383163), // Rule ID 22551 //
     /* 1383084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383162 */     // GIR_Coverage, 22551,
     /* 1383162 */     GIR_EraseRootFromParent_Done,
     /* 1383163 */   // Label 19629: @1383163
     /* 1383163 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1383247), // Rule ID 22552 //
     /* 1383168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1383224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383246 */     // GIR_Coverage, 22552,
     /* 1383246 */     GIR_EraseRootFromParent_Done,
     /* 1383247 */   // Label 19630: @1383247
     /* 1383247 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1383331), // Rule ID 22555 //
     /* 1383252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383330 */     // GIR_Coverage, 22555,
     /* 1383330 */     GIR_EraseRootFromParent_Done,
     /* 1383331 */   // Label 19631: @1383331
     /* 1383331 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1383415), // Rule ID 22556 //
     /* 1383336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1383392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383414 */     // GIR_Coverage, 22556,
     /* 1383414 */     GIR_EraseRootFromParent_Done,
     /* 1383415 */   // Label 19632: @1383415
     /* 1383415 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1383499), // Rule ID 22559 //
     /* 1383420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383498 */     // GIR_Coverage, 22559,
     /* 1383498 */     GIR_EraseRootFromParent_Done,
     /* 1383499 */   // Label 19633: @1383499
     /* 1383499 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1383583), // Rule ID 22560 //
     /* 1383504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1383512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1383560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383582 */     // GIR_Coverage, 22560,
     /* 1383582 */     GIR_EraseRootFromParent_Done,
     /* 1383583 */   // Label 19634: @1383583
     /* 1383583 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1383667), // Rule ID 22563 //
     /* 1383588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1383644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383666 */     // GIR_Coverage, 22563,
     /* 1383666 */     GIR_EraseRootFromParent_Done,
     /* 1383667 */   // Label 19635: @1383667
     /* 1383667 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383751), // Rule ID 22564 //
     /* 1383672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1383728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383750 */     // GIR_Coverage, 22564,
     /* 1383750 */     GIR_EraseRootFromParent_Done,
     /* 1383751 */   // Label 19636: @1383751
     /* 1383751 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383835), // Rule ID 22567 //
     /* 1383756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1383812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383834 */     // GIR_Coverage, 22567,
     /* 1383834 */     GIR_EraseRootFromParent_Done,
     /* 1383835 */   // Label 19637: @1383835
     /* 1383835 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1383919), // Rule ID 22568 //
     /* 1383840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1383857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1383896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383918 */     // GIR_Coverage, 22568,
     /* 1383918 */     GIR_EraseRootFromParent_Done,
     /* 1383919 */   // Label 19638: @1383919
     /* 1383919 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384003), // Rule ID 22571 //
     /* 1383924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1383941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1383980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384002 */     // GIR_Coverage, 22571,
     /* 1384002 */     GIR_EraseRootFromParent_Done,
     /* 1384003 */   // Label 19639: @1384003
     /* 1384003 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384087), // Rule ID 22572 //
     /* 1384008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1384064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384086 */     // GIR_Coverage, 22572,
     /* 1384086 */     GIR_EraseRootFromParent_Done,
     /* 1384087 */   // Label 19640: @1384087
     /* 1384087 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384171), // Rule ID 22575 //
     /* 1384092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384145 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384170 */     // GIR_Coverage, 22575,
     /* 1384170 */     GIR_EraseRootFromParent_Done,
     /* 1384171 */   // Label 19641: @1384171
     /* 1384171 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1384255), // Rule ID 22576 //
     /* 1384176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1384232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384254 */     // GIR_Coverage, 22576,
     /* 1384254 */     GIR_EraseRootFromParent_Done,
     /* 1384255 */   // Label 19642: @1384255
     /* 1384255 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1384339), // Rule ID 22579 //
     /* 1384260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384338 */     // GIR_Coverage, 22579,
     /* 1384338 */     GIR_EraseRootFromParent_Done,
     /* 1384339 */   // Label 19643: @1384339
     /* 1384339 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1384423), // Rule ID 22580 //
     /* 1384344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1384400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384422 */     // GIR_Coverage, 22580,
     /* 1384422 */     GIR_EraseRootFromParent_Done,
     /* 1384423 */   // Label 19644: @1384423
     /* 1384423 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1384507), // Rule ID 22583 //
     /* 1384428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384506 */     // GIR_Coverage, 22583,
     /* 1384506 */     GIR_EraseRootFromParent_Done,
     /* 1384507 */   // Label 19645: @1384507
     /* 1384507 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1384591), // Rule ID 22584 //
     /* 1384512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384565 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1384568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384590 */     // GIR_Coverage, 22584,
     /* 1384590 */     GIR_EraseRootFromParent_Done,
     /* 1384591 */   // Label 19646: @1384591
     /* 1384591 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1384675), // Rule ID 22587 //
     /* 1384596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1384652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384674 */     // GIR_Coverage, 22587,
     /* 1384674 */     GIR_EraseRootFromParent_Done,
     /* 1384675 */   // Label 19647: @1384675
     /* 1384675 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384759), // Rule ID 22588 //
     /* 1384680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1384736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384758 */     // GIR_Coverage, 22588,
     /* 1384758 */     GIR_EraseRootFromParent_Done,
     /* 1384759 */   // Label 19648: @1384759
     /* 1384759 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384843), // Rule ID 22591 //
     /* 1384764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1384820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384842 */     // GIR_Coverage, 22591,
     /* 1384842 */     GIR_EraseRootFromParent_Done,
     /* 1384843 */   // Label 19649: @1384843
     /* 1384843 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1384927), // Rule ID 22592 //
     /* 1384848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1384904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384926 */     // GIR_Coverage, 22592,
     /* 1384926 */     GIR_EraseRootFromParent_Done,
     /* 1384927 */   // Label 19650: @1384927
     /* 1384927 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385011), // Rule ID 22595 //
     /* 1384932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1384988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385010 */     // GIR_Coverage, 22595,
     /* 1385010 */     GIR_EraseRootFromParent_Done,
     /* 1385011 */   // Label 19651: @1385011
     /* 1385011 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385095), // Rule ID 22596 //
     /* 1385016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385069 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1385072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385094 */     // GIR_Coverage, 22596,
     /* 1385094 */     GIR_EraseRootFromParent_Done,
     /* 1385095 */   // Label 19652: @1385095
     /* 1385095 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1385179), // Rule ID 22599 //
     /* 1385100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385178 */     // GIR_Coverage, 22599,
     /* 1385178 */     GIR_EraseRootFromParent_Done,
     /* 1385179 */   // Label 19653: @1385179
     /* 1385179 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1385263), // Rule ID 22600 //
     /* 1385184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385237 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1385240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385262 */     // GIR_Coverage, 22600,
     /* 1385262 */     GIR_EraseRootFromParent_Done,
     /* 1385263 */   // Label 19654: @1385263
     /* 1385263 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1385347), // Rule ID 22603 //
     /* 1385268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385346 */     // GIR_Coverage, 22603,
     /* 1385346 */     GIR_EraseRootFromParent_Done,
     /* 1385347 */   // Label 19655: @1385347
     /* 1385347 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1385431), // Rule ID 22604 //
     /* 1385352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1385408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385430 */     // GIR_Coverage, 22604,
     /* 1385430 */     GIR_EraseRootFromParent_Done,
     /* 1385431 */   // Label 19656: @1385431
     /* 1385431 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1385515), // Rule ID 22607 //
     /* 1385436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385514 */     // GIR_Coverage, 22607,
     /* 1385514 */     GIR_EraseRootFromParent_Done,
     /* 1385515 */   // Label 19657: @1385515
     /* 1385515 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1385599), // Rule ID 22608 //
     /* 1385520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1385576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385598 */     // GIR_Coverage, 22608,
     /* 1385598 */     GIR_EraseRootFromParent_Done,
     /* 1385599 */   // Label 19658: @1385599
     /* 1385599 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1385683), // Rule ID 22611 //
     /* 1385604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1385660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385682 */     // GIR_Coverage, 22611,
     /* 1385682 */     GIR_EraseRootFromParent_Done,
     /* 1385683 */   // Label 19659: @1385683
     /* 1385683 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385767), // Rule ID 22612 //
     /* 1385688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1385705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1385744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385766 */     // GIR_Coverage, 22612,
     /* 1385766 */     GIR_EraseRootFromParent_Done,
     /* 1385767 */   // Label 19660: @1385767
     /* 1385767 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385851), // Rule ID 22615 //
     /* 1385772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1385828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385850 */     // GIR_Coverage, 22615,
     /* 1385850 */     GIR_EraseRootFromParent_Done,
     /* 1385851 */   // Label 19661: @1385851
     /* 1385851 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1385935), // Rule ID 22616 //
     /* 1385856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1385912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385934 */     // GIR_Coverage, 22616,
     /* 1385934 */     GIR_EraseRootFromParent_Done,
     /* 1385935 */   // Label 19662: @1385935
     /* 1385935 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386019), // Rule ID 22619 //
     /* 1385940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385993 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1385996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386018 */     // GIR_Coverage, 22619,
     /* 1386018 */     GIR_EraseRootFromParent_Done,
     /* 1386019 */   // Label 19663: @1386019
     /* 1386019 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386103), // Rule ID 22620 //
     /* 1386024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1386080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386102 */     // GIR_Coverage, 22620,
     /* 1386102 */     GIR_EraseRootFromParent_Done,
     /* 1386103 */   // Label 19664: @1386103
     /* 1386103 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1386187), // Rule ID 22623 //
     /* 1386108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386186 */     // GIR_Coverage, 22623,
     /* 1386186 */     GIR_EraseRootFromParent_Done,
     /* 1386187 */   // Label 19665: @1386187
     /* 1386187 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1386271), // Rule ID 22624 //
     /* 1386192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1386248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386270 */     // GIR_Coverage, 22624,
     /* 1386270 */     GIR_EraseRootFromParent_Done,
     /* 1386271 */   // Label 19666: @1386271
     /* 1386271 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1386355), // Rule ID 22627 //
     /* 1386276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386354 */     // GIR_Coverage, 22627,
     /* 1386354 */     GIR_EraseRootFromParent_Done,
     /* 1386355 */   // Label 19667: @1386355
     /* 1386355 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1386439), // Rule ID 22628 //
     /* 1386360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1386416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386438 */     // GIR_Coverage, 22628,
     /* 1386438 */     GIR_EraseRootFromParent_Done,
     /* 1386439 */   // Label 19668: @1386439
     /* 1386439 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1386523), // Rule ID 22631 //
     /* 1386444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386522 */     // GIR_Coverage, 22631,
     /* 1386522 */     GIR_EraseRootFromParent_Done,
     /* 1386523 */   // Label 19669: @1386523
     /* 1386523 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1386607), // Rule ID 22632 //
     /* 1386528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1386536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1386584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386606 */     // GIR_Coverage, 22632,
     /* 1386606 */     GIR_EraseRootFromParent_Done,
     /* 1386607 */   // Label 19670: @1386607
     /* 1386607 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1386691), // Rule ID 22635 //
     /* 1386612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1386668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386690 */     // GIR_Coverage, 22635,
     /* 1386690 */     GIR_EraseRootFromParent_Done,
     /* 1386691 */   // Label 19671: @1386691
     /* 1386691 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386775), // Rule ID 22636 //
     /* 1386696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1386713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386749 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1386752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386774 */     // GIR_Coverage, 22636,
     /* 1386774 */     GIR_EraseRootFromParent_Done,
     /* 1386775 */   // Label 19672: @1386775
     /* 1386775 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1386859), // Rule ID 22639 //
     /* 1386780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1386836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386858 */     // GIR_Coverage, 22639,
     /* 1386858 */     GIR_EraseRootFromParent_Done,
     /* 1386859 */   // Label 19673: @1386859
     /* 1386859 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1386943), // Rule ID 22640 //
     /* 1386864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1386881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1386920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386942 */     // GIR_Coverage, 22640,
     /* 1386942 */     GIR_EraseRootFromParent_Done,
     /* 1386943 */   // Label 19674: @1386943
     /* 1386943 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387027), // Rule ID 22643 //
     /* 1386948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1386965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387026 */     // GIR_Coverage, 22643,
     /* 1387026 */     GIR_EraseRootFromParent_Done,
     /* 1387027 */   // Label 19675: @1387027
     /* 1387027 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387111), // Rule ID 22644 //
     /* 1387032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387085 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1387088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387110 */     // GIR_Coverage, 22644,
     /* 1387110 */     GIR_EraseRootFromParent_Done,
     /* 1387111 */   // Label 19676: @1387111
     /* 1387111 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1387195), // Rule ID 22647 //
     /* 1387116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387194 */     // GIR_Coverage, 22647,
     /* 1387194 */     GIR_EraseRootFromParent_Done,
     /* 1387195 */   // Label 19677: @1387195
     /* 1387195 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1387279), // Rule ID 22648 //
     /* 1387200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1387217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1387256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387278 */     // GIR_Coverage, 22648,
     /* 1387278 */     GIR_EraseRootFromParent_Done,
     /* 1387279 */   // Label 19678: @1387279
     /* 1387279 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1387363), // Rule ID 22651 //
     /* 1387284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387362 */     // GIR_Coverage, 22651,
     /* 1387362 */     GIR_EraseRootFromParent_Done,
     /* 1387363 */   // Label 19679: @1387363
     /* 1387363 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1387447), // Rule ID 22652 //
     /* 1387368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1387385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1387424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387446 */     // GIR_Coverage, 22652,
     /* 1387446 */     GIR_EraseRootFromParent_Done,
     /* 1387447 */   // Label 19680: @1387447
     /* 1387447 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1387531), // Rule ID 22655 //
     /* 1387452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387530 */     // GIR_Coverage, 22655,
     /* 1387530 */     GIR_EraseRootFromParent_Done,
     /* 1387531 */   // Label 19681: @1387531
     /* 1387531 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1387615), // Rule ID 22656 //
     /* 1387536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1387553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1387592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387614 */     // GIR_Coverage, 22656,
     /* 1387614 */     GIR_EraseRootFromParent_Done,
     /* 1387615 */   // Label 19682: @1387615
     /* 1387615 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387699), // Rule ID 22659 //
     /* 1387620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1387676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387698 */     // GIR_Coverage, 22659,
     /* 1387698 */     GIR_EraseRootFromParent_Done,
     /* 1387699 */   // Label 19683: @1387699
     /* 1387699 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387783), // Rule ID 22660 //
     /* 1387704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1387721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1387760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387782 */     // GIR_Coverage, 22660,
     /* 1387782 */     GIR_EraseRootFromParent_Done,
     /* 1387783 */   // Label 19684: @1387783
     /* 1387783 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1387867), // Rule ID 22663 //
     /* 1387788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1387844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387866 */     // GIR_Coverage, 22663,
     /* 1387866 */     GIR_EraseRootFromParent_Done,
     /* 1387867 */   // Label 19685: @1387867
     /* 1387867 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1387951), // Rule ID 22664 //
     /* 1387872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1387889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1387928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387950 */     // GIR_Coverage, 22664,
     /* 1387950 */     GIR_EraseRootFromParent_Done,
     /* 1387951 */   // Label 19686: @1387951
     /* 1387951 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388035), // Rule ID 22667 //
     /* 1387956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1387973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388034 */     // GIR_Coverage, 22667,
     /* 1388034 */     GIR_EraseRootFromParent_Done,
     /* 1388035 */   // Label 19687: @1388035
     /* 1388035 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388119), // Rule ID 22668 //
     /* 1388040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1388096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388118 */     // GIR_Coverage, 22668,
     /* 1388118 */     GIR_EraseRootFromParent_Done,
     /* 1388119 */   // Label 19688: @1388119
     /* 1388119 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1388203), // Rule ID 22671 //
     /* 1388124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388202 */     // GIR_Coverage, 22671,
     /* 1388202 */     GIR_EraseRootFromParent_Done,
     /* 1388203 */   // Label 19689: @1388203
     /* 1388203 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1388287), // Rule ID 22672 //
     /* 1388208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1388225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1388264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388286 */     // GIR_Coverage, 22672,
     /* 1388286 */     GIR_EraseRootFromParent_Done,
     /* 1388287 */   // Label 19690: @1388287
     /* 1388287 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1388371), // Rule ID 22675 //
     /* 1388292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388370 */     // GIR_Coverage, 22675,
     /* 1388370 */     GIR_EraseRootFromParent_Done,
     /* 1388371 */   // Label 19691: @1388371
     /* 1388371 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1388455), // Rule ID 22676 //
     /* 1388376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1388393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1388432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388454 */     // GIR_Coverage, 22676,
     /* 1388454 */     GIR_EraseRootFromParent_Done,
     /* 1388455 */   // Label 19692: @1388455
     /* 1388455 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1388539), // Rule ID 22679 //
     /* 1388460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388538 */     // GIR_Coverage, 22679,
     /* 1388538 */     GIR_EraseRootFromParent_Done,
     /* 1388539 */   // Label 19693: @1388539
     /* 1388539 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1388623), // Rule ID 22680 //
     /* 1388544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1388561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1388567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1388600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388622 */     // GIR_Coverage, 22680,
     /* 1388622 */     GIR_EraseRootFromParent_Done,
     /* 1388623 */   // Label 19694: @1388623
     /* 1388623 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1388707), // Rule ID 22683 //
     /* 1388628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1388684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388706 */     // GIR_Coverage, 22683,
     /* 1388706 */     GIR_EraseRootFromParent_Done,
     /* 1388707 */   // Label 19695: @1388707
     /* 1388707 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388791), // Rule ID 22684 //
     /* 1388712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1388768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388790 */     // GIR_Coverage, 22684,
     /* 1388790 */     GIR_EraseRootFromParent_Done,
     /* 1388791 */   // Label 19696: @1388791
     /* 1388791 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388875), // Rule ID 22687 //
     /* 1388796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1388852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388874 */     // GIR_Coverage, 22687,
     /* 1388874 */     GIR_EraseRootFromParent_Done,
     /* 1388875 */   // Label 19697: @1388875
     /* 1388875 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1388959), // Rule ID 22688 //
     /* 1388880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1388936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388958 */     // GIR_Coverage, 22688,
     /* 1388958 */     GIR_EraseRootFromParent_Done,
     /* 1388959 */   // Label 19698: @1388959
     /* 1388959 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389043), // Rule ID 22691 //
     /* 1388964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1388981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389042 */     // GIR_Coverage, 22691,
     /* 1389042 */     GIR_EraseRootFromParent_Done,
     /* 1389043 */   // Label 19699: @1389043
     /* 1389043 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389127), // Rule ID 22692 //
     /* 1389048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1389104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389126 */     // GIR_Coverage, 22692,
     /* 1389126 */     GIR_EraseRootFromParent_Done,
     /* 1389127 */   // Label 19700: @1389127
     /* 1389127 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1389211), // Rule ID 22695 //
     /* 1389132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389185 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389210 */     // GIR_Coverage, 22695,
     /* 1389210 */     GIR_EraseRootFromParent_Done,
     /* 1389211 */   // Label 19701: @1389211
     /* 1389211 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1389295), // Rule ID 22696 //
     /* 1389216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389269 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1389272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389294 */     // GIR_Coverage, 22696,
     /* 1389294 */     GIR_EraseRootFromParent_Done,
     /* 1389295 */   // Label 19702: @1389295
     /* 1389295 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1389379), // Rule ID 22699 //
     /* 1389300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389378 */     // GIR_Coverage, 22699,
     /* 1389378 */     GIR_EraseRootFromParent_Done,
     /* 1389379 */   // Label 19703: @1389379
     /* 1389379 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1389463), // Rule ID 22700 //
     /* 1389384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1389401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1389440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389462 */     // GIR_Coverage, 22700,
     /* 1389462 */     GIR_EraseRootFromParent_Done,
     /* 1389463 */   // Label 19704: @1389463
     /* 1389463 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1389547), // Rule ID 22703 //
     /* 1389468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389546 */     // GIR_Coverage, 22703,
     /* 1389546 */     GIR_EraseRootFromParent_Done,
     /* 1389547 */   // Label 19705: @1389547
     /* 1389547 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1389631), // Rule ID 22704 //
     /* 1389552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1389560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1389569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1389608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389630 */     // GIR_Coverage, 22704,
     /* 1389630 */     GIR_EraseRootFromParent_Done,
     /* 1389631 */   // Label 19706: @1389631
     /* 1389631 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389715), // Rule ID 22823 //
     /* 1389636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389689 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1389692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389714 */     // GIR_Coverage, 22823,
     /* 1389714 */     GIR_EraseRootFromParent_Done,
     /* 1389715 */   // Label 19707: @1389715
     /* 1389715 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389799), // Rule ID 22824 //
     /* 1389720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389773 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1389776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389798 */     // GIR_Coverage, 22824,
     /* 1389798 */     GIR_EraseRootFromParent_Done,
     /* 1389799 */   // Label 19708: @1389799
     /* 1389799 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389883), // Rule ID 22827 //
     /* 1389804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389857 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1389860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389882 */     // GIR_Coverage, 22827,
     /* 1389882 */     GIR_EraseRootFromParent_Done,
     /* 1389883 */   // Label 19709: @1389883
     /* 1389883 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1389967), // Rule ID 22828 //
     /* 1389888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389941 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1389944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389966 */     // GIR_Coverage, 22828,
     /* 1389966 */     GIR_EraseRootFromParent_Done,
     /* 1389967 */   // Label 19710: @1389967
     /* 1389967 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390051), // Rule ID 22831 //
     /* 1389972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1389975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1389989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390050 */     // GIR_Coverage, 22831,
     /* 1390050 */     GIR_EraseRootFromParent_Done,
     /* 1390051 */   // Label 19711: @1390051
     /* 1390051 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390135), // Rule ID 22832 //
     /* 1390056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1390112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390134 */     // GIR_Coverage, 22832,
     /* 1390134 */     GIR_EraseRootFromParent_Done,
     /* 1390135 */   // Label 19712: @1390135
     /* 1390135 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1390219), // Rule ID 22835 //
     /* 1390140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390218 */     // GIR_Coverage, 22835,
     /* 1390218 */     GIR_EraseRootFromParent_Done,
     /* 1390219 */   // Label 19713: @1390219
     /* 1390219 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1390303), // Rule ID 22836 //
     /* 1390224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390277 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1390280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390302 */     // GIR_Coverage, 22836,
     /* 1390302 */     GIR_EraseRootFromParent_Done,
     /* 1390303 */   // Label 19714: @1390303
     /* 1390303 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1390387), // Rule ID 22839 //
     /* 1390308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390361 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390386 */     // GIR_Coverage, 22839,
     /* 1390386 */     GIR_EraseRootFromParent_Done,
     /* 1390387 */   // Label 19715: @1390387
     /* 1390387 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1390471), // Rule ID 22840 //
     /* 1390392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390445 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1390448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390470 */     // GIR_Coverage, 22840,
     /* 1390470 */     GIR_EraseRootFromParent_Done,
     /* 1390471 */   // Label 19716: @1390471
     /* 1390471 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1390555), // Rule ID 22843 //
     /* 1390476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390554 */     // GIR_Coverage, 22843,
     /* 1390554 */     GIR_EraseRootFromParent_Done,
     /* 1390555 */   // Label 19717: @1390555
     /* 1390555 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1390639), // Rule ID 22844 //
     /* 1390560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390613 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1390616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390638 */     // GIR_Coverage, 22844,
     /* 1390638 */     GIR_EraseRootFromParent_Done,
     /* 1390639 */   // Label 19718: @1390639
     /* 1390639 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390723), // Rule ID 22847 //
     /* 1390644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1390700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390722 */     // GIR_Coverage, 22847,
     /* 1390722 */     GIR_EraseRootFromParent_Done,
     /* 1390723 */   // Label 19719: @1390723
     /* 1390723 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390807), // Rule ID 22848 //
     /* 1390728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390781 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1390784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390806 */     // GIR_Coverage, 22848,
     /* 1390806 */     GIR_EraseRootFromParent_Done,
     /* 1390807 */   // Label 19720: @1390807
     /* 1390807 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1390891), // Rule ID 22851 //
     /* 1390812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1390868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390890 */     // GIR_Coverage, 22851,
     /* 1390890 */     GIR_EraseRootFromParent_Done,
     /* 1390891 */   // Label 19721: @1390891
     /* 1390891 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1390975), // Rule ID 22852 //
     /* 1390896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1390899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390949 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1390952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390974 */     // GIR_Coverage, 22852,
     /* 1390974 */     GIR_EraseRootFromParent_Done,
     /* 1390975 */   // Label 19722: @1390975
     /* 1390975 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391059), // Rule ID 22855 //
     /* 1390980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1390997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391033 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391058 */     // GIR_Coverage, 22855,
     /* 1391058 */     GIR_EraseRootFromParent_Done,
     /* 1391059 */   // Label 19723: @1391059
     /* 1391059 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391143), // Rule ID 22856 //
     /* 1391064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391117 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1391120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391142 */     // GIR_Coverage, 22856,
     /* 1391142 */     GIR_EraseRootFromParent_Done,
     /* 1391143 */   // Label 19724: @1391143
     /* 1391143 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1391227), // Rule ID 22859 //
     /* 1391148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391226 */     // GIR_Coverage, 22859,
     /* 1391226 */     GIR_EraseRootFromParent_Done,
     /* 1391227 */   // Label 19725: @1391227
     /* 1391227 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1391311), // Rule ID 22860 //
     /* 1391232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391285 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1391288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391310 */     // GIR_Coverage, 22860,
     /* 1391310 */     GIR_EraseRootFromParent_Done,
     /* 1391311 */   // Label 19726: @1391311
     /* 1391311 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1391395), // Rule ID 22863 //
     /* 1391316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391369 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391394 */     // GIR_Coverage, 22863,
     /* 1391394 */     GIR_EraseRootFromParent_Done,
     /* 1391395 */   // Label 19727: @1391395
     /* 1391395 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1391479), // Rule ID 22864 //
     /* 1391400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1391456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391478 */     // GIR_Coverage, 22864,
     /* 1391478 */     GIR_EraseRootFromParent_Done,
     /* 1391479 */   // Label 19728: @1391479
     /* 1391479 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1391563), // Rule ID 22867 //
     /* 1391484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391562 */     // GIR_Coverage, 22867,
     /* 1391562 */     GIR_EraseRootFromParent_Done,
     /* 1391563 */   // Label 19729: @1391563
     /* 1391563 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1391647), // Rule ID 22868 //
     /* 1391568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391621 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1391624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391646 */     // GIR_Coverage, 22868,
     /* 1391646 */     GIR_EraseRootFromParent_Done,
     /* 1391647 */   // Label 19730: @1391647
     /* 1391647 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391731), // Rule ID 22871 //
     /* 1391652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1391669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391705 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1391708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391730 */     // GIR_Coverage, 22871,
     /* 1391730 */     GIR_EraseRootFromParent_Done,
     /* 1391731 */   // Label 19731: @1391731
     /* 1391731 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391815), // Rule ID 22872 //
     /* 1391736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1391753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1391792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391814 */     // GIR_Coverage, 22872,
     /* 1391814 */     GIR_EraseRootFromParent_Done,
     /* 1391815 */   // Label 19732: @1391815
     /* 1391815 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1391899), // Rule ID 22875 //
     /* 1391820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1391837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391873 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1391876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391898 */     // GIR_Coverage, 22875,
     /* 1391898 */     GIR_EraseRootFromParent_Done,
     /* 1391899 */   // Label 19733: @1391899
     /* 1391899 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1391983), // Rule ID 22876 //
     /* 1391904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1391921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1391960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391982 */     // GIR_Coverage, 22876,
     /* 1391982 */     GIR_EraseRootFromParent_Done,
     /* 1391983 */   // Label 19734: @1391983
     /* 1391983 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392067), // Rule ID 22879 //
     /* 1391988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1391996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392066 */     // GIR_Coverage, 22879,
     /* 1392066 */     GIR_EraseRootFromParent_Done,
     /* 1392067 */   // Label 19735: @1392067
     /* 1392067 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392151), // Rule ID 22880 //
     /* 1392072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1392075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1392080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392125 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1392128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392150 */     // GIR_Coverage, 22880,
     /* 1392150 */     GIR_EraseRootFromParent_Done,
     /* 1392151 */   // Label 19736: @1392151
     /* 1392151 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1392235), // Rule ID 22883 //
     /* 1392156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392209 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392234 */     // GIR_Coverage, 22883,
     /* 1392234 */     GIR_EraseRootFromParent_Done,
     /* 1392235 */   // Label 19737: @1392235
     /* 1392235 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1392319), // Rule ID 22884 //
     /* 1392240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392293 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1392296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392318 */     // GIR_Coverage, 22884,
     /* 1392318 */     GIR_EraseRootFromParent_Done,
     /* 1392319 */   // Label 19738: @1392319
     /* 1392319 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1392403), // Rule ID 22887 //
     /* 1392324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392402 */     // GIR_Coverage, 22887,
     /* 1392402 */     GIR_EraseRootFromParent_Done,
     /* 1392403 */   // Label 19739: @1392403
     /* 1392403 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1392487), // Rule ID 22888 //
     /* 1392408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392461 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1392464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392486 */     // GIR_Coverage, 22888,
     /* 1392486 */     GIR_EraseRootFromParent_Done,
     /* 1392487 */   // Label 19740: @1392487
     /* 1392487 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1392571), // Rule ID 22891 //
     /* 1392492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392545 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392570 */     // GIR_Coverage, 22891,
     /* 1392570 */     GIR_EraseRootFromParent_Done,
     /* 1392571 */   // Label 19741: @1392571
     /* 1392571 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1392655), // Rule ID 22892 //
     /* 1392576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1392632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392654 */     // GIR_Coverage, 22892,
     /* 1392654 */     GIR_EraseRootFromParent_Done,
     /* 1392655 */   // Label 19742: @1392655
     /* 1392655 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392739), // Rule ID 22895 //
     /* 1392660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392713 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1392716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392738 */     // GIR_Coverage, 22895,
     /* 1392738 */     GIR_EraseRootFromParent_Done,
     /* 1392739 */   // Label 19743: @1392739
     /* 1392739 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1392823), // Rule ID 22896 //
     /* 1392744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392797 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1392800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392822 */     // GIR_Coverage, 22896,
     /* 1392822 */     GIR_EraseRootFromParent_Done,
     /* 1392823 */   // Label 19744: @1392823
     /* 1392823 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1392907), // Rule ID 22899 //
     /* 1392828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392881 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1392884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392906 */     // GIR_Coverage, 22899,
     /* 1392906 */     GIR_EraseRootFromParent_Done,
     /* 1392907 */   // Label 19745: @1392907
     /* 1392907 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1392991), // Rule ID 22900 //
     /* 1392912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392965 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1392968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392990 */     // GIR_Coverage, 22900,
     /* 1392990 */     GIR_EraseRootFromParent_Done,
     /* 1392991 */   // Label 19746: @1392991
     /* 1392991 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393075), // Rule ID 22903 //
     /* 1392996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393049 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393074 */     // GIR_Coverage, 22903,
     /* 1393074 */     GIR_EraseRootFromParent_Done,
     /* 1393075 */   // Label 19747: @1393075
     /* 1393075 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393159), // Rule ID 22904 //
     /* 1393080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393133 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1393136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393158 */     // GIR_Coverage, 22904,
     /* 1393158 */     GIR_EraseRootFromParent_Done,
     /* 1393159 */   // Label 19748: @1393159
     /* 1393159 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1393243), // Rule ID 22907 //
     /* 1393164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393242 */     // GIR_Coverage, 22907,
     /* 1393242 */     GIR_EraseRootFromParent_Done,
     /* 1393243 */   // Label 19749: @1393243
     /* 1393243 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1393327), // Rule ID 22908 //
     /* 1393248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393301 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1393304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393326 */     // GIR_Coverage, 22908,
     /* 1393326 */     GIR_EraseRootFromParent_Done,
     /* 1393327 */   // Label 19750: @1393327
     /* 1393327 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1393411), // Rule ID 22911 //
     /* 1393332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393385 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393410 */     // GIR_Coverage, 22911,
     /* 1393410 */     GIR_EraseRootFromParent_Done,
     /* 1393411 */   // Label 19751: @1393411
     /* 1393411 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1393495), // Rule ID 22912 //
     /* 1393416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393469 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1393472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393494 */     // GIR_Coverage, 22912,
     /* 1393494 */     GIR_EraseRootFromParent_Done,
     /* 1393495 */   // Label 19752: @1393495
     /* 1393495 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1393579), // Rule ID 22915 //
     /* 1393500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1393503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393578 */     // GIR_Coverage, 22915,
     /* 1393578 */     GIR_EraseRootFromParent_Done,
     /* 1393579 */   // Label 19753: @1393579
     /* 1393579 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1393663), // Rule ID 22916 //
     /* 1393584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1393587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393637 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1393640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393662 */     // GIR_Coverage, 22916,
     /* 1393662 */     GIR_EraseRootFromParent_Done,
     /* 1393663 */   // Label 19754: @1393663
     /* 1393663 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393747), // Rule ID 22919 //
     /* 1393668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1393724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393746 */     // GIR_Coverage, 22919,
     /* 1393746 */     GIR_EraseRootFromParent_Done,
     /* 1393747 */   // Label 19755: @1393747
     /* 1393747 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1393831), // Rule ID 22920 //
     /* 1393752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393805 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1393808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393830 */     // GIR_Coverage, 22920,
     /* 1393830 */     GIR_EraseRootFromParent_Done,
     /* 1393831 */   // Label 19756: @1393831
     /* 1393831 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1393915), // Rule ID 22923 //
     /* 1393836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1393839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393889 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1393892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393914 */     // GIR_Coverage, 22923,
     /* 1393914 */     GIR_EraseRootFromParent_Done,
     /* 1393915 */   // Label 19757: @1393915
     /* 1393915 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1393999), // Rule ID 22924 //
     /* 1393920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1393923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1393976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393998 */     // GIR_Coverage, 22924,
     /* 1393998 */     GIR_EraseRootFromParent_Done,
     /* 1393999 */   // Label 19758: @1393999
     /* 1393999 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394083), // Rule ID 22927 //
     /* 1394004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394082 */     // GIR_Coverage, 22927,
     /* 1394082 */     GIR_EraseRootFromParent_Done,
     /* 1394083 */   // Label 19759: @1394083
     /* 1394083 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394167), // Rule ID 22928 //
     /* 1394088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1394144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394166 */     // GIR_Coverage, 22928,
     /* 1394166 */     GIR_EraseRootFromParent_Done,
     /* 1394167 */   // Label 19760: @1394167
     /* 1394167 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1394251), // Rule ID 22931 //
     /* 1394172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394225 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394250 */     // GIR_Coverage, 22931,
     /* 1394250 */     GIR_EraseRootFromParent_Done,
     /* 1394251 */   // Label 19761: @1394251
     /* 1394251 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1394335), // Rule ID 22932 //
     /* 1394256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394309 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1394312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394334 */     // GIR_Coverage, 22932,
     /* 1394334 */     GIR_EraseRootFromParent_Done,
     /* 1394335 */   // Label 19762: @1394335
     /* 1394335 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1394419), // Rule ID 22935 //
     /* 1394340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394393 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394418 */     // GIR_Coverage, 22935,
     /* 1394418 */     GIR_EraseRootFromParent_Done,
     /* 1394419 */   // Label 19763: @1394419
     /* 1394419 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1394503), // Rule ID 22936 //
     /* 1394424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1394480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394502 */     // GIR_Coverage, 22936,
     /* 1394502 */     GIR_EraseRootFromParent_Done,
     /* 1394503 */   // Label 19764: @1394503
     /* 1394503 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1394587), // Rule ID 22939 //
     /* 1394508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1394511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394561 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1394564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394586 */     // GIR_Coverage, 22939,
     /* 1394586 */     GIR_EraseRootFromParent_Done,
     /* 1394587 */   // Label 19765: @1394587
     /* 1394587 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1394671), // Rule ID 22940 //
     /* 1394592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1394595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1394600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394645 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1394648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394670 */     // GIR_Coverage, 22940,
     /* 1394670 */     GIR_EraseRootFromParent_Done,
     /* 1394671 */   // Label 19766: @1394671
     /* 1394671 */   GIM_Reject,
     /* 1394672 */ // Label 13786: @1394672
     /* 1394672 */ GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(2003829),
     /* 1394677 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1394680 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1394766), // Rule ID 7233 //
     /* 1394685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394731 */     // MIs[0] policy
     /* 1394731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394741 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1394744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394765 */     // GIR_Coverage, 7233,
     /* 1394765 */     GIR_EraseRootFromParent_Done,
     /* 1394766 */   // Label 19768: @1394766
     /* 1394766 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1394852), // Rule ID 7234 //
     /* 1394771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394809 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394817 */     // MIs[0] policy
     /* 1394817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1394830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394851 */     // GIR_Coverage, 7234,
     /* 1394851 */     GIR_EraseRootFromParent_Done,
     /* 1394852 */   // Label 19769: @1394852
     /* 1394852 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1394938), // Rule ID 7237 //
     /* 1394857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1394868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1394871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394895 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394903 */     // MIs[0] policy
     /* 1394903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394913 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1394916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394937 */     // GIR_Coverage, 7237,
     /* 1394937 */     GIR_EraseRootFromParent_Done,
     /* 1394938 */   // Label 19770: @1394938
     /* 1394938 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1395024), // Rule ID 7238 //
     /* 1394943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1394954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1394957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394989 */     // MIs[0] policy
     /* 1394989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395023 */     // GIR_Coverage, 7238,
     /* 1395023 */     GIR_EraseRootFromParent_Done,
     /* 1395024 */   // Label 19771: @1395024
     /* 1395024 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395110), // Rule ID 7241 //
     /* 1395029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395067 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395075 */     // MIs[0] policy
     /* 1395075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395109 */     // GIR_Coverage, 7241,
     /* 1395109 */     GIR_EraseRootFromParent_Done,
     /* 1395110 */   // Label 19772: @1395110
     /* 1395110 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1395196), // Rule ID 7242 //
     /* 1395115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1395126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1395129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395161 */     // MIs[0] policy
     /* 1395161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395195 */     // GIR_Coverage, 7242,
     /* 1395195 */     GIR_EraseRootFromParent_Done,
     /* 1395196 */   // Label 19773: @1395196
     /* 1395196 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1395282), // Rule ID 7245 //
     /* 1395201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395239 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395247 */     // MIs[0] policy
     /* 1395247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395281 */     // GIR_Coverage, 7245,
     /* 1395281 */     GIR_EraseRootFromParent_Done,
     /* 1395282 */   // Label 19774: @1395282
     /* 1395282 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1395368), // Rule ID 7246 //
     /* 1395287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395325 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395333 */     // MIs[0] policy
     /* 1395333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1395346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395367 */     // GIR_Coverage, 7246,
     /* 1395367 */     GIR_EraseRootFromParent_Done,
     /* 1395368 */   // Label 19775: @1395368
     /* 1395368 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1395454), // Rule ID 7249 //
     /* 1395373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395411 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395419 */     // MIs[0] policy
     /* 1395419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395453 */     // GIR_Coverage, 7249,
     /* 1395453 */     GIR_EraseRootFromParent_Done,
     /* 1395454 */   // Label 19776: @1395454
     /* 1395454 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1395540), // Rule ID 7250 //
     /* 1395459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395497 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395505 */     // MIs[0] policy
     /* 1395505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395539 */     // GIR_Coverage, 7250,
     /* 1395539 */     GIR_EraseRootFromParent_Done,
     /* 1395540 */   // Label 19777: @1395540
     /* 1395540 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1395626), // Rule ID 7253 //
     /* 1395545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395583 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395591 */     // MIs[0] policy
     /* 1395591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395625 */     // GIR_Coverage, 7253,
     /* 1395625 */     GIR_EraseRootFromParent_Done,
     /* 1395626 */   // Label 19778: @1395626
     /* 1395626 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1395712), // Rule ID 7254 //
     /* 1395631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395669 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395677 */     // MIs[0] policy
     /* 1395677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1395690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395711 */     // GIR_Coverage, 7254,
     /* 1395711 */     GIR_EraseRootFromParent_Done,
     /* 1395712 */   // Label 19779: @1395712
     /* 1395712 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1395798), // Rule ID 7257 //
     /* 1395717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395763 */     // MIs[0] policy
     /* 1395763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395797 */     // GIR_Coverage, 7257,
     /* 1395797 */     GIR_EraseRootFromParent_Done,
     /* 1395798 */   // Label 19780: @1395798
     /* 1395798 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395884), // Rule ID 7258 //
     /* 1395803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395849 */     // MIs[0] policy
     /* 1395849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395883 */     // GIR_Coverage, 7258,
     /* 1395883 */     GIR_EraseRootFromParent_Done,
     /* 1395884 */   // Label 19781: @1395884
     /* 1395884 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1395970), // Rule ID 7261 //
     /* 1395889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395927 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395935 */     // MIs[0] policy
     /* 1395935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395969 */     // GIR_Coverage, 7261,
     /* 1395969 */     GIR_EraseRootFromParent_Done,
     /* 1395970 */   // Label 19782: @1395970
     /* 1395970 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396056), // Rule ID 7262 //
     /* 1395975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396013 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396021 */     // MIs[0] policy
     /* 1396021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396055 */     // GIR_Coverage, 7262,
     /* 1396055 */     GIR_EraseRootFromParent_Done,
     /* 1396056 */   // Label 19783: @1396056
     /* 1396056 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1396142), // Rule ID 7265 //
     /* 1396061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396099 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396107 */     // MIs[0] policy
     /* 1396107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396141 */     // GIR_Coverage, 7265,
     /* 1396141 */     GIR_EraseRootFromParent_Done,
     /* 1396142 */   // Label 19784: @1396142
     /* 1396142 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1396228), // Rule ID 7266 //
     /* 1396147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396185 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396193 */     // MIs[0] policy
     /* 1396193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396227 */     // GIR_Coverage, 7266,
     /* 1396227 */     GIR_EraseRootFromParent_Done,
     /* 1396228 */   // Label 19785: @1396228
     /* 1396228 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1396314), // Rule ID 7269 //
     /* 1396233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396279 */     // MIs[0] policy
     /* 1396279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396313 */     // GIR_Coverage, 7269,
     /* 1396313 */     GIR_EraseRootFromParent_Done,
     /* 1396314 */   // Label 19786: @1396314
     /* 1396314 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1396400), // Rule ID 7270 //
     /* 1396319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396365 */     // MIs[0] policy
     /* 1396365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1396378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396399 */     // GIR_Coverage, 7270,
     /* 1396399 */     GIR_EraseRootFromParent_Done,
     /* 1396400 */   // Label 19787: @1396400
     /* 1396400 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1396486), // Rule ID 7273 //
     /* 1396405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396443 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396451 */     // MIs[0] policy
     /* 1396451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396485 */     // GIR_Coverage, 7273,
     /* 1396485 */     GIR_EraseRootFromParent_Done,
     /* 1396486 */   // Label 19788: @1396486
     /* 1396486 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1396572), // Rule ID 7274 //
     /* 1396491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396529 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396537 */     // MIs[0] policy
     /* 1396537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396571 */     // GIR_Coverage, 7274,
     /* 1396571 */     GIR_EraseRootFromParent_Done,
     /* 1396572 */   // Label 19789: @1396572
     /* 1396572 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1396658), // Rule ID 7277 //
     /* 1396577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396615 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396623 */     // MIs[0] policy
     /* 1396623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396657 */     // GIR_Coverage, 7277,
     /* 1396657 */     GIR_EraseRootFromParent_Done,
     /* 1396658 */   // Label 19790: @1396658
     /* 1396658 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1396744), // Rule ID 7278 //
     /* 1396663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396701 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396709 */     // MIs[0] policy
     /* 1396709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396743 */     // GIR_Coverage, 7278,
     /* 1396743 */     GIR_EraseRootFromParent_Done,
     /* 1396744 */   // Label 19791: @1396744
     /* 1396744 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1396830), // Rule ID 7281 //
     /* 1396749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1396760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1396763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396787 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396795 */     // MIs[0] policy
     /* 1396795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396805 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396829 */     // GIR_Coverage, 7281,
     /* 1396829 */     GIR_EraseRootFromParent_Done,
     /* 1396830 */   // Label 19792: @1396830
     /* 1396830 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1396916), // Rule ID 7282 //
     /* 1396835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1396846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1396849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396873 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396881 */     // MIs[0] policy
     /* 1396881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396891 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396915 */     // GIR_Coverage, 7282,
     /* 1396915 */     GIR_EraseRootFromParent_Done,
     /* 1396916 */   // Label 19793: @1396916
     /* 1396916 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397002), // Rule ID 7285 //
     /* 1396921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1396932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1396935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1396938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396959 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396967 */     // MIs[0] policy
     /* 1396967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397001 */     // GIR_Coverage, 7285,
     /* 1397001 */     GIR_EraseRootFromParent_Done,
     /* 1397002 */   // Label 19794: @1397002
     /* 1397002 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397088), // Rule ID 7286 //
     /* 1397007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397053 */     // MIs[0] policy
     /* 1397053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397087 */     // GIR_Coverage, 7286,
     /* 1397087 */     GIR_EraseRootFromParent_Done,
     /* 1397088 */   // Label 19795: @1397088
     /* 1397088 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1397174), // Rule ID 7289 //
     /* 1397093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397139 */     // MIs[0] policy
     /* 1397139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397173 */     // GIR_Coverage, 7289,
     /* 1397173 */     GIR_EraseRootFromParent_Done,
     /* 1397174 */   // Label 19796: @1397174
     /* 1397174 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1397260), // Rule ID 7290 //
     /* 1397179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397217 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397225 */     // MIs[0] policy
     /* 1397225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397259 */     // GIR_Coverage, 7290,
     /* 1397259 */     GIR_EraseRootFromParent_Done,
     /* 1397260 */   // Label 19797: @1397260
     /* 1397260 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1397346), // Rule ID 7293 //
     /* 1397265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397311 */     // MIs[0] policy
     /* 1397311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397345 */     // GIR_Coverage, 7293,
     /* 1397345 */     GIR_EraseRootFromParent_Done,
     /* 1397346 */   // Label 19798: @1397346
     /* 1397346 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1397432), // Rule ID 7294 //
     /* 1397351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397389 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397397 */     // MIs[0] policy
     /* 1397397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397431 */     // GIR_Coverage, 7294,
     /* 1397431 */     GIR_EraseRootFromParent_Done,
     /* 1397432 */   // Label 19799: @1397432
     /* 1397432 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1397518), // Rule ID 7297 //
     /* 1397437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397475 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397483 */     // MIs[0] policy
     /* 1397483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397517 */     // GIR_Coverage, 7297,
     /* 1397517 */     GIR_EraseRootFromParent_Done,
     /* 1397518 */   // Label 19800: @1397518
     /* 1397518 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1397604), // Rule ID 7298 //
     /* 1397523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397569 */     // MIs[0] policy
     /* 1397569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1397582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397603 */     // GIR_Coverage, 7298,
     /* 1397603 */     GIR_EraseRootFromParent_Done,
     /* 1397604 */   // Label 19801: @1397604
     /* 1397604 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1397690), // Rule ID 7301 //
     /* 1397609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1397620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1397623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397647 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397655 */     // MIs[0] policy
     /* 1397655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397689 */     // GIR_Coverage, 7301,
     /* 1397689 */     GIR_EraseRootFromParent_Done,
     /* 1397690 */   // Label 19802: @1397690
     /* 1397690 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1397776), // Rule ID 7302 //
     /* 1397695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1397706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1397709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397733 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397741 */     // MIs[0] policy
     /* 1397741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397775 */     // GIR_Coverage, 7302,
     /* 1397775 */     GIR_EraseRootFromParent_Done,
     /* 1397776 */   // Label 19803: @1397776
     /* 1397776 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1397862), // Rule ID 7305 //
     /* 1397781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397819 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397827 */     // MIs[0] policy
     /* 1397827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397837 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397861 */     // GIR_Coverage, 7305,
     /* 1397861 */     GIR_EraseRootFromParent_Done,
     /* 1397862 */   // Label 19804: @1397862
     /* 1397862 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1397948), // Rule ID 7306 //
     /* 1397867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397905 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397913 */     // MIs[0] policy
     /* 1397913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397947 */     // GIR_Coverage, 7306,
     /* 1397947 */     GIR_EraseRootFromParent_Done,
     /* 1397948 */   // Label 19805: @1397948
     /* 1397948 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398034), // Rule ID 7309 //
     /* 1397953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1397956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1397964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1397967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1397970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397991 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397999 */     // MIs[0] policy
     /* 1397999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398033 */     // GIR_Coverage, 7309,
     /* 1398033 */     GIR_EraseRootFromParent_Done,
     /* 1398034 */   // Label 19806: @1398034
     /* 1398034 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1398120), // Rule ID 7310 //
     /* 1398039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398077 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398085 */     // MIs[0] policy
     /* 1398085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1398098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398119 */     // GIR_Coverage, 7310,
     /* 1398119 */     GIR_EraseRootFromParent_Done,
     /* 1398120 */   // Label 19807: @1398120
     /* 1398120 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1398206), // Rule ID 7313 //
     /* 1398125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398171 */     // MIs[0] policy
     /* 1398171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398181 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398205 */     // GIR_Coverage, 7313,
     /* 1398205 */     GIR_EraseRootFromParent_Done,
     /* 1398206 */   // Label 19808: @1398206
     /* 1398206 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1398292), // Rule ID 7314 //
     /* 1398211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398249 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398257 */     // MIs[0] policy
     /* 1398257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1398270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398291 */     // GIR_Coverage, 7314,
     /* 1398291 */     GIR_EraseRootFromParent_Done,
     /* 1398292 */   // Label 19809: @1398292
     /* 1398292 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1398378), // Rule ID 7317 //
     /* 1398297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398335 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398343 */     // MIs[0] policy
     /* 1398343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398377 */     // GIR_Coverage, 7317,
     /* 1398377 */     GIR_EraseRootFromParent_Done,
     /* 1398378 */   // Label 19810: @1398378
     /* 1398378 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1398464), // Rule ID 7318 //
     /* 1398383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1398391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398421 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1398425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398429 */     // MIs[0] policy
     /* 1398429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398439 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1398442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398463 */     // GIR_Coverage, 7318,
     /* 1398463 */     GIR_EraseRootFromParent_Done,
     /* 1398464 */   // Label 19811: @1398464
     /* 1398464 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1398552), // Rule ID 2631 //
     /* 1398469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398508 */     // MIs[0] Operand 5
     /* 1398508 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398519 */     // MIs[0] policy
     /* 1398519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398551 */     // GIR_Coverage, 2631,
     /* 1398551 */     GIR_EraseRootFromParent_Done,
     /* 1398552 */   // Label 19812: @1398552
     /* 1398552 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1398640), // Rule ID 2632 //
     /* 1398557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1398568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1398571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398596 */     // MIs[0] Operand 5
     /* 1398596 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398607 */     // MIs[0] policy
     /* 1398607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1398620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398639 */     // GIR_Coverage, 2632,
     /* 1398639 */     GIR_EraseRootFromParent_Done,
     /* 1398640 */   // Label 19813: @1398640
     /* 1398640 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1398728), // Rule ID 20515 //
     /* 1398645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1398656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1398659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398684 */     // MIs[0] Operand 5
     /* 1398684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398695 */     // MIs[0] policy
     /* 1398695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398727 */     // GIR_Coverage, 20515,
     /* 1398727 */     GIR_EraseRootFromParent_Done,
     /* 1398728 */   // Label 19814: @1398728
     /* 1398728 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1398816), // Rule ID 20516 //
     /* 1398733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1398744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1398747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398772 */     // MIs[0] Operand 5
     /* 1398772 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398783 */     // MIs[0] policy
     /* 1398783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398815 */     // GIR_Coverage, 20516,
     /* 1398815 */     GIR_EraseRootFromParent_Done,
     /* 1398816 */   // Label 19815: @1398816
     /* 1398816 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1398904), // Rule ID 20519 //
     /* 1398821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1398824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1398832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1398835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398860 */     // MIs[0] Operand 5
     /* 1398860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398871 */     // MIs[0] policy
     /* 1398871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398903 */     // GIR_Coverage, 20519,
     /* 1398903 */     GIR_EraseRootFromParent_Done,
     /* 1398904 */   // Label 19816: @1398904
     /* 1398904 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1398992), // Rule ID 20520 //
     /* 1398909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1398912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1398920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1398923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398948 */     // MIs[0] Operand 5
     /* 1398948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398959 */     // MIs[0] policy
     /* 1398959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1398972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398991 */     // GIR_Coverage, 20520,
     /* 1398991 */     GIR_EraseRootFromParent_Done,
     /* 1398992 */   // Label 19817: @1398992
     /* 1398992 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1399080), // Rule ID 20523 //
     /* 1398997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399036 */     // MIs[0] Operand 5
     /* 1399036 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399047 */     // MIs[0] policy
     /* 1399047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399079 */     // GIR_Coverage, 20523,
     /* 1399079 */     GIR_EraseRootFromParent_Done,
     /* 1399080 */   // Label 19818: @1399080
     /* 1399080 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1399168), // Rule ID 20524 //
     /* 1399085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399124 */     // MIs[0] Operand 5
     /* 1399124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399135 */     // MIs[0] policy
     /* 1399135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399167 */     // GIR_Coverage, 20524,
     /* 1399167 */     GIR_EraseRootFromParent_Done,
     /* 1399168 */   // Label 19819: @1399168
     /* 1399168 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1399256), // Rule ID 20527 //
     /* 1399173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399212 */     // MIs[0] Operand 5
     /* 1399212 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399223 */     // MIs[0] policy
     /* 1399223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399255 */     // GIR_Coverage, 20527,
     /* 1399255 */     GIR_EraseRootFromParent_Done,
     /* 1399256 */   // Label 19820: @1399256
     /* 1399256 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1399344), // Rule ID 20528 //
     /* 1399261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399300 */     // MIs[0] Operand 5
     /* 1399300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399311 */     // MIs[0] policy
     /* 1399311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399343 */     // GIR_Coverage, 20528,
     /* 1399343 */     GIR_EraseRootFromParent_Done,
     /* 1399344 */   // Label 19821: @1399344
     /* 1399344 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1399432), // Rule ID 20531 //
     /* 1399349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399388 */     // MIs[0] Operand 5
     /* 1399388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399399 */     // MIs[0] policy
     /* 1399399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399431 */     // GIR_Coverage, 20531,
     /* 1399431 */     GIR_EraseRootFromParent_Done,
     /* 1399432 */   // Label 19822: @1399432
     /* 1399432 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1399520), // Rule ID 20532 //
     /* 1399437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1399454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399476 */     // MIs[0] Operand 5
     /* 1399476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399487 */     // MIs[0] policy
     /* 1399487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1399500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399519 */     // GIR_Coverage, 20532,
     /* 1399519 */     GIR_EraseRootFromParent_Done,
     /* 1399520 */   // Label 19823: @1399520
     /* 1399520 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1399608), // Rule ID 20535 //
     /* 1399525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399564 */     // MIs[0] Operand 5
     /* 1399564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399575 */     // MIs[0] policy
     /* 1399575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399607 */     // GIR_Coverage, 20535,
     /* 1399607 */     GIR_EraseRootFromParent_Done,
     /* 1399608 */   // Label 19824: @1399608
     /* 1399608 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1399696), // Rule ID 20536 //
     /* 1399613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1399624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1399627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399652 */     // MIs[0] Operand 5
     /* 1399652 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399663 */     // MIs[0] policy
     /* 1399663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399695 */     // GIR_Coverage, 20536,
     /* 1399695 */     GIR_EraseRootFromParent_Done,
     /* 1399696 */   // Label 19825: @1399696
     /* 1399696 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1399784), // Rule ID 20539 //
     /* 1399701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1399712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1399715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1399718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399740 */     // MIs[0] Operand 5
     /* 1399740 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399751 */     // MIs[0] policy
     /* 1399751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399783 */     // GIR_Coverage, 20539,
     /* 1399783 */     GIR_EraseRootFromParent_Done,
     /* 1399784 */   // Label 19826: @1399784
     /* 1399784 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1399872), // Rule ID 20540 //
     /* 1399789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1399800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1399803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1399806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399828 */     // MIs[0] Operand 5
     /* 1399828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399839 */     // MIs[0] policy
     /* 1399839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399871 */     // GIR_Coverage, 20540,
     /* 1399871 */     GIR_EraseRootFromParent_Done,
     /* 1399872 */   // Label 19827: @1399872
     /* 1399872 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1399960), // Rule ID 20543 //
     /* 1399877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1399888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1399891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1399894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1399897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399916 */     // MIs[0] Operand 5
     /* 1399916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399927 */     // MIs[0] policy
     /* 1399927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399959 */     // GIR_Coverage, 20543,
     /* 1399959 */     GIR_EraseRootFromParent_Done,
     /* 1399960 */   // Label 19828: @1399960
     /* 1399960 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400048), // Rule ID 20544 //
     /* 1399965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1399976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1399979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1399982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1399985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400004 */     // MIs[0] Operand 5
     /* 1400004 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400015 */     // MIs[0] policy
     /* 1400015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400047 */     // GIR_Coverage, 20544,
     /* 1400047 */     GIR_EraseRootFromParent_Done,
     /* 1400048 */   // Label 19829: @1400048
     /* 1400048 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1400136), // Rule ID 20547 //
     /* 1400053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400092 */     // MIs[0] Operand 5
     /* 1400092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400103 */     // MIs[0] policy
     /* 1400103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400135 */     // GIR_Coverage, 20547,
     /* 1400135 */     GIR_EraseRootFromParent_Done,
     /* 1400136 */   // Label 19830: @1400136
     /* 1400136 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1400224), // Rule ID 20548 //
     /* 1400141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400180 */     // MIs[0] Operand 5
     /* 1400180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400191 */     // MIs[0] policy
     /* 1400191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400223 */     // GIR_Coverage, 20548,
     /* 1400223 */     GIR_EraseRootFromParent_Done,
     /* 1400224 */   // Label 19831: @1400224
     /* 1400224 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1400312), // Rule ID 20551 //
     /* 1400229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400268 */     // MIs[0] Operand 5
     /* 1400268 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400279 */     // MIs[0] policy
     /* 1400279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400311 */     // GIR_Coverage, 20551,
     /* 1400311 */     GIR_EraseRootFromParent_Done,
     /* 1400312 */   // Label 19832: @1400312
     /* 1400312 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1400400), // Rule ID 20552 //
     /* 1400317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400356 */     // MIs[0] Operand 5
     /* 1400356 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400367 */     // MIs[0] policy
     /* 1400367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400399 */     // GIR_Coverage, 20552,
     /* 1400399 */     GIR_EraseRootFromParent_Done,
     /* 1400400 */   // Label 19833: @1400400
     /* 1400400 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1400488), // Rule ID 20555 //
     /* 1400405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400444 */     // MIs[0] Operand 5
     /* 1400444 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400455 */     // MIs[0] policy
     /* 1400455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400487 */     // GIR_Coverage, 20555,
     /* 1400487 */     GIR_EraseRootFromParent_Done,
     /* 1400488 */   // Label 19834: @1400488
     /* 1400488 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1400576), // Rule ID 20556 //
     /* 1400493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400532 */     // MIs[0] Operand 5
     /* 1400532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400543 */     // MIs[0] policy
     /* 1400543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400575 */     // GIR_Coverage, 20556,
     /* 1400575 */     GIR_EraseRootFromParent_Done,
     /* 1400576 */   // Label 19835: @1400576
     /* 1400576 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1400664), // Rule ID 20559 //
     /* 1400581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400620 */     // MIs[0] Operand 5
     /* 1400620 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400631 */     // MIs[0] policy
     /* 1400631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400663 */     // GIR_Coverage, 20559,
     /* 1400663 */     GIR_EraseRootFromParent_Done,
     /* 1400664 */   // Label 19836: @1400664
     /* 1400664 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1400752), // Rule ID 20560 //
     /* 1400669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1400672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1400686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400708 */     // MIs[0] Operand 5
     /* 1400708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400719 */     // MIs[0] policy
     /* 1400719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1400732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400751 */     // GIR_Coverage, 20560,
     /* 1400751 */     GIR_EraseRootFromParent_Done,
     /* 1400752 */   // Label 19837: @1400752
     /* 1400752 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1400840), // Rule ID 20563 //
     /* 1400757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1400774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400796 */     // MIs[0] Operand 5
     /* 1400796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400807 */     // MIs[0] policy
     /* 1400807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400839 */     // GIR_Coverage, 20563,
     /* 1400839 */     GIR_EraseRootFromParent_Done,
     /* 1400840 */   // Label 19838: @1400840
     /* 1400840 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1400928), // Rule ID 20564 //
     /* 1400845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1400848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1400862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400884 */     // MIs[0] Operand 5
     /* 1400884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400895 */     // MIs[0] policy
     /* 1400895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1400908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400927 */     // GIR_Coverage, 20564,
     /* 1400927 */     GIR_EraseRootFromParent_Done,
     /* 1400928 */   // Label 19839: @1400928
     /* 1400928 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401016), // Rule ID 20567 //
     /* 1400933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1400941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1400944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1400947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1400950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400972 */     // MIs[0] Operand 5
     /* 1400972 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400983 */     // MIs[0] policy
     /* 1400983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1400996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401015 */     // GIR_Coverage, 20567,
     /* 1401015 */     GIR_EraseRootFromParent_Done,
     /* 1401016 */   // Label 19840: @1401016
     /* 1401016 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1401104), // Rule ID 20568 //
     /* 1401021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1401024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1401029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1401038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401060 */     // MIs[0] Operand 5
     /* 1401060 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401071 */     // MIs[0] policy
     /* 1401071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401081 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1401084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401103 */     // GIR_Coverage, 20568,
     /* 1401103 */     GIR_EraseRootFromParent_Done,
     /* 1401104 */   // Label 19841: @1401104
     /* 1401104 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1401192), // Rule ID 20571 //
     /* 1401109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401148 */     // MIs[0] Operand 5
     /* 1401148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401159 */     // MIs[0] policy
     /* 1401159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401191 */     // GIR_Coverage, 20571,
     /* 1401191 */     GIR_EraseRootFromParent_Done,
     /* 1401192 */   // Label 19842: @1401192
     /* 1401192 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1401280), // Rule ID 20572 //
     /* 1401197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401236 */     // MIs[0] Operand 5
     /* 1401236 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401247 */     // MIs[0] policy
     /* 1401247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1401260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401279 */     // GIR_Coverage, 20572,
     /* 1401279 */     GIR_EraseRootFromParent_Done,
     /* 1401280 */   // Label 19843: @1401280
     /* 1401280 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1401368), // Rule ID 20575 //
     /* 1401285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401324 */     // MIs[0] Operand 5
     /* 1401324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401335 */     // MIs[0] policy
     /* 1401335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401367 */     // GIR_Coverage, 20575,
     /* 1401367 */     GIR_EraseRootFromParent_Done,
     /* 1401368 */   // Label 19844: @1401368
     /* 1401368 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1401456), // Rule ID 20576 //
     /* 1401373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401412 */     // MIs[0] Operand 5
     /* 1401412 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401423 */     // MIs[0] policy
     /* 1401423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401455 */     // GIR_Coverage, 20576,
     /* 1401455 */     GIR_EraseRootFromParent_Done,
     /* 1401456 */   // Label 19845: @1401456
     /* 1401456 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1401544), // Rule ID 20579 //
     /* 1401461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401500 */     // MIs[0] Operand 5
     /* 1401500 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401511 */     // MIs[0] policy
     /* 1401511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401543 */     // GIR_Coverage, 20579,
     /* 1401543 */     GIR_EraseRootFromParent_Done,
     /* 1401544 */   // Label 19846: @1401544
     /* 1401544 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1401632), // Rule ID 20580 //
     /* 1401549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401588 */     // MIs[0] Operand 5
     /* 1401588 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401599 */     // MIs[0] policy
     /* 1401599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1401612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401631 */     // GIR_Coverage, 20580,
     /* 1401631 */     GIR_EraseRootFromParent_Done,
     /* 1401632 */   // Label 19847: @1401632
     /* 1401632 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1401720), // Rule ID 20583 //
     /* 1401637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401676 */     // MIs[0] Operand 5
     /* 1401676 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401687 */     // MIs[0] policy
     /* 1401687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401719 */     // GIR_Coverage, 20583,
     /* 1401719 */     GIR_EraseRootFromParent_Done,
     /* 1401720 */   // Label 19848: @1401720
     /* 1401720 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1401808), // Rule ID 20584 //
     /* 1401725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401764 */     // MIs[0] Operand 5
     /* 1401764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401775 */     // MIs[0] policy
     /* 1401775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401807 */     // GIR_Coverage, 20584,
     /* 1401807 */     GIR_EraseRootFromParent_Done,
     /* 1401808 */   // Label 19849: @1401808
     /* 1401808 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1401896), // Rule ID 20587 //
     /* 1401813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401852 */     // MIs[0] Operand 5
     /* 1401852 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401863 */     // MIs[0] policy
     /* 1401863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401895 */     // GIR_Coverage, 20587,
     /* 1401895 */     GIR_EraseRootFromParent_Done,
     /* 1401896 */   // Label 19850: @1401896
     /* 1401896 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1401984), // Rule ID 20588 //
     /* 1401901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401940 */     // MIs[0] Operand 5
     /* 1401940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401951 */     // MIs[0] policy
     /* 1401951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1401964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401983 */     // GIR_Coverage, 20588,
     /* 1401983 */     GIR_EraseRootFromParent_Done,
     /* 1401984 */   // Label 19851: @1401984
     /* 1401984 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402072), // Rule ID 20591 //
     /* 1401989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1401992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402028 */     // MIs[0] Operand 5
     /* 1402028 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402039 */     // MIs[0] policy
     /* 1402039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402071 */     // GIR_Coverage, 20591,
     /* 1402071 */     GIR_EraseRootFromParent_Done,
     /* 1402072 */   // Label 19852: @1402072
     /* 1402072 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1402160), // Rule ID 20592 //
     /* 1402077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402116 */     // MIs[0] Operand 5
     /* 1402116 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402127 */     // MIs[0] policy
     /* 1402127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402159 */     // GIR_Coverage, 20592,
     /* 1402159 */     GIR_EraseRootFromParent_Done,
     /* 1402160 */   // Label 19853: @1402160
     /* 1402160 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1402248), // Rule ID 20595 //
     /* 1402165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402204 */     // MIs[0] Operand 5
     /* 1402204 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402215 */     // MIs[0] policy
     /* 1402215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402247 */     // GIR_Coverage, 20595,
     /* 1402247 */     GIR_EraseRootFromParent_Done,
     /* 1402248 */   // Label 19854: @1402248
     /* 1402248 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1402336), // Rule ID 20596 //
     /* 1402253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402292 */     // MIs[0] Operand 5
     /* 1402292 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402303 */     // MIs[0] policy
     /* 1402303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402335 */     // GIR_Coverage, 20596,
     /* 1402335 */     GIR_EraseRootFromParent_Done,
     /* 1402336 */   // Label 19855: @1402336
     /* 1402336 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1402424), // Rule ID 20599 //
     /* 1402341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402380 */     // MIs[0] Operand 5
     /* 1402380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402391 */     // MIs[0] policy
     /* 1402391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402401 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402423 */     // GIR_Coverage, 20599,
     /* 1402423 */     GIR_EraseRootFromParent_Done,
     /* 1402424 */   // Label 19856: @1402424
     /* 1402424 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1402512), // Rule ID 20600 //
     /* 1402429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402468 */     // MIs[0] Operand 5
     /* 1402468 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402479 */     // MIs[0] policy
     /* 1402479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402511 */     // GIR_Coverage, 20600,
     /* 1402511 */     GIR_EraseRootFromParent_Done,
     /* 1402512 */   // Label 19857: @1402512
     /* 1402512 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1402600), // Rule ID 20603 //
     /* 1402517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402556 */     // MIs[0] Operand 5
     /* 1402556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402567 */     // MIs[0] policy
     /* 1402567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402577 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402599 */     // GIR_Coverage, 20603,
     /* 1402599 */     GIR_EraseRootFromParent_Done,
     /* 1402600 */   // Label 19858: @1402600
     /* 1402600 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1402688), // Rule ID 20604 //
     /* 1402605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402644 */     // MIs[0] Operand 5
     /* 1402644 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402655 */     // MIs[0] policy
     /* 1402655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402687 */     // GIR_Coverage, 20604,
     /* 1402687 */     GIR_EraseRootFromParent_Done,
     /* 1402688 */   // Label 19859: @1402688
     /* 1402688 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1402776), // Rule ID 20607 //
     /* 1402693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402732 */     // MIs[0] Operand 5
     /* 1402732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402743 */     // MIs[0] policy
     /* 1402743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402775 */     // GIR_Coverage, 20607,
     /* 1402775 */     GIR_EraseRootFromParent_Done,
     /* 1402776 */   // Label 19860: @1402776
     /* 1402776 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1402864), // Rule ID 20608 //
     /* 1402781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402820 */     // MIs[0] Operand 5
     /* 1402820 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402831 */     // MIs[0] policy
     /* 1402831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402863 */     // GIR_Coverage, 20608,
     /* 1402863 */     GIR_EraseRootFromParent_Done,
     /* 1402864 */   // Label 19861: @1402864
     /* 1402864 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1402952), // Rule ID 20611 //
     /* 1402869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1402880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1402883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402908 */     // MIs[0] Operand 5
     /* 1402908 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402919 */     // MIs[0] policy
     /* 1402919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402929 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402951 */     // GIR_Coverage, 20611,
     /* 1402951 */     GIR_EraseRootFromParent_Done,
     /* 1402952 */   // Label 19862: @1402952
     /* 1402952 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403040), // Rule ID 20612 //
     /* 1402957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1402968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1402971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402996 */     // MIs[0] Operand 5
     /* 1402996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403007 */     // MIs[0] policy
     /* 1403007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403039 */     // GIR_Coverage, 20612,
     /* 1403039 */     GIR_EraseRootFromParent_Done,
     /* 1403040 */   // Label 19863: @1403040
     /* 1403040 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1403128), // Rule ID 20615 //
     /* 1403045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403084 */     // MIs[0] Operand 5
     /* 1403084 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403095 */     // MIs[0] policy
     /* 1403095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403127 */     // GIR_Coverage, 20615,
     /* 1403127 */     GIR_EraseRootFromParent_Done,
     /* 1403128 */   // Label 19864: @1403128
     /* 1403128 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1403216), // Rule ID 20616 //
     /* 1403133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403172 */     // MIs[0] Operand 5
     /* 1403172 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403183 */     // MIs[0] policy
     /* 1403183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403215 */     // GIR_Coverage, 20616,
     /* 1403215 */     GIR_EraseRootFromParent_Done,
     /* 1403216 */   // Label 19865: @1403216
     /* 1403216 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1403304), // Rule ID 20619 //
     /* 1403221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403260 */     // MIs[0] Operand 5
     /* 1403260 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403271 */     // MIs[0] policy
     /* 1403271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403303 */     // GIR_Coverage, 20619,
     /* 1403303 */     GIR_EraseRootFromParent_Done,
     /* 1403304 */   // Label 19866: @1403304
     /* 1403304 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1403392), // Rule ID 20620 //
     /* 1403309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403348 */     // MIs[0] Operand 5
     /* 1403348 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403359 */     // MIs[0] policy
     /* 1403359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403391 */     // GIR_Coverage, 20620,
     /* 1403391 */     GIR_EraseRootFromParent_Done,
     /* 1403392 */   // Label 19867: @1403392
     /* 1403392 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1403480), // Rule ID 20623 //
     /* 1403397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403436 */     // MIs[0] Operand 5
     /* 1403436 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403447 */     // MIs[0] policy
     /* 1403447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403457 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403479 */     // GIR_Coverage, 20623,
     /* 1403479 */     GIR_EraseRootFromParent_Done,
     /* 1403480 */   // Label 19868: @1403480
     /* 1403480 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1403568), // Rule ID 20624 //
     /* 1403485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403524 */     // MIs[0] Operand 5
     /* 1403524 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403535 */     // MIs[0] policy
     /* 1403535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403545 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403567 */     // GIR_Coverage, 20624,
     /* 1403567 */     GIR_EraseRootFromParent_Done,
     /* 1403568 */   // Label 19869: @1403568
     /* 1403568 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1403656), // Rule ID 20627 //
     /* 1403573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403612 */     // MIs[0] Operand 5
     /* 1403612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403623 */     // MIs[0] policy
     /* 1403623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403655 */     // GIR_Coverage, 20627,
     /* 1403655 */     GIR_EraseRootFromParent_Done,
     /* 1403656 */   // Label 19870: @1403656
     /* 1403656 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1403744), // Rule ID 20628 //
     /* 1403661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1403664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1403669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403700 */     // MIs[0] Operand 5
     /* 1403700 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403711 */     // MIs[0] policy
     /* 1403711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1403724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403743 */     // GIR_Coverage, 20628,
     /* 1403743 */     GIR_EraseRootFromParent_Done,
     /* 1403744 */   // Label 19871: @1403744
     /* 1403744 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1403832), // Rule ID 20987 //
     /* 1403749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403788 */     // MIs[0] Operand 5
     /* 1403788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403799 */     // MIs[0] policy
     /* 1403799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1403812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403831 */     // GIR_Coverage, 20987,
     /* 1403831 */     GIR_EraseRootFromParent_Done,
     /* 1403832 */   // Label 19872: @1403832
     /* 1403832 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1403920), // Rule ID 20988 //
     /* 1403837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403876 */     // MIs[0] Operand 5
     /* 1403876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403887 */     // MIs[0] policy
     /* 1403887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1403900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403919 */     // GIR_Coverage, 20988,
     /* 1403919 */     GIR_EraseRootFromParent_Done,
     /* 1403920 */   // Label 19873: @1403920
     /* 1403920 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404008), // Rule ID 20991 //
     /* 1403925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403964 */     // MIs[0] Operand 5
     /* 1403964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403975 */     // MIs[0] policy
     /* 1403975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1403988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404007 */     // GIR_Coverage, 20991,
     /* 1404007 */     GIR_EraseRootFromParent_Done,
     /* 1404008 */   // Label 19874: @1404008
     /* 1404008 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1404096), // Rule ID 20992 //
     /* 1404013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404052 */     // MIs[0] Operand 5
     /* 1404052 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404063 */     // MIs[0] policy
     /* 1404063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404095 */     // GIR_Coverage, 20992,
     /* 1404095 */     GIR_EraseRootFromParent_Done,
     /* 1404096 */   // Label 19875: @1404096
     /* 1404096 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1404184), // Rule ID 20995 //
     /* 1404101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404140 */     // MIs[0] Operand 5
     /* 1404140 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404151 */     // MIs[0] policy
     /* 1404151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404183 */     // GIR_Coverage, 20995,
     /* 1404183 */     GIR_EraseRootFromParent_Done,
     /* 1404184 */   // Label 19876: @1404184
     /* 1404184 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1404272), // Rule ID 20996 //
     /* 1404189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404228 */     // MIs[0] Operand 5
     /* 1404228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404239 */     // MIs[0] policy
     /* 1404239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404271 */     // GIR_Coverage, 20996,
     /* 1404271 */     GIR_EraseRootFromParent_Done,
     /* 1404272 */   // Label 19877: @1404272
     /* 1404272 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1404360), // Rule ID 20999 //
     /* 1404277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404316 */     // MIs[0] Operand 5
     /* 1404316 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404327 */     // MIs[0] policy
     /* 1404327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404359 */     // GIR_Coverage, 20999,
     /* 1404359 */     GIR_EraseRootFromParent_Done,
     /* 1404360 */   // Label 19878: @1404360
     /* 1404360 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1404448), // Rule ID 21000 //
     /* 1404365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404404 */     // MIs[0] Operand 5
     /* 1404404 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404415 */     // MIs[0] policy
     /* 1404415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1404428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404447 */     // GIR_Coverage, 21000,
     /* 1404447 */     GIR_EraseRootFromParent_Done,
     /* 1404448 */   // Label 19879: @1404448
     /* 1404448 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1404536), // Rule ID 21003 //
     /* 1404453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404492 */     // MIs[0] Operand 5
     /* 1404492 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404503 */     // MIs[0] policy
     /* 1404503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404535 */     // GIR_Coverage, 21003,
     /* 1404535 */     GIR_EraseRootFromParent_Done,
     /* 1404536 */   // Label 19880: @1404536
     /* 1404536 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1404624), // Rule ID 21004 //
     /* 1404541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404580 */     // MIs[0] Operand 5
     /* 1404580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404591 */     // MIs[0] policy
     /* 1404591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404623 */     // GIR_Coverage, 21004,
     /* 1404623 */     GIR_EraseRootFromParent_Done,
     /* 1404624 */   // Label 19881: @1404624
     /* 1404624 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1404712), // Rule ID 21007 //
     /* 1404629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1404632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404668 */     // MIs[0] Operand 5
     /* 1404668 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404679 */     // MIs[0] policy
     /* 1404679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404711 */     // GIR_Coverage, 21007,
     /* 1404711 */     GIR_EraseRootFromParent_Done,
     /* 1404712 */   // Label 19882: @1404712
     /* 1404712 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1404800), // Rule ID 21008 //
     /* 1404717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1404720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404756 */     // MIs[0] Operand 5
     /* 1404756 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404767 */     // MIs[0] policy
     /* 1404767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1404780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404799 */     // GIR_Coverage, 21008,
     /* 1404799 */     GIR_EraseRootFromParent_Done,
     /* 1404800 */   // Label 19883: @1404800
     /* 1404800 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1404888), // Rule ID 21011 //
     /* 1404805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1404808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404844 */     // MIs[0] Operand 5
     /* 1404844 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404855 */     // MIs[0] policy
     /* 1404855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404887 */     // GIR_Coverage, 21011,
     /* 1404887 */     GIR_EraseRootFromParent_Done,
     /* 1404888 */   // Label 19884: @1404888
     /* 1404888 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1404976), // Rule ID 21012 //
     /* 1404893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1404896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1404904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1404907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404932 */     // MIs[0] Operand 5
     /* 1404932 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404943 */     // MIs[0] policy
     /* 1404943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1404956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404975 */     // GIR_Coverage, 21012,
     /* 1404975 */     GIR_EraseRootFromParent_Done,
     /* 1404976 */   // Label 19885: @1404976
     /* 1404976 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405064), // Rule ID 21015 //
     /* 1404981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1404984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1404992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1404995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405020 */     // MIs[0] Operand 5
     /* 1405020 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405031 */     // MIs[0] policy
     /* 1405031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405063 */     // GIR_Coverage, 21015,
     /* 1405063 */     GIR_EraseRootFromParent_Done,
     /* 1405064 */   // Label 19886: @1405064
     /* 1405064 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1405152), // Rule ID 21016 //
     /* 1405069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405108 */     // MIs[0] Operand 5
     /* 1405108 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405119 */     // MIs[0] policy
     /* 1405119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405129 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1405132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405151 */     // GIR_Coverage, 21016,
     /* 1405151 */     GIR_EraseRootFromParent_Done,
     /* 1405152 */   // Label 19887: @1405152
     /* 1405152 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1405240), // Rule ID 21019 //
     /* 1405157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405196 */     // MIs[0] Operand 5
     /* 1405196 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405207 */     // MIs[0] policy
     /* 1405207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405239 */     // GIR_Coverage, 21019,
     /* 1405239 */     GIR_EraseRootFromParent_Done,
     /* 1405240 */   // Label 19888: @1405240
     /* 1405240 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1405328), // Rule ID 21020 //
     /* 1405245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1405253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405284 */     // MIs[0] Operand 5
     /* 1405284 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405295 */     // MIs[0] policy
     /* 1405295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1405308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405327 */     // GIR_Coverage, 21020,
     /* 1405327 */     GIR_EraseRootFromParent_Done,
     /* 1405328 */   // Label 19889: @1405328
     /* 1405328 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1405416), // Rule ID 21023 //
     /* 1405333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405372 */     // MIs[0] Operand 5
     /* 1405372 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405383 */     // MIs[0] policy
     /* 1405383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405415 */     // GIR_Coverage, 21023,
     /* 1405415 */     GIR_EraseRootFromParent_Done,
     /* 1405416 */   // Label 19890: @1405416
     /* 1405416 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1405504), // Rule ID 21024 //
     /* 1405421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405460 */     // MIs[0] Operand 5
     /* 1405460 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405471 */     // MIs[0] policy
     /* 1405471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1405484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405503 */     // GIR_Coverage, 21024,
     /* 1405503 */     GIR_EraseRootFromParent_Done,
     /* 1405504 */   // Label 19891: @1405504
     /* 1405504 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1405592), // Rule ID 21027 //
     /* 1405509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405548 */     // MIs[0] Operand 5
     /* 1405548 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405559 */     // MIs[0] policy
     /* 1405559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405569 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405591 */     // GIR_Coverage, 21027,
     /* 1405591 */     GIR_EraseRootFromParent_Done,
     /* 1405592 */   // Label 19892: @1405592
     /* 1405592 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1405680), // Rule ID 21028 //
     /* 1405597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405636 */     // MIs[0] Operand 5
     /* 1405636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405647 */     // MIs[0] policy
     /* 1405647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405679 */     // GIR_Coverage, 21028,
     /* 1405679 */     GIR_EraseRootFromParent_Done,
     /* 1405680 */   // Label 19893: @1405680
     /* 1405680 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1405768), // Rule ID 21031 //
     /* 1405685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405724 */     // MIs[0] Operand 5
     /* 1405724 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405735 */     // MIs[0] policy
     /* 1405735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405767 */     // GIR_Coverage, 21031,
     /* 1405767 */     GIR_EraseRootFromParent_Done,
     /* 1405768 */   // Label 19894: @1405768
     /* 1405768 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1405856), // Rule ID 21032 //
     /* 1405773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405812 */     // MIs[0] Operand 5
     /* 1405812 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405823 */     // MIs[0] policy
     /* 1405823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405855 */     // GIR_Coverage, 21032,
     /* 1405855 */     GIR_EraseRootFromParent_Done,
     /* 1405856 */   // Label 19895: @1405856
     /* 1405856 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1405944), // Rule ID 21035 //
     /* 1405861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1405872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1405875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1405878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405900 */     // MIs[0] Operand 5
     /* 1405900 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405911 */     // MIs[0] policy
     /* 1405911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1405924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405943 */     // GIR_Coverage, 21035,
     /* 1405943 */     GIR_EraseRootFromParent_Done,
     /* 1405944 */   // Label 19896: @1405944
     /* 1405944 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406032), // Rule ID 21036 //
     /* 1405949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1405960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1405963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1405966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405988 */     // MIs[0] Operand 5
     /* 1405988 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405999 */     // MIs[0] policy
     /* 1405999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406031 */     // GIR_Coverage, 21036,
     /* 1406031 */     GIR_EraseRootFromParent_Done,
     /* 1406032 */   // Label 19897: @1406032
     /* 1406032 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1406120), // Rule ID 21039 //
     /* 1406037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406076 */     // MIs[0] Operand 5
     /* 1406076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406087 */     // MIs[0] policy
     /* 1406087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406119 */     // GIR_Coverage, 21039,
     /* 1406119 */     GIR_EraseRootFromParent_Done,
     /* 1406120 */   // Label 19898: @1406120
     /* 1406120 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1406208), // Rule ID 21040 //
     /* 1406125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1406136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1406139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406164 */     // MIs[0] Operand 5
     /* 1406164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406175 */     // MIs[0] policy
     /* 1406175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406207 */     // GIR_Coverage, 21040,
     /* 1406207 */     GIR_EraseRootFromParent_Done,
     /* 1406208 */   // Label 19899: @1406208
     /* 1406208 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1406296), // Rule ID 21043 //
     /* 1406213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406252 */     // MIs[0] Operand 5
     /* 1406252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406263 */     // MIs[0] policy
     /* 1406263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406295 */     // GIR_Coverage, 21043,
     /* 1406295 */     GIR_EraseRootFromParent_Done,
     /* 1406296 */   // Label 19900: @1406296
     /* 1406296 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1406384), // Rule ID 21044 //
     /* 1406301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406340 */     // MIs[0] Operand 5
     /* 1406340 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406351 */     // MIs[0] policy
     /* 1406351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1406364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406383 */     // GIR_Coverage, 21044,
     /* 1406383 */     GIR_EraseRootFromParent_Done,
     /* 1406384 */   // Label 19901: @1406384
     /* 1406384 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1406472), // Rule ID 21047 //
     /* 1406389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406428 */     // MIs[0] Operand 5
     /* 1406428 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406439 */     // MIs[0] policy
     /* 1406439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406471 */     // GIR_Coverage, 21047,
     /* 1406471 */     GIR_EraseRootFromParent_Done,
     /* 1406472 */   // Label 19902: @1406472
     /* 1406472 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1406560), // Rule ID 21048 //
     /* 1406477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406516 */     // MIs[0] Operand 5
     /* 1406516 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406527 */     // MIs[0] policy
     /* 1406527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406537 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1406540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406559 */     // GIR_Coverage, 21048,
     /* 1406559 */     GIR_EraseRootFromParent_Done,
     /* 1406560 */   // Label 19903: @1406560
     /* 1406560 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1406648), // Rule ID 21051 //
     /* 1406565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406604 */     // MIs[0] Operand 5
     /* 1406604 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406615 */     // MIs[0] policy
     /* 1406615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406647 */     // GIR_Coverage, 21051,
     /* 1406647 */     GIR_EraseRootFromParent_Done,
     /* 1406648 */   // Label 19904: @1406648
     /* 1406648 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1406736), // Rule ID 21052 //
     /* 1406653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1406670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406692 */     // MIs[0] Operand 5
     /* 1406692 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406703 */     // MIs[0] policy
     /* 1406703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1406716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406735 */     // GIR_Coverage, 21052,
     /* 1406735 */     GIR_EraseRootFromParent_Done,
     /* 1406736 */   // Label 19905: @1406736
     /* 1406736 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1406824), // Rule ID 21055 //
     /* 1406741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1406744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1406758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406780 */     // MIs[0] Operand 5
     /* 1406780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406791 */     // MIs[0] policy
     /* 1406791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406823 */     // GIR_Coverage, 21055,
     /* 1406823 */     GIR_EraseRootFromParent_Done,
     /* 1406824 */   // Label 19906: @1406824
     /* 1406824 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1406912), // Rule ID 21056 //
     /* 1406829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1406832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1406837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1406846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1406856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406868 */     // MIs[0] Operand 5
     /* 1406868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406879 */     // MIs[0] policy
     /* 1406879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1406892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406911 */     // GIR_Coverage, 21056,
     /* 1406911 */     GIR_EraseRootFromParent_Done,
     /* 1406912 */   // Label 19907: @1406912
     /* 1406912 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407000), // Rule ID 21359 //
     /* 1406917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406956 */     // MIs[0] Operand 5
     /* 1406956 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406967 */     // MIs[0] policy
     /* 1406967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1406980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406999 */     // GIR_Coverage, 21359,
     /* 1406999 */     GIR_EraseRootFromParent_Done,
     /* 1407000 */   // Label 19908: @1407000
     /* 1407000 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1407088), // Rule ID 21360 //
     /* 1407005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1407016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1407019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407044 */     // MIs[0] Operand 5
     /* 1407044 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407055 */     // MIs[0] policy
     /* 1407055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1407068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407087 */     // GIR_Coverage, 21360,
     /* 1407087 */     GIR_EraseRootFromParent_Done,
     /* 1407088 */   // Label 19909: @1407088
     /* 1407088 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1407176), // Rule ID 21363 //
     /* 1407093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407132 */     // MIs[0] Operand 5
     /* 1407132 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407143 */     // MIs[0] policy
     /* 1407143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407175 */     // GIR_Coverage, 21363,
     /* 1407175 */     GIR_EraseRootFromParent_Done,
     /* 1407176 */   // Label 19910: @1407176
     /* 1407176 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1407264), // Rule ID 21364 //
     /* 1407181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1407192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1407195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407220 */     // MIs[0] Operand 5
     /* 1407220 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407231 */     // MIs[0] policy
     /* 1407231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1407244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407263 */     // GIR_Coverage, 21364,
     /* 1407263 */     GIR_EraseRootFromParent_Done,
     /* 1407264 */   // Label 19911: @1407264
     /* 1407264 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1407352), // Rule ID 21367 //
     /* 1407269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407308 */     // MIs[0] Operand 5
     /* 1407308 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407319 */     // MIs[0] policy
     /* 1407319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407351 */     // GIR_Coverage, 21367,
     /* 1407351 */     GIR_EraseRootFromParent_Done,
     /* 1407352 */   // Label 19912: @1407352
     /* 1407352 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1407440), // Rule ID 21368 //
     /* 1407357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1407368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1407371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407396 */     // MIs[0] Operand 5
     /* 1407396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407407 */     // MIs[0] policy
     /* 1407407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407439 */     // GIR_Coverage, 21368,
     /* 1407439 */     GIR_EraseRootFromParent_Done,
     /* 1407440 */   // Label 19913: @1407440
     /* 1407440 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1407528), // Rule ID 21371 //
     /* 1407445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407484 */     // MIs[0] Operand 5
     /* 1407484 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407495 */     // MIs[0] policy
     /* 1407495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407505 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407527 */     // GIR_Coverage, 21371,
     /* 1407527 */     GIR_EraseRootFromParent_Done,
     /* 1407528 */   // Label 19914: @1407528
     /* 1407528 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1407616), // Rule ID 21372 //
     /* 1407533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407572 */     // MIs[0] Operand 5
     /* 1407572 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407583 */     // MIs[0] policy
     /* 1407583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407615 */     // GIR_Coverage, 21372,
     /* 1407615 */     GIR_EraseRootFromParent_Done,
     /* 1407616 */   // Label 19915: @1407616
     /* 1407616 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1407704), // Rule ID 21375 //
     /* 1407621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407660 */     // MIs[0] Operand 5
     /* 1407660 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407671 */     // MIs[0] policy
     /* 1407671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407681 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407703 */     // GIR_Coverage, 21375,
     /* 1407703 */     GIR_EraseRootFromParent_Done,
     /* 1407704 */   // Label 19916: @1407704
     /* 1407704 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1407792), // Rule ID 21376 //
     /* 1407709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407748 */     // MIs[0] Operand 5
     /* 1407748 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407759 */     // MIs[0] policy
     /* 1407759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407791 */     // GIR_Coverage, 21376,
     /* 1407791 */     GIR_EraseRootFromParent_Done,
     /* 1407792 */   // Label 19917: @1407792
     /* 1407792 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1407880), // Rule ID 21379 //
     /* 1407797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1407808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1407811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407836 */     // MIs[0] Operand 5
     /* 1407836 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407847 */     // MIs[0] policy
     /* 1407847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407857 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1407860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407879 */     // GIR_Coverage, 21379,
     /* 1407879 */     GIR_EraseRootFromParent_Done,
     /* 1407880 */   // Label 19918: @1407880
     /* 1407880 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1407968), // Rule ID 21380 //
     /* 1407885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1407896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1407899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407924 */     // MIs[0] Operand 5
     /* 1407924 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407935 */     // MIs[0] policy
     /* 1407935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1407948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407967 */     // GIR_Coverage, 21380,
     /* 1407967 */     GIR_EraseRootFromParent_Done,
     /* 1407968 */   // Label 19919: @1407968
     /* 1407968 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408056), // Rule ID 21383 //
     /* 1407973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1407984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1407987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1407990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408012 */     // MIs[0] Operand 5
     /* 1408012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408023 */     // MIs[0] policy
     /* 1408023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408055 */     // GIR_Coverage, 21383,
     /* 1408055 */     GIR_EraseRootFromParent_Done,
     /* 1408056 */   // Label 19920: @1408056
     /* 1408056 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1408144), // Rule ID 21384 //
     /* 1408061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1408078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408100 */     // MIs[0] Operand 5
     /* 1408100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408111 */     // MIs[0] policy
     /* 1408111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1408124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408143 */     // GIR_Coverage, 21384,
     /* 1408143 */     GIR_EraseRootFromParent_Done,
     /* 1408144 */   // Label 19921: @1408144
     /* 1408144 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1408232), // Rule ID 21387 //
     /* 1408149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408188 */     // MIs[0] Operand 5
     /* 1408188 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408199 */     // MIs[0] policy
     /* 1408199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408209 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408231 */     // GIR_Coverage, 21387,
     /* 1408231 */     GIR_EraseRootFromParent_Done,
     /* 1408232 */   // Label 19922: @1408232
     /* 1408232 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1408320), // Rule ID 21388 //
     /* 1408237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1408248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1408251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1408254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408276 */     // MIs[0] Operand 5
     /* 1408276 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408287 */     // MIs[0] policy
     /* 1408287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408319 */     // GIR_Coverage, 21388,
     /* 1408319 */     GIR_EraseRootFromParent_Done,
     /* 1408320 */   // Label 19923: @1408320
     /* 1408320 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1408408), // Rule ID 21391 //
     /* 1408325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408364 */     // MIs[0] Operand 5
     /* 1408364 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408375 */     // MIs[0] policy
     /* 1408375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408385 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408407 */     // GIR_Coverage, 21391,
     /* 1408407 */     GIR_EraseRootFromParent_Done,
     /* 1408408 */   // Label 19924: @1408408
     /* 1408408 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1408496), // Rule ID 21392 //
     /* 1408413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1408424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1408427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408452 */     // MIs[0] Operand 5
     /* 1408452 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408463 */     // MIs[0] policy
     /* 1408463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1408476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408495 */     // GIR_Coverage, 21392,
     /* 1408495 */     GIR_EraseRootFromParent_Done,
     /* 1408496 */   // Label 19925: @1408496
     /* 1408496 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1408584), // Rule ID 21395 //
     /* 1408501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408540 */     // MIs[0] Operand 5
     /* 1408540 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408551 */     // MIs[0] policy
     /* 1408551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408583 */     // GIR_Coverage, 21395,
     /* 1408583 */     GIR_EraseRootFromParent_Done,
     /* 1408584 */   // Label 19926: @1408584
     /* 1408584 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1408672), // Rule ID 21396 //
     /* 1408589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408628 */     // MIs[0] Operand 5
     /* 1408628 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408639 */     // MIs[0] policy
     /* 1408639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408671 */     // GIR_Coverage, 21396,
     /* 1408671 */     GIR_EraseRootFromParent_Done,
     /* 1408672 */   // Label 19927: @1408672
     /* 1408672 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1408760), // Rule ID 21399 //
     /* 1408677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1408680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408716 */     // MIs[0] Operand 5
     /* 1408716 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408727 */     // MIs[0] policy
     /* 1408727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408759 */     // GIR_Coverage, 21399,
     /* 1408759 */     GIR_EraseRootFromParent_Done,
     /* 1408760 */   // Label 19928: @1408760
     /* 1408760 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1408848), // Rule ID 21400 //
     /* 1408765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1408768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1408785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408804 */     // MIs[0] Operand 5
     /* 1408804 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408815 */     // MIs[0] policy
     /* 1408815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408847 */     // GIR_Coverage, 21400,
     /* 1408847 */     GIR_EraseRootFromParent_Done,
     /* 1408848 */   // Label 19929: @1408848
     /* 1408848 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1408936), // Rule ID 21403 //
     /* 1408853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1408856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408892 */     // MIs[0] Operand 5
     /* 1408892 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408903 */     // MIs[0] policy
     /* 1408903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1408916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408935 */     // GIR_Coverage, 21403,
     /* 1408935 */     GIR_EraseRootFromParent_Done,
     /* 1408936 */   // Label 19930: @1408936
     /* 1408936 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409024), // Rule ID 21404 //
     /* 1408941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1408944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408980 */     // MIs[0] Operand 5
     /* 1408980 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408991 */     // MIs[0] policy
     /* 1408991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1409004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409023 */     // GIR_Coverage, 21404,
     /* 1409023 */     GIR_EraseRootFromParent_Done,
     /* 1409024 */   // Label 19931: @1409024
     /* 1409024 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1409112), // Rule ID 21407 //
     /* 1409029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409068 */     // MIs[0] Operand 5
     /* 1409068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409079 */     // MIs[0] policy
     /* 1409079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409111 */     // GIR_Coverage, 21407,
     /* 1409111 */     GIR_EraseRootFromParent_Done,
     /* 1409112 */   // Label 19932: @1409112
     /* 1409112 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1409200), // Rule ID 21408 //
     /* 1409117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409156 */     // MIs[0] Operand 5
     /* 1409156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409167 */     // MIs[0] policy
     /* 1409167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1409180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409199 */     // GIR_Coverage, 21408,
     /* 1409199 */     GIR_EraseRootFromParent_Done,
     /* 1409200 */   // Label 19933: @1409200
     /* 1409200 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1409288), // Rule ID 21411 //
     /* 1409205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409244 */     // MIs[0] Operand 5
     /* 1409244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409255 */     // MIs[0] policy
     /* 1409255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409287 */     // GIR_Coverage, 21411,
     /* 1409287 */     GIR_EraseRootFromParent_Done,
     /* 1409288 */   // Label 19934: @1409288
     /* 1409288 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1409376), // Rule ID 21412 //
     /* 1409293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409332 */     // MIs[0] Operand 5
     /* 1409332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409343 */     // MIs[0] policy
     /* 1409343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1409356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409375 */     // GIR_Coverage, 21412,
     /* 1409375 */     GIR_EraseRootFromParent_Done,
     /* 1409376 */   // Label 19935: @1409376
     /* 1409376 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1409464), // Rule ID 21415 //
     /* 1409381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1409384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409420 */     // MIs[0] Operand 5
     /* 1409420 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409431 */     // MIs[0] policy
     /* 1409431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409441 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409463 */     // GIR_Coverage, 21415,
     /* 1409463 */     GIR_EraseRootFromParent_Done,
     /* 1409464 */   // Label 19936: @1409464
     /* 1409464 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1409552), // Rule ID 21416 //
     /* 1409469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1409472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1409477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409508 */     // MIs[0] Operand 5
     /* 1409508 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409519 */     // MIs[0] policy
     /* 1409519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1409532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409551 */     // GIR_Coverage, 21416,
     /* 1409551 */     GIR_EraseRootFromParent_Done,
     /* 1409552 */   // Label 19937: @1409552
     /* 1409552 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1409640), // Rule ID 21419 //
     /* 1409557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409596 */     // MIs[0] Operand 5
     /* 1409596 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409607 */     // MIs[0] policy
     /* 1409607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409617 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1409620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409639 */     // GIR_Coverage, 21419,
     /* 1409639 */     GIR_EraseRootFromParent_Done,
     /* 1409640 */   // Label 19938: @1409640
     /* 1409640 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1409728), // Rule ID 21420 //
     /* 1409645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409684 */     // MIs[0] Operand 5
     /* 1409684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409695 */     // MIs[0] policy
     /* 1409695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1409708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409727 */     // GIR_Coverage, 21420,
     /* 1409727 */     GIR_EraseRootFromParent_Done,
     /* 1409728 */   // Label 19939: @1409728
     /* 1409728 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1409816), // Rule ID 21423 //
     /* 1409733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1409750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409772 */     // MIs[0] Operand 5
     /* 1409772 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409783 */     // MIs[0] policy
     /* 1409783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409815 */     // GIR_Coverage, 21423,
     /* 1409815 */     GIR_EraseRootFromParent_Done,
     /* 1409816 */   // Label 19940: @1409816
     /* 1409816 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1409904), // Rule ID 21424 //
     /* 1409821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1409838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409860 */     // MIs[0] Operand 5
     /* 1409860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409871 */     // MIs[0] policy
     /* 1409871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409881 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409903 */     // GIR_Coverage, 21424,
     /* 1409903 */     GIR_EraseRootFromParent_Done,
     /* 1409904 */   // Label 19941: @1409904
     /* 1409904 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1409992), // Rule ID 21427 //
     /* 1409909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1409920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1409923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1409926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409948 */     // MIs[0] Operand 5
     /* 1409948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409959 */     // MIs[0] policy
     /* 1409959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1409972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409991 */     // GIR_Coverage, 21427,
     /* 1409991 */     GIR_EraseRootFromParent_Done,
     /* 1409992 */   // Label 19942: @1409992
     /* 1409992 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1410080), // Rule ID 21428 //
     /* 1409997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1410008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1410011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410036 */     // MIs[0] Operand 5
     /* 1410036 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410047 */     // MIs[0] policy
     /* 1410047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410057 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410079 */     // GIR_Coverage, 21428,
     /* 1410079 */     GIR_EraseRootFromParent_Done,
     /* 1410080 */   // Label 19943: @1410080
     /* 1410080 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1410168), // Rule ID 21431 //
     /* 1410085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410124 */     // MIs[0] Operand 5
     /* 1410124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410135 */     // MIs[0] policy
     /* 1410135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410167 */     // GIR_Coverage, 21431,
     /* 1410167 */     GIR_EraseRootFromParent_Done,
     /* 1410168 */   // Label 19944: @1410168
     /* 1410168 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1410256), // Rule ID 21432 //
     /* 1410173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410212 */     // MIs[0] Operand 5
     /* 1410212 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410223 */     // MIs[0] policy
     /* 1410223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410255 */     // GIR_Coverage, 21432,
     /* 1410255 */     GIR_EraseRootFromParent_Done,
     /* 1410256 */   // Label 19945: @1410256
     /* 1410256 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1410344), // Rule ID 21435 //
     /* 1410261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410300 */     // MIs[0] Operand 5
     /* 1410300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410311 */     // MIs[0] policy
     /* 1410311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410343 */     // GIR_Coverage, 21435,
     /* 1410343 */     GIR_EraseRootFromParent_Done,
     /* 1410344 */   // Label 19946: @1410344
     /* 1410344 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1410432), // Rule ID 21436 //
     /* 1410349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1410360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1410363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410388 */     // MIs[0] Operand 5
     /* 1410388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410399 */     // MIs[0] policy
     /* 1410399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410409 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410431 */     // GIR_Coverage, 21436,
     /* 1410431 */     GIR_EraseRootFromParent_Done,
     /* 1410432 */   // Label 19947: @1410432
     /* 1410432 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1410520), // Rule ID 21439 //
     /* 1410437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410476 */     // MIs[0] Operand 5
     /* 1410476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410487 */     // MIs[0] policy
     /* 1410487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410519 */     // GIR_Coverage, 21439,
     /* 1410519 */     GIR_EraseRootFromParent_Done,
     /* 1410520 */   // Label 19948: @1410520
     /* 1410520 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1410608), // Rule ID 21440 //
     /* 1410525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1410536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1410539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1410542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1410545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410564 */     // MIs[0] Operand 5
     /* 1410564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410575 */     // MIs[0] policy
     /* 1410575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410607 */     // GIR_Coverage, 21440,
     /* 1410607 */     GIR_EraseRootFromParent_Done,
     /* 1410608 */   // Label 19949: @1410608
     /* 1410608 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1410696), // Rule ID 21443 //
     /* 1410613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410652 */     // MIs[0] Operand 5
     /* 1410652 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410663 */     // MIs[0] policy
     /* 1410663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410695 */     // GIR_Coverage, 21443,
     /* 1410695 */     GIR_EraseRootFromParent_Done,
     /* 1410696 */   // Label 19950: @1410696
     /* 1410696 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1410784), // Rule ID 21444 //
     /* 1410701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410740 */     // MIs[0] Operand 5
     /* 1410740 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410751 */     // MIs[0] policy
     /* 1410751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1410764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410783 */     // GIR_Coverage, 21444,
     /* 1410783 */     GIR_EraseRootFromParent_Done,
     /* 1410784 */   // Label 19951: @1410784
     /* 1410784 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1410872), // Rule ID 21447 //
     /* 1410789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410828 */     // MIs[0] Operand 5
     /* 1410828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410839 */     // MIs[0] policy
     /* 1410839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410871 */     // GIR_Coverage, 21447,
     /* 1410871 */     GIR_EraseRootFromParent_Done,
     /* 1410872 */   // Label 19952: @1410872
     /* 1410872 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1410960), // Rule ID 21448 //
     /* 1410877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410916 */     // MIs[0] Operand 5
     /* 1410916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410927 */     // MIs[0] policy
     /* 1410927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410959 */     // GIR_Coverage, 21448,
     /* 1410959 */     GIR_EraseRootFromParent_Done,
     /* 1410960 */   // Label 19953: @1410960
     /* 1410960 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1411048), // Rule ID 21451 //
     /* 1410965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1410976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1410979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1410982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411004 */     // MIs[0] Operand 5
     /* 1411004 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411015 */     // MIs[0] policy
     /* 1411015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411047 */     // GIR_Coverage, 21451,
     /* 1411047 */     GIR_EraseRootFromParent_Done,
     /* 1411048 */   // Label 19954: @1411048
     /* 1411048 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1411136), // Rule ID 21452 //
     /* 1411053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411092 */     // MIs[0] Operand 5
     /* 1411092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411103 */     // MIs[0] policy
     /* 1411103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411135 */     // GIR_Coverage, 21452,
     /* 1411135 */     GIR_EraseRootFromParent_Done,
     /* 1411136 */   // Label 19955: @1411136
     /* 1411136 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1411224), // Rule ID 21455 //
     /* 1411141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411180 */     // MIs[0] Operand 5
     /* 1411180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411191 */     // MIs[0] policy
     /* 1411191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411223 */     // GIR_Coverage, 21455,
     /* 1411223 */     GIR_EraseRootFromParent_Done,
     /* 1411224 */   // Label 19956: @1411224
     /* 1411224 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1411312), // Rule ID 21456 //
     /* 1411229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1411240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1411243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411268 */     // MIs[0] Operand 5
     /* 1411268 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411279 */     // MIs[0] policy
     /* 1411279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411311 */     // GIR_Coverage, 21456,
     /* 1411311 */     GIR_EraseRootFromParent_Done,
     /* 1411312 */   // Label 19957: @1411312
     /* 1411312 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1411400), // Rule ID 21459 //
     /* 1411317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411356 */     // MIs[0] Operand 5
     /* 1411356 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411367 */     // MIs[0] policy
     /* 1411367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411399 */     // GIR_Coverage, 21459,
     /* 1411399 */     GIR_EraseRootFromParent_Done,
     /* 1411400 */   // Label 19958: @1411400
     /* 1411400 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1411488), // Rule ID 21460 //
     /* 1411405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411444 */     // MIs[0] Operand 5
     /* 1411444 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411455 */     // MIs[0] policy
     /* 1411455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1411468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411487 */     // GIR_Coverage, 21460,
     /* 1411487 */     GIR_EraseRootFromParent_Done,
     /* 1411488 */   // Label 19959: @1411488
     /* 1411488 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1411576), // Rule ID 21463 //
     /* 1411493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411532 */     // MIs[0] Operand 5
     /* 1411532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411543 */     // MIs[0] policy
     /* 1411543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411575 */     // GIR_Coverage, 21463,
     /* 1411575 */     GIR_EraseRootFromParent_Done,
     /* 1411576 */   // Label 19960: @1411576
     /* 1411576 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1411664), // Rule ID 21464 //
     /* 1411581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411620 */     // MIs[0] Operand 5
     /* 1411620 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411631 */     // MIs[0] policy
     /* 1411631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1411644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411663 */     // GIR_Coverage, 21464,
     /* 1411663 */     GIR_EraseRootFromParent_Done,
     /* 1411664 */   // Label 19961: @1411664
     /* 1411664 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1411752), // Rule ID 21467 //
     /* 1411669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1411686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411708 */     // MIs[0] Operand 5
     /* 1411708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411719 */     // MIs[0] policy
     /* 1411719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411751 */     // GIR_Coverage, 21467,
     /* 1411751 */     GIR_EraseRootFromParent_Done,
     /* 1411752 */   // Label 19962: @1411752
     /* 1411752 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1411840), // Rule ID 21468 //
     /* 1411757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1411774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411796 */     // MIs[0] Operand 5
     /* 1411796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411807 */     // MIs[0] policy
     /* 1411807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1411820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411839 */     // GIR_Coverage, 21468,
     /* 1411839 */     GIR_EraseRootFromParent_Done,
     /* 1411840 */   // Label 19963: @1411840
     /* 1411840 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1411928), // Rule ID 21471 //
     /* 1411845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1411848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1411862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411884 */     // MIs[0] Operand 5
     /* 1411884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411895 */     // MIs[0] policy
     /* 1411895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411927 */     // GIR_Coverage, 21471,
     /* 1411927 */     GIR_EraseRootFromParent_Done,
     /* 1411928 */   // Label 19964: @1411928
     /* 1411928 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1412016), // Rule ID 21472 //
     /* 1411933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1411936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1411941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1411950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411972 */     // MIs[0] Operand 5
     /* 1411972 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411983 */     // MIs[0] policy
     /* 1411983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411993 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1411996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412015 */     // GIR_Coverage, 21472,
     /* 1412015 */     GIR_EraseRootFromParent_Done,
     /* 1412016 */   // Label 19965: @1412016
     /* 1412016 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1412104), // Rule ID 21475 //
     /* 1412021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1412024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412060 */     // MIs[0] Operand 5
     /* 1412060 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412071 */     // MIs[0] policy
     /* 1412071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412103 */     // GIR_Coverage, 21475,
     /* 1412103 */     GIR_EraseRootFromParent_Done,
     /* 1412104 */   // Label 19966: @1412104
     /* 1412104 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1412192), // Rule ID 21476 //
     /* 1412109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1412112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1412117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1412120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1412123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412148 */     // MIs[0] Operand 5
     /* 1412148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412159 */     // MIs[0] policy
     /* 1412159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1412172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412191 */     // GIR_Coverage, 21476,
     /* 1412191 */     GIR_EraseRootFromParent_Done,
     /* 1412192 */   // Label 19967: @1412192
     /* 1412192 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1412291), // Rule ID 2681 //
     /* 1412197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412247 */     // MIs[1] Operand 1
     /* 1412247 */     // No operand predicates
     /* 1412247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412251 */     // MIs[0] policy
     /* 1412251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412263 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412272 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412290 */     // GIR_Coverage, 2681,
     /* 1412290 */     GIR_EraseRootFromParent_Done,
     /* 1412291 */   // Label 19968: @1412291
     /* 1412291 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1412390), // Rule ID 2682 //
     /* 1412296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1412307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1412310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1412313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412346 */     // MIs[1] Operand 1
     /* 1412346 */     // No operand predicates
     /* 1412346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412350 */     // MIs[0] policy
     /* 1412350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412362 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1412365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412371 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412389 */     // GIR_Coverage, 2682,
     /* 1412389 */     GIR_EraseRootFromParent_Done,
     /* 1412390 */   // Label 19969: @1412390
     /* 1412390 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1412489), // Rule ID 2689 //
     /* 1412395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412445 */     // MIs[1] Operand 1
     /* 1412445 */     // No operand predicates
     /* 1412445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412449 */     // MIs[0] policy
     /* 1412449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412461 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412470 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412488 */     // GIR_Coverage, 2689,
     /* 1412488 */     GIR_EraseRootFromParent_Done,
     /* 1412489 */   // Label 19970: @1412489
     /* 1412489 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1412588), // Rule ID 2690 //
     /* 1412494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1412505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1412508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1412511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412544 */     // MIs[1] Operand 1
     /* 1412544 */     // No operand predicates
     /* 1412544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412548 */     // MIs[0] policy
     /* 1412548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412569 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412587 */     // GIR_Coverage, 2690,
     /* 1412587 */     GIR_EraseRootFromParent_Done,
     /* 1412588 */   // Label 19971: @1412588
     /* 1412588 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1412687), // Rule ID 2697 //
     /* 1412593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1412604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1412607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1412610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412643 */     // MIs[1] Operand 1
     /* 1412643 */     // No operand predicates
     /* 1412643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412647 */     // MIs[0] policy
     /* 1412647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412668 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412686 */     // GIR_Coverage, 2697,
     /* 1412686 */     GIR_EraseRootFromParent_Done,
     /* 1412687 */   // Label 19972: @1412687
     /* 1412687 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1412786), // Rule ID 2698 //
     /* 1412692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1412703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1412706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1412709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412742 */     // MIs[1] Operand 1
     /* 1412742 */     // No operand predicates
     /* 1412742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412746 */     // MIs[0] policy
     /* 1412746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412767 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412785 */     // GIR_Coverage, 2698,
     /* 1412785 */     GIR_EraseRootFromParent_Done,
     /* 1412786 */   // Label 19973: @1412786
     /* 1412786 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1412885), // Rule ID 2705 //
     /* 1412791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412841 */     // MIs[1] Operand 1
     /* 1412841 */     // No operand predicates
     /* 1412841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412845 */     // MIs[0] policy
     /* 1412845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412857 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412866 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412884 */     // GIR_Coverage, 2705,
     /* 1412884 */     GIR_EraseRootFromParent_Done,
     /* 1412885 */   // Label 19974: @1412885
     /* 1412885 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1412984), // Rule ID 2706 //
     /* 1412890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412940 */     // MIs[1] Operand 1
     /* 1412940 */     // No operand predicates
     /* 1412940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412944 */     // MIs[0] policy
     /* 1412944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1412959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412965 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412983 */     // GIR_Coverage, 2706,
     /* 1412983 */     GIR_EraseRootFromParent_Done,
     /* 1412984 */   // Label 19975: @1412984
     /* 1412984 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1413083), // Rule ID 2713 //
     /* 1412989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413039 */     // MIs[1] Operand 1
     /* 1413039 */     // No operand predicates
     /* 1413039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413043 */     // MIs[0] policy
     /* 1413043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413064 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413082 */     // GIR_Coverage, 2713,
     /* 1413082 */     GIR_EraseRootFromParent_Done,
     /* 1413083 */   // Label 19976: @1413083
     /* 1413083 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1413182), // Rule ID 2714 //
     /* 1413088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1413099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1413102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1413105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413138 */     // MIs[1] Operand 1
     /* 1413138 */     // No operand predicates
     /* 1413138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413142 */     // MIs[0] policy
     /* 1413142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413163 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413181 */     // GIR_Coverage, 2714,
     /* 1413181 */     GIR_EraseRootFromParent_Done,
     /* 1413182 */   // Label 19977: @1413182
     /* 1413182 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1413281), // Rule ID 2721 //
     /* 1413187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413237 */     // MIs[1] Operand 1
     /* 1413237 */     // No operand predicates
     /* 1413237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413241 */     // MIs[0] policy
     /* 1413241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413262 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413280 */     // GIR_Coverage, 2721,
     /* 1413280 */     GIR_EraseRootFromParent_Done,
     /* 1413281 */   // Label 19978: @1413281
     /* 1413281 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1413380), // Rule ID 2722 //
     /* 1413286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1413303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1413309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413336 */     // MIs[1] Operand 1
     /* 1413336 */     // No operand predicates
     /* 1413336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413340 */     // MIs[0] policy
     /* 1413340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1413355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413361 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413379 */     // GIR_Coverage, 2722,
     /* 1413379 */     GIR_EraseRootFromParent_Done,
     /* 1413380 */   // Label 19979: @1413380
     /* 1413380 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1413479), // Rule ID 2729 //
     /* 1413385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413435 */     // MIs[1] Operand 1
     /* 1413435 */     // No operand predicates
     /* 1413435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413439 */     // MIs[0] policy
     /* 1413439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413460 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413478 */     // GIR_Coverage, 2729,
     /* 1413478 */     GIR_EraseRootFromParent_Done,
     /* 1413479 */   // Label 19980: @1413479
     /* 1413479 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1413578), // Rule ID 2730 //
     /* 1413484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1413495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1413498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1413501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413534 */     // MIs[1] Operand 1
     /* 1413534 */     // No operand predicates
     /* 1413534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413538 */     // MIs[0] policy
     /* 1413538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413559 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413577 */     // GIR_Coverage, 2730,
     /* 1413577 */     GIR_EraseRootFromParent_Done,
     /* 1413578 */   // Label 19981: @1413578
     /* 1413578 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1413677), // Rule ID 2737 //
     /* 1413583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413633 */     // MIs[1] Operand 1
     /* 1413633 */     // No operand predicates
     /* 1413633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413637 */     // MIs[0] policy
     /* 1413637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413658 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413676 */     // GIR_Coverage, 2737,
     /* 1413676 */     GIR_EraseRootFromParent_Done,
     /* 1413677 */   // Label 19982: @1413677
     /* 1413677 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1413776), // Rule ID 2738 //
     /* 1413682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413732 */     // MIs[1] Operand 1
     /* 1413732 */     // No operand predicates
     /* 1413732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413736 */     // MIs[0] policy
     /* 1413736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413757 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413775 */     // GIR_Coverage, 2738,
     /* 1413775 */     GIR_EraseRootFromParent_Done,
     /* 1413776 */   // Label 19983: @1413776
     /* 1413776 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1413875), // Rule ID 2745 //
     /* 1413781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413831 */     // MIs[1] Operand 1
     /* 1413831 */     // No operand predicates
     /* 1413831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413835 */     // MIs[0] policy
     /* 1413835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413856 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413874 */     // GIR_Coverage, 2745,
     /* 1413874 */     GIR_EraseRootFromParent_Done,
     /* 1413875 */   // Label 19984: @1413875
     /* 1413875 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1413974), // Rule ID 2746 //
     /* 1413880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413930 */     // MIs[1] Operand 1
     /* 1413930 */     // No operand predicates
     /* 1413930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413934 */     // MIs[0] policy
     /* 1413934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1413949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413955 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413973 */     // GIR_Coverage, 2746,
     /* 1413973 */     GIR_EraseRootFromParent_Done,
     /* 1413974 */   // Label 19985: @1413974
     /* 1413974 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1414073), // Rule ID 2753 //
     /* 1413979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1413982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1413996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414029 */     // MIs[1] Operand 1
     /* 1414029 */     // No operand predicates
     /* 1414029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414033 */     // MIs[0] policy
     /* 1414033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414054 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414072 */     // GIR_Coverage, 2753,
     /* 1414072 */     GIR_EraseRootFromParent_Done,
     /* 1414073 */   // Label 19986: @1414073
     /* 1414073 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1414172), // Rule ID 2754 //
     /* 1414078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1414095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414128 */     // MIs[1] Operand 1
     /* 1414128 */     // No operand predicates
     /* 1414128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414132 */     // MIs[0] policy
     /* 1414132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1414147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414153 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414171 */     // GIR_Coverage, 2754,
     /* 1414171 */     GIR_EraseRootFromParent_Done,
     /* 1414172 */   // Label 19987: @1414172
     /* 1414172 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1414271), // Rule ID 2761 //
     /* 1414177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414227 */     // MIs[1] Operand 1
     /* 1414227 */     // No operand predicates
     /* 1414227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414231 */     // MIs[0] policy
     /* 1414231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414243 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414252 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414270 */     // GIR_Coverage, 2761,
     /* 1414270 */     GIR_EraseRootFromParent_Done,
     /* 1414271 */   // Label 19988: @1414271
     /* 1414271 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1414370), // Rule ID 2762 //
     /* 1414276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1414293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414326 */     // MIs[1] Operand 1
     /* 1414326 */     // No operand predicates
     /* 1414326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414330 */     // MIs[0] policy
     /* 1414330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414351 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414369 */     // GIR_Coverage, 2762,
     /* 1414369 */     GIR_EraseRootFromParent_Done,
     /* 1414370 */   // Label 19989: @1414370
     /* 1414370 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1414469), // Rule ID 2769 //
     /* 1414375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414425 */     // MIs[1] Operand 1
     /* 1414425 */     // No operand predicates
     /* 1414425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414429 */     // MIs[0] policy
     /* 1414429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414450 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414468 */     // GIR_Coverage, 2769,
     /* 1414468 */     GIR_EraseRootFromParent_Done,
     /* 1414469 */   // Label 19990: @1414469
     /* 1414469 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1414568), // Rule ID 2770 //
     /* 1414474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1414485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1414488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1414491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414524 */     // MIs[1] Operand 1
     /* 1414524 */     // No operand predicates
     /* 1414524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414528 */     // MIs[0] policy
     /* 1414528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414549 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414567 */     // GIR_Coverage, 2770,
     /* 1414567 */     GIR_EraseRootFromParent_Done,
     /* 1414568 */   // Label 19991: @1414568
     /* 1414568 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1414667), // Rule ID 2777 //
     /* 1414573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1414584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1414587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1414590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1414596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414623 */     // MIs[1] Operand 1
     /* 1414623 */     // No operand predicates
     /* 1414623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414627 */     // MIs[0] policy
     /* 1414627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414639 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414648 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414666 */     // GIR_Coverage, 2777,
     /* 1414666 */     GIR_EraseRootFromParent_Done,
     /* 1414667 */   // Label 19992: @1414667
     /* 1414667 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1414766), // Rule ID 2778 //
     /* 1414672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1414683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1414686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1414689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1414695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414722 */     // MIs[1] Operand 1
     /* 1414722 */     // No operand predicates
     /* 1414722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414726 */     // MIs[0] policy
     /* 1414726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414747 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414765 */     // GIR_Coverage, 2778,
     /* 1414765 */     GIR_EraseRootFromParent_Done,
     /* 1414766 */   // Label 19993: @1414766
     /* 1414766 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1414865), // Rule ID 2785 //
     /* 1414771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414821 */     // MIs[1] Operand 1
     /* 1414821 */     // No operand predicates
     /* 1414821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414825 */     // MIs[0] policy
     /* 1414825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414837 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414846 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414864 */     // GIR_Coverage, 2785,
     /* 1414864 */     GIR_EraseRootFromParent_Done,
     /* 1414865 */   // Label 19994: @1414865
     /* 1414865 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1414964), // Rule ID 2786 //
     /* 1414870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414920 */     // MIs[1] Operand 1
     /* 1414920 */     // No operand predicates
     /* 1414920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414924 */     // MIs[0] policy
     /* 1414924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414945 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414963 */     // GIR_Coverage, 2786,
     /* 1414963 */     GIR_EraseRootFromParent_Done,
     /* 1414964 */   // Label 19995: @1414964
     /* 1414964 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1415063), // Rule ID 2793 //
     /* 1414969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1414980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1414983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415019 */     // MIs[1] Operand 1
     /* 1415019 */     // No operand predicates
     /* 1415019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415023 */     // MIs[0] policy
     /* 1415023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415035 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415044 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415062 */     // GIR_Coverage, 2793,
     /* 1415062 */     GIR_EraseRootFromParent_Done,
     /* 1415063 */   // Label 19996: @1415063
     /* 1415063 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1415162), // Rule ID 2794 //
     /* 1415068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415118 */     // MIs[1] Operand 1
     /* 1415118 */     // No operand predicates
     /* 1415118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415122 */     // MIs[0] policy
     /* 1415122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415143 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415161 */     // GIR_Coverage, 2794,
     /* 1415161 */     GIR_EraseRootFromParent_Done,
     /* 1415162 */   // Label 19997: @1415162
     /* 1415162 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1415261), // Rule ID 2801 //
     /* 1415167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415217 */     // MIs[1] Operand 1
     /* 1415217 */     // No operand predicates
     /* 1415217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415221 */     // MIs[0] policy
     /* 1415221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415242 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415260 */     // GIR_Coverage, 2801,
     /* 1415260 */     GIR_EraseRootFromParent_Done,
     /* 1415261 */   // Label 19998: @1415261
     /* 1415261 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1415360), // Rule ID 2802 //
     /* 1415266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1415289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415316 */     // MIs[1] Operand 1
     /* 1415316 */     // No operand predicates
     /* 1415316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415320 */     // MIs[0] policy
     /* 1415320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415341 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415359 */     // GIR_Coverage, 2802,
     /* 1415359 */     GIR_EraseRootFromParent_Done,
     /* 1415360 */   // Label 19999: @1415360
     /* 1415360 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1415459), // Rule ID 2809 //
     /* 1415365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415415 */     // MIs[1] Operand 1
     /* 1415415 */     // No operand predicates
     /* 1415415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415419 */     // MIs[0] policy
     /* 1415419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415440 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415458 */     // GIR_Coverage, 2809,
     /* 1415458 */     GIR_EraseRootFromParent_Done,
     /* 1415459 */   // Label 20000: @1415459
     /* 1415459 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1415558), // Rule ID 2810 //
     /* 1415464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415514 */     // MIs[1] Operand 1
     /* 1415514 */     // No operand predicates
     /* 1415514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415518 */     // MIs[0] policy
     /* 1415518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1415533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415539 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415557 */     // GIR_Coverage, 2810,
     /* 1415557 */     GIR_EraseRootFromParent_Done,
     /* 1415558 */   // Label 20001: @1415558
     /* 1415558 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1415657), // Rule ID 2817 //
     /* 1415563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415613 */     // MIs[1] Operand 1
     /* 1415613 */     // No operand predicates
     /* 1415613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415617 */     // MIs[0] policy
     /* 1415617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415638 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415656 */     // GIR_Coverage, 2817,
     /* 1415656 */     GIR_EraseRootFromParent_Done,
     /* 1415657 */   // Label 20002: @1415657
     /* 1415657 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1415756), // Rule ID 2818 //
     /* 1415662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415712 */     // MIs[1] Operand 1
     /* 1415712 */     // No operand predicates
     /* 1415712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415716 */     // MIs[0] policy
     /* 1415716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415737 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415755 */     // GIR_Coverage, 2818,
     /* 1415755 */     GIR_EraseRootFromParent_Done,
     /* 1415756 */   // Label 20003: @1415756
     /* 1415756 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1415855), // Rule ID 2825 //
     /* 1415761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415811 */     // MIs[1] Operand 1
     /* 1415811 */     // No operand predicates
     /* 1415811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415815 */     // MIs[0] policy
     /* 1415815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415836 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415854 */     // GIR_Coverage, 2825,
     /* 1415854 */     GIR_EraseRootFromParent_Done,
     /* 1415855 */   // Label 20004: @1415855
     /* 1415855 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1415954), // Rule ID 2826 //
     /* 1415860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1415883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415910 */     // MIs[1] Operand 1
     /* 1415910 */     // No operand predicates
     /* 1415910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415914 */     // MIs[0] policy
     /* 1415914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415935 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415953 */     // GIR_Coverage, 2826,
     /* 1415953 */     GIR_EraseRootFromParent_Done,
     /* 1415954 */   // Label 20005: @1415954
     /* 1415954 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1416053), // Rule ID 2833 //
     /* 1415959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1415962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1415970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1415973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1415976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416009 */     // MIs[1] Operand 1
     /* 1416009 */     // No operand predicates
     /* 1416009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416013 */     // MIs[0] policy
     /* 1416013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416034 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416052 */     // GIR_Coverage, 2833,
     /* 1416052 */     GIR_EraseRootFromParent_Done,
     /* 1416053 */   // Label 20006: @1416053
     /* 1416053 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1416152), // Rule ID 2834 //
     /* 1416058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416108 */     // MIs[1] Operand 1
     /* 1416108 */     // No operand predicates
     /* 1416108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416112 */     // MIs[0] policy
     /* 1416112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1416127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416133 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416151 */     // GIR_Coverage, 2834,
     /* 1416151 */     GIR_EraseRootFromParent_Done,
     /* 1416152 */   // Label 20007: @1416152
     /* 1416152 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1416251), // Rule ID 2841 //
     /* 1416157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416207 */     // MIs[1] Operand 1
     /* 1416207 */     // No operand predicates
     /* 1416207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416211 */     // MIs[0] policy
     /* 1416211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416223 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416232 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416250 */     // GIR_Coverage, 2841,
     /* 1416250 */     GIR_EraseRootFromParent_Done,
     /* 1416251 */   // Label 20008: @1416251
     /* 1416251 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1416350), // Rule ID 2842 //
     /* 1416256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416306 */     // MIs[1] Operand 1
     /* 1416306 */     // No operand predicates
     /* 1416306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416310 */     // MIs[0] policy
     /* 1416310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1416325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416331 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416349 */     // GIR_Coverage, 2842,
     /* 1416349 */     GIR_EraseRootFromParent_Done,
     /* 1416350 */   // Label 20009: @1416350
     /* 1416350 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1416449), // Rule ID 2849 //
     /* 1416355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416405 */     // MIs[1] Operand 1
     /* 1416405 */     // No operand predicates
     /* 1416405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416409 */     // MIs[0] policy
     /* 1416409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416430 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416448 */     // GIR_Coverage, 2849,
     /* 1416448 */     GIR_EraseRootFromParent_Done,
     /* 1416449 */   // Label 20010: @1416449
     /* 1416449 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1416548), // Rule ID 2850 //
     /* 1416454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416504 */     // MIs[1] Operand 1
     /* 1416504 */     // No operand predicates
     /* 1416504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416508 */     // MIs[0] policy
     /* 1416508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1416523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416529 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416547 */     // GIR_Coverage, 2850,
     /* 1416547 */     GIR_EraseRootFromParent_Done,
     /* 1416548 */   // Label 20011: @1416548
     /* 1416548 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1416645), // Rule ID 3025 //
     /* 1416553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416603 */     // MIs[1] Operand 1
     /* 1416603 */     // No operand predicates
     /* 1416603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416607 */     // MIs[0] policy
     /* 1416607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416644 */     // GIR_Coverage, 3025,
     /* 1416644 */     GIR_EraseRootFromParent_Done,
     /* 1416645 */   // Label 20012: @1416645
     /* 1416645 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1416742), // Rule ID 3026 //
     /* 1416650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416700 */     // MIs[1] Operand 1
     /* 1416700 */     // No operand predicates
     /* 1416700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416704 */     // MIs[0] policy
     /* 1416704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416741 */     // GIR_Coverage, 3026,
     /* 1416741 */     GIR_EraseRootFromParent_Done,
     /* 1416742 */   // Label 20013: @1416742
     /* 1416742 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1416839), // Rule ID 3029 //
     /* 1416747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1416764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416797 */     // MIs[1] Operand 1
     /* 1416797 */     // No operand predicates
     /* 1416797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416801 */     // MIs[0] policy
     /* 1416801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416813 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416838 */     // GIR_Coverage, 3029,
     /* 1416838 */     GIR_EraseRootFromParent_Done,
     /* 1416839 */   // Label 20014: @1416839
     /* 1416839 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1416936), // Rule ID 3030 //
     /* 1416844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1416855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1416858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1416861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416894 */     // MIs[1] Operand 1
     /* 1416894 */     // No operand predicates
     /* 1416894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416898 */     // MIs[0] policy
     /* 1416898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416935 */     // GIR_Coverage, 3030,
     /* 1416935 */     GIR_EraseRootFromParent_Done,
     /* 1416936 */   // Label 20015: @1416936
     /* 1416936 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1417033), // Rule ID 3033 //
     /* 1416941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1416952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1416955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1416958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416991 */     // MIs[1] Operand 1
     /* 1416991 */     // No operand predicates
     /* 1416991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416995 */     // MIs[0] policy
     /* 1416995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417007 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417032 */     // GIR_Coverage, 3033,
     /* 1417032 */     GIR_EraseRootFromParent_Done,
     /* 1417033 */   // Label 20016: @1417033
     /* 1417033 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1417130), // Rule ID 3034 //
     /* 1417038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417088 */     // MIs[1] Operand 1
     /* 1417088 */     // No operand predicates
     /* 1417088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417092 */     // MIs[0] policy
     /* 1417092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417104 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417129 */     // GIR_Coverage, 3034,
     /* 1417129 */     GIR_EraseRootFromParent_Done,
     /* 1417130 */   // Label 20017: @1417130
     /* 1417130 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1417227), // Rule ID 3037 //
     /* 1417135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417185 */     // MIs[1] Operand 1
     /* 1417185 */     // No operand predicates
     /* 1417185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417189 */     // MIs[0] policy
     /* 1417189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417226 */     // GIR_Coverage, 3037,
     /* 1417226 */     GIR_EraseRootFromParent_Done,
     /* 1417227 */   // Label 20018: @1417227
     /* 1417227 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1417324), // Rule ID 3038 //
     /* 1417232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417282 */     // MIs[1] Operand 1
     /* 1417282 */     // No operand predicates
     /* 1417282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417286 */     // MIs[0] policy
     /* 1417286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417323 */     // GIR_Coverage, 3038,
     /* 1417323 */     GIR_EraseRootFromParent_Done,
     /* 1417324 */   // Label 20019: @1417324
     /* 1417324 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1417421), // Rule ID 3041 //
     /* 1417329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417379 */     // MIs[1] Operand 1
     /* 1417379 */     // No operand predicates
     /* 1417379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417383 */     // MIs[0] policy
     /* 1417383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417420 */     // GIR_Coverage, 3041,
     /* 1417420 */     GIR_EraseRootFromParent_Done,
     /* 1417421 */   // Label 20020: @1417421
     /* 1417421 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1417518), // Rule ID 3042 //
     /* 1417426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417476 */     // MIs[1] Operand 1
     /* 1417476 */     // No operand predicates
     /* 1417476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417480 */     // MIs[0] policy
     /* 1417480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417517 */     // GIR_Coverage, 3042,
     /* 1417517 */     GIR_EraseRootFromParent_Done,
     /* 1417518 */   // Label 20021: @1417518
     /* 1417518 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1417615), // Rule ID 3045 //
     /* 1417523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417573 */     // MIs[1] Operand 1
     /* 1417573 */     // No operand predicates
     /* 1417573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417577 */     // MIs[0] policy
     /* 1417577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417614 */     // GIR_Coverage, 3045,
     /* 1417614 */     GIR_EraseRootFromParent_Done,
     /* 1417615 */   // Label 20022: @1417615
     /* 1417615 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1417712), // Rule ID 3046 //
     /* 1417620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417670 */     // MIs[1] Operand 1
     /* 1417670 */     // No operand predicates
     /* 1417670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417674 */     // MIs[0] policy
     /* 1417674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417711 */     // GIR_Coverage, 3046,
     /* 1417711 */     GIR_EraseRootFromParent_Done,
     /* 1417712 */   // Label 20023: @1417712
     /* 1417712 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1417809), // Rule ID 3049 //
     /* 1417717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1417734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417767 */     // MIs[1] Operand 1
     /* 1417767 */     // No operand predicates
     /* 1417767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417771 */     // MIs[0] policy
     /* 1417771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417808 */     // GIR_Coverage, 3049,
     /* 1417808 */     GIR_EraseRootFromParent_Done,
     /* 1417809 */   // Label 20024: @1417809
     /* 1417809 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1417906), // Rule ID 3050 //
     /* 1417814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1417831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417864 */     // MIs[1] Operand 1
     /* 1417864 */     // No operand predicates
     /* 1417864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417868 */     // MIs[0] policy
     /* 1417868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417905 */     // GIR_Coverage, 3050,
     /* 1417905 */     GIR_EraseRootFromParent_Done,
     /* 1417906 */   // Label 20025: @1417906
     /* 1417906 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1418003), // Rule ID 3053 //
     /* 1417911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1417922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1417925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417961 */     // MIs[1] Operand 1
     /* 1417961 */     // No operand predicates
     /* 1417961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417965 */     // MIs[0] policy
     /* 1417965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418002 */     // GIR_Coverage, 3053,
     /* 1418002 */     GIR_EraseRootFromParent_Done,
     /* 1418003 */   // Label 20026: @1418003
     /* 1418003 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1418100), // Rule ID 3054 //
     /* 1418008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418058 */     // MIs[1] Operand 1
     /* 1418058 */     // No operand predicates
     /* 1418058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418062 */     // MIs[0] policy
     /* 1418062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418099 */     // GIR_Coverage, 3054,
     /* 1418099 */     GIR_EraseRootFromParent_Done,
     /* 1418100 */   // Label 20027: @1418100
     /* 1418100 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1418197), // Rule ID 3057 //
     /* 1418105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418155 */     // MIs[1] Operand 1
     /* 1418155 */     // No operand predicates
     /* 1418155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418159 */     // MIs[0] policy
     /* 1418159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418196 */     // GIR_Coverage, 3057,
     /* 1418196 */     GIR_EraseRootFromParent_Done,
     /* 1418197 */   // Label 20028: @1418197
     /* 1418197 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1418294), // Rule ID 3058 //
     /* 1418202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418252 */     // MIs[1] Operand 1
     /* 1418252 */     // No operand predicates
     /* 1418252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418256 */     // MIs[0] policy
     /* 1418256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418293 */     // GIR_Coverage, 3058,
     /* 1418293 */     GIR_EraseRootFromParent_Done,
     /* 1418294 */   // Label 20029: @1418294
     /* 1418294 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1418391), // Rule ID 3061 //
     /* 1418299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418349 */     // MIs[1] Operand 1
     /* 1418349 */     // No operand predicates
     /* 1418349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418353 */     // MIs[0] policy
     /* 1418353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418390 */     // GIR_Coverage, 3061,
     /* 1418390 */     GIR_EraseRootFromParent_Done,
     /* 1418391 */   // Label 20030: @1418391
     /* 1418391 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1418488), // Rule ID 3062 //
     /* 1418396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418446 */     // MIs[1] Operand 1
     /* 1418446 */     // No operand predicates
     /* 1418446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418450 */     // MIs[0] policy
     /* 1418450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418487 */     // GIR_Coverage, 3062,
     /* 1418487 */     GIR_EraseRootFromParent_Done,
     /* 1418488 */   // Label 20031: @1418488
     /* 1418488 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1418585), // Rule ID 3065 //
     /* 1418493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418543 */     // MIs[1] Operand 1
     /* 1418543 */     // No operand predicates
     /* 1418543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418547 */     // MIs[0] policy
     /* 1418547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418584 */     // GIR_Coverage, 3065,
     /* 1418584 */     GIR_EraseRootFromParent_Done,
     /* 1418585 */   // Label 20032: @1418585
     /* 1418585 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1418682), // Rule ID 3066 //
     /* 1418590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418640 */     // MIs[1] Operand 1
     /* 1418640 */     // No operand predicates
     /* 1418640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418644 */     // MIs[0] policy
     /* 1418644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418681 */     // GIR_Coverage, 3066,
     /* 1418681 */     GIR_EraseRootFromParent_Done,
     /* 1418682 */   // Label 20033: @1418682
     /* 1418682 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1418779), // Rule ID 3069 //
     /* 1418687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1418698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1418701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1418704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418737 */     // MIs[1] Operand 1
     /* 1418737 */     // No operand predicates
     /* 1418737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418741 */     // MIs[0] policy
     /* 1418741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418778 */     // GIR_Coverage, 3069,
     /* 1418778 */     GIR_EraseRootFromParent_Done,
     /* 1418779 */   // Label 20034: @1418779
     /* 1418779 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1418876), // Rule ID 3070 //
     /* 1418784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1418795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1418798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1418801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418834 */     // MIs[1] Operand 1
     /* 1418834 */     // No operand predicates
     /* 1418834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418838 */     // MIs[0] policy
     /* 1418838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418875 */     // GIR_Coverage, 3070,
     /* 1418875 */     GIR_EraseRootFromParent_Done,
     /* 1418876 */   // Label 20035: @1418876
     /* 1418876 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1418973), // Rule ID 3073 //
     /* 1418881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1418892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1418895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1418898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1418904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418931 */     // MIs[1] Operand 1
     /* 1418931 */     // No operand predicates
     /* 1418931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418935 */     // MIs[0] policy
     /* 1418935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1418950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418972 */     // GIR_Coverage, 3073,
     /* 1418972 */     GIR_EraseRootFromParent_Done,
     /* 1418973 */   // Label 20036: @1418973
     /* 1418973 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1419070), // Rule ID 3074 //
     /* 1418978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1418989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1418992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1418995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419028 */     // MIs[1] Operand 1
     /* 1419028 */     // No operand predicates
     /* 1419028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419032 */     // MIs[0] policy
     /* 1419032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419044 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419069 */     // GIR_Coverage, 3074,
     /* 1419069 */     GIR_EraseRootFromParent_Done,
     /* 1419070 */   // Label 20037: @1419070
     /* 1419070 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1419167), // Rule ID 3077 //
     /* 1419075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419125 */     // MIs[1] Operand 1
     /* 1419125 */     // No operand predicates
     /* 1419125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419129 */     // MIs[0] policy
     /* 1419129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419166 */     // GIR_Coverage, 3077,
     /* 1419166 */     GIR_EraseRootFromParent_Done,
     /* 1419167 */   // Label 20038: @1419167
     /* 1419167 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1419264), // Rule ID 3078 //
     /* 1419172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419222 */     // MIs[1] Operand 1
     /* 1419222 */     // No operand predicates
     /* 1419222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419226 */     // MIs[0] policy
     /* 1419226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419263 */     // GIR_Coverage, 3078,
     /* 1419263 */     GIR_EraseRootFromParent_Done,
     /* 1419264 */   // Label 20039: @1419264
     /* 1419264 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1419361), // Rule ID 3081 //
     /* 1419269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419319 */     // MIs[1] Operand 1
     /* 1419319 */     // No operand predicates
     /* 1419319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419323 */     // MIs[0] policy
     /* 1419323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419335 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419360 */     // GIR_Coverage, 3081,
     /* 1419360 */     GIR_EraseRootFromParent_Done,
     /* 1419361 */   // Label 20040: @1419361
     /* 1419361 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1419458), // Rule ID 3082 //
     /* 1419366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419416 */     // MIs[1] Operand 1
     /* 1419416 */     // No operand predicates
     /* 1419416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419420 */     // MIs[0] policy
     /* 1419420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419432 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419457 */     // GIR_Coverage, 3082,
     /* 1419457 */     GIR_EraseRootFromParent_Done,
     /* 1419458 */   // Label 20041: @1419458
     /* 1419458 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1419555), // Rule ID 3085 //
     /* 1419463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419513 */     // MIs[1] Operand 1
     /* 1419513 */     // No operand predicates
     /* 1419513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419517 */     // MIs[0] policy
     /* 1419517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419554 */     // GIR_Coverage, 3085,
     /* 1419554 */     GIR_EraseRootFromParent_Done,
     /* 1419555 */   // Label 20042: @1419555
     /* 1419555 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1419652), // Rule ID 3086 //
     /* 1419560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419610 */     // MIs[1] Operand 1
     /* 1419610 */     // No operand predicates
     /* 1419610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419614 */     // MIs[0] policy
     /* 1419614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419651 */     // GIR_Coverage, 3086,
     /* 1419651 */     GIR_EraseRootFromParent_Done,
     /* 1419652 */   // Label 20043: @1419652
     /* 1419652 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1419749), // Rule ID 3089 //
     /* 1419657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419707 */     // MIs[1] Operand 1
     /* 1419707 */     // No operand predicates
     /* 1419707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419711 */     // MIs[0] policy
     /* 1419711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419748 */     // GIR_Coverage, 3089,
     /* 1419748 */     GIR_EraseRootFromParent_Done,
     /* 1419749 */   // Label 20044: @1419749
     /* 1419749 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1419846), // Rule ID 3090 //
     /* 1419754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419804 */     // MIs[1] Operand 1
     /* 1419804 */     // No operand predicates
     /* 1419804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419808 */     // MIs[0] policy
     /* 1419808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419845 */     // GIR_Coverage, 3090,
     /* 1419845 */     GIR_EraseRootFromParent_Done,
     /* 1419846 */   // Label 20045: @1419846
     /* 1419846 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1419943), // Rule ID 3093 //
     /* 1419851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1419862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1419865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1419868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419901 */     // MIs[1] Operand 1
     /* 1419901 */     // No operand predicates
     /* 1419901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419905 */     // MIs[0] policy
     /* 1419905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419942 */     // GIR_Coverage, 3093,
     /* 1419942 */     GIR_EraseRootFromParent_Done,
     /* 1419943 */   // Label 20046: @1419943
     /* 1419943 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1420040), // Rule ID 3094 //
     /* 1419948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1419959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1419962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1419965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419998 */     // MIs[1] Operand 1
     /* 1419998 */     // No operand predicates
     /* 1419998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420002 */     // MIs[0] policy
     /* 1420002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420039 */     // GIR_Coverage, 3094,
     /* 1420039 */     GIR_EraseRootFromParent_Done,
     /* 1420040 */   // Label 20047: @1420040
     /* 1420040 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1420137), // Rule ID 3097 //
     /* 1420045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420095 */     // MIs[1] Operand 1
     /* 1420095 */     // No operand predicates
     /* 1420095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420099 */     // MIs[0] policy
     /* 1420099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420136 */     // GIR_Coverage, 3097,
     /* 1420136 */     GIR_EraseRootFromParent_Done,
     /* 1420137 */   // Label 20048: @1420137
     /* 1420137 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1420234), // Rule ID 3098 //
     /* 1420142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420192 */     // MIs[1] Operand 1
     /* 1420192 */     // No operand predicates
     /* 1420192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420196 */     // MIs[0] policy
     /* 1420196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420233 */     // GIR_Coverage, 3098,
     /* 1420233 */     GIR_EraseRootFromParent_Done,
     /* 1420234 */   // Label 20049: @1420234
     /* 1420234 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1420331), // Rule ID 3101 //
     /* 1420239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420289 */     // MIs[1] Operand 1
     /* 1420289 */     // No operand predicates
     /* 1420289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420293 */     // MIs[0] policy
     /* 1420293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420330 */     // GIR_Coverage, 3101,
     /* 1420330 */     GIR_EraseRootFromParent_Done,
     /* 1420331 */   // Label 20050: @1420331
     /* 1420331 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1420428), // Rule ID 3102 //
     /* 1420336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420386 */     // MIs[1] Operand 1
     /* 1420386 */     // No operand predicates
     /* 1420386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420390 */     // MIs[0] policy
     /* 1420390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420402 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420427 */     // GIR_Coverage, 3102,
     /* 1420427 */     GIR_EraseRootFromParent_Done,
     /* 1420428 */   // Label 20051: @1420428
     /* 1420428 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1420525), // Rule ID 3105 //
     /* 1420433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420483 */     // MIs[1] Operand 1
     /* 1420483 */     // No operand predicates
     /* 1420483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420487 */     // MIs[0] policy
     /* 1420487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420524 */     // GIR_Coverage, 3105,
     /* 1420524 */     GIR_EraseRootFromParent_Done,
     /* 1420525 */   // Label 20052: @1420525
     /* 1420525 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1420622), // Rule ID 3106 //
     /* 1420530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420580 */     // MIs[1] Operand 1
     /* 1420580 */     // No operand predicates
     /* 1420580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420584 */     // MIs[0] policy
     /* 1420584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420621 */     // GIR_Coverage, 3106,
     /* 1420621 */     GIR_EraseRootFromParent_Done,
     /* 1420622 */   // Label 20053: @1420622
     /* 1420622 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1420719), // Rule ID 3109 //
     /* 1420627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1420638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1420641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420677 */     // MIs[1] Operand 1
     /* 1420677 */     // No operand predicates
     /* 1420677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420681 */     // MIs[0] policy
     /* 1420681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420718 */     // GIR_Coverage, 3109,
     /* 1420718 */     GIR_EraseRootFromParent_Done,
     /* 1420719 */   // Label 20054: @1420719
     /* 1420719 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1420816), // Rule ID 3110 //
     /* 1420724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1420732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1420735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1420738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420774 */     // MIs[1] Operand 1
     /* 1420774 */     // No operand predicates
     /* 1420774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420778 */     // MIs[0] policy
     /* 1420778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420815 */     // GIR_Coverage, 3110,
     /* 1420815 */     GIR_EraseRootFromParent_Done,
     /* 1420816 */   // Label 20055: @1420816
     /* 1420816 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1420913), // Rule ID 3377 //
     /* 1420821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1420832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1420835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1420838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420871 */     // MIs[1] Operand 1
     /* 1420871 */     // No operand predicates
     /* 1420871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420875 */     // MIs[0] policy
     /* 1420875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1420890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420912 */     // GIR_Coverage, 3377,
     /* 1420912 */     GIR_EraseRootFromParent_Done,
     /* 1420913 */   // Label 20056: @1420913
     /* 1420913 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1421010), // Rule ID 3378 //
     /* 1420918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1420929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1420932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1420935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420968 */     // MIs[1] Operand 1
     /* 1420968 */     // No operand predicates
     /* 1420968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420972 */     // MIs[0] policy
     /* 1420972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420984 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1420987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421009 */     // GIR_Coverage, 3378,
     /* 1421009 */     GIR_EraseRootFromParent_Done,
     /* 1421010 */   // Label 20057: @1421010
     /* 1421010 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1421107), // Rule ID 3381 //
     /* 1421015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421065 */     // MIs[1] Operand 1
     /* 1421065 */     // No operand predicates
     /* 1421065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421069 */     // MIs[0] policy
     /* 1421069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421081 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421106 */     // GIR_Coverage, 3381,
     /* 1421106 */     GIR_EraseRootFromParent_Done,
     /* 1421107 */   // Label 20058: @1421107
     /* 1421107 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1421204), // Rule ID 3382 //
     /* 1421112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421162 */     // MIs[1] Operand 1
     /* 1421162 */     // No operand predicates
     /* 1421162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421166 */     // MIs[0] policy
     /* 1421166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421203 */     // GIR_Coverage, 3382,
     /* 1421203 */     GIR_EraseRootFromParent_Done,
     /* 1421204 */   // Label 20059: @1421204
     /* 1421204 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1421301), // Rule ID 3385 //
     /* 1421209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421259 */     // MIs[1] Operand 1
     /* 1421259 */     // No operand predicates
     /* 1421259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421263 */     // MIs[0] policy
     /* 1421263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421300 */     // GIR_Coverage, 3385,
     /* 1421300 */     GIR_EraseRootFromParent_Done,
     /* 1421301 */   // Label 20060: @1421301
     /* 1421301 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1421398), // Rule ID 3386 //
     /* 1421306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421356 */     // MIs[1] Operand 1
     /* 1421356 */     // No operand predicates
     /* 1421356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421360 */     // MIs[0] policy
     /* 1421360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421397 */     // GIR_Coverage, 3386,
     /* 1421397 */     GIR_EraseRootFromParent_Done,
     /* 1421398 */   // Label 20061: @1421398
     /* 1421398 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1421495), // Rule ID 3389 //
     /* 1421403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421453 */     // MIs[1] Operand 1
     /* 1421453 */     // No operand predicates
     /* 1421453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421457 */     // MIs[0] policy
     /* 1421457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421494 */     // GIR_Coverage, 3389,
     /* 1421494 */     GIR_EraseRootFromParent_Done,
     /* 1421495 */   // Label 20062: @1421495
     /* 1421495 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1421592), // Rule ID 3390 //
     /* 1421500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421550 */     // MIs[1] Operand 1
     /* 1421550 */     // No operand predicates
     /* 1421550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421554 */     // MIs[0] policy
     /* 1421554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1421569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421591 */     // GIR_Coverage, 3390,
     /* 1421591 */     GIR_EraseRootFromParent_Done,
     /* 1421592 */   // Label 20063: @1421592
     /* 1421592 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1421689), // Rule ID 3393 //
     /* 1421597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421647 */     // MIs[1] Operand 1
     /* 1421647 */     // No operand predicates
     /* 1421647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421651 */     // MIs[0] policy
     /* 1421651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421663 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421688 */     // GIR_Coverage, 3393,
     /* 1421688 */     GIR_EraseRootFromParent_Done,
     /* 1421689 */   // Label 20064: @1421689
     /* 1421689 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1421786), // Rule ID 3394 //
     /* 1421694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421744 */     // MIs[1] Operand 1
     /* 1421744 */     // No operand predicates
     /* 1421744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421748 */     // MIs[0] policy
     /* 1421748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421785 */     // GIR_Coverage, 3394,
     /* 1421785 */     GIR_EraseRootFromParent_Done,
     /* 1421786 */   // Label 20065: @1421786
     /* 1421786 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1421883), // Rule ID 3397 //
     /* 1421791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421841 */     // MIs[1] Operand 1
     /* 1421841 */     // No operand predicates
     /* 1421841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421845 */     // MIs[0] policy
     /* 1421845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421882 */     // GIR_Coverage, 3397,
     /* 1421882 */     GIR_EraseRootFromParent_Done,
     /* 1421883 */   // Label 20066: @1421883
     /* 1421883 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1421980), // Rule ID 3398 //
     /* 1421888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421938 */     // MIs[1] Operand 1
     /* 1421938 */     // No operand predicates
     /* 1421938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421942 */     // MIs[0] policy
     /* 1421942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1421957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421979 */     // GIR_Coverage, 3398,
     /* 1421979 */     GIR_EraseRootFromParent_Done,
     /* 1421980 */   // Label 20067: @1421980
     /* 1421980 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1422077), // Rule ID 3401 //
     /* 1421985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1421996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1421999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422035 */     // MIs[1] Operand 1
     /* 1422035 */     // No operand predicates
     /* 1422035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422039 */     // MIs[0] policy
     /* 1422039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422076 */     // GIR_Coverage, 3401,
     /* 1422076 */     GIR_EraseRootFromParent_Done,
     /* 1422077 */   // Label 20068: @1422077
     /* 1422077 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1422174), // Rule ID 3402 //
     /* 1422082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422132 */     // MIs[1] Operand 1
     /* 1422132 */     // No operand predicates
     /* 1422132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422136 */     // MIs[0] policy
     /* 1422136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422173 */     // GIR_Coverage, 3402,
     /* 1422173 */     GIR_EraseRootFromParent_Done,
     /* 1422174 */   // Label 20069: @1422174
     /* 1422174 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1422271), // Rule ID 3405 //
     /* 1422179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422229 */     // MIs[1] Operand 1
     /* 1422229 */     // No operand predicates
     /* 1422229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422233 */     // MIs[0] policy
     /* 1422233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422270 */     // GIR_Coverage, 3405,
     /* 1422270 */     GIR_EraseRootFromParent_Done,
     /* 1422271 */   // Label 20070: @1422271
     /* 1422271 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1422368), // Rule ID 3406 //
     /* 1422276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422326 */     // MIs[1] Operand 1
     /* 1422326 */     // No operand predicates
     /* 1422326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422330 */     // MIs[0] policy
     /* 1422330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422367 */     // GIR_Coverage, 3406,
     /* 1422367 */     GIR_EraseRootFromParent_Done,
     /* 1422368 */   // Label 20071: @1422368
     /* 1422368 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1422465), // Rule ID 3409 //
     /* 1422373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422423 */     // MIs[1] Operand 1
     /* 1422423 */     // No operand predicates
     /* 1422423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422427 */     // MIs[0] policy
     /* 1422427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422464 */     // GIR_Coverage, 3409,
     /* 1422464 */     GIR_EraseRootFromParent_Done,
     /* 1422465 */   // Label 20072: @1422465
     /* 1422465 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1422562), // Rule ID 3410 //
     /* 1422470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422520 */     // MIs[1] Operand 1
     /* 1422520 */     // No operand predicates
     /* 1422520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422524 */     // MIs[0] policy
     /* 1422524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422561 */     // GIR_Coverage, 3410,
     /* 1422561 */     GIR_EraseRootFromParent_Done,
     /* 1422562 */   // Label 20073: @1422562
     /* 1422562 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1422659), // Rule ID 3413 //
     /* 1422567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422617 */     // MIs[1] Operand 1
     /* 1422617 */     // No operand predicates
     /* 1422617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422621 */     // MIs[0] policy
     /* 1422621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422658 */     // GIR_Coverage, 3413,
     /* 1422658 */     GIR_EraseRootFromParent_Done,
     /* 1422659 */   // Label 20074: @1422659
     /* 1422659 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1422756), // Rule ID 3414 //
     /* 1422664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422714 */     // MIs[1] Operand 1
     /* 1422714 */     // No operand predicates
     /* 1422714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422718 */     // MIs[0] policy
     /* 1422718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1422733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422755 */     // GIR_Coverage, 3414,
     /* 1422755 */     GIR_EraseRootFromParent_Done,
     /* 1422756 */   // Label 20075: @1422756
     /* 1422756 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1422853), // Rule ID 3417 //
     /* 1422761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1422772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1422775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1422778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422811 */     // MIs[1] Operand 1
     /* 1422811 */     // No operand predicates
     /* 1422811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422815 */     // MIs[0] policy
     /* 1422815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422852 */     // GIR_Coverage, 3417,
     /* 1422852 */     GIR_EraseRootFromParent_Done,
     /* 1422853 */   // Label 20076: @1422853
     /* 1422853 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1422950), // Rule ID 3418 //
     /* 1422858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1422869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1422872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1422875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422908 */     // MIs[1] Operand 1
     /* 1422908 */     // No operand predicates
     /* 1422908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422912 */     // MIs[0] policy
     /* 1422912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422949 */     // GIR_Coverage, 3418,
     /* 1422949 */     GIR_EraseRootFromParent_Done,
     /* 1422950 */   // Label 20077: @1422950
     /* 1422950 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1423047), // Rule ID 3421 //
     /* 1422955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1422966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1422969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1422972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423005 */     // MIs[1] Operand 1
     /* 1423005 */     // No operand predicates
     /* 1423005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423009 */     // MIs[0] policy
     /* 1423009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423046 */     // GIR_Coverage, 3421,
     /* 1423046 */     GIR_EraseRootFromParent_Done,
     /* 1423047 */   // Label 20078: @1423047
     /* 1423047 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1423144), // Rule ID 3422 //
     /* 1423052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423102 */     // MIs[1] Operand 1
     /* 1423102 */     // No operand predicates
     /* 1423102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423106 */     // MIs[0] policy
     /* 1423106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423118 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423143 */     // GIR_Coverage, 3422,
     /* 1423143 */     GIR_EraseRootFromParent_Done,
     /* 1423144 */   // Label 20079: @1423144
     /* 1423144 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1423241), // Rule ID 3425 //
     /* 1423149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423199 */     // MIs[1] Operand 1
     /* 1423199 */     // No operand predicates
     /* 1423199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423203 */     // MIs[0] policy
     /* 1423203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423215 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423240 */     // GIR_Coverage, 3425,
     /* 1423240 */     GIR_EraseRootFromParent_Done,
     /* 1423241 */   // Label 20080: @1423241
     /* 1423241 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1423338), // Rule ID 3426 //
     /* 1423246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423296 */     // MIs[1] Operand 1
     /* 1423296 */     // No operand predicates
     /* 1423296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423300 */     // MIs[0] policy
     /* 1423300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423337 */     // GIR_Coverage, 3426,
     /* 1423337 */     GIR_EraseRootFromParent_Done,
     /* 1423338 */   // Label 20081: @1423338
     /* 1423338 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1423435), // Rule ID 3429 //
     /* 1423343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423393 */     // MIs[1] Operand 1
     /* 1423393 */     // No operand predicates
     /* 1423393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423397 */     // MIs[0] policy
     /* 1423397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423434 */     // GIR_Coverage, 3429,
     /* 1423434 */     GIR_EraseRootFromParent_Done,
     /* 1423435 */   // Label 20082: @1423435
     /* 1423435 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1423532), // Rule ID 3430 //
     /* 1423440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423490 */     // MIs[1] Operand 1
     /* 1423490 */     // No operand predicates
     /* 1423490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423494 */     // MIs[0] policy
     /* 1423494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423531 */     // GIR_Coverage, 3430,
     /* 1423531 */     GIR_EraseRootFromParent_Done,
     /* 1423532 */   // Label 20083: @1423532
     /* 1423532 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1423629), // Rule ID 3433 //
     /* 1423537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423587 */     // MIs[1] Operand 1
     /* 1423587 */     // No operand predicates
     /* 1423587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423591 */     // MIs[0] policy
     /* 1423591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423628 */     // GIR_Coverage, 3433,
     /* 1423628 */     GIR_EraseRootFromParent_Done,
     /* 1423629 */   // Label 20084: @1423629
     /* 1423629 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1423726), // Rule ID 3434 //
     /* 1423634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423684 */     // MIs[1] Operand 1
     /* 1423684 */     // No operand predicates
     /* 1423684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423688 */     // MIs[0] policy
     /* 1423688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423725 */     // GIR_Coverage, 3434,
     /* 1423725 */     GIR_EraseRootFromParent_Done,
     /* 1423726 */   // Label 20085: @1423726
     /* 1423726 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1423823), // Rule ID 3437 //
     /* 1423731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1423742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1423745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1423748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423781 */     // MIs[1] Operand 1
     /* 1423781 */     // No operand predicates
     /* 1423781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423785 */     // MIs[0] policy
     /* 1423785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423822 */     // GIR_Coverage, 3437,
     /* 1423822 */     GIR_EraseRootFromParent_Done,
     /* 1423823 */   // Label 20086: @1423823
     /* 1423823 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1423920), // Rule ID 3438 //
     /* 1423828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1423839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1423842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1423845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423878 */     // MIs[1] Operand 1
     /* 1423878 */     // No operand predicates
     /* 1423878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423882 */     // MIs[0] policy
     /* 1423882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423919 */     // GIR_Coverage, 3438,
     /* 1423919 */     GIR_EraseRootFromParent_Done,
     /* 1423920 */   // Label 20087: @1423920
     /* 1423920 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1424017), // Rule ID 3441 //
     /* 1423925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1423942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423975 */     // MIs[1] Operand 1
     /* 1423975 */     // No operand predicates
     /* 1423975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423979 */     // MIs[0] policy
     /* 1423979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424016 */     // GIR_Coverage, 3441,
     /* 1424016 */     GIR_EraseRootFromParent_Done,
     /* 1424017 */   // Label 20088: @1424017
     /* 1424017 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1424114), // Rule ID 3442 //
     /* 1424022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424072 */     // MIs[1] Operand 1
     /* 1424072 */     // No operand predicates
     /* 1424072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424076 */     // MIs[0] policy
     /* 1424076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424113 */     // GIR_Coverage, 3442,
     /* 1424113 */     GIR_EraseRootFromParent_Done,
     /* 1424114 */   // Label 20089: @1424114
     /* 1424114 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1424211), // Rule ID 3445 //
     /* 1424119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424169 */     // MIs[1] Operand 1
     /* 1424169 */     // No operand predicates
     /* 1424169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424173 */     // MIs[0] policy
     /* 1424173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424210 */     // GIR_Coverage, 3445,
     /* 1424210 */     GIR_EraseRootFromParent_Done,
     /* 1424211 */   // Label 20090: @1424211
     /* 1424211 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1424308), // Rule ID 3446 //
     /* 1424216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424266 */     // MIs[1] Operand 1
     /* 1424266 */     // No operand predicates
     /* 1424266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424270 */     // MIs[0] policy
     /* 1424270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424307 */     // GIR_Coverage, 3446,
     /* 1424307 */     GIR_EraseRootFromParent_Done,
     /* 1424308 */   // Label 20091: @1424308
     /* 1424308 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1424405), // Rule ID 3449 //
     /* 1424313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424363 */     // MIs[1] Operand 1
     /* 1424363 */     // No operand predicates
     /* 1424363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424367 */     // MIs[0] policy
     /* 1424367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424404 */     // GIR_Coverage, 3449,
     /* 1424404 */     GIR_EraseRootFromParent_Done,
     /* 1424405 */   // Label 20092: @1424405
     /* 1424405 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1424502), // Rule ID 3450 //
     /* 1424410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424460 */     // MIs[1] Operand 1
     /* 1424460 */     // No operand predicates
     /* 1424460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424464 */     // MIs[0] policy
     /* 1424464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424501 */     // GIR_Coverage, 3450,
     /* 1424501 */     GIR_EraseRootFromParent_Done,
     /* 1424502 */   // Label 20093: @1424502
     /* 1424502 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1424599), // Rule ID 3453 //
     /* 1424507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424557 */     // MIs[1] Operand 1
     /* 1424557 */     // No operand predicates
     /* 1424557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424561 */     // MIs[0] policy
     /* 1424561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424598 */     // GIR_Coverage, 3453,
     /* 1424598 */     GIR_EraseRootFromParent_Done,
     /* 1424599 */   // Label 20094: @1424599
     /* 1424599 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1424696), // Rule ID 3454 //
     /* 1424604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424654 */     // MIs[1] Operand 1
     /* 1424654 */     // No operand predicates
     /* 1424654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424658 */     // MIs[0] policy
     /* 1424658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1424673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424695 */     // GIR_Coverage, 3454,
     /* 1424695 */     GIR_EraseRootFromParent_Done,
     /* 1424696 */   // Label 20095: @1424696
     /* 1424696 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1424793), // Rule ID 3457 //
     /* 1424701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424751 */     // MIs[1] Operand 1
     /* 1424751 */     // No operand predicates
     /* 1424751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424755 */     // MIs[0] policy
     /* 1424755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424792 */     // GIR_Coverage, 3457,
     /* 1424792 */     GIR_EraseRootFromParent_Done,
     /* 1424793 */   // Label 20096: @1424793
     /* 1424793 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1424890), // Rule ID 3458 //
     /* 1424798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424848 */     // MIs[1] Operand 1
     /* 1424848 */     // No operand predicates
     /* 1424848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424852 */     // MIs[0] policy
     /* 1424852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1424867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424889 */     // GIR_Coverage, 3458,
     /* 1424889 */     GIR_EraseRootFromParent_Done,
     /* 1424890 */   // Label 20097: @1424890
     /* 1424890 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1424987), // Rule ID 3461 //
     /* 1424895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1424903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1424906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1424909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1424912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424945 */     // MIs[1] Operand 1
     /* 1424945 */     // No operand predicates
     /* 1424945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424949 */     // MIs[0] policy
     /* 1424949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1424964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424986 */     // GIR_Coverage, 3461,
     /* 1424986 */     GIR_EraseRootFromParent_Done,
     /* 1424987 */   // Label 20098: @1424987
     /* 1424987 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1425084), // Rule ID 3462 //
     /* 1424992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425042 */     // MIs[1] Operand 1
     /* 1425042 */     // No operand predicates
     /* 1425042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425046 */     // MIs[0] policy
     /* 1425046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1425061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425083 */     // GIR_Coverage, 3462,
     /* 1425083 */     GIR_EraseRootFromParent_Done,
     /* 1425084 */   // Label 20099: @1425084
     /* 1425084 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1425181), // Rule ID 5825 //
     /* 1425089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425139 */     // MIs[1] Operand 1
     /* 1425139 */     // No operand predicates
     /* 1425139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425143 */     // MIs[0] policy
     /* 1425143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425180 */     // GIR_Coverage, 5825,
     /* 1425180 */     GIR_EraseRootFromParent_Done,
     /* 1425181 */   // Label 20100: @1425181
     /* 1425181 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1425278), // Rule ID 5826 //
     /* 1425186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425236 */     // MIs[1] Operand 1
     /* 1425236 */     // No operand predicates
     /* 1425236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425240 */     // MIs[0] policy
     /* 1425240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1425255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425277 */     // GIR_Coverage, 5826,
     /* 1425277 */     GIR_EraseRootFromParent_Done,
     /* 1425278 */   // Label 20101: @1425278
     /* 1425278 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1425375), // Rule ID 5829 //
     /* 1425283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425333 */     // MIs[1] Operand 1
     /* 1425333 */     // No operand predicates
     /* 1425333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425337 */     // MIs[0] policy
     /* 1425337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425374 */     // GIR_Coverage, 5829,
     /* 1425374 */     GIR_EraseRootFromParent_Done,
     /* 1425375 */   // Label 20102: @1425375
     /* 1425375 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1425472), // Rule ID 5830 //
     /* 1425380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425430 */     // MIs[1] Operand 1
     /* 1425430 */     // No operand predicates
     /* 1425430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425434 */     // MIs[0] policy
     /* 1425434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425471 */     // GIR_Coverage, 5830,
     /* 1425471 */     GIR_EraseRootFromParent_Done,
     /* 1425472 */   // Label 20103: @1425472
     /* 1425472 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1425569), // Rule ID 5833 //
     /* 1425477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425527 */     // MIs[1] Operand 1
     /* 1425527 */     // No operand predicates
     /* 1425527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425531 */     // MIs[0] policy
     /* 1425531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425543 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425568 */     // GIR_Coverage, 5833,
     /* 1425568 */     GIR_EraseRootFromParent_Done,
     /* 1425569 */   // Label 20104: @1425569
     /* 1425569 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1425666), // Rule ID 5834 //
     /* 1425574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425624 */     // MIs[1] Operand 1
     /* 1425624 */     // No operand predicates
     /* 1425624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425628 */     // MIs[0] policy
     /* 1425628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425665 */     // GIR_Coverage, 5834,
     /* 1425665 */     GIR_EraseRootFromParent_Done,
     /* 1425666 */   // Label 20105: @1425666
     /* 1425666 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1425763), // Rule ID 5837 //
     /* 1425671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1425682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1425685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1425688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425721 */     // MIs[1] Operand 1
     /* 1425721 */     // No operand predicates
     /* 1425721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425725 */     // MIs[0] policy
     /* 1425725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425762 */     // GIR_Coverage, 5837,
     /* 1425762 */     GIR_EraseRootFromParent_Done,
     /* 1425763 */   // Label 20106: @1425763
     /* 1425763 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1425860), // Rule ID 5838 //
     /* 1425768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1425779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1425782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1425785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425818 */     // MIs[1] Operand 1
     /* 1425818 */     // No operand predicates
     /* 1425818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425822 */     // MIs[0] policy
     /* 1425822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1425837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425859 */     // GIR_Coverage, 5838,
     /* 1425859 */     GIR_EraseRootFromParent_Done,
     /* 1425860 */   // Label 20107: @1425860
     /* 1425860 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1425957), // Rule ID 5841 //
     /* 1425865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1425876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1425879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1425882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425915 */     // MIs[1] Operand 1
     /* 1425915 */     // No operand predicates
     /* 1425915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425919 */     // MIs[0] policy
     /* 1425919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425956 */     // GIR_Coverage, 5841,
     /* 1425956 */     GIR_EraseRootFromParent_Done,
     /* 1425957 */   // Label 20108: @1425957
     /* 1425957 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1426054), // Rule ID 5842 //
     /* 1425962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1425973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1425976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1425979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426012 */     // MIs[1] Operand 1
     /* 1426012 */     // No operand predicates
     /* 1426012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426016 */     // MIs[0] policy
     /* 1426016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426053 */     // GIR_Coverage, 5842,
     /* 1426053 */     GIR_EraseRootFromParent_Done,
     /* 1426054 */   // Label 20109: @1426054
     /* 1426054 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1426151), // Rule ID 5845 //
     /* 1426059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426109 */     // MIs[1] Operand 1
     /* 1426109 */     // No operand predicates
     /* 1426109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426113 */     // MIs[0] policy
     /* 1426113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426150 */     // GIR_Coverage, 5845,
     /* 1426150 */     GIR_EraseRootFromParent_Done,
     /* 1426151 */   // Label 20110: @1426151
     /* 1426151 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1426248), // Rule ID 5846 //
     /* 1426156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426206 */     // MIs[1] Operand 1
     /* 1426206 */     // No operand predicates
     /* 1426206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426210 */     // MIs[0] policy
     /* 1426210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1426225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426247 */     // GIR_Coverage, 5846,
     /* 1426247 */     GIR_EraseRootFromParent_Done,
     /* 1426248 */   // Label 20111: @1426248
     /* 1426248 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1426345), // Rule ID 5849 //
     /* 1426253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426303 */     // MIs[1] Operand 1
     /* 1426303 */     // No operand predicates
     /* 1426303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426307 */     // MIs[0] policy
     /* 1426307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426344 */     // GIR_Coverage, 5849,
     /* 1426344 */     GIR_EraseRootFromParent_Done,
     /* 1426345 */   // Label 20112: @1426345
     /* 1426345 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1426442), // Rule ID 5850 //
     /* 1426350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426400 */     // MIs[1] Operand 1
     /* 1426400 */     // No operand predicates
     /* 1426400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426404 */     // MIs[0] policy
     /* 1426404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426441 */     // GIR_Coverage, 5850,
     /* 1426441 */     GIR_EraseRootFromParent_Done,
     /* 1426442 */   // Label 20113: @1426442
     /* 1426442 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1426539), // Rule ID 5853 //
     /* 1426447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426497 */     // MIs[1] Operand 1
     /* 1426497 */     // No operand predicates
     /* 1426497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426501 */     // MIs[0] policy
     /* 1426501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426538 */     // GIR_Coverage, 5853,
     /* 1426538 */     GIR_EraseRootFromParent_Done,
     /* 1426539 */   // Label 20114: @1426539
     /* 1426539 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1426636), // Rule ID 5854 //
     /* 1426544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426594 */     // MIs[1] Operand 1
     /* 1426594 */     // No operand predicates
     /* 1426594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426598 */     // MIs[0] policy
     /* 1426598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426635 */     // GIR_Coverage, 5854,
     /* 1426635 */     GIR_EraseRootFromParent_Done,
     /* 1426636 */   // Label 20115: @1426636
     /* 1426636 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1426733), // Rule ID 5857 //
     /* 1426641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426691 */     // MIs[1] Operand 1
     /* 1426691 */     // No operand predicates
     /* 1426691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426695 */     // MIs[0] policy
     /* 1426695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426732 */     // GIR_Coverage, 5857,
     /* 1426732 */     GIR_EraseRootFromParent_Done,
     /* 1426733 */   // Label 20116: @1426733
     /* 1426733 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1426830), // Rule ID 5858 //
     /* 1426738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426788 */     // MIs[1] Operand 1
     /* 1426788 */     // No operand predicates
     /* 1426788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426792 */     // MIs[0] policy
     /* 1426792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426829 */     // GIR_Coverage, 5858,
     /* 1426829 */     GIR_EraseRootFromParent_Done,
     /* 1426830 */   // Label 20117: @1426830
     /* 1426830 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1426927), // Rule ID 5861 //
     /* 1426835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1426838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1426846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1426849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1426852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426885 */     // MIs[1] Operand 1
     /* 1426885 */     // No operand predicates
     /* 1426885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426889 */     // MIs[0] policy
     /* 1426889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1426904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1426923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426926 */     // GIR_Coverage, 5861,
     /* 1426926 */     GIR_EraseRootFromParent_Done,
     /* 1426927 */   // Label 20118: @1426927
     /* 1426927 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1427024), // Rule ID 5862 //
     /* 1426932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1426935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1426943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1426946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1426949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426982 */     // MIs[1] Operand 1
     /* 1426982 */     // No operand predicates
     /* 1426982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426986 */     // MIs[0] policy
     /* 1426986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1427001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427023 */     // GIR_Coverage, 5862,
     /* 1427023 */     GIR_EraseRootFromParent_Done,
     /* 1427024 */   // Label 20119: @1427024
     /* 1427024 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1427121), // Rule ID 5865 //
     /* 1427029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427079 */     // MIs[1] Operand 1
     /* 1427079 */     // No operand predicates
     /* 1427079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427083 */     // MIs[0] policy
     /* 1427083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427120 */     // GIR_Coverage, 5865,
     /* 1427120 */     GIR_EraseRootFromParent_Done,
     /* 1427121 */   // Label 20120: @1427121
     /* 1427121 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1427218), // Rule ID 5866 //
     /* 1427126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427176 */     // MIs[1] Operand 1
     /* 1427176 */     // No operand predicates
     /* 1427176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427180 */     // MIs[0] policy
     /* 1427180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427217 */     // GIR_Coverage, 5866,
     /* 1427217 */     GIR_EraseRootFromParent_Done,
     /* 1427218 */   // Label 20121: @1427218
     /* 1427218 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1427315), // Rule ID 5869 //
     /* 1427223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427273 */     // MIs[1] Operand 1
     /* 1427273 */     // No operand predicates
     /* 1427273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427277 */     // MIs[0] policy
     /* 1427277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427289 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427314 */     // GIR_Coverage, 5869,
     /* 1427314 */     GIR_EraseRootFromParent_Done,
     /* 1427315 */   // Label 20122: @1427315
     /* 1427315 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1427412), // Rule ID 5870 //
     /* 1427320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427370 */     // MIs[1] Operand 1
     /* 1427370 */     // No operand predicates
     /* 1427370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427374 */     // MIs[0] policy
     /* 1427374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427411 */     // GIR_Coverage, 5870,
     /* 1427411 */     GIR_EraseRootFromParent_Done,
     /* 1427412 */   // Label 20123: @1427412
     /* 1427412 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1427509), // Rule ID 5873 //
     /* 1427417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427467 */     // MIs[1] Operand 1
     /* 1427467 */     // No operand predicates
     /* 1427467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427471 */     // MIs[0] policy
     /* 1427471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427508 */     // GIR_Coverage, 5873,
     /* 1427508 */     GIR_EraseRootFromParent_Done,
     /* 1427509 */   // Label 20124: @1427509
     /* 1427509 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1427606), // Rule ID 5874 //
     /* 1427514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427564 */     // MIs[1] Operand 1
     /* 1427564 */     // No operand predicates
     /* 1427564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427568 */     // MIs[0] policy
     /* 1427568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427605 */     // GIR_Coverage, 5874,
     /* 1427605 */     GIR_EraseRootFromParent_Done,
     /* 1427606 */   // Label 20125: @1427606
     /* 1427606 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1427703), // Rule ID 5877 //
     /* 1427611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427661 */     // MIs[1] Operand 1
     /* 1427661 */     // No operand predicates
     /* 1427661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427665 */     // MIs[0] policy
     /* 1427665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427702 */     // GIR_Coverage, 5877,
     /* 1427702 */     GIR_EraseRootFromParent_Done,
     /* 1427703 */   // Label 20126: @1427703
     /* 1427703 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1427800), // Rule ID 5878 //
     /* 1427708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427758 */     // MIs[1] Operand 1
     /* 1427758 */     // No operand predicates
     /* 1427758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427762 */     // MIs[0] policy
     /* 1427762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427799 */     // GIR_Coverage, 5878,
     /* 1427799 */     GIR_EraseRootFromParent_Done,
     /* 1427800 */   // Label 20127: @1427800
     /* 1427800 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1427897), // Rule ID 5881 //
     /* 1427805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427855 */     // MIs[1] Operand 1
     /* 1427855 */     // No operand predicates
     /* 1427855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427859 */     // MIs[0] policy
     /* 1427859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427896 */     // GIR_Coverage, 5881,
     /* 1427896 */     GIR_EraseRootFromParent_Done,
     /* 1427897 */   // Label 20128: @1427897
     /* 1427897 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1427994), // Rule ID 5882 //
     /* 1427902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427952 */     // MIs[1] Operand 1
     /* 1427952 */     // No operand predicates
     /* 1427952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427956 */     // MIs[0] policy
     /* 1427956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427993 */     // GIR_Coverage, 5882,
     /* 1427993 */     GIR_EraseRootFromParent_Done,
     /* 1427994 */   // Label 20129: @1427994
     /* 1427994 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1428091), // Rule ID 5885 //
     /* 1427999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428049 */     // MIs[1] Operand 1
     /* 1428049 */     // No operand predicates
     /* 1428049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428053 */     // MIs[0] policy
     /* 1428053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428065 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428090 */     // GIR_Coverage, 5885,
     /* 1428090 */     GIR_EraseRootFromParent_Done,
     /* 1428091 */   // Label 20130: @1428091
     /* 1428091 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1428188), // Rule ID 5886 //
     /* 1428096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428146 */     // MIs[1] Operand 1
     /* 1428146 */     // No operand predicates
     /* 1428146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428150 */     // MIs[0] policy
     /* 1428150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428187 */     // GIR_Coverage, 5886,
     /* 1428187 */     GIR_EraseRootFromParent_Done,
     /* 1428188 */   // Label 20131: @1428188
     /* 1428188 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1428285), // Rule ID 5889 //
     /* 1428193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428243 */     // MIs[1] Operand 1
     /* 1428243 */     // No operand predicates
     /* 1428243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428247 */     // MIs[0] policy
     /* 1428247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428284 */     // GIR_Coverage, 5889,
     /* 1428284 */     GIR_EraseRootFromParent_Done,
     /* 1428285 */   // Label 20132: @1428285
     /* 1428285 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1428382), // Rule ID 5890 //
     /* 1428290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428340 */     // MIs[1] Operand 1
     /* 1428340 */     // No operand predicates
     /* 1428340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428344 */     // MIs[0] policy
     /* 1428344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428381 */     // GIR_Coverage, 5890,
     /* 1428381 */     GIR_EraseRootFromParent_Done,
     /* 1428382 */   // Label 20133: @1428382
     /* 1428382 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1428479), // Rule ID 5893 //
     /* 1428387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428437 */     // MIs[1] Operand 1
     /* 1428437 */     // No operand predicates
     /* 1428437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428441 */     // MIs[0] policy
     /* 1428441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428478 */     // GIR_Coverage, 5893,
     /* 1428478 */     GIR_EraseRootFromParent_Done,
     /* 1428479 */   // Label 20134: @1428479
     /* 1428479 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1428576), // Rule ID 5894 //
     /* 1428484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428534 */     // MIs[1] Operand 1
     /* 1428534 */     // No operand predicates
     /* 1428534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428538 */     // MIs[0] policy
     /* 1428538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1428553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428575 */     // GIR_Coverage, 5894,
     /* 1428575 */     GIR_EraseRootFromParent_Done,
     /* 1428576 */   // Label 20135: @1428576
     /* 1428576 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1428673), // Rule ID 5897 //
     /* 1428581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428631 */     // MIs[1] Operand 1
     /* 1428631 */     // No operand predicates
     /* 1428631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428635 */     // MIs[0] policy
     /* 1428635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428672 */     // GIR_Coverage, 5897,
     /* 1428672 */     GIR_EraseRootFromParent_Done,
     /* 1428673 */   // Label 20136: @1428673
     /* 1428673 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1428770), // Rule ID 5898 //
     /* 1428678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428728 */     // MIs[1] Operand 1
     /* 1428728 */     // No operand predicates
     /* 1428728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428732 */     // MIs[0] policy
     /* 1428732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428769 */     // GIR_Coverage, 5898,
     /* 1428769 */     GIR_EraseRootFromParent_Done,
     /* 1428770 */   // Label 20137: @1428770
     /* 1428770 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1428867), // Rule ID 5901 //
     /* 1428775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1428778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428825 */     // MIs[1] Operand 1
     /* 1428825 */     // No operand predicates
     /* 1428825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428829 */     // MIs[0] policy
     /* 1428829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428866 */     // GIR_Coverage, 5901,
     /* 1428866 */     GIR_EraseRootFromParent_Done,
     /* 1428867 */   // Label 20138: @1428867
     /* 1428867 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1428964), // Rule ID 5902 //
     /* 1428872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1428875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428922 */     // MIs[1] Operand 1
     /* 1428922 */     // No operand predicates
     /* 1428922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428926 */     // MIs[0] policy
     /* 1428926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1428941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428963 */     // GIR_Coverage, 5902,
     /* 1428963 */     GIR_EraseRootFromParent_Done,
     /* 1428964 */   // Label 20139: @1428964
     /* 1428964 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1429061), // Rule ID 5905 //
     /* 1428969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1428972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1428980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1428983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1428986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429019 */     // MIs[1] Operand 1
     /* 1429019 */     // No operand predicates
     /* 1429019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429023 */     // MIs[0] policy
     /* 1429023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429060 */     // GIR_Coverage, 5905,
     /* 1429060 */     GIR_EraseRootFromParent_Done,
     /* 1429061 */   // Label 20140: @1429061
     /* 1429061 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1429158), // Rule ID 5906 //
     /* 1429066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429116 */     // MIs[1] Operand 1
     /* 1429116 */     // No operand predicates
     /* 1429116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429120 */     // MIs[0] policy
     /* 1429120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1429135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429157 */     // GIR_Coverage, 5906,
     /* 1429157 */     GIR_EraseRootFromParent_Done,
     /* 1429158 */   // Label 20141: @1429158
     /* 1429158 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1429255), // Rule ID 5909 //
     /* 1429163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429213 */     // MIs[1] Operand 1
     /* 1429213 */     // No operand predicates
     /* 1429213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429217 */     // MIs[0] policy
     /* 1429217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429229 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429254 */     // GIR_Coverage, 5909,
     /* 1429254 */     GIR_EraseRootFromParent_Done,
     /* 1429255 */   // Label 20142: @1429255
     /* 1429255 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1429352), // Rule ID 5910 //
     /* 1429260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429310 */     // MIs[1] Operand 1
     /* 1429310 */     // No operand predicates
     /* 1429310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429314 */     // MIs[0] policy
     /* 1429314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1429329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429351 */     // GIR_Coverage, 5910,
     /* 1429351 */     GIR_EraseRootFromParent_Done,
     /* 1429352 */   // Label 20143: @1429352
     /* 1429352 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1429449), // Rule ID 6089 //
     /* 1429357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429407 */     // MIs[1] Operand 1
     /* 1429407 */     // No operand predicates
     /* 1429407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429411 */     // MIs[0] policy
     /* 1429411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429448 */     // GIR_Coverage, 6089,
     /* 1429448 */     GIR_EraseRootFromParent_Done,
     /* 1429449 */   // Label 20144: @1429449
     /* 1429449 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1429546), // Rule ID 6090 //
     /* 1429454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429504 */     // MIs[1] Operand 1
     /* 1429504 */     // No operand predicates
     /* 1429504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429508 */     // MIs[0] policy
     /* 1429508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1429523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429545 */     // GIR_Coverage, 6090,
     /* 1429545 */     GIR_EraseRootFromParent_Done,
     /* 1429546 */   // Label 20145: @1429546
     /* 1429546 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1429643), // Rule ID 6093 //
     /* 1429551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429601 */     // MIs[1] Operand 1
     /* 1429601 */     // No operand predicates
     /* 1429601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429605 */     // MIs[0] policy
     /* 1429605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1429620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429642 */     // GIR_Coverage, 6093,
     /* 1429642 */     GIR_EraseRootFromParent_Done,
     /* 1429643 */   // Label 20146: @1429643
     /* 1429643 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1429740), // Rule ID 6094 //
     /* 1429648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429698 */     // MIs[1] Operand 1
     /* 1429698 */     // No operand predicates
     /* 1429698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429702 */     // MIs[0] policy
     /* 1429702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1429717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429739 */     // GIR_Coverage, 6094,
     /* 1429739 */     GIR_EraseRootFromParent_Done,
     /* 1429740 */   // Label 20147: @1429740
     /* 1429740 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1429837), // Rule ID 6097 //
     /* 1429745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1429756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1429759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1429762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429795 */     // MIs[1] Operand 1
     /* 1429795 */     // No operand predicates
     /* 1429795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429799 */     // MIs[0] policy
     /* 1429799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429836 */     // GIR_Coverage, 6097,
     /* 1429836 */     GIR_EraseRootFromParent_Done,
     /* 1429837 */   // Label 20148: @1429837
     /* 1429837 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1429934), // Rule ID 6098 //
     /* 1429842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1429853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1429856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1429859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429892 */     // MIs[1] Operand 1
     /* 1429892 */     // No operand predicates
     /* 1429892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429896 */     // MIs[0] policy
     /* 1429896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429933 */     // GIR_Coverage, 6098,
     /* 1429933 */     GIR_EraseRootFromParent_Done,
     /* 1429934 */   // Label 20149: @1429934
     /* 1429934 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1430031), // Rule ID 6101 //
     /* 1429939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1429950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1429953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1429956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429989 */     // MIs[1] Operand 1
     /* 1429989 */     // No operand predicates
     /* 1429989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429993 */     // MIs[0] policy
     /* 1429993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430030 */     // GIR_Coverage, 6101,
     /* 1430030 */     GIR_EraseRootFromParent_Done,
     /* 1430031 */   // Label 20150: @1430031
     /* 1430031 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1430128), // Rule ID 6102 //
     /* 1430036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430086 */     // MIs[1] Operand 1
     /* 1430086 */     // No operand predicates
     /* 1430086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430090 */     // MIs[0] policy
     /* 1430090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1430105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430127 */     // GIR_Coverage, 6102,
     /* 1430127 */     GIR_EraseRootFromParent_Done,
     /* 1430128 */   // Label 20151: @1430128
     /* 1430128 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1430225), // Rule ID 6105 //
     /* 1430133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430183 */     // MIs[1] Operand 1
     /* 1430183 */     // No operand predicates
     /* 1430183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430187 */     // MIs[0] policy
     /* 1430187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430224 */     // GIR_Coverage, 6105,
     /* 1430224 */     GIR_EraseRootFromParent_Done,
     /* 1430225 */   // Label 20152: @1430225
     /* 1430225 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1430322), // Rule ID 6106 //
     /* 1430230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430280 */     // MIs[1] Operand 1
     /* 1430280 */     // No operand predicates
     /* 1430280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430284 */     // MIs[0] policy
     /* 1430284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430321 */     // GIR_Coverage, 6106,
     /* 1430321 */     GIR_EraseRootFromParent_Done,
     /* 1430322 */   // Label 20153: @1430322
     /* 1430322 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1430419), // Rule ID 6109 //
     /* 1430327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430377 */     // MIs[1] Operand 1
     /* 1430377 */     // No operand predicates
     /* 1430377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430381 */     // MIs[0] policy
     /* 1430381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430418 */     // GIR_Coverage, 6109,
     /* 1430418 */     GIR_EraseRootFromParent_Done,
     /* 1430419 */   // Label 20154: @1430419
     /* 1430419 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1430516), // Rule ID 6110 //
     /* 1430424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430474 */     // MIs[1] Operand 1
     /* 1430474 */     // No operand predicates
     /* 1430474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430478 */     // MIs[0] policy
     /* 1430478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1430493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430515 */     // GIR_Coverage, 6110,
     /* 1430515 */     GIR_EraseRootFromParent_Done,
     /* 1430516 */   // Label 20155: @1430516
     /* 1430516 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1430613), // Rule ID 6113 //
     /* 1430521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430571 */     // MIs[1] Operand 1
     /* 1430571 */     // No operand predicates
     /* 1430571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430575 */     // MIs[0] policy
     /* 1430575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430612 */     // GIR_Coverage, 6113,
     /* 1430612 */     GIR_EraseRootFromParent_Done,
     /* 1430613 */   // Label 20156: @1430613
     /* 1430613 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1430710), // Rule ID 6114 //
     /* 1430618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430668 */     // MIs[1] Operand 1
     /* 1430668 */     // No operand predicates
     /* 1430668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430672 */     // MIs[0] policy
     /* 1430672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430709 */     // GIR_Coverage, 6114,
     /* 1430709 */     GIR_EraseRootFromParent_Done,
     /* 1430710 */   // Label 20157: @1430710
     /* 1430710 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1430807), // Rule ID 6117 //
     /* 1430715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1430726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1430729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1430732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430765 */     // MIs[1] Operand 1
     /* 1430765 */     // No operand predicates
     /* 1430765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430769 */     // MIs[0] policy
     /* 1430769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430806 */     // GIR_Coverage, 6117,
     /* 1430806 */     GIR_EraseRootFromParent_Done,
     /* 1430807 */   // Label 20158: @1430807
     /* 1430807 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1430904), // Rule ID 6118 //
     /* 1430812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1430823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1430826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1430829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430862 */     // MIs[1] Operand 1
     /* 1430862 */     // No operand predicates
     /* 1430862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430866 */     // MIs[0] policy
     /* 1430866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430903 */     // GIR_Coverage, 6118,
     /* 1430903 */     GIR_EraseRootFromParent_Done,
     /* 1430904 */   // Label 20159: @1430904
     /* 1430904 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1431001), // Rule ID 6121 //
     /* 1430909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1430920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1430923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1430926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430959 */     // MIs[1] Operand 1
     /* 1430959 */     // No operand predicates
     /* 1430959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430963 */     // MIs[0] policy
     /* 1430963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431000 */     // GIR_Coverage, 6121,
     /* 1431000 */     GIR_EraseRootFromParent_Done,
     /* 1431001 */   // Label 20160: @1431001
     /* 1431001 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1431098), // Rule ID 6122 //
     /* 1431006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431056 */     // MIs[1] Operand 1
     /* 1431056 */     // No operand predicates
     /* 1431056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431060 */     // MIs[0] policy
     /* 1431060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431097 */     // GIR_Coverage, 6122,
     /* 1431097 */     GIR_EraseRootFromParent_Done,
     /* 1431098 */   // Label 20161: @1431098
     /* 1431098 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1431195), // Rule ID 6125 //
     /* 1431103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431153 */     // MIs[1] Operand 1
     /* 1431153 */     // No operand predicates
     /* 1431153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431157 */     // MIs[0] policy
     /* 1431157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431194 */     // GIR_Coverage, 6125,
     /* 1431194 */     GIR_EraseRootFromParent_Done,
     /* 1431195 */   // Label 20162: @1431195
     /* 1431195 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1431292), // Rule ID 6126 //
     /* 1431200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431250 */     // MIs[1] Operand 1
     /* 1431250 */     // No operand predicates
     /* 1431250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431254 */     // MIs[0] policy
     /* 1431254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1431269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431291 */     // GIR_Coverage, 6126,
     /* 1431291 */     GIR_EraseRootFromParent_Done,
     /* 1431292 */   // Label 20163: @1431292
     /* 1431292 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1431389), // Rule ID 6129 //
     /* 1431297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431347 */     // MIs[1] Operand 1
     /* 1431347 */     // No operand predicates
     /* 1431347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431351 */     // MIs[0] policy
     /* 1431351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431388 */     // GIR_Coverage, 6129,
     /* 1431388 */     GIR_EraseRootFromParent_Done,
     /* 1431389 */   // Label 20164: @1431389
     /* 1431389 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1431486), // Rule ID 6130 //
     /* 1431394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431444 */     // MIs[1] Operand 1
     /* 1431444 */     // No operand predicates
     /* 1431444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431448 */     // MIs[0] policy
     /* 1431448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431460 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431485 */     // GIR_Coverage, 6130,
     /* 1431485 */     GIR_EraseRootFromParent_Done,
     /* 1431486 */   // Label 20165: @1431486
     /* 1431486 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1431583), // Rule ID 6133 //
     /* 1431491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431541 */     // MIs[1] Operand 1
     /* 1431541 */     // No operand predicates
     /* 1431541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431545 */     // MIs[0] policy
     /* 1431545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431582 */     // GIR_Coverage, 6133,
     /* 1431582 */     GIR_EraseRootFromParent_Done,
     /* 1431583 */   // Label 20166: @1431583
     /* 1431583 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1431680), // Rule ID 6134 //
     /* 1431588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431638 */     // MIs[1] Operand 1
     /* 1431638 */     // No operand predicates
     /* 1431638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431642 */     // MIs[0] policy
     /* 1431642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431679 */     // GIR_Coverage, 6134,
     /* 1431679 */     GIR_EraseRootFromParent_Done,
     /* 1431680 */   // Label 20167: @1431680
     /* 1431680 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1431777), // Rule ID 6137 //
     /* 1431685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1431696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1431699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1431702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1431708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431735 */     // MIs[1] Operand 1
     /* 1431735 */     // No operand predicates
     /* 1431735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431739 */     // MIs[0] policy
     /* 1431739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431776 */     // GIR_Coverage, 6137,
     /* 1431776 */     GIR_EraseRootFromParent_Done,
     /* 1431777 */   // Label 20168: @1431777
     /* 1431777 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1431874), // Rule ID 6138 //
     /* 1431782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1431793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1431796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1431799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1431805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431832 */     // MIs[1] Operand 1
     /* 1431832 */     // No operand predicates
     /* 1431832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431836 */     // MIs[0] policy
     /* 1431836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431848 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431873 */     // GIR_Coverage, 6138,
     /* 1431873 */     GIR_EraseRootFromParent_Done,
     /* 1431874 */   // Label 20169: @1431874
     /* 1431874 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1431971), // Rule ID 6141 //
     /* 1431879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1431890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1431893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1431896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431929 */     // MIs[1] Operand 1
     /* 1431929 */     // No operand predicates
     /* 1431929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431933 */     // MIs[0] policy
     /* 1431933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431970 */     // GIR_Coverage, 6141,
     /* 1431970 */     GIR_EraseRootFromParent_Done,
     /* 1431971 */   // Label 20170: @1431971
     /* 1431971 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1432068), // Rule ID 6142 //
     /* 1431976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1431987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1431990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1431993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432026 */     // MIs[1] Operand 1
     /* 1432026 */     // No operand predicates
     /* 1432026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432030 */     // MIs[0] policy
     /* 1432030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432067 */     // GIR_Coverage, 6142,
     /* 1432067 */     GIR_EraseRootFromParent_Done,
     /* 1432068 */   // Label 20171: @1432068
     /* 1432068 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1432165), // Rule ID 6145 //
     /* 1432073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432123 */     // MIs[1] Operand 1
     /* 1432123 */     // No operand predicates
     /* 1432123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432127 */     // MIs[0] policy
     /* 1432127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432164 */     // GIR_Coverage, 6145,
     /* 1432164 */     GIR_EraseRootFromParent_Done,
     /* 1432165 */   // Label 20172: @1432165
     /* 1432165 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1432262), // Rule ID 6146 //
     /* 1432170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432220 */     // MIs[1] Operand 1
     /* 1432220 */     // No operand predicates
     /* 1432220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432224 */     // MIs[0] policy
     /* 1432224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432261 */     // GIR_Coverage, 6146,
     /* 1432261 */     GIR_EraseRootFromParent_Done,
     /* 1432262 */   // Label 20173: @1432262
     /* 1432262 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1432359), // Rule ID 6149 //
     /* 1432267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432317 */     // MIs[1] Operand 1
     /* 1432317 */     // No operand predicates
     /* 1432317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432321 */     // MIs[0] policy
     /* 1432321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432358 */     // GIR_Coverage, 6149,
     /* 1432358 */     GIR_EraseRootFromParent_Done,
     /* 1432359 */   // Label 20174: @1432359
     /* 1432359 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1432456), // Rule ID 6150 //
     /* 1432364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432414 */     // MIs[1] Operand 1
     /* 1432414 */     // No operand predicates
     /* 1432414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432418 */     // MIs[0] policy
     /* 1432418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432430 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432455 */     // GIR_Coverage, 6150,
     /* 1432455 */     GIR_EraseRootFromParent_Done,
     /* 1432456 */   // Label 20175: @1432456
     /* 1432456 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1432553), // Rule ID 6153 //
     /* 1432461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432511 */     // MIs[1] Operand 1
     /* 1432511 */     // No operand predicates
     /* 1432511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432515 */     // MIs[0] policy
     /* 1432515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432552 */     // GIR_Coverage, 6153,
     /* 1432552 */     GIR_EraseRootFromParent_Done,
     /* 1432553 */   // Label 20176: @1432553
     /* 1432553 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1432650), // Rule ID 6154 //
     /* 1432558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432608 */     // MIs[1] Operand 1
     /* 1432608 */     // No operand predicates
     /* 1432608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432612 */     // MIs[0] policy
     /* 1432612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432649 */     // GIR_Coverage, 6154,
     /* 1432649 */     GIR_EraseRootFromParent_Done,
     /* 1432650 */   // Label 20177: @1432650
     /* 1432650 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1432747), // Rule ID 6157 //
     /* 1432655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432705 */     // MIs[1] Operand 1
     /* 1432705 */     // No operand predicates
     /* 1432705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432709 */     // MIs[0] policy
     /* 1432709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432746 */     // GIR_Coverage, 6157,
     /* 1432746 */     GIR_EraseRootFromParent_Done,
     /* 1432747 */   // Label 20178: @1432747
     /* 1432747 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1432844), // Rule ID 6158 //
     /* 1432752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432802 */     // MIs[1] Operand 1
     /* 1432802 */     // No operand predicates
     /* 1432802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432806 */     // MIs[0] policy
     /* 1432806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432843 */     // GIR_Coverage, 6158,
     /* 1432843 */     GIR_EraseRootFromParent_Done,
     /* 1432844 */   // Label 20179: @1432844
     /* 1432844 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1432941), // Rule ID 6161 //
     /* 1432849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1432860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1432863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1432866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432899 */     // MIs[1] Operand 1
     /* 1432899 */     // No operand predicates
     /* 1432899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432903 */     // MIs[0] policy
     /* 1432903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432940 */     // GIR_Coverage, 6161,
     /* 1432940 */     GIR_EraseRootFromParent_Done,
     /* 1432941 */   // Label 20180: @1432941
     /* 1432941 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1433038), // Rule ID 6162 //
     /* 1432946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1432957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1432960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1432963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432996 */     // MIs[1] Operand 1
     /* 1432996 */     // No operand predicates
     /* 1432996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433000 */     // MIs[0] policy
     /* 1433000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433037 */     // GIR_Coverage, 6162,
     /* 1433037 */     GIR_EraseRootFromParent_Done,
     /* 1433038 */   // Label 20181: @1433038
     /* 1433038 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1433135), // Rule ID 6165 //
     /* 1433043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433093 */     // MIs[1] Operand 1
     /* 1433093 */     // No operand predicates
     /* 1433093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433097 */     // MIs[0] policy
     /* 1433097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433134 */     // GIR_Coverage, 6165,
     /* 1433134 */     GIR_EraseRootFromParent_Done,
     /* 1433135 */   // Label 20182: @1433135
     /* 1433135 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1433232), // Rule ID 6166 //
     /* 1433140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433190 */     // MIs[1] Operand 1
     /* 1433190 */     // No operand predicates
     /* 1433190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433194 */     // MIs[0] policy
     /* 1433194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1433209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433231 */     // GIR_Coverage, 6166,
     /* 1433231 */     GIR_EraseRootFromParent_Done,
     /* 1433232 */   // Label 20183: @1433232
     /* 1433232 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1433329), // Rule ID 6169 //
     /* 1433237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433287 */     // MIs[1] Operand 1
     /* 1433287 */     // No operand predicates
     /* 1433287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433291 */     // MIs[0] policy
     /* 1433291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433328 */     // GIR_Coverage, 6169,
     /* 1433328 */     GIR_EraseRootFromParent_Done,
     /* 1433329 */   // Label 20184: @1433329
     /* 1433329 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1433426), // Rule ID 6170 //
     /* 1433334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433384 */     // MIs[1] Operand 1
     /* 1433384 */     // No operand predicates
     /* 1433384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433388 */     // MIs[0] policy
     /* 1433388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1433403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433425 */     // GIR_Coverage, 6170,
     /* 1433425 */     GIR_EraseRootFromParent_Done,
     /* 1433426 */   // Label 20185: @1433426
     /* 1433426 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1433523), // Rule ID 6173 //
     /* 1433431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433481 */     // MIs[1] Operand 1
     /* 1433481 */     // No operand predicates
     /* 1433481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433485 */     // MIs[0] policy
     /* 1433485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433522 */     // GIR_Coverage, 6173,
     /* 1433522 */     GIR_EraseRootFromParent_Done,
     /* 1433523 */   // Label 20186: @1433523
     /* 1433523 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1433620), // Rule ID 6174 //
     /* 1433528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433578 */     // MIs[1] Operand 1
     /* 1433578 */     // No operand predicates
     /* 1433578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433582 */     // MIs[0] policy
     /* 1433582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1433597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433619 */     // GIR_Coverage, 6174,
     /* 1433619 */     GIR_EraseRootFromParent_Done,
     /* 1433620 */   // Label 20187: @1433620
     /* 1433620 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1433717), // Rule ID 6353 //
     /* 1433625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1433636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1433639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1433642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433675 */     // MIs[1] Operand 1
     /* 1433675 */     // No operand predicates
     /* 1433675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433679 */     // MIs[0] policy
     /* 1433679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1433694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433716 */     // GIR_Coverage, 6353,
     /* 1433716 */     GIR_EraseRootFromParent_Done,
     /* 1433717 */   // Label 20188: @1433717
     /* 1433717 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1433814), // Rule ID 6354 //
     /* 1433722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1433733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1433736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1433739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433772 */     // MIs[1] Operand 1
     /* 1433772 */     // No operand predicates
     /* 1433772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433776 */     // MIs[0] policy
     /* 1433776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1433791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433813 */     // GIR_Coverage, 6354,
     /* 1433813 */     GIR_EraseRootFromParent_Done,
     /* 1433814 */   // Label 20189: @1433814
     /* 1433814 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1433911), // Rule ID 6357 //
     /* 1433819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1433830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1433833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1433836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433869 */     // MIs[1] Operand 1
     /* 1433869 */     // No operand predicates
     /* 1433869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433873 */     // MIs[0] policy
     /* 1433873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1433888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433910 */     // GIR_Coverage, 6357,
     /* 1433910 */     GIR_EraseRootFromParent_Done,
     /* 1433911 */   // Label 20190: @1433911
     /* 1433911 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1434008), // Rule ID 6358 //
     /* 1433916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1433927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1433930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1433933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433966 */     // MIs[1] Operand 1
     /* 1433966 */     // No operand predicates
     /* 1433966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433970 */     // MIs[0] policy
     /* 1433970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1433985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434007 */     // GIR_Coverage, 6358,
     /* 1434007 */     GIR_EraseRootFromParent_Done,
     /* 1434008 */   // Label 20191: @1434008
     /* 1434008 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1434105), // Rule ID 6361 //
     /* 1434013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434063 */     // MIs[1] Operand 1
     /* 1434063 */     // No operand predicates
     /* 1434063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434067 */     // MIs[0] policy
     /* 1434067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434104 */     // GIR_Coverage, 6361,
     /* 1434104 */     GIR_EraseRootFromParent_Done,
     /* 1434105 */   // Label 20192: @1434105
     /* 1434105 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1434202), // Rule ID 6362 //
     /* 1434110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434160 */     // MIs[1] Operand 1
     /* 1434160 */     // No operand predicates
     /* 1434160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434164 */     // MIs[0] policy
     /* 1434164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434201 */     // GIR_Coverage, 6362,
     /* 1434201 */     GIR_EraseRootFromParent_Done,
     /* 1434202 */   // Label 20193: @1434202
     /* 1434202 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1434299), // Rule ID 6365 //
     /* 1434207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434257 */     // MIs[1] Operand 1
     /* 1434257 */     // No operand predicates
     /* 1434257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434261 */     // MIs[0] policy
     /* 1434261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434298 */     // GIR_Coverage, 6365,
     /* 1434298 */     GIR_EraseRootFromParent_Done,
     /* 1434299 */   // Label 20194: @1434299
     /* 1434299 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1434396), // Rule ID 6366 //
     /* 1434304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434354 */     // MIs[1] Operand 1
     /* 1434354 */     // No operand predicates
     /* 1434354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434358 */     // MIs[0] policy
     /* 1434358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1434373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434395 */     // GIR_Coverage, 6366,
     /* 1434395 */     GIR_EraseRootFromParent_Done,
     /* 1434396 */   // Label 20195: @1434396
     /* 1434396 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1434493), // Rule ID 6369 //
     /* 1434401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434451 */     // MIs[1] Operand 1
     /* 1434451 */     // No operand predicates
     /* 1434451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434455 */     // MIs[0] policy
     /* 1434455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434492 */     // GIR_Coverage, 6369,
     /* 1434492 */     GIR_EraseRootFromParent_Done,
     /* 1434493 */   // Label 20196: @1434493
     /* 1434493 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1434590), // Rule ID 6370 //
     /* 1434498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434548 */     // MIs[1] Operand 1
     /* 1434548 */     // No operand predicates
     /* 1434548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434552 */     // MIs[0] policy
     /* 1434552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434589 */     // GIR_Coverage, 6370,
     /* 1434589 */     GIR_EraseRootFromParent_Done,
     /* 1434590 */   // Label 20197: @1434590
     /* 1434590 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1434687), // Rule ID 6373 //
     /* 1434595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1434606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1434609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1434612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434645 */     // MIs[1] Operand 1
     /* 1434645 */     // No operand predicates
     /* 1434645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434649 */     // MIs[0] policy
     /* 1434649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434686 */     // GIR_Coverage, 6373,
     /* 1434686 */     GIR_EraseRootFromParent_Done,
     /* 1434687 */   // Label 20198: @1434687
     /* 1434687 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1434784), // Rule ID 6374 //
     /* 1434692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1434703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1434706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1434709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434742 */     // MIs[1] Operand 1
     /* 1434742 */     // No operand predicates
     /* 1434742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434746 */     // MIs[0] policy
     /* 1434746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1434761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434783 */     // GIR_Coverage, 6374,
     /* 1434783 */     GIR_EraseRootFromParent_Done,
     /* 1434784 */   // Label 20199: @1434784
     /* 1434784 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1434881), // Rule ID 6377 //
     /* 1434789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1434800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1434803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1434806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434839 */     // MIs[1] Operand 1
     /* 1434839 */     // No operand predicates
     /* 1434839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434843 */     // MIs[0] policy
     /* 1434843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434880 */     // GIR_Coverage, 6377,
     /* 1434880 */     GIR_EraseRootFromParent_Done,
     /* 1434881 */   // Label 20200: @1434881
     /* 1434881 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1434978), // Rule ID 6378 //
     /* 1434886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1434897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1434900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1434903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434936 */     // MIs[1] Operand 1
     /* 1434936 */     // No operand predicates
     /* 1434936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434940 */     // MIs[0] policy
     /* 1434940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434977 */     // GIR_Coverage, 6378,
     /* 1434977 */     GIR_EraseRootFromParent_Done,
     /* 1434978 */   // Label 20201: @1434978
     /* 1434978 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1435075), // Rule ID 6381 //
     /* 1434983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1434994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1434997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435033 */     // MIs[1] Operand 1
     /* 1435033 */     // No operand predicates
     /* 1435033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435037 */     // MIs[0] policy
     /* 1435037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435074 */     // GIR_Coverage, 6381,
     /* 1435074 */     GIR_EraseRootFromParent_Done,
     /* 1435075 */   // Label 20202: @1435075
     /* 1435075 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1435172), // Rule ID 6382 //
     /* 1435080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435130 */     // MIs[1] Operand 1
     /* 1435130 */     // No operand predicates
     /* 1435130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435134 */     // MIs[0] policy
     /* 1435134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435171 */     // GIR_Coverage, 6382,
     /* 1435171 */     GIR_EraseRootFromParent_Done,
     /* 1435172 */   // Label 20203: @1435172
     /* 1435172 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1435269), // Rule ID 6385 //
     /* 1435177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435227 */     // MIs[1] Operand 1
     /* 1435227 */     // No operand predicates
     /* 1435227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435231 */     // MIs[0] policy
     /* 1435231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435268 */     // GIR_Coverage, 6385,
     /* 1435268 */     GIR_EraseRootFromParent_Done,
     /* 1435269 */   // Label 20204: @1435269
     /* 1435269 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1435366), // Rule ID 6386 //
     /* 1435274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435324 */     // MIs[1] Operand 1
     /* 1435324 */     // No operand predicates
     /* 1435324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435328 */     // MIs[0] policy
     /* 1435328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435365 */     // GIR_Coverage, 6386,
     /* 1435365 */     GIR_EraseRootFromParent_Done,
     /* 1435366 */   // Label 20205: @1435366
     /* 1435366 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1435463), // Rule ID 6389 //
     /* 1435371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435421 */     // MIs[1] Operand 1
     /* 1435421 */     // No operand predicates
     /* 1435421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435425 */     // MIs[0] policy
     /* 1435425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435462 */     // GIR_Coverage, 6389,
     /* 1435462 */     GIR_EraseRootFromParent_Done,
     /* 1435463 */   // Label 20206: @1435463
     /* 1435463 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1435560), // Rule ID 6390 //
     /* 1435468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435518 */     // MIs[1] Operand 1
     /* 1435518 */     // No operand predicates
     /* 1435518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435522 */     // MIs[0] policy
     /* 1435522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1435537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435559 */     // GIR_Coverage, 6390,
     /* 1435559 */     GIR_EraseRootFromParent_Done,
     /* 1435560 */   // Label 20207: @1435560
     /* 1435560 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1435657), // Rule ID 6393 //
     /* 1435565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1435576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1435579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1435582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435615 */     // MIs[1] Operand 1
     /* 1435615 */     // No operand predicates
     /* 1435615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435619 */     // MIs[0] policy
     /* 1435619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435656 */     // GIR_Coverage, 6393,
     /* 1435656 */     GIR_EraseRootFromParent_Done,
     /* 1435657 */   // Label 20208: @1435657
     /* 1435657 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1435754), // Rule ID 6394 //
     /* 1435662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1435673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1435676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1435679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435712 */     // MIs[1] Operand 1
     /* 1435712 */     // No operand predicates
     /* 1435712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435716 */     // MIs[0] policy
     /* 1435716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435753 */     // GIR_Coverage, 6394,
     /* 1435753 */     GIR_EraseRootFromParent_Done,
     /* 1435754 */   // Label 20209: @1435754
     /* 1435754 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1435851), // Rule ID 6397 //
     /* 1435759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1435770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1435773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1435776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435809 */     // MIs[1] Operand 1
     /* 1435809 */     // No operand predicates
     /* 1435809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435813 */     // MIs[0] policy
     /* 1435813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435850 */     // GIR_Coverage, 6397,
     /* 1435850 */     GIR_EraseRootFromParent_Done,
     /* 1435851 */   // Label 20210: @1435851
     /* 1435851 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1435948), // Rule ID 6398 //
     /* 1435856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1435867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1435870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1435873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435906 */     // MIs[1] Operand 1
     /* 1435906 */     // No operand predicates
     /* 1435906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435910 */     // MIs[0] policy
     /* 1435910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435947 */     // GIR_Coverage, 6398,
     /* 1435947 */     GIR_EraseRootFromParent_Done,
     /* 1435948 */   // Label 20211: @1435948
     /* 1435948 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1436045), // Rule ID 6401 //
     /* 1435953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1435964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1435967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1435970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1435976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436003 */     // MIs[1] Operand 1
     /* 1436003 */     // No operand predicates
     /* 1436003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436007 */     // MIs[0] policy
     /* 1436007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436044 */     // GIR_Coverage, 6401,
     /* 1436044 */     GIR_EraseRootFromParent_Done,
     /* 1436045 */   // Label 20212: @1436045
     /* 1436045 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1436142), // Rule ID 6402 //
     /* 1436050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436100 */     // MIs[1] Operand 1
     /* 1436100 */     // No operand predicates
     /* 1436100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436104 */     // MIs[0] policy
     /* 1436104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436141 */     // GIR_Coverage, 6402,
     /* 1436141 */     GIR_EraseRootFromParent_Done,
     /* 1436142 */   // Label 20213: @1436142
     /* 1436142 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1436239), // Rule ID 6405 //
     /* 1436147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436197 */     // MIs[1] Operand 1
     /* 1436197 */     // No operand predicates
     /* 1436197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436201 */     // MIs[0] policy
     /* 1436201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436238 */     // GIR_Coverage, 6405,
     /* 1436238 */     GIR_EraseRootFromParent_Done,
     /* 1436239 */   // Label 20214: @1436239
     /* 1436239 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1436336), // Rule ID 6406 //
     /* 1436244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436294 */     // MIs[1] Operand 1
     /* 1436294 */     // No operand predicates
     /* 1436294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436298 */     // MIs[0] policy
     /* 1436298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436335 */     // GIR_Coverage, 6406,
     /* 1436335 */     GIR_EraseRootFromParent_Done,
     /* 1436336 */   // Label 20215: @1436336
     /* 1436336 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1436433), // Rule ID 6409 //
     /* 1436341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436391 */     // MIs[1] Operand 1
     /* 1436391 */     // No operand predicates
     /* 1436391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436395 */     // MIs[0] policy
     /* 1436395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436432 */     // GIR_Coverage, 6409,
     /* 1436432 */     GIR_EraseRootFromParent_Done,
     /* 1436433 */   // Label 20216: @1436433
     /* 1436433 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1436530), // Rule ID 6410 //
     /* 1436438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436488 */     // MIs[1] Operand 1
     /* 1436488 */     // No operand predicates
     /* 1436488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436492 */     // MIs[0] policy
     /* 1436492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436529 */     // GIR_Coverage, 6410,
     /* 1436529 */     GIR_EraseRootFromParent_Done,
     /* 1436530 */   // Label 20217: @1436530
     /* 1436530 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1436627), // Rule ID 6413 //
     /* 1436535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436585 */     // MIs[1] Operand 1
     /* 1436585 */     // No operand predicates
     /* 1436585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436589 */     // MIs[0] policy
     /* 1436589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436626 */     // GIR_Coverage, 6413,
     /* 1436626 */     GIR_EraseRootFromParent_Done,
     /* 1436627 */   // Label 20218: @1436627
     /* 1436627 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1436724), // Rule ID 6414 //
     /* 1436632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436682 */     // MIs[1] Operand 1
     /* 1436682 */     // No operand predicates
     /* 1436682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436686 */     // MIs[0] policy
     /* 1436686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436723 */     // GIR_Coverage, 6414,
     /* 1436723 */     GIR_EraseRootFromParent_Done,
     /* 1436724 */   // Label 20219: @1436724
     /* 1436724 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1436821), // Rule ID 6417 //
     /* 1436729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1436746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436779 */     // MIs[1] Operand 1
     /* 1436779 */     // No operand predicates
     /* 1436779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436783 */     // MIs[0] policy
     /* 1436783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436820 */     // GIR_Coverage, 6417,
     /* 1436820 */     GIR_EraseRootFromParent_Done,
     /* 1436821 */   // Label 20220: @1436821
     /* 1436821 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1436918), // Rule ID 6418 //
     /* 1436826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1436843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436876 */     // MIs[1] Operand 1
     /* 1436876 */     // No operand predicates
     /* 1436876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436880 */     // MIs[0] policy
     /* 1436880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436917 */     // GIR_Coverage, 6418,
     /* 1436917 */     GIR_EraseRootFromParent_Done,
     /* 1436918 */   // Label 20221: @1436918
     /* 1436918 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1437015), // Rule ID 6421 //
     /* 1436923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1436934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1436937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1436940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436973 */     // MIs[1] Operand 1
     /* 1436973 */     // No operand predicates
     /* 1436973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436977 */     // MIs[0] policy
     /* 1436977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437014 */     // GIR_Coverage, 6421,
     /* 1437014 */     GIR_EraseRootFromParent_Done,
     /* 1437015 */   // Label 20222: @1437015
     /* 1437015 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1437112), // Rule ID 6422 //
     /* 1437020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437070 */     // MIs[1] Operand 1
     /* 1437070 */     // No operand predicates
     /* 1437070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437074 */     // MIs[0] policy
     /* 1437074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437111 */     // GIR_Coverage, 6422,
     /* 1437111 */     GIR_EraseRootFromParent_Done,
     /* 1437112 */   // Label 20223: @1437112
     /* 1437112 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1437209), // Rule ID 6425 //
     /* 1437117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437167 */     // MIs[1] Operand 1
     /* 1437167 */     // No operand predicates
     /* 1437167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437171 */     // MIs[0] policy
     /* 1437171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437208 */     // GIR_Coverage, 6425,
     /* 1437208 */     GIR_EraseRootFromParent_Done,
     /* 1437209 */   // Label 20224: @1437209
     /* 1437209 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1437306), // Rule ID 6426 //
     /* 1437214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437264 */     // MIs[1] Operand 1
     /* 1437264 */     // No operand predicates
     /* 1437264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437268 */     // MIs[0] policy
     /* 1437268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437305 */     // GIR_Coverage, 6426,
     /* 1437305 */     GIR_EraseRootFromParent_Done,
     /* 1437306 */   // Label 20225: @1437306
     /* 1437306 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1437403), // Rule ID 6429 //
     /* 1437311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437361 */     // MIs[1] Operand 1
     /* 1437361 */     // No operand predicates
     /* 1437361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437365 */     // MIs[0] policy
     /* 1437365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437402 */     // GIR_Coverage, 6429,
     /* 1437402 */     GIR_EraseRootFromParent_Done,
     /* 1437403 */   // Label 20226: @1437403
     /* 1437403 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1437500), // Rule ID 6430 //
     /* 1437408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437458 */     // MIs[1] Operand 1
     /* 1437458 */     // No operand predicates
     /* 1437458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437462 */     // MIs[0] policy
     /* 1437462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1437477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437499 */     // GIR_Coverage, 6430,
     /* 1437499 */     GIR_EraseRootFromParent_Done,
     /* 1437500 */   // Label 20227: @1437500
     /* 1437500 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1437597), // Rule ID 6433 //
     /* 1437505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437555 */     // MIs[1] Operand 1
     /* 1437555 */     // No operand predicates
     /* 1437555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437559 */     // MIs[0] policy
     /* 1437559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437596 */     // GIR_Coverage, 6433,
     /* 1437596 */     GIR_EraseRootFromParent_Done,
     /* 1437597 */   // Label 20228: @1437597
     /* 1437597 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1437694), // Rule ID 6434 //
     /* 1437602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437652 */     // MIs[1] Operand 1
     /* 1437652 */     // No operand predicates
     /* 1437652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437656 */     // MIs[0] policy
     /* 1437656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1437671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437693 */     // GIR_Coverage, 6434,
     /* 1437693 */     GIR_EraseRootFromParent_Done,
     /* 1437694 */   // Label 20229: @1437694
     /* 1437694 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1437791), // Rule ID 6437 //
     /* 1437699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1437716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437749 */     // MIs[1] Operand 1
     /* 1437749 */     // No operand predicates
     /* 1437749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437753 */     // MIs[0] policy
     /* 1437753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437790 */     // GIR_Coverage, 6437,
     /* 1437790 */     GIR_EraseRootFromParent_Done,
     /* 1437791 */   // Label 20230: @1437791
     /* 1437791 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1437888), // Rule ID 6438 //
     /* 1437796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1437804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1437813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437846 */     // MIs[1] Operand 1
     /* 1437846 */     // No operand predicates
     /* 1437846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437850 */     // MIs[0] policy
     /* 1437850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1437865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437887 */     // GIR_Coverage, 6438,
     /* 1437887 */     GIR_EraseRootFromParent_Done,
     /* 1437888 */   // Label 20231: @1437888
     /* 1437888 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1437985), // Rule ID 6617 //
     /* 1437893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1437904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1437907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1437910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437943 */     // MIs[1] Operand 1
     /* 1437943 */     // No operand predicates
     /* 1437943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437947 */     // MIs[0] policy
     /* 1437947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1437962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437984 */     // GIR_Coverage, 6617,
     /* 1437984 */     GIR_EraseRootFromParent_Done,
     /* 1437985 */   // Label 20232: @1437985
     /* 1437985 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1438082), // Rule ID 6618 //
     /* 1437990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438040 */     // MIs[1] Operand 1
     /* 1438040 */     // No operand predicates
     /* 1438040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438044 */     // MIs[0] policy
     /* 1438044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1438059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438081 */     // GIR_Coverage, 6618,
     /* 1438081 */     GIR_EraseRootFromParent_Done,
     /* 1438082 */   // Label 20233: @1438082
     /* 1438082 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1438179), // Rule ID 6621 //
     /* 1438087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438137 */     // MIs[1] Operand 1
     /* 1438137 */     // No operand predicates
     /* 1438137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438141 */     // MIs[0] policy
     /* 1438141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438178 */     // GIR_Coverage, 6621,
     /* 1438178 */     GIR_EraseRootFromParent_Done,
     /* 1438179 */   // Label 20234: @1438179
     /* 1438179 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1438276), // Rule ID 6622 //
     /* 1438184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438234 */     // MIs[1] Operand 1
     /* 1438234 */     // No operand predicates
     /* 1438234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438238 */     // MIs[0] policy
     /* 1438238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438275 */     // GIR_Coverage, 6622,
     /* 1438275 */     GIR_EraseRootFromParent_Done,
     /* 1438276 */   // Label 20235: @1438276
     /* 1438276 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1438373), // Rule ID 6625 //
     /* 1438281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438331 */     // MIs[1] Operand 1
     /* 1438331 */     // No operand predicates
     /* 1438331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438335 */     // MIs[0] policy
     /* 1438335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438372 */     // GIR_Coverage, 6625,
     /* 1438372 */     GIR_EraseRootFromParent_Done,
     /* 1438373 */   // Label 20236: @1438373
     /* 1438373 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1438470), // Rule ID 6626 //
     /* 1438378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438428 */     // MIs[1] Operand 1
     /* 1438428 */     // No operand predicates
     /* 1438428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438432 */     // MIs[0] policy
     /* 1438432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438469 */     // GIR_Coverage, 6626,
     /* 1438469 */     GIR_EraseRootFromParent_Done,
     /* 1438470 */   // Label 20237: @1438470
     /* 1438470 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1438567), // Rule ID 6629 //
     /* 1438475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438525 */     // MIs[1] Operand 1
     /* 1438525 */     // No operand predicates
     /* 1438525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438529 */     // MIs[0] policy
     /* 1438529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438566 */     // GIR_Coverage, 6629,
     /* 1438566 */     GIR_EraseRootFromParent_Done,
     /* 1438567 */   // Label 20238: @1438567
     /* 1438567 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1438664), // Rule ID 6630 //
     /* 1438572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438622 */     // MIs[1] Operand 1
     /* 1438622 */     // No operand predicates
     /* 1438622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438626 */     // MIs[0] policy
     /* 1438626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1438641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438663 */     // GIR_Coverage, 6630,
     /* 1438663 */     GIR_EraseRootFromParent_Done,
     /* 1438664 */   // Label 20239: @1438664
     /* 1438664 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1438761), // Rule ID 6633 //
     /* 1438669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1438680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1438683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1438686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438719 */     // MIs[1] Operand 1
     /* 1438719 */     // No operand predicates
     /* 1438719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438723 */     // MIs[0] policy
     /* 1438723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438760 */     // GIR_Coverage, 6633,
     /* 1438760 */     GIR_EraseRootFromParent_Done,
     /* 1438761 */   // Label 20240: @1438761
     /* 1438761 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1438858), // Rule ID 6634 //
     /* 1438766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1438777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1438780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1438783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438816 */     // MIs[1] Operand 1
     /* 1438816 */     // No operand predicates
     /* 1438816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438820 */     // MIs[0] policy
     /* 1438820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438857 */     // GIR_Coverage, 6634,
     /* 1438857 */     GIR_EraseRootFromParent_Done,
     /* 1438858 */   // Label 20241: @1438858
     /* 1438858 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1438955), // Rule ID 6637 //
     /* 1438863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1438874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1438877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1438880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438913 */     // MIs[1] Operand 1
     /* 1438913 */     // No operand predicates
     /* 1438913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438917 */     // MIs[0] policy
     /* 1438917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1438932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438954 */     // GIR_Coverage, 6637,
     /* 1438954 */     GIR_EraseRootFromParent_Done,
     /* 1438955 */   // Label 20242: @1438955
     /* 1438955 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1439052), // Rule ID 6638 //
     /* 1438960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1438971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1438974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1438977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439010 */     // MIs[1] Operand 1
     /* 1439010 */     // No operand predicates
     /* 1439010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439014 */     // MIs[0] policy
     /* 1439014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1439029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439051 */     // GIR_Coverage, 6638,
     /* 1439051 */     GIR_EraseRootFromParent_Done,
     /* 1439052 */   // Label 20243: @1439052
     /* 1439052 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1439149), // Rule ID 6641 //
     /* 1439057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439107 */     // MIs[1] Operand 1
     /* 1439107 */     // No operand predicates
     /* 1439107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439111 */     // MIs[0] policy
     /* 1439111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439148 */     // GIR_Coverage, 6641,
     /* 1439148 */     GIR_EraseRootFromParent_Done,
     /* 1439149 */   // Label 20244: @1439149
     /* 1439149 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1439246), // Rule ID 6642 //
     /* 1439154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439204 */     // MIs[1] Operand 1
     /* 1439204 */     // No operand predicates
     /* 1439204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439208 */     // MIs[0] policy
     /* 1439208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439245 */     // GIR_Coverage, 6642,
     /* 1439245 */     GIR_EraseRootFromParent_Done,
     /* 1439246 */   // Label 20245: @1439246
     /* 1439246 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1439343), // Rule ID 6645 //
     /* 1439251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439301 */     // MIs[1] Operand 1
     /* 1439301 */     // No operand predicates
     /* 1439301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439305 */     // MIs[0] policy
     /* 1439305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439342 */     // GIR_Coverage, 6645,
     /* 1439342 */     GIR_EraseRootFromParent_Done,
     /* 1439343 */   // Label 20246: @1439343
     /* 1439343 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1439440), // Rule ID 6646 //
     /* 1439348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439398 */     // MIs[1] Operand 1
     /* 1439398 */     // No operand predicates
     /* 1439398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439402 */     // MIs[0] policy
     /* 1439402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439439 */     // GIR_Coverage, 6646,
     /* 1439439 */     GIR_EraseRootFromParent_Done,
     /* 1439440 */   // Label 20247: @1439440
     /* 1439440 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1439537), // Rule ID 6649 //
     /* 1439445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439495 */     // MIs[1] Operand 1
     /* 1439495 */     // No operand predicates
     /* 1439495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439499 */     // MIs[0] policy
     /* 1439499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439536 */     // GIR_Coverage, 6649,
     /* 1439536 */     GIR_EraseRootFromParent_Done,
     /* 1439537 */   // Label 20248: @1439537
     /* 1439537 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1439634), // Rule ID 6650 //
     /* 1439542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439592 */     // MIs[1] Operand 1
     /* 1439592 */     // No operand predicates
     /* 1439592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439596 */     // MIs[0] policy
     /* 1439596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439633 */     // GIR_Coverage, 6650,
     /* 1439633 */     GIR_EraseRootFromParent_Done,
     /* 1439634 */   // Label 20249: @1439634
     /* 1439634 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1439731), // Rule ID 6653 //
     /* 1439639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1439656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439689 */     // MIs[1] Operand 1
     /* 1439689 */     // No operand predicates
     /* 1439689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439693 */     // MIs[0] policy
     /* 1439693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439730 */     // GIR_Coverage, 6653,
     /* 1439730 */     GIR_EraseRootFromParent_Done,
     /* 1439731 */   // Label 20250: @1439731
     /* 1439731 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1439828), // Rule ID 6654 //
     /* 1439736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1439739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1439753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439786 */     // MIs[1] Operand 1
     /* 1439786 */     // No operand predicates
     /* 1439786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439790 */     // MIs[0] policy
     /* 1439790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1439805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1439824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439827 */     // GIR_Coverage, 6654,
     /* 1439827 */     GIR_EraseRootFromParent_Done,
     /* 1439828 */   // Label 20251: @1439828
     /* 1439828 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1439925), // Rule ID 6657 //
     /* 1439833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439883 */     // MIs[1] Operand 1
     /* 1439883 */     // No operand predicates
     /* 1439883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439887 */     // MIs[0] policy
     /* 1439887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439924 */     // GIR_Coverage, 6657,
     /* 1439924 */     GIR_EraseRootFromParent_Done,
     /* 1439925 */   // Label 20252: @1439925
     /* 1439925 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1440022), // Rule ID 6658 //
     /* 1439930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439980 */     // MIs[1] Operand 1
     /* 1439980 */     // No operand predicates
     /* 1439980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439984 */     // MIs[0] policy
     /* 1439984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440021 */     // GIR_Coverage, 6658,
     /* 1440021 */     GIR_EraseRootFromParent_Done,
     /* 1440022 */   // Label 20253: @1440022
     /* 1440022 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1440119), // Rule ID 6661 //
     /* 1440027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440077 */     // MIs[1] Operand 1
     /* 1440077 */     // No operand predicates
     /* 1440077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440081 */     // MIs[0] policy
     /* 1440081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440118 */     // GIR_Coverage, 6661,
     /* 1440118 */     GIR_EraseRootFromParent_Done,
     /* 1440119 */   // Label 20254: @1440119
     /* 1440119 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1440216), // Rule ID 6662 //
     /* 1440124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440174 */     // MIs[1] Operand 1
     /* 1440174 */     // No operand predicates
     /* 1440174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440178 */     // MIs[0] policy
     /* 1440178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440215 */     // GIR_Coverage, 6662,
     /* 1440215 */     GIR_EraseRootFromParent_Done,
     /* 1440216 */   // Label 20255: @1440216
     /* 1440216 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1440313), // Rule ID 6665 //
     /* 1440221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440271 */     // MIs[1] Operand 1
     /* 1440271 */     // No operand predicates
     /* 1440271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440275 */     // MIs[0] policy
     /* 1440275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440287 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440312 */     // GIR_Coverage, 6665,
     /* 1440312 */     GIR_EraseRootFromParent_Done,
     /* 1440313 */   // Label 20256: @1440313
     /* 1440313 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1440410), // Rule ID 6666 //
     /* 1440318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440368 */     // MIs[1] Operand 1
     /* 1440368 */     // No operand predicates
     /* 1440368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440372 */     // MIs[0] policy
     /* 1440372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440384 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440409 */     // GIR_Coverage, 6666,
     /* 1440409 */     GIR_EraseRootFromParent_Done,
     /* 1440410 */   // Label 20257: @1440410
     /* 1440410 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1440507), // Rule ID 6669 //
     /* 1440415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440465 */     // MIs[1] Operand 1
     /* 1440465 */     // No operand predicates
     /* 1440465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440469 */     // MIs[0] policy
     /* 1440469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440506 */     // GIR_Coverage, 6669,
     /* 1440506 */     GIR_EraseRootFromParent_Done,
     /* 1440507 */   // Label 20258: @1440507
     /* 1440507 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1440604), // Rule ID 6670 //
     /* 1440512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440562 */     // MIs[1] Operand 1
     /* 1440562 */     // No operand predicates
     /* 1440562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440566 */     // MIs[0] policy
     /* 1440566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440603 */     // GIR_Coverage, 6670,
     /* 1440603 */     GIR_EraseRootFromParent_Done,
     /* 1440604 */   // Label 20259: @1440604
     /* 1440604 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1440701), // Rule ID 6673 //
     /* 1440609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440659 */     // MIs[1] Operand 1
     /* 1440659 */     // No operand predicates
     /* 1440659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440663 */     // MIs[0] policy
     /* 1440663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440700 */     // GIR_Coverage, 6673,
     /* 1440700 */     GIR_EraseRootFromParent_Done,
     /* 1440701 */   // Label 20260: @1440701
     /* 1440701 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1440798), // Rule ID 6674 //
     /* 1440706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440756 */     // MIs[1] Operand 1
     /* 1440756 */     // No operand predicates
     /* 1440756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440760 */     // MIs[0] policy
     /* 1440760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440797 */     // GIR_Coverage, 6674,
     /* 1440797 */     GIR_EraseRootFromParent_Done,
     /* 1440798 */   // Label 20261: @1440798
     /* 1440798 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1440895), // Rule ID 6677 //
     /* 1440803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440853 */     // MIs[1] Operand 1
     /* 1440853 */     // No operand predicates
     /* 1440853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440857 */     // MIs[0] policy
     /* 1440857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440869 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440894 */     // GIR_Coverage, 6677,
     /* 1440894 */     GIR_EraseRootFromParent_Done,
     /* 1440895 */   // Label 20262: @1440895
     /* 1440895 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1440992), // Rule ID 6678 //
     /* 1440900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440950 */     // MIs[1] Operand 1
     /* 1440950 */     // No operand predicates
     /* 1440950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440954 */     // MIs[0] policy
     /* 1440954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440991 */     // GIR_Coverage, 6678,
     /* 1440991 */     GIR_EraseRootFromParent_Done,
     /* 1440992 */   // Label 20263: @1440992
     /* 1440992 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1441089), // Rule ID 6681 //
     /* 1440997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441047 */     // MIs[1] Operand 1
     /* 1441047 */     // No operand predicates
     /* 1441047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441051 */     // MIs[0] policy
     /* 1441051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441088 */     // GIR_Coverage, 6681,
     /* 1441088 */     GIR_EraseRootFromParent_Done,
     /* 1441089 */   // Label 20264: @1441089
     /* 1441089 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1441186), // Rule ID 6682 //
     /* 1441094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441144 */     // MIs[1] Operand 1
     /* 1441144 */     // No operand predicates
     /* 1441144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441148 */     // MIs[0] policy
     /* 1441148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441185 */     // GIR_Coverage, 6682,
     /* 1441185 */     GIR_EraseRootFromParent_Done,
     /* 1441186 */   // Label 20265: @1441186
     /* 1441186 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1441283), // Rule ID 6685 //
     /* 1441191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441241 */     // MIs[1] Operand 1
     /* 1441241 */     // No operand predicates
     /* 1441241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441245 */     // MIs[0] policy
     /* 1441245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441282 */     // GIR_Coverage, 6685,
     /* 1441282 */     GIR_EraseRootFromParent_Done,
     /* 1441283 */   // Label 20266: @1441283
     /* 1441283 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1441380), // Rule ID 6686 //
     /* 1441288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441338 */     // MIs[1] Operand 1
     /* 1441338 */     // No operand predicates
     /* 1441338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441342 */     // MIs[0] policy
     /* 1441342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441379 */     // GIR_Coverage, 6686,
     /* 1441379 */     GIR_EraseRootFromParent_Done,
     /* 1441380 */   // Label 20267: @1441380
     /* 1441380 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1441477), // Rule ID 6689 //
     /* 1441385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441435 */     // MIs[1] Operand 1
     /* 1441435 */     // No operand predicates
     /* 1441435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441439 */     // MIs[0] policy
     /* 1441439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441476 */     // GIR_Coverage, 6689,
     /* 1441476 */     GIR_EraseRootFromParent_Done,
     /* 1441477 */   // Label 20268: @1441477
     /* 1441477 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1441574), // Rule ID 6690 //
     /* 1441482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441532 */     // MIs[1] Operand 1
     /* 1441532 */     // No operand predicates
     /* 1441532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441536 */     // MIs[0] policy
     /* 1441536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1441551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441573 */     // GIR_Coverage, 6690,
     /* 1441573 */     GIR_EraseRootFromParent_Done,
     /* 1441574 */   // Label 20269: @1441574
     /* 1441574 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1441671), // Rule ID 6693 //
     /* 1441579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441629 */     // MIs[1] Operand 1
     /* 1441629 */     // No operand predicates
     /* 1441629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441633 */     // MIs[0] policy
     /* 1441633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441670 */     // GIR_Coverage, 6693,
     /* 1441670 */     GIR_EraseRootFromParent_Done,
     /* 1441671 */   // Label 20270: @1441671
     /* 1441671 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1441768), // Rule ID 6694 //
     /* 1441676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441726 */     // MIs[1] Operand 1
     /* 1441726 */     // No operand predicates
     /* 1441726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441730 */     // MIs[0] policy
     /* 1441730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1441745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441767 */     // GIR_Coverage, 6694,
     /* 1441767 */     GIR_EraseRootFromParent_Done,
     /* 1441768 */   // Label 20271: @1441768
     /* 1441768 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1441865), // Rule ID 6697 //
     /* 1441773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441823 */     // MIs[1] Operand 1
     /* 1441823 */     // No operand predicates
     /* 1441823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441827 */     // MIs[0] policy
     /* 1441827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441864 */     // GIR_Coverage, 6697,
     /* 1441864 */     GIR_EraseRootFromParent_Done,
     /* 1441865 */   // Label 20272: @1441865
     /* 1441865 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1441962), // Rule ID 6698 //
     /* 1441870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441920 */     // MIs[1] Operand 1
     /* 1441920 */     // No operand predicates
     /* 1441920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441924 */     // MIs[0] policy
     /* 1441924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1441939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441961 */     // GIR_Coverage, 6698,
     /* 1441961 */     GIR_EraseRootFromParent_Done,
     /* 1441962 */   // Label 20273: @1441962
     /* 1441962 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1442059), // Rule ID 6701 //
     /* 1441967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1441975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1441978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1441981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1441984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442017 */     // MIs[1] Operand 1
     /* 1442017 */     // No operand predicates
     /* 1442017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442021 */     // MIs[0] policy
     /* 1442021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442058 */     // GIR_Coverage, 6701,
     /* 1442058 */     GIR_EraseRootFromParent_Done,
     /* 1442059 */   // Label 20274: @1442059
     /* 1442059 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1442156), // Rule ID 6702 //
     /* 1442064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442114 */     // MIs[1] Operand 1
     /* 1442114 */     // No operand predicates
     /* 1442114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442118 */     // MIs[0] policy
     /* 1442118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1442133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442155 */     // GIR_Coverage, 6702,
     /* 1442155 */     GIR_EraseRootFromParent_Done,
     /* 1442156 */   // Label 20275: @1442156
     /* 1442156 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1442253), // Rule ID 6881 //
     /* 1442161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442211 */     // MIs[1] Operand 1
     /* 1442211 */     // No operand predicates
     /* 1442211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442215 */     // MIs[0] policy
     /* 1442215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442252 */     // GIR_Coverage, 6881,
     /* 1442252 */     GIR_EraseRootFromParent_Done,
     /* 1442253 */   // Label 20276: @1442253
     /* 1442253 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1442350), // Rule ID 6882 //
     /* 1442258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442308 */     // MIs[1] Operand 1
     /* 1442308 */     // No operand predicates
     /* 1442308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442312 */     // MIs[0] policy
     /* 1442312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1442327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442349 */     // GIR_Coverage, 6882,
     /* 1442349 */     GIR_EraseRootFromParent_Done,
     /* 1442350 */   // Label 20277: @1442350
     /* 1442350 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1442447), // Rule ID 6885 //
     /* 1442355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442405 */     // MIs[1] Operand 1
     /* 1442405 */     // No operand predicates
     /* 1442405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442409 */     // MIs[0] policy
     /* 1442409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442446 */     // GIR_Coverage, 6885,
     /* 1442446 */     GIR_EraseRootFromParent_Done,
     /* 1442447 */   // Label 20278: @1442447
     /* 1442447 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1442544), // Rule ID 6886 //
     /* 1442452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442502 */     // MIs[1] Operand 1
     /* 1442502 */     // No operand predicates
     /* 1442502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442506 */     // MIs[0] policy
     /* 1442506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442543 */     // GIR_Coverage, 6886,
     /* 1442543 */     GIR_EraseRootFromParent_Done,
     /* 1442544 */   // Label 20279: @1442544
     /* 1442544 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1442641), // Rule ID 6889 //
     /* 1442549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442599 */     // MIs[1] Operand 1
     /* 1442599 */     // No operand predicates
     /* 1442599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442603 */     // MIs[0] policy
     /* 1442603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442615 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442640 */     // GIR_Coverage, 6889,
     /* 1442640 */     GIR_EraseRootFromParent_Done,
     /* 1442641 */   // Label 20280: @1442641
     /* 1442641 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1442738), // Rule ID 6890 //
     /* 1442646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442696 */     // MIs[1] Operand 1
     /* 1442696 */     // No operand predicates
     /* 1442696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442700 */     // MIs[0] policy
     /* 1442700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442737 */     // GIR_Coverage, 6890,
     /* 1442737 */     GIR_EraseRootFromParent_Done,
     /* 1442738 */   // Label 20281: @1442738
     /* 1442738 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1442835), // Rule ID 6893 //
     /* 1442743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442793 */     // MIs[1] Operand 1
     /* 1442793 */     // No operand predicates
     /* 1442793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442797 */     // MIs[0] policy
     /* 1442797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442834 */     // GIR_Coverage, 6893,
     /* 1442834 */     GIR_EraseRootFromParent_Done,
     /* 1442835 */   // Label 20282: @1442835
     /* 1442835 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1442932), // Rule ID 6894 //
     /* 1442840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442890 */     // MIs[1] Operand 1
     /* 1442890 */     // No operand predicates
     /* 1442890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442894 */     // MIs[0] policy
     /* 1442894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1442909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442931 */     // GIR_Coverage, 6894,
     /* 1442931 */     GIR_EraseRootFromParent_Done,
     /* 1442932 */   // Label 20283: @1442932
     /* 1442932 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1443029), // Rule ID 6897 //
     /* 1442937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1442948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1442951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1442954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442987 */     // MIs[1] Operand 1
     /* 1442987 */     // No operand predicates
     /* 1442987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442991 */     // MIs[0] policy
     /* 1442991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443028 */     // GIR_Coverage, 6897,
     /* 1443028 */     GIR_EraseRootFromParent_Done,
     /* 1443029 */   // Label 20284: @1443029
     /* 1443029 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1443126), // Rule ID 6898 //
     /* 1443034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443084 */     // MIs[1] Operand 1
     /* 1443084 */     // No operand predicates
     /* 1443084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443088 */     // MIs[0] policy
     /* 1443088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443125 */     // GIR_Coverage, 6898,
     /* 1443125 */     GIR_EraseRootFromParent_Done,
     /* 1443126 */   // Label 20285: @1443126
     /* 1443126 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1443223), // Rule ID 6901 //
     /* 1443131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443181 */     // MIs[1] Operand 1
     /* 1443181 */     // No operand predicates
     /* 1443181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443185 */     // MIs[0] policy
     /* 1443185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443222 */     // GIR_Coverage, 6901,
     /* 1443222 */     GIR_EraseRootFromParent_Done,
     /* 1443223 */   // Label 20286: @1443223
     /* 1443223 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1443320), // Rule ID 6902 //
     /* 1443228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443278 */     // MIs[1] Operand 1
     /* 1443278 */     // No operand predicates
     /* 1443278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443282 */     // MIs[0] policy
     /* 1443282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1443297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443319 */     // GIR_Coverage, 6902,
     /* 1443319 */     GIR_EraseRootFromParent_Done,
     /* 1443320 */   // Label 20287: @1443320
     /* 1443320 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1443417), // Rule ID 6905 //
     /* 1443325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443375 */     // MIs[1] Operand 1
     /* 1443375 */     // No operand predicates
     /* 1443375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443379 */     // MIs[0] policy
     /* 1443379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443416 */     // GIR_Coverage, 6905,
     /* 1443416 */     GIR_EraseRootFromParent_Done,
     /* 1443417 */   // Label 20288: @1443417
     /* 1443417 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1443514), // Rule ID 6906 //
     /* 1443422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443472 */     // MIs[1] Operand 1
     /* 1443472 */     // No operand predicates
     /* 1443472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443476 */     // MIs[0] policy
     /* 1443476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443513 */     // GIR_Coverage, 6906,
     /* 1443513 */     GIR_EraseRootFromParent_Done,
     /* 1443514 */   // Label 20289: @1443514
     /* 1443514 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1443611), // Rule ID 6909 //
     /* 1443519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443569 */     // MIs[1] Operand 1
     /* 1443569 */     // No operand predicates
     /* 1443569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443573 */     // MIs[0] policy
     /* 1443573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443585 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443610 */     // GIR_Coverage, 6909,
     /* 1443610 */     GIR_EraseRootFromParent_Done,
     /* 1443611 */   // Label 20290: @1443611
     /* 1443611 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1443708), // Rule ID 6910 //
     /* 1443616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443666 */     // MIs[1] Operand 1
     /* 1443666 */     // No operand predicates
     /* 1443666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443670 */     // MIs[0] policy
     /* 1443670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443707 */     // GIR_Coverage, 6910,
     /* 1443707 */     GIR_EraseRootFromParent_Done,
     /* 1443708 */   // Label 20291: @1443708
     /* 1443708 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1443805), // Rule ID 6913 //
     /* 1443713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443763 */     // MIs[1] Operand 1
     /* 1443763 */     // No operand predicates
     /* 1443763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443767 */     // MIs[0] policy
     /* 1443767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443804 */     // GIR_Coverage, 6913,
     /* 1443804 */     GIR_EraseRootFromParent_Done,
     /* 1443805 */   // Label 20292: @1443805
     /* 1443805 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1443902), // Rule ID 6914 //
     /* 1443810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443860 */     // MIs[1] Operand 1
     /* 1443860 */     // No operand predicates
     /* 1443860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443864 */     // MIs[0] policy
     /* 1443864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443901 */     // GIR_Coverage, 6914,
     /* 1443901 */     GIR_EraseRootFromParent_Done,
     /* 1443902 */   // Label 20293: @1443902
     /* 1443902 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1443999), // Rule ID 6917 //
     /* 1443907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1443910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1443918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1443921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1443924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443957 */     // MIs[1] Operand 1
     /* 1443957 */     // No operand predicates
     /* 1443957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443961 */     // MIs[0] policy
     /* 1443961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1443976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1443995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443998 */     // GIR_Coverage, 6917,
     /* 1443998 */     GIR_EraseRootFromParent_Done,
     /* 1443999 */   // Label 20294: @1443999
     /* 1443999 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1444096), // Rule ID 6918 //
     /* 1444004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444054 */     // MIs[1] Operand 1
     /* 1444054 */     // No operand predicates
     /* 1444054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444058 */     // MIs[0] policy
     /* 1444058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1444073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444095 */     // GIR_Coverage, 6918,
     /* 1444095 */     GIR_EraseRootFromParent_Done,
     /* 1444096 */   // Label 20295: @1444096
     /* 1444096 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1444193), // Rule ID 6921 //
     /* 1444101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444151 */     // MIs[1] Operand 1
     /* 1444151 */     // No operand predicates
     /* 1444151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444155 */     // MIs[0] policy
     /* 1444155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444192 */     // GIR_Coverage, 6921,
     /* 1444192 */     GIR_EraseRootFromParent_Done,
     /* 1444193 */   // Label 20296: @1444193
     /* 1444193 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1444290), // Rule ID 6922 //
     /* 1444198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444248 */     // MIs[1] Operand 1
     /* 1444248 */     // No operand predicates
     /* 1444248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444252 */     // MIs[0] policy
     /* 1444252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444264 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444289 */     // GIR_Coverage, 6922,
     /* 1444289 */     GIR_EraseRootFromParent_Done,
     /* 1444290 */   // Label 20297: @1444290
     /* 1444290 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1444387), // Rule ID 6925 //
     /* 1444295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444345 */     // MIs[1] Operand 1
     /* 1444345 */     // No operand predicates
     /* 1444345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444349 */     // MIs[0] policy
     /* 1444349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444386 */     // GIR_Coverage, 6925,
     /* 1444386 */     GIR_EraseRootFromParent_Done,
     /* 1444387 */   // Label 20298: @1444387
     /* 1444387 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1444484), // Rule ID 6926 //
     /* 1444392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444442 */     // MIs[1] Operand 1
     /* 1444442 */     // No operand predicates
     /* 1444442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444446 */     // MIs[0] policy
     /* 1444446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444483 */     // GIR_Coverage, 6926,
     /* 1444483 */     GIR_EraseRootFromParent_Done,
     /* 1444484 */   // Label 20299: @1444484
     /* 1444484 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1444581), // Rule ID 6929 //
     /* 1444489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444539 */     // MIs[1] Operand 1
     /* 1444539 */     // No operand predicates
     /* 1444539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444543 */     // MIs[0] policy
     /* 1444543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444555 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444580 */     // GIR_Coverage, 6929,
     /* 1444580 */     GIR_EraseRootFromParent_Done,
     /* 1444581 */   // Label 20300: @1444581
     /* 1444581 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1444678), // Rule ID 6930 //
     /* 1444586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444636 */     // MIs[1] Operand 1
     /* 1444636 */     // No operand predicates
     /* 1444636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444640 */     // MIs[0] policy
     /* 1444640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444677 */     // GIR_Coverage, 6930,
     /* 1444677 */     GIR_EraseRootFromParent_Done,
     /* 1444678 */   // Label 20301: @1444678
     /* 1444678 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1444775), // Rule ID 6933 //
     /* 1444683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444733 */     // MIs[1] Operand 1
     /* 1444733 */     // No operand predicates
     /* 1444733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444737 */     // MIs[0] policy
     /* 1444737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444774 */     // GIR_Coverage, 6933,
     /* 1444774 */     GIR_EraseRootFromParent_Done,
     /* 1444775 */   // Label 20302: @1444775
     /* 1444775 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1444872), // Rule ID 6934 //
     /* 1444780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444830 */     // MIs[1] Operand 1
     /* 1444830 */     // No operand predicates
     /* 1444830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444834 */     // MIs[0] policy
     /* 1444834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444871 */     // GIR_Coverage, 6934,
     /* 1444871 */     GIR_EraseRootFromParent_Done,
     /* 1444872 */   // Label 20303: @1444872
     /* 1444872 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1444969), // Rule ID 6937 //
     /* 1444877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1444888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1444891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1444894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444927 */     // MIs[1] Operand 1
     /* 1444927 */     // No operand predicates
     /* 1444927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444931 */     // MIs[0] policy
     /* 1444931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444968 */     // GIR_Coverage, 6937,
     /* 1444968 */     GIR_EraseRootFromParent_Done,
     /* 1444969 */   // Label 20304: @1444969
     /* 1444969 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1445066), // Rule ID 6938 //
     /* 1444974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1444985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1444988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1444991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445024 */     // MIs[1] Operand 1
     /* 1445024 */     // No operand predicates
     /* 1445024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445028 */     // MIs[0] policy
     /* 1445028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445065 */     // GIR_Coverage, 6938,
     /* 1445065 */     GIR_EraseRootFromParent_Done,
     /* 1445066 */   // Label 20305: @1445066
     /* 1445066 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1445163), // Rule ID 6941 //
     /* 1445071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445121 */     // MIs[1] Operand 1
     /* 1445121 */     // No operand predicates
     /* 1445121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445125 */     // MIs[0] policy
     /* 1445125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445137 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445162 */     // GIR_Coverage, 6941,
     /* 1445162 */     GIR_EraseRootFromParent_Done,
     /* 1445163 */   // Label 20306: @1445163
     /* 1445163 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1445260), // Rule ID 6942 //
     /* 1445168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445218 */     // MIs[1] Operand 1
     /* 1445218 */     // No operand predicates
     /* 1445218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445222 */     // MIs[0] policy
     /* 1445222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445259 */     // GIR_Coverage, 6942,
     /* 1445259 */     GIR_EraseRootFromParent_Done,
     /* 1445260 */   // Label 20307: @1445260
     /* 1445260 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1445357), // Rule ID 6945 //
     /* 1445265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445315 */     // MIs[1] Operand 1
     /* 1445315 */     // No operand predicates
     /* 1445315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445319 */     // MIs[0] policy
     /* 1445319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445356 */     // GIR_Coverage, 6945,
     /* 1445356 */     GIR_EraseRootFromParent_Done,
     /* 1445357 */   // Label 20308: @1445357
     /* 1445357 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1445454), // Rule ID 6946 //
     /* 1445362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445412 */     // MIs[1] Operand 1
     /* 1445412 */     // No operand predicates
     /* 1445412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445416 */     // MIs[0] policy
     /* 1445416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445453 */     // GIR_Coverage, 6946,
     /* 1445453 */     GIR_EraseRootFromParent_Done,
     /* 1445454 */   // Label 20309: @1445454
     /* 1445454 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1445551), // Rule ID 6949 //
     /* 1445459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445509 */     // MIs[1] Operand 1
     /* 1445509 */     // No operand predicates
     /* 1445509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445513 */     // MIs[0] policy
     /* 1445513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445550 */     // GIR_Coverage, 6949,
     /* 1445550 */     GIR_EraseRootFromParent_Done,
     /* 1445551 */   // Label 20310: @1445551
     /* 1445551 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1445648), // Rule ID 6950 //
     /* 1445556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445606 */     // MIs[1] Operand 1
     /* 1445606 */     // No operand predicates
     /* 1445606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445610 */     // MIs[0] policy
     /* 1445610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445647 */     // GIR_Coverage, 6950,
     /* 1445647 */     GIR_EraseRootFromParent_Done,
     /* 1445648 */   // Label 20311: @1445648
     /* 1445648 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1445745), // Rule ID 6953 //
     /* 1445653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445703 */     // MIs[1] Operand 1
     /* 1445703 */     // No operand predicates
     /* 1445703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445707 */     // MIs[0] policy
     /* 1445707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445744 */     // GIR_Coverage, 6953,
     /* 1445744 */     GIR_EraseRootFromParent_Done,
     /* 1445745 */   // Label 20312: @1445745
     /* 1445745 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1445842), // Rule ID 6954 //
     /* 1445750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445800 */     // MIs[1] Operand 1
     /* 1445800 */     // No operand predicates
     /* 1445800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445804 */     // MIs[0] policy
     /* 1445804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445841 */     // GIR_Coverage, 6954,
     /* 1445841 */     GIR_EraseRootFromParent_Done,
     /* 1445842 */   // Label 20313: @1445842
     /* 1445842 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1445939), // Rule ID 6957 //
     /* 1445847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1445850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1445858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1445861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1445864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445897 */     // MIs[1] Operand 1
     /* 1445897 */     // No operand predicates
     /* 1445897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445901 */     // MIs[0] policy
     /* 1445901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1445916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445938 */     // GIR_Coverage, 6957,
     /* 1445938 */     GIR_EraseRootFromParent_Done,
     /* 1445939 */   // Label 20314: @1445939
     /* 1445939 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1446036), // Rule ID 6958 //
     /* 1445944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1445947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1445955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1445958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1445961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445994 */     // MIs[1] Operand 1
     /* 1445994 */     // No operand predicates
     /* 1445994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445998 */     // MIs[0] policy
     /* 1445998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1446013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446035 */     // GIR_Coverage, 6958,
     /* 1446035 */     GIR_EraseRootFromParent_Done,
     /* 1446036 */   // Label 20315: @1446036
     /* 1446036 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1446133), // Rule ID 6961 //
     /* 1446041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446091 */     // MIs[1] Operand 1
     /* 1446091 */     // No operand predicates
     /* 1446091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446095 */     // MIs[0] policy
     /* 1446095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446132 */     // GIR_Coverage, 6961,
     /* 1446132 */     GIR_EraseRootFromParent_Done,
     /* 1446133 */   // Label 20316: @1446133
     /* 1446133 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1446230), // Rule ID 6962 //
     /* 1446138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446188 */     // MIs[1] Operand 1
     /* 1446188 */     // No operand predicates
     /* 1446188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446192 */     // MIs[0] policy
     /* 1446192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1446207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446229 */     // GIR_Coverage, 6962,
     /* 1446229 */     GIR_EraseRootFromParent_Done,
     /* 1446230 */   // Label 20317: @1446230
     /* 1446230 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1446327), // Rule ID 6965 //
     /* 1446235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446285 */     // MIs[1] Operand 1
     /* 1446285 */     // No operand predicates
     /* 1446285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446289 */     // MIs[0] policy
     /* 1446289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446326 */     // GIR_Coverage, 6965,
     /* 1446326 */     GIR_EraseRootFromParent_Done,
     /* 1446327 */   // Label 20318: @1446327
     /* 1446327 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1446424), // Rule ID 6966 //
     /* 1446332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446382 */     // MIs[1] Operand 1
     /* 1446382 */     // No operand predicates
     /* 1446382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446386 */     // MIs[0] policy
     /* 1446386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1446401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446423 */     // GIR_Coverage, 6966,
     /* 1446423 */     GIR_EraseRootFromParent_Done,
     /* 1446424 */   // Label 20319: @1446424
     /* 1446424 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1446521), // Rule ID 7145 //
     /* 1446429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446479 */     // MIs[1] Operand 1
     /* 1446479 */     // No operand predicates
     /* 1446479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446483 */     // MIs[0] policy
     /* 1446483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446520 */     // GIR_Coverage, 7145,
     /* 1446520 */     GIR_EraseRootFromParent_Done,
     /* 1446521 */   // Label 20320: @1446521
     /* 1446521 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1446618), // Rule ID 7146 //
     /* 1446526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446576 */     // MIs[1] Operand 1
     /* 1446576 */     // No operand predicates
     /* 1446576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446580 */     // MIs[0] policy
     /* 1446580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1446595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446617 */     // GIR_Coverage, 7146,
     /* 1446617 */     GIR_EraseRootFromParent_Done,
     /* 1446618 */   // Label 20321: @1446618
     /* 1446618 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1446715), // Rule ID 7149 //
     /* 1446623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1446634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1446637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1446640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446673 */     // MIs[1] Operand 1
     /* 1446673 */     // No operand predicates
     /* 1446673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446677 */     // MIs[0] policy
     /* 1446677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446689 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1446692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446714 */     // GIR_Coverage, 7149,
     /* 1446714 */     GIR_EraseRootFromParent_Done,
     /* 1446715 */   // Label 20322: @1446715
     /* 1446715 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1446812), // Rule ID 7150 //
     /* 1446720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1446731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1446734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1446737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446770 */     // MIs[1] Operand 1
     /* 1446770 */     // No operand predicates
     /* 1446770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446774 */     // MIs[0] policy
     /* 1446774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1446789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446811 */     // GIR_Coverage, 7150,
     /* 1446811 */     GIR_EraseRootFromParent_Done,
     /* 1446812 */   // Label 20323: @1446812
     /* 1446812 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1446909), // Rule ID 7153 //
     /* 1446817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1446828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1446831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1446834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446867 */     // MIs[1] Operand 1
     /* 1446867 */     // No operand predicates
     /* 1446867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446871 */     // MIs[0] policy
     /* 1446871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446908 */     // GIR_Coverage, 7153,
     /* 1446908 */     GIR_EraseRootFromParent_Done,
     /* 1446909 */   // Label 20324: @1446909
     /* 1446909 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1447006), // Rule ID 7154 //
     /* 1446914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1446925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1446928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1446931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446964 */     // MIs[1] Operand 1
     /* 1446964 */     // No operand predicates
     /* 1446964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446968 */     // MIs[0] policy
     /* 1446968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446980 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447005 */     // GIR_Coverage, 7154,
     /* 1447005 */     GIR_EraseRootFromParent_Done,
     /* 1447006 */   // Label 20325: @1447006
     /* 1447006 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1447103), // Rule ID 7157 //
     /* 1447011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447061 */     // MIs[1] Operand 1
     /* 1447061 */     // No operand predicates
     /* 1447061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447065 */     // MIs[0] policy
     /* 1447065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447102 */     // GIR_Coverage, 7157,
     /* 1447102 */     GIR_EraseRootFromParent_Done,
     /* 1447103 */   // Label 20326: @1447103
     /* 1447103 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1447200), // Rule ID 7158 //
     /* 1447108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447158 */     // MIs[1] Operand 1
     /* 1447158 */     // No operand predicates
     /* 1447158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447162 */     // MIs[0] policy
     /* 1447162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1447177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447199 */     // GIR_Coverage, 7158,
     /* 1447199 */     GIR_EraseRootFromParent_Done,
     /* 1447200 */   // Label 20327: @1447200
     /* 1447200 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1447297), // Rule ID 7161 //
     /* 1447205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447255 */     // MIs[1] Operand 1
     /* 1447255 */     // No operand predicates
     /* 1447255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447259 */     // MIs[0] policy
     /* 1447259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447296 */     // GIR_Coverage, 7161,
     /* 1447296 */     GIR_EraseRootFromParent_Done,
     /* 1447297 */   // Label 20328: @1447297
     /* 1447297 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1447394), // Rule ID 7162 //
     /* 1447302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447352 */     // MIs[1] Operand 1
     /* 1447352 */     // No operand predicates
     /* 1447352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447356 */     // MIs[0] policy
     /* 1447356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447393 */     // GIR_Coverage, 7162,
     /* 1447393 */     GIR_EraseRootFromParent_Done,
     /* 1447394 */   // Label 20329: @1447394
     /* 1447394 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1447491), // Rule ID 7165 //
     /* 1447399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447449 */     // MIs[1] Operand 1
     /* 1447449 */     // No operand predicates
     /* 1447449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447453 */     // MIs[0] policy
     /* 1447453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447490 */     // GIR_Coverage, 7165,
     /* 1447490 */     GIR_EraseRootFromParent_Done,
     /* 1447491 */   // Label 20330: @1447491
     /* 1447491 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1447588), // Rule ID 7166 //
     /* 1447496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447546 */     // MIs[1] Operand 1
     /* 1447546 */     // No operand predicates
     /* 1447546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447550 */     // MIs[0] policy
     /* 1447550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1447565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447587 */     // GIR_Coverage, 7166,
     /* 1447587 */     GIR_EraseRootFromParent_Done,
     /* 1447588 */   // Label 20331: @1447588
     /* 1447588 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1447685), // Rule ID 7169 //
     /* 1447593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1447604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1447607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1447610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447643 */     // MIs[1] Operand 1
     /* 1447643 */     // No operand predicates
     /* 1447643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447647 */     // MIs[0] policy
     /* 1447647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447684 */     // GIR_Coverage, 7169,
     /* 1447684 */     GIR_EraseRootFromParent_Done,
     /* 1447685 */   // Label 20332: @1447685
     /* 1447685 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1447782), // Rule ID 7170 //
     /* 1447690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1447701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1447704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1447707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447740 */     // MIs[1] Operand 1
     /* 1447740 */     // No operand predicates
     /* 1447740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447744 */     // MIs[0] policy
     /* 1447744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447781 */     // GIR_Coverage, 7170,
     /* 1447781 */     GIR_EraseRootFromParent_Done,
     /* 1447782 */   // Label 20333: @1447782
     /* 1447782 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1447879), // Rule ID 7173 //
     /* 1447787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1447798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1447801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1447804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447837 */     // MIs[1] Operand 1
     /* 1447837 */     // No operand predicates
     /* 1447837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447841 */     // MIs[0] policy
     /* 1447841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447878 */     // GIR_Coverage, 7173,
     /* 1447878 */     GIR_EraseRootFromParent_Done,
     /* 1447879 */   // Label 20334: @1447879
     /* 1447879 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1447976), // Rule ID 7174 //
     /* 1447884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1447895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1447898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1447901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447934 */     // MIs[1] Operand 1
     /* 1447934 */     // No operand predicates
     /* 1447934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447938 */     // MIs[0] policy
     /* 1447938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447975 */     // GIR_Coverage, 7174,
     /* 1447975 */     GIR_EraseRootFromParent_Done,
     /* 1447976 */   // Label 20335: @1447976
     /* 1447976 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1448073), // Rule ID 7177 //
     /* 1447981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1447992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1447995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1447998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448031 */     // MIs[1] Operand 1
     /* 1448031 */     // No operand predicates
     /* 1448031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448035 */     // MIs[0] policy
     /* 1448035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448072 */     // GIR_Coverage, 7177,
     /* 1448072 */     GIR_EraseRootFromParent_Done,
     /* 1448073 */   // Label 20336: @1448073
     /* 1448073 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1448170), // Rule ID 7178 //
     /* 1448078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448128 */     // MIs[1] Operand 1
     /* 1448128 */     // No operand predicates
     /* 1448128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448132 */     // MIs[0] policy
     /* 1448132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448169 */     // GIR_Coverage, 7178,
     /* 1448169 */     GIR_EraseRootFromParent_Done,
     /* 1448170 */   // Label 20337: @1448170
     /* 1448170 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1448267), // Rule ID 7181 //
     /* 1448175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448225 */     // MIs[1] Operand 1
     /* 1448225 */     // No operand predicates
     /* 1448225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448229 */     // MIs[0] policy
     /* 1448229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448266 */     // GIR_Coverage, 7181,
     /* 1448266 */     GIR_EraseRootFromParent_Done,
     /* 1448267 */   // Label 20338: @1448267
     /* 1448267 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1448364), // Rule ID 7182 //
     /* 1448272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448322 */     // MIs[1] Operand 1
     /* 1448322 */     // No operand predicates
     /* 1448322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448326 */     // MIs[0] policy
     /* 1448326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1448341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448363 */     // GIR_Coverage, 7182,
     /* 1448363 */     GIR_EraseRootFromParent_Done,
     /* 1448364 */   // Label 20339: @1448364
     /* 1448364 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1448461), // Rule ID 7185 //
     /* 1448369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448419 */     // MIs[1] Operand 1
     /* 1448419 */     // No operand predicates
     /* 1448419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448423 */     // MIs[0] policy
     /* 1448423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448460 */     // GIR_Coverage, 7185,
     /* 1448460 */     GIR_EraseRootFromParent_Done,
     /* 1448461 */   // Label 20340: @1448461
     /* 1448461 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1448558), // Rule ID 7186 //
     /* 1448466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448516 */     // MIs[1] Operand 1
     /* 1448516 */     // No operand predicates
     /* 1448516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448520 */     // MIs[0] policy
     /* 1448520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448557 */     // GIR_Coverage, 7186,
     /* 1448557 */     GIR_EraseRootFromParent_Done,
     /* 1448558 */   // Label 20341: @1448558
     /* 1448558 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1448655), // Rule ID 7189 //
     /* 1448563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1448580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448613 */     // MIs[1] Operand 1
     /* 1448613 */     // No operand predicates
     /* 1448613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448617 */     // MIs[0] policy
     /* 1448617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448629 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448654 */     // GIR_Coverage, 7189,
     /* 1448654 */     GIR_EraseRootFromParent_Done,
     /* 1448655 */   // Label 20342: @1448655
     /* 1448655 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1448752), // Rule ID 7190 //
     /* 1448660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1448677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448710 */     // MIs[1] Operand 1
     /* 1448710 */     // No operand predicates
     /* 1448710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448714 */     // MIs[0] policy
     /* 1448714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448751 */     // GIR_Coverage, 7190,
     /* 1448751 */     GIR_EraseRootFromParent_Done,
     /* 1448752 */   // Label 20343: @1448752
     /* 1448752 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1448849), // Rule ID 7193 //
     /* 1448757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1448768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1448771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1448774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1448780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448807 */     // MIs[1] Operand 1
     /* 1448807 */     // No operand predicates
     /* 1448807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448811 */     // MIs[0] policy
     /* 1448811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448823 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448848 */     // GIR_Coverage, 7193,
     /* 1448848 */     GIR_EraseRootFromParent_Done,
     /* 1448849 */   // Label 20344: @1448849
     /* 1448849 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1448946), // Rule ID 7194 //
     /* 1448854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1448865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1448868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1448871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1448877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448904 */     // MIs[1] Operand 1
     /* 1448904 */     // No operand predicates
     /* 1448904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448908 */     // MIs[0] policy
     /* 1448908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448945 */     // GIR_Coverage, 7194,
     /* 1448945 */     GIR_EraseRootFromParent_Done,
     /* 1448946 */   // Label 20345: @1448946
     /* 1448946 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1449043), // Rule ID 7197 //
     /* 1448951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1448962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1448965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1448968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449001 */     // MIs[1] Operand 1
     /* 1449001 */     // No operand predicates
     /* 1449001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449005 */     // MIs[0] policy
     /* 1449005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449042 */     // GIR_Coverage, 7197,
     /* 1449042 */     GIR_EraseRootFromParent_Done,
     /* 1449043 */   // Label 20346: @1449043
     /* 1449043 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1449140), // Rule ID 7198 //
     /* 1449048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449098 */     // MIs[1] Operand 1
     /* 1449098 */     // No operand predicates
     /* 1449098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449102 */     // MIs[0] policy
     /* 1449102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449139 */     // GIR_Coverage, 7198,
     /* 1449139 */     GIR_EraseRootFromParent_Done,
     /* 1449140 */   // Label 20347: @1449140
     /* 1449140 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1449237), // Rule ID 7201 //
     /* 1449145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449195 */     // MIs[1] Operand 1
     /* 1449195 */     // No operand predicates
     /* 1449195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449199 */     // MIs[0] policy
     /* 1449199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449236 */     // GIR_Coverage, 7201,
     /* 1449236 */     GIR_EraseRootFromParent_Done,
     /* 1449237 */   // Label 20348: @1449237
     /* 1449237 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1449334), // Rule ID 7202 //
     /* 1449242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449292 */     // MIs[1] Operand 1
     /* 1449292 */     // No operand predicates
     /* 1449292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449296 */     // MIs[0] policy
     /* 1449296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449333 */     // GIR_Coverage, 7202,
     /* 1449333 */     GIR_EraseRootFromParent_Done,
     /* 1449334 */   // Label 20349: @1449334
     /* 1449334 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1449431), // Rule ID 7205 //
     /* 1449339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449389 */     // MIs[1] Operand 1
     /* 1449389 */     // No operand predicates
     /* 1449389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449393 */     // MIs[0] policy
     /* 1449393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449430 */     // GIR_Coverage, 7205,
     /* 1449430 */     GIR_EraseRootFromParent_Done,
     /* 1449431 */   // Label 20350: @1449431
     /* 1449431 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1449528), // Rule ID 7206 //
     /* 1449436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449486 */     // MIs[1] Operand 1
     /* 1449486 */     // No operand predicates
     /* 1449486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449490 */     // MIs[0] policy
     /* 1449490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449527 */     // GIR_Coverage, 7206,
     /* 1449527 */     GIR_EraseRootFromParent_Done,
     /* 1449528 */   // Label 20351: @1449528
     /* 1449528 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1449625), // Rule ID 7209 //
     /* 1449533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449583 */     // MIs[1] Operand 1
     /* 1449583 */     // No operand predicates
     /* 1449583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449587 */     // MIs[0] policy
     /* 1449587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449624 */     // GIR_Coverage, 7209,
     /* 1449624 */     GIR_EraseRootFromParent_Done,
     /* 1449625 */   // Label 20352: @1449625
     /* 1449625 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1449722), // Rule ID 7210 //
     /* 1449630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449680 */     // MIs[1] Operand 1
     /* 1449680 */     // No operand predicates
     /* 1449680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449684 */     // MIs[0] policy
     /* 1449684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449721 */     // GIR_Coverage, 7210,
     /* 1449721 */     GIR_EraseRootFromParent_Done,
     /* 1449722 */   // Label 20353: @1449722
     /* 1449722 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1449819), // Rule ID 7213 //
     /* 1449727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449777 */     // MIs[1] Operand 1
     /* 1449777 */     // No operand predicates
     /* 1449777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449781 */     // MIs[0] policy
     /* 1449781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449818 */     // GIR_Coverage, 7213,
     /* 1449818 */     GIR_EraseRootFromParent_Done,
     /* 1449819 */   // Label 20354: @1449819
     /* 1449819 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1449916), // Rule ID 7214 //
     /* 1449824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449874 */     // MIs[1] Operand 1
     /* 1449874 */     // No operand predicates
     /* 1449874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449878 */     // MIs[0] policy
     /* 1449878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449915 */     // GIR_Coverage, 7214,
     /* 1449915 */     GIR_EraseRootFromParent_Done,
     /* 1449916 */   // Label 20355: @1449916
     /* 1449916 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1450013), // Rule ID 7217 //
     /* 1449921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1449932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1449935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449971 */     // MIs[1] Operand 1
     /* 1449971 */     // No operand predicates
     /* 1449971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449975 */     // MIs[0] policy
     /* 1449975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450012 */     // GIR_Coverage, 7217,
     /* 1450012 */     GIR_EraseRootFromParent_Done,
     /* 1450013 */   // Label 20356: @1450013
     /* 1450013 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1450110), // Rule ID 7218 //
     /* 1450018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450068 */     // MIs[1] Operand 1
     /* 1450068 */     // No operand predicates
     /* 1450068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450072 */     // MIs[0] policy
     /* 1450072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450084 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450109 */     // GIR_Coverage, 7218,
     /* 1450109 */     GIR_EraseRootFromParent_Done,
     /* 1450110 */   // Label 20357: @1450110
     /* 1450110 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1450207), // Rule ID 7221 //
     /* 1450115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450165 */     // MIs[1] Operand 1
     /* 1450165 */     // No operand predicates
     /* 1450165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450169 */     // MIs[0] policy
     /* 1450169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450206 */     // GIR_Coverage, 7221,
     /* 1450206 */     GIR_EraseRootFromParent_Done,
     /* 1450207 */   // Label 20358: @1450207
     /* 1450207 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1450304), // Rule ID 7222 //
     /* 1450212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450262 */     // MIs[1] Operand 1
     /* 1450262 */     // No operand predicates
     /* 1450262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450266 */     // MIs[0] policy
     /* 1450266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1450281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450303 */     // GIR_Coverage, 7222,
     /* 1450303 */     GIR_EraseRootFromParent_Done,
     /* 1450304 */   // Label 20359: @1450304
     /* 1450304 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1450401), // Rule ID 7225 //
     /* 1450309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450359 */     // MIs[1] Operand 1
     /* 1450359 */     // No operand predicates
     /* 1450359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450363 */     // MIs[0] policy
     /* 1450363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450400 */     // GIR_Coverage, 7225,
     /* 1450400 */     GIR_EraseRootFromParent_Done,
     /* 1450401 */   // Label 20360: @1450401
     /* 1450401 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1450498), // Rule ID 7226 //
     /* 1450406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450456 */     // MIs[1] Operand 1
     /* 1450456 */     // No operand predicates
     /* 1450456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450460 */     // MIs[0] policy
     /* 1450460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1450475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450497 */     // GIR_Coverage, 7226,
     /* 1450497 */     GIR_EraseRootFromParent_Done,
     /* 1450498 */   // Label 20361: @1450498
     /* 1450498 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1450595), // Rule ID 7229 //
     /* 1450503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450553 */     // MIs[1] Operand 1
     /* 1450553 */     // No operand predicates
     /* 1450553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450557 */     // MIs[0] policy
     /* 1450557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450594 */     // GIR_Coverage, 7229,
     /* 1450594 */     GIR_EraseRootFromParent_Done,
     /* 1450595 */   // Label 20362: @1450595
     /* 1450595 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1450692), // Rule ID 7230 //
     /* 1450600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1450608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450650 */     // MIs[1] Operand 1
     /* 1450650 */     // No operand predicates
     /* 1450650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450654 */     // MIs[0] policy
     /* 1450654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1450669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450691 */     // GIR_Coverage, 7230,
     /* 1450691 */     GIR_EraseRootFromParent_Done,
     /* 1450692 */   // Label 20363: @1450692
     /* 1450692 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1450789), // Rule ID 7441 //
     /* 1450697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450747 */     // MIs[1] Operand 1
     /* 1450747 */     // No operand predicates
     /* 1450747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450751 */     // MIs[0] policy
     /* 1450751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1450766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450788 */     // GIR_Coverage, 7441,
     /* 1450788 */     GIR_EraseRootFromParent_Done,
     /* 1450789 */   // Label 20364: @1450789
     /* 1450789 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1450886), // Rule ID 7442 //
     /* 1450794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450844 */     // MIs[1] Operand 1
     /* 1450844 */     // No operand predicates
     /* 1450844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450848 */     // MIs[0] policy
     /* 1450848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1450863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450885 */     // GIR_Coverage, 7442,
     /* 1450885 */     GIR_EraseRootFromParent_Done,
     /* 1450886 */   // Label 20365: @1450886
     /* 1450886 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1450983), // Rule ID 7445 //
     /* 1450891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1450902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1450905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450941 */     // MIs[1] Operand 1
     /* 1450941 */     // No operand predicates
     /* 1450941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450945 */     // MIs[0] policy
     /* 1450945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450957 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1450960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450982 */     // GIR_Coverage, 7445,
     /* 1450982 */     GIR_EraseRootFromParent_Done,
     /* 1450983 */   // Label 20366: @1450983
     /* 1450983 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1451080), // Rule ID 7446 //
     /* 1450988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1450999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451038 */     // MIs[1] Operand 1
     /* 1451038 */     // No operand predicates
     /* 1451038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451042 */     // MIs[0] policy
     /* 1451042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451079 */     // GIR_Coverage, 7446,
     /* 1451079 */     GIR_EraseRootFromParent_Done,
     /* 1451080 */   // Label 20367: @1451080
     /* 1451080 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1451177), // Rule ID 7449 //
     /* 1451085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451135 */     // MIs[1] Operand 1
     /* 1451135 */     // No operand predicates
     /* 1451135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451139 */     // MIs[0] policy
     /* 1451139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451176 */     // GIR_Coverage, 7449,
     /* 1451176 */     GIR_EraseRootFromParent_Done,
     /* 1451177 */   // Label 20368: @1451177
     /* 1451177 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1451274), // Rule ID 7450 //
     /* 1451182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1451199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451232 */     // MIs[1] Operand 1
     /* 1451232 */     // No operand predicates
     /* 1451232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451236 */     // MIs[0] policy
     /* 1451236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451273 */     // GIR_Coverage, 7450,
     /* 1451273 */     GIR_EraseRootFromParent_Done,
     /* 1451274 */   // Label 20369: @1451274
     /* 1451274 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1451371), // Rule ID 7453 //
     /* 1451279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451329 */     // MIs[1] Operand 1
     /* 1451329 */     // No operand predicates
     /* 1451329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451333 */     // MIs[0] policy
     /* 1451333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451345 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451370 */     // GIR_Coverage, 7453,
     /* 1451370 */     GIR_EraseRootFromParent_Done,
     /* 1451371 */   // Label 20370: @1451371
     /* 1451371 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1451468), // Rule ID 7454 //
     /* 1451376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451426 */     // MIs[1] Operand 1
     /* 1451426 */     // No operand predicates
     /* 1451426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451430 */     // MIs[0] policy
     /* 1451430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451467 */     // GIR_Coverage, 7454,
     /* 1451467 */     GIR_EraseRootFromParent_Done,
     /* 1451468 */   // Label 20371: @1451468
     /* 1451468 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1451565), // Rule ID 7457 //
     /* 1451473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451523 */     // MIs[1] Operand 1
     /* 1451523 */     // No operand predicates
     /* 1451523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451527 */     // MIs[0] policy
     /* 1451527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451539 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451564 */     // GIR_Coverage, 7457,
     /* 1451564 */     GIR_EraseRootFromParent_Done,
     /* 1451565 */   // Label 20372: @1451565
     /* 1451565 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1451662), // Rule ID 7458 //
     /* 1451570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451620 */     // MIs[1] Operand 1
     /* 1451620 */     // No operand predicates
     /* 1451620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451624 */     // MIs[0] policy
     /* 1451624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451661 */     // GIR_Coverage, 7458,
     /* 1451661 */     GIR_EraseRootFromParent_Done,
     /* 1451662 */   // Label 20373: @1451662
     /* 1451662 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1451759), // Rule ID 7461 //
     /* 1451667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451717 */     // MIs[1] Operand 1
     /* 1451717 */     // No operand predicates
     /* 1451717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451721 */     // MIs[0] policy
     /* 1451721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451758 */     // GIR_Coverage, 7461,
     /* 1451758 */     GIR_EraseRootFromParent_Done,
     /* 1451759 */   // Label 20374: @1451759
     /* 1451759 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1451856), // Rule ID 7462 //
     /* 1451764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451814 */     // MIs[1] Operand 1
     /* 1451814 */     // No operand predicates
     /* 1451814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451818 */     // MIs[0] policy
     /* 1451818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451830 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451855 */     // GIR_Coverage, 7462,
     /* 1451855 */     GIR_EraseRootFromParent_Done,
     /* 1451856 */   // Label 20375: @1451856
     /* 1451856 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1451953), // Rule ID 7465 //
     /* 1451861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1451878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451911 */     // MIs[1] Operand 1
     /* 1451911 */     // No operand predicates
     /* 1451911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451915 */     // MIs[0] policy
     /* 1451915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1451930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451952 */     // GIR_Coverage, 7465,
     /* 1451952 */     GIR_EraseRootFromParent_Done,
     /* 1451953 */   // Label 20376: @1451953
     /* 1451953 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1452050), // Rule ID 7466 //
     /* 1451958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1451975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452008 */     // MIs[1] Operand 1
     /* 1452008 */     // No operand predicates
     /* 1452008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452012 */     // MIs[0] policy
     /* 1452012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1452027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452049 */     // GIR_Coverage, 7466,
     /* 1452049 */     GIR_EraseRootFromParent_Done,
     /* 1452050 */   // Label 20377: @1452050
     /* 1452050 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1452147), // Rule ID 7469 //
     /* 1452055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452105 */     // MIs[1] Operand 1
     /* 1452105 */     // No operand predicates
     /* 1452105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452109 */     // MIs[0] policy
     /* 1452109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452121 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452146 */     // GIR_Coverage, 7469,
     /* 1452146 */     GIR_EraseRootFromParent_Done,
     /* 1452147 */   // Label 20378: @1452147
     /* 1452147 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1452244), // Rule ID 7470 //
     /* 1452152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452202 */     // MIs[1] Operand 1
     /* 1452202 */     // No operand predicates
     /* 1452202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452206 */     // MIs[0] policy
     /* 1452206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452243 */     // GIR_Coverage, 7470,
     /* 1452243 */     GIR_EraseRootFromParent_Done,
     /* 1452244 */   // Label 20379: @1452244
     /* 1452244 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1452341), // Rule ID 7473 //
     /* 1452249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452299 */     // MIs[1] Operand 1
     /* 1452299 */     // No operand predicates
     /* 1452299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452303 */     // MIs[0] policy
     /* 1452303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452340 */     // GIR_Coverage, 7473,
     /* 1452340 */     GIR_EraseRootFromParent_Done,
     /* 1452341 */   // Label 20380: @1452341
     /* 1452341 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1452438), // Rule ID 7474 //
     /* 1452346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452396 */     // MIs[1] Operand 1
     /* 1452396 */     // No operand predicates
     /* 1452396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452400 */     // MIs[0] policy
     /* 1452400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452437 */     // GIR_Coverage, 7474,
     /* 1452437 */     GIR_EraseRootFromParent_Done,
     /* 1452438 */   // Label 20381: @1452438
     /* 1452438 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1452535), // Rule ID 7477 //
     /* 1452443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452493 */     // MIs[1] Operand 1
     /* 1452493 */     // No operand predicates
     /* 1452493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452497 */     // MIs[0] policy
     /* 1452497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452534 */     // GIR_Coverage, 7477,
     /* 1452534 */     GIR_EraseRootFromParent_Done,
     /* 1452535 */   // Label 20382: @1452535
     /* 1452535 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1452632), // Rule ID 7478 //
     /* 1452540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1452551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1452554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452590 */     // MIs[1] Operand 1
     /* 1452590 */     // No operand predicates
     /* 1452590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452594 */     // MIs[0] policy
     /* 1452594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452631 */     // GIR_Coverage, 7478,
     /* 1452631 */     GIR_EraseRootFromParent_Done,
     /* 1452632 */   // Label 20383: @1452632
     /* 1452632 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1452729), // Rule ID 7481 //
     /* 1452637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452687 */     // MIs[1] Operand 1
     /* 1452687 */     // No operand predicates
     /* 1452687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452691 */     // MIs[0] policy
     /* 1452691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452728 */     // GIR_Coverage, 7481,
     /* 1452728 */     GIR_EraseRootFromParent_Done,
     /* 1452729 */   // Label 20384: @1452729
     /* 1452729 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1452826), // Rule ID 7482 //
     /* 1452734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452784 */     // MIs[1] Operand 1
     /* 1452784 */     // No operand predicates
     /* 1452784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452788 */     // MIs[0] policy
     /* 1452788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452825 */     // GIR_Coverage, 7482,
     /* 1452825 */     GIR_EraseRootFromParent_Done,
     /* 1452826 */   // Label 20385: @1452826
     /* 1452826 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1452923), // Rule ID 7485 //
     /* 1452831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1452834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452881 */     // MIs[1] Operand 1
     /* 1452881 */     // No operand predicates
     /* 1452881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452885 */     // MIs[0] policy
     /* 1452885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452922 */     // GIR_Coverage, 7485,
     /* 1452922 */     GIR_EraseRootFromParent_Done,
     /* 1452923 */   // Label 20386: @1452923
     /* 1452923 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1453020), // Rule ID 7486 //
     /* 1452928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1452931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452978 */     // MIs[1] Operand 1
     /* 1452978 */     // No operand predicates
     /* 1452978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452982 */     // MIs[0] policy
     /* 1452982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1452997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453019 */     // GIR_Coverage, 7486,
     /* 1453019 */     GIR_EraseRootFromParent_Done,
     /* 1453020 */   // Label 20387: @1453020
     /* 1453020 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1453117), // Rule ID 7489 //
     /* 1453025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453075 */     // MIs[1] Operand 1
     /* 1453075 */     // No operand predicates
     /* 1453075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453079 */     // MIs[0] policy
     /* 1453079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453116 */     // GIR_Coverage, 7489,
     /* 1453116 */     GIR_EraseRootFromParent_Done,
     /* 1453117 */   // Label 20388: @1453117
     /* 1453117 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1453214), // Rule ID 7490 //
     /* 1453122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453172 */     // MIs[1] Operand 1
     /* 1453172 */     // No operand predicates
     /* 1453172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453176 */     // MIs[0] policy
     /* 1453176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1453191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453213 */     // GIR_Coverage, 7490,
     /* 1453213 */     GIR_EraseRootFromParent_Done,
     /* 1453214 */   // Label 20389: @1453214
     /* 1453214 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1453311), // Rule ID 7493 //
     /* 1453219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453269 */     // MIs[1] Operand 1
     /* 1453269 */     // No operand predicates
     /* 1453269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453273 */     // MIs[0] policy
     /* 1453273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453310 */     // GIR_Coverage, 7493,
     /* 1453310 */     GIR_EraseRootFromParent_Done,
     /* 1453311 */   // Label 20390: @1453311
     /* 1453311 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1453408), // Rule ID 7494 //
     /* 1453316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453366 */     // MIs[1] Operand 1
     /* 1453366 */     // No operand predicates
     /* 1453366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453370 */     // MIs[0] policy
     /* 1453370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1453385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453407 */     // GIR_Coverage, 7494,
     /* 1453407 */     GIR_EraseRootFromParent_Done,
     /* 1453408 */   // Label 20391: @1453408
     /* 1453408 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1453505), // Rule ID 7497 //
     /* 1453413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1453416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453463 */     // MIs[1] Operand 1
     /* 1453463 */     // No operand predicates
     /* 1453463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453467 */     // MIs[0] policy
     /* 1453467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453504 */     // GIR_Coverage, 7497,
     /* 1453504 */     GIR_EraseRootFromParent_Done,
     /* 1453505 */   // Label 20392: @1453505
     /* 1453505 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1453602), // Rule ID 7498 //
     /* 1453510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1453513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1453518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1453521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1453524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453560 */     // MIs[1] Operand 1
     /* 1453560 */     // No operand predicates
     /* 1453560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453564 */     // MIs[0] policy
     /* 1453564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1453579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453601 */     // GIR_Coverage, 7498,
     /* 1453601 */     GIR_EraseRootFromParent_Done,
     /* 1453602 */   // Label 20393: @1453602
     /* 1453602 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1453699), // Rule ID 7621 //
     /* 1453607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453657 */     // MIs[1] Operand 1
     /* 1453657 */     // No operand predicates
     /* 1453657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453661 */     // MIs[0] policy
     /* 1453661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1453676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453698 */     // GIR_Coverage, 7621,
     /* 1453698 */     GIR_EraseRootFromParent_Done,
     /* 1453699 */   // Label 20394: @1453699
     /* 1453699 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1453796), // Rule ID 7622 //
     /* 1453704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1453721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453754 */     // MIs[1] Operand 1
     /* 1453754 */     // No operand predicates
     /* 1453754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453758 */     // MIs[0] policy
     /* 1453758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1453773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453795 */     // GIR_Coverage, 7622,
     /* 1453795 */     GIR_EraseRootFromParent_Done,
     /* 1453796 */   // Label 20395: @1453796
     /* 1453796 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1453893), // Rule ID 7625 //
     /* 1453801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1453818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453851 */     // MIs[1] Operand 1
     /* 1453851 */     // No operand predicates
     /* 1453851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453855 */     // MIs[0] policy
     /* 1453855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1453870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453892 */     // GIR_Coverage, 7625,
     /* 1453892 */     GIR_EraseRootFromParent_Done,
     /* 1453893 */   // Label 20396: @1453893
     /* 1453893 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1453990), // Rule ID 7626 //
     /* 1453898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1453915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453948 */     // MIs[1] Operand 1
     /* 1453948 */     // No operand predicates
     /* 1453948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453952 */     // MIs[0] policy
     /* 1453952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1453967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453989 */     // GIR_Coverage, 7626,
     /* 1453989 */     GIR_EraseRootFromParent_Done,
     /* 1453990 */   // Label 20397: @1453990
     /* 1453990 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1454087), // Rule ID 7629 //
     /* 1453995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454045 */     // MIs[1] Operand 1
     /* 1454045 */     // No operand predicates
     /* 1454045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454049 */     // MIs[0] policy
     /* 1454049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454086 */     // GIR_Coverage, 7629,
     /* 1454086 */     GIR_EraseRootFromParent_Done,
     /* 1454087 */   // Label 20398: @1454087
     /* 1454087 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1454184), // Rule ID 7630 //
     /* 1454092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454142 */     // MIs[1] Operand 1
     /* 1454142 */     // No operand predicates
     /* 1454142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454146 */     // MIs[0] policy
     /* 1454146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454158 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454183 */     // GIR_Coverage, 7630,
     /* 1454183 */     GIR_EraseRootFromParent_Done,
     /* 1454184 */   // Label 20399: @1454184
     /* 1454184 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1454281), // Rule ID 7633 //
     /* 1454189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454239 */     // MIs[1] Operand 1
     /* 1454239 */     // No operand predicates
     /* 1454239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454243 */     // MIs[0] policy
     /* 1454243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454280 */     // GIR_Coverage, 7633,
     /* 1454280 */     GIR_EraseRootFromParent_Done,
     /* 1454281 */   // Label 20400: @1454281
     /* 1454281 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1454378), // Rule ID 7634 //
     /* 1454286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1454303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454336 */     // MIs[1] Operand 1
     /* 1454336 */     // No operand predicates
     /* 1454336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454340 */     // MIs[0] policy
     /* 1454340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454377 */     // GIR_Coverage, 7634,
     /* 1454377 */     GIR_EraseRootFromParent_Done,
     /* 1454378 */   // Label 20401: @1454378
     /* 1454378 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1454475), // Rule ID 7637 //
     /* 1454383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454433 */     // MIs[1] Operand 1
     /* 1454433 */     // No operand predicates
     /* 1454433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454437 */     // MIs[0] policy
     /* 1454437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454474 */     // GIR_Coverage, 7637,
     /* 1454474 */     GIR_EraseRootFromParent_Done,
     /* 1454475 */   // Label 20402: @1454475
     /* 1454475 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1454572), // Rule ID 7638 //
     /* 1454480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1454491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1454494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1454497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454530 */     // MIs[1] Operand 1
     /* 1454530 */     // No operand predicates
     /* 1454530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454534 */     // MIs[0] policy
     /* 1454534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454571 */     // GIR_Coverage, 7638,
     /* 1454571 */     GIR_EraseRootFromParent_Done,
     /* 1454572 */   // Label 20403: @1454572
     /* 1454572 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1454669), // Rule ID 7641 //
     /* 1454577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1454588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1454591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1454594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1454600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454627 */     // MIs[1] Operand 1
     /* 1454627 */     // No operand predicates
     /* 1454627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454631 */     // MIs[0] policy
     /* 1454631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454668 */     // GIR_Coverage, 7641,
     /* 1454668 */     GIR_EraseRootFromParent_Done,
     /* 1454669 */   // Label 20404: @1454669
     /* 1454669 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1454766), // Rule ID 7642 //
     /* 1454674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1454685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1454688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1454691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1454697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454724 */     // MIs[1] Operand 1
     /* 1454724 */     // No operand predicates
     /* 1454724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454728 */     // MIs[0] policy
     /* 1454728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454765 */     // GIR_Coverage, 7642,
     /* 1454765 */     GIR_EraseRootFromParent_Done,
     /* 1454766 */   // Label 20405: @1454766
     /* 1454766 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1454863), // Rule ID 7645 //
     /* 1454771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454821 */     // MIs[1] Operand 1
     /* 1454821 */     // No operand predicates
     /* 1454821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454825 */     // MIs[0] policy
     /* 1454825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454837 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454862 */     // GIR_Coverage, 7645,
     /* 1454862 */     GIR_EraseRootFromParent_Done,
     /* 1454863 */   // Label 20406: @1454863
     /* 1454863 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1454960), // Rule ID 7646 //
     /* 1454868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454918 */     // MIs[1] Operand 1
     /* 1454918 */     // No operand predicates
     /* 1454918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454922 */     // MIs[0] policy
     /* 1454922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1454937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454959 */     // GIR_Coverage, 7646,
     /* 1454959 */     GIR_EraseRootFromParent_Done,
     /* 1454960 */   // Label 20407: @1454960
     /* 1454960 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1455057), // Rule ID 7649 //
     /* 1454965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1454982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455015 */     // MIs[1] Operand 1
     /* 1455015 */     // No operand predicates
     /* 1455015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455019 */     // MIs[0] policy
     /* 1455019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455056 */     // GIR_Coverage, 7649,
     /* 1455056 */     GIR_EraseRootFromParent_Done,
     /* 1455057 */   // Label 20408: @1455057
     /* 1455057 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1455154), // Rule ID 7650 //
     /* 1455062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455112 */     // MIs[1] Operand 1
     /* 1455112 */     // No operand predicates
     /* 1455112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455116 */     // MIs[0] policy
     /* 1455116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455153 */     // GIR_Coverage, 7650,
     /* 1455153 */     GIR_EraseRootFromParent_Done,
     /* 1455154 */   // Label 20409: @1455154
     /* 1455154 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1455251), // Rule ID 7653 //
     /* 1455159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455209 */     // MIs[1] Operand 1
     /* 1455209 */     // No operand predicates
     /* 1455209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455213 */     // MIs[0] policy
     /* 1455213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455250 */     // GIR_Coverage, 7653,
     /* 1455250 */     GIR_EraseRootFromParent_Done,
     /* 1455251 */   // Label 20410: @1455251
     /* 1455251 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1455348), // Rule ID 7654 //
     /* 1455256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1455273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455306 */     // MIs[1] Operand 1
     /* 1455306 */     // No operand predicates
     /* 1455306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455310 */     // MIs[0] policy
     /* 1455310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1455325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455347 */     // GIR_Coverage, 7654,
     /* 1455347 */     GIR_EraseRootFromParent_Done,
     /* 1455348 */   // Label 20411: @1455348
     /* 1455348 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1455445), // Rule ID 7657 //
     /* 1455353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455403 */     // MIs[1] Operand 1
     /* 1455403 */     // No operand predicates
     /* 1455403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455407 */     // MIs[0] policy
     /* 1455407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455444 */     // GIR_Coverage, 7657,
     /* 1455444 */     GIR_EraseRootFromParent_Done,
     /* 1455445 */   // Label 20412: @1455445
     /* 1455445 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1455542), // Rule ID 7658 //
     /* 1455450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1455467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455500 */     // MIs[1] Operand 1
     /* 1455500 */     // No operand predicates
     /* 1455500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455504 */     // MIs[0] policy
     /* 1455504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455541 */     // GIR_Coverage, 7658,
     /* 1455541 */     GIR_EraseRootFromParent_Done,
     /* 1455542 */   // Label 20413: @1455542
     /* 1455542 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1455639), // Rule ID 7661 //
     /* 1455547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1455564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455597 */     // MIs[1] Operand 1
     /* 1455597 */     // No operand predicates
     /* 1455597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455601 */     // MIs[0] policy
     /* 1455601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455613 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455638 */     // GIR_Coverage, 7661,
     /* 1455638 */     GIR_EraseRootFromParent_Done,
     /* 1455639 */   // Label 20414: @1455639
     /* 1455639 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1455736), // Rule ID 7662 //
     /* 1455644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1455655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1455658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1455661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455694 */     // MIs[1] Operand 1
     /* 1455694 */     // No operand predicates
     /* 1455694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455698 */     // MIs[0] policy
     /* 1455698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455735 */     // GIR_Coverage, 7662,
     /* 1455735 */     GIR_EraseRootFromParent_Done,
     /* 1455736 */   // Label 20415: @1455736
     /* 1455736 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1455833), // Rule ID 7665 //
     /* 1455741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1455744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455791 */     // MIs[1] Operand 1
     /* 1455791 */     // No operand predicates
     /* 1455791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455795 */     // MIs[0] policy
     /* 1455795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455832 */     // GIR_Coverage, 7665,
     /* 1455832 */     GIR_EraseRootFromParent_Done,
     /* 1455833 */   // Label 20416: @1455833
     /* 1455833 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1455930), // Rule ID 7666 //
     /* 1455838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1455841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455888 */     // MIs[1] Operand 1
     /* 1455888 */     // No operand predicates
     /* 1455888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455892 */     // MIs[0] policy
     /* 1455892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1455907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455929 */     // GIR_Coverage, 7666,
     /* 1455929 */     GIR_EraseRootFromParent_Done,
     /* 1455930 */   // Label 20417: @1455930
     /* 1455930 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1456027), // Rule ID 7669 //
     /* 1455935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1455938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1455952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455985 */     // MIs[1] Operand 1
     /* 1455985 */     // No operand predicates
     /* 1455985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455989 */     // MIs[0] policy
     /* 1455989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456026 */     // GIR_Coverage, 7669,
     /* 1456026 */     GIR_EraseRootFromParent_Done,
     /* 1456027 */   // Label 20418: @1456027
     /* 1456027 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1456124), // Rule ID 7670 //
     /* 1456032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456082 */     // MIs[1] Operand 1
     /* 1456082 */     // No operand predicates
     /* 1456082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456086 */     // MIs[0] policy
     /* 1456086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1456101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456123 */     // GIR_Coverage, 7670,
     /* 1456123 */     GIR_EraseRootFromParent_Done,
     /* 1456124 */   // Label 20419: @1456124
     /* 1456124 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1456221), // Rule ID 7673 //
     /* 1456129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456179 */     // MIs[1] Operand 1
     /* 1456179 */     // No operand predicates
     /* 1456179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456183 */     // MIs[0] policy
     /* 1456183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456220 */     // GIR_Coverage, 7673,
     /* 1456220 */     GIR_EraseRootFromParent_Done,
     /* 1456221 */   // Label 20420: @1456221
     /* 1456221 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1456318), // Rule ID 7674 //
     /* 1456226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1456243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456276 */     // MIs[1] Operand 1
     /* 1456276 */     // No operand predicates
     /* 1456276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456280 */     // MIs[0] policy
     /* 1456280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1456295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456317 */     // GIR_Coverage, 7674,
     /* 1456317 */     GIR_EraseRootFromParent_Done,
     /* 1456318 */   // Label 20421: @1456318
     /* 1456318 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1456415), // Rule ID 7677 //
     /* 1456323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1456326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456373 */     // MIs[1] Operand 1
     /* 1456373 */     // No operand predicates
     /* 1456373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456377 */     // MIs[0] policy
     /* 1456377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456414 */     // GIR_Coverage, 7677,
     /* 1456414 */     GIR_EraseRootFromParent_Done,
     /* 1456415 */   // Label 20422: @1456415
     /* 1456415 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1456512), // Rule ID 7678 //
     /* 1456420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1456423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1456428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1456437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456470 */     // MIs[1] Operand 1
     /* 1456470 */     // No operand predicates
     /* 1456470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456474 */     // MIs[0] policy
     /* 1456474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1456489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456511 */     // GIR_Coverage, 7678,
     /* 1456511 */     GIR_EraseRootFromParent_Done,
     /* 1456512 */   // Label 20423: @1456512
     /* 1456512 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1456612), // Rule ID 14107 //
     /* 1456517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456567 */     // MIs[1] Operand 1
     /* 1456567 */     // No operand predicates
     /* 1456567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456571 */     // MIs[0] policy
     /* 1456571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1456586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456611 */     // GIR_Coverage, 14107,
     /* 1456611 */     GIR_EraseRootFromParent_Done,
     /* 1456612 */   // Label 20424: @1456612
     /* 1456612 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1456712), // Rule ID 14108 //
     /* 1456617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1456628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1456631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1456634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456667 */     // MIs[1] Operand 1
     /* 1456667 */     // No operand predicates
     /* 1456667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456671 */     // MIs[0] policy
     /* 1456671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1456686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456711 */     // GIR_Coverage, 14108,
     /* 1456711 */     GIR_EraseRootFromParent_Done,
     /* 1456712 */   // Label 20425: @1456712
     /* 1456712 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1456812), // Rule ID 14111 //
     /* 1456717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1456728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1456731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1456734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456767 */     // MIs[1] Operand 1
     /* 1456767 */     // No operand predicates
     /* 1456767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456771 */     // MIs[0] policy
     /* 1456771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1456786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456811 */     // GIR_Coverage, 14111,
     /* 1456811 */     GIR_EraseRootFromParent_Done,
     /* 1456812 */   // Label 20426: @1456812
     /* 1456812 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1456912), // Rule ID 14112 //
     /* 1456817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1456828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1456831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1456834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456867 */     // MIs[1] Operand 1
     /* 1456867 */     // No operand predicates
     /* 1456867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456871 */     // MIs[0] policy
     /* 1456871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1456886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456911 */     // GIR_Coverage, 14112,
     /* 1456911 */     GIR_EraseRootFromParent_Done,
     /* 1456912 */   // Label 20427: @1456912
     /* 1456912 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1457012), // Rule ID 14115 //
     /* 1456917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1456928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1456931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1456934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456967 */     // MIs[1] Operand 1
     /* 1456967 */     // No operand predicates
     /* 1456967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456971 */     // MIs[0] policy
     /* 1456971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1456986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457011 */     // GIR_Coverage, 14115,
     /* 1457011 */     GIR_EraseRootFromParent_Done,
     /* 1457012 */   // Label 20428: @1457012
     /* 1457012 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1457112), // Rule ID 14116 //
     /* 1457017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1457028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1457031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1457034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457067 */     // MIs[1] Operand 1
     /* 1457067 */     // No operand predicates
     /* 1457067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457071 */     // MIs[0] policy
     /* 1457071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457083 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457111 */     // GIR_Coverage, 14116,
     /* 1457111 */     GIR_EraseRootFromParent_Done,
     /* 1457112 */   // Label 20429: @1457112
     /* 1457112 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1457212), // Rule ID 14119 //
     /* 1457117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457167 */     // MIs[1] Operand 1
     /* 1457167 */     // No operand predicates
     /* 1457167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457171 */     // MIs[0] policy
     /* 1457171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457183 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457211 */     // GIR_Coverage, 14119,
     /* 1457211 */     GIR_EraseRootFromParent_Done,
     /* 1457212 */   // Label 20430: @1457212
     /* 1457212 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1457312), // Rule ID 14120 //
     /* 1457217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457267 */     // MIs[1] Operand 1
     /* 1457267 */     // No operand predicates
     /* 1457267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457271 */     // MIs[0] policy
     /* 1457271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1457286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457311 */     // GIR_Coverage, 14120,
     /* 1457311 */     GIR_EraseRootFromParent_Done,
     /* 1457312 */   // Label 20431: @1457312
     /* 1457312 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1457412), // Rule ID 14123 //
     /* 1457317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457367 */     // MIs[1] Operand 1
     /* 1457367 */     // No operand predicates
     /* 1457367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457371 */     // MIs[0] policy
     /* 1457371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457411 */     // GIR_Coverage, 14123,
     /* 1457411 */     GIR_EraseRootFromParent_Done,
     /* 1457412 */   // Label 20432: @1457412
     /* 1457412 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1457512), // Rule ID 14124 //
     /* 1457417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457467 */     // MIs[1] Operand 1
     /* 1457467 */     // No operand predicates
     /* 1457467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457471 */     // MIs[0] policy
     /* 1457471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457511 */     // GIR_Coverage, 14124,
     /* 1457511 */     GIR_EraseRootFromParent_Done,
     /* 1457512 */   // Label 20433: @1457512
     /* 1457512 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1457612), // Rule ID 14127 //
     /* 1457517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457567 */     // MIs[1] Operand 1
     /* 1457567 */     // No operand predicates
     /* 1457567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457571 */     // MIs[0] policy
     /* 1457571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457611 */     // GIR_Coverage, 14127,
     /* 1457611 */     GIR_EraseRootFromParent_Done,
     /* 1457612 */   // Label 20434: @1457612
     /* 1457612 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1457712), // Rule ID 14128 //
     /* 1457617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457667 */     // MIs[1] Operand 1
     /* 1457667 */     // No operand predicates
     /* 1457667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457671 */     // MIs[0] policy
     /* 1457671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1457686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457711 */     // GIR_Coverage, 14128,
     /* 1457711 */     GIR_EraseRootFromParent_Done,
     /* 1457712 */   // Label 20435: @1457712
     /* 1457712 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1457812), // Rule ID 14131 //
     /* 1457717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1457728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1457731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1457734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457767 */     // MIs[1] Operand 1
     /* 1457767 */     // No operand predicates
     /* 1457767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457771 */     // MIs[0] policy
     /* 1457771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457811 */     // GIR_Coverage, 14131,
     /* 1457811 */     GIR_EraseRootFromParent_Done,
     /* 1457812 */   // Label 20436: @1457812
     /* 1457812 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1457912), // Rule ID 14132 //
     /* 1457817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1457828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1457831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1457834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457867 */     // MIs[1] Operand 1
     /* 1457867 */     // No operand predicates
     /* 1457867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457871 */     // MIs[0] policy
     /* 1457871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457911 */     // GIR_Coverage, 14132,
     /* 1457911 */     GIR_EraseRootFromParent_Done,
     /* 1457912 */   // Label 20437: @1457912
     /* 1457912 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1458012), // Rule ID 14135 //
     /* 1457917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1457928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1457931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457967 */     // MIs[1] Operand 1
     /* 1457967 */     // No operand predicates
     /* 1457967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457971 */     // MIs[0] policy
     /* 1457971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458011 */     // GIR_Coverage, 14135,
     /* 1458011 */     GIR_EraseRootFromParent_Done,
     /* 1458012 */   // Label 20438: @1458012
     /* 1458012 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1458112), // Rule ID 14136 //
     /* 1458017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1458028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1458031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458067 */     // MIs[1] Operand 1
     /* 1458067 */     // No operand predicates
     /* 1458067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458071 */     // MIs[0] policy
     /* 1458071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458111 */     // GIR_Coverage, 14136,
     /* 1458111 */     GIR_EraseRootFromParent_Done,
     /* 1458112 */   // Label 20439: @1458112
     /* 1458112 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1458212), // Rule ID 14139 //
     /* 1458117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458167 */     // MIs[1] Operand 1
     /* 1458167 */     // No operand predicates
     /* 1458167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458171 */     // MIs[0] policy
     /* 1458171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458211 */     // GIR_Coverage, 14139,
     /* 1458211 */     GIR_EraseRootFromParent_Done,
     /* 1458212 */   // Label 20440: @1458212
     /* 1458212 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1458312), // Rule ID 14140 //
     /* 1458217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458267 */     // MIs[1] Operand 1
     /* 1458267 */     // No operand predicates
     /* 1458267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458271 */     // MIs[0] policy
     /* 1458271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458311 */     // GIR_Coverage, 14140,
     /* 1458311 */     GIR_EraseRootFromParent_Done,
     /* 1458312 */   // Label 20441: @1458312
     /* 1458312 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1458412), // Rule ID 14143 //
     /* 1458317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1458320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458367 */     // MIs[1] Operand 1
     /* 1458367 */     // No operand predicates
     /* 1458367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458371 */     // MIs[0] policy
     /* 1458371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458411 */     // GIR_Coverage, 14143,
     /* 1458411 */     GIR_EraseRootFromParent_Done,
     /* 1458412 */   // Label 20442: @1458412
     /* 1458412 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1458512), // Rule ID 14144 //
     /* 1458417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1458420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458467 */     // MIs[1] Operand 1
     /* 1458467 */     // No operand predicates
     /* 1458467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458471 */     // MIs[0] policy
     /* 1458471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1458486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458511 */     // GIR_Coverage, 14144,
     /* 1458511 */     GIR_EraseRootFromParent_Done,
     /* 1458512 */   // Label 20443: @1458512
     /* 1458512 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1458612), // Rule ID 14147 //
     /* 1458517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458567 */     // MIs[1] Operand 1
     /* 1458567 */     // No operand predicates
     /* 1458567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458571 */     // MIs[0] policy
     /* 1458571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458583 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458611 */     // GIR_Coverage, 14147,
     /* 1458611 */     GIR_EraseRootFromParent_Done,
     /* 1458612 */   // Label 20444: @1458612
     /* 1458612 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1458712), // Rule ID 14148 //
     /* 1458617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1458634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458667 */     // MIs[1] Operand 1
     /* 1458667 */     // No operand predicates
     /* 1458667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458671 */     // MIs[0] policy
     /* 1458671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458711 */     // GIR_Coverage, 14148,
     /* 1458711 */     GIR_EraseRootFromParent_Done,
     /* 1458712 */   // Label 20445: @1458712
     /* 1458712 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1458812), // Rule ID 14151 //
     /* 1458717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1458734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458767 */     // MIs[1] Operand 1
     /* 1458767 */     // No operand predicates
     /* 1458767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458771 */     // MIs[0] policy
     /* 1458771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458811 */     // GIR_Coverage, 14151,
     /* 1458811 */     GIR_EraseRootFromParent_Done,
     /* 1458812 */   // Label 20446: @1458812
     /* 1458812 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1458912), // Rule ID 14152 //
     /* 1458817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1458828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1458831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1458834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458867 */     // MIs[1] Operand 1
     /* 1458867 */     // No operand predicates
     /* 1458867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458871 */     // MIs[0] policy
     /* 1458871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458883 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458911 */     // GIR_Coverage, 14152,
     /* 1458911 */     GIR_EraseRootFromParent_Done,
     /* 1458912 */   // Label 20447: @1458912
     /* 1458912 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1459012), // Rule ID 14155 //
     /* 1458917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1458928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1458931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1458934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1458940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458967 */     // MIs[1] Operand 1
     /* 1458967 */     // No operand predicates
     /* 1458967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458971 */     // MIs[0] policy
     /* 1458971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1458986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459011 */     // GIR_Coverage, 14155,
     /* 1459011 */     GIR_EraseRootFromParent_Done,
     /* 1459012 */   // Label 20448: @1459012
     /* 1459012 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1459112), // Rule ID 14156 //
     /* 1459017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1459028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1459031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1459034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1459040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459067 */     // MIs[1] Operand 1
     /* 1459067 */     // No operand predicates
     /* 1459067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459071 */     // MIs[0] policy
     /* 1459071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459111 */     // GIR_Coverage, 14156,
     /* 1459111 */     GIR_EraseRootFromParent_Done,
     /* 1459112 */   // Label 20449: @1459112
     /* 1459112 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1459212), // Rule ID 14159 //
     /* 1459117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459167 */     // MIs[1] Operand 1
     /* 1459167 */     // No operand predicates
     /* 1459167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459171 */     // MIs[0] policy
     /* 1459171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459211 */     // GIR_Coverage, 14159,
     /* 1459211 */     GIR_EraseRootFromParent_Done,
     /* 1459212 */   // Label 20450: @1459212
     /* 1459212 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1459312), // Rule ID 14160 //
     /* 1459217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1459234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459267 */     // MIs[1] Operand 1
     /* 1459267 */     // No operand predicates
     /* 1459267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459271 */     // MIs[0] policy
     /* 1459271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459311 */     // GIR_Coverage, 14160,
     /* 1459311 */     GIR_EraseRootFromParent_Done,
     /* 1459312 */   // Label 20451: @1459312
     /* 1459312 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1459412), // Rule ID 14163 //
     /* 1459317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459367 */     // MIs[1] Operand 1
     /* 1459367 */     // No operand predicates
     /* 1459367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459371 */     // MIs[0] policy
     /* 1459371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459411 */     // GIR_Coverage, 14163,
     /* 1459411 */     GIR_EraseRootFromParent_Done,
     /* 1459412 */   // Label 20452: @1459412
     /* 1459412 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1459512), // Rule ID 14164 //
     /* 1459417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1459428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1459431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459467 */     // MIs[1] Operand 1
     /* 1459467 */     // No operand predicates
     /* 1459467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459471 */     // MIs[0] policy
     /* 1459471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459483 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459511 */     // GIR_Coverage, 14164,
     /* 1459511 */     GIR_EraseRootFromParent_Done,
     /* 1459512 */   // Label 20453: @1459512
     /* 1459512 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1459612), // Rule ID 14167 //
     /* 1459517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459567 */     // MIs[1] Operand 1
     /* 1459567 */     // No operand predicates
     /* 1459567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459571 */     // MIs[0] policy
     /* 1459571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459611 */     // GIR_Coverage, 14167,
     /* 1459611 */     GIR_EraseRootFromParent_Done,
     /* 1459612 */   // Label 20454: @1459612
     /* 1459612 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1459712), // Rule ID 14168 //
     /* 1459617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1459628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1459631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459667 */     // MIs[1] Operand 1
     /* 1459667 */     // No operand predicates
     /* 1459667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459671 */     // MIs[0] policy
     /* 1459671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459683 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459711 */     // GIR_Coverage, 14168,
     /* 1459711 */     GIR_EraseRootFromParent_Done,
     /* 1459712 */   // Label 20455: @1459712
     /* 1459712 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1459812), // Rule ID 14171 //
     /* 1459717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1459728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1459731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459767 */     // MIs[1] Operand 1
     /* 1459767 */     // No operand predicates
     /* 1459767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459771 */     // MIs[0] policy
     /* 1459771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459811 */     // GIR_Coverage, 14171,
     /* 1459811 */     GIR_EraseRootFromParent_Done,
     /* 1459812 */   // Label 20456: @1459812
     /* 1459812 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1459912), // Rule ID 14172 //
     /* 1459817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1459828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1459831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459867 */     // MIs[1] Operand 1
     /* 1459867 */     // No operand predicates
     /* 1459867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459871 */     // MIs[0] policy
     /* 1459871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459911 */     // GIR_Coverage, 14172,
     /* 1459911 */     GIR_EraseRootFromParent_Done,
     /* 1459912 */   // Label 20457: @1459912
     /* 1459912 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1460012), // Rule ID 14175 //
     /* 1459917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1459928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1459931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459967 */     // MIs[1] Operand 1
     /* 1459967 */     // No operand predicates
     /* 1459967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459971 */     // MIs[0] policy
     /* 1459971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460011 */     // GIR_Coverage, 14175,
     /* 1460011 */     GIR_EraseRootFromParent_Done,
     /* 1460012 */   // Label 20458: @1460012
     /* 1460012 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1460112), // Rule ID 14176 //
     /* 1460017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460067 */     // MIs[1] Operand 1
     /* 1460067 */     // No operand predicates
     /* 1460067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460071 */     // MIs[0] policy
     /* 1460071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460111 */     // GIR_Coverage, 14176,
     /* 1460111 */     GIR_EraseRootFromParent_Done,
     /* 1460112 */   // Label 20459: @1460112
     /* 1460112 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1460212), // Rule ID 14179 //
     /* 1460117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460167 */     // MIs[1] Operand 1
     /* 1460167 */     // No operand predicates
     /* 1460167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460171 */     // MIs[0] policy
     /* 1460171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460211 */     // GIR_Coverage, 14179,
     /* 1460211 */     GIR_EraseRootFromParent_Done,
     /* 1460212 */   // Label 20460: @1460212
     /* 1460212 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1460312), // Rule ID 14180 //
     /* 1460217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1460228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1460231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460267 */     // MIs[1] Operand 1
     /* 1460267 */     // No operand predicates
     /* 1460267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460271 */     // MIs[0] policy
     /* 1460271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460311 */     // GIR_Coverage, 14180,
     /* 1460311 */     GIR_EraseRootFromParent_Done,
     /* 1460312 */   // Label 20461: @1460312
     /* 1460312 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1460412), // Rule ID 14183 //
     /* 1460317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460367 */     // MIs[1] Operand 1
     /* 1460367 */     // No operand predicates
     /* 1460367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460371 */     // MIs[0] policy
     /* 1460371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460411 */     // GIR_Coverage, 14183,
     /* 1460411 */     GIR_EraseRootFromParent_Done,
     /* 1460412 */   // Label 20462: @1460412
     /* 1460412 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1460512), // Rule ID 14184 //
     /* 1460417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1460428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1460431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460467 */     // MIs[1] Operand 1
     /* 1460467 */     // No operand predicates
     /* 1460467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460471 */     // MIs[0] policy
     /* 1460471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1460486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460511 */     // GIR_Coverage, 14184,
     /* 1460511 */     GIR_EraseRootFromParent_Done,
     /* 1460512 */   // Label 20463: @1460512
     /* 1460512 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1460612), // Rule ID 14187 //
     /* 1460517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460567 */     // MIs[1] Operand 1
     /* 1460567 */     // No operand predicates
     /* 1460567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460571 */     // MIs[0] policy
     /* 1460571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460611 */     // GIR_Coverage, 14187,
     /* 1460611 */     GIR_EraseRootFromParent_Done,
     /* 1460612 */   // Label 20464: @1460612
     /* 1460612 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1460712), // Rule ID 14188 //
     /* 1460617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1460628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1460631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460667 */     // MIs[1] Operand 1
     /* 1460667 */     // No operand predicates
     /* 1460667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460671 */     // MIs[0] policy
     /* 1460671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1460686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460711 */     // GIR_Coverage, 14188,
     /* 1460711 */     GIR_EraseRootFromParent_Done,
     /* 1460712 */   // Label 20465: @1460712
     /* 1460712 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1460812), // Rule ID 14191 //
     /* 1460717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1460728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1460731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460767 */     // MIs[1] Operand 1
     /* 1460767 */     // No operand predicates
     /* 1460767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460771 */     // MIs[0] policy
     /* 1460771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460783 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460811 */     // GIR_Coverage, 14191,
     /* 1460811 */     GIR_EraseRootFromParent_Done,
     /* 1460812 */   // Label 20466: @1460812
     /* 1460812 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1460912), // Rule ID 14192 //
     /* 1460817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1460820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1460825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1460828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1460831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460867 */     // MIs[1] Operand 1
     /* 1460867 */     // No operand predicates
     /* 1460867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460871 */     // MIs[0] policy
     /* 1460871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1460886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460911 */     // GIR_Coverage, 14192,
     /* 1460911 */     GIR_EraseRootFromParent_Done,
     /* 1460912 */   // Label 20467: @1460912
     /* 1460912 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1461012), // Rule ID 14371 //
     /* 1460917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1460928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1460931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1460934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460967 */     // MIs[1] Operand 1
     /* 1460967 */     // No operand predicates
     /* 1460967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460971 */     // MIs[0] policy
     /* 1460971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1460986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461011 */     // GIR_Coverage, 14371,
     /* 1461011 */     GIR_EraseRootFromParent_Done,
     /* 1461012 */   // Label 20468: @1461012
     /* 1461012 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1461112), // Rule ID 14372 //
     /* 1461017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461067 */     // MIs[1] Operand 1
     /* 1461067 */     // No operand predicates
     /* 1461067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461071 */     // MIs[0] policy
     /* 1461071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1461086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461111 */     // GIR_Coverage, 14372,
     /* 1461111 */     GIR_EraseRootFromParent_Done,
     /* 1461112 */   // Label 20469: @1461112
     /* 1461112 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1461212), // Rule ID 14375 //
     /* 1461117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461167 */     // MIs[1] Operand 1
     /* 1461167 */     // No operand predicates
     /* 1461167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461171 */     // MIs[0] policy
     /* 1461171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461211 */     // GIR_Coverage, 14375,
     /* 1461211 */     GIR_EraseRootFromParent_Done,
     /* 1461212 */   // Label 20470: @1461212
     /* 1461212 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1461312), // Rule ID 14376 //
     /* 1461217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461267 */     // MIs[1] Operand 1
     /* 1461267 */     // No operand predicates
     /* 1461267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461271 */     // MIs[0] policy
     /* 1461271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461311 */     // GIR_Coverage, 14376,
     /* 1461311 */     GIR_EraseRootFromParent_Done,
     /* 1461312 */   // Label 20471: @1461312
     /* 1461312 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1461412), // Rule ID 14379 //
     /* 1461317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461367 */     // MIs[1] Operand 1
     /* 1461367 */     // No operand predicates
     /* 1461367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461371 */     // MIs[0] policy
     /* 1461371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461411 */     // GIR_Coverage, 14379,
     /* 1461411 */     GIR_EraseRootFromParent_Done,
     /* 1461412 */   // Label 20472: @1461412
     /* 1461412 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1461512), // Rule ID 14380 //
     /* 1461417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461467 */     // MIs[1] Operand 1
     /* 1461467 */     // No operand predicates
     /* 1461467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461471 */     // MIs[0] policy
     /* 1461471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461511 */     // GIR_Coverage, 14380,
     /* 1461511 */     GIR_EraseRootFromParent_Done,
     /* 1461512 */   // Label 20473: @1461512
     /* 1461512 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1461612), // Rule ID 14383 //
     /* 1461517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461567 */     // MIs[1] Operand 1
     /* 1461567 */     // No operand predicates
     /* 1461567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461571 */     // MIs[0] policy
     /* 1461571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461611 */     // GIR_Coverage, 14383,
     /* 1461611 */     GIR_EraseRootFromParent_Done,
     /* 1461612 */   // Label 20474: @1461612
     /* 1461612 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1461712), // Rule ID 14384 //
     /* 1461617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461667 */     // MIs[1] Operand 1
     /* 1461667 */     // No operand predicates
     /* 1461667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461671 */     // MIs[0] policy
     /* 1461671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1461686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461711 */     // GIR_Coverage, 14384,
     /* 1461711 */     GIR_EraseRootFromParent_Done,
     /* 1461712 */   // Label 20475: @1461712
     /* 1461712 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1461812), // Rule ID 14387 //
     /* 1461717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461767 */     // MIs[1] Operand 1
     /* 1461767 */     // No operand predicates
     /* 1461767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461771 */     // MIs[0] policy
     /* 1461771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461811 */     // GIR_Coverage, 14387,
     /* 1461811 */     GIR_EraseRootFromParent_Done,
     /* 1461812 */   // Label 20476: @1461812
     /* 1461812 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1461912), // Rule ID 14388 //
     /* 1461817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461867 */     // MIs[1] Operand 1
     /* 1461867 */     // No operand predicates
     /* 1461867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461871 */     // MIs[0] policy
     /* 1461871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461911 */     // GIR_Coverage, 14388,
     /* 1461911 */     GIR_EraseRootFromParent_Done,
     /* 1461912 */   // Label 20477: @1461912
     /* 1461912 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1462012), // Rule ID 14391 //
     /* 1461917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1461928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1461931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1461934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461967 */     // MIs[1] Operand 1
     /* 1461967 */     // No operand predicates
     /* 1461967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461971 */     // MIs[0] policy
     /* 1461971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1461986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462011 */     // GIR_Coverage, 14391,
     /* 1462011 */     GIR_EraseRootFromParent_Done,
     /* 1462012 */   // Label 20478: @1462012
     /* 1462012 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1462112), // Rule ID 14392 //
     /* 1462017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462067 */     // MIs[1] Operand 1
     /* 1462067 */     // No operand predicates
     /* 1462067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462071 */     // MIs[0] policy
     /* 1462071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1462086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462111 */     // GIR_Coverage, 14392,
     /* 1462111 */     GIR_EraseRootFromParent_Done,
     /* 1462112 */   // Label 20479: @1462112
     /* 1462112 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1462212), // Rule ID 14395 //
     /* 1462117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462167 */     // MIs[1] Operand 1
     /* 1462167 */     // No operand predicates
     /* 1462167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462171 */     // MIs[0] policy
     /* 1462171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462211 */     // GIR_Coverage, 14395,
     /* 1462211 */     GIR_EraseRootFromParent_Done,
     /* 1462212 */   // Label 20480: @1462212
     /* 1462212 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1462312), // Rule ID 14396 //
     /* 1462217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462267 */     // MIs[1] Operand 1
     /* 1462267 */     // No operand predicates
     /* 1462267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462271 */     // MIs[0] policy
     /* 1462271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462311 */     // GIR_Coverage, 14396,
     /* 1462311 */     GIR_EraseRootFromParent_Done,
     /* 1462312 */   // Label 20481: @1462312
     /* 1462312 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1462412), // Rule ID 14399 //
     /* 1462317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462367 */     // MIs[1] Operand 1
     /* 1462367 */     // No operand predicates
     /* 1462367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462371 */     // MIs[0] policy
     /* 1462371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462411 */     // GIR_Coverage, 14399,
     /* 1462411 */     GIR_EraseRootFromParent_Done,
     /* 1462412 */   // Label 20482: @1462412
     /* 1462412 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1462512), // Rule ID 14400 //
     /* 1462417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462467 */     // MIs[1] Operand 1
     /* 1462467 */     // No operand predicates
     /* 1462467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462471 */     // MIs[0] policy
     /* 1462471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462511 */     // GIR_Coverage, 14400,
     /* 1462511 */     GIR_EraseRootFromParent_Done,
     /* 1462512 */   // Label 20483: @1462512
     /* 1462512 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1462612), // Rule ID 14403 //
     /* 1462517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462567 */     // MIs[1] Operand 1
     /* 1462567 */     // No operand predicates
     /* 1462567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462571 */     // MIs[0] policy
     /* 1462571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462611 */     // GIR_Coverage, 14403,
     /* 1462611 */     GIR_EraseRootFromParent_Done,
     /* 1462612 */   // Label 20484: @1462612
     /* 1462612 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1462712), // Rule ID 14404 //
     /* 1462617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462667 */     // MIs[1] Operand 1
     /* 1462667 */     // No operand predicates
     /* 1462667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462671 */     // MIs[0] policy
     /* 1462671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462711 */     // GIR_Coverage, 14404,
     /* 1462711 */     GIR_EraseRootFromParent_Done,
     /* 1462712 */   // Label 20485: @1462712
     /* 1462712 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1462812), // Rule ID 14407 //
     /* 1462717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1462720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1462728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1462731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462767 */     // MIs[1] Operand 1
     /* 1462767 */     // No operand predicates
     /* 1462767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462771 */     // MIs[0] policy
     /* 1462771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462811 */     // GIR_Coverage, 14407,
     /* 1462811 */     GIR_EraseRootFromParent_Done,
     /* 1462812 */   // Label 20486: @1462812
     /* 1462812 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1462912), // Rule ID 14408 //
     /* 1462817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1462820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1462828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1462831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462867 */     // MIs[1] Operand 1
     /* 1462867 */     // No operand predicates
     /* 1462867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462871 */     // MIs[0] policy
     /* 1462871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1462886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462911 */     // GIR_Coverage, 14408,
     /* 1462911 */     GIR_EraseRootFromParent_Done,
     /* 1462912 */   // Label 20487: @1462912
     /* 1462912 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1463012), // Rule ID 14411 //
     /* 1462917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1462928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1462931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1462934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462967 */     // MIs[1] Operand 1
     /* 1462967 */     // No operand predicates
     /* 1462967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462971 */     // MIs[0] policy
     /* 1462971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1462986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463011 */     // GIR_Coverage, 14411,
     /* 1463011 */     GIR_EraseRootFromParent_Done,
     /* 1463012 */   // Label 20488: @1463012
     /* 1463012 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1463112), // Rule ID 14412 //
     /* 1463017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463067 */     // MIs[1] Operand 1
     /* 1463067 */     // No operand predicates
     /* 1463067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463071 */     // MIs[0] policy
     /* 1463071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463111 */     // GIR_Coverage, 14412,
     /* 1463111 */     GIR_EraseRootFromParent_Done,
     /* 1463112 */   // Label 20489: @1463112
     /* 1463112 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1463212), // Rule ID 14415 //
     /* 1463117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463167 */     // MIs[1] Operand 1
     /* 1463167 */     // No operand predicates
     /* 1463167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463171 */     // MIs[0] policy
     /* 1463171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463183 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463211 */     // GIR_Coverage, 14415,
     /* 1463211 */     GIR_EraseRootFromParent_Done,
     /* 1463212 */   // Label 20490: @1463212
     /* 1463212 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1463312), // Rule ID 14416 //
     /* 1463217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463267 */     // MIs[1] Operand 1
     /* 1463267 */     // No operand predicates
     /* 1463267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463271 */     // MIs[0] policy
     /* 1463271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463311 */     // GIR_Coverage, 14416,
     /* 1463311 */     GIR_EraseRootFromParent_Done,
     /* 1463312 */   // Label 20491: @1463312
     /* 1463312 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1463412), // Rule ID 14419 //
     /* 1463317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463367 */     // MIs[1] Operand 1
     /* 1463367 */     // No operand predicates
     /* 1463367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463371 */     // MIs[0] policy
     /* 1463371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463411 */     // GIR_Coverage, 14419,
     /* 1463411 */     GIR_EraseRootFromParent_Done,
     /* 1463412 */   // Label 20492: @1463412
     /* 1463412 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1463512), // Rule ID 14420 //
     /* 1463417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463467 */     // MIs[1] Operand 1
     /* 1463467 */     // No operand predicates
     /* 1463467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463471 */     // MIs[0] policy
     /* 1463471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463511 */     // GIR_Coverage, 14420,
     /* 1463511 */     GIR_EraseRootFromParent_Done,
     /* 1463512 */   // Label 20493: @1463512
     /* 1463512 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1463612), // Rule ID 14423 //
     /* 1463517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463567 */     // MIs[1] Operand 1
     /* 1463567 */     // No operand predicates
     /* 1463567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463571 */     // MIs[0] policy
     /* 1463571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463611 */     // GIR_Coverage, 14423,
     /* 1463611 */     GIR_EraseRootFromParent_Done,
     /* 1463612 */   // Label 20494: @1463612
     /* 1463612 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1463712), // Rule ID 14424 //
     /* 1463617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463667 */     // MIs[1] Operand 1
     /* 1463667 */     // No operand predicates
     /* 1463667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463671 */     // MIs[0] policy
     /* 1463671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463711 */     // GIR_Coverage, 14424,
     /* 1463711 */     GIR_EraseRootFromParent_Done,
     /* 1463712 */   // Label 20495: @1463712
     /* 1463712 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1463812), // Rule ID 14427 //
     /* 1463717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1463728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1463731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463767 */     // MIs[1] Operand 1
     /* 1463767 */     // No operand predicates
     /* 1463767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463771 */     // MIs[0] policy
     /* 1463771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463811 */     // GIR_Coverage, 14427,
     /* 1463811 */     GIR_EraseRootFromParent_Done,
     /* 1463812 */   // Label 20496: @1463812
     /* 1463812 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1463912), // Rule ID 14428 //
     /* 1463817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1463828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1463831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463867 */     // MIs[1] Operand 1
     /* 1463867 */     // No operand predicates
     /* 1463867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463871 */     // MIs[0] policy
     /* 1463871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463911 */     // GIR_Coverage, 14428,
     /* 1463911 */     GIR_EraseRootFromParent_Done,
     /* 1463912 */   // Label 20497: @1463912
     /* 1463912 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1464012), // Rule ID 14431 //
     /* 1463917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1463928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1463931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1463934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463967 */     // MIs[1] Operand 1
     /* 1463967 */     // No operand predicates
     /* 1463967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463971 */     // MIs[0] policy
     /* 1463971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464011 */     // GIR_Coverage, 14431,
     /* 1464011 */     GIR_EraseRootFromParent_Done,
     /* 1464012 */   // Label 20498: @1464012
     /* 1464012 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1464112), // Rule ID 14432 //
     /* 1464017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464067 */     // MIs[1] Operand 1
     /* 1464067 */     // No operand predicates
     /* 1464067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464071 */     // MIs[0] policy
     /* 1464071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464111 */     // GIR_Coverage, 14432,
     /* 1464111 */     GIR_EraseRootFromParent_Done,
     /* 1464112 */   // Label 20499: @1464112
     /* 1464112 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1464212), // Rule ID 14435 //
     /* 1464117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464167 */     // MIs[1] Operand 1
     /* 1464167 */     // No operand predicates
     /* 1464167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464171 */     // MIs[0] policy
     /* 1464171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464211 */     // GIR_Coverage, 14435,
     /* 1464211 */     GIR_EraseRootFromParent_Done,
     /* 1464212 */   // Label 20500: @1464212
     /* 1464212 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1464312), // Rule ID 14436 //
     /* 1464217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464267 */     // MIs[1] Operand 1
     /* 1464267 */     // No operand predicates
     /* 1464267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464271 */     // MIs[0] policy
     /* 1464271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464311 */     // GIR_Coverage, 14436,
     /* 1464311 */     GIR_EraseRootFromParent_Done,
     /* 1464312 */   // Label 20501: @1464312
     /* 1464312 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1464412), // Rule ID 14439 //
     /* 1464317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464367 */     // MIs[1] Operand 1
     /* 1464367 */     // No operand predicates
     /* 1464367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464371 */     // MIs[0] policy
     /* 1464371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464411 */     // GIR_Coverage, 14439,
     /* 1464411 */     GIR_EraseRootFromParent_Done,
     /* 1464412 */   // Label 20502: @1464412
     /* 1464412 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1464512), // Rule ID 14440 //
     /* 1464417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464467 */     // MIs[1] Operand 1
     /* 1464467 */     // No operand predicates
     /* 1464467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464471 */     // MIs[0] policy
     /* 1464471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464511 */     // GIR_Coverage, 14440,
     /* 1464511 */     GIR_EraseRootFromParent_Done,
     /* 1464512 */   // Label 20503: @1464512
     /* 1464512 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1464612), // Rule ID 14443 //
     /* 1464517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464567 */     // MIs[1] Operand 1
     /* 1464567 */     // No operand predicates
     /* 1464567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464571 */     // MIs[0] policy
     /* 1464571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464611 */     // GIR_Coverage, 14443,
     /* 1464611 */     GIR_EraseRootFromParent_Done,
     /* 1464612 */   // Label 20504: @1464612
     /* 1464612 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1464712), // Rule ID 14444 //
     /* 1464617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464667 */     // MIs[1] Operand 1
     /* 1464667 */     // No operand predicates
     /* 1464667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464671 */     // MIs[0] policy
     /* 1464671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464711 */     // GIR_Coverage, 14444,
     /* 1464711 */     GIR_EraseRootFromParent_Done,
     /* 1464712 */   // Label 20505: @1464712
     /* 1464712 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1464812), // Rule ID 14447 //
     /* 1464717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1464720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464767 */     // MIs[1] Operand 1
     /* 1464767 */     // No operand predicates
     /* 1464767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464771 */     // MIs[0] policy
     /* 1464771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464811 */     // GIR_Coverage, 14447,
     /* 1464811 */     GIR_EraseRootFromParent_Done,
     /* 1464812 */   // Label 20506: @1464812
     /* 1464812 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1464912), // Rule ID 14448 //
     /* 1464817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1464820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464867 */     // MIs[1] Operand 1
     /* 1464867 */     // No operand predicates
     /* 1464867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464871 */     // MIs[0] policy
     /* 1464871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1464886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464911 */     // GIR_Coverage, 14448,
     /* 1464911 */     GIR_EraseRootFromParent_Done,
     /* 1464912 */   // Label 20507: @1464912
     /* 1464912 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1465012), // Rule ID 14451 //
     /* 1464917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1464920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1464928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1464931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1464934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464967 */     // MIs[1] Operand 1
     /* 1464967 */     // No operand predicates
     /* 1464967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464971 */     // MIs[0] policy
     /* 1464971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1464986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465011 */     // GIR_Coverage, 14451,
     /* 1465011 */     GIR_EraseRootFromParent_Done,
     /* 1465012 */   // Label 20508: @1465012
     /* 1465012 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1465112), // Rule ID 14452 //
     /* 1465017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465067 */     // MIs[1] Operand 1
     /* 1465067 */     // No operand predicates
     /* 1465067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465071 */     // MIs[0] policy
     /* 1465071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1465086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465111 */     // GIR_Coverage, 14452,
     /* 1465111 */     GIR_EraseRootFromParent_Done,
     /* 1465112 */   // Label 20509: @1465112
     /* 1465112 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1465212), // Rule ID 14455 //
     /* 1465117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465167 */     // MIs[1] Operand 1
     /* 1465167 */     // No operand predicates
     /* 1465167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465171 */     // MIs[0] policy
     /* 1465171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465183 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465211 */     // GIR_Coverage, 14455,
     /* 1465211 */     GIR_EraseRootFromParent_Done,
     /* 1465212 */   // Label 20510: @1465212
     /* 1465212 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1465312), // Rule ID 14456 //
     /* 1465217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465267 */     // MIs[1] Operand 1
     /* 1465267 */     // No operand predicates
     /* 1465267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465271 */     // MIs[0] policy
     /* 1465271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1465286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465311 */     // GIR_Coverage, 14456,
     /* 1465311 */     GIR_EraseRootFromParent_Done,
     /* 1465312 */   // Label 20511: @1465312
     /* 1465312 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1465409), // Rule ID 23575 //
     /* 1465317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465367 */     // MIs[1] Operand 1
     /* 1465367 */     // No operand predicates
     /* 1465367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465371 */     // MIs[0] policy
     /* 1465371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465408 */     // GIR_Coverage, 23575,
     /* 1465408 */     GIR_EraseRootFromParent_Done,
     /* 1465409 */   // Label 20512: @1465409
     /* 1465409 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1465506), // Rule ID 23576 //
     /* 1465414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465464 */     // MIs[1] Operand 1
     /* 1465464 */     // No operand predicates
     /* 1465464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465468 */     // MIs[0] policy
     /* 1465468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465480 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1465483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465505 */     // GIR_Coverage, 23576,
     /* 1465505 */     GIR_EraseRootFromParent_Done,
     /* 1465506 */   // Label 20513: @1465506
     /* 1465506 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1465603), // Rule ID 23579 //
     /* 1465511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465561 */     // MIs[1] Operand 1
     /* 1465561 */     // No operand predicates
     /* 1465561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465565 */     // MIs[0] policy
     /* 1465565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465577 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1465580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465602 */     // GIR_Coverage, 23579,
     /* 1465602 */     GIR_EraseRootFromParent_Done,
     /* 1465603 */   // Label 20514: @1465603
     /* 1465603 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1465700), // Rule ID 23580 //
     /* 1465608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465658 */     // MIs[1] Operand 1
     /* 1465658 */     // No operand predicates
     /* 1465658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465662 */     // MIs[0] policy
     /* 1465662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1465677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465699 */     // GIR_Coverage, 23580,
     /* 1465699 */     GIR_EraseRootFromParent_Done,
     /* 1465700 */   // Label 20515: @1465700
     /* 1465700 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1465797), // Rule ID 23583 //
     /* 1465705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1465722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465755 */     // MIs[1] Operand 1
     /* 1465755 */     // No operand predicates
     /* 1465755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465759 */     // MIs[0] policy
     /* 1465759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465796 */     // GIR_Coverage, 23583,
     /* 1465796 */     GIR_EraseRootFromParent_Done,
     /* 1465797 */   // Label 20516: @1465797
     /* 1465797 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1465894), // Rule ID 23584 //
     /* 1465802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1465819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465852 */     // MIs[1] Operand 1
     /* 1465852 */     // No operand predicates
     /* 1465852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465856 */     // MIs[0] policy
     /* 1465856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465893 */     // GIR_Coverage, 23584,
     /* 1465893 */     GIR_EraseRootFromParent_Done,
     /* 1465894 */   // Label 20517: @1465894
     /* 1465894 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1465991), // Rule ID 23587 //
     /* 1465899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1465910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1465913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465949 */     // MIs[1] Operand 1
     /* 1465949 */     // No operand predicates
     /* 1465949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465953 */     // MIs[0] policy
     /* 1465953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1465968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465990 */     // GIR_Coverage, 23587,
     /* 1465990 */     GIR_EraseRootFromParent_Done,
     /* 1465991 */   // Label 20518: @1465991
     /* 1465991 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1466088), // Rule ID 23588 //
     /* 1465996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466046 */     // MIs[1] Operand 1
     /* 1466046 */     // No operand predicates
     /* 1466046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466050 */     // MIs[0] policy
     /* 1466050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1466065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466087 */     // GIR_Coverage, 23588,
     /* 1466087 */     GIR_EraseRootFromParent_Done,
     /* 1466088 */   // Label 20519: @1466088
     /* 1466088 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1466185), // Rule ID 23591 //
     /* 1466093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466143 */     // MIs[1] Operand 1
     /* 1466143 */     // No operand predicates
     /* 1466143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466147 */     // MIs[0] policy
     /* 1466147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466184 */     // GIR_Coverage, 23591,
     /* 1466184 */     GIR_EraseRootFromParent_Done,
     /* 1466185 */   // Label 20520: @1466185
     /* 1466185 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1466282), // Rule ID 23592 //
     /* 1466190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466240 */     // MIs[1] Operand 1
     /* 1466240 */     // No operand predicates
     /* 1466240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466244 */     // MIs[0] policy
     /* 1466244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466281 */     // GIR_Coverage, 23592,
     /* 1466281 */     GIR_EraseRootFromParent_Done,
     /* 1466282 */   // Label 20521: @1466282
     /* 1466282 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1466379), // Rule ID 23595 //
     /* 1466287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466337 */     // MIs[1] Operand 1
     /* 1466337 */     // No operand predicates
     /* 1466337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466341 */     // MIs[0] policy
     /* 1466341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466378 */     // GIR_Coverage, 23595,
     /* 1466378 */     GIR_EraseRootFromParent_Done,
     /* 1466379 */   // Label 20522: @1466379
     /* 1466379 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1466476), // Rule ID 23596 //
     /* 1466384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466434 */     // MIs[1] Operand 1
     /* 1466434 */     // No operand predicates
     /* 1466434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466438 */     // MIs[0] policy
     /* 1466438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1466453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466475 */     // GIR_Coverage, 23596,
     /* 1466475 */     GIR_EraseRootFromParent_Done,
     /* 1466476 */   // Label 20523: @1466476
     /* 1466476 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1466573), // Rule ID 23599 //
     /* 1466481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466531 */     // MIs[1] Operand 1
     /* 1466531 */     // No operand predicates
     /* 1466531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466535 */     // MIs[0] policy
     /* 1466535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466572 */     // GIR_Coverage, 23599,
     /* 1466572 */     GIR_EraseRootFromParent_Done,
     /* 1466573 */   // Label 20524: @1466573
     /* 1466573 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1466670), // Rule ID 23600 //
     /* 1466578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466628 */     // MIs[1] Operand 1
     /* 1466628 */     // No operand predicates
     /* 1466628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466632 */     // MIs[0] policy
     /* 1466632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466669 */     // GIR_Coverage, 23600,
     /* 1466669 */     GIR_EraseRootFromParent_Done,
     /* 1466670 */   // Label 20525: @1466670
     /* 1466670 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1466767), // Rule ID 23603 //
     /* 1466675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466725 */     // MIs[1] Operand 1
     /* 1466725 */     // No operand predicates
     /* 1466725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466729 */     // MIs[0] policy
     /* 1466729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466766 */     // GIR_Coverage, 23603,
     /* 1466766 */     GIR_EraseRootFromParent_Done,
     /* 1466767 */   // Label 20526: @1466767
     /* 1466767 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1466864), // Rule ID 23604 //
     /* 1466772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466822 */     // MIs[1] Operand 1
     /* 1466822 */     // No operand predicates
     /* 1466822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466826 */     // MIs[0] policy
     /* 1466826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466863 */     // GIR_Coverage, 23604,
     /* 1466863 */     GIR_EraseRootFromParent_Done,
     /* 1466864 */   // Label 20527: @1466864
     /* 1466864 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1466961), // Rule ID 23607 //
     /* 1466869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1466880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1466883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466919 */     // MIs[1] Operand 1
     /* 1466919 */     // No operand predicates
     /* 1466919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466923 */     // MIs[0] policy
     /* 1466923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466960 */     // GIR_Coverage, 23607,
     /* 1466960 */     GIR_EraseRootFromParent_Done,
     /* 1466961 */   // Label 20528: @1466961
     /* 1466961 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1467058), // Rule ID 23608 //
     /* 1466966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1466977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1466980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467016 */     // MIs[1] Operand 1
     /* 1467016 */     // No operand predicates
     /* 1467016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467020 */     // MIs[0] policy
     /* 1467020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467057 */     // GIR_Coverage, 23608,
     /* 1467057 */     GIR_EraseRootFromParent_Done,
     /* 1467058 */   // Label 20529: @1467058
     /* 1467058 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1467155), // Rule ID 23611 //
     /* 1467063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467113 */     // MIs[1] Operand 1
     /* 1467113 */     // No operand predicates
     /* 1467113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467117 */     // MIs[0] policy
     /* 1467117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467154 */     // GIR_Coverage, 23611,
     /* 1467154 */     GIR_EraseRootFromParent_Done,
     /* 1467155 */   // Label 20530: @1467155
     /* 1467155 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1467252), // Rule ID 23612 //
     /* 1467160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467210 */     // MIs[1] Operand 1
     /* 1467210 */     // No operand predicates
     /* 1467210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467214 */     // MIs[0] policy
     /* 1467214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1467229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467251 */     // GIR_Coverage, 23612,
     /* 1467251 */     GIR_EraseRootFromParent_Done,
     /* 1467252 */   // Label 20531: @1467252
     /* 1467252 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1467349), // Rule ID 23615 //
     /* 1467257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467307 */     // MIs[1] Operand 1
     /* 1467307 */     // No operand predicates
     /* 1467307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467311 */     // MIs[0] policy
     /* 1467311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467348 */     // GIR_Coverage, 23615,
     /* 1467348 */     GIR_EraseRootFromParent_Done,
     /* 1467349 */   // Label 20532: @1467349
     /* 1467349 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1467446), // Rule ID 23616 //
     /* 1467354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467404 */     // MIs[1] Operand 1
     /* 1467404 */     // No operand predicates
     /* 1467404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467408 */     // MIs[0] policy
     /* 1467408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467445 */     // GIR_Coverage, 23616,
     /* 1467445 */     GIR_EraseRootFromParent_Done,
     /* 1467446 */   // Label 20533: @1467446
     /* 1467446 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1467543), // Rule ID 23619 //
     /* 1467451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467501 */     // MIs[1] Operand 1
     /* 1467501 */     // No operand predicates
     /* 1467501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467505 */     // MIs[0] policy
     /* 1467505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467542 */     // GIR_Coverage, 23619,
     /* 1467542 */     GIR_EraseRootFromParent_Done,
     /* 1467543 */   // Label 20534: @1467543
     /* 1467543 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1467640), // Rule ID 23620 //
     /* 1467548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467598 */     // MIs[1] Operand 1
     /* 1467598 */     // No operand predicates
     /* 1467598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467602 */     // MIs[0] policy
     /* 1467602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467614 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467639 */     // GIR_Coverage, 23620,
     /* 1467639 */     GIR_EraseRootFromParent_Done,
     /* 1467640 */   // Label 20535: @1467640
     /* 1467640 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1467737), // Rule ID 23623 //
     /* 1467645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1467656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1467659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1467662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1467668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467695 */     // MIs[1] Operand 1
     /* 1467695 */     // No operand predicates
     /* 1467695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467699 */     // MIs[0] policy
     /* 1467699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467736 */     // GIR_Coverage, 23623,
     /* 1467736 */     GIR_EraseRootFromParent_Done,
     /* 1467737 */   // Label 20536: @1467737
     /* 1467737 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1467834), // Rule ID 23624 //
     /* 1467742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1467753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1467756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1467759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1467765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467792 */     // MIs[1] Operand 1
     /* 1467792 */     // No operand predicates
     /* 1467792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467796 */     // MIs[0] policy
     /* 1467796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467833 */     // GIR_Coverage, 23624,
     /* 1467833 */     GIR_EraseRootFromParent_Done,
     /* 1467834 */   // Label 20537: @1467834
     /* 1467834 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1467931), // Rule ID 23627 //
     /* 1467839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1467850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1467853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1467856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467889 */     // MIs[1] Operand 1
     /* 1467889 */     // No operand predicates
     /* 1467889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467893 */     // MIs[0] policy
     /* 1467893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467930 */     // GIR_Coverage, 23627,
     /* 1467930 */     GIR_EraseRootFromParent_Done,
     /* 1467931 */   // Label 20538: @1467931
     /* 1467931 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1468028), // Rule ID 23628 //
     /* 1467936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1467947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1467950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1467953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467986 */     // MIs[1] Operand 1
     /* 1467986 */     // No operand predicates
     /* 1467986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467990 */     // MIs[0] policy
     /* 1467990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468027 */     // GIR_Coverage, 23628,
     /* 1468027 */     GIR_EraseRootFromParent_Done,
     /* 1468028 */   // Label 20539: @1468028
     /* 1468028 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1468125), // Rule ID 23631 //
     /* 1468033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468083 */     // MIs[1] Operand 1
     /* 1468083 */     // No operand predicates
     /* 1468083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468087 */     // MIs[0] policy
     /* 1468087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468124 */     // GIR_Coverage, 23631,
     /* 1468124 */     GIR_EraseRootFromParent_Done,
     /* 1468125 */   // Label 20540: @1468125
     /* 1468125 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1468222), // Rule ID 23632 //
     /* 1468130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468180 */     // MIs[1] Operand 1
     /* 1468180 */     // No operand predicates
     /* 1468180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468184 */     // MIs[0] policy
     /* 1468184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468221 */     // GIR_Coverage, 23632,
     /* 1468221 */     GIR_EraseRootFromParent_Done,
     /* 1468222 */   // Label 20541: @1468222
     /* 1468222 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1468319), // Rule ID 23635 //
     /* 1468227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468277 */     // MIs[1] Operand 1
     /* 1468277 */     // No operand predicates
     /* 1468277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468281 */     // MIs[0] policy
     /* 1468281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468318 */     // GIR_Coverage, 23635,
     /* 1468318 */     GIR_EraseRootFromParent_Done,
     /* 1468319 */   // Label 20542: @1468319
     /* 1468319 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1468416), // Rule ID 23636 //
     /* 1468324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468374 */     // MIs[1] Operand 1
     /* 1468374 */     // No operand predicates
     /* 1468374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468378 */     // MIs[0] policy
     /* 1468378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468415 */     // GIR_Coverage, 23636,
     /* 1468415 */     GIR_EraseRootFromParent_Done,
     /* 1468416 */   // Label 20543: @1468416
     /* 1468416 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1468513), // Rule ID 23639 //
     /* 1468421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468471 */     // MIs[1] Operand 1
     /* 1468471 */     // No operand predicates
     /* 1468471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468475 */     // MIs[0] policy
     /* 1468475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468512 */     // GIR_Coverage, 23639,
     /* 1468512 */     GIR_EraseRootFromParent_Done,
     /* 1468513 */   // Label 20544: @1468513
     /* 1468513 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1468610), // Rule ID 23640 //
     /* 1468518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468568 */     // MIs[1] Operand 1
     /* 1468568 */     // No operand predicates
     /* 1468568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468572 */     // MIs[0] policy
     /* 1468572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1468587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468609 */     // GIR_Coverage, 23640,
     /* 1468609 */     GIR_EraseRootFromParent_Done,
     /* 1468610 */   // Label 20545: @1468610
     /* 1468610 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1468707), // Rule ID 23643 //
     /* 1468615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1468626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1468629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1468632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468665 */     // MIs[1] Operand 1
     /* 1468665 */     // No operand predicates
     /* 1468665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468669 */     // MIs[0] policy
     /* 1468669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468706 */     // GIR_Coverage, 23643,
     /* 1468706 */     GIR_EraseRootFromParent_Done,
     /* 1468707 */   // Label 20546: @1468707
     /* 1468707 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1468804), // Rule ID 23644 //
     /* 1468712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1468723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1468726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1468729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468762 */     // MIs[1] Operand 1
     /* 1468762 */     // No operand predicates
     /* 1468762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468766 */     // MIs[0] policy
     /* 1468766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468803 */     // GIR_Coverage, 23644,
     /* 1468803 */     GIR_EraseRootFromParent_Done,
     /* 1468804 */   // Label 20547: @1468804
     /* 1468804 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1468901), // Rule ID 23647 //
     /* 1468809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1468820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1468823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1468826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468859 */     // MIs[1] Operand 1
     /* 1468859 */     // No operand predicates
     /* 1468859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468863 */     // MIs[0] policy
     /* 1468863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468900 */     // GIR_Coverage, 23647,
     /* 1468900 */     GIR_EraseRootFromParent_Done,
     /* 1468901 */   // Label 20548: @1468901
     /* 1468901 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1468998), // Rule ID 23648 //
     /* 1468906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1468917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1468920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1468923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468956 */     // MIs[1] Operand 1
     /* 1468956 */     // No operand predicates
     /* 1468956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468960 */     // MIs[0] policy
     /* 1468960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468997 */     // GIR_Coverage, 23648,
     /* 1468997 */     GIR_EraseRootFromParent_Done,
     /* 1468998 */   // Label 20549: @1468998
     /* 1468998 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1469095), // Rule ID 23651 //
     /* 1469003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469053 */     // MIs[1] Operand 1
     /* 1469053 */     // No operand predicates
     /* 1469053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469057 */     // MIs[0] policy
     /* 1469057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469094 */     // GIR_Coverage, 23651,
     /* 1469094 */     GIR_EraseRootFromParent_Done,
     /* 1469095 */   // Label 20550: @1469095
     /* 1469095 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1469192), // Rule ID 23652 //
     /* 1469100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469150 */     // MIs[1] Operand 1
     /* 1469150 */     // No operand predicates
     /* 1469150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469154 */     // MIs[0] policy
     /* 1469154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469191 */     // GIR_Coverage, 23652,
     /* 1469191 */     GIR_EraseRootFromParent_Done,
     /* 1469192 */   // Label 20551: @1469192
     /* 1469192 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1469289), // Rule ID 23655 //
     /* 1469197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469247 */     // MIs[1] Operand 1
     /* 1469247 */     // No operand predicates
     /* 1469247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469251 */     // MIs[0] policy
     /* 1469251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469263 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469288 */     // GIR_Coverage, 23655,
     /* 1469288 */     GIR_EraseRootFromParent_Done,
     /* 1469289 */   // Label 20552: @1469289
     /* 1469289 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1469386), // Rule ID 23656 //
     /* 1469294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469344 */     // MIs[1] Operand 1
     /* 1469344 */     // No operand predicates
     /* 1469344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469348 */     // MIs[0] policy
     /* 1469348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469385 */     // GIR_Coverage, 23656,
     /* 1469385 */     GIR_EraseRootFromParent_Done,
     /* 1469386 */   // Label 20553: @1469386
     /* 1469386 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1469483), // Rule ID 23659 //
     /* 1469391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469441 */     // MIs[1] Operand 1
     /* 1469441 */     // No operand predicates
     /* 1469441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469445 */     // MIs[0] policy
     /* 1469445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469482 */     // GIR_Coverage, 23659,
     /* 1469482 */     GIR_EraseRootFromParent_Done,
     /* 1469483 */   // Label 20554: @1469483
     /* 1469483 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1469580), // Rule ID 23660 //
     /* 1469488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469538 */     // MIs[1] Operand 1
     /* 1469538 */     // No operand predicates
     /* 1469538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469542 */     // MIs[0] policy
     /* 1469542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469579 */     // GIR_Coverage, 23660,
     /* 1469579 */     GIR_EraseRootFromParent_Done,
     /* 1469580 */   // Label 20555: @1469580
     /* 1469580 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1469677), // Rule ID 23751 //
     /* 1469585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1469596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1469599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1469602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469635 */     // MIs[1] Operand 1
     /* 1469635 */     // No operand predicates
     /* 1469635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469639 */     // MIs[0] policy
     /* 1469639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1469654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469676 */     // GIR_Coverage, 23751,
     /* 1469676 */     GIR_EraseRootFromParent_Done,
     /* 1469677 */   // Label 20556: @1469677
     /* 1469677 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1469774), // Rule ID 23752 //
     /* 1469682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1469693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1469696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1469699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469732 */     // MIs[1] Operand 1
     /* 1469732 */     // No operand predicates
     /* 1469732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469736 */     // MIs[0] policy
     /* 1469736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1469751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469773 */     // GIR_Coverage, 23752,
     /* 1469773 */     GIR_EraseRootFromParent_Done,
     /* 1469774 */   // Label 20557: @1469774
     /* 1469774 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1469871), // Rule ID 23755 //
     /* 1469779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1469790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1469793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1469796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469829 */     // MIs[1] Operand 1
     /* 1469829 */     // No operand predicates
     /* 1469829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469833 */     // MIs[0] policy
     /* 1469833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469870 */     // GIR_Coverage, 23755,
     /* 1469870 */     GIR_EraseRootFromParent_Done,
     /* 1469871 */   // Label 20558: @1469871
     /* 1469871 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1469968), // Rule ID 23756 //
     /* 1469876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1469887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1469890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1469893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469926 */     // MIs[1] Operand 1
     /* 1469926 */     // No operand predicates
     /* 1469926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469930 */     // MIs[0] policy
     /* 1469930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469967 */     // GIR_Coverage, 23756,
     /* 1469967 */     GIR_EraseRootFromParent_Done,
     /* 1469968 */   // Label 20559: @1469968
     /* 1469968 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1470065), // Rule ID 23759 //
     /* 1469973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1469984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1469987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1469990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470023 */     // MIs[1] Operand 1
     /* 1470023 */     // No operand predicates
     /* 1470023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470027 */     // MIs[0] policy
     /* 1470027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470064 */     // GIR_Coverage, 23759,
     /* 1470064 */     GIR_EraseRootFromParent_Done,
     /* 1470065 */   // Label 20560: @1470065
     /* 1470065 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1470162), // Rule ID 23760 //
     /* 1470070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470120 */     // MIs[1] Operand 1
     /* 1470120 */     // No operand predicates
     /* 1470120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470124 */     // MIs[0] policy
     /* 1470124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470161 */     // GIR_Coverage, 23760,
     /* 1470161 */     GIR_EraseRootFromParent_Done,
     /* 1470162 */   // Label 20561: @1470162
     /* 1470162 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1470259), // Rule ID 23763 //
     /* 1470167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470217 */     // MIs[1] Operand 1
     /* 1470217 */     // No operand predicates
     /* 1470217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470221 */     // MIs[0] policy
     /* 1470221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470258 */     // GIR_Coverage, 23763,
     /* 1470258 */     GIR_EraseRootFromParent_Done,
     /* 1470259 */   // Label 20562: @1470259
     /* 1470259 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1470356), // Rule ID 23764 //
     /* 1470264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470314 */     // MIs[1] Operand 1
     /* 1470314 */     // No operand predicates
     /* 1470314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470318 */     // MIs[0] policy
     /* 1470318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470355 */     // GIR_Coverage, 23764,
     /* 1470355 */     GIR_EraseRootFromParent_Done,
     /* 1470356 */   // Label 20563: @1470356
     /* 1470356 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1470453), // Rule ID 23767 //
     /* 1470361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470411 */     // MIs[1] Operand 1
     /* 1470411 */     // No operand predicates
     /* 1470411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470415 */     // MIs[0] policy
     /* 1470415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470452 */     // GIR_Coverage, 23767,
     /* 1470452 */     GIR_EraseRootFromParent_Done,
     /* 1470453 */   // Label 20564: @1470453
     /* 1470453 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1470550), // Rule ID 23768 //
     /* 1470458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470508 */     // MIs[1] Operand 1
     /* 1470508 */     // No operand predicates
     /* 1470508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470512 */     // MIs[0] policy
     /* 1470512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470549 */     // GIR_Coverage, 23768,
     /* 1470549 */     GIR_EraseRootFromParent_Done,
     /* 1470550 */   // Label 20565: @1470550
     /* 1470550 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1470647), // Rule ID 23771 //
     /* 1470555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470605 */     // MIs[1] Operand 1
     /* 1470605 */     // No operand predicates
     /* 1470605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470609 */     // MIs[0] policy
     /* 1470609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470646 */     // GIR_Coverage, 23771,
     /* 1470646 */     GIR_EraseRootFromParent_Done,
     /* 1470647 */   // Label 20566: @1470647
     /* 1470647 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1470744), // Rule ID 23772 //
     /* 1470652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470702 */     // MIs[1] Operand 1
     /* 1470702 */     // No operand predicates
     /* 1470702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470706 */     // MIs[0] policy
     /* 1470706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1470721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470743 */     // GIR_Coverage, 23772,
     /* 1470743 */     GIR_EraseRootFromParent_Done,
     /* 1470744 */   // Label 20567: @1470744
     /* 1470744 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1470841), // Rule ID 23775 //
     /* 1470749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1470760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1470763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1470766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470799 */     // MIs[1] Operand 1
     /* 1470799 */     // No operand predicates
     /* 1470799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470803 */     // MIs[0] policy
     /* 1470803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470840 */     // GIR_Coverage, 23775,
     /* 1470840 */     GIR_EraseRootFromParent_Done,
     /* 1470841 */   // Label 20568: @1470841
     /* 1470841 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1470938), // Rule ID 23776 //
     /* 1470846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1470857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1470860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1470863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470896 */     // MIs[1] Operand 1
     /* 1470896 */     // No operand predicates
     /* 1470896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470900 */     // MIs[0] policy
     /* 1470900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470937 */     // GIR_Coverage, 23776,
     /* 1470937 */     GIR_EraseRootFromParent_Done,
     /* 1470938 */   // Label 20569: @1470938
     /* 1470938 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1471035), // Rule ID 23779 //
     /* 1470943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1470954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1470957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1470960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470993 */     // MIs[1] Operand 1
     /* 1470993 */     // No operand predicates
     /* 1470993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470997 */     // MIs[0] policy
     /* 1470997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471034 */     // GIR_Coverage, 23779,
     /* 1471034 */     GIR_EraseRootFromParent_Done,
     /* 1471035 */   // Label 20570: @1471035
     /* 1471035 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1471132), // Rule ID 23780 //
     /* 1471040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471090 */     // MIs[1] Operand 1
     /* 1471090 */     // No operand predicates
     /* 1471090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471094 */     // MIs[0] policy
     /* 1471094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471131 */     // GIR_Coverage, 23780,
     /* 1471131 */     GIR_EraseRootFromParent_Done,
     /* 1471132 */   // Label 20571: @1471132
     /* 1471132 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1471229), // Rule ID 23783 //
     /* 1471137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471187 */     // MIs[1] Operand 1
     /* 1471187 */     // No operand predicates
     /* 1471187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471191 */     // MIs[0] policy
     /* 1471191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471228 */     // GIR_Coverage, 23783,
     /* 1471228 */     GIR_EraseRootFromParent_Done,
     /* 1471229 */   // Label 20572: @1471229
     /* 1471229 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1471326), // Rule ID 23784 //
     /* 1471234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471284 */     // MIs[1] Operand 1
     /* 1471284 */     // No operand predicates
     /* 1471284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471288 */     // MIs[0] policy
     /* 1471288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471325 */     // GIR_Coverage, 23784,
     /* 1471325 */     GIR_EraseRootFromParent_Done,
     /* 1471326 */   // Label 20573: @1471326
     /* 1471326 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1471423), // Rule ID 23787 //
     /* 1471331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471381 */     // MIs[1] Operand 1
     /* 1471381 */     // No operand predicates
     /* 1471381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471385 */     // MIs[0] policy
     /* 1471385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471422 */     // GIR_Coverage, 23787,
     /* 1471422 */     GIR_EraseRootFromParent_Done,
     /* 1471423 */   // Label 20574: @1471423
     /* 1471423 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1471520), // Rule ID 23788 //
     /* 1471428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471478 */     // MIs[1] Operand 1
     /* 1471478 */     // No operand predicates
     /* 1471478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471482 */     // MIs[0] policy
     /* 1471482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471519 */     // GIR_Coverage, 23788,
     /* 1471519 */     GIR_EraseRootFromParent_Done,
     /* 1471520 */   // Label 20575: @1471520
     /* 1471520 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1471617), // Rule ID 23791 //
     /* 1471525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471575 */     // MIs[1] Operand 1
     /* 1471575 */     // No operand predicates
     /* 1471575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471579 */     // MIs[0] policy
     /* 1471579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471591 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471616 */     // GIR_Coverage, 23791,
     /* 1471616 */     GIR_EraseRootFromParent_Done,
     /* 1471617 */   // Label 20576: @1471617
     /* 1471617 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1471714), // Rule ID 23792 //
     /* 1471622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471672 */     // MIs[1] Operand 1
     /* 1471672 */     // No operand predicates
     /* 1471672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471676 */     // MIs[0] policy
     /* 1471676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471713 */     // GIR_Coverage, 23792,
     /* 1471713 */     GIR_EraseRootFromParent_Done,
     /* 1471714 */   // Label 20577: @1471714
     /* 1471714 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1471811), // Rule ID 23795 //
     /* 1471719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1471730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1471733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1471736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471769 */     // MIs[1] Operand 1
     /* 1471769 */     // No operand predicates
     /* 1471769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471773 */     // MIs[0] policy
     /* 1471773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471785 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471810 */     // GIR_Coverage, 23795,
     /* 1471810 */     GIR_EraseRootFromParent_Done,
     /* 1471811 */   // Label 20578: @1471811
     /* 1471811 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1471908), // Rule ID 23796 //
     /* 1471816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1471827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1471830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1471833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471866 */     // MIs[1] Operand 1
     /* 1471866 */     // No operand predicates
     /* 1471866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471870 */     // MIs[0] policy
     /* 1471870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471907 */     // GIR_Coverage, 23796,
     /* 1471907 */     GIR_EraseRootFromParent_Done,
     /* 1471908 */   // Label 20579: @1471908
     /* 1471908 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1472005), // Rule ID 23799 //
     /* 1471913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1471924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1471927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1471930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1471936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471963 */     // MIs[1] Operand 1
     /* 1471963 */     // No operand predicates
     /* 1471963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471967 */     // MIs[0] policy
     /* 1471967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1471982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472004 */     // GIR_Coverage, 23799,
     /* 1472004 */     GIR_EraseRootFromParent_Done,
     /* 1472005 */   // Label 20580: @1472005
     /* 1472005 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1472102), // Rule ID 23800 //
     /* 1472010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472060 */     // MIs[1] Operand 1
     /* 1472060 */     // No operand predicates
     /* 1472060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472064 */     // MIs[0] policy
     /* 1472064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472101 */     // GIR_Coverage, 23800,
     /* 1472101 */     GIR_EraseRootFromParent_Done,
     /* 1472102 */   // Label 20581: @1472102
     /* 1472102 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1472199), // Rule ID 23803 //
     /* 1472107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472157 */     // MIs[1] Operand 1
     /* 1472157 */     // No operand predicates
     /* 1472157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472161 */     // MIs[0] policy
     /* 1472161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472198 */     // GIR_Coverage, 23803,
     /* 1472198 */     GIR_EraseRootFromParent_Done,
     /* 1472199 */   // Label 20582: @1472199
     /* 1472199 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1472296), // Rule ID 23804 //
     /* 1472204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472254 */     // MIs[1] Operand 1
     /* 1472254 */     // No operand predicates
     /* 1472254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472258 */     // MIs[0] policy
     /* 1472258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472295 */     // GIR_Coverage, 23804,
     /* 1472295 */     GIR_EraseRootFromParent_Done,
     /* 1472296 */   // Label 20583: @1472296
     /* 1472296 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1472393), // Rule ID 23807 //
     /* 1472301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472351 */     // MIs[1] Operand 1
     /* 1472351 */     // No operand predicates
     /* 1472351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472355 */     // MIs[0] policy
     /* 1472355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472392 */     // GIR_Coverage, 23807,
     /* 1472392 */     GIR_EraseRootFromParent_Done,
     /* 1472393 */   // Label 20584: @1472393
     /* 1472393 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1472490), // Rule ID 23808 //
     /* 1472398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472448 */     // MIs[1] Operand 1
     /* 1472448 */     // No operand predicates
     /* 1472448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472452 */     // MIs[0] policy
     /* 1472452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472489 */     // GIR_Coverage, 23808,
     /* 1472489 */     GIR_EraseRootFromParent_Done,
     /* 1472490 */   // Label 20585: @1472490
     /* 1472490 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1472587), // Rule ID 23811 //
     /* 1472495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472545 */     // MIs[1] Operand 1
     /* 1472545 */     // No operand predicates
     /* 1472545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472549 */     // MIs[0] policy
     /* 1472549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472586 */     // GIR_Coverage, 23811,
     /* 1472586 */     GIR_EraseRootFromParent_Done,
     /* 1472587 */   // Label 20586: @1472587
     /* 1472587 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1472684), // Rule ID 23812 //
     /* 1472592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472642 */     // MIs[1] Operand 1
     /* 1472642 */     // No operand predicates
     /* 1472642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472646 */     // MIs[0] policy
     /* 1472646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472683 */     // GIR_Coverage, 23812,
     /* 1472683 */     GIR_EraseRootFromParent_Done,
     /* 1472684 */   // Label 20587: @1472684
     /* 1472684 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1472781), // Rule ID 23815 //
     /* 1472689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472739 */     // MIs[1] Operand 1
     /* 1472739 */     // No operand predicates
     /* 1472739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472743 */     // MIs[0] policy
     /* 1472743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472780 */     // GIR_Coverage, 23815,
     /* 1472780 */     GIR_EraseRootFromParent_Done,
     /* 1472781 */   // Label 20588: @1472781
     /* 1472781 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1472878), // Rule ID 23816 //
     /* 1472786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472836 */     // MIs[1] Operand 1
     /* 1472836 */     // No operand predicates
     /* 1472836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472840 */     // MIs[0] policy
     /* 1472840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472877 */     // GIR_Coverage, 23816,
     /* 1472877 */     GIR_EraseRootFromParent_Done,
     /* 1472878 */   // Label 20589: @1472878
     /* 1472878 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1472975), // Rule ID 23819 //
     /* 1472883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472933 */     // MIs[1] Operand 1
     /* 1472933 */     // No operand predicates
     /* 1472933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472937 */     // MIs[0] policy
     /* 1472937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472974 */     // GIR_Coverage, 23819,
     /* 1472974 */     GIR_EraseRootFromParent_Done,
     /* 1472975 */   // Label 20590: @1472975
     /* 1472975 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1473072), // Rule ID 23820 //
     /* 1472980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473030 */     // MIs[1] Operand 1
     /* 1473030 */     // No operand predicates
     /* 1473030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473034 */     // MIs[0] policy
     /* 1473034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473071 */     // GIR_Coverage, 23820,
     /* 1473071 */     GIR_EraseRootFromParent_Done,
     /* 1473072 */   // Label 20591: @1473072
     /* 1473072 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1473169), // Rule ID 23823 //
     /* 1473077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473127 */     // MIs[1] Operand 1
     /* 1473127 */     // No operand predicates
     /* 1473127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473131 */     // MIs[0] policy
     /* 1473131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473168 */     // GIR_Coverage, 23823,
     /* 1473168 */     GIR_EraseRootFromParent_Done,
     /* 1473169 */   // Label 20592: @1473169
     /* 1473169 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1473266), // Rule ID 23824 //
     /* 1473174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473224 */     // MIs[1] Operand 1
     /* 1473224 */     // No operand predicates
     /* 1473224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473228 */     // MIs[0] policy
     /* 1473228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473265 */     // GIR_Coverage, 23824,
     /* 1473265 */     GIR_EraseRootFromParent_Done,
     /* 1473266 */   // Label 20593: @1473266
     /* 1473266 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1473363), // Rule ID 23827 //
     /* 1473271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473321 */     // MIs[1] Operand 1
     /* 1473321 */     // No operand predicates
     /* 1473321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473325 */     // MIs[0] policy
     /* 1473325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473362 */     // GIR_Coverage, 23827,
     /* 1473362 */     GIR_EraseRootFromParent_Done,
     /* 1473363 */   // Label 20594: @1473363
     /* 1473363 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1473460), // Rule ID 23828 //
     /* 1473368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473418 */     // MIs[1] Operand 1
     /* 1473418 */     // No operand predicates
     /* 1473418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473422 */     // MIs[0] policy
     /* 1473422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473459 */     // GIR_Coverage, 23828,
     /* 1473459 */     GIR_EraseRootFromParent_Done,
     /* 1473460 */   // Label 20595: @1473460
     /* 1473460 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1473557), // Rule ID 23831 //
     /* 1473465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473515 */     // MIs[1] Operand 1
     /* 1473515 */     // No operand predicates
     /* 1473515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473519 */     // MIs[0] policy
     /* 1473519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473556 */     // GIR_Coverage, 23831,
     /* 1473556 */     GIR_EraseRootFromParent_Done,
     /* 1473557 */   // Label 20596: @1473557
     /* 1473557 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1473654), // Rule ID 23832 //
     /* 1473562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473612 */     // MIs[1] Operand 1
     /* 1473612 */     // No operand predicates
     /* 1473612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473616 */     // MIs[0] policy
     /* 1473616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473653 */     // GIR_Coverage, 23832,
     /* 1473653 */     GIR_EraseRootFromParent_Done,
     /* 1473654 */   // Label 20597: @1473654
     /* 1473654 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1473751), // Rule ID 23835 //
     /* 1473659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473709 */     // MIs[1] Operand 1
     /* 1473709 */     // No operand predicates
     /* 1473709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473713 */     // MIs[0] policy
     /* 1473713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473750 */     // GIR_Coverage, 23835,
     /* 1473750 */     GIR_EraseRootFromParent_Done,
     /* 1473751 */   // Label 20598: @1473751
     /* 1473751 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1473848), // Rule ID 23836 //
     /* 1473756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473806 */     // MIs[1] Operand 1
     /* 1473806 */     // No operand predicates
     /* 1473806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473810 */     // MIs[0] policy
     /* 1473810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473847 */     // GIR_Coverage, 23836,
     /* 1473847 */     GIR_EraseRootFromParent_Done,
     /* 1473848 */   // Label 20599: @1473848
     /* 1473848 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1473945), // Rule ID 24075 //
     /* 1473853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1473856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1473870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473903 */     // MIs[1] Operand 1
     /* 1473903 */     // No operand predicates
     /* 1473903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473907 */     // MIs[0] policy
     /* 1473907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473919 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1473922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473944 */     // GIR_Coverage, 24075,
     /* 1473944 */     GIR_EraseRootFromParent_Done,
     /* 1473945 */   // Label 20600: @1473945
     /* 1473945 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1474042), // Rule ID 24076 //
     /* 1473950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1473953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1473967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474000 */     // MIs[1] Operand 1
     /* 1474000 */     // No operand predicates
     /* 1474000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474004 */     // MIs[0] policy
     /* 1474004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474016 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1474019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474041 */     // GIR_Coverage, 24076,
     /* 1474041 */     GIR_EraseRootFromParent_Done,
     /* 1474042 */   // Label 20601: @1474042
     /* 1474042 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1474139), // Rule ID 24079 //
     /* 1474047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474097 */     // MIs[1] Operand 1
     /* 1474097 */     // No operand predicates
     /* 1474097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474101 */     // MIs[0] policy
     /* 1474101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474113 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474138 */     // GIR_Coverage, 24079,
     /* 1474138 */     GIR_EraseRootFromParent_Done,
     /* 1474139 */   // Label 20602: @1474139
     /* 1474139 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1474236), // Rule ID 24080 //
     /* 1474144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474194 */     // MIs[1] Operand 1
     /* 1474194 */     // No operand predicates
     /* 1474194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474198 */     // MIs[0] policy
     /* 1474198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474210 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474235 */     // GIR_Coverage, 24080,
     /* 1474235 */     GIR_EraseRootFromParent_Done,
     /* 1474236 */   // Label 20603: @1474236
     /* 1474236 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1474333), // Rule ID 24083 //
     /* 1474241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474291 */     // MIs[1] Operand 1
     /* 1474291 */     // No operand predicates
     /* 1474291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474295 */     // MIs[0] policy
     /* 1474295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474307 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474332 */     // GIR_Coverage, 24083,
     /* 1474332 */     GIR_EraseRootFromParent_Done,
     /* 1474333 */   // Label 20604: @1474333
     /* 1474333 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1474430), // Rule ID 24084 //
     /* 1474338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474388 */     // MIs[1] Operand 1
     /* 1474388 */     // No operand predicates
     /* 1474388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474392 */     // MIs[0] policy
     /* 1474392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474404 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1474407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474429 */     // GIR_Coverage, 24084,
     /* 1474429 */     GIR_EraseRootFromParent_Done,
     /* 1474430 */   // Label 20605: @1474430
     /* 1474430 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1474527), // Rule ID 24087 //
     /* 1474435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474485 */     // MIs[1] Operand 1
     /* 1474485 */     // No operand predicates
     /* 1474485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474489 */     // MIs[0] policy
     /* 1474489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474526 */     // GIR_Coverage, 24087,
     /* 1474526 */     GIR_EraseRootFromParent_Done,
     /* 1474527 */   // Label 20606: @1474527
     /* 1474527 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1474624), // Rule ID 24088 //
     /* 1474532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1474549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474582 */     // MIs[1] Operand 1
     /* 1474582 */     // No operand predicates
     /* 1474582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474586 */     // MIs[0] policy
     /* 1474586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474598 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474623 */     // GIR_Coverage, 24088,
     /* 1474623 */     GIR_EraseRootFromParent_Done,
     /* 1474624 */   // Label 20607: @1474624
     /* 1474624 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1474721), // Rule ID 24091 //
     /* 1474629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474679 */     // MIs[1] Operand 1
     /* 1474679 */     // No operand predicates
     /* 1474679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474683 */     // MIs[0] policy
     /* 1474683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474695 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474720 */     // GIR_Coverage, 24091,
     /* 1474720 */     GIR_EraseRootFromParent_Done,
     /* 1474721 */   // Label 20608: @1474721
     /* 1474721 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1474818), // Rule ID 24092 //
     /* 1474726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1474737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1474740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474776 */     // MIs[1] Operand 1
     /* 1474776 */     // No operand predicates
     /* 1474776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474780 */     // MIs[0] policy
     /* 1474780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474792 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474817 */     // GIR_Coverage, 24092,
     /* 1474817 */     GIR_EraseRootFromParent_Done,
     /* 1474818 */   // Label 20609: @1474818
     /* 1474818 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1474915), // Rule ID 24095 //
     /* 1474823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1474826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474873 */     // MIs[1] Operand 1
     /* 1474873 */     // No operand predicates
     /* 1474873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474877 */     // MIs[0] policy
     /* 1474877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474914 */     // GIR_Coverage, 24095,
     /* 1474914 */     GIR_EraseRootFromParent_Done,
     /* 1474915 */   // Label 20610: @1474915
     /* 1474915 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1475012), // Rule ID 24096 //
     /* 1474920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1474923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474970 */     // MIs[1] Operand 1
     /* 1474970 */     // No operand predicates
     /* 1474970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474974 */     // MIs[0] policy
     /* 1474974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474986 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1474989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475011 */     // GIR_Coverage, 24096,
     /* 1475011 */     GIR_EraseRootFromParent_Done,
     /* 1475012 */   // Label 20611: @1475012
     /* 1475012 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1475109), // Rule ID 24099 //
     /* 1475017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475067 */     // MIs[1] Operand 1
     /* 1475067 */     // No operand predicates
     /* 1475067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475071 */     // MIs[0] policy
     /* 1475071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475083 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475108 */     // GIR_Coverage, 24099,
     /* 1475108 */     GIR_EraseRootFromParent_Done,
     /* 1475109 */   // Label 20612: @1475109
     /* 1475109 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1475206), // Rule ID 24100 //
     /* 1475114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1475131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475164 */     // MIs[1] Operand 1
     /* 1475164 */     // No operand predicates
     /* 1475164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475168 */     // MIs[0] policy
     /* 1475168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475180 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475205 */     // GIR_Coverage, 24100,
     /* 1475205 */     GIR_EraseRootFromParent_Done,
     /* 1475206 */   // Label 20613: @1475206
     /* 1475206 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1475303), // Rule ID 24103 //
     /* 1475211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475261 */     // MIs[1] Operand 1
     /* 1475261 */     // No operand predicates
     /* 1475261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475265 */     // MIs[0] policy
     /* 1475265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475302 */     // GIR_Coverage, 24103,
     /* 1475302 */     GIR_EraseRootFromParent_Done,
     /* 1475303 */   // Label 20614: @1475303
     /* 1475303 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1475400), // Rule ID 24104 //
     /* 1475308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475358 */     // MIs[1] Operand 1
     /* 1475358 */     // No operand predicates
     /* 1475358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475362 */     // MIs[0] policy
     /* 1475362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475399 */     // GIR_Coverage, 24104,
     /* 1475399 */     GIR_EraseRootFromParent_Done,
     /* 1475400 */   // Label 20615: @1475400
     /* 1475400 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1475497), // Rule ID 24107 //
     /* 1475405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475455 */     // MIs[1] Operand 1
     /* 1475455 */     // No operand predicates
     /* 1475455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475459 */     // MIs[0] policy
     /* 1475459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475471 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475496 */     // GIR_Coverage, 24107,
     /* 1475496 */     GIR_EraseRootFromParent_Done,
     /* 1475497 */   // Label 20616: @1475497
     /* 1475497 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1475594), // Rule ID 24108 //
     /* 1475502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475552 */     // MIs[1] Operand 1
     /* 1475552 */     // No operand predicates
     /* 1475552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475556 */     // MIs[0] policy
     /* 1475556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475568 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475593 */     // GIR_Coverage, 24108,
     /* 1475593 */     GIR_EraseRootFromParent_Done,
     /* 1475594 */   // Label 20617: @1475594
     /* 1475594 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1475691), // Rule ID 24111 //
     /* 1475599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475649 */     // MIs[1] Operand 1
     /* 1475649 */     // No operand predicates
     /* 1475649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475653 */     // MIs[0] policy
     /* 1475653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475665 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475690 */     // GIR_Coverage, 24111,
     /* 1475690 */     GIR_EraseRootFromParent_Done,
     /* 1475691 */   // Label 20618: @1475691
     /* 1475691 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1475788), // Rule ID 24112 //
     /* 1475696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475746 */     // MIs[1] Operand 1
     /* 1475746 */     // No operand predicates
     /* 1475746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475750 */     // MIs[0] policy
     /* 1475750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475762 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475787 */     // GIR_Coverage, 24112,
     /* 1475787 */     GIR_EraseRootFromParent_Done,
     /* 1475788 */   // Label 20619: @1475788
     /* 1475788 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1475885), // Rule ID 24115 //
     /* 1475793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475843 */     // MIs[1] Operand 1
     /* 1475843 */     // No operand predicates
     /* 1475843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475847 */     // MIs[0] policy
     /* 1475847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475884 */     // GIR_Coverage, 24115,
     /* 1475884 */     GIR_EraseRootFromParent_Done,
     /* 1475885 */   // Label 20620: @1475885
     /* 1475885 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1475982), // Rule ID 24116 //
     /* 1475890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1475893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475940 */     // MIs[1] Operand 1
     /* 1475940 */     // No operand predicates
     /* 1475940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475944 */     // MIs[0] policy
     /* 1475944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475956 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475981 */     // GIR_Coverage, 24116,
     /* 1475981 */     GIR_EraseRootFromParent_Done,
     /* 1475982 */   // Label 20621: @1475982
     /* 1475982 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1476079), // Rule ID 24119 //
     /* 1475987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476037 */     // MIs[1] Operand 1
     /* 1476037 */     // No operand predicates
     /* 1476037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476041 */     // MIs[0] policy
     /* 1476041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476053 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476078 */     // GIR_Coverage, 24119,
     /* 1476078 */     GIR_EraseRootFromParent_Done,
     /* 1476079 */   // Label 20622: @1476079
     /* 1476079 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1476176), // Rule ID 24120 //
     /* 1476084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1476101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476134 */     // MIs[1] Operand 1
     /* 1476134 */     // No operand predicates
     /* 1476134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476138 */     // MIs[0] policy
     /* 1476138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476150 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476175 */     // GIR_Coverage, 24120,
     /* 1476175 */     GIR_EraseRootFromParent_Done,
     /* 1476176 */   // Label 20623: @1476176
     /* 1476176 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1476273), // Rule ID 24123 //
     /* 1476181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476231 */     // MIs[1] Operand 1
     /* 1476231 */     // No operand predicates
     /* 1476231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476235 */     // MIs[0] policy
     /* 1476235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476247 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476272 */     // GIR_Coverage, 24123,
     /* 1476272 */     GIR_EraseRootFromParent_Done,
     /* 1476273 */   // Label 20624: @1476273
     /* 1476273 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1476370), // Rule ID 24124 //
     /* 1476278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476328 */     // MIs[1] Operand 1
     /* 1476328 */     // No operand predicates
     /* 1476328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476332 */     // MIs[0] policy
     /* 1476332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1476347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476369 */     // GIR_Coverage, 24124,
     /* 1476369 */     GIR_EraseRootFromParent_Done,
     /* 1476370 */   // Label 20625: @1476370
     /* 1476370 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1476467), // Rule ID 24127 //
     /* 1476375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476425 */     // MIs[1] Operand 1
     /* 1476425 */     // No operand predicates
     /* 1476425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476429 */     // MIs[0] policy
     /* 1476429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476441 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476466 */     // GIR_Coverage, 24127,
     /* 1476466 */     GIR_EraseRootFromParent_Done,
     /* 1476467 */   // Label 20626: @1476467
     /* 1476467 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1476564), // Rule ID 24128 //
     /* 1476472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476522 */     // MIs[1] Operand 1
     /* 1476522 */     // No operand predicates
     /* 1476522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476526 */     // MIs[0] policy
     /* 1476526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476538 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1476541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476563 */     // GIR_Coverage, 24128,
     /* 1476563 */     GIR_EraseRootFromParent_Done,
     /* 1476564 */   // Label 20627: @1476564
     /* 1476564 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1476661), // Rule ID 24131 //
     /* 1476569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476619 */     // MIs[1] Operand 1
     /* 1476619 */     // No operand predicates
     /* 1476619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476623 */     // MIs[0] policy
     /* 1476623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476635 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476660 */     // GIR_Coverage, 24131,
     /* 1476660 */     GIR_EraseRootFromParent_Done,
     /* 1476661 */   // Label 20628: @1476661
     /* 1476661 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1476758), // Rule ID 24132 //
     /* 1476666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476716 */     // MIs[1] Operand 1
     /* 1476716 */     // No operand predicates
     /* 1476716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476720 */     // MIs[0] policy
     /* 1476720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1476735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476757 */     // GIR_Coverage, 24132,
     /* 1476757 */     GIR_EraseRootFromParent_Done,
     /* 1476758 */   // Label 20629: @1476758
     /* 1476758 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1476855), // Rule ID 24195 //
     /* 1476763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476813 */     // MIs[1] Operand 1
     /* 1476813 */     // No operand predicates
     /* 1476813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476817 */     // MIs[0] policy
     /* 1476817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476829 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476854 */     // GIR_Coverage, 24195,
     /* 1476854 */     GIR_EraseRootFromParent_Done,
     /* 1476855 */   // Label 20630: @1476855
     /* 1476855 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1476952), // Rule ID 24196 //
     /* 1476860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476910 */     // MIs[1] Operand 1
     /* 1476910 */     // No operand predicates
     /* 1476910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476914 */     // MIs[0] policy
     /* 1476914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476926 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1476929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476951 */     // GIR_Coverage, 24196,
     /* 1476951 */     GIR_EraseRootFromParent_Done,
     /* 1476952 */   // Label 20631: @1476952
     /* 1476952 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1477049), // Rule ID 24199 //
     /* 1476957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1476968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1476971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1476974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477007 */     // MIs[1] Operand 1
     /* 1477007 */     // No operand predicates
     /* 1477007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477011 */     // MIs[0] policy
     /* 1477011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477023 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477048 */     // GIR_Coverage, 24199,
     /* 1477048 */     GIR_EraseRootFromParent_Done,
     /* 1477049 */   // Label 20632: @1477049
     /* 1477049 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1477146), // Rule ID 24200 //
     /* 1477054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477104 */     // MIs[1] Operand 1
     /* 1477104 */     // No operand predicates
     /* 1477104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477108 */     // MIs[0] policy
     /* 1477108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477120 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477145 */     // GIR_Coverage, 24200,
     /* 1477145 */     GIR_EraseRootFromParent_Done,
     /* 1477146 */   // Label 20633: @1477146
     /* 1477146 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1477243), // Rule ID 24203 //
     /* 1477151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477201 */     // MIs[1] Operand 1
     /* 1477201 */     // No operand predicates
     /* 1477201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477205 */     // MIs[0] policy
     /* 1477205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477242 */     // GIR_Coverage, 24203,
     /* 1477242 */     GIR_EraseRootFromParent_Done,
     /* 1477243 */   // Label 20634: @1477243
     /* 1477243 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1477340), // Rule ID 24204 //
     /* 1477248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477298 */     // MIs[1] Operand 1
     /* 1477298 */     // No operand predicates
     /* 1477298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477302 */     // MIs[0] policy
     /* 1477302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477314 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1477317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477339 */     // GIR_Coverage, 24204,
     /* 1477339 */     GIR_EraseRootFromParent_Done,
     /* 1477340 */   // Label 20635: @1477340
     /* 1477340 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1477437), // Rule ID 24207 //
     /* 1477345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477395 */     // MIs[1] Operand 1
     /* 1477395 */     // No operand predicates
     /* 1477395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477399 */     // MIs[0] policy
     /* 1477399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477436 */     // GIR_Coverage, 24207,
     /* 1477436 */     GIR_EraseRootFromParent_Done,
     /* 1477437 */   // Label 20636: @1477437
     /* 1477437 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1477534), // Rule ID 24208 //
     /* 1477442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1477459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477492 */     // MIs[1] Operand 1
     /* 1477492 */     // No operand predicates
     /* 1477492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477496 */     // MIs[0] policy
     /* 1477496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477533 */     // GIR_Coverage, 24208,
     /* 1477533 */     GIR_EraseRootFromParent_Done,
     /* 1477534 */   // Label 20637: @1477534
     /* 1477534 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1477631), // Rule ID 24211 //
     /* 1477539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477589 */     // MIs[1] Operand 1
     /* 1477589 */     // No operand predicates
     /* 1477589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477593 */     // MIs[0] policy
     /* 1477593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477605 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477630 */     // GIR_Coverage, 24211,
     /* 1477630 */     GIR_EraseRootFromParent_Done,
     /* 1477631 */   // Label 20638: @1477631
     /* 1477631 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1477728), // Rule ID 24212 //
     /* 1477636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477686 */     // MIs[1] Operand 1
     /* 1477686 */     // No operand predicates
     /* 1477686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477690 */     // MIs[0] policy
     /* 1477690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477727 */     // GIR_Coverage, 24212,
     /* 1477727 */     GIR_EraseRootFromParent_Done,
     /* 1477728 */   // Label 20639: @1477728
     /* 1477728 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1477825), // Rule ID 24215 //
     /* 1477733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477783 */     // MIs[1] Operand 1
     /* 1477783 */     // No operand predicates
     /* 1477783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477787 */     // MIs[0] policy
     /* 1477787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477824 */     // GIR_Coverage, 24215,
     /* 1477824 */     GIR_EraseRootFromParent_Done,
     /* 1477825 */   // Label 20640: @1477825
     /* 1477825 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1477922), // Rule ID 24216 //
     /* 1477830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1477833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477880 */     // MIs[1] Operand 1
     /* 1477880 */     // No operand predicates
     /* 1477880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477884 */     // MIs[0] policy
     /* 1477884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477896 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1477899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477921 */     // GIR_Coverage, 24216,
     /* 1477921 */     GIR_EraseRootFromParent_Done,
     /* 1477922 */   // Label 20641: @1477922
     /* 1477922 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1478019), // Rule ID 24219 //
     /* 1477927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1477944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477977 */     // MIs[1] Operand 1
     /* 1477977 */     // No operand predicates
     /* 1477977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477981 */     // MIs[0] policy
     /* 1477981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477993 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478018 */     // GIR_Coverage, 24219,
     /* 1478018 */     GIR_EraseRootFromParent_Done,
     /* 1478019 */   // Label 20642: @1478019
     /* 1478019 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1478116), // Rule ID 24220 //
     /* 1478024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1478035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1478038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1478041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478074 */     // MIs[1] Operand 1
     /* 1478074 */     // No operand predicates
     /* 1478074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478078 */     // MIs[0] policy
     /* 1478078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478090 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478115 */     // GIR_Coverage, 24220,
     /* 1478115 */     GIR_EraseRootFromParent_Done,
     /* 1478116 */   // Label 20643: @1478116
     /* 1478116 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1478213), // Rule ID 24223 //
     /* 1478121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478171 */     // MIs[1] Operand 1
     /* 1478171 */     // No operand predicates
     /* 1478171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478175 */     // MIs[0] policy
     /* 1478175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478187 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478212 */     // GIR_Coverage, 24223,
     /* 1478212 */     GIR_EraseRootFromParent_Done,
     /* 1478213 */   // Label 20644: @1478213
     /* 1478213 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1478310), // Rule ID 24224 //
     /* 1478218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1478229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1478232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1478235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478268 */     // MIs[1] Operand 1
     /* 1478268 */     // No operand predicates
     /* 1478268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478272 */     // MIs[0] policy
     /* 1478272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478284 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478309 */     // GIR_Coverage, 24224,
     /* 1478309 */     GIR_EraseRootFromParent_Done,
     /* 1478310 */   // Label 20645: @1478310
     /* 1478310 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1478407), // Rule ID 24227 //
     /* 1478315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478365 */     // MIs[1] Operand 1
     /* 1478365 */     // No operand predicates
     /* 1478365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478369 */     // MIs[0] policy
     /* 1478369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478381 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478406 */     // GIR_Coverage, 24227,
     /* 1478406 */     GIR_EraseRootFromParent_Done,
     /* 1478407 */   // Label 20646: @1478407
     /* 1478407 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1478504), // Rule ID 24228 //
     /* 1478412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1478423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1478426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1478429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478462 */     // MIs[1] Operand 1
     /* 1478462 */     // No operand predicates
     /* 1478462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478466 */     // MIs[0] policy
     /* 1478466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478478 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478503 */     // GIR_Coverage, 24228,
     /* 1478503 */     GIR_EraseRootFromParent_Done,
     /* 1478504 */   // Label 20647: @1478504
     /* 1478504 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1478601), // Rule ID 24231 //
     /* 1478509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478559 */     // MIs[1] Operand 1
     /* 1478559 */     // No operand predicates
     /* 1478559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478563 */     // MIs[0] policy
     /* 1478563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478575 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478600 */     // GIR_Coverage, 24231,
     /* 1478600 */     GIR_EraseRootFromParent_Done,
     /* 1478601 */   // Label 20648: @1478601
     /* 1478601 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1478698), // Rule ID 24232 //
     /* 1478606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478656 */     // MIs[1] Operand 1
     /* 1478656 */     // No operand predicates
     /* 1478656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478660 */     // MIs[0] policy
     /* 1478660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478672 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478697 */     // GIR_Coverage, 24232,
     /* 1478697 */     GIR_EraseRootFromParent_Done,
     /* 1478698 */   // Label 20649: @1478698
     /* 1478698 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1478795), // Rule ID 24235 //
     /* 1478703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478753 */     // MIs[1] Operand 1
     /* 1478753 */     // No operand predicates
     /* 1478753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478757 */     // MIs[0] policy
     /* 1478757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478769 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478794 */     // GIR_Coverage, 24235,
     /* 1478794 */     GIR_EraseRootFromParent_Done,
     /* 1478795 */   // Label 20650: @1478795
     /* 1478795 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1478892), // Rule ID 24236 //
     /* 1478800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478850 */     // MIs[1] Operand 1
     /* 1478850 */     // No operand predicates
     /* 1478850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478854 */     // MIs[0] policy
     /* 1478854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478891 */     // GIR_Coverage, 24236,
     /* 1478891 */     GIR_EraseRootFromParent_Done,
     /* 1478892 */   // Label 20651: @1478892
     /* 1478892 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1478989), // Rule ID 24239 //
     /* 1478897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1478914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478947 */     // MIs[1] Operand 1
     /* 1478947 */     // No operand predicates
     /* 1478947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478951 */     // MIs[0] policy
     /* 1478951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478963 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478988 */     // GIR_Coverage, 24239,
     /* 1478988 */     GIR_EraseRootFromParent_Done,
     /* 1478989 */   // Label 20652: @1478989
     /* 1478989 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1479086), // Rule ID 24240 //
     /* 1478994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479044 */     // MIs[1] Operand 1
     /* 1479044 */     // No operand predicates
     /* 1479044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479048 */     // MIs[0] policy
     /* 1479048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479060 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479085 */     // GIR_Coverage, 24240,
     /* 1479085 */     GIR_EraseRootFromParent_Done,
     /* 1479086 */   // Label 20653: @1479086
     /* 1479086 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1479183), // Rule ID 24243 //
     /* 1479091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479141 */     // MIs[1] Operand 1
     /* 1479141 */     // No operand predicates
     /* 1479141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479145 */     // MIs[0] policy
     /* 1479145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479157 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479182 */     // GIR_Coverage, 24243,
     /* 1479182 */     GIR_EraseRootFromParent_Done,
     /* 1479183 */   // Label 20654: @1479183
     /* 1479183 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1479280), // Rule ID 24244 //
     /* 1479188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479238 */     // MIs[1] Operand 1
     /* 1479238 */     // No operand predicates
     /* 1479238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479242 */     // MIs[0] policy
     /* 1479242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479254 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1479257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479279 */     // GIR_Coverage, 24244,
     /* 1479279 */     GIR_EraseRootFromParent_Done,
     /* 1479280 */   // Label 20655: @1479280
     /* 1479280 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1479377), // Rule ID 24247 //
     /* 1479285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479335 */     // MIs[1] Operand 1
     /* 1479335 */     // No operand predicates
     /* 1479335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479339 */     // MIs[0] policy
     /* 1479339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479376 */     // GIR_Coverage, 24247,
     /* 1479376 */     GIR_EraseRootFromParent_Done,
     /* 1479377 */   // Label 20656: @1479377
     /* 1479377 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1479474), // Rule ID 24248 //
     /* 1479382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479432 */     // MIs[1] Operand 1
     /* 1479432 */     // No operand predicates
     /* 1479432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479436 */     // MIs[0] policy
     /* 1479436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479448 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1479451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479473 */     // GIR_Coverage, 24248,
     /* 1479473 */     GIR_EraseRootFromParent_Done,
     /* 1479474 */   // Label 20657: @1479474
     /* 1479474 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1479571), // Rule ID 24251 //
     /* 1479479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479529 */     // MIs[1] Operand 1
     /* 1479529 */     // No operand predicates
     /* 1479529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479533 */     // MIs[0] policy
     /* 1479533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479545 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479570 */     // GIR_Coverage, 24251,
     /* 1479570 */     GIR_EraseRootFromParent_Done,
     /* 1479571 */   // Label 20658: @1479571
     /* 1479571 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1479668), // Rule ID 24252 //
     /* 1479576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1479584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479626 */     // MIs[1] Operand 1
     /* 1479626 */     // No operand predicates
     /* 1479626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479630 */     // MIs[0] policy
     /* 1479630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1479645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479667 */     // GIR_Coverage, 24252,
     /* 1479667 */     GIR_EraseRootFromParent_Done,
     /* 1479668 */   // Label 20659: @1479668
     /* 1479668 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1479765), // Rule ID 24551 //
     /* 1479673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1479684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1479687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1479690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479723 */     // MIs[1] Operand 1
     /* 1479723 */     // No operand predicates
     /* 1479723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479727 */     // MIs[0] policy
     /* 1479727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1479742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479764 */     // GIR_Coverage, 24551,
     /* 1479764 */     GIR_EraseRootFromParent_Done,
     /* 1479765 */   // Label 20660: @1479765
     /* 1479765 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1479862), // Rule ID 24552 //
     /* 1479770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1479781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1479784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1479787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479820 */     // MIs[1] Operand 1
     /* 1479820 */     // No operand predicates
     /* 1479820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479824 */     // MIs[0] policy
     /* 1479824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1479839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479861 */     // GIR_Coverage, 24552,
     /* 1479861 */     GIR_EraseRootFromParent_Done,
     /* 1479862 */   // Label 20661: @1479862
     /* 1479862 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1479959), // Rule ID 24555 //
     /* 1479867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1479878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1479881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1479884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479917 */     // MIs[1] Operand 1
     /* 1479917 */     // No operand predicates
     /* 1479917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479921 */     // MIs[0] policy
     /* 1479921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479958 */     // GIR_Coverage, 24555,
     /* 1479958 */     GIR_EraseRootFromParent_Done,
     /* 1479959 */   // Label 20662: @1479959
     /* 1479959 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1480056), // Rule ID 24556 //
     /* 1479964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1479975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1479978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1479981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480014 */     // MIs[1] Operand 1
     /* 1480014 */     // No operand predicates
     /* 1480014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480018 */     // MIs[0] policy
     /* 1480018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480030 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480055 */     // GIR_Coverage, 24556,
     /* 1480055 */     GIR_EraseRootFromParent_Done,
     /* 1480056 */   // Label 20663: @1480056
     /* 1480056 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1480153), // Rule ID 24559 //
     /* 1480061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480111 */     // MIs[1] Operand 1
     /* 1480111 */     // No operand predicates
     /* 1480111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480115 */     // MIs[0] policy
     /* 1480115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480127 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480152 */     // GIR_Coverage, 24559,
     /* 1480152 */     GIR_EraseRootFromParent_Done,
     /* 1480153 */   // Label 20664: @1480153
     /* 1480153 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1480250), // Rule ID 24560 //
     /* 1480158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1480169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1480172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1480175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480208 */     // MIs[1] Operand 1
     /* 1480208 */     // No operand predicates
     /* 1480208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480212 */     // MIs[0] policy
     /* 1480212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480249 */     // GIR_Coverage, 24560,
     /* 1480249 */     GIR_EraseRootFromParent_Done,
     /* 1480250 */   // Label 20665: @1480250
     /* 1480250 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1480347), // Rule ID 24563 //
     /* 1480255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480305 */     // MIs[1] Operand 1
     /* 1480305 */     // No operand predicates
     /* 1480305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480309 */     // MIs[0] policy
     /* 1480309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480346 */     // GIR_Coverage, 24563,
     /* 1480346 */     GIR_EraseRootFromParent_Done,
     /* 1480347 */   // Label 20666: @1480347
     /* 1480347 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1480444), // Rule ID 24564 //
     /* 1480352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1480369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480402 */     // MIs[1] Operand 1
     /* 1480402 */     // No operand predicates
     /* 1480402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480406 */     // MIs[0] policy
     /* 1480406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1480421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480443 */     // GIR_Coverage, 24564,
     /* 1480443 */     GIR_EraseRootFromParent_Done,
     /* 1480444 */   // Label 20667: @1480444
     /* 1480444 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1480541), // Rule ID 24567 //
     /* 1480449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480499 */     // MIs[1] Operand 1
     /* 1480499 */     // No operand predicates
     /* 1480499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480503 */     // MIs[0] policy
     /* 1480503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480540 */     // GIR_Coverage, 24567,
     /* 1480540 */     GIR_EraseRootFromParent_Done,
     /* 1480541 */   // Label 20668: @1480541
     /* 1480541 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1480638), // Rule ID 24568 //
     /* 1480546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480596 */     // MIs[1] Operand 1
     /* 1480596 */     // No operand predicates
     /* 1480596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480600 */     // MIs[0] policy
     /* 1480600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480637 */     // GIR_Coverage, 24568,
     /* 1480637 */     GIR_EraseRootFromParent_Done,
     /* 1480638 */   // Label 20669: @1480638
     /* 1480638 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1480735), // Rule ID 24571 //
     /* 1480643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1480660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480693 */     // MIs[1] Operand 1
     /* 1480693 */     // No operand predicates
     /* 1480693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480697 */     // MIs[0] policy
     /* 1480697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480734 */     // GIR_Coverage, 24571,
     /* 1480734 */     GIR_EraseRootFromParent_Done,
     /* 1480735 */   // Label 20670: @1480735
     /* 1480735 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1480832), // Rule ID 24572 //
     /* 1480740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1480757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480790 */     // MIs[1] Operand 1
     /* 1480790 */     // No operand predicates
     /* 1480790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480794 */     // MIs[0] policy
     /* 1480794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480831 */     // GIR_Coverage, 24572,
     /* 1480831 */     GIR_EraseRootFromParent_Done,
     /* 1480832 */   // Label 20671: @1480832
     /* 1480832 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1480929), // Rule ID 24575 //
     /* 1480837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1480848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1480851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1480854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480887 */     // MIs[1] Operand 1
     /* 1480887 */     // No operand predicates
     /* 1480887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480891 */     // MIs[0] policy
     /* 1480891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480928 */     // GIR_Coverage, 24575,
     /* 1480928 */     GIR_EraseRootFromParent_Done,
     /* 1480929 */   // Label 20672: @1480929
     /* 1480929 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1481026), // Rule ID 24576 //
     /* 1480934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1480945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1480948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1480951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480984 */     // MIs[1] Operand 1
     /* 1480984 */     // No operand predicates
     /* 1480984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480988 */     // MIs[0] policy
     /* 1480988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481025 */     // GIR_Coverage, 24576,
     /* 1481025 */     GIR_EraseRootFromParent_Done,
     /* 1481026 */   // Label 20673: @1481026
     /* 1481026 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1481123), // Rule ID 24579 //
     /* 1481031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481081 */     // MIs[1] Operand 1
     /* 1481081 */     // No operand predicates
     /* 1481081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481085 */     // MIs[0] policy
     /* 1481085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481122 */     // GIR_Coverage, 24579,
     /* 1481122 */     GIR_EraseRootFromParent_Done,
     /* 1481123 */   // Label 20674: @1481123
     /* 1481123 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1481220), // Rule ID 24580 //
     /* 1481128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481178 */     // MIs[1] Operand 1
     /* 1481178 */     // No operand predicates
     /* 1481178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481182 */     // MIs[0] policy
     /* 1481182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481219 */     // GIR_Coverage, 24580,
     /* 1481219 */     GIR_EraseRootFromParent_Done,
     /* 1481220 */   // Label 20675: @1481220
     /* 1481220 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1481317), // Rule ID 24583 //
     /* 1481225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481275 */     // MIs[1] Operand 1
     /* 1481275 */     // No operand predicates
     /* 1481275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481279 */     // MIs[0] policy
     /* 1481279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481316 */     // GIR_Coverage, 24583,
     /* 1481316 */     GIR_EraseRootFromParent_Done,
     /* 1481317 */   // Label 20676: @1481317
     /* 1481317 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1481414), // Rule ID 24584 //
     /* 1481322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481372 */     // MIs[1] Operand 1
     /* 1481372 */     // No operand predicates
     /* 1481372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481376 */     // MIs[0] policy
     /* 1481376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481413 */     // GIR_Coverage, 24584,
     /* 1481413 */     GIR_EraseRootFromParent_Done,
     /* 1481414 */   // Label 20677: @1481414
     /* 1481414 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1481511), // Rule ID 24587 //
     /* 1481419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1481422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481469 */     // MIs[1] Operand 1
     /* 1481469 */     // No operand predicates
     /* 1481469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481473 */     // MIs[0] policy
     /* 1481473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481485 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481510 */     // GIR_Coverage, 24587,
     /* 1481510 */     GIR_EraseRootFromParent_Done,
     /* 1481511 */   // Label 20678: @1481511
     /* 1481511 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1481608), // Rule ID 24588 //
     /* 1481516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1481519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1481533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481566 */     // MIs[1] Operand 1
     /* 1481566 */     // No operand predicates
     /* 1481566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481570 */     // MIs[0] policy
     /* 1481570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1481585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481607 */     // GIR_Coverage, 24588,
     /* 1481607 */     GIR_EraseRootFromParent_Done,
     /* 1481608 */   // Label 20679: @1481608
     /* 1481608 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1481705), // Rule ID 24591 //
     /* 1481613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1481624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1481627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481663 */     // MIs[1] Operand 1
     /* 1481663 */     // No operand predicates
     /* 1481663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481667 */     // MIs[0] policy
     /* 1481667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481704 */     // GIR_Coverage, 24591,
     /* 1481704 */     GIR_EraseRootFromParent_Done,
     /* 1481705 */   // Label 20680: @1481705
     /* 1481705 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1481802), // Rule ID 24592 //
     /* 1481710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1481721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1481724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481760 */     // MIs[1] Operand 1
     /* 1481760 */     // No operand predicates
     /* 1481760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481764 */     // MIs[0] policy
     /* 1481764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481801 */     // GIR_Coverage, 24592,
     /* 1481801 */     GIR_EraseRootFromParent_Done,
     /* 1481802 */   // Label 20681: @1481802
     /* 1481802 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1481899), // Rule ID 24595 //
     /* 1481807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1481818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1481821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1481824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481857 */     // MIs[1] Operand 1
     /* 1481857 */     // No operand predicates
     /* 1481857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481861 */     // MIs[0] policy
     /* 1481861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481898 */     // GIR_Coverage, 24595,
     /* 1481898 */     GIR_EraseRootFromParent_Done,
     /* 1481899 */   // Label 20682: @1481899
     /* 1481899 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1481996), // Rule ID 24596 //
     /* 1481904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1481915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1481918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1481921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481954 */     // MIs[1] Operand 1
     /* 1481954 */     // No operand predicates
     /* 1481954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481958 */     // MIs[0] policy
     /* 1481958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481970 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481995 */     // GIR_Coverage, 24596,
     /* 1481995 */     GIR_EraseRootFromParent_Done,
     /* 1481996 */   // Label 20683: @1481996
     /* 1481996 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1482093), // Rule ID 24599 //
     /* 1482001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482051 */     // MIs[1] Operand 1
     /* 1482051 */     // No operand predicates
     /* 1482051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482055 */     // MIs[0] policy
     /* 1482055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482092 */     // GIR_Coverage, 24599,
     /* 1482092 */     GIR_EraseRootFromParent_Done,
     /* 1482093 */   // Label 20684: @1482093
     /* 1482093 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1482190), // Rule ID 24600 //
     /* 1482098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1482109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1482112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1482115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1482121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482148 */     // MIs[1] Operand 1
     /* 1482148 */     // No operand predicates
     /* 1482148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482152 */     // MIs[0] policy
     /* 1482152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482189 */     // GIR_Coverage, 24600,
     /* 1482189 */     GIR_EraseRootFromParent_Done,
     /* 1482190 */   // Label 20685: @1482190
     /* 1482190 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1482287), // Rule ID 24603 //
     /* 1482195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482245 */     // MIs[1] Operand 1
     /* 1482245 */     // No operand predicates
     /* 1482245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482249 */     // MIs[0] policy
     /* 1482249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482286 */     // GIR_Coverage, 24603,
     /* 1482286 */     GIR_EraseRootFromParent_Done,
     /* 1482287 */   // Label 20686: @1482287
     /* 1482287 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1482384), // Rule ID 24604 //
     /* 1482292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482342 */     // MIs[1] Operand 1
     /* 1482342 */     // No operand predicates
     /* 1482342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482346 */     // MIs[0] policy
     /* 1482346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482383 */     // GIR_Coverage, 24604,
     /* 1482383 */     GIR_EraseRootFromParent_Done,
     /* 1482384 */   // Label 20687: @1482384
     /* 1482384 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1482481), // Rule ID 24607 //
     /* 1482389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482439 */     // MIs[1] Operand 1
     /* 1482439 */     // No operand predicates
     /* 1482439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482443 */     // MIs[0] policy
     /* 1482443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482480 */     // GIR_Coverage, 24607,
     /* 1482480 */     GIR_EraseRootFromParent_Done,
     /* 1482481 */   // Label 20688: @1482481
     /* 1482481 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1482578), // Rule ID 24608 //
     /* 1482486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482536 */     // MIs[1] Operand 1
     /* 1482536 */     // No operand predicates
     /* 1482536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482540 */     // MIs[0] policy
     /* 1482540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482577 */     // GIR_Coverage, 24608,
     /* 1482577 */     GIR_EraseRootFromParent_Done,
     /* 1482578 */   // Label 20689: @1482578
     /* 1482578 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1482675), // Rule ID 24611 //
     /* 1482583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482633 */     // MIs[1] Operand 1
     /* 1482633 */     // No operand predicates
     /* 1482633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482637 */     // MIs[0] policy
     /* 1482637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482674 */     // GIR_Coverage, 24611,
     /* 1482674 */     GIR_EraseRootFromParent_Done,
     /* 1482675 */   // Label 20690: @1482675
     /* 1482675 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1482772), // Rule ID 24612 //
     /* 1482680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482730 */     // MIs[1] Operand 1
     /* 1482730 */     // No operand predicates
     /* 1482730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482734 */     // MIs[0] policy
     /* 1482734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482771 */     // GIR_Coverage, 24612,
     /* 1482771 */     GIR_EraseRootFromParent_Done,
     /* 1482772 */   // Label 20691: @1482772
     /* 1482772 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1482869), // Rule ID 24615 //
     /* 1482777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482827 */     // MIs[1] Operand 1
     /* 1482827 */     // No operand predicates
     /* 1482827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482831 */     // MIs[0] policy
     /* 1482831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482868 */     // GIR_Coverage, 24615,
     /* 1482868 */     GIR_EraseRootFromParent_Done,
     /* 1482869 */   // Label 20692: @1482869
     /* 1482869 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1482966), // Rule ID 24616 //
     /* 1482874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482924 */     // MIs[1] Operand 1
     /* 1482924 */     // No operand predicates
     /* 1482924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482928 */     // MIs[0] policy
     /* 1482928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482965 */     // GIR_Coverage, 24616,
     /* 1482965 */     GIR_EraseRootFromParent_Done,
     /* 1482966 */   // Label 20693: @1482966
     /* 1482966 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1483063), // Rule ID 24619 //
     /* 1482971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483021 */     // MIs[1] Operand 1
     /* 1483021 */     // No operand predicates
     /* 1483021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483025 */     // MIs[0] policy
     /* 1483025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483062 */     // GIR_Coverage, 24619,
     /* 1483062 */     GIR_EraseRootFromParent_Done,
     /* 1483063 */   // Label 20694: @1483063
     /* 1483063 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1483160), // Rule ID 24620 //
     /* 1483068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483118 */     // MIs[1] Operand 1
     /* 1483118 */     // No operand predicates
     /* 1483118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483122 */     // MIs[0] policy
     /* 1483122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483159 */     // GIR_Coverage, 24620,
     /* 1483159 */     GIR_EraseRootFromParent_Done,
     /* 1483160 */   // Label 20695: @1483160
     /* 1483160 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1483257), // Rule ID 24623 //
     /* 1483165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483215 */     // MIs[1] Operand 1
     /* 1483215 */     // No operand predicates
     /* 1483215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483219 */     // MIs[0] policy
     /* 1483219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483256 */     // GIR_Coverage, 24623,
     /* 1483256 */     GIR_EraseRootFromParent_Done,
     /* 1483257 */   // Label 20696: @1483257
     /* 1483257 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1483354), // Rule ID 24624 //
     /* 1483262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483312 */     // MIs[1] Operand 1
     /* 1483312 */     // No operand predicates
     /* 1483312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483316 */     // MIs[0] policy
     /* 1483316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483353 */     // GIR_Coverage, 24624,
     /* 1483353 */     GIR_EraseRootFromParent_Done,
     /* 1483354 */   // Label 20697: @1483354
     /* 1483354 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1483451), // Rule ID 24627 //
     /* 1483359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483409 */     // MIs[1] Operand 1
     /* 1483409 */     // No operand predicates
     /* 1483409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483413 */     // MIs[0] policy
     /* 1483413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483450 */     // GIR_Coverage, 24627,
     /* 1483450 */     GIR_EraseRootFromParent_Done,
     /* 1483451 */   // Label 20698: @1483451
     /* 1483451 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1483548), // Rule ID 24628 //
     /* 1483456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483506 */     // MIs[1] Operand 1
     /* 1483506 */     // No operand predicates
     /* 1483506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483510 */     // MIs[0] policy
     /* 1483510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483547 */     // GIR_Coverage, 24628,
     /* 1483547 */     GIR_EraseRootFromParent_Done,
     /* 1483548 */   // Label 20699: @1483548
     /* 1483548 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1483645), // Rule ID 24631 //
     /* 1483553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483603 */     // MIs[1] Operand 1
     /* 1483603 */     // No operand predicates
     /* 1483603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483607 */     // MIs[0] policy
     /* 1483607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483644 */     // GIR_Coverage, 24631,
     /* 1483644 */     GIR_EraseRootFromParent_Done,
     /* 1483645 */   // Label 20700: @1483645
     /* 1483645 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1483742), // Rule ID 24632 //
     /* 1483650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483700 */     // MIs[1] Operand 1
     /* 1483700 */     // No operand predicates
     /* 1483700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483704 */     // MIs[0] policy
     /* 1483704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483741 */     // GIR_Coverage, 24632,
     /* 1483741 */     GIR_EraseRootFromParent_Done,
     /* 1483742 */   // Label 20701: @1483742
     /* 1483742 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1483839), // Rule ID 24635 //
     /* 1483747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1483750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483797 */     // MIs[1] Operand 1
     /* 1483797 */     // No operand predicates
     /* 1483797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483801 */     // MIs[0] policy
     /* 1483801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483813 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483838 */     // GIR_Coverage, 24635,
     /* 1483838 */     GIR_EraseRootFromParent_Done,
     /* 1483839 */   // Label 20702: @1483839
     /* 1483839 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1483936), // Rule ID 24636 //
     /* 1483844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1483847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483894 */     // MIs[1] Operand 1
     /* 1483894 */     // No operand predicates
     /* 1483894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483898 */     // MIs[0] policy
     /* 1483898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483935 */     // GIR_Coverage, 24636,
     /* 1483935 */     GIR_EraseRootFromParent_Done,
     /* 1483936 */   // Label 20703: @1483936
     /* 1483936 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1484033), // Rule ID 24795 //
     /* 1483941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1483952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1483955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1483958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483991 */     // MIs[1] Operand 1
     /* 1483991 */     // No operand predicates
     /* 1483991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483995 */     // MIs[0] policy
     /* 1483995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484007 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484032 */     // GIR_Coverage, 24795,
     /* 1484032 */     GIR_EraseRootFromParent_Done,
     /* 1484033 */   // Label 20704: @1484033
     /* 1484033 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1484130), // Rule ID 24796 //
     /* 1484038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484088 */     // MIs[1] Operand 1
     /* 1484088 */     // No operand predicates
     /* 1484088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484092 */     // MIs[0] policy
     /* 1484092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484104 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484129 */     // GIR_Coverage, 24796,
     /* 1484129 */     GIR_EraseRootFromParent_Done,
     /* 1484130 */   // Label 20705: @1484130
     /* 1484130 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1484227), // Rule ID 24799 //
     /* 1484135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484185 */     // MIs[1] Operand 1
     /* 1484185 */     // No operand predicates
     /* 1484185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484189 */     // MIs[0] policy
     /* 1484189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484226 */     // GIR_Coverage, 24799,
     /* 1484226 */     GIR_EraseRootFromParent_Done,
     /* 1484227 */   // Label 20706: @1484227
     /* 1484227 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1484324), // Rule ID 24800 //
     /* 1484232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1484249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484282 */     // MIs[1] Operand 1
     /* 1484282 */     // No operand predicates
     /* 1484282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484286 */     // MIs[0] policy
     /* 1484286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484323 */     // GIR_Coverage, 24800,
     /* 1484323 */     GIR_EraseRootFromParent_Done,
     /* 1484324 */   // Label 20707: @1484324
     /* 1484324 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1484421), // Rule ID 24803 //
     /* 1484329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484379 */     // MIs[1] Operand 1
     /* 1484379 */     // No operand predicates
     /* 1484379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484383 */     // MIs[0] policy
     /* 1484383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484395 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484420 */     // GIR_Coverage, 24803,
     /* 1484420 */     GIR_EraseRootFromParent_Done,
     /* 1484421 */   // Label 20708: @1484421
     /* 1484421 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1484518), // Rule ID 24804 //
     /* 1484426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1484443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484476 */     // MIs[1] Operand 1
     /* 1484476 */     // No operand predicates
     /* 1484476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484480 */     // MIs[0] policy
     /* 1484480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484517 */     // GIR_Coverage, 24804,
     /* 1484517 */     GIR_EraseRootFromParent_Done,
     /* 1484518 */   // Label 20709: @1484518
     /* 1484518 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1484615), // Rule ID 24807 //
     /* 1484523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484573 */     // MIs[1] Operand 1
     /* 1484573 */     // No operand predicates
     /* 1484573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484577 */     // MIs[0] policy
     /* 1484577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1484592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484614 */     // GIR_Coverage, 24807,
     /* 1484614 */     GIR_EraseRootFromParent_Done,
     /* 1484615 */   // Label 20710: @1484615
     /* 1484615 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1484712), // Rule ID 24808 //
     /* 1484620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484670 */     // MIs[1] Operand 1
     /* 1484670 */     // No operand predicates
     /* 1484670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484674 */     // MIs[0] policy
     /* 1484674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484686 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1484689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484711 */     // GIR_Coverage, 24808,
     /* 1484711 */     GIR_EraseRootFromParent_Done,
     /* 1484712 */   // Label 20711: @1484712
     /* 1484712 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1484809), // Rule ID 24811 //
     /* 1484717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484767 */     // MIs[1] Operand 1
     /* 1484767 */     // No operand predicates
     /* 1484767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484771 */     // MIs[0] policy
     /* 1484771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484808 */     // GIR_Coverage, 24811,
     /* 1484808 */     GIR_EraseRootFromParent_Done,
     /* 1484809 */   // Label 20712: @1484809
     /* 1484809 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1484906), // Rule ID 24812 //
     /* 1484814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484864 */     // MIs[1] Operand 1
     /* 1484864 */     // No operand predicates
     /* 1484864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484868 */     // MIs[0] policy
     /* 1484868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484905 */     // GIR_Coverage, 24812,
     /* 1484905 */     GIR_EraseRootFromParent_Done,
     /* 1484906 */   // Label 20713: @1484906
     /* 1484906 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1485003), // Rule ID 24815 //
     /* 1484911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1484922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1484925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1484928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484961 */     // MIs[1] Operand 1
     /* 1484961 */     // No operand predicates
     /* 1484961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484965 */     // MIs[0] policy
     /* 1484965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484977 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485002 */     // GIR_Coverage, 24815,
     /* 1485002 */     GIR_EraseRootFromParent_Done,
     /* 1485003 */   // Label 20714: @1485003
     /* 1485003 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1485100), // Rule ID 24816 //
     /* 1485008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1485025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485058 */     // MIs[1] Operand 1
     /* 1485058 */     // No operand predicates
     /* 1485058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485062 */     // MIs[0] policy
     /* 1485062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485074 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485099 */     // GIR_Coverage, 24816,
     /* 1485099 */     GIR_EraseRootFromParent_Done,
     /* 1485100 */   // Label 20715: @1485100
     /* 1485100 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1485197), // Rule ID 24819 //
     /* 1485105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485155 */     // MIs[1] Operand 1
     /* 1485155 */     // No operand predicates
     /* 1485155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485159 */     // MIs[0] policy
     /* 1485159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485171 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485196 */     // GIR_Coverage, 24819,
     /* 1485196 */     GIR_EraseRootFromParent_Done,
     /* 1485197 */   // Label 20716: @1485197
     /* 1485197 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1485294), // Rule ID 24820 //
     /* 1485202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1485219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485252 */     // MIs[1] Operand 1
     /* 1485252 */     // No operand predicates
     /* 1485252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485256 */     // MIs[0] policy
     /* 1485256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485293 */     // GIR_Coverage, 24820,
     /* 1485293 */     GIR_EraseRootFromParent_Done,
     /* 1485294 */   // Label 20717: @1485294
     /* 1485294 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1485391), // Rule ID 24823 //
     /* 1485299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485349 */     // MIs[1] Operand 1
     /* 1485349 */     // No operand predicates
     /* 1485349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485353 */     // MIs[0] policy
     /* 1485353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485390 */     // GIR_Coverage, 24823,
     /* 1485390 */     GIR_EraseRootFromParent_Done,
     /* 1485391 */   // Label 20718: @1485391
     /* 1485391 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1485488), // Rule ID 24824 //
     /* 1485396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1485413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485446 */     // MIs[1] Operand 1
     /* 1485446 */     // No operand predicates
     /* 1485446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485450 */     // MIs[0] policy
     /* 1485450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485462 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485487 */     // GIR_Coverage, 24824,
     /* 1485487 */     GIR_EraseRootFromParent_Done,
     /* 1485488 */   // Label 20719: @1485488
     /* 1485488 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1485585), // Rule ID 24827 //
     /* 1485493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485543 */     // MIs[1] Operand 1
     /* 1485543 */     // No operand predicates
     /* 1485543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485547 */     // MIs[0] policy
     /* 1485547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485559 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485584 */     // GIR_Coverage, 24827,
     /* 1485584 */     GIR_EraseRootFromParent_Done,
     /* 1485585 */   // Label 20720: @1485585
     /* 1485585 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1485682), // Rule ID 24828 //
     /* 1485590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485640 */     // MIs[1] Operand 1
     /* 1485640 */     // No operand predicates
     /* 1485640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485644 */     // MIs[0] policy
     /* 1485644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485681 */     // GIR_Coverage, 24828,
     /* 1485681 */     GIR_EraseRootFromParent_Done,
     /* 1485682 */   // Label 20721: @1485682
     /* 1485682 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1485779), // Rule ID 24879 //
     /* 1485687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485737 */     // MIs[1] Operand 1
     /* 1485737 */     // No operand predicates
     /* 1485737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485741 */     // MIs[0] policy
     /* 1485741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485753 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1485756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485778 */     // GIR_Coverage, 24879,
     /* 1485778 */     GIR_EraseRootFromParent_Done,
     /* 1485779 */   // Label 20722: @1485779
     /* 1485779 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1485876), // Rule ID 24880 //
     /* 1485784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485834 */     // MIs[1] Operand 1
     /* 1485834 */     // No operand predicates
     /* 1485834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485838 */     // MIs[0] policy
     /* 1485838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1485853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485875 */     // GIR_Coverage, 24880,
     /* 1485875 */     GIR_EraseRootFromParent_Done,
     /* 1485876 */   // Label 20723: @1485876
     /* 1485876 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1485973), // Rule ID 24883 //
     /* 1485881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485931 */     // MIs[1] Operand 1
     /* 1485931 */     // No operand predicates
     /* 1485931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485935 */     // MIs[0] policy
     /* 1485935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1485950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485972 */     // GIR_Coverage, 24883,
     /* 1485972 */     GIR_EraseRootFromParent_Done,
     /* 1485973 */   // Label 20724: @1485973
     /* 1485973 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1486070), // Rule ID 24884 //
     /* 1485978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486028 */     // MIs[1] Operand 1
     /* 1486028 */     // No operand predicates
     /* 1486028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486032 */     // MIs[0] policy
     /* 1486032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486044 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1486047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486069 */     // GIR_Coverage, 24884,
     /* 1486069 */     GIR_EraseRootFromParent_Done,
     /* 1486070 */   // Label 20725: @1486070
     /* 1486070 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1486167), // Rule ID 24887 //
     /* 1486075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486125 */     // MIs[1] Operand 1
     /* 1486125 */     // No operand predicates
     /* 1486125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486129 */     // MIs[0] policy
     /* 1486129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486141 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486166 */     // GIR_Coverage, 24887,
     /* 1486166 */     GIR_EraseRootFromParent_Done,
     /* 1486167 */   // Label 20726: @1486167
     /* 1486167 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1486264), // Rule ID 24888 //
     /* 1486172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486222 */     // MIs[1] Operand 1
     /* 1486222 */     // No operand predicates
     /* 1486222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486226 */     // MIs[0] policy
     /* 1486226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486238 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486263 */     // GIR_Coverage, 24888,
     /* 1486263 */     GIR_EraseRootFromParent_Done,
     /* 1486264 */   // Label 20727: @1486264
     /* 1486264 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1486361), // Rule ID 24891 //
     /* 1486269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486319 */     // MIs[1] Operand 1
     /* 1486319 */     // No operand predicates
     /* 1486319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486323 */     // MIs[0] policy
     /* 1486323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486335 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486360 */     // GIR_Coverage, 24891,
     /* 1486360 */     GIR_EraseRootFromParent_Done,
     /* 1486361 */   // Label 20728: @1486361
     /* 1486361 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1486458), // Rule ID 24892 //
     /* 1486366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486416 */     // MIs[1] Operand 1
     /* 1486416 */     // No operand predicates
     /* 1486416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486420 */     // MIs[0] policy
     /* 1486420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486457 */     // GIR_Coverage, 24892,
     /* 1486457 */     GIR_EraseRootFromParent_Done,
     /* 1486458 */   // Label 20729: @1486458
     /* 1486458 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1486555), // Rule ID 24895 //
     /* 1486463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486513 */     // MIs[1] Operand 1
     /* 1486513 */     // No operand predicates
     /* 1486513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486517 */     // MIs[0] policy
     /* 1486517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486529 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486554 */     // GIR_Coverage, 24895,
     /* 1486554 */     GIR_EraseRootFromParent_Done,
     /* 1486555 */   // Label 20730: @1486555
     /* 1486555 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1486652), // Rule ID 24896 //
     /* 1486560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486610 */     // MIs[1] Operand 1
     /* 1486610 */     // No operand predicates
     /* 1486610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486614 */     // MIs[0] policy
     /* 1486614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486626 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486651 */     // GIR_Coverage, 24896,
     /* 1486651 */     GIR_EraseRootFromParent_Done,
     /* 1486652 */   // Label 20731: @1486652
     /* 1486652 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1486749), // Rule ID 24899 //
     /* 1486657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486707 */     // MIs[1] Operand 1
     /* 1486707 */     // No operand predicates
     /* 1486707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486711 */     // MIs[0] policy
     /* 1486711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486748 */     // GIR_Coverage, 24899,
     /* 1486748 */     GIR_EraseRootFromParent_Done,
     /* 1486749 */   // Label 20732: @1486749
     /* 1486749 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1486846), // Rule ID 24900 //
     /* 1486754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486804 */     // MIs[1] Operand 1
     /* 1486804 */     // No operand predicates
     /* 1486804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486808 */     // MIs[0] policy
     /* 1486808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486820 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486845 */     // GIR_Coverage, 24900,
     /* 1486845 */     GIR_EraseRootFromParent_Done,
     /* 1486846 */   // Label 20733: @1486846
     /* 1486846 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1486943), // Rule ID 60723 //
     /* 1486851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486901 */     // MIs[1] Operand 1
     /* 1486901 */     // No operand predicates
     /* 1486901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486905 */     // MIs[0] policy
     /* 1486905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1486920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486942 */     // GIR_Coverage, 60723,
     /* 1486942 */     GIR_EraseRootFromParent_Done,
     /* 1486943 */   // Label 20734: @1486943
     /* 1486943 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1487040), // Rule ID 60724 //
     /* 1486948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1486965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486998 */     // MIs[1] Operand 1
     /* 1486998 */     // No operand predicates
     /* 1486998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487002 */     // MIs[0] policy
     /* 1487002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1487017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487039 */     // GIR_Coverage, 60724,
     /* 1487039 */     GIR_EraseRootFromParent_Done,
     /* 1487040 */   // Label 20735: @1487040
     /* 1487040 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1487137), // Rule ID 60731 //
     /* 1487045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487095 */     // MIs[1] Operand 1
     /* 1487095 */     // No operand predicates
     /* 1487095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487099 */     // MIs[0] policy
     /* 1487099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487136 */     // GIR_Coverage, 60731,
     /* 1487136 */     GIR_EraseRootFromParent_Done,
     /* 1487137 */   // Label 20736: @1487137
     /* 1487137 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1487234), // Rule ID 60732 //
     /* 1487142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1487153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1487156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1487159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487192 */     // MIs[1] Operand 1
     /* 1487192 */     // No operand predicates
     /* 1487192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487196 */     // MIs[0] policy
     /* 1487196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1487211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487233 */     // GIR_Coverage, 60732,
     /* 1487233 */     GIR_EraseRootFromParent_Done,
     /* 1487234 */   // Label 20737: @1487234
     /* 1487234 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1487331), // Rule ID 60739 //
     /* 1487239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487289 */     // MIs[1] Operand 1
     /* 1487289 */     // No operand predicates
     /* 1487289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487293 */     // MIs[0] policy
     /* 1487293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487330 */     // GIR_Coverage, 60739,
     /* 1487330 */     GIR_EraseRootFromParent_Done,
     /* 1487331 */   // Label 20738: @1487331
     /* 1487331 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1487428), // Rule ID 60740 //
     /* 1487336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1487347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1487350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1487353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487386 */     // MIs[1] Operand 1
     /* 1487386 */     // No operand predicates
     /* 1487386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487390 */     // MIs[0] policy
     /* 1487390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487427 */     // GIR_Coverage, 60740,
     /* 1487427 */     GIR_EraseRootFromParent_Done,
     /* 1487428 */   // Label 20739: @1487428
     /* 1487428 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1487525), // Rule ID 60747 //
     /* 1487433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487483 */     // MIs[1] Operand 1
     /* 1487483 */     // No operand predicates
     /* 1487483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487487 */     // MIs[0] policy
     /* 1487487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487524 */     // GIR_Coverage, 60747,
     /* 1487524 */     GIR_EraseRootFromParent_Done,
     /* 1487525 */   // Label 20740: @1487525
     /* 1487525 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1487622), // Rule ID 60748 //
     /* 1487530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1487547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487580 */     // MIs[1] Operand 1
     /* 1487580 */     // No operand predicates
     /* 1487580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487584 */     // MIs[0] policy
     /* 1487584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487621 */     // GIR_Coverage, 60748,
     /* 1487621 */     GIR_EraseRootFromParent_Done,
     /* 1487622 */   // Label 20741: @1487622
     /* 1487622 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1487719), // Rule ID 60755 //
     /* 1487627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1487644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487677 */     // MIs[1] Operand 1
     /* 1487677 */     // No operand predicates
     /* 1487677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487681 */     // MIs[0] policy
     /* 1487681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487718 */     // GIR_Coverage, 60755,
     /* 1487718 */     GIR_EraseRootFromParent_Done,
     /* 1487719 */   // Label 20742: @1487719
     /* 1487719 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1487816), // Rule ID 60756 //
     /* 1487724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1487741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487774 */     // MIs[1] Operand 1
     /* 1487774 */     // No operand predicates
     /* 1487774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487778 */     // MIs[0] policy
     /* 1487778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487815 */     // GIR_Coverage, 60756,
     /* 1487815 */     GIR_EraseRootFromParent_Done,
     /* 1487816 */   // Label 20743: @1487816
     /* 1487816 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1487913), // Rule ID 60763 //
     /* 1487821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1487838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487871 */     // MIs[1] Operand 1
     /* 1487871 */     // No operand predicates
     /* 1487871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487875 */     // MIs[0] policy
     /* 1487875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1487890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487912 */     // GIR_Coverage, 60763,
     /* 1487912 */     GIR_EraseRootFromParent_Done,
     /* 1487913 */   // Label 20744: @1487913
     /* 1487913 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1488010), // Rule ID 60764 //
     /* 1487918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1487935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487968 */     // MIs[1] Operand 1
     /* 1487968 */     // No operand predicates
     /* 1487968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487972 */     // MIs[0] policy
     /* 1487972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1487987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488009 */     // GIR_Coverage, 60764,
     /* 1488009 */     GIR_EraseRootFromParent_Done,
     /* 1488010 */   // Label 20745: @1488010
     /* 1488010 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1488107), // Rule ID 60771 //
     /* 1488015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488065 */     // MIs[1] Operand 1
     /* 1488065 */     // No operand predicates
     /* 1488065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488069 */     // MIs[0] policy
     /* 1488069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488106 */     // GIR_Coverage, 60771,
     /* 1488106 */     GIR_EraseRootFromParent_Done,
     /* 1488107 */   // Label 20746: @1488107
     /* 1488107 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1488204), // Rule ID 60772 //
     /* 1488112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488162 */     // MIs[1] Operand 1
     /* 1488162 */     // No operand predicates
     /* 1488162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488166 */     // MIs[0] policy
     /* 1488166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1488181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488203 */     // GIR_Coverage, 60772,
     /* 1488203 */     GIR_EraseRootFromParent_Done,
     /* 1488204 */   // Label 20747: @1488204
     /* 1488204 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1488301), // Rule ID 60779 //
     /* 1488209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488259 */     // MIs[1] Operand 1
     /* 1488259 */     // No operand predicates
     /* 1488259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488263 */     // MIs[0] policy
     /* 1488263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488300 */     // GIR_Coverage, 60779,
     /* 1488300 */     GIR_EraseRootFromParent_Done,
     /* 1488301 */   // Label 20748: @1488301
     /* 1488301 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1488398), // Rule ID 60780 //
     /* 1488306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488356 */     // MIs[1] Operand 1
     /* 1488356 */     // No operand predicates
     /* 1488356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488360 */     // MIs[0] policy
     /* 1488360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1488375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488397 */     // GIR_Coverage, 60780,
     /* 1488397 */     GIR_EraseRootFromParent_Done,
     /* 1488398 */   // Label 20749: @1488398
     /* 1488398 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1488495), // Rule ID 60787 //
     /* 1488403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488453 */     // MIs[1] Operand 1
     /* 1488453 */     // No operand predicates
     /* 1488453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488457 */     // MIs[0] policy
     /* 1488457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488494 */     // GIR_Coverage, 60787,
     /* 1488494 */     GIR_EraseRootFromParent_Done,
     /* 1488495 */   // Label 20750: @1488495
     /* 1488495 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1488592), // Rule ID 60788 //
     /* 1488500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1488511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1488514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488550 */     // MIs[1] Operand 1
     /* 1488550 */     // No operand predicates
     /* 1488550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488554 */     // MIs[0] policy
     /* 1488554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488591 */     // GIR_Coverage, 60788,
     /* 1488591 */     GIR_EraseRootFromParent_Done,
     /* 1488592 */   // Label 20751: @1488592
     /* 1488592 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1488689), // Rule ID 60795 //
     /* 1488597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1488608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1488611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1488614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488647 */     // MIs[1] Operand 1
     /* 1488647 */     // No operand predicates
     /* 1488647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488651 */     // MIs[0] policy
     /* 1488651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488663 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488688 */     // GIR_Coverage, 60795,
     /* 1488688 */     GIR_EraseRootFromParent_Done,
     /* 1488689 */   // Label 20752: @1488689
     /* 1488689 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1488786), // Rule ID 60796 //
     /* 1488694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1488705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1488708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1488711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488744 */     // MIs[1] Operand 1
     /* 1488744 */     // No operand predicates
     /* 1488744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488748 */     // MIs[0] policy
     /* 1488748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488785 */     // GIR_Coverage, 60796,
     /* 1488785 */     GIR_EraseRootFromParent_Done,
     /* 1488786 */   // Label 20753: @1488786
     /* 1488786 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1488883), // Rule ID 60803 //
     /* 1488791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1488808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488841 */     // MIs[1] Operand 1
     /* 1488841 */     // No operand predicates
     /* 1488841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488845 */     // MIs[0] policy
     /* 1488845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488857 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488882 */     // GIR_Coverage, 60803,
     /* 1488882 */     GIR_EraseRootFromParent_Done,
     /* 1488883 */   // Label 20754: @1488883
     /* 1488883 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1488980), // Rule ID 60804 //
     /* 1488888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1488905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488938 */     // MIs[1] Operand 1
     /* 1488938 */     // No operand predicates
     /* 1488938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488942 */     // MIs[0] policy
     /* 1488942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488979 */     // GIR_Coverage, 60804,
     /* 1488979 */     GIR_EraseRootFromParent_Done,
     /* 1488980 */   // Label 20755: @1488980
     /* 1488980 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1489077), // Rule ID 60811 //
     /* 1488985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489035 */     // MIs[1] Operand 1
     /* 1489035 */     // No operand predicates
     /* 1489035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489039 */     // MIs[0] policy
     /* 1489039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489076 */     // GIR_Coverage, 60811,
     /* 1489076 */     GIR_EraseRootFromParent_Done,
     /* 1489077 */   // Label 20756: @1489077
     /* 1489077 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1489174), // Rule ID 60812 //
     /* 1489082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489132 */     // MIs[1] Operand 1
     /* 1489132 */     // No operand predicates
     /* 1489132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489136 */     // MIs[0] policy
     /* 1489136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1489151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489173 */     // GIR_Coverage, 60812,
     /* 1489173 */     GIR_EraseRootFromParent_Done,
     /* 1489174 */   // Label 20757: @1489174
     /* 1489174 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1489271), // Rule ID 60819 //
     /* 1489179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489229 */     // MIs[1] Operand 1
     /* 1489229 */     // No operand predicates
     /* 1489229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489233 */     // MIs[0] policy
     /* 1489233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489270 */     // GIR_Coverage, 60819,
     /* 1489270 */     GIR_EraseRootFromParent_Done,
     /* 1489271 */   // Label 20758: @1489271
     /* 1489271 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1489368), // Rule ID 60820 //
     /* 1489276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489326 */     // MIs[1] Operand 1
     /* 1489326 */     // No operand predicates
     /* 1489326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489330 */     // MIs[0] policy
     /* 1489330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1489345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489367 */     // GIR_Coverage, 60820,
     /* 1489367 */     GIR_EraseRootFromParent_Done,
     /* 1489368 */   // Label 20759: @1489368
     /* 1489368 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1489465), // Rule ID 60827 //
     /* 1489373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489423 */     // MIs[1] Operand 1
     /* 1489423 */     // No operand predicates
     /* 1489423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489427 */     // MIs[0] policy
     /* 1489427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489464 */     // GIR_Coverage, 60827,
     /* 1489464 */     GIR_EraseRootFromParent_Done,
     /* 1489465 */   // Label 20760: @1489465
     /* 1489465 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1489562), // Rule ID 60828 //
     /* 1489470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489520 */     // MIs[1] Operand 1
     /* 1489520 */     // No operand predicates
     /* 1489520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489524 */     // MIs[0] policy
     /* 1489524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1489539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489561 */     // GIR_Coverage, 60828,
     /* 1489561 */     GIR_EraseRootFromParent_Done,
     /* 1489562 */   // Label 20761: @1489562
     /* 1489562 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1489659), // Rule ID 60835 //
     /* 1489567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1489570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1489578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1489581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489617 */     // MIs[1] Operand 1
     /* 1489617 */     // No operand predicates
     /* 1489617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489621 */     // MIs[0] policy
     /* 1489621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489658 */     // GIR_Coverage, 60835,
     /* 1489658 */     GIR_EraseRootFromParent_Done,
     /* 1489659 */   // Label 20762: @1489659
     /* 1489659 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1489756), // Rule ID 60836 //
     /* 1489664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1489667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1489672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1489675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1489678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489714 */     // MIs[1] Operand 1
     /* 1489714 */     // No operand predicates
     /* 1489714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489718 */     // MIs[0] policy
     /* 1489718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1489733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489755 */     // GIR_Coverage, 60836,
     /* 1489755 */     GIR_EraseRootFromParent_Done,
     /* 1489756 */   // Label 20763: @1489756
     /* 1489756 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1489853), // Rule ID 61691 //
     /* 1489761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1489772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1489775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1489778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489811 */     // MIs[1] Operand 1
     /* 1489811 */     // No operand predicates
     /* 1489811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489815 */     // MIs[0] policy
     /* 1489815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1489830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489852 */     // GIR_Coverage, 61691,
     /* 1489852 */     GIR_EraseRootFromParent_Done,
     /* 1489853 */   // Label 20764: @1489853
     /* 1489853 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1489950), // Rule ID 61692 //
     /* 1489858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1489869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1489872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1489875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489908 */     // MIs[1] Operand 1
     /* 1489908 */     // No operand predicates
     /* 1489908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489912 */     // MIs[0] policy
     /* 1489912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1489927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489949 */     // GIR_Coverage, 61692,
     /* 1489949 */     GIR_EraseRootFromParent_Done,
     /* 1489950 */   // Label 20765: @1489950
     /* 1489950 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1490047), // Rule ID 61695 //
     /* 1489955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1489966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1489969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1489972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490005 */     // MIs[1] Operand 1
     /* 1490005 */     // No operand predicates
     /* 1490005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490009 */     // MIs[0] policy
     /* 1490009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490046 */     // GIR_Coverage, 61695,
     /* 1490046 */     GIR_EraseRootFromParent_Done,
     /* 1490047 */   // Label 20766: @1490047
     /* 1490047 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1490144), // Rule ID 61696 //
     /* 1490052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1490063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1490066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1490069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490102 */     // MIs[1] Operand 1
     /* 1490102 */     // No operand predicates
     /* 1490102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490106 */     // MIs[0] policy
     /* 1490106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490143 */     // GIR_Coverage, 61696,
     /* 1490143 */     GIR_EraseRootFromParent_Done,
     /* 1490144 */   // Label 20767: @1490144
     /* 1490144 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1490241), // Rule ID 61699 //
     /* 1490149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490199 */     // MIs[1] Operand 1
     /* 1490199 */     // No operand predicates
     /* 1490199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490203 */     // MIs[0] policy
     /* 1490203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490215 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490240 */     // GIR_Coverage, 61699,
     /* 1490240 */     GIR_EraseRootFromParent_Done,
     /* 1490241 */   // Label 20768: @1490241
     /* 1490241 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1490338), // Rule ID 61700 //
     /* 1490246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1490257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1490260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1490263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490296 */     // MIs[1] Operand 1
     /* 1490296 */     // No operand predicates
     /* 1490296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490300 */     // MIs[0] policy
     /* 1490300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490337 */     // GIR_Coverage, 61700,
     /* 1490337 */     GIR_EraseRootFromParent_Done,
     /* 1490338 */   // Label 20769: @1490338
     /* 1490338 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1490435), // Rule ID 61703 //
     /* 1490343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490393 */     // MIs[1] Operand 1
     /* 1490393 */     // No operand predicates
     /* 1490393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490397 */     // MIs[0] policy
     /* 1490397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490434 */     // GIR_Coverage, 61703,
     /* 1490434 */     GIR_EraseRootFromParent_Done,
     /* 1490435 */   // Label 20770: @1490435
     /* 1490435 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1490532), // Rule ID 61704 //
     /* 1490440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490490 */     // MIs[1] Operand 1
     /* 1490490 */     // No operand predicates
     /* 1490490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490494 */     // MIs[0] policy
     /* 1490494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1490509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490531 */     // GIR_Coverage, 61704,
     /* 1490531 */     GIR_EraseRootFromParent_Done,
     /* 1490532 */   // Label 20771: @1490532
     /* 1490532 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1490629), // Rule ID 61707 //
     /* 1490537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490587 */     // MIs[1] Operand 1
     /* 1490587 */     // No operand predicates
     /* 1490587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490591 */     // MIs[0] policy
     /* 1490591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490628 */     // GIR_Coverage, 61707,
     /* 1490628 */     GIR_EraseRootFromParent_Done,
     /* 1490629 */   // Label 20772: @1490629
     /* 1490629 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1490726), // Rule ID 61708 //
     /* 1490634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490684 */     // MIs[1] Operand 1
     /* 1490684 */     // No operand predicates
     /* 1490684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490688 */     // MIs[0] policy
     /* 1490688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490725 */     // GIR_Coverage, 61708,
     /* 1490725 */     GIR_EraseRootFromParent_Done,
     /* 1490726 */   // Label 20773: @1490726
     /* 1490726 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1490823), // Rule ID 61711 //
     /* 1490731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490781 */     // MIs[1] Operand 1
     /* 1490781 */     // No operand predicates
     /* 1490781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490785 */     // MIs[0] policy
     /* 1490785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490822 */     // GIR_Coverage, 61711,
     /* 1490822 */     GIR_EraseRootFromParent_Done,
     /* 1490823 */   // Label 20774: @1490823
     /* 1490823 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1490920), // Rule ID 61712 //
     /* 1490828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1490839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1490842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1490845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490878 */     // MIs[1] Operand 1
     /* 1490878 */     // No operand predicates
     /* 1490878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490882 */     // MIs[0] policy
     /* 1490882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1490897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490919 */     // GIR_Coverage, 61712,
     /* 1490919 */     GIR_EraseRootFromParent_Done,
     /* 1490920 */   // Label 20775: @1490920
     /* 1490920 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1491017), // Rule ID 61715 //
     /* 1490925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1490936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1490939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1490942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490975 */     // MIs[1] Operand 1
     /* 1490975 */     // No operand predicates
     /* 1490975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490979 */     // MIs[0] policy
     /* 1490979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491016 */     // GIR_Coverage, 61715,
     /* 1491016 */     GIR_EraseRootFromParent_Done,
     /* 1491017 */   // Label 20776: @1491017
     /* 1491017 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1491114), // Rule ID 61716 //
     /* 1491022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1491033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1491036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1491039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491072 */     // MIs[1] Operand 1
     /* 1491072 */     // No operand predicates
     /* 1491072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491076 */     // MIs[0] policy
     /* 1491076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491113 */     // GIR_Coverage, 61716,
     /* 1491113 */     GIR_EraseRootFromParent_Done,
     /* 1491114 */   // Label 20777: @1491114
     /* 1491114 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1491211), // Rule ID 61719 //
     /* 1491119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491169 */     // MIs[1] Operand 1
     /* 1491169 */     // No operand predicates
     /* 1491169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491173 */     // MIs[0] policy
     /* 1491173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491210 */     // GIR_Coverage, 61719,
     /* 1491210 */     GIR_EraseRootFromParent_Done,
     /* 1491211 */   // Label 20778: @1491211
     /* 1491211 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1491308), // Rule ID 61720 //
     /* 1491216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491266 */     // MIs[1] Operand 1
     /* 1491266 */     // No operand predicates
     /* 1491266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491270 */     // MIs[0] policy
     /* 1491270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491307 */     // GIR_Coverage, 61720,
     /* 1491307 */     GIR_EraseRootFromParent_Done,
     /* 1491308 */   // Label 20779: @1491308
     /* 1491308 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1491405), // Rule ID 61723 //
     /* 1491313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491363 */     // MIs[1] Operand 1
     /* 1491363 */     // No operand predicates
     /* 1491363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491367 */     // MIs[0] policy
     /* 1491367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491404 */     // GIR_Coverage, 61723,
     /* 1491404 */     GIR_EraseRootFromParent_Done,
     /* 1491405 */   // Label 20780: @1491405
     /* 1491405 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1491502), // Rule ID 61724 //
     /* 1491410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491460 */     // MIs[1] Operand 1
     /* 1491460 */     // No operand predicates
     /* 1491460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491464 */     // MIs[0] policy
     /* 1491464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491501 */     // GIR_Coverage, 61724,
     /* 1491501 */     GIR_EraseRootFromParent_Done,
     /* 1491502 */   // Label 20781: @1491502
     /* 1491502 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1491599), // Rule ID 61727 //
     /* 1491507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491557 */     // MIs[1] Operand 1
     /* 1491557 */     // No operand predicates
     /* 1491557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491561 */     // MIs[0] policy
     /* 1491561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491598 */     // GIR_Coverage, 61727,
     /* 1491598 */     GIR_EraseRootFromParent_Done,
     /* 1491599 */   // Label 20782: @1491599
     /* 1491599 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1491696), // Rule ID 61728 //
     /* 1491604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491654 */     // MIs[1] Operand 1
     /* 1491654 */     // No operand predicates
     /* 1491654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491658 */     // MIs[0] policy
     /* 1491658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1491673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491695 */     // GIR_Coverage, 61728,
     /* 1491695 */     GIR_EraseRootFromParent_Done,
     /* 1491696 */   // Label 20783: @1491696
     /* 1491696 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1491793), // Rule ID 61731 //
     /* 1491701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1491712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1491715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1491718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491751 */     // MIs[1] Operand 1
     /* 1491751 */     // No operand predicates
     /* 1491751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491755 */     // MIs[0] policy
     /* 1491755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491792 */     // GIR_Coverage, 61731,
     /* 1491792 */     GIR_EraseRootFromParent_Done,
     /* 1491793 */   // Label 20784: @1491793
     /* 1491793 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1491890), // Rule ID 61732 //
     /* 1491798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1491809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1491812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1491815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491848 */     // MIs[1] Operand 1
     /* 1491848 */     // No operand predicates
     /* 1491848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491852 */     // MIs[0] policy
     /* 1491852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491889 */     // GIR_Coverage, 61732,
     /* 1491889 */     GIR_EraseRootFromParent_Done,
     /* 1491890 */   // Label 20785: @1491890
     /* 1491890 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1491987), // Rule ID 61735 //
     /* 1491895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1491906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1491909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1491912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491945 */     // MIs[1] Operand 1
     /* 1491945 */     // No operand predicates
     /* 1491945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491949 */     // MIs[0] policy
     /* 1491949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1491964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491986 */     // GIR_Coverage, 61735,
     /* 1491986 */     GIR_EraseRootFromParent_Done,
     /* 1491987 */   // Label 20786: @1491987
     /* 1491987 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1492084), // Rule ID 61736 //
     /* 1491992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1492003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1492006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492042 */     // MIs[1] Operand 1
     /* 1492042 */     // No operand predicates
     /* 1492042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492046 */     // MIs[0] policy
     /* 1492046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492083 */     // GIR_Coverage, 61736,
     /* 1492083 */     GIR_EraseRootFromParent_Done,
     /* 1492084 */   // Label 20787: @1492084
     /* 1492084 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1492181), // Rule ID 61739 //
     /* 1492089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492139 */     // MIs[1] Operand 1
     /* 1492139 */     // No operand predicates
     /* 1492139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492143 */     // MIs[0] policy
     /* 1492143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492155 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492180 */     // GIR_Coverage, 61739,
     /* 1492180 */     GIR_EraseRootFromParent_Done,
     /* 1492181 */   // Label 20788: @1492181
     /* 1492181 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1492278), // Rule ID 61740 //
     /* 1492186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1492197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1492200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1492203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1492209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492236 */     // MIs[1] Operand 1
     /* 1492236 */     // No operand predicates
     /* 1492236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492240 */     // MIs[0] policy
     /* 1492240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492277 */     // GIR_Coverage, 61740,
     /* 1492277 */     GIR_EraseRootFromParent_Done,
     /* 1492278 */   // Label 20789: @1492278
     /* 1492278 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1492375), // Rule ID 61743 //
     /* 1492283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492333 */     // MIs[1] Operand 1
     /* 1492333 */     // No operand predicates
     /* 1492333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492337 */     // MIs[0] policy
     /* 1492337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492374 */     // GIR_Coverage, 61743,
     /* 1492374 */     GIR_EraseRootFromParent_Done,
     /* 1492375 */   // Label 20790: @1492375
     /* 1492375 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1492472), // Rule ID 61744 //
     /* 1492380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492430 */     // MIs[1] Operand 1
     /* 1492430 */     // No operand predicates
     /* 1492430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492434 */     // MIs[0] policy
     /* 1492434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492471 */     // GIR_Coverage, 61744,
     /* 1492471 */     GIR_EraseRootFromParent_Done,
     /* 1492472 */   // Label 20791: @1492472
     /* 1492472 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1492569), // Rule ID 61747 //
     /* 1492477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492527 */     // MIs[1] Operand 1
     /* 1492527 */     // No operand predicates
     /* 1492527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492531 */     // MIs[0] policy
     /* 1492531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492568 */     // GIR_Coverage, 61747,
     /* 1492568 */     GIR_EraseRootFromParent_Done,
     /* 1492569 */   // Label 20792: @1492569
     /* 1492569 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1492666), // Rule ID 61748 //
     /* 1492574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492624 */     // MIs[1] Operand 1
     /* 1492624 */     // No operand predicates
     /* 1492624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492628 */     // MIs[0] policy
     /* 1492628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492665 */     // GIR_Coverage, 61748,
     /* 1492665 */     GIR_EraseRootFromParent_Done,
     /* 1492666 */   // Label 20793: @1492666
     /* 1492666 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1492763), // Rule ID 61751 //
     /* 1492671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492721 */     // MIs[1] Operand 1
     /* 1492721 */     // No operand predicates
     /* 1492721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492725 */     // MIs[0] policy
     /* 1492725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492762 */     // GIR_Coverage, 61751,
     /* 1492762 */     GIR_EraseRootFromParent_Done,
     /* 1492763 */   // Label 20794: @1492763
     /* 1492763 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1492860), // Rule ID 61752 //
     /* 1492768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492818 */     // MIs[1] Operand 1
     /* 1492818 */     // No operand predicates
     /* 1492818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492822 */     // MIs[0] policy
     /* 1492822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492859 */     // GIR_Coverage, 61752,
     /* 1492859 */     GIR_EraseRootFromParent_Done,
     /* 1492860 */   // Label 20795: @1492860
     /* 1492860 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1492957), // Rule ID 61755 //
     /* 1492865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492915 */     // MIs[1] Operand 1
     /* 1492915 */     // No operand predicates
     /* 1492915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492919 */     // MIs[0] policy
     /* 1492919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492956 */     // GIR_Coverage, 61755,
     /* 1492956 */     GIR_EraseRootFromParent_Done,
     /* 1492957 */   // Label 20796: @1492957
     /* 1492957 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493054), // Rule ID 61756 //
     /* 1492962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493012 */     // MIs[1] Operand 1
     /* 1493012 */     // No operand predicates
     /* 1493012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493016 */     // MIs[0] policy
     /* 1493016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493053 */     // GIR_Coverage, 61756,
     /* 1493053 */     GIR_EraseRootFromParent_Done,
     /* 1493054 */   // Label 20797: @1493054
     /* 1493054 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1493151), // Rule ID 61759 //
     /* 1493059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493109 */     // MIs[1] Operand 1
     /* 1493109 */     // No operand predicates
     /* 1493109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493113 */     // MIs[0] policy
     /* 1493113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493150 */     // GIR_Coverage, 61759,
     /* 1493150 */     GIR_EraseRootFromParent_Done,
     /* 1493151 */   // Label 20798: @1493151
     /* 1493151 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1493248), // Rule ID 61760 //
     /* 1493156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1493173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493206 */     // MIs[1] Operand 1
     /* 1493206 */     // No operand predicates
     /* 1493206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493210 */     // MIs[0] policy
     /* 1493210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493247 */     // GIR_Coverage, 61760,
     /* 1493247 */     GIR_EraseRootFromParent_Done,
     /* 1493248 */   // Label 20799: @1493248
     /* 1493248 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1493345), // Rule ID 61763 //
     /* 1493253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493303 */     // MIs[1] Operand 1
     /* 1493303 */     // No operand predicates
     /* 1493303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493307 */     // MIs[0] policy
     /* 1493307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493344 */     // GIR_Coverage, 61763,
     /* 1493344 */     GIR_EraseRootFromParent_Done,
     /* 1493345 */   // Label 20800: @1493345
     /* 1493345 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1493442), // Rule ID 61764 //
     /* 1493350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1493367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493400 */     // MIs[1] Operand 1
     /* 1493400 */     // No operand predicates
     /* 1493400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493404 */     // MIs[0] policy
     /* 1493404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493441 */     // GIR_Coverage, 61764,
     /* 1493441 */     GIR_EraseRootFromParent_Done,
     /* 1493442 */   // Label 20801: @1493442
     /* 1493442 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1493539), // Rule ID 61767 //
     /* 1493447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493497 */     // MIs[1] Operand 1
     /* 1493497 */     // No operand predicates
     /* 1493497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493501 */     // MIs[0] policy
     /* 1493501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493538 */     // GIR_Coverage, 61767,
     /* 1493538 */     GIR_EraseRootFromParent_Done,
     /* 1493539 */   // Label 20802: @1493539
     /* 1493539 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1493636), // Rule ID 61768 //
     /* 1493544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493594 */     // MIs[1] Operand 1
     /* 1493594 */     // No operand predicates
     /* 1493594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493598 */     // MIs[0] policy
     /* 1493598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1493613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493635 */     // GIR_Coverage, 61768,
     /* 1493635 */     GIR_EraseRootFromParent_Done,
     /* 1493636 */   // Label 20803: @1493636
     /* 1493636 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1493733), // Rule ID 61771 //
     /* 1493641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493691 */     // MIs[1] Operand 1
     /* 1493691 */     // No operand predicates
     /* 1493691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493695 */     // MIs[0] policy
     /* 1493695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493732 */     // GIR_Coverage, 61771,
     /* 1493732 */     GIR_EraseRootFromParent_Done,
     /* 1493733 */   // Label 20804: @1493733
     /* 1493733 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1493830), // Rule ID 61772 //
     /* 1493738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493788 */     // MIs[1] Operand 1
     /* 1493788 */     // No operand predicates
     /* 1493788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493792 */     // MIs[0] policy
     /* 1493792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493804 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1493807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493829 */     // GIR_Coverage, 61772,
     /* 1493829 */     GIR_EraseRootFromParent_Done,
     /* 1493830 */   // Label 20805: @1493830
     /* 1493830 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1493927), // Rule ID 61775 //
     /* 1493835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1493838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493885 */     // MIs[1] Operand 1
     /* 1493885 */     // No operand predicates
     /* 1493885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493889 */     // MIs[0] policy
     /* 1493889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1493904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493926 */     // GIR_Coverage, 61775,
     /* 1493926 */     GIR_EraseRootFromParent_Done,
     /* 1493927 */   // Label 20806: @1493927
     /* 1493927 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494024), // Rule ID 61776 //
     /* 1493932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1493935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1493940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1493982 */     // MIs[1] Operand 1
     /* 1493982 */     // No operand predicates
     /* 1493982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493986 */     // MIs[0] policy
     /* 1493986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1494001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494023 */     // GIR_Coverage, 61776,
     /* 1494023 */     GIR_EraseRootFromParent_Done,
     /* 1494024 */   // Label 20807: @1494024
     /* 1494024 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494106), // Rule ID 2591 //
     /* 1494029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494068 */     // MIs[0] round
     /* 1494068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494071 */     // MIs[0] policy
     /* 1494071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494081 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494105 */     // GIR_Coverage, 2591,
     /* 1494105 */     GIR_EraseRootFromParent_Done,
     /* 1494106 */   // Label 20808: @1494106
     /* 1494106 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494188), // Rule ID 2592 //
     /* 1494111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1494119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494150 */     // MIs[0] round
     /* 1494150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494153 */     // MIs[0] policy
     /* 1494153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494163 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1494166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494187 */     // GIR_Coverage, 2592,
     /* 1494187 */     GIR_EraseRootFromParent_Done,
     /* 1494188 */   // Label 20809: @1494188
     /* 1494188 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1494270), // Rule ID 2627 //
     /* 1494193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1494196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494232 */     // MIs[0] round
     /* 1494232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494235 */     // MIs[0] policy
     /* 1494235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494245 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494269 */     // GIR_Coverage, 2627,
     /* 1494269 */     GIR_EraseRootFromParent_Done,
     /* 1494270 */   // Label 20810: @1494270
     /* 1494270 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1494352), // Rule ID 2628 //
     /* 1494275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1494278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1494283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1494295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494314 */     // MIs[0] round
     /* 1494314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494317 */     // MIs[0] policy
     /* 1494317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1494330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1494336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1494338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494351 */     // GIR_Coverage, 2628,
     /* 1494351 */     GIR_EraseRootFromParent_Done,
     /* 1494352 */   // Label 20811: @1494352
     /* 1494352 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1494434), // Rule ID 2659 //
     /* 1494357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494396 */     // MIs[0] round
     /* 1494396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494399 */     // MIs[0] policy
     /* 1494399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494409 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494433 */     // GIR_Coverage, 2659,
     /* 1494433 */     GIR_EraseRootFromParent_Done,
     /* 1494434 */   // Label 20812: @1494434
     /* 1494434 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1494516), // Rule ID 2660 //
     /* 1494439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1494459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494478 */     // MIs[0] round
     /* 1494478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494481 */     // MIs[0] policy
     /* 1494481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494491 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1494494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494515 */     // GIR_Coverage, 2660,
     /* 1494515 */     GIR_EraseRootFromParent_Done,
     /* 1494516 */   // Label 20813: @1494516
     /* 1494516 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1494598), // Rule ID 17631 //
     /* 1494521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494560 */     // MIs[0] round
     /* 1494560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494563 */     // MIs[0] policy
     /* 1494563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494573 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1494576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494597 */     // GIR_Coverage, 17631,
     /* 1494597 */     GIR_EraseRootFromParent_Done,
     /* 1494598 */   // Label 20814: @1494598
     /* 1494598 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1494680), // Rule ID 17632 //
     /* 1494603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1494614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1494617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1494620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1494623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494642 */     // MIs[0] round
     /* 1494642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494645 */     // MIs[0] policy
     /* 1494645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494655 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1494658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494679 */     // GIR_Coverage, 17632,
     /* 1494679 */     GIR_EraseRootFromParent_Done,
     /* 1494680 */   // Label 20815: @1494680
     /* 1494680 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1494762), // Rule ID 17635 //
     /* 1494685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1494702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1494705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494724 */     // MIs[0] round
     /* 1494724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494727 */     // MIs[0] policy
     /* 1494727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494737 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1494740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494761 */     // GIR_Coverage, 17635,
     /* 1494761 */     GIR_EraseRootFromParent_Done,
     /* 1494762 */   // Label 20816: @1494762
     /* 1494762 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1494844), // Rule ID 17636 //
     /* 1494767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1494778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1494781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1494784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1494787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494806 */     // MIs[0] round
     /* 1494806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494809 */     // MIs[0] policy
     /* 1494809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494819 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1494822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494843 */     // GIR_Coverage, 17636,
     /* 1494843 */     GIR_EraseRootFromParent_Done,
     /* 1494844 */   // Label 20817: @1494844
     /* 1494844 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1494926), // Rule ID 17639 //
     /* 1494849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1494866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1494869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494888 */     // MIs[0] round
     /* 1494888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494891 */     // MIs[0] policy
     /* 1494891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494901 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1494904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494925 */     // GIR_Coverage, 17639,
     /* 1494925 */     GIR_EraseRootFromParent_Done,
     /* 1494926 */   // Label 20818: @1494926
     /* 1494926 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495008), // Rule ID 17640 //
     /* 1494931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1494948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1494951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494970 */     // MIs[0] round
     /* 1494970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494973 */     // MIs[0] policy
     /* 1494973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1494986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495007 */     // GIR_Coverage, 17640,
     /* 1495007 */     GIR_EraseRootFromParent_Done,
     /* 1495008 */   // Label 20819: @1495008
     /* 1495008 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495090), // Rule ID 17643 //
     /* 1495013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495052 */     // MIs[0] round
     /* 1495052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495055 */     // MIs[0] policy
     /* 1495055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495065 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495089 */     // GIR_Coverage, 17643,
     /* 1495089 */     GIR_EraseRootFromParent_Done,
     /* 1495090 */   // Label 20820: @1495090
     /* 1495090 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495172), // Rule ID 17644 //
     /* 1495095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1495115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495134 */     // MIs[0] round
     /* 1495134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495137 */     // MIs[0] policy
     /* 1495137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1495150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495171 */     // GIR_Coverage, 17644,
     /* 1495171 */     GIR_EraseRootFromParent_Done,
     /* 1495172 */   // Label 20821: @1495172
     /* 1495172 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1495254), // Rule ID 17647 //
     /* 1495177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495216 */     // MIs[0] round
     /* 1495216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495219 */     // MIs[0] policy
     /* 1495219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495253 */     // GIR_Coverage, 17647,
     /* 1495253 */     GIR_EraseRootFromParent_Done,
     /* 1495254 */   // Label 20822: @1495254
     /* 1495254 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1495336), // Rule ID 17648 //
     /* 1495259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1495270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1495273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1495276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1495279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495298 */     // MIs[0] round
     /* 1495298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495301 */     // MIs[0] policy
     /* 1495301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1495314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495335 */     // GIR_Coverage, 17648,
     /* 1495335 */     GIR_EraseRootFromParent_Done,
     /* 1495336 */   // Label 20823: @1495336
     /* 1495336 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1495418), // Rule ID 17651 //
     /* 1495341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495380 */     // MIs[0] round
     /* 1495380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495383 */     // MIs[0] policy
     /* 1495383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495393 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495417 */     // GIR_Coverage, 17651,
     /* 1495417 */     GIR_EraseRootFromParent_Done,
     /* 1495418 */   // Label 20824: @1495418
     /* 1495418 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1495500), // Rule ID 17652 //
     /* 1495423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1495434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1495437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1495440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1495443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495462 */     // MIs[0] round
     /* 1495462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495465 */     // MIs[0] policy
     /* 1495465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495475 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1495478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495499 */     // GIR_Coverage, 17652,
     /* 1495499 */     GIR_EraseRootFromParent_Done,
     /* 1495500 */   // Label 20825: @1495500
     /* 1495500 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1495582), // Rule ID 17655 //
     /* 1495505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495544 */     // MIs[0] round
     /* 1495544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495547 */     // MIs[0] policy
     /* 1495547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495557 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495581 */     // GIR_Coverage, 17655,
     /* 1495581 */     GIR_EraseRootFromParent_Done,
     /* 1495582 */   // Label 20826: @1495582
     /* 1495582 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1495664), // Rule ID 17656 //
     /* 1495587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1495598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1495601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1495604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1495607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495626 */     // MIs[0] round
     /* 1495626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495629 */     // MIs[0] policy
     /* 1495629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495639 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1495642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495663 */     // GIR_Coverage, 17656,
     /* 1495663 */     GIR_EraseRootFromParent_Done,
     /* 1495664 */   // Label 20827: @1495664
     /* 1495664 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1495746), // Rule ID 17659 //
     /* 1495669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1495686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1495689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495708 */     // MIs[0] round
     /* 1495708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495711 */     // MIs[0] policy
     /* 1495711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495721 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1495724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495745 */     // GIR_Coverage, 17659,
     /* 1495745 */     GIR_EraseRootFromParent_Done,
     /* 1495746 */   // Label 20828: @1495746
     /* 1495746 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1495828), // Rule ID 17660 //
     /* 1495751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1495768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1495771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495790 */     // MIs[0] round
     /* 1495790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495793 */     // MIs[0] policy
     /* 1495793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1495806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495827 */     // GIR_Coverage, 17660,
     /* 1495827 */     GIR_EraseRootFromParent_Done,
     /* 1495828 */   // Label 20829: @1495828
     /* 1495828 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1495910), // Rule ID 17663 //
     /* 1495833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1495853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495872 */     // MIs[0] round
     /* 1495872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495875 */     // MIs[0] policy
     /* 1495875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495885 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1495888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495909 */     // GIR_Coverage, 17663,
     /* 1495909 */     GIR_EraseRootFromParent_Done,
     /* 1495910 */   // Label 20830: @1495910
     /* 1495910 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1495992), // Rule ID 17664 //
     /* 1495915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1495935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495954 */     // MIs[0] round
     /* 1495954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495957 */     // MIs[0] policy
     /* 1495957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1495970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495991 */     // GIR_Coverage, 17664,
     /* 1495991 */     GIR_EraseRootFromParent_Done,
     /* 1495992 */   // Label 20831: @1495992
     /* 1495992 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496074), // Rule ID 17667 //
     /* 1495997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496036 */     // MIs[0] round
     /* 1496036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496039 */     // MIs[0] policy
     /* 1496039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496049 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496073 */     // GIR_Coverage, 17667,
     /* 1496073 */     GIR_EraseRootFromParent_Done,
     /* 1496074 */   // Label 20832: @1496074
     /* 1496074 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496156), // Rule ID 17668 //
     /* 1496079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1496090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1496093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1496096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1496099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496118 */     // MIs[0] round
     /* 1496118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496121 */     // MIs[0] policy
     /* 1496121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496131 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1496134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496155 */     // GIR_Coverage, 17668,
     /* 1496155 */     GIR_EraseRootFromParent_Done,
     /* 1496156 */   // Label 20833: @1496156
     /* 1496156 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1496238), // Rule ID 17671 //
     /* 1496161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496200 */     // MIs[0] round
     /* 1496200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496203 */     // MIs[0] policy
     /* 1496203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496213 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496237 */     // GIR_Coverage, 17671,
     /* 1496237 */     GIR_EraseRootFromParent_Done,
     /* 1496238 */   // Label 20834: @1496238
     /* 1496238 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1496320), // Rule ID 17672 //
     /* 1496243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1496254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1496257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1496260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1496263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496282 */     // MIs[0] round
     /* 1496282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496285 */     // MIs[0] policy
     /* 1496285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496295 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1496298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496319 */     // GIR_Coverage, 17672,
     /* 1496319 */     GIR_EraseRootFromParent_Done,
     /* 1496320 */   // Label 20835: @1496320
     /* 1496320 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1496402), // Rule ID 17675 //
     /* 1496325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496364 */     // MIs[0] round
     /* 1496364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496367 */     // MIs[0] policy
     /* 1496367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496401 */     // GIR_Coverage, 17675,
     /* 1496401 */     GIR_EraseRootFromParent_Done,
     /* 1496402 */   // Label 20836: @1496402
     /* 1496402 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1496484), // Rule ID 17676 //
     /* 1496407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1496418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1496421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1496424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1496427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496446 */     // MIs[0] round
     /* 1496446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496449 */     // MIs[0] policy
     /* 1496449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496459 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1496462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496483 */     // GIR_Coverage, 17676,
     /* 1496483 */     GIR_EraseRootFromParent_Done,
     /* 1496484 */   // Label 20837: @1496484
     /* 1496484 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1496566), // Rule ID 17679 //
     /* 1496489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496528 */     // MIs[0] round
     /* 1496528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496531 */     // MIs[0] policy
     /* 1496531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496541 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496565 */     // GIR_Coverage, 17679,
     /* 1496565 */     GIR_EraseRootFromParent_Done,
     /* 1496566 */   // Label 20838: @1496566
     /* 1496566 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1496648), // Rule ID 17680 //
     /* 1496571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1496582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1496585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1496588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1496591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496610 */     // MIs[0] round
     /* 1496610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496613 */     // MIs[0] policy
     /* 1496613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496623 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1496626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496647 */     // GIR_Coverage, 17680,
     /* 1496647 */     GIR_EraseRootFromParent_Done,
     /* 1496648 */   // Label 20839: @1496648
     /* 1496648 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1496730), // Rule ID 17683 //
     /* 1496653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1496670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1496673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496692 */     // MIs[0] round
     /* 1496692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496695 */     // MIs[0] policy
     /* 1496695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496705 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1496708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496729 */     // GIR_Coverage, 17683,
     /* 1496729 */     GIR_EraseRootFromParent_Done,
     /* 1496730 */   // Label 20840: @1496730
     /* 1496730 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1496812), // Rule ID 17684 //
     /* 1496735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1496752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1496755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496774 */     // MIs[0] round
     /* 1496774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496777 */     // MIs[0] policy
     /* 1496777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1496790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496811 */     // GIR_Coverage, 17684,
     /* 1496811 */     GIR_EraseRootFromParent_Done,
     /* 1496812 */   // Label 20841: @1496812
     /* 1496812 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1496894), // Rule ID 17687 //
     /* 1496817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496856 */     // MIs[0] round
     /* 1496856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496859 */     // MIs[0] policy
     /* 1496859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496869 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1496872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496893 */     // GIR_Coverage, 17687,
     /* 1496893 */     GIR_EraseRootFromParent_Done,
     /* 1496894 */   // Label 20842: @1496894
     /* 1496894 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1496976), // Rule ID 17688 //
     /* 1496899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496938 */     // MIs[0] round
     /* 1496938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496941 */     // MIs[0] policy
     /* 1496941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1496954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496975 */     // GIR_Coverage, 17688,
     /* 1496975 */     GIR_EraseRootFromParent_Done,
     /* 1496976 */   // Label 20843: @1496976
     /* 1496976 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497058), // Rule ID 17691 //
     /* 1496981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497020 */     // MIs[0] round
     /* 1497020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497023 */     // MIs[0] policy
     /* 1497023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497033 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497057 */     // GIR_Coverage, 17691,
     /* 1497057 */     GIR_EraseRootFromParent_Done,
     /* 1497058 */   // Label 20844: @1497058
     /* 1497058 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497140), // Rule ID 17692 //
     /* 1497063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1497074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1497077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1497083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497102 */     // MIs[0] round
     /* 1497102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497105 */     // MIs[0] policy
     /* 1497105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497115 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1497118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497139 */     // GIR_Coverage, 17692,
     /* 1497139 */     GIR_EraseRootFromParent_Done,
     /* 1497140 */   // Label 20845: @1497140
     /* 1497140 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1497222), // Rule ID 17695 //
     /* 1497145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497184 */     // MIs[0] round
     /* 1497184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497187 */     // MIs[0] policy
     /* 1497187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497197 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497221 */     // GIR_Coverage, 17695,
     /* 1497221 */     GIR_EraseRootFromParent_Done,
     /* 1497222 */   // Label 20846: @1497222
     /* 1497222 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1497304), // Rule ID 17696 //
     /* 1497227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497266 */     // MIs[0] round
     /* 1497266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497269 */     // MIs[0] policy
     /* 1497269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497279 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1497282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497303 */     // GIR_Coverage, 17696,
     /* 1497303 */     GIR_EraseRootFromParent_Done,
     /* 1497304 */   // Label 20847: @1497304
     /* 1497304 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1497386), // Rule ID 17699 //
     /* 1497309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497348 */     // MIs[0] round
     /* 1497348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497351 */     // MIs[0] policy
     /* 1497351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497361 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497385 */     // GIR_Coverage, 17699,
     /* 1497385 */     GIR_EraseRootFromParent_Done,
     /* 1497386 */   // Label 20848: @1497386
     /* 1497386 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1497468), // Rule ID 17700 //
     /* 1497391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497430 */     // MIs[0] round
     /* 1497430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497433 */     // MIs[0] policy
     /* 1497433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497443 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1497446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497467 */     // GIR_Coverage, 17700,
     /* 1497467 */     GIR_EraseRootFromParent_Done,
     /* 1497468 */   // Label 20849: @1497468
     /* 1497468 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1497550), // Rule ID 17703 //
     /* 1497473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497512 */     // MIs[0] round
     /* 1497512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497515 */     // MIs[0] policy
     /* 1497515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497525 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497549 */     // GIR_Coverage, 17703,
     /* 1497549 */     GIR_EraseRootFromParent_Done,
     /* 1497550 */   // Label 20850: @1497550
     /* 1497550 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1497632), // Rule ID 17704 //
     /* 1497555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497594 */     // MIs[0] round
     /* 1497594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497597 */     // MIs[0] policy
     /* 1497597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497607 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1497610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497631 */     // GIR_Coverage, 17704,
     /* 1497631 */     GIR_EraseRootFromParent_Done,
     /* 1497632 */   // Label 20851: @1497632
     /* 1497632 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1497714), // Rule ID 17707 //
     /* 1497637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497676 */     // MIs[0] round
     /* 1497676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497679 */     // MIs[0] policy
     /* 1497679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497689 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1497692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497713 */     // GIR_Coverage, 17707,
     /* 1497713 */     GIR_EraseRootFromParent_Done,
     /* 1497714 */   // Label 20852: @1497714
     /* 1497714 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1497796), // Rule ID 17708 //
     /* 1497719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497758 */     // MIs[0] round
     /* 1497758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497761 */     // MIs[0] policy
     /* 1497761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497771 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1497774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497795 */     // GIR_Coverage, 17708,
     /* 1497795 */     GIR_EraseRootFromParent_Done,
     /* 1497796 */   // Label 20853: @1497796
     /* 1497796 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497878), // Rule ID 17711 //
     /* 1497801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1497812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1497815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1497821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497840 */     // MIs[0] round
     /* 1497840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497843 */     // MIs[0] policy
     /* 1497843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1497856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497877 */     // GIR_Coverage, 17711,
     /* 1497877 */     GIR_EraseRootFromParent_Done,
     /* 1497878 */   // Label 20854: @1497878
     /* 1497878 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1497960), // Rule ID 17712 //
     /* 1497883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1497894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1497897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1497903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497922 */     // MIs[0] round
     /* 1497922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497925 */     // MIs[0] policy
     /* 1497925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497935 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1497938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497959 */     // GIR_Coverage, 17712,
     /* 1497959 */     GIR_EraseRootFromParent_Done,
     /* 1497960 */   // Label 20855: @1497960
     /* 1497960 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498042), // Rule ID 17715 //
     /* 1497965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1497985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498004 */     // MIs[0] round
     /* 1498004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498007 */     // MIs[0] policy
     /* 1498007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498017 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498041 */     // GIR_Coverage, 17715,
     /* 1498041 */     GIR_EraseRootFromParent_Done,
     /* 1498042 */   // Label 20856: @1498042
     /* 1498042 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498124), // Rule ID 17716 //
     /* 1498047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498086 */     // MIs[0] round
     /* 1498086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498089 */     // MIs[0] policy
     /* 1498089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498099 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1498102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498123 */     // GIR_Coverage, 17716,
     /* 1498123 */     GIR_EraseRootFromParent_Done,
     /* 1498124 */   // Label 20857: @1498124
     /* 1498124 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498206), // Rule ID 17719 //
     /* 1498129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498168 */     // MIs[0] round
     /* 1498168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498171 */     // MIs[0] policy
     /* 1498171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498181 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498205 */     // GIR_Coverage, 17719,
     /* 1498205 */     GIR_EraseRootFromParent_Done,
     /* 1498206 */   // Label 20858: @1498206
     /* 1498206 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1498288), // Rule ID 17720 //
     /* 1498211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498250 */     // MIs[0] round
     /* 1498250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498253 */     // MIs[0] policy
     /* 1498253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498263 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1498266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498287 */     // GIR_Coverage, 17720,
     /* 1498287 */     GIR_EraseRootFromParent_Done,
     /* 1498288 */   // Label 20859: @1498288
     /* 1498288 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1498370), // Rule ID 17723 //
     /* 1498293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498332 */     // MIs[0] round
     /* 1498332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498335 */     // MIs[0] policy
     /* 1498335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498345 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498369 */     // GIR_Coverage, 17723,
     /* 1498369 */     GIR_EraseRootFromParent_Done,
     /* 1498370 */   // Label 20860: @1498370
     /* 1498370 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1498452), // Rule ID 17724 //
     /* 1498375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498414 */     // MIs[0] round
     /* 1498414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498417 */     // MIs[0] policy
     /* 1498417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498427 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1498430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498451 */     // GIR_Coverage, 17724,
     /* 1498451 */     GIR_EraseRootFromParent_Done,
     /* 1498452 */   // Label 20861: @1498452
     /* 1498452 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1498534), // Rule ID 17727 //
     /* 1498457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498496 */     // MIs[0] round
     /* 1498496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498499 */     // MIs[0] policy
     /* 1498499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498509 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498533 */     // GIR_Coverage, 17727,
     /* 1498533 */     GIR_EraseRootFromParent_Done,
     /* 1498534 */   // Label 20862: @1498534
     /* 1498534 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1498616), // Rule ID 17728 //
     /* 1498539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1498550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1498553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1498559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498578 */     // MIs[0] round
     /* 1498578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498581 */     // MIs[0] policy
     /* 1498581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498591 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1498594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498615 */     // GIR_Coverage, 17728,
     /* 1498615 */     GIR_EraseRootFromParent_Done,
     /* 1498616 */   // Label 20863: @1498616
     /* 1498616 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498698), // Rule ID 17731 //
     /* 1498621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1498632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1498635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1498641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498660 */     // MIs[0] round
     /* 1498660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498663 */     // MIs[0] policy
     /* 1498663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498673 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1498676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498697 */     // GIR_Coverage, 17731,
     /* 1498697 */     GIR_EraseRootFromParent_Done,
     /* 1498698 */   // Label 20864: @1498698
     /* 1498698 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498780), // Rule ID 17732 //
     /* 1498703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1498714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1498717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1498723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498742 */     // MIs[0] round
     /* 1498742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498745 */     // MIs[0] policy
     /* 1498745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498755 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1498758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498779 */     // GIR_Coverage, 17732,
     /* 1498779 */     GIR_EraseRootFromParent_Done,
     /* 1498780 */   // Label 20865: @1498780
     /* 1498780 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498862), // Rule ID 17735 //
     /* 1498785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1498805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498824 */     // MIs[0] round
     /* 1498824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498827 */     // MIs[0] policy
     /* 1498827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1498840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498861 */     // GIR_Coverage, 17735,
     /* 1498861 */     GIR_EraseRootFromParent_Done,
     /* 1498862 */   // Label 20866: @1498862
     /* 1498862 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1498944), // Rule ID 17736 //
     /* 1498867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1498887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498906 */     // MIs[0] round
     /* 1498906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498909 */     // MIs[0] policy
     /* 1498909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498919 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1498922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498943 */     // GIR_Coverage, 17736,
     /* 1498943 */     GIR_EraseRootFromParent_Done,
     /* 1498944 */   // Label 20867: @1498944
     /* 1498944 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499026), // Rule ID 17739 //
     /* 1498949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1498969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498988 */     // MIs[0] round
     /* 1498988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498991 */     // MIs[0] policy
     /* 1498991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499001 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499025 */     // GIR_Coverage, 17739,
     /* 1499025 */     GIR_EraseRootFromParent_Done,
     /* 1499026 */   // Label 20868: @1499026
     /* 1499026 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499108), // Rule ID 17740 //
     /* 1499031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499070 */     // MIs[0] round
     /* 1499070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499073 */     // MIs[0] policy
     /* 1499073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499083 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1499086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499107 */     // GIR_Coverage, 17740,
     /* 1499107 */     GIR_EraseRootFromParent_Done,
     /* 1499108 */   // Label 20869: @1499108
     /* 1499108 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499190), // Rule ID 17743 //
     /* 1499113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499152 */     // MIs[0] round
     /* 1499152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499155 */     // MIs[0] policy
     /* 1499155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499165 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499189 */     // GIR_Coverage, 17743,
     /* 1499189 */     GIR_EraseRootFromParent_Done,
     /* 1499190 */   // Label 20870: @1499190
     /* 1499190 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1499272), // Rule ID 17744 //
     /* 1499195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499234 */     // MIs[0] round
     /* 1499234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499237 */     // MIs[0] policy
     /* 1499237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1499250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499271 */     // GIR_Coverage, 17744,
     /* 1499271 */     GIR_EraseRootFromParent_Done,
     /* 1499272 */   // Label 20871: @1499272
     /* 1499272 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1499354), // Rule ID 17747 //
     /* 1499277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499316 */     // MIs[0] round
     /* 1499316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499319 */     // MIs[0] policy
     /* 1499319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499329 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499353 */     // GIR_Coverage, 17747,
     /* 1499353 */     GIR_EraseRootFromParent_Done,
     /* 1499354 */   // Label 20872: @1499354
     /* 1499354 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1499436), // Rule ID 17748 //
     /* 1499359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499398 */     // MIs[0] round
     /* 1499398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499401 */     // MIs[0] policy
     /* 1499401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499411 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1499414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499435 */     // GIR_Coverage, 17748,
     /* 1499435 */     GIR_EraseRootFromParent_Done,
     /* 1499436 */   // Label 20873: @1499436
     /* 1499436 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1499518), // Rule ID 17751 //
     /* 1499441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499480 */     // MIs[0] round
     /* 1499480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499483 */     // MIs[0] policy
     /* 1499483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499493 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499517 */     // GIR_Coverage, 17751,
     /* 1499517 */     GIR_EraseRootFromParent_Done,
     /* 1499518 */   // Label 20874: @1499518
     /* 1499518 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499600), // Rule ID 17752 //
     /* 1499523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499562 */     // MIs[0] round
     /* 1499562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499565 */     // MIs[0] policy
     /* 1499565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499575 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1499578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499599 */     // GIR_Coverage, 17752,
     /* 1499599 */     GIR_EraseRootFromParent_Done,
     /* 1499600 */   // Label 20875: @1499600
     /* 1499600 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499682), // Rule ID 17755 //
     /* 1499605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499644 */     // MIs[0] round
     /* 1499644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499647 */     // MIs[0] policy
     /* 1499647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499657 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1499660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499681 */     // GIR_Coverage, 17755,
     /* 1499681 */     GIR_EraseRootFromParent_Done,
     /* 1499682 */   // Label 20876: @1499682
     /* 1499682 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499764), // Rule ID 17756 //
     /* 1499687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499726 */     // MIs[0] round
     /* 1499726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499729 */     // MIs[0] policy
     /* 1499729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499739 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1499742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499763 */     // GIR_Coverage, 17756,
     /* 1499763 */     GIR_EraseRootFromParent_Done,
     /* 1499764 */   // Label 20877: @1499764
     /* 1499764 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499846), // Rule ID 17759 //
     /* 1499769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499808 */     // MIs[0] round
     /* 1499808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499811 */     // MIs[0] policy
     /* 1499811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499821 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1499824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499845 */     // GIR_Coverage, 17759,
     /* 1499845 */     GIR_EraseRootFromParent_Done,
     /* 1499846 */   // Label 20878: @1499846
     /* 1499846 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1499928), // Rule ID 17760 //
     /* 1499851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499890 */     // MIs[0] round
     /* 1499890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499893 */     // MIs[0] policy
     /* 1499893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1499906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499927 */     // GIR_Coverage, 17760,
     /* 1499927 */     GIR_EraseRootFromParent_Done,
     /* 1499928 */   // Label 20879: @1499928
     /* 1499928 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500010), // Rule ID 17763 //
     /* 1499933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1499950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499972 */     // MIs[0] round
     /* 1499972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499975 */     // MIs[0] policy
     /* 1499975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499985 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1499988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500009 */     // GIR_Coverage, 17763,
     /* 1500009 */     GIR_EraseRootFromParent_Done,
     /* 1500010 */   // Label 20880: @1500010
     /* 1500010 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500092), // Rule ID 17764 //
     /* 1500015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1500026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1500029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1500035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500054 */     // MIs[0] round
     /* 1500054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500057 */     // MIs[0] policy
     /* 1500057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1500070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500091 */     // GIR_Coverage, 17764,
     /* 1500091 */     GIR_EraseRootFromParent_Done,
     /* 1500092 */   // Label 20881: @1500092
     /* 1500092 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500174), // Rule ID 17767 //
     /* 1500097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500136 */     // MIs[0] round
     /* 1500136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500139 */     // MIs[0] policy
     /* 1500139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500173 */     // GIR_Coverage, 17767,
     /* 1500173 */     GIR_EraseRootFromParent_Done,
     /* 1500174 */   // Label 20882: @1500174
     /* 1500174 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1500256), // Rule ID 17768 //
     /* 1500179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1500196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1500199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500218 */     // MIs[0] round
     /* 1500218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500221 */     // MIs[0] policy
     /* 1500221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1500234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500255 */     // GIR_Coverage, 17768,
     /* 1500255 */     GIR_EraseRootFromParent_Done,
     /* 1500256 */   // Label 20883: @1500256
     /* 1500256 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1500338), // Rule ID 17771 //
     /* 1500261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500300 */     // MIs[0] round
     /* 1500300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500303 */     // MIs[0] policy
     /* 1500303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500313 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500337 */     // GIR_Coverage, 17771,
     /* 1500337 */     GIR_EraseRootFromParent_Done,
     /* 1500338 */   // Label 20884: @1500338
     /* 1500338 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1500420), // Rule ID 17772 //
     /* 1500343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500382 */     // MIs[0] round
     /* 1500382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500385 */     // MIs[0] policy
     /* 1500385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500395 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1500398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500419 */     // GIR_Coverage, 17772,
     /* 1500419 */     GIR_EraseRootFromParent_Done,
     /* 1500420 */   // Label 20885: @1500420
     /* 1500420 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1500502), // Rule ID 17775 //
     /* 1500425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500464 */     // MIs[0] round
     /* 1500464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500467 */     // MIs[0] policy
     /* 1500467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500477 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500501 */     // GIR_Coverage, 17775,
     /* 1500501 */     GIR_EraseRootFromParent_Done,
     /* 1500502 */   // Label 20886: @1500502
     /* 1500502 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500584), // Rule ID 17776 //
     /* 1500507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500546 */     // MIs[0] round
     /* 1500546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500549 */     // MIs[0] policy
     /* 1500549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500559 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1500562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500583 */     // GIR_Coverage, 17776,
     /* 1500583 */     GIR_EraseRootFromParent_Done,
     /* 1500584 */   // Label 20887: @1500584
     /* 1500584 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500666), // Rule ID 17779 //
     /* 1500589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500628 */     // MIs[0] round
     /* 1500628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500631 */     // MIs[0] policy
     /* 1500631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500641 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1500644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500665 */     // GIR_Coverage, 17779,
     /* 1500665 */     GIR_EraseRootFromParent_Done,
     /* 1500666 */   // Label 20888: @1500666
     /* 1500666 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500748), // Rule ID 17780 //
     /* 1500671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500710 */     // MIs[0] round
     /* 1500710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500713 */     // MIs[0] policy
     /* 1500713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1500726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500747 */     // GIR_Coverage, 17780,
     /* 1500747 */     GIR_EraseRootFromParent_Done,
     /* 1500748 */   // Label 20889: @1500748
     /* 1500748 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500830), // Rule ID 17783 //
     /* 1500753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500792 */     // MIs[0] round
     /* 1500792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500795 */     // MIs[0] policy
     /* 1500795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500805 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1500808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500829 */     // GIR_Coverage, 17783,
     /* 1500829 */     GIR_EraseRootFromParent_Done,
     /* 1500830 */   // Label 20890: @1500830
     /* 1500830 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1500912), // Rule ID 17784 //
     /* 1500835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500874 */     // MIs[0] round
     /* 1500874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500877 */     // MIs[0] policy
     /* 1500877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1500890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500911 */     // GIR_Coverage, 17784,
     /* 1500911 */     GIR_EraseRootFromParent_Done,
     /* 1500912 */   // Label 20891: @1500912
     /* 1500912 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1500994), // Rule ID 17787 //
     /* 1500917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500956 */     // MIs[0] round
     /* 1500956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500959 */     // MIs[0] policy
     /* 1500959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500969 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1500972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500993 */     // GIR_Coverage, 17787,
     /* 1500993 */     GIR_EraseRootFromParent_Done,
     /* 1500994 */   // Label 20892: @1500994
     /* 1500994 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501076), // Rule ID 17788 //
     /* 1500999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1501010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1501013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1501019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501038 */     // MIs[0] round
     /* 1501038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501041 */     // MIs[0] policy
     /* 1501041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501051 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1501054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501075 */     // GIR_Coverage, 17788,
     /* 1501075 */     GIR_EraseRootFromParent_Done,
     /* 1501076 */   // Label 20893: @1501076
     /* 1501076 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501158), // Rule ID 17791 //
     /* 1501081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501120 */     // MIs[0] round
     /* 1501120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501123 */     // MIs[0] policy
     /* 1501123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501133 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501157 */     // GIR_Coverage, 17791,
     /* 1501157 */     GIR_EraseRootFromParent_Done,
     /* 1501158 */   // Label 20894: @1501158
     /* 1501158 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1501240), // Rule ID 17792 //
     /* 1501163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1501174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1501177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1501180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1501183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501202 */     // MIs[0] round
     /* 1501202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501205 */     // MIs[0] policy
     /* 1501205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501215 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1501218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501239 */     // GIR_Coverage, 17792,
     /* 1501239 */     GIR_EraseRootFromParent_Done,
     /* 1501240 */   // Label 20895: @1501240
     /* 1501240 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1501322), // Rule ID 17795 //
     /* 1501245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501284 */     // MIs[0] round
     /* 1501284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501287 */     // MIs[0] policy
     /* 1501287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501297 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501321 */     // GIR_Coverage, 17795,
     /* 1501321 */     GIR_EraseRootFromParent_Done,
     /* 1501322 */   // Label 20896: @1501322
     /* 1501322 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1501404), // Rule ID 17796 //
     /* 1501327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501366 */     // MIs[0] round
     /* 1501366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501369 */     // MIs[0] policy
     /* 1501369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1501382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501403 */     // GIR_Coverage, 17796,
     /* 1501403 */     GIR_EraseRootFromParent_Done,
     /* 1501404 */   // Label 20897: @1501404
     /* 1501404 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1501486), // Rule ID 17799 //
     /* 1501409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501448 */     // MIs[0] round
     /* 1501448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501451 */     // MIs[0] policy
     /* 1501451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501461 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501485 */     // GIR_Coverage, 17799,
     /* 1501485 */     GIR_EraseRootFromParent_Done,
     /* 1501486 */   // Label 20898: @1501486
     /* 1501486 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1501568), // Rule ID 17800 //
     /* 1501491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501530 */     // MIs[0] round
     /* 1501530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501533 */     // MIs[0] policy
     /* 1501533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501543 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1501546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501567 */     // GIR_Coverage, 17800,
     /* 1501567 */     GIR_EraseRootFromParent_Done,
     /* 1501568 */   // Label 20899: @1501568
     /* 1501568 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501650), // Rule ID 17803 //
     /* 1501573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501612 */     // MIs[0] round
     /* 1501612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501615 */     // MIs[0] policy
     /* 1501615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501625 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1501628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501649 */     // GIR_Coverage, 17803,
     /* 1501649 */     GIR_EraseRootFromParent_Done,
     /* 1501650 */   // Label 20900: @1501650
     /* 1501650 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501732), // Rule ID 17804 //
     /* 1501655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501694 */     // MIs[0] round
     /* 1501694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501697 */     // MIs[0] policy
     /* 1501697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1501710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501731 */     // GIR_Coverage, 17804,
     /* 1501731 */     GIR_EraseRootFromParent_Done,
     /* 1501732 */   // Label 20901: @1501732
     /* 1501732 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501814), // Rule ID 17807 //
     /* 1501737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501776 */     // MIs[0] round
     /* 1501776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501779 */     // MIs[0] policy
     /* 1501779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501789 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1501792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501813 */     // GIR_Coverage, 17807,
     /* 1501813 */     GIR_EraseRootFromParent_Done,
     /* 1501814 */   // Label 20902: @1501814
     /* 1501814 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501896), // Rule ID 17808 //
     /* 1501819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501858 */     // MIs[0] round
     /* 1501858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501861 */     // MIs[0] policy
     /* 1501861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501871 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1501874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501895 */     // GIR_Coverage, 17808,
     /* 1501895 */     GIR_EraseRootFromParent_Done,
     /* 1501896 */   // Label 20903: @1501896
     /* 1501896 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1501978), // Rule ID 17811 //
     /* 1501901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501940 */     // MIs[0] round
     /* 1501940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501943 */     // MIs[0] policy
     /* 1501943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501953 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1501956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501977 */     // GIR_Coverage, 17811,
     /* 1501977 */     GIR_EraseRootFromParent_Done,
     /* 1501978 */   // Label 20904: @1501978
     /* 1501978 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502060), // Rule ID 17812 //
     /* 1501983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1502003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502022 */     // MIs[0] round
     /* 1502022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502025 */     // MIs[0] policy
     /* 1502025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502035 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1502038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502059 */     // GIR_Coverage, 17812,
     /* 1502059 */     GIR_EraseRootFromParent_Done,
     /* 1502060 */   // Label 20905: @1502060
     /* 1502060 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502142), // Rule ID 17815 //
     /* 1502065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502104 */     // MIs[0] round
     /* 1502104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502107 */     // MIs[0] policy
     /* 1502107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502141 */     // GIR_Coverage, 17815,
     /* 1502141 */     GIR_EraseRootFromParent_Done,
     /* 1502142 */   // Label 20906: @1502142
     /* 1502142 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1502224), // Rule ID 17816 //
     /* 1502147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1502167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502186 */     // MIs[0] round
     /* 1502186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502189 */     // MIs[0] policy
     /* 1502189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502199 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1502202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502223 */     // GIR_Coverage, 17816,
     /* 1502223 */     GIR_EraseRootFromParent_Done,
     /* 1502224 */   // Label 20907: @1502224
     /* 1502224 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1502306), // Rule ID 17819 //
     /* 1502229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502268 */     // MIs[0] round
     /* 1502268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502271 */     // MIs[0] policy
     /* 1502271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502281 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502305 */     // GIR_Coverage, 17819,
     /* 1502305 */     GIR_EraseRootFromParent_Done,
     /* 1502306 */   // Label 20908: @1502306
     /* 1502306 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1502388), // Rule ID 17820 //
     /* 1502311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502350 */     // MIs[0] round
     /* 1502350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502353 */     // MIs[0] policy
     /* 1502353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502363 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1502366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502387 */     // GIR_Coverage, 17820,
     /* 1502387 */     GIR_EraseRootFromParent_Done,
     /* 1502388 */   // Label 20909: @1502388
     /* 1502388 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1502470), // Rule ID 17823 //
     /* 1502393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502432 */     // MIs[0] round
     /* 1502432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502435 */     // MIs[0] policy
     /* 1502435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502445 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502469 */     // GIR_Coverage, 17823,
     /* 1502469 */     GIR_EraseRootFromParent_Done,
     /* 1502470 */   // Label 20910: @1502470
     /* 1502470 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1502552), // Rule ID 17824 //
     /* 1502475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502514 */     // MIs[0] round
     /* 1502514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502517 */     // MIs[0] policy
     /* 1502517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1502530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502551 */     // GIR_Coverage, 17824,
     /* 1502551 */     GIR_EraseRootFromParent_Done,
     /* 1502552 */   // Label 20911: @1502552
     /* 1502552 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502634), // Rule ID 17827 //
     /* 1502557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502596 */     // MIs[0] round
     /* 1502596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502599 */     // MIs[0] policy
     /* 1502599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1502612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502633 */     // GIR_Coverage, 17827,
     /* 1502633 */     GIR_EraseRootFromParent_Done,
     /* 1502634 */   // Label 20912: @1502634
     /* 1502634 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502716), // Rule ID 17828 //
     /* 1502639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502678 */     // MIs[0] round
     /* 1502678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502681 */     // MIs[0] policy
     /* 1502681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502691 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1502694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502715 */     // GIR_Coverage, 17828,
     /* 1502715 */     GIR_EraseRootFromParent_Done,
     /* 1502716 */   // Label 20913: @1502716
     /* 1502716 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502798), // Rule ID 17831 //
     /* 1502721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502760 */     // MIs[0] round
     /* 1502760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502763 */     // MIs[0] policy
     /* 1502763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1502776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502797 */     // GIR_Coverage, 17831,
     /* 1502797 */     GIR_EraseRootFromParent_Done,
     /* 1502798 */   // Label 20914: @1502798
     /* 1502798 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502880), // Rule ID 17832 //
     /* 1502803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502842 */     // MIs[0] round
     /* 1502842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502845 */     // MIs[0] policy
     /* 1502845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502855 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1502858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502879 */     // GIR_Coverage, 17832,
     /* 1502879 */     GIR_EraseRootFromParent_Done,
     /* 1502880 */   // Label 20915: @1502880
     /* 1502880 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1502962), // Rule ID 17835 //
     /* 1502885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502924 */     // MIs[0] round
     /* 1502924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502927 */     // MIs[0] policy
     /* 1502927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502937 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1502940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502961 */     // GIR_Coverage, 17835,
     /* 1502961 */     GIR_EraseRootFromParent_Done,
     /* 1502962 */   // Label 20916: @1502962
     /* 1502962 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503044), // Rule ID 17836 //
     /* 1502967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503006 */     // MIs[0] round
     /* 1503006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503009 */     // MIs[0] policy
     /* 1503009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503019 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1503022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503043 */     // GIR_Coverage, 17836,
     /* 1503043 */     GIR_EraseRootFromParent_Done,
     /* 1503044 */   // Label 20917: @1503044
     /* 1503044 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503126), // Rule ID 17839 //
     /* 1503049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503088 */     // MIs[0] round
     /* 1503088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503091 */     // MIs[0] policy
     /* 1503091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503101 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503125 */     // GIR_Coverage, 17839,
     /* 1503125 */     GIR_EraseRootFromParent_Done,
     /* 1503126 */   // Label 20918: @1503126
     /* 1503126 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503208), // Rule ID 17840 //
     /* 1503131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1503142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1503145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1503151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503170 */     // MIs[0] round
     /* 1503170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503173 */     // MIs[0] policy
     /* 1503173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503183 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1503186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503207 */     // GIR_Coverage, 17840,
     /* 1503207 */     GIR_EraseRootFromParent_Done,
     /* 1503208 */   // Label 20919: @1503208
     /* 1503208 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1503290), // Rule ID 17843 //
     /* 1503213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503252 */     // MIs[0] round
     /* 1503252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503255 */     // MIs[0] policy
     /* 1503255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503289 */     // GIR_Coverage, 17843,
     /* 1503289 */     GIR_EraseRootFromParent_Done,
     /* 1503290 */   // Label 20920: @1503290
     /* 1503290 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1503372), // Rule ID 17844 //
     /* 1503295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1503306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1503309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1503315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503334 */     // MIs[0] round
     /* 1503334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503337 */     // MIs[0] policy
     /* 1503337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503347 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1503350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503371 */     // GIR_Coverage, 17844,
     /* 1503371 */     GIR_EraseRootFromParent_Done,
     /* 1503372 */   // Label 20921: @1503372
     /* 1503372 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1503454), // Rule ID 17847 //
     /* 1503377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503416 */     // MIs[0] round
     /* 1503416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503419 */     // MIs[0] policy
     /* 1503419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503429 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503453 */     // GIR_Coverage, 17847,
     /* 1503453 */     GIR_EraseRootFromParent_Done,
     /* 1503454 */   // Label 20922: @1503454
     /* 1503454 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1503536), // Rule ID 17848 //
     /* 1503459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503498 */     // MIs[0] round
     /* 1503498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503501 */     // MIs[0] policy
     /* 1503501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503511 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1503514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503535 */     // GIR_Coverage, 17848,
     /* 1503535 */     GIR_EraseRootFromParent_Done,
     /* 1503536 */   // Label 20923: @1503536
     /* 1503536 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503618), // Rule ID 17851 //
     /* 1503541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503580 */     // MIs[0] round
     /* 1503580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503583 */     // MIs[0] policy
     /* 1503583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503593 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1503596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503617 */     // GIR_Coverage, 17851,
     /* 1503617 */     GIR_EraseRootFromParent_Done,
     /* 1503618 */   // Label 20924: @1503618
     /* 1503618 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503700), // Rule ID 17852 //
     /* 1503623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503662 */     // MIs[0] round
     /* 1503662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503665 */     // MIs[0] policy
     /* 1503665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503675 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1503678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503699 */     // GIR_Coverage, 17852,
     /* 1503699 */     GIR_EraseRootFromParent_Done,
     /* 1503700 */   // Label 20925: @1503700
     /* 1503700 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503782), // Rule ID 17855 //
     /* 1503705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503744 */     // MIs[0] round
     /* 1503744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503747 */     // MIs[0] policy
     /* 1503747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1503760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503781 */     // GIR_Coverage, 17855,
     /* 1503781 */     GIR_EraseRootFromParent_Done,
     /* 1503782 */   // Label 20926: @1503782
     /* 1503782 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503864), // Rule ID 17856 //
     /* 1503787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503826 */     // MIs[0] round
     /* 1503826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503829 */     // MIs[0] policy
     /* 1503829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503839 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1503842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503863 */     // GIR_Coverage, 17856,
     /* 1503863 */     GIR_EraseRootFromParent_Done,
     /* 1503864 */   // Label 20927: @1503864
     /* 1503864 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1503946), // Rule ID 17859 //
     /* 1503869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503908 */     // MIs[0] round
     /* 1503908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503911 */     // MIs[0] policy
     /* 1503911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503921 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1503924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503945 */     // GIR_Coverage, 17859,
     /* 1503945 */     GIR_EraseRootFromParent_Done,
     /* 1503946 */   // Label 20928: @1503946
     /* 1503946 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504028), // Rule ID 17860 //
     /* 1503951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503990 */     // MIs[0] round
     /* 1503990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503993 */     // MIs[0] policy
     /* 1503993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504003 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1504006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504027 */     // GIR_Coverage, 17860,
     /* 1504027 */     GIR_EraseRootFromParent_Done,
     /* 1504028 */   // Label 20929: @1504028
     /* 1504028 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504110), // Rule ID 17863 //
     /* 1504033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504072 */     // MIs[0] round
     /* 1504072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504075 */     // MIs[0] policy
     /* 1504075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504085 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504109 */     // GIR_Coverage, 17863,
     /* 1504109 */     GIR_EraseRootFromParent_Done,
     /* 1504110 */   // Label 20930: @1504110
     /* 1504110 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504192), // Rule ID 17864 //
     /* 1504115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1504126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1504129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1504135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504154 */     // MIs[0] round
     /* 1504154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504157 */     // MIs[0] policy
     /* 1504157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1504170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504191 */     // GIR_Coverage, 17864,
     /* 1504191 */     GIR_EraseRootFromParent_Done,
     /* 1504192 */   // Label 20931: @1504192
     /* 1504192 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1504274), // Rule ID 17867 //
     /* 1504197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504236 */     // MIs[0] round
     /* 1504236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504239 */     // MIs[0] policy
     /* 1504239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504249 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504273 */     // GIR_Coverage, 17867,
     /* 1504273 */     GIR_EraseRootFromParent_Done,
     /* 1504274 */   // Label 20932: @1504274
     /* 1504274 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1504356), // Rule ID 17868 //
     /* 1504279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1504299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504318 */     // MIs[0] round
     /* 1504318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504321 */     // MIs[0] policy
     /* 1504321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504331 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1504334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504355 */     // GIR_Coverage, 17868,
     /* 1504355 */     GIR_EraseRootFromParent_Done,
     /* 1504356 */   // Label 20933: @1504356
     /* 1504356 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1504438), // Rule ID 17871 //
     /* 1504361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504400 */     // MIs[0] round
     /* 1504400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504403 */     // MIs[0] policy
     /* 1504403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504413 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504437 */     // GIR_Coverage, 17871,
     /* 1504437 */     GIR_EraseRootFromParent_Done,
     /* 1504438 */   // Label 20934: @1504438
     /* 1504438 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1504520), // Rule ID 17872 //
     /* 1504443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504482 */     // MIs[0] round
     /* 1504482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504485 */     // MIs[0] policy
     /* 1504485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504495 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1504498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504519 */     // GIR_Coverage, 17872,
     /* 1504519 */     GIR_EraseRootFromParent_Done,
     /* 1504520 */   // Label 20935: @1504520
     /* 1504520 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504602), // Rule ID 17875 //
     /* 1504525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504564 */     // MIs[0] round
     /* 1504564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504567 */     // MIs[0] policy
     /* 1504567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1504580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504601 */     // GIR_Coverage, 17875,
     /* 1504601 */     GIR_EraseRootFromParent_Done,
     /* 1504602 */   // Label 20936: @1504602
     /* 1504602 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504684), // Rule ID 17876 //
     /* 1504607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504646 */     // MIs[0] round
     /* 1504646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504649 */     // MIs[0] policy
     /* 1504649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1504662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504683 */     // GIR_Coverage, 17876,
     /* 1504683 */     GIR_EraseRootFromParent_Done,
     /* 1504684 */   // Label 20937: @1504684
     /* 1504684 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504766), // Rule ID 17879 //
     /* 1504689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504728 */     // MIs[0] round
     /* 1504728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504731 */     // MIs[0] policy
     /* 1504731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1504744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504765 */     // GIR_Coverage, 17879,
     /* 1504765 */     GIR_EraseRootFromParent_Done,
     /* 1504766 */   // Label 20938: @1504766
     /* 1504766 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504848), // Rule ID 17880 //
     /* 1504771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504810 */     // MIs[0] round
     /* 1504810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504813 */     // MIs[0] policy
     /* 1504813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1504826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504847 */     // GIR_Coverage, 17880,
     /* 1504847 */     GIR_EraseRootFromParent_Done,
     /* 1504848 */   // Label 20939: @1504848
     /* 1504848 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1504930), // Rule ID 17883 //
     /* 1504853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1504870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504892 */     // MIs[0] round
     /* 1504892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504895 */     // MIs[0] policy
     /* 1504895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1504908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504929 */     // GIR_Coverage, 17883,
     /* 1504929 */     GIR_EraseRootFromParent_Done,
     /* 1504930 */   // Label 20940: @1504930
     /* 1504930 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505012), // Rule ID 17884 //
     /* 1504935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1504952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504974 */     // MIs[0] round
     /* 1504974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504977 */     // MIs[0] policy
     /* 1504977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1504990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505011 */     // GIR_Coverage, 17884,
     /* 1505011 */     GIR_EraseRootFromParent_Done,
     /* 1505012 */   // Label 20941: @1505012
     /* 1505012 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505094), // Rule ID 17887 //
     /* 1505017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505056 */     // MIs[0] round
     /* 1505056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505059 */     // MIs[0] policy
     /* 1505059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505093 */     // GIR_Coverage, 17887,
     /* 1505093 */     GIR_EraseRootFromParent_Done,
     /* 1505094 */   // Label 20942: @1505094
     /* 1505094 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505176), // Rule ID 17888 //
     /* 1505099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1505119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505138 */     // MIs[0] round
     /* 1505138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505141 */     // MIs[0] policy
     /* 1505141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1505154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505175 */     // GIR_Coverage, 17888,
     /* 1505175 */     GIR_EraseRootFromParent_Done,
     /* 1505176 */   // Label 20943: @1505176
     /* 1505176 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1505258), // Rule ID 17891 //
     /* 1505181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505220 */     // MIs[0] round
     /* 1505220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505223 */     // MIs[0] policy
     /* 1505223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505233 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505257 */     // GIR_Coverage, 17891,
     /* 1505257 */     GIR_EraseRootFromParent_Done,
     /* 1505258 */   // Label 20944: @1505258
     /* 1505258 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1505340), // Rule ID 17892 //
     /* 1505263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1505283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505302 */     // MIs[0] round
     /* 1505302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505305 */     // MIs[0] policy
     /* 1505305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1505318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505339 */     // GIR_Coverage, 17892,
     /* 1505339 */     GIR_EraseRootFromParent_Done,
     /* 1505340 */   // Label 20945: @1505340
     /* 1505340 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1505422), // Rule ID 17895 //
     /* 1505345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505384 */     // MIs[0] round
     /* 1505384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505387 */     // MIs[0] policy
     /* 1505387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505421 */     // GIR_Coverage, 17895,
     /* 1505421 */     GIR_EraseRootFromParent_Done,
     /* 1505422 */   // Label 20946: @1505422
     /* 1505422 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1505504), // Rule ID 17896 //
     /* 1505427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505466 */     // MIs[0] round
     /* 1505466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505469 */     // MIs[0] policy
     /* 1505469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505479 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1505482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505503 */     // GIR_Coverage, 17896,
     /* 1505503 */     GIR_EraseRootFromParent_Done,
     /* 1505504 */   // Label 20947: @1505504
     /* 1505504 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505586), // Rule ID 17899 //
     /* 1505509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505548 */     // MIs[0] round
     /* 1505548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505551 */     // MIs[0] policy
     /* 1505551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505561 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1505564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505585 */     // GIR_Coverage, 17899,
     /* 1505585 */     GIR_EraseRootFromParent_Done,
     /* 1505586 */   // Label 20948: @1505586
     /* 1505586 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505668), // Rule ID 17900 //
     /* 1505591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505630 */     // MIs[0] round
     /* 1505630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505633 */     // MIs[0] policy
     /* 1505633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505643 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1505646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505667 */     // GIR_Coverage, 17900,
     /* 1505667 */     GIR_EraseRootFromParent_Done,
     /* 1505668 */   // Label 20949: @1505668
     /* 1505668 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505750), // Rule ID 17903 //
     /* 1505673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505712 */     // MIs[0] round
     /* 1505712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505715 */     // MIs[0] policy
     /* 1505715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505725 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1505728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505749 */     // GIR_Coverage, 17903,
     /* 1505749 */     GIR_EraseRootFromParent_Done,
     /* 1505750 */   // Label 20950: @1505750
     /* 1505750 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505832), // Rule ID 17904 //
     /* 1505755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505794 */     // MIs[0] round
     /* 1505794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505797 */     // MIs[0] policy
     /* 1505797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505807 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1505810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505831 */     // GIR_Coverage, 17904,
     /* 1505831 */     GIR_EraseRootFromParent_Done,
     /* 1505832 */   // Label 20951: @1505832
     /* 1505832 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1505914), // Rule ID 17907 //
     /* 1505837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505876 */     // MIs[0] round
     /* 1505876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505879 */     // MIs[0] policy
     /* 1505879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505889 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1505892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505913 */     // GIR_Coverage, 17907,
     /* 1505913 */     GIR_EraseRootFromParent_Done,
     /* 1505914 */   // Label 20952: @1505914
     /* 1505914 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1505996), // Rule ID 17908 //
     /* 1505919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505958 */     // MIs[0] round
     /* 1505958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505961 */     // MIs[0] policy
     /* 1505961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505971 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1505974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505995 */     // GIR_Coverage, 17908,
     /* 1505995 */     GIR_EraseRootFromParent_Done,
     /* 1505996 */   // Label 20953: @1505996
     /* 1505996 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506078), // Rule ID 17911 //
     /* 1506001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506040 */     // MIs[0] round
     /* 1506040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506043 */     // MIs[0] policy
     /* 1506043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506053 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506077 */     // GIR_Coverage, 17911,
     /* 1506077 */     GIR_EraseRootFromParent_Done,
     /* 1506078 */   // Label 20954: @1506078
     /* 1506078 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506160), // Rule ID 17912 //
     /* 1506083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1506103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506122 */     // MIs[0] round
     /* 1506122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506125 */     // MIs[0] policy
     /* 1506125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506135 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1506138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506159 */     // GIR_Coverage, 17912,
     /* 1506159 */     GIR_EraseRootFromParent_Done,
     /* 1506160 */   // Label 20955: @1506160
     /* 1506160 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1506242), // Rule ID 17915 //
     /* 1506165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506204 */     // MIs[0] round
     /* 1506204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506207 */     // MIs[0] policy
     /* 1506207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506217 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506241 */     // GIR_Coverage, 17915,
     /* 1506241 */     GIR_EraseRootFromParent_Done,
     /* 1506242 */   // Label 20956: @1506242
     /* 1506242 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1506324), // Rule ID 17916 //
     /* 1506247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1506267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506286 */     // MIs[0] round
     /* 1506286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506289 */     // MIs[0] policy
     /* 1506289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1506302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506323 */     // GIR_Coverage, 17916,
     /* 1506323 */     GIR_EraseRootFromParent_Done,
     /* 1506324 */   // Label 20957: @1506324
     /* 1506324 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1506406), // Rule ID 17919 //
     /* 1506329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506368 */     // MIs[0] round
     /* 1506368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506371 */     // MIs[0] policy
     /* 1506371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506381 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506405 */     // GIR_Coverage, 17919,
     /* 1506405 */     GIR_EraseRootFromParent_Done,
     /* 1506406 */   // Label 20958: @1506406
     /* 1506406 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1506488), // Rule ID 17920 //
     /* 1506411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506450 */     // MIs[0] round
     /* 1506450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506453 */     // MIs[0] policy
     /* 1506453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506463 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1506466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506487 */     // GIR_Coverage, 17920,
     /* 1506487 */     GIR_EraseRootFromParent_Done,
     /* 1506488 */   // Label 20959: @1506488
     /* 1506488 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1506570), // Rule ID 17923 //
     /* 1506493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506532 */     // MIs[0] round
     /* 1506532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506535 */     // MIs[0] policy
     /* 1506535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506545 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506569 */     // GIR_Coverage, 17923,
     /* 1506569 */     GIR_EraseRootFromParent_Done,
     /* 1506570 */   // Label 20960: @1506570
     /* 1506570 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506652), // Rule ID 17924 //
     /* 1506575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506614 */     // MIs[0] round
     /* 1506614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506617 */     // MIs[0] policy
     /* 1506617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1506630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506651 */     // GIR_Coverage, 17924,
     /* 1506651 */     GIR_EraseRootFromParent_Done,
     /* 1506652 */   // Label 20961: @1506652
     /* 1506652 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506734), // Rule ID 17927 //
     /* 1506657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506696 */     // MIs[0] round
     /* 1506696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506699 */     // MIs[0] policy
     /* 1506699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506709 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1506712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506733 */     // GIR_Coverage, 17927,
     /* 1506733 */     GIR_EraseRootFromParent_Done,
     /* 1506734 */   // Label 20962: @1506734
     /* 1506734 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506816), // Rule ID 17928 //
     /* 1506739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506778 */     // MIs[0] round
     /* 1506778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506781 */     // MIs[0] policy
     /* 1506781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506791 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1506794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506815 */     // GIR_Coverage, 17928,
     /* 1506815 */     GIR_EraseRootFromParent_Done,
     /* 1506816 */   // Label 20963: @1506816
     /* 1506816 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1506898), // Rule ID 17931 //
     /* 1506821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506860 */     // MIs[0] round
     /* 1506860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506863 */     // MIs[0] policy
     /* 1506863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506873 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1506876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506897 */     // GIR_Coverage, 17931,
     /* 1506897 */     GIR_EraseRootFromParent_Done,
     /* 1506898 */   // Label 20964: @1506898
     /* 1506898 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1506980), // Rule ID 17932 //
     /* 1506903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506942 */     // MIs[0] round
     /* 1506942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506945 */     // MIs[0] policy
     /* 1506945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506955 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1506958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506979 */     // GIR_Coverage, 17932,
     /* 1506979 */     GIR_EraseRootFromParent_Done,
     /* 1506980 */   // Label 20965: @1506980
     /* 1506980 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507062), // Rule ID 17935 //
     /* 1506985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507024 */     // MIs[0] round
     /* 1507024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507027 */     // MIs[0] policy
     /* 1507027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507037 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507061 */     // GIR_Coverage, 17935,
     /* 1507061 */     GIR_EraseRootFromParent_Done,
     /* 1507062 */   // Label 20966: @1507062
     /* 1507062 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507144), // Rule ID 17936 //
     /* 1507067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1507078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1507081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1507087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507106 */     // MIs[0] round
     /* 1507106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507109 */     // MIs[0] policy
     /* 1507109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507119 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1507122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507143 */     // GIR_Coverage, 17936,
     /* 1507143 */     GIR_EraseRootFromParent_Done,
     /* 1507144 */   // Label 20967: @1507144
     /* 1507144 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1507226), // Rule ID 17939 //
     /* 1507149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507188 */     // MIs[0] round
     /* 1507188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507191 */     // MIs[0] policy
     /* 1507191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507201 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507225 */     // GIR_Coverage, 17939,
     /* 1507225 */     GIR_EraseRootFromParent_Done,
     /* 1507226 */   // Label 20968: @1507226
     /* 1507226 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1507308), // Rule ID 17940 //
     /* 1507231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1507251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507270 */     // MIs[0] round
     /* 1507270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507273 */     // MIs[0] policy
     /* 1507273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507283 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1507286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507307 */     // GIR_Coverage, 17940,
     /* 1507307 */     GIR_EraseRootFromParent_Done,
     /* 1507308 */   // Label 20969: @1507308
     /* 1507308 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1507390), // Rule ID 17943 //
     /* 1507313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507352 */     // MIs[0] round
     /* 1507352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507355 */     // MIs[0] policy
     /* 1507355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507365 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507389 */     // GIR_Coverage, 17943,
     /* 1507389 */     GIR_EraseRootFromParent_Done,
     /* 1507390 */   // Label 20970: @1507390
     /* 1507390 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1507472), // Rule ID 17944 //
     /* 1507395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507434 */     // MIs[0] round
     /* 1507434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507437 */     // MIs[0] policy
     /* 1507437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507447 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1507450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507471 */     // GIR_Coverage, 17944,
     /* 1507471 */     GIR_EraseRootFromParent_Done,
     /* 1507472 */   // Label 20971: @1507472
     /* 1507472 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1507554), // Rule ID 17947 //
     /* 1507477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507516 */     // MIs[0] round
     /* 1507516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507519 */     // MIs[0] policy
     /* 1507519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507553 */     // GIR_Coverage, 17947,
     /* 1507553 */     GIR_EraseRootFromParent_Done,
     /* 1507554 */   // Label 20972: @1507554
     /* 1507554 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507636), // Rule ID 17948 //
     /* 1507559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507598 */     // MIs[0] round
     /* 1507598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507601 */     // MIs[0] policy
     /* 1507601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507611 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1507614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507635 */     // GIR_Coverage, 17948,
     /* 1507635 */     GIR_EraseRootFromParent_Done,
     /* 1507636 */   // Label 20973: @1507636
     /* 1507636 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507718), // Rule ID 17951 //
     /* 1507641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507680 */     // MIs[0] round
     /* 1507680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507683 */     // MIs[0] policy
     /* 1507683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507693 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1507696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507717 */     // GIR_Coverage, 17951,
     /* 1507717 */     GIR_EraseRootFromParent_Done,
     /* 1507718 */   // Label 20974: @1507718
     /* 1507718 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507800), // Rule ID 17952 //
     /* 1507723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507762 */     // MIs[0] round
     /* 1507762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507765 */     // MIs[0] policy
     /* 1507765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507775 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1507778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507799 */     // GIR_Coverage, 17952,
     /* 1507799 */     GIR_EraseRootFromParent_Done,
     /* 1507800 */   // Label 20975: @1507800
     /* 1507800 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507882), // Rule ID 17955 //
     /* 1507805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507844 */     // MIs[0] round
     /* 1507844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507847 */     // MIs[0] policy
     /* 1507847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507857 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1507860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507881 */     // GIR_Coverage, 17955,
     /* 1507881 */     GIR_EraseRootFromParent_Done,
     /* 1507882 */   // Label 20976: @1507882
     /* 1507882 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1507964), // Rule ID 17956 //
     /* 1507887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507926 */     // MIs[0] round
     /* 1507926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507929 */     // MIs[0] policy
     /* 1507929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507939 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1507942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507963 */     // GIR_Coverage, 17956,
     /* 1507963 */     GIR_EraseRootFromParent_Done,
     /* 1507964 */   // Label 20977: @1507964
     /* 1507964 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508046), // Rule ID 17959 //
     /* 1507969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508008 */     // MIs[0] round
     /* 1508008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508011 */     // MIs[0] policy
     /* 1508011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508021 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508045 */     // GIR_Coverage, 17959,
     /* 1508045 */     GIR_EraseRootFromParent_Done,
     /* 1508046 */   // Label 20978: @1508046
     /* 1508046 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508128), // Rule ID 17960 //
     /* 1508051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1508071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508090 */     // MIs[0] round
     /* 1508090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508093 */     // MIs[0] policy
     /* 1508093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508103 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1508106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508127 */     // GIR_Coverage, 17960,
     /* 1508127 */     GIR_EraseRootFromParent_Done,
     /* 1508128 */   // Label 20979: @1508128
     /* 1508128 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508210), // Rule ID 17963 //
     /* 1508133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508172 */     // MIs[0] round
     /* 1508172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508175 */     // MIs[0] policy
     /* 1508175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508185 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508209 */     // GIR_Coverage, 17963,
     /* 1508209 */     GIR_EraseRootFromParent_Done,
     /* 1508210 */   // Label 20980: @1508210
     /* 1508210 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1508292), // Rule ID 17964 //
     /* 1508215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1508235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508254 */     // MIs[0] round
     /* 1508254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508257 */     // MIs[0] policy
     /* 1508257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508267 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1508270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508291 */     // GIR_Coverage, 17964,
     /* 1508291 */     GIR_EraseRootFromParent_Done,
     /* 1508292 */   // Label 20981: @1508292
     /* 1508292 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1508374), // Rule ID 17967 //
     /* 1508297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508336 */     // MIs[0] round
     /* 1508336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508339 */     // MIs[0] policy
     /* 1508339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508349 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508373 */     // GIR_Coverage, 17967,
     /* 1508373 */     GIR_EraseRootFromParent_Done,
     /* 1508374 */   // Label 20982: @1508374
     /* 1508374 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1508456), // Rule ID 17968 //
     /* 1508379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508418 */     // MIs[0] round
     /* 1508418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508421 */     // MIs[0] policy
     /* 1508421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1508434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508455 */     // GIR_Coverage, 17968,
     /* 1508455 */     GIR_EraseRootFromParent_Done,
     /* 1508456 */   // Label 20983: @1508456
     /* 1508456 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1508538), // Rule ID 17971 //
     /* 1508461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508500 */     // MIs[0] round
     /* 1508500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508503 */     // MIs[0] policy
     /* 1508503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508513 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508537 */     // GIR_Coverage, 17971,
     /* 1508537 */     GIR_EraseRootFromParent_Done,
     /* 1508538 */   // Label 20984: @1508538
     /* 1508538 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508620), // Rule ID 17972 //
     /* 1508543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508582 */     // MIs[0] round
     /* 1508582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508585 */     // MIs[0] policy
     /* 1508585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508595 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1508598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508619 */     // GIR_Coverage, 17972,
     /* 1508619 */     GIR_EraseRootFromParent_Done,
     /* 1508620 */   // Label 20985: @1508620
     /* 1508620 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508702), // Rule ID 17975 //
     /* 1508625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508664 */     // MIs[0] round
     /* 1508664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508667 */     // MIs[0] policy
     /* 1508667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508677 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1508680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508701 */     // GIR_Coverage, 17975,
     /* 1508701 */     GIR_EraseRootFromParent_Done,
     /* 1508702 */   // Label 20986: @1508702
     /* 1508702 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508784), // Rule ID 17976 //
     /* 1508707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508746 */     // MIs[0] round
     /* 1508746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508749 */     // MIs[0] policy
     /* 1508749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1508762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508783 */     // GIR_Coverage, 17976,
     /* 1508783 */     GIR_EraseRootFromParent_Done,
     /* 1508784 */   // Label 20987: @1508784
     /* 1508784 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508866), // Rule ID 17979 //
     /* 1508789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508828 */     // MIs[0] round
     /* 1508828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508831 */     // MIs[0] policy
     /* 1508831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508841 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1508844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508865 */     // GIR_Coverage, 17979,
     /* 1508865 */     GIR_EraseRootFromParent_Done,
     /* 1508866 */   // Label 20988: @1508866
     /* 1508866 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1508948), // Rule ID 17980 //
     /* 1508871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508910 */     // MIs[0] round
     /* 1508910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508913 */     // MIs[0] policy
     /* 1508913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508923 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1508926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508947 */     // GIR_Coverage, 17980,
     /* 1508947 */     GIR_EraseRootFromParent_Done,
     /* 1508948 */   // Label 20989: @1508948
     /* 1508948 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509030), // Rule ID 17983 //
     /* 1508953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508992 */     // MIs[0] round
     /* 1508992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508995 */     // MIs[0] policy
     /* 1508995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509005 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509029 */     // GIR_Coverage, 17983,
     /* 1509029 */     GIR_EraseRootFromParent_Done,
     /* 1509030 */   // Label 20990: @1509030
     /* 1509030 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509112), // Rule ID 17984 //
     /* 1509035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1509055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509074 */     // MIs[0] round
     /* 1509074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509077 */     // MIs[0] policy
     /* 1509077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1509090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509111 */     // GIR_Coverage, 17984,
     /* 1509111 */     GIR_EraseRootFromParent_Done,
     /* 1509112 */   // Label 20991: @1509112
     /* 1509112 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509194), // Rule ID 17987 //
     /* 1509117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509156 */     // MIs[0] round
     /* 1509156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509159 */     // MIs[0] policy
     /* 1509159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509169 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509193 */     // GIR_Coverage, 17987,
     /* 1509193 */     GIR_EraseRootFromParent_Done,
     /* 1509194 */   // Label 20992: @1509194
     /* 1509194 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1509276), // Rule ID 17988 //
     /* 1509199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1509210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1509213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1509216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1509219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509238 */     // MIs[0] round
     /* 1509238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509241 */     // MIs[0] policy
     /* 1509241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509251 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1509254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509275 */     // GIR_Coverage, 17988,
     /* 1509275 */     GIR_EraseRootFromParent_Done,
     /* 1509276 */   // Label 20993: @1509276
     /* 1509276 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1509358), // Rule ID 17991 //
     /* 1509281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509320 */     // MIs[0] round
     /* 1509320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509323 */     // MIs[0] policy
     /* 1509323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509333 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509357 */     // GIR_Coverage, 17991,
     /* 1509357 */     GIR_EraseRootFromParent_Done,
     /* 1509358 */   // Label 20994: @1509358
     /* 1509358 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1509440), // Rule ID 17992 //
     /* 1509363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509402 */     // MIs[0] round
     /* 1509402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509405 */     // MIs[0] policy
     /* 1509405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509415 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1509418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509439 */     // GIR_Coverage, 17992,
     /* 1509439 */     GIR_EraseRootFromParent_Done,
     /* 1509440 */   // Label 20995: @1509440
     /* 1509440 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1509522), // Rule ID 17995 //
     /* 1509445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509484 */     // MIs[0] round
     /* 1509484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509487 */     // MIs[0] policy
     /* 1509487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509521 */     // GIR_Coverage, 17995,
     /* 1509521 */     GIR_EraseRootFromParent_Done,
     /* 1509522 */   // Label 20996: @1509522
     /* 1509522 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509604), // Rule ID 17996 //
     /* 1509527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509566 */     // MIs[0] round
     /* 1509566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509569 */     // MIs[0] policy
     /* 1509569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509579 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1509582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509603 */     // GIR_Coverage, 17996,
     /* 1509603 */     GIR_EraseRootFromParent_Done,
     /* 1509604 */   // Label 20997: @1509604
     /* 1509604 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509686), // Rule ID 17999 //
     /* 1509609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509648 */     // MIs[0] round
     /* 1509648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509651 */     // MIs[0] policy
     /* 1509651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509661 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1509664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509685 */     // GIR_Coverage, 17999,
     /* 1509685 */     GIR_EraseRootFromParent_Done,
     /* 1509686 */   // Label 20998: @1509686
     /* 1509686 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509768), // Rule ID 18000 //
     /* 1509691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509730 */     // MIs[0] round
     /* 1509730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509733 */     // MIs[0] policy
     /* 1509733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509743 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1509746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509767 */     // GIR_Coverage, 18000,
     /* 1509767 */     GIR_EraseRootFromParent_Done,
     /* 1509768 */   // Label 20999: @1509768
     /* 1509768 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509850), // Rule ID 18003 //
     /* 1509773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509812 */     // MIs[0] round
     /* 1509812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509815 */     // MIs[0] policy
     /* 1509815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509825 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1509828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509849 */     // GIR_Coverage, 18003,
     /* 1509849 */     GIR_EraseRootFromParent_Done,
     /* 1509850 */   // Label 21000: @1509850
     /* 1509850 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509932), // Rule ID 18004 //
     /* 1509855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509894 */     // MIs[0] round
     /* 1509894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509897 */     // MIs[0] policy
     /* 1509897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1509910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509931 */     // GIR_Coverage, 18004,
     /* 1509931 */     GIR_EraseRootFromParent_Done,
     /* 1509932 */   // Label 21001: @1509932
     /* 1509932 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510014), // Rule ID 18007 //
     /* 1509937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1509954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509976 */     // MIs[0] round
     /* 1509976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509979 */     // MIs[0] policy
     /* 1509979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1509992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510013 */     // GIR_Coverage, 18007,
     /* 1510013 */     GIR_EraseRootFromParent_Done,
     /* 1510014 */   // Label 21002: @1510014
     /* 1510014 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510096), // Rule ID 18008 //
     /* 1510019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1510030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1510033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1510036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1510039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510058 */     // MIs[0] round
     /* 1510058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510061 */     // MIs[0] policy
     /* 1510061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510071 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1510074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510095 */     // GIR_Coverage, 18008,
     /* 1510095 */     GIR_EraseRootFromParent_Done,
     /* 1510096 */   // Label 21003: @1510096
     /* 1510096 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510178), // Rule ID 18011 //
     /* 1510101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510140 */     // MIs[0] round
     /* 1510140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510143 */     // MIs[0] policy
     /* 1510143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510153 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510177 */     // GIR_Coverage, 18011,
     /* 1510177 */     GIR_EraseRootFromParent_Done,
     /* 1510178 */   // Label 21004: @1510178
     /* 1510178 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1510260), // Rule ID 18012 //
     /* 1510183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1510200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1510203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510222 */     // MIs[0] round
     /* 1510222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510225 */     // MIs[0] policy
     /* 1510225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510235 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1510238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510259 */     // GIR_Coverage, 18012,
     /* 1510259 */     GIR_EraseRootFromParent_Done,
     /* 1510260 */   // Label 21005: @1510260
     /* 1510260 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1510342), // Rule ID 18015 //
     /* 1510265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510304 */     // MIs[0] round
     /* 1510304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510307 */     // MIs[0] policy
     /* 1510307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510317 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510341 */     // GIR_Coverage, 18015,
     /* 1510341 */     GIR_EraseRootFromParent_Done,
     /* 1510342 */   // Label 21006: @1510342
     /* 1510342 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1510424), // Rule ID 18016 //
     /* 1510347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510386 */     // MIs[0] round
     /* 1510386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510389 */     // MIs[0] policy
     /* 1510389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510399 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1510402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510423 */     // GIR_Coverage, 18016,
     /* 1510423 */     GIR_EraseRootFromParent_Done,
     /* 1510424 */   // Label 21007: @1510424
     /* 1510424 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1510506), // Rule ID 18019 //
     /* 1510429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510468 */     // MIs[0] round
     /* 1510468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510471 */     // MIs[0] policy
     /* 1510471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510481 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510505 */     // GIR_Coverage, 18019,
     /* 1510505 */     GIR_EraseRootFromParent_Done,
     /* 1510506 */   // Label 21008: @1510506
     /* 1510506 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510588), // Rule ID 18020 //
     /* 1510511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510550 */     // MIs[0] round
     /* 1510550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510553 */     // MIs[0] policy
     /* 1510553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510563 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1510566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510587 */     // GIR_Coverage, 18020,
     /* 1510587 */     GIR_EraseRootFromParent_Done,
     /* 1510588 */   // Label 21009: @1510588
     /* 1510588 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510670), // Rule ID 18023 //
     /* 1510593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510632 */     // MIs[0] round
     /* 1510632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510635 */     // MIs[0] policy
     /* 1510635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510645 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1510648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510669 */     // GIR_Coverage, 18023,
     /* 1510669 */     GIR_EraseRootFromParent_Done,
     /* 1510670 */   // Label 21010: @1510670
     /* 1510670 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510752), // Rule ID 18024 //
     /* 1510675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510714 */     // MIs[0] round
     /* 1510714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510717 */     // MIs[0] policy
     /* 1510717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510727 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1510730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510751 */     // GIR_Coverage, 18024,
     /* 1510751 */     GIR_EraseRootFromParent_Done,
     /* 1510752 */   // Label 21011: @1510752
     /* 1510752 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510834), // Rule ID 18027 //
     /* 1510757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510796 */     // MIs[0] round
     /* 1510796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510799 */     // MIs[0] policy
     /* 1510799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510809 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1510812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510833 */     // GIR_Coverage, 18027,
     /* 1510833 */     GIR_EraseRootFromParent_Done,
     /* 1510834 */   // Label 21012: @1510834
     /* 1510834 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510916), // Rule ID 18028 //
     /* 1510839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510878 */     // MIs[0] round
     /* 1510878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510881 */     // MIs[0] policy
     /* 1510881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510891 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1510894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510915 */     // GIR_Coverage, 18028,
     /* 1510915 */     GIR_EraseRootFromParent_Done,
     /* 1510916 */   // Label 21013: @1510916
     /* 1510916 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1510998), // Rule ID 18031 //
     /* 1510921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1510938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510960 */     // MIs[0] round
     /* 1510960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510963 */     // MIs[0] policy
     /* 1510963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510973 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1510976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510997 */     // GIR_Coverage, 18031,
     /* 1510997 */     GIR_EraseRootFromParent_Done,
     /* 1510998 */   // Label 21014: @1510998
     /* 1510998 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511080), // Rule ID 18032 //
     /* 1511003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1511020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1511023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511042 */     // MIs[0] round
     /* 1511042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511045 */     // MIs[0] policy
     /* 1511045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511055 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1511058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511079 */     // GIR_Coverage, 18032,
     /* 1511079 */     GIR_EraseRootFromParent_Done,
     /* 1511080 */   // Label 21015: @1511080
     /* 1511080 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511162), // Rule ID 18035 //
     /* 1511085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511124 */     // MIs[0] round
     /* 1511124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511127 */     // MIs[0] policy
     /* 1511127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511161 */     // GIR_Coverage, 18035,
     /* 1511161 */     GIR_EraseRootFromParent_Done,
     /* 1511162 */   // Label 21016: @1511162
     /* 1511162 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1511244), // Rule ID 18036 //
     /* 1511167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1511178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1511181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1511184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1511187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511206 */     // MIs[0] round
     /* 1511206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511209 */     // MIs[0] policy
     /* 1511209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1511222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511243 */     // GIR_Coverage, 18036,
     /* 1511243 */     GIR_EraseRootFromParent_Done,
     /* 1511244 */   // Label 21017: @1511244
     /* 1511244 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1511326), // Rule ID 18039 //
     /* 1511249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511288 */     // MIs[0] round
     /* 1511288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511291 */     // MIs[0] policy
     /* 1511291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511301 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511325 */     // GIR_Coverage, 18039,
     /* 1511325 */     GIR_EraseRootFromParent_Done,
     /* 1511326 */   // Label 21018: @1511326
     /* 1511326 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1511408), // Rule ID 18040 //
     /* 1511331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511370 */     // MIs[0] round
     /* 1511370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511373 */     // MIs[0] policy
     /* 1511373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511383 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1511386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511407 */     // GIR_Coverage, 18040,
     /* 1511407 */     GIR_EraseRootFromParent_Done,
     /* 1511408 */   // Label 21019: @1511408
     /* 1511408 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1511490), // Rule ID 18043 //
     /* 1511413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511452 */     // MIs[0] round
     /* 1511452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511455 */     // MIs[0] policy
     /* 1511455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511465 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511489 */     // GIR_Coverage, 18043,
     /* 1511489 */     GIR_EraseRootFromParent_Done,
     /* 1511490 */   // Label 21020: @1511490
     /* 1511490 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511572), // Rule ID 18044 //
     /* 1511495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511534 */     // MIs[0] round
     /* 1511534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511537 */     // MIs[0] policy
     /* 1511537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1511550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511571 */     // GIR_Coverage, 18044,
     /* 1511571 */     GIR_EraseRootFromParent_Done,
     /* 1511572 */   // Label 21021: @1511572
     /* 1511572 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511654), // Rule ID 18047 //
     /* 1511577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511616 */     // MIs[0] round
     /* 1511616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511619 */     // MIs[0] policy
     /* 1511619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511629 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1511632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511653 */     // GIR_Coverage, 18047,
     /* 1511653 */     GIR_EraseRootFromParent_Done,
     /* 1511654 */   // Label 21022: @1511654
     /* 1511654 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511736), // Rule ID 18048 //
     /* 1511659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511698 */     // MIs[0] round
     /* 1511698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511701 */     // MIs[0] policy
     /* 1511701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511711 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1511714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511735 */     // GIR_Coverage, 18048,
     /* 1511735 */     GIR_EraseRootFromParent_Done,
     /* 1511736 */   // Label 21023: @1511736
     /* 1511736 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511818), // Rule ID 18051 //
     /* 1511741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511780 */     // MIs[0] round
     /* 1511780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511783 */     // MIs[0] policy
     /* 1511783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511793 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1511796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511817 */     // GIR_Coverage, 18051,
     /* 1511817 */     GIR_EraseRootFromParent_Done,
     /* 1511818 */   // Label 21024: @1511818
     /* 1511818 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511900), // Rule ID 18052 //
     /* 1511823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511862 */     // MIs[0] round
     /* 1511862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511865 */     // MIs[0] policy
     /* 1511865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511875 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1511878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511899 */     // GIR_Coverage, 18052,
     /* 1511899 */     GIR_EraseRootFromParent_Done,
     /* 1511900 */   // Label 21025: @1511900
     /* 1511900 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1511982), // Rule ID 18055 //
     /* 1511905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511944 */     // MIs[0] round
     /* 1511944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511947 */     // MIs[0] policy
     /* 1511947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511957 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1511960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511981 */     // GIR_Coverage, 18055,
     /* 1511981 */     GIR_EraseRootFromParent_Done,
     /* 1511982 */   // Label 21026: @1511982
     /* 1511982 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512064), // Rule ID 18056 //
     /* 1511987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1512001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1512007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512026 */     // MIs[0] round
     /* 1512026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512029 */     // MIs[0] policy
     /* 1512029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512039 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1512042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512063 */     // GIR_Coverage, 18056,
     /* 1512063 */     GIR_EraseRootFromParent_Done,
     /* 1512064 */   // Label 21027: @1512064
     /* 1512064 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512146), // Rule ID 18059 //
     /* 1512069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512108 */     // MIs[0] round
     /* 1512108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512111 */     // MIs[0] policy
     /* 1512111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512121 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512145 */     // GIR_Coverage, 18059,
     /* 1512145 */     GIR_EraseRootFromParent_Done,
     /* 1512146 */   // Label 21028: @1512146
     /* 1512146 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1512228), // Rule ID 18060 //
     /* 1512151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1512171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512190 */     // MIs[0] round
     /* 1512190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512193 */     // MIs[0] policy
     /* 1512193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512203 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1512206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512227 */     // GIR_Coverage, 18060,
     /* 1512227 */     GIR_EraseRootFromParent_Done,
     /* 1512228 */   // Label 21029: @1512228
     /* 1512228 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1512310), // Rule ID 18063 //
     /* 1512233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512272 */     // MIs[0] round
     /* 1512272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512275 */     // MIs[0] policy
     /* 1512275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512285 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512309 */     // GIR_Coverage, 18063,
     /* 1512309 */     GIR_EraseRootFromParent_Done,
     /* 1512310 */   // Label 21030: @1512310
     /* 1512310 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1512392), // Rule ID 18064 //
     /* 1512315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512354 */     // MIs[0] round
     /* 1512354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512357 */     // MIs[0] policy
     /* 1512357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1512370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512391 */     // GIR_Coverage, 18064,
     /* 1512391 */     GIR_EraseRootFromParent_Done,
     /* 1512392 */   // Label 21031: @1512392
     /* 1512392 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1512474), // Rule ID 18067 //
     /* 1512397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512436 */     // MIs[0] round
     /* 1512436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512439 */     // MIs[0] policy
     /* 1512439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512473 */     // GIR_Coverage, 18067,
     /* 1512473 */     GIR_EraseRootFromParent_Done,
     /* 1512474 */   // Label 21032: @1512474
     /* 1512474 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1512556), // Rule ID 18068 //
     /* 1512479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512518 */     // MIs[0] round
     /* 1512518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512521 */     // MIs[0] policy
     /* 1512521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512531 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1512534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512555 */     // GIR_Coverage, 18068,
     /* 1512555 */     GIR_EraseRootFromParent_Done,
     /* 1512556 */   // Label 21033: @1512556
     /* 1512556 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512638), // Rule ID 18071 //
     /* 1512561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512600 */     // MIs[0] round
     /* 1512600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512603 */     // MIs[0] policy
     /* 1512603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512613 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1512616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512637 */     // GIR_Coverage, 18071,
     /* 1512637 */     GIR_EraseRootFromParent_Done,
     /* 1512638 */   // Label 21034: @1512638
     /* 1512638 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512720), // Rule ID 18072 //
     /* 1512643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512682 */     // MIs[0] round
     /* 1512682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512685 */     // MIs[0] policy
     /* 1512685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512695 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1512698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512719 */     // GIR_Coverage, 18072,
     /* 1512719 */     GIR_EraseRootFromParent_Done,
     /* 1512720 */   // Label 21035: @1512720
     /* 1512720 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512802), // Rule ID 18075 //
     /* 1512725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512764 */     // MIs[0] round
     /* 1512764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512767 */     // MIs[0] policy
     /* 1512767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1512780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512801 */     // GIR_Coverage, 18075,
     /* 1512801 */     GIR_EraseRootFromParent_Done,
     /* 1512802 */   // Label 21036: @1512802
     /* 1512802 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512884), // Rule ID 18076 //
     /* 1512807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512846 */     // MIs[0] round
     /* 1512846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512849 */     // MIs[0] policy
     /* 1512849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512859 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1512862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512883 */     // GIR_Coverage, 18076,
     /* 1512883 */     GIR_EraseRootFromParent_Done,
     /* 1512884 */   // Label 21037: @1512884
     /* 1512884 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1512966), // Rule ID 18079 //
     /* 1512889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512928 */     // MIs[0] round
     /* 1512928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512931 */     // MIs[0] policy
     /* 1512931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512941 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1512944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512965 */     // GIR_Coverage, 18079,
     /* 1512965 */     GIR_EraseRootFromParent_Done,
     /* 1512966 */   // Label 21038: @1512966
     /* 1512966 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513048), // Rule ID 18080 //
     /* 1512971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513010 */     // MIs[0] round
     /* 1513010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513013 */     // MIs[0] policy
     /* 1513013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513023 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1513026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513047 */     // GIR_Coverage, 18080,
     /* 1513047 */     GIR_EraseRootFromParent_Done,
     /* 1513048 */   // Label 21039: @1513048
     /* 1513048 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513130), // Rule ID 18083 //
     /* 1513053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513092 */     // MIs[0] round
     /* 1513092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513095 */     // MIs[0] policy
     /* 1513095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513105 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513129 */     // GIR_Coverage, 18083,
     /* 1513129 */     GIR_EraseRootFromParent_Done,
     /* 1513130 */   // Label 21040: @1513130
     /* 1513130 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513212), // Rule ID 18084 //
     /* 1513135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1513146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1513149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1513155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513174 */     // MIs[0] round
     /* 1513174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513177 */     // MIs[0] policy
     /* 1513177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1513190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513211 */     // GIR_Coverage, 18084,
     /* 1513211 */     GIR_EraseRootFromParent_Done,
     /* 1513212 */   // Label 21041: @1513212
     /* 1513212 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1513294), // Rule ID 18087 //
     /* 1513217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513256 */     // MIs[0] round
     /* 1513256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513259 */     // MIs[0] policy
     /* 1513259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513293 */     // GIR_Coverage, 18087,
     /* 1513293 */     GIR_EraseRootFromParent_Done,
     /* 1513294 */   // Label 21042: @1513294
     /* 1513294 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1513376), // Rule ID 18088 //
     /* 1513299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1513310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1513313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1513319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513338 */     // MIs[0] round
     /* 1513338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513341 */     // MIs[0] policy
     /* 1513341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513351 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1513354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513375 */     // GIR_Coverage, 18088,
     /* 1513375 */     GIR_EraseRootFromParent_Done,
     /* 1513376 */   // Label 21043: @1513376
     /* 1513376 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1513458), // Rule ID 18091 //
     /* 1513381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513420 */     // MIs[0] round
     /* 1513420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513423 */     // MIs[0] policy
     /* 1513423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513457 */     // GIR_Coverage, 18091,
     /* 1513457 */     GIR_EraseRootFromParent_Done,
     /* 1513458 */   // Label 21044: @1513458
     /* 1513458 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1513540), // Rule ID 18092 //
     /* 1513463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513502 */     // MIs[0] round
     /* 1513502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513505 */     // MIs[0] policy
     /* 1513505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513515 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1513518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513539 */     // GIR_Coverage, 18092,
     /* 1513539 */     GIR_EraseRootFromParent_Done,
     /* 1513540 */   // Label 21045: @1513540
     /* 1513540 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513622), // Rule ID 18095 //
     /* 1513545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513584 */     // MIs[0] round
     /* 1513584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513587 */     // MIs[0] policy
     /* 1513587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513597 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1513600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513621 */     // GIR_Coverage, 18095,
     /* 1513621 */     GIR_EraseRootFromParent_Done,
     /* 1513622 */   // Label 21046: @1513622
     /* 1513622 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513704), // Rule ID 18096 //
     /* 1513627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513666 */     // MIs[0] round
     /* 1513666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513669 */     // MIs[0] policy
     /* 1513669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513679 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1513682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513703 */     // GIR_Coverage, 18096,
     /* 1513703 */     GIR_EraseRootFromParent_Done,
     /* 1513704 */   // Label 21047: @1513704
     /* 1513704 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513786), // Rule ID 18099 //
     /* 1513709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513748 */     // MIs[0] round
     /* 1513748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513751 */     // MIs[0] policy
     /* 1513751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513761 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1513764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513785 */     // GIR_Coverage, 18099,
     /* 1513785 */     GIR_EraseRootFromParent_Done,
     /* 1513786 */   // Label 21048: @1513786
     /* 1513786 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513868), // Rule ID 18100 //
     /* 1513791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513830 */     // MIs[0] round
     /* 1513830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513833 */     // MIs[0] policy
     /* 1513833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513843 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1513846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513867 */     // GIR_Coverage, 18100,
     /* 1513867 */     GIR_EraseRootFromParent_Done,
     /* 1513868 */   // Label 21049: @1513868
     /* 1513868 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1513950), // Rule ID 18103 //
     /* 1513873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513912 */     // MIs[0] round
     /* 1513912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513915 */     // MIs[0] policy
     /* 1513915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513925 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1513928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513949 */     // GIR_Coverage, 18103,
     /* 1513949 */     GIR_EraseRootFromParent_Done,
     /* 1513950 */   // Label 21050: @1513950
     /* 1513950 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514032), // Rule ID 18104 //
     /* 1513955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513994 */     // MIs[0] round
     /* 1513994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513997 */     // MIs[0] policy
     /* 1513997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514007 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1514010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514031 */     // GIR_Coverage, 18104,
     /* 1514031 */     GIR_EraseRootFromParent_Done,
     /* 1514032 */   // Label 21051: @1514032
     /* 1514032 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514114), // Rule ID 18107 //
     /* 1514037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514076 */     // MIs[0] round
     /* 1514076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514079 */     // MIs[0] policy
     /* 1514079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514089 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514113 */     // GIR_Coverage, 18107,
     /* 1514113 */     GIR_EraseRootFromParent_Done,
     /* 1514114 */   // Label 21052: @1514114
     /* 1514114 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514196), // Rule ID 18108 //
     /* 1514119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1514130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1514133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1514136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1514139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514158 */     // MIs[0] round
     /* 1514158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514161 */     // MIs[0] policy
     /* 1514161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514171 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1514174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514195 */     // GIR_Coverage, 18108,
     /* 1514195 */     GIR_EraseRootFromParent_Done,
     /* 1514196 */   // Label 21053: @1514196
     /* 1514196 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1514278), // Rule ID 18111 //
     /* 1514201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514240 */     // MIs[0] round
     /* 1514240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514243 */     // MIs[0] policy
     /* 1514243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514277 */     // GIR_Coverage, 18111,
     /* 1514277 */     GIR_EraseRootFromParent_Done,
     /* 1514278 */   // Label 21054: @1514278
     /* 1514278 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1514360), // Rule ID 18112 //
     /* 1514283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1514294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1514297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1514300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1514303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514322 */     // MIs[0] round
     /* 1514322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514325 */     // MIs[0] policy
     /* 1514325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514335 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1514338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514359 */     // GIR_Coverage, 18112,
     /* 1514359 */     GIR_EraseRootFromParent_Done,
     /* 1514360 */   // Label 21055: @1514360
     /* 1514360 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1514442), // Rule ID 18115 //
     /* 1514365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514404 */     // MIs[0] round
     /* 1514404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514407 */     // MIs[0] policy
     /* 1514407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514441 */     // GIR_Coverage, 18115,
     /* 1514441 */     GIR_EraseRootFromParent_Done,
     /* 1514442 */   // Label 21056: @1514442
     /* 1514442 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1514524), // Rule ID 18116 //
     /* 1514447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514486 */     // MIs[0] round
     /* 1514486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514489 */     // MIs[0] policy
     /* 1514489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514499 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1514502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514523 */     // GIR_Coverage, 18116,
     /* 1514523 */     GIR_EraseRootFromParent_Done,
     /* 1514524 */   // Label 21057: @1514524
     /* 1514524 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514606), // Rule ID 18119 //
     /* 1514529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514568 */     // MIs[0] round
     /* 1514568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514571 */     // MIs[0] policy
     /* 1514571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514581 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1514584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514605 */     // GIR_Coverage, 18119,
     /* 1514605 */     GIR_EraseRootFromParent_Done,
     /* 1514606 */   // Label 21058: @1514606
     /* 1514606 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514688), // Rule ID 18120 //
     /* 1514611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514650 */     // MIs[0] round
     /* 1514650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514653 */     // MIs[0] policy
     /* 1514653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514663 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1514666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514687 */     // GIR_Coverage, 18120,
     /* 1514687 */     GIR_EraseRootFromParent_Done,
     /* 1514688 */   // Label 21059: @1514688
     /* 1514688 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514770), // Rule ID 18123 //
     /* 1514693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514732 */     // MIs[0] round
     /* 1514732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514735 */     // MIs[0] policy
     /* 1514735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514745 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1514748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514769 */     // GIR_Coverage, 18123,
     /* 1514769 */     GIR_EraseRootFromParent_Done,
     /* 1514770 */   // Label 21060: @1514770
     /* 1514770 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514852), // Rule ID 18124 //
     /* 1514775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514814 */     // MIs[0] round
     /* 1514814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514817 */     // MIs[0] policy
     /* 1514817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1514830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514851 */     // GIR_Coverage, 18124,
     /* 1514851 */     GIR_EraseRootFromParent_Done,
     /* 1514852 */   // Label 21061: @1514852
     /* 1514852 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514934), // Rule ID 18127 //
     /* 1514857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1514874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514896 */     // MIs[0] round
     /* 1514896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514899 */     // MIs[0] policy
     /* 1514899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1514912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514933 */     // GIR_Coverage, 18127,
     /* 1514933 */     GIR_EraseRootFromParent_Done,
     /* 1514934 */   // Label 21062: @1514934
     /* 1514934 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515016), // Rule ID 18128 //
     /* 1514939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1514956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514978 */     // MIs[0] round
     /* 1514978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514981 */     // MIs[0] policy
     /* 1514981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514991 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1514994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515015 */     // GIR_Coverage, 18128,
     /* 1515015 */     GIR_EraseRootFromParent_Done,
     /* 1515016 */   // Label 21063: @1515016
     /* 1515016 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515098), // Rule ID 18131 //
     /* 1515021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515060 */     // MIs[0] round
     /* 1515060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515063 */     // MIs[0] policy
     /* 1515063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515097 */     // GIR_Coverage, 18131,
     /* 1515097 */     GIR_EraseRootFromParent_Done,
     /* 1515098 */   // Label 21064: @1515098
     /* 1515098 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515180), // Rule ID 18132 //
     /* 1515103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1515120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1515123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515142 */     // MIs[0] round
     /* 1515142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515145 */     // MIs[0] policy
     /* 1515145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515155 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1515158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515179 */     // GIR_Coverage, 18132,
     /* 1515179 */     GIR_EraseRootFromParent_Done,
     /* 1515180 */   // Label 21065: @1515180
     /* 1515180 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1515262), // Rule ID 18135 //
     /* 1515185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515224 */     // MIs[0] round
     /* 1515224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515227 */     // MIs[0] policy
     /* 1515227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515237 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515261 */     // GIR_Coverage, 18135,
     /* 1515261 */     GIR_EraseRootFromParent_Done,
     /* 1515262 */   // Label 21066: @1515262
     /* 1515262 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1515344), // Rule ID 18136 //
     /* 1515267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1515284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1515287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515306 */     // MIs[0] round
     /* 1515306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515309 */     // MIs[0] policy
     /* 1515309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515319 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1515322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515343 */     // GIR_Coverage, 18136,
     /* 1515343 */     GIR_EraseRootFromParent_Done,
     /* 1515344 */   // Label 21067: @1515344
     /* 1515344 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1515426), // Rule ID 18139 //
     /* 1515349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515388 */     // MIs[0] round
     /* 1515388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515391 */     // MIs[0] policy
     /* 1515391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515401 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515425 */     // GIR_Coverage, 18139,
     /* 1515425 */     GIR_EraseRootFromParent_Done,
     /* 1515426 */   // Label 21068: @1515426
     /* 1515426 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1515508), // Rule ID 18140 //
     /* 1515431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515470 */     // MIs[0] round
     /* 1515470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515473 */     // MIs[0] policy
     /* 1515473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1515486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515507 */     // GIR_Coverage, 18140,
     /* 1515507 */     GIR_EraseRootFromParent_Done,
     /* 1515508 */   // Label 21069: @1515508
     /* 1515508 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515590), // Rule ID 18143 //
     /* 1515513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515552 */     // MIs[0] round
     /* 1515552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515555 */     // MIs[0] policy
     /* 1515555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515565 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1515568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515589 */     // GIR_Coverage, 18143,
     /* 1515589 */     GIR_EraseRootFromParent_Done,
     /* 1515590 */   // Label 21070: @1515590
     /* 1515590 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515672), // Rule ID 18144 //
     /* 1515595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515634 */     // MIs[0] round
     /* 1515634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515637 */     // MIs[0] policy
     /* 1515637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515647 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1515650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515671 */     // GIR_Coverage, 18144,
     /* 1515671 */     GIR_EraseRootFromParent_Done,
     /* 1515672 */   // Label 21071: @1515672
     /* 1515672 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515754), // Rule ID 18147 //
     /* 1515677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515716 */     // MIs[0] round
     /* 1515716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515719 */     // MIs[0] policy
     /* 1515719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1515732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515753 */     // GIR_Coverage, 18147,
     /* 1515753 */     GIR_EraseRootFromParent_Done,
     /* 1515754 */   // Label 21072: @1515754
     /* 1515754 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515836), // Rule ID 18148 //
     /* 1515759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515798 */     // MIs[0] round
     /* 1515798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515801 */     // MIs[0] policy
     /* 1515801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515811 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1515814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515835 */     // GIR_Coverage, 18148,
     /* 1515835 */     GIR_EraseRootFromParent_Done,
     /* 1515836 */   // Label 21073: @1515836
     /* 1515836 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515918), // Rule ID 18151 //
     /* 1515841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515880 */     // MIs[0] round
     /* 1515880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515883 */     // MIs[0] policy
     /* 1515883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515893 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1515896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515917 */     // GIR_Coverage, 18151,
     /* 1515917 */     GIR_EraseRootFromParent_Done,
     /* 1515918 */   // Label 21074: @1515918
     /* 1515918 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516000), // Rule ID 18152 //
     /* 1515923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515962 */     // MIs[0] round
     /* 1515962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515965 */     // MIs[0] policy
     /* 1515965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515975 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1515978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515999 */     // GIR_Coverage, 18152,
     /* 1515999 */     GIR_EraseRootFromParent_Done,
     /* 1516000 */   // Label 21075: @1516000
     /* 1516000 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516082), // Rule ID 18155 //
     /* 1516005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516044 */     // MIs[0] round
     /* 1516044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516047 */     // MIs[0] policy
     /* 1516047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516057 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516081 */     // GIR_Coverage, 18155,
     /* 1516081 */     GIR_EraseRootFromParent_Done,
     /* 1516082 */   // Label 21076: @1516082
     /* 1516082 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516164), // Rule ID 18156 //
     /* 1516087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1516104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1516107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516126 */     // MIs[0] round
     /* 1516126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516129 */     // MIs[0] policy
     /* 1516129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1516142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516163 */     // GIR_Coverage, 18156,
     /* 1516163 */     GIR_EraseRootFromParent_Done,
     /* 1516164 */   // Label 21077: @1516164
     /* 1516164 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1516246), // Rule ID 18159 //
     /* 1516169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516208 */     // MIs[0] round
     /* 1516208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516211 */     // MIs[0] policy
     /* 1516211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516221 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516245 */     // GIR_Coverage, 18159,
     /* 1516245 */     GIR_EraseRootFromParent_Done,
     /* 1516246 */   // Label 21078: @1516246
     /* 1516246 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1516328), // Rule ID 18160 //
     /* 1516251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1516268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1516271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516290 */     // MIs[0] round
     /* 1516290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516293 */     // MIs[0] policy
     /* 1516293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1516306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516327 */     // GIR_Coverage, 18160,
     /* 1516327 */     GIR_EraseRootFromParent_Done,
     /* 1516328 */   // Label 21079: @1516328
     /* 1516328 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1516410), // Rule ID 18163 //
     /* 1516333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516372 */     // MIs[0] round
     /* 1516372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516375 */     // MIs[0] policy
     /* 1516375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516385 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516409 */     // GIR_Coverage, 18163,
     /* 1516409 */     GIR_EraseRootFromParent_Done,
     /* 1516410 */   // Label 21080: @1516410
     /* 1516410 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1516492), // Rule ID 18164 //
     /* 1516415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516454 */     // MIs[0] round
     /* 1516454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516457 */     // MIs[0] policy
     /* 1516457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1516470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516491 */     // GIR_Coverage, 18164,
     /* 1516491 */     GIR_EraseRootFromParent_Done,
     /* 1516492 */   // Label 21081: @1516492
     /* 1516492 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516574), // Rule ID 18167 //
     /* 1516497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516536 */     // MIs[0] round
     /* 1516536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516539 */     // MIs[0] policy
     /* 1516539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516549 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516573 */     // GIR_Coverage, 18167,
     /* 1516573 */     GIR_EraseRootFromParent_Done,
     /* 1516574 */   // Label 21082: @1516574
     /* 1516574 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516656), // Rule ID 18168 //
     /* 1516579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516618 */     // MIs[0] round
     /* 1516618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516621 */     // MIs[0] policy
     /* 1516621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516631 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1516634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516655 */     // GIR_Coverage, 18168,
     /* 1516655 */     GIR_EraseRootFromParent_Done,
     /* 1516656 */   // Label 21083: @1516656
     /* 1516656 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516738), // Rule ID 18171 //
     /* 1516661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516700 */     // MIs[0] round
     /* 1516700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516703 */     // MIs[0] policy
     /* 1516703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516713 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1516716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516737 */     // GIR_Coverage, 18171,
     /* 1516737 */     GIR_EraseRootFromParent_Done,
     /* 1516738 */   // Label 21084: @1516738
     /* 1516738 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516820), // Rule ID 18172 //
     /* 1516743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516782 */     // MIs[0] round
     /* 1516782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516785 */     // MIs[0] policy
     /* 1516785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516795 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1516798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516819 */     // GIR_Coverage, 18172,
     /* 1516819 */     GIR_EraseRootFromParent_Done,
     /* 1516820 */   // Label 21085: @1516820
     /* 1516820 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516902), // Rule ID 18175 //
     /* 1516825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516864 */     // MIs[0] round
     /* 1516864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516867 */     // MIs[0] policy
     /* 1516867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516877 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1516880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516901 */     // GIR_Coverage, 18175,
     /* 1516901 */     GIR_EraseRootFromParent_Done,
     /* 1516902 */   // Label 21086: @1516902
     /* 1516902 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1516984), // Rule ID 18176 //
     /* 1516907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516946 */     // MIs[0] round
     /* 1516946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516949 */     // MIs[0] policy
     /* 1516949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516959 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1516962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516983 */     // GIR_Coverage, 18176,
     /* 1516983 */     GIR_EraseRootFromParent_Done,
     /* 1516984 */   // Label 21087: @1516984
     /* 1516984 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517066), // Rule ID 18179 //
     /* 1516989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517028 */     // MIs[0] round
     /* 1517028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517031 */     // MIs[0] policy
     /* 1517031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517041 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517065 */     // GIR_Coverage, 18179,
     /* 1517065 */     GIR_EraseRootFromParent_Done,
     /* 1517066 */   // Label 21088: @1517066
     /* 1517066 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517148), // Rule ID 18180 //
     /* 1517071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1517082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1517085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517110 */     // MIs[0] round
     /* 1517110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517113 */     // MIs[0] policy
     /* 1517113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517123 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1517126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517147 */     // GIR_Coverage, 18180,
     /* 1517147 */     GIR_EraseRootFromParent_Done,
     /* 1517148 */   // Label 21089: @1517148
     /* 1517148 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1517230), // Rule ID 18183 //
     /* 1517153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517192 */     // MIs[0] round
     /* 1517192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517195 */     // MIs[0] policy
     /* 1517195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517205 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517229 */     // GIR_Coverage, 18183,
     /* 1517229 */     GIR_EraseRootFromParent_Done,
     /* 1517230 */   // Label 21090: @1517230
     /* 1517230 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1517312), // Rule ID 18184 //
     /* 1517235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1517255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517274 */     // MIs[0] round
     /* 1517274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517277 */     // MIs[0] policy
     /* 1517277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1517290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517311 */     // GIR_Coverage, 18184,
     /* 1517311 */     GIR_EraseRootFromParent_Done,
     /* 1517312 */   // Label 21091: @1517312
     /* 1517312 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1517394), // Rule ID 18187 //
     /* 1517317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517356 */     // MIs[0] round
     /* 1517356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517359 */     // MIs[0] policy
     /* 1517359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517369 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517393 */     // GIR_Coverage, 18187,
     /* 1517393 */     GIR_EraseRootFromParent_Done,
     /* 1517394 */   // Label 21092: @1517394
     /* 1517394 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517476), // Rule ID 18188 //
     /* 1517399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517438 */     // MIs[0] round
     /* 1517438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517441 */     // MIs[0] policy
     /* 1517441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517451 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1517454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517475 */     // GIR_Coverage, 18188,
     /* 1517475 */     GIR_EraseRootFromParent_Done,
     /* 1517476 */   // Label 21093: @1517476
     /* 1517476 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517558), // Rule ID 18191 //
     /* 1517481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517520 */     // MIs[0] round
     /* 1517520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517523 */     // MIs[0] policy
     /* 1517523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517533 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517557 */     // GIR_Coverage, 18191,
     /* 1517557 */     GIR_EraseRootFromParent_Done,
     /* 1517558 */   // Label 21094: @1517558
     /* 1517558 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517640), // Rule ID 18192 //
     /* 1517563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517602 */     // MIs[0] round
     /* 1517602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517605 */     // MIs[0] policy
     /* 1517605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517615 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1517618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517639 */     // GIR_Coverage, 18192,
     /* 1517639 */     GIR_EraseRootFromParent_Done,
     /* 1517640 */   // Label 21095: @1517640
     /* 1517640 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517722), // Rule ID 18195 //
     /* 1517645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517684 */     // MIs[0] round
     /* 1517684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517687 */     // MIs[0] policy
     /* 1517687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517697 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1517700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517721 */     // GIR_Coverage, 18195,
     /* 1517721 */     GIR_EraseRootFromParent_Done,
     /* 1517722 */   // Label 21096: @1517722
     /* 1517722 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517804), // Rule ID 18196 //
     /* 1517727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517766 */     // MIs[0] round
     /* 1517766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517769 */     // MIs[0] policy
     /* 1517769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517779 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1517782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517803 */     // GIR_Coverage, 18196,
     /* 1517803 */     GIR_EraseRootFromParent_Done,
     /* 1517804 */   // Label 21097: @1517804
     /* 1517804 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517886), // Rule ID 18199 //
     /* 1517809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517848 */     // MIs[0] round
     /* 1517848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517851 */     // MIs[0] policy
     /* 1517851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517861 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1517864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517885 */     // GIR_Coverage, 18199,
     /* 1517885 */     GIR_EraseRootFromParent_Done,
     /* 1517886 */   // Label 21098: @1517886
     /* 1517886 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1517968), // Rule ID 18200 //
     /* 1517891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517930 */     // MIs[0] round
     /* 1517930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517933 */     // MIs[0] policy
     /* 1517933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517943 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1517946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517967 */     // GIR_Coverage, 18200,
     /* 1517967 */     GIR_EraseRootFromParent_Done,
     /* 1517968 */   // Label 21099: @1517968
     /* 1517968 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518050), // Rule ID 18203 //
     /* 1517973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518012 */     // MIs[0] round
     /* 1518012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518015 */     // MIs[0] policy
     /* 1518015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518049 */     // GIR_Coverage, 18203,
     /* 1518049 */     GIR_EraseRootFromParent_Done,
     /* 1518050 */   // Label 21100: @1518050
     /* 1518050 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518132), // Rule ID 18204 //
     /* 1518055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518094 */     // MIs[0] round
     /* 1518094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518097 */     // MIs[0] policy
     /* 1518097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518107 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1518110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518131 */     // GIR_Coverage, 18204,
     /* 1518131 */     GIR_EraseRootFromParent_Done,
     /* 1518132 */   // Label 21101: @1518132
     /* 1518132 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518214), // Rule ID 18207 //
     /* 1518137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518176 */     // MIs[0] round
     /* 1518176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518179 */     // MIs[0] policy
     /* 1518179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518213 */     // GIR_Coverage, 18207,
     /* 1518213 */     GIR_EraseRootFromParent_Done,
     /* 1518214 */   // Label 21102: @1518214
     /* 1518214 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1518296), // Rule ID 18208 //
     /* 1518219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1518230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1518233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518258 */     // MIs[0] round
     /* 1518258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518261 */     // MIs[0] policy
     /* 1518261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1518274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518295 */     // GIR_Coverage, 18208,
     /* 1518295 */     GIR_EraseRootFromParent_Done,
     /* 1518296 */   // Label 21103: @1518296
     /* 1518296 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1518378), // Rule ID 18211 //
     /* 1518301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518340 */     // MIs[0] round
     /* 1518340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518343 */     // MIs[0] policy
     /* 1518343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518377 */     // GIR_Coverage, 18211,
     /* 1518377 */     GIR_EraseRootFromParent_Done,
     /* 1518378 */   // Label 21104: @1518378
     /* 1518378 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518460), // Rule ID 18212 //
     /* 1518383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518422 */     // MIs[0] round
     /* 1518422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518425 */     // MIs[0] policy
     /* 1518425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518435 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1518438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518459 */     // GIR_Coverage, 18212,
     /* 1518459 */     GIR_EraseRootFromParent_Done,
     /* 1518460 */   // Label 21105: @1518460
     /* 1518460 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518542), // Rule ID 18215 //
     /* 1518465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518504 */     // MIs[0] round
     /* 1518504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518507 */     // MIs[0] policy
     /* 1518507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518517 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518541 */     // GIR_Coverage, 18215,
     /* 1518541 */     GIR_EraseRootFromParent_Done,
     /* 1518542 */   // Label 21106: @1518542
     /* 1518542 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518624), // Rule ID 18216 //
     /* 1518547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518586 */     // MIs[0] round
     /* 1518586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518589 */     // MIs[0] policy
     /* 1518589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518599 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1518602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518623 */     // GIR_Coverage, 18216,
     /* 1518623 */     GIR_EraseRootFromParent_Done,
     /* 1518624 */   // Label 21107: @1518624
     /* 1518624 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518706), // Rule ID 18219 //
     /* 1518629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518668 */     // MIs[0] round
     /* 1518668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518671 */     // MIs[0] policy
     /* 1518671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518681 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1518684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518705 */     // GIR_Coverage, 18219,
     /* 1518705 */     GIR_EraseRootFromParent_Done,
     /* 1518706 */   // Label 21108: @1518706
     /* 1518706 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518788), // Rule ID 18220 //
     /* 1518711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518750 */     // MIs[0] round
     /* 1518750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518753 */     // MIs[0] policy
     /* 1518753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518763 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1518766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518787 */     // GIR_Coverage, 18220,
     /* 1518787 */     GIR_EraseRootFromParent_Done,
     /* 1518788 */   // Label 21109: @1518788
     /* 1518788 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518870), // Rule ID 18223 //
     /* 1518793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518832 */     // MIs[0] round
     /* 1518832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518835 */     // MIs[0] policy
     /* 1518835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518845 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1518848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518869 */     // GIR_Coverage, 18223,
     /* 1518869 */     GIR_EraseRootFromParent_Done,
     /* 1518870 */   // Label 21110: @1518870
     /* 1518870 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1518952), // Rule ID 18224 //
     /* 1518875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518914 */     // MIs[0] round
     /* 1518914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518917 */     // MIs[0] policy
     /* 1518917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518927 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1518930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518951 */     // GIR_Coverage, 18224,
     /* 1518951 */     GIR_EraseRootFromParent_Done,
     /* 1518952 */   // Label 21111: @1518952
     /* 1518952 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519034), // Rule ID 18227 //
     /* 1518957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518996 */     // MIs[0] round
     /* 1518996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518999 */     // MIs[0] policy
     /* 1518999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519009 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519033 */     // GIR_Coverage, 18227,
     /* 1519033 */     GIR_EraseRootFromParent_Done,
     /* 1519034 */   // Label 21112: @1519034
     /* 1519034 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519116), // Rule ID 18228 //
     /* 1519039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1519050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1519053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1519056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1519059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519078 */     // MIs[0] round
     /* 1519078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519081 */     // MIs[0] policy
     /* 1519081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519091 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1519094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519115 */     // GIR_Coverage, 18228,
     /* 1519115 */     GIR_EraseRootFromParent_Done,
     /* 1519116 */   // Label 21113: @1519116
     /* 1519116 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519198), // Rule ID 18231 //
     /* 1519121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519160 */     // MIs[0] round
     /* 1519160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519163 */     // MIs[0] policy
     /* 1519163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519173 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519197 */     // GIR_Coverage, 18231,
     /* 1519197 */     GIR_EraseRootFromParent_Done,
     /* 1519198 */   // Label 21114: @1519198
     /* 1519198 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1519280), // Rule ID 18232 //
     /* 1519203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1519214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1519217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519242 */     // MIs[0] round
     /* 1519242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519245 */     // MIs[0] policy
     /* 1519245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519255 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1519258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519279 */     // GIR_Coverage, 18232,
     /* 1519279 */     GIR_EraseRootFromParent_Done,
     /* 1519280 */   // Label 21115: @1519280
     /* 1519280 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1519362), // Rule ID 18235 //
     /* 1519285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519324 */     // MIs[0] round
     /* 1519324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519327 */     // MIs[0] policy
     /* 1519327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519337 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519361 */     // GIR_Coverage, 18235,
     /* 1519361 */     GIR_EraseRootFromParent_Done,
     /* 1519362 */   // Label 21116: @1519362
     /* 1519362 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519444), // Rule ID 18236 //
     /* 1519367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519406 */     // MIs[0] round
     /* 1519406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519409 */     // MIs[0] policy
     /* 1519409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519419 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1519422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519443 */     // GIR_Coverage, 18236,
     /* 1519443 */     GIR_EraseRootFromParent_Done,
     /* 1519444 */   // Label 21117: @1519444
     /* 1519444 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519526), // Rule ID 18239 //
     /* 1519449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519488 */     // MIs[0] round
     /* 1519488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519491 */     // MIs[0] policy
     /* 1519491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519525 */     // GIR_Coverage, 18239,
     /* 1519525 */     GIR_EraseRootFromParent_Done,
     /* 1519526 */   // Label 21118: @1519526
     /* 1519526 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519608), // Rule ID 18240 //
     /* 1519531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519570 */     // MIs[0] round
     /* 1519570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519573 */     // MIs[0] policy
     /* 1519573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519583 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1519586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519607 */     // GIR_Coverage, 18240,
     /* 1519607 */     GIR_EraseRootFromParent_Done,
     /* 1519608 */   // Label 21119: @1519608
     /* 1519608 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519690), // Rule ID 18243 //
     /* 1519613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519652 */     // MIs[0] round
     /* 1519652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519655 */     // MIs[0] policy
     /* 1519655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519665 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1519668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519689 */     // GIR_Coverage, 18243,
     /* 1519689 */     GIR_EraseRootFromParent_Done,
     /* 1519690 */   // Label 21120: @1519690
     /* 1519690 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519772), // Rule ID 18244 //
     /* 1519695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519734 */     // MIs[0] round
     /* 1519734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519737 */     // MIs[0] policy
     /* 1519737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1519750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519771 */     // GIR_Coverage, 18244,
     /* 1519771 */     GIR_EraseRootFromParent_Done,
     /* 1519772 */   // Label 21121: @1519772
     /* 1519772 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519854), // Rule ID 18247 //
     /* 1519777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519816 */     // MIs[0] round
     /* 1519816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519819 */     // MIs[0] policy
     /* 1519819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519829 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1519832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519853 */     // GIR_Coverage, 18247,
     /* 1519853 */     GIR_EraseRootFromParent_Done,
     /* 1519854 */   // Label 21122: @1519854
     /* 1519854 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519936), // Rule ID 18248 //
     /* 1519859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519898 */     // MIs[0] round
     /* 1519898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519901 */     // MIs[0] policy
     /* 1519901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519911 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1519914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519935 */     // GIR_Coverage, 18248,
     /* 1519935 */     GIR_EraseRootFromParent_Done,
     /* 1519936 */   // Label 21123: @1519936
     /* 1519936 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520018), // Rule ID 18251 //
     /* 1519941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519980 */     // MIs[0] round
     /* 1519980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519983 */     // MIs[0] policy
     /* 1519983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519993 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1519996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520017 */     // GIR_Coverage, 18251,
     /* 1520017 */     GIR_EraseRootFromParent_Done,
     /* 1520018 */   // Label 21124: @1520018
     /* 1520018 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520100), // Rule ID 18252 //
     /* 1520023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1520040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520062 */     // MIs[0] round
     /* 1520062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520065 */     // MIs[0] policy
     /* 1520065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520075 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1520078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520099 */     // GIR_Coverage, 18252,
     /* 1520099 */     GIR_EraseRootFromParent_Done,
     /* 1520100 */   // Label 21125: @1520100
     /* 1520100 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520182), // Rule ID 18255 //
     /* 1520105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520144 */     // MIs[0] round
     /* 1520144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520147 */     // MIs[0] policy
     /* 1520147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520157 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520181 */     // GIR_Coverage, 18255,
     /* 1520181 */     GIR_EraseRootFromParent_Done,
     /* 1520182 */   // Label 21126: @1520182
     /* 1520182 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1520264), // Rule ID 18256 //
     /* 1520187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1520198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1520201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1520204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520226 */     // MIs[0] round
     /* 1520226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520229 */     // MIs[0] policy
     /* 1520229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520239 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1520242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520263 */     // GIR_Coverage, 18256,
     /* 1520263 */     GIR_EraseRootFromParent_Done,
     /* 1520264 */   // Label 21127: @1520264
     /* 1520264 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520346), // Rule ID 18259 //
     /* 1520269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520308 */     // MIs[0] round
     /* 1520308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520311 */     // MIs[0] policy
     /* 1520311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520321 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520345 */     // GIR_Coverage, 18259,
     /* 1520345 */     GIR_EraseRootFromParent_Done,
     /* 1520346 */   // Label 21128: @1520346
     /* 1520346 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520428), // Rule ID 18260 //
     /* 1520351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520390 */     // MIs[0] round
     /* 1520390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520393 */     // MIs[0] policy
     /* 1520393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1520406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520427 */     // GIR_Coverage, 18260,
     /* 1520427 */     GIR_EraseRootFromParent_Done,
     /* 1520428 */   // Label 21129: @1520428
     /* 1520428 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520510), // Rule ID 18263 //
     /* 1520433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520472 */     // MIs[0] round
     /* 1520472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520475 */     // MIs[0] policy
     /* 1520475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520485 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520509 */     // GIR_Coverage, 18263,
     /* 1520509 */     GIR_EraseRootFromParent_Done,
     /* 1520510 */   // Label 21130: @1520510
     /* 1520510 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520592), // Rule ID 18264 //
     /* 1520515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520554 */     // MIs[0] round
     /* 1520554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520557 */     // MIs[0] policy
     /* 1520557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520567 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1520570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520591 */     // GIR_Coverage, 18264,
     /* 1520591 */     GIR_EraseRootFromParent_Done,
     /* 1520592 */   // Label 21131: @1520592
     /* 1520592 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520674), // Rule ID 18267 //
     /* 1520597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520636 */     // MIs[0] round
     /* 1520636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520639 */     // MIs[0] policy
     /* 1520639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520649 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1520652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520673 */     // GIR_Coverage, 18267,
     /* 1520673 */     GIR_EraseRootFromParent_Done,
     /* 1520674 */   // Label 21132: @1520674
     /* 1520674 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520756), // Rule ID 18268 //
     /* 1520679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520718 */     // MIs[0] round
     /* 1520718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520721 */     // MIs[0] policy
     /* 1520721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520731 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1520734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520755 */     // GIR_Coverage, 18268,
     /* 1520755 */     GIR_EraseRootFromParent_Done,
     /* 1520756 */   // Label 21133: @1520756
     /* 1520756 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520838), // Rule ID 18271 //
     /* 1520761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520800 */     // MIs[0] round
     /* 1520800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520803 */     // MIs[0] policy
     /* 1520803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520813 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1520816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520837 */     // GIR_Coverage, 18271,
     /* 1520837 */     GIR_EraseRootFromParent_Done,
     /* 1520838 */   // Label 21134: @1520838
     /* 1520838 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520920), // Rule ID 18272 //
     /* 1520843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520882 */     // MIs[0] round
     /* 1520882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520885 */     // MIs[0] policy
     /* 1520885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520895 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1520898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520919 */     // GIR_Coverage, 18272,
     /* 1520919 */     GIR_EraseRootFromParent_Done,
     /* 1520920 */   // Label 21135: @1520920
     /* 1520920 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521002), // Rule ID 18275 //
     /* 1520925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1520942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520964 */     // MIs[0] round
     /* 1520964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520967 */     // MIs[0] policy
     /* 1520967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520977 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1520980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521001 */     // GIR_Coverage, 18275,
     /* 1521001 */     GIR_EraseRootFromParent_Done,
     /* 1521002 */   // Label 21136: @1521002
     /* 1521002 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521084), // Rule ID 18276 //
     /* 1521007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1521024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1521027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521046 */     // MIs[0] round
     /* 1521046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521049 */     // MIs[0] policy
     /* 1521049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521059 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1521062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521083 */     // GIR_Coverage, 18276,
     /* 1521083 */     GIR_EraseRootFromParent_Done,
     /* 1521084 */   // Label 21137: @1521084
     /* 1521084 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521166), // Rule ID 18279 //
     /* 1521089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521128 */     // MIs[0] round
     /* 1521128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521131 */     // MIs[0] policy
     /* 1521131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521141 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521165 */     // GIR_Coverage, 18279,
     /* 1521165 */     GIR_EraseRootFromParent_Done,
     /* 1521166 */   // Label 21138: @1521166
     /* 1521166 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1521248), // Rule ID 18280 //
     /* 1521171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1521188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1521191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521210 */     // MIs[0] round
     /* 1521210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521213 */     // MIs[0] policy
     /* 1521213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521223 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1521226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521247 */     // GIR_Coverage, 18280,
     /* 1521247 */     GIR_EraseRootFromParent_Done,
     /* 1521248 */   // Label 21139: @1521248
     /* 1521248 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521330), // Rule ID 18283 //
     /* 1521253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521292 */     // MIs[0] round
     /* 1521292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521295 */     // MIs[0] policy
     /* 1521295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521305 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521329 */     // GIR_Coverage, 18283,
     /* 1521329 */     GIR_EraseRootFromParent_Done,
     /* 1521330 */   // Label 21140: @1521330
     /* 1521330 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521412), // Rule ID 18284 //
     /* 1521335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521374 */     // MIs[0] round
     /* 1521374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521377 */     // MIs[0] policy
     /* 1521377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521387 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1521390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521411 */     // GIR_Coverage, 18284,
     /* 1521411 */     GIR_EraseRootFromParent_Done,
     /* 1521412 */   // Label 21141: @1521412
     /* 1521412 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521494), // Rule ID 18287 //
     /* 1521417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521456 */     // MIs[0] round
     /* 1521456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521459 */     // MIs[0] policy
     /* 1521459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521469 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521493 */     // GIR_Coverage, 18287,
     /* 1521493 */     GIR_EraseRootFromParent_Done,
     /* 1521494 */   // Label 21142: @1521494
     /* 1521494 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521576), // Rule ID 18288 //
     /* 1521499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521538 */     // MIs[0] round
     /* 1521538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521541 */     // MIs[0] policy
     /* 1521541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521551 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1521554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521575 */     // GIR_Coverage, 18288,
     /* 1521575 */     GIR_EraseRootFromParent_Done,
     /* 1521576 */   // Label 21143: @1521576
     /* 1521576 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521658), // Rule ID 18291 //
     /* 1521581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521620 */     // MIs[0] round
     /* 1521620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521623 */     // MIs[0] policy
     /* 1521623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521633 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1521636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521657 */     // GIR_Coverage, 18291,
     /* 1521657 */     GIR_EraseRootFromParent_Done,
     /* 1521658 */   // Label 21144: @1521658
     /* 1521658 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521740), // Rule ID 18292 //
     /* 1521663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521702 */     // MIs[0] round
     /* 1521702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521705 */     // MIs[0] policy
     /* 1521705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521715 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1521718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521739 */     // GIR_Coverage, 18292,
     /* 1521739 */     GIR_EraseRootFromParent_Done,
     /* 1521740 */   // Label 21145: @1521740
     /* 1521740 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521822), // Rule ID 18295 //
     /* 1521745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521784 */     // MIs[0] round
     /* 1521784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521787 */     // MIs[0] policy
     /* 1521787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521797 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1521800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521821 */     // GIR_Coverage, 18295,
     /* 1521821 */     GIR_EraseRootFromParent_Done,
     /* 1521822 */   // Label 21146: @1521822
     /* 1521822 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521904), // Rule ID 18296 //
     /* 1521827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521866 */     // MIs[0] round
     /* 1521866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521869 */     // MIs[0] policy
     /* 1521869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521879 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1521882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521903 */     // GIR_Coverage, 18296,
     /* 1521903 */     GIR_EraseRootFromParent_Done,
     /* 1521904 */   // Label 21147: @1521904
     /* 1521904 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1521986), // Rule ID 18299 //
     /* 1521909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521948 */     // MIs[0] round
     /* 1521948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521951 */     // MIs[0] policy
     /* 1521951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521961 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1521964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521985 */     // GIR_Coverage, 18299,
     /* 1521985 */     GIR_EraseRootFromParent_Done,
     /* 1521986 */   // Label 21148: @1521986
     /* 1521986 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522068), // Rule ID 18300 //
     /* 1521991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1522002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1522005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1522011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522030 */     // MIs[0] round
     /* 1522030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522033 */     // MIs[0] policy
     /* 1522033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522043 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1522046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522067 */     // GIR_Coverage, 18300,
     /* 1522067 */     GIR_EraseRootFromParent_Done,
     /* 1522068 */   // Label 21149: @1522068
     /* 1522068 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522150), // Rule ID 18303 //
     /* 1522073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522112 */     // MIs[0] round
     /* 1522112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522115 */     // MIs[0] policy
     /* 1522115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522125 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522149 */     // GIR_Coverage, 18303,
     /* 1522149 */     GIR_EraseRootFromParent_Done,
     /* 1522150 */   // Label 21150: @1522150
     /* 1522150 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1522232), // Rule ID 18304 //
     /* 1522155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1522166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1522169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522194 */     // MIs[0] round
     /* 1522194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522197 */     // MIs[0] policy
     /* 1522197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522207 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1522210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522231 */     // GIR_Coverage, 18304,
     /* 1522231 */     GIR_EraseRootFromParent_Done,
     /* 1522232 */   // Label 21151: @1522232
     /* 1522232 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522314), // Rule ID 18307 //
     /* 1522237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522276 */     // MIs[0] round
     /* 1522276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522279 */     // MIs[0] policy
     /* 1522279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522289 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522313 */     // GIR_Coverage, 18307,
     /* 1522313 */     GIR_EraseRootFromParent_Done,
     /* 1522314 */   // Label 21152: @1522314
     /* 1522314 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522396), // Rule ID 18308 //
     /* 1522319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522358 */     // MIs[0] round
     /* 1522358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522361 */     // MIs[0] policy
     /* 1522361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522371 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1522374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522395 */     // GIR_Coverage, 18308,
     /* 1522395 */     GIR_EraseRootFromParent_Done,
     /* 1522396 */   // Label 21153: @1522396
     /* 1522396 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522478), // Rule ID 18311 //
     /* 1522401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522440 */     // MIs[0] round
     /* 1522440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522443 */     // MIs[0] policy
     /* 1522443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522453 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522477 */     // GIR_Coverage, 18311,
     /* 1522477 */     GIR_EraseRootFromParent_Done,
     /* 1522478 */   // Label 21154: @1522478
     /* 1522478 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522560), // Rule ID 18312 //
     /* 1522483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522522 */     // MIs[0] round
     /* 1522522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522525 */     // MIs[0] policy
     /* 1522525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522535 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1522538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522559 */     // GIR_Coverage, 18312,
     /* 1522559 */     GIR_EraseRootFromParent_Done,
     /* 1522560 */   // Label 21155: @1522560
     /* 1522560 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522642), // Rule ID 18315 //
     /* 1522565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522604 */     // MIs[0] round
     /* 1522604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522607 */     // MIs[0] policy
     /* 1522607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522617 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1522620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522641 */     // GIR_Coverage, 18315,
     /* 1522641 */     GIR_EraseRootFromParent_Done,
     /* 1522642 */   // Label 21156: @1522642
     /* 1522642 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522724), // Rule ID 18316 //
     /* 1522647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522686 */     // MIs[0] round
     /* 1522686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522689 */     // MIs[0] policy
     /* 1522689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522699 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1522702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522723 */     // GIR_Coverage, 18316,
     /* 1522723 */     GIR_EraseRootFromParent_Done,
     /* 1522724 */   // Label 21157: @1522724
     /* 1522724 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522806), // Rule ID 18319 //
     /* 1522729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522768 */     // MIs[0] round
     /* 1522768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522771 */     // MIs[0] policy
     /* 1522771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522781 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1522784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522805 */     // GIR_Coverage, 18319,
     /* 1522805 */     GIR_EraseRootFromParent_Done,
     /* 1522806 */   // Label 21158: @1522806
     /* 1522806 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522888), // Rule ID 18320 //
     /* 1522811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522850 */     // MIs[0] round
     /* 1522850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522853 */     // MIs[0] policy
     /* 1522853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522863 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1522866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522887 */     // GIR_Coverage, 18320,
     /* 1522887 */     GIR_EraseRootFromParent_Done,
     /* 1522888 */   // Label 21159: @1522888
     /* 1522888 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1522970), // Rule ID 18323 //
     /* 1522893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522932 */     // MIs[0] round
     /* 1522932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522935 */     // MIs[0] policy
     /* 1522935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522945 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1522948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522969 */     // GIR_Coverage, 18323,
     /* 1522969 */     GIR_EraseRootFromParent_Done,
     /* 1522970 */   // Label 21160: @1522970
     /* 1522970 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523052), // Rule ID 18324 //
     /* 1522975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523014 */     // MIs[0] round
     /* 1523014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523017 */     // MIs[0] policy
     /* 1523017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1523030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523051 */     // GIR_Coverage, 18324,
     /* 1523051 */     GIR_EraseRootFromParent_Done,
     /* 1523052 */   // Label 21161: @1523052
     /* 1523052 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523134), // Rule ID 18327 //
     /* 1523057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523096 */     // MIs[0] round
     /* 1523096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523099 */     // MIs[0] policy
     /* 1523099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523133 */     // GIR_Coverage, 18327,
     /* 1523133 */     GIR_EraseRootFromParent_Done,
     /* 1523134 */   // Label 21162: @1523134
     /* 1523134 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523216), // Rule ID 18328 //
     /* 1523139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1523159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523178 */     // MIs[0] round
     /* 1523178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523181 */     // MIs[0] policy
     /* 1523181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523191 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1523194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523215 */     // GIR_Coverage, 18328,
     /* 1523215 */     GIR_EraseRootFromParent_Done,
     /* 1523216 */   // Label 21163: @1523216
     /* 1523216 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523298), // Rule ID 18331 //
     /* 1523221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523260 */     // MIs[0] round
     /* 1523260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523263 */     // MIs[0] policy
     /* 1523263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523297 */     // GIR_Coverage, 18331,
     /* 1523297 */     GIR_EraseRootFromParent_Done,
     /* 1523298 */   // Label 21164: @1523298
     /* 1523298 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523380), // Rule ID 18332 //
     /* 1523303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1523323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523342 */     // MIs[0] round
     /* 1523342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523345 */     // MIs[0] policy
     /* 1523345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523355 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1523358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523379 */     // GIR_Coverage, 18332,
     /* 1523379 */     GIR_EraseRootFromParent_Done,
     /* 1523380 */   // Label 21165: @1523380
     /* 1523380 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523462), // Rule ID 18335 //
     /* 1523385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523424 */     // MIs[0] round
     /* 1523424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523427 */     // MIs[0] policy
     /* 1523427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523437 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523461 */     // GIR_Coverage, 18335,
     /* 1523461 */     GIR_EraseRootFromParent_Done,
     /* 1523462 */   // Label 21166: @1523462
     /* 1523462 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523544), // Rule ID 18336 //
     /* 1523467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523506 */     // MIs[0] round
     /* 1523506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523509 */     // MIs[0] policy
     /* 1523509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523519 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1523522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523543 */     // GIR_Coverage, 18336,
     /* 1523543 */     GIR_EraseRootFromParent_Done,
     /* 1523544 */   // Label 21167: @1523544
     /* 1523544 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523626), // Rule ID 18339 //
     /* 1523549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523588 */     // MIs[0] round
     /* 1523588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523591 */     // MIs[0] policy
     /* 1523591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523601 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1523604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523625 */     // GIR_Coverage, 18339,
     /* 1523625 */     GIR_EraseRootFromParent_Done,
     /* 1523626 */   // Label 21168: @1523626
     /* 1523626 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523708), // Rule ID 18340 //
     /* 1523631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523670 */     // MIs[0] round
     /* 1523670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523673 */     // MIs[0] policy
     /* 1523673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523683 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1523686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523707 */     // GIR_Coverage, 18340,
     /* 1523707 */     GIR_EraseRootFromParent_Done,
     /* 1523708 */   // Label 21169: @1523708
     /* 1523708 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523790), // Rule ID 18343 //
     /* 1523713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523752 */     // MIs[0] round
     /* 1523752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523755 */     // MIs[0] policy
     /* 1523755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523765 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1523768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523789 */     // GIR_Coverage, 18343,
     /* 1523789 */     GIR_EraseRootFromParent_Done,
     /* 1523790 */   // Label 21170: @1523790
     /* 1523790 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523872), // Rule ID 18344 //
     /* 1523795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523834 */     // MIs[0] round
     /* 1523834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523837 */     // MIs[0] policy
     /* 1523837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523847 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1523850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523871 */     // GIR_Coverage, 18344,
     /* 1523871 */     GIR_EraseRootFromParent_Done,
     /* 1523872 */   // Label 21171: @1523872
     /* 1523872 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1523954), // Rule ID 18347 //
     /* 1523877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523916 */     // MIs[0] round
     /* 1523916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523919 */     // MIs[0] policy
     /* 1523919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523929 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1523932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523953 */     // GIR_Coverage, 18347,
     /* 1523953 */     GIR_EraseRootFromParent_Done,
     /* 1523954 */   // Label 21172: @1523954
     /* 1523954 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524036), // Rule ID 18348 //
     /* 1523959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523998 */     // MIs[0] round
     /* 1523998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524001 */     // MIs[0] policy
     /* 1524001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524011 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1524014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524035 */     // GIR_Coverage, 18348,
     /* 1524035 */     GIR_EraseRootFromParent_Done,
     /* 1524036 */   // Label 21173: @1524036
     /* 1524036 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524118), // Rule ID 18351 //
     /* 1524041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524080 */     // MIs[0] round
     /* 1524080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524083 */     // MIs[0] policy
     /* 1524083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524093 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524117 */     // GIR_Coverage, 18351,
     /* 1524117 */     GIR_EraseRootFromParent_Done,
     /* 1524118 */   // Label 21174: @1524118
     /* 1524118 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524200), // Rule ID 18352 //
     /* 1524123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1524134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1524137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524162 */     // MIs[0] round
     /* 1524162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524165 */     // MIs[0] policy
     /* 1524165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524175 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1524178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524199 */     // GIR_Coverage, 18352,
     /* 1524199 */     GIR_EraseRootFromParent_Done,
     /* 1524200 */   // Label 21175: @1524200
     /* 1524200 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524282), // Rule ID 18355 //
     /* 1524205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524244 */     // MIs[0] round
     /* 1524244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524247 */     // MIs[0] policy
     /* 1524247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524281 */     // GIR_Coverage, 18355,
     /* 1524281 */     GIR_EraseRootFromParent_Done,
     /* 1524282 */   // Label 21176: @1524282
     /* 1524282 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524364), // Rule ID 18356 //
     /* 1524287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524326 */     // MIs[0] round
     /* 1524326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524329 */     // MIs[0] policy
     /* 1524329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524339 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1524342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524363 */     // GIR_Coverage, 18356,
     /* 1524363 */     GIR_EraseRootFromParent_Done,
     /* 1524364 */   // Label 21177: @1524364
     /* 1524364 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524446), // Rule ID 18359 //
     /* 1524369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524408 */     // MIs[0] round
     /* 1524408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524411 */     // MIs[0] policy
     /* 1524411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524421 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524445 */     // GIR_Coverage, 18359,
     /* 1524445 */     GIR_EraseRootFromParent_Done,
     /* 1524446 */   // Label 21178: @1524446
     /* 1524446 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524528), // Rule ID 18360 //
     /* 1524451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524490 */     // MIs[0] round
     /* 1524490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524493 */     // MIs[0] policy
     /* 1524493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524503 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1524506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524527 */     // GIR_Coverage, 18360,
     /* 1524527 */     GIR_EraseRootFromParent_Done,
     /* 1524528 */   // Label 21179: @1524528
     /* 1524528 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524610), // Rule ID 18363 //
     /* 1524533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524572 */     // MIs[0] round
     /* 1524572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524575 */     // MIs[0] policy
     /* 1524575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524585 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1524588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524609 */     // GIR_Coverage, 18363,
     /* 1524609 */     GIR_EraseRootFromParent_Done,
     /* 1524610 */   // Label 21180: @1524610
     /* 1524610 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524692), // Rule ID 18364 //
     /* 1524615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524654 */     // MIs[0] round
     /* 1524654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524657 */     // MIs[0] policy
     /* 1524657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1524670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524691 */     // GIR_Coverage, 18364,
     /* 1524691 */     GIR_EraseRootFromParent_Done,
     /* 1524692 */   // Label 21181: @1524692
     /* 1524692 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524774), // Rule ID 18367 //
     /* 1524697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524736 */     // MIs[0] round
     /* 1524736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524739 */     // MIs[0] policy
     /* 1524739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524749 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1524752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524773 */     // GIR_Coverage, 18367,
     /* 1524773 */     GIR_EraseRootFromParent_Done,
     /* 1524774 */   // Label 21182: @1524774
     /* 1524774 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524856), // Rule ID 18368 //
     /* 1524779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524818 */     // MIs[0] round
     /* 1524818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524821 */     // MIs[0] policy
     /* 1524821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1524834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524855 */     // GIR_Coverage, 18368,
     /* 1524855 */     GIR_EraseRootFromParent_Done,
     /* 1524856 */   // Label 21183: @1524856
     /* 1524856 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524938), // Rule ID 18371 //
     /* 1524861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524900 */     // MIs[0] round
     /* 1524900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524903 */     // MIs[0] policy
     /* 1524903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524913 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1524916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524937 */     // GIR_Coverage, 18371,
     /* 1524937 */     GIR_EraseRootFromParent_Done,
     /* 1524938 */   // Label 21184: @1524938
     /* 1524938 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525020), // Rule ID 18372 //
     /* 1524943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524982 */     // MIs[0] round
     /* 1524982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524985 */     // MIs[0] policy
     /* 1524985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524995 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1524998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525019 */     // GIR_Coverage, 18372,
     /* 1525019 */     GIR_EraseRootFromParent_Done,
     /* 1525020 */   // Label 21185: @1525020
     /* 1525020 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525102), // Rule ID 18375 //
     /* 1525025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525064 */     // MIs[0] round
     /* 1525064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525067 */     // MIs[0] policy
     /* 1525067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525101 */     // GIR_Coverage, 18375,
     /* 1525101 */     GIR_EraseRootFromParent_Done,
     /* 1525102 */   // Label 21186: @1525102
     /* 1525102 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525184), // Rule ID 18376 //
     /* 1525107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1525118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1525121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525146 */     // MIs[0] round
     /* 1525146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525149 */     // MIs[0] policy
     /* 1525149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1525162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525183 */     // GIR_Coverage, 18376,
     /* 1525183 */     GIR_EraseRootFromParent_Done,
     /* 1525184 */   // Label 21187: @1525184
     /* 1525184 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525266), // Rule ID 18379 //
     /* 1525189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525228 */     // MIs[0] round
     /* 1525228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525231 */     // MIs[0] policy
     /* 1525231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525241 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525265 */     // GIR_Coverage, 18379,
     /* 1525265 */     GIR_EraseRootFromParent_Done,
     /* 1525266 */   // Label 21188: @1525266
     /* 1525266 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525348), // Rule ID 18380 //
     /* 1525271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1525282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1525285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1525288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1525291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525310 */     // MIs[0] round
     /* 1525310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525313 */     // MIs[0] policy
     /* 1525313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525323 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1525326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525347 */     // GIR_Coverage, 18380,
     /* 1525347 */     GIR_EraseRootFromParent_Done,
     /* 1525348 */   // Label 21189: @1525348
     /* 1525348 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525430), // Rule ID 18383 //
     /* 1525353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525392 */     // MIs[0] round
     /* 1525392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525395 */     // MIs[0] policy
     /* 1525395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525405 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525429 */     // GIR_Coverage, 18383,
     /* 1525429 */     GIR_EraseRootFromParent_Done,
     /* 1525430 */   // Label 21190: @1525430
     /* 1525430 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525512), // Rule ID 18384 //
     /* 1525435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525474 */     // MIs[0] round
     /* 1525474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525477 */     // MIs[0] policy
     /* 1525477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525487 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1525490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525511 */     // GIR_Coverage, 18384,
     /* 1525511 */     GIR_EraseRootFromParent_Done,
     /* 1525512 */   // Label 21191: @1525512
     /* 1525512 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525594), // Rule ID 18387 //
     /* 1525517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525556 */     // MIs[0] round
     /* 1525556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525559 */     // MIs[0] policy
     /* 1525559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525569 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1525572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525593 */     // GIR_Coverage, 18387,
     /* 1525593 */     GIR_EraseRootFromParent_Done,
     /* 1525594 */   // Label 21192: @1525594
     /* 1525594 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525676), // Rule ID 18388 //
     /* 1525599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525638 */     // MIs[0] round
     /* 1525638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525641 */     // MIs[0] policy
     /* 1525641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525651 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1525654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525675 */     // GIR_Coverage, 18388,
     /* 1525675 */     GIR_EraseRootFromParent_Done,
     /* 1525676 */   // Label 21193: @1525676
     /* 1525676 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525758), // Rule ID 18391 //
     /* 1525681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525720 */     // MIs[0] round
     /* 1525720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525723 */     // MIs[0] policy
     /* 1525723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525733 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1525736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525757 */     // GIR_Coverage, 18391,
     /* 1525757 */     GIR_EraseRootFromParent_Done,
     /* 1525758 */   // Label 21194: @1525758
     /* 1525758 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525840), // Rule ID 18392 //
     /* 1525763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525802 */     // MIs[0] round
     /* 1525802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525805 */     // MIs[0] policy
     /* 1525805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525815 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1525818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525839 */     // GIR_Coverage, 18392,
     /* 1525839 */     GIR_EraseRootFromParent_Done,
     /* 1525840 */   // Label 21195: @1525840
     /* 1525840 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525922), // Rule ID 18395 //
     /* 1525845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525884 */     // MIs[0] round
     /* 1525884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525887 */     // MIs[0] policy
     /* 1525887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525897 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1525900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525921 */     // GIR_Coverage, 18395,
     /* 1525921 */     GIR_EraseRootFromParent_Done,
     /* 1525922 */   // Label 21196: @1525922
     /* 1525922 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526004), // Rule ID 18396 //
     /* 1525927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525966 */     // MIs[0] round
     /* 1525966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525969 */     // MIs[0] policy
     /* 1525969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525979 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1525982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526003 */     // GIR_Coverage, 18396,
     /* 1526003 */     GIR_EraseRootFromParent_Done,
     /* 1526004 */   // Label 21197: @1526004
     /* 1526004 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526086), // Rule ID 18399 //
     /* 1526009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526048 */     // MIs[0] round
     /* 1526048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526051 */     // MIs[0] policy
     /* 1526051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526061 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526085 */     // GIR_Coverage, 18399,
     /* 1526085 */     GIR_EraseRootFromParent_Done,
     /* 1526086 */   // Label 21198: @1526086
     /* 1526086 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526168), // Rule ID 18400 //
     /* 1526091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1526102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1526105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1526108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1526111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526130 */     // MIs[0] round
     /* 1526130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526133 */     // MIs[0] policy
     /* 1526133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526143 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1526146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526167 */     // GIR_Coverage, 18400,
     /* 1526167 */     GIR_EraseRootFromParent_Done,
     /* 1526168 */   // Label 21199: @1526168
     /* 1526168 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526250), // Rule ID 18403 //
     /* 1526173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526212 */     // MIs[0] round
     /* 1526212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526215 */     // MIs[0] policy
     /* 1526215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526225 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526249 */     // GIR_Coverage, 18403,
     /* 1526249 */     GIR_EraseRootFromParent_Done,
     /* 1526250 */   // Label 21200: @1526250
     /* 1526250 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526332), // Rule ID 18404 //
     /* 1526255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1526266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1526269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1526272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1526275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526294 */     // MIs[0] round
     /* 1526294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526297 */     // MIs[0] policy
     /* 1526297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526307 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1526310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526331 */     // GIR_Coverage, 18404,
     /* 1526331 */     GIR_EraseRootFromParent_Done,
     /* 1526332 */   // Label 21201: @1526332
     /* 1526332 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526414), // Rule ID 18407 //
     /* 1526337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526376 */     // MIs[0] round
     /* 1526376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526379 */     // MIs[0] policy
     /* 1526379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526389 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526413 */     // GIR_Coverage, 18407,
     /* 1526413 */     GIR_EraseRootFromParent_Done,
     /* 1526414 */   // Label 21202: @1526414
     /* 1526414 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526496), // Rule ID 18408 //
     /* 1526419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526458 */     // MIs[0] round
     /* 1526458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526461 */     // MIs[0] policy
     /* 1526461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526471 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1526474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526495 */     // GIR_Coverage, 18408,
     /* 1526495 */     GIR_EraseRootFromParent_Done,
     /* 1526496 */   // Label 21203: @1526496
     /* 1526496 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526578), // Rule ID 18411 //
     /* 1526501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526540 */     // MIs[0] round
     /* 1526540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526543 */     // MIs[0] policy
     /* 1526543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526553 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526577 */     // GIR_Coverage, 18411,
     /* 1526577 */     GIR_EraseRootFromParent_Done,
     /* 1526578 */   // Label 21204: @1526578
     /* 1526578 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526660), // Rule ID 18412 //
     /* 1526583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526622 */     // MIs[0] round
     /* 1526622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526625 */     // MIs[0] policy
     /* 1526625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526635 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1526638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526659 */     // GIR_Coverage, 18412,
     /* 1526659 */     GIR_EraseRootFromParent_Done,
     /* 1526660 */   // Label 21205: @1526660
     /* 1526660 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526742), // Rule ID 18415 //
     /* 1526665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526704 */     // MIs[0] round
     /* 1526704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526707 */     // MIs[0] policy
     /* 1526707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526717 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1526720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526741 */     // GIR_Coverage, 18415,
     /* 1526741 */     GIR_EraseRootFromParent_Done,
     /* 1526742 */   // Label 21206: @1526742
     /* 1526742 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526824), // Rule ID 18416 //
     /* 1526747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526786 */     // MIs[0] round
     /* 1526786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526789 */     // MIs[0] policy
     /* 1526789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526799 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1526802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526823 */     // GIR_Coverage, 18416,
     /* 1526823 */     GIR_EraseRootFromParent_Done,
     /* 1526824 */   // Label 21207: @1526824
     /* 1526824 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526906), // Rule ID 18419 //
     /* 1526829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526868 */     // MIs[0] round
     /* 1526868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526871 */     // MIs[0] policy
     /* 1526871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526881 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1526884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526905 */     // GIR_Coverage, 18419,
     /* 1526905 */     GIR_EraseRootFromParent_Done,
     /* 1526906 */   // Label 21208: @1526906
     /* 1526906 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1526988), // Rule ID 18420 //
     /* 1526911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526950 */     // MIs[0] round
     /* 1526950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526953 */     // MIs[0] policy
     /* 1526953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526963 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1526966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526987 */     // GIR_Coverage, 18420,
     /* 1526987 */     GIR_EraseRootFromParent_Done,
     /* 1526988 */   // Label 21209: @1526988
     /* 1526988 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527070), // Rule ID 18423 //
     /* 1526993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527032 */     // MIs[0] round
     /* 1527032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527035 */     // MIs[0] policy
     /* 1527035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527045 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527069 */     // GIR_Coverage, 18423,
     /* 1527069 */     GIR_EraseRootFromParent_Done,
     /* 1527070 */   // Label 21210: @1527070
     /* 1527070 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527152), // Rule ID 18424 //
     /* 1527075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527114 */     // MIs[0] round
     /* 1527114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527117 */     // MIs[0] policy
     /* 1527117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1527130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527151 */     // GIR_Coverage, 18424,
     /* 1527151 */     GIR_EraseRootFromParent_Done,
     /* 1527152 */   // Label 21211: @1527152
     /* 1527152 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527234), // Rule ID 18427 //
     /* 1527157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527196 */     // MIs[0] round
     /* 1527196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527199 */     // MIs[0] policy
     /* 1527199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527209 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527233 */     // GIR_Coverage, 18427,
     /* 1527233 */     GIR_EraseRootFromParent_Done,
     /* 1527234 */   // Label 21212: @1527234
     /* 1527234 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527316), // Rule ID 18428 //
     /* 1527239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1527259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527278 */     // MIs[0] round
     /* 1527278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527281 */     // MIs[0] policy
     /* 1527281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527291 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1527294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527315 */     // GIR_Coverage, 18428,
     /* 1527315 */     GIR_EraseRootFromParent_Done,
     /* 1527316 */   // Label 21213: @1527316
     /* 1527316 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527398), // Rule ID 18431 //
     /* 1527321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527360 */     // MIs[0] round
     /* 1527360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527363 */     // MIs[0] policy
     /* 1527363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527373 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527397 */     // GIR_Coverage, 18431,
     /* 1527397 */     GIR_EraseRootFromParent_Done,
     /* 1527398 */   // Label 21214: @1527398
     /* 1527398 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527480), // Rule ID 18432 //
     /* 1527403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527442 */     // MIs[0] round
     /* 1527442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527445 */     // MIs[0] policy
     /* 1527445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1527458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527479 */     // GIR_Coverage, 18432,
     /* 1527479 */     GIR_EraseRootFromParent_Done,
     /* 1527480 */   // Label 21215: @1527480
     /* 1527480 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527562), // Rule ID 18435 //
     /* 1527485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527524 */     // MIs[0] round
     /* 1527524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527527 */     // MIs[0] policy
     /* 1527527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527537 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527561 */     // GIR_Coverage, 18435,
     /* 1527561 */     GIR_EraseRootFromParent_Done,
     /* 1527562 */   // Label 21216: @1527562
     /* 1527562 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527644), // Rule ID 18436 //
     /* 1527567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527606 */     // MIs[0] round
     /* 1527606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527609 */     // MIs[0] policy
     /* 1527609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527619 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1527622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527643 */     // GIR_Coverage, 18436,
     /* 1527643 */     GIR_EraseRootFromParent_Done,
     /* 1527644 */   // Label 21217: @1527644
     /* 1527644 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527726), // Rule ID 18439 //
     /* 1527649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527688 */     // MIs[0] round
     /* 1527688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527691 */     // MIs[0] policy
     /* 1527691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527701 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1527704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527725 */     // GIR_Coverage, 18439,
     /* 1527725 */     GIR_EraseRootFromParent_Done,
     /* 1527726 */   // Label 21218: @1527726
     /* 1527726 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527808), // Rule ID 18440 //
     /* 1527731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527770 */     // MIs[0] round
     /* 1527770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527773 */     // MIs[0] policy
     /* 1527773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527783 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1527786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527807 */     // GIR_Coverage, 18440,
     /* 1527807 */     GIR_EraseRootFromParent_Done,
     /* 1527808 */   // Label 21219: @1527808
     /* 1527808 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527890), // Rule ID 18443 //
     /* 1527813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527852 */     // MIs[0] round
     /* 1527852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527855 */     // MIs[0] policy
     /* 1527855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527865 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1527868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527889 */     // GIR_Coverage, 18443,
     /* 1527889 */     GIR_EraseRootFromParent_Done,
     /* 1527890 */   // Label 21220: @1527890
     /* 1527890 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1527972), // Rule ID 18444 //
     /* 1527895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527934 */     // MIs[0] round
     /* 1527934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527937 */     // MIs[0] policy
     /* 1527937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1527950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527971 */     // GIR_Coverage, 18444,
     /* 1527971 */     GIR_EraseRootFromParent_Done,
     /* 1527972 */   // Label 21221: @1527972
     /* 1527972 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528054), // Rule ID 18447 //
     /* 1527977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528016 */     // MIs[0] round
     /* 1528016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528019 */     // MIs[0] policy
     /* 1528019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528029 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528053 */     // GIR_Coverage, 18447,
     /* 1528053 */     GIR_EraseRootFromParent_Done,
     /* 1528054 */   // Label 21222: @1528054
     /* 1528054 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528136), // Rule ID 18448 //
     /* 1528059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1528079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528098 */     // MIs[0] round
     /* 1528098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528101 */     // MIs[0] policy
     /* 1528101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528111 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1528114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528135 */     // GIR_Coverage, 18448,
     /* 1528135 */     GIR_EraseRootFromParent_Done,
     /* 1528136 */   // Label 21223: @1528136
     /* 1528136 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528218), // Rule ID 18451 //
     /* 1528141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528180 */     // MIs[0] round
     /* 1528180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528183 */     // MIs[0] policy
     /* 1528183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528193 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528217 */     // GIR_Coverage, 18451,
     /* 1528217 */     GIR_EraseRootFromParent_Done,
     /* 1528218 */   // Label 21224: @1528218
     /* 1528218 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528300), // Rule ID 18452 //
     /* 1528223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1528243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528262 */     // MIs[0] round
     /* 1528262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528265 */     // MIs[0] policy
     /* 1528265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1528278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528299 */     // GIR_Coverage, 18452,
     /* 1528299 */     GIR_EraseRootFromParent_Done,
     /* 1528300 */   // Label 21225: @1528300
     /* 1528300 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528382), // Rule ID 18455 //
     /* 1528305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528344 */     // MIs[0] round
     /* 1528344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528347 */     // MIs[0] policy
     /* 1528347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528357 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528381 */     // GIR_Coverage, 18455,
     /* 1528381 */     GIR_EraseRootFromParent_Done,
     /* 1528382 */   // Label 21226: @1528382
     /* 1528382 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528464), // Rule ID 18456 //
     /* 1528387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528426 */     // MIs[0] round
     /* 1528426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528429 */     // MIs[0] policy
     /* 1528429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528439 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1528442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528463 */     // GIR_Coverage, 18456,
     /* 1528463 */     GIR_EraseRootFromParent_Done,
     /* 1528464 */   // Label 21227: @1528464
     /* 1528464 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528546), // Rule ID 18459 //
     /* 1528469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528508 */     // MIs[0] round
     /* 1528508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528511 */     // MIs[0] policy
     /* 1528511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528521 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528545 */     // GIR_Coverage, 18459,
     /* 1528545 */     GIR_EraseRootFromParent_Done,
     /* 1528546 */   // Label 21228: @1528546
     /* 1528546 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528628), // Rule ID 18460 //
     /* 1528551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528590 */     // MIs[0] round
     /* 1528590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528593 */     // MIs[0] policy
     /* 1528593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528603 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1528606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528627 */     // GIR_Coverage, 18460,
     /* 1528627 */     GIR_EraseRootFromParent_Done,
     /* 1528628 */   // Label 21229: @1528628
     /* 1528628 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528710), // Rule ID 18463 //
     /* 1528633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528672 */     // MIs[0] round
     /* 1528672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528675 */     // MIs[0] policy
     /* 1528675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528685 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1528688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528709 */     // GIR_Coverage, 18463,
     /* 1528709 */     GIR_EraseRootFromParent_Done,
     /* 1528710 */   // Label 21230: @1528710
     /* 1528710 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528792), // Rule ID 18464 //
     /* 1528715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528754 */     // MIs[0] round
     /* 1528754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528757 */     // MIs[0] policy
     /* 1528757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528767 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1528770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528791 */     // GIR_Coverage, 18464,
     /* 1528791 */     GIR_EraseRootFromParent_Done,
     /* 1528792 */   // Label 21231: @1528792
     /* 1528792 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528874), // Rule ID 18467 //
     /* 1528797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528836 */     // MIs[0] round
     /* 1528836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528839 */     // MIs[0] policy
     /* 1528839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528849 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1528852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528873 */     // GIR_Coverage, 18467,
     /* 1528873 */     GIR_EraseRootFromParent_Done,
     /* 1528874 */   // Label 21232: @1528874
     /* 1528874 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1528956), // Rule ID 18468 //
     /* 1528879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528918 */     // MIs[0] round
     /* 1528918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528921 */     // MIs[0] policy
     /* 1528921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528931 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1528934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528955 */     // GIR_Coverage, 18468,
     /* 1528955 */     GIR_EraseRootFromParent_Done,
     /* 1528956 */   // Label 21233: @1528956
     /* 1528956 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529038), // Rule ID 18471 //
     /* 1528961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529000 */     // MIs[0] round
     /* 1529000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529003 */     // MIs[0] policy
     /* 1529003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529013 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529037 */     // GIR_Coverage, 18471,
     /* 1529037 */     GIR_EraseRootFromParent_Done,
     /* 1529038 */   // Label 21234: @1529038
     /* 1529038 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529120), // Rule ID 18472 //
     /* 1529043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1529054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1529057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1529060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529082 */     // MIs[0] round
     /* 1529082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529085 */     // MIs[0] policy
     /* 1529085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529095 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1529098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529119 */     // GIR_Coverage, 18472,
     /* 1529119 */     GIR_EraseRootFromParent_Done,
     /* 1529120 */   // Label 21235: @1529120
     /* 1529120 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529202), // Rule ID 18475 //
     /* 1529125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529164 */     // MIs[0] round
     /* 1529164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529167 */     // MIs[0] policy
     /* 1529167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529201 */     // GIR_Coverage, 18475,
     /* 1529201 */     GIR_EraseRootFromParent_Done,
     /* 1529202 */   // Label 21236: @1529202
     /* 1529202 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529284), // Rule ID 18476 //
     /* 1529207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529246 */     // MIs[0] round
     /* 1529246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529249 */     // MIs[0] policy
     /* 1529249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529259 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1529262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529283 */     // GIR_Coverage, 18476,
     /* 1529283 */     GIR_EraseRootFromParent_Done,
     /* 1529284 */   // Label 21237: @1529284
     /* 1529284 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529366), // Rule ID 18479 //
     /* 1529289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529328 */     // MIs[0] round
     /* 1529328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529331 */     // MIs[0] policy
     /* 1529331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529341 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529365 */     // GIR_Coverage, 18479,
     /* 1529365 */     GIR_EraseRootFromParent_Done,
     /* 1529366 */   // Label 21238: @1529366
     /* 1529366 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529448), // Rule ID 18480 //
     /* 1529371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529410 */     // MIs[0] round
     /* 1529410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529413 */     // MIs[0] policy
     /* 1529413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529423 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1529426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529447 */     // GIR_Coverage, 18480,
     /* 1529447 */     GIR_EraseRootFromParent_Done,
     /* 1529448 */   // Label 21239: @1529448
     /* 1529448 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529530), // Rule ID 18483 //
     /* 1529453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529492 */     // MIs[0] round
     /* 1529492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529495 */     // MIs[0] policy
     /* 1529495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529529 */     // GIR_Coverage, 18483,
     /* 1529529 */     GIR_EraseRootFromParent_Done,
     /* 1529530 */   // Label 21240: @1529530
     /* 1529530 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529612), // Rule ID 18484 //
     /* 1529535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529574 */     // MIs[0] round
     /* 1529574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529577 */     // MIs[0] policy
     /* 1529577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1529590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529611 */     // GIR_Coverage, 18484,
     /* 1529611 */     GIR_EraseRootFromParent_Done,
     /* 1529612 */   // Label 21241: @1529612
     /* 1529612 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529694), // Rule ID 18487 //
     /* 1529617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529656 */     // MIs[0] round
     /* 1529656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529659 */     // MIs[0] policy
     /* 1529659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1529672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529693 */     // GIR_Coverage, 18487,
     /* 1529693 */     GIR_EraseRootFromParent_Done,
     /* 1529694 */   // Label 21242: @1529694
     /* 1529694 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529776), // Rule ID 18488 //
     /* 1529699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529738 */     // MIs[0] round
     /* 1529738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529741 */     // MIs[0] policy
     /* 1529741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1529754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529775 */     // GIR_Coverage, 18488,
     /* 1529775 */     GIR_EraseRootFromParent_Done,
     /* 1529776 */   // Label 21243: @1529776
     /* 1529776 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529858), // Rule ID 18491 //
     /* 1529781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529820 */     // MIs[0] round
     /* 1529820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529823 */     // MIs[0] policy
     /* 1529823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529833 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1529836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529857 */     // GIR_Coverage, 18491,
     /* 1529857 */     GIR_EraseRootFromParent_Done,
     /* 1529858 */   // Label 21244: @1529858
     /* 1529858 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1529940), // Rule ID 18492 //
     /* 1529863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529902 */     // MIs[0] round
     /* 1529902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529905 */     // MIs[0] policy
     /* 1529905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529915 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1529918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529939 */     // GIR_Coverage, 18492,
     /* 1529939 */     GIR_EraseRootFromParent_Done,
     /* 1529940 */   // Label 21245: @1529940
     /* 1529940 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530022), // Rule ID 18495 //
     /* 1529945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1529962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529984 */     // MIs[0] round
     /* 1529984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529987 */     // MIs[0] policy
     /* 1529987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529997 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530021 */     // GIR_Coverage, 18495,
     /* 1530021 */     GIR_EraseRootFromParent_Done,
     /* 1530022 */   // Label 21246: @1530022
     /* 1530022 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530104), // Rule ID 18496 //
     /* 1530027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1530038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1530041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1530044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530066 */     // MIs[0] round
     /* 1530066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530069 */     // MIs[0] policy
     /* 1530069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530079 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1530082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530103 */     // GIR_Coverage, 18496,
     /* 1530103 */     GIR_EraseRootFromParent_Done,
     /* 1530104 */   // Label 21247: @1530104
     /* 1530104 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530186), // Rule ID 18499 //
     /* 1530109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530148 */     // MIs[0] round
     /* 1530148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530151 */     // MIs[0] policy
     /* 1530151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530161 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530185 */     // GIR_Coverage, 18499,
     /* 1530185 */     GIR_EraseRootFromParent_Done,
     /* 1530186 */   // Label 21248: @1530186
     /* 1530186 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530268), // Rule ID 18500 //
     /* 1530191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1530202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1530205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1530208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1530211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530230 */     // MIs[0] round
     /* 1530230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530233 */     // MIs[0] policy
     /* 1530233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530243 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1530246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530267 */     // GIR_Coverage, 18500,
     /* 1530267 */     GIR_EraseRootFromParent_Done,
     /* 1530268 */   // Label 21249: @1530268
     /* 1530268 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530350), // Rule ID 18503 //
     /* 1530273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530312 */     // MIs[0] round
     /* 1530312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530315 */     // MIs[0] policy
     /* 1530315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530325 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530349 */     // GIR_Coverage, 18503,
     /* 1530349 */     GIR_EraseRootFromParent_Done,
     /* 1530350 */   // Label 21250: @1530350
     /* 1530350 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530432), // Rule ID 18504 //
     /* 1530355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530394 */     // MIs[0] round
     /* 1530394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530397 */     // MIs[0] policy
     /* 1530397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530407 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1530410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530431 */     // GIR_Coverage, 18504,
     /* 1530431 */     GIR_EraseRootFromParent_Done,
     /* 1530432 */   // Label 21251: @1530432
     /* 1530432 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530514), // Rule ID 18507 //
     /* 1530437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530476 */     // MIs[0] round
     /* 1530476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530479 */     // MIs[0] policy
     /* 1530479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530513 */     // GIR_Coverage, 18507,
     /* 1530513 */     GIR_EraseRootFromParent_Done,
     /* 1530514 */   // Label 21252: @1530514
     /* 1530514 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530596), // Rule ID 18508 //
     /* 1530519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530558 */     // MIs[0] round
     /* 1530558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530561 */     // MIs[0] policy
     /* 1530561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1530574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530595 */     // GIR_Coverage, 18508,
     /* 1530595 */     GIR_EraseRootFromParent_Done,
     /* 1530596 */   // Label 21253: @1530596
     /* 1530596 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530678), // Rule ID 18511 //
     /* 1530601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530640 */     // MIs[0] round
     /* 1530640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530643 */     // MIs[0] policy
     /* 1530643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530653 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1530656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530677 */     // GIR_Coverage, 18511,
     /* 1530677 */     GIR_EraseRootFromParent_Done,
     /* 1530678 */   // Label 21254: @1530678
     /* 1530678 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530760), // Rule ID 18512 //
     /* 1530683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530722 */     // MIs[0] round
     /* 1530722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530725 */     // MIs[0] policy
     /* 1530725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530735 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1530738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530759 */     // GIR_Coverage, 18512,
     /* 1530759 */     GIR_EraseRootFromParent_Done,
     /* 1530760 */   // Label 21255: @1530760
     /* 1530760 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530842), // Rule ID 18515 //
     /* 1530765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530804 */     // MIs[0] round
     /* 1530804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530807 */     // MIs[0] policy
     /* 1530807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530817 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1530820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530841 */     // GIR_Coverage, 18515,
     /* 1530841 */     GIR_EraseRootFromParent_Done,
     /* 1530842 */   // Label 21256: @1530842
     /* 1530842 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1530924), // Rule ID 18516 //
     /* 1530847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530886 */     // MIs[0] round
     /* 1530886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530889 */     // MIs[0] policy
     /* 1530889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530899 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1530902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530923 */     // GIR_Coverage, 18516,
     /* 1530923 */     GIR_EraseRootFromParent_Done,
     /* 1530924 */   // Label 21257: @1530924
     /* 1530924 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531006), // Rule ID 18519 //
     /* 1530929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530968 */     // MIs[0] round
     /* 1530968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530971 */     // MIs[0] policy
     /* 1530971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530981 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1530984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531005 */     // GIR_Coverage, 18519,
     /* 1531005 */     GIR_EraseRootFromParent_Done,
     /* 1531006 */   // Label 21258: @1531006
     /* 1531006 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531088), // Rule ID 18520 //
     /* 1531011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1531028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1531031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531050 */     // MIs[0] round
     /* 1531050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531053 */     // MIs[0] policy
     /* 1531053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531063 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1531066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531087 */     // GIR_Coverage, 18520,
     /* 1531087 */     GIR_EraseRootFromParent_Done,
     /* 1531088 */   // Label 21259: @1531088
     /* 1531088 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531170), // Rule ID 18523 //
     /* 1531093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531132 */     // MIs[0] round
     /* 1531132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531135 */     // MIs[0] policy
     /* 1531135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531145 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531169 */     // GIR_Coverage, 18523,
     /* 1531169 */     GIR_EraseRootFromParent_Done,
     /* 1531170 */   // Label 21260: @1531170
     /* 1531170 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531252), // Rule ID 18524 //
     /* 1531175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1531186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1531189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1531192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1531195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531214 */     // MIs[0] round
     /* 1531214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531217 */     // MIs[0] policy
     /* 1531217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531227 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1531230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531251 */     // GIR_Coverage, 18524,
     /* 1531251 */     GIR_EraseRootFromParent_Done,
     /* 1531252 */   // Label 21261: @1531252
     /* 1531252 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531334), // Rule ID 18527 //
     /* 1531257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531296 */     // MIs[0] round
     /* 1531296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531299 */     // MIs[0] policy
     /* 1531299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531309 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531333 */     // GIR_Coverage, 18527,
     /* 1531333 */     GIR_EraseRootFromParent_Done,
     /* 1531334 */   // Label 21262: @1531334
     /* 1531334 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531416), // Rule ID 18528 //
     /* 1531339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531378 */     // MIs[0] round
     /* 1531378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531381 */     // MIs[0] policy
     /* 1531381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531391 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1531394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531415 */     // GIR_Coverage, 18528,
     /* 1531415 */     GIR_EraseRootFromParent_Done,
     /* 1531416 */   // Label 21263: @1531416
     /* 1531416 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531498), // Rule ID 18531 //
     /* 1531421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531460 */     // MIs[0] round
     /* 1531460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531463 */     // MIs[0] policy
     /* 1531463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531473 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531497 */     // GIR_Coverage, 18531,
     /* 1531497 */     GIR_EraseRootFromParent_Done,
     /* 1531498 */   // Label 21264: @1531498
     /* 1531498 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531580), // Rule ID 18532 //
     /* 1531503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531542 */     // MIs[0] round
     /* 1531542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531545 */     // MIs[0] policy
     /* 1531545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1531558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531579 */     // GIR_Coverage, 18532,
     /* 1531579 */     GIR_EraseRootFromParent_Done,
     /* 1531580 */   // Label 21265: @1531580
     /* 1531580 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531662), // Rule ID 18535 //
     /* 1531585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531624 */     // MIs[0] round
     /* 1531624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531627 */     // MIs[0] policy
     /* 1531627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531637 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1531640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531661 */     // GIR_Coverage, 18535,
     /* 1531661 */     GIR_EraseRootFromParent_Done,
     /* 1531662 */   // Label 21266: @1531662
     /* 1531662 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531744), // Rule ID 18536 //
     /* 1531667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531706 */     // MIs[0] round
     /* 1531706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531709 */     // MIs[0] policy
     /* 1531709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531719 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1531722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531743 */     // GIR_Coverage, 18536,
     /* 1531743 */     GIR_EraseRootFromParent_Done,
     /* 1531744 */   // Label 21267: @1531744
     /* 1531744 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531826), // Rule ID 18539 //
     /* 1531749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531788 */     // MIs[0] round
     /* 1531788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531791 */     // MIs[0] policy
     /* 1531791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531801 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1531804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531825 */     // GIR_Coverage, 18539,
     /* 1531825 */     GIR_EraseRootFromParent_Done,
     /* 1531826 */   // Label 21268: @1531826
     /* 1531826 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1531908), // Rule ID 18540 //
     /* 1531831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531870 */     // MIs[0] round
     /* 1531870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531873 */     // MIs[0] policy
     /* 1531873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531883 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1531886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531907 */     // GIR_Coverage, 18540,
     /* 1531907 */     GIR_EraseRootFromParent_Done,
     /* 1531908 */   // Label 21269: @1531908
     /* 1531908 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1531990), // Rule ID 18543 //
     /* 1531913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531952 */     // MIs[0] round
     /* 1531952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531955 */     // MIs[0] policy
     /* 1531955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531965 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1531968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531989 */     // GIR_Coverage, 18543,
     /* 1531989 */     GIR_EraseRootFromParent_Done,
     /* 1531990 */   // Label 21270: @1531990
     /* 1531990 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532072), // Rule ID 18544 //
     /* 1531995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1532015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532034 */     // MIs[0] round
     /* 1532034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532037 */     // MIs[0] policy
     /* 1532037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532047 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1532050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532071 */     // GIR_Coverage, 18544,
     /* 1532071 */     GIR_EraseRootFromParent_Done,
     /* 1532072 */   // Label 21271: @1532072
     /* 1532072 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532154), // Rule ID 18547 //
     /* 1532077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532116 */     // MIs[0] round
     /* 1532116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532119 */     // MIs[0] policy
     /* 1532119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532129 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532153 */     // GIR_Coverage, 18547,
     /* 1532153 */     GIR_EraseRootFromParent_Done,
     /* 1532154 */   // Label 21272: @1532154
     /* 1532154 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532236), // Rule ID 18548 //
     /* 1532159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1532179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532198 */     // MIs[0] round
     /* 1532198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532201 */     // MIs[0] policy
     /* 1532201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532211 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1532214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532235 */     // GIR_Coverage, 18548,
     /* 1532235 */     GIR_EraseRootFromParent_Done,
     /* 1532236 */   // Label 21273: @1532236
     /* 1532236 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532318), // Rule ID 18551 //
     /* 1532241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532280 */     // MIs[0] round
     /* 1532280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532283 */     // MIs[0] policy
     /* 1532283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532293 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532317 */     // GIR_Coverage, 18551,
     /* 1532317 */     GIR_EraseRootFromParent_Done,
     /* 1532318 */   // Label 21274: @1532318
     /* 1532318 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532400), // Rule ID 18552 //
     /* 1532323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532362 */     // MIs[0] round
     /* 1532362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532365 */     // MIs[0] policy
     /* 1532365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532375 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1532378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532399 */     // GIR_Coverage, 18552,
     /* 1532399 */     GIR_EraseRootFromParent_Done,
     /* 1532400 */   // Label 21275: @1532400
     /* 1532400 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532482), // Rule ID 18555 //
     /* 1532405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532444 */     // MIs[0] round
     /* 1532444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532447 */     // MIs[0] policy
     /* 1532447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532457 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532481 */     // GIR_Coverage, 18555,
     /* 1532481 */     GIR_EraseRootFromParent_Done,
     /* 1532482 */   // Label 21276: @1532482
     /* 1532482 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532564), // Rule ID 18556 //
     /* 1532487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532526 */     // MIs[0] round
     /* 1532526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532529 */     // MIs[0] policy
     /* 1532529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1532542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532563 */     // GIR_Coverage, 18556,
     /* 1532563 */     GIR_EraseRootFromParent_Done,
     /* 1532564 */   // Label 21277: @1532564
     /* 1532564 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532646), // Rule ID 18559 //
     /* 1532569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532608 */     // MIs[0] round
     /* 1532608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532611 */     // MIs[0] policy
     /* 1532611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532621 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1532624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532645 */     // GIR_Coverage, 18559,
     /* 1532645 */     GIR_EraseRootFromParent_Done,
     /* 1532646 */   // Label 21278: @1532646
     /* 1532646 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532728), // Rule ID 18560 //
     /* 1532651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532690 */     // MIs[0] round
     /* 1532690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532693 */     // MIs[0] policy
     /* 1532693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532703 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1532706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532727 */     // GIR_Coverage, 18560,
     /* 1532727 */     GIR_EraseRootFromParent_Done,
     /* 1532728 */   // Label 21279: @1532728
     /* 1532728 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532810), // Rule ID 18563 //
     /* 1532733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532772 */     // MIs[0] round
     /* 1532772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532775 */     // MIs[0] policy
     /* 1532775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532785 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1532788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532809 */     // GIR_Coverage, 18563,
     /* 1532809 */     GIR_EraseRootFromParent_Done,
     /* 1532810 */   // Label 21280: @1532810
     /* 1532810 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532892), // Rule ID 18564 //
     /* 1532815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532854 */     // MIs[0] round
     /* 1532854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532857 */     // MIs[0] policy
     /* 1532857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532867 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1532870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532891 */     // GIR_Coverage, 18564,
     /* 1532891 */     GIR_EraseRootFromParent_Done,
     /* 1532892 */   // Label 21281: @1532892
     /* 1532892 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1532974), // Rule ID 18567 //
     /* 1532897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532936 */     // MIs[0] round
     /* 1532936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532939 */     // MIs[0] policy
     /* 1532939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532949 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1532952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532973 */     // GIR_Coverage, 18567,
     /* 1532973 */     GIR_EraseRootFromParent_Done,
     /* 1532974 */   // Label 21282: @1532974
     /* 1532974 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533056), // Rule ID 18568 //
     /* 1532979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533018 */     // MIs[0] round
     /* 1533018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533021 */     // MIs[0] policy
     /* 1533021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533031 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1533034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533055 */     // GIR_Coverage, 18568,
     /* 1533055 */     GIR_EraseRootFromParent_Done,
     /* 1533056 */   // Label 21283: @1533056
     /* 1533056 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533138), // Rule ID 18571 //
     /* 1533061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533100 */     // MIs[0] round
     /* 1533100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533103 */     // MIs[0] policy
     /* 1533103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533113 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533137 */     // GIR_Coverage, 18571,
     /* 1533137 */     GIR_EraseRootFromParent_Done,
     /* 1533138 */   // Label 21284: @1533138
     /* 1533138 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533220), // Rule ID 18572 //
     /* 1533143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1533163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533182 */     // MIs[0] round
     /* 1533182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533185 */     // MIs[0] policy
     /* 1533185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533195 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1533198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533219 */     // GIR_Coverage, 18572,
     /* 1533219 */     GIR_EraseRootFromParent_Done,
     /* 1533220 */   // Label 21285: @1533220
     /* 1533220 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533302), // Rule ID 18575 //
     /* 1533225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533264 */     // MIs[0] round
     /* 1533264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533267 */     // MIs[0] policy
     /* 1533267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533301 */     // GIR_Coverage, 18575,
     /* 1533301 */     GIR_EraseRootFromParent_Done,
     /* 1533302 */   // Label 21286: @1533302
     /* 1533302 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533384), // Rule ID 18576 //
     /* 1533307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533346 */     // MIs[0] round
     /* 1533346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533349 */     // MIs[0] policy
     /* 1533349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533359 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1533362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533383 */     // GIR_Coverage, 18576,
     /* 1533383 */     GIR_EraseRootFromParent_Done,
     /* 1533384 */   // Label 21287: @1533384
     /* 1533384 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533466), // Rule ID 18579 //
     /* 1533389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533428 */     // MIs[0] round
     /* 1533428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533431 */     // MIs[0] policy
     /* 1533431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533441 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533465 */     // GIR_Coverage, 18579,
     /* 1533465 */     GIR_EraseRootFromParent_Done,
     /* 1533466 */   // Label 21288: @1533466
     /* 1533466 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533548), // Rule ID 18580 //
     /* 1533471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533510 */     // MIs[0] round
     /* 1533510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533513 */     // MIs[0] policy
     /* 1533513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533523 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1533526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533547 */     // GIR_Coverage, 18580,
     /* 1533547 */     GIR_EraseRootFromParent_Done,
     /* 1533548 */   // Label 21289: @1533548
     /* 1533548 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533630), // Rule ID 18583 //
     /* 1533553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533592 */     // MIs[0] round
     /* 1533592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533595 */     // MIs[0] policy
     /* 1533595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533605 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1533608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533629 */     // GIR_Coverage, 18583,
     /* 1533629 */     GIR_EraseRootFromParent_Done,
     /* 1533630 */   // Label 21290: @1533630
     /* 1533630 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533712), // Rule ID 18584 //
     /* 1533635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533674 */     // MIs[0] round
     /* 1533674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533677 */     // MIs[0] policy
     /* 1533677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533687 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1533690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533711 */     // GIR_Coverage, 18584,
     /* 1533711 */     GIR_EraseRootFromParent_Done,
     /* 1533712 */   // Label 21291: @1533712
     /* 1533712 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533794), // Rule ID 18587 //
     /* 1533717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533756 */     // MIs[0] round
     /* 1533756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533759 */     // MIs[0] policy
     /* 1533759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533769 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1533772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533793 */     // GIR_Coverage, 18587,
     /* 1533793 */     GIR_EraseRootFromParent_Done,
     /* 1533794 */   // Label 21292: @1533794
     /* 1533794 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533876), // Rule ID 18588 //
     /* 1533799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533838 */     // MIs[0] round
     /* 1533838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533841 */     // MIs[0] policy
     /* 1533841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533851 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1533854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533875 */     // GIR_Coverage, 18588,
     /* 1533875 */     GIR_EraseRootFromParent_Done,
     /* 1533876 */   // Label 21293: @1533876
     /* 1533876 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1533958), // Rule ID 18591 //
     /* 1533881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533920 */     // MIs[0] round
     /* 1533920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533923 */     // MIs[0] policy
     /* 1533923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1533936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533957 */     // GIR_Coverage, 18591,
     /* 1533957 */     GIR_EraseRootFromParent_Done,
     /* 1533958 */   // Label 21294: @1533958
     /* 1533958 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534040), // Rule ID 18592 //
     /* 1533963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534002 */     // MIs[0] round
     /* 1534002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534005 */     // MIs[0] policy
     /* 1534005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1534018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534039 */     // GIR_Coverage, 18592,
     /* 1534039 */     GIR_EraseRootFromParent_Done,
     /* 1534040 */   // Label 21295: @1534040
     /* 1534040 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534122), // Rule ID 18595 //
     /* 1534045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534084 */     // MIs[0] round
     /* 1534084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534087 */     // MIs[0] policy
     /* 1534087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534121 */     // GIR_Coverage, 18595,
     /* 1534121 */     GIR_EraseRootFromParent_Done,
     /* 1534122 */   // Label 21296: @1534122
     /* 1534122 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534204), // Rule ID 18596 //
     /* 1534127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534166 */     // MIs[0] round
     /* 1534166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534169 */     // MIs[0] policy
     /* 1534169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534179 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1534182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534203 */     // GIR_Coverage, 18596,
     /* 1534203 */     GIR_EraseRootFromParent_Done,
     /* 1534204 */   // Label 21297: @1534204
     /* 1534204 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534286), // Rule ID 18599 //
     /* 1534209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534248 */     // MIs[0] round
     /* 1534248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534251 */     // MIs[0] policy
     /* 1534251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534261 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534285 */     // GIR_Coverage, 18599,
     /* 1534285 */     GIR_EraseRootFromParent_Done,
     /* 1534286 */   // Label 21298: @1534286
     /* 1534286 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534368), // Rule ID 18600 //
     /* 1534291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534330 */     // MIs[0] round
     /* 1534330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534333 */     // MIs[0] policy
     /* 1534333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534343 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1534346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534367 */     // GIR_Coverage, 18600,
     /* 1534367 */     GIR_EraseRootFromParent_Done,
     /* 1534368 */   // Label 21299: @1534368
     /* 1534368 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534450), // Rule ID 18603 //
     /* 1534373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534412 */     // MIs[0] round
     /* 1534412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534415 */     // MIs[0] policy
     /* 1534415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534425 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534449 */     // GIR_Coverage, 18603,
     /* 1534449 */     GIR_EraseRootFromParent_Done,
     /* 1534450 */   // Label 21300: @1534450
     /* 1534450 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534532), // Rule ID 18604 //
     /* 1534455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534494 */     // MIs[0] round
     /* 1534494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534497 */     // MIs[0] policy
     /* 1534497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534507 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1534510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534531 */     // GIR_Coverage, 18604,
     /* 1534531 */     GIR_EraseRootFromParent_Done,
     /* 1534532 */   // Label 21301: @1534532
     /* 1534532 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534614), // Rule ID 18607 //
     /* 1534537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534576 */     // MIs[0] round
     /* 1534576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534579 */     // MIs[0] policy
     /* 1534579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534589 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1534592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534613 */     // GIR_Coverage, 18607,
     /* 1534613 */     GIR_EraseRootFromParent_Done,
     /* 1534614 */   // Label 21302: @1534614
     /* 1534614 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534696), // Rule ID 18608 //
     /* 1534619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534658 */     // MIs[0] round
     /* 1534658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534661 */     // MIs[0] policy
     /* 1534661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1534674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534695 */     // GIR_Coverage, 18608,
     /* 1534695 */     GIR_EraseRootFromParent_Done,
     /* 1534696 */   // Label 21303: @1534696
     /* 1534696 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534778), // Rule ID 18611 //
     /* 1534701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534740 */     // MIs[0] round
     /* 1534740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534743 */     // MIs[0] policy
     /* 1534743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1534756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534777 */     // GIR_Coverage, 18611,
     /* 1534777 */     GIR_EraseRootFromParent_Done,
     /* 1534778 */   // Label 21304: @1534778
     /* 1534778 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534860), // Rule ID 18612 //
     /* 1534783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534822 */     // MIs[0] round
     /* 1534822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534825 */     // MIs[0] policy
     /* 1534825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534835 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1534838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534859 */     // GIR_Coverage, 18612,
     /* 1534859 */     GIR_EraseRootFromParent_Done,
     /* 1534860 */   // Label 21305: @1534860
     /* 1534860 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1534942), // Rule ID 18615 //
     /* 1534865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534904 */     // MIs[0] round
     /* 1534904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534907 */     // MIs[0] policy
     /* 1534907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534917 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1534920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534941 */     // GIR_Coverage, 18615,
     /* 1534941 */     GIR_EraseRootFromParent_Done,
     /* 1534942 */   // Label 21306: @1534942
     /* 1534942 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535024), // Rule ID 18616 //
     /* 1534947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534986 */     // MIs[0] round
     /* 1534986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534989 */     // MIs[0] policy
     /* 1534989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534999 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1535002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535023 */     // GIR_Coverage, 18616,
     /* 1535023 */     GIR_EraseRootFromParent_Done,
     /* 1535024 */   // Label 21307: @1535024
     /* 1535024 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535106), // Rule ID 18619 //
     /* 1535029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535068 */     // MIs[0] round
     /* 1535068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535071 */     // MIs[0] policy
     /* 1535071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535081 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535105 */     // GIR_Coverage, 18619,
     /* 1535105 */     GIR_EraseRootFromParent_Done,
     /* 1535106 */   // Label 21308: @1535106
     /* 1535106 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535188), // Rule ID 18620 //
     /* 1535111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535150 */     // MIs[0] round
     /* 1535150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535153 */     // MIs[0] policy
     /* 1535153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535163 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1535166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535187 */     // GIR_Coverage, 18620,
     /* 1535187 */     GIR_EraseRootFromParent_Done,
     /* 1535188 */   // Label 21309: @1535188
     /* 1535188 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535270), // Rule ID 18623 //
     /* 1535193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535232 */     // MIs[0] round
     /* 1535232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535235 */     // MIs[0] policy
     /* 1535235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535245 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535269 */     // GIR_Coverage, 18623,
     /* 1535269 */     GIR_EraseRootFromParent_Done,
     /* 1535270 */   // Label 21310: @1535270
     /* 1535270 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535352), // Rule ID 18624 //
     /* 1535275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535314 */     // MIs[0] round
     /* 1535314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535317 */     // MIs[0] policy
     /* 1535317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1535330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535351 */     // GIR_Coverage, 18624,
     /* 1535351 */     GIR_EraseRootFromParent_Done,
     /* 1535352 */   // Label 21311: @1535352
     /* 1535352 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535434), // Rule ID 18627 //
     /* 1535357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535396 */     // MIs[0] round
     /* 1535396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535399 */     // MIs[0] policy
     /* 1535399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535409 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535433 */     // GIR_Coverage, 18627,
     /* 1535433 */     GIR_EraseRootFromParent_Done,
     /* 1535434 */   // Label 21312: @1535434
     /* 1535434 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535516), // Rule ID 18628 //
     /* 1535439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535478 */     // MIs[0] round
     /* 1535478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535481 */     // MIs[0] policy
     /* 1535481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535491 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1535494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535515 */     // GIR_Coverage, 18628,
     /* 1535515 */     GIR_EraseRootFromParent_Done,
     /* 1535516 */   // Label 21313: @1535516
     /* 1535516 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535598), // Rule ID 18631 //
     /* 1535521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535560 */     // MIs[0] round
     /* 1535560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535563 */     // MIs[0] policy
     /* 1535563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535573 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1535576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535597 */     // GIR_Coverage, 18631,
     /* 1535597 */     GIR_EraseRootFromParent_Done,
     /* 1535598 */   // Label 21314: @1535598
     /* 1535598 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535680), // Rule ID 18632 //
     /* 1535603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535642 */     // MIs[0] round
     /* 1535642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535645 */     // MIs[0] policy
     /* 1535645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535655 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1535658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535679 */     // GIR_Coverage, 18632,
     /* 1535679 */     GIR_EraseRootFromParent_Done,
     /* 1535680 */   // Label 21315: @1535680
     /* 1535680 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535762), // Rule ID 18635 //
     /* 1535685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535724 */     // MIs[0] round
     /* 1535724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535727 */     // MIs[0] policy
     /* 1535727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535737 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1535740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535761 */     // GIR_Coverage, 18635,
     /* 1535761 */     GIR_EraseRootFromParent_Done,
     /* 1535762 */   // Label 21316: @1535762
     /* 1535762 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535844), // Rule ID 18636 //
     /* 1535767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535806 */     // MIs[0] round
     /* 1535806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535809 */     // MIs[0] policy
     /* 1535809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535819 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1535822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535843 */     // GIR_Coverage, 18636,
     /* 1535843 */     GIR_EraseRootFromParent_Done,
     /* 1535844 */   // Label 21317: @1535844
     /* 1535844 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1535926), // Rule ID 18639 //
     /* 1535849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1535869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535888 */     // MIs[0] round
     /* 1535888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535891 */     // MIs[0] policy
     /* 1535891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535901 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1535904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535925 */     // GIR_Coverage, 18639,
     /* 1535925 */     GIR_EraseRootFromParent_Done,
     /* 1535926 */   // Label 21318: @1535926
     /* 1535926 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536008), // Rule ID 18640 //
     /* 1535931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1535951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535970 */     // MIs[0] round
     /* 1535970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535973 */     // MIs[0] policy
     /* 1535973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535983 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1535986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536007 */     // GIR_Coverage, 18640,
     /* 1536007 */     GIR_EraseRootFromParent_Done,
     /* 1536008 */   // Label 21319: @1536008
     /* 1536008 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536090), // Rule ID 18643 //
     /* 1536013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536052 */     // MIs[0] round
     /* 1536052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536055 */     // MIs[0] policy
     /* 1536055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536065 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536089 */     // GIR_Coverage, 18643,
     /* 1536089 */     GIR_EraseRootFromParent_Done,
     /* 1536090 */   // Label 21320: @1536090
     /* 1536090 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536172), // Rule ID 18644 //
     /* 1536095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536134 */     // MIs[0] round
     /* 1536134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536137 */     // MIs[0] policy
     /* 1536137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1536150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536171 */     // GIR_Coverage, 18644,
     /* 1536171 */     GIR_EraseRootFromParent_Done,
     /* 1536172 */   // Label 21321: @1536172
     /* 1536172 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536254), // Rule ID 18647 //
     /* 1536177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536216 */     // MIs[0] round
     /* 1536216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536219 */     // MIs[0] policy
     /* 1536219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536229 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536253 */     // GIR_Coverage, 18647,
     /* 1536253 */     GIR_EraseRootFromParent_Done,
     /* 1536254 */   // Label 21322: @1536254
     /* 1536254 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536336), // Rule ID 18648 //
     /* 1536259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536298 */     // MIs[0] round
     /* 1536298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536301 */     // MIs[0] policy
     /* 1536301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536311 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1536314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536335 */     // GIR_Coverage, 18648,
     /* 1536335 */     GIR_EraseRootFromParent_Done,
     /* 1536336 */   // Label 21323: @1536336
     /* 1536336 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536418), // Rule ID 18651 //
     /* 1536341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536380 */     // MIs[0] round
     /* 1536380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536383 */     // MIs[0] policy
     /* 1536383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536393 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536417 */     // GIR_Coverage, 18651,
     /* 1536417 */     GIR_EraseRootFromParent_Done,
     /* 1536418 */   // Label 21324: @1536418
     /* 1536418 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536500), // Rule ID 18652 //
     /* 1536423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536462 */     // MIs[0] round
     /* 1536462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536465 */     // MIs[0] policy
     /* 1536465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536475 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1536478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536499 */     // GIR_Coverage, 18652,
     /* 1536499 */     GIR_EraseRootFromParent_Done,
     /* 1536500 */   // Label 21325: @1536500
     /* 1536500 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536582), // Rule ID 18655 //
     /* 1536505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536544 */     // MIs[0] round
     /* 1536544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536547 */     // MIs[0] policy
     /* 1536547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536581 */     // GIR_Coverage, 18655,
     /* 1536581 */     GIR_EraseRootFromParent_Done,
     /* 1536582 */   // Label 21326: @1536582
     /* 1536582 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536664), // Rule ID 18656 //
     /* 1536587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1536595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536626 */     // MIs[0] round
     /* 1536626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536629 */     // MIs[0] policy
     /* 1536629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536639 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1536642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536663 */     // GIR_Coverage, 18656,
     /* 1536663 */     GIR_EraseRootFromParent_Done,
     /* 1536664 */   // Label 21327: @1536664
     /* 1536664 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536746), // Rule ID 18659 //
     /* 1536669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536708 */     // MIs[0] round
     /* 1536708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536711 */     // MIs[0] policy
     /* 1536711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536721 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1536724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536745 */     // GIR_Coverage, 18659,
     /* 1536745 */     GIR_EraseRootFromParent_Done,
     /* 1536746 */   // Label 21328: @1536746
     /* 1536746 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536828), // Rule ID 18660 //
     /* 1536751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536790 */     // MIs[0] round
     /* 1536790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536793 */     // MIs[0] policy
     /* 1536793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536803 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1536806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536827 */     // GIR_Coverage, 18660,
     /* 1536827 */     GIR_EraseRootFromParent_Done,
     /* 1536828 */   // Label 21329: @1536828
     /* 1536828 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1536910), // Rule ID 18663 //
     /* 1536833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536872 */     // MIs[0] round
     /* 1536872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536875 */     // MIs[0] policy
     /* 1536875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536885 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1536888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536909 */     // GIR_Coverage, 18663,
     /* 1536909 */     GIR_EraseRootFromParent_Done,
     /* 1536910 */   // Label 21330: @1536910
     /* 1536910 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1536992), // Rule ID 18664 //
     /* 1536915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536954 */     // MIs[0] round
     /* 1536954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536957 */     // MIs[0] policy
     /* 1536957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1536970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536991 */     // GIR_Coverage, 18664,
     /* 1536991 */     GIR_EraseRootFromParent_Done,
     /* 1536992 */   // Label 21331: @1536992
     /* 1536992 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537074), // Rule ID 18667 //
     /* 1536997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537036 */     // MIs[0] round
     /* 1537036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537039 */     // MIs[0] policy
     /* 1537039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537049 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537073 */     // GIR_Coverage, 18667,
     /* 1537073 */     GIR_EraseRootFromParent_Done,
     /* 1537074 */   // Label 21332: @1537074
     /* 1537074 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537156), // Rule ID 18668 //
     /* 1537079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537118 */     // MIs[0] round
     /* 1537118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537121 */     // MIs[0] policy
     /* 1537121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1537134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537155 */     // GIR_Coverage, 18668,
     /* 1537155 */     GIR_EraseRootFromParent_Done,
     /* 1537156 */   // Label 21333: @1537156
     /* 1537156 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537238), // Rule ID 18671 //
     /* 1537161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537200 */     // MIs[0] round
     /* 1537200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537203 */     // MIs[0] policy
     /* 1537203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537213 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537237 */     // GIR_Coverage, 18671,
     /* 1537237 */     GIR_EraseRootFromParent_Done,
     /* 1537238 */   // Label 21334: @1537238
     /* 1537238 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537320), // Rule ID 18672 //
     /* 1537243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537282 */     // MIs[0] round
     /* 1537282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537285 */     // MIs[0] policy
     /* 1537285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537295 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1537298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537319 */     // GIR_Coverage, 18672,
     /* 1537319 */     GIR_EraseRootFromParent_Done,
     /* 1537320 */   // Label 21335: @1537320
     /* 1537320 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537402), // Rule ID 18675 //
     /* 1537325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537364 */     // MIs[0] round
     /* 1537364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537367 */     // MIs[0] policy
     /* 1537367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537401 */     // GIR_Coverage, 18675,
     /* 1537401 */     GIR_EraseRootFromParent_Done,
     /* 1537402 */   // Label 21336: @1537402
     /* 1537402 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537484), // Rule ID 18676 //
     /* 1537407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537446 */     // MIs[0] round
     /* 1537446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537449 */     // MIs[0] policy
     /* 1537449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537459 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1537462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537483 */     // GIR_Coverage, 18676,
     /* 1537483 */     GIR_EraseRootFromParent_Done,
     /* 1537484 */   // Label 21337: @1537484
     /* 1537484 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1537566), // Rule ID 18679 //
     /* 1537489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537528 */     // MIs[0] round
     /* 1537528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537531 */     // MIs[0] policy
     /* 1537531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537541 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537565 */     // GIR_Coverage, 18679,
     /* 1537565 */     GIR_EraseRootFromParent_Done,
     /* 1537566 */   // Label 21338: @1537566
     /* 1537566 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537648), // Rule ID 18680 //
     /* 1537571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537610 */     // MIs[0] round
     /* 1537610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537613 */     // MIs[0] policy
     /* 1537613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537623 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1537626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537647 */     // GIR_Coverage, 18680,
     /* 1537647 */     GIR_EraseRootFromParent_Done,
     /* 1537648 */   // Label 21339: @1537648
     /* 1537648 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537730), // Rule ID 18683 //
     /* 1537653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537692 */     // MIs[0] round
     /* 1537692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537695 */     // MIs[0] policy
     /* 1537695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1537708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537729 */     // GIR_Coverage, 18683,
     /* 1537729 */     GIR_EraseRootFromParent_Done,
     /* 1537730 */   // Label 21340: @1537730
     /* 1537730 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537812), // Rule ID 18684 //
     /* 1537735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537774 */     // MIs[0] round
     /* 1537774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537777 */     // MIs[0] policy
     /* 1537777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1537790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537811 */     // GIR_Coverage, 18684,
     /* 1537811 */     GIR_EraseRootFromParent_Done,
     /* 1537812 */   // Label 21341: @1537812
     /* 1537812 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537894), // Rule ID 18687 //
     /* 1537817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537856 */     // MIs[0] round
     /* 1537856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537859 */     // MIs[0] policy
     /* 1537859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537869 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1537872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537893 */     // GIR_Coverage, 18687,
     /* 1537893 */     GIR_EraseRootFromParent_Done,
     /* 1537894 */   // Label 21342: @1537894
     /* 1537894 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1537976), // Rule ID 18688 //
     /* 1537899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537938 */     // MIs[0] round
     /* 1537938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537941 */     // MIs[0] policy
     /* 1537941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537951 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1537954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537975 */     // GIR_Coverage, 18688,
     /* 1537975 */     GIR_EraseRootFromParent_Done,
     /* 1537976 */   // Label 21343: @1537976
     /* 1537976 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538058), // Rule ID 18691 //
     /* 1537981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538020 */     // MIs[0] round
     /* 1538020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538023 */     // MIs[0] policy
     /* 1538023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538033 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538057 */     // GIR_Coverage, 18691,
     /* 1538057 */     GIR_EraseRootFromParent_Done,
     /* 1538058 */   // Label 21344: @1538058
     /* 1538058 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538140), // Rule ID 18692 //
     /* 1538063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538102 */     // MIs[0] round
     /* 1538102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538105 */     // MIs[0] policy
     /* 1538105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538115 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1538118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538139 */     // GIR_Coverage, 18692,
     /* 1538139 */     GIR_EraseRootFromParent_Done,
     /* 1538140 */   // Label 21345: @1538140
     /* 1538140 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538222), // Rule ID 18695 //
     /* 1538145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538184 */     // MIs[0] round
     /* 1538184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538187 */     // MIs[0] policy
     /* 1538187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538197 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538221 */     // GIR_Coverage, 18695,
     /* 1538221 */     GIR_EraseRootFromParent_Done,
     /* 1538222 */   // Label 21346: @1538222
     /* 1538222 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538304), // Rule ID 18696 //
     /* 1538227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538266 */     // MIs[0] round
     /* 1538266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538269 */     // MIs[0] policy
     /* 1538269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538279 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1538282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538303 */     // GIR_Coverage, 18696,
     /* 1538303 */     GIR_EraseRootFromParent_Done,
     /* 1538304 */   // Label 21347: @1538304
     /* 1538304 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538386), // Rule ID 18699 //
     /* 1538309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538348 */     // MIs[0] round
     /* 1538348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538351 */     // MIs[0] policy
     /* 1538351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538361 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538385 */     // GIR_Coverage, 18699,
     /* 1538385 */     GIR_EraseRootFromParent_Done,
     /* 1538386 */   // Label 21348: @1538386
     /* 1538386 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1538468), // Rule ID 18700 //
     /* 1538391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538430 */     // MIs[0] round
     /* 1538430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538433 */     // MIs[0] policy
     /* 1538433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538443 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1538446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538467 */     // GIR_Coverage, 18700,
     /* 1538467 */     GIR_EraseRootFromParent_Done,
     /* 1538468 */   // Label 21349: @1538468
     /* 1538468 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1538550), // Rule ID 18703 //
     /* 1538473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538512 */     // MIs[0] round
     /* 1538512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538515 */     // MIs[0] policy
     /* 1538515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538525 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538549 */     // GIR_Coverage, 18703,
     /* 1538549 */     GIR_EraseRootFromParent_Done,
     /* 1538550 */   // Label 21350: @1538550
     /* 1538550 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538632), // Rule ID 18704 //
     /* 1538555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538594 */     // MIs[0] round
     /* 1538594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538597 */     // MIs[0] policy
     /* 1538597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1538610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538631 */     // GIR_Coverage, 18704,
     /* 1538631 */     GIR_EraseRootFromParent_Done,
     /* 1538632 */   // Label 21351: @1538632
     /* 1538632 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538714), // Rule ID 18707 //
     /* 1538637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538676 */     // MIs[0] round
     /* 1538676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538679 */     // MIs[0] policy
     /* 1538679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538689 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1538692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538713 */     // GIR_Coverage, 18707,
     /* 1538713 */     GIR_EraseRootFromParent_Done,
     /* 1538714 */   // Label 21352: @1538714
     /* 1538714 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538796), // Rule ID 18708 //
     /* 1538719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538758 */     // MIs[0] round
     /* 1538758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538761 */     // MIs[0] policy
     /* 1538761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538771 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1538774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538795 */     // GIR_Coverage, 18708,
     /* 1538795 */     GIR_EraseRootFromParent_Done,
     /* 1538796 */   // Label 21353: @1538796
     /* 1538796 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538878), // Rule ID 18711 //
     /* 1538801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538840 */     // MIs[0] round
     /* 1538840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538843 */     // MIs[0] policy
     /* 1538843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1538856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538877 */     // GIR_Coverage, 18711,
     /* 1538877 */     GIR_EraseRootFromParent_Done,
     /* 1538878 */   // Label 21354: @1538878
     /* 1538878 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1538960), // Rule ID 18712 //
     /* 1538883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538922 */     // MIs[0] round
     /* 1538922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538925 */     // MIs[0] policy
     /* 1538925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1538938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538959 */     // GIR_Coverage, 18712,
     /* 1538959 */     GIR_EraseRootFromParent_Done,
     /* 1538960 */   // Label 21355: @1538960
     /* 1538960 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539042), // Rule ID 18715 //
     /* 1538965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539004 */     // MIs[0] round
     /* 1539004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539007 */     // MIs[0] policy
     /* 1539007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539017 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539041 */     // GIR_Coverage, 18715,
     /* 1539041 */     GIR_EraseRootFromParent_Done,
     /* 1539042 */   // Label 21356: @1539042
     /* 1539042 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539124), // Rule ID 18716 //
     /* 1539047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539086 */     // MIs[0] round
     /* 1539086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539089 */     // MIs[0] policy
     /* 1539089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539099 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1539102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539123 */     // GIR_Coverage, 18716,
     /* 1539123 */     GIR_EraseRootFromParent_Done,
     /* 1539124 */   // Label 21357: @1539124
     /* 1539124 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539206), // Rule ID 18719 //
     /* 1539129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539168 */     // MIs[0] round
     /* 1539168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539171 */     // MIs[0] policy
     /* 1539171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539181 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539205 */     // GIR_Coverage, 18719,
     /* 1539205 */     GIR_EraseRootFromParent_Done,
     /* 1539206 */   // Label 21358: @1539206
     /* 1539206 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539288), // Rule ID 18720 //
     /* 1539211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539250 */     // MIs[0] round
     /* 1539250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539253 */     // MIs[0] policy
     /* 1539253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1539266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539287 */     // GIR_Coverage, 18720,
     /* 1539287 */     GIR_EraseRootFromParent_Done,
     /* 1539288 */   // Label 21359: @1539288
     /* 1539288 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539370), // Rule ID 18723 //
     /* 1539293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539332 */     // MIs[0] round
     /* 1539332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539335 */     // MIs[0] policy
     /* 1539335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539345 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539369 */     // GIR_Coverage, 18723,
     /* 1539369 */     GIR_EraseRootFromParent_Done,
     /* 1539370 */   // Label 21360: @1539370
     /* 1539370 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1539452), // Rule ID 18724 //
     /* 1539375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539414 */     // MIs[0] round
     /* 1539414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539417 */     // MIs[0] policy
     /* 1539417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1539430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539451 */     // GIR_Coverage, 18724,
     /* 1539451 */     GIR_EraseRootFromParent_Done,
     /* 1539452 */   // Label 21361: @1539452
     /* 1539452 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1539534), // Rule ID 18727 //
     /* 1539457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539496 */     // MIs[0] round
     /* 1539496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539499 */     // MIs[0] policy
     /* 1539499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539509 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539533 */     // GIR_Coverage, 18727,
     /* 1539533 */     GIR_EraseRootFromParent_Done,
     /* 1539534 */   // Label 21362: @1539534
     /* 1539534 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539616), // Rule ID 18728 //
     /* 1539539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1539547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539578 */     // MIs[0] round
     /* 1539578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539581 */     // MIs[0] policy
     /* 1539581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539591 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1539594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539615 */     // GIR_Coverage, 18728,
     /* 1539615 */     GIR_EraseRootFromParent_Done,
     /* 1539616 */   // Label 21363: @1539616
     /* 1539616 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539698), // Rule ID 18731 //
     /* 1539621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539660 */     // MIs[0] round
     /* 1539660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539663 */     // MIs[0] policy
     /* 1539663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539673 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1539676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539697 */     // GIR_Coverage, 18731,
     /* 1539697 */     GIR_EraseRootFromParent_Done,
     /* 1539698 */   // Label 21364: @1539698
     /* 1539698 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539780), // Rule ID 18732 //
     /* 1539703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539742 */     // MIs[0] round
     /* 1539742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539745 */     // MIs[0] policy
     /* 1539745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539755 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1539758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539779 */     // GIR_Coverage, 18732,
     /* 1539779 */     GIR_EraseRootFromParent_Done,
     /* 1539780 */   // Label 21365: @1539780
     /* 1539780 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539862), // Rule ID 18735 //
     /* 1539785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539824 */     // MIs[0] round
     /* 1539824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539827 */     // MIs[0] policy
     /* 1539827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539837 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1539840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539861 */     // GIR_Coverage, 18735,
     /* 1539861 */     GIR_EraseRootFromParent_Done,
     /* 1539862 */   // Label 21366: @1539862
     /* 1539862 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1539944), // Rule ID 18736 //
     /* 1539867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539906 */     // MIs[0] round
     /* 1539906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539909 */     // MIs[0] policy
     /* 1539909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1539922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539943 */     // GIR_Coverage, 18736,
     /* 1539943 */     GIR_EraseRootFromParent_Done,
     /* 1539944 */   // Label 21367: @1539944
     /* 1539944 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540026), // Rule ID 18739 //
     /* 1539949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1539966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539988 */     // MIs[0] round
     /* 1539988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539991 */     // MIs[0] policy
     /* 1539991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540001 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540025 */     // GIR_Coverage, 18739,
     /* 1540025 */     GIR_EraseRootFromParent_Done,
     /* 1540026 */   // Label 21368: @1540026
     /* 1540026 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540108), // Rule ID 18740 //
     /* 1540031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540070 */     // MIs[0] round
     /* 1540070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540073 */     // MIs[0] policy
     /* 1540073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540083 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1540086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540107 */     // GIR_Coverage, 18740,
     /* 1540107 */     GIR_EraseRootFromParent_Done,
     /* 1540108 */   // Label 21369: @1540108
     /* 1540108 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540190), // Rule ID 18743 //
     /* 1540113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540152 */     // MIs[0] round
     /* 1540152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540155 */     // MIs[0] policy
     /* 1540155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540189 */     // GIR_Coverage, 18743,
     /* 1540189 */     GIR_EraseRootFromParent_Done,
     /* 1540190 */   // Label 21370: @1540190
     /* 1540190 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540272), // Rule ID 18744 //
     /* 1540195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540234 */     // MIs[0] round
     /* 1540234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540237 */     // MIs[0] policy
     /* 1540237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540247 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1540250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540271 */     // GIR_Coverage, 18744,
     /* 1540271 */     GIR_EraseRootFromParent_Done,
     /* 1540272 */   // Label 21371: @1540272
     /* 1540272 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540354), // Rule ID 18747 //
     /* 1540277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540316 */     // MIs[0] round
     /* 1540316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540319 */     // MIs[0] policy
     /* 1540319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540329 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540353 */     // GIR_Coverage, 18747,
     /* 1540353 */     GIR_EraseRootFromParent_Done,
     /* 1540354 */   // Label 21372: @1540354
     /* 1540354 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1540436), // Rule ID 18748 //
     /* 1540359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540398 */     // MIs[0] round
     /* 1540398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540401 */     // MIs[0] policy
     /* 1540401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540411 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1540414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540435 */     // GIR_Coverage, 18748,
     /* 1540435 */     GIR_EraseRootFromParent_Done,
     /* 1540436 */   // Label 21373: @1540436
     /* 1540436 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1540518), // Rule ID 18751 //
     /* 1540441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540480 */     // MIs[0] round
     /* 1540480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540483 */     // MIs[0] policy
     /* 1540483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540493 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540517 */     // GIR_Coverage, 18751,
     /* 1540517 */     GIR_EraseRootFromParent_Done,
     /* 1540518 */   // Label 21374: @1540518
     /* 1540518 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540600), // Rule ID 18752 //
     /* 1540523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540562 */     // MIs[0] round
     /* 1540562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540565 */     // MIs[0] policy
     /* 1540565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540575 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1540578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540599 */     // GIR_Coverage, 18752,
     /* 1540599 */     GIR_EraseRootFromParent_Done,
     /* 1540600 */   // Label 21375: @1540600
     /* 1540600 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540682), // Rule ID 18755 //
     /* 1540605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540644 */     // MIs[0] round
     /* 1540644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540647 */     // MIs[0] policy
     /* 1540647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540657 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1540660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540681 */     // GIR_Coverage, 18755,
     /* 1540681 */     GIR_EraseRootFromParent_Done,
     /* 1540682 */   // Label 21376: @1540682
     /* 1540682 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540764), // Rule ID 18756 //
     /* 1540687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540726 */     // MIs[0] round
     /* 1540726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540729 */     // MIs[0] policy
     /* 1540729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540739 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1540742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540763 */     // GIR_Coverage, 18756,
     /* 1540763 */     GIR_EraseRootFromParent_Done,
     /* 1540764 */   // Label 21377: @1540764
     /* 1540764 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540846), // Rule ID 18759 //
     /* 1540769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540808 */     // MIs[0] round
     /* 1540808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540811 */     // MIs[0] policy
     /* 1540811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540821 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1540824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540845 */     // GIR_Coverage, 18759,
     /* 1540845 */     GIR_EraseRootFromParent_Done,
     /* 1540846 */   // Label 21378: @1540846
     /* 1540846 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1540928), // Rule ID 18760 //
     /* 1540851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540890 */     // MIs[0] round
     /* 1540890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540893 */     // MIs[0] policy
     /* 1540893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1540906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540927 */     // GIR_Coverage, 18760,
     /* 1540927 */     GIR_EraseRootFromParent_Done,
     /* 1540928 */   // Label 21379: @1540928
     /* 1540928 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541010), // Rule ID 18763 //
     /* 1540933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1540950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1540953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540972 */     // MIs[0] round
     /* 1540972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540975 */     // MIs[0] policy
     /* 1540975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540985 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1540988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541009 */     // GIR_Coverage, 18763,
     /* 1541009 */     GIR_EraseRootFromParent_Done,
     /* 1541010 */   // Label 21380: @1541010
     /* 1541010 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541092), // Rule ID 18764 //
     /* 1541015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541054 */     // MIs[0] round
     /* 1541054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541057 */     // MIs[0] policy
     /* 1541057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1541070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541091 */     // GIR_Coverage, 18764,
     /* 1541091 */     GIR_EraseRootFromParent_Done,
     /* 1541092 */   // Label 21381: @1541092
     /* 1541092 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541174), // Rule ID 18767 //
     /* 1541097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541136 */     // MIs[0] round
     /* 1541136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541139 */     // MIs[0] policy
     /* 1541139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541149 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541173 */     // GIR_Coverage, 18767,
     /* 1541173 */     GIR_EraseRootFromParent_Done,
     /* 1541174 */   // Label 21382: @1541174
     /* 1541174 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541256), // Rule ID 18768 //
     /* 1541179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541218 */     // MIs[0] round
     /* 1541218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541221 */     // MIs[0] policy
     /* 1541221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1541234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541255 */     // GIR_Coverage, 18768,
     /* 1541255 */     GIR_EraseRootFromParent_Done,
     /* 1541256 */   // Label 21383: @1541256
     /* 1541256 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1541338), // Rule ID 18771 //
     /* 1541261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541300 */     // MIs[0] round
     /* 1541300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541303 */     // MIs[0] policy
     /* 1541303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541313 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541337 */     // GIR_Coverage, 18771,
     /* 1541337 */     GIR_EraseRootFromParent_Done,
     /* 1541338 */   // Label 21384: @1541338
     /* 1541338 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1541420), // Rule ID 18772 //
     /* 1541343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541382 */     // MIs[0] round
     /* 1541382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541385 */     // MIs[0] policy
     /* 1541385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541395 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1541398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541419 */     // GIR_Coverage, 18772,
     /* 1541419 */     GIR_EraseRootFromParent_Done,
     /* 1541420 */   // Label 21385: @1541420
     /* 1541420 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1541502), // Rule ID 18775 //
     /* 1541425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541464 */     // MIs[0] round
     /* 1541464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541467 */     // MIs[0] policy
     /* 1541467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541477 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541501 */     // GIR_Coverage, 18775,
     /* 1541501 */     GIR_EraseRootFromParent_Done,
     /* 1541502 */   // Label 21386: @1541502
     /* 1541502 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541584), // Rule ID 18776 //
     /* 1541507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541546 */     // MIs[0] round
     /* 1541546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541549 */     // MIs[0] policy
     /* 1541549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541559 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1541562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541583 */     // GIR_Coverage, 18776,
     /* 1541583 */     GIR_EraseRootFromParent_Done,
     /* 1541584 */   // Label 21387: @1541584
     /* 1541584 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541666), // Rule ID 18779 //
     /* 1541589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541628 */     // MIs[0] round
     /* 1541628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541631 */     // MIs[0] policy
     /* 1541631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541641 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1541644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541665 */     // GIR_Coverage, 18779,
     /* 1541665 */     GIR_EraseRootFromParent_Done,
     /* 1541666 */   // Label 21388: @1541666
     /* 1541666 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541748), // Rule ID 18780 //
     /* 1541671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541710 */     // MIs[0] round
     /* 1541710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541713 */     // MIs[0] policy
     /* 1541713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541723 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1541726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541747 */     // GIR_Coverage, 18780,
     /* 1541747 */     GIR_EraseRootFromParent_Done,
     /* 1541748 */   // Label 21389: @1541748
     /* 1541748 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541830), // Rule ID 18783 //
     /* 1541753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541792 */     // MIs[0] round
     /* 1541792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541795 */     // MIs[0] policy
     /* 1541795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1541808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541829 */     // GIR_Coverage, 18783,
     /* 1541829 */     GIR_EraseRootFromParent_Done,
     /* 1541830 */   // Label 21390: @1541830
     /* 1541830 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1541912), // Rule ID 18784 //
     /* 1541835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1541852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1541870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541874 */     // MIs[0] round
     /* 1541874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541877 */     // MIs[0] policy
     /* 1541877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541887 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1541890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541911 */     // GIR_Coverage, 18784,
     /* 1541911 */     GIR_EraseRootFromParent_Done,
     /* 1541912 */   // Label 21391: @1541912
     /* 1541912 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1541994), // Rule ID 18787 //
     /* 1541917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1541937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541956 */     // MIs[0] round
     /* 1541956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541959 */     // MIs[0] policy
     /* 1541959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541969 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1541972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541993 */     // GIR_Coverage, 18787,
     /* 1541993 */     GIR_EraseRootFromParent_Done,
     /* 1541994 */   // Label 21392: @1541994
     /* 1541994 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542076), // Rule ID 18788 //
     /* 1541999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542038 */     // MIs[0] round
     /* 1542038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542041 */     // MIs[0] policy
     /* 1542041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542051 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1542054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542075 */     // GIR_Coverage, 18788,
     /* 1542075 */     GIR_EraseRootFromParent_Done,
     /* 1542076 */   // Label 21393: @1542076
     /* 1542076 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542158), // Rule ID 18791 //
     /* 1542081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542120 */     // MIs[0] round
     /* 1542120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542123 */     // MIs[0] policy
     /* 1542123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542133 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542157 */     // GIR_Coverage, 18791,
     /* 1542157 */     GIR_EraseRootFromParent_Done,
     /* 1542158 */   // Label 21394: @1542158
     /* 1542158 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542240), // Rule ID 18792 //
     /* 1542163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542202 */     // MIs[0] round
     /* 1542202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542205 */     // MIs[0] policy
     /* 1542205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1542218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542239 */     // GIR_Coverage, 18792,
     /* 1542239 */     GIR_EraseRootFromParent_Done,
     /* 1542240 */   // Label 21395: @1542240
     /* 1542240 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1542322), // Rule ID 18795 //
     /* 1542245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542284 */     // MIs[0] round
     /* 1542284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542287 */     // MIs[0] policy
     /* 1542287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542297 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542321 */     // GIR_Coverage, 18795,
     /* 1542321 */     GIR_EraseRootFromParent_Done,
     /* 1542322 */   // Label 21396: @1542322
     /* 1542322 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1542404), // Rule ID 18796 //
     /* 1542327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542366 */     // MIs[0] round
     /* 1542366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542369 */     // MIs[0] policy
     /* 1542369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542379 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1542382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542403 */     // GIR_Coverage, 18796,
     /* 1542403 */     GIR_EraseRootFromParent_Done,
     /* 1542404 */   // Label 21397: @1542404
     /* 1542404 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1542486), // Rule ID 18799 //
     /* 1542409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542448 */     // MIs[0] round
     /* 1542448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542451 */     // MIs[0] policy
     /* 1542451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542461 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542485 */     // GIR_Coverage, 18799,
     /* 1542485 */     GIR_EraseRootFromParent_Done,
     /* 1542486 */   // Label 21398: @1542486
     /* 1542486 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1542568), // Rule ID 18800 //
     /* 1542491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1542499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542530 */     // MIs[0] round
     /* 1542530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542533 */     // MIs[0] policy
     /* 1542533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542543 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1542546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542567 */     // GIR_Coverage, 18800,
     /* 1542567 */     GIR_EraseRootFromParent_Done,
     /* 1542568 */   // Label 21399: @1542568
     /* 1542568 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542650), // Rule ID 18803 //
     /* 1542573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542612 */     // MIs[0] round
     /* 1542612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542615 */     // MIs[0] policy
     /* 1542615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542625 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1542628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542649 */     // GIR_Coverage, 18803,
     /* 1542649 */     GIR_EraseRootFromParent_Done,
     /* 1542650 */   // Label 21400: @1542650
     /* 1542650 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542732), // Rule ID 18804 //
     /* 1542655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542694 */     // MIs[0] round
     /* 1542694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542697 */     // MIs[0] policy
     /* 1542697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542707 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1542710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542731 */     // GIR_Coverage, 18804,
     /* 1542731 */     GIR_EraseRootFromParent_Done,
     /* 1542732 */   // Label 21401: @1542732
     /* 1542732 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542814), // Rule ID 18807 //
     /* 1542737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542776 */     // MIs[0] round
     /* 1542776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542779 */     // MIs[0] policy
     /* 1542779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1542792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542813 */     // GIR_Coverage, 18807,
     /* 1542813 */     GIR_EraseRootFromParent_Done,
     /* 1542814 */   // Label 21402: @1542814
     /* 1542814 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542896), // Rule ID 18808 //
     /* 1542819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542858 */     // MIs[0] round
     /* 1542858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542861 */     // MIs[0] policy
     /* 1542861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542871 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1542874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542895 */     // GIR_Coverage, 18808,
     /* 1542895 */     GIR_EraseRootFromParent_Done,
     /* 1542896 */   // Label 21403: @1542896
     /* 1542896 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1542978), // Rule ID 18811 //
     /* 1542901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1542921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542940 */     // MIs[0] round
     /* 1542940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542943 */     // MIs[0] policy
     /* 1542943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542953 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1542956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542977 */     // GIR_Coverage, 18811,
     /* 1542977 */     GIR_EraseRootFromParent_Done,
     /* 1542978 */   // Label 21404: @1542978
     /* 1542978 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543060), // Rule ID 18812 //
     /* 1542983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543022 */     // MIs[0] round
     /* 1543022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543025 */     // MIs[0] policy
     /* 1543025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543035 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1543038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543059 */     // GIR_Coverage, 18812,
     /* 1543059 */     GIR_EraseRootFromParent_Done,
     /* 1543060 */   // Label 21405: @1543060
     /* 1543060 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543142), // Rule ID 18815 //
     /* 1543065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543104 */     // MIs[0] round
     /* 1543104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543107 */     // MIs[0] policy
     /* 1543107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543117 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543141 */     // GIR_Coverage, 18815,
     /* 1543141 */     GIR_EraseRootFromParent_Done,
     /* 1543142 */   // Label 21406: @1543142
     /* 1543142 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1543224), // Rule ID 18816 //
     /* 1543147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543186 */     // MIs[0] round
     /* 1543186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543189 */     // MIs[0] policy
     /* 1543189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543199 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1543202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543223 */     // GIR_Coverage, 18816,
     /* 1543223 */     GIR_EraseRootFromParent_Done,
     /* 1543224 */   // Label 21407: @1543224
     /* 1543224 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1543306), // Rule ID 18819 //
     /* 1543229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543268 */     // MIs[0] round
     /* 1543268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543271 */     // MIs[0] policy
     /* 1543271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543281 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543305 */     // GIR_Coverage, 18819,
     /* 1543305 */     GIR_EraseRootFromParent_Done,
     /* 1543306 */   // Label 21408: @1543306
     /* 1543306 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1543388), // Rule ID 18820 //
     /* 1543311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543350 */     // MIs[0] round
     /* 1543350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543353 */     // MIs[0] policy
     /* 1543353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543363 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1543366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543387 */     // GIR_Coverage, 18820,
     /* 1543387 */     GIR_EraseRootFromParent_Done,
     /* 1543388 */   // Label 21409: @1543388
     /* 1543388 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1543470), // Rule ID 18823 //
     /* 1543393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543432 */     // MIs[0] round
     /* 1543432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543435 */     // MIs[0] policy
     /* 1543435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543445 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543469 */     // GIR_Coverage, 18823,
     /* 1543469 */     GIR_EraseRootFromParent_Done,
     /* 1543470 */   // Label 21410: @1543470
     /* 1543470 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1543552), // Rule ID 18824 //
     /* 1543475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1543492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543514 */     // MIs[0] round
     /* 1543514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543517 */     // MIs[0] policy
     /* 1543517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1543530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543551 */     // GIR_Coverage, 18824,
     /* 1543551 */     GIR_EraseRootFromParent_Done,
     /* 1543552 */   // Label 21411: @1543552
     /* 1543552 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543634), // Rule ID 18827 //
     /* 1543557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1543574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543596 */     // MIs[0] round
     /* 1543596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543599 */     // MIs[0] policy
     /* 1543599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543609 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1543612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543633 */     // GIR_Coverage, 18827,
     /* 1543633 */     GIR_EraseRootFromParent_Done,
     /* 1543634 */   // Label 21412: @1543634
     /* 1543634 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543716), // Rule ID 18828 //
     /* 1543639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1543656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543678 */     // MIs[0] round
     /* 1543678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543681 */     // MIs[0] policy
     /* 1543681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543691 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1543694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543715 */     // GIR_Coverage, 18828,
     /* 1543715 */     GIR_EraseRootFromParent_Done,
     /* 1543716 */   // Label 21413: @1543716
     /* 1543716 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543798), // Rule ID 18831 //
     /* 1543721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543760 */     // MIs[0] round
     /* 1543760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543763 */     // MIs[0] policy
     /* 1543763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543773 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1543776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543797 */     // GIR_Coverage, 18831,
     /* 1543797 */     GIR_EraseRootFromParent_Done,
     /* 1543798 */   // Label 21414: @1543798
     /* 1543798 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543880), // Rule ID 18832 //
     /* 1543803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543842 */     // MIs[0] round
     /* 1543842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543845 */     // MIs[0] policy
     /* 1543845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1543858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543879 */     // GIR_Coverage, 18832,
     /* 1543879 */     GIR_EraseRootFromParent_Done,
     /* 1543880 */   // Label 21415: @1543880
     /* 1543880 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1543962), // Rule ID 18835 //
     /* 1543885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1543902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543924 */     // MIs[0] round
     /* 1543924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543927 */     // MIs[0] policy
     /* 1543927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543937 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1543940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543961 */     // GIR_Coverage, 18835,
     /* 1543961 */     GIR_EraseRootFromParent_Done,
     /* 1543962 */   // Label 21416: @1543962
     /* 1543962 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544044), // Rule ID 18836 //
     /* 1543967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1543984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1543987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544006 */     // MIs[0] round
     /* 1544006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544009 */     // MIs[0] policy
     /* 1544009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544019 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1544022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544043 */     // GIR_Coverage, 18836,
     /* 1544043 */     GIR_EraseRootFromParent_Done,
     /* 1544044 */   // Label 21417: @1544044
     /* 1544044 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544126), // Rule ID 18839 //
     /* 1544049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544088 */     // MIs[0] round
     /* 1544088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544091 */     // MIs[0] policy
     /* 1544091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544101 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544125 */     // GIR_Coverage, 18839,
     /* 1544125 */     GIR_EraseRootFromParent_Done,
     /* 1544126 */   // Label 21418: @1544126
     /* 1544126 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544208), // Rule ID 18840 //
     /* 1544131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544170 */     // MIs[0] round
     /* 1544170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544173 */     // MIs[0] policy
     /* 1544173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544183 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1544186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544207 */     // GIR_Coverage, 18840,
     /* 1544207 */     GIR_EraseRootFromParent_Done,
     /* 1544208 */   // Label 21419: @1544208
     /* 1544208 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1544290), // Rule ID 18843 //
     /* 1544213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544252 */     // MIs[0] round
     /* 1544252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544255 */     // MIs[0] policy
     /* 1544255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544289 */     // GIR_Coverage, 18843,
     /* 1544289 */     GIR_EraseRootFromParent_Done,
     /* 1544290 */   // Label 21420: @1544290
     /* 1544290 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1544372), // Rule ID 18844 //
     /* 1544295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544334 */     // MIs[0] round
     /* 1544334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544337 */     // MIs[0] policy
     /* 1544337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1544350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544371 */     // GIR_Coverage, 18844,
     /* 1544371 */     GIR_EraseRootFromParent_Done,
     /* 1544372 */   // Label 21421: @1544372
     /* 1544372 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1544454), // Rule ID 18847 //
     /* 1544377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544416 */     // MIs[0] round
     /* 1544416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544419 */     // MIs[0] policy
     /* 1544419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544453 */     // GIR_Coverage, 18847,
     /* 1544453 */     GIR_EraseRootFromParent_Done,
     /* 1544454 */   // Label 21422: @1544454
     /* 1544454 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1544536), // Rule ID 18848 //
     /* 1544459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544498 */     // MIs[0] round
     /* 1544498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544501 */     // MIs[0] policy
     /* 1544501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544511 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1544514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544535 */     // GIR_Coverage, 18848,
     /* 1544535 */     GIR_EraseRootFromParent_Done,
     /* 1544536 */   // Label 21423: @1544536
     /* 1544536 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544618), // Rule ID 18851 //
     /* 1544541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544580 */     // MIs[0] round
     /* 1544580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544583 */     // MIs[0] policy
     /* 1544583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544593 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1544596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544617 */     // GIR_Coverage, 18851,
     /* 1544617 */     GIR_EraseRootFromParent_Done,
     /* 1544618 */   // Label 21424: @1544618
     /* 1544618 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544700), // Rule ID 18852 //
     /* 1544623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544662 */     // MIs[0] round
     /* 1544662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544665 */     // MIs[0] policy
     /* 1544665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544675 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1544678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544699 */     // GIR_Coverage, 18852,
     /* 1544699 */     GIR_EraseRootFromParent_Done,
     /* 1544700 */   // Label 21425: @1544700
     /* 1544700 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544782), // Rule ID 18855 //
     /* 1544705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544744 */     // MIs[0] round
     /* 1544744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544747 */     // MIs[0] policy
     /* 1544747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544757 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1544760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544781 */     // GIR_Coverage, 18855,
     /* 1544781 */     GIR_EraseRootFromParent_Done,
     /* 1544782 */   // Label 21426: @1544782
     /* 1544782 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544864), // Rule ID 18856 //
     /* 1544787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544826 */     // MIs[0] round
     /* 1544826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544829 */     // MIs[0] policy
     /* 1544829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544839 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1544842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544863 */     // GIR_Coverage, 18856,
     /* 1544863 */     GIR_EraseRootFromParent_Done,
     /* 1544864 */   // Label 21427: @1544864
     /* 1544864 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1544946), // Rule ID 18859 //
     /* 1544869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544908 */     // MIs[0] round
     /* 1544908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544911 */     // MIs[0] policy
     /* 1544911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544921 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1544924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544945 */     // GIR_Coverage, 18859,
     /* 1544945 */     GIR_EraseRootFromParent_Done,
     /* 1544946 */   // Label 21428: @1544946
     /* 1544946 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545028), // Rule ID 18860 //
     /* 1544951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1544962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1544965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1544971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544990 */     // MIs[0] round
     /* 1544990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544993 */     // MIs[0] policy
     /* 1544993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545003 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1545006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545027 */     // GIR_Coverage, 18860,
     /* 1545027 */     GIR_EraseRootFromParent_Done,
     /* 1545028 */   // Label 21429: @1545028
     /* 1545028 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545110), // Rule ID 18863 //
     /* 1545033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545072 */     // MIs[0] round
     /* 1545072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545075 */     // MIs[0] policy
     /* 1545075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545085 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545109 */     // GIR_Coverage, 18863,
     /* 1545109 */     GIR_EraseRootFromParent_Done,
     /* 1545110 */   // Label 21430: @1545110
     /* 1545110 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545192), // Rule ID 18864 //
     /* 1545115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545154 */     // MIs[0] round
     /* 1545154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545157 */     // MIs[0] policy
     /* 1545157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545167 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1545170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545191 */     // GIR_Coverage, 18864,
     /* 1545191 */     GIR_EraseRootFromParent_Done,
     /* 1545192 */   // Label 21431: @1545192
     /* 1545192 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1545274), // Rule ID 18867 //
     /* 1545197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545236 */     // MIs[0] round
     /* 1545236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545239 */     // MIs[0] policy
     /* 1545239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545249 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545273 */     // GIR_Coverage, 18867,
     /* 1545273 */     GIR_EraseRootFromParent_Done,
     /* 1545274 */   // Label 21432: @1545274
     /* 1545274 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1545356), // Rule ID 18868 //
     /* 1545279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545318 */     // MIs[0] round
     /* 1545318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545321 */     // MIs[0] policy
     /* 1545321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545331 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1545334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545355 */     // GIR_Coverage, 18868,
     /* 1545355 */     GIR_EraseRootFromParent_Done,
     /* 1545356 */   // Label 21433: @1545356
     /* 1545356 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1545438), // Rule ID 18871 //
     /* 1545361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545400 */     // MIs[0] round
     /* 1545400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545403 */     // MIs[0] policy
     /* 1545403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545413 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545437 */     // GIR_Coverage, 18871,
     /* 1545437 */     GIR_EraseRootFromParent_Done,
     /* 1545438 */   // Label 21434: @1545438
     /* 1545438 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1545520), // Rule ID 18872 //
     /* 1545443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1545451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1545460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1545478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545482 */     // MIs[0] round
     /* 1545482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545485 */     // MIs[0] policy
     /* 1545485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545495 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1545498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545519 */     // GIR_Coverage, 18872,
     /* 1545519 */     GIR_EraseRootFromParent_Done,
     /* 1545520 */   // Label 21435: @1545520
     /* 1545520 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545602), // Rule ID 18877 //
     /* 1545525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545564 */     // MIs[0] round
     /* 1545564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545567 */     // MIs[0] policy
     /* 1545567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545577 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1545580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545601 */     // GIR_Coverage, 18877,
     /* 1545601 */     GIR_EraseRootFromParent_Done,
     /* 1545602 */   // Label 21436: @1545602
     /* 1545602 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545684), // Rule ID 18878 //
     /* 1545607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1545618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1545621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545646 */     // MIs[0] round
     /* 1545646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545649 */     // MIs[0] policy
     /* 1545649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545659 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1545662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545683 */     // GIR_Coverage, 18878,
     /* 1545683 */     GIR_EraseRootFromParent_Done,
     /* 1545684 */   // Label 21437: @1545684
     /* 1545684 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545766), // Rule ID 18881 //
     /* 1545689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1545692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545728 */     // MIs[0] round
     /* 1545728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545731 */     // MIs[0] policy
     /* 1545731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545741 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1545744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545765 */     // GIR_Coverage, 18881,
     /* 1545765 */     GIR_EraseRootFromParent_Done,
     /* 1545766 */   // Label 21438: @1545766
     /* 1545766 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545848), // Rule ID 18882 //
     /* 1545771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1545774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545810 */     // MIs[0] round
     /* 1545810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545813 */     // MIs[0] policy
     /* 1545813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1545826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545847 */     // GIR_Coverage, 18882,
     /* 1545847 */     GIR_EraseRootFromParent_Done,
     /* 1545848 */   // Label 21439: @1545848
     /* 1545848 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1545930), // Rule ID 18885 //
     /* 1545853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1545864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1545867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545892 */     // MIs[0] round
     /* 1545892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545895 */     // MIs[0] policy
     /* 1545895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545905 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1545908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545929 */     // GIR_Coverage, 18885,
     /* 1545929 */     GIR_EraseRootFromParent_Done,
     /* 1545930 */   // Label 21440: @1545930
     /* 1545930 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546012), // Rule ID 18886 //
     /* 1545935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1545946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1545949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545974 */     // MIs[0] round
     /* 1545974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545977 */     // MIs[0] policy
     /* 1545977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1545990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546011 */     // GIR_Coverage, 18886,
     /* 1546011 */     GIR_EraseRootFromParent_Done,
     /* 1546012 */   // Label 21441: @1546012
     /* 1546012 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546094), // Rule ID 18889 //
     /* 1546017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546056 */     // MIs[0] round
     /* 1546056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546059 */     // MIs[0] policy
     /* 1546059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546069 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546093 */     // GIR_Coverage, 18889,
     /* 1546093 */     GIR_EraseRootFromParent_Done,
     /* 1546094 */   // Label 21442: @1546094
     /* 1546094 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546176), // Rule ID 18890 //
     /* 1546099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546138 */     // MIs[0] round
     /* 1546138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546141 */     // MIs[0] policy
     /* 1546141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1546154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546175 */     // GIR_Coverage, 18890,
     /* 1546175 */     GIR_EraseRootFromParent_Done,
     /* 1546176 */   // Label 21443: @1546176
     /* 1546176 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1546258), // Rule ID 18893 //
     /* 1546181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546220 */     // MIs[0] round
     /* 1546220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546223 */     // MIs[0] policy
     /* 1546223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546233 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546257 */     // GIR_Coverage, 18893,
     /* 1546257 */     GIR_EraseRootFromParent_Done,
     /* 1546258 */   // Label 21444: @1546258
     /* 1546258 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1546340), // Rule ID 18894 //
     /* 1546263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1546280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546302 */     // MIs[0] round
     /* 1546302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546305 */     // MIs[0] policy
     /* 1546305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546315 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1546318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546339 */     // GIR_Coverage, 18894,
     /* 1546339 */     GIR_EraseRootFromParent_Done,
     /* 1546340 */   // Label 21445: @1546340
     /* 1546340 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1546422), // Rule ID 18897 //
     /* 1546345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546384 */     // MIs[0] round
     /* 1546384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546387 */     // MIs[0] policy
     /* 1546387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546421 */     // GIR_Coverage, 18897,
     /* 1546421 */     GIR_EraseRootFromParent_Done,
     /* 1546422 */   // Label 21446: @1546422
     /* 1546422 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1546504), // Rule ID 18898 //
     /* 1546427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546466 */     // MIs[0] round
     /* 1546466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546469 */     // MIs[0] policy
     /* 1546469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546479 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1546482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546503 */     // GIR_Coverage, 18898,
     /* 1546503 */     GIR_EraseRootFromParent_Done,
     /* 1546504 */   // Label 21447: @1546504
     /* 1546504 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546586), // Rule ID 18901 //
     /* 1546509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546548 */     // MIs[0] round
     /* 1546548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546551 */     // MIs[0] policy
     /* 1546551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546561 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1546564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546585 */     // GIR_Coverage, 18901,
     /* 1546585 */     GIR_EraseRootFromParent_Done,
     /* 1546586 */   // Label 21448: @1546586
     /* 1546586 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546668), // Rule ID 18902 //
     /* 1546591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546630 */     // MIs[0] round
     /* 1546630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546633 */     // MIs[0] policy
     /* 1546633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546643 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1546646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546667 */     // GIR_Coverage, 18902,
     /* 1546667 */     GIR_EraseRootFromParent_Done,
     /* 1546668 */   // Label 21449: @1546668
     /* 1546668 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546750), // Rule ID 18905 //
     /* 1546673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1546693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546712 */     // MIs[0] round
     /* 1546712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546715 */     // MIs[0] policy
     /* 1546715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546725 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1546728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546749 */     // GIR_Coverage, 18905,
     /* 1546749 */     GIR_EraseRootFromParent_Done,
     /* 1546750 */   // Label 21450: @1546750
     /* 1546750 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546832), // Rule ID 18906 //
     /* 1546755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1546775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546794 */     // MIs[0] round
     /* 1546794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546797 */     // MIs[0] policy
     /* 1546797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546807 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1546810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546831 */     // GIR_Coverage, 18906,
     /* 1546831 */     GIR_EraseRootFromParent_Done,
     /* 1546832 */   // Label 21451: @1546832
     /* 1546832 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1546914), // Rule ID 18909 //
     /* 1546837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546876 */     // MIs[0] round
     /* 1546876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546879 */     // MIs[0] policy
     /* 1546879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1546892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546913 */     // GIR_Coverage, 18909,
     /* 1546913 */     GIR_EraseRootFromParent_Done,
     /* 1546914 */   // Label 21452: @1546914
     /* 1546914 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1546996), // Rule ID 18910 //
     /* 1546919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546958 */     // MIs[0] round
     /* 1546958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546961 */     // MIs[0] policy
     /* 1546961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546971 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1546974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546995 */     // GIR_Coverage, 18910,
     /* 1546995 */     GIR_EraseRootFromParent_Done,
     /* 1546996 */   // Label 21453: @1546996
     /* 1546996 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547078), // Rule ID 18913 //
     /* 1547001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547040 */     // MIs[0] round
     /* 1547040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547043 */     // MIs[0] policy
     /* 1547043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547053 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547077 */     // GIR_Coverage, 18913,
     /* 1547077 */     GIR_EraseRootFromParent_Done,
     /* 1547078 */   // Label 21454: @1547078
     /* 1547078 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547160), // Rule ID 18914 //
     /* 1547083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547122 */     // MIs[0] round
     /* 1547122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547125 */     // MIs[0] policy
     /* 1547125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547135 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1547138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547159 */     // GIR_Coverage, 18914,
     /* 1547159 */     GIR_EraseRootFromParent_Done,
     /* 1547160 */   // Label 21455: @1547160
     /* 1547160 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1547242), // Rule ID 18917 //
     /* 1547165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547204 */     // MIs[0] round
     /* 1547204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547207 */     // MIs[0] policy
     /* 1547207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547217 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547241 */     // GIR_Coverage, 18917,
     /* 1547241 */     GIR_EraseRootFromParent_Done,
     /* 1547242 */   // Label 21456: @1547242
     /* 1547242 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1547324), // Rule ID 18918 //
     /* 1547247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547286 */     // MIs[0] round
     /* 1547286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547289 */     // MIs[0] policy
     /* 1547289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547299 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1547302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547323 */     // GIR_Coverage, 18918,
     /* 1547323 */     GIR_EraseRootFromParent_Done,
     /* 1547324 */   // Label 21457: @1547324
     /* 1547324 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1547406), // Rule ID 18921 //
     /* 1547329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547368 */     // MIs[0] round
     /* 1547368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547371 */     // MIs[0] policy
     /* 1547371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547381 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547405 */     // GIR_Coverage, 18921,
     /* 1547405 */     GIR_EraseRootFromParent_Done,
     /* 1547406 */   // Label 21458: @1547406
     /* 1547406 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1547488), // Rule ID 18922 //
     /* 1547411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1547428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547450 */     // MIs[0] round
     /* 1547450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547453 */     // MIs[0] policy
     /* 1547453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547463 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1547466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547487 */     // GIR_Coverage, 18922,
     /* 1547487 */     GIR_EraseRootFromParent_Done,
     /* 1547488 */   // Label 21459: @1547488
     /* 1547488 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1547570), // Rule ID 18925 //
     /* 1547493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547532 */     // MIs[0] round
     /* 1547532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547535 */     // MIs[0] policy
     /* 1547535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547545 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547569 */     // GIR_Coverage, 18925,
     /* 1547569 */     GIR_EraseRootFromParent_Done,
     /* 1547570 */   // Label 21460: @1547570
     /* 1547570 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547652), // Rule ID 18926 //
     /* 1547575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1547592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547614 */     // MIs[0] round
     /* 1547614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547617 */     // MIs[0] policy
     /* 1547617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1547630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547651 */     // GIR_Coverage, 18926,
     /* 1547651 */     GIR_EraseRootFromParent_Done,
     /* 1547652 */   // Label 21461: @1547652
     /* 1547652 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547734), // Rule ID 18929 //
     /* 1547657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1547674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547696 */     // MIs[0] round
     /* 1547696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547699 */     // MIs[0] policy
     /* 1547699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1547712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547733 */     // GIR_Coverage, 18929,
     /* 1547733 */     GIR_EraseRootFromParent_Done,
     /* 1547734 */   // Label 21462: @1547734
     /* 1547734 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547816), // Rule ID 18930 //
     /* 1547739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1547747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1547756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547778 */     // MIs[0] round
     /* 1547778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547781 */     // MIs[0] policy
     /* 1547781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547791 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1547794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547815 */     // GIR_Coverage, 18930,
     /* 1547815 */     GIR_EraseRootFromParent_Done,
     /* 1547816 */   // Label 21463: @1547816
     /* 1547816 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1547898), // Rule ID 18989 //
     /* 1547821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1547832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1547835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547860 */     // MIs[0] round
     /* 1547860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547863 */     // MIs[0] policy
     /* 1547863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547873 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1547876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547897 */     // GIR_Coverage, 18989,
     /* 1547897 */     GIR_EraseRootFromParent_Done,
     /* 1547898 */   // Label 21464: @1547898
     /* 1547898 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1547980), // Rule ID 18990 //
     /* 1547903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1547914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1547917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547942 */     // MIs[0] round
     /* 1547942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547945 */     // MIs[0] policy
     /* 1547945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547955 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1547958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547979 */     // GIR_Coverage, 18990,
     /* 1547979 */     GIR_EraseRootFromParent_Done,
     /* 1547980 */   // Label 21465: @1547980
     /* 1547980 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548062), // Rule ID 18993 //
     /* 1547985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1547996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1547999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548024 */     // MIs[0] round
     /* 1548024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548027 */     // MIs[0] policy
     /* 1548027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548037 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548061 */     // GIR_Coverage, 18993,
     /* 1548061 */     GIR_EraseRootFromParent_Done,
     /* 1548062 */   // Label 21466: @1548062
     /* 1548062 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548144), // Rule ID 18994 //
     /* 1548067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1548078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1548081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548106 */     // MIs[0] round
     /* 1548106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548109 */     // MIs[0] policy
     /* 1548109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548119 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1548122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548143 */     // GIR_Coverage, 18994,
     /* 1548143 */     GIR_EraseRootFromParent_Done,
     /* 1548144 */   // Label 21467: @1548144
     /* 1548144 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1548226), // Rule ID 18997 //
     /* 1548149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548188 */     // MIs[0] round
     /* 1548188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548191 */     // MIs[0] policy
     /* 1548191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548201 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548225 */     // GIR_Coverage, 18997,
     /* 1548225 */     GIR_EraseRootFromParent_Done,
     /* 1548226 */   // Label 21468: @1548226
     /* 1548226 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1548308), // Rule ID 18998 //
     /* 1548231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548270 */     // MIs[0] round
     /* 1548270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548273 */     // MIs[0] policy
     /* 1548273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548283 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1548286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548307 */     // GIR_Coverage, 18998,
     /* 1548307 */     GIR_EraseRootFromParent_Done,
     /* 1548308 */   // Label 21469: @1548308
     /* 1548308 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1548390), // Rule ID 19001 //
     /* 1548313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548352 */     // MIs[0] round
     /* 1548352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548355 */     // MIs[0] policy
     /* 1548355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548389 */     // GIR_Coverage, 19001,
     /* 1548389 */     GIR_EraseRootFromParent_Done,
     /* 1548390 */   // Label 21470: @1548390
     /* 1548390 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1548472), // Rule ID 19002 //
     /* 1548395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1548406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1548409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548434 */     // MIs[0] round
     /* 1548434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548437 */     // MIs[0] policy
     /* 1548437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548447 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1548450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548471 */     // GIR_Coverage, 19002,
     /* 1548471 */     GIR_EraseRootFromParent_Done,
     /* 1548472 */   // Label 21471: @1548472
     /* 1548472 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1548554), // Rule ID 19005 //
     /* 1548477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548516 */     // MIs[0] round
     /* 1548516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548519 */     // MIs[0] policy
     /* 1548519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548529 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548553 */     // GIR_Coverage, 19005,
     /* 1548553 */     GIR_EraseRootFromParent_Done,
     /* 1548554 */   // Label 21472: @1548554
     /* 1548554 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548636), // Rule ID 19006 //
     /* 1548559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548598 */     // MIs[0] round
     /* 1548598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548601 */     // MIs[0] policy
     /* 1548601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548611 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1548614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548635 */     // GIR_Coverage, 19006,
     /* 1548635 */     GIR_EraseRootFromParent_Done,
     /* 1548636 */   // Label 21473: @1548636
     /* 1548636 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548718), // Rule ID 19009 //
     /* 1548641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1548658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548680 */     // MIs[0] round
     /* 1548680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548683 */     // MIs[0] policy
     /* 1548683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548693 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1548696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548717 */     // GIR_Coverage, 19009,
     /* 1548717 */     GIR_EraseRootFromParent_Done,
     /* 1548718 */   // Label 21474: @1548718
     /* 1548718 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548800), // Rule ID 19010 //
     /* 1548723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1548740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548762 */     // MIs[0] round
     /* 1548762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548765 */     // MIs[0] policy
     /* 1548765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548775 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1548778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548799 */     // GIR_Coverage, 19010,
     /* 1548799 */     GIR_EraseRootFromParent_Done,
     /* 1548800 */   // Label 21475: @1548800
     /* 1548800 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548882), // Rule ID 19013 //
     /* 1548805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1548816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1548819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548844 */     // MIs[0] round
     /* 1548844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548847 */     // MIs[0] policy
     /* 1548847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1548860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548881 */     // GIR_Coverage, 19013,
     /* 1548881 */     GIR_EraseRootFromParent_Done,
     /* 1548882 */   // Label 21476: @1548882
     /* 1548882 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1548964), // Rule ID 19014 //
     /* 1548887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1548898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1548901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548926 */     // MIs[0] round
     /* 1548926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548929 */     // MIs[0] policy
     /* 1548929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548939 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1548942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548963 */     // GIR_Coverage, 19014,
     /* 1548963 */     GIR_EraseRootFromParent_Done,
     /* 1548964 */   // Label 21477: @1548964
     /* 1548964 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549046), // Rule ID 19017 //
     /* 1548969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1548972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1548980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1548983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1548986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1548989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549008 */     // MIs[0] round
     /* 1549008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549011 */     // MIs[0] policy
     /* 1549011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549021 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549045 */     // GIR_Coverage, 19017,
     /* 1549045 */     GIR_EraseRootFromParent_Done,
     /* 1549046 */   // Label 21478: @1549046
     /* 1549046 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549128), // Rule ID 19018 //
     /* 1549051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1549062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1549065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549090 */     // MIs[0] round
     /* 1549090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549093 */     // MIs[0] policy
     /* 1549093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549103 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1549106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549127 */     // GIR_Coverage, 19018,
     /* 1549127 */     GIR_EraseRootFromParent_Done,
     /* 1549128 */   // Label 21479: @1549128
     /* 1549128 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549210), // Rule ID 19021 //
     /* 1549133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1549136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549172 */     // MIs[0] round
     /* 1549172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549175 */     // MIs[0] policy
     /* 1549175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549185 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549209 */     // GIR_Coverage, 19021,
     /* 1549209 */     GIR_EraseRootFromParent_Done,
     /* 1549210 */   // Label 21480: @1549210
     /* 1549210 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1549292), // Rule ID 19022 //
     /* 1549215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1549218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1549226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1549229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549254 */     // MIs[0] round
     /* 1549254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549257 */     // MIs[0] policy
     /* 1549257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549267 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1549270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549291 */     // GIR_Coverage, 19022,
     /* 1549291 */     GIR_EraseRootFromParent_Done,
     /* 1549292 */   // Label 21481: @1549292
     /* 1549292 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1549374), // Rule ID 19025 //
     /* 1549297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549336 */     // MIs[0] round
     /* 1549336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549339 */     // MIs[0] policy
     /* 1549339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549373 */     // GIR_Coverage, 19025,
     /* 1549373 */     GIR_EraseRootFromParent_Done,
     /* 1549374 */   // Label 21482: @1549374
     /* 1549374 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1549456), // Rule ID 19026 //
     /* 1549379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549418 */     // MIs[0] round
     /* 1549418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549421 */     // MIs[0] policy
     /* 1549421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549431 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1549434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549455 */     // GIR_Coverage, 19026,
     /* 1549455 */     GIR_EraseRootFromParent_Done,
     /* 1549456 */   // Label 21483: @1549456
     /* 1549456 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1549538), // Rule ID 19029 //
     /* 1549461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549500 */     // MIs[0] round
     /* 1549500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549503 */     // MIs[0] policy
     /* 1549503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549513 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549537 */     // GIR_Coverage, 19029,
     /* 1549537 */     GIR_EraseRootFromParent_Done,
     /* 1549538 */   // Label 21484: @1549538
     /* 1549538 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549620), // Rule ID 19030 //
     /* 1549543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549582 */     // MIs[0] round
     /* 1549582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549585 */     // MIs[0] policy
     /* 1549585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549595 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1549598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549619 */     // GIR_Coverage, 19030,
     /* 1549619 */     GIR_EraseRootFromParent_Done,
     /* 1549620 */   // Label 21485: @1549620
     /* 1549620 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549702), // Rule ID 19033 //
     /* 1549625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1549628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1549642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549664 */     // MIs[0] round
     /* 1549664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549667 */     // MIs[0] policy
     /* 1549667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1549680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549701 */     // GIR_Coverage, 19033,
     /* 1549701 */     GIR_EraseRootFromParent_Done,
     /* 1549702 */   // Label 21486: @1549702
     /* 1549702 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549784), // Rule ID 19034 //
     /* 1549707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1549710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1549724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549746 */     // MIs[0] round
     /* 1549746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549749 */     // MIs[0] policy
     /* 1549749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549759 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1549762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549783 */     // GIR_Coverage, 19034,
     /* 1549783 */     GIR_EraseRootFromParent_Done,
     /* 1549784 */   // Label 21487: @1549784
     /* 1549784 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549866), // Rule ID 19037 //
     /* 1549789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1549792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1549806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549828 */     // MIs[0] round
     /* 1549828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549831 */     // MIs[0] policy
     /* 1549831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549841 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1549844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549865 */     // GIR_Coverage, 19037,
     /* 1549865 */     GIR_EraseRootFromParent_Done,
     /* 1549866 */   // Label 21488: @1549866
     /* 1549866 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1549948), // Rule ID 19038 //
     /* 1549871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1549874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1549888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549910 */     // MIs[0] round
     /* 1549910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549913 */     // MIs[0] policy
     /* 1549913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1549926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549947 */     // GIR_Coverage, 19038,
     /* 1549947 */     GIR_EraseRootFromParent_Done,
     /* 1549948 */   // Label 21489: @1549948
     /* 1549948 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550030), // Rule ID 19041 //
     /* 1549953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1549956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1549970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549992 */     // MIs[0] round
     /* 1549992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549995 */     // MIs[0] policy
     /* 1549995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550005 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550029 */     // GIR_Coverage, 19041,
     /* 1550029 */     GIR_EraseRootFromParent_Done,
     /* 1550030 */   // Label 21490: @1550030
     /* 1550030 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550112), // Rule ID 19042 //
     /* 1550035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1550052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550074 */     // MIs[0] round
     /* 1550074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550077 */     // MIs[0] policy
     /* 1550077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550087 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1550090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550111 */     // GIR_Coverage, 19042,
     /* 1550111 */     GIR_EraseRootFromParent_Done,
     /* 1550112 */   // Label 21491: @1550112
     /* 1550112 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550194), // Rule ID 19045 //
     /* 1550117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550156 */     // MIs[0] round
     /* 1550156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550159 */     // MIs[0] policy
     /* 1550159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550169 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550193 */     // GIR_Coverage, 19045,
     /* 1550193 */     GIR_EraseRootFromParent_Done,
     /* 1550194 */   // Label 21492: @1550194
     /* 1550194 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1550276), // Rule ID 19046 //
     /* 1550199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1550207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1550216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550238 */     // MIs[0] round
     /* 1550238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550241 */     // MIs[0] policy
     /* 1550241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550251 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1550254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550275 */     // GIR_Coverage, 19046,
     /* 1550275 */     GIR_EraseRootFromParent_Done,
     /* 1550276 */   // Label 21493: @1550276
     /* 1550276 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1550358), // Rule ID 20631 //
     /* 1550281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550320 */     // MIs[0] round
     /* 1550320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550323 */     // MIs[0] policy
     /* 1550323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550333 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550357 */     // GIR_Coverage, 20631,
     /* 1550357 */     GIR_EraseRootFromParent_Done,
     /* 1550358 */   // Label 21494: @1550358
     /* 1550358 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1550440), // Rule ID 20632 //
     /* 1550363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550402 */     // MIs[0] round
     /* 1550402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550405 */     // MIs[0] policy
     /* 1550405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550439 */     // GIR_Coverage, 20632,
     /* 1550439 */     GIR_EraseRootFromParent_Done,
     /* 1550440 */   // Label 21495: @1550440
     /* 1550440 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1550522), // Rule ID 20635 //
     /* 1550445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550484 */     // MIs[0] round
     /* 1550484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550487 */     // MIs[0] policy
     /* 1550487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550521 */     // GIR_Coverage, 20635,
     /* 1550521 */     GIR_EraseRootFromParent_Done,
     /* 1550522 */   // Label 21496: @1550522
     /* 1550522 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550604), // Rule ID 20636 //
     /* 1550527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550566 */     // MIs[0] round
     /* 1550566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550569 */     // MIs[0] policy
     /* 1550569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1550582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550603 */     // GIR_Coverage, 20636,
     /* 1550603 */     GIR_EraseRootFromParent_Done,
     /* 1550604 */   // Label 21497: @1550604
     /* 1550604 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550686), // Rule ID 20639 //
     /* 1550609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550648 */     // MIs[0] round
     /* 1550648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550651 */     // MIs[0] policy
     /* 1550651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550685 */     // GIR_Coverage, 20639,
     /* 1550685 */     GIR_EraseRootFromParent_Done,
     /* 1550686 */   // Label 21498: @1550686
     /* 1550686 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550768), // Rule ID 20640 //
     /* 1550691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550730 */     // MIs[0] round
     /* 1550730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550733 */     // MIs[0] policy
     /* 1550733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550767 */     // GIR_Coverage, 20640,
     /* 1550767 */     GIR_EraseRootFromParent_Done,
     /* 1550768 */   // Label 21499: @1550768
     /* 1550768 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550850), // Rule ID 20643 //
     /* 1550773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550812 */     // MIs[0] round
     /* 1550812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550815 */     // MIs[0] policy
     /* 1550815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550849 */     // GIR_Coverage, 20643,
     /* 1550849 */     GIR_EraseRootFromParent_Done,
     /* 1550850 */   // Label 21500: @1550850
     /* 1550850 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1550932), // Rule ID 20644 //
     /* 1550855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550894 */     // MIs[0] round
     /* 1550894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550897 */     // MIs[0] policy
     /* 1550897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550931 */     // GIR_Coverage, 20644,
     /* 1550931 */     GIR_EraseRootFromParent_Done,
     /* 1550932 */   // Label 21501: @1550932
     /* 1550932 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551014), // Rule ID 20647 //
     /* 1550937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1550940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550976 */     // MIs[0] round
     /* 1550976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550979 */     // MIs[0] policy
     /* 1550979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1550992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551013 */     // GIR_Coverage, 20647,
     /* 1551013 */     GIR_EraseRootFromParent_Done,
     /* 1551014 */   // Label 21502: @1551014
     /* 1551014 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551096), // Rule ID 20648 //
     /* 1551019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1551036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551058 */     // MIs[0] round
     /* 1551058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551061 */     // MIs[0] policy
     /* 1551061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1551074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551095 */     // GIR_Coverage, 20648,
     /* 1551095 */     GIR_EraseRootFromParent_Done,
     /* 1551096 */   // Label 21503: @1551096
     /* 1551096 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551178), // Rule ID 20651 //
     /* 1551101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551140 */     // MIs[0] round
     /* 1551140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551143 */     // MIs[0] policy
     /* 1551143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551177 */     // GIR_Coverage, 20651,
     /* 1551177 */     GIR_EraseRootFromParent_Done,
     /* 1551178 */   // Label 21504: @1551178
     /* 1551178 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1551260), // Rule ID 20652 //
     /* 1551183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551222 */     // MIs[0] round
     /* 1551222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551225 */     // MIs[0] policy
     /* 1551225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551259 */     // GIR_Coverage, 20652,
     /* 1551259 */     GIR_EraseRootFromParent_Done,
     /* 1551260 */   // Label 21505: @1551260
     /* 1551260 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1551342), // Rule ID 20655 //
     /* 1551265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551304 */     // MIs[0] round
     /* 1551304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551307 */     // MIs[0] policy
     /* 1551307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551341 */     // GIR_Coverage, 20655,
     /* 1551341 */     GIR_EraseRootFromParent_Done,
     /* 1551342 */   // Label 21506: @1551342
     /* 1551342 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1551424), // Rule ID 20656 //
     /* 1551347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551386 */     // MIs[0] round
     /* 1551386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551389 */     // MIs[0] policy
     /* 1551389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551423 */     // GIR_Coverage, 20656,
     /* 1551423 */     GIR_EraseRootFromParent_Done,
     /* 1551424 */   // Label 21507: @1551424
     /* 1551424 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1551506), // Rule ID 20659 //
     /* 1551429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551468 */     // MIs[0] round
     /* 1551468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551471 */     // MIs[0] policy
     /* 1551471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551481 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551505 */     // GIR_Coverage, 20659,
     /* 1551505 */     GIR_EraseRootFromParent_Done,
     /* 1551506 */   // Label 21508: @1551506
     /* 1551506 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551588), // Rule ID 20660 //
     /* 1551511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551550 */     // MIs[0] round
     /* 1551550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551553 */     // MIs[0] policy
     /* 1551553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551587 */     // GIR_Coverage, 20660,
     /* 1551587 */     GIR_EraseRootFromParent_Done,
     /* 1551588 */   // Label 21509: @1551588
     /* 1551588 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551670), // Rule ID 20663 //
     /* 1551593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551632 */     // MIs[0] round
     /* 1551632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551635 */     // MIs[0] policy
     /* 1551635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551669 */     // GIR_Coverage, 20663,
     /* 1551669 */     GIR_EraseRootFromParent_Done,
     /* 1551670 */   // Label 21510: @1551670
     /* 1551670 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551752), // Rule ID 20664 //
     /* 1551675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551714 */     // MIs[0] round
     /* 1551714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551717 */     // MIs[0] policy
     /* 1551717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551751 */     // GIR_Coverage, 20664,
     /* 1551751 */     GIR_EraseRootFromParent_Done,
     /* 1551752 */   // Label 21511: @1551752
     /* 1551752 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551834), // Rule ID 20667 //
     /* 1551757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551796 */     // MIs[0] round
     /* 1551796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551799 */     // MIs[0] policy
     /* 1551799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551833 */     // GIR_Coverage, 20667,
     /* 1551833 */     GIR_EraseRootFromParent_Done,
     /* 1551834 */   // Label 21512: @1551834
     /* 1551834 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1551916), // Rule ID 20668 //
     /* 1551839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551878 */     // MIs[0] round
     /* 1551878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551881 */     // MIs[0] policy
     /* 1551881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551915 */     // GIR_Coverage, 20668,
     /* 1551915 */     GIR_EraseRootFromParent_Done,
     /* 1551916 */   // Label 21513: @1551916
     /* 1551916 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1551998), // Rule ID 20671 //
     /* 1551921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551960 */     // MIs[0] round
     /* 1551960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551963 */     // MIs[0] policy
     /* 1551963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551997 */     // GIR_Coverage, 20671,
     /* 1551997 */     GIR_EraseRootFromParent_Done,
     /* 1551998 */   // Label 21514: @1551998
     /* 1551998 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552080), // Rule ID 20672 //
     /* 1552003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1552014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1552017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1552020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552042 */     // MIs[0] round
     /* 1552042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552045 */     // MIs[0] policy
     /* 1552045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552079 */     // GIR_Coverage, 20672,
     /* 1552079 */     GIR_EraseRootFromParent_Done,
     /* 1552080 */   // Label 21515: @1552080
     /* 1552080 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552162), // Rule ID 20675 //
     /* 1552085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552124 */     // MIs[0] round
     /* 1552124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552127 */     // MIs[0] policy
     /* 1552127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552137 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552161 */     // GIR_Coverage, 20675,
     /* 1552161 */     GIR_EraseRootFromParent_Done,
     /* 1552162 */   // Label 21516: @1552162
     /* 1552162 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1552244), // Rule ID 20676 //
     /* 1552167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552206 */     // MIs[0] round
     /* 1552206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552209 */     // MIs[0] policy
     /* 1552209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1552222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552243 */     // GIR_Coverage, 20676,
     /* 1552243 */     GIR_EraseRootFromParent_Done,
     /* 1552244 */   // Label 21517: @1552244
     /* 1552244 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1552326), // Rule ID 20679 //
     /* 1552249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552288 */     // MIs[0] round
     /* 1552288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552291 */     // MIs[0] policy
     /* 1552291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552325 */     // GIR_Coverage, 20679,
     /* 1552325 */     GIR_EraseRootFromParent_Done,
     /* 1552326 */   // Label 21518: @1552326
     /* 1552326 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1552408), // Rule ID 20680 //
     /* 1552331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552370 */     // MIs[0] round
     /* 1552370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552373 */     // MIs[0] policy
     /* 1552373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552383 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1552386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552407 */     // GIR_Coverage, 20680,
     /* 1552407 */     GIR_EraseRootFromParent_Done,
     /* 1552408 */   // Label 21519: @1552408
     /* 1552408 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1552490), // Rule ID 20683 //
     /* 1552413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552452 */     // MIs[0] round
     /* 1552452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552455 */     // MIs[0] policy
     /* 1552455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552489 */     // GIR_Coverage, 20683,
     /* 1552489 */     GIR_EraseRootFromParent_Done,
     /* 1552490 */   // Label 21520: @1552490
     /* 1552490 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552572), // Rule ID 20684 //
     /* 1552495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1552503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552534 */     // MIs[0] round
     /* 1552534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552537 */     // MIs[0] policy
     /* 1552537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1552550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552571 */     // GIR_Coverage, 20684,
     /* 1552571 */     GIR_EraseRootFromParent_Done,
     /* 1552572 */   // Label 21521: @1552572
     /* 1552572 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552654), // Rule ID 20687 //
     /* 1552577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552616 */     // MIs[0] round
     /* 1552616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552619 */     // MIs[0] policy
     /* 1552619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1552632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552653 */     // GIR_Coverage, 20687,
     /* 1552653 */     GIR_EraseRootFromParent_Done,
     /* 1552654 */   // Label 21522: @1552654
     /* 1552654 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552736), // Rule ID 20688 //
     /* 1552659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552698 */     // MIs[0] round
     /* 1552698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552701 */     // MIs[0] policy
     /* 1552701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1552714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552735 */     // GIR_Coverage, 20688,
     /* 1552735 */     GIR_EraseRootFromParent_Done,
     /* 1552736 */   // Label 21523: @1552736
     /* 1552736 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552818), // Rule ID 20691 //
     /* 1552741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552780 */     // MIs[0] round
     /* 1552780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552783 */     // MIs[0] policy
     /* 1552783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1552796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552817 */     // GIR_Coverage, 20691,
     /* 1552817 */     GIR_EraseRootFromParent_Done,
     /* 1552818 */   // Label 21524: @1552818
     /* 1552818 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1552900), // Rule ID 20692 //
     /* 1552823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552862 */     // MIs[0] round
     /* 1552862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552865 */     // MIs[0] policy
     /* 1552865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1552878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552899 */     // GIR_Coverage, 20692,
     /* 1552899 */     GIR_EraseRootFromParent_Done,
     /* 1552900 */   // Label 21525: @1552900
     /* 1552900 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1552982), // Rule ID 20695 //
     /* 1552905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552944 */     // MIs[0] round
     /* 1552944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552947 */     // MIs[0] policy
     /* 1552947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1552960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552981 */     // GIR_Coverage, 20695,
     /* 1552981 */     GIR_EraseRootFromParent_Done,
     /* 1552982 */   // Label 21526: @1552982
     /* 1552982 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553064), // Rule ID 20696 //
     /* 1552987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553026 */     // MIs[0] round
     /* 1553026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553029 */     // MIs[0] policy
     /* 1553029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1553042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553063 */     // GIR_Coverage, 20696,
     /* 1553063 */     GIR_EraseRootFromParent_Done,
     /* 1553064 */   // Label 21527: @1553064
     /* 1553064 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553146), // Rule ID 20699 //
     /* 1553069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553108 */     // MIs[0] round
     /* 1553108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553111 */     // MIs[0] policy
     /* 1553111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553145 */     // GIR_Coverage, 20699,
     /* 1553145 */     GIR_EraseRootFromParent_Done,
     /* 1553146 */   // Label 21528: @1553146
     /* 1553146 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1553228), // Rule ID 20700 //
     /* 1553151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553190 */     // MIs[0] round
     /* 1553190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553193 */     // MIs[0] policy
     /* 1553193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553227 */     // GIR_Coverage, 20700,
     /* 1553227 */     GIR_EraseRootFromParent_Done,
     /* 1553228 */   // Label 21529: @1553228
     /* 1553228 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1553310), // Rule ID 20703 //
     /* 1553233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553272 */     // MIs[0] round
     /* 1553272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553275 */     // MIs[0] policy
     /* 1553275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553309 */     // GIR_Coverage, 20703,
     /* 1553309 */     GIR_EraseRootFromParent_Done,
     /* 1553310 */   // Label 21530: @1553310
     /* 1553310 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1553392), // Rule ID 20704 //
     /* 1553315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553354 */     // MIs[0] round
     /* 1553354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553357 */     // MIs[0] policy
     /* 1553357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553391 */     // GIR_Coverage, 20704,
     /* 1553391 */     GIR_EraseRootFromParent_Done,
     /* 1553392 */   // Label 21531: @1553392
     /* 1553392 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1553474), // Rule ID 20707 //
     /* 1553397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553436 */     // MIs[0] round
     /* 1553436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553439 */     // MIs[0] policy
     /* 1553439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553473 */     // GIR_Coverage, 20707,
     /* 1553473 */     GIR_EraseRootFromParent_Done,
     /* 1553474 */   // Label 21532: @1553474
     /* 1553474 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1553556), // Rule ID 20708 //
     /* 1553479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553518 */     // MIs[0] round
     /* 1553518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553521 */     // MIs[0] policy
     /* 1553521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1553534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553555 */     // GIR_Coverage, 20708,
     /* 1553555 */     GIR_EraseRootFromParent_Done,
     /* 1553556 */   // Label 21533: @1553556
     /* 1553556 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553638), // Rule ID 20711 //
     /* 1553561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553600 */     // MIs[0] round
     /* 1553600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553603 */     // MIs[0] policy
     /* 1553603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553637 */     // GIR_Coverage, 20711,
     /* 1553637 */     GIR_EraseRootFromParent_Done,
     /* 1553638 */   // Label 21534: @1553638
     /* 1553638 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553720), // Rule ID 20712 //
     /* 1553643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553682 */     // MIs[0] round
     /* 1553682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553685 */     // MIs[0] policy
     /* 1553685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553719 */     // GIR_Coverage, 20712,
     /* 1553719 */     GIR_EraseRootFromParent_Done,
     /* 1553720 */   // Label 21535: @1553720
     /* 1553720 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553802), // Rule ID 20715 //
     /* 1553725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553764 */     // MIs[0] round
     /* 1553764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553767 */     // MIs[0] policy
     /* 1553767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553801 */     // GIR_Coverage, 20715,
     /* 1553801 */     GIR_EraseRootFromParent_Done,
     /* 1553802 */   // Label 21536: @1553802
     /* 1553802 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553884), // Rule ID 20716 //
     /* 1553807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553846 */     // MIs[0] round
     /* 1553846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553849 */     // MIs[0] policy
     /* 1553849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553883 */     // GIR_Coverage, 20716,
     /* 1553883 */     GIR_EraseRootFromParent_Done,
     /* 1553884 */   // Label 21537: @1553884
     /* 1553884 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1553966), // Rule ID 20719 //
     /* 1553889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553928 */     // MIs[0] round
     /* 1553928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553931 */     // MIs[0] policy
     /* 1553931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553965 */     // GIR_Coverage, 20719,
     /* 1553965 */     GIR_EraseRootFromParent_Done,
     /* 1553966 */   // Label 21538: @1553966
     /* 1553966 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554048), // Rule ID 20720 //
     /* 1553971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554010 */     // MIs[0] round
     /* 1554010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554013 */     // MIs[0] policy
     /* 1554013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554023 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554047 */     // GIR_Coverage, 20720,
     /* 1554047 */     GIR_EraseRootFromParent_Done,
     /* 1554048 */   // Label 21539: @1554048
     /* 1554048 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554130), // Rule ID 20723 //
     /* 1554053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554092 */     // MIs[0] round
     /* 1554092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554095 */     // MIs[0] policy
     /* 1554095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554129 */     // GIR_Coverage, 20723,
     /* 1554129 */     GIR_EraseRootFromParent_Done,
     /* 1554130 */   // Label 21540: @1554130
     /* 1554130 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554212), // Rule ID 20724 //
     /* 1554135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1554152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554174 */     // MIs[0] round
     /* 1554174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554177 */     // MIs[0] policy
     /* 1554177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554211 */     // GIR_Coverage, 20724,
     /* 1554211 */     GIR_EraseRootFromParent_Done,
     /* 1554212 */   // Label 21541: @1554212
     /* 1554212 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1554294), // Rule ID 20727 //
     /* 1554217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554256 */     // MIs[0] round
     /* 1554256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554259 */     // MIs[0] policy
     /* 1554259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554293 */     // GIR_Coverage, 20727,
     /* 1554293 */     GIR_EraseRootFromParent_Done,
     /* 1554294 */   // Label 21542: @1554294
     /* 1554294 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1554376), // Rule ID 20728 //
     /* 1554299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554338 */     // MIs[0] round
     /* 1554338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554341 */     // MIs[0] policy
     /* 1554341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554375 */     // GIR_Coverage, 20728,
     /* 1554375 */     GIR_EraseRootFromParent_Done,
     /* 1554376 */   // Label 21543: @1554376
     /* 1554376 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1554458), // Rule ID 20731 //
     /* 1554381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554420 */     // MIs[0] round
     /* 1554420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554423 */     // MIs[0] policy
     /* 1554423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554457 */     // GIR_Coverage, 20731,
     /* 1554457 */     GIR_EraseRootFromParent_Done,
     /* 1554458 */   // Label 21544: @1554458
     /* 1554458 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1554540), // Rule ID 20732 //
     /* 1554463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554502 */     // MIs[0] round
     /* 1554502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554505 */     // MIs[0] policy
     /* 1554505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554539 */     // GIR_Coverage, 20732,
     /* 1554539 */     GIR_EraseRootFromParent_Done,
     /* 1554540 */   // Label 21545: @1554540
     /* 1554540 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554622), // Rule ID 20735 //
     /* 1554545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554584 */     // MIs[0] round
     /* 1554584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554587 */     // MIs[0] policy
     /* 1554587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554621 */     // GIR_Coverage, 20735,
     /* 1554621 */     GIR_EraseRootFromParent_Done,
     /* 1554622 */   // Label 21546: @1554622
     /* 1554622 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554704), // Rule ID 20736 //
     /* 1554627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554666 */     // MIs[0] round
     /* 1554666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554669 */     // MIs[0] policy
     /* 1554669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1554682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554703 */     // GIR_Coverage, 20736,
     /* 1554703 */     GIR_EraseRootFromParent_Done,
     /* 1554704 */   // Label 21547: @1554704
     /* 1554704 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554786), // Rule ID 20739 //
     /* 1554709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554748 */     // MIs[0] round
     /* 1554748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554751 */     // MIs[0] policy
     /* 1554751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554761 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554785 */     // GIR_Coverage, 20739,
     /* 1554785 */     GIR_EraseRootFromParent_Done,
     /* 1554786 */   // Label 21548: @1554786
     /* 1554786 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554868), // Rule ID 20740 //
     /* 1554791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554830 */     // MIs[0] round
     /* 1554830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554833 */     // MIs[0] policy
     /* 1554833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1554846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554867 */     // GIR_Coverage, 20740,
     /* 1554867 */     GIR_EraseRootFromParent_Done,
     /* 1554868 */   // Label 21549: @1554868
     /* 1554868 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1554950), // Rule ID 20743 //
     /* 1554873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554912 */     // MIs[0] round
     /* 1554912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554915 */     // MIs[0] policy
     /* 1554915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554925 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1554928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554949 */     // GIR_Coverage, 20743,
     /* 1554949 */     GIR_EraseRootFromParent_Done,
     /* 1554950 */   // Label 21550: @1554950
     /* 1554950 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555032), // Rule ID 20744 //
     /* 1554955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1554963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554994 */     // MIs[0] round
     /* 1554994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554997 */     // MIs[0] policy
     /* 1554997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1555010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555031 */     // GIR_Coverage, 20744,
     /* 1555031 */     GIR_EraseRootFromParent_Done,
     /* 1555032 */   // Label 21551: @1555032
     /* 1555032 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555114), // Rule ID 20867 //
     /* 1555037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555076 */     // MIs[0] round
     /* 1555076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555079 */     // MIs[0] policy
     /* 1555079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555089 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555113 */     // GIR_Coverage, 20867,
     /* 1555113 */     GIR_EraseRootFromParent_Done,
     /* 1555114 */   // Label 21552: @1555114
     /* 1555114 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555196), // Rule ID 20868 //
     /* 1555119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1555130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1555133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555158 */     // MIs[0] round
     /* 1555158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555161 */     // MIs[0] policy
     /* 1555161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555171 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1555174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555195 */     // GIR_Coverage, 20868,
     /* 1555195 */     GIR_EraseRootFromParent_Done,
     /* 1555196 */   // Label 21553: @1555196
     /* 1555196 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1555278), // Rule ID 20871 //
     /* 1555201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555240 */     // MIs[0] round
     /* 1555240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555243 */     // MIs[0] policy
     /* 1555243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555253 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555277 */     // GIR_Coverage, 20871,
     /* 1555277 */     GIR_EraseRootFromParent_Done,
     /* 1555278 */   // Label 21554: @1555278
     /* 1555278 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1555360), // Rule ID 20872 //
     /* 1555283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1555294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1555297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555322 */     // MIs[0] round
     /* 1555322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555325 */     // MIs[0] policy
     /* 1555325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555335 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1555338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555359 */     // GIR_Coverage, 20872,
     /* 1555359 */     GIR_EraseRootFromParent_Done,
     /* 1555360 */   // Label 21555: @1555360
     /* 1555360 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1555442), // Rule ID 20875 //
     /* 1555365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555404 */     // MIs[0] round
     /* 1555404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555407 */     // MIs[0] policy
     /* 1555407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555441 */     // GIR_Coverage, 20875,
     /* 1555441 */     GIR_EraseRootFromParent_Done,
     /* 1555442 */   // Label 21556: @1555442
     /* 1555442 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1555524), // Rule ID 20876 //
     /* 1555447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555486 */     // MIs[0] round
     /* 1555486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555489 */     // MIs[0] policy
     /* 1555489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555499 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1555502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555523 */     // GIR_Coverage, 20876,
     /* 1555523 */     GIR_EraseRootFromParent_Done,
     /* 1555524 */   // Label 21557: @1555524
     /* 1555524 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555606), // Rule ID 20879 //
     /* 1555529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555568 */     // MIs[0] round
     /* 1555568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555571 */     // MIs[0] policy
     /* 1555571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555581 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1555584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555605 */     // GIR_Coverage, 20879,
     /* 1555605 */     GIR_EraseRootFromParent_Done,
     /* 1555606 */   // Label 21558: @1555606
     /* 1555606 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555688), // Rule ID 20880 //
     /* 1555611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555650 */     // MIs[0] round
     /* 1555650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555653 */     // MIs[0] policy
     /* 1555653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555663 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1555666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555687 */     // GIR_Coverage, 20880,
     /* 1555687 */     GIR_EraseRootFromParent_Done,
     /* 1555688 */   // Label 21559: @1555688
     /* 1555688 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555770), // Rule ID 20883 //
     /* 1555693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555732 */     // MIs[0] round
     /* 1555732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555735 */     // MIs[0] policy
     /* 1555735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555745 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1555748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555769 */     // GIR_Coverage, 20883,
     /* 1555769 */     GIR_EraseRootFromParent_Done,
     /* 1555770 */   // Label 21560: @1555770
     /* 1555770 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555852), // Rule ID 20884 //
     /* 1555775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555814 */     // MIs[0] round
     /* 1555814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555817 */     // MIs[0] policy
     /* 1555817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1555830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555851 */     // GIR_Coverage, 20884,
     /* 1555851 */     GIR_EraseRootFromParent_Done,
     /* 1555852 */   // Label 21561: @1555852
     /* 1555852 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1555934), // Rule ID 20887 //
     /* 1555857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555896 */     // MIs[0] round
     /* 1555896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555899 */     // MIs[0] policy
     /* 1555899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1555912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555933 */     // GIR_Coverage, 20887,
     /* 1555933 */     GIR_EraseRootFromParent_Done,
     /* 1555934 */   // Label 21562: @1555934
     /* 1555934 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556016), // Rule ID 20888 //
     /* 1555939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555978 */     // MIs[0] round
     /* 1555978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555981 */     // MIs[0] policy
     /* 1555981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555991 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1555994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556015 */     // GIR_Coverage, 20888,
     /* 1556015 */     GIR_EraseRootFromParent_Done,
     /* 1556016 */   // Label 21563: @1556016
     /* 1556016 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556098), // Rule ID 20891 //
     /* 1556021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556060 */     // MIs[0] round
     /* 1556060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556063 */     // MIs[0] policy
     /* 1556063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556097 */     // GIR_Coverage, 20891,
     /* 1556097 */     GIR_EraseRootFromParent_Done,
     /* 1556098 */   // Label 21564: @1556098
     /* 1556098 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556180), // Rule ID 20892 //
     /* 1556103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1556114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1556117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556142 */     // MIs[0] round
     /* 1556142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556145 */     // MIs[0] policy
     /* 1556145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556155 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1556158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556179 */     // GIR_Coverage, 20892,
     /* 1556179 */     GIR_EraseRootFromParent_Done,
     /* 1556180 */   // Label 21565: @1556180
     /* 1556180 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1556262), // Rule ID 20895 //
     /* 1556185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556224 */     // MIs[0] round
     /* 1556224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556227 */     // MIs[0] policy
     /* 1556227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556237 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556261 */     // GIR_Coverage, 20895,
     /* 1556261 */     GIR_EraseRootFromParent_Done,
     /* 1556262 */   // Label 21566: @1556262
     /* 1556262 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1556344), // Rule ID 20896 //
     /* 1556267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1556278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1556281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556306 */     // MIs[0] round
     /* 1556306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556309 */     // MIs[0] policy
     /* 1556309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556319 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1556322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556343 */     // GIR_Coverage, 20896,
     /* 1556343 */     GIR_EraseRootFromParent_Done,
     /* 1556344 */   // Label 21567: @1556344
     /* 1556344 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1556426), // Rule ID 20899 //
     /* 1556349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556388 */     // MIs[0] round
     /* 1556388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556391 */     // MIs[0] policy
     /* 1556391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556401 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556425 */     // GIR_Coverage, 20899,
     /* 1556425 */     GIR_EraseRootFromParent_Done,
     /* 1556426 */   // Label 21568: @1556426
     /* 1556426 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1556508), // Rule ID 20900 //
     /* 1556431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556470 */     // MIs[0] round
     /* 1556470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556473 */     // MIs[0] policy
     /* 1556473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556483 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1556486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556507 */     // GIR_Coverage, 20900,
     /* 1556507 */     GIR_EraseRootFromParent_Done,
     /* 1556508 */   // Label 21569: @1556508
     /* 1556508 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556590), // Rule ID 20903 //
     /* 1556513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556552 */     // MIs[0] round
     /* 1556552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556555 */     // MIs[0] policy
     /* 1556555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556565 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1556568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556589 */     // GIR_Coverage, 20903,
     /* 1556589 */     GIR_EraseRootFromParent_Done,
     /* 1556590 */   // Label 21570: @1556590
     /* 1556590 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556672), // Rule ID 20904 //
     /* 1556595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556634 */     // MIs[0] round
     /* 1556634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556637 */     // MIs[0] policy
     /* 1556637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556647 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1556650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556671 */     // GIR_Coverage, 20904,
     /* 1556671 */     GIR_EraseRootFromParent_Done,
     /* 1556672 */   // Label 21571: @1556672
     /* 1556672 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556754), // Rule ID 20907 //
     /* 1556677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556716 */     // MIs[0] round
     /* 1556716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556719 */     // MIs[0] policy
     /* 1556719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1556732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556753 */     // GIR_Coverage, 20907,
     /* 1556753 */     GIR_EraseRootFromParent_Done,
     /* 1556754 */   // Label 21572: @1556754
     /* 1556754 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556836), // Rule ID 20908 //
     /* 1556759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556798 */     // MIs[0] round
     /* 1556798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556801 */     // MIs[0] policy
     /* 1556801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556811 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1556814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556835 */     // GIR_Coverage, 20908,
     /* 1556835 */     GIR_EraseRootFromParent_Done,
     /* 1556836 */   // Label 21573: @1556836
     /* 1556836 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1556918), // Rule ID 20911 //
     /* 1556841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556880 */     // MIs[0] round
     /* 1556880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556883 */     // MIs[0] policy
     /* 1556883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556893 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1556896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556917 */     // GIR_Coverage, 20911,
     /* 1556917 */     GIR_EraseRootFromParent_Done,
     /* 1556918 */   // Label 21574: @1556918
     /* 1556918 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557000), // Rule ID 20912 //
     /* 1556923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556962 */     // MIs[0] round
     /* 1556962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556965 */     // MIs[0] policy
     /* 1556965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556975 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1556978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556999 */     // GIR_Coverage, 20912,
     /* 1556999 */     GIR_EraseRootFromParent_Done,
     /* 1557000 */   // Label 21575: @1557000
     /* 1557000 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557082), // Rule ID 20915 //
     /* 1557005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557044 */     // MIs[0] round
     /* 1557044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557047 */     // MIs[0] policy
     /* 1557047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557057 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557081 */     // GIR_Coverage, 20915,
     /* 1557081 */     GIR_EraseRootFromParent_Done,
     /* 1557082 */   // Label 21576: @1557082
     /* 1557082 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557164), // Rule ID 20916 //
     /* 1557087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1557098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1557101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557126 */     // MIs[0] round
     /* 1557126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557129 */     // MIs[0] policy
     /* 1557129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1557142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557163 */     // GIR_Coverage, 20916,
     /* 1557163 */     GIR_EraseRootFromParent_Done,
     /* 1557164 */   // Label 21577: @1557164
     /* 1557164 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1557246), // Rule ID 20919 //
     /* 1557169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557208 */     // MIs[0] round
     /* 1557208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557211 */     // MIs[0] policy
     /* 1557211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557221 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557245 */     // GIR_Coverage, 20919,
     /* 1557245 */     GIR_EraseRootFromParent_Done,
     /* 1557246 */   // Label 21578: @1557246
     /* 1557246 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1557328), // Rule ID 20920 //
     /* 1557251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1557262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1557265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557290 */     // MIs[0] round
     /* 1557290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557293 */     // MIs[0] policy
     /* 1557293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1557306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557327 */     // GIR_Coverage, 20920,
     /* 1557327 */     GIR_EraseRootFromParent_Done,
     /* 1557328 */   // Label 21579: @1557328
     /* 1557328 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1557410), // Rule ID 20923 //
     /* 1557333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557372 */     // MIs[0] round
     /* 1557372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557375 */     // MIs[0] policy
     /* 1557375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557385 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557409 */     // GIR_Coverage, 20923,
     /* 1557409 */     GIR_EraseRootFromParent_Done,
     /* 1557410 */   // Label 21580: @1557410
     /* 1557410 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1557492), // Rule ID 20924 //
     /* 1557415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1557423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557454 */     // MIs[0] round
     /* 1557454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557457 */     // MIs[0] policy
     /* 1557457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1557470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557491 */     // GIR_Coverage, 20924,
     /* 1557491 */     GIR_EraseRootFromParent_Done,
     /* 1557492 */   // Label 21581: @1557492
     /* 1557492 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557574), // Rule ID 20927 //
     /* 1557497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557536 */     // MIs[0] round
     /* 1557536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557539 */     // MIs[0] policy
     /* 1557539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557549 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557573 */     // GIR_Coverage, 20927,
     /* 1557573 */     GIR_EraseRootFromParent_Done,
     /* 1557574 */   // Label 21582: @1557574
     /* 1557574 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557656), // Rule ID 20928 //
     /* 1557579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557618 */     // MIs[0] round
     /* 1557618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557621 */     // MIs[0] policy
     /* 1557621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557631 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1557634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557655 */     // GIR_Coverage, 20928,
     /* 1557655 */     GIR_EraseRootFromParent_Done,
     /* 1557656 */   // Label 21583: @1557656
     /* 1557656 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557738), // Rule ID 20931 //
     /* 1557661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557700 */     // MIs[0] round
     /* 1557700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557703 */     // MIs[0] policy
     /* 1557703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557713 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1557716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557737 */     // GIR_Coverage, 20931,
     /* 1557737 */     GIR_EraseRootFromParent_Done,
     /* 1557738 */   // Label 21584: @1557738
     /* 1557738 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557820), // Rule ID 20932 //
     /* 1557743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557782 */     // MIs[0] round
     /* 1557782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557785 */     // MIs[0] policy
     /* 1557785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557795 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1557798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557819 */     // GIR_Coverage, 20932,
     /* 1557819 */     GIR_EraseRootFromParent_Done,
     /* 1557820 */   // Label 21585: @1557820
     /* 1557820 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1557902), // Rule ID 20935 //
     /* 1557825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557864 */     // MIs[0] round
     /* 1557864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557867 */     // MIs[0] policy
     /* 1557867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557877 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1557880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557901 */     // GIR_Coverage, 20935,
     /* 1557901 */     GIR_EraseRootFromParent_Done,
     /* 1557902 */   // Label 21586: @1557902
     /* 1557902 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1557984), // Rule ID 20936 //
     /* 1557907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557946 */     // MIs[0] round
     /* 1557946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557949 */     // MIs[0] policy
     /* 1557949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557959 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1557962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557983 */     // GIR_Coverage, 20936,
     /* 1557983 */     GIR_EraseRootFromParent_Done,
     /* 1557984 */   // Label 21587: @1557984
     /* 1557984 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558066), // Rule ID 20939 //
     /* 1557989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558028 */     // MIs[0] round
     /* 1558028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558031 */     // MIs[0] policy
     /* 1558031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558041 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558065 */     // GIR_Coverage, 20939,
     /* 1558065 */     GIR_EraseRootFromParent_Done,
     /* 1558066 */   // Label 21588: @1558066
     /* 1558066 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558148), // Rule ID 20940 //
     /* 1558071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1558088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558110 */     // MIs[0] round
     /* 1558110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558113 */     // MIs[0] policy
     /* 1558113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558123 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1558126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558147 */     // GIR_Coverage, 20940,
     /* 1558147 */     GIR_EraseRootFromParent_Done,
     /* 1558148 */   // Label 21589: @1558148
     /* 1558148 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1558230), // Rule ID 20943 //
     /* 1558153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558192 */     // MIs[0] round
     /* 1558192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558195 */     // MIs[0] policy
     /* 1558195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558205 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558229 */     // GIR_Coverage, 20943,
     /* 1558229 */     GIR_EraseRootFromParent_Done,
     /* 1558230 */   // Label 21590: @1558230
     /* 1558230 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1558312), // Rule ID 20944 //
     /* 1558235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558274 */     // MIs[0] round
     /* 1558274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558277 */     // MIs[0] policy
     /* 1558277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1558290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558311 */     // GIR_Coverage, 20944,
     /* 1558311 */     GIR_EraseRootFromParent_Done,
     /* 1558312 */   // Label 21591: @1558312
     /* 1558312 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1558394), // Rule ID 20947 //
     /* 1558317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558356 */     // MIs[0] round
     /* 1558356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558359 */     // MIs[0] policy
     /* 1558359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558369 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558393 */     // GIR_Coverage, 20947,
     /* 1558393 */     GIR_EraseRootFromParent_Done,
     /* 1558394 */   // Label 21592: @1558394
     /* 1558394 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1558476), // Rule ID 20948 //
     /* 1558399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558438 */     // MIs[0] round
     /* 1558438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558441 */     // MIs[0] policy
     /* 1558441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558451 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1558454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558475 */     // GIR_Coverage, 20948,
     /* 1558475 */     GIR_EraseRootFromParent_Done,
     /* 1558476 */   // Label 21593: @1558476
     /* 1558476 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1558558), // Rule ID 20951 //
     /* 1558481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558520 */     // MIs[0] round
     /* 1558520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558523 */     // MIs[0] policy
     /* 1558523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558533 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558557 */     // GIR_Coverage, 20951,
     /* 1558557 */     GIR_EraseRootFromParent_Done,
     /* 1558558 */   // Label 21594: @1558558
     /* 1558558 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558640), // Rule ID 20952 //
     /* 1558563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558602 */     // MIs[0] round
     /* 1558602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558605 */     // MIs[0] policy
     /* 1558605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558615 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1558618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558639 */     // GIR_Coverage, 20952,
     /* 1558639 */     GIR_EraseRootFromParent_Done,
     /* 1558640 */   // Label 21595: @1558640
     /* 1558640 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558722), // Rule ID 20955 //
     /* 1558645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558684 */     // MIs[0] round
     /* 1558684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558687 */     // MIs[0] policy
     /* 1558687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558697 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1558700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558721 */     // GIR_Coverage, 20955,
     /* 1558721 */     GIR_EraseRootFromParent_Done,
     /* 1558722 */   // Label 21596: @1558722
     /* 1558722 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558804), // Rule ID 20956 //
     /* 1558727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558766 */     // MIs[0] round
     /* 1558766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558769 */     // MIs[0] policy
     /* 1558769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558779 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1558782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558803 */     // GIR_Coverage, 20956,
     /* 1558803 */     GIR_EraseRootFromParent_Done,
     /* 1558804 */   // Label 21597: @1558804
     /* 1558804 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558886), // Rule ID 20959 //
     /* 1558809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558848 */     // MIs[0] round
     /* 1558848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558851 */     // MIs[0] policy
     /* 1558851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558861 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1558864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558885 */     // GIR_Coverage, 20959,
     /* 1558885 */     GIR_EraseRootFromParent_Done,
     /* 1558886 */   // Label 21598: @1558886
     /* 1558886 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1558968), // Rule ID 20960 //
     /* 1558891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558930 */     // MIs[0] round
     /* 1558930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558933 */     // MIs[0] policy
     /* 1558933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558943 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1558946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558967 */     // GIR_Coverage, 20960,
     /* 1558967 */     GIR_EraseRootFromParent_Done,
     /* 1558968 */   // Label 21599: @1558968
     /* 1558968 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559050), // Rule ID 20963 //
     /* 1558973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559012 */     // MIs[0] round
     /* 1559012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559015 */     // MIs[0] policy
     /* 1559015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559049 */     // GIR_Coverage, 20963,
     /* 1559049 */     GIR_EraseRootFromParent_Done,
     /* 1559050 */   // Label 21600: @1559050
     /* 1559050 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559132), // Rule ID 20964 //
     /* 1559055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559094 */     // MIs[0] round
     /* 1559094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559097 */     // MIs[0] policy
     /* 1559097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559107 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1559110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559131 */     // GIR_Coverage, 20964,
     /* 1559131 */     GIR_EraseRootFromParent_Done,
     /* 1559132 */   // Label 21601: @1559132
     /* 1559132 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559214), // Rule ID 20967 //
     /* 1559137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559176 */     // MIs[0] round
     /* 1559176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559179 */     // MIs[0] policy
     /* 1559179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559213 */     // GIR_Coverage, 20967,
     /* 1559213 */     GIR_EraseRootFromParent_Done,
     /* 1559214 */   // Label 21602: @1559214
     /* 1559214 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1559296), // Rule ID 20968 //
     /* 1559219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559258 */     // MIs[0] round
     /* 1559258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559261 */     // MIs[0] policy
     /* 1559261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1559274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559295 */     // GIR_Coverage, 20968,
     /* 1559295 */     GIR_EraseRootFromParent_Done,
     /* 1559296 */   // Label 21603: @1559296
     /* 1559296 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1559378), // Rule ID 20971 //
     /* 1559301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559340 */     // MIs[0] round
     /* 1559340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559343 */     // MIs[0] policy
     /* 1559343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559377 */     // GIR_Coverage, 20971,
     /* 1559377 */     GIR_EraseRootFromParent_Done,
     /* 1559378 */   // Label 21604: @1559378
     /* 1559378 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1559460), // Rule ID 20972 //
     /* 1559383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559422 */     // MIs[0] round
     /* 1559422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559425 */     // MIs[0] policy
     /* 1559425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559435 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1559438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559459 */     // GIR_Coverage, 20972,
     /* 1559459 */     GIR_EraseRootFromParent_Done,
     /* 1559460 */   // Label 21605: @1559460
     /* 1559460 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1559542), // Rule ID 20975 //
     /* 1559465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559504 */     // MIs[0] round
     /* 1559504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559507 */     // MIs[0] policy
     /* 1559507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559517 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559541 */     // GIR_Coverage, 20975,
     /* 1559541 */     GIR_EraseRootFromParent_Done,
     /* 1559542 */   // Label 21606: @1559542
     /* 1559542 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559624), // Rule ID 20976 //
     /* 1559547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559586 */     // MIs[0] round
     /* 1559586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559589 */     // MIs[0] policy
     /* 1559589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559599 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1559602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559623 */     // GIR_Coverage, 20976,
     /* 1559623 */     GIR_EraseRootFromParent_Done,
     /* 1559624 */   // Label 21607: @1559624
     /* 1559624 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559706), // Rule ID 20979 //
     /* 1559629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559668 */     // MIs[0] round
     /* 1559668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559671 */     // MIs[0] policy
     /* 1559671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559681 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1559684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559705 */     // GIR_Coverage, 20979,
     /* 1559705 */     GIR_EraseRootFromParent_Done,
     /* 1559706 */   // Label 21608: @1559706
     /* 1559706 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559788), // Rule ID 20980 //
     /* 1559711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559750 */     // MIs[0] round
     /* 1559750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559753 */     // MIs[0] policy
     /* 1559753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559763 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1559766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559787 */     // GIR_Coverage, 20980,
     /* 1559787 */     GIR_EraseRootFromParent_Done,
     /* 1559788 */   // Label 21609: @1559788
     /* 1559788 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559870), // Rule ID 20983 //
     /* 1559793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559832 */     // MIs[0] round
     /* 1559832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559835 */     // MIs[0] policy
     /* 1559835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559845 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1559848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559869 */     // GIR_Coverage, 20983,
     /* 1559869 */     GIR_EraseRootFromParent_Done,
     /* 1559870 */   // Label 21610: @1559870
     /* 1559870 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1559952), // Rule ID 20984 //
     /* 1559875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1559883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559914 */     // MIs[0] round
     /* 1559914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559917 */     // MIs[0] policy
     /* 1559917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559927 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1559930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559951 */     // GIR_Coverage, 20984,
     /* 1559951 */     GIR_EraseRootFromParent_Done,
     /* 1559952 */   // Label 21611: @1559952
     /* 1559952 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560034), // Rule ID 21059 //
     /* 1559957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559996 */     // MIs[0] round
     /* 1559996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559999 */     // MIs[0] policy
     /* 1559999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560033 */     // GIR_Coverage, 21059,
     /* 1560033 */     GIR_EraseRootFromParent_Done,
     /* 1560034 */   // Label 21612: @1560034
     /* 1560034 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560116), // Rule ID 21060 //
     /* 1560039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560078 */     // MIs[0] round
     /* 1560078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560081 */     // MIs[0] policy
     /* 1560081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1560094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560115 */     // GIR_Coverage, 21060,
     /* 1560115 */     GIR_EraseRootFromParent_Done,
     /* 1560116 */   // Label 21613: @1560116
     /* 1560116 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560198), // Rule ID 21063 //
     /* 1560121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560160 */     // MIs[0] round
     /* 1560160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560163 */     // MIs[0] policy
     /* 1560163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560197 */     // GIR_Coverage, 21063,
     /* 1560197 */     GIR_EraseRootFromParent_Done,
     /* 1560198 */   // Label 21614: @1560198
     /* 1560198 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1560280), // Rule ID 21064 //
     /* 1560203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560242 */     // MIs[0] round
     /* 1560242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560245 */     // MIs[0] policy
     /* 1560245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560279 */     // GIR_Coverage, 21064,
     /* 1560279 */     GIR_EraseRootFromParent_Done,
     /* 1560280 */   // Label 21615: @1560280
     /* 1560280 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1560362), // Rule ID 21067 //
     /* 1560285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560324 */     // MIs[0] round
     /* 1560324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560327 */     // MIs[0] policy
     /* 1560327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560361 */     // GIR_Coverage, 21067,
     /* 1560361 */     GIR_EraseRootFromParent_Done,
     /* 1560362 */   // Label 21616: @1560362
     /* 1560362 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1560444), // Rule ID 21068 //
     /* 1560367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560406 */     // MIs[0] round
     /* 1560406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560409 */     // MIs[0] policy
     /* 1560409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560443 */     // GIR_Coverage, 21068,
     /* 1560443 */     GIR_EraseRootFromParent_Done,
     /* 1560444 */   // Label 21617: @1560444
     /* 1560444 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1560526), // Rule ID 21071 //
     /* 1560449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560488 */     // MIs[0] round
     /* 1560488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560491 */     // MIs[0] policy
     /* 1560491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560525 */     // GIR_Coverage, 21071,
     /* 1560525 */     GIR_EraseRootFromParent_Done,
     /* 1560526 */   // Label 21618: @1560526
     /* 1560526 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560608), // Rule ID 21072 //
     /* 1560531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560570 */     // MIs[0] round
     /* 1560570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560573 */     // MIs[0] policy
     /* 1560573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560607 */     // GIR_Coverage, 21072,
     /* 1560607 */     GIR_EraseRootFromParent_Done,
     /* 1560608 */   // Label 21619: @1560608
     /* 1560608 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560690), // Rule ID 21075 //
     /* 1560613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560652 */     // MIs[0] round
     /* 1560652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560655 */     // MIs[0] policy
     /* 1560655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560689 */     // GIR_Coverage, 21075,
     /* 1560689 */     GIR_EraseRootFromParent_Done,
     /* 1560690 */   // Label 21620: @1560690
     /* 1560690 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560772), // Rule ID 21076 //
     /* 1560695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560734 */     // MIs[0] round
     /* 1560734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560737 */     // MIs[0] policy
     /* 1560737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560771 */     // GIR_Coverage, 21076,
     /* 1560771 */     GIR_EraseRootFromParent_Done,
     /* 1560772 */   // Label 21621: @1560772
     /* 1560772 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560854), // Rule ID 21079 //
     /* 1560777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1560780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560816 */     // MIs[0] round
     /* 1560816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560819 */     // MIs[0] policy
     /* 1560819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560853 */     // GIR_Coverage, 21079,
     /* 1560853 */     GIR_EraseRootFromParent_Done,
     /* 1560854 */   // Label 21622: @1560854
     /* 1560854 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1560936), // Rule ID 21080 //
     /* 1560859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1560862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560898 */     // MIs[0] round
     /* 1560898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560901 */     // MIs[0] policy
     /* 1560901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560911 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1560914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560935 */     // GIR_Coverage, 21080,
     /* 1560935 */     GIR_EraseRootFromParent_Done,
     /* 1560936 */   // Label 21623: @1560936
     /* 1560936 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561018), // Rule ID 21083 //
     /* 1560941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1560944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1560952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1560955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560980 */     // MIs[0] round
     /* 1560980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560983 */     // MIs[0] policy
     /* 1560983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1560996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561017 */     // GIR_Coverage, 21083,
     /* 1561017 */     GIR_EraseRootFromParent_Done,
     /* 1561018 */   // Label 21624: @1561018
     /* 1561018 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561100), // Rule ID 21084 //
     /* 1561023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561062 */     // MIs[0] round
     /* 1561062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561065 */     // MIs[0] policy
     /* 1561065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561075 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1561078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561099 */     // GIR_Coverage, 21084,
     /* 1561099 */     GIR_EraseRootFromParent_Done,
     /* 1561100 */   // Label 21625: @1561100
     /* 1561100 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561182), // Rule ID 21087 //
     /* 1561105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561144 */     // MIs[0] round
     /* 1561144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561147 */     // MIs[0] policy
     /* 1561147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561181 */     // GIR_Coverage, 21087,
     /* 1561181 */     GIR_EraseRootFromParent_Done,
     /* 1561182 */   // Label 21626: @1561182
     /* 1561182 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1561264), // Rule ID 21088 //
     /* 1561187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561226 */     // MIs[0] round
     /* 1561226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561229 */     // MIs[0] policy
     /* 1561229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1561242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561263 */     // GIR_Coverage, 21088,
     /* 1561263 */     GIR_EraseRootFromParent_Done,
     /* 1561264 */   // Label 21627: @1561264
     /* 1561264 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1561346), // Rule ID 21091 //
     /* 1561269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561308 */     // MIs[0] round
     /* 1561308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561311 */     // MIs[0] policy
     /* 1561311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561345 */     // GIR_Coverage, 21091,
     /* 1561345 */     GIR_EraseRootFromParent_Done,
     /* 1561346 */   // Label 21628: @1561346
     /* 1561346 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1561428), // Rule ID 21092 //
     /* 1561351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1561359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561390 */     // MIs[0] round
     /* 1561390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561393 */     // MIs[0] policy
     /* 1561393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1561406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561427 */     // GIR_Coverage, 21092,
     /* 1561427 */     GIR_EraseRootFromParent_Done,
     /* 1561428 */   // Label 21629: @1561428
     /* 1561428 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1561510), // Rule ID 21095 //
     /* 1561433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561472 */     // MIs[0] round
     /* 1561472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561475 */     // MIs[0] policy
     /* 1561475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561509 */     // GIR_Coverage, 21095,
     /* 1561509 */     GIR_EraseRootFromParent_Done,
     /* 1561510 */   // Label 21630: @1561510
     /* 1561510 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561592), // Rule ID 21096 //
     /* 1561515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561554 */     // MIs[0] round
     /* 1561554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561557 */     // MIs[0] policy
     /* 1561557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1561570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561591 */     // GIR_Coverage, 21096,
     /* 1561591 */     GIR_EraseRootFromParent_Done,
     /* 1561592 */   // Label 21631: @1561592
     /* 1561592 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561674), // Rule ID 21099 //
     /* 1561597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561636 */     // MIs[0] round
     /* 1561636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561639 */     // MIs[0] policy
     /* 1561639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561673 */     // GIR_Coverage, 21099,
     /* 1561673 */     GIR_EraseRootFromParent_Done,
     /* 1561674 */   // Label 21632: @1561674
     /* 1561674 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561756), // Rule ID 21100 //
     /* 1561679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561718 */     // MIs[0] round
     /* 1561718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561721 */     // MIs[0] policy
     /* 1561721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561755 */     // GIR_Coverage, 21100,
     /* 1561755 */     GIR_EraseRootFromParent_Done,
     /* 1561756 */   // Label 21633: @1561756
     /* 1561756 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561838), // Rule ID 21103 //
     /* 1561761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561800 */     // MIs[0] round
     /* 1561800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561803 */     // MIs[0] policy
     /* 1561803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561837 */     // GIR_Coverage, 21103,
     /* 1561837 */     GIR_EraseRootFromParent_Done,
     /* 1561838 */   // Label 21634: @1561838
     /* 1561838 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1561920), // Rule ID 21104 //
     /* 1561843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561882 */     // MIs[0] round
     /* 1561882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561885 */     // MIs[0] policy
     /* 1561885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561919 */     // GIR_Coverage, 21104,
     /* 1561919 */     GIR_EraseRootFromParent_Done,
     /* 1561920 */   // Label 21635: @1561920
     /* 1561920 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562002), // Rule ID 21107 //
     /* 1561925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1561942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561964 */     // MIs[0] round
     /* 1561964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561967 */     // MIs[0] policy
     /* 1561967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1561980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562001 */     // GIR_Coverage, 21107,
     /* 1562001 */     GIR_EraseRootFromParent_Done,
     /* 1562002 */   // Label 21636: @1562002
     /* 1562002 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562084), // Rule ID 21108 //
     /* 1562007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562046 */     // MIs[0] round
     /* 1562046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562049 */     // MIs[0] policy
     /* 1562049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562083 */     // GIR_Coverage, 21108,
     /* 1562083 */     GIR_EraseRootFromParent_Done,
     /* 1562084 */   // Label 21637: @1562084
     /* 1562084 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562166), // Rule ID 21111 //
     /* 1562089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562128 */     // MIs[0] round
     /* 1562128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562131 */     // MIs[0] policy
     /* 1562131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562165 */     // GIR_Coverage, 21111,
     /* 1562165 */     GIR_EraseRootFromParent_Done,
     /* 1562166 */   // Label 21638: @1562166
     /* 1562166 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1562248), // Rule ID 21112 //
     /* 1562171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562210 */     // MIs[0] round
     /* 1562210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562213 */     // MIs[0] policy
     /* 1562213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562223 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562247 */     // GIR_Coverage, 21112,
     /* 1562247 */     GIR_EraseRootFromParent_Done,
     /* 1562248 */   // Label 21639: @1562248
     /* 1562248 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1562330), // Rule ID 21115 //
     /* 1562253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562292 */     // MIs[0] round
     /* 1562292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562295 */     // MIs[0] policy
     /* 1562295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562329 */     // GIR_Coverage, 21115,
     /* 1562329 */     GIR_EraseRootFromParent_Done,
     /* 1562330 */   // Label 21640: @1562330
     /* 1562330 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1562412), // Rule ID 21116 //
     /* 1562335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562374 */     // MIs[0] round
     /* 1562374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562377 */     // MIs[0] policy
     /* 1562377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1562390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562411 */     // GIR_Coverage, 21116,
     /* 1562411 */     GIR_EraseRootFromParent_Done,
     /* 1562412 */   // Label 21641: @1562412
     /* 1562412 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1562494), // Rule ID 21119 //
     /* 1562417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562456 */     // MIs[0] round
     /* 1562456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562459 */     // MIs[0] policy
     /* 1562459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562493 */     // GIR_Coverage, 21119,
     /* 1562493 */     GIR_EraseRootFromParent_Done,
     /* 1562494 */   // Label 21642: @1562494
     /* 1562494 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562576), // Rule ID 21120 //
     /* 1562499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562538 */     // MIs[0] round
     /* 1562538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562541 */     // MIs[0] policy
     /* 1562541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1562554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562575 */     // GIR_Coverage, 21120,
     /* 1562575 */     GIR_EraseRootFromParent_Done,
     /* 1562576 */   // Label 21643: @1562576
     /* 1562576 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562658), // Rule ID 21123 //
     /* 1562581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562620 */     // MIs[0] round
     /* 1562620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562623 */     // MIs[0] policy
     /* 1562623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562657 */     // GIR_Coverage, 21123,
     /* 1562657 */     GIR_EraseRootFromParent_Done,
     /* 1562658 */   // Label 21644: @1562658
     /* 1562658 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562740), // Rule ID 21124 //
     /* 1562663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562702 */     // MIs[0] round
     /* 1562702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562705 */     // MIs[0] policy
     /* 1562705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1562718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562739 */     // GIR_Coverage, 21124,
     /* 1562739 */     GIR_EraseRootFromParent_Done,
     /* 1562740 */   // Label 21645: @1562740
     /* 1562740 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562822), // Rule ID 21127 //
     /* 1562745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562784 */     // MIs[0] round
     /* 1562784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562787 */     // MIs[0] policy
     /* 1562787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562821 */     // GIR_Coverage, 21127,
     /* 1562821 */     GIR_EraseRootFromParent_Done,
     /* 1562822 */   // Label 21646: @1562822
     /* 1562822 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1562904), // Rule ID 21128 //
     /* 1562827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1562835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562866 */     // MIs[0] round
     /* 1562866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562869 */     // MIs[0] policy
     /* 1562869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1562882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562903 */     // GIR_Coverage, 21128,
     /* 1562903 */     GIR_EraseRootFromParent_Done,
     /* 1562904 */   // Label 21647: @1562904
     /* 1562904 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1562986), // Rule ID 21479 //
     /* 1562909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1562920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1562923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562948 */     // MIs[0] round
     /* 1562948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562951 */     // MIs[0] policy
     /* 1562951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562961 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1562964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562985 */     // GIR_Coverage, 21479,
     /* 1562985 */     GIR_EraseRootFromParent_Done,
     /* 1562986 */   // Label 21648: @1562986
     /* 1562986 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563068), // Rule ID 21480 //
     /* 1562991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563030 */     // MIs[0] round
     /* 1563030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563033 */     // MIs[0] policy
     /* 1563033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1563046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563067 */     // GIR_Coverage, 21480,
     /* 1563067 */     GIR_EraseRootFromParent_Done,
     /* 1563068 */   // Label 21649: @1563068
     /* 1563068 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563150), // Rule ID 21483 //
     /* 1563073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563112 */     // MIs[0] round
     /* 1563112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563115 */     // MIs[0] policy
     /* 1563115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563125 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563149 */     // GIR_Coverage, 21483,
     /* 1563149 */     GIR_EraseRootFromParent_Done,
     /* 1563150 */   // Label 21650: @1563150
     /* 1563150 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1563232), // Rule ID 21484 //
     /* 1563155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1563172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563194 */     // MIs[0] round
     /* 1563194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563197 */     // MIs[0] policy
     /* 1563197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563207 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563231 */     // GIR_Coverage, 21484,
     /* 1563231 */     GIR_EraseRootFromParent_Done,
     /* 1563232 */   // Label 21651: @1563232
     /* 1563232 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1563314), // Rule ID 21487 //
     /* 1563237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563276 */     // MIs[0] round
     /* 1563276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563279 */     // MIs[0] policy
     /* 1563279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563289 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563313 */     // GIR_Coverage, 21487,
     /* 1563313 */     GIR_EraseRootFromParent_Done,
     /* 1563314 */   // Label 21652: @1563314
     /* 1563314 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1563396), // Rule ID 21488 //
     /* 1563319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1563330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1563333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1563336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563358 */     // MIs[0] round
     /* 1563358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563361 */     // MIs[0] policy
     /* 1563361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563395 */     // GIR_Coverage, 21488,
     /* 1563395 */     GIR_EraseRootFromParent_Done,
     /* 1563396 */   // Label 21653: @1563396
     /* 1563396 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1563478), // Rule ID 21491 //
     /* 1563401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563440 */     // MIs[0] round
     /* 1563440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563443 */     // MIs[0] policy
     /* 1563443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563477 */     // GIR_Coverage, 21491,
     /* 1563477 */     GIR_EraseRootFromParent_Done,
     /* 1563478 */   // Label 21654: @1563478
     /* 1563478 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1563560), // Rule ID 21492 //
     /* 1563483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1563494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1563497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563522 */     // MIs[0] round
     /* 1563522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563525 */     // MIs[0] policy
     /* 1563525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563559 */     // GIR_Coverage, 21492,
     /* 1563559 */     GIR_EraseRootFromParent_Done,
     /* 1563560 */   // Label 21655: @1563560
     /* 1563560 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563642), // Rule ID 21495 //
     /* 1563565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1563576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1563579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563604 */     // MIs[0] round
     /* 1563604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563607 */     // MIs[0] policy
     /* 1563607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563641 */     // GIR_Coverage, 21495,
     /* 1563641 */     GIR_EraseRootFromParent_Done,
     /* 1563642 */   // Label 21656: @1563642
     /* 1563642 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563724), // Rule ID 21496 //
     /* 1563647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1563658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1563661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563686 */     // MIs[0] round
     /* 1563686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563689 */     // MIs[0] policy
     /* 1563689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563723 */     // GIR_Coverage, 21496,
     /* 1563723 */     GIR_EraseRootFromParent_Done,
     /* 1563724 */   // Label 21657: @1563724
     /* 1563724 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563806), // Rule ID 21499 //
     /* 1563729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1563740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1563743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563768 */     // MIs[0] round
     /* 1563768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563771 */     // MIs[0] policy
     /* 1563771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563781 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563805 */     // GIR_Coverage, 21499,
     /* 1563805 */     GIR_EraseRootFromParent_Done,
     /* 1563806 */   // Label 21658: @1563806
     /* 1563806 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563888), // Rule ID 21500 //
     /* 1563811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1563822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1563825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563850 */     // MIs[0] round
     /* 1563850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563853 */     // MIs[0] policy
     /* 1563853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563863 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563887 */     // GIR_Coverage, 21500,
     /* 1563887 */     GIR_EraseRootFromParent_Done,
     /* 1563888 */   // Label 21659: @1563888
     /* 1563888 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1563970), // Rule ID 21503 //
     /* 1563893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1563910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563932 */     // MIs[0] round
     /* 1563932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563935 */     // MIs[0] policy
     /* 1563935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563945 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1563948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563969 */     // GIR_Coverage, 21503,
     /* 1563969 */     GIR_EraseRootFromParent_Done,
     /* 1563970 */   // Label 21660: @1563970
     /* 1563970 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564052), // Rule ID 21504 //
     /* 1563975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1563992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564014 */     // MIs[0] round
     /* 1564014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564017 */     // MIs[0] policy
     /* 1564017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1564030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564051 */     // GIR_Coverage, 21504,
     /* 1564051 */     GIR_EraseRootFromParent_Done,
     /* 1564052 */   // Label 21661: @1564052
     /* 1564052 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564134), // Rule ID 21507 //
     /* 1564057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564096 */     // MIs[0] round
     /* 1564096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564099 */     // MIs[0] policy
     /* 1564099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564109 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564133 */     // GIR_Coverage, 21507,
     /* 1564133 */     GIR_EraseRootFromParent_Done,
     /* 1564134 */   // Label 21662: @1564134
     /* 1564134 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564216), // Rule ID 21508 //
     /* 1564139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564178 */     // MIs[0] round
     /* 1564178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564181 */     // MIs[0] policy
     /* 1564181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564215 */     // GIR_Coverage, 21508,
     /* 1564215 */     GIR_EraseRootFromParent_Done,
     /* 1564216 */   // Label 21663: @1564216
     /* 1564216 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1564298), // Rule ID 21511 //
     /* 1564221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564260 */     // MIs[0] round
     /* 1564260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564263 */     // MIs[0] policy
     /* 1564263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564297 */     // GIR_Coverage, 21511,
     /* 1564297 */     GIR_EraseRootFromParent_Done,
     /* 1564298 */   // Label 21664: @1564298
     /* 1564298 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1564380), // Rule ID 21512 //
     /* 1564303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1564320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564342 */     // MIs[0] round
     /* 1564342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564345 */     // MIs[0] policy
     /* 1564345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564379 */     // GIR_Coverage, 21512,
     /* 1564379 */     GIR_EraseRootFromParent_Done,
     /* 1564380 */   // Label 21665: @1564380
     /* 1564380 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1564462), // Rule ID 21515 //
     /* 1564385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564424 */     // MIs[0] round
     /* 1564424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564427 */     // MIs[0] policy
     /* 1564427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564461 */     // GIR_Coverage, 21515,
     /* 1564461 */     GIR_EraseRootFromParent_Done,
     /* 1564462 */   // Label 21666: @1564462
     /* 1564462 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1564544), // Rule ID 21516 //
     /* 1564467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1564484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564506 */     // MIs[0] round
     /* 1564506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564509 */     // MIs[0] policy
     /* 1564509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1564522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564543 */     // GIR_Coverage, 21516,
     /* 1564543 */     GIR_EraseRootFromParent_Done,
     /* 1564544 */   // Label 21667: @1564544
     /* 1564544 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564626), // Rule ID 21519 //
     /* 1564549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564588 */     // MIs[0] round
     /* 1564588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564591 */     // MIs[0] policy
     /* 1564591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564625 */     // GIR_Coverage, 21519,
     /* 1564625 */     GIR_EraseRootFromParent_Done,
     /* 1564626 */   // Label 21668: @1564626
     /* 1564626 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564708), // Rule ID 21520 //
     /* 1564631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564670 */     // MIs[0] round
     /* 1564670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564673 */     // MIs[0] policy
     /* 1564673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564707 */     // GIR_Coverage, 21520,
     /* 1564707 */     GIR_EraseRootFromParent_Done,
     /* 1564708 */   // Label 21669: @1564708
     /* 1564708 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564790), // Rule ID 21523 //
     /* 1564713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1564716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564752 */     // MIs[0] round
     /* 1564752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564755 */     // MIs[0] policy
     /* 1564755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564789 */     // GIR_Coverage, 21523,
     /* 1564789 */     GIR_EraseRootFromParent_Done,
     /* 1564790 */   // Label 21670: @1564790
     /* 1564790 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564872), // Rule ID 21524 //
     /* 1564795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1564798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564834 */     // MIs[0] round
     /* 1564834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564837 */     // MIs[0] policy
     /* 1564837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1564850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564871 */     // GIR_Coverage, 21524,
     /* 1564871 */     GIR_EraseRootFromParent_Done,
     /* 1564872 */   // Label 21671: @1564872
     /* 1564872 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1564954), // Rule ID 21527 //
     /* 1564877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1564880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564916 */     // MIs[0] round
     /* 1564916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564919 */     // MIs[0] policy
     /* 1564919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1564932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564953 */     // GIR_Coverage, 21527,
     /* 1564953 */     GIR_EraseRootFromParent_Done,
     /* 1564954 */   // Label 21672: @1564954
     /* 1564954 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565036), // Rule ID 21528 //
     /* 1564959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1564962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564998 */     // MIs[0] round
     /* 1564998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565001 */     // MIs[0] policy
     /* 1565001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1565014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565035 */     // GIR_Coverage, 21528,
     /* 1565035 */     GIR_EraseRootFromParent_Done,
     /* 1565036 */   // Label 21673: @1565036
     /* 1565036 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565118), // Rule ID 21531 //
     /* 1565041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565080 */     // MIs[0] round
     /* 1565080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565083 */     // MIs[0] policy
     /* 1565083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565117 */     // GIR_Coverage, 21531,
     /* 1565117 */     GIR_EraseRootFromParent_Done,
     /* 1565118 */   // Label 21674: @1565118
     /* 1565118 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565200), // Rule ID 21532 //
     /* 1565123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565162 */     // MIs[0] round
     /* 1565162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565165 */     // MIs[0] policy
     /* 1565165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1565178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565199 */     // GIR_Coverage, 21532,
     /* 1565199 */     GIR_EraseRootFromParent_Done,
     /* 1565200 */   // Label 21675: @1565200
     /* 1565200 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1565282), // Rule ID 21535 //
     /* 1565205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565244 */     // MIs[0] round
     /* 1565244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565247 */     // MIs[0] policy
     /* 1565247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565281 */     // GIR_Coverage, 21535,
     /* 1565281 */     GIR_EraseRootFromParent_Done,
     /* 1565282 */   // Label 21676: @1565282
     /* 1565282 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1565364), // Rule ID 21536 //
     /* 1565287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1565290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1565295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565326 */     // MIs[0] round
     /* 1565326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565329 */     // MIs[0] policy
     /* 1565329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1565342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565363 */     // GIR_Coverage, 21536,
     /* 1565363 */     GIR_EraseRootFromParent_Done,
     /* 1565364 */   // Label 21677: @1565364
     /* 1565364 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1565446), // Rule ID 21539 //
     /* 1565369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565408 */     // MIs[0] round
     /* 1565408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565411 */     // MIs[0] policy
     /* 1565411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565421 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565445 */     // GIR_Coverage, 21539,
     /* 1565445 */     GIR_EraseRootFromParent_Done,
     /* 1565446 */   // Label 21678: @1565446
     /* 1565446 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1565528), // Rule ID 21540 //
     /* 1565451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1565462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1565465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1565468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565490 */     // MIs[0] round
     /* 1565490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565493 */     // MIs[0] policy
     /* 1565493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1565506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565527 */     // GIR_Coverage, 21540,
     /* 1565527 */     GIR_EraseRootFromParent_Done,
     /* 1565528 */   // Label 21679: @1565528
     /* 1565528 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565610), // Rule ID 21543 //
     /* 1565533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565572 */     // MIs[0] round
     /* 1565572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565575 */     // MIs[0] policy
     /* 1565575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565585 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565609 */     // GIR_Coverage, 21543,
     /* 1565609 */     GIR_EraseRootFromParent_Done,
     /* 1565610 */   // Label 21680: @1565610
     /* 1565610 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565692), // Rule ID 21544 //
     /* 1565615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1565626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1565629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1565632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565654 */     // MIs[0] round
     /* 1565654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565657 */     // MIs[0] policy
     /* 1565657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565667 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565691 */     // GIR_Coverage, 21544,
     /* 1565691 */     GIR_EraseRootFromParent_Done,
     /* 1565692 */   // Label 21681: @1565692
     /* 1565692 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565774), // Rule ID 21547 //
     /* 1565697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1565708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1565711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565736 */     // MIs[0] round
     /* 1565736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565739 */     // MIs[0] policy
     /* 1565739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565773 */     // GIR_Coverage, 21547,
     /* 1565773 */     GIR_EraseRootFromParent_Done,
     /* 1565774 */   // Label 21682: @1565774
     /* 1565774 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565856), // Rule ID 21548 //
     /* 1565779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1565790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1565793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565818 */     // MIs[0] round
     /* 1565818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565821 */     // MIs[0] policy
     /* 1565821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565831 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565855 */     // GIR_Coverage, 21548,
     /* 1565855 */     GIR_EraseRootFromParent_Done,
     /* 1565856 */   // Label 21683: @1565856
     /* 1565856 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1565938), // Rule ID 21551 //
     /* 1565861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1565872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1565875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565900 */     // MIs[0] round
     /* 1565900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565903 */     // MIs[0] policy
     /* 1565903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565913 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1565916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565937 */     // GIR_Coverage, 21551,
     /* 1565937 */     GIR_EraseRootFromParent_Done,
     /* 1565938 */   // Label 21684: @1565938
     /* 1565938 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566020), // Rule ID 21552 //
     /* 1565943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1565954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1565957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565982 */     // MIs[0] round
     /* 1565982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565985 */     // MIs[0] policy
     /* 1565985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1565998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566019 */     // GIR_Coverage, 21552,
     /* 1566019 */     GIR_EraseRootFromParent_Done,
     /* 1566020 */   // Label 21685: @1566020
     /* 1566020 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566102), // Rule ID 21555 //
     /* 1566025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566064 */     // MIs[0] round
     /* 1566064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566067 */     // MIs[0] policy
     /* 1566067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566101 */     // GIR_Coverage, 21555,
     /* 1566101 */     GIR_EraseRootFromParent_Done,
     /* 1566102 */   // Label 21686: @1566102
     /* 1566102 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566184), // Rule ID 21556 //
     /* 1566107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1566118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1566121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566146 */     // MIs[0] round
     /* 1566146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566149 */     // MIs[0] policy
     /* 1566149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566183 */     // GIR_Coverage, 21556,
     /* 1566183 */     GIR_EraseRootFromParent_Done,
     /* 1566184 */   // Label 21687: @1566184
     /* 1566184 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1566266), // Rule ID 21559 //
     /* 1566189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566228 */     // MIs[0] round
     /* 1566228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566231 */     // MIs[0] policy
     /* 1566231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566241 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566265 */     // GIR_Coverage, 21559,
     /* 1566265 */     GIR_EraseRootFromParent_Done,
     /* 1566266 */   // Label 21688: @1566266
     /* 1566266 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1566348), // Rule ID 21560 //
     /* 1566271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1566282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1566285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1566291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566310 */     // MIs[0] round
     /* 1566310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566313 */     // MIs[0] policy
     /* 1566313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566323 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566347 */     // GIR_Coverage, 21560,
     /* 1566347 */     GIR_EraseRootFromParent_Done,
     /* 1566348 */   // Label 21689: @1566348
     /* 1566348 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1566430), // Rule ID 21563 //
     /* 1566353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566392 */     // MIs[0] round
     /* 1566392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566395 */     // MIs[0] policy
     /* 1566395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566429 */     // GIR_Coverage, 21563,
     /* 1566429 */     GIR_EraseRootFromParent_Done,
     /* 1566430 */   // Label 21690: @1566430
     /* 1566430 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1566512), // Rule ID 21564 //
     /* 1566435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566474 */     // MIs[0] round
     /* 1566474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566477 */     // MIs[0] policy
     /* 1566477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1566490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566511 */     // GIR_Coverage, 21564,
     /* 1566511 */     GIR_EraseRootFromParent_Done,
     /* 1566512 */   // Label 21691: @1566512
     /* 1566512 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566594), // Rule ID 21567 //
     /* 1566517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566556 */     // MIs[0] round
     /* 1566556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566559 */     // MIs[0] policy
     /* 1566559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566593 */     // GIR_Coverage, 21567,
     /* 1566593 */     GIR_EraseRootFromParent_Done,
     /* 1566594 */   // Label 21692: @1566594
     /* 1566594 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566676), // Rule ID 21568 //
     /* 1566599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566638 */     // MIs[0] round
     /* 1566638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566641 */     // MIs[0] policy
     /* 1566641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566675 */     // GIR_Coverage, 21568,
     /* 1566675 */     GIR_EraseRootFromParent_Done,
     /* 1566676 */   // Label 21693: @1566676
     /* 1566676 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566758), // Rule ID 21571 //
     /* 1566681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566720 */     // MIs[0] round
     /* 1566720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566723 */     // MIs[0] policy
     /* 1566723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566757 */     // GIR_Coverage, 21571,
     /* 1566757 */     GIR_EraseRootFromParent_Done,
     /* 1566758 */   // Label 21694: @1566758
     /* 1566758 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566840), // Rule ID 21572 //
     /* 1566763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566802 */     // MIs[0] round
     /* 1566802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566805 */     // MIs[0] policy
     /* 1566805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566839 */     // GIR_Coverage, 21572,
     /* 1566839 */     GIR_EraseRootFromParent_Done,
     /* 1566840 */   // Label 21695: @1566840
     /* 1566840 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1566922), // Rule ID 21575 //
     /* 1566845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566884 */     // MIs[0] round
     /* 1566884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566887 */     // MIs[0] policy
     /* 1566887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566921 */     // GIR_Coverage, 21575,
     /* 1566921 */     GIR_EraseRootFromParent_Done,
     /* 1566922 */   // Label 21696: @1566922
     /* 1566922 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567004), // Rule ID 21576 //
     /* 1566927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566966 */     // MIs[0] round
     /* 1566966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566969 */     // MIs[0] policy
     /* 1566969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567003 */     // GIR_Coverage, 21576,
     /* 1567003 */     GIR_EraseRootFromParent_Done,
     /* 1567004 */   // Label 21697: @1567004
     /* 1567004 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567086), // Rule ID 21579 //
     /* 1567009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567048 */     // MIs[0] round
     /* 1567048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567051 */     // MIs[0] policy
     /* 1567051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567061 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567085 */     // GIR_Coverage, 21579,
     /* 1567085 */     GIR_EraseRootFromParent_Done,
     /* 1567086 */   // Label 21698: @1567086
     /* 1567086 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567168), // Rule ID 21580 //
     /* 1567091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567130 */     // MIs[0] round
     /* 1567130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567133 */     // MIs[0] policy
     /* 1567133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567167 */     // GIR_Coverage, 21580,
     /* 1567167 */     GIR_EraseRootFromParent_Done,
     /* 1567168 */   // Label 21699: @1567168
     /* 1567168 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1567250), // Rule ID 21583 //
     /* 1567173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567212 */     // MIs[0] round
     /* 1567212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567215 */     // MIs[0] policy
     /* 1567215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567249 */     // GIR_Coverage, 21583,
     /* 1567249 */     GIR_EraseRootFromParent_Done,
     /* 1567250 */   // Label 21700: @1567250
     /* 1567250 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1567332), // Rule ID 21584 //
     /* 1567255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567294 */     // MIs[0] round
     /* 1567294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567297 */     // MIs[0] policy
     /* 1567297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1567310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567331 */     // GIR_Coverage, 21584,
     /* 1567331 */     GIR_EraseRootFromParent_Done,
     /* 1567332 */   // Label 21701: @1567332
     /* 1567332 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1567414), // Rule ID 21587 //
     /* 1567337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567376 */     // MIs[0] round
     /* 1567376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567379 */     // MIs[0] policy
     /* 1567379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567413 */     // GIR_Coverage, 21587,
     /* 1567413 */     GIR_EraseRootFromParent_Done,
     /* 1567414 */   // Label 21702: @1567414
     /* 1567414 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1567496), // Rule ID 21588 //
     /* 1567419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567458 */     // MIs[0] round
     /* 1567458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567461 */     // MIs[0] policy
     /* 1567461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1567474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567495 */     // GIR_Coverage, 21588,
     /* 1567495 */     GIR_EraseRootFromParent_Done,
     /* 1567496 */   // Label 21703: @1567496
     /* 1567496 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567578), // Rule ID 21591 //
     /* 1567501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567540 */     // MIs[0] round
     /* 1567540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567543 */     // MIs[0] policy
     /* 1567543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567577 */     // GIR_Coverage, 21591,
     /* 1567577 */     GIR_EraseRootFromParent_Done,
     /* 1567578 */   // Label 21704: @1567578
     /* 1567578 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567660), // Rule ID 21592 //
     /* 1567583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567622 */     // MIs[0] round
     /* 1567622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567625 */     // MIs[0] policy
     /* 1567625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1567638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567659 */     // GIR_Coverage, 21592,
     /* 1567659 */     GIR_EraseRootFromParent_Done,
     /* 1567660 */   // Label 21705: @1567660
     /* 1567660 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567742), // Rule ID 21595 //
     /* 1567665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1567668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567704 */     // MIs[0] round
     /* 1567704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567707 */     // MIs[0] policy
     /* 1567707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567741 */     // GIR_Coverage, 21595,
     /* 1567741 */     GIR_EraseRootFromParent_Done,
     /* 1567742 */   // Label 21706: @1567742
     /* 1567742 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567824), // Rule ID 21596 //
     /* 1567747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1567750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1567755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567786 */     // MIs[0] round
     /* 1567786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567789 */     // MIs[0] policy
     /* 1567789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1567802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567823 */     // GIR_Coverage, 21596,
     /* 1567823 */     GIR_EraseRootFromParent_Done,
     /* 1567824 */   // Label 21707: @1567824
     /* 1567824 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1567906), // Rule ID 21719 //
     /* 1567829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1567840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1567843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567868 */     // MIs[0] round
     /* 1567868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567871 */     // MIs[0] policy
     /* 1567871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567881 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1567884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567905 */     // GIR_Coverage, 21719,
     /* 1567905 */     GIR_EraseRootFromParent_Done,
     /* 1567906 */   // Label 21708: @1567906
     /* 1567906 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1567988), // Rule ID 21720 //
     /* 1567911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1567922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1567925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1567928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567950 */     // MIs[0] round
     /* 1567950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567953 */     // MIs[0] policy
     /* 1567953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567963 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1567966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567987 */     // GIR_Coverage, 21720,
     /* 1567987 */     GIR_EraseRootFromParent_Done,
     /* 1567988 */   // Label 21709: @1567988
     /* 1567988 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568070), // Rule ID 21723 //
     /* 1567993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568032 */     // MIs[0] round
     /* 1568032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568035 */     // MIs[0] policy
     /* 1568035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568045 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568069 */     // GIR_Coverage, 21723,
     /* 1568069 */     GIR_EraseRootFromParent_Done,
     /* 1568070 */   // Label 21710: @1568070
     /* 1568070 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568152), // Rule ID 21724 //
     /* 1568075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568114 */     // MIs[0] round
     /* 1568114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568117 */     // MIs[0] policy
     /* 1568117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568127 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1568130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568151 */     // GIR_Coverage, 21724,
     /* 1568151 */     GIR_EraseRootFromParent_Done,
     /* 1568152 */   // Label 21711: @1568152
     /* 1568152 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1568234), // Rule ID 21727 //
     /* 1568157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568196 */     // MIs[0] round
     /* 1568196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568199 */     // MIs[0] policy
     /* 1568199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568209 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568233 */     // GIR_Coverage, 21727,
     /* 1568233 */     GIR_EraseRootFromParent_Done,
     /* 1568234 */   // Label 21712: @1568234
     /* 1568234 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1568316), // Rule ID 21728 //
     /* 1568239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568278 */     // MIs[0] round
     /* 1568278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568281 */     // MIs[0] policy
     /* 1568281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568291 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1568294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568315 */     // GIR_Coverage, 21728,
     /* 1568315 */     GIR_EraseRootFromParent_Done,
     /* 1568316 */   // Label 21713: @1568316
     /* 1568316 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1568398), // Rule ID 21731 //
     /* 1568321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568360 */     // MIs[0] round
     /* 1568360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568363 */     // MIs[0] policy
     /* 1568363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568373 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568397 */     // GIR_Coverage, 21731,
     /* 1568397 */     GIR_EraseRootFromParent_Done,
     /* 1568398 */   // Label 21714: @1568398
     /* 1568398 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1568480), // Rule ID 21732 //
     /* 1568403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568442 */     // MIs[0] round
     /* 1568442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568445 */     // MIs[0] policy
     /* 1568445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1568458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568479 */     // GIR_Coverage, 21732,
     /* 1568479 */     GIR_EraseRootFromParent_Done,
     /* 1568480 */   // Label 21715: @1568480
     /* 1568480 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1568562), // Rule ID 21735 //
     /* 1568485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568524 */     // MIs[0] round
     /* 1568524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568527 */     // MIs[0] policy
     /* 1568527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568537 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568561 */     // GIR_Coverage, 21735,
     /* 1568561 */     GIR_EraseRootFromParent_Done,
     /* 1568562 */   // Label 21716: @1568562
     /* 1568562 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568644), // Rule ID 21736 //
     /* 1568567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568606 */     // MIs[0] round
     /* 1568606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568609 */     // MIs[0] policy
     /* 1568609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568619 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1568622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568643 */     // GIR_Coverage, 21736,
     /* 1568643 */     GIR_EraseRootFromParent_Done,
     /* 1568644 */   // Label 21717: @1568644
     /* 1568644 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568726), // Rule ID 21739 //
     /* 1568649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1568666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568688 */     // MIs[0] round
     /* 1568688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568691 */     // MIs[0] policy
     /* 1568691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568701 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1568704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568725 */     // GIR_Coverage, 21739,
     /* 1568725 */     GIR_EraseRootFromParent_Done,
     /* 1568726 */   // Label 21718: @1568726
     /* 1568726 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568808), // Rule ID 21740 //
     /* 1568731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1568748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568770 */     // MIs[0] round
     /* 1568770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568773 */     // MIs[0] policy
     /* 1568773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1568786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568807 */     // GIR_Coverage, 21740,
     /* 1568807 */     GIR_EraseRootFromParent_Done,
     /* 1568808 */   // Label 21719: @1568808
     /* 1568808 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568890), // Rule ID 21743 //
     /* 1568813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568852 */     // MIs[0] round
     /* 1568852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568855 */     // MIs[0] policy
     /* 1568855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1568868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568889 */     // GIR_Coverage, 21743,
     /* 1568889 */     GIR_EraseRootFromParent_Done,
     /* 1568890 */   // Label 21720: @1568890
     /* 1568890 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1568972), // Rule ID 21744 //
     /* 1568895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568934 */     // MIs[0] round
     /* 1568934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568937 */     // MIs[0] policy
     /* 1568937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1568950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568971 */     // GIR_Coverage, 21744,
     /* 1568971 */     GIR_EraseRootFromParent_Done,
     /* 1568972 */   // Label 21721: @1568972
     /* 1568972 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569054), // Rule ID 21747 //
     /* 1568977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1568988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1568991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1568994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569016 */     // MIs[0] round
     /* 1569016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569019 */     // MIs[0] policy
     /* 1569019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569029 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569053 */     // GIR_Coverage, 21747,
     /* 1569053 */     GIR_EraseRootFromParent_Done,
     /* 1569054 */   // Label 21722: @1569054
     /* 1569054 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569136), // Rule ID 21748 //
     /* 1569059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569098 */     // MIs[0] round
     /* 1569098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569101 */     // MIs[0] policy
     /* 1569101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1569114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569135 */     // GIR_Coverage, 21748,
     /* 1569135 */     GIR_EraseRootFromParent_Done,
     /* 1569136 */   // Label 21723: @1569136
     /* 1569136 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569218), // Rule ID 21751 //
     /* 1569141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569180 */     // MIs[0] round
     /* 1569180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569183 */     // MIs[0] policy
     /* 1569183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569193 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569217 */     // GIR_Coverage, 21751,
     /* 1569217 */     GIR_EraseRootFromParent_Done,
     /* 1569218 */   // Label 21724: @1569218
     /* 1569218 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1569300), // Rule ID 21752 //
     /* 1569223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1569231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569262 */     // MIs[0] round
     /* 1569262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569265 */     // MIs[0] policy
     /* 1569265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569275 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1569278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569299 */     // GIR_Coverage, 21752,
     /* 1569299 */     GIR_EraseRootFromParent_Done,
     /* 1569300 */   // Label 21725: @1569300
     /* 1569300 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1569382), // Rule ID 21755 //
     /* 1569305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569344 */     // MIs[0] round
     /* 1569344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569347 */     // MIs[0] policy
     /* 1569347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569357 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569381 */     // GIR_Coverage, 21755,
     /* 1569381 */     GIR_EraseRootFromParent_Done,
     /* 1569382 */   // Label 21726: @1569382
     /* 1569382 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1569464), // Rule ID 21756 //
     /* 1569387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569426 */     // MIs[0] round
     /* 1569426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569429 */     // MIs[0] policy
     /* 1569429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569439 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1569442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569463 */     // GIR_Coverage, 21756,
     /* 1569463 */     GIR_EraseRootFromParent_Done,
     /* 1569464 */   // Label 21727: @1569464
     /* 1569464 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1569546), // Rule ID 21759 //
     /* 1569469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569508 */     // MIs[0] round
     /* 1569508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569511 */     // MIs[0] policy
     /* 1569511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569521 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569545 */     // GIR_Coverage, 21759,
     /* 1569545 */     GIR_EraseRootFromParent_Done,
     /* 1569546 */   // Label 21728: @1569546
     /* 1569546 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569628), // Rule ID 21760 //
     /* 1569551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569590 */     // MIs[0] round
     /* 1569590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569593 */     // MIs[0] policy
     /* 1569593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1569606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569627 */     // GIR_Coverage, 21760,
     /* 1569627 */     GIR_EraseRootFromParent_Done,
     /* 1569628 */   // Label 21729: @1569628
     /* 1569628 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569710), // Rule ID 21763 //
     /* 1569633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569672 */     // MIs[0] round
     /* 1569672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569675 */     // MIs[0] policy
     /* 1569675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569685 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1569688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569709 */     // GIR_Coverage, 21763,
     /* 1569709 */     GIR_EraseRootFromParent_Done,
     /* 1569710 */   // Label 21730: @1569710
     /* 1569710 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569792), // Rule ID 21764 //
     /* 1569715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1569732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569754 */     // MIs[0] round
     /* 1569754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569757 */     // MIs[0] policy
     /* 1569757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569767 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1569770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569791 */     // GIR_Coverage, 21764,
     /* 1569791 */     GIR_EraseRootFromParent_Done,
     /* 1569792 */   // Label 21731: @1569792
     /* 1569792 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569874), // Rule ID 21767 //
     /* 1569797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569836 */     // MIs[0] round
     /* 1569836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569839 */     // MIs[0] policy
     /* 1569839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569849 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1569852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569873 */     // GIR_Coverage, 21767,
     /* 1569873 */     GIR_EraseRootFromParent_Done,
     /* 1569874 */   // Label 21732: @1569874
     /* 1569874 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1569956), // Rule ID 21768 //
     /* 1569879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569918 */     // MIs[0] round
     /* 1569918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569921 */     // MIs[0] policy
     /* 1569921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569931 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1569934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569955 */     // GIR_Coverage, 21768,
     /* 1569955 */     GIR_EraseRootFromParent_Done,
     /* 1569956 */   // Label 21733: @1569956
     /* 1569956 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570038), // Rule ID 21771 //
     /* 1569961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1569978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570000 */     // MIs[0] round
     /* 1570000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570003 */     // MIs[0] policy
     /* 1570003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570013 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570037 */     // GIR_Coverage, 21771,
     /* 1570037 */     GIR_EraseRootFromParent_Done,
     /* 1570038 */   // Label 21734: @1570038
     /* 1570038 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570120), // Rule ID 21772 //
     /* 1570043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570082 */     // MIs[0] round
     /* 1570082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570085 */     // MIs[0] policy
     /* 1570085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570095 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1570098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570119 */     // GIR_Coverage, 21772,
     /* 1570119 */     GIR_EraseRootFromParent_Done,
     /* 1570120 */   // Label 21735: @1570120
     /* 1570120 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570202), // Rule ID 21775 //
     /* 1570125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570164 */     // MIs[0] round
     /* 1570164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570167 */     // MIs[0] policy
     /* 1570167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570201 */     // GIR_Coverage, 21775,
     /* 1570201 */     GIR_EraseRootFromParent_Done,
     /* 1570202 */   // Label 21736: @1570202
     /* 1570202 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1570284), // Rule ID 21776 //
     /* 1570207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570246 */     // MIs[0] round
     /* 1570246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570249 */     // MIs[0] policy
     /* 1570249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570259 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1570262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570283 */     // GIR_Coverage, 21776,
     /* 1570283 */     GIR_EraseRootFromParent_Done,
     /* 1570284 */   // Label 21737: @1570284
     /* 1570284 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1570366), // Rule ID 21779 //
     /* 1570289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570328 */     // MIs[0] round
     /* 1570328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570331 */     // MIs[0] policy
     /* 1570331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570341 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570365 */     // GIR_Coverage, 21779,
     /* 1570365 */     GIR_EraseRootFromParent_Done,
     /* 1570366 */   // Label 21738: @1570366
     /* 1570366 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1570448), // Rule ID 21780 //
     /* 1570371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570410 */     // MIs[0] round
     /* 1570410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570413 */     // MIs[0] policy
     /* 1570413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1570426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570447 */     // GIR_Coverage, 21780,
     /* 1570447 */     GIR_EraseRootFromParent_Done,
     /* 1570448 */   // Label 21739: @1570448
     /* 1570448 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1570530), // Rule ID 21783 //
     /* 1570453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570492 */     // MIs[0] round
     /* 1570492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570495 */     // MIs[0] policy
     /* 1570495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570529 */     // GIR_Coverage, 21783,
     /* 1570529 */     GIR_EraseRootFromParent_Done,
     /* 1570530 */   // Label 21740: @1570530
     /* 1570530 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570612), // Rule ID 21784 //
     /* 1570535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570574 */     // MIs[0] round
     /* 1570574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570577 */     // MIs[0] policy
     /* 1570577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1570590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570611 */     // GIR_Coverage, 21784,
     /* 1570611 */     GIR_EraseRootFromParent_Done,
     /* 1570612 */   // Label 21741: @1570612
     /* 1570612 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570694), // Rule ID 21787 //
     /* 1570617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1570620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570656 */     // MIs[0] round
     /* 1570656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570659 */     // MIs[0] policy
     /* 1570659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570669 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1570672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570693 */     // GIR_Coverage, 21787,
     /* 1570693 */     GIR_EraseRootFromParent_Done,
     /* 1570694 */   // Label 21742: @1570694
     /* 1570694 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570776), // Rule ID 21788 //
     /* 1570699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1570702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1570707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570738 */     // MIs[0] round
     /* 1570738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570741 */     // MIs[0] policy
     /* 1570741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570751 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1570754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570775 */     // GIR_Coverage, 21788,
     /* 1570775 */     GIR_EraseRootFromParent_Done,
     /* 1570776 */   // Label 21743: @1570776
     /* 1570776 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570858), // Rule ID 21791 //
     /* 1570781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1570784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570820 */     // MIs[0] round
     /* 1570820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570823 */     // MIs[0] policy
     /* 1570823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1570836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570857 */     // GIR_Coverage, 21791,
     /* 1570857 */     GIR_EraseRootFromParent_Done,
     /* 1570858 */   // Label 21744: @1570858
     /* 1570858 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1570940), // Rule ID 21792 //
     /* 1570863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1570866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1570880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570902 */     // MIs[0] round
     /* 1570902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570905 */     // MIs[0] policy
     /* 1570905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570915 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1570918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570939 */     // GIR_Coverage, 21792,
     /* 1570939 */     GIR_EraseRootFromParent_Done,
     /* 1570940 */   // Label 21745: @1570940
     /* 1570940 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571022), // Rule ID 21795 //
     /* 1570945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1570948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570984 */     // MIs[0] round
     /* 1570984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570987 */     // MIs[0] policy
     /* 1570987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570997 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571021 */     // GIR_Coverage, 21795,
     /* 1571021 */     GIR_EraseRootFromParent_Done,
     /* 1571022 */   // Label 21746: @1571022
     /* 1571022 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571104), // Rule ID 21796 //
     /* 1571027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571066 */     // MIs[0] round
     /* 1571066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571069 */     // MIs[0] policy
     /* 1571069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571079 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1571082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571103 */     // GIR_Coverage, 21796,
     /* 1571103 */     GIR_EraseRootFromParent_Done,
     /* 1571104 */   // Label 21747: @1571104
     /* 1571104 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571186), // Rule ID 21799 //
     /* 1571109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571148 */     // MIs[0] round
     /* 1571148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571151 */     // MIs[0] policy
     /* 1571151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571161 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571185 */     // GIR_Coverage, 21799,
     /* 1571185 */     GIR_EraseRootFromParent_Done,
     /* 1571186 */   // Label 21748: @1571186
     /* 1571186 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1571268), // Rule ID 21800 //
     /* 1571191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571230 */     // MIs[0] round
     /* 1571230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571233 */     // MIs[0] policy
     /* 1571233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571243 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1571246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571267 */     // GIR_Coverage, 21800,
     /* 1571267 */     GIR_EraseRootFromParent_Done,
     /* 1571268 */   // Label 21749: @1571268
     /* 1571268 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1571350), // Rule ID 21803 //
     /* 1571273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1571276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571312 */     // MIs[0] round
     /* 1571312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571315 */     // MIs[0] policy
     /* 1571315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571325 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571349 */     // GIR_Coverage, 21803,
     /* 1571349 */     GIR_EraseRootFromParent_Done,
     /* 1571350 */   // Label 21750: @1571350
     /* 1571350 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1571432), // Rule ID 21804 //
     /* 1571355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1571358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571394 */     // MIs[0] round
     /* 1571394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571397 */     // MIs[0] policy
     /* 1571397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571407 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1571410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571431 */     // GIR_Coverage, 21804,
     /* 1571431 */     GIR_EraseRootFromParent_Done,
     /* 1571432 */   // Label 21751: @1571432
     /* 1571432 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1571514), // Rule ID 21807 //
     /* 1571437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571476 */     // MIs[0] round
     /* 1571476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571479 */     // MIs[0] policy
     /* 1571479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571489 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571513 */     // GIR_Coverage, 21807,
     /* 1571513 */     GIR_EraseRootFromParent_Done,
     /* 1571514 */   // Label 21752: @1571514
     /* 1571514 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571596), // Rule ID 21808 //
     /* 1571519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571558 */     // MIs[0] round
     /* 1571558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571561 */     // MIs[0] policy
     /* 1571561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571571 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1571574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571595 */     // GIR_Coverage, 21808,
     /* 1571595 */     GIR_EraseRootFromParent_Done,
     /* 1571596 */   // Label 21753: @1571596
     /* 1571596 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571678), // Rule ID 21811 //
     /* 1571601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571640 */     // MIs[0] round
     /* 1571640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571643 */     // MIs[0] policy
     /* 1571643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571653 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1571656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571677 */     // GIR_Coverage, 21811,
     /* 1571677 */     GIR_EraseRootFromParent_Done,
     /* 1571678 */   // Label 21754: @1571678
     /* 1571678 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571760), // Rule ID 21812 //
     /* 1571683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571722 */     // MIs[0] round
     /* 1571722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571725 */     // MIs[0] policy
     /* 1571725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571735 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1571738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571759 */     // GIR_Coverage, 21812,
     /* 1571759 */     GIR_EraseRootFromParent_Done,
     /* 1571760 */   // Label 21755: @1571760
     /* 1571760 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571842), // Rule ID 21815 //
     /* 1571765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571804 */     // MIs[0] round
     /* 1571804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571807 */     // MIs[0] policy
     /* 1571807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1571820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571841 */     // GIR_Coverage, 21815,
     /* 1571841 */     GIR_EraseRootFromParent_Done,
     /* 1571842 */   // Label 21756: @1571842
     /* 1571842 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1571924), // Rule ID 21816 //
     /* 1571847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1571850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571886 */     // MIs[0] round
     /* 1571886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571889 */     // MIs[0] policy
     /* 1571889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571899 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1571902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571923 */     // GIR_Coverage, 21816,
     /* 1571923 */     GIR_EraseRootFromParent_Done,
     /* 1571924 */   // Label 21757: @1571924
     /* 1571924 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572006), // Rule ID 21819 //
     /* 1571929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1571932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1571937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571968 */     // MIs[0] round
     /* 1571968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571971 */     // MIs[0] policy
     /* 1571971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1571984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572005 */     // GIR_Coverage, 21819,
     /* 1572005 */     GIR_EraseRootFromParent_Done,
     /* 1572006 */   // Label 21758: @1572006
     /* 1572006 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572088), // Rule ID 21820 //
     /* 1572011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572050 */     // MIs[0] round
     /* 1572050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572053 */     // MIs[0] policy
     /* 1572053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572063 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1572066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572087 */     // GIR_Coverage, 21820,
     /* 1572087 */     GIR_EraseRootFromParent_Done,
     /* 1572088 */   // Label 21759: @1572088
     /* 1572088 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572170), // Rule ID 21823 //
     /* 1572093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1572096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572132 */     // MIs[0] round
     /* 1572132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572135 */     // MIs[0] policy
     /* 1572135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572145 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572169 */     // GIR_Coverage, 21823,
     /* 1572169 */     GIR_EraseRootFromParent_Done,
     /* 1572170 */   // Label 21760: @1572170
     /* 1572170 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1572252), // Rule ID 21824 //
     /* 1572175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1572178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1572183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1572192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572214 */     // MIs[0] round
     /* 1572214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572217 */     // MIs[0] policy
     /* 1572217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572227 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1572230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572251 */     // GIR_Coverage, 21824,
     /* 1572251 */     GIR_EraseRootFromParent_Done,
     /* 1572252 */   // Label 21761: @1572252
     /* 1572252 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1572334), // Rule ID 2641 //
     /* 1572257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572288 */     // MIs[0] passthru
     /* 1572288 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572301 */     // MIs[0] policy
     /* 1572301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572333 */     // GIR_Coverage, 2641,
     /* 1572333 */     GIR_EraseRootFromParent_Done,
     /* 1572334 */   // Label 21762: @1572334
     /* 1572334 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1572416), // Rule ID 2642 //
     /* 1572339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572370 */     // MIs[0] passthru
     /* 1572370 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572383 */     // MIs[0] policy
     /* 1572383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1572396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572415 */     // GIR_Coverage, 2642,
     /* 1572415 */     GIR_EraseRootFromParent_Done,
     /* 1572416 */   // Label 21763: @1572416
     /* 1572416 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1572498), // Rule ID 3949 //
     /* 1572421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572452 */     // MIs[0] passthru
     /* 1572452 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572465 */     // MIs[0] policy
     /* 1572465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572497 */     // GIR_Coverage, 3949,
     /* 1572497 */     GIR_EraseRootFromParent_Done,
     /* 1572498 */   // Label 21764: @1572498
     /* 1572498 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572580), // Rule ID 3950 //
     /* 1572503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572534 */     // MIs[0] passthru
     /* 1572534 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572547 */     // MIs[0] policy
     /* 1572547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572557 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572579 */     // GIR_Coverage, 3950,
     /* 1572579 */     GIR_EraseRootFromParent_Done,
     /* 1572580 */   // Label 21765: @1572580
     /* 1572580 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572662), // Rule ID 3959 //
     /* 1572585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1572602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572616 */     // MIs[0] passthru
     /* 1572616 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572629 */     // MIs[0] policy
     /* 1572629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572661 */     // GIR_Coverage, 3959,
     /* 1572661 */     GIR_EraseRootFromParent_Done,
     /* 1572662 */   // Label 21766: @1572662
     /* 1572662 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572744), // Rule ID 3960 //
     /* 1572667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1572684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572698 */     // MIs[0] passthru
     /* 1572698 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572711 */     // MIs[0] policy
     /* 1572711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572743 */     // GIR_Coverage, 3960,
     /* 1572743 */     GIR_EraseRootFromParent_Done,
     /* 1572744 */   // Label 21767: @1572744
     /* 1572744 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572826), // Rule ID 3969 //
     /* 1572749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572780 */     // MIs[0] passthru
     /* 1572780 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572793 */     // MIs[0] policy
     /* 1572793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572825 */     // GIR_Coverage, 3969,
     /* 1572825 */     GIR_EraseRootFromParent_Done,
     /* 1572826 */   // Label 21768: @1572826
     /* 1572826 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1572908), // Rule ID 3970 //
     /* 1572831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572862 */     // MIs[0] passthru
     /* 1572862 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572875 */     // MIs[0] policy
     /* 1572875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572907 */     // GIR_Coverage, 3970,
     /* 1572907 */     GIR_EraseRootFromParent_Done,
     /* 1572908 */   // Label 21769: @1572908
     /* 1572908 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1572990), // Rule ID 3979 //
     /* 1572913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1572930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572944 */     // MIs[0] passthru
     /* 1572944 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572957 */     // MIs[0] policy
     /* 1572957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1572970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572989 */     // GIR_Coverage, 3979,
     /* 1572989 */     GIR_EraseRootFromParent_Done,
     /* 1572990 */   // Label 21770: @1572990
     /* 1572990 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573072), // Rule ID 3980 //
     /* 1572995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573026 */     // MIs[0] passthru
     /* 1573026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573039 */     // MIs[0] policy
     /* 1573039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573071 */     // GIR_Coverage, 3980,
     /* 1573071 */     GIR_EraseRootFromParent_Done,
     /* 1573072 */   // Label 21771: @1573072
     /* 1573072 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573154), // Rule ID 3989 //
     /* 1573077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573108 */     // MIs[0] passthru
     /* 1573108 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573121 */     // MIs[0] policy
     /* 1573121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573153 */     // GIR_Coverage, 3989,
     /* 1573153 */     GIR_EraseRootFromParent_Done,
     /* 1573154 */   // Label 21772: @1573154
     /* 1573154 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1573236), // Rule ID 3990 //
     /* 1573159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573190 */     // MIs[0] passthru
     /* 1573190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573203 */     // MIs[0] policy
     /* 1573203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573235 */     // GIR_Coverage, 3990,
     /* 1573235 */     GIR_EraseRootFromParent_Done,
     /* 1573236 */   // Label 21773: @1573236
     /* 1573236 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1573318), // Rule ID 3999 //
     /* 1573241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573272 */     // MIs[0] passthru
     /* 1573272 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573285 */     // MIs[0] policy
     /* 1573285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573317 */     // GIR_Coverage, 3999,
     /* 1573317 */     GIR_EraseRootFromParent_Done,
     /* 1573318 */   // Label 21774: @1573318
     /* 1573318 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1573400), // Rule ID 4000 //
     /* 1573323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573354 */     // MIs[0] passthru
     /* 1573354 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573367 */     // MIs[0] policy
     /* 1573367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573377 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1573380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573399 */     // GIR_Coverage, 4000,
     /* 1573399 */     GIR_EraseRootFromParent_Done,
     /* 1573400 */   // Label 21775: @1573400
     /* 1573400 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1573482), // Rule ID 4009 //
     /* 1573405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573436 */     // MIs[0] passthru
     /* 1573436 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573449 */     // MIs[0] policy
     /* 1573449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573481 */     // GIR_Coverage, 4009,
     /* 1573481 */     GIR_EraseRootFromParent_Done,
     /* 1573482 */   // Label 21776: @1573482
     /* 1573482 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1573564), // Rule ID 4010 //
     /* 1573487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573518 */     // MIs[0] passthru
     /* 1573518 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573531 */     // MIs[0] policy
     /* 1573531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573563 */     // GIR_Coverage, 4010,
     /* 1573563 */     GIR_EraseRootFromParent_Done,
     /* 1573564 */   // Label 21777: @1573564
     /* 1573564 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573646), // Rule ID 4019 //
     /* 1573569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1573586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573600 */     // MIs[0] passthru
     /* 1573600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573613 */     // MIs[0] policy
     /* 1573613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573645 */     // GIR_Coverage, 4019,
     /* 1573645 */     GIR_EraseRootFromParent_Done,
     /* 1573646 */   // Label 21778: @1573646
     /* 1573646 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573728), // Rule ID 4020 //
     /* 1573651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1573668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573682 */     // MIs[0] passthru
     /* 1573682 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573695 */     // MIs[0] policy
     /* 1573695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573727 */     // GIR_Coverage, 4020,
     /* 1573727 */     GIR_EraseRootFromParent_Done,
     /* 1573728 */   // Label 21779: @1573728
     /* 1573728 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573810), // Rule ID 4029 //
     /* 1573733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573764 */     // MIs[0] passthru
     /* 1573764 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573777 */     // MIs[0] policy
     /* 1573777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573809 */     // GIR_Coverage, 4029,
     /* 1573809 */     GIR_EraseRootFromParent_Done,
     /* 1573810 */   // Label 21780: @1573810
     /* 1573810 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573892), // Rule ID 4030 //
     /* 1573815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573846 */     // MIs[0] passthru
     /* 1573846 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573859 */     // MIs[0] policy
     /* 1573859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573891 */     // GIR_Coverage, 4030,
     /* 1573891 */     GIR_EraseRootFromParent_Done,
     /* 1573892 */   // Label 21781: @1573892
     /* 1573892 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1573974), // Rule ID 4039 //
     /* 1573897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573928 */     // MIs[0] passthru
     /* 1573928 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573941 */     // MIs[0] policy
     /* 1573941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573973 */     // GIR_Coverage, 4039,
     /* 1573973 */     GIR_EraseRootFromParent_Done,
     /* 1573974 */   // Label 21782: @1573974
     /* 1573974 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574056), // Rule ID 4040 //
     /* 1573979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574010 */     // MIs[0] passthru
     /* 1574010 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574023 */     // MIs[0] policy
     /* 1574023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574055 */     // GIR_Coverage, 4040,
     /* 1574055 */     GIR_EraseRootFromParent_Done,
     /* 1574056 */   // Label 21783: @1574056
     /* 1574056 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574138), // Rule ID 4049 //
     /* 1574061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574092 */     // MIs[0] passthru
     /* 1574092 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574105 */     // MIs[0] policy
     /* 1574105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574137 */     // GIR_Coverage, 4049,
     /* 1574137 */     GIR_EraseRootFromParent_Done,
     /* 1574138 */   // Label 21784: @1574138
     /* 1574138 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574220), // Rule ID 4050 //
     /* 1574143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1574160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574174 */     // MIs[0] passthru
     /* 1574174 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574187 */     // MIs[0] policy
     /* 1574187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1574200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574219 */     // GIR_Coverage, 4050,
     /* 1574219 */     GIR_EraseRootFromParent_Done,
     /* 1574220 */   // Label 21785: @1574220
     /* 1574220 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1574302), // Rule ID 4059 //
     /* 1574225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574256 */     // MIs[0] passthru
     /* 1574256 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574269 */     // MIs[0] policy
     /* 1574269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574279 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574301 */     // GIR_Coverage, 4059,
     /* 1574301 */     GIR_EraseRootFromParent_Done,
     /* 1574302 */   // Label 21786: @1574302
     /* 1574302 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1574384), // Rule ID 4060 //
     /* 1574307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574338 */     // MIs[0] passthru
     /* 1574338 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574351 */     // MIs[0] policy
     /* 1574351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1574364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574383 */     // GIR_Coverage, 4060,
     /* 1574383 */     GIR_EraseRootFromParent_Done,
     /* 1574384 */   // Label 21787: @1574384
     /* 1574384 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1574466), // Rule ID 4069 //
     /* 1574389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574420 */     // MIs[0] passthru
     /* 1574420 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574433 */     // MIs[0] policy
     /* 1574433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574465 */     // GIR_Coverage, 4069,
     /* 1574465 */     GIR_EraseRootFromParent_Done,
     /* 1574466 */   // Label 21788: @1574466
     /* 1574466 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1574548), // Rule ID 4070 //
     /* 1574471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574502 */     // MIs[0] passthru
     /* 1574502 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574515 */     // MIs[0] policy
     /* 1574515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574525 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1574528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574547 */     // GIR_Coverage, 4070,
     /* 1574547 */     GIR_EraseRootFromParent_Done,
     /* 1574548 */   // Label 21789: @1574548
     /* 1574548 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574630), // Rule ID 4079 //
     /* 1574553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1574556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574584 */     // MIs[0] passthru
     /* 1574584 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574597 */     // MIs[0] policy
     /* 1574597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574629 */     // GIR_Coverage, 4079,
     /* 1574629 */     GIR_EraseRootFromParent_Done,
     /* 1574630 */   // Label 21790: @1574630
     /* 1574630 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574712), // Rule ID 4080 //
     /* 1574635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1574638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1574643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574666 */     // MIs[0] passthru
     /* 1574666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574679 */     // MIs[0] policy
     /* 1574679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1574692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574711 */     // GIR_Coverage, 4080,
     /* 1574711 */     GIR_EraseRootFromParent_Done,
     /* 1574712 */   // Label 21791: @1574712
     /* 1574712 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574794), // Rule ID 4149 //
     /* 1574717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1574734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574748 */     // MIs[0] passthru
     /* 1574748 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574761 */     // MIs[0] policy
     /* 1574761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1574774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574793 */     // GIR_Coverage, 4149,
     /* 1574793 */     GIR_EraseRootFromParent_Done,
     /* 1574794 */   // Label 21792: @1574794
     /* 1574794 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574876), // Rule ID 4150 //
     /* 1574799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1574810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1574813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1574816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574830 */     // MIs[0] passthru
     /* 1574830 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574843 */     // MIs[0] policy
     /* 1574843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1574856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574875 */     // GIR_Coverage, 4150,
     /* 1574875 */     GIR_EraseRootFromParent_Done,
     /* 1574876 */   // Label 21793: @1574876
     /* 1574876 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1574958), // Rule ID 4159 //
     /* 1574881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1574898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574912 */     // MIs[0] passthru
     /* 1574912 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574925 */     // MIs[0] policy
     /* 1574925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1574938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574957 */     // GIR_Coverage, 4159,
     /* 1574957 */     GIR_EraseRootFromParent_Done,
     /* 1574958 */   // Label 21794: @1574958
     /* 1574958 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575040), // Rule ID 4160 //
     /* 1574963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1574980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574994 */     // MIs[0] passthru
     /* 1574994 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575007 */     // MIs[0] policy
     /* 1575007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575039 */     // GIR_Coverage, 4160,
     /* 1575039 */     GIR_EraseRootFromParent_Done,
     /* 1575040 */   // Label 21795: @1575040
     /* 1575040 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575122), // Rule ID 4169 //
     /* 1575045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575076 */     // MIs[0] passthru
     /* 1575076 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575089 */     // MIs[0] policy
     /* 1575089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575121 */     // GIR_Coverage, 4169,
     /* 1575121 */     GIR_EraseRootFromParent_Done,
     /* 1575122 */   // Label 21796: @1575122
     /* 1575122 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575204), // Rule ID 4170 //
     /* 1575127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1575144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575158 */     // MIs[0] passthru
     /* 1575158 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575171 */     // MIs[0] policy
     /* 1575171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575203 */     // GIR_Coverage, 4170,
     /* 1575203 */     GIR_EraseRootFromParent_Done,
     /* 1575204 */   // Label 21797: @1575204
     /* 1575204 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1575286), // Rule ID 4179 //
     /* 1575209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575240 */     // MIs[0] passthru
     /* 1575240 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575253 */     // MIs[0] policy
     /* 1575253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575285 */     // GIR_Coverage, 4179,
     /* 1575285 */     GIR_EraseRootFromParent_Done,
     /* 1575286 */   // Label 21798: @1575286
     /* 1575286 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1575368), // Rule ID 4180 //
     /* 1575291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1575308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575322 */     // MIs[0] passthru
     /* 1575322 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575335 */     // MIs[0] policy
     /* 1575335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575367 */     // GIR_Coverage, 4180,
     /* 1575367 */     GIR_EraseRootFromParent_Done,
     /* 1575368 */   // Label 21799: @1575368
     /* 1575368 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1575450), // Rule ID 4189 //
     /* 1575373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575404 */     // MIs[0] passthru
     /* 1575404 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575417 */     // MIs[0] policy
     /* 1575417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575449 */     // GIR_Coverage, 4189,
     /* 1575449 */     GIR_EraseRootFromParent_Done,
     /* 1575450 */   // Label 21800: @1575450
     /* 1575450 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1575532), // Rule ID 4190 //
     /* 1575455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1575472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575486 */     // MIs[0] passthru
     /* 1575486 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575499 */     // MIs[0] policy
     /* 1575499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575531 */     // GIR_Coverage, 4190,
     /* 1575531 */     GIR_EraseRootFromParent_Done,
     /* 1575532 */   // Label 21801: @1575532
     /* 1575532 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575614), // Rule ID 4199 //
     /* 1575537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575568 */     // MIs[0] passthru
     /* 1575568 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575581 */     // MIs[0] policy
     /* 1575581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575591 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575613 */     // GIR_Coverage, 4199,
     /* 1575613 */     GIR_EraseRootFromParent_Done,
     /* 1575614 */   // Label 21802: @1575614
     /* 1575614 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575696), // Rule ID 4200 //
     /* 1575619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575650 */     // MIs[0] passthru
     /* 1575650 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575663 */     // MIs[0] policy
     /* 1575663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575695 */     // GIR_Coverage, 4200,
     /* 1575695 */     GIR_EraseRootFromParent_Done,
     /* 1575696 */   // Label 21803: @1575696
     /* 1575696 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575778), // Rule ID 4209 //
     /* 1575701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1575718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575732 */     // MIs[0] passthru
     /* 1575732 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575745 */     // MIs[0] policy
     /* 1575745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575777 */     // GIR_Coverage, 4209,
     /* 1575777 */     GIR_EraseRootFromParent_Done,
     /* 1575778 */   // Label 21804: @1575778
     /* 1575778 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575860), // Rule ID 4210 //
     /* 1575783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1575800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575814 */     // MIs[0] passthru
     /* 1575814 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575827 */     // MIs[0] policy
     /* 1575827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1575840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575859 */     // GIR_Coverage, 4210,
     /* 1575859 */     GIR_EraseRootFromParent_Done,
     /* 1575860 */   // Label 21805: @1575860
     /* 1575860 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1575942), // Rule ID 4219 //
     /* 1575865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1575882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575896 */     // MIs[0] passthru
     /* 1575896 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575909 */     // MIs[0] policy
     /* 1575909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575941 */     // GIR_Coverage, 4219,
     /* 1575941 */     GIR_EraseRootFromParent_Done,
     /* 1575942 */   // Label 21806: @1575942
     /* 1575942 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576024), // Rule ID 4220 //
     /* 1575947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1575964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575978 */     // MIs[0] passthru
     /* 1575978 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575991 */     // MIs[0] policy
     /* 1575991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576023 */     // GIR_Coverage, 4220,
     /* 1576023 */     GIR_EraseRootFromParent_Done,
     /* 1576024 */   // Label 21807: @1576024
     /* 1576024 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576106), // Rule ID 4229 //
     /* 1576029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576060 */     // MIs[0] passthru
     /* 1576060 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576073 */     // MIs[0] policy
     /* 1576073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576105 */     // GIR_Coverage, 4229,
     /* 1576105 */     GIR_EraseRootFromParent_Done,
     /* 1576106 */   // Label 21808: @1576106
     /* 1576106 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576188), // Rule ID 4230 //
     /* 1576111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1576128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576142 */     // MIs[0] passthru
     /* 1576142 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576155 */     // MIs[0] policy
     /* 1576155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576187 */     // GIR_Coverage, 4230,
     /* 1576187 */     GIR_EraseRootFromParent_Done,
     /* 1576188 */   // Label 21809: @1576188
     /* 1576188 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1576270), // Rule ID 4239 //
     /* 1576193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576224 */     // MIs[0] passthru
     /* 1576224 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576237 */     // MIs[0] policy
     /* 1576237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576269 */     // GIR_Coverage, 4239,
     /* 1576269 */     GIR_EraseRootFromParent_Done,
     /* 1576270 */   // Label 21810: @1576270
     /* 1576270 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1576352), // Rule ID 4240 //
     /* 1576275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1576292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576306 */     // MIs[0] passthru
     /* 1576306 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576319 */     // MIs[0] policy
     /* 1576319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576351 */     // GIR_Coverage, 4240,
     /* 1576351 */     GIR_EraseRootFromParent_Done,
     /* 1576352 */   // Label 21811: @1576352
     /* 1576352 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1576434), // Rule ID 4249 //
     /* 1576357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576388 */     // MIs[0] passthru
     /* 1576388 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576401 */     // MIs[0] policy
     /* 1576401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576433 */     // GIR_Coverage, 4249,
     /* 1576433 */     GIR_EraseRootFromParent_Done,
     /* 1576434 */   // Label 21812: @1576434
     /* 1576434 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1576516), // Rule ID 4250 //
     /* 1576439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1576456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576470 */     // MIs[0] passthru
     /* 1576470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576483 */     // MIs[0] policy
     /* 1576483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576493 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1576496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576515 */     // GIR_Coverage, 4250,
     /* 1576515 */     GIR_EraseRootFromParent_Done,
     /* 1576516 */   // Label 21813: @1576516
     /* 1576516 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576598), // Rule ID 4259 //
     /* 1576521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576552 */     // MIs[0] passthru
     /* 1576552 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576565 */     // MIs[0] policy
     /* 1576565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576597 */     // GIR_Coverage, 4259,
     /* 1576597 */     GIR_EraseRootFromParent_Done,
     /* 1576598 */   // Label 21814: @1576598
     /* 1576598 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576680), // Rule ID 4260 //
     /* 1576603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1576620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576634 */     // MIs[0] passthru
     /* 1576634 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576647 */     // MIs[0] policy
     /* 1576647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1576660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576679 */     // GIR_Coverage, 4260,
     /* 1576679 */     GIR_EraseRootFromParent_Done,
     /* 1576680 */   // Label 21815: @1576680
     /* 1576680 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576762), // Rule ID 4269 //
     /* 1576685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1576702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576716 */     // MIs[0] passthru
     /* 1576716 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576729 */     // MIs[0] policy
     /* 1576729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576761 */     // GIR_Coverage, 4269,
     /* 1576761 */     GIR_EraseRootFromParent_Done,
     /* 1576762 */   // Label 21816: @1576762
     /* 1576762 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576844), // Rule ID 4270 //
     /* 1576767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1576784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576798 */     // MIs[0] passthru
     /* 1576798 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576811 */     // MIs[0] policy
     /* 1576811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1576824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576843 */     // GIR_Coverage, 4270,
     /* 1576843 */     GIR_EraseRootFromParent_Done,
     /* 1576844 */   // Label 21817: @1576844
     /* 1576844 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1576926), // Rule ID 4279 //
     /* 1576849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1576866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576880 */     // MIs[0] passthru
     /* 1576880 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576893 */     // MIs[0] policy
     /* 1576893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576925 */     // GIR_Coverage, 4279,
     /* 1576925 */     GIR_EraseRootFromParent_Done,
     /* 1576926 */   // Label 21818: @1576926
     /* 1576926 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577008), // Rule ID 4280 //
     /* 1576931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1576939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1576948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576962 */     // MIs[0] passthru
     /* 1576962 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576975 */     // MIs[0] policy
     /* 1576975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1576988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577007 */     // GIR_Coverage, 4280,
     /* 1577007 */     GIR_EraseRootFromParent_Done,
     /* 1577008 */   // Label 21819: @1577008
     /* 1577008 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577090), // Rule ID 4289 //
     /* 1577013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577044 */     // MIs[0] passthru
     /* 1577044 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577057 */     // MIs[0] policy
     /* 1577057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577067 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577089 */     // GIR_Coverage, 4289,
     /* 1577089 */     GIR_EraseRootFromParent_Done,
     /* 1577090 */   // Label 21820: @1577090
     /* 1577090 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577172), // Rule ID 4290 //
     /* 1577095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1577103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1577112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577126 */     // MIs[0] passthru
     /* 1577126 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577139 */     // MIs[0] policy
     /* 1577139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1577152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577171 */     // GIR_Coverage, 4290,
     /* 1577171 */     GIR_EraseRootFromParent_Done,
     /* 1577172 */   // Label 21821: @1577172
     /* 1577172 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1577254), // Rule ID 4359 //
     /* 1577177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577208 */     // MIs[0] passthru
     /* 1577208 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577221 */     // MIs[0] policy
     /* 1577221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577253 */     // GIR_Coverage, 4359,
     /* 1577253 */     GIR_EraseRootFromParent_Done,
     /* 1577254 */   // Label 21822: @1577254
     /* 1577254 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1577336), // Rule ID 4360 //
     /* 1577259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1577276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577290 */     // MIs[0] passthru
     /* 1577290 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577303 */     // MIs[0] policy
     /* 1577303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1577316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577335 */     // GIR_Coverage, 4360,
     /* 1577335 */     GIR_EraseRootFromParent_Done,
     /* 1577336 */   // Label 21823: @1577336
     /* 1577336 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1577418), // Rule ID 4369 //
     /* 1577341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577372 */     // MIs[0] passthru
     /* 1577372 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577385 */     // MIs[0] policy
     /* 1577385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577417 */     // GIR_Coverage, 4369,
     /* 1577417 */     GIR_EraseRootFromParent_Done,
     /* 1577418 */   // Label 21824: @1577418
     /* 1577418 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1577500), // Rule ID 4370 //
     /* 1577423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577454 */     // MIs[0] passthru
     /* 1577454 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577467 */     // MIs[0] policy
     /* 1577467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577499 */     // GIR_Coverage, 4370,
     /* 1577499 */     GIR_EraseRootFromParent_Done,
     /* 1577500 */   // Label 21825: @1577500
     /* 1577500 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577582), // Rule ID 4379 //
     /* 1577505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577536 */     // MIs[0] passthru
     /* 1577536 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577549 */     // MIs[0] policy
     /* 1577549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577581 */     // GIR_Coverage, 4379,
     /* 1577581 */     GIR_EraseRootFromParent_Done,
     /* 1577582 */   // Label 21826: @1577582
     /* 1577582 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577664), // Rule ID 4380 //
     /* 1577587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577618 */     // MIs[0] passthru
     /* 1577618 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577631 */     // MIs[0] policy
     /* 1577631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577663 */     // GIR_Coverage, 4380,
     /* 1577663 */     GIR_EraseRootFromParent_Done,
     /* 1577664 */   // Label 21827: @1577664
     /* 1577664 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577746), // Rule ID 4389 //
     /* 1577669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577700 */     // MIs[0] passthru
     /* 1577700 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577713 */     // MIs[0] policy
     /* 1577713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577745 */     // GIR_Coverage, 4389,
     /* 1577745 */     GIR_EraseRootFromParent_Done,
     /* 1577746 */   // Label 21828: @1577746
     /* 1577746 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577828), // Rule ID 4390 //
     /* 1577751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577782 */     // MIs[0] passthru
     /* 1577782 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577795 */     // MIs[0] policy
     /* 1577795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577827 */     // GIR_Coverage, 4390,
     /* 1577827 */     GIR_EraseRootFromParent_Done,
     /* 1577828 */   // Label 21829: @1577828
     /* 1577828 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1577910), // Rule ID 4399 //
     /* 1577833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577864 */     // MIs[0] passthru
     /* 1577864 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577877 */     // MIs[0] policy
     /* 1577877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577887 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1577890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577909 */     // GIR_Coverage, 4399,
     /* 1577909 */     GIR_EraseRootFromParent_Done,
     /* 1577910 */   // Label 21830: @1577910
     /* 1577910 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1577992), // Rule ID 4400 //
     /* 1577915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577946 */     // MIs[0] passthru
     /* 1577946 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577959 */     // MIs[0] policy
     /* 1577959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577969 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1577972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577991 */     // GIR_Coverage, 4400,
     /* 1577991 */     GIR_EraseRootFromParent_Done,
     /* 1577992 */   // Label 21831: @1577992
     /* 1577992 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578074), // Rule ID 4409 //
     /* 1577997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578028 */     // MIs[0] passthru
     /* 1578028 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578041 */     // MIs[0] policy
     /* 1578041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578073 */     // GIR_Coverage, 4409,
     /* 1578073 */     GIR_EraseRootFromParent_Done,
     /* 1578074 */   // Label 21832: @1578074
     /* 1578074 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578156), // Rule ID 4410 //
     /* 1578079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1578090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1578093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578110 */     // MIs[0] passthru
     /* 1578110 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578123 */     // MIs[0] policy
     /* 1578123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578155 */     // GIR_Coverage, 4410,
     /* 1578155 */     GIR_EraseRootFromParent_Done,
     /* 1578156 */   // Label 21833: @1578156
     /* 1578156 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1578238), // Rule ID 4419 //
     /* 1578161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578192 */     // MIs[0] passthru
     /* 1578192 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578205 */     // MIs[0] policy
     /* 1578205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578237 */     // GIR_Coverage, 4419,
     /* 1578237 */     GIR_EraseRootFromParent_Done,
     /* 1578238 */   // Label 21834: @1578238
     /* 1578238 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1578320), // Rule ID 4420 //
     /* 1578243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1578260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578274 */     // MIs[0] passthru
     /* 1578274 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578287 */     // MIs[0] policy
     /* 1578287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1578300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578319 */     // GIR_Coverage, 4420,
     /* 1578319 */     GIR_EraseRootFromParent_Done,
     /* 1578320 */   // Label 21835: @1578320
     /* 1578320 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1578402), // Rule ID 4429 //
     /* 1578325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578356 */     // MIs[0] passthru
     /* 1578356 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578369 */     // MIs[0] policy
     /* 1578369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578401 */     // GIR_Coverage, 4429,
     /* 1578401 */     GIR_EraseRootFromParent_Done,
     /* 1578402 */   // Label 21836: @1578402
     /* 1578402 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1578484), // Rule ID 4430 //
     /* 1578407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578438 */     // MIs[0] passthru
     /* 1578438 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578451 */     // MIs[0] policy
     /* 1578451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1578464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578483 */     // GIR_Coverage, 4430,
     /* 1578483 */     GIR_EraseRootFromParent_Done,
     /* 1578484 */   // Label 21837: @1578484
     /* 1578484 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1578566), // Rule ID 4439 //
     /* 1578489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578520 */     // MIs[0] passthru
     /* 1578520 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578533 */     // MIs[0] policy
     /* 1578533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578565 */     // GIR_Coverage, 4439,
     /* 1578565 */     GIR_EraseRootFromParent_Done,
     /* 1578566 */   // Label 21838: @1578566
     /* 1578566 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578648), // Rule ID 4440 //
     /* 1578571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578602 */     // MIs[0] passthru
     /* 1578602 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578615 */     // MIs[0] policy
     /* 1578615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578625 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578647 */     // GIR_Coverage, 4440,
     /* 1578647 */     GIR_EraseRootFromParent_Done,
     /* 1578648 */   // Label 21839: @1578648
     /* 1578648 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578730), // Rule ID 4449 //
     /* 1578653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578684 */     // MIs[0] passthru
     /* 1578684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578697 */     // MIs[0] policy
     /* 1578697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578729 */     // GIR_Coverage, 4449,
     /* 1578729 */     GIR_EraseRootFromParent_Done,
     /* 1578730 */   // Label 21840: @1578730
     /* 1578730 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578812), // Rule ID 4450 //
     /* 1578735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578766 */     // MIs[0] passthru
     /* 1578766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578779 */     // MIs[0] policy
     /* 1578779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578811 */     // GIR_Coverage, 4450,
     /* 1578811 */     GIR_EraseRootFromParent_Done,
     /* 1578812 */   // Label 21841: @1578812
     /* 1578812 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1578894), // Rule ID 4459 //
     /* 1578817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578848 */     // MIs[0] passthru
     /* 1578848 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578861 */     // MIs[0] policy
     /* 1578861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578893 */     // GIR_Coverage, 4459,
     /* 1578893 */     GIR_EraseRootFromParent_Done,
     /* 1578894 */   // Label 21842: @1578894
     /* 1578894 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1578976), // Rule ID 4460 //
     /* 1578899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578930 */     // MIs[0] passthru
     /* 1578930 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578943 */     // MIs[0] policy
     /* 1578943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578975 */     // GIR_Coverage, 4460,
     /* 1578975 */     GIR_EraseRootFromParent_Done,
     /* 1578976 */   // Label 21843: @1578976
     /* 1578976 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579058), // Rule ID 4469 //
     /* 1578981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1578998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579012 */     // MIs[0] passthru
     /* 1579012 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579025 */     // MIs[0] policy
     /* 1579025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579057 */     // GIR_Coverage, 4469,
     /* 1579057 */     GIR_EraseRootFromParent_Done,
     /* 1579058 */   // Label 21844: @1579058
     /* 1579058 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579140), // Rule ID 4470 //
     /* 1579063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579094 */     // MIs[0] passthru
     /* 1579094 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579107 */     // MIs[0] policy
     /* 1579107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1579120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579139 */     // GIR_Coverage, 4470,
     /* 1579139 */     GIR_EraseRootFromParent_Done,
     /* 1579140 */   // Label 21845: @1579140
     /* 1579140 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1579222), // Rule ID 4479 //
     /* 1579145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579176 */     // MIs[0] passthru
     /* 1579176 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579189 */     // MIs[0] policy
     /* 1579189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579221 */     // GIR_Coverage, 4479,
     /* 1579221 */     GIR_EraseRootFromParent_Done,
     /* 1579222 */   // Label 21846: @1579222
     /* 1579222 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1579304), // Rule ID 4480 //
     /* 1579227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1579244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579258 */     // MIs[0] passthru
     /* 1579258 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579271 */     // MIs[0] policy
     /* 1579271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1579284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579303 */     // GIR_Coverage, 4480,
     /* 1579303 */     GIR_EraseRootFromParent_Done,
     /* 1579304 */   // Label 21847: @1579304
     /* 1579304 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1579386), // Rule ID 4489 //
     /* 1579309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579340 */     // MIs[0] passthru
     /* 1579340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579353 */     // MIs[0] policy
     /* 1579353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579385 */     // GIR_Coverage, 4489,
     /* 1579385 */     GIR_EraseRootFromParent_Done,
     /* 1579386 */   // Label 21848: @1579386
     /* 1579386 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1579468), // Rule ID 4490 //
     /* 1579391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579422 */     // MIs[0] passthru
     /* 1579422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579435 */     // MIs[0] policy
     /* 1579435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1579448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579467 */     // GIR_Coverage, 4490,
     /* 1579467 */     GIR_EraseRootFromParent_Done,
     /* 1579468 */   // Label 21849: @1579468
     /* 1579468 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1579550), // Rule ID 4499 //
     /* 1579473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579504 */     // MIs[0] passthru
     /* 1579504 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579517 */     // MIs[0] policy
     /* 1579517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579549 */     // GIR_Coverage, 4499,
     /* 1579549 */     GIR_EraseRootFromParent_Done,
     /* 1579550 */   // Label 21850: @1579550
     /* 1579550 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579632), // Rule ID 4500 //
     /* 1579555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1579563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579586 */     // MIs[0] passthru
     /* 1579586 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579599 */     // MIs[0] policy
     /* 1579599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1579612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579631 */     // GIR_Coverage, 4500,
     /* 1579631 */     GIR_EraseRootFromParent_Done,
     /* 1579632 */   // Label 21851: @1579632
     /* 1579632 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579714), // Rule ID 4569 //
     /* 1579637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579668 */     // MIs[0] passthru
     /* 1579668 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579681 */     // MIs[0] policy
     /* 1579681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1579694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579713 */     // GIR_Coverage, 4569,
     /* 1579713 */     GIR_EraseRootFromParent_Done,
     /* 1579714 */   // Label 21852: @1579714
     /* 1579714 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579796), // Rule ID 4570 //
     /* 1579719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579750 */     // MIs[0] passthru
     /* 1579750 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579763 */     // MIs[0] policy
     /* 1579763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579773 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1579776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579795 */     // GIR_Coverage, 4570,
     /* 1579795 */     GIR_EraseRootFromParent_Done,
     /* 1579796 */   // Label 21853: @1579796
     /* 1579796 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579878), // Rule ID 4579 //
     /* 1579801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579832 */     // MIs[0] passthru
     /* 1579832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579845 */     // MIs[0] policy
     /* 1579845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579877 */     // GIR_Coverage, 4579,
     /* 1579877 */     GIR_EraseRootFromParent_Done,
     /* 1579878 */   // Label 21854: @1579878
     /* 1579878 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1579960), // Rule ID 4580 //
     /* 1579883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579914 */     // MIs[0] passthru
     /* 1579914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579927 */     // MIs[0] policy
     /* 1579927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579959 */     // GIR_Coverage, 4580,
     /* 1579959 */     GIR_EraseRootFromParent_Done,
     /* 1579960 */   // Label 21855: @1579960
     /* 1579960 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580042), // Rule ID 4589 //
     /* 1579965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579996 */     // MIs[0] passthru
     /* 1579996 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580009 */     // MIs[0] policy
     /* 1580009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580041 */     // GIR_Coverage, 4589,
     /* 1580041 */     GIR_EraseRootFromParent_Done,
     /* 1580042 */   // Label 21856: @1580042
     /* 1580042 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580124), // Rule ID 4590 //
     /* 1580047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580078 */     // MIs[0] passthru
     /* 1580078 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580091 */     // MIs[0] policy
     /* 1580091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580123 */     // GIR_Coverage, 4590,
     /* 1580123 */     GIR_EraseRootFromParent_Done,
     /* 1580124 */   // Label 21857: @1580124
     /* 1580124 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580206), // Rule ID 4599 //
     /* 1580129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580160 */     // MIs[0] passthru
     /* 1580160 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580173 */     // MIs[0] policy
     /* 1580173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580205 */     // GIR_Coverage, 4599,
     /* 1580205 */     GIR_EraseRootFromParent_Done,
     /* 1580206 */   // Label 21858: @1580206
     /* 1580206 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1580288), // Rule ID 4600 //
     /* 1580211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1580222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1580225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1580228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580242 */     // MIs[0] passthru
     /* 1580242 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580255 */     // MIs[0] policy
     /* 1580255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580287 */     // GIR_Coverage, 4600,
     /* 1580287 */     GIR_EraseRootFromParent_Done,
     /* 1580288 */   // Label 21859: @1580288
     /* 1580288 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1580370), // Rule ID 4609 //
     /* 1580293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580324 */     // MIs[0] passthru
     /* 1580324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580337 */     // MIs[0] policy
     /* 1580337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580369 */     // GIR_Coverage, 4609,
     /* 1580369 */     GIR_EraseRootFromParent_Done,
     /* 1580370 */   // Label 21860: @1580370
     /* 1580370 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1580452), // Rule ID 4610 //
     /* 1580375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580406 */     // MIs[0] passthru
     /* 1580406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580419 */     // MIs[0] policy
     /* 1580419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580451 */     // GIR_Coverage, 4610,
     /* 1580451 */     GIR_EraseRootFromParent_Done,
     /* 1580452 */   // Label 21861: @1580452
     /* 1580452 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1580534), // Rule ID 4619 //
     /* 1580457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580488 */     // MIs[0] passthru
     /* 1580488 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580501 */     // MIs[0] policy
     /* 1580501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580511 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580533 */     // GIR_Coverage, 4619,
     /* 1580533 */     GIR_EraseRootFromParent_Done,
     /* 1580534 */   // Label 21862: @1580534
     /* 1580534 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580616), // Rule ID 4620 //
     /* 1580539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580570 */     // MIs[0] passthru
     /* 1580570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580583 */     // MIs[0] policy
     /* 1580583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580615 */     // GIR_Coverage, 4620,
     /* 1580615 */     GIR_EraseRootFromParent_Done,
     /* 1580616 */   // Label 21863: @1580616
     /* 1580616 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580698), // Rule ID 4629 //
     /* 1580621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580652 */     // MIs[0] passthru
     /* 1580652 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580665 */     // MIs[0] policy
     /* 1580665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580697 */     // GIR_Coverage, 4629,
     /* 1580697 */     GIR_EraseRootFromParent_Done,
     /* 1580698 */   // Label 21864: @1580698
     /* 1580698 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580780), // Rule ID 4630 //
     /* 1580703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580734 */     // MIs[0] passthru
     /* 1580734 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580747 */     // MIs[0] policy
     /* 1580747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1580760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580779 */     // GIR_Coverage, 4630,
     /* 1580779 */     GIR_EraseRootFromParent_Done,
     /* 1580780 */   // Label 21865: @1580780
     /* 1580780 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580862), // Rule ID 4639 //
     /* 1580785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580816 */     // MIs[0] passthru
     /* 1580816 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580829 */     // MIs[0] policy
     /* 1580829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580861 */     // GIR_Coverage, 4639,
     /* 1580861 */     GIR_EraseRootFromParent_Done,
     /* 1580862 */   // Label 21866: @1580862
     /* 1580862 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1580944), // Rule ID 4640 //
     /* 1580867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580898 */     // MIs[0] passthru
     /* 1580898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580911 */     // MIs[0] policy
     /* 1580911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580943 */     // GIR_Coverage, 4640,
     /* 1580943 */     GIR_EraseRootFromParent_Done,
     /* 1580944 */   // Label 21867: @1580944
     /* 1580944 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581026), // Rule ID 4649 //
     /* 1580949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580980 */     // MIs[0] passthru
     /* 1580980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580993 */     // MIs[0] policy
     /* 1580993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581025 */     // GIR_Coverage, 4649,
     /* 1581025 */     GIR_EraseRootFromParent_Done,
     /* 1581026 */   // Label 21868: @1581026
     /* 1581026 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581108), // Rule ID 4650 //
     /* 1581031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581062 */     // MIs[0] passthru
     /* 1581062 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581075 */     // MIs[0] policy
     /* 1581075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581107 */     // GIR_Coverage, 4650,
     /* 1581107 */     GIR_EraseRootFromParent_Done,
     /* 1581108 */   // Label 21869: @1581108
     /* 1581108 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1581190), // Rule ID 4659 //
     /* 1581113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581144 */     // MIs[0] passthru
     /* 1581144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581157 */     // MIs[0] policy
     /* 1581157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581189 */     // GIR_Coverage, 4659,
     /* 1581189 */     GIR_EraseRootFromParent_Done,
     /* 1581190 */   // Label 21870: @1581190
     /* 1581190 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1581272), // Rule ID 4660 //
     /* 1581195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581226 */     // MIs[0] passthru
     /* 1581226 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581239 */     // MIs[0] policy
     /* 1581239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581271 */     // GIR_Coverage, 4660,
     /* 1581271 */     GIR_EraseRootFromParent_Done,
     /* 1581272 */   // Label 21871: @1581272
     /* 1581272 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1581354), // Rule ID 4669 //
     /* 1581277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581308 */     // MIs[0] passthru
     /* 1581308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581321 */     // MIs[0] policy
     /* 1581321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581353 */     // GIR_Coverage, 4669,
     /* 1581353 */     GIR_EraseRootFromParent_Done,
     /* 1581354 */   // Label 21872: @1581354
     /* 1581354 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1581436), // Rule ID 4670 //
     /* 1581359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581390 */     // MIs[0] passthru
     /* 1581390 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581403 */     // MIs[0] policy
     /* 1581403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581413 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581435 */     // GIR_Coverage, 4670,
     /* 1581435 */     GIR_EraseRootFromParent_Done,
     /* 1581436 */   // Label 21873: @1581436
     /* 1581436 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1581518), // Rule ID 4679 //
     /* 1581441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581472 */     // MIs[0] passthru
     /* 1581472 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581485 */     // MIs[0] policy
     /* 1581485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581517 */     // GIR_Coverage, 4679,
     /* 1581517 */     GIR_EraseRootFromParent_Done,
     /* 1581518 */   // Label 21874: @1581518
     /* 1581518 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581600), // Rule ID 4680 //
     /* 1581523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581554 */     // MIs[0] passthru
     /* 1581554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581567 */     // MIs[0] policy
     /* 1581567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1581580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581599 */     // GIR_Coverage, 4680,
     /* 1581599 */     GIR_EraseRootFromParent_Done,
     /* 1581600 */   // Label 21875: @1581600
     /* 1581600 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581682), // Rule ID 4689 //
     /* 1581605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581636 */     // MIs[0] passthru
     /* 1581636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581649 */     // MIs[0] policy
     /* 1581649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581681 */     // GIR_Coverage, 4689,
     /* 1581681 */     GIR_EraseRootFromParent_Done,
     /* 1581682 */   // Label 21876: @1581682
     /* 1581682 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581764), // Rule ID 4690 //
     /* 1581687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581718 */     // MIs[0] passthru
     /* 1581718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581731 */     // MIs[0] policy
     /* 1581731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1581744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581763 */     // GIR_Coverage, 4690,
     /* 1581763 */     GIR_EraseRootFromParent_Done,
     /* 1581764 */   // Label 21877: @1581764
     /* 1581764 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581846), // Rule ID 4699 //
     /* 1581769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581800 */     // MIs[0] passthru
     /* 1581800 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581813 */     // MIs[0] policy
     /* 1581813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581845 */     // GIR_Coverage, 4699,
     /* 1581845 */     GIR_EraseRootFromParent_Done,
     /* 1581846 */   // Label 21878: @1581846
     /* 1581846 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1581928), // Rule ID 4700 //
     /* 1581851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581882 */     // MIs[0] passthru
     /* 1581882 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581895 */     // MIs[0] policy
     /* 1581895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1581908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581927 */     // GIR_Coverage, 4700,
     /* 1581927 */     GIR_EraseRootFromParent_Done,
     /* 1581928 */   // Label 21879: @1581928
     /* 1581928 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582010), // Rule ID 4709 //
     /* 1581933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1581941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581964 */     // MIs[0] passthru
     /* 1581964 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581977 */     // MIs[0] policy
     /* 1581977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1581990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582009 */     // GIR_Coverage, 4709,
     /* 1582009 */     GIR_EraseRootFromParent_Done,
     /* 1582010 */   // Label 21880: @1582010
     /* 1582010 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582092), // Rule ID 4710 //
     /* 1582015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1582018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1582023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1582032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582046 */     // MIs[0] passthru
     /* 1582046 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582059 */     // MIs[0] policy
     /* 1582059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1582072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582091 */     // GIR_Coverage, 4710,
     /* 1582091 */     GIR_EraseRootFromParent_Done,
     /* 1582092 */   // Label 21881: @1582092
     /* 1582092 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1582178), // Rule ID 2605 //
     /* 1582097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582143 */     // MIs[0] policy
     /* 1582143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582153 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582177 */     // GIR_Coverage, 2605,
     /* 1582177 */     GIR_EraseRootFromParent_Done,
     /* 1582178 */   // Label 21882: @1582178
     /* 1582178 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1582264), // Rule ID 2606 //
     /* 1582183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582229 */     // MIs[0] policy
     /* 1582229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582239 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1582242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582263 */     // GIR_Coverage, 2606,
     /* 1582263 */     GIR_EraseRootFromParent_Done,
     /* 1582264 */   // Label 21883: @1582264
     /* 1582264 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1582350), // Rule ID 2643 //
     /* 1582269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582315 */     // MIs[0] policy
     /* 1582315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582349 */     // GIR_Coverage, 2643,
     /* 1582349 */     GIR_EraseRootFromParent_Done,
     /* 1582350 */   // Label 21884: @1582350
     /* 1582350 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1582436), // Rule ID 2644 //
     /* 1582355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1582363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582401 */     // MIs[0] policy
     /* 1582401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582411 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1582414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582435 */     // GIR_Coverage, 2644,
     /* 1582435 */     GIR_EraseRootFromParent_Done,
     /* 1582436 */   // Label 21885: @1582436
     /* 1582436 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1582522), // Rule ID 2657 //
     /* 1582441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582487 */     // MIs[0] policy
     /* 1582487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582521 */     // GIR_Coverage, 2657,
     /* 1582521 */     GIR_EraseRootFromParent_Done,
     /* 1582522 */   // Label 21886: @1582522
     /* 1582522 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582608), // Rule ID 2658 //
     /* 1582527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1582535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582573 */     // MIs[0] policy
     /* 1582573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1582586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1582590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582607 */     // GIR_Coverage, 2658,
     /* 1582607 */     GIR_EraseRootFromParent_Done,
     /* 1582608 */   // Label 21887: @1582608
     /* 1582608 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582694), // Rule ID 2677 //
     /* 1582613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582659 */     // MIs[0] policy
     /* 1582659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582669 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1582672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582693 */     // GIR_Coverage, 2677,
     /* 1582693 */     GIR_EraseRootFromParent_Done,
     /* 1582694 */   // Label 21888: @1582694
     /* 1582694 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582780), // Rule ID 2678 //
     /* 1582699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1582719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582745 */     // MIs[0] policy
     /* 1582745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1582758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582779 */     // GIR_Coverage, 2678,
     /* 1582779 */     GIR_EraseRootFromParent_Done,
     /* 1582780 */   // Label 21889: @1582780
     /* 1582780 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582866), // Rule ID 2685 //
     /* 1582785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582831 */     // MIs[0] policy
     /* 1582831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582841 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1582844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582865 */     // GIR_Coverage, 2685,
     /* 1582865 */     GIR_EraseRootFromParent_Done,
     /* 1582866 */   // Label 21890: @1582866
     /* 1582866 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1582952), // Rule ID 2686 //
     /* 1582871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582917 */     // MIs[0] policy
     /* 1582917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1582930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582951 */     // GIR_Coverage, 2686,
     /* 1582951 */     GIR_EraseRootFromParent_Done,
     /* 1582952 */   // Label 21891: @1582952
     /* 1582952 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583038), // Rule ID 2693 //
     /* 1582957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1582968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1582971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1582974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1582977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583003 */     // MIs[0] policy
     /* 1583003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583013 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583037 */     // GIR_Coverage, 2693,
     /* 1583037 */     GIR_EraseRootFromParent_Done,
     /* 1583038 */   // Label 21892: @1583038
     /* 1583038 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583124), // Rule ID 2694 //
     /* 1583043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583089 */     // MIs[0] policy
     /* 1583089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583123 */     // GIR_Coverage, 2694,
     /* 1583123 */     GIR_EraseRootFromParent_Done,
     /* 1583124 */   // Label 21893: @1583124
     /* 1583124 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1583210), // Rule ID 2701 //
     /* 1583129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583175 */     // MIs[0] policy
     /* 1583175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583185 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583209 */     // GIR_Coverage, 2701,
     /* 1583209 */     GIR_EraseRootFromParent_Done,
     /* 1583210 */   // Label 21894: @1583210
     /* 1583210 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1583296), // Rule ID 2702 //
     /* 1583215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1583235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583261 */     // MIs[0] policy
     /* 1583261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1583274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583295 */     // GIR_Coverage, 2702,
     /* 1583295 */     GIR_EraseRootFromParent_Done,
     /* 1583296 */   // Label 21895: @1583296
     /* 1583296 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1583382), // Rule ID 2709 //
     /* 1583301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583347 */     // MIs[0] policy
     /* 1583347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583357 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583381 */     // GIR_Coverage, 2709,
     /* 1583381 */     GIR_EraseRootFromParent_Done,
     /* 1583382 */   // Label 21896: @1583382
     /* 1583382 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1583468), // Rule ID 2710 //
     /* 1583387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583433 */     // MIs[0] policy
     /* 1583433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583467 */     // GIR_Coverage, 2710,
     /* 1583467 */     GIR_EraseRootFromParent_Done,
     /* 1583468 */   // Label 21897: @1583468
     /* 1583468 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1583554), // Rule ID 2717 //
     /* 1583473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583519 */     // MIs[0] policy
     /* 1583519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583553 */     // GIR_Coverage, 2717,
     /* 1583553 */     GIR_EraseRootFromParent_Done,
     /* 1583554 */   // Label 21898: @1583554
     /* 1583554 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1583640), // Rule ID 2718 //
     /* 1583559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583605 */     // MIs[0] policy
     /* 1583605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1583618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583639 */     // GIR_Coverage, 2718,
     /* 1583639 */     GIR_EraseRootFromParent_Done,
     /* 1583640 */   // Label 21899: @1583640
     /* 1583640 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1583726), // Rule ID 2725 //
     /* 1583645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1583665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583691 */     // MIs[0] policy
     /* 1583691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583701 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583725 */     // GIR_Coverage, 2725,
     /* 1583725 */     GIR_EraseRootFromParent_Done,
     /* 1583726 */   // Label 21900: @1583726
     /* 1583726 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1583812), // Rule ID 2726 //
     /* 1583731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1583751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583777 */     // MIs[0] policy
     /* 1583777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583811 */     // GIR_Coverage, 2726,
     /* 1583811 */     GIR_EraseRootFromParent_Done,
     /* 1583812 */   // Label 21901: @1583812
     /* 1583812 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583898), // Rule ID 2733 //
     /* 1583817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583863 */     // MIs[0] policy
     /* 1583863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583897 */     // GIR_Coverage, 2733,
     /* 1583897 */     GIR_EraseRootFromParent_Done,
     /* 1583898 */   // Label 21902: @1583898
     /* 1583898 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1583984), // Rule ID 2734 //
     /* 1583903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583949 */     // MIs[0] policy
     /* 1583949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583983 */     // GIR_Coverage, 2734,
     /* 1583983 */     GIR_EraseRootFromParent_Done,
     /* 1583984 */   // Label 21903: @1583984
     /* 1583984 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584070), // Rule ID 2741 //
     /* 1583989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584035 */     // MIs[0] policy
     /* 1584035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584069 */     // GIR_Coverage, 2741,
     /* 1584069 */     GIR_EraseRootFromParent_Done,
     /* 1584070 */   // Label 21904: @1584070
     /* 1584070 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1584156), // Rule ID 2742 //
     /* 1584075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1584095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584121 */     // MIs[0] policy
     /* 1584121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584155 */     // GIR_Coverage, 2742,
     /* 1584155 */     GIR_EraseRootFromParent_Done,
     /* 1584156 */   // Label 21905: @1584156
     /* 1584156 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1584242), // Rule ID 2749 //
     /* 1584161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584207 */     // MIs[0] policy
     /* 1584207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584241 */     // GIR_Coverage, 2749,
     /* 1584241 */     GIR_EraseRootFromParent_Done,
     /* 1584242 */   // Label 21906: @1584242
     /* 1584242 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1584328), // Rule ID 2750 //
     /* 1584247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1584267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584293 */     // MIs[0] policy
     /* 1584293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1584306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584327 */     // GIR_Coverage, 2750,
     /* 1584327 */     GIR_EraseRootFromParent_Done,
     /* 1584328 */   // Label 21907: @1584328
     /* 1584328 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1584414), // Rule ID 2757 //
     /* 1584333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584379 */     // MIs[0] policy
     /* 1584379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584413 */     // GIR_Coverage, 2757,
     /* 1584413 */     GIR_EraseRootFromParent_Done,
     /* 1584414 */   // Label 21908: @1584414
     /* 1584414 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1584500), // Rule ID 2758 //
     /* 1584419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584465 */     // MIs[0] policy
     /* 1584465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584499 */     // GIR_Coverage, 2758,
     /* 1584499 */     GIR_EraseRootFromParent_Done,
     /* 1584500 */   // Label 21909: @1584500
     /* 1584500 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1584586), // Rule ID 2765 //
     /* 1584505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584551 */     // MIs[0] policy
     /* 1584551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584585 */     // GIR_Coverage, 2765,
     /* 1584585 */     GIR_EraseRootFromParent_Done,
     /* 1584586 */   // Label 21910: @1584586
     /* 1584586 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1584672), // Rule ID 2766 //
     /* 1584591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584637 */     // MIs[0] policy
     /* 1584637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584671 */     // GIR_Coverage, 2766,
     /* 1584671 */     GIR_EraseRootFromParent_Done,
     /* 1584672 */   // Label 21911: @1584672
     /* 1584672 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1584758), // Rule ID 2773 //
     /* 1584677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1584697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584723 */     // MIs[0] policy
     /* 1584723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584733 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584757 */     // GIR_Coverage, 2773,
     /* 1584757 */     GIR_EraseRootFromParent_Done,
     /* 1584758 */   // Label 21912: @1584758
     /* 1584758 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1584844), // Rule ID 2774 //
     /* 1584763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1584783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584809 */     // MIs[0] policy
     /* 1584809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584843 */     // GIR_Coverage, 2774,
     /* 1584843 */     GIR_EraseRootFromParent_Done,
     /* 1584844 */   // Label 21913: @1584844
     /* 1584844 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1584930), // Rule ID 2781 //
     /* 1584849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1584869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584895 */     // MIs[0] policy
     /* 1584895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584929 */     // GIR_Coverage, 2781,
     /* 1584929 */     GIR_EraseRootFromParent_Done,
     /* 1584930 */   // Label 21914: @1584930
     /* 1584930 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585016), // Rule ID 2782 //
     /* 1584935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1584955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584981 */     // MIs[0] policy
     /* 1584981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585015 */     // GIR_Coverage, 2782,
     /* 1585015 */     GIR_EraseRootFromParent_Done,
     /* 1585016 */   // Label 21915: @1585016
     /* 1585016 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585102), // Rule ID 2789 //
     /* 1585021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585067 */     // MIs[0] policy
     /* 1585067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585101 */     // GIR_Coverage, 2789,
     /* 1585101 */     GIR_EraseRootFromParent_Done,
     /* 1585102 */   // Label 21916: @1585102
     /* 1585102 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1585188), // Rule ID 2790 //
     /* 1585107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585153 */     // MIs[0] policy
     /* 1585153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585187 */     // GIR_Coverage, 2790,
     /* 1585187 */     GIR_EraseRootFromParent_Done,
     /* 1585188 */   // Label 21917: @1585188
     /* 1585188 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1585274), // Rule ID 2797 //
     /* 1585193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585239 */     // MIs[0] policy
     /* 1585239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585273 */     // GIR_Coverage, 2797,
     /* 1585273 */     GIR_EraseRootFromParent_Done,
     /* 1585274 */   // Label 21918: @1585274
     /* 1585274 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1585360), // Rule ID 2798 //
     /* 1585279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1585299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585325 */     // MIs[0] policy
     /* 1585325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585359 */     // GIR_Coverage, 2798,
     /* 1585359 */     GIR_EraseRootFromParent_Done,
     /* 1585360 */   // Label 21919: @1585360
     /* 1585360 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1585446), // Rule ID 2805 //
     /* 1585365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585411 */     // MIs[0] policy
     /* 1585411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585421 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585445 */     // GIR_Coverage, 2805,
     /* 1585445 */     GIR_EraseRootFromParent_Done,
     /* 1585446 */   // Label 21920: @1585446
     /* 1585446 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1585532), // Rule ID 2806 //
     /* 1585451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585497 */     // MIs[0] policy
     /* 1585497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585531 */     // GIR_Coverage, 2806,
     /* 1585531 */     GIR_EraseRootFromParent_Done,
     /* 1585532 */   // Label 21921: @1585532
     /* 1585532 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1585618), // Rule ID 2813 //
     /* 1585537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585583 */     // MIs[0] policy
     /* 1585583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585617 */     // GIR_Coverage, 2813,
     /* 1585617 */     GIR_EraseRootFromParent_Done,
     /* 1585618 */   // Label 21922: @1585618
     /* 1585618 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1585704), // Rule ID 2814 //
     /* 1585623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585669 */     // MIs[0] policy
     /* 1585669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585703 */     // GIR_Coverage, 2814,
     /* 1585703 */     GIR_EraseRootFromParent_Done,
     /* 1585704 */   // Label 21923: @1585704
     /* 1585704 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1585790), // Rule ID 2821 //
     /* 1585709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1585729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585755 */     // MIs[0] policy
     /* 1585755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585789 */     // GIR_Coverage, 2821,
     /* 1585789 */     GIR_EraseRootFromParent_Done,
     /* 1585790 */   // Label 21924: @1585790
     /* 1585790 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1585876), // Rule ID 2822 //
     /* 1585795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1585815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585841 */     // MIs[0] policy
     /* 1585841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585875 */     // GIR_Coverage, 2822,
     /* 1585875 */     GIR_EraseRootFromParent_Done,
     /* 1585876 */   // Label 21925: @1585876
     /* 1585876 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1585962), // Rule ID 2829 //
     /* 1585881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1585901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585927 */     // MIs[0] policy
     /* 1585927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1585940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585961 */     // GIR_Coverage, 2829,
     /* 1585961 */     GIR_EraseRootFromParent_Done,
     /* 1585962 */   // Label 21926: @1585962
     /* 1585962 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586048), // Rule ID 2830 //
     /* 1585967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1585987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586013 */     // MIs[0] policy
     /* 1586013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1586026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586047 */     // GIR_Coverage, 2830,
     /* 1586047 */     GIR_EraseRootFromParent_Done,
     /* 1586048 */   // Label 21927: @1586048
     /* 1586048 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1586134), // Rule ID 2837 //
     /* 1586053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586099 */     // MIs[0] policy
     /* 1586099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586133 */     // GIR_Coverage, 2837,
     /* 1586133 */     GIR_EraseRootFromParent_Done,
     /* 1586134 */   // Label 21928: @1586134
     /* 1586134 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1586220), // Rule ID 2838 //
     /* 1586139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1586159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586185 */     // MIs[0] policy
     /* 1586185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1586198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586219 */     // GIR_Coverage, 2838,
     /* 1586219 */     GIR_EraseRootFromParent_Done,
     /* 1586220 */   // Label 21929: @1586220
     /* 1586220 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1586306), // Rule ID 2845 //
     /* 1586225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586271 */     // MIs[0] policy
     /* 1586271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586281 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586305 */     // GIR_Coverage, 2845,
     /* 1586305 */     GIR_EraseRootFromParent_Done,
     /* 1586306 */   // Label 21930: @1586306
     /* 1586306 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1586392), // Rule ID 2846 //
     /* 1586311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1586319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1586331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586357 */     // MIs[0] policy
     /* 1586357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1586370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1586376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1586378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586391 */     // GIR_Coverage, 2846,
     /* 1586391 */     GIR_EraseRootFromParent_Done,
     /* 1586392 */   // Label 21931: @1586392
     /* 1586392 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1586478), // Rule ID 2853 //
     /* 1586397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586443 */     // MIs[0] policy
     /* 1586443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586477 */     // GIR_Coverage, 2853,
     /* 1586477 */     GIR_EraseRootFromParent_Done,
     /* 1586478 */   // Label 21932: @1586478
     /* 1586478 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1586564), // Rule ID 2854 //
     /* 1586483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586529 */     // MIs[0] policy
     /* 1586529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586563 */     // GIR_Coverage, 2854,
     /* 1586563 */     GIR_EraseRootFromParent_Done,
     /* 1586564 */   // Label 21933: @1586564
     /* 1586564 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1586650), // Rule ID 2857 //
     /* 1586569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586615 */     // MIs[0] policy
     /* 1586615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586625 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586649 */     // GIR_Coverage, 2857,
     /* 1586649 */     GIR_EraseRootFromParent_Done,
     /* 1586650 */   // Label 21934: @1586650
     /* 1586650 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1586736), // Rule ID 2858 //
     /* 1586655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586701 */     // MIs[0] policy
     /* 1586701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586735 */     // GIR_Coverage, 2858,
     /* 1586735 */     GIR_EraseRootFromParent_Done,
     /* 1586736 */   // Label 21935: @1586736
     /* 1586736 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1586822), // Rule ID 2861 //
     /* 1586741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586787 */     // MIs[0] policy
     /* 1586787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586821 */     // GIR_Coverage, 2861,
     /* 1586821 */     GIR_EraseRootFromParent_Done,
     /* 1586822 */   // Label 21936: @1586822
     /* 1586822 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1586908), // Rule ID 2862 //
     /* 1586827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586873 */     // MIs[0] policy
     /* 1586873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586883 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1586886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586907 */     // GIR_Coverage, 2862,
     /* 1586907 */     GIR_EraseRootFromParent_Done,
     /* 1586908 */   // Label 21937: @1586908
     /* 1586908 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1586994), // Rule ID 2865 //
     /* 1586913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1586930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1586933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586959 */     // MIs[0] policy
     /* 1586959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586993 */     // GIR_Coverage, 2865,
     /* 1586993 */     GIR_EraseRootFromParent_Done,
     /* 1586994 */   // Label 21938: @1586994
     /* 1586994 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587080), // Rule ID 2866 //
     /* 1586999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587045 */     // MIs[0] policy
     /* 1587045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587079 */     // GIR_Coverage, 2866,
     /* 1587079 */     GIR_EraseRootFromParent_Done,
     /* 1587080 */   // Label 21939: @1587080
     /* 1587080 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1587166), // Rule ID 2869 //
     /* 1587085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587131 */     // MIs[0] policy
     /* 1587131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587165 */     // GIR_Coverage, 2869,
     /* 1587165 */     GIR_EraseRootFromParent_Done,
     /* 1587166 */   // Label 21940: @1587166
     /* 1587166 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1587252), // Rule ID 2870 //
     /* 1587171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587217 */     // MIs[0] policy
     /* 1587217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1587230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587251 */     // GIR_Coverage, 2870,
     /* 1587251 */     GIR_EraseRootFromParent_Done,
     /* 1587252 */   // Label 21941: @1587252
     /* 1587252 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1587338), // Rule ID 2873 //
     /* 1587257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587303 */     // MIs[0] policy
     /* 1587303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587313 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587337 */     // GIR_Coverage, 2873,
     /* 1587337 */     GIR_EraseRootFromParent_Done,
     /* 1587338 */   // Label 21942: @1587338
     /* 1587338 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1587424), // Rule ID 2874 //
     /* 1587343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587389 */     // MIs[0] policy
     /* 1587389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587399 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587423 */     // GIR_Coverage, 2874,
     /* 1587423 */     GIR_EraseRootFromParent_Done,
     /* 1587424 */   // Label 21943: @1587424
     /* 1587424 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1587510), // Rule ID 2877 //
     /* 1587429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587475 */     // MIs[0] policy
     /* 1587475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587509 */     // GIR_Coverage, 2877,
     /* 1587509 */     GIR_EraseRootFromParent_Done,
     /* 1587510 */   // Label 21944: @1587510
     /* 1587510 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1587596), // Rule ID 2878 //
     /* 1587515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587561 */     // MIs[0] policy
     /* 1587561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587595 */     // GIR_Coverage, 2878,
     /* 1587595 */     GIR_EraseRootFromParent_Done,
     /* 1587596 */   // Label 21945: @1587596
     /* 1587596 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1587682), // Rule ID 2881 //
     /* 1587601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587647 */     // MIs[0] policy
     /* 1587647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587681 */     // GIR_Coverage, 2881,
     /* 1587681 */     GIR_EraseRootFromParent_Done,
     /* 1587682 */   // Label 21946: @1587682
     /* 1587682 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1587768), // Rule ID 2882 //
     /* 1587687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587733 */     // MIs[0] policy
     /* 1587733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587767 */     // GIR_Coverage, 2882,
     /* 1587767 */     GIR_EraseRootFromParent_Done,
     /* 1587768 */   // Label 21947: @1587768
     /* 1587768 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1587854), // Rule ID 2885 //
     /* 1587773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1587790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1587793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587819 */     // MIs[0] policy
     /* 1587819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587853 */     // GIR_Coverage, 2885,
     /* 1587853 */     GIR_EraseRootFromParent_Done,
     /* 1587854 */   // Label 21948: @1587854
     /* 1587854 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1587940), // Rule ID 2886 //
     /* 1587859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1587862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1587876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1587879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587905 */     // MIs[0] policy
     /* 1587905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1587918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587939 */     // GIR_Coverage, 2886,
     /* 1587939 */     GIR_EraseRootFromParent_Done,
     /* 1587940 */   // Label 21949: @1587940
     /* 1587940 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588026), // Rule ID 2889 //
     /* 1587945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1587956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1587959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1587962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1587965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587991 */     // MIs[0] policy
     /* 1587991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588025 */     // GIR_Coverage, 2889,
     /* 1588025 */     GIR_EraseRootFromParent_Done,
     /* 1588026 */   // Label 21950: @1588026
     /* 1588026 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588112), // Rule ID 2890 //
     /* 1588031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588077 */     // MIs[0] policy
     /* 1588077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588111 */     // GIR_Coverage, 2890,
     /* 1588111 */     GIR_EraseRootFromParent_Done,
     /* 1588112 */   // Label 21951: @1588112
     /* 1588112 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1588198), // Rule ID 2893 //
     /* 1588117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588163 */     // MIs[0] policy
     /* 1588163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588173 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588197 */     // GIR_Coverage, 2893,
     /* 1588197 */     GIR_EraseRootFromParent_Done,
     /* 1588198 */   // Label 21952: @1588198
     /* 1588198 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1588284), // Rule ID 2894 //
     /* 1588203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588249 */     // MIs[0] policy
     /* 1588249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588283 */     // GIR_Coverage, 2894,
     /* 1588283 */     GIR_EraseRootFromParent_Done,
     /* 1588284 */   // Label 21953: @1588284
     /* 1588284 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1588370), // Rule ID 2897 //
     /* 1588289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588335 */     // MIs[0] policy
     /* 1588335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588345 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588369 */     // GIR_Coverage, 2897,
     /* 1588369 */     GIR_EraseRootFromParent_Done,
     /* 1588370 */   // Label 21954: @1588370
     /* 1588370 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1588456), // Rule ID 2898 //
     /* 1588375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588421 */     // MIs[0] policy
     /* 1588421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588431 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588455 */     // GIR_Coverage, 2898,
     /* 1588455 */     GIR_EraseRootFromParent_Done,
     /* 1588456 */   // Label 21955: @1588456
     /* 1588456 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1588542), // Rule ID 2901 //
     /* 1588461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588507 */     // MIs[0] policy
     /* 1588507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588541 */     // GIR_Coverage, 2901,
     /* 1588541 */     GIR_EraseRootFromParent_Done,
     /* 1588542 */   // Label 21956: @1588542
     /* 1588542 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1588628), // Rule ID 2902 //
     /* 1588547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588593 */     // MIs[0] policy
     /* 1588593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588627 */     // GIR_Coverage, 2902,
     /* 1588627 */     GIR_EraseRootFromParent_Done,
     /* 1588628 */   // Label 21957: @1588628
     /* 1588628 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1588714), // Rule ID 2905 //
     /* 1588633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588679 */     // MIs[0] policy
     /* 1588679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588689 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588713 */     // GIR_Coverage, 2905,
     /* 1588713 */     GIR_EraseRootFromParent_Done,
     /* 1588714 */   // Label 21958: @1588714
     /* 1588714 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1588800), // Rule ID 2906 //
     /* 1588719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588765 */     // MIs[0] policy
     /* 1588765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588775 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588799 */     // GIR_Coverage, 2906,
     /* 1588799 */     GIR_EraseRootFromParent_Done,
     /* 1588800 */   // Label 21959: @1588800
     /* 1588800 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1588886), // Rule ID 2909 //
     /* 1588805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1588816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1588819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1588822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1588825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588851 */     // MIs[0] policy
     /* 1588851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588885 */     // GIR_Coverage, 2909,
     /* 1588885 */     GIR_EraseRootFromParent_Done,
     /* 1588886 */   // Label 21960: @1588886
     /* 1588886 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1588972), // Rule ID 2910 //
     /* 1588891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1588902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1588905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1588908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1588911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588937 */     // MIs[0] policy
     /* 1588937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588971 */     // GIR_Coverage, 2910,
     /* 1588971 */     GIR_EraseRootFromParent_Done,
     /* 1588972 */   // Label 21961: @1588972
     /* 1588972 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589058), // Rule ID 2913 //
     /* 1588977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1588988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1588991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1588994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589023 */     // MIs[0] policy
     /* 1589023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589057 */     // GIR_Coverage, 2913,
     /* 1589057 */     GIR_EraseRootFromParent_Done,
     /* 1589058 */   // Label 21962: @1589058
     /* 1589058 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1589144), // Rule ID 2914 //
     /* 1589063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589109 */     // MIs[0] policy
     /* 1589109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589143 */     // GIR_Coverage, 2914,
     /* 1589143 */     GIR_EraseRootFromParent_Done,
     /* 1589144 */   // Label 21963: @1589144
     /* 1589144 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1589230), // Rule ID 2917 //
     /* 1589149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589195 */     // MIs[0] policy
     /* 1589195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589229 */     // GIR_Coverage, 2917,
     /* 1589229 */     GIR_EraseRootFromParent_Done,
     /* 1589230 */   // Label 21964: @1589230
     /* 1589230 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1589316), // Rule ID 2918 //
     /* 1589235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589281 */     // MIs[0] policy
     /* 1589281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589315 */     // GIR_Coverage, 2918,
     /* 1589315 */     GIR_EraseRootFromParent_Done,
     /* 1589316 */   // Label 21965: @1589316
     /* 1589316 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1589402), // Rule ID 2921 //
     /* 1589321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589367 */     // MIs[0] policy
     /* 1589367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589401 */     // GIR_Coverage, 2921,
     /* 1589401 */     GIR_EraseRootFromParent_Done,
     /* 1589402 */   // Label 21966: @1589402
     /* 1589402 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1589488), // Rule ID 2922 //
     /* 1589407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589453 */     // MIs[0] policy
     /* 1589453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589487 */     // GIR_Coverage, 2922,
     /* 1589487 */     GIR_EraseRootFromParent_Done,
     /* 1589488 */   // Label 21967: @1589488
     /* 1589488 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1589574), // Rule ID 2925 //
     /* 1589493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589539 */     // MIs[0] policy
     /* 1589539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589573 */     // GIR_Coverage, 2925,
     /* 1589573 */     GIR_EraseRootFromParent_Done,
     /* 1589574 */   // Label 21968: @1589574
     /* 1589574 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1589660), // Rule ID 2926 //
     /* 1589579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589625 */     // MIs[0] policy
     /* 1589625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1589638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589659 */     // GIR_Coverage, 2926,
     /* 1589659 */     GIR_EraseRootFromParent_Done,
     /* 1589660 */   // Label 21969: @1589660
     /* 1589660 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1589746), // Rule ID 2929 //
     /* 1589665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589711 */     // MIs[0] policy
     /* 1589711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589745 */     // GIR_Coverage, 2929,
     /* 1589745 */     GIR_EraseRootFromParent_Done,
     /* 1589746 */   // Label 21970: @1589746
     /* 1589746 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1589832), // Rule ID 2930 //
     /* 1589751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589797 */     // MIs[0] policy
     /* 1589797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1589810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589831 */     // GIR_Coverage, 2930,
     /* 1589831 */     GIR_EraseRootFromParent_Done,
     /* 1589832 */   // Label 21971: @1589832
     /* 1589832 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1589918), // Rule ID 2933 //
     /* 1589837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1589854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1589857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589883 */     // MIs[0] policy
     /* 1589883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589893 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589917 */     // GIR_Coverage, 2933,
     /* 1589917 */     GIR_EraseRootFromParent_Done,
     /* 1589918 */   // Label 21972: @1589918
     /* 1589918 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590004), // Rule ID 2934 //
     /* 1589923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1589934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1589937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1589940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1589943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589969 */     // MIs[0] policy
     /* 1589969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1589982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590003 */     // GIR_Coverage, 2934,
     /* 1590003 */     GIR_EraseRootFromParent_Done,
     /* 1590004 */   // Label 21973: @1590004
     /* 1590004 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590090), // Rule ID 2937 //
     /* 1590009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590055 */     // MIs[0] policy
     /* 1590055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590089 */     // GIR_Coverage, 2937,
     /* 1590089 */     GIR_EraseRootFromParent_Done,
     /* 1590090 */   // Label 21974: @1590090
     /* 1590090 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1590176), // Rule ID 2938 //
     /* 1590095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590141 */     // MIs[0] policy
     /* 1590141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1590154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590175 */     // GIR_Coverage, 2938,
     /* 1590175 */     GIR_EraseRootFromParent_Done,
     /* 1590176 */   // Label 21975: @1590176
     /* 1590176 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1590262), // Rule ID 2941 //
     /* 1590181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590227 */     // MIs[0] policy
     /* 1590227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590261 */     // GIR_Coverage, 2941,
     /* 1590261 */     GIR_EraseRootFromParent_Done,
     /* 1590262 */   // Label 21976: @1590262
     /* 1590262 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1590348), // Rule ID 2942 //
     /* 1590267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590313 */     // MIs[0] policy
     /* 1590313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590347 */     // GIR_Coverage, 2942,
     /* 1590347 */     GIR_EraseRootFromParent_Done,
     /* 1590348 */   // Label 21977: @1590348
     /* 1590348 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1590434), // Rule ID 2945 //
     /* 1590353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590399 */     // MIs[0] policy
     /* 1590399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590433 */     // GIR_Coverage, 2945,
     /* 1590433 */     GIR_EraseRootFromParent_Done,
     /* 1590434 */   // Label 21978: @1590434
     /* 1590434 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1590520), // Rule ID 2946 //
     /* 1590439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590485 */     // MIs[0] policy
     /* 1590485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590495 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590519 */     // GIR_Coverage, 2946,
     /* 1590519 */     GIR_EraseRootFromParent_Done,
     /* 1590520 */   // Label 21979: @1590520
     /* 1590520 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1590606), // Rule ID 2949 //
     /* 1590525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590571 */     // MIs[0] policy
     /* 1590571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590605 */     // GIR_Coverage, 2949,
     /* 1590605 */     GIR_EraseRootFromParent_Done,
     /* 1590606 */   // Label 21980: @1590606
     /* 1590606 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1590692), // Rule ID 2950 //
     /* 1590611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590657 */     // MIs[0] policy
     /* 1590657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1590670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590691 */     // GIR_Coverage, 2950,
     /* 1590691 */     GIR_EraseRootFromParent_Done,
     /* 1590692 */   // Label 21981: @1590692
     /* 1590692 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1590778), // Rule ID 2953 //
     /* 1590697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590743 */     // MIs[0] policy
     /* 1590743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590777 */     // GIR_Coverage, 2953,
     /* 1590777 */     GIR_EraseRootFromParent_Done,
     /* 1590778 */   // Label 21982: @1590778
     /* 1590778 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1590864), // Rule ID 2954 //
     /* 1590783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590829 */     // MIs[0] policy
     /* 1590829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590839 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590863 */     // GIR_Coverage, 2954,
     /* 1590863 */     GIR_EraseRootFromParent_Done,
     /* 1590864 */   // Label 21983: @1590864
     /* 1590864 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1590950), // Rule ID 2957 //
     /* 1590869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590915 */     // MIs[0] policy
     /* 1590915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1590928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590949 */     // GIR_Coverage, 2957,
     /* 1590949 */     GIR_EraseRootFromParent_Done,
     /* 1590950 */   // Label 21984: @1590950
     /* 1590950 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591036), // Rule ID 2958 //
     /* 1590955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1590966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1590969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1590972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591001 */     // MIs[0] policy
     /* 1591001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591011 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1591014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591035 */     // GIR_Coverage, 2958,
     /* 1591035 */     GIR_EraseRootFromParent_Done,
     /* 1591036 */   // Label 21985: @1591036
     /* 1591036 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591122), // Rule ID 2961 //
     /* 1591041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591087 */     // MIs[0] policy
     /* 1591087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591121 */     // GIR_Coverage, 2961,
     /* 1591121 */     GIR_EraseRootFromParent_Done,
     /* 1591122 */   // Label 21986: @1591122
     /* 1591122 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1591208), // Rule ID 2962 //
     /* 1591127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591173 */     // MIs[0] policy
     /* 1591173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591207 */     // GIR_Coverage, 2962,
     /* 1591207 */     GIR_EraseRootFromParent_Done,
     /* 1591208 */   // Label 21987: @1591208
     /* 1591208 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1591294), // Rule ID 2965 //
     /* 1591213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591259 */     // MIs[0] policy
     /* 1591259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591293 */     // GIR_Coverage, 2965,
     /* 1591293 */     GIR_EraseRootFromParent_Done,
     /* 1591294 */   // Label 21988: @1591294
     /* 1591294 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1591380), // Rule ID 2966 //
     /* 1591299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591345 */     // MIs[0] policy
     /* 1591345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591379 */     // GIR_Coverage, 2966,
     /* 1591379 */     GIR_EraseRootFromParent_Done,
     /* 1591380 */   // Label 21989: @1591380
     /* 1591380 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1591466), // Rule ID 2969 //
     /* 1591385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591431 */     // MIs[0] policy
     /* 1591431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591465 */     // GIR_Coverage, 2969,
     /* 1591465 */     GIR_EraseRootFromParent_Done,
     /* 1591466 */   // Label 21990: @1591466
     /* 1591466 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1591552), // Rule ID 2970 //
     /* 1591471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591517 */     // MIs[0] policy
     /* 1591517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591551 */     // GIR_Coverage, 2970,
     /* 1591551 */     GIR_EraseRootFromParent_Done,
     /* 1591552 */   // Label 21991: @1591552
     /* 1591552 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1591638), // Rule ID 2973 //
     /* 1591557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591603 */     // MIs[0] policy
     /* 1591603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591613 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591637 */     // GIR_Coverage, 2973,
     /* 1591637 */     GIR_EraseRootFromParent_Done,
     /* 1591638 */   // Label 21992: @1591638
     /* 1591638 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1591724), // Rule ID 2974 //
     /* 1591643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591689 */     // MIs[0] policy
     /* 1591689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1591702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591723 */     // GIR_Coverage, 2974,
     /* 1591723 */     GIR_EraseRootFromParent_Done,
     /* 1591724 */   // Label 21993: @1591724
     /* 1591724 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1591810), // Rule ID 2977 //
     /* 1591729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591775 */     // MIs[0] policy
     /* 1591775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591809 */     // GIR_Coverage, 2977,
     /* 1591809 */     GIR_EraseRootFromParent_Done,
     /* 1591810 */   // Label 21994: @1591810
     /* 1591810 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1591896), // Rule ID 2978 //
     /* 1591815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591861 */     // MIs[0] policy
     /* 1591861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591895 */     // GIR_Coverage, 2978,
     /* 1591895 */     GIR_EraseRootFromParent_Done,
     /* 1591896 */   // Label 21995: @1591896
     /* 1591896 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1591982), // Rule ID 2981 //
     /* 1591901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1591915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1591918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591947 */     // MIs[0] policy
     /* 1591947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1591960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591981 */     // GIR_Coverage, 2981,
     /* 1591981 */     GIR_EraseRootFromParent_Done,
     /* 1591982 */   // Label 21996: @1591982
     /* 1591982 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592068), // Rule ID 2982 //
     /* 1591987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1591998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592033 */     // MIs[0] policy
     /* 1592033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592067 */     // GIR_Coverage, 2982,
     /* 1592067 */     GIR_EraseRootFromParent_Done,
     /* 1592068 */   // Label 21997: @1592068
     /* 1592068 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1592154), // Rule ID 2985 //
     /* 1592073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592119 */     // MIs[0] policy
     /* 1592119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592129 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592153 */     // GIR_Coverage, 2985,
     /* 1592153 */     GIR_EraseRootFromParent_Done,
     /* 1592154 */   // Label 21998: @1592154
     /* 1592154 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1592240), // Rule ID 2986 //
     /* 1592159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592205 */     // MIs[0] policy
     /* 1592205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592215 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592239 */     // GIR_Coverage, 2986,
     /* 1592239 */     GIR_EraseRootFromParent_Done,
     /* 1592240 */   // Label 21999: @1592240
     /* 1592240 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1592326), // Rule ID 2989 //
     /* 1592245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592291 */     // MIs[0] policy
     /* 1592291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592325 */     // GIR_Coverage, 2989,
     /* 1592325 */     GIR_EraseRootFromParent_Done,
     /* 1592326 */   // Label 22000: @1592326
     /* 1592326 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1592412), // Rule ID 2990 //
     /* 1592331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592377 */     // MIs[0] policy
     /* 1592377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592411 */     // GIR_Coverage, 2990,
     /* 1592411 */     GIR_EraseRootFromParent_Done,
     /* 1592412 */   // Label 22001: @1592412
     /* 1592412 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1592498), // Rule ID 2993 //
     /* 1592417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592463 */     // MIs[0] policy
     /* 1592463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592497 */     // GIR_Coverage, 2993,
     /* 1592497 */     GIR_EraseRootFromParent_Done,
     /* 1592498 */   // Label 22002: @1592498
     /* 1592498 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1592584), // Rule ID 2994 //
     /* 1592503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592549 */     // MIs[0] policy
     /* 1592549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592583 */     // GIR_Coverage, 2994,
     /* 1592583 */     GIR_EraseRootFromParent_Done,
     /* 1592584 */   // Label 22003: @1592584
     /* 1592584 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1592670), // Rule ID 2997 //
     /* 1592589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592635 */     // MIs[0] policy
     /* 1592635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592669 */     // GIR_Coverage, 2997,
     /* 1592669 */     GIR_EraseRootFromParent_Done,
     /* 1592670 */   // Label 22004: @1592670
     /* 1592670 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1592756), // Rule ID 2998 //
     /* 1592675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592721 */     // MIs[0] policy
     /* 1592721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592755 */     // GIR_Coverage, 2998,
     /* 1592755 */     GIR_EraseRootFromParent_Done,
     /* 1592756 */   // Label 22005: @1592756
     /* 1592756 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1592842), // Rule ID 3001 //
     /* 1592761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592807 */     // MIs[0] policy
     /* 1592807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592841 */     // GIR_Coverage, 3001,
     /* 1592841 */     GIR_EraseRootFromParent_Done,
     /* 1592842 */   // Label 22006: @1592842
     /* 1592842 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1592928), // Rule ID 3002 //
     /* 1592847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592893 */     // MIs[0] policy
     /* 1592893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592927 */     // GIR_Coverage, 3002,
     /* 1592927 */     GIR_EraseRootFromParent_Done,
     /* 1592928 */   // Label 22007: @1592928
     /* 1592928 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593014), // Rule ID 3005 //
     /* 1592933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1592950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592979 */     // MIs[0] policy
     /* 1592979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593013 */     // GIR_Coverage, 3005,
     /* 1593013 */     GIR_EraseRootFromParent_Done,
     /* 1593014 */   // Label 22008: @1593014
     /* 1593014 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593100), // Rule ID 3006 //
     /* 1593019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593065 */     // MIs[0] policy
     /* 1593065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593099 */     // GIR_Coverage, 3006,
     /* 1593099 */     GIR_EraseRootFromParent_Done,
     /* 1593100 */   // Label 22009: @1593100
     /* 1593100 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1593186), // Rule ID 3009 //
     /* 1593105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593151 */     // MIs[0] policy
     /* 1593151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593185 */     // GIR_Coverage, 3009,
     /* 1593185 */     GIR_EraseRootFromParent_Done,
     /* 1593186 */   // Label 22010: @1593186
     /* 1593186 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1593272), // Rule ID 3010 //
     /* 1593191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593237 */     // MIs[0] policy
     /* 1593237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593271 */     // GIR_Coverage, 3010,
     /* 1593271 */     GIR_EraseRootFromParent_Done,
     /* 1593272 */   // Label 22011: @1593272
     /* 1593272 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1593358), // Rule ID 3013 //
     /* 1593277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593323 */     // MIs[0] policy
     /* 1593323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593357 */     // GIR_Coverage, 3013,
     /* 1593357 */     GIR_EraseRootFromParent_Done,
     /* 1593358 */   // Label 22012: @1593358
     /* 1593358 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1593444), // Rule ID 3014 //
     /* 1593363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593409 */     // MIs[0] policy
     /* 1593409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1593422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593443 */     // GIR_Coverage, 3014,
     /* 1593443 */     GIR_EraseRootFromParent_Done,
     /* 1593444 */   // Label 22013: @1593444
     /* 1593444 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1593530), // Rule ID 3017 //
     /* 1593449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593495 */     // MIs[0] policy
     /* 1593495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593505 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593529 */     // GIR_Coverage, 3017,
     /* 1593529 */     GIR_EraseRootFromParent_Done,
     /* 1593530 */   // Label 22014: @1593530
     /* 1593530 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1593616), // Rule ID 3018 //
     /* 1593535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593581 */     // MIs[0] policy
     /* 1593581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593591 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1593594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593615 */     // GIR_Coverage, 3018,
     /* 1593615 */     GIR_EraseRootFromParent_Done,
     /* 1593616 */   // Label 22015: @1593616
     /* 1593616 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1593702), // Rule ID 3021 //
     /* 1593621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593667 */     // MIs[0] policy
     /* 1593667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593677 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593701 */     // GIR_Coverage, 3021,
     /* 1593701 */     GIR_EraseRootFromParent_Done,
     /* 1593702 */   // Label 22016: @1593702
     /* 1593702 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1593788), // Rule ID 3022 //
     /* 1593707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593753 */     // MIs[0] policy
     /* 1593753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593763 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1593766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593787 */     // GIR_Coverage, 3022,
     /* 1593787 */     GIR_EraseRootFromParent_Done,
     /* 1593788 */   // Label 22017: @1593788
     /* 1593788 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1593874), // Rule ID 3113 //
     /* 1593793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593839 */     // MIs[0] policy
     /* 1593839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1593852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593873 */     // GIR_Coverage, 3113,
     /* 1593873 */     GIR_EraseRootFromParent_Done,
     /* 1593874 */   // Label 22018: @1593874
     /* 1593874 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1593960), // Rule ID 3114 //
     /* 1593879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593925 */     // MIs[0] policy
     /* 1593925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593935 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1593938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593959 */     // GIR_Coverage, 3114,
     /* 1593959 */     GIR_EraseRootFromParent_Done,
     /* 1593960 */   // Label 22019: @1593960
     /* 1593960 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594046), // Rule ID 3117 //
     /* 1593965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1593976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1593979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1593982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1593985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594011 */     // MIs[0] policy
     /* 1594011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594045 */     // GIR_Coverage, 3117,
     /* 1594045 */     GIR_EraseRootFromParent_Done,
     /* 1594046 */   // Label 22020: @1594046
     /* 1594046 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1594132), // Rule ID 3118 //
     /* 1594051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594097 */     // MIs[0] policy
     /* 1594097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594131 */     // GIR_Coverage, 3118,
     /* 1594131 */     GIR_EraseRootFromParent_Done,
     /* 1594132 */   // Label 22021: @1594132
     /* 1594132 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1594218), // Rule ID 3121 //
     /* 1594137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594183 */     // MIs[0] policy
     /* 1594183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594193 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594217 */     // GIR_Coverage, 3121,
     /* 1594217 */     GIR_EraseRootFromParent_Done,
     /* 1594218 */   // Label 22022: @1594218
     /* 1594218 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1594304), // Rule ID 3122 //
     /* 1594223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594269 */     // MIs[0] policy
     /* 1594269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594303 */     // GIR_Coverage, 3122,
     /* 1594303 */     GIR_EraseRootFromParent_Done,
     /* 1594304 */   // Label 22023: @1594304
     /* 1594304 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1594390), // Rule ID 3125 //
     /* 1594309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594355 */     // MIs[0] policy
     /* 1594355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594389 */     // GIR_Coverage, 3125,
     /* 1594389 */     GIR_EraseRootFromParent_Done,
     /* 1594390 */   // Label 22024: @1594390
     /* 1594390 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1594476), // Rule ID 3126 //
     /* 1594395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594441 */     // MIs[0] policy
     /* 1594441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594475 */     // GIR_Coverage, 3126,
     /* 1594475 */     GIR_EraseRootFromParent_Done,
     /* 1594476 */   // Label 22025: @1594476
     /* 1594476 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1594562), // Rule ID 3129 //
     /* 1594481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594527 */     // MIs[0] policy
     /* 1594527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594561 */     // GIR_Coverage, 3129,
     /* 1594561 */     GIR_EraseRootFromParent_Done,
     /* 1594562 */   // Label 22026: @1594562
     /* 1594562 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1594648), // Rule ID 3130 //
     /* 1594567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594613 */     // MIs[0] policy
     /* 1594613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594647 */     // GIR_Coverage, 3130,
     /* 1594647 */     GIR_EraseRootFromParent_Done,
     /* 1594648 */   // Label 22027: @1594648
     /* 1594648 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1594734), // Rule ID 3133 //
     /* 1594653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594699 */     // MIs[0] policy
     /* 1594699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594733 */     // GIR_Coverage, 3133,
     /* 1594733 */     GIR_EraseRootFromParent_Done,
     /* 1594734 */   // Label 22028: @1594734
     /* 1594734 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1594820), // Rule ID 3134 //
     /* 1594739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594785 */     // MIs[0] policy
     /* 1594785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594819 */     // GIR_Coverage, 3134,
     /* 1594819 */     GIR_EraseRootFromParent_Done,
     /* 1594820 */   // Label 22029: @1594820
     /* 1594820 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1594906), // Rule ID 3137 //
     /* 1594825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594871 */     // MIs[0] policy
     /* 1594871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594905 */     // GIR_Coverage, 3137,
     /* 1594905 */     GIR_EraseRootFromParent_Done,
     /* 1594906 */   // Label 22030: @1594906
     /* 1594906 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1594992), // Rule ID 3138 //
     /* 1594911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1594928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594957 */     // MIs[0] policy
     /* 1594957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594991 */     // GIR_Coverage, 3138,
     /* 1594991 */     GIR_EraseRootFromParent_Done,
     /* 1594992 */   // Label 22031: @1594992
     /* 1594992 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595078), // Rule ID 3141 //
     /* 1594997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595043 */     // MIs[0] policy
     /* 1595043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595077 */     // GIR_Coverage, 3141,
     /* 1595077 */     GIR_EraseRootFromParent_Done,
     /* 1595078 */   // Label 22032: @1595078
     /* 1595078 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1595164), // Rule ID 3142 //
     /* 1595083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595129 */     // MIs[0] policy
     /* 1595129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595163 */     // GIR_Coverage, 3142,
     /* 1595163 */     GIR_EraseRootFromParent_Done,
     /* 1595164 */   // Label 22033: @1595164
     /* 1595164 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1595250), // Rule ID 3145 //
     /* 1595169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595215 */     // MIs[0] policy
     /* 1595215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595249 */     // GIR_Coverage, 3145,
     /* 1595249 */     GIR_EraseRootFromParent_Done,
     /* 1595250 */   // Label 22034: @1595250
     /* 1595250 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1595336), // Rule ID 3146 //
     /* 1595255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595301 */     // MIs[0] policy
     /* 1595301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595335 */     // GIR_Coverage, 3146,
     /* 1595335 */     GIR_EraseRootFromParent_Done,
     /* 1595336 */   // Label 22035: @1595336
     /* 1595336 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1595422), // Rule ID 3149 //
     /* 1595341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595387 */     // MIs[0] policy
     /* 1595387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595421 */     // GIR_Coverage, 3149,
     /* 1595421 */     GIR_EraseRootFromParent_Done,
     /* 1595422 */   // Label 22036: @1595422
     /* 1595422 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1595508), // Rule ID 3150 //
     /* 1595427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595473 */     // MIs[0] policy
     /* 1595473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595507 */     // GIR_Coverage, 3150,
     /* 1595507 */     GIR_EraseRootFromParent_Done,
     /* 1595508 */   // Label 22037: @1595508
     /* 1595508 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1595594), // Rule ID 3153 //
     /* 1595513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595559 */     // MIs[0] policy
     /* 1595559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595569 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595593 */     // GIR_Coverage, 3153,
     /* 1595593 */     GIR_EraseRootFromParent_Done,
     /* 1595594 */   // Label 22038: @1595594
     /* 1595594 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1595680), // Rule ID 3154 //
     /* 1595599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595645 */     // MIs[0] policy
     /* 1595645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595655 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595679 */     // GIR_Coverage, 3154,
     /* 1595679 */     GIR_EraseRootFromParent_Done,
     /* 1595680 */   // Label 22039: @1595680
     /* 1595680 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1595766), // Rule ID 3157 //
     /* 1595685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595731 */     // MIs[0] policy
     /* 1595731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595741 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595765 */     // GIR_Coverage, 3157,
     /* 1595765 */     GIR_EraseRootFromParent_Done,
     /* 1595766 */   // Label 22040: @1595766
     /* 1595766 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1595852), // Rule ID 3158 //
     /* 1595771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595817 */     // MIs[0] policy
     /* 1595817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595851 */     // GIR_Coverage, 3158,
     /* 1595851 */     GIR_EraseRootFromParent_Done,
     /* 1595852 */   // Label 22041: @1595852
     /* 1595852 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1595938), // Rule ID 3161 //
     /* 1595857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595903 */     // MIs[0] policy
     /* 1595903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595913 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595937 */     // GIR_Coverage, 3161,
     /* 1595937 */     GIR_EraseRootFromParent_Done,
     /* 1595938 */   // Label 22042: @1595938
     /* 1595938 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596024), // Rule ID 3162 //
     /* 1595943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1595954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1595957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1595960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1595963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1595966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595989 */     // MIs[0] policy
     /* 1595989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595999 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596023 */     // GIR_Coverage, 3162,
     /* 1596023 */     GIR_EraseRootFromParent_Done,
     /* 1596024 */   // Label 22043: @1596024
     /* 1596024 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596110), // Rule ID 3165 //
     /* 1596029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596075 */     // MIs[0] policy
     /* 1596075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596109 */     // GIR_Coverage, 3165,
     /* 1596109 */     GIR_EraseRootFromParent_Done,
     /* 1596110 */   // Label 22044: @1596110
     /* 1596110 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1596196), // Rule ID 3166 //
     /* 1596115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596161 */     // MIs[0] policy
     /* 1596161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596195 */     // GIR_Coverage, 3166,
     /* 1596195 */     GIR_EraseRootFromParent_Done,
     /* 1596196 */   // Label 22045: @1596196
     /* 1596196 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1596282), // Rule ID 3169 //
     /* 1596201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596247 */     // MIs[0] policy
     /* 1596247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596281 */     // GIR_Coverage, 3169,
     /* 1596281 */     GIR_EraseRootFromParent_Done,
     /* 1596282 */   // Label 22046: @1596282
     /* 1596282 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1596368), // Rule ID 3170 //
     /* 1596287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596333 */     // MIs[0] policy
     /* 1596333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596367 */     // GIR_Coverage, 3170,
     /* 1596367 */     GIR_EraseRootFromParent_Done,
     /* 1596368 */   // Label 22047: @1596368
     /* 1596368 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1596454), // Rule ID 3173 //
     /* 1596373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596419 */     // MIs[0] policy
     /* 1596419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596453 */     // GIR_Coverage, 3173,
     /* 1596453 */     GIR_EraseRootFromParent_Done,
     /* 1596454 */   // Label 22048: @1596454
     /* 1596454 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1596540), // Rule ID 3174 //
     /* 1596459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596505 */     // MIs[0] policy
     /* 1596505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596539 */     // GIR_Coverage, 3174,
     /* 1596539 */     GIR_EraseRootFromParent_Done,
     /* 1596540 */   // Label 22049: @1596540
     /* 1596540 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1596626), // Rule ID 3177 //
     /* 1596545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596591 */     // MIs[0] policy
     /* 1596591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596625 */     // GIR_Coverage, 3177,
     /* 1596625 */     GIR_EraseRootFromParent_Done,
     /* 1596626 */   // Label 22050: @1596626
     /* 1596626 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1596712), // Rule ID 3178 //
     /* 1596631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596677 */     // MIs[0] policy
     /* 1596677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596711 */     // GIR_Coverage, 3178,
     /* 1596711 */     GIR_EraseRootFromParent_Done,
     /* 1596712 */   // Label 22051: @1596712
     /* 1596712 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1596798), // Rule ID 3181 //
     /* 1596717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596763 */     // MIs[0] policy
     /* 1596763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596797 */     // GIR_Coverage, 3181,
     /* 1596797 */     GIR_EraseRootFromParent_Done,
     /* 1596798 */   // Label 22052: @1596798
     /* 1596798 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1596884), // Rule ID 3182 //
     /* 1596803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596849 */     // MIs[0] policy
     /* 1596849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596883 */     // GIR_Coverage, 3182,
     /* 1596883 */     GIR_EraseRootFromParent_Done,
     /* 1596884 */   // Label 22053: @1596884
     /* 1596884 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1596970), // Rule ID 3185 //
     /* 1596889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596935 */     // MIs[0] policy
     /* 1596935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596945 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596969 */     // GIR_Coverage, 3185,
     /* 1596969 */     GIR_EraseRootFromParent_Done,
     /* 1596970 */   // Label 22054: @1596970
     /* 1596970 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597056), // Rule ID 3186 //
     /* 1596975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1596986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1596989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1596992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1596995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597021 */     // MIs[0] policy
     /* 1597021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597055 */     // GIR_Coverage, 3186,
     /* 1597055 */     GIR_EraseRootFromParent_Done,
     /* 1597056 */   // Label 22055: @1597056
     /* 1597056 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1597142), // Rule ID 3189 //
     /* 1597061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597107 */     // MIs[0] policy
     /* 1597107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597141 */     // GIR_Coverage, 3189,
     /* 1597141 */     GIR_EraseRootFromParent_Done,
     /* 1597142 */   // Label 22056: @1597142
     /* 1597142 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1597228), // Rule ID 3190 //
     /* 1597147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597193 */     // MIs[0] policy
     /* 1597193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597227 */     // GIR_Coverage, 3190,
     /* 1597227 */     GIR_EraseRootFromParent_Done,
     /* 1597228 */   // Label 22057: @1597228
     /* 1597228 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1597314), // Rule ID 3193 //
     /* 1597233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597279 */     // MIs[0] policy
     /* 1597279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597313 */     // GIR_Coverage, 3193,
     /* 1597313 */     GIR_EraseRootFromParent_Done,
     /* 1597314 */   // Label 22058: @1597314
     /* 1597314 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1597400), // Rule ID 3194 //
     /* 1597319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597365 */     // MIs[0] policy
     /* 1597365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597399 */     // GIR_Coverage, 3194,
     /* 1597399 */     GIR_EraseRootFromParent_Done,
     /* 1597400 */   // Label 22059: @1597400
     /* 1597400 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1597486), // Rule ID 3197 //
     /* 1597405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597451 */     // MIs[0] policy
     /* 1597451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597485 */     // GIR_Coverage, 3197,
     /* 1597485 */     GIR_EraseRootFromParent_Done,
     /* 1597486 */   // Label 22060: @1597486
     /* 1597486 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1597572), // Rule ID 3198 //
     /* 1597491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597537 */     // MIs[0] policy
     /* 1597537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597571 */     // GIR_Coverage, 3198,
     /* 1597571 */     GIR_EraseRootFromParent_Done,
     /* 1597572 */   // Label 22061: @1597572
     /* 1597572 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1597658), // Rule ID 3201 //
     /* 1597577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597623 */     // MIs[0] policy
     /* 1597623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1597636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597657 */     // GIR_Coverage, 3201,
     /* 1597657 */     GIR_EraseRootFromParent_Done,
     /* 1597658 */   // Label 22062: @1597658
     /* 1597658 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1597744), // Rule ID 3202 //
     /* 1597663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1597674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1597677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1597680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597709 */     // MIs[0] policy
     /* 1597709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597719 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1597722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597743 */     // GIR_Coverage, 3202,
     /* 1597743 */     GIR_EraseRootFromParent_Done,
     /* 1597744 */   // Label 22063: @1597744
     /* 1597744 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1597830), // Rule ID 3205 //
     /* 1597749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597795 */     // MIs[0] policy
     /* 1597795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1597808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597829 */     // GIR_Coverage, 3205,
     /* 1597829 */     GIR_EraseRootFromParent_Done,
     /* 1597830 */   // Label 22064: @1597830
     /* 1597830 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1597916), // Rule ID 3206 //
     /* 1597835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597881 */     // MIs[0] policy
     /* 1597881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1597894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597915 */     // GIR_Coverage, 3206,
     /* 1597915 */     GIR_EraseRootFromParent_Done,
     /* 1597916 */   // Label 22065: @1597916
     /* 1597916 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598002), // Rule ID 3209 //
     /* 1597921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597967 */     // MIs[0] policy
     /* 1597967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1597980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598001 */     // GIR_Coverage, 3209,
     /* 1598001 */     GIR_EraseRootFromParent_Done,
     /* 1598002 */   // Label 22066: @1598002
     /* 1598002 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598088), // Rule ID 3210 //
     /* 1598007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598053 */     // MIs[0] policy
     /* 1598053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598087 */     // GIR_Coverage, 3210,
     /* 1598087 */     GIR_EraseRootFromParent_Done,
     /* 1598088 */   // Label 22067: @1598088
     /* 1598088 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1598174), // Rule ID 3213 //
     /* 1598093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598139 */     // MIs[0] policy
     /* 1598139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598173 */     // GIR_Coverage, 3213,
     /* 1598173 */     GIR_EraseRootFromParent_Done,
     /* 1598174 */   // Label 22068: @1598174
     /* 1598174 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1598260), // Rule ID 3214 //
     /* 1598179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598225 */     // MIs[0] policy
     /* 1598225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1598238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598259 */     // GIR_Coverage, 3214,
     /* 1598259 */     GIR_EraseRootFromParent_Done,
     /* 1598260 */   // Label 22069: @1598260
     /* 1598260 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1598346), // Rule ID 3217 //
     /* 1598265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598311 */     // MIs[0] policy
     /* 1598311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598345 */     // GIR_Coverage, 3217,
     /* 1598345 */     GIR_EraseRootFromParent_Done,
     /* 1598346 */   // Label 22070: @1598346
     /* 1598346 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1598432), // Rule ID 3218 //
     /* 1598351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598397 */     // MIs[0] policy
     /* 1598397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598431 */     // GIR_Coverage, 3218,
     /* 1598431 */     GIR_EraseRootFromParent_Done,
     /* 1598432 */   // Label 22071: @1598432
     /* 1598432 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1598518), // Rule ID 3221 //
     /* 1598437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598483 */     // MIs[0] policy
     /* 1598483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598517 */     // GIR_Coverage, 3221,
     /* 1598517 */     GIR_EraseRootFromParent_Done,
     /* 1598518 */   // Label 22072: @1598518
     /* 1598518 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1598604), // Rule ID 3222 //
     /* 1598523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598569 */     // MIs[0] policy
     /* 1598569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1598582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598603 */     // GIR_Coverage, 3222,
     /* 1598603 */     GIR_EraseRootFromParent_Done,
     /* 1598604 */   // Label 22073: @1598604
     /* 1598604 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1598690), // Rule ID 3225 //
     /* 1598609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598655 */     // MIs[0] policy
     /* 1598655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598689 */     // GIR_Coverage, 3225,
     /* 1598689 */     GIR_EraseRootFromParent_Done,
     /* 1598690 */   // Label 22074: @1598690
     /* 1598690 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1598776), // Rule ID 3226 //
     /* 1598695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598741 */     // MIs[0] policy
     /* 1598741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11541:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598775 */     // GIR_Coverage, 3226,
     /* 1598775 */     GIR_EraseRootFromParent_Done,
     /* 1598776 */   // Label 22075: @1598776
     /* 1598776 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1598862), // Rule ID 3229 //
     /* 1598781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598827 */     // MIs[0] policy
     /* 1598827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598861 */     // GIR_Coverage, 3229,
     /* 1598861 */     GIR_EraseRootFromParent_Done,
     /* 1598862 */   // Label 22076: @1598862
     /* 1598862 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1598948), // Rule ID 3230 //
     /* 1598867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598913 */     // MIs[0] policy
     /* 1598913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598947 */     // GIR_Coverage, 3230,
     /* 1598947 */     GIR_EraseRootFromParent_Done,
     /* 1598948 */   // Label 22077: @1598948
     /* 1598948 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599034), // Rule ID 3233 //
     /* 1598953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598999 */     // MIs[0] policy
     /* 1598999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599033 */     // GIR_Coverage, 3233,
     /* 1599033 */     GIR_EraseRootFromParent_Done,
     /* 1599034 */   // Label 22078: @1599034
     /* 1599034 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599120), // Rule ID 3234 //
     /* 1599039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599085 */     // MIs[0] policy
     /* 1599085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599119 */     // GIR_Coverage, 3234,
     /* 1599119 */     GIR_EraseRootFromParent_Done,
     /* 1599120 */   // Label 22079: @1599120
     /* 1599120 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1599206), // Rule ID 3237 //
     /* 1599125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599171 */     // MIs[0] policy
     /* 1599171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599205 */     // GIR_Coverage, 3237,
     /* 1599205 */     GIR_EraseRootFromParent_Done,
     /* 1599206 */   // Label 22080: @1599206
     /* 1599206 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1599292), // Rule ID 3238 //
     /* 1599211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599257 */     // MIs[0] policy
     /* 1599257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1599270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599291 */     // GIR_Coverage, 3238,
     /* 1599291 */     GIR_EraseRootFromParent_Done,
     /* 1599292 */   // Label 22081: @1599292
     /* 1599292 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1599378), // Rule ID 3241 //
     /* 1599297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599343 */     // MIs[0] policy
     /* 1599343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599377 */     // GIR_Coverage, 3241,
     /* 1599377 */     GIR_EraseRootFromParent_Done,
     /* 1599378 */   // Label 22082: @1599378
     /* 1599378 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1599464), // Rule ID 3242 //
     /* 1599383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599429 */     // MIs[0] policy
     /* 1599429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599463 */     // GIR_Coverage, 3242,
     /* 1599463 */     GIR_EraseRootFromParent_Done,
     /* 1599464 */   // Label 22083: @1599464
     /* 1599464 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1599550), // Rule ID 3245 //
     /* 1599469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599515 */     // MIs[0] policy
     /* 1599515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599525 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599549 */     // GIR_Coverage, 3245,
     /* 1599549 */     GIR_EraseRootFromParent_Done,
     /* 1599550 */   // Label 22084: @1599550
     /* 1599550 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1599636), // Rule ID 3246 //
     /* 1599555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599601 */     // MIs[0] policy
     /* 1599601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599635 */     // GIR_Coverage, 3246,
     /* 1599635 */     GIR_EraseRootFromParent_Done,
     /* 1599636 */   // Label 22085: @1599636
     /* 1599636 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1599722), // Rule ID 3249 //
     /* 1599641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599687 */     // MIs[0] policy
     /* 1599687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599721 */     // GIR_Coverage, 3249,
     /* 1599721 */     GIR_EraseRootFromParent_Done,
     /* 1599722 */   // Label 22086: @1599722
     /* 1599722 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1599808), // Rule ID 3250 //
     /* 1599727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599773 */     // MIs[0] policy
     /* 1599773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599807 */     // GIR_Coverage, 3250,
     /* 1599807 */     GIR_EraseRootFromParent_Done,
     /* 1599808 */   // Label 22087: @1599808
     /* 1599808 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1599894), // Rule ID 3253 //
     /* 1599813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599859 */     // MIs[0] policy
     /* 1599859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599893 */     // GIR_Coverage, 3253,
     /* 1599893 */     GIR_EraseRootFromParent_Done,
     /* 1599894 */   // Label 22088: @1599894
     /* 1599894 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1599980), // Rule ID 3254 //
     /* 1599899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599945 */     // MIs[0] policy
     /* 1599945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599979 */     // GIR_Coverage, 3254,
     /* 1599979 */     GIR_EraseRootFromParent_Done,
     /* 1599980 */   // Label 22089: @1599980
     /* 1599980 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600066), // Rule ID 3257 //
     /* 1599985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600031 */     // MIs[0] policy
     /* 1600031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600065 */     // GIR_Coverage, 3257,
     /* 1600065 */     GIR_EraseRootFromParent_Done,
     /* 1600066 */   // Label 22090: @1600066
     /* 1600066 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1600152), // Rule ID 3258 //
     /* 1600071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600117 */     // MIs[0] policy
     /* 1600117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600151 */     // GIR_Coverage, 3258,
     /* 1600151 */     GIR_EraseRootFromParent_Done,
     /* 1600152 */   // Label 22091: @1600152
     /* 1600152 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1600238), // Rule ID 3261 //
     /* 1600157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600203 */     // MIs[0] policy
     /* 1600203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600237 */     // GIR_Coverage, 3261,
     /* 1600237 */     GIR_EraseRootFromParent_Done,
     /* 1600238 */   // Label 22092: @1600238
     /* 1600238 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1600324), // Rule ID 3262 //
     /* 1600243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600289 */     // MIs[0] policy
     /* 1600289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600323 */     // GIR_Coverage, 3262,
     /* 1600323 */     GIR_EraseRootFromParent_Done,
     /* 1600324 */   // Label 22093: @1600324
     /* 1600324 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1600410), // Rule ID 3265 //
     /* 1600329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600375 */     // MIs[0] policy
     /* 1600375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600409 */     // GIR_Coverage, 3265,
     /* 1600409 */     GIR_EraseRootFromParent_Done,
     /* 1600410 */   // Label 22094: @1600410
     /* 1600410 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1600496), // Rule ID 3266 //
     /* 1600415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600461 */     // MIs[0] policy
     /* 1600461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600495 */     // GIR_Coverage, 3266,
     /* 1600495 */     GIR_EraseRootFromParent_Done,
     /* 1600496 */   // Label 22095: @1600496
     /* 1600496 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1600582), // Rule ID 3269 //
     /* 1600501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600547 */     // MIs[0] policy
     /* 1600547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600581 */     // GIR_Coverage, 3269,
     /* 1600581 */     GIR_EraseRootFromParent_Done,
     /* 1600582 */   // Label 22096: @1600582
     /* 1600582 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1600668), // Rule ID 3270 //
     /* 1600587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600633 */     // MIs[0] policy
     /* 1600633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1600646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600667 */     // GIR_Coverage, 3270,
     /* 1600667 */     GIR_EraseRootFromParent_Done,
     /* 1600668 */   // Label 22097: @1600668
     /* 1600668 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1600754), // Rule ID 3273 //
     /* 1600673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600719 */     // MIs[0] policy
     /* 1600719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600753 */     // GIR_Coverage, 3273,
     /* 1600753 */     GIR_EraseRootFromParent_Done,
     /* 1600754 */   // Label 22098: @1600754
     /* 1600754 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1600840), // Rule ID 3274 //
     /* 1600759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600805 */     // MIs[0] policy
     /* 1600805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600839 */     // GIR_Coverage, 3274,
     /* 1600839 */     GIR_EraseRootFromParent_Done,
     /* 1600840 */   // Label 22099: @1600840
     /* 1600840 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1600926), // Rule ID 3277 //
     /* 1600845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600891 */     // MIs[0] policy
     /* 1600891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600925 */     // GIR_Coverage, 3277,
     /* 1600925 */     GIR_EraseRootFromParent_Done,
     /* 1600926 */   // Label 22100: @1600926
     /* 1600926 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601012), // Rule ID 3278 //
     /* 1600931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600977 */     // MIs[0] policy
     /* 1600977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1600990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601011 */     // GIR_Coverage, 3278,
     /* 1601011 */     GIR_EraseRootFromParent_Done,
     /* 1601012 */   // Label 22101: @1601012
     /* 1601012 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601098), // Rule ID 3281 //
     /* 1601017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601063 */     // MIs[0] policy
     /* 1601063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601097 */     // GIR_Coverage, 3281,
     /* 1601097 */     GIR_EraseRootFromParent_Done,
     /* 1601098 */   // Label 22102: @1601098
     /* 1601098 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1601184), // Rule ID 3282 //
     /* 1601103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601149 */     // MIs[0] policy
     /* 1601149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1601162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601183 */     // GIR_Coverage, 3282,
     /* 1601183 */     GIR_EraseRootFromParent_Done,
     /* 1601184 */   // Label 22103: @1601184
     /* 1601184 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1601270), // Rule ID 3285 //
     /* 1601189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601235 */     // MIs[0] policy
     /* 1601235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601245 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601269 */     // GIR_Coverage, 3285,
     /* 1601269 */     GIR_EraseRootFromParent_Done,
     /* 1601270 */   // Label 22104: @1601270
     /* 1601270 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1601356), // Rule ID 3286 //
     /* 1601275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601321 */     // MIs[0] policy
     /* 1601321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1601334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601355 */     // GIR_Coverage, 3286,
     /* 1601355 */     GIR_EraseRootFromParent_Done,
     /* 1601356 */   // Label 22105: @1601356
     /* 1601356 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1601442), // Rule ID 3289 //
     /* 1601361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601407 */     // MIs[0] policy
     /* 1601407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601441 */     // GIR_Coverage, 3289,
     /* 1601441 */     GIR_EraseRootFromParent_Done,
     /* 1601442 */   // Label 22106: @1601442
     /* 1601442 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1601528), // Rule ID 3290 //
     /* 1601447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601493 */     // MIs[0] policy
     /* 1601493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1601506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601527 */     // GIR_Coverage, 3290,
     /* 1601527 */     GIR_EraseRootFromParent_Done,
     /* 1601528 */   // Label 22107: @1601528
     /* 1601528 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1601614), // Rule ID 3293 //
     /* 1601533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601579 */     // MIs[0] policy
     /* 1601579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601613 */     // GIR_Coverage, 3293,
     /* 1601613 */     GIR_EraseRootFromParent_Done,
     /* 1601614 */   // Label 22108: @1601614
     /* 1601614 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1601700), // Rule ID 3294 //
     /* 1601619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601665 */     // MIs[0] policy
     /* 1601665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601675 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601699 */     // GIR_Coverage, 3294,
     /* 1601699 */     GIR_EraseRootFromParent_Done,
     /* 1601700 */   // Label 22109: @1601700
     /* 1601700 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1601786), // Rule ID 3297 //
     /* 1601705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601751 */     // MIs[0] policy
     /* 1601751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601785 */     // GIR_Coverage, 3297,
     /* 1601785 */     GIR_EraseRootFromParent_Done,
     /* 1601786 */   // Label 22110: @1601786
     /* 1601786 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1601872), // Rule ID 3298 //
     /* 1601791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601837 */     // MIs[0] policy
     /* 1601837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601871 */     // GIR_Coverage, 3298,
     /* 1601871 */     GIR_EraseRootFromParent_Done,
     /* 1601872 */   // Label 22111: @1601872
     /* 1601872 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1601958), // Rule ID 3301 //
     /* 1601877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601923 */     // MIs[0] policy
     /* 1601923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1601936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601957 */     // GIR_Coverage, 3301,
     /* 1601957 */     GIR_EraseRootFromParent_Done,
     /* 1601958 */   // Label 22112: @1601958
     /* 1601958 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602044), // Rule ID 3302 //
     /* 1601963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602009 */     // MIs[0] policy
     /* 1602009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1602022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602043 */     // GIR_Coverage, 3302,
     /* 1602043 */     GIR_EraseRootFromParent_Done,
     /* 1602044 */   // Label 22113: @1602044
     /* 1602044 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1602130), // Rule ID 3305 //
     /* 1602049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602095 */     // MIs[0] policy
     /* 1602095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602129 */     // GIR_Coverage, 3305,
     /* 1602129 */     GIR_EraseRootFromParent_Done,
     /* 1602130 */   // Label 22114: @1602130
     /* 1602130 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1602216), // Rule ID 3306 //
     /* 1602135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602181 */     // MIs[0] policy
     /* 1602181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602215 */     // GIR_Coverage, 3306,
     /* 1602215 */     GIR_EraseRootFromParent_Done,
     /* 1602216 */   // Label 22115: @1602216
     /* 1602216 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1602302), // Rule ID 3309 //
     /* 1602221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602267 */     // MIs[0] policy
     /* 1602267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602301 */     // GIR_Coverage, 3309,
     /* 1602301 */     GIR_EraseRootFromParent_Done,
     /* 1602302 */   // Label 22116: @1602302
     /* 1602302 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1602388), // Rule ID 3310 //
     /* 1602307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602353 */     // MIs[0] policy
     /* 1602353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1602366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602387 */     // GIR_Coverage, 3310,
     /* 1602387 */     GIR_EraseRootFromParent_Done,
     /* 1602388 */   // Label 22117: @1602388
     /* 1602388 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1602474), // Rule ID 3313 //
     /* 1602393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602439 */     // MIs[0] policy
     /* 1602439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602473 */     // GIR_Coverage, 3313,
     /* 1602473 */     GIR_EraseRootFromParent_Done,
     /* 1602474 */   // Label 22118: @1602474
     /* 1602474 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1602560), // Rule ID 3314 //
     /* 1602479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602525 */     // MIs[0] policy
     /* 1602525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602559 */     // GIR_Coverage, 3314,
     /* 1602559 */     GIR_EraseRootFromParent_Done,
     /* 1602560 */   // Label 22119: @1602560
     /* 1602560 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1602646), // Rule ID 3317 //
     /* 1602565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602611 */     // MIs[0] policy
     /* 1602611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602645 */     // GIR_Coverage, 3317,
     /* 1602645 */     GIR_EraseRootFromParent_Done,
     /* 1602646 */   // Label 22120: @1602646
     /* 1602646 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1602732), // Rule ID 3318 //
     /* 1602651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602697 */     // MIs[0] policy
     /* 1602697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602731 */     // GIR_Coverage, 3318,
     /* 1602731 */     GIR_EraseRootFromParent_Done,
     /* 1602732 */   // Label 22121: @1602732
     /* 1602732 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1602818), // Rule ID 3321 //
     /* 1602737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602783 */     // MIs[0] policy
     /* 1602783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602817 */     // GIR_Coverage, 3321,
     /* 1602817 */     GIR_EraseRootFromParent_Done,
     /* 1602818 */   // Label 22122: @1602818
     /* 1602818 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1602904), // Rule ID 3322 //
     /* 1602823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602869 */     // MIs[0] policy
     /* 1602869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602903 */     // GIR_Coverage, 3322,
     /* 1602903 */     GIR_EraseRootFromParent_Done,
     /* 1602904 */   // Label 22123: @1602904
     /* 1602904 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1602990), // Rule ID 3325 //
     /* 1602909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602955 */     // MIs[0] policy
     /* 1602955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1602968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602989 */     // GIR_Coverage, 3325,
     /* 1602989 */     GIR_EraseRootFromParent_Done,
     /* 1602990 */   // Label 22124: @1602990
     /* 1602990 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603076), // Rule ID 3326 //
     /* 1602995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1602998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603041 */     // MIs[0] policy
     /* 1603041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1603054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603075 */     // GIR_Coverage, 3326,
     /* 1603075 */     GIR_EraseRootFromParent_Done,
     /* 1603076 */   // Label 22125: @1603076
     /* 1603076 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1603162), // Rule ID 3329 //
     /* 1603081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603127 */     // MIs[0] policy
     /* 1603127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603161 */     // GIR_Coverage, 3329,
     /* 1603161 */     GIR_EraseRootFromParent_Done,
     /* 1603162 */   // Label 22126: @1603162
     /* 1603162 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1603248), // Rule ID 3330 //
     /* 1603167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603213 */     // MIs[0] policy
     /* 1603213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603247 */     // GIR_Coverage, 3330,
     /* 1603247 */     GIR_EraseRootFromParent_Done,
     /* 1603248 */   // Label 22127: @1603248
     /* 1603248 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1603334), // Rule ID 3333 //
     /* 1603253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603299 */     // MIs[0] policy
     /* 1603299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603333 */     // GIR_Coverage, 3333,
     /* 1603333 */     GIR_EraseRootFromParent_Done,
     /* 1603334 */   // Label 22128: @1603334
     /* 1603334 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1603420), // Rule ID 3334 //
     /* 1603339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603385 */     // MIs[0] policy
     /* 1603385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603395 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603419 */     // GIR_Coverage, 3334,
     /* 1603419 */     GIR_EraseRootFromParent_Done,
     /* 1603420 */   // Label 22129: @1603420
     /* 1603420 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1603506), // Rule ID 3337 //
     /* 1603425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603471 */     // MIs[0] policy
     /* 1603471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603505 */     // GIR_Coverage, 3337,
     /* 1603505 */     GIR_EraseRootFromParent_Done,
     /* 1603506 */   // Label 22130: @1603506
     /* 1603506 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1603592), // Rule ID 3338 //
     /* 1603511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603557 */     // MIs[0] policy
     /* 1603557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603591 */     // GIR_Coverage, 3338,
     /* 1603591 */     GIR_EraseRootFromParent_Done,
     /* 1603592 */   // Label 22131: @1603592
     /* 1603592 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1603678), // Rule ID 3341 //
     /* 1603597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603643 */     // MIs[0] policy
     /* 1603643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603677 */     // GIR_Coverage, 3341,
     /* 1603677 */     GIR_EraseRootFromParent_Done,
     /* 1603678 */   // Label 22132: @1603678
     /* 1603678 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1603764), // Rule ID 3342 //
     /* 1603683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603729 */     // MIs[0] policy
     /* 1603729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603763 */     // GIR_Coverage, 3342,
     /* 1603763 */     GIR_EraseRootFromParent_Done,
     /* 1603764 */   // Label 22133: @1603764
     /* 1603764 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1603850), // Rule ID 3345 //
     /* 1603769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603815 */     // MIs[0] policy
     /* 1603815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603849 */     // GIR_Coverage, 3345,
     /* 1603849 */     GIR_EraseRootFromParent_Done,
     /* 1603850 */   // Label 22134: @1603850
     /* 1603850 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1603936), // Rule ID 3346 //
     /* 1603855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603901 */     // MIs[0] policy
     /* 1603901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603935 */     // GIR_Coverage, 3346,
     /* 1603935 */     GIR_EraseRootFromParent_Done,
     /* 1603936 */   // Label 22135: @1603936
     /* 1603936 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604022), // Rule ID 3349 //
     /* 1603941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603987 */     // MIs[0] policy
     /* 1603987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604021 */     // GIR_Coverage, 3349,
     /* 1604021 */     GIR_EraseRootFromParent_Done,
     /* 1604022 */   // Label 22136: @1604022
     /* 1604022 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604108), // Rule ID 3350 //
     /* 1604027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604073 */     // MIs[0] policy
     /* 1604073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604107 */     // GIR_Coverage, 3350,
     /* 1604107 */     GIR_EraseRootFromParent_Done,
     /* 1604108 */   // Label 22137: @1604108
     /* 1604108 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1604194), // Rule ID 3353 //
     /* 1604113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604159 */     // MIs[0] policy
     /* 1604159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604193 */     // GIR_Coverage, 3353,
     /* 1604193 */     GIR_EraseRootFromParent_Done,
     /* 1604194 */   // Label 22138: @1604194
     /* 1604194 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1604280), // Rule ID 3354 //
     /* 1604199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604245 */     // MIs[0] policy
     /* 1604245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604279 */     // GIR_Coverage, 3354,
     /* 1604279 */     GIR_EraseRootFromParent_Done,
     /* 1604280 */   // Label 22139: @1604280
     /* 1604280 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1604366), // Rule ID 3357 //
     /* 1604285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604331 */     // MIs[0] policy
     /* 1604331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604365 */     // GIR_Coverage, 3357,
     /* 1604365 */     GIR_EraseRootFromParent_Done,
     /* 1604366 */   // Label 22140: @1604366
     /* 1604366 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1604452), // Rule ID 3358 //
     /* 1604371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604417 */     // MIs[0] policy
     /* 1604417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604451 */     // GIR_Coverage, 3358,
     /* 1604451 */     GIR_EraseRootFromParent_Done,
     /* 1604452 */   // Label 22141: @1604452
     /* 1604452 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1604538), // Rule ID 3361 //
     /* 1604457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604503 */     // MIs[0] policy
     /* 1604503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604537 */     // GIR_Coverage, 3361,
     /* 1604537 */     GIR_EraseRootFromParent_Done,
     /* 1604538 */   // Label 22142: @1604538
     /* 1604538 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1604624), // Rule ID 3362 //
     /* 1604543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604589 */     // MIs[0] policy
     /* 1604589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1604602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604623 */     // GIR_Coverage, 3362,
     /* 1604623 */     GIR_EraseRootFromParent_Done,
     /* 1604624 */   // Label 22143: @1604624
     /* 1604624 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1604710), // Rule ID 3365 //
     /* 1604629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604675 */     // MIs[0] policy
     /* 1604675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604709 */     // GIR_Coverage, 3365,
     /* 1604709 */     GIR_EraseRootFromParent_Done,
     /* 1604710 */   // Label 22144: @1604710
     /* 1604710 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1604796), // Rule ID 3366 //
     /* 1604715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604761 */     // MIs[0] policy
     /* 1604761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1604774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604795 */     // GIR_Coverage, 3366,
     /* 1604795 */     GIR_EraseRootFromParent_Done,
     /* 1604796 */   // Label 22145: @1604796
     /* 1604796 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1604882), // Rule ID 3369 //
     /* 1604801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604847 */     // MIs[0] policy
     /* 1604847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604881 */     // GIR_Coverage, 3369,
     /* 1604881 */     GIR_EraseRootFromParent_Done,
     /* 1604882 */   // Label 22146: @1604882
     /* 1604882 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1604968), // Rule ID 3370 //
     /* 1604887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604933 */     // MIs[0] policy
     /* 1604933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1604946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604967 */     // GIR_Coverage, 3370,
     /* 1604967 */     GIR_EraseRootFromParent_Done,
     /* 1604968 */   // Label 22147: @1604968
     /* 1604968 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605054), // Rule ID 3373 //
     /* 1604973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1604981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605019 */     // MIs[0] policy
     /* 1605019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605053 */     // GIR_Coverage, 3373,
     /* 1605053 */     GIR_EraseRootFromParent_Done,
     /* 1605054 */   // Label 22148: @1605054
     /* 1605054 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1605140), // Rule ID 3374 //
     /* 1605059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605105 */     // MIs[0] policy
     /* 1605105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1605118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605139 */     // GIR_Coverage, 3374,
     /* 1605139 */     GIR_EraseRootFromParent_Done,
     /* 1605140 */   // Label 22149: @1605140
     /* 1605140 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1605226), // Rule ID 3465 //
     /* 1605145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605191 */     // MIs[0] policy
     /* 1605191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605225 */     // GIR_Coverage, 3465,
     /* 1605225 */     GIR_EraseRootFromParent_Done,
     /* 1605226 */   // Label 22150: @1605226
     /* 1605226 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1605312), // Rule ID 3466 //
     /* 1605231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605277 */     // MIs[0] policy
     /* 1605277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1605290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605311 */     // GIR_Coverage, 3466,
     /* 1605311 */     GIR_EraseRootFromParent_Done,
     /* 1605312 */   // Label 22151: @1605312
     /* 1605312 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1605398), // Rule ID 3469 //
     /* 1605317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605363 */     // MIs[0] policy
     /* 1605363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605373 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605397 */     // GIR_Coverage, 3469,
     /* 1605397 */     GIR_EraseRootFromParent_Done,
     /* 1605398 */   // Label 22152: @1605398
     /* 1605398 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1605484), // Rule ID 3470 //
     /* 1605403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605449 */     // MIs[0] policy
     /* 1605449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605483 */     // GIR_Coverage, 3470,
     /* 1605483 */     GIR_EraseRootFromParent_Done,
     /* 1605484 */   // Label 22153: @1605484
     /* 1605484 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1605570), // Rule ID 3473 //
     /* 1605489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605535 */     // MIs[0] policy
     /* 1605535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605569 */     // GIR_Coverage, 3473,
     /* 1605569 */     GIR_EraseRootFromParent_Done,
     /* 1605570 */   // Label 22154: @1605570
     /* 1605570 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1605656), // Rule ID 3474 //
     /* 1605575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605621 */     // MIs[0] policy
     /* 1605621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605631 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605655 */     // GIR_Coverage, 3474,
     /* 1605655 */     GIR_EraseRootFromParent_Done,
     /* 1605656 */   // Label 22155: @1605656
     /* 1605656 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1605742), // Rule ID 3477 //
     /* 1605661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1605672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1605675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605707 */     // MIs[0] policy
     /* 1605707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605741 */     // GIR_Coverage, 3477,
     /* 1605741 */     GIR_EraseRootFromParent_Done,
     /* 1605742 */   // Label 22156: @1605742
     /* 1605742 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1605828), // Rule ID 3478 //
     /* 1605747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1605758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1605761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605793 */     // MIs[0] policy
     /* 1605793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605827 */     // GIR_Coverage, 3478,
     /* 1605827 */     GIR_EraseRootFromParent_Done,
     /* 1605828 */   // Label 22157: @1605828
     /* 1605828 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1605914), // Rule ID 3481 //
     /* 1605833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605879 */     // MIs[0] policy
     /* 1605879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1605892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605913 */     // GIR_Coverage, 3481,
     /* 1605913 */     GIR_EraseRootFromParent_Done,
     /* 1605914 */   // Label 22158: @1605914
     /* 1605914 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606000), // Rule ID 3482 //
     /* 1605919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605965 */     // MIs[0] policy
     /* 1605965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1605978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605999 */     // GIR_Coverage, 3482,
     /* 1605999 */     GIR_EraseRootFromParent_Done,
     /* 1606000 */   // Label 22159: @1606000
     /* 1606000 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606086), // Rule ID 3485 //
     /* 1606005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606051 */     // MIs[0] policy
     /* 1606051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606085 */     // GIR_Coverage, 3485,
     /* 1606085 */     GIR_EraseRootFromParent_Done,
     /* 1606086 */   // Label 22160: @1606086
     /* 1606086 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1606172), // Rule ID 3486 //
     /* 1606091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606137 */     // MIs[0] policy
     /* 1606137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606171 */     // GIR_Coverage, 3486,
     /* 1606171 */     GIR_EraseRootFromParent_Done,
     /* 1606172 */   // Label 22161: @1606172
     /* 1606172 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1606258), // Rule ID 3489 //
     /* 1606177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606223 */     // MIs[0] policy
     /* 1606223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606257 */     // GIR_Coverage, 3489,
     /* 1606257 */     GIR_EraseRootFromParent_Done,
     /* 1606258 */   // Label 22162: @1606258
     /* 1606258 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1606344), // Rule ID 3490 //
     /* 1606263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1606283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606309 */     // MIs[0] policy
     /* 1606309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1606322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606343 */     // GIR_Coverage, 3490,
     /* 1606343 */     GIR_EraseRootFromParent_Done,
     /* 1606344 */   // Label 22163: @1606344
     /* 1606344 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1606430), // Rule ID 3493 //
     /* 1606349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606395 */     // MIs[0] policy
     /* 1606395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606429 */     // GIR_Coverage, 3493,
     /* 1606429 */     GIR_EraseRootFromParent_Done,
     /* 1606430 */   // Label 22164: @1606430
     /* 1606430 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1606516), // Rule ID 3494 //
     /* 1606435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1606455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606481 */     // MIs[0] policy
     /* 1606481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1606494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606515 */     // GIR_Coverage, 3494,
     /* 1606515 */     GIR_EraseRootFromParent_Done,
     /* 1606516 */   // Label 22165: @1606516
     /* 1606516 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1606602), // Rule ID 3497 //
     /* 1606521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606567 */     // MIs[0] policy
     /* 1606567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606601 */     // GIR_Coverage, 3497,
     /* 1606601 */     GIR_EraseRootFromParent_Done,
     /* 1606602 */   // Label 22166: @1606602
     /* 1606602 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1606688), // Rule ID 3498 //
     /* 1606607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1606618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1606621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606653 */     // MIs[0] policy
     /* 1606653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606687 */     // GIR_Coverage, 3498,
     /* 1606687 */     GIR_EraseRootFromParent_Done,
     /* 1606688 */   // Label 22167: @1606688
     /* 1606688 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1606774), // Rule ID 3501 //
     /* 1606693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1606704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1606707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606739 */     // MIs[0] policy
     /* 1606739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606773 */     // GIR_Coverage, 3501,
     /* 1606773 */     GIR_EraseRootFromParent_Done,
     /* 1606774 */   // Label 22168: @1606774
     /* 1606774 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1606860), // Rule ID 3502 //
     /* 1606779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1606790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1606793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606825 */     // MIs[0] policy
     /* 1606825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606859 */     // GIR_Coverage, 3502,
     /* 1606859 */     GIR_EraseRootFromParent_Done,
     /* 1606860 */   // Label 22169: @1606860
     /* 1606860 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1606946), // Rule ID 3505 //
     /* 1606865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1606876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1606879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606911 */     // MIs[0] policy
     /* 1606911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606945 */     // GIR_Coverage, 3505,
     /* 1606945 */     GIR_EraseRootFromParent_Done,
     /* 1606946 */   // Label 22170: @1606946
     /* 1606946 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607032), // Rule ID 3506 //
     /* 1606951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1606962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1606965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606997 */     // MIs[0] policy
     /* 1606997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607007 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607031 */     // GIR_Coverage, 3506,
     /* 1607031 */     GIR_EraseRootFromParent_Done,
     /* 1607032 */   // Label 22171: @1607032
     /* 1607032 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607118), // Rule ID 3509 //
     /* 1607037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607083 */     // MIs[0] policy
     /* 1607083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607117 */     // GIR_Coverage, 3509,
     /* 1607117 */     GIR_EraseRootFromParent_Done,
     /* 1607118 */   // Label 22172: @1607118
     /* 1607118 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1607204), // Rule ID 3510 //
     /* 1607123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1607140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1607143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607169 */     // MIs[0] policy
     /* 1607169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1607182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607203 */     // GIR_Coverage, 3510,
     /* 1607203 */     GIR_EraseRootFromParent_Done,
     /* 1607204 */   // Label 22173: @1607204
     /* 1607204 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1607290), // Rule ID 3513 //
     /* 1607209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607255 */     // MIs[0] policy
     /* 1607255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607289 */     // GIR_Coverage, 3513,
     /* 1607289 */     GIR_EraseRootFromParent_Done,
     /* 1607290 */   // Label 22174: @1607290
     /* 1607290 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1607376), // Rule ID 3514 //
     /* 1607295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1607315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607341 */     // MIs[0] policy
     /* 1607341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1607354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607375 */     // GIR_Coverage, 3514,
     /* 1607375 */     GIR_EraseRootFromParent_Done,
     /* 1607376 */   // Label 22175: @1607376
     /* 1607376 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1607462), // Rule ID 3517 //
     /* 1607381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607427 */     // MIs[0] policy
     /* 1607427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607461 */     // GIR_Coverage, 3517,
     /* 1607461 */     GIR_EraseRootFromParent_Done,
     /* 1607462 */   // Label 22176: @1607462
     /* 1607462 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1607548), // Rule ID 3518 //
     /* 1607467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607513 */     // MIs[0] policy
     /* 1607513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1607526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607547 */     // GIR_Coverage, 3518,
     /* 1607547 */     GIR_EraseRootFromParent_Done,
     /* 1607548 */   // Label 22177: @1607548
     /* 1607548 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1607634), // Rule ID 3521 //
     /* 1607553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1607556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607599 */     // MIs[0] policy
     /* 1607599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607633 */     // GIR_Coverage, 3521,
     /* 1607633 */     GIR_EraseRootFromParent_Done,
     /* 1607634 */   // Label 22178: @1607634
     /* 1607634 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1607720), // Rule ID 3522 //
     /* 1607639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1607642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607685 */     // MIs[0] policy
     /* 1607685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607695 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1607698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607719 */     // GIR_Coverage, 3522,
     /* 1607719 */     GIR_EraseRootFromParent_Done,
     /* 1607720 */   // Label 22179: @1607720
     /* 1607720 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1607806), // Rule ID 3525 //
     /* 1607725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1607736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1607739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607771 */     // MIs[0] policy
     /* 1607771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1607784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607805 */     // GIR_Coverage, 3525,
     /* 1607805 */     GIR_EraseRootFromParent_Done,
     /* 1607806 */   // Label 22180: @1607806
     /* 1607806 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1607892), // Rule ID 3526 //
     /* 1607811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1607822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1607825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607857 */     // MIs[0] policy
     /* 1607857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1607870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607891 */     // GIR_Coverage, 3526,
     /* 1607891 */     GIR_EraseRootFromParent_Done,
     /* 1607892 */   // Label 22181: @1607892
     /* 1607892 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1607978), // Rule ID 3529 //
     /* 1607897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1607908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1607911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1607914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607943 */     // MIs[0] policy
     /* 1607943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607953 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1607956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607977 */     // GIR_Coverage, 3529,
     /* 1607977 */     GIR_EraseRootFromParent_Done,
     /* 1607978 */   // Label 22182: @1607978
     /* 1607978 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608064), // Rule ID 3530 //
     /* 1607983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1607994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1607997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608029 */     // MIs[0] policy
     /* 1608029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608063 */     // GIR_Coverage, 3530,
     /* 1608063 */     GIR_EraseRootFromParent_Done,
     /* 1608064 */   // Label 22183: @1608064
     /* 1608064 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1608150), // Rule ID 3533 //
     /* 1608069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608115 */     // MIs[0] policy
     /* 1608115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608149 */     // GIR_Coverage, 3533,
     /* 1608149 */     GIR_EraseRootFromParent_Done,
     /* 1608150 */   // Label 22184: @1608150
     /* 1608150 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1608236), // Rule ID 3534 //
     /* 1608155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1608166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1608169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608201 */     // MIs[0] policy
     /* 1608201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608235 */     // GIR_Coverage, 3534,
     /* 1608235 */     GIR_EraseRootFromParent_Done,
     /* 1608236 */   // Label 22185: @1608236
     /* 1608236 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1608322), // Rule ID 3537 //
     /* 1608241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608287 */     // MIs[0] policy
     /* 1608287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608321 */     // GIR_Coverage, 3537,
     /* 1608321 */     GIR_EraseRootFromParent_Done,
     /* 1608322 */   // Label 22186: @1608322
     /* 1608322 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1608408), // Rule ID 3538 //
     /* 1608327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1608344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608373 */     // MIs[0] policy
     /* 1608373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608407 */     // GIR_Coverage, 3538,
     /* 1608407 */     GIR_EraseRootFromParent_Done,
     /* 1608408 */   // Label 22187: @1608408
     /* 1608408 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1608494), // Rule ID 3541 //
     /* 1608413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608459 */     // MIs[0] policy
     /* 1608459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608469 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608493 */     // GIR_Coverage, 3541,
     /* 1608493 */     GIR_EraseRootFromParent_Done,
     /* 1608494 */   // Label 22188: @1608494
     /* 1608494 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1608580), // Rule ID 3542 //
     /* 1608499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1608516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608545 */     // MIs[0] policy
     /* 1608545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608579 */     // GIR_Coverage, 3542,
     /* 1608579 */     GIR_EraseRootFromParent_Done,
     /* 1608580 */   // Label 22189: @1608580
     /* 1608580 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1608666), // Rule ID 3545 //
     /* 1608585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1608602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608631 */     // MIs[0] policy
     /* 1608631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608665 */     // GIR_Coverage, 3545,
     /* 1608665 */     GIR_EraseRootFromParent_Done,
     /* 1608666 */   // Label 22190: @1608666
     /* 1608666 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1608752), // Rule ID 3546 //
     /* 1608671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1608688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608717 */     // MIs[0] policy
     /* 1608717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608751 */     // GIR_Coverage, 3546,
     /* 1608751 */     GIR_EraseRootFromParent_Done,
     /* 1608752 */   // Label 22191: @1608752
     /* 1608752 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1608838), // Rule ID 3549 //
     /* 1608757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608803 */     // MIs[0] policy
     /* 1608803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608837 */     // GIR_Coverage, 3549,
     /* 1608837 */     GIR_EraseRootFromParent_Done,
     /* 1608838 */   // Label 22192: @1608838
     /* 1608838 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1608924), // Rule ID 3550 //
     /* 1608843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608889 */     // MIs[0] policy
     /* 1608889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1608902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608923 */     // GIR_Coverage, 3550,
     /* 1608923 */     GIR_EraseRootFromParent_Done,
     /* 1608924 */   // Label 22193: @1608924
     /* 1608924 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609010), // Rule ID 3553 //
     /* 1608929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1608940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1608943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608975 */     // MIs[0] policy
     /* 1608975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609009 */     // GIR_Coverage, 3553,
     /* 1609009 */     GIR_EraseRootFromParent_Done,
     /* 1609010 */   // Label 22194: @1609010
     /* 1609010 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609096), // Rule ID 3554 //
     /* 1609015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609061 */     // MIs[0] policy
     /* 1609061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609095 */     // GIR_Coverage, 3554,
     /* 1609095 */     GIR_EraseRootFromParent_Done,
     /* 1609096 */   // Label 22195: @1609096
     /* 1609096 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1609182), // Rule ID 3557 //
     /* 1609101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609147 */     // MIs[0] policy
     /* 1609147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609181 */     // GIR_Coverage, 3557,
     /* 1609181 */     GIR_EraseRootFromParent_Done,
     /* 1609182 */   // Label 22196: @1609182
     /* 1609182 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1609268), // Rule ID 3558 //
     /* 1609187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1609198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1609201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609233 */     // MIs[0] policy
     /* 1609233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609267 */     // GIR_Coverage, 3558,
     /* 1609267 */     GIR_EraseRootFromParent_Done,
     /* 1609268 */   // Label 22197: @1609268
     /* 1609268 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1609354), // Rule ID 3561 //
     /* 1609273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609319 */     // MIs[0] policy
     /* 1609319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609353 */     // GIR_Coverage, 3561,
     /* 1609353 */     GIR_EraseRootFromParent_Done,
     /* 1609354 */   // Label 22198: @1609354
     /* 1609354 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1609440), // Rule ID 3562 //
     /* 1609359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1609370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1609373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1609376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609405 */     // MIs[0] policy
     /* 1609405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1609418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609439 */     // GIR_Coverage, 3562,
     /* 1609439 */     GIR_EraseRootFromParent_Done,
     /* 1609440 */   // Label 22199: @1609440
     /* 1609440 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1609526), // Rule ID 3565 //
     /* 1609445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609491 */     // MIs[0] policy
     /* 1609491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609525 */     // GIR_Coverage, 3565,
     /* 1609525 */     GIR_EraseRootFromParent_Done,
     /* 1609526 */   // Label 22200: @1609526
     /* 1609526 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1609612), // Rule ID 3566 //
     /* 1609531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1609548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609577 */     // MIs[0] policy
     /* 1609577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609611 */     // GIR_Coverage, 3566,
     /* 1609611 */     GIR_EraseRootFromParent_Done,
     /* 1609612 */   // Label 22201: @1609612
     /* 1609612 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1609698), // Rule ID 3569 //
     /* 1609617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609663 */     // MIs[0] policy
     /* 1609663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609697 */     // GIR_Coverage, 3569,
     /* 1609697 */     GIR_EraseRootFromParent_Done,
     /* 1609698 */   // Label 22202: @1609698
     /* 1609698 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1609784), // Rule ID 3570 //
     /* 1609703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609749 */     // MIs[0] policy
     /* 1609749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1609762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609783 */     // GIR_Coverage, 3570,
     /* 1609783 */     GIR_EraseRootFromParent_Done,
     /* 1609784 */   // Label 22203: @1609784
     /* 1609784 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1609870), // Rule ID 3573 //
     /* 1609789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609835 */     // MIs[0] policy
     /* 1609835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609869 */     // GIR_Coverage, 3573,
     /* 1609869 */     GIR_EraseRootFromParent_Done,
     /* 1609870 */   // Label 22204: @1609870
     /* 1609870 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1609956), // Rule ID 3574 //
     /* 1609875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609921 */     // MIs[0] policy
     /* 1609921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11563:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1609934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609955 */     // GIR_Coverage, 3574,
     /* 1609955 */     GIR_EraseRootFromParent_Done,
     /* 1609956 */   // Label 22205: @1609956
     /* 1609956 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610042), // Rule ID 3577 //
     /* 1609961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1609972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1609975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1609978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610007 */     // MIs[0] policy
     /* 1610007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610041 */     // GIR_Coverage, 3577,
     /* 1610041 */     GIR_EraseRootFromParent_Done,
     /* 1610042 */   // Label 22206: @1610042
     /* 1610042 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1610128), // Rule ID 3578 //
     /* 1610047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1610058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1610061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610093 */     // MIs[0] policy
     /* 1610093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11563:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1610106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610127 */     // GIR_Coverage, 3578,
     /* 1610127 */     GIR_EraseRootFromParent_Done,
     /* 1610128 */   // Label 22207: @1610128
     /* 1610128 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1610214), // Rule ID 3581 //
     /* 1610133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1610136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610179 */     // MIs[0] policy
     /* 1610179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610213 */     // GIR_Coverage, 3581,
     /* 1610213 */     GIR_EraseRootFromParent_Done,
     /* 1610214 */   // Label 22208: @1610214
     /* 1610214 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1610300), // Rule ID 3582 //
     /* 1610219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1610222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1610230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1610233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1610236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610265 */     // MIs[0] policy
     /* 1610265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11563:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1610278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610299 */     // GIR_Coverage, 3582,
     /* 1610299 */     GIR_EraseRootFromParent_Done,
     /* 1610300 */   // Label 22209: @1610300
     /* 1610300 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1610386), // Rule ID 3585 //
     /* 1610305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610351 */     // MIs[0] policy
     /* 1610351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610385 */     // GIR_Coverage, 3585,
     /* 1610385 */     GIR_EraseRootFromParent_Done,
     /* 1610386 */   // Label 22210: @1610386
     /* 1610386 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1610472), // Rule ID 3586 //
     /* 1610391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1610402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1610405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1610408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1610411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610437 */     // MIs[0] policy
     /* 1610437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1610450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610471 */     // GIR_Coverage, 3586,
     /* 1610471 */     GIR_EraseRootFromParent_Done,
     /* 1610472 */   // Label 22211: @1610472
     /* 1610472 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1610558), // Rule ID 3589 //
     /* 1610477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610523 */     // MIs[0] policy
     /* 1610523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610557 */     // GIR_Coverage, 3589,
     /* 1610557 */     GIR_EraseRootFromParent_Done,
     /* 1610558 */   // Label 22212: @1610558
     /* 1610558 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1610644), // Rule ID 3590 //
     /* 1610563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610609 */     // MIs[0] policy
     /* 1610609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610643 */     // GIR_Coverage, 3590,
     /* 1610643 */     GIR_EraseRootFromParent_Done,
     /* 1610644 */   // Label 22213: @1610644
     /* 1610644 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1610730), // Rule ID 3593 //
     /* 1610649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610695 */     // MIs[0] policy
     /* 1610695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610729 */     // GIR_Coverage, 3593,
     /* 1610729 */     GIR_EraseRootFromParent_Done,
     /* 1610730 */   // Label 22214: @1610730
     /* 1610730 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1610816), // Rule ID 3594 //
     /* 1610735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610781 */     // MIs[0] policy
     /* 1610781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610791 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610815 */     // GIR_Coverage, 3594,
     /* 1610815 */     GIR_EraseRootFromParent_Done,
     /* 1610816 */   // Label 22215: @1610816
     /* 1610816 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1610902), // Rule ID 3597 //
     /* 1610821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610867 */     // MIs[0] policy
     /* 1610867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1610880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610901 */     // GIR_Coverage, 3597,
     /* 1610901 */     GIR_EraseRootFromParent_Done,
     /* 1610902 */   // Label 22216: @1610902
     /* 1610902 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1610988), // Rule ID 3598 //
     /* 1610907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610953 */     // MIs[0] policy
     /* 1610953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1610966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610987 */     // GIR_Coverage, 3598,
     /* 1610987 */     GIR_EraseRootFromParent_Done,
     /* 1610988 */   // Label 22217: @1610988
     /* 1610988 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611074), // Rule ID 3601 //
     /* 1610993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611039 */     // MIs[0] policy
     /* 1611039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611073 */     // GIR_Coverage, 3601,
     /* 1611073 */     GIR_EraseRootFromParent_Done,
     /* 1611074 */   // Label 22218: @1611074
     /* 1611074 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1611160), // Rule ID 3602 //
     /* 1611079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1611096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1611099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611125 */     // MIs[0] policy
     /* 1611125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611135 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611159 */     // GIR_Coverage, 3602,
     /* 1611159 */     GIR_EraseRootFromParent_Done,
     /* 1611160 */   // Label 22219: @1611160
     /* 1611160 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1611246), // Rule ID 3605 //
     /* 1611165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611211 */     // MIs[0] policy
     /* 1611211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611245 */     // GIR_Coverage, 3605,
     /* 1611245 */     GIR_EraseRootFromParent_Done,
     /* 1611246 */   // Label 22220: @1611246
     /* 1611246 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1611332), // Rule ID 3606 //
     /* 1611251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1611268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1611271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611297 */     // MIs[0] policy
     /* 1611297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611307 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611331 */     // GIR_Coverage, 3606,
     /* 1611331 */     GIR_EraseRootFromParent_Done,
     /* 1611332 */   // Label 22221: @1611332
     /* 1611332 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1611418), // Rule ID 3609 //
     /* 1611337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611383 */     // MIs[0] policy
     /* 1611383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611417 */     // GIR_Coverage, 3609,
     /* 1611417 */     GIR_EraseRootFromParent_Done,
     /* 1611418 */   // Label 22222: @1611418
     /* 1611418 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1611504), // Rule ID 3610 //
     /* 1611423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1611434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1611437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1611440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1611443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611469 */     // MIs[0] policy
     /* 1611469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1611482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611503 */     // GIR_Coverage, 3610,
     /* 1611503 */     GIR_EraseRootFromParent_Done,
     /* 1611504 */   // Label 22223: @1611504
     /* 1611504 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1611590), // Rule ID 3613 //
     /* 1611509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611555 */     // MIs[0] policy
     /* 1611555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611589 */     // GIR_Coverage, 3613,
     /* 1611589 */     GIR_EraseRootFromParent_Done,
     /* 1611590 */   // Label 22224: @1611590
     /* 1611590 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1611676), // Rule ID 3614 //
     /* 1611595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611641 */     // MIs[0] policy
     /* 1611641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611675 */     // GIR_Coverage, 3614,
     /* 1611675 */     GIR_EraseRootFromParent_Done,
     /* 1611676 */   // Label 22225: @1611676
     /* 1611676 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1611762), // Rule ID 3617 //
     /* 1611681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611727 */     // MIs[0] policy
     /* 1611727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611761 */     // GIR_Coverage, 3617,
     /* 1611761 */     GIR_EraseRootFromParent_Done,
     /* 1611762 */   // Label 22226: @1611762
     /* 1611762 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1611848), // Rule ID 3618 //
     /* 1611767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611813 */     // MIs[0] policy
     /* 1611813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611847 */     // GIR_Coverage, 3618,
     /* 1611847 */     GIR_EraseRootFromParent_Done,
     /* 1611848 */   // Label 22227: @1611848
     /* 1611848 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1611934), // Rule ID 3621 //
     /* 1611853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611899 */     // MIs[0] policy
     /* 1611899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611933 */     // GIR_Coverage, 3621,
     /* 1611933 */     GIR_EraseRootFromParent_Done,
     /* 1611934 */   // Label 22228: @1611934
     /* 1611934 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612020), // Rule ID 3622 //
     /* 1611939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611985 */     // MIs[0] policy
     /* 1611985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612019 */     // GIR_Coverage, 3622,
     /* 1612019 */     GIR_EraseRootFromParent_Done,
     /* 1612020 */   // Label 22229: @1612020
     /* 1612020 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612106), // Rule ID 3625 //
     /* 1612025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612071 */     // MIs[0] policy
     /* 1612071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612081 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612105 */     // GIR_Coverage, 3625,
     /* 1612105 */     GIR_EraseRootFromParent_Done,
     /* 1612106 */   // Label 22230: @1612106
     /* 1612106 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1612192), // Rule ID 3626 //
     /* 1612111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1612128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1612131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612157 */     // MIs[0] policy
     /* 1612157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612191 */     // GIR_Coverage, 3626,
     /* 1612191 */     GIR_EraseRootFromParent_Done,
     /* 1612192 */   // Label 22231: @1612192
     /* 1612192 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1612278), // Rule ID 3629 //
     /* 1612197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612243 */     // MIs[0] policy
     /* 1612243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612277 */     // GIR_Coverage, 3629,
     /* 1612277 */     GIR_EraseRootFromParent_Done,
     /* 1612278 */   // Label 22232: @1612278
     /* 1612278 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1612364), // Rule ID 3630 //
     /* 1612283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1612294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1612297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612329 */     // MIs[0] policy
     /* 1612329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1612342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612363 */     // GIR_Coverage, 3630,
     /* 1612363 */     GIR_EraseRootFromParent_Done,
     /* 1612364 */   // Label 22233: @1612364
     /* 1612364 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1612450), // Rule ID 3633 //
     /* 1612369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612415 */     // MIs[0] policy
     /* 1612415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612449 */     // GIR_Coverage, 3633,
     /* 1612449 */     GIR_EraseRootFromParent_Done,
     /* 1612450 */   // Label 22234: @1612450
     /* 1612450 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1612536), // Rule ID 3634 //
     /* 1612455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1612472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1612475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612501 */     // MIs[0] policy
     /* 1612501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1612514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612535 */     // GIR_Coverage, 3634,
     /* 1612535 */     GIR_EraseRootFromParent_Done,
     /* 1612536 */   // Label 22235: @1612536
     /* 1612536 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1612622), // Rule ID 3637 //
     /* 1612541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612587 */     // MIs[0] policy
     /* 1612587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612621 */     // GIR_Coverage, 3637,
     /* 1612621 */     GIR_EraseRootFromParent_Done,
     /* 1612622 */   // Label 22236: @1612622
     /* 1612622 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1612708), // Rule ID 3638 //
     /* 1612627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612673 */     // MIs[0] policy
     /* 1612673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1612686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612707 */     // GIR_Coverage, 3638,
     /* 1612707 */     GIR_EraseRootFromParent_Done,
     /* 1612708 */   // Label 22237: @1612708
     /* 1612708 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1612794), // Rule ID 3641 //
     /* 1612713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612759 */     // MIs[0] policy
     /* 1612759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612793 */     // GIR_Coverage, 3641,
     /* 1612793 */     GIR_EraseRootFromParent_Done,
     /* 1612794 */   // Label 22238: @1612794
     /* 1612794 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1612880), // Rule ID 3642 //
     /* 1612799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612845 */     // MIs[0] policy
     /* 1612845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1612858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612879 */     // GIR_Coverage, 3642,
     /* 1612879 */     GIR_EraseRootFromParent_Done,
     /* 1612880 */   // Label 22239: @1612880
     /* 1612880 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1612966), // Rule ID 3645 //
     /* 1612885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612931 */     // MIs[0] policy
     /* 1612931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1612944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612965 */     // GIR_Coverage, 3645,
     /* 1612965 */     GIR_EraseRootFromParent_Done,
     /* 1612966 */   // Label 22240: @1612966
     /* 1612966 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613052), // Rule ID 3646 //
     /* 1612971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613017 */     // MIs[0] policy
     /* 1613017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1613030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613051 */     // GIR_Coverage, 3646,
     /* 1613051 */     GIR_EraseRootFromParent_Done,
     /* 1613052 */   // Label 22241: @1613052
     /* 1613052 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1613138), // Rule ID 3649 //
     /* 1613057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613103 */     // MIs[0] policy
     /* 1613103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613137 */     // GIR_Coverage, 3649,
     /* 1613137 */     GIR_EraseRootFromParent_Done,
     /* 1613138 */   // Label 22242: @1613138
     /* 1613138 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1613224), // Rule ID 3650 //
     /* 1613143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1613160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613189 */     // MIs[0] policy
     /* 1613189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613223 */     // GIR_Coverage, 3650,
     /* 1613223 */     GIR_EraseRootFromParent_Done,
     /* 1613224 */   // Label 22243: @1613224
     /* 1613224 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1613310), // Rule ID 3653 //
     /* 1613229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613275 */     // MIs[0] policy
     /* 1613275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613309 */     // GIR_Coverage, 3653,
     /* 1613309 */     GIR_EraseRootFromParent_Done,
     /* 1613310 */   // Label 22244: @1613310
     /* 1613310 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1613396), // Rule ID 3654 //
     /* 1613315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613361 */     // MIs[0] policy
     /* 1613361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613395 */     // GIR_Coverage, 3654,
     /* 1613395 */     GIR_EraseRootFromParent_Done,
     /* 1613396 */   // Label 22245: @1613396
     /* 1613396 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1613482), // Rule ID 3657 //
     /* 1613401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613447 */     // MIs[0] policy
     /* 1613447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613481 */     // GIR_Coverage, 3657,
     /* 1613481 */     GIR_EraseRootFromParent_Done,
     /* 1613482 */   // Label 22246: @1613482
     /* 1613482 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1613568), // Rule ID 3658 //
     /* 1613487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613533 */     // MIs[0] policy
     /* 1613533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613567 */     // GIR_Coverage, 3658,
     /* 1613567 */     GIR_EraseRootFromParent_Done,
     /* 1613568 */   // Label 22247: @1613568
     /* 1613568 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1613654), // Rule ID 3661 //
     /* 1613573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613619 */     // MIs[0] policy
     /* 1613619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613629 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613653 */     // GIR_Coverage, 3661,
     /* 1613653 */     GIR_EraseRootFromParent_Done,
     /* 1613654 */   // Label 22248: @1613654
     /* 1613654 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1613740), // Rule ID 3662 //
     /* 1613659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613705 */     // MIs[0] policy
     /* 1613705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613739 */     // GIR_Coverage, 3662,
     /* 1613739 */     GIR_EraseRootFromParent_Done,
     /* 1613740 */   // Label 22249: @1613740
     /* 1613740 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1613826), // Rule ID 3665 //
     /* 1613745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613791 */     // MIs[0] policy
     /* 1613791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613825 */     // GIR_Coverage, 3665,
     /* 1613825 */     GIR_EraseRootFromParent_Done,
     /* 1613826 */   // Label 22250: @1613826
     /* 1613826 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1613912), // Rule ID 3666 //
     /* 1613831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613877 */     // MIs[0] policy
     /* 1613877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613911 */     // GIR_Coverage, 3666,
     /* 1613911 */     GIR_EraseRootFromParent_Done,
     /* 1613912 */   // Label 22251: @1613912
     /* 1613912 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1613998), // Rule ID 3669 //
     /* 1613917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613963 */     // MIs[0] policy
     /* 1613963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613973 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1613976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613997 */     // GIR_Coverage, 3669,
     /* 1613997 */     GIR_EraseRootFromParent_Done,
     /* 1613998 */   // Label 22252: @1613998
     /* 1613998 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614084), // Rule ID 3670 //
     /* 1614003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1614014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1614017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1614020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614049 */     // MIs[0] policy
     /* 1614049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1614062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614083 */     // GIR_Coverage, 3670,
     /* 1614083 */     GIR_EraseRootFromParent_Done,
     /* 1614084 */   // Label 22253: @1614084
     /* 1614084 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1614170), // Rule ID 3673 //
     /* 1614089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614135 */     // MIs[0] policy
     /* 1614135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614145 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614169 */     // GIR_Coverage, 3673,
     /* 1614169 */     GIR_EraseRootFromParent_Done,
     /* 1614170 */   // Label 22254: @1614170
     /* 1614170 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1614256), // Rule ID 3674 //
     /* 1614175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1614192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614221 */     // MIs[0] policy
     /* 1614221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614255 */     // GIR_Coverage, 3674,
     /* 1614255 */     GIR_EraseRootFromParent_Done,
     /* 1614256 */   // Label 22255: @1614256
     /* 1614256 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1614342), // Rule ID 3677 //
     /* 1614261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614307 */     // MIs[0] policy
     /* 1614307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614341 */     // GIR_Coverage, 3677,
     /* 1614341 */     GIR_EraseRootFromParent_Done,
     /* 1614342 */   // Label 22256: @1614342
     /* 1614342 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1614428), // Rule ID 3678 //
     /* 1614347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614393 */     // MIs[0] policy
     /* 1614393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1614406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614427 */     // GIR_Coverage, 3678,
     /* 1614427 */     GIR_EraseRootFromParent_Done,
     /* 1614428 */   // Label 22257: @1614428
     /* 1614428 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1614514), // Rule ID 3681 //
     /* 1614433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614479 */     // MIs[0] policy
     /* 1614479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614513 */     // GIR_Coverage, 3681,
     /* 1614513 */     GIR_EraseRootFromParent_Done,
     /* 1614514 */   // Label 22258: @1614514
     /* 1614514 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1614600), // Rule ID 3682 //
     /* 1614519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614565 */     // MIs[0] policy
     /* 1614565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614599 */     // GIR_Coverage, 3682,
     /* 1614599 */     GIR_EraseRootFromParent_Done,
     /* 1614600 */   // Label 22259: @1614600
     /* 1614600 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1614686), // Rule ID 3685 //
     /* 1614605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614651 */     // MIs[0] policy
     /* 1614651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614685 */     // GIR_Coverage, 3685,
     /* 1614685 */     GIR_EraseRootFromParent_Done,
     /* 1614686 */   // Label 22260: @1614686
     /* 1614686 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1614772), // Rule ID 3686 //
     /* 1614691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614737 */     // MIs[0] policy
     /* 1614737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614771 */     // GIR_Coverage, 3686,
     /* 1614771 */     GIR_EraseRootFromParent_Done,
     /* 1614772 */   // Label 22261: @1614772
     /* 1614772 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1614858), // Rule ID 3689 //
     /* 1614777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614823 */     // MIs[0] policy
     /* 1614823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614857 */     // GIR_Coverage, 3689,
     /* 1614857 */     GIR_EraseRootFromParent_Done,
     /* 1614858 */   // Label 22262: @1614858
     /* 1614858 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1614944), // Rule ID 3690 //
     /* 1614863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614909 */     // MIs[0] policy
     /* 1614909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1614922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614943 */     // GIR_Coverage, 3690,
     /* 1614943 */     GIR_EraseRootFromParent_Done,
     /* 1614944 */   // Label 22263: @1614944
     /* 1614944 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615030), // Rule ID 3693 //
     /* 1614949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614995 */     // MIs[0] policy
     /* 1614995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615029 */     // GIR_Coverage, 3693,
     /* 1615029 */     GIR_EraseRootFromParent_Done,
     /* 1615030 */   // Label 22264: @1615030
     /* 1615030 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615116), // Rule ID 3694 //
     /* 1615035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615081 */     // MIs[0] policy
     /* 1615081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1615094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615115 */     // GIR_Coverage, 3694,
     /* 1615115 */     GIR_EraseRootFromParent_Done,
     /* 1615116 */   // Label 22265: @1615116
     /* 1615116 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1615202), // Rule ID 3697 //
     /* 1615121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615167 */     // MIs[0] policy
     /* 1615167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615201 */     // GIR_Coverage, 3697,
     /* 1615201 */     GIR_EraseRootFromParent_Done,
     /* 1615202 */   // Label 22266: @1615202
     /* 1615202 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1615288), // Rule ID 3698 //
     /* 1615207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615253 */     // MIs[0] policy
     /* 1615253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615263 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1615266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615287 */     // GIR_Coverage, 3698,
     /* 1615287 */     GIR_EraseRootFromParent_Done,
     /* 1615288 */   // Label 22267: @1615288
     /* 1615288 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1615374), // Rule ID 3701 //
     /* 1615293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615339 */     // MIs[0] policy
     /* 1615339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615373 */     // GIR_Coverage, 3701,
     /* 1615373 */     GIR_EraseRootFromParent_Done,
     /* 1615374 */   // Label 22268: @1615374
     /* 1615374 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1615460), // Rule ID 3702 //
     /* 1615379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615425 */     // MIs[0] policy
     /* 1615425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615435 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1615438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615459 */     // GIR_Coverage, 3702,
     /* 1615459 */     GIR_EraseRootFromParent_Done,
     /* 1615460 */   // Label 22269: @1615460
     /* 1615460 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1615546), // Rule ID 3705 //
     /* 1615465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615511 */     // MIs[0] policy
     /* 1615511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615545 */     // GIR_Coverage, 3705,
     /* 1615545 */     GIR_EraseRootFromParent_Done,
     /* 1615546 */   // Label 22270: @1615546
     /* 1615546 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1615632), // Rule ID 3706 //
     /* 1615551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615597 */     // MIs[0] policy
     /* 1615597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615607 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1615610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615631 */     // GIR_Coverage, 3706,
     /* 1615631 */     GIR_EraseRootFromParent_Done,
     /* 1615632 */   // Label 22271: @1615632
     /* 1615632 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1615718), // Rule ID 3709 //
     /* 1615637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615683 */     // MIs[0] policy
     /* 1615683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615717 */     // GIR_Coverage, 3709,
     /* 1615717 */     GIR_EraseRootFromParent_Done,
     /* 1615718 */   // Label 22272: @1615718
     /* 1615718 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1615804), // Rule ID 3710 //
     /* 1615723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615769 */     // MIs[0] policy
     /* 1615769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615803 */     // GIR_Coverage, 3710,
     /* 1615803 */     GIR_EraseRootFromParent_Done,
     /* 1615804 */   // Label 22273: @1615804
     /* 1615804 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1615890), // Rule ID 3713 //
     /* 1615809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615855 */     // MIs[0] policy
     /* 1615855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1615868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615889 */     // GIR_Coverage, 3713,
     /* 1615889 */     GIR_EraseRootFromParent_Done,
     /* 1615890 */   // Label 22274: @1615890
     /* 1615890 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1615976), // Rule ID 3714 //
     /* 1615895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615941 */     // MIs[0] policy
     /* 1615941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1615954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615975 */     // GIR_Coverage, 3714,
     /* 1615975 */     GIR_EraseRootFromParent_Done,
     /* 1615976 */   // Label 22275: @1615976
     /* 1615976 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616062), // Rule ID 3717 //
     /* 1615981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616027 */     // MIs[0] policy
     /* 1616027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616061 */     // GIR_Coverage, 3717,
     /* 1616061 */     GIR_EraseRootFromParent_Done,
     /* 1616062 */   // Label 22276: @1616062
     /* 1616062 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1616148), // Rule ID 3718 //
     /* 1616067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1616087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616113 */     // MIs[0] policy
     /* 1616113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616147 */     // GIR_Coverage, 3718,
     /* 1616147 */     GIR_EraseRootFromParent_Done,
     /* 1616148 */   // Label 22277: @1616148
     /* 1616148 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1616234), // Rule ID 3721 //
     /* 1616153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616199 */     // MIs[0] policy
     /* 1616199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616233 */     // GIR_Coverage, 3721,
     /* 1616233 */     GIR_EraseRootFromParent_Done,
     /* 1616234 */   // Label 22278: @1616234
     /* 1616234 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1616320), // Rule ID 3722 //
     /* 1616239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1616259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616285 */     // MIs[0] policy
     /* 1616285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616319 */     // GIR_Coverage, 3722,
     /* 1616319 */     GIR_EraseRootFromParent_Done,
     /* 1616320 */   // Label 22279: @1616320
     /* 1616320 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1616406), // Rule ID 3725 //
     /* 1616325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616371 */     // MIs[0] policy
     /* 1616371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616405 */     // GIR_Coverage, 3725,
     /* 1616405 */     GIR_EraseRootFromParent_Done,
     /* 1616406 */   // Label 22280: @1616406
     /* 1616406 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1616492), // Rule ID 3726 //
     /* 1616411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1616431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616457 */     // MIs[0] policy
     /* 1616457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616491 */     // GIR_Coverage, 3726,
     /* 1616491 */     GIR_EraseRootFromParent_Done,
     /* 1616492 */   // Label 22281: @1616492
     /* 1616492 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1616578), // Rule ID 3729 //
     /* 1616497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616543 */     // MIs[0] policy
     /* 1616543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616577 */     // GIR_Coverage, 3729,
     /* 1616577 */     GIR_EraseRootFromParent_Done,
     /* 1616578 */   // Label 22282: @1616578
     /* 1616578 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1616664), // Rule ID 3730 //
     /* 1616583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616629 */     // MIs[0] policy
     /* 1616629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1616642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616663 */     // GIR_Coverage, 3730,
     /* 1616663 */     GIR_EraseRootFromParent_Done,
     /* 1616664 */   // Label 22283: @1616664
     /* 1616664 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1616750), // Rule ID 3733 //
     /* 1616669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616715 */     // MIs[0] policy
     /* 1616715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616725 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616749 */     // GIR_Coverage, 3733,
     /* 1616749 */     GIR_EraseRootFromParent_Done,
     /* 1616750 */   // Label 22284: @1616750
     /* 1616750 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1616836), // Rule ID 3734 //
     /* 1616755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616801 */     // MIs[0] policy
     /* 1616801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616835 */     // GIR_Coverage, 3734,
     /* 1616835 */     GIR_EraseRootFromParent_Done,
     /* 1616836 */   // Label 22285: @1616836
     /* 1616836 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1616922), // Rule ID 3737 //
     /* 1616841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616887 */     // MIs[0] policy
     /* 1616887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616921 */     // GIR_Coverage, 3737,
     /* 1616921 */     GIR_EraseRootFromParent_Done,
     /* 1616922 */   // Label 22286: @1616922
     /* 1616922 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617008), // Rule ID 3738 //
     /* 1616927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616973 */     // MIs[0] policy
     /* 1616973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617007 */     // GIR_Coverage, 3738,
     /* 1617007 */     GIR_EraseRootFromParent_Done,
     /* 1617008 */   // Label 22287: @1617008
     /* 1617008 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617094), // Rule ID 3741 //
     /* 1617013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617059 */     // MIs[0] policy
     /* 1617059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617093 */     // GIR_Coverage, 3741,
     /* 1617093 */     GIR_EraseRootFromParent_Done,
     /* 1617094 */   // Label 22288: @1617094
     /* 1617094 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1617180), // Rule ID 3742 //
     /* 1617099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1617119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617145 */     // MIs[0] policy
     /* 1617145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617179 */     // GIR_Coverage, 3742,
     /* 1617179 */     GIR_EraseRootFromParent_Done,
     /* 1617180 */   // Label 22289: @1617180
     /* 1617180 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1617266), // Rule ID 3745 //
     /* 1617185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617231 */     // MIs[0] policy
     /* 1617231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617265 */     // GIR_Coverage, 3745,
     /* 1617265 */     GIR_EraseRootFromParent_Done,
     /* 1617266 */   // Label 22290: @1617266
     /* 1617266 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1617352), // Rule ID 3746 //
     /* 1617271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1617291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617317 */     // MIs[0] policy
     /* 1617317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617351 */     // GIR_Coverage, 3746,
     /* 1617351 */     GIR_EraseRootFromParent_Done,
     /* 1617352 */   // Label 22291: @1617352
     /* 1617352 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1617438), // Rule ID 3749 //
     /* 1617357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617403 */     // MIs[0] policy
     /* 1617403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617437 */     // GIR_Coverage, 3749,
     /* 1617437 */     GIR_EraseRootFromParent_Done,
     /* 1617438 */   // Label 22292: @1617438
     /* 1617438 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1617524), // Rule ID 3750 //
     /* 1617443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1617463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617489 */     // MIs[0] policy
     /* 1617489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1617502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617523 */     // GIR_Coverage, 3750,
     /* 1617523 */     GIR_EraseRootFromParent_Done,
     /* 1617524 */   // Label 22293: @1617524
     /* 1617524 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1617610), // Rule ID 3753 //
     /* 1617529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617575 */     // MIs[0] policy
     /* 1617575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617585 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617609 */     // GIR_Coverage, 3753,
     /* 1617609 */     GIR_EraseRootFromParent_Done,
     /* 1617610 */   // Label 22294: @1617610
     /* 1617610 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1617696), // Rule ID 3754 //
     /* 1617615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617661 */     // MIs[0] policy
     /* 1617661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1617674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617695 */     // GIR_Coverage, 3754,
     /* 1617695 */     GIR_EraseRootFromParent_Done,
     /* 1617696 */   // Label 22295: @1617696
     /* 1617696 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1617782), // Rule ID 3757 //
     /* 1617701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617747 */     // MIs[0] policy
     /* 1617747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617757 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617781 */     // GIR_Coverage, 3757,
     /* 1617781 */     GIR_EraseRootFromParent_Done,
     /* 1617782 */   // Label 22296: @1617782
     /* 1617782 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1617868), // Rule ID 3758 //
     /* 1617787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617833 */     // MIs[0] policy
     /* 1617833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1617846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617867 */     // GIR_Coverage, 3758,
     /* 1617867 */     GIR_EraseRootFromParent_Done,
     /* 1617868 */   // Label 22297: @1617868
     /* 1617868 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1617954), // Rule ID 3761 //
     /* 1617873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617919 */     // MIs[0] policy
     /* 1617919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617929 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1617932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617953 */     // GIR_Coverage, 3761,
     /* 1617953 */     GIR_EraseRootFromParent_Done,
     /* 1617954 */   // Label 22298: @1617954
     /* 1617954 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618040), // Rule ID 3762 //
     /* 1617959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618005 */     // MIs[0] policy
     /* 1618005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618015 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1618018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618039 */     // GIR_Coverage, 3762,
     /* 1618039 */     GIR_EraseRootFromParent_Done,
     /* 1618040 */   // Label 22299: @1618040
     /* 1618040 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1618126), // Rule ID 3765 //
     /* 1618045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618091 */     // MIs[0] policy
     /* 1618091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618125 */     // GIR_Coverage, 3765,
     /* 1618125 */     GIR_EraseRootFromParent_Done,
     /* 1618126 */   // Label 22300: @1618126
     /* 1618126 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1618212), // Rule ID 3766 //
     /* 1618131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618177 */     // MIs[0] policy
     /* 1618177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1618190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618211 */     // GIR_Coverage, 3766,
     /* 1618211 */     GIR_EraseRootFromParent_Done,
     /* 1618212 */   // Label 22301: @1618212
     /* 1618212 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1618298), // Rule ID 3769 //
     /* 1618217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618263 */     // MIs[0] policy
     /* 1618263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618297 */     // GIR_Coverage, 3769,
     /* 1618297 */     GIR_EraseRootFromParent_Done,
     /* 1618298 */   // Label 22302: @1618298
     /* 1618298 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1618384), // Rule ID 3770 //
     /* 1618303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618349 */     // MIs[0] policy
     /* 1618349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618383 */     // GIR_Coverage, 3770,
     /* 1618383 */     GIR_EraseRootFromParent_Done,
     /* 1618384 */   // Label 22303: @1618384
     /* 1618384 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1618470), // Rule ID 3773 //
     /* 1618389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618435 */     // MIs[0] policy
     /* 1618435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618469 */     // GIR_Coverage, 3773,
     /* 1618469 */     GIR_EraseRootFromParent_Done,
     /* 1618470 */   // Label 22304: @1618470
     /* 1618470 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1618556), // Rule ID 3774 //
     /* 1618475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1618486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1618489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1618492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618521 */     // MIs[0] policy
     /* 1618521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618555 */     // GIR_Coverage, 3774,
     /* 1618555 */     GIR_EraseRootFromParent_Done,
     /* 1618556 */   // Label 22305: @1618556
     /* 1618556 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1618642), // Rule ID 3777 //
     /* 1618561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618607 */     // MIs[0] policy
     /* 1618607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618641 */     // GIR_Coverage, 3777,
     /* 1618641 */     GIR_EraseRootFromParent_Done,
     /* 1618642 */   // Label 22306: @1618642
     /* 1618642 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1618728), // Rule ID 3778 //
     /* 1618647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618693 */     // MIs[0] policy
     /* 1618693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618727 */     // GIR_Coverage, 3778,
     /* 1618727 */     GIR_EraseRootFromParent_Done,
     /* 1618728 */   // Label 22307: @1618728
     /* 1618728 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1618814), // Rule ID 3781 //
     /* 1618733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618779 */     // MIs[0] policy
     /* 1618779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618813 */     // GIR_Coverage, 3781,
     /* 1618813 */     GIR_EraseRootFromParent_Done,
     /* 1618814 */   // Label 22308: @1618814
     /* 1618814 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1618900), // Rule ID 3782 //
     /* 1618819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618865 */     // MIs[0] policy
     /* 1618865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618899 */     // GIR_Coverage, 3782,
     /* 1618899 */     GIR_EraseRootFromParent_Done,
     /* 1618900 */   // Label 22309: @1618900
     /* 1618900 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1618986), // Rule ID 3785 //
     /* 1618905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618951 */     // MIs[0] policy
     /* 1618951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1618964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618985 */     // GIR_Coverage, 3785,
     /* 1618985 */     GIR_EraseRootFromParent_Done,
     /* 1618986 */   // Label 22310: @1618986
     /* 1618986 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619072), // Rule ID 3786 //
     /* 1618991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619037 */     // MIs[0] policy
     /* 1619037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619071 */     // GIR_Coverage, 3786,
     /* 1619071 */     GIR_EraseRootFromParent_Done,
     /* 1619072 */   // Label 22311: @1619072
     /* 1619072 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1619158), // Rule ID 3789 //
     /* 1619077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619123 */     // MIs[0] policy
     /* 1619123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619157 */     // GIR_Coverage, 3789,
     /* 1619157 */     GIR_EraseRootFromParent_Done,
     /* 1619158 */   // Label 22312: @1619158
     /* 1619158 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1619244), // Rule ID 3790 //
     /* 1619163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619209 */     // MIs[0] policy
     /* 1619209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1619222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619243 */     // GIR_Coverage, 3790,
     /* 1619243 */     GIR_EraseRootFromParent_Done,
     /* 1619244 */   // Label 22313: @1619244
     /* 1619244 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1619330), // Rule ID 3793 //
     /* 1619249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619295 */     // MIs[0] policy
     /* 1619295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619329 */     // GIR_Coverage, 3793,
     /* 1619329 */     GIR_EraseRootFromParent_Done,
     /* 1619330 */   // Label 22314: @1619330
     /* 1619330 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1619416), // Rule ID 3794 //
     /* 1619335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1619346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1619349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619381 */     // MIs[0] policy
     /* 1619381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619415 */     // GIR_Coverage, 3794,
     /* 1619415 */     GIR_EraseRootFromParent_Done,
     /* 1619416 */   // Label 22315: @1619416
     /* 1619416 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1619502), // Rule ID 3797 //
     /* 1619421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619467 */     // MIs[0] policy
     /* 1619467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619501 */     // GIR_Coverage, 3797,
     /* 1619501 */     GIR_EraseRootFromParent_Done,
     /* 1619502 */   // Label 22316: @1619502
     /* 1619502 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1619588), // Rule ID 3798 //
     /* 1619507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1619518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1619521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1619524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619553 */     // MIs[0] policy
     /* 1619553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619587 */     // GIR_Coverage, 3798,
     /* 1619587 */     GIR_EraseRootFromParent_Done,
     /* 1619588 */   // Label 22317: @1619588
     /* 1619588 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1619674), // Rule ID 3801 //
     /* 1619593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619639 */     // MIs[0] policy
     /* 1619639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619673 */     // GIR_Coverage, 3801,
     /* 1619673 */     GIR_EraseRootFromParent_Done,
     /* 1619674 */   // Label 22318: @1619674
     /* 1619674 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1619760), // Rule ID 3802 //
     /* 1619679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619725 */     // MIs[0] policy
     /* 1619725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619759 */     // GIR_Coverage, 3802,
     /* 1619759 */     GIR_EraseRootFromParent_Done,
     /* 1619760 */   // Label 22319: @1619760
     /* 1619760 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1619846), // Rule ID 3805 //
     /* 1619765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619811 */     // MIs[0] policy
     /* 1619811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619845 */     // GIR_Coverage, 3805,
     /* 1619845 */     GIR_EraseRootFromParent_Done,
     /* 1619846 */   // Label 22320: @1619846
     /* 1619846 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1619932), // Rule ID 3806 //
     /* 1619851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619897 */     // MIs[0] policy
     /* 1619897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619931 */     // GIR_Coverage, 3806,
     /* 1619931 */     GIR_EraseRootFromParent_Done,
     /* 1619932 */   // Label 22321: @1619932
     /* 1619932 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620018), // Rule ID 3809 //
     /* 1619937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619983 */     // MIs[0] policy
     /* 1619983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1619996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620017 */     // GIR_Coverage, 3809,
     /* 1620017 */     GIR_EraseRootFromParent_Done,
     /* 1620018 */   // Label 22322: @1620018
     /* 1620018 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620104), // Rule ID 3810 //
     /* 1620023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620069 */     // MIs[0] policy
     /* 1620069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1620082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620103 */     // GIR_Coverage, 3810,
     /* 1620103 */     GIR_EraseRootFromParent_Done,
     /* 1620104 */   // Label 22323: @1620104
     /* 1620104 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1620190), // Rule ID 3813 //
     /* 1620109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620155 */     // MIs[0] policy
     /* 1620155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620189 */     // GIR_Coverage, 3813,
     /* 1620189 */     GIR_EraseRootFromParent_Done,
     /* 1620190 */   // Label 22324: @1620190
     /* 1620190 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1620276), // Rule ID 3814 //
     /* 1620195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1620206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1620209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620241 */     // MIs[0] policy
     /* 1620241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620251 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1620254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620275 */     // GIR_Coverage, 3814,
     /* 1620275 */     GIR_EraseRootFromParent_Done,
     /* 1620276 */   // Label 22325: @1620276
     /* 1620276 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1620362), // Rule ID 3817 //
     /* 1620281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620327 */     // MIs[0] policy
     /* 1620327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620337 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620361 */     // GIR_Coverage, 3817,
     /* 1620361 */     GIR_EraseRootFromParent_Done,
     /* 1620362 */   // Label 22326: @1620362
     /* 1620362 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1620448), // Rule ID 3818 //
     /* 1620367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1620378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1620381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1620384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620413 */     // MIs[0] policy
     /* 1620413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620423 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1620426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620447 */     // GIR_Coverage, 3818,
     /* 1620447 */     GIR_EraseRootFromParent_Done,
     /* 1620448 */   // Label 22327: @1620448
     /* 1620448 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1620534), // Rule ID 3821 //
     /* 1620453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620499 */     // MIs[0] policy
     /* 1620499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620533 */     // GIR_Coverage, 3821,
     /* 1620533 */     GIR_EraseRootFromParent_Done,
     /* 1620534 */   // Label 22328: @1620534
     /* 1620534 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1620620), // Rule ID 3822 //
     /* 1620539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1620542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1620550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1620553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1620556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620585 */     // MIs[0] policy
     /* 1620585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1620598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620619 */     // GIR_Coverage, 3822,
     /* 1620619 */     GIR_EraseRootFromParent_Done,
     /* 1620620 */   // Label 22329: @1620620
     /* 1620620 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1620706), // Rule ID 3825 //
     /* 1620625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620671 */     // MIs[0] policy
     /* 1620671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620681 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1620684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620705 */     // GIR_Coverage, 3825,
     /* 1620705 */     GIR_EraseRootFromParent_Done,
     /* 1620706 */   // Label 22330: @1620706
     /* 1620706 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1620792), // Rule ID 3826 //
     /* 1620711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620757 */     // MIs[0] policy
     /* 1620757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1620770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620791 */     // GIR_Coverage, 3826,
     /* 1620791 */     GIR_EraseRootFromParent_Done,
     /* 1620792 */   // Label 22331: @1620792
     /* 1620792 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1620878), // Rule ID 3829 //
     /* 1620797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620843 */     // MIs[0] policy
     /* 1620843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620877 */     // GIR_Coverage, 3829,
     /* 1620877 */     GIR_EraseRootFromParent_Done,
     /* 1620878 */   // Label 22332: @1620878
     /* 1620878 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1620964), // Rule ID 3830 //
     /* 1620883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620929 */     // MIs[0] policy
     /* 1620929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620963 */     // GIR_Coverage, 3830,
     /* 1620963 */     GIR_EraseRootFromParent_Done,
     /* 1620964 */   // Label 22333: @1620964
     /* 1620964 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621050), // Rule ID 3833 //
     /* 1620969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1620989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621015 */     // MIs[0] policy
     /* 1621015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621049 */     // GIR_Coverage, 3833,
     /* 1621049 */     GIR_EraseRootFromParent_Done,
     /* 1621050 */   // Label 22334: @1621050
     /* 1621050 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1621136), // Rule ID 3834 //
     /* 1621055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1621066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1621069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1621072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1621075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621101 */     // MIs[0] policy
     /* 1621101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621111 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621135 */     // GIR_Coverage, 3834,
     /* 1621135 */     GIR_EraseRootFromParent_Done,
     /* 1621136 */   // Label 22335: @1621136
     /* 1621136 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1621222), // Rule ID 3837 //
     /* 1621141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621187 */     // MIs[0] policy
     /* 1621187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621221 */     // GIR_Coverage, 3837,
     /* 1621221 */     GIR_EraseRootFromParent_Done,
     /* 1621222 */   // Label 22336: @1621222
     /* 1621222 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1621308), // Rule ID 3838 //
     /* 1621227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1621244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1621247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621273 */     // MIs[0] policy
     /* 1621273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621307 */     // GIR_Coverage, 3838,
     /* 1621307 */     GIR_EraseRootFromParent_Done,
     /* 1621308 */   // Label 22337: @1621308
     /* 1621308 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1621394), // Rule ID 3841 //
     /* 1621313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621359 */     // MIs[0] policy
     /* 1621359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621393 */     // GIR_Coverage, 3841,
     /* 1621393 */     GIR_EraseRootFromParent_Done,
     /* 1621394 */   // Label 22338: @1621394
     /* 1621394 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1621480), // Rule ID 3842 //
     /* 1621399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621445 */     // MIs[0] policy
     /* 1621445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621479 */     // GIR_Coverage, 3842,
     /* 1621479 */     GIR_EraseRootFromParent_Done,
     /* 1621480 */   // Label 22339: @1621480
     /* 1621480 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1621566), // Rule ID 3845 //
     /* 1621485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621531 */     // MIs[0] policy
     /* 1621531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621565 */     // GIR_Coverage, 3845,
     /* 1621565 */     GIR_EraseRootFromParent_Done,
     /* 1621566 */   // Label 22340: @1621566
     /* 1621566 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1621652), // Rule ID 3846 //
     /* 1621571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621617 */     // MIs[0] policy
     /* 1621617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621651 */     // GIR_Coverage, 3846,
     /* 1621651 */     GIR_EraseRootFromParent_Done,
     /* 1621652 */   // Label 22341: @1621652
     /* 1621652 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1621738), // Rule ID 3849 //
     /* 1621657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621703 */     // MIs[0] policy
     /* 1621703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621737 */     // GIR_Coverage, 3849,
     /* 1621737 */     GIR_EraseRootFromParent_Done,
     /* 1621738 */   // Label 22342: @1621738
     /* 1621738 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1621824), // Rule ID 3850 //
     /* 1621743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621789 */     // MIs[0] policy
     /* 1621789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1621802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621823 */     // GIR_Coverage, 3850,
     /* 1621823 */     GIR_EraseRootFromParent_Done,
     /* 1621824 */   // Label 22343: @1621824
     /* 1621824 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1621910), // Rule ID 3853 //
     /* 1621829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621875 */     // MIs[0] policy
     /* 1621875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621909 */     // GIR_Coverage, 3853,
     /* 1621909 */     GIR_EraseRootFromParent_Done,
     /* 1621910 */   // Label 22344: @1621910
     /* 1621910 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1621996), // Rule ID 3854 //
     /* 1621915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621961 */     // MIs[0] policy
     /* 1621961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621995 */     // GIR_Coverage, 3854,
     /* 1621995 */     GIR_EraseRootFromParent_Done,
     /* 1621996 */   // Label 22345: @1621996
     /* 1621996 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622082), // Rule ID 3857 //
     /* 1622001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622047 */     // MIs[0] policy
     /* 1622047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622081 */     // GIR_Coverage, 3857,
     /* 1622081 */     GIR_EraseRootFromParent_Done,
     /* 1622082 */   // Label 22346: @1622082
     /* 1622082 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1622168), // Rule ID 3858 //
     /* 1622087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1622107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622133 */     // MIs[0] policy
     /* 1622133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622167 */     // GIR_Coverage, 3858,
     /* 1622167 */     GIR_EraseRootFromParent_Done,
     /* 1622168 */   // Label 22347: @1622168
     /* 1622168 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1622254), // Rule ID 3861 //
     /* 1622173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622219 */     // MIs[0] policy
     /* 1622219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622229 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622253 */     // GIR_Coverage, 3861,
     /* 1622253 */     GIR_EraseRootFromParent_Done,
     /* 1622254 */   // Label 22348: @1622254
     /* 1622254 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1622340), // Rule ID 3862 //
     /* 1622259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1622279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622305 */     // MIs[0] policy
     /* 1622305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622339 */     // GIR_Coverage, 3862,
     /* 1622339 */     GIR_EraseRootFromParent_Done,
     /* 1622340 */   // Label 22349: @1622340
     /* 1622340 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1622426), // Rule ID 3865 //
     /* 1622345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622391 */     // MIs[0] policy
     /* 1622391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622401 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622425 */     // GIR_Coverage, 3865,
     /* 1622425 */     GIR_EraseRootFromParent_Done,
     /* 1622426 */   // Label 22350: @1622426
     /* 1622426 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1622512), // Rule ID 3866 //
     /* 1622431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1622451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622477 */     // MIs[0] policy
     /* 1622477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1622490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622511 */     // GIR_Coverage, 3866,
     /* 1622511 */     GIR_EraseRootFromParent_Done,
     /* 1622512 */   // Label 22351: @1622512
     /* 1622512 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1622598), // Rule ID 3869 //
     /* 1622517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622563 */     // MIs[0] policy
     /* 1622563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622597 */     // GIR_Coverage, 3869,
     /* 1622597 */     GIR_EraseRootFromParent_Done,
     /* 1622598 */   // Label 22352: @1622598
     /* 1622598 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1622684), // Rule ID 3870 //
     /* 1622603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622649 */     // MIs[0] policy
     /* 1622649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1622662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622683 */     // GIR_Coverage, 3870,
     /* 1622683 */     GIR_EraseRootFromParent_Done,
     /* 1622684 */   // Label 22353: @1622684
     /* 1622684 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1622770), // Rule ID 3873 //
     /* 1622689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622735 */     // MIs[0] policy
     /* 1622735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622769 */     // GIR_Coverage, 3873,
     /* 1622769 */     GIR_EraseRootFromParent_Done,
     /* 1622770 */   // Label 22354: @1622770
     /* 1622770 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1622856), // Rule ID 3874 //
     /* 1622775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622821 */     // MIs[0] policy
     /* 1622821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1622834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622855 */     // GIR_Coverage, 3874,
     /* 1622855 */     GIR_EraseRootFromParent_Done,
     /* 1622856 */   // Label 22355: @1622856
     /* 1622856 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1622942), // Rule ID 3877 //
     /* 1622861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622907 */     // MIs[0] policy
     /* 1622907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622917 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1622920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622941 */     // GIR_Coverage, 3877,
     /* 1622941 */     GIR_EraseRootFromParent_Done,
     /* 1622942 */   // Label 22356: @1622942
     /* 1622942 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623028), // Rule ID 3878 //
     /* 1622947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622993 */     // MIs[0] policy
     /* 1622993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1623006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623027 */     // GIR_Coverage, 3878,
     /* 1623027 */     GIR_EraseRootFromParent_Done,
     /* 1623028 */   // Label 22357: @1623028
     /* 1623028 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623114), // Rule ID 3881 //
     /* 1623033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623079 */     // MIs[0] policy
     /* 1623079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623113 */     // GIR_Coverage, 3881,
     /* 1623113 */     GIR_EraseRootFromParent_Done,
     /* 1623114 */   // Label 22358: @1623114
     /* 1623114 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1623200), // Rule ID 3882 //
     /* 1623119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1623139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623165 */     // MIs[0] policy
     /* 1623165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1623178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623199 */     // GIR_Coverage, 3882,
     /* 1623199 */     GIR_EraseRootFromParent_Done,
     /* 1623200 */   // Label 22359: @1623200
     /* 1623200 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1623286), // Rule ID 3885 //
     /* 1623205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623251 */     // MIs[0] policy
     /* 1623251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623285 */     // GIR_Coverage, 3885,
     /* 1623285 */     GIR_EraseRootFromParent_Done,
     /* 1623286 */   // Label 22360: @1623286
     /* 1623286 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1623372), // Rule ID 3886 //
     /* 1623291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623337 */     // MIs[0] policy
     /* 1623337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1623350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623371 */     // GIR_Coverage, 3886,
     /* 1623371 */     GIR_EraseRootFromParent_Done,
     /* 1623372 */   // Label 22361: @1623372
     /* 1623372 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1623458), // Rule ID 3889 //
     /* 1623377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623423 */     // MIs[0] policy
     /* 1623423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623457 */     // GIR_Coverage, 3889,
     /* 1623457 */     GIR_EraseRootFromParent_Done,
     /* 1623458 */   // Label 22362: @1623458
     /* 1623458 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1623544), // Rule ID 3890 //
     /* 1623463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623509 */     // MIs[0] policy
     /* 1623509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623543 */     // GIR_Coverage, 3890,
     /* 1623543 */     GIR_EraseRootFromParent_Done,
     /* 1623544 */   // Label 22363: @1623544
     /* 1623544 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1623630), // Rule ID 3893 //
     /* 1623549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623595 */     // MIs[0] policy
     /* 1623595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623629 */     // GIR_Coverage, 3893,
     /* 1623629 */     GIR_EraseRootFromParent_Done,
     /* 1623630 */   // Label 22364: @1623630
     /* 1623630 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1623716), // Rule ID 3894 //
     /* 1623635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623681 */     // MIs[0] policy
     /* 1623681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623715 */     // GIR_Coverage, 3894,
     /* 1623715 */     GIR_EraseRootFromParent_Done,
     /* 1623716 */   // Label 22365: @1623716
     /* 1623716 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1623802), // Rule ID 3897 //
     /* 1623721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623767 */     // MIs[0] policy
     /* 1623767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623801 */     // GIR_Coverage, 3897,
     /* 1623801 */     GIR_EraseRootFromParent_Done,
     /* 1623802 */   // Label 22366: @1623802
     /* 1623802 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1623888), // Rule ID 3898 //
     /* 1623807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623853 */     // MIs[0] policy
     /* 1623853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623887 */     // GIR_Coverage, 3898,
     /* 1623887 */     GIR_EraseRootFromParent_Done,
     /* 1623888 */   // Label 22367: @1623888
     /* 1623888 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1623974), // Rule ID 3901 //
     /* 1623893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623939 */     // MIs[0] policy
     /* 1623939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1623952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623973 */     // GIR_Coverage, 3901,
     /* 1623973 */     GIR_EraseRootFromParent_Done,
     /* 1623974 */   // Label 22368: @1623974
     /* 1623974 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624060), // Rule ID 3902 //
     /* 1623979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624025 */     // MIs[0] policy
     /* 1624025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624035 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624059 */     // GIR_Coverage, 3902,
     /* 1624059 */     GIR_EraseRootFromParent_Done,
     /* 1624060 */   // Label 22369: @1624060
     /* 1624060 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1624146), // Rule ID 3905 //
     /* 1624065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624111 */     // MIs[0] policy
     /* 1624111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624145 */     // GIR_Coverage, 3905,
     /* 1624145 */     GIR_EraseRootFromParent_Done,
     /* 1624146 */   // Label 22370: @1624146
     /* 1624146 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1624232), // Rule ID 3906 //
     /* 1624151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1624162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1624165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1624168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1624174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624197 */     // MIs[0] policy
     /* 1624197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624207 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624231 */     // GIR_Coverage, 3906,
     /* 1624231 */     GIR_EraseRootFromParent_Done,
     /* 1624232 */   // Label 22371: @1624232
     /* 1624232 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1624318), // Rule ID 3909 //
     /* 1624237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624283 */     // MIs[0] policy
     /* 1624283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624317 */     // GIR_Coverage, 3909,
     /* 1624317 */     GIR_EraseRootFromParent_Done,
     /* 1624318 */   // Label 22372: @1624318
     /* 1624318 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1624404), // Rule ID 3910 //
     /* 1624323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624369 */     // MIs[0] policy
     /* 1624369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1624382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624403 */     // GIR_Coverage, 3910,
     /* 1624403 */     GIR_EraseRootFromParent_Done,
     /* 1624404 */   // Label 22373: @1624404
     /* 1624404 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1624490), // Rule ID 3913 //
     /* 1624409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624455 */     // MIs[0] policy
     /* 1624455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624489 */     // GIR_Coverage, 3913,
     /* 1624489 */     GIR_EraseRootFromParent_Done,
     /* 1624490 */   // Label 22374: @1624490
     /* 1624490 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1624576), // Rule ID 3914 //
     /* 1624495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624541 */     // MIs[0] policy
     /* 1624541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624575 */     // GIR_Coverage, 3914,
     /* 1624575 */     GIR_EraseRootFromParent_Done,
     /* 1624576 */   // Label 22375: @1624576
     /* 1624576 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1624662), // Rule ID 3917 //
     /* 1624581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624627 */     // MIs[0] policy
     /* 1624627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624661 */     // GIR_Coverage, 3917,
     /* 1624661 */     GIR_EraseRootFromParent_Done,
     /* 1624662 */   // Label 22376: @1624662
     /* 1624662 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1624748), // Rule ID 3918 //
     /* 1624667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624713 */     // MIs[0] policy
     /* 1624713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624747 */     // GIR_Coverage, 3918,
     /* 1624747 */     GIR_EraseRootFromParent_Done,
     /* 1624748 */   // Label 22377: @1624748
     /* 1624748 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1624834), // Rule ID 3921 //
     /* 1624753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624799 */     // MIs[0] policy
     /* 1624799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624833 */     // GIR_Coverage, 3921,
     /* 1624833 */     GIR_EraseRootFromParent_Done,
     /* 1624834 */   // Label 22378: @1624834
     /* 1624834 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1624920), // Rule ID 3922 //
     /* 1624839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624885 */     // MIs[0] policy
     /* 1624885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624895 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624919 */     // GIR_Coverage, 3922,
     /* 1624919 */     GIR_EraseRootFromParent_Done,
     /* 1624920 */   // Label 22379: @1624920
     /* 1624920 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625006), // Rule ID 3925 //
     /* 1624925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624971 */     // MIs[0] policy
     /* 1624971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624981 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625005 */     // GIR_Coverage, 3925,
     /* 1625005 */     GIR_EraseRootFromParent_Done,
     /* 1625006 */   // Label 22380: @1625006
     /* 1625006 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625092), // Rule ID 3926 //
     /* 1625011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625057 */     // MIs[0] policy
     /* 1625057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625091 */     // GIR_Coverage, 3926,
     /* 1625091 */     GIR_EraseRootFromParent_Done,
     /* 1625092 */   // Label 22381: @1625092
     /* 1625092 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1625178), // Rule ID 3929 //
     /* 1625097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625143 */     // MIs[0] policy
     /* 1625143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625177 */     // GIR_Coverage, 3929,
     /* 1625177 */     GIR_EraseRootFromParent_Done,
     /* 1625178 */   // Label 22382: @1625178
     /* 1625178 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1625264), // Rule ID 3930 //
     /* 1625183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1625194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1625197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625229 */     // MIs[0] policy
     /* 1625229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1625242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625263 */     // GIR_Coverage, 3930,
     /* 1625263 */     GIR_EraseRootFromParent_Done,
     /* 1625264 */   // Label 22383: @1625264
     /* 1625264 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1625350), // Rule ID 3933 //
     /* 1625269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625315 */     // MIs[0] policy
     /* 1625315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625349 */     // GIR_Coverage, 3933,
     /* 1625349 */     GIR_EraseRootFromParent_Done,
     /* 1625350 */   // Label 22384: @1625350
     /* 1625350 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1625436), // Rule ID 3934 //
     /* 1625355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1625366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1625369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625401 */     // MIs[0] policy
     /* 1625401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1625414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625435 */     // GIR_Coverage, 3934,
     /* 1625435 */     GIR_EraseRootFromParent_Done,
     /* 1625436 */   // Label 22385: @1625436
     /* 1625436 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1625522), // Rule ID 3937 //
     /* 1625441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625487 */     // MIs[0] policy
     /* 1625487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625521 */     // GIR_Coverage, 3937,
     /* 1625521 */     GIR_EraseRootFromParent_Done,
     /* 1625522 */   // Label 22386: @1625522
     /* 1625522 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1625608), // Rule ID 3938 //
     /* 1625527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1625538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1625541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625573 */     // MIs[0] policy
     /* 1625573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1625586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625607 */     // GIR_Coverage, 3938,
     /* 1625607 */     GIR_EraseRootFromParent_Done,
     /* 1625608 */   // Label 22387: @1625608
     /* 1625608 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1625694), // Rule ID 3941 //
     /* 1625613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625659 */     // MIs[0] policy
     /* 1625659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625693 */     // GIR_Coverage, 3941,
     /* 1625693 */     GIR_EraseRootFromParent_Done,
     /* 1625694 */   // Label 22388: @1625694
     /* 1625694 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1625780), // Rule ID 3942 //
     /* 1625699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625745 */     // MIs[0] policy
     /* 1625745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1625758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625779 */     // GIR_Coverage, 3942,
     /* 1625779 */     GIR_EraseRootFromParent_Done,
     /* 1625780 */   // Label 22389: @1625780
     /* 1625780 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1625866), // Rule ID 3951 //
     /* 1625785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625831 */     // MIs[0] policy
     /* 1625831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625865 */     // GIR_Coverage, 3951,
     /* 1625865 */     GIR_EraseRootFromParent_Done,
     /* 1625866 */   // Label 22390: @1625866
     /* 1625866 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1625952), // Rule ID 3952 //
     /* 1625871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625917 */     // MIs[0] policy
     /* 1625917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625951 */     // GIR_Coverage, 3952,
     /* 1625951 */     GIR_EraseRootFromParent_Done,
     /* 1625952 */   // Label 22391: @1625952
     /* 1625952 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626038), // Rule ID 3961 //
     /* 1625957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626003 */     // MIs[0] policy
     /* 1626003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626013 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626037 */     // GIR_Coverage, 3961,
     /* 1626037 */     GIR_EraseRootFromParent_Done,
     /* 1626038 */   // Label 22392: @1626038
     /* 1626038 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626124), // Rule ID 3962 //
     /* 1626043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1626054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1626057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1626063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626089 */     // MIs[0] policy
     /* 1626089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626123 */     // GIR_Coverage, 3962,
     /* 1626123 */     GIR_EraseRootFromParent_Done,
     /* 1626124 */   // Label 22393: @1626124
     /* 1626124 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1626210), // Rule ID 3971 //
     /* 1626129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626175 */     // MIs[0] policy
     /* 1626175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626209 */     // GIR_Coverage, 3971,
     /* 1626209 */     GIR_EraseRootFromParent_Done,
     /* 1626210 */   // Label 22394: @1626210
     /* 1626210 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1626296), // Rule ID 3972 //
     /* 1626215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1626226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1626229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1626235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626261 */     // MIs[0] policy
     /* 1626261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626271 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626295 */     // GIR_Coverage, 3972,
     /* 1626295 */     GIR_EraseRootFromParent_Done,
     /* 1626296 */   // Label 22395: @1626296
     /* 1626296 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1626382), // Rule ID 3981 //
     /* 1626301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626347 */     // MIs[0] policy
     /* 1626347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626381 */     // GIR_Coverage, 3981,
     /* 1626381 */     GIR_EraseRootFromParent_Done,
     /* 1626382 */   // Label 22396: @1626382
     /* 1626382 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1626468), // Rule ID 3982 //
     /* 1626387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626433 */     // MIs[0] policy
     /* 1626433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626467 */     // GIR_Coverage, 3982,
     /* 1626467 */     GIR_EraseRootFromParent_Done,
     /* 1626468 */   // Label 22397: @1626468
     /* 1626468 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1626554), // Rule ID 3991 //
     /* 1626473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626519 */     // MIs[0] policy
     /* 1626519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626553 */     // GIR_Coverage, 3991,
     /* 1626553 */     GIR_EraseRootFromParent_Done,
     /* 1626554 */   // Label 22398: @1626554
     /* 1626554 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1626640), // Rule ID 3992 //
     /* 1626559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1626576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626605 */     // MIs[0] policy
     /* 1626605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626639 */     // GIR_Coverage, 3992,
     /* 1626639 */     GIR_EraseRootFromParent_Done,
     /* 1626640 */   // Label 22399: @1626640
     /* 1626640 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1626726), // Rule ID 4001 //
     /* 1626645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626691 */     // MIs[0] policy
     /* 1626691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626725 */     // GIR_Coverage, 4001,
     /* 1626725 */     GIR_EraseRootFromParent_Done,
     /* 1626726 */   // Label 22400: @1626726
     /* 1626726 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1626812), // Rule ID 4002 //
     /* 1626731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626777 */     // MIs[0] policy
     /* 1626777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626811 */     // GIR_Coverage, 4002,
     /* 1626811 */     GIR_EraseRootFromParent_Done,
     /* 1626812 */   // Label 22401: @1626812
     /* 1626812 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1626898), // Rule ID 4011 //
     /* 1626817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626863 */     // MIs[0] policy
     /* 1626863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626897 */     // GIR_Coverage, 4011,
     /* 1626897 */     GIR_EraseRootFromParent_Done,
     /* 1626898 */   // Label 22402: @1626898
     /* 1626898 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1626984), // Rule ID 4012 //
     /* 1626903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626949 */     // MIs[0] policy
     /* 1626949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626983 */     // GIR_Coverage, 4012,
     /* 1626983 */     GIR_EraseRootFromParent_Done,
     /* 1626984 */   // Label 22403: @1626984
     /* 1626984 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627070), // Rule ID 4021 //
     /* 1626989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627035 */     // MIs[0] policy
     /* 1627035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627045 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627069 */     // GIR_Coverage, 4021,
     /* 1627069 */     GIR_EraseRootFromParent_Done,
     /* 1627070 */   // Label 22404: @1627070
     /* 1627070 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1627156), // Rule ID 4022 //
     /* 1627075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1627086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1627089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1627095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627121 */     // MIs[0] policy
     /* 1627121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627155 */     // GIR_Coverage, 4022,
     /* 1627155 */     GIR_EraseRootFromParent_Done,
     /* 1627156 */   // Label 22405: @1627156
     /* 1627156 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1627242), // Rule ID 4031 //
     /* 1627161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627207 */     // MIs[0] policy
     /* 1627207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627241 */     // GIR_Coverage, 4031,
     /* 1627241 */     GIR_EraseRootFromParent_Done,
     /* 1627242 */   // Label 22406: @1627242
     /* 1627242 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1627328), // Rule ID 4032 //
     /* 1627247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1627258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1627261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1627267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627293 */     // MIs[0] policy
     /* 1627293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627327 */     // GIR_Coverage, 4032,
     /* 1627327 */     GIR_EraseRootFromParent_Done,
     /* 1627328 */   // Label 22407: @1627328
     /* 1627328 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1627414), // Rule ID 4041 //
     /* 1627333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627379 */     // MIs[0] policy
     /* 1627379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627413 */     // GIR_Coverage, 4041,
     /* 1627413 */     GIR_EraseRootFromParent_Done,
     /* 1627414 */   // Label 22408: @1627414
     /* 1627414 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1627500), // Rule ID 4042 //
     /* 1627419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1627436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627465 */     // MIs[0] policy
     /* 1627465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627499 */     // GIR_Coverage, 4042,
     /* 1627499 */     GIR_EraseRootFromParent_Done,
     /* 1627500 */   // Label 22409: @1627500
     /* 1627500 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1627586), // Rule ID 4051 //
     /* 1627505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627551 */     // MIs[0] policy
     /* 1627551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627585 */     // GIR_Coverage, 4051,
     /* 1627585 */     GIR_EraseRootFromParent_Done,
     /* 1627586 */   // Label 22410: @1627586
     /* 1627586 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1627672), // Rule ID 4052 //
     /* 1627591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627637 */     // MIs[0] policy
     /* 1627637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627671 */     // GIR_Coverage, 4052,
     /* 1627671 */     GIR_EraseRootFromParent_Done,
     /* 1627672 */   // Label 22411: @1627672
     /* 1627672 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1627758), // Rule ID 4061 //
     /* 1627677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627723 */     // MIs[0] policy
     /* 1627723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627757 */     // GIR_Coverage, 4061,
     /* 1627757 */     GIR_EraseRootFromParent_Done,
     /* 1627758 */   // Label 22412: @1627758
     /* 1627758 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1627844), // Rule ID 4062 //
     /* 1627763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627809 */     // MIs[0] policy
     /* 1627809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627843 */     // GIR_Coverage, 4062,
     /* 1627843 */     GIR_EraseRootFromParent_Done,
     /* 1627844 */   // Label 22413: @1627844
     /* 1627844 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1627930), // Rule ID 4071 //
     /* 1627849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627895 */     // MIs[0] policy
     /* 1627895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627929 */     // GIR_Coverage, 4071,
     /* 1627929 */     GIR_EraseRootFromParent_Done,
     /* 1627930 */   // Label 22414: @1627930
     /* 1627930 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628016), // Rule ID 4072 //
     /* 1627935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627981 */     // MIs[0] policy
     /* 1627981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628015 */     // GIR_Coverage, 4072,
     /* 1628015 */     GIR_EraseRootFromParent_Done,
     /* 1628016 */   // Label 22415: @1628016
     /* 1628016 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628102), // Rule ID 4081 //
     /* 1628021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628067 */     // MIs[0] policy
     /* 1628067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628101 */     // GIR_Coverage, 4081,
     /* 1628101 */     GIR_EraseRootFromParent_Done,
     /* 1628102 */   // Label 22416: @1628102
     /* 1628102 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1628188), // Rule ID 4082 //
     /* 1628107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1628118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1628121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1628124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1628127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628153 */     // MIs[0] policy
     /* 1628153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628163 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1628166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628187 */     // GIR_Coverage, 4082,
     /* 1628187 */     GIR_EraseRootFromParent_Done,
     /* 1628188 */   // Label 22417: @1628188
     /* 1628188 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1628274), // Rule ID 4085 //
     /* 1628193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628239 */     // MIs[0] policy
     /* 1628239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628273 */     // GIR_Coverage, 4085,
     /* 1628273 */     GIR_EraseRootFromParent_Done,
     /* 1628274 */   // Label 22418: @1628274
     /* 1628274 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1628360), // Rule ID 4086 //
     /* 1628279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1628290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1628293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628325 */     // MIs[0] policy
     /* 1628325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628335 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1628338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628359 */     // GIR_Coverage, 4086,
     /* 1628359 */     GIR_EraseRootFromParent_Done,
     /* 1628360 */   // Label 22419: @1628360
     /* 1628360 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1628446), // Rule ID 4089 //
     /* 1628365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628411 */     // MIs[0] policy
     /* 1628411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628445 */     // GIR_Coverage, 4089,
     /* 1628445 */     GIR_EraseRootFromParent_Done,
     /* 1628446 */   // Label 22420: @1628446
     /* 1628446 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1628532), // Rule ID 4090 //
     /* 1628451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628497 */     // MIs[0] policy
     /* 1628497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628531 */     // GIR_Coverage, 4090,
     /* 1628531 */     GIR_EraseRootFromParent_Done,
     /* 1628532 */   // Label 22421: @1628532
     /* 1628532 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1628618), // Rule ID 4093 //
     /* 1628537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628583 */     // MIs[0] policy
     /* 1628583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628617 */     // GIR_Coverage, 4093,
     /* 1628617 */     GIR_EraseRootFromParent_Done,
     /* 1628618 */   // Label 22422: @1628618
     /* 1628618 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1628704), // Rule ID 4094 //
     /* 1628623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628669 */     // MIs[0] policy
     /* 1628669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628703 */     // GIR_Coverage, 4094,
     /* 1628703 */     GIR_EraseRootFromParent_Done,
     /* 1628704 */   // Label 22423: @1628704
     /* 1628704 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1628790), // Rule ID 4097 //
     /* 1628709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628755 */     // MIs[0] policy
     /* 1628755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628789 */     // GIR_Coverage, 4097,
     /* 1628789 */     GIR_EraseRootFromParent_Done,
     /* 1628790 */   // Label 22424: @1628790
     /* 1628790 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1628876), // Rule ID 4098 //
     /* 1628795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628841 */     // MIs[0] policy
     /* 1628841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628875 */     // GIR_Coverage, 4098,
     /* 1628875 */     GIR_EraseRootFromParent_Done,
     /* 1628876 */   // Label 22425: @1628876
     /* 1628876 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1628962), // Rule ID 4101 //
     /* 1628881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628927 */     // MIs[0] policy
     /* 1628927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628961 */     // GIR_Coverage, 4101,
     /* 1628961 */     GIR_EraseRootFromParent_Done,
     /* 1628962 */   // Label 22426: @1628962
     /* 1628962 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629048), // Rule ID 4102 //
     /* 1628967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629013 */     // MIs[0] policy
     /* 1629013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629047 */     // GIR_Coverage, 4102,
     /* 1629047 */     GIR_EraseRootFromParent_Done,
     /* 1629048 */   // Label 22427: @1629048
     /* 1629048 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1629134), // Rule ID 4105 //
     /* 1629053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629099 */     // MIs[0] policy
     /* 1629099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629133 */     // GIR_Coverage, 4105,
     /* 1629133 */     GIR_EraseRootFromParent_Done,
     /* 1629134 */   // Label 22428: @1629134
     /* 1629134 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1629220), // Rule ID 4106 //
     /* 1629139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629185 */     // MIs[0] policy
     /* 1629185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629195 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629219 */     // GIR_Coverage, 4106,
     /* 1629219 */     GIR_EraseRootFromParent_Done,
     /* 1629220 */   // Label 22429: @1629220
     /* 1629220 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1629306), // Rule ID 4109 //
     /* 1629225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629271 */     // MIs[0] policy
     /* 1629271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629305 */     // GIR_Coverage, 4109,
     /* 1629305 */     GIR_EraseRootFromParent_Done,
     /* 1629306 */   // Label 22430: @1629306
     /* 1629306 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1629392), // Rule ID 4110 //
     /* 1629311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629357 */     // MIs[0] policy
     /* 1629357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629367 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629391 */     // GIR_Coverage, 4110,
     /* 1629391 */     GIR_EraseRootFromParent_Done,
     /* 1629392 */   // Label 22431: @1629392
     /* 1629392 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1629478), // Rule ID 4113 //
     /* 1629397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629443 */     // MIs[0] policy
     /* 1629443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629477 */     // GIR_Coverage, 4113,
     /* 1629477 */     GIR_EraseRootFromParent_Done,
     /* 1629478 */   // Label 22432: @1629478
     /* 1629478 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1629564), // Rule ID 4114 //
     /* 1629483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629529 */     // MIs[0] policy
     /* 1629529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629563 */     // GIR_Coverage, 4114,
     /* 1629563 */     GIR_EraseRootFromParent_Done,
     /* 1629564 */   // Label 22433: @1629564
     /* 1629564 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1629650), // Rule ID 4117 //
     /* 1629569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629615 */     // MIs[0] policy
     /* 1629615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629625 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629649 */     // GIR_Coverage, 4117,
     /* 1629649 */     GIR_EraseRootFromParent_Done,
     /* 1629650 */   // Label 22434: @1629650
     /* 1629650 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1629736), // Rule ID 4118 //
     /* 1629655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629701 */     // MIs[0] policy
     /* 1629701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629735 */     // GIR_Coverage, 4118,
     /* 1629735 */     GIR_EraseRootFromParent_Done,
     /* 1629736 */   // Label 22435: @1629736
     /* 1629736 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1629822), // Rule ID 4121 //
     /* 1629741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629787 */     // MIs[0] policy
     /* 1629787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629821 */     // GIR_Coverage, 4121,
     /* 1629821 */     GIR_EraseRootFromParent_Done,
     /* 1629822 */   // Label 22436: @1629822
     /* 1629822 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1629908), // Rule ID 4122 //
     /* 1629827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629873 */     // MIs[0] policy
     /* 1629873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629907 */     // GIR_Coverage, 4122,
     /* 1629907 */     GIR_EraseRootFromParent_Done,
     /* 1629908 */   // Label 22437: @1629908
     /* 1629908 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1629994), // Rule ID 4125 //
     /* 1629913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629959 */     // MIs[0] policy
     /* 1629959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629993 */     // GIR_Coverage, 4125,
     /* 1629993 */     GIR_EraseRootFromParent_Done,
     /* 1629994 */   // Label 22438: @1629994
     /* 1629994 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630080), // Rule ID 4126 //
     /* 1629999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630045 */     // MIs[0] policy
     /* 1630045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630079 */     // GIR_Coverage, 4126,
     /* 1630079 */     GIR_EraseRootFromParent_Done,
     /* 1630080 */   // Label 22439: @1630080
     /* 1630080 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1630166), // Rule ID 4129 //
     /* 1630085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630131 */     // MIs[0] policy
     /* 1630131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630165 */     // GIR_Coverage, 4129,
     /* 1630165 */     GIR_EraseRootFromParent_Done,
     /* 1630166 */   // Label 22440: @1630166
     /* 1630166 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1630252), // Rule ID 4130 //
     /* 1630171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630217 */     // MIs[0] policy
     /* 1630217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630251 */     // GIR_Coverage, 4130,
     /* 1630251 */     GIR_EraseRootFromParent_Done,
     /* 1630252 */   // Label 22441: @1630252
     /* 1630252 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1630338), // Rule ID 4133 //
     /* 1630257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630303 */     // MIs[0] policy
     /* 1630303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630337 */     // GIR_Coverage, 4133,
     /* 1630337 */     GIR_EraseRootFromParent_Done,
     /* 1630338 */   // Label 22442: @1630338
     /* 1630338 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1630424), // Rule ID 4134 //
     /* 1630343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630389 */     // MIs[0] policy
     /* 1630389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630423 */     // GIR_Coverage, 4134,
     /* 1630423 */     GIR_EraseRootFromParent_Done,
     /* 1630424 */   // Label 22443: @1630424
     /* 1630424 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1630510), // Rule ID 4137 //
     /* 1630429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630475 */     // MIs[0] policy
     /* 1630475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630509 */     // GIR_Coverage, 4137,
     /* 1630509 */     GIR_EraseRootFromParent_Done,
     /* 1630510 */   // Label 22444: @1630510
     /* 1630510 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1630596), // Rule ID 4138 //
     /* 1630515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630561 */     // MIs[0] policy
     /* 1630561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630595 */     // GIR_Coverage, 4138,
     /* 1630595 */     GIR_EraseRootFromParent_Done,
     /* 1630596 */   // Label 22445: @1630596
     /* 1630596 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1630682), // Rule ID 4141 //
     /* 1630601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630647 */     // MIs[0] policy
     /* 1630647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630681 */     // GIR_Coverage, 4141,
     /* 1630681 */     GIR_EraseRootFromParent_Done,
     /* 1630682 */   // Label 22446: @1630682
     /* 1630682 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1630768), // Rule ID 4142 //
     /* 1630687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630733 */     // MIs[0] policy
     /* 1630733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630767 */     // GIR_Coverage, 4142,
     /* 1630767 */     GIR_EraseRootFromParent_Done,
     /* 1630768 */   // Label 22447: @1630768
     /* 1630768 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1630854), // Rule ID 4151 //
     /* 1630773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630819 */     // MIs[0] policy
     /* 1630819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630829 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1630832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630853 */     // GIR_Coverage, 4151,
     /* 1630853 */     GIR_EraseRootFromParent_Done,
     /* 1630854 */   // Label 22448: @1630854
     /* 1630854 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1630940), // Rule ID 4152 //
     /* 1630859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630905 */     // MIs[0] policy
     /* 1630905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1630918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630939 */     // GIR_Coverage, 4152,
     /* 1630939 */     GIR_EraseRootFromParent_Done,
     /* 1630940 */   // Label 22449: @1630940
     /* 1630940 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631026), // Rule ID 4161 //
     /* 1630945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1630965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630991 */     // MIs[0] policy
     /* 1630991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631001 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631025 */     // GIR_Coverage, 4161,
     /* 1631025 */     GIR_EraseRootFromParent_Done,
     /* 1631026 */   // Label 22450: @1631026
     /* 1631026 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631112), // Rule ID 4162 //
     /* 1631031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631077 */     // MIs[0] policy
     /* 1631077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631111 */     // GIR_Coverage, 4162,
     /* 1631111 */     GIR_EraseRootFromParent_Done,
     /* 1631112 */   // Label 22451: @1631112
     /* 1631112 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1631198), // Rule ID 4171 //
     /* 1631117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631163 */     // MIs[0] policy
     /* 1631163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631197 */     // GIR_Coverage, 4171,
     /* 1631197 */     GIR_EraseRootFromParent_Done,
     /* 1631198 */   // Label 22452: @1631198
     /* 1631198 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1631284), // Rule ID 4172 //
     /* 1631203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631249 */     // MIs[0] policy
     /* 1631249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631283 */     // GIR_Coverage, 4172,
     /* 1631283 */     GIR_EraseRootFromParent_Done,
     /* 1631284 */   // Label 22453: @1631284
     /* 1631284 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1631370), // Rule ID 4181 //
     /* 1631289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631335 */     // MIs[0] policy
     /* 1631335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631369 */     // GIR_Coverage, 4181,
     /* 1631369 */     GIR_EraseRootFromParent_Done,
     /* 1631370 */   // Label 22454: @1631370
     /* 1631370 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1631456), // Rule ID 4182 //
     /* 1631375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631421 */     // MIs[0] policy
     /* 1631421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631455 */     // GIR_Coverage, 4182,
     /* 1631455 */     GIR_EraseRootFromParent_Done,
     /* 1631456 */   // Label 22455: @1631456
     /* 1631456 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1631542), // Rule ID 4191 //
     /* 1631461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631507 */     // MIs[0] policy
     /* 1631507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631541 */     // GIR_Coverage, 4191,
     /* 1631541 */     GIR_EraseRootFromParent_Done,
     /* 1631542 */   // Label 22456: @1631542
     /* 1631542 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1631628), // Rule ID 4192 //
     /* 1631547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631593 */     // MIs[0] policy
     /* 1631593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631627 */     // GIR_Coverage, 4192,
     /* 1631627 */     GIR_EraseRootFromParent_Done,
     /* 1631628 */   // Label 22457: @1631628
     /* 1631628 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1631714), // Rule ID 4201 //
     /* 1631633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631679 */     // MIs[0] policy
     /* 1631679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631689 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631713 */     // GIR_Coverage, 4201,
     /* 1631713 */     GIR_EraseRootFromParent_Done,
     /* 1631714 */   // Label 22458: @1631714
     /* 1631714 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1631800), // Rule ID 4202 //
     /* 1631719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631765 */     // MIs[0] policy
     /* 1631765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631775 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631799 */     // GIR_Coverage, 4202,
     /* 1631799 */     GIR_EraseRootFromParent_Done,
     /* 1631800 */   // Label 22459: @1631800
     /* 1631800 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1631886), // Rule ID 4211 //
     /* 1631805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631851 */     // MIs[0] policy
     /* 1631851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631885 */     // GIR_Coverage, 4211,
     /* 1631885 */     GIR_EraseRootFromParent_Done,
     /* 1631886 */   // Label 22460: @1631886
     /* 1631886 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1631972), // Rule ID 4212 //
     /* 1631891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631937 */     // MIs[0] policy
     /* 1631937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631971 */     // GIR_Coverage, 4212,
     /* 1631971 */     GIR_EraseRootFromParent_Done,
     /* 1631972 */   // Label 22461: @1631972
     /* 1631972 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632058), // Rule ID 4221 //
     /* 1631977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1631997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632023 */     // MIs[0] policy
     /* 1632023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632057 */     // GIR_Coverage, 4221,
     /* 1632057 */     GIR_EraseRootFromParent_Done,
     /* 1632058 */   // Label 22462: @1632058
     /* 1632058 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1632144), // Rule ID 4222 //
     /* 1632063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632109 */     // MIs[0] policy
     /* 1632109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632143 */     // GIR_Coverage, 4222,
     /* 1632143 */     GIR_EraseRootFromParent_Done,
     /* 1632144 */   // Label 22463: @1632144
     /* 1632144 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1632230), // Rule ID 4231 //
     /* 1632149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632195 */     // MIs[0] policy
     /* 1632195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632229 */     // GIR_Coverage, 4231,
     /* 1632229 */     GIR_EraseRootFromParent_Done,
     /* 1632230 */   // Label 22464: @1632230
     /* 1632230 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1632316), // Rule ID 4232 //
     /* 1632235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632281 */     // MIs[0] policy
     /* 1632281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632315 */     // GIR_Coverage, 4232,
     /* 1632315 */     GIR_EraseRootFromParent_Done,
     /* 1632316 */   // Label 22465: @1632316
     /* 1632316 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1632402), // Rule ID 4241 //
     /* 1632321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632367 */     // MIs[0] policy
     /* 1632367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632401 */     // GIR_Coverage, 4241,
     /* 1632401 */     GIR_EraseRootFromParent_Done,
     /* 1632402 */   // Label 22466: @1632402
     /* 1632402 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1632488), // Rule ID 4242 //
     /* 1632407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632453 */     // MIs[0] policy
     /* 1632453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632487 */     // GIR_Coverage, 4242,
     /* 1632487 */     GIR_EraseRootFromParent_Done,
     /* 1632488 */   // Label 22467: @1632488
     /* 1632488 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1632574), // Rule ID 4251 //
     /* 1632493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632539 */     // MIs[0] policy
     /* 1632539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632573 */     // GIR_Coverage, 4251,
     /* 1632573 */     GIR_EraseRootFromParent_Done,
     /* 1632574 */   // Label 22468: @1632574
     /* 1632574 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1632660), // Rule ID 4252 //
     /* 1632579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632625 */     // MIs[0] policy
     /* 1632625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632659 */     // GIR_Coverage, 4252,
     /* 1632659 */     GIR_EraseRootFromParent_Done,
     /* 1632660 */   // Label 22469: @1632660
     /* 1632660 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1632746), // Rule ID 4261 //
     /* 1632665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632711 */     // MIs[0] policy
     /* 1632711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632745 */     // GIR_Coverage, 4261,
     /* 1632745 */     GIR_EraseRootFromParent_Done,
     /* 1632746 */   // Label 22470: @1632746
     /* 1632746 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1632832), // Rule ID 4262 //
     /* 1632751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632797 */     // MIs[0] policy
     /* 1632797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632831 */     // GIR_Coverage, 4262,
     /* 1632831 */     GIR_EraseRootFromParent_Done,
     /* 1632832 */   // Label 22471: @1632832
     /* 1632832 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1632918), // Rule ID 4271 //
     /* 1632837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632883 */     // MIs[0] policy
     /* 1632883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632917 */     // GIR_Coverage, 4271,
     /* 1632917 */     GIR_EraseRootFromParent_Done,
     /* 1632918 */   // Label 22472: @1632918
     /* 1632918 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633004), // Rule ID 4272 //
     /* 1632923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632969 */     // MIs[0] policy
     /* 1632969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633003 */     // GIR_Coverage, 4272,
     /* 1633003 */     GIR_EraseRootFromParent_Done,
     /* 1633004 */   // Label 22473: @1633004
     /* 1633004 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633090), // Rule ID 4281 //
     /* 1633009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633055 */     // MIs[0] policy
     /* 1633055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633089 */     // GIR_Coverage, 4281,
     /* 1633089 */     GIR_EraseRootFromParent_Done,
     /* 1633090 */   // Label 22474: @1633090
     /* 1633090 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1633176), // Rule ID 4282 //
     /* 1633095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633141 */     // MIs[0] policy
     /* 1633141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633175 */     // GIR_Coverage, 4282,
     /* 1633175 */     GIR_EraseRootFromParent_Done,
     /* 1633176 */   // Label 22475: @1633176
     /* 1633176 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1633262), // Rule ID 4291 //
     /* 1633181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633227 */     // MIs[0] policy
     /* 1633227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633237 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633261 */     // GIR_Coverage, 4291,
     /* 1633261 */     GIR_EraseRootFromParent_Done,
     /* 1633262 */   // Label 22476: @1633262
     /* 1633262 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1633348), // Rule ID 4292 //
     /* 1633267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633313 */     // MIs[0] policy
     /* 1633313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633347 */     // GIR_Coverage, 4292,
     /* 1633347 */     GIR_EraseRootFromParent_Done,
     /* 1633348 */   // Label 22477: @1633348
     /* 1633348 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1633434), // Rule ID 4295 //
     /* 1633353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633399 */     // MIs[0] policy
     /* 1633399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633433 */     // GIR_Coverage, 4295,
     /* 1633433 */     GIR_EraseRootFromParent_Done,
     /* 1633434 */   // Label 22478: @1633434
     /* 1633434 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1633520), // Rule ID 4296 //
     /* 1633439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1633450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1633453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633485 */     // MIs[0] policy
     /* 1633485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633495 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1633498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633519 */     // GIR_Coverage, 4296,
     /* 1633519 */     GIR_EraseRootFromParent_Done,
     /* 1633520 */   // Label 22479: @1633520
     /* 1633520 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1633606), // Rule ID 4299 //
     /* 1633525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633571 */     // MIs[0] policy
     /* 1633571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633605 */     // GIR_Coverage, 4299,
     /* 1633605 */     GIR_EraseRootFromParent_Done,
     /* 1633606 */   // Label 22480: @1633606
     /* 1633606 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1633692), // Rule ID 4300 //
     /* 1633611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633657 */     // MIs[0] policy
     /* 1633657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633691 */     // GIR_Coverage, 4300,
     /* 1633691 */     GIR_EraseRootFromParent_Done,
     /* 1633692 */   // Label 22481: @1633692
     /* 1633692 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1633778), // Rule ID 4303 //
     /* 1633697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633743 */     // MIs[0] policy
     /* 1633743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633777 */     // GIR_Coverage, 4303,
     /* 1633777 */     GIR_EraseRootFromParent_Done,
     /* 1633778 */   // Label 22482: @1633778
     /* 1633778 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1633864), // Rule ID 4304 //
     /* 1633783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633829 */     // MIs[0] policy
     /* 1633829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633863 */     // GIR_Coverage, 4304,
     /* 1633863 */     GIR_EraseRootFromParent_Done,
     /* 1633864 */   // Label 22483: @1633864
     /* 1633864 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1633950), // Rule ID 4307 //
     /* 1633869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633915 */     // MIs[0] policy
     /* 1633915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1633928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633949 */     // GIR_Coverage, 4307,
     /* 1633949 */     GIR_EraseRootFromParent_Done,
     /* 1633950 */   // Label 22484: @1633950
     /* 1633950 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634036), // Rule ID 4308 //
     /* 1633955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634001 */     // MIs[0] policy
     /* 1634001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634035 */     // GIR_Coverage, 4308,
     /* 1634035 */     GIR_EraseRootFromParent_Done,
     /* 1634036 */   // Label 22485: @1634036
     /* 1634036 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634122), // Rule ID 4311 //
     /* 1634041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634087 */     // MIs[0] policy
     /* 1634087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634121 */     // GIR_Coverage, 4311,
     /* 1634121 */     GIR_EraseRootFromParent_Done,
     /* 1634122 */   // Label 22486: @1634122
     /* 1634122 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1634208), // Rule ID 4312 //
     /* 1634127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634173 */     // MIs[0] policy
     /* 1634173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634207 */     // GIR_Coverage, 4312,
     /* 1634207 */     GIR_EraseRootFromParent_Done,
     /* 1634208 */   // Label 22487: @1634208
     /* 1634208 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1634294), // Rule ID 4315 //
     /* 1634213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634259 */     // MIs[0] policy
     /* 1634259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634293 */     // GIR_Coverage, 4315,
     /* 1634293 */     GIR_EraseRootFromParent_Done,
     /* 1634294 */   // Label 22488: @1634294
     /* 1634294 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1634380), // Rule ID 4316 //
     /* 1634299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1634310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1634313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1634316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1634322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634345 */     // MIs[0] policy
     /* 1634345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634379 */     // GIR_Coverage, 4316,
     /* 1634379 */     GIR_EraseRootFromParent_Done,
     /* 1634380 */   // Label 22489: @1634380
     /* 1634380 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1634466), // Rule ID 4319 //
     /* 1634385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634431 */     // MIs[0] policy
     /* 1634431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634465 */     // GIR_Coverage, 4319,
     /* 1634465 */     GIR_EraseRootFromParent_Done,
     /* 1634466 */   // Label 22490: @1634466
     /* 1634466 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1634552), // Rule ID 4320 //
     /* 1634471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1634482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1634485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1634488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634517 */     // MIs[0] policy
     /* 1634517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634551 */     // GIR_Coverage, 4320,
     /* 1634551 */     GIR_EraseRootFromParent_Done,
     /* 1634552 */   // Label 22491: @1634552
     /* 1634552 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1634638), // Rule ID 4323 //
     /* 1634557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634603 */     // MIs[0] policy
     /* 1634603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634613 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634637 */     // GIR_Coverage, 4323,
     /* 1634637 */     GIR_EraseRootFromParent_Done,
     /* 1634638 */   // Label 22492: @1634638
     /* 1634638 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1634724), // Rule ID 4324 //
     /* 1634643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634689 */     // MIs[0] policy
     /* 1634689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634723 */     // GIR_Coverage, 4324,
     /* 1634723 */     GIR_EraseRootFromParent_Done,
     /* 1634724 */   // Label 22493: @1634724
     /* 1634724 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1634810), // Rule ID 4327 //
     /* 1634729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634775 */     // MIs[0] policy
     /* 1634775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634809 */     // GIR_Coverage, 4327,
     /* 1634809 */     GIR_EraseRootFromParent_Done,
     /* 1634810 */   // Label 22494: @1634810
     /* 1634810 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1634896), // Rule ID 4328 //
     /* 1634815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634861 */     // MIs[0] policy
     /* 1634861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634895 */     // GIR_Coverage, 4328,
     /* 1634895 */     GIR_EraseRootFromParent_Done,
     /* 1634896 */   // Label 22495: @1634896
     /* 1634896 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1634982), // Rule ID 4331 //
     /* 1634901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634947 */     // MIs[0] policy
     /* 1634947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634981 */     // GIR_Coverage, 4331,
     /* 1634981 */     GIR_EraseRootFromParent_Done,
     /* 1634982 */   // Label 22496: @1634982
     /* 1634982 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635068), // Rule ID 4332 //
     /* 1634987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635033 */     // MIs[0] policy
     /* 1635033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635067 */     // GIR_Coverage, 4332,
     /* 1635067 */     GIR_EraseRootFromParent_Done,
     /* 1635068 */   // Label 22497: @1635068
     /* 1635068 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1635154), // Rule ID 4335 //
     /* 1635073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635119 */     // MIs[0] policy
     /* 1635119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635153 */     // GIR_Coverage, 4335,
     /* 1635153 */     GIR_EraseRootFromParent_Done,
     /* 1635154 */   // Label 22498: @1635154
     /* 1635154 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1635240), // Rule ID 4336 //
     /* 1635159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1635170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1635173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1635176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635205 */     // MIs[0] policy
     /* 1635205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635239 */     // GIR_Coverage, 4336,
     /* 1635239 */     GIR_EraseRootFromParent_Done,
     /* 1635240 */   // Label 22499: @1635240
     /* 1635240 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1635326), // Rule ID 4339 //
     /* 1635245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635291 */     // MIs[0] policy
     /* 1635291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635325 */     // GIR_Coverage, 4339,
     /* 1635325 */     GIR_EraseRootFromParent_Done,
     /* 1635326 */   // Label 22500: @1635326
     /* 1635326 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1635412), // Rule ID 4340 //
     /* 1635331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1635342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1635345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1635348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635377 */     // MIs[0] policy
     /* 1635377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635411 */     // GIR_Coverage, 4340,
     /* 1635411 */     GIR_EraseRootFromParent_Done,
     /* 1635412 */   // Label 22501: @1635412
     /* 1635412 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1635498), // Rule ID 4343 //
     /* 1635417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635463 */     // MIs[0] policy
     /* 1635463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635497 */     // GIR_Coverage, 4343,
     /* 1635497 */     GIR_EraseRootFromParent_Done,
     /* 1635498 */   // Label 22502: @1635498
     /* 1635498 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1635584), // Rule ID 4344 //
     /* 1635503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1635514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1635517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1635520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635549 */     // MIs[0] policy
     /* 1635549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635583 */     // GIR_Coverage, 4344,
     /* 1635583 */     GIR_EraseRootFromParent_Done,
     /* 1635584 */   // Label 22503: @1635584
     /* 1635584 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1635670), // Rule ID 4347 //
     /* 1635589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635635 */     // MIs[0] policy
     /* 1635635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635669 */     // GIR_Coverage, 4347,
     /* 1635669 */     GIR_EraseRootFromParent_Done,
     /* 1635670 */   // Label 22504: @1635670
     /* 1635670 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1635756), // Rule ID 4348 //
     /* 1635675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635721 */     // MIs[0] policy
     /* 1635721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635731 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635755 */     // GIR_Coverage, 4348,
     /* 1635755 */     GIR_EraseRootFromParent_Done,
     /* 1635756 */   // Label 22505: @1635756
     /* 1635756 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1635842), // Rule ID 4351 //
     /* 1635761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635807 */     // MIs[0] policy
     /* 1635807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635841 */     // GIR_Coverage, 4351,
     /* 1635841 */     GIR_EraseRootFromParent_Done,
     /* 1635842 */   // Label 22506: @1635842
     /* 1635842 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1635928), // Rule ID 4352 //
     /* 1635847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635893 */     // MIs[0] policy
     /* 1635893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635903 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635927 */     // GIR_Coverage, 4352,
     /* 1635927 */     GIR_EraseRootFromParent_Done,
     /* 1635928 */   // Label 22507: @1635928
     /* 1635928 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636014), // Rule ID 4361 //
     /* 1635933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1635953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635979 */     // MIs[0] policy
     /* 1635979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1635992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636013 */     // GIR_Coverage, 4361,
     /* 1636013 */     GIR_EraseRootFromParent_Done,
     /* 1636014 */   // Label 22508: @1636014
     /* 1636014 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636100), // Rule ID 4362 //
     /* 1636019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1636030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1636033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1636036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1636039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636065 */     // MIs[0] policy
     /* 1636065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1636078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636099 */     // GIR_Coverage, 4362,
     /* 1636099 */     GIR_EraseRootFromParent_Done,
     /* 1636100 */   // Label 22509: @1636100
     /* 1636100 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1636186), // Rule ID 4371 //
     /* 1636105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636151 */     // MIs[0] policy
     /* 1636151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636161 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636185 */     // GIR_Coverage, 4371,
     /* 1636185 */     GIR_EraseRootFromParent_Done,
     /* 1636186 */   // Label 22510: @1636186
     /* 1636186 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1636272), // Rule ID 4372 //
     /* 1636191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1636202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1636205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1636208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1636211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636237 */     // MIs[0] policy
     /* 1636237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1636250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636271 */     // GIR_Coverage, 4372,
     /* 1636271 */     GIR_EraseRootFromParent_Done,
     /* 1636272 */   // Label 22511: @1636272
     /* 1636272 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1636358), // Rule ID 4381 //
     /* 1636277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636323 */     // MIs[0] policy
     /* 1636323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636357 */     // GIR_Coverage, 4381,
     /* 1636357 */     GIR_EraseRootFromParent_Done,
     /* 1636358 */   // Label 22512: @1636358
     /* 1636358 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1636444), // Rule ID 4382 //
     /* 1636363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1636374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1636377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1636383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636409 */     // MIs[0] policy
     /* 1636409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636443 */     // GIR_Coverage, 4382,
     /* 1636443 */     GIR_EraseRootFromParent_Done,
     /* 1636444 */   // Label 22513: @1636444
     /* 1636444 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1636530), // Rule ID 4391 //
     /* 1636449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636495 */     // MIs[0] policy
     /* 1636495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636505 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636529 */     // GIR_Coverage, 4391,
     /* 1636529 */     GIR_EraseRootFromParent_Done,
     /* 1636530 */   // Label 22514: @1636530
     /* 1636530 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1636616), // Rule ID 4392 //
     /* 1636535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1636555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636581 */     // MIs[0] policy
     /* 1636581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636615 */     // GIR_Coverage, 4392,
     /* 1636615 */     GIR_EraseRootFromParent_Done,
     /* 1636616 */   // Label 22515: @1636616
     /* 1636616 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1636702), // Rule ID 4401 //
     /* 1636621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636667 */     // MIs[0] policy
     /* 1636667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636701 */     // GIR_Coverage, 4401,
     /* 1636701 */     GIR_EraseRootFromParent_Done,
     /* 1636702 */   // Label 22516: @1636702
     /* 1636702 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1636788), // Rule ID 4402 //
     /* 1636707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636753 */     // MIs[0] policy
     /* 1636753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636787 */     // GIR_Coverage, 4402,
     /* 1636787 */     GIR_EraseRootFromParent_Done,
     /* 1636788 */   // Label 22517: @1636788
     /* 1636788 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1636874), // Rule ID 4411 //
     /* 1636793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636839 */     // MIs[0] policy
     /* 1636839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636849 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636873 */     // GIR_Coverage, 4411,
     /* 1636873 */     GIR_EraseRootFromParent_Done,
     /* 1636874 */   // Label 22518: @1636874
     /* 1636874 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1636960), // Rule ID 4412 //
     /* 1636879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636925 */     // MIs[0] policy
     /* 1636925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636959 */     // GIR_Coverage, 4412,
     /* 1636959 */     GIR_EraseRootFromParent_Done,
     /* 1636960 */   // Label 22519: @1636960
     /* 1636960 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637046), // Rule ID 4421 //
     /* 1636965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1636985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637011 */     // MIs[0] policy
     /* 1637011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637045 */     // GIR_Coverage, 4421,
     /* 1637045 */     GIR_EraseRootFromParent_Done,
     /* 1637046 */   // Label 22520: @1637046
     /* 1637046 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1637132), // Rule ID 4422 //
     /* 1637051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1637062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1637065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1637068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1637071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637097 */     // MIs[0] policy
     /* 1637097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637131 */     // GIR_Coverage, 4422,
     /* 1637131 */     GIR_EraseRootFromParent_Done,
     /* 1637132 */   // Label 22521: @1637132
     /* 1637132 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1637218), // Rule ID 4431 //
     /* 1637137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637183 */     // MIs[0] policy
     /* 1637183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637217 */     // GIR_Coverage, 4431,
     /* 1637217 */     GIR_EraseRootFromParent_Done,
     /* 1637218 */   // Label 22522: @1637218
     /* 1637218 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1637304), // Rule ID 4432 //
     /* 1637223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1637234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1637237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1637240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1637243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637269 */     // MIs[0] policy
     /* 1637269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637303 */     // GIR_Coverage, 4432,
     /* 1637303 */     GIR_EraseRootFromParent_Done,
     /* 1637304 */   // Label 22523: @1637304
     /* 1637304 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1637390), // Rule ID 4441 //
     /* 1637309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637355 */     // MIs[0] policy
     /* 1637355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637389 */     // GIR_Coverage, 4441,
     /* 1637389 */     GIR_EraseRootFromParent_Done,
     /* 1637390 */   // Label 22524: @1637390
     /* 1637390 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1637476), // Rule ID 4442 //
     /* 1637395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1637415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637441 */     // MIs[0] policy
     /* 1637441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637475 */     // GIR_Coverage, 4442,
     /* 1637475 */     GIR_EraseRootFromParent_Done,
     /* 1637476 */   // Label 22525: @1637476
     /* 1637476 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1637562), // Rule ID 4451 //
     /* 1637481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637527 */     // MIs[0] policy
     /* 1637527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637537 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637561 */     // GIR_Coverage, 4451,
     /* 1637561 */     GIR_EraseRootFromParent_Done,
     /* 1637562 */   // Label 22526: @1637562
     /* 1637562 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1637648), // Rule ID 4452 //
     /* 1637567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637613 */     // MIs[0] policy
     /* 1637613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637647 */     // GIR_Coverage, 4452,
     /* 1637647 */     GIR_EraseRootFromParent_Done,
     /* 1637648 */   // Label 22527: @1637648
     /* 1637648 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1637734), // Rule ID 4461 //
     /* 1637653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637699 */     // MIs[0] policy
     /* 1637699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637733 */     // GIR_Coverage, 4461,
     /* 1637733 */     GIR_EraseRootFromParent_Done,
     /* 1637734 */   // Label 22528: @1637734
     /* 1637734 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1637820), // Rule ID 4462 //
     /* 1637739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637785 */     // MIs[0] policy
     /* 1637785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637819 */     // GIR_Coverage, 4462,
     /* 1637819 */     GIR_EraseRootFromParent_Done,
     /* 1637820 */   // Label 22529: @1637820
     /* 1637820 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1637906), // Rule ID 4471 //
     /* 1637825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637871 */     // MIs[0] policy
     /* 1637871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637905 */     // GIR_Coverage, 4471,
     /* 1637905 */     GIR_EraseRootFromParent_Done,
     /* 1637906 */   // Label 22530: @1637906
     /* 1637906 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1637992), // Rule ID 4472 //
     /* 1637911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637957 */     // MIs[0] policy
     /* 1637957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637991 */     // GIR_Coverage, 4472,
     /* 1637991 */     GIR_EraseRootFromParent_Done,
     /* 1637992 */   // Label 22531: @1637992
     /* 1637992 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638078), // Rule ID 4481 //
     /* 1637997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638043 */     // MIs[0] policy
     /* 1638043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638077 */     // GIR_Coverage, 4481,
     /* 1638077 */     GIR_EraseRootFromParent_Done,
     /* 1638078 */   // Label 22532: @1638078
     /* 1638078 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1638164), // Rule ID 4482 //
     /* 1638083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1638094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1638097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1638100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1638103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638129 */     // MIs[0] policy
     /* 1638129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638163 */     // GIR_Coverage, 4482,
     /* 1638163 */     GIR_EraseRootFromParent_Done,
     /* 1638164 */   // Label 22533: @1638164
     /* 1638164 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1638250), // Rule ID 4491 //
     /* 1638169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638215 */     // MIs[0] policy
     /* 1638215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638225 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638249 */     // GIR_Coverage, 4491,
     /* 1638249 */     GIR_EraseRootFromParent_Done,
     /* 1638250 */   // Label 22534: @1638250
     /* 1638250 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1638336), // Rule ID 4492 //
     /* 1638255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1638275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638301 */     // MIs[0] policy
     /* 1638301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638335 */     // GIR_Coverage, 4492,
     /* 1638335 */     GIR_EraseRootFromParent_Done,
     /* 1638336 */   // Label 22535: @1638336
     /* 1638336 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1638422), // Rule ID 4501 //
     /* 1638341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638387 */     // MIs[0] policy
     /* 1638387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638421 */     // GIR_Coverage, 4501,
     /* 1638421 */     GIR_EraseRootFromParent_Done,
     /* 1638422 */   // Label 22536: @1638422
     /* 1638422 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1638508), // Rule ID 4502 //
     /* 1638427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1638447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638473 */     // MIs[0] policy
     /* 1638473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638507 */     // GIR_Coverage, 4502,
     /* 1638507 */     GIR_EraseRootFromParent_Done,
     /* 1638508 */   // Label 22537: @1638508
     /* 1638508 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1638594), // Rule ID 4505 //
     /* 1638513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638559 */     // MIs[0] policy
     /* 1638559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1638572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638593 */     // GIR_Coverage, 4505,
     /* 1638593 */     GIR_EraseRootFromParent_Done,
     /* 1638594 */   // Label 22538: @1638594
     /* 1638594 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1638680), // Rule ID 4506 //
     /* 1638599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638645 */     // MIs[0] policy
     /* 1638645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638655 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1638658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638679 */     // GIR_Coverage, 4506,
     /* 1638679 */     GIR_EraseRootFromParent_Done,
     /* 1638680 */   // Label 22539: @1638680
     /* 1638680 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1638766), // Rule ID 4509 //
     /* 1638685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638731 */     // MIs[0] policy
     /* 1638731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638741 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638765 */     // GIR_Coverage, 4509,
     /* 1638765 */     GIR_EraseRootFromParent_Done,
     /* 1638766 */   // Label 22540: @1638766
     /* 1638766 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1638852), // Rule ID 4510 //
     /* 1638771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638817 */     // MIs[0] policy
     /* 1638817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638827 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638851 */     // GIR_Coverage, 4510,
     /* 1638851 */     GIR_EraseRootFromParent_Done,
     /* 1638852 */   // Label 22541: @1638852
     /* 1638852 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1638938), // Rule ID 4513 //
     /* 1638857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638903 */     // MIs[0] policy
     /* 1638903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1638916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638937 */     // GIR_Coverage, 4513,
     /* 1638937 */     GIR_EraseRootFromParent_Done,
     /* 1638938 */   // Label 22542: @1638938
     /* 1638938 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639024), // Rule ID 4514 //
     /* 1638943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638989 */     // MIs[0] policy
     /* 1638989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639023 */     // GIR_Coverage, 4514,
     /* 1639023 */     GIR_EraseRootFromParent_Done,
     /* 1639024 */   // Label 22543: @1639024
     /* 1639024 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639110), // Rule ID 4517 //
     /* 1639029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639075 */     // MIs[0] policy
     /* 1639075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639109 */     // GIR_Coverage, 4517,
     /* 1639109 */     GIR_EraseRootFromParent_Done,
     /* 1639110 */   // Label 22544: @1639110
     /* 1639110 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1639196), // Rule ID 4518 //
     /* 1639115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1639126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1639129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1639132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639161 */     // MIs[0] policy
     /* 1639161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639195 */     // GIR_Coverage, 4518,
     /* 1639195 */     GIR_EraseRootFromParent_Done,
     /* 1639196 */   // Label 22545: @1639196
     /* 1639196 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1639282), // Rule ID 4521 //
     /* 1639201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639247 */     // MIs[0] policy
     /* 1639247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639281 */     // GIR_Coverage, 4521,
     /* 1639281 */     GIR_EraseRootFromParent_Done,
     /* 1639282 */   // Label 22546: @1639282
     /* 1639282 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1639368), // Rule ID 4522 //
     /* 1639287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1639298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1639301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1639304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639333 */     // MIs[0] policy
     /* 1639333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639367 */     // GIR_Coverage, 4522,
     /* 1639367 */     GIR_EraseRootFromParent_Done,
     /* 1639368 */   // Label 22547: @1639368
     /* 1639368 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1639454), // Rule ID 4525 //
     /* 1639373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639419 */     // MIs[0] policy
     /* 1639419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639453 */     // GIR_Coverage, 4525,
     /* 1639453 */     GIR_EraseRootFromParent_Done,
     /* 1639454 */   // Label 22548: @1639454
     /* 1639454 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1639540), // Rule ID 4526 //
     /* 1639459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1639470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1639473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1639476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1639482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639505 */     // MIs[0] policy
     /* 1639505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639539 */     // GIR_Coverage, 4526,
     /* 1639539 */     GIR_EraseRootFromParent_Done,
     /* 1639540 */   // Label 22549: @1639540
     /* 1639540 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1639626), // Rule ID 4529 //
     /* 1639545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639591 */     // MIs[0] policy
     /* 1639591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639625 */     // GIR_Coverage, 4529,
     /* 1639625 */     GIR_EraseRootFromParent_Done,
     /* 1639626 */   // Label 22550: @1639626
     /* 1639626 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1639712), // Rule ID 4530 //
     /* 1639631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639677 */     // MIs[0] policy
     /* 1639677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1639690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639711 */     // GIR_Coverage, 4530,
     /* 1639711 */     GIR_EraseRootFromParent_Done,
     /* 1639712 */   // Label 22551: @1639712
     /* 1639712 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1639798), // Rule ID 4533 //
     /* 1639717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639763 */     // MIs[0] policy
     /* 1639763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639797 */     // GIR_Coverage, 4533,
     /* 1639797 */     GIR_EraseRootFromParent_Done,
     /* 1639798 */   // Label 22552: @1639798
     /* 1639798 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1639884), // Rule ID 4534 //
     /* 1639803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639849 */     // MIs[0] policy
     /* 1639849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639883 */     // GIR_Coverage, 4534,
     /* 1639883 */     GIR_EraseRootFromParent_Done,
     /* 1639884 */   // Label 22553: @1639884
     /* 1639884 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1639970), // Rule ID 4537 //
     /* 1639889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639935 */     // MIs[0] policy
     /* 1639935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639969 */     // GIR_Coverage, 4537,
     /* 1639969 */     GIR_EraseRootFromParent_Done,
     /* 1639970 */   // Label 22554: @1639970
     /* 1639970 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640056), // Rule ID 4538 //
     /* 1639975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640021 */     // MIs[0] policy
     /* 1640021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640055 */     // GIR_Coverage, 4538,
     /* 1640055 */     GIR_EraseRootFromParent_Done,
     /* 1640056 */   // Label 22555: @1640056
     /* 1640056 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1640142), // Rule ID 4541 //
     /* 1640061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640107 */     // MIs[0] policy
     /* 1640107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640141 */     // GIR_Coverage, 4541,
     /* 1640141 */     GIR_EraseRootFromParent_Done,
     /* 1640142 */   // Label 22556: @1640142
     /* 1640142 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1640228), // Rule ID 4542 //
     /* 1640147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1640158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1640161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1640164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640193 */     // MIs[0] policy
     /* 1640193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640227 */     // GIR_Coverage, 4542,
     /* 1640227 */     GIR_EraseRootFromParent_Done,
     /* 1640228 */   // Label 22557: @1640228
     /* 1640228 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1640314), // Rule ID 4545 //
     /* 1640233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640279 */     // MIs[0] policy
     /* 1640279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640313 */     // GIR_Coverage, 4545,
     /* 1640313 */     GIR_EraseRootFromParent_Done,
     /* 1640314 */   // Label 22558: @1640314
     /* 1640314 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1640400), // Rule ID 4546 //
     /* 1640319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1640330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1640333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1640336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640365 */     // MIs[0] policy
     /* 1640365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640375 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640399 */     // GIR_Coverage, 4546,
     /* 1640399 */     GIR_EraseRootFromParent_Done,
     /* 1640400 */   // Label 22559: @1640400
     /* 1640400 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1640486), // Rule ID 4549 //
     /* 1640405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640451 */     // MIs[0] policy
     /* 1640451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640485 */     // GIR_Coverage, 4549,
     /* 1640485 */     GIR_EraseRootFromParent_Done,
     /* 1640486 */   // Label 22560: @1640486
     /* 1640486 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1640572), // Rule ID 4550 //
     /* 1640491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1640502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1640505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640537 */     // MIs[0] policy
     /* 1640537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640571 */     // GIR_Coverage, 4550,
     /* 1640571 */     GIR_EraseRootFromParent_Done,
     /* 1640572 */   // Label 22561: @1640572
     /* 1640572 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1640658), // Rule ID 4553 //
     /* 1640577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640623 */     // MIs[0] policy
     /* 1640623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640657 */     // GIR_Coverage, 4553,
     /* 1640657 */     GIR_EraseRootFromParent_Done,
     /* 1640658 */   // Label 22562: @1640658
     /* 1640658 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1640744), // Rule ID 4554 //
     /* 1640663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640709 */     // MIs[0] policy
     /* 1640709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640743 */     // GIR_Coverage, 4554,
     /* 1640743 */     GIR_EraseRootFromParent_Done,
     /* 1640744 */   // Label 22563: @1640744
     /* 1640744 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1640830), // Rule ID 4557 //
     /* 1640749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640795 */     // MIs[0] policy
     /* 1640795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640829 */     // GIR_Coverage, 4557,
     /* 1640829 */     GIR_EraseRootFromParent_Done,
     /* 1640830 */   // Label 22564: @1640830
     /* 1640830 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1640916), // Rule ID 4558 //
     /* 1640835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640881 */     // MIs[0] policy
     /* 1640881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1640894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640915 */     // GIR_Coverage, 4558,
     /* 1640915 */     GIR_EraseRootFromParent_Done,
     /* 1640916 */   // Label 22565: @1640916
     /* 1640916 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641002), // Rule ID 4561 //
     /* 1640921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640967 */     // MIs[0] policy
     /* 1640967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1640980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641001 */     // GIR_Coverage, 4561,
     /* 1641001 */     GIR_EraseRootFromParent_Done,
     /* 1641002 */   // Label 22566: @1641002
     /* 1641002 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641088), // Rule ID 4562 //
     /* 1641007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641053 */     // MIs[0] policy
     /* 1641053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641087 */     // GIR_Coverage, 4562,
     /* 1641087 */     GIR_EraseRootFromParent_Done,
     /* 1641088 */   // Label 22567: @1641088
     /* 1641088 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1641174), // Rule ID 4571 //
     /* 1641093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641139 */     // MIs[0] policy
     /* 1641139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641173 */     // GIR_Coverage, 4571,
     /* 1641173 */     GIR_EraseRootFromParent_Done,
     /* 1641174 */   // Label 22568: @1641174
     /* 1641174 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1641260), // Rule ID 4572 //
     /* 1641179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1641190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1641193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1641196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1641199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641225 */     // MIs[0] policy
     /* 1641225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1641238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641259 */     // GIR_Coverage, 4572,
     /* 1641259 */     GIR_EraseRootFromParent_Done,
     /* 1641260 */   // Label 22569: @1641260
     /* 1641260 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1641346), // Rule ID 4581 //
     /* 1641265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641311 */     // MIs[0] policy
     /* 1641311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641345 */     // GIR_Coverage, 4581,
     /* 1641345 */     GIR_EraseRootFromParent_Done,
     /* 1641346 */   // Label 22570: @1641346
     /* 1641346 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1641432), // Rule ID 4582 //
     /* 1641351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1641371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641397 */     // MIs[0] policy
     /* 1641397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641431 */     // GIR_Coverage, 4582,
     /* 1641431 */     GIR_EraseRootFromParent_Done,
     /* 1641432 */   // Label 22571: @1641432
     /* 1641432 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1641518), // Rule ID 4591 //
     /* 1641437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641483 */     // MIs[0] policy
     /* 1641483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641517 */     // GIR_Coverage, 4591,
     /* 1641517 */     GIR_EraseRootFromParent_Done,
     /* 1641518 */   // Label 22572: @1641518
     /* 1641518 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1641604), // Rule ID 4592 //
     /* 1641523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1641543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641569 */     // MIs[0] policy
     /* 1641569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641603 */     // GIR_Coverage, 4592,
     /* 1641603 */     GIR_EraseRootFromParent_Done,
     /* 1641604 */   // Label 22573: @1641604
     /* 1641604 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1641690), // Rule ID 4601 //
     /* 1641609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641655 */     // MIs[0] policy
     /* 1641655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641689 */     // GIR_Coverage, 4601,
     /* 1641689 */     GIR_EraseRootFromParent_Done,
     /* 1641690 */   // Label 22574: @1641690
     /* 1641690 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1641776), // Rule ID 4602 //
     /* 1641695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641741 */     // MIs[0] policy
     /* 1641741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641775 */     // GIR_Coverage, 4602,
     /* 1641775 */     GIR_EraseRootFromParent_Done,
     /* 1641776 */   // Label 22575: @1641776
     /* 1641776 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1641862), // Rule ID 4611 //
     /* 1641781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641827 */     // MIs[0] policy
     /* 1641827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641861 */     // GIR_Coverage, 4611,
     /* 1641861 */     GIR_EraseRootFromParent_Done,
     /* 1641862 */   // Label 22576: @1641862
     /* 1641862 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1641948), // Rule ID 4612 //
     /* 1641867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641913 */     // MIs[0] policy
     /* 1641913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641947 */     // GIR_Coverage, 4612,
     /* 1641947 */     GIR_EraseRootFromParent_Done,
     /* 1641948 */   // Label 22577: @1641948
     /* 1641948 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642034), // Rule ID 4621 //
     /* 1641953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1641973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641999 */     // MIs[0] policy
     /* 1641999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642009 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642033 */     // GIR_Coverage, 4621,
     /* 1642033 */     GIR_EraseRootFromParent_Done,
     /* 1642034 */   // Label 22578: @1642034
     /* 1642034 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642120), // Rule ID 4622 //
     /* 1642039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642085 */     // MIs[0] policy
     /* 1642085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642095 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642119 */     // GIR_Coverage, 4622,
     /* 1642119 */     GIR_EraseRootFromParent_Done,
     /* 1642120 */   // Label 22579: @1642120
     /* 1642120 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1642206), // Rule ID 4631 //
     /* 1642125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642171 */     // MIs[0] policy
     /* 1642171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642181 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642205 */     // GIR_Coverage, 4631,
     /* 1642205 */     GIR_EraseRootFromParent_Done,
     /* 1642206 */   // Label 22580: @1642206
     /* 1642206 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1642292), // Rule ID 4632 //
     /* 1642211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1642222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1642225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1642228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642257 */     // MIs[0] policy
     /* 1642257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1642270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642291 */     // GIR_Coverage, 4632,
     /* 1642291 */     GIR_EraseRootFromParent_Done,
     /* 1642292 */   // Label 22581: @1642292
     /* 1642292 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1642378), // Rule ID 4641 //
     /* 1642297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642343 */     // MIs[0] policy
     /* 1642343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642377 */     // GIR_Coverage, 4641,
     /* 1642377 */     GIR_EraseRootFromParent_Done,
     /* 1642378 */   // Label 22582: @1642378
     /* 1642378 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1642464), // Rule ID 4642 //
     /* 1642383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1642394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1642397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1642400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642429 */     // MIs[0] policy
     /* 1642429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1642442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642463 */     // GIR_Coverage, 4642,
     /* 1642463 */     GIR_EraseRootFromParent_Done,
     /* 1642464 */   // Label 22583: @1642464
     /* 1642464 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1642550), // Rule ID 4651 //
     /* 1642469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642515 */     // MIs[0] policy
     /* 1642515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642549 */     // GIR_Coverage, 4651,
     /* 1642549 */     GIR_EraseRootFromParent_Done,
     /* 1642550 */   // Label 22584: @1642550
     /* 1642550 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1642636), // Rule ID 4652 //
     /* 1642555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642601 */     // MIs[0] policy
     /* 1642601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642635 */     // GIR_Coverage, 4652,
     /* 1642635 */     GIR_EraseRootFromParent_Done,
     /* 1642636 */   // Label 22585: @1642636
     /* 1642636 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1642722), // Rule ID 4661 //
     /* 1642641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642687 */     // MIs[0] policy
     /* 1642687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642721 */     // GIR_Coverage, 4661,
     /* 1642721 */     GIR_EraseRootFromParent_Done,
     /* 1642722 */   // Label 22586: @1642722
     /* 1642722 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1642808), // Rule ID 4662 //
     /* 1642727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642773 */     // MIs[0] policy
     /* 1642773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642807 */     // GIR_Coverage, 4662,
     /* 1642807 */     GIR_EraseRootFromParent_Done,
     /* 1642808 */   // Label 22587: @1642808
     /* 1642808 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1642894), // Rule ID 4671 //
     /* 1642813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642859 */     // MIs[0] policy
     /* 1642859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642893 */     // GIR_Coverage, 4671,
     /* 1642893 */     GIR_EraseRootFromParent_Done,
     /* 1642894 */   // Label 22588: @1642894
     /* 1642894 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1642980), // Rule ID 4672 //
     /* 1642899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642945 */     // MIs[0] policy
     /* 1642945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642979 */     // GIR_Coverage, 4672,
     /* 1642979 */     GIR_EraseRootFromParent_Done,
     /* 1642980 */   // Label 22589: @1642980
     /* 1642980 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643066), // Rule ID 4681 //
     /* 1642985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643031 */     // MIs[0] policy
     /* 1643031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643041 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643065 */     // GIR_Coverage, 4681,
     /* 1643065 */     GIR_EraseRootFromParent_Done,
     /* 1643066 */   // Label 22590: @1643066
     /* 1643066 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1643152), // Rule ID 4682 //
     /* 1643071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1643082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1643085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1643088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643117 */     // MIs[0] policy
     /* 1643117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643151 */     // GIR_Coverage, 4682,
     /* 1643151 */     GIR_EraseRootFromParent_Done,
     /* 1643152 */   // Label 22591: @1643152
     /* 1643152 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1643238), // Rule ID 4691 //
     /* 1643157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643203 */     // MIs[0] policy
     /* 1643203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643213 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643237 */     // GIR_Coverage, 4691,
     /* 1643237 */     GIR_EraseRootFromParent_Done,
     /* 1643238 */   // Label 22592: @1643238
     /* 1643238 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1643324), // Rule ID 4692 //
     /* 1643243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643289 */     // MIs[0] policy
     /* 1643289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1643302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643323 */     // GIR_Coverage, 4692,
     /* 1643323 */     GIR_EraseRootFromParent_Done,
     /* 1643324 */   // Label 22593: @1643324
     /* 1643324 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1643410), // Rule ID 4701 //
     /* 1643329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643375 */     // MIs[0] policy
     /* 1643375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643409 */     // GIR_Coverage, 4701,
     /* 1643409 */     GIR_EraseRootFromParent_Done,
     /* 1643410 */   // Label 22594: @1643410
     /* 1643410 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1643496), // Rule ID 4702 //
     /* 1643415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643461 */     // MIs[0] policy
     /* 1643461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1643474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643495 */     // GIR_Coverage, 4702,
     /* 1643495 */     GIR_EraseRootFromParent_Done,
     /* 1643496 */   // Label 22595: @1643496
     /* 1643496 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1643582), // Rule ID 4711 //
     /* 1643501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643547 */     // MIs[0] policy
     /* 1643547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643581 */     // GIR_Coverage, 4711,
     /* 1643581 */     GIR_EraseRootFromParent_Done,
     /* 1643582 */   // Label 22596: @1643582
     /* 1643582 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1643668), // Rule ID 4712 //
     /* 1643587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643633 */     // MIs[0] policy
     /* 1643633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1643646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643667 */     // GIR_Coverage, 4712,
     /* 1643667 */     GIR_EraseRootFromParent_Done,
     /* 1643668 */   // Label 22597: @1643668
     /* 1643668 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1643754), // Rule ID 4715 //
     /* 1643673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643719 */     // MIs[0] policy
     /* 1643719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643729 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1643732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643753 */     // GIR_Coverage, 4715,
     /* 1643753 */     GIR_EraseRootFromParent_Done,
     /* 1643754 */   // Label 22598: @1643754
     /* 1643754 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1643840), // Rule ID 4716 //
     /* 1643759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643805 */     // MIs[0] policy
     /* 1643805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1643818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643839 */     // GIR_Coverage, 4716,
     /* 1643839 */     GIR_EraseRootFromParent_Done,
     /* 1643840 */   // Label 22599: @1643840
     /* 1643840 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1643926), // Rule ID 4719 //
     /* 1643845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643891 */     // MIs[0] policy
     /* 1643891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1643904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643925 */     // GIR_Coverage, 4719,
     /* 1643925 */     GIR_EraseRootFromParent_Done,
     /* 1643926 */   // Label 22600: @1643926
     /* 1643926 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644012), // Rule ID 4720 //
     /* 1643931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643977 */     // MIs[0] policy
     /* 1643977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1643990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644011 */     // GIR_Coverage, 4720,
     /* 1644011 */     GIR_EraseRootFromParent_Done,
     /* 1644012 */   // Label 22601: @1644012
     /* 1644012 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644098), // Rule ID 4723 //
     /* 1644017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644063 */     // MIs[0] policy
     /* 1644063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644097 */     // GIR_Coverage, 4723,
     /* 1644097 */     GIR_EraseRootFromParent_Done,
     /* 1644098 */   // Label 22602: @1644098
     /* 1644098 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1644184), // Rule ID 4724 //
     /* 1644103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1644114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1644117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1644120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644149 */     // MIs[0] policy
     /* 1644149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644183 */     // GIR_Coverage, 4724,
     /* 1644183 */     GIR_EraseRootFromParent_Done,
     /* 1644184 */   // Label 22603: @1644184
     /* 1644184 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1644270), // Rule ID 4727 //
     /* 1644189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644235 */     // MIs[0] policy
     /* 1644235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644269 */     // GIR_Coverage, 4727,
     /* 1644269 */     GIR_EraseRootFromParent_Done,
     /* 1644270 */   // Label 22604: @1644270
     /* 1644270 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1644356), // Rule ID 4728 //
     /* 1644275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644321 */     // MIs[0] policy
     /* 1644321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644355 */     // GIR_Coverage, 4728,
     /* 1644355 */     GIR_EraseRootFromParent_Done,
     /* 1644356 */   // Label 22605: @1644356
     /* 1644356 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1644442), // Rule ID 4731 //
     /* 1644361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644407 */     // MIs[0] policy
     /* 1644407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644441 */     // GIR_Coverage, 4731,
     /* 1644441 */     GIR_EraseRootFromParent_Done,
     /* 1644442 */   // Label 22606: @1644442
     /* 1644442 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1644528), // Rule ID 4732 //
     /* 1644447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644493 */     // MIs[0] policy
     /* 1644493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644527 */     // GIR_Coverage, 4732,
     /* 1644527 */     GIR_EraseRootFromParent_Done,
     /* 1644528 */   // Label 22607: @1644528
     /* 1644528 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1644614), // Rule ID 4735 //
     /* 1644533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644579 */     // MIs[0] policy
     /* 1644579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644589 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644613 */     // GIR_Coverage, 4735,
     /* 1644613 */     GIR_EraseRootFromParent_Done,
     /* 1644614 */   // Label 22608: @1644614
     /* 1644614 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1644700), // Rule ID 4736 //
     /* 1644619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644665 */     // MIs[0] policy
     /* 1644665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644699 */     // GIR_Coverage, 4736,
     /* 1644699 */     GIR_EraseRootFromParent_Done,
     /* 1644700 */   // Label 22609: @1644700
     /* 1644700 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1644786), // Rule ID 4739 //
     /* 1644705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644751 */     // MIs[0] policy
     /* 1644751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644785 */     // GIR_Coverage, 4739,
     /* 1644785 */     GIR_EraseRootFromParent_Done,
     /* 1644786 */   // Label 22610: @1644786
     /* 1644786 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1644872), // Rule ID 4740 //
     /* 1644791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644837 */     // MIs[0] policy
     /* 1644837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1644850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644871 */     // GIR_Coverage, 4740,
     /* 1644871 */     GIR_EraseRootFromParent_Done,
     /* 1644872 */   // Label 22611: @1644872
     /* 1644872 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1644958), // Rule ID 4743 //
     /* 1644877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644923 */     // MIs[0] policy
     /* 1644923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644957 */     // GIR_Coverage, 4743,
     /* 1644957 */     GIR_EraseRootFromParent_Done,
     /* 1644958 */   // Label 22612: @1644958
     /* 1644958 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645044), // Rule ID 4744 //
     /* 1644963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645009 */     // MIs[0] policy
     /* 1645009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645043 */     // GIR_Coverage, 4744,
     /* 1645043 */     GIR_EraseRootFromParent_Done,
     /* 1645044 */   // Label 22613: @1645044
     /* 1645044 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1645130), // Rule ID 4747 //
     /* 1645049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645095 */     // MIs[0] policy
     /* 1645095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645129 */     // GIR_Coverage, 4747,
     /* 1645129 */     GIR_EraseRootFromParent_Done,
     /* 1645130 */   // Label 22614: @1645130
     /* 1645130 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1645216), // Rule ID 4748 //
     /* 1645135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645181 */     // MIs[0] policy
     /* 1645181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645215 */     // GIR_Coverage, 4748,
     /* 1645215 */     GIR_EraseRootFromParent_Done,
     /* 1645216 */   // Label 22615: @1645216
     /* 1645216 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1645302), // Rule ID 4751 //
     /* 1645221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645267 */     // MIs[0] policy
     /* 1645267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645301 */     // GIR_Coverage, 4751,
     /* 1645301 */     GIR_EraseRootFromParent_Done,
     /* 1645302 */   // Label 22616: @1645302
     /* 1645302 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1645388), // Rule ID 4752 //
     /* 1645307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645353 */     // MIs[0] policy
     /* 1645353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645387 */     // GIR_Coverage, 4752,
     /* 1645387 */     GIR_EraseRootFromParent_Done,
     /* 1645388 */   // Label 22617: @1645388
     /* 1645388 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1645474), // Rule ID 4755 //
     /* 1645393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645439 */     // MIs[0] policy
     /* 1645439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645473 */     // GIR_Coverage, 4755,
     /* 1645473 */     GIR_EraseRootFromParent_Done,
     /* 1645474 */   // Label 22618: @1645474
     /* 1645474 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1645560), // Rule ID 4756 //
     /* 1645479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645525 */     // MIs[0] policy
     /* 1645525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645535 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645559 */     // GIR_Coverage, 4756,
     /* 1645559 */     GIR_EraseRootFromParent_Done,
     /* 1645560 */   // Label 22619: @1645560
     /* 1645560 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1645646), // Rule ID 4759 //
     /* 1645565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645611 */     // MIs[0] policy
     /* 1645611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645645 */     // GIR_Coverage, 4759,
     /* 1645645 */     GIR_EraseRootFromParent_Done,
     /* 1645646 */   // Label 22620: @1645646
     /* 1645646 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1645732), // Rule ID 4760 //
     /* 1645651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645697 */     // MIs[0] policy
     /* 1645697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1645710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645731 */     // GIR_Coverage, 4760,
     /* 1645731 */     GIR_EraseRootFromParent_Done,
     /* 1645732 */   // Label 22621: @1645732
     /* 1645732 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1645818), // Rule ID 4763 //
     /* 1645737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645783 */     // MIs[0] policy
     /* 1645783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645817 */     // GIR_Coverage, 4763,
     /* 1645817 */     GIR_EraseRootFromParent_Done,
     /* 1645818 */   // Label 22622: @1645818
     /* 1645818 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1645904), // Rule ID 4764 //
     /* 1645823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645869 */     // MIs[0] policy
     /* 1645869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1645882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645903 */     // GIR_Coverage, 4764,
     /* 1645903 */     GIR_EraseRootFromParent_Done,
     /* 1645904 */   // Label 22623: @1645904
     /* 1645904 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1645990), // Rule ID 4767 //
     /* 1645909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645955 */     // MIs[0] policy
     /* 1645955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1645968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645989 */     // GIR_Coverage, 4767,
     /* 1645989 */     GIR_EraseRootFromParent_Done,
     /* 1645990 */   // Label 22624: @1645990
     /* 1645990 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646076), // Rule ID 4768 //
     /* 1645995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646041 */     // MIs[0] policy
     /* 1646041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1646054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646075 */     // GIR_Coverage, 4768,
     /* 1646075 */     GIR_EraseRootFromParent_Done,
     /* 1646076 */   // Label 22625: @1646076
     /* 1646076 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1646162), // Rule ID 4771 //
     /* 1646081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646127 */     // MIs[0] policy
     /* 1646127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646161 */     // GIR_Coverage, 4771,
     /* 1646161 */     GIR_EraseRootFromParent_Done,
     /* 1646162 */   // Label 22626: @1646162
     /* 1646162 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1646248), // Rule ID 4772 //
     /* 1646167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646213 */     // MIs[0] policy
     /* 1646213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1646226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646247 */     // GIR_Coverage, 4772,
     /* 1646247 */     GIR_EraseRootFromParent_Done,
     /* 1646248 */   // Label 22627: @1646248
     /* 1646248 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1646334), // Rule ID 5649 //
     /* 1646253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646299 */     // MIs[0] policy
     /* 1646299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646333 */     // GIR_Coverage, 5649,
     /* 1646333 */     GIR_EraseRootFromParent_Done,
     /* 1646334 */   // Label 22628: @1646334
     /* 1646334 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1646420), // Rule ID 5650 //
     /* 1646339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1646350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1646353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1646356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1646359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646385 */     // MIs[0] policy
     /* 1646385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646395 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1646398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646419 */     // GIR_Coverage, 5650,
     /* 1646419 */     GIR_EraseRootFromParent_Done,
     /* 1646420 */   // Label 22629: @1646420
     /* 1646420 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1646506), // Rule ID 5653 //
     /* 1646425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646471 */     // MIs[0] policy
     /* 1646471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646505 */     // GIR_Coverage, 5653,
     /* 1646505 */     GIR_EraseRootFromParent_Done,
     /* 1646506 */   // Label 22630: @1646506
     /* 1646506 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1646592), // Rule ID 5654 //
     /* 1646511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1646522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1646525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1646528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1646531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646557 */     // MIs[0] policy
     /* 1646557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646591 */     // GIR_Coverage, 5654,
     /* 1646591 */     GIR_EraseRootFromParent_Done,
     /* 1646592 */   // Label 22631: @1646592
     /* 1646592 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1646678), // Rule ID 5657 //
     /* 1646597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1646608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1646611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1646614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646643 */     // MIs[0] policy
     /* 1646643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646653 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1646656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646677 */     // GIR_Coverage, 5657,
     /* 1646677 */     GIR_EraseRootFromParent_Done,
     /* 1646678 */   // Label 22632: @1646678
     /* 1646678 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1646764), // Rule ID 5658 //
     /* 1646683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1646694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1646697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1646700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646729 */     // MIs[0] policy
     /* 1646729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1646742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646763 */     // GIR_Coverage, 5658,
     /* 1646763 */     GIR_EraseRootFromParent_Done,
     /* 1646764 */   // Label 22633: @1646764
     /* 1646764 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1646850), // Rule ID 5661 //
     /* 1646769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646815 */     // MIs[0] policy
     /* 1646815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646849 */     // GIR_Coverage, 5661,
     /* 1646849 */     GIR_EraseRootFromParent_Done,
     /* 1646850 */   // Label 22634: @1646850
     /* 1646850 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1646936), // Rule ID 5662 //
     /* 1646855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646901 */     // MIs[0] policy
     /* 1646901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1646914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646935 */     // GIR_Coverage, 5662,
     /* 1646935 */     GIR_EraseRootFromParent_Done,
     /* 1646936 */   // Label 22635: @1646936
     /* 1646936 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647022), // Rule ID 5665 //
     /* 1646941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1646952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1646955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1646958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1646961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646987 */     // MIs[0] policy
     /* 1646987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647021 */     // GIR_Coverage, 5665,
     /* 1647021 */     GIR_EraseRootFromParent_Done,
     /* 1647022 */   // Label 22636: @1647022
     /* 1647022 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647108), // Rule ID 5666 //
     /* 1647027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1647047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647073 */     // MIs[0] policy
     /* 1647073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647107 */     // GIR_Coverage, 5666,
     /* 1647107 */     GIR_EraseRootFromParent_Done,
     /* 1647108 */   // Label 22637: @1647108
     /* 1647108 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1647194), // Rule ID 5669 //
     /* 1647113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647159 */     // MIs[0] policy
     /* 1647159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647193 */     // GIR_Coverage, 5669,
     /* 1647193 */     GIR_EraseRootFromParent_Done,
     /* 1647194 */   // Label 22638: @1647194
     /* 1647194 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1647280), // Rule ID 5670 //
     /* 1647199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647245 */     // MIs[0] policy
     /* 1647245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1647258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647279 */     // GIR_Coverage, 5670,
     /* 1647279 */     GIR_EraseRootFromParent_Done,
     /* 1647280 */   // Label 22639: @1647280
     /* 1647280 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1647366), // Rule ID 5673 //
     /* 1647285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647331 */     // MIs[0] policy
     /* 1647331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647365 */     // GIR_Coverage, 5673,
     /* 1647365 */     GIR_EraseRootFromParent_Done,
     /* 1647366 */   // Label 22640: @1647366
     /* 1647366 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1647452), // Rule ID 5674 //
     /* 1647371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1647382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1647385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1647388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647417 */     // MIs[0] policy
     /* 1647417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647451 */     // GIR_Coverage, 5674,
     /* 1647451 */     GIR_EraseRootFromParent_Done,
     /* 1647452 */   // Label 22641: @1647452
     /* 1647452 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1647538), // Rule ID 5677 //
     /* 1647457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647503 */     // MIs[0] policy
     /* 1647503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647537 */     // GIR_Coverage, 5677,
     /* 1647537 */     GIR_EraseRootFromParent_Done,
     /* 1647538 */   // Label 22642: @1647538
     /* 1647538 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1647624), // Rule ID 5678 //
     /* 1647543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647589 */     // MIs[0] policy
     /* 1647589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647623 */     // GIR_Coverage, 5678,
     /* 1647623 */     GIR_EraseRootFromParent_Done,
     /* 1647624 */   // Label 22643: @1647624
     /* 1647624 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1647710), // Rule ID 5681 //
     /* 1647629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1647640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647675 */     // MIs[0] policy
     /* 1647675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647709 */     // GIR_Coverage, 5681,
     /* 1647709 */     GIR_EraseRootFromParent_Done,
     /* 1647710 */   // Label 22644: @1647710
     /* 1647710 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1647796), // Rule ID 5682 //
     /* 1647715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1647726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647761 */     // MIs[0] policy
     /* 1647761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647795 */     // GIR_Coverage, 5682,
     /* 1647795 */     GIR_EraseRootFromParent_Done,
     /* 1647796 */   // Label 22645: @1647796
     /* 1647796 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1647882), // Rule ID 5685 //
     /* 1647801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1647804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1647821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647847 */     // MIs[0] policy
     /* 1647847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647881 */     // GIR_Coverage, 5685,
     /* 1647881 */     GIR_EraseRootFromParent_Done,
     /* 1647882 */   // Label 22646: @1647882
     /* 1647882 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1647968), // Rule ID 5686 //
     /* 1647887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1647890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1647907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647933 */     // MIs[0] policy
     /* 1647933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1647946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647967 */     // GIR_Coverage, 5686,
     /* 1647967 */     GIR_EraseRootFromParent_Done,
     /* 1647968 */   // Label 22647: @1647968
     /* 1647968 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648054), // Rule ID 5689 //
     /* 1647973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1647984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1647987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1647990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1647993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648019 */     // MIs[0] policy
     /* 1648019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648053 */     // GIR_Coverage, 5689,
     /* 1648053 */     GIR_EraseRootFromParent_Done,
     /* 1648054 */   // Label 22648: @1648054
     /* 1648054 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1648140), // Rule ID 5690 //
     /* 1648059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1648070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1648073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1648076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648105 */     // MIs[0] policy
     /* 1648105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648139 */     // GIR_Coverage, 5690,
     /* 1648139 */     GIR_EraseRootFromParent_Done,
     /* 1648140 */   // Label 22649: @1648140
     /* 1648140 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1648226), // Rule ID 5693 //
     /* 1648145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648191 */     // MIs[0] policy
     /* 1648191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648225 */     // GIR_Coverage, 5693,
     /* 1648225 */     GIR_EraseRootFromParent_Done,
     /* 1648226 */   // Label 22650: @1648226
     /* 1648226 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1648312), // Rule ID 5694 //
     /* 1648231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1648242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1648245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1648248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648277 */     // MIs[0] policy
     /* 1648277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648311 */     // GIR_Coverage, 5694,
     /* 1648311 */     GIR_EraseRootFromParent_Done,
     /* 1648312 */   // Label 22651: @1648312
     /* 1648312 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1648398), // Rule ID 5697 //
     /* 1648317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648363 */     // MIs[0] policy
     /* 1648363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648373 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648397 */     // GIR_Coverage, 5697,
     /* 1648397 */     GIR_EraseRootFromParent_Done,
     /* 1648398 */   // Label 22652: @1648398
     /* 1648398 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1648484), // Rule ID 5698 //
     /* 1648403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1648414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1648417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1648420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1648423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1648426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648449 */     // MIs[0] policy
     /* 1648449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648483 */     // GIR_Coverage, 5698,
     /* 1648483 */     GIR_EraseRootFromParent_Done,
     /* 1648484 */   // Label 22653: @1648484
     /* 1648484 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1648570), // Rule ID 5701 //
     /* 1648489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648535 */     // MIs[0] policy
     /* 1648535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648569 */     // GIR_Coverage, 5701,
     /* 1648569 */     GIR_EraseRootFromParent_Done,
     /* 1648570 */   // Label 22654: @1648570
     /* 1648570 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1648656), // Rule ID 5702 //
     /* 1648575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648621 */     // MIs[0] policy
     /* 1648621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648655 */     // GIR_Coverage, 5702,
     /* 1648655 */     GIR_EraseRootFromParent_Done,
     /* 1648656 */   // Label 22655: @1648656
     /* 1648656 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1648742), // Rule ID 5705 //
     /* 1648661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1648681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648707 */     // MIs[0] policy
     /* 1648707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648741 */     // GIR_Coverage, 5705,
     /* 1648741 */     GIR_EraseRootFromParent_Done,
     /* 1648742 */   // Label 22656: @1648742
     /* 1648742 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1648828), // Rule ID 5706 //
     /* 1648747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1648767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648793 */     // MIs[0] policy
     /* 1648793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648827 */     // GIR_Coverage, 5706,
     /* 1648827 */     GIR_EraseRootFromParent_Done,
     /* 1648828 */   // Label 22657: @1648828
     /* 1648828 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1648914), // Rule ID 5709 //
     /* 1648833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1648853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648879 */     // MIs[0] policy
     /* 1648879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648913 */     // GIR_Coverage, 5709,
     /* 1648913 */     GIR_EraseRootFromParent_Done,
     /* 1648914 */   // Label 22658: @1648914
     /* 1648914 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649000), // Rule ID 5710 //
     /* 1648919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1648939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648965 */     // MIs[0] policy
     /* 1648965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648999 */     // GIR_Coverage, 5710,
     /* 1648999 */     GIR_EraseRootFromParent_Done,
     /* 1649000 */   // Label 22659: @1649000
     /* 1649000 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649086), // Rule ID 5713 //
     /* 1649005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649051 */     // MIs[0] policy
     /* 1649051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649085 */     // GIR_Coverage, 5713,
     /* 1649085 */     GIR_EraseRootFromParent_Done,
     /* 1649086 */   // Label 22660: @1649086
     /* 1649086 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1649172), // Rule ID 5714 //
     /* 1649091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649137 */     // MIs[0] policy
     /* 1649137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649171 */     // GIR_Coverage, 5714,
     /* 1649171 */     GIR_EraseRootFromParent_Done,
     /* 1649172 */   // Label 22661: @1649172
     /* 1649172 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1649258), // Rule ID 5717 //
     /* 1649177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649223 */     // MIs[0] policy
     /* 1649223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649257 */     // GIR_Coverage, 5717,
     /* 1649257 */     GIR_EraseRootFromParent_Done,
     /* 1649258 */   // Label 22662: @1649258
     /* 1649258 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1649344), // Rule ID 5718 //
     /* 1649263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649309 */     // MIs[0] policy
     /* 1649309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649343 */     // GIR_Coverage, 5718,
     /* 1649343 */     GIR_EraseRootFromParent_Done,
     /* 1649344 */   // Label 22663: @1649344
     /* 1649344 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1649430), // Rule ID 5721 //
     /* 1649349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649395 */     // MIs[0] policy
     /* 1649395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649429 */     // GIR_Coverage, 5721,
     /* 1649429 */     GIR_EraseRootFromParent_Done,
     /* 1649430 */   // Label 22664: @1649430
     /* 1649430 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1649516), // Rule ID 5722 //
     /* 1649435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1649455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649481 */     // MIs[0] policy
     /* 1649481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649515 */     // GIR_Coverage, 5722,
     /* 1649515 */     GIR_EraseRootFromParent_Done,
     /* 1649516 */   // Label 22665: @1649516
     /* 1649516 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1649602), // Rule ID 5725 //
     /* 1649521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649567 */     // MIs[0] policy
     /* 1649567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649601 */     // GIR_Coverage, 5725,
     /* 1649601 */     GIR_EraseRootFromParent_Done,
     /* 1649602 */   // Label 22666: @1649602
     /* 1649602 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1649688), // Rule ID 5726 //
     /* 1649607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1649627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649653 */     // MIs[0] policy
     /* 1649653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1649666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649687 */     // GIR_Coverage, 5726,
     /* 1649687 */     GIR_EraseRootFromParent_Done,
     /* 1649688 */   // Label 22667: @1649688
     /* 1649688 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1649774), // Rule ID 5729 //
     /* 1649693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1649713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649739 */     // MIs[0] policy
     /* 1649739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649773 */     // GIR_Coverage, 5729,
     /* 1649773 */     GIR_EraseRootFromParent_Done,
     /* 1649774 */   // Label 22668: @1649774
     /* 1649774 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1649860), // Rule ID 5730 //
     /* 1649779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1649799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649825 */     // MIs[0] policy
     /* 1649825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1649838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649859 */     // GIR_Coverage, 5730,
     /* 1649859 */     GIR_EraseRootFromParent_Done,
     /* 1649860 */   // Label 22669: @1649860
     /* 1649860 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1649946), // Rule ID 5733 //
     /* 1649865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1649885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649911 */     // MIs[0] policy
     /* 1649911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1649924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649945 */     // GIR_Coverage, 5733,
     /* 1649945 */     GIR_EraseRootFromParent_Done,
     /* 1649946 */   // Label 22670: @1649946
     /* 1649946 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650032), // Rule ID 5734 //
     /* 1649951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1649971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649997 */     // MIs[0] policy
     /* 1649997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1650010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650031 */     // GIR_Coverage, 5734,
     /* 1650031 */     GIR_EraseRootFromParent_Done,
     /* 1650032 */   // Label 22671: @1650032
     /* 1650032 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650118), // Rule ID 5737 //
     /* 1650037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650083 */     // MIs[0] policy
     /* 1650083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650117 */     // GIR_Coverage, 5737,
     /* 1650117 */     GIR_EraseRootFromParent_Done,
     /* 1650118 */   // Label 22672: @1650118
     /* 1650118 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1650204), // Rule ID 5738 //
     /* 1650123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650169 */     // MIs[0] policy
     /* 1650169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1650182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650203 */     // GIR_Coverage, 5738,
     /* 1650203 */     GIR_EraseRootFromParent_Done,
     /* 1650204 */   // Label 22673: @1650204
     /* 1650204 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1650290), // Rule ID 5741 //
     /* 1650209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650255 */     // MIs[0] policy
     /* 1650255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650265 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650289 */     // GIR_Coverage, 5741,
     /* 1650289 */     GIR_EraseRootFromParent_Done,
     /* 1650290 */   // Label 22674: @1650290
     /* 1650290 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1650376), // Rule ID 5742 //
     /* 1650295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1650306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1650309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1650312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650341 */     // MIs[0] policy
     /* 1650341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650351 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650375 */     // GIR_Coverage, 5742,
     /* 1650375 */     GIR_EraseRootFromParent_Done,
     /* 1650376 */   // Label 22675: @1650376
     /* 1650376 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1650462), // Rule ID 5745 //
     /* 1650381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650427 */     // MIs[0] policy
     /* 1650427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650461 */     // GIR_Coverage, 5745,
     /* 1650461 */     GIR_EraseRootFromParent_Done,
     /* 1650462 */   // Label 22676: @1650462
     /* 1650462 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1650548), // Rule ID 5746 //
     /* 1650467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650513 */     // MIs[0] policy
     /* 1650513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650547 */     // GIR_Coverage, 5746,
     /* 1650547 */     GIR_EraseRootFromParent_Done,
     /* 1650548 */   // Label 22677: @1650548
     /* 1650548 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1650634), // Rule ID 5749 //
     /* 1650553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650599 */     // MIs[0] policy
     /* 1650599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650633 */     // GIR_Coverage, 5749,
     /* 1650633 */     GIR_EraseRootFromParent_Done,
     /* 1650634 */   // Label 22678: @1650634
     /* 1650634 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1650720), // Rule ID 5750 //
     /* 1650639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650685 */     // MIs[0] policy
     /* 1650685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1650698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650719 */     // GIR_Coverage, 5750,
     /* 1650719 */     GIR_EraseRootFromParent_Done,
     /* 1650720 */   // Label 22679: @1650720
     /* 1650720 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1650806), // Rule ID 5753 //
     /* 1650725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650771 */     // MIs[0] policy
     /* 1650771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650805 */     // GIR_Coverage, 5753,
     /* 1650805 */     GIR_EraseRootFromParent_Done,
     /* 1650806 */   // Label 22680: @1650806
     /* 1650806 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1650892), // Rule ID 5754 //
     /* 1650811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650857 */     // MIs[0] policy
     /* 1650857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650891 */     // GIR_Coverage, 5754,
     /* 1650891 */     GIR_EraseRootFromParent_Done,
     /* 1650892 */   // Label 22681: @1650892
     /* 1650892 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1650978), // Rule ID 5757 //
     /* 1650897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1650914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650943 */     // MIs[0] policy
     /* 1650943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1650956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650977 */     // GIR_Coverage, 5757,
     /* 1650977 */     GIR_EraseRootFromParent_Done,
     /* 1650978 */   // Label 22682: @1650978
     /* 1650978 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651064), // Rule ID 5758 //
     /* 1650983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651029 */     // MIs[0] policy
     /* 1651029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1651042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651063 */     // GIR_Coverage, 5758,
     /* 1651063 */     GIR_EraseRootFromParent_Done,
     /* 1651064 */   // Label 22683: @1651064
     /* 1651064 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1651150), // Rule ID 5761 //
     /* 1651069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651115 */     // MIs[0] policy
     /* 1651115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651149 */     // GIR_Coverage, 5761,
     /* 1651149 */     GIR_EraseRootFromParent_Done,
     /* 1651150 */   // Label 22684: @1651150
     /* 1651150 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1651236), // Rule ID 5762 //
     /* 1651155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651201 */     // MIs[0] policy
     /* 1651201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651235 */     // GIR_Coverage, 5762,
     /* 1651235 */     GIR_EraseRootFromParent_Done,
     /* 1651236 */   // Label 22685: @1651236
     /* 1651236 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1651322), // Rule ID 5765 //
     /* 1651241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651287 */     // MIs[0] policy
     /* 1651287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651321 */     // GIR_Coverage, 5765,
     /* 1651321 */     GIR_EraseRootFromParent_Done,
     /* 1651322 */   // Label 22686: @1651322
     /* 1651322 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1651408), // Rule ID 5766 //
     /* 1651327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651373 */     // MIs[0] policy
     /* 1651373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651407 */     // GIR_Coverage, 5766,
     /* 1651407 */     GIR_EraseRootFromParent_Done,
     /* 1651408 */   // Label 22687: @1651408
     /* 1651408 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1651494), // Rule ID 5769 //
     /* 1651413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651459 */     // MIs[0] policy
     /* 1651459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651493 */     // GIR_Coverage, 5769,
     /* 1651493 */     GIR_EraseRootFromParent_Done,
     /* 1651494 */   // Label 22688: @1651494
     /* 1651494 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1651580), // Rule ID 5770 //
     /* 1651499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651545 */     // MIs[0] policy
     /* 1651545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651579 */     // GIR_Coverage, 5770,
     /* 1651579 */     GIR_EraseRootFromParent_Done,
     /* 1651580 */   // Label 22689: @1651580
     /* 1651580 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1651666), // Rule ID 5773 //
     /* 1651585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651631 */     // MIs[0] policy
     /* 1651631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651641 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651665 */     // GIR_Coverage, 5773,
     /* 1651665 */     GIR_EraseRootFromParent_Done,
     /* 1651666 */   // Label 22690: @1651666
     /* 1651666 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1651752), // Rule ID 5774 //
     /* 1651671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651717 */     // MIs[0] policy
     /* 1651717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1651730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651751 */     // GIR_Coverage, 5774,
     /* 1651751 */     GIR_EraseRootFromParent_Done,
     /* 1651752 */   // Label 22691: @1651752
     /* 1651752 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1651838), // Rule ID 5777 //
     /* 1651757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651803 */     // MIs[0] policy
     /* 1651803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651837 */     // GIR_Coverage, 5777,
     /* 1651837 */     GIR_EraseRootFromParent_Done,
     /* 1651838 */   // Label 22692: @1651838
     /* 1651838 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1651924), // Rule ID 5778 //
     /* 1651843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651889 */     // MIs[0] policy
     /* 1651889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651923 */     // GIR_Coverage, 5778,
     /* 1651923 */     GIR_EraseRootFromParent_Done,
     /* 1651924 */   // Label 22693: @1651924
     /* 1651924 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652010), // Rule ID 5781 //
     /* 1651929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1651940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1651943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1651946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651975 */     // MIs[0] policy
     /* 1651975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1651988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652009 */     // GIR_Coverage, 5781,
     /* 1652009 */     GIR_EraseRootFromParent_Done,
     /* 1652010 */   // Label 22694: @1652010
     /* 1652010 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652096), // Rule ID 5782 //
     /* 1652015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652061 */     // MIs[0] policy
     /* 1652061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652095 */     // GIR_Coverage, 5782,
     /* 1652095 */     GIR_EraseRootFromParent_Done,
     /* 1652096 */   // Label 22695: @1652096
     /* 1652096 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1652182), // Rule ID 5785 //
     /* 1652101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652147 */     // MIs[0] policy
     /* 1652147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652181 */     // GIR_Coverage, 5785,
     /* 1652181 */     GIR_EraseRootFromParent_Done,
     /* 1652182 */   // Label 22696: @1652182
     /* 1652182 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1652268), // Rule ID 5786 //
     /* 1652187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652233 */     // MIs[0] policy
     /* 1652233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652267 */     // GIR_Coverage, 5786,
     /* 1652267 */     GIR_EraseRootFromParent_Done,
     /* 1652268 */   // Label 22697: @1652268
     /* 1652268 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1652354), // Rule ID 5789 //
     /* 1652273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652319 */     // MIs[0] policy
     /* 1652319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652329 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652353 */     // GIR_Coverage, 5789,
     /* 1652353 */     GIR_EraseRootFromParent_Done,
     /* 1652354 */   // Label 22698: @1652354
     /* 1652354 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1652440), // Rule ID 5790 //
     /* 1652359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652405 */     // MIs[0] policy
     /* 1652405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652439 */     // GIR_Coverage, 5790,
     /* 1652439 */     GIR_EraseRootFromParent_Done,
     /* 1652440 */   // Label 22699: @1652440
     /* 1652440 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1652526), // Rule ID 5793 //
     /* 1652445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652491 */     // MIs[0] policy
     /* 1652491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652525 */     // GIR_Coverage, 5793,
     /* 1652525 */     GIR_EraseRootFromParent_Done,
     /* 1652526 */   // Label 22700: @1652526
     /* 1652526 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1652612), // Rule ID 5794 //
     /* 1652531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652577 */     // MIs[0] policy
     /* 1652577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652611 */     // GIR_Coverage, 5794,
     /* 1652611 */     GIR_EraseRootFromParent_Done,
     /* 1652612 */   // Label 22701: @1652612
     /* 1652612 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1652698), // Rule ID 5797 //
     /* 1652617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652663 */     // MIs[0] policy
     /* 1652663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652697 */     // GIR_Coverage, 5797,
     /* 1652697 */     GIR_EraseRootFromParent_Done,
     /* 1652698 */   // Label 22702: @1652698
     /* 1652698 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1652784), // Rule ID 5798 //
     /* 1652703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652749 */     // MIs[0] policy
     /* 1652749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652783 */     // GIR_Coverage, 5798,
     /* 1652783 */     GIR_EraseRootFromParent_Done,
     /* 1652784 */   // Label 22703: @1652784
     /* 1652784 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1652870), // Rule ID 5801 //
     /* 1652789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652835 */     // MIs[0] policy
     /* 1652835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652869 */     // GIR_Coverage, 5801,
     /* 1652869 */     GIR_EraseRootFromParent_Done,
     /* 1652870 */   // Label 22704: @1652870
     /* 1652870 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1652956), // Rule ID 5802 //
     /* 1652875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652921 */     // MIs[0] policy
     /* 1652921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652955 */     // GIR_Coverage, 5802,
     /* 1652955 */     GIR_EraseRootFromParent_Done,
     /* 1652956 */   // Label 22705: @1652956
     /* 1652956 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653042), // Rule ID 5805 //
     /* 1652961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1652972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1652975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1652978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653007 */     // MIs[0] policy
     /* 1653007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653041 */     // GIR_Coverage, 5805,
     /* 1653041 */     GIR_EraseRootFromParent_Done,
     /* 1653042 */   // Label 22706: @1653042
     /* 1653042 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1653128), // Rule ID 5806 //
     /* 1653047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653093 */     // MIs[0] policy
     /* 1653093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653127 */     // GIR_Coverage, 5806,
     /* 1653127 */     GIR_EraseRootFromParent_Done,
     /* 1653128 */   // Label 22707: @1653128
     /* 1653128 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1653214), // Rule ID 5809 //
     /* 1653133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653179 */     // MIs[0] policy
     /* 1653179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653213 */     // GIR_Coverage, 5809,
     /* 1653213 */     GIR_EraseRootFromParent_Done,
     /* 1653214 */   // Label 22708: @1653214
     /* 1653214 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1653300), // Rule ID 5810 //
     /* 1653219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653265 */     // MIs[0] policy
     /* 1653265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653299 */     // GIR_Coverage, 5810,
     /* 1653299 */     GIR_EraseRootFromParent_Done,
     /* 1653300 */   // Label 22709: @1653300
     /* 1653300 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1653386), // Rule ID 5813 //
     /* 1653305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653351 */     // MIs[0] policy
     /* 1653351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653385 */     // GIR_Coverage, 5813,
     /* 1653385 */     GIR_EraseRootFromParent_Done,
     /* 1653386 */   // Label 22710: @1653386
     /* 1653386 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1653472), // Rule ID 5814 //
     /* 1653391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653437 */     // MIs[0] policy
     /* 1653437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1653450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653471 */     // GIR_Coverage, 5814,
     /* 1653471 */     GIR_EraseRootFromParent_Done,
     /* 1653472 */   // Label 22711: @1653472
     /* 1653472 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1653558), // Rule ID 5817 //
     /* 1653477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653523 */     // MIs[0] policy
     /* 1653523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653557 */     // GIR_Coverage, 5817,
     /* 1653557 */     GIR_EraseRootFromParent_Done,
     /* 1653558 */   // Label 22712: @1653558
     /* 1653558 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1653644), // Rule ID 5818 //
     /* 1653563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653609 */     // MIs[0] policy
     /* 1653609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1653622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653643 */     // GIR_Coverage, 5818,
     /* 1653643 */     GIR_EraseRootFromParent_Done,
     /* 1653644 */   // Label 22713: @1653644
     /* 1653644 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1653730), // Rule ID 5821 //
     /* 1653649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653695 */     // MIs[0] policy
     /* 1653695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653729 */     // GIR_Coverage, 5821,
     /* 1653729 */     GIR_EraseRootFromParent_Done,
     /* 1653730 */   // Label 22714: @1653730
     /* 1653730 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1653816), // Rule ID 5822 //
     /* 1653735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1653749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1653752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653781 */     // MIs[0] policy
     /* 1653781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1653794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653815 */     // GIR_Coverage, 5822,
     /* 1653815 */     GIR_EraseRootFromParent_Done,
     /* 1653816 */   // Label 22715: @1653816
     /* 1653816 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1653902), // Rule ID 5913 //
     /* 1653821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653867 */     // MIs[0] policy
     /* 1653867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1653880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653901 */     // GIR_Coverage, 5913,
     /* 1653901 */     GIR_EraseRootFromParent_Done,
     /* 1653902 */   // Label 22716: @1653902
     /* 1653902 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1653988), // Rule ID 5914 //
     /* 1653907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1653918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1653921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1653924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1653927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653953 */     // MIs[0] policy
     /* 1653953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1653966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653987 */     // GIR_Coverage, 5914,
     /* 1653987 */     GIR_EraseRootFromParent_Done,
     /* 1653988 */   // Label 22717: @1653988
     /* 1653988 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654074), // Rule ID 5917 //
     /* 1653993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654039 */     // MIs[0] policy
     /* 1654039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654073 */     // GIR_Coverage, 5917,
     /* 1654073 */     GIR_EraseRootFromParent_Done,
     /* 1654074 */   // Label 22718: @1654074
     /* 1654074 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1654160), // Rule ID 5918 //
     /* 1654079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654125 */     // MIs[0] policy
     /* 1654125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654159 */     // GIR_Coverage, 5918,
     /* 1654159 */     GIR_EraseRootFromParent_Done,
     /* 1654160 */   // Label 22719: @1654160
     /* 1654160 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1654246), // Rule ID 5921 //
     /* 1654165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654211 */     // MIs[0] policy
     /* 1654211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654221 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654245 */     // GIR_Coverage, 5921,
     /* 1654245 */     GIR_EraseRootFromParent_Done,
     /* 1654246 */   // Label 22720: @1654246
     /* 1654246 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1654332), // Rule ID 5922 //
     /* 1654251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654297 */     // MIs[0] policy
     /* 1654297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654331 */     // GIR_Coverage, 5922,
     /* 1654331 */     GIR_EraseRootFromParent_Done,
     /* 1654332 */   // Label 22721: @1654332
     /* 1654332 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1654418), // Rule ID 5925 //
     /* 1654337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654383 */     // MIs[0] policy
     /* 1654383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654417 */     // GIR_Coverage, 5925,
     /* 1654417 */     GIR_EraseRootFromParent_Done,
     /* 1654418 */   // Label 22722: @1654418
     /* 1654418 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1654504), // Rule ID 5926 //
     /* 1654423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1654443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654469 */     // MIs[0] policy
     /* 1654469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654479 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1654482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654503 */     // GIR_Coverage, 5926,
     /* 1654503 */     GIR_EraseRootFromParent_Done,
     /* 1654504 */   // Label 22723: @1654504
     /* 1654504 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1654590), // Rule ID 5929 //
     /* 1654509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654555 */     // MIs[0] policy
     /* 1654555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654565 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654589 */     // GIR_Coverage, 5929,
     /* 1654589 */     GIR_EraseRootFromParent_Done,
     /* 1654590 */   // Label 22724: @1654590
     /* 1654590 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1654676), // Rule ID 5930 //
     /* 1654595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1654606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1654609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1654612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1654615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654641 */     // MIs[0] policy
     /* 1654641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654675 */     // GIR_Coverage, 5930,
     /* 1654675 */     GIR_EraseRootFromParent_Done,
     /* 1654676 */   // Label 22725: @1654676
     /* 1654676 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1654762), // Rule ID 5933 //
     /* 1654681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654727 */     // MIs[0] policy
     /* 1654727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654761 */     // GIR_Coverage, 5933,
     /* 1654761 */     GIR_EraseRootFromParent_Done,
     /* 1654762 */   // Label 22726: @1654762
     /* 1654762 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1654848), // Rule ID 5934 //
     /* 1654767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1654778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1654781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1654784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654813 */     // MIs[0] policy
     /* 1654813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1654826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654847 */     // GIR_Coverage, 5934,
     /* 1654847 */     GIR_EraseRootFromParent_Done,
     /* 1654848 */   // Label 22727: @1654848
     /* 1654848 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1654934), // Rule ID 5937 //
     /* 1654853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654899 */     // MIs[0] policy
     /* 1654899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654933 */     // GIR_Coverage, 5937,
     /* 1654933 */     GIR_EraseRootFromParent_Done,
     /* 1654934 */   // Label 22728: @1654934
     /* 1654934 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655020), // Rule ID 5938 //
     /* 1654939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1654950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1654953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1654956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1654959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654985 */     // MIs[0] policy
     /* 1654985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655019 */     // GIR_Coverage, 5938,
     /* 1655019 */     GIR_EraseRootFromParent_Done,
     /* 1655020 */   // Label 22729: @1655020
     /* 1655020 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655106), // Rule ID 5941 //
     /* 1655025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655071 */     // MIs[0] policy
     /* 1655071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655105 */     // GIR_Coverage, 5941,
     /* 1655105 */     GIR_EraseRootFromParent_Done,
     /* 1655106 */   // Label 22730: @1655106
     /* 1655106 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1655192), // Rule ID 5942 //
     /* 1655111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655157 */     // MIs[0] policy
     /* 1655157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655191 */     // GIR_Coverage, 5942,
     /* 1655191 */     GIR_EraseRootFromParent_Done,
     /* 1655192 */   // Label 22731: @1655192
     /* 1655192 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1655278), // Rule ID 5945 //
     /* 1655197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655243 */     // MIs[0] policy
     /* 1655243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655277 */     // GIR_Coverage, 5945,
     /* 1655277 */     GIR_EraseRootFromParent_Done,
     /* 1655278 */   // Label 22732: @1655278
     /* 1655278 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1655364), // Rule ID 5946 //
     /* 1655283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655329 */     // MIs[0] policy
     /* 1655329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655363 */     // GIR_Coverage, 5946,
     /* 1655363 */     GIR_EraseRootFromParent_Done,
     /* 1655364 */   // Label 22733: @1655364
     /* 1655364 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1655450), // Rule ID 5949 //
     /* 1655369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655415 */     // MIs[0] policy
     /* 1655415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655425 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655449 */     // GIR_Coverage, 5949,
     /* 1655449 */     GIR_EraseRootFromParent_Done,
     /* 1655450 */   // Label 22734: @1655450
     /* 1655450 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1655536), // Rule ID 5950 //
     /* 1655455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1655466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1655469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1655472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1655475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655501 */     // MIs[0] policy
     /* 1655501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1655514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655535 */     // GIR_Coverage, 5950,
     /* 1655535 */     GIR_EraseRootFromParent_Done,
     /* 1655536 */   // Label 22735: @1655536
     /* 1655536 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1655622), // Rule ID 5953 //
     /* 1655541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655587 */     // MIs[0] policy
     /* 1655587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655621 */     // GIR_Coverage, 5953,
     /* 1655621 */     GIR_EraseRootFromParent_Done,
     /* 1655622 */   // Label 22736: @1655622
     /* 1655622 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1655708), // Rule ID 5954 //
     /* 1655627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1655638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1655641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1655644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1655647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655673 */     // MIs[0] policy
     /* 1655673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655707 */     // GIR_Coverage, 5954,
     /* 1655707 */     GIR_EraseRootFromParent_Done,
     /* 1655708 */   // Label 22737: @1655708
     /* 1655708 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1655794), // Rule ID 5957 //
     /* 1655713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655759 */     // MIs[0] policy
     /* 1655759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655793 */     // GIR_Coverage, 5957,
     /* 1655793 */     GIR_EraseRootFromParent_Done,
     /* 1655794 */   // Label 22738: @1655794
     /* 1655794 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1655880), // Rule ID 5958 //
     /* 1655799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1655810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1655813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1655816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1655819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655845 */     // MIs[0] policy
     /* 1655845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655855 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655879 */     // GIR_Coverage, 5958,
     /* 1655879 */     GIR_EraseRootFromParent_Done,
     /* 1655880 */   // Label 22739: @1655880
     /* 1655880 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1655966), // Rule ID 5961 //
     /* 1655885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655931 */     // MIs[0] policy
     /* 1655931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655965 */     // GIR_Coverage, 5961,
     /* 1655965 */     GIR_EraseRootFromParent_Done,
     /* 1655966 */   // Label 22740: @1655966
     /* 1655966 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656052), // Rule ID 5962 //
     /* 1655971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1655982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1655985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1655988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1655991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1655994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656017 */     // MIs[0] policy
     /* 1656017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656027 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656051 */     // GIR_Coverage, 5962,
     /* 1656051 */     GIR_EraseRootFromParent_Done,
     /* 1656052 */   // Label 22741: @1656052
     /* 1656052 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1656138), // Rule ID 5965 //
     /* 1656057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656103 */     // MIs[0] policy
     /* 1656103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656137 */     // GIR_Coverage, 5965,
     /* 1656137 */     GIR_EraseRootFromParent_Done,
     /* 1656138 */   // Label 22742: @1656138
     /* 1656138 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1656224), // Rule ID 5966 //
     /* 1656143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656189 */     // MIs[0] policy
     /* 1656189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656223 */     // GIR_Coverage, 5966,
     /* 1656223 */     GIR_EraseRootFromParent_Done,
     /* 1656224 */   // Label 22743: @1656224
     /* 1656224 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1656310), // Rule ID 5969 //
     /* 1656229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656275 */     // MIs[0] policy
     /* 1656275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656309 */     // GIR_Coverage, 5969,
     /* 1656309 */     GIR_EraseRootFromParent_Done,
     /* 1656310 */   // Label 22744: @1656310
     /* 1656310 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1656396), // Rule ID 5970 //
     /* 1656315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656361 */     // MIs[0] policy
     /* 1656361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656395 */     // GIR_Coverage, 5970,
     /* 1656395 */     GIR_EraseRootFromParent_Done,
     /* 1656396 */   // Label 22745: @1656396
     /* 1656396 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1656482), // Rule ID 5973 //
     /* 1656401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656447 */     // MIs[0] policy
     /* 1656447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656457 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656481 */     // GIR_Coverage, 5973,
     /* 1656481 */     GIR_EraseRootFromParent_Done,
     /* 1656482 */   // Label 22746: @1656482
     /* 1656482 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1656568), // Rule ID 5974 //
     /* 1656487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656533 */     // MIs[0] policy
     /* 1656533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656567 */     // GIR_Coverage, 5974,
     /* 1656567 */     GIR_EraseRootFromParent_Done,
     /* 1656568 */   // Label 22747: @1656568
     /* 1656568 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1656654), // Rule ID 5977 //
     /* 1656573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656619 */     // MIs[0] policy
     /* 1656619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656653 */     // GIR_Coverage, 5977,
     /* 1656653 */     GIR_EraseRootFromParent_Done,
     /* 1656654 */   // Label 22748: @1656654
     /* 1656654 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1656740), // Rule ID 5978 //
     /* 1656659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1656679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656705 */     // MIs[0] policy
     /* 1656705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656739 */     // GIR_Coverage, 5978,
     /* 1656739 */     GIR_EraseRootFromParent_Done,
     /* 1656740 */   // Label 22749: @1656740
     /* 1656740 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1656826), // Rule ID 5981 //
     /* 1656745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656791 */     // MIs[0] policy
     /* 1656791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656825 */     // GIR_Coverage, 5981,
     /* 1656825 */     GIR_EraseRootFromParent_Done,
     /* 1656826 */   // Label 22750: @1656826
     /* 1656826 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1656912), // Rule ID 5982 //
     /* 1656831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1656851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656877 */     // MIs[0] policy
     /* 1656877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656911 */     // GIR_Coverage, 5982,
     /* 1656911 */     GIR_EraseRootFromParent_Done,
     /* 1656912 */   // Label 22751: @1656912
     /* 1656912 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1656998), // Rule ID 5985 //
     /* 1656917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1656937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656963 */     // MIs[0] policy
     /* 1656963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656997 */     // GIR_Coverage, 5985,
     /* 1656997 */     GIR_EraseRootFromParent_Done,
     /* 1656998 */   // Label 22752: @1656998
     /* 1656998 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657084), // Rule ID 5986 //
     /* 1657003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657049 */     // MIs[0] policy
     /* 1657049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657083 */     // GIR_Coverage, 5986,
     /* 1657083 */     GIR_EraseRootFromParent_Done,
     /* 1657084 */   // Label 22753: @1657084
     /* 1657084 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1657170), // Rule ID 5989 //
     /* 1657089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657135 */     // MIs[0] policy
     /* 1657135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657169 */     // GIR_Coverage, 5989,
     /* 1657169 */     GIR_EraseRootFromParent_Done,
     /* 1657170 */   // Label 22754: @1657170
     /* 1657170 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1657256), // Rule ID 5990 //
     /* 1657175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1657195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657221 */     // MIs[0] policy
     /* 1657221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1657234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657255 */     // GIR_Coverage, 5990,
     /* 1657255 */     GIR_EraseRootFromParent_Done,
     /* 1657256 */   // Label 22755: @1657256
     /* 1657256 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1657342), // Rule ID 5993 //
     /* 1657261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657307 */     // MIs[0] policy
     /* 1657307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657341 */     // GIR_Coverage, 5993,
     /* 1657341 */     GIR_EraseRootFromParent_Done,
     /* 1657342 */   // Label 22756: @1657342
     /* 1657342 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1657428), // Rule ID 5994 //
     /* 1657347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1657367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657393 */     // MIs[0] policy
     /* 1657393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1657406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657427 */     // GIR_Coverage, 5994,
     /* 1657427 */     GIR_EraseRootFromParent_Done,
     /* 1657428 */   // Label 22757: @1657428
     /* 1657428 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1657514), // Rule ID 5997 //
     /* 1657433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657479 */     // MIs[0] policy
     /* 1657479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657513 */     // GIR_Coverage, 5997,
     /* 1657513 */     GIR_EraseRootFromParent_Done,
     /* 1657514 */   // Label 22758: @1657514
     /* 1657514 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1657600), // Rule ID 5998 //
     /* 1657519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1657539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657565 */     // MIs[0] policy
     /* 1657565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1657578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657599 */     // GIR_Coverage, 5998,
     /* 1657599 */     GIR_EraseRootFromParent_Done,
     /* 1657600 */   // Label 22759: @1657600
     /* 1657600 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1657686), // Rule ID 6001 //
     /* 1657605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657651 */     // MIs[0] policy
     /* 1657651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1657664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657685 */     // GIR_Coverage, 6001,
     /* 1657685 */     GIR_EraseRootFromParent_Done,
     /* 1657686 */   // Label 22760: @1657686
     /* 1657686 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1657772), // Rule ID 6002 //
     /* 1657691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657737 */     // MIs[0] policy
     /* 1657737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1657750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657771 */     // GIR_Coverage, 6002,
     /* 1657771 */     GIR_EraseRootFromParent_Done,
     /* 1657772 */   // Label 22761: @1657772
     /* 1657772 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1657858), // Rule ID 6005 //
     /* 1657777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657823 */     // MIs[0] policy
     /* 1657823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1657836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657857 */     // GIR_Coverage, 6005,
     /* 1657857 */     GIR_EraseRootFromParent_Done,
     /* 1657858 */   // Label 22762: @1657858
     /* 1657858 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1657944), // Rule ID 6006 //
     /* 1657863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657909 */     // MIs[0] policy
     /* 1657909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1657922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657943 */     // GIR_Coverage, 6006,
     /* 1657943 */     GIR_EraseRootFromParent_Done,
     /* 1657944 */   // Label 22763: @1657944
     /* 1657944 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658030), // Rule ID 6009 //
     /* 1657949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657995 */     // MIs[0] policy
     /* 1657995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658029 */     // GIR_Coverage, 6009,
     /* 1658029 */     GIR_EraseRootFromParent_Done,
     /* 1658030 */   // Label 22764: @1658030
     /* 1658030 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658116), // Rule ID 6010 //
     /* 1658035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658081 */     // MIs[0] policy
     /* 1658081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658115 */     // GIR_Coverage, 6010,
     /* 1658115 */     GIR_EraseRootFromParent_Done,
     /* 1658116 */   // Label 22765: @1658116
     /* 1658116 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1658202), // Rule ID 6013 //
     /* 1658121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658167 */     // MIs[0] policy
     /* 1658167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658177 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658201 */     // GIR_Coverage, 6013,
     /* 1658201 */     GIR_EraseRootFromParent_Done,
     /* 1658202 */   // Label 22766: @1658202
     /* 1658202 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1658288), // Rule ID 6014 //
     /* 1658207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658253 */     // MIs[0] policy
     /* 1658253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658263 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1658266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658287 */     // GIR_Coverage, 6014,
     /* 1658287 */     GIR_EraseRootFromParent_Done,
     /* 1658288 */   // Label 22767: @1658288
     /* 1658288 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1658374), // Rule ID 6017 //
     /* 1658293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658339 */     // MIs[0] policy
     /* 1658339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658373 */     // GIR_Coverage, 6017,
     /* 1658373 */     GIR_EraseRootFromParent_Done,
     /* 1658374 */   // Label 22768: @1658374
     /* 1658374 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1658460), // Rule ID 6018 //
     /* 1658379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658425 */     // MIs[0] policy
     /* 1658425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658435 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658459 */     // GIR_Coverage, 6018,
     /* 1658459 */     GIR_EraseRootFromParent_Done,
     /* 1658460 */   // Label 22769: @1658460
     /* 1658460 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1658546), // Rule ID 6021 //
     /* 1658465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658511 */     // MIs[0] policy
     /* 1658511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658545 */     // GIR_Coverage, 6021,
     /* 1658545 */     GIR_EraseRootFromParent_Done,
     /* 1658546 */   // Label 22770: @1658546
     /* 1658546 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1658632), // Rule ID 6022 //
     /* 1658551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658597 */     // MIs[0] policy
     /* 1658597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1658610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658631 */     // GIR_Coverage, 6022,
     /* 1658631 */     GIR_EraseRootFromParent_Done,
     /* 1658632 */   // Label 22771: @1658632
     /* 1658632 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1658718), // Rule ID 6025 //
     /* 1658637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658683 */     // MIs[0] policy
     /* 1658683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658717 */     // GIR_Coverage, 6025,
     /* 1658717 */     GIR_EraseRootFromParent_Done,
     /* 1658718 */   // Label 22772: @1658718
     /* 1658718 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1658804), // Rule ID 6026 //
     /* 1658723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658769 */     // MIs[0] policy
     /* 1658769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658803 */     // GIR_Coverage, 6026,
     /* 1658803 */     GIR_EraseRootFromParent_Done,
     /* 1658804 */   // Label 22773: @1658804
     /* 1658804 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1658890), // Rule ID 6029 //
     /* 1658809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658855 */     // MIs[0] policy
     /* 1658855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658889 */     // GIR_Coverage, 6029,
     /* 1658889 */     GIR_EraseRootFromParent_Done,
     /* 1658890 */   // Label 22774: @1658890
     /* 1658890 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1658976), // Rule ID 6030 //
     /* 1658895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658941 */     // MIs[0] policy
     /* 1658941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658975 */     // GIR_Coverage, 6030,
     /* 1658975 */     GIR_EraseRootFromParent_Done,
     /* 1658976 */   // Label 22775: @1658976
     /* 1658976 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659062), // Rule ID 6033 //
     /* 1658981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659027 */     // MIs[0] policy
     /* 1659027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659061 */     // GIR_Coverage, 6033,
     /* 1659061 */     GIR_EraseRootFromParent_Done,
     /* 1659062 */   // Label 22776: @1659062
     /* 1659062 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1659148), // Rule ID 6034 //
     /* 1659067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659113 */     // MIs[0] policy
     /* 1659113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659147 */     // GIR_Coverage, 6034,
     /* 1659147 */     GIR_EraseRootFromParent_Done,
     /* 1659148 */   // Label 22777: @1659148
     /* 1659148 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1659234), // Rule ID 6037 //
     /* 1659153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659199 */     // MIs[0] policy
     /* 1659199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659233 */     // GIR_Coverage, 6037,
     /* 1659233 */     GIR_EraseRootFromParent_Done,
     /* 1659234 */   // Label 22778: @1659234
     /* 1659234 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1659320), // Rule ID 6038 //
     /* 1659239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659285 */     // MIs[0] policy
     /* 1659285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659295 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1659298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659319 */     // GIR_Coverage, 6038,
     /* 1659319 */     GIR_EraseRootFromParent_Done,
     /* 1659320 */   // Label 22779: @1659320
     /* 1659320 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1659406), // Rule ID 6041 //
     /* 1659325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659371 */     // MIs[0] policy
     /* 1659371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659381 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659405 */     // GIR_Coverage, 6041,
     /* 1659405 */     GIR_EraseRootFromParent_Done,
     /* 1659406 */   // Label 22780: @1659406
     /* 1659406 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1659492), // Rule ID 6042 //
     /* 1659411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659457 */     // MIs[0] policy
     /* 1659457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659491 */     // GIR_Coverage, 6042,
     /* 1659491 */     GIR_EraseRootFromParent_Done,
     /* 1659492 */   // Label 22781: @1659492
     /* 1659492 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1659578), // Rule ID 6045 //
     /* 1659497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659543 */     // MIs[0] policy
     /* 1659543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659577 */     // GIR_Coverage, 6045,
     /* 1659577 */     GIR_EraseRootFromParent_Done,
     /* 1659578 */   // Label 22782: @1659578
     /* 1659578 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1659664), // Rule ID 6046 //
     /* 1659583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659629 */     // MIs[0] policy
     /* 1659629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659663 */     // GIR_Coverage, 6046,
     /* 1659663 */     GIR_EraseRootFromParent_Done,
     /* 1659664 */   // Label 22783: @1659664
     /* 1659664 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1659750), // Rule ID 6049 //
     /* 1659669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659715 */     // MIs[0] policy
     /* 1659715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659725 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659749 */     // GIR_Coverage, 6049,
     /* 1659749 */     GIR_EraseRootFromParent_Done,
     /* 1659750 */   // Label 22784: @1659750
     /* 1659750 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1659836), // Rule ID 6050 //
     /* 1659755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659801 */     // MIs[0] policy
     /* 1659801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659835 */     // GIR_Coverage, 6050,
     /* 1659835 */     GIR_EraseRootFromParent_Done,
     /* 1659836 */   // Label 22785: @1659836
     /* 1659836 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1659922), // Rule ID 6053 //
     /* 1659841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659887 */     // MIs[0] policy
     /* 1659887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659921 */     // GIR_Coverage, 6053,
     /* 1659921 */     GIR_EraseRootFromParent_Done,
     /* 1659922 */   // Label 22786: @1659922
     /* 1659922 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660008), // Rule ID 6054 //
     /* 1659927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659973 */     // MIs[0] policy
     /* 1659973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660007 */     // GIR_Coverage, 6054,
     /* 1660007 */     GIR_EraseRootFromParent_Done,
     /* 1660008 */   // Label 22787: @1660008
     /* 1660008 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660094), // Rule ID 6057 //
     /* 1660013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660059 */     // MIs[0] policy
     /* 1660059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660093 */     // GIR_Coverage, 6057,
     /* 1660093 */     GIR_EraseRootFromParent_Done,
     /* 1660094 */   // Label 22788: @1660094
     /* 1660094 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1660180), // Rule ID 6058 //
     /* 1660099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660145 */     // MIs[0] policy
     /* 1660145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660179 */     // GIR_Coverage, 6058,
     /* 1660179 */     GIR_EraseRootFromParent_Done,
     /* 1660180 */   // Label 22789: @1660180
     /* 1660180 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1660266), // Rule ID 6061 //
     /* 1660185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660231 */     // MIs[0] policy
     /* 1660231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660265 */     // GIR_Coverage, 6061,
     /* 1660265 */     GIR_EraseRootFromParent_Done,
     /* 1660266 */   // Label 22790: @1660266
     /* 1660266 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1660352), // Rule ID 6062 //
     /* 1660271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660317 */     // MIs[0] policy
     /* 1660317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660351 */     // GIR_Coverage, 6062,
     /* 1660351 */     GIR_EraseRootFromParent_Done,
     /* 1660352 */   // Label 22791: @1660352
     /* 1660352 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1660438), // Rule ID 6065 //
     /* 1660357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660403 */     // MIs[0] policy
     /* 1660403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660437 */     // GIR_Coverage, 6065,
     /* 1660437 */     GIR_EraseRootFromParent_Done,
     /* 1660438 */   // Label 22792: @1660438
     /* 1660438 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1660524), // Rule ID 6066 //
     /* 1660443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660489 */     // MIs[0] policy
     /* 1660489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660523 */     // GIR_Coverage, 6066,
     /* 1660523 */     GIR_EraseRootFromParent_Done,
     /* 1660524 */   // Label 22793: @1660524
     /* 1660524 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1660610), // Rule ID 6069 //
     /* 1660529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660575 */     // MIs[0] policy
     /* 1660575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660609 */     // GIR_Coverage, 6069,
     /* 1660609 */     GIR_EraseRootFromParent_Done,
     /* 1660610 */   // Label 22794: @1660610
     /* 1660610 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1660696), // Rule ID 6070 //
     /* 1660615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660661 */     // MIs[0] policy
     /* 1660661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660695 */     // GIR_Coverage, 6070,
     /* 1660695 */     GIR_EraseRootFromParent_Done,
     /* 1660696 */   // Label 22795: @1660696
     /* 1660696 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1660782), // Rule ID 6073 //
     /* 1660701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660747 */     // MIs[0] policy
     /* 1660747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660781 */     // GIR_Coverage, 6073,
     /* 1660781 */     GIR_EraseRootFromParent_Done,
     /* 1660782 */   // Label 22796: @1660782
     /* 1660782 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1660868), // Rule ID 6074 //
     /* 1660787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660833 */     // MIs[0] policy
     /* 1660833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660867 */     // GIR_Coverage, 6074,
     /* 1660867 */     GIR_EraseRootFromParent_Done,
     /* 1660868 */   // Label 22797: @1660868
     /* 1660868 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1660954), // Rule ID 6077 //
     /* 1660873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660919 */     // MIs[0] policy
     /* 1660919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1660932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660953 */     // GIR_Coverage, 6077,
     /* 1660953 */     GIR_EraseRootFromParent_Done,
     /* 1660954 */   // Label 22798: @1660954
     /* 1660954 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661040), // Rule ID 6078 //
     /* 1660959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661005 */     // MIs[0] policy
     /* 1661005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1661018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661039 */     // GIR_Coverage, 6078,
     /* 1661039 */     GIR_EraseRootFromParent_Done,
     /* 1661040 */   // Label 22799: @1661040
     /* 1661040 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1661126), // Rule ID 6081 //
     /* 1661045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661091 */     // MIs[0] policy
     /* 1661091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661125 */     // GIR_Coverage, 6081,
     /* 1661125 */     GIR_EraseRootFromParent_Done,
     /* 1661126 */   // Label 22800: @1661126
     /* 1661126 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1661212), // Rule ID 6082 //
     /* 1661131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661177 */     // MIs[0] policy
     /* 1661177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1661190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661211 */     // GIR_Coverage, 6082,
     /* 1661211 */     GIR_EraseRootFromParent_Done,
     /* 1661212 */   // Label 22801: @1661212
     /* 1661212 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1661298), // Rule ID 6085 //
     /* 1661217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661263 */     // MIs[0] policy
     /* 1661263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661297 */     // GIR_Coverage, 6085,
     /* 1661297 */     GIR_EraseRootFromParent_Done,
     /* 1661298 */   // Label 22802: @1661298
     /* 1661298 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1661384), // Rule ID 6086 //
     /* 1661303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661349 */     // MIs[0] policy
     /* 1661349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661359 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1661362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661383 */     // GIR_Coverage, 6086,
     /* 1661383 */     GIR_EraseRootFromParent_Done,
     /* 1661384 */   // Label 22803: @1661384
     /* 1661384 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1661470), // Rule ID 6177 //
     /* 1661389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661435 */     // MIs[0] policy
     /* 1661435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661445 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661469 */     // GIR_Coverage, 6177,
     /* 1661469 */     GIR_EraseRootFromParent_Done,
     /* 1661470 */   // Label 22804: @1661470
     /* 1661470 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1661556), // Rule ID 6178 //
     /* 1661475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1661495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661521 */     // MIs[0] policy
     /* 1661521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661531 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1661534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661555 */     // GIR_Coverage, 6178,
     /* 1661555 */     GIR_EraseRootFromParent_Done,
     /* 1661556 */   // Label 22805: @1661556
     /* 1661556 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1661642), // Rule ID 6181 //
     /* 1661561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661607 */     // MIs[0] policy
     /* 1661607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1661620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661641 */     // GIR_Coverage, 6181,
     /* 1661641 */     GIR_EraseRootFromParent_Done,
     /* 1661642 */   // Label 22806: @1661642
     /* 1661642 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1661728), // Rule ID 6182 //
     /* 1661647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1661667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661693 */     // MIs[0] policy
     /* 1661693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661703 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1661706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661727 */     // GIR_Coverage, 6182,
     /* 1661727 */     GIR_EraseRootFromParent_Done,
     /* 1661728 */   // Label 22807: @1661728
     /* 1661728 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1661814), // Rule ID 6185 //
     /* 1661733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661779 */     // MIs[0] policy
     /* 1661779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661813 */     // GIR_Coverage, 6185,
     /* 1661813 */     GIR_EraseRootFromParent_Done,
     /* 1661814 */   // Label 22808: @1661814
     /* 1661814 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1661900), // Rule ID 6186 //
     /* 1661819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1661839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661865 */     // MIs[0] policy
     /* 1661865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661875 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661899 */     // GIR_Coverage, 6186,
     /* 1661899 */     GIR_EraseRootFromParent_Done,
     /* 1661900 */   // Label 22809: @1661900
     /* 1661900 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1661986), // Rule ID 6189 //
     /* 1661905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1661925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661951 */     // MIs[0] policy
     /* 1661951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1661964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661985 */     // GIR_Coverage, 6189,
     /* 1661985 */     GIR_EraseRootFromParent_Done,
     /* 1661986 */   // Label 22810: @1661986
     /* 1661986 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662072), // Rule ID 6190 //
     /* 1661991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1662011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662037 */     // MIs[0] policy
     /* 1662037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1662050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662071 */     // GIR_Coverage, 6190,
     /* 1662071 */     GIR_EraseRootFromParent_Done,
     /* 1662072 */   // Label 22811: @1662072
     /* 1662072 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1662158), // Rule ID 6193 //
     /* 1662077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662123 */     // MIs[0] policy
     /* 1662123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662157 */     // GIR_Coverage, 6193,
     /* 1662157 */     GIR_EraseRootFromParent_Done,
     /* 1662158 */   // Label 22812: @1662158
     /* 1662158 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1662244), // Rule ID 6194 //
     /* 1662163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1662183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662209 */     // MIs[0] policy
     /* 1662209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662243 */     // GIR_Coverage, 6194,
     /* 1662243 */     GIR_EraseRootFromParent_Done,
     /* 1662244 */   // Label 22813: @1662244
     /* 1662244 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1662330), // Rule ID 6197 //
     /* 1662249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662295 */     // MIs[0] policy
     /* 1662295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662305 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662329 */     // GIR_Coverage, 6197,
     /* 1662329 */     GIR_EraseRootFromParent_Done,
     /* 1662330 */   // Label 22814: @1662330
     /* 1662330 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1662416), // Rule ID 6198 //
     /* 1662335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1662355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662381 */     // MIs[0] policy
     /* 1662381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1662394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662415 */     // GIR_Coverage, 6198,
     /* 1662415 */     GIR_EraseRootFromParent_Done,
     /* 1662416 */   // Label 22815: @1662416
     /* 1662416 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1662502), // Rule ID 6201 //
     /* 1662421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662467 */     // MIs[0] policy
     /* 1662467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662501 */     // GIR_Coverage, 6201,
     /* 1662501 */     GIR_EraseRootFromParent_Done,
     /* 1662502 */   // Label 22816: @1662502
     /* 1662502 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1662588), // Rule ID 6202 //
     /* 1662507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1662527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662553 */     // MIs[0] policy
     /* 1662553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662587 */     // GIR_Coverage, 6202,
     /* 1662587 */     GIR_EraseRootFromParent_Done,
     /* 1662588 */   // Label 22817: @1662588
     /* 1662588 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1662674), // Rule ID 6205 //
     /* 1662593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662639 */     // MIs[0] policy
     /* 1662639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662673 */     // GIR_Coverage, 6205,
     /* 1662673 */     GIR_EraseRootFromParent_Done,
     /* 1662674 */   // Label 22818: @1662674
     /* 1662674 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1662760), // Rule ID 6206 //
     /* 1662679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1662699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662725 */     // MIs[0] policy
     /* 1662725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662735 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662759 */     // GIR_Coverage, 6206,
     /* 1662759 */     GIR_EraseRootFromParent_Done,
     /* 1662760 */   // Label 22819: @1662760
     /* 1662760 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1662846), // Rule ID 6209 //
     /* 1662765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662811 */     // MIs[0] policy
     /* 1662811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662845 */     // GIR_Coverage, 6209,
     /* 1662845 */     GIR_EraseRootFromParent_Done,
     /* 1662846 */   // Label 22820: @1662846
     /* 1662846 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1662932), // Rule ID 6210 //
     /* 1662851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1662871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662897 */     // MIs[0] policy
     /* 1662897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662931 */     // GIR_Coverage, 6210,
     /* 1662931 */     GIR_EraseRootFromParent_Done,
     /* 1662932 */   // Label 22821: @1662932
     /* 1662932 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663018), // Rule ID 6213 //
     /* 1662937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662983 */     // MIs[0] policy
     /* 1662983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1662996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663017 */     // GIR_Coverage, 6213,
     /* 1663017 */     GIR_EraseRootFromParent_Done,
     /* 1663018 */   // Label 22822: @1663018
     /* 1663018 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663104), // Rule ID 6214 //
     /* 1663023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663069 */     // MIs[0] policy
     /* 1663069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1663082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663103 */     // GIR_Coverage, 6214,
     /* 1663103 */     GIR_EraseRootFromParent_Done,
     /* 1663104 */   // Label 22823: @1663104
     /* 1663104 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1663190), // Rule ID 6217 //
     /* 1663109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663155 */     // MIs[0] policy
     /* 1663155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663165 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663189 */     // GIR_Coverage, 6217,
     /* 1663189 */     GIR_EraseRootFromParent_Done,
     /* 1663190 */   // Label 22824: @1663190
     /* 1663190 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1663276), // Rule ID 6218 //
     /* 1663195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1663215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663241 */     // MIs[0] policy
     /* 1663241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663275 */     // GIR_Coverage, 6218,
     /* 1663275 */     GIR_EraseRootFromParent_Done,
     /* 1663276 */   // Label 22825: @1663276
     /* 1663276 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1663362), // Rule ID 6221 //
     /* 1663281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663327 */     // MIs[0] policy
     /* 1663327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663337 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663361 */     // GIR_Coverage, 6221,
     /* 1663361 */     GIR_EraseRootFromParent_Done,
     /* 1663362 */   // Label 22826: @1663362
     /* 1663362 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1663448), // Rule ID 6222 //
     /* 1663367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1663387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663413 */     // MIs[0] policy
     /* 1663413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663447 */     // GIR_Coverage, 6222,
     /* 1663447 */     GIR_EraseRootFromParent_Done,
     /* 1663448 */   // Label 22827: @1663448
     /* 1663448 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1663534), // Rule ID 6225 //
     /* 1663453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663499 */     // MIs[0] policy
     /* 1663499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663509 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663533 */     // GIR_Coverage, 6225,
     /* 1663533 */     GIR_EraseRootFromParent_Done,
     /* 1663534 */   // Label 22828: @1663534
     /* 1663534 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1663620), // Rule ID 6226 //
     /* 1663539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1663559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663585 */     // MIs[0] policy
     /* 1663585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663619 */     // GIR_Coverage, 6226,
     /* 1663619 */     GIR_EraseRootFromParent_Done,
     /* 1663620 */   // Label 22829: @1663620
     /* 1663620 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1663706), // Rule ID 6229 //
     /* 1663625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663671 */     // MIs[0] policy
     /* 1663671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663681 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663705 */     // GIR_Coverage, 6229,
     /* 1663705 */     GIR_EraseRootFromParent_Done,
     /* 1663706 */   // Label 22830: @1663706
     /* 1663706 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1663792), // Rule ID 6230 //
     /* 1663711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1663731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663757 */     // MIs[0] policy
     /* 1663757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663767 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663791 */     // GIR_Coverage, 6230,
     /* 1663791 */     GIR_EraseRootFromParent_Done,
     /* 1663792 */   // Label 22831: @1663792
     /* 1663792 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1663878), // Rule ID 6233 //
     /* 1663797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663843 */     // MIs[0] policy
     /* 1663843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663877 */     // GIR_Coverage, 6233,
     /* 1663877 */     GIR_EraseRootFromParent_Done,
     /* 1663878 */   // Label 22832: @1663878
     /* 1663878 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1663964), // Rule ID 6234 //
     /* 1663883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1663903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663929 */     // MIs[0] policy
     /* 1663929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663939 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663963 */     // GIR_Coverage, 6234,
     /* 1663963 */     GIR_EraseRootFromParent_Done,
     /* 1663964 */   // Label 22833: @1663964
     /* 1663964 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664050), // Rule ID 6237 //
     /* 1663969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1663989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664015 */     // MIs[0] policy
     /* 1664015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664049 */     // GIR_Coverage, 6237,
     /* 1664049 */     GIR_EraseRootFromParent_Done,
     /* 1664050 */   // Label 22834: @1664050
     /* 1664050 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1664136), // Rule ID 6238 //
     /* 1664055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1664075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664101 */     // MIs[0] policy
     /* 1664101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664135 */     // GIR_Coverage, 6238,
     /* 1664135 */     GIR_EraseRootFromParent_Done,
     /* 1664136 */   // Label 22835: @1664136
     /* 1664136 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1664222), // Rule ID 6241 //
     /* 1664141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664187 */     // MIs[0] policy
     /* 1664187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664221 */     // GIR_Coverage, 6241,
     /* 1664221 */     GIR_EraseRootFromParent_Done,
     /* 1664222 */   // Label 22836: @1664222
     /* 1664222 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1664308), // Rule ID 6242 //
     /* 1664227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1664247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664273 */     // MIs[0] policy
     /* 1664273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664307 */     // GIR_Coverage, 6242,
     /* 1664307 */     GIR_EraseRootFromParent_Done,
     /* 1664308 */   // Label 22837: @1664308
     /* 1664308 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1664394), // Rule ID 6245 //
     /* 1664313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664359 */     // MIs[0] policy
     /* 1664359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664369 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664393 */     // GIR_Coverage, 6245,
     /* 1664393 */     GIR_EraseRootFromParent_Done,
     /* 1664394 */   // Label 22838: @1664394
     /* 1664394 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1664480), // Rule ID 6246 //
     /* 1664399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1664419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664445 */     // MIs[0] policy
     /* 1664445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664479 */     // GIR_Coverage, 6246,
     /* 1664479 */     GIR_EraseRootFromParent_Done,
     /* 1664480 */   // Label 22839: @1664480
     /* 1664480 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1664566), // Rule ID 6249 //
     /* 1664485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664531 */     // MIs[0] policy
     /* 1664531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664565 */     // GIR_Coverage, 6249,
     /* 1664565 */     GIR_EraseRootFromParent_Done,
     /* 1664566 */   // Label 22840: @1664566
     /* 1664566 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1664652), // Rule ID 6250 //
     /* 1664571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1664591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664617 */     // MIs[0] policy
     /* 1664617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1664630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664651 */     // GIR_Coverage, 6250,
     /* 1664651 */     GIR_EraseRootFromParent_Done,
     /* 1664652 */   // Label 22841: @1664652
     /* 1664652 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1664738), // Rule ID 6253 //
     /* 1664657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664703 */     // MIs[0] policy
     /* 1664703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664737 */     // GIR_Coverage, 6253,
     /* 1664737 */     GIR_EraseRootFromParent_Done,
     /* 1664738 */   // Label 22842: @1664738
     /* 1664738 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1664824), // Rule ID 6254 //
     /* 1664743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1664763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664789 */     // MIs[0] policy
     /* 1664789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1664802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664823 */     // GIR_Coverage, 6254,
     /* 1664823 */     GIR_EraseRootFromParent_Done,
     /* 1664824 */   // Label 22843: @1664824
     /* 1664824 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1664910), // Rule ID 6257 //
     /* 1664829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664875 */     // MIs[0] policy
     /* 1664875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664909 */     // GIR_Coverage, 6257,
     /* 1664909 */     GIR_EraseRootFromParent_Done,
     /* 1664910 */   // Label 22844: @1664910
     /* 1664910 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1664996), // Rule ID 6258 //
     /* 1664915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1664935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664961 */     // MIs[0] policy
     /* 1664961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1664974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664995 */     // GIR_Coverage, 6258,
     /* 1664995 */     GIR_EraseRootFromParent_Done,
     /* 1664996 */   // Label 22845: @1664996
     /* 1664996 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665082), // Rule ID 6261 //
     /* 1665001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665047 */     // MIs[0] policy
     /* 1665047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665081 */     // GIR_Coverage, 6261,
     /* 1665081 */     GIR_EraseRootFromParent_Done,
     /* 1665082 */   // Label 22846: @1665082
     /* 1665082 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1665168), // Rule ID 6262 //
     /* 1665087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1665107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665133 */     // MIs[0] policy
     /* 1665133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1665146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665167 */     // GIR_Coverage, 6262,
     /* 1665167 */     GIR_EraseRootFromParent_Done,
     /* 1665168 */   // Label 22847: @1665168
     /* 1665168 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1665254), // Rule ID 6265 //
     /* 1665173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665219 */     // MIs[0] policy
     /* 1665219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665253 */     // GIR_Coverage, 6265,
     /* 1665253 */     GIR_EraseRootFromParent_Done,
     /* 1665254 */   // Label 22848: @1665254
     /* 1665254 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1665340), // Rule ID 6266 //
     /* 1665259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665305 */     // MIs[0] policy
     /* 1665305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665315 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1665318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665339 */     // GIR_Coverage, 6266,
     /* 1665339 */     GIR_EraseRootFromParent_Done,
     /* 1665340 */   // Label 22849: @1665340
     /* 1665340 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1665426), // Rule ID 6269 //
     /* 1665345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665391 */     // MIs[0] policy
     /* 1665391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665425 */     // GIR_Coverage, 6269,
     /* 1665425 */     GIR_EraseRootFromParent_Done,
     /* 1665426 */   // Label 22850: @1665426
     /* 1665426 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1665512), // Rule ID 6270 //
     /* 1665431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665477 */     // MIs[0] policy
     /* 1665477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665511 */     // GIR_Coverage, 6270,
     /* 1665511 */     GIR_EraseRootFromParent_Done,
     /* 1665512 */   // Label 22851: @1665512
     /* 1665512 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1665598), // Rule ID 6273 //
     /* 1665517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665563 */     // MIs[0] policy
     /* 1665563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665573 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665597 */     // GIR_Coverage, 6273,
     /* 1665597 */     GIR_EraseRootFromParent_Done,
     /* 1665598 */   // Label 22852: @1665598
     /* 1665598 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1665684), // Rule ID 6274 //
     /* 1665603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665649 */     // MIs[0] policy
     /* 1665649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665683 */     // GIR_Coverage, 6274,
     /* 1665683 */     GIR_EraseRootFromParent_Done,
     /* 1665684 */   // Label 22853: @1665684
     /* 1665684 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1665770), // Rule ID 6277 //
     /* 1665689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665735 */     // MIs[0] policy
     /* 1665735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665769 */     // GIR_Coverage, 6277,
     /* 1665769 */     GIR_EraseRootFromParent_Done,
     /* 1665770 */   // Label 22854: @1665770
     /* 1665770 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1665856), // Rule ID 6278 //
     /* 1665775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665821 */     // MIs[0] policy
     /* 1665821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665831 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1665834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665855 */     // GIR_Coverage, 6278,
     /* 1665855 */     GIR_EraseRootFromParent_Done,
     /* 1665856 */   // Label 22855: @1665856
     /* 1665856 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1665942), // Rule ID 6281 //
     /* 1665861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665907 */     // MIs[0] policy
     /* 1665907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1665920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665941 */     // GIR_Coverage, 6281,
     /* 1665941 */     GIR_EraseRootFromParent_Done,
     /* 1665942 */   // Label 22856: @1665942
     /* 1665942 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666028), // Rule ID 6282 //
     /* 1665947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665993 */     // MIs[0] policy
     /* 1665993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666027 */     // GIR_Coverage, 6282,
     /* 1666027 */     GIR_EraseRootFromParent_Done,
     /* 1666028 */   // Label 22857: @1666028
     /* 1666028 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666114), // Rule ID 6285 //
     /* 1666033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666079 */     // MIs[0] policy
     /* 1666079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666113 */     // GIR_Coverage, 6285,
     /* 1666113 */     GIR_EraseRootFromParent_Done,
     /* 1666114 */   // Label 22858: @1666114
     /* 1666114 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1666200), // Rule ID 6286 //
     /* 1666119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666165 */     // MIs[0] policy
     /* 1666165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1666178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666199 */     // GIR_Coverage, 6286,
     /* 1666199 */     GIR_EraseRootFromParent_Done,
     /* 1666200 */   // Label 22859: @1666200
     /* 1666200 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1666286), // Rule ID 6289 //
     /* 1666205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666251 */     // MIs[0] policy
     /* 1666251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666261 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666285 */     // GIR_Coverage, 6289,
     /* 1666285 */     GIR_EraseRootFromParent_Done,
     /* 1666286 */   // Label 22860: @1666286
     /* 1666286 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1666372), // Rule ID 6290 //
     /* 1666291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666337 */     // MIs[0] policy
     /* 1666337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11595:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666371 */     // GIR_Coverage, 6290,
     /* 1666371 */     GIR_EraseRootFromParent_Done,
     /* 1666372 */   // Label 22861: @1666372
     /* 1666372 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1666458), // Rule ID 6293 //
     /* 1666377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666423 */     // MIs[0] policy
     /* 1666423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666457 */     // GIR_Coverage, 6293,
     /* 1666457 */     GIR_EraseRootFromParent_Done,
     /* 1666458 */   // Label 22862: @1666458
     /* 1666458 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1666544), // Rule ID 6294 //
     /* 1666463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666509 */     // MIs[0] policy
     /* 1666509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666543 */     // GIR_Coverage, 6294,
     /* 1666543 */     GIR_EraseRootFromParent_Done,
     /* 1666544 */   // Label 22863: @1666544
     /* 1666544 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1666630), // Rule ID 6297 //
     /* 1666549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666595 */     // MIs[0] policy
     /* 1666595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666629 */     // GIR_Coverage, 6297,
     /* 1666629 */     GIR_EraseRootFromParent_Done,
     /* 1666630 */   // Label 22864: @1666630
     /* 1666630 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1666716), // Rule ID 6298 //
     /* 1666635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666681 */     // MIs[0] policy
     /* 1666681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666715 */     // GIR_Coverage, 6298,
     /* 1666715 */     GIR_EraseRootFromParent_Done,
     /* 1666716 */   // Label 22865: @1666716
     /* 1666716 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1666802), // Rule ID 6301 //
     /* 1666721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666767 */     // MIs[0] policy
     /* 1666767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666801 */     // GIR_Coverage, 6301,
     /* 1666801 */     GIR_EraseRootFromParent_Done,
     /* 1666802 */   // Label 22866: @1666802
     /* 1666802 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1666888), // Rule ID 6302 //
     /* 1666807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666853 */     // MIs[0] policy
     /* 1666853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1666866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666887 */     // GIR_Coverage, 6302,
     /* 1666887 */     GIR_EraseRootFromParent_Done,
     /* 1666888 */   // Label 22867: @1666888
     /* 1666888 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1666974), // Rule ID 6305 //
     /* 1666893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666939 */     // MIs[0] policy
     /* 1666939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1666952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666973 */     // GIR_Coverage, 6305,
     /* 1666973 */     GIR_EraseRootFromParent_Done,
     /* 1666974 */   // Label 22868: @1666974
     /* 1666974 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667060), // Rule ID 6306 //
     /* 1666979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667025 */     // MIs[0] policy
     /* 1667025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667059 */     // GIR_Coverage, 6306,
     /* 1667059 */     GIR_EraseRootFromParent_Done,
     /* 1667060 */   // Label 22869: @1667060
     /* 1667060 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1667146), // Rule ID 6309 //
     /* 1667065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667111 */     // MIs[0] policy
     /* 1667111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667145 */     // GIR_Coverage, 6309,
     /* 1667145 */     GIR_EraseRootFromParent_Done,
     /* 1667146 */   // Label 22870: @1667146
     /* 1667146 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1667232), // Rule ID 6310 //
     /* 1667151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667197 */     // MIs[0] policy
     /* 1667197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667207 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667231 */     // GIR_Coverage, 6310,
     /* 1667231 */     GIR_EraseRootFromParent_Done,
     /* 1667232 */   // Label 22871: @1667232
     /* 1667232 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1667318), // Rule ID 6313 //
     /* 1667237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667283 */     // MIs[0] policy
     /* 1667283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667317 */     // GIR_Coverage, 6313,
     /* 1667317 */     GIR_EraseRootFromParent_Done,
     /* 1667318 */   // Label 22872: @1667318
     /* 1667318 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1667404), // Rule ID 6314 //
     /* 1667323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667369 */     // MIs[0] policy
     /* 1667369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667379 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667403 */     // GIR_Coverage, 6314,
     /* 1667403 */     GIR_EraseRootFromParent_Done,
     /* 1667404 */   // Label 22873: @1667404
     /* 1667404 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1667490), // Rule ID 6317 //
     /* 1667409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667455 */     // MIs[0] policy
     /* 1667455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667489 */     // GIR_Coverage, 6317,
     /* 1667489 */     GIR_EraseRootFromParent_Done,
     /* 1667490 */   // Label 22874: @1667490
     /* 1667490 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1667576), // Rule ID 6318 //
     /* 1667495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667541 */     // MIs[0] policy
     /* 1667541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667575 */     // GIR_Coverage, 6318,
     /* 1667575 */     GIR_EraseRootFromParent_Done,
     /* 1667576 */   // Label 22875: @1667576
     /* 1667576 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1667662), // Rule ID 6321 //
     /* 1667581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667627 */     // MIs[0] policy
     /* 1667627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667637 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667661 */     // GIR_Coverage, 6321,
     /* 1667661 */     GIR_EraseRootFromParent_Done,
     /* 1667662 */   // Label 22876: @1667662
     /* 1667662 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1667748), // Rule ID 6322 //
     /* 1667667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667713 */     // MIs[0] policy
     /* 1667713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667747 */     // GIR_Coverage, 6322,
     /* 1667747 */     GIR_EraseRootFromParent_Done,
     /* 1667748 */   // Label 22877: @1667748
     /* 1667748 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1667834), // Rule ID 6325 //
     /* 1667753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667799 */     // MIs[0] policy
     /* 1667799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667833 */     // GIR_Coverage, 6325,
     /* 1667833 */     GIR_EraseRootFromParent_Done,
     /* 1667834 */   // Label 22878: @1667834
     /* 1667834 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1667920), // Rule ID 6326 //
     /* 1667839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667885 */     // MIs[0] policy
     /* 1667885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667919 */     // GIR_Coverage, 6326,
     /* 1667919 */     GIR_EraseRootFromParent_Done,
     /* 1667920 */   // Label 22879: @1667920
     /* 1667920 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668006), // Rule ID 6329 //
     /* 1667925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667971 */     // MIs[0] policy
     /* 1667971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668005 */     // GIR_Coverage, 6329,
     /* 1668005 */     GIR_EraseRootFromParent_Done,
     /* 1668006 */   // Label 22880: @1668006
     /* 1668006 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668092), // Rule ID 6330 //
     /* 1668011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668057 */     // MIs[0] policy
     /* 1668057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668091 */     // GIR_Coverage, 6330,
     /* 1668091 */     GIR_EraseRootFromParent_Done,
     /* 1668092 */   // Label 22881: @1668092
     /* 1668092 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1668178), // Rule ID 6333 //
     /* 1668097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668143 */     // MIs[0] policy
     /* 1668143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668177 */     // GIR_Coverage, 6333,
     /* 1668177 */     GIR_EraseRootFromParent_Done,
     /* 1668178 */   // Label 22882: @1668178
     /* 1668178 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1668264), // Rule ID 6334 //
     /* 1668183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668229 */     // MIs[0] policy
     /* 1668229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668263 */     // GIR_Coverage, 6334,
     /* 1668263 */     GIR_EraseRootFromParent_Done,
     /* 1668264 */   // Label 22883: @1668264
     /* 1668264 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1668350), // Rule ID 6337 //
     /* 1668269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668315 */     // MIs[0] policy
     /* 1668315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668349 */     // GIR_Coverage, 6337,
     /* 1668349 */     GIR_EraseRootFromParent_Done,
     /* 1668350 */   // Label 22884: @1668350
     /* 1668350 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1668436), // Rule ID 6338 //
     /* 1668355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668401 */     // MIs[0] policy
     /* 1668401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668435 */     // GIR_Coverage, 6338,
     /* 1668435 */     GIR_EraseRootFromParent_Done,
     /* 1668436 */   // Label 22885: @1668436
     /* 1668436 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1668522), // Rule ID 6341 //
     /* 1668441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668487 */     // MIs[0] policy
     /* 1668487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668521 */     // GIR_Coverage, 6341,
     /* 1668521 */     GIR_EraseRootFromParent_Done,
     /* 1668522 */   // Label 22886: @1668522
     /* 1668522 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1668608), // Rule ID 6342 //
     /* 1668527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668573 */     // MIs[0] policy
     /* 1668573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1668586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668607 */     // GIR_Coverage, 6342,
     /* 1668607 */     GIR_EraseRootFromParent_Done,
     /* 1668608 */   // Label 22887: @1668608
     /* 1668608 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1668694), // Rule ID 6345 //
     /* 1668613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668659 */     // MIs[0] policy
     /* 1668659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668693 */     // GIR_Coverage, 6345,
     /* 1668693 */     GIR_EraseRootFromParent_Done,
     /* 1668694 */   // Label 22888: @1668694
     /* 1668694 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1668780), // Rule ID 6346 //
     /* 1668699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668745 */     // MIs[0] policy
     /* 1668745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1668758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668779 */     // GIR_Coverage, 6346,
     /* 1668779 */     GIR_EraseRootFromParent_Done,
     /* 1668780 */   // Label 22889: @1668780
     /* 1668780 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1668866), // Rule ID 6349 //
     /* 1668785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668831 */     // MIs[0] policy
     /* 1668831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668865 */     // GIR_Coverage, 6349,
     /* 1668865 */     GIR_EraseRootFromParent_Done,
     /* 1668866 */   // Label 22890: @1668866
     /* 1668866 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1668952), // Rule ID 6350 //
     /* 1668871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668917 */     // MIs[0] policy
     /* 1668917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1668930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668951 */     // GIR_Coverage, 6350,
     /* 1668951 */     GIR_EraseRootFromParent_Done,
     /* 1668952 */   // Label 22891: @1668952
     /* 1668952 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669038), // Rule ID 6441 //
     /* 1668957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669003 */     // MIs[0] policy
     /* 1669003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669037 */     // GIR_Coverage, 6441,
     /* 1669037 */     GIR_EraseRootFromParent_Done,
     /* 1669038 */   // Label 22892: @1669038
     /* 1669038 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669124), // Rule ID 6442 //
     /* 1669043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1669063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669089 */     // MIs[0] policy
     /* 1669089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1669102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669123 */     // GIR_Coverage, 6442,
     /* 1669123 */     GIR_EraseRootFromParent_Done,
     /* 1669124 */   // Label 22893: @1669124
     /* 1669124 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1669210), // Rule ID 6445 //
     /* 1669129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669175 */     // MIs[0] policy
     /* 1669175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669185 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669209 */     // GIR_Coverage, 6445,
     /* 1669209 */     GIR_EraseRootFromParent_Done,
     /* 1669210 */   // Label 22894: @1669210
     /* 1669210 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1669296), // Rule ID 6446 //
     /* 1669215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1669235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669261 */     // MIs[0] policy
     /* 1669261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669295 */     // GIR_Coverage, 6446,
     /* 1669295 */     GIR_EraseRootFromParent_Done,
     /* 1669296 */   // Label 22895: @1669296
     /* 1669296 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1669382), // Rule ID 6449 //
     /* 1669301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669347 */     // MIs[0] policy
     /* 1669347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669357 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669381 */     // GIR_Coverage, 6449,
     /* 1669381 */     GIR_EraseRootFromParent_Done,
     /* 1669382 */   // Label 22896: @1669382
     /* 1669382 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1669468), // Rule ID 6450 //
     /* 1669387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1669407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669433 */     // MIs[0] policy
     /* 1669433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669443 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669467 */     // GIR_Coverage, 6450,
     /* 1669467 */     GIR_EraseRootFromParent_Done,
     /* 1669468 */   // Label 22897: @1669468
     /* 1669468 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1669554), // Rule ID 6453 //
     /* 1669473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669519 */     // MIs[0] policy
     /* 1669519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669553 */     // GIR_Coverage, 6453,
     /* 1669553 */     GIR_EraseRootFromParent_Done,
     /* 1669554 */   // Label 22898: @1669554
     /* 1669554 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1669640), // Rule ID 6454 //
     /* 1669559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1669579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669605 */     // MIs[0] policy
     /* 1669605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1669618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669639 */     // GIR_Coverage, 6454,
     /* 1669639 */     GIR_EraseRootFromParent_Done,
     /* 1669640 */   // Label 22899: @1669640
     /* 1669640 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1669726), // Rule ID 6457 //
     /* 1669645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669691 */     // MIs[0] policy
     /* 1669691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669701 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669725 */     // GIR_Coverage, 6457,
     /* 1669725 */     GIR_EraseRootFromParent_Done,
     /* 1669726 */   // Label 22900: @1669726
     /* 1669726 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1669812), // Rule ID 6458 //
     /* 1669731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1669751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669777 */     // MIs[0] policy
     /* 1669777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669811 */     // GIR_Coverage, 6458,
     /* 1669811 */     GIR_EraseRootFromParent_Done,
     /* 1669812 */   // Label 22901: @1669812
     /* 1669812 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1669898), // Rule ID 6461 //
     /* 1669817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669863 */     // MIs[0] policy
     /* 1669863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669897 */     // GIR_Coverage, 6461,
     /* 1669897 */     GIR_EraseRootFromParent_Done,
     /* 1669898 */   // Label 22902: @1669898
     /* 1669898 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1669984), // Rule ID 6462 //
     /* 1669903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669949 */     // MIs[0] policy
     /* 1669949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1669962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669983 */     // GIR_Coverage, 6462,
     /* 1669983 */     GIR_EraseRootFromParent_Done,
     /* 1669984 */   // Label 22903: @1669984
     /* 1669984 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670070), // Rule ID 6465 //
     /* 1669989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670035 */     // MIs[0] policy
     /* 1670035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670045 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670069 */     // GIR_Coverage, 6465,
     /* 1670069 */     GIR_EraseRootFromParent_Done,
     /* 1670070 */   // Label 22904: @1670070
     /* 1670070 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1670156), // Rule ID 6466 //
     /* 1670075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1670095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670121 */     // MIs[0] policy
     /* 1670121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670131 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670155 */     // GIR_Coverage, 6466,
     /* 1670155 */     GIR_EraseRootFromParent_Done,
     /* 1670156 */   // Label 22905: @1670156
     /* 1670156 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1670242), // Rule ID 6469 //
     /* 1670161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670207 */     // MIs[0] policy
     /* 1670207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670241 */     // GIR_Coverage, 6469,
     /* 1670241 */     GIR_EraseRootFromParent_Done,
     /* 1670242 */   // Label 22906: @1670242
     /* 1670242 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1670328), // Rule ID 6470 //
     /* 1670247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1670267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670293 */     // MIs[0] policy
     /* 1670293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670327 */     // GIR_Coverage, 6470,
     /* 1670327 */     GIR_EraseRootFromParent_Done,
     /* 1670328 */   // Label 22907: @1670328
     /* 1670328 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1670414), // Rule ID 6473 //
     /* 1670333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670379 */     // MIs[0] policy
     /* 1670379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670413 */     // GIR_Coverage, 6473,
     /* 1670413 */     GIR_EraseRootFromParent_Done,
     /* 1670414 */   // Label 22908: @1670414
     /* 1670414 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1670500), // Rule ID 6474 //
     /* 1670419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1670439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670465 */     // MIs[0] policy
     /* 1670465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670499 */     // GIR_Coverage, 6474,
     /* 1670499 */     GIR_EraseRootFromParent_Done,
     /* 1670500 */   // Label 22909: @1670500
     /* 1670500 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1670586), // Rule ID 6477 //
     /* 1670505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670551 */     // MIs[0] policy
     /* 1670551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670585 */     // GIR_Coverage, 6477,
     /* 1670585 */     GIR_EraseRootFromParent_Done,
     /* 1670586 */   // Label 22910: @1670586
     /* 1670586 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1670672), // Rule ID 6478 //
     /* 1670591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1670611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670637 */     // MIs[0] policy
     /* 1670637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1670650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670671 */     // GIR_Coverage, 6478,
     /* 1670671 */     GIR_EraseRootFromParent_Done,
     /* 1670672 */   // Label 22911: @1670672
     /* 1670672 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1670758), // Rule ID 6481 //
     /* 1670677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670723 */     // MIs[0] policy
     /* 1670723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670757 */     // GIR_Coverage, 6481,
     /* 1670757 */     GIR_EraseRootFromParent_Done,
     /* 1670758 */   // Label 22912: @1670758
     /* 1670758 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1670844), // Rule ID 6482 //
     /* 1670763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670809 */     // MIs[0] policy
     /* 1670809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670843 */     // GIR_Coverage, 6482,
     /* 1670843 */     GIR_EraseRootFromParent_Done,
     /* 1670844 */   // Label 22913: @1670844
     /* 1670844 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1670930), // Rule ID 6485 //
     /* 1670849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670895 */     // MIs[0] policy
     /* 1670895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670905 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670929 */     // GIR_Coverage, 6485,
     /* 1670929 */     GIR_EraseRootFromParent_Done,
     /* 1670930 */   // Label 22914: @1670930
     /* 1670930 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671016), // Rule ID 6486 //
     /* 1670935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670981 */     // MIs[0] policy
     /* 1670981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670991 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671015 */     // GIR_Coverage, 6486,
     /* 1671015 */     GIR_EraseRootFromParent_Done,
     /* 1671016 */   // Label 22915: @1671016
     /* 1671016 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671102), // Rule ID 6489 //
     /* 1671021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671067 */     // MIs[0] policy
     /* 1671067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671101 */     // GIR_Coverage, 6489,
     /* 1671101 */     GIR_EraseRootFromParent_Done,
     /* 1671102 */   // Label 22916: @1671102
     /* 1671102 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1671188), // Rule ID 6490 //
     /* 1671107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1671127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671153 */     // MIs[0] policy
     /* 1671153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671163 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671187 */     // GIR_Coverage, 6490,
     /* 1671187 */     GIR_EraseRootFromParent_Done,
     /* 1671188 */   // Label 22917: @1671188
     /* 1671188 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1671274), // Rule ID 6493 //
     /* 1671193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671239 */     // MIs[0] policy
     /* 1671239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671273 */     // GIR_Coverage, 6493,
     /* 1671273 */     GIR_EraseRootFromParent_Done,
     /* 1671274 */   // Label 22918: @1671274
     /* 1671274 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1671360), // Rule ID 6494 //
     /* 1671279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1671299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671325 */     // MIs[0] policy
     /* 1671325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671359 */     // GIR_Coverage, 6494,
     /* 1671359 */     GIR_EraseRootFromParent_Done,
     /* 1671360 */   // Label 22919: @1671360
     /* 1671360 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1671446), // Rule ID 6497 //
     /* 1671365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671411 */     // MIs[0] policy
     /* 1671411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671445 */     // GIR_Coverage, 6497,
     /* 1671445 */     GIR_EraseRootFromParent_Done,
     /* 1671446 */   // Label 22920: @1671446
     /* 1671446 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1671532), // Rule ID 6498 //
     /* 1671451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1671471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671497 */     // MIs[0] policy
     /* 1671497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671531 */     // GIR_Coverage, 6498,
     /* 1671531 */     GIR_EraseRootFromParent_Done,
     /* 1671532 */   // Label 22921: @1671532
     /* 1671532 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1671618), // Rule ID 6501 //
     /* 1671537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671583 */     // MIs[0] policy
     /* 1671583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671617 */     // GIR_Coverage, 6501,
     /* 1671617 */     GIR_EraseRootFromParent_Done,
     /* 1671618 */   // Label 22922: @1671618
     /* 1671618 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1671704), // Rule ID 6502 //
     /* 1671623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671669 */     // MIs[0] policy
     /* 1671669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671703 */     // GIR_Coverage, 6502,
     /* 1671703 */     GIR_EraseRootFromParent_Done,
     /* 1671704 */   // Label 22923: @1671704
     /* 1671704 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1671790), // Rule ID 6505 //
     /* 1671709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671755 */     // MIs[0] policy
     /* 1671755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671789 */     // GIR_Coverage, 6505,
     /* 1671789 */     GIR_EraseRootFromParent_Done,
     /* 1671790 */   // Label 22924: @1671790
     /* 1671790 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1671876), // Rule ID 6506 //
     /* 1671795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671841 */     // MIs[0] policy
     /* 1671841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671875 */     // GIR_Coverage, 6506,
     /* 1671875 */     GIR_EraseRootFromParent_Done,
     /* 1671876 */   // Label 22925: @1671876
     /* 1671876 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1671962), // Rule ID 6509 //
     /* 1671881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671927 */     // MIs[0] policy
     /* 1671927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671961 */     // GIR_Coverage, 6509,
     /* 1671961 */     GIR_EraseRootFromParent_Done,
     /* 1671962 */   // Label 22926: @1671962
     /* 1671962 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672048), // Rule ID 6510 //
     /* 1671967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672013 */     // MIs[0] policy
     /* 1672013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672047 */     // GIR_Coverage, 6510,
     /* 1672047 */     GIR_EraseRootFromParent_Done,
     /* 1672048 */   // Label 22927: @1672048
     /* 1672048 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1672134), // Rule ID 6513 //
     /* 1672053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672099 */     // MIs[0] policy
     /* 1672099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672133 */     // GIR_Coverage, 6513,
     /* 1672133 */     GIR_EraseRootFromParent_Done,
     /* 1672134 */   // Label 22928: @1672134
     /* 1672134 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1672220), // Rule ID 6514 //
     /* 1672139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1672159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672185 */     // MIs[0] policy
     /* 1672185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672219 */     // GIR_Coverage, 6514,
     /* 1672219 */     GIR_EraseRootFromParent_Done,
     /* 1672220 */   // Label 22929: @1672220
     /* 1672220 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1672306), // Rule ID 6517 //
     /* 1672225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672271 */     // MIs[0] policy
     /* 1672271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672305 */     // GIR_Coverage, 6517,
     /* 1672305 */     GIR_EraseRootFromParent_Done,
     /* 1672306 */   // Label 22930: @1672306
     /* 1672306 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1672392), // Rule ID 6518 //
     /* 1672311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1672331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672357 */     // MIs[0] policy
     /* 1672357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1672370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672391 */     // GIR_Coverage, 6518,
     /* 1672391 */     GIR_EraseRootFromParent_Done,
     /* 1672392 */   // Label 22931: @1672392
     /* 1672392 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1672478), // Rule ID 6521 //
     /* 1672397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672443 */     // MIs[0] policy
     /* 1672443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672477 */     // GIR_Coverage, 6521,
     /* 1672477 */     GIR_EraseRootFromParent_Done,
     /* 1672478 */   // Label 22932: @1672478
     /* 1672478 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1672564), // Rule ID 6522 //
     /* 1672483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672529 */     // MIs[0] policy
     /* 1672529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1672542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672563 */     // GIR_Coverage, 6522,
     /* 1672563 */     GIR_EraseRootFromParent_Done,
     /* 1672564 */   // Label 22933: @1672564
     /* 1672564 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1672650), // Rule ID 6525 //
     /* 1672569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672615 */     // MIs[0] policy
     /* 1672615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672625 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672649 */     // GIR_Coverage, 6525,
     /* 1672649 */     GIR_EraseRootFromParent_Done,
     /* 1672650 */   // Label 22934: @1672650
     /* 1672650 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1672736), // Rule ID 6526 //
     /* 1672655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672701 */     // MIs[0] policy
     /* 1672701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1672714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672735 */     // GIR_Coverage, 6526,
     /* 1672735 */     GIR_EraseRootFromParent_Done,
     /* 1672736 */   // Label 22935: @1672736
     /* 1672736 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1672822), // Rule ID 6529 //
     /* 1672741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672787 */     // MIs[0] policy
     /* 1672787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1672800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672821 */     // GIR_Coverage, 6529,
     /* 1672821 */     GIR_EraseRootFromParent_Done,
     /* 1672822 */   // Label 22936: @1672822
     /* 1672822 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1672908), // Rule ID 6530 //
     /* 1672827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672873 */     // MIs[0] policy
     /* 1672873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1672886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672907 */     // GIR_Coverage, 6530,
     /* 1672907 */     GIR_EraseRootFromParent_Done,
     /* 1672908 */   // Label 22937: @1672908
     /* 1672908 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1672994), // Rule ID 6533 //
     /* 1672913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672959 */     // MIs[0] policy
     /* 1672959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672969 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1672972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672993 */     // GIR_Coverage, 6533,
     /* 1672993 */     GIR_EraseRootFromParent_Done,
     /* 1672994 */   // Label 22938: @1672994
     /* 1672994 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673080), // Rule ID 6534 //
     /* 1672999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673045 */     // MIs[0] policy
     /* 1673045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673055 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673079 */     // GIR_Coverage, 6534,
     /* 1673079 */     GIR_EraseRootFromParent_Done,
     /* 1673080 */   // Label 22939: @1673080
     /* 1673080 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1673166), // Rule ID 6537 //
     /* 1673085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673131 */     // MIs[0] policy
     /* 1673131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673141 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673165 */     // GIR_Coverage, 6537,
     /* 1673165 */     GIR_EraseRootFromParent_Done,
     /* 1673166 */   // Label 22940: @1673166
     /* 1673166 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1673252), // Rule ID 6538 //
     /* 1673171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673217 */     // MIs[0] policy
     /* 1673217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673251 */     // GIR_Coverage, 6538,
     /* 1673251 */     GIR_EraseRootFromParent_Done,
     /* 1673252 */   // Label 22941: @1673252
     /* 1673252 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1673338), // Rule ID 6541 //
     /* 1673257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673303 */     // MIs[0] policy
     /* 1673303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673337 */     // GIR_Coverage, 6541,
     /* 1673337 */     GIR_EraseRootFromParent_Done,
     /* 1673338 */   // Label 22942: @1673338
     /* 1673338 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1673424), // Rule ID 6542 //
     /* 1673343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673389 */     // MIs[0] policy
     /* 1673389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1673402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673423 */     // GIR_Coverage, 6542,
     /* 1673423 */     GIR_EraseRootFromParent_Done,
     /* 1673424 */   // Label 22943: @1673424
     /* 1673424 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1673510), // Rule ID 6545 //
     /* 1673429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673475 */     // MIs[0] policy
     /* 1673475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673485 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673509 */     // GIR_Coverage, 6545,
     /* 1673509 */     GIR_EraseRootFromParent_Done,
     /* 1673510 */   // Label 22944: @1673510
     /* 1673510 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1673596), // Rule ID 6546 //
     /* 1673515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673561 */     // MIs[0] policy
     /* 1673561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673595 */     // GIR_Coverage, 6546,
     /* 1673595 */     GIR_EraseRootFromParent_Done,
     /* 1673596 */   // Label 22945: @1673596
     /* 1673596 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1673682), // Rule ID 6549 //
     /* 1673601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673647 */     // MIs[0] policy
     /* 1673647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673681 */     // GIR_Coverage, 6549,
     /* 1673681 */     GIR_EraseRootFromParent_Done,
     /* 1673682 */   // Label 22946: @1673682
     /* 1673682 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1673768), // Rule ID 6550 //
     /* 1673687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673733 */     // MIs[0] policy
     /* 1673733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1673746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673767 */     // GIR_Coverage, 6550,
     /* 1673767 */     GIR_EraseRootFromParent_Done,
     /* 1673768 */   // Label 22947: @1673768
     /* 1673768 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1673854), // Rule ID 6553 //
     /* 1673773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673819 */     // MIs[0] policy
     /* 1673819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673853 */     // GIR_Coverage, 6553,
     /* 1673853 */     GIR_EraseRootFromParent_Done,
     /* 1673854 */   // Label 22948: @1673854
     /* 1673854 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1673940), // Rule ID 6554 //
     /* 1673859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673905 */     // MIs[0] policy
     /* 1673905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673915 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673939 */     // GIR_Coverage, 6554,
     /* 1673939 */     GIR_EraseRootFromParent_Done,
     /* 1673940 */   // Label 22949: @1673940
     /* 1673940 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674026), // Rule ID 6557 //
     /* 1673945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673991 */     // MIs[0] policy
     /* 1673991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674025 */     // GIR_Coverage, 6557,
     /* 1674025 */     GIR_EraseRootFromParent_Done,
     /* 1674026 */   // Label 22950: @1674026
     /* 1674026 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674112), // Rule ID 6558 //
     /* 1674031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674077 */     // MIs[0] policy
     /* 1674077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674111 */     // GIR_Coverage, 6558,
     /* 1674111 */     GIR_EraseRootFromParent_Done,
     /* 1674112 */   // Label 22951: @1674112
     /* 1674112 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1674198), // Rule ID 6561 //
     /* 1674117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674163 */     // MIs[0] policy
     /* 1674163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674197 */     // GIR_Coverage, 6561,
     /* 1674197 */     GIR_EraseRootFromParent_Done,
     /* 1674198 */   // Label 22952: @1674198
     /* 1674198 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1674284), // Rule ID 6562 //
     /* 1674203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674249 */     // MIs[0] policy
     /* 1674249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674283 */     // GIR_Coverage, 6562,
     /* 1674283 */     GIR_EraseRootFromParent_Done,
     /* 1674284 */   // Label 22953: @1674284
     /* 1674284 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1674370), // Rule ID 6565 //
     /* 1674289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674335 */     // MIs[0] policy
     /* 1674335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674369 */     // GIR_Coverage, 6565,
     /* 1674369 */     GIR_EraseRootFromParent_Done,
     /* 1674370 */   // Label 22954: @1674370
     /* 1674370 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1674456), // Rule ID 6566 //
     /* 1674375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674421 */     // MIs[0] policy
     /* 1674421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674431 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1674434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674455 */     // GIR_Coverage, 6566,
     /* 1674455 */     GIR_EraseRootFromParent_Done,
     /* 1674456 */   // Label 22955: @1674456
     /* 1674456 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1674542), // Rule ID 6569 //
     /* 1674461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674507 */     // MIs[0] policy
     /* 1674507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674541 */     // GIR_Coverage, 6569,
     /* 1674541 */     GIR_EraseRootFromParent_Done,
     /* 1674542 */   // Label 22956: @1674542
     /* 1674542 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1674628), // Rule ID 6570 //
     /* 1674547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674593 */     // MIs[0] policy
     /* 1674593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674627 */     // GIR_Coverage, 6570,
     /* 1674627 */     GIR_EraseRootFromParent_Done,
     /* 1674628 */   // Label 22957: @1674628
     /* 1674628 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1674714), // Rule ID 6573 //
     /* 1674633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674679 */     // MIs[0] policy
     /* 1674679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674689 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674713 */     // GIR_Coverage, 6573,
     /* 1674713 */     GIR_EraseRootFromParent_Done,
     /* 1674714 */   // Label 22958: @1674714
     /* 1674714 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1674800), // Rule ID 6574 //
     /* 1674719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674765 */     // MIs[0] policy
     /* 1674765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674775 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674799 */     // GIR_Coverage, 6574,
     /* 1674799 */     GIR_EraseRootFromParent_Done,
     /* 1674800 */   // Label 22959: @1674800
     /* 1674800 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1674886), // Rule ID 6577 //
     /* 1674805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674851 */     // MIs[0] policy
     /* 1674851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674885 */     // GIR_Coverage, 6577,
     /* 1674885 */     GIR_EraseRootFromParent_Done,
     /* 1674886 */   // Label 22960: @1674886
     /* 1674886 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1674972), // Rule ID 6578 //
     /* 1674891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674937 */     // MIs[0] policy
     /* 1674937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674971 */     // GIR_Coverage, 6578,
     /* 1674971 */     GIR_EraseRootFromParent_Done,
     /* 1674972 */   // Label 22961: @1674972
     /* 1674972 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675058), // Rule ID 6581 //
     /* 1674977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675023 */     // MIs[0] policy
     /* 1675023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675057 */     // GIR_Coverage, 6581,
     /* 1675057 */     GIR_EraseRootFromParent_Done,
     /* 1675058 */   // Label 22962: @1675058
     /* 1675058 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1675144), // Rule ID 6582 //
     /* 1675063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675109 */     // MIs[0] policy
     /* 1675109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675143 */     // GIR_Coverage, 6582,
     /* 1675143 */     GIR_EraseRootFromParent_Done,
     /* 1675144 */   // Label 22963: @1675144
     /* 1675144 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1675230), // Rule ID 6585 //
     /* 1675149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675195 */     // MIs[0] policy
     /* 1675195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675229 */     // GIR_Coverage, 6585,
     /* 1675229 */     GIR_EraseRootFromParent_Done,
     /* 1675230 */   // Label 22964: @1675230
     /* 1675230 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1675316), // Rule ID 6586 //
     /* 1675235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675281 */     // MIs[0] policy
     /* 1675281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675315 */     // GIR_Coverage, 6586,
     /* 1675315 */     GIR_EraseRootFromParent_Done,
     /* 1675316 */   // Label 22965: @1675316
     /* 1675316 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1675402), // Rule ID 6589 //
     /* 1675321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675367 */     // MIs[0] policy
     /* 1675367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675401 */     // GIR_Coverage, 6589,
     /* 1675401 */     GIR_EraseRootFromParent_Done,
     /* 1675402 */   // Label 22966: @1675402
     /* 1675402 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1675488), // Rule ID 6590 //
     /* 1675407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675453 */     // MIs[0] policy
     /* 1675453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675463 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675487 */     // GIR_Coverage, 6590,
     /* 1675487 */     GIR_EraseRootFromParent_Done,
     /* 1675488 */   // Label 22967: @1675488
     /* 1675488 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1675574), // Rule ID 6593 //
     /* 1675493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675539 */     // MIs[0] policy
     /* 1675539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675573 */     // GIR_Coverage, 6593,
     /* 1675573 */     GIR_EraseRootFromParent_Done,
     /* 1675574 */   // Label 22968: @1675574
     /* 1675574 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1675660), // Rule ID 6594 //
     /* 1675579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675625 */     // MIs[0] policy
     /* 1675625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1675638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675659 */     // GIR_Coverage, 6594,
     /* 1675659 */     GIR_EraseRootFromParent_Done,
     /* 1675660 */   // Label 22969: @1675660
     /* 1675660 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1675746), // Rule ID 6597 //
     /* 1675665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675711 */     // MIs[0] policy
     /* 1675711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675745 */     // GIR_Coverage, 6597,
     /* 1675745 */     GIR_EraseRootFromParent_Done,
     /* 1675746 */   // Label 22970: @1675746
     /* 1675746 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1675832), // Rule ID 6598 //
     /* 1675751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675797 */     // MIs[0] policy
     /* 1675797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675831 */     // GIR_Coverage, 6598,
     /* 1675831 */     GIR_EraseRootFromParent_Done,
     /* 1675832 */   // Label 22971: @1675832
     /* 1675832 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1675918), // Rule ID 6601 //
     /* 1675837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675883 */     // MIs[0] policy
     /* 1675883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675917 */     // GIR_Coverage, 6601,
     /* 1675917 */     GIR_EraseRootFromParent_Done,
     /* 1675918 */   // Label 22972: @1675918
     /* 1675918 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676004), // Rule ID 6602 //
     /* 1675923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675969 */     // MIs[0] policy
     /* 1675969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676003 */     // GIR_Coverage, 6602,
     /* 1676003 */     GIR_EraseRootFromParent_Done,
     /* 1676004 */   // Label 22973: @1676004
     /* 1676004 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676090), // Rule ID 6605 //
     /* 1676009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676055 */     // MIs[0] policy
     /* 1676055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676089 */     // GIR_Coverage, 6605,
     /* 1676089 */     GIR_EraseRootFromParent_Done,
     /* 1676090 */   // Label 22974: @1676090
     /* 1676090 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1676176), // Rule ID 6606 //
     /* 1676095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676141 */     // MIs[0] policy
     /* 1676141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1676154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676175 */     // GIR_Coverage, 6606,
     /* 1676175 */     GIR_EraseRootFromParent_Done,
     /* 1676176 */   // Label 22975: @1676176
     /* 1676176 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1676262), // Rule ID 6609 //
     /* 1676181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676227 */     // MIs[0] policy
     /* 1676227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676261 */     // GIR_Coverage, 6609,
     /* 1676261 */     GIR_EraseRootFromParent_Done,
     /* 1676262 */   // Label 22976: @1676262
     /* 1676262 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1676348), // Rule ID 6610 //
     /* 1676267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676313 */     // MIs[0] policy
     /* 1676313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1676326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676347 */     // GIR_Coverage, 6610,
     /* 1676347 */     GIR_EraseRootFromParent_Done,
     /* 1676348 */   // Label 22977: @1676348
     /* 1676348 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1676434), // Rule ID 6613 //
     /* 1676353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676399 */     // MIs[0] policy
     /* 1676399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676433 */     // GIR_Coverage, 6613,
     /* 1676433 */     GIR_EraseRootFromParent_Done,
     /* 1676434 */   // Label 22978: @1676434
     /* 1676434 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1676520), // Rule ID 6614 //
     /* 1676439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676485 */     // MIs[0] policy
     /* 1676485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1676498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676519 */     // GIR_Coverage, 6614,
     /* 1676519 */     GIR_EraseRootFromParent_Done,
     /* 1676520 */   // Label 22979: @1676520
     /* 1676520 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1676606), // Rule ID 6705 //
     /* 1676525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676571 */     // MIs[0] policy
     /* 1676571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676581 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1676584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676605 */     // GIR_Coverage, 6705,
     /* 1676605 */     GIR_EraseRootFromParent_Done,
     /* 1676606 */   // Label 22980: @1676606
     /* 1676606 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1676692), // Rule ID 6706 //
     /* 1676611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1676631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676657 */     // MIs[0] policy
     /* 1676657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1676670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676691 */     // GIR_Coverage, 6706,
     /* 1676691 */     GIR_EraseRootFromParent_Done,
     /* 1676692 */   // Label 22981: @1676692
     /* 1676692 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1676778), // Rule ID 6709 //
     /* 1676697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676743 */     // MIs[0] policy
     /* 1676743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1676756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676777 */     // GIR_Coverage, 6709,
     /* 1676777 */     GIR_EraseRootFromParent_Done,
     /* 1676778 */   // Label 22982: @1676778
     /* 1676778 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1676864), // Rule ID 6710 //
     /* 1676783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1676803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676829 */     // MIs[0] policy
     /* 1676829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1676842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676863 */     // GIR_Coverage, 6710,
     /* 1676863 */     GIR_EraseRootFromParent_Done,
     /* 1676864 */   // Label 22983: @1676864
     /* 1676864 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1676950), // Rule ID 6713 //
     /* 1676869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676915 */     // MIs[0] policy
     /* 1676915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676949 */     // GIR_Coverage, 6713,
     /* 1676949 */     GIR_EraseRootFromParent_Done,
     /* 1676950 */   // Label 22984: @1676950
     /* 1676950 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677036), // Rule ID 6714 //
     /* 1676955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1676975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677001 */     // MIs[0] policy
     /* 1677001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677035 */     // GIR_Coverage, 6714,
     /* 1677035 */     GIR_EraseRootFromParent_Done,
     /* 1677036 */   // Label 22985: @1677036
     /* 1677036 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677122), // Rule ID 6717 //
     /* 1677041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677087 */     // MIs[0] policy
     /* 1677087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677121 */     // GIR_Coverage, 6717,
     /* 1677121 */     GIR_EraseRootFromParent_Done,
     /* 1677122 */   // Label 22986: @1677122
     /* 1677122 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1677208), // Rule ID 6718 //
     /* 1677127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677173 */     // MIs[0] policy
     /* 1677173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677183 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1677186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677207 */     // GIR_Coverage, 6718,
     /* 1677207 */     GIR_EraseRootFromParent_Done,
     /* 1677208 */   // Label 22987: @1677208
     /* 1677208 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1677294), // Rule ID 6721 //
     /* 1677213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677259 */     // MIs[0] policy
     /* 1677259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677269 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677293 */     // GIR_Coverage, 6721,
     /* 1677293 */     GIR_EraseRootFromParent_Done,
     /* 1677294 */   // Label 22988: @1677294
     /* 1677294 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1677380), // Rule ID 6722 //
     /* 1677299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677345 */     // MIs[0] policy
     /* 1677345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677379 */     // GIR_Coverage, 6722,
     /* 1677379 */     GIR_EraseRootFromParent_Done,
     /* 1677380 */   // Label 22989: @1677380
     /* 1677380 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1677466), // Rule ID 6725 //
     /* 1677385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677431 */     // MIs[0] policy
     /* 1677431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677465 */     // GIR_Coverage, 6725,
     /* 1677465 */     GIR_EraseRootFromParent_Done,
     /* 1677466 */   // Label 22990: @1677466
     /* 1677466 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1677552), // Rule ID 6726 //
     /* 1677471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1677491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677517 */     // MIs[0] policy
     /* 1677517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1677530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677551 */     // GIR_Coverage, 6726,
     /* 1677551 */     GIR_EraseRootFromParent_Done,
     /* 1677552 */   // Label 22991: @1677552
     /* 1677552 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1677638), // Rule ID 6729 //
     /* 1677557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677603 */     // MIs[0] policy
     /* 1677603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677637 */     // GIR_Coverage, 6729,
     /* 1677637 */     GIR_EraseRootFromParent_Done,
     /* 1677638 */   // Label 22992: @1677638
     /* 1677638 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1677724), // Rule ID 6730 //
     /* 1677643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1677663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677689 */     // MIs[0] policy
     /* 1677689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677723 */     // GIR_Coverage, 6730,
     /* 1677723 */     GIR_EraseRootFromParent_Done,
     /* 1677724 */   // Label 22993: @1677724
     /* 1677724 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1677810), // Rule ID 6733 //
     /* 1677729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677775 */     // MIs[0] policy
     /* 1677775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677809 */     // GIR_Coverage, 6733,
     /* 1677809 */     GIR_EraseRootFromParent_Done,
     /* 1677810 */   // Label 22994: @1677810
     /* 1677810 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1677896), // Rule ID 6734 //
     /* 1677815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1677835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677861 */     // MIs[0] policy
     /* 1677861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677895 */     // GIR_Coverage, 6734,
     /* 1677895 */     GIR_EraseRootFromParent_Done,
     /* 1677896 */   // Label 22995: @1677896
     /* 1677896 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1677982), // Rule ID 6737 //
     /* 1677901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1677921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677947 */     // MIs[0] policy
     /* 1677947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677981 */     // GIR_Coverage, 6737,
     /* 1677981 */     GIR_EraseRootFromParent_Done,
     /* 1677982 */   // Label 22996: @1677982
     /* 1677982 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678068), // Rule ID 6738 //
     /* 1677987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678033 */     // MIs[0] policy
     /* 1678033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678067 */     // GIR_Coverage, 6738,
     /* 1678067 */     GIR_EraseRootFromParent_Done,
     /* 1678068 */   // Label 22997: @1678068
     /* 1678068 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1678154), // Rule ID 6741 //
     /* 1678073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678119 */     // MIs[0] policy
     /* 1678119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678153 */     // GIR_Coverage, 6741,
     /* 1678153 */     GIR_EraseRootFromParent_Done,
     /* 1678154 */   // Label 22998: @1678154
     /* 1678154 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1678240), // Rule ID 6742 //
     /* 1678159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678205 */     // MIs[0] policy
     /* 1678205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1678218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678239 */     // GIR_Coverage, 6742,
     /* 1678239 */     GIR_EraseRootFromParent_Done,
     /* 1678240 */   // Label 22999: @1678240
     /* 1678240 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1678326), // Rule ID 6745 //
     /* 1678245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678291 */     // MIs[0] policy
     /* 1678291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678325 */     // GIR_Coverage, 6745,
     /* 1678325 */     GIR_EraseRootFromParent_Done,
     /* 1678326 */   // Label 23000: @1678326
     /* 1678326 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1678412), // Rule ID 6746 //
     /* 1678331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1678351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678377 */     // MIs[0] policy
     /* 1678377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678411 */     // GIR_Coverage, 6746,
     /* 1678411 */     GIR_EraseRootFromParent_Done,
     /* 1678412 */   // Label 23001: @1678412
     /* 1678412 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1678498), // Rule ID 6749 //
     /* 1678417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678463 */     // MIs[0] policy
     /* 1678463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678497 */     // GIR_Coverage, 6749,
     /* 1678497 */     GIR_EraseRootFromParent_Done,
     /* 1678498 */   // Label 23002: @1678498
     /* 1678498 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1678584), // Rule ID 6750 //
     /* 1678503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1678523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678549 */     // MIs[0] policy
     /* 1678549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678583 */     // GIR_Coverage, 6750,
     /* 1678583 */     GIR_EraseRootFromParent_Done,
     /* 1678584 */   // Label 23003: @1678584
     /* 1678584 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1678670), // Rule ID 6753 //
     /* 1678589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678635 */     // MIs[0] policy
     /* 1678635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678669 */     // GIR_Coverage, 6753,
     /* 1678669 */     GIR_EraseRootFromParent_Done,
     /* 1678670 */   // Label 23004: @1678670
     /* 1678670 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1678756), // Rule ID 6754 //
     /* 1678675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1678695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678721 */     // MIs[0] policy
     /* 1678721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678755 */     // GIR_Coverage, 6754,
     /* 1678755 */     GIR_EraseRootFromParent_Done,
     /* 1678756 */   // Label 23005: @1678756
     /* 1678756 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1678842), // Rule ID 6757 //
     /* 1678761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678807 */     // MIs[0] policy
     /* 1678807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678841 */     // GIR_Coverage, 6757,
     /* 1678841 */     GIR_EraseRootFromParent_Done,
     /* 1678842 */   // Label 23006: @1678842
     /* 1678842 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1678928), // Rule ID 6758 //
     /* 1678847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1678867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678893 */     // MIs[0] policy
     /* 1678893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678927 */     // GIR_Coverage, 6758,
     /* 1678927 */     GIR_EraseRootFromParent_Done,
     /* 1678928 */   // Label 23007: @1678928
     /* 1678928 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679014), // Rule ID 6761 //
     /* 1678933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1678953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678979 */     // MIs[0] policy
     /* 1678979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679013 */     // GIR_Coverage, 6761,
     /* 1679013 */     GIR_EraseRootFromParent_Done,
     /* 1679014 */   // Label 23008: @1679014
     /* 1679014 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679100), // Rule ID 6762 //
     /* 1679019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1679039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679065 */     // MIs[0] policy
     /* 1679065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679099 */     // GIR_Coverage, 6762,
     /* 1679099 */     GIR_EraseRootFromParent_Done,
     /* 1679100 */   // Label 23009: @1679100
     /* 1679100 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1679186), // Rule ID 6765 //
     /* 1679105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679151 */     // MIs[0] policy
     /* 1679151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679185 */     // GIR_Coverage, 6765,
     /* 1679185 */     GIR_EraseRootFromParent_Done,
     /* 1679186 */   // Label 23010: @1679186
     /* 1679186 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1679272), // Rule ID 6766 //
     /* 1679191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1679211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679237 */     // MIs[0] policy
     /* 1679237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679271 */     // GIR_Coverage, 6766,
     /* 1679271 */     GIR_EraseRootFromParent_Done,
     /* 1679272 */   // Label 23011: @1679272
     /* 1679272 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1679358), // Rule ID 6769 //
     /* 1679277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679323 */     // MIs[0] policy
     /* 1679323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679357 */     // GIR_Coverage, 6769,
     /* 1679357 */     GIR_EraseRootFromParent_Done,
     /* 1679358 */   // Label 23012: @1679358
     /* 1679358 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1679444), // Rule ID 6770 //
     /* 1679363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1679383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679409 */     // MIs[0] policy
     /* 1679409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679443 */     // GIR_Coverage, 6770,
     /* 1679443 */     GIR_EraseRootFromParent_Done,
     /* 1679444 */   // Label 23013: @1679444
     /* 1679444 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1679530), // Rule ID 6773 //
     /* 1679449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679495 */     // MIs[0] policy
     /* 1679495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679529 */     // GIR_Coverage, 6773,
     /* 1679529 */     GIR_EraseRootFromParent_Done,
     /* 1679530 */   // Label 23014: @1679530
     /* 1679530 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1679616), // Rule ID 6774 //
     /* 1679535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1679555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679581 */     // MIs[0] policy
     /* 1679581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679591 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1679594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679615 */     // GIR_Coverage, 6774,
     /* 1679615 */     GIR_EraseRootFromParent_Done,
     /* 1679616 */   // Label 23015: @1679616
     /* 1679616 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1679702), // Rule ID 6777 //
     /* 1679621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679667 */     // MIs[0] policy
     /* 1679667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679701 */     // GIR_Coverage, 6777,
     /* 1679701 */     GIR_EraseRootFromParent_Done,
     /* 1679702 */   // Label 23016: @1679702
     /* 1679702 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1679788), // Rule ID 6778 //
     /* 1679707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1679727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679753 */     // MIs[0] policy
     /* 1679753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679787 */     // GIR_Coverage, 6778,
     /* 1679787 */     GIR_EraseRootFromParent_Done,
     /* 1679788 */   // Label 23017: @1679788
     /* 1679788 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1679874), // Rule ID 6781 //
     /* 1679793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679839 */     // MIs[0] policy
     /* 1679839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679849 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679873 */     // GIR_Coverage, 6781,
     /* 1679873 */     GIR_EraseRootFromParent_Done,
     /* 1679874 */   // Label 23018: @1679874
     /* 1679874 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1679960), // Rule ID 6782 //
     /* 1679879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1679899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679925 */     // MIs[0] policy
     /* 1679925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1679938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679959 */     // GIR_Coverage, 6782,
     /* 1679959 */     GIR_EraseRootFromParent_Done,
     /* 1679960 */   // Label 23019: @1679960
     /* 1679960 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680046), // Rule ID 6785 //
     /* 1679965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1679985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680011 */     // MIs[0] policy
     /* 1680011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680045 */     // GIR_Coverage, 6785,
     /* 1680045 */     GIR_EraseRootFromParent_Done,
     /* 1680046 */   // Label 23020: @1680046
     /* 1680046 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1680132), // Rule ID 6786 //
     /* 1680051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1680071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680097 */     // MIs[0] policy
     /* 1680097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1680110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680131 */     // GIR_Coverage, 6786,
     /* 1680131 */     GIR_EraseRootFromParent_Done,
     /* 1680132 */   // Label 23021: @1680132
     /* 1680132 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1680218), // Rule ID 6789 //
     /* 1680137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680183 */     // MIs[0] policy
     /* 1680183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680217 */     // GIR_Coverage, 6789,
     /* 1680217 */     GIR_EraseRootFromParent_Done,
     /* 1680218 */   // Label 23022: @1680218
     /* 1680218 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1680304), // Rule ID 6790 //
     /* 1680223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1680243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680269 */     // MIs[0] policy
     /* 1680269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1680282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680303 */     // GIR_Coverage, 6790,
     /* 1680303 */     GIR_EraseRootFromParent_Done,
     /* 1680304 */   // Label 23023: @1680304
     /* 1680304 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1680390), // Rule ID 6793 //
     /* 1680309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680355 */     // MIs[0] policy
     /* 1680355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680389 */     // GIR_Coverage, 6793,
     /* 1680389 */     GIR_EraseRootFromParent_Done,
     /* 1680390 */   // Label 23024: @1680390
     /* 1680390 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1680476), // Rule ID 6794 //
     /* 1680395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680441 */     // MIs[0] policy
     /* 1680441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1680454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680475 */     // GIR_Coverage, 6794,
     /* 1680475 */     GIR_EraseRootFromParent_Done,
     /* 1680476 */   // Label 23025: @1680476
     /* 1680476 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1680562), // Rule ID 6797 //
     /* 1680481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680527 */     // MIs[0] policy
     /* 1680527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680537 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680561 */     // GIR_Coverage, 6797,
     /* 1680561 */     GIR_EraseRootFromParent_Done,
     /* 1680562 */   // Label 23026: @1680562
     /* 1680562 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1680648), // Rule ID 6798 //
     /* 1680567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680613 */     // MIs[0] policy
     /* 1680613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680647 */     // GIR_Coverage, 6798,
     /* 1680647 */     GIR_EraseRootFromParent_Done,
     /* 1680648 */   // Label 23027: @1680648
     /* 1680648 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1680734), // Rule ID 6801 //
     /* 1680653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680699 */     // MIs[0] policy
     /* 1680699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680733 */     // GIR_Coverage, 6801,
     /* 1680733 */     GIR_EraseRootFromParent_Done,
     /* 1680734 */   // Label 23028: @1680734
     /* 1680734 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1680820), // Rule ID 6802 //
     /* 1680739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680785 */     // MIs[0] policy
     /* 1680785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680795 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680819 */     // GIR_Coverage, 6802,
     /* 1680819 */     GIR_EraseRootFromParent_Done,
     /* 1680820 */   // Label 23029: @1680820
     /* 1680820 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1680906), // Rule ID 6805 //
     /* 1680825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680871 */     // MIs[0] policy
     /* 1680871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680905 */     // GIR_Coverage, 6805,
     /* 1680905 */     GIR_EraseRootFromParent_Done,
     /* 1680906 */   // Label 23030: @1680906
     /* 1680906 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1680992), // Rule ID 6806 //
     /* 1680911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680957 */     // MIs[0] policy
     /* 1680957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1680970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680991 */     // GIR_Coverage, 6806,
     /* 1680991 */     GIR_EraseRootFromParent_Done,
     /* 1680992 */   // Label 23031: @1680992
     /* 1680992 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681078), // Rule ID 6809 //
     /* 1680997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681043 */     // MIs[0] policy
     /* 1681043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681077 */     // GIR_Coverage, 6809,
     /* 1681077 */     GIR_EraseRootFromParent_Done,
     /* 1681078 */   // Label 23032: @1681078
     /* 1681078 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1681164), // Rule ID 6810 //
     /* 1681083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681129 */     // MIs[0] policy
     /* 1681129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681163 */     // GIR_Coverage, 6810,
     /* 1681163 */     GIR_EraseRootFromParent_Done,
     /* 1681164 */   // Label 23033: @1681164
     /* 1681164 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1681250), // Rule ID 6813 //
     /* 1681169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681215 */     // MIs[0] policy
     /* 1681215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681249 */     // GIR_Coverage, 6813,
     /* 1681249 */     GIR_EraseRootFromParent_Done,
     /* 1681250 */   // Label 23034: @1681250
     /* 1681250 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1681336), // Rule ID 6814 //
     /* 1681255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681301 */     // MIs[0] policy
     /* 1681301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681311 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1681314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681335 */     // GIR_Coverage, 6814,
     /* 1681335 */     GIR_EraseRootFromParent_Done,
     /* 1681336 */   // Label 23035: @1681336
     /* 1681336 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1681422), // Rule ID 6817 //
     /* 1681341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681387 */     // MIs[0] policy
     /* 1681387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681421 */     // GIR_Coverage, 6817,
     /* 1681421 */     GIR_EraseRootFromParent_Done,
     /* 1681422 */   // Label 23036: @1681422
     /* 1681422 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1681508), // Rule ID 6818 //
     /* 1681427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681473 */     // MIs[0] policy
     /* 1681473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681507 */     // GIR_Coverage, 6818,
     /* 1681507 */     GIR_EraseRootFromParent_Done,
     /* 1681508 */   // Label 23037: @1681508
     /* 1681508 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1681594), // Rule ID 6821 //
     /* 1681513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681559 */     // MIs[0] policy
     /* 1681559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681593 */     // GIR_Coverage, 6821,
     /* 1681593 */     GIR_EraseRootFromParent_Done,
     /* 1681594 */   // Label 23038: @1681594
     /* 1681594 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1681680), // Rule ID 6822 //
     /* 1681599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681645 */     // MIs[0] policy
     /* 1681645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681679 */     // GIR_Coverage, 6822,
     /* 1681679 */     GIR_EraseRootFromParent_Done,
     /* 1681680 */   // Label 23039: @1681680
     /* 1681680 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1681766), // Rule ID 6825 //
     /* 1681685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681731 */     // MIs[0] policy
     /* 1681731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681765 */     // GIR_Coverage, 6825,
     /* 1681765 */     GIR_EraseRootFromParent_Done,
     /* 1681766 */   // Label 23040: @1681766
     /* 1681766 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1681852), // Rule ID 6826 //
     /* 1681771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681817 */     // MIs[0] policy
     /* 1681817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681851 */     // GIR_Coverage, 6826,
     /* 1681851 */     GIR_EraseRootFromParent_Done,
     /* 1681852 */   // Label 23041: @1681852
     /* 1681852 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1681938), // Rule ID 6829 //
     /* 1681857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681903 */     // MIs[0] policy
     /* 1681903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1681916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681937 */     // GIR_Coverage, 6829,
     /* 1681937 */     GIR_EraseRootFromParent_Done,
     /* 1681938 */   // Label 23042: @1681938
     /* 1681938 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682024), // Rule ID 6830 //
     /* 1681943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681989 */     // MIs[0] policy
     /* 1681989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1682002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682023 */     // GIR_Coverage, 6830,
     /* 1682023 */     GIR_EraseRootFromParent_Done,
     /* 1682024 */   // Label 23043: @1682024
     /* 1682024 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682110), // Rule ID 6833 //
     /* 1682029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682075 */     // MIs[0] policy
     /* 1682075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682085 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682109 */     // GIR_Coverage, 6833,
     /* 1682109 */     GIR_EraseRootFromParent_Done,
     /* 1682110 */   // Label 23044: @1682110
     /* 1682110 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1682196), // Rule ID 6834 //
     /* 1682115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682161 */     // MIs[0] policy
     /* 1682161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682195 */     // GIR_Coverage, 6834,
     /* 1682195 */     GIR_EraseRootFromParent_Done,
     /* 1682196 */   // Label 23045: @1682196
     /* 1682196 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1682282), // Rule ID 6837 //
     /* 1682201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682247 */     // MIs[0] policy
     /* 1682247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682281 */     // GIR_Coverage, 6837,
     /* 1682281 */     GIR_EraseRootFromParent_Done,
     /* 1682282 */   // Label 23046: @1682282
     /* 1682282 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1682368), // Rule ID 6838 //
     /* 1682287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682333 */     // MIs[0] policy
     /* 1682333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682343 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682367 */     // GIR_Coverage, 6838,
     /* 1682367 */     GIR_EraseRootFromParent_Done,
     /* 1682368 */   // Label 23047: @1682368
     /* 1682368 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1682454), // Rule ID 6841 //
     /* 1682373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682419 */     // MIs[0] policy
     /* 1682419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682429 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682453 */     // GIR_Coverage, 6841,
     /* 1682453 */     GIR_EraseRootFromParent_Done,
     /* 1682454 */   // Label 23048: @1682454
     /* 1682454 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1682540), // Rule ID 6842 //
     /* 1682459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682505 */     // MIs[0] policy
     /* 1682505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682539 */     // GIR_Coverage, 6842,
     /* 1682539 */     GIR_EraseRootFromParent_Done,
     /* 1682540 */   // Label 23049: @1682540
     /* 1682540 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1682626), // Rule ID 6845 //
     /* 1682545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682591 */     // MIs[0] policy
     /* 1682591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682625 */     // GIR_Coverage, 6845,
     /* 1682625 */     GIR_EraseRootFromParent_Done,
     /* 1682626 */   // Label 23050: @1682626
     /* 1682626 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1682712), // Rule ID 6846 //
     /* 1682631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682677 */     // MIs[0] policy
     /* 1682677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682711 */     // GIR_Coverage, 6846,
     /* 1682711 */     GIR_EraseRootFromParent_Done,
     /* 1682712 */   // Label 23051: @1682712
     /* 1682712 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1682798), // Rule ID 6849 //
     /* 1682717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682763 */     // MIs[0] policy
     /* 1682763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682797 */     // GIR_Coverage, 6849,
     /* 1682797 */     GIR_EraseRootFromParent_Done,
     /* 1682798 */   // Label 23052: @1682798
     /* 1682798 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1682884), // Rule ID 6850 //
     /* 1682803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682849 */     // MIs[0] policy
     /* 1682849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682883 */     // GIR_Coverage, 6850,
     /* 1682883 */     GIR_EraseRootFromParent_Done,
     /* 1682884 */   // Label 23053: @1682884
     /* 1682884 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1682970), // Rule ID 6853 //
     /* 1682889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682935 */     // MIs[0] policy
     /* 1682935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682945 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682969 */     // GIR_Coverage, 6853,
     /* 1682969 */     GIR_EraseRootFromParent_Done,
     /* 1682970 */   // Label 23054: @1682970
     /* 1682970 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683056), // Rule ID 6854 //
     /* 1682975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683021 */     // MIs[0] policy
     /* 1683021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683055 */     // GIR_Coverage, 6854,
     /* 1683055 */     GIR_EraseRootFromParent_Done,
     /* 1683056 */   // Label 23055: @1683056
     /* 1683056 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1683142), // Rule ID 6857 //
     /* 1683061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683107 */     // MIs[0] policy
     /* 1683107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683141 */     // GIR_Coverage, 6857,
     /* 1683141 */     GIR_EraseRootFromParent_Done,
     /* 1683142 */   // Label 23056: @1683142
     /* 1683142 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1683228), // Rule ID 6858 //
     /* 1683147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683193 */     // MIs[0] policy
     /* 1683193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683227 */     // GIR_Coverage, 6858,
     /* 1683227 */     GIR_EraseRootFromParent_Done,
     /* 1683228 */   // Label 23057: @1683228
     /* 1683228 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1683314), // Rule ID 6861 //
     /* 1683233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683279 */     // MIs[0] policy
     /* 1683279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683313 */     // GIR_Coverage, 6861,
     /* 1683313 */     GIR_EraseRootFromParent_Done,
     /* 1683314 */   // Label 23058: @1683314
     /* 1683314 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1683400), // Rule ID 6862 //
     /* 1683319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683365 */     // MIs[0] policy
     /* 1683365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683375 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683399 */     // GIR_Coverage, 6862,
     /* 1683399 */     GIR_EraseRootFromParent_Done,
     /* 1683400 */   // Label 23059: @1683400
     /* 1683400 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1683486), // Rule ID 6865 //
     /* 1683405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683451 */     // MIs[0] policy
     /* 1683451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683485 */     // GIR_Coverage, 6865,
     /* 1683485 */     GIR_EraseRootFromParent_Done,
     /* 1683486 */   // Label 23060: @1683486
     /* 1683486 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1683572), // Rule ID 6866 //
     /* 1683491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683537 */     // MIs[0] policy
     /* 1683537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683571 */     // GIR_Coverage, 6866,
     /* 1683571 */     GIR_EraseRootFromParent_Done,
     /* 1683572 */   // Label 23061: @1683572
     /* 1683572 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1683658), // Rule ID 6869 //
     /* 1683577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683623 */     // MIs[0] policy
     /* 1683623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683657 */     // GIR_Coverage, 6869,
     /* 1683657 */     GIR_EraseRootFromParent_Done,
     /* 1683658 */   // Label 23062: @1683658
     /* 1683658 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1683744), // Rule ID 6870 //
     /* 1683663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683709 */     // MIs[0] policy
     /* 1683709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1683722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683743 */     // GIR_Coverage, 6870,
     /* 1683743 */     GIR_EraseRootFromParent_Done,
     /* 1683744 */   // Label 23063: @1683744
     /* 1683744 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1683830), // Rule ID 6873 //
     /* 1683749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683795 */     // MIs[0] policy
     /* 1683795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683829 */     // GIR_Coverage, 6873,
     /* 1683829 */     GIR_EraseRootFromParent_Done,
     /* 1683830 */   // Label 23064: @1683830
     /* 1683830 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1683916), // Rule ID 6874 //
     /* 1683835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683881 */     // MIs[0] policy
     /* 1683881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1683894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683915 */     // GIR_Coverage, 6874,
     /* 1683915 */     GIR_EraseRootFromParent_Done,
     /* 1683916 */   // Label 23065: @1683916
     /* 1683916 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684002), // Rule ID 6877 //
     /* 1683921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683967 */     // MIs[0] policy
     /* 1683967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1683980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684001 */     // GIR_Coverage, 6877,
     /* 1684001 */     GIR_EraseRootFromParent_Done,
     /* 1684002 */   // Label 23066: @1684002
     /* 1684002 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684088), // Rule ID 6878 //
     /* 1684007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684053 */     // MIs[0] policy
     /* 1684053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1684066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684087 */     // GIR_Coverage, 6878,
     /* 1684087 */     GIR_EraseRootFromParent_Done,
     /* 1684088 */   // Label 23067: @1684088
     /* 1684088 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1684174), // Rule ID 6969 //
     /* 1684093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684139 */     // MIs[0] policy
     /* 1684139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684173 */     // GIR_Coverage, 6969,
     /* 1684173 */     GIR_EraseRootFromParent_Done,
     /* 1684174 */   // Label 23068: @1684174
     /* 1684174 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1684260), // Rule ID 6970 //
     /* 1684179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1684199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684225 */     // MIs[0] policy
     /* 1684225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1684238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684259 */     // GIR_Coverage, 6970,
     /* 1684259 */     GIR_EraseRootFromParent_Done,
     /* 1684260 */   // Label 23069: @1684260
     /* 1684260 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1684346), // Rule ID 6973 //
     /* 1684265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684311 */     // MIs[0] policy
     /* 1684311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684345 */     // GIR_Coverage, 6973,
     /* 1684345 */     GIR_EraseRootFromParent_Done,
     /* 1684346 */   // Label 23070: @1684346
     /* 1684346 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1684432), // Rule ID 6974 //
     /* 1684351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1684371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684397 */     // MIs[0] policy
     /* 1684397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684407 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684431 */     // GIR_Coverage, 6974,
     /* 1684431 */     GIR_EraseRootFromParent_Done,
     /* 1684432 */   // Label 23071: @1684432
     /* 1684432 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1684518), // Rule ID 6977 //
     /* 1684437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684483 */     // MIs[0] policy
     /* 1684483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684493 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684517 */     // GIR_Coverage, 6977,
     /* 1684517 */     GIR_EraseRootFromParent_Done,
     /* 1684518 */   // Label 23072: @1684518
     /* 1684518 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1684604), // Rule ID 6978 //
     /* 1684523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1684543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684569 */     // MIs[0] policy
     /* 1684569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684603 */     // GIR_Coverage, 6978,
     /* 1684603 */     GIR_EraseRootFromParent_Done,
     /* 1684604 */   // Label 23073: @1684604
     /* 1684604 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1684690), // Rule ID 6981 //
     /* 1684609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684655 */     // MIs[0] policy
     /* 1684655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684665 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684689 */     // GIR_Coverage, 6981,
     /* 1684689 */     GIR_EraseRootFromParent_Done,
     /* 1684690 */   // Label 23074: @1684690
     /* 1684690 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1684776), // Rule ID 6982 //
     /* 1684695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1684715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684741 */     // MIs[0] policy
     /* 1684741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1684754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684775 */     // GIR_Coverage, 6982,
     /* 1684775 */     GIR_EraseRootFromParent_Done,
     /* 1684776 */   // Label 23075: @1684776
     /* 1684776 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1684862), // Rule ID 6985 //
     /* 1684781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684827 */     // MIs[0] policy
     /* 1684827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684861 */     // GIR_Coverage, 6985,
     /* 1684861 */     GIR_EraseRootFromParent_Done,
     /* 1684862 */   // Label 23076: @1684862
     /* 1684862 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1684948), // Rule ID 6986 //
     /* 1684867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1684887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684913 */     // MIs[0] policy
     /* 1684913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1684926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684947 */     // GIR_Coverage, 6986,
     /* 1684947 */     GIR_EraseRootFromParent_Done,
     /* 1684948 */   // Label 23077: @1684948
     /* 1684948 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685034), // Rule ID 6989 //
     /* 1684953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1684973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684999 */     // MIs[0] policy
     /* 1684999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685033 */     // GIR_Coverage, 6989,
     /* 1685033 */     GIR_EraseRootFromParent_Done,
     /* 1685034 */   // Label 23078: @1685034
     /* 1685034 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685120), // Rule ID 6990 //
     /* 1685039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1685059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685085 */     // MIs[0] policy
     /* 1685085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685095 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1685098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685119 */     // GIR_Coverage, 6990,
     /* 1685119 */     GIR_EraseRootFromParent_Done,
     /* 1685120 */   // Label 23079: @1685120
     /* 1685120 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1685206), // Rule ID 6993 //
     /* 1685125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685171 */     // MIs[0] policy
     /* 1685171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685181 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685205 */     // GIR_Coverage, 6993,
     /* 1685205 */     GIR_EraseRootFromParent_Done,
     /* 1685206 */   // Label 23080: @1685206
     /* 1685206 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1685292), // Rule ID 6994 //
     /* 1685211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1685231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685257 */     // MIs[0] policy
     /* 1685257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685291 */     // GIR_Coverage, 6994,
     /* 1685291 */     GIR_EraseRootFromParent_Done,
     /* 1685292 */   // Label 23081: @1685292
     /* 1685292 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1685378), // Rule ID 6997 //
     /* 1685297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685343 */     // MIs[0] policy
     /* 1685343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685377 */     // GIR_Coverage, 6997,
     /* 1685377 */     GIR_EraseRootFromParent_Done,
     /* 1685378 */   // Label 23082: @1685378
     /* 1685378 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1685464), // Rule ID 6998 //
     /* 1685383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1685403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685429 */     // MIs[0] policy
     /* 1685429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685463 */     // GIR_Coverage, 6998,
     /* 1685463 */     GIR_EraseRootFromParent_Done,
     /* 1685464 */   // Label 23083: @1685464
     /* 1685464 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1685550), // Rule ID 7001 //
     /* 1685469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685515 */     // MIs[0] policy
     /* 1685515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685549 */     // GIR_Coverage, 7001,
     /* 1685549 */     GIR_EraseRootFromParent_Done,
     /* 1685550 */   // Label 23084: @1685550
     /* 1685550 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1685636), // Rule ID 7002 //
     /* 1685555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1685575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685601 */     // MIs[0] policy
     /* 1685601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685635 */     // GIR_Coverage, 7002,
     /* 1685635 */     GIR_EraseRootFromParent_Done,
     /* 1685636 */   // Label 23085: @1685636
     /* 1685636 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1685722), // Rule ID 7005 //
     /* 1685641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685687 */     // MIs[0] policy
     /* 1685687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685721 */     // GIR_Coverage, 7005,
     /* 1685721 */     GIR_EraseRootFromParent_Done,
     /* 1685722 */   // Label 23086: @1685722
     /* 1685722 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1685808), // Rule ID 7006 //
     /* 1685727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1685747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685773 */     // MIs[0] policy
     /* 1685773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1685786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685807 */     // GIR_Coverage, 7006,
     /* 1685807 */     GIR_EraseRootFromParent_Done,
     /* 1685808 */   // Label 23087: @1685808
     /* 1685808 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1685894), // Rule ID 7009 //
     /* 1685813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685859 */     // MIs[0] policy
     /* 1685859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685869 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685893 */     // GIR_Coverage, 7009,
     /* 1685893 */     GIR_EraseRootFromParent_Done,
     /* 1685894 */   // Label 23088: @1685894
     /* 1685894 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1685980), // Rule ID 7010 //
     /* 1685899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1685919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685945 */     // MIs[0] policy
     /* 1685945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685955 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685979 */     // GIR_Coverage, 7010,
     /* 1685979 */     GIR_EraseRootFromParent_Done,
     /* 1685980 */   // Label 23089: @1685980
     /* 1685980 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686066), // Rule ID 7013 //
     /* 1685985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686031 */     // MIs[0] policy
     /* 1686031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686041 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686065 */     // GIR_Coverage, 7013,
     /* 1686065 */     GIR_EraseRootFromParent_Done,
     /* 1686066 */   // Label 23090: @1686066
     /* 1686066 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1686152), // Rule ID 7014 //
     /* 1686071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686117 */     // MIs[0] policy
     /* 1686117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686151 */     // GIR_Coverage, 7014,
     /* 1686151 */     GIR_EraseRootFromParent_Done,
     /* 1686152 */   // Label 23091: @1686152
     /* 1686152 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1686238), // Rule ID 7017 //
     /* 1686157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686203 */     // MIs[0] policy
     /* 1686203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686213 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686237 */     // GIR_Coverage, 7017,
     /* 1686237 */     GIR_EraseRootFromParent_Done,
     /* 1686238 */   // Label 23092: @1686238
     /* 1686238 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1686324), // Rule ID 7018 //
     /* 1686243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1686263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686289 */     // MIs[0] policy
     /* 1686289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686299 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686323 */     // GIR_Coverage, 7018,
     /* 1686323 */     GIR_EraseRootFromParent_Done,
     /* 1686324 */   // Label 23093: @1686324
     /* 1686324 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1686410), // Rule ID 7021 //
     /* 1686329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686375 */     // MIs[0] policy
     /* 1686375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686385 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686409 */     // GIR_Coverage, 7021,
     /* 1686409 */     GIR_EraseRootFromParent_Done,
     /* 1686410 */   // Label 23094: @1686410
     /* 1686410 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1686496), // Rule ID 7022 //
     /* 1686415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1686435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686461 */     // MIs[0] policy
     /* 1686461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686495 */     // GIR_Coverage, 7022,
     /* 1686495 */     GIR_EraseRootFromParent_Done,
     /* 1686496 */   // Label 23095: @1686496
     /* 1686496 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1686582), // Rule ID 7025 //
     /* 1686501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686547 */     // MIs[0] policy
     /* 1686547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686581 */     // GIR_Coverage, 7025,
     /* 1686581 */     GIR_EraseRootFromParent_Done,
     /* 1686582 */   // Label 23096: @1686582
     /* 1686582 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1686668), // Rule ID 7026 //
     /* 1686587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1686607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686633 */     // MIs[0] policy
     /* 1686633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686667 */     // GIR_Coverage, 7026,
     /* 1686667 */     GIR_EraseRootFromParent_Done,
     /* 1686668 */   // Label 23097: @1686668
     /* 1686668 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1686754), // Rule ID 7029 //
     /* 1686673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686719 */     // MIs[0] policy
     /* 1686719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686729 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686753 */     // GIR_Coverage, 7029,
     /* 1686753 */     GIR_EraseRootFromParent_Done,
     /* 1686754 */   // Label 23098: @1686754
     /* 1686754 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1686840), // Rule ID 7030 //
     /* 1686759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1686779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686805 */     // MIs[0] policy
     /* 1686805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686839 */     // GIR_Coverage, 7030,
     /* 1686839 */     GIR_EraseRootFromParent_Done,
     /* 1686840 */   // Label 23099: @1686840
     /* 1686840 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1686926), // Rule ID 7033 //
     /* 1686845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686891 */     // MIs[0] policy
     /* 1686891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686925 */     // GIR_Coverage, 7033,
     /* 1686925 */     GIR_EraseRootFromParent_Done,
     /* 1686926 */   // Label 23100: @1686926
     /* 1686926 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687012), // Rule ID 7034 //
     /* 1686931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1686951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686977 */     // MIs[0] policy
     /* 1686977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687011 */     // GIR_Coverage, 7034,
     /* 1687011 */     GIR_EraseRootFromParent_Done,
     /* 1687012 */   // Label 23101: @1687012
     /* 1687012 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687098), // Rule ID 7037 //
     /* 1687017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687063 */     // MIs[0] policy
     /* 1687063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687097 */     // GIR_Coverage, 7037,
     /* 1687097 */     GIR_EraseRootFromParent_Done,
     /* 1687098 */   // Label 23102: @1687098
     /* 1687098 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1687184), // Rule ID 7038 //
     /* 1687103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1687123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687149 */     // MIs[0] policy
     /* 1687149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687183 */     // GIR_Coverage, 7038,
     /* 1687183 */     GIR_EraseRootFromParent_Done,
     /* 1687184 */   // Label 23103: @1687184
     /* 1687184 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1687270), // Rule ID 7041 //
     /* 1687189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687235 */     // MIs[0] policy
     /* 1687235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687269 */     // GIR_Coverage, 7041,
     /* 1687269 */     GIR_EraseRootFromParent_Done,
     /* 1687270 */   // Label 23104: @1687270
     /* 1687270 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1687356), // Rule ID 7042 //
     /* 1687275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1687295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687321 */     // MIs[0] policy
     /* 1687321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687355 */     // GIR_Coverage, 7042,
     /* 1687355 */     GIR_EraseRootFromParent_Done,
     /* 1687356 */   // Label 23105: @1687356
     /* 1687356 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1687442), // Rule ID 7045 //
     /* 1687361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687407 */     // MIs[0] policy
     /* 1687407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687441 */     // GIR_Coverage, 7045,
     /* 1687441 */     GIR_EraseRootFromParent_Done,
     /* 1687442 */   // Label 23106: @1687442
     /* 1687442 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1687528), // Rule ID 7046 //
     /* 1687447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1687467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687493 */     // MIs[0] policy
     /* 1687493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687503 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1687506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687527 */     // GIR_Coverage, 7046,
     /* 1687527 */     GIR_EraseRootFromParent_Done,
     /* 1687528 */   // Label 23107: @1687528
     /* 1687528 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1687614), // Rule ID 7049 //
     /* 1687533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687579 */     // MIs[0] policy
     /* 1687579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687613 */     // GIR_Coverage, 7049,
     /* 1687613 */     GIR_EraseRootFromParent_Done,
     /* 1687614 */   // Label 23108: @1687614
     /* 1687614 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1687700), // Rule ID 7050 //
     /* 1687619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1687639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687665 */     // MIs[0] policy
     /* 1687665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1687678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687699 */     // GIR_Coverage, 7050,
     /* 1687699 */     GIR_EraseRootFromParent_Done,
     /* 1687700 */   // Label 23109: @1687700
     /* 1687700 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1687786), // Rule ID 7053 //
     /* 1687705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687751 */     // MIs[0] policy
     /* 1687751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687785 */     // GIR_Coverage, 7053,
     /* 1687785 */     GIR_EraseRootFromParent_Done,
     /* 1687786 */   // Label 23110: @1687786
     /* 1687786 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1687872), // Rule ID 7054 //
     /* 1687791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1687811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687837 */     // MIs[0] policy
     /* 1687837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1687850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687871 */     // GIR_Coverage, 7054,
     /* 1687871 */     GIR_EraseRootFromParent_Done,
     /* 1687872 */   // Label 23111: @1687872
     /* 1687872 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1687958), // Rule ID 7057 //
     /* 1687877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687923 */     // MIs[0] policy
     /* 1687923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1687936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687957 */     // GIR_Coverage, 7057,
     /* 1687957 */     GIR_EraseRootFromParent_Done,
     /* 1687958 */   // Label 23112: @1687958
     /* 1687958 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688044), // Rule ID 7058 //
     /* 1687963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688009 */     // MIs[0] policy
     /* 1688009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1688022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688043 */     // GIR_Coverage, 7058,
     /* 1688043 */     GIR_EraseRootFromParent_Done,
     /* 1688044 */   // Label 23113: @1688044
     /* 1688044 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1688130), // Rule ID 7061 //
     /* 1688049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688095 */     // MIs[0] policy
     /* 1688095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688129 */     // GIR_Coverage, 7061,
     /* 1688129 */     GIR_EraseRootFromParent_Done,
     /* 1688130 */   // Label 23114: @1688130
     /* 1688130 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1688216), // Rule ID 7062 //
     /* 1688135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688181 */     // MIs[0] policy
     /* 1688181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688191 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688215 */     // GIR_Coverage, 7062,
     /* 1688215 */     GIR_EraseRootFromParent_Done,
     /* 1688216 */   // Label 23115: @1688216
     /* 1688216 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1688302), // Rule ID 7065 //
     /* 1688221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688267 */     // MIs[0] policy
     /* 1688267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688301 */     // GIR_Coverage, 7065,
     /* 1688301 */     GIR_EraseRootFromParent_Done,
     /* 1688302 */   // Label 23116: @1688302
     /* 1688302 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1688388), // Rule ID 7066 //
     /* 1688307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688353 */     // MIs[0] policy
     /* 1688353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688387 */     // GIR_Coverage, 7066,
     /* 1688387 */     GIR_EraseRootFromParent_Done,
     /* 1688388 */   // Label 23117: @1688388
     /* 1688388 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1688474), // Rule ID 7069 //
     /* 1688393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688439 */     // MIs[0] policy
     /* 1688439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688473 */     // GIR_Coverage, 7069,
     /* 1688473 */     GIR_EraseRootFromParent_Done,
     /* 1688474 */   // Label 23118: @1688474
     /* 1688474 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1688560), // Rule ID 7070 //
     /* 1688479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688525 */     // MIs[0] policy
     /* 1688525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1688538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688559 */     // GIR_Coverage, 7070,
     /* 1688559 */     GIR_EraseRootFromParent_Done,
     /* 1688560 */   // Label 23119: @1688560
     /* 1688560 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1688646), // Rule ID 7073 //
     /* 1688565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688611 */     // MIs[0] policy
     /* 1688611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688645 */     // GIR_Coverage, 7073,
     /* 1688645 */     GIR_EraseRootFromParent_Done,
     /* 1688646 */   // Label 23120: @1688646
     /* 1688646 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1688732), // Rule ID 7074 //
     /* 1688651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688697 */     // MIs[0] policy
     /* 1688697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688731 */     // GIR_Coverage, 7074,
     /* 1688731 */     GIR_EraseRootFromParent_Done,
     /* 1688732 */   // Label 23121: @1688732
     /* 1688732 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1688818), // Rule ID 7077 //
     /* 1688737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688783 */     // MIs[0] policy
     /* 1688783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688817 */     // GIR_Coverage, 7077,
     /* 1688817 */     GIR_EraseRootFromParent_Done,
     /* 1688818 */   // Label 23122: @1688818
     /* 1688818 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1688904), // Rule ID 7078 //
     /* 1688823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688869 */     // MIs[0] policy
     /* 1688869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688879 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1688882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688903 */     // GIR_Coverage, 7078,
     /* 1688903 */     GIR_EraseRootFromParent_Done,
     /* 1688904 */   // Label 23123: @1688904
     /* 1688904 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1688990), // Rule ID 7081 //
     /* 1688909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688955 */     // MIs[0] policy
     /* 1688955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688989 */     // GIR_Coverage, 7081,
     /* 1688989 */     GIR_EraseRootFromParent_Done,
     /* 1688990 */   // Label 23124: @1688990
     /* 1688990 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689076), // Rule ID 7082 //
     /* 1688995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689041 */     // MIs[0] policy
     /* 1689041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689075 */     // GIR_Coverage, 7082,
     /* 1689075 */     GIR_EraseRootFromParent_Done,
     /* 1689076 */   // Label 23125: @1689076
     /* 1689076 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1689162), // Rule ID 7085 //
     /* 1689081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689127 */     // MIs[0] policy
     /* 1689127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689161 */     // GIR_Coverage, 7085,
     /* 1689161 */     GIR_EraseRootFromParent_Done,
     /* 1689162 */   // Label 23126: @1689162
     /* 1689162 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1689248), // Rule ID 7086 //
     /* 1689167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689213 */     // MIs[0] policy
     /* 1689213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689247 */     // GIR_Coverage, 7086,
     /* 1689247 */     GIR_EraseRootFromParent_Done,
     /* 1689248 */   // Label 23127: @1689248
     /* 1689248 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1689334), // Rule ID 7089 //
     /* 1689253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689299 */     // MIs[0] policy
     /* 1689299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689333 */     // GIR_Coverage, 7089,
     /* 1689333 */     GIR_EraseRootFromParent_Done,
     /* 1689334 */   // Label 23128: @1689334
     /* 1689334 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1689420), // Rule ID 7090 //
     /* 1689339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689385 */     // MIs[0] policy
     /* 1689385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689419 */     // GIR_Coverage, 7090,
     /* 1689419 */     GIR_EraseRootFromParent_Done,
     /* 1689420 */   // Label 23129: @1689420
     /* 1689420 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1689506), // Rule ID 7093 //
     /* 1689425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689471 */     // MIs[0] policy
     /* 1689471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689505 */     // GIR_Coverage, 7093,
     /* 1689505 */     GIR_EraseRootFromParent_Done,
     /* 1689506 */   // Label 23130: @1689506
     /* 1689506 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1689592), // Rule ID 7094 //
     /* 1689511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689557 */     // MIs[0] policy
     /* 1689557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1689570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689591 */     // GIR_Coverage, 7094,
     /* 1689591 */     GIR_EraseRootFromParent_Done,
     /* 1689592 */   // Label 23131: @1689592
     /* 1689592 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1689678), // Rule ID 7097 //
     /* 1689597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689643 */     // MIs[0] policy
     /* 1689643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689677 */     // GIR_Coverage, 7097,
     /* 1689677 */     GIR_EraseRootFromParent_Done,
     /* 1689678 */   // Label 23132: @1689678
     /* 1689678 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1689764), // Rule ID 7098 //
     /* 1689683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689729 */     // MIs[0] policy
     /* 1689729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689763 */     // GIR_Coverage, 7098,
     /* 1689763 */     GIR_EraseRootFromParent_Done,
     /* 1689764 */   // Label 23133: @1689764
     /* 1689764 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1689850), // Rule ID 7101 //
     /* 1689769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689815 */     // MIs[0] policy
     /* 1689815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689849 */     // GIR_Coverage, 7101,
     /* 1689849 */     GIR_EraseRootFromParent_Done,
     /* 1689850 */   // Label 23134: @1689850
     /* 1689850 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1689936), // Rule ID 7102 //
     /* 1689855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689901 */     // MIs[0] policy
     /* 1689901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689935 */     // GIR_Coverage, 7102,
     /* 1689935 */     GIR_EraseRootFromParent_Done,
     /* 1689936 */   // Label 23135: @1689936
     /* 1689936 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690022), // Rule ID 7105 //
     /* 1689941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689987 */     // MIs[0] policy
     /* 1689987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689997 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690021 */     // GIR_Coverage, 7105,
     /* 1690021 */     GIR_EraseRootFromParent_Done,
     /* 1690022 */   // Label 23136: @1690022
     /* 1690022 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690108), // Rule ID 7106 //
     /* 1690027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690073 */     // MIs[0] policy
     /* 1690073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690107 */     // GIR_Coverage, 7106,
     /* 1690107 */     GIR_EraseRootFromParent_Done,
     /* 1690108 */   // Label 23137: @1690108
     /* 1690108 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1690194), // Rule ID 7109 //
     /* 1690113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690159 */     // MIs[0] policy
     /* 1690159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690193 */     // GIR_Coverage, 7109,
     /* 1690193 */     GIR_EraseRootFromParent_Done,
     /* 1690194 */   // Label 23138: @1690194
     /* 1690194 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1690280), // Rule ID 7110 //
     /* 1690199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690245 */     // MIs[0] policy
     /* 1690245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690279 */     // GIR_Coverage, 7110,
     /* 1690279 */     GIR_EraseRootFromParent_Done,
     /* 1690280 */   // Label 23139: @1690280
     /* 1690280 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1690366), // Rule ID 7113 //
     /* 1690285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690331 */     // MIs[0] policy
     /* 1690331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690365 */     // GIR_Coverage, 7113,
     /* 1690365 */     GIR_EraseRootFromParent_Done,
     /* 1690366 */   // Label 23140: @1690366
     /* 1690366 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1690452), // Rule ID 7114 //
     /* 1690371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690417 */     // MIs[0] policy
     /* 1690417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690451 */     // GIR_Coverage, 7114,
     /* 1690451 */     GIR_EraseRootFromParent_Done,
     /* 1690452 */   // Label 23141: @1690452
     /* 1690452 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1690538), // Rule ID 7117 //
     /* 1690457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690503 */     // MIs[0] policy
     /* 1690503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690513 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690537 */     // GIR_Coverage, 7117,
     /* 1690537 */     GIR_EraseRootFromParent_Done,
     /* 1690538 */   // Label 23142: @1690538
     /* 1690538 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1690624), // Rule ID 7118 //
     /* 1690543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690589 */     // MIs[0] policy
     /* 1690589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690623 */     // GIR_Coverage, 7118,
     /* 1690623 */     GIR_EraseRootFromParent_Done,
     /* 1690624 */   // Label 23143: @1690624
     /* 1690624 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1690710), // Rule ID 7121 //
     /* 1690629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690675 */     // MIs[0] policy
     /* 1690675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690709 */     // GIR_Coverage, 7121,
     /* 1690709 */     GIR_EraseRootFromParent_Done,
     /* 1690710 */   // Label 23144: @1690710
     /* 1690710 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1690796), // Rule ID 7122 //
     /* 1690715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690761 */     // MIs[0] policy
     /* 1690761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690795 */     // GIR_Coverage, 7122,
     /* 1690795 */     GIR_EraseRootFromParent_Done,
     /* 1690796 */   // Label 23145: @1690796
     /* 1690796 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1690882), // Rule ID 7125 //
     /* 1690801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690847 */     // MIs[0] policy
     /* 1690847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690881 */     // GIR_Coverage, 7125,
     /* 1690881 */     GIR_EraseRootFromParent_Done,
     /* 1690882 */   // Label 23146: @1690882
     /* 1690882 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1690968), // Rule ID 7126 //
     /* 1690887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690933 */     // MIs[0] policy
     /* 1690933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690967 */     // GIR_Coverage, 7126,
     /* 1690967 */     GIR_EraseRootFromParent_Done,
     /* 1690968 */   // Label 23147: @1690968
     /* 1690968 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691054), // Rule ID 7129 //
     /* 1690973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691019 */     // MIs[0] policy
     /* 1691019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691053 */     // GIR_Coverage, 7129,
     /* 1691053 */     GIR_EraseRootFromParent_Done,
     /* 1691054 */   // Label 23148: @1691054
     /* 1691054 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1691140), // Rule ID 7130 //
     /* 1691059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691105 */     // MIs[0] policy
     /* 1691105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691139 */     // GIR_Coverage, 7130,
     /* 1691139 */     GIR_EraseRootFromParent_Done,
     /* 1691140 */   // Label 23149: @1691140
     /* 1691140 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1691226), // Rule ID 7133 //
     /* 1691145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691191 */     // MIs[0] policy
     /* 1691191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691225 */     // GIR_Coverage, 7133,
     /* 1691225 */     GIR_EraseRootFromParent_Done,
     /* 1691226 */   // Label 23150: @1691226
     /* 1691226 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1691312), // Rule ID 7134 //
     /* 1691231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691277 */     // MIs[0] policy
     /* 1691277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691287 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1691290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691311 */     // GIR_Coverage, 7134,
     /* 1691311 */     GIR_EraseRootFromParent_Done,
     /* 1691312 */   // Label 23151: @1691312
     /* 1691312 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1691398), // Rule ID 7137 //
     /* 1691317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691363 */     // MIs[0] policy
     /* 1691363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691373 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691397 */     // GIR_Coverage, 7137,
     /* 1691397 */     GIR_EraseRootFromParent_Done,
     /* 1691398 */   // Label 23152: @1691398
     /* 1691398 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1691484), // Rule ID 7138 //
     /* 1691403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691449 */     // MIs[0] policy
     /* 1691449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1691462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691483 */     // GIR_Coverage, 7138,
     /* 1691483 */     GIR_EraseRootFromParent_Done,
     /* 1691484 */   // Label 23153: @1691484
     /* 1691484 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1691570), // Rule ID 7141 //
     /* 1691489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691535 */     // MIs[0] policy
     /* 1691535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691545 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691569 */     // GIR_Coverage, 7141,
     /* 1691569 */     GIR_EraseRootFromParent_Done,
     /* 1691570 */   // Label 23154: @1691570
     /* 1691570 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1691656), // Rule ID 7142 //
     /* 1691575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691621 */     // MIs[0] policy
     /* 1691621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1691634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691655 */     // GIR_Coverage, 7142,
     /* 1691655 */     GIR_EraseRootFromParent_Done,
     /* 1691656 */   // Label 23155: @1691656
     /* 1691656 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1691742), // Rule ID 7321 //
     /* 1691661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691707 */     // MIs[0] policy
     /* 1691707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691717 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1691720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691741 */     // GIR_Coverage, 7321,
     /* 1691741 */     GIR_EraseRootFromParent_Done,
     /* 1691742 */   // Label 23156: @1691742
     /* 1691742 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1691828), // Rule ID 7322 //
     /* 1691747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691793 */     // MIs[0] policy
     /* 1691793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1691806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691827 */     // GIR_Coverage, 7322,
     /* 1691827 */     GIR_EraseRootFromParent_Done,
     /* 1691828 */   // Label 23157: @1691828
     /* 1691828 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1691914), // Rule ID 7325 //
     /* 1691833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691879 */     // MIs[0] policy
     /* 1691879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691889 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1691892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691913 */     // GIR_Coverage, 7325,
     /* 1691913 */     GIR_EraseRootFromParent_Done,
     /* 1691914 */   // Label 23158: @1691914
     /* 1691914 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692000), // Rule ID 7326 //
     /* 1691919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691965 */     // MIs[0] policy
     /* 1691965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691975 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1691978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691999 */     // GIR_Coverage, 7326,
     /* 1691999 */     GIR_EraseRootFromParent_Done,
     /* 1692000 */   // Label 23159: @1692000
     /* 1692000 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692086), // Rule ID 7329 //
     /* 1692005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692051 */     // MIs[0] policy
     /* 1692051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692085 */     // GIR_Coverage, 7329,
     /* 1692085 */     GIR_EraseRootFromParent_Done,
     /* 1692086 */   // Label 23160: @1692086
     /* 1692086 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1692172), // Rule ID 7330 //
     /* 1692091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1692111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692137 */     // MIs[0] policy
     /* 1692137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692171 */     // GIR_Coverage, 7330,
     /* 1692171 */     GIR_EraseRootFromParent_Done,
     /* 1692172 */   // Label 23161: @1692172
     /* 1692172 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1692258), // Rule ID 7333 //
     /* 1692177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692223 */     // MIs[0] policy
     /* 1692223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692257 */     // GIR_Coverage, 7333,
     /* 1692257 */     GIR_EraseRootFromParent_Done,
     /* 1692258 */   // Label 23162: @1692258
     /* 1692258 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1692344), // Rule ID 7334 //
     /* 1692263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1692280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1692283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692309 */     // MIs[0] policy
     /* 1692309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692343 */     // GIR_Coverage, 7334,
     /* 1692343 */     GIR_EraseRootFromParent_Done,
     /* 1692344 */   // Label 23163: @1692344
     /* 1692344 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1692430), // Rule ID 7337 //
     /* 1692349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692395 */     // MIs[0] policy
     /* 1692395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692405 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692429 */     // GIR_Coverage, 7337,
     /* 1692429 */     GIR_EraseRootFromParent_Done,
     /* 1692430 */   // Label 23164: @1692430
     /* 1692430 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1692516), // Rule ID 7338 //
     /* 1692435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1692452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1692455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692481 */     // MIs[0] policy
     /* 1692481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692515 */     // GIR_Coverage, 7338,
     /* 1692515 */     GIR_EraseRootFromParent_Done,
     /* 1692516 */   // Label 23165: @1692516
     /* 1692516 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1692602), // Rule ID 7341 //
     /* 1692521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692567 */     // MIs[0] policy
     /* 1692567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692601 */     // GIR_Coverage, 7341,
     /* 1692601 */     GIR_EraseRootFromParent_Done,
     /* 1692602 */   // Label 23166: @1692602
     /* 1692602 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1692688), // Rule ID 7342 //
     /* 1692607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1692618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1692621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1692624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1692627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1692630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692653 */     // MIs[0] policy
     /* 1692653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692663 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692687 */     // GIR_Coverage, 7342,
     /* 1692687 */     GIR_EraseRootFromParent_Done,
     /* 1692688 */   // Label 23167: @1692688
     /* 1692688 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1692774), // Rule ID 7345 //
     /* 1692693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1692713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692739 */     // MIs[0] policy
     /* 1692739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692749 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692773 */     // GIR_Coverage, 7345,
     /* 1692773 */     GIR_EraseRootFromParent_Done,
     /* 1692774 */   // Label 23168: @1692774
     /* 1692774 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1692860), // Rule ID 7346 //
     /* 1692779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1692799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692825 */     // MIs[0] policy
     /* 1692825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1692838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692859 */     // GIR_Coverage, 7346,
     /* 1692859 */     GIR_EraseRootFromParent_Done,
     /* 1692860 */   // Label 23169: @1692860
     /* 1692860 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1692946), // Rule ID 7349 //
     /* 1692865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692911 */     // MIs[0] policy
     /* 1692911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692945 */     // GIR_Coverage, 7349,
     /* 1692945 */     GIR_EraseRootFromParent_Done,
     /* 1692946 */   // Label 23170: @1692946
     /* 1692946 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693032), // Rule ID 7350 //
     /* 1692951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692997 */     // MIs[0] policy
     /* 1692997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693007 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693031 */     // GIR_Coverage, 7350,
     /* 1693031 */     GIR_EraseRootFromParent_Done,
     /* 1693032 */   // Label 23171: @1693032
     /* 1693032 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693118), // Rule ID 7353 //
     /* 1693037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693083 */     // MIs[0] policy
     /* 1693083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693093 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693117 */     // GIR_Coverage, 7353,
     /* 1693117 */     GIR_EraseRootFromParent_Done,
     /* 1693118 */   // Label 23172: @1693118
     /* 1693118 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1693204), // Rule ID 7354 //
     /* 1693123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1693140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1693143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693169 */     // MIs[0] policy
     /* 1693169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693203 */     // GIR_Coverage, 7354,
     /* 1693203 */     GIR_EraseRootFromParent_Done,
     /* 1693204 */   // Label 23173: @1693204
     /* 1693204 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1693290), // Rule ID 7357 //
     /* 1693209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693255 */     // MIs[0] policy
     /* 1693255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693289 */     // GIR_Coverage, 7357,
     /* 1693289 */     GIR_EraseRootFromParent_Done,
     /* 1693290 */   // Label 23174: @1693290
     /* 1693290 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1693376), // Rule ID 7358 //
     /* 1693295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1693312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1693315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693341 */     // MIs[0] policy
     /* 1693341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693375 */     // GIR_Coverage, 7358,
     /* 1693375 */     GIR_EraseRootFromParent_Done,
     /* 1693376 */   // Label 23175: @1693376
     /* 1693376 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1693462), // Rule ID 7361 //
     /* 1693381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693427 */     // MIs[0] policy
     /* 1693427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693437 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693461 */     // GIR_Coverage, 7361,
     /* 1693461 */     GIR_EraseRootFromParent_Done,
     /* 1693462 */   // Label 23176: @1693462
     /* 1693462 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1693548), // Rule ID 7362 //
     /* 1693467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1693484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1693487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693513 */     // MIs[0] policy
     /* 1693513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693547 */     // GIR_Coverage, 7362,
     /* 1693547 */     GIR_EraseRootFromParent_Done,
     /* 1693548 */   // Label 23177: @1693548
     /* 1693548 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1693634), // Rule ID 7365 //
     /* 1693553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1693573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693599 */     // MIs[0] policy
     /* 1693599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693633 */     // GIR_Coverage, 7365,
     /* 1693633 */     GIR_EraseRootFromParent_Done,
     /* 1693634 */   // Label 23178: @1693634
     /* 1693634 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1693720), // Rule ID 7366 //
     /* 1693639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1693659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693685 */     // MIs[0] policy
     /* 1693685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1693698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693719 */     // GIR_Coverage, 7366,
     /* 1693719 */     GIR_EraseRootFromParent_Done,
     /* 1693720 */   // Label 23179: @1693720
     /* 1693720 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1693806), // Rule ID 7369 //
     /* 1693725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693771 */     // MIs[0] policy
     /* 1693771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693805 */     // GIR_Coverage, 7369,
     /* 1693805 */     GIR_EraseRootFromParent_Done,
     /* 1693806 */   // Label 23180: @1693806
     /* 1693806 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1693892), // Rule ID 7370 //
     /* 1693811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693857 */     // MIs[0] policy
     /* 1693857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1693870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693891 */     // GIR_Coverage, 7370,
     /* 1693891 */     GIR_EraseRootFromParent_Done,
     /* 1693892 */   // Label 23181: @1693892
     /* 1693892 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1693978), // Rule ID 7373 //
     /* 1693897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1693914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693943 */     // MIs[0] policy
     /* 1693943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1693956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693977 */     // GIR_Coverage, 7373,
     /* 1693977 */     GIR_EraseRootFromParent_Done,
     /* 1693978 */   // Label 23182: @1693978
     /* 1693978 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694064), // Rule ID 7374 //
     /* 1693983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1694003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694029 */     // MIs[0] policy
     /* 1694029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1694042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694063 */     // GIR_Coverage, 7374,
     /* 1694063 */     GIR_EraseRootFromParent_Done,
     /* 1694064 */   // Label 23183: @1694064
     /* 1694064 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1694150), // Rule ID 7377 //
     /* 1694069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694115 */     // MIs[0] policy
     /* 1694115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694149 */     // GIR_Coverage, 7377,
     /* 1694149 */     GIR_EraseRootFromParent_Done,
     /* 1694150 */   // Label 23184: @1694150
     /* 1694150 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1694236), // Rule ID 7378 //
     /* 1694155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1694158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1694175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694201 */     // MIs[0] policy
     /* 1694201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1694214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694235 */     // GIR_Coverage, 7378,
     /* 1694235 */     GIR_EraseRootFromParent_Done,
     /* 1694236 */   // Label 23185: @1694236
     /* 1694236 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1694322), // Rule ID 7381 //
     /* 1694241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694287 */     // MIs[0] policy
     /* 1694287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694321 */     // GIR_Coverage, 7381,
     /* 1694321 */     GIR_EraseRootFromParent_Done,
     /* 1694322 */   // Label 23186: @1694322
     /* 1694322 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1694408), // Rule ID 7382 //
     /* 1694327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1694338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1694341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1694344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694373 */     // MIs[0] policy
     /* 1694373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1694386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694407 */     // GIR_Coverage, 7382,
     /* 1694407 */     GIR_EraseRootFromParent_Done,
     /* 1694408 */   // Label 23187: @1694408
     /* 1694408 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1694494), // Rule ID 7385 //
     /* 1694413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694459 */     // MIs[0] policy
     /* 1694459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694469 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694493 */     // GIR_Coverage, 7385,
     /* 1694493 */     GIR_EraseRootFromParent_Done,
     /* 1694494 */   // Label 23188: @1694494
     /* 1694494 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1694580), // Rule ID 7386 //
     /* 1694499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1694510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1694513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1694516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694545 */     // MIs[0] policy
     /* 1694545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694579 */     // GIR_Coverage, 7386,
     /* 1694579 */     GIR_EraseRootFromParent_Done,
     /* 1694580 */   // Label 23189: @1694580
     /* 1694580 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1694666), // Rule ID 7389 //
     /* 1694585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1694596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1694599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1694602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694631 */     // MIs[0] policy
     /* 1694631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694665 */     // GIR_Coverage, 7389,
     /* 1694665 */     GIR_EraseRootFromParent_Done,
     /* 1694666 */   // Label 23190: @1694666
     /* 1694666 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1694752), // Rule ID 7390 //
     /* 1694671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1694682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1694685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1694688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694717 */     // MIs[0] policy
     /* 1694717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694751 */     // GIR_Coverage, 7390,
     /* 1694751 */     GIR_EraseRootFromParent_Done,
     /* 1694752 */   // Label 23191: @1694752
     /* 1694752 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1694838), // Rule ID 7393 //
     /* 1694757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694803 */     // MIs[0] policy
     /* 1694803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694813 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694837 */     // GIR_Coverage, 7393,
     /* 1694837 */     GIR_EraseRootFromParent_Done,
     /* 1694838 */   // Label 23192: @1694838
     /* 1694838 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1694924), // Rule ID 7394 //
     /* 1694843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694889 */     // MIs[0] policy
     /* 1694889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694923 */     // GIR_Coverage, 7394,
     /* 1694923 */     GIR_EraseRootFromParent_Done,
     /* 1694924 */   // Label 23193: @1694924
     /* 1694924 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695010), // Rule ID 7397 //
     /* 1694929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694975 */     // MIs[0] policy
     /* 1694975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1694988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695009 */     // GIR_Coverage, 7397,
     /* 1695009 */     GIR_EraseRootFromParent_Done,
     /* 1695010 */   // Label 23194: @1695010
     /* 1695010 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695096), // Rule ID 7398 //
     /* 1695015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1695026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1695029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1695032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695061 */     // MIs[0] policy
     /* 1695061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695095 */     // GIR_Coverage, 7398,
     /* 1695095 */     GIR_EraseRootFromParent_Done,
     /* 1695096 */   // Label 23195: @1695096
     /* 1695096 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1695182), // Rule ID 7401 //
     /* 1695101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695147 */     // MIs[0] policy
     /* 1695147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695181 */     // GIR_Coverage, 7401,
     /* 1695181 */     GIR_EraseRootFromParent_Done,
     /* 1695182 */   // Label 23196: @1695182
     /* 1695182 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1695268), // Rule ID 7402 //
     /* 1695187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1695198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1695201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695233 */     // MIs[0] policy
     /* 1695233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695267 */     // GIR_Coverage, 7402,
     /* 1695267 */     GIR_EraseRootFromParent_Done,
     /* 1695268 */   // Label 23197: @1695268
     /* 1695268 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1695354), // Rule ID 7405 //
     /* 1695273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695319 */     // MIs[0] policy
     /* 1695319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695329 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695353 */     // GIR_Coverage, 7405,
     /* 1695353 */     GIR_EraseRootFromParent_Done,
     /* 1695354 */   // Label 23198: @1695354
     /* 1695354 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1695440), // Rule ID 7406 //
     /* 1695359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1695376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695405 */     // MIs[0] policy
     /* 1695405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1695418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695439 */     // GIR_Coverage, 7406,
     /* 1695439 */     GIR_EraseRootFromParent_Done,
     /* 1695440 */   // Label 23199: @1695440
     /* 1695440 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1695526), // Rule ID 7409 //
     /* 1695445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695491 */     // MIs[0] policy
     /* 1695491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695501 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695525 */     // GIR_Coverage, 7409,
     /* 1695525 */     GIR_EraseRootFromParent_Done,
     /* 1695526 */   // Label 23200: @1695526
     /* 1695526 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1695612), // Rule ID 7410 //
     /* 1695531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1695548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695577 */     // MIs[0] policy
     /* 1695577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695611 */     // GIR_Coverage, 7410,
     /* 1695611 */     GIR_EraseRootFromParent_Done,
     /* 1695612 */   // Label 23201: @1695612
     /* 1695612 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1695698), // Rule ID 7413 //
     /* 1695617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695663 */     // MIs[0] policy
     /* 1695663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695697 */     // GIR_Coverage, 7413,
     /* 1695697 */     GIR_EraseRootFromParent_Done,
     /* 1695698 */   // Label 23202: @1695698
     /* 1695698 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1695784), // Rule ID 7414 //
     /* 1695703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695749 */     // MIs[0] policy
     /* 1695749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695783 */     // GIR_Coverage, 7414,
     /* 1695783 */     GIR_EraseRootFromParent_Done,
     /* 1695784 */   // Label 23203: @1695784
     /* 1695784 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1695870), // Rule ID 7417 //
     /* 1695789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695835 */     // MIs[0] policy
     /* 1695835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695869 */     // GIR_Coverage, 7417,
     /* 1695869 */     GIR_EraseRootFromParent_Done,
     /* 1695870 */   // Label 23204: @1695870
     /* 1695870 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1695956), // Rule ID 7418 //
     /* 1695875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695921 */     // MIs[0] policy
     /* 1695921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695955 */     // GIR_Coverage, 7418,
     /* 1695955 */     GIR_EraseRootFromParent_Done,
     /* 1695956 */   // Label 23205: @1695956
     /* 1695956 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696042), // Rule ID 7421 //
     /* 1695961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1695972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1695975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1695978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696007 */     // MIs[0] policy
     /* 1696007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696017 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696041 */     // GIR_Coverage, 7421,
     /* 1696041 */     GIR_EraseRootFromParent_Done,
     /* 1696042 */   // Label 23206: @1696042
     /* 1696042 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1696128), // Rule ID 7422 //
     /* 1696047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1696058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1696061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1696064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696093 */     // MIs[0] policy
     /* 1696093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696127 */     // GIR_Coverage, 7422,
     /* 1696127 */     GIR_EraseRootFromParent_Done,
     /* 1696128 */   // Label 23207: @1696128
     /* 1696128 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1696214), // Rule ID 7425 //
     /* 1696133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696179 */     // MIs[0] policy
     /* 1696179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696189 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696213 */     // GIR_Coverage, 7425,
     /* 1696213 */     GIR_EraseRootFromParent_Done,
     /* 1696214 */   // Label 23208: @1696214
     /* 1696214 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1696300), // Rule ID 7426 //
     /* 1696219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1696236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696265 */     // MIs[0] policy
     /* 1696265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1696278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696299 */     // GIR_Coverage, 7426,
     /* 1696299 */     GIR_EraseRootFromParent_Done,
     /* 1696300 */   // Label 23209: @1696300
     /* 1696300 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1696386), // Rule ID 7429 //
     /* 1696305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696351 */     // MIs[0] policy
     /* 1696351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696385 */     // GIR_Coverage, 7429,
     /* 1696385 */     GIR_EraseRootFromParent_Done,
     /* 1696386 */   // Label 23210: @1696386
     /* 1696386 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1696472), // Rule ID 7430 //
     /* 1696391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1696408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696437 */     // MIs[0] policy
     /* 1696437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1696450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696471 */     // GIR_Coverage, 7430,
     /* 1696471 */     GIR_EraseRootFromParent_Done,
     /* 1696472 */   // Label 23211: @1696472
     /* 1696472 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1696558), // Rule ID 7433 //
     /* 1696477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696523 */     // MIs[0] policy
     /* 1696523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696557 */     // GIR_Coverage, 7433,
     /* 1696557 */     GIR_EraseRootFromParent_Done,
     /* 1696558 */   // Label 23212: @1696558
     /* 1696558 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1696644), // Rule ID 7434 //
     /* 1696563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696609 */     // MIs[0] policy
     /* 1696609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1696622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696643 */     // GIR_Coverage, 7434,
     /* 1696643 */     GIR_EraseRootFromParent_Done,
     /* 1696644 */   // Label 23213: @1696644
     /* 1696644 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1696730), // Rule ID 7437 //
     /* 1696649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1696652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696695 */     // MIs[0] policy
     /* 1696695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696729 */     // GIR_Coverage, 7437,
     /* 1696729 */     GIR_EraseRootFromParent_Done,
     /* 1696730 */   // Label 23214: @1696730
     /* 1696730 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1696816), // Rule ID 7438 //
     /* 1696735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1696738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696781 */     // MIs[0] policy
     /* 1696781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1696794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696815 */     // GIR_Coverage, 7438,
     /* 1696815 */     GIR_EraseRootFromParent_Done,
     /* 1696816 */   // Label 23215: @1696816
     /* 1696816 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1696902), // Rule ID 7501 //
     /* 1696821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696867 */     // MIs[0] policy
     /* 1696867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1696880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696901 */     // GIR_Coverage, 7501,
     /* 1696901 */     GIR_EraseRootFromParent_Done,
     /* 1696902 */   // Label 23216: @1696902
     /* 1696902 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1696988), // Rule ID 7502 //
     /* 1696907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696953 */     // MIs[0] policy
     /* 1696953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1696966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696987 */     // GIR_Coverage, 7502,
     /* 1696987 */     GIR_EraseRootFromParent_Done,
     /* 1696988 */   // Label 23217: @1696988
     /* 1696988 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697074), // Rule ID 7505 //
     /* 1696993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697039 */     // MIs[0] policy
     /* 1697039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697073 */     // GIR_Coverage, 7505,
     /* 1697073 */     GIR_EraseRootFromParent_Done,
     /* 1697074 */   // Label 23218: @1697074
     /* 1697074 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1697160), // Rule ID 7506 //
     /* 1697079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1697090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1697093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1697096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1697099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697125 */     // MIs[0] policy
     /* 1697125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697159 */     // GIR_Coverage, 7506,
     /* 1697159 */     GIR_EraseRootFromParent_Done,
     /* 1697160 */   // Label 23219: @1697160
     /* 1697160 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1697246), // Rule ID 7509 //
     /* 1697165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697211 */     // MIs[0] policy
     /* 1697211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697221 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697245 */     // GIR_Coverage, 7509,
     /* 1697245 */     GIR_EraseRootFromParent_Done,
     /* 1697246 */   // Label 23220: @1697246
     /* 1697246 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1697332), // Rule ID 7510 //
     /* 1697251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1697262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1697265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1697271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697297 */     // MIs[0] policy
     /* 1697297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697331 */     // GIR_Coverage, 7510,
     /* 1697331 */     GIR_EraseRootFromParent_Done,
     /* 1697332 */   // Label 23221: @1697332
     /* 1697332 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1697418), // Rule ID 7513 //
     /* 1697337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697383 */     // MIs[0] policy
     /* 1697383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697417 */     // GIR_Coverage, 7513,
     /* 1697417 */     GIR_EraseRootFromParent_Done,
     /* 1697418 */   // Label 23222: @1697418
     /* 1697418 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1697504), // Rule ID 7514 //
     /* 1697423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697469 */     // MIs[0] policy
     /* 1697469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697503 */     // GIR_Coverage, 7514,
     /* 1697503 */     GIR_EraseRootFromParent_Done,
     /* 1697504 */   // Label 23223: @1697504
     /* 1697504 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1697590), // Rule ID 7517 //
     /* 1697509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697555 */     // MIs[0] policy
     /* 1697555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697589 */     // GIR_Coverage, 7517,
     /* 1697589 */     GIR_EraseRootFromParent_Done,
     /* 1697590 */   // Label 23224: @1697590
     /* 1697590 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1697676), // Rule ID 7518 //
     /* 1697595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697641 */     // MIs[0] policy
     /* 1697641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697675 */     // GIR_Coverage, 7518,
     /* 1697675 */     GIR_EraseRootFromParent_Done,
     /* 1697676 */   // Label 23225: @1697676
     /* 1697676 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1697762), // Rule ID 7521 //
     /* 1697681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697727 */     // MIs[0] policy
     /* 1697727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697737 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697761 */     // GIR_Coverage, 7521,
     /* 1697761 */     GIR_EraseRootFromParent_Done,
     /* 1697762 */   // Label 23226: @1697762
     /* 1697762 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1697848), // Rule ID 7522 //
     /* 1697767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697813 */     // MIs[0] policy
     /* 1697813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697823 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697847 */     // GIR_Coverage, 7522,
     /* 1697847 */     GIR_EraseRootFromParent_Done,
     /* 1697848 */   // Label 23227: @1697848
     /* 1697848 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1697934), // Rule ID 7525 //
     /* 1697853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1697873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697899 */     // MIs[0] policy
     /* 1697899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697933 */     // GIR_Coverage, 7525,
     /* 1697933 */     GIR_EraseRootFromParent_Done,
     /* 1697934 */   // Label 23228: @1697934
     /* 1697934 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698020), // Rule ID 7526 //
     /* 1697939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1697959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697985 */     // MIs[0] policy
     /* 1697985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1697998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698019 */     // GIR_Coverage, 7526,
     /* 1698019 */     GIR_EraseRootFromParent_Done,
     /* 1698020 */   // Label 23229: @1698020
     /* 1698020 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698106), // Rule ID 7529 //
     /* 1698025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698071 */     // MIs[0] policy
     /* 1698071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698081 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698105 */     // GIR_Coverage, 7529,
     /* 1698105 */     GIR_EraseRootFromParent_Done,
     /* 1698106 */   // Label 23230: @1698106
     /* 1698106 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1698192), // Rule ID 7530 //
     /* 1698111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1698122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1698125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1698128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1698131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698157 */     // MIs[0] policy
     /* 1698157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698191 */     // GIR_Coverage, 7530,
     /* 1698191 */     GIR_EraseRootFromParent_Done,
     /* 1698192 */   // Label 23231: @1698192
     /* 1698192 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1698278), // Rule ID 7533 //
     /* 1698197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698243 */     // MIs[0] policy
     /* 1698243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698277 */     // GIR_Coverage, 7533,
     /* 1698277 */     GIR_EraseRootFromParent_Done,
     /* 1698278 */   // Label 23232: @1698278
     /* 1698278 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1698364), // Rule ID 7534 //
     /* 1698283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1698303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698329 */     // MIs[0] policy
     /* 1698329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698363 */     // GIR_Coverage, 7534,
     /* 1698363 */     GIR_EraseRootFromParent_Done,
     /* 1698364 */   // Label 23233: @1698364
     /* 1698364 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1698450), // Rule ID 7537 //
     /* 1698369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698415 */     // MIs[0] policy
     /* 1698415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698449 */     // GIR_Coverage, 7537,
     /* 1698449 */     GIR_EraseRootFromParent_Done,
     /* 1698450 */   // Label 23234: @1698450
     /* 1698450 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1698536), // Rule ID 7538 //
     /* 1698455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698501 */     // MIs[0] policy
     /* 1698501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698535 */     // GIR_Coverage, 7538,
     /* 1698535 */     GIR_EraseRootFromParent_Done,
     /* 1698536 */   // Label 23235: @1698536
     /* 1698536 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1698622), // Rule ID 7541 //
     /* 1698541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698587 */     // MIs[0] policy
     /* 1698587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698621 */     // GIR_Coverage, 7541,
     /* 1698621 */     GIR_EraseRootFromParent_Done,
     /* 1698622 */   // Label 23236: @1698622
     /* 1698622 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1698708), // Rule ID 7542 //
     /* 1698627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698673 */     // MIs[0] policy
     /* 1698673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698707 */     // GIR_Coverage, 7542,
     /* 1698707 */     GIR_EraseRootFromParent_Done,
     /* 1698708 */   // Label 23237: @1698708
     /* 1698708 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1698794), // Rule ID 7545 //
     /* 1698713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698759 */     // MIs[0] policy
     /* 1698759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698793 */     // GIR_Coverage, 7545,
     /* 1698793 */     GIR_EraseRootFromParent_Done,
     /* 1698794 */   // Label 23238: @1698794
     /* 1698794 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1698880), // Rule ID 7546 //
     /* 1698799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698845 */     // MIs[0] policy
     /* 1698845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1698858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698879 */     // GIR_Coverage, 7546,
     /* 1698879 */     GIR_EraseRootFromParent_Done,
     /* 1698880 */   // Label 23239: @1698880
     /* 1698880 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1698966), // Rule ID 7549 //
     /* 1698885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1698905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698931 */     // MIs[0] policy
     /* 1698931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1698944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698965 */     // GIR_Coverage, 7549,
     /* 1698965 */     GIR_EraseRootFromParent_Done,
     /* 1698966 */   // Label 23240: @1698966
     /* 1698966 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699052), // Rule ID 7550 //
     /* 1698971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1698991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699017 */     // MIs[0] policy
     /* 1699017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1699030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699051 */     // GIR_Coverage, 7550,
     /* 1699051 */     GIR_EraseRootFromParent_Done,
     /* 1699052 */   // Label 23241: @1699052
     /* 1699052 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1699138), // Rule ID 7553 //
     /* 1699057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699103 */     // MIs[0] policy
     /* 1699103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699137 */     // GIR_Coverage, 7553,
     /* 1699137 */     GIR_EraseRootFromParent_Done,
     /* 1699138 */   // Label 23242: @1699138
     /* 1699138 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1699224), // Rule ID 7554 //
     /* 1699143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1699163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699189 */     // MIs[0] policy
     /* 1699189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1699202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699223 */     // GIR_Coverage, 7554,
     /* 1699223 */     GIR_EraseRootFromParent_Done,
     /* 1699224 */   // Label 23243: @1699224
     /* 1699224 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1699310), // Rule ID 7557 //
     /* 1699229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699275 */     // MIs[0] policy
     /* 1699275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699309 */     // GIR_Coverage, 7557,
     /* 1699309 */     GIR_EraseRootFromParent_Done,
     /* 1699310 */   // Label 23244: @1699310
     /* 1699310 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1699396), // Rule ID 7558 //
     /* 1699315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699361 */     // MIs[0] policy
     /* 1699361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1699374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699395 */     // GIR_Coverage, 7558,
     /* 1699395 */     GIR_EraseRootFromParent_Done,
     /* 1699396 */   // Label 23245: @1699396
     /* 1699396 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1699482), // Rule ID 7561 //
     /* 1699401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699447 */     // MIs[0] policy
     /* 1699447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699457 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699481 */     // GIR_Coverage, 7561,
     /* 1699481 */     GIR_EraseRootFromParent_Done,
     /* 1699482 */   // Label 23246: @1699482
     /* 1699482 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1699568), // Rule ID 7562 //
     /* 1699487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699533 */     // MIs[0] policy
     /* 1699533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1699546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699567 */     // GIR_Coverage, 7562,
     /* 1699567 */     GIR_EraseRootFromParent_Done,
     /* 1699568 */   // Label 23247: @1699568
     /* 1699568 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1699654), // Rule ID 7565 //
     /* 1699573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699619 */     // MIs[0] policy
     /* 1699619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699653 */     // GIR_Coverage, 7565,
     /* 1699653 */     GIR_EraseRootFromParent_Done,
     /* 1699654 */   // Label 23248: @1699654
     /* 1699654 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1699740), // Rule ID 7566 //
     /* 1699659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699705 */     // MIs[0] policy
     /* 1699705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699739 */     // GIR_Coverage, 7566,
     /* 1699739 */     GIR_EraseRootFromParent_Done,
     /* 1699740 */   // Label 23249: @1699740
     /* 1699740 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1699826), // Rule ID 7569 //
     /* 1699745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699791 */     // MIs[0] policy
     /* 1699791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699801 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699825 */     // GIR_Coverage, 7569,
     /* 1699825 */     GIR_EraseRootFromParent_Done,
     /* 1699826 */   // Label 23250: @1699826
     /* 1699826 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1699912), // Rule ID 7570 //
     /* 1699831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699877 */     // MIs[0] policy
     /* 1699877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699911 */     // GIR_Coverage, 7570,
     /* 1699911 */     GIR_EraseRootFromParent_Done,
     /* 1699912 */   // Label 23251: @1699912
     /* 1699912 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1699998), // Rule ID 7573 //
     /* 1699917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699963 */     // MIs[0] policy
     /* 1699963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1699976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699997 */     // GIR_Coverage, 7573,
     /* 1699997 */     GIR_EraseRootFromParent_Done,
     /* 1699998 */   // Label 23252: @1699998
     /* 1699998 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700084), // Rule ID 7574 //
     /* 1700003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1700020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700049 */     // MIs[0] policy
     /* 1700049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700083 */     // GIR_Coverage, 7574,
     /* 1700083 */     GIR_EraseRootFromParent_Done,
     /* 1700084 */   // Label 23253: @1700084
     /* 1700084 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1700170), // Rule ID 7577 //
     /* 1700089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700135 */     // MIs[0] policy
     /* 1700135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700145 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700169 */     // GIR_Coverage, 7577,
     /* 1700169 */     GIR_EraseRootFromParent_Done,
     /* 1700170 */   // Label 23254: @1700170
     /* 1700170 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1700256), // Rule ID 7578 //
     /* 1700175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1700192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700221 */     // MIs[0] policy
     /* 1700221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700231 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700255 */     // GIR_Coverage, 7578,
     /* 1700255 */     GIR_EraseRootFromParent_Done,
     /* 1700256 */   // Label 23255: @1700256
     /* 1700256 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1700342), // Rule ID 7581 //
     /* 1700261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700307 */     // MIs[0] policy
     /* 1700307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700317 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700341 */     // GIR_Coverage, 7581,
     /* 1700341 */     GIR_EraseRootFromParent_Done,
     /* 1700342 */   // Label 23256: @1700342
     /* 1700342 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1700428), // Rule ID 7582 //
     /* 1700347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1700358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1700361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1700364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1700370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700393 */     // MIs[0] policy
     /* 1700393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700427 */     // GIR_Coverage, 7582,
     /* 1700427 */     GIR_EraseRootFromParent_Done,
     /* 1700428 */   // Label 23257: @1700428
     /* 1700428 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1700514), // Rule ID 7585 //
     /* 1700433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700479 */     // MIs[0] policy
     /* 1700479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700513 */     // GIR_Coverage, 7585,
     /* 1700513 */     GIR_EraseRootFromParent_Done,
     /* 1700514 */   // Label 23258: @1700514
     /* 1700514 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1700600), // Rule ID 7586 //
     /* 1700519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700565 */     // MIs[0] policy
     /* 1700565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1700578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700599 */     // GIR_Coverage, 7586,
     /* 1700599 */     GIR_EraseRootFromParent_Done,
     /* 1700600 */   // Label 23259: @1700600
     /* 1700600 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1700686), // Rule ID 7589 //
     /* 1700605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700651 */     // MIs[0] policy
     /* 1700651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700685 */     // GIR_Coverage, 7589,
     /* 1700685 */     GIR_EraseRootFromParent_Done,
     /* 1700686 */   // Label 23260: @1700686
     /* 1700686 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1700772), // Rule ID 7590 //
     /* 1700691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700737 */     // MIs[0] policy
     /* 1700737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700771 */     // GIR_Coverage, 7590,
     /* 1700771 */     GIR_EraseRootFromParent_Done,
     /* 1700772 */   // Label 23261: @1700772
     /* 1700772 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1700858), // Rule ID 7593 //
     /* 1700777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700823 */     // MIs[0] policy
     /* 1700823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700857 */     // GIR_Coverage, 7593,
     /* 1700857 */     GIR_EraseRootFromParent_Done,
     /* 1700858 */   // Label 23262: @1700858
     /* 1700858 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1700944), // Rule ID 7594 //
     /* 1700863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700909 */     // MIs[0] policy
     /* 1700909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700943 */     // GIR_Coverage, 7594,
     /* 1700943 */     GIR_EraseRootFromParent_Done,
     /* 1700944 */   // Label 23263: @1700944
     /* 1700944 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701030), // Rule ID 7597 //
     /* 1700949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700995 */     // MIs[0] policy
     /* 1700995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701005 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701029 */     // GIR_Coverage, 7597,
     /* 1701029 */     GIR_EraseRootFromParent_Done,
     /* 1701030 */   // Label 23264: @1701030
     /* 1701030 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701116), // Rule ID 7598 //
     /* 1701035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1701052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701081 */     // MIs[0] policy
     /* 1701081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701115 */     // GIR_Coverage, 7598,
     /* 1701115 */     GIR_EraseRootFromParent_Done,
     /* 1701116 */   // Label 23265: @1701116
     /* 1701116 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1701202), // Rule ID 7601 //
     /* 1701121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701167 */     // MIs[0] policy
     /* 1701167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701201 */     // GIR_Coverage, 7601,
     /* 1701201 */     GIR_EraseRootFromParent_Done,
     /* 1701202 */   // Label 23266: @1701202
     /* 1701202 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1701288), // Rule ID 7602 //
     /* 1701207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1701224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701253 */     // MIs[0] policy
     /* 1701253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701287 */     // GIR_Coverage, 7602,
     /* 1701287 */     GIR_EraseRootFromParent_Done,
     /* 1701288 */   // Label 23267: @1701288
     /* 1701288 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1701374), // Rule ID 7605 //
     /* 1701293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701339 */     // MIs[0] policy
     /* 1701339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701373 */     // GIR_Coverage, 7605,
     /* 1701373 */     GIR_EraseRootFromParent_Done,
     /* 1701374 */   // Label 23268: @1701374
     /* 1701374 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1701460), // Rule ID 7606 //
     /* 1701379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701425 */     // MIs[0] policy
     /* 1701425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1701438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701459 */     // GIR_Coverage, 7606,
     /* 1701459 */     GIR_EraseRootFromParent_Done,
     /* 1701460 */   // Label 23269: @1701460
     /* 1701460 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1701546), // Rule ID 7609 //
     /* 1701465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701511 */     // MIs[0] policy
     /* 1701511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701545 */     // GIR_Coverage, 7609,
     /* 1701545 */     GIR_EraseRootFromParent_Done,
     /* 1701546 */   // Label 23270: @1701546
     /* 1701546 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1701632), // Rule ID 7610 //
     /* 1701551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701597 */     // MIs[0] policy
     /* 1701597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1701610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701631 */     // GIR_Coverage, 7610,
     /* 1701631 */     GIR_EraseRootFromParent_Done,
     /* 1701632 */   // Label 23271: @1701632
     /* 1701632 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1701718), // Rule ID 7613 //
     /* 1701637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701683 */     // MIs[0] policy
     /* 1701683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701717 */     // GIR_Coverage, 7613,
     /* 1701717 */     GIR_EraseRootFromParent_Done,
     /* 1701718 */   // Label 23272: @1701718
     /* 1701718 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1701804), // Rule ID 7614 //
     /* 1701723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701769 */     // MIs[0] policy
     /* 1701769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1701782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701803 */     // GIR_Coverage, 7614,
     /* 1701803 */     GIR_EraseRootFromParent_Done,
     /* 1701804 */   // Label 23273: @1701804
     /* 1701804 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1701890), // Rule ID 7617 //
     /* 1701809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701855 */     // MIs[0] policy
     /* 1701855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701865 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701889 */     // GIR_Coverage, 7617,
     /* 1701889 */     GIR_EraseRootFromParent_Done,
     /* 1701890 */   // Label 23274: @1701890
     /* 1701890 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1701976), // Rule ID 7618 //
     /* 1701895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701941 */     // MIs[0] policy
     /* 1701941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1701954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701975 */     // GIR_Coverage, 7618,
     /* 1701975 */     GIR_EraseRootFromParent_Done,
     /* 1701976 */   // Label 23275: @1701976
     /* 1701976 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702062), // Rule ID 10133 //
     /* 1701981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1701998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702027 */     // MIs[0] policy
     /* 1702027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702061 */     // GIR_Coverage, 10133,
     /* 1702061 */     GIR_EraseRootFromParent_Done,
     /* 1702062 */   // Label 23276: @1702062
     /* 1702062 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1702148), // Rule ID 10134 //
     /* 1702067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1702078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1702081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1702087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702113 */     // MIs[0] policy
     /* 1702113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702123 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1702126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702147 */     // GIR_Coverage, 10134,
     /* 1702147 */     GIR_EraseRootFromParent_Done,
     /* 1702148 */   // Label 23277: @1702148
     /* 1702148 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1702234), // Rule ID 10137 //
     /* 1702153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702199 */     // MIs[0] policy
     /* 1702199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702233 */     // GIR_Coverage, 10137,
     /* 1702233 */     GIR_EraseRootFromParent_Done,
     /* 1702234 */   // Label 23278: @1702234
     /* 1702234 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1702320), // Rule ID 10138 //
     /* 1702239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1702250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1702253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1702256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1702259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702285 */     // MIs[0] policy
     /* 1702285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702295 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702319 */     // GIR_Coverage, 10138,
     /* 1702319 */     GIR_EraseRootFromParent_Done,
     /* 1702320 */   // Label 23279: @1702320
     /* 1702320 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1702406), // Rule ID 10141 //
     /* 1702325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702371 */     // MIs[0] policy
     /* 1702371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702405 */     // GIR_Coverage, 10141,
     /* 1702405 */     GIR_EraseRootFromParent_Done,
     /* 1702406 */   // Label 23280: @1702406
     /* 1702406 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1702492), // Rule ID 10142 //
     /* 1702411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1702422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1702425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1702428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1702431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702457 */     // MIs[0] policy
     /* 1702457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702491 */     // GIR_Coverage, 10142,
     /* 1702491 */     GIR_EraseRootFromParent_Done,
     /* 1702492 */   // Label 23281: @1702492
     /* 1702492 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1702578), // Rule ID 10145 //
     /* 1702497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702543 */     // MIs[0] policy
     /* 1702543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702577 */     // GIR_Coverage, 10145,
     /* 1702577 */     GIR_EraseRootFromParent_Done,
     /* 1702578 */   // Label 23282: @1702578
     /* 1702578 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1702664), // Rule ID 10146 //
     /* 1702583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1702600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702629 */     // MIs[0] policy
     /* 1702629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1702642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702663 */     // GIR_Coverage, 10146,
     /* 1702663 */     GIR_EraseRootFromParent_Done,
     /* 1702664 */   // Label 23283: @1702664
     /* 1702664 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1702750), // Rule ID 10149 //
     /* 1702669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1702686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702715 */     // MIs[0] policy
     /* 1702715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702749 */     // GIR_Coverage, 10149,
     /* 1702749 */     GIR_EraseRootFromParent_Done,
     /* 1702750 */   // Label 23284: @1702750
     /* 1702750 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1702836), // Rule ID 10150 //
     /* 1702755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1702772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702801 */     // MIs[0] policy
     /* 1702801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702835 */     // GIR_Coverage, 10150,
     /* 1702835 */     GIR_EraseRootFromParent_Done,
     /* 1702836 */   // Label 23285: @1702836
     /* 1702836 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1702922), // Rule ID 10153 //
     /* 1702841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702887 */     // MIs[0] policy
     /* 1702887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702921 */     // GIR_Coverage, 10153,
     /* 1702921 */     GIR_EraseRootFromParent_Done,
     /* 1702922 */   // Label 23286: @1702922
     /* 1702922 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703008), // Rule ID 10154 //
     /* 1702927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1702938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1702941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702973 */     // MIs[0] policy
     /* 1702973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1702986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703007 */     // GIR_Coverage, 10154,
     /* 1703007 */     GIR_EraseRootFromParent_Done,
     /* 1703008 */   // Label 23287: @1703008
     /* 1703008 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703094), // Rule ID 10157 //
     /* 1703013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703059 */     // MIs[0] policy
     /* 1703059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703093 */     // GIR_Coverage, 10157,
     /* 1703093 */     GIR_EraseRootFromParent_Done,
     /* 1703094 */   // Label 23288: @1703094
     /* 1703094 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1703180), // Rule ID 10158 //
     /* 1703099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703145 */     // MIs[0] policy
     /* 1703145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703179 */     // GIR_Coverage, 10158,
     /* 1703179 */     GIR_EraseRootFromParent_Done,
     /* 1703180 */   // Label 23289: @1703180
     /* 1703180 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1703266), // Rule ID 10161 //
     /* 1703185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703231 */     // MIs[0] policy
     /* 1703231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703265 */     // GIR_Coverage, 10161,
     /* 1703265 */     GIR_EraseRootFromParent_Done,
     /* 1703266 */   // Label 23290: @1703266
     /* 1703266 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1703352), // Rule ID 10162 //
     /* 1703271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1703291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703317 */     // MIs[0] policy
     /* 1703317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703351 */     // GIR_Coverage, 10162,
     /* 1703351 */     GIR_EraseRootFromParent_Done,
     /* 1703352 */   // Label 23291: @1703352
     /* 1703352 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1703438), // Rule ID 10165 //
     /* 1703357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703403 */     // MIs[0] policy
     /* 1703403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703437 */     // GIR_Coverage, 10165,
     /* 1703437 */     GIR_EraseRootFromParent_Done,
     /* 1703438 */   // Label 23292: @1703438
     /* 1703438 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1703524), // Rule ID 10166 //
     /* 1703443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1703460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703489 */     // MIs[0] policy
     /* 1703489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703523 */     // GIR_Coverage, 10166,
     /* 1703523 */     GIR_EraseRootFromParent_Done,
     /* 1703524 */   // Label 23293: @1703524
     /* 1703524 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1703610), // Rule ID 10169 //
     /* 1703529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703575 */     // MIs[0] policy
     /* 1703575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703609 */     // GIR_Coverage, 10169,
     /* 1703609 */     GIR_EraseRootFromParent_Done,
     /* 1703610 */   // Label 23294: @1703610
     /* 1703610 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1703696), // Rule ID 10170 //
     /* 1703615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1703618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1703626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1703629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1703635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703661 */     // MIs[0] policy
     /* 1703661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1703674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703695 */     // GIR_Coverage, 10170,
     /* 1703695 */     GIR_EraseRootFromParent_Done,
     /* 1703696 */   // Label 23295: @1703696
     /* 1703696 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1703782), // Rule ID 10173 //
     /* 1703701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703747 */     // MIs[0] policy
     /* 1703747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703781 */     // GIR_Coverage, 10173,
     /* 1703781 */     GIR_EraseRootFromParent_Done,
     /* 1703782 */   // Label 23296: @1703782
     /* 1703782 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1703868), // Rule ID 10174 //
     /* 1703787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703833 */     // MIs[0] policy
     /* 1703833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703843 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703867 */     // GIR_Coverage, 10174,
     /* 1703867 */     GIR_EraseRootFromParent_Done,
     /* 1703868 */   // Label 23297: @1703868
     /* 1703868 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1703954), // Rule ID 10177 //
     /* 1703873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1703884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1703887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1703890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1703893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703919 */     // MIs[0] policy
     /* 1703919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703929 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703953 */     // GIR_Coverage, 10177,
     /* 1703953 */     GIR_EraseRootFromParent_Done,
     /* 1703954 */   // Label 23298: @1703954
     /* 1703954 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704040), // Rule ID 10178 //
     /* 1703959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1703970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1703973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1703976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1703979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704005 */     // MIs[0] policy
     /* 1704005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704015 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704039 */     // GIR_Coverage, 10178,
     /* 1704039 */     GIR_EraseRootFromParent_Done,
     /* 1704040 */   // Label 23299: @1704040
     /* 1704040 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1704126), // Rule ID 10181 //
     /* 1704045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704091 */     // MIs[0] policy
     /* 1704091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704101 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704125 */     // GIR_Coverage, 10181,
     /* 1704125 */     GIR_EraseRootFromParent_Done,
     /* 1704126 */   // Label 23300: @1704126
     /* 1704126 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1704212), // Rule ID 10182 //
     /* 1704131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1704142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1704145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1704148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1704151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1704154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704177 */     // MIs[0] policy
     /* 1704177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704211 */     // GIR_Coverage, 10182,
     /* 1704211 */     GIR_EraseRootFromParent_Done,
     /* 1704212 */   // Label 23301: @1704212
     /* 1704212 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1704298), // Rule ID 10185 //
     /* 1704217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704263 */     // MIs[0] policy
     /* 1704263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704297 */     // GIR_Coverage, 10185,
     /* 1704297 */     GIR_EraseRootFromParent_Done,
     /* 1704298 */   // Label 23302: @1704298
     /* 1704298 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1704384), // Rule ID 10186 //
     /* 1704303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704349 */     // MIs[0] policy
     /* 1704349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704383 */     // GIR_Coverage, 10186,
     /* 1704383 */     GIR_EraseRootFromParent_Done,
     /* 1704384 */   // Label 23303: @1704384
     /* 1704384 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1704470), // Rule ID 10189 //
     /* 1704389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704435 */     // MIs[0] policy
     /* 1704435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704445 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704469 */     // GIR_Coverage, 10189,
     /* 1704469 */     GIR_EraseRootFromParent_Done,
     /* 1704470 */   // Label 23304: @1704470
     /* 1704470 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1704556), // Rule ID 10190 //
     /* 1704475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704521 */     // MIs[0] policy
     /* 1704521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704531 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704555 */     // GIR_Coverage, 10190,
     /* 1704555 */     GIR_EraseRootFromParent_Done,
     /* 1704556 */   // Label 23305: @1704556
     /* 1704556 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1704642), // Rule ID 10193 //
     /* 1704561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1704572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1704575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1704581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704607 */     // MIs[0] policy
     /* 1704607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704641 */     // GIR_Coverage, 10193,
     /* 1704641 */     GIR_EraseRootFromParent_Done,
     /* 1704642 */   // Label 23306: @1704642
     /* 1704642 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1704728), // Rule ID 10194 //
     /* 1704647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1704658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1704661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1704667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704693 */     // MIs[0] policy
     /* 1704693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704727 */     // GIR_Coverage, 10194,
     /* 1704727 */     GIR_EraseRootFromParent_Done,
     /* 1704728 */   // Label 23307: @1704728
     /* 1704728 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1704814), // Rule ID 10197 //
     /* 1704733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1704753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704779 */     // MIs[0] policy
     /* 1704779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704813 */     // GIR_Coverage, 10197,
     /* 1704813 */     GIR_EraseRootFromParent_Done,
     /* 1704814 */   // Label 23308: @1704814
     /* 1704814 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1704900), // Rule ID 10198 //
     /* 1704819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1704839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704865 */     // MIs[0] policy
     /* 1704865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704875 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704899 */     // GIR_Coverage, 10198,
     /* 1704899 */     GIR_EraseRootFromParent_Done,
     /* 1704900 */   // Label 23309: @1704900
     /* 1704900 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1704986), // Rule ID 10201 //
     /* 1704905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1704916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1704919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1704922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1704925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704951 */     // MIs[0] policy
     /* 1704951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704985 */     // GIR_Coverage, 10201,
     /* 1704985 */     GIR_EraseRootFromParent_Done,
     /* 1704986 */   // Label 23310: @1704986
     /* 1704986 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705072), // Rule ID 10202 //
     /* 1704991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705037 */     // MIs[0] policy
     /* 1705037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705071 */     // GIR_Coverage, 10202,
     /* 1705071 */     GIR_EraseRootFromParent_Done,
     /* 1705072 */   // Label 23311: @1705072
     /* 1705072 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1705158), // Rule ID 10205 //
     /* 1705077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705123 */     // MIs[0] policy
     /* 1705123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705157 */     // GIR_Coverage, 10205,
     /* 1705157 */     GIR_EraseRootFromParent_Done,
     /* 1705158 */   // Label 23312: @1705158
     /* 1705158 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1705244), // Rule ID 10206 //
     /* 1705163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1705174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1705177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1705183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705209 */     // MIs[0] policy
     /* 1705209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705243 */     // GIR_Coverage, 10206,
     /* 1705243 */     GIR_EraseRootFromParent_Done,
     /* 1705244 */   // Label 23313: @1705244
     /* 1705244 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1705330), // Rule ID 10209 //
     /* 1705249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705295 */     // MIs[0] policy
     /* 1705295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705329 */     // GIR_Coverage, 10209,
     /* 1705329 */     GIR_EraseRootFromParent_Done,
     /* 1705330 */   // Label 23314: @1705330
     /* 1705330 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1705416), // Rule ID 10210 //
     /* 1705335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1705355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705381 */     // MIs[0] policy
     /* 1705381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1705394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705415 */     // GIR_Coverage, 10210,
     /* 1705415 */     GIR_EraseRootFromParent_Done,
     /* 1705416 */   // Label 23315: @1705416
     /* 1705416 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1705502), // Rule ID 10213 //
     /* 1705421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705467 */     // MIs[0] policy
     /* 1705467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705501 */     // GIR_Coverage, 10213,
     /* 1705501 */     GIR_EraseRootFromParent_Done,
     /* 1705502 */   // Label 23316: @1705502
     /* 1705502 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1705588), // Rule ID 10214 //
     /* 1705507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1705527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705553 */     // MIs[0] policy
     /* 1705553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1705566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705587 */     // GIR_Coverage, 10214,
     /* 1705587 */     GIR_EraseRootFromParent_Done,
     /* 1705588 */   // Label 23317: @1705588
     /* 1705588 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1705674), // Rule ID 10217 //
     /* 1705593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1705613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705639 */     // MIs[0] policy
     /* 1705639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705649 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705673 */     // GIR_Coverage, 10217,
     /* 1705673 */     GIR_EraseRootFromParent_Done,
     /* 1705674 */   // Label 23318: @1705674
     /* 1705674 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1705760), // Rule ID 10218 //
     /* 1705679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1705699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705725 */     // MIs[0] policy
     /* 1705725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1705738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705759 */     // GIR_Coverage, 10218,
     /* 1705759 */     GIR_EraseRootFromParent_Done,
     /* 1705760 */   // Label 23319: @1705760
     /* 1705760 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1705846), // Rule ID 10221 //
     /* 1705765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705811 */     // MIs[0] policy
     /* 1705811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705821 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1705824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705845 */     // GIR_Coverage, 10221,
     /* 1705845 */     GIR_EraseRootFromParent_Done,
     /* 1705846 */   // Label 23320: @1705846
     /* 1705846 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1705932), // Rule ID 10222 //
     /* 1705851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705897 */     // MIs[0] policy
     /* 1705897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1705910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705931 */     // GIR_Coverage, 10222,
     /* 1705931 */     GIR_EraseRootFromParent_Done,
     /* 1705932 */   // Label 23321: @1705932
     /* 1705932 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706018), // Rule ID 10225 //
     /* 1705937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1705948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1705951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1705954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705983 */     // MIs[0] policy
     /* 1705983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705993 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1705996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706017 */     // GIR_Coverage, 10225,
     /* 1706017 */     GIR_EraseRootFromParent_Done,
     /* 1706018 */   // Label 23322: @1706018
     /* 1706018 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706104), // Rule ID 10226 //
     /* 1706023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706069 */     // MIs[0] policy
     /* 1706069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706079 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706103 */     // GIR_Coverage, 10226,
     /* 1706103 */     GIR_EraseRootFromParent_Done,
     /* 1706104 */   // Label 23323: @1706104
     /* 1706104 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1706190), // Rule ID 10229 //
     /* 1706109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706155 */     // MIs[0] policy
     /* 1706155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706189 */     // GIR_Coverage, 10229,
     /* 1706189 */     GIR_EraseRootFromParent_Done,
     /* 1706190 */   // Label 23324: @1706190
     /* 1706190 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1706276), // Rule ID 10230 //
     /* 1706195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706241 */     // MIs[0] policy
     /* 1706241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706275 */     // GIR_Coverage, 10230,
     /* 1706275 */     GIR_EraseRootFromParent_Done,
     /* 1706276 */   // Label 23325: @1706276
     /* 1706276 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1706362), // Rule ID 10233 //
     /* 1706281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706327 */     // MIs[0] policy
     /* 1706327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706337 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706361 */     // GIR_Coverage, 10233,
     /* 1706361 */     GIR_EraseRootFromParent_Done,
     /* 1706362 */   // Label 23326: @1706362
     /* 1706362 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1706448), // Rule ID 10234 //
     /* 1706367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706413 */     // MIs[0] policy
     /* 1706413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1706426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706447 */     // GIR_Coverage, 10234,
     /* 1706447 */     GIR_EraseRootFromParent_Done,
     /* 1706448 */   // Label 23327: @1706448
     /* 1706448 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1706534), // Rule ID 10237 //
     /* 1706453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706499 */     // MIs[0] policy
     /* 1706499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706533 */     // GIR_Coverage, 10237,
     /* 1706533 */     GIR_EraseRootFromParent_Done,
     /* 1706534 */   // Label 23328: @1706534
     /* 1706534 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1706620), // Rule ID 10238 //
     /* 1706539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706585 */     // MIs[0] policy
     /* 1706585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706595 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706619 */     // GIR_Coverage, 10238,
     /* 1706619 */     GIR_EraseRootFromParent_Done,
     /* 1706620 */   // Label 23329: @1706620
     /* 1706620 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1706706), // Rule ID 10241 //
     /* 1706625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706671 */     // MIs[0] policy
     /* 1706671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706705 */     // GIR_Coverage, 10241,
     /* 1706705 */     GIR_EraseRootFromParent_Done,
     /* 1706706 */   // Label 23330: @1706706
     /* 1706706 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1706792), // Rule ID 10242 //
     /* 1706711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706757 */     // MIs[0] policy
     /* 1706757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1706770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706791 */     // GIR_Coverage, 10242,
     /* 1706791 */     GIR_EraseRootFromParent_Done,
     /* 1706792 */   // Label 23331: @1706792
     /* 1706792 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1706878), // Rule ID 10245 //
     /* 1706797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1706814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706843 */     // MIs[0] policy
     /* 1706843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706877 */     // GIR_Coverage, 10245,
     /* 1706877 */     GIR_EraseRootFromParent_Done,
     /* 1706878 */   // Label 23332: @1706878
     /* 1706878 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1706964), // Rule ID 10246 //
     /* 1706883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1706900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706929 */     // MIs[0] policy
     /* 1706929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706963 */     // GIR_Coverage, 10246,
     /* 1706963 */     GIR_EraseRootFromParent_Done,
     /* 1706964 */   // Label 23333: @1706964
     /* 1706964 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707050), // Rule ID 10249 //
     /* 1706969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1706980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1706983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707015 */     // MIs[0] policy
     /* 1707015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707049 */     // GIR_Coverage, 10249,
     /* 1707049 */     GIR_EraseRootFromParent_Done,
     /* 1707050 */   // Label 23334: @1707050
     /* 1707050 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1707136), // Rule ID 10250 //
     /* 1707055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707101 */     // MIs[0] policy
     /* 1707101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707111 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707135 */     // GIR_Coverage, 10250,
     /* 1707135 */     GIR_EraseRootFromParent_Done,
     /* 1707136 */   // Label 23335: @1707136
     /* 1707136 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1707222), // Rule ID 10253 //
     /* 1707141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707187 */     // MIs[0] policy
     /* 1707187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707221 */     // GIR_Coverage, 10253,
     /* 1707221 */     GIR_EraseRootFromParent_Done,
     /* 1707222 */   // Label 23336: @1707222
     /* 1707222 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1707308), // Rule ID 10254 //
     /* 1707227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707273 */     // MIs[0] policy
     /* 1707273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707307 */     // GIR_Coverage, 10254,
     /* 1707307 */     GIR_EraseRootFromParent_Done,
     /* 1707308 */   // Label 23337: @1707308
     /* 1707308 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1707394), // Rule ID 10257 //
     /* 1707313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707359 */     // MIs[0] policy
     /* 1707359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707393 */     // GIR_Coverage, 10257,
     /* 1707393 */     GIR_EraseRootFromParent_Done,
     /* 1707394 */   // Label 23338: @1707394
     /* 1707394 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1707480), // Rule ID 10258 //
     /* 1707399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707445 */     // MIs[0] policy
     /* 1707445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1707458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707479 */     // GIR_Coverage, 10258,
     /* 1707479 */     GIR_EraseRootFromParent_Done,
     /* 1707480 */   // Label 23339: @1707480
     /* 1707480 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1707566), // Rule ID 10261 //
     /* 1707485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707531 */     // MIs[0] policy
     /* 1707531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707565 */     // GIR_Coverage, 10261,
     /* 1707565 */     GIR_EraseRootFromParent_Done,
     /* 1707566 */   // Label 23340: @1707566
     /* 1707566 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1707652), // Rule ID 10262 //
     /* 1707571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1707582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1707585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1707588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707617 */     // MIs[0] policy
     /* 1707617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707627 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707651 */     // GIR_Coverage, 10262,
     /* 1707651 */     GIR_EraseRootFromParent_Done,
     /* 1707652 */   // Label 23341: @1707652
     /* 1707652 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1707738), // Rule ID 10265 //
     /* 1707657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1707674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707703 */     // MIs[0] policy
     /* 1707703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707713 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707737 */     // GIR_Coverage, 10265,
     /* 1707737 */     GIR_EraseRootFromParent_Done,
     /* 1707738 */   // Label 23342: @1707738
     /* 1707738 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1707824), // Rule ID 10266 //
     /* 1707743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1707754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1707757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1707760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707789 */     // MIs[0] policy
     /* 1707789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707823 */     // GIR_Coverage, 10266,
     /* 1707823 */     GIR_EraseRootFromParent_Done,
     /* 1707824 */   // Label 23343: @1707824
     /* 1707824 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1707910), // Rule ID 10269 //
     /* 1707829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1707840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1707843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1707846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1707852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707875 */     // MIs[0] policy
     /* 1707875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707885 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707909 */     // GIR_Coverage, 10269,
     /* 1707909 */     GIR_EraseRootFromParent_Done,
     /* 1707910 */   // Label 23344: @1707910
     /* 1707910 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1707996), // Rule ID 10270 //
     /* 1707915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1707926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1707929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1707932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1707938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707961 */     // MIs[0] policy
     /* 1707961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707995 */     // GIR_Coverage, 10270,
     /* 1707995 */     GIR_EraseRootFromParent_Done,
     /* 1707996 */   // Label 23345: @1707996
     /* 1707996 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708082), // Rule ID 10273 //
     /* 1708001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708047 */     // MIs[0] policy
     /* 1708047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708081 */     // GIR_Coverage, 10273,
     /* 1708081 */     GIR_EraseRootFromParent_Done,
     /* 1708082 */   // Label 23346: @1708082
     /* 1708082 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1708168), // Rule ID 10274 //
     /* 1708087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708133 */     // MIs[0] policy
     /* 1708133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708167 */     // GIR_Coverage, 10274,
     /* 1708167 */     GIR_EraseRootFromParent_Done,
     /* 1708168 */   // Label 23347: @1708168
     /* 1708168 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1708254), // Rule ID 10277 //
     /* 1708173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708219 */     // MIs[0] policy
     /* 1708219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708253 */     // GIR_Coverage, 10277,
     /* 1708253 */     GIR_EraseRootFromParent_Done,
     /* 1708254 */   // Label 23348: @1708254
     /* 1708254 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1708340), // Rule ID 10278 //
     /* 1708259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708305 */     // MIs[0] policy
     /* 1708305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708339 */     // GIR_Coverage, 10278,
     /* 1708339 */     GIR_EraseRootFromParent_Done,
     /* 1708340 */   // Label 23349: @1708340
     /* 1708340 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1708426), // Rule ID 10281 //
     /* 1708345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708391 */     // MIs[0] policy
     /* 1708391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708425 */     // GIR_Coverage, 10281,
     /* 1708425 */     GIR_EraseRootFromParent_Done,
     /* 1708426 */   // Label 23350: @1708426
     /* 1708426 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1708512), // Rule ID 10282 //
     /* 1708431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708477 */     // MIs[0] policy
     /* 1708477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708511 */     // GIR_Coverage, 10282,
     /* 1708511 */     GIR_EraseRootFromParent_Done,
     /* 1708512 */   // Label 23351: @1708512
     /* 1708512 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1708598), // Rule ID 10285 //
     /* 1708517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708563 */     // MIs[0] policy
     /* 1708563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708597 */     // GIR_Coverage, 10285,
     /* 1708597 */     GIR_EraseRootFromParent_Done,
     /* 1708598 */   // Label 23352: @1708598
     /* 1708598 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1708684), // Rule ID 10286 //
     /* 1708603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1708614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1708617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1708620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708649 */     // MIs[0] policy
     /* 1708649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1708662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708683 */     // GIR_Coverage, 10286,
     /* 1708683 */     GIR_EraseRootFromParent_Done,
     /* 1708684 */   // Label 23353: @1708684
     /* 1708684 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1708770), // Rule ID 10289 //
     /* 1708689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708735 */     // MIs[0] policy
     /* 1708735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708745 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708769 */     // GIR_Coverage, 10289,
     /* 1708769 */     GIR_EraseRootFromParent_Done,
     /* 1708770 */   // Label 23354: @1708770
     /* 1708770 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1708856), // Rule ID 10290 //
     /* 1708775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1708792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708821 */     // MIs[0] policy
     /* 1708821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708855 */     // GIR_Coverage, 10290,
     /* 1708855 */     GIR_EraseRootFromParent_Done,
     /* 1708856 */   // Label 23355: @1708856
     /* 1708856 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1708942), // Rule ID 10293 //
     /* 1708861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1708872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1708875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1708878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708907 */     // MIs[0] policy
     /* 1708907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708917 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708941 */     // GIR_Coverage, 10293,
     /* 1708941 */     GIR_EraseRootFromParent_Done,
     /* 1708942 */   // Label 23356: @1708942
     /* 1708942 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709028), // Rule ID 10294 //
     /* 1708947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1708958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1708961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1708964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708993 */     // MIs[0] policy
     /* 1708993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709027 */     // GIR_Coverage, 10294,
     /* 1709027 */     GIR_EraseRootFromParent_Done,
     /* 1709028 */   // Label 23357: @1709028
     /* 1709028 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709114), // Rule ID 10297 //
     /* 1709033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709079 */     // MIs[0] policy
     /* 1709079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709113 */     // GIR_Coverage, 10297,
     /* 1709113 */     GIR_EraseRootFromParent_Done,
     /* 1709114 */   // Label 23358: @1709114
     /* 1709114 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1709200), // Rule ID 10298 //
     /* 1709119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709165 */     // MIs[0] policy
     /* 1709165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709175 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1709178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709199 */     // GIR_Coverage, 10298,
     /* 1709199 */     GIR_EraseRootFromParent_Done,
     /* 1709200 */   // Label 23359: @1709200
     /* 1709200 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1709286), // Rule ID 10301 //
     /* 1709205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709251 */     // MIs[0] policy
     /* 1709251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709285 */     // GIR_Coverage, 10301,
     /* 1709285 */     GIR_EraseRootFromParent_Done,
     /* 1709286 */   // Label 23360: @1709286
     /* 1709286 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1709372), // Rule ID 10302 //
     /* 1709291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1709302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1709305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1709308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709337 */     // MIs[0] policy
     /* 1709337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1709350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709371 */     // GIR_Coverage, 10302,
     /* 1709371 */     GIR_EraseRootFromParent_Done,
     /* 1709372 */   // Label 23361: @1709372
     /* 1709372 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1709458), // Rule ID 10305 //
     /* 1709377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709423 */     // MIs[0] policy
     /* 1709423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709457 */     // GIR_Coverage, 10305,
     /* 1709457 */     GIR_EraseRootFromParent_Done,
     /* 1709458 */   // Label 23362: @1709458
     /* 1709458 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1709544), // Rule ID 10306 //
     /* 1709463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1709474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1709477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1709480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709509 */     // MIs[0] policy
     /* 1709509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1709522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709543 */     // GIR_Coverage, 10306,
     /* 1709543 */     GIR_EraseRootFromParent_Done,
     /* 1709544 */   // Label 23363: @1709544
     /* 1709544 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1709630), // Rule ID 10309 //
     /* 1709549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709595 */     // MIs[0] policy
     /* 1709595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709605 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1709608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709629 */     // GIR_Coverage, 10309,
     /* 1709629 */     GIR_EraseRootFromParent_Done,
     /* 1709630 */   // Label 23364: @1709630
     /* 1709630 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1709716), // Rule ID 10310 //
     /* 1709635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1709646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1709649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1709652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1709655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709681 */     // MIs[0] policy
     /* 1709681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1709694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709715 */     // GIR_Coverage, 10310,
     /* 1709715 */     GIR_EraseRootFromParent_Done,
     /* 1709716 */   // Label 23365: @1709716
     /* 1709716 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1709802), // Rule ID 10313 //
     /* 1709721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709767 */     // MIs[0] policy
     /* 1709767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1709780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709801 */     // GIR_Coverage, 10313,
     /* 1709801 */     GIR_EraseRootFromParent_Done,
     /* 1709802 */   // Label 23366: @1709802
     /* 1709802 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1709888), // Rule ID 10314 //
     /* 1709807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1709818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1709821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1709824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1709827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709853 */     // MIs[0] policy
     /* 1709853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709863 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1709866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709887 */     // GIR_Coverage, 10314,
     /* 1709887 */     GIR_EraseRootFromParent_Done,
     /* 1709888 */   // Label 23367: @1709888
     /* 1709888 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1709974), // Rule ID 10317 //
     /* 1709893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709939 */     // MIs[0] policy
     /* 1709939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1709952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709973 */     // GIR_Coverage, 10317,
     /* 1709973 */     GIR_EraseRootFromParent_Done,
     /* 1709974 */   // Label 23368: @1709974
     /* 1709974 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710060), // Rule ID 10318 //
     /* 1709979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1709990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1709993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1709996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1709999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710025 */     // MIs[0] policy
     /* 1710025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710035 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710059 */     // GIR_Coverage, 10318,
     /* 1710059 */     GIR_EraseRootFromParent_Done,
     /* 1710060 */   // Label 23369: @1710060
     /* 1710060 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1710146), // Rule ID 10321 //
     /* 1710065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710111 */     // MIs[0] policy
     /* 1710111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710145 */     // GIR_Coverage, 10321,
     /* 1710145 */     GIR_EraseRootFromParent_Done,
     /* 1710146 */   // Label 23370: @1710146
     /* 1710146 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1710232), // Rule ID 10322 //
     /* 1710151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710197 */     // MIs[0] policy
     /* 1710197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1710210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710231 */     // GIR_Coverage, 10322,
     /* 1710231 */     GIR_EraseRootFromParent_Done,
     /* 1710232 */   // Label 23371: @1710232
     /* 1710232 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1710318), // Rule ID 10325 //
     /* 1710237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710283 */     // MIs[0] policy
     /* 1710283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710293 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710317 */     // GIR_Coverage, 10325,
     /* 1710317 */     GIR_EraseRootFromParent_Done,
     /* 1710318 */   // Label 23372: @1710318
     /* 1710318 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1710404), // Rule ID 10326 //
     /* 1710323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1710334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1710337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1710343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710369 */     // MIs[0] policy
     /* 1710369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710379 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710403 */     // GIR_Coverage, 10326,
     /* 1710403 */     GIR_EraseRootFromParent_Done,
     /* 1710404 */   // Label 23373: @1710404
     /* 1710404 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1710490), // Rule ID 10329 //
     /* 1710409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710455 */     // MIs[0] policy
     /* 1710455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710489 */     // GIR_Coverage, 10329,
     /* 1710489 */     GIR_EraseRootFromParent_Done,
     /* 1710490 */   // Label 23374: @1710490
     /* 1710490 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1710576), // Rule ID 10330 //
     /* 1710495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710541 */     // MIs[0] policy
     /* 1710541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1710554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710575 */     // GIR_Coverage, 10330,
     /* 1710575 */     GIR_EraseRootFromParent_Done,
     /* 1710576 */   // Label 23375: @1710576
     /* 1710576 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1710662), // Rule ID 10333 //
     /* 1710581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710627 */     // MIs[0] policy
     /* 1710627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710637 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710661 */     // GIR_Coverage, 10333,
     /* 1710661 */     GIR_EraseRootFromParent_Done,
     /* 1710662 */   // Label 23376: @1710662
     /* 1710662 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1710748), // Rule ID 10334 //
     /* 1710667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1710678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1710681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1710684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1710687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710713 */     // MIs[0] policy
     /* 1710713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710747 */     // GIR_Coverage, 10334,
     /* 1710747 */     GIR_EraseRootFromParent_Done,
     /* 1710748 */   // Label 23377: @1710748
     /* 1710748 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1710834), // Rule ID 10337 //
     /* 1710753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710799 */     // MIs[0] policy
     /* 1710799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710833 */     // GIR_Coverage, 10337,
     /* 1710833 */     GIR_EraseRootFromParent_Done,
     /* 1710834 */   // Label 23378: @1710834
     /* 1710834 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1710920), // Rule ID 10338 //
     /* 1710839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1710850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1710853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1710856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1710859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710885 */     // MIs[0] policy
     /* 1710885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710895 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710919 */     // GIR_Coverage, 10338,
     /* 1710919 */     GIR_EraseRootFromParent_Done,
     /* 1710920 */   // Label 23379: @1710920
     /* 1710920 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711006), // Rule ID 10341 //
     /* 1710925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710971 */     // MIs[0] policy
     /* 1710971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711005 */     // GIR_Coverage, 10341,
     /* 1711005 */     GIR_EraseRootFromParent_Done,
     /* 1711006 */   // Label 23380: @1711006
     /* 1711006 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711092), // Rule ID 10342 //
     /* 1711011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711057 */     // MIs[0] policy
     /* 1711057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711091 */     // GIR_Coverage, 10342,
     /* 1711091 */     GIR_EraseRootFromParent_Done,
     /* 1711092 */   // Label 23381: @1711092
     /* 1711092 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1711178), // Rule ID 10345 //
     /* 1711097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711143 */     // MIs[0] policy
     /* 1711143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711177 */     // GIR_Coverage, 10345,
     /* 1711177 */     GIR_EraseRootFromParent_Done,
     /* 1711178 */   // Label 23382: @1711178
     /* 1711178 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1711264), // Rule ID 10346 //
     /* 1711183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711229 */     // MIs[0] policy
     /* 1711229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1711242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711263 */     // GIR_Coverage, 10346,
     /* 1711263 */     GIR_EraseRootFromParent_Done,
     /* 1711264 */   // Label 23383: @1711264
     /* 1711264 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1711350), // Rule ID 10349 //
     /* 1711269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711315 */     // MIs[0] policy
     /* 1711315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711349 */     // GIR_Coverage, 10349,
     /* 1711349 */     GIR_EraseRootFromParent_Done,
     /* 1711350 */   // Label 23384: @1711350
     /* 1711350 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1711436), // Rule ID 10350 //
     /* 1711355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1711372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711401 */     // MIs[0] policy
     /* 1711401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711435 */     // GIR_Coverage, 10350,
     /* 1711435 */     GIR_EraseRootFromParent_Done,
     /* 1711436 */   // Label 23385: @1711436
     /* 1711436 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1711522), // Rule ID 10353 //
     /* 1711441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711487 */     // MIs[0] policy
     /* 1711487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711521 */     // GIR_Coverage, 10353,
     /* 1711521 */     GIR_EraseRootFromParent_Done,
     /* 1711522 */   // Label 23386: @1711522
     /* 1711522 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1711608), // Rule ID 10354 //
     /* 1711527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1711544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711573 */     // MIs[0] policy
     /* 1711573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711583 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711607 */     // GIR_Coverage, 10354,
     /* 1711607 */     GIR_EraseRootFromParent_Done,
     /* 1711608 */   // Label 23387: @1711608
     /* 1711608 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1711694), // Rule ID 10357 //
     /* 1711613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711659 */     // MIs[0] policy
     /* 1711659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711669 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711693 */     // GIR_Coverage, 10357,
     /* 1711693 */     GIR_EraseRootFromParent_Done,
     /* 1711694 */   // Label 23388: @1711694
     /* 1711694 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1711780), // Rule ID 10358 //
     /* 1711699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1711710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1711713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1711716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1711719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1711722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711745 */     // MIs[0] policy
     /* 1711745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711755 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711779 */     // GIR_Coverage, 10358,
     /* 1711779 */     GIR_EraseRootFromParent_Done,
     /* 1711780 */   // Label 23389: @1711780
     /* 1711780 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1711866), // Rule ID 10361 //
     /* 1711785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711831 */     // MIs[0] policy
     /* 1711831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711841 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711865 */     // GIR_Coverage, 10361,
     /* 1711865 */     GIR_EraseRootFromParent_Done,
     /* 1711866 */   // Label 23390: @1711866
     /* 1711866 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1711952), // Rule ID 10362 //
     /* 1711871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1711882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1711885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1711891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711917 */     // MIs[0] policy
     /* 1711917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711951 */     // GIR_Coverage, 10362,
     /* 1711951 */     GIR_EraseRootFromParent_Done,
     /* 1711952 */   // Label 23391: @1711952
     /* 1711952 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712038), // Rule ID 10365 //
     /* 1711957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1711968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1711971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1711977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712003 */     // MIs[0] policy
     /* 1712003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712037 */     // GIR_Coverage, 10365,
     /* 1712037 */     GIR_EraseRootFromParent_Done,
     /* 1712038 */   // Label 23392: @1712038
     /* 1712038 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712124), // Rule ID 10366 //
     /* 1712043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712089 */     // MIs[0] policy
     /* 1712089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712123 */     // GIR_Coverage, 10366,
     /* 1712123 */     GIR_EraseRootFromParent_Done,
     /* 1712124 */   // Label 23393: @1712124
     /* 1712124 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1712210), // Rule ID 10369 //
     /* 1712129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712175 */     // MIs[0] policy
     /* 1712175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712209 */     // GIR_Coverage, 10369,
     /* 1712209 */     GIR_EraseRootFromParent_Done,
     /* 1712210 */   // Label 23394: @1712210
     /* 1712210 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1712296), // Rule ID 10370 //
     /* 1712215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1712235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712261 */     // MIs[0] policy
     /* 1712261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712295 */     // GIR_Coverage, 10370,
     /* 1712295 */     GIR_EraseRootFromParent_Done,
     /* 1712296 */   // Label 23395: @1712296
     /* 1712296 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1712382), // Rule ID 10373 //
     /* 1712301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712347 */     // MIs[0] policy
     /* 1712347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712381 */     // GIR_Coverage, 10373,
     /* 1712381 */     GIR_EraseRootFromParent_Done,
     /* 1712382 */   // Label 23396: @1712382
     /* 1712382 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1712468), // Rule ID 10374 //
     /* 1712387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1712398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1712401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1712407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712433 */     // MIs[0] policy
     /* 1712433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712467 */     // GIR_Coverage, 10374,
     /* 1712467 */     GIR_EraseRootFromParent_Done,
     /* 1712468 */   // Label 23397: @1712468
     /* 1712468 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1712554), // Rule ID 10377 //
     /* 1712473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712519 */     // MIs[0] policy
     /* 1712519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712553 */     // GIR_Coverage, 10377,
     /* 1712553 */     GIR_EraseRootFromParent_Done,
     /* 1712554 */   // Label 23398: @1712554
     /* 1712554 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1712640), // Rule ID 10378 //
     /* 1712559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1712570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1712573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1712579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712605 */     // MIs[0] policy
     /* 1712605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1712618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712639 */     // GIR_Coverage, 10378,
     /* 1712639 */     GIR_EraseRootFromParent_Done,
     /* 1712640 */   // Label 23399: @1712640
     /* 1712640 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1712726), // Rule ID 10381 //
     /* 1712645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712691 */     // MIs[0] policy
     /* 1712691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712725 */     // GIR_Coverage, 10381,
     /* 1712725 */     GIR_EraseRootFromParent_Done,
     /* 1712726 */   // Label 23400: @1712726
     /* 1712726 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1712812), // Rule ID 10382 //
     /* 1712731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1712742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1712745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1712751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712777 */     // MIs[0] policy
     /* 1712777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712811 */     // GIR_Coverage, 10382,
     /* 1712811 */     GIR_EraseRootFromParent_Done,
     /* 1712812 */   // Label 23401: @1712812
     /* 1712812 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1712898), // Rule ID 10385 //
     /* 1712817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712863 */     // MIs[0] policy
     /* 1712863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712897 */     // GIR_Coverage, 10385,
     /* 1712897 */     GIR_EraseRootFromParent_Done,
     /* 1712898 */   // Label 23402: @1712898
     /* 1712898 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1712984), // Rule ID 10386 //
     /* 1712903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1712914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1712917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1712923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712949 */     // MIs[0] policy
     /* 1712949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712959 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1712962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712983 */     // GIR_Coverage, 10386,
     /* 1712983 */     GIR_EraseRootFromParent_Done,
     /* 1712984 */   // Label 23403: @1712984
     /* 1712984 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713070), // Rule ID 10389 //
     /* 1712989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713035 */     // MIs[0] policy
     /* 1713035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713045 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713069 */     // GIR_Coverage, 10389,
     /* 1713069 */     GIR_EraseRootFromParent_Done,
     /* 1713070 */   // Label 23404: @1713070
     /* 1713070 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1713156), // Rule ID 10390 //
     /* 1713075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713121 */     // MIs[0] policy
     /* 1713121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1713134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713155 */     // GIR_Coverage, 10390,
     /* 1713155 */     GIR_EraseRootFromParent_Done,
     /* 1713156 */   // Label 23405: @1713156
     /* 1713156 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1713242), // Rule ID 10393 //
     /* 1713161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713207 */     // MIs[0] policy
     /* 1713207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713241 */     // GIR_Coverage, 10393,
     /* 1713241 */     GIR_EraseRootFromParent_Done,
     /* 1713242 */   // Label 23406: @1713242
     /* 1713242 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1713328), // Rule ID 10394 //
     /* 1713247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1713267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713293 */     // MIs[0] policy
     /* 1713293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713303 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1713306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713327 */     // GIR_Coverage, 10394,
     /* 1713327 */     GIR_EraseRootFromParent_Done,
     /* 1713328 */   // Label 23407: @1713328
     /* 1713328 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1713414), // Rule ID 10397 //
     /* 1713333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713379 */     // MIs[0] policy
     /* 1713379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713389 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713413 */     // GIR_Coverage, 10397,
     /* 1713413 */     GIR_EraseRootFromParent_Done,
     /* 1713414 */   // Label 23408: @1713414
     /* 1713414 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1713500), // Rule ID 10398 //
     /* 1713419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713465 */     // MIs[0] policy
     /* 1713465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1713478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713499 */     // GIR_Coverage, 10398,
     /* 1713499 */     GIR_EraseRootFromParent_Done,
     /* 1713500 */   // Label 23409: @1713500
     /* 1713500 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1713586), // Rule ID 10401 //
     /* 1713505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713551 */     // MIs[0] policy
     /* 1713551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713585 */     // GIR_Coverage, 10401,
     /* 1713585 */     GIR_EraseRootFromParent_Done,
     /* 1713586 */   // Label 23410: @1713586
     /* 1713586 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1713672), // Rule ID 10402 //
     /* 1713591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713637 */     // MIs[0] policy
     /* 1713637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713671 */     // GIR_Coverage, 10402,
     /* 1713671 */     GIR_EraseRootFromParent_Done,
     /* 1713672 */   // Label 23411: @1713672
     /* 1713672 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1713758), // Rule ID 10405 //
     /* 1713677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713723 */     // MIs[0] policy
     /* 1713723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713733 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713757 */     // GIR_Coverage, 10405,
     /* 1713757 */     GIR_EraseRootFromParent_Done,
     /* 1713758 */   // Label 23412: @1713758
     /* 1713758 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1713844), // Rule ID 10406 //
     /* 1713763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713809 */     // MIs[0] policy
     /* 1713809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713843 */     // GIR_Coverage, 10406,
     /* 1713843 */     GIR_EraseRootFromParent_Done,
     /* 1713844 */   // Label 23413: @1713844
     /* 1713844 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1713930), // Rule ID 10409 //
     /* 1713849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713895 */     // MIs[0] policy
     /* 1713895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713929 */     // GIR_Coverage, 10409,
     /* 1713929 */     GIR_EraseRootFromParent_Done,
     /* 1713930 */   // Label 23414: @1713930
     /* 1713930 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714016), // Rule ID 10410 //
     /* 1713935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713981 */     // MIs[0] policy
     /* 1713981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1713994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714015 */     // GIR_Coverage, 10410,
     /* 1714015 */     GIR_EraseRootFromParent_Done,
     /* 1714016 */   // Label 23415: @1714016
     /* 1714016 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714102), // Rule ID 10413 //
     /* 1714021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714067 */     // MIs[0] policy
     /* 1714067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714101 */     // GIR_Coverage, 10413,
     /* 1714101 */     GIR_EraseRootFromParent_Done,
     /* 1714102 */   // Label 23416: @1714102
     /* 1714102 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1714188), // Rule ID 10414 //
     /* 1714107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714153 */     // MIs[0] policy
     /* 1714153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714187 */     // GIR_Coverage, 10414,
     /* 1714187 */     GIR_EraseRootFromParent_Done,
     /* 1714188 */   // Label 23417: @1714188
     /* 1714188 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1714274), // Rule ID 10417 //
     /* 1714193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714239 */     // MIs[0] policy
     /* 1714239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714273 */     // GIR_Coverage, 10417,
     /* 1714273 */     GIR_EraseRootFromParent_Done,
     /* 1714274 */   // Label 23418: @1714274
     /* 1714274 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1714360), // Rule ID 10418 //
     /* 1714279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714325 */     // MIs[0] policy
     /* 1714325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1714338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714359 */     // GIR_Coverage, 10418,
     /* 1714359 */     GIR_EraseRootFromParent_Done,
     /* 1714360 */   // Label 23419: @1714360
     /* 1714360 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1714446), // Rule ID 10421 //
     /* 1714365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714411 */     // MIs[0] policy
     /* 1714411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714421 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714445 */     // GIR_Coverage, 10421,
     /* 1714445 */     GIR_EraseRootFromParent_Done,
     /* 1714446 */   // Label 23420: @1714446
     /* 1714446 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1714532), // Rule ID 10422 //
     /* 1714451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714497 */     // MIs[0] policy
     /* 1714497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714531 */     // GIR_Coverage, 10422,
     /* 1714531 */     GIR_EraseRootFromParent_Done,
     /* 1714532 */   // Label 23421: @1714532
     /* 1714532 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1714618), // Rule ID 10425 //
     /* 1714537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714583 */     // MIs[0] policy
     /* 1714583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714617 */     // GIR_Coverage, 10425,
     /* 1714617 */     GIR_EraseRootFromParent_Done,
     /* 1714618 */   // Label 23422: @1714618
     /* 1714618 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1714704), // Rule ID 10426 //
     /* 1714623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714669 */     // MIs[0] policy
     /* 1714669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714703 */     // GIR_Coverage, 10426,
     /* 1714703 */     GIR_EraseRootFromParent_Done,
     /* 1714704 */   // Label 23423: @1714704
     /* 1714704 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1714790), // Rule ID 10429 //
     /* 1714709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714755 */     // MIs[0] policy
     /* 1714755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714789 */     // GIR_Coverage, 10429,
     /* 1714789 */     GIR_EraseRootFromParent_Done,
     /* 1714790 */   // Label 23424: @1714790
     /* 1714790 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1714876), // Rule ID 10430 //
     /* 1714795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714841 */     // MIs[0] policy
     /* 1714841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714875 */     // GIR_Coverage, 10430,
     /* 1714875 */     GIR_EraseRootFromParent_Done,
     /* 1714876 */   // Label 23425: @1714876
     /* 1714876 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1714962), // Rule ID 10433 //
     /* 1714881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714927 */     // MIs[0] policy
     /* 1714927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714937 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1714940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714961 */     // GIR_Coverage, 10433,
     /* 1714961 */     GIR_EraseRootFromParent_Done,
     /* 1714962 */   // Label 23426: @1714962
     /* 1714962 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715048), // Rule ID 10434 //
     /* 1714967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715013 */     // MIs[0] policy
     /* 1715013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1715026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715047 */     // GIR_Coverage, 10434,
     /* 1715047 */     GIR_EraseRootFromParent_Done,
     /* 1715048 */   // Label 23427: @1715048
     /* 1715048 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1715134), // Rule ID 10437 //
     /* 1715053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715099 */     // MIs[0] policy
     /* 1715099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715133 */     // GIR_Coverage, 10437,
     /* 1715133 */     GIR_EraseRootFromParent_Done,
     /* 1715134 */   // Label 23428: @1715134
     /* 1715134 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1715220), // Rule ID 10438 //
     /* 1715139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715185 */     // MIs[0] policy
     /* 1715185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715219 */     // GIR_Coverage, 10438,
     /* 1715219 */     GIR_EraseRootFromParent_Done,
     /* 1715220 */   // Label 23429: @1715220
     /* 1715220 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1715306), // Rule ID 10441 //
     /* 1715225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715271 */     // MIs[0] policy
     /* 1715271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715281 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715305 */     // GIR_Coverage, 10441,
     /* 1715305 */     GIR_EraseRootFromParent_Done,
     /* 1715306 */   // Label 23430: @1715306
     /* 1715306 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1715392), // Rule ID 10442 //
     /* 1715311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715357 */     // MIs[0] policy
     /* 1715357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715391 */     // GIR_Coverage, 10442,
     /* 1715391 */     GIR_EraseRootFromParent_Done,
     /* 1715392 */   // Label 23431: @1715392
     /* 1715392 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1715478), // Rule ID 10445 //
     /* 1715397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715443 */     // MIs[0] policy
     /* 1715443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715453 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715477 */     // GIR_Coverage, 10445,
     /* 1715477 */     GIR_EraseRootFromParent_Done,
     /* 1715478 */   // Label 23432: @1715478
     /* 1715478 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1715564), // Rule ID 10446 //
     /* 1715483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715529 */     // MIs[0] policy
     /* 1715529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715539 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715563 */     // GIR_Coverage, 10446,
     /* 1715563 */     GIR_EraseRootFromParent_Done,
     /* 1715564 */   // Label 23433: @1715564
     /* 1715564 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1715650), // Rule ID 10449 //
     /* 1715569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715615 */     // MIs[0] policy
     /* 1715615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715625 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715649 */     // GIR_Coverage, 10449,
     /* 1715649 */     GIR_EraseRootFromParent_Done,
     /* 1715650 */   // Label 23434: @1715650
     /* 1715650 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1715736), // Rule ID 10450 //
     /* 1715655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715701 */     // MIs[0] policy
     /* 1715701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715735 */     // GIR_Coverage, 10450,
     /* 1715735 */     GIR_EraseRootFromParent_Done,
     /* 1715736 */   // Label 23435: @1715736
     /* 1715736 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1715822), // Rule ID 10453 //
     /* 1715741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715787 */     // MIs[0] policy
     /* 1715787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715821 */     // GIR_Coverage, 10453,
     /* 1715821 */     GIR_EraseRootFromParent_Done,
     /* 1715822 */   // Label 23436: @1715822
     /* 1715822 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1715908), // Rule ID 10454 //
     /* 1715827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715873 */     // MIs[0] policy
     /* 1715873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715907 */     // GIR_Coverage, 10454,
     /* 1715907 */     GIR_EraseRootFromParent_Done,
     /* 1715908 */   // Label 23437: @1715908
     /* 1715908 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1715994), // Rule ID 10457 //
     /* 1715913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715959 */     // MIs[0] policy
     /* 1715959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715993 */     // GIR_Coverage, 10457,
     /* 1715993 */     GIR_EraseRootFromParent_Done,
     /* 1715994 */   // Label 23438: @1715994
     /* 1715994 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716080), // Rule ID 10458 //
     /* 1715999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716045 */     // MIs[0] policy
     /* 1716045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716055 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716079 */     // GIR_Coverage, 10458,
     /* 1716079 */     GIR_EraseRootFromParent_Done,
     /* 1716080 */   // Label 23439: @1716080
     /* 1716080 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1716166), // Rule ID 10461 //
     /* 1716085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716131 */     // MIs[0] policy
     /* 1716131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716165 */     // GIR_Coverage, 10461,
     /* 1716165 */     GIR_EraseRootFromParent_Done,
     /* 1716166 */   // Label 23440: @1716166
     /* 1716166 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1716252), // Rule ID 10462 //
     /* 1716171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716217 */     // MIs[0] policy
     /* 1716217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716251 */     // GIR_Coverage, 10462,
     /* 1716251 */     GIR_EraseRootFromParent_Done,
     /* 1716252 */   // Label 23441: @1716252
     /* 1716252 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1716338), // Rule ID 10465 //
     /* 1716257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716303 */     // MIs[0] policy
     /* 1716303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716337 */     // GIR_Coverage, 10465,
     /* 1716337 */     GIR_EraseRootFromParent_Done,
     /* 1716338 */   // Label 23442: @1716338
     /* 1716338 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1716424), // Rule ID 10466 //
     /* 1716343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716389 */     // MIs[0] policy
     /* 1716389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716423 */     // GIR_Coverage, 10466,
     /* 1716423 */     GIR_EraseRootFromParent_Done,
     /* 1716424 */   // Label 23443: @1716424
     /* 1716424 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1716510), // Rule ID 10469 //
     /* 1716429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716475 */     // MIs[0] policy
     /* 1716475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716509 */     // GIR_Coverage, 10469,
     /* 1716509 */     GIR_EraseRootFromParent_Done,
     /* 1716510 */   // Label 23444: @1716510
     /* 1716510 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1716596), // Rule ID 10470 //
     /* 1716515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716561 */     // MIs[0] policy
     /* 1716561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1716574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716595 */     // GIR_Coverage, 10470,
     /* 1716595 */     GIR_EraseRootFromParent_Done,
     /* 1716596 */   // Label 23445: @1716596
     /* 1716596 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1716682), // Rule ID 10473 //
     /* 1716601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716647 */     // MIs[0] policy
     /* 1716647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716681 */     // GIR_Coverage, 10473,
     /* 1716681 */     GIR_EraseRootFromParent_Done,
     /* 1716682 */   // Label 23446: @1716682
     /* 1716682 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1716768), // Rule ID 10474 //
     /* 1716687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716733 */     // MIs[0] policy
     /* 1716733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1716746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716767 */     // GIR_Coverage, 10474,
     /* 1716767 */     GIR_EraseRootFromParent_Done,
     /* 1716768 */   // Label 23447: @1716768
     /* 1716768 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1716854), // Rule ID 10477 //
     /* 1716773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716819 */     // MIs[0] policy
     /* 1716819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716853 */     // GIR_Coverage, 10477,
     /* 1716853 */     GIR_EraseRootFromParent_Done,
     /* 1716854 */   // Label 23448: @1716854
     /* 1716854 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1716940), // Rule ID 10478 //
     /* 1716859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716905 */     // MIs[0] policy
     /* 1716905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1716918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716939 */     // GIR_Coverage, 10478,
     /* 1716939 */     GIR_EraseRootFromParent_Done,
     /* 1716940 */   // Label 23449: @1716940
     /* 1716940 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717026), // Rule ID 10481 //
     /* 1716945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716991 */     // MIs[0] policy
     /* 1716991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717025 */     // GIR_Coverage, 10481,
     /* 1717025 */     GIR_EraseRootFromParent_Done,
     /* 1717026 */   // Label 23450: @1717026
     /* 1717026 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717112), // Rule ID 10482 //
     /* 1717031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717077 */     // MIs[0] policy
     /* 1717077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1717090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717111 */     // GIR_Coverage, 10482,
     /* 1717111 */     GIR_EraseRootFromParent_Done,
     /* 1717112 */   // Label 23451: @1717112
     /* 1717112 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1717198), // Rule ID 10485 //
     /* 1717117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717163 */     // MIs[0] policy
     /* 1717163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717173 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717197 */     // GIR_Coverage, 10485,
     /* 1717197 */     GIR_EraseRootFromParent_Done,
     /* 1717198 */   // Label 23452: @1717198
     /* 1717198 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1717284), // Rule ID 10486 //
     /* 1717203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717249 */     // MIs[0] policy
     /* 1717249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1717262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717283 */     // GIR_Coverage, 10486,
     /* 1717283 */     GIR_EraseRootFromParent_Done,
     /* 1717284 */   // Label 23453: @1717284
     /* 1717284 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1717370), // Rule ID 10489 //
     /* 1717289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717335 */     // MIs[0] policy
     /* 1717335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717345 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717369 */     // GIR_Coverage, 10489,
     /* 1717369 */     GIR_EraseRootFromParent_Done,
     /* 1717370 */   // Label 23454: @1717370
     /* 1717370 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1717456), // Rule ID 10490 //
     /* 1717375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717421 */     // MIs[0] policy
     /* 1717421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717455 */     // GIR_Coverage, 10490,
     /* 1717455 */     GIR_EraseRootFromParent_Done,
     /* 1717456 */   // Label 23455: @1717456
     /* 1717456 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1717542), // Rule ID 10493 //
     /* 1717461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717507 */     // MIs[0] policy
     /* 1717507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717517 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717541 */     // GIR_Coverage, 10493,
     /* 1717541 */     GIR_EraseRootFromParent_Done,
     /* 1717542 */   // Label 23456: @1717542
     /* 1717542 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1717628), // Rule ID 10494 //
     /* 1717547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717593 */     // MIs[0] policy
     /* 1717593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717627 */     // GIR_Coverage, 10494,
     /* 1717627 */     GIR_EraseRootFromParent_Done,
     /* 1717628 */   // Label 23457: @1717628
     /* 1717628 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1717714), // Rule ID 10497 //
     /* 1717633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717679 */     // MIs[0] policy
     /* 1717679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717689 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717713 */     // GIR_Coverage, 10497,
     /* 1717713 */     GIR_EraseRootFromParent_Done,
     /* 1717714 */   // Label 23458: @1717714
     /* 1717714 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1717800), // Rule ID 10498 //
     /* 1717719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717765 */     // MIs[0] policy
     /* 1717765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717775 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1717778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717799 */     // GIR_Coverage, 10498,
     /* 1717799 */     GIR_EraseRootFromParent_Done,
     /* 1717800 */   // Label 23459: @1717800
     /* 1717800 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1717886), // Rule ID 10501 //
     /* 1717805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717851 */     // MIs[0] policy
     /* 1717851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717861 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717885 */     // GIR_Coverage, 10501,
     /* 1717885 */     GIR_EraseRootFromParent_Done,
     /* 1717886 */   // Label 23460: @1717886
     /* 1717886 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1717972), // Rule ID 10502 //
     /* 1717891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717937 */     // MIs[0] policy
     /* 1717937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1717950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717971 */     // GIR_Coverage, 10502,
     /* 1717971 */     GIR_EraseRootFromParent_Done,
     /* 1717972 */   // Label 23461: @1717972
     /* 1717972 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718058), // Rule ID 10505 //
     /* 1717977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1717997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718023 */     // MIs[0] policy
     /* 1718023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718057 */     // GIR_Coverage, 10505,
     /* 1718057 */     GIR_EraseRootFromParent_Done,
     /* 1718058 */   // Label 23462: @1718058
     /* 1718058 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1718144), // Rule ID 10506 //
     /* 1718063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718109 */     // MIs[0] policy
     /* 1718109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1718122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718143 */     // GIR_Coverage, 10506,
     /* 1718143 */     GIR_EraseRootFromParent_Done,
     /* 1718144 */   // Label 23463: @1718144
     /* 1718144 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1718230), // Rule ID 10509 //
     /* 1718149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718195 */     // MIs[0] policy
     /* 1718195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718229 */     // GIR_Coverage, 10509,
     /* 1718229 */     GIR_EraseRootFromParent_Done,
     /* 1718230 */   // Label 23464: @1718230
     /* 1718230 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1718316), // Rule ID 10510 //
     /* 1718235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718281 */     // MIs[0] policy
     /* 1718281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718291 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718315 */     // GIR_Coverage, 10510,
     /* 1718315 */     GIR_EraseRootFromParent_Done,
     /* 1718316 */   // Label 23465: @1718316
     /* 1718316 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1718402), // Rule ID 10513 //
     /* 1718321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718367 */     // MIs[0] policy
     /* 1718367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718401 */     // GIR_Coverage, 10513,
     /* 1718401 */     GIR_EraseRootFromParent_Done,
     /* 1718402 */   // Label 23466: @1718402
     /* 1718402 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1718488), // Rule ID 10514 //
     /* 1718407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718453 */     // MIs[0] policy
     /* 1718453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718463 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718487 */     // GIR_Coverage, 10514,
     /* 1718487 */     GIR_EraseRootFromParent_Done,
     /* 1718488 */   // Label 23467: @1718488
     /* 1718488 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1718574), // Rule ID 10517 //
     /* 1718493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718539 */     // MIs[0] policy
     /* 1718539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718573 */     // GIR_Coverage, 10517,
     /* 1718573 */     GIR_EraseRootFromParent_Done,
     /* 1718574 */   // Label 23468: @1718574
     /* 1718574 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1718660), // Rule ID 10518 //
     /* 1718579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718625 */     // MIs[0] policy
     /* 1718625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718659 */     // GIR_Coverage, 10518,
     /* 1718659 */     GIR_EraseRootFromParent_Done,
     /* 1718660 */   // Label 23469: @1718660
     /* 1718660 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1718746), // Rule ID 10521 //
     /* 1718665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718711 */     // MIs[0] policy
     /* 1718711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718745 */     // GIR_Coverage, 10521,
     /* 1718745 */     GIR_EraseRootFromParent_Done,
     /* 1718746 */   // Label 23470: @1718746
     /* 1718746 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1718832), // Rule ID 10522 //
     /* 1718751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718797 */     // MIs[0] policy
     /* 1718797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1718810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718831 */     // GIR_Coverage, 10522,
     /* 1718831 */     GIR_EraseRootFromParent_Done,
     /* 1718832 */   // Label 23471: @1718832
     /* 1718832 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1718918), // Rule ID 10525 //
     /* 1718837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718883 */     // MIs[0] policy
     /* 1718883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718893 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718917 */     // GIR_Coverage, 10525,
     /* 1718917 */     GIR_EraseRootFromParent_Done,
     /* 1718918 */   // Label 23472: @1718918
     /* 1718918 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719004), // Rule ID 10526 //
     /* 1718923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1718943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718969 */     // MIs[0] policy
     /* 1718969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719003 */     // GIR_Coverage, 10526,
     /* 1719003 */     GIR_EraseRootFromParent_Done,
     /* 1719004 */   // Label 23473: @1719004
     /* 1719004 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719090), // Rule ID 10529 //
     /* 1719009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719055 */     // MIs[0] policy
     /* 1719055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719065 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719089 */     // GIR_Coverage, 10529,
     /* 1719089 */     GIR_EraseRootFromParent_Done,
     /* 1719090 */   // Label 23474: @1719090
     /* 1719090 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1719176), // Rule ID 10530 //
     /* 1719095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719141 */     // MIs[0] policy
     /* 1719141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719175 */     // GIR_Coverage, 10530,
     /* 1719175 */     GIR_EraseRootFromParent_Done,
     /* 1719176 */   // Label 23475: @1719176
     /* 1719176 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1719262), // Rule ID 10533 //
     /* 1719181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719227 */     // MIs[0] policy
     /* 1719227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719237 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719261 */     // GIR_Coverage, 10533,
     /* 1719261 */     GIR_EraseRootFromParent_Done,
     /* 1719262 */   // Label 23476: @1719262
     /* 1719262 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1719348), // Rule ID 10534 //
     /* 1719267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719313 */     // MIs[0] policy
     /* 1719313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719347 */     // GIR_Coverage, 10534,
     /* 1719347 */     GIR_EraseRootFromParent_Done,
     /* 1719348 */   // Label 23477: @1719348
     /* 1719348 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1719434), // Rule ID 10537 //
     /* 1719353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719399 */     // MIs[0] policy
     /* 1719399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719433 */     // GIR_Coverage, 10537,
     /* 1719433 */     GIR_EraseRootFromParent_Done,
     /* 1719434 */   // Label 23478: @1719434
     /* 1719434 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1719520), // Rule ID 10538 //
     /* 1719439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719485 */     // MIs[0] policy
     /* 1719485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719495 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719519 */     // GIR_Coverage, 10538,
     /* 1719519 */     GIR_EraseRootFromParent_Done,
     /* 1719520 */   // Label 23479: @1719520
     /* 1719520 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1719606), // Rule ID 10541 //
     /* 1719525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719571 */     // MIs[0] policy
     /* 1719571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719581 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719605 */     // GIR_Coverage, 10541,
     /* 1719605 */     GIR_EraseRootFromParent_Done,
     /* 1719606 */   // Label 23480: @1719606
     /* 1719606 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1719692), // Rule ID 10542 //
     /* 1719611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719657 */     // MIs[0] policy
     /* 1719657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719691 */     // GIR_Coverage, 10542,
     /* 1719691 */     GIR_EraseRootFromParent_Done,
     /* 1719692 */   // Label 23481: @1719692
     /* 1719692 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1719778), // Rule ID 10545 //
     /* 1719697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719743 */     // MIs[0] policy
     /* 1719743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719777 */     // GIR_Coverage, 10545,
     /* 1719777 */     GIR_EraseRootFromParent_Done,
     /* 1719778 */   // Label 23482: @1719778
     /* 1719778 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1719864), // Rule ID 10546 //
     /* 1719783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1719803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719829 */     // MIs[0] policy
     /* 1719829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719863 */     // GIR_Coverage, 10546,
     /* 1719863 */     GIR_EraseRootFromParent_Done,
     /* 1719864 */   // Label 23483: @1719864
     /* 1719864 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1719950), // Rule ID 10549 //
     /* 1719869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719915 */     // MIs[0] policy
     /* 1719915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719949 */     // GIR_Coverage, 10549,
     /* 1719949 */     GIR_EraseRootFromParent_Done,
     /* 1719950 */   // Label 23484: @1719950
     /* 1719950 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720036), // Rule ID 10550 //
     /* 1719955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1719975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720001 */     // MIs[0] policy
     /* 1720001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720035 */     // GIR_Coverage, 10550,
     /* 1720035 */     GIR_EraseRootFromParent_Done,
     /* 1720036 */   // Label 23485: @1720036
     /* 1720036 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720122), // Rule ID 10553 //
     /* 1720041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720087 */     // MIs[0] policy
     /* 1720087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720121 */     // GIR_Coverage, 10553,
     /* 1720121 */     GIR_EraseRootFromParent_Done,
     /* 1720122 */   // Label 23486: @1720122
     /* 1720122 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1720208), // Rule ID 10554 //
     /* 1720127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720173 */     // MIs[0] policy
     /* 1720173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720207 */     // GIR_Coverage, 10554,
     /* 1720207 */     GIR_EraseRootFromParent_Done,
     /* 1720208 */   // Label 23487: @1720208
     /* 1720208 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1720294), // Rule ID 10557 //
     /* 1720213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720259 */     // MIs[0] policy
     /* 1720259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720293 */     // GIR_Coverage, 10557,
     /* 1720293 */     GIR_EraseRootFromParent_Done,
     /* 1720294 */   // Label 23488: @1720294
     /* 1720294 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1720380), // Rule ID 10558 //
     /* 1720299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720345 */     // MIs[0] policy
     /* 1720345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720379 */     // GIR_Coverage, 10558,
     /* 1720379 */     GIR_EraseRootFromParent_Done,
     /* 1720380 */   // Label 23489: @1720380
     /* 1720380 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1720466), // Rule ID 10561 //
     /* 1720385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720431 */     // MIs[0] policy
     /* 1720431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720441 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720465 */     // GIR_Coverage, 10561,
     /* 1720465 */     GIR_EraseRootFromParent_Done,
     /* 1720466 */   // Label 23490: @1720466
     /* 1720466 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1720552), // Rule ID 10562 //
     /* 1720471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720517 */     // MIs[0] policy
     /* 1720517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1720530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720551 */     // GIR_Coverage, 10562,
     /* 1720551 */     GIR_EraseRootFromParent_Done,
     /* 1720552 */   // Label 23491: @1720552
     /* 1720552 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1720638), // Rule ID 10565 //
     /* 1720557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720603 */     // MIs[0] policy
     /* 1720603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720613 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720637 */     // GIR_Coverage, 10565,
     /* 1720637 */     GIR_EraseRootFromParent_Done,
     /* 1720638 */   // Label 23492: @1720638
     /* 1720638 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1720724), // Rule ID 10566 //
     /* 1720643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1720663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720689 */     // MIs[0] policy
     /* 1720689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1720702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720723 */     // GIR_Coverage, 10566,
     /* 1720723 */     GIR_EraseRootFromParent_Done,
     /* 1720724 */   // Label 23493: @1720724
     /* 1720724 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1720810), // Rule ID 10569 //
     /* 1720729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720775 */     // MIs[0] policy
     /* 1720775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720809 */     // GIR_Coverage, 10569,
     /* 1720809 */     GIR_EraseRootFromParent_Done,
     /* 1720810 */   // Label 23494: @1720810
     /* 1720810 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1720896), // Rule ID 10570 //
     /* 1720815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1720835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720861 */     // MIs[0] policy
     /* 1720861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1720874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720895 */     // GIR_Coverage, 10570,
     /* 1720895 */     GIR_EraseRootFromParent_Done,
     /* 1720896 */   // Label 23495: @1720896
     /* 1720896 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1720982), // Rule ID 10573 //
     /* 1720901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720947 */     // MIs[0] policy
     /* 1720947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720957 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1720960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720981 */     // GIR_Coverage, 10573,
     /* 1720981 */     GIR_EraseRootFromParent_Done,
     /* 1720982 */   // Label 23496: @1720982
     /* 1720982 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721068), // Rule ID 10574 //
     /* 1720987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721033 */     // MIs[0] policy
     /* 1721033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1721046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721067 */     // GIR_Coverage, 10574,
     /* 1721067 */     GIR_EraseRootFromParent_Done,
     /* 1721068 */   // Label 23497: @1721068
     /* 1721068 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1721154), // Rule ID 10577 //
     /* 1721073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721119 */     // MIs[0] policy
     /* 1721119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721129 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721153 */     // GIR_Coverage, 10577,
     /* 1721153 */     GIR_EraseRootFromParent_Done,
     /* 1721154 */   // Label 23498: @1721154
     /* 1721154 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1721240), // Rule ID 10578 //
     /* 1721159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721205 */     // MIs[0] policy
     /* 1721205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721239 */     // GIR_Coverage, 10578,
     /* 1721239 */     GIR_EraseRootFromParent_Done,
     /* 1721240 */   // Label 23499: @1721240
     /* 1721240 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1721326), // Rule ID 10581 //
     /* 1721245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721291 */     // MIs[0] policy
     /* 1721291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721301 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721325 */     // GIR_Coverage, 10581,
     /* 1721325 */     GIR_EraseRootFromParent_Done,
     /* 1721326 */   // Label 23500: @1721326
     /* 1721326 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1721412), // Rule ID 10582 //
     /* 1721331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721377 */     // MIs[0] policy
     /* 1721377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721411 */     // GIR_Coverage, 10582,
     /* 1721411 */     GIR_EraseRootFromParent_Done,
     /* 1721412 */   // Label 23501: @1721412
     /* 1721412 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1721498), // Rule ID 10585 //
     /* 1721417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721463 */     // MIs[0] policy
     /* 1721463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721473 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721497 */     // GIR_Coverage, 10585,
     /* 1721497 */     GIR_EraseRootFromParent_Done,
     /* 1721498 */   // Label 23502: @1721498
     /* 1721498 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1721584), // Rule ID 10586 //
     /* 1721503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721549 */     // MIs[0] policy
     /* 1721549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1721562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721583 */     // GIR_Coverage, 10586,
     /* 1721583 */     GIR_EraseRootFromParent_Done,
     /* 1721584 */   // Label 23503: @1721584
     /* 1721584 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1721670), // Rule ID 10589 //
     /* 1721589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721635 */     // MIs[0] policy
     /* 1721635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721645 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721669 */     // GIR_Coverage, 10589,
     /* 1721669 */     GIR_EraseRootFromParent_Done,
     /* 1721670 */   // Label 23504: @1721670
     /* 1721670 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1721756), // Rule ID 10590 //
     /* 1721675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721721 */     // MIs[0] policy
     /* 1721721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721755 */     // GIR_Coverage, 10590,
     /* 1721755 */     GIR_EraseRootFromParent_Done,
     /* 1721756 */   // Label 23505: @1721756
     /* 1721756 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1721842), // Rule ID 10593 //
     /* 1721761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721807 */     // MIs[0] policy
     /* 1721807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721841 */     // GIR_Coverage, 10593,
     /* 1721841 */     GIR_EraseRootFromParent_Done,
     /* 1721842 */   // Label 23506: @1721842
     /* 1721842 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1721928), // Rule ID 10594 //
     /* 1721847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721893 */     // MIs[0] policy
     /* 1721893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1721906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721927 */     // GIR_Coverage, 10594,
     /* 1721927 */     GIR_EraseRootFromParent_Done,
     /* 1721928 */   // Label 23507: @1721928
     /* 1721928 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722014), // Rule ID 10597 //
     /* 1721933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721979 */     // MIs[0] policy
     /* 1721979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722013 */     // GIR_Coverage, 10597,
     /* 1722013 */     GIR_EraseRootFromParent_Done,
     /* 1722014 */   // Label 23508: @1722014
     /* 1722014 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722100), // Rule ID 10598 //
     /* 1722019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722065 */     // MIs[0] policy
     /* 1722065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722099 */     // GIR_Coverage, 10598,
     /* 1722099 */     GIR_EraseRootFromParent_Done,
     /* 1722100 */   // Label 23509: @1722100
     /* 1722100 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1722186), // Rule ID 10601 //
     /* 1722105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722151 */     // MIs[0] policy
     /* 1722151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722185 */     // GIR_Coverage, 10601,
     /* 1722185 */     GIR_EraseRootFromParent_Done,
     /* 1722186 */   // Label 23510: @1722186
     /* 1722186 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1722272), // Rule ID 10602 //
     /* 1722191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722237 */     // MIs[0] policy
     /* 1722237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722271 */     // GIR_Coverage, 10602,
     /* 1722271 */     GIR_EraseRootFromParent_Done,
     /* 1722272 */   // Label 23511: @1722272
     /* 1722272 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1722358), // Rule ID 10605 //
     /* 1722277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722323 */     // MIs[0] policy
     /* 1722323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722357 */     // GIR_Coverage, 10605,
     /* 1722357 */     GIR_EraseRootFromParent_Done,
     /* 1722358 */   // Label 23512: @1722358
     /* 1722358 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1722444), // Rule ID 10606 //
     /* 1722363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722409 */     // MIs[0] policy
     /* 1722409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722443 */     // GIR_Coverage, 10606,
     /* 1722443 */     GIR_EraseRootFromParent_Done,
     /* 1722444 */   // Label 23513: @1722444
     /* 1722444 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1722530), // Rule ID 10609 //
     /* 1722449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722495 */     // MIs[0] policy
     /* 1722495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722529 */     // GIR_Coverage, 10609,
     /* 1722529 */     GIR_EraseRootFromParent_Done,
     /* 1722530 */   // Label 23514: @1722530
     /* 1722530 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1722616), // Rule ID 10610 //
     /* 1722535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722581 */     // MIs[0] policy
     /* 1722581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1722594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722615 */     // GIR_Coverage, 10610,
     /* 1722615 */     GIR_EraseRootFromParent_Done,
     /* 1722616 */   // Label 23515: @1722616
     /* 1722616 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1722702), // Rule ID 10613 //
     /* 1722621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722667 */     // MIs[0] policy
     /* 1722667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722701 */     // GIR_Coverage, 10613,
     /* 1722701 */     GIR_EraseRootFromParent_Done,
     /* 1722702 */   // Label 23516: @1722702
     /* 1722702 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1722788), // Rule ID 10614 //
     /* 1722707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722753 */     // MIs[0] policy
     /* 1722753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722787 */     // GIR_Coverage, 10614,
     /* 1722787 */     GIR_EraseRootFromParent_Done,
     /* 1722788 */   // Label 23517: @1722788
     /* 1722788 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1722874), // Rule ID 10617 //
     /* 1722793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722839 */     // MIs[0] policy
     /* 1722839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722849 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722873 */     // GIR_Coverage, 10617,
     /* 1722873 */     GIR_EraseRootFromParent_Done,
     /* 1722874 */   // Label 23518: @1722874
     /* 1722874 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1722960), // Rule ID 10618 //
     /* 1722879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722925 */     // MIs[0] policy
     /* 1722925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722935 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722959 */     // GIR_Coverage, 10618,
     /* 1722959 */     GIR_EraseRootFromParent_Done,
     /* 1722960 */   // Label 23519: @1722960
     /* 1722960 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723046), // Rule ID 10621 //
     /* 1722965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723011 */     // MIs[0] policy
     /* 1723011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723021 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723045 */     // GIR_Coverage, 10621,
     /* 1723045 */     GIR_EraseRootFromParent_Done,
     /* 1723046 */   // Label 23520: @1723046
     /* 1723046 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1723132), // Rule ID 10622 //
     /* 1723051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723097 */     // MIs[0] policy
     /* 1723097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723107 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723131 */     // GIR_Coverage, 10622,
     /* 1723131 */     GIR_EraseRootFromParent_Done,
     /* 1723132 */   // Label 23521: @1723132
     /* 1723132 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1723218), // Rule ID 10625 //
     /* 1723137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723183 */     // MIs[0] policy
     /* 1723183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723217 */     // GIR_Coverage, 10625,
     /* 1723217 */     GIR_EraseRootFromParent_Done,
     /* 1723218 */   // Label 23522: @1723218
     /* 1723218 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1723304), // Rule ID 10626 //
     /* 1723223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723269 */     // MIs[0] policy
     /* 1723269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723279 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723303 */     // GIR_Coverage, 10626,
     /* 1723303 */     GIR_EraseRootFromParent_Done,
     /* 1723304 */   // Label 23523: @1723304
     /* 1723304 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1723390), // Rule ID 10629 //
     /* 1723309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723355 */     // MIs[0] policy
     /* 1723355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723365 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723389 */     // GIR_Coverage, 10629,
     /* 1723389 */     GIR_EraseRootFromParent_Done,
     /* 1723390 */   // Label 23524: @1723390
     /* 1723390 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1723476), // Rule ID 10630 //
     /* 1723395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723441 */     // MIs[0] policy
     /* 1723441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723475 */     // GIR_Coverage, 10630,
     /* 1723475 */     GIR_EraseRootFromParent_Done,
     /* 1723476 */   // Label 23525: @1723476
     /* 1723476 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1723562), // Rule ID 10633 //
     /* 1723481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723527 */     // MIs[0] policy
     /* 1723527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723561 */     // GIR_Coverage, 10633,
     /* 1723561 */     GIR_EraseRootFromParent_Done,
     /* 1723562 */   // Label 23526: @1723562
     /* 1723562 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1723648), // Rule ID 10634 //
     /* 1723567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723613 */     // MIs[0] policy
     /* 1723613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723647 */     // GIR_Coverage, 10634,
     /* 1723647 */     GIR_EraseRootFromParent_Done,
     /* 1723648 */   // Label 23527: @1723648
     /* 1723648 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1723734), // Rule ID 10637 //
     /* 1723653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723699 */     // MIs[0] policy
     /* 1723699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723733 */     // GIR_Coverage, 10637,
     /* 1723733 */     GIR_EraseRootFromParent_Done,
     /* 1723734 */   // Label 23528: @1723734
     /* 1723734 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1723820), // Rule ID 10638 //
     /* 1723739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723785 */     // MIs[0] policy
     /* 1723785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723819 */     // GIR_Coverage, 10638,
     /* 1723819 */     GIR_EraseRootFromParent_Done,
     /* 1723820 */   // Label 23529: @1723820
     /* 1723820 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1723906), // Rule ID 10641 //
     /* 1723825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723871 */     // MIs[0] policy
     /* 1723871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723905 */     // GIR_Coverage, 10641,
     /* 1723905 */     GIR_EraseRootFromParent_Done,
     /* 1723906 */   // Label 23530: @1723906
     /* 1723906 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1723992), // Rule ID 10642 //
     /* 1723911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723957 */     // MIs[0] policy
     /* 1723957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723991 */     // GIR_Coverage, 10642,
     /* 1723991 */     GIR_EraseRootFromParent_Done,
     /* 1723992 */   // Label 23531: @1723992
     /* 1723992 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724078), // Rule ID 10645 //
     /* 1723997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724043 */     // MIs[0] policy
     /* 1724043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724077 */     // GIR_Coverage, 10645,
     /* 1724077 */     GIR_EraseRootFromParent_Done,
     /* 1724078 */   // Label 23532: @1724078
     /* 1724078 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1724164), // Rule ID 10646 //
     /* 1724083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724129 */     // MIs[0] policy
     /* 1724129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724163 */     // GIR_Coverage, 10646,
     /* 1724163 */     GIR_EraseRootFromParent_Done,
     /* 1724164 */   // Label 23533: @1724164
     /* 1724164 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1724250), // Rule ID 10649 //
     /* 1724169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724215 */     // MIs[0] policy
     /* 1724215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724249 */     // GIR_Coverage, 10649,
     /* 1724249 */     GIR_EraseRootFromParent_Done,
     /* 1724250 */   // Label 23534: @1724250
     /* 1724250 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1724336), // Rule ID 10650 //
     /* 1724255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724301 */     // MIs[0] policy
     /* 1724301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724311 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11336:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1724314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724335 */     // GIR_Coverage, 10650,
     /* 1724335 */     GIR_EraseRootFromParent_Done,
     /* 1724336 */   // Label 23535: @1724336
     /* 1724336 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1724422), // Rule ID 10653 //
     /* 1724341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724387 */     // MIs[0] policy
     /* 1724387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724421 */     // GIR_Coverage, 10653,
     /* 1724421 */     GIR_EraseRootFromParent_Done,
     /* 1724422 */   // Label 23536: @1724422
     /* 1724422 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1724508), // Rule ID 10654 //
     /* 1724427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724473 */     // MIs[0] policy
     /* 1724473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11336:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1724486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724507 */     // GIR_Coverage, 10654,
     /* 1724507 */     GIR_EraseRootFromParent_Done,
     /* 1724508 */   // Label 23537: @1724508
     /* 1724508 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1724594), // Rule ID 10657 //
     /* 1724513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724559 */     // MIs[0] policy
     /* 1724559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724593 */     // GIR_Coverage, 10657,
     /* 1724593 */     GIR_EraseRootFromParent_Done,
     /* 1724594 */   // Label 23538: @1724594
     /* 1724594 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1724680), // Rule ID 10658 //
     /* 1724599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724645 */     // MIs[0] policy
     /* 1724645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724655 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11336:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1724658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724679 */     // GIR_Coverage, 10658,
     /* 1724679 */     GIR_EraseRootFromParent_Done,
     /* 1724680 */   // Label 23539: @1724680
     /* 1724680 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1724766), // Rule ID 10661 //
     /* 1724685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724731 */     // MIs[0] policy
     /* 1724731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724741 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1724744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724765 */     // GIR_Coverage, 10661,
     /* 1724765 */     GIR_EraseRootFromParent_Done,
     /* 1724766 */   // Label 23540: @1724766
     /* 1724766 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1724852), // Rule ID 10662 //
     /* 1724771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1724791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724817 */     // MIs[0] policy
     /* 1724817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1724830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724851 */     // GIR_Coverage, 10662,
     /* 1724851 */     GIR_EraseRootFromParent_Done,
     /* 1724852 */   // Label 23541: @1724852
     /* 1724852 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1724938), // Rule ID 10665 //
     /* 1724857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724903 */     // MIs[0] policy
     /* 1724903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724913 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1724916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724937 */     // GIR_Coverage, 10665,
     /* 1724937 */     GIR_EraseRootFromParent_Done,
     /* 1724938 */   // Label 23542: @1724938
     /* 1724938 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725024), // Rule ID 10666 //
     /* 1724943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1724963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724989 */     // MIs[0] policy
     /* 1724989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725023 */     // GIR_Coverage, 10666,
     /* 1725023 */     GIR_EraseRootFromParent_Done,
     /* 1725024 */   // Label 23543: @1725024
     /* 1725024 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725110), // Rule ID 10669 //
     /* 1725029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725075 */     // MIs[0] policy
     /* 1725075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725109 */     // GIR_Coverage, 10669,
     /* 1725109 */     GIR_EraseRootFromParent_Done,
     /* 1725110 */   // Label 23544: @1725110
     /* 1725110 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1725196), // Rule ID 10670 //
     /* 1725115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725161 */     // MIs[0] policy
     /* 1725161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725195 */     // GIR_Coverage, 10670,
     /* 1725195 */     GIR_EraseRootFromParent_Done,
     /* 1725196 */   // Label 23545: @1725196
     /* 1725196 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1725282), // Rule ID 10673 //
     /* 1725201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725247 */     // MIs[0] policy
     /* 1725247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725281 */     // GIR_Coverage, 10673,
     /* 1725281 */     GIR_EraseRootFromParent_Done,
     /* 1725282 */   // Label 23546: @1725282
     /* 1725282 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1725368), // Rule ID 10674 //
     /* 1725287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1725307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725333 */     // MIs[0] policy
     /* 1725333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1725346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725367 */     // GIR_Coverage, 10674,
     /* 1725367 */     GIR_EraseRootFromParent_Done,
     /* 1725368 */   // Label 23547: @1725368
     /* 1725368 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1725454), // Rule ID 10677 //
     /* 1725373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725419 */     // MIs[0] policy
     /* 1725419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725453 */     // GIR_Coverage, 10677,
     /* 1725453 */     GIR_EraseRootFromParent_Done,
     /* 1725454 */   // Label 23548: @1725454
     /* 1725454 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1725540), // Rule ID 10678 //
     /* 1725459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1725479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725505 */     // MIs[0] policy
     /* 1725505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725539 */     // GIR_Coverage, 10678,
     /* 1725539 */     GIR_EraseRootFromParent_Done,
     /* 1725540 */   // Label 23549: @1725540
     /* 1725540 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1725626), // Rule ID 10681 //
     /* 1725545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725591 */     // MIs[0] policy
     /* 1725591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725625 */     // GIR_Coverage, 10681,
     /* 1725625 */     GIR_EraseRootFromParent_Done,
     /* 1725626 */   // Label 23550: @1725626
     /* 1725626 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1725712), // Rule ID 10682 //
     /* 1725631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1725651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725677 */     // MIs[0] policy
     /* 1725677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1725690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725711 */     // GIR_Coverage, 10682,
     /* 1725711 */     GIR_EraseRootFromParent_Done,
     /* 1725712 */   // Label 23551: @1725712
     /* 1725712 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1725798), // Rule ID 10685 //
     /* 1725717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725763 */     // MIs[0] policy
     /* 1725763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725797 */     // GIR_Coverage, 10685,
     /* 1725797 */     GIR_EraseRootFromParent_Done,
     /* 1725798 */   // Label 23552: @1725798
     /* 1725798 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1725884), // Rule ID 10686 //
     /* 1725803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1725823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725849 */     // MIs[0] policy
     /* 1725849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725883 */     // GIR_Coverage, 10686,
     /* 1725883 */     GIR_EraseRootFromParent_Done,
     /* 1725884 */   // Label 23553: @1725884
     /* 1725884 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1725970), // Rule ID 10689 //
     /* 1725889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725935 */     // MIs[0] policy
     /* 1725935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725969 */     // GIR_Coverage, 10689,
     /* 1725969 */     GIR_EraseRootFromParent_Done,
     /* 1725970 */   // Label 23554: @1725970
     /* 1725970 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726056), // Rule ID 10690 //
     /* 1725975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1725995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726021 */     // MIs[0] policy
     /* 1726021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726055 */     // GIR_Coverage, 10690,
     /* 1726055 */     GIR_EraseRootFromParent_Done,
     /* 1726056 */   // Label 23555: @1726056
     /* 1726056 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1726142), // Rule ID 10693 //
     /* 1726061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726107 */     // MIs[0] policy
     /* 1726107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726141 */     // GIR_Coverage, 10693,
     /* 1726141 */     GIR_EraseRootFromParent_Done,
     /* 1726142 */   // Label 23556: @1726142
     /* 1726142 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1726228), // Rule ID 10694 //
     /* 1726147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726193 */     // MIs[0] policy
     /* 1726193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726227 */     // GIR_Coverage, 10694,
     /* 1726227 */     GIR_EraseRootFromParent_Done,
     /* 1726228 */   // Label 23557: @1726228
     /* 1726228 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1726314), // Rule ID 10697 //
     /* 1726233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726279 */     // MIs[0] policy
     /* 1726279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726313 */     // GIR_Coverage, 10697,
     /* 1726313 */     GIR_EraseRootFromParent_Done,
     /* 1726314 */   // Label 23558: @1726314
     /* 1726314 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1726400), // Rule ID 10698 //
     /* 1726319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1726339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726365 */     // MIs[0] policy
     /* 1726365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1726378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726399 */     // GIR_Coverage, 10698,
     /* 1726399 */     GIR_EraseRootFromParent_Done,
     /* 1726400 */   // Label 23559: @1726400
     /* 1726400 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1726486), // Rule ID 10701 //
     /* 1726405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726451 */     // MIs[0] policy
     /* 1726451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726485 */     // GIR_Coverage, 10701,
     /* 1726485 */     GIR_EraseRootFromParent_Done,
     /* 1726486 */   // Label 23560: @1726486
     /* 1726486 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1726572), // Rule ID 10702 //
     /* 1726491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1726511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726537 */     // MIs[0] policy
     /* 1726537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726571 */     // GIR_Coverage, 10702,
     /* 1726571 */     GIR_EraseRootFromParent_Done,
     /* 1726572 */   // Label 23561: @1726572
     /* 1726572 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1726658), // Rule ID 10705 //
     /* 1726577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726623 */     // MIs[0] policy
     /* 1726623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726657 */     // GIR_Coverage, 10705,
     /* 1726657 */     GIR_EraseRootFromParent_Done,
     /* 1726658 */   // Label 23562: @1726658
     /* 1726658 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1726744), // Rule ID 10706 //
     /* 1726663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1726683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726709 */     // MIs[0] policy
     /* 1726709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726743 */     // GIR_Coverage, 10706,
     /* 1726743 */     GIR_EraseRootFromParent_Done,
     /* 1726744 */   // Label 23563: @1726744
     /* 1726744 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1726830), // Rule ID 10709 //
     /* 1726749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726795 */     // MIs[0] policy
     /* 1726795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726805 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726829 */     // GIR_Coverage, 10709,
     /* 1726829 */     GIR_EraseRootFromParent_Done,
     /* 1726830 */   // Label 23564: @1726830
     /* 1726830 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1726916), // Rule ID 10710 //
     /* 1726835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1726855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726881 */     // MIs[0] policy
     /* 1726881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726891 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726915 */     // GIR_Coverage, 10710,
     /* 1726915 */     GIR_EraseRootFromParent_Done,
     /* 1726916 */   // Label 23565: @1726916
     /* 1726916 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727002), // Rule ID 10713 //
     /* 1726921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1726941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726967 */     // MIs[0] policy
     /* 1726967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726977 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727001 */     // GIR_Coverage, 10713,
     /* 1727001 */     GIR_EraseRootFromParent_Done,
     /* 1727002 */   // Label 23566: @1727002
     /* 1727002 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727088), // Rule ID 10714 //
     /* 1727007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727053 */     // MIs[0] policy
     /* 1727053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727087 */     // GIR_Coverage, 10714,
     /* 1727087 */     GIR_EraseRootFromParent_Done,
     /* 1727088 */   // Label 23567: @1727088
     /* 1727088 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1727174), // Rule ID 10717 //
     /* 1727093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727139 */     // MIs[0] policy
     /* 1727139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727173 */     // GIR_Coverage, 10717,
     /* 1727173 */     GIR_EraseRootFromParent_Done,
     /* 1727174 */   // Label 23568: @1727174
     /* 1727174 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1727260), // Rule ID 10718 //
     /* 1727179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727225 */     // MIs[0] policy
     /* 1727225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727259 */     // GIR_Coverage, 10718,
     /* 1727259 */     GIR_EraseRootFromParent_Done,
     /* 1727260 */   // Label 23569: @1727260
     /* 1727260 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1727346), // Rule ID 10721 //
     /* 1727265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727311 */     // MIs[0] policy
     /* 1727311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727345 */     // GIR_Coverage, 10721,
     /* 1727345 */     GIR_EraseRootFromParent_Done,
     /* 1727346 */   // Label 23570: @1727346
     /* 1727346 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1727432), // Rule ID 10722 //
     /* 1727351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1727371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727397 */     // MIs[0] policy
     /* 1727397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727431 */     // GIR_Coverage, 10722,
     /* 1727431 */     GIR_EraseRootFromParent_Done,
     /* 1727432 */   // Label 23571: @1727432
     /* 1727432 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1727518), // Rule ID 10725 //
     /* 1727437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727483 */     // MIs[0] policy
     /* 1727483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727517 */     // GIR_Coverage, 10725,
     /* 1727517 */     GIR_EraseRootFromParent_Done,
     /* 1727518 */   // Label 23572: @1727518
     /* 1727518 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1727604), // Rule ID 10726 //
     /* 1727523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1727543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727569 */     // MIs[0] policy
     /* 1727569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1727582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727603 */     // GIR_Coverage, 10726,
     /* 1727603 */     GIR_EraseRootFromParent_Done,
     /* 1727604 */   // Label 23573: @1727604
     /* 1727604 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1727690), // Rule ID 10729 //
     /* 1727609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727655 */     // MIs[0] policy
     /* 1727655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727689 */     // GIR_Coverage, 10729,
     /* 1727689 */     GIR_EraseRootFromParent_Done,
     /* 1727690 */   // Label 23574: @1727690
     /* 1727690 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1727776), // Rule ID 10730 //
     /* 1727695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1727715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727741 */     // MIs[0] policy
     /* 1727741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727775 */     // GIR_Coverage, 10730,
     /* 1727775 */     GIR_EraseRootFromParent_Done,
     /* 1727776 */   // Label 23575: @1727776
     /* 1727776 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1727862), // Rule ID 10733 //
     /* 1727781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727827 */     // MIs[0] policy
     /* 1727827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727837 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727861 */     // GIR_Coverage, 10733,
     /* 1727861 */     GIR_EraseRootFromParent_Done,
     /* 1727862 */   // Label 23576: @1727862
     /* 1727862 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1727948), // Rule ID 10734 //
     /* 1727867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1727887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727913 */     // MIs[0] policy
     /* 1727913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727947 */     // GIR_Coverage, 10734,
     /* 1727947 */     GIR_EraseRootFromParent_Done,
     /* 1727948 */   // Label 23577: @1727948
     /* 1727948 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728034), // Rule ID 10737 //
     /* 1727953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1727973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727999 */     // MIs[0] policy
     /* 1727999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728033 */     // GIR_Coverage, 10737,
     /* 1728033 */     GIR_EraseRootFromParent_Done,
     /* 1728034 */   // Label 23578: @1728034
     /* 1728034 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728120), // Rule ID 10738 //
     /* 1728039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728085 */     // MIs[0] policy
     /* 1728085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1728098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728119 */     // GIR_Coverage, 10738,
     /* 1728119 */     GIR_EraseRootFromParent_Done,
     /* 1728120 */   // Label 23579: @1728120
     /* 1728120 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1728206), // Rule ID 10741 //
     /* 1728125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728171 */     // MIs[0] policy
     /* 1728171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728181 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728205 */     // GIR_Coverage, 10741,
     /* 1728205 */     GIR_EraseRootFromParent_Done,
     /* 1728206 */   // Label 23580: @1728206
     /* 1728206 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1728292), // Rule ID 10742 //
     /* 1728211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1728231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728257 */     // MIs[0] policy
     /* 1728257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1728270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728291 */     // GIR_Coverage, 10742,
     /* 1728291 */     GIR_EraseRootFromParent_Done,
     /* 1728292 */   // Label 23581: @1728292
     /* 1728292 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1728378), // Rule ID 10745 //
     /* 1728297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728343 */     // MIs[0] policy
     /* 1728343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728377 */     // GIR_Coverage, 10745,
     /* 1728377 */     GIR_EraseRootFromParent_Done,
     /* 1728378 */   // Label 23582: @1728378
     /* 1728378 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1728464), // Rule ID 10746 //
     /* 1728383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1728403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728429 */     // MIs[0] policy
     /* 1728429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728439 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1728442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728463 */     // GIR_Coverage, 10746,
     /* 1728463 */     GIR_EraseRootFromParent_Done,
     /* 1728464 */   // Label 23583: @1728464
     /* 1728464 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1728550), // Rule ID 10749 //
     /* 1728469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728515 */     // MIs[0] policy
     /* 1728515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728525 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728549 */     // GIR_Coverage, 10749,
     /* 1728549 */     GIR_EraseRootFromParent_Done,
     /* 1728550 */   // Label 23584: @1728550
     /* 1728550 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1728636), // Rule ID 10750 //
     /* 1728555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728601 */     // MIs[0] policy
     /* 1728601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1728614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728635 */     // GIR_Coverage, 10750,
     /* 1728635 */     GIR_EraseRootFromParent_Done,
     /* 1728636 */   // Label 23585: @1728636
     /* 1728636 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1728722), // Rule ID 10753 //
     /* 1728641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728687 */     // MIs[0] policy
     /* 1728687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1728700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728721 */     // GIR_Coverage, 10753,
     /* 1728721 */     GIR_EraseRootFromParent_Done,
     /* 1728722 */   // Label 23586: @1728722
     /* 1728722 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1728808), // Rule ID 10754 //
     /* 1728727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728773 */     // MIs[0] policy
     /* 1728773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1728786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728807 */     // GIR_Coverage, 10754,
     /* 1728807 */     GIR_EraseRootFromParent_Done,
     /* 1728808 */   // Label 23587: @1728808
     /* 1728808 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1728894), // Rule ID 10757 //
     /* 1728813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728859 */     // MIs[0] policy
     /* 1728859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728893 */     // GIR_Coverage, 10757,
     /* 1728893 */     GIR_EraseRootFromParent_Done,
     /* 1728894 */   // Label 23588: @1728894
     /* 1728894 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1728980), // Rule ID 10758 //
     /* 1728899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728945 */     // MIs[0] policy
     /* 1728945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728979 */     // GIR_Coverage, 10758,
     /* 1728979 */     GIR_EraseRootFromParent_Done,
     /* 1728980 */   // Label 23589: @1728980
     /* 1728980 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729066), // Rule ID 10761 //
     /* 1728985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1728999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729031 */     // MIs[0] policy
     /* 1729031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729041 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729065 */     // GIR_Coverage, 10761,
     /* 1729065 */     GIR_EraseRootFromParent_Done,
     /* 1729066 */   // Label 23590: @1729066
     /* 1729066 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1729152), // Rule ID 10762 //
     /* 1729071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729117 */     // MIs[0] policy
     /* 1729117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1729130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729151 */     // GIR_Coverage, 10762,
     /* 1729151 */     GIR_EraseRootFromParent_Done,
     /* 1729152 */   // Label 23591: @1729152
     /* 1729152 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1729238), // Rule ID 10765 //
     /* 1729157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729203 */     // MIs[0] policy
     /* 1729203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729213 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729237 */     // GIR_Coverage, 10765,
     /* 1729237 */     GIR_EraseRootFromParent_Done,
     /* 1729238 */   // Label 23592: @1729238
     /* 1729238 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1729324), // Rule ID 10766 //
     /* 1729243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729289 */     // MIs[0] policy
     /* 1729289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729323 */     // GIR_Coverage, 10766,
     /* 1729323 */     GIR_EraseRootFromParent_Done,
     /* 1729324 */   // Label 23593: @1729324
     /* 1729324 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1729410), // Rule ID 10769 //
     /* 1729329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729375 */     // MIs[0] policy
     /* 1729375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729385 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729409 */     // GIR_Coverage, 10769,
     /* 1729409 */     GIR_EraseRootFromParent_Done,
     /* 1729410 */   // Label 23594: @1729410
     /* 1729410 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1729496), // Rule ID 10770 //
     /* 1729415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729461 */     // MIs[0] policy
     /* 1729461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1729474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729495 */     // GIR_Coverage, 10770,
     /* 1729495 */     GIR_EraseRootFromParent_Done,
     /* 1729496 */   // Label 23595: @1729496
     /* 1729496 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1729582), // Rule ID 10773 //
     /* 1729501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729547 */     // MIs[0] policy
     /* 1729547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729581 */     // GIR_Coverage, 10773,
     /* 1729581 */     GIR_EraseRootFromParent_Done,
     /* 1729582 */   // Label 23596: @1729582
     /* 1729582 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1729668), // Rule ID 10774 //
     /* 1729587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729633 */     // MIs[0] policy
     /* 1729633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729667 */     // GIR_Coverage, 10774,
     /* 1729667 */     GIR_EraseRootFromParent_Done,
     /* 1729668 */   // Label 23597: @1729668
     /* 1729668 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1729754), // Rule ID 10777 //
     /* 1729673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729719 */     // MIs[0] policy
     /* 1729719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729753 */     // GIR_Coverage, 10777,
     /* 1729753 */     GIR_EraseRootFromParent_Done,
     /* 1729754 */   // Label 23598: @1729754
     /* 1729754 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1729840), // Rule ID 10778 //
     /* 1729759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729805 */     // MIs[0] policy
     /* 1729805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729839 */     // GIR_Coverage, 10778,
     /* 1729839 */     GIR_EraseRootFromParent_Done,
     /* 1729840 */   // Label 23599: @1729840
     /* 1729840 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1729926), // Rule ID 10781 //
     /* 1729845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729891 */     // MIs[0] policy
     /* 1729891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729901 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729925 */     // GIR_Coverage, 10781,
     /* 1729925 */     GIR_EraseRootFromParent_Done,
     /* 1729926 */   // Label 23600: @1729926
     /* 1729926 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730012), // Rule ID 10782 //
     /* 1729931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729977 */     // MIs[0] policy
     /* 1729977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1729990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730011 */     // GIR_Coverage, 10782,
     /* 1730011 */     GIR_EraseRootFromParent_Done,
     /* 1730012 */   // Label 23601: @1730012
     /* 1730012 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730098), // Rule ID 10785 //
     /* 1730017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730063 */     // MIs[0] policy
     /* 1730063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730097 */     // GIR_Coverage, 10785,
     /* 1730097 */     GIR_EraseRootFromParent_Done,
     /* 1730098 */   // Label 23602: @1730098
     /* 1730098 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1730184), // Rule ID 10786 //
     /* 1730103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730149 */     // MIs[0] policy
     /* 1730149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1730162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730183 */     // GIR_Coverage, 10786,
     /* 1730183 */     GIR_EraseRootFromParent_Done,
     /* 1730184 */   // Label 23603: @1730184
     /* 1730184 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1730270), // Rule ID 10789 //
     /* 1730189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730235 */     // MIs[0] policy
     /* 1730235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730245 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730269 */     // GIR_Coverage, 10789,
     /* 1730269 */     GIR_EraseRootFromParent_Done,
     /* 1730270 */   // Label 23604: @1730270
     /* 1730270 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1730356), // Rule ID 10790 //
     /* 1730275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730321 */     // MIs[0] policy
     /* 1730321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730355 */     // GIR_Coverage, 10790,
     /* 1730355 */     GIR_EraseRootFromParent_Done,
     /* 1730356 */   // Label 23605: @1730356
     /* 1730356 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1730442), // Rule ID 10793 //
     /* 1730361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730407 */     // MIs[0] policy
     /* 1730407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730441 */     // GIR_Coverage, 10793,
     /* 1730441 */     GIR_EraseRootFromParent_Done,
     /* 1730442 */   // Label 23606: @1730442
     /* 1730442 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1730528), // Rule ID 10794 //
     /* 1730447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730493 */     // MIs[0] policy
     /* 1730493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730503 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730527 */     // GIR_Coverage, 10794,
     /* 1730527 */     GIR_EraseRootFromParent_Done,
     /* 1730528 */   // Label 23607: @1730528
     /* 1730528 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1730614), // Rule ID 10797 //
     /* 1730533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730579 */     // MIs[0] policy
     /* 1730579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730589 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730613 */     // GIR_Coverage, 10797,
     /* 1730613 */     GIR_EraseRootFromParent_Done,
     /* 1730614 */   // Label 23608: @1730614
     /* 1730614 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1730700), // Rule ID 10798 //
     /* 1730619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730665 */     // MIs[0] policy
     /* 1730665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730675 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730699 */     // GIR_Coverage, 10798,
     /* 1730699 */     GIR_EraseRootFromParent_Done,
     /* 1730700 */   // Label 23609: @1730700
     /* 1730700 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1730786), // Rule ID 10801 //
     /* 1730705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730751 */     // MIs[0] policy
     /* 1730751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730785 */     // GIR_Coverage, 10801,
     /* 1730785 */     GIR_EraseRootFromParent_Done,
     /* 1730786 */   // Label 23610: @1730786
     /* 1730786 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1730872), // Rule ID 10802 //
     /* 1730791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730837 */     // MIs[0] policy
     /* 1730837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730871 */     // GIR_Coverage, 10802,
     /* 1730871 */     GIR_EraseRootFromParent_Done,
     /* 1730872 */   // Label 23611: @1730872
     /* 1730872 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1730958), // Rule ID 10805 //
     /* 1730877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730923 */     // MIs[0] policy
     /* 1730923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730933 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730957 */     // GIR_Coverage, 10805,
     /* 1730957 */     GIR_EraseRootFromParent_Done,
     /* 1730958 */   // Label 23612: @1730958
     /* 1730958 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731044), // Rule ID 10806 //
     /* 1730963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731009 */     // MIs[0] policy
     /* 1731009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731043 */     // GIR_Coverage, 10806,
     /* 1731043 */     GIR_EraseRootFromParent_Done,
     /* 1731044 */   // Label 23613: @1731044
     /* 1731044 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1731130), // Rule ID 10809 //
     /* 1731049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731095 */     // MIs[0] policy
     /* 1731095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731129 */     // GIR_Coverage, 10809,
     /* 1731129 */     GIR_EraseRootFromParent_Done,
     /* 1731130 */   // Label 23614: @1731130
     /* 1731130 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1731216), // Rule ID 10810 //
     /* 1731135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731181 */     // MIs[0] policy
     /* 1731181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731215 */     // GIR_Coverage, 10810,
     /* 1731215 */     GIR_EraseRootFromParent_Done,
     /* 1731216 */   // Label 23615: @1731216
     /* 1731216 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1731302), // Rule ID 10813 //
     /* 1731221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731267 */     // MIs[0] policy
     /* 1731267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731301 */     // GIR_Coverage, 10813,
     /* 1731301 */     GIR_EraseRootFromParent_Done,
     /* 1731302 */   // Label 23616: @1731302
     /* 1731302 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1731388), // Rule ID 10814 //
     /* 1731307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731353 */     // MIs[0] policy
     /* 1731353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731387 */     // GIR_Coverage, 10814,
     /* 1731387 */     GIR_EraseRootFromParent_Done,
     /* 1731388 */   // Label 23617: @1731388
     /* 1731388 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1731474), // Rule ID 10817 //
     /* 1731393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731439 */     // MIs[0] policy
     /* 1731439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731473 */     // GIR_Coverage, 10817,
     /* 1731473 */     GIR_EraseRootFromParent_Done,
     /* 1731474 */   // Label 23618: @1731474
     /* 1731474 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1731560), // Rule ID 10818 //
     /* 1731479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731525 */     // MIs[0] policy
     /* 1731525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731559 */     // GIR_Coverage, 10818,
     /* 1731559 */     GIR_EraseRootFromParent_Done,
     /* 1731560 */   // Label 23619: @1731560
     /* 1731560 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1731646), // Rule ID 10821 //
     /* 1731565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731611 */     // MIs[0] policy
     /* 1731611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731645 */     // GIR_Coverage, 10821,
     /* 1731645 */     GIR_EraseRootFromParent_Done,
     /* 1731646 */   // Label 23620: @1731646
     /* 1731646 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1731732), // Rule ID 10822 //
     /* 1731651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731697 */     // MIs[0] policy
     /* 1731697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731731 */     // GIR_Coverage, 10822,
     /* 1731731 */     GIR_EraseRootFromParent_Done,
     /* 1731732 */   // Label 23621: @1731732
     /* 1731732 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1731818), // Rule ID 10825 //
     /* 1731737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731783 */     // MIs[0] policy
     /* 1731783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731817 */     // GIR_Coverage, 10825,
     /* 1731817 */     GIR_EraseRootFromParent_Done,
     /* 1731818 */   // Label 23622: @1731818
     /* 1731818 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1731904), // Rule ID 10826 //
     /* 1731823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731869 */     // MIs[0] policy
     /* 1731869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1731882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731903 */     // GIR_Coverage, 10826,
     /* 1731903 */     GIR_EraseRootFromParent_Done,
     /* 1731904 */   // Label 23623: @1731904
     /* 1731904 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1731990), // Rule ID 10829 //
     /* 1731909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731955 */     // MIs[0] policy
     /* 1731955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1731968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731989 */     // GIR_Coverage, 10829,
     /* 1731989 */     GIR_EraseRootFromParent_Done,
     /* 1731990 */   // Label 23624: @1731990
     /* 1731990 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732076), // Rule ID 10830 //
     /* 1731995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732041 */     // MIs[0] policy
     /* 1732041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1732054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732075 */     // GIR_Coverage, 10830,
     /* 1732075 */     GIR_EraseRootFromParent_Done,
     /* 1732076 */   // Label 23625: @1732076
     /* 1732076 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1732162), // Rule ID 10833 //
     /* 1732081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732127 */     // MIs[0] policy
     /* 1732127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732161 */     // GIR_Coverage, 10833,
     /* 1732161 */     GIR_EraseRootFromParent_Done,
     /* 1732162 */   // Label 23626: @1732162
     /* 1732162 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1732248), // Rule ID 10834 //
     /* 1732167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732213 */     // MIs[0] policy
     /* 1732213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1732226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732247 */     // GIR_Coverage, 10834,
     /* 1732247 */     GIR_EraseRootFromParent_Done,
     /* 1732248 */   // Label 23627: @1732248
     /* 1732248 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1732334), // Rule ID 10837 //
     /* 1732253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732299 */     // MIs[0] policy
     /* 1732299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732333 */     // GIR_Coverage, 10837,
     /* 1732333 */     GIR_EraseRootFromParent_Done,
     /* 1732334 */   // Label 23628: @1732334
     /* 1732334 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1732420), // Rule ID 10838 //
     /* 1732339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1732359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732385 */     // MIs[0] policy
     /* 1732385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732395 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1732398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732419 */     // GIR_Coverage, 10838,
     /* 1732419 */     GIR_EraseRootFromParent_Done,
     /* 1732420 */   // Label 23629: @1732420
     /* 1732420 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1732506), // Rule ID 10841 //
     /* 1732425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732471 */     // MIs[0] policy
     /* 1732471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732505 */     // GIR_Coverage, 10841,
     /* 1732505 */     GIR_EraseRootFromParent_Done,
     /* 1732506 */   // Label 23630: @1732506
     /* 1732506 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1732592), // Rule ID 10842 //
     /* 1732511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1732531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732557 */     // MIs[0] policy
     /* 1732557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732591 */     // GIR_Coverage, 10842,
     /* 1732591 */     GIR_EraseRootFromParent_Done,
     /* 1732592 */   // Label 23631: @1732592
     /* 1732592 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1732678), // Rule ID 10845 //
     /* 1732597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732643 */     // MIs[0] policy
     /* 1732643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732653 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1732656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732677 */     // GIR_Coverage, 10845,
     /* 1732677 */     GIR_EraseRootFromParent_Done,
     /* 1732678 */   // Label 23632: @1732678
     /* 1732678 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1732764), // Rule ID 10846 //
     /* 1732683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1732703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732729 */     // MIs[0] policy
     /* 1732729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1732742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732763 */     // GIR_Coverage, 10846,
     /* 1732763 */     GIR_EraseRootFromParent_Done,
     /* 1732764 */   // Label 23633: @1732764
     /* 1732764 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1732850), // Rule ID 10849 //
     /* 1732769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732815 */     // MIs[0] policy
     /* 1732815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732849 */     // GIR_Coverage, 10849,
     /* 1732849 */     GIR_EraseRootFromParent_Done,
     /* 1732850 */   // Label 23634: @1732850
     /* 1732850 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1732936), // Rule ID 10850 //
     /* 1732855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1732875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732901 */     // MIs[0] policy
     /* 1732901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1732914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732935 */     // GIR_Coverage, 10850,
     /* 1732935 */     GIR_EraseRootFromParent_Done,
     /* 1732936 */   // Label 23635: @1732936
     /* 1732936 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733022), // Rule ID 10853 //
     /* 1732941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1732961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732987 */     // MIs[0] policy
     /* 1732987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733021 */     // GIR_Coverage, 10853,
     /* 1733021 */     GIR_EraseRootFromParent_Done,
     /* 1733022 */   // Label 23636: @1733022
     /* 1733022 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733108), // Rule ID 10854 //
     /* 1733027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733073 */     // MIs[0] policy
     /* 1733073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733107 */     // GIR_Coverage, 10854,
     /* 1733107 */     GIR_EraseRootFromParent_Done,
     /* 1733108 */   // Label 23637: @1733108
     /* 1733108 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1733194), // Rule ID 10857 //
     /* 1733113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733159 */     // MIs[0] policy
     /* 1733159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733193 */     // GIR_Coverage, 10857,
     /* 1733193 */     GIR_EraseRootFromParent_Done,
     /* 1733194 */   // Label 23638: @1733194
     /* 1733194 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1733280), // Rule ID 10858 //
     /* 1733199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1733219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733245 */     // MIs[0] policy
     /* 1733245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1733258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733279 */     // GIR_Coverage, 10858,
     /* 1733279 */     GIR_EraseRootFromParent_Done,
     /* 1733280 */   // Label 23639: @1733280
     /* 1733280 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1733366), // Rule ID 10861 //
     /* 1733285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733331 */     // MIs[0] policy
     /* 1733331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733365 */     // GIR_Coverage, 10861,
     /* 1733365 */     GIR_EraseRootFromParent_Done,
     /* 1733366 */   // Label 23640: @1733366
     /* 1733366 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1733452), // Rule ID 10862 //
     /* 1733371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1733391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733417 */     // MIs[0] policy
     /* 1733417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733451 */     // GIR_Coverage, 10862,
     /* 1733451 */     GIR_EraseRootFromParent_Done,
     /* 1733452 */   // Label 23641: @1733452
     /* 1733452 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1733538), // Rule ID 10865 //
     /* 1733457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733503 */     // MIs[0] policy
     /* 1733503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733537 */     // GIR_Coverage, 10865,
     /* 1733537 */     GIR_EraseRootFromParent_Done,
     /* 1733538 */   // Label 23642: @1733538
     /* 1733538 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1733624), // Rule ID 10866 //
     /* 1733543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1733563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733589 */     // MIs[0] policy
     /* 1733589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733623 */     // GIR_Coverage, 10866,
     /* 1733623 */     GIR_EraseRootFromParent_Done,
     /* 1733624 */   // Label 23643: @1733624
     /* 1733624 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1733710), // Rule ID 10869 //
     /* 1733629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733675 */     // MIs[0] policy
     /* 1733675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733709 */     // GIR_Coverage, 10869,
     /* 1733709 */     GIR_EraseRootFromParent_Done,
     /* 1733710 */   // Label 23644: @1733710
     /* 1733710 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1733796), // Rule ID 10870 //
     /* 1733715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1733735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733761 */     // MIs[0] policy
     /* 1733761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733795 */     // GIR_Coverage, 10870,
     /* 1733795 */     GIR_EraseRootFromParent_Done,
     /* 1733796 */   // Label 23645: @1733796
     /* 1733796 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1733882), // Rule ID 10873 //
     /* 1733801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733847 */     // MIs[0] policy
     /* 1733847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733881 */     // GIR_Coverage, 10873,
     /* 1733881 */     GIR_EraseRootFromParent_Done,
     /* 1733882 */   // Label 23646: @1733882
     /* 1733882 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1733968), // Rule ID 10874 //
     /* 1733887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1733907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733933 */     // MIs[0] policy
     /* 1733933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1733946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733967 */     // GIR_Coverage, 10874,
     /* 1733967 */     GIR_EraseRootFromParent_Done,
     /* 1733968 */   // Label 23647: @1733968
     /* 1733968 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734054), // Rule ID 10877 //
     /* 1733973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1733993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734019 */     // MIs[0] policy
     /* 1734019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734053 */     // GIR_Coverage, 10877,
     /* 1734053 */     GIR_EraseRootFromParent_Done,
     /* 1734054 */   // Label 23648: @1734054
     /* 1734054 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1734140), // Rule ID 10878 //
     /* 1734059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734105 */     // MIs[0] policy
     /* 1734105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734139 */     // GIR_Coverage, 10878,
     /* 1734139 */     GIR_EraseRootFromParent_Done,
     /* 1734140 */   // Label 23649: @1734140
     /* 1734140 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1734226), // Rule ID 10881 //
     /* 1734145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734191 */     // MIs[0] policy
     /* 1734191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734225 */     // GIR_Coverage, 10881,
     /* 1734225 */     GIR_EraseRootFromParent_Done,
     /* 1734226 */   // Label 23650: @1734226
     /* 1734226 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1734312), // Rule ID 10882 //
     /* 1734231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1734251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734277 */     // MIs[0] policy
     /* 1734277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734311 */     // GIR_Coverage, 10882,
     /* 1734311 */     GIR_EraseRootFromParent_Done,
     /* 1734312 */   // Label 23651: @1734312
     /* 1734312 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1734398), // Rule ID 10885 //
     /* 1734317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734363 */     // MIs[0] policy
     /* 1734363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734373 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734397 */     // GIR_Coverage, 10885,
     /* 1734397 */     GIR_EraseRootFromParent_Done,
     /* 1734398 */   // Label 23652: @1734398
     /* 1734398 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1734484), // Rule ID 10886 //
     /* 1734403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1734423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734449 */     // MIs[0] policy
     /* 1734449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734483 */     // GIR_Coverage, 10886,
     /* 1734483 */     GIR_EraseRootFromParent_Done,
     /* 1734484 */   // Label 23653: @1734484
     /* 1734484 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1734570), // Rule ID 10889 //
     /* 1734489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734535 */     // MIs[0] policy
     /* 1734535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734569 */     // GIR_Coverage, 10889,
     /* 1734569 */     GIR_EraseRootFromParent_Done,
     /* 1734570 */   // Label 23654: @1734570
     /* 1734570 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1734656), // Rule ID 10890 //
     /* 1734575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1734595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734621 */     // MIs[0] policy
     /* 1734621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734655 */     // GIR_Coverage, 10890,
     /* 1734655 */     GIR_EraseRootFromParent_Done,
     /* 1734656 */   // Label 23655: @1734656
     /* 1734656 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1734742), // Rule ID 10893 //
     /* 1734661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734707 */     // MIs[0] policy
     /* 1734707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734741 */     // GIR_Coverage, 10893,
     /* 1734741 */     GIR_EraseRootFromParent_Done,
     /* 1734742 */   // Label 23656: @1734742
     /* 1734742 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1734828), // Rule ID 10894 //
     /* 1734747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1734767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734793 */     // MIs[0] policy
     /* 1734793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734827 */     // GIR_Coverage, 10894,
     /* 1734827 */     GIR_EraseRootFromParent_Done,
     /* 1734828 */   // Label 23657: @1734828
     /* 1734828 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1734914), // Rule ID 10897 //
     /* 1734833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734879 */     // MIs[0] policy
     /* 1734879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734913 */     // GIR_Coverage, 10897,
     /* 1734913 */     GIR_EraseRootFromParent_Done,
     /* 1734914 */   // Label 23658: @1734914
     /* 1734914 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735000), // Rule ID 10898 //
     /* 1734919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1734939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734965 */     // MIs[0] policy
     /* 1734965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734999 */     // GIR_Coverage, 10898,
     /* 1734999 */     GIR_EraseRootFromParent_Done,
     /* 1735000 */   // Label 23659: @1735000
     /* 1735000 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735086), // Rule ID 10901 //
     /* 1735005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735051 */     // MIs[0] policy
     /* 1735051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735085 */     // GIR_Coverage, 10901,
     /* 1735085 */     GIR_EraseRootFromParent_Done,
     /* 1735086 */   // Label 23660: @1735086
     /* 1735086 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1735172), // Rule ID 10902 //
     /* 1735091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735137 */     // MIs[0] policy
     /* 1735137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735171 */     // GIR_Coverage, 10902,
     /* 1735171 */     GIR_EraseRootFromParent_Done,
     /* 1735172 */   // Label 23661: @1735172
     /* 1735172 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1735258), // Rule ID 10905 //
     /* 1735177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735223 */     // MIs[0] policy
     /* 1735223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735257 */     // GIR_Coverage, 10905,
     /* 1735257 */     GIR_EraseRootFromParent_Done,
     /* 1735258 */   // Label 23662: @1735258
     /* 1735258 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1735344), // Rule ID 10906 //
     /* 1735263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1735283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735309 */     // MIs[0] policy
     /* 1735309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735343 */     // GIR_Coverage, 10906,
     /* 1735343 */     GIR_EraseRootFromParent_Done,
     /* 1735344 */   // Label 23663: @1735344
     /* 1735344 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1735430), // Rule ID 10909 //
     /* 1735349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735395 */     // MIs[0] policy
     /* 1735395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735429 */     // GIR_Coverage, 10909,
     /* 1735429 */     GIR_EraseRootFromParent_Done,
     /* 1735430 */   // Label 23664: @1735430
     /* 1735430 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1735516), // Rule ID 10910 //
     /* 1735435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1735455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735481 */     // MIs[0] policy
     /* 1735481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735515 */     // GIR_Coverage, 10910,
     /* 1735515 */     GIR_EraseRootFromParent_Done,
     /* 1735516 */   // Label 23665: @1735516
     /* 1735516 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1735602), // Rule ID 10913 //
     /* 1735521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735567 */     // MIs[0] policy
     /* 1735567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735601 */     // GIR_Coverage, 10913,
     /* 1735601 */     GIR_EraseRootFromParent_Done,
     /* 1735602 */   // Label 23666: @1735602
     /* 1735602 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1735688), // Rule ID 10914 //
     /* 1735607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1735627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735653 */     // MIs[0] policy
     /* 1735653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1735666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735687 */     // GIR_Coverage, 10914,
     /* 1735687 */     GIR_EraseRootFromParent_Done,
     /* 1735688 */   // Label 23667: @1735688
     /* 1735688 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1735774), // Rule ID 10917 //
     /* 1735693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735739 */     // MIs[0] policy
     /* 1735739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735773 */     // GIR_Coverage, 10917,
     /* 1735773 */     GIR_EraseRootFromParent_Done,
     /* 1735774 */   // Label 23668: @1735774
     /* 1735774 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1735860), // Rule ID 10918 //
     /* 1735779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1735799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735825 */     // MIs[0] policy
     /* 1735825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1735838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735859 */     // GIR_Coverage, 10918,
     /* 1735859 */     GIR_EraseRootFromParent_Done,
     /* 1735860 */   // Label 23669: @1735860
     /* 1735860 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1735946), // Rule ID 10921 //
     /* 1735865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735911 */     // MIs[0] policy
     /* 1735911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1735924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735945 */     // GIR_Coverage, 10921,
     /* 1735945 */     GIR_EraseRootFromParent_Done,
     /* 1735946 */   // Label 23670: @1735946
     /* 1735946 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736032), // Rule ID 10922 //
     /* 1735951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1735971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735997 */     // MIs[0] policy
     /* 1735997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1736010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736031 */     // GIR_Coverage, 10922,
     /* 1736031 */     GIR_EraseRootFromParent_Done,
     /* 1736032 */   // Label 23671: @1736032
     /* 1736032 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736118), // Rule ID 10925 //
     /* 1736037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736083 */     // MIs[0] policy
     /* 1736083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736117 */     // GIR_Coverage, 10925,
     /* 1736117 */     GIR_EraseRootFromParent_Done,
     /* 1736118 */   // Label 23672: @1736118
     /* 1736118 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1736204), // Rule ID 10926 //
     /* 1736123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736169 */     // MIs[0] policy
     /* 1736169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1736182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736203 */     // GIR_Coverage, 10926,
     /* 1736203 */     GIR_EraseRootFromParent_Done,
     /* 1736204 */   // Label 23673: @1736204
     /* 1736204 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1736290), // Rule ID 10929 //
     /* 1736209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736255 */     // MIs[0] policy
     /* 1736255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736265 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736289 */     // GIR_Coverage, 10929,
     /* 1736289 */     GIR_EraseRootFromParent_Done,
     /* 1736290 */   // Label 23674: @1736290
     /* 1736290 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1736376), // Rule ID 10930 //
     /* 1736295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736341 */     // MIs[0] policy
     /* 1736341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736351 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736375 */     // GIR_Coverage, 10930,
     /* 1736375 */     GIR_EraseRootFromParent_Done,
     /* 1736376 */   // Label 23675: @1736376
     /* 1736376 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1736462), // Rule ID 10933 //
     /* 1736381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736427 */     // MIs[0] policy
     /* 1736427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736461 */     // GIR_Coverage, 10933,
     /* 1736461 */     GIR_EraseRootFromParent_Done,
     /* 1736462 */   // Label 23676: @1736462
     /* 1736462 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1736548), // Rule ID 10934 //
     /* 1736467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736513 */     // MIs[0] policy
     /* 1736513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736547 */     // GIR_Coverage, 10934,
     /* 1736547 */     GIR_EraseRootFromParent_Done,
     /* 1736548 */   // Label 23677: @1736548
     /* 1736548 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1736634), // Rule ID 10937 //
     /* 1736553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736599 */     // MIs[0] policy
     /* 1736599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736633 */     // GIR_Coverage, 10937,
     /* 1736633 */     GIR_EraseRootFromParent_Done,
     /* 1736634 */   // Label 23678: @1736634
     /* 1736634 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1736720), // Rule ID 10938 //
     /* 1736639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736685 */     // MIs[0] policy
     /* 1736685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1736698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736719 */     // GIR_Coverage, 10938,
     /* 1736719 */     GIR_EraseRootFromParent_Done,
     /* 1736720 */   // Label 23679: @1736720
     /* 1736720 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1736806), // Rule ID 10941 //
     /* 1736725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736771 */     // MIs[0] policy
     /* 1736771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736805 */     // GIR_Coverage, 10941,
     /* 1736805 */     GIR_EraseRootFromParent_Done,
     /* 1736806 */   // Label 23680: @1736806
     /* 1736806 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1736892), // Rule ID 10942 //
     /* 1736811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736857 */     // MIs[0] policy
     /* 1736857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736891 */     // GIR_Coverage, 10942,
     /* 1736891 */     GIR_EraseRootFromParent_Done,
     /* 1736892 */   // Label 23681: @1736892
     /* 1736892 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1736978), // Rule ID 10945 //
     /* 1736897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736943 */     // MIs[0] policy
     /* 1736943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1736956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736977 */     // GIR_Coverage, 10945,
     /* 1736977 */     GIR_EraseRootFromParent_Done,
     /* 1736978 */   // Label 23682: @1736978
     /* 1736978 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737064), // Rule ID 10946 //
     /* 1736983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737029 */     // MIs[0] policy
     /* 1737029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1737042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737063 */     // GIR_Coverage, 10946,
     /* 1737063 */     GIR_EraseRootFromParent_Done,
     /* 1737064 */   // Label 23683: @1737064
     /* 1737064 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1737150), // Rule ID 10949 //
     /* 1737069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737115 */     // MIs[0] policy
     /* 1737115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737149 */     // GIR_Coverage, 10949,
     /* 1737149 */     GIR_EraseRootFromParent_Done,
     /* 1737150 */   // Label 23684: @1737150
     /* 1737150 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1737236), // Rule ID 10950 //
     /* 1737155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737201 */     // MIs[0] policy
     /* 1737201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737235 */     // GIR_Coverage, 10950,
     /* 1737235 */     GIR_EraseRootFromParent_Done,
     /* 1737236 */   // Label 23685: @1737236
     /* 1737236 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1737322), // Rule ID 10953 //
     /* 1737241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737287 */     // MIs[0] policy
     /* 1737287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737321 */     // GIR_Coverage, 10953,
     /* 1737321 */     GIR_EraseRootFromParent_Done,
     /* 1737322 */   // Label 23686: @1737322
     /* 1737322 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1737408), // Rule ID 10954 //
     /* 1737327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737373 */     // MIs[0] policy
     /* 1737373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737407 */     // GIR_Coverage, 10954,
     /* 1737407 */     GIR_EraseRootFromParent_Done,
     /* 1737408 */   // Label 23687: @1737408
     /* 1737408 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1737494), // Rule ID 10957 //
     /* 1737413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737459 */     // MIs[0] policy
     /* 1737459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737493 */     // GIR_Coverage, 10957,
     /* 1737493 */     GIR_EraseRootFromParent_Done,
     /* 1737494 */   // Label 23688: @1737494
     /* 1737494 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1737580), // Rule ID 10958 //
     /* 1737499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737545 */     // MIs[0] policy
     /* 1737545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737579 */     // GIR_Coverage, 10958,
     /* 1737579 */     GIR_EraseRootFromParent_Done,
     /* 1737580 */   // Label 23689: @1737580
     /* 1737580 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1737666), // Rule ID 10961 //
     /* 1737585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1737588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737631 */     // MIs[0] policy
     /* 1737631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737641 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737665 */     // GIR_Coverage, 10961,
     /* 1737665 */     GIR_EraseRootFromParent_Done,
     /* 1737666 */   // Label 23690: @1737666
     /* 1737666 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1737752), // Rule ID 10962 //
     /* 1737671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1737674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737717 */     // MIs[0] policy
     /* 1737717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1737730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737751 */     // GIR_Coverage, 10962,
     /* 1737751 */     GIR_EraseRootFromParent_Done,
     /* 1737752 */   // Label 23691: @1737752
     /* 1737752 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1737838), // Rule ID 10965 //
     /* 1737757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737803 */     // MIs[0] policy
     /* 1737803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737837 */     // GIR_Coverage, 10965,
     /* 1737837 */     GIR_EraseRootFromParent_Done,
     /* 1737838 */   // Label 23692: @1737838
     /* 1737838 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1737924), // Rule ID 10966 //
     /* 1737843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737889 */     // MIs[0] policy
     /* 1737889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737923 */     // GIR_Coverage, 10966,
     /* 1737923 */     GIR_EraseRootFromParent_Done,
     /* 1737924 */   // Label 23693: @1737924
     /* 1737924 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738010), // Rule ID 10969 //
     /* 1737929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737975 */     // MIs[0] policy
     /* 1737975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1737988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738009 */     // GIR_Coverage, 10969,
     /* 1738009 */     GIR_EraseRootFromParent_Done,
     /* 1738010 */   // Label 23694: @1738010
     /* 1738010 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738096), // Rule ID 10970 //
     /* 1738015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738061 */     // MIs[0] policy
     /* 1738061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738095 */     // GIR_Coverage, 10970,
     /* 1738095 */     GIR_EraseRootFromParent_Done,
     /* 1738096 */   // Label 23695: @1738096
     /* 1738096 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1738182), // Rule ID 10973 //
     /* 1738101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738147 */     // MIs[0] policy
     /* 1738147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738181 */     // GIR_Coverage, 10973,
     /* 1738181 */     GIR_EraseRootFromParent_Done,
     /* 1738182 */   // Label 23696: @1738182
     /* 1738182 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1738268), // Rule ID 10974 //
     /* 1738187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738233 */     // MIs[0] policy
     /* 1738233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738267 */     // GIR_Coverage, 10974,
     /* 1738267 */     GIR_EraseRootFromParent_Done,
     /* 1738268 */   // Label 23697: @1738268
     /* 1738268 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1738354), // Rule ID 10977 //
     /* 1738273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738319 */     // MIs[0] policy
     /* 1738319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738329 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738353 */     // GIR_Coverage, 10977,
     /* 1738353 */     GIR_EraseRootFromParent_Done,
     /* 1738354 */   // Label 23698: @1738354
     /* 1738354 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1738440), // Rule ID 10978 //
     /* 1738359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738405 */     // MIs[0] policy
     /* 1738405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738439 */     // GIR_Coverage, 10978,
     /* 1738439 */     GIR_EraseRootFromParent_Done,
     /* 1738440 */   // Label 23699: @1738440
     /* 1738440 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1738526), // Rule ID 10981 //
     /* 1738445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738491 */     // MIs[0] policy
     /* 1738491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738525 */     // GIR_Coverage, 10981,
     /* 1738525 */     GIR_EraseRootFromParent_Done,
     /* 1738526 */   // Label 23700: @1738526
     /* 1738526 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1738612), // Rule ID 10982 //
     /* 1738531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738577 */     // MIs[0] policy
     /* 1738577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738611 */     // GIR_Coverage, 10982,
     /* 1738611 */     GIR_EraseRootFromParent_Done,
     /* 1738612 */   // Label 23701: @1738612
     /* 1738612 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1738698), // Rule ID 10985 //
     /* 1738617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738663 */     // MIs[0] policy
     /* 1738663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738697 */     // GIR_Coverage, 10985,
     /* 1738697 */     GIR_EraseRootFromParent_Done,
     /* 1738698 */   // Label 23702: @1738698
     /* 1738698 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1738784), // Rule ID 10986 //
     /* 1738703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738749 */     // MIs[0] policy
     /* 1738749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738783 */     // GIR_Coverage, 10986,
     /* 1738783 */     GIR_EraseRootFromParent_Done,
     /* 1738784 */   // Label 23703: @1738784
     /* 1738784 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1738870), // Rule ID 10989 //
     /* 1738789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738835 */     // MIs[0] policy
     /* 1738835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738869 */     // GIR_Coverage, 10989,
     /* 1738869 */     GIR_EraseRootFromParent_Done,
     /* 1738870 */   // Label 23704: @1738870
     /* 1738870 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1738956), // Rule ID 10990 //
     /* 1738875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738921 */     // MIs[0] policy
     /* 1738921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738955 */     // GIR_Coverage, 10990,
     /* 1738955 */     GIR_EraseRootFromParent_Done,
     /* 1738956 */   // Label 23705: @1738956
     /* 1738956 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739042), // Rule ID 10993 //
     /* 1738961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739007 */     // MIs[0] policy
     /* 1739007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739041 */     // GIR_Coverage, 10993,
     /* 1739041 */     GIR_EraseRootFromParent_Done,
     /* 1739042 */   // Label 23706: @1739042
     /* 1739042 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1739128), // Rule ID 10994 //
     /* 1739047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739093 */     // MIs[0] policy
     /* 1739093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739127 */     // GIR_Coverage, 10994,
     /* 1739127 */     GIR_EraseRootFromParent_Done,
     /* 1739128 */   // Label 23707: @1739128
     /* 1739128 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1739214), // Rule ID 10997 //
     /* 1739133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739179 */     // MIs[0] policy
     /* 1739179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739213 */     // GIR_Coverage, 10997,
     /* 1739213 */     GIR_EraseRootFromParent_Done,
     /* 1739214 */   // Label 23708: @1739214
     /* 1739214 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1739300), // Rule ID 10998 //
     /* 1739219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739265 */     // MIs[0] policy
     /* 1739265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739299 */     // GIR_Coverage, 10998,
     /* 1739299 */     GIR_EraseRootFromParent_Done,
     /* 1739300 */   // Label 23709: @1739300
     /* 1739300 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1739386), // Rule ID 11001 //
     /* 1739305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739351 */     // MIs[0] policy
     /* 1739351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739385 */     // GIR_Coverage, 11001,
     /* 1739385 */     GIR_EraseRootFromParent_Done,
     /* 1739386 */   // Label 23710: @1739386
     /* 1739386 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1739472), // Rule ID 11002 //
     /* 1739391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739437 */     // MIs[0] policy
     /* 1739437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1739450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739471 */     // GIR_Coverage, 11002,
     /* 1739471 */     GIR_EraseRootFromParent_Done,
     /* 1739472 */   // Label 23711: @1739472
     /* 1739472 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1739558), // Rule ID 11005 //
     /* 1739477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739523 */     // MIs[0] policy
     /* 1739523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739557 */     // GIR_Coverage, 11005,
     /* 1739557 */     GIR_EraseRootFromParent_Done,
     /* 1739558 */   // Label 23712: @1739558
     /* 1739558 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1739644), // Rule ID 11006 //
     /* 1739563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739609 */     // MIs[0] policy
     /* 1739609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1739622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739643 */     // GIR_Coverage, 11006,
     /* 1739643 */     GIR_EraseRootFromParent_Done,
     /* 1739644 */   // Label 23713: @1739644
     /* 1739644 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1739730), // Rule ID 11009 //
     /* 1739649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739695 */     // MIs[0] policy
     /* 1739695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739729 */     // GIR_Coverage, 11009,
     /* 1739729 */     GIR_EraseRootFromParent_Done,
     /* 1739730 */   // Label 23714: @1739730
     /* 1739730 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1739816), // Rule ID 11010 //
     /* 1739735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739781 */     // MIs[0] policy
     /* 1739781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1739794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739815 */     // GIR_Coverage, 11010,
     /* 1739815 */     GIR_EraseRootFromParent_Done,
     /* 1739816 */   // Label 23715: @1739816
     /* 1739816 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1739902), // Rule ID 11013 //
     /* 1739821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739867 */     // MIs[0] policy
     /* 1739867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1739880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739901 */     // GIR_Coverage, 11013,
     /* 1739901 */     GIR_EraseRootFromParent_Done,
     /* 1739902 */   // Label 23716: @1739902
     /* 1739902 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1739988), // Rule ID 11014 //
     /* 1739907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1739927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739953 */     // MIs[0] policy
     /* 1739953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1739966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739987 */     // GIR_Coverage, 11014,
     /* 1739987 */     GIR_EraseRootFromParent_Done,
     /* 1739988 */   // Label 23717: @1739988
     /* 1739988 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740074), // Rule ID 11017 //
     /* 1739993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740039 */     // MIs[0] policy
     /* 1740039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740073 */     // GIR_Coverage, 11017,
     /* 1740073 */     GIR_EraseRootFromParent_Done,
     /* 1740074 */   // Label 23718: @1740074
     /* 1740074 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1740160), // Rule ID 11018 //
     /* 1740079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740125 */     // MIs[0] policy
     /* 1740125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740159 */     // GIR_Coverage, 11018,
     /* 1740159 */     GIR_EraseRootFromParent_Done,
     /* 1740160 */   // Label 23719: @1740160
     /* 1740160 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1740246), // Rule ID 11021 //
     /* 1740165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740211 */     // MIs[0] policy
     /* 1740211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740221 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740245 */     // GIR_Coverage, 11021,
     /* 1740245 */     GIR_EraseRootFromParent_Done,
     /* 1740246 */   // Label 23720: @1740246
     /* 1740246 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1740332), // Rule ID 11022 //
     /* 1740251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740297 */     // MIs[0] policy
     /* 1740297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740331 */     // GIR_Coverage, 11022,
     /* 1740331 */     GIR_EraseRootFromParent_Done,
     /* 1740332 */   // Label 23721: @1740332
     /* 1740332 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1740418), // Rule ID 11025 //
     /* 1740337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740383 */     // MIs[0] policy
     /* 1740383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740417 */     // GIR_Coverage, 11025,
     /* 1740417 */     GIR_EraseRootFromParent_Done,
     /* 1740418 */   // Label 23722: @1740418
     /* 1740418 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1740504), // Rule ID 11026 //
     /* 1740423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740469 */     // MIs[0] policy
     /* 1740469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740479 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1740482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740503 */     // GIR_Coverage, 11026,
     /* 1740503 */     GIR_EraseRootFromParent_Done,
     /* 1740504 */   // Label 23723: @1740504
     /* 1740504 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1740590), // Rule ID 11029 //
     /* 1740509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740555 */     // MIs[0] policy
     /* 1740555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740565 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740589 */     // GIR_Coverage, 11029,
     /* 1740589 */     GIR_EraseRootFromParent_Done,
     /* 1740590 */   // Label 23724: @1740590
     /* 1740590 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1740676), // Rule ID 11030 //
     /* 1740595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740641 */     // MIs[0] policy
     /* 1740641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740675 */     // GIR_Coverage, 11030,
     /* 1740675 */     GIR_EraseRootFromParent_Done,
     /* 1740676 */   // Label 23725: @1740676
     /* 1740676 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1740762), // Rule ID 11033 //
     /* 1740681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740727 */     // MIs[0] policy
     /* 1740727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740761 */     // GIR_Coverage, 11033,
     /* 1740761 */     GIR_EraseRootFromParent_Done,
     /* 1740762 */   // Label 23726: @1740762
     /* 1740762 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1740848), // Rule ID 11034 //
     /* 1740767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740813 */     // MIs[0] policy
     /* 1740813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1740826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740847 */     // GIR_Coverage, 11034,
     /* 1740847 */     GIR_EraseRootFromParent_Done,
     /* 1740848 */   // Label 23727: @1740848
     /* 1740848 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1740934), // Rule ID 11037 //
     /* 1740853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740899 */     // MIs[0] policy
     /* 1740899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1740912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740933 */     // GIR_Coverage, 11037,
     /* 1740933 */     GIR_EraseRootFromParent_Done,
     /* 1740934 */   // Label 23728: @1740934
     /* 1740934 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741020), // Rule ID 11038 //
     /* 1740939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1740959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740985 */     // MIs[0] policy
     /* 1740985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1740998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741019 */     // GIR_Coverage, 11038,
     /* 1741019 */     GIR_EraseRootFromParent_Done,
     /* 1741020 */   // Label 23729: @1741020
     /* 1741020 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741106), // Rule ID 11041 //
     /* 1741025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741071 */     // MIs[0] policy
     /* 1741071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741105 */     // GIR_Coverage, 11041,
     /* 1741105 */     GIR_EraseRootFromParent_Done,
     /* 1741106 */   // Label 23730: @1741106
     /* 1741106 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1741192), // Rule ID 11042 //
     /* 1741111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741157 */     // MIs[0] policy
     /* 1741157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741191 */     // GIR_Coverage, 11042,
     /* 1741191 */     GIR_EraseRootFromParent_Done,
     /* 1741192 */   // Label 23731: @1741192
     /* 1741192 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1741278), // Rule ID 11045 //
     /* 1741197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741243 */     // MIs[0] policy
     /* 1741243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741277 */     // GIR_Coverage, 11045,
     /* 1741277 */     GIR_EraseRootFromParent_Done,
     /* 1741278 */   // Label 23732: @1741278
     /* 1741278 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1741364), // Rule ID 11046 //
     /* 1741283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741329 */     // MIs[0] policy
     /* 1741329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1741342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741363 */     // GIR_Coverage, 11046,
     /* 1741363 */     GIR_EraseRootFromParent_Done,
     /* 1741364 */   // Label 23733: @1741364
     /* 1741364 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1741450), // Rule ID 11049 //
     /* 1741369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741415 */     // MIs[0] policy
     /* 1741415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741449 */     // GIR_Coverage, 11049,
     /* 1741449 */     GIR_EraseRootFromParent_Done,
     /* 1741450 */   // Label 23734: @1741450
     /* 1741450 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1741536), // Rule ID 11050 //
     /* 1741455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741501 */     // MIs[0] policy
     /* 1741501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741535 */     // GIR_Coverage, 11050,
     /* 1741535 */     GIR_EraseRootFromParent_Done,
     /* 1741536 */   // Label 23735: @1741536
     /* 1741536 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1741622), // Rule ID 11053 //
     /* 1741541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741587 */     // MIs[0] policy
     /* 1741587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741621 */     // GIR_Coverage, 11053,
     /* 1741621 */     GIR_EraseRootFromParent_Done,
     /* 1741622 */   // Label 23736: @1741622
     /* 1741622 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1741708), // Rule ID 11054 //
     /* 1741627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741673 */     // MIs[0] policy
     /* 1741673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741707 */     // GIR_Coverage, 11054,
     /* 1741707 */     GIR_EraseRootFromParent_Done,
     /* 1741708 */   // Label 23737: @1741708
     /* 1741708 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1741794), // Rule ID 11057 //
     /* 1741713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741759 */     // MIs[0] policy
     /* 1741759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741769 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741793 */     // GIR_Coverage, 11057,
     /* 1741793 */     GIR_EraseRootFromParent_Done,
     /* 1741794 */   // Label 23738: @1741794
     /* 1741794 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1741880), // Rule ID 11058 //
     /* 1741799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1741819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741845 */     // MIs[0] policy
     /* 1741845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741855 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741879 */     // GIR_Coverage, 11058,
     /* 1741879 */     GIR_EraseRootFromParent_Done,
     /* 1741880 */   // Label 23739: @1741880
     /* 1741880 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1741966), // Rule ID 11061 //
     /* 1741885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741931 */     // MIs[0] policy
     /* 1741931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741965 */     // GIR_Coverage, 11061,
     /* 1741965 */     GIR_EraseRootFromParent_Done,
     /* 1741966 */   // Label 23740: @1741966
     /* 1741966 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742052), // Rule ID 11062 //
     /* 1741971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1741988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1741991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742017 */     // MIs[0] policy
     /* 1742017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742051 */     // GIR_Coverage, 11062,
     /* 1742051 */     GIR_EraseRootFromParent_Done,
     /* 1742052 */   // Label 23741: @1742052
     /* 1742052 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1742138), // Rule ID 11065 //
     /* 1742057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742103 */     // MIs[0] policy
     /* 1742103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742137 */     // GIR_Coverage, 11065,
     /* 1742137 */     GIR_EraseRootFromParent_Done,
     /* 1742138 */   // Label 23742: @1742138
     /* 1742138 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1742224), // Rule ID 11066 //
     /* 1742143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742189 */     // MIs[0] policy
     /* 1742189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742199 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742223 */     // GIR_Coverage, 11066,
     /* 1742223 */     GIR_EraseRootFromParent_Done,
     /* 1742224 */   // Label 23743: @1742224
     /* 1742224 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1742310), // Rule ID 11069 //
     /* 1742229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742275 */     // MIs[0] policy
     /* 1742275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742285 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742309 */     // GIR_Coverage, 11069,
     /* 1742309 */     GIR_EraseRootFromParent_Done,
     /* 1742310 */   // Label 23744: @1742310
     /* 1742310 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1742396), // Rule ID 11070 //
     /* 1742315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742361 */     // MIs[0] policy
     /* 1742361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742395 */     // GIR_Coverage, 11070,
     /* 1742395 */     GIR_EraseRootFromParent_Done,
     /* 1742396 */   // Label 23745: @1742396
     /* 1742396 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1742482), // Rule ID 11073 //
     /* 1742401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742447 */     // MIs[0] policy
     /* 1742447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742481 */     // GIR_Coverage, 11073,
     /* 1742481 */     GIR_EraseRootFromParent_Done,
     /* 1742482 */   // Label 23746: @1742482
     /* 1742482 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1742568), // Rule ID 11074 //
     /* 1742487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742533 */     // MIs[0] policy
     /* 1742533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1742546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742567 */     // GIR_Coverage, 11074,
     /* 1742567 */     GIR_EraseRootFromParent_Done,
     /* 1742568 */   // Label 23747: @1742568
     /* 1742568 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1742654), // Rule ID 11077 //
     /* 1742573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742619 */     // MIs[0] policy
     /* 1742619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742653 */     // GIR_Coverage, 11077,
     /* 1742653 */     GIR_EraseRootFromParent_Done,
     /* 1742654 */   // Label 23748: @1742654
     /* 1742654 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1742740), // Rule ID 11078 //
     /* 1742659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742705 */     // MIs[0] policy
     /* 1742705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1742718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742739 */     // GIR_Coverage, 11078,
     /* 1742739 */     GIR_EraseRootFromParent_Done,
     /* 1742740 */   // Label 23749: @1742740
     /* 1742740 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1742826), // Rule ID 11081 //
     /* 1742745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742791 */     // MIs[0] policy
     /* 1742791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742825 */     // GIR_Coverage, 11081,
     /* 1742825 */     GIR_EraseRootFromParent_Done,
     /* 1742826 */   // Label 23750: @1742826
     /* 1742826 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1742912), // Rule ID 11082 //
     /* 1742831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1742851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742877 */     // MIs[0] policy
     /* 1742877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1742890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742911 */     // GIR_Coverage, 11082,
     /* 1742911 */     GIR_EraseRootFromParent_Done,
     /* 1742912 */   // Label 23751: @1742912
     /* 1742912 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1742998), // Rule ID 11085 //
     /* 1742917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1742928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1742931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1742934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742963 */     // MIs[0] policy
     /* 1742963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742973 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1742976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742997 */     // GIR_Coverage, 11085,
     /* 1742997 */     GIR_EraseRootFromParent_Done,
     /* 1742998 */   // Label 23752: @1742998
     /* 1742998 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743084), // Rule ID 11086 //
     /* 1743003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743049 */     // MIs[0] policy
     /* 1743049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1743062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743083 */     // GIR_Coverage, 11086,
     /* 1743083 */     GIR_EraseRootFromParent_Done,
     /* 1743084 */   // Label 23753: @1743084
     /* 1743084 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1743170), // Rule ID 11089 //
     /* 1743089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743135 */     // MIs[0] policy
     /* 1743135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743169 */     // GIR_Coverage, 11089,
     /* 1743169 */     GIR_EraseRootFromParent_Done,
     /* 1743170 */   // Label 23754: @1743170
     /* 1743170 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1743256), // Rule ID 11090 //
     /* 1743175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743221 */     // MIs[0] policy
     /* 1743221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743231 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743255 */     // GIR_Coverage, 11090,
     /* 1743255 */     GIR_EraseRootFromParent_Done,
     /* 1743256 */   // Label 23755: @1743256
     /* 1743256 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1743342), // Rule ID 11093 //
     /* 1743261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743307 */     // MIs[0] policy
     /* 1743307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743317 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743341 */     // GIR_Coverage, 11093,
     /* 1743341 */     GIR_EraseRootFromParent_Done,
     /* 1743342 */   // Label 23756: @1743342
     /* 1743342 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1743428), // Rule ID 11094 //
     /* 1743347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743393 */     // MIs[0] policy
     /* 1743393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743427 */     // GIR_Coverage, 11094,
     /* 1743427 */     GIR_EraseRootFromParent_Done,
     /* 1743428 */   // Label 23757: @1743428
     /* 1743428 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1743514), // Rule ID 11097 //
     /* 1743433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743479 */     // MIs[0] policy
     /* 1743479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743513 */     // GIR_Coverage, 11097,
     /* 1743513 */     GIR_EraseRootFromParent_Done,
     /* 1743514 */   // Label 23758: @1743514
     /* 1743514 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1743600), // Rule ID 11098 //
     /* 1743519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743565 */     // MIs[0] policy
     /* 1743565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1743578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743599 */     // GIR_Coverage, 11098,
     /* 1743599 */     GIR_EraseRootFromParent_Done,
     /* 1743600 */   // Label 23759: @1743600
     /* 1743600 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1743686), // Rule ID 11101 //
     /* 1743605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743651 */     // MIs[0] policy
     /* 1743651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743685 */     // GIR_Coverage, 11101,
     /* 1743685 */     GIR_EraseRootFromParent_Done,
     /* 1743686 */   // Label 23760: @1743686
     /* 1743686 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1743772), // Rule ID 11102 //
     /* 1743691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743737 */     // MIs[0] policy
     /* 1743737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743771 */     // GIR_Coverage, 11102,
     /* 1743771 */     GIR_EraseRootFromParent_Done,
     /* 1743772 */   // Label 23761: @1743772
     /* 1743772 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1743858), // Rule ID 11105 //
     /* 1743777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743823 */     // MIs[0] policy
     /* 1743823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743857 */     // GIR_Coverage, 11105,
     /* 1743857 */     GIR_EraseRootFromParent_Done,
     /* 1743858 */   // Label 23762: @1743858
     /* 1743858 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1743944), // Rule ID 11106 //
     /* 1743863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1743874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1743877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1743880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743909 */     // MIs[0] policy
     /* 1743909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1743922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743943 */     // GIR_Coverage, 11106,
     /* 1743943 */     GIR_EraseRootFromParent_Done,
     /* 1743944 */   // Label 23763: @1743944
     /* 1743944 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744030), // Rule ID 11109 //
     /* 1743949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1743960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1743963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1743966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743995 */     // MIs[0] policy
     /* 1743995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744029 */     // GIR_Coverage, 11109,
     /* 1744029 */     GIR_EraseRootFromParent_Done,
     /* 1744030 */   // Label 23764: @1744030
     /* 1744030 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744116), // Rule ID 11110 //
     /* 1744035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744081 */     // MIs[0] policy
     /* 1744081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744115 */     // GIR_Coverage, 11110,
     /* 1744115 */     GIR_EraseRootFromParent_Done,
     /* 1744116 */   // Label 23765: @1744116
     /* 1744116 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1744202), // Rule ID 11113 //
     /* 1744121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744167 */     // MIs[0] policy
     /* 1744167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744201 */     // GIR_Coverage, 11113,
     /* 1744201 */     GIR_EraseRootFromParent_Done,
     /* 1744202 */   // Label 23766: @1744202
     /* 1744202 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1744288), // Rule ID 11114 //
     /* 1744207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744253 */     // MIs[0] policy
     /* 1744253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744287 */     // GIR_Coverage, 11114,
     /* 1744287 */     GIR_EraseRootFromParent_Done,
     /* 1744288 */   // Label 23767: @1744288
     /* 1744288 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1744374), // Rule ID 11117 //
     /* 1744293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744339 */     // MIs[0] policy
     /* 1744339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744373 */     // GIR_Coverage, 11117,
     /* 1744373 */     GIR_EraseRootFromParent_Done,
     /* 1744374 */   // Label 23768: @1744374
     /* 1744374 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1744460), // Rule ID 11118 //
     /* 1744379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744425 */     // MIs[0] policy
     /* 1744425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1744438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744459 */     // GIR_Coverage, 11118,
     /* 1744459 */     GIR_EraseRootFromParent_Done,
     /* 1744460 */   // Label 23769: @1744460
     /* 1744460 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1744546), // Rule ID 11121 //
     /* 1744465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744511 */     // MIs[0] policy
     /* 1744511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744521 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744545 */     // GIR_Coverage, 11121,
     /* 1744545 */     GIR_EraseRootFromParent_Done,
     /* 1744546 */   // Label 23770: @1744546
     /* 1744546 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1744632), // Rule ID 11122 //
     /* 1744551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744597 */     // MIs[0] policy
     /* 1744597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744631 */     // GIR_Coverage, 11122,
     /* 1744631 */     GIR_EraseRootFromParent_Done,
     /* 1744632 */   // Label 23771: @1744632
     /* 1744632 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1744718), // Rule ID 11125 //
     /* 1744637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744683 */     // MIs[0] policy
     /* 1744683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744693 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744717 */     // GIR_Coverage, 11125,
     /* 1744717 */     GIR_EraseRootFromParent_Done,
     /* 1744718 */   // Label 23772: @1744718
     /* 1744718 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1744804), // Rule ID 11126 //
     /* 1744723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744769 */     // MIs[0] policy
     /* 1744769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744779 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744803 */     // GIR_Coverage, 11126,
     /* 1744803 */     GIR_EraseRootFromParent_Done,
     /* 1744804 */   // Label 23773: @1744804
     /* 1744804 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1744890), // Rule ID 11129 //
     /* 1744809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744855 */     // MIs[0] policy
     /* 1744855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744865 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744889 */     // GIR_Coverage, 11129,
     /* 1744889 */     GIR_EraseRootFromParent_Done,
     /* 1744890 */   // Label 23774: @1744890
     /* 1744890 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1744976), // Rule ID 11130 //
     /* 1744895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1744906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1744909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1744912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1744918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744941 */     // MIs[0] policy
     /* 1744941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744975 */     // GIR_Coverage, 11130,
     /* 1744975 */     GIR_EraseRootFromParent_Done,
     /* 1744976 */   // Label 23775: @1744976
     /* 1744976 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745062), // Rule ID 11133 //
     /* 1744981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1744992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1744995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1744998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745027 */     // MIs[0] policy
     /* 1745027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745061 */     // GIR_Coverage, 11133,
     /* 1745061 */     GIR_EraseRootFromParent_Done,
     /* 1745062 */   // Label 23776: @1745062
     /* 1745062 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1745148), // Rule ID 11134 //
     /* 1745067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745113 */     // MIs[0] policy
     /* 1745113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745147 */     // GIR_Coverage, 11134,
     /* 1745147 */     GIR_EraseRootFromParent_Done,
     /* 1745148 */   // Label 23777: @1745148
     /* 1745148 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1745234), // Rule ID 11137 //
     /* 1745153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745199 */     // MIs[0] policy
     /* 1745199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745233 */     // GIR_Coverage, 11137,
     /* 1745233 */     GIR_EraseRootFromParent_Done,
     /* 1745234 */   // Label 23778: @1745234
     /* 1745234 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1745320), // Rule ID 11138 //
     /* 1745239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745285 */     // MIs[0] policy
     /* 1745285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745319 */     // GIR_Coverage, 11138,
     /* 1745319 */     GIR_EraseRootFromParent_Done,
     /* 1745320 */   // Label 23779: @1745320
     /* 1745320 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1745406), // Rule ID 11141 //
     /* 1745325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745371 */     // MIs[0] policy
     /* 1745371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745405 */     // GIR_Coverage, 11141,
     /* 1745405 */     GIR_EraseRootFromParent_Done,
     /* 1745406 */   // Label 23780: @1745406
     /* 1745406 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1745492), // Rule ID 11142 //
     /* 1745411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745457 */     // MIs[0] policy
     /* 1745457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745491 */     // GIR_Coverage, 11142,
     /* 1745491 */     GIR_EraseRootFromParent_Done,
     /* 1745492 */   // Label 23781: @1745492
     /* 1745492 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1745578), // Rule ID 11145 //
     /* 1745497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745543 */     // MIs[0] policy
     /* 1745543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745577 */     // GIR_Coverage, 11145,
     /* 1745577 */     GIR_EraseRootFromParent_Done,
     /* 1745578 */   // Label 23782: @1745578
     /* 1745578 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1745664), // Rule ID 11146 //
     /* 1745583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745629 */     // MIs[0] policy
     /* 1745629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1745642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745663 */     // GIR_Coverage, 11146,
     /* 1745663 */     GIR_EraseRootFromParent_Done,
     /* 1745664 */   // Label 23783: @1745664
     /* 1745664 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1745750), // Rule ID 11149 //
     /* 1745669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745715 */     // MIs[0] policy
     /* 1745715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745725 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745749 */     // GIR_Coverage, 11149,
     /* 1745749 */     GIR_EraseRootFromParent_Done,
     /* 1745750 */   // Label 23784: @1745750
     /* 1745750 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1745836), // Rule ID 11150 //
     /* 1745755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745801 */     // MIs[0] policy
     /* 1745801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1745814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745835 */     // GIR_Coverage, 11150,
     /* 1745835 */     GIR_EraseRootFromParent_Done,
     /* 1745836 */   // Label 23785: @1745836
     /* 1745836 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1745922), // Rule ID 11153 //
     /* 1745841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745887 */     // MIs[0] policy
     /* 1745887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745921 */     // GIR_Coverage, 11153,
     /* 1745921 */     GIR_EraseRootFromParent_Done,
     /* 1745922 */   // Label 23786: @1745922
     /* 1745922 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746008), // Rule ID 11154 //
     /* 1745927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1745944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745973 */     // MIs[0] policy
     /* 1745973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1745986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746007 */     // GIR_Coverage, 11154,
     /* 1746007 */     GIR_EraseRootFromParent_Done,
     /* 1746008 */   // Label 23787: @1746008
     /* 1746008 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746094), // Rule ID 11157 //
     /* 1746013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746059 */     // MIs[0] policy
     /* 1746059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746093 */     // GIR_Coverage, 11157,
     /* 1746093 */     GIR_EraseRootFromParent_Done,
     /* 1746094 */   // Label 23788: @1746094
     /* 1746094 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1746180), // Rule ID 11158 //
     /* 1746099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746145 */     // MIs[0] policy
     /* 1746145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1746158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746179 */     // GIR_Coverage, 11158,
     /* 1746179 */     GIR_EraseRootFromParent_Done,
     /* 1746180 */   // Label 23789: @1746180
     /* 1746180 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1746266), // Rule ID 11161 //
     /* 1746185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746231 */     // MIs[0] policy
     /* 1746231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746265 */     // GIR_Coverage, 11161,
     /* 1746265 */     GIR_EraseRootFromParent_Done,
     /* 1746266 */   // Label 23790: @1746266
     /* 1746266 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1746352), // Rule ID 11162 //
     /* 1746271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746317 */     // MIs[0] policy
     /* 1746317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746351 */     // GIR_Coverage, 11162,
     /* 1746351 */     GIR_EraseRootFromParent_Done,
     /* 1746352 */   // Label 23791: @1746352
     /* 1746352 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1746438), // Rule ID 11165 //
     /* 1746357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746403 */     // MIs[0] policy
     /* 1746403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746437 */     // GIR_Coverage, 11165,
     /* 1746437 */     GIR_EraseRootFromParent_Done,
     /* 1746438 */   // Label 23792: @1746438
     /* 1746438 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1746524), // Rule ID 11166 //
     /* 1746443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746489 */     // MIs[0] policy
     /* 1746489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746523 */     // GIR_Coverage, 11166,
     /* 1746523 */     GIR_EraseRootFromParent_Done,
     /* 1746524 */   // Label 23793: @1746524
     /* 1746524 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1746610), // Rule ID 11169 //
     /* 1746529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746575 */     // MIs[0] policy
     /* 1746575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746609 */     // GIR_Coverage, 11169,
     /* 1746609 */     GIR_EraseRootFromParent_Done,
     /* 1746610 */   // Label 23794: @1746610
     /* 1746610 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1746696), // Rule ID 11170 //
     /* 1746615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746661 */     // MIs[0] policy
     /* 1746661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746671 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1746674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746695 */     // GIR_Coverage, 11170,
     /* 1746695 */     GIR_EraseRootFromParent_Done,
     /* 1746696 */   // Label 23795: @1746696
     /* 1746696 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1746782), // Rule ID 11173 //
     /* 1746701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1746718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1746721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746747 */     // MIs[0] policy
     /* 1746747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746781 */     // GIR_Coverage, 11173,
     /* 1746781 */     GIR_EraseRootFromParent_Done,
     /* 1746782 */   // Label 23796: @1746782
     /* 1746782 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1746868), // Rule ID 11174 //
     /* 1746787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1746804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1746807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746833 */     // MIs[0] policy
     /* 1746833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746867 */     // GIR_Coverage, 11174,
     /* 1746867 */     GIR_EraseRootFromParent_Done,
     /* 1746868 */   // Label 23797: @1746868
     /* 1746868 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1746954), // Rule ID 11177 //
     /* 1746873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1746884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1746887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1746890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1746893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746919 */     // MIs[0] policy
     /* 1746919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1746932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746953 */     // GIR_Coverage, 11177,
     /* 1746953 */     GIR_EraseRootFromParent_Done,
     /* 1746954 */   // Label 23798: @1746954
     /* 1746954 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747040), // Rule ID 11178 //
     /* 1746959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1746970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1746973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1746976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1746979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747005 */     // MIs[0] policy
     /* 1747005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1747018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747039 */     // GIR_Coverage, 11178,
     /* 1747039 */     GIR_EraseRootFromParent_Done,
     /* 1747040 */   // Label 23799: @1747040
     /* 1747040 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1747126), // Rule ID 11181 //
     /* 1747045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747091 */     // MIs[0] policy
     /* 1747091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747125 */     // GIR_Coverage, 11181,
     /* 1747125 */     GIR_EraseRootFromParent_Done,
     /* 1747126 */   // Label 23800: @1747126
     /* 1747126 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1747212), // Rule ID 11182 //
     /* 1747131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747177 */     // MIs[0] policy
     /* 1747177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747211 */     // GIR_Coverage, 11182,
     /* 1747211 */     GIR_EraseRootFromParent_Done,
     /* 1747212 */   // Label 23801: @1747212
     /* 1747212 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1747298), // Rule ID 11185 //
     /* 1747217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747263 */     // MIs[0] policy
     /* 1747263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747297 */     // GIR_Coverage, 11185,
     /* 1747297 */     GIR_EraseRootFromParent_Done,
     /* 1747298 */   // Label 23802: @1747298
     /* 1747298 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1747384), // Rule ID 11186 //
     /* 1747303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747349 */     // MIs[0] policy
     /* 1747349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747383 */     // GIR_Coverage, 11186,
     /* 1747383 */     GIR_EraseRootFromParent_Done,
     /* 1747384 */   // Label 23803: @1747384
     /* 1747384 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1747470), // Rule ID 11189 //
     /* 1747389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747435 */     // MIs[0] policy
     /* 1747435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747469 */     // GIR_Coverage, 11189,
     /* 1747469 */     GIR_EraseRootFromParent_Done,
     /* 1747470 */   // Label 23804: @1747470
     /* 1747470 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1747556), // Rule ID 11190 //
     /* 1747475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747521 */     // MIs[0] policy
     /* 1747521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1747534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747555 */     // GIR_Coverage, 11190,
     /* 1747555 */     GIR_EraseRootFromParent_Done,
     /* 1747556 */   // Label 23805: @1747556
     /* 1747556 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1747642), // Rule ID 11193 //
     /* 1747561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747607 */     // MIs[0] policy
     /* 1747607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747641 */     // GIR_Coverage, 11193,
     /* 1747641 */     GIR_EraseRootFromParent_Done,
     /* 1747642 */   // Label 23806: @1747642
     /* 1747642 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1747728), // Rule ID 11194 //
     /* 1747647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747693 */     // MIs[0] policy
     /* 1747693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747727 */     // GIR_Coverage, 11194,
     /* 1747727 */     GIR_EraseRootFromParent_Done,
     /* 1747728 */   // Label 23807: @1747728
     /* 1747728 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1747814), // Rule ID 11197 //
     /* 1747733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1747744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1747747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1747750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1747753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747779 */     // MIs[0] policy
     /* 1747779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747789 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747813 */     // GIR_Coverage, 11197,
     /* 1747813 */     GIR_EraseRootFromParent_Done,
     /* 1747814 */   // Label 23808: @1747814
     /* 1747814 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1747900), // Rule ID 11198 //
     /* 1747819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1747830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1747833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1747836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1747839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747865 */     // MIs[0] policy
     /* 1747865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747875 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747899 */     // GIR_Coverage, 11198,
     /* 1747899 */     GIR_EraseRootFromParent_Done,
     /* 1747900 */   // Label 23809: @1747900
     /* 1747900 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1747986), // Rule ID 11201 //
     /* 1747905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1747916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1747919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1747922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1747925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1747928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747951 */     // MIs[0] policy
     /* 1747951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747961 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1747964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747985 */     // GIR_Coverage, 11201,
     /* 1747985 */     GIR_EraseRootFromParent_Done,
     /* 1747986 */   // Label 23810: @1747986
     /* 1747986 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748072), // Rule ID 11202 //
     /* 1747991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748037 */     // MIs[0] policy
     /* 1748037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748071 */     // GIR_Coverage, 11202,
     /* 1748071 */     GIR_EraseRootFromParent_Done,
     /* 1748072 */   // Label 23811: @1748072
     /* 1748072 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1748158), // Rule ID 11205 //
     /* 1748077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748123 */     // MIs[0] policy
     /* 1748123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748157 */     // GIR_Coverage, 11205,
     /* 1748157 */     GIR_EraseRootFromParent_Done,
     /* 1748158 */   // Label 23812: @1748158
     /* 1748158 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1748244), // Rule ID 11206 //
     /* 1748163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748209 */     // MIs[0] policy
     /* 1748209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748243 */     // GIR_Coverage, 11206,
     /* 1748243 */     GIR_EraseRootFromParent_Done,
     /* 1748244 */   // Label 23813: @1748244
     /* 1748244 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1748330), // Rule ID 11209 //
     /* 1748249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748295 */     // MIs[0] policy
     /* 1748295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748305 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748329 */     // GIR_Coverage, 11209,
     /* 1748329 */     GIR_EraseRootFromParent_Done,
     /* 1748330 */   // Label 23814: @1748330
     /* 1748330 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1748416), // Rule ID 11210 //
     /* 1748335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748381 */     // MIs[0] policy
     /* 1748381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748415 */     // GIR_Coverage, 11210,
     /* 1748415 */     GIR_EraseRootFromParent_Done,
     /* 1748416 */   // Label 23815: @1748416
     /* 1748416 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1748502), // Rule ID 11213 //
     /* 1748421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748467 */     // MIs[0] policy
     /* 1748467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748501 */     // GIR_Coverage, 11213,
     /* 1748501 */     GIR_EraseRootFromParent_Done,
     /* 1748502 */   // Label 23816: @1748502
     /* 1748502 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1748588), // Rule ID 11214 //
     /* 1748507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748553 */     // MIs[0] policy
     /* 1748553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748587 */     // GIR_Coverage, 11214,
     /* 1748587 */     GIR_EraseRootFromParent_Done,
     /* 1748588 */   // Label 23817: @1748588
     /* 1748588 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1748674), // Rule ID 11217 //
     /* 1748593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748639 */     // MIs[0] policy
     /* 1748639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748673 */     // GIR_Coverage, 11217,
     /* 1748673 */     GIR_EraseRootFromParent_Done,
     /* 1748674 */   // Label 23818: @1748674
     /* 1748674 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1748760), // Rule ID 11218 //
     /* 1748679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748725 */     // MIs[0] policy
     /* 1748725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1748738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748759 */     // GIR_Coverage, 11218,
     /* 1748759 */     GIR_EraseRootFromParent_Done,
     /* 1748760 */   // Label 23819: @1748760
     /* 1748760 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1748846), // Rule ID 11221 //
     /* 1748765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748811 */     // MIs[0] policy
     /* 1748811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748845 */     // GIR_Coverage, 11221,
     /* 1748845 */     GIR_EraseRootFromParent_Done,
     /* 1748846 */   // Label 23820: @1748846
     /* 1748846 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1748932), // Rule ID 11222 //
     /* 1748851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748897 */     // MIs[0] policy
     /* 1748897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1748910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748931 */     // GIR_Coverage, 11222,
     /* 1748931 */     GIR_EraseRootFromParent_Done,
     /* 1748932 */   // Label 23821: @1748932
     /* 1748932 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749018), // Rule ID 11225 //
     /* 1748937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1748948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1748951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1748954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1748957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748983 */     // MIs[0] policy
     /* 1748983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1748996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749017 */     // GIR_Coverage, 11225,
     /* 1749017 */     GIR_EraseRootFromParent_Done,
     /* 1749018 */   // Label 23822: @1749018
     /* 1749018 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749104), // Rule ID 11226 //
     /* 1749023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749069 */     // MIs[0] policy
     /* 1749069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1749082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749103 */     // GIR_Coverage, 11226,
     /* 1749103 */     GIR_EraseRootFromParent_Done,
     /* 1749104 */   // Label 23823: @1749104
     /* 1749104 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1749190), // Rule ID 11229 //
     /* 1749109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749155 */     // MIs[0] policy
     /* 1749155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749189 */     // GIR_Coverage, 11229,
     /* 1749189 */     GIR_EraseRootFromParent_Done,
     /* 1749190 */   // Label 23824: @1749190
     /* 1749190 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1749276), // Rule ID 11230 //
     /* 1749195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749241 */     // MIs[0] policy
     /* 1749241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1749254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749275 */     // GIR_Coverage, 11230,
     /* 1749275 */     GIR_EraseRootFromParent_Done,
     /* 1749276 */   // Label 23825: @1749276
     /* 1749276 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1749362), // Rule ID 11233 //
     /* 1749281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749327 */     // MIs[0] policy
     /* 1749327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749361 */     // GIR_Coverage, 11233,
     /* 1749361 */     GIR_EraseRootFromParent_Done,
     /* 1749362 */   // Label 23826: @1749362
     /* 1749362 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1749448), // Rule ID 11234 //
     /* 1749367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749413 */     // MIs[0] policy
     /* 1749413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749423 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749447 */     // GIR_Coverage, 11234,
     /* 1749447 */     GIR_EraseRootFromParent_Done,
     /* 1749448 */   // Label 23827: @1749448
     /* 1749448 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1749534), // Rule ID 11237 //
     /* 1749453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749499 */     // MIs[0] policy
     /* 1749499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749509 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749533 */     // GIR_Coverage, 11237,
     /* 1749533 */     GIR_EraseRootFromParent_Done,
     /* 1749534 */   // Label 23828: @1749534
     /* 1749534 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1749620), // Rule ID 11238 //
     /* 1749539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749585 */     // MIs[0] policy
     /* 1749585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749619 */     // GIR_Coverage, 11238,
     /* 1749619 */     GIR_EraseRootFromParent_Done,
     /* 1749620 */   // Label 23829: @1749620
     /* 1749620 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1749706), // Rule ID 11241 //
     /* 1749625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749671 */     // MIs[0] policy
     /* 1749671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749681 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749705 */     // GIR_Coverage, 11241,
     /* 1749705 */     GIR_EraseRootFromParent_Done,
     /* 1749706 */   // Label 23830: @1749706
     /* 1749706 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1749792), // Rule ID 11242 //
     /* 1749711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749757 */     // MIs[0] policy
     /* 1749757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1749770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749791 */     // GIR_Coverage, 11242,
     /* 1749791 */     GIR_EraseRootFromParent_Done,
     /* 1749792 */   // Label 23831: @1749792
     /* 1749792 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1749878), // Rule ID 11245 //
     /* 1749797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749843 */     // MIs[0] policy
     /* 1749843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749877 */     // GIR_Coverage, 11245,
     /* 1749877 */     GIR_EraseRootFromParent_Done,
     /* 1749878 */   // Label 23832: @1749878
     /* 1749878 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1749964), // Rule ID 11246 //
     /* 1749883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749929 */     // MIs[0] policy
     /* 1749929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1749942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749963 */     // GIR_Coverage, 11246,
     /* 1749963 */     GIR_EraseRootFromParent_Done,
     /* 1749964 */   // Label 23833: @1749964
     /* 1749964 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750050), // Rule ID 11249 //
     /* 1749969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1749980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1749983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1749986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750015 */     // MIs[0] policy
     /* 1750015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750025 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750049 */     // GIR_Coverage, 11249,
     /* 1750049 */     GIR_EraseRootFromParent_Done,
     /* 1750050 */   // Label 23834: @1750050
     /* 1750050 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1750136), // Rule ID 11250 //
     /* 1750055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750101 */     // MIs[0] policy
     /* 1750101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1750114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750135 */     // GIR_Coverage, 11250,
     /* 1750135 */     GIR_EraseRootFromParent_Done,
     /* 1750136 */   // Label 23835: @1750136
     /* 1750136 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1750222), // Rule ID 11253 //
     /* 1750141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750187 */     // MIs[0] policy
     /* 1750187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750221 */     // GIR_Coverage, 11253,
     /* 1750221 */     GIR_EraseRootFromParent_Done,
     /* 1750222 */   // Label 23836: @1750222
     /* 1750222 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1750308), // Rule ID 11254 //
     /* 1750227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750273 */     // MIs[0] policy
     /* 1750273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750307 */     // GIR_Coverage, 11254,
     /* 1750307 */     GIR_EraseRootFromParent_Done,
     /* 1750308 */   // Label 23837: @1750308
     /* 1750308 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1750394), // Rule ID 11257 //
     /* 1750313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750359 */     // MIs[0] policy
     /* 1750359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750393 */     // GIR_Coverage, 11257,
     /* 1750393 */     GIR_EraseRootFromParent_Done,
     /* 1750394 */   // Label 23838: @1750394
     /* 1750394 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1750480), // Rule ID 11258 //
     /* 1750399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750445 */     // MIs[0] policy
     /* 1750445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750479 */     // GIR_Coverage, 11258,
     /* 1750479 */     GIR_EraseRootFromParent_Done,
     /* 1750480 */   // Label 23839: @1750480
     /* 1750480 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1750566), // Rule ID 11261 //
     /* 1750485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750531 */     // MIs[0] policy
     /* 1750531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750565 */     // GIR_Coverage, 11261,
     /* 1750565 */     GIR_EraseRootFromParent_Done,
     /* 1750566 */   // Label 23840: @1750566
     /* 1750566 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1750652), // Rule ID 11262 //
     /* 1750571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750617 */     // MIs[0] policy
     /* 1750617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1750630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750651 */     // GIR_Coverage, 11262,
     /* 1750651 */     GIR_EraseRootFromParent_Done,
     /* 1750652 */   // Label 23841: @1750652
     /* 1750652 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1750738), // Rule ID 11265 //
     /* 1750657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1750668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1750671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1750674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750703 */     // MIs[0] policy
     /* 1750703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750713 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750737 */     // GIR_Coverage, 11265,
     /* 1750737 */     GIR_EraseRootFromParent_Done,
     /* 1750738 */   // Label 23842: @1750738
     /* 1750738 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1750824), // Rule ID 11266 //
     /* 1750743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1750754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1750757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1750760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750789 */     // MIs[0] policy
     /* 1750789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750799 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750823 */     // GIR_Coverage, 11266,
     /* 1750823 */     GIR_EraseRootFromParent_Done,
     /* 1750824 */   // Label 23843: @1750824
     /* 1750824 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1750910), // Rule ID 11269 //
     /* 1750829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1750840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1750843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1750846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750875 */     // MIs[0] policy
     /* 1750875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750885 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750909 */     // GIR_Coverage, 11269,
     /* 1750909 */     GIR_EraseRootFromParent_Done,
     /* 1750910 */   // Label 23844: @1750910
     /* 1750910 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1750996), // Rule ID 11270 //
     /* 1750915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1750926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1750929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1750932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750961 */     // MIs[0] policy
     /* 1750961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750995 */     // GIR_Coverage, 11270,
     /* 1750995 */     GIR_EraseRootFromParent_Done,
     /* 1750996 */   // Label 23845: @1750996
     /* 1750996 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751082), // Rule ID 11273 //
     /* 1751001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751047 */     // MIs[0] policy
     /* 1751047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751057 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751081 */     // GIR_Coverage, 11273,
     /* 1751081 */     GIR_EraseRootFromParent_Done,
     /* 1751082 */   // Label 23846: @1751082
     /* 1751082 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1751168), // Rule ID 11274 //
     /* 1751087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751133 */     // MIs[0] policy
     /* 1751133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751143 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751167 */     // GIR_Coverage, 11274,
     /* 1751167 */     GIR_EraseRootFromParent_Done,
     /* 1751168 */   // Label 23847: @1751168
     /* 1751168 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1751254), // Rule ID 11277 //
     /* 1751173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751219 */     // MIs[0] policy
     /* 1751219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751253 */     // GIR_Coverage, 11277,
     /* 1751253 */     GIR_EraseRootFromParent_Done,
     /* 1751254 */   // Label 23848: @1751254
     /* 1751254 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1751340), // Rule ID 11278 //
     /* 1751259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751305 */     // MIs[0] policy
     /* 1751305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751339 */     // GIR_Coverage, 11278,
     /* 1751339 */     GIR_EraseRootFromParent_Done,
     /* 1751340 */   // Label 23849: @1751340
     /* 1751340 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1751426), // Rule ID 11281 //
     /* 1751345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751391 */     // MIs[0] policy
     /* 1751391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751401 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751425 */     // GIR_Coverage, 11281,
     /* 1751425 */     GIR_EraseRootFromParent_Done,
     /* 1751426 */   // Label 23850: @1751426
     /* 1751426 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1751512), // Rule ID 11282 //
     /* 1751431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751477 */     // MIs[0] policy
     /* 1751477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751511 */     // GIR_Coverage, 11282,
     /* 1751511 */     GIR_EraseRootFromParent_Done,
     /* 1751512 */   // Label 23851: @1751512
     /* 1751512 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1751598), // Rule ID 11285 //
     /* 1751517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751563 */     // MIs[0] policy
     /* 1751563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751597 */     // GIR_Coverage, 11285,
     /* 1751597 */     GIR_EraseRootFromParent_Done,
     /* 1751598 */   // Label 23852: @1751598
     /* 1751598 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1751684), // Rule ID 11286 //
     /* 1751603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751649 */     // MIs[0] policy
     /* 1751649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1751662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751683 */     // GIR_Coverage, 11286,
     /* 1751683 */     GIR_EraseRootFromParent_Done,
     /* 1751684 */   // Label 23853: @1751684
     /* 1751684 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1751770), // Rule ID 11289 //
     /* 1751689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1751700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1751703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1751706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751735 */     // MIs[0] policy
     /* 1751735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751769 */     // GIR_Coverage, 11289,
     /* 1751769 */     GIR_EraseRootFromParent_Done,
     /* 1751770 */   // Label 23854: @1751770
     /* 1751770 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1751856), // Rule ID 11290 //
     /* 1751775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1751786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1751789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1751792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751821 */     // MIs[0] policy
     /* 1751821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1751834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751855 */     // GIR_Coverage, 11290,
     /* 1751855 */     GIR_EraseRootFromParent_Done,
     /* 1751856 */   // Label 23855: @1751856
     /* 1751856 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1751942), // Rule ID 11293 //
     /* 1751861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1751872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1751875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1751878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751907 */     // MIs[0] policy
     /* 1751907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1751920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751941 */     // GIR_Coverage, 11293,
     /* 1751941 */     GIR_EraseRootFromParent_Done,
     /* 1751942 */   // Label 23856: @1751942
     /* 1751942 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752028), // Rule ID 11294 //
     /* 1751947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1751958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1751961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1751964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751993 */     // MIs[0] policy
     /* 1751993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1752006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752027 */     // GIR_Coverage, 11294,
     /* 1752027 */     GIR_EraseRootFromParent_Done,
     /* 1752028 */   // Label 23857: @1752028
     /* 1752028 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752114), // Rule ID 11297 //
     /* 1752033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752079 */     // MIs[0] policy
     /* 1752079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752113 */     // GIR_Coverage, 11297,
     /* 1752113 */     GIR_EraseRootFromParent_Done,
     /* 1752114 */   // Label 23858: @1752114
     /* 1752114 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1752200), // Rule ID 11298 //
     /* 1752119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752165 */     // MIs[0] policy
     /* 1752165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1752178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752199 */     // GIR_Coverage, 11298,
     /* 1752199 */     GIR_EraseRootFromParent_Done,
     /* 1752200 */   // Label 23859: @1752200
     /* 1752200 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1752286), // Rule ID 11301 //
     /* 1752205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752251 */     // MIs[0] policy
     /* 1752251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752285 */     // GIR_Coverage, 11301,
     /* 1752285 */     GIR_EraseRootFromParent_Done,
     /* 1752286 */   // Label 23860: @1752286
     /* 1752286 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1752372), // Rule ID 11302 //
     /* 1752291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1752302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1752305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1752308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1752311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752337 */     // MIs[0] policy
     /* 1752337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1752350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752371 */     // GIR_Coverage, 11302,
     /* 1752371 */     GIR_EraseRootFromParent_Done,
     /* 1752372 */   // Label 23861: @1752372
     /* 1752372 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1752458), // Rule ID 11305 //
     /* 1752377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752423 */     // MIs[0] policy
     /* 1752423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752457 */     // GIR_Coverage, 11305,
     /* 1752457 */     GIR_EraseRootFromParent_Done,
     /* 1752458 */   // Label 23862: @1752458
     /* 1752458 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1752544), // Rule ID 11306 //
     /* 1752463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1752474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1752477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1752480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1752483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752509 */     // MIs[0] policy
     /* 1752509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752519 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752543 */     // GIR_Coverage, 11306,
     /* 1752543 */     GIR_EraseRootFromParent_Done,
     /* 1752544 */   // Label 23863: @1752544
     /* 1752544 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1752630), // Rule ID 11309 //
     /* 1752549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1752563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1752566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1752569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752595 */     // MIs[0] policy
     /* 1752595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752629 */     // GIR_Coverage, 11309,
     /* 1752629 */     GIR_EraseRootFromParent_Done,
     /* 1752630 */   // Label 23864: @1752630
     /* 1752630 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1752716), // Rule ID 11310 //
     /* 1752635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1752646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1752649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1752652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1752655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752681 */     // MIs[0] policy
     /* 1752681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752691 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752715 */     // GIR_Coverage, 11310,
     /* 1752715 */     GIR_EraseRootFromParent_Done,
     /* 1752716 */   // Label 23865: @1752716
     /* 1752716 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1752802), // Rule ID 11313 //
     /* 1752721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1752732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1752735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752767 */     // MIs[0] policy
     /* 1752767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752801 */     // GIR_Coverage, 11313,
     /* 1752801 */     GIR_EraseRootFromParent_Done,
     /* 1752802 */   // Label 23866: @1752802
     /* 1752802 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1752888), // Rule ID 11314 //
     /* 1752807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1752818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1752821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752853 */     // MIs[0] policy
     /* 1752853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1752866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752887 */     // GIR_Coverage, 11314,
     /* 1752887 */     GIR_EraseRootFromParent_Done,
     /* 1752888 */   // Label 23867: @1752888
     /* 1752888 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1752974), // Rule ID 11317 //
     /* 1752893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1752904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1752907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1752910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1752913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752939 */     // MIs[0] policy
     /* 1752939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752973 */     // GIR_Coverage, 11317,
     /* 1752973 */     GIR_EraseRootFromParent_Done,
     /* 1752974 */   // Label 23868: @1752974
     /* 1752974 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753060), // Rule ID 11318 //
     /* 1752979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1752990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1752993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1752996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1752999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753025 */     // MIs[0] policy
     /* 1753025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753059 */     // GIR_Coverage, 11318,
     /* 1753059 */     GIR_EraseRootFromParent_Done,
     /* 1753060 */   // Label 23869: @1753060
     /* 1753060 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1753146), // Rule ID 11321 //
     /* 1753065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753111 */     // MIs[0] policy
     /* 1753111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753145 */     // GIR_Coverage, 11321,
     /* 1753145 */     GIR_EraseRootFromParent_Done,
     /* 1753146 */   // Label 23870: @1753146
     /* 1753146 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1753232), // Rule ID 11322 //
     /* 1753151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1753162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1753165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753197 */     // MIs[0] policy
     /* 1753197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1753210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753231 */     // GIR_Coverage, 11322,
     /* 1753231 */     GIR_EraseRootFromParent_Done,
     /* 1753232 */   // Label 23871: @1753232
     /* 1753232 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1753318), // Rule ID 11325 //
     /* 1753237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753283 */     // MIs[0] policy
     /* 1753283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753317 */     // GIR_Coverage, 11325,
     /* 1753317 */     GIR_EraseRootFromParent_Done,
     /* 1753318 */   // Label 23872: @1753318
     /* 1753318 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1753404), // Rule ID 11326 //
     /* 1753323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1753334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1753337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1753340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1753343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753369 */     // MIs[0] policy
     /* 1753369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753403 */     // GIR_Coverage, 11326,
     /* 1753403 */     GIR_EraseRootFromParent_Done,
     /* 1753404 */   // Label 23873: @1753404
     /* 1753404 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1753490), // Rule ID 11329 //
     /* 1753409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753455 */     // MIs[0] policy
     /* 1753455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753489 */     // GIR_Coverage, 11329,
     /* 1753489 */     GIR_EraseRootFromParent_Done,
     /* 1753490 */   // Label 23874: @1753490
     /* 1753490 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1753576), // Rule ID 11330 //
     /* 1753495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1753512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1753515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753541 */     // MIs[0] policy
     /* 1753541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753575 */     // GIR_Coverage, 11330,
     /* 1753575 */     GIR_EraseRootFromParent_Done,
     /* 1753576 */   // Label 23875: @1753576
     /* 1753576 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1753662), // Rule ID 11333 //
     /* 1753581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1753592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1753595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753627 */     // MIs[0] policy
     /* 1753627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753661 */     // GIR_Coverage, 11333,
     /* 1753661 */     GIR_EraseRootFromParent_Done,
     /* 1753662 */   // Label 23876: @1753662
     /* 1753662 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1753748), // Rule ID 11334 //
     /* 1753667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1753678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1753681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753713 */     // MIs[0] policy
     /* 1753713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1753726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753747 */     // GIR_Coverage, 11334,
     /* 1753747 */     GIR_EraseRootFromParent_Done,
     /* 1753748 */   // Label 23877: @1753748
     /* 1753748 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1753834), // Rule ID 11337 //
     /* 1753753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1753764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1753767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1753770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1753773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753799 */     // MIs[0] policy
     /* 1753799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753833 */     // GIR_Coverage, 11337,
     /* 1753833 */     GIR_EraseRootFromParent_Done,
     /* 1753834 */   // Label 23878: @1753834
     /* 1753834 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1753920), // Rule ID 11338 //
     /* 1753839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1753850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1753853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1753856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1753859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753885 */     // MIs[0] policy
     /* 1753885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753895 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753919 */     // GIR_Coverage, 11338,
     /* 1753919 */     GIR_EraseRootFromParent_Done,
     /* 1753920 */   // Label 23879: @1753920
     /* 1753920 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754006), // Rule ID 11341 //
     /* 1753925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1753936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1753939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1753942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1753945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753971 */     // MIs[0] policy
     /* 1753971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753981 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1753984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754005 */     // GIR_Coverage, 11341,
     /* 1754005 */     GIR_EraseRootFromParent_Done,
     /* 1754006 */   // Label 23880: @1754006
     /* 1754006 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754092), // Rule ID 11342 //
     /* 1754011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1754022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1754025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1754028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754057 */     // MIs[0] policy
     /* 1754057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754091 */     // GIR_Coverage, 11342,
     /* 1754091 */     GIR_EraseRootFromParent_Done,
     /* 1754092 */   // Label 23881: @1754092
     /* 1754092 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1754178), // Rule ID 11345 //
     /* 1754097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754143 */     // MIs[0] policy
     /* 1754143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754153 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754177 */     // GIR_Coverage, 11345,
     /* 1754177 */     GIR_EraseRootFromParent_Done,
     /* 1754178 */   // Label 23882: @1754178
     /* 1754178 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1754264), // Rule ID 11346 //
     /* 1754183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1754194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1754197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1754200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1754203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1754206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754229 */     // MIs[0] policy
     /* 1754229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754239 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754263 */     // GIR_Coverage, 11346,
     /* 1754263 */     GIR_EraseRootFromParent_Done,
     /* 1754264 */   // Label 23883: @1754264
     /* 1754264 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1754350), // Rule ID 11349 //
     /* 1754269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754315 */     // MIs[0] policy
     /* 1754315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754349 */     // GIR_Coverage, 11349,
     /* 1754349 */     GIR_EraseRootFromParent_Done,
     /* 1754350 */   // Label 23884: @1754350
     /* 1754350 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1754436), // Rule ID 11350 //
     /* 1754355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1754372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1754375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754401 */     // MIs[0] policy
     /* 1754401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754435 */     // GIR_Coverage, 11350,
     /* 1754435 */     GIR_EraseRootFromParent_Done,
     /* 1754436 */   // Label 23885: @1754436
     /* 1754436 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1754522), // Rule ID 11353 //
     /* 1754441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754487 */     // MIs[0] policy
     /* 1754487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754521 */     // GIR_Coverage, 11353,
     /* 1754521 */     GIR_EraseRootFromParent_Done,
     /* 1754522 */   // Label 23886: @1754522
     /* 1754522 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1754608), // Rule ID 11354 //
     /* 1754527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1754544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1754547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754573 */     // MIs[0] policy
     /* 1754573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1754586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754607 */     // GIR_Coverage, 11354,
     /* 1754607 */     GIR_EraseRootFromParent_Done,
     /* 1754608 */   // Label 23887: @1754608
     /* 1754608 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1754694), // Rule ID 11357 //
     /* 1754613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1754630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1754633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754659 */     // MIs[0] policy
     /* 1754659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754693 */     // GIR_Coverage, 11357,
     /* 1754693 */     GIR_EraseRootFromParent_Done,
     /* 1754694 */   // Label 23888: @1754694
     /* 1754694 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1754780), // Rule ID 11358 //
     /* 1754699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1754716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1754719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754745 */     // MIs[0] policy
     /* 1754745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754779 */     // GIR_Coverage, 11358,
     /* 1754779 */     GIR_EraseRootFromParent_Done,
     /* 1754780 */   // Label 23889: @1754780
     /* 1754780 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1754866), // Rule ID 11361 //
     /* 1754785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1754796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1754799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1754802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1754805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754831 */     // MIs[0] policy
     /* 1754831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754865 */     // GIR_Coverage, 11361,
     /* 1754865 */     GIR_EraseRootFromParent_Done,
     /* 1754866 */   // Label 23890: @1754866
     /* 1754866 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1754952), // Rule ID 11362 //
     /* 1754871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1754882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1754885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1754888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1754891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754917 */     // MIs[0] policy
     /* 1754917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1754930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754951 */     // GIR_Coverage, 11362,
     /* 1754951 */     GIR_EraseRootFromParent_Done,
     /* 1754952 */   // Label 23891: @1754952
     /* 1754952 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755038), // Rule ID 11365 //
     /* 1754957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1754968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1754971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1754974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1754977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755003 */     // MIs[0] policy
     /* 1755003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755013 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755037 */     // GIR_Coverage, 11365,
     /* 1755037 */     GIR_EraseRootFromParent_Done,
     /* 1755038 */   // Label 23892: @1755038
     /* 1755038 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755124), // Rule ID 11366 //
     /* 1755043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1755060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1755063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755089 */     // MIs[0] policy
     /* 1755089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755123 */     // GIR_Coverage, 11366,
     /* 1755123 */     GIR_EraseRootFromParent_Done,
     /* 1755124 */   // Label 23893: @1755124
     /* 1755124 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1755210), // Rule ID 11369 //
     /* 1755129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755175 */     // MIs[0] policy
     /* 1755175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755209 */     // GIR_Coverage, 11369,
     /* 1755209 */     GIR_EraseRootFromParent_Done,
     /* 1755210 */   // Label 23894: @1755210
     /* 1755210 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1755296), // Rule ID 11370 //
     /* 1755215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1755232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1755235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755261 */     // MIs[0] policy
     /* 1755261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755295 */     // GIR_Coverage, 11370,
     /* 1755295 */     GIR_EraseRootFromParent_Done,
     /* 1755296 */   // Label 23895: @1755296
     /* 1755296 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1755382), // Rule ID 11373 //
     /* 1755301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755347 */     // MIs[0] policy
     /* 1755347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755357 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755381 */     // GIR_Coverage, 11373,
     /* 1755381 */     GIR_EraseRootFromParent_Done,
     /* 1755382 */   // Label 23896: @1755382
     /* 1755382 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1755468), // Rule ID 11374 //
     /* 1755387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1755398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1755401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1755404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755433 */     // MIs[0] policy
     /* 1755433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1755446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755467 */     // GIR_Coverage, 11374,
     /* 1755467 */     GIR_EraseRootFromParent_Done,
     /* 1755468 */   // Label 23897: @1755468
     /* 1755468 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1755554), // Rule ID 11377 //
     /* 1755473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755519 */     // MIs[0] policy
     /* 1755519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755529 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755553 */     // GIR_Coverage, 11377,
     /* 1755553 */     GIR_EraseRootFromParent_Done,
     /* 1755554 */   // Label 23898: @1755554
     /* 1755554 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1755640), // Rule ID 11378 //
     /* 1755559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1755570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1755573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1755576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755605 */     // MIs[0] policy
     /* 1755605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755639 */     // GIR_Coverage, 11378,
     /* 1755639 */     GIR_EraseRootFromParent_Done,
     /* 1755640 */   // Label 23899: @1755640
     /* 1755640 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1755726), // Rule ID 11381 //
     /* 1755645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1755656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1755659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1755662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755691 */     // MIs[0] policy
     /* 1755691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755725 */     // GIR_Coverage, 11381,
     /* 1755725 */     GIR_EraseRootFromParent_Done,
     /* 1755726 */   // Label 23900: @1755726
     /* 1755726 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1755812), // Rule ID 11382 //
     /* 1755731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1755742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1755745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1755748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755777 */     // MIs[0] policy
     /* 1755777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755811 */     // GIR_Coverage, 11382,
     /* 1755811 */     GIR_EraseRootFromParent_Done,
     /* 1755812 */   // Label 23901: @1755812
     /* 1755812 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1755898), // Rule ID 11385 //
     /* 1755817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1755828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1755831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1755834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755863 */     // MIs[0] policy
     /* 1755863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755873 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755897 */     // GIR_Coverage, 11385,
     /* 1755897 */     GIR_EraseRootFromParent_Done,
     /* 1755898 */   // Label 23902: @1755898
     /* 1755898 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1755984), // Rule ID 11386 //
     /* 1755903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1755914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1755917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1755920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755949 */     // MIs[0] policy
     /* 1755949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1755962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755983 */     // GIR_Coverage, 11386,
     /* 1755983 */     GIR_EraseRootFromParent_Done,
     /* 1755984 */   // Label 23903: @1755984
     /* 1755984 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756070), // Rule ID 11389 //
     /* 1755989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756035 */     // MIs[0] policy
     /* 1756035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756069 */     // GIR_Coverage, 11389,
     /* 1756069 */     GIR_EraseRootFromParent_Done,
     /* 1756070 */   // Label 23904: @1756070
     /* 1756070 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1756156), // Rule ID 11390 //
     /* 1756075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1756092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756121 */     // MIs[0] policy
     /* 1756121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756131 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756155 */     // GIR_Coverage, 11390,
     /* 1756155 */     GIR_EraseRootFromParent_Done,
     /* 1756156 */   // Label 23905: @1756156
     /* 1756156 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1756242), // Rule ID 11393 //
     /* 1756161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756207 */     // MIs[0] policy
     /* 1756207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756241 */     // GIR_Coverage, 11393,
     /* 1756241 */     GIR_EraseRootFromParent_Done,
     /* 1756242 */   // Label 23906: @1756242
     /* 1756242 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1756328), // Rule ID 11394 //
     /* 1756247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1756258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1756261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1756264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756293 */     // MIs[0] policy
     /* 1756293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1756306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756327 */     // GIR_Coverage, 11394,
     /* 1756327 */     GIR_EraseRootFromParent_Done,
     /* 1756328 */   // Label 23907: @1756328
     /* 1756328 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1756414), // Rule ID 11397 //
     /* 1756333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756379 */     // MIs[0] policy
     /* 1756379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756413 */     // GIR_Coverage, 11397,
     /* 1756413 */     GIR_EraseRootFromParent_Done,
     /* 1756414 */   // Label 23908: @1756414
     /* 1756414 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1756500), // Rule ID 11398 //
     /* 1756419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1756430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1756433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1756436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756465 */     // MIs[0] policy
     /* 1756465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756499 */     // GIR_Coverage, 11398,
     /* 1756499 */     GIR_EraseRootFromParent_Done,
     /* 1756500 */   // Label 23909: @1756500
     /* 1756500 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1756586), // Rule ID 11401 //
     /* 1756505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756551 */     // MIs[0] policy
     /* 1756551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756585 */     // GIR_Coverage, 11401,
     /* 1756585 */     GIR_EraseRootFromParent_Done,
     /* 1756586 */   // Label 23910: @1756586
     /* 1756586 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1756672), // Rule ID 11402 //
     /* 1756591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1756608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756637 */     // MIs[0] policy
     /* 1756637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756671 */     // GIR_Coverage, 11402,
     /* 1756671 */     GIR_EraseRootFromParent_Done,
     /* 1756672 */   // Label 23911: @1756672
     /* 1756672 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1756758), // Rule ID 11405 //
     /* 1756677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1756688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1756691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1756694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756723 */     // MIs[0] policy
     /* 1756723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756757 */     // GIR_Coverage, 11405,
     /* 1756757 */     GIR_EraseRootFromParent_Done,
     /* 1756758 */   // Label 23912: @1756758
     /* 1756758 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1756844), // Rule ID 11406 //
     /* 1756763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1756774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1756777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1756780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756809 */     // MIs[0] policy
     /* 1756809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756843 */     // GIR_Coverage, 11406,
     /* 1756843 */     GIR_EraseRootFromParent_Done,
     /* 1756844 */   // Label 23913: @1756844
     /* 1756844 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1756930), // Rule ID 11409 //
     /* 1756849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1756860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1756863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1756866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756895 */     // MIs[0] policy
     /* 1756895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756929 */     // GIR_Coverage, 11409,
     /* 1756929 */     GIR_EraseRootFromParent_Done,
     /* 1756930 */   // Label 23914: @1756930
     /* 1756930 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757016), // Rule ID 11410 //
     /* 1756935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1756946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1756949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1756952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756981 */     // MIs[0] policy
     /* 1756981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757015 */     // GIR_Coverage, 11410,
     /* 1757015 */     GIR_EraseRootFromParent_Done,
     /* 1757016 */   // Label 23915: @1757016
     /* 1757016 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757102), // Rule ID 11413 //
     /* 1757021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757067 */     // MIs[0] policy
     /* 1757067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757077 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757101 */     // GIR_Coverage, 11413,
     /* 1757101 */     GIR_EraseRootFromParent_Done,
     /* 1757102 */   // Label 23916: @1757102
     /* 1757102 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1757188), // Rule ID 11414 //
     /* 1757107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1757118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1757121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1757124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757153 */     // MIs[0] policy
     /* 1757153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757187 */     // GIR_Coverage, 11414,
     /* 1757187 */     GIR_EraseRootFromParent_Done,
     /* 1757188 */   // Label 23917: @1757188
     /* 1757188 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1757274), // Rule ID 11417 //
     /* 1757193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757239 */     // MIs[0] policy
     /* 1757239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757273 */     // GIR_Coverage, 11417,
     /* 1757273 */     GIR_EraseRootFromParent_Done,
     /* 1757274 */   // Label 23918: @1757274
     /* 1757274 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1757360), // Rule ID 11418 //
     /* 1757279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1757290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1757293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1757296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1757302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757325 */     // MIs[0] policy
     /* 1757325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757335 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757359 */     // GIR_Coverage, 11418,
     /* 1757359 */     GIR_EraseRootFromParent_Done,
     /* 1757360 */   // Label 23919: @1757360
     /* 1757360 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1757446), // Rule ID 11421 //
     /* 1757365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757411 */     // MIs[0] policy
     /* 1757411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757445 */     // GIR_Coverage, 11421,
     /* 1757445 */     GIR_EraseRootFromParent_Done,
     /* 1757446 */   // Label 23920: @1757446
     /* 1757446 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1757532), // Rule ID 11422 //
     /* 1757451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1757462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1757465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1757468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757497 */     // MIs[0] policy
     /* 1757497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757531 */     // GIR_Coverage, 11422,
     /* 1757531 */     GIR_EraseRootFromParent_Done,
     /* 1757532 */   // Label 23921: @1757532
     /* 1757532 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1757618), // Rule ID 11425 //
     /* 1757537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757583 */     // MIs[0] policy
     /* 1757583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757617 */     // GIR_Coverage, 11425,
     /* 1757617 */     GIR_EraseRootFromParent_Done,
     /* 1757618 */   // Label 23922: @1757618
     /* 1757618 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1757704), // Rule ID 11426 //
     /* 1757623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1757634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1757637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1757640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757669 */     // MIs[0] policy
     /* 1757669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757703 */     // GIR_Coverage, 11426,
     /* 1757703 */     GIR_EraseRootFromParent_Done,
     /* 1757704 */   // Label 23923: @1757704
     /* 1757704 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1757790), // Rule ID 11429 //
     /* 1757709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1757726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757755 */     // MIs[0] policy
     /* 1757755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757765 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757789 */     // GIR_Coverage, 11429,
     /* 1757789 */     GIR_EraseRootFromParent_Done,
     /* 1757790 */   // Label 23924: @1757790
     /* 1757790 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1757876), // Rule ID 11430 //
     /* 1757795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1757812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757841 */     // MIs[0] policy
     /* 1757841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757851 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757875 */     // GIR_Coverage, 11430,
     /* 1757875 */     GIR_EraseRootFromParent_Done,
     /* 1757876 */   // Label 23925: @1757876
     /* 1757876 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1757962), // Rule ID 11433 //
     /* 1757881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1757898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757927 */     // MIs[0] policy
     /* 1757927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1757940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757961 */     // GIR_Coverage, 11433,
     /* 1757961 */     GIR_EraseRootFromParent_Done,
     /* 1757962 */   // Label 23926: @1757962
     /* 1757962 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758048), // Rule ID 11434 //
     /* 1757967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1757984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758013 */     // MIs[0] policy
     /* 1758013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1758026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758047 */     // GIR_Coverage, 11434,
     /* 1758047 */     GIR_EraseRootFromParent_Done,
     /* 1758048 */   // Label 23927: @1758048
     /* 1758048 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1758134), // Rule ID 11437 //
     /* 1758053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758099 */     // MIs[0] policy
     /* 1758099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758133 */     // GIR_Coverage, 11437,
     /* 1758133 */     GIR_EraseRootFromParent_Done,
     /* 1758134 */   // Label 23928: @1758134
     /* 1758134 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1758220), // Rule ID 11438 //
     /* 1758139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1758150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1758153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1758156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758185 */     // MIs[0] policy
     /* 1758185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1758198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758219 */     // GIR_Coverage, 11438,
     /* 1758219 */     GIR_EraseRootFromParent_Done,
     /* 1758220 */   // Label 23929: @1758220
     /* 1758220 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1758306), // Rule ID 11441 //
     /* 1758225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758271 */     // MIs[0] policy
     /* 1758271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758305 */     // GIR_Coverage, 11441,
     /* 1758305 */     GIR_EraseRootFromParent_Done,
     /* 1758306 */   // Label 23930: @1758306
     /* 1758306 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1758392), // Rule ID 11442 //
     /* 1758311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1758322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1758325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1758328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758357 */     // MIs[0] policy
     /* 1758357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1758370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758391 */     // GIR_Coverage, 11442,
     /* 1758391 */     GIR_EraseRootFromParent_Done,
     /* 1758392 */   // Label 23931: @1758392
     /* 1758392 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1758478), // Rule ID 11445 //
     /* 1758397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758443 */     // MIs[0] policy
     /* 1758443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758477 */     // GIR_Coverage, 11445,
     /* 1758477 */     GIR_EraseRootFromParent_Done,
     /* 1758478 */   // Label 23932: @1758478
     /* 1758478 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1758564), // Rule ID 11446 //
     /* 1758483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758529 */     // MIs[0] policy
     /* 1758529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1758542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758563 */     // GIR_Coverage, 11446,
     /* 1758563 */     GIR_EraseRootFromParent_Done,
     /* 1758564 */   // Label 23933: @1758564
     /* 1758564 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1758650), // Rule ID 11449 //
     /* 1758569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758615 */     // MIs[0] policy
     /* 1758615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1758628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758649 */     // GIR_Coverage, 11449,
     /* 1758649 */     GIR_EraseRootFromParent_Done,
     /* 1758650 */   // Label 23934: @1758650
     /* 1758650 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1758736), // Rule ID 11450 //
     /* 1758655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758701 */     // MIs[0] policy
     /* 1758701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1758714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758735 */     // GIR_Coverage, 11450,
     /* 1758735 */     GIR_EraseRootFromParent_Done,
     /* 1758736 */   // Label 23935: @1758736
     /* 1758736 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1758822), // Rule ID 11453 //
     /* 1758741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1758761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758787 */     // MIs[0] policy
     /* 1758787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1758800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758821 */     // GIR_Coverage, 11453,
     /* 1758821 */     GIR_EraseRootFromParent_Done,
     /* 1758822 */   // Label 23936: @1758822
     /* 1758822 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1758908), // Rule ID 11454 //
     /* 1758827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1758847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758873 */     // MIs[0] policy
     /* 1758873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1758886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758907 */     // GIR_Coverage, 11454,
     /* 1758907 */     GIR_EraseRootFromParent_Done,
     /* 1758908 */   // Label 23937: @1758908
     /* 1758908 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1758994), // Rule ID 11457 //
     /* 1758913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1758933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758959 */     // MIs[0] policy
     /* 1758959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758969 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1758972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758993 */     // GIR_Coverage, 11457,
     /* 1758993 */     GIR_EraseRootFromParent_Done,
     /* 1758994 */   // Label 23938: @1758994
     /* 1758994 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759080), // Rule ID 11458 //
     /* 1758999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759045 */     // MIs[0] policy
     /* 1759045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1759058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759079 */     // GIR_Coverage, 11458,
     /* 1759079 */     GIR_EraseRootFromParent_Done,
     /* 1759080 */   // Label 23939: @1759080
     /* 1759080 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1759166), // Rule ID 11461 //
     /* 1759085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759131 */     // MIs[0] policy
     /* 1759131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759165 */     // GIR_Coverage, 11461,
     /* 1759165 */     GIR_EraseRootFromParent_Done,
     /* 1759166 */   // Label 23940: @1759166
     /* 1759166 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1759252), // Rule ID 11462 //
     /* 1759171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759217 */     // MIs[0] policy
     /* 1759217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1759230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759251 */     // GIR_Coverage, 11462,
     /* 1759251 */     GIR_EraseRootFromParent_Done,
     /* 1759252 */   // Label 23941: @1759252
     /* 1759252 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1759338), // Rule ID 11465 //
     /* 1759257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759303 */     // MIs[0] policy
     /* 1759303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759337 */     // GIR_Coverage, 11465,
     /* 1759337 */     GIR_EraseRootFromParent_Done,
     /* 1759338 */   // Label 23942: @1759338
     /* 1759338 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1759424), // Rule ID 11466 //
     /* 1759343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759389 */     // MIs[0] policy
     /* 1759389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1759402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759423 */     // GIR_Coverage, 11466,
     /* 1759423 */     GIR_EraseRootFromParent_Done,
     /* 1759424 */   // Label 23943: @1759424
     /* 1759424 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1759510), // Rule ID 11469 //
     /* 1759429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759475 */     // MIs[0] policy
     /* 1759475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759509 */     // GIR_Coverage, 11469,
     /* 1759509 */     GIR_EraseRootFromParent_Done,
     /* 1759510 */   // Label 23944: @1759510
     /* 1759510 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1759596), // Rule ID 11470 //
     /* 1759515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759561 */     // MIs[0] policy
     /* 1759561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1759574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759595 */     // GIR_Coverage, 11470,
     /* 1759595 */     GIR_EraseRootFromParent_Done,
     /* 1759596 */   // Label 23945: @1759596
     /* 1759596 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1759682), // Rule ID 11473 //
     /* 1759601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759647 */     // MIs[0] policy
     /* 1759647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1759660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759681 */     // GIR_Coverage, 11473,
     /* 1759681 */     GIR_EraseRootFromParent_Done,
     /* 1759682 */   // Label 23946: @1759682
     /* 1759682 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1759768), // Rule ID 11474 //
     /* 1759687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1759695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759733 */     // MIs[0] policy
     /* 1759733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1759746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759767 */     // GIR_Coverage, 11474,
     /* 1759767 */     GIR_EraseRootFromParent_Done,
     /* 1759768 */   // Label 23947: @1759768
     /* 1759768 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1759854), // Rule ID 11477 //
     /* 1759773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1759793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759819 */     // MIs[0] policy
     /* 1759819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1759832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759853 */     // GIR_Coverage, 11477,
     /* 1759853 */     GIR_EraseRootFromParent_Done,
     /* 1759854 */   // Label 23948: @1759854
     /* 1759854 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1759940), // Rule ID 11478 //
     /* 1759859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1759879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759905 */     // MIs[0] policy
     /* 1759905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1759918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759939 */     // GIR_Coverage, 11478,
     /* 1759939 */     GIR_EraseRootFromParent_Done,
     /* 1759940 */   // Label 23949: @1759940
     /* 1759940 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760026), // Rule ID 11481 //
     /* 1759945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759991 */     // MIs[0] policy
     /* 1759991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760025 */     // GIR_Coverage, 11481,
     /* 1760025 */     GIR_EraseRootFromParent_Done,
     /* 1760026 */   // Label 23950: @1760026
     /* 1760026 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760112), // Rule ID 11482 //
     /* 1760031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760077 */     // MIs[0] policy
     /* 1760077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760111 */     // GIR_Coverage, 11482,
     /* 1760111 */     GIR_EraseRootFromParent_Done,
     /* 1760112 */   // Label 23951: @1760112
     /* 1760112 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1760198), // Rule ID 11485 //
     /* 1760117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760163 */     // MIs[0] policy
     /* 1760163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760173 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760197 */     // GIR_Coverage, 11485,
     /* 1760197 */     GIR_EraseRootFromParent_Done,
     /* 1760198 */   // Label 23952: @1760198
     /* 1760198 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1760284), // Rule ID 11486 //
     /* 1760203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760249 */     // MIs[0] policy
     /* 1760249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760283 */     // GIR_Coverage, 11486,
     /* 1760283 */     GIR_EraseRootFromParent_Done,
     /* 1760284 */   // Label 23953: @1760284
     /* 1760284 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1760370), // Rule ID 11489 //
     /* 1760289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760335 */     // MIs[0] policy
     /* 1760335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760369 */     // GIR_Coverage, 11489,
     /* 1760369 */     GIR_EraseRootFromParent_Done,
     /* 1760370 */   // Label 23954: @1760370
     /* 1760370 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1760456), // Rule ID 11490 //
     /* 1760375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760421 */     // MIs[0] policy
     /* 1760421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760431 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760455 */     // GIR_Coverage, 11490,
     /* 1760455 */     GIR_EraseRootFromParent_Done,
     /* 1760456 */   // Label 23955: @1760456
     /* 1760456 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1760542), // Rule ID 11493 //
     /* 1760461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760507 */     // MIs[0] policy
     /* 1760507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760541 */     // GIR_Coverage, 11493,
     /* 1760541 */     GIR_EraseRootFromParent_Done,
     /* 1760542 */   // Label 23956: @1760542
     /* 1760542 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1760628), // Rule ID 11494 //
     /* 1760547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760593 */     // MIs[0] policy
     /* 1760593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1760606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760627 */     // GIR_Coverage, 11494,
     /* 1760627 */     GIR_EraseRootFromParent_Done,
     /* 1760628 */   // Label 23957: @1760628
     /* 1760628 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1760714), // Rule ID 11497 //
     /* 1760633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760679 */     // MIs[0] policy
     /* 1760679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760689 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1760692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760713 */     // GIR_Coverage, 11497,
     /* 1760713 */     GIR_EraseRootFromParent_Done,
     /* 1760714 */   // Label 23958: @1760714
     /* 1760714 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1760800), // Rule ID 11498 //
     /* 1760719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760765 */     // MIs[0] policy
     /* 1760765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1760778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760799 */     // GIR_Coverage, 11498,
     /* 1760799 */     GIR_EraseRootFromParent_Done,
     /* 1760800 */   // Label 23959: @1760800
     /* 1760800 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1760886), // Rule ID 11501 //
     /* 1760805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760851 */     // MIs[0] policy
     /* 1760851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760861 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1760864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760885 */     // GIR_Coverage, 11501,
     /* 1760885 */     GIR_EraseRootFromParent_Done,
     /* 1760886 */   // Label 23960: @1760886
     /* 1760886 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1760972), // Rule ID 11502 //
     /* 1760891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760937 */     // MIs[0] policy
     /* 1760937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1760950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760971 */     // GIR_Coverage, 11502,
     /* 1760971 */     GIR_EraseRootFromParent_Done,
     /* 1760972 */   // Label 23961: @1760972
     /* 1760972 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761058), // Rule ID 11505 //
     /* 1760977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761023 */     // MIs[0] policy
     /* 1761023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761057 */     // GIR_Coverage, 11505,
     /* 1761057 */     GIR_EraseRootFromParent_Done,
     /* 1761058 */   // Label 23962: @1761058
     /* 1761058 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1761144), // Rule ID 11506 //
     /* 1761063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761109 */     // MIs[0] policy
     /* 1761109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761119 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1761122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761143 */     // GIR_Coverage, 11506,
     /* 1761143 */     GIR_EraseRootFromParent_Done,
     /* 1761144 */   // Label 23963: @1761144
     /* 1761144 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1761230), // Rule ID 11509 //
     /* 1761149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761195 */     // MIs[0] policy
     /* 1761195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761229 */     // GIR_Coverage, 11509,
     /* 1761229 */     GIR_EraseRootFromParent_Done,
     /* 1761230 */   // Label 23964: @1761230
     /* 1761230 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1761316), // Rule ID 11510 //
     /* 1761235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1761255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761281 */     // MIs[0] policy
     /* 1761281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1761294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761315 */     // GIR_Coverage, 11510,
     /* 1761315 */     GIR_EraseRootFromParent_Done,
     /* 1761316 */   // Label 23965: @1761316
     /* 1761316 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1761402), // Rule ID 11513 //
     /* 1761321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761367 */     // MIs[0] policy
     /* 1761367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761401 */     // GIR_Coverage, 11513,
     /* 1761401 */     GIR_EraseRootFromParent_Done,
     /* 1761402 */   // Label 23966: @1761402
     /* 1761402 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1761488), // Rule ID 11514 //
     /* 1761407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1761418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1761421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1761424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1761427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761453 */     // MIs[0] policy
     /* 1761453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761463 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1761466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761487 */     // GIR_Coverage, 11514,
     /* 1761487 */     GIR_EraseRootFromParent_Done,
     /* 1761488 */   // Label 23967: @1761488
     /* 1761488 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1761574), // Rule ID 11517 //
     /* 1761493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761539 */     // MIs[0] policy
     /* 1761539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761573 */     // GIR_Coverage, 11517,
     /* 1761573 */     GIR_EraseRootFromParent_Done,
     /* 1761574 */   // Label 23968: @1761574
     /* 1761574 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1761660), // Rule ID 11518 //
     /* 1761579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1761599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761625 */     // MIs[0] policy
     /* 1761625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1761638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761659 */     // GIR_Coverage, 11518,
     /* 1761659 */     GIR_EraseRootFromParent_Done,
     /* 1761660 */   // Label 23969: @1761660
     /* 1761660 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1761746), // Rule ID 11521 //
     /* 1761665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1761685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761711 */     // MIs[0] policy
     /* 1761711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761745 */     // GIR_Coverage, 11521,
     /* 1761745 */     GIR_EraseRootFromParent_Done,
     /* 1761746 */   // Label 23970: @1761746
     /* 1761746 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1761832), // Rule ID 11522 //
     /* 1761751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1761771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761797 */     // MIs[0] policy
     /* 1761797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1761810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761831 */     // GIR_Coverage, 11522,
     /* 1761831 */     GIR_EraseRootFromParent_Done,
     /* 1761832 */   // Label 23971: @1761832
     /* 1761832 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1761918), // Rule ID 11525 //
     /* 1761837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761883 */     // MIs[0] policy
     /* 1761883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761917 */     // GIR_Coverage, 11525,
     /* 1761917 */     GIR_EraseRootFromParent_Done,
     /* 1761918 */   // Label 23972: @1761918
     /* 1761918 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762004), // Rule ID 11526 //
     /* 1761923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761969 */     // MIs[0] policy
     /* 1761969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762003 */     // GIR_Coverage, 11526,
     /* 1762003 */     GIR_EraseRootFromParent_Done,
     /* 1762004 */   // Label 23973: @1762004
     /* 1762004 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762090), // Rule ID 11529 //
     /* 1762009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762055 */     // MIs[0] policy
     /* 1762055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762089 */     // GIR_Coverage, 11529,
     /* 1762089 */     GIR_EraseRootFromParent_Done,
     /* 1762090 */   // Label 23974: @1762090
     /* 1762090 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1762176), // Rule ID 11530 //
     /* 1762095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762141 */     // MIs[0] policy
     /* 1762141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762175 */     // GIR_Coverage, 11530,
     /* 1762175 */     GIR_EraseRootFromParent_Done,
     /* 1762176 */   // Label 23975: @1762176
     /* 1762176 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1762262), // Rule ID 11533 //
     /* 1762181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762227 */     // MIs[0] policy
     /* 1762227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762237 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762261 */     // GIR_Coverage, 11533,
     /* 1762261 */     GIR_EraseRootFromParent_Done,
     /* 1762262 */   // Label 23976: @1762262
     /* 1762262 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1762348), // Rule ID 11534 //
     /* 1762267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762313 */     // MIs[0] policy
     /* 1762313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762347 */     // GIR_Coverage, 11534,
     /* 1762347 */     GIR_EraseRootFromParent_Done,
     /* 1762348 */   // Label 23977: @1762348
     /* 1762348 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1762434), // Rule ID 11537 //
     /* 1762353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762399 */     // MIs[0] policy
     /* 1762399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762433 */     // GIR_Coverage, 11537,
     /* 1762433 */     GIR_EraseRootFromParent_Done,
     /* 1762434 */   // Label 23978: @1762434
     /* 1762434 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1762520), // Rule ID 11538 //
     /* 1762439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1762442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762485 */     // MIs[0] policy
     /* 1762485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762519 */     // GIR_Coverage, 11538,
     /* 1762519 */     GIR_EraseRootFromParent_Done,
     /* 1762520 */   // Label 23979: @1762520
     /* 1762520 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1762606), // Rule ID 11541 //
     /* 1762525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762571 */     // MIs[0] policy
     /* 1762571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762581 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1762584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762605 */     // GIR_Coverage, 11541,
     /* 1762605 */     GIR_EraseRootFromParent_Done,
     /* 1762606 */   // Label 23980: @1762606
     /* 1762606 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1762692), // Rule ID 11542 //
     /* 1762611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762657 */     // MIs[0] policy
     /* 1762657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1762670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762691 */     // GIR_Coverage, 11542,
     /* 1762691 */     GIR_EraseRootFromParent_Done,
     /* 1762692 */   // Label 23981: @1762692
     /* 1762692 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1762778), // Rule ID 11545 //
     /* 1762697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1762717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762743 */     // MIs[0] policy
     /* 1762743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1762756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762777 */     // GIR_Coverage, 11545,
     /* 1762777 */     GIR_EraseRootFromParent_Done,
     /* 1762778 */   // Label 23982: @1762778
     /* 1762778 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1762864), // Rule ID 11546 //
     /* 1762783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1762803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762829 */     // MIs[0] policy
     /* 1762829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1762842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762863 */     // GIR_Coverage, 11546,
     /* 1762863 */     GIR_EraseRootFromParent_Done,
     /* 1762864 */   // Label 23983: @1762864
     /* 1762864 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1762950), // Rule ID 11549 //
     /* 1762869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1762889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762915 */     // MIs[0] policy
     /* 1762915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1762928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762949 */     // GIR_Coverage, 11549,
     /* 1762949 */     GIR_EraseRootFromParent_Done,
     /* 1762950 */   // Label 23984: @1762950
     /* 1762950 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763036), // Rule ID 11550 //
     /* 1762955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1762966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1762969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1762972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1762975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763001 */     // MIs[0] policy
     /* 1763001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1763014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763035 */     // GIR_Coverage, 11550,
     /* 1763035 */     GIR_EraseRootFromParent_Done,
     /* 1763036 */   // Label 23985: @1763036
     /* 1763036 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763122), // Rule ID 11553 //
     /* 1763041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763087 */     // MIs[0] policy
     /* 1763087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763121 */     // GIR_Coverage, 11553,
     /* 1763121 */     GIR_EraseRootFromParent_Done,
     /* 1763122 */   // Label 23986: @1763122
     /* 1763122 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1763208), // Rule ID 11554 //
     /* 1763127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763173 */     // MIs[0] policy
     /* 1763173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763183 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1763186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763207 */     // GIR_Coverage, 11554,
     /* 1763207 */     GIR_EraseRootFromParent_Done,
     /* 1763208 */   // Label 23987: @1763208
     /* 1763208 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1763294), // Rule ID 11557 //
     /* 1763213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763259 */     // MIs[0] policy
     /* 1763259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763269 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763293 */     // GIR_Coverage, 11557,
     /* 1763293 */     GIR_EraseRootFromParent_Done,
     /* 1763294 */   // Label 23988: @1763294
     /* 1763294 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1763380), // Rule ID 11558 //
     /* 1763299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763345 */     // MIs[0] policy
     /* 1763345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1763358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763379 */     // GIR_Coverage, 11558,
     /* 1763379 */     GIR_EraseRootFromParent_Done,
     /* 1763380 */   // Label 23989: @1763380
     /* 1763380 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1763466), // Rule ID 11561 //
     /* 1763385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763431 */     // MIs[0] policy
     /* 1763431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763465 */     // GIR_Coverage, 11561,
     /* 1763465 */     GIR_EraseRootFromParent_Done,
     /* 1763466 */   // Label 23990: @1763466
     /* 1763466 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1763552), // Rule ID 11562 //
     /* 1763471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763517 */     // MIs[0] policy
     /* 1763517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1763530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763551 */     // GIR_Coverage, 11562,
     /* 1763551 */     GIR_EraseRootFromParent_Done,
     /* 1763552 */   // Label 23991: @1763552
     /* 1763552 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1763638), // Rule ID 11565 //
     /* 1763557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1763577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763603 */     // MIs[0] policy
     /* 1763603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1763616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763637 */     // GIR_Coverage, 11565,
     /* 1763637 */     GIR_EraseRootFromParent_Done,
     /* 1763638 */   // Label 23992: @1763638
     /* 1763638 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1763724), // Rule ID 11566 //
     /* 1763643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1763663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763689 */     // MIs[0] policy
     /* 1763689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1763702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763723 */     // GIR_Coverage, 11566,
     /* 1763723 */     GIR_EraseRootFromParent_Done,
     /* 1763724 */   // Label 23993: @1763724
     /* 1763724 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1763810), // Rule ID 11569 //
     /* 1763729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1763749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763775 */     // MIs[0] policy
     /* 1763775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763785 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1763788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763809 */     // GIR_Coverage, 11569,
     /* 1763809 */     GIR_EraseRootFromParent_Done,
     /* 1763810 */   // Label 23994: @1763810
     /* 1763810 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1763896), // Rule ID 11570 //
     /* 1763815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1763835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763861 */     // MIs[0] policy
     /* 1763861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1763874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763895 */     // GIR_Coverage, 11570,
     /* 1763895 */     GIR_EraseRootFromParent_Done,
     /* 1763896 */   // Label 23995: @1763896
     /* 1763896 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1763982), // Rule ID 11573 //
     /* 1763901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1763915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1763918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1763921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763947 */     // MIs[0] policy
     /* 1763947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1763960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763981 */     // GIR_Coverage, 11573,
     /* 1763981 */     GIR_EraseRootFromParent_Done,
     /* 1763982 */   // Label 23996: @1763982
     /* 1763982 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764068), // Rule ID 11574 //
     /* 1763987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1763998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764033 */     // MIs[0] policy
     /* 1764033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1764046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764067 */     // GIR_Coverage, 11574,
     /* 1764067 */     GIR_EraseRootFromParent_Done,
     /* 1764068 */   // Label 23997: @1764068
     /* 1764068 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1764154), // Rule ID 11577 //
     /* 1764073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764119 */     // MIs[0] policy
     /* 1764119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764153 */     // GIR_Coverage, 11577,
     /* 1764153 */     GIR_EraseRootFromParent_Done,
     /* 1764154 */   // Label 23998: @1764154
     /* 1764154 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1764240), // Rule ID 11578 //
     /* 1764159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764205 */     // MIs[0] policy
     /* 1764205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1764218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764239 */     // GIR_Coverage, 11578,
     /* 1764239 */     GIR_EraseRootFromParent_Done,
     /* 1764240 */   // Label 23999: @1764240
     /* 1764240 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1764326), // Rule ID 11581 //
     /* 1764245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764291 */     // MIs[0] policy
     /* 1764291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764325 */     // GIR_Coverage, 11581,
     /* 1764325 */     GIR_EraseRootFromParent_Done,
     /* 1764326 */   // Label 24000: @1764326
     /* 1764326 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1764412), // Rule ID 11582 //
     /* 1764331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764377 */     // MIs[0] policy
     /* 1764377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1764390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764411 */     // GIR_Coverage, 11582,
     /* 1764411 */     GIR_EraseRootFromParent_Done,
     /* 1764412 */   // Label 24001: @1764412
     /* 1764412 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1764498), // Rule ID 11585 //
     /* 1764417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764463 */     // MIs[0] policy
     /* 1764463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764497 */     // GIR_Coverage, 11585,
     /* 1764497 */     GIR_EraseRootFromParent_Done,
     /* 1764498 */   // Label 24002: @1764498
     /* 1764498 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1764584), // Rule ID 11586 //
     /* 1764503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764549 */     // MIs[0] policy
     /* 1764549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1764562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764583 */     // GIR_Coverage, 11586,
     /* 1764583 */     GIR_EraseRootFromParent_Done,
     /* 1764584 */   // Label 24003: @1764584
     /* 1764584 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1764670), // Rule ID 11589 //
     /* 1764589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1764609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764635 */     // MIs[0] policy
     /* 1764635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1764648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764669 */     // GIR_Coverage, 11589,
     /* 1764669 */     GIR_EraseRootFromParent_Done,
     /* 1764670 */   // Label 24004: @1764670
     /* 1764670 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1764756), // Rule ID 11590 //
     /* 1764675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1764695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764721 */     // MIs[0] policy
     /* 1764721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1764734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764755 */     // GIR_Coverage, 11590,
     /* 1764755 */     GIR_EraseRootFromParent_Done,
     /* 1764756 */   // Label 24005: @1764756
     /* 1764756 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1764842), // Rule ID 11593 //
     /* 1764761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1764781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764807 */     // MIs[0] policy
     /* 1764807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1764820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764841 */     // GIR_Coverage, 11593,
     /* 1764841 */     GIR_EraseRootFromParent_Done,
     /* 1764842 */   // Label 24006: @1764842
     /* 1764842 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1764928), // Rule ID 11594 //
     /* 1764847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1764867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764893 */     // MIs[0] policy
     /* 1764893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1764906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764927 */     // GIR_Coverage, 11594,
     /* 1764927 */     GIR_EraseRootFromParent_Done,
     /* 1764928 */   // Label 24007: @1764928
     /* 1764928 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765014), // Rule ID 11597 //
     /* 1764933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1764944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1764947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1764950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1764953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764979 */     // MIs[0] policy
     /* 1764979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1764992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765013 */     // GIR_Coverage, 11597,
     /* 1765013 */     GIR_EraseRootFromParent_Done,
     /* 1765014 */   // Label 24008: @1765014
     /* 1765014 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765100), // Rule ID 11598 //
     /* 1765019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765065 */     // MIs[0] policy
     /* 1765065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1765078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765099 */     // GIR_Coverage, 11598,
     /* 1765099 */     GIR_EraseRootFromParent_Done,
     /* 1765100 */   // Label 24009: @1765100
     /* 1765100 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1765186), // Rule ID 11601 //
     /* 1765105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765151 */     // MIs[0] policy
     /* 1765151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765185 */     // GIR_Coverage, 11601,
     /* 1765185 */     GIR_EraseRootFromParent_Done,
     /* 1765186 */   // Label 24010: @1765186
     /* 1765186 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1765272), // Rule ID 11602 //
     /* 1765191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765237 */     // MIs[0] policy
     /* 1765237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1765250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765271 */     // GIR_Coverage, 11602,
     /* 1765271 */     GIR_EraseRootFromParent_Done,
     /* 1765272 */   // Label 24011: @1765272
     /* 1765272 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1765358), // Rule ID 11605 //
     /* 1765277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765323 */     // MIs[0] policy
     /* 1765323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765357 */     // GIR_Coverage, 11605,
     /* 1765357 */     GIR_EraseRootFromParent_Done,
     /* 1765358 */   // Label 24012: @1765358
     /* 1765358 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1765444), // Rule ID 11606 //
     /* 1765363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765409 */     // MIs[0] policy
     /* 1765409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1765422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765443 */     // GIR_Coverage, 11606,
     /* 1765443 */     GIR_EraseRootFromParent_Done,
     /* 1765444 */   // Label 24013: @1765444
     /* 1765444 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1765530), // Rule ID 11609 //
     /* 1765449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765495 */     // MIs[0] policy
     /* 1765495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765529 */     // GIR_Coverage, 11609,
     /* 1765529 */     GIR_EraseRootFromParent_Done,
     /* 1765530 */   // Label 24014: @1765530
     /* 1765530 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1765616), // Rule ID 11610 //
     /* 1765535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1765555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765581 */     // MIs[0] policy
     /* 1765581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765591 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1765594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765615 */     // GIR_Coverage, 11610,
     /* 1765615 */     GIR_EraseRootFromParent_Done,
     /* 1765616 */   // Label 24015: @1765616
     /* 1765616 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1765702), // Rule ID 11613 //
     /* 1765621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1765641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765667 */     // MIs[0] policy
     /* 1765667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1765680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765701 */     // GIR_Coverage, 11613,
     /* 1765701 */     GIR_EraseRootFromParent_Done,
     /* 1765702 */   // Label 24016: @1765702
     /* 1765702 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1765788), // Rule ID 11614 //
     /* 1765707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1765727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765753 */     // MIs[0] policy
     /* 1765753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1765766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765787 */     // GIR_Coverage, 11614,
     /* 1765787 */     GIR_EraseRootFromParent_Done,
     /* 1765788 */   // Label 24017: @1765788
     /* 1765788 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1765874), // Rule ID 11617 //
     /* 1765793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1765796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765839 */     // MIs[0] policy
     /* 1765839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765849 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1765852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765873 */     // GIR_Coverage, 11617,
     /* 1765873 */     GIR_EraseRootFromParent_Done,
     /* 1765874 */   // Label 24018: @1765874
     /* 1765874 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1765960), // Rule ID 11618 //
     /* 1765879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1765882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765925 */     // MIs[0] policy
     /* 1765925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1765938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765959 */     // GIR_Coverage, 11618,
     /* 1765959 */     GIR_EraseRootFromParent_Done,
     /* 1765960 */   // Label 24019: @1765960
     /* 1765960 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766046), // Rule ID 11621 //
     /* 1765965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1765968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1765985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766011 */     // MIs[0] policy
     /* 1766011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766045 */     // GIR_Coverage, 11621,
     /* 1766045 */     GIR_EraseRootFromParent_Done,
     /* 1766046 */   // Label 24020: @1766046
     /* 1766046 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1766132), // Rule ID 11622 //
     /* 1766051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766097 */     // MIs[0] policy
     /* 1766097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1766110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766131 */     // GIR_Coverage, 11622,
     /* 1766131 */     GIR_EraseRootFromParent_Done,
     /* 1766132 */   // Label 24021: @1766132
     /* 1766132 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1766218), // Rule ID 11625 //
     /* 1766137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766183 */     // MIs[0] policy
     /* 1766183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766217 */     // GIR_Coverage, 11625,
     /* 1766217 */     GIR_EraseRootFromParent_Done,
     /* 1766218 */   // Label 24022: @1766218
     /* 1766218 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1766304), // Rule ID 11626 //
     /* 1766223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766269 */     // MIs[0] policy
     /* 1766269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1766282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766303 */     // GIR_Coverage, 11626,
     /* 1766303 */     GIR_EraseRootFromParent_Done,
     /* 1766304 */   // Label 24023: @1766304
     /* 1766304 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1766390), // Rule ID 11629 //
     /* 1766309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766355 */     // MIs[0] policy
     /* 1766355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766389 */     // GIR_Coverage, 11629,
     /* 1766389 */     GIR_EraseRootFromParent_Done,
     /* 1766390 */   // Label 24024: @1766390
     /* 1766390 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1766476), // Rule ID 11630 //
     /* 1766395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766441 */     // MIs[0] policy
     /* 1766441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1766454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766475 */     // GIR_Coverage, 11630,
     /* 1766475 */     GIR_EraseRootFromParent_Done,
     /* 1766476 */   // Label 24025: @1766476
     /* 1766476 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1766562), // Rule ID 11633 //
     /* 1766481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766527 */     // MIs[0] policy
     /* 1766527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766537 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766561 */     // GIR_Coverage, 11633,
     /* 1766561 */     GIR_EraseRootFromParent_Done,
     /* 1766562 */   // Label 24026: @1766562
     /* 1766562 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1766648), // Rule ID 11634 //
     /* 1766567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766613 */     // MIs[0] policy
     /* 1766613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1766626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766647 */     // GIR_Coverage, 11634,
     /* 1766647 */     GIR_EraseRootFromParent_Done,
     /* 1766648 */   // Label 24027: @1766648
     /* 1766648 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1766734), // Rule ID 11637 //
     /* 1766653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766699 */     // MIs[0] policy
     /* 1766699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1766712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766733 */     // GIR_Coverage, 11637,
     /* 1766733 */     GIR_EraseRootFromParent_Done,
     /* 1766734 */   // Label 24028: @1766734
     /* 1766734 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1766820), // Rule ID 11638 //
     /* 1766739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766785 */     // MIs[0] policy
     /* 1766785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766795 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1766798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766819 */     // GIR_Coverage, 11638,
     /* 1766819 */     GIR_EraseRootFromParent_Done,
     /* 1766820 */   // Label 24029: @1766820
     /* 1766820 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1766906), // Rule ID 11641 //
     /* 1766825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1766836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1766839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1766842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766871 */     // MIs[0] policy
     /* 1766871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1766884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766905 */     // GIR_Coverage, 11641,
     /* 1766905 */     GIR_EraseRootFromParent_Done,
     /* 1766906 */   // Label 24030: @1766906
     /* 1766906 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1766992), // Rule ID 11642 //
     /* 1766911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1766922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1766925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1766928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766957 */     // MIs[0] policy
     /* 1766957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1766970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766991 */     // GIR_Coverage, 11642,
     /* 1766991 */     GIR_EraseRootFromParent_Done,
     /* 1766992 */   // Label 24031: @1766992
     /* 1766992 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767078), // Rule ID 11645 //
     /* 1766997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767043 */     // MIs[0] policy
     /* 1767043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767077 */     // GIR_Coverage, 11645,
     /* 1767077 */     GIR_EraseRootFromParent_Done,
     /* 1767078 */   // Label 24032: @1767078
     /* 1767078 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1767164), // Rule ID 11646 //
     /* 1767083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767129 */     // MIs[0] policy
     /* 1767129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1767142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767163 */     // GIR_Coverage, 11646,
     /* 1767163 */     GIR_EraseRootFromParent_Done,
     /* 1767164 */   // Label 24033: @1767164
     /* 1767164 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1767250), // Rule ID 11649 //
     /* 1767169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767215 */     // MIs[0] policy
     /* 1767215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767249 */     // GIR_Coverage, 11649,
     /* 1767249 */     GIR_EraseRootFromParent_Done,
     /* 1767250 */   // Label 24034: @1767250
     /* 1767250 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1767336), // Rule ID 11650 //
     /* 1767255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767301 */     // MIs[0] policy
     /* 1767301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767311 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1767314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767335 */     // GIR_Coverage, 11650,
     /* 1767335 */     GIR_EraseRootFromParent_Done,
     /* 1767336 */   // Label 24035: @1767336
     /* 1767336 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1767422), // Rule ID 11653 //
     /* 1767341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767387 */     // MIs[0] policy
     /* 1767387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767421 */     // GIR_Coverage, 11653,
     /* 1767421 */     GIR_EraseRootFromParent_Done,
     /* 1767422 */   // Label 24036: @1767422
     /* 1767422 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1767508), // Rule ID 11654 //
     /* 1767427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767473 */     // MIs[0] policy
     /* 1767473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1767486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767507 */     // GIR_Coverage, 11654,
     /* 1767507 */     GIR_EraseRootFromParent_Done,
     /* 1767508 */   // Label 24037: @1767508
     /* 1767508 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1767594), // Rule ID 11657 //
     /* 1767513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767559 */     // MIs[0] policy
     /* 1767559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1767572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767593 */     // GIR_Coverage, 11657,
     /* 1767593 */     GIR_EraseRootFromParent_Done,
     /* 1767594 */   // Label 24038: @1767594
     /* 1767594 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1767680), // Rule ID 11658 //
     /* 1767599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767645 */     // MIs[0] policy
     /* 1767645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1767658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767679 */     // GIR_Coverage, 11658,
     /* 1767679 */     GIR_EraseRootFromParent_Done,
     /* 1767680 */   // Label 24039: @1767680
     /* 1767680 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1767766), // Rule ID 11661 //
     /* 1767685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1767696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1767699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1767702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767731 */     // MIs[0] policy
     /* 1767731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1767744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767765 */     // GIR_Coverage, 11661,
     /* 1767765 */     GIR_EraseRootFromParent_Done,
     /* 1767766 */   // Label 24040: @1767766
     /* 1767766 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1767852), // Rule ID 11662 //
     /* 1767771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1767782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1767785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1767788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767817 */     // MIs[0] policy
     /* 1767817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1767830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767851 */     // GIR_Coverage, 11662,
     /* 1767851 */     GIR_EraseRootFromParent_Done,
     /* 1767852 */   // Label 24041: @1767852
     /* 1767852 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1767938), // Rule ID 11665 //
     /* 1767857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1767860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767903 */     // MIs[0] policy
     /* 1767903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1767916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767937 */     // GIR_Coverage, 11665,
     /* 1767937 */     GIR_EraseRootFromParent_Done,
     /* 1767938 */   // Label 24042: @1767938
     /* 1767938 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768024), // Rule ID 11666 //
     /* 1767943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1767946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1767954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1767957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1767960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767989 */     // MIs[0] policy
     /* 1767989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1768002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768023 */     // GIR_Coverage, 11666,
     /* 1768023 */     GIR_EraseRootFromParent_Done,
     /* 1768024 */   // Label 24043: @1768024
     /* 1768024 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768110), // Rule ID 11669 //
     /* 1768029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768075 */     // MIs[0] policy
     /* 1768075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768085 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768109 */     // GIR_Coverage, 11669,
     /* 1768109 */     GIR_EraseRootFromParent_Done,
     /* 1768110 */   // Label 24044: @1768110
     /* 1768110 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1768196), // Rule ID 11670 //
     /* 1768115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768161 */     // MIs[0] policy
     /* 1768161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1768174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768195 */     // GIR_Coverage, 11670,
     /* 1768195 */     GIR_EraseRootFromParent_Done,
     /* 1768196 */   // Label 24045: @1768196
     /* 1768196 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1768282), // Rule ID 11673 //
     /* 1768201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768247 */     // MIs[0] policy
     /* 1768247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768281 */     // GIR_Coverage, 11673,
     /* 1768281 */     GIR_EraseRootFromParent_Done,
     /* 1768282 */   // Label 24046: @1768282
     /* 1768282 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1768368), // Rule ID 11674 //
     /* 1768287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768333 */     // MIs[0] policy
     /* 1768333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768343 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1768346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768367 */     // GIR_Coverage, 11674,
     /* 1768367 */     GIR_EraseRootFromParent_Done,
     /* 1768368 */   // Label 24047: @1768368
     /* 1768368 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1768454), // Rule ID 11677 //
     /* 1768373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768419 */     // MIs[0] policy
     /* 1768419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768429 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768453 */     // GIR_Coverage, 11677,
     /* 1768453 */     GIR_EraseRootFromParent_Done,
     /* 1768454 */   // Label 24048: @1768454
     /* 1768454 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1768540), // Rule ID 11678 //
     /* 1768459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768505 */     // MIs[0] policy
     /* 1768505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1768518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768539 */     // GIR_Coverage, 11678,
     /* 1768539 */     GIR_EraseRootFromParent_Done,
     /* 1768540 */   // Label 24049: @1768540
     /* 1768540 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1768626), // Rule ID 11681 //
     /* 1768545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768591 */     // MIs[0] policy
     /* 1768591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1768604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768625 */     // GIR_Coverage, 11681,
     /* 1768625 */     GIR_EraseRootFromParent_Done,
     /* 1768626 */   // Label 24050: @1768626
     /* 1768626 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1768712), // Rule ID 11682 //
     /* 1768631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768677 */     // MIs[0] policy
     /* 1768677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1768690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768711 */     // GIR_Coverage, 11682,
     /* 1768711 */     GIR_EraseRootFromParent_Done,
     /* 1768712 */   // Label 24051: @1768712
     /* 1768712 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1768798), // Rule ID 11685 //
     /* 1768717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768763 */     // MIs[0] policy
     /* 1768763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1768776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768797 */     // GIR_Coverage, 11685,
     /* 1768797 */     GIR_EraseRootFromParent_Done,
     /* 1768798 */   // Label 24052: @1768798
     /* 1768798 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1768884), // Rule ID 11686 //
     /* 1768803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768849 */     // MIs[0] policy
     /* 1768849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1768862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768883 */     // GIR_Coverage, 11686,
     /* 1768883 */     GIR_EraseRootFromParent_Done,
     /* 1768884 */   // Label 24053: @1768884
     /* 1768884 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1768970), // Rule ID 11689 //
     /* 1768889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1768900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1768903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1768906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768935 */     // MIs[0] policy
     /* 1768935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768945 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1768948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768969 */     // GIR_Coverage, 11689,
     /* 1768969 */     GIR_EraseRootFromParent_Done,
     /* 1768970 */   // Label 24054: @1768970
     /* 1768970 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769056), // Rule ID 11690 //
     /* 1768975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1768986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1768989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1768992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769021 */     // MIs[0] policy
     /* 1769021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1769034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769055 */     // GIR_Coverage, 11690,
     /* 1769055 */     GIR_EraseRootFromParent_Done,
     /* 1769056 */   // Label 24055: @1769056
     /* 1769056 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1769142), // Rule ID 11693 //
     /* 1769061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769107 */     // MIs[0] policy
     /* 1769107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769141 */     // GIR_Coverage, 11693,
     /* 1769141 */     GIR_EraseRootFromParent_Done,
     /* 1769142 */   // Label 24056: @1769142
     /* 1769142 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1769228), // Rule ID 11694 //
     /* 1769147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769193 */     // MIs[0] policy
     /* 1769193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1769206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769227 */     // GIR_Coverage, 11694,
     /* 1769227 */     GIR_EraseRootFromParent_Done,
     /* 1769228 */   // Label 24057: @1769228
     /* 1769228 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1769314), // Rule ID 11697 //
     /* 1769233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769279 */     // MIs[0] policy
     /* 1769279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769313 */     // GIR_Coverage, 11697,
     /* 1769313 */     GIR_EraseRootFromParent_Done,
     /* 1769314 */   // Label 24058: @1769314
     /* 1769314 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1769400), // Rule ID 11698 //
     /* 1769319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769365 */     // MIs[0] policy
     /* 1769365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769375 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1769378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769399 */     // GIR_Coverage, 11698,
     /* 1769399 */     GIR_EraseRootFromParent_Done,
     /* 1769400 */   // Label 24059: @1769400
     /* 1769400 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1769486), // Rule ID 11701 //
     /* 1769405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769451 */     // MIs[0] policy
     /* 1769451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769485 */     // GIR_Coverage, 11701,
     /* 1769485 */     GIR_EraseRootFromParent_Done,
     /* 1769486 */   // Label 24060: @1769486
     /* 1769486 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1769572), // Rule ID 11702 //
     /* 1769491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769537 */     // MIs[0] policy
     /* 1769537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1769550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769571 */     // GIR_Coverage, 11702,
     /* 1769571 */     GIR_EraseRootFromParent_Done,
     /* 1769572 */   // Label 24061: @1769572
     /* 1769572 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1769658), // Rule ID 11705 //
     /* 1769577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769623 */     // MIs[0] policy
     /* 1769623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1769636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769657 */     // GIR_Coverage, 11705,
     /* 1769657 */     GIR_EraseRootFromParent_Done,
     /* 1769658 */   // Label 24062: @1769658
     /* 1769658 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1769744), // Rule ID 11706 //
     /* 1769663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1769666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769709 */     // MIs[0] policy
     /* 1769709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1769722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769743 */     // GIR_Coverage, 11706,
     /* 1769743 */     GIR_EraseRootFromParent_Done,
     /* 1769744 */   // Label 24063: @1769744
     /* 1769744 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1769830), // Rule ID 11709 //
     /* 1769749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769795 */     // MIs[0] policy
     /* 1769795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1769808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769829 */     // GIR_Coverage, 11709,
     /* 1769829 */     GIR_EraseRootFromParent_Done,
     /* 1769830 */   // Label 24064: @1769830
     /* 1769830 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1769916), // Rule ID 11710 //
     /* 1769835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1769838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1769846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1769849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1769852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769881 */     // MIs[0] policy
     /* 1769881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1769894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769915 */     // GIR_Coverage, 11710,
     /* 1769915 */     GIR_EraseRootFromParent_Done,
     /* 1769916 */   // Label 24065: @1769916
     /* 1769916 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770002), // Rule ID 11713 //
     /* 1769921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1769932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1769935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1769938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769967 */     // MIs[0] policy
     /* 1769967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1769980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770001 */     // GIR_Coverage, 11713,
     /* 1770001 */     GIR_EraseRootFromParent_Done,
     /* 1770002 */   // Label 24066: @1770002
     /* 1770002 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770088), // Rule ID 11714 //
     /* 1770007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770053 */     // MIs[0] policy
     /* 1770053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1770066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770087 */     // GIR_Coverage, 11714,
     /* 1770087 */     GIR_EraseRootFromParent_Done,
     /* 1770088 */   // Label 24067: @1770088
     /* 1770088 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1770174), // Rule ID 11717 //
     /* 1770093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770139 */     // MIs[0] policy
     /* 1770139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770173 */     // GIR_Coverage, 11717,
     /* 1770173 */     GIR_EraseRootFromParent_Done,
     /* 1770174 */   // Label 24068: @1770174
     /* 1770174 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1770260), // Rule ID 11718 //
     /* 1770179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770225 */     // MIs[0] policy
     /* 1770225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1770238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770259 */     // GIR_Coverage, 11718,
     /* 1770259 */     GIR_EraseRootFromParent_Done,
     /* 1770260 */   // Label 24069: @1770260
     /* 1770260 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1770346), // Rule ID 11721 //
     /* 1770265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770311 */     // MIs[0] policy
     /* 1770311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770345 */     // GIR_Coverage, 11721,
     /* 1770345 */     GIR_EraseRootFromParent_Done,
     /* 1770346 */   // Label 24070: @1770346
     /* 1770346 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1770432), // Rule ID 11722 //
     /* 1770351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770397 */     // MIs[0] policy
     /* 1770397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770407 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1770410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770431 */     // GIR_Coverage, 11722,
     /* 1770431 */     GIR_EraseRootFromParent_Done,
     /* 1770432 */   // Label 24071: @1770432
     /* 1770432 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1770518), // Rule ID 11725 //
     /* 1770437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770483 */     // MIs[0] policy
     /* 1770483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770493 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770517 */     // GIR_Coverage, 11725,
     /* 1770517 */     GIR_EraseRootFromParent_Done,
     /* 1770518 */   // Label 24072: @1770518
     /* 1770518 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1770604), // Rule ID 11726 //
     /* 1770523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770569 */     // MIs[0] policy
     /* 1770569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1770582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770603 */     // GIR_Coverage, 11726,
     /* 1770603 */     GIR_EraseRootFromParent_Done,
     /* 1770604 */   // Label 24073: @1770604
     /* 1770604 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1770690), // Rule ID 11729 //
     /* 1770609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770655 */     // MIs[0] policy
     /* 1770655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770665 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1770668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770689 */     // GIR_Coverage, 11729,
     /* 1770689 */     GIR_EraseRootFromParent_Done,
     /* 1770690 */   // Label 24074: @1770690
     /* 1770690 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1770776), // Rule ID 11730 //
     /* 1770695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770741 */     // MIs[0] policy
     /* 1770741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1770754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770775 */     // GIR_Coverage, 11730,
     /* 1770775 */     GIR_EraseRootFromParent_Done,
     /* 1770776 */   // Label 24075: @1770776
     /* 1770776 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1770862), // Rule ID 11733 //
     /* 1770781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770827 */     // MIs[0] policy
     /* 1770827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1770840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770861 */     // GIR_Coverage, 11733,
     /* 1770861 */     GIR_EraseRootFromParent_Done,
     /* 1770862 */   // Label 24076: @1770862
     /* 1770862 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1770948), // Rule ID 11734 //
     /* 1770867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1770878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1770881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1770884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1770887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770913 */     // MIs[0] policy
     /* 1770913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1770926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770947 */     // GIR_Coverage, 11734,
     /* 1770947 */     GIR_EraseRootFromParent_Done,
     /* 1770948 */   // Label 24077: @1770948
     /* 1770948 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771034), // Rule ID 11737 //
     /* 1770953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1770964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1770967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1770970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1770973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770999 */     // MIs[0] policy
     /* 1770999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771033 */     // GIR_Coverage, 11737,
     /* 1771033 */     GIR_EraseRootFromParent_Done,
     /* 1771034 */   // Label 24078: @1771034
     /* 1771034 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771120), // Rule ID 11738 //
     /* 1771039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771085 */     // MIs[0] policy
     /* 1771085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771095 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1771098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771119 */     // GIR_Coverage, 11738,
     /* 1771119 */     GIR_EraseRootFromParent_Done,
     /* 1771120 */   // Label 24079: @1771120
     /* 1771120 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1771206), // Rule ID 11741 //
     /* 1771125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771171 */     // MIs[0] policy
     /* 1771171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771181 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771205 */     // GIR_Coverage, 11741,
     /* 1771205 */     GIR_EraseRootFromParent_Done,
     /* 1771206 */   // Label 24080: @1771206
     /* 1771206 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1771292), // Rule ID 11742 //
     /* 1771211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771257 */     // MIs[0] policy
     /* 1771257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1771270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771291 */     // GIR_Coverage, 11742,
     /* 1771291 */     GIR_EraseRootFromParent_Done,
     /* 1771292 */   // Label 24081: @1771292
     /* 1771292 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1771378), // Rule ID 11745 //
     /* 1771297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771343 */     // MIs[0] policy
     /* 1771343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771377 */     // GIR_Coverage, 11745,
     /* 1771377 */     GIR_EraseRootFromParent_Done,
     /* 1771378 */   // Label 24082: @1771378
     /* 1771378 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1771464), // Rule ID 11746 //
     /* 1771383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771429 */     // MIs[0] policy
     /* 1771429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1771442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771463 */     // GIR_Coverage, 11746,
     /* 1771463 */     GIR_EraseRootFromParent_Done,
     /* 1771464 */   // Label 24083: @1771464
     /* 1771464 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1771550), // Rule ID 11749 //
     /* 1771469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771515 */     // MIs[0] policy
     /* 1771515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771549 */     // GIR_Coverage, 11749,
     /* 1771549 */     GIR_EraseRootFromParent_Done,
     /* 1771550 */   // Label 24084: @1771550
     /* 1771550 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1771636), // Rule ID 11750 //
     /* 1771555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771601 */     // MIs[0] policy
     /* 1771601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1771614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771635 */     // GIR_Coverage, 11750,
     /* 1771635 */     GIR_EraseRootFromParent_Done,
     /* 1771636 */   // Label 24085: @1771636
     /* 1771636 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1771722), // Rule ID 11753 //
     /* 1771641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771687 */     // MIs[0] policy
     /* 1771687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1771700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771721 */     // GIR_Coverage, 11753,
     /* 1771721 */     GIR_EraseRootFromParent_Done,
     /* 1771722 */   // Label 24086: @1771722
     /* 1771722 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1771808), // Rule ID 11754 //
     /* 1771727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771773 */     // MIs[0] policy
     /* 1771773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1771786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771807 */     // GIR_Coverage, 11754,
     /* 1771807 */     GIR_EraseRootFromParent_Done,
     /* 1771808 */   // Label 24087: @1771808
     /* 1771808 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1771894), // Rule ID 11757 //
     /* 1771813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771859 */     // MIs[0] policy
     /* 1771859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771869 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1771872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771893 */     // GIR_Coverage, 11757,
     /* 1771893 */     GIR_EraseRootFromParent_Done,
     /* 1771894 */   // Label 24088: @1771894
     /* 1771894 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1771980), // Rule ID 11758 //
     /* 1771899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1771910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1771913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1771916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1771919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771945 */     // MIs[0] policy
     /* 1771945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771955 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1771958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771979 */     // GIR_Coverage, 11758,
     /* 1771979 */     GIR_EraseRootFromParent_Done,
     /* 1771980 */   // Label 24089: @1771980
     /* 1771980 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772066), // Rule ID 11761 //
     /* 1771985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1771996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1771999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772031 */     // MIs[0] policy
     /* 1772031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772041 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772065 */     // GIR_Coverage, 11761,
     /* 1772065 */     GIR_EraseRootFromParent_Done,
     /* 1772066 */   // Label 24090: @1772066
     /* 1772066 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1772152), // Rule ID 11762 //
     /* 1772071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772117 */     // MIs[0] policy
     /* 1772117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1772130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772151 */     // GIR_Coverage, 11762,
     /* 1772151 */     GIR_EraseRootFromParent_Done,
     /* 1772152 */   // Label 24091: @1772152
     /* 1772152 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1772238), // Rule ID 11765 //
     /* 1772157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772203 */     // MIs[0] policy
     /* 1772203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772213 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772237 */     // GIR_Coverage, 11765,
     /* 1772237 */     GIR_EraseRootFromParent_Done,
     /* 1772238 */   // Label 24092: @1772238
     /* 1772238 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1772324), // Rule ID 11766 //
     /* 1772243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772289 */     // MIs[0] policy
     /* 1772289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772299 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1772302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772323 */     // GIR_Coverage, 11766,
     /* 1772323 */     GIR_EraseRootFromParent_Done,
     /* 1772324 */   // Label 24093: @1772324
     /* 1772324 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1772410), // Rule ID 11769 //
     /* 1772329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772375 */     // MIs[0] policy
     /* 1772375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772385 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772409 */     // GIR_Coverage, 11769,
     /* 1772409 */     GIR_EraseRootFromParent_Done,
     /* 1772410 */   // Label 24094: @1772410
     /* 1772410 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1772496), // Rule ID 11770 //
     /* 1772415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772461 */     // MIs[0] policy
     /* 1772461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1772474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772495 */     // GIR_Coverage, 11770,
     /* 1772495 */     GIR_EraseRootFromParent_Done,
     /* 1772496 */   // Label 24095: @1772496
     /* 1772496 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1772582), // Rule ID 11773 //
     /* 1772501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772547 */     // MIs[0] policy
     /* 1772547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772581 */     // GIR_Coverage, 11773,
     /* 1772581 */     GIR_EraseRootFromParent_Done,
     /* 1772582 */   // Label 24096: @1772582
     /* 1772582 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1772668), // Rule ID 11774 //
     /* 1772587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772633 */     // MIs[0] policy
     /* 1772633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1772646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772667 */     // GIR_Coverage, 11774,
     /* 1772667 */     GIR_EraseRootFromParent_Done,
     /* 1772668 */   // Label 24097: @1772668
     /* 1772668 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1772754), // Rule ID 11777 //
     /* 1772673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772719 */     // MIs[0] policy
     /* 1772719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772729 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1772732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772753 */     // GIR_Coverage, 11777,
     /* 1772753 */     GIR_EraseRootFromParent_Done,
     /* 1772754 */   // Label 24098: @1772754
     /* 1772754 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1772840), // Rule ID 11778 //
     /* 1772759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1772770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1772773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1772776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1772779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772805 */     // MIs[0] policy
     /* 1772805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1772818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772839 */     // GIR_Coverage, 11778,
     /* 1772839 */     GIR_EraseRootFromParent_Done,
     /* 1772840 */   // Label 24099: @1772840
     /* 1772840 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1772926), // Rule ID 11781 //
     /* 1772845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772891 */     // MIs[0] policy
     /* 1772891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1772904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772925 */     // GIR_Coverage, 11781,
     /* 1772925 */     GIR_EraseRootFromParent_Done,
     /* 1772926 */   // Label 24100: @1772926
     /* 1772926 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773012), // Rule ID 11782 //
     /* 1772931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1772942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1772945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1772948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1772951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772977 */     // MIs[0] policy
     /* 1772977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1772990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773011 */     // GIR_Coverage, 11782,
     /* 1773011 */     GIR_EraseRootFromParent_Done,
     /* 1773012 */   // Label 24101: @1773012
     /* 1773012 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773098), // Rule ID 11785 //
     /* 1773017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773063 */     // MIs[0] policy
     /* 1773063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773097 */     // GIR_Coverage, 11785,
     /* 1773097 */     GIR_EraseRootFromParent_Done,
     /* 1773098 */   // Label 24102: @1773098
     /* 1773098 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1773184), // Rule ID 11786 //
     /* 1773103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773149 */     // MIs[0] policy
     /* 1773149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1773162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773183 */     // GIR_Coverage, 11786,
     /* 1773183 */     GIR_EraseRootFromParent_Done,
     /* 1773184 */   // Label 24103: @1773184
     /* 1773184 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1773270), // Rule ID 11789 //
     /* 1773189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773235 */     // MIs[0] policy
     /* 1773235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773269 */     // GIR_Coverage, 11789,
     /* 1773269 */     GIR_EraseRootFromParent_Done,
     /* 1773270 */   // Label 24104: @1773270
     /* 1773270 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1773356), // Rule ID 11790 //
     /* 1773275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773321 */     // MIs[0] policy
     /* 1773321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1773334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773355 */     // GIR_Coverage, 11790,
     /* 1773355 */     GIR_EraseRootFromParent_Done,
     /* 1773356 */   // Label 24105: @1773356
     /* 1773356 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1773442), // Rule ID 11793 //
     /* 1773361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773407 */     // MIs[0] policy
     /* 1773407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773441 */     // GIR_Coverage, 11793,
     /* 1773441 */     GIR_EraseRootFromParent_Done,
     /* 1773442 */   // Label 24106: @1773442
     /* 1773442 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1773528), // Rule ID 11794 //
     /* 1773447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1773467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773493 */     // MIs[0] policy
     /* 1773493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773503 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1773506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773527 */     // GIR_Coverage, 11794,
     /* 1773527 */     GIR_EraseRootFromParent_Done,
     /* 1773528 */   // Label 24107: @1773528
     /* 1773528 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1773614), // Rule ID 11797 //
     /* 1773533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773579 */     // MIs[0] policy
     /* 1773579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1773592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773613 */     // GIR_Coverage, 11797,
     /* 1773613 */     GIR_EraseRootFromParent_Done,
     /* 1773614 */   // Label 24108: @1773614
     /* 1773614 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1773700), // Rule ID 11798 //
     /* 1773619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1773639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773665 */     // MIs[0] policy
     /* 1773665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1773678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773699 */     // GIR_Coverage, 11798,
     /* 1773699 */     GIR_EraseRootFromParent_Done,
     /* 1773700 */   // Label 24109: @1773700
     /* 1773700 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1773786), // Rule ID 11801 //
     /* 1773705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773751 */     // MIs[0] policy
     /* 1773751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1773764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773785 */     // GIR_Coverage, 11801,
     /* 1773785 */     GIR_EraseRootFromParent_Done,
     /* 1773786 */   // Label 24110: @1773786
     /* 1773786 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1773872), // Rule ID 11802 //
     /* 1773791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773837 */     // MIs[0] policy
     /* 1773837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1773850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773871 */     // GIR_Coverage, 11802,
     /* 1773871 */     GIR_EraseRootFromParent_Done,
     /* 1773872 */   // Label 24111: @1773872
     /* 1773872 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1773958), // Rule ID 11805 //
     /* 1773877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773923 */     // MIs[0] policy
     /* 1773923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1773936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773957 */     // GIR_Coverage, 11805,
     /* 1773957 */     GIR_EraseRootFromParent_Done,
     /* 1773958 */   // Label 24112: @1773958
     /* 1773958 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774044), // Rule ID 11806 //
     /* 1773963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774009 */     // MIs[0] policy
     /* 1774009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1774022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774043 */     // GIR_Coverage, 11806,
     /* 1774043 */     GIR_EraseRootFromParent_Done,
     /* 1774044 */   // Label 24113: @1774044
     /* 1774044 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1774130), // Rule ID 11809 //
     /* 1774049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774095 */     // MIs[0] policy
     /* 1774095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774129 */     // GIR_Coverage, 11809,
     /* 1774129 */     GIR_EraseRootFromParent_Done,
     /* 1774130 */   // Label 24114: @1774130
     /* 1774130 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1774216), // Rule ID 11810 //
     /* 1774135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774181 */     // MIs[0] policy
     /* 1774181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774191 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1774194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774215 */     // GIR_Coverage, 11810,
     /* 1774215 */     GIR_EraseRootFromParent_Done,
     /* 1774216 */   // Label 24115: @1774216
     /* 1774216 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1774302), // Rule ID 11813 //
     /* 1774221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774267 */     // MIs[0] policy
     /* 1774267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774301 */     // GIR_Coverage, 11813,
     /* 1774301 */     GIR_EraseRootFromParent_Done,
     /* 1774302 */   // Label 24116: @1774302
     /* 1774302 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1774388), // Rule ID 11814 //
     /* 1774307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774353 */     // MIs[0] policy
     /* 1774353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1774366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774387 */     // GIR_Coverage, 11814,
     /* 1774387 */     GIR_EraseRootFromParent_Done,
     /* 1774388 */   // Label 24117: @1774388
     /* 1774388 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1774474), // Rule ID 11817 //
     /* 1774393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774439 */     // MIs[0] policy
     /* 1774439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774473 */     // GIR_Coverage, 11817,
     /* 1774473 */     GIR_EraseRootFromParent_Done,
     /* 1774474 */   // Label 24118: @1774474
     /* 1774474 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1774560), // Rule ID 11818 //
     /* 1774479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774525 */     // MIs[0] policy
     /* 1774525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1774538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774559 */     // GIR_Coverage, 11818,
     /* 1774559 */     GIR_EraseRootFromParent_Done,
     /* 1774560 */   // Label 24119: @1774560
     /* 1774560 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1774646), // Rule ID 11821 //
     /* 1774565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774611 */     // MIs[0] policy
     /* 1774611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1774624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774645 */     // GIR_Coverage, 11821,
     /* 1774645 */     GIR_EraseRootFromParent_Done,
     /* 1774646 */   // Label 24120: @1774646
     /* 1774646 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1774732), // Rule ID 11822 //
     /* 1774651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774697 */     // MIs[0] policy
     /* 1774697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1774710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774731 */     // GIR_Coverage, 11822,
     /* 1774731 */     GIR_EraseRootFromParent_Done,
     /* 1774732 */   // Label 24121: @1774732
     /* 1774732 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1774818), // Rule ID 11825 //
     /* 1774737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774783 */     // MIs[0] policy
     /* 1774783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1774796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774817 */     // GIR_Coverage, 11825,
     /* 1774817 */     GIR_EraseRootFromParent_Done,
     /* 1774818 */   // Label 24122: @1774818
     /* 1774818 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1774904), // Rule ID 11826 //
     /* 1774823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774869 */     // MIs[0] policy
     /* 1774869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774879 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1774882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774903 */     // GIR_Coverage, 11826,
     /* 1774903 */     GIR_EraseRootFromParent_Done,
     /* 1774904 */   // Label 24123: @1774904
     /* 1774904 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1774990), // Rule ID 11829 //
     /* 1774909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774955 */     // MIs[0] policy
     /* 1774955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1774968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774989 */     // GIR_Coverage, 11829,
     /* 1774989 */     GIR_EraseRootFromParent_Done,
     /* 1774990 */   // Label 24124: @1774990
     /* 1774990 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775076), // Rule ID 11830 //
     /* 1774995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775041 */     // MIs[0] policy
     /* 1775041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1775054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775075 */     // GIR_Coverage, 11830,
     /* 1775075 */     GIR_EraseRootFromParent_Done,
     /* 1775076 */   // Label 24125: @1775076
     /* 1775076 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1775162), // Rule ID 11833 //
     /* 1775081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775127 */     // MIs[0] policy
     /* 1775127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775161 */     // GIR_Coverage, 11833,
     /* 1775161 */     GIR_EraseRootFromParent_Done,
     /* 1775162 */   // Label 24126: @1775162
     /* 1775162 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1775248), // Rule ID 11834 //
     /* 1775167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775213 */     // MIs[0] policy
     /* 1775213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1775226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775247 */     // GIR_Coverage, 11834,
     /* 1775247 */     GIR_EraseRootFromParent_Done,
     /* 1775248 */   // Label 24127: @1775248
     /* 1775248 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1775334), // Rule ID 11837 //
     /* 1775253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775299 */     // MIs[0] policy
     /* 1775299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775333 */     // GIR_Coverage, 11837,
     /* 1775333 */     GIR_EraseRootFromParent_Done,
     /* 1775334 */   // Label 24128: @1775334
     /* 1775334 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1775420), // Rule ID 11838 //
     /* 1775339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775385 */     // MIs[0] policy
     /* 1775385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1775398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775419 */     // GIR_Coverage, 11838,
     /* 1775419 */     GIR_EraseRootFromParent_Done,
     /* 1775420 */   // Label 24129: @1775420
     /* 1775420 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1775506), // Rule ID 11841 //
     /* 1775425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775471 */     // MIs[0] policy
     /* 1775471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775505 */     // GIR_Coverage, 11841,
     /* 1775505 */     GIR_EraseRootFromParent_Done,
     /* 1775506 */   // Label 24130: @1775506
     /* 1775506 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1775592), // Rule ID 11842 //
     /* 1775511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775557 */     // MIs[0] policy
     /* 1775557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1775570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775591 */     // GIR_Coverage, 11842,
     /* 1775591 */     GIR_EraseRootFromParent_Done,
     /* 1775592 */   // Label 24131: @1775592
     /* 1775592 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1775678), // Rule ID 11845 //
     /* 1775597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775643 */     // MIs[0] policy
     /* 1775643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1775656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775677 */     // GIR_Coverage, 11845,
     /* 1775677 */     GIR_EraseRootFromParent_Done,
     /* 1775678 */   // Label 24132: @1775678
     /* 1775678 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1775764), // Rule ID 11846 //
     /* 1775683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775729 */     // MIs[0] policy
     /* 1775729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1775742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775763 */     // GIR_Coverage, 11846,
     /* 1775763 */     GIR_EraseRootFromParent_Done,
     /* 1775764 */   // Label 24133: @1775764
     /* 1775764 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1775850), // Rule ID 11849 //
     /* 1775769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775815 */     // MIs[0] policy
     /* 1775815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1775828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775849 */     // GIR_Coverage, 11849,
     /* 1775849 */     GIR_EraseRootFromParent_Done,
     /* 1775850 */   // Label 24134: @1775850
     /* 1775850 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1775936), // Rule ID 11850 //
     /* 1775855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775901 */     // MIs[0] policy
     /* 1775901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1775914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775935 */     // GIR_Coverage, 11850,
     /* 1775935 */     GIR_EraseRootFromParent_Done,
     /* 1775936 */   // Label 24135: @1775936
     /* 1775936 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776022), // Rule ID 11853 //
     /* 1775941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775987 */     // MIs[0] policy
     /* 1775987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775997 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776021 */     // GIR_Coverage, 11853,
     /* 1776021 */     GIR_EraseRootFromParent_Done,
     /* 1776022 */   // Label 24136: @1776022
     /* 1776022 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776108), // Rule ID 11854 //
     /* 1776027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776073 */     // MIs[0] policy
     /* 1776073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1776086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776107 */     // GIR_Coverage, 11854,
     /* 1776107 */     GIR_EraseRootFromParent_Done,
     /* 1776108 */   // Label 24137: @1776108
     /* 1776108 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1776194), // Rule ID 11857 //
     /* 1776113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776159 */     // MIs[0] policy
     /* 1776159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776193 */     // GIR_Coverage, 11857,
     /* 1776193 */     GIR_EraseRootFromParent_Done,
     /* 1776194 */   // Label 24138: @1776194
     /* 1776194 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1776280), // Rule ID 11858 //
     /* 1776199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776245 */     // MIs[0] policy
     /* 1776245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1776258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776279 */     // GIR_Coverage, 11858,
     /* 1776279 */     GIR_EraseRootFromParent_Done,
     /* 1776280 */   // Label 24139: @1776280
     /* 1776280 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1776366), // Rule ID 11861 //
     /* 1776285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776331 */     // MIs[0] policy
     /* 1776331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776365 */     // GIR_Coverage, 11861,
     /* 1776365 */     GIR_EraseRootFromParent_Done,
     /* 1776366 */   // Label 24140: @1776366
     /* 1776366 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1776452), // Rule ID 11862 //
     /* 1776371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776417 */     // MIs[0] policy
     /* 1776417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1776430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776451 */     // GIR_Coverage, 11862,
     /* 1776451 */     GIR_EraseRootFromParent_Done,
     /* 1776452 */   // Label 24141: @1776452
     /* 1776452 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1776538), // Rule ID 11865 //
     /* 1776457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776503 */     // MIs[0] policy
     /* 1776503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776513 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776537 */     // GIR_Coverage, 11865,
     /* 1776537 */     GIR_EraseRootFromParent_Done,
     /* 1776538 */   // Label 24142: @1776538
     /* 1776538 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1776624), // Rule ID 11866 //
     /* 1776543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776589 */     // MIs[0] policy
     /* 1776589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1776602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776623 */     // GIR_Coverage, 11866,
     /* 1776623 */     GIR_EraseRootFromParent_Done,
     /* 1776624 */   // Label 24143: @1776624
     /* 1776624 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1776710), // Rule ID 11869 //
     /* 1776629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776675 */     // MIs[0] policy
     /* 1776675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1776688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776709 */     // GIR_Coverage, 11869,
     /* 1776709 */     GIR_EraseRootFromParent_Done,
     /* 1776710 */   // Label 24144: @1776710
     /* 1776710 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1776796), // Rule ID 11870 //
     /* 1776715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776761 */     // MIs[0] policy
     /* 1776761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1776774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776795 */     // GIR_Coverage, 11870,
     /* 1776795 */     GIR_EraseRootFromParent_Done,
     /* 1776796 */   // Label 24145: @1776796
     /* 1776796 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1776882), // Rule ID 11873 //
     /* 1776801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776847 */     // MIs[0] policy
     /* 1776847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1776860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776881 */     // GIR_Coverage, 11873,
     /* 1776881 */     GIR_EraseRootFromParent_Done,
     /* 1776882 */   // Label 24146: @1776882
     /* 1776882 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1776968), // Rule ID 11874 //
     /* 1776887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776933 */     // MIs[0] policy
     /* 1776933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1776946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776967 */     // GIR_Coverage, 11874,
     /* 1776967 */     GIR_EraseRootFromParent_Done,
     /* 1776968 */   // Label 24147: @1776968
     /* 1776968 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777054), // Rule ID 11877 //
     /* 1776973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777019 */     // MIs[0] policy
     /* 1777019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777053 */     // GIR_Coverage, 11877,
     /* 1777053 */     GIR_EraseRootFromParent_Done,
     /* 1777054 */   // Label 24148: @1777054
     /* 1777054 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1777140), // Rule ID 11878 //
     /* 1777059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777105 */     // MIs[0] policy
     /* 1777105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1777118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777139 */     // GIR_Coverage, 11878,
     /* 1777139 */     GIR_EraseRootFromParent_Done,
     /* 1777140 */   // Label 24149: @1777140
     /* 1777140 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1777226), // Rule ID 11881 //
     /* 1777145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777191 */     // MIs[0] policy
     /* 1777191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777225 */     // GIR_Coverage, 11881,
     /* 1777225 */     GIR_EraseRootFromParent_Done,
     /* 1777226 */   // Label 24150: @1777226
     /* 1777226 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1777312), // Rule ID 11882 //
     /* 1777231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777277 */     // MIs[0] policy
     /* 1777277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777287 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1777290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777311 */     // GIR_Coverage, 11882,
     /* 1777311 */     GIR_EraseRootFromParent_Done,
     /* 1777312 */   // Label 24151: @1777312
     /* 1777312 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1777398), // Rule ID 11885 //
     /* 1777317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777363 */     // MIs[0] policy
     /* 1777363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777373 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777397 */     // GIR_Coverage, 11885,
     /* 1777397 */     GIR_EraseRootFromParent_Done,
     /* 1777398 */   // Label 24152: @1777398
     /* 1777398 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1777484), // Rule ID 11886 //
     /* 1777403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777449 */     // MIs[0] policy
     /* 1777449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1777462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777483 */     // GIR_Coverage, 11886,
     /* 1777483 */     GIR_EraseRootFromParent_Done,
     /* 1777484 */   // Label 24153: @1777484
     /* 1777484 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1777570), // Rule ID 11889 //
     /* 1777489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777535 */     // MIs[0] policy
     /* 1777535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777545 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777569 */     // GIR_Coverage, 11889,
     /* 1777569 */     GIR_EraseRootFromParent_Done,
     /* 1777570 */   // Label 24154: @1777570
     /* 1777570 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1777656), // Rule ID 11890 //
     /* 1777575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777621 */     // MIs[0] policy
     /* 1777621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1777634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777655 */     // GIR_Coverage, 11890,
     /* 1777655 */     GIR_EraseRootFromParent_Done,
     /* 1777656 */   // Label 24155: @1777656
     /* 1777656 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1777742), // Rule ID 11893 //
     /* 1777661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777707 */     // MIs[0] policy
     /* 1777707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777717 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1777720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777741 */     // GIR_Coverage, 11893,
     /* 1777741 */     GIR_EraseRootFromParent_Done,
     /* 1777742 */   // Label 24156: @1777742
     /* 1777742 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1777828), // Rule ID 11894 //
     /* 1777747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777793 */     // MIs[0] policy
     /* 1777793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1777806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777827 */     // GIR_Coverage, 11894,
     /* 1777827 */     GIR_EraseRootFromParent_Done,
     /* 1777828 */   // Label 24157: @1777828
     /* 1777828 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1777914), // Rule ID 11897 //
     /* 1777833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777879 */     // MIs[0] policy
     /* 1777879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777889 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1777892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777913 */     // GIR_Coverage, 11897,
     /* 1777913 */     GIR_EraseRootFromParent_Done,
     /* 1777914 */   // Label 24158: @1777914
     /* 1777914 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778000), // Rule ID 11898 //
     /* 1777919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777965 */     // MIs[0] policy
     /* 1777965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777975 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1777978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777999 */     // GIR_Coverage, 11898,
     /* 1777999 */     GIR_EraseRootFromParent_Done,
     /* 1778000 */   // Label 24159: @1778000
     /* 1778000 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778086), // Rule ID 11901 //
     /* 1778005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778051 */     // MIs[0] policy
     /* 1778051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778085 */     // GIR_Coverage, 11901,
     /* 1778085 */     GIR_EraseRootFromParent_Done,
     /* 1778086 */   // Label 24160: @1778086
     /* 1778086 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1778172), // Rule ID 11902 //
     /* 1778091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778137 */     // MIs[0] policy
     /* 1778137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1778150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778171 */     // GIR_Coverage, 11902,
     /* 1778171 */     GIR_EraseRootFromParent_Done,
     /* 1778172 */   // Label 24161: @1778172
     /* 1778172 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1778258), // Rule ID 11905 //
     /* 1778177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778223 */     // MIs[0] policy
     /* 1778223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778257 */     // GIR_Coverage, 11905,
     /* 1778257 */     GIR_EraseRootFromParent_Done,
     /* 1778258 */   // Label 24162: @1778258
     /* 1778258 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1778344), // Rule ID 11906 //
     /* 1778263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778309 */     // MIs[0] policy
     /* 1778309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1778322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778343 */     // GIR_Coverage, 11906,
     /* 1778343 */     GIR_EraseRootFromParent_Done,
     /* 1778344 */   // Label 24163: @1778344
     /* 1778344 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1778430), // Rule ID 11909 //
     /* 1778349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778395 */     // MIs[0] policy
     /* 1778395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778429 */     // GIR_Coverage, 11909,
     /* 1778429 */     GIR_EraseRootFromParent_Done,
     /* 1778430 */   // Label 24164: @1778430
     /* 1778430 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1778516), // Rule ID 11910 //
     /* 1778435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778481 */     // MIs[0] policy
     /* 1778481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778491 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1778494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778515 */     // GIR_Coverage, 11910,
     /* 1778515 */     GIR_EraseRootFromParent_Done,
     /* 1778516 */   // Label 24165: @1778516
     /* 1778516 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1778602), // Rule ID 11913 //
     /* 1778521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778567 */     // MIs[0] policy
     /* 1778567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1778580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778601 */     // GIR_Coverage, 11913,
     /* 1778601 */     GIR_EraseRootFromParent_Done,
     /* 1778602 */   // Label 24166: @1778602
     /* 1778602 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1778688), // Rule ID 11914 //
     /* 1778607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778653 */     // MIs[0] policy
     /* 1778653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1778666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778687 */     // GIR_Coverage, 11914,
     /* 1778687 */     GIR_EraseRootFromParent_Done,
     /* 1778688 */   // Label 24167: @1778688
     /* 1778688 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1778774), // Rule ID 11917 //
     /* 1778693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778739 */     // MIs[0] policy
     /* 1778739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1778752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778773 */     // GIR_Coverage, 11917,
     /* 1778773 */     GIR_EraseRootFromParent_Done,
     /* 1778774 */   // Label 24168: @1778774
     /* 1778774 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1778860), // Rule ID 11918 //
     /* 1778779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1778799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778825 */     // MIs[0] policy
     /* 1778825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1778838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778859 */     // GIR_Coverage, 11918,
     /* 1778859 */     GIR_EraseRootFromParent_Done,
     /* 1778860 */   // Label 24169: @1778860
     /* 1778860 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1778946), // Rule ID 11921 //
     /* 1778865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778911 */     // MIs[0] policy
     /* 1778911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1778924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778945 */     // GIR_Coverage, 11921,
     /* 1778945 */     GIR_EraseRootFromParent_Done,
     /* 1778946 */   // Label 24170: @1778946
     /* 1778946 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779032), // Rule ID 11922 //
     /* 1778951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1778971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778997 */     // MIs[0] policy
     /* 1778997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1779010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779031 */     // GIR_Coverage, 11922,
     /* 1779031 */     GIR_EraseRootFromParent_Done,
     /* 1779032 */   // Label 24171: @1779032
     /* 1779032 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779118), // Rule ID 11925 //
     /* 1779037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779083 */     // MIs[0] policy
     /* 1779083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779117 */     // GIR_Coverage, 11925,
     /* 1779117 */     GIR_EraseRootFromParent_Done,
     /* 1779118 */   // Label 24172: @1779118
     /* 1779118 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1779204), // Rule ID 11926 //
     /* 1779123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779169 */     // MIs[0] policy
     /* 1779169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779179 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1779182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779203 */     // GIR_Coverage, 11926,
     /* 1779203 */     GIR_EraseRootFromParent_Done,
     /* 1779204 */   // Label 24173: @1779204
     /* 1779204 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1779290), // Rule ID 11929 //
     /* 1779209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779255 */     // MIs[0] policy
     /* 1779255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779289 */     // GIR_Coverage, 11929,
     /* 1779289 */     GIR_EraseRootFromParent_Done,
     /* 1779290 */   // Label 24174: @1779290
     /* 1779290 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1779376), // Rule ID 11930 //
     /* 1779295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1779315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779341 */     // MIs[0] policy
     /* 1779341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1779354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779375 */     // GIR_Coverage, 11930,
     /* 1779375 */     GIR_EraseRootFromParent_Done,
     /* 1779376 */   // Label 24175: @1779376
     /* 1779376 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1779462), // Rule ID 11933 //
     /* 1779381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779427 */     // MIs[0] policy
     /* 1779427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779437 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779461 */     // GIR_Coverage, 11933,
     /* 1779461 */     GIR_EraseRootFromParent_Done,
     /* 1779462 */   // Label 24176: @1779462
     /* 1779462 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1779548), // Rule ID 11934 //
     /* 1779467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779513 */     // MIs[0] policy
     /* 1779513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1779526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779547 */     // GIR_Coverage, 11934,
     /* 1779547 */     GIR_EraseRootFromParent_Done,
     /* 1779548 */   // Label 24177: @1779548
     /* 1779548 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1779634), // Rule ID 11937 //
     /* 1779553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779599 */     // MIs[0] policy
     /* 1779599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1779612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779633 */     // GIR_Coverage, 11937,
     /* 1779633 */     GIR_EraseRootFromParent_Done,
     /* 1779634 */   // Label 24178: @1779634
     /* 1779634 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1779720), // Rule ID 11938 //
     /* 1779639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779685 */     // MIs[0] policy
     /* 1779685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1779698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779719 */     // GIR_Coverage, 11938,
     /* 1779719 */     GIR_EraseRootFromParent_Done,
     /* 1779720 */   // Label 24179: @1779720
     /* 1779720 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1779806), // Rule ID 11941 //
     /* 1779725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779771 */     // MIs[0] policy
     /* 1779771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779781 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1779784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779805 */     // GIR_Coverage, 11941,
     /* 1779805 */     GIR_EraseRootFromParent_Done,
     /* 1779806 */   // Label 24180: @1779806
     /* 1779806 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1779892), // Rule ID 11942 //
     /* 1779811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1779831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779857 */     // MIs[0] policy
     /* 1779857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1779870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779891 */     // GIR_Coverage, 11942,
     /* 1779891 */     GIR_EraseRootFromParent_Done,
     /* 1779892 */   // Label 24181: @1779892
     /* 1779892 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1779978), // Rule ID 11945 //
     /* 1779897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1779917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779943 */     // MIs[0] policy
     /* 1779943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1779956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779977 */     // GIR_Coverage, 11945,
     /* 1779977 */     GIR_EraseRootFromParent_Done,
     /* 1779978 */   // Label 24182: @1779978
     /* 1779978 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780064), // Rule ID 11946 //
     /* 1779983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780029 */     // MIs[0] policy
     /* 1780029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1780042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780063 */     // GIR_Coverage, 11946,
     /* 1780063 */     GIR_EraseRootFromParent_Done,
     /* 1780064 */   // Label 24183: @1780064
     /* 1780064 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1780150), // Rule ID 11949 //
     /* 1780069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780115 */     // MIs[0] policy
     /* 1780115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780125 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780149 */     // GIR_Coverage, 11949,
     /* 1780149 */     GIR_EraseRootFromParent_Done,
     /* 1780150 */   // Label 24184: @1780150
     /* 1780150 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1780236), // Rule ID 11950 //
     /* 1780155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780201 */     // MIs[0] policy
     /* 1780201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1780214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780235 */     // GIR_Coverage, 11950,
     /* 1780235 */     GIR_EraseRootFromParent_Done,
     /* 1780236 */   // Label 24185: @1780236
     /* 1780236 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1780322), // Rule ID 11953 //
     /* 1780241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780287 */     // MIs[0] policy
     /* 1780287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780321 */     // GIR_Coverage, 11953,
     /* 1780321 */     GIR_EraseRootFromParent_Done,
     /* 1780322 */   // Label 24186: @1780322
     /* 1780322 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1780408), // Rule ID 11954 //
     /* 1780327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780373 */     // MIs[0] policy
     /* 1780373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1780386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780407 */     // GIR_Coverage, 11954,
     /* 1780407 */     GIR_EraseRootFromParent_Done,
     /* 1780408 */   // Label 24187: @1780408
     /* 1780408 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1780494), // Rule ID 11957 //
     /* 1780413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780459 */     // MIs[0] policy
     /* 1780459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780493 */     // GIR_Coverage, 11957,
     /* 1780493 */     GIR_EraseRootFromParent_Done,
     /* 1780494 */   // Label 24188: @1780494
     /* 1780494 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1780580), // Rule ID 11958 //
     /* 1780499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780545 */     // MIs[0] policy
     /* 1780545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1780558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780579 */     // GIR_Coverage, 11958,
     /* 1780579 */     GIR_EraseRootFromParent_Done,
     /* 1780580 */   // Label 24189: @1780580
     /* 1780580 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1780666), // Rule ID 11961 //
     /* 1780585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780631 */     // MIs[0] policy
     /* 1780631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1780644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780665 */     // GIR_Coverage, 11961,
     /* 1780665 */     GIR_EraseRootFromParent_Done,
     /* 1780666 */   // Label 24190: @1780666
     /* 1780666 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1780752), // Rule ID 11962 //
     /* 1780671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1780691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780717 */     // MIs[0] policy
     /* 1780717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1780730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780751 */     // GIR_Coverage, 11962,
     /* 1780751 */     GIR_EraseRootFromParent_Done,
     /* 1780752 */   // Label 24191: @1780752
     /* 1780752 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1780838), // Rule ID 11965 //
     /* 1780757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780803 */     // MIs[0] policy
     /* 1780803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780813 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1780816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780837 */     // GIR_Coverage, 11965,
     /* 1780837 */     GIR_EraseRootFromParent_Done,
     /* 1780838 */   // Label 24192: @1780838
     /* 1780838 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1780924), // Rule ID 11966 //
     /* 1780843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1780863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780889 */     // MIs[0] policy
     /* 1780889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1780902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780923 */     // GIR_Coverage, 11966,
     /* 1780923 */     GIR_EraseRootFromParent_Done,
     /* 1780924 */   // Label 24193: @1780924
     /* 1780924 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781010), // Rule ID 11969 //
     /* 1780929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1780949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780975 */     // MIs[0] policy
     /* 1780975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780985 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1780988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781009 */     // GIR_Coverage, 11969,
     /* 1781009 */     GIR_EraseRootFromParent_Done,
     /* 1781010 */   // Label 24194: @1781010
     /* 1781010 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781096), // Rule ID 11970 //
     /* 1781015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1781035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781061 */     // MIs[0] policy
     /* 1781061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1781074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781095 */     // GIR_Coverage, 11970,
     /* 1781095 */     GIR_EraseRootFromParent_Done,
     /* 1781096 */   // Label 24195: @1781096
     /* 1781096 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1781182), // Rule ID 11973 //
     /* 1781101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781147 */     // MIs[0] policy
     /* 1781147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781181 */     // GIR_Coverage, 11973,
     /* 1781181 */     GIR_EraseRootFromParent_Done,
     /* 1781182 */   // Label 24196: @1781182
     /* 1781182 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1781268), // Rule ID 11974 //
     /* 1781187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1781207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781233 */     // MIs[0] policy
     /* 1781233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1781246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781267 */     // GIR_Coverage, 11974,
     /* 1781267 */     GIR_EraseRootFromParent_Done,
     /* 1781268 */   // Label 24197: @1781268
     /* 1781268 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1781354), // Rule ID 11977 //
     /* 1781273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781319 */     // MIs[0] policy
     /* 1781319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781353 */     // GIR_Coverage, 11977,
     /* 1781353 */     GIR_EraseRootFromParent_Done,
     /* 1781354 */   // Label 24198: @1781354
     /* 1781354 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1781440), // Rule ID 11978 //
     /* 1781359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1781379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781405 */     // MIs[0] policy
     /* 1781405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1781418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781439 */     // GIR_Coverage, 11978,
     /* 1781439 */     GIR_EraseRootFromParent_Done,
     /* 1781440 */   // Label 24199: @1781440
     /* 1781440 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1781526), // Rule ID 11981 //
     /* 1781445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781491 */     // MIs[0] policy
     /* 1781491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781501 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781525 */     // GIR_Coverage, 11981,
     /* 1781525 */     GIR_EraseRootFromParent_Done,
     /* 1781526 */   // Label 24200: @1781526
     /* 1781526 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1781612), // Rule ID 11982 //
     /* 1781531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781577 */     // MIs[0] policy
     /* 1781577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1781590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781611 */     // GIR_Coverage, 11982,
     /* 1781611 */     GIR_EraseRootFromParent_Done,
     /* 1781612 */   // Label 24201: @1781612
     /* 1781612 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1781698), // Rule ID 11985 //
     /* 1781617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781663 */     // MIs[0] policy
     /* 1781663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781673 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1781676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781697 */     // GIR_Coverage, 11985,
     /* 1781697 */     GIR_EraseRootFromParent_Done,
     /* 1781698 */   // Label 24202: @1781698
     /* 1781698 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1781784), // Rule ID 11986 //
     /* 1781703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781749 */     // MIs[0] policy
     /* 1781749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781759 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1781762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781783 */     // GIR_Coverage, 11986,
     /* 1781783 */     GIR_EraseRootFromParent_Done,
     /* 1781784 */   // Label 24203: @1781784
     /* 1781784 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1781870), // Rule ID 11989 //
     /* 1781789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781835 */     // MIs[0] policy
     /* 1781835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781845 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1781848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781869 */     // GIR_Coverage, 11989,
     /* 1781869 */     GIR_EraseRootFromParent_Done,
     /* 1781870 */   // Label 24204: @1781870
     /* 1781870 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1781956), // Rule ID 11990 //
     /* 1781875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781921 */     // MIs[0] policy
     /* 1781921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781931 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1781934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781955 */     // GIR_Coverage, 11990,
     /* 1781955 */     GIR_EraseRootFromParent_Done,
     /* 1781956 */   // Label 24205: @1781956
     /* 1781956 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782042), // Rule ID 11993 //
     /* 1781961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782007 */     // MIs[0] policy
     /* 1782007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782041 */     // GIR_Coverage, 11993,
     /* 1782041 */     GIR_EraseRootFromParent_Done,
     /* 1782042 */   // Label 24206: @1782042
     /* 1782042 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1782128), // Rule ID 11994 //
     /* 1782047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782093 */     // MIs[0] policy
     /* 1782093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782103 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1782106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782127 */     // GIR_Coverage, 11994,
     /* 1782127 */     GIR_EraseRootFromParent_Done,
     /* 1782128 */   // Label 24207: @1782128
     /* 1782128 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1782214), // Rule ID 11997 //
     /* 1782133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782179 */     // MIs[0] policy
     /* 1782179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782213 */     // GIR_Coverage, 11997,
     /* 1782213 */     GIR_EraseRootFromParent_Done,
     /* 1782214 */   // Label 24208: @1782214
     /* 1782214 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1782300), // Rule ID 11998 //
     /* 1782219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782265 */     // MIs[0] policy
     /* 1782265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1782278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782299 */     // GIR_Coverage, 11998,
     /* 1782299 */     GIR_EraseRootFromParent_Done,
     /* 1782300 */   // Label 24209: @1782300
     /* 1782300 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1782386), // Rule ID 12001 //
     /* 1782305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782351 */     // MIs[0] policy
     /* 1782351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782385 */     // GIR_Coverage, 12001,
     /* 1782385 */     GIR_EraseRootFromParent_Done,
     /* 1782386 */   // Label 24210: @1782386
     /* 1782386 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1782472), // Rule ID 12002 //
     /* 1782391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782437 */     // MIs[0] policy
     /* 1782437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1782450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782471 */     // GIR_Coverage, 12002,
     /* 1782471 */     GIR_EraseRootFromParent_Done,
     /* 1782472 */   // Label 24211: @1782472
     /* 1782472 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1782558), // Rule ID 12005 //
     /* 1782477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782523 */     // MIs[0] policy
     /* 1782523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782557 */     // GIR_Coverage, 12005,
     /* 1782557 */     GIR_EraseRootFromParent_Done,
     /* 1782558 */   // Label 24212: @1782558
     /* 1782558 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1782644), // Rule ID 12006 //
     /* 1782563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782609 */     // MIs[0] policy
     /* 1782609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782619 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1782622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782643 */     // GIR_Coverage, 12006,
     /* 1782643 */     GIR_EraseRootFromParent_Done,
     /* 1782644 */   // Label 24213: @1782644
     /* 1782644 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1782730), // Rule ID 12009 //
     /* 1782649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782695 */     // MIs[0] policy
     /* 1782695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1782708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782729 */     // GIR_Coverage, 12009,
     /* 1782729 */     GIR_EraseRootFromParent_Done,
     /* 1782730 */   // Label 24214: @1782730
     /* 1782730 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1782816), // Rule ID 12010 //
     /* 1782735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782781 */     // MIs[0] policy
     /* 1782781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782791 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1782794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782815 */     // GIR_Coverage, 12010,
     /* 1782815 */     GIR_EraseRootFromParent_Done,
     /* 1782816 */   // Label 24215: @1782816
     /* 1782816 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1782902), // Rule ID 12013 //
     /* 1782821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782867 */     // MIs[0] policy
     /* 1782867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1782880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782901 */     // GIR_Coverage, 12013,
     /* 1782901 */     GIR_EraseRootFromParent_Done,
     /* 1782902 */   // Label 24216: @1782902
     /* 1782902 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1782988), // Rule ID 12014 //
     /* 1782907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782953 */     // MIs[0] policy
     /* 1782953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1782966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782987 */     // GIR_Coverage, 12014,
     /* 1782987 */     GIR_EraseRootFromParent_Done,
     /* 1782988 */   // Label 24217: @1782988
     /* 1782988 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783074), // Rule ID 12017 //
     /* 1782993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783039 */     // MIs[0] policy
     /* 1783039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783073 */     // GIR_Coverage, 12017,
     /* 1783073 */     GIR_EraseRootFromParent_Done,
     /* 1783074 */   // Label 24218: @1783074
     /* 1783074 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1783160), // Rule ID 12018 //
     /* 1783079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783125 */     // MIs[0] policy
     /* 1783125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783135 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1783138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783159 */     // GIR_Coverage, 12018,
     /* 1783159 */     GIR_EraseRootFromParent_Done,
     /* 1783160 */   // Label 24219: @1783160
     /* 1783160 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1783246), // Rule ID 12021 //
     /* 1783165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783211 */     // MIs[0] policy
     /* 1783211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783221 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783245 */     // GIR_Coverage, 12021,
     /* 1783245 */     GIR_EraseRootFromParent_Done,
     /* 1783246 */   // Label 24220: @1783246
     /* 1783246 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1783332), // Rule ID 12022 //
     /* 1783251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783297 */     // MIs[0] policy
     /* 1783297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1783310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783331 */     // GIR_Coverage, 12022,
     /* 1783331 */     GIR_EraseRootFromParent_Done,
     /* 1783332 */   // Label 24221: @1783332
     /* 1783332 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1783418), // Rule ID 12025 //
     /* 1783337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783383 */     // MIs[0] policy
     /* 1783383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783393 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783417 */     // GIR_Coverage, 12025,
     /* 1783417 */     GIR_EraseRootFromParent_Done,
     /* 1783418 */   // Label 24222: @1783418
     /* 1783418 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1783504), // Rule ID 12026 //
     /* 1783423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783469 */     // MIs[0] policy
     /* 1783469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783479 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1783482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783503 */     // GIR_Coverage, 12026,
     /* 1783503 */     GIR_EraseRootFromParent_Done,
     /* 1783504 */   // Label 24223: @1783504
     /* 1783504 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1783590), // Rule ID 12029 //
     /* 1783509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783555 */     // MIs[0] policy
     /* 1783555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1783568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783589 */     // GIR_Coverage, 12029,
     /* 1783589 */     GIR_EraseRootFromParent_Done,
     /* 1783590 */   // Label 24224: @1783590
     /* 1783590 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1783676), // Rule ID 12030 //
     /* 1783595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783641 */     // MIs[0] policy
     /* 1783641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1783654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783675 */     // GIR_Coverage, 12030,
     /* 1783675 */     GIR_EraseRootFromParent_Done,
     /* 1783676 */   // Label 24225: @1783676
     /* 1783676 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1783762), // Rule ID 12033 //
     /* 1783681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783727 */     // MIs[0] policy
     /* 1783727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1783740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783761 */     // GIR_Coverage, 12033,
     /* 1783761 */     GIR_EraseRootFromParent_Done,
     /* 1783762 */   // Label 24226: @1783762
     /* 1783762 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1783848), // Rule ID 12034 //
     /* 1783767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783813 */     // MIs[0] policy
     /* 1783813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1783826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783847 */     // GIR_Coverage, 12034,
     /* 1783847 */     GIR_EraseRootFromParent_Done,
     /* 1783848 */   // Label 24227: @1783848
     /* 1783848 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1783934), // Rule ID 12037 //
     /* 1783853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783899 */     // MIs[0] policy
     /* 1783899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1783912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783933 */     // GIR_Coverage, 12037,
     /* 1783933 */     GIR_EraseRootFromParent_Done,
     /* 1783934 */   // Label 24228: @1783934
     /* 1783934 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784020), // Rule ID 12038 //
     /* 1783939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783985 */     // MIs[0] policy
     /* 1783985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1783998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784019 */     // GIR_Coverage, 12038,
     /* 1784019 */     GIR_EraseRootFromParent_Done,
     /* 1784020 */   // Label 24229: @1784020
     /* 1784020 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784106), // Rule ID 12041 //
     /* 1784025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784071 */     // MIs[0] policy
     /* 1784071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784081 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784105 */     // GIR_Coverage, 12041,
     /* 1784105 */     GIR_EraseRootFromParent_Done,
     /* 1784106 */   // Label 24230: @1784106
     /* 1784106 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1784192), // Rule ID 12042 //
     /* 1784111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784157 */     // MIs[0] policy
     /* 1784157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1784170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784191 */     // GIR_Coverage, 12042,
     /* 1784191 */     GIR_EraseRootFromParent_Done,
     /* 1784192 */   // Label 24231: @1784192
     /* 1784192 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1784278), // Rule ID 12045 //
     /* 1784197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784243 */     // MIs[0] policy
     /* 1784243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784277 */     // GIR_Coverage, 12045,
     /* 1784277 */     GIR_EraseRootFromParent_Done,
     /* 1784278 */   // Label 24232: @1784278
     /* 1784278 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1784364), // Rule ID 12046 //
     /* 1784283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784329 */     // MIs[0] policy
     /* 1784329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1784342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784363 */     // GIR_Coverage, 12046,
     /* 1784363 */     GIR_EraseRootFromParent_Done,
     /* 1784364 */   // Label 24233: @1784364
     /* 1784364 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1784450), // Rule ID 12049 //
     /* 1784369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784415 */     // MIs[0] policy
     /* 1784415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784425 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784449 */     // GIR_Coverage, 12049,
     /* 1784449 */     GIR_EraseRootFromParent_Done,
     /* 1784450 */   // Label 24234: @1784450
     /* 1784450 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1784536), // Rule ID 12050 //
     /* 1784455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784501 */     // MIs[0] policy
     /* 1784501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1784514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784535 */     // GIR_Coverage, 12050,
     /* 1784535 */     GIR_EraseRootFromParent_Done,
     /* 1784536 */   // Label 24235: @1784536
     /* 1784536 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1784622), // Rule ID 12053 //
     /* 1784541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784587 */     // MIs[0] policy
     /* 1784587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1784600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784621 */     // GIR_Coverage, 12053,
     /* 1784621 */     GIR_EraseRootFromParent_Done,
     /* 1784622 */   // Label 24236: @1784622
     /* 1784622 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1784708), // Rule ID 12054 //
     /* 1784627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784673 */     // MIs[0] policy
     /* 1784673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1784686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784707 */     // GIR_Coverage, 12054,
     /* 1784707 */     GIR_EraseRootFromParent_Done,
     /* 1784708 */   // Label 24237: @1784708
     /* 1784708 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1784794), // Rule ID 12057 //
     /* 1784713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784759 */     // MIs[0] policy
     /* 1784759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1784772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784793 */     // GIR_Coverage, 12057,
     /* 1784793 */     GIR_EraseRootFromParent_Done,
     /* 1784794 */   // Label 24238: @1784794
     /* 1784794 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1784880), // Rule ID 12058 //
     /* 1784799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784845 */     // MIs[0] policy
     /* 1784845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1784858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784879 */     // GIR_Coverage, 12058,
     /* 1784879 */     GIR_EraseRootFromParent_Done,
     /* 1784880 */   // Label 24239: @1784880
     /* 1784880 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1784966), // Rule ID 12061 //
     /* 1784885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784931 */     // MIs[0] policy
     /* 1784931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1784944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784965 */     // GIR_Coverage, 12061,
     /* 1784965 */     GIR_EraseRootFromParent_Done,
     /* 1784966 */   // Label 24240: @1784966
     /* 1784966 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785052), // Rule ID 12062 //
     /* 1784971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785017 */     // MIs[0] policy
     /* 1785017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1785030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785051 */     // GIR_Coverage, 12062,
     /* 1785051 */     GIR_EraseRootFromParent_Done,
     /* 1785052 */   // Label 24241: @1785052
     /* 1785052 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1785138), // Rule ID 12065 //
     /* 1785057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785103 */     // MIs[0] policy
     /* 1785103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785137 */     // GIR_Coverage, 12065,
     /* 1785137 */     GIR_EraseRootFromParent_Done,
     /* 1785138 */   // Label 24242: @1785138
     /* 1785138 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1785224), // Rule ID 12066 //
     /* 1785143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785189 */     // MIs[0] policy
     /* 1785189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1785202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785223 */     // GIR_Coverage, 12066,
     /* 1785223 */     GIR_EraseRootFromParent_Done,
     /* 1785224 */   // Label 24243: @1785224
     /* 1785224 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1785310), // Rule ID 12069 //
     /* 1785229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785275 */     // MIs[0] policy
     /* 1785275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785285 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785309 */     // GIR_Coverage, 12069,
     /* 1785309 */     GIR_EraseRootFromParent_Done,
     /* 1785310 */   // Label 24244: @1785310
     /* 1785310 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1785396), // Rule ID 12070 //
     /* 1785315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1785335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785361 */     // MIs[0] policy
     /* 1785361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1785374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785395 */     // GIR_Coverage, 12070,
     /* 1785395 */     GIR_EraseRootFromParent_Done,
     /* 1785396 */   // Label 24245: @1785396
     /* 1785396 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1785482), // Rule ID 12073 //
     /* 1785401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785447 */     // MIs[0] policy
     /* 1785447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785457 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785481 */     // GIR_Coverage, 12073,
     /* 1785481 */     GIR_EraseRootFromParent_Done,
     /* 1785482 */   // Label 24246: @1785482
     /* 1785482 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1785568), // Rule ID 12074 //
     /* 1785487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1785507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785533 */     // MIs[0] policy
     /* 1785533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785543 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1785546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785567 */     // GIR_Coverage, 12074,
     /* 1785567 */     GIR_EraseRootFromParent_Done,
     /* 1785568 */   // Label 24247: @1785568
     /* 1785568 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1785654), // Rule ID 12077 //
     /* 1785573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785619 */     // MIs[0] policy
     /* 1785619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785629 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1785632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785653 */     // GIR_Coverage, 12077,
     /* 1785653 */     GIR_EraseRootFromParent_Done,
     /* 1785654 */   // Label 24248: @1785654
     /* 1785654 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1785740), // Rule ID 12078 //
     /* 1785659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1785679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785705 */     // MIs[0] policy
     /* 1785705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1785718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785739 */     // GIR_Coverage, 12078,
     /* 1785739 */     GIR_EraseRootFromParent_Done,
     /* 1785740 */   // Label 24249: @1785740
     /* 1785740 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1785826), // Rule ID 12081 //
     /* 1785745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785791 */     // MIs[0] policy
     /* 1785791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1785804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785825 */     // GIR_Coverage, 12081,
     /* 1785825 */     GIR_EraseRootFromParent_Done,
     /* 1785826 */   // Label 24250: @1785826
     /* 1785826 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1785912), // Rule ID 12082 //
     /* 1785831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1785851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785877 */     // MIs[0] policy
     /* 1785877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1785890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785911 */     // GIR_Coverage, 12082,
     /* 1785911 */     GIR_EraseRootFromParent_Done,
     /* 1785912 */   // Label 24251: @1785912
     /* 1785912 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1785998), // Rule ID 12085 //
     /* 1785917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1785937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785963 */     // MIs[0] policy
     /* 1785963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1785976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785997 */     // GIR_Coverage, 12085,
     /* 1785997 */     GIR_EraseRootFromParent_Done,
     /* 1785998 */   // Label 24252: @1785998
     /* 1785998 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786084), // Rule ID 12086 //
     /* 1786003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1786023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786049 */     // MIs[0] policy
     /* 1786049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1786062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786083 */     // GIR_Coverage, 12086,
     /* 1786083 */     GIR_EraseRootFromParent_Done,
     /* 1786084 */   // Label 24253: @1786084
     /* 1786084 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1786170), // Rule ID 12089 //
     /* 1786089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786135 */     // MIs[0] policy
     /* 1786135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786145 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786169 */     // GIR_Coverage, 12089,
     /* 1786169 */     GIR_EraseRootFromParent_Done,
     /* 1786170 */   // Label 24254: @1786170
     /* 1786170 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1786256), // Rule ID 12090 //
     /* 1786175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1786195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786221 */     // MIs[0] policy
     /* 1786221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786231 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1786234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786255 */     // GIR_Coverage, 12090,
     /* 1786255 */     GIR_EraseRootFromParent_Done,
     /* 1786256 */   // Label 24255: @1786256
     /* 1786256 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1786342), // Rule ID 12093 //
     /* 1786261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786307 */     // MIs[0] policy
     /* 1786307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786341 */     // GIR_Coverage, 12093,
     /* 1786341 */     GIR_EraseRootFromParent_Done,
     /* 1786342 */   // Label 24256: @1786342
     /* 1786342 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1786428), // Rule ID 12094 //
     /* 1786347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1786367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786393 */     // MIs[0] policy
     /* 1786393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1786406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786427 */     // GIR_Coverage, 12094,
     /* 1786427 */     GIR_EraseRootFromParent_Done,
     /* 1786428 */   // Label 24257: @1786428
     /* 1786428 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1786514), // Rule ID 12097 //
     /* 1786433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786479 */     // MIs[0] policy
     /* 1786479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786513 */     // GIR_Coverage, 12097,
     /* 1786513 */     GIR_EraseRootFromParent_Done,
     /* 1786514 */   // Label 24258: @1786514
     /* 1786514 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1786600), // Rule ID 12098 //
     /* 1786519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1786539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786565 */     // MIs[0] policy
     /* 1786565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786575 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1786578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786599 */     // GIR_Coverage, 12098,
     /* 1786599 */     GIR_EraseRootFromParent_Done,
     /* 1786600 */   // Label 24259: @1786600
     /* 1786600 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1786686), // Rule ID 12101 //
     /* 1786605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786651 */     // MIs[0] policy
     /* 1786651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1786664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786685 */     // GIR_Coverage, 12101,
     /* 1786685 */     GIR_EraseRootFromParent_Done,
     /* 1786686 */   // Label 24260: @1786686
     /* 1786686 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1786772), // Rule ID 12102 //
     /* 1786691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1786711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786737 */     // MIs[0] policy
     /* 1786737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1786750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786771 */     // GIR_Coverage, 12102,
     /* 1786771 */     GIR_EraseRootFromParent_Done,
     /* 1786772 */   // Label 24261: @1786772
     /* 1786772 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1786858), // Rule ID 12105 //
     /* 1786777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786823 */     // MIs[0] policy
     /* 1786823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1786836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786857 */     // GIR_Coverage, 12105,
     /* 1786857 */     GIR_EraseRootFromParent_Done,
     /* 1786858 */   // Label 24262: @1786858
     /* 1786858 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1786944), // Rule ID 12106 //
     /* 1786863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786909 */     // MIs[0] policy
     /* 1786909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1786922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786943 */     // GIR_Coverage, 12106,
     /* 1786943 */     GIR_EraseRootFromParent_Done,
     /* 1786944 */   // Label 24263: @1786944
     /* 1786944 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787030), // Rule ID 12109 //
     /* 1786949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1786969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786995 */     // MIs[0] policy
     /* 1786995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787005 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787029 */     // GIR_Coverage, 12109,
     /* 1787029 */     GIR_EraseRootFromParent_Done,
     /* 1787030 */   // Label 24264: @1787030
     /* 1787030 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787116), // Rule ID 12110 //
     /* 1787035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787081 */     // MIs[0] policy
     /* 1787081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1787094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787115 */     // GIR_Coverage, 12110,
     /* 1787115 */     GIR_EraseRootFromParent_Done,
     /* 1787116 */   // Label 24265: @1787116
     /* 1787116 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1787202), // Rule ID 12113 //
     /* 1787121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787167 */     // MIs[0] policy
     /* 1787167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787201 */     // GIR_Coverage, 12113,
     /* 1787201 */     GIR_EraseRootFromParent_Done,
     /* 1787202 */   // Label 24266: @1787202
     /* 1787202 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1787288), // Rule ID 12114 //
     /* 1787207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787253 */     // MIs[0] policy
     /* 1787253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787263 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1787266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787287 */     // GIR_Coverage, 12114,
     /* 1787287 */     GIR_EraseRootFromParent_Done,
     /* 1787288 */   // Label 24267: @1787288
     /* 1787288 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1787374), // Rule ID 12117 //
     /* 1787293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787339 */     // MIs[0] policy
     /* 1787339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787349 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787373 */     // GIR_Coverage, 12117,
     /* 1787373 */     GIR_EraseRootFromParent_Done,
     /* 1787374 */   // Label 24268: @1787374
     /* 1787374 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1787460), // Rule ID 12118 //
     /* 1787379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1787399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787425 */     // MIs[0] policy
     /* 1787425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787435 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1787438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787459 */     // GIR_Coverage, 12118,
     /* 1787459 */     GIR_EraseRootFromParent_Done,
     /* 1787460 */   // Label 24269: @1787460
     /* 1787460 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1787546), // Rule ID 12121 //
     /* 1787465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787511 */     // MIs[0] policy
     /* 1787511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787545 */     // GIR_Coverage, 12121,
     /* 1787545 */     GIR_EraseRootFromParent_Done,
     /* 1787546 */   // Label 24270: @1787546
     /* 1787546 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1787632), // Rule ID 12122 //
     /* 1787551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1787571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787597 */     // MIs[0] policy
     /* 1787597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1787610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787631 */     // GIR_Coverage, 12122,
     /* 1787631 */     GIR_EraseRootFromParent_Done,
     /* 1787632 */   // Label 24271: @1787632
     /* 1787632 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1787718), // Rule ID 12125 //
     /* 1787637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787683 */     // MIs[0] policy
     /* 1787683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1787696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787717 */     // GIR_Coverage, 12125,
     /* 1787717 */     GIR_EraseRootFromParent_Done,
     /* 1787718 */   // Label 24272: @1787718
     /* 1787718 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1787804), // Rule ID 12126 //
     /* 1787723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1787743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787769 */     // MIs[0] policy
     /* 1787769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1787782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787803 */     // GIR_Coverage, 12126,
     /* 1787803 */     GIR_EraseRootFromParent_Done,
     /* 1787804 */   // Label 24273: @1787804
     /* 1787804 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1787890), // Rule ID 12129 //
     /* 1787809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787855 */     // MIs[0] policy
     /* 1787855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787865 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1787868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787889 */     // GIR_Coverage, 12129,
     /* 1787889 */     GIR_EraseRootFromParent_Done,
     /* 1787890 */   // Label 24274: @1787890
     /* 1787890 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1787976), // Rule ID 12130 //
     /* 1787895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1787915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787941 */     // MIs[0] policy
     /* 1787941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787951 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1787954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787975 */     // GIR_Coverage, 12130,
     /* 1787975 */     GIR_EraseRootFromParent_Done,
     /* 1787976 */   // Label 24275: @1787976
     /* 1787976 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788062), // Rule ID 12133 //
     /* 1787981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788027 */     // MIs[0] policy
     /* 1788027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788061 */     // GIR_Coverage, 12133,
     /* 1788061 */     GIR_EraseRootFromParent_Done,
     /* 1788062 */   // Label 24276: @1788062
     /* 1788062 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1788148), // Rule ID 12134 //
     /* 1788067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1788087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788113 */     // MIs[0] policy
     /* 1788113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1788126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788147 */     // GIR_Coverage, 12134,
     /* 1788147 */     GIR_EraseRootFromParent_Done,
     /* 1788148 */   // Label 24277: @1788148
     /* 1788148 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1788234), // Rule ID 12137 //
     /* 1788153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788199 */     // MIs[0] policy
     /* 1788199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788233 */     // GIR_Coverage, 12137,
     /* 1788233 */     GIR_EraseRootFromParent_Done,
     /* 1788234 */   // Label 24278: @1788234
     /* 1788234 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1788320), // Rule ID 12138 //
     /* 1788239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1788259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788285 */     // MIs[0] policy
     /* 1788285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1788298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788319 */     // GIR_Coverage, 12138,
     /* 1788319 */     GIR_EraseRootFromParent_Done,
     /* 1788320 */   // Label 24279: @1788320
     /* 1788320 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1788406), // Rule ID 12141 //
     /* 1788325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788371 */     // MIs[0] policy
     /* 1788371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788405 */     // GIR_Coverage, 12141,
     /* 1788405 */     GIR_EraseRootFromParent_Done,
     /* 1788406 */   // Label 24280: @1788406
     /* 1788406 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1788492), // Rule ID 12142 //
     /* 1788411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1788431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788457 */     // MIs[0] policy
     /* 1788457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1788470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788491 */     // GIR_Coverage, 12142,
     /* 1788491 */     GIR_EraseRootFromParent_Done,
     /* 1788492 */   // Label 24281: @1788492
     /* 1788492 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1788578), // Rule ID 12145 //
     /* 1788497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788543 */     // MIs[0] policy
     /* 1788543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788577 */     // GIR_Coverage, 12145,
     /* 1788577 */     GIR_EraseRootFromParent_Done,
     /* 1788578 */   // Label 24282: @1788578
     /* 1788578 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1788664), // Rule ID 12146 //
     /* 1788583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788629 */     // MIs[0] policy
     /* 1788629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788639 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1788642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788663 */     // GIR_Coverage, 12146,
     /* 1788663 */     GIR_EraseRootFromParent_Done,
     /* 1788664 */   // Label 24283: @1788664
     /* 1788664 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1788750), // Rule ID 12149 //
     /* 1788669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788715 */     // MIs[0] policy
     /* 1788715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788725 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1788728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788749 */     // GIR_Coverage, 12149,
     /* 1788749 */     GIR_EraseRootFromParent_Done,
     /* 1788750 */   // Label 24284: @1788750
     /* 1788750 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1788836), // Rule ID 12150 //
     /* 1788755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788801 */     // MIs[0] policy
     /* 1788801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1788814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788835 */     // GIR_Coverage, 12150,
     /* 1788835 */     GIR_EraseRootFromParent_Done,
     /* 1788836 */   // Label 24285: @1788836
     /* 1788836 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1788922), // Rule ID 12153 //
     /* 1788841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788887 */     // MIs[0] policy
     /* 1788887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1788900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788921 */     // GIR_Coverage, 12153,
     /* 1788921 */     GIR_EraseRootFromParent_Done,
     /* 1788922 */   // Label 24286: @1788922
     /* 1788922 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789008), // Rule ID 12154 //
     /* 1788927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1788947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788973 */     // MIs[0] policy
     /* 1788973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1788986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789007 */     // GIR_Coverage, 12154,
     /* 1789007 */     GIR_EraseRootFromParent_Done,
     /* 1789008 */   // Label 24287: @1789008
     /* 1789008 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789094), // Rule ID 12157 //
     /* 1789013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789059 */     // MIs[0] policy
     /* 1789059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789093 */     // GIR_Coverage, 12157,
     /* 1789093 */     GIR_EraseRootFromParent_Done,
     /* 1789094 */   // Label 24288: @1789094
     /* 1789094 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1789180), // Rule ID 12158 //
     /* 1789099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789145 */     // MIs[0] policy
     /* 1789145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1789158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789179 */     // GIR_Coverage, 12158,
     /* 1789179 */     GIR_EraseRootFromParent_Done,
     /* 1789180 */   // Label 24289: @1789180
     /* 1789180 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1789266), // Rule ID 12161 //
     /* 1789185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789231 */     // MIs[0] policy
     /* 1789231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789265 */     // GIR_Coverage, 12161,
     /* 1789265 */     GIR_EraseRootFromParent_Done,
     /* 1789266 */   // Label 24290: @1789266
     /* 1789266 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1789352), // Rule ID 12162 //
     /* 1789271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789317 */     // MIs[0] policy
     /* 1789317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1789330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789351 */     // GIR_Coverage, 12162,
     /* 1789351 */     GIR_EraseRootFromParent_Done,
     /* 1789352 */   // Label 24291: @1789352
     /* 1789352 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1789438), // Rule ID 12165 //
     /* 1789357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789403 */     // MIs[0] policy
     /* 1789403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789437 */     // GIR_Coverage, 12165,
     /* 1789437 */     GIR_EraseRootFromParent_Done,
     /* 1789438 */   // Label 24292: @1789438
     /* 1789438 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1789524), // Rule ID 12166 //
     /* 1789443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789489 */     // MIs[0] policy
     /* 1789489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1789502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789523 */     // GIR_Coverage, 12166,
     /* 1789523 */     GIR_EraseRootFromParent_Done,
     /* 1789524 */   // Label 24293: @1789524
     /* 1789524 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1789610), // Rule ID 12169 //
     /* 1789529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789575 */     // MIs[0] policy
     /* 1789575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1789588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789609 */     // GIR_Coverage, 12169,
     /* 1789609 */     GIR_EraseRootFromParent_Done,
     /* 1789610 */   // Label 24294: @1789610
     /* 1789610 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1789696), // Rule ID 12170 //
     /* 1789615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789661 */     // MIs[0] policy
     /* 1789661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789671 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1789674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789695 */     // GIR_Coverage, 12170,
     /* 1789695 */     GIR_EraseRootFromParent_Done,
     /* 1789696 */   // Label 24295: @1789696
     /* 1789696 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1789782), // Rule ID 12173 //
     /* 1789701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789747 */     // MIs[0] policy
     /* 1789747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1789760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789781 */     // GIR_Coverage, 12173,
     /* 1789781 */     GIR_EraseRootFromParent_Done,
     /* 1789782 */   // Label 24296: @1789782
     /* 1789782 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1789868), // Rule ID 12174 //
     /* 1789787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789833 */     // MIs[0] policy
     /* 1789833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1789846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789867 */     // GIR_Coverage, 12174,
     /* 1789867 */     GIR_EraseRootFromParent_Done,
     /* 1789868 */   // Label 24297: @1789868
     /* 1789868 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1789954), // Rule ID 12177 //
     /* 1789873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789919 */     // MIs[0] policy
     /* 1789919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1789932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789953 */     // GIR_Coverage, 12177,
     /* 1789953 */     GIR_EraseRootFromParent_Done,
     /* 1789954 */   // Label 24298: @1789954
     /* 1789954 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790040), // Rule ID 12178 //
     /* 1789959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790005 */     // MIs[0] policy
     /* 1790005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1790018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790039 */     // GIR_Coverage, 12178,
     /* 1790039 */     GIR_EraseRootFromParent_Done,
     /* 1790040 */   // Label 24299: @1790040
     /* 1790040 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1790126), // Rule ID 12181 //
     /* 1790045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790091 */     // MIs[0] policy
     /* 1790091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790125 */     // GIR_Coverage, 12181,
     /* 1790125 */     GIR_EraseRootFromParent_Done,
     /* 1790126 */   // Label 24300: @1790126
     /* 1790126 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1790212), // Rule ID 12182 //
     /* 1790131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790177 */     // MIs[0] policy
     /* 1790177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1790190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790211 */     // GIR_Coverage, 12182,
     /* 1790211 */     GIR_EraseRootFromParent_Done,
     /* 1790212 */   // Label 24301: @1790212
     /* 1790212 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1790298), // Rule ID 12185 //
     /* 1790217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790263 */     // MIs[0] policy
     /* 1790263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790297 */     // GIR_Coverage, 12185,
     /* 1790297 */     GIR_EraseRootFromParent_Done,
     /* 1790298 */   // Label 24302: @1790298
     /* 1790298 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1790384), // Rule ID 12186 //
     /* 1790303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790349 */     // MIs[0] policy
     /* 1790349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1790362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790383 */     // GIR_Coverage, 12186,
     /* 1790383 */     GIR_EraseRootFromParent_Done,
     /* 1790384 */   // Label 24303: @1790384
     /* 1790384 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1790470), // Rule ID 12189 //
     /* 1790389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790435 */     // MIs[0] policy
     /* 1790435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790469 */     // GIR_Coverage, 12189,
     /* 1790469 */     GIR_EraseRootFromParent_Done,
     /* 1790470 */   // Label 24304: @1790470
     /* 1790470 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1790556), // Rule ID 12190 //
     /* 1790475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790521 */     // MIs[0] policy
     /* 1790521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1790534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790555 */     // GIR_Coverage, 12190,
     /* 1790555 */     GIR_EraseRootFromParent_Done,
     /* 1790556 */   // Label 24305: @1790556
     /* 1790556 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1790642), // Rule ID 12193 //
     /* 1790561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1790564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790607 */     // MIs[0] policy
     /* 1790607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1790620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790641 */     // GIR_Coverage, 12193,
     /* 1790641 */     GIR_EraseRootFromParent_Done,
     /* 1790642 */   // Label 24306: @1790642
     /* 1790642 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1790728), // Rule ID 12194 //
     /* 1790647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1790650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790693 */     // MIs[0] policy
     /* 1790693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1790706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790727 */     // GIR_Coverage, 12194,
     /* 1790727 */     GIR_EraseRootFromParent_Done,
     /* 1790728 */   // Label 24307: @1790728
     /* 1790728 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1790814), // Rule ID 12197 //
     /* 1790733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790779 */     // MIs[0] policy
     /* 1790779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1790792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790813 */     // GIR_Coverage, 12197,
     /* 1790813 */     GIR_EraseRootFromParent_Done,
     /* 1790814 */   // Label 24308: @1790814
     /* 1790814 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1790900), // Rule ID 12198 //
     /* 1790819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790865 */     // MIs[0] policy
     /* 1790865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1790878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790899 */     // GIR_Coverage, 12198,
     /* 1790899 */     GIR_EraseRootFromParent_Done,
     /* 1790900 */   // Label 24309: @1790900
     /* 1790900 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1790986), // Rule ID 12201 //
     /* 1790905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790951 */     // MIs[0] policy
     /* 1790951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1790964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790985 */     // GIR_Coverage, 12201,
     /* 1790985 */     GIR_EraseRootFromParent_Done,
     /* 1790986 */   // Label 24310: @1790986
     /* 1790986 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791072), // Rule ID 12202 //
     /* 1790991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791037 */     // MIs[0] policy
     /* 1791037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1791050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791071 */     // GIR_Coverage, 12202,
     /* 1791071 */     GIR_EraseRootFromParent_Done,
     /* 1791072 */   // Label 24311: @1791072
     /* 1791072 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1791158), // Rule ID 12205 //
     /* 1791077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791123 */     // MIs[0] policy
     /* 1791123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791133 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791157 */     // GIR_Coverage, 12205,
     /* 1791157 */     GIR_EraseRootFromParent_Done,
     /* 1791158 */   // Label 24312: @1791158
     /* 1791158 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1791244), // Rule ID 12206 //
     /* 1791163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791209 */     // MIs[0] policy
     /* 1791209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791219 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1791222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791243 */     // GIR_Coverage, 12206,
     /* 1791243 */     GIR_EraseRootFromParent_Done,
     /* 1791244 */   // Label 24313: @1791244
     /* 1791244 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1791330), // Rule ID 12209 //
     /* 1791249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791295 */     // MIs[0] policy
     /* 1791295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791329 */     // GIR_Coverage, 12209,
     /* 1791329 */     GIR_EraseRootFromParent_Done,
     /* 1791330 */   // Label 24314: @1791330
     /* 1791330 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1791416), // Rule ID 12210 //
     /* 1791335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791381 */     // MIs[0] policy
     /* 1791381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1791394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791415 */     // GIR_Coverage, 12210,
     /* 1791415 */     GIR_EraseRootFromParent_Done,
     /* 1791416 */   // Label 24315: @1791416
     /* 1791416 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1791502), // Rule ID 12213 //
     /* 1791421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791467 */     // MIs[0] policy
     /* 1791467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791501 */     // GIR_Coverage, 12213,
     /* 1791501 */     GIR_EraseRootFromParent_Done,
     /* 1791502 */   // Label 24316: @1791502
     /* 1791502 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1791588), // Rule ID 12214 //
     /* 1791507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791553 */     // MIs[0] policy
     /* 1791553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1791566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791587 */     // GIR_Coverage, 12214,
     /* 1791587 */     GIR_EraseRootFromParent_Done,
     /* 1791588 */   // Label 24317: @1791588
     /* 1791588 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1791674), // Rule ID 12217 //
     /* 1791593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791639 */     // MIs[0] policy
     /* 1791639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1791652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791673 */     // GIR_Coverage, 12217,
     /* 1791673 */     GIR_EraseRootFromParent_Done,
     /* 1791674 */   // Label 24318: @1791674
     /* 1791674 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1791760), // Rule ID 12218 //
     /* 1791679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791725 */     // MIs[0] policy
     /* 1791725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791735 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1791738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791759 */     // GIR_Coverage, 12218,
     /* 1791759 */     GIR_EraseRootFromParent_Done,
     /* 1791760 */   // Label 24319: @1791760
     /* 1791760 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1791846), // Rule ID 12221 //
     /* 1791765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791811 */     // MIs[0] policy
     /* 1791811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1791824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791845 */     // GIR_Coverage, 12221,
     /* 1791845 */     GIR_EraseRootFromParent_Done,
     /* 1791846 */   // Label 24320: @1791846
     /* 1791846 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1791932), // Rule ID 12222 //
     /* 1791851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791897 */     // MIs[0] policy
     /* 1791897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1791910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791931 */     // GIR_Coverage, 12222,
     /* 1791931 */     GIR_EraseRootFromParent_Done,
     /* 1791932 */   // Label 24321: @1791932
     /* 1791932 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792018), // Rule ID 12225 //
     /* 1791937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791983 */     // MIs[0] policy
     /* 1791983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1791996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792017 */     // GIR_Coverage, 12225,
     /* 1792017 */     GIR_EraseRootFromParent_Done,
     /* 1792018 */   // Label 24322: @1792018
     /* 1792018 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792104), // Rule ID 12226 //
     /* 1792023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792069 */     // MIs[0] policy
     /* 1792069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1792082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792103 */     // GIR_Coverage, 12226,
     /* 1792103 */     GIR_EraseRootFromParent_Done,
     /* 1792104 */   // Label 24323: @1792104
     /* 1792104 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1792190), // Rule ID 12229 //
     /* 1792109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792155 */     // MIs[0] policy
     /* 1792155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792189 */     // GIR_Coverage, 12229,
     /* 1792189 */     GIR_EraseRootFromParent_Done,
     /* 1792190 */   // Label 24324: @1792190
     /* 1792190 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1792276), // Rule ID 12230 //
     /* 1792195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792241 */     // MIs[0] policy
     /* 1792241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1792254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792275 */     // GIR_Coverage, 12230,
     /* 1792275 */     GIR_EraseRootFromParent_Done,
     /* 1792276 */   // Label 24325: @1792276
     /* 1792276 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1792362), // Rule ID 12233 //
     /* 1792281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792327 */     // MIs[0] policy
     /* 1792327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792361 */     // GIR_Coverage, 12233,
     /* 1792361 */     GIR_EraseRootFromParent_Done,
     /* 1792362 */   // Label 24326: @1792362
     /* 1792362 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1792448), // Rule ID 12234 //
     /* 1792367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792413 */     // MIs[0] policy
     /* 1792413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1792426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792447 */     // GIR_Coverage, 12234,
     /* 1792447 */     GIR_EraseRootFromParent_Done,
     /* 1792448 */   // Label 24327: @1792448
     /* 1792448 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1792534), // Rule ID 12237 //
     /* 1792453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792499 */     // MIs[0] policy
     /* 1792499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792509 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792533 */     // GIR_Coverage, 12237,
     /* 1792533 */     GIR_EraseRootFromParent_Done,
     /* 1792534 */   // Label 24328: @1792534
     /* 1792534 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1792620), // Rule ID 12238 //
     /* 1792539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792585 */     // MIs[0] policy
     /* 1792585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1792598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792619 */     // GIR_Coverage, 12238,
     /* 1792619 */     GIR_EraseRootFromParent_Done,
     /* 1792620 */   // Label 24329: @1792620
     /* 1792620 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1792706), // Rule ID 12241 //
     /* 1792625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792671 */     // MIs[0] policy
     /* 1792671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792681 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1792684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792705 */     // GIR_Coverage, 12241,
     /* 1792705 */     GIR_EraseRootFromParent_Done,
     /* 1792706 */   // Label 24330: @1792706
     /* 1792706 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1792792), // Rule ID 12242 //
     /* 1792711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792757 */     // MIs[0] policy
     /* 1792757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1792770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792791 */     // GIR_Coverage, 12242,
     /* 1792791 */     GIR_EraseRootFromParent_Done,
     /* 1792792 */   // Label 24331: @1792792
     /* 1792792 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1792878), // Rule ID 12245 //
     /* 1792797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792843 */     // MIs[0] policy
     /* 1792843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1792856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792877 */     // GIR_Coverage, 12245,
     /* 1792877 */     GIR_EraseRootFromParent_Done,
     /* 1792878 */   // Label 24332: @1792878
     /* 1792878 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1792964), // Rule ID 12246 //
     /* 1792883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792929 */     // MIs[0] policy
     /* 1792929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1792942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792963 */     // GIR_Coverage, 12246,
     /* 1792963 */     GIR_EraseRootFromParent_Done,
     /* 1792964 */   // Label 24333: @1792964
     /* 1792964 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793050), // Rule ID 12249 //
     /* 1792969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793015 */     // MIs[0] policy
     /* 1793015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793049 */     // GIR_Coverage, 12249,
     /* 1793049 */     GIR_EraseRootFromParent_Done,
     /* 1793050 */   // Label 24334: @1793050
     /* 1793050 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1793136), // Rule ID 12250 //
     /* 1793055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1793075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793101 */     // MIs[0] policy
     /* 1793101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793135 */     // GIR_Coverage, 12250,
     /* 1793135 */     GIR_EraseRootFromParent_Done,
     /* 1793136 */   // Label 24335: @1793136
     /* 1793136 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1793222), // Rule ID 12253 //
     /* 1793141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793187 */     // MIs[0] policy
     /* 1793187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793221 */     // GIR_Coverage, 12253,
     /* 1793221 */     GIR_EraseRootFromParent_Done,
     /* 1793222 */   // Label 24336: @1793222
     /* 1793222 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1793308), // Rule ID 12254 //
     /* 1793227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1793247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793273 */     // MIs[0] policy
     /* 1793273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793307 */     // GIR_Coverage, 12254,
     /* 1793307 */     GIR_EraseRootFromParent_Done,
     /* 1793308 */   // Label 24337: @1793308
     /* 1793308 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1793394), // Rule ID 12257 //
     /* 1793313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793359 */     // MIs[0] policy
     /* 1793359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793393 */     // GIR_Coverage, 12257,
     /* 1793393 */     GIR_EraseRootFromParent_Done,
     /* 1793394 */   // Label 24338: @1793394
     /* 1793394 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1793480), // Rule ID 12258 //
     /* 1793399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1793419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793445 */     // MIs[0] policy
     /* 1793445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793479 */     // GIR_Coverage, 12258,
     /* 1793479 */     GIR_EraseRootFromParent_Done,
     /* 1793480 */   // Label 24339: @1793480
     /* 1793480 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1793566), // Rule ID 12261 //
     /* 1793485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793531 */     // MIs[0] policy
     /* 1793531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793565 */     // GIR_Coverage, 12261,
     /* 1793565 */     GIR_EraseRootFromParent_Done,
     /* 1793566 */   // Label 24340: @1793566
     /* 1793566 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1793652), // Rule ID 12262 //
     /* 1793571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1793588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1793591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793617 */     // MIs[0] policy
     /* 1793617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793651 */     // GIR_Coverage, 12262,
     /* 1793651 */     GIR_EraseRootFromParent_Done,
     /* 1793652 */   // Label 24341: @1793652
     /* 1793652 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1793738), // Rule ID 12265 //
     /* 1793657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793703 */     // MIs[0] policy
     /* 1793703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793713 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793737 */     // GIR_Coverage, 12265,
     /* 1793737 */     GIR_EraseRootFromParent_Done,
     /* 1793738 */   // Label 24342: @1793738
     /* 1793738 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1793824), // Rule ID 12266 //
     /* 1793743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793789 */     // MIs[0] policy
     /* 1793789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793823 */     // GIR_Coverage, 12266,
     /* 1793823 */     GIR_EraseRootFromParent_Done,
     /* 1793824 */   // Label 24343: @1793824
     /* 1793824 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1793910), // Rule ID 12269 //
     /* 1793829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793875 */     // MIs[0] policy
     /* 1793875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793909 */     // GIR_Coverage, 12269,
     /* 1793909 */     GIR_EraseRootFromParent_Done,
     /* 1793910 */   // Label 24344: @1793910
     /* 1793910 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1793996), // Rule ID 12270 //
     /* 1793915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793961 */     // MIs[0] policy
     /* 1793961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1793974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793995 */     // GIR_Coverage, 12270,
     /* 1793995 */     GIR_EraseRootFromParent_Done,
     /* 1793996 */   // Label 24345: @1793996
     /* 1793996 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794082), // Rule ID 12273 //
     /* 1794001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794047 */     // MIs[0] policy
     /* 1794047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794081 */     // GIR_Coverage, 12273,
     /* 1794081 */     GIR_EraseRootFromParent_Done,
     /* 1794082 */   // Label 24346: @1794082
     /* 1794082 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1794168), // Rule ID 12274 //
     /* 1794087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1794107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794133 */     // MIs[0] policy
     /* 1794133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794167 */     // GIR_Coverage, 12274,
     /* 1794167 */     GIR_EraseRootFromParent_Done,
     /* 1794168 */   // Label 24347: @1794168
     /* 1794168 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1794254), // Rule ID 12277 //
     /* 1794173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794219 */     // MIs[0] policy
     /* 1794219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794253 */     // GIR_Coverage, 12277,
     /* 1794253 */     GIR_EraseRootFromParent_Done,
     /* 1794254 */   // Label 24348: @1794254
     /* 1794254 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1794340), // Rule ID 12278 //
     /* 1794259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1794279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794305 */     // MIs[0] policy
     /* 1794305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794339 */     // GIR_Coverage, 12278,
     /* 1794339 */     GIR_EraseRootFromParent_Done,
     /* 1794340 */   // Label 24349: @1794340
     /* 1794340 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1794426), // Rule ID 12281 //
     /* 1794345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794391 */     // MIs[0] policy
     /* 1794391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794425 */     // GIR_Coverage, 12281,
     /* 1794425 */     GIR_EraseRootFromParent_Done,
     /* 1794426 */   // Label 24350: @1794426
     /* 1794426 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1794512), // Rule ID 12282 //
     /* 1794431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1794448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1794451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794477 */     // MIs[0] policy
     /* 1794477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1794490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794511 */     // GIR_Coverage, 12282,
     /* 1794511 */     GIR_EraseRootFromParent_Done,
     /* 1794512 */   // Label 24351: @1794512
     /* 1794512 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1794598), // Rule ID 12285 //
     /* 1794517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794563 */     // MIs[0] policy
     /* 1794563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794597 */     // GIR_Coverage, 12285,
     /* 1794597 */     GIR_EraseRootFromParent_Done,
     /* 1794598 */   // Label 24352: @1794598
     /* 1794598 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1794684), // Rule ID 12286 //
     /* 1794603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1794620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1794623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794649 */     // MIs[0] policy
     /* 1794649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794683 */     // GIR_Coverage, 12286,
     /* 1794683 */     GIR_EraseRootFromParent_Done,
     /* 1794684 */   // Label 24353: @1794684
     /* 1794684 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1794770), // Rule ID 12289 //
     /* 1794689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1794709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794735 */     // MIs[0] policy
     /* 1794735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794769 */     // GIR_Coverage, 12289,
     /* 1794769 */     GIR_EraseRootFromParent_Done,
     /* 1794770 */   // Label 24354: @1794770
     /* 1794770 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1794856), // Rule ID 12290 //
     /* 1794775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1794795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794821 */     // MIs[0] policy
     /* 1794821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1794834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794855 */     // GIR_Coverage, 12290,
     /* 1794855 */     GIR_EraseRootFromParent_Done,
     /* 1794856 */   // Label 24355: @1794856
     /* 1794856 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1794942), // Rule ID 12293 //
     /* 1794861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1794881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794907 */     // MIs[0] policy
     /* 1794907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1794920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794941 */     // GIR_Coverage, 12293,
     /* 1794941 */     GIR_EraseRootFromParent_Done,
     /* 1794942 */   // Label 24356: @1794942
     /* 1794942 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795028), // Rule ID 12294 //
     /* 1794947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1794967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794993 */     // MIs[0] policy
     /* 1794993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1795006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795027 */     // GIR_Coverage, 12294,
     /* 1795027 */     GIR_EraseRootFromParent_Done,
     /* 1795028 */   // Label 24357: @1795028
     /* 1795028 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795114), // Rule ID 12297 //
     /* 1795033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795079 */     // MIs[0] policy
     /* 1795079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795113 */     // GIR_Coverage, 12297,
     /* 1795113 */     GIR_EraseRootFromParent_Done,
     /* 1795114 */   // Label 24358: @1795114
     /* 1795114 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1795200), // Rule ID 12298 //
     /* 1795119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1795130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1795133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1795139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795165 */     // MIs[0] policy
     /* 1795165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795175 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1795178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795199 */     // GIR_Coverage, 12298,
     /* 1795199 */     GIR_EraseRootFromParent_Done,
     /* 1795200 */   // Label 24359: @1795200
     /* 1795200 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1795286), // Rule ID 12301 //
     /* 1795205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1795208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795251 */     // MIs[0] policy
     /* 1795251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795285 */     // GIR_Coverage, 12301,
     /* 1795285 */     GIR_EraseRootFromParent_Done,
     /* 1795286 */   // Label 24360: @1795286
     /* 1795286 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1795372), // Rule ID 12302 //
     /* 1795291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1795294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1795311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795337 */     // MIs[0] policy
     /* 1795337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1795350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795371 */     // GIR_Coverage, 12302,
     /* 1795371 */     GIR_EraseRootFromParent_Done,
     /* 1795372 */   // Label 24361: @1795372
     /* 1795372 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1795458), // Rule ID 12305 //
     /* 1795377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795423 */     // MIs[0] policy
     /* 1795423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795457 */     // GIR_Coverage, 12305,
     /* 1795457 */     GIR_EraseRootFromParent_Done,
     /* 1795458 */   // Label 24362: @1795458
     /* 1795458 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1795544), // Rule ID 12306 //
     /* 1795463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1795480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795509 */     // MIs[0] policy
     /* 1795509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1795522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795543 */     // GIR_Coverage, 12306,
     /* 1795543 */     GIR_EraseRootFromParent_Done,
     /* 1795544 */   // Label 24363: @1795544
     /* 1795544 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1795630), // Rule ID 12309 //
     /* 1795549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795595 */     // MIs[0] policy
     /* 1795595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795629 */     // GIR_Coverage, 12309,
     /* 1795629 */     GIR_EraseRootFromParent_Done,
     /* 1795630 */   // Label 24364: @1795630
     /* 1795630 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1795716), // Rule ID 12310 //
     /* 1795635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795681 */     // MIs[0] policy
     /* 1795681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795715 */     // GIR_Coverage, 12310,
     /* 1795715 */     GIR_EraseRootFromParent_Done,
     /* 1795716 */   // Label 24365: @1795716
     /* 1795716 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1795802), // Rule ID 12313 //
     /* 1795721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795767 */     // MIs[0] policy
     /* 1795767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795801 */     // GIR_Coverage, 12313,
     /* 1795801 */     GIR_EraseRootFromParent_Done,
     /* 1795802 */   // Label 24366: @1795802
     /* 1795802 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1795888), // Rule ID 12314 //
     /* 1795807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795853 */     // MIs[0] policy
     /* 1795853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795863 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795887 */     // GIR_Coverage, 12314,
     /* 1795887 */     GIR_EraseRootFromParent_Done,
     /* 1795888 */   // Label 24367: @1795888
     /* 1795888 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1795974), // Rule ID 12317 //
     /* 1795893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1795910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795939 */     // MIs[0] policy
     /* 1795939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1795952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795973 */     // GIR_Coverage, 12317,
     /* 1795973 */     GIR_EraseRootFromParent_Done,
     /* 1795974 */   // Label 24368: @1795974
     /* 1795974 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796060), // Rule ID 12318 //
     /* 1795979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1795996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796025 */     // MIs[0] policy
     /* 1796025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796059 */     // GIR_Coverage, 12318,
     /* 1796059 */     GIR_EraseRootFromParent_Done,
     /* 1796060 */   // Label 24369: @1796060
     /* 1796060 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1796146), // Rule ID 12321 //
     /* 1796065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796111 */     // MIs[0] policy
     /* 1796111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796145 */     // GIR_Coverage, 12321,
     /* 1796145 */     GIR_EraseRootFromParent_Done,
     /* 1796146 */   // Label 24370: @1796146
     /* 1796146 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1796232), // Rule ID 12322 //
     /* 1796151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796197 */     // MIs[0] policy
     /* 1796197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796231 */     // GIR_Coverage, 12322,
     /* 1796231 */     GIR_EraseRootFromParent_Done,
     /* 1796232 */   // Label 24371: @1796232
     /* 1796232 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1796318), // Rule ID 12325 //
     /* 1796237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796283 */     // MIs[0] policy
     /* 1796283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796317 */     // GIR_Coverage, 12325,
     /* 1796317 */     GIR_EraseRootFromParent_Done,
     /* 1796318 */   // Label 24372: @1796318
     /* 1796318 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1796404), // Rule ID 12326 //
     /* 1796323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1796340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796369 */     // MIs[0] policy
     /* 1796369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796379 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796403 */     // GIR_Coverage, 12326,
     /* 1796403 */     GIR_EraseRootFromParent_Done,
     /* 1796404 */   // Label 24373: @1796404
     /* 1796404 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1796490), // Rule ID 12329 //
     /* 1796409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796455 */     // MIs[0] policy
     /* 1796455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796489 */     // GIR_Coverage, 12329,
     /* 1796489 */     GIR_EraseRootFromParent_Done,
     /* 1796490 */   // Label 24374: @1796490
     /* 1796490 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1796576), // Rule ID 12330 //
     /* 1796495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1796506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1796509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1796512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796541 */     // MIs[0] policy
     /* 1796541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1796554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796575 */     // GIR_Coverage, 12330,
     /* 1796575 */     GIR_EraseRootFromParent_Done,
     /* 1796576 */   // Label 24375: @1796576
     /* 1796576 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1796662), // Rule ID 12333 //
     /* 1796581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796627 */     // MIs[0] policy
     /* 1796627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796661 */     // GIR_Coverage, 12333,
     /* 1796661 */     GIR_EraseRootFromParent_Done,
     /* 1796662 */   // Label 24376: @1796662
     /* 1796662 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1796748), // Rule ID 12334 //
     /* 1796667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1796684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796713 */     // MIs[0] policy
     /* 1796713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796747 */     // GIR_Coverage, 12334,
     /* 1796747 */     GIR_EraseRootFromParent_Done,
     /* 1796748 */   // Label 24377: @1796748
     /* 1796748 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1796834), // Rule ID 12337 //
     /* 1796753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796799 */     // MIs[0] policy
     /* 1796799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796833 */     // GIR_Coverage, 12337,
     /* 1796833 */     GIR_EraseRootFromParent_Done,
     /* 1796834 */   // Label 24378: @1796834
     /* 1796834 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1796920), // Rule ID 12338 //
     /* 1796839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796885 */     // MIs[0] policy
     /* 1796885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796919 */     // GIR_Coverage, 12338,
     /* 1796919 */     GIR_EraseRootFromParent_Done,
     /* 1796920 */   // Label 24379: @1796920
     /* 1796920 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797006), // Rule ID 12341 //
     /* 1796925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796971 */     // MIs[0] policy
     /* 1796971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797005 */     // GIR_Coverage, 12341,
     /* 1797005 */     GIR_EraseRootFromParent_Done,
     /* 1797006 */   // Label 24380: @1797006
     /* 1797006 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797092), // Rule ID 12342 //
     /* 1797011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797057 */     // MIs[0] policy
     /* 1797057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797091 */     // GIR_Coverage, 12342,
     /* 1797091 */     GIR_EraseRootFromParent_Done,
     /* 1797092 */   // Label 24381: @1797092
     /* 1797092 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1797178), // Rule ID 12345 //
     /* 1797097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797143 */     // MIs[0] policy
     /* 1797143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797177 */     // GIR_Coverage, 12345,
     /* 1797177 */     GIR_EraseRootFromParent_Done,
     /* 1797178 */   // Label 24382: @1797178
     /* 1797178 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1797264), // Rule ID 12346 //
     /* 1797183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797229 */     // MIs[0] policy
     /* 1797229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797263 */     // GIR_Coverage, 12346,
     /* 1797263 */     GIR_EraseRootFromParent_Done,
     /* 1797264 */   // Label 24383: @1797264
     /* 1797264 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1797350), // Rule ID 12349 //
     /* 1797269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797315 */     // MIs[0] policy
     /* 1797315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797349 */     // GIR_Coverage, 12349,
     /* 1797349 */     GIR_EraseRootFromParent_Done,
     /* 1797350 */   // Label 24384: @1797350
     /* 1797350 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1797436), // Rule ID 12350 //
     /* 1797355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1797366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1797369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797401 */     // MIs[0] policy
     /* 1797401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1797414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797435 */     // GIR_Coverage, 12350,
     /* 1797435 */     GIR_EraseRootFromParent_Done,
     /* 1797436 */   // Label 24385: @1797436
     /* 1797436 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1797522), // Rule ID 12353 //
     /* 1797441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797487 */     // MIs[0] policy
     /* 1797487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797521 */     // GIR_Coverage, 12353,
     /* 1797521 */     GIR_EraseRootFromParent_Done,
     /* 1797522 */   // Label 24386: @1797522
     /* 1797522 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1797608), // Rule ID 12354 //
     /* 1797527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797573 */     // MIs[0] policy
     /* 1797573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1797586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797607 */     // GIR_Coverage, 12354,
     /* 1797607 */     GIR_EraseRootFromParent_Done,
     /* 1797608 */   // Label 24387: @1797608
     /* 1797608 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1797694), // Rule ID 12357 //
     /* 1797613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1797630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797659 */     // MIs[0] policy
     /* 1797659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797693 */     // GIR_Coverage, 12357,
     /* 1797693 */     GIR_EraseRootFromParent_Done,
     /* 1797694 */   // Label 24388: @1797694
     /* 1797694 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1797780), // Rule ID 12358 //
     /* 1797699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1797716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797745 */     // MIs[0] policy
     /* 1797745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1797758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797779 */     // GIR_Coverage, 12358,
     /* 1797779 */     GIR_EraseRootFromParent_Done,
     /* 1797780 */   // Label 24389: @1797780
     /* 1797780 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1797866), // Rule ID 12361 //
     /* 1797785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797831 */     // MIs[0] policy
     /* 1797831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797865 */     // GIR_Coverage, 12361,
     /* 1797865 */     GIR_EraseRootFromParent_Done,
     /* 1797866 */   // Label 24390: @1797866
     /* 1797866 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1797952), // Rule ID 12362 //
     /* 1797871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797917 */     // MIs[0] policy
     /* 1797917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1797930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797951 */     // GIR_Coverage, 12362,
     /* 1797951 */     GIR_EraseRootFromParent_Done,
     /* 1797952 */   // Label 24391: @1797952
     /* 1797952 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798038), // Rule ID 12365 //
     /* 1797957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1797974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1797977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798003 */     // MIs[0] policy
     /* 1798003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798013 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798037 */     // GIR_Coverage, 12365,
     /* 1798037 */     GIR_EraseRootFromParent_Done,
     /* 1798038 */   // Label 24392: @1798038
     /* 1798038 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798124), // Rule ID 12366 //
     /* 1798043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1798054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1798057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1798060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1798063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798089 */     // MIs[0] policy
     /* 1798089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1798102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798123 */     // GIR_Coverage, 12366,
     /* 1798123 */     GIR_EraseRootFromParent_Done,
     /* 1798124 */   // Label 24393: @1798124
     /* 1798124 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1798210), // Rule ID 12369 //
     /* 1798129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798175 */     // MIs[0] policy
     /* 1798175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798209 */     // GIR_Coverage, 12369,
     /* 1798209 */     GIR_EraseRootFromParent_Done,
     /* 1798210 */   // Label 24394: @1798210
     /* 1798210 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1798296), // Rule ID 12370 //
     /* 1798215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1798232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1798235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798261 */     // MIs[0] policy
     /* 1798261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1798274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798295 */     // GIR_Coverage, 12370,
     /* 1798295 */     GIR_EraseRootFromParent_Done,
     /* 1798296 */   // Label 24395: @1798296
     /* 1798296 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1798382), // Rule ID 12373 //
     /* 1798301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798347 */     // MIs[0] policy
     /* 1798347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798381 */     // GIR_Coverage, 12373,
     /* 1798381 */     GIR_EraseRootFromParent_Done,
     /* 1798382 */   // Label 24396: @1798382
     /* 1798382 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1798468), // Rule ID 12374 //
     /* 1798387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1798404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1798407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798433 */     // MIs[0] policy
     /* 1798433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798467 */     // GIR_Coverage, 12374,
     /* 1798467 */     GIR_EraseRootFromParent_Done,
     /* 1798468 */   // Label 24397: @1798468
     /* 1798468 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1798554), // Rule ID 12377 //
     /* 1798473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798519 */     // MIs[0] policy
     /* 1798519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798529 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798553 */     // GIR_Coverage, 12377,
     /* 1798553 */     GIR_EraseRootFromParent_Done,
     /* 1798554 */   // Label 24398: @1798554
     /* 1798554 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1798640), // Rule ID 12378 //
     /* 1798559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798605 */     // MIs[0] policy
     /* 1798605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798639 */     // GIR_Coverage, 12378,
     /* 1798639 */     GIR_EraseRootFromParent_Done,
     /* 1798640 */   // Label 24399: @1798640
     /* 1798640 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1798726), // Rule ID 12381 //
     /* 1798645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798691 */     // MIs[0] policy
     /* 1798691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798701 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798725 */     // GIR_Coverage, 12381,
     /* 1798725 */     GIR_EraseRootFromParent_Done,
     /* 1798726 */   // Label 24400: @1798726
     /* 1798726 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1798812), // Rule ID 12382 //
     /* 1798731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798777 */     // MIs[0] policy
     /* 1798777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798811 */     // GIR_Coverage, 12382,
     /* 1798811 */     GIR_EraseRootFromParent_Done,
     /* 1798812 */   // Label 24401: @1798812
     /* 1798812 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1798898), // Rule ID 12385 //
     /* 1798817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798863 */     // MIs[0] policy
     /* 1798863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1798876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798897 */     // GIR_Coverage, 12385,
     /* 1798897 */     GIR_EraseRootFromParent_Done,
     /* 1798898 */   // Label 24402: @1798898
     /* 1798898 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1798984), // Rule ID 12386 //
     /* 1798903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798949 */     // MIs[0] policy
     /* 1798949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798959 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1798962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798983 */     // GIR_Coverage, 12386,
     /* 1798983 */     GIR_EraseRootFromParent_Done,
     /* 1798984 */   // Label 24403: @1798984
     /* 1798984 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799070), // Rule ID 12389 //
     /* 1798989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799035 */     // MIs[0] policy
     /* 1799035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799069 */     // GIR_Coverage, 12389,
     /* 1799069 */     GIR_EraseRootFromParent_Done,
     /* 1799070 */   // Label 24404: @1799070
     /* 1799070 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1799156), // Rule ID 12390 //
     /* 1799075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1799086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1799089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1799092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1799095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799121 */     // MIs[0] policy
     /* 1799121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1799134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799155 */     // GIR_Coverage, 12390,
     /* 1799155 */     GIR_EraseRootFromParent_Done,
     /* 1799156 */   // Label 24405: @1799156
     /* 1799156 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1799242), // Rule ID 12393 //
     /* 1799161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799207 */     // MIs[0] policy
     /* 1799207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799241 */     // GIR_Coverage, 12393,
     /* 1799241 */     GIR_EraseRootFromParent_Done,
     /* 1799242 */   // Label 24406: @1799242
     /* 1799242 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1799328), // Rule ID 12394 //
     /* 1799247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1799258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1799261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1799264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1799267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799293 */     // MIs[0] policy
     /* 1799293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799327 */     // GIR_Coverage, 12394,
     /* 1799327 */     GIR_EraseRootFromParent_Done,
     /* 1799328 */   // Label 24407: @1799328
     /* 1799328 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1799414), // Rule ID 12397 //
     /* 1799333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799379 */     // MIs[0] policy
     /* 1799379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799413 */     // GIR_Coverage, 12397,
     /* 1799413 */     GIR_EraseRootFromParent_Done,
     /* 1799414 */   // Label 24408: @1799414
     /* 1799414 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1799500), // Rule ID 12398 //
     /* 1799419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1799436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1799439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799465 */     // MIs[0] policy
     /* 1799465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1799478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799499 */     // GIR_Coverage, 12398,
     /* 1799499 */     GIR_EraseRootFromParent_Done,
     /* 1799500 */   // Label 24409: @1799500
     /* 1799500 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1799586), // Rule ID 12401 //
     /* 1799505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799551 */     // MIs[0] policy
     /* 1799551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799585 */     // GIR_Coverage, 12401,
     /* 1799585 */     GIR_EraseRootFromParent_Done,
     /* 1799586 */   // Label 24410: @1799586
     /* 1799586 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1799672), // Rule ID 12402 //
     /* 1799591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799637 */     // MIs[0] policy
     /* 1799637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799671 */     // GIR_Coverage, 12402,
     /* 1799671 */     GIR_EraseRootFromParent_Done,
     /* 1799672 */   // Label 24411: @1799672
     /* 1799672 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1799758), // Rule ID 12405 //
     /* 1799677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799723 */     // MIs[0] policy
     /* 1799723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799757 */     // GIR_Coverage, 12405,
     /* 1799757 */     GIR_EraseRootFromParent_Done,
     /* 1799758 */   // Label 24412: @1799758
     /* 1799758 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1799844), // Rule ID 12406 //
     /* 1799763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799809 */     // MIs[0] policy
     /* 1799809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799843 */     // GIR_Coverage, 12406,
     /* 1799843 */     GIR_EraseRootFromParent_Done,
     /* 1799844 */   // Label 24413: @1799844
     /* 1799844 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1799930), // Rule ID 12409 //
     /* 1799849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799895 */     // MIs[0] policy
     /* 1799895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799929 */     // GIR_Coverage, 12409,
     /* 1799929 */     GIR_EraseRootFromParent_Done,
     /* 1799930 */   // Label 24414: @1799930
     /* 1799930 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800016), // Rule ID 12410 //
     /* 1799935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799981 */     // MIs[0] policy
     /* 1799981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1799994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800015 */     // GIR_Coverage, 12410,
     /* 1800015 */     GIR_EraseRootFromParent_Done,
     /* 1800016 */   // Label 24415: @1800016
     /* 1800016 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800102), // Rule ID 12413 //
     /* 1800021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800067 */     // MIs[0] policy
     /* 1800067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800101 */     // GIR_Coverage, 12413,
     /* 1800101 */     GIR_EraseRootFromParent_Done,
     /* 1800102 */   // Label 24416: @1800102
     /* 1800102 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1800188), // Rule ID 12414 //
     /* 1800107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1800118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1800121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1800124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1800127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800153 */     // MIs[0] policy
     /* 1800153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1800166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800187 */     // GIR_Coverage, 12414,
     /* 1800187 */     GIR_EraseRootFromParent_Done,
     /* 1800188 */   // Label 24417: @1800188
     /* 1800188 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1800274), // Rule ID 12417 //
     /* 1800193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800239 */     // MIs[0] policy
     /* 1800239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800273 */     // GIR_Coverage, 12417,
     /* 1800273 */     GIR_EraseRootFromParent_Done,
     /* 1800274 */   // Label 24418: @1800274
     /* 1800274 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1800360), // Rule ID 12418 //
     /* 1800279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1800296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1800299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800325 */     // MIs[0] policy
     /* 1800325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1800338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800359 */     // GIR_Coverage, 12418,
     /* 1800359 */     GIR_EraseRootFromParent_Done,
     /* 1800360 */   // Label 24419: @1800360
     /* 1800360 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1800446), // Rule ID 12421 //
     /* 1800365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1800368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800411 */     // MIs[0] policy
     /* 1800411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800445 */     // GIR_Coverage, 12421,
     /* 1800445 */     GIR_EraseRootFromParent_Done,
     /* 1800446 */   // Label 24420: @1800446
     /* 1800446 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1800532), // Rule ID 12422 //
     /* 1800451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1800454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1800468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1800471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800497 */     // MIs[0] policy
     /* 1800497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1800510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800531 */     // GIR_Coverage, 12422,
     /* 1800531 */     GIR_EraseRootFromParent_Done,
     /* 1800532 */   // Label 24421: @1800532
     /* 1800532 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1800618), // Rule ID 12425 //
     /* 1800537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800583 */     // MIs[0] policy
     /* 1800583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1800596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800617 */     // GIR_Coverage, 12425,
     /* 1800617 */     GIR_EraseRootFromParent_Done,
     /* 1800618 */   // Label 24422: @1800618
     /* 1800618 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1800704), // Rule ID 12426 //
     /* 1800623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800669 */     // MIs[0] policy
     /* 1800669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1800682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800703 */     // GIR_Coverage, 12426,
     /* 1800703 */     GIR_EraseRootFromParent_Done,
     /* 1800704 */   // Label 24423: @1800704
     /* 1800704 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1800790), // Rule ID 12429 //
     /* 1800709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800755 */     // MIs[0] policy
     /* 1800755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800789 */     // GIR_Coverage, 12429,
     /* 1800789 */     GIR_EraseRootFromParent_Done,
     /* 1800790 */   // Label 24424: @1800790
     /* 1800790 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1800876), // Rule ID 12430 //
     /* 1800795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800841 */     // MIs[0] policy
     /* 1800841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800875 */     // GIR_Coverage, 12430,
     /* 1800875 */     GIR_EraseRootFromParent_Done,
     /* 1800876 */   // Label 24425: @1800876
     /* 1800876 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1800962), // Rule ID 12433 //
     /* 1800881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800927 */     // MIs[0] policy
     /* 1800927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1800940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800961 */     // GIR_Coverage, 12433,
     /* 1800961 */     GIR_EraseRootFromParent_Done,
     /* 1800962 */   // Label 24426: @1800962
     /* 1800962 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801048), // Rule ID 12434 //
     /* 1800967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801013 */     // MIs[0] policy
     /* 1801013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801047 */     // GIR_Coverage, 12434,
     /* 1801047 */     GIR_EraseRootFromParent_Done,
     /* 1801048 */   // Label 24427: @1801048
     /* 1801048 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1801134), // Rule ID 12437 //
     /* 1801053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801099 */     // MIs[0] policy
     /* 1801099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801133 */     // GIR_Coverage, 12437,
     /* 1801133 */     GIR_EraseRootFromParent_Done,
     /* 1801134 */   // Label 24428: @1801134
     /* 1801134 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1801220), // Rule ID 12438 //
     /* 1801139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801185 */     // MIs[0] policy
     /* 1801185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801219 */     // GIR_Coverage, 12438,
     /* 1801219 */     GIR_EraseRootFromParent_Done,
     /* 1801220 */   // Label 24429: @1801220
     /* 1801220 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1801306), // Rule ID 12441 //
     /* 1801225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801271 */     // MIs[0] policy
     /* 1801271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801305 */     // GIR_Coverage, 12441,
     /* 1801305 */     GIR_EraseRootFromParent_Done,
     /* 1801306 */   // Label 24430: @1801306
     /* 1801306 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1801392), // Rule ID 12442 //
     /* 1801311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801357 */     // MIs[0] policy
     /* 1801357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801391 */     // GIR_Coverage, 12442,
     /* 1801391 */     GIR_EraseRootFromParent_Done,
     /* 1801392 */   // Label 24431: @1801392
     /* 1801392 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1801478), // Rule ID 12445 //
     /* 1801397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801443 */     // MIs[0] policy
     /* 1801443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801477 */     // GIR_Coverage, 12445,
     /* 1801477 */     GIR_EraseRootFromParent_Done,
     /* 1801478 */   // Label 24432: @1801478
     /* 1801478 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1801564), // Rule ID 12446 //
     /* 1801483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801529 */     // MIs[0] policy
     /* 1801529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801563 */     // GIR_Coverage, 12446,
     /* 1801563 */     GIR_EraseRootFromParent_Done,
     /* 1801564 */   // Label 24433: @1801564
     /* 1801564 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1801650), // Rule ID 12449 //
     /* 1801569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801615 */     // MIs[0] policy
     /* 1801615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801649 */     // GIR_Coverage, 12449,
     /* 1801649 */     GIR_EraseRootFromParent_Done,
     /* 1801650 */   // Label 24434: @1801650
     /* 1801650 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1801736), // Rule ID 12450 //
     /* 1801655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801701 */     // MIs[0] policy
     /* 1801701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1801714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801735 */     // GIR_Coverage, 12450,
     /* 1801735 */     GIR_EraseRootFromParent_Done,
     /* 1801736 */   // Label 24435: @1801736
     /* 1801736 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1801822), // Rule ID 12453 //
     /* 1801741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801787 */     // MIs[0] policy
     /* 1801787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801821 */     // GIR_Coverage, 12453,
     /* 1801821 */     GIR_EraseRootFromParent_Done,
     /* 1801822 */   // Label 24436: @1801822
     /* 1801822 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1801908), // Rule ID 12454 //
     /* 1801827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801873 */     // MIs[0] policy
     /* 1801873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801907 */     // GIR_Coverage, 12454,
     /* 1801907 */     GIR_EraseRootFromParent_Done,
     /* 1801908 */   // Label 24437: @1801908
     /* 1801908 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1801994), // Rule ID 12457 //
     /* 1801913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801959 */     // MIs[0] policy
     /* 1801959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801993 */     // GIR_Coverage, 12457,
     /* 1801993 */     GIR_EraseRootFromParent_Done,
     /* 1801994 */   // Label 24438: @1801994
     /* 1801994 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802080), // Rule ID 12458 //
     /* 1801999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1802016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802045 */     // MIs[0] policy
     /* 1802045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802079 */     // GIR_Coverage, 12458,
     /* 1802079 */     GIR_EraseRootFromParent_Done,
     /* 1802080 */   // Label 24439: @1802080
     /* 1802080 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1802166), // Rule ID 12461 //
     /* 1802085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802131 */     // MIs[0] policy
     /* 1802131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802165 */     // GIR_Coverage, 12461,
     /* 1802165 */     GIR_EraseRootFromParent_Done,
     /* 1802166 */   // Label 24440: @1802166
     /* 1802166 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1802252), // Rule ID 12462 //
     /* 1802171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802217 */     // MIs[0] policy
     /* 1802217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802251 */     // GIR_Coverage, 12462,
     /* 1802251 */     GIR_EraseRootFromParent_Done,
     /* 1802252 */   // Label 24441: @1802252
     /* 1802252 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1802338), // Rule ID 12465 //
     /* 1802257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802303 */     // MIs[0] policy
     /* 1802303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802313 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802337 */     // GIR_Coverage, 12465,
     /* 1802337 */     GIR_EraseRootFromParent_Done,
     /* 1802338 */   // Label 24442: @1802338
     /* 1802338 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1802424), // Rule ID 12466 //
     /* 1802343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802389 */     // MIs[0] policy
     /* 1802389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1802402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802423 */     // GIR_Coverage, 12466,
     /* 1802423 */     GIR_EraseRootFromParent_Done,
     /* 1802424 */   // Label 24443: @1802424
     /* 1802424 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1802510), // Rule ID 12469 //
     /* 1802429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802475 */     // MIs[0] policy
     /* 1802475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802485 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802509 */     // GIR_Coverage, 12469,
     /* 1802509 */     GIR_EraseRootFromParent_Done,
     /* 1802510 */   // Label 24444: @1802510
     /* 1802510 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1802596), // Rule ID 12470 //
     /* 1802515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1802532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802561 */     // MIs[0] policy
     /* 1802561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1802574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802595 */     // GIR_Coverage, 12470,
     /* 1802595 */     GIR_EraseRootFromParent_Done,
     /* 1802596 */   // Label 24445: @1802596
     /* 1802596 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1802682), // Rule ID 12473 //
     /* 1802601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802647 */     // MIs[0] policy
     /* 1802647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802681 */     // GIR_Coverage, 12473,
     /* 1802681 */     GIR_EraseRootFromParent_Done,
     /* 1802682 */   // Label 24446: @1802682
     /* 1802682 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1802768), // Rule ID 12474 //
     /* 1802687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802733 */     // MIs[0] policy
     /* 1802733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1802746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802767 */     // GIR_Coverage, 12474,
     /* 1802767 */     GIR_EraseRootFromParent_Done,
     /* 1802768 */   // Label 24447: @1802768
     /* 1802768 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1802854), // Rule ID 12477 //
     /* 1802773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802819 */     // MIs[0] policy
     /* 1802819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802853 */     // GIR_Coverage, 12477,
     /* 1802853 */     GIR_EraseRootFromParent_Done,
     /* 1802854 */   // Label 24448: @1802854
     /* 1802854 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1802940), // Rule ID 12478 //
     /* 1802859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802905 */     // MIs[0] policy
     /* 1802905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1802918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802939 */     // GIR_Coverage, 12478,
     /* 1802939 */     GIR_EraseRootFromParent_Done,
     /* 1802940 */   // Label 24449: @1802940
     /* 1802940 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803026), // Rule ID 12481 //
     /* 1802945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802991 */     // MIs[0] policy
     /* 1802991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803025 */     // GIR_Coverage, 12481,
     /* 1803025 */     GIR_EraseRootFromParent_Done,
     /* 1803026 */   // Label 24450: @1803026
     /* 1803026 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803112), // Rule ID 12482 //
     /* 1803031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803077 */     // MIs[0] policy
     /* 1803077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1803090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803111 */     // GIR_Coverage, 12482,
     /* 1803111 */     GIR_EraseRootFromParent_Done,
     /* 1803112 */   // Label 24451: @1803112
     /* 1803112 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1803198), // Rule ID 12485 //
     /* 1803117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803163 */     // MIs[0] policy
     /* 1803163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803197 */     // GIR_Coverage, 12485,
     /* 1803197 */     GIR_EraseRootFromParent_Done,
     /* 1803198 */   // Label 24452: @1803198
     /* 1803198 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1803284), // Rule ID 12486 //
     /* 1803203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1803223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803249 */     // MIs[0] policy
     /* 1803249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1803262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803283 */     // GIR_Coverage, 12486,
     /* 1803283 */     GIR_EraseRootFromParent_Done,
     /* 1803284 */   // Label 24453: @1803284
     /* 1803284 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1803370), // Rule ID 12489 //
     /* 1803289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803335 */     // MIs[0] policy
     /* 1803335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803369 */     // GIR_Coverage, 12489,
     /* 1803369 */     GIR_EraseRootFromParent_Done,
     /* 1803370 */   // Label 24454: @1803370
     /* 1803370 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1803456), // Rule ID 12490 //
     /* 1803375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1803392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1803395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803421 */     // MIs[0] policy
     /* 1803421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803455 */     // GIR_Coverage, 12490,
     /* 1803455 */     GIR_EraseRootFromParent_Done,
     /* 1803456 */   // Label 24455: @1803456
     /* 1803456 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1803542), // Rule ID 12493 //
     /* 1803461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803507 */     // MIs[0] policy
     /* 1803507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803541 */     // GIR_Coverage, 12493,
     /* 1803541 */     GIR_EraseRootFromParent_Done,
     /* 1803542 */   // Label 24456: @1803542
     /* 1803542 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1803628), // Rule ID 12494 //
     /* 1803547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1803564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803593 */     // MIs[0] policy
     /* 1803593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803627 */     // GIR_Coverage, 12494,
     /* 1803627 */     GIR_EraseRootFromParent_Done,
     /* 1803628 */   // Label 24457: @1803628
     /* 1803628 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1803714), // Rule ID 12497 //
     /* 1803633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803679 */     // MIs[0] policy
     /* 1803679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803713 */     // GIR_Coverage, 12497,
     /* 1803713 */     GIR_EraseRootFromParent_Done,
     /* 1803714 */   // Label 24458: @1803714
     /* 1803714 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1803800), // Rule ID 12498 //
     /* 1803719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803765 */     // MIs[0] policy
     /* 1803765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803799 */     // GIR_Coverage, 12498,
     /* 1803799 */     GIR_EraseRootFromParent_Done,
     /* 1803800 */   // Label 24459: @1803800
     /* 1803800 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1803886), // Rule ID 12501 //
     /* 1803805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803851 */     // MIs[0] policy
     /* 1803851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1803864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803885 */     // GIR_Coverage, 12501,
     /* 1803885 */     GIR_EraseRootFromParent_Done,
     /* 1803886 */   // Label 24460: @1803886
     /* 1803886 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1803972), // Rule ID 12502 //
     /* 1803891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803937 */     // MIs[0] policy
     /* 1803937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1803950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803971 */     // GIR_Coverage, 12502,
     /* 1803971 */     GIR_EraseRootFromParent_Done,
     /* 1803972 */   // Label 24461: @1803972
     /* 1803972 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804058), // Rule ID 12505 //
     /* 1803977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1803997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804023 */     // MIs[0] policy
     /* 1804023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804057 */     // GIR_Coverage, 12505,
     /* 1804057 */     GIR_EraseRootFromParent_Done,
     /* 1804058 */   // Label 24462: @1804058
     /* 1804058 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1804144), // Rule ID 12506 //
     /* 1804063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804109 */     // MIs[0] policy
     /* 1804109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804143 */     // GIR_Coverage, 12506,
     /* 1804143 */     GIR_EraseRootFromParent_Done,
     /* 1804144 */   // Label 24463: @1804144
     /* 1804144 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1804230), // Rule ID 12509 //
     /* 1804149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804195 */     // MIs[0] policy
     /* 1804195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804205 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804229 */     // GIR_Coverage, 12509,
     /* 1804229 */     GIR_EraseRootFromParent_Done,
     /* 1804230 */   // Label 24464: @1804230
     /* 1804230 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1804316), // Rule ID 12510 //
     /* 1804235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1804246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1804249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1804255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804281 */     // MIs[0] policy
     /* 1804281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1804294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804315 */     // GIR_Coverage, 12510,
     /* 1804315 */     GIR_EraseRootFromParent_Done,
     /* 1804316 */   // Label 24465: @1804316
     /* 1804316 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1804402), // Rule ID 12513 //
     /* 1804321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804367 */     // MIs[0] policy
     /* 1804367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804401 */     // GIR_Coverage, 12513,
     /* 1804401 */     GIR_EraseRootFromParent_Done,
     /* 1804402 */   // Label 24466: @1804402
     /* 1804402 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1804488), // Rule ID 12514 //
     /* 1804407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1804418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1804421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1804427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804453 */     // MIs[0] policy
     /* 1804453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1804466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804487 */     // GIR_Coverage, 12514,
     /* 1804487 */     GIR_EraseRootFromParent_Done,
     /* 1804488 */   // Label 24467: @1804488
     /* 1804488 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1804574), // Rule ID 12517 //
     /* 1804493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804539 */     // MIs[0] policy
     /* 1804539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804573 */     // GIR_Coverage, 12517,
     /* 1804573 */     GIR_EraseRootFromParent_Done,
     /* 1804574 */   // Label 24468: @1804574
     /* 1804574 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1804660), // Rule ID 12518 //
     /* 1804579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804625 */     // MIs[0] policy
     /* 1804625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804659 */     // GIR_Coverage, 12518,
     /* 1804659 */     GIR_EraseRootFromParent_Done,
     /* 1804660 */   // Label 24469: @1804660
     /* 1804660 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1804746), // Rule ID 12521 //
     /* 1804665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804711 */     // MIs[0] policy
     /* 1804711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804745 */     // GIR_Coverage, 12521,
     /* 1804745 */     GIR_EraseRootFromParent_Done,
     /* 1804746 */   // Label 24470: @1804746
     /* 1804746 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1804832), // Rule ID 12522 //
     /* 1804751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804797 */     // MIs[0] policy
     /* 1804797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804831 */     // GIR_Coverage, 12522,
     /* 1804831 */     GIR_EraseRootFromParent_Done,
     /* 1804832 */   // Label 24471: @1804832
     /* 1804832 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1804918), // Rule ID 12525 //
     /* 1804837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804883 */     // MIs[0] policy
     /* 1804883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804917 */     // GIR_Coverage, 12525,
     /* 1804917 */     GIR_EraseRootFromParent_Done,
     /* 1804918 */   // Label 24472: @1804918
     /* 1804918 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805004), // Rule ID 12526 //
     /* 1804923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804969 */     // MIs[0] policy
     /* 1804969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805003 */     // GIR_Coverage, 12526,
     /* 1805003 */     GIR_EraseRootFromParent_Done,
     /* 1805004 */   // Label 24473: @1805004
     /* 1805004 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805090), // Rule ID 12529 //
     /* 1805009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805055 */     // MIs[0] policy
     /* 1805055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805089 */     // GIR_Coverage, 12529,
     /* 1805089 */     GIR_EraseRootFromParent_Done,
     /* 1805090 */   // Label 24474: @1805090
     /* 1805090 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1805176), // Rule ID 12530 //
     /* 1805095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805141 */     // MIs[0] policy
     /* 1805141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805151 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1805154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805175 */     // GIR_Coverage, 12530,
     /* 1805175 */     GIR_EraseRootFromParent_Done,
     /* 1805176 */   // Label 24475: @1805176
     /* 1805176 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1805262), // Rule ID 12533 //
     /* 1805181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805227 */     // MIs[0] policy
     /* 1805227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805237 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805261 */     // GIR_Coverage, 12533,
     /* 1805261 */     GIR_EraseRootFromParent_Done,
     /* 1805262 */   // Label 24476: @1805262
     /* 1805262 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1805348), // Rule ID 12534 //
     /* 1805267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1805287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805313 */     // MIs[0] policy
     /* 1805313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1805326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805347 */     // GIR_Coverage, 12534,
     /* 1805347 */     GIR_EraseRootFromParent_Done,
     /* 1805348 */   // Label 24477: @1805348
     /* 1805348 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1805434), // Rule ID 12537 //
     /* 1805353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805399 */     // MIs[0] policy
     /* 1805399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805433 */     // GIR_Coverage, 12537,
     /* 1805433 */     GIR_EraseRootFromParent_Done,
     /* 1805434 */   // Label 24478: @1805434
     /* 1805434 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1805520), // Rule ID 12538 //
     /* 1805439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805485 */     // MIs[0] policy
     /* 1805485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1805498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805519 */     // GIR_Coverage, 12538,
     /* 1805519 */     GIR_EraseRootFromParent_Done,
     /* 1805520 */   // Label 24479: @1805520
     /* 1805520 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1805606), // Rule ID 12541 //
     /* 1805525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1805528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805571 */     // MIs[0] policy
     /* 1805571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805605 */     // GIR_Coverage, 12541,
     /* 1805605 */     GIR_EraseRootFromParent_Done,
     /* 1805606 */   // Label 24480: @1805606
     /* 1805606 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1805692), // Rule ID 12542 //
     /* 1805611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805657 */     // MIs[0] policy
     /* 1805657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1805670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805691 */     // GIR_Coverage, 12542,
     /* 1805691 */     GIR_EraseRootFromParent_Done,
     /* 1805692 */   // Label 24481: @1805692
     /* 1805692 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1805778), // Rule ID 12545 //
     /* 1805697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805743 */     // MIs[0] policy
     /* 1805743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1805756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805777 */     // GIR_Coverage, 12545,
     /* 1805777 */     GIR_EraseRootFromParent_Done,
     /* 1805778 */   // Label 24482: @1805778
     /* 1805778 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1805864), // Rule ID 12546 //
     /* 1805783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805829 */     // MIs[0] policy
     /* 1805829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1805842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805863 */     // GIR_Coverage, 12546,
     /* 1805863 */     GIR_EraseRootFromParent_Done,
     /* 1805864 */   // Label 24483: @1805864
     /* 1805864 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1805950), // Rule ID 12549 //
     /* 1805869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805915 */     // MIs[0] policy
     /* 1805915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1805928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805949 */     // GIR_Coverage, 12549,
     /* 1805949 */     GIR_EraseRootFromParent_Done,
     /* 1805950 */   // Label 24484: @1805950
     /* 1805950 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806036), // Rule ID 12550 //
     /* 1805955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806001 */     // MIs[0] policy
     /* 1806001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806035 */     // GIR_Coverage, 12550,
     /* 1806035 */     GIR_EraseRootFromParent_Done,
     /* 1806036 */   // Label 24485: @1806036
     /* 1806036 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806122), // Rule ID 12553 //
     /* 1806041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806087 */     // MIs[0] policy
     /* 1806087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806121 */     // GIR_Coverage, 12553,
     /* 1806121 */     GIR_EraseRootFromParent_Done,
     /* 1806122 */   // Label 24486: @1806122
     /* 1806122 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1806208), // Rule ID 12554 //
     /* 1806127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1806144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806173 */     // MIs[0] policy
     /* 1806173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806207 */     // GIR_Coverage, 12554,
     /* 1806207 */     GIR_EraseRootFromParent_Done,
     /* 1806208 */   // Label 24487: @1806208
     /* 1806208 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1806294), // Rule ID 12557 //
     /* 1806213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806259 */     // MIs[0] policy
     /* 1806259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806293 */     // GIR_Coverage, 12557,
     /* 1806293 */     GIR_EraseRootFromParent_Done,
     /* 1806294 */   // Label 24488: @1806294
     /* 1806294 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1806380), // Rule ID 12558 //
     /* 1806299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1806316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806345 */     // MIs[0] policy
     /* 1806345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806379 */     // GIR_Coverage, 12558,
     /* 1806379 */     GIR_EraseRootFromParent_Done,
     /* 1806380 */   // Label 24489: @1806380
     /* 1806380 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1806466), // Rule ID 12561 //
     /* 1806385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806431 */     // MIs[0] policy
     /* 1806431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806441 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806465 */     // GIR_Coverage, 12561,
     /* 1806465 */     GIR_EraseRootFromParent_Done,
     /* 1806466 */   // Label 24490: @1806466
     /* 1806466 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1806552), // Rule ID 12562 //
     /* 1806471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806517 */     // MIs[0] policy
     /* 1806517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806551 */     // GIR_Coverage, 12562,
     /* 1806551 */     GIR_EraseRootFromParent_Done,
     /* 1806552 */   // Label 24491: @1806552
     /* 1806552 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1806638), // Rule ID 12565 //
     /* 1806557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806603 */     // MIs[0] policy
     /* 1806603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806637 */     // GIR_Coverage, 12565,
     /* 1806637 */     GIR_EraseRootFromParent_Done,
     /* 1806638 */   // Label 24492: @1806638
     /* 1806638 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1806724), // Rule ID 12566 //
     /* 1806643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806689 */     // MIs[0] policy
     /* 1806689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806723 */     // GIR_Coverage, 12566,
     /* 1806723 */     GIR_EraseRootFromParent_Done,
     /* 1806724 */   // Label 24493: @1806724
     /* 1806724 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1806810), // Rule ID 12569 //
     /* 1806729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806775 */     // MIs[0] policy
     /* 1806775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806809 */     // GIR_Coverage, 12569,
     /* 1806809 */     GIR_EraseRootFromParent_Done,
     /* 1806810 */   // Label 24494: @1806810
     /* 1806810 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1806896), // Rule ID 12570 //
     /* 1806815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806861 */     // MIs[0] policy
     /* 1806861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806871 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1806874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806895 */     // GIR_Coverage, 12570,
     /* 1806895 */     GIR_EraseRootFromParent_Done,
     /* 1806896 */   // Label 24495: @1806896
     /* 1806896 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1806982), // Rule ID 12573 //
     /* 1806901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806947 */     // MIs[0] policy
     /* 1806947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806981 */     // GIR_Coverage, 12573,
     /* 1806981 */     GIR_EraseRootFromParent_Done,
     /* 1806982 */   // Label 24496: @1806982
     /* 1806982 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807068), // Rule ID 12574 //
     /* 1806987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807033 */     // MIs[0] policy
     /* 1807033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807067 */     // GIR_Coverage, 12574,
     /* 1807067 */     GIR_EraseRootFromParent_Done,
     /* 1807068 */   // Label 24497: @1807068
     /* 1807068 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1807154), // Rule ID 12577 //
     /* 1807073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807119 */     // MIs[0] policy
     /* 1807119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807153 */     // GIR_Coverage, 12577,
     /* 1807153 */     GIR_EraseRootFromParent_Done,
     /* 1807154 */   // Label 24498: @1807154
     /* 1807154 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1807240), // Rule ID 12578 //
     /* 1807159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1807176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807205 */     // MIs[0] policy
     /* 1807205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807239 */     // GIR_Coverage, 12578,
     /* 1807239 */     GIR_EraseRootFromParent_Done,
     /* 1807240 */   // Label 24499: @1807240
     /* 1807240 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1807326), // Rule ID 12581 //
     /* 1807245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807291 */     // MIs[0] policy
     /* 1807291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807325 */     // GIR_Coverage, 12581,
     /* 1807325 */     GIR_EraseRootFromParent_Done,
     /* 1807326 */   // Label 24500: @1807326
     /* 1807326 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1807412), // Rule ID 12582 //
     /* 1807331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1807348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807377 */     // MIs[0] policy
     /* 1807377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807411 */     // GIR_Coverage, 12582,
     /* 1807411 */     GIR_EraseRootFromParent_Done,
     /* 1807412 */   // Label 24501: @1807412
     /* 1807412 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1807498), // Rule ID 12585 //
     /* 1807417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807463 */     // MIs[0] policy
     /* 1807463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807497 */     // GIR_Coverage, 12585,
     /* 1807497 */     GIR_EraseRootFromParent_Done,
     /* 1807498 */   // Label 24502: @1807498
     /* 1807498 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1807584), // Rule ID 12586 //
     /* 1807503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1807520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807549 */     // MIs[0] policy
     /* 1807549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807583 */     // GIR_Coverage, 12586,
     /* 1807583 */     GIR_EraseRootFromParent_Done,
     /* 1807584 */   // Label 24503: @1807584
     /* 1807584 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1807670), // Rule ID 12589 //
     /* 1807589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807635 */     // MIs[0] policy
     /* 1807635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807669 */     // GIR_Coverage, 12589,
     /* 1807669 */     GIR_EraseRootFromParent_Done,
     /* 1807670 */   // Label 24504: @1807670
     /* 1807670 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1807756), // Rule ID 12590 //
     /* 1807675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807721 */     // MIs[0] policy
     /* 1807721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1807734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807755 */     // GIR_Coverage, 12590,
     /* 1807755 */     GIR_EraseRootFromParent_Done,
     /* 1807756 */   // Label 24505: @1807756
     /* 1807756 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1807842), // Rule ID 12593 //
     /* 1807761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807807 */     // MIs[0] policy
     /* 1807807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807841 */     // GIR_Coverage, 12593,
     /* 1807841 */     GIR_EraseRootFromParent_Done,
     /* 1807842 */   // Label 24506: @1807842
     /* 1807842 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1807928), // Rule ID 12594 //
     /* 1807847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807893 */     // MIs[0] policy
     /* 1807893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1807906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807927 */     // GIR_Coverage, 12594,
     /* 1807927 */     GIR_EraseRootFromParent_Done,
     /* 1807928 */   // Label 24507: @1807928
     /* 1807928 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808014), // Rule ID 12597 //
     /* 1807933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807979 */     // MIs[0] policy
     /* 1807979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1807992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808013 */     // GIR_Coverage, 12597,
     /* 1808013 */     GIR_EraseRootFromParent_Done,
     /* 1808014 */   // Label 24508: @1808014
     /* 1808014 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808100), // Rule ID 12598 //
     /* 1808019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808065 */     // MIs[0] policy
     /* 1808065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1808078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808099 */     // GIR_Coverage, 12598,
     /* 1808099 */     GIR_EraseRootFromParent_Done,
     /* 1808100 */   // Label 24509: @1808100
     /* 1808100 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1808186), // Rule ID 12601 //
     /* 1808105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808151 */     // MIs[0] policy
     /* 1808151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808185 */     // GIR_Coverage, 12601,
     /* 1808185 */     GIR_EraseRootFromParent_Done,
     /* 1808186 */   // Label 24510: @1808186
     /* 1808186 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1808272), // Rule ID 12602 //
     /* 1808191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1808208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808237 */     // MIs[0] policy
     /* 1808237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1808250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808271 */     // GIR_Coverage, 12602,
     /* 1808271 */     GIR_EraseRootFromParent_Done,
     /* 1808272 */   // Label 24511: @1808272
     /* 1808272 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1808358), // Rule ID 12605 //
     /* 1808277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808323 */     // MIs[0] policy
     /* 1808323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808333 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808357 */     // GIR_Coverage, 12605,
     /* 1808357 */     GIR_EraseRootFromParent_Done,
     /* 1808358 */   // Label 24512: @1808358
     /* 1808358 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1808444), // Rule ID 12606 //
     /* 1808363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808409 */     // MIs[0] policy
     /* 1808409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808443 */     // GIR_Coverage, 12606,
     /* 1808443 */     GIR_EraseRootFromParent_Done,
     /* 1808444 */   // Label 24513: @1808444
     /* 1808444 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1808530), // Rule ID 12609 //
     /* 1808449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808495 */     // MIs[0] policy
     /* 1808495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808505 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808529 */     // GIR_Coverage, 12609,
     /* 1808529 */     GIR_EraseRootFromParent_Done,
     /* 1808530 */   // Label 24514: @1808530
     /* 1808530 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1808616), // Rule ID 12610 //
     /* 1808535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808581 */     // MIs[0] policy
     /* 1808581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808591 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808615 */     // GIR_Coverage, 12610,
     /* 1808615 */     GIR_EraseRootFromParent_Done,
     /* 1808616 */   // Label 24515: @1808616
     /* 1808616 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1808702), // Rule ID 12613 //
     /* 1808621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808667 */     // MIs[0] policy
     /* 1808667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808677 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808701 */     // GIR_Coverage, 12613,
     /* 1808701 */     GIR_EraseRootFromParent_Done,
     /* 1808702 */   // Label 24516: @1808702
     /* 1808702 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1808788), // Rule ID 12614 //
     /* 1808707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808753 */     // MIs[0] policy
     /* 1808753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1808766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808787 */     // GIR_Coverage, 12614,
     /* 1808787 */     GIR_EraseRootFromParent_Done,
     /* 1808788 */   // Label 24517: @1808788
     /* 1808788 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1808874), // Rule ID 12617 //
     /* 1808793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1808813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808839 */     // MIs[0] policy
     /* 1808839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808873 */     // GIR_Coverage, 12617,
     /* 1808873 */     GIR_EraseRootFromParent_Done,
     /* 1808874 */   // Label 24518: @1808874
     /* 1808874 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1808960), // Rule ID 12618 //
     /* 1808879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1808899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808925 */     // MIs[0] policy
     /* 1808925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1808938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808959 */     // GIR_Coverage, 12618,
     /* 1808959 */     GIR_EraseRootFromParent_Done,
     /* 1808960 */   // Label 24519: @1808960
     /* 1808960 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809046), // Rule ID 12621 //
     /* 1808965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1808985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809011 */     // MIs[0] policy
     /* 1809011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809045 */     // GIR_Coverage, 12621,
     /* 1809045 */     GIR_EraseRootFromParent_Done,
     /* 1809046 */   // Label 24520: @1809046
     /* 1809046 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1809132), // Rule ID 12622 //
     /* 1809051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809097 */     // MIs[0] policy
     /* 1809097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1809110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809131 */     // GIR_Coverage, 12622,
     /* 1809131 */     GIR_EraseRootFromParent_Done,
     /* 1809132 */   // Label 24521: @1809132
     /* 1809132 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1809218), // Rule ID 12625 //
     /* 1809137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809183 */     // MIs[0] policy
     /* 1809183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809217 */     // GIR_Coverage, 12625,
     /* 1809217 */     GIR_EraseRootFromParent_Done,
     /* 1809218 */   // Label 24522: @1809218
     /* 1809218 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1809304), // Rule ID 12626 //
     /* 1809223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809269 */     // MIs[0] policy
     /* 1809269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809279 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809303 */     // GIR_Coverage, 12626,
     /* 1809303 */     GIR_EraseRootFromParent_Done,
     /* 1809304 */   // Label 24523: @1809304
     /* 1809304 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1809390), // Rule ID 12629 //
     /* 1809309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809355 */     // MIs[0] policy
     /* 1809355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809389 */     // GIR_Coverage, 12629,
     /* 1809389 */     GIR_EraseRootFromParent_Done,
     /* 1809390 */   // Label 24524: @1809390
     /* 1809390 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1809476), // Rule ID 12630 //
     /* 1809395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809441 */     // MIs[0] policy
     /* 1809441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809475 */     // GIR_Coverage, 12630,
     /* 1809475 */     GIR_EraseRootFromParent_Done,
     /* 1809476 */   // Label 24525: @1809476
     /* 1809476 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1809562), // Rule ID 12633 //
     /* 1809481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809527 */     // MIs[0] policy
     /* 1809527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809561 */     // GIR_Coverage, 12633,
     /* 1809561 */     GIR_EraseRootFromParent_Done,
     /* 1809562 */   // Label 24526: @1809562
     /* 1809562 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1809648), // Rule ID 12634 //
     /* 1809567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809613 */     // MIs[0] policy
     /* 1809613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809647 */     // GIR_Coverage, 12634,
     /* 1809647 */     GIR_EraseRootFromParent_Done,
     /* 1809648 */   // Label 24527: @1809648
     /* 1809648 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1809734), // Rule ID 12637 //
     /* 1809653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1809656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1809673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809699 */     // MIs[0] policy
     /* 1809699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809733 */     // GIR_Coverage, 12637,
     /* 1809733 */     GIR_EraseRootFromParent_Done,
     /* 1809734 */   // Label 24528: @1809734
     /* 1809734 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1809820), // Rule ID 12638 //
     /* 1809739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1809742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1809759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809785 */     // MIs[0] policy
     /* 1809785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1809798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809819 */     // GIR_Coverage, 12638,
     /* 1809819 */     GIR_EraseRootFromParent_Done,
     /* 1809820 */   // Label 24529: @1809820
     /* 1809820 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1809906), // Rule ID 12641 //
     /* 1809825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1809836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1809839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1809842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1809845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809871 */     // MIs[0] policy
     /* 1809871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809905 */     // GIR_Coverage, 12641,
     /* 1809905 */     GIR_EraseRootFromParent_Done,
     /* 1809906 */   // Label 24530: @1809906
     /* 1809906 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1809992), // Rule ID 12642 //
     /* 1809911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1809922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1809925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1809928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1809931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809957 */     // MIs[0] policy
     /* 1809957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809991 */     // GIR_Coverage, 12642,
     /* 1809991 */     GIR_EraseRootFromParent_Done,
     /* 1809992 */   // Label 24531: @1809992
     /* 1809992 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810078), // Rule ID 12645 //
     /* 1809997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810043 */     // MIs[0] policy
     /* 1810043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810077 */     // GIR_Coverage, 12645,
     /* 1810077 */     GIR_EraseRootFromParent_Done,
     /* 1810078 */   // Label 24532: @1810078
     /* 1810078 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1810164), // Rule ID 12646 //
     /* 1810083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810129 */     // MIs[0] policy
     /* 1810129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810163 */     // GIR_Coverage, 12646,
     /* 1810163 */     GIR_EraseRootFromParent_Done,
     /* 1810164 */   // Label 24533: @1810164
     /* 1810164 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1810250), // Rule ID 12649 //
     /* 1810169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810215 */     // MIs[0] policy
     /* 1810215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810249 */     // GIR_Coverage, 12649,
     /* 1810249 */     GIR_EraseRootFromParent_Done,
     /* 1810250 */   // Label 24534: @1810250
     /* 1810250 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1810336), // Rule ID 12650 //
     /* 1810255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1810266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1810269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1810272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1810275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1810278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810301 */     // MIs[0] policy
     /* 1810301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810335 */     // GIR_Coverage, 12650,
     /* 1810335 */     GIR_EraseRootFromParent_Done,
     /* 1810336 */   // Label 24535: @1810336
     /* 1810336 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1810422), // Rule ID 12653 //
     /* 1810341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810387 */     // MIs[0] policy
     /* 1810387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810421 */     // GIR_Coverage, 12653,
     /* 1810421 */     GIR_EraseRootFromParent_Done,
     /* 1810422 */   // Label 24536: @1810422
     /* 1810422 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1810508), // Rule ID 12654 //
     /* 1810427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810473 */     // MIs[0] policy
     /* 1810473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810507 */     // GIR_Coverage, 12654,
     /* 1810507 */     GIR_EraseRootFromParent_Done,
     /* 1810508 */   // Label 24537: @1810508
     /* 1810508 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1810594), // Rule ID 12657 //
     /* 1810513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810559 */     // MIs[0] policy
     /* 1810559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810593 */     // GIR_Coverage, 12657,
     /* 1810593 */     GIR_EraseRootFromParent_Done,
     /* 1810594 */   // Label 24538: @1810594
     /* 1810594 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1810680), // Rule ID 12658 //
     /* 1810599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1810616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1810619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810645 */     // MIs[0] policy
     /* 1810645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810679 */     // GIR_Coverage, 12658,
     /* 1810679 */     GIR_EraseRootFromParent_Done,
     /* 1810680 */   // Label 24539: @1810680
     /* 1810680 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1810766), // Rule ID 12661 //
     /* 1810685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1810702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1810705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810731 */     // MIs[0] policy
     /* 1810731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810741 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810765 */     // GIR_Coverage, 12661,
     /* 1810765 */     GIR_EraseRootFromParent_Done,
     /* 1810766 */   // Label 24540: @1810766
     /* 1810766 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1810852), // Rule ID 12662 //
     /* 1810771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1810788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1810791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810817 */     // MIs[0] policy
     /* 1810817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810851 */     // GIR_Coverage, 12662,
     /* 1810851 */     GIR_EraseRootFromParent_Done,
     /* 1810852 */   // Label 24541: @1810852
     /* 1810852 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1810938), // Rule ID 12665 //
     /* 1810857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1810868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1810871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1810874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1810877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810903 */     // MIs[0] policy
     /* 1810903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810937 */     // GIR_Coverage, 12665,
     /* 1810937 */     GIR_EraseRootFromParent_Done,
     /* 1810938 */   // Label 24542: @1810938
     /* 1810938 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811024), // Rule ID 12666 //
     /* 1810943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1810954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1810957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1810960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1810963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810989 */     // MIs[0] policy
     /* 1810989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811023 */     // GIR_Coverage, 12666,
     /* 1811023 */     GIR_EraseRootFromParent_Done,
     /* 1811024 */   // Label 24543: @1811024
     /* 1811024 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811110), // Rule ID 12669 //
     /* 1811029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811075 */     // MIs[0] policy
     /* 1811075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811085 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811109 */     // GIR_Coverage, 12669,
     /* 1811109 */     GIR_EraseRootFromParent_Done,
     /* 1811110 */   // Label 24544: @1811110
     /* 1811110 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1811196), // Rule ID 12670 //
     /* 1811115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811161 */     // MIs[0] policy
     /* 1811161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811195 */     // GIR_Coverage, 12670,
     /* 1811195 */     GIR_EraseRootFromParent_Done,
     /* 1811196 */   // Label 24545: @1811196
     /* 1811196 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1811282), // Rule ID 12673 //
     /* 1811201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811247 */     // MIs[0] policy
     /* 1811247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811281 */     // GIR_Coverage, 12673,
     /* 1811281 */     GIR_EraseRootFromParent_Done,
     /* 1811282 */   // Label 24546: @1811282
     /* 1811282 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1811368), // Rule ID 12674 //
     /* 1811287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1811304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1811307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811333 */     // MIs[0] policy
     /* 1811333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811367 */     // GIR_Coverage, 12674,
     /* 1811367 */     GIR_EraseRootFromParent_Done,
     /* 1811368 */   // Label 24547: @1811368
     /* 1811368 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1811454), // Rule ID 12677 //
     /* 1811373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811419 */     // MIs[0] policy
     /* 1811419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811453 */     // GIR_Coverage, 12677,
     /* 1811453 */     GIR_EraseRootFromParent_Done,
     /* 1811454 */   // Label 24548: @1811454
     /* 1811454 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1811540), // Rule ID 12678 //
     /* 1811459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1811476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1811479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811505 */     // MIs[0] policy
     /* 1811505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1811518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811539 */     // GIR_Coverage, 12678,
     /* 1811539 */     GIR_EraseRootFromParent_Done,
     /* 1811540 */   // Label 24549: @1811540
     /* 1811540 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1811626), // Rule ID 12681 //
     /* 1811545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1811562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1811565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811591 */     // MIs[0] policy
     /* 1811591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811601 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811625 */     // GIR_Coverage, 12681,
     /* 1811625 */     GIR_EraseRootFromParent_Done,
     /* 1811626 */   // Label 24550: @1811626
     /* 1811626 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1811712), // Rule ID 12682 //
     /* 1811631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1811648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1811651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811677 */     // MIs[0] policy
     /* 1811677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1811690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811711 */     // GIR_Coverage, 12682,
     /* 1811711 */     GIR_EraseRootFromParent_Done,
     /* 1811712 */   // Label 24551: @1811712
     /* 1811712 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1811798), // Rule ID 12685 //
     /* 1811717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1811734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1811737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811763 */     // MIs[0] policy
     /* 1811763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811773 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811797 */     // GIR_Coverage, 12685,
     /* 1811797 */     GIR_EraseRootFromParent_Done,
     /* 1811798 */   // Label 24552: @1811798
     /* 1811798 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1811884), // Rule ID 12686 //
     /* 1811803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1811820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1811823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811849 */     // MIs[0] policy
     /* 1811849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1811862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811883 */     // GIR_Coverage, 12686,
     /* 1811883 */     GIR_EraseRootFromParent_Done,
     /* 1811884 */   // Label 24553: @1811884
     /* 1811884 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1811970), // Rule ID 12689 //
     /* 1811889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1811900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1811903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1811909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811935 */     // MIs[0] policy
     /* 1811935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1811948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811969 */     // GIR_Coverage, 12689,
     /* 1811969 */     GIR_EraseRootFromParent_Done,
     /* 1811970 */   // Label 24554: @1811970
     /* 1811970 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812056), // Rule ID 12690 //
     /* 1811975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1811986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1811989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1811995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812021 */     // MIs[0] policy
     /* 1812021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812031 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1812034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812055 */     // GIR_Coverage, 12690,
     /* 1812055 */     GIR_EraseRootFromParent_Done,
     /* 1812056 */   // Label 24555: @1812056
     /* 1812056 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1812142), // Rule ID 12693 //
     /* 1812061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812107 */     // MIs[0] policy
     /* 1812107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812117 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812141 */     // GIR_Coverage, 12693,
     /* 1812141 */     GIR_EraseRootFromParent_Done,
     /* 1812142 */   // Label 24556: @1812142
     /* 1812142 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1812228), // Rule ID 12694 //
     /* 1812147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812193 */     // MIs[0] policy
     /* 1812193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812203 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812227 */     // GIR_Coverage, 12694,
     /* 1812227 */     GIR_EraseRootFromParent_Done,
     /* 1812228 */   // Label 24557: @1812228
     /* 1812228 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1812314), // Rule ID 12697 //
     /* 1812233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812279 */     // MIs[0] policy
     /* 1812279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812289 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812313 */     // GIR_Coverage, 12697,
     /* 1812313 */     GIR_EraseRootFromParent_Done,
     /* 1812314 */   // Label 24558: @1812314
     /* 1812314 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1812400), // Rule ID 12698 //
     /* 1812319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1812330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1812333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1812339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812365 */     // MIs[0] policy
     /* 1812365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812399 */     // GIR_Coverage, 12698,
     /* 1812399 */     GIR_EraseRootFromParent_Done,
     /* 1812400 */   // Label 24559: @1812400
     /* 1812400 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1812486), // Rule ID 12701 //
     /* 1812405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812451 */     // MIs[0] policy
     /* 1812451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812485 */     // GIR_Coverage, 12701,
     /* 1812485 */     GIR_EraseRootFromParent_Done,
     /* 1812486 */   // Label 24560: @1812486
     /* 1812486 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1812572), // Rule ID 12702 //
     /* 1812491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1812502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1812505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1812511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812537 */     // MIs[0] policy
     /* 1812537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1812550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812571 */     // GIR_Coverage, 12702,
     /* 1812571 */     GIR_EraseRootFromParent_Done,
     /* 1812572 */   // Label 24561: @1812572
     /* 1812572 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1812658), // Rule ID 12705 //
     /* 1812577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1812597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812623 */     // MIs[0] policy
     /* 1812623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812657 */     // GIR_Coverage, 12705,
     /* 1812657 */     GIR_EraseRootFromParent_Done,
     /* 1812658 */   // Label 24562: @1812658
     /* 1812658 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1812744), // Rule ID 12706 //
     /* 1812663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1812683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812709 */     // MIs[0] policy
     /* 1812709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812743 */     // GIR_Coverage, 12706,
     /* 1812743 */     GIR_EraseRootFromParent_Done,
     /* 1812744 */   // Label 24563: @1812744
     /* 1812744 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1812830), // Rule ID 12709 //
     /* 1812749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1812760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1812763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812795 */     // MIs[0] policy
     /* 1812795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812829 */     // GIR_Coverage, 12709,
     /* 1812829 */     GIR_EraseRootFromParent_Done,
     /* 1812830 */   // Label 24564: @1812830
     /* 1812830 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1812916), // Rule ID 12710 //
     /* 1812835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1812846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1812849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1812855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812881 */     // MIs[0] policy
     /* 1812881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1812894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812915 */     // GIR_Coverage, 12710,
     /* 1812915 */     GIR_EraseRootFromParent_Done,
     /* 1812916 */   // Label 24565: @1812916
     /* 1812916 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813002), // Rule ID 12713 //
     /* 1812921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1812932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1812935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1812941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812967 */     // MIs[0] policy
     /* 1812967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813001 */     // GIR_Coverage, 12713,
     /* 1813001 */     GIR_EraseRootFromParent_Done,
     /* 1813002 */   // Label 24566: @1813002
     /* 1813002 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813088), // Rule ID 12714 //
     /* 1813007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813053 */     // MIs[0] policy
     /* 1813053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813063 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813087 */     // GIR_Coverage, 12714,
     /* 1813087 */     GIR_EraseRootFromParent_Done,
     /* 1813088 */   // Label 24567: @1813088
     /* 1813088 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1813174), // Rule ID 12717 //
     /* 1813093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813139 */     // MIs[0] policy
     /* 1813139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813173 */     // GIR_Coverage, 12717,
     /* 1813173 */     GIR_EraseRootFromParent_Done,
     /* 1813174 */   // Label 24568: @1813174
     /* 1813174 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1813260), // Rule ID 12718 //
     /* 1813179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813225 */     // MIs[0] policy
     /* 1813225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813259 */     // GIR_Coverage, 12718,
     /* 1813259 */     GIR_EraseRootFromParent_Done,
     /* 1813260 */   // Label 24569: @1813260
     /* 1813260 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1813346), // Rule ID 12721 //
     /* 1813265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813311 */     // MIs[0] policy
     /* 1813311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813345 */     // GIR_Coverage, 12721,
     /* 1813345 */     GIR_EraseRootFromParent_Done,
     /* 1813346 */   // Label 24570: @1813346
     /* 1813346 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1813432), // Rule ID 12722 //
     /* 1813351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1813371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813397 */     // MIs[0] policy
     /* 1813397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813431 */     // GIR_Coverage, 12722,
     /* 1813431 */     GIR_EraseRootFromParent_Done,
     /* 1813432 */   // Label 24571: @1813432
     /* 1813432 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1813518), // Rule ID 12725 //
     /* 1813437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813483 */     // MIs[0] policy
     /* 1813483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813517 */     // GIR_Coverage, 12725,
     /* 1813517 */     GIR_EraseRootFromParent_Done,
     /* 1813518 */   // Label 24572: @1813518
     /* 1813518 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1813604), // Rule ID 12726 //
     /* 1813523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1813543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813569 */     // MIs[0] policy
     /* 1813569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1813582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813603 */     // GIR_Coverage, 12726,
     /* 1813603 */     GIR_EraseRootFromParent_Done,
     /* 1813604 */   // Label 24573: @1813604
     /* 1813604 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1813690), // Rule ID 12729 //
     /* 1813609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1813620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1813623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1813629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813655 */     // MIs[0] policy
     /* 1813655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813665 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813689 */     // GIR_Coverage, 12729,
     /* 1813689 */     GIR_EraseRootFromParent_Done,
     /* 1813690 */   // Label 24574: @1813690
     /* 1813690 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1813776), // Rule ID 12730 //
     /* 1813695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1813706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1813709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1813715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813741 */     // MIs[0] policy
     /* 1813741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813775 */     // GIR_Coverage, 12730,
     /* 1813775 */     GIR_EraseRootFromParent_Done,
     /* 1813776 */   // Label 24575: @1813776
     /* 1813776 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1813862), // Rule ID 12733 //
     /* 1813781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1813792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1813795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1813801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813827 */     // MIs[0] policy
     /* 1813827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813861 */     // GIR_Coverage, 12733,
     /* 1813861 */     GIR_EraseRootFromParent_Done,
     /* 1813862 */   // Label 24576: @1813862
     /* 1813862 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1813948), // Rule ID 12734 //
     /* 1813867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1813878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1813881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1813887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813913 */     // MIs[0] policy
     /* 1813913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813947 */     // GIR_Coverage, 12734,
     /* 1813947 */     GIR_EraseRootFromParent_Done,
     /* 1813948 */   // Label 24577: @1813948
     /* 1813948 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814034), // Rule ID 12737 //
     /* 1813953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1813964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1813967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1813973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1813976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813999 */     // MIs[0] policy
     /* 1813999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814009 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814033 */     // GIR_Coverage, 12737,
     /* 1814033 */     GIR_EraseRootFromParent_Done,
     /* 1814034 */   // Label 24578: @1814034
     /* 1814034 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814120), // Rule ID 12738 //
     /* 1814039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814085 */     // MIs[0] policy
     /* 1814085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814095 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814119 */     // GIR_Coverage, 12738,
     /* 1814119 */     GIR_EraseRootFromParent_Done,
     /* 1814120 */   // Label 24579: @1814120
     /* 1814120 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1814206), // Rule ID 12741 //
     /* 1814125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814171 */     // MIs[0] policy
     /* 1814171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814205 */     // GIR_Coverage, 12741,
     /* 1814205 */     GIR_EraseRootFromParent_Done,
     /* 1814206 */   // Label 24580: @1814206
     /* 1814206 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1814292), // Rule ID 12742 //
     /* 1814211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814257 */     // MIs[0] policy
     /* 1814257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814291 */     // GIR_Coverage, 12742,
     /* 1814291 */     GIR_EraseRootFromParent_Done,
     /* 1814292 */   // Label 24581: @1814292
     /* 1814292 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1814378), // Rule ID 12745 //
     /* 1814297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814343 */     // MIs[0] policy
     /* 1814343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814353 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814377 */     // GIR_Coverage, 12745,
     /* 1814377 */     GIR_EraseRootFromParent_Done,
     /* 1814378 */   // Label 24582: @1814378
     /* 1814378 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1814464), // Rule ID 12746 //
     /* 1814383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1814403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814429 */     // MIs[0] policy
     /* 1814429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814463 */     // GIR_Coverage, 12746,
     /* 1814463 */     GIR_EraseRootFromParent_Done,
     /* 1814464 */   // Label 24583: @1814464
     /* 1814464 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1814550), // Rule ID 12749 //
     /* 1814469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814515 */     // MIs[0] policy
     /* 1814515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814525 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814549 */     // GIR_Coverage, 12749,
     /* 1814549 */     GIR_EraseRootFromParent_Done,
     /* 1814550 */   // Label 24584: @1814550
     /* 1814550 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1814636), // Rule ID 12750 //
     /* 1814555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1814575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814601 */     // MIs[0] policy
     /* 1814601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814611 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814635 */     // GIR_Coverage, 12750,
     /* 1814635 */     GIR_EraseRootFromParent_Done,
     /* 1814636 */   // Label 24585: @1814636
     /* 1814636 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1814722), // Rule ID 12753 //
     /* 1814641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1814661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814687 */     // MIs[0] policy
     /* 1814687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814721 */     // GIR_Coverage, 12753,
     /* 1814721 */     GIR_EraseRootFromParent_Done,
     /* 1814722 */   // Label 24586: @1814722
     /* 1814722 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1814808), // Rule ID 12754 //
     /* 1814727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1814747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814773 */     // MIs[0] policy
     /* 1814773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814807 */     // GIR_Coverage, 12754,
     /* 1814807 */     GIR_EraseRootFromParent_Done,
     /* 1814808 */   // Label 24587: @1814808
     /* 1814808 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1814894), // Rule ID 12757 //
     /* 1814813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1814833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814859 */     // MIs[0] policy
     /* 1814859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814893 */     // GIR_Coverage, 12757,
     /* 1814893 */     GIR_EraseRootFromParent_Done,
     /* 1814894 */   // Label 24588: @1814894
     /* 1814894 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1814980), // Rule ID 12758 //
     /* 1814899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1814910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1814913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1814919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814945 */     // MIs[0] policy
     /* 1814945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814979 */     // GIR_Coverage, 12758,
     /* 1814979 */     GIR_EraseRootFromParent_Done,
     /* 1814980 */   // Label 24589: @1814980
     /* 1814980 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815066), // Rule ID 12761 //
     /* 1814985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1814996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1814999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815031 */     // MIs[0] policy
     /* 1815031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815041 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815065 */     // GIR_Coverage, 12761,
     /* 1815065 */     GIR_EraseRootFromParent_Done,
     /* 1815066 */   // Label 24590: @1815066
     /* 1815066 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1815152), // Rule ID 12762 //
     /* 1815071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815117 */     // MIs[0] policy
     /* 1815117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815151 */     // GIR_Coverage, 12762,
     /* 1815151 */     GIR_EraseRootFromParent_Done,
     /* 1815152 */   // Label 24591: @1815152
     /* 1815152 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1815238), // Rule ID 12765 //
     /* 1815157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815203 */     // MIs[0] policy
     /* 1815203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815213 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815237 */     // GIR_Coverage, 12765,
     /* 1815237 */     GIR_EraseRootFromParent_Done,
     /* 1815238 */   // Label 24592: @1815238
     /* 1815238 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1815324), // Rule ID 12766 //
     /* 1815243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815289 */     // MIs[0] policy
     /* 1815289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1815302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815323 */     // GIR_Coverage, 12766,
     /* 1815323 */     GIR_EraseRootFromParent_Done,
     /* 1815324 */   // Label 24593: @1815324
     /* 1815324 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1815410), // Rule ID 12769 //
     /* 1815329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815375 */     // MIs[0] policy
     /* 1815375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815409 */     // GIR_Coverage, 12769,
     /* 1815409 */     GIR_EraseRootFromParent_Done,
     /* 1815410 */   // Label 24594: @1815410
     /* 1815410 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1815496), // Rule ID 12770 //
     /* 1815415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1815435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815461 */     // MIs[0] policy
     /* 1815461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1815474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815495 */     // GIR_Coverage, 12770,
     /* 1815495 */     GIR_EraseRootFromParent_Done,
     /* 1815496 */   // Label 24595: @1815496
     /* 1815496 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1815582), // Rule ID 12773 //
     /* 1815501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815547 */     // MIs[0] policy
     /* 1815547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815581 */     // GIR_Coverage, 12773,
     /* 1815581 */     GIR_EraseRootFromParent_Done,
     /* 1815582 */   // Label 24596: @1815582
     /* 1815582 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1815668), // Rule ID 12774 //
     /* 1815587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1815607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815633 */     // MIs[0] policy
     /* 1815633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1815646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815667 */     // GIR_Coverage, 12774,
     /* 1815667 */     GIR_EraseRootFromParent_Done,
     /* 1815668 */   // Label 24597: @1815668
     /* 1815668 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1815754), // Rule ID 12777 //
     /* 1815673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1815693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815719 */     // MIs[0] policy
     /* 1815719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815729 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1815732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815753 */     // GIR_Coverage, 12777,
     /* 1815753 */     GIR_EraseRootFromParent_Done,
     /* 1815754 */   // Label 24598: @1815754
     /* 1815754 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1815840), // Rule ID 12778 //
     /* 1815759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1815779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815805 */     // MIs[0] policy
     /* 1815805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1815818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815839 */     // GIR_Coverage, 12778,
     /* 1815839 */     GIR_EraseRootFromParent_Done,
     /* 1815840 */   // Label 24599: @1815840
     /* 1815840 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1815926), // Rule ID 12781 //
     /* 1815845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815891 */     // MIs[0] policy
     /* 1815891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1815904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815925 */     // GIR_Coverage, 12781,
     /* 1815925 */     GIR_EraseRootFromParent_Done,
     /* 1815926 */   // Label 24600: @1815926
     /* 1815926 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816012), // Rule ID 12782 //
     /* 1815931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1815942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1815945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1815948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1815951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815977 */     // MIs[0] policy
     /* 1815977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1815990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816011 */     // GIR_Coverage, 12782,
     /* 1816011 */     GIR_EraseRootFromParent_Done,
     /* 1816012 */   // Label 24601: @1816012
     /* 1816012 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816098), // Rule ID 12785 //
     /* 1816017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816063 */     // MIs[0] policy
     /* 1816063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816073 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816097 */     // GIR_Coverage, 12785,
     /* 1816097 */     GIR_EraseRootFromParent_Done,
     /* 1816098 */   // Label 24602: @1816098
     /* 1816098 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1816184), // Rule ID 12786 //
     /* 1816103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816149 */     // MIs[0] policy
     /* 1816149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816183 */     // GIR_Coverage, 12786,
     /* 1816183 */     GIR_EraseRootFromParent_Done,
     /* 1816184 */   // Label 24603: @1816184
     /* 1816184 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1816270), // Rule ID 12789 //
     /* 1816189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816235 */     // MIs[0] policy
     /* 1816235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816245 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816269 */     // GIR_Coverage, 12789,
     /* 1816269 */     GIR_EraseRootFromParent_Done,
     /* 1816270 */   // Label 24604: @1816270
     /* 1816270 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1816356), // Rule ID 12790 //
     /* 1816275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1816295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816321 */     // MIs[0] policy
     /* 1816321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1816334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816355 */     // GIR_Coverage, 12790,
     /* 1816355 */     GIR_EraseRootFromParent_Done,
     /* 1816356 */   // Label 24605: @1816356
     /* 1816356 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1816442), // Rule ID 12793 //
     /* 1816361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816407 */     // MIs[0] policy
     /* 1816407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816441 */     // GIR_Coverage, 12793,
     /* 1816441 */     GIR_EraseRootFromParent_Done,
     /* 1816442 */   // Label 24606: @1816442
     /* 1816442 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1816528), // Rule ID 12794 //
     /* 1816447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1816467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816493 */     // MIs[0] policy
     /* 1816493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816527 */     // GIR_Coverage, 12794,
     /* 1816527 */     GIR_EraseRootFromParent_Done,
     /* 1816528 */   // Label 24607: @1816528
     /* 1816528 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1816614), // Rule ID 12797 //
     /* 1816533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816579 */     // MIs[0] policy
     /* 1816579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816613 */     // GIR_Coverage, 12797,
     /* 1816613 */     GIR_EraseRootFromParent_Done,
     /* 1816614 */   // Label 24608: @1816614
     /* 1816614 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1816700), // Rule ID 12798 //
     /* 1816619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816665 */     // MIs[0] policy
     /* 1816665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1816678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816699 */     // GIR_Coverage, 12798,
     /* 1816699 */     GIR_EraseRootFromParent_Done,
     /* 1816700 */   // Label 24609: @1816700
     /* 1816700 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1816786), // Rule ID 12801 //
     /* 1816705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816751 */     // MIs[0] policy
     /* 1816751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816761 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816785 */     // GIR_Coverage, 12801,
     /* 1816785 */     GIR_EraseRootFromParent_Done,
     /* 1816786 */   // Label 24610: @1816786
     /* 1816786 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1816872), // Rule ID 12802 //
     /* 1816791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1816811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816837 */     // MIs[0] policy
     /* 1816837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816871 */     // GIR_Coverage, 12802,
     /* 1816871 */     GIR_EraseRootFromParent_Done,
     /* 1816872 */   // Label 24611: @1816872
     /* 1816872 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1816958), // Rule ID 12805 //
     /* 1816877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816923 */     // MIs[0] policy
     /* 1816923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816957 */     // GIR_Coverage, 12805,
     /* 1816957 */     GIR_EraseRootFromParent_Done,
     /* 1816958 */   // Label 24612: @1816958
     /* 1816958 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817044), // Rule ID 12806 //
     /* 1816963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1816974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1816977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1816980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1816983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817009 */     // MIs[0] policy
     /* 1817009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817043 */     // GIR_Coverage, 12806,
     /* 1817043 */     GIR_EraseRootFromParent_Done,
     /* 1817044 */   // Label 24613: @1817044
     /* 1817044 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1817130), // Rule ID 12809 //
     /* 1817049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817095 */     // MIs[0] policy
     /* 1817095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817129 */     // GIR_Coverage, 12809,
     /* 1817129 */     GIR_EraseRootFromParent_Done,
     /* 1817130 */   // Label 24614: @1817130
     /* 1817130 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1817216), // Rule ID 12810 //
     /* 1817135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817181 */     // MIs[0] policy
     /* 1817181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817215 */     // GIR_Coverage, 12810,
     /* 1817215 */     GIR_EraseRootFromParent_Done,
     /* 1817216 */   // Label 24615: @1817216
     /* 1817216 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1817302), // Rule ID 12813 //
     /* 1817221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817267 */     // MIs[0] policy
     /* 1817267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817301 */     // GIR_Coverage, 12813,
     /* 1817301 */     GIR_EraseRootFromParent_Done,
     /* 1817302 */   // Label 24616: @1817302
     /* 1817302 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1817388), // Rule ID 12814 //
     /* 1817307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1817327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817353 */     // MIs[0] policy
     /* 1817353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1817366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817387 */     // GIR_Coverage, 12814,
     /* 1817387 */     GIR_EraseRootFromParent_Done,
     /* 1817388 */   // Label 24617: @1817388
     /* 1817388 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1817474), // Rule ID 12817 //
     /* 1817393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817439 */     // MIs[0] policy
     /* 1817439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817473 */     // GIR_Coverage, 12817,
     /* 1817473 */     GIR_EraseRootFromParent_Done,
     /* 1817474 */   // Label 24618: @1817474
     /* 1817474 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1817560), // Rule ID 12818 //
     /* 1817479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1817499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817525 */     // MIs[0] policy
     /* 1817525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817535 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817559 */     // GIR_Coverage, 12818,
     /* 1817559 */     GIR_EraseRootFromParent_Done,
     /* 1817560 */   // Label 24619: @1817560
     /* 1817560 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1817646), // Rule ID 12821 //
     /* 1817565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817611 */     // MIs[0] policy
     /* 1817611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817645 */     // GIR_Coverage, 12821,
     /* 1817645 */     GIR_EraseRootFromParent_Done,
     /* 1817646 */   // Label 24620: @1817646
     /* 1817646 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1817732), // Rule ID 12822 //
     /* 1817651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1817671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817697 */     // MIs[0] policy
     /* 1817697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817731 */     // GIR_Coverage, 12822,
     /* 1817731 */     GIR_EraseRootFromParent_Done,
     /* 1817732 */   // Label 24621: @1817732
     /* 1817732 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1817818), // Rule ID 12825 //
     /* 1817737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817783 */     // MIs[0] policy
     /* 1817783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817817 */     // GIR_Coverage, 12825,
     /* 1817817 */     GIR_EraseRootFromParent_Done,
     /* 1817818 */   // Label 24622: @1817818
     /* 1817818 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1817904), // Rule ID 12826 //
     /* 1817823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1817843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817869 */     // MIs[0] policy
     /* 1817869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817879 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817903 */     // GIR_Coverage, 12826,
     /* 1817903 */     GIR_EraseRootFromParent_Done,
     /* 1817904 */   // Label 24623: @1817904
     /* 1817904 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1817990), // Rule ID 12829 //
     /* 1817909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1817926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1817929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817955 */     // MIs[0] policy
     /* 1817955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817989 */     // GIR_Coverage, 12829,
     /* 1817989 */     GIR_EraseRootFromParent_Done,
     /* 1817990 */   // Label 24624: @1817990
     /* 1817990 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818076), // Rule ID 12830 //
     /* 1817995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818041 */     // MIs[0] policy
     /* 1818041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818075 */     // GIR_Coverage, 12830,
     /* 1818075 */     GIR_EraseRootFromParent_Done,
     /* 1818076 */   // Label 24625: @1818076
     /* 1818076 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1818162), // Rule ID 12833 //
     /* 1818081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818127 */     // MIs[0] policy
     /* 1818127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818137 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818161 */     // GIR_Coverage, 12833,
     /* 1818161 */     GIR_EraseRootFromParent_Done,
     /* 1818162 */   // Label 24626: @1818162
     /* 1818162 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1818248), // Rule ID 12834 //
     /* 1818167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818213 */     // MIs[0] policy
     /* 1818213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818247 */     // GIR_Coverage, 12834,
     /* 1818247 */     GIR_EraseRootFromParent_Done,
     /* 1818248 */   // Label 24627: @1818248
     /* 1818248 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1818334), // Rule ID 12837 //
     /* 1818253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818299 */     // MIs[0] policy
     /* 1818299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818333 */     // GIR_Coverage, 12837,
     /* 1818333 */     GIR_EraseRootFromParent_Done,
     /* 1818334 */   // Label 24628: @1818334
     /* 1818334 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1818420), // Rule ID 12838 //
     /* 1818339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1818359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818385 */     // MIs[0] policy
     /* 1818385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818395 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818419 */     // GIR_Coverage, 12838,
     /* 1818419 */     GIR_EraseRootFromParent_Done,
     /* 1818420 */   // Label 24629: @1818420
     /* 1818420 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1818506), // Rule ID 12841 //
     /* 1818425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818471 */     // MIs[0] policy
     /* 1818471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818505 */     // GIR_Coverage, 12841,
     /* 1818505 */     GIR_EraseRootFromParent_Done,
     /* 1818506 */   // Label 24630: @1818506
     /* 1818506 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1818592), // Rule ID 12842 //
     /* 1818511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1818531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818557 */     // MIs[0] policy
     /* 1818557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1818570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818591 */     // GIR_Coverage, 12842,
     /* 1818591 */     GIR_EraseRootFromParent_Done,
     /* 1818592 */   // Label 24631: @1818592
     /* 1818592 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1818678), // Rule ID 12845 //
     /* 1818597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818643 */     // MIs[0] policy
     /* 1818643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818677 */     // GIR_Coverage, 12845,
     /* 1818677 */     GIR_EraseRootFromParent_Done,
     /* 1818678 */   // Label 24632: @1818678
     /* 1818678 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1818764), // Rule ID 12846 //
     /* 1818683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1818703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818729 */     // MIs[0] policy
     /* 1818729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818763 */     // GIR_Coverage, 12846,
     /* 1818763 */     GIR_EraseRootFromParent_Done,
     /* 1818764 */   // Label 24633: @1818764
     /* 1818764 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1818850), // Rule ID 12849 //
     /* 1818769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818815 */     // MIs[0] policy
     /* 1818815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818849 */     // GIR_Coverage, 12849,
     /* 1818849 */     GIR_EraseRootFromParent_Done,
     /* 1818850 */   // Label 24634: @1818850
     /* 1818850 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1818936), // Rule ID 12850 //
     /* 1818855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1818875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818901 */     // MIs[0] policy
     /* 1818901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818935 */     // GIR_Coverage, 12850,
     /* 1818935 */     GIR_EraseRootFromParent_Done,
     /* 1818936 */   // Label 24635: @1818936
     /* 1818936 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819022), // Rule ID 12853 //
     /* 1818941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1818952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1818955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1818958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1818961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818987 */     // MIs[0] policy
     /* 1818987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819021 */     // GIR_Coverage, 12853,
     /* 1819021 */     GIR_EraseRootFromParent_Done,
     /* 1819022 */   // Label 24636: @1819022
     /* 1819022 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819108), // Rule ID 12854 //
     /* 1819027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819073 */     // MIs[0] policy
     /* 1819073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1819086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819107 */     // GIR_Coverage, 12854,
     /* 1819107 */     GIR_EraseRootFromParent_Done,
     /* 1819108 */   // Label 24637: @1819108
     /* 1819108 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1819194), // Rule ID 12857 //
     /* 1819113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819159 */     // MIs[0] policy
     /* 1819159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819193 */     // GIR_Coverage, 12857,
     /* 1819193 */     GIR_EraseRootFromParent_Done,
     /* 1819194 */   // Label 24638: @1819194
     /* 1819194 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1819280), // Rule ID 12858 //
     /* 1819199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819245 */     // MIs[0] policy
     /* 1819245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1819258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819279 */     // GIR_Coverage, 12858,
     /* 1819279 */     GIR_EraseRootFromParent_Done,
     /* 1819280 */   // Label 24639: @1819280
     /* 1819280 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1819366), // Rule ID 12861 //
     /* 1819285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819331 */     // MIs[0] policy
     /* 1819331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819365 */     // GIR_Coverage, 12861,
     /* 1819365 */     GIR_EraseRootFromParent_Done,
     /* 1819366 */   // Label 24640: @1819366
     /* 1819366 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1819452), // Rule ID 12862 //
     /* 1819371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1819391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819417 */     // MIs[0] policy
     /* 1819417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1819430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819451 */     // GIR_Coverage, 12862,
     /* 1819451 */     GIR_EraseRootFromParent_Done,
     /* 1819452 */   // Label 24641: @1819452
     /* 1819452 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1819538), // Rule ID 12865 //
     /* 1819457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819503 */     // MIs[0] policy
     /* 1819503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819513 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819537 */     // GIR_Coverage, 12865,
     /* 1819537 */     GIR_EraseRootFromParent_Done,
     /* 1819538 */   // Label 24642: @1819538
     /* 1819538 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1819624), // Rule ID 12866 //
     /* 1819543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1819563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819589 */     // MIs[0] policy
     /* 1819589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1819602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819623 */     // GIR_Coverage, 12866,
     /* 1819623 */     GIR_EraseRootFromParent_Done,
     /* 1819624 */   // Label 24643: @1819624
     /* 1819624 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1819710), // Rule ID 12869 //
     /* 1819629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819675 */     // MIs[0] policy
     /* 1819675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819685 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1819688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819709 */     // GIR_Coverage, 12869,
     /* 1819709 */     GIR_EraseRootFromParent_Done,
     /* 1819710 */   // Label 24644: @1819710
     /* 1819710 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1819796), // Rule ID 12870 //
     /* 1819715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819761 */     // MIs[0] policy
     /* 1819761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1819774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819795 */     // GIR_Coverage, 12870,
     /* 1819795 */     GIR_EraseRootFromParent_Done,
     /* 1819796 */   // Label 24645: @1819796
     /* 1819796 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1819882), // Rule ID 12873 //
     /* 1819801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819847 */     // MIs[0] policy
     /* 1819847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819881 */     // GIR_Coverage, 12873,
     /* 1819881 */     GIR_EraseRootFromParent_Done,
     /* 1819882 */   // Label 24646: @1819882
     /* 1819882 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1819968), // Rule ID 12874 //
     /* 1819887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819933 */     // MIs[0] policy
     /* 1819933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819967 */     // GIR_Coverage, 12874,
     /* 1819967 */     GIR_EraseRootFromParent_Done,
     /* 1819968 */   // Label 24647: @1819968
     /* 1819968 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820054), // Rule ID 12877 //
     /* 1819973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820019 */     // MIs[0] policy
     /* 1820019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820029 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820053 */     // GIR_Coverage, 12877,
     /* 1820053 */     GIR_EraseRootFromParent_Done,
     /* 1820054 */   // Label 24648: @1820054
     /* 1820054 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1820140), // Rule ID 12878 //
     /* 1820059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820105 */     // MIs[0] policy
     /* 1820105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1820118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820139 */     // GIR_Coverage, 12878,
     /* 1820139 */     GIR_EraseRootFromParent_Done,
     /* 1820140 */   // Label 24649: @1820140
     /* 1820140 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1820226), // Rule ID 12881 //
     /* 1820145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820191 */     // MIs[0] policy
     /* 1820191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820201 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820225 */     // GIR_Coverage, 12881,
     /* 1820225 */     GIR_EraseRootFromParent_Done,
     /* 1820226 */   // Label 24650: @1820226
     /* 1820226 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1820312), // Rule ID 12882 //
     /* 1820231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820277 */     // MIs[0] policy
     /* 1820277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820311 */     // GIR_Coverage, 12882,
     /* 1820311 */     GIR_EraseRootFromParent_Done,
     /* 1820312 */   // Label 24651: @1820312
     /* 1820312 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1820398), // Rule ID 12885 //
     /* 1820317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820363 */     // MIs[0] policy
     /* 1820363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820397 */     // GIR_Coverage, 12885,
     /* 1820397 */     GIR_EraseRootFromParent_Done,
     /* 1820398 */   // Label 24652: @1820398
     /* 1820398 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1820484), // Rule ID 12886 //
     /* 1820403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820449 */     // MIs[0] policy
     /* 1820449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1820462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820483 */     // GIR_Coverage, 12886,
     /* 1820483 */     GIR_EraseRootFromParent_Done,
     /* 1820484 */   // Label 24653: @1820484
     /* 1820484 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1820570), // Rule ID 12889 //
     /* 1820489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820535 */     // MIs[0] policy
     /* 1820535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820569 */     // GIR_Coverage, 12889,
     /* 1820569 */     GIR_EraseRootFromParent_Done,
     /* 1820570 */   // Label 24654: @1820570
     /* 1820570 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1820656), // Rule ID 12890 //
     /* 1820575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820621 */     // MIs[0] policy
     /* 1820621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820655 */     // GIR_Coverage, 12890,
     /* 1820655 */     GIR_EraseRootFromParent_Done,
     /* 1820656 */   // Label 24655: @1820656
     /* 1820656 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1820742), // Rule ID 12893 //
     /* 1820661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820707 */     // MIs[0] policy
     /* 1820707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820741 */     // GIR_Coverage, 12893,
     /* 1820741 */     GIR_EraseRootFromParent_Done,
     /* 1820742 */   // Label 24656: @1820742
     /* 1820742 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1820828), // Rule ID 12894 //
     /* 1820747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820793 */     // MIs[0] policy
     /* 1820793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820827 */     // GIR_Coverage, 12894,
     /* 1820827 */     GIR_EraseRootFromParent_Done,
     /* 1820828 */   // Label 24657: @1820828
     /* 1820828 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1820914), // Rule ID 12897 //
     /* 1820833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820879 */     // MIs[0] policy
     /* 1820879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820913 */     // GIR_Coverage, 12897,
     /* 1820913 */     GIR_EraseRootFromParent_Done,
     /* 1820914 */   // Label 24658: @1820914
     /* 1820914 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821000), // Rule ID 12898 //
     /* 1820919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820965 */     // MIs[0] policy
     /* 1820965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1820978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820999 */     // GIR_Coverage, 12898,
     /* 1820999 */     GIR_EraseRootFromParent_Done,
     /* 1821000 */   // Label 24659: @1821000
     /* 1821000 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821086), // Rule ID 12901 //
     /* 1821005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821051 */     // MIs[0] policy
     /* 1821051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821085 */     // GIR_Coverage, 12901,
     /* 1821085 */     GIR_EraseRootFromParent_Done,
     /* 1821086 */   // Label 24660: @1821086
     /* 1821086 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1821172), // Rule ID 12902 //
     /* 1821091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821137 */     // MIs[0] policy
     /* 1821137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1821150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821171 */     // GIR_Coverage, 12902,
     /* 1821171 */     GIR_EraseRootFromParent_Done,
     /* 1821172 */   // Label 24661: @1821172
     /* 1821172 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1821258), // Rule ID 12905 //
     /* 1821177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821223 */     // MIs[0] policy
     /* 1821223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821257 */     // GIR_Coverage, 12905,
     /* 1821257 */     GIR_EraseRootFromParent_Done,
     /* 1821258 */   // Label 24662: @1821258
     /* 1821258 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1821344), // Rule ID 12906 //
     /* 1821263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821309 */     // MIs[0] policy
     /* 1821309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821343 */     // GIR_Coverage, 12906,
     /* 1821343 */     GIR_EraseRootFromParent_Done,
     /* 1821344 */   // Label 24663: @1821344
     /* 1821344 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1821430), // Rule ID 12909 //
     /* 1821349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821395 */     // MIs[0] policy
     /* 1821395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821405 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821429 */     // GIR_Coverage, 12909,
     /* 1821429 */     GIR_EraseRootFromParent_Done,
     /* 1821430 */   // Label 24664: @1821430
     /* 1821430 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1821516), // Rule ID 12910 //
     /* 1821435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821481 */     // MIs[0] policy
     /* 1821481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821515 */     // GIR_Coverage, 12910,
     /* 1821515 */     GIR_EraseRootFromParent_Done,
     /* 1821516 */   // Label 24665: @1821516
     /* 1821516 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1821602), // Rule ID 12913 //
     /* 1821521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821567 */     // MIs[0] policy
     /* 1821567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821601 */     // GIR_Coverage, 12913,
     /* 1821601 */     GIR_EraseRootFromParent_Done,
     /* 1821602 */   // Label 24666: @1821602
     /* 1821602 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1821688), // Rule ID 12914 //
     /* 1821607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821653 */     // MIs[0] policy
     /* 1821653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821663 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821687 */     // GIR_Coverage, 12914,
     /* 1821687 */     GIR_EraseRootFromParent_Done,
     /* 1821688 */   // Label 24667: @1821688
     /* 1821688 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1821774), // Rule ID 12917 //
     /* 1821693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821739 */     // MIs[0] policy
     /* 1821739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821773 */     // GIR_Coverage, 12917,
     /* 1821773 */     GIR_EraseRootFromParent_Done,
     /* 1821774 */   // Label 24668: @1821774
     /* 1821774 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1821860), // Rule ID 12918 //
     /* 1821779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821825 */     // MIs[0] policy
     /* 1821825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821859 */     // GIR_Coverage, 12918,
     /* 1821859 */     GIR_EraseRootFromParent_Done,
     /* 1821860 */   // Label 24669: @1821860
     /* 1821860 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1821946), // Rule ID 12921 //
     /* 1821865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821911 */     // MIs[0] policy
     /* 1821911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821945 */     // GIR_Coverage, 12921,
     /* 1821945 */     GIR_EraseRootFromParent_Done,
     /* 1821946 */   // Label 24670: @1821946
     /* 1821946 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822032), // Rule ID 12922 //
     /* 1821951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821997 */     // MIs[0] policy
     /* 1821997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822031 */     // GIR_Coverage, 12922,
     /* 1822031 */     GIR_EraseRootFromParent_Done,
     /* 1822032 */   // Label 24671: @1822032
     /* 1822032 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822118), // Rule ID 12925 //
     /* 1822037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822083 */     // MIs[0] policy
     /* 1822083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822117 */     // GIR_Coverage, 12925,
     /* 1822117 */     GIR_EraseRootFromParent_Done,
     /* 1822118 */   // Label 24672: @1822118
     /* 1822118 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1822204), // Rule ID 12926 //
     /* 1822123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822169 */     // MIs[0] policy
     /* 1822169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822179 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822203 */     // GIR_Coverage, 12926,
     /* 1822203 */     GIR_EraseRootFromParent_Done,
     /* 1822204 */   // Label 24673: @1822204
     /* 1822204 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1822290), // Rule ID 12929 //
     /* 1822209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822255 */     // MIs[0] policy
     /* 1822255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822289 */     // GIR_Coverage, 12929,
     /* 1822289 */     GIR_EraseRootFromParent_Done,
     /* 1822290 */   // Label 24674: @1822290
     /* 1822290 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1822376), // Rule ID 12930 //
     /* 1822295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822341 */     // MIs[0] policy
     /* 1822341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822375 */     // GIR_Coverage, 12930,
     /* 1822375 */     GIR_EraseRootFromParent_Done,
     /* 1822376 */   // Label 24675: @1822376
     /* 1822376 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1822462), // Rule ID 12933 //
     /* 1822381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822427 */     // MIs[0] policy
     /* 1822427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822437 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822461 */     // GIR_Coverage, 12933,
     /* 1822461 */     GIR_EraseRootFromParent_Done,
     /* 1822462 */   // Label 24676: @1822462
     /* 1822462 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1822548), // Rule ID 12934 //
     /* 1822467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822513 */     // MIs[0] policy
     /* 1822513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822547 */     // GIR_Coverage, 12934,
     /* 1822547 */     GIR_EraseRootFromParent_Done,
     /* 1822548 */   // Label 24677: @1822548
     /* 1822548 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1822634), // Rule ID 12937 //
     /* 1822553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822599 */     // MIs[0] policy
     /* 1822599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822609 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822633 */     // GIR_Coverage, 12937,
     /* 1822633 */     GIR_EraseRootFromParent_Done,
     /* 1822634 */   // Label 24678: @1822634
     /* 1822634 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1822720), // Rule ID 12938 //
     /* 1822639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822685 */     // MIs[0] policy
     /* 1822685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822695 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822719 */     // GIR_Coverage, 12938,
     /* 1822719 */     GIR_EraseRootFromParent_Done,
     /* 1822720 */   // Label 24679: @1822720
     /* 1822720 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1822806), // Rule ID 12941 //
     /* 1822725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822771 */     // MIs[0] policy
     /* 1822771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822805 */     // GIR_Coverage, 12941,
     /* 1822805 */     GIR_EraseRootFromParent_Done,
     /* 1822806 */   // Label 24680: @1822806
     /* 1822806 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1822892), // Rule ID 12942 //
     /* 1822811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822857 */     // MIs[0] policy
     /* 1822857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1822870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822891 */     // GIR_Coverage, 12942,
     /* 1822891 */     GIR_EraseRootFromParent_Done,
     /* 1822892 */   // Label 24681: @1822892
     /* 1822892 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1822978), // Rule ID 12945 //
     /* 1822897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822943 */     // MIs[0] policy
     /* 1822943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1822956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822977 */     // GIR_Coverage, 12945,
     /* 1822977 */     GIR_EraseRootFromParent_Done,
     /* 1822978 */   // Label 24682: @1822978
     /* 1822978 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823064), // Rule ID 12946 //
     /* 1822983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823029 */     // MIs[0] policy
     /* 1823029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823039 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1823042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823063 */     // GIR_Coverage, 12946,
     /* 1823063 */     GIR_EraseRootFromParent_Done,
     /* 1823064 */   // Label 24683: @1823064
     /* 1823064 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1823150), // Rule ID 12949 //
     /* 1823069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823115 */     // MIs[0] policy
     /* 1823115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823149 */     // GIR_Coverage, 12949,
     /* 1823149 */     GIR_EraseRootFromParent_Done,
     /* 1823150 */   // Label 24684: @1823150
     /* 1823150 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1823236), // Rule ID 12950 //
     /* 1823155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823201 */     // MIs[0] policy
     /* 1823201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823211 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1823214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823235 */     // GIR_Coverage, 12950,
     /* 1823235 */     GIR_EraseRootFromParent_Done,
     /* 1823236 */   // Label 24685: @1823236
     /* 1823236 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1823322), // Rule ID 12953 //
     /* 1823241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823287 */     // MIs[0] policy
     /* 1823287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823321 */     // GIR_Coverage, 12953,
     /* 1823321 */     GIR_EraseRootFromParent_Done,
     /* 1823322 */   // Label 24686: @1823322
     /* 1823322 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1823408), // Rule ID 12954 //
     /* 1823327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823373 */     // MIs[0] policy
     /* 1823373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1823386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823407 */     // GIR_Coverage, 12954,
     /* 1823407 */     GIR_EraseRootFromParent_Done,
     /* 1823408 */   // Label 24687: @1823408
     /* 1823408 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1823494), // Rule ID 12957 //
     /* 1823413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823459 */     // MIs[0] policy
     /* 1823459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823469 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823493 */     // GIR_Coverage, 12957,
     /* 1823493 */     GIR_EraseRootFromParent_Done,
     /* 1823494 */   // Label 24688: @1823494
     /* 1823494 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1823580), // Rule ID 12958 //
     /* 1823499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823545 */     // MIs[0] policy
     /* 1823545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823579 */     // GIR_Coverage, 12958,
     /* 1823579 */     GIR_EraseRootFromParent_Done,
     /* 1823580 */   // Label 24689: @1823580
     /* 1823580 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1823666), // Rule ID 12961 //
     /* 1823585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823631 */     // MIs[0] policy
     /* 1823631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823665 */     // GIR_Coverage, 12961,
     /* 1823665 */     GIR_EraseRootFromParent_Done,
     /* 1823666 */   // Label 24690: @1823666
     /* 1823666 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1823752), // Rule ID 12962 //
     /* 1823671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823717 */     // MIs[0] policy
     /* 1823717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823751 */     // GIR_Coverage, 12962,
     /* 1823751 */     GIR_EraseRootFromParent_Done,
     /* 1823752 */   // Label 24691: @1823752
     /* 1823752 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1823838), // Rule ID 12965 //
     /* 1823757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823803 */     // MIs[0] policy
     /* 1823803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823813 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823837 */     // GIR_Coverage, 12965,
     /* 1823837 */     GIR_EraseRootFromParent_Done,
     /* 1823838 */   // Label 24692: @1823838
     /* 1823838 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1823924), // Rule ID 12966 //
     /* 1823843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823889 */     // MIs[0] policy
     /* 1823889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1823902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823923 */     // GIR_Coverage, 12966,
     /* 1823923 */     GIR_EraseRootFromParent_Done,
     /* 1823924 */   // Label 24693: @1823924
     /* 1823924 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824010), // Rule ID 12969 //
     /* 1823929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823975 */     // MIs[0] policy
     /* 1823975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823985 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824009 */     // GIR_Coverage, 12969,
     /* 1824009 */     GIR_EraseRootFromParent_Done,
     /* 1824010 */   // Label 24694: @1824010
     /* 1824010 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824096), // Rule ID 12970 //
     /* 1824015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824061 */     // MIs[0] policy
     /* 1824061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824095 */     // GIR_Coverage, 12970,
     /* 1824095 */     GIR_EraseRootFromParent_Done,
     /* 1824096 */   // Label 24695: @1824096
     /* 1824096 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1824182), // Rule ID 12973 //
     /* 1824101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824147 */     // MIs[0] policy
     /* 1824147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824181 */     // GIR_Coverage, 12973,
     /* 1824181 */     GIR_EraseRootFromParent_Done,
     /* 1824182 */   // Label 24696: @1824182
     /* 1824182 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1824268), // Rule ID 12974 //
     /* 1824187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824233 */     // MIs[0] policy
     /* 1824233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1824246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824267 */     // GIR_Coverage, 12974,
     /* 1824267 */     GIR_EraseRootFromParent_Done,
     /* 1824268 */   // Label 24697: @1824268
     /* 1824268 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1824354), // Rule ID 12977 //
     /* 1824273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824319 */     // MIs[0] policy
     /* 1824319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824329 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824353 */     // GIR_Coverage, 12977,
     /* 1824353 */     GIR_EraseRootFromParent_Done,
     /* 1824354 */   // Label 24698: @1824354
     /* 1824354 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1824440), // Rule ID 12978 //
     /* 1824359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824405 */     // MIs[0] policy
     /* 1824405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824439 */     // GIR_Coverage, 12978,
     /* 1824439 */     GIR_EraseRootFromParent_Done,
     /* 1824440 */   // Label 24699: @1824440
     /* 1824440 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1824526), // Rule ID 12981 //
     /* 1824445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824491 */     // MIs[0] policy
     /* 1824491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824525 */     // GIR_Coverage, 12981,
     /* 1824525 */     GIR_EraseRootFromParent_Done,
     /* 1824526 */   // Label 24700: @1824526
     /* 1824526 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1824612), // Rule ID 12982 //
     /* 1824531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824577 */     // MIs[0] policy
     /* 1824577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824611 */     // GIR_Coverage, 12982,
     /* 1824611 */     GIR_EraseRootFromParent_Done,
     /* 1824612 */   // Label 24701: @1824612
     /* 1824612 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1824698), // Rule ID 12985 //
     /* 1824617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824663 */     // MIs[0] policy
     /* 1824663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824697 */     // GIR_Coverage, 12985,
     /* 1824697 */     GIR_EraseRootFromParent_Done,
     /* 1824698 */   // Label 24702: @1824698
     /* 1824698 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1824784), // Rule ID 12986 //
     /* 1824703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824749 */     // MIs[0] policy
     /* 1824749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824783 */     // GIR_Coverage, 12986,
     /* 1824783 */     GIR_EraseRootFromParent_Done,
     /* 1824784 */   // Label 24703: @1824784
     /* 1824784 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1824870), // Rule ID 12989 //
     /* 1824789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824835 */     // MIs[0] policy
     /* 1824835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824869 */     // GIR_Coverage, 12989,
     /* 1824869 */     GIR_EraseRootFromParent_Done,
     /* 1824870 */   // Label 24704: @1824870
     /* 1824870 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1824956), // Rule ID 12990 //
     /* 1824875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824921 */     // MIs[0] policy
     /* 1824921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1824934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824955 */     // GIR_Coverage, 12990,
     /* 1824955 */     GIR_EraseRootFromParent_Done,
     /* 1824956 */   // Label 24705: @1824956
     /* 1824956 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825042), // Rule ID 12993 //
     /* 1824961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825007 */     // MIs[0] policy
     /* 1825007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825017 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825041 */     // GIR_Coverage, 12993,
     /* 1825041 */     GIR_EraseRootFromParent_Done,
     /* 1825042 */   // Label 24706: @1825042
     /* 1825042 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1825128), // Rule ID 12994 //
     /* 1825047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825093 */     // MIs[0] policy
     /* 1825093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825127 */     // GIR_Coverage, 12994,
     /* 1825127 */     GIR_EraseRootFromParent_Done,
     /* 1825128 */   // Label 24707: @1825128
     /* 1825128 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1825214), // Rule ID 12997 //
     /* 1825133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825179 */     // MIs[0] policy
     /* 1825179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825213 */     // GIR_Coverage, 12997,
     /* 1825213 */     GIR_EraseRootFromParent_Done,
     /* 1825214 */   // Label 24708: @1825214
     /* 1825214 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1825300), // Rule ID 12998 //
     /* 1825219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825265 */     // MIs[0] policy
     /* 1825265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825299 */     // GIR_Coverage, 12998,
     /* 1825299 */     GIR_EraseRootFromParent_Done,
     /* 1825300 */   // Label 24709: @1825300
     /* 1825300 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1825386), // Rule ID 13001 //
     /* 1825305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825351 */     // MIs[0] policy
     /* 1825351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825385 */     // GIR_Coverage, 13001,
     /* 1825385 */     GIR_EraseRootFromParent_Done,
     /* 1825386 */   // Label 24710: @1825386
     /* 1825386 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1825472), // Rule ID 13002 //
     /* 1825391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825437 */     // MIs[0] policy
     /* 1825437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825471 */     // GIR_Coverage, 13002,
     /* 1825471 */     GIR_EraseRootFromParent_Done,
     /* 1825472 */   // Label 24711: @1825472
     /* 1825472 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1825558), // Rule ID 13005 //
     /* 1825477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825523 */     // MIs[0] policy
     /* 1825523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825557 */     // GIR_Coverage, 13005,
     /* 1825557 */     GIR_EraseRootFromParent_Done,
     /* 1825558 */   // Label 24712: @1825558
     /* 1825558 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1825644), // Rule ID 13006 //
     /* 1825563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825609 */     // MIs[0] policy
     /* 1825609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825643 */     // GIR_Coverage, 13006,
     /* 1825643 */     GIR_EraseRootFromParent_Done,
     /* 1825644 */   // Label 24713: @1825644
     /* 1825644 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1825730), // Rule ID 13009 //
     /* 1825649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825695 */     // MIs[0] policy
     /* 1825695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825729 */     // GIR_Coverage, 13009,
     /* 1825729 */     GIR_EraseRootFromParent_Done,
     /* 1825730 */   // Label 24714: @1825730
     /* 1825730 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1825816), // Rule ID 13010 //
     /* 1825735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825781 */     // MIs[0] policy
     /* 1825781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825791 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825815 */     // GIR_Coverage, 13010,
     /* 1825815 */     GIR_EraseRootFromParent_Done,
     /* 1825816 */   // Label 24715: @1825816
     /* 1825816 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1825902), // Rule ID 13013 //
     /* 1825821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825867 */     // MIs[0] policy
     /* 1825867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825901 */     // GIR_Coverage, 13013,
     /* 1825901 */     GIR_EraseRootFromParent_Done,
     /* 1825902 */   // Label 24716: @1825902
     /* 1825902 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1825988), // Rule ID 13014 //
     /* 1825907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825953 */     // MIs[0] policy
     /* 1825953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825987 */     // GIR_Coverage, 13014,
     /* 1825987 */     GIR_EraseRootFromParent_Done,
     /* 1825988 */   // Label 24717: @1825988
     /* 1825988 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826074), // Rule ID 13017 //
     /* 1825993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826039 */     // MIs[0] policy
     /* 1826039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826073 */     // GIR_Coverage, 13017,
     /* 1826073 */     GIR_EraseRootFromParent_Done,
     /* 1826074 */   // Label 24718: @1826074
     /* 1826074 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1826160), // Rule ID 13018 //
     /* 1826079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826125 */     // MIs[0] policy
     /* 1826125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826159 */     // GIR_Coverage, 13018,
     /* 1826159 */     GIR_EraseRootFromParent_Done,
     /* 1826160 */   // Label 24719: @1826160
     /* 1826160 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1826246), // Rule ID 13021 //
     /* 1826165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826211 */     // MIs[0] policy
     /* 1826211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826245 */     // GIR_Coverage, 13021,
     /* 1826245 */     GIR_EraseRootFromParent_Done,
     /* 1826246 */   // Label 24720: @1826246
     /* 1826246 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1826332), // Rule ID 13022 //
     /* 1826251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826297 */     // MIs[0] policy
     /* 1826297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826331 */     // GIR_Coverage, 13022,
     /* 1826331 */     GIR_EraseRootFromParent_Done,
     /* 1826332 */   // Label 24721: @1826332
     /* 1826332 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1826418), // Rule ID 13025 //
     /* 1826337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826383 */     // MIs[0] policy
     /* 1826383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826417 */     // GIR_Coverage, 13025,
     /* 1826417 */     GIR_EraseRootFromParent_Done,
     /* 1826418 */   // Label 24722: @1826418
     /* 1826418 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1826504), // Rule ID 13026 //
     /* 1826423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826469 */     // MIs[0] policy
     /* 1826469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826503 */     // GIR_Coverage, 13026,
     /* 1826503 */     GIR_EraseRootFromParent_Done,
     /* 1826504 */   // Label 24723: @1826504
     /* 1826504 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1826590), // Rule ID 13029 //
     /* 1826509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826555 */     // MIs[0] policy
     /* 1826555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826565 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826589 */     // GIR_Coverage, 13029,
     /* 1826589 */     GIR_EraseRootFromParent_Done,
     /* 1826590 */   // Label 24724: @1826590
     /* 1826590 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1826676), // Rule ID 13030 //
     /* 1826595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826641 */     // MIs[0] policy
     /* 1826641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1826654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826675 */     // GIR_Coverage, 13030,
     /* 1826675 */     GIR_EraseRootFromParent_Done,
     /* 1826676 */   // Label 24725: @1826676
     /* 1826676 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1826762), // Rule ID 13033 //
     /* 1826681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826727 */     // MIs[0] policy
     /* 1826727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826761 */     // GIR_Coverage, 13033,
     /* 1826761 */     GIR_EraseRootFromParent_Done,
     /* 1826762 */   // Label 24726: @1826762
     /* 1826762 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1826848), // Rule ID 13034 //
     /* 1826767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826813 */     // MIs[0] policy
     /* 1826813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1826826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826847 */     // GIR_Coverage, 13034,
     /* 1826847 */     GIR_EraseRootFromParent_Done,
     /* 1826848 */   // Label 24727: @1826848
     /* 1826848 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1826934), // Rule ID 13037 //
     /* 1826853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826899 */     // MIs[0] policy
     /* 1826899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826933 */     // GIR_Coverage, 13037,
     /* 1826933 */     GIR_EraseRootFromParent_Done,
     /* 1826934 */   // Label 24728: @1826934
     /* 1826934 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827020), // Rule ID 13038 //
     /* 1826939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826985 */     // MIs[0] policy
     /* 1826985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826995 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1826998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827019 */     // GIR_Coverage, 13038,
     /* 1827019 */     GIR_EraseRootFromParent_Done,
     /* 1827020 */   // Label 24729: @1827020
     /* 1827020 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827106), // Rule ID 13041 //
     /* 1827025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827071 */     // MIs[0] policy
     /* 1827071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827081 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827105 */     // GIR_Coverage, 13041,
     /* 1827105 */     GIR_EraseRootFromParent_Done,
     /* 1827106 */   // Label 24730: @1827106
     /* 1827106 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1827192), // Rule ID 13042 //
     /* 1827111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827157 */     // MIs[0] policy
     /* 1827157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1827170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827191 */     // GIR_Coverage, 13042,
     /* 1827191 */     GIR_EraseRootFromParent_Done,
     /* 1827192 */   // Label 24731: @1827192
     /* 1827192 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1827278), // Rule ID 13045 //
     /* 1827197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827243 */     // MIs[0] policy
     /* 1827243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827253 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827277 */     // GIR_Coverage, 13045,
     /* 1827277 */     GIR_EraseRootFromParent_Done,
     /* 1827278 */   // Label 24732: @1827278
     /* 1827278 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1827364), // Rule ID 13046 //
     /* 1827283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827329 */     // MIs[0] policy
     /* 1827329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827363 */     // GIR_Coverage, 13046,
     /* 1827363 */     GIR_EraseRootFromParent_Done,
     /* 1827364 */   // Label 24733: @1827364
     /* 1827364 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1827450), // Rule ID 13049 //
     /* 1827369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827415 */     // MIs[0] policy
     /* 1827415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827449 */     // GIR_Coverage, 13049,
     /* 1827449 */     GIR_EraseRootFromParent_Done,
     /* 1827450 */   // Label 24734: @1827450
     /* 1827450 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1827536), // Rule ID 13050 //
     /* 1827455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827501 */     // MIs[0] policy
     /* 1827501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827535 */     // GIR_Coverage, 13050,
     /* 1827535 */     GIR_EraseRootFromParent_Done,
     /* 1827536 */   // Label 24735: @1827536
     /* 1827536 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1827622), // Rule ID 13053 //
     /* 1827541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827587 */     // MIs[0] policy
     /* 1827587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827621 */     // GIR_Coverage, 13053,
     /* 1827621 */     GIR_EraseRootFromParent_Done,
     /* 1827622 */   // Label 24736: @1827622
     /* 1827622 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1827708), // Rule ID 13054 //
     /* 1827627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827673 */     // MIs[0] policy
     /* 1827673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1827686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827707 */     // GIR_Coverage, 13054,
     /* 1827707 */     GIR_EraseRootFromParent_Done,
     /* 1827708 */   // Label 24737: @1827708
     /* 1827708 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1827794), // Rule ID 13057 //
     /* 1827713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827759 */     // MIs[0] policy
     /* 1827759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827769 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827793 */     // GIR_Coverage, 13057,
     /* 1827793 */     GIR_EraseRootFromParent_Done,
     /* 1827794 */   // Label 24738: @1827794
     /* 1827794 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1827880), // Rule ID 13058 //
     /* 1827799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827845 */     // MIs[0] policy
     /* 1827845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827879 */     // GIR_Coverage, 13058,
     /* 1827879 */     GIR_EraseRootFromParent_Done,
     /* 1827880 */   // Label 24739: @1827880
     /* 1827880 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1827966), // Rule ID 13061 //
     /* 1827885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827931 */     // MIs[0] policy
     /* 1827931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1827944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827965 */     // GIR_Coverage, 13061,
     /* 1827965 */     GIR_EraseRootFromParent_Done,
     /* 1827966 */   // Label 24740: @1827966
     /* 1827966 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828052), // Rule ID 13062 //
     /* 1827971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828017 */     // MIs[0] policy
     /* 1828017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1828030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828051 */     // GIR_Coverage, 13062,
     /* 1828051 */     GIR_EraseRootFromParent_Done,
     /* 1828052 */   // Label 24741: @1828052
     /* 1828052 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1828138), // Rule ID 13065 //
     /* 1828057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828103 */     // MIs[0] policy
     /* 1828103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828137 */     // GIR_Coverage, 13065,
     /* 1828137 */     GIR_EraseRootFromParent_Done,
     /* 1828138 */   // Label 24742: @1828138
     /* 1828138 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1828224), // Rule ID 13066 //
     /* 1828143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828189 */     // MIs[0] policy
     /* 1828189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828223 */     // GIR_Coverage, 13066,
     /* 1828223 */     GIR_EraseRootFromParent_Done,
     /* 1828224 */   // Label 24743: @1828224
     /* 1828224 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1828310), // Rule ID 13069 //
     /* 1828229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828275 */     // MIs[0] policy
     /* 1828275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828309 */     // GIR_Coverage, 13069,
     /* 1828309 */     GIR_EraseRootFromParent_Done,
     /* 1828310 */   // Label 24744: @1828310
     /* 1828310 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1828396), // Rule ID 13070 //
     /* 1828315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828361 */     // MIs[0] policy
     /* 1828361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828395 */     // GIR_Coverage, 13070,
     /* 1828395 */     GIR_EraseRootFromParent_Done,
     /* 1828396 */   // Label 24745: @1828396
     /* 1828396 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1828482), // Rule ID 13073 //
     /* 1828401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828447 */     // MIs[0] policy
     /* 1828447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828481 */     // GIR_Coverage, 13073,
     /* 1828481 */     GIR_EraseRootFromParent_Done,
     /* 1828482 */   // Label 24746: @1828482
     /* 1828482 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1828568), // Rule ID 13074 //
     /* 1828487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828533 */     // MIs[0] policy
     /* 1828533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828567 */     // GIR_Coverage, 13074,
     /* 1828567 */     GIR_EraseRootFromParent_Done,
     /* 1828568 */   // Label 24747: @1828568
     /* 1828568 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1828654), // Rule ID 13077 //
     /* 1828573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828619 */     // MIs[0] policy
     /* 1828619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828653 */     // GIR_Coverage, 13077,
     /* 1828653 */     GIR_EraseRootFromParent_Done,
     /* 1828654 */   // Label 24748: @1828654
     /* 1828654 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1828740), // Rule ID 13078 //
     /* 1828659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828705 */     // MIs[0] policy
     /* 1828705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1828718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828739 */     // GIR_Coverage, 13078,
     /* 1828739 */     GIR_EraseRootFromParent_Done,
     /* 1828740 */   // Label 24749: @1828740
     /* 1828740 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1828826), // Rule ID 13081 //
     /* 1828745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828791 */     // MIs[0] policy
     /* 1828791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828801 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828825 */     // GIR_Coverage, 13081,
     /* 1828825 */     GIR_EraseRootFromParent_Done,
     /* 1828826 */   // Label 24750: @1828826
     /* 1828826 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1828912), // Rule ID 13082 //
     /* 1828831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828877 */     // MIs[0] policy
     /* 1828877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828887 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828911 */     // GIR_Coverage, 13082,
     /* 1828911 */     GIR_EraseRootFromParent_Done,
     /* 1828912 */   // Label 24751: @1828912
     /* 1828912 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1828998), // Rule ID 13085 //
     /* 1828917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828963 */     // MIs[0] policy
     /* 1828963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828973 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1828976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828997 */     // GIR_Coverage, 13085,
     /* 1828997 */     GIR_EraseRootFromParent_Done,
     /* 1828998 */   // Label 24752: @1828998
     /* 1828998 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829084), // Rule ID 13086 //
     /* 1829003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829049 */     // MIs[0] policy
     /* 1829049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829059 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829083 */     // GIR_Coverage, 13086,
     /* 1829083 */     GIR_EraseRootFromParent_Done,
     /* 1829084 */   // Label 24753: @1829084
     /* 1829084 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1829170), // Rule ID 13089 //
     /* 1829089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829135 */     // MIs[0] policy
     /* 1829135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829145 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829169 */     // GIR_Coverage, 13089,
     /* 1829169 */     GIR_EraseRootFromParent_Done,
     /* 1829170 */   // Label 24754: @1829170
     /* 1829170 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1829256), // Rule ID 13090 //
     /* 1829175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829221 */     // MIs[0] policy
     /* 1829221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829231 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829255 */     // GIR_Coverage, 13090,
     /* 1829255 */     GIR_EraseRootFromParent_Done,
     /* 1829256 */   // Label 24755: @1829256
     /* 1829256 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1829342), // Rule ID 13093 //
     /* 1829261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829307 */     // MIs[0] policy
     /* 1829307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829341 */     // GIR_Coverage, 13093,
     /* 1829341 */     GIR_EraseRootFromParent_Done,
     /* 1829342 */   // Label 24756: @1829342
     /* 1829342 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1829428), // Rule ID 13094 //
     /* 1829347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829393 */     // MIs[0] policy
     /* 1829393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829427 */     // GIR_Coverage, 13094,
     /* 1829427 */     GIR_EraseRootFromParent_Done,
     /* 1829428 */   // Label 24757: @1829428
     /* 1829428 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1829514), // Rule ID 13097 //
     /* 1829433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829479 */     // MIs[0] policy
     /* 1829479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829513 */     // GIR_Coverage, 13097,
     /* 1829513 */     GIR_EraseRootFromParent_Done,
     /* 1829514 */   // Label 24758: @1829514
     /* 1829514 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1829600), // Rule ID 13098 //
     /* 1829519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829565 */     // MIs[0] policy
     /* 1829565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829599 */     // GIR_Coverage, 13098,
     /* 1829599 */     GIR_EraseRootFromParent_Done,
     /* 1829600 */   // Label 24759: @1829600
     /* 1829600 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1829686), // Rule ID 13101 //
     /* 1829605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829651 */     // MIs[0] policy
     /* 1829651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829685 */     // GIR_Coverage, 13101,
     /* 1829685 */     GIR_EraseRootFromParent_Done,
     /* 1829686 */   // Label 24760: @1829686
     /* 1829686 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1829772), // Rule ID 13102 //
     /* 1829691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829737 */     // MIs[0] policy
     /* 1829737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829771 */     // GIR_Coverage, 13102,
     /* 1829771 */     GIR_EraseRootFromParent_Done,
     /* 1829772 */   // Label 24761: @1829772
     /* 1829772 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1829858), // Rule ID 13105 //
     /* 1829777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829823 */     // MIs[0] policy
     /* 1829823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829857 */     // GIR_Coverage, 13105,
     /* 1829857 */     GIR_EraseRootFromParent_Done,
     /* 1829858 */   // Label 24762: @1829858
     /* 1829858 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1829944), // Rule ID 13106 //
     /* 1829863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829909 */     // MIs[0] policy
     /* 1829909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829943 */     // GIR_Coverage, 13106,
     /* 1829943 */     GIR_EraseRootFromParent_Done,
     /* 1829944 */   // Label 24763: @1829944
     /* 1829944 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830030), // Rule ID 13109 //
     /* 1829949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829995 */     // MIs[0] policy
     /* 1829995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830029 */     // GIR_Coverage, 13109,
     /* 1830029 */     GIR_EraseRootFromParent_Done,
     /* 1830030 */   // Label 24764: @1830030
     /* 1830030 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830116), // Rule ID 13110 //
     /* 1830035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830081 */     // MIs[0] policy
     /* 1830081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830115 */     // GIR_Coverage, 13110,
     /* 1830115 */     GIR_EraseRootFromParent_Done,
     /* 1830116 */   // Label 24765: @1830116
     /* 1830116 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1830202), // Rule ID 13113 //
     /* 1830121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830167 */     // MIs[0] policy
     /* 1830167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830201 */     // GIR_Coverage, 13113,
     /* 1830201 */     GIR_EraseRootFromParent_Done,
     /* 1830202 */   // Label 24766: @1830202
     /* 1830202 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1830288), // Rule ID 13114 //
     /* 1830207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830253 */     // MIs[0] policy
     /* 1830253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830263 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830287 */     // GIR_Coverage, 13114,
     /* 1830287 */     GIR_EraseRootFromParent_Done,
     /* 1830288 */   // Label 24767: @1830288
     /* 1830288 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1830374), // Rule ID 13117 //
     /* 1830293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830339 */     // MIs[0] policy
     /* 1830339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830373 */     // GIR_Coverage, 13117,
     /* 1830373 */     GIR_EraseRootFromParent_Done,
     /* 1830374 */   // Label 24768: @1830374
     /* 1830374 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1830460), // Rule ID 13118 //
     /* 1830379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830425 */     // MIs[0] policy
     /* 1830425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1830438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830459 */     // GIR_Coverage, 13118,
     /* 1830459 */     GIR_EraseRootFromParent_Done,
     /* 1830460 */   // Label 24769: @1830460
     /* 1830460 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1830546), // Rule ID 13121 //
     /* 1830465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830511 */     // MIs[0] policy
     /* 1830511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830521 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830545 */     // GIR_Coverage, 13121,
     /* 1830545 */     GIR_EraseRootFromParent_Done,
     /* 1830546 */   // Label 24770: @1830546
     /* 1830546 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1830632), // Rule ID 13122 //
     /* 1830551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830597 */     // MIs[0] policy
     /* 1830597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830607 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1830610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830631 */     // GIR_Coverage, 13122,
     /* 1830631 */     GIR_EraseRootFromParent_Done,
     /* 1830632 */   // Label 24771: @1830632
     /* 1830632 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1830718), // Rule ID 13125 //
     /* 1830637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830683 */     // MIs[0] policy
     /* 1830683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830717 */     // GIR_Coverage, 13125,
     /* 1830717 */     GIR_EraseRootFromParent_Done,
     /* 1830718 */   // Label 24772: @1830718
     /* 1830718 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1830804), // Rule ID 13126 //
     /* 1830723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830769 */     // MIs[0] policy
     /* 1830769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1830782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830803 */     // GIR_Coverage, 13126,
     /* 1830803 */     GIR_EraseRootFromParent_Done,
     /* 1830804 */   // Label 24773: @1830804
     /* 1830804 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1830890), // Rule ID 13129 //
     /* 1830809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830855 */     // MIs[0] policy
     /* 1830855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830865 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1830868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830889 */     // GIR_Coverage, 13129,
     /* 1830889 */     GIR_EraseRootFromParent_Done,
     /* 1830890 */   // Label 24774: @1830890
     /* 1830890 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1830976), // Rule ID 13130 //
     /* 1830895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830941 */     // MIs[0] policy
     /* 1830941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1830954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830975 */     // GIR_Coverage, 13130,
     /* 1830975 */     GIR_EraseRootFromParent_Done,
     /* 1830976 */   // Label 24775: @1830976
     /* 1830976 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831062), // Rule ID 13133 //
     /* 1830981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831027 */     // MIs[0] policy
     /* 1831027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831061 */     // GIR_Coverage, 13133,
     /* 1831061 */     GIR_EraseRootFromParent_Done,
     /* 1831062 */   // Label 24776: @1831062
     /* 1831062 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1831148), // Rule ID 13134 //
     /* 1831067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1831084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831113 */     // MIs[0] policy
     /* 1831113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831123 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831147 */     // GIR_Coverage, 13134,
     /* 1831147 */     GIR_EraseRootFromParent_Done,
     /* 1831148 */   // Label 24777: @1831148
     /* 1831148 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1831234), // Rule ID 13137 //
     /* 1831153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831199 */     // MIs[0] policy
     /* 1831199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831209 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831233 */     // GIR_Coverage, 13137,
     /* 1831233 */     GIR_EraseRootFromParent_Done,
     /* 1831234 */   // Label 24778: @1831234
     /* 1831234 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1831320), // Rule ID 13138 //
     /* 1831239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1831256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831285 */     // MIs[0] policy
     /* 1831285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831319 */     // GIR_Coverage, 13138,
     /* 1831319 */     GIR_EraseRootFromParent_Done,
     /* 1831320 */   // Label 24779: @1831320
     /* 1831320 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1831406), // Rule ID 13141 //
     /* 1831325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831371 */     // MIs[0] policy
     /* 1831371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831381 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831405 */     // GIR_Coverage, 13141,
     /* 1831405 */     GIR_EraseRootFromParent_Done,
     /* 1831406 */   // Label 24780: @1831406
     /* 1831406 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1831492), // Rule ID 13142 //
     /* 1831411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831457 */     // MIs[0] policy
     /* 1831457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1831470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831491 */     // GIR_Coverage, 13142,
     /* 1831491 */     GIR_EraseRootFromParent_Done,
     /* 1831492 */   // Label 24781: @1831492
     /* 1831492 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1831578), // Rule ID 13145 //
     /* 1831497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831543 */     // MIs[0] policy
     /* 1831543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831577 */     // GIR_Coverage, 13145,
     /* 1831577 */     GIR_EraseRootFromParent_Done,
     /* 1831578 */   // Label 24782: @1831578
     /* 1831578 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1831664), // Rule ID 13146 //
     /* 1831583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831629 */     // MIs[0] policy
     /* 1831629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831663 */     // GIR_Coverage, 13146,
     /* 1831663 */     GIR_EraseRootFromParent_Done,
     /* 1831664 */   // Label 24783: @1831664
     /* 1831664 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1831750), // Rule ID 13149 //
     /* 1831669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831715 */     // MIs[0] policy
     /* 1831715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831749 */     // GIR_Coverage, 13149,
     /* 1831749 */     GIR_EraseRootFromParent_Done,
     /* 1831750 */   // Label 24784: @1831750
     /* 1831750 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1831836), // Rule ID 13150 //
     /* 1831755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831801 */     // MIs[0] policy
     /* 1831801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1831814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831835 */     // GIR_Coverage, 13150,
     /* 1831835 */     GIR_EraseRootFromParent_Done,
     /* 1831836 */   // Label 24785: @1831836
     /* 1831836 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1831922), // Rule ID 13153 //
     /* 1831841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831887 */     // MIs[0] policy
     /* 1831887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831921 */     // GIR_Coverage, 13153,
     /* 1831921 */     GIR_EraseRootFromParent_Done,
     /* 1831922 */   // Label 24786: @1831922
     /* 1831922 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832008), // Rule ID 13154 //
     /* 1831927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1831944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831973 */     // MIs[0] policy
     /* 1831973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832007 */     // GIR_Coverage, 13154,
     /* 1832007 */     GIR_EraseRootFromParent_Done,
     /* 1832008 */   // Label 24787: @1832008
     /* 1832008 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832094), // Rule ID 13157 //
     /* 1832013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832059 */     // MIs[0] policy
     /* 1832059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832069 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832093 */     // GIR_Coverage, 13157,
     /* 1832093 */     GIR_EraseRootFromParent_Done,
     /* 1832094 */   // Label 24788: @1832094
     /* 1832094 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1832180), // Rule ID 13158 //
     /* 1832099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1832116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832145 */     // MIs[0] policy
     /* 1832145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832179 */     // GIR_Coverage, 13158,
     /* 1832179 */     GIR_EraseRootFromParent_Done,
     /* 1832180 */   // Label 24789: @1832180
     /* 1832180 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1832266), // Rule ID 13161 //
     /* 1832185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832231 */     // MIs[0] policy
     /* 1832231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832265 */     // GIR_Coverage, 13161,
     /* 1832265 */     GIR_EraseRootFromParent_Done,
     /* 1832266 */   // Label 24790: @1832266
     /* 1832266 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1832352), // Rule ID 13162 //
     /* 1832271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832317 */     // MIs[0] policy
     /* 1832317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832351 */     // GIR_Coverage, 13162,
     /* 1832351 */     GIR_EraseRootFromParent_Done,
     /* 1832352 */   // Label 24791: @1832352
     /* 1832352 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1832438), // Rule ID 13165 //
     /* 1832357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832403 */     // MIs[0] policy
     /* 1832403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832437 */     // GIR_Coverage, 13165,
     /* 1832437 */     GIR_EraseRootFromParent_Done,
     /* 1832438 */   // Label 24792: @1832438
     /* 1832438 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1832524), // Rule ID 13166 //
     /* 1832443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1832460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832489 */     // MIs[0] policy
     /* 1832489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1832502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832523 */     // GIR_Coverage, 13166,
     /* 1832523 */     GIR_EraseRootFromParent_Done,
     /* 1832524 */   // Label 24793: @1832524
     /* 1832524 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1832610), // Rule ID 13169 //
     /* 1832529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832575 */     // MIs[0] policy
     /* 1832575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832585 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832609 */     // GIR_Coverage, 13169,
     /* 1832609 */     GIR_EraseRootFromParent_Done,
     /* 1832610 */   // Label 24794: @1832610
     /* 1832610 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1832696), // Rule ID 13170 //
     /* 1832615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1832632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832661 */     // MIs[0] policy
     /* 1832661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832695 */     // GIR_Coverage, 13170,
     /* 1832695 */     GIR_EraseRootFromParent_Done,
     /* 1832696 */   // Label 24795: @1832696
     /* 1832696 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1832782), // Rule ID 13173 //
     /* 1832701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832747 */     // MIs[0] policy
     /* 1832747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832757 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832781 */     // GIR_Coverage, 13173,
     /* 1832781 */     GIR_EraseRootFromParent_Done,
     /* 1832782 */   // Label 24796: @1832782
     /* 1832782 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1832868), // Rule ID 13174 //
     /* 1832787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1832804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832833 */     // MIs[0] policy
     /* 1832833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832843 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832867 */     // GIR_Coverage, 13174,
     /* 1832867 */     GIR_EraseRootFromParent_Done,
     /* 1832868 */   // Label 24797: @1832868
     /* 1832868 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1832954), // Rule ID 13177 //
     /* 1832873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832919 */     // MIs[0] policy
     /* 1832919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832953 */     // GIR_Coverage, 13177,
     /* 1832953 */     GIR_EraseRootFromParent_Done,
     /* 1832954 */   // Label 24798: @1832954
     /* 1832954 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833040), // Rule ID 13178 //
     /* 1832959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1832976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833005 */     // MIs[0] policy
     /* 1833005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833015 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833039 */     // GIR_Coverage, 13178,
     /* 1833039 */     GIR_EraseRootFromParent_Done,
     /* 1833040 */   // Label 24799: @1833040
     /* 1833040 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1833126), // Rule ID 13181 //
     /* 1833045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833091 */     // MIs[0] policy
     /* 1833091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833125 */     // GIR_Coverage, 13181,
     /* 1833125 */     GIR_EraseRootFromParent_Done,
     /* 1833126 */   // Label 24800: @1833126
     /* 1833126 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1833212), // Rule ID 13182 //
     /* 1833131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1833148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833177 */     // MIs[0] policy
     /* 1833177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833211 */     // GIR_Coverage, 13182,
     /* 1833211 */     GIR_EraseRootFromParent_Done,
     /* 1833212 */   // Label 24801: @1833212
     /* 1833212 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1833298), // Rule ID 13185 //
     /* 1833217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833263 */     // MIs[0] policy
     /* 1833263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833297 */     // GIR_Coverage, 13185,
     /* 1833297 */     GIR_EraseRootFromParent_Done,
     /* 1833298 */   // Label 24802: @1833298
     /* 1833298 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1833384), // Rule ID 13186 //
     /* 1833303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1833320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833349 */     // MIs[0] policy
     /* 1833349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833383 */     // GIR_Coverage, 13186,
     /* 1833383 */     GIR_EraseRootFromParent_Done,
     /* 1833384 */   // Label 24803: @1833384
     /* 1833384 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1833470), // Rule ID 13189 //
     /* 1833389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833435 */     // MIs[0] policy
     /* 1833435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833445 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833469 */     // GIR_Coverage, 13189,
     /* 1833469 */     GIR_EraseRootFromParent_Done,
     /* 1833470 */   // Label 24804: @1833470
     /* 1833470 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1833556), // Rule ID 13190 //
     /* 1833475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1833492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833521 */     // MIs[0] policy
     /* 1833521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833531 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833555 */     // GIR_Coverage, 13190,
     /* 1833555 */     GIR_EraseRootFromParent_Done,
     /* 1833556 */   // Label 24805: @1833556
     /* 1833556 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1833642), // Rule ID 13193 //
     /* 1833561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833607 */     // MIs[0] policy
     /* 1833607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833641 */     // GIR_Coverage, 13193,
     /* 1833641 */     GIR_EraseRootFromParent_Done,
     /* 1833642 */   // Label 24806: @1833642
     /* 1833642 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1833728), // Rule ID 13194 //
     /* 1833647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1833664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833693 */     // MIs[0] policy
     /* 1833693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833727 */     // GIR_Coverage, 13194,
     /* 1833727 */     GIR_EraseRootFromParent_Done,
     /* 1833728 */   // Label 24807: @1833728
     /* 1833728 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1833814), // Rule ID 13197 //
     /* 1833733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833779 */     // MIs[0] policy
     /* 1833779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833813 */     // GIR_Coverage, 13197,
     /* 1833813 */     GIR_EraseRootFromParent_Done,
     /* 1833814 */   // Label 24808: @1833814
     /* 1833814 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1833900), // Rule ID 13198 //
     /* 1833819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1833836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833865 */     // MIs[0] policy
     /* 1833865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833899 */     // GIR_Coverage, 13198,
     /* 1833899 */     GIR_EraseRootFromParent_Done,
     /* 1833900 */   // Label 24809: @1833900
     /* 1833900 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1833986), // Rule ID 13201 //
     /* 1833905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833951 */     // MIs[0] policy
     /* 1833951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833985 */     // GIR_Coverage, 13201,
     /* 1833985 */     GIR_EraseRootFromParent_Done,
     /* 1833986 */   // Label 24810: @1833986
     /* 1833986 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834072), // Rule ID 13202 //
     /* 1833991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1834008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834037 */     // MIs[0] policy
     /* 1834037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834071 */     // GIR_Coverage, 13202,
     /* 1834071 */     GIR_EraseRootFromParent_Done,
     /* 1834072 */   // Label 24811: @1834072
     /* 1834072 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1834158), // Rule ID 13205 //
     /* 1834077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834123 */     // MIs[0] policy
     /* 1834123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834157 */     // GIR_Coverage, 13205,
     /* 1834157 */     GIR_EraseRootFromParent_Done,
     /* 1834158 */   // Label 24812: @1834158
     /* 1834158 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1834244), // Rule ID 13206 //
     /* 1834163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1834180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834209 */     // MIs[0] policy
     /* 1834209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1834222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834243 */     // GIR_Coverage, 13206,
     /* 1834243 */     GIR_EraseRootFromParent_Done,
     /* 1834244 */   // Label 24813: @1834244
     /* 1834244 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1834330), // Rule ID 13209 //
     /* 1834249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834295 */     // MIs[0] policy
     /* 1834295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834329 */     // GIR_Coverage, 13209,
     /* 1834329 */     GIR_EraseRootFromParent_Done,
     /* 1834330 */   // Label 24814: @1834330
     /* 1834330 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1834416), // Rule ID 13210 //
     /* 1834335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1834352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834381 */     // MIs[0] policy
     /* 1834381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834391 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1834394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834415 */     // GIR_Coverage, 13210,
     /* 1834415 */     GIR_EraseRootFromParent_Done,
     /* 1834416 */   // Label 24815: @1834416
     /* 1834416 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1834502), // Rule ID 13213 //
     /* 1834421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834467 */     // MIs[0] policy
     /* 1834467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834477 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834501 */     // GIR_Coverage, 13213,
     /* 1834501 */     GIR_EraseRootFromParent_Done,
     /* 1834502 */   // Label 24816: @1834502
     /* 1834502 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1834588), // Rule ID 13214 //
     /* 1834507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1834524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834553 */     // MIs[0] policy
     /* 1834553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834563 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1834566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834587 */     // GIR_Coverage, 13214,
     /* 1834587 */     GIR_EraseRootFromParent_Done,
     /* 1834588 */   // Label 24817: @1834588
     /* 1834588 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1834674), // Rule ID 13217 //
     /* 1834593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834639 */     // MIs[0] policy
     /* 1834639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1834652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834673 */     // GIR_Coverage, 13217,
     /* 1834673 */     GIR_EraseRootFromParent_Done,
     /* 1834674 */   // Label 24818: @1834674
     /* 1834674 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1834760), // Rule ID 13218 //
     /* 1834679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834725 */     // MIs[0] policy
     /* 1834725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834735 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1834738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834759 */     // GIR_Coverage, 13218,
     /* 1834759 */     GIR_EraseRootFromParent_Done,
     /* 1834760 */   // Label 24819: @1834760
     /* 1834760 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1834846), // Rule ID 13221 //
     /* 1834765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834811 */     // MIs[0] policy
     /* 1834811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1834824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834845 */     // GIR_Coverage, 13221,
     /* 1834845 */     GIR_EraseRootFromParent_Done,
     /* 1834846 */   // Label 24820: @1834846
     /* 1834846 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1834932), // Rule ID 13222 //
     /* 1834851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834897 */     // MIs[0] policy
     /* 1834897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834907 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1834910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834931 */     // GIR_Coverage, 13222,
     /* 1834931 */     GIR_EraseRootFromParent_Done,
     /* 1834932 */   // Label 24821: @1834932
     /* 1834932 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835018), // Rule ID 13225 //
     /* 1834937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834983 */     // MIs[0] policy
     /* 1834983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1834996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835017 */     // GIR_Coverage, 13225,
     /* 1835017 */     GIR_EraseRootFromParent_Done,
     /* 1835018 */   // Label 24822: @1835018
     /* 1835018 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835104), // Rule ID 13226 //
     /* 1835023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835069 */     // MIs[0] policy
     /* 1835069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835103 */     // GIR_Coverage, 13226,
     /* 1835103 */     GIR_EraseRootFromParent_Done,
     /* 1835104 */   // Label 24823: @1835104
     /* 1835104 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1835190), // Rule ID 13229 //
     /* 1835109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835155 */     // MIs[0] policy
     /* 1835155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835165 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835189 */     // GIR_Coverage, 13229,
     /* 1835189 */     GIR_EraseRootFromParent_Done,
     /* 1835190 */   // Label 24824: @1835190
     /* 1835190 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1835276), // Rule ID 13230 //
     /* 1835195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835241 */     // MIs[0] policy
     /* 1835241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1835254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835275 */     // GIR_Coverage, 13230,
     /* 1835275 */     GIR_EraseRootFromParent_Done,
     /* 1835276 */   // Label 24825: @1835276
     /* 1835276 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1835362), // Rule ID 13233 //
     /* 1835281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835327 */     // MIs[0] policy
     /* 1835327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835361 */     // GIR_Coverage, 13233,
     /* 1835361 */     GIR_EraseRootFromParent_Done,
     /* 1835362 */   // Label 24826: @1835362
     /* 1835362 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1835448), // Rule ID 13234 //
     /* 1835367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835413 */     // MIs[0] policy
     /* 1835413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835447 */     // GIR_Coverage, 13234,
     /* 1835447 */     GIR_EraseRootFromParent_Done,
     /* 1835448 */   // Label 24827: @1835448
     /* 1835448 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1835534), // Rule ID 13237 //
     /* 1835453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835499 */     // MIs[0] policy
     /* 1835499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835533 */     // GIR_Coverage, 13237,
     /* 1835533 */     GIR_EraseRootFromParent_Done,
     /* 1835534 */   // Label 24828: @1835534
     /* 1835534 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1835620), // Rule ID 13238 //
     /* 1835539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835585 */     // MIs[0] policy
     /* 1835585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1835598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835619 */     // GIR_Coverage, 13238,
     /* 1835619 */     GIR_EraseRootFromParent_Done,
     /* 1835620 */   // Label 24829: @1835620
     /* 1835620 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1835706), // Rule ID 13241 //
     /* 1835625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835671 */     // MIs[0] policy
     /* 1835671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835681 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835705 */     // GIR_Coverage, 13241,
     /* 1835705 */     GIR_EraseRootFromParent_Done,
     /* 1835706 */   // Label 24830: @1835706
     /* 1835706 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1835792), // Rule ID 13242 //
     /* 1835711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835757 */     // MIs[0] policy
     /* 1835757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835791 */     // GIR_Coverage, 13242,
     /* 1835791 */     GIR_EraseRootFromParent_Done,
     /* 1835792 */   // Label 24831: @1835792
     /* 1835792 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1835878), // Rule ID 13245 //
     /* 1835797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835843 */     // MIs[0] policy
     /* 1835843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835877 */     // GIR_Coverage, 13245,
     /* 1835877 */     GIR_EraseRootFromParent_Done,
     /* 1835878 */   // Label 24832: @1835878
     /* 1835878 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1835964), // Rule ID 13246 //
     /* 1835883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835929 */     // MIs[0] policy
     /* 1835929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835963 */     // GIR_Coverage, 13246,
     /* 1835963 */     GIR_EraseRootFromParent_Done,
     /* 1835964 */   // Label 24833: @1835964
     /* 1835964 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836050), // Rule ID 13249 //
     /* 1835969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836015 */     // MIs[0] policy
     /* 1836015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836049 */     // GIR_Coverage, 13249,
     /* 1836049 */     GIR_EraseRootFromParent_Done,
     /* 1836050 */   // Label 24834: @1836050
     /* 1836050 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1836136), // Rule ID 13250 //
     /* 1836055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836101 */     // MIs[0] policy
     /* 1836101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836135 */     // GIR_Coverage, 13250,
     /* 1836135 */     GIR_EraseRootFromParent_Done,
     /* 1836136 */   // Label 24835: @1836136
     /* 1836136 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1836222), // Rule ID 13253 //
     /* 1836141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836187 */     // MIs[0] policy
     /* 1836187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836221 */     // GIR_Coverage, 13253,
     /* 1836221 */     GIR_EraseRootFromParent_Done,
     /* 1836222 */   // Label 24836: @1836222
     /* 1836222 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1836308), // Rule ID 13254 //
     /* 1836227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836273 */     // MIs[0] policy
     /* 1836273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1836286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836307 */     // GIR_Coverage, 13254,
     /* 1836307 */     GIR_EraseRootFromParent_Done,
     /* 1836308 */   // Label 24837: @1836308
     /* 1836308 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1836394), // Rule ID 13257 //
     /* 1836313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836359 */     // MIs[0] policy
     /* 1836359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836369 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836393 */     // GIR_Coverage, 13257,
     /* 1836393 */     GIR_EraseRootFromParent_Done,
     /* 1836394 */   // Label 24838: @1836394
     /* 1836394 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1836480), // Rule ID 13258 //
     /* 1836399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836445 */     // MIs[0] policy
     /* 1836445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836455 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836479 */     // GIR_Coverage, 13258,
     /* 1836479 */     GIR_EraseRootFromParent_Done,
     /* 1836480 */   // Label 24839: @1836480
     /* 1836480 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1836566), // Rule ID 13261 //
     /* 1836485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836531 */     // MIs[0] policy
     /* 1836531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836541 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836565 */     // GIR_Coverage, 13261,
     /* 1836565 */     GIR_EraseRootFromParent_Done,
     /* 1836566 */   // Label 24840: @1836566
     /* 1836566 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1836652), // Rule ID 13262 //
     /* 1836571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836617 */     // MIs[0] policy
     /* 1836617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836651 */     // GIR_Coverage, 13262,
     /* 1836651 */     GIR_EraseRootFromParent_Done,
     /* 1836652 */   // Label 24841: @1836652
     /* 1836652 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1836738), // Rule ID 13265 //
     /* 1836657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836703 */     // MIs[0] policy
     /* 1836703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836713 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836737 */     // GIR_Coverage, 13265,
     /* 1836737 */     GIR_EraseRootFromParent_Done,
     /* 1836738 */   // Label 24842: @1836738
     /* 1836738 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1836824), // Rule ID 13266 //
     /* 1836743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836789 */     // MIs[0] policy
     /* 1836789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836823 */     // GIR_Coverage, 13266,
     /* 1836823 */     GIR_EraseRootFromParent_Done,
     /* 1836824 */   // Label 24843: @1836824
     /* 1836824 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1836910), // Rule ID 13269 //
     /* 1836829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836875 */     // MIs[0] policy
     /* 1836875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836909 */     // GIR_Coverage, 13269,
     /* 1836909 */     GIR_EraseRootFromParent_Done,
     /* 1836910 */   // Label 24844: @1836910
     /* 1836910 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1836996), // Rule ID 13270 //
     /* 1836915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836961 */     // MIs[0] policy
     /* 1836961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836995 */     // GIR_Coverage, 13270,
     /* 1836995 */     GIR_EraseRootFromParent_Done,
     /* 1836996 */   // Label 24845: @1836996
     /* 1836996 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837082), // Rule ID 13273 //
     /* 1837001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837047 */     // MIs[0] policy
     /* 1837047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837057 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837081 */     // GIR_Coverage, 13273,
     /* 1837081 */     GIR_EraseRootFromParent_Done,
     /* 1837082 */   // Label 24846: @1837082
     /* 1837082 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1837168), // Rule ID 13274 //
     /* 1837087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837133 */     // MIs[0] policy
     /* 1837133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837167 */     // GIR_Coverage, 13274,
     /* 1837167 */     GIR_EraseRootFromParent_Done,
     /* 1837168 */   // Label 24847: @1837168
     /* 1837168 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1837254), // Rule ID 13277 //
     /* 1837173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837219 */     // MIs[0] policy
     /* 1837219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837253 */     // GIR_Coverage, 13277,
     /* 1837253 */     GIR_EraseRootFromParent_Done,
     /* 1837254 */   // Label 24848: @1837254
     /* 1837254 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1837340), // Rule ID 13278 //
     /* 1837259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837305 */     // MIs[0] policy
     /* 1837305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837339 */     // GIR_Coverage, 13278,
     /* 1837339 */     GIR_EraseRootFromParent_Done,
     /* 1837340 */   // Label 24849: @1837340
     /* 1837340 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1837426), // Rule ID 13281 //
     /* 1837345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837391 */     // MIs[0] policy
     /* 1837391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837425 */     // GIR_Coverage, 13281,
     /* 1837425 */     GIR_EraseRootFromParent_Done,
     /* 1837426 */   // Label 24850: @1837426
     /* 1837426 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1837512), // Rule ID 13282 //
     /* 1837431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837477 */     // MIs[0] policy
     /* 1837477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837511 */     // GIR_Coverage, 13282,
     /* 1837511 */     GIR_EraseRootFromParent_Done,
     /* 1837512 */   // Label 24851: @1837512
     /* 1837512 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1837598), // Rule ID 13285 //
     /* 1837517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837563 */     // MIs[0] policy
     /* 1837563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837597 */     // GIR_Coverage, 13285,
     /* 1837597 */     GIR_EraseRootFromParent_Done,
     /* 1837598 */   // Label 24852: @1837598
     /* 1837598 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1837684), // Rule ID 13286 //
     /* 1837603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837649 */     // MIs[0] policy
     /* 1837649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1837662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837683 */     // GIR_Coverage, 13286,
     /* 1837683 */     GIR_EraseRootFromParent_Done,
     /* 1837684 */   // Label 24853: @1837684
     /* 1837684 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1837770), // Rule ID 13289 //
     /* 1837689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837735 */     // MIs[0] policy
     /* 1837735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837769 */     // GIR_Coverage, 13289,
     /* 1837769 */     GIR_EraseRootFromParent_Done,
     /* 1837770 */   // Label 24854: @1837770
     /* 1837770 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1837856), // Rule ID 13290 //
     /* 1837775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837821 */     // MIs[0] policy
     /* 1837821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837831 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837855 */     // GIR_Coverage, 13290,
     /* 1837855 */     GIR_EraseRootFromParent_Done,
     /* 1837856 */   // Label 24855: @1837856
     /* 1837856 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1837942), // Rule ID 13293 //
     /* 1837861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837907 */     // MIs[0] policy
     /* 1837907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1837920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837941 */     // GIR_Coverage, 13293,
     /* 1837941 */     GIR_EraseRootFromParent_Done,
     /* 1837942 */   // Label 24856: @1837942
     /* 1837942 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838028), // Rule ID 13294 //
     /* 1837947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837993 */     // MIs[0] policy
     /* 1837993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1838006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838027 */     // GIR_Coverage, 13294,
     /* 1838027 */     GIR_EraseRootFromParent_Done,
     /* 1838028 */   // Label 24857: @1838028
     /* 1838028 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838114), // Rule ID 13297 //
     /* 1838033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838079 */     // MIs[0] policy
     /* 1838079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838113 */     // GIR_Coverage, 13297,
     /* 1838113 */     GIR_EraseRootFromParent_Done,
     /* 1838114 */   // Label 24858: @1838114
     /* 1838114 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1838200), // Rule ID 13298 //
     /* 1838119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838165 */     // MIs[0] policy
     /* 1838165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838175 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1838178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838199 */     // GIR_Coverage, 13298,
     /* 1838199 */     GIR_EraseRootFromParent_Done,
     /* 1838200 */   // Label 24859: @1838200
     /* 1838200 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1838286), // Rule ID 13301 //
     /* 1838205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838251 */     // MIs[0] policy
     /* 1838251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838285 */     // GIR_Coverage, 13301,
     /* 1838285 */     GIR_EraseRootFromParent_Done,
     /* 1838286 */   // Label 24860: @1838286
     /* 1838286 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1838372), // Rule ID 13302 //
     /* 1838291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838337 */     // MIs[0] policy
     /* 1838337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1838350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838371 */     // GIR_Coverage, 13302,
     /* 1838371 */     GIR_EraseRootFromParent_Done,
     /* 1838372 */   // Label 24861: @1838372
     /* 1838372 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1838458), // Rule ID 13305 //
     /* 1838377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838423 */     // MIs[0] policy
     /* 1838423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838457 */     // GIR_Coverage, 13305,
     /* 1838457 */     GIR_EraseRootFromParent_Done,
     /* 1838458 */   // Label 24862: @1838458
     /* 1838458 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1838544), // Rule ID 13306 //
     /* 1838463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1838480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838509 */     // MIs[0] policy
     /* 1838509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1838522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838543 */     // GIR_Coverage, 13306,
     /* 1838543 */     GIR_EraseRootFromParent_Done,
     /* 1838544 */   // Label 24863: @1838544
     /* 1838544 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1838630), // Rule ID 13309 //
     /* 1838549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838595 */     // MIs[0] policy
     /* 1838595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838629 */     // GIR_Coverage, 13309,
     /* 1838629 */     GIR_EraseRootFromParent_Done,
     /* 1838630 */   // Label 24864: @1838630
     /* 1838630 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1838716), // Rule ID 13310 //
     /* 1838635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1838652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838681 */     // MIs[0] policy
     /* 1838681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838715 */     // GIR_Coverage, 13310,
     /* 1838715 */     GIR_EraseRootFromParent_Done,
     /* 1838716 */   // Label 24865: @1838716
     /* 1838716 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1838802), // Rule ID 13313 //
     /* 1838721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838767 */     // MIs[0] policy
     /* 1838767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838801 */     // GIR_Coverage, 13313,
     /* 1838801 */     GIR_EraseRootFromParent_Done,
     /* 1838802 */   // Label 24866: @1838802
     /* 1838802 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1838888), // Rule ID 13314 //
     /* 1838807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838853 */     // MIs[0] policy
     /* 1838853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838863 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838887 */     // GIR_Coverage, 13314,
     /* 1838887 */     GIR_EraseRootFromParent_Done,
     /* 1838888 */   // Label 24867: @1838888
     /* 1838888 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1838974), // Rule ID 13317 //
     /* 1838893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1838904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1838907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838939 */     // MIs[0] policy
     /* 1838939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1838952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838973 */     // GIR_Coverage, 13317,
     /* 1838973 */     GIR_EraseRootFromParent_Done,
     /* 1838974 */   // Label 24868: @1838974
     /* 1838974 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839060), // Rule ID 13318 //
     /* 1838979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1838990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1838993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839025 */     // MIs[0] policy
     /* 1839025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839059 */     // GIR_Coverage, 13318,
     /* 1839059 */     GIR_EraseRootFromParent_Done,
     /* 1839060 */   // Label 24869: @1839060
     /* 1839060 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1839146), // Rule ID 13321 //
     /* 1839065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839111 */     // MIs[0] policy
     /* 1839111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839145 */     // GIR_Coverage, 13321,
     /* 1839145 */     GIR_EraseRootFromParent_Done,
     /* 1839146 */   // Label 24870: @1839146
     /* 1839146 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1839232), // Rule ID 13322 //
     /* 1839151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1839168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1839171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839197 */     // MIs[0] policy
     /* 1839197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839231 */     // GIR_Coverage, 13322,
     /* 1839231 */     GIR_EraseRootFromParent_Done,
     /* 1839232 */   // Label 24871: @1839232
     /* 1839232 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1839318), // Rule ID 13325 //
     /* 1839237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839283 */     // MIs[0] policy
     /* 1839283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839317 */     // GIR_Coverage, 13325,
     /* 1839317 */     GIR_EraseRootFromParent_Done,
     /* 1839318 */   // Label 24872: @1839318
     /* 1839318 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1839404), // Rule ID 13326 //
     /* 1839323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1839334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1839337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1839340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1839343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1839346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839369 */     // MIs[0] policy
     /* 1839369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839379 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839403 */     // GIR_Coverage, 13326,
     /* 1839403 */     GIR_EraseRootFromParent_Done,
     /* 1839404 */   // Label 24873: @1839404
     /* 1839404 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1839490), // Rule ID 13329 //
     /* 1839409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839455 */     // MIs[0] policy
     /* 1839455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839489 */     // GIR_Coverage, 13329,
     /* 1839489 */     GIR_EraseRootFromParent_Done,
     /* 1839490 */   // Label 24874: @1839490
     /* 1839490 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1839576), // Rule ID 13330 //
     /* 1839495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1839512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839541 */     // MIs[0] policy
     /* 1839541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1839554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839575 */     // GIR_Coverage, 13330,
     /* 1839575 */     GIR_EraseRootFromParent_Done,
     /* 1839576 */   // Label 24875: @1839576
     /* 1839576 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1839662), // Rule ID 13333 //
     /* 1839581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1839598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839627 */     // MIs[0] policy
     /* 1839627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839661 */     // GIR_Coverage, 13333,
     /* 1839661 */     GIR_EraseRootFromParent_Done,
     /* 1839662 */   // Label 24876: @1839662
     /* 1839662 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1839748), // Rule ID 13334 //
     /* 1839667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1839684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839713 */     // MIs[0] policy
     /* 1839713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839747 */     // GIR_Coverage, 13334,
     /* 1839747 */     GIR_EraseRootFromParent_Done,
     /* 1839748 */   // Label 24877: @1839748
     /* 1839748 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1839834), // Rule ID 13337 //
     /* 1839753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839799 */     // MIs[0] policy
     /* 1839799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839833 */     // GIR_Coverage, 13337,
     /* 1839833 */     GIR_EraseRootFromParent_Done,
     /* 1839834 */   // Label 24878: @1839834
     /* 1839834 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1839920), // Rule ID 13338 //
     /* 1839839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839885 */     // MIs[0] policy
     /* 1839885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839919 */     // GIR_Coverage, 13338,
     /* 1839919 */     GIR_EraseRootFromParent_Done,
     /* 1839920 */   // Label 24879: @1839920
     /* 1839920 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840006), // Rule ID 13341 //
     /* 1839925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1839936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1839939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839971 */     // MIs[0] policy
     /* 1839971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840005 */     // GIR_Coverage, 13341,
     /* 1840005 */     GIR_EraseRootFromParent_Done,
     /* 1840006 */   // Label 24880: @1840006
     /* 1840006 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840092), // Rule ID 13342 //
     /* 1840011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1840028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840057 */     // MIs[0] policy
     /* 1840057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840091 */     // GIR_Coverage, 13342,
     /* 1840091 */     GIR_EraseRootFromParent_Done,
     /* 1840092 */   // Label 24881: @1840092
     /* 1840092 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1840178), // Rule ID 13345 //
     /* 1840097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840143 */     // MIs[0] policy
     /* 1840143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840177 */     // GIR_Coverage, 13345,
     /* 1840177 */     GIR_EraseRootFromParent_Done,
     /* 1840178 */   // Label 24882: @1840178
     /* 1840178 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1840264), // Rule ID 13346 //
     /* 1840183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840229 */     // MIs[0] policy
     /* 1840229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840263 */     // GIR_Coverage, 13346,
     /* 1840263 */     GIR_EraseRootFromParent_Done,
     /* 1840264 */   // Label 24883: @1840264
     /* 1840264 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1840350), // Rule ID 13349 //
     /* 1840269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840315 */     // MIs[0] policy
     /* 1840315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840349 */     // GIR_Coverage, 13349,
     /* 1840349 */     GIR_EraseRootFromParent_Done,
     /* 1840350 */   // Label 24884: @1840350
     /* 1840350 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1840436), // Rule ID 13350 //
     /* 1840355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1840372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840401 */     // MIs[0] policy
     /* 1840401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1840414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840435 */     // GIR_Coverage, 13350,
     /* 1840435 */     GIR_EraseRootFromParent_Done,
     /* 1840436 */   // Label 24885: @1840436
     /* 1840436 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1840522), // Rule ID 13353 //
     /* 1840441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840487 */     // MIs[0] policy
     /* 1840487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840521 */     // GIR_Coverage, 13353,
     /* 1840521 */     GIR_EraseRootFromParent_Done,
     /* 1840522 */   // Label 24886: @1840522
     /* 1840522 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1840608), // Rule ID 13354 //
     /* 1840527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1840544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840573 */     // MIs[0] policy
     /* 1840573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1840586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840607 */     // GIR_Coverage, 13354,
     /* 1840607 */     GIR_EraseRootFromParent_Done,
     /* 1840608 */   // Label 24887: @1840608
     /* 1840608 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1840694), // Rule ID 13357 //
     /* 1840613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1840624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1840627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840659 */     // MIs[0] policy
     /* 1840659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840693 */     // GIR_Coverage, 13357,
     /* 1840693 */     GIR_EraseRootFromParent_Done,
     /* 1840694 */   // Label 24888: @1840694
     /* 1840694 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1840780), // Rule ID 13358 //
     /* 1840699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1840710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1840713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1840719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840745 */     // MIs[0] policy
     /* 1840745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1840758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840779 */     // GIR_Coverage, 13358,
     /* 1840779 */     GIR_EraseRootFromParent_Done,
     /* 1840780 */   // Label 24889: @1840780
     /* 1840780 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1840866), // Rule ID 13361 //
     /* 1840785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840831 */     // MIs[0] policy
     /* 1840831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840865 */     // GIR_Coverage, 13361,
     /* 1840865 */     GIR_EraseRootFromParent_Done,
     /* 1840866 */   // Label 24890: @1840866
     /* 1840866 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1840952), // Rule ID 13362 //
     /* 1840871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840917 */     // MIs[0] policy
     /* 1840917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1840930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840951 */     // GIR_Coverage, 13362,
     /* 1840951 */     GIR_EraseRootFromParent_Done,
     /* 1840952 */   // Label 24891: @1840952
     /* 1840952 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841038), // Rule ID 13365 //
     /* 1840957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1840968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1840971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1840977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841003 */     // MIs[0] policy
     /* 1841003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841013 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841037 */     // GIR_Coverage, 13365,
     /* 1841037 */     GIR_EraseRootFromParent_Done,
     /* 1841038 */   // Label 24892: @1841038
     /* 1841038 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841124), // Rule ID 13366 //
     /* 1841043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841089 */     // MIs[0] policy
     /* 1841089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1841102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841123 */     // GIR_Coverage, 13366,
     /* 1841123 */     GIR_EraseRootFromParent_Done,
     /* 1841124 */   // Label 24893: @1841124
     /* 1841124 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1841210), // Rule ID 13369 //
     /* 1841129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841175 */     // MIs[0] policy
     /* 1841175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841209 */     // GIR_Coverage, 13369,
     /* 1841209 */     GIR_EraseRootFromParent_Done,
     /* 1841210 */   // Label 24894: @1841210
     /* 1841210 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1841296), // Rule ID 13370 //
     /* 1841215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1841226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1841229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841261 */     // MIs[0] policy
     /* 1841261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1841274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841295 */     // GIR_Coverage, 13370,
     /* 1841295 */     GIR_EraseRootFromParent_Done,
     /* 1841296 */   // Label 24895: @1841296
     /* 1841296 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1841382), // Rule ID 13373 //
     /* 1841301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841347 */     // MIs[0] policy
     /* 1841347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841381 */     // GIR_Coverage, 13373,
     /* 1841381 */     GIR_EraseRootFromParent_Done,
     /* 1841382 */   // Label 24896: @1841382
     /* 1841382 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1841468), // Rule ID 13374 //
     /* 1841387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1841398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1841401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841433 */     // MIs[0] policy
     /* 1841433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841467 */     // GIR_Coverage, 13374,
     /* 1841467 */     GIR_EraseRootFromParent_Done,
     /* 1841468 */   // Label 24897: @1841468
     /* 1841468 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1841554), // Rule ID 13377 //
     /* 1841473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841519 */     // MIs[0] policy
     /* 1841519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841529 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841553 */     // GIR_Coverage, 13377,
     /* 1841553 */     GIR_EraseRootFromParent_Done,
     /* 1841554 */   // Label 24898: @1841554
     /* 1841554 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1841640), // Rule ID 13378 //
     /* 1841559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1841579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841605 */     // MIs[0] policy
     /* 1841605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841639 */     // GIR_Coverage, 13378,
     /* 1841639 */     GIR_EraseRootFromParent_Done,
     /* 1841640 */   // Label 24899: @1841640
     /* 1841640 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1841726), // Rule ID 13381 //
     /* 1841645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841691 */     // MIs[0] policy
     /* 1841691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841701 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841725 */     // GIR_Coverage, 13381,
     /* 1841725 */     GIR_EraseRootFromParent_Done,
     /* 1841726 */   // Label 24900: @1841726
     /* 1841726 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1841812), // Rule ID 13382 //
     /* 1841731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841777 */     // MIs[0] policy
     /* 1841777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841811 */     // GIR_Coverage, 13382,
     /* 1841811 */     GIR_EraseRootFromParent_Done,
     /* 1841812 */   // Label 24901: @1841812
     /* 1841812 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1841898), // Rule ID 13385 //
     /* 1841817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841863 */     // MIs[0] policy
     /* 1841863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1841876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841897 */     // GIR_Coverage, 13385,
     /* 1841897 */     GIR_EraseRootFromParent_Done,
     /* 1841898 */   // Label 24902: @1841898
     /* 1841898 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1841984), // Rule ID 13386 //
     /* 1841903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841949 */     // MIs[0] policy
     /* 1841949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841959 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1841962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841983 */     // GIR_Coverage, 13386,
     /* 1841983 */     GIR_EraseRootFromParent_Done,
     /* 1841984 */   // Label 24903: @1841984
     /* 1841984 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842070), // Rule ID 13389 //
     /* 1841989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842035 */     // MIs[0] policy
     /* 1842035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842069 */     // GIR_Coverage, 13389,
     /* 1842069 */     GIR_EraseRootFromParent_Done,
     /* 1842070 */   // Label 24904: @1842070
     /* 1842070 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1842156), // Rule ID 13390 //
     /* 1842075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842121 */     // MIs[0] policy
     /* 1842121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1842134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842155 */     // GIR_Coverage, 13390,
     /* 1842155 */     GIR_EraseRootFromParent_Done,
     /* 1842156 */   // Label 24905: @1842156
     /* 1842156 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1842242), // Rule ID 13393 //
     /* 1842161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842207 */     // MIs[0] policy
     /* 1842207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842241 */     // GIR_Coverage, 13393,
     /* 1842241 */     GIR_EraseRootFromParent_Done,
     /* 1842242 */   // Label 24906: @1842242
     /* 1842242 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1842328), // Rule ID 13394 //
     /* 1842247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842293 */     // MIs[0] policy
     /* 1842293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842327 */     // GIR_Coverage, 13394,
     /* 1842327 */     GIR_EraseRootFromParent_Done,
     /* 1842328 */   // Label 24907: @1842328
     /* 1842328 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1842414), // Rule ID 13397 //
     /* 1842333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842379 */     // MIs[0] policy
     /* 1842379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842413 */     // GIR_Coverage, 13397,
     /* 1842413 */     GIR_EraseRootFromParent_Done,
     /* 1842414 */   // Label 24908: @1842414
     /* 1842414 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1842500), // Rule ID 13398 //
     /* 1842419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842465 */     // MIs[0] policy
     /* 1842465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1842478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842499 */     // GIR_Coverage, 13398,
     /* 1842499 */     GIR_EraseRootFromParent_Done,
     /* 1842500 */   // Label 24909: @1842500
     /* 1842500 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1842586), // Rule ID 13401 //
     /* 1842505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842551 */     // MIs[0] policy
     /* 1842551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842585 */     // GIR_Coverage, 13401,
     /* 1842585 */     GIR_EraseRootFromParent_Done,
     /* 1842586 */   // Label 24910: @1842586
     /* 1842586 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1842672), // Rule ID 13402 //
     /* 1842591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1842611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842637 */     // MIs[0] policy
     /* 1842637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842671 */     // GIR_Coverage, 13402,
     /* 1842671 */     GIR_EraseRootFromParent_Done,
     /* 1842672 */   // Label 24911: @1842672
     /* 1842672 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1842758), // Rule ID 13405 //
     /* 1842677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1842697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842723 */     // MIs[0] policy
     /* 1842723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842757 */     // GIR_Coverage, 13405,
     /* 1842757 */     GIR_EraseRootFromParent_Done,
     /* 1842758 */   // Label 24912: @1842758
     /* 1842758 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1842844), // Rule ID 13406 //
     /* 1842763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1842783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842809 */     // MIs[0] policy
     /* 1842809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842843 */     // GIR_Coverage, 13406,
     /* 1842843 */     GIR_EraseRootFromParent_Done,
     /* 1842844 */   // Label 24913: @1842844
     /* 1842844 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1842930), // Rule ID 13409 //
     /* 1842849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842895 */     // MIs[0] policy
     /* 1842895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842929 */     // GIR_Coverage, 13409,
     /* 1842929 */     GIR_EraseRootFromParent_Done,
     /* 1842930 */   // Label 24914: @1842930
     /* 1842930 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843016), // Rule ID 13410 //
     /* 1842935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842981 */     // MIs[0] policy
     /* 1842981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1842994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843015 */     // GIR_Coverage, 13410,
     /* 1843015 */     GIR_EraseRootFromParent_Done,
     /* 1843016 */   // Label 24915: @1843016
     /* 1843016 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843102), // Rule ID 13413 //
     /* 1843021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843067 */     // MIs[0] policy
     /* 1843067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843101 */     // GIR_Coverage, 13413,
     /* 1843101 */     GIR_EraseRootFromParent_Done,
     /* 1843102 */   // Label 24916: @1843102
     /* 1843102 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1843188), // Rule ID 13414 //
     /* 1843107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1843118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1843121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843153 */     // MIs[0] policy
     /* 1843153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1843166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843187 */     // GIR_Coverage, 13414,
     /* 1843187 */     GIR_EraseRootFromParent_Done,
     /* 1843188 */   // Label 24917: @1843188
     /* 1843188 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1843274), // Rule ID 13417 //
     /* 1843193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843239 */     // MIs[0] policy
     /* 1843239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843273 */     // GIR_Coverage, 13417,
     /* 1843273 */     GIR_EraseRootFromParent_Done,
     /* 1843274 */   // Label 24918: @1843274
     /* 1843274 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1843360), // Rule ID 13418 //
     /* 1843279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1843290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1843293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1843299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843325 */     // MIs[0] policy
     /* 1843325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1843338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843359 */     // GIR_Coverage, 13418,
     /* 1843359 */     GIR_EraseRootFromParent_Done,
     /* 1843360 */   // Label 24919: @1843360
     /* 1843360 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1843446), // Rule ID 13421 //
     /* 1843365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1843368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1843382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843411 */     // MIs[0] policy
     /* 1843411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843445 */     // GIR_Coverage, 13421,
     /* 1843445 */     GIR_EraseRootFromParent_Done,
     /* 1843446 */   // Label 24920: @1843446
     /* 1843446 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1843532), // Rule ID 13422 //
     /* 1843451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1843454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1843462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1843465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1843468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1843471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843497 */     // MIs[0] policy
     /* 1843497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1843510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843531 */     // GIR_Coverage, 13422,
     /* 1843531 */     GIR_EraseRootFromParent_Done,
     /* 1843532 */   // Label 24921: @1843532
     /* 1843532 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1843618), // Rule ID 13425 //
     /* 1843537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843583 */     // MIs[0] policy
     /* 1843583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1843596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843617 */     // GIR_Coverage, 13425,
     /* 1843617 */     GIR_EraseRootFromParent_Done,
     /* 1843618 */   // Label 24922: @1843618
     /* 1843618 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1843704), // Rule ID 13426 //
     /* 1843623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843669 */     // MIs[0] policy
     /* 1843669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1843682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843703 */     // GIR_Coverage, 13426,
     /* 1843703 */     GIR_EraseRootFromParent_Done,
     /* 1843704 */   // Label 24923: @1843704
     /* 1843704 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1843790), // Rule ID 13429 //
     /* 1843709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843755 */     // MIs[0] policy
     /* 1843755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843789 */     // GIR_Coverage, 13429,
     /* 1843789 */     GIR_EraseRootFromParent_Done,
     /* 1843790 */   // Label 24924: @1843790
     /* 1843790 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1843876), // Rule ID 13430 //
     /* 1843795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843841 */     // MIs[0] policy
     /* 1843841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843875 */     // GIR_Coverage, 13430,
     /* 1843875 */     GIR_EraseRootFromParent_Done,
     /* 1843876 */   // Label 24925: @1843876
     /* 1843876 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1843962), // Rule ID 13433 //
     /* 1843881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843927 */     // MIs[0] policy
     /* 1843927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1843940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843961 */     // GIR_Coverage, 13433,
     /* 1843961 */     GIR_EraseRootFromParent_Done,
     /* 1843962 */   // Label 24926: @1843962
     /* 1843962 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844048), // Rule ID 13434 //
     /* 1843967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844013 */     // MIs[0] policy
     /* 1844013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844047 */     // GIR_Coverage, 13434,
     /* 1844047 */     GIR_EraseRootFromParent_Done,
     /* 1844048 */   // Label 24927: @1844048
     /* 1844048 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1844134), // Rule ID 13437 //
     /* 1844053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844099 */     // MIs[0] policy
     /* 1844099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844133 */     // GIR_Coverage, 13437,
     /* 1844133 */     GIR_EraseRootFromParent_Done,
     /* 1844134 */   // Label 24928: @1844134
     /* 1844134 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1844220), // Rule ID 13438 //
     /* 1844139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1844156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1844159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844185 */     // MIs[0] policy
     /* 1844185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844219 */     // GIR_Coverage, 13438,
     /* 1844219 */     GIR_EraseRootFromParent_Done,
     /* 1844220 */   // Label 24929: @1844220
     /* 1844220 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1844306), // Rule ID 13441 //
     /* 1844225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844271 */     // MIs[0] policy
     /* 1844271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844305 */     // GIR_Coverage, 13441,
     /* 1844305 */     GIR_EraseRootFromParent_Done,
     /* 1844306 */   // Label 24930: @1844306
     /* 1844306 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1844392), // Rule ID 13442 //
     /* 1844311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1844328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1844331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844357 */     // MIs[0] policy
     /* 1844357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844391 */     // GIR_Coverage, 13442,
     /* 1844391 */     GIR_EraseRootFromParent_Done,
     /* 1844392 */   // Label 24931: @1844392
     /* 1844392 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1844478), // Rule ID 13445 //
     /* 1844397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844443 */     // MIs[0] policy
     /* 1844443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844477 */     // GIR_Coverage, 13445,
     /* 1844477 */     GIR_EraseRootFromParent_Done,
     /* 1844478 */   // Label 24932: @1844478
     /* 1844478 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1844564), // Rule ID 13446 //
     /* 1844483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844529 */     // MIs[0] policy
     /* 1844529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844563 */     // GIR_Coverage, 13446,
     /* 1844563 */     GIR_EraseRootFromParent_Done,
     /* 1844564 */   // Label 24933: @1844564
     /* 1844564 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1844650), // Rule ID 13449 //
     /* 1844569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844615 */     // MIs[0] policy
     /* 1844615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844649 */     // GIR_Coverage, 13449,
     /* 1844649 */     GIR_EraseRootFromParent_Done,
     /* 1844650 */   // Label 24934: @1844650
     /* 1844650 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1844736), // Rule ID 13450 //
     /* 1844655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844701 */     // MIs[0] policy
     /* 1844701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1844714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844735 */     // GIR_Coverage, 13450,
     /* 1844735 */     GIR_EraseRootFromParent_Done,
     /* 1844736 */   // Label 24935: @1844736
     /* 1844736 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1844822), // Rule ID 13453 //
     /* 1844741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844787 */     // MIs[0] policy
     /* 1844787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844821 */     // GIR_Coverage, 13453,
     /* 1844821 */     GIR_EraseRootFromParent_Done,
     /* 1844822 */   // Label 24936: @1844822
     /* 1844822 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1844908), // Rule ID 13454 //
     /* 1844827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844873 */     // MIs[0] policy
     /* 1844873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844907 */     // GIR_Coverage, 13454,
     /* 1844907 */     GIR_EraseRootFromParent_Done,
     /* 1844908 */   // Label 24937: @1844908
     /* 1844908 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1844994), // Rule ID 13457 //
     /* 1844913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844959 */     // MIs[0] policy
     /* 1844959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844993 */     // GIR_Coverage, 13457,
     /* 1844993 */     GIR_EraseRootFromParent_Done,
     /* 1844994 */   // Label 24938: @1844994
     /* 1844994 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845080), // Rule ID 13458 //
     /* 1844999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1845016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1845019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845045 */     // MIs[0] policy
     /* 1845045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845079 */     // GIR_Coverage, 13458,
     /* 1845079 */     GIR_EraseRootFromParent_Done,
     /* 1845080 */   // Label 24939: @1845080
     /* 1845080 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1845166), // Rule ID 13461 //
     /* 1845085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845131 */     // MIs[0] policy
     /* 1845131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845165 */     // GIR_Coverage, 13461,
     /* 1845165 */     GIR_EraseRootFromParent_Done,
     /* 1845166 */   // Label 24940: @1845166
     /* 1845166 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1845252), // Rule ID 13462 //
     /* 1845171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1845188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1845191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845217 */     // MIs[0] policy
     /* 1845217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845251 */     // GIR_Coverage, 13462,
     /* 1845251 */     GIR_EraseRootFromParent_Done,
     /* 1845252 */   // Label 24941: @1845252
     /* 1845252 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1845338), // Rule ID 13465 //
     /* 1845257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845303 */     // MIs[0] policy
     /* 1845303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845313 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845337 */     // GIR_Coverage, 13465,
     /* 1845337 */     GIR_EraseRootFromParent_Done,
     /* 1845338 */   // Label 24942: @1845338
     /* 1845338 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1845424), // Rule ID 13466 //
     /* 1845343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1845360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1845363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845389 */     // MIs[0] policy
     /* 1845389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845399 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1845402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845423 */     // GIR_Coverage, 13466,
     /* 1845423 */     GIR_EraseRootFromParent_Done,
     /* 1845424 */   // Label 24943: @1845424
     /* 1845424 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1845510), // Rule ID 13469 //
     /* 1845429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845475 */     // MIs[0] policy
     /* 1845475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845485 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845509 */     // GIR_Coverage, 13469,
     /* 1845509 */     GIR_EraseRootFromParent_Done,
     /* 1845510 */   // Label 24944: @1845510
     /* 1845510 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1845596), // Rule ID 13470 //
     /* 1845515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1845526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1845529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1845535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845561 */     // MIs[0] policy
     /* 1845561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1845574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845595 */     // GIR_Coverage, 13470,
     /* 1845595 */     GIR_EraseRootFromParent_Done,
     /* 1845596 */   // Label 24945: @1845596
     /* 1845596 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1845682), // Rule ID 13473 //
     /* 1845601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845647 */     // MIs[0] policy
     /* 1845647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845657 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845681 */     // GIR_Coverage, 13473,
     /* 1845681 */     GIR_EraseRootFromParent_Done,
     /* 1845682 */   // Label 24946: @1845682
     /* 1845682 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1845768), // Rule ID 13474 //
     /* 1845687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845733 */     // MIs[0] policy
     /* 1845733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1845746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845767 */     // GIR_Coverage, 13474,
     /* 1845767 */     GIR_EraseRootFromParent_Done,
     /* 1845768 */   // Label 24947: @1845768
     /* 1845768 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1845854), // Rule ID 13477 //
     /* 1845773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845819 */     // MIs[0] policy
     /* 1845819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845853 */     // GIR_Coverage, 13477,
     /* 1845853 */     GIR_EraseRootFromParent_Done,
     /* 1845854 */   // Label 24948: @1845854
     /* 1845854 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1845940), // Rule ID 13478 //
     /* 1845859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845905 */     // MIs[0] policy
     /* 1845905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1845918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845939 */     // GIR_Coverage, 13478,
     /* 1845939 */     GIR_EraseRootFromParent_Done,
     /* 1845940 */   // Label 24949: @1845940
     /* 1845940 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846026), // Rule ID 13481 //
     /* 1845945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845991 */     // MIs[0] policy
     /* 1845991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846025 */     // GIR_Coverage, 13481,
     /* 1846025 */     GIR_EraseRootFromParent_Done,
     /* 1846026 */   // Label 24950: @1846026
     /* 1846026 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846112), // Rule ID 13482 //
     /* 1846031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1846042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1846045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1846048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1846051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846077 */     // MIs[0] policy
     /* 1846077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1846090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846111 */     // GIR_Coverage, 13482,
     /* 1846111 */     GIR_EraseRootFromParent_Done,
     /* 1846112 */   // Label 24951: @1846112
     /* 1846112 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1846198), // Rule ID 13485 //
     /* 1846117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846163 */     // MIs[0] policy
     /* 1846163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846197 */     // GIR_Coverage, 13485,
     /* 1846197 */     GIR_EraseRootFromParent_Done,
     /* 1846198 */   // Label 24952: @1846198
     /* 1846198 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1846284), // Rule ID 13486 //
     /* 1846203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846249 */     // MIs[0] policy
     /* 1846249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1846262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846283 */     // GIR_Coverage, 13486,
     /* 1846283 */     GIR_EraseRootFromParent_Done,
     /* 1846284 */   // Label 24953: @1846284
     /* 1846284 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1846370), // Rule ID 13489 //
     /* 1846289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846335 */     // MIs[0] policy
     /* 1846335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846369 */     // GIR_Coverage, 13489,
     /* 1846369 */     GIR_EraseRootFromParent_Done,
     /* 1846370 */   // Label 24954: @1846370
     /* 1846370 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1846456), // Rule ID 13490 //
     /* 1846375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846421 */     // MIs[0] policy
     /* 1846421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846455 */     // GIR_Coverage, 13490,
     /* 1846455 */     GIR_EraseRootFromParent_Done,
     /* 1846456 */   // Label 24955: @1846456
     /* 1846456 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1846542), // Rule ID 13493 //
     /* 1846461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846507 */     // MIs[0] policy
     /* 1846507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846541 */     // GIR_Coverage, 13493,
     /* 1846541 */     GIR_EraseRootFromParent_Done,
     /* 1846542 */   // Label 24956: @1846542
     /* 1846542 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1846628), // Rule ID 13494 //
     /* 1846547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846593 */     // MIs[0] policy
     /* 1846593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846627 */     // GIR_Coverage, 13494,
     /* 1846627 */     GIR_EraseRootFromParent_Done,
     /* 1846628 */   // Label 24957: @1846628
     /* 1846628 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1846714), // Rule ID 13497 //
     /* 1846633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846679 */     // MIs[0] policy
     /* 1846679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846713 */     // GIR_Coverage, 13497,
     /* 1846713 */     GIR_EraseRootFromParent_Done,
     /* 1846714 */   // Label 24958: @1846714
     /* 1846714 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1846800), // Rule ID 13498 //
     /* 1846719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846765 */     // MIs[0] policy
     /* 1846765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846799 */     // GIR_Coverage, 13498,
     /* 1846799 */     GIR_EraseRootFromParent_Done,
     /* 1846800 */   // Label 24959: @1846800
     /* 1846800 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1846886), // Rule ID 13501 //
     /* 1846805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846851 */     // MIs[0] policy
     /* 1846851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1846864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846885 */     // GIR_Coverage, 13501,
     /* 1846885 */     GIR_EraseRootFromParent_Done,
     /* 1846886 */   // Label 24960: @1846886
     /* 1846886 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1846972), // Rule ID 13502 //
     /* 1846891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846937 */     // MIs[0] policy
     /* 1846937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1846950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846971 */     // GIR_Coverage, 13502,
     /* 1846971 */     GIR_EraseRootFromParent_Done,
     /* 1846972 */   // Label 24961: @1846972
     /* 1846972 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847058), // Rule ID 13505 //
     /* 1846977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847023 */     // MIs[0] policy
     /* 1847023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847057 */     // GIR_Coverage, 13505,
     /* 1847057 */     GIR_EraseRootFromParent_Done,
     /* 1847058 */   // Label 24962: @1847058
     /* 1847058 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1847144), // Rule ID 13506 //
     /* 1847063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847109 */     // MIs[0] policy
     /* 1847109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847143 */     // GIR_Coverage, 13506,
     /* 1847143 */     GIR_EraseRootFromParent_Done,
     /* 1847144 */   // Label 24963: @1847144
     /* 1847144 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1847230), // Rule ID 13509 //
     /* 1847149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847195 */     // MIs[0] policy
     /* 1847195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847205 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847229 */     // GIR_Coverage, 13509,
     /* 1847229 */     GIR_EraseRootFromParent_Done,
     /* 1847230 */   // Label 24964: @1847230
     /* 1847230 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1847316), // Rule ID 13510 //
     /* 1847235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1847246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1847249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1847255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847281 */     // MIs[0] policy
     /* 1847281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1847294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847315 */     // GIR_Coverage, 13510,
     /* 1847315 */     GIR_EraseRootFromParent_Done,
     /* 1847316 */   // Label 24965: @1847316
     /* 1847316 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1847402), // Rule ID 13513 //
     /* 1847321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847367 */     // MIs[0] policy
     /* 1847367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847401 */     // GIR_Coverage, 13513,
     /* 1847401 */     GIR_EraseRootFromParent_Done,
     /* 1847402 */   // Label 24966: @1847402
     /* 1847402 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1847488), // Rule ID 13514 //
     /* 1847407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1847427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847453 */     // MIs[0] policy
     /* 1847453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1847466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847487 */     // GIR_Coverage, 13514,
     /* 1847487 */     GIR_EraseRootFromParent_Done,
     /* 1847488 */   // Label 24967: @1847488
     /* 1847488 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1847574), // Rule ID 13517 //
     /* 1847493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847539 */     // MIs[0] policy
     /* 1847539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847573 */     // GIR_Coverage, 13517,
     /* 1847573 */     GIR_EraseRootFromParent_Done,
     /* 1847574 */   // Label 24968: @1847574
     /* 1847574 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1847660), // Rule ID 13518 //
     /* 1847579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847625 */     // MIs[0] policy
     /* 1847625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847659 */     // GIR_Coverage, 13518,
     /* 1847659 */     GIR_EraseRootFromParent_Done,
     /* 1847660 */   // Label 24969: @1847660
     /* 1847660 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1847746), // Rule ID 13521 //
     /* 1847665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847711 */     // MIs[0] policy
     /* 1847711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847745 */     // GIR_Coverage, 13521,
     /* 1847745 */     GIR_EraseRootFromParent_Done,
     /* 1847746 */   // Label 24970: @1847746
     /* 1847746 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1847832), // Rule ID 13522 //
     /* 1847751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847797 */     // MIs[0] policy
     /* 1847797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847831 */     // GIR_Coverage, 13522,
     /* 1847831 */     GIR_EraseRootFromParent_Done,
     /* 1847832 */   // Label 24971: @1847832
     /* 1847832 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1847918), // Rule ID 13525 //
     /* 1847837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847883 */     // MIs[0] policy
     /* 1847883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847917 */     // GIR_Coverage, 13525,
     /* 1847917 */     GIR_EraseRootFromParent_Done,
     /* 1847918 */   // Label 24972: @1847918
     /* 1847918 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848004), // Rule ID 13526 //
     /* 1847923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847969 */     // MIs[0] policy
     /* 1847969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848003 */     // GIR_Coverage, 13526,
     /* 1848003 */     GIR_EraseRootFromParent_Done,
     /* 1848004 */   // Label 24973: @1848004
     /* 1848004 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848090), // Rule ID 13529 //
     /* 1848009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848055 */     // MIs[0] policy
     /* 1848055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848089 */     // GIR_Coverage, 13529,
     /* 1848089 */     GIR_EraseRootFromParent_Done,
     /* 1848090 */   // Label 24974: @1848090
     /* 1848090 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1848176), // Rule ID 13530 //
     /* 1848095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1848106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1848109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1848115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848141 */     // MIs[0] policy
     /* 1848141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848151 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1848154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848175 */     // GIR_Coverage, 13530,
     /* 1848175 */     GIR_EraseRootFromParent_Done,
     /* 1848176 */   // Label 24975: @1848176
     /* 1848176 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1848262), // Rule ID 13533 //
     /* 1848181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848227 */     // MIs[0] policy
     /* 1848227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848237 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848261 */     // GIR_Coverage, 13533,
     /* 1848261 */     GIR_EraseRootFromParent_Done,
     /* 1848262 */   // Label 24976: @1848262
     /* 1848262 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1848348), // Rule ID 13534 //
     /* 1848267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1848287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848313 */     // MIs[0] policy
     /* 1848313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1848326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848347 */     // GIR_Coverage, 13534,
     /* 1848347 */     GIR_EraseRootFromParent_Done,
     /* 1848348 */   // Label 24977: @1848348
     /* 1848348 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1848434), // Rule ID 13537 //
     /* 1848353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848399 */     // MIs[0] policy
     /* 1848399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848433 */     // GIR_Coverage, 13537,
     /* 1848433 */     GIR_EraseRootFromParent_Done,
     /* 1848434 */   // Label 24978: @1848434
     /* 1848434 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1848520), // Rule ID 13538 //
     /* 1848439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848485 */     // MIs[0] policy
     /* 1848485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1848498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848519 */     // GIR_Coverage, 13538,
     /* 1848519 */     GIR_EraseRootFromParent_Done,
     /* 1848520 */   // Label 24979: @1848520
     /* 1848520 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1848606), // Rule ID 13541 //
     /* 1848525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1848528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848571 */     // MIs[0] policy
     /* 1848571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848605 */     // GIR_Coverage, 13541,
     /* 1848605 */     GIR_EraseRootFromParent_Done,
     /* 1848606 */   // Label 24980: @1848606
     /* 1848606 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1848692), // Rule ID 13542 //
     /* 1848611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848657 */     // MIs[0] policy
     /* 1848657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1848670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848691 */     // GIR_Coverage, 13542,
     /* 1848691 */     GIR_EraseRootFromParent_Done,
     /* 1848692 */   // Label 24981: @1848692
     /* 1848692 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1848778), // Rule ID 13545 //
     /* 1848697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848743 */     // MIs[0] policy
     /* 1848743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1848756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848777 */     // GIR_Coverage, 13545,
     /* 1848777 */     GIR_EraseRootFromParent_Done,
     /* 1848778 */   // Label 24982: @1848778
     /* 1848778 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1848864), // Rule ID 13546 //
     /* 1848783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848829 */     // MIs[0] policy
     /* 1848829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1848842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848863 */     // GIR_Coverage, 13546,
     /* 1848863 */     GIR_EraseRootFromParent_Done,
     /* 1848864 */   // Label 24983: @1848864
     /* 1848864 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1848950), // Rule ID 13549 //
     /* 1848869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1848886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848915 */     // MIs[0] policy
     /* 1848915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1848928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848949 */     // GIR_Coverage, 13549,
     /* 1848949 */     GIR_EraseRootFromParent_Done,
     /* 1848950 */   // Label 24984: @1848950
     /* 1848950 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849036), // Rule ID 13550 //
     /* 1848955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1848972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849001 */     // MIs[0] policy
     /* 1849001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849035 */     // GIR_Coverage, 13550,
     /* 1849035 */     GIR_EraseRootFromParent_Done,
     /* 1849036 */   // Label 24985: @1849036
     /* 1849036 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849122), // Rule ID 13553 //
     /* 1849041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849087 */     // MIs[0] policy
     /* 1849087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849121 */     // GIR_Coverage, 13553,
     /* 1849121 */     GIR_EraseRootFromParent_Done,
     /* 1849122 */   // Label 24986: @1849122
     /* 1849122 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1849208), // Rule ID 13554 //
     /* 1849127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1849138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1849141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1849147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849173 */     // MIs[0] policy
     /* 1849173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849207 */     // GIR_Coverage, 13554,
     /* 1849207 */     GIR_EraseRootFromParent_Done,
     /* 1849208 */   // Label 24987: @1849208
     /* 1849208 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1849294), // Rule ID 13557 //
     /* 1849213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849259 */     // MIs[0] policy
     /* 1849259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849293 */     // GIR_Coverage, 13557,
     /* 1849293 */     GIR_EraseRootFromParent_Done,
     /* 1849294 */   // Label 24988: @1849294
     /* 1849294 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1849380), // Rule ID 13558 //
     /* 1849299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1849310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1849313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1849319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849345 */     // MIs[0] policy
     /* 1849345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849379 */     // GIR_Coverage, 13558,
     /* 1849379 */     GIR_EraseRootFromParent_Done,
     /* 1849380 */   // Label 24989: @1849380
     /* 1849380 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1849466), // Rule ID 13561 //
     /* 1849385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849431 */     // MIs[0] policy
     /* 1849431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849441 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849465 */     // GIR_Coverage, 13561,
     /* 1849465 */     GIR_EraseRootFromParent_Done,
     /* 1849466 */   // Label 24990: @1849466
     /* 1849466 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1849552), // Rule ID 13562 //
     /* 1849471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1849482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1849485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1849488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1849491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849517 */     // MIs[0] policy
     /* 1849517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849551 */     // GIR_Coverage, 13562,
     /* 1849551 */     GIR_EraseRootFromParent_Done,
     /* 1849552 */   // Label 24991: @1849552
     /* 1849552 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1849638), // Rule ID 13565 //
     /* 1849557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849603 */     // MIs[0] policy
     /* 1849603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849637 */     // GIR_Coverage, 13565,
     /* 1849637 */     GIR_EraseRootFromParent_Done,
     /* 1849638 */   // Label 24992: @1849638
     /* 1849638 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1849724), // Rule ID 13566 //
     /* 1849643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849689 */     // MIs[0] policy
     /* 1849689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849723 */     // GIR_Coverage, 13566,
     /* 1849723 */     GIR_EraseRootFromParent_Done,
     /* 1849724 */   // Label 24993: @1849724
     /* 1849724 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1849810), // Rule ID 13569 //
     /* 1849729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849775 */     // MIs[0] policy
     /* 1849775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849809 */     // GIR_Coverage, 13569,
     /* 1849809 */     GIR_EraseRootFromParent_Done,
     /* 1849810 */   // Label 24994: @1849810
     /* 1849810 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1849896), // Rule ID 13570 //
     /* 1849815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849861 */     // MIs[0] policy
     /* 1849861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849871 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1849874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849895 */     // GIR_Coverage, 13570,
     /* 1849895 */     GIR_EraseRootFromParent_Done,
     /* 1849896 */   // Label 24995: @1849896
     /* 1849896 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1849982), // Rule ID 13573 //
     /* 1849901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849947 */     // MIs[0] policy
     /* 1849947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849981 */     // GIR_Coverage, 13573,
     /* 1849981 */     GIR_EraseRootFromParent_Done,
     /* 1849982 */   // Label 24996: @1849982
     /* 1849982 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850068), // Rule ID 13574 //
     /* 1849987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850033 */     // MIs[0] policy
     /* 1850033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850067 */     // GIR_Coverage, 13574,
     /* 1850067 */     GIR_EraseRootFromParent_Done,
     /* 1850068 */   // Label 24997: @1850068
     /* 1850068 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1850154), // Rule ID 13577 //
     /* 1850073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850119 */     // MIs[0] policy
     /* 1850119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850153 */     // GIR_Coverage, 13577,
     /* 1850153 */     GIR_EraseRootFromParent_Done,
     /* 1850154 */   // Label 24998: @1850154
     /* 1850154 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1850240), // Rule ID 13578 //
     /* 1850159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1850170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1850173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850205 */     // MIs[0] policy
     /* 1850205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850239 */     // GIR_Coverage, 13578,
     /* 1850239 */     GIR_EraseRootFromParent_Done,
     /* 1850240 */   // Label 24999: @1850240
     /* 1850240 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1850326), // Rule ID 13581 //
     /* 1850245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850291 */     // MIs[0] policy
     /* 1850291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850325 */     // GIR_Coverage, 13581,
     /* 1850325 */     GIR_EraseRootFromParent_Done,
     /* 1850326 */   // Label 25000: @1850326
     /* 1850326 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1850412), // Rule ID 13582 //
     /* 1850331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1850342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1850345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850377 */     // MIs[0] policy
     /* 1850377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850411 */     // GIR_Coverage, 13582,
     /* 1850411 */     GIR_EraseRootFromParent_Done,
     /* 1850412 */   // Label 25001: @1850412
     /* 1850412 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1850498), // Rule ID 13585 //
     /* 1850417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850463 */     // MIs[0] policy
     /* 1850463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850497 */     // GIR_Coverage, 13585,
     /* 1850497 */     GIR_EraseRootFromParent_Done,
     /* 1850498 */   // Label 25002: @1850498
     /* 1850498 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1850584), // Rule ID 13586 //
     /* 1850503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1850514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1850517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1850520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850549 */     // MIs[0] policy
     /* 1850549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850583 */     // GIR_Coverage, 13586,
     /* 1850583 */     GIR_EraseRootFromParent_Done,
     /* 1850584 */   // Label 25003: @1850584
     /* 1850584 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1850670), // Rule ID 13589 //
     /* 1850589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850635 */     // MIs[0] policy
     /* 1850635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850669 */     // GIR_Coverage, 13589,
     /* 1850669 */     GIR_EraseRootFromParent_Done,
     /* 1850670 */   // Label 25004: @1850670
     /* 1850670 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1850756), // Rule ID 13590 //
     /* 1850675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850721 */     // MIs[0] policy
     /* 1850721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1850734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850755 */     // GIR_Coverage, 13590,
     /* 1850755 */     GIR_EraseRootFromParent_Done,
     /* 1850756 */   // Label 25005: @1850756
     /* 1850756 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1850842), // Rule ID 13593 //
     /* 1850761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850807 */     // MIs[0] policy
     /* 1850807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850841 */     // GIR_Coverage, 13593,
     /* 1850841 */     GIR_EraseRootFromParent_Done,
     /* 1850842 */   // Label 25006: @1850842
     /* 1850842 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1850928), // Rule ID 13594 //
     /* 1850847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850893 */     // MIs[0] policy
     /* 1850893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1850906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850927 */     // GIR_Coverage, 13594,
     /* 1850927 */     GIR_EraseRootFromParent_Done,
     /* 1850928 */   // Label 25007: @1850928
     /* 1850928 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851014), // Rule ID 13597 //
     /* 1850933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1850950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850979 */     // MIs[0] policy
     /* 1850979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1850992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851013 */     // GIR_Coverage, 13597,
     /* 1851013 */     GIR_EraseRootFromParent_Done,
     /* 1851014 */   // Label 25008: @1851014
     /* 1851014 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851100), // Rule ID 13598 //
     /* 1851019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851065 */     // MIs[0] policy
     /* 1851065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1851078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851099 */     // GIR_Coverage, 13598,
     /* 1851099 */     GIR_EraseRootFromParent_Done,
     /* 1851100 */   // Label 25009: @1851100
     /* 1851100 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1851186), // Rule ID 13601 //
     /* 1851105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851151 */     // MIs[0] policy
     /* 1851151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851185 */     // GIR_Coverage, 13601,
     /* 1851185 */     GIR_EraseRootFromParent_Done,
     /* 1851186 */   // Label 25010: @1851186
     /* 1851186 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1851272), // Rule ID 13602 //
     /* 1851191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1851202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1851205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1851211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851237 */     // MIs[0] policy
     /* 1851237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1851250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851271 */     // GIR_Coverage, 13602,
     /* 1851271 */     GIR_EraseRootFromParent_Done,
     /* 1851272 */   // Label 25011: @1851272
     /* 1851272 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1851358), // Rule ID 13605 //
     /* 1851277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851323 */     // MIs[0] policy
     /* 1851323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851357 */     // GIR_Coverage, 13605,
     /* 1851357 */     GIR_EraseRootFromParent_Done,
     /* 1851358 */   // Label 25012: @1851358
     /* 1851358 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1851444), // Rule ID 13606 //
     /* 1851363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1851383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851409 */     // MIs[0] policy
     /* 1851409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1851422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851443 */     // GIR_Coverage, 13606,
     /* 1851443 */     GIR_EraseRootFromParent_Done,
     /* 1851444 */   // Label 25013: @1851444
     /* 1851444 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1851530), // Rule ID 13609 //
     /* 1851449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851495 */     // MIs[0] policy
     /* 1851495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851529 */     // GIR_Coverage, 13609,
     /* 1851529 */     GIR_EraseRootFromParent_Done,
     /* 1851530 */   // Label 25014: @1851530
     /* 1851530 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1851616), // Rule ID 13610 //
     /* 1851535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1851555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851581 */     // MIs[0] policy
     /* 1851581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851615 */     // GIR_Coverage, 13610,
     /* 1851615 */     GIR_EraseRootFromParent_Done,
     /* 1851616 */   // Label 25015: @1851616
     /* 1851616 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1851702), // Rule ID 13613 //
     /* 1851621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851667 */     // MIs[0] policy
     /* 1851667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851701 */     // GIR_Coverage, 13613,
     /* 1851701 */     GIR_EraseRootFromParent_Done,
     /* 1851702 */   // Label 25016: @1851702
     /* 1851702 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1851788), // Rule ID 13614 //
     /* 1851707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851753 */     // MIs[0] policy
     /* 1851753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851787 */     // GIR_Coverage, 13614,
     /* 1851787 */     GIR_EraseRootFromParent_Done,
     /* 1851788 */   // Label 25017: @1851788
     /* 1851788 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1851874), // Rule ID 13617 //
     /* 1851793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851839 */     // MIs[0] policy
     /* 1851839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851873 */     // GIR_Coverage, 13617,
     /* 1851873 */     GIR_EraseRootFromParent_Done,
     /* 1851874 */   // Label 25018: @1851874
     /* 1851874 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1851960), // Rule ID 13618 //
     /* 1851879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851925 */     // MIs[0] policy
     /* 1851925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851959 */     // GIR_Coverage, 13618,
     /* 1851959 */     GIR_EraseRootFromParent_Done,
     /* 1851960 */   // Label 25019: @1851960
     /* 1851960 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852046), // Rule ID 13621 //
     /* 1851965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852011 */     // MIs[0] policy
     /* 1852011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852021 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852045 */     // GIR_Coverage, 13621,
     /* 1852045 */     GIR_EraseRootFromParent_Done,
     /* 1852046 */   // Label 25020: @1852046
     /* 1852046 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1852132), // Rule ID 13622 //
     /* 1852051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852097 */     // MIs[0] policy
     /* 1852097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852131 */     // GIR_Coverage, 13622,
     /* 1852131 */     GIR_EraseRootFromParent_Done,
     /* 1852132 */   // Label 25021: @1852132
     /* 1852132 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1852218), // Rule ID 13625 //
     /* 1852137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852183 */     // MIs[0] policy
     /* 1852183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852193 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852217 */     // GIR_Coverage, 13625,
     /* 1852217 */     GIR_EraseRootFromParent_Done,
     /* 1852218 */   // Label 25022: @1852218
     /* 1852218 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1852304), // Rule ID 13626 //
     /* 1852223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1852234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1852237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852269 */     // MIs[0] policy
     /* 1852269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852303 */     // GIR_Coverage, 13626,
     /* 1852303 */     GIR_EraseRootFromParent_Done,
     /* 1852304 */   // Label 25023: @1852304
     /* 1852304 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1852390), // Rule ID 13629 //
     /* 1852309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852355 */     // MIs[0] policy
     /* 1852355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852365 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852389 */     // GIR_Coverage, 13629,
     /* 1852389 */     GIR_EraseRootFromParent_Done,
     /* 1852390 */   // Label 25024: @1852390
     /* 1852390 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1852476), // Rule ID 13630 //
     /* 1852395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1852415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852441 */     // MIs[0] policy
     /* 1852441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1852454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852475 */     // GIR_Coverage, 13630,
     /* 1852475 */     GIR_EraseRootFromParent_Done,
     /* 1852476 */   // Label 25025: @1852476
     /* 1852476 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1852562), // Rule ID 13633 //
     /* 1852481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852527 */     // MIs[0] policy
     /* 1852527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852561 */     // GIR_Coverage, 13633,
     /* 1852561 */     GIR_EraseRootFromParent_Done,
     /* 1852562 */   // Label 25026: @1852562
     /* 1852562 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1852648), // Rule ID 13634 //
     /* 1852567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852613 */     // MIs[0] policy
     /* 1852613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852647 */     // GIR_Coverage, 13634,
     /* 1852647 */     GIR_EraseRootFromParent_Done,
     /* 1852648 */   // Label 25027: @1852648
     /* 1852648 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1852734), // Rule ID 13637 //
     /* 1852653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852699 */     // MIs[0] policy
     /* 1852699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852733 */     // GIR_Coverage, 13637,
     /* 1852733 */     GIR_EraseRootFromParent_Done,
     /* 1852734 */   // Label 25028: @1852734
     /* 1852734 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1852820), // Rule ID 13638 //
     /* 1852739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852785 */     // MIs[0] policy
     /* 1852785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852819 */     // GIR_Coverage, 13638,
     /* 1852819 */     GIR_EraseRootFromParent_Done,
     /* 1852820 */   // Label 25029: @1852820
     /* 1852820 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1852906), // Rule ID 13641 //
     /* 1852825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852871 */     // MIs[0] policy
     /* 1852871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852905 */     // GIR_Coverage, 13641,
     /* 1852905 */     GIR_EraseRootFromParent_Done,
     /* 1852906 */   // Label 25030: @1852906
     /* 1852906 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1852992), // Rule ID 13642 //
     /* 1852911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852957 */     // MIs[0] policy
     /* 1852957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852991 */     // GIR_Coverage, 13642,
     /* 1852991 */     GIR_EraseRootFromParent_Done,
     /* 1852992 */   // Label 25031: @1852992
     /* 1852992 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853078), // Rule ID 13645 //
     /* 1852997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853043 */     // MIs[0] policy
     /* 1853043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853077 */     // GIR_Coverage, 13645,
     /* 1853077 */     GIR_EraseRootFromParent_Done,
     /* 1853078 */   // Label 25032: @1853078
     /* 1853078 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1853164), // Rule ID 13646 //
     /* 1853083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853129 */     // MIs[0] policy
     /* 1853129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853163 */     // GIR_Coverage, 13646,
     /* 1853163 */     GIR_EraseRootFromParent_Done,
     /* 1853164 */   // Label 25033: @1853164
     /* 1853164 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1853250), // Rule ID 13649 //
     /* 1853169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853215 */     // MIs[0] policy
     /* 1853215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853249 */     // GIR_Coverage, 13649,
     /* 1853249 */     GIR_EraseRootFromParent_Done,
     /* 1853250 */   // Label 25034: @1853250
     /* 1853250 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1853336), // Rule ID 13650 //
     /* 1853255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1853266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1853269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1853275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853301 */     // MIs[0] policy
     /* 1853301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1853314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853335 */     // GIR_Coverage, 13650,
     /* 1853335 */     GIR_EraseRootFromParent_Done,
     /* 1853336 */   // Label 25035: @1853336
     /* 1853336 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1853422), // Rule ID 13653 //
     /* 1853341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853387 */     // MIs[0] policy
     /* 1853387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853421 */     // GIR_Coverage, 13653,
     /* 1853421 */     GIR_EraseRootFromParent_Done,
     /* 1853422 */   // Label 25036: @1853422
     /* 1853422 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1853508), // Rule ID 13654 //
     /* 1853427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1853447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853473 */     // MIs[0] policy
     /* 1853473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1853486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853507 */     // GIR_Coverage, 13654,
     /* 1853507 */     GIR_EraseRootFromParent_Done,
     /* 1853508 */   // Label 25037: @1853508
     /* 1853508 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1853594), // Rule ID 13657 //
     /* 1853513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853559 */     // MIs[0] policy
     /* 1853559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853593 */     // GIR_Coverage, 13657,
     /* 1853593 */     GIR_EraseRootFromParent_Done,
     /* 1853594 */   // Label 25038: @1853594
     /* 1853594 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1853680), // Rule ID 13658 //
     /* 1853599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853645 */     // MIs[0] policy
     /* 1853645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1853658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853679 */     // GIR_Coverage, 13658,
     /* 1853679 */     GIR_EraseRootFromParent_Done,
     /* 1853680 */   // Label 25039: @1853680
     /* 1853680 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1853766), // Rule ID 13661 //
     /* 1853685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853731 */     // MIs[0] policy
     /* 1853731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853765 */     // GIR_Coverage, 13661,
     /* 1853765 */     GIR_EraseRootFromParent_Done,
     /* 1853766 */   // Label 25040: @1853766
     /* 1853766 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1853852), // Rule ID 13662 //
     /* 1853771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853817 */     // MIs[0] policy
     /* 1853817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1853830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853851 */     // GIR_Coverage, 13662,
     /* 1853851 */     GIR_EraseRootFromParent_Done,
     /* 1853852 */   // Label 25041: @1853852
     /* 1853852 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1853938), // Rule ID 13665 //
     /* 1853857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853903 */     // MIs[0] policy
     /* 1853903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1853916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853937 */     // GIR_Coverage, 13665,
     /* 1853937 */     GIR_EraseRootFromParent_Done,
     /* 1853938 */   // Label 25042: @1853938
     /* 1853938 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854024), // Rule ID 13666 //
     /* 1853943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853989 */     // MIs[0] policy
     /* 1853989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1854002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854023 */     // GIR_Coverage, 13666,
     /* 1854023 */     GIR_EraseRootFromParent_Done,
     /* 1854024 */   // Label 25043: @1854024
     /* 1854024 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854110), // Rule ID 13669 //
     /* 1854029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854075 */     // MIs[0] policy
     /* 1854075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854109 */     // GIR_Coverage, 13669,
     /* 1854109 */     GIR_EraseRootFromParent_Done,
     /* 1854110 */   // Label 25044: @1854110
     /* 1854110 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1854196), // Rule ID 13670 //
     /* 1854115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1854126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1854129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854161 */     // MIs[0] policy
     /* 1854161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854195 */     // GIR_Coverage, 13670,
     /* 1854195 */     GIR_EraseRootFromParent_Done,
     /* 1854196 */   // Label 25045: @1854196
     /* 1854196 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1854282), // Rule ID 13673 //
     /* 1854201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854247 */     // MIs[0] policy
     /* 1854247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854281 */     // GIR_Coverage, 13673,
     /* 1854281 */     GIR_EraseRootFromParent_Done,
     /* 1854282 */   // Label 25046: @1854282
     /* 1854282 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1854368), // Rule ID 13674 //
     /* 1854287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1854298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1854301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854333 */     // MIs[0] policy
     /* 1854333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854367 */     // GIR_Coverage, 13674,
     /* 1854367 */     GIR_EraseRootFromParent_Done,
     /* 1854368 */   // Label 25047: @1854368
     /* 1854368 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1854454), // Rule ID 13677 //
     /* 1854373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854419 */     // MIs[0] policy
     /* 1854419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854453 */     // GIR_Coverage, 13677,
     /* 1854453 */     GIR_EraseRootFromParent_Done,
     /* 1854454 */   // Label 25048: @1854454
     /* 1854454 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1854540), // Rule ID 13678 //
     /* 1854459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1854470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1854473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1854479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854505 */     // MIs[0] policy
     /* 1854505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854539 */     // GIR_Coverage, 13678,
     /* 1854539 */     GIR_EraseRootFromParent_Done,
     /* 1854540 */   // Label 25049: @1854540
     /* 1854540 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1854626), // Rule ID 13681 //
     /* 1854545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854591 */     // MIs[0] policy
     /* 1854591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854625 */     // GIR_Coverage, 13681,
     /* 1854625 */     GIR_EraseRootFromParent_Done,
     /* 1854626 */   // Label 25050: @1854626
     /* 1854626 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1854712), // Rule ID 13682 //
     /* 1854631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854677 */     // MIs[0] policy
     /* 1854677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854711 */     // GIR_Coverage, 13682,
     /* 1854711 */     GIR_EraseRootFromParent_Done,
     /* 1854712 */   // Label 25051: @1854712
     /* 1854712 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1854798), // Rule ID 13685 //
     /* 1854717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854763 */     // MIs[0] policy
     /* 1854763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854797 */     // GIR_Coverage, 13685,
     /* 1854797 */     GIR_EraseRootFromParent_Done,
     /* 1854798 */   // Label 25052: @1854798
     /* 1854798 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1854884), // Rule ID 13686 //
     /* 1854803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854849 */     // MIs[0] policy
     /* 1854849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854883 */     // GIR_Coverage, 13686,
     /* 1854883 */     GIR_EraseRootFromParent_Done,
     /* 1854884 */   // Label 25053: @1854884
     /* 1854884 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1854970), // Rule ID 13689 //
     /* 1854889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854935 */     // MIs[0] policy
     /* 1854935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1854948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854969 */     // GIR_Coverage, 13689,
     /* 1854969 */     GIR_EraseRootFromParent_Done,
     /* 1854970 */   // Label 25054: @1854970
     /* 1854970 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855056), // Rule ID 13690 //
     /* 1854975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855021 */     // MIs[0] policy
     /* 1855021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1855034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855055 */     // GIR_Coverage, 13690,
     /* 1855055 */     GIR_EraseRootFromParent_Done,
     /* 1855056 */   // Label 25055: @1855056
     /* 1855056 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1855142), // Rule ID 13693 //
     /* 1855061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855107 */     // MIs[0] policy
     /* 1855107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855141 */     // GIR_Coverage, 13693,
     /* 1855141 */     GIR_EraseRootFromParent_Done,
     /* 1855142 */   // Label 25056: @1855142
     /* 1855142 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1855228), // Rule ID 13694 //
     /* 1855147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855193 */     // MIs[0] policy
     /* 1855193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855227 */     // GIR_Coverage, 13694,
     /* 1855227 */     GIR_EraseRootFromParent_Done,
     /* 1855228 */   // Label 25057: @1855228
     /* 1855228 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1855314), // Rule ID 13697 //
     /* 1855233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855279 */     // MIs[0] policy
     /* 1855279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855313 */     // GIR_Coverage, 13697,
     /* 1855313 */     GIR_EraseRootFromParent_Done,
     /* 1855314 */   // Label 25058: @1855314
     /* 1855314 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1855400), // Rule ID 13698 //
     /* 1855319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1855330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1855333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855365 */     // MIs[0] policy
     /* 1855365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855399 */     // GIR_Coverage, 13698,
     /* 1855399 */     GIR_EraseRootFromParent_Done,
     /* 1855400 */   // Label 25059: @1855400
     /* 1855400 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1855486), // Rule ID 13701 //
     /* 1855405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855451 */     // MIs[0] policy
     /* 1855451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855485 */     // GIR_Coverage, 13701,
     /* 1855485 */     GIR_EraseRootFromParent_Done,
     /* 1855486 */   // Label 25060: @1855486
     /* 1855486 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1855572), // Rule ID 13702 //
     /* 1855491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1855502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1855505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1855511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855537 */     // MIs[0] policy
     /* 1855537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855571 */     // GIR_Coverage, 13702,
     /* 1855571 */     GIR_EraseRootFromParent_Done,
     /* 1855572 */   // Label 25061: @1855572
     /* 1855572 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1855658), // Rule ID 13705 //
     /* 1855577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855623 */     // MIs[0] policy
     /* 1855623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855657 */     // GIR_Coverage, 13705,
     /* 1855657 */     GIR_EraseRootFromParent_Done,
     /* 1855658 */   // Label 25062: @1855658
     /* 1855658 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1855744), // Rule ID 13706 //
     /* 1855663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855709 */     // MIs[0] policy
     /* 1855709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855743 */     // GIR_Coverage, 13706,
     /* 1855743 */     GIR_EraseRootFromParent_Done,
     /* 1855744 */   // Label 25063: @1855744
     /* 1855744 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1855830), // Rule ID 13709 //
     /* 1855749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855795 */     // MIs[0] policy
     /* 1855795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855805 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855829 */     // GIR_Coverage, 13709,
     /* 1855829 */     GIR_EraseRootFromParent_Done,
     /* 1855830 */   // Label 25064: @1855830
     /* 1855830 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1855916), // Rule ID 13710 //
     /* 1855835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855881 */     // MIs[0] policy
     /* 1855881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1855894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855915 */     // GIR_Coverage, 13710,
     /* 1855915 */     GIR_EraseRootFromParent_Done,
     /* 1855916 */   // Label 25065: @1855916
     /* 1855916 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856002), // Rule ID 13713 //
     /* 1855921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855967 */     // MIs[0] policy
     /* 1855967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1855980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856001 */     // GIR_Coverage, 13713,
     /* 1856001 */     GIR_EraseRootFromParent_Done,
     /* 1856002 */   // Label 25066: @1856002
     /* 1856002 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1856088), // Rule ID 13714 //
     /* 1856007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856053 */     // MIs[0] policy
     /* 1856053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856063 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1856066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856087 */     // GIR_Coverage, 13714,
     /* 1856087 */     GIR_EraseRootFromParent_Done,
     /* 1856088 */   // Label 25067: @1856088
     /* 1856088 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1856174), // Rule ID 13717 //
     /* 1856093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856139 */     // MIs[0] policy
     /* 1856139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856173 */     // GIR_Coverage, 13717,
     /* 1856173 */     GIR_EraseRootFromParent_Done,
     /* 1856174 */   // Label 25068: @1856174
     /* 1856174 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1856260), // Rule ID 13718 //
     /* 1856179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1856190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1856193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1856199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856225 */     // MIs[0] policy
     /* 1856225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1856238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856259 */     // GIR_Coverage, 13718,
     /* 1856259 */     GIR_EraseRootFromParent_Done,
     /* 1856260 */   // Label 25069: @1856260
     /* 1856260 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1856346), // Rule ID 13721 //
     /* 1856265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856311 */     // MIs[0] policy
     /* 1856311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856345 */     // GIR_Coverage, 13721,
     /* 1856345 */     GIR_EraseRootFromParent_Done,
     /* 1856346 */   // Label 25070: @1856346
     /* 1856346 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1856432), // Rule ID 13722 //
     /* 1856351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1856359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1856362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1856365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1856371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856397 */     // MIs[0] policy
     /* 1856397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856407 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1856410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856431 */     // GIR_Coverage, 13722,
     /* 1856431 */     GIR_EraseRootFromParent_Done,
     /* 1856432 */   // Label 25071: @1856432
     /* 1856432 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1856521), // Rule ID 13931 //
     /* 1856437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856483 */     // MIs[0] policy
     /* 1856483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856520 */     // GIR_Coverage, 13931,
     /* 1856520 */     GIR_EraseRootFromParent_Done,
     /* 1856521 */   // Label 25072: @1856521
     /* 1856521 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1856610), // Rule ID 13932 //
     /* 1856526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1856537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1856540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1856543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1856546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856572 */     // MIs[0] policy
     /* 1856572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1856585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856609 */     // GIR_Coverage, 13932,
     /* 1856609 */     GIR_EraseRootFromParent_Done,
     /* 1856610 */   // Label 25073: @1856610
     /* 1856610 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1856699), // Rule ID 13935 //
     /* 1856615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1856626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1856629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856661 */     // MIs[0] policy
     /* 1856661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856671 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1856674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856698 */     // GIR_Coverage, 13935,
     /* 1856698 */     GIR_EraseRootFromParent_Done,
     /* 1856699 */   // Label 25074: @1856699
     /* 1856699 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1856788), // Rule ID 13936 //
     /* 1856704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1856715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1856718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1856721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856750 */     // MIs[0] policy
     /* 1856750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1856763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856787 */     // GIR_Coverage, 13936,
     /* 1856787 */     GIR_EraseRootFromParent_Done,
     /* 1856788 */   // Label 25075: @1856788
     /* 1856788 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1856877), // Rule ID 13939 //
     /* 1856793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1856804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1856807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856839 */     // MIs[0] policy
     /* 1856839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856849 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856876 */     // GIR_Coverage, 13939,
     /* 1856876 */     GIR_EraseRootFromParent_Done,
     /* 1856877 */   // Label 25076: @1856877
     /* 1856877 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1856966), // Rule ID 13940 //
     /* 1856882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1856893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1856896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1856899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856928 */     // MIs[0] policy
     /* 1856928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856965 */     // GIR_Coverage, 13940,
     /* 1856965 */     GIR_EraseRootFromParent_Done,
     /* 1856966 */   // Label 25077: @1856966
     /* 1856966 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1857055), // Rule ID 13943 //
     /* 1856971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1856982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1856985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857017 */     // MIs[0] policy
     /* 1857017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857054 */     // GIR_Coverage, 13943,
     /* 1857054 */     GIR_EraseRootFromParent_Done,
     /* 1857055 */   // Label 25078: @1857055
     /* 1857055 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1857144), // Rule ID 13944 //
     /* 1857060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857106 */     // MIs[0] policy
     /* 1857106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1857119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857143 */     // GIR_Coverage, 13944,
     /* 1857143 */     GIR_EraseRootFromParent_Done,
     /* 1857144 */   // Label 25079: @1857144
     /* 1857144 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1857233), // Rule ID 13947 //
     /* 1857149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857195 */     // MIs[0] policy
     /* 1857195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857205 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857232 */     // GIR_Coverage, 13947,
     /* 1857232 */     GIR_EraseRootFromParent_Done,
     /* 1857233 */   // Label 25080: @1857233
     /* 1857233 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1857322), // Rule ID 13948 //
     /* 1857238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857284 */     // MIs[0] policy
     /* 1857284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857321 */     // GIR_Coverage, 13948,
     /* 1857321 */     GIR_EraseRootFromParent_Done,
     /* 1857322 */   // Label 25081: @1857322
     /* 1857322 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1857411), // Rule ID 13951 //
     /* 1857327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857373 */     // MIs[0] policy
     /* 1857373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857383 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857410 */     // GIR_Coverage, 13951,
     /* 1857410 */     GIR_EraseRootFromParent_Done,
     /* 1857411 */   // Label 25082: @1857411
     /* 1857411 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1857500), // Rule ID 13952 //
     /* 1857416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1857433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857462 */     // MIs[0] policy
     /* 1857462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1857475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857499 */     // GIR_Coverage, 13952,
     /* 1857499 */     GIR_EraseRootFromParent_Done,
     /* 1857500 */   // Label 25083: @1857500
     /* 1857500 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1857589), // Rule ID 13955 //
     /* 1857505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857551 */     // MIs[0] policy
     /* 1857551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857588 */     // GIR_Coverage, 13955,
     /* 1857588 */     GIR_EraseRootFromParent_Done,
     /* 1857589 */   // Label 25084: @1857589
     /* 1857589 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1857678), // Rule ID 13956 //
     /* 1857594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1857605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1857608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1857611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1857614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857640 */     // MIs[0] policy
     /* 1857640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857650 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857677 */     // GIR_Coverage, 13956,
     /* 1857677 */     GIR_EraseRootFromParent_Done,
     /* 1857678 */   // Label 25085: @1857678
     /* 1857678 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1857767), // Rule ID 13959 //
     /* 1857683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857729 */     // MIs[0] policy
     /* 1857729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857766 */     // GIR_Coverage, 13959,
     /* 1857766 */     GIR_EraseRootFromParent_Done,
     /* 1857767 */   // Label 25086: @1857767
     /* 1857767 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1857856), // Rule ID 13960 //
     /* 1857772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857818 */     // MIs[0] policy
     /* 1857818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857855 */     // GIR_Coverage, 13960,
     /* 1857855 */     GIR_EraseRootFromParent_Done,
     /* 1857856 */   // Label 25087: @1857856
     /* 1857856 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1857945), // Rule ID 13963 //
     /* 1857861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857907 */     // MIs[0] policy
     /* 1857907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1857920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857944 */     // GIR_Coverage, 13963,
     /* 1857944 */     GIR_EraseRootFromParent_Done,
     /* 1857945 */   // Label 25088: @1857945
     /* 1857945 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858034), // Rule ID 13964 //
     /* 1857950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857996 */     // MIs[0] policy
     /* 1857996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858033 */     // GIR_Coverage, 13964,
     /* 1858033 */     GIR_EraseRootFromParent_Done,
     /* 1858034 */   // Label 25089: @1858034
     /* 1858034 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1858123), // Rule ID 13967 //
     /* 1858039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858085 */     // MIs[0] policy
     /* 1858085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858095 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858122 */     // GIR_Coverage, 13967,
     /* 1858122 */     GIR_EraseRootFromParent_Done,
     /* 1858123 */   // Label 25090: @1858123
     /* 1858123 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1858212), // Rule ID 13968 //
     /* 1858128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1858148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858174 */     // MIs[0] policy
     /* 1858174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1858187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858211 */     // GIR_Coverage, 13968,
     /* 1858211 */     GIR_EraseRootFromParent_Done,
     /* 1858212 */   // Label 25091: @1858212
     /* 1858212 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1858301), // Rule ID 13971 //
     /* 1858217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858263 */     // MIs[0] policy
     /* 1858263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858300 */     // GIR_Coverage, 13971,
     /* 1858300 */     GIR_EraseRootFromParent_Done,
     /* 1858301 */   // Label 25092: @1858301
     /* 1858301 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1858390), // Rule ID 13972 //
     /* 1858306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1858317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1858320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1858323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858352 */     // MIs[0] policy
     /* 1858352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858362 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858389 */     // GIR_Coverage, 13972,
     /* 1858389 */     GIR_EraseRootFromParent_Done,
     /* 1858390 */   // Label 25093: @1858390
     /* 1858390 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1858479), // Rule ID 13975 //
     /* 1858395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858441 */     // MIs[0] policy
     /* 1858441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858451 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858478 */     // GIR_Coverage, 13975,
     /* 1858478 */     GIR_EraseRootFromParent_Done,
     /* 1858479 */   // Label 25094: @1858479
     /* 1858479 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1858568), // Rule ID 13976 //
     /* 1858484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1858495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1858498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1858501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858530 */     // MIs[0] policy
     /* 1858530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858567 */     // GIR_Coverage, 13976,
     /* 1858567 */     GIR_EraseRootFromParent_Done,
     /* 1858568 */   // Label 25095: @1858568
     /* 1858568 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1858657), // Rule ID 13979 //
     /* 1858573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1858584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1858587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1858590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1858593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1858596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858619 */     // MIs[0] policy
     /* 1858619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858656 */     // GIR_Coverage, 13979,
     /* 1858656 */     GIR_EraseRootFromParent_Done,
     /* 1858657 */   // Label 25096: @1858657
     /* 1858657 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1858746), // Rule ID 13980 //
     /* 1858662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1858673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1858676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1858679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1858682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1858685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858708 */     // MIs[0] policy
     /* 1858708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858745 */     // GIR_Coverage, 13980,
     /* 1858745 */     GIR_EraseRootFromParent_Done,
     /* 1858746 */   // Label 25097: @1858746
     /* 1858746 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1858835), // Rule ID 13983 //
     /* 1858751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858797 */     // MIs[0] policy
     /* 1858797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858807 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858834 */     // GIR_Coverage, 13983,
     /* 1858834 */     GIR_EraseRootFromParent_Done,
     /* 1858835 */   // Label 25098: @1858835
     /* 1858835 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1858924), // Rule ID 13984 //
     /* 1858840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858886 */     // MIs[0] policy
     /* 1858886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858923 */     // GIR_Coverage, 13984,
     /* 1858923 */     GIR_EraseRootFromParent_Done,
     /* 1858924 */   // Label 25099: @1858924
     /* 1858924 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859013), // Rule ID 13987 //
     /* 1858929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1858946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1858949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858975 */     // MIs[0] policy
     /* 1858975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858985 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859012 */     // GIR_Coverage, 13987,
     /* 1859012 */     GIR_EraseRootFromParent_Done,
     /* 1859013 */   // Label 25100: @1859013
     /* 1859013 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1859102), // Rule ID 13988 //
     /* 1859018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1859035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859064 */     // MIs[0] policy
     /* 1859064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859101 */     // GIR_Coverage, 13988,
     /* 1859101 */     GIR_EraseRootFromParent_Done,
     /* 1859102 */   // Label 25101: @1859102
     /* 1859102 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1859191), // Rule ID 13991 //
     /* 1859107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859153 */     // MIs[0] policy
     /* 1859153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859163 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859190 */     // GIR_Coverage, 13991,
     /* 1859190 */     GIR_EraseRootFromParent_Done,
     /* 1859191 */   // Label 25102: @1859191
     /* 1859191 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1859280), // Rule ID 13992 //
     /* 1859196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859242 */     // MIs[0] policy
     /* 1859242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859279 */     // GIR_Coverage, 13992,
     /* 1859279 */     GIR_EraseRootFromParent_Done,
     /* 1859280 */   // Label 25103: @1859280
     /* 1859280 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1859369), // Rule ID 13995 //
     /* 1859285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859331 */     // MIs[0] policy
     /* 1859331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859368 */     // GIR_Coverage, 13995,
     /* 1859368 */     GIR_EraseRootFromParent_Done,
     /* 1859369 */   // Label 25104: @1859369
     /* 1859369 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1859458), // Rule ID 13996 //
     /* 1859374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859420 */     // MIs[0] policy
     /* 1859420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859457 */     // GIR_Coverage, 13996,
     /* 1859457 */     GIR_EraseRootFromParent_Done,
     /* 1859458 */   // Label 25105: @1859458
     /* 1859458 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1859547), // Rule ID 13999 //
     /* 1859463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859509 */     // MIs[0] policy
     /* 1859509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859546 */     // GIR_Coverage, 13999,
     /* 1859546 */     GIR_EraseRootFromParent_Done,
     /* 1859547 */   // Label 25106: @1859547
     /* 1859547 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1859636), // Rule ID 14000 //
     /* 1859552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859598 */     // MIs[0] policy
     /* 1859598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1859611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859635 */     // GIR_Coverage, 14000,
     /* 1859635 */     GIR_EraseRootFromParent_Done,
     /* 1859636 */   // Label 25107: @1859636
     /* 1859636 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1859725), // Rule ID 14003 //
     /* 1859641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1859661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859687 */     // MIs[0] policy
     /* 1859687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859724 */     // GIR_Coverage, 14003,
     /* 1859724 */     GIR_EraseRootFromParent_Done,
     /* 1859725 */   // Label 25108: @1859725
     /* 1859725 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1859814), // Rule ID 14004 //
     /* 1859730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1859750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859776 */     // MIs[0] policy
     /* 1859776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859813 */     // GIR_Coverage, 14004,
     /* 1859813 */     GIR_EraseRootFromParent_Done,
     /* 1859814 */   // Label 25109: @1859814
     /* 1859814 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1859903), // Rule ID 14007 //
     /* 1859819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1859822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1859839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859865 */     // MIs[0] policy
     /* 1859865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859902 */     // GIR_Coverage, 14007,
     /* 1859902 */     GIR_EraseRootFromParent_Done,
     /* 1859903 */   // Label 25110: @1859903
     /* 1859903 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1859992), // Rule ID 14008 //
     /* 1859908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1859911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1859928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859954 */     // MIs[0] policy
     /* 1859954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1859967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859991 */     // GIR_Coverage, 14008,
     /* 1859991 */     GIR_EraseRootFromParent_Done,
     /* 1859992 */   // Label 25111: @1859992
     /* 1859992 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1860081), // Rule ID 14011 //
     /* 1859997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860043 */     // MIs[0] policy
     /* 1860043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860053 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860080 */     // GIR_Coverage, 14011,
     /* 1860080 */     GIR_EraseRootFromParent_Done,
     /* 1860081 */   // Label 25112: @1860081
     /* 1860081 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1860170), // Rule ID 14012 //
     /* 1860086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1860106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860132 */     // MIs[0] policy
     /* 1860132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860142 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1860145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860169 */     // GIR_Coverage, 14012,
     /* 1860169 */     GIR_EraseRootFromParent_Done,
     /* 1860170 */   // Label 25113: @1860170
     /* 1860170 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1860259), // Rule ID 14015 //
     /* 1860175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860221 */     // MIs[0] policy
     /* 1860221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860258 */     // GIR_Coverage, 14015,
     /* 1860258 */     GIR_EraseRootFromParent_Done,
     /* 1860259 */   // Label 25114: @1860259
     /* 1860259 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1860348), // Rule ID 14016 //
     /* 1860264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1860284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860310 */     // MIs[0] policy
     /* 1860310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1860323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860347 */     // GIR_Coverage, 14016,
     /* 1860347 */     GIR_EraseRootFromParent_Done,
     /* 1860348 */   // Label 25115: @1860348
     /* 1860348 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1860437), // Rule ID 14019 //
     /* 1860353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860399 */     // MIs[0] policy
     /* 1860399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860436 */     // GIR_Coverage, 14019,
     /* 1860436 */     GIR_EraseRootFromParent_Done,
     /* 1860437 */   // Label 25116: @1860437
     /* 1860437 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1860526), // Rule ID 14020 //
     /* 1860442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1860453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1860456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860488 */     // MIs[0] policy
     /* 1860488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1860501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860525 */     // GIR_Coverage, 14020,
     /* 1860525 */     GIR_EraseRootFromParent_Done,
     /* 1860526 */   // Label 25117: @1860526
     /* 1860526 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1860615), // Rule ID 14023 //
     /* 1860531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860577 */     // MIs[0] policy
     /* 1860577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860614 */     // GIR_Coverage, 14023,
     /* 1860614 */     GIR_EraseRootFromParent_Done,
     /* 1860615 */   // Label 25118: @1860615
     /* 1860615 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1860704), // Rule ID 14024 //
     /* 1860620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1860631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1860634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860666 */     // MIs[0] policy
     /* 1860666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860703 */     // GIR_Coverage, 14024,
     /* 1860703 */     GIR_EraseRootFromParent_Done,
     /* 1860704 */   // Label 25119: @1860704
     /* 1860704 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1860793), // Rule ID 14027 //
     /* 1860709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1860720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1860723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860755 */     // MIs[0] policy
     /* 1860755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860765 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860792 */     // GIR_Coverage, 14027,
     /* 1860792 */     GIR_EraseRootFromParent_Done,
     /* 1860793 */   // Label 25120: @1860793
     /* 1860793 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1860882), // Rule ID 14028 //
     /* 1860798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1860809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1860812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860844 */     // MIs[0] policy
     /* 1860844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860854 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860881 */     // GIR_Coverage, 14028,
     /* 1860881 */     GIR_EraseRootFromParent_Done,
     /* 1860882 */   // Label 25121: @1860882
     /* 1860882 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1860971), // Rule ID 14031 //
     /* 1860887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1860904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860933 */     // MIs[0] policy
     /* 1860933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1860946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860970 */     // GIR_Coverage, 14031,
     /* 1860970 */     GIR_EraseRootFromParent_Done,
     /* 1860971 */   // Label 25122: @1860971
     /* 1860971 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1861060), // Rule ID 14032 //
     /* 1860976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1860993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861022 */     // MIs[0] policy
     /* 1861022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1861035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861059 */     // GIR_Coverage, 14032,
     /* 1861059 */     GIR_EraseRootFromParent_Done,
     /* 1861060 */   // Label 25123: @1861060
     /* 1861060 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1861149), // Rule ID 14035 //
     /* 1861065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861111 */     // MIs[0] policy
     /* 1861111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861121 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861148 */     // GIR_Coverage, 14035,
     /* 1861148 */     GIR_EraseRootFromParent_Done,
     /* 1861149 */   // Label 25124: @1861149
     /* 1861149 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1861238), // Rule ID 14036 //
     /* 1861154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861200 */     // MIs[0] policy
     /* 1861200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861237 */     // GIR_Coverage, 14036,
     /* 1861237 */     GIR_EraseRootFromParent_Done,
     /* 1861238 */   // Label 25125: @1861238
     /* 1861238 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1861327), // Rule ID 14039 //
     /* 1861243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861289 */     // MIs[0] policy
     /* 1861289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861326 */     // GIR_Coverage, 14039,
     /* 1861326 */     GIR_EraseRootFromParent_Done,
     /* 1861327 */   // Label 25126: @1861327
     /* 1861327 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1861416), // Rule ID 14040 //
     /* 1861332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861378 */     // MIs[0] policy
     /* 1861378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1861391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861415 */     // GIR_Coverage, 14040,
     /* 1861415 */     GIR_EraseRootFromParent_Done,
     /* 1861416 */   // Label 25127: @1861416
     /* 1861416 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1861505), // Rule ID 14043 //
     /* 1861421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861467 */     // MIs[0] policy
     /* 1861467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861504 */     // GIR_Coverage, 14043,
     /* 1861504 */     GIR_EraseRootFromParent_Done,
     /* 1861505 */   // Label 25128: @1861505
     /* 1861505 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1861594), // Rule ID 14044 //
     /* 1861510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1861521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1861524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1861527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861556 */     // MIs[0] policy
     /* 1861556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861566 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861593 */     // GIR_Coverage, 14044,
     /* 1861593 */     GIR_EraseRootFromParent_Done,
     /* 1861594 */   // Label 25129: @1861594
     /* 1861594 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1861683), // Rule ID 14047 //
     /* 1861599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861645 */     // MIs[0] policy
     /* 1861645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861682 */     // GIR_Coverage, 14047,
     /* 1861682 */     GIR_EraseRootFromParent_Done,
     /* 1861683 */   // Label 25130: @1861683
     /* 1861683 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1861772), // Rule ID 14048 //
     /* 1861688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1861699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1861702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861734 */     // MIs[0] policy
     /* 1861734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861771 */     // GIR_Coverage, 14048,
     /* 1861771 */     GIR_EraseRootFromParent_Done,
     /* 1861772 */   // Label 25131: @1861772
     /* 1861772 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1861861), // Rule ID 14051 //
     /* 1861777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1861794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861823 */     // MIs[0] policy
     /* 1861823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861860 */     // GIR_Coverage, 14051,
     /* 1861860 */     GIR_EraseRootFromParent_Done,
     /* 1861861 */   // Label 25132: @1861861
     /* 1861861 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1861950), // Rule ID 14052 //
     /* 1861866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1861883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861912 */     // MIs[0] policy
     /* 1861912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1861925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861949 */     // GIR_Coverage, 14052,
     /* 1861949 */     GIR_EraseRootFromParent_Done,
     /* 1861950 */   // Label 25133: @1861950
     /* 1861950 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862039), // Rule ID 14055 //
     /* 1861955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1861958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1861966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1861969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1861972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862001 */     // MIs[0] policy
     /* 1862001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862038 */     // GIR_Coverage, 14055,
     /* 1862038 */     GIR_EraseRootFromParent_Done,
     /* 1862039 */   // Label 25134: @1862039
     /* 1862039 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1862128), // Rule ID 14056 //
     /* 1862044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862090 */     // MIs[0] policy
     /* 1862090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1862103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862127 */     // GIR_Coverage, 14056,
     /* 1862127 */     GIR_EraseRootFromParent_Done,
     /* 1862128 */   // Label 25135: @1862128
     /* 1862128 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1862217), // Rule ID 14059 //
     /* 1862133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862179 */     // MIs[0] policy
     /* 1862179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862216 */     // GIR_Coverage, 14059,
     /* 1862216 */     GIR_EraseRootFromParent_Done,
     /* 1862217 */   // Label 25136: @1862217
     /* 1862217 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1862306), // Rule ID 14060 //
     /* 1862222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862268 */     // MIs[0] policy
     /* 1862268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862305 */     // GIR_Coverage, 14060,
     /* 1862305 */     GIR_EraseRootFromParent_Done,
     /* 1862306 */   // Label 25137: @1862306
     /* 1862306 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1862395), // Rule ID 14063 //
     /* 1862311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862357 */     // MIs[0] policy
     /* 1862357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862394 */     // GIR_Coverage, 14063,
     /* 1862394 */     GIR_EraseRootFromParent_Done,
     /* 1862395 */   // Label 25138: @1862395
     /* 1862395 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1862484), // Rule ID 14064 //
     /* 1862400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1862411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1862414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1862417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862446 */     // MIs[0] policy
     /* 1862446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862483 */     // GIR_Coverage, 14064,
     /* 1862483 */     GIR_EraseRootFromParent_Done,
     /* 1862484 */   // Label 25139: @1862484
     /* 1862484 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1862573), // Rule ID 14067 //
     /* 1862489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862535 */     // MIs[0] policy
     /* 1862535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862545 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862572 */     // GIR_Coverage, 14067,
     /* 1862572 */     GIR_EraseRootFromParent_Done,
     /* 1862573 */   // Label 25140: @1862573
     /* 1862573 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1862662), // Rule ID 14068 //
     /* 1862578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1862589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1862592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1862595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1862601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862624 */     // MIs[0] policy
     /* 1862624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862661 */     // GIR_Coverage, 14068,
     /* 1862661 */     GIR_EraseRootFromParent_Done,
     /* 1862662 */   // Label 25141: @1862662
     /* 1862662 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1862751), // Rule ID 14071 //
     /* 1862667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1862678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1862681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1862684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862713 */     // MIs[0] policy
     /* 1862713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862750 */     // GIR_Coverage, 14071,
     /* 1862750 */     GIR_EraseRootFromParent_Done,
     /* 1862751 */   // Label 25142: @1862751
     /* 1862751 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1862840), // Rule ID 14072 //
     /* 1862756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1862767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1862770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1862773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862802 */     // MIs[0] policy
     /* 1862802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862839 */     // GIR_Coverage, 14072,
     /* 1862839 */     GIR_EraseRootFromParent_Done,
     /* 1862840 */   // Label 25143: @1862840
     /* 1862840 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1862929), // Rule ID 14075 //
     /* 1862845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1862856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1862859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1862862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862891 */     // MIs[0] policy
     /* 1862891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862928 */     // GIR_Coverage, 14075,
     /* 1862928 */     GIR_EraseRootFromParent_Done,
     /* 1862929 */   // Label 25144: @1862929
     /* 1862929 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863018), // Rule ID 14076 //
     /* 1862934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1862945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1862948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1862951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862980 */     // MIs[0] policy
     /* 1862980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863017 */     // GIR_Coverage, 14076,
     /* 1863017 */     GIR_EraseRootFromParent_Done,
     /* 1863018 */   // Label 25145: @1863018
     /* 1863018 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1863107), // Rule ID 14079 //
     /* 1863023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863069 */     // MIs[0] policy
     /* 1863069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863079 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863106 */     // GIR_Coverage, 14079,
     /* 1863106 */     GIR_EraseRootFromParent_Done,
     /* 1863107 */   // Label 25146: @1863107
     /* 1863107 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1863196), // Rule ID 14080 //
     /* 1863112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863158 */     // MIs[0] policy
     /* 1863158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863195 */     // GIR_Coverage, 14080,
     /* 1863195 */     GIR_EraseRootFromParent_Done,
     /* 1863196 */   // Label 25147: @1863196
     /* 1863196 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1863285), // Rule ID 14083 //
     /* 1863201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863247 */     // MIs[0] policy
     /* 1863247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863284 */     // GIR_Coverage, 14083,
     /* 1863284 */     GIR_EraseRootFromParent_Done,
     /* 1863285 */   // Label 25148: @1863285
     /* 1863285 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1863374), // Rule ID 14084 //
     /* 1863290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863336 */     // MIs[0] policy
     /* 1863336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863373 */     // GIR_Coverage, 14084,
     /* 1863373 */     GIR_EraseRootFromParent_Done,
     /* 1863374 */   // Label 25149: @1863374
     /* 1863374 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1863463), // Rule ID 14087 //
     /* 1863379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863425 */     // MIs[0] policy
     /* 1863425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863462 */     // GIR_Coverage, 14087,
     /* 1863462 */     GIR_EraseRootFromParent_Done,
     /* 1863463 */   // Label 25150: @1863463
     /* 1863463 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1863552), // Rule ID 14088 //
     /* 1863468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1863479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1863482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1863485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863514 */     // MIs[0] policy
     /* 1863514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863551 */     // GIR_Coverage, 14088,
     /* 1863551 */     GIR_EraseRootFromParent_Done,
     /* 1863552 */   // Label 25151: @1863552
     /* 1863552 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1863641), // Rule ID 14091 //
     /* 1863557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1863568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1863571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1863574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863603 */     // MIs[0] policy
     /* 1863603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863613 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863640 */     // GIR_Coverage, 14091,
     /* 1863640 */     GIR_EraseRootFromParent_Done,
     /* 1863641 */   // Label 25152: @1863641
     /* 1863641 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1863730), // Rule ID 14092 //
     /* 1863646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1863657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1863660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1863663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863692 */     // MIs[0] policy
     /* 1863692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863729 */     // GIR_Coverage, 14092,
     /* 1863729 */     GIR_EraseRootFromParent_Done,
     /* 1863730 */   // Label 25153: @1863730
     /* 1863730 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1863819), // Rule ID 14095 //
     /* 1863735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1863752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863781 */     // MIs[0] policy
     /* 1863781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863791 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863818 */     // GIR_Coverage, 14095,
     /* 1863818 */     GIR_EraseRootFromParent_Done,
     /* 1863819 */   // Label 25154: @1863819
     /* 1863819 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1863908), // Rule ID 14096 //
     /* 1863824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1863841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863870 */     // MIs[0] policy
     /* 1863870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1863883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863907 */     // GIR_Coverage, 14096,
     /* 1863907 */     GIR_EraseRootFromParent_Done,
     /* 1863908 */   // Label 25155: @1863908
     /* 1863908 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1863997), // Rule ID 14099 //
     /* 1863913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1863930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863959 */     // MIs[0] policy
     /* 1863959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863969 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1863972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863996 */     // GIR_Coverage, 14099,
     /* 1863996 */     GIR_EraseRootFromParent_Done,
     /* 1863997 */   // Label 25156: @1863997
     /* 1863997 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1864086), // Rule ID 14100 //
     /* 1864002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864048 */     // MIs[0] policy
     /* 1864048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1864061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864085 */     // GIR_Coverage, 14100,
     /* 1864085 */     GIR_EraseRootFromParent_Done,
     /* 1864086 */   // Label 25157: @1864086
     /* 1864086 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1864175), // Rule ID 14103 //
     /* 1864091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864137 */     // MIs[0] policy
     /* 1864137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864174 */     // GIR_Coverage, 14103,
     /* 1864174 */     GIR_EraseRootFromParent_Done,
     /* 1864175 */   // Label 25158: @1864175
     /* 1864175 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1864264), // Rule ID 14104 //
     /* 1864180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864226 */     // MIs[0] policy
     /* 1864226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1864239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864263 */     // GIR_Coverage, 14104,
     /* 1864263 */     GIR_EraseRootFromParent_Done,
     /* 1864264 */   // Label 25159: @1864264
     /* 1864264 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1864353), // Rule ID 14195 //
     /* 1864269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864315 */     // MIs[0] policy
     /* 1864315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864325 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864352 */     // GIR_Coverage, 14195,
     /* 1864352 */     GIR_EraseRootFromParent_Done,
     /* 1864353 */   // Label 25160: @1864353
     /* 1864353 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1864442), // Rule ID 14196 //
     /* 1864358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1864378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864404 */     // MIs[0] policy
     /* 1864404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1864417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864441 */     // GIR_Coverage, 14196,
     /* 1864441 */     GIR_EraseRootFromParent_Done,
     /* 1864442 */   // Label 25161: @1864442
     /* 1864442 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1864531), // Rule ID 14199 //
     /* 1864447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864493 */     // MIs[0] policy
     /* 1864493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864503 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864530 */     // GIR_Coverage, 14199,
     /* 1864530 */     GIR_EraseRootFromParent_Done,
     /* 1864531 */   // Label 25162: @1864531
     /* 1864531 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1864620), // Rule ID 14200 //
     /* 1864536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1864547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1864550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1864553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1864556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864582 */     // MIs[0] policy
     /* 1864582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864619 */     // GIR_Coverage, 14200,
     /* 1864619 */     GIR_EraseRootFromParent_Done,
     /* 1864620 */   // Label 25163: @1864620
     /* 1864620 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1864709), // Rule ID 14203 //
     /* 1864625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864671 */     // MIs[0] policy
     /* 1864671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864681 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864708 */     // GIR_Coverage, 14203,
     /* 1864708 */     GIR_EraseRootFromParent_Done,
     /* 1864709 */   // Label 25164: @1864709
     /* 1864709 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1864798), // Rule ID 14204 //
     /* 1864714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864760 */     // MIs[0] policy
     /* 1864760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864797 */     // GIR_Coverage, 14204,
     /* 1864797 */     GIR_EraseRootFromParent_Done,
     /* 1864798 */   // Label 25165: @1864798
     /* 1864798 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1864887), // Rule ID 14207 //
     /* 1864803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864849 */     // MIs[0] policy
     /* 1864849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864886 */     // GIR_Coverage, 14207,
     /* 1864886 */     GIR_EraseRootFromParent_Done,
     /* 1864887 */   // Label 25166: @1864887
     /* 1864887 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1864976), // Rule ID 14208 //
     /* 1864892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864938 */     // MIs[0] policy
     /* 1864938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1864951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864975 */     // GIR_Coverage, 14208,
     /* 1864975 */     GIR_EraseRootFromParent_Done,
     /* 1864976 */   // Label 25167: @1864976
     /* 1864976 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1865065), // Rule ID 14211 //
     /* 1864981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1864992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1864995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865027 */     // MIs[0] policy
     /* 1865027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865037 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865064 */     // GIR_Coverage, 14211,
     /* 1865064 */     GIR_EraseRootFromParent_Done,
     /* 1865065 */   // Label 25168: @1865065
     /* 1865065 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1865154), // Rule ID 14212 //
     /* 1865070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1865090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865116 */     // MIs[0] policy
     /* 1865116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865153 */     // GIR_Coverage, 14212,
     /* 1865153 */     GIR_EraseRootFromParent_Done,
     /* 1865154 */   // Label 25169: @1865154
     /* 1865154 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1865243), // Rule ID 14215 //
     /* 1865159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865205 */     // MIs[0] policy
     /* 1865205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865242 */     // GIR_Coverage, 14215,
     /* 1865242 */     GIR_EraseRootFromParent_Done,
     /* 1865243 */   // Label 25170: @1865243
     /* 1865243 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1865332), // Rule ID 14216 //
     /* 1865248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1865268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865294 */     // MIs[0] policy
     /* 1865294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1865307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865331 */     // GIR_Coverage, 14216,
     /* 1865331 */     GIR_EraseRootFromParent_Done,
     /* 1865332 */   // Label 25171: @1865332
     /* 1865332 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1865421), // Rule ID 14219 //
     /* 1865337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865383 */     // MIs[0] policy
     /* 1865383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865420 */     // GIR_Coverage, 14219,
     /* 1865420 */     GIR_EraseRootFromParent_Done,
     /* 1865421 */   // Label 25172: @1865421
     /* 1865421 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1865510), // Rule ID 14220 //
     /* 1865426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865472 */     // MIs[0] policy
     /* 1865472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865509 */     // GIR_Coverage, 14220,
     /* 1865509 */     GIR_EraseRootFromParent_Done,
     /* 1865510 */   // Label 25173: @1865510
     /* 1865510 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1865599), // Rule ID 14223 //
     /* 1865515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865561 */     // MIs[0] policy
     /* 1865561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865598 */     // GIR_Coverage, 14223,
     /* 1865598 */     GIR_EraseRootFromParent_Done,
     /* 1865599 */   // Label 25174: @1865599
     /* 1865599 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1865688), // Rule ID 14224 //
     /* 1865604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865650 */     // MIs[0] policy
     /* 1865650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865687 */     // GIR_Coverage, 14224,
     /* 1865687 */     GIR_EraseRootFromParent_Done,
     /* 1865688 */   // Label 25175: @1865688
     /* 1865688 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1865777), // Rule ID 14227 //
     /* 1865693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865739 */     // MIs[0] policy
     /* 1865739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865776 */     // GIR_Coverage, 14227,
     /* 1865776 */     GIR_EraseRootFromParent_Done,
     /* 1865777 */   // Label 25176: @1865777
     /* 1865777 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1865866), // Rule ID 14228 //
     /* 1865782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865828 */     // MIs[0] policy
     /* 1865828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865865 */     // GIR_Coverage, 14228,
     /* 1865865 */     GIR_EraseRootFromParent_Done,
     /* 1865866 */   // Label 25177: @1865866
     /* 1865866 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1865955), // Rule ID 14231 //
     /* 1865871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865917 */     // MIs[0] policy
     /* 1865917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1865930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865954 */     // GIR_Coverage, 14231,
     /* 1865954 */     GIR_EraseRootFromParent_Done,
     /* 1865955 */   // Label 25178: @1865955
     /* 1865955 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866044), // Rule ID 14232 //
     /* 1865960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1865963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866006 */     // MIs[0] policy
     /* 1866006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1866019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866043 */     // GIR_Coverage, 14232,
     /* 1866043 */     GIR_EraseRootFromParent_Done,
     /* 1866044 */   // Label 25179: @1866044
     /* 1866044 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1866133), // Rule ID 14235 //
     /* 1866049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866095 */     // MIs[0] policy
     /* 1866095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866132 */     // GIR_Coverage, 14235,
     /* 1866132 */     GIR_EraseRootFromParent_Done,
     /* 1866133 */   // Label 25180: @1866133
     /* 1866133 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1866222), // Rule ID 14236 //
     /* 1866138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866184 */     // MIs[0] policy
     /* 1866184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866221 */     // GIR_Coverage, 14236,
     /* 1866221 */     GIR_EraseRootFromParent_Done,
     /* 1866222 */   // Label 25181: @1866222
     /* 1866222 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1866311), // Rule ID 14239 //
     /* 1866227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866273 */     // MIs[0] policy
     /* 1866273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866310 */     // GIR_Coverage, 14239,
     /* 1866310 */     GIR_EraseRootFromParent_Done,
     /* 1866311 */   // Label 25182: @1866311
     /* 1866311 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1866400), // Rule ID 14240 //
     /* 1866316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866362 */     // MIs[0] policy
     /* 1866362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866399 */     // GIR_Coverage, 14240,
     /* 1866399 */     GIR_EraseRootFromParent_Done,
     /* 1866400 */   // Label 25183: @1866400
     /* 1866400 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1866489), // Rule ID 14243 //
     /* 1866405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866451 */     // MIs[0] policy
     /* 1866451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866461 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866488 */     // GIR_Coverage, 14243,
     /* 1866488 */     GIR_EraseRootFromParent_Done,
     /* 1866489 */   // Label 25184: @1866489
     /* 1866489 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1866578), // Rule ID 14244 //
     /* 1866494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866540 */     // MIs[0] policy
     /* 1866540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866550 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866577 */     // GIR_Coverage, 14244,
     /* 1866577 */     GIR_EraseRootFromParent_Done,
     /* 1866578 */   // Label 25185: @1866578
     /* 1866578 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1866667), // Rule ID 14247 //
     /* 1866583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866629 */     // MIs[0] policy
     /* 1866629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866666 */     // GIR_Coverage, 14247,
     /* 1866666 */     GIR_EraseRootFromParent_Done,
     /* 1866667 */   // Label 25186: @1866667
     /* 1866667 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1866756), // Rule ID 14248 //
     /* 1866672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866718 */     // MIs[0] policy
     /* 1866718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866755 */     // GIR_Coverage, 14248,
     /* 1866755 */     GIR_EraseRootFromParent_Done,
     /* 1866756 */   // Label 25187: @1866756
     /* 1866756 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1866845), // Rule ID 14251 //
     /* 1866761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866807 */     // MIs[0] policy
     /* 1866807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866844 */     // GIR_Coverage, 14251,
     /* 1866844 */     GIR_EraseRootFromParent_Done,
     /* 1866845 */   // Label 25188: @1866845
     /* 1866845 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1866934), // Rule ID 14252 //
     /* 1866850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866896 */     // MIs[0] policy
     /* 1866896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866933 */     // GIR_Coverage, 14252,
     /* 1866933 */     GIR_EraseRootFromParent_Done,
     /* 1866934 */   // Label 25189: @1866934
     /* 1866934 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867023), // Rule ID 14255 //
     /* 1866939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1866956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1866959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866985 */     // MIs[0] policy
     /* 1866985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867022 */     // GIR_Coverage, 14255,
     /* 1867022 */     GIR_EraseRootFromParent_Done,
     /* 1867023 */   // Label 25190: @1867023
     /* 1867023 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1867112), // Rule ID 14256 //
     /* 1867028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1867048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867074 */     // MIs[0] policy
     /* 1867074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867111 */     // GIR_Coverage, 14256,
     /* 1867111 */     GIR_EraseRootFromParent_Done,
     /* 1867112 */   // Label 25191: @1867112
     /* 1867112 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1867201), // Rule ID 14259 //
     /* 1867117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867163 */     // MIs[0] policy
     /* 1867163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867200 */     // GIR_Coverage, 14259,
     /* 1867200 */     GIR_EraseRootFromParent_Done,
     /* 1867201 */   // Label 25192: @1867201
     /* 1867201 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1867290), // Rule ID 14260 //
     /* 1867206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867252 */     // MIs[0] policy
     /* 1867252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867289 */     // GIR_Coverage, 14260,
     /* 1867289 */     GIR_EraseRootFromParent_Done,
     /* 1867290 */   // Label 25193: @1867290
     /* 1867290 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1867379), // Rule ID 14263 //
     /* 1867295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867341 */     // MIs[0] policy
     /* 1867341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867378 */     // GIR_Coverage, 14263,
     /* 1867378 */     GIR_EraseRootFromParent_Done,
     /* 1867379 */   // Label 25194: @1867379
     /* 1867379 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1867468), // Rule ID 14264 //
     /* 1867384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867430 */     // MIs[0] policy
     /* 1867430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867467 */     // GIR_Coverage, 14264,
     /* 1867467 */     GIR_EraseRootFromParent_Done,
     /* 1867468 */   // Label 25195: @1867468
     /* 1867468 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1867557), // Rule ID 14267 //
     /* 1867473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867519 */     // MIs[0] policy
     /* 1867519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867529 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867556 */     // GIR_Coverage, 14267,
     /* 1867556 */     GIR_EraseRootFromParent_Done,
     /* 1867557 */   // Label 25196: @1867557
     /* 1867557 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1867646), // Rule ID 14268 //
     /* 1867562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867608 */     // MIs[0] policy
     /* 1867608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1867621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867645 */     // GIR_Coverage, 14268,
     /* 1867645 */     GIR_EraseRootFromParent_Done,
     /* 1867646 */   // Label 25197: @1867646
     /* 1867646 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1867735), // Rule ID 14271 //
     /* 1867651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867697 */     // MIs[0] policy
     /* 1867697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867734 */     // GIR_Coverage, 14271,
     /* 1867734 */     GIR_EraseRootFromParent_Done,
     /* 1867735 */   // Label 25198: @1867735
     /* 1867735 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1867824), // Rule ID 14272 //
     /* 1867740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867786 */     // MIs[0] policy
     /* 1867786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1867799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867823 */     // GIR_Coverage, 14272,
     /* 1867823 */     GIR_EraseRootFromParent_Done,
     /* 1867824 */   // Label 25199: @1867824
     /* 1867824 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1867913), // Rule ID 14275 //
     /* 1867829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867875 */     // MIs[0] policy
     /* 1867875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867912 */     // GIR_Coverage, 14275,
     /* 1867912 */     GIR_EraseRootFromParent_Done,
     /* 1867913 */   // Label 25200: @1867913
     /* 1867913 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868002), // Rule ID 14276 //
     /* 1867918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867964 */     // MIs[0] policy
     /* 1867964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1867977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868001 */     // GIR_Coverage, 14276,
     /* 1868001 */     GIR_EraseRootFromParent_Done,
     /* 1868002 */   // Label 25201: @1868002
     /* 1868002 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1868091), // Rule ID 14279 //
     /* 1868007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868053 */     // MIs[0] policy
     /* 1868053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868063 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868090 */     // GIR_Coverage, 14279,
     /* 1868090 */     GIR_EraseRootFromParent_Done,
     /* 1868091 */   // Label 25202: @1868091
     /* 1868091 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1868180), // Rule ID 14280 //
     /* 1868096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868142 */     // MIs[0] policy
     /* 1868142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1868155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868179 */     // GIR_Coverage, 14280,
     /* 1868179 */     GIR_EraseRootFromParent_Done,
     /* 1868180 */   // Label 25203: @1868180
     /* 1868180 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1868269), // Rule ID 14283 //
     /* 1868185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868231 */     // MIs[0] policy
     /* 1868231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868241 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868268 */     // GIR_Coverage, 14283,
     /* 1868268 */     GIR_EraseRootFromParent_Done,
     /* 1868269 */   // Label 25204: @1868269
     /* 1868269 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1868358), // Rule ID 14284 //
     /* 1868274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868320 */     // MIs[0] policy
     /* 1868320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1868333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868357 */     // GIR_Coverage, 14284,
     /* 1868357 */     GIR_EraseRootFromParent_Done,
     /* 1868358 */   // Label 25205: @1868358
     /* 1868358 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1868447), // Rule ID 14287 //
     /* 1868363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868409 */     // MIs[0] policy
     /* 1868409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868446 */     // GIR_Coverage, 14287,
     /* 1868446 */     GIR_EraseRootFromParent_Done,
     /* 1868447 */   // Label 25206: @1868447
     /* 1868447 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1868536), // Rule ID 14288 //
     /* 1868452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868498 */     // MIs[0] policy
     /* 1868498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868535 */     // GIR_Coverage, 14288,
     /* 1868535 */     GIR_EraseRootFromParent_Done,
     /* 1868536 */   // Label 25207: @1868536
     /* 1868536 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1868625), // Rule ID 14291 //
     /* 1868541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868587 */     // MIs[0] policy
     /* 1868587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868624 */     // GIR_Coverage, 14291,
     /* 1868624 */     GIR_EraseRootFromParent_Done,
     /* 1868625 */   // Label 25208: @1868625
     /* 1868625 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1868714), // Rule ID 14292 //
     /* 1868630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868676 */     // MIs[0] policy
     /* 1868676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868713 */     // GIR_Coverage, 14292,
     /* 1868713 */     GIR_EraseRootFromParent_Done,
     /* 1868714 */   // Label 25209: @1868714
     /* 1868714 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1868803), // Rule ID 14295 //
     /* 1868719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868765 */     // MIs[0] policy
     /* 1868765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868775 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868802 */     // GIR_Coverage, 14295,
     /* 1868802 */     GIR_EraseRootFromParent_Done,
     /* 1868803 */   // Label 25210: @1868803
     /* 1868803 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1868892), // Rule ID 14296 //
     /* 1868808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868854 */     // MIs[0] policy
     /* 1868854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1868867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868891 */     // GIR_Coverage, 14296,
     /* 1868891 */     GIR_EraseRootFromParent_Done,
     /* 1868892 */   // Label 25211: @1868892
     /* 1868892 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1868981), // Rule ID 14299 //
     /* 1868897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868943 */     // MIs[0] policy
     /* 1868943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868953 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868980 */     // GIR_Coverage, 14299,
     /* 1868980 */     GIR_EraseRootFromParent_Done,
     /* 1868981 */   // Label 25212: @1868981
     /* 1868981 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1869070), // Rule ID 14300 //
     /* 1868986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869032 */     // MIs[0] policy
     /* 1869032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869069 */     // GIR_Coverage, 14300,
     /* 1869069 */     GIR_EraseRootFromParent_Done,
     /* 1869070 */   // Label 25213: @1869070
     /* 1869070 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1869159), // Rule ID 14303 //
     /* 1869075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869121 */     // MIs[0] policy
     /* 1869121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869158 */     // GIR_Coverage, 14303,
     /* 1869158 */     GIR_EraseRootFromParent_Done,
     /* 1869159 */   // Label 25214: @1869159
     /* 1869159 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1869248), // Rule ID 14304 //
     /* 1869164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869210 */     // MIs[0] policy
     /* 1869210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1869223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869247 */     // GIR_Coverage, 14304,
     /* 1869247 */     GIR_EraseRootFromParent_Done,
     /* 1869248 */   // Label 25215: @1869248
     /* 1869248 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1869337), // Rule ID 14307 //
     /* 1869253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869299 */     // MIs[0] policy
     /* 1869299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869336 */     // GIR_Coverage, 14307,
     /* 1869336 */     GIR_EraseRootFromParent_Done,
     /* 1869337 */   // Label 25216: @1869337
     /* 1869337 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1869426), // Rule ID 14308 //
     /* 1869342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869388 */     // MIs[0] policy
     /* 1869388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869425 */     // GIR_Coverage, 14308,
     /* 1869425 */     GIR_EraseRootFromParent_Done,
     /* 1869426 */   // Label 25217: @1869426
     /* 1869426 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1869515), // Rule ID 14311 //
     /* 1869431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869477 */     // MIs[0] policy
     /* 1869477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869487 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869514 */     // GIR_Coverage, 14311,
     /* 1869514 */     GIR_EraseRootFromParent_Done,
     /* 1869515 */   // Label 25218: @1869515
     /* 1869515 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1869604), // Rule ID 14312 //
     /* 1869520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869566 */     // MIs[0] policy
     /* 1869566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869603 */     // GIR_Coverage, 14312,
     /* 1869603 */     GIR_EraseRootFromParent_Done,
     /* 1869604 */   // Label 25219: @1869604
     /* 1869604 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1869693), // Rule ID 14315 //
     /* 1869609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869655 */     // MIs[0] policy
     /* 1869655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869692 */     // GIR_Coverage, 14315,
     /* 1869692 */     GIR_EraseRootFromParent_Done,
     /* 1869693 */   // Label 25220: @1869693
     /* 1869693 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1869782), // Rule ID 14316 //
     /* 1869698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869744 */     // MIs[0] policy
     /* 1869744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869781 */     // GIR_Coverage, 14316,
     /* 1869781 */     GIR_EraseRootFromParent_Done,
     /* 1869782 */   // Label 25221: @1869782
     /* 1869782 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1869871), // Rule ID 14319 //
     /* 1869787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869833 */     // MIs[0] policy
     /* 1869833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869870 */     // GIR_Coverage, 14319,
     /* 1869870 */     GIR_EraseRootFromParent_Done,
     /* 1869871 */   // Label 25222: @1869871
     /* 1869871 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1869960), // Rule ID 14320 //
     /* 1869876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869922 */     // MIs[0] policy
     /* 1869922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1869935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869959 */     // GIR_Coverage, 14320,
     /* 1869959 */     GIR_EraseRootFromParent_Done,
     /* 1869960 */   // Label 25223: @1869960
     /* 1869960 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870049), // Rule ID 14323 //
     /* 1869965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870011 */     // MIs[0] policy
     /* 1870011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870021 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870048 */     // GIR_Coverage, 14323,
     /* 1870048 */     GIR_EraseRootFromParent_Done,
     /* 1870049 */   // Label 25224: @1870049
     /* 1870049 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1870138), // Rule ID 14324 //
     /* 1870054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870100 */     // MIs[0] policy
     /* 1870100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870137 */     // GIR_Coverage, 14324,
     /* 1870137 */     GIR_EraseRootFromParent_Done,
     /* 1870138 */   // Label 25225: @1870138
     /* 1870138 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1870227), // Rule ID 14327 //
     /* 1870143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870189 */     // MIs[0] policy
     /* 1870189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870226 */     // GIR_Coverage, 14327,
     /* 1870226 */     GIR_EraseRootFromParent_Done,
     /* 1870227 */   // Label 25226: @1870227
     /* 1870227 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1870316), // Rule ID 14328 //
     /* 1870232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870278 */     // MIs[0] policy
     /* 1870278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870315 */     // GIR_Coverage, 14328,
     /* 1870315 */     GIR_EraseRootFromParent_Done,
     /* 1870316 */   // Label 25227: @1870316
     /* 1870316 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1870405), // Rule ID 14331 //
     /* 1870321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870367 */     // MIs[0] policy
     /* 1870367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870404 */     // GIR_Coverage, 14331,
     /* 1870404 */     GIR_EraseRootFromParent_Done,
     /* 1870405 */   // Label 25228: @1870405
     /* 1870405 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1870494), // Rule ID 14332 //
     /* 1870410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870456 */     // MIs[0] policy
     /* 1870456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870466 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870493 */     // GIR_Coverage, 14332,
     /* 1870493 */     GIR_EraseRootFromParent_Done,
     /* 1870494 */   // Label 25229: @1870494
     /* 1870494 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1870583), // Rule ID 14335 //
     /* 1870499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870545 */     // MIs[0] policy
     /* 1870545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870582 */     // GIR_Coverage, 14335,
     /* 1870582 */     GIR_EraseRootFromParent_Done,
     /* 1870583 */   // Label 25230: @1870583
     /* 1870583 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1870672), // Rule ID 14336 //
     /* 1870588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870634 */     // MIs[0] policy
     /* 1870634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870671 */     // GIR_Coverage, 14336,
     /* 1870671 */     GIR_EraseRootFromParent_Done,
     /* 1870672 */   // Label 25231: @1870672
     /* 1870672 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1870761), // Rule ID 14339 //
     /* 1870677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870723 */     // MIs[0] policy
     /* 1870723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870733 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870760 */     // GIR_Coverage, 14339,
     /* 1870760 */     GIR_EraseRootFromParent_Done,
     /* 1870761 */   // Label 25232: @1870761
     /* 1870761 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1870850), // Rule ID 14340 //
     /* 1870766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870812 */     // MIs[0] policy
     /* 1870812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870849 */     // GIR_Coverage, 14340,
     /* 1870849 */     GIR_EraseRootFromParent_Done,
     /* 1870850 */   // Label 25233: @1870850
     /* 1870850 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1870939), // Rule ID 14343 //
     /* 1870855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870901 */     // MIs[0] policy
     /* 1870901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870911 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870938 */     // GIR_Coverage, 14343,
     /* 1870938 */     GIR_EraseRootFromParent_Done,
     /* 1870939 */   // Label 25234: @1870939
     /* 1870939 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871028), // Rule ID 14344 //
     /* 1870944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870990 */     // MIs[0] policy
     /* 1870990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871027 */     // GIR_Coverage, 14344,
     /* 1871027 */     GIR_EraseRootFromParent_Done,
     /* 1871028 */   // Label 25235: @1871028
     /* 1871028 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1871117), // Rule ID 14347 //
     /* 1871033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871079 */     // MIs[0] policy
     /* 1871079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871116 */     // GIR_Coverage, 14347,
     /* 1871116 */     GIR_EraseRootFromParent_Done,
     /* 1871117 */   // Label 25236: @1871117
     /* 1871117 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1871206), // Rule ID 14348 //
     /* 1871122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871168 */     // MIs[0] policy
     /* 1871168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871205 */     // GIR_Coverage, 14348,
     /* 1871205 */     GIR_EraseRootFromParent_Done,
     /* 1871206 */   // Label 25237: @1871206
     /* 1871206 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1871295), // Rule ID 14351 //
     /* 1871211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871257 */     // MIs[0] policy
     /* 1871257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871294 */     // GIR_Coverage, 14351,
     /* 1871294 */     GIR_EraseRootFromParent_Done,
     /* 1871295 */   // Label 25238: @1871295
     /* 1871295 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1871384), // Rule ID 14352 //
     /* 1871300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871346 */     // MIs[0] policy
     /* 1871346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871383 */     // GIR_Coverage, 14352,
     /* 1871383 */     GIR_EraseRootFromParent_Done,
     /* 1871384 */   // Label 25239: @1871384
     /* 1871384 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1871473), // Rule ID 14355 //
     /* 1871389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871435 */     // MIs[0] policy
     /* 1871435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871472 */     // GIR_Coverage, 14355,
     /* 1871472 */     GIR_EraseRootFromParent_Done,
     /* 1871473 */   // Label 25240: @1871473
     /* 1871473 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1871562), // Rule ID 14356 //
     /* 1871478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871524 */     // MIs[0] policy
     /* 1871524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871561 */     // GIR_Coverage, 14356,
     /* 1871561 */     GIR_EraseRootFromParent_Done,
     /* 1871562 */   // Label 25241: @1871562
     /* 1871562 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1871651), // Rule ID 14359 //
     /* 1871567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871613 */     // MIs[0] policy
     /* 1871613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871650 */     // GIR_Coverage, 14359,
     /* 1871650 */     GIR_EraseRootFromParent_Done,
     /* 1871651 */   // Label 25242: @1871651
     /* 1871651 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1871740), // Rule ID 14360 //
     /* 1871656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871702 */     // MIs[0] policy
     /* 1871702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1871715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871739 */     // GIR_Coverage, 14360,
     /* 1871739 */     GIR_EraseRootFromParent_Done,
     /* 1871740 */   // Label 25243: @1871740
     /* 1871740 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1871829), // Rule ID 14363 //
     /* 1871745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871791 */     // MIs[0] policy
     /* 1871791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871801 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871828 */     // GIR_Coverage, 14363,
     /* 1871828 */     GIR_EraseRootFromParent_Done,
     /* 1871829 */   // Label 25244: @1871829
     /* 1871829 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1871918), // Rule ID 14364 //
     /* 1871834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871880 */     // MIs[0] policy
     /* 1871880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1871893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871917 */     // GIR_Coverage, 14364,
     /* 1871917 */     GIR_EraseRootFromParent_Done,
     /* 1871918 */   // Label 25245: @1871918
     /* 1871918 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872007), // Rule ID 14367 //
     /* 1871923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871969 */     // MIs[0] policy
     /* 1871969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1871982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872006 */     // GIR_Coverage, 14367,
     /* 1872006 */     GIR_EraseRootFromParent_Done,
     /* 1872007 */   // Label 25246: @1872007
     /* 1872007 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1872096), // Rule ID 14368 //
     /* 1872012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872058 */     // MIs[0] policy
     /* 1872058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1872071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872095 */     // GIR_Coverage, 14368,
     /* 1872095 */     GIR_EraseRootFromParent_Done,
     /* 1872096 */   // Label 25247: @1872096
     /* 1872096 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1872185), // Rule ID 14459 //
     /* 1872101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872147 */     // MIs[0] policy
     /* 1872147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872157 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872184 */     // GIR_Coverage, 14459,
     /* 1872184 */     GIR_EraseRootFromParent_Done,
     /* 1872185 */   // Label 25248: @1872185
     /* 1872185 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1872274), // Rule ID 14460 //
     /* 1872190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872236 */     // MIs[0] policy
     /* 1872236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1872249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872273 */     // GIR_Coverage, 14460,
     /* 1872273 */     GIR_EraseRootFromParent_Done,
     /* 1872274 */   // Label 25249: @1872274
     /* 1872274 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1872363), // Rule ID 14463 //
     /* 1872279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872325 */     // MIs[0] policy
     /* 1872325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872362 */     // GIR_Coverage, 14463,
     /* 1872362 */     GIR_EraseRootFromParent_Done,
     /* 1872363 */   // Label 25250: @1872363
     /* 1872363 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1872452), // Rule ID 14464 //
     /* 1872368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1872388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872414 */     // MIs[0] policy
     /* 1872414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872451 */     // GIR_Coverage, 14464,
     /* 1872451 */     GIR_EraseRootFromParent_Done,
     /* 1872452 */   // Label 25251: @1872452
     /* 1872452 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1872541), // Rule ID 14467 //
     /* 1872457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872503 */     // MIs[0] policy
     /* 1872503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872513 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872540 */     // GIR_Coverage, 14467,
     /* 1872540 */     GIR_EraseRootFromParent_Done,
     /* 1872541 */   // Label 25252: @1872541
     /* 1872541 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1872630), // Rule ID 14468 //
     /* 1872546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1872566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872592 */     // MIs[0] policy
     /* 1872592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872629 */     // GIR_Coverage, 14468,
     /* 1872629 */     GIR_EraseRootFromParent_Done,
     /* 1872630 */   // Label 25253: @1872630
     /* 1872630 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1872719), // Rule ID 14471 //
     /* 1872635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872681 */     // MIs[0] policy
     /* 1872681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872718 */     // GIR_Coverage, 14471,
     /* 1872718 */     GIR_EraseRootFromParent_Done,
     /* 1872719 */   // Label 25254: @1872719
     /* 1872719 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1872808), // Rule ID 14472 //
     /* 1872724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1872744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872770 */     // MIs[0] policy
     /* 1872770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1872783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872807 */     // GIR_Coverage, 14472,
     /* 1872807 */     GIR_EraseRootFromParent_Done,
     /* 1872808 */   // Label 25255: @1872808
     /* 1872808 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1872897), // Rule ID 14475 //
     /* 1872813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872859 */     // MIs[0] policy
     /* 1872859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872869 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872896 */     // GIR_Coverage, 14475,
     /* 1872896 */     GIR_EraseRootFromParent_Done,
     /* 1872897 */   // Label 25256: @1872897
     /* 1872897 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1872986), // Rule ID 14476 //
     /* 1872902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1872922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872948 */     // MIs[0] policy
     /* 1872948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1872961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872985 */     // GIR_Coverage, 14476,
     /* 1872985 */     GIR_EraseRootFromParent_Done,
     /* 1872986 */   // Label 25257: @1872986
     /* 1872986 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1873075), // Rule ID 14479 //
     /* 1872991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873037 */     // MIs[0] policy
     /* 1873037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873074 */     // GIR_Coverage, 14479,
     /* 1873074 */     GIR_EraseRootFromParent_Done,
     /* 1873075 */   // Label 25258: @1873075
     /* 1873075 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1873164), // Rule ID 14480 //
     /* 1873080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873126 */     // MIs[0] policy
     /* 1873126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1873139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873163 */     // GIR_Coverage, 14480,
     /* 1873163 */     GIR_EraseRootFromParent_Done,
     /* 1873164 */   // Label 25259: @1873164
     /* 1873164 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1873253), // Rule ID 14483 //
     /* 1873169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873215 */     // MIs[0] policy
     /* 1873215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873252 */     // GIR_Coverage, 14483,
     /* 1873252 */     GIR_EraseRootFromParent_Done,
     /* 1873253 */   // Label 25260: @1873253
     /* 1873253 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1873342), // Rule ID 14484 //
     /* 1873258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1873278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873304 */     // MIs[0] policy
     /* 1873304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873341 */     // GIR_Coverage, 14484,
     /* 1873341 */     GIR_EraseRootFromParent_Done,
     /* 1873342 */   // Label 25261: @1873342
     /* 1873342 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1873431), // Rule ID 14487 //
     /* 1873347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873393 */     // MIs[0] policy
     /* 1873393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873430 */     // GIR_Coverage, 14487,
     /* 1873430 */     GIR_EraseRootFromParent_Done,
     /* 1873431 */   // Label 25262: @1873431
     /* 1873431 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1873520), // Rule ID 14488 //
     /* 1873436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1873456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873482 */     // MIs[0] policy
     /* 1873482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873519 */     // GIR_Coverage, 14488,
     /* 1873519 */     GIR_EraseRootFromParent_Done,
     /* 1873520 */   // Label 25263: @1873520
     /* 1873520 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1873609), // Rule ID 14491 //
     /* 1873525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873571 */     // MIs[0] policy
     /* 1873571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873581 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873608 */     // GIR_Coverage, 14491,
     /* 1873608 */     GIR_EraseRootFromParent_Done,
     /* 1873609 */   // Label 25264: @1873609
     /* 1873609 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1873698), // Rule ID 14492 //
     /* 1873614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1873634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873660 */     // MIs[0] policy
     /* 1873660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873697 */     // GIR_Coverage, 14492,
     /* 1873697 */     GIR_EraseRootFromParent_Done,
     /* 1873698 */   // Label 25265: @1873698
     /* 1873698 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1873787), // Rule ID 14495 //
     /* 1873703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873749 */     // MIs[0] policy
     /* 1873749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873786 */     // GIR_Coverage, 14495,
     /* 1873786 */     GIR_EraseRootFromParent_Done,
     /* 1873787 */   // Label 25266: @1873787
     /* 1873787 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1873876), // Rule ID 14496 //
     /* 1873792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1873812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873838 */     // MIs[0] policy
     /* 1873838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1873851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873875 */     // GIR_Coverage, 14496,
     /* 1873875 */     GIR_EraseRootFromParent_Done,
     /* 1873876 */   // Label 25267: @1873876
     /* 1873876 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1873965), // Rule ID 14499 //
     /* 1873881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1873901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873927 */     // MIs[0] policy
     /* 1873927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873937 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873964 */     // GIR_Coverage, 14499,
     /* 1873964 */     GIR_EraseRootFromParent_Done,
     /* 1873965 */   // Label 25268: @1873965
     /* 1873965 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1874054), // Rule ID 14500 //
     /* 1873970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1873990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874016 */     // MIs[0] policy
     /* 1874016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874053 */     // GIR_Coverage, 14500,
     /* 1874053 */     GIR_EraseRootFromParent_Done,
     /* 1874054 */   // Label 25269: @1874054
     /* 1874054 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1874143), // Rule ID 14503 //
     /* 1874059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874105 */     // MIs[0] policy
     /* 1874105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874142 */     // GIR_Coverage, 14503,
     /* 1874142 */     GIR_EraseRootFromParent_Done,
     /* 1874143 */   // Label 25270: @1874143
     /* 1874143 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1874232), // Rule ID 14504 //
     /* 1874148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1874168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874194 */     // MIs[0] policy
     /* 1874194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874231 */     // GIR_Coverage, 14504,
     /* 1874231 */     GIR_EraseRootFromParent_Done,
     /* 1874232 */   // Label 25271: @1874232
     /* 1874232 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1874321), // Rule ID 14507 //
     /* 1874237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874283 */     // MIs[0] policy
     /* 1874283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874320 */     // GIR_Coverage, 14507,
     /* 1874320 */     GIR_EraseRootFromParent_Done,
     /* 1874321 */   // Label 25272: @1874321
     /* 1874321 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1874410), // Rule ID 14508 //
     /* 1874326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1874346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874372 */     // MIs[0] policy
     /* 1874372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874382 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874409 */     // GIR_Coverage, 14508,
     /* 1874409 */     GIR_EraseRootFromParent_Done,
     /* 1874410 */   // Label 25273: @1874410
     /* 1874410 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1874499), // Rule ID 14511 //
     /* 1874415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874461 */     // MIs[0] policy
     /* 1874461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874498 */     // GIR_Coverage, 14511,
     /* 1874498 */     GIR_EraseRootFromParent_Done,
     /* 1874499 */   // Label 25274: @1874499
     /* 1874499 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1874588), // Rule ID 14512 //
     /* 1874504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1874524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874550 */     // MIs[0] policy
     /* 1874550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874587 */     // GIR_Coverage, 14512,
     /* 1874587 */     GIR_EraseRootFromParent_Done,
     /* 1874588 */   // Label 25275: @1874588
     /* 1874588 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1874677), // Rule ID 14515 //
     /* 1874593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1874613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874639 */     // MIs[0] policy
     /* 1874639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874676 */     // GIR_Coverage, 14515,
     /* 1874676 */     GIR_EraseRootFromParent_Done,
     /* 1874677 */   // Label 25276: @1874677
     /* 1874677 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1874766), // Rule ID 14516 //
     /* 1874682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1874702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874728 */     // MIs[0] policy
     /* 1874728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874765 */     // GIR_Coverage, 14516,
     /* 1874765 */     GIR_EraseRootFromParent_Done,
     /* 1874766 */   // Label 25277: @1874766
     /* 1874766 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1874855), // Rule ID 14519 //
     /* 1874771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874817 */     // MIs[0] policy
     /* 1874817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874854 */     // GIR_Coverage, 14519,
     /* 1874854 */     GIR_EraseRootFromParent_Done,
     /* 1874855 */   // Label 25278: @1874855
     /* 1874855 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1874944), // Rule ID 14520 //
     /* 1874860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1874880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874906 */     // MIs[0] policy
     /* 1874906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874943 */     // GIR_Coverage, 14520,
     /* 1874943 */     GIR_EraseRootFromParent_Done,
     /* 1874944 */   // Label 25279: @1874944
     /* 1874944 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875033), // Rule ID 14523 //
     /* 1874949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1874969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874995 */     // MIs[0] policy
     /* 1874995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875032 */     // GIR_Coverage, 14523,
     /* 1875032 */     GIR_EraseRootFromParent_Done,
     /* 1875033 */   // Label 25280: @1875033
     /* 1875033 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1875122), // Rule ID 14524 //
     /* 1875038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1875058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875084 */     // MIs[0] policy
     /* 1875084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875121 */     // GIR_Coverage, 14524,
     /* 1875121 */     GIR_EraseRootFromParent_Done,
     /* 1875122 */   // Label 25281: @1875122
     /* 1875122 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1875211), // Rule ID 14527 //
     /* 1875127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875173 */     // MIs[0] policy
     /* 1875173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875210 */     // GIR_Coverage, 14527,
     /* 1875210 */     GIR_EraseRootFromParent_Done,
     /* 1875211 */   // Label 25282: @1875211
     /* 1875211 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1875300), // Rule ID 14528 //
     /* 1875216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1875236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875262 */     // MIs[0] policy
     /* 1875262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875299 */     // GIR_Coverage, 14528,
     /* 1875299 */     GIR_EraseRootFromParent_Done,
     /* 1875300 */   // Label 25283: @1875300
     /* 1875300 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1875389), // Rule ID 14531 //
     /* 1875305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875351 */     // MIs[0] policy
     /* 1875351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875388 */     // GIR_Coverage, 14531,
     /* 1875388 */     GIR_EraseRootFromParent_Done,
     /* 1875389 */   // Label 25284: @1875389
     /* 1875389 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1875478), // Rule ID 14532 //
     /* 1875394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1875414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875440 */     // MIs[0] policy
     /* 1875440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875477 */     // GIR_Coverage, 14532,
     /* 1875477 */     GIR_EraseRootFromParent_Done,
     /* 1875478 */   // Label 25285: @1875478
     /* 1875478 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1875567), // Rule ID 14535 //
     /* 1875483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875529 */     // MIs[0] policy
     /* 1875529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875566 */     // GIR_Coverage, 14535,
     /* 1875566 */     GIR_EraseRootFromParent_Done,
     /* 1875567 */   // Label 25286: @1875567
     /* 1875567 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1875656), // Rule ID 14536 //
     /* 1875572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1875592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875618 */     // MIs[0] policy
     /* 1875618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1875631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875655 */     // GIR_Coverage, 14536,
     /* 1875655 */     GIR_EraseRootFromParent_Done,
     /* 1875656 */   // Label 25287: @1875656
     /* 1875656 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1875745), // Rule ID 14539 //
     /* 1875661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875707 */     // MIs[0] policy
     /* 1875707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875717 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875744 */     // GIR_Coverage, 14539,
     /* 1875744 */     GIR_EraseRootFromParent_Done,
     /* 1875745 */   // Label 25288: @1875745
     /* 1875745 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1875834), // Rule ID 14540 //
     /* 1875750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1875770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875796 */     // MIs[0] policy
     /* 1875796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1875809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875833 */     // GIR_Coverage, 14540,
     /* 1875833 */     GIR_EraseRootFromParent_Done,
     /* 1875834 */   // Label 25289: @1875834
     /* 1875834 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1875923), // Rule ID 14543 //
     /* 1875839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1875859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875885 */     // MIs[0] policy
     /* 1875885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875922 */     // GIR_Coverage, 14543,
     /* 1875922 */     GIR_EraseRootFromParent_Done,
     /* 1875923 */   // Label 25290: @1875923
     /* 1875923 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876012), // Rule ID 14544 //
     /* 1875928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1875948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875974 */     // MIs[0] policy
     /* 1875974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1875987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876011 */     // GIR_Coverage, 14544,
     /* 1876011 */     GIR_EraseRootFromParent_Done,
     /* 1876012 */   // Label 25291: @1876012
     /* 1876012 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1876101), // Rule ID 14547 //
     /* 1876017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876063 */     // MIs[0] policy
     /* 1876063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876100 */     // GIR_Coverage, 14547,
     /* 1876100 */     GIR_EraseRootFromParent_Done,
     /* 1876101 */   // Label 25292: @1876101
     /* 1876101 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1876190), // Rule ID 14548 //
     /* 1876106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876152 */     // MIs[0] policy
     /* 1876152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1876165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876189 */     // GIR_Coverage, 14548,
     /* 1876189 */     GIR_EraseRootFromParent_Done,
     /* 1876190 */   // Label 25293: @1876190
     /* 1876190 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1876279), // Rule ID 14551 //
     /* 1876195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876241 */     // MIs[0] policy
     /* 1876241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876251 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876278 */     // GIR_Coverage, 14551,
     /* 1876278 */     GIR_EraseRootFromParent_Done,
     /* 1876279 */   // Label 25294: @1876279
     /* 1876279 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1876368), // Rule ID 14552 //
     /* 1876284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876330 */     // MIs[0] policy
     /* 1876330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876367 */     // GIR_Coverage, 14552,
     /* 1876367 */     GIR_EraseRootFromParent_Done,
     /* 1876368 */   // Label 25295: @1876368
     /* 1876368 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1876457), // Rule ID 14555 //
     /* 1876373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876419 */     // MIs[0] policy
     /* 1876419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876429 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876456 */     // GIR_Coverage, 14555,
     /* 1876456 */     GIR_EraseRootFromParent_Done,
     /* 1876457 */   // Label 25296: @1876457
     /* 1876457 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1876546), // Rule ID 14556 //
     /* 1876462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876508 */     // MIs[0] policy
     /* 1876508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876545 */     // GIR_Coverage, 14556,
     /* 1876545 */     GIR_EraseRootFromParent_Done,
     /* 1876546 */   // Label 25297: @1876546
     /* 1876546 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1876635), // Rule ID 14559 //
     /* 1876551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876597 */     // MIs[0] policy
     /* 1876597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876607 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876634 */     // GIR_Coverage, 14559,
     /* 1876634 */     GIR_EraseRootFromParent_Done,
     /* 1876635 */   // Label 25298: @1876635
     /* 1876635 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1876724), // Rule ID 14560 //
     /* 1876640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876686 */     // MIs[0] policy
     /* 1876686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1876699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876723 */     // GIR_Coverage, 14560,
     /* 1876723 */     GIR_EraseRootFromParent_Done,
     /* 1876724 */   // Label 25299: @1876724
     /* 1876724 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1876813), // Rule ID 14563 //
     /* 1876729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876775 */     // MIs[0] policy
     /* 1876775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876785 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876812 */     // GIR_Coverage, 14563,
     /* 1876812 */     GIR_EraseRootFromParent_Done,
     /* 1876813 */   // Label 25300: @1876813
     /* 1876813 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1876902), // Rule ID 14564 //
     /* 1876818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876864 */     // MIs[0] policy
     /* 1876864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876901 */     // GIR_Coverage, 14564,
     /* 1876901 */     GIR_EraseRootFromParent_Done,
     /* 1876902 */   // Label 25301: @1876902
     /* 1876902 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1876991), // Rule ID 14567 //
     /* 1876907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876953 */     // MIs[0] policy
     /* 1876953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1876966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876990 */     // GIR_Coverage, 14567,
     /* 1876990 */     GIR_EraseRootFromParent_Done,
     /* 1876991 */   // Label 25302: @1876991
     /* 1876991 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1877080), // Rule ID 14568 //
     /* 1876996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877042 */     // MIs[0] policy
     /* 1877042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1877055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877079 */     // GIR_Coverage, 14568,
     /* 1877079 */     GIR_EraseRootFromParent_Done,
     /* 1877080 */   // Label 25303: @1877080
     /* 1877080 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1877169), // Rule ID 14571 //
     /* 1877085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877131 */     // MIs[0] policy
     /* 1877131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877168 */     // GIR_Coverage, 14571,
     /* 1877168 */     GIR_EraseRootFromParent_Done,
     /* 1877169 */   // Label 25304: @1877169
     /* 1877169 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1877258), // Rule ID 14572 //
     /* 1877174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877220 */     // MIs[0] policy
     /* 1877220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11539:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877257 */     // GIR_Coverage, 14572,
     /* 1877257 */     GIR_EraseRootFromParent_Done,
     /* 1877258 */   // Label 25305: @1877258
     /* 1877258 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1877347), // Rule ID 14575 //
     /* 1877263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877309 */     // MIs[0] policy
     /* 1877309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877319 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877346 */     // GIR_Coverage, 14575,
     /* 1877346 */     GIR_EraseRootFromParent_Done,
     /* 1877347 */   // Label 25306: @1877347
     /* 1877347 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1877436), // Rule ID 14576 //
     /* 1877352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877398 */     // MIs[0] policy
     /* 1877398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877435 */     // GIR_Coverage, 14576,
     /* 1877435 */     GIR_EraseRootFromParent_Done,
     /* 1877436 */   // Label 25307: @1877436
     /* 1877436 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1877525), // Rule ID 14579 //
     /* 1877441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877487 */     // MIs[0] policy
     /* 1877487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877524 */     // GIR_Coverage, 14579,
     /* 1877524 */     GIR_EraseRootFromParent_Done,
     /* 1877525 */   // Label 25308: @1877525
     /* 1877525 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1877614), // Rule ID 14580 //
     /* 1877530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877576 */     // MIs[0] policy
     /* 1877576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877613 */     // GIR_Coverage, 14580,
     /* 1877613 */     GIR_EraseRootFromParent_Done,
     /* 1877614 */   // Label 25309: @1877614
     /* 1877614 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1877703), // Rule ID 14583 //
     /* 1877619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877665 */     // MIs[0] policy
     /* 1877665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877675 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877702 */     // GIR_Coverage, 14583,
     /* 1877702 */     GIR_EraseRootFromParent_Done,
     /* 1877703 */   // Label 25310: @1877703
     /* 1877703 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1877792), // Rule ID 14584 //
     /* 1877708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877754 */     // MIs[0] policy
     /* 1877754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1877767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877791 */     // GIR_Coverage, 14584,
     /* 1877791 */     GIR_EraseRootFromParent_Done,
     /* 1877792 */   // Label 25311: @1877792
     /* 1877792 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1877881), // Rule ID 14587 //
     /* 1877797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877843 */     // MIs[0] policy
     /* 1877843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877880 */     // GIR_Coverage, 14587,
     /* 1877880 */     GIR_EraseRootFromParent_Done,
     /* 1877881 */   // Label 25312: @1877881
     /* 1877881 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1877970), // Rule ID 14588 //
     /* 1877886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877932 */     // MIs[0] policy
     /* 1877932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877969 */     // GIR_Coverage, 14588,
     /* 1877969 */     GIR_EraseRootFromParent_Done,
     /* 1877970 */   // Label 25313: @1877970
     /* 1877970 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1878059), // Rule ID 14591 //
     /* 1877975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878021 */     // MIs[0] policy
     /* 1878021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878031 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878058 */     // GIR_Coverage, 14591,
     /* 1878058 */     GIR_EraseRootFromParent_Done,
     /* 1878059 */   // Label 25314: @1878059
     /* 1878059 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1878148), // Rule ID 14592 //
     /* 1878064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878110 */     // MIs[0] policy
     /* 1878110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878147 */     // GIR_Coverage, 14592,
     /* 1878147 */     GIR_EraseRootFromParent_Done,
     /* 1878148 */   // Label 25315: @1878148
     /* 1878148 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1878237), // Rule ID 14595 //
     /* 1878153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878199 */     // MIs[0] policy
     /* 1878199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878209 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878236 */     // GIR_Coverage, 14595,
     /* 1878236 */     GIR_EraseRootFromParent_Done,
     /* 1878237 */   // Label 25316: @1878237
     /* 1878237 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1878326), // Rule ID 14596 //
     /* 1878242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878288 */     // MIs[0] policy
     /* 1878288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878298 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878325 */     // GIR_Coverage, 14596,
     /* 1878325 */     GIR_EraseRootFromParent_Done,
     /* 1878326 */   // Label 25317: @1878326
     /* 1878326 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1878415), // Rule ID 14599 //
     /* 1878331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878377 */     // MIs[0] policy
     /* 1878377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878414 */     // GIR_Coverage, 14599,
     /* 1878414 */     GIR_EraseRootFromParent_Done,
     /* 1878415 */   // Label 25318: @1878415
     /* 1878415 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1878504), // Rule ID 14600 //
     /* 1878420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878466 */     // MIs[0] policy
     /* 1878466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878503 */     // GIR_Coverage, 14600,
     /* 1878503 */     GIR_EraseRootFromParent_Done,
     /* 1878504 */   // Label 25319: @1878504
     /* 1878504 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1878593), // Rule ID 14603 //
     /* 1878509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878555 */     // MIs[0] policy
     /* 1878555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878592 */     // GIR_Coverage, 14603,
     /* 1878592 */     GIR_EraseRootFromParent_Done,
     /* 1878593 */   // Label 25320: @1878593
     /* 1878593 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1878682), // Rule ID 14604 //
     /* 1878598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878644 */     // MIs[0] policy
     /* 1878644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878681 */     // GIR_Coverage, 14604,
     /* 1878681 */     GIR_EraseRootFromParent_Done,
     /* 1878682 */   // Label 25321: @1878682
     /* 1878682 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1878771), // Rule ID 14607 //
     /* 1878687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878733 */     // MIs[0] policy
     /* 1878733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878770 */     // GIR_Coverage, 14607,
     /* 1878770 */     GIR_EraseRootFromParent_Done,
     /* 1878771 */   // Label 25322: @1878771
     /* 1878771 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1878860), // Rule ID 14608 //
     /* 1878776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878822 */     // MIs[0] policy
     /* 1878822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878859 */     // GIR_Coverage, 14608,
     /* 1878859 */     GIR_EraseRootFromParent_Done,
     /* 1878860 */   // Label 25323: @1878860
     /* 1878860 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1878949), // Rule ID 14611 //
     /* 1878865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878911 */     // MIs[0] policy
     /* 1878911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878948 */     // GIR_Coverage, 14611,
     /* 1878948 */     GIR_EraseRootFromParent_Done,
     /* 1878949 */   // Label 25324: @1878949
     /* 1878949 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879038), // Rule ID 14612 //
     /* 1878954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879000 */     // MIs[0] policy
     /* 1879000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879037 */     // GIR_Coverage, 14612,
     /* 1879037 */     GIR_EraseRootFromParent_Done,
     /* 1879038 */   // Label 25325: @1879038
     /* 1879038 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1879127), // Rule ID 14615 //
     /* 1879043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879089 */     // MIs[0] policy
     /* 1879089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879126 */     // GIR_Coverage, 14615,
     /* 1879126 */     GIR_EraseRootFromParent_Done,
     /* 1879127 */   // Label 25326: @1879127
     /* 1879127 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1879216), // Rule ID 14616 //
     /* 1879132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879178 */     // MIs[0] policy
     /* 1879178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879215 */     // GIR_Coverage, 14616,
     /* 1879215 */     GIR_EraseRootFromParent_Done,
     /* 1879216 */   // Label 25327: @1879216
     /* 1879216 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1879305), // Rule ID 14619 //
     /* 1879221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879267 */     // MIs[0] policy
     /* 1879267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879304 */     // GIR_Coverage, 14619,
     /* 1879304 */     GIR_EraseRootFromParent_Done,
     /* 1879305 */   // Label 25328: @1879305
     /* 1879305 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1879394), // Rule ID 14620 //
     /* 1879310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879356 */     // MIs[0] policy
     /* 1879356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879393 */     // GIR_Coverage, 14620,
     /* 1879393 */     GIR_EraseRootFromParent_Done,
     /* 1879394 */   // Label 25329: @1879394
     /* 1879394 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1879483), // Rule ID 14623 //
     /* 1879399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879445 */     // MIs[0] policy
     /* 1879445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879455 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879482 */     // GIR_Coverage, 14623,
     /* 1879482 */     GIR_EraseRootFromParent_Done,
     /* 1879483 */   // Label 25330: @1879483
     /* 1879483 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1879572), // Rule ID 14624 //
     /* 1879488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879534 */     // MIs[0] policy
     /* 1879534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1879547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879571 */     // GIR_Coverage, 14624,
     /* 1879571 */     GIR_EraseRootFromParent_Done,
     /* 1879572 */   // Label 25331: @1879572
     /* 1879572 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1879661), // Rule ID 14627 //
     /* 1879577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879623 */     // MIs[0] policy
     /* 1879623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879660 */     // GIR_Coverage, 14627,
     /* 1879660 */     GIR_EraseRootFromParent_Done,
     /* 1879661 */   // Label 25332: @1879661
     /* 1879661 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1879750), // Rule ID 14628 //
     /* 1879666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879712 */     // MIs[0] policy
     /* 1879712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1879725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879749 */     // GIR_Coverage, 14628,
     /* 1879749 */     GIR_EraseRootFromParent_Done,
     /* 1879750 */   // Label 25333: @1879750
     /* 1879750 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1879839), // Rule ID 14631 //
     /* 1879755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879801 */     // MIs[0] policy
     /* 1879801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879838 */     // GIR_Coverage, 14631,
     /* 1879838 */     GIR_EraseRootFromParent_Done,
     /* 1879839 */   // Label 25334: @1879839
     /* 1879839 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1879928), // Rule ID 14632 //
     /* 1879844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879890 */     // MIs[0] policy
     /* 1879890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1879903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879927 */     // GIR_Coverage, 14632,
     /* 1879927 */     GIR_EraseRootFromParent_Done,
     /* 1879928 */   // Label 25335: @1879928
     /* 1879928 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880017), // Rule ID 14635 //
     /* 1879933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1879953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879979 */     // MIs[0] policy
     /* 1879979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1879992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880016 */     // GIR_Coverage, 14635,
     /* 1880016 */     GIR_EraseRootFromParent_Done,
     /* 1880017 */   // Label 25336: @1880017
     /* 1880017 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1880106), // Rule ID 14636 //
     /* 1880022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1880042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880068 */     // MIs[0] policy
     /* 1880068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1880081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880105 */     // GIR_Coverage, 14636,
     /* 1880105 */     GIR_EraseRootFromParent_Done,
     /* 1880106 */   // Label 25337: @1880106
     /* 1880106 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1880195), // Rule ID 14639 //
     /* 1880111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880157 */     // MIs[0] policy
     /* 1880157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880194 */     // GIR_Coverage, 14639,
     /* 1880194 */     GIR_EraseRootFromParent_Done,
     /* 1880195 */   // Label 25338: @1880195
     /* 1880195 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1880284), // Rule ID 14640 //
     /* 1880200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1880220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880246 */     // MIs[0] policy
     /* 1880246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880283 */     // GIR_Coverage, 14640,
     /* 1880283 */     GIR_EraseRootFromParent_Done,
     /* 1880284 */   // Label 25339: @1880284
     /* 1880284 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1880373), // Rule ID 14643 //
     /* 1880289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880335 */     // MIs[0] policy
     /* 1880335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880345 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880372 */     // GIR_Coverage, 14643,
     /* 1880372 */     GIR_EraseRootFromParent_Done,
     /* 1880373 */   // Label 25340: @1880373
     /* 1880373 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1880462), // Rule ID 14644 //
     /* 1880378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1880398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880424 */     // MIs[0] policy
     /* 1880424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880461 */     // GIR_Coverage, 14644,
     /* 1880461 */     GIR_EraseRootFromParent_Done,
     /* 1880462 */   // Label 25341: @1880462
     /* 1880462 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1880551), // Rule ID 14647 //
     /* 1880467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880513 */     // MIs[0] policy
     /* 1880513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880550 */     // GIR_Coverage, 14647,
     /* 1880550 */     GIR_EraseRootFromParent_Done,
     /* 1880551 */   // Label 25342: @1880551
     /* 1880551 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1880640), // Rule ID 14648 //
     /* 1880556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1880576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880602 */     // MIs[0] policy
     /* 1880602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1880615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880639 */     // GIR_Coverage, 14648,
     /* 1880639 */     GIR_EraseRootFromParent_Done,
     /* 1880640 */   // Label 25343: @1880640
     /* 1880640 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1880729), // Rule ID 14651 //
     /* 1880645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880691 */     // MIs[0] policy
     /* 1880691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880701 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880728 */     // GIR_Coverage, 14651,
     /* 1880728 */     GIR_EraseRootFromParent_Done,
     /* 1880729 */   // Label 25344: @1880729
     /* 1880729 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1880818), // Rule ID 14652 //
     /* 1880734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1880754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880780 */     // MIs[0] policy
     /* 1880780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880817 */     // GIR_Coverage, 14652,
     /* 1880817 */     GIR_EraseRootFromParent_Done,
     /* 1880818 */   // Label 25345: @1880818
     /* 1880818 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1880907), // Rule ID 14655 //
     /* 1880823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880869 */     // MIs[0] policy
     /* 1880869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880879 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880906 */     // GIR_Coverage, 14655,
     /* 1880906 */     GIR_EraseRootFromParent_Done,
     /* 1880907 */   // Label 25346: @1880907
     /* 1880907 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1880996), // Rule ID 14656 //
     /* 1880912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1880932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880958 */     // MIs[0] policy
     /* 1880958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1880971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880995 */     // GIR_Coverage, 14656,
     /* 1880995 */     GIR_EraseRootFromParent_Done,
     /* 1880996 */   // Label 25347: @1880996
     /* 1880996 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1881085), // Rule ID 14659 //
     /* 1881001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881047 */     // MIs[0] policy
     /* 1881047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881084 */     // GIR_Coverage, 14659,
     /* 1881084 */     GIR_EraseRootFromParent_Done,
     /* 1881085 */   // Label 25348: @1881085
     /* 1881085 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1881174), // Rule ID 14660 //
     /* 1881090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1881110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881136 */     // MIs[0] policy
     /* 1881136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881173 */     // GIR_Coverage, 14660,
     /* 1881173 */     GIR_EraseRootFromParent_Done,
     /* 1881174 */   // Label 25349: @1881174
     /* 1881174 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1881263), // Rule ID 14663 //
     /* 1881179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881225 */     // MIs[0] policy
     /* 1881225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881262 */     // GIR_Coverage, 14663,
     /* 1881262 */     GIR_EraseRootFromParent_Done,
     /* 1881263 */   // Label 25350: @1881263
     /* 1881263 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1881352), // Rule ID 14664 //
     /* 1881268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1881288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881314 */     // MIs[0] policy
     /* 1881314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881351 */     // GIR_Coverage, 14664,
     /* 1881351 */     GIR_EraseRootFromParent_Done,
     /* 1881352 */   // Label 25351: @1881352
     /* 1881352 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1881441), // Rule ID 14667 //
     /* 1881357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881403 */     // MIs[0] policy
     /* 1881403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881440 */     // GIR_Coverage, 14667,
     /* 1881440 */     GIR_EraseRootFromParent_Done,
     /* 1881441 */   // Label 25352: @1881441
     /* 1881441 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1881530), // Rule ID 14668 //
     /* 1881446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1881466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881492 */     // MIs[0] policy
     /* 1881492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881529 */     // GIR_Coverage, 14668,
     /* 1881529 */     GIR_EraseRootFromParent_Done,
     /* 1881530 */   // Label 25353: @1881530
     /* 1881530 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1881619), // Rule ID 14671 //
     /* 1881535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881581 */     // MIs[0] policy
     /* 1881581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881618 */     // GIR_Coverage, 14671,
     /* 1881618 */     GIR_EraseRootFromParent_Done,
     /* 1881619 */   // Label 25354: @1881619
     /* 1881619 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1881708), // Rule ID 14672 //
     /* 1881624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1881644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881670 */     // MIs[0] policy
     /* 1881670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1881683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881707 */     // GIR_Coverage, 14672,
     /* 1881707 */     GIR_EraseRootFromParent_Done,
     /* 1881708 */   // Label 25355: @1881708
     /* 1881708 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1881797), // Rule ID 14675 //
     /* 1881713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881759 */     // MIs[0] policy
     /* 1881759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881796 */     // GIR_Coverage, 14675,
     /* 1881796 */     GIR_EraseRootFromParent_Done,
     /* 1881797 */   // Label 25356: @1881797
     /* 1881797 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1881886), // Rule ID 14676 //
     /* 1881802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1881822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881848 */     // MIs[0] policy
     /* 1881848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881885 */     // GIR_Coverage, 14676,
     /* 1881885 */     GIR_EraseRootFromParent_Done,
     /* 1881886 */   // Label 25357: @1881886
     /* 1881886 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1881975), // Rule ID 14679 //
     /* 1881891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1881911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881937 */     // MIs[0] policy
     /* 1881937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1881950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881974 */     // GIR_Coverage, 14679,
     /* 1881974 */     GIR_EraseRootFromParent_Done,
     /* 1881975 */   // Label 25358: @1881975
     /* 1881975 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1882064), // Rule ID 14680 //
     /* 1881980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1882000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882026 */     // MIs[0] policy
     /* 1882026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882063 */     // GIR_Coverage, 14680,
     /* 1882063 */     GIR_EraseRootFromParent_Done,
     /* 1882064 */   // Label 25359: @1882064
     /* 1882064 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1882153), // Rule ID 14683 //
     /* 1882069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882115 */     // MIs[0] policy
     /* 1882115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882152 */     // GIR_Coverage, 14683,
     /* 1882152 */     GIR_EraseRootFromParent_Done,
     /* 1882153 */   // Label 25360: @1882153
     /* 1882153 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1882242), // Rule ID 14684 //
     /* 1882158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1882178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882204 */     // MIs[0] policy
     /* 1882204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882241 */     // GIR_Coverage, 14684,
     /* 1882241 */     GIR_EraseRootFromParent_Done,
     /* 1882242 */   // Label 25361: @1882242
     /* 1882242 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1882331), // Rule ID 14687 //
     /* 1882247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882293 */     // MIs[0] policy
     /* 1882293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882303 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882330 */     // GIR_Coverage, 14687,
     /* 1882330 */     GIR_EraseRootFromParent_Done,
     /* 1882331 */   // Label 25362: @1882331
     /* 1882331 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1882420), // Rule ID 14688 //
     /* 1882336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882382 */     // MIs[0] policy
     /* 1882382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882419 */     // GIR_Coverage, 14688,
     /* 1882419 */     GIR_EraseRootFromParent_Done,
     /* 1882420 */   // Label 25363: @1882420
     /* 1882420 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1882509), // Rule ID 14691 //
     /* 1882425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882471 */     // MIs[0] policy
     /* 1882471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882508 */     // GIR_Coverage, 14691,
     /* 1882508 */     GIR_EraseRootFromParent_Done,
     /* 1882509 */   // Label 25364: @1882509
     /* 1882509 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1882598), // Rule ID 14692 //
     /* 1882514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1882534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882560 */     // MIs[0] policy
     /* 1882560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882597 */     // GIR_Coverage, 14692,
     /* 1882597 */     GIR_EraseRootFromParent_Done,
     /* 1882598 */   // Label 25365: @1882598
     /* 1882598 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1882687), // Rule ID 14695 //
     /* 1882603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1882623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882649 */     // MIs[0] policy
     /* 1882649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882686 */     // GIR_Coverage, 14695,
     /* 1882686 */     GIR_EraseRootFromParent_Done,
     /* 1882687 */   // Label 25366: @1882687
     /* 1882687 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1882776), // Rule ID 14696 //
     /* 1882692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1882712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882738 */     // MIs[0] policy
     /* 1882738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882775 */     // GIR_Coverage, 14696,
     /* 1882775 */     GIR_EraseRootFromParent_Done,
     /* 1882776 */   // Label 25367: @1882776
     /* 1882776 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1882865), // Rule ID 14699 //
     /* 1882781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882827 */     // MIs[0] policy
     /* 1882827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882864 */     // GIR_Coverage, 14699,
     /* 1882864 */     GIR_EraseRootFromParent_Done,
     /* 1882865 */   // Label 25368: @1882865
     /* 1882865 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1882954), // Rule ID 14700 //
     /* 1882870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1882890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882916 */     // MIs[0] policy
     /* 1882916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882953 */     // GIR_Coverage, 14700,
     /* 1882953 */     GIR_EraseRootFromParent_Done,
     /* 1882954 */   // Label 25369: @1882954
     /* 1882954 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883043), // Rule ID 14703 //
     /* 1882959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1882979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883005 */     // MIs[0] policy
     /* 1883005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883042 */     // GIR_Coverage, 14703,
     /* 1883042 */     GIR_EraseRootFromParent_Done,
     /* 1883043 */   // Label 25370: @1883043
     /* 1883043 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1883132), // Rule ID 14704 //
     /* 1883048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883094 */     // MIs[0] policy
     /* 1883094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883131 */     // GIR_Coverage, 14704,
     /* 1883131 */     GIR_EraseRootFromParent_Done,
     /* 1883132 */   // Label 25371: @1883132
     /* 1883132 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1883221), // Rule ID 14707 //
     /* 1883137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883183 */     // MIs[0] policy
     /* 1883183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883220 */     // GIR_Coverage, 14707,
     /* 1883220 */     GIR_EraseRootFromParent_Done,
     /* 1883221 */   // Label 25372: @1883221
     /* 1883221 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1883310), // Rule ID 14708 //
     /* 1883226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883272 */     // MIs[0] policy
     /* 1883272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883309 */     // GIR_Coverage, 14708,
     /* 1883309 */     GIR_EraseRootFromParent_Done,
     /* 1883310 */   // Label 25373: @1883310
     /* 1883310 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1883399), // Rule ID 14711 //
     /* 1883315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883361 */     // MIs[0] policy
     /* 1883361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883398 */     // GIR_Coverage, 14711,
     /* 1883398 */     GIR_EraseRootFromParent_Done,
     /* 1883399 */   // Label 25374: @1883399
     /* 1883399 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1883488), // Rule ID 14712 //
     /* 1883404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883450 */     // MIs[0] policy
     /* 1883450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1883463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883487 */     // GIR_Coverage, 14712,
     /* 1883487 */     GIR_EraseRootFromParent_Done,
     /* 1883488 */   // Label 25375: @1883488
     /* 1883488 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1883577), // Rule ID 14715 //
     /* 1883493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883539 */     // MIs[0] policy
     /* 1883539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883576 */     // GIR_Coverage, 14715,
     /* 1883576 */     GIR_EraseRootFromParent_Done,
     /* 1883577 */   // Label 25376: @1883577
     /* 1883577 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1883666), // Rule ID 14716 //
     /* 1883582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1883602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883628 */     // MIs[0] policy
     /* 1883628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883638 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1883641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883665 */     // GIR_Coverage, 14716,
     /* 1883665 */     GIR_EraseRootFromParent_Done,
     /* 1883666 */   // Label 25377: @1883666
     /* 1883666 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1883755), // Rule ID 14719 //
     /* 1883671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883717 */     // MIs[0] policy
     /* 1883717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883754 */     // GIR_Coverage, 14719,
     /* 1883754 */     GIR_EraseRootFromParent_Done,
     /* 1883755 */   // Label 25378: @1883755
     /* 1883755 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1883844), // Rule ID 14720 //
     /* 1883760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1883780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883806 */     // MIs[0] policy
     /* 1883806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1883819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883843 */     // GIR_Coverage, 14720,
     /* 1883843 */     GIR_EraseRootFromParent_Done,
     /* 1883844 */   // Label 25379: @1883844
     /* 1883844 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1883933), // Rule ID 14723 //
     /* 1883849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883895 */     // MIs[0] policy
     /* 1883895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883905 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1883908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883932 */     // GIR_Coverage, 14723,
     /* 1883932 */     GIR_EraseRootFromParent_Done,
     /* 1883933 */   // Label 25380: @1883933
     /* 1883933 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884022), // Rule ID 14724 //
     /* 1883938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883984 */     // MIs[0] policy
     /* 1883984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1883997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884021 */     // GIR_Coverage, 14724,
     /* 1884021 */     GIR_EraseRootFromParent_Done,
     /* 1884022 */   // Label 25381: @1884022
     /* 1884022 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1884111), // Rule ID 14727 //
     /* 1884027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884073 */     // MIs[0] policy
     /* 1884073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884083 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884110 */     // GIR_Coverage, 14727,
     /* 1884110 */     GIR_EraseRootFromParent_Done,
     /* 1884111 */   // Label 25382: @1884111
     /* 1884111 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1884200), // Rule ID 14728 //
     /* 1884116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884162 */     // MIs[0] policy
     /* 1884162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884199 */     // GIR_Coverage, 14728,
     /* 1884199 */     GIR_EraseRootFromParent_Done,
     /* 1884200 */   // Label 25383: @1884200
     /* 1884200 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1884289), // Rule ID 14731 //
     /* 1884205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884251 */     // MIs[0] policy
     /* 1884251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884288 */     // GIR_Coverage, 14731,
     /* 1884288 */     GIR_EraseRootFromParent_Done,
     /* 1884289 */   // Label 25384: @1884289
     /* 1884289 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1884378), // Rule ID 14732 //
     /* 1884294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884340 */     // MIs[0] policy
     /* 1884340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884350 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884377 */     // GIR_Coverage, 14732,
     /* 1884377 */     GIR_EraseRootFromParent_Done,
     /* 1884378 */   // Label 25385: @1884378
     /* 1884378 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1884467), // Rule ID 14735 //
     /* 1884383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884429 */     // MIs[0] policy
     /* 1884429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884466 */     // GIR_Coverage, 14735,
     /* 1884466 */     GIR_EraseRootFromParent_Done,
     /* 1884467 */   // Label 25386: @1884467
     /* 1884467 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1884556), // Rule ID 14736 //
     /* 1884472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884518 */     // MIs[0] policy
     /* 1884518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1884531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884555 */     // GIR_Coverage, 14736,
     /* 1884555 */     GIR_EraseRootFromParent_Done,
     /* 1884556 */   // Label 25387: @1884556
     /* 1884556 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1884645), // Rule ID 14739 //
     /* 1884561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884607 */     // MIs[0] policy
     /* 1884607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884644 */     // GIR_Coverage, 14739,
     /* 1884644 */     GIR_EraseRootFromParent_Done,
     /* 1884645 */   // Label 25388: @1884645
     /* 1884645 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1884734), // Rule ID 14740 //
     /* 1884650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884696 */     // MIs[0] policy
     /* 1884696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884733 */     // GIR_Coverage, 14740,
     /* 1884733 */     GIR_EraseRootFromParent_Done,
     /* 1884734 */   // Label 25389: @1884734
     /* 1884734 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1884823), // Rule ID 14743 //
     /* 1884739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884785 */     // MIs[0] policy
     /* 1884785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884822 */     // GIR_Coverage, 14743,
     /* 1884822 */     GIR_EraseRootFromParent_Done,
     /* 1884823 */   // Label 25390: @1884823
     /* 1884823 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1884912), // Rule ID 14744 //
     /* 1884828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884874 */     // MIs[0] policy
     /* 1884874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1884887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884911 */     // GIR_Coverage, 14744,
     /* 1884911 */     GIR_EraseRootFromParent_Done,
     /* 1884912 */   // Label 25391: @1884912
     /* 1884912 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885001), // Rule ID 14747 //
     /* 1884917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884963 */     // MIs[0] policy
     /* 1884963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885000 */     // GIR_Coverage, 14747,
     /* 1885000 */     GIR_EraseRootFromParent_Done,
     /* 1885001 */   // Label 25392: @1885001
     /* 1885001 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1885090), // Rule ID 14748 //
     /* 1885006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885052 */     // MIs[0] policy
     /* 1885052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885089 */     // GIR_Coverage, 14748,
     /* 1885089 */     GIR_EraseRootFromParent_Done,
     /* 1885090 */   // Label 25393: @1885090
     /* 1885090 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1885179), // Rule ID 14751 //
     /* 1885095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885141 */     // MIs[0] policy
     /* 1885141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885178 */     // GIR_Coverage, 14751,
     /* 1885178 */     GIR_EraseRootFromParent_Done,
     /* 1885179 */   // Label 25394: @1885179
     /* 1885179 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1885268), // Rule ID 14752 //
     /* 1885184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885230 */     // MIs[0] policy
     /* 1885230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885267 */     // GIR_Coverage, 14752,
     /* 1885267 */     GIR_EraseRootFromParent_Done,
     /* 1885268 */   // Label 25395: @1885268
     /* 1885268 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1885357), // Rule ID 14755 //
     /* 1885273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885319 */     // MIs[0] policy
     /* 1885319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885329 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885356 */     // GIR_Coverage, 14755,
     /* 1885356 */     GIR_EraseRootFromParent_Done,
     /* 1885357 */   // Label 25396: @1885357
     /* 1885357 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1885446), // Rule ID 14756 //
     /* 1885362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885408 */     // MIs[0] policy
     /* 1885408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885445 */     // GIR_Coverage, 14756,
     /* 1885445 */     GIR_EraseRootFromParent_Done,
     /* 1885446 */   // Label 25397: @1885446
     /* 1885446 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1885535), // Rule ID 14759 //
     /* 1885451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1885454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885497 */     // MIs[0] policy
     /* 1885497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885534 */     // GIR_Coverage, 14759,
     /* 1885534 */     GIR_EraseRootFromParent_Done,
     /* 1885535 */   // Label 25398: @1885535
     /* 1885535 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1885624), // Rule ID 14760 //
     /* 1885540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1885543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885586 */     // MIs[0] policy
     /* 1885586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1885599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885623 */     // GIR_Coverage, 14760,
     /* 1885623 */     GIR_EraseRootFromParent_Done,
     /* 1885624 */   // Label 25399: @1885624
     /* 1885624 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1885713), // Rule ID 14763 //
     /* 1885629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885675 */     // MIs[0] policy
     /* 1885675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885685 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885712 */     // GIR_Coverage, 14763,
     /* 1885712 */     GIR_EraseRootFromParent_Done,
     /* 1885713 */   // Label 25400: @1885713
     /* 1885713 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1885802), // Rule ID 14764 //
     /* 1885718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885764 */     // MIs[0] policy
     /* 1885764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885801 */     // GIR_Coverage, 14764,
     /* 1885801 */     GIR_EraseRootFromParent_Done,
     /* 1885802 */   // Label 25401: @1885802
     /* 1885802 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1885891), // Rule ID 14767 //
     /* 1885807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885853 */     // MIs[0] policy
     /* 1885853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885863 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885890 */     // GIR_Coverage, 14767,
     /* 1885890 */     GIR_EraseRootFromParent_Done,
     /* 1885891 */   // Label 25402: @1885891
     /* 1885891 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1885980), // Rule ID 14768 //
     /* 1885896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885942 */     // MIs[0] policy
     /* 1885942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885979 */     // GIR_Coverage, 14768,
     /* 1885979 */     GIR_EraseRootFromParent_Done,
     /* 1885980 */   // Label 25403: @1885980
     /* 1885980 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1886069), // Rule ID 14771 //
     /* 1885985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886031 */     // MIs[0] policy
     /* 1886031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886068 */     // GIR_Coverage, 14771,
     /* 1886068 */     GIR_EraseRootFromParent_Done,
     /* 1886069 */   // Label 25404: @1886069
     /* 1886069 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1886158), // Rule ID 14772 //
     /* 1886074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886120 */     // MIs[0] policy
     /* 1886120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886157 */     // GIR_Coverage, 14772,
     /* 1886157 */     GIR_EraseRootFromParent_Done,
     /* 1886158 */   // Label 25405: @1886158
     /* 1886158 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1886247), // Rule ID 14775 //
     /* 1886163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886209 */     // MIs[0] policy
     /* 1886209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886246 */     // GIR_Coverage, 14775,
     /* 1886246 */     GIR_EraseRootFromParent_Done,
     /* 1886247 */   // Label 25406: @1886247
     /* 1886247 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1886336), // Rule ID 14776 //
     /* 1886252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886298 */     // MIs[0] policy
     /* 1886298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886335 */     // GIR_Coverage, 14776,
     /* 1886335 */     GIR_EraseRootFromParent_Done,
     /* 1886336 */   // Label 25407: @1886336
     /* 1886336 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1886425), // Rule ID 14779 //
     /* 1886341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886387 */     // MIs[0] policy
     /* 1886387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886424 */     // GIR_Coverage, 14779,
     /* 1886424 */     GIR_EraseRootFromParent_Done,
     /* 1886425 */   // Label 25408: @1886425
     /* 1886425 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1886514), // Rule ID 14780 //
     /* 1886430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886476 */     // MIs[0] policy
     /* 1886476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886513 */     // GIR_Coverage, 14780,
     /* 1886513 */     GIR_EraseRootFromParent_Done,
     /* 1886514 */   // Label 25409: @1886514
     /* 1886514 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1886603), // Rule ID 14783 //
     /* 1886519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886565 */     // MIs[0] policy
     /* 1886565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886602 */     // GIR_Coverage, 14783,
     /* 1886602 */     GIR_EraseRootFromParent_Done,
     /* 1886603 */   // Label 25410: @1886603
     /* 1886603 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1886692), // Rule ID 14784 //
     /* 1886608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886654 */     // MIs[0] policy
     /* 1886654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886691 */     // GIR_Coverage, 14784,
     /* 1886691 */     GIR_EraseRootFromParent_Done,
     /* 1886692 */   // Label 25411: @1886692
     /* 1886692 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1886781), // Rule ID 14787 //
     /* 1886697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886743 */     // MIs[0] policy
     /* 1886743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886780 */     // GIR_Coverage, 14787,
     /* 1886780 */     GIR_EraseRootFromParent_Done,
     /* 1886781 */   // Label 25412: @1886781
     /* 1886781 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1886870), // Rule ID 14788 //
     /* 1886786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886832 */     // MIs[0] policy
     /* 1886832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886869 */     // GIR_Coverage, 14788,
     /* 1886869 */     GIR_EraseRootFromParent_Done,
     /* 1886870 */   // Label 25413: @1886870
     /* 1886870 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1886959), // Rule ID 14791 //
     /* 1886875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886921 */     // MIs[0] policy
     /* 1886921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886958 */     // GIR_Coverage, 14791,
     /* 1886958 */     GIR_EraseRootFromParent_Done,
     /* 1886959 */   // Label 25414: @1886959
     /* 1886959 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887048), // Rule ID 14792 //
     /* 1886964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887010 */     // MIs[0] policy
     /* 1887010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887047 */     // GIR_Coverage, 14792,
     /* 1887047 */     GIR_EraseRootFromParent_Done,
     /* 1887048 */   // Label 25415: @1887048
     /* 1887048 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1887137), // Rule ID 14795 //
     /* 1887053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887099 */     // MIs[0] policy
     /* 1887099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887136 */     // GIR_Coverage, 14795,
     /* 1887136 */     GIR_EraseRootFromParent_Done,
     /* 1887137 */   // Label 25416: @1887137
     /* 1887137 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1887226), // Rule ID 14796 //
     /* 1887142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887188 */     // MIs[0] policy
     /* 1887188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887225 */     // GIR_Coverage, 14796,
     /* 1887225 */     GIR_EraseRootFromParent_Done,
     /* 1887226 */   // Label 25417: @1887226
     /* 1887226 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1887315), // Rule ID 14799 //
     /* 1887231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887277 */     // MIs[0] policy
     /* 1887277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887287 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887314 */     // GIR_Coverage, 14799,
     /* 1887314 */     GIR_EraseRootFromParent_Done,
     /* 1887315 */   // Label 25418: @1887315
     /* 1887315 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1887404), // Rule ID 14800 //
     /* 1887320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887366 */     // MIs[0] policy
     /* 1887366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1887379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887403 */     // GIR_Coverage, 14800,
     /* 1887403 */     GIR_EraseRootFromParent_Done,
     /* 1887404 */   // Label 25419: @1887404
     /* 1887404 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1887493), // Rule ID 14803 //
     /* 1887409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887455 */     // MIs[0] policy
     /* 1887455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887492 */     // GIR_Coverage, 14803,
     /* 1887492 */     GIR_EraseRootFromParent_Done,
     /* 1887493 */   // Label 25420: @1887493
     /* 1887493 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1887582), // Rule ID 14804 //
     /* 1887498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887544 */     // MIs[0] policy
     /* 1887544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1887557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887581 */     // GIR_Coverage, 14804,
     /* 1887581 */     GIR_EraseRootFromParent_Done,
     /* 1887582 */   // Label 25421: @1887582
     /* 1887582 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1887671), // Rule ID 14807 //
     /* 1887587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887633 */     // MIs[0] policy
     /* 1887633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887670 */     // GIR_Coverage, 14807,
     /* 1887670 */     GIR_EraseRootFromParent_Done,
     /* 1887671 */   // Label 25422: @1887671
     /* 1887671 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1887760), // Rule ID 14808 //
     /* 1887676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887722 */     // MIs[0] policy
     /* 1887722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1887735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887759 */     // GIR_Coverage, 14808,
     /* 1887759 */     GIR_EraseRootFromParent_Done,
     /* 1887760 */   // Label 25423: @1887760
     /* 1887760 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1887846), // Rule ID 19049 //
     /* 1887765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887811 */     // MIs[0] policy
     /* 1887811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887821 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1887824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887845 */     // GIR_Coverage, 19049,
     /* 1887845 */     GIR_EraseRootFromParent_Done,
     /* 1887846 */   // Label 25424: @1887846
     /* 1887846 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1887932), // Rule ID 19050 //
     /* 1887851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887897 */     // MIs[0] policy
     /* 1887897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887907 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1887910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887931 */     // GIR_Coverage, 19050,
     /* 1887931 */     GIR_EraseRootFromParent_Done,
     /* 1887932 */   // Label 25425: @1887932
     /* 1887932 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888018), // Rule ID 19053 //
     /* 1887937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887983 */     // MIs[0] policy
     /* 1887983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887993 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1887996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888017 */     // GIR_Coverage, 19053,
     /* 1888017 */     GIR_EraseRootFromParent_Done,
     /* 1888018 */   // Label 25426: @1888018
     /* 1888018 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888104), // Rule ID 19054 //
     /* 1888023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1888043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888069 */     // MIs[0] policy
     /* 1888069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888079 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1888082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888103 */     // GIR_Coverage, 19054,
     /* 1888103 */     GIR_EraseRootFromParent_Done,
     /* 1888104 */   // Label 25427: @1888104
     /* 1888104 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1888190), // Rule ID 19057 //
     /* 1888109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888155 */     // MIs[0] policy
     /* 1888155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888165 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888189 */     // GIR_Coverage, 19057,
     /* 1888189 */     GIR_EraseRootFromParent_Done,
     /* 1888190 */   // Label 25428: @1888190
     /* 1888190 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1888276), // Rule ID 19058 //
     /* 1888195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1888215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888241 */     // MIs[0] policy
     /* 1888241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888251 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1888254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888275 */     // GIR_Coverage, 19058,
     /* 1888275 */     GIR_EraseRootFromParent_Done,
     /* 1888276 */   // Label 25429: @1888276
     /* 1888276 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1888362), // Rule ID 19061 //
     /* 1888281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888327 */     // MIs[0] policy
     /* 1888327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888337 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888361 */     // GIR_Coverage, 19061,
     /* 1888361 */     GIR_EraseRootFromParent_Done,
     /* 1888362 */   // Label 25430: @1888362
     /* 1888362 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1888448), // Rule ID 19062 //
     /* 1888367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1888387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888413 */     // MIs[0] policy
     /* 1888413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888423 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1888426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888447 */     // GIR_Coverage, 19062,
     /* 1888447 */     GIR_EraseRootFromParent_Done,
     /* 1888448 */   // Label 25431: @1888448
     /* 1888448 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1888534), // Rule ID 19065 //
     /* 1888453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888499 */     // MIs[0] policy
     /* 1888499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888533 */     // GIR_Coverage, 19065,
     /* 1888533 */     GIR_EraseRootFromParent_Done,
     /* 1888534 */   // Label 25432: @1888534
     /* 1888534 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1888620), // Rule ID 19066 //
     /* 1888539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1888559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888585 */     // MIs[0] policy
     /* 1888585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888595 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1888598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888619 */     // GIR_Coverage, 19066,
     /* 1888619 */     GIR_EraseRootFromParent_Done,
     /* 1888620 */   // Label 25433: @1888620
     /* 1888620 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1888706), // Rule ID 19069 //
     /* 1888625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1888628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888671 */     // MIs[0] policy
     /* 1888671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888681 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1888684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888705 */     // GIR_Coverage, 19069,
     /* 1888705 */     GIR_EraseRootFromParent_Done,
     /* 1888706 */   // Label 25434: @1888706
     /* 1888706 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1888792), // Rule ID 19070 //
     /* 1888711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1888714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1888731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888757 */     // MIs[0] policy
     /* 1888757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888767 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1888770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888791 */     // GIR_Coverage, 19070,
     /* 1888791 */     GIR_EraseRootFromParent_Done,
     /* 1888792 */   // Label 25435: @1888792
     /* 1888792 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1888878), // Rule ID 19073 //
     /* 1888797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888843 */     // MIs[0] policy
     /* 1888843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1888856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888877 */     // GIR_Coverage, 19073,
     /* 1888877 */     GIR_EraseRootFromParent_Done,
     /* 1888878 */   // Label 25436: @1888878
     /* 1888878 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1888964), // Rule ID 19074 //
     /* 1888883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888929 */     // MIs[0] policy
     /* 1888929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888939 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1888942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888963 */     // GIR_Coverage, 19074,
     /* 1888963 */     GIR_EraseRootFromParent_Done,
     /* 1888964 */   // Label 25437: @1888964
     /* 1888964 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889050), // Rule ID 19077 //
     /* 1888969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1888980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1888983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1888986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1888989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889015 */     // MIs[0] policy
     /* 1889015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889025 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889049 */     // GIR_Coverage, 19077,
     /* 1889049 */     GIR_EraseRootFromParent_Done,
     /* 1889050 */   // Label 25438: @1889050
     /* 1889050 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1889136), // Rule ID 19078 //
     /* 1889055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1889075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889101 */     // MIs[0] policy
     /* 1889101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889111 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1889114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889135 */     // GIR_Coverage, 19078,
     /* 1889135 */     GIR_EraseRootFromParent_Done,
     /* 1889136 */   // Label 25439: @1889136
     /* 1889136 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1889222), // Rule ID 19081 //
     /* 1889141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889187 */     // MIs[0] policy
     /* 1889187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889197 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889221 */     // GIR_Coverage, 19081,
     /* 1889221 */     GIR_EraseRootFromParent_Done,
     /* 1889222 */   // Label 25440: @1889222
     /* 1889222 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1889308), // Rule ID 19082 //
     /* 1889227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1889247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889273 */     // MIs[0] policy
     /* 1889273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889283 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1889286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889307 */     // GIR_Coverage, 19082,
     /* 1889307 */     GIR_EraseRootFromParent_Done,
     /* 1889308 */   // Label 25441: @1889308
     /* 1889308 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1889394), // Rule ID 19085 //
     /* 1889313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889359 */     // MIs[0] policy
     /* 1889359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889369 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889393 */     // GIR_Coverage, 19085,
     /* 1889393 */     GIR_EraseRootFromParent_Done,
     /* 1889394 */   // Label 25442: @1889394
     /* 1889394 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1889480), // Rule ID 19086 //
     /* 1889399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1889419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889445 */     // MIs[0] policy
     /* 1889445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889455 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1889458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889479 */     // GIR_Coverage, 19086,
     /* 1889479 */     GIR_EraseRootFromParent_Done,
     /* 1889480 */   // Label 25443: @1889480
     /* 1889480 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1889566), // Rule ID 19089 //
     /* 1889485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889531 */     // MIs[0] policy
     /* 1889531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889541 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889565 */     // GIR_Coverage, 19089,
     /* 1889565 */     GIR_EraseRootFromParent_Done,
     /* 1889566 */   // Label 25444: @1889566
     /* 1889566 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1889652), // Rule ID 19090 //
     /* 1889571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1889582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1889585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1889588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1889591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889617 */     // MIs[0] policy
     /* 1889617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889627 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1889630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889651 */     // GIR_Coverage, 19090,
     /* 1889651 */     GIR_EraseRootFromParent_Done,
     /* 1889652 */   // Label 25445: @1889652
     /* 1889652 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1889738), // Rule ID 19093 //
     /* 1889657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889703 */     // MIs[0] policy
     /* 1889703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889713 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1889716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889737 */     // GIR_Coverage, 19093,
     /* 1889737 */     GIR_EraseRootFromParent_Done,
     /* 1889738 */   // Label 25446: @1889738
     /* 1889738 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1889824), // Rule ID 19094 //
     /* 1889743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889789 */     // MIs[0] policy
     /* 1889789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889799 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1889802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889823 */     // GIR_Coverage, 19094,
     /* 1889823 */     GIR_EraseRootFromParent_Done,
     /* 1889824 */   // Label 25447: @1889824
     /* 1889824 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1889910), // Rule ID 19097 //
     /* 1889829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889875 */     // MIs[0] policy
     /* 1889875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889885 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1889888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889909 */     // GIR_Coverage, 19097,
     /* 1889909 */     GIR_EraseRootFromParent_Done,
     /* 1889910 */   // Label 25448: @1889910
     /* 1889910 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1889996), // Rule ID 19098 //
     /* 1889915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889961 */     // MIs[0] policy
     /* 1889961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1889974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889995 */     // GIR_Coverage, 19098,
     /* 1889995 */     GIR_EraseRootFromParent_Done,
     /* 1889996 */   // Label 25449: @1889996
     /* 1889996 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890082), // Rule ID 19101 //
     /* 1890001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890047 */     // MIs[0] policy
     /* 1890047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890081 */     // GIR_Coverage, 19101,
     /* 1890081 */     GIR_EraseRootFromParent_Done,
     /* 1890082 */   // Label 25450: @1890082
     /* 1890082 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1890168), // Rule ID 19102 //
     /* 1890087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1890107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890133 */     // MIs[0] policy
     /* 1890133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890143 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1890146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890167 */     // GIR_Coverage, 19102,
     /* 1890167 */     GIR_EraseRootFromParent_Done,
     /* 1890168 */   // Label 25451: @1890168
     /* 1890168 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1890254), // Rule ID 19105 //
     /* 1890173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890219 */     // MIs[0] policy
     /* 1890219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890229 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890253 */     // GIR_Coverage, 19105,
     /* 1890253 */     GIR_EraseRootFromParent_Done,
     /* 1890254 */   // Label 25452: @1890254
     /* 1890254 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1890340), // Rule ID 19106 //
     /* 1890259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1890279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890305 */     // MIs[0] policy
     /* 1890305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890315 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1890318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890339 */     // GIR_Coverage, 19106,
     /* 1890339 */     GIR_EraseRootFromParent_Done,
     /* 1890340 */   // Label 25453: @1890340
     /* 1890340 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1890426), // Rule ID 19109 //
     /* 1890345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890391 */     // MIs[0] policy
     /* 1890391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890401 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890425 */     // GIR_Coverage, 19109,
     /* 1890425 */     GIR_EraseRootFromParent_Done,
     /* 1890426 */   // Label 25454: @1890426
     /* 1890426 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1890512), // Rule ID 19110 //
     /* 1890431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1890442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1890445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1890448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890477 */     // MIs[0] policy
     /* 1890477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890487 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1890490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890511 */     // GIR_Coverage, 19110,
     /* 1890511 */     GIR_EraseRootFromParent_Done,
     /* 1890512 */   // Label 25455: @1890512
     /* 1890512 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1890598), // Rule ID 19113 //
     /* 1890517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890563 */     // MIs[0] policy
     /* 1890563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890573 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1890576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890597 */     // GIR_Coverage, 19113,
     /* 1890597 */     GIR_EraseRootFromParent_Done,
     /* 1890598 */   // Label 25456: @1890598
     /* 1890598 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1890684), // Rule ID 19114 //
     /* 1890603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1890614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1890617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1890620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890649 */     // MIs[0] policy
     /* 1890649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890659 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1890662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890683 */     // GIR_Coverage, 19114,
     /* 1890683 */     GIR_EraseRootFromParent_Done,
     /* 1890684 */   // Label 25457: @1890684
     /* 1890684 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1890770), // Rule ID 19117 //
     /* 1890689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890735 */     // MIs[0] policy
     /* 1890735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890745 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1890748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890769 */     // GIR_Coverage, 19117,
     /* 1890769 */     GIR_EraseRootFromParent_Done,
     /* 1890770 */   // Label 25458: @1890770
     /* 1890770 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1890856), // Rule ID 19118 //
     /* 1890775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890821 */     // MIs[0] policy
     /* 1890821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890831 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1890834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890855 */     // GIR_Coverage, 19118,
     /* 1890855 */     GIR_EraseRootFromParent_Done,
     /* 1890856 */   // Label 25459: @1890856
     /* 1890856 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1890942), // Rule ID 19121 //
     /* 1890861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1890872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1890875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1890878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890907 */     // MIs[0] policy
     /* 1890907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890917 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1890920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890941 */     // GIR_Coverage, 19121,
     /* 1890941 */     GIR_EraseRootFromParent_Done,
     /* 1890942 */   // Label 25460: @1890942
     /* 1890942 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891028), // Rule ID 19122 //
     /* 1890947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1890958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1890961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1890964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890993 */     // MIs[0] policy
     /* 1890993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891003 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1891006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891027 */     // GIR_Coverage, 19122,
     /* 1891027 */     GIR_EraseRootFromParent_Done,
     /* 1891028 */   // Label 25461: @1891028
     /* 1891028 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891114), // Rule ID 19125 //
     /* 1891033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891079 */     // MIs[0] policy
     /* 1891079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891113 */     // GIR_Coverage, 19125,
     /* 1891113 */     GIR_EraseRootFromParent_Done,
     /* 1891114 */   // Label 25462: @1891114
     /* 1891114 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1891200), // Rule ID 19126 //
     /* 1891119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1891136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891165 */     // MIs[0] policy
     /* 1891165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891175 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1891178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891199 */     // GIR_Coverage, 19126,
     /* 1891199 */     GIR_EraseRootFromParent_Done,
     /* 1891200 */   // Label 25463: @1891200
     /* 1891200 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1891286), // Rule ID 19129 //
     /* 1891205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891251 */     // MIs[0] policy
     /* 1891251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891261 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891285 */     // GIR_Coverage, 19129,
     /* 1891285 */     GIR_EraseRootFromParent_Done,
     /* 1891286 */   // Label 25464: @1891286
     /* 1891286 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1891372), // Rule ID 19130 //
     /* 1891291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1891302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1891305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1891308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891337 */     // MIs[0] policy
     /* 1891337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891347 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1891350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891371 */     // GIR_Coverage, 19130,
     /* 1891371 */     GIR_EraseRootFromParent_Done,
     /* 1891372 */   // Label 25465: @1891372
     /* 1891372 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1891458), // Rule ID 19133 //
     /* 1891377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891423 */     // MIs[0] policy
     /* 1891423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891433 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891457 */     // GIR_Coverage, 19133,
     /* 1891457 */     GIR_EraseRootFromParent_Done,
     /* 1891458 */   // Label 25466: @1891458
     /* 1891458 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1891544), // Rule ID 19134 //
     /* 1891463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1891480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891509 */     // MIs[0] policy
     /* 1891509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891519 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1891522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891543 */     // GIR_Coverage, 19134,
     /* 1891543 */     GIR_EraseRootFromParent_Done,
     /* 1891544 */   // Label 25467: @1891544
     /* 1891544 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1891630), // Rule ID 19137 //
     /* 1891549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891595 */     // MIs[0] policy
     /* 1891595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891605 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1891608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891629 */     // GIR_Coverage, 19137,
     /* 1891629 */     GIR_EraseRootFromParent_Done,
     /* 1891630 */   // Label 25468: @1891630
     /* 1891630 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1891716), // Rule ID 19138 //
     /* 1891635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891681 */     // MIs[0] policy
     /* 1891681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891691 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1891694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891715 */     // GIR_Coverage, 19138,
     /* 1891715 */     GIR_EraseRootFromParent_Done,
     /* 1891716 */   // Label 25469: @1891716
     /* 1891716 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1891802), // Rule ID 19141 //
     /* 1891721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891767 */     // MIs[0] policy
     /* 1891767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891777 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1891780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891801 */     // GIR_Coverage, 19141,
     /* 1891801 */     GIR_EraseRootFromParent_Done,
     /* 1891802 */   // Label 25470: @1891802
     /* 1891802 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1891888), // Rule ID 19142 //
     /* 1891807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891853 */     // MIs[0] policy
     /* 1891853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891863 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1891866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891887 */     // GIR_Coverage, 19142,
     /* 1891887 */     GIR_EraseRootFromParent_Done,
     /* 1891888 */   // Label 25471: @1891888
     /* 1891888 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1891974), // Rule ID 19145 //
     /* 1891893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891939 */     // MIs[0] policy
     /* 1891939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891949 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1891952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891973 */     // GIR_Coverage, 19145,
     /* 1891973 */     GIR_EraseRootFromParent_Done,
     /* 1891974 */   // Label 25472: @1891974
     /* 1891974 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892060), // Rule ID 19146 //
     /* 1891979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892025 */     // MIs[0] policy
     /* 1892025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892035 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1892038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892059 */     // GIR_Coverage, 19146,
     /* 1892059 */     GIR_EraseRootFromParent_Done,
     /* 1892060 */   // Label 25473: @1892060
     /* 1892060 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1892146), // Rule ID 19149 //
     /* 1892065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892111 */     // MIs[0] policy
     /* 1892111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892121 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892145 */     // GIR_Coverage, 19149,
     /* 1892145 */     GIR_EraseRootFromParent_Done,
     /* 1892146 */   // Label 25474: @1892146
     /* 1892146 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1892232), // Rule ID 19150 //
     /* 1892151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1892168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892197 */     // MIs[0] policy
     /* 1892197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892207 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1892210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892231 */     // GIR_Coverage, 19150,
     /* 1892231 */     GIR_EraseRootFromParent_Done,
     /* 1892232 */   // Label 25475: @1892232
     /* 1892232 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1892318), // Rule ID 19153 //
     /* 1892237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892283 */     // MIs[0] policy
     /* 1892283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892293 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892317 */     // GIR_Coverage, 19153,
     /* 1892317 */     GIR_EraseRootFromParent_Done,
     /* 1892318 */   // Label 25476: @1892318
     /* 1892318 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1892404), // Rule ID 19154 //
     /* 1892323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1892340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1892365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892369 */     // MIs[0] policy
     /* 1892369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892379 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1892382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892403 */     // GIR_Coverage, 19154,
     /* 1892403 */     GIR_EraseRootFromParent_Done,
     /* 1892404 */   // Label 25477: @1892404
     /* 1892404 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1892490), // Rule ID 19157 //
     /* 1892409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892455 */     // MIs[0] policy
     /* 1892455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892489 */     // GIR_Coverage, 19157,
     /* 1892489 */     GIR_EraseRootFromParent_Done,
     /* 1892490 */   // Label 25478: @1892490
     /* 1892490 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1892576), // Rule ID 19158 //
     /* 1892495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1892506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1892509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1892512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892541 */     // MIs[0] policy
     /* 1892541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892551 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1892554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892575 */     // GIR_Coverage, 19158,
     /* 1892575 */     GIR_EraseRootFromParent_Done,
     /* 1892576 */   // Label 25479: @1892576
     /* 1892576 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1892662), // Rule ID 19161 //
     /* 1892581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892627 */     // MIs[0] policy
     /* 1892627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892637 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1892640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892661 */     // GIR_Coverage, 19161,
     /* 1892661 */     GIR_EraseRootFromParent_Done,
     /* 1892662 */   // Label 25480: @1892662
     /* 1892662 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1892748), // Rule ID 19162 //
     /* 1892667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892713 */     // MIs[0] policy
     /* 1892713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1892726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892747 */     // GIR_Coverage, 19162,
     /* 1892747 */     GIR_EraseRootFromParent_Done,
     /* 1892748 */   // Label 25481: @1892748
     /* 1892748 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1892834), // Rule ID 19165 //
     /* 1892753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892799 */     // MIs[0] policy
     /* 1892799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892809 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1892812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892833 */     // GIR_Coverage, 19165,
     /* 1892833 */     GIR_EraseRootFromParent_Done,
     /* 1892834 */   // Label 25482: @1892834
     /* 1892834 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1892920), // Rule ID 19166 //
     /* 1892839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892885 */     // MIs[0] policy
     /* 1892885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892895 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1892898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892919 */     // GIR_Coverage, 19166,
     /* 1892919 */     GIR_EraseRootFromParent_Done,
     /* 1892920 */   // Label 25483: @1892920
     /* 1892920 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893006), // Rule ID 19169 //
     /* 1892925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892971 */     // MIs[0] policy
     /* 1892971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892981 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1892984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893005 */     // GIR_Coverage, 19169,
     /* 1893005 */     GIR_EraseRootFromParent_Done,
     /* 1893006 */   // Label 25484: @1893006
     /* 1893006 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893092), // Rule ID 19170 //
     /* 1893011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1893022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1893025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1893028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1893031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893057 */     // MIs[0] policy
     /* 1893057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893067 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1893070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893091 */     // GIR_Coverage, 19170,
     /* 1893091 */     GIR_EraseRootFromParent_Done,
     /* 1893092 */   // Label 25485: @1893092
     /* 1893092 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1893178), // Rule ID 19173 //
     /* 1893097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893143 */     // MIs[0] policy
     /* 1893143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893153 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893177 */     // GIR_Coverage, 19173,
     /* 1893177 */     GIR_EraseRootFromParent_Done,
     /* 1893178 */   // Label 25486: @1893178
     /* 1893178 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1893264), // Rule ID 19174 //
     /* 1893183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1893194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1893197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1893200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1893203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893229 */     // MIs[0] policy
     /* 1893229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893239 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1893242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893263 */     // GIR_Coverage, 19174,
     /* 1893263 */     GIR_EraseRootFromParent_Done,
     /* 1893264 */   // Label 25487: @1893264
     /* 1893264 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1893350), // Rule ID 19177 //
     /* 1893269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893315 */     // MIs[0] policy
     /* 1893315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893325 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893349 */     // GIR_Coverage, 19177,
     /* 1893349 */     GIR_EraseRootFromParent_Done,
     /* 1893350 */   // Label 25488: @1893350
     /* 1893350 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1893436), // Rule ID 19178 //
     /* 1893355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1893372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893401 */     // MIs[0] policy
     /* 1893401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893411 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1893414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893435 */     // GIR_Coverage, 19178,
     /* 1893435 */     GIR_EraseRootFromParent_Done,
     /* 1893436 */   // Label 25489: @1893436
     /* 1893436 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1893522), // Rule ID 19181 //
     /* 1893441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893487 */     // MIs[0] policy
     /* 1893487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893521 */     // GIR_Coverage, 19181,
     /* 1893521 */     GIR_EraseRootFromParent_Done,
     /* 1893522 */   // Label 25490: @1893522
     /* 1893522 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1893608), // Rule ID 19182 //
     /* 1893527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1893538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1893541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1893544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893573 */     // MIs[0] policy
     /* 1893573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893583 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1893586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893607 */     // GIR_Coverage, 19182,
     /* 1893607 */     GIR_EraseRootFromParent_Done,
     /* 1893608 */   // Label 25491: @1893608
     /* 1893608 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1893694), // Rule ID 19185 //
     /* 1893613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893659 */     // MIs[0] policy
     /* 1893659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893669 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1893672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893693 */     // GIR_Coverage, 19185,
     /* 1893693 */     GIR_EraseRootFromParent_Done,
     /* 1893694 */   // Label 25492: @1893694
     /* 1893694 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1893780), // Rule ID 19186 //
     /* 1893699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893745 */     // MIs[0] policy
     /* 1893745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893755 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1893758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893779 */     // GIR_Coverage, 19186,
     /* 1893779 */     GIR_EraseRootFromParent_Done,
     /* 1893780 */   // Label 25493: @1893780
     /* 1893780 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1893866), // Rule ID 19189 //
     /* 1893785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893831 */     // MIs[0] policy
     /* 1893831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893841 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1893844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893865 */     // GIR_Coverage, 19189,
     /* 1893865 */     GIR_EraseRootFromParent_Done,
     /* 1893866 */   // Label 25494: @1893866
     /* 1893866 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1893952), // Rule ID 19190 //
     /* 1893871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893917 */     // MIs[0] policy
     /* 1893917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1893930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893951 */     // GIR_Coverage, 19190,
     /* 1893951 */     GIR_EraseRootFromParent_Done,
     /* 1893952 */   // Label 25495: @1893952
     /* 1893952 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894038), // Rule ID 19193 //
     /* 1893957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894003 */     // MIs[0] policy
     /* 1894003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894013 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894037 */     // GIR_Coverage, 19193,
     /* 1894037 */     GIR_EraseRootFromParent_Done,
     /* 1894038 */   // Label 25496: @1894038
     /* 1894038 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894124), // Rule ID 19194 //
     /* 1894043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1894054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1894057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1894060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1894063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894089 */     // MIs[0] policy
     /* 1894089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894099 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1894102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894123 */     // GIR_Coverage, 19194,
     /* 1894123 */     GIR_EraseRootFromParent_Done,
     /* 1894124 */   // Label 25497: @1894124
     /* 1894124 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1894210), // Rule ID 19197 //
     /* 1894129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894175 */     // MIs[0] policy
     /* 1894175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894185 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894209 */     // GIR_Coverage, 19197,
     /* 1894209 */     GIR_EraseRootFromParent_Done,
     /* 1894210 */   // Label 25498: @1894210
     /* 1894210 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1894296), // Rule ID 19198 //
     /* 1894215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1894226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1894229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1894232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1894235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894261 */     // MIs[0] policy
     /* 1894261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894271 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1894274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894295 */     // GIR_Coverage, 19198,
     /* 1894295 */     GIR_EraseRootFromParent_Done,
     /* 1894296 */   // Label 25499: @1894296
     /* 1894296 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1894382), // Rule ID 19201 //
     /* 1894301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894347 */     // MIs[0] policy
     /* 1894347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894357 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894381 */     // GIR_Coverage, 19201,
     /* 1894381 */     GIR_EraseRootFromParent_Done,
     /* 1894382 */   // Label 25500: @1894382
     /* 1894382 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1894468), // Rule ID 19202 //
     /* 1894387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894433 */     // MIs[0] policy
     /* 1894433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894443 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1894446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894467 */     // GIR_Coverage, 19202,
     /* 1894467 */     GIR_EraseRootFromParent_Done,
     /* 1894468 */   // Label 25501: @1894468
     /* 1894468 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1894554), // Rule ID 19205 //
     /* 1894473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894519 */     // MIs[0] policy
     /* 1894519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894529 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894553 */     // GIR_Coverage, 19205,
     /* 1894553 */     GIR_EraseRootFromParent_Done,
     /* 1894554 */   // Label 25502: @1894554
     /* 1894554 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1894640), // Rule ID 19206 //
     /* 1894559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894605 */     // MIs[0] policy
     /* 1894605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894615 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1894618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894639 */     // GIR_Coverage, 19206,
     /* 1894639 */     GIR_EraseRootFromParent_Done,
     /* 1894640 */   // Label 25503: @1894640
     /* 1894640 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1894726), // Rule ID 19209 //
     /* 1894645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894691 */     // MIs[0] policy
     /* 1894691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894701 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1894704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894725 */     // GIR_Coverage, 19209,
     /* 1894725 */     GIR_EraseRootFromParent_Done,
     /* 1894726 */   // Label 25504: @1894726
     /* 1894726 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1894812), // Rule ID 19210 //
     /* 1894731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894777 */     // MIs[0] policy
     /* 1894777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894787 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1894790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894811 */     // GIR_Coverage, 19210,
     /* 1894811 */     GIR_EraseRootFromParent_Done,
     /* 1894812 */   // Label 25505: @1894812
     /* 1894812 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1894898), // Rule ID 19213 //
     /* 1894817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894863 */     // MIs[0] policy
     /* 1894863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894873 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1894876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894897 */     // GIR_Coverage, 19213,
     /* 1894897 */     GIR_EraseRootFromParent_Done,
     /* 1894898 */   // Label 25506: @1894898
     /* 1894898 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1894984), // Rule ID 19214 //
     /* 1894903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894949 */     // MIs[0] policy
     /* 1894949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894959 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1894962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894983 */     // GIR_Coverage, 19214,
     /* 1894983 */     GIR_EraseRootFromParent_Done,
     /* 1894984 */   // Label 25507: @1894984
     /* 1894984 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895070), // Rule ID 19217 //
     /* 1894989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895035 */     // MIs[0] policy
     /* 1895035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895045 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895069 */     // GIR_Coverage, 19217,
     /* 1895069 */     GIR_EraseRootFromParent_Done,
     /* 1895070 */   // Label 25508: @1895070
     /* 1895070 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1895156), // Rule ID 19218 //
     /* 1895075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1895086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1895089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1895092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1895095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895121 */     // MIs[0] policy
     /* 1895121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895131 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1895134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895155 */     // GIR_Coverage, 19218,
     /* 1895155 */     GIR_EraseRootFromParent_Done,
     /* 1895156 */   // Label 25509: @1895156
     /* 1895156 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1895242), // Rule ID 19221 //
     /* 1895161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895207 */     // MIs[0] policy
     /* 1895207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895241 */     // GIR_Coverage, 19221,
     /* 1895241 */     GIR_EraseRootFromParent_Done,
     /* 1895242 */   // Label 25510: @1895242
     /* 1895242 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1895328), // Rule ID 19222 //
     /* 1895247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1895258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1895261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1895264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1895267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895293 */     // MIs[0] policy
     /* 1895293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1895306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895327 */     // GIR_Coverage, 19222,
     /* 1895327 */     GIR_EraseRootFromParent_Done,
     /* 1895328 */   // Label 25511: @1895328
     /* 1895328 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1895414), // Rule ID 19225 //
     /* 1895333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895379 */     // MIs[0] policy
     /* 1895379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895389 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895413 */     // GIR_Coverage, 19225,
     /* 1895413 */     GIR_EraseRootFromParent_Done,
     /* 1895414 */   // Label 25512: @1895414
     /* 1895414 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1895500), // Rule ID 19226 //
     /* 1895419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895465 */     // MIs[0] policy
     /* 1895465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895475 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1895478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895499 */     // GIR_Coverage, 19226,
     /* 1895499 */     GIR_EraseRootFromParent_Done,
     /* 1895500 */   // Label 25513: @1895500
     /* 1895500 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1895586), // Rule ID 19229 //
     /* 1895505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895551 */     // MIs[0] policy
     /* 1895551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895561 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1895564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895585 */     // GIR_Coverage, 19229,
     /* 1895585 */     GIR_EraseRootFromParent_Done,
     /* 1895586 */   // Label 25514: @1895586
     /* 1895586 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1895672), // Rule ID 19230 //
     /* 1895591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895637 */     // MIs[0] policy
     /* 1895637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895647 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1895650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895671 */     // GIR_Coverage, 19230,
     /* 1895671 */     GIR_EraseRootFromParent_Done,
     /* 1895672 */   // Label 25515: @1895672
     /* 1895672 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1895758), // Rule ID 19233 //
     /* 1895677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895723 */     // MIs[0] policy
     /* 1895723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895733 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1895736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895757 */     // GIR_Coverage, 19233,
     /* 1895757 */     GIR_EraseRootFromParent_Done,
     /* 1895758 */   // Label 25516: @1895758
     /* 1895758 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1895844), // Rule ID 19234 //
     /* 1895763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895809 */     // MIs[0] policy
     /* 1895809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895819 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1895822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895843 */     // GIR_Coverage, 19234,
     /* 1895843 */     GIR_EraseRootFromParent_Done,
     /* 1895844 */   // Label 25517: @1895844
     /* 1895844 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1895930), // Rule ID 19237 //
     /* 1895849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895895 */     // MIs[0] policy
     /* 1895895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895905 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1895908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895929 */     // GIR_Coverage, 19237,
     /* 1895929 */     GIR_EraseRootFromParent_Done,
     /* 1895930 */   // Label 25518: @1895930
     /* 1895930 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896016), // Rule ID 19238 //
     /* 1895935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895981 */     // MIs[0] policy
     /* 1895981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895991 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1895994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896015 */     // GIR_Coverage, 19238,
     /* 1896015 */     GIR_EraseRootFromParent_Done,
     /* 1896016 */   // Label 25519: @1896016
     /* 1896016 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896102), // Rule ID 19241 //
     /* 1896021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896067 */     // MIs[0] policy
     /* 1896067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896077 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896101 */     // GIR_Coverage, 19241,
     /* 1896101 */     GIR_EraseRootFromParent_Done,
     /* 1896102 */   // Label 25520: @1896102
     /* 1896102 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1896188), // Rule ID 19242 //
     /* 1896107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896153 */     // MIs[0] policy
     /* 1896153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896163 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1896166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896187 */     // GIR_Coverage, 19242,
     /* 1896187 */     GIR_EraseRootFromParent_Done,
     /* 1896188 */   // Label 25521: @1896188
     /* 1896188 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1896274), // Rule ID 19245 //
     /* 1896193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896239 */     // MIs[0] policy
     /* 1896239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896249 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896273 */     // GIR_Coverage, 19245,
     /* 1896273 */     GIR_EraseRootFromParent_Done,
     /* 1896274 */   // Label 25522: @1896274
     /* 1896274 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1896360), // Rule ID 19246 //
     /* 1896279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896325 */     // MIs[0] policy
     /* 1896325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896335 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1896338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896359 */     // GIR_Coverage, 19246,
     /* 1896359 */     GIR_EraseRootFromParent_Done,
     /* 1896360 */   // Label 25523: @1896360
     /* 1896360 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1896446), // Rule ID 19249 //
     /* 1896365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896411 */     // MIs[0] policy
     /* 1896411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896421 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896445 */     // GIR_Coverage, 19249,
     /* 1896445 */     GIR_EraseRootFromParent_Done,
     /* 1896446 */   // Label 25524: @1896446
     /* 1896446 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1896532), // Rule ID 19250 //
     /* 1896451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896497 */     // MIs[0] policy
     /* 1896497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1896510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896531 */     // GIR_Coverage, 19250,
     /* 1896531 */     GIR_EraseRootFromParent_Done,
     /* 1896532 */   // Label 25525: @1896532
     /* 1896532 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1896618), // Rule ID 19253 //
     /* 1896537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896583 */     // MIs[0] policy
     /* 1896583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896593 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1896596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896617 */     // GIR_Coverage, 19253,
     /* 1896617 */     GIR_EraseRootFromParent_Done,
     /* 1896618 */   // Label 25526: @1896618
     /* 1896618 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1896704), // Rule ID 19254 //
     /* 1896623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896669 */     // MIs[0] policy
     /* 1896669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896679 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1896682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896703 */     // GIR_Coverage, 19254,
     /* 1896703 */     GIR_EraseRootFromParent_Done,
     /* 1896704 */   // Label 25527: @1896704
     /* 1896704 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1896790), // Rule ID 19257 //
     /* 1896709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896755 */     // MIs[0] policy
     /* 1896755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896765 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1896768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896789 */     // GIR_Coverage, 19257,
     /* 1896789 */     GIR_EraseRootFromParent_Done,
     /* 1896790 */   // Label 25528: @1896790
     /* 1896790 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1896876), // Rule ID 19258 //
     /* 1896795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896841 */     // MIs[0] policy
     /* 1896841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896851 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1896854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896875 */     // GIR_Coverage, 19258,
     /* 1896875 */     GIR_EraseRootFromParent_Done,
     /* 1896876 */   // Label 25529: @1896876
     /* 1896876 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1896962), // Rule ID 19261 //
     /* 1896881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896927 */     // MIs[0] policy
     /* 1896927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896937 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1896940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896961 */     // GIR_Coverage, 19261,
     /* 1896961 */     GIR_EraseRootFromParent_Done,
     /* 1896962 */   // Label 25530: @1896962
     /* 1896962 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897048), // Rule ID 19262 //
     /* 1896967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1897009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897013 */     // MIs[0] policy
     /* 1897013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897023 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1897026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897047 */     // GIR_Coverage, 19262,
     /* 1897047 */     GIR_EraseRootFromParent_Done,
     /* 1897048 */   // Label 25531: @1897048
     /* 1897048 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1897134), // Rule ID 19265 //
     /* 1897053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897099 */     // MIs[0] policy
     /* 1897099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897109 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897133 */     // GIR_Coverage, 19265,
     /* 1897133 */     GIR_EraseRootFromParent_Done,
     /* 1897134 */   // Label 25532: @1897134
     /* 1897134 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1897220), // Rule ID 19266 //
     /* 1897139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1897150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1897153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897185 */     // MIs[0] policy
     /* 1897185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897195 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1897198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897219 */     // GIR_Coverage, 19266,
     /* 1897219 */     GIR_EraseRootFromParent_Done,
     /* 1897220 */   // Label 25533: @1897220
     /* 1897220 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1897306), // Rule ID 19269 //
     /* 1897225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897271 */     // MIs[0] policy
     /* 1897271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897281 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897305 */     // GIR_Coverage, 19269,
     /* 1897305 */     GIR_EraseRootFromParent_Done,
     /* 1897306 */   // Label 25534: @1897306
     /* 1897306 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1897392), // Rule ID 19270 //
     /* 1897311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1897322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1897325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897357 */     // MIs[0] policy
     /* 1897357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1897370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897391 */     // GIR_Coverage, 19270,
     /* 1897391 */     GIR_EraseRootFromParent_Done,
     /* 1897392 */   // Label 25535: @1897392
     /* 1897392 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1897478), // Rule ID 19273 //
     /* 1897397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897443 */     // MIs[0] policy
     /* 1897443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897453 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897477 */     // GIR_Coverage, 19273,
     /* 1897477 */     GIR_EraseRootFromParent_Done,
     /* 1897478 */   // Label 25536: @1897478
     /* 1897478 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1897564), // Rule ID 19274 //
     /* 1897483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1897494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1897497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1897500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1897525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897529 */     // MIs[0] policy
     /* 1897529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897539 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1897542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897563 */     // GIR_Coverage, 19274,
     /* 1897563 */     GIR_EraseRootFromParent_Done,
     /* 1897564 */   // Label 25537: @1897564
     /* 1897564 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1897650), // Rule ID 19277 //
     /* 1897569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897615 */     // MIs[0] policy
     /* 1897615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1897628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897649 */     // GIR_Coverage, 19277,
     /* 1897649 */     GIR_EraseRootFromParent_Done,
     /* 1897650 */   // Label 25538: @1897650
     /* 1897650 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1897736), // Rule ID 19278 //
     /* 1897655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897701 */     // MIs[0] policy
     /* 1897701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897711 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1897714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897735 */     // GIR_Coverage, 19278,
     /* 1897735 */     GIR_EraseRootFromParent_Done,
     /* 1897736 */   // Label 25539: @1897736
     /* 1897736 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1897822), // Rule ID 19281 //
     /* 1897741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897787 */     // MIs[0] policy
     /* 1897787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897797 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1897800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897821 */     // GIR_Coverage, 19281,
     /* 1897821 */     GIR_EraseRootFromParent_Done,
     /* 1897822 */   // Label 25540: @1897822
     /* 1897822 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1897908), // Rule ID 19282 //
     /* 1897827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897873 */     // MIs[0] policy
     /* 1897873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897883 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1897886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897907 */     // GIR_Coverage, 19282,
     /* 1897907 */     GIR_EraseRootFromParent_Done,
     /* 1897908 */   // Label 25541: @1897908
     /* 1897908 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1897994), // Rule ID 19285 //
     /* 1897913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897959 */     // MIs[0] policy
     /* 1897959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897969 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1897972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897993 */     // GIR_Coverage, 19285,
     /* 1897993 */     GIR_EraseRootFromParent_Done,
     /* 1897994 */   // Label 25542: @1897994
     /* 1897994 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898080), // Rule ID 19286 //
     /* 1897999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1898041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898045 */     // MIs[0] policy
     /* 1898045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898055 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1898058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898079 */     // GIR_Coverage, 19286,
     /* 1898079 */     GIR_EraseRootFromParent_Done,
     /* 1898080 */   // Label 25543: @1898080
     /* 1898080 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1898166), // Rule ID 19289 //
     /* 1898085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898131 */     // MIs[0] policy
     /* 1898131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898165 */     // GIR_Coverage, 19289,
     /* 1898165 */     GIR_EraseRootFromParent_Done,
     /* 1898166 */   // Label 25544: @1898166
     /* 1898166 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1898252), // Rule ID 19290 //
     /* 1898171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1898182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1898185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1898188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898217 */     // MIs[0] policy
     /* 1898217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1898230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898251 */     // GIR_Coverage, 19290,
     /* 1898251 */     GIR_EraseRootFromParent_Done,
     /* 1898252 */   // Label 25545: @1898252
     /* 1898252 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1898338), // Rule ID 19293 //
     /* 1898257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898303 */     // MIs[0] policy
     /* 1898303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898313 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898337 */     // GIR_Coverage, 19293,
     /* 1898337 */     GIR_EraseRootFromParent_Done,
     /* 1898338 */   // Label 25546: @1898338
     /* 1898338 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1898424), // Rule ID 19294 //
     /* 1898343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1898354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1898357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1898360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1898363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898389 */     // MIs[0] policy
     /* 1898389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898399 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1898402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898423 */     // GIR_Coverage, 19294,
     /* 1898423 */     GIR_EraseRootFromParent_Done,
     /* 1898424 */   // Label 25547: @1898424
     /* 1898424 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1898510), // Rule ID 19297 //
     /* 1898429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898475 */     // MIs[0] policy
     /* 1898475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898485 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898509 */     // GIR_Coverage, 19297,
     /* 1898509 */     GIR_EraseRootFromParent_Done,
     /* 1898510 */   // Label 25548: @1898510
     /* 1898510 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1898596), // Rule ID 19298 //
     /* 1898515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1898532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1898535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898561 */     // MIs[0] policy
     /* 1898561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898571 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1898574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898595 */     // GIR_Coverage, 19298,
     /* 1898595 */     GIR_EraseRootFromParent_Done,
     /* 1898596 */   // Label 25549: @1898596
     /* 1898596 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1898682), // Rule ID 19301 //
     /* 1898601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898647 */     // MIs[0] policy
     /* 1898647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1898660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898681 */     // GIR_Coverage, 19301,
     /* 1898681 */     GIR_EraseRootFromParent_Done,
     /* 1898682 */   // Label 25550: @1898682
     /* 1898682 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1898768), // Rule ID 19302 //
     /* 1898687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898733 */     // MIs[0] policy
     /* 1898733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898743 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1898746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898767 */     // GIR_Coverage, 19302,
     /* 1898767 */     GIR_EraseRootFromParent_Done,
     /* 1898768 */   // Label 25551: @1898768
     /* 1898768 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1898854), // Rule ID 19305 //
     /* 1898773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898819 */     // MIs[0] policy
     /* 1898819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1898832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898853 */     // GIR_Coverage, 19305,
     /* 1898853 */     GIR_EraseRootFromParent_Done,
     /* 1898854 */   // Label 25552: @1898854
     /* 1898854 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1898940), // Rule ID 19306 //
     /* 1898859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898905 */     // MIs[0] policy
     /* 1898905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1898918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898939 */     // GIR_Coverage, 19306,
     /* 1898939 */     GIR_EraseRootFromParent_Done,
     /* 1898940 */   // Label 25553: @1898940
     /* 1898940 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899026), // Rule ID 19309 //
     /* 1898945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1898965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898991 */     // MIs[0] policy
     /* 1898991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899025 */     // GIR_Coverage, 19309,
     /* 1899025 */     GIR_EraseRootFromParent_Done,
     /* 1899026 */   // Label 25554: @1899026
     /* 1899026 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899112), // Rule ID 19310 //
     /* 1899031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899077 */     // MIs[0] policy
     /* 1899077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899087 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1899090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899111 */     // GIR_Coverage, 19310,
     /* 1899111 */     GIR_EraseRootFromParent_Done,
     /* 1899112 */   // Label 25555: @1899112
     /* 1899112 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1899198), // Rule ID 19313 //
     /* 1899117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899163 */     // MIs[0] policy
     /* 1899163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899173 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899197 */     // GIR_Coverage, 19313,
     /* 1899197 */     GIR_EraseRootFromParent_Done,
     /* 1899198 */   // Label 25556: @1899198
     /* 1899198 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1899284), // Rule ID 19314 //
     /* 1899203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1899214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1899217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1899220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899249 */     // MIs[0] policy
     /* 1899249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1899262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899283 */     // GIR_Coverage, 19314,
     /* 1899283 */     GIR_EraseRootFromParent_Done,
     /* 1899284 */   // Label 25557: @1899284
     /* 1899284 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1899370), // Rule ID 19317 //
     /* 1899289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899335 */     // MIs[0] policy
     /* 1899335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899345 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899369 */     // GIR_Coverage, 19317,
     /* 1899369 */     GIR_EraseRootFromParent_Done,
     /* 1899370 */   // Label 25558: @1899370
     /* 1899370 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1899456), // Rule ID 19318 //
     /* 1899375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1899386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1899389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1899392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899421 */     // MIs[0] policy
     /* 1899421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899431 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1899434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899455 */     // GIR_Coverage, 19318,
     /* 1899455 */     GIR_EraseRootFromParent_Done,
     /* 1899456 */   // Label 25559: @1899456
     /* 1899456 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1899542), // Rule ID 19321 //
     /* 1899461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899507 */     // MIs[0] policy
     /* 1899507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899517 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899541 */     // GIR_Coverage, 19321,
     /* 1899541 */     GIR_EraseRootFromParent_Done,
     /* 1899542 */   // Label 25560: @1899542
     /* 1899542 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1899628), // Rule ID 19322 //
     /* 1899547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1899558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1899561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1899564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899593 */     // MIs[0] policy
     /* 1899593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899603 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1899606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899627 */     // GIR_Coverage, 19322,
     /* 1899627 */     GIR_EraseRootFromParent_Done,
     /* 1899628 */   // Label 25561: @1899628
     /* 1899628 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1899714), // Rule ID 19325 //
     /* 1899633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899679 */     // MIs[0] policy
     /* 1899679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899689 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1899692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899713 */     // GIR_Coverage, 19325,
     /* 1899713 */     GIR_EraseRootFromParent_Done,
     /* 1899714 */   // Label 25562: @1899714
     /* 1899714 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1899800), // Rule ID 19326 //
     /* 1899719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899765 */     // MIs[0] policy
     /* 1899765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899775 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1899778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899799 */     // GIR_Coverage, 19326,
     /* 1899799 */     GIR_EraseRootFromParent_Done,
     /* 1899800 */   // Label 25563: @1899800
     /* 1899800 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1899886), // Rule ID 19329 //
     /* 1899805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899851 */     // MIs[0] policy
     /* 1899851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899861 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1899864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899885 */     // GIR_Coverage, 19329,
     /* 1899885 */     GIR_EraseRootFromParent_Done,
     /* 1899886 */   // Label 25564: @1899886
     /* 1899886 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1899972), // Rule ID 19330 //
     /* 1899891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899937 */     // MIs[0] policy
     /* 1899937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899947 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1899950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899971 */     // GIR_Coverage, 19330,
     /* 1899971 */     GIR_EraseRootFromParent_Done,
     /* 1899972 */   // Label 25565: @1899972
     /* 1899972 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900058), // Rule ID 19333 //
     /* 1899977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1899997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900023 */     // MIs[0] policy
     /* 1900023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900033 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900057 */     // GIR_Coverage, 19333,
     /* 1900057 */     GIR_EraseRootFromParent_Done,
     /* 1900058 */   // Label 25566: @1900058
     /* 1900058 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1900144), // Rule ID 19334 //
     /* 1900063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1900074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1900077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1900080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1900083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900109 */     // MIs[0] policy
     /* 1900109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900119 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1900122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900143 */     // GIR_Coverage, 19334,
     /* 1900143 */     GIR_EraseRootFromParent_Done,
     /* 1900144 */   // Label 25567: @1900144
     /* 1900144 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1900230), // Rule ID 19337 //
     /* 1900149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900195 */     // MIs[0] policy
     /* 1900195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900229 */     // GIR_Coverage, 19337,
     /* 1900229 */     GIR_EraseRootFromParent_Done,
     /* 1900230 */   // Label 25568: @1900230
     /* 1900230 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1900316), // Rule ID 19338 //
     /* 1900235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1900252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1900255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900281 */     // MIs[0] policy
     /* 1900281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900291 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1900294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900315 */     // GIR_Coverage, 19338,
     /* 1900315 */     GIR_EraseRootFromParent_Done,
     /* 1900316 */   // Label 25569: @1900316
     /* 1900316 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1900402), // Rule ID 19341 //
     /* 1900321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900367 */     // MIs[0] policy
     /* 1900367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900377 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900401 */     // GIR_Coverage, 19341,
     /* 1900401 */     GIR_EraseRootFromParent_Done,
     /* 1900402 */   // Label 25570: @1900402
     /* 1900402 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1900488), // Rule ID 19342 //
     /* 1900407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1900424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1900427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900453 */     // MIs[0] policy
     /* 1900453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900463 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1900466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900487 */     // GIR_Coverage, 19342,
     /* 1900487 */     GIR_EraseRootFromParent_Done,
     /* 1900488 */   // Label 25571: @1900488
     /* 1900488 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1900574), // Rule ID 19345 //
     /* 1900493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900539 */     // MIs[0] policy
     /* 1900539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900549 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900573 */     // GIR_Coverage, 19345,
     /* 1900573 */     GIR_EraseRootFromParent_Done,
     /* 1900574 */   // Label 25572: @1900574
     /* 1900574 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1900660), // Rule ID 19346 //
     /* 1900579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900625 */     // MIs[0] policy
     /* 1900625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900635 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1900638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900659 */     // GIR_Coverage, 19346,
     /* 1900659 */     GIR_EraseRootFromParent_Done,
     /* 1900660 */   // Label 25573: @1900660
     /* 1900660 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1900746), // Rule ID 19349 //
     /* 1900665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900711 */     // MIs[0] policy
     /* 1900711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900721 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1900724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900745 */     // GIR_Coverage, 19349,
     /* 1900745 */     GIR_EraseRootFromParent_Done,
     /* 1900746 */   // Label 25574: @1900746
     /* 1900746 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1900832), // Rule ID 19350 //
     /* 1900751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900797 */     // MIs[0] policy
     /* 1900797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900807 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1900810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900831 */     // GIR_Coverage, 19350,
     /* 1900831 */     GIR_EraseRootFromParent_Done,
     /* 1900832 */   // Label 25575: @1900832
     /* 1900832 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1900918), // Rule ID 19353 //
     /* 1900837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900883 */     // MIs[0] policy
     /* 1900883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900893 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1900896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900917 */     // GIR_Coverage, 19353,
     /* 1900917 */     GIR_EraseRootFromParent_Done,
     /* 1900918 */   // Label 25576: @1900918
     /* 1900918 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901004), // Rule ID 19354 //
     /* 1900923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900969 */     // MIs[0] policy
     /* 1900969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900979 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1900982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901003 */     // GIR_Coverage, 19354,
     /* 1901003 */     GIR_EraseRootFromParent_Done,
     /* 1901004 */   // Label 25577: @1901004
     /* 1901004 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901090), // Rule ID 19357 //
     /* 1901009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901055 */     // MIs[0] policy
     /* 1901055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901065 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901089 */     // GIR_Coverage, 19357,
     /* 1901089 */     GIR_EraseRootFromParent_Done,
     /* 1901090 */   // Label 25578: @1901090
     /* 1901090 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1901176), // Rule ID 19358 //
     /* 1901095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1901112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901141 */     // MIs[0] policy
     /* 1901141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901151 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1901154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901175 */     // GIR_Coverage, 19358,
     /* 1901175 */     GIR_EraseRootFromParent_Done,
     /* 1901176 */   // Label 25579: @1901176
     /* 1901176 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1901262), // Rule ID 19361 //
     /* 1901181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901227 */     // MIs[0] policy
     /* 1901227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901237 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901261 */     // GIR_Coverage, 19361,
     /* 1901261 */     GIR_EraseRootFromParent_Done,
     /* 1901262 */   // Label 25580: @1901262
     /* 1901262 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1901348), // Rule ID 19362 //
     /* 1901267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1901284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901313 */     // MIs[0] policy
     /* 1901313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901323 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1901326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901347 */     // GIR_Coverage, 19362,
     /* 1901347 */     GIR_EraseRootFromParent_Done,
     /* 1901348 */   // Label 25581: @1901348
     /* 1901348 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1901434), // Rule ID 19365 //
     /* 1901353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901399 */     // MIs[0] policy
     /* 1901399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901409 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901433 */     // GIR_Coverage, 19365,
     /* 1901433 */     GIR_EraseRootFromParent_Done,
     /* 1901434 */   // Label 25582: @1901434
     /* 1901434 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1901520), // Rule ID 19366 //
     /* 1901439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1901456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901485 */     // MIs[0] policy
     /* 1901485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901495 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1901498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901519 */     // GIR_Coverage, 19366,
     /* 1901519 */     GIR_EraseRootFromParent_Done,
     /* 1901520 */   // Label 25583: @1901520
     /* 1901520 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1901606), // Rule ID 19369 //
     /* 1901525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901571 */     // MIs[0] policy
     /* 1901571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1901584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901605 */     // GIR_Coverage, 19369,
     /* 1901605 */     GIR_EraseRootFromParent_Done,
     /* 1901606 */   // Label 25584: @1901606
     /* 1901606 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1901692), // Rule ID 19370 //
     /* 1901611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901657 */     // MIs[0] policy
     /* 1901657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901667 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1901670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901691 */     // GIR_Coverage, 19370,
     /* 1901691 */     GIR_EraseRootFromParent_Done,
     /* 1901692 */   // Label 25585: @1901692
     /* 1901692 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1901778), // Rule ID 19373 //
     /* 1901697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901743 */     // MIs[0] policy
     /* 1901743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901753 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1901756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901777 */     // GIR_Coverage, 19373,
     /* 1901777 */     GIR_EraseRootFromParent_Done,
     /* 1901778 */   // Label 25586: @1901778
     /* 1901778 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1901864), // Rule ID 19374 //
     /* 1901783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901829 */     // MIs[0] policy
     /* 1901829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901839 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1901842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901863 */     // GIR_Coverage, 19374,
     /* 1901863 */     GIR_EraseRootFromParent_Done,
     /* 1901864 */   // Label 25587: @1901864
     /* 1901864 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1901950), // Rule ID 19377 //
     /* 1901869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901915 */     // MIs[0] policy
     /* 1901915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901925 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1901928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901949 */     // GIR_Coverage, 19377,
     /* 1901949 */     GIR_EraseRootFromParent_Done,
     /* 1901950 */   // Label 25588: @1901950
     /* 1901950 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902036), // Rule ID 19378 //
     /* 1901955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902001 */     // MIs[0] policy
     /* 1902001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902011 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1902014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902035 */     // GIR_Coverage, 19378,
     /* 1902035 */     GIR_EraseRootFromParent_Done,
     /* 1902036 */   // Label 25589: @1902036
     /* 1902036 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902122), // Rule ID 19381 //
     /* 1902041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902087 */     // MIs[0] policy
     /* 1902087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902097 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902121 */     // GIR_Coverage, 19381,
     /* 1902121 */     GIR_EraseRootFromParent_Done,
     /* 1902122 */   // Label 25590: @1902122
     /* 1902122 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1902208), // Rule ID 19382 //
     /* 1902127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1902138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1902141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1902144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1902150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902173 */     // MIs[0] policy
     /* 1902173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902183 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1902186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902207 */     // GIR_Coverage, 19382,
     /* 1902207 */     GIR_EraseRootFromParent_Done,
     /* 1902208 */   // Label 25591: @1902208
     /* 1902208 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1902294), // Rule ID 19385 //
     /* 1902213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902259 */     // MIs[0] policy
     /* 1902259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902269 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902293 */     // GIR_Coverage, 19385,
     /* 1902293 */     GIR_EraseRootFromParent_Done,
     /* 1902294 */   // Label 25592: @1902294
     /* 1902294 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1902380), // Rule ID 19386 //
     /* 1902299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1902316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902345 */     // MIs[0] policy
     /* 1902345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902355 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1902358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902379 */     // GIR_Coverage, 19386,
     /* 1902379 */     GIR_EraseRootFromParent_Done,
     /* 1902380 */   // Label 25593: @1902380
     /* 1902380 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1902466), // Rule ID 19389 //
     /* 1902385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902431 */     // MIs[0] policy
     /* 1902431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902441 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902465 */     // GIR_Coverage, 19389,
     /* 1902465 */     GIR_EraseRootFromParent_Done,
     /* 1902466 */   // Label 25594: @1902466
     /* 1902466 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1902552), // Rule ID 19390 //
     /* 1902471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1902488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902517 */     // MIs[0] policy
     /* 1902517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1902530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902551 */     // GIR_Coverage, 19390,
     /* 1902551 */     GIR_EraseRootFromParent_Done,
     /* 1902552 */   // Label 25595: @1902552
     /* 1902552 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1902638), // Rule ID 19393 //
     /* 1902557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902603 */     // MIs[0] policy
     /* 1902603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902613 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1902616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902637 */     // GIR_Coverage, 19393,
     /* 1902637 */     GIR_EraseRootFromParent_Done,
     /* 1902638 */   // Label 25596: @1902638
     /* 1902638 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1902724), // Rule ID 19394 //
     /* 1902643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902689 */     // MIs[0] policy
     /* 1902689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902699 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1902702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902723 */     // GIR_Coverage, 19394,
     /* 1902723 */     GIR_EraseRootFromParent_Done,
     /* 1902724 */   // Label 25597: @1902724
     /* 1902724 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1902810), // Rule ID 19397 //
     /* 1902729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902775 */     // MIs[0] policy
     /* 1902775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1902788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902809 */     // GIR_Coverage, 19397,
     /* 1902809 */     GIR_EraseRootFromParent_Done,
     /* 1902810 */   // Label 25598: @1902810
     /* 1902810 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1902896), // Rule ID 19398 //
     /* 1902815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902861 */     // MIs[0] policy
     /* 1902861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902871 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1902874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902895 */     // GIR_Coverage, 19398,
     /* 1902895 */     GIR_EraseRootFromParent_Done,
     /* 1902896 */   // Label 25599: @1902896
     /* 1902896 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1902982), // Rule ID 19401 //
     /* 1902901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902947 */     // MIs[0] policy
     /* 1902947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902957 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1902960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902981 */     // GIR_Coverage, 19401,
     /* 1902981 */     GIR_EraseRootFromParent_Done,
     /* 1902982 */   // Label 25600: @1902982
     /* 1902982 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903068), // Rule ID 19402 //
     /* 1902987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903033 */     // MIs[0] policy
     /* 1903033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903043 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1903046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903067 */     // GIR_Coverage, 19402,
     /* 1903067 */     GIR_EraseRootFromParent_Done,
     /* 1903068 */   // Label 25601: @1903068
     /* 1903068 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1903154), // Rule ID 19405 //
     /* 1903073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903119 */     // MIs[0] policy
     /* 1903119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903129 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903153 */     // GIR_Coverage, 19405,
     /* 1903153 */     GIR_EraseRootFromParent_Done,
     /* 1903154 */   // Label 25602: @1903154
     /* 1903154 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1903240), // Rule ID 19406 //
     /* 1903159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1903176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903205 */     // MIs[0] policy
     /* 1903205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1903218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903239 */     // GIR_Coverage, 19406,
     /* 1903239 */     GIR_EraseRootFromParent_Done,
     /* 1903240 */   // Label 25603: @1903240
     /* 1903240 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1903326), // Rule ID 19409 //
     /* 1903245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903291 */     // MIs[0] policy
     /* 1903291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903301 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903325 */     // GIR_Coverage, 19409,
     /* 1903325 */     GIR_EraseRootFromParent_Done,
     /* 1903326 */   // Label 25604: @1903326
     /* 1903326 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1903412), // Rule ID 19410 //
     /* 1903331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1903342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1903345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1903348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1903351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903377 */     // MIs[0] policy
     /* 1903377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903387 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1903390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903411 */     // GIR_Coverage, 19410,
     /* 1903411 */     GIR_EraseRootFromParent_Done,
     /* 1903412 */   // Label 25605: @1903412
     /* 1903412 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1903498), // Rule ID 19413 //
     /* 1903417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903463 */     // MIs[0] policy
     /* 1903463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903473 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903497 */     // GIR_Coverage, 19413,
     /* 1903497 */     GIR_EraseRootFromParent_Done,
     /* 1903498 */   // Label 25606: @1903498
     /* 1903498 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1903584), // Rule ID 19414 //
     /* 1903503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1903514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1903517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1903520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1903523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903549 */     // MIs[0] policy
     /* 1903549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903559 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1903562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903583 */     // GIR_Coverage, 19414,
     /* 1903583 */     GIR_EraseRootFromParent_Done,
     /* 1903584 */   // Label 25607: @1903584
     /* 1903584 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1903670), // Rule ID 19417 //
     /* 1903589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903635 */     // MIs[0] policy
     /* 1903635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903645 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1903648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903669 */     // GIR_Coverage, 19417,
     /* 1903669 */     GIR_EraseRootFromParent_Done,
     /* 1903670 */   // Label 25608: @1903670
     /* 1903670 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1903756), // Rule ID 19418 //
     /* 1903675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903721 */     // MIs[0] policy
     /* 1903721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1903734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903755 */     // GIR_Coverage, 19418,
     /* 1903755 */     GIR_EraseRootFromParent_Done,
     /* 1903756 */   // Label 25609: @1903756
     /* 1903756 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1903842), // Rule ID 19421 //
     /* 1903761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903807 */     // MIs[0] policy
     /* 1903807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1903820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903841 */     // GIR_Coverage, 19421,
     /* 1903841 */     GIR_EraseRootFromParent_Done,
     /* 1903842 */   // Label 25610: @1903842
     /* 1903842 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1903928), // Rule ID 19422 //
     /* 1903847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903893 */     // MIs[0] policy
     /* 1903893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1903906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903927 */     // GIR_Coverage, 19422,
     /* 1903927 */     GIR_EraseRootFromParent_Done,
     /* 1903928 */   // Label 25611: @1903928
     /* 1903928 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904014), // Rule ID 19425 //
     /* 1903933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903979 */     // MIs[0] policy
     /* 1903979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1903992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904013 */     // GIR_Coverage, 19425,
     /* 1904013 */     GIR_EraseRootFromParent_Done,
     /* 1904014 */   // Label 25612: @1904014
     /* 1904014 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904100), // Rule ID 19426 //
     /* 1904019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904065 */     // MIs[0] policy
     /* 1904065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904075 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1904078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904099 */     // GIR_Coverage, 19426,
     /* 1904099 */     GIR_EraseRootFromParent_Done,
     /* 1904100 */   // Label 25613: @1904100
     /* 1904100 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1904186), // Rule ID 19429 //
     /* 1904105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904151 */     // MIs[0] policy
     /* 1904151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904161 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904185 */     // GIR_Coverage, 19429,
     /* 1904185 */     GIR_EraseRootFromParent_Done,
     /* 1904186 */   // Label 25614: @1904186
     /* 1904186 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1904272), // Rule ID 19430 //
     /* 1904191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1904208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904237 */     // MIs[0] policy
     /* 1904237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904247 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1904250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904271 */     // GIR_Coverage, 19430,
     /* 1904271 */     GIR_EraseRootFromParent_Done,
     /* 1904272 */   // Label 25615: @1904272
     /* 1904272 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1904358), // Rule ID 19433 //
     /* 1904277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904323 */     // MIs[0] policy
     /* 1904323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904333 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904357 */     // GIR_Coverage, 19433,
     /* 1904357 */     GIR_EraseRootFromParent_Done,
     /* 1904358 */   // Label 25616: @1904358
     /* 1904358 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1904444), // Rule ID 19434 //
     /* 1904363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1904374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1904377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1904380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1904383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904409 */     // MIs[0] policy
     /* 1904409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904419 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1904422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904443 */     // GIR_Coverage, 19434,
     /* 1904443 */     GIR_EraseRootFromParent_Done,
     /* 1904444 */   // Label 25617: @1904444
     /* 1904444 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1904530), // Rule ID 19437 //
     /* 1904449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904495 */     // MIs[0] policy
     /* 1904495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904505 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904529 */     // GIR_Coverage, 19437,
     /* 1904529 */     GIR_EraseRootFromParent_Done,
     /* 1904530 */   // Label 25618: @1904530
     /* 1904530 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1904616), // Rule ID 19438 //
     /* 1904535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1904546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1904549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1904552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1904555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904581 */     // MIs[0] policy
     /* 1904581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904591 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1904594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904615 */     // GIR_Coverage, 19438,
     /* 1904615 */     GIR_EraseRootFromParent_Done,
     /* 1904616 */   // Label 25619: @1904616
     /* 1904616 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1904702), // Rule ID 19441 //
     /* 1904621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904667 */     // MIs[0] policy
     /* 1904667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1904680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904701 */     // GIR_Coverage, 19441,
     /* 1904701 */     GIR_EraseRootFromParent_Done,
     /* 1904702 */   // Label 25620: @1904702
     /* 1904702 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1904788), // Rule ID 19442 //
     /* 1904707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904753 */     // MIs[0] policy
     /* 1904753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904763 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1904766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904787 */     // GIR_Coverage, 19442,
     /* 1904787 */     GIR_EraseRootFromParent_Done,
     /* 1904788 */   // Label 25621: @1904788
     /* 1904788 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1904874), // Rule ID 19445 //
     /* 1904793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904839 */     // MIs[0] policy
     /* 1904839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904849 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1904852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904873 */     // GIR_Coverage, 19445,
     /* 1904873 */     GIR_EraseRootFromParent_Done,
     /* 1904874 */   // Label 25622: @1904874
     /* 1904874 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1904960), // Rule ID 19446 //
     /* 1904879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904925 */     // MIs[0] policy
     /* 1904925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904935 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1904938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904959 */     // GIR_Coverage, 19446,
     /* 1904959 */     GIR_EraseRootFromParent_Done,
     /* 1904960 */   // Label 25623: @1904960
     /* 1904960 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905046), // Rule ID 19449 //
     /* 1904965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1904985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905011 */     // MIs[0] policy
     /* 1905011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905021 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905045 */     // GIR_Coverage, 19449,
     /* 1905045 */     GIR_EraseRootFromParent_Done,
     /* 1905046 */   // Label 25624: @1905046
     /* 1905046 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1905132), // Rule ID 19450 //
     /* 1905051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1905062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1905065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1905071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905097 */     // MIs[0] policy
     /* 1905097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1905110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905131 */     // GIR_Coverage, 19450,
     /* 1905131 */     GIR_EraseRootFromParent_Done,
     /* 1905132 */   // Label 25625: @1905132
     /* 1905132 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1905218), // Rule ID 19453 //
     /* 1905137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905183 */     // MIs[0] policy
     /* 1905183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905193 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905217 */     // GIR_Coverage, 19453,
     /* 1905217 */     GIR_EraseRootFromParent_Done,
     /* 1905218 */   // Label 25626: @1905218
     /* 1905218 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1905304), // Rule ID 19454 //
     /* 1905223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1905234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1905237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1905243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905269 */     // MIs[0] policy
     /* 1905269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905279 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1905282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905303 */     // GIR_Coverage, 19454,
     /* 1905303 */     GIR_EraseRootFromParent_Done,
     /* 1905304 */   // Label 25627: @1905304
     /* 1905304 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1905390), // Rule ID 19457 //
     /* 1905309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905355 */     // MIs[0] policy
     /* 1905355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905365 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905389 */     // GIR_Coverage, 19457,
     /* 1905389 */     GIR_EraseRootFromParent_Done,
     /* 1905390 */   // Label 25628: @1905390
     /* 1905390 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1905476), // Rule ID 19458 //
     /* 1905395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1905406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1905409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1905412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1905415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905441 */     // MIs[0] policy
     /* 1905441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1905454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905475 */     // GIR_Coverage, 19458,
     /* 1905475 */     GIR_EraseRootFromParent_Done,
     /* 1905476 */   // Label 25629: @1905476
     /* 1905476 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1905562), // Rule ID 19461 //
     /* 1905481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905527 */     // MIs[0] policy
     /* 1905527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905537 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905561 */     // GIR_Coverage, 19461,
     /* 1905561 */     GIR_EraseRootFromParent_Done,
     /* 1905562 */   // Label 25630: @1905562
     /* 1905562 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1905648), // Rule ID 19462 //
     /* 1905567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905613 */     // MIs[0] policy
     /* 1905613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905623 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1905626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905647 */     // GIR_Coverage, 19462,
     /* 1905647 */     GIR_EraseRootFromParent_Done,
     /* 1905648 */   // Label 25631: @1905648
     /* 1905648 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1905734), // Rule ID 19465 //
     /* 1905653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905699 */     // MIs[0] policy
     /* 1905699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905709 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1905712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905733 */     // GIR_Coverage, 19465,
     /* 1905733 */     GIR_EraseRootFromParent_Done,
     /* 1905734 */   // Label 25632: @1905734
     /* 1905734 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1905820), // Rule ID 19466 //
     /* 1905739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905785 */     // MIs[0] policy
     /* 1905785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905795 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1905798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905819 */     // GIR_Coverage, 19466,
     /* 1905819 */     GIR_EraseRootFromParent_Done,
     /* 1905820 */   // Label 25633: @1905820
     /* 1905820 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1905906), // Rule ID 19469 //
     /* 1905825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905871 */     // MIs[0] policy
     /* 1905871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905881 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1905884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905905 */     // GIR_Coverage, 19469,
     /* 1905905 */     GIR_EraseRootFromParent_Done,
     /* 1905906 */   // Label 25634: @1905906
     /* 1905906 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1905992), // Rule ID 19470 //
     /* 1905911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905957 */     // MIs[0] policy
     /* 1905957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905967 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1905970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905991 */     // GIR_Coverage, 19470,
     /* 1905991 */     GIR_EraseRootFromParent_Done,
     /* 1905992 */   // Label 25635: @1905992
     /* 1905992 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906078), // Rule ID 19473 //
     /* 1905997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906043 */     // MIs[0] policy
     /* 1906043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906053 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906077 */     // GIR_Coverage, 19473,
     /* 1906077 */     GIR_EraseRootFromParent_Done,
     /* 1906078 */   // Label 25636: @1906078
     /* 1906078 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1906164), // Rule ID 19474 //
     /* 1906083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906129 */     // MIs[0] policy
     /* 1906129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1906142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906163 */     // GIR_Coverage, 19474,
     /* 1906163 */     GIR_EraseRootFromParent_Done,
     /* 1906164 */   // Label 25637: @1906164
     /* 1906164 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1906250), // Rule ID 19477 //
     /* 1906169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906215 */     // MIs[0] policy
     /* 1906215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906225 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906249 */     // GIR_Coverage, 19477,
     /* 1906249 */     GIR_EraseRootFromParent_Done,
     /* 1906250 */   // Label 25638: @1906250
     /* 1906250 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1906336), // Rule ID 19478 //
     /* 1906255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1906266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1906269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1906272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906301 */     // MIs[0] policy
     /* 1906301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906311 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1906314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906335 */     // GIR_Coverage, 19478,
     /* 1906335 */     GIR_EraseRootFromParent_Done,
     /* 1906336 */   // Label 25639: @1906336
     /* 1906336 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1906422), // Rule ID 19481 //
     /* 1906341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906387 */     // MIs[0] policy
     /* 1906387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906397 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906421 */     // GIR_Coverage, 19481,
     /* 1906421 */     GIR_EraseRootFromParent_Done,
     /* 1906422 */   // Label 25640: @1906422
     /* 1906422 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1906508), // Rule ID 19482 //
     /* 1906427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1906438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1906441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1906444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906473 */     // MIs[0] policy
     /* 1906473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1906486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906507 */     // GIR_Coverage, 19482,
     /* 1906507 */     GIR_EraseRootFromParent_Done,
     /* 1906508 */   // Label 25641: @1906508
     /* 1906508 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1906594), // Rule ID 19485 //
     /* 1906513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906559 */     // MIs[0] policy
     /* 1906559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1906572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906593 */     // GIR_Coverage, 19485,
     /* 1906593 */     GIR_EraseRootFromParent_Done,
     /* 1906594 */   // Label 25642: @1906594
     /* 1906594 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1906680), // Rule ID 19486 //
     /* 1906599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906645 */     // MIs[0] policy
     /* 1906645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1906658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906679 */     // GIR_Coverage, 19486,
     /* 1906679 */     GIR_EraseRootFromParent_Done,
     /* 1906680 */   // Label 25643: @1906680
     /* 1906680 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1906766), // Rule ID 19489 //
     /* 1906685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906731 */     // MIs[0] policy
     /* 1906731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906741 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1906744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906765 */     // GIR_Coverage, 19489,
     /* 1906765 */     GIR_EraseRootFromParent_Done,
     /* 1906766 */   // Label 25644: @1906766
     /* 1906766 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1906852), // Rule ID 19490 //
     /* 1906771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906817 */     // MIs[0] policy
     /* 1906817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1906830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906851 */     // GIR_Coverage, 19490,
     /* 1906851 */     GIR_EraseRootFromParent_Done,
     /* 1906852 */   // Label 25645: @1906852
     /* 1906852 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1906938), // Rule ID 19493 //
     /* 1906857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906903 */     // MIs[0] policy
     /* 1906903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906913 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1906916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906937 */     // GIR_Coverage, 19493,
     /* 1906937 */     GIR_EraseRootFromParent_Done,
     /* 1906938 */   // Label 25646: @1906938
     /* 1906938 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907024), // Rule ID 19494 //
     /* 1906943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906989 */     // MIs[0] policy
     /* 1906989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906999 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1907002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907023 */     // GIR_Coverage, 19494,
     /* 1907023 */     GIR_EraseRootFromParent_Done,
     /* 1907024 */   // Label 25647: @1907024
     /* 1907024 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907110), // Rule ID 19497 //
     /* 1907029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907075 */     // MIs[0] policy
     /* 1907075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907085 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907109 */     // GIR_Coverage, 19497,
     /* 1907109 */     GIR_EraseRootFromParent_Done,
     /* 1907110 */   // Label 25648: @1907110
     /* 1907110 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1907196), // Rule ID 19498 //
     /* 1907115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1907126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1907129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1907132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907161 */     // MIs[0] policy
     /* 1907161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907171 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1907174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907195 */     // GIR_Coverage, 19498,
     /* 1907195 */     GIR_EraseRootFromParent_Done,
     /* 1907196 */   // Label 25649: @1907196
     /* 1907196 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1907282), // Rule ID 19501 //
     /* 1907201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907247 */     // MIs[0] policy
     /* 1907247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907257 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907281 */     // GIR_Coverage, 19501,
     /* 1907281 */     GIR_EraseRootFromParent_Done,
     /* 1907282 */   // Label 25650: @1907282
     /* 1907282 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1907368), // Rule ID 19502 //
     /* 1907287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907333 */     // MIs[0] policy
     /* 1907333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907343 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1907346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907367 */     // GIR_Coverage, 19502,
     /* 1907367 */     GIR_EraseRootFromParent_Done,
     /* 1907368 */   // Label 25651: @1907368
     /* 1907368 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1907454), // Rule ID 19505 //
     /* 1907373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907419 */     // MIs[0] policy
     /* 1907419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907453 */     // GIR_Coverage, 19505,
     /* 1907453 */     GIR_EraseRootFromParent_Done,
     /* 1907454 */   // Label 25652: @1907454
     /* 1907454 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1907540), // Rule ID 19506 //
     /* 1907459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907505 */     // MIs[0] policy
     /* 1907505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1907518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907539 */     // GIR_Coverage, 19506,
     /* 1907539 */     GIR_EraseRootFromParent_Done,
     /* 1907540 */   // Label 25653: @1907540
     /* 1907540 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1907626), // Rule ID 19509 //
     /* 1907545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907591 */     // MIs[0] policy
     /* 1907591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907601 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1907604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907625 */     // GIR_Coverage, 19509,
     /* 1907625 */     GIR_EraseRootFromParent_Done,
     /* 1907626 */   // Label 25654: @1907626
     /* 1907626 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1907712), // Rule ID 19510 //
     /* 1907631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907677 */     // MIs[0] policy
     /* 1907677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907687 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1907690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907711 */     // GIR_Coverage, 19510,
     /* 1907711 */     GIR_EraseRootFromParent_Done,
     /* 1907712 */   // Label 25655: @1907712
     /* 1907712 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1907798), // Rule ID 19513 //
     /* 1907717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907763 */     // MIs[0] policy
     /* 1907763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907773 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1907776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907797 */     // GIR_Coverage, 19513,
     /* 1907797 */     GIR_EraseRootFromParent_Done,
     /* 1907798 */   // Label 25656: @1907798
     /* 1907798 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1907884), // Rule ID 19514 //
     /* 1907803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907849 */     // MIs[0] policy
     /* 1907849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907859 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1907862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907883 */     // GIR_Coverage, 19514,
     /* 1907883 */     GIR_EraseRootFromParent_Done,
     /* 1907884 */   // Label 25657: @1907884
     /* 1907884 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1907970), // Rule ID 19517 //
     /* 1907889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907935 */     // MIs[0] policy
     /* 1907935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907945 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1907948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907969 */     // GIR_Coverage, 19517,
     /* 1907969 */     GIR_EraseRootFromParent_Done,
     /* 1907970 */   // Label 25658: @1907970
     /* 1907970 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908056), // Rule ID 19518 //
     /* 1907975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908021 */     // MIs[0] policy
     /* 1908021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1908034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908055 */     // GIR_Coverage, 19518,
     /* 1908055 */     GIR_EraseRootFromParent_Done,
     /* 1908056 */   // Label 25659: @1908056
     /* 1908056 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1908142), // Rule ID 19521 //
     /* 1908061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908107 */     // MIs[0] policy
     /* 1908107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908117 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908141 */     // GIR_Coverage, 19521,
     /* 1908141 */     GIR_EraseRootFromParent_Done,
     /* 1908142 */   // Label 25660: @1908142
     /* 1908142 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1908228), // Rule ID 19522 //
     /* 1908147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908193 */     // MIs[0] policy
     /* 1908193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908203 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1908206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908227 */     // GIR_Coverage, 19522,
     /* 1908227 */     GIR_EraseRootFromParent_Done,
     /* 1908228 */   // Label 25661: @1908228
     /* 1908228 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1908314), // Rule ID 19525 //
     /* 1908233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908279 */     // MIs[0] policy
     /* 1908279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908289 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908313 */     // GIR_Coverage, 19525,
     /* 1908313 */     GIR_EraseRootFromParent_Done,
     /* 1908314 */   // Label 25662: @1908314
     /* 1908314 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1908400), // Rule ID 19526 //
     /* 1908319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908365 */     // MIs[0] policy
     /* 1908365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908375 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1908378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908399 */     // GIR_Coverage, 19526,
     /* 1908399 */     GIR_EraseRootFromParent_Done,
     /* 1908400 */   // Label 25663: @1908400
     /* 1908400 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1908486), // Rule ID 19529 //
     /* 1908405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908451 */     // MIs[0] policy
     /* 1908451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908461 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908485 */     // GIR_Coverage, 19529,
     /* 1908485 */     GIR_EraseRootFromParent_Done,
     /* 1908486 */   // Label 25664: @1908486
     /* 1908486 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1908572), // Rule ID 19530 //
     /* 1908491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1908511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908537 */     // MIs[0] policy
     /* 1908537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908547 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1908550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908571 */     // GIR_Coverage, 19530,
     /* 1908571 */     GIR_EraseRootFromParent_Done,
     /* 1908572 */   // Label 25665: @1908572
     /* 1908572 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1908658), // Rule ID 19533 //
     /* 1908577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908623 */     // MIs[0] policy
     /* 1908623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908633 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1908636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908657 */     // GIR_Coverage, 19533,
     /* 1908657 */     GIR_EraseRootFromParent_Done,
     /* 1908658 */   // Label 25666: @1908658
     /* 1908658 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1908744), // Rule ID 19534 //
     /* 1908663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908709 */     // MIs[0] policy
     /* 1908709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908719 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1908722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908743 */     // GIR_Coverage, 19534,
     /* 1908743 */     GIR_EraseRootFromParent_Done,
     /* 1908744 */   // Label 25667: @1908744
     /* 1908744 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1908830), // Rule ID 19537 //
     /* 1908749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908795 */     // MIs[0] policy
     /* 1908795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908805 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1908808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908829 */     // GIR_Coverage, 19537,
     /* 1908829 */     GIR_EraseRootFromParent_Done,
     /* 1908830 */   // Label 25668: @1908830
     /* 1908830 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1908916), // Rule ID 19538 //
     /* 1908835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908881 */     // MIs[0] policy
     /* 1908881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908891 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1908894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908915 */     // GIR_Coverage, 19538,
     /* 1908915 */     GIR_EraseRootFromParent_Done,
     /* 1908916 */   // Label 25669: @1908916
     /* 1908916 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909002), // Rule ID 19541 //
     /* 1908921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1908941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908967 */     // MIs[0] policy
     /* 1908967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1908980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909001 */     // GIR_Coverage, 19541,
     /* 1909001 */     GIR_EraseRootFromParent_Done,
     /* 1909002 */   // Label 25670: @1909002
     /* 1909002 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909088), // Rule ID 19542 //
     /* 1909007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909053 */     // MIs[0] policy
     /* 1909053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909063 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1909066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909087 */     // GIR_Coverage, 19542,
     /* 1909087 */     GIR_EraseRootFromParent_Done,
     /* 1909088 */   // Label 25671: @1909088
     /* 1909088 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1909174), // Rule ID 19545 //
     /* 1909093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909139 */     // MIs[0] policy
     /* 1909139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909173 */     // GIR_Coverage, 19545,
     /* 1909173 */     GIR_EraseRootFromParent_Done,
     /* 1909174 */   // Label 25672: @1909174
     /* 1909174 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1909260), // Rule ID 19546 //
     /* 1909179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1909199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909225 */     // MIs[0] policy
     /* 1909225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909235 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1909238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909259 */     // GIR_Coverage, 19546,
     /* 1909259 */     GIR_EraseRootFromParent_Done,
     /* 1909260 */   // Label 25673: @1909260
     /* 1909260 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1909346), // Rule ID 19549 //
     /* 1909265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909311 */     // MIs[0] policy
     /* 1909311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909321 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909345 */     // GIR_Coverage, 19549,
     /* 1909345 */     GIR_EraseRootFromParent_Done,
     /* 1909346 */   // Label 25674: @1909346
     /* 1909346 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1909432), // Rule ID 19550 //
     /* 1909351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1909371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909397 */     // MIs[0] policy
     /* 1909397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909407 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1909410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909431 */     // GIR_Coverage, 19550,
     /* 1909431 */     GIR_EraseRootFromParent_Done,
     /* 1909432 */   // Label 25675: @1909432
     /* 1909432 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1909518), // Rule ID 19553 //
     /* 1909437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909483 */     // MIs[0] policy
     /* 1909483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909493 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909517 */     // GIR_Coverage, 19553,
     /* 1909517 */     GIR_EraseRootFromParent_Done,
     /* 1909518 */   // Label 25676: @1909518
     /* 1909518 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1909604), // Rule ID 19554 //
     /* 1909523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1909543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909569 */     // MIs[0] policy
     /* 1909569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909579 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1909582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909603 */     // GIR_Coverage, 19554,
     /* 1909603 */     GIR_EraseRootFromParent_Done,
     /* 1909604 */   // Label 25677: @1909604
     /* 1909604 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1909690), // Rule ID 19557 //
     /* 1909609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909655 */     // MIs[0] policy
     /* 1909655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909665 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1909668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909689 */     // GIR_Coverage, 19557,
     /* 1909689 */     GIR_EraseRootFromParent_Done,
     /* 1909690 */   // Label 25678: @1909690
     /* 1909690 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1909776), // Rule ID 19558 //
     /* 1909695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909741 */     // MIs[0] policy
     /* 1909741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909751 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1909754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909775 */     // GIR_Coverage, 19558,
     /* 1909775 */     GIR_EraseRootFromParent_Done,
     /* 1909776 */   // Label 25679: @1909776
     /* 1909776 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1909862), // Rule ID 19561 //
     /* 1909781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909827 */     // MIs[0] policy
     /* 1909827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909837 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1909840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909861 */     // GIR_Coverage, 19561,
     /* 1909861 */     GIR_EraseRootFromParent_Done,
     /* 1909862 */   // Label 25680: @1909862
     /* 1909862 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1909948), // Rule ID 19562 //
     /* 1909867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909913 */     // MIs[0] policy
     /* 1909913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909923 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1909926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909947 */     // GIR_Coverage, 19562,
     /* 1909947 */     GIR_EraseRootFromParent_Done,
     /* 1909948 */   // Label 25681: @1909948
     /* 1909948 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910034), // Rule ID 19565 //
     /* 1909953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1909973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909999 */     // MIs[0] policy
     /* 1909999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910009 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910033 */     // GIR_Coverage, 19565,
     /* 1910033 */     GIR_EraseRootFromParent_Done,
     /* 1910034 */   // Label 25682: @1910034
     /* 1910034 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910120), // Rule ID 19566 //
     /* 1910039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1910059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910085 */     // MIs[0] policy
     /* 1910085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910095 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1910098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910119 */     // GIR_Coverage, 19566,
     /* 1910119 */     GIR_EraseRootFromParent_Done,
     /* 1910120 */   // Label 25683: @1910120
     /* 1910120 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1910206), // Rule ID 19569 //
     /* 1910125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910171 */     // MIs[0] policy
     /* 1910171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910181 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910205 */     // GIR_Coverage, 19569,
     /* 1910205 */     GIR_EraseRootFromParent_Done,
     /* 1910206 */   // Label 25684: @1910206
     /* 1910206 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1910292), // Rule ID 19570 //
     /* 1910211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1910231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910257 */     // MIs[0] policy
     /* 1910257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910267 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1910270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910291 */     // GIR_Coverage, 19570,
     /* 1910291 */     GIR_EraseRootFromParent_Done,
     /* 1910292 */   // Label 25685: @1910292
     /* 1910292 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1910378), // Rule ID 19573 //
     /* 1910297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910343 */     // MIs[0] policy
     /* 1910343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910377 */     // GIR_Coverage, 19573,
     /* 1910377 */     GIR_EraseRootFromParent_Done,
     /* 1910378 */   // Label 25686: @1910378
     /* 1910378 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1910464), // Rule ID 19574 //
     /* 1910383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1910403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910429 */     // MIs[0] policy
     /* 1910429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910439 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1910442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910463 */     // GIR_Coverage, 19574,
     /* 1910463 */     GIR_EraseRootFromParent_Done,
     /* 1910464 */   // Label 25687: @1910464
     /* 1910464 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1910550), // Rule ID 19577 //
     /* 1910469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910515 */     // MIs[0] policy
     /* 1910515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910525 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910549 */     // GIR_Coverage, 19577,
     /* 1910549 */     GIR_EraseRootFromParent_Done,
     /* 1910550 */   // Label 25688: @1910550
     /* 1910550 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1910636), // Rule ID 19578 //
     /* 1910555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910601 */     // MIs[0] policy
     /* 1910601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1910614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910635 */     // GIR_Coverage, 19578,
     /* 1910635 */     GIR_EraseRootFromParent_Done,
     /* 1910636 */   // Label 25689: @1910636
     /* 1910636 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1910722), // Rule ID 19581 //
     /* 1910641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910687 */     // MIs[0] policy
     /* 1910687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1910700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910721 */     // GIR_Coverage, 19581,
     /* 1910721 */     GIR_EraseRootFromParent_Done,
     /* 1910722 */   // Label 25690: @1910722
     /* 1910722 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1910808), // Rule ID 19582 //
     /* 1910727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910773 */     // MIs[0] policy
     /* 1910773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910783 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1910786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910807 */     // GIR_Coverage, 19582,
     /* 1910807 */     GIR_EraseRootFromParent_Done,
     /* 1910808 */   // Label 25691: @1910808
     /* 1910808 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1910894), // Rule ID 19585 //
     /* 1910813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910859 */     // MIs[0] policy
     /* 1910859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910869 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1910872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910893 */     // GIR_Coverage, 19585,
     /* 1910893 */     GIR_EraseRootFromParent_Done,
     /* 1910894 */   // Label 25692: @1910894
     /* 1910894 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1910980), // Rule ID 19586 //
     /* 1910899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910945 */     // MIs[0] policy
     /* 1910945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910955 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1910958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910979 */     // GIR_Coverage, 19586,
     /* 1910979 */     GIR_EraseRootFromParent_Done,
     /* 1910980 */   // Label 25693: @1910980
     /* 1910980 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911066), // Rule ID 19589 //
     /* 1910985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911031 */     // MIs[0] policy
     /* 1911031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911041 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911065 */     // GIR_Coverage, 19589,
     /* 1911065 */     GIR_EraseRootFromParent_Done,
     /* 1911066 */   // Label 25694: @1911066
     /* 1911066 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1911152), // Rule ID 19590 //
     /* 1911071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911117 */     // MIs[0] policy
     /* 1911117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911127 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1911130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911151 */     // GIR_Coverage, 19590,
     /* 1911151 */     GIR_EraseRootFromParent_Done,
     /* 1911152 */   // Label 25695: @1911152
     /* 1911152 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1911238), // Rule ID 19593 //
     /* 1911157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911203 */     // MIs[0] policy
     /* 1911203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911213 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911237 */     // GIR_Coverage, 19593,
     /* 1911237 */     GIR_EraseRootFromParent_Done,
     /* 1911238 */   // Label 25696: @1911238
     /* 1911238 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1911324), // Rule ID 19594 //
     /* 1911243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911289 */     // MIs[0] policy
     /* 1911289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911299 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1911302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911323 */     // GIR_Coverage, 19594,
     /* 1911323 */     GIR_EraseRootFromParent_Done,
     /* 1911324 */   // Label 25697: @1911324
     /* 1911324 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1911410), // Rule ID 19597 //
     /* 1911329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911375 */     // MIs[0] policy
     /* 1911375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911385 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911409 */     // GIR_Coverage, 19597,
     /* 1911409 */     GIR_EraseRootFromParent_Done,
     /* 1911410 */   // Label 25698: @1911410
     /* 1911410 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1911496), // Rule ID 19598 //
     /* 1911415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911461 */     // MIs[0] policy
     /* 1911461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911471 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1911474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911495 */     // GIR_Coverage, 19598,
     /* 1911495 */     GIR_EraseRootFromParent_Done,
     /* 1911496 */   // Label 25699: @1911496
     /* 1911496 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1911582), // Rule ID 19601 //
     /* 1911501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911547 */     // MIs[0] policy
     /* 1911547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911557 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911581 */     // GIR_Coverage, 19601,
     /* 1911581 */     GIR_EraseRootFromParent_Done,
     /* 1911582 */   // Label 25700: @1911582
     /* 1911582 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1911668), // Rule ID 19602 //
     /* 1911587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911633 */     // MIs[0] policy
     /* 1911633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911643 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1911646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911667 */     // GIR_Coverage, 19602,
     /* 1911667 */     GIR_EraseRootFromParent_Done,
     /* 1911668 */   // Label 25701: @1911668
     /* 1911668 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1911754), // Rule ID 19605 //
     /* 1911673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911719 */     // MIs[0] policy
     /* 1911719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911729 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1911732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911753 */     // GIR_Coverage, 19605,
     /* 1911753 */     GIR_EraseRootFromParent_Done,
     /* 1911754 */   // Label 25702: @1911754
     /* 1911754 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1911840), // Rule ID 19606 //
     /* 1911759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911805 */     // MIs[0] policy
     /* 1911805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911815 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1911818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911839 */     // GIR_Coverage, 19606,
     /* 1911839 */     GIR_EraseRootFromParent_Done,
     /* 1911840 */   // Label 25703: @1911840
     /* 1911840 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1911926), // Rule ID 19609 //
     /* 1911845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911891 */     // MIs[0] policy
     /* 1911891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911901 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1911904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911925 */     // GIR_Coverage, 19609,
     /* 1911925 */     GIR_EraseRootFromParent_Done,
     /* 1911926 */   // Label 25704: @1911926
     /* 1911926 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912012), // Rule ID 19610 //
     /* 1911931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911977 */     // MIs[0] policy
     /* 1911977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1911990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912011 */     // GIR_Coverage, 19610,
     /* 1912011 */     GIR_EraseRootFromParent_Done,
     /* 1912012 */   // Label 25705: @1912012
     /* 1912012 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912098), // Rule ID 19613 //
     /* 1912017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912063 */     // MIs[0] policy
     /* 1912063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912097 */     // GIR_Coverage, 19613,
     /* 1912097 */     GIR_EraseRootFromParent_Done,
     /* 1912098 */   // Label 25706: @1912098
     /* 1912098 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1912184), // Rule ID 19614 //
     /* 1912103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1912114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1912117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1912120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912149 */     // MIs[0] policy
     /* 1912149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912159 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1912162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912183 */     // GIR_Coverage, 19614,
     /* 1912183 */     GIR_EraseRootFromParent_Done,
     /* 1912184 */   // Label 25707: @1912184
     /* 1912184 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1912270), // Rule ID 19617 //
     /* 1912189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912235 */     // MIs[0] policy
     /* 1912235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912245 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912269 */     // GIR_Coverage, 19617,
     /* 1912269 */     GIR_EraseRootFromParent_Done,
     /* 1912270 */   // Label 25708: @1912270
     /* 1912270 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1912356), // Rule ID 19618 //
     /* 1912275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1912286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1912289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1912292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912321 */     // MIs[0] policy
     /* 1912321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912331 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1912334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912355 */     // GIR_Coverage, 19618,
     /* 1912355 */     GIR_EraseRootFromParent_Done,
     /* 1912356 */   // Label 25709: @1912356
     /* 1912356 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1912442), // Rule ID 19621 //
     /* 1912361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912407 */     // MIs[0] policy
     /* 1912407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912417 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912441 */     // GIR_Coverage, 19621,
     /* 1912441 */     GIR_EraseRootFromParent_Done,
     /* 1912442 */   // Label 25710: @1912442
     /* 1912442 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1912528), // Rule ID 19622 //
     /* 1912447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1912458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1912461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1912464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912493 */     // MIs[0] policy
     /* 1912493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912503 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1912506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912527 */     // GIR_Coverage, 19622,
     /* 1912527 */     GIR_EraseRootFromParent_Done,
     /* 1912528 */   // Label 25711: @1912528
     /* 1912528 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1912614), // Rule ID 19625 //
     /* 1912533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912579 */     // MIs[0] policy
     /* 1912579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1912592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912613 */     // GIR_Coverage, 19625,
     /* 1912613 */     GIR_EraseRootFromParent_Done,
     /* 1912614 */   // Label 25712: @1912614
     /* 1912614 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1912700), // Rule ID 19626 //
     /* 1912619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912665 */     // MIs[0] policy
     /* 1912665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912675 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1912678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912699 */     // GIR_Coverage, 19626,
     /* 1912699 */     GIR_EraseRootFromParent_Done,
     /* 1912700 */   // Label 25713: @1912700
     /* 1912700 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1912786), // Rule ID 19629 //
     /* 1912705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912751 */     // MIs[0] policy
     /* 1912751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912761 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1912764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912785 */     // GIR_Coverage, 19629,
     /* 1912785 */     GIR_EraseRootFromParent_Done,
     /* 1912786 */   // Label 25714: @1912786
     /* 1912786 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1912872), // Rule ID 19630 //
     /* 1912791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912837 */     // MIs[0] policy
     /* 1912837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912847 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1912850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912871 */     // GIR_Coverage, 19630,
     /* 1912871 */     GIR_EraseRootFromParent_Done,
     /* 1912872 */   // Label 25715: @1912872
     /* 1912872 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1912958), // Rule ID 19633 //
     /* 1912877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912923 */     // MIs[0] policy
     /* 1912923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912933 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1912936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912957 */     // GIR_Coverage, 19633,
     /* 1912957 */     GIR_EraseRootFromParent_Done,
     /* 1912958 */   // Label 25716: @1912958
     /* 1912958 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913044), // Rule ID 19634 //
     /* 1912963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913009 */     // MIs[0] policy
     /* 1913009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913019 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1913022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913043 */     // GIR_Coverage, 19634,
     /* 1913043 */     GIR_EraseRootFromParent_Done,
     /* 1913044 */   // Label 25717: @1913044
     /* 1913044 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1913130), // Rule ID 19637 //
     /* 1913049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913095 */     // MIs[0] policy
     /* 1913095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913105 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913129 */     // GIR_Coverage, 19637,
     /* 1913129 */     GIR_EraseRootFromParent_Done,
     /* 1913130 */   // Label 25718: @1913130
     /* 1913130 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1913216), // Rule ID 19638 //
     /* 1913135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1913146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1913149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1913152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913181 */     // MIs[0] policy
     /* 1913181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1913194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913215 */     // GIR_Coverage, 19638,
     /* 1913215 */     GIR_EraseRootFromParent_Done,
     /* 1913216 */   // Label 25719: @1913216
     /* 1913216 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1913302), // Rule ID 19641 //
     /* 1913221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913267 */     // MIs[0] policy
     /* 1913267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913277 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913301 */     // GIR_Coverage, 19641,
     /* 1913301 */     GIR_EraseRootFromParent_Done,
     /* 1913302 */   // Label 25720: @1913302
     /* 1913302 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1913388), // Rule ID 19642 //
     /* 1913307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1913318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1913321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1913324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913353 */     // MIs[0] policy
     /* 1913353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913363 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1913366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913387 */     // GIR_Coverage, 19642,
     /* 1913387 */     GIR_EraseRootFromParent_Done,
     /* 1913388 */   // Label 25721: @1913388
     /* 1913388 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1913474), // Rule ID 19645 //
     /* 1913393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913439 */     // MIs[0] policy
     /* 1913439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913449 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913473 */     // GIR_Coverage, 19645,
     /* 1913473 */     GIR_EraseRootFromParent_Done,
     /* 1913474 */   // Label 25722: @1913474
     /* 1913474 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1913560), // Rule ID 19646 //
     /* 1913479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913525 */     // MIs[0] policy
     /* 1913525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913535 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1913538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913559 */     // GIR_Coverage, 19646,
     /* 1913559 */     GIR_EraseRootFromParent_Done,
     /* 1913560 */   // Label 25723: @1913560
     /* 1913560 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1913646), // Rule ID 23487 //
     /* 1913565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913611 */     // MIs[0] policy
     /* 1913611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913621 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1913624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913645 */     // GIR_Coverage, 23487,
     /* 1913645 */     GIR_EraseRootFromParent_Done,
     /* 1913646 */   // Label 25724: @1913646
     /* 1913646 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1913732), // Rule ID 23488 //
     /* 1913651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913697 */     // MIs[0] policy
     /* 1913697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913707 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1913710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913731 */     // GIR_Coverage, 23488,
     /* 1913731 */     GIR_EraseRootFromParent_Done,
     /* 1913732 */   // Label 25725: @1913732
     /* 1913732 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1913818), // Rule ID 23491 //
     /* 1913737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913783 */     // MIs[0] policy
     /* 1913783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1913796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913817 */     // GIR_Coverage, 23491,
     /* 1913817 */     GIR_EraseRootFromParent_Done,
     /* 1913818 */   // Label 25726: @1913818
     /* 1913818 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1913904), // Rule ID 23492 //
     /* 1913823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913869 */     // MIs[0] policy
     /* 1913869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913879 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1913882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913903 */     // GIR_Coverage, 23492,
     /* 1913903 */     GIR_EraseRootFromParent_Done,
     /* 1913904 */   // Label 25727: @1913904
     /* 1913904 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1913990), // Rule ID 23495 //
     /* 1913909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1913920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1913923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1913926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913955 */     // MIs[0] policy
     /* 1913955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913965 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1913968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913989 */     // GIR_Coverage, 23495,
     /* 1913989 */     GIR_EraseRootFromParent_Done,
     /* 1913990 */   // Label 25728: @1913990
     /* 1913990 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914076), // Rule ID 23496 //
     /* 1913995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1914006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1914009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1914012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914041 */     // MIs[0] policy
     /* 1914041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914075 */     // GIR_Coverage, 23496,
     /* 1914075 */     GIR_EraseRootFromParent_Done,
     /* 1914076 */   // Label 25729: @1914076
     /* 1914076 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1914162), // Rule ID 23499 //
     /* 1914081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914127 */     // MIs[0] policy
     /* 1914127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914161 */     // GIR_Coverage, 23499,
     /* 1914161 */     GIR_EraseRootFromParent_Done,
     /* 1914162 */   // Label 25730: @1914162
     /* 1914162 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1914248), // Rule ID 23500 //
     /* 1914167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914213 */     // MIs[0] policy
     /* 1914213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1914226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914247 */     // GIR_Coverage, 23500,
     /* 1914247 */     GIR_EraseRootFromParent_Done,
     /* 1914248 */   // Label 25731: @1914248
     /* 1914248 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1914334), // Rule ID 23503 //
     /* 1914253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914299 */     // MIs[0] policy
     /* 1914299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914333 */     // GIR_Coverage, 23503,
     /* 1914333 */     GIR_EraseRootFromParent_Done,
     /* 1914334 */   // Label 25732: @1914334
     /* 1914334 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1914420), // Rule ID 23504 //
     /* 1914339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914385 */     // MIs[0] policy
     /* 1914385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914419 */     // GIR_Coverage, 23504,
     /* 1914419 */     GIR_EraseRootFromParent_Done,
     /* 1914420 */   // Label 25733: @1914420
     /* 1914420 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1914506), // Rule ID 23507 //
     /* 1914425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914471 */     // MIs[0] policy
     /* 1914471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914505 */     // GIR_Coverage, 23507,
     /* 1914505 */     GIR_EraseRootFromParent_Done,
     /* 1914506 */   // Label 25734: @1914506
     /* 1914506 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1914592), // Rule ID 23508 //
     /* 1914511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914557 */     // MIs[0] policy
     /* 1914557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1914570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914591 */     // GIR_Coverage, 23508,
     /* 1914591 */     GIR_EraseRootFromParent_Done,
     /* 1914592 */   // Label 25735: @1914592
     /* 1914592 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1914678), // Rule ID 23511 //
     /* 1914597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914643 */     // MIs[0] policy
     /* 1914643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914677 */     // GIR_Coverage, 23511,
     /* 1914677 */     GIR_EraseRootFromParent_Done,
     /* 1914678 */   // Label 25736: @1914678
     /* 1914678 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1914764), // Rule ID 23512 //
     /* 1914683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914729 */     // MIs[0] policy
     /* 1914729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914739 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914763 */     // GIR_Coverage, 23512,
     /* 1914763 */     GIR_EraseRootFromParent_Done,
     /* 1914764 */   // Label 25737: @1914764
     /* 1914764 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1914850), // Rule ID 23515 //
     /* 1914769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914815 */     // MIs[0] policy
     /* 1914815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914849 */     // GIR_Coverage, 23515,
     /* 1914849 */     GIR_EraseRootFromParent_Done,
     /* 1914850 */   // Label 25738: @1914850
     /* 1914850 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1914936), // Rule ID 23516 //
     /* 1914855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914901 */     // MIs[0] policy
     /* 1914901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914935 */     // GIR_Coverage, 23516,
     /* 1914935 */     GIR_EraseRootFromParent_Done,
     /* 1914936 */   // Label 25739: @1914936
     /* 1914936 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915022), // Rule ID 23519 //
     /* 1914941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1914952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1914955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1914958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914987 */     // MIs[0] policy
     /* 1914987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915021 */     // GIR_Coverage, 23519,
     /* 1915021 */     GIR_EraseRootFromParent_Done,
     /* 1915022 */   // Label 25740: @1915022
     /* 1915022 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915108), // Rule ID 23520 //
     /* 1915027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915073 */     // MIs[0] policy
     /* 1915073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915107 */     // GIR_Coverage, 23520,
     /* 1915107 */     GIR_EraseRootFromParent_Done,
     /* 1915108 */   // Label 25741: @1915108
     /* 1915108 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1915194), // Rule ID 23523 //
     /* 1915113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915159 */     // MIs[0] policy
     /* 1915159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915193 */     // GIR_Coverage, 23523,
     /* 1915193 */     GIR_EraseRootFromParent_Done,
     /* 1915194 */   // Label 25742: @1915194
     /* 1915194 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1915280), // Rule ID 23524 //
     /* 1915199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915245 */     // MIs[0] policy
     /* 1915245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1915258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915279 */     // GIR_Coverage, 23524,
     /* 1915279 */     GIR_EraseRootFromParent_Done,
     /* 1915280 */   // Label 25743: @1915280
     /* 1915280 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1915366), // Rule ID 23527 //
     /* 1915285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915331 */     // MIs[0] policy
     /* 1915331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915341 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915365 */     // GIR_Coverage, 23527,
     /* 1915365 */     GIR_EraseRootFromParent_Done,
     /* 1915366 */   // Label 25744: @1915366
     /* 1915366 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1915452), // Rule ID 23528 //
     /* 1915371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915417 */     // MIs[0] policy
     /* 1915417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915451 */     // GIR_Coverage, 23528,
     /* 1915451 */     GIR_EraseRootFromParent_Done,
     /* 1915452 */   // Label 25745: @1915452
     /* 1915452 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1915538), // Rule ID 23531 //
     /* 1915457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915503 */     // MIs[0] policy
     /* 1915503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915537 */     // GIR_Coverage, 23531,
     /* 1915537 */     GIR_EraseRootFromParent_Done,
     /* 1915538 */   // Label 25746: @1915538
     /* 1915538 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1915624), // Rule ID 23532 //
     /* 1915543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915589 */     // MIs[0] policy
     /* 1915589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915599 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915623 */     // GIR_Coverage, 23532,
     /* 1915623 */     GIR_EraseRootFromParent_Done,
     /* 1915624 */   // Label 25747: @1915624
     /* 1915624 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1915710), // Rule ID 23535 //
     /* 1915629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915675 */     // MIs[0] policy
     /* 1915675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915685 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915709 */     // GIR_Coverage, 23535,
     /* 1915709 */     GIR_EraseRootFromParent_Done,
     /* 1915710 */   // Label 25748: @1915710
     /* 1915710 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1915796), // Rule ID 23536 //
     /* 1915715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915761 */     // MIs[0] policy
     /* 1915761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915795 */     // GIR_Coverage, 23536,
     /* 1915795 */     GIR_EraseRootFromParent_Done,
     /* 1915796 */   // Label 25749: @1915796
     /* 1915796 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1915882), // Rule ID 23539 //
     /* 1915801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915847 */     // MIs[0] policy
     /* 1915847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915881 */     // GIR_Coverage, 23539,
     /* 1915881 */     GIR_EraseRootFromParent_Done,
     /* 1915882 */   // Label 25750: @1915882
     /* 1915882 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1915968), // Rule ID 23540 //
     /* 1915887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915933 */     // MIs[0] policy
     /* 1915933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915967 */     // GIR_Coverage, 23540,
     /* 1915967 */     GIR_EraseRootFromParent_Done,
     /* 1915968 */   // Label 25751: @1915968
     /* 1915968 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916054), // Rule ID 23543 //
     /* 1915973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1915984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1915987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1915990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916019 */     // MIs[0] policy
     /* 1916019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916029 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916053 */     // GIR_Coverage, 23543,
     /* 1916053 */     GIR_EraseRootFromParent_Done,
     /* 1916054 */   // Label 25752: @1916054
     /* 1916054 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1916140), // Rule ID 23544 //
     /* 1916059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916105 */     // MIs[0] policy
     /* 1916105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916115 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916139 */     // GIR_Coverage, 23544,
     /* 1916139 */     GIR_EraseRootFromParent_Done,
     /* 1916140 */   // Label 25753: @1916140
     /* 1916140 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1916226), // Rule ID 23547 //
     /* 1916145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916191 */     // MIs[0] policy
     /* 1916191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916225 */     // GIR_Coverage, 23547,
     /* 1916225 */     GIR_EraseRootFromParent_Done,
     /* 1916226 */   // Label 25754: @1916226
     /* 1916226 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1916312), // Rule ID 23548 //
     /* 1916231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916277 */     // MIs[0] policy
     /* 1916277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916287 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916311 */     // GIR_Coverage, 23548,
     /* 1916311 */     GIR_EraseRootFromParent_Done,
     /* 1916312 */   // Label 25755: @1916312
     /* 1916312 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1916398), // Rule ID 23551 //
     /* 1916317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916363 */     // MIs[0] policy
     /* 1916363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916397 */     // GIR_Coverage, 23551,
     /* 1916397 */     GIR_EraseRootFromParent_Done,
     /* 1916398 */   // Label 25756: @1916398
     /* 1916398 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1916484), // Rule ID 23552 //
     /* 1916403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916449 */     // MIs[0] policy
     /* 1916449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916483 */     // GIR_Coverage, 23552,
     /* 1916483 */     GIR_EraseRootFromParent_Done,
     /* 1916484 */   // Label 25757: @1916484
     /* 1916484 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1916570), // Rule ID 23555 //
     /* 1916489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916535 */     // MIs[0] policy
     /* 1916535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916569 */     // GIR_Coverage, 23555,
     /* 1916569 */     GIR_EraseRootFromParent_Done,
     /* 1916570 */   // Label 25758: @1916570
     /* 1916570 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1916656), // Rule ID 23556 //
     /* 1916575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916621 */     // MIs[0] policy
     /* 1916621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1916634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916655 */     // GIR_Coverage, 23556,
     /* 1916655 */     GIR_EraseRootFromParent_Done,
     /* 1916656 */   // Label 25759: @1916656
     /* 1916656 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1916742), // Rule ID 23559 //
     /* 1916661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916707 */     // MIs[0] policy
     /* 1916707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916741 */     // GIR_Coverage, 23559,
     /* 1916741 */     GIR_EraseRootFromParent_Done,
     /* 1916742 */   // Label 25760: @1916742
     /* 1916742 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1916828), // Rule ID 23560 //
     /* 1916747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916793 */     // MIs[0] policy
     /* 1916793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916827 */     // GIR_Coverage, 23560,
     /* 1916827 */     GIR_EraseRootFromParent_Done,
     /* 1916828 */   // Label 25761: @1916828
     /* 1916828 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1916914), // Rule ID 23563 //
     /* 1916833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1916836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916879 */     // MIs[0] policy
     /* 1916879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916889 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916913 */     // GIR_Coverage, 23563,
     /* 1916913 */     GIR_EraseRootFromParent_Done,
     /* 1916914 */   // Label 25762: @1916914
     /* 1916914 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917000), // Rule ID 23564 //
     /* 1916919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1916922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916965 */     // MIs[0] policy
     /* 1916965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1916978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916999 */     // GIR_Coverage, 23564,
     /* 1916999 */     GIR_EraseRootFromParent_Done,
     /* 1917000 */   // Label 25763: @1917000
     /* 1917000 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917086), // Rule ID 23567 //
     /* 1917005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917051 */     // MIs[0] policy
     /* 1917051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917061 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917085 */     // GIR_Coverage, 23567,
     /* 1917085 */     GIR_EraseRootFromParent_Done,
     /* 1917086 */   // Label 25764: @1917086
     /* 1917086 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1917172), // Rule ID 23568 //
     /* 1917091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917137 */     // MIs[0] policy
     /* 1917137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1917150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917171 */     // GIR_Coverage, 23568,
     /* 1917171 */     GIR_EraseRootFromParent_Done,
     /* 1917172 */   // Label 25765: @1917172
     /* 1917172 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1917258), // Rule ID 23571 //
     /* 1917177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917223 */     // MIs[0] policy
     /* 1917223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917257 */     // GIR_Coverage, 23571,
     /* 1917257 */     GIR_EraseRootFromParent_Done,
     /* 1917258 */   // Label 25766: @1917258
     /* 1917258 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1917344), // Rule ID 23572 //
     /* 1917263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1917271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917309 */     // MIs[0] policy
     /* 1917309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1917322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917343 */     // GIR_Coverage, 23572,
     /* 1917343 */     GIR_EraseRootFromParent_Done,
     /* 1917344 */   // Label 25767: @1917344
     /* 1917344 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1917430), // Rule ID 23663 //
     /* 1917349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917395 */     // MIs[0] policy
     /* 1917395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917405 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917429 */     // GIR_Coverage, 23663,
     /* 1917429 */     GIR_EraseRootFromParent_Done,
     /* 1917430 */   // Label 25768: @1917430
     /* 1917430 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1917516), // Rule ID 23664 //
     /* 1917435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917481 */     // MIs[0] policy
     /* 1917481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917491 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1917494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917515 */     // GIR_Coverage, 23664,
     /* 1917515 */     GIR_EraseRootFromParent_Done,
     /* 1917516 */   // Label 25769: @1917516
     /* 1917516 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1917602), // Rule ID 23667 //
     /* 1917521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917567 */     // MIs[0] policy
     /* 1917567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917577 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917601 */     // GIR_Coverage, 23667,
     /* 1917601 */     GIR_EraseRootFromParent_Done,
     /* 1917602 */   // Label 25770: @1917602
     /* 1917602 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1917688), // Rule ID 23668 //
     /* 1917607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1917618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1917621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1917624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917653 */     // MIs[0] policy
     /* 1917653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917663 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917687 */     // GIR_Coverage, 23668,
     /* 1917687 */     GIR_EraseRootFromParent_Done,
     /* 1917688 */   // Label 25771: @1917688
     /* 1917688 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1917774), // Rule ID 23671 //
     /* 1917693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1917704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1917707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1917710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917739 */     // MIs[0] policy
     /* 1917739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917773 */     // GIR_Coverage, 23671,
     /* 1917773 */     GIR_EraseRootFromParent_Done,
     /* 1917774 */   // Label 25772: @1917774
     /* 1917774 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1917860), // Rule ID 23672 //
     /* 1917779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1917790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1917793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1917796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917825 */     // MIs[0] policy
     /* 1917825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917835 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917859 */     // GIR_Coverage, 23672,
     /* 1917859 */     GIR_EraseRootFromParent_Done,
     /* 1917860 */   // Label 25773: @1917860
     /* 1917860 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1917946), // Rule ID 23675 //
     /* 1917865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917911 */     // MIs[0] policy
     /* 1917911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1917924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917945 */     // GIR_Coverage, 23675,
     /* 1917945 */     GIR_EraseRootFromParent_Done,
     /* 1917946 */   // Label 25774: @1917946
     /* 1917946 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918032), // Rule ID 23676 //
     /* 1917951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917997 */     // MIs[0] policy
     /* 1917997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918007 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1918010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918031 */     // GIR_Coverage, 23676,
     /* 1918031 */     GIR_EraseRootFromParent_Done,
     /* 1918032 */   // Label 25775: @1918032
     /* 1918032 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918118), // Rule ID 23679 //
     /* 1918037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918083 */     // MIs[0] policy
     /* 1918083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918117 */     // GIR_Coverage, 23679,
     /* 1918117 */     GIR_EraseRootFromParent_Done,
     /* 1918118 */   // Label 25776: @1918118
     /* 1918118 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1918204), // Rule ID 23680 //
     /* 1918123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918169 */     // MIs[0] policy
     /* 1918169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918179 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918203 */     // GIR_Coverage, 23680,
     /* 1918203 */     GIR_EraseRootFromParent_Done,
     /* 1918204 */   // Label 25777: @1918204
     /* 1918204 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1918290), // Rule ID 23683 //
     /* 1918209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918255 */     // MIs[0] policy
     /* 1918255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918289 */     // GIR_Coverage, 23683,
     /* 1918289 */     GIR_EraseRootFromParent_Done,
     /* 1918290 */   // Label 25778: @1918290
     /* 1918290 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1918376), // Rule ID 23684 //
     /* 1918295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1918306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1918309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1918312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918341 */     // MIs[0] policy
     /* 1918341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918351 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1918354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918375 */     // GIR_Coverage, 23684,
     /* 1918375 */     GIR_EraseRootFromParent_Done,
     /* 1918376 */   // Label 25779: @1918376
     /* 1918376 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1918462), // Rule ID 23687 //
     /* 1918381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918427 */     // MIs[0] policy
     /* 1918427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918437 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918461 */     // GIR_Coverage, 23687,
     /* 1918461 */     GIR_EraseRootFromParent_Done,
     /* 1918462 */   // Label 25780: @1918462
     /* 1918462 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1918548), // Rule ID 23688 //
     /* 1918467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1918484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918513 */     // MIs[0] policy
     /* 1918513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918523 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918547 */     // GIR_Coverage, 23688,
     /* 1918547 */     GIR_EraseRootFromParent_Done,
     /* 1918548 */   // Label 25781: @1918548
     /* 1918548 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1918634), // Rule ID 23691 //
     /* 1918553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918599 */     // MIs[0] policy
     /* 1918599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918633 */     // GIR_Coverage, 23691,
     /* 1918633 */     GIR_EraseRootFromParent_Done,
     /* 1918634 */   // Label 25782: @1918634
     /* 1918634 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1918720), // Rule ID 23692 //
     /* 1918639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1918650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1918653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918685 */     // MIs[0] policy
     /* 1918685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918719 */     // GIR_Coverage, 23692,
     /* 1918719 */     GIR_EraseRootFromParent_Done,
     /* 1918720 */   // Label 25783: @1918720
     /* 1918720 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1918806), // Rule ID 23695 //
     /* 1918725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918771 */     // MIs[0] policy
     /* 1918771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918805 */     // GIR_Coverage, 23695,
     /* 1918805 */     GIR_EraseRootFromParent_Done,
     /* 1918806 */   // Label 25784: @1918806
     /* 1918806 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1918892), // Rule ID 23696 //
     /* 1918811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1918822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1918825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1918828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918857 */     // MIs[0] policy
     /* 1918857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918891 */     // GIR_Coverage, 23696,
     /* 1918891 */     GIR_EraseRootFromParent_Done,
     /* 1918892 */   // Label 25785: @1918892
     /* 1918892 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1918978), // Rule ID 23699 //
     /* 1918897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1918900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918943 */     // MIs[0] policy
     /* 1918943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1918956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918977 */     // GIR_Coverage, 23699,
     /* 1918977 */     GIR_EraseRootFromParent_Done,
     /* 1918978 */   // Label 25786: @1918978
     /* 1918978 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919064), // Rule ID 23700 //
     /* 1918983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1918986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919029 */     // MIs[0] policy
     /* 1919029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1919042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919063 */     // GIR_Coverage, 23700,
     /* 1919063 */     GIR_EraseRootFromParent_Done,
     /* 1919064 */   // Label 25787: @1919064
     /* 1919064 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1919150), // Rule ID 23703 //
     /* 1919069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919115 */     // MIs[0] policy
     /* 1919115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919149 */     // GIR_Coverage, 23703,
     /* 1919149 */     GIR_EraseRootFromParent_Done,
     /* 1919150 */   // Label 25788: @1919150
     /* 1919150 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1919236), // Rule ID 23704 //
     /* 1919155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919201 */     // MIs[0] policy
     /* 1919201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919235 */     // GIR_Coverage, 23704,
     /* 1919235 */     GIR_EraseRootFromParent_Done,
     /* 1919236 */   // Label 25789: @1919236
     /* 1919236 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1919322), // Rule ID 23707 //
     /* 1919241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919287 */     // MIs[0] policy
     /* 1919287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919321 */     // GIR_Coverage, 23707,
     /* 1919321 */     GIR_EraseRootFromParent_Done,
     /* 1919322 */   // Label 25790: @1919322
     /* 1919322 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1919408), // Rule ID 23708 //
     /* 1919327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1919344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919373 */     // MIs[0] policy
     /* 1919373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919383 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919407 */     // GIR_Coverage, 23708,
     /* 1919407 */     GIR_EraseRootFromParent_Done,
     /* 1919408 */   // Label 25791: @1919408
     /* 1919408 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1919494), // Rule ID 23711 //
     /* 1919413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919459 */     // MIs[0] policy
     /* 1919459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919469 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919493 */     // GIR_Coverage, 23711,
     /* 1919493 */     GIR_EraseRootFromParent_Done,
     /* 1919494 */   // Label 25792: @1919494
     /* 1919494 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1919580), // Rule ID 23712 //
     /* 1919499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1919510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1919513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1919516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1919522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919545 */     // MIs[0] policy
     /* 1919545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919555 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919579 */     // GIR_Coverage, 23712,
     /* 1919579 */     GIR_EraseRootFromParent_Done,
     /* 1919580 */   // Label 25793: @1919580
     /* 1919580 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1919666), // Rule ID 23715 //
     /* 1919585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919631 */     // MIs[0] policy
     /* 1919631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919641 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919665 */     // GIR_Coverage, 23715,
     /* 1919665 */     GIR_EraseRootFromParent_Done,
     /* 1919666 */   // Label 25794: @1919666
     /* 1919666 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1919752), // Rule ID 23716 //
     /* 1919671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1919682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1919685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919717 */     // MIs[0] policy
     /* 1919717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919751 */     // GIR_Coverage, 23716,
     /* 1919751 */     GIR_EraseRootFromParent_Done,
     /* 1919752 */   // Label 25795: @1919752
     /* 1919752 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1919838), // Rule ID 23719 //
     /* 1919757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919803 */     // MIs[0] policy
     /* 1919803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919813 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919837 */     // GIR_Coverage, 23719,
     /* 1919837 */     GIR_EraseRootFromParent_Done,
     /* 1919838 */   // Label 25796: @1919838
     /* 1919838 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1919924), // Rule ID 23720 //
     /* 1919843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1919854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1919857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919889 */     // MIs[0] policy
     /* 1919889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919899 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919923 */     // GIR_Coverage, 23720,
     /* 1919923 */     GIR_EraseRootFromParent_Done,
     /* 1919924 */   // Label 25797: @1919924
     /* 1919924 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920010), // Rule ID 23723 //
     /* 1919929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1919940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1919943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919975 */     // MIs[0] policy
     /* 1919975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919985 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920009 */     // GIR_Coverage, 23723,
     /* 1920009 */     GIR_EraseRootFromParent_Done,
     /* 1920010 */   // Label 25798: @1920010
     /* 1920010 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920096), // Rule ID 23724 //
     /* 1920015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920061 */     // MIs[0] policy
     /* 1920061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920095 */     // GIR_Coverage, 23724,
     /* 1920095 */     GIR_EraseRootFromParent_Done,
     /* 1920096 */   // Label 25799: @1920096
     /* 1920096 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1920182), // Rule ID 23727 //
     /* 1920101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920147 */     // MIs[0] policy
     /* 1920147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920181 */     // GIR_Coverage, 23727,
     /* 1920181 */     GIR_EraseRootFromParent_Done,
     /* 1920182 */   // Label 25800: @1920182
     /* 1920182 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1920268), // Rule ID 23728 //
     /* 1920187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920233 */     // MIs[0] policy
     /* 1920233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920267 */     // GIR_Coverage, 23728,
     /* 1920267 */     GIR_EraseRootFromParent_Done,
     /* 1920268 */   // Label 25801: @1920268
     /* 1920268 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1920354), // Rule ID 23731 //
     /* 1920273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920319 */     // MIs[0] policy
     /* 1920319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920353 */     // GIR_Coverage, 23731,
     /* 1920353 */     GIR_EraseRootFromParent_Done,
     /* 1920354 */   // Label 25802: @1920354
     /* 1920354 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1920440), // Rule ID 23732 //
     /* 1920359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1920370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1920373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920405 */     // MIs[0] policy
     /* 1920405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920439 */     // GIR_Coverage, 23732,
     /* 1920439 */     GIR_EraseRootFromParent_Done,
     /* 1920440 */   // Label 25803: @1920440
     /* 1920440 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1920526), // Rule ID 23735 //
     /* 1920445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920491 */     // MIs[0] policy
     /* 1920491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920525 */     // GIR_Coverage, 23735,
     /* 1920525 */     GIR_EraseRootFromParent_Done,
     /* 1920526 */   // Label 25804: @1920526
     /* 1920526 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1920612), // Rule ID 23736 //
     /* 1920531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1920542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1920545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920577 */     // MIs[0] policy
     /* 1920577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1920590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920611 */     // GIR_Coverage, 23736,
     /* 1920611 */     GIR_EraseRootFromParent_Done,
     /* 1920612 */   // Label 25805: @1920612
     /* 1920612 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1920698), // Rule ID 23739 //
     /* 1920617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920663 */     // MIs[0] policy
     /* 1920663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920697 */     // GIR_Coverage, 23739,
     /* 1920697 */     GIR_EraseRootFromParent_Done,
     /* 1920698 */   // Label 25806: @1920698
     /* 1920698 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1920784), // Rule ID 23740 //
     /* 1920703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1920706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1920714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1920717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920749 */     // MIs[0] policy
     /* 1920749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920759 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1920762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920783 */     // GIR_Coverage, 23740,
     /* 1920783 */     GIR_EraseRootFromParent_Done,
     /* 1920784 */   // Label 25807: @1920784
     /* 1920784 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1920870), // Rule ID 23743 //
     /* 1920789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920835 */     // MIs[0] policy
     /* 1920835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920869 */     // GIR_Coverage, 23743,
     /* 1920869 */     GIR_EraseRootFromParent_Done,
     /* 1920870 */   // Label 25808: @1920870
     /* 1920870 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1920956), // Rule ID 23744 //
     /* 1920875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1920878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1920886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1920889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1920892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920921 */     // MIs[0] policy
     /* 1920921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920931 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1920934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920955 */     // GIR_Coverage, 23744,
     /* 1920955 */     GIR_EraseRootFromParent_Done,
     /* 1920956 */   // Label 25809: @1920956
     /* 1920956 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921042), // Rule ID 23747 //
     /* 1920961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1920969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1920972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1920975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1920978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921007 */     // MIs[0] policy
     /* 1921007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921041 */     // GIR_Coverage, 23747,
     /* 1921041 */     GIR_EraseRootFromParent_Done,
     /* 1921042 */   // Label 25810: @1921042
     /* 1921042 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1921128), // Rule ID 23748 //
     /* 1921047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921093 */     // MIs[0] policy
     /* 1921093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1921106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921127 */     // GIR_Coverage, 23748,
     /* 1921127 */     GIR_EraseRootFromParent_Done,
     /* 1921128 */   // Label 25811: @1921128
     /* 1921128 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1921214), // Rule ID 23839 //
     /* 1921133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921179 */     // MIs[0] policy
     /* 1921179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921189 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921213 */     // GIR_Coverage, 23839,
     /* 1921213 */     GIR_EraseRootFromParent_Done,
     /* 1921214 */   // Label 25812: @1921214
     /* 1921214 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1921300), // Rule ID 23840 //
     /* 1921219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921265 */     // MIs[0] policy
     /* 1921265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1921278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921299 */     // GIR_Coverage, 23840,
     /* 1921299 */     GIR_EraseRootFromParent_Done,
     /* 1921300 */   // Label 25813: @1921300
     /* 1921300 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1921386), // Rule ID 23843 //
     /* 1921305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921351 */     // MIs[0] policy
     /* 1921351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921385 */     // GIR_Coverage, 23843,
     /* 1921385 */     GIR_EraseRootFromParent_Done,
     /* 1921386 */   // Label 25814: @1921386
     /* 1921386 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1921472), // Rule ID 23844 //
     /* 1921391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1921402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1921405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1921408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921437 */     // MIs[0] policy
     /* 1921437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921471 */     // GIR_Coverage, 23844,
     /* 1921471 */     GIR_EraseRootFromParent_Done,
     /* 1921472 */   // Label 25815: @1921472
     /* 1921472 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1921558), // Rule ID 23847 //
     /* 1921477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921523 */     // MIs[0] policy
     /* 1921523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921533 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921557 */     // GIR_Coverage, 23847,
     /* 1921557 */     GIR_EraseRootFromParent_Done,
     /* 1921558 */   // Label 25816: @1921558
     /* 1921558 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1921644), // Rule ID 23848 //
     /* 1921563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1921574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1921577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1921580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921609 */     // MIs[0] policy
     /* 1921609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921619 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921643 */     // GIR_Coverage, 23848,
     /* 1921643 */     GIR_EraseRootFromParent_Done,
     /* 1921644 */   // Label 25817: @1921644
     /* 1921644 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1921730), // Rule ID 23851 //
     /* 1921649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921695 */     // MIs[0] policy
     /* 1921695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921729 */     // GIR_Coverage, 23851,
     /* 1921729 */     GIR_EraseRootFromParent_Done,
     /* 1921730 */   // Label 25818: @1921730
     /* 1921730 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1921816), // Rule ID 23852 //
     /* 1921735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1921746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1921749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1921752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921781 */     // MIs[0] policy
     /* 1921781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921791 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1921794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921815 */     // GIR_Coverage, 23852,
     /* 1921815 */     GIR_EraseRootFromParent_Done,
     /* 1921816 */   // Label 25819: @1921816
     /* 1921816 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1921902), // Rule ID 23855 //
     /* 1921821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921867 */     // MIs[0] policy
     /* 1921867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921901 */     // GIR_Coverage, 23855,
     /* 1921901 */     GIR_EraseRootFromParent_Done,
     /* 1921902 */   // Label 25820: @1921902
     /* 1921902 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1921988), // Rule ID 23856 //
     /* 1921907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1921918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1921921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1921924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921953 */     // MIs[0] policy
     /* 1921953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1921966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921987 */     // GIR_Coverage, 23856,
     /* 1921987 */     GIR_EraseRootFromParent_Done,
     /* 1921988 */   // Label 25821: @1921988
     /* 1921988 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922074), // Rule ID 23859 //
     /* 1921993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922039 */     // MIs[0] policy
     /* 1922039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922073 */     // GIR_Coverage, 23859,
     /* 1922073 */     GIR_EraseRootFromParent_Done,
     /* 1922074 */   // Label 25822: @1922074
     /* 1922074 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1922160), // Rule ID 23860 //
     /* 1922079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922125 */     // MIs[0] policy
     /* 1922125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922135 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1922138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922159 */     // GIR_Coverage, 23860,
     /* 1922159 */     GIR_EraseRootFromParent_Done,
     /* 1922160 */   // Label 25823: @1922160
     /* 1922160 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1922246), // Rule ID 23863 //
     /* 1922165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922211 */     // MIs[0] policy
     /* 1922211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922221 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922245 */     // GIR_Coverage, 23863,
     /* 1922245 */     GIR_EraseRootFromParent_Done,
     /* 1922246 */   // Label 25824: @1922246
     /* 1922246 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1922332), // Rule ID 23864 //
     /* 1922251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922297 */     // MIs[0] policy
     /* 1922297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922331 */     // GIR_Coverage, 23864,
     /* 1922331 */     GIR_EraseRootFromParent_Done,
     /* 1922332 */   // Label 25825: @1922332
     /* 1922332 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1922418), // Rule ID 23867 //
     /* 1922337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922383 */     // MIs[0] policy
     /* 1922383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922393 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922417 */     // GIR_Coverage, 23867,
     /* 1922417 */     GIR_EraseRootFromParent_Done,
     /* 1922418 */   // Label 25826: @1922418
     /* 1922418 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1922504), // Rule ID 23868 //
     /* 1922423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922469 */     // MIs[0] policy
     /* 1922469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922503 */     // GIR_Coverage, 23868,
     /* 1922503 */     GIR_EraseRootFromParent_Done,
     /* 1922504 */   // Label 25827: @1922504
     /* 1922504 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1922590), // Rule ID 23871 //
     /* 1922509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922555 */     // MIs[0] policy
     /* 1922555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922589 */     // GIR_Coverage, 23871,
     /* 1922589 */     GIR_EraseRootFromParent_Done,
     /* 1922590 */   // Label 25828: @1922590
     /* 1922590 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1922676), // Rule ID 23872 //
     /* 1922595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1922606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1922609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1922612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922641 */     // MIs[0] policy
     /* 1922641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922675 */     // GIR_Coverage, 23872,
     /* 1922675 */     GIR_EraseRootFromParent_Done,
     /* 1922676 */   // Label 25829: @1922676
     /* 1922676 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1922762), // Rule ID 23875 //
     /* 1922681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922727 */     // MIs[0] policy
     /* 1922727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922761 */     // GIR_Coverage, 23875,
     /* 1922761 */     GIR_EraseRootFromParent_Done,
     /* 1922762 */   // Label 25830: @1922762
     /* 1922762 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1922848), // Rule ID 23876 //
     /* 1922767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1922784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922813 */     // MIs[0] policy
     /* 1922813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1922826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922847 */     // GIR_Coverage, 23876,
     /* 1922847 */     GIR_EraseRootFromParent_Done,
     /* 1922848 */   // Label 25831: @1922848
     /* 1922848 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1922934), // Rule ID 23879 //
     /* 1922853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922899 */     // MIs[0] policy
     /* 1922899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922909 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922933 */     // GIR_Coverage, 23879,
     /* 1922933 */     GIR_EraseRootFromParent_Done,
     /* 1922934 */   // Label 25832: @1922934
     /* 1922934 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923020), // Rule ID 23880 //
     /* 1922939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1922950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1922953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1922956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922985 */     // MIs[0] policy
     /* 1922985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922995 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923019 */     // GIR_Coverage, 23880,
     /* 1923019 */     GIR_EraseRootFromParent_Done,
     /* 1923020 */   // Label 25833: @1923020
     /* 1923020 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923106), // Rule ID 23883 //
     /* 1923025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923071 */     // MIs[0] policy
     /* 1923071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923081 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923105 */     // GIR_Coverage, 23883,
     /* 1923105 */     GIR_EraseRootFromParent_Done,
     /* 1923106 */   // Label 25834: @1923106
     /* 1923106 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1923192), // Rule ID 23884 //
     /* 1923111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923157 */     // MIs[0] policy
     /* 1923157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923167 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923191 */     // GIR_Coverage, 23884,
     /* 1923191 */     GIR_EraseRootFromParent_Done,
     /* 1923192 */   // Label 25835: @1923192
     /* 1923192 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1923278), // Rule ID 23887 //
     /* 1923197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923243 */     // MIs[0] policy
     /* 1923243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923253 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923277 */     // GIR_Coverage, 23887,
     /* 1923277 */     GIR_EraseRootFromParent_Done,
     /* 1923278 */   // Label 25836: @1923278
     /* 1923278 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1923364), // Rule ID 23888 //
     /* 1923283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1923294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1923297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1923300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1923306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923329 */     // MIs[0] policy
     /* 1923329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923339 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923363 */     // GIR_Coverage, 23888,
     /* 1923363 */     GIR_EraseRootFromParent_Done,
     /* 1923364 */   // Label 25837: @1923364
     /* 1923364 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1923450), // Rule ID 23891 //
     /* 1923369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923415 */     // MIs[0] policy
     /* 1923415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923449 */     // GIR_Coverage, 23891,
     /* 1923449 */     GIR_EraseRootFromParent_Done,
     /* 1923450 */   // Label 25838: @1923450
     /* 1923450 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1923536), // Rule ID 23892 //
     /* 1923455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923501 */     // MIs[0] policy
     /* 1923501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923535 */     // GIR_Coverage, 23892,
     /* 1923535 */     GIR_EraseRootFromParent_Done,
     /* 1923536 */   // Label 25839: @1923536
     /* 1923536 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1923622), // Rule ID 23895 //
     /* 1923541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923587 */     // MIs[0] policy
     /* 1923587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923621 */     // GIR_Coverage, 23895,
     /* 1923621 */     GIR_EraseRootFromParent_Done,
     /* 1923622 */   // Label 25840: @1923622
     /* 1923622 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1923708), // Rule ID 23896 //
     /* 1923627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923673 */     // MIs[0] policy
     /* 1923673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923707 */     // GIR_Coverage, 23896,
     /* 1923707 */     GIR_EraseRootFromParent_Done,
     /* 1923708 */   // Label 25841: @1923708
     /* 1923708 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1923794), // Rule ID 23899 //
     /* 1923713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923759 */     // MIs[0] policy
     /* 1923759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923769 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923793 */     // GIR_Coverage, 23899,
     /* 1923793 */     GIR_EraseRootFromParent_Done,
     /* 1923794 */   // Label 25842: @1923794
     /* 1923794 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1923880), // Rule ID 23900 //
     /* 1923799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923845 */     // MIs[0] policy
     /* 1923845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923879 */     // GIR_Coverage, 23900,
     /* 1923879 */     GIR_EraseRootFromParent_Done,
     /* 1923880 */   // Label 25843: @1923880
     /* 1923880 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1923966), // Rule ID 23903 //
     /* 1923885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923931 */     // MIs[0] policy
     /* 1923931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923965 */     // GIR_Coverage, 23903,
     /* 1923965 */     GIR_EraseRootFromParent_Done,
     /* 1923966 */   // Label 25844: @1923966
     /* 1923966 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924052), // Rule ID 23904 //
     /* 1923971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924017 */     // MIs[0] policy
     /* 1924017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924051 */     // GIR_Coverage, 23904,
     /* 1924051 */     GIR_EraseRootFromParent_Done,
     /* 1924052 */   // Label 25845: @1924052
     /* 1924052 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1924138), // Rule ID 23907 //
     /* 1924057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924103 */     // MIs[0] policy
     /* 1924103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924137 */     // GIR_Coverage, 23907,
     /* 1924137 */     GIR_EraseRootFromParent_Done,
     /* 1924138 */   // Label 25846: @1924138
     /* 1924138 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1924224), // Rule ID 23908 //
     /* 1924143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924189 */     // MIs[0] policy
     /* 1924189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924223 */     // GIR_Coverage, 23908,
     /* 1924223 */     GIR_EraseRootFromParent_Done,
     /* 1924224 */   // Label 25847: @1924224
     /* 1924224 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1924310), // Rule ID 23911 //
     /* 1924229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924275 */     // MIs[0] policy
     /* 1924275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924309 */     // GIR_Coverage, 23911,
     /* 1924309 */     GIR_EraseRootFromParent_Done,
     /* 1924310 */   // Label 25848: @1924310
     /* 1924310 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1924396), // Rule ID 23912 //
     /* 1924315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924361 */     // MIs[0] policy
     /* 1924361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924395 */     // GIR_Coverage, 23912,
     /* 1924395 */     GIR_EraseRootFromParent_Done,
     /* 1924396 */   // Label 25849: @1924396
     /* 1924396 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1924482), // Rule ID 23915 //
     /* 1924401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924447 */     // MIs[0] policy
     /* 1924447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924457 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924481 */     // GIR_Coverage, 23915,
     /* 1924481 */     GIR_EraseRootFromParent_Done,
     /* 1924482 */   // Label 25850: @1924482
     /* 1924482 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1924568), // Rule ID 23916 //
     /* 1924487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924533 */     // MIs[0] policy
     /* 1924533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1924546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924567 */     // GIR_Coverage, 23916,
     /* 1924567 */     GIR_EraseRootFromParent_Done,
     /* 1924568 */   // Label 25851: @1924568
     /* 1924568 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1924654), // Rule ID 23919 //
     /* 1924573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924619 */     // MIs[0] policy
     /* 1924619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924629 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924653 */     // GIR_Coverage, 23919,
     /* 1924653 */     GIR_EraseRootFromParent_Done,
     /* 1924654 */   // Label 25852: @1924654
     /* 1924654 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1924740), // Rule ID 23920 //
     /* 1924659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924705 */     // MIs[0] policy
     /* 1924705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1924718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924739 */     // GIR_Coverage, 23920,
     /* 1924739 */     GIR_EraseRootFromParent_Done,
     /* 1924740 */   // Label 25853: @1924740
     /* 1924740 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1924826), // Rule ID 23923 //
     /* 1924745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924791 */     // MIs[0] policy
     /* 1924791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924825 */     // GIR_Coverage, 23923,
     /* 1924825 */     GIR_EraseRootFromParent_Done,
     /* 1924826 */   // Label 25854: @1924826
     /* 1924826 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1924912), // Rule ID 23924 //
     /* 1924831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1924839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924877 */     // MIs[0] policy
     /* 1924877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1924890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924911 */     // GIR_Coverage, 23924,
     /* 1924911 */     GIR_EraseRootFromParent_Done,
     /* 1924912 */   // Label 25855: @1924912
     /* 1924912 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1924998), // Rule ID 23927 //
     /* 1924917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924963 */     // MIs[0] policy
     /* 1924963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924973 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1924976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924997 */     // GIR_Coverage, 23927,
     /* 1924997 */     GIR_EraseRootFromParent_Done,
     /* 1924998 */   // Label 25856: @1924998
     /* 1924998 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925084), // Rule ID 23928 //
     /* 1925003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925049 */     // MIs[0] policy
     /* 1925049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1925062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925083 */     // GIR_Coverage, 23928,
     /* 1925083 */     GIR_EraseRootFromParent_Done,
     /* 1925084 */   // Label 25857: @1925084
     /* 1925084 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1925170), // Rule ID 23931 //
     /* 1925089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925135 */     // MIs[0] policy
     /* 1925135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925169 */     // GIR_Coverage, 23931,
     /* 1925169 */     GIR_EraseRootFromParent_Done,
     /* 1925170 */   // Label 25858: @1925170
     /* 1925170 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1925256), // Rule ID 23932 //
     /* 1925175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925221 */     // MIs[0] policy
     /* 1925221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925231 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925255 */     // GIR_Coverage, 23932,
     /* 1925255 */     GIR_EraseRootFromParent_Done,
     /* 1925256 */   // Label 25859: @1925256
     /* 1925256 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1925342), // Rule ID 23935 //
     /* 1925261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925307 */     // MIs[0] policy
     /* 1925307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925317 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925341 */     // GIR_Coverage, 23935,
     /* 1925341 */     GIR_EraseRootFromParent_Done,
     /* 1925342 */   // Label 25860: @1925342
     /* 1925342 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1925428), // Rule ID 23936 //
     /* 1925347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925393 */     // MIs[0] policy
     /* 1925393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925427 */     // GIR_Coverage, 23936,
     /* 1925427 */     GIR_EraseRootFromParent_Done,
     /* 1925428 */   // Label 25861: @1925428
     /* 1925428 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1925514), // Rule ID 23939 //
     /* 1925433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925479 */     // MIs[0] policy
     /* 1925479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925513 */     // GIR_Coverage, 23939,
     /* 1925513 */     GIR_EraseRootFromParent_Done,
     /* 1925514 */   // Label 25862: @1925514
     /* 1925514 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1925600), // Rule ID 23940 //
     /* 1925519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925565 */     // MIs[0] policy
     /* 1925565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1925578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925599 */     // GIR_Coverage, 23940,
     /* 1925599 */     GIR_EraseRootFromParent_Done,
     /* 1925600 */   // Label 25863: @1925600
     /* 1925600 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1925686), // Rule ID 23943 //
     /* 1925605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925651 */     // MIs[0] policy
     /* 1925651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925685 */     // GIR_Coverage, 23943,
     /* 1925685 */     GIR_EraseRootFromParent_Done,
     /* 1925686 */   // Label 25864: @1925686
     /* 1925686 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1925772), // Rule ID 23944 //
     /* 1925691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925737 */     // MIs[0] policy
     /* 1925737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925771 */     // GIR_Coverage, 23944,
     /* 1925771 */     GIR_EraseRootFromParent_Done,
     /* 1925772 */   // Label 25865: @1925772
     /* 1925772 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1925858), // Rule ID 23947 //
     /* 1925777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925823 */     // MIs[0] policy
     /* 1925823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925857 */     // GIR_Coverage, 23947,
     /* 1925857 */     GIR_EraseRootFromParent_Done,
     /* 1925858 */   // Label 25866: @1925858
     /* 1925858 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1925944), // Rule ID 23948 //
     /* 1925863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925909 */     // MIs[0] policy
     /* 1925909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1925922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925943 */     // GIR_Coverage, 23948,
     /* 1925943 */     GIR_EraseRootFromParent_Done,
     /* 1925944 */   // Label 25867: @1925944
     /* 1925944 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926030), // Rule ID 23951 //
     /* 1925949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925995 */     // MIs[0] policy
     /* 1925995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926029 */     // GIR_Coverage, 23951,
     /* 1926029 */     GIR_EraseRootFromParent_Done,
     /* 1926030 */   // Label 25868: @1926030
     /* 1926030 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926116), // Rule ID 23952 //
     /* 1926035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926081 */     // MIs[0] policy
     /* 1926081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926115 */     // GIR_Coverage, 23952,
     /* 1926115 */     GIR_EraseRootFromParent_Done,
     /* 1926116 */   // Label 25869: @1926116
     /* 1926116 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1926202), // Rule ID 23955 //
     /* 1926121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926167 */     // MIs[0] policy
     /* 1926167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926201 */     // GIR_Coverage, 23955,
     /* 1926201 */     GIR_EraseRootFromParent_Done,
     /* 1926202 */   // Label 25870: @1926202
     /* 1926202 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1926288), // Rule ID 23956 //
     /* 1926207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926253 */     // MIs[0] policy
     /* 1926253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926287 */     // GIR_Coverage, 23956,
     /* 1926287 */     GIR_EraseRootFromParent_Done,
     /* 1926288 */   // Label 25871: @1926288
     /* 1926288 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1926374), // Rule ID 23959 //
     /* 1926293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926339 */     // MIs[0] policy
     /* 1926339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926373 */     // GIR_Coverage, 23959,
     /* 1926373 */     GIR_EraseRootFromParent_Done,
     /* 1926374 */   // Label 25872: @1926374
     /* 1926374 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1926460), // Rule ID 23960 //
     /* 1926379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926425 */     // MIs[0] policy
     /* 1926425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926459 */     // GIR_Coverage, 23960,
     /* 1926459 */     GIR_EraseRootFromParent_Done,
     /* 1926460 */   // Label 25873: @1926460
     /* 1926460 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1926546), // Rule ID 23963 //
     /* 1926465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926511 */     // MIs[0] policy
     /* 1926511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926545 */     // GIR_Coverage, 23963,
     /* 1926545 */     GIR_EraseRootFromParent_Done,
     /* 1926546 */   // Label 25874: @1926546
     /* 1926546 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1926632), // Rule ID 23964 //
     /* 1926551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926597 */     // MIs[0] policy
     /* 1926597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1926610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926631 */     // GIR_Coverage, 23964,
     /* 1926631 */     GIR_EraseRootFromParent_Done,
     /* 1926632 */   // Label 25875: @1926632
     /* 1926632 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1926718), // Rule ID 23967 //
     /* 1926637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926683 */     // MIs[0] policy
     /* 1926683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926693 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926717 */     // GIR_Coverage, 23967,
     /* 1926717 */     GIR_EraseRootFromParent_Done,
     /* 1926718 */   // Label 25876: @1926718
     /* 1926718 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1926804), // Rule ID 23968 //
     /* 1926723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926769 */     // MIs[0] policy
     /* 1926769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926803 */     // GIR_Coverage, 23968,
     /* 1926803 */     GIR_EraseRootFromParent_Done,
     /* 1926804 */   // Label 25877: @1926804
     /* 1926804 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1926890), // Rule ID 23971 //
     /* 1926809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926855 */     // MIs[0] policy
     /* 1926855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926865 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926889 */     // GIR_Coverage, 23971,
     /* 1926889 */     GIR_EraseRootFromParent_Done,
     /* 1926890 */   // Label 25878: @1926890
     /* 1926890 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1926976), // Rule ID 23972 //
     /* 1926895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926941 */     // MIs[0] policy
     /* 1926941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926951 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926975 */     // GIR_Coverage, 23972,
     /* 1926975 */     GIR_EraseRootFromParent_Done,
     /* 1926976 */   // Label 25879: @1926976
     /* 1926976 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927062), // Rule ID 23975 //
     /* 1926981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927027 */     // MIs[0] policy
     /* 1927027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927037 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927061 */     // GIR_Coverage, 23975,
     /* 1927061 */     GIR_EraseRootFromParent_Done,
     /* 1927062 */   // Label 25880: @1927062
     /* 1927062 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1927148), // Rule ID 23976 //
     /* 1927067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927113 */     // MIs[0] policy
     /* 1927113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927147 */     // GIR_Coverage, 23976,
     /* 1927147 */     GIR_EraseRootFromParent_Done,
     /* 1927148 */   // Label 25881: @1927148
     /* 1927148 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1927234), // Rule ID 23979 //
     /* 1927153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927199 */     // MIs[0] policy
     /* 1927199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927233 */     // GIR_Coverage, 23979,
     /* 1927233 */     GIR_EraseRootFromParent_Done,
     /* 1927234 */   // Label 25882: @1927234
     /* 1927234 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1927320), // Rule ID 23980 //
     /* 1927239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927285 */     // MIs[0] policy
     /* 1927285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927295 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927319 */     // GIR_Coverage, 23980,
     /* 1927319 */     GIR_EraseRootFromParent_Done,
     /* 1927320 */   // Label 25883: @1927320
     /* 1927320 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1927406), // Rule ID 23983 //
     /* 1927325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927371 */     // MIs[0] policy
     /* 1927371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927405 */     // GIR_Coverage, 23983,
     /* 1927405 */     GIR_EraseRootFromParent_Done,
     /* 1927406 */   // Label 25884: @1927406
     /* 1927406 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1927492), // Rule ID 23984 //
     /* 1927411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927457 */     // MIs[0] policy
     /* 1927457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927491 */     // GIR_Coverage, 23984,
     /* 1927491 */     GIR_EraseRootFromParent_Done,
     /* 1927492 */   // Label 25885: @1927492
     /* 1927492 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1927578), // Rule ID 23987 //
     /* 1927497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927543 */     // MIs[0] policy
     /* 1927543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927577 */     // GIR_Coverage, 23987,
     /* 1927577 */     GIR_EraseRootFromParent_Done,
     /* 1927578 */   // Label 25886: @1927578
     /* 1927578 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1927664), // Rule ID 23988 //
     /* 1927583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927629 */     // MIs[0] policy
     /* 1927629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927663 */     // GIR_Coverage, 23988,
     /* 1927663 */     GIR_EraseRootFromParent_Done,
     /* 1927664 */   // Label 25887: @1927664
     /* 1927664 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1927750), // Rule ID 23991 //
     /* 1927669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927715 */     // MIs[0] policy
     /* 1927715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927749 */     // GIR_Coverage, 23991,
     /* 1927749 */     GIR_EraseRootFromParent_Done,
     /* 1927750 */   // Label 25888: @1927750
     /* 1927750 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1927836), // Rule ID 23992 //
     /* 1927755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927801 */     // MIs[0] policy
     /* 1927801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927835 */     // GIR_Coverage, 23992,
     /* 1927835 */     GIR_EraseRootFromParent_Done,
     /* 1927836 */   // Label 25889: @1927836
     /* 1927836 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1927922), // Rule ID 23995 //
     /* 1927841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927887 */     // MIs[0] policy
     /* 1927887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927921 */     // GIR_Coverage, 23995,
     /* 1927921 */     GIR_EraseRootFromParent_Done,
     /* 1927922 */   // Label 25890: @1927922
     /* 1927922 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928008), // Rule ID 23996 //
     /* 1927927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927973 */     // MIs[0] policy
     /* 1927973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928007 */     // GIR_Coverage, 23996,
     /* 1928007 */     GIR_EraseRootFromParent_Done,
     /* 1928008 */   // Label 25891: @1928008
     /* 1928008 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928094), // Rule ID 23999 //
     /* 1928013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928059 */     // MIs[0] policy
     /* 1928059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928093 */     // GIR_Coverage, 23999,
     /* 1928093 */     GIR_EraseRootFromParent_Done,
     /* 1928094 */   // Label 25892: @1928094
     /* 1928094 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1928180), // Rule ID 24000 //
     /* 1928099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928145 */     // MIs[0] policy
     /* 1928145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928179 */     // GIR_Coverage, 24000,
     /* 1928179 */     GIR_EraseRootFromParent_Done,
     /* 1928180 */   // Label 25893: @1928180
     /* 1928180 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1928266), // Rule ID 24003 //
     /* 1928185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928231 */     // MIs[0] policy
     /* 1928231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928265 */     // GIR_Coverage, 24003,
     /* 1928265 */     GIR_EraseRootFromParent_Done,
     /* 1928266 */   // Label 25894: @1928266
     /* 1928266 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1928352), // Rule ID 24004 //
     /* 1928271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928317 */     // MIs[0] policy
     /* 1928317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1928330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928351 */     // GIR_Coverage, 24004,
     /* 1928351 */     GIR_EraseRootFromParent_Done,
     /* 1928352 */   // Label 25895: @1928352
     /* 1928352 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1928438), // Rule ID 24007 //
     /* 1928357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928403 */     // MIs[0] policy
     /* 1928403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928437 */     // GIR_Coverage, 24007,
     /* 1928437 */     GIR_EraseRootFromParent_Done,
     /* 1928438 */   // Label 25896: @1928438
     /* 1928438 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1928524), // Rule ID 24008 //
     /* 1928443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928489 */     // MIs[0] policy
     /* 1928489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1928502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928523 */     // GIR_Coverage, 24008,
     /* 1928523 */     GIR_EraseRootFromParent_Done,
     /* 1928524 */   // Label 25897: @1928524
     /* 1928524 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1928610), // Rule ID 24011 //
     /* 1928529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928575 */     // MIs[0] policy
     /* 1928575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928585 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928609 */     // GIR_Coverage, 24011,
     /* 1928609 */     GIR_EraseRootFromParent_Done,
     /* 1928610 */   // Label 25898: @1928610
     /* 1928610 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1928696), // Rule ID 24012 //
     /* 1928615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1928623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928661 */     // MIs[0] policy
     /* 1928661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1928674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928695 */     // GIR_Coverage, 24012,
     /* 1928695 */     GIR_EraseRootFromParent_Done,
     /* 1928696 */   // Label 25899: @1928696
     /* 1928696 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1928782), // Rule ID 24015 //
     /* 1928701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928747 */     // MIs[0] policy
     /* 1928747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928757 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1928760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928781 */     // GIR_Coverage, 24015,
     /* 1928781 */     GIR_EraseRootFromParent_Done,
     /* 1928782 */   // Label 25900: @1928782
     /* 1928782 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1928868), // Rule ID 24016 //
     /* 1928787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928833 */     // MIs[0] policy
     /* 1928833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928843 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1928846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928867 */     // GIR_Coverage, 24016,
     /* 1928867 */     GIR_EraseRootFromParent_Done,
     /* 1928868 */   // Label 25901: @1928868
     /* 1928868 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1928954), // Rule ID 24019 //
     /* 1928873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928919 */     // MIs[0] policy
     /* 1928919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928929 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1928932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928953 */     // GIR_Coverage, 24019,
     /* 1928953 */     GIR_EraseRootFromParent_Done,
     /* 1928954 */   // Label 25902: @1928954
     /* 1928954 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929040), // Rule ID 24020 //
     /* 1928959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929005 */     // MIs[0] policy
     /* 1929005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929015 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929039 */     // GIR_Coverage, 24020,
     /* 1929039 */     GIR_EraseRootFromParent_Done,
     /* 1929040 */   // Label 25903: @1929040
     /* 1929040 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1929126), // Rule ID 24023 //
     /* 1929045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929091 */     // MIs[0] policy
     /* 1929091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929101 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929125 */     // GIR_Coverage, 24023,
     /* 1929125 */     GIR_EraseRootFromParent_Done,
     /* 1929126 */   // Label 25904: @1929126
     /* 1929126 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1929212), // Rule ID 24024 //
     /* 1929131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929177 */     // MIs[0] policy
     /* 1929177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929187 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1929190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929211 */     // GIR_Coverage, 24024,
     /* 1929211 */     GIR_EraseRootFromParent_Done,
     /* 1929212 */   // Label 25905: @1929212
     /* 1929212 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1929298), // Rule ID 24027 //
     /* 1929217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929263 */     // MIs[0] policy
     /* 1929263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929273 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929297 */     // GIR_Coverage, 24027,
     /* 1929297 */     GIR_EraseRootFromParent_Done,
     /* 1929298 */   // Label 25906: @1929298
     /* 1929298 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1929384), // Rule ID 24028 //
     /* 1929303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929349 */     // MIs[0] policy
     /* 1929349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929359 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929383 */     // GIR_Coverage, 24028,
     /* 1929383 */     GIR_EraseRootFromParent_Done,
     /* 1929384 */   // Label 25907: @1929384
     /* 1929384 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1929470), // Rule ID 24031 //
     /* 1929389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929435 */     // MIs[0] policy
     /* 1929435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929445 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929469 */     // GIR_Coverage, 24031,
     /* 1929469 */     GIR_EraseRootFromParent_Done,
     /* 1929470 */   // Label 25908: @1929470
     /* 1929470 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1929556), // Rule ID 24032 //
     /* 1929475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929521 */     // MIs[0] policy
     /* 1929521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929531 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929555 */     // GIR_Coverage, 24032,
     /* 1929555 */     GIR_EraseRootFromParent_Done,
     /* 1929556 */   // Label 25909: @1929556
     /* 1929556 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1929642), // Rule ID 24035 //
     /* 1929561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929607 */     // MIs[0] policy
     /* 1929607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929641 */     // GIR_Coverage, 24035,
     /* 1929641 */     GIR_EraseRootFromParent_Done,
     /* 1929642 */   // Label 25910: @1929642
     /* 1929642 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1929728), // Rule ID 24036 //
     /* 1929647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1929650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929693 */     // MIs[0] policy
     /* 1929693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1929706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929727 */     // GIR_Coverage, 24036,
     /* 1929727 */     GIR_EraseRootFromParent_Done,
     /* 1929728 */   // Label 25911: @1929728
     /* 1929728 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1929814), // Rule ID 24039 //
     /* 1929733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929779 */     // MIs[0] policy
     /* 1929779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929789 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929813 */     // GIR_Coverage, 24039,
     /* 1929813 */     GIR_EraseRootFromParent_Done,
     /* 1929814 */   // Label 25912: @1929814
     /* 1929814 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1929900), // Rule ID 24040 //
     /* 1929819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929865 */     // MIs[0] policy
     /* 1929865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929875 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929899 */     // GIR_Coverage, 24040,
     /* 1929899 */     GIR_EraseRootFromParent_Done,
     /* 1929900 */   // Label 25913: @1929900
     /* 1929900 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1929986), // Rule ID 24043 //
     /* 1929905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1929916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1929919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1929922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929951 */     // MIs[0] policy
     /* 1929951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929961 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1929964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929985 */     // GIR_Coverage, 24043,
     /* 1929985 */     GIR_EraseRootFromParent_Done,
     /* 1929986 */   // Label 25914: @1929986
     /* 1929986 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930072), // Rule ID 24044 //
     /* 1929991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930037 */     // MIs[0] policy
     /* 1930037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930047 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930071 */     // GIR_Coverage, 24044,
     /* 1930071 */     GIR_EraseRootFromParent_Done,
     /* 1930072 */   // Label 25915: @1930072
     /* 1930072 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1930158), // Rule ID 24047 //
     /* 1930077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930123 */     // MIs[0] policy
     /* 1930123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930133 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930157 */     // GIR_Coverage, 24047,
     /* 1930157 */     GIR_EraseRootFromParent_Done,
     /* 1930158 */   // Label 25916: @1930158
     /* 1930158 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1930244), // Rule ID 24048 //
     /* 1930163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930209 */     // MIs[0] policy
     /* 1930209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930219 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930243 */     // GIR_Coverage, 24048,
     /* 1930243 */     GIR_EraseRootFromParent_Done,
     /* 1930244 */   // Label 25917: @1930244
     /* 1930244 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1930330), // Rule ID 24051 //
     /* 1930249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930295 */     // MIs[0] policy
     /* 1930295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930305 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930329 */     // GIR_Coverage, 24051,
     /* 1930329 */     GIR_EraseRootFromParent_Done,
     /* 1930330 */   // Label 25918: @1930330
     /* 1930330 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1930416), // Rule ID 24052 //
     /* 1930335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930381 */     // MIs[0] policy
     /* 1930381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930391 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930415 */     // GIR_Coverage, 24052,
     /* 1930415 */     GIR_EraseRootFromParent_Done,
     /* 1930416 */   // Label 25919: @1930416
     /* 1930416 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1930502), // Rule ID 24055 //
     /* 1930421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930467 */     // MIs[0] policy
     /* 1930467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930501 */     // GIR_Coverage, 24055,
     /* 1930501 */     GIR_EraseRootFromParent_Done,
     /* 1930502 */   // Label 25920: @1930502
     /* 1930502 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1930588), // Rule ID 24056 //
     /* 1930507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930553 */     // MIs[0] policy
     /* 1930553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930587 */     // GIR_Coverage, 24056,
     /* 1930587 */     GIR_EraseRootFromParent_Done,
     /* 1930588 */   // Label 25921: @1930588
     /* 1930588 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1930674), // Rule ID 24059 //
     /* 1930593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1930604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1930607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1930610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930639 */     // MIs[0] policy
     /* 1930639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930649 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930673 */     // GIR_Coverage, 24059,
     /* 1930673 */     GIR_EraseRootFromParent_Done,
     /* 1930674 */   // Label 25922: @1930674
     /* 1930674 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1930760), // Rule ID 24060 //
     /* 1930679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1930690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1930693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1930696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930725 */     // MIs[0] policy
     /* 1930725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930735 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930759 */     // GIR_Coverage, 24060,
     /* 1930759 */     GIR_EraseRootFromParent_Done,
     /* 1930760 */   // Label 25923: @1930760
     /* 1930760 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1930846), // Rule ID 24063 //
     /* 1930765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930811 */     // MIs[0] policy
     /* 1930811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930821 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930845 */     // GIR_Coverage, 24063,
     /* 1930845 */     GIR_EraseRootFromParent_Done,
     /* 1930846 */   // Label 25924: @1930846
     /* 1930846 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1930932), // Rule ID 24064 //
     /* 1930851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930897 */     // MIs[0] policy
     /* 1930897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1930910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930931 */     // GIR_Coverage, 24064,
     /* 1930931 */     GIR_EraseRootFromParent_Done,
     /* 1930932 */   // Label 25925: @1930932
     /* 1930932 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931018), // Rule ID 24067 //
     /* 1930937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1930948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1930951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1930954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930983 */     // MIs[0] policy
     /* 1930983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930993 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1930996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931017 */     // GIR_Coverage, 24067,
     /* 1931017 */     GIR_EraseRootFromParent_Done,
     /* 1931018 */   // Label 25926: @1931018
     /* 1931018 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931104), // Rule ID 24068 //
     /* 1931023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931069 */     // MIs[0] policy
     /* 1931069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931079 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1931082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931103 */     // GIR_Coverage, 24068,
     /* 1931103 */     GIR_EraseRootFromParent_Done,
     /* 1931104 */   // Label 25927: @1931104
     /* 1931104 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1931190), // Rule ID 24071 //
     /* 1931109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931155 */     // MIs[0] policy
     /* 1931155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931165 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931189 */     // GIR_Coverage, 24071,
     /* 1931189 */     GIR_EraseRootFromParent_Done,
     /* 1931190 */   // Label 25928: @1931190
     /* 1931190 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1931276), // Rule ID 24072 //
     /* 1931195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1931203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931241 */     // MIs[0] policy
     /* 1931241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931251 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1931254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931275 */     // GIR_Coverage, 24072,
     /* 1931275 */     GIR_EraseRootFromParent_Done,
     /* 1931276 */   // Label 25929: @1931276
     /* 1931276 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1931362), // Rule ID 24135 //
     /* 1931281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931327 */     // MIs[0] policy
     /* 1931327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931337 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931361 */     // GIR_Coverage, 24135,
     /* 1931361 */     GIR_EraseRootFromParent_Done,
     /* 1931362 */   // Label 25930: @1931362
     /* 1931362 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1931448), // Rule ID 24136 //
     /* 1931367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1931378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1931381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1931384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931413 */     // MIs[0] policy
     /* 1931413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931423 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1931426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931447 */     // GIR_Coverage, 24136,
     /* 1931447 */     GIR_EraseRootFromParent_Done,
     /* 1931448 */   // Label 25931: @1931448
     /* 1931448 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1931534), // Rule ID 24139 //
     /* 1931453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931499 */     // MIs[0] policy
     /* 1931499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931533 */     // GIR_Coverage, 24139,
     /* 1931533 */     GIR_EraseRootFromParent_Done,
     /* 1931534 */   // Label 25932: @1931534
     /* 1931534 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1931620), // Rule ID 24140 //
     /* 1931539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1931550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1931553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1931556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931585 */     // MIs[0] policy
     /* 1931585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931595 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931619 */     // GIR_Coverage, 24140,
     /* 1931619 */     GIR_EraseRootFromParent_Done,
     /* 1931620 */   // Label 25933: @1931620
     /* 1931620 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1931706), // Rule ID 24143 //
     /* 1931625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1931636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1931639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1931642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931671 */     // MIs[0] policy
     /* 1931671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931681 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931705 */     // GIR_Coverage, 24143,
     /* 1931705 */     GIR_EraseRootFromParent_Done,
     /* 1931706 */   // Label 25934: @1931706
     /* 1931706 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1931792), // Rule ID 24144 //
     /* 1931711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1931722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1931725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1931728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931757 */     // MIs[0] policy
     /* 1931757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931767 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1931770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931791 */     // GIR_Coverage, 24144,
     /* 1931791 */     GIR_EraseRootFromParent_Done,
     /* 1931792 */   // Label 25935: @1931792
     /* 1931792 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1931878), // Rule ID 24147 //
     /* 1931797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931843 */     // MIs[0] policy
     /* 1931843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931853 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931877 */     // GIR_Coverage, 24147,
     /* 1931877 */     GIR_EraseRootFromParent_Done,
     /* 1931878 */   // Label 25936: @1931878
     /* 1931878 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1931964), // Rule ID 24148 //
     /* 1931883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931929 */     // MIs[0] policy
     /* 1931929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931963 */     // GIR_Coverage, 24148,
     /* 1931963 */     GIR_EraseRootFromParent_Done,
     /* 1931964 */   // Label 25937: @1931964
     /* 1931964 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932050), // Rule ID 24151 //
     /* 1931969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1931980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1931983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1931986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932015 */     // MIs[0] policy
     /* 1932015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932049 */     // GIR_Coverage, 24151,
     /* 1932049 */     GIR_EraseRootFromParent_Done,
     /* 1932050 */   // Label 25938: @1932050
     /* 1932050 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1932136), // Rule ID 24152 //
     /* 1932055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1932066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1932069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1932072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932101 */     // MIs[0] policy
     /* 1932101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932135 */     // GIR_Coverage, 24152,
     /* 1932135 */     GIR_EraseRootFromParent_Done,
     /* 1932136 */   // Label 25939: @1932136
     /* 1932136 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1932222), // Rule ID 24155 //
     /* 1932141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932187 */     // MIs[0] policy
     /* 1932187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932197 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932221 */     // GIR_Coverage, 24155,
     /* 1932221 */     GIR_EraseRootFromParent_Done,
     /* 1932222 */   // Label 25940: @1932222
     /* 1932222 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1932308), // Rule ID 24156 //
     /* 1932227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1932238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1932241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1932244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932273 */     // MIs[0] policy
     /* 1932273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1932286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932307 */     // GIR_Coverage, 24156,
     /* 1932307 */     GIR_EraseRootFromParent_Done,
     /* 1932308 */   // Label 25941: @1932308
     /* 1932308 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1932394), // Rule ID 24159 //
     /* 1932313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932359 */     // MIs[0] policy
     /* 1932359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932369 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932393 */     // GIR_Coverage, 24159,
     /* 1932393 */     GIR_EraseRootFromParent_Done,
     /* 1932394 */   // Label 25942: @1932394
     /* 1932394 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1932480), // Rule ID 24160 //
     /* 1932399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1932410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1932413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1932416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932445 */     // MIs[0] policy
     /* 1932445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932479 */     // GIR_Coverage, 24160,
     /* 1932479 */     GIR_EraseRootFromParent_Done,
     /* 1932480 */   // Label 25943: @1932480
     /* 1932480 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1932566), // Rule ID 24163 //
     /* 1932485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932531 */     // MIs[0] policy
     /* 1932531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932541 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932565 */     // GIR_Coverage, 24163,
     /* 1932565 */     GIR_EraseRootFromParent_Done,
     /* 1932566 */   // Label 25944: @1932566
     /* 1932566 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1932652), // Rule ID 24164 //
     /* 1932571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932617 */     // MIs[0] policy
     /* 1932617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932627 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932651 */     // GIR_Coverage, 24164,
     /* 1932651 */     GIR_EraseRootFromParent_Done,
     /* 1932652 */   // Label 25945: @1932652
     /* 1932652 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1932738), // Rule ID 24167 //
     /* 1932657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932703 */     // MIs[0] policy
     /* 1932703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932713 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932737 */     // GIR_Coverage, 24167,
     /* 1932737 */     GIR_EraseRootFromParent_Done,
     /* 1932738 */   // Label 25946: @1932738
     /* 1932738 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1932824), // Rule ID 24168 //
     /* 1932743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932789 */     // MIs[0] policy
     /* 1932789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932799 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932823 */     // GIR_Coverage, 24168,
     /* 1932823 */     GIR_EraseRootFromParent_Done,
     /* 1932824 */   // Label 25947: @1932824
     /* 1932824 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1932910), // Rule ID 24171 //
     /* 1932829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932875 */     // MIs[0] policy
     /* 1932875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932885 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932909 */     // GIR_Coverage, 24171,
     /* 1932909 */     GIR_EraseRootFromParent_Done,
     /* 1932910 */   // Label 25948: @1932910
     /* 1932910 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1932996), // Rule ID 24172 //
     /* 1932915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932961 */     // MIs[0] policy
     /* 1932961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932971 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932995 */     // GIR_Coverage, 24172,
     /* 1932995 */     GIR_EraseRootFromParent_Done,
     /* 1932996 */   // Label 25949: @1932996
     /* 1932996 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933082), // Rule ID 24175 //
     /* 1933001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933047 */     // MIs[0] policy
     /* 1933047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933081 */     // GIR_Coverage, 24175,
     /* 1933081 */     GIR_EraseRootFromParent_Done,
     /* 1933082 */   // Label 25950: @1933082
     /* 1933082 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1933168), // Rule ID 24176 //
     /* 1933087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1933098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1933101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1933104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933133 */     // MIs[0] policy
     /* 1933133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933143 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933167 */     // GIR_Coverage, 24176,
     /* 1933167 */     GIR_EraseRootFromParent_Done,
     /* 1933168 */   // Label 25951: @1933168
     /* 1933168 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1933254), // Rule ID 24179 //
     /* 1933173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933219 */     // MIs[0] policy
     /* 1933219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933229 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933253 */     // GIR_Coverage, 24179,
     /* 1933253 */     GIR_EraseRootFromParent_Done,
     /* 1933254 */   // Label 25952: @1933254
     /* 1933254 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1933340), // Rule ID 24180 //
     /* 1933259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1933270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1933273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1933276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933305 */     // MIs[0] policy
     /* 1933305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933339 */     // GIR_Coverage, 24180,
     /* 1933339 */     GIR_EraseRootFromParent_Done,
     /* 1933340 */   // Label 25953: @1933340
     /* 1933340 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1933426), // Rule ID 24183 //
     /* 1933345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933391 */     // MIs[0] policy
     /* 1933391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933401 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933425 */     // GIR_Coverage, 24183,
     /* 1933425 */     GIR_EraseRootFromParent_Done,
     /* 1933426 */   // Label 25954: @1933426
     /* 1933426 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1933512), // Rule ID 24184 //
     /* 1933431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1933442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1933445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1933448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933477 */     // MIs[0] policy
     /* 1933477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933487 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1933490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933511 */     // GIR_Coverage, 24184,
     /* 1933511 */     GIR_EraseRootFromParent_Done,
     /* 1933512 */   // Label 25955: @1933512
     /* 1933512 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1933598), // Rule ID 24187 //
     /* 1933517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933563 */     // MIs[0] policy
     /* 1933563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933573 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933597 */     // GIR_Coverage, 24187,
     /* 1933597 */     GIR_EraseRootFromParent_Done,
     /* 1933598 */   // Label 25956: @1933598
     /* 1933598 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1933684), // Rule ID 24188 //
     /* 1933603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933649 */     // MIs[0] policy
     /* 1933649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933659 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1933662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933683 */     // GIR_Coverage, 24188,
     /* 1933683 */     GIR_EraseRootFromParent_Done,
     /* 1933684 */   // Label 25957: @1933684
     /* 1933684 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1933770), // Rule ID 24191 //
     /* 1933689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933735 */     // MIs[0] policy
     /* 1933735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933745 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933769 */     // GIR_Coverage, 24191,
     /* 1933769 */     GIR_EraseRootFromParent_Done,
     /* 1933770 */   // Label 25958: @1933770
     /* 1933770 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1933856), // Rule ID 24192 //
     /* 1933775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1933783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933821 */     // MIs[0] policy
     /* 1933821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933831 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1933834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933855 */     // GIR_Coverage, 24192,
     /* 1933855 */     GIR_EraseRootFromParent_Done,
     /* 1933856 */   // Label 25959: @1933856
     /* 1933856 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1933942), // Rule ID 24255 //
     /* 1933861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933907 */     // MIs[0] policy
     /* 1933907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933917 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1933920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933941 */     // GIR_Coverage, 24255,
     /* 1933941 */     GIR_EraseRootFromParent_Done,
     /* 1933942 */   // Label 25960: @1933942
     /* 1933942 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934028), // Rule ID 24256 //
     /* 1933947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933993 */     // MIs[0] policy
     /* 1933993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1934006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934027 */     // GIR_Coverage, 24256,
     /* 1934027 */     GIR_EraseRootFromParent_Done,
     /* 1934028 */   // Label 25961: @1934028
     /* 1934028 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934114), // Rule ID 24259 //
     /* 1934033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934079 */     // MIs[0] policy
     /* 1934079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934089 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934113 */     // GIR_Coverage, 24259,
     /* 1934113 */     GIR_EraseRootFromParent_Done,
     /* 1934114 */   // Label 25962: @1934114
     /* 1934114 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1934200), // Rule ID 24260 //
     /* 1934119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1934130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1934133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1934136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934165 */     // MIs[0] policy
     /* 1934165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934175 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1934178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934199 */     // GIR_Coverage, 24260,
     /* 1934199 */     GIR_EraseRootFromParent_Done,
     /* 1934200 */   // Label 25963: @1934200
     /* 1934200 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1934286), // Rule ID 24263 //
     /* 1934205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934251 */     // MIs[0] policy
     /* 1934251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934261 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934285 */     // GIR_Coverage, 24263,
     /* 1934285 */     GIR_EraseRootFromParent_Done,
     /* 1934286 */   // Label 25964: @1934286
     /* 1934286 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1934372), // Rule ID 24264 //
     /* 1934291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934337 */     // MIs[0] policy
     /* 1934337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934347 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1934350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934371 */     // GIR_Coverage, 24264,
     /* 1934371 */     GIR_EraseRootFromParent_Done,
     /* 1934372 */   // Label 25965: @1934372
     /* 1934372 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1934458), // Rule ID 24267 //
     /* 1934377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934423 */     // MIs[0] policy
     /* 1934423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934433 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934457 */     // GIR_Coverage, 24267,
     /* 1934457 */     GIR_EraseRootFromParent_Done,
     /* 1934458 */   // Label 25966: @1934458
     /* 1934458 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1934544), // Rule ID 24268 //
     /* 1934463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934509 */     // MIs[0] policy
     /* 1934509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934519 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1934522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934543 */     // GIR_Coverage, 24268,
     /* 1934543 */     GIR_EraseRootFromParent_Done,
     /* 1934544 */   // Label 25967: @1934544
     /* 1934544 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1934630), // Rule ID 24271 //
     /* 1934549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934595 */     // MIs[0] policy
     /* 1934595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934605 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1934608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934629 */     // GIR_Coverage, 24271,
     /* 1934629 */     GIR_EraseRootFromParent_Done,
     /* 1934630 */   // Label 25968: @1934630
     /* 1934630 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1934716), // Rule ID 24272 //
     /* 1934635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934681 */     // MIs[0] policy
     /* 1934681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934691 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1934694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934715 */     // GIR_Coverage, 24272,
     /* 1934715 */     GIR_EraseRootFromParent_Done,
     /* 1934716 */   // Label 25969: @1934716
     /* 1934716 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1934802), // Rule ID 24275 //
     /* 1934721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934767 */     // MIs[0] policy
     /* 1934767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1934780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934801 */     // GIR_Coverage, 24275,
     /* 1934801 */     GIR_EraseRootFromParent_Done,
     /* 1934802 */   // Label 25970: @1934802
     /* 1934802 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1934888), // Rule ID 24276 //
     /* 1934807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934853 */     // MIs[0] policy
     /* 1934853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934863 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1934866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934887 */     // GIR_Coverage, 24276,
     /* 1934887 */     GIR_EraseRootFromParent_Done,
     /* 1934888 */   // Label 25971: @1934888
     /* 1934888 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1934974), // Rule ID 24279 //
     /* 1934893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934939 */     // MIs[0] policy
     /* 1934939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934949 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1934952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934973 */     // GIR_Coverage, 24279,
     /* 1934973 */     GIR_EraseRootFromParent_Done,
     /* 1934974 */   // Label 25972: @1934974
     /* 1934974 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935060), // Rule ID 24280 //
     /* 1934979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935025 */     // MIs[0] policy
     /* 1935025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935035 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1935038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935059 */     // GIR_Coverage, 24280,
     /* 1935059 */     GIR_EraseRootFromParent_Done,
     /* 1935060 */   // Label 25973: @1935060
     /* 1935060 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1935146), // Rule ID 24283 //
     /* 1935065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935111 */     // MIs[0] policy
     /* 1935111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935121 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935145 */     // GIR_Coverage, 24283,
     /* 1935145 */     GIR_EraseRootFromParent_Done,
     /* 1935146 */   // Label 25974: @1935146
     /* 1935146 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1935232), // Rule ID 24284 //
     /* 1935151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935197 */     // MIs[0] policy
     /* 1935197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935207 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1935210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935231 */     // GIR_Coverage, 24284,
     /* 1935231 */     GIR_EraseRootFromParent_Done,
     /* 1935232 */   // Label 25975: @1935232
     /* 1935232 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1935318), // Rule ID 24287 //
     /* 1935237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935283 */     // MIs[0] policy
     /* 1935283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935293 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935317 */     // GIR_Coverage, 24287,
     /* 1935317 */     GIR_EraseRootFromParent_Done,
     /* 1935318 */   // Label 25976: @1935318
     /* 1935318 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1935404), // Rule ID 24288 //
     /* 1935323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935369 */     // MIs[0] policy
     /* 1935369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935379 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1935382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935403 */     // GIR_Coverage, 24288,
     /* 1935403 */     GIR_EraseRootFromParent_Done,
     /* 1935404 */   // Label 25977: @1935404
     /* 1935404 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1935490), // Rule ID 24291 //
     /* 1935409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935455 */     // MIs[0] policy
     /* 1935455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935465 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935489 */     // GIR_Coverage, 24291,
     /* 1935489 */     GIR_EraseRootFromParent_Done,
     /* 1935490 */   // Label 25978: @1935490
     /* 1935490 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1935576), // Rule ID 24292 //
     /* 1935495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935541 */     // MIs[0] policy
     /* 1935541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1935554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935575 */     // GIR_Coverage, 24292,
     /* 1935575 */     GIR_EraseRootFromParent_Done,
     /* 1935576 */   // Label 25979: @1935576
     /* 1935576 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1935662), // Rule ID 24295 //
     /* 1935581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935627 */     // MIs[0] policy
     /* 1935627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935637 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1935640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935661 */     // GIR_Coverage, 24295,
     /* 1935661 */     GIR_EraseRootFromParent_Done,
     /* 1935662 */   // Label 25980: @1935662
     /* 1935662 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1935748), // Rule ID 24296 //
     /* 1935667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935713 */     // MIs[0] policy
     /* 1935713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935723 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1935726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935747 */     // GIR_Coverage, 24296,
     /* 1935747 */     GIR_EraseRootFromParent_Done,
     /* 1935748 */   // Label 25981: @1935748
     /* 1935748 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1935834), // Rule ID 24299 //
     /* 1935753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935799 */     // MIs[0] policy
     /* 1935799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935809 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1935812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935833 */     // GIR_Coverage, 24299,
     /* 1935833 */     GIR_EraseRootFromParent_Done,
     /* 1935834 */   // Label 25982: @1935834
     /* 1935834 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1935920), // Rule ID 24300 //
     /* 1935839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935885 */     // MIs[0] policy
     /* 1935885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935895 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1935898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935919 */     // GIR_Coverage, 24300,
     /* 1935919 */     GIR_EraseRootFromParent_Done,
     /* 1935920 */   // Label 25983: @1935920
     /* 1935920 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936006), // Rule ID 24303 //
     /* 1935925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935971 */     // MIs[0] policy
     /* 1935971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935981 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1935984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936005 */     // GIR_Coverage, 24303,
     /* 1936005 */     GIR_EraseRootFromParent_Done,
     /* 1936006 */   // Label 25984: @1936006
     /* 1936006 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936092), // Rule ID 24304 //
     /* 1936011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936057 */     // MIs[0] policy
     /* 1936057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936067 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1936070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936091 */     // GIR_Coverage, 24304,
     /* 1936091 */     GIR_EraseRootFromParent_Done,
     /* 1936092 */   // Label 25985: @1936092
     /* 1936092 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1936178), // Rule ID 24307 //
     /* 1936097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936143 */     // MIs[0] policy
     /* 1936143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936177 */     // GIR_Coverage, 24307,
     /* 1936177 */     GIR_EraseRootFromParent_Done,
     /* 1936178 */   // Label 25986: @1936178
     /* 1936178 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1936264), // Rule ID 24308 //
     /* 1936183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936229 */     // MIs[0] policy
     /* 1936229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936239 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1936242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936263 */     // GIR_Coverage, 24308,
     /* 1936263 */     GIR_EraseRootFromParent_Done,
     /* 1936264 */   // Label 25987: @1936264
     /* 1936264 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1936350), // Rule ID 24311 //
     /* 1936269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936315 */     // MIs[0] policy
     /* 1936315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936325 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936349 */     // GIR_Coverage, 24311,
     /* 1936349 */     GIR_EraseRootFromParent_Done,
     /* 1936350 */   // Label 25988: @1936350
     /* 1936350 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1936436), // Rule ID 24312 //
     /* 1936355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1936363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936401 */     // MIs[0] policy
     /* 1936401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936411 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1936414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936435 */     // GIR_Coverage, 24312,
     /* 1936435 */     GIR_EraseRootFromParent_Done,
     /* 1936436 */   // Label 25989: @1936436
     /* 1936436 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1936522), // Rule ID 24315 //
     /* 1936441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936487 */     // MIs[0] policy
     /* 1936487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936497 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936521 */     // GIR_Coverage, 24315,
     /* 1936521 */     GIR_EraseRootFromParent_Done,
     /* 1936522 */   // Label 25990: @1936522
     /* 1936522 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1936608), // Rule ID 24316 //
     /* 1936527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936573 */     // MIs[0] policy
     /* 1936573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936583 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1936586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936607 */     // GIR_Coverage, 24316,
     /* 1936607 */     GIR_EraseRootFromParent_Done,
     /* 1936608 */   // Label 25991: @1936608
     /* 1936608 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1936694), // Rule ID 24319 //
     /* 1936613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936659 */     // MIs[0] policy
     /* 1936659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936669 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1936672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936693 */     // GIR_Coverage, 24319,
     /* 1936693 */     GIR_EraseRootFromParent_Done,
     /* 1936694 */   // Label 25992: @1936694
     /* 1936694 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1936780), // Rule ID 24320 //
     /* 1936699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936745 */     // MIs[0] policy
     /* 1936745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936755 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1936758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936779 */     // GIR_Coverage, 24320,
     /* 1936779 */     GIR_EraseRootFromParent_Done,
     /* 1936780 */   // Label 25993: @1936780
     /* 1936780 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1936866), // Rule ID 24323 //
     /* 1936785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936831 */     // MIs[0] policy
     /* 1936831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936841 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1936844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936865 */     // GIR_Coverage, 24323,
     /* 1936865 */     GIR_EraseRootFromParent_Done,
     /* 1936866 */   // Label 25994: @1936866
     /* 1936866 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1936952), // Rule ID 24324 //
     /* 1936871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936917 */     // MIs[0] policy
     /* 1936917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1936930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936951 */     // GIR_Coverage, 24324,
     /* 1936951 */     GIR_EraseRootFromParent_Done,
     /* 1936952 */   // Label 25995: @1936952
     /* 1936952 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937038), // Rule ID 24327 //
     /* 1936957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937003 */     // MIs[0] policy
     /* 1937003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937013 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937037 */     // GIR_Coverage, 24327,
     /* 1937037 */     GIR_EraseRootFromParent_Done,
     /* 1937038 */   // Label 25996: @1937038
     /* 1937038 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937124), // Rule ID 24328 //
     /* 1937043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937089 */     // MIs[0] policy
     /* 1937089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937099 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1937102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937123 */     // GIR_Coverage, 24328,
     /* 1937123 */     GIR_EraseRootFromParent_Done,
     /* 1937124 */   // Label 25997: @1937124
     /* 1937124 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1937210), // Rule ID 24331 //
     /* 1937129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937175 */     // MIs[0] policy
     /* 1937175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937209 */     // GIR_Coverage, 24331,
     /* 1937209 */     GIR_EraseRootFromParent_Done,
     /* 1937210 */   // Label 25998: @1937210
     /* 1937210 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1937296), // Rule ID 24332 //
     /* 1937215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937261 */     // MIs[0] policy
     /* 1937261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1937274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937295 */     // GIR_Coverage, 24332,
     /* 1937295 */     GIR_EraseRootFromParent_Done,
     /* 1937296 */   // Label 25999: @1937296
     /* 1937296 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1937382), // Rule ID 24335 //
     /* 1937301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937347 */     // MIs[0] policy
     /* 1937347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937357 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937381 */     // GIR_Coverage, 24335,
     /* 1937381 */     GIR_EraseRootFromParent_Done,
     /* 1937382 */   // Label 26000: @1937382
     /* 1937382 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1937468), // Rule ID 24336 //
     /* 1937387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937433 */     // MIs[0] policy
     /* 1937433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937443 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1937446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937467 */     // GIR_Coverage, 24336,
     /* 1937467 */     GIR_EraseRootFromParent_Done,
     /* 1937468 */   // Label 26001: @1937468
     /* 1937468 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1937554), // Rule ID 24339 //
     /* 1937473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937519 */     // MIs[0] policy
     /* 1937519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937529 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937553 */     // GIR_Coverage, 24339,
     /* 1937553 */     GIR_EraseRootFromParent_Done,
     /* 1937554 */   // Label 26002: @1937554
     /* 1937554 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1937640), // Rule ID 24340 //
     /* 1937559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937605 */     // MIs[0] policy
     /* 1937605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937615 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1937618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937639 */     // GIR_Coverage, 24340,
     /* 1937639 */     GIR_EraseRootFromParent_Done,
     /* 1937640 */   // Label 26003: @1937640
     /* 1937640 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1937726), // Rule ID 24343 //
     /* 1937645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937691 */     // MIs[0] policy
     /* 1937691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937701 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1937704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937725 */     // GIR_Coverage, 24343,
     /* 1937725 */     GIR_EraseRootFromParent_Done,
     /* 1937726 */   // Label 26004: @1937726
     /* 1937726 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1937812), // Rule ID 24344 //
     /* 1937731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937777 */     // MIs[0] policy
     /* 1937777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937787 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1937790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937811 */     // GIR_Coverage, 24344,
     /* 1937811 */     GIR_EraseRootFromParent_Done,
     /* 1937812 */   // Label 26005: @1937812
     /* 1937812 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1937898), // Rule ID 24347 //
     /* 1937817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937863 */     // MIs[0] policy
     /* 1937863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937873 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1937876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937897 */     // GIR_Coverage, 24347,
     /* 1937897 */     GIR_EraseRootFromParent_Done,
     /* 1937898 */   // Label 26006: @1937898
     /* 1937898 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1937984), // Rule ID 24348 //
     /* 1937903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1937923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1937945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937949 */     // MIs[0] policy
     /* 1937949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937959 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1937962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937983 */     // GIR_Coverage, 24348,
     /* 1937983 */     GIR_EraseRootFromParent_Done,
     /* 1937984 */   // Label 26007: @1937984
     /* 1937984 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938070), // Rule ID 24351 //
     /* 1937989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938035 */     // MIs[0] policy
     /* 1938035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938045 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938069 */     // GIR_Coverage, 24351,
     /* 1938069 */     GIR_EraseRootFromParent_Done,
     /* 1938070 */   // Label 26008: @1938070
     /* 1938070 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1938156), // Rule ID 24352 //
     /* 1938075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1938086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1938089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1938092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938121 */     // MIs[0] policy
     /* 1938121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1938134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938155 */     // GIR_Coverage, 24352,
     /* 1938155 */     GIR_EraseRootFromParent_Done,
     /* 1938156 */   // Label 26009: @1938156
     /* 1938156 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1938242), // Rule ID 24355 //
     /* 1938161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938207 */     // MIs[0] policy
     /* 1938207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938217 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938241 */     // GIR_Coverage, 24355,
     /* 1938241 */     GIR_EraseRootFromParent_Done,
     /* 1938242 */   // Label 26010: @1938242
     /* 1938242 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1938328), // Rule ID 24356 //
     /* 1938247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1938258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1938261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1938264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938293 */     // MIs[0] policy
     /* 1938293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938303 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1938306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938327 */     // GIR_Coverage, 24356,
     /* 1938327 */     GIR_EraseRootFromParent_Done,
     /* 1938328 */   // Label 26011: @1938328
     /* 1938328 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1938414), // Rule ID 24359 //
     /* 1938333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938379 */     // MIs[0] policy
     /* 1938379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938413 */     // GIR_Coverage, 24359,
     /* 1938413 */     GIR_EraseRootFromParent_Done,
     /* 1938414 */   // Label 26012: @1938414
     /* 1938414 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1938500), // Rule ID 24360 //
     /* 1938419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1938430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1938433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1938436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938465 */     // MIs[0] policy
     /* 1938465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938475 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1938478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938499 */     // GIR_Coverage, 24360,
     /* 1938499 */     GIR_EraseRootFromParent_Done,
     /* 1938500 */   // Label 26013: @1938500
     /* 1938500 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1938586), // Rule ID 24363 //
     /* 1938505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938551 */     // MIs[0] policy
     /* 1938551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938561 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1938564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938585 */     // GIR_Coverage, 24363,
     /* 1938585 */     GIR_EraseRootFromParent_Done,
     /* 1938586 */   // Label 26014: @1938586
     /* 1938586 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1938672), // Rule ID 24364 //
     /* 1938591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938637 */     // MIs[0] policy
     /* 1938637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938647 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1938650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938671 */     // GIR_Coverage, 24364,
     /* 1938671 */     GIR_EraseRootFromParent_Done,
     /* 1938672 */   // Label 26015: @1938672
     /* 1938672 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1938758), // Rule ID 24367 //
     /* 1938677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938723 */     // MIs[0] policy
     /* 1938723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1938736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938757 */     // GIR_Coverage, 24367,
     /* 1938757 */     GIR_EraseRootFromParent_Done,
     /* 1938758 */   // Label 26016: @1938758
     /* 1938758 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1938844), // Rule ID 24368 //
     /* 1938763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938809 */     // MIs[0] policy
     /* 1938809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938819 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1938822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938843 */     // GIR_Coverage, 24368,
     /* 1938843 */     GIR_EraseRootFromParent_Done,
     /* 1938844 */   // Label 26017: @1938844
     /* 1938844 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1938930), // Rule ID 24371 //
     /* 1938849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938895 */     // MIs[0] policy
     /* 1938895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938905 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1938908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938929 */     // GIR_Coverage, 24371,
     /* 1938929 */     GIR_EraseRootFromParent_Done,
     /* 1938930 */   // Label 26018: @1938930
     /* 1938930 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939016), // Rule ID 24372 //
     /* 1938935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1938943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1938977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938981 */     // MIs[0] policy
     /* 1938981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938991 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1938994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939015 */     // GIR_Coverage, 24372,
     /* 1939015 */     GIR_EraseRootFromParent_Done,
     /* 1939016 */   // Label 26019: @1939016
     /* 1939016 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939102), // Rule ID 24375 //
     /* 1939021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939067 */     // MIs[0] policy
     /* 1939067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939101 */     // GIR_Coverage, 24375,
     /* 1939101 */     GIR_EraseRootFromParent_Done,
     /* 1939102 */   // Label 26020: @1939102
     /* 1939102 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1939188), // Rule ID 24376 //
     /* 1939107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1939118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1939121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1939124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1939127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939153 */     // MIs[0] policy
     /* 1939153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939163 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1939166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939187 */     // GIR_Coverage, 24376,
     /* 1939187 */     GIR_EraseRootFromParent_Done,
     /* 1939188 */   // Label 26021: @1939188
     /* 1939188 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1939274), // Rule ID 24379 //
     /* 1939193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939239 */     // MIs[0] policy
     /* 1939239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939249 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939273 */     // GIR_Coverage, 24379,
     /* 1939273 */     GIR_EraseRootFromParent_Done,
     /* 1939274 */   // Label 26022: @1939274
     /* 1939274 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1939360), // Rule ID 24380 //
     /* 1939279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1939290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1939293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1939296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1939299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939325 */     // MIs[0] policy
     /* 1939325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1939338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939359 */     // GIR_Coverage, 24380,
     /* 1939359 */     GIR_EraseRootFromParent_Done,
     /* 1939360 */   // Label 26023: @1939360
     /* 1939360 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1939446), // Rule ID 24383 //
     /* 1939365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939411 */     // MIs[0] policy
     /* 1939411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939445 */     // GIR_Coverage, 24383,
     /* 1939445 */     GIR_EraseRootFromParent_Done,
     /* 1939446 */   // Label 26024: @1939446
     /* 1939446 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1939532), // Rule ID 24384 //
     /* 1939451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1939462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1939465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1939468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1939471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939497 */     // MIs[0] policy
     /* 1939497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939507 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1939510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939531 */     // GIR_Coverage, 24384,
     /* 1939531 */     GIR_EraseRootFromParent_Done,
     /* 1939532 */   // Label 26025: @1939532
     /* 1939532 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1939618), // Rule ID 24387 //
     /* 1939537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939583 */     // MIs[0] policy
     /* 1939583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939593 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1939596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939617 */     // GIR_Coverage, 24387,
     /* 1939617 */     GIR_EraseRootFromParent_Done,
     /* 1939618 */   // Label 26026: @1939618
     /* 1939618 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1939704), // Rule ID 24388 //
     /* 1939623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1939634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1939637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1939640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1939643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939669 */     // MIs[0] policy
     /* 1939669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1939682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939703 */     // GIR_Coverage, 24388,
     /* 1939703 */     GIR_EraseRootFromParent_Done,
     /* 1939704 */   // Label 26027: @1939704
     /* 1939704 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1939790), // Rule ID 24391 //
     /* 1939709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1939720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1939723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1939726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1939729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939755 */     // MIs[0] policy
     /* 1939755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1939768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939789 */     // GIR_Coverage, 24391,
     /* 1939789 */     GIR_EraseRootFromParent_Done,
     /* 1939790 */   // Label 26028: @1939790
     /* 1939790 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1939876), // Rule ID 24392 //
     /* 1939795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1939806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1939809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1939812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1939815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939841 */     // MIs[0] policy
     /* 1939841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1939854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939875 */     // GIR_Coverage, 24392,
     /* 1939875 */     GIR_EraseRootFromParent_Done,
     /* 1939876 */   // Label 26029: @1939876
     /* 1939876 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1939962), // Rule ID 24395 //
     /* 1939881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1939892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1939895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1939898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1939901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939927 */     // MIs[0] policy
     /* 1939927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1939940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939961 */     // GIR_Coverage, 24395,
     /* 1939961 */     GIR_EraseRootFromParent_Done,
     /* 1939962 */   // Label 26030: @1939962
     /* 1939962 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940048), // Rule ID 24396 //
     /* 1939967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1939978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1939981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1939984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1939987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940013 */     // MIs[0] policy
     /* 1940013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1940026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940047 */     // GIR_Coverage, 24396,
     /* 1940047 */     GIR_EraseRootFromParent_Done,
     /* 1940048 */   // Label 26031: @1940048
     /* 1940048 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1940134), // Rule ID 24399 //
     /* 1940053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940099 */     // MIs[0] policy
     /* 1940099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940133 */     // GIR_Coverage, 24399,
     /* 1940133 */     GIR_EraseRootFromParent_Done,
     /* 1940134 */   // Label 26032: @1940134
     /* 1940134 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1940220), // Rule ID 24400 //
     /* 1940139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1940150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1940153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1940156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1940159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940185 */     // MIs[0] policy
     /* 1940185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1940198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940219 */     // GIR_Coverage, 24400,
     /* 1940219 */     GIR_EraseRootFromParent_Done,
     /* 1940220 */   // Label 26033: @1940220
     /* 1940220 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1940306), // Rule ID 24403 //
     /* 1940225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940271 */     // MIs[0] policy
     /* 1940271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940281 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940305 */     // GIR_Coverage, 24403,
     /* 1940305 */     GIR_EraseRootFromParent_Done,
     /* 1940306 */   // Label 26034: @1940306
     /* 1940306 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1940392), // Rule ID 24404 //
     /* 1940311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1940331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940357 */     // MIs[0] policy
     /* 1940357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1940370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940391 */     // GIR_Coverage, 24404,
     /* 1940391 */     GIR_EraseRootFromParent_Done,
     /* 1940392 */   // Label 26035: @1940392
     /* 1940392 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1940478), // Rule ID 24407 //
     /* 1940397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940443 */     // MIs[0] policy
     /* 1940443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940477 */     // GIR_Coverage, 24407,
     /* 1940477 */     GIR_EraseRootFromParent_Done,
     /* 1940478 */   // Label 26036: @1940478
     /* 1940478 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1940564), // Rule ID 24408 //
     /* 1940483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1940503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940529 */     // MIs[0] policy
     /* 1940529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1940542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940563 */     // GIR_Coverage, 24408,
     /* 1940563 */     GIR_EraseRootFromParent_Done,
     /* 1940564 */   // Label 26037: @1940564
     /* 1940564 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1940650), // Rule ID 24411 //
     /* 1940569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1940580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1940583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1940586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1940589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940615 */     // MIs[0] policy
     /* 1940615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1940628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940649 */     // GIR_Coverage, 24411,
     /* 1940649 */     GIR_EraseRootFromParent_Done,
     /* 1940650 */   // Label 26038: @1940650
     /* 1940650 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1940736), // Rule ID 24412 //
     /* 1940655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1940666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1940669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1940672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1940675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940701 */     // MIs[0] policy
     /* 1940701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1940714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940735 */     // GIR_Coverage, 24412,
     /* 1940735 */     GIR_EraseRootFromParent_Done,
     /* 1940736 */   // Label 26039: @1940736
     /* 1940736 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1940822), // Rule ID 24415 //
     /* 1940741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1940752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1940755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1940758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1940761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940787 */     // MIs[0] policy
     /* 1940787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1940800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940821 */     // GIR_Coverage, 24415,
     /* 1940821 */     GIR_EraseRootFromParent_Done,
     /* 1940822 */   // Label 26040: @1940822
     /* 1940822 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1940908), // Rule ID 24416 //
     /* 1940827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1940838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1940841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1940844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1940847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940873 */     // MIs[0] policy
     /* 1940873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1940886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940907 */     // GIR_Coverage, 24416,
     /* 1940907 */     GIR_EraseRootFromParent_Done,
     /* 1940908 */   // Label 26041: @1940908
     /* 1940908 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1940994), // Rule ID 24419 //
     /* 1940913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1940924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1940927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1940930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1940933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1940936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940959 */     // MIs[0] policy
     /* 1940959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1940972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940993 */     // GIR_Coverage, 24419,
     /* 1940993 */     GIR_EraseRootFromParent_Done,
     /* 1940994 */   // Label 26042: @1940994
     /* 1940994 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941080), // Rule ID 24420 //
     /* 1940999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1941010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1941013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1941016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1941019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941045 */     // MIs[0] policy
     /* 1941045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1941058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941079 */     // GIR_Coverage, 24420,
     /* 1941079 */     GIR_EraseRootFromParent_Done,
     /* 1941080 */   // Label 26043: @1941080
     /* 1941080 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1941166), // Rule ID 24423 //
     /* 1941085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941131 */     // MIs[0] policy
     /* 1941131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941141 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941165 */     // GIR_Coverage, 24423,
     /* 1941165 */     GIR_EraseRootFromParent_Done,
     /* 1941166 */   // Label 26044: @1941166
     /* 1941166 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1941252), // Rule ID 24424 //
     /* 1941171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1941182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1941185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1941188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1941191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1941194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941217 */     // MIs[0] policy
     /* 1941217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1941230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941251 */     // GIR_Coverage, 24424,
     /* 1941251 */     GIR_EraseRootFromParent_Done,
     /* 1941252 */   // Label 26045: @1941252
     /* 1941252 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1941338), // Rule ID 24427 //
     /* 1941257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941303 */     // MIs[0] policy
     /* 1941303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941313 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941337 */     // GIR_Coverage, 24427,
     /* 1941337 */     GIR_EraseRootFromParent_Done,
     /* 1941338 */   // Label 26046: @1941338
     /* 1941338 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1941424), // Rule ID 24428 //
     /* 1941343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941389 */     // MIs[0] policy
     /* 1941389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1941402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941423 */     // GIR_Coverage, 24428,
     /* 1941423 */     GIR_EraseRootFromParent_Done,
     /* 1941424 */   // Label 26047: @1941424
     /* 1941424 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1941510), // Rule ID 24431 //
     /* 1941429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941475 */     // MIs[0] policy
     /* 1941475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941509 */     // GIR_Coverage, 24431,
     /* 1941509 */     GIR_EraseRootFromParent_Done,
     /* 1941510 */   // Label 26048: @1941510
     /* 1941510 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1941596), // Rule ID 24432 //
     /* 1941515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1941535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941561 */     // MIs[0] policy
     /* 1941561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1941574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941595 */     // GIR_Coverage, 24432,
     /* 1941595 */     GIR_EraseRootFromParent_Done,
     /* 1941596 */   // Label 26049: @1941596
     /* 1941596 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1941682), // Rule ID 24435 //
     /* 1941601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1941621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941647 */     // MIs[0] policy
     /* 1941647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941657 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1941660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941681 */     // GIR_Coverage, 24435,
     /* 1941681 */     GIR_EraseRootFromParent_Done,
     /* 1941682 */   // Label 26050: @1941682
     /* 1941682 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1941768), // Rule ID 24436 //
     /* 1941687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1941707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941733 */     // MIs[0] policy
     /* 1941733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1941746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941767 */     // GIR_Coverage, 24436,
     /* 1941767 */     GIR_EraseRootFromParent_Done,
     /* 1941768 */   // Label 26051: @1941768
     /* 1941768 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1941854), // Rule ID 24439 //
     /* 1941773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1941793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941819 */     // MIs[0] policy
     /* 1941819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941829 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1941832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941853 */     // GIR_Coverage, 24439,
     /* 1941853 */     GIR_EraseRootFromParent_Done,
     /* 1941854 */   // Label 26052: @1941854
     /* 1941854 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1941940), // Rule ID 24440 //
     /* 1941859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1941879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941905 */     // MIs[0] policy
     /* 1941905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1941918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941939 */     // GIR_Coverage, 24440,
     /* 1941939 */     GIR_EraseRootFromParent_Done,
     /* 1941940 */   // Label 26053: @1941940
     /* 1941940 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942026), // Rule ID 24443 //
     /* 1941945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1941956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1941959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1941962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1941965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941991 */     // MIs[0] policy
     /* 1941991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942025 */     // GIR_Coverage, 24443,
     /* 1942025 */     GIR_EraseRootFromParent_Done,
     /* 1942026 */   // Label 26054: @1942026
     /* 1942026 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942112), // Rule ID 24444 //
     /* 1942031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1942051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942077 */     // MIs[0] policy
     /* 1942077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1942090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942111 */     // GIR_Coverage, 24444,
     /* 1942111 */     GIR_EraseRootFromParent_Done,
     /* 1942112 */   // Label 26055: @1942112
     /* 1942112 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1942198), // Rule ID 24447 //
     /* 1942117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942163 */     // MIs[0] policy
     /* 1942163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942197 */     // GIR_Coverage, 24447,
     /* 1942197 */     GIR_EraseRootFromParent_Done,
     /* 1942198 */   // Label 26056: @1942198
     /* 1942198 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1942284), // Rule ID 24448 //
     /* 1942203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1942223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942249 */     // MIs[0] policy
     /* 1942249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1942262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942283 */     // GIR_Coverage, 24448,
     /* 1942283 */     GIR_EraseRootFromParent_Done,
     /* 1942284 */   // Label 26057: @1942284
     /* 1942284 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1942370), // Rule ID 24451 //
     /* 1942289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942335 */     // MIs[0] policy
     /* 1942335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942369 */     // GIR_Coverage, 24451,
     /* 1942369 */     GIR_EraseRootFromParent_Done,
     /* 1942370 */   // Label 26058: @1942370
     /* 1942370 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1942456), // Rule ID 24452 //
     /* 1942375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1942395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942421 */     // MIs[0] policy
     /* 1942421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1942434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942455 */     // GIR_Coverage, 24452,
     /* 1942455 */     GIR_EraseRootFromParent_Done,
     /* 1942456 */   // Label 26059: @1942456
     /* 1942456 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1942542), // Rule ID 24455 //
     /* 1942461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942507 */     // MIs[0] policy
     /* 1942507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942541 */     // GIR_Coverage, 24455,
     /* 1942541 */     GIR_EraseRootFromParent_Done,
     /* 1942542 */   // Label 26060: @1942542
     /* 1942542 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1942628), // Rule ID 24456 //
     /* 1942547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1942567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942593 */     // MIs[0] policy
     /* 1942593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1942606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942627 */     // GIR_Coverage, 24456,
     /* 1942627 */     GIR_EraseRootFromParent_Done,
     /* 1942628 */   // Label 26061: @1942628
     /* 1942628 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1942714), // Rule ID 24459 //
     /* 1942633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1942653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942679 */     // MIs[0] policy
     /* 1942679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1942692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942713 */     // GIR_Coverage, 24459,
     /* 1942713 */     GIR_EraseRootFromParent_Done,
     /* 1942714 */   // Label 26062: @1942714
     /* 1942714 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1942800), // Rule ID 24460 //
     /* 1942719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1942727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1942739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942765 */     // MIs[0] policy
     /* 1942765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1942778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942799 */     // GIR_Coverage, 24460,
     /* 1942799 */     GIR_EraseRootFromParent_Done,
     /* 1942800 */   // Label 26063: @1942800
     /* 1942800 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1942886), // Rule ID 24463 //
     /* 1942805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1942816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1942819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1942822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942851 */     // MIs[0] policy
     /* 1942851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942861 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1942864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942885 */     // GIR_Coverage, 24463,
     /* 1942885 */     GIR_EraseRootFromParent_Done,
     /* 1942886 */   // Label 26064: @1942886
     /* 1942886 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1942972), // Rule ID 24464 //
     /* 1942891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1942902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1942905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1942908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942937 */     // MIs[0] policy
     /* 1942937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1942950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942971 */     // GIR_Coverage, 24464,
     /* 1942971 */     GIR_EraseRootFromParent_Done,
     /* 1942972 */   // Label 26065: @1942972
     /* 1942972 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943058), // Rule ID 24467 //
     /* 1942977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1942988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1942991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1942994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943023 */     // MIs[0] policy
     /* 1943023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943057 */     // GIR_Coverage, 24467,
     /* 1943057 */     GIR_EraseRootFromParent_Done,
     /* 1943058 */   // Label 26066: @1943058
     /* 1943058 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1943144), // Rule ID 24468 //
     /* 1943063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943109 */     // MIs[0] policy
     /* 1943109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943119 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943143 */     // GIR_Coverage, 24468,
     /* 1943143 */     GIR_EraseRootFromParent_Done,
     /* 1943144 */   // Label 26067: @1943144
     /* 1943144 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1943230), // Rule ID 24471 //
     /* 1943149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943195 */     // MIs[0] policy
     /* 1943195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943205 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943229 */     // GIR_Coverage, 24471,
     /* 1943229 */     GIR_EraseRootFromParent_Done,
     /* 1943230 */   // Label 26068: @1943230
     /* 1943230 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1943316), // Rule ID 24472 //
     /* 1943235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943281 */     // MIs[0] policy
     /* 1943281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943315 */     // GIR_Coverage, 24472,
     /* 1943315 */     GIR_EraseRootFromParent_Done,
     /* 1943316 */   // Label 26069: @1943316
     /* 1943316 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1943402), // Rule ID 24475 //
     /* 1943321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943367 */     // MIs[0] policy
     /* 1943367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943377 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943401 */     // GIR_Coverage, 24475,
     /* 1943401 */     GIR_EraseRootFromParent_Done,
     /* 1943402 */   // Label 26070: @1943402
     /* 1943402 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1943488), // Rule ID 24476 //
     /* 1943407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1943418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1943421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1943424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943453 */     // MIs[0] policy
     /* 1943453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1943466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943487 */     // GIR_Coverage, 24476,
     /* 1943487 */     GIR_EraseRootFromParent_Done,
     /* 1943488 */   // Label 26071: @1943488
     /* 1943488 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1943574), // Rule ID 24479 //
     /* 1943493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943539 */     // MIs[0] policy
     /* 1943539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943573 */     // GIR_Coverage, 24479,
     /* 1943573 */     GIR_EraseRootFromParent_Done,
     /* 1943574 */   // Label 26072: @1943574
     /* 1943574 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1943660), // Rule ID 24480 //
     /* 1943579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1943590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1943593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1943596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943625 */     // MIs[0] policy
     /* 1943625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943659 */     // GIR_Coverage, 24480,
     /* 1943659 */     GIR_EraseRootFromParent_Done,
     /* 1943660 */   // Label 26073: @1943660
     /* 1943660 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1943746), // Rule ID 24483 //
     /* 1943665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943711 */     // MIs[0] policy
     /* 1943711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943745 */     // GIR_Coverage, 24483,
     /* 1943745 */     GIR_EraseRootFromParent_Done,
     /* 1943746 */   // Label 26074: @1943746
     /* 1943746 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1943832), // Rule ID 24484 //
     /* 1943751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943797 */     // MIs[0] policy
     /* 1943797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1943810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943831 */     // GIR_Coverage, 24484,
     /* 1943831 */     GIR_EraseRootFromParent_Done,
     /* 1943832 */   // Label 26075: @1943832
     /* 1943832 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1943918), // Rule ID 24487 //
     /* 1943837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1943848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1943851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1943854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943883 */     // MIs[0] policy
     /* 1943883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943893 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943917 */     // GIR_Coverage, 24487,
     /* 1943917 */     GIR_EraseRootFromParent_Done,
     /* 1943918 */   // Label 26076: @1943918
     /* 1943918 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944004), // Rule ID 24488 //
     /* 1943923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1943934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1943937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1943940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943969 */     // MIs[0] policy
     /* 1943969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944003 */     // GIR_Coverage, 24488,
     /* 1944003 */     GIR_EraseRootFromParent_Done,
     /* 1944004 */   // Label 26077: @1944004
     /* 1944004 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944090), // Rule ID 24491 //
     /* 1944009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944055 */     // MIs[0] policy
     /* 1944055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944065 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944089 */     // GIR_Coverage, 24491,
     /* 1944089 */     GIR_EraseRootFromParent_Done,
     /* 1944090 */   // Label 26078: @1944090
     /* 1944090 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1944176), // Rule ID 24492 //
     /* 1944095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944141 */     // MIs[0] policy
     /* 1944141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944175 */     // GIR_Coverage, 24492,
     /* 1944175 */     GIR_EraseRootFromParent_Done,
     /* 1944176 */   // Label 26079: @1944176
     /* 1944176 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1944262), // Rule ID 24495 //
     /* 1944181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944227 */     // MIs[0] policy
     /* 1944227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944261 */     // GIR_Coverage, 24495,
     /* 1944261 */     GIR_EraseRootFromParent_Done,
     /* 1944262 */   // Label 26080: @1944262
     /* 1944262 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1944348), // Rule ID 24496 //
     /* 1944267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944313 */     // MIs[0] policy
     /* 1944313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944347 */     // GIR_Coverage, 24496,
     /* 1944347 */     GIR_EraseRootFromParent_Done,
     /* 1944348 */   // Label 26081: @1944348
     /* 1944348 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1944434), // Rule ID 24499 //
     /* 1944353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944399 */     // MIs[0] policy
     /* 1944399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944433 */     // GIR_Coverage, 24499,
     /* 1944433 */     GIR_EraseRootFromParent_Done,
     /* 1944434 */   // Label 26082: @1944434
     /* 1944434 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1944520), // Rule ID 24500 //
     /* 1944439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944485 */     // MIs[0] policy
     /* 1944485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1944498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944519 */     // GIR_Coverage, 24500,
     /* 1944519 */     GIR_EraseRootFromParent_Done,
     /* 1944520 */   // Label 26083: @1944520
     /* 1944520 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1944606), // Rule ID 24503 //
     /* 1944525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944571 */     // MIs[0] policy
     /* 1944571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944581 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944605 */     // GIR_Coverage, 24503,
     /* 1944605 */     GIR_EraseRootFromParent_Done,
     /* 1944606 */   // Label 26084: @1944606
     /* 1944606 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1944692), // Rule ID 24504 //
     /* 1944611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1944622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1944625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1944628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944657 */     // MIs[0] policy
     /* 1944657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944691 */     // GIR_Coverage, 24504,
     /* 1944691 */     GIR_EraseRootFromParent_Done,
     /* 1944692 */   // Label 26085: @1944692
     /* 1944692 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1944778), // Rule ID 24507 //
     /* 1944697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1944708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1944711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1944714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944743 */     // MIs[0] policy
     /* 1944743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944777 */     // GIR_Coverage, 24507,
     /* 1944777 */     GIR_EraseRootFromParent_Done,
     /* 1944778 */   // Label 26086: @1944778
     /* 1944778 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1944864), // Rule ID 24508 //
     /* 1944783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1944794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1944797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1944800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944829 */     // MIs[0] policy
     /* 1944829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944863 */     // GIR_Coverage, 24508,
     /* 1944863 */     GIR_EraseRootFromParent_Done,
     /* 1944864 */   // Label 26087: @1944864
     /* 1944864 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1944950), // Rule ID 24511 //
     /* 1944869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1944880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1944883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1944886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1944892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944915 */     // MIs[0] policy
     /* 1944915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944925 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944949 */     // GIR_Coverage, 24511,
     /* 1944949 */     GIR_EraseRootFromParent_Done,
     /* 1944950 */   // Label 26088: @1944950
     /* 1944950 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945036), // Rule ID 24512 //
     /* 1944955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1944966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1944969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1944972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1944978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945001 */     // MIs[0] policy
     /* 1945001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945035 */     // GIR_Coverage, 24512,
     /* 1945035 */     GIR_EraseRootFromParent_Done,
     /* 1945036 */   // Label 26089: @1945036
     /* 1945036 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945122), // Rule ID 24515 //
     /* 1945041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945087 */     // MIs[0] policy
     /* 1945087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945121 */     // GIR_Coverage, 24515,
     /* 1945121 */     GIR_EraseRootFromParent_Done,
     /* 1945122 */   // Label 26090: @1945122
     /* 1945122 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1945208), // Rule ID 24516 //
     /* 1945127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945173 */     // MIs[0] policy
     /* 1945173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945207 */     // GIR_Coverage, 24516,
     /* 1945207 */     GIR_EraseRootFromParent_Done,
     /* 1945208 */   // Label 26091: @1945208
     /* 1945208 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1945294), // Rule ID 24519 //
     /* 1945213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945259 */     // MIs[0] policy
     /* 1945259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945293 */     // GIR_Coverage, 24519,
     /* 1945293 */     GIR_EraseRootFromParent_Done,
     /* 1945294 */   // Label 26092: @1945294
     /* 1945294 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1945380), // Rule ID 24520 //
     /* 1945299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1945310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1945313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1945316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945345 */     // MIs[0] policy
     /* 1945345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945379 */     // GIR_Coverage, 24520,
     /* 1945379 */     GIR_EraseRootFromParent_Done,
     /* 1945380 */   // Label 26093: @1945380
     /* 1945380 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1945466), // Rule ID 24523 //
     /* 1945385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945431 */     // MIs[0] policy
     /* 1945431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945441 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945465 */     // GIR_Coverage, 24523,
     /* 1945465 */     GIR_EraseRootFromParent_Done,
     /* 1945466 */   // Label 26094: @1945466
     /* 1945466 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1945552), // Rule ID 24524 //
     /* 1945471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1945482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1945485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1945488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945517 */     // MIs[0] policy
     /* 1945517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945551 */     // GIR_Coverage, 24524,
     /* 1945551 */     GIR_EraseRootFromParent_Done,
     /* 1945552 */   // Label 26095: @1945552
     /* 1945552 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1945638), // Rule ID 24527 //
     /* 1945557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945603 */     // MIs[0] policy
     /* 1945603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945637 */     // GIR_Coverage, 24527,
     /* 1945637 */     GIR_EraseRootFromParent_Done,
     /* 1945638 */   // Label 26096: @1945638
     /* 1945638 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1945724), // Rule ID 24528 //
     /* 1945643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1945654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1945657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1945660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945689 */     // MIs[0] policy
     /* 1945689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945723 */     // GIR_Coverage, 24528,
     /* 1945723 */     GIR_EraseRootFromParent_Done,
     /* 1945724 */   // Label 26097: @1945724
     /* 1945724 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1945810), // Rule ID 24531 //
     /* 1945729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945775 */     // MIs[0] policy
     /* 1945775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945809 */     // GIR_Coverage, 24531,
     /* 1945809 */     GIR_EraseRootFromParent_Done,
     /* 1945810 */   // Label 26098: @1945810
     /* 1945810 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1945896), // Rule ID 24532 //
     /* 1945815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945861 */     // MIs[0] policy
     /* 1945861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945895 */     // GIR_Coverage, 24532,
     /* 1945895 */     GIR_EraseRootFromParent_Done,
     /* 1945896 */   // Label 26099: @1945896
     /* 1945896 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1945982), // Rule ID 24535 //
     /* 1945901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945947 */     // MIs[0] policy
     /* 1945947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945957 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945981 */     // GIR_Coverage, 24535,
     /* 1945981 */     GIR_EraseRootFromParent_Done,
     /* 1945982 */   // Label 26100: @1945982
     /* 1945982 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946068), // Rule ID 24536 //
     /* 1945987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946033 */     // MIs[0] policy
     /* 1946033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946067 */     // GIR_Coverage, 24536,
     /* 1946067 */     GIR_EraseRootFromParent_Done,
     /* 1946068 */   // Label 26101: @1946068
     /* 1946068 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1946154), // Rule ID 24539 //
     /* 1946073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946119 */     // MIs[0] policy
     /* 1946119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946129 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946153 */     // GIR_Coverage, 24539,
     /* 1946153 */     GIR_EraseRootFromParent_Done,
     /* 1946154 */   // Label 26102: @1946154
     /* 1946154 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1946240), // Rule ID 24540 //
     /* 1946159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946205 */     // MIs[0] policy
     /* 1946205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946239 */     // GIR_Coverage, 24540,
     /* 1946239 */     GIR_EraseRootFromParent_Done,
     /* 1946240 */   // Label 26103: @1946240
     /* 1946240 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1946326), // Rule ID 24543 //
     /* 1946245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946291 */     // MIs[0] policy
     /* 1946291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946325 */     // GIR_Coverage, 24543,
     /* 1946325 */     GIR_EraseRootFromParent_Done,
     /* 1946326 */   // Label 26104: @1946326
     /* 1946326 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1946412), // Rule ID 24544 //
     /* 1946331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1946342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1946345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1946348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946377 */     // MIs[0] policy
     /* 1946377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946411 */     // GIR_Coverage, 24544,
     /* 1946411 */     GIR_EraseRootFromParent_Done,
     /* 1946412 */   // Label 26105: @1946412
     /* 1946412 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1946498), // Rule ID 24547 //
     /* 1946417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946463 */     // MIs[0] policy
     /* 1946463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946497 */     // GIR_Coverage, 24547,
     /* 1946497 */     GIR_EraseRootFromParent_Done,
     /* 1946498 */   // Label 26106: @1946498
     /* 1946498 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1946584), // Rule ID 24548 //
     /* 1946503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1946514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1946517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1946520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946549 */     // MIs[0] policy
     /* 1946549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946583 */     // GIR_Coverage, 24548,
     /* 1946583 */     GIR_EraseRootFromParent_Done,
     /* 1946584 */   // Label 26107: @1946584
     /* 1946584 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1946670), // Rule ID 24639 //
     /* 1946589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946635 */     // MIs[0] policy
     /* 1946635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946645 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1946648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946669 */     // GIR_Coverage, 24639,
     /* 1946669 */     GIR_EraseRootFromParent_Done,
     /* 1946670 */   // Label 26108: @1946670
     /* 1946670 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1946756), // Rule ID 24640 //
     /* 1946675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1946686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1946689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1946692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946721 */     // MIs[0] policy
     /* 1946721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946731 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1946734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946755 */     // GIR_Coverage, 24640,
     /* 1946755 */     GIR_EraseRootFromParent_Done,
     /* 1946756 */   // Label 26109: @1946756
     /* 1946756 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1946842), // Rule ID 24643 //
     /* 1946761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946807 */     // MIs[0] policy
     /* 1946807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1946820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946841 */     // GIR_Coverage, 24643,
     /* 1946841 */     GIR_EraseRootFromParent_Done,
     /* 1946842 */   // Label 26110: @1946842
     /* 1946842 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1946928), // Rule ID 24644 //
     /* 1946847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1946858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1946861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1946864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946893 */     // MIs[0] policy
     /* 1946893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946903 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1946906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946927 */     // GIR_Coverage, 24644,
     /* 1946927 */     GIR_EraseRootFromParent_Done,
     /* 1946928 */   // Label 26111: @1946928
     /* 1946928 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947014), // Rule ID 24647 //
     /* 1946933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1946944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1946947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1946950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1946953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946979 */     // MIs[0] policy
     /* 1946979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1946992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947013 */     // GIR_Coverage, 24647,
     /* 1947013 */     GIR_EraseRootFromParent_Done,
     /* 1947014 */   // Label 26112: @1947014
     /* 1947014 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947100), // Rule ID 24648 //
     /* 1947019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947065 */     // MIs[0] policy
     /* 1947065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1947078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947099 */     // GIR_Coverage, 24648,
     /* 1947099 */     GIR_EraseRootFromParent_Done,
     /* 1947100 */   // Label 26113: @1947100
     /* 1947100 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1947186), // Rule ID 24651 //
     /* 1947105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947151 */     // MIs[0] policy
     /* 1947151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947185 */     // GIR_Coverage, 24651,
     /* 1947185 */     GIR_EraseRootFromParent_Done,
     /* 1947186 */   // Label 26114: @1947186
     /* 1947186 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1947272), // Rule ID 24652 //
     /* 1947191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947237 */     // MIs[0] policy
     /* 1947237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1947250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947271 */     // GIR_Coverage, 24652,
     /* 1947271 */     GIR_EraseRootFromParent_Done,
     /* 1947272 */   // Label 26115: @1947272
     /* 1947272 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1947358), // Rule ID 24655 //
     /* 1947277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947323 */     // MIs[0] policy
     /* 1947323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947333 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947357 */     // GIR_Coverage, 24655,
     /* 1947357 */     GIR_EraseRootFromParent_Done,
     /* 1947358 */   // Label 26116: @1947358
     /* 1947358 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1947444), // Rule ID 24656 //
     /* 1947363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947409 */     // MIs[0] policy
     /* 1947409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1947422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947443 */     // GIR_Coverage, 24656,
     /* 1947443 */     GIR_EraseRootFromParent_Done,
     /* 1947444 */   // Label 26117: @1947444
     /* 1947444 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1947530), // Rule ID 24659 //
     /* 1947449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947495 */     // MIs[0] policy
     /* 1947495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947529 */     // GIR_Coverage, 24659,
     /* 1947529 */     GIR_EraseRootFromParent_Done,
     /* 1947530 */   // Label 26118: @1947530
     /* 1947530 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1947616), // Rule ID 24660 //
     /* 1947535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1947546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1947549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1947552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947581 */     // MIs[0] policy
     /* 1947581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1947594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947615 */     // GIR_Coverage, 24660,
     /* 1947615 */     GIR_EraseRootFromParent_Done,
     /* 1947616 */   // Label 26119: @1947616
     /* 1947616 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1947702), // Rule ID 24663 //
     /* 1947621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947667 */     // MIs[0] policy
     /* 1947667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1947680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947701 */     // GIR_Coverage, 24663,
     /* 1947701 */     GIR_EraseRootFromParent_Done,
     /* 1947702 */   // Label 26120: @1947702
     /* 1947702 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1947788), // Rule ID 24664 //
     /* 1947707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1947718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1947721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1947724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947753 */     // MIs[0] policy
     /* 1947753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1947766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947787 */     // GIR_Coverage, 24664,
     /* 1947787 */     GIR_EraseRootFromParent_Done,
     /* 1947788 */   // Label 26121: @1947788
     /* 1947788 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1947874), // Rule ID 24667 //
     /* 1947793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947839 */     // MIs[0] policy
     /* 1947839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1947852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947873 */     // GIR_Coverage, 24667,
     /* 1947873 */     GIR_EraseRootFromParent_Done,
     /* 1947874 */   // Label 26122: @1947874
     /* 1947874 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1947960), // Rule ID 24668 //
     /* 1947879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947925 */     // MIs[0] policy
     /* 1947925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1947938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947959 */     // GIR_Coverage, 24668,
     /* 1947959 */     GIR_EraseRootFromParent_Done,
     /* 1947960 */   // Label 26123: @1947960
     /* 1947960 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948046), // Rule ID 24671 //
     /* 1947965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1947976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1947979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1947982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948011 */     // MIs[0] policy
     /* 1948011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948045 */     // GIR_Coverage, 24671,
     /* 1948045 */     GIR_EraseRootFromParent_Done,
     /* 1948046 */   // Label 26124: @1948046
     /* 1948046 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1948132), // Rule ID 24672 //
     /* 1948051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948097 */     // MIs[0] policy
     /* 1948097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1948110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948131 */     // GIR_Coverage, 24672,
     /* 1948131 */     GIR_EraseRootFromParent_Done,
     /* 1948132 */   // Label 26125: @1948132
     /* 1948132 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1948218), // Rule ID 24675 //
     /* 1948137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948183 */     // MIs[0] policy
     /* 1948183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948217 */     // GIR_Coverage, 24675,
     /* 1948217 */     GIR_EraseRootFromParent_Done,
     /* 1948218 */   // Label 26126: @1948218
     /* 1948218 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1948304), // Rule ID 24676 //
     /* 1948223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1948243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948269 */     // MIs[0] policy
     /* 1948269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1948282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948303 */     // GIR_Coverage, 24676,
     /* 1948303 */     GIR_EraseRootFromParent_Done,
     /* 1948304 */   // Label 26127: @1948304
     /* 1948304 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1948390), // Rule ID 24679 //
     /* 1948309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948355 */     // MIs[0] policy
     /* 1948355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948389 */     // GIR_Coverage, 24679,
     /* 1948389 */     GIR_EraseRootFromParent_Done,
     /* 1948390 */   // Label 26128: @1948390
     /* 1948390 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1948476), // Rule ID 24680 //
     /* 1948395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1948406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1948409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1948412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948441 */     // MIs[0] policy
     /* 1948441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1948454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948475 */     // GIR_Coverage, 24680,
     /* 1948475 */     GIR_EraseRootFromParent_Done,
     /* 1948476 */   // Label 26129: @1948476
     /* 1948476 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1948562), // Rule ID 24683 //
     /* 1948481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948527 */     // MIs[0] policy
     /* 1948527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948537 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948561 */     // GIR_Coverage, 24683,
     /* 1948561 */     GIR_EraseRootFromParent_Done,
     /* 1948562 */   // Label 26130: @1948562
     /* 1948562 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1948648), // Rule ID 24684 //
     /* 1948567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1948578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1948581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1948584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948613 */     // MIs[0] policy
     /* 1948613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1948626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948647 */     // GIR_Coverage, 24684,
     /* 1948647 */     GIR_EraseRootFromParent_Done,
     /* 1948648 */   // Label 26131: @1948648
     /* 1948648 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1948734), // Rule ID 24687 //
     /* 1948653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948699 */     // MIs[0] policy
     /* 1948699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1948712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948733 */     // GIR_Coverage, 24687,
     /* 1948733 */     GIR_EraseRootFromParent_Done,
     /* 1948734 */   // Label 26132: @1948734
     /* 1948734 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1948820), // Rule ID 24688 //
     /* 1948739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948785 */     // MIs[0] policy
     /* 1948785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1948798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948819 */     // GIR_Coverage, 24688,
     /* 1948819 */     GIR_EraseRootFromParent_Done,
     /* 1948820 */   // Label 26133: @1948820
     /* 1948820 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1948906), // Rule ID 24691 //
     /* 1948825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948871 */     // MIs[0] policy
     /* 1948871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1948884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948905 */     // GIR_Coverage, 24691,
     /* 1948905 */     GIR_EraseRootFromParent_Done,
     /* 1948906 */   // Label 26134: @1948906
     /* 1948906 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1948992), // Rule ID 24692 //
     /* 1948911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948957 */     // MIs[0] policy
     /* 1948957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1948970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948991 */     // GIR_Coverage, 24692,
     /* 1948991 */     GIR_EraseRootFromParent_Done,
     /* 1948992 */   // Label 26135: @1948992
     /* 1948992 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949078), // Rule ID 24695 //
     /* 1948997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949043 */     // MIs[0] policy
     /* 1949043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949053 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949077 */     // GIR_Coverage, 24695,
     /* 1949077 */     GIR_EraseRootFromParent_Done,
     /* 1949078 */   // Label 26136: @1949078
     /* 1949078 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1949164), // Rule ID 24696 //
     /* 1949083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949129 */     // MIs[0] policy
     /* 1949129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1949142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949163 */     // GIR_Coverage, 24696,
     /* 1949163 */     GIR_EraseRootFromParent_Done,
     /* 1949164 */   // Label 26137: @1949164
     /* 1949164 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1949250), // Rule ID 24699 //
     /* 1949169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949215 */     // MIs[0] policy
     /* 1949215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949249 */     // GIR_Coverage, 24699,
     /* 1949249 */     GIR_EraseRootFromParent_Done,
     /* 1949250 */   // Label 26138: @1949250
     /* 1949250 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1949336), // Rule ID 24700 //
     /* 1949255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949301 */     // MIs[0] policy
     /* 1949301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1949314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949335 */     // GIR_Coverage, 24700,
     /* 1949335 */     GIR_EraseRootFromParent_Done,
     /* 1949336 */   // Label 26139: @1949336
     /* 1949336 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1949422), // Rule ID 24703 //
     /* 1949341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949387 */     // MIs[0] policy
     /* 1949387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949421 */     // GIR_Coverage, 24703,
     /* 1949421 */     GIR_EraseRootFromParent_Done,
     /* 1949422 */   // Label 26140: @1949422
     /* 1949422 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1949508), // Rule ID 24704 //
     /* 1949427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949473 */     // MIs[0] policy
     /* 1949473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1949486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949507 */     // GIR_Coverage, 24704,
     /* 1949507 */     GIR_EraseRootFromParent_Done,
     /* 1949508 */   // Label 26141: @1949508
     /* 1949508 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1949594), // Rule ID 24707 //
     /* 1949513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949559 */     // MIs[0] policy
     /* 1949559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1949572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949593 */     // GIR_Coverage, 24707,
     /* 1949593 */     GIR_EraseRootFromParent_Done,
     /* 1949594 */   // Label 26142: @1949594
     /* 1949594 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1949680), // Rule ID 24708 //
     /* 1949599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949645 */     // MIs[0] policy
     /* 1949645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1949658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949679 */     // GIR_Coverage, 24708,
     /* 1949679 */     GIR_EraseRootFromParent_Done,
     /* 1949680 */   // Label 26143: @1949680
     /* 1949680 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1949766), // Rule ID 24711 //
     /* 1949685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1949688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949731 */     // MIs[0] policy
     /* 1949731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1949744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949765 */     // GIR_Coverage, 24711,
     /* 1949765 */     GIR_EraseRootFromParent_Done,
     /* 1949766 */   // Label 26144: @1949766
     /* 1949766 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1949852), // Rule ID 24712 //
     /* 1949771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1949774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949817 */     // MIs[0] policy
     /* 1949817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1949830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949851 */     // GIR_Coverage, 24712,
     /* 1949851 */     GIR_EraseRootFromParent_Done,
     /* 1949852 */   // Label 26145: @1949852
     /* 1949852 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1949938), // Rule ID 24715 //
     /* 1949857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1949860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949903 */     // MIs[0] policy
     /* 1949903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949913 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1949916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949937 */     // GIR_Coverage, 24715,
     /* 1949937 */     GIR_EraseRootFromParent_Done,
     /* 1949938 */   // Label 26146: @1949938
     /* 1949938 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950024), // Rule ID 24716 //
     /* 1949943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1949946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1949954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1949957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1949960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949989 */     // MIs[0] policy
     /* 1949989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1950002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950023 */     // GIR_Coverage, 24716,
     /* 1950023 */     GIR_EraseRootFromParent_Done,
     /* 1950024 */   // Label 26147: @1950024
     /* 1950024 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950110), // Rule ID 24719 //
     /* 1950029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1950032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950075 */     // MIs[0] policy
     /* 1950075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950109 */     // GIR_Coverage, 24719,
     /* 1950109 */     GIR_EraseRootFromParent_Done,
     /* 1950110 */   // Label 26148: @1950110
     /* 1950110 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1950196), // Rule ID 24720 //
     /* 1950115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1950118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950161 */     // MIs[0] policy
     /* 1950161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1950174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950195 */     // GIR_Coverage, 24720,
     /* 1950195 */     GIR_EraseRootFromParent_Done,
     /* 1950196 */   // Label 26149: @1950196
     /* 1950196 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1950282), // Rule ID 24723 //
     /* 1950201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950247 */     // MIs[0] policy
     /* 1950247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950281 */     // GIR_Coverage, 24723,
     /* 1950281 */     GIR_EraseRootFromParent_Done,
     /* 1950282 */   // Label 26150: @1950282
     /* 1950282 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1950368), // Rule ID 24724 //
     /* 1950287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1950307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950333 */     // MIs[0] policy
     /* 1950333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950343 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1950346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950367 */     // GIR_Coverage, 24724,
     /* 1950367 */     GIR_EraseRootFromParent_Done,
     /* 1950368 */   // Label 26151: @1950368
     /* 1950368 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1950454), // Rule ID 24727 //
     /* 1950373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950419 */     // MIs[0] policy
     /* 1950419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950429 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950453 */     // GIR_Coverage, 24727,
     /* 1950453 */     GIR_EraseRootFromParent_Done,
     /* 1950454 */   // Label 26152: @1950454
     /* 1950454 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1950540), // Rule ID 24728 //
     /* 1950459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950505 */     // MIs[0] policy
     /* 1950505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1950518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950539 */     // GIR_Coverage, 24728,
     /* 1950539 */     GIR_EraseRootFromParent_Done,
     /* 1950540 */   // Label 26153: @1950540
     /* 1950540 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1950626), // Rule ID 24731 //
     /* 1950545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950591 */     // MIs[0] policy
     /* 1950591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950601 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1950604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950625 */     // GIR_Coverage, 24731,
     /* 1950625 */     GIR_EraseRootFromParent_Done,
     /* 1950626 */   // Label 26154: @1950626
     /* 1950626 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1950712), // Rule ID 24732 //
     /* 1950631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950677 */     // MIs[0] policy
     /* 1950677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950687 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1950690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950711 */     // GIR_Coverage, 24732,
     /* 1950711 */     GIR_EraseRootFromParent_Done,
     /* 1950712 */   // Label 26155: @1950712
     /* 1950712 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1950798), // Rule ID 24735 //
     /* 1950717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1950737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950763 */     // MIs[0] policy
     /* 1950763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950773 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1950776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950797 */     // GIR_Coverage, 24735,
     /* 1950797 */     GIR_EraseRootFromParent_Done,
     /* 1950798 */   // Label 26156: @1950798
     /* 1950798 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1950884), // Rule ID 24736 //
     /* 1950803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1950823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950849 */     // MIs[0] policy
     /* 1950849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1950862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950883 */     // GIR_Coverage, 24736,
     /* 1950883 */     GIR_EraseRootFromParent_Done,
     /* 1950884 */   // Label 26157: @1950884
     /* 1950884 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1950970), // Rule ID 24739 //
     /* 1950889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1950900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1950903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1950906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1950909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950935 */     // MIs[0] policy
     /* 1950935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950945 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1950948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950969 */     // GIR_Coverage, 24739,
     /* 1950969 */     GIR_EraseRootFromParent_Done,
     /* 1950970 */   // Label 26158: @1950970
     /* 1950970 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951056), // Rule ID 24740 //
     /* 1950975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1950986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1950989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1950992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1950995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951021 */     // MIs[0] policy
     /* 1951021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951031 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1951034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951055 */     // GIR_Coverage, 24740,
     /* 1951055 */     GIR_EraseRootFromParent_Done,
     /* 1951056 */   // Label 26159: @1951056
     /* 1951056 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1951142), // Rule ID 24743 //
     /* 1951061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951107 */     // MIs[0] policy
     /* 1951107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951117 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951141 */     // GIR_Coverage, 24743,
     /* 1951141 */     GIR_EraseRootFromParent_Done,
     /* 1951142 */   // Label 26160: @1951142
     /* 1951142 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1951228), // Rule ID 24744 //
     /* 1951147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1951167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951193 */     // MIs[0] policy
     /* 1951193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951203 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1951206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951227 */     // GIR_Coverage, 24744,
     /* 1951227 */     GIR_EraseRootFromParent_Done,
     /* 1951228 */   // Label 26161: @1951228
     /* 1951228 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1951314), // Rule ID 24747 //
     /* 1951233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951279 */     // MIs[0] policy
     /* 1951279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951313 */     // GIR_Coverage, 24747,
     /* 1951313 */     GIR_EraseRootFromParent_Done,
     /* 1951314 */   // Label 26162: @1951314
     /* 1951314 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1951400), // Rule ID 24748 //
     /* 1951319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1951339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951365 */     // MIs[0] policy
     /* 1951365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951375 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1951378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951399 */     // GIR_Coverage, 24748,
     /* 1951399 */     GIR_EraseRootFromParent_Done,
     /* 1951400 */   // Label 26163: @1951400
     /* 1951400 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1951486), // Rule ID 24751 //
     /* 1951405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951451 */     // MIs[0] policy
     /* 1951451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951461 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951485 */     // GIR_Coverage, 24751,
     /* 1951485 */     GIR_EraseRootFromParent_Done,
     /* 1951486 */   // Label 26164: @1951486
     /* 1951486 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1951572), // Rule ID 24752 //
     /* 1951491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1951511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951537 */     // MIs[0] policy
     /* 1951537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951547 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1951550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951571 */     // GIR_Coverage, 24752,
     /* 1951571 */     GIR_EraseRootFromParent_Done,
     /* 1951572 */   // Label 26165: @1951572
     /* 1951572 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1951658), // Rule ID 24755 //
     /* 1951577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1951597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951623 */     // MIs[0] policy
     /* 1951623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1951636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951657 */     // GIR_Coverage, 24755,
     /* 1951657 */     GIR_EraseRootFromParent_Done,
     /* 1951658 */   // Label 26166: @1951658
     /* 1951658 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1951744), // Rule ID 24756 //
     /* 1951663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1951683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951709 */     // MIs[0] policy
     /* 1951709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951719 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1951722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951743 */     // GIR_Coverage, 24756,
     /* 1951743 */     GIR_EraseRootFromParent_Done,
     /* 1951744 */   // Label 26167: @1951744
     /* 1951744 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1951830), // Rule ID 24759 //
     /* 1951749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951795 */     // MIs[0] policy
     /* 1951795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951805 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1951808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951829 */     // GIR_Coverage, 24759,
     /* 1951829 */     GIR_EraseRootFromParent_Done,
     /* 1951830 */   // Label 26168: @1951830
     /* 1951830 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1951916), // Rule ID 24760 //
     /* 1951835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951881 */     // MIs[0] policy
     /* 1951881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951891 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1951894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951915 */     // GIR_Coverage, 24760,
     /* 1951915 */     GIR_EraseRootFromParent_Done,
     /* 1951916 */   // Label 26169: @1951916
     /* 1951916 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952002), // Rule ID 24763 //
     /* 1951921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951967 */     // MIs[0] policy
     /* 1951967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952001 */     // GIR_Coverage, 24763,
     /* 1952001 */     GIR_EraseRootFromParent_Done,
     /* 1952002 */   // Label 26170: @1952002
     /* 1952002 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952088), // Rule ID 24764 //
     /* 1952007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952053 */     // MIs[0] policy
     /* 1952053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952063 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952087 */     // GIR_Coverage, 24764,
     /* 1952087 */     GIR_EraseRootFromParent_Done,
     /* 1952088 */   // Label 26171: @1952088
     /* 1952088 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1952174), // Rule ID 24767 //
     /* 1952093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952139 */     // MIs[0] policy
     /* 1952139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952173 */     // GIR_Coverage, 24767,
     /* 1952173 */     GIR_EraseRootFromParent_Done,
     /* 1952174 */   // Label 26172: @1952174
     /* 1952174 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1952260), // Rule ID 24768 //
     /* 1952179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952225 */     // MIs[0] policy
     /* 1952225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952235 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1952238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952259 */     // GIR_Coverage, 24768,
     /* 1952259 */     GIR_EraseRootFromParent_Done,
     /* 1952260 */   // Label 26173: @1952260
     /* 1952260 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1952346), // Rule ID 24771 //
     /* 1952265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952311 */     // MIs[0] policy
     /* 1952311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952321 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952345 */     // GIR_Coverage, 24771,
     /* 1952345 */     GIR_EraseRootFromParent_Done,
     /* 1952346 */   // Label 26174: @1952346
     /* 1952346 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1952432), // Rule ID 24772 //
     /* 1952351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952397 */     // MIs[0] policy
     /* 1952397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952407 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952431 */     // GIR_Coverage, 24772,
     /* 1952431 */     GIR_EraseRootFromParent_Done,
     /* 1952432 */   // Label 26175: @1952432
     /* 1952432 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1952518), // Rule ID 24775 //
     /* 1952437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952483 */     // MIs[0] policy
     /* 1952483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952493 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952517 */     // GIR_Coverage, 24775,
     /* 1952517 */     GIR_EraseRootFromParent_Done,
     /* 1952518 */   // Label 26176: @1952518
     /* 1952518 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1952604), // Rule ID 24776 //
     /* 1952523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952569 */     // MIs[0] policy
     /* 1952569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952579 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1952582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952603 */     // GIR_Coverage, 24776,
     /* 1952603 */     GIR_EraseRootFromParent_Done,
     /* 1952604 */   // Label 26177: @1952604
     /* 1952604 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1952690), // Rule ID 24779 //
     /* 1952609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952655 */     // MIs[0] policy
     /* 1952655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952689 */     // GIR_Coverage, 24779,
     /* 1952689 */     GIR_EraseRootFromParent_Done,
     /* 1952690 */   // Label 26178: @1952690
     /* 1952690 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1952776), // Rule ID 24780 //
     /* 1952695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952741 */     // MIs[0] policy
     /* 1952741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952751 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952775 */     // GIR_Coverage, 24780,
     /* 1952775 */     GIR_EraseRootFromParent_Done,
     /* 1952776 */   // Label 26179: @1952776
     /* 1952776 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1952862), // Rule ID 24783 //
     /* 1952781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952827 */     // MIs[0] policy
     /* 1952827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952861 */     // GIR_Coverage, 24783,
     /* 1952861 */     GIR_EraseRootFromParent_Done,
     /* 1952862 */   // Label 26180: @1952862
     /* 1952862 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1952948), // Rule ID 24784 //
     /* 1952867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952913 */     // MIs[0] policy
     /* 1952913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1952926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952947 */     // GIR_Coverage, 24784,
     /* 1952947 */     GIR_EraseRootFromParent_Done,
     /* 1952948 */   // Label 26181: @1952948
     /* 1952948 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953034), // Rule ID 24787 //
     /* 1952953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1952956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1952964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1952967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1952970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952999 */     // MIs[0] policy
     /* 1952999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953009 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953033 */     // GIR_Coverage, 24787,
     /* 1953033 */     GIR_EraseRootFromParent_Done,
     /* 1953034 */   // Label 26182: @1953034
     /* 1953034 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953120), // Rule ID 24788 //
     /* 1953039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953085 */     // MIs[0] policy
     /* 1953085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953095 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953119 */     // GIR_Coverage, 24788,
     /* 1953119 */     GIR_EraseRootFromParent_Done,
     /* 1953120 */   // Label 26183: @1953120
     /* 1953120 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1953206), // Rule ID 24791 //
     /* 1953125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953171 */     // MIs[0] policy
     /* 1953171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953205 */     // GIR_Coverage, 24791,
     /* 1953205 */     GIR_EraseRootFromParent_Done,
     /* 1953206 */   // Label 26184: @1953206
     /* 1953206 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1953292), // Rule ID 24792 //
     /* 1953211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953257 */     // MIs[0] policy
     /* 1953257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953267 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1953270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953291 */     // GIR_Coverage, 24792,
     /* 1953291 */     GIR_EraseRootFromParent_Done,
     /* 1953292 */   // Label 26185: @1953292
     /* 1953292 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1953378), // Rule ID 24831 //
     /* 1953297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953343 */     // MIs[0] policy
     /* 1953343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953353 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953377 */     // GIR_Coverage, 24831,
     /* 1953377 */     GIR_EraseRootFromParent_Done,
     /* 1953378 */   // Label 26186: @1953378
     /* 1953378 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1953464), // Rule ID 24832 //
     /* 1953383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953429 */     // MIs[0] policy
     /* 1953429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953439 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1953442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953463 */     // GIR_Coverage, 24832,
     /* 1953463 */     GIR_EraseRootFromParent_Done,
     /* 1953464 */   // Label 26187: @1953464
     /* 1953464 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1953550), // Rule ID 24835 //
     /* 1953469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953515 */     // MIs[0] policy
     /* 1953515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953525 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953549 */     // GIR_Coverage, 24835,
     /* 1953549 */     GIR_EraseRootFromParent_Done,
     /* 1953550 */   // Label 26188: @1953550
     /* 1953550 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1953636), // Rule ID 24836 //
     /* 1953555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953601 */     // MIs[0] policy
     /* 1953601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953611 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1953614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953635 */     // GIR_Coverage, 24836,
     /* 1953635 */     GIR_EraseRootFromParent_Done,
     /* 1953636 */   // Label 26189: @1953636
     /* 1953636 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1953722), // Rule ID 24839 //
     /* 1953641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953687 */     // MIs[0] policy
     /* 1953687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1953700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953721 */     // GIR_Coverage, 24839,
     /* 1953721 */     GIR_EraseRootFromParent_Done,
     /* 1953722 */   // Label 26190: @1953722
     /* 1953722 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1953808), // Rule ID 24840 //
     /* 1953727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953773 */     // MIs[0] policy
     /* 1953773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953783 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1953786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953807 */     // GIR_Coverage, 24840,
     /* 1953807 */     GIR_EraseRootFromParent_Done,
     /* 1953808 */   // Label 26191: @1953808
     /* 1953808 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1953894), // Rule ID 24843 //
     /* 1953813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953859 */     // MIs[0] policy
     /* 1953859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953869 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1953872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953893 */     // GIR_Coverage, 24843,
     /* 1953893 */     GIR_EraseRootFromParent_Done,
     /* 1953894 */   // Label 26192: @1953894
     /* 1953894 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1953980), // Rule ID 24844 //
     /* 1953899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953945 */     // MIs[0] policy
     /* 1953945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953955 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1953958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953979 */     // GIR_Coverage, 24844,
     /* 1953979 */     GIR_EraseRootFromParent_Done,
     /* 1953980 */   // Label 26193: @1953980
     /* 1953980 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954066), // Rule ID 24847 //
     /* 1953985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1953996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1953999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954031 */     // MIs[0] policy
     /* 1954031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954041 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954065 */     // GIR_Coverage, 24847,
     /* 1954065 */     GIR_EraseRootFromParent_Done,
     /* 1954066 */   // Label 26194: @1954066
     /* 1954066 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1954152), // Rule ID 24848 //
     /* 1954071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1954082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1954085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1954088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954117 */     // MIs[0] policy
     /* 1954117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1954130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954151 */     // GIR_Coverage, 24848,
     /* 1954151 */     GIR_EraseRootFromParent_Done,
     /* 1954152 */   // Label 26195: @1954152
     /* 1954152 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1954238), // Rule ID 24851 //
     /* 1954157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954203 */     // MIs[0] policy
     /* 1954203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954213 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954237 */     // GIR_Coverage, 24851,
     /* 1954237 */     GIR_EraseRootFromParent_Done,
     /* 1954238 */   // Label 26196: @1954238
     /* 1954238 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1954324), // Rule ID 24852 //
     /* 1954243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1954263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954289 */     // MIs[0] policy
     /* 1954289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954299 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1954302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954323 */     // GIR_Coverage, 24852,
     /* 1954323 */     GIR_EraseRootFromParent_Done,
     /* 1954324 */   // Label 26197: @1954324
     /* 1954324 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1954410), // Rule ID 24855 //
     /* 1954329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954375 */     // MIs[0] policy
     /* 1954375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954385 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954409 */     // GIR_Coverage, 24855,
     /* 1954409 */     GIR_EraseRootFromParent_Done,
     /* 1954410 */   // Label 26198: @1954410
     /* 1954410 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1954496), // Rule ID 24856 //
     /* 1954415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954461 */     // MIs[0] policy
     /* 1954461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954471 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954495 */     // GIR_Coverage, 24856,
     /* 1954495 */     GIR_EraseRootFromParent_Done,
     /* 1954496 */   // Label 26199: @1954496
     /* 1954496 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1954582), // Rule ID 24859 //
     /* 1954501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954547 */     // MIs[0] policy
     /* 1954547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954557 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954581 */     // GIR_Coverage, 24859,
     /* 1954581 */     GIR_EraseRootFromParent_Done,
     /* 1954582 */   // Label 26200: @1954582
     /* 1954582 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1954668), // Rule ID 24860 //
     /* 1954587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954633 */     // MIs[0] policy
     /* 1954633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954643 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954667 */     // GIR_Coverage, 24860,
     /* 1954667 */     GIR_EraseRootFromParent_Done,
     /* 1954668 */   // Label 26201: @1954668
     /* 1954668 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1954754), // Rule ID 24863 //
     /* 1954673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954719 */     // MIs[0] policy
     /* 1954719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954729 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1954732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954753 */     // GIR_Coverage, 24863,
     /* 1954753 */     GIR_EraseRootFromParent_Done,
     /* 1954754 */   // Label 26202: @1954754
     /* 1954754 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1954840), // Rule ID 24864 //
     /* 1954759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954805 */     // MIs[0] policy
     /* 1954805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1954818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954839 */     // GIR_Coverage, 24864,
     /* 1954839 */     GIR_EraseRootFromParent_Done,
     /* 1954840 */   // Label 26203: @1954840
     /* 1954840 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1954926), // Rule ID 24867 //
     /* 1954845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954891 */     // MIs[0] policy
     /* 1954891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1954904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954925 */     // GIR_Coverage, 24867,
     /* 1954925 */     GIR_EraseRootFromParent_Done,
     /* 1954926 */   // Label 26204: @1954926
     /* 1954926 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955012), // Rule ID 24868 //
     /* 1954931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1954942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1954945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1954948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954977 */     // MIs[0] policy
     /* 1954977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1954990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955011 */     // GIR_Coverage, 24868,
     /* 1955011 */     GIR_EraseRootFromParent_Done,
     /* 1955012 */   // Label 26205: @1955012
     /* 1955012 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955098), // Rule ID 24871 //
     /* 1955017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955063 */     // MIs[0] policy
     /* 1955063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955097 */     // GIR_Coverage, 24871,
     /* 1955097 */     GIR_EraseRootFromParent_Done,
     /* 1955098 */   // Label 26206: @1955098
     /* 1955098 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1955184), // Rule ID 24872 //
     /* 1955103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955149 */     // MIs[0] policy
     /* 1955149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1955162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955183 */     // GIR_Coverage, 24872,
     /* 1955183 */     GIR_EraseRootFromParent_Done,
     /* 1955184 */   // Label 26207: @1955184
     /* 1955184 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1955270), // Rule ID 24875 //
     /* 1955189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1955192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955235 */     // MIs[0] policy
     /* 1955235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955245 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955269 */     // GIR_Coverage, 24875,
     /* 1955269 */     GIR_EraseRootFromParent_Done,
     /* 1955270 */   // Label 26208: @1955270
     /* 1955270 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1955356), // Rule ID 24876 //
     /* 1955275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1955278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955321 */     // MIs[0] policy
     /* 1955321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955331 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1955334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955355 */     // GIR_Coverage, 24876,
     /* 1955355 */     GIR_EraseRootFromParent_Done,
     /* 1955356 */   // Label 26209: @1955356
     /* 1955356 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1955442), // Rule ID 24903 //
     /* 1955361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955407 */     // MIs[0] policy
     /* 1955407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955417 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955441 */     // GIR_Coverage, 24903,
     /* 1955441 */     GIR_EraseRootFromParent_Done,
     /* 1955442 */   // Label 26210: @1955442
     /* 1955442 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1955528), // Rule ID 24904 //
     /* 1955447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1955458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1955461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955493 */     // MIs[0] policy
     /* 1955493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955503 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1955506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955527 */     // GIR_Coverage, 24904,
     /* 1955527 */     GIR_EraseRootFromParent_Done,
     /* 1955528 */   // Label 26211: @1955528
     /* 1955528 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1955614), // Rule ID 24907 //
     /* 1955533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955579 */     // MIs[0] policy
     /* 1955579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955589 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1955592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955613 */     // GIR_Coverage, 24907,
     /* 1955613 */     GIR_EraseRootFromParent_Done,
     /* 1955614 */   // Label 26212: @1955614
     /* 1955614 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1955700), // Rule ID 24908 //
     /* 1955619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1955630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1955633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1955639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955665 */     // MIs[0] policy
     /* 1955665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955675 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1955678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955699 */     // GIR_Coverage, 24908,
     /* 1955699 */     GIR_EraseRootFromParent_Done,
     /* 1955700 */   // Label 26213: @1955700
     /* 1955700 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1955786), // Rule ID 24911 //
     /* 1955705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1955708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955751 */     // MIs[0] policy
     /* 1955751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1955764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955785 */     // GIR_Coverage, 24911,
     /* 1955785 */     GIR_EraseRootFromParent_Done,
     /* 1955786 */   // Label 26214: @1955786
     /* 1955786 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1955872), // Rule ID 24912 //
     /* 1955791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1955794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955837 */     // MIs[0] policy
     /* 1955837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955847 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1955850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955871 */     // GIR_Coverage, 24912,
     /* 1955871 */     GIR_EraseRootFromParent_Done,
     /* 1955872 */   // Label 26215: @1955872
     /* 1955872 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1955958), // Rule ID 24915 //
     /* 1955877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955923 */     // MIs[0] policy
     /* 1955923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955933 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1955936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955957 */     // GIR_Coverage, 24915,
     /* 1955957 */     GIR_EraseRootFromParent_Done,
     /* 1955958 */   // Label 26216: @1955958
     /* 1955958 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956044), // Rule ID 24916 //
     /* 1955963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956009 */     // MIs[0] policy
     /* 1956009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956019 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1956022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956043 */     // GIR_Coverage, 24916,
     /* 1956043 */     GIR_EraseRootFromParent_Done,
     /* 1956044 */   // Label 26217: @1956044
     /* 1956044 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1956130), // Rule ID 24919 //
     /* 1956049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956095 */     // MIs[0] policy
     /* 1956095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956105 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956129 */     // GIR_Coverage, 24919,
     /* 1956129 */     GIR_EraseRootFromParent_Done,
     /* 1956130 */   // Label 26218: @1956130
     /* 1956130 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1956216), // Rule ID 24920 //
     /* 1956135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956181 */     // MIs[0] policy
     /* 1956181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1956194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956215 */     // GIR_Coverage, 24920,
     /* 1956215 */     GIR_EraseRootFromParent_Done,
     /* 1956216 */   // Label 26219: @1956216
     /* 1956216 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1956302), // Rule ID 24923 //
     /* 1956221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956267 */     // MIs[0] policy
     /* 1956267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956301 */     // GIR_Coverage, 24923,
     /* 1956301 */     GIR_EraseRootFromParent_Done,
     /* 1956302 */   // Label 26220: @1956302
     /* 1956302 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1956388), // Rule ID 24924 //
     /* 1956307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1956327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956353 */     // MIs[0] policy
     /* 1956353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956363 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1956366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956387 */     // GIR_Coverage, 24924,
     /* 1956387 */     GIR_EraseRootFromParent_Done,
     /* 1956388 */   // Label 26221: @1956388
     /* 1956388 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1956474), // Rule ID 24927 //
     /* 1956393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956439 */     // MIs[0] policy
     /* 1956439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956473 */     // GIR_Coverage, 24927,
     /* 1956473 */     GIR_EraseRootFromParent_Done,
     /* 1956474 */   // Label 26222: @1956474
     /* 1956474 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1956560), // Rule ID 24928 //
     /* 1956479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956525 */     // MIs[0] policy
     /* 1956525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956535 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1956538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956559 */     // GIR_Coverage, 24928,
     /* 1956559 */     GIR_EraseRootFromParent_Done,
     /* 1956560 */   // Label 26223: @1956560
     /* 1956560 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1956646), // Rule ID 24931 //
     /* 1956565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956611 */     // MIs[0] policy
     /* 1956611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956621 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956645 */     // GIR_Coverage, 24931,
     /* 1956645 */     GIR_EraseRootFromParent_Done,
     /* 1956646 */   // Label 26224: @1956646
     /* 1956646 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1956732), // Rule ID 24932 //
     /* 1956651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956697 */     // MIs[0] policy
     /* 1956697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956707 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1956710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956731 */     // GIR_Coverage, 24932,
     /* 1956731 */     GIR_EraseRootFromParent_Done,
     /* 1956732 */   // Label 26225: @1956732
     /* 1956732 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1956818), // Rule ID 24935 //
     /* 1956737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1956740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956783 */     // MIs[0] policy
     /* 1956783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956793 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956817 */     // GIR_Coverage, 24935,
     /* 1956817 */     GIR_EraseRootFromParent_Done,
     /* 1956818 */   // Label 26226: @1956818
     /* 1956818 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1956904), // Rule ID 24936 //
     /* 1956823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1956826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1956843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956869 */     // MIs[0] policy
     /* 1956869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956879 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1956882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956903 */     // GIR_Coverage, 24936,
     /* 1956903 */     GIR_EraseRootFromParent_Done,
     /* 1956904 */   // Label 26227: @1956904
     /* 1956904 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1956990), // Rule ID 24939 //
     /* 1956909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956955 */     // MIs[0] policy
     /* 1956955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956965 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1956968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956989 */     // GIR_Coverage, 24939,
     /* 1956989 */     GIR_EraseRootFromParent_Done,
     /* 1956990 */   // Label 26228: @1956990
     /* 1956990 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957076), // Rule ID 24940 //
     /* 1956995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957041 */     // MIs[0] policy
     /* 1957041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957051 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1957054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957075 */     // GIR_Coverage, 24940,
     /* 1957075 */     GIR_EraseRootFromParent_Done,
     /* 1957076 */   // Label 26229: @1957076
     /* 1957076 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1957162), // Rule ID 24943 //
     /* 1957081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957127 */     // MIs[0] policy
     /* 1957127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957137 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957161 */     // GIR_Coverage, 24943,
     /* 1957161 */     GIR_EraseRootFromParent_Done,
     /* 1957162 */   // Label 26230: @1957162
     /* 1957162 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1957248), // Rule ID 24944 //
     /* 1957167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957213 */     // MIs[0] policy
     /* 1957213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957223 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1957226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957247 */     // GIR_Coverage, 24944,
     /* 1957247 */     GIR_EraseRootFromParent_Done,
     /* 1957248 */   // Label 26231: @1957248
     /* 1957248 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1957334), // Rule ID 24947 //
     /* 1957253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1957256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957299 */     // MIs[0] policy
     /* 1957299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957333 */     // GIR_Coverage, 24947,
     /* 1957333 */     GIR_EraseRootFromParent_Done,
     /* 1957334 */   // Label 26232: @1957334
     /* 1957334 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1957420), // Rule ID 24948 //
     /* 1957339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1957342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1957359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957385 */     // MIs[0] policy
     /* 1957385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957395 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1957398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957419 */     // GIR_Coverage, 24948,
     /* 1957419 */     GIR_EraseRootFromParent_Done,
     /* 1957420 */   // Label 26233: @1957420
     /* 1957420 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1957506), // Rule ID 24951 //
     /* 1957425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957471 */     // MIs[0] policy
     /* 1957471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957481 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957505 */     // GIR_Coverage, 24951,
     /* 1957505 */     GIR_EraseRootFromParent_Done,
     /* 1957506 */   // Label 26234: @1957506
     /* 1957506 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1957592), // Rule ID 24952 //
     /* 1957511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957557 */     // MIs[0] policy
     /* 1957557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1957570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957591 */     // GIR_Coverage, 24952,
     /* 1957591 */     GIR_EraseRootFromParent_Done,
     /* 1957592 */   // Label 26235: @1957592
     /* 1957592 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1957678), // Rule ID 24955 //
     /* 1957597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957643 */     // MIs[0] policy
     /* 1957643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957677 */     // GIR_Coverage, 24955,
     /* 1957677 */     GIR_EraseRootFromParent_Done,
     /* 1957678 */   // Label 26236: @1957678
     /* 1957678 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1957764), // Rule ID 24956 //
     /* 1957683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1957703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957729 */     // MIs[0] policy
     /* 1957729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957739 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1957742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957763 */     // GIR_Coverage, 24956,
     /* 1957763 */     GIR_EraseRootFromParent_Done,
     /* 1957764 */   // Label 26237: @1957764
     /* 1957764 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1957850), // Rule ID 24959 //
     /* 1957769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1957772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957815 */     // MIs[0] policy
     /* 1957815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957825 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957849 */     // GIR_Coverage, 24959,
     /* 1957849 */     GIR_EraseRootFromParent_Done,
     /* 1957850 */   // Label 26238: @1957850
     /* 1957850 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1957936), // Rule ID 24960 //
     /* 1957855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1957858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1957875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957901 */     // MIs[0] policy
     /* 1957901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957911 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1957914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957935 */     // GIR_Coverage, 24960,
     /* 1957935 */     GIR_EraseRootFromParent_Done,
     /* 1957936 */   // Label 26239: @1957936
     /* 1957936 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958022), // Rule ID 60659 //
     /* 1957941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1957958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1957961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957987 */     // MIs[0] policy
     /* 1957987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958021 */     // GIR_Coverage, 60659,
     /* 1958021 */     GIR_EraseRootFromParent_Done,
     /* 1958022 */   // Label 26240: @1958022
     /* 1958022 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958108), // Rule ID 60660 //
     /* 1958027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1958047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958073 */     // MIs[0] policy
     /* 1958073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1958086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958107 */     // GIR_Coverage, 60660,
     /* 1958107 */     GIR_EraseRootFromParent_Done,
     /* 1958108 */   // Label 26241: @1958108
     /* 1958108 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1958194), // Rule ID 60663 //
     /* 1958113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958159 */     // MIs[0] policy
     /* 1958159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958193 */     // GIR_Coverage, 60663,
     /* 1958193 */     GIR_EraseRootFromParent_Done,
     /* 1958194 */   // Label 26242: @1958194
     /* 1958194 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1958280), // Rule ID 60664 //
     /* 1958199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1958219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958245 */     // MIs[0] policy
     /* 1958245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1958258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958279 */     // GIR_Coverage, 60664,
     /* 1958279 */     GIR_EraseRootFromParent_Done,
     /* 1958280 */   // Label 26243: @1958280
     /* 1958280 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1958366), // Rule ID 60667 //
     /* 1958285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958331 */     // MIs[0] policy
     /* 1958331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958365 */     // GIR_Coverage, 60667,
     /* 1958365 */     GIR_EraseRootFromParent_Done,
     /* 1958366 */   // Label 26244: @1958366
     /* 1958366 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1958452), // Rule ID 60668 //
     /* 1958371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1958391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958417 */     // MIs[0] policy
     /* 1958417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958451 */     // GIR_Coverage, 60668,
     /* 1958451 */     GIR_EraseRootFromParent_Done,
     /* 1958452 */   // Label 26245: @1958452
     /* 1958452 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1958538), // Rule ID 60671 //
     /* 1958457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958503 */     // MIs[0] policy
     /* 1958503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958537 */     // GIR_Coverage, 60671,
     /* 1958537 */     GIR_EraseRootFromParent_Done,
     /* 1958538 */   // Label 26246: @1958538
     /* 1958538 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1958624), // Rule ID 60672 //
     /* 1958543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958589 */     // MIs[0] policy
     /* 1958589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958623 */     // GIR_Coverage, 60672,
     /* 1958623 */     GIR_EraseRootFromParent_Done,
     /* 1958624 */   // Label 26247: @1958624
     /* 1958624 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1958710), // Rule ID 60675 //
     /* 1958629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958675 */     // MIs[0] policy
     /* 1958675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958685 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958709 */     // GIR_Coverage, 60675,
     /* 1958709 */     GIR_EraseRootFromParent_Done,
     /* 1958710 */   // Label 26248: @1958710
     /* 1958710 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1958796), // Rule ID 60676 //
     /* 1958715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958761 */     // MIs[0] policy
     /* 1958761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958795 */     // GIR_Coverage, 60676,
     /* 1958795 */     GIR_EraseRootFromParent_Done,
     /* 1958796 */   // Label 26249: @1958796
     /* 1958796 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1958882), // Rule ID 60679 //
     /* 1958801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958847 */     // MIs[0] policy
     /* 1958847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958881 */     // GIR_Coverage, 60679,
     /* 1958881 */     GIR_EraseRootFromParent_Done,
     /* 1958882 */   // Label 26250: @1958882
     /* 1958882 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1958968), // Rule ID 60680 //
     /* 1958887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958933 */     // MIs[0] policy
     /* 1958933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958967 */     // GIR_Coverage, 60680,
     /* 1958967 */     GIR_EraseRootFromParent_Done,
     /* 1958968 */   // Label 26251: @1958968
     /* 1958968 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959054), // Rule ID 60683 //
     /* 1958973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1958990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959019 */     // MIs[0] policy
     /* 1959019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959029 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959053 */     // GIR_Coverage, 60683,
     /* 1959053 */     GIR_EraseRootFromParent_Done,
     /* 1959054 */   // Label 26252: @1959054
     /* 1959054 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1959140), // Rule ID 60684 //
     /* 1959059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1959070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1959073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959105 */     // MIs[0] policy
     /* 1959105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1959118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959139 */     // GIR_Coverage, 60684,
     /* 1959139 */     GIR_EraseRootFromParent_Done,
     /* 1959140 */   // Label 26253: @1959140
     /* 1959140 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1959226), // Rule ID 60687 //
     /* 1959145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959191 */     // MIs[0] policy
     /* 1959191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959225 */     // GIR_Coverage, 60687,
     /* 1959225 */     GIR_EraseRootFromParent_Done,
     /* 1959226 */   // Label 26254: @1959226
     /* 1959226 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1959312), // Rule ID 60688 //
     /* 1959231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959277 */     // MIs[0] policy
     /* 1959277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959311 */     // GIR_Coverage, 60688,
     /* 1959311 */     GIR_EraseRootFromParent_Done,
     /* 1959312 */   // Label 26255: @1959312
     /* 1959312 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1959398), // Rule ID 60691 //
     /* 1959317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959363 */     // MIs[0] policy
     /* 1959363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959397 */     // GIR_Coverage, 60691,
     /* 1959397 */     GIR_EraseRootFromParent_Done,
     /* 1959398 */   // Label 26256: @1959398
     /* 1959398 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1959484), // Rule ID 60692 //
     /* 1959403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959449 */     // MIs[0] policy
     /* 1959449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1959462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959483 */     // GIR_Coverage, 60692,
     /* 1959483 */     GIR_EraseRootFromParent_Done,
     /* 1959484 */   // Label 26257: @1959484
     /* 1959484 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1959570), // Rule ID 60695 //
     /* 1959489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959535 */     // MIs[0] policy
     /* 1959535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959569 */     // GIR_Coverage, 60695,
     /* 1959569 */     GIR_EraseRootFromParent_Done,
     /* 1959570 */   // Label 26258: @1959570
     /* 1959570 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1959656), // Rule ID 60696 //
     /* 1959575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959621 */     // MIs[0] policy
     /* 1959621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959655 */     // GIR_Coverage, 60696,
     /* 1959655 */     GIR_EraseRootFromParent_Done,
     /* 1959656 */   // Label 26259: @1959656
     /* 1959656 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1959742), // Rule ID 60699 //
     /* 1959661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959707 */     // MIs[0] policy
     /* 1959707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959741 */     // GIR_Coverage, 60699,
     /* 1959741 */     GIR_EraseRootFromParent_Done,
     /* 1959742 */   // Label 26260: @1959742
     /* 1959742 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1959828), // Rule ID 60700 //
     /* 1959747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959793 */     // MIs[0] policy
     /* 1959793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959827 */     // GIR_Coverage, 60700,
     /* 1959827 */     GIR_EraseRootFromParent_Done,
     /* 1959828 */   // Label 26261: @1959828
     /* 1959828 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1959914), // Rule ID 60703 //
     /* 1959833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1959850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1959853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959879 */     // MIs[0] policy
     /* 1959879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959913 */     // GIR_Coverage, 60703,
     /* 1959913 */     GIR_EraseRootFromParent_Done,
     /* 1959914 */   // Label 26262: @1959914
     /* 1959914 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960000), // Rule ID 60704 //
     /* 1959919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1959936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1959939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959965 */     // MIs[0] policy
     /* 1959965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1959978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959999 */     // GIR_Coverage, 60704,
     /* 1959999 */     GIR_EraseRootFromParent_Done,
     /* 1960000 */   // Label 26263: @1960000
     /* 1960000 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960086), // Rule ID 60707 //
     /* 1960005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960051 */     // MIs[0] policy
     /* 1960051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960085 */     // GIR_Coverage, 60707,
     /* 1960085 */     GIR_EraseRootFromParent_Done,
     /* 1960086 */   // Label 26264: @1960086
     /* 1960086 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1960172), // Rule ID 60708 //
     /* 1960091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1960102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1960105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1960111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960137 */     // MIs[0] policy
     /* 1960137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1960150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960171 */     // GIR_Coverage, 60708,
     /* 1960171 */     GIR_EraseRootFromParent_Done,
     /* 1960172 */   // Label 26265: @1960172
     /* 1960172 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1960258), // Rule ID 60711 //
     /* 1960177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960223 */     // MIs[0] policy
     /* 1960223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960257 */     // GIR_Coverage, 60711,
     /* 1960257 */     GIR_EraseRootFromParent_Done,
     /* 1960258 */   // Label 26266: @1960258
     /* 1960258 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1960344), // Rule ID 60712 //
     /* 1960263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1960274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1960277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1960283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960309 */     // MIs[0] policy
     /* 1960309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1960322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960343 */     // GIR_Coverage, 60712,
     /* 1960343 */     GIR_EraseRootFromParent_Done,
     /* 1960344 */   // Label 26267: @1960344
     /* 1960344 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1960430), // Rule ID 60715 //
     /* 1960349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960395 */     // MIs[0] policy
     /* 1960395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960429 */     // GIR_Coverage, 60715,
     /* 1960429 */     GIR_EraseRootFromParent_Done,
     /* 1960430 */   // Label 26268: @1960430
     /* 1960430 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1960516), // Rule ID 60716 //
     /* 1960435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960481 */     // MIs[0] policy
     /* 1960481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960491 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1960494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960515 */     // GIR_Coverage, 60716,
     /* 1960515 */     GIR_EraseRootFromParent_Done,
     /* 1960516 */   // Label 26269: @1960516
     /* 1960516 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1960602), // Rule ID 60719 //
     /* 1960521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960567 */     // MIs[0] policy
     /* 1960567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1960580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960601 */     // GIR_Coverage, 60719,
     /* 1960601 */     GIR_EraseRootFromParent_Done,
     /* 1960602 */   // Label 26270: @1960602
     /* 1960602 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1960688), // Rule ID 60720 //
     /* 1960607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960653 */     // MIs[0] policy
     /* 1960653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960663 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1960666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960687 */     // GIR_Coverage, 60720,
     /* 1960687 */     GIR_EraseRootFromParent_Done,
     /* 1960688 */   // Label 26271: @1960688
     /* 1960688 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1960774), // Rule ID 60727 //
     /* 1960693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960739 */     // MIs[0] policy
     /* 1960739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960773 */     // GIR_Coverage, 60727,
     /* 1960773 */     GIR_EraseRootFromParent_Done,
     /* 1960774 */   // Label 26272: @1960774
     /* 1960774 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1960860), // Rule ID 60728 //
     /* 1960779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960825 */     // MIs[0] policy
     /* 1960825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960835 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960859 */     // GIR_Coverage, 60728,
     /* 1960859 */     GIR_EraseRootFromParent_Done,
     /* 1960860 */   // Label 26273: @1960860
     /* 1960860 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1960946), // Rule ID 60735 //
     /* 1960865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960911 */     // MIs[0] policy
     /* 1960911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1960924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960945 */     // GIR_Coverage, 60735,
     /* 1960945 */     GIR_EraseRootFromParent_Done,
     /* 1960946 */   // Label 26274: @1960946
     /* 1960946 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961032), // Rule ID 60736 //
     /* 1960951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960997 */     // MIs[0] policy
     /* 1960997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961031 */     // GIR_Coverage, 60736,
     /* 1961031 */     GIR_EraseRootFromParent_Done,
     /* 1961032 */   // Label 26275: @1961032
     /* 1961032 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961118), // Rule ID 60743 //
     /* 1961037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961083 */     // MIs[0] policy
     /* 1961083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961117 */     // GIR_Coverage, 60743,
     /* 1961117 */     GIR_EraseRootFromParent_Done,
     /* 1961118 */   // Label 26276: @1961118
     /* 1961118 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1961204), // Rule ID 60744 //
     /* 1961123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961169 */     // MIs[0] policy
     /* 1961169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961203 */     // GIR_Coverage, 60744,
     /* 1961203 */     GIR_EraseRootFromParent_Done,
     /* 1961204 */   // Label 26277: @1961204
     /* 1961204 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1961290), // Rule ID 60751 //
     /* 1961209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961255 */     // MIs[0] policy
     /* 1961255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961289 */     // GIR_Coverage, 60751,
     /* 1961289 */     GIR_EraseRootFromParent_Done,
     /* 1961290 */   // Label 26278: @1961290
     /* 1961290 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1961376), // Rule ID 60752 //
     /* 1961295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961341 */     // MIs[0] policy
     /* 1961341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961375 */     // GIR_Coverage, 60752,
     /* 1961375 */     GIR_EraseRootFromParent_Done,
     /* 1961376 */   // Label 26279: @1961376
     /* 1961376 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1961462), // Rule ID 60759 //
     /* 1961381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961427 */     // MIs[0] policy
     /* 1961427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961437 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961461 */     // GIR_Coverage, 60759,
     /* 1961461 */     GIR_EraseRootFromParent_Done,
     /* 1961462 */   // Label 26280: @1961462
     /* 1961462 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1961548), // Rule ID 60760 //
     /* 1961467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961513 */     // MIs[0] policy
     /* 1961513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961547 */     // GIR_Coverage, 60760,
     /* 1961547 */     GIR_EraseRootFromParent_Done,
     /* 1961548 */   // Label 26281: @1961548
     /* 1961548 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1961634), // Rule ID 60767 //
     /* 1961553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961599 */     // MIs[0] policy
     /* 1961599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961633 */     // GIR_Coverage, 60767,
     /* 1961633 */     GIR_EraseRootFromParent_Done,
     /* 1961634 */   // Label 26282: @1961634
     /* 1961634 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1961720), // Rule ID 60768 //
     /* 1961639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961685 */     // MIs[0] policy
     /* 1961685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1961698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961719 */     // GIR_Coverage, 60768,
     /* 1961719 */     GIR_EraseRootFromParent_Done,
     /* 1961720 */   // Label 26283: @1961720
     /* 1961720 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1961806), // Rule ID 60775 //
     /* 1961725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961771 */     // MIs[0] policy
     /* 1961771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961805 */     // GIR_Coverage, 60775,
     /* 1961805 */     GIR_EraseRootFromParent_Done,
     /* 1961806 */   // Label 26284: @1961806
     /* 1961806 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1961892), // Rule ID 60776 //
     /* 1961811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961857 */     // MIs[0] policy
     /* 1961857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961891 */     // GIR_Coverage, 60776,
     /* 1961891 */     GIR_EraseRootFromParent_Done,
     /* 1961892 */   // Label 26285: @1961892
     /* 1961892 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1961978), // Rule ID 60783 //
     /* 1961897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961943 */     // MIs[0] policy
     /* 1961943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961977 */     // GIR_Coverage, 60783,
     /* 1961977 */     GIR_EraseRootFromParent_Done,
     /* 1961978 */   // Label 26286: @1961978
     /* 1961978 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962064), // Rule ID 60784 //
     /* 1961983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962029 */     // MIs[0] policy
     /* 1962029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962063 */     // GIR_Coverage, 60784,
     /* 1962063 */     GIR_EraseRootFromParent_Done,
     /* 1962064 */   // Label 26287: @1962064
     /* 1962064 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1962150), // Rule ID 60791 //
     /* 1962069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962115 */     // MIs[0] policy
     /* 1962115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962149 */     // GIR_Coverage, 60791,
     /* 1962149 */     GIR_EraseRootFromParent_Done,
     /* 1962150 */   // Label 26288: @1962150
     /* 1962150 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1962236), // Rule ID 60792 //
     /* 1962155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962201 */     // MIs[0] policy
     /* 1962201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962235 */     // GIR_Coverage, 60792,
     /* 1962235 */     GIR_EraseRootFromParent_Done,
     /* 1962236 */   // Label 26289: @1962236
     /* 1962236 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1962322), // Rule ID 60799 //
     /* 1962241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962287 */     // MIs[0] policy
     /* 1962287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962321 */     // GIR_Coverage, 60799,
     /* 1962321 */     GIR_EraseRootFromParent_Done,
     /* 1962322 */   // Label 26290: @1962322
     /* 1962322 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1962408), // Rule ID 60800 //
     /* 1962327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962373 */     // MIs[0] policy
     /* 1962373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962407 */     // GIR_Coverage, 60800,
     /* 1962407 */     GIR_EraseRootFromParent_Done,
     /* 1962408 */   // Label 26291: @1962408
     /* 1962408 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1962494), // Rule ID 60807 //
     /* 1962413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962459 */     // MIs[0] policy
     /* 1962459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962493 */     // GIR_Coverage, 60807,
     /* 1962493 */     GIR_EraseRootFromParent_Done,
     /* 1962494 */   // Label 26292: @1962494
     /* 1962494 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1962580), // Rule ID 60808 //
     /* 1962499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962545 */     // MIs[0] policy
     /* 1962545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1962558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962579 */     // GIR_Coverage, 60808,
     /* 1962579 */     GIR_EraseRootFromParent_Done,
     /* 1962580 */   // Label 26293: @1962580
     /* 1962580 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1962666), // Rule ID 60815 //
     /* 1962585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962631 */     // MIs[0] policy
     /* 1962631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962665 */     // GIR_Coverage, 60815,
     /* 1962665 */     GIR_EraseRootFromParent_Done,
     /* 1962666 */   // Label 26294: @1962666
     /* 1962666 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1962752), // Rule ID 60816 //
     /* 1962671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962717 */     // MIs[0] policy
     /* 1962717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1962730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962751 */     // GIR_Coverage, 60816,
     /* 1962751 */     GIR_EraseRootFromParent_Done,
     /* 1962752 */   // Label 26295: @1962752
     /* 1962752 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1962838), // Rule ID 60823 //
     /* 1962757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962803 */     // MIs[0] policy
     /* 1962803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962813 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962837 */     // GIR_Coverage, 60823,
     /* 1962837 */     GIR_EraseRootFromParent_Done,
     /* 1962838 */   // Label 26296: @1962838
     /* 1962838 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1962924), // Rule ID 60824 //
     /* 1962843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962889 */     // MIs[0] policy
     /* 1962889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1962902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962923 */     // GIR_Coverage, 60824,
     /* 1962923 */     GIR_EraseRootFromParent_Done,
     /* 1962924 */   // Label 26297: @1962924
     /* 1962924 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963010), // Rule ID 60831 //
     /* 1962929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962975 */     // MIs[0] policy
     /* 1962975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962985 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1962988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963009 */     // GIR_Coverage, 60831,
     /* 1963009 */     GIR_EraseRootFromParent_Done,
     /* 1963010 */   // Label 26298: @1963010
     /* 1963010 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963096), // Rule ID 60832 //
     /* 1963015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963061 */     // MIs[0] policy
     /* 1963061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963071 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1963074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963095 */     // GIR_Coverage, 60832,
     /* 1963095 */     GIR_EraseRootFromParent_Done,
     /* 1963096 */   // Label 26299: @1963096
     /* 1963096 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1963182), // Rule ID 60839 //
     /* 1963101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963147 */     // MIs[0] policy
     /* 1963147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963181 */     // GIR_Coverage, 60839,
     /* 1963181 */     GIR_EraseRootFromParent_Done,
     /* 1963182 */   // Label 26300: @1963182
     /* 1963182 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1963268), // Rule ID 60840 //
     /* 1963187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963233 */     // MIs[0] policy
     /* 1963233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1963246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963267 */     // GIR_Coverage, 60840,
     /* 1963267 */     GIR_EraseRootFromParent_Done,
     /* 1963268 */   // Label 26301: @1963268
     /* 1963268 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1963354), // Rule ID 60843 //
     /* 1963273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963319 */     // MIs[0] policy
     /* 1963319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963353 */     // GIR_Coverage, 60843,
     /* 1963353 */     GIR_EraseRootFromParent_Done,
     /* 1963354 */   // Label 26302: @1963354
     /* 1963354 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1963440), // Rule ID 60844 //
     /* 1963359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963405 */     // MIs[0] policy
     /* 1963405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1963418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963439 */     // GIR_Coverage, 60844,
     /* 1963439 */     GIR_EraseRootFromParent_Done,
     /* 1963440 */   // Label 26303: @1963440
     /* 1963440 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1963526), // Rule ID 60847 //
     /* 1963445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963491 */     // MIs[0] policy
     /* 1963491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963501 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963525 */     // GIR_Coverage, 60847,
     /* 1963525 */     GIR_EraseRootFromParent_Done,
     /* 1963526 */   // Label 26304: @1963526
     /* 1963526 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1963612), // Rule ID 60848 //
     /* 1963531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963577 */     // MIs[0] policy
     /* 1963577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1963590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963611 */     // GIR_Coverage, 60848,
     /* 1963611 */     GIR_EraseRootFromParent_Done,
     /* 1963612 */   // Label 26305: @1963612
     /* 1963612 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1963698), // Rule ID 60851 //
     /* 1963617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963663 */     // MIs[0] policy
     /* 1963663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1963676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963697 */     // GIR_Coverage, 60851,
     /* 1963697 */     GIR_EraseRootFromParent_Done,
     /* 1963698 */   // Label 26306: @1963698
     /* 1963698 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1963784), // Rule ID 60852 //
     /* 1963703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963749 */     // MIs[0] policy
     /* 1963749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963759 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1963762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963783 */     // GIR_Coverage, 60852,
     /* 1963783 */     GIR_EraseRootFromParent_Done,
     /* 1963784 */   // Label 26307: @1963784
     /* 1963784 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1963870), // Rule ID 60855 //
     /* 1963789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963835 */     // MIs[0] policy
     /* 1963835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1963848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963869 */     // GIR_Coverage, 60855,
     /* 1963869 */     GIR_EraseRootFromParent_Done,
     /* 1963870 */   // Label 26308: @1963870
     /* 1963870 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1963956), // Rule ID 60856 //
     /* 1963875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963921 */     // MIs[0] policy
     /* 1963921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1963934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963955 */     // GIR_Coverage, 60856,
     /* 1963955 */     GIR_EraseRootFromParent_Done,
     /* 1963956 */   // Label 26309: @1963956
     /* 1963956 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964042), // Rule ID 60859 //
     /* 1963961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964007 */     // MIs[0] policy
     /* 1964007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964041 */     // GIR_Coverage, 60859,
     /* 1964041 */     GIR_EraseRootFromParent_Done,
     /* 1964042 */   // Label 26310: @1964042
     /* 1964042 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1964128), // Rule ID 60860 //
     /* 1964047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964093 */     // MIs[0] policy
     /* 1964093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1964106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964127 */     // GIR_Coverage, 60860,
     /* 1964127 */     GIR_EraseRootFromParent_Done,
     /* 1964128 */   // Label 26311: @1964128
     /* 1964128 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1964214), // Rule ID 60863 //
     /* 1964133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964179 */     // MIs[0] policy
     /* 1964179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964213 */     // GIR_Coverage, 60863,
     /* 1964213 */     GIR_EraseRootFromParent_Done,
     /* 1964214 */   // Label 26312: @1964214
     /* 1964214 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1964300), // Rule ID 60864 //
     /* 1964219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964265 */     // MIs[0] policy
     /* 1964265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1964278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964299 */     // GIR_Coverage, 60864,
     /* 1964299 */     GIR_EraseRootFromParent_Done,
     /* 1964300 */   // Label 26313: @1964300
     /* 1964300 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1964386), // Rule ID 60867 //
     /* 1964305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964351 */     // MIs[0] policy
     /* 1964351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964385 */     // GIR_Coverage, 60867,
     /* 1964385 */     GIR_EraseRootFromParent_Done,
     /* 1964386 */   // Label 26314: @1964386
     /* 1964386 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1964472), // Rule ID 60868 //
     /* 1964391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1964399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964437 */     // MIs[0] policy
     /* 1964437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1964450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964471 */     // GIR_Coverage, 60868,
     /* 1964471 */     GIR_EraseRootFromParent_Done,
     /* 1964472 */   // Label 26315: @1964472
     /* 1964472 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1964558), // Rule ID 60871 //
     /* 1964477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964523 */     // MIs[0] policy
     /* 1964523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964557 */     // GIR_Coverage, 60871,
     /* 1964557 */     GIR_EraseRootFromParent_Done,
     /* 1964558 */   // Label 26316: @1964558
     /* 1964558 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1964644), // Rule ID 60872 //
     /* 1964563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1964583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964609 */     // MIs[0] policy
     /* 1964609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1964622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964643 */     // GIR_Coverage, 60872,
     /* 1964643 */     GIR_EraseRootFromParent_Done,
     /* 1964644 */   // Label 26317: @1964644
     /* 1964644 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1964730), // Rule ID 60875 //
     /* 1964649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1964669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964695 */     // MIs[0] policy
     /* 1964695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1964708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964729 */     // GIR_Coverage, 60875,
     /* 1964729 */     GIR_EraseRootFromParent_Done,
     /* 1964730 */   // Label 26318: @1964730
     /* 1964730 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1964816), // Rule ID 60876 //
     /* 1964735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1964755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964781 */     // MIs[0] policy
     /* 1964781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964791 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1964794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964815 */     // GIR_Coverage, 60876,
     /* 1964815 */     GIR_EraseRootFromParent_Done,
     /* 1964816 */   // Label 26319: @1964816
     /* 1964816 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1964902), // Rule ID 60879 //
     /* 1964821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964867 */     // MIs[0] policy
     /* 1964867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1964880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964901 */     // GIR_Coverage, 60879,
     /* 1964901 */     GIR_EraseRootFromParent_Done,
     /* 1964902 */   // Label 26320: @1964902
     /* 1964902 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1964988), // Rule ID 60880 //
     /* 1964907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964953 */     // MIs[0] policy
     /* 1964953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1964966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964987 */     // GIR_Coverage, 60880,
     /* 1964987 */     GIR_EraseRootFromParent_Done,
     /* 1964988 */   // Label 26321: @1964988
     /* 1964988 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965074), // Rule ID 60883 //
     /* 1964993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965039 */     // MIs[0] policy
     /* 1965039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965073 */     // GIR_Coverage, 60883,
     /* 1965073 */     GIR_EraseRootFromParent_Done,
     /* 1965074 */   // Label 26322: @1965074
     /* 1965074 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1965160), // Rule ID 60884 //
     /* 1965079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1965099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965125 */     // MIs[0] policy
     /* 1965125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965135 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1965138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965159 */     // GIR_Coverage, 60884,
     /* 1965159 */     GIR_EraseRootFromParent_Done,
     /* 1965160 */   // Label 26323: @1965160
     /* 1965160 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1965246), // Rule ID 60887 //
     /* 1965165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965211 */     // MIs[0] policy
     /* 1965211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965245 */     // GIR_Coverage, 60887,
     /* 1965245 */     GIR_EraseRootFromParent_Done,
     /* 1965246 */   // Label 26324: @1965246
     /* 1965246 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1965332), // Rule ID 60888 //
     /* 1965251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965297 */     // MIs[0] policy
     /* 1965297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1965310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965331 */     // GIR_Coverage, 60888,
     /* 1965331 */     GIR_EraseRootFromParent_Done,
     /* 1965332 */   // Label 26325: @1965332
     /* 1965332 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1965418), // Rule ID 60891 //
     /* 1965337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965383 */     // MIs[0] policy
     /* 1965383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965417 */     // GIR_Coverage, 60891,
     /* 1965417 */     GIR_EraseRootFromParent_Done,
     /* 1965418 */   // Label 26326: @1965418
     /* 1965418 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1965504), // Rule ID 60892 //
     /* 1965423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965469 */     // MIs[0] policy
     /* 1965469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965479 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1965482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965503 */     // GIR_Coverage, 60892,
     /* 1965503 */     GIR_EraseRootFromParent_Done,
     /* 1965504 */   // Label 26327: @1965504
     /* 1965504 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1965590), // Rule ID 60895 //
     /* 1965509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965555 */     // MIs[0] policy
     /* 1965555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965565 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1965568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965589 */     // GIR_Coverage, 60895,
     /* 1965589 */     GIR_EraseRootFromParent_Done,
     /* 1965590 */   // Label 26328: @1965590
     /* 1965590 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1965676), // Rule ID 60896 //
     /* 1965595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1965606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1965609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1965612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965641 */     // MIs[0] policy
     /* 1965641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1965654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965675 */     // GIR_Coverage, 60896,
     /* 1965675 */     GIR_EraseRootFromParent_Done,
     /* 1965676 */   // Label 26329: @1965676
     /* 1965676 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1965762), // Rule ID 60899 //
     /* 1965681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1965684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965727 */     // MIs[0] policy
     /* 1965727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1965740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965761 */     // GIR_Coverage, 60899,
     /* 1965761 */     GIR_EraseRootFromParent_Done,
     /* 1965762 */   // Label 26330: @1965762
     /* 1965762 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1965848), // Rule ID 60900 //
     /* 1965767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1965770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1965775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965813 */     // MIs[0] policy
     /* 1965813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1965826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965847 */     // GIR_Coverage, 60900,
     /* 1965847 */     GIR_EraseRootFromParent_Done,
     /* 1965848 */   // Label 26331: @1965848
     /* 1965848 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1965934), // Rule ID 60903 //
     /* 1965853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1965864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1965867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965899 */     // MIs[0] policy
     /* 1965899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965909 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1965912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965933 */     // GIR_Coverage, 60903,
     /* 1965933 */     GIR_EraseRootFromParent_Done,
     /* 1965934 */   // Label 26332: @1965934
     /* 1965934 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966020), // Rule ID 60904 //
     /* 1965939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1965950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1965953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965985 */     // MIs[0] policy
     /* 1965985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965995 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1965998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966019 */     // GIR_Coverage, 60904,
     /* 1966019 */     GIR_EraseRootFromParent_Done,
     /* 1966020 */   // Label 26333: @1966020
     /* 1966020 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966106), // Rule ID 60907 //
     /* 1966025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966071 */     // MIs[0] policy
     /* 1966071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966081 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966105 */     // GIR_Coverage, 60907,
     /* 1966105 */     GIR_EraseRootFromParent_Done,
     /* 1966106 */   // Label 26334: @1966106
     /* 1966106 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1966192), // Rule ID 60908 //
     /* 1966111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1966122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1966125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1966128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1966131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966157 */     // MIs[0] policy
     /* 1966157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966191 */     // GIR_Coverage, 60908,
     /* 1966191 */     GIR_EraseRootFromParent_Done,
     /* 1966192 */   // Label 26335: @1966192
     /* 1966192 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1966278), // Rule ID 60911 //
     /* 1966197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966243 */     // MIs[0] policy
     /* 1966243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966277 */     // GIR_Coverage, 60911,
     /* 1966277 */     GIR_EraseRootFromParent_Done,
     /* 1966278 */   // Label 26336: @1966278
     /* 1966278 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1966364), // Rule ID 60912 //
     /* 1966283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1966294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1966297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1966300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1966303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966329 */     // MIs[0] policy
     /* 1966329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966339 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966363 */     // GIR_Coverage, 60912,
     /* 1966363 */     GIR_EraseRootFromParent_Done,
     /* 1966364 */   // Label 26337: @1966364
     /* 1966364 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1966450), // Rule ID 60915 //
     /* 1966369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966415 */     // MIs[0] policy
     /* 1966415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966449 */     // GIR_Coverage, 60915,
     /* 1966449 */     GIR_EraseRootFromParent_Done,
     /* 1966450 */   // Label 26338: @1966450
     /* 1966450 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1966536), // Rule ID 60916 //
     /* 1966455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966501 */     // MIs[0] policy
     /* 1966501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966511 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1966514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966535 */     // GIR_Coverage, 60916,
     /* 1966535 */     GIR_EraseRootFromParent_Done,
     /* 1966536 */   // Label 26339: @1966536
     /* 1966536 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1966622), // Rule ID 60919 //
     /* 1966541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966587 */     // MIs[0] policy
     /* 1966587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966621 */     // GIR_Coverage, 60919,
     /* 1966621 */     GIR_EraseRootFromParent_Done,
     /* 1966622 */   // Label 26340: @1966622
     /* 1966622 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1966708), // Rule ID 60920 //
     /* 1966627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966673 */     // MIs[0] policy
     /* 1966673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966707 */     // GIR_Coverage, 60920,
     /* 1966707 */     GIR_EraseRootFromParent_Done,
     /* 1966708 */   // Label 26341: @1966708
     /* 1966708 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1966794), // Rule ID 60923 //
     /* 1966713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966759 */     // MIs[0] policy
     /* 1966759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966793 */     // GIR_Coverage, 60923,
     /* 1966793 */     GIR_EraseRootFromParent_Done,
     /* 1966794 */   // Label 26342: @1966794
     /* 1966794 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1966880), // Rule ID 60924 //
     /* 1966799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966845 */     // MIs[0] policy
     /* 1966845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1966858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966879 */     // GIR_Coverage, 60924,
     /* 1966879 */     GIR_EraseRootFromParent_Done,
     /* 1966880 */   // Label 26343: @1966880
     /* 1966880 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1966966), // Rule ID 60927 //
     /* 1966885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1966896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1966899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1966902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1966905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966931 */     // MIs[0] policy
     /* 1966931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966965 */     // GIR_Coverage, 60927,
     /* 1966965 */     GIR_EraseRootFromParent_Done,
     /* 1966966 */   // Label 26344: @1966966
     /* 1966966 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967052), // Rule ID 60928 //
     /* 1966971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1966982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1966985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1966988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1966991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967017 */     // MIs[0] policy
     /* 1967017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967051 */     // GIR_Coverage, 60928,
     /* 1967051 */     GIR_EraseRootFromParent_Done,
     /* 1967052 */   // Label 26345: @1967052
     /* 1967052 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1967138), // Rule ID 60931 //
     /* 1967057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967103 */     // MIs[0] policy
     /* 1967103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967137 */     // GIR_Coverage, 60931,
     /* 1967137 */     GIR_EraseRootFromParent_Done,
     /* 1967138 */   // Label 26346: @1967138
     /* 1967138 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1967224), // Rule ID 60932 //
     /* 1967143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967189 */     // MIs[0] policy
     /* 1967189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967199 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967223 */     // GIR_Coverage, 60932,
     /* 1967223 */     GIR_EraseRootFromParent_Done,
     /* 1967224 */   // Label 26347: @1967224
     /* 1967224 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1967310), // Rule ID 60935 //
     /* 1967229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967275 */     // MIs[0] policy
     /* 1967275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967309 */     // GIR_Coverage, 60935,
     /* 1967309 */     GIR_EraseRootFromParent_Done,
     /* 1967310 */   // Label 26348: @1967310
     /* 1967310 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1967396), // Rule ID 60936 //
     /* 1967315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967361 */     // MIs[0] policy
     /* 1967361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967395 */     // GIR_Coverage, 60936,
     /* 1967395 */     GIR_EraseRootFromParent_Done,
     /* 1967396 */   // Label 26349: @1967396
     /* 1967396 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1967482), // Rule ID 60939 //
     /* 1967401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967447 */     // MIs[0] policy
     /* 1967447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967481 */     // GIR_Coverage, 60939,
     /* 1967481 */     GIR_EraseRootFromParent_Done,
     /* 1967482 */   // Label 26350: @1967482
     /* 1967482 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1967568), // Rule ID 60940 //
     /* 1967487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967533 */     // MIs[0] policy
     /* 1967533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1967546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967567 */     // GIR_Coverage, 60940,
     /* 1967567 */     GIR_EraseRootFromParent_Done,
     /* 1967568 */   // Label 26351: @1967568
     /* 1967568 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1967654), // Rule ID 60943 //
     /* 1967573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967619 */     // MIs[0] policy
     /* 1967619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967629 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967653 */     // GIR_Coverage, 60943,
     /* 1967653 */     GIR_EraseRootFromParent_Done,
     /* 1967654 */   // Label 26352: @1967654
     /* 1967654 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1967740), // Rule ID 60944 //
     /* 1967659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967705 */     // MIs[0] policy
     /* 1967705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967739 */     // GIR_Coverage, 60944,
     /* 1967739 */     GIR_EraseRootFromParent_Done,
     /* 1967740 */   // Label 26353: @1967740
     /* 1967740 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1967826), // Rule ID 60947 //
     /* 1967745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967791 */     // MIs[0] policy
     /* 1967791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967825 */     // GIR_Coverage, 60947,
     /* 1967825 */     GIR_EraseRootFromParent_Done,
     /* 1967826 */   // Label 26354: @1967826
     /* 1967826 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1967912), // Rule ID 60948 //
     /* 1967831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967877 */     // MIs[0] policy
     /* 1967877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967887 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967911 */     // GIR_Coverage, 60948,
     /* 1967911 */     GIR_EraseRootFromParent_Done,
     /* 1967912 */   // Label 26355: @1967912
     /* 1967912 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1967998), // Rule ID 60951 //
     /* 1967917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1967928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1967931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1967934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1967937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1967940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967963 */     // MIs[0] policy
     /* 1967963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967973 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1967976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967997 */     // GIR_Coverage, 60951,
     /* 1967997 */     GIR_EraseRootFromParent_Done,
     /* 1967998 */   // Label 26356: @1967998
     /* 1967998 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968084), // Rule ID 60952 //
     /* 1968003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1968014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1968017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1968020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1968023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1968026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968049 */     // MIs[0] policy
     /* 1968049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968083 */     // GIR_Coverage, 60952,
     /* 1968083 */     GIR_EraseRootFromParent_Done,
     /* 1968084 */   // Label 26357: @1968084
     /* 1968084 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1968170), // Rule ID 60955 //
     /* 1968089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968135 */     // MIs[0] policy
     /* 1968135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968145 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968169 */     // GIR_Coverage, 60955,
     /* 1968169 */     GIR_EraseRootFromParent_Done,
     /* 1968170 */   // Label 26358: @1968170
     /* 1968170 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1968256), // Rule ID 60956 //
     /* 1968175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1968186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1968189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1968192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968221 */     // MIs[0] policy
     /* 1968221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968255 */     // GIR_Coverage, 60956,
     /* 1968255 */     GIR_EraseRootFromParent_Done,
     /* 1968256 */   // Label 26359: @1968256
     /* 1968256 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1968342), // Rule ID 60959 //
     /* 1968261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968307 */     // MIs[0] policy
     /* 1968307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968341 */     // GIR_Coverage, 60959,
     /* 1968341 */     GIR_EraseRootFromParent_Done,
     /* 1968342 */   // Label 26360: @1968342
     /* 1968342 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1968428), // Rule ID 60960 //
     /* 1968347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968393 */     // MIs[0] policy
     /* 1968393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968427 */     // GIR_Coverage, 60960,
     /* 1968427 */     GIR_EraseRootFromParent_Done,
     /* 1968428 */   // Label 26361: @1968428
     /* 1968428 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1968514), // Rule ID 60963 //
     /* 1968433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968479 */     // MIs[0] policy
     /* 1968479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968513 */     // GIR_Coverage, 60963,
     /* 1968513 */     GIR_EraseRootFromParent_Done,
     /* 1968514 */   // Label 26362: @1968514
     /* 1968514 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1968600), // Rule ID 60964 //
     /* 1968519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968565 */     // MIs[0] policy
     /* 1968565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968599 */     // GIR_Coverage, 60964,
     /* 1968599 */     GIR_EraseRootFromParent_Done,
     /* 1968600 */   // Label 26363: @1968600
     /* 1968600 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1968686), // Rule ID 60967 //
     /* 1968605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968651 */     // MIs[0] policy
     /* 1968651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968685 */     // GIR_Coverage, 60967,
     /* 1968685 */     GIR_EraseRootFromParent_Done,
     /* 1968686 */   // Label 26364: @1968686
     /* 1968686 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1968772), // Rule ID 60968 //
     /* 1968691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968737 */     // MIs[0] policy
     /* 1968737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968771 */     // GIR_Coverage, 60968,
     /* 1968771 */     GIR_EraseRootFromParent_Done,
     /* 1968772 */   // Label 26365: @1968772
     /* 1968772 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1968858), // Rule ID 60971 //
     /* 1968777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968823 */     // MIs[0] policy
     /* 1968823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968857 */     // GIR_Coverage, 60971,
     /* 1968857 */     GIR_EraseRootFromParent_Done,
     /* 1968858 */   // Label 26366: @1968858
     /* 1968858 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1968944), // Rule ID 60972 //
     /* 1968863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968909 */     // MIs[0] policy
     /* 1968909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968943 */     // GIR_Coverage, 60972,
     /* 1968943 */     GIR_EraseRootFromParent_Done,
     /* 1968944 */   // Label 26367: @1968944
     /* 1968944 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969030), // Rule ID 60975 //
     /* 1968949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1968969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968995 */     // MIs[0] policy
     /* 1968995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969029 */     // GIR_Coverage, 60975,
     /* 1969029 */     GIR_EraseRootFromParent_Done,
     /* 1969030 */   // Label 26368: @1969030
     /* 1969030 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969116), // Rule ID 60976 //
     /* 1969035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1969046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1969049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1969052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1969055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969081 */     // MIs[0] policy
     /* 1969081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969115 */     // GIR_Coverage, 60976,
     /* 1969115 */     GIR_EraseRootFromParent_Done,
     /* 1969116 */   // Label 26369: @1969116
     /* 1969116 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1969202), // Rule ID 60979 //
     /* 1969121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969167 */     // MIs[0] policy
     /* 1969167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969201 */     // GIR_Coverage, 60979,
     /* 1969201 */     GIR_EraseRootFromParent_Done,
     /* 1969202 */   // Label 26370: @1969202
     /* 1969202 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1969288), // Rule ID 60980 //
     /* 1969207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969253 */     // MIs[0] policy
     /* 1969253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1969266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969287 */     // GIR_Coverage, 60980,
     /* 1969287 */     GIR_EraseRootFromParent_Done,
     /* 1969288 */   // Label 26371: @1969288
     /* 1969288 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1969374), // Rule ID 60983 //
     /* 1969293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969339 */     // MIs[0] policy
     /* 1969339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969373 */     // GIR_Coverage, 60983,
     /* 1969373 */     GIR_EraseRootFromParent_Done,
     /* 1969374 */   // Label 26372: @1969374
     /* 1969374 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1969460), // Rule ID 60984 //
     /* 1969379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969425 */     // MIs[0] policy
     /* 1969425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1969438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969459 */     // GIR_Coverage, 60984,
     /* 1969459 */     GIR_EraseRootFromParent_Done,
     /* 1969460 */   // Label 26373: @1969460
     /* 1969460 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1969546), // Rule ID 60987 //
     /* 1969465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969511 */     // MIs[0] policy
     /* 1969511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969545 */     // GIR_Coverage, 60987,
     /* 1969545 */     GIR_EraseRootFromParent_Done,
     /* 1969546 */   // Label 26374: @1969546
     /* 1969546 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1969632), // Rule ID 60988 //
     /* 1969551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969597 */     // MIs[0] policy
     /* 1969597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1969610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969631 */     // GIR_Coverage, 60988,
     /* 1969631 */     GIR_EraseRootFromParent_Done,
     /* 1969632 */   // Label 26375: @1969632
     /* 1969632 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1969718), // Rule ID 60991 //
     /* 1969637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969683 */     // MIs[0] policy
     /* 1969683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1969696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969717 */     // GIR_Coverage, 60991,
     /* 1969717 */     GIR_EraseRootFromParent_Done,
     /* 1969718 */   // Label 26376: @1969718
     /* 1969718 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1969804), // Rule ID 60992 //
     /* 1969723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969769 */     // MIs[0] policy
     /* 1969769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1969782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969803 */     // GIR_Coverage, 60992,
     /* 1969803 */     GIR_EraseRootFromParent_Done,
     /* 1969804 */   // Label 26377: @1969804
     /* 1969804 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1969890), // Rule ID 60995 //
     /* 1969809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969855 */     // MIs[0] policy
     /* 1969855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969865 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1969868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969889 */     // GIR_Coverage, 60995,
     /* 1969889 */     GIR_EraseRootFromParent_Done,
     /* 1969890 */   // Label 26378: @1969890
     /* 1969890 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1969976), // Rule ID 60996 //
     /* 1969895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969941 */     // MIs[0] policy
     /* 1969941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969951 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1969954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969975 */     // GIR_Coverage, 60996,
     /* 1969975 */     GIR_EraseRootFromParent_Done,
     /* 1969976 */   // Label 26379: @1969976
     /* 1969976 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970062), // Rule ID 60999 //
     /* 1969981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1969992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1969995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1969998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970027 */     // MIs[0] policy
     /* 1970027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970061 */     // GIR_Coverage, 60999,
     /* 1970061 */     GIR_EraseRootFromParent_Done,
     /* 1970062 */   // Label 26380: @1970062
     /* 1970062 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1970148), // Rule ID 61000 //
     /* 1970067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970113 */     // MIs[0] policy
     /* 1970113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970147 */     // GIR_Coverage, 61000,
     /* 1970147 */     GIR_EraseRootFromParent_Done,
     /* 1970148 */   // Label 26381: @1970148
     /* 1970148 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1970234), // Rule ID 61003 //
     /* 1970153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970199 */     // MIs[0] policy
     /* 1970199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970233 */     // GIR_Coverage, 61003,
     /* 1970233 */     GIR_EraseRootFromParent_Done,
     /* 1970234 */   // Label 26382: @1970234
     /* 1970234 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1970320), // Rule ID 61004 //
     /* 1970239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970285 */     // MIs[0] policy
     /* 1970285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970295 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1970298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970319 */     // GIR_Coverage, 61004,
     /* 1970319 */     GIR_EraseRootFromParent_Done,
     /* 1970320 */   // Label 26383: @1970320
     /* 1970320 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1970406), // Rule ID 61007 //
     /* 1970325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970371 */     // MIs[0] policy
     /* 1970371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970381 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970405 */     // GIR_Coverage, 61007,
     /* 1970405 */     GIR_EraseRootFromParent_Done,
     /* 1970406 */   // Label 26384: @1970406
     /* 1970406 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1970492), // Rule ID 61008 //
     /* 1970411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970457 */     // MIs[0] policy
     /* 1970457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970491 */     // GIR_Coverage, 61008,
     /* 1970491 */     GIR_EraseRootFromParent_Done,
     /* 1970492 */   // Label 26385: @1970492
     /* 1970492 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1970578), // Rule ID 61011 //
     /* 1970497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970543 */     // MIs[0] policy
     /* 1970543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970577 */     // GIR_Coverage, 61011,
     /* 1970577 */     GIR_EraseRootFromParent_Done,
     /* 1970578 */   // Label 26386: @1970578
     /* 1970578 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1970664), // Rule ID 61012 //
     /* 1970583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970629 */     // MIs[0] policy
     /* 1970629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1970642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970663 */     // GIR_Coverage, 61012,
     /* 1970663 */     GIR_EraseRootFromParent_Done,
     /* 1970664 */   // Label 26387: @1970664
     /* 1970664 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1970750), // Rule ID 61015 //
     /* 1970669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970715 */     // MIs[0] policy
     /* 1970715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970725 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970749 */     // GIR_Coverage, 61015,
     /* 1970749 */     GIR_EraseRootFromParent_Done,
     /* 1970750 */   // Label 26388: @1970750
     /* 1970750 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1970836), // Rule ID 61016 //
     /* 1970755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970801 */     // MIs[0] policy
     /* 1970801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970835 */     // GIR_Coverage, 61016,
     /* 1970835 */     GIR_EraseRootFromParent_Done,
     /* 1970836 */   // Label 26389: @1970836
     /* 1970836 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1970922), // Rule ID 61019 //
     /* 1970841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970887 */     // MIs[0] policy
     /* 1970887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970921 */     // GIR_Coverage, 61019,
     /* 1970921 */     GIR_EraseRootFromParent_Done,
     /* 1970922 */   // Label 26390: @1970922
     /* 1970922 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971008), // Rule ID 61020 //
     /* 1970927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970973 */     // MIs[0] policy
     /* 1970973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971007 */     // GIR_Coverage, 61020,
     /* 1971007 */     GIR_EraseRootFromParent_Done,
     /* 1971008 */   // Label 26391: @1971008
     /* 1971008 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971094), // Rule ID 61023 //
     /* 1971013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971059 */     // MIs[0] policy
     /* 1971059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971093 */     // GIR_Coverage, 61023,
     /* 1971093 */     GIR_EraseRootFromParent_Done,
     /* 1971094 */   // Label 26392: @1971094
     /* 1971094 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1971180), // Rule ID 61024 //
     /* 1971099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971145 */     // MIs[0] policy
     /* 1971145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971179 */     // GIR_Coverage, 61024,
     /* 1971179 */     GIR_EraseRootFromParent_Done,
     /* 1971180 */   // Label 26393: @1971180
     /* 1971180 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1971266), // Rule ID 61027 //
     /* 1971185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971231 */     // MIs[0] policy
     /* 1971231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971265 */     // GIR_Coverage, 61027,
     /* 1971265 */     GIR_EraseRootFromParent_Done,
     /* 1971266 */   // Label 26394: @1971266
     /* 1971266 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1971352), // Rule ID 61028 //
     /* 1971271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1971288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971317 */     // MIs[0] policy
     /* 1971317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1971330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971351 */     // GIR_Coverage, 61028,
     /* 1971351 */     GIR_EraseRootFromParent_Done,
     /* 1971352 */   // Label 26395: @1971352
     /* 1971352 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1971438), // Rule ID 61031 //
     /* 1971357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971403 */     // MIs[0] policy
     /* 1971403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971413 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971437 */     // GIR_Coverage, 61031,
     /* 1971437 */     GIR_EraseRootFromParent_Done,
     /* 1971438 */   // Label 26396: @1971438
     /* 1971438 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1971524), // Rule ID 61032 //
     /* 1971443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971489 */     // MIs[0] policy
     /* 1971489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971523 */     // GIR_Coverage, 61032,
     /* 1971523 */     GIR_EraseRootFromParent_Done,
     /* 1971524 */   // Label 26397: @1971524
     /* 1971524 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1971610), // Rule ID 61035 //
     /* 1971529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971575 */     // MIs[0] policy
     /* 1971575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971609 */     // GIR_Coverage, 61035,
     /* 1971609 */     GIR_EraseRootFromParent_Done,
     /* 1971610 */   // Label 26398: @1971610
     /* 1971610 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1971696), // Rule ID 61036 //
     /* 1971615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971661 */     // MIs[0] policy
     /* 1971661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971671 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971695 */     // GIR_Coverage, 61036,
     /* 1971695 */     GIR_EraseRootFromParent_Done,
     /* 1971696 */   // Label 26399: @1971696
     /* 1971696 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1971782), // Rule ID 61039 //
     /* 1971701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971747 */     // MIs[0] policy
     /* 1971747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971757 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971781 */     // GIR_Coverage, 61039,
     /* 1971781 */     GIR_EraseRootFromParent_Done,
     /* 1971782 */   // Label 26400: @1971782
     /* 1971782 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1971868), // Rule ID 61040 //
     /* 1971787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971833 */     // MIs[0] policy
     /* 1971833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971867 */     // GIR_Coverage, 61040,
     /* 1971867 */     GIR_EraseRootFromParent_Done,
     /* 1971868 */   // Label 26401: @1971868
     /* 1971868 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1971954), // Rule ID 61043 //
     /* 1971873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1971884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1971887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1971890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971919 */     // MIs[0] policy
     /* 1971919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971953 */     // GIR_Coverage, 61043,
     /* 1971953 */     GIR_EraseRootFromParent_Done,
     /* 1971954 */   // Label 26402: @1971954
     /* 1971954 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972040), // Rule ID 61044 //
     /* 1971959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1971970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1971973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1971976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972005 */     // MIs[0] policy
     /* 1972005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972039 */     // GIR_Coverage, 61044,
     /* 1972039 */     GIR_EraseRootFromParent_Done,
     /* 1972040 */   // Label 26403: @1972040
     /* 1972040 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1972126), // Rule ID 61047 //
     /* 1972045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972091 */     // MIs[0] policy
     /* 1972091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972125 */     // GIR_Coverage, 61047,
     /* 1972125 */     GIR_EraseRootFromParent_Done,
     /* 1972126 */   // Label 26404: @1972126
     /* 1972126 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1972212), // Rule ID 61048 //
     /* 1972131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972177 */     // MIs[0] policy
     /* 1972177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972211 */     // GIR_Coverage, 61048,
     /* 1972211 */     GIR_EraseRootFromParent_Done,
     /* 1972212 */   // Label 26405: @1972212
     /* 1972212 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1972298), // Rule ID 61051 //
     /* 1972217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972263 */     // MIs[0] policy
     /* 1972263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972297 */     // GIR_Coverage, 61051,
     /* 1972297 */     GIR_EraseRootFromParent_Done,
     /* 1972298 */   // Label 26406: @1972298
     /* 1972298 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1972384), // Rule ID 61052 //
     /* 1972303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972349 */     // MIs[0] policy
     /* 1972349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972383 */     // GIR_Coverage, 61052,
     /* 1972383 */     GIR_EraseRootFromParent_Done,
     /* 1972384 */   // Label 26407: @1972384
     /* 1972384 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1972470), // Rule ID 61055 //
     /* 1972389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972435 */     // MIs[0] policy
     /* 1972435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972469 */     // GIR_Coverage, 61055,
     /* 1972469 */     GIR_EraseRootFromParent_Done,
     /* 1972470 */   // Label 26408: @1972470
     /* 1972470 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1972556), // Rule ID 61056 //
     /* 1972475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972521 */     // MIs[0] policy
     /* 1972521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972555 */     // GIR_Coverage, 61056,
     /* 1972555 */     GIR_EraseRootFromParent_Done,
     /* 1972556 */   // Label 26409: @1972556
     /* 1972556 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1972642), // Rule ID 61059 //
     /* 1972561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972607 */     // MIs[0] policy
     /* 1972607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972641 */     // GIR_Coverage, 61059,
     /* 1972641 */     GIR_EraseRootFromParent_Done,
     /* 1972642 */   // Label 26410: @1972642
     /* 1972642 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1972728), // Rule ID 61060 //
     /* 1972647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972693 */     // MIs[0] policy
     /* 1972693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972727 */     // GIR_Coverage, 61060,
     /* 1972727 */     GIR_EraseRootFromParent_Done,
     /* 1972728 */   // Label 26411: @1972728
     /* 1972728 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1972814), // Rule ID 61063 //
     /* 1972733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972779 */     // MIs[0] policy
     /* 1972779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972813 */     // GIR_Coverage, 61063,
     /* 1972813 */     GIR_EraseRootFromParent_Done,
     /* 1972814 */   // Label 26412: @1972814
     /* 1972814 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1972900), // Rule ID 61064 //
     /* 1972819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972865 */     // MIs[0] policy
     /* 1972865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972899 */     // GIR_Coverage, 61064,
     /* 1972899 */     GIR_EraseRootFromParent_Done,
     /* 1972900 */   // Label 26413: @1972900
     /* 1972900 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1972986), // Rule ID 61067 //
     /* 1972905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972951 */     // MIs[0] policy
     /* 1972951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1972964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972985 */     // GIR_Coverage, 61067,
     /* 1972985 */     GIR_EraseRootFromParent_Done,
     /* 1972986 */   // Label 26414: @1972986
     /* 1972986 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973072), // Rule ID 61068 //
     /* 1972991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973037 */     // MIs[0] policy
     /* 1973037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1973050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973071 */     // GIR_Coverage, 61068,
     /* 1973071 */     GIR_EraseRootFromParent_Done,
     /* 1973072 */   // Label 26415: @1973072
     /* 1973072 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1973158), // Rule ID 61071 //
     /* 1973077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973123 */     // MIs[0] policy
     /* 1973123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973133 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973157 */     // GIR_Coverage, 61071,
     /* 1973157 */     GIR_EraseRootFromParent_Done,
     /* 1973158 */   // Label 26416: @1973158
     /* 1973158 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1973244), // Rule ID 61072 //
     /* 1973163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973209 */     // MIs[0] policy
     /* 1973209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1973222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973243 */     // GIR_Coverage, 61072,
     /* 1973243 */     GIR_EraseRootFromParent_Done,
     /* 1973244 */   // Label 26417: @1973244
     /* 1973244 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1973330), // Rule ID 61075 //
     /* 1973249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973295 */     // MIs[0] policy
     /* 1973295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973329 */     // GIR_Coverage, 61075,
     /* 1973329 */     GIR_EraseRootFromParent_Done,
     /* 1973330 */   // Label 26418: @1973330
     /* 1973330 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1973416), // Rule ID 61076 //
     /* 1973335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973381 */     // MIs[0] policy
     /* 1973381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1973394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973415 */     // GIR_Coverage, 61076,
     /* 1973415 */     GIR_EraseRootFromParent_Done,
     /* 1973416 */   // Label 26419: @1973416
     /* 1973416 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1973502), // Rule ID 61255 //
     /* 1973421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973467 */     // MIs[0] policy
     /* 1973467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973501 */     // GIR_Coverage, 61255,
     /* 1973501 */     GIR_EraseRootFromParent_Done,
     /* 1973502 */   // Label 26420: @1973502
     /* 1973502 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1973588), // Rule ID 61256 //
     /* 1973507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973553 */     // MIs[0] policy
     /* 1973553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1973566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973587 */     // GIR_Coverage, 61256,
     /* 1973587 */     GIR_EraseRootFromParent_Done,
     /* 1973588 */   // Label 26421: @1973588
     /* 1973588 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1973674), // Rule ID 61259 //
     /* 1973593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973639 */     // MIs[0] policy
     /* 1973639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1973652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973673 */     // GIR_Coverage, 61259,
     /* 1973673 */     GIR_EraseRootFromParent_Done,
     /* 1973674 */   // Label 26422: @1973674
     /* 1973674 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1973760), // Rule ID 61260 //
     /* 1973679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973725 */     // MIs[0] policy
     /* 1973725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973735 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1973738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973759 */     // GIR_Coverage, 61260,
     /* 1973759 */     GIR_EraseRootFromParent_Done,
     /* 1973760 */   // Label 26423: @1973760
     /* 1973760 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1973846), // Rule ID 61263 //
     /* 1973765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973811 */     // MIs[0] policy
     /* 1973811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973821 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973845 */     // GIR_Coverage, 61263,
     /* 1973845 */     GIR_EraseRootFromParent_Done,
     /* 1973846 */   // Label 26424: @1973846
     /* 1973846 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1973932), // Rule ID 61264 //
     /* 1973851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973897 */     // MIs[0] policy
     /* 1973897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973931 */     // GIR_Coverage, 61264,
     /* 1973931 */     GIR_EraseRootFromParent_Done,
     /* 1973932 */   // Label 26425: @1973932
     /* 1973932 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974018), // Rule ID 61267 //
     /* 1973937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973983 */     // MIs[0] policy
     /* 1973983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1973996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974017 */     // GIR_Coverage, 61267,
     /* 1974017 */     GIR_EraseRootFromParent_Done,
     /* 1974018 */   // Label 26426: @1974018
     /* 1974018 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974104), // Rule ID 61268 //
     /* 1974023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1974043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974069 */     // MIs[0] policy
     /* 1974069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1974082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974103 */     // GIR_Coverage, 61268,
     /* 1974103 */     GIR_EraseRootFromParent_Done,
     /* 1974104 */   // Label 26427: @1974104
     /* 1974104 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1974190), // Rule ID 61271 //
     /* 1974109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974155 */     // MIs[0] policy
     /* 1974155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974189 */     // GIR_Coverage, 61271,
     /* 1974189 */     GIR_EraseRootFromParent_Done,
     /* 1974190 */   // Label 26428: @1974190
     /* 1974190 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1974276), // Rule ID 61272 //
     /* 1974195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974241 */     // MIs[0] policy
     /* 1974241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974275 */     // GIR_Coverage, 61272,
     /* 1974275 */     GIR_EraseRootFromParent_Done,
     /* 1974276 */   // Label 26429: @1974276
     /* 1974276 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1974362), // Rule ID 61275 //
     /* 1974281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974327 */     // MIs[0] policy
     /* 1974327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974361 */     // GIR_Coverage, 61275,
     /* 1974361 */     GIR_EraseRootFromParent_Done,
     /* 1974362 */   // Label 26430: @1974362
     /* 1974362 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1974448), // Rule ID 61276 //
     /* 1974367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974413 */     // MIs[0] policy
     /* 1974413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974423 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1974426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974447 */     // GIR_Coverage, 61276,
     /* 1974447 */     GIR_EraseRootFromParent_Done,
     /* 1974448 */   // Label 26431: @1974448
     /* 1974448 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1974534), // Rule ID 61279 //
     /* 1974453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974499 */     // MIs[0] policy
     /* 1974499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974533 */     // GIR_Coverage, 61279,
     /* 1974533 */     GIR_EraseRootFromParent_Done,
     /* 1974534 */   // Label 26432: @1974534
     /* 1974534 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1974620), // Rule ID 61280 //
     /* 1974539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974585 */     // MIs[0] policy
     /* 1974585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974619 */     // GIR_Coverage, 61280,
     /* 1974619 */     GIR_EraseRootFromParent_Done,
     /* 1974620 */   // Label 26433: @1974620
     /* 1974620 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1974706), // Rule ID 61283 //
     /* 1974625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974671 */     // MIs[0] policy
     /* 1974671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974705 */     // GIR_Coverage, 61283,
     /* 1974705 */     GIR_EraseRootFromParent_Done,
     /* 1974706 */   // Label 26434: @1974706
     /* 1974706 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1974792), // Rule ID 61284 //
     /* 1974711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974757 */     // MIs[0] policy
     /* 1974757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974791 */     // GIR_Coverage, 61284,
     /* 1974791 */     GIR_EraseRootFromParent_Done,
     /* 1974792 */   // Label 26435: @1974792
     /* 1974792 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1974878), // Rule ID 61287 //
     /* 1974797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974843 */     // MIs[0] policy
     /* 1974843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974877 */     // GIR_Coverage, 61287,
     /* 1974877 */     GIR_EraseRootFromParent_Done,
     /* 1974878 */   // Label 26436: @1974878
     /* 1974878 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1974964), // Rule ID 61288 //
     /* 1974883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974929 */     // MIs[0] policy
     /* 1974929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1974942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974963 */     // GIR_Coverage, 61288,
     /* 1974963 */     GIR_EraseRootFromParent_Done,
     /* 1974964 */   // Label 26437: @1974964
     /* 1974964 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975050), // Rule ID 61291 //
     /* 1974969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975015 */     // MIs[0] policy
     /* 1975015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975049 */     // GIR_Coverage, 61291,
     /* 1975049 */     GIR_EraseRootFromParent_Done,
     /* 1975050 */   // Label 26438: @1975050
     /* 1975050 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1975136), // Rule ID 61292 //
     /* 1975055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975101 */     // MIs[0] policy
     /* 1975101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975111 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1975114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975135 */     // GIR_Coverage, 61292,
     /* 1975135 */     GIR_EraseRootFromParent_Done,
     /* 1975136 */   // Label 26439: @1975136
     /* 1975136 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1975222), // Rule ID 61295 //
     /* 1975141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975187 */     // MIs[0] policy
     /* 1975187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975221 */     // GIR_Coverage, 61295,
     /* 1975221 */     GIR_EraseRootFromParent_Done,
     /* 1975222 */   // Label 26440: @1975222
     /* 1975222 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1975308), // Rule ID 61296 //
     /* 1975227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975273 */     // MIs[0] policy
     /* 1975273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975307 */     // GIR_Coverage, 61296,
     /* 1975307 */     GIR_EraseRootFromParent_Done,
     /* 1975308 */   // Label 26441: @1975308
     /* 1975308 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1975394), // Rule ID 61299 //
     /* 1975313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975359 */     // MIs[0] policy
     /* 1975359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975393 */     // GIR_Coverage, 61299,
     /* 1975393 */     GIR_EraseRootFromParent_Done,
     /* 1975394 */   // Label 26442: @1975394
     /* 1975394 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1975480), // Rule ID 61300 //
     /* 1975399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975445 */     // MIs[0] policy
     /* 1975445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975455 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975479 */     // GIR_Coverage, 61300,
     /* 1975479 */     GIR_EraseRootFromParent_Done,
     /* 1975480 */   // Label 26443: @1975480
     /* 1975480 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1975566), // Rule ID 61303 //
     /* 1975485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975531 */     // MIs[0] policy
     /* 1975531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975541 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975565 */     // GIR_Coverage, 61303,
     /* 1975565 */     GIR_EraseRootFromParent_Done,
     /* 1975566 */   // Label 26444: @1975566
     /* 1975566 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1975652), // Rule ID 61304 //
     /* 1975571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975617 */     // MIs[0] policy
     /* 1975617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975651 */     // GIR_Coverage, 61304,
     /* 1975651 */     GIR_EraseRootFromParent_Done,
     /* 1975652 */   // Label 26445: @1975652
     /* 1975652 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1975738), // Rule ID 61307 //
     /* 1975657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975703 */     // MIs[0] policy
     /* 1975703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975713 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975737 */     // GIR_Coverage, 61307,
     /* 1975737 */     GIR_EraseRootFromParent_Done,
     /* 1975738 */   // Label 26446: @1975738
     /* 1975738 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1975824), // Rule ID 61308 //
     /* 1975743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975789 */     // MIs[0] policy
     /* 1975789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975823 */     // GIR_Coverage, 61308,
     /* 1975823 */     GIR_EraseRootFromParent_Done,
     /* 1975824 */   // Label 26447: @1975824
     /* 1975824 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1975910), // Rule ID 61311 //
     /* 1975829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975875 */     // MIs[0] policy
     /* 1975875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975909 */     // GIR_Coverage, 61311,
     /* 1975909 */     GIR_EraseRootFromParent_Done,
     /* 1975910 */   // Label 26448: @1975910
     /* 1975910 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1975996), // Rule ID 61312 //
     /* 1975915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975961 */     // MIs[0] policy
     /* 1975961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975995 */     // GIR_Coverage, 61312,
     /* 1975995 */     GIR_EraseRootFromParent_Done,
     /* 1975996 */   // Label 26449: @1975996
     /* 1975996 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976082), // Rule ID 61315 //
     /* 1976001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976047 */     // MIs[0] policy
     /* 1976047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976081 */     // GIR_Coverage, 61315,
     /* 1976081 */     GIR_EraseRootFromParent_Done,
     /* 1976082 */   // Label 26450: @1976082
     /* 1976082 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1976168), // Rule ID 61316 //
     /* 1976087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976133 */     // MIs[0] policy
     /* 1976133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976143 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976167 */     // GIR_Coverage, 61316,
     /* 1976167 */     GIR_EraseRootFromParent_Done,
     /* 1976168 */   // Label 26451: @1976168
     /* 1976168 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1976254), // Rule ID 61319 //
     /* 1976173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976219 */     // MIs[0] policy
     /* 1976219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976253 */     // GIR_Coverage, 61319,
     /* 1976253 */     GIR_EraseRootFromParent_Done,
     /* 1976254 */   // Label 26452: @1976254
     /* 1976254 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1976340), // Rule ID 61320 //
     /* 1976259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976305 */     // MIs[0] policy
     /* 1976305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976339 */     // GIR_Coverage, 61320,
     /* 1976339 */     GIR_EraseRootFromParent_Done,
     /* 1976340 */   // Label 26453: @1976340
     /* 1976340 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1976426), // Rule ID 61323 //
     /* 1976345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976391 */     // MIs[0] policy
     /* 1976391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976425 */     // GIR_Coverage, 61323,
     /* 1976425 */     GIR_EraseRootFromParent_Done,
     /* 1976426 */   // Label 26454: @1976426
     /* 1976426 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1976512), // Rule ID 61324 //
     /* 1976431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976477 */     // MIs[0] policy
     /* 1976477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976511 */     // GIR_Coverage, 61324,
     /* 1976511 */     GIR_EraseRootFromParent_Done,
     /* 1976512 */   // Label 26455: @1976512
     /* 1976512 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1976598), // Rule ID 61327 //
     /* 1976517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976563 */     // MIs[0] policy
     /* 1976563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976597 */     // GIR_Coverage, 61327,
     /* 1976597 */     GIR_EraseRootFromParent_Done,
     /* 1976598 */   // Label 26456: @1976598
     /* 1976598 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1976684), // Rule ID 61328 //
     /* 1976603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976649 */     // MIs[0] policy
     /* 1976649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1976662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976683 */     // GIR_Coverage, 61328,
     /* 1976683 */     GIR_EraseRootFromParent_Done,
     /* 1976684 */   // Label 26457: @1976684
     /* 1976684 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1976770), // Rule ID 61331 //
     /* 1976689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976735 */     // MIs[0] policy
     /* 1976735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976769 */     // GIR_Coverage, 61331,
     /* 1976769 */     GIR_EraseRootFromParent_Done,
     /* 1976770 */   // Label 26458: @1976770
     /* 1976770 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1976856), // Rule ID 61332 //
     /* 1976775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976821 */     // MIs[0] policy
     /* 1976821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1976834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976855 */     // GIR_Coverage, 61332,
     /* 1976855 */     GIR_EraseRootFromParent_Done,
     /* 1976856 */   // Label 26459: @1976856
     /* 1976856 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1976942), // Rule ID 61335 //
     /* 1976861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976907 */     // MIs[0] policy
     /* 1976907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976917 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1976920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976941 */     // GIR_Coverage, 61335,
     /* 1976941 */     GIR_EraseRootFromParent_Done,
     /* 1976942 */   // Label 26460: @1976942
     /* 1976942 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977028), // Rule ID 61336 //
     /* 1976947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976993 */     // MIs[0] policy
     /* 1976993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1977006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977027 */     // GIR_Coverage, 61336,
     /* 1977027 */     GIR_EraseRootFromParent_Done,
     /* 1977028 */   // Label 26461: @1977028
     /* 1977028 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977114), // Rule ID 61339 //
     /* 1977033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977079 */     // MIs[0] policy
     /* 1977079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977113 */     // GIR_Coverage, 61339,
     /* 1977113 */     GIR_EraseRootFromParent_Done,
     /* 1977114 */   // Label 26462: @1977114
     /* 1977114 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1977200), // Rule ID 61340 //
     /* 1977119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977165 */     // MIs[0] policy
     /* 1977165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1977178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977199 */     // GIR_Coverage, 61340,
     /* 1977199 */     GIR_EraseRootFromParent_Done,
     /* 1977200 */   // Label 26463: @1977200
     /* 1977200 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1977286), // Rule ID 61343 //
     /* 1977205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977251 */     // MIs[0] policy
     /* 1977251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977285 */     // GIR_Coverage, 61343,
     /* 1977285 */     GIR_EraseRootFromParent_Done,
     /* 1977286 */   // Label 26464: @1977286
     /* 1977286 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1977372), // Rule ID 61344 //
     /* 1977291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977337 */     // MIs[0] policy
     /* 1977337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1977350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977371 */     // GIR_Coverage, 61344,
     /* 1977371 */     GIR_EraseRootFromParent_Done,
     /* 1977372 */   // Label 26465: @1977372
     /* 1977372 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1977458), // Rule ID 61347 //
     /* 1977377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977423 */     // MIs[0] policy
     /* 1977423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977457 */     // GIR_Coverage, 61347,
     /* 1977457 */     GIR_EraseRootFromParent_Done,
     /* 1977458 */   // Label 26466: @1977458
     /* 1977458 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1977544), // Rule ID 61348 //
     /* 1977463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977509 */     // MIs[0] policy
     /* 1977509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977519 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977543 */     // GIR_Coverage, 61348,
     /* 1977543 */     GIR_EraseRootFromParent_Done,
     /* 1977544 */   // Label 26467: @1977544
     /* 1977544 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1977630), // Rule ID 61351 //
     /* 1977549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977595 */     // MIs[0] policy
     /* 1977595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977629 */     // GIR_Coverage, 61351,
     /* 1977629 */     GIR_EraseRootFromParent_Done,
     /* 1977630 */   // Label 26468: @1977630
     /* 1977630 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1977716), // Rule ID 61352 //
     /* 1977635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977681 */     // MIs[0] policy
     /* 1977681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977691 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977715 */     // GIR_Coverage, 61352,
     /* 1977715 */     GIR_EraseRootFromParent_Done,
     /* 1977716 */   // Label 26469: @1977716
     /* 1977716 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1977802), // Rule ID 61355 //
     /* 1977721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977767 */     // MIs[0] policy
     /* 1977767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977801 */     // GIR_Coverage, 61355,
     /* 1977801 */     GIR_EraseRootFromParent_Done,
     /* 1977802 */   // Label 26470: @1977802
     /* 1977802 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1977888), // Rule ID 61356 //
     /* 1977807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977853 */     // MIs[0] policy
     /* 1977853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1977866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977887 */     // GIR_Coverage, 61356,
     /* 1977887 */     GIR_EraseRootFromParent_Done,
     /* 1977888 */   // Label 26471: @1977888
     /* 1977888 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1977974), // Rule ID 61359 //
     /* 1977893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977939 */     // MIs[0] policy
     /* 1977939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977973 */     // GIR_Coverage, 61359,
     /* 1977973 */     GIR_EraseRootFromParent_Done,
     /* 1977974 */   // Label 26472: @1977974
     /* 1977974 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978060), // Rule ID 61360 //
     /* 1977979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978025 */     // MIs[0] policy
     /* 1978025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978059 */     // GIR_Coverage, 61360,
     /* 1978059 */     GIR_EraseRootFromParent_Done,
     /* 1978060 */   // Label 26473: @1978060
     /* 1978060 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1978146), // Rule ID 61363 //
     /* 1978065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978111 */     // MIs[0] policy
     /* 1978111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978145 */     // GIR_Coverage, 61363,
     /* 1978145 */     GIR_EraseRootFromParent_Done,
     /* 1978146 */   // Label 26474: @1978146
     /* 1978146 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1978232), // Rule ID 61364 //
     /* 1978151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978197 */     // MIs[0] policy
     /* 1978197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1978210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978231 */     // GIR_Coverage, 61364,
     /* 1978231 */     GIR_EraseRootFromParent_Done,
     /* 1978232 */   // Label 26475: @1978232
     /* 1978232 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1978318), // Rule ID 61367 //
     /* 1978237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978283 */     // MIs[0] policy
     /* 1978283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978317 */     // GIR_Coverage, 61367,
     /* 1978317 */     GIR_EraseRootFromParent_Done,
     /* 1978318 */   // Label 26476: @1978318
     /* 1978318 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1978404), // Rule ID 61368 //
     /* 1978323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978369 */     // MIs[0] policy
     /* 1978369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978403 */     // GIR_Coverage, 61368,
     /* 1978403 */     GIR_EraseRootFromParent_Done,
     /* 1978404 */   // Label 26477: @1978404
     /* 1978404 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1978490), // Rule ID 61371 //
     /* 1978409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978455 */     // MIs[0] policy
     /* 1978455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978489 */     // GIR_Coverage, 61371,
     /* 1978489 */     GIR_EraseRootFromParent_Done,
     /* 1978490 */   // Label 26478: @1978490
     /* 1978490 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1978576), // Rule ID 61372 //
     /* 1978495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978541 */     // MIs[0] policy
     /* 1978541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978575 */     // GIR_Coverage, 61372,
     /* 1978575 */     GIR_EraseRootFromParent_Done,
     /* 1978576 */   // Label 26479: @1978576
     /* 1978576 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1978662), // Rule ID 61375 //
     /* 1978581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978627 */     // MIs[0] policy
     /* 1978627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978661 */     // GIR_Coverage, 61375,
     /* 1978661 */     GIR_EraseRootFromParent_Done,
     /* 1978662 */   // Label 26480: @1978662
     /* 1978662 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1978748), // Rule ID 61376 //
     /* 1978667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978713 */     // MIs[0] policy
     /* 1978713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978747 */     // GIR_Coverage, 61376,
     /* 1978747 */     GIR_EraseRootFromParent_Done,
     /* 1978748 */   // Label 26481: @1978748
     /* 1978748 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1978834), // Rule ID 61379 //
     /* 1978753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978799 */     // MIs[0] policy
     /* 1978799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978833 */     // GIR_Coverage, 61379,
     /* 1978833 */     GIR_EraseRootFromParent_Done,
     /* 1978834 */   // Label 26482: @1978834
     /* 1978834 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1978920), // Rule ID 61380 //
     /* 1978839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978885 */     // MIs[0] policy
     /* 1978885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1978898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978919 */     // GIR_Coverage, 61380,
     /* 1978919 */     GIR_EraseRootFromParent_Done,
     /* 1978920 */   // Label 26483: @1978920
     /* 1978920 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979006), // Rule ID 61383 //
     /* 1978925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978971 */     // MIs[0] policy
     /* 1978971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1978984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979005 */     // GIR_Coverage, 61383,
     /* 1979005 */     GIR_EraseRootFromParent_Done,
     /* 1979006 */   // Label 26484: @1979006
     /* 1979006 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979092), // Rule ID 61384 //
     /* 1979011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979057 */     // MIs[0] policy
     /* 1979057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979091 */     // GIR_Coverage, 61384,
     /* 1979091 */     GIR_EraseRootFromParent_Done,
     /* 1979092 */   // Label 26485: @1979092
     /* 1979092 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1979178), // Rule ID 61387 //
     /* 1979097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979143 */     // MIs[0] policy
     /* 1979143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979177 */     // GIR_Coverage, 61387,
     /* 1979177 */     GIR_EraseRootFromParent_Done,
     /* 1979178 */   // Label 26486: @1979178
     /* 1979178 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1979264), // Rule ID 61388 //
     /* 1979183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979229 */     // MIs[0] policy
     /* 1979229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979239 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979263 */     // GIR_Coverage, 61388,
     /* 1979263 */     GIR_EraseRootFromParent_Done,
     /* 1979264 */   // Label 26487: @1979264
     /* 1979264 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1979350), // Rule ID 61391 //
     /* 1979269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979315 */     // MIs[0] policy
     /* 1979315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979325 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979349 */     // GIR_Coverage, 61391,
     /* 1979349 */     GIR_EraseRootFromParent_Done,
     /* 1979350 */   // Label 26488: @1979350
     /* 1979350 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1979436), // Rule ID 61392 //
     /* 1979355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979401 */     // MIs[0] policy
     /* 1979401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979435 */     // GIR_Coverage, 61392,
     /* 1979435 */     GIR_EraseRootFromParent_Done,
     /* 1979436 */   // Label 26489: @1979436
     /* 1979436 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1979522), // Rule ID 61395 //
     /* 1979441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979487 */     // MIs[0] policy
     /* 1979487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979521 */     // GIR_Coverage, 61395,
     /* 1979521 */     GIR_EraseRootFromParent_Done,
     /* 1979522 */   // Label 26490: @1979522
     /* 1979522 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1979608), // Rule ID 61396 //
     /* 1979527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979573 */     // MIs[0] policy
     /* 1979573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979607 */     // GIR_Coverage, 61396,
     /* 1979607 */     GIR_EraseRootFromParent_Done,
     /* 1979608 */   // Label 26491: @1979608
     /* 1979608 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1979694), // Rule ID 61399 //
     /* 1979613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979659 */     // MIs[0] policy
     /* 1979659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979693 */     // GIR_Coverage, 61399,
     /* 1979693 */     GIR_EraseRootFromParent_Done,
     /* 1979694 */   // Label 26492: @1979694
     /* 1979694 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1979780), // Rule ID 61400 //
     /* 1979699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979745 */     // MIs[0] policy
     /* 1979745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979779 */     // GIR_Coverage, 61400,
     /* 1979779 */     GIR_EraseRootFromParent_Done,
     /* 1979780 */   // Label 26493: @1979780
     /* 1979780 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1979866), // Rule ID 61403 //
     /* 1979785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979831 */     // MIs[0] policy
     /* 1979831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979841 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979865 */     // GIR_Coverage, 61403,
     /* 1979865 */     GIR_EraseRootFromParent_Done,
     /* 1979866 */   // Label 26494: @1979866
     /* 1979866 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1979952), // Rule ID 61404 //
     /* 1979871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979917 */     // MIs[0] policy
     /* 1979917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979951 */     // GIR_Coverage, 61404,
     /* 1979951 */     GIR_EraseRootFromParent_Done,
     /* 1979952 */   // Label 26495: @1979952
     /* 1979952 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980038), // Rule ID 61407 //
     /* 1979957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980003 */     // MIs[0] policy
     /* 1980003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980037 */     // GIR_Coverage, 61407,
     /* 1980037 */     GIR_EraseRootFromParent_Done,
     /* 1980038 */   // Label 26496: @1980038
     /* 1980038 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980124), // Rule ID 61408 //
     /* 1980043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980089 */     // MIs[0] policy
     /* 1980089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980123 */     // GIR_Coverage, 61408,
     /* 1980123 */     GIR_EraseRootFromParent_Done,
     /* 1980124 */   // Label 26497: @1980124
     /* 1980124 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1980210), // Rule ID 61411 //
     /* 1980129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980175 */     // MIs[0] policy
     /* 1980175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980209 */     // GIR_Coverage, 61411,
     /* 1980209 */     GIR_EraseRootFromParent_Done,
     /* 1980210 */   // Label 26498: @1980210
     /* 1980210 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1980296), // Rule ID 61412 //
     /* 1980215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980261 */     // MIs[0] policy
     /* 1980261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980295 */     // GIR_Coverage, 61412,
     /* 1980295 */     GIR_EraseRootFromParent_Done,
     /* 1980296 */   // Label 26499: @1980296
     /* 1980296 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1980382), // Rule ID 61415 //
     /* 1980301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980347 */     // MIs[0] policy
     /* 1980347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980381 */     // GIR_Coverage, 61415,
     /* 1980381 */     GIR_EraseRootFromParent_Done,
     /* 1980382 */   // Label 26500: @1980382
     /* 1980382 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1980468), // Rule ID 61416 //
     /* 1980387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980433 */     // MIs[0] policy
     /* 1980433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980467 */     // GIR_Coverage, 61416,
     /* 1980467 */     GIR_EraseRootFromParent_Done,
     /* 1980468 */   // Label 26501: @1980468
     /* 1980468 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1980554), // Rule ID 61419 //
     /* 1980473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980519 */     // MIs[0] policy
     /* 1980519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980553 */     // GIR_Coverage, 61419,
     /* 1980553 */     GIR_EraseRootFromParent_Done,
     /* 1980554 */   // Label 26502: @1980554
     /* 1980554 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1980640), // Rule ID 61420 //
     /* 1980559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980605 */     // MIs[0] policy
     /* 1980605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980615 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1980618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980639 */     // GIR_Coverage, 61420,
     /* 1980639 */     GIR_EraseRootFromParent_Done,
     /* 1980640 */   // Label 26503: @1980640
     /* 1980640 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1980726), // Rule ID 61423 //
     /* 1980645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980691 */     // MIs[0] policy
     /* 1980691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980725 */     // GIR_Coverage, 61423,
     /* 1980725 */     GIR_EraseRootFromParent_Done,
     /* 1980726 */   // Label 26504: @1980726
     /* 1980726 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1980812), // Rule ID 61424 //
     /* 1980731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980777 */     // MIs[0] policy
     /* 1980777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1980790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980811 */     // GIR_Coverage, 61424,
     /* 1980811 */     GIR_EraseRootFromParent_Done,
     /* 1980812 */   // Label 26505: @1980812
     /* 1980812 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1980898), // Rule ID 61427 //
     /* 1980817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980863 */     // MIs[0] policy
     /* 1980863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980897 */     // GIR_Coverage, 61427,
     /* 1980897 */     GIR_EraseRootFromParent_Done,
     /* 1980898 */   // Label 26506: @1980898
     /* 1980898 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1980984), // Rule ID 61428 //
     /* 1980903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980949 */     // MIs[0] policy
     /* 1980949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980959 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1980962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980983 */     // GIR_Coverage, 61428,
     /* 1980983 */     GIR_EraseRootFromParent_Done,
     /* 1980984 */   // Label 26507: @1980984
     /* 1980984 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981070), // Rule ID 61515 //
     /* 1980989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981035 */     // MIs[0] policy
     /* 1981035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981045 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981069 */     // GIR_Coverage, 61515,
     /* 1981069 */     GIR_EraseRootFromParent_Done,
     /* 1981070 */   // Label 26508: @1981070
     /* 1981070 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1981156), // Rule ID 61516 //
     /* 1981075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981121 */     // MIs[0] policy
     /* 1981121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981131 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1981134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981155 */     // GIR_Coverage, 61516,
     /* 1981155 */     GIR_EraseRootFromParent_Done,
     /* 1981156 */   // Label 26509: @1981156
     /* 1981156 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1981242), // Rule ID 61519 //
     /* 1981161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981207 */     // MIs[0] policy
     /* 1981207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981241 */     // GIR_Coverage, 61519,
     /* 1981241 */     GIR_EraseRootFromParent_Done,
     /* 1981242 */   // Label 26510: @1981242
     /* 1981242 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1981328), // Rule ID 61520 //
     /* 1981247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981293 */     // MIs[0] policy
     /* 1981293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981303 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981327 */     // GIR_Coverage, 61520,
     /* 1981327 */     GIR_EraseRootFromParent_Done,
     /* 1981328 */   // Label 26511: @1981328
     /* 1981328 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1981414), // Rule ID 61523 //
     /* 1981333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981379 */     // MIs[0] policy
     /* 1981379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981413 */     // GIR_Coverage, 61523,
     /* 1981413 */     GIR_EraseRootFromParent_Done,
     /* 1981414 */   // Label 26512: @1981414
     /* 1981414 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1981500), // Rule ID 61524 //
     /* 1981419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981465 */     // MIs[0] policy
     /* 1981465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981499 */     // GIR_Coverage, 61524,
     /* 1981499 */     GIR_EraseRootFromParent_Done,
     /* 1981500 */   // Label 26513: @1981500
     /* 1981500 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1981586), // Rule ID 61527 //
     /* 1981505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981551 */     // MIs[0] policy
     /* 1981551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981585 */     // GIR_Coverage, 61527,
     /* 1981585 */     GIR_EraseRootFromParent_Done,
     /* 1981586 */   // Label 26514: @1981586
     /* 1981586 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1981672), // Rule ID 61528 //
     /* 1981591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1981611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981637 */     // MIs[0] policy
     /* 1981637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1981650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981671 */     // GIR_Coverage, 61528,
     /* 1981671 */     GIR_EraseRootFromParent_Done,
     /* 1981672 */   // Label 26515: @1981672
     /* 1981672 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1981758), // Rule ID 61531 //
     /* 1981677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981723 */     // MIs[0] policy
     /* 1981723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981757 */     // GIR_Coverage, 61531,
     /* 1981757 */     GIR_EraseRootFromParent_Done,
     /* 1981758 */   // Label 26516: @1981758
     /* 1981758 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1981844), // Rule ID 61532 //
     /* 1981763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1981783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981809 */     // MIs[0] policy
     /* 1981809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981843 */     // GIR_Coverage, 61532,
     /* 1981843 */     GIR_EraseRootFromParent_Done,
     /* 1981844 */   // Label 26517: @1981844
     /* 1981844 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1981930), // Rule ID 61535 //
     /* 1981849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981895 */     // MIs[0] policy
     /* 1981895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981929 */     // GIR_Coverage, 61535,
     /* 1981929 */     GIR_EraseRootFromParent_Done,
     /* 1981930 */   // Label 26518: @1981930
     /* 1981930 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982016), // Rule ID 61536 //
     /* 1981935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1981955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981981 */     // MIs[0] policy
     /* 1981981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1981994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982015 */     // GIR_Coverage, 61536,
     /* 1982015 */     GIR_EraseRootFromParent_Done,
     /* 1982016 */   // Label 26519: @1982016
     /* 1982016 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982102), // Rule ID 61539 //
     /* 1982021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982067 */     // MIs[0] policy
     /* 1982067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982101 */     // GIR_Coverage, 61539,
     /* 1982101 */     GIR_EraseRootFromParent_Done,
     /* 1982102 */   // Label 26520: @1982102
     /* 1982102 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1982188), // Rule ID 61540 //
     /* 1982107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982153 */     // MIs[0] policy
     /* 1982153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982187 */     // GIR_Coverage, 61540,
     /* 1982187 */     GIR_EraseRootFromParent_Done,
     /* 1982188 */   // Label 26521: @1982188
     /* 1982188 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1982274), // Rule ID 61543 //
     /* 1982193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982239 */     // MIs[0] policy
     /* 1982239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982273 */     // GIR_Coverage, 61543,
     /* 1982273 */     GIR_EraseRootFromParent_Done,
     /* 1982274 */   // Label 26522: @1982274
     /* 1982274 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1982360), // Rule ID 61544 //
     /* 1982279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982325 */     // MIs[0] policy
     /* 1982325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982359 */     // GIR_Coverage, 61544,
     /* 1982359 */     GIR_EraseRootFromParent_Done,
     /* 1982360 */   // Label 26523: @1982360
     /* 1982360 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1982446), // Rule ID 61547 //
     /* 1982365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982411 */     // MIs[0] policy
     /* 1982411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982445 */     // GIR_Coverage, 61547,
     /* 1982445 */     GIR_EraseRootFromParent_Done,
     /* 1982446 */   // Label 26524: @1982446
     /* 1982446 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1982532), // Rule ID 61548 //
     /* 1982451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1982471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982497 */     // MIs[0] policy
     /* 1982497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982531 */     // GIR_Coverage, 61548,
     /* 1982531 */     GIR_EraseRootFromParent_Done,
     /* 1982532 */   // Label 26525: @1982532
     /* 1982532 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1982618), // Rule ID 61551 //
     /* 1982537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982583 */     // MIs[0] policy
     /* 1982583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982617 */     // GIR_Coverage, 61551,
     /* 1982617 */     GIR_EraseRootFromParent_Done,
     /* 1982618 */   // Label 26526: @1982618
     /* 1982618 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1982704), // Rule ID 61552 //
     /* 1982623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1982643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982669 */     // MIs[0] policy
     /* 1982669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1982682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982703 */     // GIR_Coverage, 61552,
     /* 1982703 */     GIR_EraseRootFromParent_Done,
     /* 1982704 */   // Label 26527: @1982704
     /* 1982704 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1982790), // Rule ID 61555 //
     /* 1982709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982755 */     // MIs[0] policy
     /* 1982755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982789 */     // GIR_Coverage, 61555,
     /* 1982789 */     GIR_EraseRootFromParent_Done,
     /* 1982790 */   // Label 26528: @1982790
     /* 1982790 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1982876), // Rule ID 61556 //
     /* 1982795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982841 */     // MIs[0] policy
     /* 1982841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982875 */     // GIR_Coverage, 61556,
     /* 1982875 */     GIR_EraseRootFromParent_Done,
     /* 1982876 */   // Label 26529: @1982876
     /* 1982876 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1982962), // Rule ID 61559 //
     /* 1982881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982927 */     // MIs[0] policy
     /* 1982927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982961 */     // GIR_Coverage, 61559,
     /* 1982961 */     GIR_EraseRootFromParent_Done,
     /* 1982962 */   // Label 26530: @1982962
     /* 1982962 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983048), // Rule ID 61560 //
     /* 1982967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983013 */     // MIs[0] policy
     /* 1983013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983023 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983047 */     // GIR_Coverage, 61560,
     /* 1983047 */     GIR_EraseRootFromParent_Done,
     /* 1983048 */   // Label 26531: @1983048
     /* 1983048 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1983134), // Rule ID 61563 //
     /* 1983053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983099 */     // MIs[0] policy
     /* 1983099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983109 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983133 */     // GIR_Coverage, 61563,
     /* 1983133 */     GIR_EraseRootFromParent_Done,
     /* 1983134 */   // Label 26532: @1983134
     /* 1983134 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1983220), // Rule ID 61564 //
     /* 1983139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983185 */     // MIs[0] policy
     /* 1983185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983219 */     // GIR_Coverage, 61564,
     /* 1983219 */     GIR_EraseRootFromParent_Done,
     /* 1983220 */   // Label 26533: @1983220
     /* 1983220 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1983306), // Rule ID 61567 //
     /* 1983225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983271 */     // MIs[0] policy
     /* 1983271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983305 */     // GIR_Coverage, 61567,
     /* 1983305 */     GIR_EraseRootFromParent_Done,
     /* 1983306 */   // Label 26534: @1983306
     /* 1983306 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1983392), // Rule ID 61568 //
     /* 1983311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983357 */     // MIs[0] policy
     /* 1983357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983391 */     // GIR_Coverage, 61568,
     /* 1983391 */     GIR_EraseRootFromParent_Done,
     /* 1983392 */   // Label 26535: @1983392
     /* 1983392 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1983478), // Rule ID 61571 //
     /* 1983397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983443 */     // MIs[0] policy
     /* 1983443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983453 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983477 */     // GIR_Coverage, 61571,
     /* 1983477 */     GIR_EraseRootFromParent_Done,
     /* 1983478 */   // Label 26536: @1983478
     /* 1983478 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1983564), // Rule ID 61572 //
     /* 1983483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983529 */     // MIs[0] policy
     /* 1983529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983563 */     // GIR_Coverage, 61572,
     /* 1983563 */     GIR_EraseRootFromParent_Done,
     /* 1983564 */   // Label 26537: @1983564
     /* 1983564 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1983650), // Rule ID 61575 //
     /* 1983569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983615 */     // MIs[0] policy
     /* 1983615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983625 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983649 */     // GIR_Coverage, 61575,
     /* 1983649 */     GIR_EraseRootFromParent_Done,
     /* 1983650 */   // Label 26538: @1983650
     /* 1983650 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1983736), // Rule ID 61576 //
     /* 1983655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1983675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983701 */     // MIs[0] policy
     /* 1983701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983735 */     // GIR_Coverage, 61576,
     /* 1983735 */     GIR_EraseRootFromParent_Done,
     /* 1983736 */   // Label 26539: @1983736
     /* 1983736 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1983822), // Rule ID 61579 //
     /* 1983741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983787 */     // MIs[0] policy
     /* 1983787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983821 */     // GIR_Coverage, 61579,
     /* 1983821 */     GIR_EraseRootFromParent_Done,
     /* 1983822 */   // Label 26540: @1983822
     /* 1983822 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1983908), // Rule ID 61580 //
     /* 1983827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983873 */     // MIs[0] policy
     /* 1983873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983907 */     // GIR_Coverage, 61580,
     /* 1983907 */     GIR_EraseRootFromParent_Done,
     /* 1983908 */   // Label 26541: @1983908
     /* 1983908 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1983994), // Rule ID 61583 //
     /* 1983913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983959 */     // MIs[0] policy
     /* 1983959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983993 */     // GIR_Coverage, 61583,
     /* 1983993 */     GIR_EraseRootFromParent_Done,
     /* 1983994 */   // Label 26542: @1983994
     /* 1983994 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984080), // Rule ID 61584 //
     /* 1983999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1984019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984045 */     // MIs[0] policy
     /* 1984045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984079 */     // GIR_Coverage, 61584,
     /* 1984079 */     GIR_EraseRootFromParent_Done,
     /* 1984080 */   // Label 26543: @1984080
     /* 1984080 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1984166), // Rule ID 61587 //
     /* 1984085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984131 */     // MIs[0] policy
     /* 1984131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984165 */     // GIR_Coverage, 61587,
     /* 1984165 */     GIR_EraseRootFromParent_Done,
     /* 1984166 */   // Label 26544: @1984166
     /* 1984166 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1984252), // Rule ID 61588 //
     /* 1984171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1984191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984217 */     // MIs[0] policy
     /* 1984217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984251 */     // GIR_Coverage, 61588,
     /* 1984251 */     GIR_EraseRootFromParent_Done,
     /* 1984252 */   // Label 26545: @1984252
     /* 1984252 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1984338), // Rule ID 61591 //
     /* 1984257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984303 */     // MIs[0] policy
     /* 1984303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984337 */     // GIR_Coverage, 61591,
     /* 1984337 */     GIR_EraseRootFromParent_Done,
     /* 1984338 */   // Label 26546: @1984338
     /* 1984338 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1984424), // Rule ID 61592 //
     /* 1984343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1984363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984389 */     // MIs[0] policy
     /* 1984389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1984402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984423 */     // GIR_Coverage, 61592,
     /* 1984423 */     GIR_EraseRootFromParent_Done,
     /* 1984424 */   // Label 26547: @1984424
     /* 1984424 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1984510), // Rule ID 61595 //
     /* 1984429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984475 */     // MIs[0] policy
     /* 1984475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984509 */     // GIR_Coverage, 61595,
     /* 1984509 */     GIR_EraseRootFromParent_Done,
     /* 1984510 */   // Label 26548: @1984510
     /* 1984510 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1984596), // Rule ID 61596 //
     /* 1984515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1984535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984561 */     // MIs[0] policy
     /* 1984561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1984574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984595 */     // GIR_Coverage, 61596,
     /* 1984595 */     GIR_EraseRootFromParent_Done,
     /* 1984596 */   // Label 26549: @1984596
     /* 1984596 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1984682), // Rule ID 61599 //
     /* 1984601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984647 */     // MIs[0] policy
     /* 1984647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984681 */     // GIR_Coverage, 61599,
     /* 1984681 */     GIR_EraseRootFromParent_Done,
     /* 1984682 */   // Label 26550: @1984682
     /* 1984682 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1984768), // Rule ID 61600 //
     /* 1984687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1984707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984733 */     // MIs[0] policy
     /* 1984733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1984746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984767 */     // GIR_Coverage, 61600,
     /* 1984767 */     GIR_EraseRootFromParent_Done,
     /* 1984768 */   // Label 26551: @1984768
     /* 1984768 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1984854), // Rule ID 61603 //
     /* 1984773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984819 */     // MIs[0] policy
     /* 1984819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984829 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1984832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984853 */     // GIR_Coverage, 61603,
     /* 1984853 */     GIR_EraseRootFromParent_Done,
     /* 1984854 */   // Label 26552: @1984854
     /* 1984854 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1984940), // Rule ID 61604 //
     /* 1984859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984905 */     // MIs[0] policy
     /* 1984905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984915 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1984918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984939 */     // GIR_Coverage, 61604,
     /* 1984939 */     GIR_EraseRootFromParent_Done,
     /* 1984940 */   // Label 26553: @1984940
     /* 1984940 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985026), // Rule ID 61607 //
     /* 1984945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984991 */     // MIs[0] policy
     /* 1984991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985025 */     // GIR_Coverage, 61607,
     /* 1985025 */     GIR_EraseRootFromParent_Done,
     /* 1985026 */   // Label 26554: @1985026
     /* 1985026 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985112), // Rule ID 61608 //
     /* 1985031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985077 */     // MIs[0] policy
     /* 1985077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985111 */     // GIR_Coverage, 61608,
     /* 1985111 */     GIR_EraseRootFromParent_Done,
     /* 1985112 */   // Label 26555: @1985112
     /* 1985112 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1985198), // Rule ID 61611 //
     /* 1985117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985163 */     // MIs[0] policy
     /* 1985163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985173 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985197 */     // GIR_Coverage, 61611,
     /* 1985197 */     GIR_EraseRootFromParent_Done,
     /* 1985198 */   // Label 26556: @1985198
     /* 1985198 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1985284), // Rule ID 61612 //
     /* 1985203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985249 */     // MIs[0] policy
     /* 1985249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985283 */     // GIR_Coverage, 61612,
     /* 1985283 */     GIR_EraseRootFromParent_Done,
     /* 1985284 */   // Label 26557: @1985284
     /* 1985284 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1985370), // Rule ID 61615 //
     /* 1985289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985335 */     // MIs[0] policy
     /* 1985335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985345 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985369 */     // GIR_Coverage, 61615,
     /* 1985369 */     GIR_EraseRootFromParent_Done,
     /* 1985370 */   // Label 26558: @1985370
     /* 1985370 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1985456), // Rule ID 61616 //
     /* 1985375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985421 */     // MIs[0] policy
     /* 1985421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985431 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1985434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985455 */     // GIR_Coverage, 61616,
     /* 1985455 */     GIR_EraseRootFromParent_Done,
     /* 1985456 */   // Label 26559: @1985456
     /* 1985456 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1985542), // Rule ID 61619 //
     /* 1985461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985507 */     // MIs[0] policy
     /* 1985507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985517 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985541 */     // GIR_Coverage, 61619,
     /* 1985541 */     GIR_EraseRootFromParent_Done,
     /* 1985542 */   // Label 26560: @1985542
     /* 1985542 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1985628), // Rule ID 61620 //
     /* 1985547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985593 */     // MIs[0] policy
     /* 1985593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985627 */     // GIR_Coverage, 61620,
     /* 1985627 */     GIR_EraseRootFromParent_Done,
     /* 1985628 */   // Label 26561: @1985628
     /* 1985628 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1985714), // Rule ID 61623 //
     /* 1985633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985679 */     // MIs[0] policy
     /* 1985679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985689 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985713 */     // GIR_Coverage, 61623,
     /* 1985713 */     GIR_EraseRootFromParent_Done,
     /* 1985714 */   // Label 26562: @1985714
     /* 1985714 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1985800), // Rule ID 61624 //
     /* 1985719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985765 */     // MIs[0] policy
     /* 1985765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1985778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985799 */     // GIR_Coverage, 61624,
     /* 1985799 */     GIR_EraseRootFromParent_Done,
     /* 1985800 */   // Label 26563: @1985800
     /* 1985800 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1985886), // Rule ID 61627 //
     /* 1985805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985851 */     // MIs[0] policy
     /* 1985851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985861 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985885 */     // GIR_Coverage, 61627,
     /* 1985885 */     GIR_EraseRootFromParent_Done,
     /* 1985886 */   // Label 26564: @1985886
     /* 1985886 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1985972), // Rule ID 61628 //
     /* 1985891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985937 */     // MIs[0] policy
     /* 1985937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985971 */     // GIR_Coverage, 61628,
     /* 1985971 */     GIR_EraseRootFromParent_Done,
     /* 1985972 */   // Label 26565: @1985972
     /* 1985972 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986058), // Rule ID 61631 //
     /* 1985977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986023 */     // MIs[0] policy
     /* 1986023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986057 */     // GIR_Coverage, 61631,
     /* 1986057 */     GIR_EraseRootFromParent_Done,
     /* 1986058 */   // Label 26566: @1986058
     /* 1986058 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1986144), // Rule ID 61632 //
     /* 1986063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986109 */     // MIs[0] policy
     /* 1986109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986143 */     // GIR_Coverage, 61632,
     /* 1986143 */     GIR_EraseRootFromParent_Done,
     /* 1986144 */   // Label 26567: @1986144
     /* 1986144 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1986230), // Rule ID 61635 //
     /* 1986149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986195 */     // MIs[0] policy
     /* 1986195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986229 */     // GIR_Coverage, 61635,
     /* 1986229 */     GIR_EraseRootFromParent_Done,
     /* 1986230 */   // Label 26568: @1986230
     /* 1986230 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1986316), // Rule ID 61636 //
     /* 1986235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986281 */     // MIs[0] policy
     /* 1986281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986315 */     // GIR_Coverage, 61636,
     /* 1986315 */     GIR_EraseRootFromParent_Done,
     /* 1986316 */   // Label 26569: @1986316
     /* 1986316 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1986402), // Rule ID 61639 //
     /* 1986321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986367 */     // MIs[0] policy
     /* 1986367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986401 */     // GIR_Coverage, 61639,
     /* 1986401 */     GIR_EraseRootFromParent_Done,
     /* 1986402 */   // Label 26570: @1986402
     /* 1986402 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1986488), // Rule ID 61640 //
     /* 1986407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986453 */     // MIs[0] policy
     /* 1986453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1986466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986487 */     // GIR_Coverage, 61640,
     /* 1986487 */     GIR_EraseRootFromParent_Done,
     /* 1986488 */   // Label 26571: @1986488
     /* 1986488 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1986574), // Rule ID 61643 //
     /* 1986493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986539 */     // MIs[0] policy
     /* 1986539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986573 */     // GIR_Coverage, 61643,
     /* 1986573 */     GIR_EraseRootFromParent_Done,
     /* 1986574 */   // Label 26572: @1986574
     /* 1986574 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1986660), // Rule ID 61644 //
     /* 1986579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986625 */     // MIs[0] policy
     /* 1986625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986659 */     // GIR_Coverage, 61644,
     /* 1986659 */     GIR_EraseRootFromParent_Done,
     /* 1986660 */   // Label 26573: @1986660
     /* 1986660 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1986746), // Rule ID 61647 //
     /* 1986665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986711 */     // MIs[0] policy
     /* 1986711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986721 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986745 */     // GIR_Coverage, 61647,
     /* 1986745 */     GIR_EraseRootFromParent_Done,
     /* 1986746 */   // Label 26574: @1986746
     /* 1986746 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1986832), // Rule ID 61648 //
     /* 1986751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986797 */     // MIs[0] policy
     /* 1986797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986831 */     // GIR_Coverage, 61648,
     /* 1986831 */     GIR_EraseRootFromParent_Done,
     /* 1986832 */   // Label 26575: @1986832
     /* 1986832 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1986918), // Rule ID 61651 //
     /* 1986837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986883 */     // MIs[0] policy
     /* 1986883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986893 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986917 */     // GIR_Coverage, 61651,
     /* 1986917 */     GIR_EraseRootFromParent_Done,
     /* 1986918 */   // Label 26576: @1986918
     /* 1986918 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987004), // Rule ID 61652 //
     /* 1986923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986969 */     // MIs[0] policy
     /* 1986969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987003 */     // GIR_Coverage, 61652,
     /* 1987003 */     GIR_EraseRootFromParent_Done,
     /* 1987004 */   // Label 26577: @1987004
     /* 1987004 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987090), // Rule ID 61655 //
     /* 1987009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987055 */     // MIs[0] policy
     /* 1987055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987089 */     // GIR_Coverage, 61655,
     /* 1987089 */     GIR_EraseRootFromParent_Done,
     /* 1987090 */   // Label 26578: @1987090
     /* 1987090 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1987176), // Rule ID 61656 //
     /* 1987095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987141 */     // MIs[0] policy
     /* 1987141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987175 */     // GIR_Coverage, 61656,
     /* 1987175 */     GIR_EraseRootFromParent_Done,
     /* 1987176 */   // Label 26579: @1987176
     /* 1987176 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1987262), // Rule ID 61659 //
     /* 1987181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987227 */     // MIs[0] policy
     /* 1987227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987261 */     // GIR_Coverage, 61659,
     /* 1987261 */     GIR_EraseRootFromParent_Done,
     /* 1987262 */   // Label 26580: @1987262
     /* 1987262 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1987348), // Rule ID 61660 //
     /* 1987267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987313 */     // MIs[0] policy
     /* 1987313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987347 */     // GIR_Coverage, 61660,
     /* 1987347 */     GIR_EraseRootFromParent_Done,
     /* 1987348 */   // Label 26581: @1987348
     /* 1987348 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1987434), // Rule ID 61663 //
     /* 1987353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987399 */     // MIs[0] policy
     /* 1987399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987433 */     // GIR_Coverage, 61663,
     /* 1987433 */     GIR_EraseRootFromParent_Done,
     /* 1987434 */   // Label 26582: @1987434
     /* 1987434 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1987520), // Rule ID 61664 //
     /* 1987439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987485 */     // MIs[0] policy
     /* 1987485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987519 */     // GIR_Coverage, 61664,
     /* 1987519 */     GIR_EraseRootFromParent_Done,
     /* 1987520 */   // Label 26583: @1987520
     /* 1987520 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1987606), // Rule ID 61667 //
     /* 1987525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987571 */     // MIs[0] policy
     /* 1987571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987605 */     // GIR_Coverage, 61667,
     /* 1987605 */     GIR_EraseRootFromParent_Done,
     /* 1987606 */   // Label 26584: @1987606
     /* 1987606 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1987692), // Rule ID 61668 //
     /* 1987611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987657 */     // MIs[0] policy
     /* 1987657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1987670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987691 */     // GIR_Coverage, 61668,
     /* 1987691 */     GIR_EraseRootFromParent_Done,
     /* 1987692 */   // Label 26585: @1987692
     /* 1987692 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1987778), // Rule ID 61671 //
     /* 1987697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987743 */     // MIs[0] policy
     /* 1987743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987777 */     // GIR_Coverage, 61671,
     /* 1987777 */     GIR_EraseRootFromParent_Done,
     /* 1987778 */   // Label 26586: @1987778
     /* 1987778 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1987864), // Rule ID 61672 //
     /* 1987783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987829 */     // MIs[0] policy
     /* 1987829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987863 */     // GIR_Coverage, 61672,
     /* 1987863 */     GIR_EraseRootFromParent_Done,
     /* 1987864 */   // Label 26587: @1987864
     /* 1987864 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1987950), // Rule ID 61675 //
     /* 1987869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987915 */     // MIs[0] policy
     /* 1987915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987925 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987949 */     // GIR_Coverage, 61675,
     /* 1987949 */     GIR_EraseRootFromParent_Done,
     /* 1987950 */   // Label 26588: @1987950
     /* 1987950 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988036), // Rule ID 61676 //
     /* 1987955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988001 */     // MIs[0] policy
     /* 1988001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988035 */     // GIR_Coverage, 61676,
     /* 1988035 */     GIR_EraseRootFromParent_Done,
     /* 1988036 */   // Label 26589: @1988036
     /* 1988036 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988122), // Rule ID 61679 //
     /* 1988041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988087 */     // MIs[0] policy
     /* 1988087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988121 */     // GIR_Coverage, 61679,
     /* 1988121 */     GIR_EraseRootFromParent_Done,
     /* 1988122 */   // Label 26590: @1988122
     /* 1988122 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1988208), // Rule ID 61680 //
     /* 1988127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988173 */     // MIs[0] policy
     /* 1988173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1988186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988207 */     // GIR_Coverage, 61680,
     /* 1988207 */     GIR_EraseRootFromParent_Done,
     /* 1988208 */   // Label 26591: @1988208
     /* 1988208 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1988294), // Rule ID 61683 //
     /* 1988213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988259 */     // MIs[0] policy
     /* 1988259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988293 */     // GIR_Coverage, 61683,
     /* 1988293 */     GIR_EraseRootFromParent_Done,
     /* 1988294 */   // Label 26592: @1988294
     /* 1988294 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1988380), // Rule ID 61684 //
     /* 1988299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988345 */     // MIs[0] policy
     /* 1988345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1988358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988379 */     // GIR_Coverage, 61684,
     /* 1988379 */     GIR_EraseRootFromParent_Done,
     /* 1988380 */   // Label 26593: @1988380
     /* 1988380 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1988466), // Rule ID 61687 //
     /* 1988385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988431 */     // MIs[0] policy
     /* 1988431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988441 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988465 */     // GIR_Coverage, 61687,
     /* 1988465 */     GIR_EraseRootFromParent_Done,
     /* 1988466 */   // Label 26594: @1988466
     /* 1988466 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1988552), // Rule ID 61688 //
     /* 1988471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988517 */     // MIs[0] policy
     /* 1988517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1988530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988551 */     // GIR_Coverage, 61688,
     /* 1988551 */     GIR_EraseRootFromParent_Done,
     /* 1988552 */   // Label 26595: @1988552
     /* 1988552 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1988638), // Rule ID 62332 //
     /* 1988557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988603 */     // MIs[0] policy
     /* 1988603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988613 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1988616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988637 */     // GIR_Coverage, 62332,
     /* 1988637 */     GIR_EraseRootFromParent_Done,
     /* 1988638 */   // Label 26596: @1988638
     /* 1988638 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1988724), // Rule ID 62333 //
     /* 1988643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988689 */     // MIs[0] policy
     /* 1988689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1988702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988723 */     // GIR_Coverage, 62333,
     /* 1988723 */     GIR_EraseRootFromParent_Done,
     /* 1988724 */   // Label 26597: @1988724
     /* 1988724 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1988810), // Rule ID 62336 //
     /* 1988729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988775 */     // MIs[0] policy
     /* 1988775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1988788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988809 */     // GIR_Coverage, 62336,
     /* 1988809 */     GIR_EraseRootFromParent_Done,
     /* 1988810 */   // Label 26598: @1988810
     /* 1988810 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1988896), // Rule ID 62337 //
     /* 1988815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1988832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988861 */     // MIs[0] policy
     /* 1988861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1988874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988895 */     // GIR_Coverage, 62337,
     /* 1988895 */     GIR_EraseRootFromParent_Done,
     /* 1988896 */   // Label 26599: @1988896
     /* 1988896 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1988982), // Rule ID 62340 //
     /* 1988901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1988918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988947 */     // MIs[0] policy
     /* 1988947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1988960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988981 */     // GIR_Coverage, 62340,
     /* 1988981 */     GIR_EraseRootFromParent_Done,
     /* 1988982 */   // Label 26600: @1988982
     /* 1988982 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989068), // Rule ID 62341 //
     /* 1988987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989033 */     // MIs[0] policy
     /* 1989033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1989046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989067 */     // GIR_Coverage, 62341,
     /* 1989067 */     GIR_EraseRootFromParent_Done,
     /* 1989068 */   // Label 26601: @1989068
     /* 1989068 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1989154), // Rule ID 62344 //
     /* 1989073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989119 */     // MIs[0] policy
     /* 1989119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989153 */     // GIR_Coverage, 62344,
     /* 1989153 */     GIR_EraseRootFromParent_Done,
     /* 1989154 */   // Label 26602: @1989154
     /* 1989154 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1989240), // Rule ID 62345 //
     /* 1989159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989205 */     // MIs[0] policy
     /* 1989205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989215 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1989218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989239 */     // GIR_Coverage, 62345,
     /* 1989239 */     GIR_EraseRootFromParent_Done,
     /* 1989240 */   // Label 26603: @1989240
     /* 1989240 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1989326), // Rule ID 62348 //
     /* 1989245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989291 */     // MIs[0] policy
     /* 1989291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989301 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989325 */     // GIR_Coverage, 62348,
     /* 1989325 */     GIR_EraseRootFromParent_Done,
     /* 1989326 */   // Label 26604: @1989326
     /* 1989326 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1989412), // Rule ID 62349 //
     /* 1989331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989377 */     // MIs[0] policy
     /* 1989377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1989390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989411 */     // GIR_Coverage, 62349,
     /* 1989411 */     GIR_EraseRootFromParent_Done,
     /* 1989412 */   // Label 26605: @1989412
     /* 1989412 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1989498), // Rule ID 62352 //
     /* 1989417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989463 */     // MIs[0] policy
     /* 1989463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989497 */     // GIR_Coverage, 62352,
     /* 1989497 */     GIR_EraseRootFromParent_Done,
     /* 1989498 */   // Label 26606: @1989498
     /* 1989498 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1989584), // Rule ID 62353 //
     /* 1989503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989549 */     // MIs[0] policy
     /* 1989549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1989562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989583 */     // GIR_Coverage, 62353,
     /* 1989583 */     GIR_EraseRootFromParent_Done,
     /* 1989584 */   // Label 26607: @1989584
     /* 1989584 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1989670), // Rule ID 62356 //
     /* 1989589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989635 */     // MIs[0] policy
     /* 1989635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1989648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989669 */     // GIR_Coverage, 62356,
     /* 1989669 */     GIR_EraseRootFromParent_Done,
     /* 1989670 */   // Label 26608: @1989670
     /* 1989670 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1989756), // Rule ID 62357 //
     /* 1989675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989721 */     // MIs[0] policy
     /* 1989721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1989734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989755 */     // GIR_Coverage, 62357,
     /* 1989755 */     GIR_EraseRootFromParent_Done,
     /* 1989756 */   // Label 26609: @1989756
     /* 1989756 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1989842), // Rule ID 62360 //
     /* 1989761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989807 */     // MIs[0] policy
     /* 1989807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1989820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989841 */     // GIR_Coverage, 62360,
     /* 1989841 */     GIR_EraseRootFromParent_Done,
     /* 1989842 */   // Label 26610: @1989842
     /* 1989842 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1989928), // Rule ID 62361 //
     /* 1989847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989893 */     // MIs[0] policy
     /* 1989893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1989906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989927 */     // GIR_Coverage, 62361,
     /* 1989927 */     GIR_EraseRootFromParent_Done,
     /* 1989928 */   // Label 26611: @1989928
     /* 1989928 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990014), // Rule ID 62364 //
     /* 1989933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989979 */     // MIs[0] policy
     /* 1989979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1989992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990013 */     // GIR_Coverage, 62364,
     /* 1990013 */     GIR_EraseRootFromParent_Done,
     /* 1990014 */   // Label 26612: @1990014
     /* 1990014 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990100), // Rule ID 62365 //
     /* 1990019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990065 */     // MIs[0] policy
     /* 1990065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1990078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990099 */     // GIR_Coverage, 62365,
     /* 1990099 */     GIR_EraseRootFromParent_Done,
     /* 1990100 */   // Label 26613: @1990100
     /* 1990100 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1990186), // Rule ID 62368 //
     /* 1990105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990151 */     // MIs[0] policy
     /* 1990151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990185 */     // GIR_Coverage, 62368,
     /* 1990185 */     GIR_EraseRootFromParent_Done,
     /* 1990186 */   // Label 26614: @1990186
     /* 1990186 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1990272), // Rule ID 62369 //
     /* 1990191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1990199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990237 */     // MIs[0] policy
     /* 1990237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1990250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990271 */     // GIR_Coverage, 62369,
     /* 1990271 */     GIR_EraseRootFromParent_Done,
     /* 1990272 */   // Label 26615: @1990272
     /* 1990272 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1990358), // Rule ID 62372 //
     /* 1990277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990323 */     // MIs[0] policy
     /* 1990323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990357 */     // GIR_Coverage, 62372,
     /* 1990357 */     GIR_EraseRootFromParent_Done,
     /* 1990358 */   // Label 26616: @1990358
     /* 1990358 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1990444), // Rule ID 62373 //
     /* 1990363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990409 */     // MIs[0] policy
     /* 1990409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1990422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990443 */     // GIR_Coverage, 62373,
     /* 1990443 */     GIR_EraseRootFromParent_Done,
     /* 1990444 */   // Label 26617: @1990444
     /* 1990444 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1990530), // Rule ID 62376 //
     /* 1990449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990495 */     // MIs[0] policy
     /* 1990495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990529 */     // GIR_Coverage, 62376,
     /* 1990529 */     GIR_EraseRootFromParent_Done,
     /* 1990530 */   // Label 26618: @1990530
     /* 1990530 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1990616), // Rule ID 62377 //
     /* 1990535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990581 */     // MIs[0] policy
     /* 1990581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1990594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990615 */     // GIR_Coverage, 62377,
     /* 1990615 */     GIR_EraseRootFromParent_Done,
     /* 1990616 */   // Label 26619: @1990616
     /* 1990616 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1990702), // Rule ID 62380 //
     /* 1990621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990667 */     // MIs[0] policy
     /* 1990667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1990680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990701 */     // GIR_Coverage, 62380,
     /* 1990701 */     GIR_EraseRootFromParent_Done,
     /* 1990702 */   // Label 26620: @1990702
     /* 1990702 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1990788), // Rule ID 62381 //
     /* 1990707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990753 */     // MIs[0] policy
     /* 1990753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1990766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990787 */     // GIR_Coverage, 62381,
     /* 1990787 */     GIR_EraseRootFromParent_Done,
     /* 1990788 */   // Label 26621: @1990788
     /* 1990788 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1990874), // Rule ID 62384 //
     /* 1990793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990839 */     // MIs[0] policy
     /* 1990839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1990852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990873 */     // GIR_Coverage, 62384,
     /* 1990873 */     GIR_EraseRootFromParent_Done,
     /* 1990874 */   // Label 26622: @1990874
     /* 1990874 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1990960), // Rule ID 62385 //
     /* 1990879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990925 */     // MIs[0] policy
     /* 1990925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1990938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990959 */     // GIR_Coverage, 62385,
     /* 1990959 */     GIR_EraseRootFromParent_Done,
     /* 1990960 */   // Label 26623: @1990960
     /* 1990960 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991046), // Rule ID 62388 //
     /* 1990965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1990982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991011 */     // MIs[0] policy
     /* 1991011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991045 */     // GIR_Coverage, 62388,
     /* 1991045 */     GIR_EraseRootFromParent_Done,
     /* 1991046 */   // Label 26624: @1991046
     /* 1991046 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1991132), // Rule ID 62389 //
     /* 1991051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991097 */     // MIs[0] policy
     /* 1991097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1991110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991131 */     // GIR_Coverage, 62389,
     /* 1991131 */     GIR_EraseRootFromParent_Done,
     /* 1991132 */   // Label 26625: @1991132
     /* 1991132 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1991218), // Rule ID 62392 //
     /* 1991137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991183 */     // MIs[0] policy
     /* 1991183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991217 */     // GIR_Coverage, 62392,
     /* 1991217 */     GIR_EraseRootFromParent_Done,
     /* 1991218 */   // Label 26626: @1991218
     /* 1991218 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1991304), // Rule ID 62393 //
     /* 1991223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991269 */     // MIs[0] policy
     /* 1991269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1991282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991303 */     // GIR_Coverage, 62393,
     /* 1991303 */     GIR_EraseRootFromParent_Done,
     /* 1991304 */   // Label 26627: @1991304
     /* 1991304 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1991390), // Rule ID 62396 //
     /* 1991309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991355 */     // MIs[0] policy
     /* 1991355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991389 */     // GIR_Coverage, 62396,
     /* 1991389 */     GIR_EraseRootFromParent_Done,
     /* 1991390 */   // Label 26628: @1991390
     /* 1991390 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1991476), // Rule ID 62397 //
     /* 1991395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991441 */     // MIs[0] policy
     /* 1991441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1991454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991475 */     // GIR_Coverage, 62397,
     /* 1991475 */     GIR_EraseRootFromParent_Done,
     /* 1991476 */   // Label 26629: @1991476
     /* 1991476 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1991562), // Rule ID 62400 //
     /* 1991481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991527 */     // MIs[0] policy
     /* 1991527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991561 */     // GIR_Coverage, 62400,
     /* 1991561 */     GIR_EraseRootFromParent_Done,
     /* 1991562 */   // Label 26630: @1991562
     /* 1991562 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1991648), // Rule ID 62401 //
     /* 1991567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991613 */     // MIs[0] policy
     /* 1991613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1991626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991647 */     // GIR_Coverage, 62401,
     /* 1991647 */     GIR_EraseRootFromParent_Done,
     /* 1991648 */   // Label 26631: @1991648
     /* 1991648 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1991734), // Rule ID 62404 //
     /* 1991653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991699 */     // MIs[0] policy
     /* 1991699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1991712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991733 */     // GIR_Coverage, 62404,
     /* 1991733 */     GIR_EraseRootFromParent_Done,
     /* 1991734 */   // Label 26632: @1991734
     /* 1991734 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1991820), // Rule ID 62405 //
     /* 1991739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991785 */     // MIs[0] policy
     /* 1991785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1991798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991819 */     // GIR_Coverage, 62405,
     /* 1991819 */     GIR_EraseRootFromParent_Done,
     /* 1991820 */   // Label 26633: @1991820
     /* 1991820 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1991906), // Rule ID 62408 //
     /* 1991825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991871 */     // MIs[0] policy
     /* 1991871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1991884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991905 */     // GIR_Coverage, 62408,
     /* 1991905 */     GIR_EraseRootFromParent_Done,
     /* 1991906 */   // Label 26634: @1991906
     /* 1991906 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1991992), // Rule ID 62409 //
     /* 1991911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1991919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991957 */     // MIs[0] policy
     /* 1991957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1991970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991991 */     // GIR_Coverage, 62409,
     /* 1991991 */     GIR_EraseRootFromParent_Done,
     /* 1991992 */   // Label 26635: @1991992
     /* 1991992 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992078), // Rule ID 62412 //
     /* 1991997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992043 */     // MIs[0] policy
     /* 1992043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992077 */     // GIR_Coverage, 62412,
     /* 1992077 */     GIR_EraseRootFromParent_Done,
     /* 1992078 */   // Label 26636: @1992078
     /* 1992078 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1992164), // Rule ID 62413 //
     /* 1992083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992129 */     // MIs[0] policy
     /* 1992129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1992142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992163 */     // GIR_Coverage, 62413,
     /* 1992163 */     GIR_EraseRootFromParent_Done,
     /* 1992164 */   // Label 26637: @1992164
     /* 1992164 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1992250), // Rule ID 62416 //
     /* 1992169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992215 */     // MIs[0] policy
     /* 1992215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992249 */     // GIR_Coverage, 62416,
     /* 1992249 */     GIR_EraseRootFromParent_Done,
     /* 1992250 */   // Label 26638: @1992250
     /* 1992250 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1992336), // Rule ID 62417 //
     /* 1992255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1992272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992301 */     // MIs[0] policy
     /* 1992301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1992314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992335 */     // GIR_Coverage, 62417,
     /* 1992335 */     GIR_EraseRootFromParent_Done,
     /* 1992336 */   // Label 26639: @1992336
     /* 1992336 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1992422), // Rule ID 62420 //
     /* 1992341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992387 */     // MIs[0] policy
     /* 1992387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992421 */     // GIR_Coverage, 62420,
     /* 1992421 */     GIR_EraseRootFromParent_Done,
     /* 1992422 */   // Label 26640: @1992422
     /* 1992422 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1992508), // Rule ID 62421 //
     /* 1992427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1992444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992473 */     // MIs[0] policy
     /* 1992473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1992486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992507 */     // GIR_Coverage, 62421,
     /* 1992507 */     GIR_EraseRootFromParent_Done,
     /* 1992508 */   // Label 26641: @1992508
     /* 1992508 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1992594), // Rule ID 62424 //
     /* 1992513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992559 */     // MIs[0] policy
     /* 1992559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1992572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992593 */     // GIR_Coverage, 62424,
     /* 1992593 */     GIR_EraseRootFromParent_Done,
     /* 1992594 */   // Label 26642: @1992594
     /* 1992594 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1992680), // Rule ID 62425 //
     /* 1992599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1992616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992645 */     // MIs[0] policy
     /* 1992645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1992658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992679 */     // GIR_Coverage, 62425,
     /* 1992679 */     GIR_EraseRootFromParent_Done,
     /* 1992680 */   // Label 26643: @1992680
     /* 1992680 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1992766), // Rule ID 62428 //
     /* 1992685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1992702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992731 */     // MIs[0] policy
     /* 1992731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992741 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1992744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992765 */     // GIR_Coverage, 62428,
     /* 1992765 */     GIR_EraseRootFromParent_Done,
     /* 1992766 */   // Label 26644: @1992766
     /* 1992766 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1992852), // Rule ID 62429 //
     /* 1992771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1992788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992817 */     // MIs[0] policy
     /* 1992817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1992830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992851 */     // GIR_Coverage, 62429,
     /* 1992851 */     GIR_EraseRootFromParent_Done,
     /* 1992852 */   // Label 26645: @1992852
     /* 1992852 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1992938), // Rule ID 62432 //
     /* 1992857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992903 */     // MIs[0] policy
     /* 1992903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1992916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992937 */     // GIR_Coverage, 62432,
     /* 1992937 */     GIR_EraseRootFromParent_Done,
     /* 1992938 */   // Label 26646: @1992938
     /* 1992938 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993024), // Rule ID 62433 //
     /* 1992943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992989 */     // MIs[0] policy
     /* 1992989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1993002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993023 */     // GIR_Coverage, 62433,
     /* 1993023 */     GIR_EraseRootFromParent_Done,
     /* 1993024 */   // Label 26647: @1993024
     /* 1993024 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1993110), // Rule ID 62436 //
     /* 1993029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993075 */     // MIs[0] policy
     /* 1993075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993109 */     // GIR_Coverage, 62436,
     /* 1993109 */     GIR_EraseRootFromParent_Done,
     /* 1993110 */   // Label 26648: @1993110
     /* 1993110 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1993196), // Rule ID 62437 //
     /* 1993115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993161 */     // MIs[0] policy
     /* 1993161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1993174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993195 */     // GIR_Coverage, 62437,
     /* 1993195 */     GIR_EraseRootFromParent_Done,
     /* 1993196 */   // Label 26649: @1993196
     /* 1993196 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1993282), // Rule ID 62440 //
     /* 1993201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993247 */     // MIs[0] policy
     /* 1993247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993281 */     // GIR_Coverage, 62440,
     /* 1993281 */     GIR_EraseRootFromParent_Done,
     /* 1993282 */   // Label 26650: @1993282
     /* 1993282 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1993368), // Rule ID 62441 //
     /* 1993287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993333 */     // MIs[0] policy
     /* 1993333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1993346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993367 */     // GIR_Coverage, 62441,
     /* 1993367 */     GIR_EraseRootFromParent_Done,
     /* 1993368 */   // Label 26651: @1993368
     /* 1993368 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1993454), // Rule ID 62444 //
     /* 1993373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993419 */     // MIs[0] policy
     /* 1993419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993453 */     // GIR_Coverage, 62444,
     /* 1993453 */     GIR_EraseRootFromParent_Done,
     /* 1993454 */   // Label 26652: @1993454
     /* 1993454 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1993540), // Rule ID 62445 //
     /* 1993459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993505 */     // MIs[0] policy
     /* 1993505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1993518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993539 */     // GIR_Coverage, 62445,
     /* 1993539 */     GIR_EraseRootFromParent_Done,
     /* 1993540 */   // Label 26653: @1993540
     /* 1993540 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1993626), // Rule ID 62448 //
     /* 1993545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993591 */     // MIs[0] policy
     /* 1993591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1993604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993625 */     // GIR_Coverage, 62448,
     /* 1993625 */     GIR_EraseRootFromParent_Done,
     /* 1993626 */   // Label 26654: @1993626
     /* 1993626 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1993712), // Rule ID 62449 //
     /* 1993631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1993639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993677 */     // MIs[0] policy
     /* 1993677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1993690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993711 */     // GIR_Coverage, 62449,
     /* 1993711 */     GIR_EraseRootFromParent_Done,
     /* 1993712 */   // Label 26655: @1993712
     /* 1993712 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1993798), // Rule ID 62452 //
     /* 1993717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993763 */     // MIs[0] policy
     /* 1993763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993773 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1993776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993797 */     // GIR_Coverage, 62452,
     /* 1993797 */     GIR_EraseRootFromParent_Done,
     /* 1993798 */   // Label 26656: @1993798
     /* 1993798 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1993884), // Rule ID 62453 //
     /* 1993803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993849 */     // MIs[0] policy
     /* 1993849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1993862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993883 */     // GIR_Coverage, 62453,
     /* 1993883 */     GIR_EraseRootFromParent_Done,
     /* 1993884 */   // Label 26657: @1993884
     /* 1993884 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1993970), // Rule ID 62456 //
     /* 1993889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993935 */     // MIs[0] policy
     /* 1993935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1993948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993969 */     // GIR_Coverage, 62456,
     /* 1993969 */     GIR_EraseRootFromParent_Done,
     /* 1993970 */   // Label 26658: @1993970
     /* 1993970 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994056), // Rule ID 62457 //
     /* 1993975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994021 */     // MIs[0] policy
     /* 1994021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1994034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994055 */     // GIR_Coverage, 62457,
     /* 1994055 */     GIR_EraseRootFromParent_Done,
     /* 1994056 */   // Label 26659: @1994056
     /* 1994056 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1994142), // Rule ID 62460 //
     /* 1994061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994107 */     // MIs[0] policy
     /* 1994107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994141 */     // GIR_Coverage, 62460,
     /* 1994141 */     GIR_EraseRootFromParent_Done,
     /* 1994142 */   // Label 26660: @1994142
     /* 1994142 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1994228), // Rule ID 62461 //
     /* 1994147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994193 */     // MIs[0] policy
     /* 1994193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1994206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994227 */     // GIR_Coverage, 62461,
     /* 1994227 */     GIR_EraseRootFromParent_Done,
     /* 1994228 */   // Label 26661: @1994228
     /* 1994228 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1994314), // Rule ID 62464 //
     /* 1994233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994279 */     // MIs[0] policy
     /* 1994279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994313 */     // GIR_Coverage, 62464,
     /* 1994313 */     GIR_EraseRootFromParent_Done,
     /* 1994314 */   // Label 26662: @1994314
     /* 1994314 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1994400), // Rule ID 62465 //
     /* 1994319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994365 */     // MIs[0] policy
     /* 1994365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994375 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1994378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994399 */     // GIR_Coverage, 62465,
     /* 1994399 */     GIR_EraseRootFromParent_Done,
     /* 1994400 */   // Label 26663: @1994400
     /* 1994400 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1994486), // Rule ID 62468 //
     /* 1994405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994451 */     // MIs[0] policy
     /* 1994451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994461 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994485 */     // GIR_Coverage, 62468,
     /* 1994485 */     GIR_EraseRootFromParent_Done,
     /* 1994486 */   // Label 26664: @1994486
     /* 1994486 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1994572), // Rule ID 62469 //
     /* 1994491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1994499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994537 */     // MIs[0] policy
     /* 1994537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1994550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994571 */     // GIR_Coverage, 62469,
     /* 1994571 */     GIR_EraseRootFromParent_Done,
     /* 1994572 */   // Label 26665: @1994572
     /* 1994572 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1994661), // Rule ID 2669 //
     /* 1994577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994623 */     // MIs[0] round
     /* 1994623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994633 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1994636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994660 */     // GIR_Coverage, 2669,
     /* 1994660 */     GIR_EraseRootFromParent_Done,
     /* 1994661 */   // Label 26666: @1994661
     /* 1994661 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1994750), // Rule ID 2670 //
     /* 1994666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994712 */     // MIs[0] round
     /* 1994712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994722 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1994725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994749 */     // GIR_Coverage, 2670,
     /* 1994749 */     GIR_EraseRootFromParent_Done,
     /* 1994750 */   // Label 26667: @1994750
     /* 1994750 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1994839), // Rule ID 22707 //
     /* 1994755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994801 */     // MIs[0] round
     /* 1994801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994811 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1994814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994838 */     // GIR_Coverage, 22707,
     /* 1994838 */     GIR_EraseRootFromParent_Done,
     /* 1994839 */   // Label 26668: @1994839
     /* 1994839 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1994928), // Rule ID 22708 //
     /* 1994844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994890 */     // MIs[0] round
     /* 1994890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994900 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1994903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994927 */     // GIR_Coverage, 22708,
     /* 1994927 */     GIR_EraseRootFromParent_Done,
     /* 1994928 */   // Label 26669: @1994928
     /* 1994928 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995017), // Rule ID 22711 //
     /* 1994933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1994950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994979 */     // MIs[0] round
     /* 1994979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1994992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995016 */     // GIR_Coverage, 22711,
     /* 1995016 */     GIR_EraseRootFromParent_Done,
     /* 1995017 */   // Label 26670: @1995017
     /* 1995017 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1995106), // Rule ID 22712 //
     /* 1995022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995068 */     // MIs[0] round
     /* 1995068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995078 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1995081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995105 */     // GIR_Coverage, 22712,
     /* 1995105 */     GIR_EraseRootFromParent_Done,
     /* 1995106 */   // Label 26671: @1995106
     /* 1995106 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1995195), // Rule ID 22715 //
     /* 1995111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995157 */     // MIs[0] round
     /* 1995157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995167 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995194 */     // GIR_Coverage, 22715,
     /* 1995194 */     GIR_EraseRootFromParent_Done,
     /* 1995195 */   // Label 26672: @1995195
     /* 1995195 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1995284), // Rule ID 22716 //
     /* 1995200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995246 */     // MIs[0] round
     /* 1995246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1995259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995283 */     // GIR_Coverage, 22716,
     /* 1995283 */     GIR_EraseRootFromParent_Done,
     /* 1995284 */   // Label 26673: @1995284
     /* 1995284 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1995373), // Rule ID 22719 //
     /* 1995289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995335 */     // MIs[0] round
     /* 1995335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995345 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995372 */     // GIR_Coverage, 22719,
     /* 1995372 */     GIR_EraseRootFromParent_Done,
     /* 1995373 */   // Label 26674: @1995373
     /* 1995373 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1995462), // Rule ID 22720 //
     /* 1995378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995424 */     // MIs[0] round
     /* 1995424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995434 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1995437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995461 */     // GIR_Coverage, 22720,
     /* 1995461 */     GIR_EraseRootFromParent_Done,
     /* 1995462 */   // Label 26675: @1995462
     /* 1995462 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1995551), // Rule ID 22723 //
     /* 1995467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995513 */     // MIs[0] round
     /* 1995513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995550 */     // GIR_Coverage, 22723,
     /* 1995550 */     GIR_EraseRootFromParent_Done,
     /* 1995551 */   // Label 26676: @1995551
     /* 1995551 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1995640), // Rule ID 22724 //
     /* 1995556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995602 */     // MIs[0] round
     /* 1995602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995612 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1995615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995639 */     // GIR_Coverage, 22724,
     /* 1995639 */     GIR_EraseRootFromParent_Done,
     /* 1995640 */   // Label 26677: @1995640
     /* 1995640 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1995729), // Rule ID 22727 //
     /* 1995645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995691 */     // MIs[0] round
     /* 1995691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995701 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1995704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995728 */     // GIR_Coverage, 22727,
     /* 1995728 */     GIR_EraseRootFromParent_Done,
     /* 1995729 */   // Label 26678: @1995729
     /* 1995729 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1995818), // Rule ID 22728 //
     /* 1995734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995780 */     // MIs[0] round
     /* 1995780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1995793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995817 */     // GIR_Coverage, 22728,
     /* 1995817 */     GIR_EraseRootFromParent_Done,
     /* 1995818 */   // Label 26679: @1995818
     /* 1995818 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1995907), // Rule ID 22731 //
     /* 1995823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995869 */     // MIs[0] round
     /* 1995869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995879 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1995882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995906 */     // GIR_Coverage, 22731,
     /* 1995906 */     GIR_EraseRootFromParent_Done,
     /* 1995907 */   // Label 26680: @1995907
     /* 1995907 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1995996), // Rule ID 22732 //
     /* 1995912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1995932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995958 */     // MIs[0] round
     /* 1995958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995968 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1995971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995995 */     // GIR_Coverage, 22732,
     /* 1995995 */     GIR_EraseRootFromParent_Done,
     /* 1995996 */   // Label 26681: @1995996
     /* 1995996 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1996085), // Rule ID 22735 //
     /* 1996001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996047 */     // MIs[0] round
     /* 1996047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996057 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996084 */     // GIR_Coverage, 22735,
     /* 1996084 */     GIR_EraseRootFromParent_Done,
     /* 1996085 */   // Label 26682: @1996085
     /* 1996085 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1996174), // Rule ID 22736 //
     /* 1996090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996136 */     // MIs[0] round
     /* 1996136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996146 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1996149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996173 */     // GIR_Coverage, 22736,
     /* 1996173 */     GIR_EraseRootFromParent_Done,
     /* 1996174 */   // Label 26683: @1996174
     /* 1996174 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1996263), // Rule ID 22739 //
     /* 1996179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996225 */     // MIs[0] round
     /* 1996225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996235 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996262 */     // GIR_Coverage, 22739,
     /* 1996262 */     GIR_EraseRootFromParent_Done,
     /* 1996263 */   // Label 26684: @1996263
     /* 1996263 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1996352), // Rule ID 22740 //
     /* 1996268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996314 */     // MIs[0] round
     /* 1996314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1996327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996351 */     // GIR_Coverage, 22740,
     /* 1996351 */     GIR_EraseRootFromParent_Done,
     /* 1996352 */   // Label 26685: @1996352
     /* 1996352 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1996441), // Rule ID 22743 //
     /* 1996357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996403 */     // MIs[0] round
     /* 1996403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996413 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996440 */     // GIR_Coverage, 22743,
     /* 1996440 */     GIR_EraseRootFromParent_Done,
     /* 1996441 */   // Label 26686: @1996441
     /* 1996441 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1996530), // Rule ID 22744 //
     /* 1996446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996492 */     // MIs[0] round
     /* 1996492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1996505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996529 */     // GIR_Coverage, 22744,
     /* 1996529 */     GIR_EraseRootFromParent_Done,
     /* 1996530 */   // Label 26687: @1996530
     /* 1996530 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1996619), // Rule ID 22747 //
     /* 1996535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996581 */     // MIs[0] round
     /* 1996581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996591 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1996594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996618 */     // GIR_Coverage, 22747,
     /* 1996618 */     GIR_EraseRootFromParent_Done,
     /* 1996619 */   // Label 26688: @1996619
     /* 1996619 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1996708), // Rule ID 22748 //
     /* 1996624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996670 */     // MIs[0] round
     /* 1996670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1996683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996707 */     // GIR_Coverage, 22748,
     /* 1996707 */     GIR_EraseRootFromParent_Done,
     /* 1996708 */   // Label 26689: @1996708
     /* 1996708 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1996797), // Rule ID 22751 //
     /* 1996713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996759 */     // MIs[0] round
     /* 1996759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996769 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1996772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996796 */     // GIR_Coverage, 22751,
     /* 1996796 */     GIR_EraseRootFromParent_Done,
     /* 1996797 */   // Label 26690: @1996797
     /* 1996797 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1996886), // Rule ID 22752 //
     /* 1996802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996848 */     // MIs[0] round
     /* 1996848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996858 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1996861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996885 */     // GIR_Coverage, 22752,
     /* 1996885 */     GIR_EraseRootFromParent_Done,
     /* 1996886 */   // Label 26691: @1996886
     /* 1996886 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1996975), // Rule ID 22755 //
     /* 1996891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1996908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996937 */     // MIs[0] round
     /* 1996937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996947 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1996950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996974 */     // GIR_Coverage, 22755,
     /* 1996974 */     GIR_EraseRootFromParent_Done,
     /* 1996975 */   // Label 26692: @1996975
     /* 1996975 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1997064), // Rule ID 22756 //
     /* 1996980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1996988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1996997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997026 */     // MIs[0] round
     /* 1997026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1997039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997063 */     // GIR_Coverage, 22756,
     /* 1997063 */     GIR_EraseRootFromParent_Done,
     /* 1997064 */   // Label 26693: @1997064
     /* 1997064 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1997153), // Rule ID 22759 //
     /* 1997069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997115 */     // MIs[0] round
     /* 1997115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997125 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997152 */     // GIR_Coverage, 22759,
     /* 1997152 */     GIR_EraseRootFromParent_Done,
     /* 1997153 */   // Label 26694: @1997153
     /* 1997153 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1997242), // Rule ID 22760 //
     /* 1997158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1997166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997204 */     // MIs[0] round
     /* 1997204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997214 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1997217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997241 */     // GIR_Coverage, 22760,
     /* 1997241 */     GIR_EraseRootFromParent_Done,
     /* 1997242 */   // Label 26695: @1997242
     /* 1997242 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1997331), // Rule ID 22763 //
     /* 1997247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997293 */     // MIs[0] round
     /* 1997293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997330 */     // GIR_Coverage, 22763,
     /* 1997330 */     GIR_EraseRootFromParent_Done,
     /* 1997331 */   // Label 26696: @1997331
     /* 1997331 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1997420), // Rule ID 22764 //
     /* 1997336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997382 */     // MIs[0] round
     /* 1997382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1997395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997419 */     // GIR_Coverage, 22764,
     /* 1997419 */     GIR_EraseRootFromParent_Done,
     /* 1997420 */   // Label 26697: @1997420
     /* 1997420 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1997509), // Rule ID 22767 //
     /* 1997425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997471 */     // MIs[0] round
     /* 1997471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997481 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997508 */     // GIR_Coverage, 22767,
     /* 1997508 */     GIR_EraseRootFromParent_Done,
     /* 1997509 */   // Label 26698: @1997509
     /* 1997509 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1997598), // Rule ID 22768 //
     /* 1997514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997560 */     // MIs[0] round
     /* 1997560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1997573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997597 */     // GIR_Coverage, 22768,
     /* 1997597 */     GIR_EraseRootFromParent_Done,
     /* 1997598 */   // Label 26699: @1997598
     /* 1997598 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1997687), // Rule ID 22771 //
     /* 1997603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997649 */     // MIs[0] round
     /* 1997649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997659 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1997662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997686 */     // GIR_Coverage, 22771,
     /* 1997686 */     GIR_EraseRootFromParent_Done,
     /* 1997687 */   // Label 26700: @1997687
     /* 1997687 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1997776), // Rule ID 22772 //
     /* 1997692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997738 */     // MIs[0] round
     /* 1997738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1997751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997775 */     // GIR_Coverage, 22772,
     /* 1997775 */     GIR_EraseRootFromParent_Done,
     /* 1997776 */   // Label 26701: @1997776
     /* 1997776 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1997865), // Rule ID 22775 //
     /* 1997781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997827 */     // MIs[0] round
     /* 1997827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997837 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1997840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997864 */     // GIR_Coverage, 22775,
     /* 1997864 */     GIR_EraseRootFromParent_Done,
     /* 1997865 */   // Label 26702: @1997865
     /* 1997865 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1997954), // Rule ID 22776 //
     /* 1997870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997916 */     // MIs[0] round
     /* 1997916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997926 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1997929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997953 */     // GIR_Coverage, 22776,
     /* 1997953 */     GIR_EraseRootFromParent_Done,
     /* 1997954 */   // Label 26703: @1997954
     /* 1997954 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998043), // Rule ID 22779 //
     /* 1997959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1997976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998005 */     // MIs[0] round
     /* 1998005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998042 */     // GIR_Coverage, 22779,
     /* 1998042 */     GIR_EraseRootFromParent_Done,
     /* 1998043 */   // Label 26704: @1998043
     /* 1998043 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1998132), // Rule ID 22780 //
     /* 1998048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998094 */     // MIs[0] round
     /* 1998094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998104 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1998107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998131 */     // GIR_Coverage, 22780,
     /* 1998131 */     GIR_EraseRootFromParent_Done,
     /* 1998132 */   // Label 26705: @1998132
     /* 1998132 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1998221), // Rule ID 22783 //
     /* 1998137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998183 */     // MIs[0] round
     /* 1998183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998193 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998220 */     // GIR_Coverage, 22783,
     /* 1998220 */     GIR_EraseRootFromParent_Done,
     /* 1998221 */   // Label 26706: @1998221
     /* 1998221 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1998310), // Rule ID 22784 //
     /* 1998226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998272 */     // MIs[0] round
     /* 1998272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1998285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998309 */     // GIR_Coverage, 22784,
     /* 1998309 */     GIR_EraseRootFromParent_Done,
     /* 1998310 */   // Label 26707: @1998310
     /* 1998310 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1998399), // Rule ID 22787 //
     /* 1998315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998361 */     // MIs[0] round
     /* 1998361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998371 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998398 */     // GIR_Coverage, 22787,
     /* 1998398 */     GIR_EraseRootFromParent_Done,
     /* 1998399 */   // Label 26708: @1998399
     /* 1998399 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1998488), // Rule ID 22788 //
     /* 1998404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998450 */     // MIs[0] round
     /* 1998450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1998463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998487 */     // GIR_Coverage, 22788,
     /* 1998487 */     GIR_EraseRootFromParent_Done,
     /* 1998488 */   // Label 26709: @1998488
     /* 1998488 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1998577), // Rule ID 22791 //
     /* 1998493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998539 */     // MIs[0] round
     /* 1998539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998576 */     // GIR_Coverage, 22791,
     /* 1998576 */     GIR_EraseRootFromParent_Done,
     /* 1998577 */   // Label 26710: @1998577
     /* 1998577 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1998666), // Rule ID 22792 //
     /* 1998582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998628 */     // MIs[0] round
     /* 1998628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998638 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1998641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998665 */     // GIR_Coverage, 22792,
     /* 1998665 */     GIR_EraseRootFromParent_Done,
     /* 1998666 */   // Label 26711: @1998666
     /* 1998666 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1998755), // Rule ID 22795 //
     /* 1998671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998717 */     // MIs[0] round
     /* 1998717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1998730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998754 */     // GIR_Coverage, 22795,
     /* 1998754 */     GIR_EraseRootFromParent_Done,
     /* 1998755 */   // Label 26712: @1998755
     /* 1998755 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1998844), // Rule ID 22796 //
     /* 1998760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998806 */     // MIs[0] round
     /* 1998806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1998819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998843 */     // GIR_Coverage, 22796,
     /* 1998843 */     GIR_EraseRootFromParent_Done,
     /* 1998844 */   // Label 26713: @1998844
     /* 1998844 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1998933), // Rule ID 22799 //
     /* 1998849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1998866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998895 */     // MIs[0] round
     /* 1998895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1998908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998932 */     // GIR_Coverage, 22799,
     /* 1998932 */     GIR_EraseRootFromParent_Done,
     /* 1998933 */   // Label 26714: @1998933
     /* 1998933 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999022), // Rule ID 22800 //
     /* 1998938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1998955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998984 */     // MIs[0] round
     /* 1998984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998994 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1998997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999021 */     // GIR_Coverage, 22800,
     /* 1999021 */     GIR_EraseRootFromParent_Done,
     /* 1999022 */   // Label 26715: @1999022
     /* 1999022 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1999111), // Rule ID 22803 //
     /* 1999027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999073 */     // MIs[0] round
     /* 1999073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999083 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999110 */     // GIR_Coverage, 22803,
     /* 1999110 */     GIR_EraseRootFromParent_Done,
     /* 1999111 */   // Label 26716: @1999111
     /* 1999111 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1999200), // Rule ID 22804 //
     /* 1999116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999162 */     // MIs[0] round
     /* 1999162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1999175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999199 */     // GIR_Coverage, 22804,
     /* 1999199 */     GIR_EraseRootFromParent_Done,
     /* 1999200 */   // Label 26717: @1999200
     /* 1999200 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1999289), // Rule ID 22807 //
     /* 1999205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999251 */     // MIs[0] round
     /* 1999251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999261 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999288 */     // GIR_Coverage, 22807,
     /* 1999288 */     GIR_EraseRootFromParent_Done,
     /* 1999289 */   // Label 26718: @1999289
     /* 1999289 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1999378), // Rule ID 22808 //
     /* 1999294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999340 */     // MIs[0] round
     /* 1999340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999350 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1999353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999377 */     // GIR_Coverage, 22808,
     /* 1999377 */     GIR_EraseRootFromParent_Done,
     /* 1999378 */   // Label 26719: @1999378
     /* 1999378 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1999467), // Rule ID 22811 //
     /* 1999383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999429 */     // MIs[0] round
     /* 1999429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999466 */     // GIR_Coverage, 22811,
     /* 1999466 */     GIR_EraseRootFromParent_Done,
     /* 1999467 */   // Label 26720: @1999467
     /* 1999467 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1999556), // Rule ID 22812 //
     /* 1999472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999518 */     // MIs[0] round
     /* 1999518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1999531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999555 */     // GIR_Coverage, 22812,
     /* 1999555 */     GIR_EraseRootFromParent_Done,
     /* 1999556 */   // Label 26721: @1999556
     /* 1999556 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1999645), // Rule ID 22815 //
     /* 1999561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999607 */     // MIs[0] round
     /* 1999607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1999620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999644 */     // GIR_Coverage, 22815,
     /* 1999644 */     GIR_EraseRootFromParent_Done,
     /* 1999645 */   // Label 26722: @1999645
     /* 1999645 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1999734), // Rule ID 22816 //
     /* 1999650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999696 */     // MIs[0] round
     /* 1999696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999706 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1999709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999733 */     // GIR_Coverage, 22816,
     /* 1999733 */     GIR_EraseRootFromParent_Done,
     /* 1999734 */   // Label 26723: @1999734
     /* 1999734 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1999823), // Rule ID 22819 //
     /* 1999739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999785 */     // MIs[0] round
     /* 1999785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999795 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1999798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999822 */     // GIR_Coverage, 22819,
     /* 1999822 */     GIR_EraseRootFromParent_Done,
     /* 1999823 */   // Label 26724: @1999823
     /* 1999823 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1999912), // Rule ID 22820 //
     /* 1999828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1999836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999874 */     // MIs[0] round
     /* 1999874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999884 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1999887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999911 */     // GIR_Coverage, 22820,
     /* 1999911 */     GIR_EraseRootFromParent_Done,
     /* 1999912 */   // Label 26725: @1999912
     /* 1999912 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000001), // Rule ID 22943 //
     /* 1999917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1999934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999963 */     // MIs[0] round
     /* 1999963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1999976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000000 */     // GIR_Coverage, 22943,
     /* 2000000 */     GIR_EraseRootFromParent_Done,
     /* 2000001 */   // Label 26726: @2000001
     /* 2000001 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2000090), // Rule ID 22944 //
     /* 2000006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000052 */     // MIs[0] round
     /* 2000052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000062 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2000065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000089 */     // GIR_Coverage, 22944,
     /* 2000089 */     GIR_EraseRootFromParent_Done,
     /* 2000090 */   // Label 26727: @2000090
     /* 2000090 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2000179), // Rule ID 22947 //
     /* 2000095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000141 */     // MIs[0] round
     /* 2000141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000178 */     // GIR_Coverage, 22947,
     /* 2000178 */     GIR_EraseRootFromParent_Done,
     /* 2000179 */   // Label 26728: @2000179
     /* 2000179 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2000268), // Rule ID 22948 //
     /* 2000184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000230 */     // MIs[0] round
     /* 2000230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2000243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000267 */     // GIR_Coverage, 22948,
     /* 2000267 */     GIR_EraseRootFromParent_Done,
     /* 2000268 */   // Label 26729: @2000268
     /* 2000268 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2000357), // Rule ID 22951 //
     /* 2000273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000319 */     // MIs[0] round
     /* 2000319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000329 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000356 */     // GIR_Coverage, 22951,
     /* 2000356 */     GIR_EraseRootFromParent_Done,
     /* 2000357 */   // Label 26730: @2000357
     /* 2000357 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2000446), // Rule ID 22952 //
     /* 2000362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000408 */     // MIs[0] round
     /* 2000408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000418 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2000421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000445 */     // GIR_Coverage, 22952,
     /* 2000445 */     GIR_EraseRootFromParent_Done,
     /* 2000446 */   // Label 26731: @2000446
     /* 2000446 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2000535), // Rule ID 22955 //
     /* 2000451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000497 */     // MIs[0] round
     /* 2000497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000534 */     // GIR_Coverage, 22955,
     /* 2000534 */     GIR_EraseRootFromParent_Done,
     /* 2000535 */   // Label 26732: @2000535
     /* 2000535 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2000624), // Rule ID 22956 //
     /* 2000540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000586 */     // MIs[0] round
     /* 2000586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2000599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000623 */     // GIR_Coverage, 22956,
     /* 2000623 */     GIR_EraseRootFromParent_Done,
     /* 2000624 */   // Label 26733: @2000624
     /* 2000624 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2000713), // Rule ID 22959 //
     /* 2000629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2000646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000675 */     // MIs[0] round
     /* 2000675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2000688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000712 */     // GIR_Coverage, 22959,
     /* 2000712 */     GIR_EraseRootFromParent_Done,
     /* 2000713 */   // Label 26734: @2000713
     /* 2000713 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2000802), // Rule ID 22960 //
     /* 2000718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2000735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000764 */     // MIs[0] round
     /* 2000764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2000777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000801 */     // GIR_Coverage, 22960,
     /* 2000801 */     GIR_EraseRootFromParent_Done,
     /* 2000802 */   // Label 26735: @2000802
     /* 2000802 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2000891), // Rule ID 22963 //
     /* 2000807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000853 */     // MIs[0] round
     /* 2000853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000863 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2000866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000890 */     // GIR_Coverage, 22963,
     /* 2000890 */     GIR_EraseRootFromParent_Done,
     /* 2000891 */   // Label 26736: @2000891
     /* 2000891 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2000980), // Rule ID 22964 //
     /* 2000896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000942 */     // MIs[0] round
     /* 2000942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000952 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2000955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000979 */     // GIR_Coverage, 22964,
     /* 2000979 */     GIR_EraseRootFromParent_Done,
     /* 2000980 */   // Label 26737: @2000980
     /* 2000980 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2001069), // Rule ID 22967 //
     /* 2000985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001031 */     // MIs[0] round
     /* 2001031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001041 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001068 */     // GIR_Coverage, 22967,
     /* 2001068 */     GIR_EraseRootFromParent_Done,
     /* 2001069 */   // Label 26738: @2001069
     /* 2001069 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2001158), // Rule ID 22968 //
     /* 2001074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001120 */     // MIs[0] round
     /* 2001120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2001133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001157 */     // GIR_Coverage, 22968,
     /* 2001157 */     GIR_EraseRootFromParent_Done,
     /* 2001158 */   // Label 26739: @2001158
     /* 2001158 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2001247), // Rule ID 22971 //
     /* 2001163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001209 */     // MIs[0] round
     /* 2001209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001219 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001246 */     // GIR_Coverage, 22971,
     /* 2001246 */     GIR_EraseRootFromParent_Done,
     /* 2001247 */   // Label 26740: @2001247
     /* 2001247 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2001336), // Rule ID 22972 //
     /* 2001252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001298 */     // MIs[0] round
     /* 2001298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2001311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001335 */     // GIR_Coverage, 22972,
     /* 2001335 */     GIR_EraseRootFromParent_Done,
     /* 2001336 */   // Label 26741: @2001336
     /* 2001336 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2001425), // Rule ID 22975 //
     /* 2001341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001387 */     // MIs[0] round
     /* 2001387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001397 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001424 */     // GIR_Coverage, 22975,
     /* 2001424 */     GIR_EraseRootFromParent_Done,
     /* 2001425 */   // Label 26742: @2001425
     /* 2001425 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2001514), // Rule ID 22976 //
     /* 2001430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001476 */     // MIs[0] round
     /* 2001476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001486 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2001489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001513 */     // GIR_Coverage, 22976,
     /* 2001513 */     GIR_EraseRootFromParent_Done,
     /* 2001514 */   // Label 26743: @2001514
     /* 2001514 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2001603), // Rule ID 22979 //
     /* 2001519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001565 */     // MIs[0] round
     /* 2001565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001575 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2001578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001602 */     // GIR_Coverage, 22979,
     /* 2001602 */     GIR_EraseRootFromParent_Done,
     /* 2001603 */   // Label 26744: @2001603
     /* 2001603 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2001692), // Rule ID 22980 //
     /* 2001608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001654 */     // MIs[0] round
     /* 2001654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2001667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001691 */     // GIR_Coverage, 22980,
     /* 2001691 */     GIR_EraseRootFromParent_Done,
     /* 2001692 */   // Label 26745: @2001692
     /* 2001692 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2001781), // Rule ID 22983 //
     /* 2001697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001743 */     // MIs[0] round
     /* 2001743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001753 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2001756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001780 */     // GIR_Coverage, 22983,
     /* 2001780 */     GIR_EraseRootFromParent_Done,
     /* 2001781 */   // Label 26746: @2001781
     /* 2001781 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2001870), // Rule ID 22984 //
     /* 2001786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2001794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001832 */     // MIs[0] round
     /* 2001832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001842 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2001845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001869 */     // GIR_Coverage, 22984,
     /* 2001869 */     GIR_EraseRootFromParent_Done,
     /* 2001870 */   // Label 26747: @2001870
     /* 2001870 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2001959), // Rule ID 22987 //
     /* 2001875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001921 */     // MIs[0] round
     /* 2001921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001931 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2001934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001958 */     // GIR_Coverage, 22987,
     /* 2001958 */     GIR_EraseRootFromParent_Done,
     /* 2001959 */   // Label 26748: @2001959
     /* 2001959 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2002048), // Rule ID 22988 //
     /* 2001964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002010 */     // MIs[0] round
     /* 2002010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2002023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002047 */     // GIR_Coverage, 22988,
     /* 2002047 */     GIR_EraseRootFromParent_Done,
     /* 2002048 */   // Label 26749: @2002048
     /* 2002048 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2002137), // Rule ID 22991 //
     /* 2002053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002099 */     // MIs[0] round
     /* 2002099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002136 */     // GIR_Coverage, 22991,
     /* 2002136 */     GIR_EraseRootFromParent_Done,
     /* 2002137 */   // Label 26750: @2002137
     /* 2002137 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2002226), // Rule ID 22992 //
     /* 2002142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002188 */     // MIs[0] round
     /* 2002188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002198 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2002201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002225 */     // GIR_Coverage, 22992,
     /* 2002225 */     GIR_EraseRootFromParent_Done,
     /* 2002226 */   // Label 26751: @2002226
     /* 2002226 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2002315), // Rule ID 22995 //
     /* 2002231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002277 */     // MIs[0] round
     /* 2002277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002287 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002314 */     // GIR_Coverage, 22995,
     /* 2002314 */     GIR_EraseRootFromParent_Done,
     /* 2002315 */   // Label 26752: @2002315
     /* 2002315 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2002404), // Rule ID 22996 //
     /* 2002320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002366 */     // MIs[0] round
     /* 2002366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2002379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002403 */     // GIR_Coverage, 22996,
     /* 2002403 */     GIR_EraseRootFromParent_Done,
     /* 2002404 */   // Label 26753: @2002404
     /* 2002404 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2002493), // Rule ID 22999 //
     /* 2002409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002455 */     // MIs[0] round
     /* 2002455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002492 */     // GIR_Coverage, 22999,
     /* 2002492 */     GIR_EraseRootFromParent_Done,
     /* 2002493 */   // Label 26754: @2002493
     /* 2002493 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2002582), // Rule ID 23000 //
     /* 2002498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002544 */     // MIs[0] round
     /* 2002544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2002557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002581 */     // GIR_Coverage, 23000,
     /* 2002581 */     GIR_EraseRootFromParent_Done,
     /* 2002582 */   // Label 26755: @2002582
     /* 2002582 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2002671), // Rule ID 23003 //
     /* 2002587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002633 */     // MIs[0] round
     /* 2002633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002643 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2002646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002670 */     // GIR_Coverage, 23003,
     /* 2002670 */     GIR_EraseRootFromParent_Done,
     /* 2002671 */   // Label 26756: @2002671
     /* 2002671 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2002760), // Rule ID 23004 //
     /* 2002676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002722 */     // MIs[0] round
     /* 2002722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2002735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002759 */     // GIR_Coverage, 23004,
     /* 2002759 */     GIR_EraseRootFromParent_Done,
     /* 2002760 */   // Label 26757: @2002760
     /* 2002760 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2002849), // Rule ID 23007 //
     /* 2002765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002811 */     // MIs[0] round
     /* 2002811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002821 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2002824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002848 */     // GIR_Coverage, 23007,
     /* 2002848 */     GIR_EraseRootFromParent_Done,
     /* 2002849 */   // Label 26758: @2002849
     /* 2002849 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2002938), // Rule ID 23008 //
     /* 2002854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002900 */     // MIs[0] round
     /* 2002900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2002913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002937 */     // GIR_Coverage, 23008,
     /* 2002937 */     GIR_EraseRootFromParent_Done,
     /* 2002938 */   // Label 26759: @2002938
     /* 2002938 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2003027), // Rule ID 23011 //
     /* 2002943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002989 */     // MIs[0] round
     /* 2002989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002999 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003026 */     // GIR_Coverage, 23011,
     /* 2003026 */     GIR_EraseRootFromParent_Done,
     /* 2003027 */   // Label 26760: @2003027
     /* 2003027 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2003116), // Rule ID 23012 //
     /* 2003032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003078 */     // MIs[0] round
     /* 2003078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2003091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003115 */     // GIR_Coverage, 23012,
     /* 2003115 */     GIR_EraseRootFromParent_Done,
     /* 2003116 */   // Label 26761: @2003116
     /* 2003116 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2003205), // Rule ID 23015 //
     /* 2003121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003167 */     // MIs[0] round
     /* 2003167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003204 */     // GIR_Coverage, 23015,
     /* 2003204 */     GIR_EraseRootFromParent_Done,
     /* 2003205 */   // Label 26762: @2003205
     /* 2003205 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2003294), // Rule ID 23016 //
     /* 2003210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003256 */     // MIs[0] round
     /* 2003256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003266 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2003269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003293 */     // GIR_Coverage, 23016,
     /* 2003293 */     GIR_EraseRootFromParent_Done,
     /* 2003294 */   // Label 26763: @2003294
     /* 2003294 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2003383), // Rule ID 23019 //
     /* 2003299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003345 */     // MIs[0] round
     /* 2003345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003355 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003382 */     // GIR_Coverage, 23019,
     /* 2003382 */     GIR_EraseRootFromParent_Done,
     /* 2003383 */   // Label 26764: @2003383
     /* 2003383 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2003472), // Rule ID 23020 //
     /* 2003388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003434 */     // MIs[0] round
     /* 2003434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003444 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2003447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003471 */     // GIR_Coverage, 23020,
     /* 2003471 */     GIR_EraseRootFromParent_Done,
     /* 2003472 */   // Label 26765: @2003472
     /* 2003472 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2003561), // Rule ID 23023 //
     /* 2003477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003523 */     // MIs[0] round
     /* 2003523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003560 */     // GIR_Coverage, 23023,
     /* 2003560 */     GIR_EraseRootFromParent_Done,
     /* 2003561 */   // Label 26766: @2003561
     /* 2003561 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2003650), // Rule ID 23024 //
     /* 2003566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003612 */     // MIs[0] round
     /* 2003612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003622 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2003625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003649 */     // GIR_Coverage, 23024,
     /* 2003649 */     GIR_EraseRootFromParent_Done,
     /* 2003650 */   // Label 26767: @2003650
     /* 2003650 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2003739), // Rule ID 23027 //
     /* 2003655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003701 */     // MIs[0] round
     /* 2003701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2003714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003738 */     // GIR_Coverage, 23027,
     /* 2003738 */     GIR_EraseRootFromParent_Done,
     /* 2003739 */   // Label 26768: @2003739
     /* 2003739 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2003828), // Rule ID 23028 //
     /* 2003744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2003752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003790 */     // MIs[0] round
     /* 2003790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2003803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003827 */     // GIR_Coverage, 23028,
     /* 2003827 */     GIR_EraseRootFromParent_Done,
     /* 2003828 */   // Label 26769: @2003828
     /* 2003828 */   GIM_Reject,
     /* 2003829 */ // Label 19767: @2003829
     /* 2003829 */ GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2192130),
     /* 2003834 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2003837 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2003939), // Rule ID 15863 //
     /* 2003842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2003853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2003856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2003859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003892 */     // MIs[1] Operand 1
     /* 2003892 */     // No operand predicates
     /* 2003892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003896 */     // MIs[0] round
     /* 2003896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003899 */     // MIs[0] policy
     /* 2003899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2003914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003938 */     // GIR_Coverage, 15863,
     /* 2003938 */     GIR_EraseRootFromParent_Done,
     /* 2003939 */   // Label 26771: @2003939
     /* 2003939 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2004041), // Rule ID 15864 //
     /* 2003944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2003955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2003958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2003961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003994 */     // MIs[1] Operand 1
     /* 2003994 */     // No operand predicates
     /* 2003994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003998 */     // MIs[0] round
     /* 2003998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004001 */     // MIs[0] policy
     /* 2004001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2004016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004040 */     // GIR_Coverage, 15864,
     /* 2004040 */     GIR_EraseRootFromParent_Done,
     /* 2004041 */   // Label 26772: @2004041
     /* 2004041 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2004143), // Rule ID 15867 //
     /* 2004046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004096 */     // MIs[1] Operand 1
     /* 2004096 */     // No operand predicates
     /* 2004096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004100 */     // MIs[0] round
     /* 2004100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004103 */     // MIs[0] policy
     /* 2004103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004142 */     // GIR_Coverage, 15867,
     /* 2004142 */     GIR_EraseRootFromParent_Done,
     /* 2004143 */   // Label 26773: @2004143
     /* 2004143 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2004245), // Rule ID 15868 //
     /* 2004148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2004159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2004162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2004165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004198 */     // MIs[1] Operand 1
     /* 2004198 */     // No operand predicates
     /* 2004198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004202 */     // MIs[0] round
     /* 2004202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004205 */     // MIs[0] policy
     /* 2004205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004244 */     // GIR_Coverage, 15868,
     /* 2004244 */     GIR_EraseRootFromParent_Done,
     /* 2004245 */   // Label 26774: @2004245
     /* 2004245 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2004347), // Rule ID 15871 //
     /* 2004250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004300 */     // MIs[1] Operand 1
     /* 2004300 */     // No operand predicates
     /* 2004300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004304 */     // MIs[0] round
     /* 2004304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004307 */     // MIs[0] policy
     /* 2004307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004319 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004346 */     // GIR_Coverage, 15871,
     /* 2004346 */     GIR_EraseRootFromParent_Done,
     /* 2004347 */   // Label 26775: @2004347
     /* 2004347 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2004449), // Rule ID 15872 //
     /* 2004352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2004363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2004366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2004369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004402 */     // MIs[1] Operand 1
     /* 2004402 */     // No operand predicates
     /* 2004402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004406 */     // MIs[0] round
     /* 2004406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004409 */     // MIs[0] policy
     /* 2004409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004448 */     // GIR_Coverage, 15872,
     /* 2004448 */     GIR_EraseRootFromParent_Done,
     /* 2004449 */   // Label 26776: @2004449
     /* 2004449 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2004551), // Rule ID 15875 //
     /* 2004454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004504 */     // MIs[1] Operand 1
     /* 2004504 */     // No operand predicates
     /* 2004504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004508 */     // MIs[0] round
     /* 2004508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004511 */     // MIs[0] policy
     /* 2004511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004550 */     // GIR_Coverage, 15875,
     /* 2004550 */     GIR_EraseRootFromParent_Done,
     /* 2004551 */   // Label 26777: @2004551
     /* 2004551 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2004653), // Rule ID 15876 //
     /* 2004556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004606 */     // MIs[1] Operand 1
     /* 2004606 */     // No operand predicates
     /* 2004606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004610 */     // MIs[0] round
     /* 2004610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004613 */     // MIs[0] policy
     /* 2004613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2004628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004652 */     // GIR_Coverage, 15876,
     /* 2004652 */     GIR_EraseRootFromParent_Done,
     /* 2004653 */   // Label 26778: @2004653
     /* 2004653 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2004755), // Rule ID 15879 //
     /* 2004658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004708 */     // MIs[1] Operand 1
     /* 2004708 */     // No operand predicates
     /* 2004708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004712 */     // MIs[0] round
     /* 2004712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004715 */     // MIs[0] policy
     /* 2004715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004754 */     // GIR_Coverage, 15879,
     /* 2004754 */     GIR_EraseRootFromParent_Done,
     /* 2004755 */   // Label 26779: @2004755
     /* 2004755 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2004857), // Rule ID 15880 //
     /* 2004760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004810 */     // MIs[1] Operand 1
     /* 2004810 */     // No operand predicates
     /* 2004810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004814 */     // MIs[0] round
     /* 2004814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004817 */     // MIs[0] policy
     /* 2004817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004856 */     // GIR_Coverage, 15880,
     /* 2004856 */     GIR_EraseRootFromParent_Done,
     /* 2004857 */   // Label 26780: @2004857
     /* 2004857 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2004959), // Rule ID 15883 //
     /* 2004862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004912 */     // MIs[1] Operand 1
     /* 2004912 */     // No operand predicates
     /* 2004912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004916 */     // MIs[0] round
     /* 2004916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004919 */     // MIs[0] policy
     /* 2004919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2004934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004958 */     // GIR_Coverage, 15883,
     /* 2004958 */     GIR_EraseRootFromParent_Done,
     /* 2004959 */   // Label 26781: @2004959
     /* 2004959 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2005061), // Rule ID 15884 //
     /* 2004964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005014 */     // MIs[1] Operand 1
     /* 2005014 */     // No operand predicates
     /* 2005014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005018 */     // MIs[0] round
     /* 2005018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005021 */     // MIs[0] policy
     /* 2005021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2005036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005060 */     // GIR_Coverage, 15884,
     /* 2005060 */     GIR_EraseRootFromParent_Done,
     /* 2005061 */   // Label 26782: @2005061
     /* 2005061 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2005163), // Rule ID 15887 //
     /* 2005066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005116 */     // MIs[1] Operand 1
     /* 2005116 */     // No operand predicates
     /* 2005116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005120 */     // MIs[0] round
     /* 2005120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005123 */     // MIs[0] policy
     /* 2005123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005135 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005162 */     // GIR_Coverage, 15887,
     /* 2005162 */     GIR_EraseRootFromParent_Done,
     /* 2005163 */   // Label 26783: @2005163
     /* 2005163 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2005265), // Rule ID 15888 //
     /* 2005168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2005179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2005182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2005185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005218 */     // MIs[1] Operand 1
     /* 2005218 */     // No operand predicates
     /* 2005218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005222 */     // MIs[0] round
     /* 2005222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005225 */     // MIs[0] policy
     /* 2005225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005237 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005264 */     // GIR_Coverage, 15888,
     /* 2005264 */     GIR_EraseRootFromParent_Done,
     /* 2005265 */   // Label 26784: @2005265
     /* 2005265 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2005367), // Rule ID 15891 //
     /* 2005270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005320 */     // MIs[1] Operand 1
     /* 2005320 */     // No operand predicates
     /* 2005320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005324 */     // MIs[0] round
     /* 2005324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005327 */     // MIs[0] policy
     /* 2005327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005366 */     // GIR_Coverage, 15891,
     /* 2005366 */     GIR_EraseRootFromParent_Done,
     /* 2005367 */   // Label 26785: @2005367
     /* 2005367 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2005469), // Rule ID 15892 //
     /* 2005372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005422 */     // MIs[1] Operand 1
     /* 2005422 */     // No operand predicates
     /* 2005422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005426 */     // MIs[0] round
     /* 2005426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005429 */     // MIs[0] policy
     /* 2005429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005441 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005468 */     // GIR_Coverage, 15892,
     /* 2005468 */     GIR_EraseRootFromParent_Done,
     /* 2005469 */   // Label 26786: @2005469
     /* 2005469 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2005571), // Rule ID 15895 //
     /* 2005474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005524 */     // MIs[1] Operand 1
     /* 2005524 */     // No operand predicates
     /* 2005524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005528 */     // MIs[0] round
     /* 2005528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005531 */     // MIs[0] policy
     /* 2005531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005570 */     // GIR_Coverage, 15895,
     /* 2005570 */     GIR_EraseRootFromParent_Done,
     /* 2005571 */   // Label 26787: @2005571
     /* 2005571 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2005673), // Rule ID 15896 //
     /* 2005576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005626 */     // MIs[1] Operand 1
     /* 2005626 */     // No operand predicates
     /* 2005626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005630 */     // MIs[0] round
     /* 2005630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005633 */     // MIs[0] policy
     /* 2005633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005672 */     // GIR_Coverage, 15896,
     /* 2005672 */     GIR_EraseRootFromParent_Done,
     /* 2005673 */   // Label 26788: @2005673
     /* 2005673 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2005775), // Rule ID 15899 //
     /* 2005678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2005681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005728 */     // MIs[1] Operand 1
     /* 2005728 */     // No operand predicates
     /* 2005728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005732 */     // MIs[0] round
     /* 2005732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005735 */     // MIs[0] policy
     /* 2005735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005774 */     // GIR_Coverage, 15899,
     /* 2005774 */     GIR_EraseRootFromParent_Done,
     /* 2005775 */   // Label 26789: @2005775
     /* 2005775 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2005877), // Rule ID 15900 //
     /* 2005780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2005783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005830 */     // MIs[1] Operand 1
     /* 2005830 */     // No operand predicates
     /* 2005830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005834 */     // MIs[0] round
     /* 2005834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005837 */     // MIs[0] policy
     /* 2005837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2005852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005876 */     // GIR_Coverage, 15900,
     /* 2005876 */     GIR_EraseRootFromParent_Done,
     /* 2005877 */   // Label 26790: @2005877
     /* 2005877 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2005979), // Rule ID 15903 //
     /* 2005882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2005893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2005896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005932 */     // MIs[1] Operand 1
     /* 2005932 */     // No operand predicates
     /* 2005932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005936 */     // MIs[0] round
     /* 2005936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005939 */     // MIs[0] policy
     /* 2005939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2005954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005978 */     // GIR_Coverage, 15903,
     /* 2005978 */     GIR_EraseRootFromParent_Done,
     /* 2005979 */   // Label 26791: @2005979
     /* 2005979 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2006081), // Rule ID 15904 //
     /* 2005984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2005995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2005998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006034 */     // MIs[1] Operand 1
     /* 2006034 */     // No operand predicates
     /* 2006034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006038 */     // MIs[0] round
     /* 2006038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006041 */     // MIs[0] policy
     /* 2006041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006080 */     // GIR_Coverage, 15904,
     /* 2006080 */     GIR_EraseRootFromParent_Done,
     /* 2006081 */   // Label 26792: @2006081
     /* 2006081 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2006183), // Rule ID 15907 //
     /* 2006086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006136 */     // MIs[1] Operand 1
     /* 2006136 */     // No operand predicates
     /* 2006136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006140 */     // MIs[0] round
     /* 2006140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006143 */     // MIs[0] policy
     /* 2006143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006182 */     // GIR_Coverage, 15907,
     /* 2006182 */     GIR_EraseRootFromParent_Done,
     /* 2006183 */   // Label 26793: @2006183
     /* 2006183 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2006285), // Rule ID 15908 //
     /* 2006188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2006199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2006202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006238 */     // MIs[1] Operand 1
     /* 2006238 */     // No operand predicates
     /* 2006238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006242 */     // MIs[0] round
     /* 2006242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006245 */     // MIs[0] policy
     /* 2006245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006284 */     // GIR_Coverage, 15908,
     /* 2006284 */     GIR_EraseRootFromParent_Done,
     /* 2006285 */   // Label 26794: @2006285
     /* 2006285 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2006387), // Rule ID 15911 //
     /* 2006290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006340 */     // MIs[1] Operand 1
     /* 2006340 */     // No operand predicates
     /* 2006340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006344 */     // MIs[0] round
     /* 2006344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006347 */     // MIs[0] policy
     /* 2006347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006386 */     // GIR_Coverage, 15911,
     /* 2006386 */     GIR_EraseRootFromParent_Done,
     /* 2006387 */   // Label 26795: @2006387
     /* 2006387 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2006489), // Rule ID 15912 //
     /* 2006392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006442 */     // MIs[1] Operand 1
     /* 2006442 */     // No operand predicates
     /* 2006442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006446 */     // MIs[0] round
     /* 2006446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006449 */     // MIs[0] policy
     /* 2006449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006461 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006488 */     // GIR_Coverage, 15912,
     /* 2006488 */     GIR_EraseRootFromParent_Done,
     /* 2006489 */   // Label 26796: @2006489
     /* 2006489 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2006591), // Rule ID 15915 //
     /* 2006494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006544 */     // MIs[1] Operand 1
     /* 2006544 */     // No operand predicates
     /* 2006544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006548 */     // MIs[0] round
     /* 2006548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006551 */     // MIs[0] policy
     /* 2006551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006590 */     // GIR_Coverage, 15915,
     /* 2006590 */     GIR_EraseRootFromParent_Done,
     /* 2006591 */   // Label 26797: @2006591
     /* 2006591 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2006693), // Rule ID 15916 //
     /* 2006596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006646 */     // MIs[1] Operand 1
     /* 2006646 */     // No operand predicates
     /* 2006646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006650 */     // MIs[0] round
     /* 2006650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006653 */     // MIs[0] policy
     /* 2006653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006692 */     // GIR_Coverage, 15916,
     /* 2006692 */     GIR_EraseRootFromParent_Done,
     /* 2006693 */   // Label 26798: @2006693
     /* 2006693 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2006795), // Rule ID 15919 //
     /* 2006698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006748 */     // MIs[1] Operand 1
     /* 2006748 */     // No operand predicates
     /* 2006748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006752 */     // MIs[0] round
     /* 2006752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006755 */     // MIs[0] policy
     /* 2006755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006794 */     // GIR_Coverage, 15919,
     /* 2006794 */     GIR_EraseRootFromParent_Done,
     /* 2006795 */   // Label 26799: @2006795
     /* 2006795 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2006897), // Rule ID 15920 //
     /* 2006800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006850 */     // MIs[1] Operand 1
     /* 2006850 */     // No operand predicates
     /* 2006850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006854 */     // MIs[0] round
     /* 2006854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006857 */     // MIs[0] policy
     /* 2006857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006896 */     // GIR_Coverage, 15920,
     /* 2006896 */     GIR_EraseRootFromParent_Done,
     /* 2006897 */   // Label 26800: @2006897
     /* 2006897 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2006999), // Rule ID 15923 //
     /* 2006902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2006913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2006916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006952 */     // MIs[1] Operand 1
     /* 2006952 */     // No operand predicates
     /* 2006952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006956 */     // MIs[0] round
     /* 2006956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006959 */     // MIs[0] policy
     /* 2006959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006998 */     // GIR_Coverage, 15923,
     /* 2006998 */     GIR_EraseRootFromParent_Done,
     /* 2006999 */   // Label 26801: @2006999
     /* 2006999 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2007101), // Rule ID 15924 //
     /* 2007004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2007015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2007018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007054 */     // MIs[1] Operand 1
     /* 2007054 */     // No operand predicates
     /* 2007054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007058 */     // MIs[0] round
     /* 2007058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007061 */     // MIs[0] policy
     /* 2007061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007100 */     // GIR_Coverage, 15924,
     /* 2007100 */     GIR_EraseRootFromParent_Done,
     /* 2007101 */   // Label 26802: @2007101
     /* 2007101 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2007203), // Rule ID 15927 //
     /* 2007106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007156 */     // MIs[1] Operand 1
     /* 2007156 */     // No operand predicates
     /* 2007156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007160 */     // MIs[0] round
     /* 2007160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007163 */     // MIs[0] policy
     /* 2007163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007175 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007202 */     // GIR_Coverage, 15927,
     /* 2007202 */     GIR_EraseRootFromParent_Done,
     /* 2007203 */   // Label 26803: @2007203
     /* 2007203 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2007305), // Rule ID 15928 //
     /* 2007208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007258 */     // MIs[1] Operand 1
     /* 2007258 */     // No operand predicates
     /* 2007258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007262 */     // MIs[0] round
     /* 2007262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007265 */     // MIs[0] policy
     /* 2007265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007304 */     // GIR_Coverage, 15928,
     /* 2007304 */     GIR_EraseRootFromParent_Done,
     /* 2007305 */   // Label 26804: @2007305
     /* 2007305 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2007407), // Rule ID 15931 //
     /* 2007310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007360 */     // MIs[1] Operand 1
     /* 2007360 */     // No operand predicates
     /* 2007360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007364 */     // MIs[0] round
     /* 2007364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007367 */     // MIs[0] policy
     /* 2007367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007406 */     // GIR_Coverage, 15931,
     /* 2007406 */     GIR_EraseRootFromParent_Done,
     /* 2007407 */   // Label 26805: @2007407
     /* 2007407 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2007509), // Rule ID 15932 //
     /* 2007412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007462 */     // MIs[1] Operand 1
     /* 2007462 */     // No operand predicates
     /* 2007462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007466 */     // MIs[0] round
     /* 2007466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007469 */     // MIs[0] policy
     /* 2007469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007508 */     // GIR_Coverage, 15932,
     /* 2007508 */     GIR_EraseRootFromParent_Done,
     /* 2007509 */   // Label 26806: @2007509
     /* 2007509 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2007611), // Rule ID 15935 //
     /* 2007514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007564 */     // MIs[1] Operand 1
     /* 2007564 */     // No operand predicates
     /* 2007564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007568 */     // MIs[0] round
     /* 2007568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007571 */     // MIs[0] policy
     /* 2007571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007610 */     // GIR_Coverage, 15935,
     /* 2007610 */     GIR_EraseRootFromParent_Done,
     /* 2007611 */   // Label 26807: @2007611
     /* 2007611 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2007713), // Rule ID 15936 //
     /* 2007616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007666 */     // MIs[1] Operand 1
     /* 2007666 */     // No operand predicates
     /* 2007666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007670 */     // MIs[0] round
     /* 2007670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007673 */     // MIs[0] policy
     /* 2007673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007712 */     // GIR_Coverage, 15936,
     /* 2007712 */     GIR_EraseRootFromParent_Done,
     /* 2007713 */   // Label 26808: @2007713
     /* 2007713 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2007815), // Rule ID 15939 //
     /* 2007718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007768 */     // MIs[1] Operand 1
     /* 2007768 */     // No operand predicates
     /* 2007768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007772 */     // MIs[0] round
     /* 2007772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007775 */     // MIs[0] policy
     /* 2007775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007814 */     // GIR_Coverage, 15939,
     /* 2007814 */     GIR_EraseRootFromParent_Done,
     /* 2007815 */   // Label 26809: @2007815
     /* 2007815 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2007917), // Rule ID 15940 //
     /* 2007820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007870 */     // MIs[1] Operand 1
     /* 2007870 */     // No operand predicates
     /* 2007870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007874 */     // MIs[0] round
     /* 2007874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007877 */     // MIs[0] policy
     /* 2007877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007889 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2007892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007916 */     // GIR_Coverage, 15940,
     /* 2007916 */     GIR_EraseRootFromParent_Done,
     /* 2007917 */   // Label 26810: @2007917
     /* 2007917 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2008019), // Rule ID 15943 //
     /* 2007922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2007939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007972 */     // MIs[1] Operand 1
     /* 2007972 */     // No operand predicates
     /* 2007972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007976 */     // MIs[0] round
     /* 2007976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007979 */     // MIs[0] policy
     /* 2007979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2007994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008018 */     // GIR_Coverage, 15943,
     /* 2008018 */     GIR_EraseRootFromParent_Done,
     /* 2008019 */   // Label 26811: @2008019
     /* 2008019 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2008121), // Rule ID 15944 //
     /* 2008024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2008041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008074 */     // MIs[1] Operand 1
     /* 2008074 */     // No operand predicates
     /* 2008074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008078 */     // MIs[0] round
     /* 2008078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008081 */     // MIs[0] policy
     /* 2008081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2008096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008120 */     // GIR_Coverage, 15944,
     /* 2008120 */     GIR_EraseRootFromParent_Done,
     /* 2008121 */   // Label 26812: @2008121
     /* 2008121 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2008223), // Rule ID 15947 //
     /* 2008126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008176 */     // MIs[1] Operand 1
     /* 2008176 */     // No operand predicates
     /* 2008176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008180 */     // MIs[0] round
     /* 2008180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008183 */     // MIs[0] policy
     /* 2008183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008222 */     // GIR_Coverage, 15947,
     /* 2008222 */     GIR_EraseRootFromParent_Done,
     /* 2008223 */   // Label 26813: @2008223
     /* 2008223 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2008325), // Rule ID 15948 //
     /* 2008228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2008245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008278 */     // MIs[1] Operand 1
     /* 2008278 */     // No operand predicates
     /* 2008278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008282 */     // MIs[0] round
     /* 2008282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008285 */     // MIs[0] policy
     /* 2008285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2008300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008324 */     // GIR_Coverage, 15948,
     /* 2008324 */     GIR_EraseRootFromParent_Done,
     /* 2008325 */   // Label 26814: @2008325
     /* 2008325 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2008427), // Rule ID 16127 //
     /* 2008330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008380 */     // MIs[1] Operand 1
     /* 2008380 */     // No operand predicates
     /* 2008380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008384 */     // MIs[0] round
     /* 2008384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008387 */     // MIs[0] policy
     /* 2008387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008426 */     // GIR_Coverage, 16127,
     /* 2008426 */     GIR_EraseRootFromParent_Done,
     /* 2008427 */   // Label 26815: @2008427
     /* 2008427 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2008529), // Rule ID 16128 //
     /* 2008432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008482 */     // MIs[1] Operand 1
     /* 2008482 */     // No operand predicates
     /* 2008482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008486 */     // MIs[0] round
     /* 2008486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008489 */     // MIs[0] policy
     /* 2008489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008501 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2008504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008528 */     // GIR_Coverage, 16128,
     /* 2008528 */     GIR_EraseRootFromParent_Done,
     /* 2008529 */   // Label 26816: @2008529
     /* 2008529 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2008631), // Rule ID 16131 //
     /* 2008534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008584 */     // MIs[1] Operand 1
     /* 2008584 */     // No operand predicates
     /* 2008584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008588 */     // MIs[0] round
     /* 2008588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008591 */     // MIs[0] policy
     /* 2008591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2008606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008630 */     // GIR_Coverage, 16131,
     /* 2008630 */     GIR_EraseRootFromParent_Done,
     /* 2008631 */   // Label 26817: @2008631
     /* 2008631 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2008733), // Rule ID 16132 //
     /* 2008636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008686 */     // MIs[1] Operand 1
     /* 2008686 */     // No operand predicates
     /* 2008686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008690 */     // MIs[0] round
     /* 2008690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008693 */     // MIs[0] policy
     /* 2008693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2008708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008732 */     // GIR_Coverage, 16132,
     /* 2008732 */     GIR_EraseRootFromParent_Done,
     /* 2008733 */   // Label 26818: @2008733
     /* 2008733 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2008835), // Rule ID 16135 //
     /* 2008738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008788 */     // MIs[1] Operand 1
     /* 2008788 */     // No operand predicates
     /* 2008788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008792 */     // MIs[0] round
     /* 2008792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008795 */     // MIs[0] policy
     /* 2008795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008834 */     // GIR_Coverage, 16135,
     /* 2008834 */     GIR_EraseRootFromParent_Done,
     /* 2008835 */   // Label 26819: @2008835
     /* 2008835 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2008937), // Rule ID 16136 //
     /* 2008840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008890 */     // MIs[1] Operand 1
     /* 2008890 */     // No operand predicates
     /* 2008890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008894 */     // MIs[0] round
     /* 2008894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008897 */     // MIs[0] policy
     /* 2008897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008936 */     // GIR_Coverage, 16136,
     /* 2008936 */     GIR_EraseRootFromParent_Done,
     /* 2008937 */   // Label 26820: @2008937
     /* 2008937 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2009039), // Rule ID 16139 //
     /* 2008942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2008953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2008956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2008959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008992 */     // MIs[1] Operand 1
     /* 2008992 */     // No operand predicates
     /* 2008992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008996 */     // MIs[0] round
     /* 2008996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008999 */     // MIs[0] policy
     /* 2008999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009038 */     // GIR_Coverage, 16139,
     /* 2009038 */     GIR_EraseRootFromParent_Done,
     /* 2009039 */   // Label 26821: @2009039
     /* 2009039 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2009141), // Rule ID 16140 //
     /* 2009044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009094 */     // MIs[1] Operand 1
     /* 2009094 */     // No operand predicates
     /* 2009094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009098 */     // MIs[0] round
     /* 2009098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009101 */     // MIs[0] policy
     /* 2009101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009113 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2009116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009140 */     // GIR_Coverage, 16140,
     /* 2009140 */     GIR_EraseRootFromParent_Done,
     /* 2009141 */   // Label 26822: @2009141
     /* 2009141 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2009243), // Rule ID 16143 //
     /* 2009146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009196 */     // MIs[1] Operand 1
     /* 2009196 */     // No operand predicates
     /* 2009196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009200 */     // MIs[0] round
     /* 2009200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009203 */     // MIs[0] policy
     /* 2009203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009215 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009242 */     // GIR_Coverage, 16143,
     /* 2009242 */     GIR_EraseRootFromParent_Done,
     /* 2009243 */   // Label 26823: @2009243
     /* 2009243 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2009345), // Rule ID 16144 //
     /* 2009248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009298 */     // MIs[1] Operand 1
     /* 2009298 */     // No operand predicates
     /* 2009298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009302 */     // MIs[0] round
     /* 2009302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009305 */     // MIs[0] policy
     /* 2009305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009344 */     // GIR_Coverage, 16144,
     /* 2009344 */     GIR_EraseRootFromParent_Done,
     /* 2009345 */   // Label 26824: @2009345
     /* 2009345 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2009447), // Rule ID 16147 //
     /* 2009350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009400 */     // MIs[1] Operand 1
     /* 2009400 */     // No operand predicates
     /* 2009400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009404 */     // MIs[0] round
     /* 2009404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009407 */     // MIs[0] policy
     /* 2009407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009446 */     // GIR_Coverage, 16147,
     /* 2009446 */     GIR_EraseRootFromParent_Done,
     /* 2009447 */   // Label 26825: @2009447
     /* 2009447 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2009549), // Rule ID 16148 //
     /* 2009452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009502 */     // MIs[1] Operand 1
     /* 2009502 */     // No operand predicates
     /* 2009502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009506 */     // MIs[0] round
     /* 2009506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009509 */     // MIs[0] policy
     /* 2009509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2009524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009548 */     // GIR_Coverage, 16148,
     /* 2009548 */     GIR_EraseRootFromParent_Done,
     /* 2009549 */   // Label 26826: @2009549
     /* 2009549 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2009651), // Rule ID 16151 //
     /* 2009554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009604 */     // MIs[1] Operand 1
     /* 2009604 */     // No operand predicates
     /* 2009604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009608 */     // MIs[0] round
     /* 2009608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009611 */     // MIs[0] policy
     /* 2009611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009650 */     // GIR_Coverage, 16151,
     /* 2009650 */     GIR_EraseRootFromParent_Done,
     /* 2009651 */   // Label 26827: @2009651
     /* 2009651 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2009753), // Rule ID 16152 //
     /* 2009656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009706 */     // MIs[1] Operand 1
     /* 2009706 */     // No operand predicates
     /* 2009706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009710 */     // MIs[0] round
     /* 2009710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009713 */     // MIs[0] policy
     /* 2009713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009725 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009752 */     // GIR_Coverage, 16152,
     /* 2009752 */     GIR_EraseRootFromParent_Done,
     /* 2009753 */   // Label 26828: @2009753
     /* 2009753 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2009855), // Rule ID 16155 //
     /* 2009758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009808 */     // MIs[1] Operand 1
     /* 2009808 */     // No operand predicates
     /* 2009808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009812 */     // MIs[0] round
     /* 2009812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009815 */     // MIs[0] policy
     /* 2009815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009854 */     // GIR_Coverage, 16155,
     /* 2009854 */     GIR_EraseRootFromParent_Done,
     /* 2009855 */   // Label 26829: @2009855
     /* 2009855 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2009957), // Rule ID 16156 //
     /* 2009860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009910 */     // MIs[1] Operand 1
     /* 2009910 */     // No operand predicates
     /* 2009910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009914 */     // MIs[0] round
     /* 2009914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009917 */     // MIs[0] policy
     /* 2009917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009929 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009956 */     // GIR_Coverage, 16156,
     /* 2009956 */     GIR_EraseRootFromParent_Done,
     /* 2009957 */   // Label 26830: @2009957
     /* 2009957 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2010059), // Rule ID 16159 //
     /* 2009962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010012 */     // MIs[1] Operand 1
     /* 2010012 */     // No operand predicates
     /* 2010012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010016 */     // MIs[0] round
     /* 2010016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010019 */     // MIs[0] policy
     /* 2010019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010058 */     // GIR_Coverage, 16159,
     /* 2010058 */     GIR_EraseRootFromParent_Done,
     /* 2010059 */   // Label 26831: @2010059
     /* 2010059 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2010161), // Rule ID 16160 //
     /* 2010064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010114 */     // MIs[1] Operand 1
     /* 2010114 */     // No operand predicates
     /* 2010114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010118 */     // MIs[0] round
     /* 2010118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010121 */     // MIs[0] policy
     /* 2010121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010160 */     // GIR_Coverage, 16160,
     /* 2010160 */     GIR_EraseRootFromParent_Done,
     /* 2010161 */   // Label 26832: @2010161
     /* 2010161 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2010263), // Rule ID 16163 //
     /* 2010166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010216 */     // MIs[1] Operand 1
     /* 2010216 */     // No operand predicates
     /* 2010216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010220 */     // MIs[0] round
     /* 2010220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010223 */     // MIs[0] policy
     /* 2010223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010235 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010262 */     // GIR_Coverage, 16163,
     /* 2010262 */     GIR_EraseRootFromParent_Done,
     /* 2010263 */   // Label 26833: @2010263
     /* 2010263 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2010365), // Rule ID 16164 //
     /* 2010268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010318 */     // MIs[1] Operand 1
     /* 2010318 */     // No operand predicates
     /* 2010318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010322 */     // MIs[0] round
     /* 2010322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010325 */     // MIs[0] policy
     /* 2010325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2010340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010364 */     // GIR_Coverage, 16164,
     /* 2010364 */     GIR_EraseRootFromParent_Done,
     /* 2010365 */   // Label 26834: @2010365
     /* 2010365 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2010467), // Rule ID 16167 //
     /* 2010370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010420 */     // MIs[1] Operand 1
     /* 2010420 */     // No operand predicates
     /* 2010420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010424 */     // MIs[0] round
     /* 2010424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010427 */     // MIs[0] policy
     /* 2010427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010466 */     // GIR_Coverage, 16167,
     /* 2010466 */     GIR_EraseRootFromParent_Done,
     /* 2010467 */   // Label 26835: @2010467
     /* 2010467 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2010569), // Rule ID 16168 //
     /* 2010472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010522 */     // MIs[1] Operand 1
     /* 2010522 */     // No operand predicates
     /* 2010522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010526 */     // MIs[0] round
     /* 2010526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010529 */     // MIs[0] policy
     /* 2010529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010568 */     // GIR_Coverage, 16168,
     /* 2010568 */     GIR_EraseRootFromParent_Done,
     /* 2010569 */   // Label 26836: @2010569
     /* 2010569 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2010671), // Rule ID 16171 //
     /* 2010574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010624 */     // MIs[1] Operand 1
     /* 2010624 */     // No operand predicates
     /* 2010624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010628 */     // MIs[0] round
     /* 2010628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010631 */     // MIs[0] policy
     /* 2010631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010670 */     // GIR_Coverage, 16171,
     /* 2010670 */     GIR_EraseRootFromParent_Done,
     /* 2010671 */   // Label 26837: @2010671
     /* 2010671 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2010773), // Rule ID 16172 //
     /* 2010676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010726 */     // MIs[1] Operand 1
     /* 2010726 */     // No operand predicates
     /* 2010726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010730 */     // MIs[0] round
     /* 2010730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010733 */     // MIs[0] policy
     /* 2010733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010745 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010772 */     // GIR_Coverage, 16172,
     /* 2010772 */     GIR_EraseRootFromParent_Done,
     /* 2010773 */   // Label 26838: @2010773
     /* 2010773 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2010875), // Rule ID 16175 //
     /* 2010778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010828 */     // MIs[1] Operand 1
     /* 2010828 */     // No operand predicates
     /* 2010828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010832 */     // MIs[0] round
     /* 2010832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010835 */     // MIs[0] policy
     /* 2010835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010874 */     // GIR_Coverage, 16175,
     /* 2010874 */     GIR_EraseRootFromParent_Done,
     /* 2010875 */   // Label 26839: @2010875
     /* 2010875 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2010977), // Rule ID 16176 //
     /* 2010880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010930 */     // MIs[1] Operand 1
     /* 2010930 */     // No operand predicates
     /* 2010930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010934 */     // MIs[0] round
     /* 2010934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010937 */     // MIs[0] policy
     /* 2010937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010976 */     // GIR_Coverage, 16176,
     /* 2010976 */     GIR_EraseRootFromParent_Done,
     /* 2010977 */   // Label 26840: @2010977
     /* 2010977 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2011079), // Rule ID 16179 //
     /* 2010982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2010993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2010996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011032 */     // MIs[1] Operand 1
     /* 2011032 */     // No operand predicates
     /* 2011032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011036 */     // MIs[0] round
     /* 2011036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011039 */     // MIs[0] policy
     /* 2011039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011078 */     // GIR_Coverage, 16179,
     /* 2011078 */     GIR_EraseRootFromParent_Done,
     /* 2011079 */   // Label 26841: @2011079
     /* 2011079 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2011181), // Rule ID 16180 //
     /* 2011084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011134 */     // MIs[1] Operand 1
     /* 2011134 */     // No operand predicates
     /* 2011134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011138 */     // MIs[0] round
     /* 2011138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011141 */     // MIs[0] policy
     /* 2011141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011153 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011180 */     // GIR_Coverage, 16180,
     /* 2011180 */     GIR_EraseRootFromParent_Done,
     /* 2011181 */   // Label 26842: @2011181
     /* 2011181 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2011283), // Rule ID 16183 //
     /* 2011186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011236 */     // MIs[1] Operand 1
     /* 2011236 */     // No operand predicates
     /* 2011236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011240 */     // MIs[0] round
     /* 2011240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011243 */     // MIs[0] policy
     /* 2011243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011282 */     // GIR_Coverage, 16183,
     /* 2011282 */     GIR_EraseRootFromParent_Done,
     /* 2011283 */   // Label 26843: @2011283
     /* 2011283 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2011385), // Rule ID 16184 //
     /* 2011288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011338 */     // MIs[1] Operand 1
     /* 2011338 */     // No operand predicates
     /* 2011338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011342 */     // MIs[0] round
     /* 2011342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011345 */     // MIs[0] policy
     /* 2011345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011384 */     // GIR_Coverage, 16184,
     /* 2011384 */     GIR_EraseRootFromParent_Done,
     /* 2011385 */   // Label 26844: @2011385
     /* 2011385 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2011487), // Rule ID 16187 //
     /* 2011390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011440 */     // MIs[1] Operand 1
     /* 2011440 */     // No operand predicates
     /* 2011440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011444 */     // MIs[0] round
     /* 2011444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011447 */     // MIs[0] policy
     /* 2011447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011486 */     // GIR_Coverage, 16187,
     /* 2011486 */     GIR_EraseRootFromParent_Done,
     /* 2011487 */   // Label 26845: @2011487
     /* 2011487 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2011589), // Rule ID 16188 //
     /* 2011492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011542 */     // MIs[1] Operand 1
     /* 2011542 */     // No operand predicates
     /* 2011542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011546 */     // MIs[0] round
     /* 2011546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011549 */     // MIs[0] policy
     /* 2011549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011588 */     // GIR_Coverage, 16188,
     /* 2011588 */     GIR_EraseRootFromParent_Done,
     /* 2011589 */   // Label 26846: @2011589
     /* 2011589 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2011691), // Rule ID 16191 //
     /* 2011594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011644 */     // MIs[1] Operand 1
     /* 2011644 */     // No operand predicates
     /* 2011644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011648 */     // MIs[0] round
     /* 2011648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011651 */     // MIs[0] policy
     /* 2011651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011690 */     // GIR_Coverage, 16191,
     /* 2011690 */     GIR_EraseRootFromParent_Done,
     /* 2011691 */   // Label 26847: @2011691
     /* 2011691 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2011793), // Rule ID 16192 //
     /* 2011696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011746 */     // MIs[1] Operand 1
     /* 2011746 */     // No operand predicates
     /* 2011746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011750 */     // MIs[0] round
     /* 2011750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011753 */     // MIs[0] policy
     /* 2011753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011792 */     // GIR_Coverage, 16192,
     /* 2011792 */     GIR_EraseRootFromParent_Done,
     /* 2011793 */   // Label 26848: @2011793
     /* 2011793 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2011895), // Rule ID 16195 //
     /* 2011798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011848 */     // MIs[1] Operand 1
     /* 2011848 */     // No operand predicates
     /* 2011848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011852 */     // MIs[0] round
     /* 2011852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011855 */     // MIs[0] policy
     /* 2011855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011894 */     // GIR_Coverage, 16195,
     /* 2011894 */     GIR_EraseRootFromParent_Done,
     /* 2011895 */   // Label 26849: @2011895
     /* 2011895 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2011997), // Rule ID 16196 //
     /* 2011900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011950 */     // MIs[1] Operand 1
     /* 2011950 */     // No operand predicates
     /* 2011950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011954 */     // MIs[0] round
     /* 2011954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011957 */     // MIs[0] policy
     /* 2011957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011996 */     // GIR_Coverage, 16196,
     /* 2011996 */     GIR_EraseRootFromParent_Done,
     /* 2011997 */   // Label 26850: @2011997
     /* 2011997 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2012099), // Rule ID 16199 //
     /* 2012002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012052 */     // MIs[1] Operand 1
     /* 2012052 */     // No operand predicates
     /* 2012052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012056 */     // MIs[0] round
     /* 2012056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012059 */     // MIs[0] policy
     /* 2012059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012098 */     // GIR_Coverage, 16199,
     /* 2012098 */     GIR_EraseRootFromParent_Done,
     /* 2012099 */   // Label 26851: @2012099
     /* 2012099 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2012201), // Rule ID 16200 //
     /* 2012104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012154 */     // MIs[1] Operand 1
     /* 2012154 */     // No operand predicates
     /* 2012154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012158 */     // MIs[0] round
     /* 2012158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012161 */     // MIs[0] policy
     /* 2012161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012200 */     // GIR_Coverage, 16200,
     /* 2012200 */     GIR_EraseRootFromParent_Done,
     /* 2012201 */   // Label 26852: @2012201
     /* 2012201 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2012303), // Rule ID 16203 //
     /* 2012206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012256 */     // MIs[1] Operand 1
     /* 2012256 */     // No operand predicates
     /* 2012256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012260 */     // MIs[0] round
     /* 2012260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012263 */     // MIs[0] policy
     /* 2012263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012302 */     // GIR_Coverage, 16203,
     /* 2012302 */     GIR_EraseRootFromParent_Done,
     /* 2012303 */   // Label 26853: @2012303
     /* 2012303 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2012405), // Rule ID 16204 //
     /* 2012308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012358 */     // MIs[1] Operand 1
     /* 2012358 */     // No operand predicates
     /* 2012358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012362 */     // MIs[0] round
     /* 2012362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012365 */     // MIs[0] policy
     /* 2012365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2012380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012404 */     // GIR_Coverage, 16204,
     /* 2012404 */     GIR_EraseRootFromParent_Done,
     /* 2012405 */   // Label 26854: @2012405
     /* 2012405 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2012507), // Rule ID 16207 //
     /* 2012410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012460 */     // MIs[1] Operand 1
     /* 2012460 */     // No operand predicates
     /* 2012460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012464 */     // MIs[0] round
     /* 2012464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012467 */     // MIs[0] policy
     /* 2012467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012479 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012506 */     // GIR_Coverage, 16207,
     /* 2012506 */     GIR_EraseRootFromParent_Done,
     /* 2012507 */   // Label 26855: @2012507
     /* 2012507 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2012609), // Rule ID 16208 //
     /* 2012512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012562 */     // MIs[1] Operand 1
     /* 2012562 */     // No operand predicates
     /* 2012562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012566 */     // MIs[0] round
     /* 2012566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012569 */     // MIs[0] policy
     /* 2012569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2012584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012608 */     // GIR_Coverage, 16208,
     /* 2012608 */     GIR_EraseRootFromParent_Done,
     /* 2012609 */   // Label 26856: @2012609
     /* 2012609 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2012711), // Rule ID 16211 //
     /* 2012614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012664 */     // MIs[1] Operand 1
     /* 2012664 */     // No operand predicates
     /* 2012664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012668 */     // MIs[0] round
     /* 2012668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012671 */     // MIs[0] policy
     /* 2012671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012710 */     // GIR_Coverage, 16211,
     /* 2012710 */     GIR_EraseRootFromParent_Done,
     /* 2012711 */   // Label 26857: @2012711
     /* 2012711 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2012813), // Rule ID 16212 //
     /* 2012716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012766 */     // MIs[1] Operand 1
     /* 2012766 */     // No operand predicates
     /* 2012766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012770 */     // MIs[0] round
     /* 2012770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012773 */     // MIs[0] policy
     /* 2012773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2012788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012812 */     // GIR_Coverage, 16212,
     /* 2012812 */     GIR_EraseRootFromParent_Done,
     /* 2012813 */   // Label 26858: @2012813
     /* 2012813 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2012918), // Rule ID 16335 //
     /* 2012818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2012835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012868 */     // MIs[1] Operand 1
     /* 2012868 */     // No operand predicates
     /* 2012868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012872 */     // MIs[0] round
     /* 2012872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012875 */     // MIs[0] policy
     /* 2012875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2012890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012917 */     // GIR_Coverage, 16335,
     /* 2012917 */     GIR_EraseRootFromParent_Done,
     /* 2012918 */   // Label 26859: @2012918
     /* 2012918 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2013023), // Rule ID 16336 //
     /* 2012923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2012940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012973 */     // MIs[1] Operand 1
     /* 2012973 */     // No operand predicates
     /* 2012973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012977 */     // MIs[0] round
     /* 2012977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012980 */     // MIs[0] policy
     /* 2012980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2012995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013022 */     // GIR_Coverage, 16336,
     /* 2013022 */     GIR_EraseRootFromParent_Done,
     /* 2013023 */   // Label 26860: @2013023
     /* 2013023 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2013128), // Rule ID 16339 //
     /* 2013028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013078 */     // MIs[1] Operand 1
     /* 2013078 */     // No operand predicates
     /* 2013078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013082 */     // MIs[0] round
     /* 2013082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013085 */     // MIs[0] policy
     /* 2013085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013127 */     // GIR_Coverage, 16339,
     /* 2013127 */     GIR_EraseRootFromParent_Done,
     /* 2013128 */   // Label 26861: @2013128
     /* 2013128 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2013233), // Rule ID 16340 //
     /* 2013133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013183 */     // MIs[1] Operand 1
     /* 2013183 */     // No operand predicates
     /* 2013183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013187 */     // MIs[0] round
     /* 2013187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013190 */     // MIs[0] policy
     /* 2013190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013232 */     // GIR_Coverage, 16340,
     /* 2013232 */     GIR_EraseRootFromParent_Done,
     /* 2013233 */   // Label 26862: @2013233
     /* 2013233 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2013338), // Rule ID 16343 //
     /* 2013238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013288 */     // MIs[1] Operand 1
     /* 2013288 */     // No operand predicates
     /* 2013288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013292 */     // MIs[0] round
     /* 2013292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013295 */     // MIs[0] policy
     /* 2013295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013337 */     // GIR_Coverage, 16343,
     /* 2013337 */     GIR_EraseRootFromParent_Done,
     /* 2013338 */   // Label 26863: @2013338
     /* 2013338 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2013443), // Rule ID 16344 //
     /* 2013343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013393 */     // MIs[1] Operand 1
     /* 2013393 */     // No operand predicates
     /* 2013393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013397 */     // MIs[0] round
     /* 2013397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013400 */     // MIs[0] policy
     /* 2013400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013412 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013442 */     // GIR_Coverage, 16344,
     /* 2013442 */     GIR_EraseRootFromParent_Done,
     /* 2013443 */   // Label 26864: @2013443
     /* 2013443 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2013548), // Rule ID 16347 //
     /* 2013448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013498 */     // MIs[1] Operand 1
     /* 2013498 */     // No operand predicates
     /* 2013498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013502 */     // MIs[0] round
     /* 2013502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013505 */     // MIs[0] policy
     /* 2013505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013547 */     // GIR_Coverage, 16347,
     /* 2013547 */     GIR_EraseRootFromParent_Done,
     /* 2013548 */   // Label 26865: @2013548
     /* 2013548 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2013653), // Rule ID 16348 //
     /* 2013553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2013570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013603 */     // MIs[1] Operand 1
     /* 2013603 */     // No operand predicates
     /* 2013603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013607 */     // MIs[0] round
     /* 2013607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013610 */     // MIs[0] policy
     /* 2013610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013652 */     // GIR_Coverage, 16348,
     /* 2013652 */     GIR_EraseRootFromParent_Done,
     /* 2013653 */   // Label 26866: @2013653
     /* 2013653 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2013758), // Rule ID 16351 //
     /* 2013658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2013669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2013672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013708 */     // MIs[1] Operand 1
     /* 2013708 */     // No operand predicates
     /* 2013708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013712 */     // MIs[0] round
     /* 2013712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013715 */     // MIs[0] policy
     /* 2013715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013757 */     // GIR_Coverage, 16351,
     /* 2013757 */     GIR_EraseRootFromParent_Done,
     /* 2013758 */   // Label 26867: @2013758
     /* 2013758 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2013863), // Rule ID 16352 //
     /* 2013763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2013774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2013777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2013780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013813 */     // MIs[1] Operand 1
     /* 2013813 */     // No operand predicates
     /* 2013813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013817 */     // MIs[0] round
     /* 2013817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013820 */     // MIs[0] policy
     /* 2013820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013862 */     // GIR_Coverage, 16352,
     /* 2013862 */     GIR_EraseRootFromParent_Done,
     /* 2013863 */   // Label 26868: @2013863
     /* 2013863 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2013968), // Rule ID 16355 //
     /* 2013868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2013879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2013882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013918 */     // MIs[1] Operand 1
     /* 2013918 */     // No operand predicates
     /* 2013918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013922 */     // MIs[0] round
     /* 2013922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013925 */     // MIs[0] policy
     /* 2013925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2013940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013967 */     // GIR_Coverage, 16355,
     /* 2013967 */     GIR_EraseRootFromParent_Done,
     /* 2013968 */   // Label 26869: @2013968
     /* 2013968 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2014073), // Rule ID 16356 //
     /* 2013973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2013984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2013987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2013990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2013996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014023 */     // MIs[1] Operand 1
     /* 2014023 */     // No operand predicates
     /* 2014023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014027 */     // MIs[0] round
     /* 2014027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014030 */     // MIs[0] policy
     /* 2014030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014072 */     // GIR_Coverage, 16356,
     /* 2014072 */     GIR_EraseRootFromParent_Done,
     /* 2014073 */   // Label 26870: @2014073
     /* 2014073 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2014178), // Rule ID 16359 //
     /* 2014078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014128 */     // MIs[1] Operand 1
     /* 2014128 */     // No operand predicates
     /* 2014128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014132 */     // MIs[0] round
     /* 2014132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014135 */     // MIs[0] policy
     /* 2014135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014177 */     // GIR_Coverage, 16359,
     /* 2014177 */     GIR_EraseRootFromParent_Done,
     /* 2014178 */   // Label 26871: @2014178
     /* 2014178 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2014283), // Rule ID 16360 //
     /* 2014183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2014194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2014197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014233 */     // MIs[1] Operand 1
     /* 2014233 */     // No operand predicates
     /* 2014233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014237 */     // MIs[0] round
     /* 2014237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014240 */     // MIs[0] policy
     /* 2014240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2014255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014282 */     // GIR_Coverage, 16360,
     /* 2014282 */     GIR_EraseRootFromParent_Done,
     /* 2014283 */   // Label 26872: @2014283
     /* 2014283 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2014388), // Rule ID 16363 //
     /* 2014288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014338 */     // MIs[1] Operand 1
     /* 2014338 */     // No operand predicates
     /* 2014338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014342 */     // MIs[0] round
     /* 2014342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014345 */     // MIs[0] policy
     /* 2014345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014357 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014387 */     // GIR_Coverage, 16363,
     /* 2014387 */     GIR_EraseRootFromParent_Done,
     /* 2014388 */   // Label 26873: @2014388
     /* 2014388 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2014493), // Rule ID 16364 //
     /* 2014393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2014404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2014407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014443 */     // MIs[1] Operand 1
     /* 2014443 */     // No operand predicates
     /* 2014443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014447 */     // MIs[0] round
     /* 2014447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014450 */     // MIs[0] policy
     /* 2014450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014492 */     // GIR_Coverage, 16364,
     /* 2014492 */     GIR_EraseRootFromParent_Done,
     /* 2014493 */   // Label 26874: @2014493
     /* 2014493 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2014598), // Rule ID 16367 //
     /* 2014498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014548 */     // MIs[1] Operand 1
     /* 2014548 */     // No operand predicates
     /* 2014548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014552 */     // MIs[0] round
     /* 2014552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014555 */     // MIs[0] policy
     /* 2014555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014597 */     // GIR_Coverage, 16367,
     /* 2014597 */     GIR_EraseRootFromParent_Done,
     /* 2014598 */   // Label 26875: @2014598
     /* 2014598 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2014703), // Rule ID 16368 //
     /* 2014603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014653 */     // MIs[1] Operand 1
     /* 2014653 */     // No operand predicates
     /* 2014653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014657 */     // MIs[0] round
     /* 2014657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014660 */     // MIs[0] policy
     /* 2014660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014702 */     // GIR_Coverage, 16368,
     /* 2014702 */     GIR_EraseRootFromParent_Done,
     /* 2014703 */   // Label 26876: @2014703
     /* 2014703 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2014808), // Rule ID 16371 //
     /* 2014708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2014719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2014722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014758 */     // MIs[1] Operand 1
     /* 2014758 */     // No operand predicates
     /* 2014758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014762 */     // MIs[0] round
     /* 2014762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014765 */     // MIs[0] policy
     /* 2014765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014807 */     // GIR_Coverage, 16371,
     /* 2014807 */     GIR_EraseRootFromParent_Done,
     /* 2014808 */   // Label 26877: @2014808
     /* 2014808 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2014913), // Rule ID 16372 //
     /* 2014813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2014824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2014827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014863 */     // MIs[1] Operand 1
     /* 2014863 */     // No operand predicates
     /* 2014863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014867 */     // MIs[0] round
     /* 2014867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014870 */     // MIs[0] policy
     /* 2014870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014912 */     // GIR_Coverage, 16372,
     /* 2014912 */     GIR_EraseRootFromParent_Done,
     /* 2014913 */   // Label 26878: @2014913
     /* 2014913 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2015018), // Rule ID 16375 //
     /* 2014918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2014929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2014932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2014935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014968 */     // MIs[1] Operand 1
     /* 2014968 */     // No operand predicates
     /* 2014968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014972 */     // MIs[0] round
     /* 2014972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014975 */     // MIs[0] policy
     /* 2014975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015017 */     // GIR_Coverage, 16375,
     /* 2015017 */     GIR_EraseRootFromParent_Done,
     /* 2015018 */   // Label 26879: @2015018
     /* 2015018 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2015123), // Rule ID 16376 //
     /* 2015023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015073 */     // MIs[1] Operand 1
     /* 2015073 */     // No operand predicates
     /* 2015073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015077 */     // MIs[0] round
     /* 2015077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015080 */     // MIs[0] policy
     /* 2015080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015122 */     // GIR_Coverage, 16376,
     /* 2015122 */     GIR_EraseRootFromParent_Done,
     /* 2015123 */   // Label 26880: @2015123
     /* 2015123 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2015228), // Rule ID 16379 //
     /* 2015128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015178 */     // MIs[1] Operand 1
     /* 2015178 */     // No operand predicates
     /* 2015178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015182 */     // MIs[0] round
     /* 2015182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015185 */     // MIs[0] policy
     /* 2015185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015227 */     // GIR_Coverage, 16379,
     /* 2015227 */     GIR_EraseRootFromParent_Done,
     /* 2015228 */   // Label 26881: @2015228
     /* 2015228 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2015333), // Rule ID 16380 //
     /* 2015233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015283 */     // MIs[1] Operand 1
     /* 2015283 */     // No operand predicates
     /* 2015283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015287 */     // MIs[0] round
     /* 2015287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015290 */     // MIs[0] policy
     /* 2015290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2015305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015332 */     // GIR_Coverage, 16380,
     /* 2015332 */     GIR_EraseRootFromParent_Done,
     /* 2015333 */   // Label 26882: @2015333
     /* 2015333 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2015438), // Rule ID 16383 //
     /* 2015338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015388 */     // MIs[1] Operand 1
     /* 2015388 */     // No operand predicates
     /* 2015388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015392 */     // MIs[0] round
     /* 2015392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015395 */     // MIs[0] policy
     /* 2015395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015437 */     // GIR_Coverage, 16383,
     /* 2015437 */     GIR_EraseRootFromParent_Done,
     /* 2015438 */   // Label 26883: @2015438
     /* 2015438 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2015543), // Rule ID 16384 //
     /* 2015443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015493 */     // MIs[1] Operand 1
     /* 2015493 */     // No operand predicates
     /* 2015493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015497 */     // MIs[0] round
     /* 2015497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015500 */     // MIs[0] policy
     /* 2015500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2015515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015542 */     // GIR_Coverage, 16384,
     /* 2015542 */     GIR_EraseRootFromParent_Done,
     /* 2015543 */   // Label 26884: @2015543
     /* 2015543 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2015648), // Rule ID 16387 //
     /* 2015548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015598 */     // MIs[1] Operand 1
     /* 2015598 */     // No operand predicates
     /* 2015598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015602 */     // MIs[0] round
     /* 2015602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015605 */     // MIs[0] policy
     /* 2015605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015647 */     // GIR_Coverage, 16387,
     /* 2015647 */     GIR_EraseRootFromParent_Done,
     /* 2015648 */   // Label 26885: @2015648
     /* 2015648 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2015753), // Rule ID 16388 //
     /* 2015653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015703 */     // MIs[1] Operand 1
     /* 2015703 */     // No operand predicates
     /* 2015703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015707 */     // MIs[0] round
     /* 2015707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015710 */     // MIs[0] policy
     /* 2015710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2015725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015752 */     // GIR_Coverage, 16388,
     /* 2015752 */     GIR_EraseRootFromParent_Done,
     /* 2015753 */   // Label 26886: @2015753
     /* 2015753 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2015858), // Rule ID 16391 //
     /* 2015758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2015761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015808 */     // MIs[1] Operand 1
     /* 2015808 */     // No operand predicates
     /* 2015808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015812 */     // MIs[0] round
     /* 2015812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015815 */     // MIs[0] policy
     /* 2015815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015857 */     // GIR_Coverage, 16391,
     /* 2015857 */     GIR_EraseRootFromParent_Done,
     /* 2015858 */   // Label 26887: @2015858
     /* 2015858 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2015963), // Rule ID 16392 //
     /* 2015863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2015866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2015871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015913 */     // MIs[1] Operand 1
     /* 2015913 */     // No operand predicates
     /* 2015913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015917 */     // MIs[0] round
     /* 2015917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015920 */     // MIs[0] policy
     /* 2015920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2015935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015962 */     // GIR_Coverage, 16392,
     /* 2015962 */     GIR_EraseRootFromParent_Done,
     /* 2015963 */   // Label 26888: @2015963
     /* 2015963 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2016068), // Rule ID 16515 //
     /* 2015968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2015979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2015982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2015985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016018 */     // MIs[1] Operand 1
     /* 2016018 */     // No operand predicates
     /* 2016018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016022 */     // MIs[0] round
     /* 2016022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016025 */     // MIs[0] policy
     /* 2016025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016067 */     // GIR_Coverage, 16515,
     /* 2016067 */     GIR_EraseRootFromParent_Done,
     /* 2016068 */   // Label 26889: @2016068
     /* 2016068 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2016173), // Rule ID 16516 //
     /* 2016073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016123 */     // MIs[1] Operand 1
     /* 2016123 */     // No operand predicates
     /* 2016123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016127 */     // MIs[0] round
     /* 2016127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016130 */     // MIs[0] policy
     /* 2016130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2016145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016172 */     // GIR_Coverage, 16516,
     /* 2016172 */     GIR_EraseRootFromParent_Done,
     /* 2016173 */   // Label 26890: @2016173
     /* 2016173 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2016278), // Rule ID 16519 //
     /* 2016178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016228 */     // MIs[1] Operand 1
     /* 2016228 */     // No operand predicates
     /* 2016228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016232 */     // MIs[0] round
     /* 2016232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016235 */     // MIs[0] policy
     /* 2016235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016277 */     // GIR_Coverage, 16519,
     /* 2016277 */     GIR_EraseRootFromParent_Done,
     /* 2016278 */   // Label 26891: @2016278
     /* 2016278 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2016383), // Rule ID 16520 //
     /* 2016283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016333 */     // MIs[1] Operand 1
     /* 2016333 */     // No operand predicates
     /* 2016333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016337 */     // MIs[0] round
     /* 2016337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016340 */     // MIs[0] policy
     /* 2016340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016382 */     // GIR_Coverage, 16520,
     /* 2016382 */     GIR_EraseRootFromParent_Done,
     /* 2016383 */   // Label 26892: @2016383
     /* 2016383 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2016488), // Rule ID 16523 //
     /* 2016388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016438 */     // MIs[1] Operand 1
     /* 2016438 */     // No operand predicates
     /* 2016438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016442 */     // MIs[0] round
     /* 2016442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016445 */     // MIs[0] policy
     /* 2016445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016457 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016487 */     // GIR_Coverage, 16523,
     /* 2016487 */     GIR_EraseRootFromParent_Done,
     /* 2016488 */   // Label 26893: @2016488
     /* 2016488 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2016593), // Rule ID 16524 //
     /* 2016493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2016504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2016507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016543 */     // MIs[1] Operand 1
     /* 2016543 */     // No operand predicates
     /* 2016543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016547 */     // MIs[0] round
     /* 2016547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016550 */     // MIs[0] policy
     /* 2016550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016592 */     // GIR_Coverage, 16524,
     /* 2016592 */     GIR_EraseRootFromParent_Done,
     /* 2016593 */   // Label 26894: @2016593
     /* 2016593 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2016698), // Rule ID 16527 //
     /* 2016598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016648 */     // MIs[1] Operand 1
     /* 2016648 */     // No operand predicates
     /* 2016648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016652 */     // MIs[0] round
     /* 2016652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016655 */     // MIs[0] policy
     /* 2016655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016697 */     // GIR_Coverage, 16527,
     /* 2016697 */     GIR_EraseRootFromParent_Done,
     /* 2016698 */   // Label 26895: @2016698
     /* 2016698 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2016803), // Rule ID 16528 //
     /* 2016703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2016714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2016717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016753 */     // MIs[1] Operand 1
     /* 2016753 */     // No operand predicates
     /* 2016753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016757 */     // MIs[0] round
     /* 2016757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016760 */     // MIs[0] policy
     /* 2016760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016802 */     // GIR_Coverage, 16528,
     /* 2016802 */     GIR_EraseRootFromParent_Done,
     /* 2016803 */   // Label 26896: @2016803
     /* 2016803 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2016908), // Rule ID 16531 //
     /* 2016808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2016819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2016822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2016825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016858 */     // MIs[1] Operand 1
     /* 2016858 */     // No operand predicates
     /* 2016858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016862 */     // MIs[0] round
     /* 2016862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016865 */     // MIs[0] policy
     /* 2016865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2016880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016907 */     // GIR_Coverage, 16531,
     /* 2016907 */     GIR_EraseRootFromParent_Done,
     /* 2016908 */   // Label 26897: @2016908
     /* 2016908 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2017013), // Rule ID 16532 //
     /* 2016913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2016924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2016927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2016930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016963 */     // MIs[1] Operand 1
     /* 2016963 */     // No operand predicates
     /* 2016963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016967 */     // MIs[0] round
     /* 2016967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016970 */     // MIs[0] policy
     /* 2016970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2016985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017012 */     // GIR_Coverage, 16532,
     /* 2017012 */     GIR_EraseRootFromParent_Done,
     /* 2017013 */   // Label 26898: @2017013
     /* 2017013 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2017118), // Rule ID 16535 //
     /* 2017018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017068 */     // MIs[1] Operand 1
     /* 2017068 */     // No operand predicates
     /* 2017068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017072 */     // MIs[0] round
     /* 2017072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017075 */     // MIs[0] policy
     /* 2017075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017087 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017117 */     // GIR_Coverage, 16535,
     /* 2017117 */     GIR_EraseRootFromParent_Done,
     /* 2017118 */   // Label 26899: @2017118
     /* 2017118 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2017223), // Rule ID 16536 //
     /* 2017123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2017134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2017137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017173 */     // MIs[1] Operand 1
     /* 2017173 */     // No operand predicates
     /* 2017173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017177 */     // MIs[0] round
     /* 2017177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017180 */     // MIs[0] policy
     /* 2017180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017222 */     // GIR_Coverage, 16536,
     /* 2017222 */     GIR_EraseRootFromParent_Done,
     /* 2017223 */   // Label 26900: @2017223
     /* 2017223 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2017328), // Rule ID 16539 //
     /* 2017228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017278 */     // MIs[1] Operand 1
     /* 2017278 */     // No operand predicates
     /* 2017278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017282 */     // MIs[0] round
     /* 2017282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017285 */     // MIs[0] policy
     /* 2017285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017327 */     // GIR_Coverage, 16539,
     /* 2017327 */     GIR_EraseRootFromParent_Done,
     /* 2017328 */   // Label 26901: @2017328
     /* 2017328 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2017433), // Rule ID 16540 //
     /* 2017333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017383 */     // MIs[1] Operand 1
     /* 2017383 */     // No operand predicates
     /* 2017383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017387 */     // MIs[0] round
     /* 2017387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017390 */     // MIs[0] policy
     /* 2017390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2017405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017432 */     // GIR_Coverage, 16540,
     /* 2017432 */     GIR_EraseRootFromParent_Done,
     /* 2017433 */   // Label 26902: @2017433
     /* 2017433 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2017538), // Rule ID 16543 //
     /* 2017438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017488 */     // MIs[1] Operand 1
     /* 2017488 */     // No operand predicates
     /* 2017488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017492 */     // MIs[0] round
     /* 2017492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017495 */     // MIs[0] policy
     /* 2017495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017537 */     // GIR_Coverage, 16543,
     /* 2017537 */     GIR_EraseRootFromParent_Done,
     /* 2017538 */   // Label 26903: @2017538
     /* 2017538 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2017643), // Rule ID 16544 //
     /* 2017543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017593 */     // MIs[1] Operand 1
     /* 2017593 */     // No operand predicates
     /* 2017593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017597 */     // MIs[0] round
     /* 2017597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017600 */     // MIs[0] policy
     /* 2017600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017642 */     // GIR_Coverage, 16544,
     /* 2017642 */     GIR_EraseRootFromParent_Done,
     /* 2017643 */   // Label 26904: @2017643
     /* 2017643 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2017748), // Rule ID 16547 //
     /* 2017648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017698 */     // MIs[1] Operand 1
     /* 2017698 */     // No operand predicates
     /* 2017698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017702 */     // MIs[0] round
     /* 2017702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017705 */     // MIs[0] policy
     /* 2017705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017747 */     // GIR_Coverage, 16547,
     /* 2017747 */     GIR_EraseRootFromParent_Done,
     /* 2017748 */   // Label 26905: @2017748
     /* 2017748 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2017853), // Rule ID 16548 //
     /* 2017753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2017767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017803 */     // MIs[1] Operand 1
     /* 2017803 */     // No operand predicates
     /* 2017803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017807 */     // MIs[0] round
     /* 2017807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017810 */     // MIs[0] policy
     /* 2017810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017852 */     // GIR_Coverage, 16548,
     /* 2017852 */     GIR_EraseRootFromParent_Done,
     /* 2017853 */   // Label 26906: @2017853
     /* 2017853 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2017958), // Rule ID 16551 //
     /* 2017858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2017869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2017872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017908 */     // MIs[1] Operand 1
     /* 2017908 */     // No operand predicates
     /* 2017908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017912 */     // MIs[0] round
     /* 2017912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017915 */     // MIs[0] policy
     /* 2017915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017957 */     // GIR_Coverage, 16551,
     /* 2017957 */     GIR_EraseRootFromParent_Done,
     /* 2017958 */   // Label 26907: @2017958
     /* 2017958 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2018063), // Rule ID 16552 //
     /* 2017963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2017974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2017977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018013 */     // MIs[1] Operand 1
     /* 2018013 */     // No operand predicates
     /* 2018013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018017 */     // MIs[0] round
     /* 2018017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018020 */     // MIs[0] policy
     /* 2018020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018062 */     // GIR_Coverage, 16552,
     /* 2018062 */     GIR_EraseRootFromParent_Done,
     /* 2018063 */   // Label 26908: @2018063
     /* 2018063 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2018168), // Rule ID 16555 //
     /* 2018068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018118 */     // MIs[1] Operand 1
     /* 2018118 */     // No operand predicates
     /* 2018118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018122 */     // MIs[0] round
     /* 2018122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018125 */     // MIs[0] policy
     /* 2018125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018137 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018167 */     // GIR_Coverage, 16555,
     /* 2018167 */     GIR_EraseRootFromParent_Done,
     /* 2018168 */   // Label 26909: @2018168
     /* 2018168 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2018273), // Rule ID 16556 //
     /* 2018173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2018184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2018187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018223 */     // MIs[1] Operand 1
     /* 2018223 */     // No operand predicates
     /* 2018223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018227 */     // MIs[0] round
     /* 2018227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018230 */     // MIs[0] policy
     /* 2018230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018272 */     // GIR_Coverage, 16556,
     /* 2018272 */     GIR_EraseRootFromParent_Done,
     /* 2018273 */   // Label 26910: @2018273
     /* 2018273 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2018378), // Rule ID 16559 //
     /* 2018278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018328 */     // MIs[1] Operand 1
     /* 2018328 */     // No operand predicates
     /* 2018328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018332 */     // MIs[0] round
     /* 2018332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018335 */     // MIs[0] policy
     /* 2018335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018377 */     // GIR_Coverage, 16559,
     /* 2018377 */     GIR_EraseRootFromParent_Done,
     /* 2018378 */   // Label 26911: @2018378
     /* 2018378 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2018483), // Rule ID 16560 //
     /* 2018383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018433 */     // MIs[1] Operand 1
     /* 2018433 */     // No operand predicates
     /* 2018433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018437 */     // MIs[0] round
     /* 2018437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018440 */     // MIs[0] policy
     /* 2018440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2018455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018482 */     // GIR_Coverage, 16560,
     /* 2018482 */     GIR_EraseRootFromParent_Done,
     /* 2018483 */   // Label 26912: @2018483
     /* 2018483 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2018588), // Rule ID 16563 //
     /* 2018488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018538 */     // MIs[1] Operand 1
     /* 2018538 */     // No operand predicates
     /* 2018538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018542 */     // MIs[0] round
     /* 2018542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018545 */     // MIs[0] policy
     /* 2018545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018587 */     // GIR_Coverage, 16563,
     /* 2018587 */     GIR_EraseRootFromParent_Done,
     /* 2018588 */   // Label 26913: @2018588
     /* 2018588 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2018693), // Rule ID 16564 //
     /* 2018593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018643 */     // MIs[1] Operand 1
     /* 2018643 */     // No operand predicates
     /* 2018643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018647 */     // MIs[0] round
     /* 2018647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018650 */     // MIs[0] policy
     /* 2018650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2018665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018692 */     // GIR_Coverage, 16564,
     /* 2018692 */     GIR_EraseRootFromParent_Done,
     /* 2018693 */   // Label 26914: @2018693
     /* 2018693 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2018798), // Rule ID 16567 //
     /* 2018698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018748 */     // MIs[1] Operand 1
     /* 2018748 */     // No operand predicates
     /* 2018748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018752 */     // MIs[0] round
     /* 2018752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018755 */     // MIs[0] policy
     /* 2018755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018797 */     // GIR_Coverage, 16567,
     /* 2018797 */     GIR_EraseRootFromParent_Done,
     /* 2018798 */   // Label 26915: @2018798
     /* 2018798 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2018903), // Rule ID 16568 //
     /* 2018803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2018806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018853 */     // MIs[1] Operand 1
     /* 2018853 */     // No operand predicates
     /* 2018853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018857 */     // MIs[0] round
     /* 2018857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018860 */     // MIs[0] policy
     /* 2018860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2018875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018902 */     // GIR_Coverage, 16568,
     /* 2018902 */     GIR_EraseRootFromParent_Done,
     /* 2018903 */   // Label 26916: @2018903
     /* 2018903 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019008), // Rule ID 16571 //
     /* 2018908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2018911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2018916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2018925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018958 */     // MIs[1] Operand 1
     /* 2018958 */     // No operand predicates
     /* 2018958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018962 */     // MIs[0] round
     /* 2018962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018965 */     // MIs[0] policy
     /* 2018965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2018980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019007 */     // GIR_Coverage, 16571,
     /* 2019007 */     GIR_EraseRootFromParent_Done,
     /* 2019008 */   // Label 26917: @2019008
     /* 2019008 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2019113), // Rule ID 16572 //
     /* 2019013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2019021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019063 */     // MIs[1] Operand 1
     /* 2019063 */     // No operand predicates
     /* 2019063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019067 */     // MIs[0] round
     /* 2019067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019070 */     // MIs[0] policy
     /* 2019070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2019085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019112 */     // GIR_Coverage, 16572,
     /* 2019112 */     GIR_EraseRootFromParent_Done,
     /* 2019113 */   // Label 26918: @2019113
     /* 2019113 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2019200), // Rule ID 2651 //
     /* 2019118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019149 */     // MIs[0] passthru
     /* 2019149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019162 */     // MIs[0] round
     /* 2019162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019165 */     // MIs[0] policy
     /* 2019165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019175 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019199 */     // GIR_Coverage, 2651,
     /* 2019199 */     GIR_EraseRootFromParent_Done,
     /* 2019200 */   // Label 26919: @2019200
     /* 2019200 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2019287), // Rule ID 2652 //
     /* 2019205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019236 */     // MIs[0] passthru
     /* 2019236 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019249 */     // MIs[0] round
     /* 2019249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019252 */     // MIs[0] policy
     /* 2019252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019262 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2019265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019286 */     // GIR_Coverage, 2652,
     /* 2019286 */     GIR_EraseRootFromParent_Done,
     /* 2019287 */   // Label 26920: @2019287
     /* 2019287 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2019374), // Rule ID 17023 //
     /* 2019292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019323 */     // MIs[0] passthru
     /* 2019323 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019336 */     // MIs[0] round
     /* 2019336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019339 */     // MIs[0] policy
     /* 2019339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019373 */     // GIR_Coverage, 17023,
     /* 2019373 */     GIR_EraseRootFromParent_Done,
     /* 2019374 */   // Label 26921: @2019374
     /* 2019374 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2019461), // Rule ID 17024 //
     /* 2019379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019410 */     // MIs[0] passthru
     /* 2019410 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019423 */     // MIs[0] round
     /* 2019423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019426 */     // MIs[0] policy
     /* 2019426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019436 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2019439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019460 */     // GIR_Coverage, 17024,
     /* 2019460 */     GIR_EraseRootFromParent_Done,
     /* 2019461 */   // Label 26922: @2019461
     /* 2019461 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2019548), // Rule ID 17033 //
     /* 2019466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019497 */     // MIs[0] passthru
     /* 2019497 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019510 */     // MIs[0] round
     /* 2019510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019513 */     // MIs[0] policy
     /* 2019513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019523 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019547 */     // GIR_Coverage, 17033,
     /* 2019547 */     GIR_EraseRootFromParent_Done,
     /* 2019548 */   // Label 26923: @2019548
     /* 2019548 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2019635), // Rule ID 17034 //
     /* 2019553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019584 */     // MIs[0] passthru
     /* 2019584 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019597 */     // MIs[0] round
     /* 2019597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019600 */     // MIs[0] policy
     /* 2019600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2019613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019634 */     // GIR_Coverage, 17034,
     /* 2019634 */     GIR_EraseRootFromParent_Done,
     /* 2019635 */   // Label 26924: @2019635
     /* 2019635 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2019722), // Rule ID 17043 //
     /* 2019640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019671 */     // MIs[0] passthru
     /* 2019671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019684 */     // MIs[0] round
     /* 2019684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019687 */     // MIs[0] policy
     /* 2019687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019697 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2019700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019721 */     // GIR_Coverage, 17043,
     /* 2019721 */     GIR_EraseRootFromParent_Done,
     /* 2019722 */   // Label 26925: @2019722
     /* 2019722 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2019809), // Rule ID 17044 //
     /* 2019727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019758 */     // MIs[0] passthru
     /* 2019758 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019771 */     // MIs[0] round
     /* 2019771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019774 */     // MIs[0] policy
     /* 2019774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2019787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019808 */     // GIR_Coverage, 17044,
     /* 2019808 */     GIR_EraseRootFromParent_Done,
     /* 2019809 */   // Label 26926: @2019809
     /* 2019809 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2019896), // Rule ID 17053 //
     /* 2019814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019845 */     // MIs[0] passthru
     /* 2019845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019858 */     // MIs[0] round
     /* 2019858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019861 */     // MIs[0] policy
     /* 2019861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2019874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019895 */     // GIR_Coverage, 17053,
     /* 2019895 */     GIR_EraseRootFromParent_Done,
     /* 2019896 */   // Label 26927: @2019896
     /* 2019896 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2019983), // Rule ID 17054 //
     /* 2019901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019932 */     // MIs[0] passthru
     /* 2019932 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019945 */     // MIs[0] round
     /* 2019945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019948 */     // MIs[0] policy
     /* 2019948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019958 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2019961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019982 */     // GIR_Coverage, 17054,
     /* 2019982 */     GIR_EraseRootFromParent_Done,
     /* 2019983 */   // Label 26928: @2019983
     /* 2019983 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020070), // Rule ID 17063 //
     /* 2019988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2019991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020019 */     // MIs[0] passthru
     /* 2020019 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020032 */     // MIs[0] round
     /* 2020032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020035 */     // MIs[0] policy
     /* 2020035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020045 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020069 */     // GIR_Coverage, 17063,
     /* 2020069 */     GIR_EraseRootFromParent_Done,
     /* 2020070 */   // Label 26929: @2020070
     /* 2020070 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2020157), // Rule ID 17064 //
     /* 2020075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020106 */     // MIs[0] passthru
     /* 2020106 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020119 */     // MIs[0] round
     /* 2020119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020122 */     // MIs[0] policy
     /* 2020122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2020135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020156 */     // GIR_Coverage, 17064,
     /* 2020156 */     GIR_EraseRootFromParent_Done,
     /* 2020157 */   // Label 26930: @2020157
     /* 2020157 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2020244), // Rule ID 17073 //
     /* 2020162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020193 */     // MIs[0] passthru
     /* 2020193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020206 */     // MIs[0] round
     /* 2020206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020209 */     // MIs[0] policy
     /* 2020209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020243 */     // GIR_Coverage, 17073,
     /* 2020243 */     GIR_EraseRootFromParent_Done,
     /* 2020244 */   // Label 26931: @2020244
     /* 2020244 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2020331), // Rule ID 17074 //
     /* 2020249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020280 */     // MIs[0] passthru
     /* 2020280 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020293 */     // MIs[0] round
     /* 2020293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020296 */     // MIs[0] policy
     /* 2020296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020306 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2020309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020330 */     // GIR_Coverage, 17074,
     /* 2020330 */     GIR_EraseRootFromParent_Done,
     /* 2020331 */   // Label 26932: @2020331
     /* 2020331 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2020418), // Rule ID 17083 //
     /* 2020336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020367 */     // MIs[0] passthru
     /* 2020367 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020380 */     // MIs[0] round
     /* 2020380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020383 */     // MIs[0] policy
     /* 2020383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020393 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020417 */     // GIR_Coverage, 17083,
     /* 2020417 */     GIR_EraseRootFromParent_Done,
     /* 2020418 */   // Label 26933: @2020418
     /* 2020418 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2020505), // Rule ID 17084 //
     /* 2020423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020454 */     // MIs[0] passthru
     /* 2020454 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020467 */     // MIs[0] round
     /* 2020467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020470 */     // MIs[0] policy
     /* 2020470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2020483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020504 */     // GIR_Coverage, 17084,
     /* 2020504 */     GIR_EraseRootFromParent_Done,
     /* 2020505 */   // Label 26934: @2020505
     /* 2020505 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2020592), // Rule ID 17093 //
     /* 2020510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020541 */     // MIs[0] passthru
     /* 2020541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020554 */     // MIs[0] round
     /* 2020554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020557 */     // MIs[0] policy
     /* 2020557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020567 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2020570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020591 */     // GIR_Coverage, 17093,
     /* 2020591 */     GIR_EraseRootFromParent_Done,
     /* 2020592 */   // Label 26935: @2020592
     /* 2020592 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2020679), // Rule ID 17094 //
     /* 2020597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2020605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020628 */     // MIs[0] passthru
     /* 2020628 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020641 */     // MIs[0] round
     /* 2020641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020644 */     // MIs[0] policy
     /* 2020644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020654 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2020657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020678 */     // GIR_Coverage, 17094,
     /* 2020678 */     GIR_EraseRootFromParent_Done,
     /* 2020679 */   // Label 26936: @2020679
     /* 2020679 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2020766), // Rule ID 17139 //
     /* 2020684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020715 */     // MIs[0] passthru
     /* 2020715 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020728 */     // MIs[0] round
     /* 2020728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020731 */     // MIs[0] policy
     /* 2020731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020741 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2020744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020765 */     // GIR_Coverage, 17139,
     /* 2020765 */     GIR_EraseRootFromParent_Done,
     /* 2020766 */   // Label 26937: @2020766
     /* 2020766 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2020853), // Rule ID 17140 //
     /* 2020771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020802 */     // MIs[0] passthru
     /* 2020802 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020815 */     // MIs[0] round
     /* 2020815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020818 */     // MIs[0] policy
     /* 2020818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020828 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2020831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020852 */     // GIR_Coverage, 17140,
     /* 2020852 */     GIR_EraseRootFromParent_Done,
     /* 2020853 */   // Label 26938: @2020853
     /* 2020853 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2020940), // Rule ID 17149 //
     /* 2020858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2020869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2020872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2020875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020889 */     // MIs[0] passthru
     /* 2020889 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020902 */     // MIs[0] round
     /* 2020902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020905 */     // MIs[0] policy
     /* 2020905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2020918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020939 */     // GIR_Coverage, 17149,
     /* 2020939 */     GIR_EraseRootFromParent_Done,
     /* 2020940 */   // Label 26939: @2020940
     /* 2020940 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021027), // Rule ID 17150 //
     /* 2020945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2020956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2020959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2020962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020976 */     // MIs[0] passthru
     /* 2020976 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020989 */     // MIs[0] round
     /* 2020989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020992 */     // MIs[0] policy
     /* 2020992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2021005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021026 */     // GIR_Coverage, 17150,
     /* 2021026 */     GIR_EraseRootFromParent_Done,
     /* 2021027 */   // Label 26940: @2021027
     /* 2021027 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2021114), // Rule ID 17159 //
     /* 2021032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021063 */     // MIs[0] passthru
     /* 2021063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021076 */     // MIs[0] round
     /* 2021076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021079 */     // MIs[0] policy
     /* 2021079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021113 */     // GIR_Coverage, 17159,
     /* 2021113 */     GIR_EraseRootFromParent_Done,
     /* 2021114 */   // Label 26941: @2021114
     /* 2021114 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2021201), // Rule ID 17160 //
     /* 2021119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2021130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2021133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021150 */     // MIs[0] passthru
     /* 2021150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021163 */     // MIs[0] round
     /* 2021163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021166 */     // MIs[0] policy
     /* 2021166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2021179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021200 */     // GIR_Coverage, 17160,
     /* 2021200 */     GIR_EraseRootFromParent_Done,
     /* 2021201 */   // Label 26942: @2021201
     /* 2021201 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2021288), // Rule ID 17169 //
     /* 2021206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021237 */     // MIs[0] passthru
     /* 2021237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021250 */     // MIs[0] round
     /* 2021250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021253 */     // MIs[0] policy
     /* 2021253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021263 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021287 */     // GIR_Coverage, 17169,
     /* 2021287 */     GIR_EraseRootFromParent_Done,
     /* 2021288 */   // Label 26943: @2021288
     /* 2021288 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2021375), // Rule ID 17170 //
     /* 2021293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021324 */     // MIs[0] passthru
     /* 2021324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021337 */     // MIs[0] round
     /* 2021337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021340 */     // MIs[0] policy
     /* 2021340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021350 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2021353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021374 */     // GIR_Coverage, 17170,
     /* 2021374 */     GIR_EraseRootFromParent_Done,
     /* 2021375 */   // Label 26944: @2021375
     /* 2021375 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2021462), // Rule ID 17179 //
     /* 2021380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021411 */     // MIs[0] passthru
     /* 2021411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021424 */     // MIs[0] round
     /* 2021424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021427 */     // MIs[0] policy
     /* 2021427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021437 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021461 */     // GIR_Coverage, 17179,
     /* 2021461 */     GIR_EraseRootFromParent_Done,
     /* 2021462 */   // Label 26945: @2021462
     /* 2021462 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2021549), // Rule ID 17180 //
     /* 2021467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021498 */     // MIs[0] passthru
     /* 2021498 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021511 */     // MIs[0] round
     /* 2021511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021514 */     // MIs[0] policy
     /* 2021514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021524 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2021527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021548 */     // GIR_Coverage, 17180,
     /* 2021548 */     GIR_EraseRootFromParent_Done,
     /* 2021549 */   // Label 26946: @2021549
     /* 2021549 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2021636), // Rule ID 17189 //
     /* 2021554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2021571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021585 */     // MIs[0] passthru
     /* 2021585 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021598 */     // MIs[0] round
     /* 2021598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021601 */     // MIs[0] policy
     /* 2021601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021611 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2021614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021635 */     // GIR_Coverage, 17189,
     /* 2021635 */     GIR_EraseRootFromParent_Done,
     /* 2021636 */   // Label 26947: @2021636
     /* 2021636 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2021723), // Rule ID 17190 //
     /* 2021641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2021658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021672 */     // MIs[0] passthru
     /* 2021672 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021685 */     // MIs[0] round
     /* 2021685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021688 */     // MIs[0] policy
     /* 2021688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2021701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021722 */     // GIR_Coverage, 17190,
     /* 2021722 */     GIR_EraseRootFromParent_Done,
     /* 2021723 */   // Label 26948: @2021723
     /* 2021723 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2021810), // Rule ID 17199 //
     /* 2021728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2021745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021759 */     // MIs[0] passthru
     /* 2021759 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021772 */     // MIs[0] round
     /* 2021772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021775 */     // MIs[0] policy
     /* 2021775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2021788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021809 */     // GIR_Coverage, 17199,
     /* 2021809 */     GIR_EraseRootFromParent_Done,
     /* 2021810 */   // Label 26949: @2021810
     /* 2021810 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2021897), // Rule ID 17200 //
     /* 2021815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2021832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021846 */     // MIs[0] passthru
     /* 2021846 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021859 */     // MIs[0] round
     /* 2021859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021862 */     // MIs[0] policy
     /* 2021862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2021875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021896 */     // GIR_Coverage, 17200,
     /* 2021896 */     GIR_EraseRootFromParent_Done,
     /* 2021897 */   // Label 26950: @2021897
     /* 2021897 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2021984), // Rule ID 17209 //
     /* 2021902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2021905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2021913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2021916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2021919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021933 */     // MIs[0] passthru
     /* 2021933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021946 */     // MIs[0] round
     /* 2021946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021949 */     // MIs[0] policy
     /* 2021949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021959 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2021962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021983 */     // GIR_Coverage, 17209,
     /* 2021983 */     GIR_EraseRootFromParent_Done,
     /* 2021984 */   // Label 26951: @2021984
     /* 2021984 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2022071), // Rule ID 17210 //
     /* 2021989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2021992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2021997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2022000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2022003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2022006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022020 */     // MIs[0] passthru
     /* 2022020 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022033 */     // MIs[0] round
     /* 2022033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022036 */     // MIs[0] policy
     /* 2022036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022046 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2022049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022070 */     // GIR_Coverage, 17210,
     /* 2022070 */     GIR_EraseRootFromParent_Done,
     /* 2022071 */   // Label 26952: @2022071
     /* 2022071 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2022158), // Rule ID 17219 //
     /* 2022076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2022079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022107 */     // MIs[0] passthru
     /* 2022107 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022120 */     // MIs[0] round
     /* 2022120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022123 */     // MIs[0] policy
     /* 2022123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022133 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022157 */     // GIR_Coverage, 17219,
     /* 2022157 */     GIR_EraseRootFromParent_Done,
     /* 2022158 */   // Label 26953: @2022158
     /* 2022158 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2022245), // Rule ID 17220 //
     /* 2022163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2022166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2022171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2022174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2022177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2022180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022194 */     // MIs[0] passthru
     /* 2022194 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2022199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022207 */     // MIs[0] round
     /* 2022207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022210 */     // MIs[0] policy
     /* 2022210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022220 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2022223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022244 */     // GIR_Coverage, 17220,
     /* 2022244 */     GIR_EraseRootFromParent_Done,
     /* 2022245 */   // Label 26954: @2022245
     /* 2022245 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2022336), // Rule ID 2609 //
     /* 2022250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022296 */     // MIs[0] round
     /* 2022296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022299 */     // MIs[0] policy
     /* 2022299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022335 */     // GIR_Coverage, 2609,
     /* 2022335 */     GIR_EraseRootFromParent_Done,
     /* 2022336 */   // Label 26955: @2022336
     /* 2022336 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2022427), // Rule ID 2610 //
     /* 2022341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2022352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2022355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2022358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2022361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022387 */     // MIs[0] round
     /* 2022387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022390 */     // MIs[0] policy
     /* 2022390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2022403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022426 */     // GIR_Coverage, 2610,
     /* 2022426 */     GIR_EraseRootFromParent_Done,
     /* 2022427 */   // Label 26956: @2022427
     /* 2022427 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2022518), // Rule ID 2653 //
     /* 2022432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2022435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022478 */     // MIs[0] round
     /* 2022478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022481 */     // MIs[0] policy
     /* 2022481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022491 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022517 */     // GIR_Coverage, 2653,
     /* 2022517 */     GIR_EraseRootFromParent_Done,
     /* 2022518 */   // Label 26957: @2022518
     /* 2022518 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2022609), // Rule ID 2654 //
     /* 2022523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2022526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2022531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022569 */     // MIs[0] round
     /* 2022569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022572 */     // MIs[0] policy
     /* 2022572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2022585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022608 */     // GIR_Coverage, 2654,
     /* 2022608 */     GIR_EraseRootFromParent_Done,
     /* 2022609 */   // Label 26958: @2022609
     /* 2022609 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2022700), // Rule ID 2661 //
     /* 2022614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2022617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2022622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022660 */     // MIs[0] round
     /* 2022660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022663 */     // MIs[0] policy
     /* 2022663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022673 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2022676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2022680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022699 */     // GIR_Coverage, 2661,
     /* 2022699 */     GIR_EraseRootFromParent_Done,
     /* 2022700 */   // Label 26959: @2022700
     /* 2022700 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2022791), // Rule ID 2662 //
     /* 2022705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2022708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2022713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022751 */     // MIs[0] round
     /* 2022751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022754 */     // MIs[0] policy
     /* 2022754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2022767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2022771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022790 */     // GIR_Coverage, 2662,
     /* 2022790 */     GIR_EraseRootFromParent_Done,
     /* 2022791 */   // Label 26960: @2022791
     /* 2022791 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2022882), // Rule ID 14811 //
     /* 2022796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2022807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2022810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2022813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2022816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022842 */     // MIs[0] round
     /* 2022842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022845 */     // MIs[0] policy
     /* 2022845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2022858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022881 */     // GIR_Coverage, 14811,
     /* 2022881 */     GIR_EraseRootFromParent_Done,
     /* 2022882 */   // Label 26961: @2022882
     /* 2022882 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2022973), // Rule ID 14812 //
     /* 2022887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2022898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2022901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2022904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2022907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022933 */     // MIs[0] round
     /* 2022933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022936 */     // MIs[0] policy
     /* 2022936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2022949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022972 */     // GIR_Coverage, 14812,
     /* 2022972 */     GIR_EraseRootFromParent_Done,
     /* 2022973 */   // Label 26962: @2022973
     /* 2022973 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2023064), // Rule ID 14815 //
     /* 2022978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2022989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2022992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2022995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2022998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023024 */     // MIs[0] round
     /* 2023024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023027 */     // MIs[0] policy
     /* 2023027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023063 */     // GIR_Coverage, 14815,
     /* 2023063 */     GIR_EraseRootFromParent_Done,
     /* 2023064 */   // Label 26963: @2023064
     /* 2023064 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2023155), // Rule ID 14816 //
     /* 2023069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2023080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2023083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2023086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2023089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023115 */     // MIs[0] round
     /* 2023115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023118 */     // MIs[0] policy
     /* 2023118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023154 */     // GIR_Coverage, 14816,
     /* 2023154 */     GIR_EraseRootFromParent_Done,
     /* 2023155 */   // Label 26964: @2023155
     /* 2023155 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2023246), // Rule ID 14819 //
     /* 2023160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023206 */     // MIs[0] round
     /* 2023206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023209 */     // MIs[0] policy
     /* 2023209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023245 */     // GIR_Coverage, 14819,
     /* 2023245 */     GIR_EraseRootFromParent_Done,
     /* 2023246 */   // Label 26965: @2023246
     /* 2023246 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2023337), // Rule ID 14820 //
     /* 2023251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023297 */     // MIs[0] round
     /* 2023297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023300 */     // MIs[0] policy
     /* 2023300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023310 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2023313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023336 */     // GIR_Coverage, 14820,
     /* 2023336 */     GIR_EraseRootFromParent_Done,
     /* 2023337 */   // Label 26966: @2023337
     /* 2023337 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2023428), // Rule ID 14823 //
     /* 2023342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023388 */     // MIs[0] round
     /* 2023388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023391 */     // MIs[0] policy
     /* 2023391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023401 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023427 */     // GIR_Coverage, 14823,
     /* 2023427 */     GIR_EraseRootFromParent_Done,
     /* 2023428 */   // Label 26967: @2023428
     /* 2023428 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2023519), // Rule ID 14824 //
     /* 2023433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023479 */     // MIs[0] round
     /* 2023479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023482 */     // MIs[0] policy
     /* 2023482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023518 */     // GIR_Coverage, 14824,
     /* 2023518 */     GIR_EraseRootFromParent_Done,
     /* 2023519 */   // Label 26968: @2023519
     /* 2023519 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2023610), // Rule ID 14827 //
     /* 2023524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023570 */     // MIs[0] round
     /* 2023570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023573 */     // MIs[0] policy
     /* 2023573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023609 */     // GIR_Coverage, 14827,
     /* 2023609 */     GIR_EraseRootFromParent_Done,
     /* 2023610 */   // Label 26969: @2023610
     /* 2023610 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2023701), // Rule ID 14828 //
     /* 2023615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2023635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023661 */     // MIs[0] round
     /* 2023661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023664 */     // MIs[0] policy
     /* 2023664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2023677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023700 */     // GIR_Coverage, 14828,
     /* 2023700 */     GIR_EraseRootFromParent_Done,
     /* 2023701 */   // Label 26970: @2023701
     /* 2023701 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2023792), // Rule ID 14831 //
     /* 2023706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2023723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2023726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023752 */     // MIs[0] round
     /* 2023752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023755 */     // MIs[0] policy
     /* 2023755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023791 */     // GIR_Coverage, 14831,
     /* 2023791 */     GIR_EraseRootFromParent_Done,
     /* 2023792 */   // Label 26971: @2023792
     /* 2023792 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2023883), // Rule ID 14832 //
     /* 2023797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2023808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2023811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2023814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2023817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023843 */     // MIs[0] round
     /* 2023843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023846 */     // MIs[0] policy
     /* 2023846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023882 */     // GIR_Coverage, 14832,
     /* 2023882 */     GIR_EraseRootFromParent_Done,
     /* 2023883 */   // Label 26972: @2023883
     /* 2023883 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2023974), // Rule ID 14835 //
     /* 2023888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2023899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2023902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2023908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023934 */     // MIs[0] round
     /* 2023934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023937 */     // MIs[0] policy
     /* 2023937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023973 */     // GIR_Coverage, 14835,
     /* 2023973 */     GIR_EraseRootFromParent_Done,
     /* 2023974 */   // Label 26973: @2023974
     /* 2023974 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2024065), // Rule ID 14836 //
     /* 2023979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2023990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2023993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2023999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024025 */     // MIs[0] round
     /* 2024025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024028 */     // MIs[0] policy
     /* 2024028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024064 */     // GIR_Coverage, 14836,
     /* 2024064 */     GIR_EraseRootFromParent_Done,
     /* 2024065 */   // Label 26974: @2024065
     /* 2024065 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2024156), // Rule ID 14839 //
     /* 2024070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024116 */     // MIs[0] round
     /* 2024116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024119 */     // MIs[0] policy
     /* 2024119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024155 */     // GIR_Coverage, 14839,
     /* 2024155 */     GIR_EraseRootFromParent_Done,
     /* 2024156 */   // Label 26975: @2024156
     /* 2024156 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2024247), // Rule ID 14840 //
     /* 2024161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024207 */     // MIs[0] round
     /* 2024207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024210 */     // MIs[0] policy
     /* 2024210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024246 */     // GIR_Coverage, 14840,
     /* 2024246 */     GIR_EraseRootFromParent_Done,
     /* 2024247 */   // Label 26976: @2024247
     /* 2024247 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2024338), // Rule ID 14843 //
     /* 2024252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024298 */     // MIs[0] round
     /* 2024298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024301 */     // MIs[0] policy
     /* 2024301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024337 */     // GIR_Coverage, 14843,
     /* 2024337 */     GIR_EraseRootFromParent_Done,
     /* 2024338 */   // Label 26977: @2024338
     /* 2024338 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2024429), // Rule ID 14844 //
     /* 2024343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2024363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024389 */     // MIs[0] round
     /* 2024389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024392 */     // MIs[0] policy
     /* 2024392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2024405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024428 */     // GIR_Coverage, 14844,
     /* 2024428 */     GIR_EraseRootFromParent_Done,
     /* 2024429 */   // Label 26978: @2024429
     /* 2024429 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2024520), // Rule ID 14847 //
     /* 2024434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024480 */     // MIs[0] round
     /* 2024480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024483 */     // MIs[0] policy
     /* 2024483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024519 */     // GIR_Coverage, 14847,
     /* 2024519 */     GIR_EraseRootFromParent_Done,
     /* 2024520 */   // Label 26979: @2024520
     /* 2024520 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2024611), // Rule ID 14848 //
     /* 2024525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2024536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2024539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2024542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2024545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024571 */     // MIs[0] round
     /* 2024571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024574 */     // MIs[0] policy
     /* 2024574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024610 */     // GIR_Coverage, 14848,
     /* 2024610 */     GIR_EraseRootFromParent_Done,
     /* 2024611 */   // Label 26980: @2024611
     /* 2024611 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2024702), // Rule ID 14851 //
     /* 2024616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2024627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2024630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2024633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2024636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024662 */     // MIs[0] round
     /* 2024662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024665 */     // MIs[0] policy
     /* 2024665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024701 */     // GIR_Coverage, 14851,
     /* 2024701 */     GIR_EraseRootFromParent_Done,
     /* 2024702 */   // Label 26981: @2024702
     /* 2024702 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2024793), // Rule ID 14852 //
     /* 2024707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2024718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2024721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2024724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2024727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024753 */     // MIs[0] round
     /* 2024753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024756 */     // MIs[0] policy
     /* 2024756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024792 */     // GIR_Coverage, 14852,
     /* 2024792 */     GIR_EraseRootFromParent_Done,
     /* 2024793 */   // Label 26982: @2024793
     /* 2024793 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2024884), // Rule ID 14855 //
     /* 2024798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2024809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2024812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2024815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2024818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2024821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024844 */     // MIs[0] round
     /* 2024844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024847 */     // MIs[0] policy
     /* 2024847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024857 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024883 */     // GIR_Coverage, 14855,
     /* 2024883 */     GIR_EraseRootFromParent_Done,
     /* 2024884 */   // Label 26983: @2024884
     /* 2024884 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2024975), // Rule ID 14856 //
     /* 2024889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2024900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2024903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2024906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2024909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2024912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024935 */     // MIs[0] round
     /* 2024935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024938 */     // MIs[0] policy
     /* 2024938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024974 */     // GIR_Coverage, 14856,
     /* 2024974 */     GIR_EraseRootFromParent_Done,
     /* 2024975 */   // Label 26984: @2024975
     /* 2024975 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2025066), // Rule ID 14859 //
     /* 2024980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2024991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2024994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2024997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025026 */     // MIs[0] round
     /* 2025026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025029 */     // MIs[0] policy
     /* 2025029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025065 */     // GIR_Coverage, 14859,
     /* 2025065 */     GIR_EraseRootFromParent_Done,
     /* 2025066 */   // Label 26985: @2025066
     /* 2025066 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2025157), // Rule ID 14860 //
     /* 2025071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025117 */     // MIs[0] round
     /* 2025117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025120 */     // MIs[0] policy
     /* 2025120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025156 */     // GIR_Coverage, 14860,
     /* 2025156 */     GIR_EraseRootFromParent_Done,
     /* 2025157 */   // Label 26986: @2025157
     /* 2025157 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2025248), // Rule ID 14863 //
     /* 2025162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025208 */     // MIs[0] round
     /* 2025208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025211 */     // MIs[0] policy
     /* 2025211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025247 */     // GIR_Coverage, 14863,
     /* 2025247 */     GIR_EraseRootFromParent_Done,
     /* 2025248 */   // Label 26987: @2025248
     /* 2025248 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2025339), // Rule ID 14864 //
     /* 2025253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025299 */     // MIs[0] round
     /* 2025299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025302 */     // MIs[0] policy
     /* 2025302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025338 */     // GIR_Coverage, 14864,
     /* 2025338 */     GIR_EraseRootFromParent_Done,
     /* 2025339 */   // Label 26988: @2025339
     /* 2025339 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2025430), // Rule ID 14867 //
     /* 2025344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025390 */     // MIs[0] round
     /* 2025390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025393 */     // MIs[0] policy
     /* 2025393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025429 */     // GIR_Coverage, 14867,
     /* 2025429 */     GIR_EraseRootFromParent_Done,
     /* 2025430 */   // Label 26989: @2025430
     /* 2025430 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2025521), // Rule ID 14868 //
     /* 2025435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2025446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2025449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2025452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2025455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2025458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025481 */     // MIs[0] round
     /* 2025481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025484 */     // MIs[0] policy
     /* 2025484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025520 */     // GIR_Coverage, 14868,
     /* 2025520 */     GIR_EraseRootFromParent_Done,
     /* 2025521 */   // Label 26990: @2025521
     /* 2025521 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2025612), // Rule ID 14871 //
     /* 2025526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025572 */     // MIs[0] round
     /* 2025572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025575 */     // MIs[0] policy
     /* 2025575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025611 */     // GIR_Coverage, 14871,
     /* 2025611 */     GIR_EraseRootFromParent_Done,
     /* 2025612 */   // Label 26991: @2025612
     /* 2025612 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2025703), // Rule ID 14872 //
     /* 2025617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025663 */     // MIs[0] round
     /* 2025663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025666 */     // MIs[0] policy
     /* 2025666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025702 */     // GIR_Coverage, 14872,
     /* 2025702 */     GIR_EraseRootFromParent_Done,
     /* 2025703 */   // Label 26992: @2025703
     /* 2025703 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2025794), // Rule ID 14875 //
     /* 2025708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025754 */     // MIs[0] round
     /* 2025754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025757 */     // MIs[0] policy
     /* 2025757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025793 */     // GIR_Coverage, 14875,
     /* 2025793 */     GIR_EraseRootFromParent_Done,
     /* 2025794 */   // Label 26993: @2025794
     /* 2025794 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2025885), // Rule ID 14876 //
     /* 2025799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025845 */     // MIs[0] round
     /* 2025845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025848 */     // MIs[0] policy
     /* 2025848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025884 */     // GIR_Coverage, 14876,
     /* 2025884 */     GIR_EraseRootFromParent_Done,
     /* 2025885 */   // Label 26994: @2025885
     /* 2025885 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2025976), // Rule ID 14879 //
     /* 2025890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2025907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2025910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025936 */     // MIs[0] round
     /* 2025936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025939 */     // MIs[0] policy
     /* 2025939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025975 */     // GIR_Coverage, 14879,
     /* 2025975 */     GIR_EraseRootFromParent_Done,
     /* 2025976 */   // Label 26995: @2025976
     /* 2025976 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2026067), // Rule ID 14880 //
     /* 2025981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2025998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026027 */     // MIs[0] round
     /* 2026027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026030 */     // MIs[0] policy
     /* 2026030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026066 */     // GIR_Coverage, 14880,
     /* 2026066 */     GIR_EraseRootFromParent_Done,
     /* 2026067 */   // Label 26996: @2026067
     /* 2026067 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2026158), // Rule ID 14883 //
     /* 2026072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026118 */     // MIs[0] round
     /* 2026118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026121 */     // MIs[0] policy
     /* 2026121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026131 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026157 */     // GIR_Coverage, 14883,
     /* 2026157 */     GIR_EraseRootFromParent_Done,
     /* 2026158 */   // Label 26997: @2026158
     /* 2026158 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2026249), // Rule ID 14884 //
     /* 2026163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026209 */     // MIs[0] round
     /* 2026209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026212 */     // MIs[0] policy
     /* 2026212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2026225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026248 */     // GIR_Coverage, 14884,
     /* 2026248 */     GIR_EraseRootFromParent_Done,
     /* 2026249 */   // Label 26998: @2026249
     /* 2026249 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2026340), // Rule ID 14887 //
     /* 2026254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026300 */     // MIs[0] round
     /* 2026300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026303 */     // MIs[0] policy
     /* 2026303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026339 */     // GIR_Coverage, 14887,
     /* 2026339 */     GIR_EraseRootFromParent_Done,
     /* 2026340 */   // Label 26999: @2026340
     /* 2026340 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2026431), // Rule ID 14888 //
     /* 2026345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026391 */     // MIs[0] round
     /* 2026391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026394 */     // MIs[0] policy
     /* 2026394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2026407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026430 */     // GIR_Coverage, 14888,
     /* 2026430 */     GIR_EraseRootFromParent_Done,
     /* 2026431 */   // Label 27000: @2026431
     /* 2026431 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2026522), // Rule ID 14891 //
     /* 2026436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026482 */     // MIs[0] round
     /* 2026482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026485 */     // MIs[0] policy
     /* 2026485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026521 */     // GIR_Coverage, 14891,
     /* 2026521 */     GIR_EraseRootFromParent_Done,
     /* 2026522 */   // Label 27001: @2026522
     /* 2026522 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2026613), // Rule ID 14892 //
     /* 2026527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2026547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026573 */     // MIs[0] round
     /* 2026573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026576 */     // MIs[0] policy
     /* 2026576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2026589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026612 */     // GIR_Coverage, 14892,
     /* 2026612 */     GIR_EraseRootFromParent_Done,
     /* 2026613 */   // Label 27002: @2026613
     /* 2026613 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2026704), // Rule ID 14895 //
     /* 2026618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026664 */     // MIs[0] round
     /* 2026664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026667 */     // MIs[0] policy
     /* 2026667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2026680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026703 */     // GIR_Coverage, 14895,
     /* 2026703 */     GIR_EraseRootFromParent_Done,
     /* 2026704 */   // Label 27003: @2026704
     /* 2026704 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2026795), // Rule ID 14896 //
     /* 2026709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026755 */     // MIs[0] round
     /* 2026755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026758 */     // MIs[0] policy
     /* 2026758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2026771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026794 */     // GIR_Coverage, 14896,
     /* 2026794 */     GIR_EraseRootFromParent_Done,
     /* 2026795 */   // Label 27004: @2026795
     /* 2026795 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2026886), // Rule ID 14899 //
     /* 2026800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2026811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2026814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026846 */     // MIs[0] round
     /* 2026846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026849 */     // MIs[0] policy
     /* 2026849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2026862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026885 */     // GIR_Coverage, 14899,
     /* 2026885 */     GIR_EraseRootFromParent_Done,
     /* 2026886 */   // Label 27005: @2026886
     /* 2026886 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2026977), // Rule ID 14900 //
     /* 2026891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2026902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2026905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026937 */     // MIs[0] round
     /* 2026937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026940 */     // MIs[0] policy
     /* 2026940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026950 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2026953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026976 */     // GIR_Coverage, 14900,
     /* 2026976 */     GIR_EraseRootFromParent_Done,
     /* 2026977 */   // Label 27006: @2026977
     /* 2026977 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2027068), // Rule ID 14903 //
     /* 2026982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2026993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2026996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2026999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027028 */     // MIs[0] round
     /* 2027028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027031 */     // MIs[0] policy
     /* 2027031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027041 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027067 */     // GIR_Coverage, 14903,
     /* 2027067 */     GIR_EraseRootFromParent_Done,
     /* 2027068 */   // Label 27007: @2027068
     /* 2027068 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2027159), // Rule ID 14904 //
     /* 2027073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027119 */     // MIs[0] round
     /* 2027119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027122 */     // MIs[0] policy
     /* 2027122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027158 */     // GIR_Coverage, 14904,
     /* 2027158 */     GIR_EraseRootFromParent_Done,
     /* 2027159 */   // Label 27008: @2027159
     /* 2027159 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2027250), // Rule ID 14907 //
     /* 2027164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027210 */     // MIs[0] round
     /* 2027210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027213 */     // MIs[0] policy
     /* 2027213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027249 */     // GIR_Coverage, 14907,
     /* 2027249 */     GIR_EraseRootFromParent_Done,
     /* 2027250 */   // Label 27009: @2027250
     /* 2027250 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2027341), // Rule ID 14908 //
     /* 2027255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027301 */     // MIs[0] round
     /* 2027301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027304 */     // MIs[0] policy
     /* 2027304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2027317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027340 */     // GIR_Coverage, 14908,
     /* 2027340 */     GIR_EraseRootFromParent_Done,
     /* 2027341 */   // Label 27010: @2027341
     /* 2027341 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2027432), // Rule ID 14911 //
     /* 2027346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027392 */     // MIs[0] round
     /* 2027392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027395 */     // MIs[0] policy
     /* 2027395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027431 */     // GIR_Coverage, 14911,
     /* 2027431 */     GIR_EraseRootFromParent_Done,
     /* 2027432 */   // Label 27011: @2027432
     /* 2027432 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2027523), // Rule ID 14912 //
     /* 2027437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027483 */     // MIs[0] round
     /* 2027483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027486 */     // MIs[0] policy
     /* 2027486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027522 */     // GIR_Coverage, 14912,
     /* 2027522 */     GIR_EraseRootFromParent_Done,
     /* 2027523 */   // Label 27012: @2027523
     /* 2027523 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2027614), // Rule ID 14915 //
     /* 2027528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027574 */     // MIs[0] round
     /* 2027574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027577 */     // MIs[0] policy
     /* 2027577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027613 */     // GIR_Coverage, 14915,
     /* 2027613 */     GIR_EraseRootFromParent_Done,
     /* 2027614 */   // Label 27013: @2027614
     /* 2027614 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2027705), // Rule ID 14916 //
     /* 2027619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027665 */     // MIs[0] round
     /* 2027665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027668 */     // MIs[0] policy
     /* 2027668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2027681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027704 */     // GIR_Coverage, 14916,
     /* 2027704 */     GIR_EraseRootFromParent_Done,
     /* 2027705 */   // Label 27014: @2027705
     /* 2027705 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2027796), // Rule ID 14919 //
     /* 2027710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2027721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2027724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2027727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027756 */     // MIs[0] round
     /* 2027756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027759 */     // MIs[0] policy
     /* 2027759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027795 */     // GIR_Coverage, 14919,
     /* 2027795 */     GIR_EraseRootFromParent_Done,
     /* 2027796 */   // Label 27015: @2027796
     /* 2027796 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2027887), // Rule ID 14920 //
     /* 2027801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2027812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2027815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2027818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027847 */     // MIs[0] round
     /* 2027847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027850 */     // MIs[0] policy
     /* 2027850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027886 */     // GIR_Coverage, 14920,
     /* 2027886 */     GIR_EraseRootFromParent_Done,
     /* 2027887 */   // Label 27016: @2027887
     /* 2027887 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2027978), // Rule ID 14923 //
     /* 2027892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2027903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2027906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2027909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027938 */     // MIs[0] round
     /* 2027938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027941 */     // MIs[0] policy
     /* 2027941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027977 */     // GIR_Coverage, 14923,
     /* 2027977 */     GIR_EraseRootFromParent_Done,
     /* 2027978 */   // Label 27017: @2027978
     /* 2027978 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2028069), // Rule ID 14924 //
     /* 2027983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2027994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2027997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028029 */     // MIs[0] round
     /* 2028029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028032 */     // MIs[0] policy
     /* 2028032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028068 */     // GIR_Coverage, 14924,
     /* 2028068 */     GIR_EraseRootFromParent_Done,
     /* 2028069 */   // Label 27018: @2028069
     /* 2028069 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2028160), // Rule ID 14927 //
     /* 2028074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028120 */     // MIs[0] round
     /* 2028120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028123 */     // MIs[0] policy
     /* 2028123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028159 */     // GIR_Coverage, 14927,
     /* 2028159 */     GIR_EraseRootFromParent_Done,
     /* 2028160 */   // Label 27019: @2028160
     /* 2028160 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2028251), // Rule ID 14928 //
     /* 2028165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028211 */     // MIs[0] round
     /* 2028211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028214 */     // MIs[0] policy
     /* 2028214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028250 */     // GIR_Coverage, 14928,
     /* 2028250 */     GIR_EraseRootFromParent_Done,
     /* 2028251 */   // Label 27020: @2028251
     /* 2028251 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2028342), // Rule ID 14931 //
     /* 2028256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028302 */     // MIs[0] round
     /* 2028302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028305 */     // MIs[0] policy
     /* 2028305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028315 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028341 */     // GIR_Coverage, 14931,
     /* 2028341 */     GIR_EraseRootFromParent_Done,
     /* 2028342 */   // Label 27021: @2028342
     /* 2028342 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2028433), // Rule ID 14932 //
     /* 2028347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028393 */     // MIs[0] round
     /* 2028393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028396 */     // MIs[0] policy
     /* 2028396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2028409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028432 */     // GIR_Coverage, 14932,
     /* 2028432 */     GIR_EraseRootFromParent_Done,
     /* 2028433 */   // Label 27022: @2028433
     /* 2028433 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2028524), // Rule ID 14935 //
     /* 2028438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028484 */     // MIs[0] round
     /* 2028484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028487 */     // MIs[0] policy
     /* 2028487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028497 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028523 */     // GIR_Coverage, 14935,
     /* 2028523 */     GIR_EraseRootFromParent_Done,
     /* 2028524 */   // Label 27023: @2028524
     /* 2028524 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2028615), // Rule ID 14936 //
     /* 2028529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2028540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2028543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2028546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028575 */     // MIs[0] round
     /* 2028575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028578 */     // MIs[0] policy
     /* 2028578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028614 */     // GIR_Coverage, 14936,
     /* 2028614 */     GIR_EraseRootFromParent_Done,
     /* 2028615 */   // Label 27024: @2028615
     /* 2028615 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2028706), // Rule ID 14939 //
     /* 2028620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2028637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028666 */     // MIs[0] round
     /* 2028666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028669 */     // MIs[0] policy
     /* 2028669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028679 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028705 */     // GIR_Coverage, 14939,
     /* 2028705 */     GIR_EraseRootFromParent_Done,
     /* 2028706 */   // Label 27025: @2028706
     /* 2028706 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2028797), // Rule ID 14940 //
     /* 2028711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2028722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2028725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2028728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028757 */     // MIs[0] round
     /* 2028757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028760 */     // MIs[0] policy
     /* 2028760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028796 */     // GIR_Coverage, 14940,
     /* 2028796 */     GIR_EraseRootFromParent_Done,
     /* 2028797 */   // Label 27026: @2028797
     /* 2028797 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2028888), // Rule ID 14943 //
     /* 2028802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2028813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2028816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2028819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2028825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028848 */     // MIs[0] round
     /* 2028848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028851 */     // MIs[0] policy
     /* 2028851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028887 */     // GIR_Coverage, 14943,
     /* 2028887 */     GIR_EraseRootFromParent_Done,
     /* 2028888 */   // Label 27027: @2028888
     /* 2028888 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2028979), // Rule ID 14944 //
     /* 2028893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2028904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2028907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2028910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2028916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028939 */     // MIs[0] round
     /* 2028939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028942 */     // MIs[0] policy
     /* 2028942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028978 */     // GIR_Coverage, 14944,
     /* 2028978 */     GIR_EraseRootFromParent_Done,
     /* 2028979 */   // Label 27028: @2028979
     /* 2028979 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2029070), // Rule ID 14947 //
     /* 2028984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2028995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2028998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029030 */     // MIs[0] round
     /* 2029030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029033 */     // MIs[0] policy
     /* 2029033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029069 */     // GIR_Coverage, 14947,
     /* 2029069 */     GIR_EraseRootFromParent_Done,
     /* 2029070 */   // Label 27029: @2029070
     /* 2029070 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2029161), // Rule ID 14948 //
     /* 2029075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029121 */     // MIs[0] round
     /* 2029121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029124 */     // MIs[0] policy
     /* 2029124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029160 */     // GIR_Coverage, 14948,
     /* 2029160 */     GIR_EraseRootFromParent_Done,
     /* 2029161 */   // Label 27030: @2029161
     /* 2029161 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2029252), // Rule ID 14951 //
     /* 2029166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029212 */     // MIs[0] round
     /* 2029212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029215 */     // MIs[0] policy
     /* 2029215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029225 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029251 */     // GIR_Coverage, 14951,
     /* 2029251 */     GIR_EraseRootFromParent_Done,
     /* 2029252 */   // Label 27031: @2029252
     /* 2029252 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2029343), // Rule ID 14952 //
     /* 2029257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029303 */     // MIs[0] round
     /* 2029303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029306 */     // MIs[0] policy
     /* 2029306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029342 */     // GIR_Coverage, 14952,
     /* 2029342 */     GIR_EraseRootFromParent_Done,
     /* 2029343 */   // Label 27032: @2029343
     /* 2029343 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2029434), // Rule ID 14955 //
     /* 2029348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029394 */     // MIs[0] round
     /* 2029394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029397 */     // MIs[0] policy
     /* 2029397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029433 */     // GIR_Coverage, 14955,
     /* 2029433 */     GIR_EraseRootFromParent_Done,
     /* 2029434 */   // Label 27033: @2029434
     /* 2029434 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2029525), // Rule ID 14956 //
     /* 2029439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029485 */     // MIs[0] round
     /* 2029485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029488 */     // MIs[0] policy
     /* 2029488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029524 */     // GIR_Coverage, 14956,
     /* 2029524 */     GIR_EraseRootFromParent_Done,
     /* 2029525 */   // Label 27034: @2029525
     /* 2029525 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2029616), // Rule ID 14959 //
     /* 2029530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029576 */     // MIs[0] round
     /* 2029576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029579 */     // MIs[0] policy
     /* 2029579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029615 */     // GIR_Coverage, 14959,
     /* 2029615 */     GIR_EraseRootFromParent_Done,
     /* 2029616 */   // Label 27035: @2029616
     /* 2029616 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2029707), // Rule ID 14960 //
     /* 2029621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029667 */     // MIs[0] round
     /* 2029667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029670 */     // MIs[0] policy
     /* 2029670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029706 */     // GIR_Coverage, 14960,
     /* 2029706 */     GIR_EraseRootFromParent_Done,
     /* 2029707 */   // Label 27036: @2029707
     /* 2029707 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2029798), // Rule ID 14963 //
     /* 2029712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029758 */     // MIs[0] round
     /* 2029758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029761 */     // MIs[0] policy
     /* 2029761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029797 */     // GIR_Coverage, 14963,
     /* 2029797 */     GIR_EraseRootFromParent_Done,
     /* 2029798 */   // Label 27037: @2029798
     /* 2029798 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2029889), // Rule ID 14964 //
     /* 2029803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029849 */     // MIs[0] round
     /* 2029849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029852 */     // MIs[0] policy
     /* 2029852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029888 */     // GIR_Coverage, 14964,
     /* 2029888 */     GIR_EraseRootFromParent_Done,
     /* 2029889 */   // Label 27038: @2029889
     /* 2029889 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2029980), // Rule ID 14967 //
     /* 2029894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2029905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2029908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2029911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029940 */     // MIs[0] round
     /* 2029940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029943 */     // MIs[0] policy
     /* 2029943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029979 */     // GIR_Coverage, 14967,
     /* 2029979 */     GIR_EraseRootFromParent_Done,
     /* 2029980 */   // Label 27039: @2029980
     /* 2029980 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2030071), // Rule ID 14968 //
     /* 2029985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2029996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2029999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030031 */     // MIs[0] round
     /* 2030031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030034 */     // MIs[0] policy
     /* 2030034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030070 */     // GIR_Coverage, 14968,
     /* 2030070 */     GIR_EraseRootFromParent_Done,
     /* 2030071 */   // Label 27040: @2030071
     /* 2030071 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2030162), // Rule ID 14971 //
     /* 2030076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030122 */     // MIs[0] round
     /* 2030122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030125 */     // MIs[0] policy
     /* 2030125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030135 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030161 */     // GIR_Coverage, 14971,
     /* 2030161 */     GIR_EraseRootFromParent_Done,
     /* 2030162 */   // Label 27041: @2030162
     /* 2030162 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2030253), // Rule ID 14972 //
     /* 2030167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030213 */     // MIs[0] round
     /* 2030213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030216 */     // MIs[0] policy
     /* 2030216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2030229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030252 */     // GIR_Coverage, 14972,
     /* 2030252 */     GIR_EraseRootFromParent_Done,
     /* 2030253 */   // Label 27042: @2030253
     /* 2030253 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2030344), // Rule ID 14975 //
     /* 2030258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030304 */     // MIs[0] round
     /* 2030304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030307 */     // MIs[0] policy
     /* 2030307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030343 */     // GIR_Coverage, 14975,
     /* 2030343 */     GIR_EraseRootFromParent_Done,
     /* 2030344 */   // Label 27043: @2030344
     /* 2030344 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2030435), // Rule ID 14976 //
     /* 2030349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030395 */     // MIs[0] round
     /* 2030395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030398 */     // MIs[0] policy
     /* 2030398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2030411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030434 */     // GIR_Coverage, 14976,
     /* 2030434 */     GIR_EraseRootFromParent_Done,
     /* 2030435 */   // Label 27044: @2030435
     /* 2030435 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2030526), // Rule ID 14979 //
     /* 2030440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030486 */     // MIs[0] round
     /* 2030486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030489 */     // MIs[0] policy
     /* 2030489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030525 */     // GIR_Coverage, 14979,
     /* 2030525 */     GIR_EraseRootFromParent_Done,
     /* 2030526 */   // Label 27045: @2030526
     /* 2030526 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2030617), // Rule ID 14980 //
     /* 2030531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2030542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2030545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2030548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030577 */     // MIs[0] round
     /* 2030577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030580 */     // MIs[0] policy
     /* 2030580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2030593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030616 */     // GIR_Coverage, 14980,
     /* 2030616 */     GIR_EraseRootFromParent_Done,
     /* 2030617 */   // Label 27046: @2030617
     /* 2030617 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2030708), // Rule ID 14983 //
     /* 2030622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2030633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2030636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2030639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2030642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030668 */     // MIs[0] round
     /* 2030668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030671 */     // MIs[0] policy
     /* 2030671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030681 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2030684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030707 */     // GIR_Coverage, 14983,
     /* 2030707 */     GIR_EraseRootFromParent_Done,
     /* 2030708 */   // Label 27047: @2030708
     /* 2030708 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2030799), // Rule ID 14984 //
     /* 2030713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2030724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2030727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2030730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2030733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030759 */     // MIs[0] round
     /* 2030759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030762 */     // MIs[0] policy
     /* 2030762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2030775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030798 */     // GIR_Coverage, 14984,
     /* 2030798 */     GIR_EraseRootFromParent_Done,
     /* 2030799 */   // Label 27048: @2030799
     /* 2030799 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2030890), // Rule ID 14987 //
     /* 2030804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2030815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2030818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2030821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2030824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030850 */     // MIs[0] round
     /* 2030850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030853 */     // MIs[0] policy
     /* 2030853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030863 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2030866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030889 */     // GIR_Coverage, 14987,
     /* 2030889 */     GIR_EraseRootFromParent_Done,
     /* 2030890 */   // Label 27049: @2030890
     /* 2030890 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2030981), // Rule ID 14988 //
     /* 2030895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2030906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2030909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2030912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2030915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030941 */     // MIs[0] round
     /* 2030941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030944 */     // MIs[0] policy
     /* 2030944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2030957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030980 */     // GIR_Coverage, 14988,
     /* 2030980 */     GIR_EraseRootFromParent_Done,
     /* 2030981 */   // Label 27050: @2030981
     /* 2030981 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2031072), // Rule ID 14991 //
     /* 2030986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2030997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031032 */     // MIs[0] round
     /* 2031032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031035 */     // MIs[0] policy
     /* 2031035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031045 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031071 */     // GIR_Coverage, 14991,
     /* 2031071 */     GIR_EraseRootFromParent_Done,
     /* 2031072 */   // Label 27051: @2031072
     /* 2031072 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2031163), // Rule ID 14992 //
     /* 2031077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2031097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031123 */     // MIs[0] round
     /* 2031123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031126 */     // MIs[0] policy
     /* 2031126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031162 */     // GIR_Coverage, 14992,
     /* 2031162 */     GIR_EraseRootFromParent_Done,
     /* 2031163 */   // Label 27052: @2031163
     /* 2031163 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2031254), // Rule ID 14995 //
     /* 2031168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031214 */     // MIs[0] round
     /* 2031214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031217 */     // MIs[0] policy
     /* 2031217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031253 */     // GIR_Coverage, 14995,
     /* 2031253 */     GIR_EraseRootFromParent_Done,
     /* 2031254 */   // Label 27053: @2031254
     /* 2031254 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2031345), // Rule ID 14996 //
     /* 2031259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2031279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031305 */     // MIs[0] round
     /* 2031305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031308 */     // MIs[0] policy
     /* 2031308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2031321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031344 */     // GIR_Coverage, 14996,
     /* 2031344 */     GIR_EraseRootFromParent_Done,
     /* 2031345 */   // Label 27054: @2031345
     /* 2031345 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2031436), // Rule ID 14999 //
     /* 2031350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031396 */     // MIs[0] round
     /* 2031396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031399 */     // MIs[0] policy
     /* 2031399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031435 */     // GIR_Coverage, 14999,
     /* 2031435 */     GIR_EraseRootFromParent_Done,
     /* 2031436 */   // Label 27055: @2031436
     /* 2031436 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2031527), // Rule ID 15000 //
     /* 2031441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2031461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031487 */     // MIs[0] round
     /* 2031487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031490 */     // MIs[0] policy
     /* 2031490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031526 */     // GIR_Coverage, 15000,
     /* 2031526 */     GIR_EraseRootFromParent_Done,
     /* 2031527 */   // Label 27056: @2031527
     /* 2031527 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2031618), // Rule ID 15003 //
     /* 2031532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031578 */     // MIs[0] round
     /* 2031578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031581 */     // MIs[0] policy
     /* 2031581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031617 */     // GIR_Coverage, 15003,
     /* 2031617 */     GIR_EraseRootFromParent_Done,
     /* 2031618 */   // Label 27057: @2031618
     /* 2031618 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2031709), // Rule ID 15004 //
     /* 2031623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2031643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031669 */     // MIs[0] round
     /* 2031669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031672 */     // MIs[0] policy
     /* 2031672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2031685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031708 */     // GIR_Coverage, 15004,
     /* 2031708 */     GIR_EraseRootFromParent_Done,
     /* 2031709 */   // Label 27058: @2031709
     /* 2031709 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2031800), // Rule ID 15007 //
     /* 2031714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2031725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2031728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2031731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2031734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031760 */     // MIs[0] round
     /* 2031760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031763 */     // MIs[0] policy
     /* 2031763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031799 */     // GIR_Coverage, 15007,
     /* 2031799 */     GIR_EraseRootFromParent_Done,
     /* 2031800 */   // Label 27059: @2031800
     /* 2031800 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2031891), // Rule ID 15008 //
     /* 2031805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2031816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2031819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2031822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2031825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031851 */     // MIs[0] round
     /* 2031851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031854 */     // MIs[0] policy
     /* 2031854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031890 */     // GIR_Coverage, 15008,
     /* 2031890 */     GIR_EraseRootFromParent_Done,
     /* 2031891 */   // Label 27060: @2031891
     /* 2031891 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2031982), // Rule ID 15011 //
     /* 2031896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2031907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2031910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2031913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2031916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031942 */     // MIs[0] round
     /* 2031942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031945 */     // MIs[0] policy
     /* 2031945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031981 */     // GIR_Coverage, 15011,
     /* 2031981 */     GIR_EraseRootFromParent_Done,
     /* 2031982 */   // Label 27061: @2031982
     /* 2031982 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2032073), // Rule ID 15012 //
     /* 2031987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2031998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2032007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032033 */     // MIs[0] round
     /* 2032033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032036 */     // MIs[0] policy
     /* 2032036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032072 */     // GIR_Coverage, 15012,
     /* 2032072 */     GIR_EraseRootFromParent_Done,
     /* 2032073 */   // Label 27062: @2032073
     /* 2032073 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2032164), // Rule ID 15015 //
     /* 2032078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032124 */     // MIs[0] round
     /* 2032124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032127 */     // MIs[0] policy
     /* 2032127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032163 */     // GIR_Coverage, 15015,
     /* 2032163 */     GIR_EraseRootFromParent_Done,
     /* 2032164 */   // Label 27063: @2032164
     /* 2032164 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2032255), // Rule ID 15016 //
     /* 2032169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2032189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032215 */     // MIs[0] round
     /* 2032215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032218 */     // MIs[0] policy
     /* 2032218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032254 */     // GIR_Coverage, 15016,
     /* 2032254 */     GIR_EraseRootFromParent_Done,
     /* 2032255 */   // Label 27064: @2032255
     /* 2032255 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2032346), // Rule ID 15019 //
     /* 2032260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032306 */     // MIs[0] round
     /* 2032306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032309 */     // MIs[0] policy
     /* 2032309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032345 */     // GIR_Coverage, 15019,
     /* 2032345 */     GIR_EraseRootFromParent_Done,
     /* 2032346 */   // Label 27065: @2032346
     /* 2032346 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2032437), // Rule ID 15020 //
     /* 2032351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032397 */     // MIs[0] round
     /* 2032397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032400 */     // MIs[0] policy
     /* 2032400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2032413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032436 */     // GIR_Coverage, 15020,
     /* 2032436 */     GIR_EraseRootFromParent_Done,
     /* 2032437 */   // Label 27066: @2032437
     /* 2032437 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2032528), // Rule ID 15023 //
     /* 2032442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032488 */     // MIs[0] round
     /* 2032488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032491 */     // MIs[0] policy
     /* 2032491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032527 */     // GIR_Coverage, 15023,
     /* 2032527 */     GIR_EraseRootFromParent_Done,
     /* 2032528 */   // Label 27067: @2032528
     /* 2032528 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2032619), // Rule ID 15024 //
     /* 2032533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2032550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2032553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032579 */     // MIs[0] round
     /* 2032579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032582 */     // MIs[0] policy
     /* 2032582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032618 */     // GIR_Coverage, 15024,
     /* 2032618 */     GIR_EraseRootFromParent_Done,
     /* 2032619 */   // Label 27068: @2032619
     /* 2032619 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2032710), // Rule ID 15027 //
     /* 2032624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2032635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2032638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2032641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2032644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032670 */     // MIs[0] round
     /* 2032670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032673 */     // MIs[0] policy
     /* 2032673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032709 */     // GIR_Coverage, 15027,
     /* 2032709 */     GIR_EraseRootFromParent_Done,
     /* 2032710 */   // Label 27069: @2032710
     /* 2032710 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2032801), // Rule ID 15028 //
     /* 2032715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2032726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2032729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2032732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2032735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032761 */     // MIs[0] round
     /* 2032761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032764 */     // MIs[0] policy
     /* 2032764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032800 */     // GIR_Coverage, 15028,
     /* 2032800 */     GIR_EraseRootFromParent_Done,
     /* 2032801 */   // Label 27070: @2032801
     /* 2032801 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2032892), // Rule ID 15031 //
     /* 2032806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2032817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2032820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2032823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2032826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2032829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032852 */     // MIs[0] round
     /* 2032852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032855 */     // MIs[0] policy
     /* 2032855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032865 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032891 */     // GIR_Coverage, 15031,
     /* 2032891 */     GIR_EraseRootFromParent_Done,
     /* 2032892 */   // Label 27071: @2032892
     /* 2032892 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2032983), // Rule ID 15032 //
     /* 2032897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2032908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2032911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2032914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2032917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2032920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032943 */     // MIs[0] round
     /* 2032943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032946 */     // MIs[0] policy
     /* 2032946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032982 */     // GIR_Coverage, 15032,
     /* 2032982 */     GIR_EraseRootFromParent_Done,
     /* 2032983 */   // Label 27072: @2032983
     /* 2032983 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2033074), // Rule ID 15035 //
     /* 2032988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2032999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033034 */     // MIs[0] round
     /* 2033034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033037 */     // MIs[0] policy
     /* 2033037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033073 */     // GIR_Coverage, 15035,
     /* 2033073 */     GIR_EraseRootFromParent_Done,
     /* 2033074 */   // Label 27073: @2033074
     /* 2033074 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2033165), // Rule ID 15036 //
     /* 2033079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033125 */     // MIs[0] round
     /* 2033125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033128 */     // MIs[0] policy
     /* 2033128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033164 */     // GIR_Coverage, 15036,
     /* 2033164 */     GIR_EraseRootFromParent_Done,
     /* 2033165 */   // Label 27074: @2033165
     /* 2033165 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2033256), // Rule ID 15039 //
     /* 2033170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033216 */     // MIs[0] round
     /* 2033216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033219 */     // MIs[0] policy
     /* 2033219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033255 */     // GIR_Coverage, 15039,
     /* 2033255 */     GIR_EraseRootFromParent_Done,
     /* 2033256 */   // Label 27075: @2033256
     /* 2033256 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2033347), // Rule ID 15040 //
     /* 2033261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033307 */     // MIs[0] round
     /* 2033307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033310 */     // MIs[0] policy
     /* 2033310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033346 */     // GIR_Coverage, 15040,
     /* 2033346 */     GIR_EraseRootFromParent_Done,
     /* 2033347 */   // Label 27076: @2033347
     /* 2033347 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2033438), // Rule ID 15043 //
     /* 2033352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033398 */     // MIs[0] round
     /* 2033398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033401 */     // MIs[0] policy
     /* 2033401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033437 */     // GIR_Coverage, 15043,
     /* 2033437 */     GIR_EraseRootFromParent_Done,
     /* 2033438 */   // Label 27077: @2033438
     /* 2033438 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2033529), // Rule ID 15044 //
     /* 2033443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2033463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033489 */     // MIs[0] round
     /* 2033489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033492 */     // MIs[0] policy
     /* 2033492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033528 */     // GIR_Coverage, 15044,
     /* 2033528 */     GIR_EraseRootFromParent_Done,
     /* 2033529 */   // Label 27078: @2033529
     /* 2033529 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2033620), // Rule ID 15047 //
     /* 2033534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033580 */     // MIs[0] round
     /* 2033580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033583 */     // MIs[0] policy
     /* 2033583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033619 */     // GIR_Coverage, 15047,
     /* 2033619 */     GIR_EraseRootFromParent_Done,
     /* 2033620 */   // Label 27079: @2033620
     /* 2033620 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2033711), // Rule ID 15048 //
     /* 2033625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2033645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033671 */     // MIs[0] round
     /* 2033671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033674 */     // MIs[0] policy
     /* 2033674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033710 */     // GIR_Coverage, 15048,
     /* 2033710 */     GIR_EraseRootFromParent_Done,
     /* 2033711 */   // Label 27080: @2033711
     /* 2033711 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2033802), // Rule ID 15051 //
     /* 2033716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2033736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033762 */     // MIs[0] round
     /* 2033762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033765 */     // MIs[0] policy
     /* 2033765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033775 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033801 */     // GIR_Coverage, 15051,
     /* 2033801 */     GIR_EraseRootFromParent_Done,
     /* 2033802 */   // Label 27081: @2033802
     /* 2033802 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2033893), // Rule ID 15052 //
     /* 2033807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2033827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033853 */     // MIs[0] round
     /* 2033853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033856 */     // MIs[0] policy
     /* 2033856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033892 */     // GIR_Coverage, 15052,
     /* 2033892 */     GIR_EraseRootFromParent_Done,
     /* 2033893 */   // Label 27082: @2033893
     /* 2033893 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2033984), // Rule ID 15055 //
     /* 2033898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2033915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2033918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033944 */     // MIs[0] round
     /* 2033944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033947 */     // MIs[0] policy
     /* 2033947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033957 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033983 */     // GIR_Coverage, 15055,
     /* 2033983 */     GIR_EraseRootFromParent_Done,
     /* 2033984 */   // Label 27083: @2033984
     /* 2033984 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2034075), // Rule ID 15056 //
     /* 2033989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2034009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034035 */     // MIs[0] round
     /* 2034035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034038 */     // MIs[0] policy
     /* 2034038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034074 */     // GIR_Coverage, 15056,
     /* 2034074 */     GIR_EraseRootFromParent_Done,
     /* 2034075 */   // Label 27084: @2034075
     /* 2034075 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2034166), // Rule ID 15059 //
     /* 2034080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034126 */     // MIs[0] round
     /* 2034126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034129 */     // MIs[0] policy
     /* 2034129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034165 */     // GIR_Coverage, 15059,
     /* 2034165 */     GIR_EraseRootFromParent_Done,
     /* 2034166 */   // Label 27085: @2034166
     /* 2034166 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2034257), // Rule ID 15060 //
     /* 2034171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034217 */     // MIs[0] round
     /* 2034217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034220 */     // MIs[0] policy
     /* 2034220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2034233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034256 */     // GIR_Coverage, 15060,
     /* 2034256 */     GIR_EraseRootFromParent_Done,
     /* 2034257 */   // Label 27086: @2034257
     /* 2034257 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2034348), // Rule ID 15063 //
     /* 2034262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034308 */     // MIs[0] round
     /* 2034308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034311 */     // MIs[0] policy
     /* 2034311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034347 */     // GIR_Coverage, 15063,
     /* 2034347 */     GIR_EraseRootFromParent_Done,
     /* 2034348 */   // Label 27087: @2034348
     /* 2034348 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2034439), // Rule ID 15064 //
     /* 2034353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034399 */     // MIs[0] round
     /* 2034399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034402 */     // MIs[0] policy
     /* 2034402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2034415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034438 */     // GIR_Coverage, 15064,
     /* 2034438 */     GIR_EraseRootFromParent_Done,
     /* 2034439 */   // Label 27088: @2034439
     /* 2034439 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2034530), // Rule ID 15067 //
     /* 2034444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034490 */     // MIs[0] round
     /* 2034490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034493 */     // MIs[0] policy
     /* 2034493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034529 */     // GIR_Coverage, 15067,
     /* 2034529 */     GIR_EraseRootFromParent_Done,
     /* 2034530 */   // Label 27089: @2034530
     /* 2034530 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2034621), // Rule ID 15068 //
     /* 2034535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034581 */     // MIs[0] round
     /* 2034581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034584 */     // MIs[0] policy
     /* 2034584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2034597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034620 */     // GIR_Coverage, 15068,
     /* 2034620 */     GIR_EraseRootFromParent_Done,
     /* 2034621 */   // Label 27090: @2034621
     /* 2034621 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2034712), // Rule ID 15071 //
     /* 2034626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034672 */     // MIs[0] round
     /* 2034672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034675 */     // MIs[0] policy
     /* 2034675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2034688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034711 */     // GIR_Coverage, 15071,
     /* 2034711 */     GIR_EraseRootFromParent_Done,
     /* 2034712 */   // Label 27091: @2034712
     /* 2034712 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2034803), // Rule ID 15072 //
     /* 2034717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2034728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2034731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2034734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034763 */     // MIs[0] round
     /* 2034763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034766 */     // MIs[0] policy
     /* 2034766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2034779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034802 */     // GIR_Coverage, 15072,
     /* 2034802 */     GIR_EraseRootFromParent_Done,
     /* 2034803 */   // Label 27092: @2034803
     /* 2034803 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2034894), // Rule ID 15075 //
     /* 2034808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034854 */     // MIs[0] round
     /* 2034854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034857 */     // MIs[0] policy
     /* 2034857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2034870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034893 */     // GIR_Coverage, 15075,
     /* 2034893 */     GIR_EraseRootFromParent_Done,
     /* 2034894 */   // Label 27093: @2034894
     /* 2034894 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2034985), // Rule ID 15076 //
     /* 2034899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2034910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2034913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2034916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034945 */     // MIs[0] round
     /* 2034945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034948 */     // MIs[0] policy
     /* 2034948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2034961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034984 */     // GIR_Coverage, 15076,
     /* 2034984 */     GIR_EraseRootFromParent_Done,
     /* 2034985 */   // Label 27094: @2034985
     /* 2034985 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2035076), // Rule ID 15079 //
     /* 2034990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035036 */     // MIs[0] round
     /* 2035036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035039 */     // MIs[0] policy
     /* 2035039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035075 */     // GIR_Coverage, 15079,
     /* 2035075 */     GIR_EraseRootFromParent_Done,
     /* 2035076 */   // Label 27095: @2035076
     /* 2035076 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2035167), // Rule ID 15080 //
     /* 2035081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035127 */     // MIs[0] round
     /* 2035127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035130 */     // MIs[0] policy
     /* 2035130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035166 */     // GIR_Coverage, 15080,
     /* 2035166 */     GIR_EraseRootFromParent_Done,
     /* 2035167 */   // Label 27096: @2035167
     /* 2035167 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2035258), // Rule ID 15083 //
     /* 2035172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035218 */     // MIs[0] round
     /* 2035218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035221 */     // MIs[0] policy
     /* 2035221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035257 */     // GIR_Coverage, 15083,
     /* 2035257 */     GIR_EraseRootFromParent_Done,
     /* 2035258 */   // Label 27097: @2035258
     /* 2035258 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2035349), // Rule ID 15084 //
     /* 2035263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035309 */     // MIs[0] round
     /* 2035309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035312 */     // MIs[0] policy
     /* 2035312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2035325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035348 */     // GIR_Coverage, 15084,
     /* 2035348 */     GIR_EraseRootFromParent_Done,
     /* 2035349 */   // Label 27098: @2035349
     /* 2035349 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2035440), // Rule ID 15087 //
     /* 2035354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035400 */     // MIs[0] round
     /* 2035400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035403 */     // MIs[0] policy
     /* 2035403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035439 */     // GIR_Coverage, 15087,
     /* 2035439 */     GIR_EraseRootFromParent_Done,
     /* 2035440 */   // Label 27099: @2035440
     /* 2035440 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2035531), // Rule ID 15088 //
     /* 2035445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035491 */     // MIs[0] round
     /* 2035491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035494 */     // MIs[0] policy
     /* 2035494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035530 */     // GIR_Coverage, 15088,
     /* 2035530 */     GIR_EraseRootFromParent_Done,
     /* 2035531 */   // Label 27100: @2035531
     /* 2035531 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2035622), // Rule ID 15091 //
     /* 2035536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035582 */     // MIs[0] round
     /* 2035582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035585 */     // MIs[0] policy
     /* 2035585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035621 */     // GIR_Coverage, 15091,
     /* 2035621 */     GIR_EraseRootFromParent_Done,
     /* 2035622 */   // Label 27101: @2035622
     /* 2035622 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2035713), // Rule ID 15092 //
     /* 2035627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035673 */     // MIs[0] round
     /* 2035673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035676 */     // MIs[0] policy
     /* 2035676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2035689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035712 */     // GIR_Coverage, 15092,
     /* 2035712 */     GIR_EraseRootFromParent_Done,
     /* 2035713 */   // Label 27102: @2035713
     /* 2035713 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2035804), // Rule ID 15095 //
     /* 2035718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035764 */     // MIs[0] round
     /* 2035764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035767 */     // MIs[0] policy
     /* 2035767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035803 */     // GIR_Coverage, 15095,
     /* 2035803 */     GIR_EraseRootFromParent_Done,
     /* 2035804 */   // Label 27103: @2035804
     /* 2035804 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2035895), // Rule ID 15096 //
     /* 2035809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2035820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2035823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2035826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035855 */     // MIs[0] round
     /* 2035855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035858 */     // MIs[0] policy
     /* 2035858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035894 */     // GIR_Coverage, 15096,
     /* 2035894 */     GIR_EraseRootFromParent_Done,
     /* 2035895 */   // Label 27104: @2035895
     /* 2035895 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2035986), // Rule ID 15099 //
     /* 2035900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2035911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2035914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2035917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035946 */     // MIs[0] round
     /* 2035946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035949 */     // MIs[0] policy
     /* 2035949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035985 */     // GIR_Coverage, 15099,
     /* 2035985 */     GIR_EraseRootFromParent_Done,
     /* 2035986 */   // Label 27105: @2035986
     /* 2035986 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2036077), // Rule ID 15100 //
     /* 2035991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036037 */     // MIs[0] round
     /* 2036037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036040 */     // MIs[0] policy
     /* 2036040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036076 */     // GIR_Coverage, 15100,
     /* 2036076 */     GIR_EraseRootFromParent_Done,
     /* 2036077 */   // Label 27106: @2036077
     /* 2036077 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2036168), // Rule ID 15103 //
     /* 2036082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036128 */     // MIs[0] round
     /* 2036128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036131 */     // MIs[0] policy
     /* 2036131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036167 */     // GIR_Coverage, 15103,
     /* 2036167 */     GIR_EraseRootFromParent_Done,
     /* 2036168 */   // Label 27107: @2036168
     /* 2036168 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2036259), // Rule ID 15104 //
     /* 2036173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036219 */     // MIs[0] round
     /* 2036219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036222 */     // MIs[0] policy
     /* 2036222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036258 */     // GIR_Coverage, 15104,
     /* 2036258 */     GIR_EraseRootFromParent_Done,
     /* 2036259 */   // Label 27108: @2036259
     /* 2036259 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2036350), // Rule ID 15107 //
     /* 2036264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036310 */     // MIs[0] round
     /* 2036310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036313 */     // MIs[0] policy
     /* 2036313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036349 */     // GIR_Coverage, 15107,
     /* 2036349 */     GIR_EraseRootFromParent_Done,
     /* 2036350 */   // Label 27109: @2036350
     /* 2036350 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2036441), // Rule ID 15108 //
     /* 2036355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036401 */     // MIs[0] round
     /* 2036401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036404 */     // MIs[0] policy
     /* 2036404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2036417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036440 */     // GIR_Coverage, 15108,
     /* 2036440 */     GIR_EraseRootFromParent_Done,
     /* 2036441 */   // Label 27110: @2036441
     /* 2036441 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2036532), // Rule ID 15111 //
     /* 2036446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036492 */     // MIs[0] round
     /* 2036492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036495 */     // MIs[0] policy
     /* 2036495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036505 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036531 */     // GIR_Coverage, 15111,
     /* 2036531 */     GIR_EraseRootFromParent_Done,
     /* 2036532 */   // Label 27111: @2036532
     /* 2036532 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2036623), // Rule ID 15112 //
     /* 2036537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2036548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2036551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2036554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036583 */     // MIs[0] round
     /* 2036583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036586 */     // MIs[0] policy
     /* 2036586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036622 */     // GIR_Coverage, 15112,
     /* 2036622 */     GIR_EraseRootFromParent_Done,
     /* 2036623 */   // Label 27112: @2036623
     /* 2036623 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2036714), // Rule ID 15115 //
     /* 2036628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036674 */     // MIs[0] round
     /* 2036674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036677 */     // MIs[0] policy
     /* 2036677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036713 */     // GIR_Coverage, 15115,
     /* 2036713 */     GIR_EraseRootFromParent_Done,
     /* 2036714 */   // Label 27113: @2036714
     /* 2036714 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2036805), // Rule ID 15116 //
     /* 2036719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2036730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2036733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2036736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036765 */     // MIs[0] round
     /* 2036765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036768 */     // MIs[0] policy
     /* 2036768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036804 */     // GIR_Coverage, 15116,
     /* 2036804 */     GIR_EraseRootFromParent_Done,
     /* 2036805 */   // Label 27114: @2036805
     /* 2036805 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2036896), // Rule ID 15119 //
     /* 2036810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036856 */     // MIs[0] round
     /* 2036856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036859 */     // MIs[0] policy
     /* 2036859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036895 */     // GIR_Coverage, 15119,
     /* 2036895 */     GIR_EraseRootFromParent_Done,
     /* 2036896 */   // Label 27115: @2036896
     /* 2036896 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2036987), // Rule ID 15120 //
     /* 2036901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2036912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2036915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2036918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2036924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036947 */     // MIs[0] round
     /* 2036947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036950 */     // MIs[0] policy
     /* 2036950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036986 */     // GIR_Coverage, 15120,
     /* 2036986 */     GIR_EraseRootFromParent_Done,
     /* 2036987 */   // Label 27116: @2036987
     /* 2036987 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2037078), // Rule ID 15123 //
     /* 2036992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037038 */     // MIs[0] round
     /* 2037038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037041 */     // MIs[0] policy
     /* 2037041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037077 */     // GIR_Coverage, 15123,
     /* 2037077 */     GIR_EraseRootFromParent_Done,
     /* 2037078 */   // Label 27117: @2037078
     /* 2037078 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2037169), // Rule ID 15124 //
     /* 2037083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037129 */     // MIs[0] round
     /* 2037129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037132 */     // MIs[0] policy
     /* 2037132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037168 */     // GIR_Coverage, 15124,
     /* 2037168 */     GIR_EraseRootFromParent_Done,
     /* 2037169 */   // Label 27118: @2037169
     /* 2037169 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2037260), // Rule ID 15127 //
     /* 2037174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037220 */     // MIs[0] round
     /* 2037220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037223 */     // MIs[0] policy
     /* 2037223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037233 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037259 */     // GIR_Coverage, 15127,
     /* 2037259 */     GIR_EraseRootFromParent_Done,
     /* 2037260 */   // Label 27119: @2037260
     /* 2037260 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2037351), // Rule ID 15128 //
     /* 2037265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037311 */     // MIs[0] round
     /* 2037311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037314 */     // MIs[0] policy
     /* 2037314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037350 */     // GIR_Coverage, 15128,
     /* 2037350 */     GIR_EraseRootFromParent_Done,
     /* 2037351 */   // Label 27120: @2037351
     /* 2037351 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2037442), // Rule ID 15131 //
     /* 2037356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037402 */     // MIs[0] round
     /* 2037402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037405 */     // MIs[0] policy
     /* 2037405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037415 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037441 */     // GIR_Coverage, 15131,
     /* 2037441 */     GIR_EraseRootFromParent_Done,
     /* 2037442 */   // Label 27121: @2037442
     /* 2037442 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2037533), // Rule ID 15132 //
     /* 2037447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037493 */     // MIs[0] round
     /* 2037493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037496 */     // MIs[0] policy
     /* 2037496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037532 */     // GIR_Coverage, 15132,
     /* 2037532 */     GIR_EraseRootFromParent_Done,
     /* 2037533 */   // Label 27122: @2037533
     /* 2037533 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2037624), // Rule ID 15135 //
     /* 2037538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037584 */     // MIs[0] round
     /* 2037584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037587 */     // MIs[0] policy
     /* 2037587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037623 */     // GIR_Coverage, 15135,
     /* 2037623 */     GIR_EraseRootFromParent_Done,
     /* 2037624 */   // Label 27123: @2037624
     /* 2037624 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2037715), // Rule ID 15136 //
     /* 2037629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037675 */     // MIs[0] round
     /* 2037675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037678 */     // MIs[0] policy
     /* 2037678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037714 */     // GIR_Coverage, 15136,
     /* 2037714 */     GIR_EraseRootFromParent_Done,
     /* 2037715 */   // Label 27124: @2037715
     /* 2037715 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2037806), // Rule ID 15139 //
     /* 2037720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037766 */     // MIs[0] round
     /* 2037766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037769 */     // MIs[0] policy
     /* 2037769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037779 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037805 */     // GIR_Coverage, 15139,
     /* 2037805 */     GIR_EraseRootFromParent_Done,
     /* 2037806 */   // Label 27125: @2037806
     /* 2037806 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2037897), // Rule ID 15140 //
     /* 2037811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037857 */     // MIs[0] round
     /* 2037857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037860 */     // MIs[0] policy
     /* 2037860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037896 */     // GIR_Coverage, 15140,
     /* 2037896 */     GIR_EraseRootFromParent_Done,
     /* 2037897 */   // Label 27126: @2037897
     /* 2037897 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2037988), // Rule ID 15143 //
     /* 2037902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037948 */     // MIs[0] round
     /* 2037948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037951 */     // MIs[0] policy
     /* 2037951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037987 */     // GIR_Coverage, 15143,
     /* 2037987 */     GIR_EraseRootFromParent_Done,
     /* 2037988 */   // Label 27127: @2037988
     /* 2037988 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2038079), // Rule ID 15144 //
     /* 2037993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038039 */     // MIs[0] round
     /* 2038039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038042 */     // MIs[0] policy
     /* 2038042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038078 */     // GIR_Coverage, 15144,
     /* 2038078 */     GIR_EraseRootFromParent_Done,
     /* 2038079 */   // Label 27128: @2038079
     /* 2038079 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2038170), // Rule ID 15147 //
     /* 2038084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038130 */     // MIs[0] round
     /* 2038130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038133 */     // MIs[0] policy
     /* 2038133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038169 */     // GIR_Coverage, 15147,
     /* 2038169 */     GIR_EraseRootFromParent_Done,
     /* 2038170 */   // Label 27129: @2038170
     /* 2038170 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2038261), // Rule ID 15148 //
     /* 2038175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038221 */     // MIs[0] round
     /* 2038221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038224 */     // MIs[0] policy
     /* 2038224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2038237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038260 */     // GIR_Coverage, 15148,
     /* 2038260 */     GIR_EraseRootFromParent_Done,
     /* 2038261 */   // Label 27130: @2038261
     /* 2038261 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2038352), // Rule ID 15151 //
     /* 2038266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038312 */     // MIs[0] round
     /* 2038312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038315 */     // MIs[0] policy
     /* 2038315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038351 */     // GIR_Coverage, 15151,
     /* 2038351 */     GIR_EraseRootFromParent_Done,
     /* 2038352 */   // Label 27131: @2038352
     /* 2038352 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2038443), // Rule ID 15152 //
     /* 2038357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038403 */     // MIs[0] round
     /* 2038403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038406 */     // MIs[0] policy
     /* 2038406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2038419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038442 */     // GIR_Coverage, 15152,
     /* 2038442 */     GIR_EraseRootFromParent_Done,
     /* 2038443 */   // Label 27132: @2038443
     /* 2038443 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2038534), // Rule ID 15155 //
     /* 2038448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038494 */     // MIs[0] round
     /* 2038494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038497 */     // MIs[0] policy
     /* 2038497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038533 */     // GIR_Coverage, 15155,
     /* 2038533 */     GIR_EraseRootFromParent_Done,
     /* 2038534 */   // Label 27133: @2038534
     /* 2038534 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2038625), // Rule ID 15156 //
     /* 2038539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038585 */     // MIs[0] round
     /* 2038585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038588 */     // MIs[0] policy
     /* 2038588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2038601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038624 */     // GIR_Coverage, 15156,
     /* 2038624 */     GIR_EraseRootFromParent_Done,
     /* 2038625 */   // Label 27134: @2038625
     /* 2038625 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2038716), // Rule ID 15159 //
     /* 2038630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038676 */     // MIs[0] round
     /* 2038676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038679 */     // MIs[0] policy
     /* 2038679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038689 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2038692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038715 */     // GIR_Coverage, 15159,
     /* 2038715 */     GIR_EraseRootFromParent_Done,
     /* 2038716 */   // Label 27135: @2038716
     /* 2038716 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2038807), // Rule ID 15160 //
     /* 2038721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038767 */     // MIs[0] round
     /* 2038767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038770 */     // MIs[0] policy
     /* 2038770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038780 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2038783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038806 */     // GIR_Coverage, 15160,
     /* 2038806 */     GIR_EraseRootFromParent_Done,
     /* 2038807 */   // Label 27136: @2038807
     /* 2038807 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2038898), // Rule ID 15163 //
     /* 2038812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038858 */     // MIs[0] round
     /* 2038858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038861 */     // MIs[0] policy
     /* 2038861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038871 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2038874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038897 */     // GIR_Coverage, 15163,
     /* 2038897 */     GIR_EraseRootFromParent_Done,
     /* 2038898 */   // Label 27137: @2038898
     /* 2038898 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2038989), // Rule ID 15164 //
     /* 2038903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038949 */     // MIs[0] round
     /* 2038949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038952 */     // MIs[0] policy
     /* 2038952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2038965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038988 */     // GIR_Coverage, 15164,
     /* 2038988 */     GIR_EraseRootFromParent_Done,
     /* 2038989 */   // Label 27138: @2038989
     /* 2038989 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2039080), // Rule ID 15167 //
     /* 2038994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039040 */     // MIs[0] round
     /* 2039040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039043 */     // MIs[0] policy
     /* 2039043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039053 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039079 */     // GIR_Coverage, 15167,
     /* 2039079 */     GIR_EraseRootFromParent_Done,
     /* 2039080 */   // Label 27139: @2039080
     /* 2039080 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2039171), // Rule ID 15168 //
     /* 2039085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039131 */     // MIs[0] round
     /* 2039131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039134 */     // MIs[0] policy
     /* 2039134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039170 */     // GIR_Coverage, 15168,
     /* 2039170 */     GIR_EraseRootFromParent_Done,
     /* 2039171 */   // Label 27140: @2039171
     /* 2039171 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2039262), // Rule ID 15171 //
     /* 2039176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039222 */     // MIs[0] round
     /* 2039222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039225 */     // MIs[0] policy
     /* 2039225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039261 */     // GIR_Coverage, 15171,
     /* 2039261 */     GIR_EraseRootFromParent_Done,
     /* 2039262 */   // Label 27141: @2039262
     /* 2039262 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2039353), // Rule ID 15172 //
     /* 2039267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039313 */     // MIs[0] round
     /* 2039313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039316 */     // MIs[0] policy
     /* 2039316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2039329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039352 */     // GIR_Coverage, 15172,
     /* 2039352 */     GIR_EraseRootFromParent_Done,
     /* 2039353 */   // Label 27142: @2039353
     /* 2039353 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2039444), // Rule ID 15175 //
     /* 2039358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039404 */     // MIs[0] round
     /* 2039404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039407 */     // MIs[0] policy
     /* 2039407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039443 */     // GIR_Coverage, 15175,
     /* 2039443 */     GIR_EraseRootFromParent_Done,
     /* 2039444 */   // Label 27143: @2039444
     /* 2039444 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2039535), // Rule ID 15176 //
     /* 2039449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039495 */     // MIs[0] round
     /* 2039495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039498 */     // MIs[0] policy
     /* 2039498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039534 */     // GIR_Coverage, 15176,
     /* 2039534 */     GIR_EraseRootFromParent_Done,
     /* 2039535 */   // Label 27144: @2039535
     /* 2039535 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2039626), // Rule ID 15179 //
     /* 2039540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039586 */     // MIs[0] round
     /* 2039586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039589 */     // MIs[0] policy
     /* 2039589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039599 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039625 */     // GIR_Coverage, 15179,
     /* 2039625 */     GIR_EraseRootFromParent_Done,
     /* 2039626 */   // Label 27145: @2039626
     /* 2039626 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2039717), // Rule ID 15180 //
     /* 2039631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039677 */     // MIs[0] round
     /* 2039677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039680 */     // MIs[0] policy
     /* 2039680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2039693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039716 */     // GIR_Coverage, 15180,
     /* 2039716 */     GIR_EraseRootFromParent_Done,
     /* 2039717 */   // Label 27146: @2039717
     /* 2039717 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2039808), // Rule ID 15183 //
     /* 2039722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039768 */     // MIs[0] round
     /* 2039768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039771 */     // MIs[0] policy
     /* 2039771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039781 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039807 */     // GIR_Coverage, 15183,
     /* 2039807 */     GIR_EraseRootFromParent_Done,
     /* 2039808 */   // Label 27147: @2039808
     /* 2039808 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2039899), // Rule ID 15184 //
     /* 2039813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039859 */     // MIs[0] round
     /* 2039859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039862 */     // MIs[0] policy
     /* 2039862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039898 */     // GIR_Coverage, 15184,
     /* 2039898 */     GIR_EraseRootFromParent_Done,
     /* 2039899 */   // Label 27148: @2039899
     /* 2039899 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2039990), // Rule ID 15187 //
     /* 2039904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039950 */     // MIs[0] round
     /* 2039950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039953 */     // MIs[0] policy
     /* 2039953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039989 */     // GIR_Coverage, 15187,
     /* 2039989 */     GIR_EraseRootFromParent_Done,
     /* 2039990 */   // Label 27149: @2039990
     /* 2039990 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2040081), // Rule ID 15188 //
     /* 2039995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2040015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040041 */     // MIs[0] round
     /* 2040041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040044 */     // MIs[0] policy
     /* 2040044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040080 */     // GIR_Coverage, 15188,
     /* 2040080 */     GIR_EraseRootFromParent_Done,
     /* 2040081 */   // Label 27150: @2040081
     /* 2040081 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2040172), // Rule ID 15191 //
     /* 2040086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040132 */     // MIs[0] round
     /* 2040132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040135 */     // MIs[0] policy
     /* 2040135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040145 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040171 */     // GIR_Coverage, 15191,
     /* 2040171 */     GIR_EraseRootFromParent_Done,
     /* 2040172 */   // Label 27151: @2040172
     /* 2040172 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2040263), // Rule ID 15192 //
     /* 2040177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040223 */     // MIs[0] round
     /* 2040223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040226 */     // MIs[0] policy
     /* 2040226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040262 */     // GIR_Coverage, 15192,
     /* 2040262 */     GIR_EraseRootFromParent_Done,
     /* 2040263 */   // Label 27152: @2040263
     /* 2040263 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2040354), // Rule ID 15195 //
     /* 2040268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040314 */     // MIs[0] round
     /* 2040314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040317 */     // MIs[0] policy
     /* 2040317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040353 */     // GIR_Coverage, 15195,
     /* 2040353 */     GIR_EraseRootFromParent_Done,
     /* 2040354 */   // Label 27153: @2040354
     /* 2040354 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2040445), // Rule ID 15196 //
     /* 2040359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040405 */     // MIs[0] round
     /* 2040405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040408 */     // MIs[0] policy
     /* 2040408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2040421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040444 */     // GIR_Coverage, 15196,
     /* 2040444 */     GIR_EraseRootFromParent_Done,
     /* 2040445 */   // Label 27154: @2040445
     /* 2040445 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2040536), // Rule ID 15199 //
     /* 2040450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040496 */     // MIs[0] round
     /* 2040496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040499 */     // MIs[0] policy
     /* 2040499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040509 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040535 */     // GIR_Coverage, 15199,
     /* 2040535 */     GIR_EraseRootFromParent_Done,
     /* 2040536 */   // Label 27155: @2040536
     /* 2040536 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2040627), // Rule ID 15200 //
     /* 2040541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040587 */     // MIs[0] round
     /* 2040587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040590 */     // MIs[0] policy
     /* 2040590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040626 */     // GIR_Coverage, 15200,
     /* 2040626 */     GIR_EraseRootFromParent_Done,
     /* 2040627 */   // Label 27156: @2040627
     /* 2040627 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2040718), // Rule ID 15203 //
     /* 2040632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040678 */     // MIs[0] round
     /* 2040678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040681 */     // MIs[0] policy
     /* 2040681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040691 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040717 */     // GIR_Coverage, 15203,
     /* 2040717 */     GIR_EraseRootFromParent_Done,
     /* 2040718 */   // Label 27157: @2040718
     /* 2040718 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2040809), // Rule ID 15204 //
     /* 2040723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040769 */     // MIs[0] round
     /* 2040769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040772 */     // MIs[0] policy
     /* 2040772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040808 */     // GIR_Coverage, 15204,
     /* 2040808 */     GIR_EraseRootFromParent_Done,
     /* 2040809 */   // Label 27158: @2040809
     /* 2040809 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2040900), // Rule ID 15207 //
     /* 2040814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040860 */     // MIs[0] round
     /* 2040860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040863 */     // MIs[0] policy
     /* 2040863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040873 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040899 */     // GIR_Coverage, 15207,
     /* 2040899 */     GIR_EraseRootFromParent_Done,
     /* 2040900 */   // Label 27159: @2040900
     /* 2040900 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2040991), // Rule ID 15208 //
     /* 2040905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040951 */     // MIs[0] round
     /* 2040951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040954 */     // MIs[0] policy
     /* 2040954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040990 */     // GIR_Coverage, 15208,
     /* 2040990 */     GIR_EraseRootFromParent_Done,
     /* 2040991 */   // Label 27160: @2040991
     /* 2040991 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2041082), // Rule ID 15211 //
     /* 2040996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041042 */     // MIs[0] round
     /* 2041042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041045 */     // MIs[0] policy
     /* 2041045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041081 */     // GIR_Coverage, 15211,
     /* 2041081 */     GIR_EraseRootFromParent_Done,
     /* 2041082 */   // Label 27161: @2041082
     /* 2041082 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2041173), // Rule ID 15212 //
     /* 2041087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041133 */     // MIs[0] round
     /* 2041133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041136 */     // MIs[0] policy
     /* 2041136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041172 */     // GIR_Coverage, 15212,
     /* 2041172 */     GIR_EraseRootFromParent_Done,
     /* 2041173 */   // Label 27162: @2041173
     /* 2041173 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2041264), // Rule ID 15215 //
     /* 2041178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041224 */     // MIs[0] round
     /* 2041224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041227 */     // MIs[0] policy
     /* 2041227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041263 */     // GIR_Coverage, 15215,
     /* 2041263 */     GIR_EraseRootFromParent_Done,
     /* 2041264 */   // Label 27163: @2041264
     /* 2041264 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2041355), // Rule ID 15216 //
     /* 2041269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041315 */     // MIs[0] round
     /* 2041315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041318 */     // MIs[0] policy
     /* 2041318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041354 */     // GIR_Coverage, 15216,
     /* 2041354 */     GIR_EraseRootFromParent_Done,
     /* 2041355 */   // Label 27164: @2041355
     /* 2041355 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2041446), // Rule ID 15219 //
     /* 2041360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041406 */     // MIs[0] round
     /* 2041406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041409 */     // MIs[0] policy
     /* 2041409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041445 */     // GIR_Coverage, 15219,
     /* 2041445 */     GIR_EraseRootFromParent_Done,
     /* 2041446 */   // Label 27165: @2041446
     /* 2041446 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2041537), // Rule ID 15220 //
     /* 2041451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041497 */     // MIs[0] round
     /* 2041497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041500 */     // MIs[0] policy
     /* 2041500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041536 */     // GIR_Coverage, 15220,
     /* 2041536 */     GIR_EraseRootFromParent_Done,
     /* 2041537 */   // Label 27166: @2041537
     /* 2041537 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2041628), // Rule ID 15223 //
     /* 2041542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041588 */     // MIs[0] round
     /* 2041588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041591 */     // MIs[0] policy
     /* 2041591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041627 */     // GIR_Coverage, 15223,
     /* 2041627 */     GIR_EraseRootFromParent_Done,
     /* 2041628 */   // Label 27167: @2041628
     /* 2041628 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2041719), // Rule ID 15224 //
     /* 2041633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041679 */     // MIs[0] round
     /* 2041679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041682 */     // MIs[0] policy
     /* 2041682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041718 */     // GIR_Coverage, 15224,
     /* 2041718 */     GIR_EraseRootFromParent_Done,
     /* 2041719 */   // Label 27168: @2041719
     /* 2041719 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2041810), // Rule ID 15227 //
     /* 2041724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041770 */     // MIs[0] round
     /* 2041770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041773 */     // MIs[0] policy
     /* 2041773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041809 */     // GIR_Coverage, 15227,
     /* 2041809 */     GIR_EraseRootFromParent_Done,
     /* 2041810 */   // Label 27169: @2041810
     /* 2041810 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2041901), // Rule ID 15228 //
     /* 2041815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041861 */     // MIs[0] round
     /* 2041861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041864 */     // MIs[0] policy
     /* 2041864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041900 */     // GIR_Coverage, 15228,
     /* 2041900 */     GIR_EraseRootFromParent_Done,
     /* 2041901 */   // Label 27170: @2041901
     /* 2041901 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2041992), // Rule ID 15231 //
     /* 2041906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2041926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041952 */     // MIs[0] round
     /* 2041952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041955 */     // MIs[0] policy
     /* 2041955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041991 */     // GIR_Coverage, 15231,
     /* 2041991 */     GIR_EraseRootFromParent_Done,
     /* 2041992 */   // Label 27171: @2041992
     /* 2041992 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2042083), // Rule ID 15232 //
     /* 2041997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2042017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042043 */     // MIs[0] round
     /* 2042043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042046 */     // MIs[0] policy
     /* 2042046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042082 */     // GIR_Coverage, 15232,
     /* 2042082 */     GIR_EraseRootFromParent_Done,
     /* 2042083 */   // Label 27172: @2042083
     /* 2042083 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2042174), // Rule ID 15235 //
     /* 2042088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042134 */     // MIs[0] round
     /* 2042134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042137 */     // MIs[0] policy
     /* 2042137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042147 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042173 */     // GIR_Coverage, 15235,
     /* 2042173 */     GIR_EraseRootFromParent_Done,
     /* 2042174 */   // Label 27173: @2042174
     /* 2042174 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2042265), // Rule ID 15236 //
     /* 2042179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042225 */     // MIs[0] round
     /* 2042225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042228 */     // MIs[0] policy
     /* 2042228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2042241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042264 */     // GIR_Coverage, 15236,
     /* 2042264 */     GIR_EraseRootFromParent_Done,
     /* 2042265 */   // Label 27174: @2042265
     /* 2042265 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2042356), // Rule ID 15239 //
     /* 2042270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042316 */     // MIs[0] round
     /* 2042316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042319 */     // MIs[0] policy
     /* 2042319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042329 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042355 */     // GIR_Coverage, 15239,
     /* 2042355 */     GIR_EraseRootFromParent_Done,
     /* 2042356 */   // Label 27175: @2042356
     /* 2042356 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2042447), // Rule ID 15240 //
     /* 2042361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042407 */     // MIs[0] round
     /* 2042407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042410 */     // MIs[0] policy
     /* 2042410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2042423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042446 */     // GIR_Coverage, 15240,
     /* 2042446 */     GIR_EraseRootFromParent_Done,
     /* 2042447 */   // Label 27176: @2042447
     /* 2042447 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2042538), // Rule ID 15243 //
     /* 2042452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042498 */     // MIs[0] round
     /* 2042498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042501 */     // MIs[0] policy
     /* 2042501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042537 */     // GIR_Coverage, 15243,
     /* 2042537 */     GIR_EraseRootFromParent_Done,
     /* 2042538 */   // Label 27177: @2042538
     /* 2042538 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2042629), // Rule ID 15244 //
     /* 2042543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042589 */     // MIs[0] round
     /* 2042589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042592 */     // MIs[0] policy
     /* 2042592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2042605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042628 */     // GIR_Coverage, 15244,
     /* 2042628 */     GIR_EraseRootFromParent_Done,
     /* 2042629 */   // Label 27178: @2042629
     /* 2042629 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2042720), // Rule ID 15247 //
     /* 2042634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042680 */     // MIs[0] round
     /* 2042680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042683 */     // MIs[0] policy
     /* 2042683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2042696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042719 */     // GIR_Coverage, 15247,
     /* 2042719 */     GIR_EraseRootFromParent_Done,
     /* 2042720 */   // Label 27179: @2042720
     /* 2042720 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2042811), // Rule ID 15248 //
     /* 2042725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042771 */     // MIs[0] round
     /* 2042771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042774 */     // MIs[0] policy
     /* 2042774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2042787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042810 */     // GIR_Coverage, 15248,
     /* 2042810 */     GIR_EraseRootFromParent_Done,
     /* 2042811 */   // Label 27180: @2042811
     /* 2042811 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2042902), // Rule ID 15251 //
     /* 2042816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042862 */     // MIs[0] round
     /* 2042862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042865 */     // MIs[0] policy
     /* 2042865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042875 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2042878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042901 */     // GIR_Coverage, 15251,
     /* 2042901 */     GIR_EraseRootFromParent_Done,
     /* 2042902 */   // Label 27181: @2042902
     /* 2042902 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2042993), // Rule ID 15252 //
     /* 2042907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042953 */     // MIs[0] round
     /* 2042953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042956 */     // MIs[0] policy
     /* 2042956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2042969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042992 */     // GIR_Coverage, 15252,
     /* 2042992 */     GIR_EraseRootFromParent_Done,
     /* 2042993 */   // Label 27182: @2042993
     /* 2042993 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2043084), // Rule ID 15255 //
     /* 2042998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043044 */     // MIs[0] round
     /* 2043044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043047 */     // MIs[0] policy
     /* 2043047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043057 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043083 */     // GIR_Coverage, 15255,
     /* 2043083 */     GIR_EraseRootFromParent_Done,
     /* 2043084 */   // Label 27183: @2043084
     /* 2043084 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2043175), // Rule ID 15256 //
     /* 2043089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043135 */     // MIs[0] round
     /* 2043135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043138 */     // MIs[0] policy
     /* 2043138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043174 */     // GIR_Coverage, 15256,
     /* 2043174 */     GIR_EraseRootFromParent_Done,
     /* 2043175 */   // Label 27184: @2043175
     /* 2043175 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2043266), // Rule ID 15259 //
     /* 2043180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043226 */     // MIs[0] round
     /* 2043226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043229 */     // MIs[0] policy
     /* 2043229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043265 */     // GIR_Coverage, 15259,
     /* 2043265 */     GIR_EraseRootFromParent_Done,
     /* 2043266 */   // Label 27185: @2043266
     /* 2043266 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2043357), // Rule ID 15260 //
     /* 2043271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043317 */     // MIs[0] round
     /* 2043317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043320 */     // MIs[0] policy
     /* 2043320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2043333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043356 */     // GIR_Coverage, 15260,
     /* 2043356 */     GIR_EraseRootFromParent_Done,
     /* 2043357 */   // Label 27186: @2043357
     /* 2043357 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2043448), // Rule ID 15263 //
     /* 2043362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043408 */     // MIs[0] round
     /* 2043408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043411 */     // MIs[0] policy
     /* 2043411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043447 */     // GIR_Coverage, 15263,
     /* 2043447 */     GIR_EraseRootFromParent_Done,
     /* 2043448 */   // Label 27187: @2043448
     /* 2043448 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2043539), // Rule ID 15264 //
     /* 2043453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043499 */     // MIs[0] round
     /* 2043499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043502 */     // MIs[0] policy
     /* 2043502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043538 */     // GIR_Coverage, 15264,
     /* 2043538 */     GIR_EraseRootFromParent_Done,
     /* 2043539 */   // Label 27188: @2043539
     /* 2043539 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2043630), // Rule ID 15267 //
     /* 2043544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043590 */     // MIs[0] round
     /* 2043590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043593 */     // MIs[0] policy
     /* 2043593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043629 */     // GIR_Coverage, 15267,
     /* 2043629 */     GIR_EraseRootFromParent_Done,
     /* 2043630 */   // Label 27189: @2043630
     /* 2043630 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2043721), // Rule ID 15268 //
     /* 2043635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043681 */     // MIs[0] round
     /* 2043681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043684 */     // MIs[0] policy
     /* 2043684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2043697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043720 */     // GIR_Coverage, 15268,
     /* 2043720 */     GIR_EraseRootFromParent_Done,
     /* 2043721 */   // Label 27190: @2043721
     /* 2043721 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2043812), // Rule ID 15271 //
     /* 2043726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043772 */     // MIs[0] round
     /* 2043772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043775 */     // MIs[0] policy
     /* 2043775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043811 */     // GIR_Coverage, 15271,
     /* 2043811 */     GIR_EraseRootFromParent_Done,
     /* 2043812 */   // Label 27191: @2043812
     /* 2043812 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2043903), // Rule ID 15272 //
     /* 2043817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043863 */     // MIs[0] round
     /* 2043863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043866 */     // MIs[0] policy
     /* 2043866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043902 */     // GIR_Coverage, 15272,
     /* 2043902 */     GIR_EraseRootFromParent_Done,
     /* 2043903 */   // Label 27192: @2043903
     /* 2043903 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2043994), // Rule ID 15275 //
     /* 2043908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043954 */     // MIs[0] round
     /* 2043954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043957 */     // MIs[0] policy
     /* 2043957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043993 */     // GIR_Coverage, 15275,
     /* 2043993 */     GIR_EraseRootFromParent_Done,
     /* 2043994 */   // Label 27193: @2043994
     /* 2043994 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2044085), // Rule ID 15276 //
     /* 2043999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044045 */     // MIs[0] round
     /* 2044045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044048 */     // MIs[0] policy
     /* 2044048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044084 */     // GIR_Coverage, 15276,
     /* 2044084 */     GIR_EraseRootFromParent_Done,
     /* 2044085 */   // Label 27194: @2044085
     /* 2044085 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2044176), // Rule ID 15279 //
     /* 2044090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044136 */     // MIs[0] round
     /* 2044136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044139 */     // MIs[0] policy
     /* 2044139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044175 */     // GIR_Coverage, 15279,
     /* 2044175 */     GIR_EraseRootFromParent_Done,
     /* 2044176 */   // Label 27195: @2044176
     /* 2044176 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2044267), // Rule ID 15280 //
     /* 2044181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044227 */     // MIs[0] round
     /* 2044227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044230 */     // MIs[0] policy
     /* 2044230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044266 */     // GIR_Coverage, 15280,
     /* 2044266 */     GIR_EraseRootFromParent_Done,
     /* 2044267 */   // Label 27196: @2044267
     /* 2044267 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2044358), // Rule ID 15283 //
     /* 2044272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044318 */     // MIs[0] round
     /* 2044318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044321 */     // MIs[0] policy
     /* 2044321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044357 */     // GIR_Coverage, 15283,
     /* 2044357 */     GIR_EraseRootFromParent_Done,
     /* 2044358 */   // Label 27197: @2044358
     /* 2044358 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2044449), // Rule ID 15284 //
     /* 2044363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044409 */     // MIs[0] round
     /* 2044409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044412 */     // MIs[0] policy
     /* 2044412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2044425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044448 */     // GIR_Coverage, 15284,
     /* 2044448 */     GIR_EraseRootFromParent_Done,
     /* 2044449 */   // Label 27198: @2044449
     /* 2044449 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2044540), // Rule ID 15287 //
     /* 2044454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044500 */     // MIs[0] round
     /* 2044500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044503 */     // MIs[0] policy
     /* 2044503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044513 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044539 */     // GIR_Coverage, 15287,
     /* 2044539 */     GIR_EraseRootFromParent_Done,
     /* 2044540 */   // Label 27199: @2044540
     /* 2044540 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2044631), // Rule ID 15288 //
     /* 2044545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044591 */     // MIs[0] round
     /* 2044591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044594 */     // MIs[0] policy
     /* 2044594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044630 */     // GIR_Coverage, 15288,
     /* 2044630 */     GIR_EraseRootFromParent_Done,
     /* 2044631 */   // Label 27200: @2044631
     /* 2044631 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2044722), // Rule ID 15291 //
     /* 2044636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044682 */     // MIs[0] round
     /* 2044682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044685 */     // MIs[0] policy
     /* 2044685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044721 */     // GIR_Coverage, 15291,
     /* 2044721 */     GIR_EraseRootFromParent_Done,
     /* 2044722 */   // Label 27201: @2044722
     /* 2044722 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2044813), // Rule ID 15292 //
     /* 2044727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044773 */     // MIs[0] round
     /* 2044773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044776 */     // MIs[0] policy
     /* 2044776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044812 */     // GIR_Coverage, 15292,
     /* 2044812 */     GIR_EraseRootFromParent_Done,
     /* 2044813 */   // Label 27202: @2044813
     /* 2044813 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2044904), // Rule ID 15295 //
     /* 2044818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044864 */     // MIs[0] round
     /* 2044864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044867 */     // MIs[0] policy
     /* 2044867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044903 */     // GIR_Coverage, 15295,
     /* 2044903 */     GIR_EraseRootFromParent_Done,
     /* 2044904 */   // Label 27203: @2044904
     /* 2044904 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2044995), // Rule ID 15296 //
     /* 2044909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044955 */     // MIs[0] round
     /* 2044955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044958 */     // MIs[0] policy
     /* 2044958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044994 */     // GIR_Coverage, 15296,
     /* 2044994 */     GIR_EraseRootFromParent_Done,
     /* 2044995 */   // Label 27204: @2044995
     /* 2044995 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2045086), // Rule ID 15299 //
     /* 2045000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045046 */     // MIs[0] round
     /* 2045046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045049 */     // MIs[0] policy
     /* 2045049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045085 */     // GIR_Coverage, 15299,
     /* 2045085 */     GIR_EraseRootFromParent_Done,
     /* 2045086 */   // Label 27205: @2045086
     /* 2045086 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2045177), // Rule ID 15300 //
     /* 2045091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045137 */     // MIs[0] round
     /* 2045137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045140 */     // MIs[0] policy
     /* 2045140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045176 */     // GIR_Coverage, 15300,
     /* 2045176 */     GIR_EraseRootFromParent_Done,
     /* 2045177 */   // Label 27206: @2045177
     /* 2045177 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2045268), // Rule ID 15303 //
     /* 2045182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045228 */     // MIs[0] round
     /* 2045228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045231 */     // MIs[0] policy
     /* 2045231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045241 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045267 */     // GIR_Coverage, 15303,
     /* 2045267 */     GIR_EraseRootFromParent_Done,
     /* 2045268 */   // Label 27207: @2045268
     /* 2045268 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2045359), // Rule ID 15304 //
     /* 2045273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045319 */     // MIs[0] round
     /* 2045319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045322 */     // MIs[0] policy
     /* 2045322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045358 */     // GIR_Coverage, 15304,
     /* 2045358 */     GIR_EraseRootFromParent_Done,
     /* 2045359 */   // Label 27208: @2045359
     /* 2045359 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2045450), // Rule ID 15307 //
     /* 2045364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045410 */     // MIs[0] round
     /* 2045410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045413 */     // MIs[0] policy
     /* 2045413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045449 */     // GIR_Coverage, 15307,
     /* 2045449 */     GIR_EraseRootFromParent_Done,
     /* 2045450 */   // Label 27209: @2045450
     /* 2045450 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2045541), // Rule ID 15308 //
     /* 2045455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045501 */     // MIs[0] round
     /* 2045501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045504 */     // MIs[0] policy
     /* 2045504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045540 */     // GIR_Coverage, 15308,
     /* 2045540 */     GIR_EraseRootFromParent_Done,
     /* 2045541 */   // Label 27210: @2045541
     /* 2045541 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2045632), // Rule ID 15311 //
     /* 2045546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045592 */     // MIs[0] round
     /* 2045592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045595 */     // MIs[0] policy
     /* 2045595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045631 */     // GIR_Coverage, 15311,
     /* 2045631 */     GIR_EraseRootFromParent_Done,
     /* 2045632 */   // Label 27211: @2045632
     /* 2045632 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2045723), // Rule ID 15312 //
     /* 2045637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045683 */     // MIs[0] round
     /* 2045683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045686 */     // MIs[0] policy
     /* 2045686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045722 */     // GIR_Coverage, 15312,
     /* 2045722 */     GIR_EraseRootFromParent_Done,
     /* 2045723 */   // Label 27212: @2045723
     /* 2045723 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2045814), // Rule ID 15315 //
     /* 2045728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045774 */     // MIs[0] round
     /* 2045774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045777 */     // MIs[0] policy
     /* 2045777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045813 */     // GIR_Coverage, 15315,
     /* 2045813 */     GIR_EraseRootFromParent_Done,
     /* 2045814 */   // Label 27213: @2045814
     /* 2045814 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2045905), // Rule ID 15316 //
     /* 2045819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045865 */     // MIs[0] round
     /* 2045865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045868 */     // MIs[0] policy
     /* 2045868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045904 */     // GIR_Coverage, 15316,
     /* 2045904 */     GIR_EraseRootFromParent_Done,
     /* 2045905 */   // Label 27214: @2045905
     /* 2045905 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2045996), // Rule ID 15319 //
     /* 2045910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045956 */     // MIs[0] round
     /* 2045956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045959 */     // MIs[0] policy
     /* 2045959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045995 */     // GIR_Coverage, 15319,
     /* 2045995 */     GIR_EraseRootFromParent_Done,
     /* 2045996 */   // Label 27215: @2045996
     /* 2045996 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2046087), // Rule ID 15320 //
     /* 2046001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046047 */     // MIs[0] round
     /* 2046047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046050 */     // MIs[0] policy
     /* 2046050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046086 */     // GIR_Coverage, 15320,
     /* 2046086 */     GIR_EraseRootFromParent_Done,
     /* 2046087 */   // Label 27216: @2046087
     /* 2046087 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2046178), // Rule ID 15323 //
     /* 2046092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046138 */     // MIs[0] round
     /* 2046138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046141 */     // MIs[0] policy
     /* 2046141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046177 */     // GIR_Coverage, 15323,
     /* 2046177 */     GIR_EraseRootFromParent_Done,
     /* 2046178 */   // Label 27217: @2046178
     /* 2046178 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2046269), // Rule ID 15324 //
     /* 2046183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046229 */     // MIs[0] round
     /* 2046229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046232 */     // MIs[0] policy
     /* 2046232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2046245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046268 */     // GIR_Coverage, 15324,
     /* 2046268 */     GIR_EraseRootFromParent_Done,
     /* 2046269 */   // Label 27218: @2046269
     /* 2046269 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2046360), // Rule ID 15327 //
     /* 2046274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046320 */     // MIs[0] round
     /* 2046320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046323 */     // MIs[0] policy
     /* 2046323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046333 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046359 */     // GIR_Coverage, 15327,
     /* 2046359 */     GIR_EraseRootFromParent_Done,
     /* 2046360 */   // Label 27219: @2046360
     /* 2046360 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2046451), // Rule ID 15328 //
     /* 2046365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046411 */     // MIs[0] round
     /* 2046411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046414 */     // MIs[0] policy
     /* 2046414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2046427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046450 */     // GIR_Coverage, 15328,
     /* 2046450 */     GIR_EraseRootFromParent_Done,
     /* 2046451 */   // Label 27220: @2046451
     /* 2046451 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2046542), // Rule ID 15331 //
     /* 2046456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046502 */     // MIs[0] round
     /* 2046502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046505 */     // MIs[0] policy
     /* 2046505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046541 */     // GIR_Coverage, 15331,
     /* 2046541 */     GIR_EraseRootFromParent_Done,
     /* 2046542 */   // Label 27221: @2046542
     /* 2046542 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2046633), // Rule ID 15332 //
     /* 2046547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046593 */     // MIs[0] round
     /* 2046593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046596 */     // MIs[0] policy
     /* 2046596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2046609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046632 */     // GIR_Coverage, 15332,
     /* 2046632 */     GIR_EraseRootFromParent_Done,
     /* 2046633 */   // Label 27222: @2046633
     /* 2046633 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2046724), // Rule ID 15335 //
     /* 2046638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046684 */     // MIs[0] round
     /* 2046684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046687 */     // MIs[0] policy
     /* 2046687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2046700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046723 */     // GIR_Coverage, 15335,
     /* 2046723 */     GIR_EraseRootFromParent_Done,
     /* 2046724 */   // Label 27223: @2046724
     /* 2046724 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2046815), // Rule ID 15336 //
     /* 2046729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046775 */     // MIs[0] round
     /* 2046775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046778 */     // MIs[0] policy
     /* 2046778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2046791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046814 */     // GIR_Coverage, 15336,
     /* 2046814 */     GIR_EraseRootFromParent_Done,
     /* 2046815 */   // Label 27224: @2046815
     /* 2046815 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2046906), // Rule ID 15339 //
     /* 2046820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046866 */     // MIs[0] round
     /* 2046866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046869 */     // MIs[0] policy
     /* 2046869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046879 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2046882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046905 */     // GIR_Coverage, 15339,
     /* 2046905 */     GIR_EraseRootFromParent_Done,
     /* 2046906 */   // Label 27225: @2046906
     /* 2046906 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2046997), // Rule ID 15340 //
     /* 2046911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046957 */     // MIs[0] round
     /* 2046957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046960 */     // MIs[0] policy
     /* 2046960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2046973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046996 */     // GIR_Coverage, 15340,
     /* 2046996 */     GIR_EraseRootFromParent_Done,
     /* 2046997 */   // Label 27226: @2046997
     /* 2046997 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2047088), // Rule ID 15343 //
     /* 2047002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047048 */     // MIs[0] round
     /* 2047048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047051 */     // MIs[0] policy
     /* 2047051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047061 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047087 */     // GIR_Coverage, 15343,
     /* 2047087 */     GIR_EraseRootFromParent_Done,
     /* 2047088 */   // Label 27227: @2047088
     /* 2047088 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2047179), // Rule ID 15344 //
     /* 2047093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047139 */     // MIs[0] round
     /* 2047139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047142 */     // MIs[0] policy
     /* 2047142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047152 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047178 */     // GIR_Coverage, 15344,
     /* 2047178 */     GIR_EraseRootFromParent_Done,
     /* 2047179 */   // Label 27228: @2047179
     /* 2047179 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2047270), // Rule ID 15347 //
     /* 2047184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047230 */     // MIs[0] round
     /* 2047230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047233 */     // MIs[0] policy
     /* 2047233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047269 */     // GIR_Coverage, 15347,
     /* 2047269 */     GIR_EraseRootFromParent_Done,
     /* 2047270 */   // Label 27229: @2047270
     /* 2047270 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2047361), // Rule ID 15348 //
     /* 2047275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047321 */     // MIs[0] round
     /* 2047321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047324 */     // MIs[0] policy
     /* 2047324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2047337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047360 */     // GIR_Coverage, 15348,
     /* 2047360 */     GIR_EraseRootFromParent_Done,
     /* 2047361 */   // Label 27230: @2047361
     /* 2047361 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2047452), // Rule ID 15351 //
     /* 2047366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047412 */     // MIs[0] round
     /* 2047412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047415 */     // MIs[0] policy
     /* 2047415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047451 */     // GIR_Coverage, 15351,
     /* 2047451 */     GIR_EraseRootFromParent_Done,
     /* 2047452 */   // Label 27231: @2047452
     /* 2047452 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2047543), // Rule ID 15352 //
     /* 2047457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047503 */     // MIs[0] round
     /* 2047503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047506 */     // MIs[0] policy
     /* 2047506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047542 */     // GIR_Coverage, 15352,
     /* 2047542 */     GIR_EraseRootFromParent_Done,
     /* 2047543 */   // Label 27232: @2047543
     /* 2047543 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2047634), // Rule ID 15355 //
     /* 2047548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047594 */     // MIs[0] round
     /* 2047594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047597 */     // MIs[0] policy
     /* 2047597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047633 */     // GIR_Coverage, 15355,
     /* 2047633 */     GIR_EraseRootFromParent_Done,
     /* 2047634 */   // Label 27233: @2047634
     /* 2047634 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2047725), // Rule ID 15356 //
     /* 2047639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047685 */     // MIs[0] round
     /* 2047685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047688 */     // MIs[0] policy
     /* 2047688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2047701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047724 */     // GIR_Coverage, 15356,
     /* 2047724 */     GIR_EraseRootFromParent_Done,
     /* 2047725 */   // Label 27234: @2047725
     /* 2047725 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2047816), // Rule ID 15359 //
     /* 2047730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047776 */     // MIs[0] round
     /* 2047776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047779 */     // MIs[0] policy
     /* 2047779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047815 */     // GIR_Coverage, 15359,
     /* 2047815 */     GIR_EraseRootFromParent_Done,
     /* 2047816 */   // Label 27235: @2047816
     /* 2047816 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2047907), // Rule ID 15360 //
     /* 2047821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047867 */     // MIs[0] round
     /* 2047867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047870 */     // MIs[0] policy
     /* 2047870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047906 */     // GIR_Coverage, 15360,
     /* 2047906 */     GIR_EraseRootFromParent_Done,
     /* 2047907 */   // Label 27236: @2047907
     /* 2047907 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2047998), // Rule ID 15363 //
     /* 2047912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2047932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047958 */     // MIs[0] round
     /* 2047958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047961 */     // MIs[0] policy
     /* 2047961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047971 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047997 */     // GIR_Coverage, 15363,
     /* 2047997 */     GIR_EraseRootFromParent_Done,
     /* 2047998 */   // Label 27237: @2047998
     /* 2047998 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2048089), // Rule ID 15364 //
     /* 2048003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048049 */     // MIs[0] round
     /* 2048049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048052 */     // MIs[0] policy
     /* 2048052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048088 */     // GIR_Coverage, 15364,
     /* 2048088 */     GIR_EraseRootFromParent_Done,
     /* 2048089 */   // Label 27238: @2048089
     /* 2048089 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2048180), // Rule ID 15367 //
     /* 2048094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048140 */     // MIs[0] round
     /* 2048140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048143 */     // MIs[0] policy
     /* 2048143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048179 */     // GIR_Coverage, 15367,
     /* 2048179 */     GIR_EraseRootFromParent_Done,
     /* 2048180 */   // Label 27239: @2048180
     /* 2048180 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2048271), // Rule ID 15368 //
     /* 2048185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048231 */     // MIs[0] round
     /* 2048231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048234 */     // MIs[0] policy
     /* 2048234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048270 */     // GIR_Coverage, 15368,
     /* 2048270 */     GIR_EraseRootFromParent_Done,
     /* 2048271 */   // Label 27240: @2048271
     /* 2048271 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2048362), // Rule ID 15371 //
     /* 2048276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048322 */     // MIs[0] round
     /* 2048322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048325 */     // MIs[0] policy
     /* 2048325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048335 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048361 */     // GIR_Coverage, 15371,
     /* 2048361 */     GIR_EraseRootFromParent_Done,
     /* 2048362 */   // Label 27241: @2048362
     /* 2048362 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2048453), // Rule ID 15372 //
     /* 2048367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048413 */     // MIs[0] round
     /* 2048413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048416 */     // MIs[0] policy
     /* 2048416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2048429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048452 */     // GIR_Coverage, 15372,
     /* 2048452 */     GIR_EraseRootFromParent_Done,
     /* 2048453 */   // Label 27242: @2048453
     /* 2048453 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2048544), // Rule ID 15375 //
     /* 2048458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048504 */     // MIs[0] round
     /* 2048504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048507 */     // MIs[0] policy
     /* 2048507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048543 */     // GIR_Coverage, 15375,
     /* 2048543 */     GIR_EraseRootFromParent_Done,
     /* 2048544 */   // Label 27243: @2048544
     /* 2048544 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2048635), // Rule ID 15376 //
     /* 2048549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048595 */     // MIs[0] round
     /* 2048595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048598 */     // MIs[0] policy
     /* 2048598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048634 */     // GIR_Coverage, 15376,
     /* 2048634 */     GIR_EraseRootFromParent_Done,
     /* 2048635 */   // Label 27244: @2048635
     /* 2048635 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2048726), // Rule ID 15379 //
     /* 2048640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048686 */     // MIs[0] round
     /* 2048686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048689 */     // MIs[0] policy
     /* 2048689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048725 */     // GIR_Coverage, 15379,
     /* 2048725 */     GIR_EraseRootFromParent_Done,
     /* 2048726 */   // Label 27245: @2048726
     /* 2048726 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2048817), // Rule ID 15380 //
     /* 2048731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048777 */     // MIs[0] round
     /* 2048777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048780 */     // MIs[0] policy
     /* 2048780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048816 */     // GIR_Coverage, 15380,
     /* 2048816 */     GIR_EraseRootFromParent_Done,
     /* 2048817 */   // Label 27246: @2048817
     /* 2048817 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2048908), // Rule ID 15383 //
     /* 2048822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048868 */     // MIs[0] round
     /* 2048868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048871 */     // MIs[0] policy
     /* 2048871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048881 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048907 */     // GIR_Coverage, 15383,
     /* 2048907 */     GIR_EraseRootFromParent_Done,
     /* 2048908 */   // Label 27247: @2048908
     /* 2048908 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2048999), // Rule ID 15384 //
     /* 2048913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048959 */     // MIs[0] round
     /* 2048959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048962 */     // MIs[0] policy
     /* 2048962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048998 */     // GIR_Coverage, 15384,
     /* 2048998 */     GIR_EraseRootFromParent_Done,
     /* 2048999 */   // Label 27248: @2048999
     /* 2048999 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2049090), // Rule ID 15387 //
     /* 2049004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049050 */     // MIs[0] round
     /* 2049050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049053 */     // MIs[0] policy
     /* 2049053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049089 */     // GIR_Coverage, 15387,
     /* 2049089 */     GIR_EraseRootFromParent_Done,
     /* 2049090 */   // Label 27249: @2049090
     /* 2049090 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2049181), // Rule ID 15388 //
     /* 2049095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049141 */     // MIs[0] round
     /* 2049141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049144 */     // MIs[0] policy
     /* 2049144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049180 */     // GIR_Coverage, 15388,
     /* 2049180 */     GIR_EraseRootFromParent_Done,
     /* 2049181 */   // Label 27250: @2049181
     /* 2049181 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2049272), // Rule ID 15391 //
     /* 2049186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049232 */     // MIs[0] round
     /* 2049232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049235 */     // MIs[0] policy
     /* 2049235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049271 */     // GIR_Coverage, 15391,
     /* 2049271 */     GIR_EraseRootFromParent_Done,
     /* 2049272 */   // Label 27251: @2049272
     /* 2049272 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2049363), // Rule ID 15392 //
     /* 2049277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049323 */     // MIs[0] round
     /* 2049323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049326 */     // MIs[0] policy
     /* 2049326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049362 */     // GIR_Coverage, 15392,
     /* 2049362 */     GIR_EraseRootFromParent_Done,
     /* 2049363 */   // Label 27252: @2049363
     /* 2049363 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2049454), // Rule ID 15395 //
     /* 2049368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049414 */     // MIs[0] round
     /* 2049414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049417 */     // MIs[0] policy
     /* 2049417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049453 */     // GIR_Coverage, 15395,
     /* 2049453 */     GIR_EraseRootFromParent_Done,
     /* 2049454 */   // Label 27253: @2049454
     /* 2049454 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2049545), // Rule ID 15396 //
     /* 2049459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049505 */     // MIs[0] round
     /* 2049505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049508 */     // MIs[0] policy
     /* 2049508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049544 */     // GIR_Coverage, 15396,
     /* 2049544 */     GIR_EraseRootFromParent_Done,
     /* 2049545 */   // Label 27254: @2049545
     /* 2049545 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2049636), // Rule ID 15399 //
     /* 2049550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049596 */     // MIs[0] round
     /* 2049596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049599 */     // MIs[0] policy
     /* 2049599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049635 */     // GIR_Coverage, 15399,
     /* 2049635 */     GIR_EraseRootFromParent_Done,
     /* 2049636 */   // Label 27255: @2049636
     /* 2049636 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2049727), // Rule ID 15400 //
     /* 2049641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049687 */     // MIs[0] round
     /* 2049687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049690 */     // MIs[0] policy
     /* 2049690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049726 */     // GIR_Coverage, 15400,
     /* 2049726 */     GIR_EraseRootFromParent_Done,
     /* 2049727 */   // Label 27256: @2049727
     /* 2049727 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2049818), // Rule ID 15403 //
     /* 2049732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049778 */     // MIs[0] round
     /* 2049778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049781 */     // MIs[0] policy
     /* 2049781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049817 */     // GIR_Coverage, 15403,
     /* 2049817 */     GIR_EraseRootFromParent_Done,
     /* 2049818 */   // Label 27257: @2049818
     /* 2049818 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2049909), // Rule ID 15404 //
     /* 2049823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049869 */     // MIs[0] round
     /* 2049869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049872 */     // MIs[0] policy
     /* 2049872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049908 */     // GIR_Coverage, 15404,
     /* 2049908 */     GIR_EraseRootFromParent_Done,
     /* 2049909 */   // Label 27258: @2049909
     /* 2049909 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050000), // Rule ID 15407 //
     /* 2049914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2049928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2049931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2049934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049960 */     // MIs[0] round
     /* 2049960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049963 */     // MIs[0] policy
     /* 2049963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049999 */     // GIR_Coverage, 15407,
     /* 2049999 */     GIR_EraseRootFromParent_Done,
     /* 2050000 */   // Label 27259: @2050000
     /* 2050000 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2050091), // Rule ID 15408 //
     /* 2050005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050051 */     // MIs[0] round
     /* 2050051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050054 */     // MIs[0] policy
     /* 2050054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050090 */     // GIR_Coverage, 15408,
     /* 2050090 */     GIR_EraseRootFromParent_Done,
     /* 2050091 */   // Label 27260: @2050091
     /* 2050091 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2050182), // Rule ID 15411 //
     /* 2050096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050142 */     // MIs[0] round
     /* 2050142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050145 */     // MIs[0] policy
     /* 2050145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050181 */     // GIR_Coverage, 15411,
     /* 2050181 */     GIR_EraseRootFromParent_Done,
     /* 2050182 */   // Label 27261: @2050182
     /* 2050182 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2050273), // Rule ID 15412 //
     /* 2050187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050233 */     // MIs[0] round
     /* 2050233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050236 */     // MIs[0] policy
     /* 2050236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2050249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050272 */     // GIR_Coverage, 15412,
     /* 2050272 */     GIR_EraseRootFromParent_Done,
     /* 2050273 */   // Label 27262: @2050273
     /* 2050273 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2050364), // Rule ID 15415 //
     /* 2050278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050324 */     // MIs[0] round
     /* 2050324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050327 */     // MIs[0] policy
     /* 2050327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050337 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050363 */     // GIR_Coverage, 15415,
     /* 2050363 */     GIR_EraseRootFromParent_Done,
     /* 2050364 */   // Label 27263: @2050364
     /* 2050364 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2050455), // Rule ID 15416 //
     /* 2050369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050415 */     // MIs[0] round
     /* 2050415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050418 */     // MIs[0] policy
     /* 2050418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2050431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050454 */     // GIR_Coverage, 15416,
     /* 2050454 */     GIR_EraseRootFromParent_Done,
     /* 2050455 */   // Label 27264: @2050455
     /* 2050455 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2050546), // Rule ID 15419 //
     /* 2050460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050506 */     // MIs[0] round
     /* 2050506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050509 */     // MIs[0] policy
     /* 2050509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050545 */     // GIR_Coverage, 15419,
     /* 2050545 */     GIR_EraseRootFromParent_Done,
     /* 2050546 */   // Label 27265: @2050546
     /* 2050546 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2050637), // Rule ID 15420 //
     /* 2050551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050597 */     // MIs[0] round
     /* 2050597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050600 */     // MIs[0] policy
     /* 2050600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2050613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050636 */     // GIR_Coverage, 15420,
     /* 2050636 */     GIR_EraseRootFromParent_Done,
     /* 2050637 */   // Label 27266: @2050637
     /* 2050637 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2050728), // Rule ID 15423 //
     /* 2050642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050688 */     // MIs[0] round
     /* 2050688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050691 */     // MIs[0] policy
     /* 2050691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050701 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2050704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050727 */     // GIR_Coverage, 15423,
     /* 2050727 */     GIR_EraseRootFromParent_Done,
     /* 2050728 */   // Label 27267: @2050728
     /* 2050728 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2050819), // Rule ID 15424 //
     /* 2050733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050779 */     // MIs[0] round
     /* 2050779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050782 */     // MIs[0] policy
     /* 2050782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2050795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050818 */     // GIR_Coverage, 15424,
     /* 2050818 */     GIR_EraseRootFromParent_Done,
     /* 2050819 */   // Label 27268: @2050819
     /* 2050819 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2050910), // Rule ID 15427 //
     /* 2050824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050870 */     // MIs[0] round
     /* 2050870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050873 */     // MIs[0] policy
     /* 2050873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2050886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050909 */     // GIR_Coverage, 15427,
     /* 2050909 */     GIR_EraseRootFromParent_Done,
     /* 2050910 */   // Label 27269: @2050910
     /* 2050910 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051001), // Rule ID 15428 //
     /* 2050915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050961 */     // MIs[0] round
     /* 2050961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050964 */     // MIs[0] policy
     /* 2050964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2050977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051000 */     // GIR_Coverage, 15428,
     /* 2051000 */     GIR_EraseRootFromParent_Done,
     /* 2051001 */   // Label 27270: @2051001
     /* 2051001 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2051092), // Rule ID 15431 //
     /* 2051006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051052 */     // MIs[0] round
     /* 2051052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051055 */     // MIs[0] policy
     /* 2051055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051065 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051091 */     // GIR_Coverage, 15431,
     /* 2051091 */     GIR_EraseRootFromParent_Done,
     /* 2051092 */   // Label 27271: @2051092
     /* 2051092 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2051183), // Rule ID 15432 //
     /* 2051097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051143 */     // MIs[0] round
     /* 2051143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051146 */     // MIs[0] policy
     /* 2051146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051182 */     // GIR_Coverage, 15432,
     /* 2051182 */     GIR_EraseRootFromParent_Done,
     /* 2051183 */   // Label 27272: @2051183
     /* 2051183 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2051274), // Rule ID 15435 //
     /* 2051188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051234 */     // MIs[0] round
     /* 2051234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051237 */     // MIs[0] policy
     /* 2051237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051273 */     // GIR_Coverage, 15435,
     /* 2051273 */     GIR_EraseRootFromParent_Done,
     /* 2051274 */   // Label 27273: @2051274
     /* 2051274 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2051365), // Rule ID 15436 //
     /* 2051279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051325 */     // MIs[0] round
     /* 2051325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051328 */     // MIs[0] policy
     /* 2051328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2051341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051364 */     // GIR_Coverage, 15436,
     /* 2051364 */     GIR_EraseRootFromParent_Done,
     /* 2051365 */   // Label 27274: @2051365
     /* 2051365 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2051456), // Rule ID 15439 //
     /* 2051370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051416 */     // MIs[0] round
     /* 2051416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051419 */     // MIs[0] policy
     /* 2051419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051455 */     // GIR_Coverage, 15439,
     /* 2051455 */     GIR_EraseRootFromParent_Done,
     /* 2051456 */   // Label 27275: @2051456
     /* 2051456 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2051547), // Rule ID 15440 //
     /* 2051461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051507 */     // MIs[0] round
     /* 2051507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051510 */     // MIs[0] policy
     /* 2051510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051546 */     // GIR_Coverage, 15440,
     /* 2051546 */     GIR_EraseRootFromParent_Done,
     /* 2051547 */   // Label 27276: @2051547
     /* 2051547 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2051638), // Rule ID 15443 //
     /* 2051552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051598 */     // MIs[0] round
     /* 2051598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051601 */     // MIs[0] policy
     /* 2051601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051637 */     // GIR_Coverage, 15443,
     /* 2051637 */     GIR_EraseRootFromParent_Done,
     /* 2051638 */   // Label 27277: @2051638
     /* 2051638 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2051729), // Rule ID 15444 //
     /* 2051643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051689 */     // MIs[0] round
     /* 2051689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051692 */     // MIs[0] policy
     /* 2051692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2051705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051728 */     // GIR_Coverage, 15444,
     /* 2051728 */     GIR_EraseRootFromParent_Done,
     /* 2051729 */   // Label 27278: @2051729
     /* 2051729 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2051820), // Rule ID 15447 //
     /* 2051734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051780 */     // MIs[0] round
     /* 2051780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051783 */     // MIs[0] policy
     /* 2051783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051793 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051819 */     // GIR_Coverage, 15447,
     /* 2051819 */     GIR_EraseRootFromParent_Done,
     /* 2051820 */   // Label 27279: @2051820
     /* 2051820 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2051911), // Rule ID 15448 //
     /* 2051825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051871 */     // MIs[0] round
     /* 2051871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051874 */     // MIs[0] policy
     /* 2051874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051910 */     // GIR_Coverage, 15448,
     /* 2051910 */     GIR_EraseRootFromParent_Done,
     /* 2051911 */   // Label 27280: @2051911
     /* 2051911 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052002), // Rule ID 15451 //
     /* 2051916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051962 */     // MIs[0] round
     /* 2051962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051965 */     // MIs[0] policy
     /* 2051965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052001 */     // GIR_Coverage, 15451,
     /* 2052001 */     GIR_EraseRootFromParent_Done,
     /* 2052002 */   // Label 27281: @2052002
     /* 2052002 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2052093), // Rule ID 15452 //
     /* 2052007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052053 */     // MIs[0] round
     /* 2052053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052056 */     // MIs[0] policy
     /* 2052056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052092 */     // GIR_Coverage, 15452,
     /* 2052092 */     GIR_EraseRootFromParent_Done,
     /* 2052093 */   // Label 27282: @2052093
     /* 2052093 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2052184), // Rule ID 15455 //
     /* 2052098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052144 */     // MIs[0] round
     /* 2052144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052147 */     // MIs[0] policy
     /* 2052147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052183 */     // GIR_Coverage, 15455,
     /* 2052183 */     GIR_EraseRootFromParent_Done,
     /* 2052184 */   // Label 27283: @2052184
     /* 2052184 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2052275), // Rule ID 15456 //
     /* 2052189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052235 */     // MIs[0] round
     /* 2052235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052238 */     // MIs[0] policy
     /* 2052238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052274 */     // GIR_Coverage, 15456,
     /* 2052274 */     GIR_EraseRootFromParent_Done,
     /* 2052275 */   // Label 27284: @2052275
     /* 2052275 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2052366), // Rule ID 15459 //
     /* 2052280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052326 */     // MIs[0] round
     /* 2052326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052329 */     // MIs[0] policy
     /* 2052329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052365 */     // GIR_Coverage, 15459,
     /* 2052365 */     GIR_EraseRootFromParent_Done,
     /* 2052366 */   // Label 27285: @2052366
     /* 2052366 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2052457), // Rule ID 15460 //
     /* 2052371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052417 */     // MIs[0] round
     /* 2052417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052420 */     // MIs[0] policy
     /* 2052420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2052433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052456 */     // GIR_Coverage, 15460,
     /* 2052456 */     GIR_EraseRootFromParent_Done,
     /* 2052457 */   // Label 27286: @2052457
     /* 2052457 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2052548), // Rule ID 15463 //
     /* 2052462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052508 */     // MIs[0] round
     /* 2052508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052511 */     // MIs[0] policy
     /* 2052511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052521 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052547 */     // GIR_Coverage, 15463,
     /* 2052547 */     GIR_EraseRootFromParent_Done,
     /* 2052548 */   // Label 27287: @2052548
     /* 2052548 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2052639), // Rule ID 15464 //
     /* 2052553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052599 */     // MIs[0] round
     /* 2052599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052602 */     // MIs[0] policy
     /* 2052602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052638 */     // GIR_Coverage, 15464,
     /* 2052638 */     GIR_EraseRootFromParent_Done,
     /* 2052639 */   // Label 27288: @2052639
     /* 2052639 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2052730), // Rule ID 15467 //
     /* 2052644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052690 */     // MIs[0] round
     /* 2052690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052693 */     // MIs[0] policy
     /* 2052693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052703 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052729 */     // GIR_Coverage, 15467,
     /* 2052729 */     GIR_EraseRootFromParent_Done,
     /* 2052730 */   // Label 27289: @2052730
     /* 2052730 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2052821), // Rule ID 15468 //
     /* 2052735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052781 */     // MIs[0] round
     /* 2052781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052784 */     // MIs[0] policy
     /* 2052784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052820 */     // GIR_Coverage, 15468,
     /* 2052820 */     GIR_EraseRootFromParent_Done,
     /* 2052821 */   // Label 27290: @2052821
     /* 2052821 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2052912), // Rule ID 15471 //
     /* 2052826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052872 */     // MIs[0] round
     /* 2052872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052875 */     // MIs[0] policy
     /* 2052875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052885 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052911 */     // GIR_Coverage, 15471,
     /* 2052911 */     GIR_EraseRootFromParent_Done,
     /* 2052912 */   // Label 27291: @2052912
     /* 2052912 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2053003), // Rule ID 15472 //
     /* 2052917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052963 */     // MIs[0] round
     /* 2052963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052966 */     // MIs[0] policy
     /* 2052966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053002 */     // GIR_Coverage, 15472,
     /* 2053002 */     GIR_EraseRootFromParent_Done,
     /* 2053003 */   // Label 27292: @2053003
     /* 2053003 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2053094), // Rule ID 15475 //
     /* 2053008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053054 */     // MIs[0] round
     /* 2053054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053057 */     // MIs[0] policy
     /* 2053057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053093 */     // GIR_Coverage, 15475,
     /* 2053093 */     GIR_EraseRootFromParent_Done,
     /* 2053094 */   // Label 27293: @2053094
     /* 2053094 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2053185), // Rule ID 15476 //
     /* 2053099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053145 */     // MIs[0] round
     /* 2053145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053148 */     // MIs[0] policy
     /* 2053148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053184 */     // GIR_Coverage, 15476,
     /* 2053184 */     GIR_EraseRootFromParent_Done,
     /* 2053185 */   // Label 27294: @2053185
     /* 2053185 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2053276), // Rule ID 15479 //
     /* 2053190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053236 */     // MIs[0] round
     /* 2053236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053239 */     // MIs[0] policy
     /* 2053239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053275 */     // GIR_Coverage, 15479,
     /* 2053275 */     GIR_EraseRootFromParent_Done,
     /* 2053276 */   // Label 27295: @2053276
     /* 2053276 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2053367), // Rule ID 15480 //
     /* 2053281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053327 */     // MIs[0] round
     /* 2053327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053330 */     // MIs[0] policy
     /* 2053330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053366 */     // GIR_Coverage, 15480,
     /* 2053366 */     GIR_EraseRootFromParent_Done,
     /* 2053367 */   // Label 27296: @2053367
     /* 2053367 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2053458), // Rule ID 15483 //
     /* 2053372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053418 */     // MIs[0] round
     /* 2053418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053421 */     // MIs[0] policy
     /* 2053421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053457 */     // GIR_Coverage, 15483,
     /* 2053457 */     GIR_EraseRootFromParent_Done,
     /* 2053458 */   // Label 27297: @2053458
     /* 2053458 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2053549), // Rule ID 15484 //
     /* 2053463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053509 */     // MIs[0] round
     /* 2053509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053512 */     // MIs[0] policy
     /* 2053512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053548 */     // GIR_Coverage, 15484,
     /* 2053548 */     GIR_EraseRootFromParent_Done,
     /* 2053549 */   // Label 27298: @2053549
     /* 2053549 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2053640), // Rule ID 15487 //
     /* 2053554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053600 */     // MIs[0] round
     /* 2053600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053603 */     // MIs[0] policy
     /* 2053603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053639 */     // GIR_Coverage, 15487,
     /* 2053639 */     GIR_EraseRootFromParent_Done,
     /* 2053640 */   // Label 27299: @2053640
     /* 2053640 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2053731), // Rule ID 15488 //
     /* 2053645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053691 */     // MIs[0] round
     /* 2053691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053694 */     // MIs[0] policy
     /* 2053694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053730 */     // GIR_Coverage, 15488,
     /* 2053730 */     GIR_EraseRootFromParent_Done,
     /* 2053731 */   // Label 27300: @2053731
     /* 2053731 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2053822), // Rule ID 15491 //
     /* 2053736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053782 */     // MIs[0] round
     /* 2053782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053785 */     // MIs[0] policy
     /* 2053785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053821 */     // GIR_Coverage, 15491,
     /* 2053821 */     GIR_EraseRootFromParent_Done,
     /* 2053822 */   // Label 27301: @2053822
     /* 2053822 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2053913), // Rule ID 15492 //
     /* 2053827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053873 */     // MIs[0] round
     /* 2053873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053876 */     // MIs[0] policy
     /* 2053876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053912 */     // GIR_Coverage, 15492,
     /* 2053912 */     GIR_EraseRootFromParent_Done,
     /* 2053913 */   // Label 27302: @2053913
     /* 2053913 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2054004), // Rule ID 15495 //
     /* 2053918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053964 */     // MIs[0] round
     /* 2053964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053967 */     // MIs[0] policy
     /* 2053967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053977 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054003 */     // GIR_Coverage, 15495,
     /* 2054003 */     GIR_EraseRootFromParent_Done,
     /* 2054004 */   // Label 27303: @2054004
     /* 2054004 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2054095), // Rule ID 15496 //
     /* 2054009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054055 */     // MIs[0] round
     /* 2054055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054058 */     // MIs[0] policy
     /* 2054058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054094 */     // GIR_Coverage, 15496,
     /* 2054094 */     GIR_EraseRootFromParent_Done,
     /* 2054095 */   // Label 27304: @2054095
     /* 2054095 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2054186), // Rule ID 15499 //
     /* 2054100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054146 */     // MIs[0] round
     /* 2054146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054149 */     // MIs[0] policy
     /* 2054149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054185 */     // GIR_Coverage, 15499,
     /* 2054185 */     GIR_EraseRootFromParent_Done,
     /* 2054186 */   // Label 27305: @2054186
     /* 2054186 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2054277), // Rule ID 15500 //
     /* 2054191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054237 */     // MIs[0] round
     /* 2054237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054240 */     // MIs[0] policy
     /* 2054240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2054253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054276 */     // GIR_Coverage, 15500,
     /* 2054276 */     GIR_EraseRootFromParent_Done,
     /* 2054277 */   // Label 27306: @2054277
     /* 2054277 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2054368), // Rule ID 15503 //
     /* 2054282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054328 */     // MIs[0] round
     /* 2054328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054331 */     // MIs[0] policy
     /* 2054331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054341 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054367 */     // GIR_Coverage, 15503,
     /* 2054367 */     GIR_EraseRootFromParent_Done,
     /* 2054368 */   // Label 27307: @2054368
     /* 2054368 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2054459), // Rule ID 15504 //
     /* 2054373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054419 */     // MIs[0] round
     /* 2054419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054422 */     // MIs[0] policy
     /* 2054422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2054435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054458 */     // GIR_Coverage, 15504,
     /* 2054458 */     GIR_EraseRootFromParent_Done,
     /* 2054459 */   // Label 27308: @2054459
     /* 2054459 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2054550), // Rule ID 15507 //
     /* 2054464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054510 */     // MIs[0] round
     /* 2054510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054513 */     // MIs[0] policy
     /* 2054513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054523 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054549 */     // GIR_Coverage, 15507,
     /* 2054549 */     GIR_EraseRootFromParent_Done,
     /* 2054550 */   // Label 27309: @2054550
     /* 2054550 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2054641), // Rule ID 15508 //
     /* 2054555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054601 */     // MIs[0] round
     /* 2054601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054604 */     // MIs[0] policy
     /* 2054604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2054617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054640 */     // GIR_Coverage, 15508,
     /* 2054640 */     GIR_EraseRootFromParent_Done,
     /* 2054641 */   // Label 27310: @2054641
     /* 2054641 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2054735), // Rule ID 15511 //
     /* 2054646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054692 */     // MIs[0] round
     /* 2054692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054695 */     // MIs[0] policy
     /* 2054695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2054708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054734 */     // GIR_Coverage, 15511,
     /* 2054734 */     GIR_EraseRootFromParent_Done,
     /* 2054735 */   // Label 27311: @2054735
     /* 2054735 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2054829), // Rule ID 15512 //
     /* 2054740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054786 */     // MIs[0] round
     /* 2054786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054789 */     // MIs[0] policy
     /* 2054789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2054802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054828 */     // GIR_Coverage, 15512,
     /* 2054828 */     GIR_EraseRootFromParent_Done,
     /* 2054829 */   // Label 27312: @2054829
     /* 2054829 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2054923), // Rule ID 15515 //
     /* 2054834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054880 */     // MIs[0] round
     /* 2054880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054883 */     // MIs[0] policy
     /* 2054883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054893 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2054896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054922 */     // GIR_Coverage, 15515,
     /* 2054922 */     GIR_EraseRootFromParent_Done,
     /* 2054923 */   // Label 27313: @2054923
     /* 2054923 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2055017), // Rule ID 15516 //
     /* 2054928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054974 */     // MIs[0] round
     /* 2054974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054977 */     // MIs[0] policy
     /* 2054977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2054990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055016 */     // GIR_Coverage, 15516,
     /* 2055016 */     GIR_EraseRootFromParent_Done,
     /* 2055017 */   // Label 27314: @2055017
     /* 2055017 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2055111), // Rule ID 15519 //
     /* 2055022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055068 */     // MIs[0] round
     /* 2055068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055071 */     // MIs[0] policy
     /* 2055071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055081 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055110 */     // GIR_Coverage, 15519,
     /* 2055110 */     GIR_EraseRootFromParent_Done,
     /* 2055111 */   // Label 27315: @2055111
     /* 2055111 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2055205), // Rule ID 15520 //
     /* 2055116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055162 */     // MIs[0] round
     /* 2055162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055165 */     // MIs[0] policy
     /* 2055165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055175 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055204 */     // GIR_Coverage, 15520,
     /* 2055204 */     GIR_EraseRootFromParent_Done,
     /* 2055205 */   // Label 27316: @2055205
     /* 2055205 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2055299), // Rule ID 15523 //
     /* 2055210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055256 */     // MIs[0] round
     /* 2055256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055259 */     // MIs[0] policy
     /* 2055259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055269 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055298 */     // GIR_Coverage, 15523,
     /* 2055298 */     GIR_EraseRootFromParent_Done,
     /* 2055299 */   // Label 27317: @2055299
     /* 2055299 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2055393), // Rule ID 15524 //
     /* 2055304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055350 */     // MIs[0] round
     /* 2055350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055353 */     // MIs[0] policy
     /* 2055353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055363 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2055366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055392 */     // GIR_Coverage, 15524,
     /* 2055392 */     GIR_EraseRootFromParent_Done,
     /* 2055393 */   // Label 27318: @2055393
     /* 2055393 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2055487), // Rule ID 15527 //
     /* 2055398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055444 */     // MIs[0] round
     /* 2055444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055447 */     // MIs[0] policy
     /* 2055447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055457 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055486 */     // GIR_Coverage, 15527,
     /* 2055486 */     GIR_EraseRootFromParent_Done,
     /* 2055487 */   // Label 27319: @2055487
     /* 2055487 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2055581), // Rule ID 15528 //
     /* 2055492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055538 */     // MIs[0] round
     /* 2055538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055541 */     // MIs[0] policy
     /* 2055541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055580 */     // GIR_Coverage, 15528,
     /* 2055580 */     GIR_EraseRootFromParent_Done,
     /* 2055581 */   // Label 27320: @2055581
     /* 2055581 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2055675), // Rule ID 15531 //
     /* 2055586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055632 */     // MIs[0] round
     /* 2055632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055635 */     // MIs[0] policy
     /* 2055635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055645 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055674 */     // GIR_Coverage, 15531,
     /* 2055674 */     GIR_EraseRootFromParent_Done,
     /* 2055675 */   // Label 27321: @2055675
     /* 2055675 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2055769), // Rule ID 15532 //
     /* 2055680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055726 */     // MIs[0] round
     /* 2055726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055729 */     // MIs[0] policy
     /* 2055729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2055742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055768 */     // GIR_Coverage, 15532,
     /* 2055768 */     GIR_EraseRootFromParent_Done,
     /* 2055769 */   // Label 27322: @2055769
     /* 2055769 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2055863), // Rule ID 15535 //
     /* 2055774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055820 */     // MIs[0] round
     /* 2055820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055823 */     // MIs[0] policy
     /* 2055823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055833 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055862 */     // GIR_Coverage, 15535,
     /* 2055862 */     GIR_EraseRootFromParent_Done,
     /* 2055863 */   // Label 27323: @2055863
     /* 2055863 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2055957), // Rule ID 15536 //
     /* 2055868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055914 */     // MIs[0] round
     /* 2055914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055917 */     // MIs[0] policy
     /* 2055917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055956 */     // GIR_Coverage, 15536,
     /* 2055956 */     GIR_EraseRootFromParent_Done,
     /* 2055957 */   // Label 27324: @2055957
     /* 2055957 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2056051), // Rule ID 15539 //
     /* 2055962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056008 */     // MIs[0] round
     /* 2056008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056011 */     // MIs[0] policy
     /* 2056011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056050 */     // GIR_Coverage, 15539,
     /* 2056050 */     GIR_EraseRootFromParent_Done,
     /* 2056051 */   // Label 27325: @2056051
     /* 2056051 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2056145), // Rule ID 15540 //
     /* 2056056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056102 */     // MIs[0] round
     /* 2056102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056105 */     // MIs[0] policy
     /* 2056105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056144 */     // GIR_Coverage, 15540,
     /* 2056144 */     GIR_EraseRootFromParent_Done,
     /* 2056145 */   // Label 27326: @2056145
     /* 2056145 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2056239), // Rule ID 15543 //
     /* 2056150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056196 */     // MIs[0] round
     /* 2056196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056199 */     // MIs[0] policy
     /* 2056199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056238 */     // GIR_Coverage, 15543,
     /* 2056238 */     GIR_EraseRootFromParent_Done,
     /* 2056239 */   // Label 27327: @2056239
     /* 2056239 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2056333), // Rule ID 15544 //
     /* 2056244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056290 */     // MIs[0] round
     /* 2056290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056293 */     // MIs[0] policy
     /* 2056293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2056306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056332 */     // GIR_Coverage, 15544,
     /* 2056332 */     GIR_EraseRootFromParent_Done,
     /* 2056333 */   // Label 27328: @2056333
     /* 2056333 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2056427), // Rule ID 15547 //
     /* 2056338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056384 */     // MIs[0] round
     /* 2056384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056387 */     // MIs[0] policy
     /* 2056387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056426 */     // GIR_Coverage, 15547,
     /* 2056426 */     GIR_EraseRootFromParent_Done,
     /* 2056427 */   // Label 27329: @2056427
     /* 2056427 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2056521), // Rule ID 15548 //
     /* 2056432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056478 */     // MIs[0] round
     /* 2056478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056481 */     // MIs[0] policy
     /* 2056481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056520 */     // GIR_Coverage, 15548,
     /* 2056520 */     GIR_EraseRootFromParent_Done,
     /* 2056521 */   // Label 27330: @2056521
     /* 2056521 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2056615), // Rule ID 15551 //
     /* 2056526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056572 */     // MIs[0] round
     /* 2056572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056575 */     // MIs[0] policy
     /* 2056575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056614 */     // GIR_Coverage, 15551,
     /* 2056614 */     GIR_EraseRootFromParent_Done,
     /* 2056615 */   // Label 27331: @2056615
     /* 2056615 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2056709), // Rule ID 15552 //
     /* 2056620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056666 */     // MIs[0] round
     /* 2056666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056669 */     // MIs[0] policy
     /* 2056669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056679 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056708 */     // GIR_Coverage, 15552,
     /* 2056708 */     GIR_EraseRootFromParent_Done,
     /* 2056709 */   // Label 27332: @2056709
     /* 2056709 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2056803), // Rule ID 15555 //
     /* 2056714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056760 */     // MIs[0] round
     /* 2056760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056763 */     // MIs[0] policy
     /* 2056763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056802 */     // GIR_Coverage, 15555,
     /* 2056802 */     GIR_EraseRootFromParent_Done,
     /* 2056803 */   // Label 27333: @2056803
     /* 2056803 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2056897), // Rule ID 15556 //
     /* 2056808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056854 */     // MIs[0] round
     /* 2056854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056857 */     // MIs[0] policy
     /* 2056857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056896 */     // GIR_Coverage, 15556,
     /* 2056896 */     GIR_EraseRootFromParent_Done,
     /* 2056897 */   // Label 27334: @2056897
     /* 2056897 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2056991), // Rule ID 15559 //
     /* 2056902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2056919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2056922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056948 */     // MIs[0] round
     /* 2056948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056951 */     // MIs[0] policy
     /* 2056951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056990 */     // GIR_Coverage, 15559,
     /* 2056990 */     GIR_EraseRootFromParent_Done,
     /* 2056991 */   // Label 27335: @2056991
     /* 2056991 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2057085), // Rule ID 15560 //
     /* 2056996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057042 */     // MIs[0] round
     /* 2057042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057045 */     // MIs[0] policy
     /* 2057045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057084 */     // GIR_Coverage, 15560,
     /* 2057084 */     GIR_EraseRootFromParent_Done,
     /* 2057085 */   // Label 27336: @2057085
     /* 2057085 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2057179), // Rule ID 15563 //
     /* 2057090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057136 */     // MIs[0] round
     /* 2057136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057139 */     // MIs[0] policy
     /* 2057139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057178 */     // GIR_Coverage, 15563,
     /* 2057178 */     GIR_EraseRootFromParent_Done,
     /* 2057179 */   // Label 27337: @2057179
     /* 2057179 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2057273), // Rule ID 15564 //
     /* 2057184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057230 */     // MIs[0] round
     /* 2057230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057233 */     // MIs[0] policy
     /* 2057233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057272 */     // GIR_Coverage, 15564,
     /* 2057272 */     GIR_EraseRootFromParent_Done,
     /* 2057273 */   // Label 27338: @2057273
     /* 2057273 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2057367), // Rule ID 15567 //
     /* 2057278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057324 */     // MIs[0] round
     /* 2057324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057327 */     // MIs[0] policy
     /* 2057327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057366 */     // GIR_Coverage, 15567,
     /* 2057366 */     GIR_EraseRootFromParent_Done,
     /* 2057367 */   // Label 27339: @2057367
     /* 2057367 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2057461), // Rule ID 15568 //
     /* 2057372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057418 */     // MIs[0] round
     /* 2057418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057421 */     // MIs[0] policy
     /* 2057421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057460 */     // GIR_Coverage, 15568,
     /* 2057460 */     GIR_EraseRootFromParent_Done,
     /* 2057461 */   // Label 27340: @2057461
     /* 2057461 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2057555), // Rule ID 15571 //
     /* 2057466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057512 */     // MIs[0] round
     /* 2057512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057515 */     // MIs[0] policy
     /* 2057515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057554 */     // GIR_Coverage, 15571,
     /* 2057554 */     GIR_EraseRootFromParent_Done,
     /* 2057555 */   // Label 27341: @2057555
     /* 2057555 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2057649), // Rule ID 15572 //
     /* 2057560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057606 */     // MIs[0] round
     /* 2057606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057609 */     // MIs[0] policy
     /* 2057609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2057622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057648 */     // GIR_Coverage, 15572,
     /* 2057648 */     GIR_EraseRootFromParent_Done,
     /* 2057649 */   // Label 27342: @2057649
     /* 2057649 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2057743), // Rule ID 15575 //
     /* 2057654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057700 */     // MIs[0] round
     /* 2057700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057703 */     // MIs[0] policy
     /* 2057703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057742 */     // GIR_Coverage, 15575,
     /* 2057742 */     GIR_EraseRootFromParent_Done,
     /* 2057743 */   // Label 27343: @2057743
     /* 2057743 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2057837), // Rule ID 15576 //
     /* 2057748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057794 */     // MIs[0] round
     /* 2057794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057797 */     // MIs[0] policy
     /* 2057797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2057810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057836 */     // GIR_Coverage, 15576,
     /* 2057836 */     GIR_EraseRootFromParent_Done,
     /* 2057837 */   // Label 27344: @2057837
     /* 2057837 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2057931), // Rule ID 15579 //
     /* 2057842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057888 */     // MIs[0] round
     /* 2057888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057891 */     // MIs[0] policy
     /* 2057891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057930 */     // GIR_Coverage, 15579,
     /* 2057930 */     GIR_EraseRootFromParent_Done,
     /* 2057931 */   // Label 27345: @2057931
     /* 2057931 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2058025), // Rule ID 15580 //
     /* 2057936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057982 */     // MIs[0] round
     /* 2057982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057985 */     // MIs[0] policy
     /* 2057985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2057998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058024 */     // GIR_Coverage, 15580,
     /* 2058024 */     GIR_EraseRootFromParent_Done,
     /* 2058025 */   // Label 27346: @2058025
     /* 2058025 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2058119), // Rule ID 15583 //
     /* 2058030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058076 */     // MIs[0] round
     /* 2058076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058079 */     // MIs[0] policy
     /* 2058079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058118 */     // GIR_Coverage, 15583,
     /* 2058118 */     GIR_EraseRootFromParent_Done,
     /* 2058119 */   // Label 27347: @2058119
     /* 2058119 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2058213), // Rule ID 15584 //
     /* 2058124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058170 */     // MIs[0] round
     /* 2058170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058173 */     // MIs[0] policy
     /* 2058173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2058186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058212 */     // GIR_Coverage, 15584,
     /* 2058212 */     GIR_EraseRootFromParent_Done,
     /* 2058213 */   // Label 27348: @2058213
     /* 2058213 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2058307), // Rule ID 15587 //
     /* 2058218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058264 */     // MIs[0] round
     /* 2058264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058267 */     // MIs[0] policy
     /* 2058267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058277 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058306 */     // GIR_Coverage, 15587,
     /* 2058306 */     GIR_EraseRootFromParent_Done,
     /* 2058307 */   // Label 27349: @2058307
     /* 2058307 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2058401), // Rule ID 15588 //
     /* 2058312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058358 */     // MIs[0] round
     /* 2058358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058361 */     // MIs[0] policy
     /* 2058361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058400 */     // GIR_Coverage, 15588,
     /* 2058400 */     GIR_EraseRootFromParent_Done,
     /* 2058401 */   // Label 27350: @2058401
     /* 2058401 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2058495), // Rule ID 15591 //
     /* 2058406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058452 */     // MIs[0] round
     /* 2058452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058455 */     // MIs[0] policy
     /* 2058455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058494 */     // GIR_Coverage, 15591,
     /* 2058494 */     GIR_EraseRootFromParent_Done,
     /* 2058495 */   // Label 27351: @2058495
     /* 2058495 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2058589), // Rule ID 15592 //
     /* 2058500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2058511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2058514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2058517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058546 */     // MIs[0] round
     /* 2058546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058549 */     // MIs[0] policy
     /* 2058549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058588 */     // GIR_Coverage, 15592,
     /* 2058588 */     GIR_EraseRootFromParent_Done,
     /* 2058589 */   // Label 27352: @2058589
     /* 2058589 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2058683), // Rule ID 15595 //
     /* 2058594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2058605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2058608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2058611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058640 */     // MIs[0] round
     /* 2058640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058643 */     // MIs[0] policy
     /* 2058643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058682 */     // GIR_Coverage, 15595,
     /* 2058682 */     GIR_EraseRootFromParent_Done,
     /* 2058683 */   // Label 27353: @2058683
     /* 2058683 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2058777), // Rule ID 15596 //
     /* 2058688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2058699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2058702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2058705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058734 */     // MIs[0] round
     /* 2058734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058737 */     // MIs[0] policy
     /* 2058737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2058750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058776 */     // GIR_Coverage, 15596,
     /* 2058776 */     GIR_EraseRootFromParent_Done,
     /* 2058777 */   // Label 27354: @2058777
     /* 2058777 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2058871), // Rule ID 15599 //
     /* 2058782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058828 */     // MIs[0] round
     /* 2058828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058831 */     // MIs[0] policy
     /* 2058831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058870 */     // GIR_Coverage, 15599,
     /* 2058870 */     GIR_EraseRootFromParent_Done,
     /* 2058871 */   // Label 27355: @2058871
     /* 2058871 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2058965), // Rule ID 15600 //
     /* 2058876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2058887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2058890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2058893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058922 */     // MIs[0] round
     /* 2058922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058925 */     // MIs[0] policy
     /* 2058925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2058938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058964 */     // GIR_Coverage, 15600,
     /* 2058964 */     GIR_EraseRootFromParent_Done,
     /* 2058965 */   // Label 27356: @2058965
     /* 2058965 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2059059), // Rule ID 15603 //
     /* 2058970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059016 */     // MIs[0] round
     /* 2059016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059019 */     // MIs[0] policy
     /* 2059019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059029 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059058 */     // GIR_Coverage, 15603,
     /* 2059058 */     GIR_EraseRootFromParent_Done,
     /* 2059059 */   // Label 27357: @2059059
     /* 2059059 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2059153), // Rule ID 15604 //
     /* 2059064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059110 */     // MIs[0] round
     /* 2059110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059113 */     // MIs[0] policy
     /* 2059113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2059126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059152 */     // GIR_Coverage, 15604,
     /* 2059152 */     GIR_EraseRootFromParent_Done,
     /* 2059153 */   // Label 27358: @2059153
     /* 2059153 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2059247), // Rule ID 15607 //
     /* 2059158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059204 */     // MIs[0] round
     /* 2059204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059207 */     // MIs[0] policy
     /* 2059207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059246 */     // GIR_Coverage, 15607,
     /* 2059246 */     GIR_EraseRootFromParent_Done,
     /* 2059247 */   // Label 27359: @2059247
     /* 2059247 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2059341), // Rule ID 15608 //
     /* 2059252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059298 */     // MIs[0] round
     /* 2059298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059301 */     // MIs[0] policy
     /* 2059301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059340 */     // GIR_Coverage, 15608,
     /* 2059340 */     GIR_EraseRootFromParent_Done,
     /* 2059341 */   // Label 27360: @2059341
     /* 2059341 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2059435), // Rule ID 15611 //
     /* 2059346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059392 */     // MIs[0] round
     /* 2059392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059395 */     // MIs[0] policy
     /* 2059395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059434 */     // GIR_Coverage, 15611,
     /* 2059434 */     GIR_EraseRootFromParent_Done,
     /* 2059435 */   // Label 27361: @2059435
     /* 2059435 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2059529), // Rule ID 15612 //
     /* 2059440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059486 */     // MIs[0] round
     /* 2059486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059489 */     // MIs[0] policy
     /* 2059489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059528 */     // GIR_Coverage, 15612,
     /* 2059528 */     GIR_EraseRootFromParent_Done,
     /* 2059529 */   // Label 27362: @2059529
     /* 2059529 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2059623), // Rule ID 15615 //
     /* 2059534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059580 */     // MIs[0] round
     /* 2059580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059583 */     // MIs[0] policy
     /* 2059583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059622 */     // GIR_Coverage, 15615,
     /* 2059622 */     GIR_EraseRootFromParent_Done,
     /* 2059623 */   // Label 27363: @2059623
     /* 2059623 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2059717), // Rule ID 15616 //
     /* 2059628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2059639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2059642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2059645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059674 */     // MIs[0] round
     /* 2059674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059677 */     // MIs[0] policy
     /* 2059677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2059690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059716 */     // GIR_Coverage, 15616,
     /* 2059716 */     GIR_EraseRootFromParent_Done,
     /* 2059717 */   // Label 27364: @2059717
     /* 2059717 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2059811), // Rule ID 15619 //
     /* 2059722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059768 */     // MIs[0] round
     /* 2059768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059771 */     // MIs[0] policy
     /* 2059771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059781 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059810 */     // GIR_Coverage, 15619,
     /* 2059810 */     GIR_EraseRootFromParent_Done,
     /* 2059811 */   // Label 27365: @2059811
     /* 2059811 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2059905), // Rule ID 15620 //
     /* 2059816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2059827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2059830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2059833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059862 */     // MIs[0] round
     /* 2059862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059865 */     // MIs[0] policy
     /* 2059865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059904 */     // GIR_Coverage, 15620,
     /* 2059904 */     GIR_EraseRootFromParent_Done,
     /* 2059905 */   // Label 27366: @2059905
     /* 2059905 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2059999), // Rule ID 15623 //
     /* 2059910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059956 */     // MIs[0] round
     /* 2059956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059959 */     // MIs[0] policy
     /* 2059959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2059972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059998 */     // GIR_Coverage, 15623,
     /* 2059998 */     GIR_EraseRootFromParent_Done,
     /* 2059999 */   // Label 27367: @2059999
     /* 2059999 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2060093), // Rule ID 15624 //
     /* 2060004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060050 */     // MIs[0] round
     /* 2060050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060053 */     // MIs[0] policy
     /* 2060053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060063 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060092 */     // GIR_Coverage, 15624,
     /* 2060092 */     GIR_EraseRootFromParent_Done,
     /* 2060093 */   // Label 27368: @2060093
     /* 2060093 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2060187), // Rule ID 15627 //
     /* 2060098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060144 */     // MIs[0] round
     /* 2060144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060147 */     // MIs[0] policy
     /* 2060147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060186 */     // GIR_Coverage, 15627,
     /* 2060186 */     GIR_EraseRootFromParent_Done,
     /* 2060187 */   // Label 27369: @2060187
     /* 2060187 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2060281), // Rule ID 15628 //
     /* 2060192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060238 */     // MIs[0] round
     /* 2060238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060241 */     // MIs[0] policy
     /* 2060241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060280 */     // GIR_Coverage, 15628,
     /* 2060280 */     GIR_EraseRootFromParent_Done,
     /* 2060281 */   // Label 27370: @2060281
     /* 2060281 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2060375), // Rule ID 15631 //
     /* 2060286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060332 */     // MIs[0] round
     /* 2060332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060335 */     // MIs[0] policy
     /* 2060335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060345 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060374 */     // GIR_Coverage, 15631,
     /* 2060374 */     GIR_EraseRootFromParent_Done,
     /* 2060375 */   // Label 27371: @2060375
     /* 2060375 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2060469), // Rule ID 15632 //
     /* 2060380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2060391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2060394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2060397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060426 */     // MIs[0] round
     /* 2060426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060429 */     // MIs[0] policy
     /* 2060429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060468 */     // GIR_Coverage, 15632,
     /* 2060468 */     GIR_EraseRootFromParent_Done,
     /* 2060469 */   // Label 27372: @2060469
     /* 2060469 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2060563), // Rule ID 15635 //
     /* 2060474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060520 */     // MIs[0] round
     /* 2060520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060523 */     // MIs[0] policy
     /* 2060523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060562 */     // GIR_Coverage, 15635,
     /* 2060562 */     GIR_EraseRootFromParent_Done,
     /* 2060563 */   // Label 27373: @2060563
     /* 2060563 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2060657), // Rule ID 15636 //
     /* 2060568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2060579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2060582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2060585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060614 */     // MIs[0] round
     /* 2060614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060617 */     // MIs[0] policy
     /* 2060617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060656 */     // GIR_Coverage, 15636,
     /* 2060656 */     GIR_EraseRootFromParent_Done,
     /* 2060657 */   // Label 27374: @2060657
     /* 2060657 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2060751), // Rule ID 15639 //
     /* 2060662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060708 */     // MIs[0] round
     /* 2060708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060711 */     // MIs[0] policy
     /* 2060711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060750 */     // GIR_Coverage, 15639,
     /* 2060750 */     GIR_EraseRootFromParent_Done,
     /* 2060751 */   // Label 27375: @2060751
     /* 2060751 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2060845), // Rule ID 15640 //
     /* 2060756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2060767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2060770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2060773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060802 */     // MIs[0] round
     /* 2060802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060805 */     // MIs[0] policy
     /* 2060805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060844 */     // GIR_Coverage, 15640,
     /* 2060844 */     GIR_EraseRootFromParent_Done,
     /* 2060845 */   // Label 27376: @2060845
     /* 2060845 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2060939), // Rule ID 15643 //
     /* 2060850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060896 */     // MIs[0] round
     /* 2060896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060899 */     // MIs[0] policy
     /* 2060899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2060912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060938 */     // GIR_Coverage, 15643,
     /* 2060938 */     GIR_EraseRootFromParent_Done,
     /* 2060939 */   // Label 27377: @2060939
     /* 2060939 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2061033), // Rule ID 15644 //
     /* 2060944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060990 */     // MIs[0] round
     /* 2060990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060993 */     // MIs[0] policy
     /* 2060993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061032 */     // GIR_Coverage, 15644,
     /* 2061032 */     GIR_EraseRootFromParent_Done,
     /* 2061033 */   // Label 27378: @2061033
     /* 2061033 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2061127), // Rule ID 15647 //
     /* 2061038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061084 */     // MIs[0] round
     /* 2061084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061087 */     // MIs[0] policy
     /* 2061087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061126 */     // GIR_Coverage, 15647,
     /* 2061126 */     GIR_EraseRootFromParent_Done,
     /* 2061127 */   // Label 27379: @2061127
     /* 2061127 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2061221), // Rule ID 15648 //
     /* 2061132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061178 */     // MIs[0] round
     /* 2061178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061181 */     // MIs[0] policy
     /* 2061181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061220 */     // GIR_Coverage, 15648,
     /* 2061220 */     GIR_EraseRootFromParent_Done,
     /* 2061221 */   // Label 27380: @2061221
     /* 2061221 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2061315), // Rule ID 15651 //
     /* 2061226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061272 */     // MIs[0] round
     /* 2061272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061275 */     // MIs[0] policy
     /* 2061275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061314 */     // GIR_Coverage, 15651,
     /* 2061314 */     GIR_EraseRootFromParent_Done,
     /* 2061315 */   // Label 27381: @2061315
     /* 2061315 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2061409), // Rule ID 15652 //
     /* 2061320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061366 */     // MIs[0] round
     /* 2061366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061369 */     // MIs[0] policy
     /* 2061369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061408 */     // GIR_Coverage, 15652,
     /* 2061408 */     GIR_EraseRootFromParent_Done,
     /* 2061409 */   // Label 27382: @2061409
     /* 2061409 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2061503), // Rule ID 15655 //
     /* 2061414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061460 */     // MIs[0] round
     /* 2061460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061463 */     // MIs[0] policy
     /* 2061463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061502 */     // GIR_Coverage, 15655,
     /* 2061502 */     GIR_EraseRootFromParent_Done,
     /* 2061503 */   // Label 27383: @2061503
     /* 2061503 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2061597), // Rule ID 15656 //
     /* 2061508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061554 */     // MIs[0] round
     /* 2061554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061557 */     // MIs[0] policy
     /* 2061557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2061570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061596 */     // GIR_Coverage, 15656,
     /* 2061596 */     GIR_EraseRootFromParent_Done,
     /* 2061597 */   // Label 27384: @2061597
     /* 2061597 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2061691), // Rule ID 15659 //
     /* 2061602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2061622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061648 */     // MIs[0] round
     /* 2061648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061651 */     // MIs[0] policy
     /* 2061651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061690 */     // GIR_Coverage, 15659,
     /* 2061690 */     GIR_EraseRootFromParent_Done,
     /* 2061691 */   // Label 27385: @2061691
     /* 2061691 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2061785), // Rule ID 15660 //
     /* 2061696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2061716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061742 */     // MIs[0] round
     /* 2061742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061745 */     // MIs[0] policy
     /* 2061745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061784 */     // GIR_Coverage, 15660,
     /* 2061784 */     GIR_EraseRootFromParent_Done,
     /* 2061785 */   // Label 27386: @2061785
     /* 2061785 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2061879), // Rule ID 15663 //
     /* 2061790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2061810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061836 */     // MIs[0] round
     /* 2061836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061839 */     // MIs[0] policy
     /* 2061839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061878 */     // GIR_Coverage, 15663,
     /* 2061878 */     GIR_EraseRootFromParent_Done,
     /* 2061879 */   // Label 27387: @2061879
     /* 2061879 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2061973), // Rule ID 15664 //
     /* 2061884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2061904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061930 */     // MIs[0] round
     /* 2061930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061933 */     // MIs[0] policy
     /* 2061933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061972 */     // GIR_Coverage, 15664,
     /* 2061972 */     GIR_EraseRootFromParent_Done,
     /* 2061973 */   // Label 27388: @2061973
     /* 2061973 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2062067), // Rule ID 15667 //
     /* 2061978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2061989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2061992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2061995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2061998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062024 */     // MIs[0] round
     /* 2062024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062027 */     // MIs[0] policy
     /* 2062027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062066 */     // GIR_Coverage, 15667,
     /* 2062066 */     GIR_EraseRootFromParent_Done,
     /* 2062067 */   // Label 27389: @2062067
     /* 2062067 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2062161), // Rule ID 15668 //
     /* 2062072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062118 */     // MIs[0] round
     /* 2062118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062121 */     // MIs[0] policy
     /* 2062121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062160 */     // GIR_Coverage, 15668,
     /* 2062160 */     GIR_EraseRootFromParent_Done,
     /* 2062161 */   // Label 27390: @2062161
     /* 2062161 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2062255), // Rule ID 15671 //
     /* 2062166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062212 */     // MIs[0] round
     /* 2062212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062215 */     // MIs[0] policy
     /* 2062215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062254 */     // GIR_Coverage, 15671,
     /* 2062254 */     GIR_EraseRootFromParent_Done,
     /* 2062255 */   // Label 27391: @2062255
     /* 2062255 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2062349), // Rule ID 15672 //
     /* 2062260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062306 */     // MIs[0] round
     /* 2062306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062309 */     // MIs[0] policy
     /* 2062309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2062322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062348 */     // GIR_Coverage, 15672,
     /* 2062348 */     GIR_EraseRootFromParent_Done,
     /* 2062349 */   // Label 27392: @2062349
     /* 2062349 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2062443), // Rule ID 15675 //
     /* 2062354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062400 */     // MIs[0] round
     /* 2062400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062403 */     // MIs[0] policy
     /* 2062403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062442 */     // GIR_Coverage, 15675,
     /* 2062442 */     GIR_EraseRootFromParent_Done,
     /* 2062443 */   // Label 27393: @2062443
     /* 2062443 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2062537), // Rule ID 15676 //
     /* 2062448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062494 */     // MIs[0] round
     /* 2062494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062497 */     // MIs[0] policy
     /* 2062497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2062510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062536 */     // GIR_Coverage, 15676,
     /* 2062536 */     GIR_EraseRootFromParent_Done,
     /* 2062537 */   // Label 27394: @2062537
     /* 2062537 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2062631), // Rule ID 15679 //
     /* 2062542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062588 */     // MIs[0] round
     /* 2062588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062591 */     // MIs[0] policy
     /* 2062591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062601 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2062604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062630 */     // GIR_Coverage, 15679,
     /* 2062630 */     GIR_EraseRootFromParent_Done,
     /* 2062631 */   // Label 27395: @2062631
     /* 2062631 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2062725), // Rule ID 15680 //
     /* 2062636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062682 */     // MIs[0] round
     /* 2062682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062685 */     // MIs[0] policy
     /* 2062685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062695 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2062698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062724 */     // GIR_Coverage, 15680,
     /* 2062724 */     GIR_EraseRootFromParent_Done,
     /* 2062725 */   // Label 27396: @2062725
     /* 2062725 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2062819), // Rule ID 15683 //
     /* 2062730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2062733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062776 */     // MIs[0] round
     /* 2062776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062779 */     // MIs[0] policy
     /* 2062779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2062792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062818 */     // GIR_Coverage, 15683,
     /* 2062818 */     GIR_EraseRootFromParent_Done,
     /* 2062819 */   // Label 27397: @2062819
     /* 2062819 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2062913), // Rule ID 15684 //
     /* 2062824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2062827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062870 */     // MIs[0] round
     /* 2062870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062873 */     // MIs[0] policy
     /* 2062873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2062886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062912 */     // GIR_Coverage, 15684,
     /* 2062912 */     GIR_EraseRootFromParent_Done,
     /* 2062913 */   // Label 27398: @2062913
     /* 2062913 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063004), // Rule ID 15687 //
     /* 2062918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2062938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062964 */     // MIs[0] round
     /* 2062964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062967 */     // MIs[0] policy
     /* 2062967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2062980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063003 */     // GIR_Coverage, 15687,
     /* 2063003 */     GIR_EraseRootFromParent_Done,
     /* 2063004 */   // Label 27399: @2063004
     /* 2063004 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2063095), // Rule ID 15688 //
     /* 2063009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2063020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2063023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2063026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2063029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063055 */     // MIs[0] round
     /* 2063055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063058 */     // MIs[0] policy
     /* 2063058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2063071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063094 */     // GIR_Coverage, 15688,
     /* 2063094 */     GIR_EraseRootFromParent_Done,
     /* 2063095 */   // Label 27400: @2063095
     /* 2063095 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2063186), // Rule ID 15691 //
     /* 2063100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063146 */     // MIs[0] round
     /* 2063146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063149 */     // MIs[0] policy
     /* 2063149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063185 */     // GIR_Coverage, 15691,
     /* 2063185 */     GIR_EraseRootFromParent_Done,
     /* 2063186 */   // Label 27401: @2063186
     /* 2063186 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2063277), // Rule ID 15692 //
     /* 2063191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2063202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2063205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2063208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2063211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063237 */     // MIs[0] round
     /* 2063237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063240 */     // MIs[0] policy
     /* 2063240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063276 */     // GIR_Coverage, 15692,
     /* 2063276 */     GIR_EraseRootFromParent_Done,
     /* 2063277 */   // Label 27402: @2063277
     /* 2063277 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2063368), // Rule ID 15695 //
     /* 2063282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063328 */     // MIs[0] round
     /* 2063328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063331 */     // MIs[0] policy
     /* 2063331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063341 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063367 */     // GIR_Coverage, 15695,
     /* 2063367 */     GIR_EraseRootFromParent_Done,
     /* 2063368 */   // Label 27403: @2063368
     /* 2063368 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2063459), // Rule ID 15696 //
     /* 2063373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063419 */     // MIs[0] round
     /* 2063419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063422 */     // MIs[0] policy
     /* 2063422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063458 */     // GIR_Coverage, 15696,
     /* 2063458 */     GIR_EraseRootFromParent_Done,
     /* 2063459 */   // Label 27404: @2063459
     /* 2063459 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2063550), // Rule ID 15699 //
     /* 2063464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063510 */     // MIs[0] round
     /* 2063510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063513 */     // MIs[0] policy
     /* 2063513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063549 */     // GIR_Coverage, 15699,
     /* 2063549 */     GIR_EraseRootFromParent_Done,
     /* 2063550 */   // Label 27405: @2063550
     /* 2063550 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2063641), // Rule ID 15700 //
     /* 2063555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063601 */     // MIs[0] round
     /* 2063601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063604 */     // MIs[0] policy
     /* 2063604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2063617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063640 */     // GIR_Coverage, 15700,
     /* 2063640 */     GIR_EraseRootFromParent_Done,
     /* 2063641 */   // Label 27406: @2063641
     /* 2063641 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2063732), // Rule ID 15703 //
     /* 2063646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063692 */     // MIs[0] round
     /* 2063692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063695 */     // MIs[0] policy
     /* 2063695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063731 */     // GIR_Coverage, 15703,
     /* 2063731 */     GIR_EraseRootFromParent_Done,
     /* 2063732 */   // Label 27407: @2063732
     /* 2063732 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2063823), // Rule ID 15704 //
     /* 2063737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063783 */     // MIs[0] round
     /* 2063783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063786 */     // MIs[0] policy
     /* 2063786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063822 */     // GIR_Coverage, 15704,
     /* 2063822 */     GIR_EraseRootFromParent_Done,
     /* 2063823 */   // Label 27408: @2063823
     /* 2063823 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2063914), // Rule ID 15707 //
     /* 2063828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063874 */     // MIs[0] round
     /* 2063874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063877 */     // MIs[0] policy
     /* 2063877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063913 */     // GIR_Coverage, 15707,
     /* 2063913 */     GIR_EraseRootFromParent_Done,
     /* 2063914 */   // Label 27409: @2063914
     /* 2063914 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2064005), // Rule ID 15708 //
     /* 2063919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063965 */     // MIs[0] round
     /* 2063965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063968 */     // MIs[0] policy
     /* 2063968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2063981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064004 */     // GIR_Coverage, 15708,
     /* 2064004 */     GIR_EraseRootFromParent_Done,
     /* 2064005 */   // Label 27410: @2064005
     /* 2064005 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2064096), // Rule ID 15711 //
     /* 2064010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064056 */     // MIs[0] round
     /* 2064056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064059 */     // MIs[0] policy
     /* 2064059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064095 */     // GIR_Coverage, 15711,
     /* 2064095 */     GIR_EraseRootFromParent_Done,
     /* 2064096 */   // Label 27411: @2064096
     /* 2064096 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2064187), // Rule ID 15712 //
     /* 2064101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2064112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2064115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2064118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064147 */     // MIs[0] round
     /* 2064147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064150 */     // MIs[0] policy
     /* 2064150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064186 */     // GIR_Coverage, 15712,
     /* 2064186 */     GIR_EraseRootFromParent_Done,
     /* 2064187 */   // Label 27412: @2064187
     /* 2064187 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2064278), // Rule ID 15715 //
     /* 2064192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064238 */     // MIs[0] round
     /* 2064238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064241 */     // MIs[0] policy
     /* 2064241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064277 */     // GIR_Coverage, 15715,
     /* 2064277 */     GIR_EraseRootFromParent_Done,
     /* 2064278 */   // Label 27413: @2064278
     /* 2064278 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2064369), // Rule ID 15716 //
     /* 2064283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064329 */     // MIs[0] round
     /* 2064329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064332 */     // MIs[0] policy
     /* 2064332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064368 */     // GIR_Coverage, 15716,
     /* 2064368 */     GIR_EraseRootFromParent_Done,
     /* 2064369 */   // Label 27414: @2064369
     /* 2064369 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2064460), // Rule ID 15719 //
     /* 2064374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064420 */     // MIs[0] round
     /* 2064420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064423 */     // MIs[0] policy
     /* 2064423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064459 */     // GIR_Coverage, 15719,
     /* 2064459 */     GIR_EraseRootFromParent_Done,
     /* 2064460 */   // Label 27415: @2064460
     /* 2064460 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2064551), // Rule ID 15720 //
     /* 2064465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064511 */     // MIs[0] round
     /* 2064511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064514 */     // MIs[0] policy
     /* 2064514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064550 */     // GIR_Coverage, 15720,
     /* 2064550 */     GIR_EraseRootFromParent_Done,
     /* 2064551 */   // Label 27416: @2064551
     /* 2064551 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2064642), // Rule ID 15723 //
     /* 2064556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064602 */     // MIs[0] round
     /* 2064602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064605 */     // MIs[0] policy
     /* 2064605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064641 */     // GIR_Coverage, 15723,
     /* 2064641 */     GIR_EraseRootFromParent_Done,
     /* 2064642 */   // Label 27417: @2064642
     /* 2064642 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2064733), // Rule ID 15724 //
     /* 2064647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064693 */     // MIs[0] round
     /* 2064693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064696 */     // MIs[0] policy
     /* 2064696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2064709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064732 */     // GIR_Coverage, 15724,
     /* 2064732 */     GIR_EraseRootFromParent_Done,
     /* 2064733 */   // Label 27418: @2064733
     /* 2064733 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2064824), // Rule ID 15727 //
     /* 2064738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064784 */     // MIs[0] round
     /* 2064784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064787 */     // MIs[0] policy
     /* 2064787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064823 */     // GIR_Coverage, 15727,
     /* 2064823 */     GIR_EraseRootFromParent_Done,
     /* 2064824 */   // Label 27419: @2064824
     /* 2064824 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2064915), // Rule ID 15728 //
     /* 2064829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064875 */     // MIs[0] round
     /* 2064875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064878 */     // MIs[0] policy
     /* 2064878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064914 */     // GIR_Coverage, 15728,
     /* 2064914 */     GIR_EraseRootFromParent_Done,
     /* 2064915 */   // Label 27420: @2064915
     /* 2064915 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2065006), // Rule ID 15731 //
     /* 2064920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2064940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064966 */     // MIs[0] round
     /* 2064966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064969 */     // MIs[0] policy
     /* 2064969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2064982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065005 */     // GIR_Coverage, 15731,
     /* 2065005 */     GIR_EraseRootFromParent_Done,
     /* 2065006 */   // Label 27421: @2065006
     /* 2065006 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2065097), // Rule ID 15732 //
     /* 2065011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2065022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2065025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2065028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065057 */     // MIs[0] round
     /* 2065057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065060 */     // MIs[0] policy
     /* 2065060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065096 */     // GIR_Coverage, 15732,
     /* 2065096 */     GIR_EraseRootFromParent_Done,
     /* 2065097 */   // Label 27422: @2065097
     /* 2065097 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2065188), // Rule ID 15735 //
     /* 2065102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065148 */     // MIs[0] round
     /* 2065148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065151 */     // MIs[0] policy
     /* 2065151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065161 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065187 */     // GIR_Coverage, 15735,
     /* 2065187 */     GIR_EraseRootFromParent_Done,
     /* 2065188 */   // Label 27423: @2065188
     /* 2065188 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2065279), // Rule ID 15736 //
     /* 2065193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2065204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2065207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2065210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065239 */     // MIs[0] round
     /* 2065239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065242 */     // MIs[0] policy
     /* 2065242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065278 */     // GIR_Coverage, 15736,
     /* 2065278 */     GIR_EraseRootFromParent_Done,
     /* 2065279 */   // Label 27424: @2065279
     /* 2065279 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2065370), // Rule ID 15739 //
     /* 2065284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065330 */     // MIs[0] round
     /* 2065330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065333 */     // MIs[0] policy
     /* 2065333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065369 */     // GIR_Coverage, 15739,
     /* 2065369 */     GIR_EraseRootFromParent_Done,
     /* 2065370 */   // Label 27425: @2065370
     /* 2065370 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2065461), // Rule ID 15740 //
     /* 2065375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065421 */     // MIs[0] round
     /* 2065421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065424 */     // MIs[0] policy
     /* 2065424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065460 */     // GIR_Coverage, 15740,
     /* 2065460 */     GIR_EraseRootFromParent_Done,
     /* 2065461 */   // Label 27426: @2065461
     /* 2065461 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2065552), // Rule ID 15743 //
     /* 2065466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065512 */     // MIs[0] round
     /* 2065512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065515 */     // MIs[0] policy
     /* 2065515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065551 */     // GIR_Coverage, 15743,
     /* 2065551 */     GIR_EraseRootFromParent_Done,
     /* 2065552 */   // Label 27427: @2065552
     /* 2065552 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2065643), // Rule ID 15744 //
     /* 2065557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065603 */     // MIs[0] round
     /* 2065603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065606 */     // MIs[0] policy
     /* 2065606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065642 */     // GIR_Coverage, 15744,
     /* 2065642 */     GIR_EraseRootFromParent_Done,
     /* 2065643 */   // Label 27428: @2065643
     /* 2065643 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2065734), // Rule ID 15747 //
     /* 2065648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065694 */     // MIs[0] round
     /* 2065694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065697 */     // MIs[0] policy
     /* 2065697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065733 */     // GIR_Coverage, 15747,
     /* 2065733 */     GIR_EraseRootFromParent_Done,
     /* 2065734 */   // Label 27429: @2065734
     /* 2065734 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2065825), // Rule ID 15748 //
     /* 2065739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065785 */     // MIs[0] round
     /* 2065785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065788 */     // MIs[0] policy
     /* 2065788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065824 */     // GIR_Coverage, 15748,
     /* 2065824 */     GIR_EraseRootFromParent_Done,
     /* 2065825 */   // Label 27430: @2065825
     /* 2065825 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2065916), // Rule ID 15751 //
     /* 2065830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065876 */     // MIs[0] round
     /* 2065876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065879 */     // MIs[0] policy
     /* 2065879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065915 */     // GIR_Coverage, 15751,
     /* 2065915 */     GIR_EraseRootFromParent_Done,
     /* 2065916 */   // Label 27431: @2065916
     /* 2065916 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2066007), // Rule ID 15752 //
     /* 2065921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065967 */     // MIs[0] round
     /* 2065967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065970 */     // MIs[0] policy
     /* 2065970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066006 */     // GIR_Coverage, 15752,
     /* 2066006 */     GIR_EraseRootFromParent_Done,
     /* 2066007 */   // Label 27432: @2066007
     /* 2066007 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2066098), // Rule ID 15755 //
     /* 2066012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066058 */     // MIs[0] round
     /* 2066058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066061 */     // MIs[0] policy
     /* 2066061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066071 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066097 */     // GIR_Coverage, 15755,
     /* 2066097 */     GIR_EraseRootFromParent_Done,
     /* 2066098 */   // Label 27433: @2066098
     /* 2066098 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2066189), // Rule ID 15756 //
     /* 2066103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2066120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2066123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066149 */     // MIs[0] round
     /* 2066149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066152 */     // MIs[0] policy
     /* 2066152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066188 */     // GIR_Coverage, 15756,
     /* 2066188 */     GIR_EraseRootFromParent_Done,
     /* 2066189 */   // Label 27434: @2066189
     /* 2066189 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2066280), // Rule ID 15759 //
     /* 2066194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066240 */     // MIs[0] round
     /* 2066240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066243 */     // MIs[0] policy
     /* 2066243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066279 */     // GIR_Coverage, 15759,
     /* 2066279 */     GIR_EraseRootFromParent_Done,
     /* 2066280 */   // Label 27435: @2066280
     /* 2066280 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2066371), // Rule ID 15760 //
     /* 2066285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066331 */     // MIs[0] round
     /* 2066331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066334 */     // MIs[0] policy
     /* 2066334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066370 */     // GIR_Coverage, 15760,
     /* 2066370 */     GIR_EraseRootFromParent_Done,
     /* 2066371 */   // Label 27436: @2066371
     /* 2066371 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2066462), // Rule ID 15763 //
     /* 2066376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066422 */     // MIs[0] round
     /* 2066422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066425 */     // MIs[0] policy
     /* 2066425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066461 */     // GIR_Coverage, 15763,
     /* 2066461 */     GIR_EraseRootFromParent_Done,
     /* 2066462 */   // Label 27437: @2066462
     /* 2066462 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2066553), // Rule ID 15764 //
     /* 2066467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066513 */     // MIs[0] round
     /* 2066513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066516 */     // MIs[0] policy
     /* 2066516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2066529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066552 */     // GIR_Coverage, 15764,
     /* 2066552 */     GIR_EraseRootFromParent_Done,
     /* 2066553 */   // Label 27438: @2066553
     /* 2066553 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2066644), // Rule ID 15767 //
     /* 2066558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066604 */     // MIs[0] round
     /* 2066604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066607 */     // MIs[0] policy
     /* 2066607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066643 */     // GIR_Coverage, 15767,
     /* 2066643 */     GIR_EraseRootFromParent_Done,
     /* 2066644 */   // Label 27439: @2066644
     /* 2066644 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2066735), // Rule ID 15768 //
     /* 2066649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066695 */     // MIs[0] round
     /* 2066695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066698 */     // MIs[0] policy
     /* 2066698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2066711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066734 */     // GIR_Coverage, 15768,
     /* 2066734 */     GIR_EraseRootFromParent_Done,
     /* 2066735 */   // Label 27440: @2066735
     /* 2066735 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2066826), // Rule ID 15771 //
     /* 2066740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066786 */     // MIs[0] round
     /* 2066786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066789 */     // MIs[0] policy
     /* 2066789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066825 */     // GIR_Coverage, 15771,
     /* 2066825 */     GIR_EraseRootFromParent_Done,
     /* 2066826 */   // Label 27441: @2066826
     /* 2066826 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2066917), // Rule ID 15772 //
     /* 2066831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066877 */     // MIs[0] round
     /* 2066877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066880 */     // MIs[0] policy
     /* 2066880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2066893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066916 */     // GIR_Coverage, 15772,
     /* 2066916 */     GIR_EraseRootFromParent_Done,
     /* 2066917 */   // Label 27442: @2066917
     /* 2066917 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2067008), // Rule ID 15775 //
     /* 2066922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066968 */     // MIs[0] round
     /* 2066968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066971 */     // MIs[0] policy
     /* 2066971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2066984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067007 */     // GIR_Coverage, 15775,
     /* 2067007 */     GIR_EraseRootFromParent_Done,
     /* 2067008 */   // Label 27443: @2067008
     /* 2067008 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2067099), // Rule ID 15776 //
     /* 2067013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067059 */     // MIs[0] round
     /* 2067059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067062 */     // MIs[0] policy
     /* 2067062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2067075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067098 */     // GIR_Coverage, 15776,
     /* 2067098 */     GIR_EraseRootFromParent_Done,
     /* 2067099 */   // Label 27444: @2067099
     /* 2067099 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2067190), // Rule ID 15779 //
     /* 2067104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067150 */     // MIs[0] round
     /* 2067150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067153 */     // MIs[0] policy
     /* 2067153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067163 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067189 */     // GIR_Coverage, 15779,
     /* 2067189 */     GIR_EraseRootFromParent_Done,
     /* 2067190 */   // Label 27445: @2067190
     /* 2067190 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2067281), // Rule ID 15780 //
     /* 2067195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067241 */     // MIs[0] round
     /* 2067241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067244 */     // MIs[0] policy
     /* 2067244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067280 */     // GIR_Coverage, 15780,
     /* 2067280 */     GIR_EraseRootFromParent_Done,
     /* 2067281 */   // Label 27446: @2067281
     /* 2067281 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2067372), // Rule ID 15783 //
     /* 2067286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067332 */     // MIs[0] round
     /* 2067332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067335 */     // MIs[0] policy
     /* 2067335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067345 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067371 */     // GIR_Coverage, 15783,
     /* 2067371 */     GIR_EraseRootFromParent_Done,
     /* 2067372 */   // Label 27447: @2067372
     /* 2067372 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2067463), // Rule ID 15784 //
     /* 2067377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067423 */     // MIs[0] round
     /* 2067423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067426 */     // MIs[0] policy
     /* 2067426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067462 */     // GIR_Coverage, 15784,
     /* 2067462 */     GIR_EraseRootFromParent_Done,
     /* 2067463 */   // Label 27448: @2067463
     /* 2067463 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2067554), // Rule ID 15787 //
     /* 2067468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067514 */     // MIs[0] round
     /* 2067514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067517 */     // MIs[0] policy
     /* 2067517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067553 */     // GIR_Coverage, 15787,
     /* 2067553 */     GIR_EraseRootFromParent_Done,
     /* 2067554 */   // Label 27449: @2067554
     /* 2067554 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2067645), // Rule ID 15788 //
     /* 2067559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067605 */     // MIs[0] round
     /* 2067605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067608 */     // MIs[0] policy
     /* 2067608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2067621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067644 */     // GIR_Coverage, 15788,
     /* 2067644 */     GIR_EraseRootFromParent_Done,
     /* 2067645 */   // Label 27450: @2067645
     /* 2067645 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2067736), // Rule ID 15791 //
     /* 2067650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067696 */     // MIs[0] round
     /* 2067696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067699 */     // MIs[0] policy
     /* 2067699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067735 */     // GIR_Coverage, 15791,
     /* 2067735 */     GIR_EraseRootFromParent_Done,
     /* 2067736 */   // Label 27451: @2067736
     /* 2067736 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2067827), // Rule ID 15792 //
     /* 2067741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067787 */     // MIs[0] round
     /* 2067787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067790 */     // MIs[0] policy
     /* 2067790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067826 */     // GIR_Coverage, 15792,
     /* 2067826 */     GIR_EraseRootFromParent_Done,
     /* 2067827 */   // Label 27452: @2067827
     /* 2067827 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2067918), // Rule ID 15795 //
     /* 2067832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067878 */     // MIs[0] round
     /* 2067878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067881 */     // MIs[0] policy
     /* 2067881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067917 */     // GIR_Coverage, 15795,
     /* 2067917 */     GIR_EraseRootFromParent_Done,
     /* 2067918 */   // Label 27453: @2067918
     /* 2067918 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2068009), // Rule ID 15796 //
     /* 2067923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067969 */     // MIs[0] round
     /* 2067969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067972 */     // MIs[0] policy
     /* 2067972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2067985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068008 */     // GIR_Coverage, 15796,
     /* 2068008 */     GIR_EraseRootFromParent_Done,
     /* 2068009 */   // Label 27454: @2068009
     /* 2068009 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2068100), // Rule ID 15799 //
     /* 2068014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068060 */     // MIs[0] round
     /* 2068060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068063 */     // MIs[0] policy
     /* 2068063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068099 */     // GIR_Coverage, 15799,
     /* 2068099 */     GIR_EraseRootFromParent_Done,
     /* 2068100 */   // Label 27455: @2068100
     /* 2068100 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2068191), // Rule ID 15800 //
     /* 2068105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068151 */     // MIs[0] round
     /* 2068151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068154 */     // MIs[0] policy
     /* 2068154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068190 */     // GIR_Coverage, 15800,
     /* 2068190 */     GIR_EraseRootFromParent_Done,
     /* 2068191 */   // Label 27456: @2068191
     /* 2068191 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2068282), // Rule ID 15803 //
     /* 2068196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068242 */     // MIs[0] round
     /* 2068242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068245 */     // MIs[0] policy
     /* 2068245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068281 */     // GIR_Coverage, 15803,
     /* 2068281 */     GIR_EraseRootFromParent_Done,
     /* 2068282 */   // Label 27457: @2068282
     /* 2068282 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2068373), // Rule ID 15804 //
     /* 2068287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068333 */     // MIs[0] round
     /* 2068333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068336 */     // MIs[0] policy
     /* 2068336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068372 */     // GIR_Coverage, 15804,
     /* 2068372 */     GIR_EraseRootFromParent_Done,
     /* 2068373 */   // Label 27458: @2068373
     /* 2068373 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2068464), // Rule ID 15807 //
     /* 2068378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068424 */     // MIs[0] round
     /* 2068424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068427 */     // MIs[0] policy
     /* 2068427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068463 */     // GIR_Coverage, 15807,
     /* 2068463 */     GIR_EraseRootFromParent_Done,
     /* 2068464 */   // Label 27459: @2068464
     /* 2068464 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2068555), // Rule ID 15808 //
     /* 2068469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068515 */     // MIs[0] round
     /* 2068515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068518 */     // MIs[0] policy
     /* 2068518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068554 */     // GIR_Coverage, 15808,
     /* 2068554 */     GIR_EraseRootFromParent_Done,
     /* 2068555 */   // Label 27460: @2068555
     /* 2068555 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2068646), // Rule ID 15811 //
     /* 2068560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068606 */     // MIs[0] round
     /* 2068606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068609 */     // MIs[0] policy
     /* 2068609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068645 */     // GIR_Coverage, 15811,
     /* 2068645 */     GIR_EraseRootFromParent_Done,
     /* 2068646 */   // Label 27461: @2068646
     /* 2068646 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2068737), // Rule ID 15812 //
     /* 2068651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068697 */     // MIs[0] round
     /* 2068697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068700 */     // MIs[0] policy
     /* 2068700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2068713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068736 */     // GIR_Coverage, 15812,
     /* 2068736 */     GIR_EraseRootFromParent_Done,
     /* 2068737 */   // Label 27462: @2068737
     /* 2068737 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2068828), // Rule ID 15815 //
     /* 2068742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068788 */     // MIs[0] round
     /* 2068788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068791 */     // MIs[0] policy
     /* 2068791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068801 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068827 */     // GIR_Coverage, 15815,
     /* 2068827 */     GIR_EraseRootFromParent_Done,
     /* 2068828 */   // Label 27463: @2068828
     /* 2068828 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2068919), // Rule ID 15816 //
     /* 2068833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068879 */     // MIs[0] round
     /* 2068879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068882 */     // MIs[0] policy
     /* 2068882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068918 */     // GIR_Coverage, 15816,
     /* 2068918 */     GIR_EraseRootFromParent_Done,
     /* 2068919 */   // Label 27464: @2068919
     /* 2068919 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2069010), // Rule ID 15819 //
     /* 2068924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068970 */     // MIs[0] round
     /* 2068970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068973 */     // MIs[0] policy
     /* 2068973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068983 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2068986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069009 */     // GIR_Coverage, 15819,
     /* 2069009 */     GIR_EraseRootFromParent_Done,
     /* 2069010 */   // Label 27465: @2069010
     /* 2069010 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2069101), // Rule ID 15820 //
     /* 2069015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069061 */     // MIs[0] round
     /* 2069061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069064 */     // MIs[0] policy
     /* 2069064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069100 */     // GIR_Coverage, 15820,
     /* 2069100 */     GIR_EraseRootFromParent_Done,
     /* 2069101 */   // Label 27466: @2069101
     /* 2069101 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2069192), // Rule ID 15823 //
     /* 2069106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069152 */     // MIs[0] round
     /* 2069152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069155 */     // MIs[0] policy
     /* 2069155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069165 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069191 */     // GIR_Coverage, 15823,
     /* 2069191 */     GIR_EraseRootFromParent_Done,
     /* 2069192 */   // Label 27467: @2069192
     /* 2069192 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2069283), // Rule ID 15824 //
     /* 2069197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069243 */     // MIs[0] round
     /* 2069243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069246 */     // MIs[0] policy
     /* 2069246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069282 */     // GIR_Coverage, 15824,
     /* 2069282 */     GIR_EraseRootFromParent_Done,
     /* 2069283 */   // Label 27468: @2069283
     /* 2069283 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2069374), // Rule ID 15827 //
     /* 2069288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069334 */     // MIs[0] round
     /* 2069334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069337 */     // MIs[0] policy
     /* 2069337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069373 */     // GIR_Coverage, 15827,
     /* 2069373 */     GIR_EraseRootFromParent_Done,
     /* 2069374 */   // Label 27469: @2069374
     /* 2069374 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2069465), // Rule ID 15828 //
     /* 2069379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069425 */     // MIs[0] round
     /* 2069425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069428 */     // MIs[0] policy
     /* 2069428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069464 */     // GIR_Coverage, 15828,
     /* 2069464 */     GIR_EraseRootFromParent_Done,
     /* 2069465 */   // Label 27470: @2069465
     /* 2069465 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2069556), // Rule ID 15831 //
     /* 2069470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069516 */     // MIs[0] round
     /* 2069516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069519 */     // MIs[0] policy
     /* 2069519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069529 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069555 */     // GIR_Coverage, 15831,
     /* 2069555 */     GIR_EraseRootFromParent_Done,
     /* 2069556 */   // Label 27471: @2069556
     /* 2069556 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2069647), // Rule ID 15832 //
     /* 2069561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069607 */     // MIs[0] round
     /* 2069607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069610 */     // MIs[0] policy
     /* 2069610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069620 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069646 */     // GIR_Coverage, 15832,
     /* 2069646 */     GIR_EraseRootFromParent_Done,
     /* 2069647 */   // Label 27472: @2069647
     /* 2069647 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2069738), // Rule ID 15835 //
     /* 2069652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069698 */     // MIs[0] round
     /* 2069698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069701 */     // MIs[0] policy
     /* 2069701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069737 */     // GIR_Coverage, 15835,
     /* 2069737 */     GIR_EraseRootFromParent_Done,
     /* 2069738 */   // Label 27473: @2069738
     /* 2069738 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2069829), // Rule ID 15836 //
     /* 2069743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069789 */     // MIs[0] round
     /* 2069789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069792 */     // MIs[0] policy
     /* 2069792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069828 */     // GIR_Coverage, 15836,
     /* 2069828 */     GIR_EraseRootFromParent_Done,
     /* 2069829 */   // Label 27474: @2069829
     /* 2069829 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2069920), // Rule ID 15839 //
     /* 2069834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069880 */     // MIs[0] round
     /* 2069880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069883 */     // MIs[0] policy
     /* 2069883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069919 */     // GIR_Coverage, 15839,
     /* 2069919 */     GIR_EraseRootFromParent_Done,
     /* 2069920 */   // Label 27475: @2069920
     /* 2069920 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2070011), // Rule ID 15840 //
     /* 2069925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069971 */     // MIs[0] round
     /* 2069971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069974 */     // MIs[0] policy
     /* 2069974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070010 */     // GIR_Coverage, 15840,
     /* 2070010 */     GIR_EraseRootFromParent_Done,
     /* 2070011 */   // Label 27476: @2070011
     /* 2070011 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2070102), // Rule ID 15843 //
     /* 2070016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070062 */     // MIs[0] round
     /* 2070062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070065 */     // MIs[0] policy
     /* 2070065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070101 */     // GIR_Coverage, 15843,
     /* 2070101 */     GIR_EraseRootFromParent_Done,
     /* 2070102 */   // Label 27477: @2070102
     /* 2070102 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2070193), // Rule ID 15844 //
     /* 2070107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070153 */     // MIs[0] round
     /* 2070153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070156 */     // MIs[0] policy
     /* 2070156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070192 */     // GIR_Coverage, 15844,
     /* 2070192 */     GIR_EraseRootFromParent_Done,
     /* 2070193 */   // Label 27478: @2070193
     /* 2070193 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2070284), // Rule ID 15847 //
     /* 2070198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070244 */     // MIs[0] round
     /* 2070244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070247 */     // MIs[0] policy
     /* 2070247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070283 */     // GIR_Coverage, 15847,
     /* 2070283 */     GIR_EraseRootFromParent_Done,
     /* 2070284 */   // Label 27479: @2070284
     /* 2070284 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2070375), // Rule ID 15848 //
     /* 2070289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070335 */     // MIs[0] round
     /* 2070335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070338 */     // MIs[0] policy
     /* 2070338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070374 */     // GIR_Coverage, 15848,
     /* 2070374 */     GIR_EraseRootFromParent_Done,
     /* 2070375 */   // Label 27480: @2070375
     /* 2070375 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2070466), // Rule ID 15851 //
     /* 2070380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070426 */     // MIs[0] round
     /* 2070426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070429 */     // MIs[0] policy
     /* 2070429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070465 */     // GIR_Coverage, 15851,
     /* 2070465 */     GIR_EraseRootFromParent_Done,
     /* 2070466 */   // Label 27481: @2070466
     /* 2070466 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2070557), // Rule ID 15852 //
     /* 2070471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070517 */     // MIs[0] round
     /* 2070517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070520 */     // MIs[0] policy
     /* 2070520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2070533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070556 */     // GIR_Coverage, 15852,
     /* 2070556 */     GIR_EraseRootFromParent_Done,
     /* 2070557 */   // Label 27482: @2070557
     /* 2070557 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2070648), // Rule ID 15855 //
     /* 2070562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070608 */     // MIs[0] round
     /* 2070608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070611 */     // MIs[0] policy
     /* 2070611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070621 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070647 */     // GIR_Coverage, 15855,
     /* 2070647 */     GIR_EraseRootFromParent_Done,
     /* 2070648 */   // Label 27483: @2070648
     /* 2070648 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2070739), // Rule ID 15856 //
     /* 2070653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070699 */     // MIs[0] round
     /* 2070699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070702 */     // MIs[0] policy
     /* 2070702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2070715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070738 */     // GIR_Coverage, 15856,
     /* 2070738 */     GIR_EraseRootFromParent_Done,
     /* 2070739 */   // Label 27484: @2070739
     /* 2070739 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2070830), // Rule ID 15859 //
     /* 2070744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070790 */     // MIs[0] round
     /* 2070790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070793 */     // MIs[0] policy
     /* 2070793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070829 */     // GIR_Coverage, 15859,
     /* 2070829 */     GIR_EraseRootFromParent_Done,
     /* 2070830 */   // Label 27485: @2070830
     /* 2070830 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2070921), // Rule ID 15860 //
     /* 2070835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070881 */     // MIs[0] round
     /* 2070881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070884 */     // MIs[0] policy
     /* 2070884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2070897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070920 */     // GIR_Coverage, 15860,
     /* 2070920 */     GIR_EraseRootFromParent_Done,
     /* 2070921 */   // Label 27486: @2070921
     /* 2070921 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2071012), // Rule ID 15951 //
     /* 2070926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2070937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2070940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2070943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2070946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070972 */     // MIs[0] round
     /* 2070972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070975 */     // MIs[0] policy
     /* 2070975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070985 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2070988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071011 */     // GIR_Coverage, 15951,
     /* 2071011 */     GIR_EraseRootFromParent_Done,
     /* 2071012 */   // Label 27487: @2071012
     /* 2071012 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2071103), // Rule ID 15952 //
     /* 2071017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2071037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071063 */     // MIs[0] round
     /* 2071063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071066 */     // MIs[0] policy
     /* 2071066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2071079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071102 */     // GIR_Coverage, 15952,
     /* 2071102 */     GIR_EraseRootFromParent_Done,
     /* 2071103 */   // Label 27488: @2071103
     /* 2071103 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2071194), // Rule ID 15955 //
     /* 2071108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071154 */     // MIs[0] round
     /* 2071154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071157 */     // MIs[0] policy
     /* 2071157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071193 */     // GIR_Coverage, 15955,
     /* 2071193 */     GIR_EraseRootFromParent_Done,
     /* 2071194 */   // Label 27489: @2071194
     /* 2071194 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2071285), // Rule ID 15956 //
     /* 2071199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2071219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071245 */     // MIs[0] round
     /* 2071245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071248 */     // MIs[0] policy
     /* 2071248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071284 */     // GIR_Coverage, 15956,
     /* 2071284 */     GIR_EraseRootFromParent_Done,
     /* 2071285 */   // Label 27490: @2071285
     /* 2071285 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2071376), // Rule ID 15959 //
     /* 2071290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071336 */     // MIs[0] round
     /* 2071336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071339 */     // MIs[0] policy
     /* 2071339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071375 */     // GIR_Coverage, 15959,
     /* 2071375 */     GIR_EraseRootFromParent_Done,
     /* 2071376 */   // Label 27491: @2071376
     /* 2071376 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2071467), // Rule ID 15960 //
     /* 2071381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071427 */     // MIs[0] round
     /* 2071427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071430 */     // MIs[0] policy
     /* 2071430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071466 */     // GIR_Coverage, 15960,
     /* 2071466 */     GIR_EraseRootFromParent_Done,
     /* 2071467 */   // Label 27492: @2071467
     /* 2071467 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2071558), // Rule ID 15963 //
     /* 2071472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071518 */     // MIs[0] round
     /* 2071518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071521 */     // MIs[0] policy
     /* 2071521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071557 */     // GIR_Coverage, 15963,
     /* 2071557 */     GIR_EraseRootFromParent_Done,
     /* 2071558 */   // Label 27493: @2071558
     /* 2071558 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2071649), // Rule ID 15964 //
     /* 2071563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071609 */     // MIs[0] round
     /* 2071609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071612 */     // MIs[0] policy
     /* 2071612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2071625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071648 */     // GIR_Coverage, 15964,
     /* 2071648 */     GIR_EraseRootFromParent_Done,
     /* 2071649 */   // Label 27494: @2071649
     /* 2071649 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2071740), // Rule ID 15967 //
     /* 2071654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071700 */     // MIs[0] round
     /* 2071700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071703 */     // MIs[0] policy
     /* 2071703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071739 */     // GIR_Coverage, 15967,
     /* 2071739 */     GIR_EraseRootFromParent_Done,
     /* 2071740 */   // Label 27495: @2071740
     /* 2071740 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2071831), // Rule ID 15968 //
     /* 2071745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071791 */     // MIs[0] round
     /* 2071791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071794 */     // MIs[0] policy
     /* 2071794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071830 */     // GIR_Coverage, 15968,
     /* 2071830 */     GIR_EraseRootFromParent_Done,
     /* 2071831 */   // Label 27496: @2071831
     /* 2071831 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2071922), // Rule ID 15971 //
     /* 2071836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071882 */     // MIs[0] round
     /* 2071882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071885 */     // MIs[0] policy
     /* 2071885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071921 */     // GIR_Coverage, 15971,
     /* 2071921 */     GIR_EraseRootFromParent_Done,
     /* 2071922 */   // Label 27497: @2071922
     /* 2071922 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2072013), // Rule ID 15972 //
     /* 2071927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071973 */     // MIs[0] round
     /* 2071973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071976 */     // MIs[0] policy
     /* 2071976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2071989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072012 */     // GIR_Coverage, 15972,
     /* 2072012 */     GIR_EraseRootFromParent_Done,
     /* 2072013 */   // Label 27498: @2072013
     /* 2072013 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2072104), // Rule ID 15975 //
     /* 2072018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072064 */     // MIs[0] round
     /* 2072064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072067 */     // MIs[0] policy
     /* 2072067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072103 */     // GIR_Coverage, 15975,
     /* 2072103 */     GIR_EraseRootFromParent_Done,
     /* 2072104 */   // Label 27499: @2072104
     /* 2072104 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2072195), // Rule ID 15976 //
     /* 2072109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2072129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072155 */     // MIs[0] round
     /* 2072155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072158 */     // MIs[0] policy
     /* 2072158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072194 */     // GIR_Coverage, 15976,
     /* 2072194 */     GIR_EraseRootFromParent_Done,
     /* 2072195 */   // Label 27500: @2072195
     /* 2072195 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2072286), // Rule ID 15979 //
     /* 2072200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072246 */     // MIs[0] round
     /* 2072246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072249 */     // MIs[0] policy
     /* 2072249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072285 */     // GIR_Coverage, 15979,
     /* 2072285 */     GIR_EraseRootFromParent_Done,
     /* 2072286 */   // Label 27501: @2072286
     /* 2072286 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2072377), // Rule ID 15980 //
     /* 2072291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072337 */     // MIs[0] round
     /* 2072337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072340 */     // MIs[0] policy
     /* 2072340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072376 */     // GIR_Coverage, 15980,
     /* 2072376 */     GIR_EraseRootFromParent_Done,
     /* 2072377 */   // Label 27502: @2072377
     /* 2072377 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2072468), // Rule ID 15983 //
     /* 2072382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072428 */     // MIs[0] round
     /* 2072428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072431 */     // MIs[0] policy
     /* 2072431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072467 */     // GIR_Coverage, 15983,
     /* 2072467 */     GIR_EraseRootFromParent_Done,
     /* 2072468 */   // Label 27503: @2072468
     /* 2072468 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2072559), // Rule ID 15984 //
     /* 2072473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072519 */     // MIs[0] round
     /* 2072519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072522 */     // MIs[0] policy
     /* 2072522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072558 */     // GIR_Coverage, 15984,
     /* 2072558 */     GIR_EraseRootFromParent_Done,
     /* 2072559 */   // Label 27504: @2072559
     /* 2072559 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2072650), // Rule ID 15987 //
     /* 2072564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2072581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072610 */     // MIs[0] round
     /* 2072610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072613 */     // MIs[0] policy
     /* 2072613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072649 */     // GIR_Coverage, 15987,
     /* 2072649 */     GIR_EraseRootFromParent_Done,
     /* 2072650 */   // Label 27505: @2072650
     /* 2072650 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2072741), // Rule ID 15988 //
     /* 2072655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2072658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2072672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072701 */     // MIs[0] round
     /* 2072701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072704 */     // MIs[0] policy
     /* 2072704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2072717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072740 */     // GIR_Coverage, 15988,
     /* 2072740 */     GIR_EraseRootFromParent_Done,
     /* 2072741 */   // Label 27506: @2072741
     /* 2072741 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2072832), // Rule ID 15991 //
     /* 2072746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072792 */     // MIs[0] round
     /* 2072792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072795 */     // MIs[0] policy
     /* 2072795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072831 */     // GIR_Coverage, 15991,
     /* 2072831 */     GIR_EraseRootFromParent_Done,
     /* 2072832 */   // Label 27507: @2072832
     /* 2072832 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2072923), // Rule ID 15992 //
     /* 2072837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072883 */     // MIs[0] round
     /* 2072883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072886 */     // MIs[0] policy
     /* 2072886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072922 */     // GIR_Coverage, 15992,
     /* 2072922 */     GIR_EraseRootFromParent_Done,
     /* 2072923 */   // Label 27508: @2072923
     /* 2072923 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2073014), // Rule ID 15995 //
     /* 2072928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2072939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2072942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2072945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2072948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072974 */     // MIs[0] round
     /* 2072974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072977 */     // MIs[0] policy
     /* 2072977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2072990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073013 */     // GIR_Coverage, 15995,
     /* 2073013 */     GIR_EraseRootFromParent_Done,
     /* 2073014 */   // Label 27509: @2073014
     /* 2073014 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2073105), // Rule ID 15996 //
     /* 2073019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073065 */     // MIs[0] round
     /* 2073065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073068 */     // MIs[0] policy
     /* 2073068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073104 */     // GIR_Coverage, 15996,
     /* 2073104 */     GIR_EraseRootFromParent_Done,
     /* 2073105 */   // Label 27510: @2073105
     /* 2073105 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2073196), // Rule ID 15999 //
     /* 2073110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073156 */     // MIs[0] round
     /* 2073156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073159 */     // MIs[0] policy
     /* 2073159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073169 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073195 */     // GIR_Coverage, 15999,
     /* 2073195 */     GIR_EraseRootFromParent_Done,
     /* 2073196 */   // Label 27511: @2073196
     /* 2073196 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2073287), // Rule ID 16000 //
     /* 2073201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2073221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073247 */     // MIs[0] round
     /* 2073247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073250 */     // MIs[0] policy
     /* 2073250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073286 */     // GIR_Coverage, 16000,
     /* 2073286 */     GIR_EraseRootFromParent_Done,
     /* 2073287 */   // Label 27512: @2073287
     /* 2073287 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2073378), // Rule ID 16003 //
     /* 2073292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073338 */     // MIs[0] round
     /* 2073338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073341 */     // MIs[0] policy
     /* 2073341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073377 */     // GIR_Coverage, 16003,
     /* 2073377 */     GIR_EraseRootFromParent_Done,
     /* 2073378 */   // Label 27513: @2073378
     /* 2073378 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2073469), // Rule ID 16004 //
     /* 2073383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073429 */     // MIs[0] round
     /* 2073429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073432 */     // MIs[0] policy
     /* 2073432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073468 */     // GIR_Coverage, 16004,
     /* 2073468 */     GIR_EraseRootFromParent_Done,
     /* 2073469 */   // Label 27514: @2073469
     /* 2073469 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2073560), // Rule ID 16007 //
     /* 2073474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073520 */     // MIs[0] round
     /* 2073520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073523 */     // MIs[0] policy
     /* 2073523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073559 */     // GIR_Coverage, 16007,
     /* 2073559 */     GIR_EraseRootFromParent_Done,
     /* 2073560 */   // Label 27515: @2073560
     /* 2073560 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2073651), // Rule ID 16008 //
     /* 2073565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073611 */     // MIs[0] round
     /* 2073611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073614 */     // MIs[0] policy
     /* 2073614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073650 */     // GIR_Coverage, 16008,
     /* 2073650 */     GIR_EraseRootFromParent_Done,
     /* 2073651 */   // Label 27516: @2073651
     /* 2073651 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2073742), // Rule ID 16011 //
     /* 2073656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073702 */     // MIs[0] round
     /* 2073702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073705 */     // MIs[0] policy
     /* 2073705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073741 */     // GIR_Coverage, 16011,
     /* 2073741 */     GIR_EraseRootFromParent_Done,
     /* 2073742 */   // Label 27517: @2073742
     /* 2073742 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2073833), // Rule ID 16012 //
     /* 2073747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073793 */     // MIs[0] round
     /* 2073793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073796 */     // MIs[0] policy
     /* 2073796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073832 */     // GIR_Coverage, 16012,
     /* 2073832 */     GIR_EraseRootFromParent_Done,
     /* 2073833 */   // Label 27518: @2073833
     /* 2073833 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2073924), // Rule ID 16015 //
     /* 2073838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073884 */     // MIs[0] round
     /* 2073884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073887 */     // MIs[0] policy
     /* 2073887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073923 */     // GIR_Coverage, 16015,
     /* 2073923 */     GIR_EraseRootFromParent_Done,
     /* 2073924 */   // Label 27519: @2073924
     /* 2073924 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2074015), // Rule ID 16016 //
     /* 2073929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073975 */     // MIs[0] round
     /* 2073975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073978 */     // MIs[0] policy
     /* 2073978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074014 */     // GIR_Coverage, 16016,
     /* 2074014 */     GIR_EraseRootFromParent_Done,
     /* 2074015 */   // Label 27520: @2074015
     /* 2074015 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2074106), // Rule ID 16019 //
     /* 2074020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074066 */     // MIs[0] round
     /* 2074066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074069 */     // MIs[0] policy
     /* 2074069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074105 */     // GIR_Coverage, 16019,
     /* 2074105 */     GIR_EraseRootFromParent_Done,
     /* 2074106 */   // Label 27521: @2074106
     /* 2074106 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2074197), // Rule ID 16020 //
     /* 2074111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2074131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074157 */     // MIs[0] round
     /* 2074157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074160 */     // MIs[0] policy
     /* 2074160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074196 */     // GIR_Coverage, 16020,
     /* 2074196 */     GIR_EraseRootFromParent_Done,
     /* 2074197 */   // Label 27522: @2074197
     /* 2074197 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2074288), // Rule ID 16023 //
     /* 2074202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074248 */     // MIs[0] round
     /* 2074248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074251 */     // MIs[0] policy
     /* 2074251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074287 */     // GIR_Coverage, 16023,
     /* 2074287 */     GIR_EraseRootFromParent_Done,
     /* 2074288 */   // Label 27523: @2074288
     /* 2074288 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2074379), // Rule ID 16024 //
     /* 2074293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2074313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074339 */     // MIs[0] round
     /* 2074339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074342 */     // MIs[0] policy
     /* 2074342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074378 */     // GIR_Coverage, 16024,
     /* 2074378 */     GIR_EraseRootFromParent_Done,
     /* 2074379 */   // Label 27524: @2074379
     /* 2074379 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2074470), // Rule ID 16027 //
     /* 2074384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074430 */     // MIs[0] round
     /* 2074430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074433 */     // MIs[0] policy
     /* 2074433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074469 */     // GIR_Coverage, 16027,
     /* 2074469 */     GIR_EraseRootFromParent_Done,
     /* 2074470 */   // Label 27525: @2074470
     /* 2074470 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2074561), // Rule ID 16028 //
     /* 2074475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2074495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074521 */     // MIs[0] round
     /* 2074521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074524 */     // MIs[0] policy
     /* 2074524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2074537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074560 */     // GIR_Coverage, 16028,
     /* 2074560 */     GIR_EraseRootFromParent_Done,
     /* 2074561 */   // Label 27526: @2074561
     /* 2074561 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2074652), // Rule ID 16031 //
     /* 2074566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2074586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074612 */     // MIs[0] round
     /* 2074612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074615 */     // MIs[0] policy
     /* 2074615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074651 */     // GIR_Coverage, 16031,
     /* 2074651 */     GIR_EraseRootFromParent_Done,
     /* 2074652 */   // Label 27527: @2074652
     /* 2074652 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2074743), // Rule ID 16032 //
     /* 2074657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2074668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2074671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2074674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2074677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074703 */     // MIs[0] round
     /* 2074703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074706 */     // MIs[0] policy
     /* 2074706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2074719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074742 */     // GIR_Coverage, 16032,
     /* 2074742 */     GIR_EraseRootFromParent_Done,
     /* 2074743 */   // Label 27528: @2074743
     /* 2074743 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2074834), // Rule ID 16035 //
     /* 2074748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2074768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074794 */     // MIs[0] round
     /* 2074794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074797 */     // MIs[0] policy
     /* 2074797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074833 */     // GIR_Coverage, 16035,
     /* 2074833 */     GIR_EraseRootFromParent_Done,
     /* 2074834 */   // Label 27529: @2074834
     /* 2074834 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2074925), // Rule ID 16036 //
     /* 2074839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2074842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2074850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2074853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2074856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2074859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074885 */     // MIs[0] round
     /* 2074885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074888 */     // MIs[0] policy
     /* 2074888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2074901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074924 */     // GIR_Coverage, 16036,
     /* 2074924 */     GIR_EraseRootFromParent_Done,
     /* 2074925 */   // Label 27530: @2074925
     /* 2074925 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2075016), // Rule ID 16039 //
     /* 2074930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074976 */     // MIs[0] round
     /* 2074976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074979 */     // MIs[0] policy
     /* 2074979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2074992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075015 */     // GIR_Coverage, 16039,
     /* 2075015 */     GIR_EraseRootFromParent_Done,
     /* 2075016 */   // Label 27531: @2075016
     /* 2075016 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2075107), // Rule ID 16040 //
     /* 2075021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075067 */     // MIs[0] round
     /* 2075067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075070 */     // MIs[0] policy
     /* 2075070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075080 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2075083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075106 */     // GIR_Coverage, 16040,
     /* 2075106 */     GIR_EraseRootFromParent_Done,
     /* 2075107 */   // Label 27532: @2075107
     /* 2075107 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2075198), // Rule ID 16043 //
     /* 2075112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075158 */     // MIs[0] round
     /* 2075158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075161 */     // MIs[0] policy
     /* 2075161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075197 */     // GIR_Coverage, 16043,
     /* 2075197 */     GIR_EraseRootFromParent_Done,
     /* 2075198 */   // Label 27533: @2075198
     /* 2075198 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2075289), // Rule ID 16044 //
     /* 2075203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075249 */     // MIs[0] round
     /* 2075249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075252 */     // MIs[0] policy
     /* 2075252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075288 */     // GIR_Coverage, 16044,
     /* 2075288 */     GIR_EraseRootFromParent_Done,
     /* 2075289 */   // Label 27534: @2075289
     /* 2075289 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2075380), // Rule ID 16047 //
     /* 2075294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075340 */     // MIs[0] round
     /* 2075340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075343 */     // MIs[0] policy
     /* 2075343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075379 */     // GIR_Coverage, 16047,
     /* 2075379 */     GIR_EraseRootFromParent_Done,
     /* 2075380 */   // Label 27535: @2075380
     /* 2075380 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2075471), // Rule ID 16048 //
     /* 2075385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075431 */     // MIs[0] round
     /* 2075431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075434 */     // MIs[0] policy
     /* 2075434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075470 */     // GIR_Coverage, 16048,
     /* 2075470 */     GIR_EraseRootFromParent_Done,
     /* 2075471 */   // Label 27536: @2075471
     /* 2075471 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2075562), // Rule ID 16051 //
     /* 2075476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075522 */     // MIs[0] round
     /* 2075522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075525 */     // MIs[0] policy
     /* 2075525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075561 */     // GIR_Coverage, 16051,
     /* 2075561 */     GIR_EraseRootFromParent_Done,
     /* 2075562 */   // Label 27537: @2075562
     /* 2075562 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2075653), // Rule ID 16052 //
     /* 2075567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2075578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2075581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075613 */     // MIs[0] round
     /* 2075613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075616 */     // MIs[0] policy
     /* 2075616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2075629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075652 */     // GIR_Coverage, 16052,
     /* 2075652 */     GIR_EraseRootFromParent_Done,
     /* 2075653 */   // Label 27538: @2075653
     /* 2075653 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2075744), // Rule ID 16055 //
     /* 2075658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075704 */     // MIs[0] round
     /* 2075704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075707 */     // MIs[0] policy
     /* 2075707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075743 */     // GIR_Coverage, 16055,
     /* 2075743 */     GIR_EraseRootFromParent_Done,
     /* 2075744 */   // Label 27539: @2075744
     /* 2075744 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2075835), // Rule ID 16056 //
     /* 2075749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2075760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2075763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2075766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075795 */     // MIs[0] round
     /* 2075795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075798 */     // MIs[0] policy
     /* 2075798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075834 */     // GIR_Coverage, 16056,
     /* 2075834 */     GIR_EraseRootFromParent_Done,
     /* 2075835 */   // Label 27540: @2075835
     /* 2075835 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2075926), // Rule ID 16059 //
     /* 2075840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075886 */     // MIs[0] round
     /* 2075886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075889 */     // MIs[0] policy
     /* 2075889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075925 */     // GIR_Coverage, 16059,
     /* 2075925 */     GIR_EraseRootFromParent_Done,
     /* 2075926 */   // Label 27541: @2075926
     /* 2075926 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2076017), // Rule ID 16060 //
     /* 2075931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075977 */     // MIs[0] round
     /* 2075977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075980 */     // MIs[0] policy
     /* 2075980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2075993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076016 */     // GIR_Coverage, 16060,
     /* 2076016 */     GIR_EraseRootFromParent_Done,
     /* 2076017 */   // Label 27542: @2076017
     /* 2076017 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2076108), // Rule ID 16063 //
     /* 2076022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076068 */     // MIs[0] round
     /* 2076068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076071 */     // MIs[0] policy
     /* 2076071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076107 */     // GIR_Coverage, 16063,
     /* 2076107 */     GIR_EraseRootFromParent_Done,
     /* 2076108 */   // Label 27543: @2076108
     /* 2076108 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2076199), // Rule ID 16064 //
     /* 2076113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076159 */     // MIs[0] round
     /* 2076159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076162 */     // MIs[0] policy
     /* 2076162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076198 */     // GIR_Coverage, 16064,
     /* 2076198 */     GIR_EraseRootFromParent_Done,
     /* 2076199 */   // Label 27544: @2076199
     /* 2076199 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2076290), // Rule ID 16067 //
     /* 2076204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076250 */     // MIs[0] round
     /* 2076250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076253 */     // MIs[0] policy
     /* 2076253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076289 */     // GIR_Coverage, 16067,
     /* 2076289 */     GIR_EraseRootFromParent_Done,
     /* 2076290 */   // Label 27545: @2076290
     /* 2076290 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2076381), // Rule ID 16068 //
     /* 2076295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076341 */     // MIs[0] round
     /* 2076341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076344 */     // MIs[0] policy
     /* 2076344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076380 */     // GIR_Coverage, 16068,
     /* 2076380 */     GIR_EraseRootFromParent_Done,
     /* 2076381 */   // Label 27546: @2076381
     /* 2076381 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2076472), // Rule ID 16071 //
     /* 2076386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076432 */     // MIs[0] round
     /* 2076432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076435 */     // MIs[0] policy
     /* 2076435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076471 */     // GIR_Coverage, 16071,
     /* 2076471 */     GIR_EraseRootFromParent_Done,
     /* 2076472 */   // Label 27547: @2076472
     /* 2076472 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2076563), // Rule ID 16072 //
     /* 2076477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076523 */     // MIs[0] round
     /* 2076523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076526 */     // MIs[0] policy
     /* 2076526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076562 */     // GIR_Coverage, 16072,
     /* 2076562 */     GIR_EraseRootFromParent_Done,
     /* 2076563 */   // Label 27548: @2076563
     /* 2076563 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2076654), // Rule ID 16075 //
     /* 2076568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2076571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076614 */     // MIs[0] round
     /* 2076614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076617 */     // MIs[0] policy
     /* 2076617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076653 */     // GIR_Coverage, 16075,
     /* 2076653 */     GIR_EraseRootFromParent_Done,
     /* 2076654 */   // Label 27549: @2076654
     /* 2076654 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2076745), // Rule ID 16076 //
     /* 2076659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2076662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2076676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076705 */     // MIs[0] round
     /* 2076705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076708 */     // MIs[0] policy
     /* 2076708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2076721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076744 */     // GIR_Coverage, 16076,
     /* 2076744 */     GIR_EraseRootFromParent_Done,
     /* 2076745 */   // Label 27550: @2076745
     /* 2076745 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2076836), // Rule ID 16079 //
     /* 2076750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076796 */     // MIs[0] round
     /* 2076796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076799 */     // MIs[0] policy
     /* 2076799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076809 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076835 */     // GIR_Coverage, 16079,
     /* 2076835 */     GIR_EraseRootFromParent_Done,
     /* 2076836 */   // Label 27551: @2076836
     /* 2076836 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2076927), // Rule ID 16080 //
     /* 2076841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2076858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076887 */     // MIs[0] round
     /* 2076887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076890 */     // MIs[0] policy
     /* 2076890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076926 */     // GIR_Coverage, 16080,
     /* 2076926 */     GIR_EraseRootFromParent_Done,
     /* 2076927 */   // Label 27552: @2076927
     /* 2076927 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2077018), // Rule ID 16083 //
     /* 2076932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2076949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076978 */     // MIs[0] round
     /* 2076978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076981 */     // MIs[0] policy
     /* 2076981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076991 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2076994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077017 */     // GIR_Coverage, 16083,
     /* 2077017 */     GIR_EraseRootFromParent_Done,
     /* 2077018 */   // Label 27553: @2077018
     /* 2077018 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2077109), // Rule ID 16084 //
     /* 2077023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077069 */     // MIs[0] round
     /* 2077069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077072 */     // MIs[0] policy
     /* 2077072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077108 */     // GIR_Coverage, 16084,
     /* 2077108 */     GIR_EraseRootFromParent_Done,
     /* 2077109 */   // Label 27554: @2077109
     /* 2077109 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2077200), // Rule ID 16087 //
     /* 2077114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077160 */     // MIs[0] round
     /* 2077160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077163 */     // MIs[0] policy
     /* 2077163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077173 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077199 */     // GIR_Coverage, 16087,
     /* 2077199 */     GIR_EraseRootFromParent_Done,
     /* 2077200 */   // Label 27555: @2077200
     /* 2077200 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2077291), // Rule ID 16088 //
     /* 2077205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077251 */     // MIs[0] round
     /* 2077251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077254 */     // MIs[0] policy
     /* 2077254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077290 */     // GIR_Coverage, 16088,
     /* 2077290 */     GIR_EraseRootFromParent_Done,
     /* 2077291 */   // Label 27556: @2077291
     /* 2077291 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2077382), // Rule ID 16091 //
     /* 2077296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077342 */     // MIs[0] round
     /* 2077342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077345 */     // MIs[0] policy
     /* 2077345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077381 */     // GIR_Coverage, 16091,
     /* 2077381 */     GIR_EraseRootFromParent_Done,
     /* 2077382 */   // Label 27557: @2077382
     /* 2077382 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2077473), // Rule ID 16092 //
     /* 2077387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077433 */     // MIs[0] round
     /* 2077433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077436 */     // MIs[0] policy
     /* 2077436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077472 */     // GIR_Coverage, 16092,
     /* 2077472 */     GIR_EraseRootFromParent_Done,
     /* 2077473 */   // Label 27558: @2077473
     /* 2077473 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2077564), // Rule ID 16095 //
     /* 2077478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077524 */     // MIs[0] round
     /* 2077524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077527 */     // MIs[0] policy
     /* 2077527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077563 */     // GIR_Coverage, 16095,
     /* 2077563 */     GIR_EraseRootFromParent_Done,
     /* 2077564 */   // Label 27559: @2077564
     /* 2077564 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2077655), // Rule ID 16096 //
     /* 2077569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2077586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077615 */     // MIs[0] round
     /* 2077615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077618 */     // MIs[0] policy
     /* 2077618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077654 */     // GIR_Coverage, 16096,
     /* 2077654 */     GIR_EraseRootFromParent_Done,
     /* 2077655 */   // Label 27560: @2077655
     /* 2077655 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2077746), // Rule ID 16099 //
     /* 2077660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077706 */     // MIs[0] round
     /* 2077706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077709 */     // MIs[0] policy
     /* 2077709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077745 */     // GIR_Coverage, 16099,
     /* 2077745 */     GIR_EraseRootFromParent_Done,
     /* 2077746 */   // Label 27561: @2077746
     /* 2077746 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2077837), // Rule ID 16100 //
     /* 2077751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2077762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2077765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2077768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077797 */     // MIs[0] round
     /* 2077797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077800 */     // MIs[0] policy
     /* 2077800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077836 */     // GIR_Coverage, 16100,
     /* 2077836 */     GIR_EraseRootFromParent_Done,
     /* 2077837 */   // Label 27562: @2077837
     /* 2077837 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2077928), // Rule ID 16103 //
     /* 2077842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077888 */     // MIs[0] round
     /* 2077888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077891 */     // MIs[0] policy
     /* 2077891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077927 */     // GIR_Coverage, 16103,
     /* 2077927 */     GIR_EraseRootFromParent_Done,
     /* 2077928 */   // Label 27563: @2077928
     /* 2077928 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2078019), // Rule ID 16104 //
     /* 2077933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2077944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2077947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077979 */     // MIs[0] round
     /* 2077979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077982 */     // MIs[0] policy
     /* 2077982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078018 */     // GIR_Coverage, 16104,
     /* 2078018 */     GIR_EraseRootFromParent_Done,
     /* 2078019 */   // Label 27564: @2078019
     /* 2078019 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2078110), // Rule ID 16107 //
     /* 2078024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078070 */     // MIs[0] round
     /* 2078070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078073 */     // MIs[0] policy
     /* 2078073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078109 */     // GIR_Coverage, 16107,
     /* 2078109 */     GIR_EraseRootFromParent_Done,
     /* 2078110 */   // Label 27565: @2078110
     /* 2078110 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2078201), // Rule ID 16108 //
     /* 2078115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078161 */     // MIs[0] round
     /* 2078161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078164 */     // MIs[0] policy
     /* 2078164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078200 */     // GIR_Coverage, 16108,
     /* 2078200 */     GIR_EraseRootFromParent_Done,
     /* 2078201 */   // Label 27566: @2078201
     /* 2078201 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2078292), // Rule ID 16111 //
     /* 2078206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078252 */     // MIs[0] round
     /* 2078252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078255 */     // MIs[0] policy
     /* 2078255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078265 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078291 */     // GIR_Coverage, 16111,
     /* 2078291 */     GIR_EraseRootFromParent_Done,
     /* 2078292 */   // Label 27567: @2078292
     /* 2078292 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2078383), // Rule ID 16112 //
     /* 2078297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078343 */     // MIs[0] round
     /* 2078343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078346 */     // MIs[0] policy
     /* 2078346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078382 */     // GIR_Coverage, 16112,
     /* 2078382 */     GIR_EraseRootFromParent_Done,
     /* 2078383 */   // Label 27568: @2078383
     /* 2078383 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2078474), // Rule ID 16115 //
     /* 2078388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078434 */     // MIs[0] round
     /* 2078434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078437 */     // MIs[0] policy
     /* 2078437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078473 */     // GIR_Coverage, 16115,
     /* 2078473 */     GIR_EraseRootFromParent_Done,
     /* 2078474 */   // Label 27569: @2078474
     /* 2078474 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2078565), // Rule ID 16116 //
     /* 2078479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078525 */     // MIs[0] round
     /* 2078525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078528 */     // MIs[0] policy
     /* 2078528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2078541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078564 */     // GIR_Coverage, 16116,
     /* 2078564 */     GIR_EraseRootFromParent_Done,
     /* 2078565 */   // Label 27570: @2078565
     /* 2078565 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2078656), // Rule ID 16119 //
     /* 2078570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078616 */     // MIs[0] round
     /* 2078616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078619 */     // MIs[0] policy
     /* 2078619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078629 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078655 */     // GIR_Coverage, 16119,
     /* 2078655 */     GIR_EraseRootFromParent_Done,
     /* 2078656 */   // Label 27571: @2078656
     /* 2078656 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2078747), // Rule ID 16120 //
     /* 2078661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078707 */     // MIs[0] round
     /* 2078707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078710 */     // MIs[0] policy
     /* 2078710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2078723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078746 */     // GIR_Coverage, 16120,
     /* 2078746 */     GIR_EraseRootFromParent_Done,
     /* 2078747 */   // Label 27572: @2078747
     /* 2078747 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2078838), // Rule ID 16123 //
     /* 2078752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078798 */     // MIs[0] round
     /* 2078798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078801 */     // MIs[0] policy
     /* 2078801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078837 */     // GIR_Coverage, 16123,
     /* 2078837 */     GIR_EraseRootFromParent_Done,
     /* 2078838 */   // Label 27573: @2078838
     /* 2078838 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2078929), // Rule ID 16124 //
     /* 2078843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2078846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078889 */     // MIs[0] round
     /* 2078889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078892 */     // MIs[0] policy
     /* 2078892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078902 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2078905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078928 */     // GIR_Coverage, 16124,
     /* 2078928 */     GIR_EraseRootFromParent_Done,
     /* 2078929 */   // Label 27574: @2078929
     /* 2078929 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2079023), // Rule ID 16215 //
     /* 2078934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2078951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2078954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078980 */     // MIs[0] round
     /* 2078980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078983 */     // MIs[0] policy
     /* 2078983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078993 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2078996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079022 */     // GIR_Coverage, 16215,
     /* 2079022 */     GIR_EraseRootFromParent_Done,
     /* 2079023 */   // Label 27575: @2079023
     /* 2079023 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2079117), // Rule ID 16216 //
     /* 2079028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079074 */     // MIs[0] round
     /* 2079074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079077 */     // MIs[0] policy
     /* 2079077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079087 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2079090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079116 */     // GIR_Coverage, 16216,
     /* 2079116 */     GIR_EraseRootFromParent_Done,
     /* 2079117 */   // Label 27576: @2079117
     /* 2079117 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2079211), // Rule ID 16219 //
     /* 2079122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079168 */     // MIs[0] round
     /* 2079168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079171 */     // MIs[0] policy
     /* 2079171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079181 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079210 */     // GIR_Coverage, 16219,
     /* 2079210 */     GIR_EraseRootFromParent_Done,
     /* 2079211 */   // Label 27577: @2079211
     /* 2079211 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2079305), // Rule ID 16220 //
     /* 2079216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079262 */     // MIs[0] round
     /* 2079262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079265 */     // MIs[0] policy
     /* 2079265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079304 */     // GIR_Coverage, 16220,
     /* 2079304 */     GIR_EraseRootFromParent_Done,
     /* 2079305 */   // Label 27578: @2079305
     /* 2079305 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2079399), // Rule ID 16223 //
     /* 2079310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079356 */     // MIs[0] round
     /* 2079356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079359 */     // MIs[0] policy
     /* 2079359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079398 */     // GIR_Coverage, 16223,
     /* 2079398 */     GIR_EraseRootFromParent_Done,
     /* 2079399 */   // Label 27579: @2079399
     /* 2079399 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2079493), // Rule ID 16224 //
     /* 2079404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079450 */     // MIs[0] round
     /* 2079450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079453 */     // MIs[0] policy
     /* 2079453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079463 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079492 */     // GIR_Coverage, 16224,
     /* 2079492 */     GIR_EraseRootFromParent_Done,
     /* 2079493 */   // Label 27580: @2079493
     /* 2079493 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2079587), // Rule ID 16227 //
     /* 2079498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079544 */     // MIs[0] round
     /* 2079544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079547 */     // MIs[0] policy
     /* 2079547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079586 */     // GIR_Coverage, 16227,
     /* 2079586 */     GIR_EraseRootFromParent_Done,
     /* 2079587 */   // Label 27581: @2079587
     /* 2079587 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2079681), // Rule ID 16228 //
     /* 2079592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079638 */     // MIs[0] round
     /* 2079638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079641 */     // MIs[0] policy
     /* 2079641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079680 */     // GIR_Coverage, 16228,
     /* 2079680 */     GIR_EraseRootFromParent_Done,
     /* 2079681 */   // Label 27582: @2079681
     /* 2079681 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2079775), // Rule ID 16231 //
     /* 2079686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079732 */     // MIs[0] round
     /* 2079732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079735 */     // MIs[0] policy
     /* 2079735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079774 */     // GIR_Coverage, 16231,
     /* 2079774 */     GIR_EraseRootFromParent_Done,
     /* 2079775 */   // Label 27583: @2079775
     /* 2079775 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2079869), // Rule ID 16232 //
     /* 2079780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079826 */     // MIs[0] round
     /* 2079826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079829 */     // MIs[0] policy
     /* 2079829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079839 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079868 */     // GIR_Coverage, 16232,
     /* 2079868 */     GIR_EraseRootFromParent_Done,
     /* 2079869 */   // Label 27584: @2079869
     /* 2079869 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2079963), // Rule ID 16235 //
     /* 2079874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2079891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079920 */     // MIs[0] round
     /* 2079920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079923 */     // MIs[0] policy
     /* 2079923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2079936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079962 */     // GIR_Coverage, 16235,
     /* 2079962 */     GIR_EraseRootFromParent_Done,
     /* 2079963 */   // Label 27585: @2079963
     /* 2079963 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2080057), // Rule ID 16236 //
     /* 2079968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2079985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080014 */     // MIs[0] round
     /* 2080014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080017 */     // MIs[0] policy
     /* 2080017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080056 */     // GIR_Coverage, 16236,
     /* 2080056 */     GIR_EraseRootFromParent_Done,
     /* 2080057 */   // Label 27586: @2080057
     /* 2080057 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2080151), // Rule ID 16239 //
     /* 2080062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080108 */     // MIs[0] round
     /* 2080108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080111 */     // MIs[0] policy
     /* 2080111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080150 */     // GIR_Coverage, 16239,
     /* 2080150 */     GIR_EraseRootFromParent_Done,
     /* 2080151 */   // Label 27587: @2080151
     /* 2080151 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2080245), // Rule ID 16240 //
     /* 2080156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2080176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080202 */     // MIs[0] round
     /* 2080202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080205 */     // MIs[0] policy
     /* 2080205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080215 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2080218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080244 */     // GIR_Coverage, 16240,
     /* 2080244 */     GIR_EraseRootFromParent_Done,
     /* 2080245 */   // Label 27588: @2080245
     /* 2080245 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2080339), // Rule ID 16243 //
     /* 2080250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080296 */     // MIs[0] round
     /* 2080296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080299 */     // MIs[0] policy
     /* 2080299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080338 */     // GIR_Coverage, 16243,
     /* 2080338 */     GIR_EraseRootFromParent_Done,
     /* 2080339 */   // Label 27589: @2080339
     /* 2080339 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2080433), // Rule ID 16244 //
     /* 2080344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080390 */     // MIs[0] round
     /* 2080390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080393 */     // MIs[0] policy
     /* 2080393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2080406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080432 */     // GIR_Coverage, 16244,
     /* 2080432 */     GIR_EraseRootFromParent_Done,
     /* 2080433 */   // Label 27590: @2080433
     /* 2080433 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2080527), // Rule ID 16247 //
     /* 2080438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080484 */     // MIs[0] round
     /* 2080484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080487 */     // MIs[0] policy
     /* 2080487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080526 */     // GIR_Coverage, 16247,
     /* 2080526 */     GIR_EraseRootFromParent_Done,
     /* 2080527 */   // Label 27591: @2080527
     /* 2080527 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2080621), // Rule ID 16248 //
     /* 2080532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080578 */     // MIs[0] round
     /* 2080578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080581 */     // MIs[0] policy
     /* 2080581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080620 */     // GIR_Coverage, 16248,
     /* 2080620 */     GIR_EraseRootFromParent_Done,
     /* 2080621 */   // Label 27592: @2080621
     /* 2080621 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2080715), // Rule ID 16251 //
     /* 2080626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080672 */     // MIs[0] round
     /* 2080672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080675 */     // MIs[0] policy
     /* 2080675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080714 */     // GIR_Coverage, 16251,
     /* 2080714 */     GIR_EraseRootFromParent_Done,
     /* 2080715 */   // Label 27593: @2080715
     /* 2080715 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2080809), // Rule ID 16252 //
     /* 2080720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080766 */     // MIs[0] round
     /* 2080766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080769 */     // MIs[0] policy
     /* 2080769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080808 */     // GIR_Coverage, 16252,
     /* 2080808 */     GIR_EraseRootFromParent_Done,
     /* 2080809 */   // Label 27594: @2080809
     /* 2080809 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2080903), // Rule ID 16255 //
     /* 2080814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080860 */     // MIs[0] round
     /* 2080860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080863 */     // MIs[0] policy
     /* 2080863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080873 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080902 */     // GIR_Coverage, 16255,
     /* 2080902 */     GIR_EraseRootFromParent_Done,
     /* 2080903 */   // Label 27595: @2080903
     /* 2080903 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2080997), // Rule ID 16256 //
     /* 2080908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080954 */     // MIs[0] round
     /* 2080954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080957 */     // MIs[0] policy
     /* 2080957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080996 */     // GIR_Coverage, 16256,
     /* 2080996 */     GIR_EraseRootFromParent_Done,
     /* 2080997 */   // Label 27596: @2080997
     /* 2080997 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2081091), // Rule ID 16259 //
     /* 2081002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081048 */     // MIs[0] round
     /* 2081048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081051 */     // MIs[0] policy
     /* 2081051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081061 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081090 */     // GIR_Coverage, 16259,
     /* 2081090 */     GIR_EraseRootFromParent_Done,
     /* 2081091 */   // Label 27597: @2081091
     /* 2081091 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2081185), // Rule ID 16260 //
     /* 2081096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2081116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081142 */     // MIs[0] round
     /* 2081142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081145 */     // MIs[0] policy
     /* 2081145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2081158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081184 */     // GIR_Coverage, 16260,
     /* 2081184 */     GIR_EraseRootFromParent_Done,
     /* 2081185 */   // Label 27598: @2081185
     /* 2081185 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2081279), // Rule ID 16263 //
     /* 2081190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081236 */     // MIs[0] round
     /* 2081236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081239 */     // MIs[0] policy
     /* 2081239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081278 */     // GIR_Coverage, 16263,
     /* 2081278 */     GIR_EraseRootFromParent_Done,
     /* 2081279 */   // Label 27599: @2081279
     /* 2081279 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2081373), // Rule ID 16264 //
     /* 2081284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081330 */     // MIs[0] round
     /* 2081330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081333 */     // MIs[0] policy
     /* 2081333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2081346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081372 */     // GIR_Coverage, 16264,
     /* 2081372 */     GIR_EraseRootFromParent_Done,
     /* 2081373 */   // Label 27600: @2081373
     /* 2081373 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2081467), // Rule ID 16267 //
     /* 2081378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081424 */     // MIs[0] round
     /* 2081424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081427 */     // MIs[0] policy
     /* 2081427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081466 */     // GIR_Coverage, 16267,
     /* 2081466 */     GIR_EraseRootFromParent_Done,
     /* 2081467 */   // Label 27601: @2081467
     /* 2081467 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2081561), // Rule ID 16268 //
     /* 2081472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081518 */     // MIs[0] round
     /* 2081518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081521 */     // MIs[0] policy
     /* 2081521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2081534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081560 */     // GIR_Coverage, 16268,
     /* 2081560 */     GIR_EraseRootFromParent_Done,
     /* 2081561 */   // Label 27602: @2081561
     /* 2081561 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2081655), // Rule ID 16271 //
     /* 2081566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081612 */     // MIs[0] round
     /* 2081612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081615 */     // MIs[0] policy
     /* 2081615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081654 */     // GIR_Coverage, 16271,
     /* 2081654 */     GIR_EraseRootFromParent_Done,
     /* 2081655 */   // Label 27603: @2081655
     /* 2081655 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2081749), // Rule ID 16272 //
     /* 2081660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081706 */     // MIs[0] round
     /* 2081706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081709 */     // MIs[0] policy
     /* 2081709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081719 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2081722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081748 */     // GIR_Coverage, 16272,
     /* 2081748 */     GIR_EraseRootFromParent_Done,
     /* 2081749 */   // Label 27604: @2081749
     /* 2081749 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2081843), // Rule ID 16275 //
     /* 2081754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081800 */     // MIs[0] round
     /* 2081800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081803 */     // MIs[0] policy
     /* 2081803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081813 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2081816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081842 */     // GIR_Coverage, 16275,
     /* 2081842 */     GIR_EraseRootFromParent_Done,
     /* 2081843 */   // Label 27605: @2081843
     /* 2081843 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2081937), // Rule ID 16276 //
     /* 2081848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081894 */     // MIs[0] round
     /* 2081894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081897 */     // MIs[0] policy
     /* 2081897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2081910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081936 */     // GIR_Coverage, 16276,
     /* 2081936 */     GIR_EraseRootFromParent_Done,
     /* 2081937 */   // Label 27606: @2081937
     /* 2081937 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2082031), // Rule ID 16279 //
     /* 2081942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2081953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2081956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2081959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081988 */     // MIs[0] round
     /* 2081988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081991 */     // MIs[0] policy
     /* 2081991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082030 */     // GIR_Coverage, 16279,
     /* 2082030 */     GIR_EraseRootFromParent_Done,
     /* 2082031 */   // Label 27607: @2082031
     /* 2082031 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2082125), // Rule ID 16280 //
     /* 2082036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082082 */     // MIs[0] round
     /* 2082082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082085 */     // MIs[0] policy
     /* 2082085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082095 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082124 */     // GIR_Coverage, 16280,
     /* 2082124 */     GIR_EraseRootFromParent_Done,
     /* 2082125 */   // Label 27608: @2082125
     /* 2082125 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2082219), // Rule ID 16283 //
     /* 2082130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082176 */     // MIs[0] round
     /* 2082176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082179 */     // MIs[0] policy
     /* 2082179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082189 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082218 */     // GIR_Coverage, 16283,
     /* 2082218 */     GIR_EraseRootFromParent_Done,
     /* 2082219 */   // Label 27609: @2082219
     /* 2082219 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2082313), // Rule ID 16284 //
     /* 2082224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2082241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082270 */     // MIs[0] round
     /* 2082270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082273 */     // MIs[0] policy
     /* 2082273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082312 */     // GIR_Coverage, 16284,
     /* 2082312 */     GIR_EraseRootFromParent_Done,
     /* 2082313 */   // Label 27610: @2082313
     /* 2082313 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2082407), // Rule ID 16287 //
     /* 2082318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082364 */     // MIs[0] round
     /* 2082364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082367 */     // MIs[0] policy
     /* 2082367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082406 */     // GIR_Coverage, 16287,
     /* 2082406 */     GIR_EraseRootFromParent_Done,
     /* 2082407 */   // Label 27611: @2082407
     /* 2082407 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2082501), // Rule ID 16288 //
     /* 2082412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082458 */     // MIs[0] round
     /* 2082458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082461 */     // MIs[0] policy
     /* 2082461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082500 */     // GIR_Coverage, 16288,
     /* 2082500 */     GIR_EraseRootFromParent_Done,
     /* 2082501 */   // Label 27612: @2082501
     /* 2082501 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2082595), // Rule ID 16291 //
     /* 2082506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082552 */     // MIs[0] round
     /* 2082552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082555 */     // MIs[0] policy
     /* 2082555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082594 */     // GIR_Coverage, 16291,
     /* 2082594 */     GIR_EraseRootFromParent_Done,
     /* 2082595 */   // Label 27613: @2082595
     /* 2082595 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2082689), // Rule ID 16292 //
     /* 2082600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082646 */     // MIs[0] round
     /* 2082646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082649 */     // MIs[0] policy
     /* 2082649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082688 */     // GIR_Coverage, 16292,
     /* 2082688 */     GIR_EraseRootFromParent_Done,
     /* 2082689 */   // Label 27614: @2082689
     /* 2082689 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2082783), // Rule ID 16295 //
     /* 2082694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082740 */     // MIs[0] round
     /* 2082740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082743 */     // MIs[0] policy
     /* 2082743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082782 */     // GIR_Coverage, 16295,
     /* 2082782 */     GIR_EraseRootFromParent_Done,
     /* 2082783 */   // Label 27615: @2082783
     /* 2082783 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2082877), // Rule ID 16296 //
     /* 2082788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082834 */     // MIs[0] round
     /* 2082834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082837 */     // MIs[0] policy
     /* 2082837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082847 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082876 */     // GIR_Coverage, 16296,
     /* 2082876 */     GIR_EraseRootFromParent_Done,
     /* 2082877 */   // Label 27616: @2082877
     /* 2082877 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2082971), // Rule ID 16299 //
     /* 2082882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082928 */     // MIs[0] round
     /* 2082928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082931 */     // MIs[0] policy
     /* 2082931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2082944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082970 */     // GIR_Coverage, 16299,
     /* 2082970 */     GIR_EraseRootFromParent_Done,
     /* 2082971 */   // Label 27617: @2082971
     /* 2082971 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2083065), // Rule ID 16300 //
     /* 2082976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083022 */     // MIs[0] round
     /* 2083022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083025 */     // MIs[0] policy
     /* 2083025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083035 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2083038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083064 */     // GIR_Coverage, 16300,
     /* 2083064 */     GIR_EraseRootFromParent_Done,
     /* 2083065 */   // Label 27618: @2083065
     /* 2083065 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2083159), // Rule ID 16303 //
     /* 2083070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083116 */     // MIs[0] round
     /* 2083116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083119 */     // MIs[0] policy
     /* 2083119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083129 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083158 */     // GIR_Coverage, 16303,
     /* 2083158 */     GIR_EraseRootFromParent_Done,
     /* 2083159 */   // Label 27619: @2083159
     /* 2083159 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2083253), // Rule ID 16304 //
     /* 2083164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083210 */     // MIs[0] round
     /* 2083210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083213 */     // MIs[0] policy
     /* 2083213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083223 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083252 */     // GIR_Coverage, 16304,
     /* 2083252 */     GIR_EraseRootFromParent_Done,
     /* 2083253 */   // Label 27620: @2083253
     /* 2083253 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2083347), // Rule ID 16307 //
     /* 2083258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083304 */     // MIs[0] round
     /* 2083304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083307 */     // MIs[0] policy
     /* 2083307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083346 */     // GIR_Coverage, 16307,
     /* 2083346 */     GIR_EraseRootFromParent_Done,
     /* 2083347 */   // Label 27621: @2083347
     /* 2083347 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2083441), // Rule ID 16308 //
     /* 2083352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083398 */     // MIs[0] round
     /* 2083398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083401 */     // MIs[0] policy
     /* 2083401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2083414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083440 */     // GIR_Coverage, 16308,
     /* 2083440 */     GIR_EraseRootFromParent_Done,
     /* 2083441 */   // Label 27622: @2083441
     /* 2083441 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2083535), // Rule ID 16311 //
     /* 2083446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083492 */     // MIs[0] round
     /* 2083492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083495 */     // MIs[0] policy
     /* 2083495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083505 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083534 */     // GIR_Coverage, 16311,
     /* 2083534 */     GIR_EraseRootFromParent_Done,
     /* 2083535 */   // Label 27623: @2083535
     /* 2083535 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2083629), // Rule ID 16312 //
     /* 2083540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083586 */     // MIs[0] round
     /* 2083586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083589 */     // MIs[0] policy
     /* 2083589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083628 */     // GIR_Coverage, 16312,
     /* 2083628 */     GIR_EraseRootFromParent_Done,
     /* 2083629 */   // Label 27624: @2083629
     /* 2083629 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2083723), // Rule ID 16315 //
     /* 2083634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083680 */     // MIs[0] round
     /* 2083680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083683 */     // MIs[0] policy
     /* 2083683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083722 */     // GIR_Coverage, 16315,
     /* 2083722 */     GIR_EraseRootFromParent_Done,
     /* 2083723 */   // Label 27625: @2083723
     /* 2083723 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2083817), // Rule ID 16316 //
     /* 2083728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083774 */     // MIs[0] round
     /* 2083774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083777 */     // MIs[0] policy
     /* 2083777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083816 */     // GIR_Coverage, 16316,
     /* 2083816 */     GIR_EraseRootFromParent_Done,
     /* 2083817 */   // Label 27626: @2083817
     /* 2083817 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2083911), // Rule ID 16319 //
     /* 2083822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083868 */     // MIs[0] round
     /* 2083868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083871 */     // MIs[0] policy
     /* 2083871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083910 */     // GIR_Coverage, 16319,
     /* 2083910 */     GIR_EraseRootFromParent_Done,
     /* 2083911 */   // Label 27627: @2083911
     /* 2083911 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2084005), // Rule ID 16320 //
     /* 2083916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083962 */     // MIs[0] round
     /* 2083962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083965 */     // MIs[0] policy
     /* 2083965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2083978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084004 */     // GIR_Coverage, 16320,
     /* 2084004 */     GIR_EraseRootFromParent_Done,
     /* 2084005 */   // Label 27628: @2084005
     /* 2084005 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2084099), // Rule ID 16323 //
     /* 2084010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084056 */     // MIs[0] round
     /* 2084056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084059 */     // MIs[0] policy
     /* 2084059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084098 */     // GIR_Coverage, 16323,
     /* 2084098 */     GIR_EraseRootFromParent_Done,
     /* 2084099 */   // Label 27629: @2084099
     /* 2084099 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2084193), // Rule ID 16324 //
     /* 2084104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2084121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084150 */     // MIs[0] round
     /* 2084150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084153 */     // MIs[0] policy
     /* 2084153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2084166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084192 */     // GIR_Coverage, 16324,
     /* 2084192 */     GIR_EraseRootFromParent_Done,
     /* 2084193 */   // Label 27630: @2084193
     /* 2084193 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2084287), // Rule ID 16327 //
     /* 2084198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084244 */     // MIs[0] round
     /* 2084244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084247 */     // MIs[0] policy
     /* 2084247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084286 */     // GIR_Coverage, 16327,
     /* 2084286 */     GIR_EraseRootFromParent_Done,
     /* 2084287 */   // Label 27631: @2084287
     /* 2084287 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2084381), // Rule ID 16328 //
     /* 2084292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084338 */     // MIs[0] round
     /* 2084338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084341 */     // MIs[0] policy
     /* 2084341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2084354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084380 */     // GIR_Coverage, 16328,
     /* 2084380 */     GIR_EraseRootFromParent_Done,
     /* 2084381 */   // Label 27632: @2084381
     /* 2084381 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2084475), // Rule ID 16331 //
     /* 2084386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084432 */     // MIs[0] round
     /* 2084432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084435 */     // MIs[0] policy
     /* 2084435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084474 */     // GIR_Coverage, 16331,
     /* 2084474 */     GIR_EraseRootFromParent_Done,
     /* 2084475 */   // Label 27633: @2084475
     /* 2084475 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2084569), // Rule ID 16332 //
     /* 2084480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084526 */     // MIs[0] round
     /* 2084526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084529 */     // MIs[0] policy
     /* 2084529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2084542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084568 */     // GIR_Coverage, 16332,
     /* 2084568 */     GIR_EraseRootFromParent_Done,
     /* 2084569 */   // Label 27634: @2084569
     /* 2084569 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2084663), // Rule ID 16395 //
     /* 2084574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2084585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2084588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2084594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084620 */     // MIs[0] round
     /* 2084620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084623 */     // MIs[0] policy
     /* 2084623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2084636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084662 */     // GIR_Coverage, 16395,
     /* 2084662 */     GIR_EraseRootFromParent_Done,
     /* 2084663 */   // Label 27635: @2084663
     /* 2084663 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2084757), // Rule ID 16396 //
     /* 2084668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2084679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2084682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2084688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084714 */     // MIs[0] round
     /* 2084714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084717 */     // MIs[0] policy
     /* 2084717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084727 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2084730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084756 */     // GIR_Coverage, 16396,
     /* 2084756 */     GIR_EraseRootFromParent_Done,
     /* 2084757 */   // Label 27636: @2084757
     /* 2084757 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2084851), // Rule ID 16399 //
     /* 2084762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2084773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2084776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2084782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084808 */     // MIs[0] round
     /* 2084808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084811 */     // MIs[0] policy
     /* 2084811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084850 */     // GIR_Coverage, 16399,
     /* 2084850 */     GIR_EraseRootFromParent_Done,
     /* 2084851 */   // Label 27637: @2084851
     /* 2084851 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2084945), // Rule ID 16400 //
     /* 2084856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2084867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2084870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2084876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084902 */     // MIs[0] round
     /* 2084902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084905 */     // MIs[0] policy
     /* 2084905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084944 */     // GIR_Coverage, 16400,
     /* 2084944 */     GIR_EraseRootFromParent_Done,
     /* 2084945 */   // Label 27638: @2084945
     /* 2084945 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2085039), // Rule ID 16403 //
     /* 2084950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2084961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2084964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2084970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084996 */     // MIs[0] round
     /* 2084996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084999 */     // MIs[0] policy
     /* 2084999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085009 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085038 */     // GIR_Coverage, 16403,
     /* 2085038 */     GIR_EraseRootFromParent_Done,
     /* 2085039 */   // Label 27639: @2085039
     /* 2085039 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2085133), // Rule ID 16404 //
     /* 2085044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2085055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2085058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2085061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2085064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085090 */     // MIs[0] round
     /* 2085090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085093 */     // MIs[0] policy
     /* 2085093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085132 */     // GIR_Coverage, 16404,
     /* 2085132 */     GIR_EraseRootFromParent_Done,
     /* 2085133 */   // Label 27640: @2085133
     /* 2085133 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2085227), // Rule ID 16407 //
     /* 2085138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085184 */     // MIs[0] round
     /* 2085184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085187 */     // MIs[0] policy
     /* 2085187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085226 */     // GIR_Coverage, 16407,
     /* 2085226 */     GIR_EraseRootFromParent_Done,
     /* 2085227 */   // Label 27641: @2085227
     /* 2085227 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2085321), // Rule ID 16408 //
     /* 2085232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2085243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2085246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2085252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085278 */     // MIs[0] round
     /* 2085278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085281 */     // MIs[0] policy
     /* 2085281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085291 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085320 */     // GIR_Coverage, 16408,
     /* 2085320 */     GIR_EraseRootFromParent_Done,
     /* 2085321 */   // Label 27642: @2085321
     /* 2085321 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2085415), // Rule ID 16411 //
     /* 2085326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085372 */     // MIs[0] round
     /* 2085372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085375 */     // MIs[0] policy
     /* 2085375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085414 */     // GIR_Coverage, 16411,
     /* 2085414 */     GIR_EraseRootFromParent_Done,
     /* 2085415 */   // Label 27643: @2085415
     /* 2085415 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2085509), // Rule ID 16412 //
     /* 2085420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2085431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2085434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2085440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085466 */     // MIs[0] round
     /* 2085466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085469 */     // MIs[0] policy
     /* 2085469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085479 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085508 */     // GIR_Coverage, 16412,
     /* 2085508 */     GIR_EraseRootFromParent_Done,
     /* 2085509 */   // Label 27644: @2085509
     /* 2085509 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2085603), // Rule ID 16415 //
     /* 2085514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085560 */     // MIs[0] round
     /* 2085560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085563 */     // MIs[0] policy
     /* 2085563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085573 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085602 */     // GIR_Coverage, 16415,
     /* 2085602 */     GIR_EraseRootFromParent_Done,
     /* 2085603 */   // Label 27645: @2085603
     /* 2085603 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2085697), // Rule ID 16416 //
     /* 2085608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2085628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085654 */     // MIs[0] round
     /* 2085654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085657 */     // MIs[0] policy
     /* 2085657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085696 */     // GIR_Coverage, 16416,
     /* 2085696 */     GIR_EraseRootFromParent_Done,
     /* 2085697 */   // Label 27646: @2085697
     /* 2085697 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2085791), // Rule ID 16419 //
     /* 2085702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2085713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2085716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2085719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2085722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085748 */     // MIs[0] round
     /* 2085748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085751 */     // MIs[0] policy
     /* 2085751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085790 */     // GIR_Coverage, 16419,
     /* 2085790 */     GIR_EraseRootFromParent_Done,
     /* 2085791 */   // Label 27647: @2085791
     /* 2085791 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2085885), // Rule ID 16420 //
     /* 2085796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2085807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2085810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2085813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2085816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085842 */     // MIs[0] round
     /* 2085842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085845 */     // MIs[0] policy
     /* 2085845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2085858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085884 */     // GIR_Coverage, 16420,
     /* 2085884 */     GIR_EraseRootFromParent_Done,
     /* 2085885 */   // Label 27648: @2085885
     /* 2085885 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2085979), // Rule ID 16423 //
     /* 2085890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2085901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2085904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2085907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2085910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085936 */     // MIs[0] round
     /* 2085936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085939 */     // MIs[0] policy
     /* 2085939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085978 */     // GIR_Coverage, 16423,
     /* 2085978 */     GIR_EraseRootFromParent_Done,
     /* 2085979 */   // Label 27649: @2085979
     /* 2085979 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2086073), // Rule ID 16424 //
     /* 2085984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2085995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2085998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2086001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086030 */     // MIs[0] round
     /* 2086030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086033 */     // MIs[0] policy
     /* 2086033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086072 */     // GIR_Coverage, 16424,
     /* 2086072 */     GIR_EraseRootFromParent_Done,
     /* 2086073 */   // Label 27650: @2086073
     /* 2086073 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2086167), // Rule ID 16427 //
     /* 2086078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086124 */     // MIs[0] round
     /* 2086124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086127 */     // MIs[0] policy
     /* 2086127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086166 */     // GIR_Coverage, 16427,
     /* 2086166 */     GIR_EraseRootFromParent_Done,
     /* 2086167 */   // Label 27651: @2086167
     /* 2086167 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2086261), // Rule ID 16428 //
     /* 2086172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2086183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2086186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086218 */     // MIs[0] round
     /* 2086218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086221 */     // MIs[0] policy
     /* 2086221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086260 */     // GIR_Coverage, 16428,
     /* 2086260 */     GIR_EraseRootFromParent_Done,
     /* 2086261 */   // Label 27652: @2086261
     /* 2086261 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2086355), // Rule ID 16431 //
     /* 2086266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086312 */     // MIs[0] round
     /* 2086312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086315 */     // MIs[0] policy
     /* 2086315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086354 */     // GIR_Coverage, 16431,
     /* 2086354 */     GIR_EraseRootFromParent_Done,
     /* 2086355 */   // Label 27653: @2086355
     /* 2086355 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2086449), // Rule ID 16432 //
     /* 2086360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2086371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2086374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086406 */     // MIs[0] round
     /* 2086406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086409 */     // MIs[0] policy
     /* 2086409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2086422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086448 */     // GIR_Coverage, 16432,
     /* 2086448 */     GIR_EraseRootFromParent_Done,
     /* 2086449 */   // Label 27654: @2086449
     /* 2086449 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2086543), // Rule ID 16435 //
     /* 2086454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086500 */     // MIs[0] round
     /* 2086500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086503 */     // MIs[0] policy
     /* 2086503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086542 */     // GIR_Coverage, 16435,
     /* 2086542 */     GIR_EraseRootFromParent_Done,
     /* 2086543 */   // Label 27655: @2086543
     /* 2086543 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2086637), // Rule ID 16436 //
     /* 2086548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2086559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2086562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086594 */     // MIs[0] round
     /* 2086594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086597 */     // MIs[0] policy
     /* 2086597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086607 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086636 */     // GIR_Coverage, 16436,
     /* 2086636 */     GIR_EraseRootFromParent_Done,
     /* 2086637 */   // Label 27656: @2086637
     /* 2086637 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2086731), // Rule ID 16439 //
     /* 2086642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2086659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2086662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086688 */     // MIs[0] round
     /* 2086688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086691 */     // MIs[0] policy
     /* 2086691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086730 */     // GIR_Coverage, 16439,
     /* 2086730 */     GIR_EraseRootFromParent_Done,
     /* 2086731 */   // Label 27657: @2086731
     /* 2086731 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2086825), // Rule ID 16440 //
     /* 2086736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2086753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2086756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086782 */     // MIs[0] round
     /* 2086782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086785 */     // MIs[0] policy
     /* 2086785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2086798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086824 */     // GIR_Coverage, 16440,
     /* 2086824 */     GIR_EraseRootFromParent_Done,
     /* 2086825 */   // Label 27658: @2086825
     /* 2086825 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2086919), // Rule ID 16443 //
     /* 2086830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2086850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086876 */     // MIs[0] round
     /* 2086876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086879 */     // MIs[0] policy
     /* 2086879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086918 */     // GIR_Coverage, 16443,
     /* 2086918 */     GIR_EraseRootFromParent_Done,
     /* 2086919 */   // Label 27659: @2086919
     /* 2086919 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2087013), // Rule ID 16444 //
     /* 2086924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2086944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086970 */     // MIs[0] round
     /* 2086970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086973 */     // MIs[0] policy
     /* 2086973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2086986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087012 */     // GIR_Coverage, 16444,
     /* 2087012 */     GIR_EraseRootFromParent_Done,
     /* 2087013 */   // Label 27660: @2087013
     /* 2087013 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2087107), // Rule ID 16447 //
     /* 2087018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087064 */     // MIs[0] round
     /* 2087064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087067 */     // MIs[0] policy
     /* 2087067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087106 */     // GIR_Coverage, 16447,
     /* 2087106 */     GIR_EraseRootFromParent_Done,
     /* 2087107 */   // Label 27661: @2087107
     /* 2087107 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2087201), // Rule ID 16448 //
     /* 2087112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2087123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2087126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2087129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087158 */     // MIs[0] round
     /* 2087158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087161 */     // MIs[0] policy
     /* 2087161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2087174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087200 */     // GIR_Coverage, 16448,
     /* 2087200 */     GIR_EraseRootFromParent_Done,
     /* 2087201 */   // Label 27662: @2087201
     /* 2087201 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2087295), // Rule ID 16451 //
     /* 2087206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2087209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087252 */     // MIs[0] round
     /* 2087252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087255 */     // MIs[0] policy
     /* 2087255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087265 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087294 */     // GIR_Coverage, 16451,
     /* 2087294 */     GIR_EraseRootFromParent_Done,
     /* 2087295 */   // Label 27663: @2087295
     /* 2087295 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2087389), // Rule ID 16452 //
     /* 2087300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2087303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2087311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2087314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2087317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087346 */     // MIs[0] round
     /* 2087346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087349 */     // MIs[0] policy
     /* 2087349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2087362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087388 */     // GIR_Coverage, 16452,
     /* 2087388 */     GIR_EraseRootFromParent_Done,
     /* 2087389 */   // Label 27664: @2087389
     /* 2087389 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2087483), // Rule ID 16455 //
     /* 2087394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087440 */     // MIs[0] round
     /* 2087440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087443 */     // MIs[0] policy
     /* 2087443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087453 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087482 */     // GIR_Coverage, 16455,
     /* 2087482 */     GIR_EraseRootFromParent_Done,
     /* 2087483 */   // Label 27665: @2087483
     /* 2087483 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2087577), // Rule ID 16456 //
     /* 2087488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087534 */     // MIs[0] round
     /* 2087534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087537 */     // MIs[0] policy
     /* 2087537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2087550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087576 */     // GIR_Coverage, 16456,
     /* 2087576 */     GIR_EraseRootFromParent_Done,
     /* 2087577 */   // Label 27666: @2087577
     /* 2087577 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2087671), // Rule ID 16459 //
     /* 2087582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087628 */     // MIs[0] round
     /* 2087628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087631 */     // MIs[0] policy
     /* 2087631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087641 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087670 */     // GIR_Coverage, 16459,
     /* 2087670 */     GIR_EraseRootFromParent_Done,
     /* 2087671 */   // Label 27667: @2087671
     /* 2087671 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2087765), // Rule ID 16460 //
     /* 2087676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087722 */     // MIs[0] round
     /* 2087722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087725 */     // MIs[0] policy
     /* 2087725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087735 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087764 */     // GIR_Coverage, 16460,
     /* 2087764 */     GIR_EraseRootFromParent_Done,
     /* 2087765 */   // Label 27668: @2087765
     /* 2087765 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2087859), // Rule ID 16463 //
     /* 2087770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087816 */     // MIs[0] round
     /* 2087816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087819 */     // MIs[0] policy
     /* 2087819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087829 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087858 */     // GIR_Coverage, 16463,
     /* 2087858 */     GIR_EraseRootFromParent_Done,
     /* 2087859 */   // Label 27669: @2087859
     /* 2087859 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2087953), // Rule ID 16464 //
     /* 2087864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087910 */     // MIs[0] round
     /* 2087910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087913 */     // MIs[0] policy
     /* 2087913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087952 */     // GIR_Coverage, 16464,
     /* 2087952 */     GIR_EraseRootFromParent_Done,
     /* 2087953 */   // Label 27670: @2087953
     /* 2087953 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2088047), // Rule ID 16467 //
     /* 2087958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2087969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2087972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2087975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088004 */     // MIs[0] round
     /* 2088004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088007 */     // MIs[0] policy
     /* 2088007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088046 */     // GIR_Coverage, 16467,
     /* 2088046 */     GIR_EraseRootFromParent_Done,
     /* 2088047 */   // Label 27671: @2088047
     /* 2088047 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2088141), // Rule ID 16468 //
     /* 2088052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088098 */     // MIs[0] round
     /* 2088098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088101 */     // MIs[0] policy
     /* 2088101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088140 */     // GIR_Coverage, 16468,
     /* 2088140 */     GIR_EraseRootFromParent_Done,
     /* 2088141 */   // Label 27672: @2088141
     /* 2088141 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2088235), // Rule ID 16471 //
     /* 2088146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088192 */     // MIs[0] round
     /* 2088192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088195 */     // MIs[0] policy
     /* 2088195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088234 */     // GIR_Coverage, 16471,
     /* 2088234 */     GIR_EraseRootFromParent_Done,
     /* 2088235 */   // Label 27673: @2088235
     /* 2088235 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2088329), // Rule ID 16472 //
     /* 2088240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088286 */     // MIs[0] round
     /* 2088286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088289 */     // MIs[0] policy
     /* 2088289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088328 */     // GIR_Coverage, 16472,
     /* 2088328 */     GIR_EraseRootFromParent_Done,
     /* 2088329 */   // Label 27674: @2088329
     /* 2088329 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2088423), // Rule ID 16475 //
     /* 2088334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088380 */     // MIs[0] round
     /* 2088380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088383 */     // MIs[0] policy
     /* 2088383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088393 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088422 */     // GIR_Coverage, 16475,
     /* 2088422 */     GIR_EraseRootFromParent_Done,
     /* 2088423 */   // Label 27675: @2088423
     /* 2088423 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2088517), // Rule ID 16476 //
     /* 2088428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088474 */     // MIs[0] round
     /* 2088474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088477 */     // MIs[0] policy
     /* 2088477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088487 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088516 */     // GIR_Coverage, 16476,
     /* 2088516 */     GIR_EraseRootFromParent_Done,
     /* 2088517 */   // Label 27676: @2088517
     /* 2088517 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2088611), // Rule ID 16479 //
     /* 2088522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088568 */     // MIs[0] round
     /* 2088568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088571 */     // MIs[0] policy
     /* 2088571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088610 */     // GIR_Coverage, 16479,
     /* 2088610 */     GIR_EraseRootFromParent_Done,
     /* 2088611 */   // Label 27677: @2088611
     /* 2088611 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2088705), // Rule ID 16480 //
     /* 2088616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2088627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2088630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088662 */     // MIs[0] round
     /* 2088662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088665 */     // MIs[0] policy
     /* 2088665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2088678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088704 */     // GIR_Coverage, 16480,
     /* 2088704 */     GIR_EraseRootFromParent_Done,
     /* 2088705 */   // Label 27678: @2088705
     /* 2088705 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2088799), // Rule ID 16483 //
     /* 2088710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088756 */     // MIs[0] round
     /* 2088756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088759 */     // MIs[0] policy
     /* 2088759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088769 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088798 */     // GIR_Coverage, 16483,
     /* 2088798 */     GIR_EraseRootFromParent_Done,
     /* 2088799 */   // Label 27679: @2088799
     /* 2088799 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2088893), // Rule ID 16484 //
     /* 2088804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088850 */     // MIs[0] round
     /* 2088850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088853 */     // MIs[0] policy
     /* 2088853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088863 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088892 */     // GIR_Coverage, 16484,
     /* 2088892 */     GIR_EraseRootFromParent_Done,
     /* 2088893 */   // Label 27680: @2088893
     /* 2088893 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2088987), // Rule ID 16487 //
     /* 2088898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2088915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088944 */     // MIs[0] round
     /* 2088944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088947 */     // MIs[0] policy
     /* 2088947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088986 */     // GIR_Coverage, 16487,
     /* 2088986 */     GIR_EraseRootFromParent_Done,
     /* 2088987 */   // Label 27681: @2088987
     /* 2088987 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2089081), // Rule ID 16488 //
     /* 2088992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089038 */     // MIs[0] round
     /* 2089038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089041 */     // MIs[0] policy
     /* 2089041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089080 */     // GIR_Coverage, 16488,
     /* 2089080 */     GIR_EraseRootFromParent_Done,
     /* 2089081 */   // Label 27682: @2089081
     /* 2089081 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2089175), // Rule ID 16491 //
     /* 2089086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089132 */     // MIs[0] round
     /* 2089132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089135 */     // MIs[0] policy
     /* 2089135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089145 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089174 */     // GIR_Coverage, 16491,
     /* 2089174 */     GIR_EraseRootFromParent_Done,
     /* 2089175 */   // Label 27683: @2089175
     /* 2089175 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2089269), // Rule ID 16492 //
     /* 2089180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2089197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089226 */     // MIs[0] round
     /* 2089226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089229 */     // MIs[0] policy
     /* 2089229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089268 */     // GIR_Coverage, 16492,
     /* 2089268 */     GIR_EraseRootFromParent_Done,
     /* 2089269 */   // Label 27684: @2089269
     /* 2089269 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2089363), // Rule ID 16495 //
     /* 2089274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089320 */     // MIs[0] round
     /* 2089320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089323 */     // MIs[0] policy
     /* 2089323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089362 */     // GIR_Coverage, 16495,
     /* 2089362 */     GIR_EraseRootFromParent_Done,
     /* 2089363 */   // Label 27685: @2089363
     /* 2089363 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2089457), // Rule ID 16496 //
     /* 2089368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089414 */     // MIs[0] round
     /* 2089414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089417 */     // MIs[0] policy
     /* 2089417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2089430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089456 */     // GIR_Coverage, 16496,
     /* 2089456 */     GIR_EraseRootFromParent_Done,
     /* 2089457 */   // Label 27686: @2089457
     /* 2089457 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2089551), // Rule ID 16499 //
     /* 2089462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089508 */     // MIs[0] round
     /* 2089508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089511 */     // MIs[0] policy
     /* 2089511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089550 */     // GIR_Coverage, 16499,
     /* 2089550 */     GIR_EraseRootFromParent_Done,
     /* 2089551 */   // Label 27687: @2089551
     /* 2089551 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2089645), // Rule ID 16500 //
     /* 2089556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089602 */     // MIs[0] round
     /* 2089602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089605 */     // MIs[0] policy
     /* 2089605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2089618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089644 */     // GIR_Coverage, 16500,
     /* 2089644 */     GIR_EraseRootFromParent_Done,
     /* 2089645 */   // Label 27688: @2089645
     /* 2089645 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2089739), // Rule ID 16503 //
     /* 2089650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089696 */     // MIs[0] round
     /* 2089696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089699 */     // MIs[0] policy
     /* 2089699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089738 */     // GIR_Coverage, 16503,
     /* 2089738 */     GIR_EraseRootFromParent_Done,
     /* 2089739 */   // Label 27689: @2089739
     /* 2089739 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2089833), // Rule ID 16504 //
     /* 2089744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089790 */     // MIs[0] round
     /* 2089790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089793 */     // MIs[0] policy
     /* 2089793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2089806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089832 */     // GIR_Coverage, 16504,
     /* 2089832 */     GIR_EraseRootFromParent_Done,
     /* 2089833 */   // Label 27690: @2089833
     /* 2089833 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2089927), // Rule ID 16507 //
     /* 2089838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2089841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2089855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089884 */     // MIs[0] round
     /* 2089884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089887 */     // MIs[0] policy
     /* 2089887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089926 */     // GIR_Coverage, 16507,
     /* 2089926 */     GIR_EraseRootFromParent_Done,
     /* 2089927 */   // Label 27691: @2089927
     /* 2089927 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2090021), // Rule ID 16508 //
     /* 2089932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2089949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089978 */     // MIs[0] round
     /* 2089978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089981 */     // MIs[0] policy
     /* 2089981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2089994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090020 */     // GIR_Coverage, 16508,
     /* 2090020 */     GIR_EraseRootFromParent_Done,
     /* 2090021 */   // Label 27692: @2090021
     /* 2090021 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2090115), // Rule ID 16511 //
     /* 2090026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2090029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090072 */     // MIs[0] round
     /* 2090072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090075 */     // MIs[0] policy
     /* 2090075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090085 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090114 */     // GIR_Coverage, 16511,
     /* 2090114 */     GIR_EraseRootFromParent_Done,
     /* 2090115 */   // Label 27693: @2090115
     /* 2090115 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2090209), // Rule ID 16512 //
     /* 2090120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2090123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090166 */     // MIs[0] round
     /* 2090166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090169 */     // MIs[0] policy
     /* 2090169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2090182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090208 */     // GIR_Coverage, 16512,
     /* 2090208 */     GIR_EraseRootFromParent_Done,
     /* 2090209 */   // Label 27694: @2090209
     /* 2090209 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2090300), // Rule ID 16575 //
     /* 2090214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090260 */     // MIs[0] round
     /* 2090260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090263 */     // MIs[0] policy
     /* 2090263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090273 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090299 */     // GIR_Coverage, 16575,
     /* 2090299 */     GIR_EraseRootFromParent_Done,
     /* 2090300 */   // Label 27695: @2090300
     /* 2090300 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2090391), // Rule ID 16576 //
     /* 2090305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2090322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090351 */     // MIs[0] round
     /* 2090351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090354 */     // MIs[0] policy
     /* 2090354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090364 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2090367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090390 */     // GIR_Coverage, 16576,
     /* 2090390 */     GIR_EraseRootFromParent_Done,
     /* 2090391 */   // Label 27696: @2090391
     /* 2090391 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2090482), // Rule ID 16579 //
     /* 2090396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090442 */     // MIs[0] round
     /* 2090442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090445 */     // MIs[0] policy
     /* 2090445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090455 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090481 */     // GIR_Coverage, 16579,
     /* 2090481 */     GIR_EraseRootFromParent_Done,
     /* 2090482 */   // Label 27697: @2090482
     /* 2090482 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2090573), // Rule ID 16580 //
     /* 2090487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090533 */     // MIs[0] round
     /* 2090533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090536 */     // MIs[0] policy
     /* 2090536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090546 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2090549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090572 */     // GIR_Coverage, 16580,
     /* 2090572 */     GIR_EraseRootFromParent_Done,
     /* 2090573 */   // Label 27698: @2090573
     /* 2090573 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2090664), // Rule ID 16583 //
     /* 2090578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090624 */     // MIs[0] round
     /* 2090624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090627 */     // MIs[0] policy
     /* 2090627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090637 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2090640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090663 */     // GIR_Coverage, 16583,
     /* 2090663 */     GIR_EraseRootFromParent_Done,
     /* 2090664 */   // Label 27699: @2090664
     /* 2090664 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2090755), // Rule ID 16584 //
     /* 2090669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090715 */     // MIs[0] round
     /* 2090715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090718 */     // MIs[0] policy
     /* 2090718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090728 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2090731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090754 */     // GIR_Coverage, 16584,
     /* 2090754 */     GIR_EraseRootFromParent_Done,
     /* 2090755 */   // Label 27700: @2090755
     /* 2090755 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2090846), // Rule ID 16587 //
     /* 2090760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090806 */     // MIs[0] round
     /* 2090806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090809 */     // MIs[0] policy
     /* 2090809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090819 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2090822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090845 */     // GIR_Coverage, 16587,
     /* 2090845 */     GIR_EraseRootFromParent_Done,
     /* 2090846 */   // Label 27701: @2090846
     /* 2090846 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2090937), // Rule ID 16588 //
     /* 2090851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090897 */     // MIs[0] round
     /* 2090897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090900 */     // MIs[0] policy
     /* 2090900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090910 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2090913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090936 */     // GIR_Coverage, 16588,
     /* 2090936 */     GIR_EraseRootFromParent_Done,
     /* 2090937 */   // Label 27702: @2090937
     /* 2090937 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2091028), // Rule ID 16591 //
     /* 2090942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2090962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090988 */     // MIs[0] round
     /* 2090988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090991 */     // MIs[0] policy
     /* 2090991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091001 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091027 */     // GIR_Coverage, 16591,
     /* 2091027 */     GIR_EraseRootFromParent_Done,
     /* 2091028 */   // Label 27703: @2091028
     /* 2091028 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2091119), // Rule ID 16592 //
     /* 2091033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2091050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091079 */     // MIs[0] round
     /* 2091079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091082 */     // MIs[0] policy
     /* 2091082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2091095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091118 */     // GIR_Coverage, 16592,
     /* 2091118 */     GIR_EraseRootFromParent_Done,
     /* 2091119 */   // Label 27704: @2091119
     /* 2091119 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2091210), // Rule ID 16595 //
     /* 2091124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091170 */     // MIs[0] round
     /* 2091170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091173 */     // MIs[0] policy
     /* 2091173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091183 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091209 */     // GIR_Coverage, 16595,
     /* 2091209 */     GIR_EraseRootFromParent_Done,
     /* 2091210 */   // Label 27705: @2091210
     /* 2091210 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2091301), // Rule ID 16596 //
     /* 2091215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2091235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091261 */     // MIs[0] round
     /* 2091261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091264 */     // MIs[0] policy
     /* 2091264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091274 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2091277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091300 */     // GIR_Coverage, 16596,
     /* 2091300 */     GIR_EraseRootFromParent_Done,
     /* 2091301 */   // Label 27706: @2091301
     /* 2091301 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2091392), // Rule ID 16599 //
     /* 2091306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091352 */     // MIs[0] round
     /* 2091352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091355 */     // MIs[0] policy
     /* 2091355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091365 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091391 */     // GIR_Coverage, 16599,
     /* 2091391 */     GIR_EraseRootFromParent_Done,
     /* 2091392 */   // Label 27707: @2091392
     /* 2091392 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2091483), // Rule ID 16600 //
     /* 2091397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2091408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2091411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2091414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091443 */     // MIs[0] round
     /* 2091443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091446 */     // MIs[0] policy
     /* 2091446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091456 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2091459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091482 */     // GIR_Coverage, 16600,
     /* 2091482 */     GIR_EraseRootFromParent_Done,
     /* 2091483 */   // Label 27708: @2091483
     /* 2091483 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2091574), // Rule ID 16603 //
     /* 2091488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091534 */     // MIs[0] round
     /* 2091534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091537 */     // MIs[0] policy
     /* 2091537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091547 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091573 */     // GIR_Coverage, 16603,
     /* 2091573 */     GIR_EraseRootFromParent_Done,
     /* 2091574 */   // Label 27709: @2091574
     /* 2091574 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2091665), // Rule ID 16604 //
     /* 2091579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091625 */     // MIs[0] round
     /* 2091625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091628 */     // MIs[0] policy
     /* 2091628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091638 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2091641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091664 */     // GIR_Coverage, 16604,
     /* 2091664 */     GIR_EraseRootFromParent_Done,
     /* 2091665 */   // Label 27710: @2091665
     /* 2091665 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2091756), // Rule ID 16607 //
     /* 2091670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091716 */     // MIs[0] round
     /* 2091716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091719 */     // MIs[0] policy
     /* 2091719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091729 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2091732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091755 */     // GIR_Coverage, 16607,
     /* 2091755 */     GIR_EraseRootFromParent_Done,
     /* 2091756 */   // Label 27711: @2091756
     /* 2091756 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2091847), // Rule ID 16608 //
     /* 2091761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091807 */     // MIs[0] round
     /* 2091807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091810 */     // MIs[0] policy
     /* 2091810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091820 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2091823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091846 */     // GIR_Coverage, 16608,
     /* 2091846 */     GIR_EraseRootFromParent_Done,
     /* 2091847 */   // Label 27712: @2091847
     /* 2091847 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2091938), // Rule ID 16611 //
     /* 2091852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091898 */     // MIs[0] round
     /* 2091898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091901 */     // MIs[0] policy
     /* 2091901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2091914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091937 */     // GIR_Coverage, 16611,
     /* 2091937 */     GIR_EraseRootFromParent_Done,
     /* 2091938 */   // Label 27713: @2091938
     /* 2091938 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2092029), // Rule ID 16612 //
     /* 2091943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091989 */     // MIs[0] round
     /* 2091989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091992 */     // MIs[0] policy
     /* 2091992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2092005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092028 */     // GIR_Coverage, 16612,
     /* 2092028 */     GIR_EraseRootFromParent_Done,
     /* 2092029 */   // Label 27714: @2092029
     /* 2092029 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2092120), // Rule ID 16615 //
     /* 2092034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092080 */     // MIs[0] round
     /* 2092080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092083 */     // MIs[0] policy
     /* 2092083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092093 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092119 */     // GIR_Coverage, 16615,
     /* 2092119 */     GIR_EraseRootFromParent_Done,
     /* 2092120 */   // Label 27715: @2092120
     /* 2092120 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2092211), // Rule ID 16616 //
     /* 2092125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2092136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2092139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2092142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092171 */     // MIs[0] round
     /* 2092171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092174 */     // MIs[0] policy
     /* 2092174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092184 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2092187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092210 */     // GIR_Coverage, 16616,
     /* 2092210 */     GIR_EraseRootFromParent_Done,
     /* 2092211 */   // Label 27716: @2092211
     /* 2092211 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2092302), // Rule ID 16619 //
     /* 2092216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092262 */     // MIs[0] round
     /* 2092262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092265 */     // MIs[0] policy
     /* 2092265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092301 */     // GIR_Coverage, 16619,
     /* 2092301 */     GIR_EraseRootFromParent_Done,
     /* 2092302 */   // Label 27717: @2092302
     /* 2092302 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2092393), // Rule ID 16620 //
     /* 2092307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2092318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2092321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2092324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2092327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092353 */     // MIs[0] round
     /* 2092353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092356 */     // MIs[0] policy
     /* 2092356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2092369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092392 */     // GIR_Coverage, 16620,
     /* 2092392 */     GIR_EraseRootFromParent_Done,
     /* 2092393 */   // Label 27718: @2092393
     /* 2092393 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2092484), // Rule ID 16623 //
     /* 2092398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092444 */     // MIs[0] round
     /* 2092444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092447 */     // MIs[0] policy
     /* 2092447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092457 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092483 */     // GIR_Coverage, 16623,
     /* 2092483 */     GIR_EraseRootFromParent_Done,
     /* 2092484 */   // Label 27719: @2092484
     /* 2092484 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2092575), // Rule ID 16624 //
     /* 2092489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092535 */     // MIs[0] round
     /* 2092535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092538 */     // MIs[0] policy
     /* 2092538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092548 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2092551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092574 */     // GIR_Coverage, 16624,
     /* 2092574 */     GIR_EraseRootFromParent_Done,
     /* 2092575 */   // Label 27720: @2092575
     /* 2092575 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2092666), // Rule ID 16627 //
     /* 2092580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092626 */     // MIs[0] round
     /* 2092626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092629 */     // MIs[0] policy
     /* 2092629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092639 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2092642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092665 */     // GIR_Coverage, 16627,
     /* 2092665 */     GIR_EraseRootFromParent_Done,
     /* 2092666 */   // Label 27721: @2092666
     /* 2092666 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2092757), // Rule ID 16628 //
     /* 2092671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092717 */     // MIs[0] round
     /* 2092717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092720 */     // MIs[0] policy
     /* 2092720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2092733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092756 */     // GIR_Coverage, 16628,
     /* 2092756 */     GIR_EraseRootFromParent_Done,
     /* 2092757 */   // Label 27722: @2092757
     /* 2092757 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2092848), // Rule ID 16631 //
     /* 2092762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092808 */     // MIs[0] round
     /* 2092808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092811 */     // MIs[0] policy
     /* 2092811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092821 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2092824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092847 */     // GIR_Coverage, 16631,
     /* 2092847 */     GIR_EraseRootFromParent_Done,
     /* 2092848 */   // Label 27723: @2092848
     /* 2092848 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2092939), // Rule ID 16632 //
     /* 2092853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092899 */     // MIs[0] round
     /* 2092899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092902 */     // MIs[0] policy
     /* 2092902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092912 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2092915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092938 */     // GIR_Coverage, 16632,
     /* 2092938 */     GIR_EraseRootFromParent_Done,
     /* 2092939 */   // Label 27724: @2092939
     /* 2092939 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2093030), // Rule ID 16635 //
     /* 2092944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2092955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2092958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092990 */     // MIs[0] round
     /* 2092990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092993 */     // MIs[0] policy
     /* 2092993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093003 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093029 */     // GIR_Coverage, 16635,
     /* 2093029 */     GIR_EraseRootFromParent_Done,
     /* 2093030 */   // Label 27725: @2093030
     /* 2093030 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2093121), // Rule ID 16636 //
     /* 2093035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2093052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093081 */     // MIs[0] round
     /* 2093081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093084 */     // MIs[0] policy
     /* 2093084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093094 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2093097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093120 */     // GIR_Coverage, 16636,
     /* 2093120 */     GIR_EraseRootFromParent_Done,
     /* 2093121 */   // Label 27726: @2093121
     /* 2093121 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2093212), // Rule ID 16639 //
     /* 2093126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093172 */     // MIs[0] round
     /* 2093172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093175 */     // MIs[0] policy
     /* 2093175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093185 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093211 */     // GIR_Coverage, 16639,
     /* 2093211 */     GIR_EraseRootFromParent_Done,
     /* 2093212 */   // Label 27727: @2093212
     /* 2093212 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2093303), // Rule ID 16640 //
     /* 2093217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2093234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093263 */     // MIs[0] round
     /* 2093263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093266 */     // MIs[0] policy
     /* 2093266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2093279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093302 */     // GIR_Coverage, 16640,
     /* 2093302 */     GIR_EraseRootFromParent_Done,
     /* 2093303 */   // Label 27728: @2093303
     /* 2093303 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2093394), // Rule ID 16643 //
     /* 2093308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093354 */     // MIs[0] round
     /* 2093354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093357 */     // MIs[0] policy
     /* 2093357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093367 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093393 */     // GIR_Coverage, 16643,
     /* 2093393 */     GIR_EraseRootFromParent_Done,
     /* 2093394 */   // Label 27729: @2093394
     /* 2093394 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2093485), // Rule ID 16644 //
     /* 2093399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2093410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2093413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093445 */     // MIs[0] round
     /* 2093445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093448 */     // MIs[0] policy
     /* 2093448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093458 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2093461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093484 */     // GIR_Coverage, 16644,
     /* 2093484 */     GIR_EraseRootFromParent_Done,
     /* 2093485 */   // Label 27730: @2093485
     /* 2093485 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2093576), // Rule ID 16647 //
     /* 2093490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093536 */     // MIs[0] round
     /* 2093536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093539 */     // MIs[0] policy
     /* 2093539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093549 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093575 */     // GIR_Coverage, 16647,
     /* 2093575 */     GIR_EraseRootFromParent_Done,
     /* 2093576 */   // Label 27731: @2093576
     /* 2093576 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2093667), // Rule ID 16648 //
     /* 2093581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093627 */     // MIs[0] round
     /* 2093627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093630 */     // MIs[0] policy
     /* 2093630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2093643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093666 */     // GIR_Coverage, 16648,
     /* 2093666 */     GIR_EraseRootFromParent_Done,
     /* 2093667 */   // Label 27732: @2093667
     /* 2093667 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2093758), // Rule ID 16651 //
     /* 2093672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093718 */     // MIs[0] round
     /* 2093718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093721 */     // MIs[0] policy
     /* 2093721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093731 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2093734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093757 */     // GIR_Coverage, 16651,
     /* 2093757 */     GIR_EraseRootFromParent_Done,
     /* 2093758 */   // Label 27733: @2093758
     /* 2093758 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2093849), // Rule ID 16652 //
     /* 2093763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093809 */     // MIs[0] round
     /* 2093809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093812 */     // MIs[0] policy
     /* 2093812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093822 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2093825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093848 */     // GIR_Coverage, 16652,
     /* 2093848 */     GIR_EraseRootFromParent_Done,
     /* 2093849 */   // Label 27734: @2093849
     /* 2093849 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2093940), // Rule ID 16655 //
     /* 2093854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2093865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2093868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093900 */     // MIs[0] round
     /* 2093900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093903 */     // MIs[0] policy
     /* 2093903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093913 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2093916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093939 */     // GIR_Coverage, 16655,
     /* 2093939 */     GIR_EraseRootFromParent_Done,
     /* 2093940 */   // Label 27735: @2093940
     /* 2093940 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2094031), // Rule ID 16656 //
     /* 2093945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2093956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2093959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093991 */     // MIs[0] round
     /* 2093991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093994 */     // MIs[0] policy
     /* 2093994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094004 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2094007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094030 */     // GIR_Coverage, 16656,
     /* 2094030 */     GIR_EraseRootFromParent_Done,
     /* 2094031 */   // Label 27736: @2094031
     /* 2094031 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2094122), // Rule ID 16659 //
     /* 2094036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094082 */     // MIs[0] round
     /* 2094082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094085 */     // MIs[0] policy
     /* 2094085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094095 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094121 */     // GIR_Coverage, 16659,
     /* 2094121 */     GIR_EraseRootFromParent_Done,
     /* 2094122 */   // Label 27737: @2094122
     /* 2094122 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2094213), // Rule ID 16660 //
     /* 2094127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2094144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094173 */     // MIs[0] round
     /* 2094173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094176 */     // MIs[0] policy
     /* 2094176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094186 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2094189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094212 */     // GIR_Coverage, 16660,
     /* 2094212 */     GIR_EraseRootFromParent_Done,
     /* 2094213 */   // Label 27738: @2094213
     /* 2094213 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2094304), // Rule ID 16663 //
     /* 2094218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094264 */     // MIs[0] round
     /* 2094264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094267 */     // MIs[0] policy
     /* 2094267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094277 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094303 */     // GIR_Coverage, 16663,
     /* 2094303 */     GIR_EraseRootFromParent_Done,
     /* 2094304 */   // Label 27739: @2094304
     /* 2094304 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2094395), // Rule ID 16664 //
     /* 2094309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2094326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094355 */     // MIs[0] round
     /* 2094355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094358 */     // MIs[0] policy
     /* 2094358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2094371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094394 */     // GIR_Coverage, 16664,
     /* 2094394 */     GIR_EraseRootFromParent_Done,
     /* 2094395 */   // Label 27740: @2094395
     /* 2094395 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2094486), // Rule ID 16667 //
     /* 2094400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094446 */     // MIs[0] round
     /* 2094446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094449 */     // MIs[0] policy
     /* 2094449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094459 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094485 */     // GIR_Coverage, 16667,
     /* 2094485 */     GIR_EraseRootFromParent_Done,
     /* 2094486 */   // Label 27741: @2094486
     /* 2094486 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2094577), // Rule ID 16668 //
     /* 2094491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094537 */     // MIs[0] round
     /* 2094537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094540 */     // MIs[0] policy
     /* 2094540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094550 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2094553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094576 */     // GIR_Coverage, 16668,
     /* 2094576 */     GIR_EraseRootFromParent_Done,
     /* 2094577 */   // Label 27742: @2094577
     /* 2094577 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2094668), // Rule ID 16671 //
     /* 2094582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094628 */     // MIs[0] round
     /* 2094628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094631 */     // MIs[0] policy
     /* 2094631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094641 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2094644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094667 */     // GIR_Coverage, 16671,
     /* 2094667 */     GIR_EraseRootFromParent_Done,
     /* 2094668 */   // Label 27743: @2094668
     /* 2094668 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2094759), // Rule ID 16672 //
     /* 2094673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094719 */     // MIs[0] round
     /* 2094719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094722 */     // MIs[0] policy
     /* 2094722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094732 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2094735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094758 */     // GIR_Coverage, 16672,
     /* 2094758 */     GIR_EraseRootFromParent_Done,
     /* 2094759 */   // Label 27744: @2094759
     /* 2094759 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2094850), // Rule ID 16675 //
     /* 2094764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094810 */     // MIs[0] round
     /* 2094810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094813 */     // MIs[0] policy
     /* 2094813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094823 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2094826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094849 */     // GIR_Coverage, 16675,
     /* 2094849 */     GIR_EraseRootFromParent_Done,
     /* 2094850 */   // Label 27745: @2094850
     /* 2094850 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2094941), // Rule ID 16676 //
     /* 2094855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094901 */     // MIs[0] round
     /* 2094901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094904 */     // MIs[0] policy
     /* 2094904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2094917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094940 */     // GIR_Coverage, 16676,
     /* 2094940 */     GIR_EraseRootFromParent_Done,
     /* 2094941 */   // Label 27746: @2094941
     /* 2094941 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2095032), // Rule ID 16679 //
     /* 2094946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2094957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2094960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094992 */     // MIs[0] round
     /* 2094992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094995 */     // MIs[0] policy
     /* 2094995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095005 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095031 */     // GIR_Coverage, 16679,
     /* 2095031 */     GIR_EraseRootFromParent_Done,
     /* 2095032 */   // Label 27747: @2095032
     /* 2095032 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2095123), // Rule ID 16680 //
     /* 2095037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2095048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2095051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2095054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095083 */     // MIs[0] round
     /* 2095083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095086 */     // MIs[0] policy
     /* 2095086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2095099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095122 */     // GIR_Coverage, 16680,
     /* 2095122 */     GIR_EraseRootFromParent_Done,
     /* 2095123 */   // Label 27748: @2095123
     /* 2095123 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2095214), // Rule ID 16683 //
     /* 2095128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095174 */     // MIs[0] round
     /* 2095174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095177 */     // MIs[0] policy
     /* 2095177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095213 */     // GIR_Coverage, 16683,
     /* 2095213 */     GIR_EraseRootFromParent_Done,
     /* 2095214 */   // Label 27749: @2095214
     /* 2095214 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2095305), // Rule ID 16684 //
     /* 2095219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2095230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2095233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095265 */     // MIs[0] round
     /* 2095265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095268 */     // MIs[0] policy
     /* 2095268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095278 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2095281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095304 */     // GIR_Coverage, 16684,
     /* 2095304 */     GIR_EraseRootFromParent_Done,
     /* 2095305 */   // Label 27750: @2095305
     /* 2095305 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2095396), // Rule ID 16687 //
     /* 2095310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095356 */     // MIs[0] round
     /* 2095356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095359 */     // MIs[0] policy
     /* 2095359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095369 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095395 */     // GIR_Coverage, 16687,
     /* 2095395 */     GIR_EraseRootFromParent_Done,
     /* 2095396 */   // Label 27751: @2095396
     /* 2095396 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2095487), // Rule ID 16688 //
     /* 2095401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2095412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2095415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095447 */     // MIs[0] round
     /* 2095447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095450 */     // MIs[0] policy
     /* 2095450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095460 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2095463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095486 */     // GIR_Coverage, 16688,
     /* 2095486 */     GIR_EraseRootFromParent_Done,
     /* 2095487 */   // Label 27752: @2095487
     /* 2095487 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2095578), // Rule ID 16691 //
     /* 2095492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095538 */     // MIs[0] round
     /* 2095538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095541 */     // MIs[0] policy
     /* 2095541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095551 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095577 */     // GIR_Coverage, 16691,
     /* 2095577 */     GIR_EraseRootFromParent_Done,
     /* 2095578 */   // Label 27753: @2095578
     /* 2095578 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2095669), // Rule ID 16692 //
     /* 2095583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095629 */     // MIs[0] round
     /* 2095629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095632 */     // MIs[0] policy
     /* 2095632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2095645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095668 */     // GIR_Coverage, 16692,
     /* 2095668 */     GIR_EraseRootFromParent_Done,
     /* 2095669 */   // Label 27754: @2095669
     /* 2095669 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2095760), // Rule ID 16695 //
     /* 2095674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2095694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095720 */     // MIs[0] round
     /* 2095720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095723 */     // MIs[0] policy
     /* 2095723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095733 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2095736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095759 */     // GIR_Coverage, 16695,
     /* 2095759 */     GIR_EraseRootFromParent_Done,
     /* 2095760 */   // Label 27755: @2095760
     /* 2095760 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2095851), // Rule ID 16696 //
     /* 2095765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2095785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095811 */     // MIs[0] round
     /* 2095811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095814 */     // MIs[0] policy
     /* 2095814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095824 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2095827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095850 */     // GIR_Coverage, 16696,
     /* 2095850 */     GIR_EraseRootFromParent_Done,
     /* 2095851 */   // Label 27756: @2095851
     /* 2095851 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2095942), // Rule ID 16699 //
     /* 2095856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2095876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095902 */     // MIs[0] round
     /* 2095902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095905 */     // MIs[0] policy
     /* 2095905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095915 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2095918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095941 */     // GIR_Coverage, 16699,
     /* 2095941 */     GIR_EraseRootFromParent_Done,
     /* 2095942 */   // Label 27757: @2095942
     /* 2095942 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2096033), // Rule ID 16700 //
     /* 2095947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2095967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095993 */     // MIs[0] round
     /* 2095993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095996 */     // MIs[0] policy
     /* 2095996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096006 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2096009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096032 */     // GIR_Coverage, 16700,
     /* 2096032 */     GIR_EraseRootFromParent_Done,
     /* 2096033 */   // Label 27758: @2096033
     /* 2096033 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2096124), // Rule ID 16703 //
     /* 2096038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096084 */     // MIs[0] round
     /* 2096084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096087 */     // MIs[0] policy
     /* 2096087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096123 */     // GIR_Coverage, 16703,
     /* 2096123 */     GIR_EraseRootFromParent_Done,
     /* 2096124 */   // Label 27759: @2096124
     /* 2096124 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2096215), // Rule ID 16704 //
     /* 2096129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2096140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2096143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2096149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096175 */     // MIs[0] round
     /* 2096175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096178 */     // MIs[0] policy
     /* 2096178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096188 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2096191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096214 */     // GIR_Coverage, 16704,
     /* 2096214 */     GIR_EraseRootFromParent_Done,
     /* 2096215 */   // Label 27760: @2096215
     /* 2096215 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2096306), // Rule ID 16707 //
     /* 2096220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096266 */     // MIs[0] round
     /* 2096266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096269 */     // MIs[0] policy
     /* 2096269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096279 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096305 */     // GIR_Coverage, 16707,
     /* 2096305 */     GIR_EraseRootFromParent_Done,
     /* 2096306 */   // Label 27761: @2096306
     /* 2096306 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2096397), // Rule ID 16708 //
     /* 2096311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096357 */     // MIs[0] round
     /* 2096357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096360 */     // MIs[0] policy
     /* 2096360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096370 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2096373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096396 */     // GIR_Coverage, 16708,
     /* 2096396 */     GIR_EraseRootFromParent_Done,
     /* 2096397 */   // Label 27762: @2096397
     /* 2096397 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2096488), // Rule ID 16711 //
     /* 2096402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096448 */     // MIs[0] round
     /* 2096448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096451 */     // MIs[0] policy
     /* 2096451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096461 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096487 */     // GIR_Coverage, 16711,
     /* 2096487 */     GIR_EraseRootFromParent_Done,
     /* 2096488 */   // Label 27763: @2096488
     /* 2096488 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2096579), // Rule ID 16712 //
     /* 2096493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2096513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096539 */     // MIs[0] round
     /* 2096539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096542 */     // MIs[0] policy
     /* 2096542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2096555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096578 */     // GIR_Coverage, 16712,
     /* 2096578 */     GIR_EraseRootFromParent_Done,
     /* 2096579 */   // Label 27764: @2096579
     /* 2096579 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2096670), // Rule ID 16715 //
     /* 2096584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2096604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096630 */     // MIs[0] round
     /* 2096630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096633 */     // MIs[0] policy
     /* 2096633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096643 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2096646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096669 */     // GIR_Coverage, 16715,
     /* 2096669 */     GIR_EraseRootFromParent_Done,
     /* 2096670 */   // Label 27765: @2096670
     /* 2096670 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2096761), // Rule ID 16716 //
     /* 2096675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2096695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096721 */     // MIs[0] round
     /* 2096721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096724 */     // MIs[0] policy
     /* 2096724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096734 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2096737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096760 */     // GIR_Coverage, 16716,
     /* 2096760 */     GIR_EraseRootFromParent_Done,
     /* 2096761 */   // Label 27766: @2096761
     /* 2096761 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2096852), // Rule ID 16719 //
     /* 2096766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096812 */     // MIs[0] round
     /* 2096812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096815 */     // MIs[0] policy
     /* 2096815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096825 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2096828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096851 */     // GIR_Coverage, 16719,
     /* 2096851 */     GIR_EraseRootFromParent_Done,
     /* 2096852 */   // Label 27767: @2096852
     /* 2096852 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2096943), // Rule ID 16720 //
     /* 2096857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096903 */     // MIs[0] round
     /* 2096903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096906 */     // MIs[0] policy
     /* 2096906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096916 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2096919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096942 */     // GIR_Coverage, 16720,
     /* 2096942 */     GIR_EraseRootFromParent_Done,
     /* 2096943 */   // Label 27768: @2096943
     /* 2096943 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2097034), // Rule ID 16723 //
     /* 2096948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2096965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2096968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096994 */     // MIs[0] round
     /* 2096994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096997 */     // MIs[0] policy
     /* 2096997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097007 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097033 */     // GIR_Coverage, 16723,
     /* 2097033 */     GIR_EraseRootFromParent_Done,
     /* 2097034 */   // Label 27769: @2097034
     /* 2097034 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2097125), // Rule ID 16724 //
     /* 2097039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2097050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2097053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2097059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097085 */     // MIs[0] round
     /* 2097085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097088 */     // MIs[0] policy
     /* 2097088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097098 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2097101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097124 */     // GIR_Coverage, 16724,
     /* 2097124 */     GIR_EraseRootFromParent_Done,
     /* 2097125 */   // Label 27770: @2097125
     /* 2097125 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2097216), // Rule ID 16727 //
     /* 2097130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097176 */     // MIs[0] round
     /* 2097176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097179 */     // MIs[0] policy
     /* 2097179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097215 */     // GIR_Coverage, 16727,
     /* 2097215 */     GIR_EraseRootFromParent_Done,
     /* 2097216 */   // Label 27771: @2097216
     /* 2097216 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2097307), // Rule ID 16728 //
     /* 2097221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2097232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2097235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2097241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097267 */     // MIs[0] round
     /* 2097267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097270 */     // MIs[0] policy
     /* 2097270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097280 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2097283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097306 */     // GIR_Coverage, 16728,
     /* 2097306 */     GIR_EraseRootFromParent_Done,
     /* 2097307 */   // Label 27772: @2097307
     /* 2097307 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2097398), // Rule ID 16731 //
     /* 2097312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097358 */     // MIs[0] round
     /* 2097358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097361 */     // MIs[0] policy
     /* 2097361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097371 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097397 */     // GIR_Coverage, 16731,
     /* 2097397 */     GIR_EraseRootFromParent_Done,
     /* 2097398 */   // Label 27773: @2097398
     /* 2097398 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2097489), // Rule ID 16732 //
     /* 2097403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097449 */     // MIs[0] round
     /* 2097449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097452 */     // MIs[0] policy
     /* 2097452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097462 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2097465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097488 */     // GIR_Coverage, 16732,
     /* 2097488 */     GIR_EraseRootFromParent_Done,
     /* 2097489 */   // Label 27774: @2097489
     /* 2097489 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2097580), // Rule ID 16735 //
     /* 2097494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097540 */     // MIs[0] round
     /* 2097540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097543 */     // MIs[0] policy
     /* 2097543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097553 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097579 */     // GIR_Coverage, 16735,
     /* 2097579 */     GIR_EraseRootFromParent_Done,
     /* 2097580 */   // Label 27775: @2097580
     /* 2097580 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2097671), // Rule ID 16736 //
     /* 2097585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097631 */     // MIs[0] round
     /* 2097631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097634 */     // MIs[0] policy
     /* 2097634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097644 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2097647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097670 */     // GIR_Coverage, 16736,
     /* 2097670 */     GIR_EraseRootFromParent_Done,
     /* 2097671 */   // Label 27776: @2097671
     /* 2097671 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2097762), // Rule ID 16739 //
     /* 2097676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2097696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097722 */     // MIs[0] round
     /* 2097722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097725 */     // MIs[0] policy
     /* 2097725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097735 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2097738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097761 */     // GIR_Coverage, 16739,
     /* 2097761 */     GIR_EraseRootFromParent_Done,
     /* 2097762 */   // Label 27777: @2097762
     /* 2097762 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2097853), // Rule ID 16740 //
     /* 2097767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2097787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097813 */     // MIs[0] round
     /* 2097813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097816 */     // MIs[0] policy
     /* 2097816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097826 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2097829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097852 */     // GIR_Coverage, 16740,
     /* 2097852 */     GIR_EraseRootFromParent_Done,
     /* 2097853 */   // Label 27778: @2097853
     /* 2097853 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2097944), // Rule ID 16743 //
     /* 2097858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2097878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097904 */     // MIs[0] round
     /* 2097904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097907 */     // MIs[0] policy
     /* 2097907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2097920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097943 */     // GIR_Coverage, 16743,
     /* 2097943 */     GIR_EraseRootFromParent_Done,
     /* 2097944 */   // Label 27779: @2097944
     /* 2097944 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2098035), // Rule ID 16744 //
     /* 2097949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2097969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097995 */     // MIs[0] round
     /* 2097995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097998 */     // MIs[0] policy
     /* 2097998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2098011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098034 */     // GIR_Coverage, 16744,
     /* 2098034 */     GIR_EraseRootFromParent_Done,
     /* 2098035 */   // Label 27780: @2098035
     /* 2098035 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2098126), // Rule ID 16747 //
     /* 2098040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098086 */     // MIs[0] round
     /* 2098086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098089 */     // MIs[0] policy
     /* 2098089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098099 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098125 */     // GIR_Coverage, 16747,
     /* 2098125 */     GIR_EraseRootFromParent_Done,
     /* 2098126 */   // Label 27781: @2098126
     /* 2098126 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2098217), // Rule ID 16748 //
     /* 2098131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2098142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2098145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2098148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2098151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098177 */     // MIs[0] round
     /* 2098177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098180 */     // MIs[0] policy
     /* 2098180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098190 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2098193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098216 */     // GIR_Coverage, 16748,
     /* 2098216 */     GIR_EraseRootFromParent_Done,
     /* 2098217 */   // Label 27782: @2098217
     /* 2098217 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2098308), // Rule ID 16751 //
     /* 2098222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098268 */     // MIs[0] round
     /* 2098268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098271 */     // MIs[0] policy
     /* 2098271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098281 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098307 */     // GIR_Coverage, 16751,
     /* 2098307 */     GIR_EraseRootFromParent_Done,
     /* 2098308 */   // Label 27783: @2098308
     /* 2098308 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2098399), // Rule ID 16752 //
     /* 2098313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2098324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2098327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2098330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2098333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098359 */     // MIs[0] round
     /* 2098359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098362 */     // MIs[0] policy
     /* 2098362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098372 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2098375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098398 */     // GIR_Coverage, 16752,
     /* 2098398 */     GIR_EraseRootFromParent_Done,
     /* 2098399 */   // Label 27784: @2098399
     /* 2098399 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2098490), // Rule ID 16755 //
     /* 2098404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098450 */     // MIs[0] round
     /* 2098450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098453 */     // MIs[0] policy
     /* 2098453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098463 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098489 */     // GIR_Coverage, 16755,
     /* 2098489 */     GIR_EraseRootFromParent_Done,
     /* 2098490 */   // Label 27785: @2098490
     /* 2098490 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2098581), // Rule ID 16756 //
     /* 2098495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098541 */     // MIs[0] round
     /* 2098541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098544 */     // MIs[0] policy
     /* 2098544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098554 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2098557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098580 */     // GIR_Coverage, 16756,
     /* 2098580 */     GIR_EraseRootFromParent_Done,
     /* 2098581 */   // Label 27786: @2098581
     /* 2098581 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2098672), // Rule ID 16759 //
     /* 2098586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2098597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2098600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098632 */     // MIs[0] round
     /* 2098632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098635 */     // MIs[0] policy
     /* 2098635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098645 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2098648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098671 */     // GIR_Coverage, 16759,
     /* 2098671 */     GIR_EraseRootFromParent_Done,
     /* 2098672 */   // Label 27787: @2098672
     /* 2098672 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2098763), // Rule ID 16760 //
     /* 2098677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2098688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2098691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098723 */     // MIs[0] round
     /* 2098723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098726 */     // MIs[0] policy
     /* 2098726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098736 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2098739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098762 */     // GIR_Coverage, 16760,
     /* 2098762 */     GIR_EraseRootFromParent_Done,
     /* 2098763 */   // Label 27788: @2098763
     /* 2098763 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2098854), // Rule ID 16763 //
     /* 2098768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098814 */     // MIs[0] round
     /* 2098814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098817 */     // MIs[0] policy
     /* 2098817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2098830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098853 */     // GIR_Coverage, 16763,
     /* 2098853 */     GIR_EraseRootFromParent_Done,
     /* 2098854 */   // Label 27789: @2098854
     /* 2098854 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2098945), // Rule ID 16764 //
     /* 2098859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098905 */     // MIs[0] round
     /* 2098905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098908 */     // MIs[0] policy
     /* 2098908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098918 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2098921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098944 */     // GIR_Coverage, 16764,
     /* 2098944 */     GIR_EraseRootFromParent_Done,
     /* 2098945 */   // Label 27790: @2098945
     /* 2098945 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2099036), // Rule ID 16767 //
     /* 2098950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2098961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2098964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098996 */     // MIs[0] round
     /* 2098996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098999 */     // MIs[0] policy
     /* 2098999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099009 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099035 */     // GIR_Coverage, 16767,
     /* 2099035 */     GIR_EraseRootFromParent_Done,
     /* 2099036 */   // Label 27791: @2099036
     /* 2099036 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2099127), // Rule ID 16768 //
     /* 2099041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099087 */     // MIs[0] round
     /* 2099087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099090 */     // MIs[0] policy
     /* 2099090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099100 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2099103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099126 */     // GIR_Coverage, 16768,
     /* 2099126 */     GIR_EraseRootFromParent_Done,
     /* 2099127 */   // Label 27792: @2099127
     /* 2099127 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2099218), // Rule ID 16771 //
     /* 2099132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099178 */     // MIs[0] round
     /* 2099178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099181 */     // MIs[0] policy
     /* 2099181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099217 */     // GIR_Coverage, 16771,
     /* 2099217 */     GIR_EraseRootFromParent_Done,
     /* 2099218 */   // Label 27793: @2099218
     /* 2099218 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2099309), // Rule ID 16772 //
     /* 2099223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099269 */     // MIs[0] round
     /* 2099269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099272 */     // MIs[0] policy
     /* 2099272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099282 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2099285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099308 */     // GIR_Coverage, 16772,
     /* 2099308 */     GIR_EraseRootFromParent_Done,
     /* 2099309 */   // Label 27794: @2099309
     /* 2099309 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2099400), // Rule ID 16775 //
     /* 2099314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099360 */     // MIs[0] round
     /* 2099360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099363 */     // MIs[0] policy
     /* 2099363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099399 */     // GIR_Coverage, 16775,
     /* 2099399 */     GIR_EraseRootFromParent_Done,
     /* 2099400 */   // Label 27795: @2099400
     /* 2099400 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2099491), // Rule ID 16776 //
     /* 2099405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2099416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2099419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099451 */     // MIs[0] round
     /* 2099451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099454 */     // MIs[0] policy
     /* 2099454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099464 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2099467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099490 */     // GIR_Coverage, 16776,
     /* 2099490 */     GIR_EraseRootFromParent_Done,
     /* 2099491 */   // Label 27796: @2099491
     /* 2099491 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2099582), // Rule ID 16779 //
     /* 2099496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099542 */     // MIs[0] round
     /* 2099542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099545 */     // MIs[0] policy
     /* 2099545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099555 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099581 */     // GIR_Coverage, 16779,
     /* 2099581 */     GIR_EraseRootFromParent_Done,
     /* 2099582 */   // Label 27797: @2099582
     /* 2099582 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2099673), // Rule ID 16780 //
     /* 2099587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2099604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099633 */     // MIs[0] round
     /* 2099633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099636 */     // MIs[0] policy
     /* 2099636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099646 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2099649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099672 */     // GIR_Coverage, 16780,
     /* 2099672 */     GIR_EraseRootFromParent_Done,
     /* 2099673 */   // Label 27798: @2099673
     /* 2099673 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2099764), // Rule ID 16783 //
     /* 2099678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2099695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099724 */     // MIs[0] round
     /* 2099724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099727 */     // MIs[0] policy
     /* 2099727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099737 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2099740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099763 */     // GIR_Coverage, 16783,
     /* 2099763 */     GIR_EraseRootFromParent_Done,
     /* 2099764 */   // Label 27799: @2099764
     /* 2099764 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2099855), // Rule ID 16784 //
     /* 2099769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2099786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099815 */     // MIs[0] round
     /* 2099815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099818 */     // MIs[0] policy
     /* 2099818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099828 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2099831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099854 */     // GIR_Coverage, 16784,
     /* 2099854 */     GIR_EraseRootFromParent_Done,
     /* 2099855 */   // Label 27800: @2099855
     /* 2099855 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2099946), // Rule ID 16787 //
     /* 2099860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2099871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2099874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2099877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2099883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099906 */     // MIs[0] round
     /* 2099906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099909 */     // MIs[0] policy
     /* 2099909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099919 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2099922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099945 */     // GIR_Coverage, 16787,
     /* 2099945 */     GIR_EraseRootFromParent_Done,
     /* 2099946 */   // Label 27801: @2099946
     /* 2099946 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100037), // Rule ID 16788 //
     /* 2099951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2099962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2099965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2099968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2099974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099997 */     // MIs[0] round
     /* 2099997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100000 */     // MIs[0] policy
     /* 2100000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100010 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2100013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100036 */     // GIR_Coverage, 16788,
     /* 2100036 */     GIR_EraseRootFromParent_Done,
     /* 2100037 */   // Label 27802: @2100037
     /* 2100037 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100128), // Rule ID 16791 //
     /* 2100042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100088 */     // MIs[0] round
     /* 2100088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100091 */     // MIs[0] policy
     /* 2100091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100127 */     // GIR_Coverage, 16791,
     /* 2100127 */     GIR_EraseRootFromParent_Done,
     /* 2100128 */   // Label 27803: @2100128
     /* 2100128 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100219), // Rule ID 16792 //
     /* 2100133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100179 */     // MIs[0] round
     /* 2100179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100182 */     // MIs[0] policy
     /* 2100182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100192 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2100195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100218 */     // GIR_Coverage, 16792,
     /* 2100218 */     GIR_EraseRootFromParent_Done,
     /* 2100219 */   // Label 27804: @2100219
     /* 2100219 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2100310), // Rule ID 16795 //
     /* 2100224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100270 */     // MIs[0] round
     /* 2100270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100273 */     // MIs[0] policy
     /* 2100273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100309 */     // GIR_Coverage, 16795,
     /* 2100309 */     GIR_EraseRootFromParent_Done,
     /* 2100310 */   // Label 27805: @2100310
     /* 2100310 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2100401), // Rule ID 16796 //
     /* 2100315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2100332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100361 */     // MIs[0] round
     /* 2100361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100364 */     // MIs[0] policy
     /* 2100364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2100377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100400 */     // GIR_Coverage, 16796,
     /* 2100400 */     GIR_EraseRootFromParent_Done,
     /* 2100401 */   // Label 27806: @2100401
     /* 2100401 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2100492), // Rule ID 16799 //
     /* 2100406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100452 */     // MIs[0] round
     /* 2100452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100455 */     // MIs[0] policy
     /* 2100455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100465 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100491 */     // GIR_Coverage, 16799,
     /* 2100491 */     GIR_EraseRootFromParent_Done,
     /* 2100492 */   // Label 27807: @2100492
     /* 2100492 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2100583), // Rule ID 16800 //
     /* 2100497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2100514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100543 */     // MIs[0] round
     /* 2100543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100546 */     // MIs[0] policy
     /* 2100546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100556 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2100559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100582 */     // GIR_Coverage, 16800,
     /* 2100582 */     GIR_EraseRootFromParent_Done,
     /* 2100583 */   // Label 27808: @2100583
     /* 2100583 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2100674), // Rule ID 16803 //
     /* 2100588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100634 */     // MIs[0] round
     /* 2100634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100637 */     // MIs[0] policy
     /* 2100637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100647 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2100650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100673 */     // GIR_Coverage, 16803,
     /* 2100673 */     GIR_EraseRootFromParent_Done,
     /* 2100674 */   // Label 27809: @2100674
     /* 2100674 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2100765), // Rule ID 16804 //
     /* 2100679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100725 */     // MIs[0] round
     /* 2100725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100728 */     // MIs[0] policy
     /* 2100728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100738 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2100741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100764 */     // GIR_Coverage, 16804,
     /* 2100764 */     GIR_EraseRootFromParent_Done,
     /* 2100765 */   // Label 27810: @2100765
     /* 2100765 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2100856), // Rule ID 16807 //
     /* 2100770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100816 */     // MIs[0] round
     /* 2100816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100819 */     // MIs[0] policy
     /* 2100819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100829 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2100832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100855 */     // GIR_Coverage, 16807,
     /* 2100855 */     GIR_EraseRootFromParent_Done,
     /* 2100856 */   // Label 27811: @2100856
     /* 2100856 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2100947), // Rule ID 16808 //
     /* 2100861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100907 */     // MIs[0] round
     /* 2100907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100910 */     // MIs[0] policy
     /* 2100910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100920 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2100923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100946 */     // GIR_Coverage, 16808,
     /* 2100946 */     GIR_EraseRootFromParent_Done,
     /* 2100947 */   // Label 27812: @2100947
     /* 2100947 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101038), // Rule ID 16811 //
     /* 2100952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2100963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2100966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2100969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100998 */     // MIs[0] round
     /* 2100998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101001 */     // MIs[0] policy
     /* 2101001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101011 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101037 */     // GIR_Coverage, 16811,
     /* 2101037 */     GIR_EraseRootFromParent_Done,
     /* 2101038 */   // Label 27813: @2101038
     /* 2101038 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101129), // Rule ID 16812 //
     /* 2101043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2101060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2101063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2101085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101089 */     // MIs[0] round
     /* 2101089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101092 */     // MIs[0] policy
     /* 2101092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101102 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2101105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101128 */     // GIR_Coverage, 16812,
     /* 2101128 */     GIR_EraseRootFromParent_Done,
     /* 2101129 */   // Label 27814: @2101129
     /* 2101129 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101220), // Rule ID 16815 //
     /* 2101134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101180 */     // MIs[0] round
     /* 2101180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101183 */     // MIs[0] policy
     /* 2101183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101193 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101219 */     // GIR_Coverage, 16815,
     /* 2101219 */     GIR_EraseRootFromParent_Done,
     /* 2101220 */   // Label 27815: @2101220
     /* 2101220 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101311), // Rule ID 16816 //
     /* 2101225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101271 */     // MIs[0] round
     /* 2101271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101274 */     // MIs[0] policy
     /* 2101274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2101287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101310 */     // GIR_Coverage, 16816,
     /* 2101310 */     GIR_EraseRootFromParent_Done,
     /* 2101311 */   // Label 27816: @2101311
     /* 2101311 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2101402), // Rule ID 16819 //
     /* 2101316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101362 */     // MIs[0] round
     /* 2101362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101365 */     // MIs[0] policy
     /* 2101365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101375 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101401 */     // GIR_Coverage, 16819,
     /* 2101401 */     GIR_EraseRootFromParent_Done,
     /* 2101402 */   // Label 27817: @2101402
     /* 2101402 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2101493), // Rule ID 16820 //
     /* 2101407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101453 */     // MIs[0] round
     /* 2101453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101456 */     // MIs[0] policy
     /* 2101456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101466 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2101469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101492 */     // GIR_Coverage, 16820,
     /* 2101492 */     GIR_EraseRootFromParent_Done,
     /* 2101493 */   // Label 27818: @2101493
     /* 2101493 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2101584), // Rule ID 16823 //
     /* 2101498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101544 */     // MIs[0] round
     /* 2101544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101547 */     // MIs[0] policy
     /* 2101547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101557 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101583 */     // GIR_Coverage, 16823,
     /* 2101583 */     GIR_EraseRootFromParent_Done,
     /* 2101584 */   // Label 27819: @2101584
     /* 2101584 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2101675), // Rule ID 16824 //
     /* 2101589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101635 */     // MIs[0] round
     /* 2101635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101638 */     // MIs[0] policy
     /* 2101638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2101651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101674 */     // GIR_Coverage, 16824,
     /* 2101674 */     GIR_EraseRootFromParent_Done,
     /* 2101675 */   // Label 27820: @2101675
     /* 2101675 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2101766), // Rule ID 16827 //
     /* 2101680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2101691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2101694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101726 */     // MIs[0] round
     /* 2101726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101729 */     // MIs[0] policy
     /* 2101729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101739 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2101742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101765 */     // GIR_Coverage, 16827,
     /* 2101765 */     GIR_EraseRootFromParent_Done,
     /* 2101766 */   // Label 27821: @2101766
     /* 2101766 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2101857), // Rule ID 16828 //
     /* 2101771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2101782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2101785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101817 */     // MIs[0] round
     /* 2101817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101820 */     // MIs[0] policy
     /* 2101820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101830 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2101833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101856 */     // GIR_Coverage, 16828,
     /* 2101856 */     GIR_EraseRootFromParent_Done,
     /* 2101857 */   // Label 27822: @2101857
     /* 2101857 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2101948), // Rule ID 16831 //
     /* 2101862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101908 */     // MIs[0] round
     /* 2101908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101911 */     // MIs[0] policy
     /* 2101911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101921 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2101924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101947 */     // GIR_Coverage, 16831,
     /* 2101947 */     GIR_EraseRootFromParent_Done,
     /* 2101948 */   // Label 27823: @2101948
     /* 2101948 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102039), // Rule ID 16832 //
     /* 2101953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101999 */     // MIs[0] round
     /* 2101999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102002 */     // MIs[0] policy
     /* 2102002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2102015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102038 */     // GIR_Coverage, 16832,
     /* 2102038 */     GIR_EraseRootFromParent_Done,
     /* 2102039 */   // Label 27824: @2102039
     /* 2102039 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102130), // Rule ID 16835 //
     /* 2102044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102090 */     // MIs[0] round
     /* 2102090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102093 */     // MIs[0] policy
     /* 2102093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102129 */     // GIR_Coverage, 16835,
     /* 2102129 */     GIR_EraseRootFromParent_Done,
     /* 2102130 */   // Label 27825: @2102130
     /* 2102130 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102221), // Rule ID 16836 //
     /* 2102135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102181 */     // MIs[0] round
     /* 2102181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102184 */     // MIs[0] policy
     /* 2102184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102194 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2102197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102220 */     // GIR_Coverage, 16836,
     /* 2102220 */     GIR_EraseRootFromParent_Done,
     /* 2102221 */   // Label 27826: @2102221
     /* 2102221 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102312), // Rule ID 16839 //
     /* 2102226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102272 */     // MIs[0] round
     /* 2102272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102275 */     // MIs[0] policy
     /* 2102275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102285 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102311 */     // GIR_Coverage, 16839,
     /* 2102311 */     GIR_EraseRootFromParent_Done,
     /* 2102312 */   // Label 27827: @2102312
     /* 2102312 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2102403), // Rule ID 16840 //
     /* 2102317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2102334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102363 */     // MIs[0] round
     /* 2102363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102366 */     // MIs[0] policy
     /* 2102366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102376 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2102379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102402 */     // GIR_Coverage, 16840,
     /* 2102402 */     GIR_EraseRootFromParent_Done,
     /* 2102403 */   // Label 27828: @2102403
     /* 2102403 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2102494), // Rule ID 16843 //
     /* 2102408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102454 */     // MIs[0] round
     /* 2102454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102457 */     // MIs[0] policy
     /* 2102457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102467 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102493 */     // GIR_Coverage, 16843,
     /* 2102493 */     GIR_EraseRootFromParent_Done,
     /* 2102494 */   // Label 27829: @2102494
     /* 2102494 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2102585), // Rule ID 16844 //
     /* 2102499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102545 */     // MIs[0] round
     /* 2102545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102548 */     // MIs[0] policy
     /* 2102548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102558 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2102561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102584 */     // GIR_Coverage, 16844,
     /* 2102584 */     GIR_EraseRootFromParent_Done,
     /* 2102585 */   // Label 27830: @2102585
     /* 2102585 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2102676), // Rule ID 16847 //
     /* 2102590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2102593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2102601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2102604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2102607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2102613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102636 */     // MIs[0] round
     /* 2102636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102639 */     // MIs[0] policy
     /* 2102639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102649 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2102652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102675 */     // GIR_Coverage, 16847,
     /* 2102675 */     GIR_EraseRootFromParent_Done,
     /* 2102676 */   // Label 27831: @2102676
     /* 2102676 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2102767), // Rule ID 16848 //
     /* 2102681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2102684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2102692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2102695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2102698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2102704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102727 */     // MIs[0] round
     /* 2102727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102730 */     // MIs[0] policy
     /* 2102730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102740 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2102743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102766 */     // GIR_Coverage, 16848,
     /* 2102766 */     GIR_EraseRootFromParent_Done,
     /* 2102767 */   // Label 27832: @2102767
     /* 2102767 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2102858), // Rule ID 16851 //
     /* 2102772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102818 */     // MIs[0] round
     /* 2102818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102821 */     // MIs[0] policy
     /* 2102821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102831 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2102834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102857 */     // GIR_Coverage, 16851,
     /* 2102857 */     GIR_EraseRootFromParent_Done,
     /* 2102858 */   // Label 27833: @2102858
     /* 2102858 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2102949), // Rule ID 16852 //
     /* 2102863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102909 */     // MIs[0] round
     /* 2102909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102912 */     // MIs[0] policy
     /* 2102912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2102925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102948 */     // GIR_Coverage, 16852,
     /* 2102948 */     GIR_EraseRootFromParent_Done,
     /* 2102949 */   // Label 27834: @2102949
     /* 2102949 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2103040), // Rule ID 16855 //
     /* 2102954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2102965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2102968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103000 */     // MIs[0] round
     /* 2103000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103003 */     // MIs[0] policy
     /* 2103003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103013 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103039 */     // GIR_Coverage, 16855,
     /* 2103039 */     GIR_EraseRootFromParent_Done,
     /* 2103040 */   // Label 27835: @2103040
     /* 2103040 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2103131), // Rule ID 16856 //
     /* 2103045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2103062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103091 */     // MIs[0] round
     /* 2103091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103094 */     // MIs[0] policy
     /* 2103094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2103107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103130 */     // GIR_Coverage, 16856,
     /* 2103130 */     GIR_EraseRootFromParent_Done,
     /* 2103131 */   // Label 27836: @2103131
     /* 2103131 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2103222), // Rule ID 16859 //
     /* 2103136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103182 */     // MIs[0] round
     /* 2103182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103185 */     // MIs[0] policy
     /* 2103185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103195 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103221 */     // GIR_Coverage, 16859,
     /* 2103221 */     GIR_EraseRootFromParent_Done,
     /* 2103222 */   // Label 27837: @2103222
     /* 2103222 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2103313), // Rule ID 16860 //
     /* 2103227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2103244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103273 */     // MIs[0] round
     /* 2103273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103276 */     // MIs[0] policy
     /* 2103276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2103289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103312 */     // GIR_Coverage, 16860,
     /* 2103312 */     GIR_EraseRootFromParent_Done,
     /* 2103313 */   // Label 27838: @2103313
     /* 2103313 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2103404), // Rule ID 16863 //
     /* 2103318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103364 */     // MIs[0] round
     /* 2103364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103367 */     // MIs[0] policy
     /* 2103367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103403 */     // GIR_Coverage, 16863,
     /* 2103403 */     GIR_EraseRootFromParent_Done,
     /* 2103404 */   // Label 27839: @2103404
     /* 2103404 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2103495), // Rule ID 16864 //
     /* 2103409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2103426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103455 */     // MIs[0] round
     /* 2103455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103458 */     // MIs[0] policy
     /* 2103458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103468 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2103471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103494 */     // GIR_Coverage, 16864,
     /* 2103494 */     GIR_EraseRootFromParent_Done,
     /* 2103495 */   // Label 27840: @2103495
     /* 2103495 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2103586), // Rule ID 16867 //
     /* 2103500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103546 */     // MIs[0] round
     /* 2103546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103549 */     // MIs[0] policy
     /* 2103549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2103562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103585 */     // GIR_Coverage, 16867,
     /* 2103585 */     GIR_EraseRootFromParent_Done,
     /* 2103586 */   // Label 27841: @2103586
     /* 2103586 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2103677), // Rule ID 16868 //
     /* 2103591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103637 */     // MIs[0] round
     /* 2103637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103640 */     // MIs[0] policy
     /* 2103640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2103653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103676 */     // GIR_Coverage, 16868,
     /* 2103676 */     GIR_EraseRootFromParent_Done,
     /* 2103677 */   // Label 27842: @2103677
     /* 2103677 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2103768), // Rule ID 16871 //
     /* 2103682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103728 */     // MIs[0] round
     /* 2103728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103731 */     // MIs[0] policy
     /* 2103731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103741 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2103744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103767 */     // GIR_Coverage, 16871,
     /* 2103767 */     GIR_EraseRootFromParent_Done,
     /* 2103768 */   // Label 27843: @2103768
     /* 2103768 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2103859), // Rule ID 16872 //
     /* 2103773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2103776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2103781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103819 */     // MIs[0] round
     /* 2103819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103822 */     // MIs[0] policy
     /* 2103822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103832 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2103835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103858 */     // GIR_Coverage, 16872,
     /* 2103858 */     GIR_EraseRootFromParent_Done,
     /* 2103859 */   // Label 27844: @2103859
     /* 2103859 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2103950), // Rule ID 16875 //
     /* 2103864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103910 */     // MIs[0] round
     /* 2103910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103913 */     // MIs[0] policy
     /* 2103913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103923 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2103926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103949 */     // GIR_Coverage, 16875,
     /* 2103949 */     GIR_EraseRootFromParent_Done,
     /* 2103950 */   // Label 27845: @2103950
     /* 2103950 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2104041), // Rule ID 16876 //
     /* 2103955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104001 */     // MIs[0] round
     /* 2104001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104004 */     // MIs[0] policy
     /* 2104004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104014 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2104017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104040 */     // GIR_Coverage, 16876,
     /* 2104040 */     GIR_EraseRootFromParent_Done,
     /* 2104041 */   // Label 27846: @2104041
     /* 2104041 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2104132), // Rule ID 16879 //
     /* 2104046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104092 */     // MIs[0] round
     /* 2104092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104095 */     // MIs[0] policy
     /* 2104095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104105 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104131 */     // GIR_Coverage, 16879,
     /* 2104131 */     GIR_EraseRootFromParent_Done,
     /* 2104132 */   // Label 27847: @2104132
     /* 2104132 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2104223), // Rule ID 16880 //
     /* 2104137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104183 */     // MIs[0] round
     /* 2104183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104186 */     // MIs[0] policy
     /* 2104186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104196 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2104199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104222 */     // GIR_Coverage, 16880,
     /* 2104222 */     GIR_EraseRootFromParent_Done,
     /* 2104223 */   // Label 27848: @2104223
     /* 2104223 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2104314), // Rule ID 16883 //
     /* 2104228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104274 */     // MIs[0] round
     /* 2104274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104277 */     // MIs[0] policy
     /* 2104277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104287 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104313 */     // GIR_Coverage, 16883,
     /* 2104313 */     GIR_EraseRootFromParent_Done,
     /* 2104314 */   // Label 27849: @2104314
     /* 2104314 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2104405), // Rule ID 16884 //
     /* 2104319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104365 */     // MIs[0] round
     /* 2104365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104368 */     // MIs[0] policy
     /* 2104368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2104381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104404 */     // GIR_Coverage, 16884,
     /* 2104404 */     GIR_EraseRootFromParent_Done,
     /* 2104405 */   // Label 27850: @2104405
     /* 2104405 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2104496), // Rule ID 16887 //
     /* 2104410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104456 */     // MIs[0] round
     /* 2104456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104459 */     // MIs[0] policy
     /* 2104459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104469 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104495 */     // GIR_Coverage, 16887,
     /* 2104495 */     GIR_EraseRootFromParent_Done,
     /* 2104496 */   // Label 27851: @2104496
     /* 2104496 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2104587), // Rule ID 16888 //
     /* 2104501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104547 */     // MIs[0] round
     /* 2104547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104550 */     // MIs[0] policy
     /* 2104550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104560 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2104563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104586 */     // GIR_Coverage, 16888,
     /* 2104586 */     GIR_EraseRootFromParent_Done,
     /* 2104587 */   // Label 27852: @2104587
     /* 2104587 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2104678), // Rule ID 16891 //
     /* 2104592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2104612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104638 */     // MIs[0] round
     /* 2104638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104641 */     // MIs[0] policy
     /* 2104641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104651 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2104654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104677 */     // GIR_Coverage, 16891,
     /* 2104677 */     GIR_EraseRootFromParent_Done,
     /* 2104678 */   // Label 27853: @2104678
     /* 2104678 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2104769), // Rule ID 16892 //
     /* 2104683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2104694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2104697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2104703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104729 */     // MIs[0] round
     /* 2104729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104732 */     // MIs[0] policy
     /* 2104732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104742 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2104745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104768 */     // GIR_Coverage, 16892,
     /* 2104768 */     GIR_EraseRootFromParent_Done,
     /* 2104769 */   // Label 27854: @2104769
     /* 2104769 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2104860), // Rule ID 16895 //
     /* 2104774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2104785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2104788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2104794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104820 */     // MIs[0] round
     /* 2104820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104823 */     // MIs[0] policy
     /* 2104823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104833 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2104836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104859 */     // GIR_Coverage, 16895,
     /* 2104859 */     GIR_EraseRootFromParent_Done,
     /* 2104860 */   // Label 27855: @2104860
     /* 2104860 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2104951), // Rule ID 16896 //
     /* 2104865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2104876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2104879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2104885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104911 */     // MIs[0] round
     /* 2104911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104914 */     // MIs[0] policy
     /* 2104914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104924 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2104927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104950 */     // GIR_Coverage, 16896,
     /* 2104950 */     GIR_EraseRootFromParent_Done,
     /* 2104951 */   // Label 27856: @2104951
     /* 2104951 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2105042), // Rule ID 16899 //
     /* 2104956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2104976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105002 */     // MIs[0] round
     /* 2105002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105005 */     // MIs[0] policy
     /* 2105005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105015 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105041 */     // GIR_Coverage, 16899,
     /* 2105041 */     GIR_EraseRootFromParent_Done,
     /* 2105042 */   // Label 27857: @2105042
     /* 2105042 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2105133), // Rule ID 16900 //
     /* 2105047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105093 */     // MIs[0] round
     /* 2105093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105096 */     // MIs[0] policy
     /* 2105096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105106 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2105109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105132 */     // GIR_Coverage, 16900,
     /* 2105132 */     GIR_EraseRootFromParent_Done,
     /* 2105133 */   // Label 27858: @2105133
     /* 2105133 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2105224), // Rule ID 16903 //
     /* 2105138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105184 */     // MIs[0] round
     /* 2105184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105187 */     // MIs[0] policy
     /* 2105187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105197 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105223 */     // GIR_Coverage, 16903,
     /* 2105223 */     GIR_EraseRootFromParent_Done,
     /* 2105224 */   // Label 27859: @2105224
     /* 2105224 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2105315), // Rule ID 16904 //
     /* 2105229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105275 */     // MIs[0] round
     /* 2105275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105278 */     // MIs[0] policy
     /* 2105278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105288 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2105291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105314 */     // GIR_Coverage, 16904,
     /* 2105314 */     GIR_EraseRootFromParent_Done,
     /* 2105315 */   // Label 27860: @2105315
     /* 2105315 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2105406), // Rule ID 16907 //
     /* 2105320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105366 */     // MIs[0] round
     /* 2105366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105369 */     // MIs[0] policy
     /* 2105369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105379 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105405 */     // GIR_Coverage, 16907,
     /* 2105405 */     GIR_EraseRootFromParent_Done,
     /* 2105406 */   // Label 27861: @2105406
     /* 2105406 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2105497), // Rule ID 16908 //
     /* 2105411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105457 */     // MIs[0] round
     /* 2105457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105460 */     // MIs[0] policy
     /* 2105460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105470 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2105473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105496 */     // GIR_Coverage, 16908,
     /* 2105496 */     GIR_EraseRootFromParent_Done,
     /* 2105497 */   // Label 27862: @2105497
     /* 2105497 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2105588), // Rule ID 16911 //
     /* 2105502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105548 */     // MIs[0] round
     /* 2105548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105551 */     // MIs[0] policy
     /* 2105551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105561 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2105564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105587 */     // GIR_Coverage, 16911,
     /* 2105587 */     GIR_EraseRootFromParent_Done,
     /* 2105588 */   // Label 27863: @2105588
     /* 2105588 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2105679), // Rule ID 16912 //
     /* 2105593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105639 */     // MIs[0] round
     /* 2105639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105642 */     // MIs[0] policy
     /* 2105642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105652 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2105655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105678 */     // GIR_Coverage, 16912,
     /* 2105678 */     GIR_EraseRootFromParent_Done,
     /* 2105679 */   // Label 27864: @2105679
     /* 2105679 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2105770), // Rule ID 16915 //
     /* 2105684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105730 */     // MIs[0] round
     /* 2105730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105733 */     // MIs[0] policy
     /* 2105733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105743 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2105746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105769 */     // GIR_Coverage, 16915,
     /* 2105769 */     GIR_EraseRootFromParent_Done,
     /* 2105770 */   // Label 27865: @2105770
     /* 2105770 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2105861), // Rule ID 16916 //
     /* 2105775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105821 */     // MIs[0] round
     /* 2105821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105824 */     // MIs[0] policy
     /* 2105824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105834 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2105837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105860 */     // GIR_Coverage, 16916,
     /* 2105860 */     GIR_EraseRootFromParent_Done,
     /* 2105861 */   // Label 27866: @2105861
     /* 2105861 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2105952), // Rule ID 16919 //
     /* 2105866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2105877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2105880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105912 */     // MIs[0] round
     /* 2105912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105915 */     // MIs[0] policy
     /* 2105915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105925 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2105928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105951 */     // GIR_Coverage, 16919,
     /* 2105951 */     GIR_EraseRootFromParent_Done,
     /* 2105952 */   // Label 27867: @2105952
     /* 2105952 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2106043), // Rule ID 16920 //
     /* 2105957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2105968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2105971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106003 */     // MIs[0] round
     /* 2106003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106006 */     // MIs[0] policy
     /* 2106006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106016 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2106019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106042 */     // GIR_Coverage, 16920,
     /* 2106042 */     GIR_EraseRootFromParent_Done,
     /* 2106043 */   // Label 27868: @2106043
     /* 2106043 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2106134), // Rule ID 16923 //
     /* 2106048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106094 */     // MIs[0] round
     /* 2106094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106097 */     // MIs[0] policy
     /* 2106097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106133 */     // GIR_Coverage, 16923,
     /* 2106133 */     GIR_EraseRootFromParent_Done,
     /* 2106134 */   // Label 27869: @2106134
     /* 2106134 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2106225), // Rule ID 16924 //
     /* 2106139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106185 */     // MIs[0] round
     /* 2106185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106188 */     // MIs[0] policy
     /* 2106188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2106201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106224 */     // GIR_Coverage, 16924,
     /* 2106224 */     GIR_EraseRootFromParent_Done,
     /* 2106225 */   // Label 27870: @2106225
     /* 2106225 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2106316), // Rule ID 16927 //
     /* 2106230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106276 */     // MIs[0] round
     /* 2106276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106279 */     // MIs[0] policy
     /* 2106279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106289 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106315 */     // GIR_Coverage, 16927,
     /* 2106315 */     GIR_EraseRootFromParent_Done,
     /* 2106316 */   // Label 27871: @2106316
     /* 2106316 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2106407), // Rule ID 16928 //
     /* 2106321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106367 */     // MIs[0] round
     /* 2106367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106370 */     // MIs[0] policy
     /* 2106370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106380 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2106383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106406 */     // GIR_Coverage, 16928,
     /* 2106406 */     GIR_EraseRootFromParent_Done,
     /* 2106407 */   // Label 27872: @2106407
     /* 2106407 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2106498), // Rule ID 16931 //
     /* 2106412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106458 */     // MIs[0] round
     /* 2106458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106461 */     // MIs[0] policy
     /* 2106461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106471 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106497 */     // GIR_Coverage, 16931,
     /* 2106497 */     GIR_EraseRootFromParent_Done,
     /* 2106498 */   // Label 27873: @2106498
     /* 2106498 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2106589), // Rule ID 16932 //
     /* 2106503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106549 */     // MIs[0] round
     /* 2106549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106552 */     // MIs[0] policy
     /* 2106552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2106565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106588 */     // GIR_Coverage, 16932,
     /* 2106588 */     GIR_EraseRootFromParent_Done,
     /* 2106589 */   // Label 27874: @2106589
     /* 2106589 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2106680), // Rule ID 16935 //
     /* 2106594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2106605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2106608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106640 */     // MIs[0] round
     /* 2106640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106643 */     // MIs[0] policy
     /* 2106643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2106656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106679 */     // GIR_Coverage, 16935,
     /* 2106679 */     GIR_EraseRootFromParent_Done,
     /* 2106680 */   // Label 27875: @2106680
     /* 2106680 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2106771), // Rule ID 16936 //
     /* 2106685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2106696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2106699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106731 */     // MIs[0] round
     /* 2106731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106734 */     // MIs[0] policy
     /* 2106734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106744 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2106747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106770 */     // GIR_Coverage, 16936,
     /* 2106770 */     GIR_EraseRootFromParent_Done,
     /* 2106771 */   // Label 27876: @2106771
     /* 2106771 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2106862), // Rule ID 16939 //
     /* 2106776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2106787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2106790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106822 */     // MIs[0] round
     /* 2106822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106825 */     // MIs[0] policy
     /* 2106825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106835 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2106838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106861 */     // GIR_Coverage, 16939,
     /* 2106861 */     GIR_EraseRootFromParent_Done,
     /* 2106862 */   // Label 27877: @2106862
     /* 2106862 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2106953), // Rule ID 16940 //
     /* 2106867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2106878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2106881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106913 */     // MIs[0] round
     /* 2106913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106916 */     // MIs[0] policy
     /* 2106916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106926 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2106929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106952 */     // GIR_Coverage, 16940,
     /* 2106952 */     GIR_EraseRootFromParent_Done,
     /* 2106953 */   // Label 27878: @2106953
     /* 2106953 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2107044), // Rule ID 16943 //
     /* 2106958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2106966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2106969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2106972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107004 */     // MIs[0] round
     /* 2107004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107007 */     // MIs[0] policy
     /* 2107007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107017 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107043 */     // GIR_Coverage, 16943,
     /* 2107043 */     GIR_EraseRootFromParent_Done,
     /* 2107044 */   // Label 27879: @2107044
     /* 2107044 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2107135), // Rule ID 16944 //
     /* 2107049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2107057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107095 */     // MIs[0] round
     /* 2107095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107098 */     // MIs[0] policy
     /* 2107098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2107111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107134 */     // GIR_Coverage, 16944,
     /* 2107134 */     GIR_EraseRootFromParent_Done,
     /* 2107135 */   // Label 27880: @2107135
     /* 2107135 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2107226), // Rule ID 16947 //
     /* 2107140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107186 */     // MIs[0] round
     /* 2107186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107189 */     // MIs[0] policy
     /* 2107189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107199 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107225 */     // GIR_Coverage, 16947,
     /* 2107225 */     GIR_EraseRootFromParent_Done,
     /* 2107226 */   // Label 27881: @2107226
     /* 2107226 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2107317), // Rule ID 16948 //
     /* 2107231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107277 */     // MIs[0] round
     /* 2107277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107280 */     // MIs[0] policy
     /* 2107280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2107293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107316 */     // GIR_Coverage, 16948,
     /* 2107316 */     GIR_EraseRootFromParent_Done,
     /* 2107317 */   // Label 27882: @2107317
     /* 2107317 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2107408), // Rule ID 16951 //
     /* 2107322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107368 */     // MIs[0] round
     /* 2107368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107371 */     // MIs[0] policy
     /* 2107371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107381 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107407 */     // GIR_Coverage, 16951,
     /* 2107407 */     GIR_EraseRootFromParent_Done,
     /* 2107408 */   // Label 27883: @2107408
     /* 2107408 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2107499), // Rule ID 16952 //
     /* 2107413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107459 */     // MIs[0] round
     /* 2107459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107462 */     // MIs[0] policy
     /* 2107462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107472 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2107475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107498 */     // GIR_Coverage, 16952,
     /* 2107498 */     GIR_EraseRootFromParent_Done,
     /* 2107499 */   // Label 27884: @2107499
     /* 2107499 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2107590), // Rule ID 16955 //
     /* 2107504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107550 */     // MIs[0] round
     /* 2107550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107553 */     // MIs[0] policy
     /* 2107553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2107566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107589 */     // GIR_Coverage, 16955,
     /* 2107589 */     GIR_EraseRootFromParent_Done,
     /* 2107590 */   // Label 27885: @2107590
     /* 2107590 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2107681), // Rule ID 16956 //
     /* 2107595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107641 */     // MIs[0] round
     /* 2107641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107644 */     // MIs[0] policy
     /* 2107644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107654 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2107657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107680 */     // GIR_Coverage, 16956,
     /* 2107680 */     GIR_EraseRootFromParent_Done,
     /* 2107681 */   // Label 27886: @2107681
     /* 2107681 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2107772), // Rule ID 16959 //
     /* 2107686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107732 */     // MIs[0] round
     /* 2107732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107735 */     // MIs[0] policy
     /* 2107735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107745 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2107748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107771 */     // GIR_Coverage, 16959,
     /* 2107771 */     GIR_EraseRootFromParent_Done,
     /* 2107772 */   // Label 27887: @2107772
     /* 2107772 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2107863), // Rule ID 16960 //
     /* 2107777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107823 */     // MIs[0] round
     /* 2107823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107826 */     // MIs[0] policy
     /* 2107826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2107839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107862 */     // GIR_Coverage, 16960,
     /* 2107862 */     GIR_EraseRootFromParent_Done,
     /* 2107863 */   // Label 27888: @2107863
     /* 2107863 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2107954), // Rule ID 16963 //
     /* 2107868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107914 */     // MIs[0] round
     /* 2107914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107917 */     // MIs[0] policy
     /* 2107917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2107930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107953 */     // GIR_Coverage, 16963,
     /* 2107953 */     GIR_EraseRootFromParent_Done,
     /* 2107954 */   // Label 27889: @2107954
     /* 2107954 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2108045), // Rule ID 16964 //
     /* 2107959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108005 */     // MIs[0] round
     /* 2108005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108008 */     // MIs[0] policy
     /* 2108008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2108021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108044 */     // GIR_Coverage, 16964,
     /* 2108044 */     GIR_EraseRootFromParent_Done,
     /* 2108045 */   // Label 27890: @2108045
     /* 2108045 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2108136), // Rule ID 16967 //
     /* 2108050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108096 */     // MIs[0] round
     /* 2108096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108099 */     // MIs[0] policy
     /* 2108099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108135 */     // GIR_Coverage, 16967,
     /* 2108135 */     GIR_EraseRootFromParent_Done,
     /* 2108136 */   // Label 27891: @2108136
     /* 2108136 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2108227), // Rule ID 16968 //
     /* 2108141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108187 */     // MIs[0] round
     /* 2108187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108190 */     // MIs[0] policy
     /* 2108190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2108203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108226 */     // GIR_Coverage, 16968,
     /* 2108226 */     GIR_EraseRootFromParent_Done,
     /* 2108227 */   // Label 27892: @2108227
     /* 2108227 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2108318), // Rule ID 16971 //
     /* 2108232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108278 */     // MIs[0] round
     /* 2108278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108281 */     // MIs[0] policy
     /* 2108281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108291 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108317 */     // GIR_Coverage, 16971,
     /* 2108317 */     GIR_EraseRootFromParent_Done,
     /* 2108318 */   // Label 27893: @2108318
     /* 2108318 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2108409), // Rule ID 16972 //
     /* 2108323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108369 */     // MIs[0] round
     /* 2108369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108372 */     // MIs[0] policy
     /* 2108372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108382 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2108385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108408 */     // GIR_Coverage, 16972,
     /* 2108408 */     GIR_EraseRootFromParent_Done,
     /* 2108409 */   // Label 27894: @2108409
     /* 2108409 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2108500), // Rule ID 16975 //
     /* 2108414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108460 */     // MIs[0] round
     /* 2108460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108463 */     // MIs[0] policy
     /* 2108463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108473 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108499 */     // GIR_Coverage, 16975,
     /* 2108499 */     GIR_EraseRootFromParent_Done,
     /* 2108500 */   // Label 27895: @2108500
     /* 2108500 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2108591), // Rule ID 16976 //
     /* 2108505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108551 */     // MIs[0] round
     /* 2108551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108554 */     // MIs[0] policy
     /* 2108554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2108567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108590 */     // GIR_Coverage, 16976,
     /* 2108590 */     GIR_EraseRootFromParent_Done,
     /* 2108591 */   // Label 27896: @2108591
     /* 2108591 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2108682), // Rule ID 16979 //
     /* 2108596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108642 */     // MIs[0] round
     /* 2108642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108645 */     // MIs[0] policy
     /* 2108645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108655 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2108658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108681 */     // GIR_Coverage, 16979,
     /* 2108681 */     GIR_EraseRootFromParent_Done,
     /* 2108682 */   // Label 27897: @2108682
     /* 2108682 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2108773), // Rule ID 16980 //
     /* 2108687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108733 */     // MIs[0] round
     /* 2108733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108736 */     // MIs[0] policy
     /* 2108736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108746 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2108749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108772 */     // GIR_Coverage, 16980,
     /* 2108772 */     GIR_EraseRootFromParent_Done,
     /* 2108773 */   // Label 27898: @2108773
     /* 2108773 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2108864), // Rule ID 16983 //
     /* 2108778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108824 */     // MIs[0] round
     /* 2108824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108827 */     // MIs[0] policy
     /* 2108827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108837 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2108840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108863 */     // GIR_Coverage, 16983,
     /* 2108863 */     GIR_EraseRootFromParent_Done,
     /* 2108864 */   // Label 27899: @2108864
     /* 2108864 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2108955), // Rule ID 16984 //
     /* 2108869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108915 */     // MIs[0] round
     /* 2108915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108918 */     // MIs[0] policy
     /* 2108918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2108931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108954 */     // GIR_Coverage, 16984,
     /* 2108954 */     GIR_EraseRootFromParent_Done,
     /* 2108955 */   // Label 27900: @2108955
     /* 2108955 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2109046), // Rule ID 16987 //
     /* 2108960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2108977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109006 */     // MIs[0] round
     /* 2109006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109009 */     // MIs[0] policy
     /* 2109009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109019 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109045 */     // GIR_Coverage, 16987,
     /* 2109045 */     GIR_EraseRootFromParent_Done,
     /* 2109046 */   // Label 27901: @2109046
     /* 2109046 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2109137), // Rule ID 16988 //
     /* 2109051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109097 */     // MIs[0] round
     /* 2109097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109100 */     // MIs[0] policy
     /* 2109100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109110 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2109113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109136 */     // GIR_Coverage, 16988,
     /* 2109136 */     GIR_EraseRootFromParent_Done,
     /* 2109137 */   // Label 27902: @2109137
     /* 2109137 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2109228), // Rule ID 16991 //
     /* 2109142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109188 */     // MIs[0] round
     /* 2109188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109191 */     // MIs[0] policy
     /* 2109191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109201 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109227 */     // GIR_Coverage, 16991,
     /* 2109227 */     GIR_EraseRootFromParent_Done,
     /* 2109228 */   // Label 27903: @2109228
     /* 2109228 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2109319), // Rule ID 16992 //
     /* 2109233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109279 */     // MIs[0] round
     /* 2109279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109282 */     // MIs[0] policy
     /* 2109282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2109295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109318 */     // GIR_Coverage, 16992,
     /* 2109318 */     GIR_EraseRootFromParent_Done,
     /* 2109319 */   // Label 27904: @2109319
     /* 2109319 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2109410), // Rule ID 16995 //
     /* 2109324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109370 */     // MIs[0] round
     /* 2109370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109373 */     // MIs[0] policy
     /* 2109373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109383 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109409 */     // GIR_Coverage, 16995,
     /* 2109409 */     GIR_EraseRootFromParent_Done,
     /* 2109410 */   // Label 27905: @2109410
     /* 2109410 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2109501), // Rule ID 16996 //
     /* 2109415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109461 */     // MIs[0] round
     /* 2109461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109464 */     // MIs[0] policy
     /* 2109464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109474 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2109477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109500 */     // GIR_Coverage, 16996,
     /* 2109500 */     GIR_EraseRootFromParent_Done,
     /* 2109501 */   // Label 27906: @2109501
     /* 2109501 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2109592), // Rule ID 16999 //
     /* 2109506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109552 */     // MIs[0] round
     /* 2109552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109555 */     // MIs[0] policy
     /* 2109555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2109568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109591 */     // GIR_Coverage, 16999,
     /* 2109591 */     GIR_EraseRootFromParent_Done,
     /* 2109592 */   // Label 27907: @2109592
     /* 2109592 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2109683), // Rule ID 17000 //
     /* 2109597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109643 */     // MIs[0] round
     /* 2109643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109646 */     // MIs[0] policy
     /* 2109646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2109659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109682 */     // GIR_Coverage, 17000,
     /* 2109682 */     GIR_EraseRootFromParent_Done,
     /* 2109683 */   // Label 27908: @2109683
     /* 2109683 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2109774), // Rule ID 17003 //
     /* 2109688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109734 */     // MIs[0] round
     /* 2109734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109737 */     // MIs[0] policy
     /* 2109737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109747 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2109750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109773 */     // GIR_Coverage, 17003,
     /* 2109773 */     GIR_EraseRootFromParent_Done,
     /* 2109774 */   // Label 27909: @2109774
     /* 2109774 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2109865), // Rule ID 17004 //
     /* 2109779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109825 */     // MIs[0] round
     /* 2109825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109828 */     // MIs[0] policy
     /* 2109828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109838 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2109841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109864 */     // GIR_Coverage, 17004,
     /* 2109864 */     GIR_EraseRootFromParent_Done,
     /* 2109865 */   // Label 27910: @2109865
     /* 2109865 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2109956), // Rule ID 17007 //
     /* 2109870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109916 */     // MIs[0] round
     /* 2109916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109919 */     // MIs[0] policy
     /* 2109919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109929 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2109932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109955 */     // GIR_Coverage, 17007,
     /* 2109955 */     GIR_EraseRootFromParent_Done,
     /* 2109956 */   // Label 27911: @2109956
     /* 2109956 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2110047), // Rule ID 17008 //
     /* 2109961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110007 */     // MIs[0] round
     /* 2110007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110010 */     // MIs[0] policy
     /* 2110010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110020 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2110023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110046 */     // GIR_Coverage, 17008,
     /* 2110046 */     GIR_EraseRootFromParent_Done,
     /* 2110047 */   // Label 27912: @2110047
     /* 2110047 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2110138), // Rule ID 17011 //
     /* 2110052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110098 */     // MIs[0] round
     /* 2110098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110101 */     // MIs[0] policy
     /* 2110101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110111 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110137 */     // GIR_Coverage, 17011,
     /* 2110137 */     GIR_EraseRootFromParent_Done,
     /* 2110138 */   // Label 27913: @2110138
     /* 2110138 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2110229), // Rule ID 17012 //
     /* 2110143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110189 */     // MIs[0] round
     /* 2110189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110192 */     // MIs[0] policy
     /* 2110192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110202 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2110205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110228 */     // GIR_Coverage, 17012,
     /* 2110228 */     GIR_EraseRootFromParent_Done,
     /* 2110229 */   // Label 27914: @2110229
     /* 2110229 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2110320), // Rule ID 17015 //
     /* 2110234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110280 */     // MIs[0] round
     /* 2110280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110283 */     // MIs[0] policy
     /* 2110283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110293 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110319 */     // GIR_Coverage, 17015,
     /* 2110319 */     GIR_EraseRootFromParent_Done,
     /* 2110320 */   // Label 27915: @2110320
     /* 2110320 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2110411), // Rule ID 17016 //
     /* 2110325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2110333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110371 */     // MIs[0] round
     /* 2110371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110374 */     // MIs[0] policy
     /* 2110374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2110387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110410 */     // GIR_Coverage, 17016,
     /* 2110410 */     GIR_EraseRootFromParent_Done,
     /* 2110411 */   // Label 27916: @2110411
     /* 2110411 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2110502), // Rule ID 17025 //
     /* 2110416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110462 */     // MIs[0] round
     /* 2110462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110465 */     // MIs[0] policy
     /* 2110465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110475 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110501 */     // GIR_Coverage, 17025,
     /* 2110501 */     GIR_EraseRootFromParent_Done,
     /* 2110502 */   // Label 27917: @2110502
     /* 2110502 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2110593), // Rule ID 17026 //
     /* 2110507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2110527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110553 */     // MIs[0] round
     /* 2110553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110556 */     // MIs[0] policy
     /* 2110556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110566 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2110569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110592 */     // GIR_Coverage, 17026,
     /* 2110592 */     GIR_EraseRootFromParent_Done,
     /* 2110593 */   // Label 27918: @2110593
     /* 2110593 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2110684), // Rule ID 17035 //
     /* 2110598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2110618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110644 */     // MIs[0] round
     /* 2110644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110647 */     // MIs[0] policy
     /* 2110647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110657 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2110660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110683 */     // GIR_Coverage, 17035,
     /* 2110683 */     GIR_EraseRootFromParent_Done,
     /* 2110684 */   // Label 27919: @2110684
     /* 2110684 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2110775), // Rule ID 17036 //
     /* 2110689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2110709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110735 */     // MIs[0] round
     /* 2110735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110738 */     // MIs[0] policy
     /* 2110738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2110751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110774 */     // GIR_Coverage, 17036,
     /* 2110774 */     GIR_EraseRootFromParent_Done,
     /* 2110775 */   // Label 27920: @2110775
     /* 2110775 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2110866), // Rule ID 17045 //
     /* 2110780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2110800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110826 */     // MIs[0] round
     /* 2110826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110829 */     // MIs[0] policy
     /* 2110829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110839 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2110842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110865 */     // GIR_Coverage, 17045,
     /* 2110865 */     GIR_EraseRootFromParent_Done,
     /* 2110866 */   // Label 27921: @2110866
     /* 2110866 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2110957), // Rule ID 17046 //
     /* 2110871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2110891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110917 */     // MIs[0] round
     /* 2110917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110920 */     // MIs[0] policy
     /* 2110920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110930 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2110933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110956 */     // GIR_Coverage, 17046,
     /* 2110956 */     GIR_EraseRootFromParent_Done,
     /* 2110957 */   // Label 27922: @2110957
     /* 2110957 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2111048), // Rule ID 17055 //
     /* 2110962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2110979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2110982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111008 */     // MIs[0] round
     /* 2111008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111011 */     // MIs[0] policy
     /* 2111011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111021 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111047 */     // GIR_Coverage, 17055,
     /* 2111047 */     GIR_EraseRootFromParent_Done,
     /* 2111048 */   // Label 27923: @2111048
     /* 2111048 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2111139), // Rule ID 17056 //
     /* 2111053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2111073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111099 */     // MIs[0] round
     /* 2111099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111102 */     // MIs[0] policy
     /* 2111102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111112 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2111115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111138 */     // GIR_Coverage, 17056,
     /* 2111138 */     GIR_EraseRootFromParent_Done,
     /* 2111139 */   // Label 27924: @2111139
     /* 2111139 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2111230), // Rule ID 17065 //
     /* 2111144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111190 */     // MIs[0] round
     /* 2111190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111193 */     // MIs[0] policy
     /* 2111193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111229 */     // GIR_Coverage, 17065,
     /* 2111229 */     GIR_EraseRootFromParent_Done,
     /* 2111230 */   // Label 27925: @2111230
     /* 2111230 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2111321), // Rule ID 17066 //
     /* 2111235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111281 */     // MIs[0] round
     /* 2111281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111284 */     // MIs[0] policy
     /* 2111284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111294 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2111297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111320 */     // GIR_Coverage, 17066,
     /* 2111320 */     GIR_EraseRootFromParent_Done,
     /* 2111321 */   // Label 27926: @2111321
     /* 2111321 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2111412), // Rule ID 17075 //
     /* 2111326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111372 */     // MIs[0] round
     /* 2111372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111375 */     // MIs[0] policy
     /* 2111375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111385 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111411 */     // GIR_Coverage, 17075,
     /* 2111411 */     GIR_EraseRootFromParent_Done,
     /* 2111412 */   // Label 27927: @2111412
     /* 2111412 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2111503), // Rule ID 17076 //
     /* 2111417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111463 */     // MIs[0] round
     /* 2111463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111466 */     // MIs[0] policy
     /* 2111466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2111479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111502 */     // GIR_Coverage, 17076,
     /* 2111502 */     GIR_EraseRootFromParent_Done,
     /* 2111503 */   // Label 27928: @2111503
     /* 2111503 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2111594), // Rule ID 17085 //
     /* 2111508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111554 */     // MIs[0] round
     /* 2111554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111557 */     // MIs[0] policy
     /* 2111557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2111570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111593 */     // GIR_Coverage, 17085,
     /* 2111593 */     GIR_EraseRootFromParent_Done,
     /* 2111594 */   // Label 27929: @2111594
     /* 2111594 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2111685), // Rule ID 17086 //
     /* 2111599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2111619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111645 */     // MIs[0] round
     /* 2111645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111648 */     // MIs[0] policy
     /* 2111648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2111661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111684 */     // GIR_Coverage, 17086,
     /* 2111684 */     GIR_EraseRootFromParent_Done,
     /* 2111685 */   // Label 27930: @2111685
     /* 2111685 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2111776), // Rule ID 17095 //
     /* 2111690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2111710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111736 */     // MIs[0] round
     /* 2111736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111739 */     // MIs[0] policy
     /* 2111739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111749 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2111752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111775 */     // GIR_Coverage, 17095,
     /* 2111775 */     GIR_EraseRootFromParent_Done,
     /* 2111776 */   // Label 27931: @2111776
     /* 2111776 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2111867), // Rule ID 17096 //
     /* 2111781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2111801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111827 */     // MIs[0] round
     /* 2111827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111830 */     // MIs[0] policy
     /* 2111830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2111843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111866 */     // GIR_Coverage, 17096,
     /* 2111866 */     GIR_EraseRootFromParent_Done,
     /* 2111867 */   // Label 27932: @2111867
     /* 2111867 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2111958), // Rule ID 17099 //
     /* 2111872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111918 */     // MIs[0] round
     /* 2111918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111921 */     // MIs[0] policy
     /* 2111921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111931 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2111934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111957 */     // GIR_Coverage, 17099,
     /* 2111957 */     GIR_EraseRootFromParent_Done,
     /* 2111958 */   // Label 27933: @2111958
     /* 2111958 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2112049), // Rule ID 17100 //
     /* 2111963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112009 */     // MIs[0] round
     /* 2112009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112012 */     // MIs[0] policy
     /* 2112012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112022 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2112025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112048 */     // GIR_Coverage, 17100,
     /* 2112048 */     GIR_EraseRootFromParent_Done,
     /* 2112049 */   // Label 27934: @2112049
     /* 2112049 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2112140), // Rule ID 17103 //
     /* 2112054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112100 */     // MIs[0] round
     /* 2112100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112103 */     // MIs[0] policy
     /* 2112103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112113 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112139 */     // GIR_Coverage, 17103,
     /* 2112139 */     GIR_EraseRootFromParent_Done,
     /* 2112140 */   // Label 27935: @2112140
     /* 2112140 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2112231), // Rule ID 17104 //
     /* 2112145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112191 */     // MIs[0] round
     /* 2112191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112194 */     // MIs[0] policy
     /* 2112194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112204 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2112207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112230 */     // GIR_Coverage, 17104,
     /* 2112230 */     GIR_EraseRootFromParent_Done,
     /* 2112231 */   // Label 27936: @2112231
     /* 2112231 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2112322), // Rule ID 17107 //
     /* 2112236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112282 */     // MIs[0] round
     /* 2112282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112285 */     // MIs[0] policy
     /* 2112285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112295 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112321 */     // GIR_Coverage, 17107,
     /* 2112321 */     GIR_EraseRootFromParent_Done,
     /* 2112322 */   // Label 27937: @2112322
     /* 2112322 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2112413), // Rule ID 17108 //
     /* 2112327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112373 */     // MIs[0] round
     /* 2112373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112376 */     // MIs[0] policy
     /* 2112376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112386 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2112389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112412 */     // GIR_Coverage, 17108,
     /* 2112412 */     GIR_EraseRootFromParent_Done,
     /* 2112413 */   // Label 27938: @2112413
     /* 2112413 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2112504), // Rule ID 17111 //
     /* 2112418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112464 */     // MIs[0] round
     /* 2112464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112467 */     // MIs[0] policy
     /* 2112467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112503 */     // GIR_Coverage, 17111,
     /* 2112503 */     GIR_EraseRootFromParent_Done,
     /* 2112504 */   // Label 27939: @2112504
     /* 2112504 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2112595), // Rule ID 17112 //
     /* 2112509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112555 */     // MIs[0] round
     /* 2112555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112558 */     // MIs[0] policy
     /* 2112558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112568 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2112571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112594 */     // GIR_Coverage, 17112,
     /* 2112594 */     GIR_EraseRootFromParent_Done,
     /* 2112595 */   // Label 27940: @2112595
     /* 2112595 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2112686), // Rule ID 17115 //
     /* 2112600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112646 */     // MIs[0] round
     /* 2112646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112649 */     // MIs[0] policy
     /* 2112649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112659 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2112662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112685 */     // GIR_Coverage, 17115,
     /* 2112685 */     GIR_EraseRootFromParent_Done,
     /* 2112686 */   // Label 27941: @2112686
     /* 2112686 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2112777), // Rule ID 17116 //
     /* 2112691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2112711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2112733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112737 */     // MIs[0] round
     /* 2112737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112740 */     // MIs[0] policy
     /* 2112740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112750 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2112753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112776 */     // GIR_Coverage, 17116,
     /* 2112776 */     GIR_EraseRootFromParent_Done,
     /* 2112777 */   // Label 27942: @2112777
     /* 2112777 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2112868), // Rule ID 17119 //
     /* 2112782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112828 */     // MIs[0] round
     /* 2112828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112831 */     // MIs[0] policy
     /* 2112831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112841 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2112844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112867 */     // GIR_Coverage, 17119,
     /* 2112867 */     GIR_EraseRootFromParent_Done,
     /* 2112868 */   // Label 27943: @2112868
     /* 2112868 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2112959), // Rule ID 17120 //
     /* 2112873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112919 */     // MIs[0] round
     /* 2112919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112922 */     // MIs[0] policy
     /* 2112922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2112935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112958 */     // GIR_Coverage, 17120,
     /* 2112958 */     GIR_EraseRootFromParent_Done,
     /* 2112959 */   // Label 27944: @2112959
     /* 2112959 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2113050), // Rule ID 17123 //
     /* 2112964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2112981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113010 */     // MIs[0] round
     /* 2113010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113013 */     // MIs[0] policy
     /* 2113013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113023 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113049 */     // GIR_Coverage, 17123,
     /* 2113049 */     GIR_EraseRootFromParent_Done,
     /* 2113050 */   // Label 27945: @2113050
     /* 2113050 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2113141), // Rule ID 17124 //
     /* 2113055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113101 */     // MIs[0] round
     /* 2113101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113104 */     // MIs[0] policy
     /* 2113104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113114 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2113117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113140 */     // GIR_Coverage, 17124,
     /* 2113140 */     GIR_EraseRootFromParent_Done,
     /* 2113141 */   // Label 27946: @2113141
     /* 2113141 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2113232), // Rule ID 17127 //
     /* 2113146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113192 */     // MIs[0] round
     /* 2113192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113195 */     // MIs[0] policy
     /* 2113195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113205 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113231 */     // GIR_Coverage, 17127,
     /* 2113231 */     GIR_EraseRootFromParent_Done,
     /* 2113232 */   // Label 27947: @2113232
     /* 2113232 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2113323), // Rule ID 17128 //
     /* 2113237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113283 */     // MIs[0] round
     /* 2113283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113286 */     // MIs[0] policy
     /* 2113286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113296 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2113299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113322 */     // GIR_Coverage, 17128,
     /* 2113322 */     GIR_EraseRootFromParent_Done,
     /* 2113323 */   // Label 27948: @2113323
     /* 2113323 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2113414), // Rule ID 17131 //
     /* 2113328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113374 */     // MIs[0] round
     /* 2113374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113377 */     // MIs[0] policy
     /* 2113377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113387 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113413 */     // GIR_Coverage, 17131,
     /* 2113413 */     GIR_EraseRootFromParent_Done,
     /* 2113414 */   // Label 27949: @2113414
     /* 2113414 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2113505), // Rule ID 17132 //
     /* 2113419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2113427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2113461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113465 */     // MIs[0] round
     /* 2113465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113468 */     // MIs[0] policy
     /* 2113468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2113481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113504 */     // GIR_Coverage, 17132,
     /* 2113504 */     GIR_EraseRootFromParent_Done,
     /* 2113505 */   // Label 27950: @2113505
     /* 2113505 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2113596), // Rule ID 17141 //
     /* 2113510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113556 */     // MIs[0] round
     /* 2113556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113559 */     // MIs[0] policy
     /* 2113559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113569 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2113572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113595 */     // GIR_Coverage, 17141,
     /* 2113595 */     GIR_EraseRootFromParent_Done,
     /* 2113596 */   // Label 27951: @2113596
     /* 2113596 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2113687), // Rule ID 17142 //
     /* 2113601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2113621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113647 */     // MIs[0] round
     /* 2113647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113650 */     // MIs[0] policy
     /* 2113650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113660 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2113663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113686 */     // GIR_Coverage, 17142,
     /* 2113686 */     GIR_EraseRootFromParent_Done,
     /* 2113687 */   // Label 27952: @2113687
     /* 2113687 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2113778), // Rule ID 17151 //
     /* 2113692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2113712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113738 */     // MIs[0] round
     /* 2113738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113741 */     // MIs[0] policy
     /* 2113741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113751 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2113754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113777 */     // GIR_Coverage, 17151,
     /* 2113777 */     GIR_EraseRootFromParent_Done,
     /* 2113778 */   // Label 27953: @2113778
     /* 2113778 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2113869), // Rule ID 17152 //
     /* 2113783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2113800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2113803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113829 */     // MIs[0] round
     /* 2113829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113832 */     // MIs[0] policy
     /* 2113832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113842 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113868 */     // GIR_Coverage, 17152,
     /* 2113868 */     GIR_EraseRootFromParent_Done,
     /* 2113869 */   // Label 27954: @2113869
     /* 2113869 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2113960), // Rule ID 17161 //
     /* 2113874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2113894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113920 */     // MIs[0] round
     /* 2113920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113923 */     // MIs[0] policy
     /* 2113923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113933 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2113936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113959 */     // GIR_Coverage, 17161,
     /* 2113959 */     GIR_EraseRootFromParent_Done,
     /* 2113960 */   // Label 27955: @2113960
     /* 2113960 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2114051), // Rule ID 17162 //
     /* 2113965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2113985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114011 */     // MIs[0] round
     /* 2114011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114014 */     // MIs[0] policy
     /* 2114014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2114027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114050 */     // GIR_Coverage, 17162,
     /* 2114050 */     GIR_EraseRootFromParent_Done,
     /* 2114051 */   // Label 27956: @2114051
     /* 2114051 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2114142), // Rule ID 17171 //
     /* 2114056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114102 */     // MIs[0] round
     /* 2114102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114105 */     // MIs[0] policy
     /* 2114105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114115 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114141 */     // GIR_Coverage, 17171,
     /* 2114141 */     GIR_EraseRootFromParent_Done,
     /* 2114142 */   // Label 27957: @2114142
     /* 2114142 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2114233), // Rule ID 17172 //
     /* 2114147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2114167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114193 */     // MIs[0] round
     /* 2114193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114196 */     // MIs[0] policy
     /* 2114196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114206 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2114209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114232 */     // GIR_Coverage, 17172,
     /* 2114232 */     GIR_EraseRootFromParent_Done,
     /* 2114233 */   // Label 27958: @2114233
     /* 2114233 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2114324), // Rule ID 17181 //
     /* 2114238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114284 */     // MIs[0] round
     /* 2114284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114287 */     // MIs[0] policy
     /* 2114287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114323 */     // GIR_Coverage, 17181,
     /* 2114323 */     GIR_EraseRootFromParent_Done,
     /* 2114324 */   // Label 27959: @2114324
     /* 2114324 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2114415), // Rule ID 17182 //
     /* 2114329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2114349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114375 */     // MIs[0] round
     /* 2114375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114378 */     // MIs[0] policy
     /* 2114378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2114391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114414 */     // GIR_Coverage, 17182,
     /* 2114414 */     GIR_EraseRootFromParent_Done,
     /* 2114415 */   // Label 27960: @2114415
     /* 2114415 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2114506), // Rule ID 17191 //
     /* 2114420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114466 */     // MIs[0] round
     /* 2114466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114469 */     // MIs[0] policy
     /* 2114469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114479 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114505 */     // GIR_Coverage, 17191,
     /* 2114505 */     GIR_EraseRootFromParent_Done,
     /* 2114506 */   // Label 27961: @2114506
     /* 2114506 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2114597), // Rule ID 17192 //
     /* 2114511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114557 */     // MIs[0] round
     /* 2114557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114560 */     // MIs[0] policy
     /* 2114560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114570 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2114573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114596 */     // GIR_Coverage, 17192,
     /* 2114596 */     GIR_EraseRootFromParent_Done,
     /* 2114597 */   // Label 27962: @2114597
     /* 2114597 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2114688), // Rule ID 17201 //
     /* 2114602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2114619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2114622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114648 */     // MIs[0] round
     /* 2114648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114651 */     // MIs[0] policy
     /* 2114651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114661 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2114664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114687 */     // GIR_Coverage, 17201,
     /* 2114687 */     GIR_EraseRootFromParent_Done,
     /* 2114688 */   // Label 27963: @2114688
     /* 2114688 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2114779), // Rule ID 17202 //
     /* 2114693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2114710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2114713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114739 */     // MIs[0] round
     /* 2114739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114742 */     // MIs[0] policy
     /* 2114742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2114755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114778 */     // GIR_Coverage, 17202,
     /* 2114778 */     GIR_EraseRootFromParent_Done,
     /* 2114779 */   // Label 27964: @2114779
     /* 2114779 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2114870), // Rule ID 17211 //
     /* 2114784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2114804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114830 */     // MIs[0] round
     /* 2114830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114833 */     // MIs[0] policy
     /* 2114833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114843 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2114846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114869 */     // GIR_Coverage, 17211,
     /* 2114869 */     GIR_EraseRootFromParent_Done,
     /* 2114870 */   // Label 27965: @2114870
     /* 2114870 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2114961), // Rule ID 17212 //
     /* 2114875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2114895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114921 */     // MIs[0] round
     /* 2114921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114924 */     // MIs[0] policy
     /* 2114924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114934 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2114937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114960 */     // GIR_Coverage, 17212,
     /* 2114960 */     GIR_EraseRootFromParent_Done,
     /* 2114961 */   // Label 27966: @2114961
     /* 2114961 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2115052), // Rule ID 17221 //
     /* 2114966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2114977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2114980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2114983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2114986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115012 */     // MIs[0] round
     /* 2115012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115015 */     // MIs[0] policy
     /* 2115015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115025 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115051 */     // GIR_Coverage, 17221,
     /* 2115051 */     GIR_EraseRootFromParent_Done,
     /* 2115052 */   // Label 27967: @2115052
     /* 2115052 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2115143), // Rule ID 17222 //
     /* 2115057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2115077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115103 */     // MIs[0] round
     /* 2115103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115106 */     // MIs[0] policy
     /* 2115106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115116 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2115119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115142 */     // GIR_Coverage, 17222,
     /* 2115142 */     GIR_EraseRootFromParent_Done,
     /* 2115143 */   // Label 27968: @2115143
     /* 2115143 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2115234), // Rule ID 17225 //
     /* 2115148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115194 */     // MIs[0] round
     /* 2115194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115197 */     // MIs[0] policy
     /* 2115197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115207 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115233 */     // GIR_Coverage, 17225,
     /* 2115233 */     GIR_EraseRootFromParent_Done,
     /* 2115234 */   // Label 27969: @2115234
     /* 2115234 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2115325), // Rule ID 17226 //
     /* 2115239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115285 */     // MIs[0] round
     /* 2115285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115288 */     // MIs[0] policy
     /* 2115288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2115301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115324 */     // GIR_Coverage, 17226,
     /* 2115324 */     GIR_EraseRootFromParent_Done,
     /* 2115325 */   // Label 27970: @2115325
     /* 2115325 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2115416), // Rule ID 17229 //
     /* 2115330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115376 */     // MIs[0] round
     /* 2115376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115379 */     // MIs[0] policy
     /* 2115379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115415 */     // GIR_Coverage, 17229,
     /* 2115415 */     GIR_EraseRootFromParent_Done,
     /* 2115416 */   // Label 27971: @2115416
     /* 2115416 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2115507), // Rule ID 17230 //
     /* 2115421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115467 */     // MIs[0] round
     /* 2115467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115470 */     // MIs[0] policy
     /* 2115470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2115483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115506 */     // GIR_Coverage, 17230,
     /* 2115506 */     GIR_EraseRootFromParent_Done,
     /* 2115507 */   // Label 27972: @2115507
     /* 2115507 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2115598), // Rule ID 17233 //
     /* 2115512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115558 */     // MIs[0] round
     /* 2115558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115561 */     // MIs[0] policy
     /* 2115561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115571 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2115574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115597 */     // GIR_Coverage, 17233,
     /* 2115597 */     GIR_EraseRootFromParent_Done,
     /* 2115598 */   // Label 27973: @2115598
     /* 2115598 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2115689), // Rule ID 17234 //
     /* 2115603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115649 */     // MIs[0] round
     /* 2115649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115652 */     // MIs[0] policy
     /* 2115652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2115665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115688 */     // GIR_Coverage, 17234,
     /* 2115688 */     GIR_EraseRootFromParent_Done,
     /* 2115689 */   // Label 27974: @2115689
     /* 2115689 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2115780), // Rule ID 17237 //
     /* 2115694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115740 */     // MIs[0] round
     /* 2115740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115743 */     // MIs[0] policy
     /* 2115743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115753 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2115756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115779 */     // GIR_Coverage, 17237,
     /* 2115779 */     GIR_EraseRootFromParent_Done,
     /* 2115780 */   // Label 27975: @2115780
     /* 2115780 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2115871), // Rule ID 17238 //
     /* 2115785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115831 */     // MIs[0] round
     /* 2115831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115834 */     // MIs[0] policy
     /* 2115834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115844 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2115847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115870 */     // GIR_Coverage, 17238,
     /* 2115870 */     GIR_EraseRootFromParent_Done,
     /* 2115871 */   // Label 27976: @2115871
     /* 2115871 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2115962), // Rule ID 17241 //
     /* 2115876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115922 */     // MIs[0] round
     /* 2115922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115925 */     // MIs[0] policy
     /* 2115925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2115938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115961 */     // GIR_Coverage, 17241,
     /* 2115961 */     GIR_EraseRootFromParent_Done,
     /* 2115962 */   // Label 27977: @2115962
     /* 2115962 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2116053), // Rule ID 17242 //
     /* 2115967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116013 */     // MIs[0] round
     /* 2116013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116016 */     // MIs[0] policy
     /* 2116016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2116029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116052 */     // GIR_Coverage, 17242,
     /* 2116052 */     GIR_EraseRootFromParent_Done,
     /* 2116053 */   // Label 27978: @2116053
     /* 2116053 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2116144), // Rule ID 17245 //
     /* 2116058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116104 */     // MIs[0] round
     /* 2116104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116107 */     // MIs[0] policy
     /* 2116107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116143 */     // GIR_Coverage, 17245,
     /* 2116143 */     GIR_EraseRootFromParent_Done,
     /* 2116144 */   // Label 27979: @2116144
     /* 2116144 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2116235), // Rule ID 17246 //
     /* 2116149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116195 */     // MIs[0] round
     /* 2116195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116198 */     // MIs[0] policy
     /* 2116198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2116211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116234 */     // GIR_Coverage, 17246,
     /* 2116234 */     GIR_EraseRootFromParent_Done,
     /* 2116235 */   // Label 27980: @2116235
     /* 2116235 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2116326), // Rule ID 17249 //
     /* 2116240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116286 */     // MIs[0] round
     /* 2116286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116289 */     // MIs[0] policy
     /* 2116289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116325 */     // GIR_Coverage, 17249,
     /* 2116325 */     GIR_EraseRootFromParent_Done,
     /* 2116326 */   // Label 27981: @2116326
     /* 2116326 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2116417), // Rule ID 17250 //
     /* 2116331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116377 */     // MIs[0] round
     /* 2116377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116380 */     // MIs[0] policy
     /* 2116380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116390 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2116393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116416 */     // GIR_Coverage, 17250,
     /* 2116416 */     GIR_EraseRootFromParent_Done,
     /* 2116417 */   // Label 27982: @2116417
     /* 2116417 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2116508), // Rule ID 17253 //
     /* 2116422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116468 */     // MIs[0] round
     /* 2116468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116471 */     // MIs[0] policy
     /* 2116471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116481 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116507 */     // GIR_Coverage, 17253,
     /* 2116507 */     GIR_EraseRootFromParent_Done,
     /* 2116508 */   // Label 27983: @2116508
     /* 2116508 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2116599), // Rule ID 17254 //
     /* 2116513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116559 */     // MIs[0] round
     /* 2116559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116562 */     // MIs[0] policy
     /* 2116562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2116575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116598 */     // GIR_Coverage, 17254,
     /* 2116598 */     GIR_EraseRootFromParent_Done,
     /* 2116599 */   // Label 27984: @2116599
     /* 2116599 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2116690), // Rule ID 17257 //
     /* 2116604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116650 */     // MIs[0] round
     /* 2116650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116653 */     // MIs[0] policy
     /* 2116653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116663 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2116666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116689 */     // GIR_Coverage, 17257,
     /* 2116689 */     GIR_EraseRootFromParent_Done,
     /* 2116690 */   // Label 27985: @2116690
     /* 2116690 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2116781), // Rule ID 17258 //
     /* 2116695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2116703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116741 */     // MIs[0] round
     /* 2116741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116744 */     // MIs[0] policy
     /* 2116744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116754 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11237:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2116757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116780 */     // GIR_Coverage, 17258,
     /* 2116780 */     GIR_EraseRootFromParent_Done,
     /* 2116781 */   // Label 27986: @2116781
     /* 2116781 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2116872), // Rule ID 17261 //
     /* 2116786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116832 */     // MIs[0] round
     /* 2116832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116835 */     // MIs[0] policy
     /* 2116835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116845 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2116848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116871 */     // GIR_Coverage, 17261,
     /* 2116871 */     GIR_EraseRootFromParent_Done,
     /* 2116872 */   // Label 27987: @2116872
     /* 2116872 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2116963), // Rule ID 17262 //
     /* 2116877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116923 */     // MIs[0] round
     /* 2116923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116926 */     // MIs[0] policy
     /* 2116926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2116939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116962 */     // GIR_Coverage, 17262,
     /* 2116962 */     GIR_EraseRootFromParent_Done,
     /* 2116963 */   // Label 27988: @2116963
     /* 2116963 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2117054), // Rule ID 17265 //
     /* 2116968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2116979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2116982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2116985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2116988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117014 */     // MIs[0] round
     /* 2117014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117017 */     // MIs[0] policy
     /* 2117017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117053 */     // GIR_Coverage, 17265,
     /* 2117053 */     GIR_EraseRootFromParent_Done,
     /* 2117054 */   // Label 27989: @2117054
     /* 2117054 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2117145), // Rule ID 17266 //
     /* 2117059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2117079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117105 */     // MIs[0] round
     /* 2117105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117108 */     // MIs[0] policy
     /* 2117108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117118 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2117121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117144 */     // GIR_Coverage, 17266,
     /* 2117144 */     GIR_EraseRootFromParent_Done,
     /* 2117145 */   // Label 27990: @2117145
     /* 2117145 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2117236), // Rule ID 17269 //
     /* 2117150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117196 */     // MIs[0] round
     /* 2117196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117199 */     // MIs[0] policy
     /* 2117199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117235 */     // GIR_Coverage, 17269,
     /* 2117235 */     GIR_EraseRootFromParent_Done,
     /* 2117236 */   // Label 27991: @2117236
     /* 2117236 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2117327), // Rule ID 17270 //
     /* 2117241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2117261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117287 */     // MIs[0] round
     /* 2117287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117290 */     // MIs[0] policy
     /* 2117290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117300 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2117303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117326 */     // GIR_Coverage, 17270,
     /* 2117326 */     GIR_EraseRootFromParent_Done,
     /* 2117327 */   // Label 27992: @2117327
     /* 2117327 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2117418), // Rule ID 17273 //
     /* 2117332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117378 */     // MIs[0] round
     /* 2117378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117381 */     // MIs[0] policy
     /* 2117381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117417 */     // GIR_Coverage, 17273,
     /* 2117417 */     GIR_EraseRootFromParent_Done,
     /* 2117418 */   // Label 27993: @2117418
     /* 2117418 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2117509), // Rule ID 17274 //
     /* 2117423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117469 */     // MIs[0] round
     /* 2117469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117472 */     // MIs[0] policy
     /* 2117472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117482 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2117485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117508 */     // GIR_Coverage, 17274,
     /* 2117508 */     GIR_EraseRootFromParent_Done,
     /* 2117509 */   // Label 27994: @2117509
     /* 2117509 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2117600), // Rule ID 17277 //
     /* 2117514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117560 */     // MIs[0] round
     /* 2117560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117563 */     // MIs[0] policy
     /* 2117563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117573 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2117576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117599 */     // GIR_Coverage, 17277,
     /* 2117599 */     GIR_EraseRootFromParent_Done,
     /* 2117600 */   // Label 27995: @2117600
     /* 2117600 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2117691), // Rule ID 17278 //
     /* 2117605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117651 */     // MIs[0] round
     /* 2117651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117654 */     // MIs[0] policy
     /* 2117654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117664 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2117667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117690 */     // GIR_Coverage, 17278,
     /* 2117690 */     GIR_EraseRootFromParent_Done,
     /* 2117691 */   // Label 27996: @2117691
     /* 2117691 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2117782), // Rule ID 17281 //
     /* 2117696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2117699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117742 */     // MIs[0] round
     /* 2117742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117745 */     // MIs[0] policy
     /* 2117745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117755 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2117758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117781 */     // GIR_Coverage, 17281,
     /* 2117781 */     GIR_EraseRootFromParent_Done,
     /* 2117782 */   // Label 27997: @2117782
     /* 2117782 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2117873), // Rule ID 17282 //
     /* 2117787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2117790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117833 */     // MIs[0] round
     /* 2117833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117836 */     // MIs[0] policy
     /* 2117836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2117849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117872 */     // GIR_Coverage, 17282,
     /* 2117872 */     GIR_EraseRootFromParent_Done,
     /* 2117873 */   // Label 27998: @2117873
     /* 2117873 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2117964), // Rule ID 17285 //
     /* 2117878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2117889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117924 */     // MIs[0] round
     /* 2117924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117927 */     // MIs[0] policy
     /* 2117927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117937 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2117940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117963 */     // GIR_Coverage, 17285,
     /* 2117963 */     GIR_EraseRootFromParent_Done,
     /* 2117964 */   // Label 27999: @2117964
     /* 2117964 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2118055), // Rule ID 17286 //
     /* 2117969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2117980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118015 */     // MIs[0] round
     /* 2118015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118018 */     // MIs[0] policy
     /* 2118018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2118031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118054 */     // GIR_Coverage, 17286,
     /* 2118054 */     GIR_EraseRootFromParent_Done,
     /* 2118055 */   // Label 28000: @2118055
     /* 2118055 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2118146), // Rule ID 17289 //
     /* 2118060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118106 */     // MIs[0] round
     /* 2118106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118109 */     // MIs[0] policy
     /* 2118109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118119 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118145 */     // GIR_Coverage, 17289,
     /* 2118145 */     GIR_EraseRootFromParent_Done,
     /* 2118146 */   // Label 28001: @2118146
     /* 2118146 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2118237), // Rule ID 17290 //
     /* 2118151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118197 */     // MIs[0] round
     /* 2118197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118200 */     // MIs[0] policy
     /* 2118200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2118213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118236 */     // GIR_Coverage, 17290,
     /* 2118236 */     GIR_EraseRootFromParent_Done,
     /* 2118237 */   // Label 28002: @2118237
     /* 2118237 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2118328), // Rule ID 17293 //
     /* 2118242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118288 */     // MIs[0] round
     /* 2118288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118291 */     // MIs[0] policy
     /* 2118291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118301 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118327 */     // GIR_Coverage, 17293,
     /* 2118327 */     GIR_EraseRootFromParent_Done,
     /* 2118328 */   // Label 28003: @2118328
     /* 2118328 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2118419), // Rule ID 17294 //
     /* 2118333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2118353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118379 */     // MIs[0] round
     /* 2118379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118382 */     // MIs[0] policy
     /* 2118382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118392 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2118395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118418 */     // GIR_Coverage, 17294,
     /* 2118418 */     GIR_EraseRootFromParent_Done,
     /* 2118419 */   // Label 28004: @2118419
     /* 2118419 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2118510), // Rule ID 17297 //
     /* 2118424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118470 */     // MIs[0] round
     /* 2118470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118473 */     // MIs[0] policy
     /* 2118473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118509 */     // GIR_Coverage, 17297,
     /* 2118509 */     GIR_EraseRootFromParent_Done,
     /* 2118510 */   // Label 28005: @2118510
     /* 2118510 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2118601), // Rule ID 17298 //
     /* 2118515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118561 */     // MIs[0] round
     /* 2118561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118564 */     // MIs[0] policy
     /* 2118564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118574 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2118577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118600 */     // GIR_Coverage, 17298,
     /* 2118600 */     GIR_EraseRootFromParent_Done,
     /* 2118601 */   // Label 28006: @2118601
     /* 2118601 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2118692), // Rule ID 17301 //
     /* 2118606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118652 */     // MIs[0] round
     /* 2118652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118655 */     // MIs[0] policy
     /* 2118655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2118668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118691 */     // GIR_Coverage, 17301,
     /* 2118691 */     GIR_EraseRootFromParent_Done,
     /* 2118692 */   // Label 28007: @2118692
     /* 2118692 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2118783), // Rule ID 17302 //
     /* 2118697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118743 */     // MIs[0] round
     /* 2118743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118746 */     // MIs[0] policy
     /* 2118746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2118759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118782 */     // GIR_Coverage, 17302,
     /* 2118782 */     GIR_EraseRootFromParent_Done,
     /* 2118783 */   // Label 28008: @2118783
     /* 2118783 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2118874), // Rule ID 17305 //
     /* 2118788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118834 */     // MIs[0] round
     /* 2118834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118837 */     // MIs[0] policy
     /* 2118837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118847 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2118850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118873 */     // GIR_Coverage, 17305,
     /* 2118873 */     GIR_EraseRootFromParent_Done,
     /* 2118874 */   // Label 28009: @2118874
     /* 2118874 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2118965), // Rule ID 17306 //
     /* 2118879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118925 */     // MIs[0] round
     /* 2118925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118928 */     // MIs[0] policy
     /* 2118928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118938 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2118941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118964 */     // GIR_Coverage, 17306,
     /* 2118964 */     GIR_EraseRootFromParent_Done,
     /* 2118965 */   // Label 28010: @2118965
     /* 2118965 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2119056), // Rule ID 17309 //
     /* 2118970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2118987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2118990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119016 */     // MIs[0] round
     /* 2119016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119019 */     // MIs[0] policy
     /* 2119019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119055 */     // GIR_Coverage, 17309,
     /* 2119055 */     GIR_EraseRootFromParent_Done,
     /* 2119056 */   // Label 28011: @2119056
     /* 2119056 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2119147), // Rule ID 17310 //
     /* 2119061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2119081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119107 */     // MIs[0] round
     /* 2119107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119110 */     // MIs[0] policy
     /* 2119110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119120 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2119123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119146 */     // GIR_Coverage, 17310,
     /* 2119146 */     GIR_EraseRootFromParent_Done,
     /* 2119147 */   // Label 28012: @2119147
     /* 2119147 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2119238), // Rule ID 17313 //
     /* 2119152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119198 */     // MIs[0] round
     /* 2119198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119201 */     // MIs[0] policy
     /* 2119201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119211 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119237 */     // GIR_Coverage, 17313,
     /* 2119237 */     GIR_EraseRootFromParent_Done,
     /* 2119238 */   // Label 28013: @2119238
     /* 2119238 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2119329), // Rule ID 17314 //
     /* 2119243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2119263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119289 */     // MIs[0] round
     /* 2119289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119292 */     // MIs[0] policy
     /* 2119292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119302 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2119305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119328 */     // GIR_Coverage, 17314,
     /* 2119328 */     GIR_EraseRootFromParent_Done,
     /* 2119329 */   // Label 28014: @2119329
     /* 2119329 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2119420), // Rule ID 17317 //
     /* 2119334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119380 */     // MIs[0] round
     /* 2119380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119383 */     // MIs[0] policy
     /* 2119383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119393 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119419 */     // GIR_Coverage, 17317,
     /* 2119419 */     GIR_EraseRootFromParent_Done,
     /* 2119420 */   // Label 28015: @2119420
     /* 2119420 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2119511), // Rule ID 17318 //
     /* 2119425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119471 */     // MIs[0] round
     /* 2119471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119474 */     // MIs[0] policy
     /* 2119474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119484 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2119487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119510 */     // GIR_Coverage, 17318,
     /* 2119510 */     GIR_EraseRootFromParent_Done,
     /* 2119511 */   // Label 28016: @2119511
     /* 2119511 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2119602), // Rule ID 17321 //
     /* 2119516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119562 */     // MIs[0] round
     /* 2119562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119565 */     // MIs[0] policy
     /* 2119565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119575 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2119578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119601 */     // GIR_Coverage, 17321,
     /* 2119601 */     GIR_EraseRootFromParent_Done,
     /* 2119602 */   // Label 28017: @2119602
     /* 2119602 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2119693), // Rule ID 17322 //
     /* 2119607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119653 */     // MIs[0] round
     /* 2119653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119656 */     // MIs[0] policy
     /* 2119656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119666 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2119669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119692 */     // GIR_Coverage, 17322,
     /* 2119692 */     GIR_EraseRootFromParent_Done,
     /* 2119693 */   // Label 28018: @2119693
     /* 2119693 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2119784), // Rule ID 17325 //
     /* 2119698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119744 */     // MIs[0] round
     /* 2119744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119747 */     // MIs[0] policy
     /* 2119747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119757 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2119760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119783 */     // GIR_Coverage, 17325,
     /* 2119783 */     GIR_EraseRootFromParent_Done,
     /* 2119784 */   // Label 28019: @2119784
     /* 2119784 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2119875), // Rule ID 17326 //
     /* 2119789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119835 */     // MIs[0] round
     /* 2119835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119838 */     // MIs[0] policy
     /* 2119838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2119851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119874 */     // GIR_Coverage, 17326,
     /* 2119874 */     GIR_EraseRootFromParent_Done,
     /* 2119875 */   // Label 28020: @2119875
     /* 2119875 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2119966), // Rule ID 17329 //
     /* 2119880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119926 */     // MIs[0] round
     /* 2119926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119929 */     // MIs[0] policy
     /* 2119929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119939 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2119942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119965 */     // GIR_Coverage, 17329,
     /* 2119965 */     GIR_EraseRootFromParent_Done,
     /* 2119966 */   // Label 28021: @2119966
     /* 2119966 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2120057), // Rule ID 17330 //
     /* 2119971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120017 */     // MIs[0] round
     /* 2120017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120020 */     // MIs[0] policy
     /* 2120020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2120033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120056 */     // GIR_Coverage, 17330,
     /* 2120056 */     GIR_EraseRootFromParent_Done,
     /* 2120057 */   // Label 28022: @2120057
     /* 2120057 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2120148), // Rule ID 17333 //
     /* 2120062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120108 */     // MIs[0] round
     /* 2120108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120111 */     // MIs[0] policy
     /* 2120111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120121 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120147 */     // GIR_Coverage, 17333,
     /* 2120147 */     GIR_EraseRootFromParent_Done,
     /* 2120148 */   // Label 28023: @2120148
     /* 2120148 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2120239), // Rule ID 17334 //
     /* 2120153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2120164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120199 */     // MIs[0] round
     /* 2120199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120202 */     // MIs[0] policy
     /* 2120202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2120215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120238 */     // GIR_Coverage, 17334,
     /* 2120238 */     GIR_EraseRootFromParent_Done,
     /* 2120239 */   // Label 28024: @2120239
     /* 2120239 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2120330), // Rule ID 17337 //
     /* 2120244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120290 */     // MIs[0] round
     /* 2120290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120293 */     // MIs[0] policy
     /* 2120293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120329 */     // GIR_Coverage, 17337,
     /* 2120329 */     GIR_EraseRootFromParent_Done,
     /* 2120330 */   // Label 28025: @2120330
     /* 2120330 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2120421), // Rule ID 17338 //
     /* 2120335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120381 */     // MIs[0] round
     /* 2120381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120384 */     // MIs[0] policy
     /* 2120384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120394 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2120397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120420 */     // GIR_Coverage, 17338,
     /* 2120420 */     GIR_EraseRootFromParent_Done,
     /* 2120421 */   // Label 28026: @2120421
     /* 2120421 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2120512), // Rule ID 17341 //
     /* 2120426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120472 */     // MIs[0] round
     /* 2120472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120475 */     // MIs[0] policy
     /* 2120475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120485 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120511 */     // GIR_Coverage, 17341,
     /* 2120511 */     GIR_EraseRootFromParent_Done,
     /* 2120512 */   // Label 28027: @2120512
     /* 2120512 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2120603), // Rule ID 17342 //
     /* 2120517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120563 */     // MIs[0] round
     /* 2120563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120566 */     // MIs[0] policy
     /* 2120566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2120579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120602 */     // GIR_Coverage, 17342,
     /* 2120602 */     GIR_EraseRootFromParent_Done,
     /* 2120603 */   // Label 28028: @2120603
     /* 2120603 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2120694), // Rule ID 17345 //
     /* 2120608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120654 */     // MIs[0] round
     /* 2120654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120657 */     // MIs[0] policy
     /* 2120657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120693 */     // GIR_Coverage, 17345,
     /* 2120693 */     GIR_EraseRootFromParent_Done,
     /* 2120694 */   // Label 28029: @2120694
     /* 2120694 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2120785), // Rule ID 17346 //
     /* 2120699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120745 */     // MIs[0] round
     /* 2120745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120748 */     // MIs[0] policy
     /* 2120748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120758 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2120761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120784 */     // GIR_Coverage, 17346,
     /* 2120784 */     GIR_EraseRootFromParent_Done,
     /* 2120785 */   // Label 28030: @2120785
     /* 2120785 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2120876), // Rule ID 17349 //
     /* 2120790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120836 */     // MIs[0] round
     /* 2120836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120839 */     // MIs[0] policy
     /* 2120839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120849 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2120852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120875 */     // GIR_Coverage, 17349,
     /* 2120875 */     GIR_EraseRootFromParent_Done,
     /* 2120876 */   // Label 28031: @2120876
     /* 2120876 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2120967), // Rule ID 17350 //
     /* 2120881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120927 */     // MIs[0] round
     /* 2120927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120930 */     // MIs[0] policy
     /* 2120930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120940 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2120943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120966 */     // GIR_Coverage, 17350,
     /* 2120966 */     GIR_EraseRootFromParent_Done,
     /* 2120967 */   // Label 28032: @2120967
     /* 2120967 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2121058), // Rule ID 17353 //
     /* 2120972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2120983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2120986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2120989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2120995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121018 */     // MIs[0] round
     /* 2121018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121021 */     // MIs[0] policy
     /* 2121021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121031 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121057 */     // GIR_Coverage, 17353,
     /* 2121057 */     GIR_EraseRootFromParent_Done,
     /* 2121058 */   // Label 28033: @2121058
     /* 2121058 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2121149), // Rule ID 17354 //
     /* 2121063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121109 */     // MIs[0] round
     /* 2121109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121112 */     // MIs[0] policy
     /* 2121112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121122 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2121125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121148 */     // GIR_Coverage, 17354,
     /* 2121148 */     GIR_EraseRootFromParent_Done,
     /* 2121149 */   // Label 28034: @2121149
     /* 2121149 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2121240), // Rule ID 17357 //
     /* 2121154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121200 */     // MIs[0] round
     /* 2121200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121203 */     // MIs[0] policy
     /* 2121203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121239 */     // GIR_Coverage, 17357,
     /* 2121239 */     GIR_EraseRootFromParent_Done,
     /* 2121240 */   // Label 28035: @2121240
     /* 2121240 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2121331), // Rule ID 17358 //
     /* 2121245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121291 */     // MIs[0] round
     /* 2121291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121294 */     // MIs[0] policy
     /* 2121294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121304 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2121307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121330 */     // GIR_Coverage, 17358,
     /* 2121330 */     GIR_EraseRootFromParent_Done,
     /* 2121331 */   // Label 28036: @2121331
     /* 2121331 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2121422), // Rule ID 17361 //
     /* 2121336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121382 */     // MIs[0] round
     /* 2121382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121385 */     // MIs[0] policy
     /* 2121385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121421 */     // GIR_Coverage, 17361,
     /* 2121421 */     GIR_EraseRootFromParent_Done,
     /* 2121422 */   // Label 28037: @2121422
     /* 2121422 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2121513), // Rule ID 17362 //
     /* 2121427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2121438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121473 */     // MIs[0] round
     /* 2121473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121476 */     // MIs[0] policy
     /* 2121476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121486 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2121489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121512 */     // GIR_Coverage, 17362,
     /* 2121512 */     GIR_EraseRootFromParent_Done,
     /* 2121513 */   // Label 28038: @2121513
     /* 2121513 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2121604), // Rule ID 17365 //
     /* 2121518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121564 */     // MIs[0] round
     /* 2121564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121567 */     // MIs[0] policy
     /* 2121567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2121580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121603 */     // GIR_Coverage, 17365,
     /* 2121603 */     GIR_EraseRootFromParent_Done,
     /* 2121604 */   // Label 28039: @2121604
     /* 2121604 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2121695), // Rule ID 17366 //
     /* 2121609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121655 */     // MIs[0] round
     /* 2121655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121658 */     // MIs[0] policy
     /* 2121658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121668 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2121671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121694 */     // GIR_Coverage, 17366,
     /* 2121694 */     GIR_EraseRootFromParent_Done,
     /* 2121695 */   // Label 28040: @2121695
     /* 2121695 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2121786), // Rule ID 17369 //
     /* 2121700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121746 */     // MIs[0] round
     /* 2121746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121749 */     // MIs[0] policy
     /* 2121749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2121762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121785 */     // GIR_Coverage, 17369,
     /* 2121785 */     GIR_EraseRootFromParent_Done,
     /* 2121786 */   // Label 28041: @2121786
     /* 2121786 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2121877), // Rule ID 17370 //
     /* 2121791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121837 */     // MIs[0] round
     /* 2121837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121840 */     // MIs[0] policy
     /* 2121840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2121853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121876 */     // GIR_Coverage, 17370,
     /* 2121876 */     GIR_EraseRootFromParent_Done,
     /* 2121877 */   // Label 28042: @2121877
     /* 2121877 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2121968), // Rule ID 17373 //
     /* 2121882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121928 */     // MIs[0] round
     /* 2121928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121931 */     // MIs[0] policy
     /* 2121931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121941 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2121944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121967 */     // GIR_Coverage, 17373,
     /* 2121967 */     GIR_EraseRootFromParent_Done,
     /* 2121968 */   // Label 28043: @2121968
     /* 2121968 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2122059), // Rule ID 17374 //
     /* 2121973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122019 */     // MIs[0] round
     /* 2122019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122022 */     // MIs[0] policy
     /* 2122022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2122035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122058 */     // GIR_Coverage, 17374,
     /* 2122058 */     GIR_EraseRootFromParent_Done,
     /* 2122059 */   // Label 28044: @2122059
     /* 2122059 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2122150), // Rule ID 17377 //
     /* 2122064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122110 */     // MIs[0] round
     /* 2122110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122113 */     // MIs[0] policy
     /* 2122113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122149 */     // GIR_Coverage, 17377,
     /* 2122149 */     GIR_EraseRootFromParent_Done,
     /* 2122150 */   // Label 28045: @2122150
     /* 2122150 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2122241), // Rule ID 17378 //
     /* 2122155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122201 */     // MIs[0] round
     /* 2122201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122204 */     // MIs[0] policy
     /* 2122204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122214 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2122217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122240 */     // GIR_Coverage, 17378,
     /* 2122240 */     GIR_EraseRootFromParent_Done,
     /* 2122241 */   // Label 28046: @2122241
     /* 2122241 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2122332), // Rule ID 17381 //
     /* 2122246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122292 */     // MIs[0] round
     /* 2122292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122295 */     // MIs[0] policy
     /* 2122295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122305 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122331 */     // GIR_Coverage, 17381,
     /* 2122331 */     GIR_EraseRootFromParent_Done,
     /* 2122332 */   // Label 28047: @2122332
     /* 2122332 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2122423), // Rule ID 17382 //
     /* 2122337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2122348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2122351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2122354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2122357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122383 */     // MIs[0] round
     /* 2122383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122386 */     // MIs[0] policy
     /* 2122386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122396 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2122399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122422 */     // GIR_Coverage, 17382,
     /* 2122422 */     GIR_EraseRootFromParent_Done,
     /* 2122423 */   // Label 28048: @2122423
     /* 2122423 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2122514), // Rule ID 17385 //
     /* 2122428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122474 */     // MIs[0] round
     /* 2122474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122477 */     // MIs[0] policy
     /* 2122477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122513 */     // GIR_Coverage, 17385,
     /* 2122513 */     GIR_EraseRootFromParent_Done,
     /* 2122514 */   // Label 28049: @2122514
     /* 2122514 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2122605), // Rule ID 17386 //
     /* 2122519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2122539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122565 */     // MIs[0] round
     /* 2122565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122568 */     // MIs[0] policy
     /* 2122568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2122581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122604 */     // GIR_Coverage, 17386,
     /* 2122604 */     GIR_EraseRootFromParent_Done,
     /* 2122605 */   // Label 28050: @2122605
     /* 2122605 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2122696), // Rule ID 17389 //
     /* 2122610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2122630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122656 */     // MIs[0] round
     /* 2122656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122659 */     // MIs[0] policy
     /* 2122659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122669 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2122672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122695 */     // GIR_Coverage, 17389,
     /* 2122695 */     GIR_EraseRootFromParent_Done,
     /* 2122696 */   // Label 28051: @2122696
     /* 2122696 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2122787), // Rule ID 17390 //
     /* 2122701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2122721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122747 */     // MIs[0] round
     /* 2122747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122750 */     // MIs[0] policy
     /* 2122750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2122763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122786 */     // GIR_Coverage, 17390,
     /* 2122786 */     GIR_EraseRootFromParent_Done,
     /* 2122787 */   // Label 28052: @2122787
     /* 2122787 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2122878), // Rule ID 17393 //
     /* 2122792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122838 */     // MIs[0] round
     /* 2122838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122841 */     // MIs[0] policy
     /* 2122841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122851 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2122854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122877 */     // GIR_Coverage, 17393,
     /* 2122877 */     GIR_EraseRootFromParent_Done,
     /* 2122878 */   // Label 28053: @2122878
     /* 2122878 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2122969), // Rule ID 17394 //
     /* 2122883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122929 */     // MIs[0] round
     /* 2122929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122932 */     // MIs[0] policy
     /* 2122932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122942 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2122945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122968 */     // GIR_Coverage, 17394,
     /* 2122968 */     GIR_EraseRootFromParent_Done,
     /* 2122969 */   // Label 28054: @2122969
     /* 2122969 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2123060), // Rule ID 17397 //
     /* 2122974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2122994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123020 */     // MIs[0] round
     /* 2123020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123023 */     // MIs[0] policy
     /* 2123023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123033 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123059 */     // GIR_Coverage, 17397,
     /* 2123059 */     GIR_EraseRootFromParent_Done,
     /* 2123060 */   // Label 28055: @2123060
     /* 2123060 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2123151), // Rule ID 17398 //
     /* 2123065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2123082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2123085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123111 */     // MIs[0] round
     /* 2123111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123114 */     // MIs[0] policy
     /* 2123114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123124 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2123127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123150 */     // GIR_Coverage, 17398,
     /* 2123150 */     GIR_EraseRootFromParent_Done,
     /* 2123151 */   // Label 28056: @2123151
     /* 2123151 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2123242), // Rule ID 17401 //
     /* 2123156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123202 */     // MIs[0] round
     /* 2123202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123205 */     // MIs[0] policy
     /* 2123205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123241 */     // GIR_Coverage, 17401,
     /* 2123241 */     GIR_EraseRootFromParent_Done,
     /* 2123242 */   // Label 28057: @2123242
     /* 2123242 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2123333), // Rule ID 17402 //
     /* 2123247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2123258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2123261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2123264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2123267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123293 */     // MIs[0] round
     /* 2123293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123296 */     // MIs[0] policy
     /* 2123296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123306 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2123309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123332 */     // GIR_Coverage, 17402,
     /* 2123332 */     GIR_EraseRootFromParent_Done,
     /* 2123333 */   // Label 28058: @2123333
     /* 2123333 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2123424), // Rule ID 17405 //
     /* 2123338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123384 */     // MIs[0] round
     /* 2123384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123387 */     // MIs[0] policy
     /* 2123387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123423 */     // GIR_Coverage, 17405,
     /* 2123423 */     GIR_EraseRootFromParent_Done,
     /* 2123424 */   // Label 28059: @2123424
     /* 2123424 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2123515), // Rule ID 17406 //
     /* 2123429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2123440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123475 */     // MIs[0] round
     /* 2123475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123478 */     // MIs[0] policy
     /* 2123478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123488 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2123491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123514 */     // GIR_Coverage, 17406,
     /* 2123514 */     GIR_EraseRootFromParent_Done,
     /* 2123515 */   // Label 28060: @2123515
     /* 2123515 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2123606), // Rule ID 17409 //
     /* 2123520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123566 */     // MIs[0] round
     /* 2123566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123569 */     // MIs[0] policy
     /* 2123569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123579 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2123582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123605 */     // GIR_Coverage, 17409,
     /* 2123605 */     GIR_EraseRootFromParent_Done,
     /* 2123606 */   // Label 28061: @2123606
     /* 2123606 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2123697), // Rule ID 17410 //
     /* 2123611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123657 */     // MIs[0] round
     /* 2123657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123660 */     // MIs[0] policy
     /* 2123660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2123673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123696 */     // GIR_Coverage, 17410,
     /* 2123696 */     GIR_EraseRootFromParent_Done,
     /* 2123697 */   // Label 28062: @2123697
     /* 2123697 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2123788), // Rule ID 17413 //
     /* 2123702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2123722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123748 */     // MIs[0] round
     /* 2123748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123751 */     // MIs[0] policy
     /* 2123751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123761 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2123764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123787 */     // GIR_Coverage, 17413,
     /* 2123787 */     GIR_EraseRootFromParent_Done,
     /* 2123788 */   // Label 28063: @2123788
     /* 2123788 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2123879), // Rule ID 17414 //
     /* 2123793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2123813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123839 */     // MIs[0] round
     /* 2123839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123842 */     // MIs[0] policy
     /* 2123842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2123855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123878 */     // GIR_Coverage, 17414,
     /* 2123878 */     GIR_EraseRootFromParent_Done,
     /* 2123879 */   // Label 28064: @2123879
     /* 2123879 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2123970), // Rule ID 17417 //
     /* 2123884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123930 */     // MIs[0] round
     /* 2123930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123933 */     // MIs[0] policy
     /* 2123933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123943 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2123946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123969 */     // GIR_Coverage, 17417,
     /* 2123969 */     GIR_EraseRootFromParent_Done,
     /* 2123970 */   // Label 28065: @2123970
     /* 2123970 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2124061), // Rule ID 17418 //
     /* 2123975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124021 */     // MIs[0] round
     /* 2124021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124024 */     // MIs[0] policy
     /* 2124024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124034 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2124037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124060 */     // GIR_Coverage, 17418,
     /* 2124060 */     GIR_EraseRootFromParent_Done,
     /* 2124061 */   // Label 28066: @2124061
     /* 2124061 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2124152), // Rule ID 17421 //
     /* 2124066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124112 */     // MIs[0] round
     /* 2124112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124115 */     // MIs[0] policy
     /* 2124115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124125 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124151 */     // GIR_Coverage, 17421,
     /* 2124151 */     GIR_EraseRootFromParent_Done,
     /* 2124152 */   // Label 28067: @2124152
     /* 2124152 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2124243), // Rule ID 17422 //
     /* 2124157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2124168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2124171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124203 */     // MIs[0] round
     /* 2124203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124206 */     // MIs[0] policy
     /* 2124206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2124219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124242 */     // GIR_Coverage, 17422,
     /* 2124242 */     GIR_EraseRootFromParent_Done,
     /* 2124243 */   // Label 28068: @2124243
     /* 2124243 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2124334), // Rule ID 17425 //
     /* 2124248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124294 */     // MIs[0] round
     /* 2124294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124297 */     // MIs[0] policy
     /* 2124297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124307 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124333 */     // GIR_Coverage, 17425,
     /* 2124333 */     GIR_EraseRootFromParent_Done,
     /* 2124334 */   // Label 28069: @2124334
     /* 2124334 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2124425), // Rule ID 17426 //
     /* 2124339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2124350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2124353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2124356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2124359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2124362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124385 */     // MIs[0] round
     /* 2124385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124388 */     // MIs[0] policy
     /* 2124388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124398 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2124401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124424 */     // GIR_Coverage, 17426,
     /* 2124424 */     GIR_EraseRootFromParent_Done,
     /* 2124425 */   // Label 28070: @2124425
     /* 2124425 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2124516), // Rule ID 17429 //
     /* 2124430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124476 */     // MIs[0] round
     /* 2124476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124479 */     // MIs[0] policy
     /* 2124479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124515 */     // GIR_Coverage, 17429,
     /* 2124515 */     GIR_EraseRootFromParent_Done,
     /* 2124516 */   // Label 28071: @2124516
     /* 2124516 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2124607), // Rule ID 17430 //
     /* 2124521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2124541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124567 */     // MIs[0] round
     /* 2124567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124570 */     // MIs[0] policy
     /* 2124570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124580 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2124583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124606 */     // GIR_Coverage, 17430,
     /* 2124606 */     GIR_EraseRootFromParent_Done,
     /* 2124607 */   // Label 28072: @2124607
     /* 2124607 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2124698), // Rule ID 17433 //
     /* 2124612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2124632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124658 */     // MIs[0] round
     /* 2124658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124661 */     // MIs[0] policy
     /* 2124661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2124674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124697 */     // GIR_Coverage, 17433,
     /* 2124697 */     GIR_EraseRootFromParent_Done,
     /* 2124698 */   // Label 28073: @2124698
     /* 2124698 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2124789), // Rule ID 17434 //
     /* 2124703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2124723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124749 */     // MIs[0] round
     /* 2124749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124752 */     // MIs[0] policy
     /* 2124752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2124765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124788 */     // GIR_Coverage, 17434,
     /* 2124788 */     GIR_EraseRootFromParent_Done,
     /* 2124789 */   // Label 28074: @2124789
     /* 2124789 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2124880), // Rule ID 17437 //
     /* 2124794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2124814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124840 */     // MIs[0] round
     /* 2124840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124843 */     // MIs[0] policy
     /* 2124843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124853 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2124856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124879 */     // GIR_Coverage, 17437,
     /* 2124879 */     GIR_EraseRootFromParent_Done,
     /* 2124880 */   // Label 28075: @2124880
     /* 2124880 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2124971), // Rule ID 17438 //
     /* 2124885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2124905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124931 */     // MIs[0] round
     /* 2124931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124934 */     // MIs[0] policy
     /* 2124934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2124947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124970 */     // GIR_Coverage, 17438,
     /* 2124970 */     GIR_EraseRootFromParent_Done,
     /* 2124971 */   // Label 28076: @2124971
     /* 2124971 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2125062), // Rule ID 17441 //
     /* 2124976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2124987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2124990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125022 */     // MIs[0] round
     /* 2125022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125025 */     // MIs[0] policy
     /* 2125025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125035 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125061 */     // GIR_Coverage, 17441,
     /* 2125061 */     GIR_EraseRootFromParent_Done,
     /* 2125062 */   // Label 28077: @2125062
     /* 2125062 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2125153), // Rule ID 17442 //
     /* 2125067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2125078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2125081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2125084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125113 */     // MIs[0] round
     /* 2125113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125116 */     // MIs[0] policy
     /* 2125116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125126 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2125129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125152 */     // GIR_Coverage, 17442,
     /* 2125152 */     GIR_EraseRootFromParent_Done,
     /* 2125153 */   // Label 28078: @2125153
     /* 2125153 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2125244), // Rule ID 17445 //
     /* 2125158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125204 */     // MIs[0] round
     /* 2125204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125207 */     // MIs[0] policy
     /* 2125207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125217 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125243 */     // GIR_Coverage, 17445,
     /* 2125243 */     GIR_EraseRootFromParent_Done,
     /* 2125244 */   // Label 28079: @2125244
     /* 2125244 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2125335), // Rule ID 17446 //
     /* 2125249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2125260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2125263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125295 */     // MIs[0] round
     /* 2125295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125298 */     // MIs[0] policy
     /* 2125298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2125311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125334 */     // GIR_Coverage, 17446,
     /* 2125334 */     GIR_EraseRootFromParent_Done,
     /* 2125335 */   // Label 28080: @2125335
     /* 2125335 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2125426), // Rule ID 17449 //
     /* 2125340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125386 */     // MIs[0] round
     /* 2125386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125389 */     // MIs[0] policy
     /* 2125389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125399 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125425 */     // GIR_Coverage, 17449,
     /* 2125425 */     GIR_EraseRootFromParent_Done,
     /* 2125426 */   // Label 28081: @2125426
     /* 2125426 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2125517), // Rule ID 17450 //
     /* 2125431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2125442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2125445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125477 */     // MIs[0] round
     /* 2125477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125480 */     // MIs[0] policy
     /* 2125480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2125493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125516 */     // GIR_Coverage, 17450,
     /* 2125516 */     GIR_EraseRootFromParent_Done,
     /* 2125517 */   // Label 28082: @2125517
     /* 2125517 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2125608), // Rule ID 17453 //
     /* 2125522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125568 */     // MIs[0] round
     /* 2125568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125571 */     // MIs[0] policy
     /* 2125571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125581 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2125584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125607 */     // GIR_Coverage, 17453,
     /* 2125607 */     GIR_EraseRootFromParent_Done,
     /* 2125608 */   // Label 28083: @2125608
     /* 2125608 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2125699), // Rule ID 17454 //
     /* 2125613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2125624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2125627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125659 */     // MIs[0] round
     /* 2125659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125662 */     // MIs[0] policy
     /* 2125662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125672 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2125675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125698 */     // GIR_Coverage, 17454,
     /* 2125698 */     GIR_EraseRootFromParent_Done,
     /* 2125699 */   // Label 28084: @2125699
     /* 2125699 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2125790), // Rule ID 17457 //
     /* 2125704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125750 */     // MIs[0] round
     /* 2125750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125753 */     // MIs[0] policy
     /* 2125753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125763 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2125766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125789 */     // GIR_Coverage, 17457,
     /* 2125789 */     GIR_EraseRootFromParent_Done,
     /* 2125790 */   // Label 28085: @2125790
     /* 2125790 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2125881), // Rule ID 17458 //
     /* 2125795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125841 */     // MIs[0] round
     /* 2125841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125844 */     // MIs[0] policy
     /* 2125844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125854 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2125857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125880 */     // GIR_Coverage, 17458,
     /* 2125880 */     GIR_EraseRootFromParent_Done,
     /* 2125881 */   // Label 28086: @2125881
     /* 2125881 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2125972), // Rule ID 17461 //
     /* 2125886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2125928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125932 */     // MIs[0] round
     /* 2125932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125935 */     // MIs[0] policy
     /* 2125935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125945 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2125948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125971 */     // GIR_Coverage, 17461,
     /* 2125971 */     GIR_EraseRootFromParent_Done,
     /* 2125972 */   // Label 28087: @2125972
     /* 2125972 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2126063), // Rule ID 17462 //
     /* 2125977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126023 */     // MIs[0] round
     /* 2126023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126026 */     // MIs[0] policy
     /* 2126026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2126039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126062 */     // GIR_Coverage, 17462,
     /* 2126062 */     GIR_EraseRootFromParent_Done,
     /* 2126063 */   // Label 28088: @2126063
     /* 2126063 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2126154), // Rule ID 17465 //
     /* 2126068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126114 */     // MIs[0] round
     /* 2126114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126117 */     // MIs[0] policy
     /* 2126117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126153 */     // GIR_Coverage, 17465,
     /* 2126153 */     GIR_EraseRootFromParent_Done,
     /* 2126154 */   // Label 28089: @2126154
     /* 2126154 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2126245), // Rule ID 17466 //
     /* 2126159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126205 */     // MIs[0] round
     /* 2126205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126208 */     // MIs[0] policy
     /* 2126208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126218 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2126221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126244 */     // GIR_Coverage, 17466,
     /* 2126244 */     GIR_EraseRootFromParent_Done,
     /* 2126245 */   // Label 28090: @2126245
     /* 2126245 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2126336), // Rule ID 17469 //
     /* 2126250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126296 */     // MIs[0] round
     /* 2126296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126299 */     // MIs[0] policy
     /* 2126299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126309 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126335 */     // GIR_Coverage, 17469,
     /* 2126335 */     GIR_EraseRootFromParent_Done,
     /* 2126336 */   // Label 28091: @2126336
     /* 2126336 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2126427), // Rule ID 17470 //
     /* 2126341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126387 */     // MIs[0] round
     /* 2126387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126390 */     // MIs[0] policy
     /* 2126390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2126403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126426 */     // GIR_Coverage, 17470,
     /* 2126426 */     GIR_EraseRootFromParent_Done,
     /* 2126427 */   // Label 28092: @2126427
     /* 2126427 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2126518), // Rule ID 17473 //
     /* 2126432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126478 */     // MIs[0] round
     /* 2126478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126481 */     // MIs[0] policy
     /* 2126481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126491 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126517 */     // GIR_Coverage, 17473,
     /* 2126517 */     GIR_EraseRootFromParent_Done,
     /* 2126518 */   // Label 28093: @2126518
     /* 2126518 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2126609), // Rule ID 17474 //
     /* 2126523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126569 */     // MIs[0] round
     /* 2126569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126572 */     // MIs[0] policy
     /* 2126572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2126585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126608 */     // GIR_Coverage, 17474,
     /* 2126608 */     GIR_EraseRootFromParent_Done,
     /* 2126609 */   // Label 28094: @2126609
     /* 2126609 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2126700), // Rule ID 17477 //
     /* 2126614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126660 */     // MIs[0] round
     /* 2126660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126663 */     // MIs[0] policy
     /* 2126663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126673 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2126676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126699 */     // GIR_Coverage, 17477,
     /* 2126699 */     GIR_EraseRootFromParent_Done,
     /* 2126700 */   // Label 28095: @2126700
     /* 2126700 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2126791), // Rule ID 17478 //
     /* 2126705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126751 */     // MIs[0] round
     /* 2126751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126754 */     // MIs[0] policy
     /* 2126754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2126767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126790 */     // GIR_Coverage, 17478,
     /* 2126790 */     GIR_EraseRootFromParent_Done,
     /* 2126791 */   // Label 28096: @2126791
     /* 2126791 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2126882), // Rule ID 17481 //
     /* 2126796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126842 */     // MIs[0] round
     /* 2126842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126845 */     // MIs[0] policy
     /* 2126845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126855 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2126858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126881 */     // GIR_Coverage, 17481,
     /* 2126881 */     GIR_EraseRootFromParent_Done,
     /* 2126882 */   // Label 28097: @2126882
     /* 2126882 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2126973), // Rule ID 17482 //
     /* 2126887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126933 */     // MIs[0] round
     /* 2126933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126936 */     // MIs[0] policy
     /* 2126936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126946 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2126949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126972 */     // GIR_Coverage, 17482,
     /* 2126972 */     GIR_EraseRootFromParent_Done,
     /* 2126973 */   // Label 28098: @2126973
     /* 2126973 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2127064), // Rule ID 17485 //
     /* 2126978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127024 */     // MIs[0] round
     /* 2127024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127027 */     // MIs[0] policy
     /* 2127027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127037 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127063 */     // GIR_Coverage, 17485,
     /* 2127063 */     GIR_EraseRootFromParent_Done,
     /* 2127064 */   // Label 28099: @2127064
     /* 2127064 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2127155), // Rule ID 17486 //
     /* 2127069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127115 */     // MIs[0] round
     /* 2127115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127118 */     // MIs[0] policy
     /* 2127118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127128 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2127131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127154 */     // GIR_Coverage, 17486,
     /* 2127154 */     GIR_EraseRootFromParent_Done,
     /* 2127155 */   // Label 28100: @2127155
     /* 2127155 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2127246), // Rule ID 17489 //
     /* 2127160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127206 */     // MIs[0] round
     /* 2127206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127209 */     // MIs[0] policy
     /* 2127209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127245 */     // GIR_Coverage, 17489,
     /* 2127245 */     GIR_EraseRootFromParent_Done,
     /* 2127246 */   // Label 28101: @2127246
     /* 2127246 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2127337), // Rule ID 17490 //
     /* 2127251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127297 */     // MIs[0] round
     /* 2127297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127300 */     // MIs[0] policy
     /* 2127300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127310 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2127313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127336 */     // GIR_Coverage, 17490,
     /* 2127336 */     GIR_EraseRootFromParent_Done,
     /* 2127337 */   // Label 28102: @2127337
     /* 2127337 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2127428), // Rule ID 17493 //
     /* 2127342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127388 */     // MIs[0] round
     /* 2127388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127391 */     // MIs[0] policy
     /* 2127391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127401 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127427 */     // GIR_Coverage, 17493,
     /* 2127427 */     GIR_EraseRootFromParent_Done,
     /* 2127428 */   // Label 28103: @2127428
     /* 2127428 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2127519), // Rule ID 17494 //
     /* 2127433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127479 */     // MIs[0] round
     /* 2127479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127482 */     // MIs[0] policy
     /* 2127482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2127495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127518 */     // GIR_Coverage, 17494,
     /* 2127518 */     GIR_EraseRootFromParent_Done,
     /* 2127519 */   // Label 28104: @2127519
     /* 2127519 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2127610), // Rule ID 17497 //
     /* 2127524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127570 */     // MIs[0] round
     /* 2127570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127573 */     // MIs[0] policy
     /* 2127573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127583 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2127586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127609 */     // GIR_Coverage, 17497,
     /* 2127609 */     GIR_EraseRootFromParent_Done,
     /* 2127610 */   // Label 28105: @2127610
     /* 2127610 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2127701), // Rule ID 17498 //
     /* 2127615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127661 */     // MIs[0] round
     /* 2127661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127664 */     // MIs[0] policy
     /* 2127664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127674 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2127677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127700 */     // GIR_Coverage, 17498,
     /* 2127700 */     GIR_EraseRootFromParent_Done,
     /* 2127701 */   // Label 28106: @2127701
     /* 2127701 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2127792), // Rule ID 17501 //
     /* 2127706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2127717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127752 */     // MIs[0] round
     /* 2127752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127755 */     // MIs[0] policy
     /* 2127755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127765 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2127768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127791 */     // GIR_Coverage, 17501,
     /* 2127791 */     GIR_EraseRootFromParent_Done,
     /* 2127792 */   // Label 28107: @2127792
     /* 2127792 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2127883), // Rule ID 17502 //
     /* 2127797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2127808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127843 */     // MIs[0] round
     /* 2127843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127846 */     // MIs[0] policy
     /* 2127846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2127859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127882 */     // GIR_Coverage, 17502,
     /* 2127882 */     GIR_EraseRootFromParent_Done,
     /* 2127883 */   // Label 28108: @2127883
     /* 2127883 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2127974), // Rule ID 17505 //
     /* 2127888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127934 */     // MIs[0] round
     /* 2127934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127937 */     // MIs[0] policy
     /* 2127937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2127950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127973 */     // GIR_Coverage, 17505,
     /* 2127973 */     GIR_EraseRootFromParent_Done,
     /* 2127974 */   // Label 28109: @2127974
     /* 2127974 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2128065), // Rule ID 17506 //
     /* 2127979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128025 */     // MIs[0] round
     /* 2128025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128028 */     // MIs[0] policy
     /* 2128028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128038 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2128041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128064 */     // GIR_Coverage, 17506,
     /* 2128064 */     GIR_EraseRootFromParent_Done,
     /* 2128065 */   // Label 28110: @2128065
     /* 2128065 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2128156), // Rule ID 17509 //
     /* 2128070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128116 */     // MIs[0] round
     /* 2128116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128119 */     // MIs[0] policy
     /* 2128119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128129 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128155 */     // GIR_Coverage, 17509,
     /* 2128155 */     GIR_EraseRootFromParent_Done,
     /* 2128156 */   // Label 28111: @2128156
     /* 2128156 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2128247), // Rule ID 17510 //
     /* 2128161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128207 */     // MIs[0] round
     /* 2128207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128210 */     // MIs[0] policy
     /* 2128210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128220 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2128223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128246 */     // GIR_Coverage, 17510,
     /* 2128246 */     GIR_EraseRootFromParent_Done,
     /* 2128247 */   // Label 28112: @2128247
     /* 2128247 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2128338), // Rule ID 17513 //
     /* 2128252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128298 */     // MIs[0] round
     /* 2128298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128301 */     // MIs[0] policy
     /* 2128301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128337 */     // GIR_Coverage, 17513,
     /* 2128337 */     GIR_EraseRootFromParent_Done,
     /* 2128338 */   // Label 28113: @2128338
     /* 2128338 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2128429), // Rule ID 17514 //
     /* 2128343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128389 */     // MIs[0] round
     /* 2128389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128392 */     // MIs[0] policy
     /* 2128392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2128405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128428 */     // GIR_Coverage, 17514,
     /* 2128428 */     GIR_EraseRootFromParent_Done,
     /* 2128429 */   // Label 28114: @2128429
     /* 2128429 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2128520), // Rule ID 17517 //
     /* 2128434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128480 */     // MIs[0] round
     /* 2128480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128483 */     // MIs[0] policy
     /* 2128483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128493 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128519 */     // GIR_Coverage, 17517,
     /* 2128519 */     GIR_EraseRootFromParent_Done,
     /* 2128520 */   // Label 28115: @2128520
     /* 2128520 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2128611), // Rule ID 17518 //
     /* 2128525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128571 */     // MIs[0] round
     /* 2128571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128574 */     // MIs[0] policy
     /* 2128574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128584 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2128587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128610 */     // GIR_Coverage, 17518,
     /* 2128610 */     GIR_EraseRootFromParent_Done,
     /* 2128611 */   // Label 28116: @2128611
     /* 2128611 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2128702), // Rule ID 17521 //
     /* 2128616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128662 */     // MIs[0] round
     /* 2128662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128665 */     // MIs[0] policy
     /* 2128665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2128678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128701 */     // GIR_Coverage, 17521,
     /* 2128701 */     GIR_EraseRootFromParent_Done,
     /* 2128702 */   // Label 28117: @2128702
     /* 2128702 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2128793), // Rule ID 17522 //
     /* 2128707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128753 */     // MIs[0] round
     /* 2128753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128756 */     // MIs[0] policy
     /* 2128756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128766 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2128769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128792 */     // GIR_Coverage, 17522,
     /* 2128792 */     GIR_EraseRootFromParent_Done,
     /* 2128793 */   // Label 28118: @2128793
     /* 2128793 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2128884), // Rule ID 17525 //
     /* 2128798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128844 */     // MIs[0] round
     /* 2128844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128847 */     // MIs[0] policy
     /* 2128847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2128860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128883 */     // GIR_Coverage, 17525,
     /* 2128883 */     GIR_EraseRootFromParent_Done,
     /* 2128884 */   // Label 28119: @2128884
     /* 2128884 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2128975), // Rule ID 17526 //
     /* 2128889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128935 */     // MIs[0] round
     /* 2128935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128938 */     // MIs[0] policy
     /* 2128938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128948 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2128951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128974 */     // GIR_Coverage, 17526,
     /* 2128974 */     GIR_EraseRootFromParent_Done,
     /* 2128975 */   // Label 28120: @2128975
     /* 2128975 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2129066), // Rule ID 17529 //
     /* 2128980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2128991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2128994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2128997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129026 */     // MIs[0] round
     /* 2129026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129029 */     // MIs[0] policy
     /* 2129029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129065 */     // GIR_Coverage, 17529,
     /* 2129065 */     GIR_EraseRootFromParent_Done,
     /* 2129066 */   // Label 28121: @2129066
     /* 2129066 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2129157), // Rule ID 17530 //
     /* 2129071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129117 */     // MIs[0] round
     /* 2129117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129120 */     // MIs[0] policy
     /* 2129120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2129133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129156 */     // GIR_Coverage, 17530,
     /* 2129156 */     GIR_EraseRootFromParent_Done,
     /* 2129157 */   // Label 28122: @2129157
     /* 2129157 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2129248), // Rule ID 17533 //
     /* 2129162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129208 */     // MIs[0] round
     /* 2129208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129211 */     // MIs[0] policy
     /* 2129211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129221 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129247 */     // GIR_Coverage, 17533,
     /* 2129247 */     GIR_EraseRootFromParent_Done,
     /* 2129248 */   // Label 28123: @2129248
     /* 2129248 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2129339), // Rule ID 17534 //
     /* 2129253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129299 */     // MIs[0] round
     /* 2129299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129302 */     // MIs[0] policy
     /* 2129302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129312 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2129315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129338 */     // GIR_Coverage, 17534,
     /* 2129338 */     GIR_EraseRootFromParent_Done,
     /* 2129339 */   // Label 28124: @2129339
     /* 2129339 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2129430), // Rule ID 17537 //
     /* 2129344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129390 */     // MIs[0] round
     /* 2129390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129393 */     // MIs[0] policy
     /* 2129393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129429 */     // GIR_Coverage, 17537,
     /* 2129429 */     GIR_EraseRootFromParent_Done,
     /* 2129430 */   // Label 28125: @2129430
     /* 2129430 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2129521), // Rule ID 17538 //
     /* 2129435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129481 */     // MIs[0] round
     /* 2129481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129484 */     // MIs[0] policy
     /* 2129484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129494 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2129497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129520 */     // GIR_Coverage, 17538,
     /* 2129520 */     GIR_EraseRootFromParent_Done,
     /* 2129521 */   // Label 28126: @2129521
     /* 2129521 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2129612), // Rule ID 17541 //
     /* 2129526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129572 */     // MIs[0] round
     /* 2129572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129575 */     // MIs[0] policy
     /* 2129575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2129588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129611 */     // GIR_Coverage, 17541,
     /* 2129611 */     GIR_EraseRootFromParent_Done,
     /* 2129612 */   // Label 28127: @2129612
     /* 2129612 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2129703), // Rule ID 17542 //
     /* 2129617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129663 */     // MIs[0] round
     /* 2129663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129666 */     // MIs[0] policy
     /* 2129666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129676 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2129679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129702 */     // GIR_Coverage, 17542,
     /* 2129702 */     GIR_EraseRootFromParent_Done,
     /* 2129703 */   // Label 28128: @2129703
     /* 2129703 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2129794), // Rule ID 17545 //
     /* 2129708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129754 */     // MIs[0] round
     /* 2129754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129757 */     // MIs[0] policy
     /* 2129757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2129770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129793 */     // GIR_Coverage, 17545,
     /* 2129793 */     GIR_EraseRootFromParent_Done,
     /* 2129794 */   // Label 28129: @2129794
     /* 2129794 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2129885), // Rule ID 17546 //
     /* 2129799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129845 */     // MIs[0] round
     /* 2129845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129848 */     // MIs[0] policy
     /* 2129848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2129861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129884 */     // GIR_Coverage, 17546,
     /* 2129884 */     GIR_EraseRootFromParent_Done,
     /* 2129885 */   // Label 28130: @2129885
     /* 2129885 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2129976), // Rule ID 17549 //
     /* 2129890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129936 */     // MIs[0] round
     /* 2129936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129939 */     // MIs[0] policy
     /* 2129939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2129952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129975 */     // GIR_Coverage, 17549,
     /* 2129975 */     GIR_EraseRootFromParent_Done,
     /* 2129976 */   // Label 28131: @2129976
     /* 2129976 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2130067), // Rule ID 17550 //
     /* 2129981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130027 */     // MIs[0] round
     /* 2130027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130030 */     // MIs[0] policy
     /* 2130030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2130043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130066 */     // GIR_Coverage, 17550,
     /* 2130066 */     GIR_EraseRootFromParent_Done,
     /* 2130067 */   // Label 28132: @2130067
     /* 2130067 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2130158), // Rule ID 17553 //
     /* 2130072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130118 */     // MIs[0] round
     /* 2130118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130121 */     // MIs[0] policy
     /* 2130121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130131 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130157 */     // GIR_Coverage, 17553,
     /* 2130157 */     GIR_EraseRootFromParent_Done,
     /* 2130158 */   // Label 28133: @2130158
     /* 2130158 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2130249), // Rule ID 17554 //
     /* 2130163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130209 */     // MIs[0] round
     /* 2130209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130212 */     // MIs[0] policy
     /* 2130212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130222 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2130225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130248 */     // GIR_Coverage, 17554,
     /* 2130248 */     GIR_EraseRootFromParent_Done,
     /* 2130249 */   // Label 28134: @2130249
     /* 2130249 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2130340), // Rule ID 17557 //
     /* 2130254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130300 */     // MIs[0] round
     /* 2130300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130303 */     // MIs[0] policy
     /* 2130303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130313 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130339 */     // GIR_Coverage, 17557,
     /* 2130339 */     GIR_EraseRootFromParent_Done,
     /* 2130340 */   // Label 28135: @2130340
     /* 2130340 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2130431), // Rule ID 17558 //
     /* 2130345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2130353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130391 */     // MIs[0] round
     /* 2130391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130394 */     // MIs[0] policy
     /* 2130394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130404 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2130407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130430 */     // GIR_Coverage, 17558,
     /* 2130430 */     GIR_EraseRootFromParent_Done,
     /* 2130431 */   // Label 28136: @2130431
     /* 2130431 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2130522), // Rule ID 17561 //
     /* 2130436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130482 */     // MIs[0] round
     /* 2130482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130485 */     // MIs[0] policy
     /* 2130485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130495 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130521 */     // GIR_Coverage, 17561,
     /* 2130521 */     GIR_EraseRootFromParent_Done,
     /* 2130522 */   // Label 28137: @2130522
     /* 2130522 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2130613), // Rule ID 17562 //
     /* 2130527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130573 */     // MIs[0] round
     /* 2130573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130576 */     // MIs[0] policy
     /* 2130576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130586 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2130589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130612 */     // GIR_Coverage, 17562,
     /* 2130612 */     GIR_EraseRootFromParent_Done,
     /* 2130613 */   // Label 28138: @2130613
     /* 2130613 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2130704), // Rule ID 17565 //
     /* 2130618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2130635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130664 */     // MIs[0] round
     /* 2130664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130667 */     // MIs[0] policy
     /* 2130667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130677 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2130680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130703 */     // GIR_Coverage, 17565,
     /* 2130703 */     GIR_EraseRootFromParent_Done,
     /* 2130704 */   // Label 28139: @2130704
     /* 2130704 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2130795), // Rule ID 17566 //
     /* 2130709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2130726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130755 */     // MIs[0] round
     /* 2130755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130758 */     // MIs[0] policy
     /* 2130758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130768 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2130771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130794 */     // GIR_Coverage, 17566,
     /* 2130794 */     GIR_EraseRootFromParent_Done,
     /* 2130795 */   // Label 28140: @2130795
     /* 2130795 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2130886), // Rule ID 17569 //
     /* 2130800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2130820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130846 */     // MIs[0] round
     /* 2130846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130849 */     // MIs[0] policy
     /* 2130849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2130862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130885 */     // GIR_Coverage, 17569,
     /* 2130885 */     GIR_EraseRootFromParent_Done,
     /* 2130886 */   // Label 28141: @2130886
     /* 2130886 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2130977), // Rule ID 17570 //
     /* 2130891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2130902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2130905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2130911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130937 */     // MIs[0] round
     /* 2130937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130940 */     // MIs[0] policy
     /* 2130940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130950 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2130953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130976 */     // GIR_Coverage, 17570,
     /* 2130976 */     GIR_EraseRootFromParent_Done,
     /* 2130977 */   // Label 28142: @2130977
     /* 2130977 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2131068), // Rule ID 17573 //
     /* 2130982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131028 */     // MIs[0] round
     /* 2131028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131031 */     // MIs[0] policy
     /* 2131031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131041 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131067 */     // GIR_Coverage, 17573,
     /* 2131067 */     GIR_EraseRootFromParent_Done,
     /* 2131068 */   // Label 28143: @2131068
     /* 2131068 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2131159), // Rule ID 17574 //
     /* 2131073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131119 */     // MIs[0] round
     /* 2131119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131122 */     // MIs[0] policy
     /* 2131122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2131135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131158 */     // GIR_Coverage, 17574,
     /* 2131158 */     GIR_EraseRootFromParent_Done,
     /* 2131159 */   // Label 28144: @2131159
     /* 2131159 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2131250), // Rule ID 17577 //
     /* 2131164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131210 */     // MIs[0] round
     /* 2131210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131213 */     // MIs[0] policy
     /* 2131213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131223 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131249 */     // GIR_Coverage, 17577,
     /* 2131249 */     GIR_EraseRootFromParent_Done,
     /* 2131250 */   // Label 28145: @2131250
     /* 2131250 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2131341), // Rule ID 17578 //
     /* 2131255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131301 */     // MIs[0] round
     /* 2131301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131304 */     // MIs[0] policy
     /* 2131304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2131317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131340 */     // GIR_Coverage, 17578,
     /* 2131340 */     GIR_EraseRootFromParent_Done,
     /* 2131341 */   // Label 28146: @2131341
     /* 2131341 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2131432), // Rule ID 17581 //
     /* 2131346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131392 */     // MIs[0] round
     /* 2131392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131395 */     // MIs[0] policy
     /* 2131395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131431 */     // GIR_Coverage, 17581,
     /* 2131431 */     GIR_EraseRootFromParent_Done,
     /* 2131432 */   // Label 28147: @2131432
     /* 2131432 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2131523), // Rule ID 17582 //
     /* 2131437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2131457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131483 */     // MIs[0] round
     /* 2131483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131486 */     // MIs[0] policy
     /* 2131486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2131499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131522 */     // GIR_Coverage, 17582,
     /* 2131522 */     GIR_EraseRootFromParent_Done,
     /* 2131523 */   // Label 28148: @2131523
     /* 2131523 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2131614), // Rule ID 17585 //
     /* 2131528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131574 */     // MIs[0] round
     /* 2131574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131577 */     // MIs[0] policy
     /* 2131577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2131590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131613 */     // GIR_Coverage, 17585,
     /* 2131613 */     GIR_EraseRootFromParent_Done,
     /* 2131614 */   // Label 28149: @2131614
     /* 2131614 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2131705), // Rule ID 17586 //
     /* 2131619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131665 */     // MIs[0] round
     /* 2131665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131668 */     // MIs[0] policy
     /* 2131668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2131681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131704 */     // GIR_Coverage, 17586,
     /* 2131704 */     GIR_EraseRootFromParent_Done,
     /* 2131705 */   // Label 28150: @2131705
     /* 2131705 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2131796), // Rule ID 17589 //
     /* 2131710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2131730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131756 */     // MIs[0] round
     /* 2131756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131759 */     // MIs[0] policy
     /* 2131759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131769 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2131772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131795 */     // GIR_Coverage, 17589,
     /* 2131795 */     GIR_EraseRootFromParent_Done,
     /* 2131796 */   // Label 28151: @2131796
     /* 2131796 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2131887), // Rule ID 17590 //
     /* 2131801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2131821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131847 */     // MIs[0] round
     /* 2131847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131850 */     // MIs[0] policy
     /* 2131850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131860 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2131863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131886 */     // GIR_Coverage, 17590,
     /* 2131886 */     GIR_EraseRootFromParent_Done,
     /* 2131887 */   // Label 28152: @2131887
     /* 2131887 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2131978), // Rule ID 17593 //
     /* 2131892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2131912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131938 */     // MIs[0] round
     /* 2131938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131941 */     // MIs[0] policy
     /* 2131941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131951 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2131954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131977 */     // GIR_Coverage, 17593,
     /* 2131977 */     GIR_EraseRootFromParent_Done,
     /* 2131978 */   // Label 28153: @2131978
     /* 2131978 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2132069), // Rule ID 17594 //
     /* 2131983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132029 */     // MIs[0] round
     /* 2132029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132032 */     // MIs[0] policy
     /* 2132032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132042 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2132045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132068 */     // GIR_Coverage, 17594,
     /* 2132068 */     GIR_EraseRootFromParent_Done,
     /* 2132069 */   // Label 28154: @2132069
     /* 2132069 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2132160), // Rule ID 17597 //
     /* 2132074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132120 */     // MIs[0] round
     /* 2132120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132123 */     // MIs[0] policy
     /* 2132123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132133 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132159 */     // GIR_Coverage, 17597,
     /* 2132159 */     GIR_EraseRootFromParent_Done,
     /* 2132160 */   // Label 28155: @2132160
     /* 2132160 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2132251), // Rule ID 17598 //
     /* 2132165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132211 */     // MIs[0] round
     /* 2132211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132214 */     // MIs[0] policy
     /* 2132214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132224 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2132227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132250 */     // GIR_Coverage, 17598,
     /* 2132250 */     GIR_EraseRootFromParent_Done,
     /* 2132251 */   // Label 28156: @2132251
     /* 2132251 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2132342), // Rule ID 17601 //
     /* 2132256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132302 */     // MIs[0] round
     /* 2132302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132305 */     // MIs[0] policy
     /* 2132305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132341 */     // GIR_Coverage, 17601,
     /* 2132341 */     GIR_EraseRootFromParent_Done,
     /* 2132342 */   // Label 28157: @2132342
     /* 2132342 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2132433), // Rule ID 17602 //
     /* 2132347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2132358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132393 */     // MIs[0] round
     /* 2132393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132396 */     // MIs[0] policy
     /* 2132396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132406 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2132409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132432 */     // GIR_Coverage, 17602,
     /* 2132432 */     GIR_EraseRootFromParent_Done,
     /* 2132433 */   // Label 28158: @2132433
     /* 2132433 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2132524), // Rule ID 17605 //
     /* 2132438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132484 */     // MIs[0] round
     /* 2132484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132487 */     // MIs[0] policy
     /* 2132487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132523 */     // GIR_Coverage, 17605,
     /* 2132523 */     GIR_EraseRootFromParent_Done,
     /* 2132524 */   // Label 28159: @2132524
     /* 2132524 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2132615), // Rule ID 17606 //
     /* 2132529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132575 */     // MIs[0] round
     /* 2132575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132578 */     // MIs[0] policy
     /* 2132578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2132591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132614 */     // GIR_Coverage, 17606,
     /* 2132614 */     GIR_EraseRootFromParent_Done,
     /* 2132615 */   // Label 28160: @2132615
     /* 2132615 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2132706), // Rule ID 17609 //
     /* 2132620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132666 */     // MIs[0] round
     /* 2132666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132669 */     // MIs[0] policy
     /* 2132669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132679 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2132682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132705 */     // GIR_Coverage, 17609,
     /* 2132705 */     GIR_EraseRootFromParent_Done,
     /* 2132706 */   // Label 28161: @2132706
     /* 2132706 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2132797), // Rule ID 17610 //
     /* 2132711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2132728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132757 */     // MIs[0] round
     /* 2132757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132760 */     // MIs[0] policy
     /* 2132760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2132773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132796 */     // GIR_Coverage, 17610,
     /* 2132796 */     GIR_EraseRootFromParent_Done,
     /* 2132797 */   // Label 28162: @2132797
     /* 2132797 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2132888), // Rule ID 17613 //
     /* 2132802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2132805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132848 */     // MIs[0] round
     /* 2132848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132851 */     // MIs[0] policy
     /* 2132851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132861 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2132864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132887 */     // GIR_Coverage, 17613,
     /* 2132887 */     GIR_EraseRootFromParent_Done,
     /* 2132888 */   // Label 28163: @2132888
     /* 2132888 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2132979), // Rule ID 17614 //
     /* 2132893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2132896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2132910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132939 */     // MIs[0] round
     /* 2132939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132942 */     // MIs[0] policy
     /* 2132942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132952 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2132955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132978 */     // GIR_Coverage, 17614,
     /* 2132978 */     GIR_EraseRootFromParent_Done,
     /* 2132979 */   // Label 28164: @2132979
     /* 2132979 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2133070), // Rule ID 17617 //
     /* 2132984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133030 */     // MIs[0] round
     /* 2133030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133033 */     // MIs[0] policy
     /* 2133033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133043 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133069 */     // GIR_Coverage, 17617,
     /* 2133069 */     GIR_EraseRootFromParent_Done,
     /* 2133070 */   // Label 28165: @2133070
     /* 2133070 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2133161), // Rule ID 17618 //
     /* 2133075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133121 */     // MIs[0] round
     /* 2133121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133124 */     // MIs[0] policy
     /* 2133124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133134 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2133137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133160 */     // GIR_Coverage, 17618,
     /* 2133160 */     GIR_EraseRootFromParent_Done,
     /* 2133161 */   // Label 28166: @2133161
     /* 2133161 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2133252), // Rule ID 17621 //
     /* 2133166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133212 */     // MIs[0] round
     /* 2133212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133215 */     // MIs[0] policy
     /* 2133215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133225 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133251 */     // GIR_Coverage, 17621,
     /* 2133251 */     GIR_EraseRootFromParent_Done,
     /* 2133252 */   // Label 28167: @2133252
     /* 2133252 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2133343), // Rule ID 17622 //
     /* 2133257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2133268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133303 */     // MIs[0] round
     /* 2133303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133306 */     // MIs[0] policy
     /* 2133306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2133319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133342 */     // GIR_Coverage, 17622,
     /* 2133342 */     GIR_EraseRootFromParent_Done,
     /* 2133343 */   // Label 28168: @2133343
     /* 2133343 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2133434), // Rule ID 17625 //
     /* 2133348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133394 */     // MIs[0] round
     /* 2133394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133397 */     // MIs[0] policy
     /* 2133397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133407 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133433 */     // GIR_Coverage, 17625,
     /* 2133433 */     GIR_EraseRootFromParent_Done,
     /* 2133434 */   // Label 28169: @2133434
     /* 2133434 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2133525), // Rule ID 17626 //
     /* 2133439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2133450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2133453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133485 */     // MIs[0] round
     /* 2133485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133488 */     // MIs[0] policy
     /* 2133488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133498 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2133501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133524 */     // GIR_Coverage, 17626,
     /* 2133524 */     GIR_EraseRootFromParent_Done,
     /* 2133525 */   // Label 28170: @2133525
     /* 2133525 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2133616), // Rule ID 17629 //
     /* 2133530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2133533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133576 */     // MIs[0] round
     /* 2133576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133579 */     // MIs[0] policy
     /* 2133579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133589 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2133592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133615 */     // GIR_Coverage, 17629,
     /* 2133615 */     GIR_EraseRootFromParent_Done,
     /* 2133616 */   // Label 28171: @2133616
     /* 2133616 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2133707), // Rule ID 17630 //
     /* 2133621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2133624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2133629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2133638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133667 */     // MIs[0] round
     /* 2133667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133670 */     // MIs[0] policy
     /* 2133670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2133683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133706 */     // GIR_Coverage, 17630,
     /* 2133706 */     GIR_EraseRootFromParent_Done,
     /* 2133707 */   // Label 28172: @2133707
     /* 2133707 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2133798), // Rule ID 17633 //
     /* 2133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133758 */     // MIs[0] round
     /* 2133758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133761 */     // MIs[0] policy
     /* 2133761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133771 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2133774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133797 */     // GIR_Coverage, 17633,
     /* 2133797 */     GIR_EraseRootFromParent_Done,
     /* 2133798 */   // Label 28173: @2133798
     /* 2133798 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2133889), // Rule ID 17634 //
     /* 2133803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133849 */     // MIs[0] round
     /* 2133849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133852 */     // MIs[0] policy
     /* 2133852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133862 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2133865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133888 */     // GIR_Coverage, 17634,
     /* 2133888 */     GIR_EraseRootFromParent_Done,
     /* 2133889 */   // Label 28174: @2133889
     /* 2133889 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2133980), // Rule ID 17637 //
     /* 2133894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133940 */     // MIs[0] round
     /* 2133940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133943 */     // MIs[0] policy
     /* 2133943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133953 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2133956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133979 */     // GIR_Coverage, 17637,
     /* 2133979 */     GIR_EraseRootFromParent_Done,
     /* 2133980 */   // Label 28175: @2133980
     /* 2133980 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2134071), // Rule ID 17638 //
     /* 2133985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2134002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2134005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134031 */     // MIs[0] round
     /* 2134031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134034 */     // MIs[0] policy
     /* 2134034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134044 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2134047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134070 */     // GIR_Coverage, 17638,
     /* 2134070 */     GIR_EraseRootFromParent_Done,
     /* 2134071 */   // Label 28176: @2134071
     /* 2134071 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2134162), // Rule ID 17641 //
     /* 2134076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134122 */     // MIs[0] round
     /* 2134122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134125 */     // MIs[0] policy
     /* 2134125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134135 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134161 */     // GIR_Coverage, 17641,
     /* 2134161 */     GIR_EraseRootFromParent_Done,
     /* 2134162 */   // Label 28177: @2134162
     /* 2134162 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2134253), // Rule ID 17642 //
     /* 2134167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134213 */     // MIs[0] round
     /* 2134213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134216 */     // MIs[0] policy
     /* 2134216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134226 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2134229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134252 */     // GIR_Coverage, 17642,
     /* 2134252 */     GIR_EraseRootFromParent_Done,
     /* 2134253 */   // Label 28178: @2134253
     /* 2134253 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2134344), // Rule ID 17645 //
     /* 2134258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134304 */     // MIs[0] round
     /* 2134304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134307 */     // MIs[0] policy
     /* 2134307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134317 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134343 */     // GIR_Coverage, 17645,
     /* 2134343 */     GIR_EraseRootFromParent_Done,
     /* 2134344 */   // Label 28179: @2134344
     /* 2134344 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2134435), // Rule ID 17646 //
     /* 2134349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134395 */     // MIs[0] round
     /* 2134395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134398 */     // MIs[0] policy
     /* 2134398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2134411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134434 */     // GIR_Coverage, 17646,
     /* 2134434 */     GIR_EraseRootFromParent_Done,
     /* 2134435 */   // Label 28180: @2134435
     /* 2134435 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2134526), // Rule ID 17649 //
     /* 2134440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134486 */     // MIs[0] round
     /* 2134486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134489 */     // MIs[0] policy
     /* 2134489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134499 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134525 */     // GIR_Coverage, 17649,
     /* 2134525 */     GIR_EraseRootFromParent_Done,
     /* 2134526 */   // Label 28181: @2134526
     /* 2134526 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2134617), // Rule ID 17650 //
     /* 2134531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134577 */     // MIs[0] round
     /* 2134577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134580 */     // MIs[0] policy
     /* 2134580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134590 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2134593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134616 */     // GIR_Coverage, 17650,
     /* 2134616 */     GIR_EraseRootFromParent_Done,
     /* 2134617 */   // Label 28182: @2134617
     /* 2134617 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2134708), // Rule ID 17653 //
     /* 2134622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134668 */     // MIs[0] round
     /* 2134668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134671 */     // MIs[0] policy
     /* 2134671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134681 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2134684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134707 */     // GIR_Coverage, 17653,
     /* 2134707 */     GIR_EraseRootFromParent_Done,
     /* 2134708 */   // Label 28183: @2134708
     /* 2134708 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2134799), // Rule ID 17654 //
     /* 2134713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134759 */     // MIs[0] round
     /* 2134759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134762 */     // MIs[0] policy
     /* 2134762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134772 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134798 */     // GIR_Coverage, 17654,
     /* 2134798 */     GIR_EraseRootFromParent_Done,
     /* 2134799 */   // Label 28184: @2134799
     /* 2134799 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2134890), // Rule ID 17657 //
     /* 2134804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134850 */     // MIs[0] round
     /* 2134850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134853 */     // MIs[0] policy
     /* 2134853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134863 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2134866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134889 */     // GIR_Coverage, 17657,
     /* 2134889 */     GIR_EraseRootFromParent_Done,
     /* 2134890 */   // Label 28185: @2134890
     /* 2134890 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2134981), // Rule ID 17658 //
     /* 2134895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134941 */     // MIs[0] round
     /* 2134941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134944 */     // MIs[0] policy
     /* 2134944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134954 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2134957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134980 */     // GIR_Coverage, 17658,
     /* 2134980 */     GIR_EraseRootFromParent_Done,
     /* 2134981 */   // Label 28186: @2134981
     /* 2134981 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2135072), // Rule ID 17661 //
     /* 2134986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2134997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135032 */     // MIs[0] round
     /* 2135032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135035 */     // MIs[0] policy
     /* 2135035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135045 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135071 */     // GIR_Coverage, 17661,
     /* 2135071 */     GIR_EraseRootFromParent_Done,
     /* 2135072 */   // Label 28187: @2135072
     /* 2135072 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2135163), // Rule ID 17662 //
     /* 2135077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135123 */     // MIs[0] round
     /* 2135123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135126 */     // MIs[0] policy
     /* 2135126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2135139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135162 */     // GIR_Coverage, 17662,
     /* 2135162 */     GIR_EraseRootFromParent_Done,
     /* 2135163 */   // Label 28188: @2135163
     /* 2135163 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2135254), // Rule ID 17665 //
     /* 2135168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135214 */     // MIs[0] round
     /* 2135214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135217 */     // MIs[0] policy
     /* 2135217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135253 */     // GIR_Coverage, 17665,
     /* 2135253 */     GIR_EraseRootFromParent_Done,
     /* 2135254 */   // Label 28189: @2135254
     /* 2135254 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2135345), // Rule ID 17666 //
     /* 2135259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2135279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135305 */     // MIs[0] round
     /* 2135305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135308 */     // MIs[0] policy
     /* 2135308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135318 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2135321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135344 */     // GIR_Coverage, 17666,
     /* 2135344 */     GIR_EraseRootFromParent_Done,
     /* 2135345 */   // Label 28190: @2135345
     /* 2135345 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2135436), // Rule ID 17669 //
     /* 2135350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135396 */     // MIs[0] round
     /* 2135396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135399 */     // MIs[0] policy
     /* 2135399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135409 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135435 */     // GIR_Coverage, 17669,
     /* 2135435 */     GIR_EraseRootFromParent_Done,
     /* 2135436 */   // Label 28191: @2135436
     /* 2135436 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2135527), // Rule ID 17670 //
     /* 2135441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135487 */     // MIs[0] round
     /* 2135487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135490 */     // MIs[0] policy
     /* 2135490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135500 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2135503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135526 */     // GIR_Coverage, 17670,
     /* 2135526 */     GIR_EraseRootFromParent_Done,
     /* 2135527 */   // Label 28192: @2135527
     /* 2135527 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2135618), // Rule ID 17673 //
     /* 2135532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135578 */     // MIs[0] round
     /* 2135578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135581 */     // MIs[0] policy
     /* 2135581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2135594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135617 */     // GIR_Coverage, 17673,
     /* 2135617 */     GIR_EraseRootFromParent_Done,
     /* 2135618 */   // Label 28193: @2135618
     /* 2135618 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2135709), // Rule ID 17674 //
     /* 2135623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135669 */     // MIs[0] round
     /* 2135669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135672 */     // MIs[0] policy
     /* 2135672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2135685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135708 */     // GIR_Coverage, 17674,
     /* 2135708 */     GIR_EraseRootFromParent_Done,
     /* 2135709 */   // Label 28194: @2135709
     /* 2135709 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2135800), // Rule ID 17677 //
     /* 2135714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135760 */     // MIs[0] round
     /* 2135760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135763 */     // MIs[0] policy
     /* 2135763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135773 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2135776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135799 */     // GIR_Coverage, 17677,
     /* 2135799 */     GIR_EraseRootFromParent_Done,
     /* 2135800 */   // Label 28195: @2135800
     /* 2135800 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2135891), // Rule ID 17678 //
     /* 2135805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135851 */     // MIs[0] round
     /* 2135851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135854 */     // MIs[0] policy
     /* 2135854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135864 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2135867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135890 */     // GIR_Coverage, 17678,
     /* 2135890 */     GIR_EraseRootFromParent_Done,
     /* 2135891 */   // Label 28196: @2135891
     /* 2135891 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2135982), // Rule ID 17681 //
     /* 2135896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135942 */     // MIs[0] round
     /* 2135942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135945 */     // MIs[0] policy
     /* 2135945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135955 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2135958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135981 */     // GIR_Coverage, 17681,
     /* 2135981 */     GIR_EraseRootFromParent_Done,
     /* 2135982 */   // Label 28197: @2135982
     /* 2135982 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2136073), // Rule ID 17682 //
     /* 2135987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2136007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136033 */     // MIs[0] round
     /* 2136033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136036 */     // MIs[0] policy
     /* 2136036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136046 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2136049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136072 */     // GIR_Coverage, 17682,
     /* 2136072 */     GIR_EraseRootFromParent_Done,
     /* 2136073 */   // Label 28198: @2136073
     /* 2136073 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2136164), // Rule ID 17685 //
     /* 2136078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136124 */     // MIs[0] round
     /* 2136124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136127 */     // MIs[0] policy
     /* 2136127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136163 */     // GIR_Coverage, 17685,
     /* 2136163 */     GIR_EraseRootFromParent_Done,
     /* 2136164 */   // Label 28199: @2136164
     /* 2136164 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2136255), // Rule ID 17686 //
     /* 2136169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2136186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2136189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136215 */     // MIs[0] round
     /* 2136215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136218 */     // MIs[0] policy
     /* 2136218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2136231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136254 */     // GIR_Coverage, 17686,
     /* 2136254 */     GIR_EraseRootFromParent_Done,
     /* 2136255 */   // Label 28200: @2136255
     /* 2136255 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2136346), // Rule ID 17689 //
     /* 2136260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136306 */     // MIs[0] round
     /* 2136306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136309 */     // MIs[0] policy
     /* 2136309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136319 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136345 */     // GIR_Coverage, 17689,
     /* 2136345 */     GIR_EraseRootFromParent_Done,
     /* 2136346 */   // Label 28201: @2136346
     /* 2136346 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2136437), // Rule ID 17690 //
     /* 2136351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2136362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2136365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2136371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136397 */     // MIs[0] round
     /* 2136397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136400 */     // MIs[0] policy
     /* 2136400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136410 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2136413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136436 */     // GIR_Coverage, 17690,
     /* 2136436 */     GIR_EraseRootFromParent_Done,
     /* 2136437 */   // Label 28202: @2136437
     /* 2136437 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2136528), // Rule ID 17693 //
     /* 2136442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136488 */     // MIs[0] round
     /* 2136488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136491 */     // MIs[0] policy
     /* 2136491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136501 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136527 */     // GIR_Coverage, 17693,
     /* 2136527 */     GIR_EraseRootFromParent_Done,
     /* 2136528 */   // Label 28203: @2136528
     /* 2136528 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2136619), // Rule ID 17694 //
     /* 2136533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136579 */     // MIs[0] round
     /* 2136579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136582 */     // MIs[0] policy
     /* 2136582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2136595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136618 */     // GIR_Coverage, 17694,
     /* 2136618 */     GIR_EraseRootFromParent_Done,
     /* 2136619 */   // Label 28204: @2136619
     /* 2136619 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2136710), // Rule ID 17697 //
     /* 2136624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136670 */     // MIs[0] round
     /* 2136670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136673 */     // MIs[0] policy
     /* 2136673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136683 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2136686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136709 */     // GIR_Coverage, 17697,
     /* 2136709 */     GIR_EraseRootFromParent_Done,
     /* 2136710 */   // Label 28205: @2136710
     /* 2136710 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2136801), // Rule ID 17698 //
     /* 2136715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136761 */     // MIs[0] round
     /* 2136761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136764 */     // MIs[0] policy
     /* 2136764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136774 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2136777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136800 */     // GIR_Coverage, 17698,
     /* 2136800 */     GIR_EraseRootFromParent_Done,
     /* 2136801 */   // Label 28206: @2136801
     /* 2136801 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2136892), // Rule ID 17701 //
     /* 2136806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136852 */     // MIs[0] round
     /* 2136852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136855 */     // MIs[0] policy
     /* 2136855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2136868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136891 */     // GIR_Coverage, 17701,
     /* 2136891 */     GIR_EraseRootFromParent_Done,
     /* 2136892 */   // Label 28207: @2136892
     /* 2136892 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2136983), // Rule ID 17702 //
     /* 2136897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136943 */     // MIs[0] round
     /* 2136943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136946 */     // MIs[0] policy
     /* 2136946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2136959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136982 */     // GIR_Coverage, 17702,
     /* 2136982 */     GIR_EraseRootFromParent_Done,
     /* 2136983 */   // Label 28208: @2136983
     /* 2136983 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2137074), // Rule ID 17705 //
     /* 2136988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137034 */     // MIs[0] round
     /* 2137034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137037 */     // MIs[0] policy
     /* 2137037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137047 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137073 */     // GIR_Coverage, 17705,
     /* 2137073 */     GIR_EraseRootFromParent_Done,
     /* 2137074 */   // Label 28209: @2137074
     /* 2137074 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2137165), // Rule ID 17706 //
     /* 2137079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2137090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2137093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2137099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137125 */     // MIs[0] round
     /* 2137125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137128 */     // MIs[0] policy
     /* 2137128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137138 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2137141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137164 */     // GIR_Coverage, 17706,
     /* 2137164 */     GIR_EraseRootFromParent_Done,
     /* 2137165 */   // Label 28210: @2137165
     /* 2137165 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2137256), // Rule ID 17709 //
     /* 2137170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137216 */     // MIs[0] round
     /* 2137216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137219 */     // MIs[0] policy
     /* 2137219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137255 */     // GIR_Coverage, 17709,
     /* 2137255 */     GIR_EraseRootFromParent_Done,
     /* 2137256 */   // Label 28211: @2137256
     /* 2137256 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2137347), // Rule ID 17710 //
     /* 2137261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2137281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137307 */     // MIs[0] round
     /* 2137307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137310 */     // MIs[0] policy
     /* 2137310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137320 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2137323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137346 */     // GIR_Coverage, 17710,
     /* 2137346 */     GIR_EraseRootFromParent_Done,
     /* 2137347 */   // Label 28212: @2137347
     /* 2137347 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2137438), // Rule ID 17713 //
     /* 2137352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137398 */     // MIs[0] round
     /* 2137398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137401 */     // MIs[0] policy
     /* 2137401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137411 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137437 */     // GIR_Coverage, 17713,
     /* 2137437 */     GIR_EraseRootFromParent_Done,
     /* 2137438 */   // Label 28213: @2137438
     /* 2137438 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2137529), // Rule ID 17714 //
     /* 2137443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137489 */     // MIs[0] round
     /* 2137489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137492 */     // MIs[0] policy
     /* 2137492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137502 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2137505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137528 */     // GIR_Coverage, 17714,
     /* 2137528 */     GIR_EraseRootFromParent_Done,
     /* 2137529 */   // Label 28214: @2137529
     /* 2137529 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2137620), // Rule ID 17717 //
     /* 2137534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137580 */     // MIs[0] round
     /* 2137580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137583 */     // MIs[0] policy
     /* 2137583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137593 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2137596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137619 */     // GIR_Coverage, 17717,
     /* 2137619 */     GIR_EraseRootFromParent_Done,
     /* 2137620 */   // Label 28215: @2137620
     /* 2137620 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2137711), // Rule ID 17718 //
     /* 2137625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137671 */     // MIs[0] round
     /* 2137671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137674 */     // MIs[0] policy
     /* 2137674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137684 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2137687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137710 */     // GIR_Coverage, 17718,
     /* 2137710 */     GIR_EraseRootFromParent_Done,
     /* 2137711 */   // Label 28216: @2137711
     /* 2137711 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2137802), // Rule ID 17721 //
     /* 2137716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137762 */     // MIs[0] round
     /* 2137762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137765 */     // MIs[0] policy
     /* 2137765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137775 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2137778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137801 */     // GIR_Coverage, 17721,
     /* 2137801 */     GIR_EraseRootFromParent_Done,
     /* 2137802 */   // Label 28217: @2137802
     /* 2137802 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2137893), // Rule ID 17722 //
     /* 2137807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137853 */     // MIs[0] round
     /* 2137853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137856 */     // MIs[0] policy
     /* 2137856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137866 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2137869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137892 */     // GIR_Coverage, 17722,
     /* 2137892 */     GIR_EraseRootFromParent_Done,
     /* 2137893 */   // Label 28218: @2137893
     /* 2137893 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2137984), // Rule ID 17725 //
     /* 2137898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2137918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137944 */     // MIs[0] round
     /* 2137944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137947 */     // MIs[0] policy
     /* 2137947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137957 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2137960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137983 */     // GIR_Coverage, 17725,
     /* 2137983 */     GIR_EraseRootFromParent_Done,
     /* 2137984 */   // Label 28219: @2137984
     /* 2137984 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2138075), // Rule ID 17726 //
     /* 2137989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2138000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2138009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138035 */     // MIs[0] round
     /* 2138035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138038 */     // MIs[0] policy
     /* 2138038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2138051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138074 */     // GIR_Coverage, 17726,
     /* 2138074 */     GIR_EraseRootFromParent_Done,
     /* 2138075 */   // Label 28220: @2138075
     /* 2138075 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2138166), // Rule ID 17729 //
     /* 2138080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138126 */     // MIs[0] round
     /* 2138126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138129 */     // MIs[0] policy
     /* 2138129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138139 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138165 */     // GIR_Coverage, 17729,
     /* 2138165 */     GIR_EraseRootFromParent_Done,
     /* 2138166 */   // Label 28221: @2138166
     /* 2138166 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2138257), // Rule ID 17730 //
     /* 2138171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2138182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2138185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2138191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138217 */     // MIs[0] round
     /* 2138217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138220 */     // MIs[0] policy
     /* 2138220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138230 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2138233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138256 */     // GIR_Coverage, 17730,
     /* 2138256 */     GIR_EraseRootFromParent_Done,
     /* 2138257 */   // Label 28222: @2138257
     /* 2138257 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2138348), // Rule ID 17733 //
     /* 2138262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138308 */     // MIs[0] round
     /* 2138308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138311 */     // MIs[0] policy
     /* 2138311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138321 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138347 */     // GIR_Coverage, 17733,
     /* 2138347 */     GIR_EraseRootFromParent_Done,
     /* 2138348 */   // Label 28223: @2138348
     /* 2138348 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2138439), // Rule ID 17734 //
     /* 2138353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2138364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2138367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2138370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2138373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2138376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138399 */     // MIs[0] round
     /* 2138399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138402 */     // MIs[0] policy
     /* 2138402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2138415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138438 */     // GIR_Coverage, 17734,
     /* 2138438 */     GIR_EraseRootFromParent_Done,
     /* 2138439 */   // Label 28224: @2138439
     /* 2138439 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2138530), // Rule ID 17737 //
     /* 2138444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138490 */     // MIs[0] round
     /* 2138490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138493 */     // MIs[0] policy
     /* 2138493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138529 */     // GIR_Coverage, 17737,
     /* 2138529 */     GIR_EraseRootFromParent_Done,
     /* 2138530 */   // Label 28225: @2138530
     /* 2138530 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2138621), // Rule ID 17738 //
     /* 2138535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138581 */     // MIs[0] round
     /* 2138581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138584 */     // MIs[0] policy
     /* 2138584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138594 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2138597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138620 */     // GIR_Coverage, 17738,
     /* 2138620 */     GIR_EraseRootFromParent_Done,
     /* 2138621 */   // Label 28226: @2138621
     /* 2138621 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2138712), // Rule ID 17741 //
     /* 2138626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138672 */     // MIs[0] round
     /* 2138672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138675 */     // MIs[0] policy
     /* 2138675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138685 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2138688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138711 */     // GIR_Coverage, 17741,
     /* 2138711 */     GIR_EraseRootFromParent_Done,
     /* 2138712 */   // Label 28227: @2138712
     /* 2138712 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2138803), // Rule ID 17742 //
     /* 2138717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138763 */     // MIs[0] round
     /* 2138763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138766 */     // MIs[0] policy
     /* 2138766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2138779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138802 */     // GIR_Coverage, 17742,
     /* 2138802 */     GIR_EraseRootFromParent_Done,
     /* 2138803 */   // Label 28228: @2138803
     /* 2138803 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2138894), // Rule ID 17745 //
     /* 2138808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138854 */     // MIs[0] round
     /* 2138854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138857 */     // MIs[0] policy
     /* 2138857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2138870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138893 */     // GIR_Coverage, 17745,
     /* 2138893 */     GIR_EraseRootFromParent_Done,
     /* 2138894 */   // Label 28229: @2138894
     /* 2138894 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2138985), // Rule ID 17746 //
     /* 2138899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138945 */     // MIs[0] round
     /* 2138945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138948 */     // MIs[0] policy
     /* 2138948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138958 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2138961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138984 */     // GIR_Coverage, 17746,
     /* 2138984 */     GIR_EraseRootFromParent_Done,
     /* 2138985 */   // Label 28230: @2138985
     /* 2138985 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2139076), // Rule ID 17749 //
     /* 2138990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139036 */     // MIs[0] round
     /* 2139036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139039 */     // MIs[0] policy
     /* 2139039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139049 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139075 */     // GIR_Coverage, 17749,
     /* 2139075 */     GIR_EraseRootFromParent_Done,
     /* 2139076 */   // Label 28231: @2139076
     /* 2139076 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2139167), // Rule ID 17750 //
     /* 2139081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2139092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2139095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2139098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2139101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139127 */     // MIs[0] round
     /* 2139127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139130 */     // MIs[0] policy
     /* 2139130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139140 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2139143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139166 */     // GIR_Coverage, 17750,
     /* 2139166 */     GIR_EraseRootFromParent_Done,
     /* 2139167 */   // Label 28232: @2139167
     /* 2139167 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2139258), // Rule ID 17753 //
     /* 2139172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139218 */     // MIs[0] round
     /* 2139218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139221 */     // MIs[0] policy
     /* 2139221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139231 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139257 */     // GIR_Coverage, 17753,
     /* 2139257 */     GIR_EraseRootFromParent_Done,
     /* 2139258 */   // Label 28233: @2139258
     /* 2139258 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2139349), // Rule ID 17754 //
     /* 2139263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2139274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2139277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2139280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2139283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139309 */     // MIs[0] round
     /* 2139309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139312 */     // MIs[0] policy
     /* 2139312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2139325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139348 */     // GIR_Coverage, 17754,
     /* 2139348 */     GIR_EraseRootFromParent_Done,
     /* 2139349 */   // Label 28234: @2139349
     /* 2139349 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2139440), // Rule ID 17757 //
     /* 2139354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139400 */     // MIs[0] round
     /* 2139400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139403 */     // MIs[0] policy
     /* 2139403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139413 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139439 */     // GIR_Coverage, 17757,
     /* 2139439 */     GIR_EraseRootFromParent_Done,
     /* 2139440 */   // Label 28235: @2139440
     /* 2139440 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2139531), // Rule ID 17758 //
     /* 2139445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139491 */     // MIs[0] round
     /* 2139491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139494 */     // MIs[0] policy
     /* 2139494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139504 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2139507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139530 */     // GIR_Coverage, 17758,
     /* 2139530 */     GIR_EraseRootFromParent_Done,
     /* 2139531 */   // Label 28236: @2139531
     /* 2139531 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2139622), // Rule ID 17761 //
     /* 2139536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139582 */     // MIs[0] round
     /* 2139582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139585 */     // MIs[0] policy
     /* 2139585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139595 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2139598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139621 */     // GIR_Coverage, 17761,
     /* 2139621 */     GIR_EraseRootFromParent_Done,
     /* 2139622 */   // Label 28237: @2139622
     /* 2139622 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2139713), // Rule ID 17762 //
     /* 2139627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139673 */     // MIs[0] round
     /* 2139673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139676 */     // MIs[0] policy
     /* 2139676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139686 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2139689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139712 */     // GIR_Coverage, 17762,
     /* 2139712 */     GIR_EraseRootFromParent_Done,
     /* 2139713 */   // Label 28238: @2139713
     /* 2139713 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2139804), // Rule ID 17765 //
     /* 2139718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139764 */     // MIs[0] round
     /* 2139764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139767 */     // MIs[0] policy
     /* 2139767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2139780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139803 */     // GIR_Coverage, 17765,
     /* 2139803 */     GIR_EraseRootFromParent_Done,
     /* 2139804 */   // Label 28239: @2139804
     /* 2139804 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2139895), // Rule ID 17766 //
     /* 2139809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139855 */     // MIs[0] round
     /* 2139855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139858 */     // MIs[0] policy
     /* 2139858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2139871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139894 */     // GIR_Coverage, 17766,
     /* 2139894 */     GIR_EraseRootFromParent_Done,
     /* 2139895 */   // Label 28240: @2139895
     /* 2139895 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2139986), // Rule ID 17769 //
     /* 2139900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139946 */     // MIs[0] round
     /* 2139946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139949 */     // MIs[0] policy
     /* 2139949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2139962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139985 */     // GIR_Coverage, 17769,
     /* 2139985 */     GIR_EraseRootFromParent_Done,
     /* 2139986 */   // Label 28241: @2139986
     /* 2139986 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2140077), // Rule ID 17770 //
     /* 2139991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2140002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2140005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2140008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2140011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140037 */     // MIs[0] round
     /* 2140037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140040 */     // MIs[0] policy
     /* 2140040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2140053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140076 */     // GIR_Coverage, 17770,
     /* 2140076 */     GIR_EraseRootFromParent_Done,
     /* 2140077 */   // Label 28242: @2140077
     /* 2140077 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2140168), // Rule ID 17773 //
     /* 2140082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140128 */     // MIs[0] round
     /* 2140128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140131 */     // MIs[0] policy
     /* 2140131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140141 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140167 */     // GIR_Coverage, 17773,
     /* 2140167 */     GIR_EraseRootFromParent_Done,
     /* 2140168 */   // Label 28243: @2140168
     /* 2140168 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2140259), // Rule ID 17774 //
     /* 2140173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2140193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140219 */     // MIs[0] round
     /* 2140219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140222 */     // MIs[0] policy
     /* 2140222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140232 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2140235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140258 */     // GIR_Coverage, 17774,
     /* 2140258 */     GIR_EraseRootFromParent_Done,
     /* 2140259 */   // Label 28244: @2140259
     /* 2140259 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2140350), // Rule ID 17777 //
     /* 2140264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140310 */     // MIs[0] round
     /* 2140310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140313 */     // MIs[0] policy
     /* 2140313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140349 */     // GIR_Coverage, 17777,
     /* 2140349 */     GIR_EraseRootFromParent_Done,
     /* 2140350 */   // Label 28245: @2140350
     /* 2140350 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2140441), // Rule ID 17778 //
     /* 2140355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2140375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140401 */     // MIs[0] round
     /* 2140401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140404 */     // MIs[0] policy
     /* 2140404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140414 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2140417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140440 */     // GIR_Coverage, 17778,
     /* 2140440 */     GIR_EraseRootFromParent_Done,
     /* 2140441 */   // Label 28246: @2140441
     /* 2140441 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2140532), // Rule ID 17781 //
     /* 2140446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140492 */     // MIs[0] round
     /* 2140492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140495 */     // MIs[0] policy
     /* 2140495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140505 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140531 */     // GIR_Coverage, 17781,
     /* 2140531 */     GIR_EraseRootFromParent_Done,
     /* 2140532 */   // Label 28247: @2140532
     /* 2140532 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2140623), // Rule ID 17782 //
     /* 2140537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140583 */     // MIs[0] round
     /* 2140583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140586 */     // MIs[0] policy
     /* 2140586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140596 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2140599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140622 */     // GIR_Coverage, 17782,
     /* 2140622 */     GIR_EraseRootFromParent_Done,
     /* 2140623 */   // Label 28248: @2140623
     /* 2140623 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2140714), // Rule ID 17785 //
     /* 2140628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140674 */     // MIs[0] round
     /* 2140674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140677 */     // MIs[0] policy
     /* 2140677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2140690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140713 */     // GIR_Coverage, 17785,
     /* 2140713 */     GIR_EraseRootFromParent_Done,
     /* 2140714 */   // Label 28249: @2140714
     /* 2140714 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2140805), // Rule ID 17786 //
     /* 2140719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140765 */     // MIs[0] round
     /* 2140765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140768 */     // MIs[0] policy
     /* 2140768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2140781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140804 */     // GIR_Coverage, 17786,
     /* 2140804 */     GIR_EraseRootFromParent_Done,
     /* 2140805 */   // Label 28250: @2140805
     /* 2140805 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2140896), // Rule ID 17789 //
     /* 2140810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140856 */     // MIs[0] round
     /* 2140856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140859 */     // MIs[0] policy
     /* 2140859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140869 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2140872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140895 */     // GIR_Coverage, 17789,
     /* 2140895 */     GIR_EraseRootFromParent_Done,
     /* 2140896 */   // Label 28251: @2140896
     /* 2140896 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2140987), // Rule ID 17790 //
     /* 2140901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140947 */     // MIs[0] round
     /* 2140947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140950 */     // MIs[0] policy
     /* 2140950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140960 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2140963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140986 */     // GIR_Coverage, 17790,
     /* 2140986 */     GIR_EraseRootFromParent_Done,
     /* 2140987 */   // Label 28252: @2140987
     /* 2140987 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2141078), // Rule ID 17793 //
     /* 2140992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141038 */     // MIs[0] round
     /* 2141038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141041 */     // MIs[0] policy
     /* 2141041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141051 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141077 */     // GIR_Coverage, 17793,
     /* 2141077 */     GIR_EraseRootFromParent_Done,
     /* 2141078 */   // Label 28253: @2141078
     /* 2141078 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2141169), // Rule ID 17794 //
     /* 2141083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2141103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141129 */     // MIs[0] round
     /* 2141129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141132 */     // MIs[0] policy
     /* 2141132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141142 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2141145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141168 */     // GIR_Coverage, 17794,
     /* 2141168 */     GIR_EraseRootFromParent_Done,
     /* 2141169 */   // Label 28254: @2141169
     /* 2141169 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2141260), // Rule ID 17797 //
     /* 2141174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141220 */     // MIs[0] round
     /* 2141220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141223 */     // MIs[0] policy
     /* 2141223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141233 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141259 */     // GIR_Coverage, 17797,
     /* 2141259 */     GIR_EraseRootFromParent_Done,
     /* 2141260 */   // Label 28255: @2141260
     /* 2141260 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2141351), // Rule ID 17798 //
     /* 2141265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2141285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141311 */     // MIs[0] round
     /* 2141311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141314 */     // MIs[0] policy
     /* 2141314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141324 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2141327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141350 */     // GIR_Coverage, 17798,
     /* 2141350 */     GIR_EraseRootFromParent_Done,
     /* 2141351 */   // Label 28256: @2141351
     /* 2141351 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2141442), // Rule ID 17801 //
     /* 2141356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141402 */     // MIs[0] round
     /* 2141402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141405 */     // MIs[0] policy
     /* 2141405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141415 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141441 */     // GIR_Coverage, 17801,
     /* 2141441 */     GIR_EraseRootFromParent_Done,
     /* 2141442 */   // Label 28257: @2141442
     /* 2141442 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2141533), // Rule ID 17802 //
     /* 2141447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141493 */     // MIs[0] round
     /* 2141493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141496 */     // MIs[0] policy
     /* 2141496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141506 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2141509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141532 */     // GIR_Coverage, 17802,
     /* 2141532 */     GIR_EraseRootFromParent_Done,
     /* 2141533 */   // Label 28258: @2141533
     /* 2141533 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2141624), // Rule ID 17805 //
     /* 2141538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141584 */     // MIs[0] round
     /* 2141584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141587 */     // MIs[0] policy
     /* 2141587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141597 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2141600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141623 */     // GIR_Coverage, 17805,
     /* 2141623 */     GIR_EraseRootFromParent_Done,
     /* 2141624 */   // Label 28259: @2141624
     /* 2141624 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2141715), // Rule ID 17806 //
     /* 2141629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141675 */     // MIs[0] round
     /* 2141675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141678 */     // MIs[0] policy
     /* 2141678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2141691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141714 */     // GIR_Coverage, 17806,
     /* 2141714 */     GIR_EraseRootFromParent_Done,
     /* 2141715 */   // Label 28260: @2141715
     /* 2141715 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2141806), // Rule ID 17809 //
     /* 2141720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141766 */     // MIs[0] round
     /* 2141766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141769 */     // MIs[0] policy
     /* 2141769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141779 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2141782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141805 */     // GIR_Coverage, 17809,
     /* 2141805 */     GIR_EraseRootFromParent_Done,
     /* 2141806 */   // Label 28261: @2141806
     /* 2141806 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2141897), // Rule ID 17810 //
     /* 2141811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141857 */     // MIs[0] round
     /* 2141857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141860 */     // MIs[0] policy
     /* 2141860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141870 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2141873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141896 */     // GIR_Coverage, 17810,
     /* 2141896 */     GIR_EraseRootFromParent_Done,
     /* 2141897 */   // Label 28262: @2141897
     /* 2141897 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2141988), // Rule ID 17813 //
     /* 2141902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141948 */     // MIs[0] round
     /* 2141948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141951 */     // MIs[0] policy
     /* 2141951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141961 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2141964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141987 */     // GIR_Coverage, 17813,
     /* 2141987 */     GIR_EraseRootFromParent_Done,
     /* 2141988 */   // Label 28263: @2141988
     /* 2141988 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2142079), // Rule ID 17814 //
     /* 2141993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2142004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2142007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2142013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142039 */     // MIs[0] round
     /* 2142039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142042 */     // MIs[0] policy
     /* 2142042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2142055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142078 */     // GIR_Coverage, 17814,
     /* 2142078 */     GIR_EraseRootFromParent_Done,
     /* 2142079 */   // Label 28264: @2142079
     /* 2142079 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2142170), // Rule ID 17817 //
     /* 2142084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142130 */     // MIs[0] round
     /* 2142130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142133 */     // MIs[0] policy
     /* 2142133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142143 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142169 */     // GIR_Coverage, 17817,
     /* 2142169 */     GIR_EraseRootFromParent_Done,
     /* 2142170 */   // Label 28265: @2142170
     /* 2142170 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2142261), // Rule ID 17818 //
     /* 2142175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2142186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2142189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2142195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142221 */     // MIs[0] round
     /* 2142221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142224 */     // MIs[0] policy
     /* 2142224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142234 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2142237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142260 */     // GIR_Coverage, 17818,
     /* 2142260 */     GIR_EraseRootFromParent_Done,
     /* 2142261 */   // Label 28266: @2142261
     /* 2142261 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2142352), // Rule ID 17821 //
     /* 2142266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142312 */     // MIs[0] round
     /* 2142312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142315 */     // MIs[0] policy
     /* 2142315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142351 */     // GIR_Coverage, 17821,
     /* 2142351 */     GIR_EraseRootFromParent_Done,
     /* 2142352 */   // Label 28267: @2142352
     /* 2142352 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2142443), // Rule ID 17822 //
     /* 2142357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2142368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2142371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2142377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142403 */     // MIs[0] round
     /* 2142403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142406 */     // MIs[0] policy
     /* 2142406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2142419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142442 */     // GIR_Coverage, 17822,
     /* 2142442 */     GIR_EraseRootFromParent_Done,
     /* 2142443 */   // Label 28268: @2142443
     /* 2142443 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2142534), // Rule ID 17825 //
     /* 2142448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142494 */     // MIs[0] round
     /* 2142494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142497 */     // MIs[0] policy
     /* 2142497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142533 */     // GIR_Coverage, 17825,
     /* 2142533 */     GIR_EraseRootFromParent_Done,
     /* 2142534 */   // Label 28269: @2142534
     /* 2142534 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2142625), // Rule ID 17826 //
     /* 2142539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142585 */     // MIs[0] round
     /* 2142585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142588 */     // MIs[0] policy
     /* 2142588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142598 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2142601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142624 */     // GIR_Coverage, 17826,
     /* 2142624 */     GIR_EraseRootFromParent_Done,
     /* 2142625 */   // Label 28270: @2142625
     /* 2142625 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2142716), // Rule ID 17829 //
     /* 2142630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142676 */     // MIs[0] round
     /* 2142676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142679 */     // MIs[0] policy
     /* 2142679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142689 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2142692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142715 */     // GIR_Coverage, 17829,
     /* 2142715 */     GIR_EraseRootFromParent_Done,
     /* 2142716 */   // Label 28271: @2142716
     /* 2142716 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2142807), // Rule ID 17830 //
     /* 2142721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142767 */     // MIs[0] round
     /* 2142767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142770 */     // MIs[0] policy
     /* 2142770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142780 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2142783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142806 */     // GIR_Coverage, 17830,
     /* 2142806 */     GIR_EraseRootFromParent_Done,
     /* 2142807 */   // Label 28272: @2142807
     /* 2142807 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2142898), // Rule ID 17833 //
     /* 2142812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142858 */     // MIs[0] round
     /* 2142858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142861 */     // MIs[0] policy
     /* 2142861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2142874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142897 */     // GIR_Coverage, 17833,
     /* 2142897 */     GIR_EraseRootFromParent_Done,
     /* 2142898 */   // Label 28273: @2142898
     /* 2142898 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2142989), // Rule ID 17834 //
     /* 2142903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142949 */     // MIs[0] round
     /* 2142949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142952 */     // MIs[0] policy
     /* 2142952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142962 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2142965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142988 */     // GIR_Coverage, 17834,
     /* 2142988 */     GIR_EraseRootFromParent_Done,
     /* 2142989 */   // Label 28274: @2142989
     /* 2142989 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2143080), // Rule ID 17837 //
     /* 2142994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143040 */     // MIs[0] round
     /* 2143040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143043 */     // MIs[0] policy
     /* 2143043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143053 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143079 */     // GIR_Coverage, 17837,
     /* 2143079 */     GIR_EraseRootFromParent_Done,
     /* 2143080 */   // Label 28275: @2143080
     /* 2143080 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2143171), // Rule ID 17838 //
     /* 2143085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2143096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2143105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143131 */     // MIs[0] round
     /* 2143131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143134 */     // MIs[0] policy
     /* 2143134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143144 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2143147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143170 */     // GIR_Coverage, 17838,
     /* 2143170 */     GIR_EraseRootFromParent_Done,
     /* 2143171 */   // Label 28276: @2143171
     /* 2143171 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2143262), // Rule ID 17841 //
     /* 2143176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143222 */     // MIs[0] round
     /* 2143222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143225 */     // MIs[0] policy
     /* 2143225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143261 */     // GIR_Coverage, 17841,
     /* 2143261 */     GIR_EraseRootFromParent_Done,
     /* 2143262 */   // Label 28277: @2143262
     /* 2143262 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2143353), // Rule ID 17842 //
     /* 2143267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2143278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2143281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2143284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2143287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2143290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143313 */     // MIs[0] round
     /* 2143313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143316 */     // MIs[0] policy
     /* 2143316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143326 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2143329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143352 */     // GIR_Coverage, 17842,
     /* 2143352 */     GIR_EraseRootFromParent_Done,
     /* 2143353 */   // Label 28278: @2143353
     /* 2143353 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2143444), // Rule ID 17845 //
     /* 2143358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143404 */     // MIs[0] round
     /* 2143404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143407 */     // MIs[0] policy
     /* 2143407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143417 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143443 */     // GIR_Coverage, 17845,
     /* 2143443 */     GIR_EraseRootFromParent_Done,
     /* 2143444 */   // Label 28279: @2143444
     /* 2143444 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2143535), // Rule ID 17846 //
     /* 2143449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143495 */     // MIs[0] round
     /* 2143495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143498 */     // MIs[0] policy
     /* 2143498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143508 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2143511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143534 */     // GIR_Coverage, 17846,
     /* 2143534 */     GIR_EraseRootFromParent_Done,
     /* 2143535 */   // Label 28280: @2143535
     /* 2143535 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2143626), // Rule ID 17849 //
     /* 2143540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143586 */     // MIs[0] round
     /* 2143586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143589 */     // MIs[0] policy
     /* 2143589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143599 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2143602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143625 */     // GIR_Coverage, 17849,
     /* 2143625 */     GIR_EraseRootFromParent_Done,
     /* 2143626 */   // Label 28281: @2143626
     /* 2143626 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2143717), // Rule ID 17850 //
     /* 2143631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143677 */     // MIs[0] round
     /* 2143677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143680 */     // MIs[0] policy
     /* 2143680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143690 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2143693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143716 */     // GIR_Coverage, 17850,
     /* 2143716 */     GIR_EraseRootFromParent_Done,
     /* 2143717 */   // Label 28282: @2143717
     /* 2143717 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2143808), // Rule ID 17853 //
     /* 2143722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143768 */     // MIs[0] round
     /* 2143768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143771 */     // MIs[0] policy
     /* 2143771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143781 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2143784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143807 */     // GIR_Coverage, 17853,
     /* 2143807 */     GIR_EraseRootFromParent_Done,
     /* 2143808 */   // Label 28283: @2143808
     /* 2143808 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2143899), // Rule ID 17854 //
     /* 2143813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143859 */     // MIs[0] round
     /* 2143859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143862 */     // MIs[0] policy
     /* 2143862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143872 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2143875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143898 */     // GIR_Coverage, 17854,
     /* 2143898 */     GIR_EraseRootFromParent_Done,
     /* 2143899 */   // Label 28284: @2143899
     /* 2143899 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2143990), // Rule ID 17857 //
     /* 2143904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143950 */     // MIs[0] round
     /* 2143950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143953 */     // MIs[0] policy
     /* 2143953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143963 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2143966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143989 */     // GIR_Coverage, 17857,
     /* 2143989 */     GIR_EraseRootFromParent_Done,
     /* 2143990 */   // Label 28285: @2143990
     /* 2143990 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2144081), // Rule ID 17858 //
     /* 2143995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2144006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2144009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2144015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144041 */     // MIs[0] round
     /* 2144041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144044 */     // MIs[0] policy
     /* 2144044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144054 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2144057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144080 */     // GIR_Coverage, 17858,
     /* 2144080 */     GIR_EraseRootFromParent_Done,
     /* 2144081 */   // Label 28286: @2144081
     /* 2144081 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2144172), // Rule ID 17861 //
     /* 2144086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144132 */     // MIs[0] round
     /* 2144132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144135 */     // MIs[0] policy
     /* 2144135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144145 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144171 */     // GIR_Coverage, 17861,
     /* 2144171 */     GIR_EraseRootFromParent_Done,
     /* 2144172 */   // Label 28287: @2144172
     /* 2144172 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2144263), // Rule ID 17862 //
     /* 2144177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2144188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2144191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2144197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144223 */     // MIs[0] round
     /* 2144223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144226 */     // MIs[0] policy
     /* 2144226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144236 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2144239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144262 */     // GIR_Coverage, 17862,
     /* 2144262 */     GIR_EraseRootFromParent_Done,
     /* 2144263 */   // Label 28288: @2144263
     /* 2144263 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2144354), // Rule ID 17865 //
     /* 2144268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144314 */     // MIs[0] round
     /* 2144314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144317 */     // MIs[0] policy
     /* 2144317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144353 */     // GIR_Coverage, 17865,
     /* 2144353 */     GIR_EraseRootFromParent_Done,
     /* 2144354 */   // Label 28289: @2144354
     /* 2144354 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2144445), // Rule ID 17866 //
     /* 2144359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2144370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2144373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2144376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2144379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144405 */     // MIs[0] round
     /* 2144405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144408 */     // MIs[0] policy
     /* 2144408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144418 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2144421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144444 */     // GIR_Coverage, 17866,
     /* 2144444 */     GIR_EraseRootFromParent_Done,
     /* 2144445 */   // Label 28290: @2144445
     /* 2144445 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2144536), // Rule ID 17869 //
     /* 2144450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144496 */     // MIs[0] round
     /* 2144496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144499 */     // MIs[0] policy
     /* 2144499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144535 */     // GIR_Coverage, 17869,
     /* 2144535 */     GIR_EraseRootFromParent_Done,
     /* 2144536 */   // Label 28291: @2144536
     /* 2144536 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2144627), // Rule ID 17870 //
     /* 2144541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144587 */     // MIs[0] round
     /* 2144587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144590 */     // MIs[0] policy
     /* 2144590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2144603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144626 */     // GIR_Coverage, 17870,
     /* 2144626 */     GIR_EraseRootFromParent_Done,
     /* 2144627 */   // Label 28292: @2144627
     /* 2144627 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2144718), // Rule ID 17873 //
     /* 2144632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144678 */     // MIs[0] round
     /* 2144678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144681 */     // MIs[0] policy
     /* 2144681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144691 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2144694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144717 */     // GIR_Coverage, 17873,
     /* 2144717 */     GIR_EraseRootFromParent_Done,
     /* 2144718 */   // Label 28293: @2144718
     /* 2144718 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2144809), // Rule ID 17874 //
     /* 2144723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144769 */     // MIs[0] round
     /* 2144769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144772 */     // MIs[0] policy
     /* 2144772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144782 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2144785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144808 */     // GIR_Coverage, 17874,
     /* 2144808 */     GIR_EraseRootFromParent_Done,
     /* 2144809 */   // Label 28294: @2144809
     /* 2144809 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2144900), // Rule ID 17877 //
     /* 2144814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144860 */     // MIs[0] round
     /* 2144860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144863 */     // MIs[0] policy
     /* 2144863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144873 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2144876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144899 */     // GIR_Coverage, 17877,
     /* 2144899 */     GIR_EraseRootFromParent_Done,
     /* 2144900 */   // Label 28295: @2144900
     /* 2144900 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2144991), // Rule ID 17878 //
     /* 2144905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144951 */     // MIs[0] round
     /* 2144951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144954 */     // MIs[0] policy
     /* 2144954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2144967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144990 */     // GIR_Coverage, 17878,
     /* 2144990 */     GIR_EraseRootFromParent_Done,
     /* 2144991 */   // Label 28296: @2144991
     /* 2144991 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2145082), // Rule ID 17881 //
     /* 2144996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145042 */     // MIs[0] round
     /* 2145042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145045 */     // MIs[0] policy
     /* 2145045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145081 */     // GIR_Coverage, 17881,
     /* 2145081 */     GIR_EraseRootFromParent_Done,
     /* 2145082 */   // Label 28297: @2145082
     /* 2145082 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2145173), // Rule ID 17882 //
     /* 2145087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2145098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2145101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2145104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2145107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145133 */     // MIs[0] round
     /* 2145133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145136 */     // MIs[0] policy
     /* 2145136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145146 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2145149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145172 */     // GIR_Coverage, 17882,
     /* 2145172 */     GIR_EraseRootFromParent_Done,
     /* 2145173 */   // Label 28298: @2145173
     /* 2145173 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2145264), // Rule ID 17885 //
     /* 2145178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145224 */     // MIs[0] round
     /* 2145224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145227 */     // MIs[0] policy
     /* 2145227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145263 */     // GIR_Coverage, 17885,
     /* 2145263 */     GIR_EraseRootFromParent_Done,
     /* 2145264 */   // Label 28299: @2145264
     /* 2145264 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2145355), // Rule ID 17886 //
     /* 2145269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2145280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2145283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2145286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2145289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145315 */     // MIs[0] round
     /* 2145315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145318 */     // MIs[0] policy
     /* 2145318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2145331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145354 */     // GIR_Coverage, 17886,
     /* 2145354 */     GIR_EraseRootFromParent_Done,
     /* 2145355 */   // Label 28300: @2145355
     /* 2145355 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2145446), // Rule ID 17889 //
     /* 2145360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145406 */     // MIs[0] round
     /* 2145406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145409 */     // MIs[0] policy
     /* 2145409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145419 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145445 */     // GIR_Coverage, 17889,
     /* 2145445 */     GIR_EraseRootFromParent_Done,
     /* 2145446 */   // Label 28301: @2145446
     /* 2145446 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2145537), // Rule ID 17890 //
     /* 2145451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145497 */     // MIs[0] round
     /* 2145497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145500 */     // MIs[0] policy
     /* 2145500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145510 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2145513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145536 */     // GIR_Coverage, 17890,
     /* 2145536 */     GIR_EraseRootFromParent_Done,
     /* 2145537 */   // Label 28302: @2145537
     /* 2145537 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2145628), // Rule ID 17893 //
     /* 2145542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145588 */     // MIs[0] round
     /* 2145588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145591 */     // MIs[0] policy
     /* 2145591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145601 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2145604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145627 */     // GIR_Coverage, 17893,
     /* 2145627 */     GIR_EraseRootFromParent_Done,
     /* 2145628 */   // Label 28303: @2145628
     /* 2145628 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2145719), // Rule ID 17894 //
     /* 2145633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145679 */     // MIs[0] round
     /* 2145679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145682 */     // MIs[0] policy
     /* 2145682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2145695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145718 */     // GIR_Coverage, 17894,
     /* 2145718 */     GIR_EraseRootFromParent_Done,
     /* 2145719 */   // Label 28304: @2145719
     /* 2145719 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2145810), // Rule ID 17897 //
     /* 2145724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145770 */     // MIs[0] round
     /* 2145770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145773 */     // MIs[0] policy
     /* 2145773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145783 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2145786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145809 */     // GIR_Coverage, 17897,
     /* 2145809 */     GIR_EraseRootFromParent_Done,
     /* 2145810 */   // Label 28305: @2145810
     /* 2145810 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2145901), // Rule ID 17898 //
     /* 2145815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145861 */     // MIs[0] round
     /* 2145861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145864 */     // MIs[0] policy
     /* 2145864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145874 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2145877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145900 */     // GIR_Coverage, 17898,
     /* 2145900 */     GIR_EraseRootFromParent_Done,
     /* 2145901 */   // Label 28306: @2145901
     /* 2145901 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2145992), // Rule ID 17901 //
     /* 2145906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145952 */     // MIs[0] round
     /* 2145952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145955 */     // MIs[0] policy
     /* 2145955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145965 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2145968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145991 */     // GIR_Coverage, 17901,
     /* 2145991 */     GIR_EraseRootFromParent_Done,
     /* 2145992 */   // Label 28307: @2145992
     /* 2145992 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2146083), // Rule ID 17902 //
     /* 2145997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2146008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2146017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2146020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146043 */     // MIs[0] round
     /* 2146043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146046 */     // MIs[0] policy
     /* 2146046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146056 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2146059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146082 */     // GIR_Coverage, 17902,
     /* 2146082 */     GIR_EraseRootFromParent_Done,
     /* 2146083 */   // Label 28308: @2146083
     /* 2146083 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2146174), // Rule ID 17905 //
     /* 2146088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146134 */     // MIs[0] round
     /* 2146134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146137 */     // MIs[0] policy
     /* 2146137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146173 */     // GIR_Coverage, 17905,
     /* 2146173 */     GIR_EraseRootFromParent_Done,
     /* 2146174 */   // Label 28309: @2146174
     /* 2146174 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2146265), // Rule ID 17906 //
     /* 2146179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2146196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2146199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146225 */     // MIs[0] round
     /* 2146225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146228 */     // MIs[0] policy
     /* 2146228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2146241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146264 */     // GIR_Coverage, 17906,
     /* 2146264 */     GIR_EraseRootFromParent_Done,
     /* 2146265 */   // Label 28310: @2146265
     /* 2146265 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2146356), // Rule ID 17909 //
     /* 2146270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146316 */     // MIs[0] round
     /* 2146316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146319 */     // MIs[0] policy
     /* 2146319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146329 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146355 */     // GIR_Coverage, 17909,
     /* 2146355 */     GIR_EraseRootFromParent_Done,
     /* 2146356 */   // Label 28311: @2146356
     /* 2146356 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2146447), // Rule ID 17910 //
     /* 2146361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146407 */     // MIs[0] round
     /* 2146407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146410 */     // MIs[0] policy
     /* 2146410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146420 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2146423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146446 */     // GIR_Coverage, 17910,
     /* 2146446 */     GIR_EraseRootFromParent_Done,
     /* 2146447 */   // Label 28312: @2146447
     /* 2146447 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2146538), // Rule ID 17913 //
     /* 2146452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146498 */     // MIs[0] round
     /* 2146498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146501 */     // MIs[0] policy
     /* 2146501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146537 */     // GIR_Coverage, 17913,
     /* 2146537 */     GIR_EraseRootFromParent_Done,
     /* 2146538 */   // Label 28313: @2146538
     /* 2146538 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2146629), // Rule ID 17914 //
     /* 2146543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146589 */     // MIs[0] round
     /* 2146589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146592 */     // MIs[0] policy
     /* 2146592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146602 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2146605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146628 */     // GIR_Coverage, 17914,
     /* 2146628 */     GIR_EraseRootFromParent_Done,
     /* 2146629 */   // Label 28314: @2146629
     /* 2146629 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2146720), // Rule ID 17917 //
     /* 2146634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146680 */     // MIs[0] round
     /* 2146680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146683 */     // MIs[0] policy
     /* 2146683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2146696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146719 */     // GIR_Coverage, 17917,
     /* 2146719 */     GIR_EraseRootFromParent_Done,
     /* 2146720 */   // Label 28315: @2146720
     /* 2146720 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2146811), // Rule ID 17918 //
     /* 2146725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146771 */     // MIs[0] round
     /* 2146771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146774 */     // MIs[0] policy
     /* 2146774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146784 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2146787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146810 */     // GIR_Coverage, 17918,
     /* 2146810 */     GIR_EraseRootFromParent_Done,
     /* 2146811 */   // Label 28316: @2146811
     /* 2146811 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2146902), // Rule ID 17921 //
     /* 2146816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146862 */     // MIs[0] round
     /* 2146862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146865 */     // MIs[0] policy
     /* 2146865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146875 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2146878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146901 */     // GIR_Coverage, 17921,
     /* 2146901 */     GIR_EraseRootFromParent_Done,
     /* 2146902 */   // Label 28317: @2146902
     /* 2146902 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2146993), // Rule ID 17922 //
     /* 2146907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146953 */     // MIs[0] round
     /* 2146953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146956 */     // MIs[0] policy
     /* 2146956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146966 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2146969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146992 */     // GIR_Coverage, 17922,
     /* 2146992 */     GIR_EraseRootFromParent_Done,
     /* 2146993 */   // Label 28318: @2146993
     /* 2146993 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2147084), // Rule ID 17925 //
     /* 2146998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147044 */     // MIs[0] round
     /* 2147044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147047 */     // MIs[0] policy
     /* 2147047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147083 */     // GIR_Coverage, 17925,
     /* 2147083 */     GIR_EraseRootFromParent_Done,
     /* 2147084 */   // Label 28319: @2147084
     /* 2147084 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2147175), // Rule ID 17926 //
     /* 2147089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2147106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2147109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147135 */     // MIs[0] round
     /* 2147135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147138 */     // MIs[0] policy
     /* 2147138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2147151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147174 */     // GIR_Coverage, 17926,
     /* 2147174 */     GIR_EraseRootFromParent_Done,
     /* 2147175 */   // Label 28320: @2147175
     /* 2147175 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2147266), // Rule ID 17929 //
     /* 2147180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147226 */     // MIs[0] round
     /* 2147226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147229 */     // MIs[0] policy
     /* 2147229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147265 */     // GIR_Coverage, 17929,
     /* 2147265 */     GIR_EraseRootFromParent_Done,
     /* 2147266 */   // Label 28321: @2147266
     /* 2147266 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2147357), // Rule ID 17930 //
     /* 2147271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2147291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147317 */     // MIs[0] round
     /* 2147317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147320 */     // MIs[0] policy
     /* 2147320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147330 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2147333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147356 */     // GIR_Coverage, 17930,
     /* 2147356 */     GIR_EraseRootFromParent_Done,
     /* 2147357 */   // Label 28322: @2147357
     /* 2147357 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2147448), // Rule ID 17933 //
     /* 2147362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147408 */     // MIs[0] round
     /* 2147408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147411 */     // MIs[0] policy
     /* 2147411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147421 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147447 */     // GIR_Coverage, 17933,
     /* 2147447 */     GIR_EraseRootFromParent_Done,
     /* 2147448 */   // Label 28323: @2147448
     /* 2147448 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2147539), // Rule ID 17934 //
     /* 2147453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147499 */     // MIs[0] round
     /* 2147499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147502 */     // MIs[0] policy
     /* 2147502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147512 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2147515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147538 */     // GIR_Coverage, 17934,
     /* 2147538 */     GIR_EraseRootFromParent_Done,
     /* 2147539 */   // Label 28324: @2147539
     /* 2147539 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2147630), // Rule ID 17937 //
     /* 2147544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147590 */     // MIs[0] round
     /* 2147590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147593 */     // MIs[0] policy
     /* 2147593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147603 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2147606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147629 */     // GIR_Coverage, 17937,
     /* 2147629 */     GIR_EraseRootFromParent_Done,
     /* 2147630 */   // Label 28325: @2147630
     /* 2147630 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2147721), // Rule ID 17938 //
     /* 2147635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147681 */     // MIs[0] round
     /* 2147681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147684 */     // MIs[0] policy
     /* 2147684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147694 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2147697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147720 */     // GIR_Coverage, 17938,
     /* 2147720 */     GIR_EraseRootFromParent_Done,
     /* 2147721 */   // Label 28326: @2147721
     /* 2147721 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2147812), // Rule ID 17941 //
     /* 2147726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147772 */     // MIs[0] round
     /* 2147772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147775 */     // MIs[0] policy
     /* 2147775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147785 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2147788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147811 */     // GIR_Coverage, 17941,
     /* 2147811 */     GIR_EraseRootFromParent_Done,
     /* 2147812 */   // Label 28327: @2147812
     /* 2147812 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2147903), // Rule ID 17942 //
     /* 2147817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147863 */     // MIs[0] round
     /* 2147863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147866 */     // MIs[0] policy
     /* 2147866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2147879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147902 */     // GIR_Coverage, 17942,
     /* 2147902 */     GIR_EraseRootFromParent_Done,
     /* 2147903 */   // Label 28328: @2147903
     /* 2147903 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2147994), // Rule ID 17945 //
     /* 2147908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147954 */     // MIs[0] round
     /* 2147954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147957 */     // MIs[0] policy
     /* 2147957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2147970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147993 */     // GIR_Coverage, 17945,
     /* 2147993 */     GIR_EraseRootFromParent_Done,
     /* 2147994 */   // Label 28329: @2147994
     /* 2147994 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2148085), // Rule ID 17946 //
     /* 2147999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2148019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148045 */     // MIs[0] round
     /* 2148045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148048 */     // MIs[0] policy
     /* 2148048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2148061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148084 */     // GIR_Coverage, 17946,
     /* 2148084 */     GIR_EraseRootFromParent_Done,
     /* 2148085 */   // Label 28330: @2148085
     /* 2148085 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2148176), // Rule ID 17949 //
     /* 2148090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148136 */     // MIs[0] round
     /* 2148136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148139 */     // MIs[0] policy
     /* 2148139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148175 */     // GIR_Coverage, 17949,
     /* 2148175 */     GIR_EraseRootFromParent_Done,
     /* 2148176 */   // Label 28331: @2148176
     /* 2148176 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2148267), // Rule ID 17950 //
     /* 2148181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2148201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148227 */     // MIs[0] round
     /* 2148227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148230 */     // MIs[0] policy
     /* 2148230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2148243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148266 */     // GIR_Coverage, 17950,
     /* 2148266 */     GIR_EraseRootFromParent_Done,
     /* 2148267 */   // Label 28332: @2148267
     /* 2148267 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2148358), // Rule ID 17953 //
     /* 2148272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148318 */     // MIs[0] round
     /* 2148318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148321 */     // MIs[0] policy
     /* 2148321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148331 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148357 */     // GIR_Coverage, 17953,
     /* 2148357 */     GIR_EraseRootFromParent_Done,
     /* 2148358 */   // Label 28333: @2148358
     /* 2148358 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2148449), // Rule ID 17954 //
     /* 2148363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2148374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2148377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2148383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148409 */     // MIs[0] round
     /* 2148409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148412 */     // MIs[0] policy
     /* 2148412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148422 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2148425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148448 */     // GIR_Coverage, 17954,
     /* 2148448 */     GIR_EraseRootFromParent_Done,
     /* 2148449 */   // Label 28334: @2148449
     /* 2148449 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2148540), // Rule ID 17957 //
     /* 2148454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148500 */     // MIs[0] round
     /* 2148500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148503 */     // MIs[0] policy
     /* 2148503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148513 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148539 */     // GIR_Coverage, 17957,
     /* 2148539 */     GIR_EraseRootFromParent_Done,
     /* 2148540 */   // Label 28335: @2148540
     /* 2148540 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2148631), // Rule ID 17958 //
     /* 2148545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148591 */     // MIs[0] round
     /* 2148591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148594 */     // MIs[0] policy
     /* 2148594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148604 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2148607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148630 */     // GIR_Coverage, 17958,
     /* 2148630 */     GIR_EraseRootFromParent_Done,
     /* 2148631 */   // Label 28336: @2148631
     /* 2148631 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2148722), // Rule ID 17961 //
     /* 2148636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148682 */     // MIs[0] round
     /* 2148682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148685 */     // MIs[0] policy
     /* 2148685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2148698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148721 */     // GIR_Coverage, 17961,
     /* 2148721 */     GIR_EraseRootFromParent_Done,
     /* 2148722 */   // Label 28337: @2148722
     /* 2148722 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2148813), // Rule ID 17962 //
     /* 2148727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148773 */     // MIs[0] round
     /* 2148773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148776 */     // MIs[0] policy
     /* 2148776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148786 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2148789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148812 */     // GIR_Coverage, 17962,
     /* 2148812 */     GIR_EraseRootFromParent_Done,
     /* 2148813 */   // Label 28338: @2148813
     /* 2148813 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2148904), // Rule ID 17965 //
     /* 2148818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148864 */     // MIs[0] round
     /* 2148864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148867 */     // MIs[0] policy
     /* 2148867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2148880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148903 */     // GIR_Coverage, 17965,
     /* 2148903 */     GIR_EraseRootFromParent_Done,
     /* 2148904 */   // Label 28339: @2148904
     /* 2148904 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2148995), // Rule ID 17966 //
     /* 2148909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148955 */     // MIs[0] round
     /* 2148955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148958 */     // MIs[0] policy
     /* 2148958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2148971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148994 */     // GIR_Coverage, 17966,
     /* 2148994 */     GIR_EraseRootFromParent_Done,
     /* 2148995 */   // Label 28340: @2148995
     /* 2148995 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2149086), // Rule ID 17969 //
     /* 2149000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149046 */     // MIs[0] round
     /* 2149046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149049 */     // MIs[0] policy
     /* 2149049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149059 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149085 */     // GIR_Coverage, 17969,
     /* 2149085 */     GIR_EraseRootFromParent_Done,
     /* 2149086 */   // Label 28341: @2149086
     /* 2149086 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2149177), // Rule ID 17970 //
     /* 2149091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2149111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149137 */     // MIs[0] round
     /* 2149137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149140 */     // MIs[0] policy
     /* 2149140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149150 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2149153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149176 */     // GIR_Coverage, 17970,
     /* 2149176 */     GIR_EraseRootFromParent_Done,
     /* 2149177 */   // Label 28342: @2149177
     /* 2149177 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2149268), // Rule ID 17973 //
     /* 2149182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149228 */     // MIs[0] round
     /* 2149228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149231 */     // MIs[0] policy
     /* 2149231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149241 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149267 */     // GIR_Coverage, 17973,
     /* 2149267 */     GIR_EraseRootFromParent_Done,
     /* 2149268 */   // Label 28343: @2149268
     /* 2149268 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2149359), // Rule ID 17974 //
     /* 2149273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2149284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2149287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2149293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149319 */     // MIs[0] round
     /* 2149319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149322 */     // MIs[0] policy
     /* 2149322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2149335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149358 */     // GIR_Coverage, 17974,
     /* 2149358 */     GIR_EraseRootFromParent_Done,
     /* 2149359 */   // Label 28344: @2149359
     /* 2149359 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2149450), // Rule ID 17977 //
     /* 2149364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149410 */     // MIs[0] round
     /* 2149410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149413 */     // MIs[0] policy
     /* 2149413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149423 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149449 */     // GIR_Coverage, 17977,
     /* 2149449 */     GIR_EraseRootFromParent_Done,
     /* 2149450 */   // Label 28345: @2149450
     /* 2149450 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2149541), // Rule ID 17978 //
     /* 2149455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149501 */     // MIs[0] round
     /* 2149501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149504 */     // MIs[0] policy
     /* 2149504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149514 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2149517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149540 */     // GIR_Coverage, 17978,
     /* 2149540 */     GIR_EraseRootFromParent_Done,
     /* 2149541 */   // Label 28346: @2149541
     /* 2149541 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2149632), // Rule ID 17981 //
     /* 2149546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149592 */     // MIs[0] round
     /* 2149592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149595 */     // MIs[0] policy
     /* 2149595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2149608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149631 */     // GIR_Coverage, 17981,
     /* 2149631 */     GIR_EraseRootFromParent_Done,
     /* 2149632 */   // Label 28347: @2149632
     /* 2149632 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2149723), // Rule ID 17982 //
     /* 2149637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149683 */     // MIs[0] round
     /* 2149683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149686 */     // MIs[0] policy
     /* 2149686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149696 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2149699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149722 */     // GIR_Coverage, 17982,
     /* 2149722 */     GIR_EraseRootFromParent_Done,
     /* 2149723 */   // Label 28348: @2149723
     /* 2149723 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2149814), // Rule ID 17985 //
     /* 2149728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149774 */     // MIs[0] round
     /* 2149774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149777 */     // MIs[0] policy
     /* 2149777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2149790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149813 */     // GIR_Coverage, 17985,
     /* 2149813 */     GIR_EraseRootFromParent_Done,
     /* 2149814 */   // Label 28349: @2149814
     /* 2149814 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2149905), // Rule ID 17986 //
     /* 2149819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149865 */     // MIs[0] round
     /* 2149865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149868 */     // MIs[0] policy
     /* 2149868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149878 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2149881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149904 */     // GIR_Coverage, 17986,
     /* 2149904 */     GIR_EraseRootFromParent_Done,
     /* 2149905 */   // Label 28350: @2149905
     /* 2149905 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2149996), // Rule ID 17989 //
     /* 2149910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149956 */     // MIs[0] round
     /* 2149956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149959 */     // MIs[0] policy
     /* 2149959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149969 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2149972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149995 */     // GIR_Coverage, 17989,
     /* 2149995 */     GIR_EraseRootFromParent_Done,
     /* 2149996 */   // Label 28351: @2149996
     /* 2149996 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2150087), // Rule ID 17990 //
     /* 2150001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2150012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2150021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150047 */     // MIs[0] round
     /* 2150047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150050 */     // MIs[0] policy
     /* 2150050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150060 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2150063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150086 */     // GIR_Coverage, 17990,
     /* 2150086 */     GIR_EraseRootFromParent_Done,
     /* 2150087 */   // Label 28352: @2150087
     /* 2150087 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2150178), // Rule ID 17993 //
     /* 2150092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150138 */     // MIs[0] round
     /* 2150138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150141 */     // MIs[0] policy
     /* 2150141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150151 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150177 */     // GIR_Coverage, 17993,
     /* 2150177 */     GIR_EraseRootFromParent_Done,
     /* 2150178 */   // Label 28353: @2150178
     /* 2150178 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2150269), // Rule ID 17994 //
     /* 2150183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2150194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2150197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2150200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2150203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150229 */     // MIs[0] round
     /* 2150229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150232 */     // MIs[0] policy
     /* 2150232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150242 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2150245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150268 */     // GIR_Coverage, 17994,
     /* 2150268 */     GIR_EraseRootFromParent_Done,
     /* 2150269 */   // Label 28354: @2150269
     /* 2150269 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2150360), // Rule ID 17997 //
     /* 2150274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150320 */     // MIs[0] round
     /* 2150320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150323 */     // MIs[0] policy
     /* 2150323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150359 */     // GIR_Coverage, 17997,
     /* 2150359 */     GIR_EraseRootFromParent_Done,
     /* 2150360 */   // Label 28355: @2150360
     /* 2150360 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2150451), // Rule ID 17998 //
     /* 2150365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2150376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150411 */     // MIs[0] round
     /* 2150411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150414 */     // MIs[0] policy
     /* 2150414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150424 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2150427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150450 */     // GIR_Coverage, 17998,
     /* 2150450 */     GIR_EraseRootFromParent_Done,
     /* 2150451 */   // Label 28356: @2150451
     /* 2150451 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2150542), // Rule ID 18001 //
     /* 2150456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150502 */     // MIs[0] round
     /* 2150502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150505 */     // MIs[0] policy
     /* 2150505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150515 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150541 */     // GIR_Coverage, 18001,
     /* 2150541 */     GIR_EraseRootFromParent_Done,
     /* 2150542 */   // Label 28357: @2150542
     /* 2150542 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2150633), // Rule ID 18002 //
     /* 2150547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150593 */     // MIs[0] round
     /* 2150593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150596 */     // MIs[0] policy
     /* 2150596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2150609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150632 */     // GIR_Coverage, 18002,
     /* 2150632 */     GIR_EraseRootFromParent_Done,
     /* 2150633 */   // Label 28358: @2150633
     /* 2150633 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2150724), // Rule ID 18005 //
     /* 2150638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150684 */     // MIs[0] round
     /* 2150684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150687 */     // MIs[0] policy
     /* 2150687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2150700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150723 */     // GIR_Coverage, 18005,
     /* 2150723 */     GIR_EraseRootFromParent_Done,
     /* 2150724 */   // Label 28359: @2150724
     /* 2150724 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2150815), // Rule ID 18006 //
     /* 2150729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150775 */     // MIs[0] round
     /* 2150775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150778 */     // MIs[0] policy
     /* 2150778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2150791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150814 */     // GIR_Coverage, 18006,
     /* 2150814 */     GIR_EraseRootFromParent_Done,
     /* 2150815 */   // Label 28360: @2150815
     /* 2150815 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2150906), // Rule ID 18009 //
     /* 2150820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150866 */     // MIs[0] round
     /* 2150866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150869 */     // MIs[0] policy
     /* 2150869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2150882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150905 */     // GIR_Coverage, 18009,
     /* 2150905 */     GIR_EraseRootFromParent_Done,
     /* 2150906 */   // Label 28361: @2150906
     /* 2150906 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2150997), // Rule ID 18010 //
     /* 2150911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150957 */     // MIs[0] round
     /* 2150957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150960 */     // MIs[0] policy
     /* 2150960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2150973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150996 */     // GIR_Coverage, 18010,
     /* 2150996 */     GIR_EraseRootFromParent_Done,
     /* 2150997 */   // Label 28362: @2150997
     /* 2150997 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2151088), // Rule ID 18013 //
     /* 2151002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151048 */     // MIs[0] round
     /* 2151048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151051 */     // MIs[0] policy
     /* 2151051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151061 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151087 */     // GIR_Coverage, 18013,
     /* 2151087 */     GIR_EraseRootFromParent_Done,
     /* 2151088 */   // Label 28363: @2151088
     /* 2151088 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2151179), // Rule ID 18014 //
     /* 2151093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2151104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2151107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2151110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2151113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151139 */     // MIs[0] round
     /* 2151139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151142 */     // MIs[0] policy
     /* 2151142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151152 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2151155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151178 */     // GIR_Coverage, 18014,
     /* 2151178 */     GIR_EraseRootFromParent_Done,
     /* 2151179 */   // Label 28364: @2151179
     /* 2151179 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2151270), // Rule ID 18017 //
     /* 2151184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151230 */     // MIs[0] round
     /* 2151230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151233 */     // MIs[0] policy
     /* 2151233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151243 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151269 */     // GIR_Coverage, 18017,
     /* 2151269 */     GIR_EraseRootFromParent_Done,
     /* 2151270 */   // Label 28365: @2151270
     /* 2151270 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2151361), // Rule ID 18018 //
     /* 2151275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2151286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2151289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2151292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2151295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151321 */     // MIs[0] round
     /* 2151321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151324 */     // MIs[0] policy
     /* 2151324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2151337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151360 */     // GIR_Coverage, 18018,
     /* 2151360 */     GIR_EraseRootFromParent_Done,
     /* 2151361 */   // Label 28366: @2151361
     /* 2151361 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2151452), // Rule ID 18021 //
     /* 2151366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151412 */     // MIs[0] round
     /* 2151412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151415 */     // MIs[0] policy
     /* 2151415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151425 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151451 */     // GIR_Coverage, 18021,
     /* 2151451 */     GIR_EraseRootFromParent_Done,
     /* 2151452 */   // Label 28367: @2151452
     /* 2151452 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2151543), // Rule ID 18022 //
     /* 2151457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151503 */     // MIs[0] round
     /* 2151503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151506 */     // MIs[0] policy
     /* 2151506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151516 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2151519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151542 */     // GIR_Coverage, 18022,
     /* 2151542 */     GIR_EraseRootFromParent_Done,
     /* 2151543 */   // Label 28368: @2151543
     /* 2151543 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2151634), // Rule ID 18025 //
     /* 2151548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151594 */     // MIs[0] round
     /* 2151594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151597 */     // MIs[0] policy
     /* 2151597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2151610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151633 */     // GIR_Coverage, 18025,
     /* 2151633 */     GIR_EraseRootFromParent_Done,
     /* 2151634 */   // Label 28369: @2151634
     /* 2151634 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2151725), // Rule ID 18026 //
     /* 2151639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151685 */     // MIs[0] round
     /* 2151685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151688 */     // MIs[0] policy
     /* 2151688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2151701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151724 */     // GIR_Coverage, 18026,
     /* 2151724 */     GIR_EraseRootFromParent_Done,
     /* 2151725 */   // Label 28370: @2151725
     /* 2151725 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2151816), // Rule ID 18029 //
     /* 2151730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151776 */     // MIs[0] round
     /* 2151776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151779 */     // MIs[0] policy
     /* 2151779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2151792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151815 */     // GIR_Coverage, 18029,
     /* 2151815 */     GIR_EraseRootFromParent_Done,
     /* 2151816 */   // Label 28371: @2151816
     /* 2151816 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2151907), // Rule ID 18030 //
     /* 2151821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151867 */     // MIs[0] round
     /* 2151867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151870 */     // MIs[0] policy
     /* 2151870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2151883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151906 */     // GIR_Coverage, 18030,
     /* 2151906 */     GIR_EraseRootFromParent_Done,
     /* 2151907 */   // Label 28372: @2151907
     /* 2151907 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2151998), // Rule ID 18033 //
     /* 2151912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151958 */     // MIs[0] round
     /* 2151958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151961 */     // MIs[0] policy
     /* 2151961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151971 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2151974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151997 */     // GIR_Coverage, 18033,
     /* 2151997 */     GIR_EraseRootFromParent_Done,
     /* 2151998 */   // Label 28373: @2151998
     /* 2151998 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2152089), // Rule ID 18034 //
     /* 2152003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2152014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2152017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2152020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2152023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152049 */     // MIs[0] round
     /* 2152049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152052 */     // MIs[0] policy
     /* 2152052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152062 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2152065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152088 */     // GIR_Coverage, 18034,
     /* 2152088 */     GIR_EraseRootFromParent_Done,
     /* 2152089 */   // Label 28374: @2152089
     /* 2152089 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2152180), // Rule ID 18037 //
     /* 2152094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152140 */     // MIs[0] round
     /* 2152140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152143 */     // MIs[0] policy
     /* 2152143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152179 */     // GIR_Coverage, 18037,
     /* 2152179 */     GIR_EraseRootFromParent_Done,
     /* 2152180 */   // Label 28375: @2152180
     /* 2152180 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2152271), // Rule ID 18038 //
     /* 2152185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2152196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2152205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152231 */     // MIs[0] round
     /* 2152231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152234 */     // MIs[0] policy
     /* 2152234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152244 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2152247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152270 */     // GIR_Coverage, 18038,
     /* 2152270 */     GIR_EraseRootFromParent_Done,
     /* 2152271 */   // Label 28376: @2152271
     /* 2152271 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2152362), // Rule ID 18041 //
     /* 2152276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152322 */     // MIs[0] round
     /* 2152322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152325 */     // MIs[0] policy
     /* 2152325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152335 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152361 */     // GIR_Coverage, 18041,
     /* 2152361 */     GIR_EraseRootFromParent_Done,
     /* 2152362 */   // Label 28377: @2152362
     /* 2152362 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2152453), // Rule ID 18042 //
     /* 2152367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2152378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152413 */     // MIs[0] round
     /* 2152413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152416 */     // MIs[0] policy
     /* 2152416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152426 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2152429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152452 */     // GIR_Coverage, 18042,
     /* 2152452 */     GIR_EraseRootFromParent_Done,
     /* 2152453 */   // Label 28378: @2152453
     /* 2152453 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2152544), // Rule ID 18045 //
     /* 2152458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152504 */     // MIs[0] round
     /* 2152504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152507 */     // MIs[0] policy
     /* 2152507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152517 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152543 */     // GIR_Coverage, 18045,
     /* 2152543 */     GIR_EraseRootFromParent_Done,
     /* 2152544 */   // Label 28379: @2152544
     /* 2152544 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2152635), // Rule ID 18046 //
     /* 2152549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152595 */     // MIs[0] round
     /* 2152595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152598 */     // MIs[0] policy
     /* 2152598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152608 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2152611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152634 */     // GIR_Coverage, 18046,
     /* 2152634 */     GIR_EraseRootFromParent_Done,
     /* 2152635 */   // Label 28380: @2152635
     /* 2152635 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2152726), // Rule ID 18049 //
     /* 2152640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152686 */     // MIs[0] round
     /* 2152686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152689 */     // MIs[0] policy
     /* 2152689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2152702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152725 */     // GIR_Coverage, 18049,
     /* 2152725 */     GIR_EraseRootFromParent_Done,
     /* 2152726 */   // Label 28381: @2152726
     /* 2152726 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2152817), // Rule ID 18050 //
     /* 2152731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152777 */     // MIs[0] round
     /* 2152777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152780 */     // MIs[0] policy
     /* 2152780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152790 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2152793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152816 */     // GIR_Coverage, 18050,
     /* 2152816 */     GIR_EraseRootFromParent_Done,
     /* 2152817 */   // Label 28382: @2152817
     /* 2152817 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2152908), // Rule ID 18053 //
     /* 2152822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152868 */     // MIs[0] round
     /* 2152868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152871 */     // MIs[0] policy
     /* 2152871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152881 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2152884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152907 */     // GIR_Coverage, 18053,
     /* 2152907 */     GIR_EraseRootFromParent_Done,
     /* 2152908 */   // Label 28383: @2152908
     /* 2152908 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2152999), // Rule ID 18054 //
     /* 2152913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152959 */     // MIs[0] round
     /* 2152959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152962 */     // MIs[0] policy
     /* 2152962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2152975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152998 */     // GIR_Coverage, 18054,
     /* 2152998 */     GIR_EraseRootFromParent_Done,
     /* 2152999 */   // Label 28384: @2152999
     /* 2152999 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2153090), // Rule ID 18057 //
     /* 2153004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153050 */     // MIs[0] round
     /* 2153050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153053 */     // MIs[0] policy
     /* 2153053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153063 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153089 */     // GIR_Coverage, 18057,
     /* 2153089 */     GIR_EraseRootFromParent_Done,
     /* 2153090 */   // Label 28385: @2153090
     /* 2153090 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2153181), // Rule ID 18058 //
     /* 2153095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153141 */     // MIs[0] round
     /* 2153141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153144 */     // MIs[0] policy
     /* 2153144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153154 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2153157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153180 */     // GIR_Coverage, 18058,
     /* 2153180 */     GIR_EraseRootFromParent_Done,
     /* 2153181 */   // Label 28386: @2153181
     /* 2153181 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2153272), // Rule ID 18061 //
     /* 2153186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153232 */     // MIs[0] round
     /* 2153232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153235 */     // MIs[0] policy
     /* 2153235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153271 */     // GIR_Coverage, 18061,
     /* 2153271 */     GIR_EraseRootFromParent_Done,
     /* 2153272 */   // Label 28387: @2153272
     /* 2153272 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2153363), // Rule ID 18062 //
     /* 2153277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153323 */     // MIs[0] round
     /* 2153323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153326 */     // MIs[0] policy
     /* 2153326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2153339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153362 */     // GIR_Coverage, 18062,
     /* 2153362 */     GIR_EraseRootFromParent_Done,
     /* 2153363 */   // Label 28388: @2153363
     /* 2153363 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2153454), // Rule ID 18065 //
     /* 2153368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153414 */     // MIs[0] round
     /* 2153414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153417 */     // MIs[0] policy
     /* 2153417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153453 */     // GIR_Coverage, 18065,
     /* 2153453 */     GIR_EraseRootFromParent_Done,
     /* 2153454 */   // Label 28389: @2153454
     /* 2153454 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2153545), // Rule ID 18066 //
     /* 2153459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153505 */     // MIs[0] round
     /* 2153505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153508 */     // MIs[0] policy
     /* 2153508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153518 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2153521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153544 */     // GIR_Coverage, 18066,
     /* 2153544 */     GIR_EraseRootFromParent_Done,
     /* 2153545 */   // Label 28390: @2153545
     /* 2153545 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2153636), // Rule ID 18069 //
     /* 2153550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153596 */     // MIs[0] round
     /* 2153596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153599 */     // MIs[0] policy
     /* 2153599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2153612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153635 */     // GIR_Coverage, 18069,
     /* 2153635 */     GIR_EraseRootFromParent_Done,
     /* 2153636 */   // Label 28391: @2153636
     /* 2153636 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2153727), // Rule ID 18070 //
     /* 2153641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153687 */     // MIs[0] round
     /* 2153687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153690 */     // MIs[0] policy
     /* 2153690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153700 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2153703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153726 */     // GIR_Coverage, 18070,
     /* 2153726 */     GIR_EraseRootFromParent_Done,
     /* 2153727 */   // Label 28392: @2153727
     /* 2153727 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2153818), // Rule ID 18073 //
     /* 2153732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153778 */     // MIs[0] round
     /* 2153778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153781 */     // MIs[0] policy
     /* 2153781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153791 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2153794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153817 */     // GIR_Coverage, 18073,
     /* 2153817 */     GIR_EraseRootFromParent_Done,
     /* 2153818 */   // Label 28393: @2153818
     /* 2153818 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2153909), // Rule ID 18074 //
     /* 2153823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153869 */     // MIs[0] round
     /* 2153869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153872 */     // MIs[0] policy
     /* 2153872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2153885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153908 */     // GIR_Coverage, 18074,
     /* 2153908 */     GIR_EraseRootFromParent_Done,
     /* 2153909 */   // Label 28394: @2153909
     /* 2153909 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154000), // Rule ID 18077 //
     /* 2153914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153960 */     // MIs[0] round
     /* 2153960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153963 */     // MIs[0] policy
     /* 2153963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153973 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2153976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153999 */     // GIR_Coverage, 18077,
     /* 2153999 */     GIR_EraseRootFromParent_Done,
     /* 2154000 */   // Label 28395: @2154000
     /* 2154000 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2154091), // Rule ID 18078 //
     /* 2154005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2154016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2154025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154051 */     // MIs[0] round
     /* 2154051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154054 */     // MIs[0] policy
     /* 2154054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154064 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2154067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154090 */     // GIR_Coverage, 18078,
     /* 2154090 */     GIR_EraseRootFromParent_Done,
     /* 2154091 */   // Label 28396: @2154091
     /* 2154091 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2154182), // Rule ID 18081 //
     /* 2154096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154142 */     // MIs[0] round
     /* 2154142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154145 */     // MIs[0] policy
     /* 2154145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154181 */     // GIR_Coverage, 18081,
     /* 2154181 */     GIR_EraseRootFromParent_Done,
     /* 2154182 */   // Label 28397: @2154182
     /* 2154182 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2154273), // Rule ID 18082 //
     /* 2154187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2154198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2154201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2154204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2154207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2154225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154233 */     // MIs[0] round
     /* 2154233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154236 */     // MIs[0] policy
     /* 2154236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154246 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2154249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154272 */     // GIR_Coverage, 18082,
     /* 2154272 */     GIR_EraseRootFromParent_Done,
     /* 2154273 */   // Label 28398: @2154273
     /* 2154273 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2154364), // Rule ID 18085 //
     /* 2154278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154324 */     // MIs[0] round
     /* 2154324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154327 */     // MIs[0] policy
     /* 2154327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154363 */     // GIR_Coverage, 18085,
     /* 2154363 */     GIR_EraseRootFromParent_Done,
     /* 2154364 */   // Label 28399: @2154364
     /* 2154364 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2154455), // Rule ID 18086 //
     /* 2154369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2154380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154415 */     // MIs[0] round
     /* 2154415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154418 */     // MIs[0] policy
     /* 2154418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154428 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2154431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154454 */     // GIR_Coverage, 18086,
     /* 2154454 */     GIR_EraseRootFromParent_Done,
     /* 2154455 */   // Label 28400: @2154455
     /* 2154455 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2154546), // Rule ID 18089 //
     /* 2154460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154506 */     // MIs[0] round
     /* 2154506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154509 */     // MIs[0] policy
     /* 2154509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154519 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154545 */     // GIR_Coverage, 18089,
     /* 2154545 */     GIR_EraseRootFromParent_Done,
     /* 2154546 */   // Label 28401: @2154546
     /* 2154546 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2154637), // Rule ID 18090 //
     /* 2154551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154597 */     // MIs[0] round
     /* 2154597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154600 */     // MIs[0] policy
     /* 2154600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154610 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2154613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154636 */     // GIR_Coverage, 18090,
     /* 2154636 */     GIR_EraseRootFromParent_Done,
     /* 2154637 */   // Label 28402: @2154637
     /* 2154637 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2154728), // Rule ID 18093 //
     /* 2154642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154688 */     // MIs[0] round
     /* 2154688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154691 */     // MIs[0] policy
     /* 2154691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154701 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2154704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154727 */     // GIR_Coverage, 18093,
     /* 2154727 */     GIR_EraseRootFromParent_Done,
     /* 2154728 */   // Label 28403: @2154728
     /* 2154728 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2154819), // Rule ID 18094 //
     /* 2154733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154779 */     // MIs[0] round
     /* 2154779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154782 */     // MIs[0] policy
     /* 2154782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154792 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2154795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154818 */     // GIR_Coverage, 18094,
     /* 2154818 */     GIR_EraseRootFromParent_Done,
     /* 2154819 */   // Label 28404: @2154819
     /* 2154819 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2154910), // Rule ID 18097 //
     /* 2154824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154870 */     // MIs[0] round
     /* 2154870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154873 */     // MIs[0] policy
     /* 2154873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154883 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2154886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154909 */     // GIR_Coverage, 18097,
     /* 2154909 */     GIR_EraseRootFromParent_Done,
     /* 2154910 */   // Label 28405: @2154910
     /* 2154910 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155001), // Rule ID 18098 //
     /* 2154915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154961 */     // MIs[0] round
     /* 2154961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154964 */     // MIs[0] policy
     /* 2154964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154974 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2154977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155000 */     // GIR_Coverage, 18098,
     /* 2155000 */     GIR_EraseRootFromParent_Done,
     /* 2155001 */   // Label 28406: @2155001
     /* 2155001 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2155092), // Rule ID 18101 //
     /* 2155006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155052 */     // MIs[0] round
     /* 2155052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155055 */     // MIs[0] policy
     /* 2155055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155065 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155091 */     // GIR_Coverage, 18101,
     /* 2155091 */     GIR_EraseRootFromParent_Done,
     /* 2155092 */   // Label 28407: @2155092
     /* 2155092 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2155183), // Rule ID 18102 //
     /* 2155097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2155108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2155111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2155117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155143 */     // MIs[0] round
     /* 2155143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155146 */     // MIs[0] policy
     /* 2155146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2155159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155182 */     // GIR_Coverage, 18102,
     /* 2155182 */     GIR_EraseRootFromParent_Done,
     /* 2155183 */   // Label 28408: @2155183
     /* 2155183 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2155274), // Rule ID 18105 //
     /* 2155188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155234 */     // MIs[0] round
     /* 2155234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155237 */     // MIs[0] policy
     /* 2155237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155273 */     // GIR_Coverage, 18105,
     /* 2155273 */     GIR_EraseRootFromParent_Done,
     /* 2155274 */   // Label 28409: @2155274
     /* 2155274 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2155365), // Rule ID 18106 //
     /* 2155279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2155290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2155293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2155296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2155299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2155317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155325 */     // MIs[0] round
     /* 2155325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155328 */     // MIs[0] policy
     /* 2155328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155338 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2155341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155364 */     // GIR_Coverage, 18106,
     /* 2155364 */     GIR_EraseRootFromParent_Done,
     /* 2155365 */   // Label 28410: @2155365
     /* 2155365 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2155456), // Rule ID 18109 //
     /* 2155370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155416 */     // MIs[0] round
     /* 2155416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155419 */     // MIs[0] policy
     /* 2155419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155429 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155455 */     // GIR_Coverage, 18109,
     /* 2155455 */     GIR_EraseRootFromParent_Done,
     /* 2155456 */   // Label 28411: @2155456
     /* 2155456 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2155547), // Rule ID 18110 //
     /* 2155461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155507 */     // MIs[0] round
     /* 2155507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155510 */     // MIs[0] policy
     /* 2155510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2155523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155546 */     // GIR_Coverage, 18110,
     /* 2155546 */     GIR_EraseRootFromParent_Done,
     /* 2155547 */   // Label 28412: @2155547
     /* 2155547 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2155638), // Rule ID 18113 //
     /* 2155552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155598 */     // MIs[0] round
     /* 2155598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155601 */     // MIs[0] policy
     /* 2155601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155611 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2155614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155637 */     // GIR_Coverage, 18113,
     /* 2155637 */     GIR_EraseRootFromParent_Done,
     /* 2155638 */   // Label 28413: @2155638
     /* 2155638 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2155729), // Rule ID 18114 //
     /* 2155643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155689 */     // MIs[0] round
     /* 2155689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155692 */     // MIs[0] policy
     /* 2155692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155702 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2155705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155728 */     // GIR_Coverage, 18114,
     /* 2155728 */     GIR_EraseRootFromParent_Done,
     /* 2155729 */   // Label 28414: @2155729
     /* 2155729 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2155820), // Rule ID 18117 //
     /* 2155734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155780 */     // MIs[0] round
     /* 2155780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155783 */     // MIs[0] policy
     /* 2155783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155793 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2155796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155819 */     // GIR_Coverage, 18117,
     /* 2155819 */     GIR_EraseRootFromParent_Done,
     /* 2155820 */   // Label 28415: @2155820
     /* 2155820 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2155911), // Rule ID 18118 //
     /* 2155825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155871 */     // MIs[0] round
     /* 2155871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155874 */     // MIs[0] policy
     /* 2155874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155884 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2155887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155910 */     // GIR_Coverage, 18118,
     /* 2155910 */     GIR_EraseRootFromParent_Done,
     /* 2155911 */   // Label 28416: @2155911
     /* 2155911 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156002), // Rule ID 18121 //
     /* 2155916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155962 */     // MIs[0] round
     /* 2155962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155965 */     // MIs[0] policy
     /* 2155965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155975 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2155978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156001 */     // GIR_Coverage, 18121,
     /* 2156001 */     GIR_EraseRootFromParent_Done,
     /* 2156002 */   // Label 28417: @2156002
     /* 2156002 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2156093), // Rule ID 18122 //
     /* 2156007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2156018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2156021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2156024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2156027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156053 */     // MIs[0] round
     /* 2156053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156056 */     // MIs[0] policy
     /* 2156056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156066 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2156069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156092 */     // GIR_Coverage, 18122,
     /* 2156092 */     GIR_EraseRootFromParent_Done,
     /* 2156093 */   // Label 28418: @2156093
     /* 2156093 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2156184), // Rule ID 18125 //
     /* 2156098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156144 */     // MIs[0] round
     /* 2156144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156147 */     // MIs[0] policy
     /* 2156147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156183 */     // GIR_Coverage, 18125,
     /* 2156183 */     GIR_EraseRootFromParent_Done,
     /* 2156184 */   // Label 28419: @2156184
     /* 2156184 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2156275), // Rule ID 18126 //
     /* 2156189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2156200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2156203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2156206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2156209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156235 */     // MIs[0] round
     /* 2156235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156238 */     // MIs[0] policy
     /* 2156238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2156251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156274 */     // GIR_Coverage, 18126,
     /* 2156274 */     GIR_EraseRootFromParent_Done,
     /* 2156275 */   // Label 28420: @2156275
     /* 2156275 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2156366), // Rule ID 18129 //
     /* 2156280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156326 */     // MIs[0] round
     /* 2156326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156329 */     // MIs[0] policy
     /* 2156329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156365 */     // GIR_Coverage, 18129,
     /* 2156365 */     GIR_EraseRootFromParent_Done,
     /* 2156366 */   // Label 28421: @2156366
     /* 2156366 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2156457), // Rule ID 18130 //
     /* 2156371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2156382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156417 */     // MIs[0] round
     /* 2156417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156420 */     // MIs[0] policy
     /* 2156420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2156433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156456 */     // GIR_Coverage, 18130,
     /* 2156456 */     GIR_EraseRootFromParent_Done,
     /* 2156457 */   // Label 28422: @2156457
     /* 2156457 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2156548), // Rule ID 18133 //
     /* 2156462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156508 */     // MIs[0] round
     /* 2156508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156511 */     // MIs[0] policy
     /* 2156511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156547 */     // GIR_Coverage, 18133,
     /* 2156547 */     GIR_EraseRootFromParent_Done,
     /* 2156548 */   // Label 28423: @2156548
     /* 2156548 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2156639), // Rule ID 18134 //
     /* 2156553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156599 */     // MIs[0] round
     /* 2156599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156602 */     // MIs[0] policy
     /* 2156602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156612 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2156615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156638 */     // GIR_Coverage, 18134,
     /* 2156638 */     GIR_EraseRootFromParent_Done,
     /* 2156639 */   // Label 28424: @2156639
     /* 2156639 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2156730), // Rule ID 18137 //
     /* 2156644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156690 */     // MIs[0] round
     /* 2156690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156693 */     // MIs[0] policy
     /* 2156693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156703 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2156706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156729 */     // GIR_Coverage, 18137,
     /* 2156729 */     GIR_EraseRootFromParent_Done,
     /* 2156730 */   // Label 28425: @2156730
     /* 2156730 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2156821), // Rule ID 18138 //
     /* 2156735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156781 */     // MIs[0] round
     /* 2156781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156784 */     // MIs[0] policy
     /* 2156784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156794 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2156797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156820 */     // GIR_Coverage, 18138,
     /* 2156820 */     GIR_EraseRootFromParent_Done,
     /* 2156821 */   // Label 28426: @2156821
     /* 2156821 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2156912), // Rule ID 18141 //
     /* 2156826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156872 */     // MIs[0] round
     /* 2156872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156875 */     // MIs[0] policy
     /* 2156875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156885 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2156888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156911 */     // GIR_Coverage, 18141,
     /* 2156911 */     GIR_EraseRootFromParent_Done,
     /* 2156912 */   // Label 28427: @2156912
     /* 2156912 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157003), // Rule ID 18142 //
     /* 2156917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156963 */     // MIs[0] round
     /* 2156963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156966 */     // MIs[0] policy
     /* 2156966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2156979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157002 */     // GIR_Coverage, 18142,
     /* 2157002 */     GIR_EraseRootFromParent_Done,
     /* 2157003 */   // Label 28428: @2157003
     /* 2157003 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2157094), // Rule ID 18145 //
     /* 2157008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157054 */     // MIs[0] round
     /* 2157054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157057 */     // MIs[0] policy
     /* 2157057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157067 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157093 */     // GIR_Coverage, 18145,
     /* 2157093 */     GIR_EraseRootFromParent_Done,
     /* 2157094 */   // Label 28429: @2157094
     /* 2157094 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2157185), // Rule ID 18146 //
     /* 2157099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2157110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2157113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2157116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2157119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157145 */     // MIs[0] round
     /* 2157145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157148 */     // MIs[0] policy
     /* 2157148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2157161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157184 */     // GIR_Coverage, 18146,
     /* 2157184 */     GIR_EraseRootFromParent_Done,
     /* 2157185 */   // Label 28430: @2157185
     /* 2157185 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2157276), // Rule ID 18149 //
     /* 2157190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157236 */     // MIs[0] round
     /* 2157236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157239 */     // MIs[0] policy
     /* 2157239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157249 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157275 */     // GIR_Coverage, 18149,
     /* 2157275 */     GIR_EraseRootFromParent_Done,
     /* 2157276 */   // Label 28431: @2157276
     /* 2157276 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2157367), // Rule ID 18150 //
     /* 2157281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2157292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2157295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2157298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2157301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157327 */     // MIs[0] round
     /* 2157327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157330 */     // MIs[0] policy
     /* 2157330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157340 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2157343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157366 */     // GIR_Coverage, 18150,
     /* 2157366 */     GIR_EraseRootFromParent_Done,
     /* 2157367 */   // Label 28432: @2157367
     /* 2157367 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2157458), // Rule ID 18153 //
     /* 2157372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157418 */     // MIs[0] round
     /* 2157418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157421 */     // MIs[0] policy
     /* 2157421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157457 */     // GIR_Coverage, 18153,
     /* 2157457 */     GIR_EraseRootFromParent_Done,
     /* 2157458 */   // Label 28433: @2157458
     /* 2157458 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2157549), // Rule ID 18154 //
     /* 2157463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157509 */     // MIs[0] round
     /* 2157509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157512 */     // MIs[0] policy
     /* 2157512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2157525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157548 */     // GIR_Coverage, 18154,
     /* 2157548 */     GIR_EraseRootFromParent_Done,
     /* 2157549 */   // Label 28434: @2157549
     /* 2157549 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2157640), // Rule ID 18157 //
     /* 2157554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157600 */     // MIs[0] round
     /* 2157600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157603 */     // MIs[0] policy
     /* 2157603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2157616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157639 */     // GIR_Coverage, 18157,
     /* 2157639 */     GIR_EraseRootFromParent_Done,
     /* 2157640 */   // Label 28435: @2157640
     /* 2157640 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2157731), // Rule ID 18158 //
     /* 2157645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157691 */     // MIs[0] round
     /* 2157691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157694 */     // MIs[0] policy
     /* 2157694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157704 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2157707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157730 */     // GIR_Coverage, 18158,
     /* 2157730 */     GIR_EraseRootFromParent_Done,
     /* 2157731 */   // Label 28436: @2157731
     /* 2157731 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2157822), // Rule ID 18161 //
     /* 2157736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157782 */     // MIs[0] round
     /* 2157782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157785 */     // MIs[0] policy
     /* 2157785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157795 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2157798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157821 */     // GIR_Coverage, 18161,
     /* 2157821 */     GIR_EraseRootFromParent_Done,
     /* 2157822 */   // Label 28437: @2157822
     /* 2157822 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2157913), // Rule ID 18162 //
     /* 2157827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157873 */     // MIs[0] round
     /* 2157873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157876 */     // MIs[0] policy
     /* 2157876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157886 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2157889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157912 */     // GIR_Coverage, 18162,
     /* 2157912 */     GIR_EraseRootFromParent_Done,
     /* 2157913 */   // Label 28438: @2157913
     /* 2157913 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158004), // Rule ID 18165 //
     /* 2157918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157964 */     // MIs[0] round
     /* 2157964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157967 */     // MIs[0] policy
     /* 2157967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2157980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158003 */     // GIR_Coverage, 18165,
     /* 2158003 */     GIR_EraseRootFromParent_Done,
     /* 2158004 */   // Label 28439: @2158004
     /* 2158004 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2158095), // Rule ID 18166 //
     /* 2158009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2158020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2158023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2158026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2158029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158055 */     // MIs[0] round
     /* 2158055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158058 */     // MIs[0] policy
     /* 2158058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2158071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158094 */     // GIR_Coverage, 18166,
     /* 2158094 */     GIR_EraseRootFromParent_Done,
     /* 2158095 */   // Label 28440: @2158095
     /* 2158095 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2158186), // Rule ID 18169 //
     /* 2158100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158146 */     // MIs[0] round
     /* 2158146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158149 */     // MIs[0] policy
     /* 2158149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158159 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158185 */     // GIR_Coverage, 18169,
     /* 2158185 */     GIR_EraseRootFromParent_Done,
     /* 2158186 */   // Label 28441: @2158186
     /* 2158186 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2158277), // Rule ID 18170 //
     /* 2158191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2158202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2158205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2158211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158237 */     // MIs[0] round
     /* 2158237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158240 */     // MIs[0] policy
     /* 2158240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2158253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158276 */     // GIR_Coverage, 18170,
     /* 2158276 */     GIR_EraseRootFromParent_Done,
     /* 2158277 */   // Label 28442: @2158277
     /* 2158277 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2158368), // Rule ID 18173 //
     /* 2158282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158328 */     // MIs[0] round
     /* 2158328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158331 */     // MIs[0] policy
     /* 2158331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158341 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158367 */     // GIR_Coverage, 18173,
     /* 2158367 */     GIR_EraseRootFromParent_Done,
     /* 2158368 */   // Label 28443: @2158368
     /* 2158368 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2158459), // Rule ID 18174 //
     /* 2158373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158419 */     // MIs[0] round
     /* 2158419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158422 */     // MIs[0] policy
     /* 2158422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2158435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158458 */     // GIR_Coverage, 18174,
     /* 2158458 */     GIR_EraseRootFromParent_Done,
     /* 2158459 */   // Label 28444: @2158459
     /* 2158459 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2158550), // Rule ID 18177 //
     /* 2158464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158510 */     // MIs[0] round
     /* 2158510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158513 */     // MIs[0] policy
     /* 2158513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158549 */     // GIR_Coverage, 18177,
     /* 2158549 */     GIR_EraseRootFromParent_Done,
     /* 2158550 */   // Label 28445: @2158550
     /* 2158550 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2158641), // Rule ID 18178 //
     /* 2158555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158601 */     // MIs[0] round
     /* 2158601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158604 */     // MIs[0] policy
     /* 2158604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2158617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158640 */     // GIR_Coverage, 18178,
     /* 2158640 */     GIR_EraseRootFromParent_Done,
     /* 2158641 */   // Label 28446: @2158641
     /* 2158641 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2158732), // Rule ID 18181 //
     /* 2158646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158692 */     // MIs[0] round
     /* 2158692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158695 */     // MIs[0] policy
     /* 2158695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158705 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2158708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158731 */     // GIR_Coverage, 18181,
     /* 2158731 */     GIR_EraseRootFromParent_Done,
     /* 2158732 */   // Label 28447: @2158732
     /* 2158732 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2158823), // Rule ID 18182 //
     /* 2158737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158783 */     // MIs[0] round
     /* 2158783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158786 */     // MIs[0] policy
     /* 2158786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2158799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158822 */     // GIR_Coverage, 18182,
     /* 2158822 */     GIR_EraseRootFromParent_Done,
     /* 2158823 */   // Label 28448: @2158823
     /* 2158823 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2158914), // Rule ID 18185 //
     /* 2158828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158874 */     // MIs[0] round
     /* 2158874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158877 */     // MIs[0] policy
     /* 2158877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2158890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158913 */     // GIR_Coverage, 18185,
     /* 2158913 */     GIR_EraseRootFromParent_Done,
     /* 2158914 */   // Label 28449: @2158914
     /* 2158914 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2159005), // Rule ID 18186 //
     /* 2158919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158965 */     // MIs[0] round
     /* 2158965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158968 */     // MIs[0] policy
     /* 2158968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2158981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159004 */     // GIR_Coverage, 18186,
     /* 2159004 */     GIR_EraseRootFromParent_Done,
     /* 2159005 */   // Label 28450: @2159005
     /* 2159005 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2159096), // Rule ID 18189 //
     /* 2159010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159056 */     // MIs[0] round
     /* 2159056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159059 */     // MIs[0] policy
     /* 2159059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159095 */     // GIR_Coverage, 18189,
     /* 2159095 */     GIR_EraseRootFromParent_Done,
     /* 2159096 */   // Label 28451: @2159096
     /* 2159096 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2159187), // Rule ID 18190 //
     /* 2159101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2159121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159147 */     // MIs[0] round
     /* 2159147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159150 */     // MIs[0] policy
     /* 2159150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2159163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159186 */     // GIR_Coverage, 18190,
     /* 2159186 */     GIR_EraseRootFromParent_Done,
     /* 2159187 */   // Label 28452: @2159187
     /* 2159187 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2159278), // Rule ID 18193 //
     /* 2159192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159238 */     // MIs[0] round
     /* 2159238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159241 */     // MIs[0] policy
     /* 2159241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159251 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159277 */     // GIR_Coverage, 18193,
     /* 2159277 */     GIR_EraseRootFromParent_Done,
     /* 2159278 */   // Label 28453: @2159278
     /* 2159278 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2159369), // Rule ID 18194 //
     /* 2159283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2159303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159329 */     // MIs[0] round
     /* 2159329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159332 */     // MIs[0] policy
     /* 2159332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159342 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2159345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159368 */     // GIR_Coverage, 18194,
     /* 2159368 */     GIR_EraseRootFromParent_Done,
     /* 2159369 */   // Label 28454: @2159369
     /* 2159369 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2159460), // Rule ID 18197 //
     /* 2159374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159420 */     // MIs[0] round
     /* 2159420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159423 */     // MIs[0] policy
     /* 2159423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159459 */     // GIR_Coverage, 18197,
     /* 2159459 */     GIR_EraseRootFromParent_Done,
     /* 2159460 */   // Label 28455: @2159460
     /* 2159460 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2159551), // Rule ID 18198 //
     /* 2159465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159511 */     // MIs[0] round
     /* 2159511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159514 */     // MIs[0] policy
     /* 2159514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159524 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2159527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159550 */     // GIR_Coverage, 18198,
     /* 2159550 */     GIR_EraseRootFromParent_Done,
     /* 2159551 */   // Label 28456: @2159551
     /* 2159551 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2159642), // Rule ID 18201 //
     /* 2159556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159602 */     // MIs[0] round
     /* 2159602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159605 */     // MIs[0] policy
     /* 2159605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2159618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159641 */     // GIR_Coverage, 18201,
     /* 2159641 */     GIR_EraseRootFromParent_Done,
     /* 2159642 */   // Label 28457: @2159642
     /* 2159642 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2159733), // Rule ID 18202 //
     /* 2159647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159693 */     // MIs[0] round
     /* 2159693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159696 */     // MIs[0] policy
     /* 2159696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159706 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2159709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159732 */     // GIR_Coverage, 18202,
     /* 2159732 */     GIR_EraseRootFromParent_Done,
     /* 2159733 */   // Label 28458: @2159733
     /* 2159733 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2159824), // Rule ID 18205 //
     /* 2159738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159784 */     // MIs[0] round
     /* 2159784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159787 */     // MIs[0] policy
     /* 2159787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159797 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2159800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159823 */     // GIR_Coverage, 18205,
     /* 2159823 */     GIR_EraseRootFromParent_Done,
     /* 2159824 */   // Label 28459: @2159824
     /* 2159824 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2159915), // Rule ID 18206 //
     /* 2159829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159875 */     // MIs[0] round
     /* 2159875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159878 */     // MIs[0] policy
     /* 2159878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159888 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2159891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159914 */     // GIR_Coverage, 18206,
     /* 2159914 */     GIR_EraseRootFromParent_Done,
     /* 2159915 */   // Label 28460: @2159915
     /* 2159915 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2160006), // Rule ID 18209 //
     /* 2159920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159966 */     // MIs[0] round
     /* 2159966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159969 */     // MIs[0] policy
     /* 2159969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159979 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2159982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160005 */     // GIR_Coverage, 18209,
     /* 2160005 */     GIR_EraseRootFromParent_Done,
     /* 2160006 */   // Label 28461: @2160006
     /* 2160006 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2160097), // Rule ID 18210 //
     /* 2160011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2160031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160057 */     // MIs[0] round
     /* 2160057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160060 */     // MIs[0] policy
     /* 2160060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160070 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2160073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160096 */     // GIR_Coverage, 18210,
     /* 2160096 */     GIR_EraseRootFromParent_Done,
     /* 2160097 */   // Label 28462: @2160097
     /* 2160097 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2160188), // Rule ID 18213 //
     /* 2160102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160148 */     // MIs[0] round
     /* 2160148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160151 */     // MIs[0] policy
     /* 2160151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160161 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160187 */     // GIR_Coverage, 18213,
     /* 2160187 */     GIR_EraseRootFromParent_Done,
     /* 2160188 */   // Label 28463: @2160188
     /* 2160188 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2160279), // Rule ID 18214 //
     /* 2160193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2160210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2160213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2160231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160239 */     // MIs[0] round
     /* 2160239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160242 */     // MIs[0] policy
     /* 2160242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2160255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160278 */     // GIR_Coverage, 18214,
     /* 2160278 */     GIR_EraseRootFromParent_Done,
     /* 2160279 */   // Label 28464: @2160279
     /* 2160279 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2160370), // Rule ID 18217 //
     /* 2160284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160330 */     // MIs[0] round
     /* 2160330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160333 */     // MIs[0] policy
     /* 2160333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160369 */     // GIR_Coverage, 18217,
     /* 2160369 */     GIR_EraseRootFromParent_Done,
     /* 2160370 */   // Label 28465: @2160370
     /* 2160370 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2160461), // Rule ID 18218 //
     /* 2160375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160421 */     // MIs[0] round
     /* 2160421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160424 */     // MIs[0] policy
     /* 2160424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160434 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2160437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160460 */     // GIR_Coverage, 18218,
     /* 2160460 */     GIR_EraseRootFromParent_Done,
     /* 2160461 */   // Label 28466: @2160461
     /* 2160461 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2160552), // Rule ID 18221 //
     /* 2160466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160512 */     // MIs[0] round
     /* 2160512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160515 */     // MIs[0] policy
     /* 2160515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160551 */     // GIR_Coverage, 18221,
     /* 2160551 */     GIR_EraseRootFromParent_Done,
     /* 2160552 */   // Label 28467: @2160552
     /* 2160552 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2160643), // Rule ID 18222 //
     /* 2160557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160603 */     // MIs[0] round
     /* 2160603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160606 */     // MIs[0] policy
     /* 2160606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2160619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160642 */     // GIR_Coverage, 18222,
     /* 2160642 */     GIR_EraseRootFromParent_Done,
     /* 2160643 */   // Label 28468: @2160643
     /* 2160643 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2160734), // Rule ID 18225 //
     /* 2160648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160694 */     // MIs[0] round
     /* 2160694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160697 */     // MIs[0] policy
     /* 2160697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2160710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160733 */     // GIR_Coverage, 18225,
     /* 2160733 */     GIR_EraseRootFromParent_Done,
     /* 2160734 */   // Label 28469: @2160734
     /* 2160734 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2160825), // Rule ID 18226 //
     /* 2160739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160785 */     // MIs[0] round
     /* 2160785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160788 */     // MIs[0] policy
     /* 2160788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2160801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160824 */     // GIR_Coverage, 18226,
     /* 2160824 */     GIR_EraseRootFromParent_Done,
     /* 2160825 */   // Label 28470: @2160825
     /* 2160825 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2160916), // Rule ID 18229 //
     /* 2160830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160876 */     // MIs[0] round
     /* 2160876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160879 */     // MIs[0] policy
     /* 2160879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160889 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2160892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160915 */     // GIR_Coverage, 18229,
     /* 2160915 */     GIR_EraseRootFromParent_Done,
     /* 2160916 */   // Label 28471: @2160916
     /* 2160916 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2161007), // Rule ID 18230 //
     /* 2160921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160967 */     // MIs[0] round
     /* 2160967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160970 */     // MIs[0] policy
     /* 2160970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2160983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161006 */     // GIR_Coverage, 18230,
     /* 2161006 */     GIR_EraseRootFromParent_Done,
     /* 2161007 */   // Label 28472: @2161007
     /* 2161007 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2161098), // Rule ID 18233 //
     /* 2161012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161058 */     // MIs[0] round
     /* 2161058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161061 */     // MIs[0] policy
     /* 2161061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161097 */     // GIR_Coverage, 18233,
     /* 2161097 */     GIR_EraseRootFromParent_Done,
     /* 2161098 */   // Label 28473: @2161098
     /* 2161098 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2161189), // Rule ID 18234 //
     /* 2161103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2161114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2161120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2161123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161149 */     // MIs[0] round
     /* 2161149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161152 */     // MIs[0] policy
     /* 2161152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161162 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2161165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161188 */     // GIR_Coverage, 18234,
     /* 2161188 */     GIR_EraseRootFromParent_Done,
     /* 2161189 */   // Label 28474: @2161189
     /* 2161189 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2161280), // Rule ID 18237 //
     /* 2161194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161240 */     // MIs[0] round
     /* 2161240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161243 */     // MIs[0] policy
     /* 2161243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161279 */     // GIR_Coverage, 18237,
     /* 2161279 */     GIR_EraseRootFromParent_Done,
     /* 2161280 */   // Label 28475: @2161280
     /* 2161280 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2161371), // Rule ID 18238 //
     /* 2161285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2161296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2161299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2161302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2161305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161331 */     // MIs[0] round
     /* 2161331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161334 */     // MIs[0] policy
     /* 2161334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2161347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161370 */     // GIR_Coverage, 18238,
     /* 2161370 */     GIR_EraseRootFromParent_Done,
     /* 2161371 */   // Label 28476: @2161371
     /* 2161371 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2161462), // Rule ID 18241 //
     /* 2161376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161422 */     // MIs[0] round
     /* 2161422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161425 */     // MIs[0] policy
     /* 2161425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161461 */     // GIR_Coverage, 18241,
     /* 2161461 */     GIR_EraseRootFromParent_Done,
     /* 2161462 */   // Label 28477: @2161462
     /* 2161462 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2161553), // Rule ID 18242 //
     /* 2161467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161513 */     // MIs[0] round
     /* 2161513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161516 */     // MIs[0] policy
     /* 2161516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161526 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2161529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161552 */     // GIR_Coverage, 18242,
     /* 2161552 */     GIR_EraseRootFromParent_Done,
     /* 2161553 */   // Label 28478: @2161553
     /* 2161553 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2161644), // Rule ID 18245 //
     /* 2161558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161604 */     // MIs[0] round
     /* 2161604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161607 */     // MIs[0] policy
     /* 2161607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161617 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2161620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161643 */     // GIR_Coverage, 18245,
     /* 2161643 */     GIR_EraseRootFromParent_Done,
     /* 2161644 */   // Label 28479: @2161644
     /* 2161644 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2161735), // Rule ID 18246 //
     /* 2161649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161695 */     // MIs[0] round
     /* 2161695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161698 */     // MIs[0] policy
     /* 2161698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2161711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161734 */     // GIR_Coverage, 18246,
     /* 2161734 */     GIR_EraseRootFromParent_Done,
     /* 2161735 */   // Label 28480: @2161735
     /* 2161735 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2161826), // Rule ID 18249 //
     /* 2161740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161786 */     // MIs[0] round
     /* 2161786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161789 */     // MIs[0] policy
     /* 2161789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2161802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161825 */     // GIR_Coverage, 18249,
     /* 2161825 */     GIR_EraseRootFromParent_Done,
     /* 2161826 */   // Label 28481: @2161826
     /* 2161826 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2161917), // Rule ID 18250 //
     /* 2161831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161877 */     // MIs[0] round
     /* 2161877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161880 */     // MIs[0] policy
     /* 2161880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2161893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161916 */     // GIR_Coverage, 18250,
     /* 2161916 */     GIR_EraseRootFromParent_Done,
     /* 2161917 */   // Label 28482: @2161917
     /* 2161917 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2162008), // Rule ID 18253 //
     /* 2161922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161968 */     // MIs[0] round
     /* 2161968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161971 */     // MIs[0] policy
     /* 2161971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2161984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162007 */     // GIR_Coverage, 18253,
     /* 2162007 */     GIR_EraseRootFromParent_Done,
     /* 2162008 */   // Label 28483: @2162008
     /* 2162008 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2162099), // Rule ID 18254 //
     /* 2162013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2162024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2162027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2162030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2162033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162059 */     // MIs[0] round
     /* 2162059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162062 */     // MIs[0] policy
     /* 2162062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162072 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2162075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162098 */     // GIR_Coverage, 18254,
     /* 2162098 */     GIR_EraseRootFromParent_Done,
     /* 2162099 */   // Label 28484: @2162099
     /* 2162099 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2162190), // Rule ID 18257 //
     /* 2162104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162150 */     // MIs[0] round
     /* 2162150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162153 */     // MIs[0] policy
     /* 2162153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162189 */     // GIR_Coverage, 18257,
     /* 2162189 */     GIR_EraseRootFromParent_Done,
     /* 2162190 */   // Label 28485: @2162190
     /* 2162190 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2162281), // Rule ID 18258 //
     /* 2162195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2162206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2162212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2162215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162241 */     // MIs[0] round
     /* 2162241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162244 */     // MIs[0] policy
     /* 2162244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162254 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2162257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162280 */     // GIR_Coverage, 18258,
     /* 2162280 */     GIR_EraseRootFromParent_Done,
     /* 2162281 */   // Label 28486: @2162281
     /* 2162281 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2162372), // Rule ID 18261 //
     /* 2162286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162332 */     // MIs[0] round
     /* 2162332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162335 */     // MIs[0] policy
     /* 2162335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162371 */     // GIR_Coverage, 18261,
     /* 2162371 */     GIR_EraseRootFromParent_Done,
     /* 2162372 */   // Label 28487: @2162372
     /* 2162372 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2162463), // Rule ID 18262 //
     /* 2162377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162423 */     // MIs[0] round
     /* 2162423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162426 */     // MIs[0] policy
     /* 2162426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162436 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2162439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162462 */     // GIR_Coverage, 18262,
     /* 2162462 */     GIR_EraseRootFromParent_Done,
     /* 2162463 */   // Label 28488: @2162463
     /* 2162463 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2162554), // Rule ID 18265 //
     /* 2162468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162514 */     // MIs[0] round
     /* 2162514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162517 */     // MIs[0] policy
     /* 2162517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162553 */     // GIR_Coverage, 18265,
     /* 2162553 */     GIR_EraseRootFromParent_Done,
     /* 2162554 */   // Label 28489: @2162554
     /* 2162554 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2162645), // Rule ID 18266 //
     /* 2162559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162605 */     // MIs[0] round
     /* 2162605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162608 */     // MIs[0] policy
     /* 2162608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2162621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162644 */     // GIR_Coverage, 18266,
     /* 2162644 */     GIR_EraseRootFromParent_Done,
     /* 2162645 */   // Label 28490: @2162645
     /* 2162645 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2162736), // Rule ID 18269 //
     /* 2162650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162696 */     // MIs[0] round
     /* 2162696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162699 */     // MIs[0] policy
     /* 2162699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2162712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162735 */     // GIR_Coverage, 18269,
     /* 2162735 */     GIR_EraseRootFromParent_Done,
     /* 2162736 */   // Label 28491: @2162736
     /* 2162736 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2162827), // Rule ID 18270 //
     /* 2162741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162787 */     // MIs[0] round
     /* 2162787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162790 */     // MIs[0] policy
     /* 2162790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2162803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162826 */     // GIR_Coverage, 18270,
     /* 2162826 */     GIR_EraseRootFromParent_Done,
     /* 2162827 */   // Label 28492: @2162827
     /* 2162827 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2162918), // Rule ID 18273 //
     /* 2162832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162878 */     // MIs[0] round
     /* 2162878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162881 */     // MIs[0] policy
     /* 2162881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162891 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2162894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162917 */     // GIR_Coverage, 18273,
     /* 2162917 */     GIR_EraseRootFromParent_Done,
     /* 2162918 */   // Label 28493: @2162918
     /* 2162918 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2163009), // Rule ID 18274 //
     /* 2162923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162969 */     // MIs[0] round
     /* 2162969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162972 */     // MIs[0] policy
     /* 2162972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162982 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2162985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163008 */     // GIR_Coverage, 18274,
     /* 2163008 */     GIR_EraseRootFromParent_Done,
     /* 2163009 */   // Label 28494: @2163009
     /* 2163009 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2163100), // Rule ID 18277 //
     /* 2163014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163060 */     // MIs[0] round
     /* 2163060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163063 */     // MIs[0] policy
     /* 2163063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163099 */     // GIR_Coverage, 18277,
     /* 2163099 */     GIR_EraseRootFromParent_Done,
     /* 2163100 */   // Label 28495: @2163100
     /* 2163100 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2163191), // Rule ID 18278 //
     /* 2163105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2163116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2163119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2163122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2163125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163151 */     // MIs[0] round
     /* 2163151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163154 */     // MIs[0] policy
     /* 2163154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163164 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2163167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163190 */     // GIR_Coverage, 18278,
     /* 2163190 */     GIR_EraseRootFromParent_Done,
     /* 2163191 */   // Label 28496: @2163191
     /* 2163191 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2163282), // Rule ID 18281 //
     /* 2163196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163242 */     // MIs[0] round
     /* 2163242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163245 */     // MIs[0] policy
     /* 2163245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163281 */     // GIR_Coverage, 18281,
     /* 2163281 */     GIR_EraseRootFromParent_Done,
     /* 2163282 */   // Label 28497: @2163282
     /* 2163282 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2163373), // Rule ID 18282 //
     /* 2163287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2163298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2163301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2163304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2163307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163333 */     // MIs[0] round
     /* 2163333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163336 */     // MIs[0] policy
     /* 2163336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163346 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2163349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163372 */     // GIR_Coverage, 18282,
     /* 2163372 */     GIR_EraseRootFromParent_Done,
     /* 2163373 */   // Label 28498: @2163373
     /* 2163373 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2163464), // Rule ID 18285 //
     /* 2163378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163424 */     // MIs[0] round
     /* 2163424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163427 */     // MIs[0] policy
     /* 2163427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163463 */     // GIR_Coverage, 18285,
     /* 2163463 */     GIR_EraseRootFromParent_Done,
     /* 2163464 */   // Label 28499: @2163464
     /* 2163464 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2163555), // Rule ID 18286 //
     /* 2163469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163515 */     // MIs[0] round
     /* 2163515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163518 */     // MIs[0] policy
     /* 2163518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2163531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163554 */     // GIR_Coverage, 18286,
     /* 2163554 */     GIR_EraseRootFromParent_Done,
     /* 2163555 */   // Label 28500: @2163555
     /* 2163555 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2163646), // Rule ID 18289 //
     /* 2163560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163606 */     // MIs[0] round
     /* 2163606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163609 */     // MIs[0] policy
     /* 2163609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2163622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163645 */     // GIR_Coverage, 18289,
     /* 2163645 */     GIR_EraseRootFromParent_Done,
     /* 2163646 */   // Label 28501: @2163646
     /* 2163646 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2163737), // Rule ID 18290 //
     /* 2163651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163697 */     // MIs[0] round
     /* 2163697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163700 */     // MIs[0] policy
     /* 2163700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163710 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2163713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163736 */     // GIR_Coverage, 18290,
     /* 2163736 */     GIR_EraseRootFromParent_Done,
     /* 2163737 */   // Label 28502: @2163737
     /* 2163737 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2163828), // Rule ID 18293 //
     /* 2163742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163788 */     // MIs[0] round
     /* 2163788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163791 */     // MIs[0] policy
     /* 2163791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163801 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2163804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163827 */     // GIR_Coverage, 18293,
     /* 2163827 */     GIR_EraseRootFromParent_Done,
     /* 2163828 */   // Label 28503: @2163828
     /* 2163828 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2163919), // Rule ID 18294 //
     /* 2163833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163879 */     // MIs[0] round
     /* 2163879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163882 */     // MIs[0] policy
     /* 2163882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163892 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2163895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163918 */     // GIR_Coverage, 18294,
     /* 2163918 */     GIR_EraseRootFromParent_Done,
     /* 2163919 */   // Label 28504: @2163919
     /* 2163919 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2164010), // Rule ID 18297 //
     /* 2163924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163970 */     // MIs[0] round
     /* 2163970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163973 */     // MIs[0] policy
     /* 2163973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2163986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164009 */     // GIR_Coverage, 18297,
     /* 2164009 */     GIR_EraseRootFromParent_Done,
     /* 2164010 */   // Label 28505: @2164010
     /* 2164010 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2164101), // Rule ID 18298 //
     /* 2164015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2164026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2164029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2164035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164061 */     // MIs[0] round
     /* 2164061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164064 */     // MIs[0] policy
     /* 2164064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164074 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2164077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164100 */     // GIR_Coverage, 18298,
     /* 2164100 */     GIR_EraseRootFromParent_Done,
     /* 2164101 */   // Label 28506: @2164101
     /* 2164101 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2164192), // Rule ID 18301 //
     /* 2164106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164152 */     // MIs[0] round
     /* 2164152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164155 */     // MIs[0] policy
     /* 2164155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164165 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164191 */     // GIR_Coverage, 18301,
     /* 2164191 */     GIR_EraseRootFromParent_Done,
     /* 2164192 */   // Label 28507: @2164192
     /* 2164192 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2164283), // Rule ID 18302 //
     /* 2164197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2164208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2164217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164243 */     // MIs[0] round
     /* 2164243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164246 */     // MIs[0] policy
     /* 2164246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2164259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164282 */     // GIR_Coverage, 18302,
     /* 2164282 */     GIR_EraseRootFromParent_Done,
     /* 2164283 */   // Label 28508: @2164283
     /* 2164283 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2164374), // Rule ID 18305 //
     /* 2164288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164334 */     // MIs[0] round
     /* 2164334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164337 */     // MIs[0] policy
     /* 2164337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164373 */     // GIR_Coverage, 18305,
     /* 2164373 */     GIR_EraseRootFromParent_Done,
     /* 2164374 */   // Label 28509: @2164374
     /* 2164374 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2164465), // Rule ID 18306 //
     /* 2164379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164425 */     // MIs[0] round
     /* 2164425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164428 */     // MIs[0] policy
     /* 2164428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164438 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2164441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164464 */     // GIR_Coverage, 18306,
     /* 2164464 */     GIR_EraseRootFromParent_Done,
     /* 2164465 */   // Label 28510: @2164465
     /* 2164465 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2164556), // Rule ID 18309 //
     /* 2164470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164516 */     // MIs[0] round
     /* 2164516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164519 */     // MIs[0] policy
     /* 2164519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164555 */     // GIR_Coverage, 18309,
     /* 2164555 */     GIR_EraseRootFromParent_Done,
     /* 2164556 */   // Label 28511: @2164556
     /* 2164556 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2164647), // Rule ID 18310 //
     /* 2164561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164607 */     // MIs[0] round
     /* 2164607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164610 */     // MIs[0] policy
     /* 2164610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164620 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2164623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164646 */     // GIR_Coverage, 18310,
     /* 2164646 */     GIR_EraseRootFromParent_Done,
     /* 2164647 */   // Label 28512: @2164647
     /* 2164647 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2164738), // Rule ID 18313 //
     /* 2164652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164698 */     // MIs[0] round
     /* 2164698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164701 */     // MIs[0] policy
     /* 2164701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2164714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164737 */     // GIR_Coverage, 18313,
     /* 2164737 */     GIR_EraseRootFromParent_Done,
     /* 2164738 */   // Label 28513: @2164738
     /* 2164738 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2164829), // Rule ID 18314 //
     /* 2164743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164789 */     // MIs[0] round
     /* 2164789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164792 */     // MIs[0] policy
     /* 2164792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2164805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164828 */     // GIR_Coverage, 18314,
     /* 2164828 */     GIR_EraseRootFromParent_Done,
     /* 2164829 */   // Label 28514: @2164829
     /* 2164829 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2164920), // Rule ID 18317 //
     /* 2164834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164880 */     // MIs[0] round
     /* 2164880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164883 */     // MIs[0] policy
     /* 2164883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2164896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164919 */     // GIR_Coverage, 18317,
     /* 2164919 */     GIR_EraseRootFromParent_Done,
     /* 2164920 */   // Label 28515: @2164920
     /* 2164920 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2165011), // Rule ID 18318 //
     /* 2164925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164971 */     // MIs[0] round
     /* 2164971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164974 */     // MIs[0] policy
     /* 2164974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164984 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2164987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165010 */     // GIR_Coverage, 18318,
     /* 2165010 */     GIR_EraseRootFromParent_Done,
     /* 2165011 */   // Label 28516: @2165011
     /* 2165011 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2165102), // Rule ID 18321 //
     /* 2165016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165062 */     // MIs[0] round
     /* 2165062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165065 */     // MIs[0] policy
     /* 2165065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165101 */     // GIR_Coverage, 18321,
     /* 2165101 */     GIR_EraseRootFromParent_Done,
     /* 2165102 */   // Label 28517: @2165102
     /* 2165102 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2165193), // Rule ID 18322 //
     /* 2165107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2165124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2165145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165153 */     // MIs[0] round
     /* 2165153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165156 */     // MIs[0] policy
     /* 2165156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165166 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2165169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165192 */     // GIR_Coverage, 18322,
     /* 2165192 */     GIR_EraseRootFromParent_Done,
     /* 2165193 */   // Label 28518: @2165193
     /* 2165193 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2165284), // Rule ID 18325 //
     /* 2165198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165244 */     // MIs[0] round
     /* 2165244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165247 */     // MIs[0] policy
     /* 2165247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165283 */     // GIR_Coverage, 18325,
     /* 2165283 */     GIR_EraseRootFromParent_Done,
     /* 2165284 */   // Label 28519: @2165284
     /* 2165284 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2165375), // Rule ID 18326 //
     /* 2165289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165335 */     // MIs[0] round
     /* 2165335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165338 */     // MIs[0] policy
     /* 2165338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2165351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165374 */     // GIR_Coverage, 18326,
     /* 2165374 */     GIR_EraseRootFromParent_Done,
     /* 2165375 */   // Label 28520: @2165375
     /* 2165375 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2165466), // Rule ID 18329 //
     /* 2165380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165426 */     // MIs[0] round
     /* 2165426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165429 */     // MIs[0] policy
     /* 2165429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165465 */     // GIR_Coverage, 18329,
     /* 2165465 */     GIR_EraseRootFromParent_Done,
     /* 2165466 */   // Label 28521: @2165466
     /* 2165466 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2165557), // Rule ID 18330 //
     /* 2165471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165517 */     // MIs[0] round
     /* 2165517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165520 */     // MIs[0] policy
     /* 2165520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2165533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165556 */     // GIR_Coverage, 18330,
     /* 2165556 */     GIR_EraseRootFromParent_Done,
     /* 2165557 */   // Label 28522: @2165557
     /* 2165557 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2165648), // Rule ID 18333 //
     /* 2165562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165608 */     // MIs[0] round
     /* 2165608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165611 */     // MIs[0] policy
     /* 2165611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2165624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165647 */     // GIR_Coverage, 18333,
     /* 2165647 */     GIR_EraseRootFromParent_Done,
     /* 2165648 */   // Label 28523: @2165648
     /* 2165648 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2165739), // Rule ID 18334 //
     /* 2165653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165699 */     // MIs[0] round
     /* 2165699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165702 */     // MIs[0] policy
     /* 2165702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2165715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165738 */     // GIR_Coverage, 18334,
     /* 2165738 */     GIR_EraseRootFromParent_Done,
     /* 2165739 */   // Label 28524: @2165739
     /* 2165739 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2165830), // Rule ID 18337 //
     /* 2165744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165790 */     // MIs[0] round
     /* 2165790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165793 */     // MIs[0] policy
     /* 2165793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165803 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2165806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165829 */     // GIR_Coverage, 18337,
     /* 2165829 */     GIR_EraseRootFromParent_Done,
     /* 2165830 */   // Label 28525: @2165830
     /* 2165830 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2165921), // Rule ID 18338 //
     /* 2165835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165881 */     // MIs[0] round
     /* 2165881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165884 */     // MIs[0] policy
     /* 2165884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2165897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165920 */     // GIR_Coverage, 18338,
     /* 2165920 */     GIR_EraseRootFromParent_Done,
     /* 2165921 */   // Label 28526: @2165921
     /* 2165921 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2166012), // Rule ID 18341 //
     /* 2165926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165972 */     // MIs[0] round
     /* 2165972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165975 */     // MIs[0] policy
     /* 2165975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165985 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2165988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166011 */     // GIR_Coverage, 18341,
     /* 2166011 */     GIR_EraseRootFromParent_Done,
     /* 2166012 */   // Label 28527: @2166012
     /* 2166012 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2166103), // Rule ID 18342 //
     /* 2166017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166063 */     // MIs[0] round
     /* 2166063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166066 */     // MIs[0] policy
     /* 2166066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2166079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166102 */     // GIR_Coverage, 18342,
     /* 2166102 */     GIR_EraseRootFromParent_Done,
     /* 2166103 */   // Label 28528: @2166103
     /* 2166103 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2166194), // Rule ID 18345 //
     /* 2166108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166154 */     // MIs[0] round
     /* 2166154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166157 */     // MIs[0] policy
     /* 2166157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166193 */     // GIR_Coverage, 18345,
     /* 2166193 */     GIR_EraseRootFromParent_Done,
     /* 2166194 */   // Label 28529: @2166194
     /* 2166194 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2166285), // Rule ID 18346 //
     /* 2166199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2166216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2166237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166245 */     // MIs[0] round
     /* 2166245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166248 */     // MIs[0] policy
     /* 2166248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166258 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2166261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166284 */     // GIR_Coverage, 18346,
     /* 2166284 */     GIR_EraseRootFromParent_Done,
     /* 2166285 */   // Label 28530: @2166285
     /* 2166285 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2166376), // Rule ID 18349 //
     /* 2166290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166336 */     // MIs[0] round
     /* 2166336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166339 */     // MIs[0] policy
     /* 2166339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166349 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166375 */     // GIR_Coverage, 18349,
     /* 2166375 */     GIR_EraseRootFromParent_Done,
     /* 2166376 */   // Label 28531: @2166376
     /* 2166376 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2166467), // Rule ID 18350 //
     /* 2166381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166427 */     // MIs[0] round
     /* 2166427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166430 */     // MIs[0] policy
     /* 2166430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2166443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166466 */     // GIR_Coverage, 18350,
     /* 2166466 */     GIR_EraseRootFromParent_Done,
     /* 2166467 */   // Label 28532: @2166467
     /* 2166467 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2166558), // Rule ID 18353 //
     /* 2166472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166518 */     // MIs[0] round
     /* 2166518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166521 */     // MIs[0] policy
     /* 2166521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166531 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166557 */     // GIR_Coverage, 18353,
     /* 2166557 */     GIR_EraseRootFromParent_Done,
     /* 2166558 */   // Label 28533: @2166558
     /* 2166558 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2166649), // Rule ID 18354 //
     /* 2166563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166609 */     // MIs[0] round
     /* 2166609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166612 */     // MIs[0] policy
     /* 2166612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166622 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2166625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166648 */     // GIR_Coverage, 18354,
     /* 2166648 */     GIR_EraseRootFromParent_Done,
     /* 2166649 */   // Label 28534: @2166649
     /* 2166649 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2166740), // Rule ID 18357 //
     /* 2166654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166700 */     // MIs[0] round
     /* 2166700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166703 */     // MIs[0] policy
     /* 2166703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2166716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166739 */     // GIR_Coverage, 18357,
     /* 2166739 */     GIR_EraseRootFromParent_Done,
     /* 2166740 */   // Label 28535: @2166740
     /* 2166740 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2166831), // Rule ID 18358 //
     /* 2166745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166791 */     // MIs[0] round
     /* 2166791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166794 */     // MIs[0] policy
     /* 2166794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166804 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2166807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166830 */     // GIR_Coverage, 18358,
     /* 2166830 */     GIR_EraseRootFromParent_Done,
     /* 2166831 */   // Label 28536: @2166831
     /* 2166831 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2166922), // Rule ID 18361 //
     /* 2166836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166882 */     // MIs[0] round
     /* 2166882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166885 */     // MIs[0] policy
     /* 2166885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2166898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166921 */     // GIR_Coverage, 18361,
     /* 2166921 */     GIR_EraseRootFromParent_Done,
     /* 2166922 */   // Label 28537: @2166922
     /* 2166922 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2167013), // Rule ID 18362 //
     /* 2166927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166973 */     // MIs[0] round
     /* 2166973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166976 */     // MIs[0] policy
     /* 2166976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166986 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2166989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167012 */     // GIR_Coverage, 18362,
     /* 2167012 */     GIR_EraseRootFromParent_Done,
     /* 2167013 */   // Label 28538: @2167013
     /* 2167013 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2167104), // Rule ID 18365 //
     /* 2167018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167064 */     // MIs[0] round
     /* 2167064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167067 */     // MIs[0] policy
     /* 2167067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167103 */     // GIR_Coverage, 18365,
     /* 2167103 */     GIR_EraseRootFromParent_Done,
     /* 2167104 */   // Label 28539: @2167104
     /* 2167104 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2167195), // Rule ID 18366 //
     /* 2167109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2167120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2167123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2167126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2167129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167155 */     // MIs[0] round
     /* 2167155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167158 */     // MIs[0] policy
     /* 2167158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2167171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167194 */     // GIR_Coverage, 18366,
     /* 2167194 */     GIR_EraseRootFromParent_Done,
     /* 2167195 */   // Label 28540: @2167195
     /* 2167195 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2167286), // Rule ID 18369 //
     /* 2167200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167246 */     // MIs[0] round
     /* 2167246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167249 */     // MIs[0] policy
     /* 2167249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167285 */     // GIR_Coverage, 18369,
     /* 2167285 */     GIR_EraseRootFromParent_Done,
     /* 2167286 */   // Label 28541: @2167286
     /* 2167286 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2167377), // Rule ID 18370 //
     /* 2167291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2167302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2167305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2167308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2167311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167337 */     // MIs[0] round
     /* 2167337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167340 */     // MIs[0] policy
     /* 2167340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2167353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167376 */     // GIR_Coverage, 18370,
     /* 2167376 */     GIR_EraseRootFromParent_Done,
     /* 2167377 */   // Label 28542: @2167377
     /* 2167377 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2167468), // Rule ID 18373 //
     /* 2167382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167428 */     // MIs[0] round
     /* 2167428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167431 */     // MIs[0] policy
     /* 2167431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167441 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167467 */     // GIR_Coverage, 18373,
     /* 2167467 */     GIR_EraseRootFromParent_Done,
     /* 2167468 */   // Label 28543: @2167468
     /* 2167468 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2167559), // Rule ID 18374 //
     /* 2167473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167519 */     // MIs[0] round
     /* 2167519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167522 */     // MIs[0] policy
     /* 2167522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167532 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2167535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167558 */     // GIR_Coverage, 18374,
     /* 2167558 */     GIR_EraseRootFromParent_Done,
     /* 2167559 */   // Label 28544: @2167559
     /* 2167559 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2167650), // Rule ID 18377 //
     /* 2167564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167610 */     // MIs[0] round
     /* 2167610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167613 */     // MIs[0] policy
     /* 2167613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2167626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167649 */     // GIR_Coverage, 18377,
     /* 2167649 */     GIR_EraseRootFromParent_Done,
     /* 2167650 */   // Label 28545: @2167650
     /* 2167650 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2167741), // Rule ID 18378 //
     /* 2167655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167701 */     // MIs[0] round
     /* 2167701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167704 */     // MIs[0] policy
     /* 2167704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2167717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167740 */     // GIR_Coverage, 18378,
     /* 2167740 */     GIR_EraseRootFromParent_Done,
     /* 2167741 */   // Label 28546: @2167741
     /* 2167741 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2167832), // Rule ID 18381 //
     /* 2167746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167792 */     // MIs[0] round
     /* 2167792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167795 */     // MIs[0] policy
     /* 2167795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2167808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167831 */     // GIR_Coverage, 18381,
     /* 2167831 */     GIR_EraseRootFromParent_Done,
     /* 2167832 */   // Label 28547: @2167832
     /* 2167832 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2167923), // Rule ID 18382 //
     /* 2167837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167883 */     // MIs[0] round
     /* 2167883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167886 */     // MIs[0] policy
     /* 2167886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167896 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2167899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167922 */     // GIR_Coverage, 18382,
     /* 2167922 */     GIR_EraseRootFromParent_Done,
     /* 2167923 */   // Label 28548: @2167923
     /* 2167923 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2168014), // Rule ID 18385 //
     /* 2167928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167974 */     // MIs[0] round
     /* 2167974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167977 */     // MIs[0] policy
     /* 2167977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2167990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168013 */     // GIR_Coverage, 18385,
     /* 2168013 */     GIR_EraseRootFromParent_Done,
     /* 2168014 */   // Label 28549: @2168014
     /* 2168014 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2168105), // Rule ID 18386 //
     /* 2168019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2168030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2168033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2168036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2168039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168065 */     // MIs[0] round
     /* 2168065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168068 */     // MIs[0] policy
     /* 2168068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2168081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168104 */     // GIR_Coverage, 18386,
     /* 2168104 */     GIR_EraseRootFromParent_Done,
     /* 2168105 */   // Label 28550: @2168105
     /* 2168105 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2168196), // Rule ID 18389 //
     /* 2168110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168156 */     // MIs[0] round
     /* 2168156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168159 */     // MIs[0] policy
     /* 2168159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168195 */     // GIR_Coverage, 18389,
     /* 2168195 */     GIR_EraseRootFromParent_Done,
     /* 2168196 */   // Label 28551: @2168196
     /* 2168196 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2168287), // Rule ID 18390 //
     /* 2168201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2168212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2168215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2168218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2168221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168247 */     // MIs[0] round
     /* 2168247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168250 */     // MIs[0] policy
     /* 2168250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2168263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168286 */     // GIR_Coverage, 18390,
     /* 2168286 */     GIR_EraseRootFromParent_Done,
     /* 2168287 */   // Label 28552: @2168287
     /* 2168287 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2168378), // Rule ID 18393 //
     /* 2168292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168338 */     // MIs[0] round
     /* 2168338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168341 */     // MIs[0] policy
     /* 2168341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168377 */     // GIR_Coverage, 18393,
     /* 2168377 */     GIR_EraseRootFromParent_Done,
     /* 2168378 */   // Label 28553: @2168378
     /* 2168378 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2168469), // Rule ID 18394 //
     /* 2168383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168429 */     // MIs[0] round
     /* 2168429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168432 */     // MIs[0] policy
     /* 2168432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2168445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168468 */     // GIR_Coverage, 18394,
     /* 2168468 */     GIR_EraseRootFromParent_Done,
     /* 2168469 */   // Label 28554: @2168469
     /* 2168469 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2168560), // Rule ID 18397 //
     /* 2168474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168520 */     // MIs[0] round
     /* 2168520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168523 */     // MIs[0] policy
     /* 2168523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168559 */     // GIR_Coverage, 18397,
     /* 2168559 */     GIR_EraseRootFromParent_Done,
     /* 2168560 */   // Label 28555: @2168560
     /* 2168560 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2168651), // Rule ID 18398 //
     /* 2168565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168611 */     // MIs[0] round
     /* 2168611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168614 */     // MIs[0] policy
     /* 2168614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168624 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2168627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168650 */     // GIR_Coverage, 18398,
     /* 2168650 */     GIR_EraseRootFromParent_Done,
     /* 2168651 */   // Label 28556: @2168651
     /* 2168651 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2168742), // Rule ID 18401 //
     /* 2168656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168702 */     // MIs[0] round
     /* 2168702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168705 */     // MIs[0] policy
     /* 2168705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168715 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2168718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168741 */     // GIR_Coverage, 18401,
     /* 2168741 */     GIR_EraseRootFromParent_Done,
     /* 2168742 */   // Label 28557: @2168742
     /* 2168742 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2168833), // Rule ID 18402 //
     /* 2168747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168793 */     // MIs[0] round
     /* 2168793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168796 */     // MIs[0] policy
     /* 2168796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2168809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168832 */     // GIR_Coverage, 18402,
     /* 2168832 */     GIR_EraseRootFromParent_Done,
     /* 2168833 */   // Label 28558: @2168833
     /* 2168833 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2168924), // Rule ID 18405 //
     /* 2168838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168884 */     // MIs[0] round
     /* 2168884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168887 */     // MIs[0] policy
     /* 2168887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2168900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168923 */     // GIR_Coverage, 18405,
     /* 2168923 */     GIR_EraseRootFromParent_Done,
     /* 2168924 */   // Label 28559: @2168924
     /* 2168924 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2169015), // Rule ID 18406 //
     /* 2168929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168975 */     // MIs[0] round
     /* 2168975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168978 */     // MIs[0] policy
     /* 2168978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2168991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169014 */     // GIR_Coverage, 18406,
     /* 2169014 */     GIR_EraseRootFromParent_Done,
     /* 2169015 */   // Label 28560: @2169015
     /* 2169015 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2169106), // Rule ID 18409 //
     /* 2169020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169066 */     // MIs[0] round
     /* 2169066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169069 */     // MIs[0] policy
     /* 2169069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169079 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169105 */     // GIR_Coverage, 18409,
     /* 2169105 */     GIR_EraseRootFromParent_Done,
     /* 2169106 */   // Label 28561: @2169106
     /* 2169106 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2169197), // Rule ID 18410 //
     /* 2169111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2169122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2169125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2169131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169157 */     // MIs[0] round
     /* 2169157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169160 */     // MIs[0] policy
     /* 2169160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169170 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2169173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169196 */     // GIR_Coverage, 18410,
     /* 2169196 */     GIR_EraseRootFromParent_Done,
     /* 2169197 */   // Label 28562: @2169197
     /* 2169197 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2169288), // Rule ID 18413 //
     /* 2169202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169248 */     // MIs[0] round
     /* 2169248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169251 */     // MIs[0] policy
     /* 2169251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169261 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169287 */     // GIR_Coverage, 18413,
     /* 2169287 */     GIR_EraseRootFromParent_Done,
     /* 2169288 */   // Label 28563: @2169288
     /* 2169288 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2169379), // Rule ID 18414 //
     /* 2169293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2169304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2169313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169339 */     // MIs[0] round
     /* 2169339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169342 */     // MIs[0] policy
     /* 2169342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2169355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169378 */     // GIR_Coverage, 18414,
     /* 2169378 */     GIR_EraseRootFromParent_Done,
     /* 2169379 */   // Label 28564: @2169379
     /* 2169379 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2169470), // Rule ID 18417 //
     /* 2169384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169430 */     // MIs[0] round
     /* 2169430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169433 */     // MIs[0] policy
     /* 2169433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169443 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169469 */     // GIR_Coverage, 18417,
     /* 2169469 */     GIR_EraseRootFromParent_Done,
     /* 2169470 */   // Label 28565: @2169470
     /* 2169470 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2169561), // Rule ID 18418 //
     /* 2169475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169521 */     // MIs[0] round
     /* 2169521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169524 */     // MIs[0] policy
     /* 2169524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169534 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2169537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169560 */     // GIR_Coverage, 18418,
     /* 2169560 */     GIR_EraseRootFromParent_Done,
     /* 2169561 */   // Label 28566: @2169561
     /* 2169561 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2169652), // Rule ID 18421 //
     /* 2169566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169612 */     // MIs[0] round
     /* 2169612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169615 */     // MIs[0] policy
     /* 2169615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169625 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2169628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169651 */     // GIR_Coverage, 18421,
     /* 2169651 */     GIR_EraseRootFromParent_Done,
     /* 2169652 */   // Label 28567: @2169652
     /* 2169652 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2169743), // Rule ID 18422 //
     /* 2169657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169703 */     // MIs[0] round
     /* 2169703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169706 */     // MIs[0] policy
     /* 2169706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2169719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169742 */     // GIR_Coverage, 18422,
     /* 2169742 */     GIR_EraseRootFromParent_Done,
     /* 2169743 */   // Label 28568: @2169743
     /* 2169743 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2169834), // Rule ID 18425 //
     /* 2169748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169794 */     // MIs[0] round
     /* 2169794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169797 */     // MIs[0] policy
     /* 2169797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2169810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169833 */     // GIR_Coverage, 18425,
     /* 2169833 */     GIR_EraseRootFromParent_Done,
     /* 2169834 */   // Label 28569: @2169834
     /* 2169834 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2169925), // Rule ID 18426 //
     /* 2169839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169885 */     // MIs[0] round
     /* 2169885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169888 */     // MIs[0] policy
     /* 2169888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169898 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2169901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169924 */     // GIR_Coverage, 18426,
     /* 2169924 */     GIR_EraseRootFromParent_Done,
     /* 2169925 */   // Label 28570: @2169925
     /* 2169925 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2170016), // Rule ID 18429 //
     /* 2169930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169976 */     // MIs[0] round
     /* 2169976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169979 */     // MIs[0] policy
     /* 2169979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2169992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170015 */     // GIR_Coverage, 18429,
     /* 2170015 */     GIR_EraseRootFromParent_Done,
     /* 2170016 */   // Label 28571: @2170016
     /* 2170016 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2170107), // Rule ID 18430 //
     /* 2170021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2170032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2170035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2170041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170067 */     // MIs[0] round
     /* 2170067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170070 */     // MIs[0] policy
     /* 2170070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2170083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170106 */     // GIR_Coverage, 18430,
     /* 2170106 */     GIR_EraseRootFromParent_Done,
     /* 2170107 */   // Label 28572: @2170107
     /* 2170107 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2170198), // Rule ID 18433 //
     /* 2170112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170158 */     // MIs[0] round
     /* 2170158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170161 */     // MIs[0] policy
     /* 2170161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170171 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170197 */     // GIR_Coverage, 18433,
     /* 2170197 */     GIR_EraseRootFromParent_Done,
     /* 2170198 */   // Label 28573: @2170198
     /* 2170198 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2170289), // Rule ID 18434 //
     /* 2170203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2170214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2170223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170249 */     // MIs[0] round
     /* 2170249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170252 */     // MIs[0] policy
     /* 2170252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170262 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2170265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170288 */     // GIR_Coverage, 18434,
     /* 2170288 */     GIR_EraseRootFromParent_Done,
     /* 2170289 */   // Label 28574: @2170289
     /* 2170289 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2170380), // Rule ID 18437 //
     /* 2170294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170340 */     // MIs[0] round
     /* 2170340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170343 */     // MIs[0] policy
     /* 2170343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170353 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170379 */     // GIR_Coverage, 18437,
     /* 2170379 */     GIR_EraseRootFromParent_Done,
     /* 2170380 */   // Label 28575: @2170380
     /* 2170380 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2170471), // Rule ID 18438 //
     /* 2170385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170431 */     // MIs[0] round
     /* 2170431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170434 */     // MIs[0] policy
     /* 2170434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2170447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170470 */     // GIR_Coverage, 18438,
     /* 2170470 */     GIR_EraseRootFromParent_Done,
     /* 2170471 */   // Label 28576: @2170471
     /* 2170471 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2170562), // Rule ID 18441 //
     /* 2170476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170522 */     // MIs[0] round
     /* 2170522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170525 */     // MIs[0] policy
     /* 2170525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170561 */     // GIR_Coverage, 18441,
     /* 2170561 */     GIR_EraseRootFromParent_Done,
     /* 2170562 */   // Label 28577: @2170562
     /* 2170562 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2170653), // Rule ID 18442 //
     /* 2170567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170613 */     // MIs[0] round
     /* 2170613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170616 */     // MIs[0] policy
     /* 2170616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2170629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170652 */     // GIR_Coverage, 18442,
     /* 2170652 */     GIR_EraseRootFromParent_Done,
     /* 2170653 */   // Label 28578: @2170653
     /* 2170653 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2170744), // Rule ID 18445 //
     /* 2170658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170704 */     // MIs[0] round
     /* 2170704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170707 */     // MIs[0] policy
     /* 2170707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2170720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170743 */     // GIR_Coverage, 18445,
     /* 2170743 */     GIR_EraseRootFromParent_Done,
     /* 2170744 */   // Label 28579: @2170744
     /* 2170744 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2170835), // Rule ID 18446 //
     /* 2170749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170795 */     // MIs[0] round
     /* 2170795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170798 */     // MIs[0] policy
     /* 2170798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2170811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170834 */     // GIR_Coverage, 18446,
     /* 2170834 */     GIR_EraseRootFromParent_Done,
     /* 2170835 */   // Label 28580: @2170835
     /* 2170835 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2170926), // Rule ID 18449 //
     /* 2170840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170886 */     // MIs[0] round
     /* 2170886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170889 */     // MIs[0] policy
     /* 2170889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170899 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2170902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170925 */     // GIR_Coverage, 18449,
     /* 2170925 */     GIR_EraseRootFromParent_Done,
     /* 2170926 */   // Label 28581: @2170926
     /* 2170926 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2171017), // Rule ID 18450 //
     /* 2170931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170977 */     // MIs[0] round
     /* 2170977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170980 */     // MIs[0] policy
     /* 2170980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2170993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171016 */     // GIR_Coverage, 18450,
     /* 2171016 */     GIR_EraseRootFromParent_Done,
     /* 2171017 */   // Label 28582: @2171017
     /* 2171017 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2171108), // Rule ID 18453 //
     /* 2171022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171068 */     // MIs[0] round
     /* 2171068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171071 */     // MIs[0] policy
     /* 2171071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171081 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171107 */     // GIR_Coverage, 18453,
     /* 2171107 */     GIR_EraseRootFromParent_Done,
     /* 2171108 */   // Label 28583: @2171108
     /* 2171108 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2171199), // Rule ID 18454 //
     /* 2171113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2171124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2171127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2171130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2171133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2171151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171159 */     // MIs[0] round
     /* 2171159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171162 */     // MIs[0] policy
     /* 2171162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2171175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171198 */     // GIR_Coverage, 18454,
     /* 2171198 */     GIR_EraseRootFromParent_Done,
     /* 2171199 */   // Label 28584: @2171199
     /* 2171199 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2171290), // Rule ID 18457 //
     /* 2171204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171250 */     // MIs[0] round
     /* 2171250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171253 */     // MIs[0] policy
     /* 2171253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171289 */     // GIR_Coverage, 18457,
     /* 2171289 */     GIR_EraseRootFromParent_Done,
     /* 2171290 */   // Label 28585: @2171290
     /* 2171290 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2171381), // Rule ID 18458 //
     /* 2171295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2171306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2171309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2171315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171341 */     // MIs[0] round
     /* 2171341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171344 */     // MIs[0] policy
     /* 2171344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2171357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171380 */     // GIR_Coverage, 18458,
     /* 2171380 */     GIR_EraseRootFromParent_Done,
     /* 2171381 */   // Label 28586: @2171381
     /* 2171381 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2171472), // Rule ID 18461 //
     /* 2171386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171432 */     // MIs[0] round
     /* 2171432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171435 */     // MIs[0] policy
     /* 2171435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171471 */     // GIR_Coverage, 18461,
     /* 2171471 */     GIR_EraseRootFromParent_Done,
     /* 2171472 */   // Label 28587: @2171472
     /* 2171472 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2171563), // Rule ID 18462 //
     /* 2171477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171523 */     // MIs[0] round
     /* 2171523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171526 */     // MIs[0] policy
     /* 2171526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2171539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171562 */     // GIR_Coverage, 18462,
     /* 2171562 */     GIR_EraseRootFromParent_Done,
     /* 2171563 */   // Label 28588: @2171563
     /* 2171563 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2171654), // Rule ID 18465 //
     /* 2171568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171614 */     // MIs[0] round
     /* 2171614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171617 */     // MIs[0] policy
     /* 2171617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2171630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171653 */     // GIR_Coverage, 18465,
     /* 2171653 */     GIR_EraseRootFromParent_Done,
     /* 2171654 */   // Label 28589: @2171654
     /* 2171654 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2171745), // Rule ID 18466 //
     /* 2171659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171705 */     // MIs[0] round
     /* 2171705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171708 */     // MIs[0] policy
     /* 2171708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171718 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2171721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171744 */     // GIR_Coverage, 18466,
     /* 2171744 */     GIR_EraseRootFromParent_Done,
     /* 2171745 */   // Label 28590: @2171745
     /* 2171745 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2171836), // Rule ID 18469 //
     /* 2171750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171796 */     // MIs[0] round
     /* 2171796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171799 */     // MIs[0] policy
     /* 2171799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171809 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2171812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171835 */     // GIR_Coverage, 18469,
     /* 2171835 */     GIR_EraseRootFromParent_Done,
     /* 2171836 */   // Label 28591: @2171836
     /* 2171836 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2171927), // Rule ID 18470 //
     /* 2171841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171887 */     // MIs[0] round
     /* 2171887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171890 */     // MIs[0] policy
     /* 2171890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2171903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171926 */     // GIR_Coverage, 18470,
     /* 2171926 */     GIR_EraseRootFromParent_Done,
     /* 2171927 */   // Label 28592: @2171927
     /* 2171927 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2172018), // Rule ID 18473 //
     /* 2171932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171978 */     // MIs[0] round
     /* 2171978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171981 */     // MIs[0] policy
     /* 2171981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171991 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2171994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172017 */     // GIR_Coverage, 18473,
     /* 2172017 */     GIR_EraseRootFromParent_Done,
     /* 2172018 */   // Label 28593: @2172018
     /* 2172018 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2172109), // Rule ID 18474 //
     /* 2172023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2172040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172069 */     // MIs[0] round
     /* 2172069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172072 */     // MIs[0] policy
     /* 2172072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172082 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2172085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172108 */     // GIR_Coverage, 18474,
     /* 2172108 */     GIR_EraseRootFromParent_Done,
     /* 2172109 */   // Label 28594: @2172109
     /* 2172109 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2172200), // Rule ID 18477 //
     /* 2172114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172160 */     // MIs[0] round
     /* 2172160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172163 */     // MIs[0] policy
     /* 2172163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172173 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172199 */     // GIR_Coverage, 18477,
     /* 2172199 */     GIR_EraseRootFromParent_Done,
     /* 2172200 */   // Label 28595: @2172200
     /* 2172200 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2172291), // Rule ID 18478 //
     /* 2172205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172251 */     // MIs[0] round
     /* 2172251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172254 */     // MIs[0] policy
     /* 2172254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172264 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2172267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172290 */     // GIR_Coverage, 18478,
     /* 2172290 */     GIR_EraseRootFromParent_Done,
     /* 2172291 */   // Label 28596: @2172291
     /* 2172291 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2172382), // Rule ID 18481 //
     /* 2172296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172342 */     // MIs[0] round
     /* 2172342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172345 */     // MIs[0] policy
     /* 2172345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172381 */     // GIR_Coverage, 18481,
     /* 2172381 */     GIR_EraseRootFromParent_Done,
     /* 2172382 */   // Label 28597: @2172382
     /* 2172382 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2172473), // Rule ID 18482 //
     /* 2172387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172433 */     // MIs[0] round
     /* 2172433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172436 */     // MIs[0] policy
     /* 2172436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172446 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2172449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172472 */     // GIR_Coverage, 18482,
     /* 2172472 */     GIR_EraseRootFromParent_Done,
     /* 2172473 */   // Label 28598: @2172473
     /* 2172473 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2172564), // Rule ID 18485 //
     /* 2172478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172524 */     // MIs[0] round
     /* 2172524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172527 */     // MIs[0] policy
     /* 2172527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172563 */     // GIR_Coverage, 18485,
     /* 2172563 */     GIR_EraseRootFromParent_Done,
     /* 2172564 */   // Label 28599: @2172564
     /* 2172564 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2172655), // Rule ID 18486 //
     /* 2172569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172615 */     // MIs[0] round
     /* 2172615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172618 */     // MIs[0] policy
     /* 2172618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2172631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172654 */     // GIR_Coverage, 18486,
     /* 2172654 */     GIR_EraseRootFromParent_Done,
     /* 2172655 */   // Label 28600: @2172655
     /* 2172655 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2172746), // Rule ID 18489 //
     /* 2172660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172706 */     // MIs[0] round
     /* 2172706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172709 */     // MIs[0] policy
     /* 2172709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2172722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172745 */     // GIR_Coverage, 18489,
     /* 2172745 */     GIR_EraseRootFromParent_Done,
     /* 2172746 */   // Label 28601: @2172746
     /* 2172746 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2172837), // Rule ID 18490 //
     /* 2172751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172797 */     // MIs[0] round
     /* 2172797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172800 */     // MIs[0] policy
     /* 2172800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2172813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172836 */     // GIR_Coverage, 18490,
     /* 2172836 */     GIR_EraseRootFromParent_Done,
     /* 2172837 */   // Label 28602: @2172837
     /* 2172837 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2172928), // Rule ID 18493 //
     /* 2172842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172888 */     // MIs[0] round
     /* 2172888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172891 */     // MIs[0] policy
     /* 2172891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2172904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172927 */     // GIR_Coverage, 18493,
     /* 2172927 */     GIR_EraseRootFromParent_Done,
     /* 2172928 */   // Label 28603: @2172928
     /* 2172928 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2173019), // Rule ID 18494 //
     /* 2172933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172979 */     // MIs[0] round
     /* 2172979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172982 */     // MIs[0] policy
     /* 2172982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172992 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2172995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173018 */     // GIR_Coverage, 18494,
     /* 2173018 */     GIR_EraseRootFromParent_Done,
     /* 2173019 */   // Label 28604: @2173019
     /* 2173019 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2173110), // Rule ID 18497 //
     /* 2173024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173070 */     // MIs[0] round
     /* 2173070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173073 */     // MIs[0] policy
     /* 2173073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173109 */     // GIR_Coverage, 18497,
     /* 2173109 */     GIR_EraseRootFromParent_Done,
     /* 2173110 */   // Label 28605: @2173110
     /* 2173110 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2173201), // Rule ID 18498 //
     /* 2173115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2173132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173161 */     // MIs[0] round
     /* 2173161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173164 */     // MIs[0] policy
     /* 2173164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173174 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2173177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173200 */     // GIR_Coverage, 18498,
     /* 2173200 */     GIR_EraseRootFromParent_Done,
     /* 2173201 */   // Label 28606: @2173201
     /* 2173201 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2173292), // Rule ID 18501 //
     /* 2173206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173252 */     // MIs[0] round
     /* 2173252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173255 */     // MIs[0] policy
     /* 2173255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173291 */     // GIR_Coverage, 18501,
     /* 2173291 */     GIR_EraseRootFromParent_Done,
     /* 2173292 */   // Label 28607: @2173292
     /* 2173292 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2173383), // Rule ID 18502 //
     /* 2173297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2173308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2173314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2173317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2173320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173343 */     // MIs[0] round
     /* 2173343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173346 */     // MIs[0] policy
     /* 2173346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173356 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2173359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173382 */     // GIR_Coverage, 18502,
     /* 2173382 */     GIR_EraseRootFromParent_Done,
     /* 2173383 */   // Label 28608: @2173383
     /* 2173383 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2173474), // Rule ID 18505 //
     /* 2173388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173434 */     // MIs[0] round
     /* 2173434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173437 */     // MIs[0] policy
     /* 2173437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173447 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173473 */     // GIR_Coverage, 18505,
     /* 2173473 */     GIR_EraseRootFromParent_Done,
     /* 2173474 */   // Label 28609: @2173474
     /* 2173474 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2173565), // Rule ID 18506 //
     /* 2173479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173525 */     // MIs[0] round
     /* 2173525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173528 */     // MIs[0] policy
     /* 2173528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2173541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173564 */     // GIR_Coverage, 18506,
     /* 2173564 */     GIR_EraseRootFromParent_Done,
     /* 2173565 */   // Label 28610: @2173565
     /* 2173565 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2173656), // Rule ID 18509 //
     /* 2173570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173616 */     // MIs[0] round
     /* 2173616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173619 */     // MIs[0] policy
     /* 2173619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173629 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2173632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173655 */     // GIR_Coverage, 18509,
     /* 2173655 */     GIR_EraseRootFromParent_Done,
     /* 2173656 */   // Label 28611: @2173656
     /* 2173656 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2173747), // Rule ID 18510 //
     /* 2173661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173707 */     // MIs[0] round
     /* 2173707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173710 */     // MIs[0] policy
     /* 2173710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2173723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173746 */     // GIR_Coverage, 18510,
     /* 2173746 */     GIR_EraseRootFromParent_Done,
     /* 2173747 */   // Label 28612: @2173747
     /* 2173747 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2173838), // Rule ID 18513 //
     /* 2173752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173798 */     // MIs[0] round
     /* 2173798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173801 */     // MIs[0] policy
     /* 2173801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2173814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173837 */     // GIR_Coverage, 18513,
     /* 2173837 */     GIR_EraseRootFromParent_Done,
     /* 2173838 */   // Label 28613: @2173838
     /* 2173838 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2173929), // Rule ID 18514 //
     /* 2173843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173889 */     // MIs[0] round
     /* 2173889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173892 */     // MIs[0] policy
     /* 2173892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173902 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2173905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173928 */     // GIR_Coverage, 18514,
     /* 2173928 */     GIR_EraseRootFromParent_Done,
     /* 2173929 */   // Label 28614: @2173929
     /* 2173929 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2174020), // Rule ID 18517 //
     /* 2173934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2173948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2173951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2173954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173980 */     // MIs[0] round
     /* 2173980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173983 */     // MIs[0] policy
     /* 2173983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173993 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2173996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174019 */     // GIR_Coverage, 18517,
     /* 2174019 */     GIR_EraseRootFromParent_Done,
     /* 2174020 */   // Label 28615: @2174020
     /* 2174020 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2174111), // Rule ID 18518 //
     /* 2174025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2174045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174071 */     // MIs[0] round
     /* 2174071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174074 */     // MIs[0] policy
     /* 2174074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2174087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174110 */     // GIR_Coverage, 18518,
     /* 2174110 */     GIR_EraseRootFromParent_Done,
     /* 2174111 */   // Label 28616: @2174111
     /* 2174111 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2174202), // Rule ID 18521 //
     /* 2174116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174162 */     // MIs[0] round
     /* 2174162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174165 */     // MIs[0] policy
     /* 2174165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174175 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174201 */     // GIR_Coverage, 18521,
     /* 2174201 */     GIR_EraseRootFromParent_Done,
     /* 2174202 */   // Label 28617: @2174202
     /* 2174202 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2174293), // Rule ID 18522 //
     /* 2174207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2174227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174253 */     // MIs[0] round
     /* 2174253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174256 */     // MIs[0] policy
     /* 2174256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174266 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2174269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174292 */     // GIR_Coverage, 18522,
     /* 2174292 */     GIR_EraseRootFromParent_Done,
     /* 2174293 */   // Label 28618: @2174293
     /* 2174293 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2174384), // Rule ID 18525 //
     /* 2174298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174344 */     // MIs[0] round
     /* 2174344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174347 */     // MIs[0] policy
     /* 2174347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174383 */     // GIR_Coverage, 18525,
     /* 2174383 */     GIR_EraseRootFromParent_Done,
     /* 2174384 */   // Label 28619: @2174384
     /* 2174384 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2174475), // Rule ID 18526 //
     /* 2174389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174435 */     // MIs[0] round
     /* 2174435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174438 */     // MIs[0] policy
     /* 2174438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174448 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2174451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174474 */     // GIR_Coverage, 18526,
     /* 2174474 */     GIR_EraseRootFromParent_Done,
     /* 2174475 */   // Label 28620: @2174475
     /* 2174475 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2174566), // Rule ID 18529 //
     /* 2174480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174526 */     // MIs[0] round
     /* 2174526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174529 */     // MIs[0] policy
     /* 2174529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174539 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174565 */     // GIR_Coverage, 18529,
     /* 2174565 */     GIR_EraseRootFromParent_Done,
     /* 2174566 */   // Label 28621: @2174566
     /* 2174566 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2174657), // Rule ID 18530 //
     /* 2174571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174617 */     // MIs[0] round
     /* 2174617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174620 */     // MIs[0] policy
     /* 2174620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174630 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2174633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174656 */     // GIR_Coverage, 18530,
     /* 2174656 */     GIR_EraseRootFromParent_Done,
     /* 2174657 */   // Label 28622: @2174657
     /* 2174657 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2174748), // Rule ID 18533 //
     /* 2174662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174708 */     // MIs[0] round
     /* 2174708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174711 */     // MIs[0] policy
     /* 2174711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174721 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2174724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174747 */     // GIR_Coverage, 18533,
     /* 2174747 */     GIR_EraseRootFromParent_Done,
     /* 2174748 */   // Label 28623: @2174748
     /* 2174748 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2174839), // Rule ID 18534 //
     /* 2174753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174799 */     // MIs[0] round
     /* 2174799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174802 */     // MIs[0] policy
     /* 2174802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2174815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174838 */     // GIR_Coverage, 18534,
     /* 2174838 */     GIR_EraseRootFromParent_Done,
     /* 2174839 */   // Label 28624: @2174839
     /* 2174839 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2174930), // Rule ID 18537 //
     /* 2174844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174890 */     // MIs[0] round
     /* 2174890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174893 */     // MIs[0] policy
     /* 2174893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174903 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2174906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174929 */     // GIR_Coverage, 18537,
     /* 2174929 */     GIR_EraseRootFromParent_Done,
     /* 2174930 */   // Label 28625: @2174930
     /* 2174930 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2175021), // Rule ID 18538 //
     /* 2174935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174981 */     // MIs[0] round
     /* 2174981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174984 */     // MIs[0] policy
     /* 2174984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174994 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2174997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175020 */     // GIR_Coverage, 18538,
     /* 2175020 */     GIR_EraseRootFromParent_Done,
     /* 2175021 */   // Label 28626: @2175021
     /* 2175021 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2175112), // Rule ID 18541 //
     /* 2175026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175072 */     // MIs[0] round
     /* 2175072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175075 */     // MIs[0] policy
     /* 2175075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175085 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175111 */     // GIR_Coverage, 18541,
     /* 2175111 */     GIR_EraseRootFromParent_Done,
     /* 2175112 */   // Label 28627: @2175112
     /* 2175112 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2175203), // Rule ID 18542 //
     /* 2175117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2175128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175163 */     // MIs[0] round
     /* 2175163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175166 */     // MIs[0] policy
     /* 2175166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2175179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175202 */     // GIR_Coverage, 18542,
     /* 2175202 */     GIR_EraseRootFromParent_Done,
     /* 2175203 */   // Label 28628: @2175203
     /* 2175203 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2175294), // Rule ID 18545 //
     /* 2175208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175254 */     // MIs[0] round
     /* 2175254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175257 */     // MIs[0] policy
     /* 2175257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175293 */     // GIR_Coverage, 18545,
     /* 2175293 */     GIR_EraseRootFromParent_Done,
     /* 2175294 */   // Label 28629: @2175294
     /* 2175294 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2175385), // Rule ID 18546 //
     /* 2175299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2175310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2175313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175345 */     // MIs[0] round
     /* 2175345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175348 */     // MIs[0] policy
     /* 2175348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175358 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2175361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175384 */     // GIR_Coverage, 18546,
     /* 2175384 */     GIR_EraseRootFromParent_Done,
     /* 2175385 */   // Label 28630: @2175385
     /* 2175385 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2175476), // Rule ID 18549 //
     /* 2175390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175436 */     // MIs[0] round
     /* 2175436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175439 */     // MIs[0] policy
     /* 2175439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175475 */     // GIR_Coverage, 18549,
     /* 2175475 */     GIR_EraseRootFromParent_Done,
     /* 2175476 */   // Label 28631: @2175476
     /* 2175476 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2175567), // Rule ID 18550 //
     /* 2175481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175527 */     // MIs[0] round
     /* 2175527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175530 */     // MIs[0] policy
     /* 2175530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2175543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175566 */     // GIR_Coverage, 18550,
     /* 2175566 */     GIR_EraseRootFromParent_Done,
     /* 2175567 */   // Label 28632: @2175567
     /* 2175567 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2175658), // Rule ID 18553 //
     /* 2175572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175618 */     // MIs[0] round
     /* 2175618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175621 */     // MIs[0] policy
     /* 2175621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175631 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2175634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175657 */     // GIR_Coverage, 18553,
     /* 2175657 */     GIR_EraseRootFromParent_Done,
     /* 2175658 */   // Label 28633: @2175658
     /* 2175658 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2175749), // Rule ID 18554 //
     /* 2175663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175709 */     // MIs[0] round
     /* 2175709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175712 */     // MIs[0] policy
     /* 2175712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175722 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2175725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175748 */     // GIR_Coverage, 18554,
     /* 2175748 */     GIR_EraseRootFromParent_Done,
     /* 2175749 */   // Label 28634: @2175749
     /* 2175749 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2175840), // Rule ID 18557 //
     /* 2175754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175800 */     // MIs[0] round
     /* 2175800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175803 */     // MIs[0] policy
     /* 2175803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175813 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2175816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175839 */     // GIR_Coverage, 18557,
     /* 2175839 */     GIR_EraseRootFromParent_Done,
     /* 2175840 */   // Label 28635: @2175840
     /* 2175840 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2175931), // Rule ID 18558 //
     /* 2175845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175891 */     // MIs[0] round
     /* 2175891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175894 */     // MIs[0] policy
     /* 2175894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175904 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2175907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175930 */     // GIR_Coverage, 18558,
     /* 2175930 */     GIR_EraseRootFromParent_Done,
     /* 2175931 */   // Label 28636: @2175931
     /* 2175931 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2176022), // Rule ID 18561 //
     /* 2175936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2175950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2175956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175982 */     // MIs[0] round
     /* 2175982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175985 */     // MIs[0] policy
     /* 2175985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175995 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2175998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176021 */     // GIR_Coverage, 18561,
     /* 2176021 */     GIR_EraseRootFromParent_Done,
     /* 2176022 */   // Label 28637: @2176022
     /* 2176022 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2176113), // Rule ID 18562 //
     /* 2176027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2176038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2176047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2176050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176073 */     // MIs[0] round
     /* 2176073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176076 */     // MIs[0] policy
     /* 2176076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176086 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2176089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176112 */     // GIR_Coverage, 18562,
     /* 2176112 */     GIR_EraseRootFromParent_Done,
     /* 2176113 */   // Label 28638: @2176113
     /* 2176113 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2176204), // Rule ID 18565 //
     /* 2176118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176164 */     // MIs[0] round
     /* 2176164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176167 */     // MIs[0] policy
     /* 2176167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176203 */     // GIR_Coverage, 18565,
     /* 2176203 */     GIR_EraseRootFromParent_Done,
     /* 2176204 */   // Label 28639: @2176204
     /* 2176204 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2176295), // Rule ID 18566 //
     /* 2176209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2176229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176255 */     // MIs[0] round
     /* 2176255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176258 */     // MIs[0] policy
     /* 2176258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2176271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176294 */     // GIR_Coverage, 18566,
     /* 2176294 */     GIR_EraseRootFromParent_Done,
     /* 2176295 */   // Label 28640: @2176295
     /* 2176295 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2176386), // Rule ID 18569 //
     /* 2176300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176346 */     // MIs[0] round
     /* 2176346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176349 */     // MIs[0] policy
     /* 2176349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176359 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176385 */     // GIR_Coverage, 18569,
     /* 2176385 */     GIR_EraseRootFromParent_Done,
     /* 2176386 */   // Label 28641: @2176386
     /* 2176386 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2176477), // Rule ID 18570 //
     /* 2176391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176437 */     // MIs[0] round
     /* 2176437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176440 */     // MIs[0] policy
     /* 2176440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2176453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176476 */     // GIR_Coverage, 18570,
     /* 2176476 */     GIR_EraseRootFromParent_Done,
     /* 2176477 */   // Label 28642: @2176477
     /* 2176477 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2176568), // Rule ID 18573 //
     /* 2176482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176528 */     // MIs[0] round
     /* 2176528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176531 */     // MIs[0] policy
     /* 2176531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176541 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176567 */     // GIR_Coverage, 18573,
     /* 2176567 */     GIR_EraseRootFromParent_Done,
     /* 2176568 */   // Label 28643: @2176568
     /* 2176568 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2176659), // Rule ID 18574 //
     /* 2176573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176619 */     // MIs[0] round
     /* 2176619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176622 */     // MIs[0] policy
     /* 2176622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2176635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176658 */     // GIR_Coverage, 18574,
     /* 2176658 */     GIR_EraseRootFromParent_Done,
     /* 2176659 */   // Label 28644: @2176659
     /* 2176659 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2176750), // Rule ID 18577 //
     /* 2176664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176710 */     // MIs[0] round
     /* 2176710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176713 */     // MIs[0] policy
     /* 2176713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176723 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2176726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176749 */     // GIR_Coverage, 18577,
     /* 2176749 */     GIR_EraseRootFromParent_Done,
     /* 2176750 */   // Label 28645: @2176750
     /* 2176750 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2176841), // Rule ID 18578 //
     /* 2176755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176801 */     // MIs[0] round
     /* 2176801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176804 */     // MIs[0] policy
     /* 2176804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176814 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2176817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176840 */     // GIR_Coverage, 18578,
     /* 2176840 */     GIR_EraseRootFromParent_Done,
     /* 2176841 */   // Label 28646: @2176841
     /* 2176841 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2176932), // Rule ID 18581 //
     /* 2176846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176892 */     // MIs[0] round
     /* 2176892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176895 */     // MIs[0] policy
     /* 2176895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176905 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2176908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176931 */     // GIR_Coverage, 18581,
     /* 2176931 */     GIR_EraseRootFromParent_Done,
     /* 2176932 */   // Label 28647: @2176932
     /* 2176932 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2177023), // Rule ID 18582 //
     /* 2176937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176983 */     // MIs[0] round
     /* 2176983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176986 */     // MIs[0] policy
     /* 2176986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176996 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2176999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177022 */     // GIR_Coverage, 18582,
     /* 2177022 */     GIR_EraseRootFromParent_Done,
     /* 2177023 */   // Label 28648: @2177023
     /* 2177023 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2177114), // Rule ID 18585 //
     /* 2177028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177074 */     // MIs[0] round
     /* 2177074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177077 */     // MIs[0] policy
     /* 2177077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177113 */     // GIR_Coverage, 18585,
     /* 2177113 */     GIR_EraseRootFromParent_Done,
     /* 2177114 */   // Label 28649: @2177114
     /* 2177114 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2177205), // Rule ID 18586 //
     /* 2177119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2177136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2177139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177165 */     // MIs[0] round
     /* 2177165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177168 */     // MIs[0] policy
     /* 2177168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177178 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2177181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177204 */     // GIR_Coverage, 18586,
     /* 2177204 */     GIR_EraseRootFromParent_Done,
     /* 2177205 */   // Label 28650: @2177205
     /* 2177205 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2177296), // Rule ID 18589 //
     /* 2177210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177256 */     // MIs[0] round
     /* 2177256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177259 */     // MIs[0] policy
     /* 2177259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177269 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177295 */     // GIR_Coverage, 18589,
     /* 2177295 */     GIR_EraseRootFromParent_Done,
     /* 2177296 */   // Label 28651: @2177296
     /* 2177296 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2177387), // Rule ID 18590 //
     /* 2177301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177347 */     // MIs[0] round
     /* 2177347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177350 */     // MIs[0] policy
     /* 2177350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177360 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2177363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177386 */     // GIR_Coverage, 18590,
     /* 2177386 */     GIR_EraseRootFromParent_Done,
     /* 2177387 */   // Label 28652: @2177387
     /* 2177387 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2177478), // Rule ID 18593 //
     /* 2177392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177438 */     // MIs[0] round
     /* 2177438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177441 */     // MIs[0] policy
     /* 2177441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177451 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177477 */     // GIR_Coverage, 18593,
     /* 2177477 */     GIR_EraseRootFromParent_Done,
     /* 2177478 */   // Label 28653: @2177478
     /* 2177478 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2177569), // Rule ID 18594 //
     /* 2177483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177529 */     // MIs[0] round
     /* 2177529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177532 */     // MIs[0] policy
     /* 2177532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2177545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177568 */     // GIR_Coverage, 18594,
     /* 2177568 */     GIR_EraseRootFromParent_Done,
     /* 2177569 */   // Label 28654: @2177569
     /* 2177569 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2177660), // Rule ID 18597 //
     /* 2177574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177620 */     // MIs[0] round
     /* 2177620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177623 */     // MIs[0] policy
     /* 2177623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2177636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177659 */     // GIR_Coverage, 18597,
     /* 2177659 */     GIR_EraseRootFromParent_Done,
     /* 2177660 */   // Label 28655: @2177660
     /* 2177660 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2177751), // Rule ID 18598 //
     /* 2177665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177711 */     // MIs[0] round
     /* 2177711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177714 */     // MIs[0] policy
     /* 2177714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177724 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2177727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177750 */     // GIR_Coverage, 18598,
     /* 2177750 */     GIR_EraseRootFromParent_Done,
     /* 2177751 */   // Label 28656: @2177751
     /* 2177751 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2177842), // Rule ID 18601 //
     /* 2177756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177802 */     // MIs[0] round
     /* 2177802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177805 */     // MIs[0] policy
     /* 2177805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177815 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2177818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177841 */     // GIR_Coverage, 18601,
     /* 2177841 */     GIR_EraseRootFromParent_Done,
     /* 2177842 */   // Label 28657: @2177842
     /* 2177842 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2177933), // Rule ID 18602 //
     /* 2177847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177893 */     // MIs[0] round
     /* 2177893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177896 */     // MIs[0] policy
     /* 2177896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177906 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2177909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177932 */     // GIR_Coverage, 18602,
     /* 2177932 */     GIR_EraseRootFromParent_Done,
     /* 2177933 */   // Label 28658: @2177933
     /* 2177933 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2178024), // Rule ID 18605 //
     /* 2177938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2177955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177984 */     // MIs[0] round
     /* 2177984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177987 */     // MIs[0] policy
     /* 2177987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177997 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178023 */     // GIR_Coverage, 18605,
     /* 2178023 */     GIR_EraseRootFromParent_Done,
     /* 2178024 */   // Label 28659: @2178024
     /* 2178024 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2178115), // Rule ID 18606 //
     /* 2178029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178075 */     // MIs[0] round
     /* 2178075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178078 */     // MIs[0] policy
     /* 2178078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2178091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178114 */     // GIR_Coverage, 18606,
     /* 2178114 */     GIR_EraseRootFromParent_Done,
     /* 2178115 */   // Label 28660: @2178115
     /* 2178115 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2178206), // Rule ID 18609 //
     /* 2178120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178166 */     // MIs[0] round
     /* 2178166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178169 */     // MIs[0] policy
     /* 2178169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178179 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178205 */     // GIR_Coverage, 18609,
     /* 2178205 */     GIR_EraseRootFromParent_Done,
     /* 2178206 */   // Label 28661: @2178206
     /* 2178206 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2178297), // Rule ID 18610 //
     /* 2178211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178257 */     // MIs[0] round
     /* 2178257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178260 */     // MIs[0] policy
     /* 2178260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178270 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2178273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178296 */     // GIR_Coverage, 18610,
     /* 2178296 */     GIR_EraseRootFromParent_Done,
     /* 2178297 */   // Label 28662: @2178297
     /* 2178297 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2178388), // Rule ID 18613 //
     /* 2178302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178348 */     // MIs[0] round
     /* 2178348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178351 */     // MIs[0] policy
     /* 2178351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178361 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178387 */     // GIR_Coverage, 18613,
     /* 2178387 */     GIR_EraseRootFromParent_Done,
     /* 2178388 */   // Label 28663: @2178388
     /* 2178388 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2178479), // Rule ID 18614 //
     /* 2178393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178439 */     // MIs[0] round
     /* 2178439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178442 */     // MIs[0] policy
     /* 2178442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2178455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178478 */     // GIR_Coverage, 18614,
     /* 2178478 */     GIR_EraseRootFromParent_Done,
     /* 2178479 */   // Label 28664: @2178479
     /* 2178479 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2178570), // Rule ID 18617 //
     /* 2178484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178530 */     // MIs[0] round
     /* 2178530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178533 */     // MIs[0] policy
     /* 2178533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178543 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178569 */     // GIR_Coverage, 18617,
     /* 2178569 */     GIR_EraseRootFromParent_Done,
     /* 2178570 */   // Label 28665: @2178570
     /* 2178570 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2178661), // Rule ID 18618 //
     /* 2178575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178621 */     // MIs[0] round
     /* 2178621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178624 */     // MIs[0] policy
     /* 2178624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178634 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2178637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178660 */     // GIR_Coverage, 18618,
     /* 2178660 */     GIR_EraseRootFromParent_Done,
     /* 2178661 */   // Label 28666: @2178661
     /* 2178661 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2178752), // Rule ID 18621 //
     /* 2178666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178712 */     // MIs[0] round
     /* 2178712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178715 */     // MIs[0] policy
     /* 2178715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178725 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2178728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178751 */     // GIR_Coverage, 18621,
     /* 2178751 */     GIR_EraseRootFromParent_Done,
     /* 2178752 */   // Label 28667: @2178752
     /* 2178752 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2178843), // Rule ID 18622 //
     /* 2178757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178803 */     // MIs[0] round
     /* 2178803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178806 */     // MIs[0] policy
     /* 2178806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2178819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178842 */     // GIR_Coverage, 18622,
     /* 2178842 */     GIR_EraseRootFromParent_Done,
     /* 2178843 */   // Label 28668: @2178843
     /* 2178843 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2178934), // Rule ID 18625 //
     /* 2178848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178894 */     // MIs[0] round
     /* 2178894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178897 */     // MIs[0] policy
     /* 2178897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178907 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2178910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178933 */     // GIR_Coverage, 18625,
     /* 2178933 */     GIR_EraseRootFromParent_Done,
     /* 2178934 */   // Label 28669: @2178934
     /* 2178934 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2179025), // Rule ID 18626 //
     /* 2178939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2178950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2178953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2178959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178985 */     // MIs[0] round
     /* 2178985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178988 */     // MIs[0] policy
     /* 2178988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2179001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179024 */     // GIR_Coverage, 18626,
     /* 2179024 */     GIR_EraseRootFromParent_Done,
     /* 2179025 */   // Label 28670: @2179025
     /* 2179025 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2179116), // Rule ID 18629 //
     /* 2179030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179076 */     // MIs[0] round
     /* 2179076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179079 */     // MIs[0] policy
     /* 2179079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179115 */     // GIR_Coverage, 18629,
     /* 2179115 */     GIR_EraseRootFromParent_Done,
     /* 2179116 */   // Label 28671: @2179116
     /* 2179116 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2179207), // Rule ID 18630 //
     /* 2179121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179167 */     // MIs[0] round
     /* 2179167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179170 */     // MIs[0] policy
     /* 2179170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2179183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179206 */     // GIR_Coverage, 18630,
     /* 2179206 */     GIR_EraseRootFromParent_Done,
     /* 2179207 */   // Label 28672: @2179207
     /* 2179207 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2179298), // Rule ID 18633 //
     /* 2179212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179258 */     // MIs[0] round
     /* 2179258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179261 */     // MIs[0] policy
     /* 2179261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179297 */     // GIR_Coverage, 18633,
     /* 2179297 */     GIR_EraseRootFromParent_Done,
     /* 2179298 */   // Label 28673: @2179298
     /* 2179298 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2179389), // Rule ID 18634 //
     /* 2179303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179349 */     // MIs[0] round
     /* 2179349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179352 */     // MIs[0] policy
     /* 2179352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2179365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179388 */     // GIR_Coverage, 18634,
     /* 2179388 */     GIR_EraseRootFromParent_Done,
     /* 2179389 */   // Label 28674: @2179389
     /* 2179389 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2179480), // Rule ID 18637 //
     /* 2179394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179440 */     // MIs[0] round
     /* 2179440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179443 */     // MIs[0] policy
     /* 2179443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179479 */     // GIR_Coverage, 18637,
     /* 2179479 */     GIR_EraseRootFromParent_Done,
     /* 2179480 */   // Label 28675: @2179480
     /* 2179480 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2179571), // Rule ID 18638 //
     /* 2179485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179531 */     // MIs[0] round
     /* 2179531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179534 */     // MIs[0] policy
     /* 2179534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179544 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2179547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179570 */     // GIR_Coverage, 18638,
     /* 2179570 */     GIR_EraseRootFromParent_Done,
     /* 2179571 */   // Label 28676: @2179571
     /* 2179571 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2179662), // Rule ID 18641 //
     /* 2179576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2179587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2179590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179622 */     // MIs[0] round
     /* 2179622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179625 */     // MIs[0] policy
     /* 2179625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179635 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2179638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179661 */     // GIR_Coverage, 18641,
     /* 2179661 */     GIR_EraseRootFromParent_Done,
     /* 2179662 */   // Label 28677: @2179662
     /* 2179662 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2179753), // Rule ID 18642 //
     /* 2179667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2179678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2179681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2179687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179713 */     // MIs[0] round
     /* 2179713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179716 */     // MIs[0] policy
     /* 2179716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179726 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2179729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179752 */     // GIR_Coverage, 18642,
     /* 2179752 */     GIR_EraseRootFromParent_Done,
     /* 2179753 */   // Label 28678: @2179753
     /* 2179753 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2179844), // Rule ID 18645 //
     /* 2179758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179804 */     // MIs[0] round
     /* 2179804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179807 */     // MIs[0] policy
     /* 2179807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179817 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2179820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179843 */     // GIR_Coverage, 18645,
     /* 2179843 */     GIR_EraseRootFromParent_Done,
     /* 2179844 */   // Label 28679: @2179844
     /* 2179844 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2179935), // Rule ID 18646 //
     /* 2179849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179895 */     // MIs[0] round
     /* 2179895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179898 */     // MIs[0] policy
     /* 2179898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2179911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179934 */     // GIR_Coverage, 18646,
     /* 2179934 */     GIR_EraseRootFromParent_Done,
     /* 2179935 */   // Label 28680: @2179935
     /* 2179935 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2180026), // Rule ID 18649 //
     /* 2179940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2179951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2179954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179986 */     // MIs[0] round
     /* 2179986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179989 */     // MIs[0] policy
     /* 2179989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179999 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180025 */     // GIR_Coverage, 18649,
     /* 2180025 */     GIR_EraseRootFromParent_Done,
     /* 2180026 */   // Label 28681: @2180026
     /* 2180026 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2180117), // Rule ID 18650 //
     /* 2180031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180077 */     // MIs[0] round
     /* 2180077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180080 */     // MIs[0] policy
     /* 2180080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2180093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180116 */     // GIR_Coverage, 18650,
     /* 2180116 */     GIR_EraseRootFromParent_Done,
     /* 2180117 */   // Label 28682: @2180117
     /* 2180117 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2180208), // Rule ID 18653 //
     /* 2180122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180168 */     // MIs[0] round
     /* 2180168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180171 */     // MIs[0] policy
     /* 2180171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180181 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180207 */     // GIR_Coverage, 18653,
     /* 2180207 */     GIR_EraseRootFromParent_Done,
     /* 2180208 */   // Label 28683: @2180208
     /* 2180208 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2180299), // Rule ID 18654 //
     /* 2180213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180259 */     // MIs[0] round
     /* 2180259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180262 */     // MIs[0] policy
     /* 2180262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180272 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2180275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180298 */     // GIR_Coverage, 18654,
     /* 2180298 */     GIR_EraseRootFromParent_Done,
     /* 2180299 */   // Label 28684: @2180299
     /* 2180299 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2180390), // Rule ID 18657 //
     /* 2180304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180350 */     // MIs[0] round
     /* 2180350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180353 */     // MIs[0] policy
     /* 2180353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180363 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180389 */     // GIR_Coverage, 18657,
     /* 2180389 */     GIR_EraseRootFromParent_Done,
     /* 2180390 */   // Label 28685: @2180390
     /* 2180390 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2180481), // Rule ID 18658 //
     /* 2180395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2180403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180441 */     // MIs[0] round
     /* 2180441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180444 */     // MIs[0] policy
     /* 2180444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180454 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2180457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180480 */     // GIR_Coverage, 18658,
     /* 2180480 */     GIR_EraseRootFromParent_Done,
     /* 2180481 */   // Label 28686: @2180481
     /* 2180481 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2180572), // Rule ID 18661 //
     /* 2180486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180532 */     // MIs[0] round
     /* 2180532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180535 */     // MIs[0] policy
     /* 2180535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180545 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180571 */     // GIR_Coverage, 18661,
     /* 2180571 */     GIR_EraseRootFromParent_Done,
     /* 2180572 */   // Label 28687: @2180572
     /* 2180572 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2180663), // Rule ID 18662 //
     /* 2180577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2180594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180623 */     // MIs[0] round
     /* 2180623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180626 */     // MIs[0] policy
     /* 2180626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2180639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180662 */     // GIR_Coverage, 18662,
     /* 2180662 */     GIR_EraseRootFromParent_Done,
     /* 2180663 */   // Label 28688: @2180663
     /* 2180663 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2180754), // Rule ID 18665 //
     /* 2180668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2180685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2180688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180714 */     // MIs[0] round
     /* 2180714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180717 */     // MIs[0] policy
     /* 2180717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2180730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180753 */     // GIR_Coverage, 18665,
     /* 2180753 */     GIR_EraseRootFromParent_Done,
     /* 2180754 */   // Label 28689: @2180754
     /* 2180754 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2180845), // Rule ID 18666 //
     /* 2180759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2180776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2180779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180805 */     // MIs[0] round
     /* 2180805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180808 */     // MIs[0] policy
     /* 2180808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180818 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2180821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180844 */     // GIR_Coverage, 18666,
     /* 2180844 */     GIR_EraseRootFromParent_Done,
     /* 2180845 */   // Label 28690: @2180845
     /* 2180845 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2180936), // Rule ID 18669 //
     /* 2180850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2180867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2180870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180896 */     // MIs[0] round
     /* 2180896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180899 */     // MIs[0] policy
     /* 2180899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180909 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2180912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180935 */     // GIR_Coverage, 18669,
     /* 2180935 */     GIR_EraseRootFromParent_Done,
     /* 2180936 */   // Label 28691: @2180936
     /* 2180936 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2181027), // Rule ID 18670 //
     /* 2180941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2180958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2180961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180987 */     // MIs[0] round
     /* 2180987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180990 */     // MIs[0] policy
     /* 2180990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2181003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181026 */     // GIR_Coverage, 18670,
     /* 2181026 */     GIR_EraseRootFromParent_Done,
     /* 2181027 */   // Label 28692: @2181027
     /* 2181027 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2181118), // Rule ID 18673 //
     /* 2181032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181078 */     // MIs[0] round
     /* 2181078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181081 */     // MIs[0] policy
     /* 2181081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181091 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181117 */     // GIR_Coverage, 18673,
     /* 2181117 */     GIR_EraseRootFromParent_Done,
     /* 2181118 */   // Label 28693: @2181118
     /* 2181118 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2181209), // Rule ID 18674 //
     /* 2181123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181169 */     // MIs[0] round
     /* 2181169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181172 */     // MIs[0] policy
     /* 2181172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181182 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2181185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181208 */     // GIR_Coverage, 18674,
     /* 2181208 */     GIR_EraseRootFromParent_Done,
     /* 2181209 */   // Label 28694: @2181209
     /* 2181209 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2181300), // Rule ID 18677 //
     /* 2181214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181260 */     // MIs[0] round
     /* 2181260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181263 */     // MIs[0] policy
     /* 2181263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181299 */     // GIR_Coverage, 18677,
     /* 2181299 */     GIR_EraseRootFromParent_Done,
     /* 2181300 */   // Label 28695: @2181300
     /* 2181300 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2181391), // Rule ID 18678 //
     /* 2181305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181351 */     // MIs[0] round
     /* 2181351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181354 */     // MIs[0] policy
     /* 2181354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181364 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2181367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181390 */     // GIR_Coverage, 18678,
     /* 2181390 */     GIR_EraseRootFromParent_Done,
     /* 2181391 */   // Label 28696: @2181391
     /* 2181391 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2181482), // Rule ID 18681 //
     /* 2181396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181442 */     // MIs[0] round
     /* 2181442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181445 */     // MIs[0] policy
     /* 2181445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181455 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181481 */     // GIR_Coverage, 18681,
     /* 2181481 */     GIR_EraseRootFromParent_Done,
     /* 2181482 */   // Label 28697: @2181482
     /* 2181482 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2181573), // Rule ID 18682 //
     /* 2181487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2181504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181533 */     // MIs[0] round
     /* 2181533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181536 */     // MIs[0] policy
     /* 2181536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181546 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2181549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181572 */     // GIR_Coverage, 18682,
     /* 2181572 */     GIR_EraseRootFromParent_Done,
     /* 2181573 */   // Label 28698: @2181573
     /* 2181573 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2181664), // Rule ID 18685 //
     /* 2181578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2181595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181624 */     // MIs[0] round
     /* 2181624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181627 */     // MIs[0] policy
     /* 2181627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181637 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2181640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181663 */     // GIR_Coverage, 18685,
     /* 2181663 */     GIR_EraseRootFromParent_Done,
     /* 2181664 */   // Label 28699: @2181664
     /* 2181664 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2181755), // Rule ID 18686 //
     /* 2181669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2181686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2181689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181715 */     // MIs[0] round
     /* 2181715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181718 */     // MIs[0] policy
     /* 2181718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2181731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181754 */     // GIR_Coverage, 18686,
     /* 2181754 */     GIR_EraseRootFromParent_Done,
     /* 2181755 */   // Label 28700: @2181755
     /* 2181755 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2181846), // Rule ID 18689 //
     /* 2181760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2181777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181806 */     // MIs[0] round
     /* 2181806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181809 */     // MIs[0] policy
     /* 2181809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181819 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2181822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181845 */     // GIR_Coverage, 18689,
     /* 2181845 */     GIR_EraseRootFromParent_Done,
     /* 2181846 */   // Label 28701: @2181846
     /* 2181846 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2181937), // Rule ID 18690 //
     /* 2181851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2181868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181897 */     // MIs[0] round
     /* 2181897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181900 */     // MIs[0] policy
     /* 2181900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181910 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2181913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181936 */     // GIR_Coverage, 18690,
     /* 2181936 */     GIR_EraseRootFromParent_Done,
     /* 2181937 */   // Label 28702: @2181937
     /* 2181937 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2182028), // Rule ID 18693 //
     /* 2181942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2181959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181988 */     // MIs[0] round
     /* 2181988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181991 */     // MIs[0] policy
     /* 2181991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182001 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182027 */     // GIR_Coverage, 18693,
     /* 2182027 */     GIR_EraseRootFromParent_Done,
     /* 2182028 */   // Label 28703: @2182028
     /* 2182028 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2182119), // Rule ID 18694 //
     /* 2182033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182079 */     // MIs[0] round
     /* 2182079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182082 */     // MIs[0] policy
     /* 2182082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182092 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2182095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182118 */     // GIR_Coverage, 18694,
     /* 2182118 */     GIR_EraseRootFromParent_Done,
     /* 2182119 */   // Label 28704: @2182119
     /* 2182119 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2182210), // Rule ID 18697 //
     /* 2182124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182170 */     // MIs[0] round
     /* 2182170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182173 */     // MIs[0] policy
     /* 2182173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182183 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182209 */     // GIR_Coverage, 18697,
     /* 2182209 */     GIR_EraseRootFromParent_Done,
     /* 2182210 */   // Label 28705: @2182210
     /* 2182210 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2182301), // Rule ID 18698 //
     /* 2182215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182261 */     // MIs[0] round
     /* 2182261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182264 */     // MIs[0] policy
     /* 2182264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182274 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2182277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182300 */     // GIR_Coverage, 18698,
     /* 2182300 */     GIR_EraseRootFromParent_Done,
     /* 2182301 */   // Label 28706: @2182301
     /* 2182301 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2182392), // Rule ID 18701 //
     /* 2182306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182352 */     // MIs[0] round
     /* 2182352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182355 */     // MIs[0] policy
     /* 2182355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182365 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182391 */     // GIR_Coverage, 18701,
     /* 2182391 */     GIR_EraseRootFromParent_Done,
     /* 2182392 */   // Label 28707: @2182392
     /* 2182392 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2182483), // Rule ID 18702 //
     /* 2182397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182443 */     // MIs[0] round
     /* 2182443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182446 */     // MIs[0] policy
     /* 2182446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182456 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2182459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182482 */     // GIR_Coverage, 18702,
     /* 2182482 */     GIR_EraseRootFromParent_Done,
     /* 2182483 */   // Label 28708: @2182483
     /* 2182483 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2182574), // Rule ID 18705 //
     /* 2182488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182534 */     // MIs[0] round
     /* 2182534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182537 */     // MIs[0] policy
     /* 2182537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182547 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182573 */     // GIR_Coverage, 18705,
     /* 2182573 */     GIR_EraseRootFromParent_Done,
     /* 2182574 */   // Label 28709: @2182574
     /* 2182574 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2182665), // Rule ID 18706 //
     /* 2182579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182625 */     // MIs[0] round
     /* 2182625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182628 */     // MIs[0] policy
     /* 2182628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182638 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2182641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182664 */     // GIR_Coverage, 18706,
     /* 2182664 */     GIR_EraseRootFromParent_Done,
     /* 2182665 */   // Label 28710: @2182665
     /* 2182665 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2182756), // Rule ID 18709 //
     /* 2182670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182716 */     // MIs[0] round
     /* 2182716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182719 */     // MIs[0] policy
     /* 2182719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2182732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182755 */     // GIR_Coverage, 18709,
     /* 2182755 */     GIR_EraseRootFromParent_Done,
     /* 2182756 */   // Label 28711: @2182756
     /* 2182756 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2182847), // Rule ID 18710 //
     /* 2182761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182807 */     // MIs[0] round
     /* 2182807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182810 */     // MIs[0] policy
     /* 2182810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2182823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182846 */     // GIR_Coverage, 18710,
     /* 2182846 */     GIR_EraseRootFromParent_Done,
     /* 2182847 */   // Label 28712: @2182847
     /* 2182847 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2182938), // Rule ID 18713 //
     /* 2182852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182898 */     // MIs[0] round
     /* 2182898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182901 */     // MIs[0] policy
     /* 2182901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182911 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2182914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182937 */     // GIR_Coverage, 18713,
     /* 2182937 */     GIR_EraseRootFromParent_Done,
     /* 2182938 */   // Label 28713: @2182938
     /* 2182938 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2183029), // Rule ID 18714 //
     /* 2182943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182989 */     // MIs[0] round
     /* 2182989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182992 */     // MIs[0] policy
     /* 2182992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183002 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2183005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183028 */     // GIR_Coverage, 18714,
     /* 2183028 */     GIR_EraseRootFromParent_Done,
     /* 2183029 */   // Label 28714: @2183029
     /* 2183029 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2183120), // Rule ID 18717 //
     /* 2183034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183080 */     // MIs[0] round
     /* 2183080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183083 */     // MIs[0] policy
     /* 2183083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183093 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183119 */     // GIR_Coverage, 18717,
     /* 2183119 */     GIR_EraseRootFromParent_Done,
     /* 2183120 */   // Label 28715: @2183120
     /* 2183120 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2183211), // Rule ID 18718 //
     /* 2183125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183171 */     // MIs[0] round
     /* 2183171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183174 */     // MIs[0] policy
     /* 2183174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2183187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183210 */     // GIR_Coverage, 18718,
     /* 2183210 */     GIR_EraseRootFromParent_Done,
     /* 2183211 */   // Label 28716: @2183211
     /* 2183211 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2183302), // Rule ID 18721 //
     /* 2183216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183262 */     // MIs[0] round
     /* 2183262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183265 */     // MIs[0] policy
     /* 2183265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183275 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183301 */     // GIR_Coverage, 18721,
     /* 2183301 */     GIR_EraseRootFromParent_Done,
     /* 2183302 */   // Label 28717: @2183302
     /* 2183302 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2183393), // Rule ID 18722 //
     /* 2183307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183353 */     // MIs[0] round
     /* 2183353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183356 */     // MIs[0] policy
     /* 2183356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2183369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183392 */     // GIR_Coverage, 18722,
     /* 2183392 */     GIR_EraseRootFromParent_Done,
     /* 2183393 */   // Label 28718: @2183393
     /* 2183393 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2183484), // Rule ID 18725 //
     /* 2183398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183444 */     // MIs[0] round
     /* 2183444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183447 */     // MIs[0] policy
     /* 2183447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183457 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183483 */     // GIR_Coverage, 18725,
     /* 2183483 */     GIR_EraseRootFromParent_Done,
     /* 2183484 */   // Label 28719: @2183484
     /* 2183484 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2183575), // Rule ID 18726 //
     /* 2183489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183535 */     // MIs[0] round
     /* 2183535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183538 */     // MIs[0] policy
     /* 2183538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183548 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2183551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183574 */     // GIR_Coverage, 18726,
     /* 2183574 */     GIR_EraseRootFromParent_Done,
     /* 2183575 */   // Label 28720: @2183575
     /* 2183575 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2183666), // Rule ID 18729 //
     /* 2183580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183626 */     // MIs[0] round
     /* 2183626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183629 */     // MIs[0] policy
     /* 2183629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183639 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2183642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183665 */     // GIR_Coverage, 18729,
     /* 2183665 */     GIR_EraseRootFromParent_Done,
     /* 2183666 */   // Label 28721: @2183666
     /* 2183666 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2183757), // Rule ID 18730 //
     /* 2183671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2183679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183717 */     // MIs[0] round
     /* 2183717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183720 */     // MIs[0] policy
     /* 2183720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2183733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183756 */     // GIR_Coverage, 18730,
     /* 2183756 */     GIR_EraseRootFromParent_Done,
     /* 2183757 */   // Label 28722: @2183757
     /* 2183757 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2183848), // Rule ID 18733 //
     /* 2183762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183808 */     // MIs[0] round
     /* 2183808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183811 */     // MIs[0] policy
     /* 2183811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183821 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2183824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183847 */     // GIR_Coverage, 18733,
     /* 2183847 */     GIR_EraseRootFromParent_Done,
     /* 2183848 */   // Label 28723: @2183848
     /* 2183848 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2183939), // Rule ID 18734 //
     /* 2183853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2183870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183899 */     // MIs[0] round
     /* 2183899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183902 */     // MIs[0] policy
     /* 2183902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2183915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183938 */     // GIR_Coverage, 18734,
     /* 2183938 */     GIR_EraseRootFromParent_Done,
     /* 2183939 */   // Label 28724: @2183939
     /* 2183939 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2184030), // Rule ID 18737 //
     /* 2183944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2183961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183990 */     // MIs[0] round
     /* 2183990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183993 */     // MIs[0] policy
     /* 2183993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184003 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184029 */     // GIR_Coverage, 18737,
     /* 2184029 */     GIR_EraseRootFromParent_Done,
     /* 2184030 */   // Label 28725: @2184030
     /* 2184030 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2184121), // Rule ID 18738 //
     /* 2184035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2184052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184081 */     // MIs[0] round
     /* 2184081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184084 */     // MIs[0] policy
     /* 2184084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184094 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2184097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184120 */     // GIR_Coverage, 18738,
     /* 2184120 */     GIR_EraseRootFromParent_Done,
     /* 2184121 */   // Label 28726: @2184121
     /* 2184121 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2184212), // Rule ID 18741 //
     /* 2184126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184172 */     // MIs[0] round
     /* 2184172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184175 */     // MIs[0] policy
     /* 2184175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184185 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184211 */     // GIR_Coverage, 18741,
     /* 2184211 */     GIR_EraseRootFromParent_Done,
     /* 2184212 */   // Label 28727: @2184212
     /* 2184212 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2184303), // Rule ID 18742 //
     /* 2184217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2184234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184263 */     // MIs[0] round
     /* 2184263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184266 */     // MIs[0] policy
     /* 2184266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2184279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184302 */     // GIR_Coverage, 18742,
     /* 2184302 */     GIR_EraseRootFromParent_Done,
     /* 2184303 */   // Label 28728: @2184303
     /* 2184303 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2184394), // Rule ID 18745 //
     /* 2184308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184354 */     // MIs[0] round
     /* 2184354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184357 */     // MIs[0] policy
     /* 2184357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184393 */     // GIR_Coverage, 18745,
     /* 2184393 */     GIR_EraseRootFromParent_Done,
     /* 2184394 */   // Label 28729: @2184394
     /* 2184394 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2184485), // Rule ID 18746 //
     /* 2184399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2184416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184445 */     // MIs[0] round
     /* 2184445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184448 */     // MIs[0] policy
     /* 2184448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2184461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184484 */     // GIR_Coverage, 18746,
     /* 2184484 */     GIR_EraseRootFromParent_Done,
     /* 2184485 */   // Label 28730: @2184485
     /* 2184485 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2184576), // Rule ID 18749 //
     /* 2184490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184536 */     // MIs[0] round
     /* 2184536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184539 */     // MIs[0] policy
     /* 2184539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184549 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184575 */     // GIR_Coverage, 18749,
     /* 2184575 */     GIR_EraseRootFromParent_Done,
     /* 2184576 */   // Label 28731: @2184576
     /* 2184576 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2184667), // Rule ID 18750 //
     /* 2184581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2184598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184627 */     // MIs[0] round
     /* 2184627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184630 */     // MIs[0] policy
     /* 2184630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2184643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184666 */     // GIR_Coverage, 18750,
     /* 2184666 */     GIR_EraseRootFromParent_Done,
     /* 2184667 */   // Label 28732: @2184667
     /* 2184667 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2184758), // Rule ID 18753 //
     /* 2184672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184718 */     // MIs[0] round
     /* 2184718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184721 */     // MIs[0] policy
     /* 2184721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184731 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2184734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184757 */     // GIR_Coverage, 18753,
     /* 2184757 */     GIR_EraseRootFromParent_Done,
     /* 2184758 */   // Label 28733: @2184758
     /* 2184758 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2184849), // Rule ID 18754 //
     /* 2184763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184809 */     // MIs[0] round
     /* 2184809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184812 */     // MIs[0] policy
     /* 2184812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184822 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2184825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184848 */     // GIR_Coverage, 18754,
     /* 2184848 */     GIR_EraseRootFromParent_Done,
     /* 2184849 */   // Label 28734: @2184849
     /* 2184849 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2184940), // Rule ID 18757 //
     /* 2184854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184900 */     // MIs[0] round
     /* 2184900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184903 */     // MIs[0] policy
     /* 2184903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184913 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2184916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184939 */     // GIR_Coverage, 18757,
     /* 2184939 */     GIR_EraseRootFromParent_Done,
     /* 2184940 */   // Label 28735: @2184940
     /* 2184940 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2185031), // Rule ID 18758 //
     /* 2184945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184991 */     // MIs[0] round
     /* 2184991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184994 */     // MIs[0] policy
     /* 2184994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185004 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2185007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185030 */     // GIR_Coverage, 18758,
     /* 2185030 */     GIR_EraseRootFromParent_Done,
     /* 2185031 */   // Label 28736: @2185031
     /* 2185031 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2185122), // Rule ID 18761 //
     /* 2185036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185082 */     // MIs[0] round
     /* 2185082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185085 */     // MIs[0] policy
     /* 2185085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185095 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185121 */     // GIR_Coverage, 18761,
     /* 2185121 */     GIR_EraseRootFromParent_Done,
     /* 2185122 */   // Label 28737: @2185122
     /* 2185122 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2185213), // Rule ID 18762 //
     /* 2185127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185173 */     // MIs[0] round
     /* 2185173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185176 */     // MIs[0] policy
     /* 2185176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185186 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2185189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185212 */     // GIR_Coverage, 18762,
     /* 2185212 */     GIR_EraseRootFromParent_Done,
     /* 2185213 */   // Label 28738: @2185213
     /* 2185213 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2185304), // Rule ID 18765 //
     /* 2185218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185264 */     // MIs[0] round
     /* 2185264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185267 */     // MIs[0] policy
     /* 2185267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185277 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185303 */     // GIR_Coverage, 18765,
     /* 2185303 */     GIR_EraseRootFromParent_Done,
     /* 2185304 */   // Label 28739: @2185304
     /* 2185304 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2185395), // Rule ID 18766 //
     /* 2185309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185355 */     // MIs[0] round
     /* 2185355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185358 */     // MIs[0] policy
     /* 2185358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2185371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185394 */     // GIR_Coverage, 18766,
     /* 2185394 */     GIR_EraseRootFromParent_Done,
     /* 2185395 */   // Label 28740: @2185395
     /* 2185395 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2185486), // Rule ID 18769 //
     /* 2185400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185446 */     // MIs[0] round
     /* 2185446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185449 */     // MIs[0] policy
     /* 2185449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185459 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185485 */     // GIR_Coverage, 18769,
     /* 2185485 */     GIR_EraseRootFromParent_Done,
     /* 2185486 */   // Label 28741: @2185486
     /* 2185486 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2185577), // Rule ID 18770 //
     /* 2185491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185537 */     // MIs[0] round
     /* 2185537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185540 */     // MIs[0] policy
     /* 2185540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2185553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185576 */     // GIR_Coverage, 18770,
     /* 2185576 */     GIR_EraseRootFromParent_Done,
     /* 2185577 */   // Label 28742: @2185577
     /* 2185577 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2185668), // Rule ID 18773 //
     /* 2185582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185628 */     // MIs[0] round
     /* 2185628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185631 */     // MIs[0] policy
     /* 2185631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185641 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2185644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185667 */     // GIR_Coverage, 18773,
     /* 2185667 */     GIR_EraseRootFromParent_Done,
     /* 2185668 */   // Label 28743: @2185668
     /* 2185668 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2185759), // Rule ID 18774 //
     /* 2185673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185719 */     // MIs[0] round
     /* 2185719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185722 */     // MIs[0] policy
     /* 2185722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2185735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185758 */     // GIR_Coverage, 18774,
     /* 2185758 */     GIR_EraseRootFromParent_Done,
     /* 2185759 */   // Label 28744: @2185759
     /* 2185759 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2185850), // Rule ID 18777 //
     /* 2185764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185810 */     // MIs[0] round
     /* 2185810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185813 */     // MIs[0] policy
     /* 2185813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185823 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2185826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185849 */     // GIR_Coverage, 18777,
     /* 2185849 */     GIR_EraseRootFromParent_Done,
     /* 2185850 */   // Label 28745: @2185850
     /* 2185850 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2185941), // Rule ID 18778 //
     /* 2185855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185901 */     // MIs[0] round
     /* 2185901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185904 */     // MIs[0] policy
     /* 2185904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185914 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2185917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185940 */     // GIR_Coverage, 18778,
     /* 2185940 */     GIR_EraseRootFromParent_Done,
     /* 2185941 */   // Label 28746: @2185941
     /* 2185941 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2186032), // Rule ID 18781 //
     /* 2185946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2185957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2185960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2185966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185992 */     // MIs[0] round
     /* 2185992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185995 */     // MIs[0] policy
     /* 2185995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186005 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186031 */     // GIR_Coverage, 18781,
     /* 2186031 */     GIR_EraseRootFromParent_Done,
     /* 2186032 */   // Label 28747: @2186032
     /* 2186032 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2186123), // Rule ID 18782 //
     /* 2186037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186083 */     // MIs[0] round
     /* 2186083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186086 */     // MIs[0] policy
     /* 2186086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186096 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2186099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186122 */     // GIR_Coverage, 18782,
     /* 2186122 */     GIR_EraseRootFromParent_Done,
     /* 2186123 */   // Label 28748: @2186123
     /* 2186123 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2186214), // Rule ID 18785 //
     /* 2186128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186174 */     // MIs[0] round
     /* 2186174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186177 */     // MIs[0] policy
     /* 2186177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186187 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186213 */     // GIR_Coverage, 18785,
     /* 2186213 */     GIR_EraseRootFromParent_Done,
     /* 2186214 */   // Label 28749: @2186214
     /* 2186214 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2186305), // Rule ID 18786 //
     /* 2186219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186265 */     // MIs[0] round
     /* 2186265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186268 */     // MIs[0] policy
     /* 2186268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2186281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186304 */     // GIR_Coverage, 18786,
     /* 2186304 */     GIR_EraseRootFromParent_Done,
     /* 2186305 */   // Label 28750: @2186305
     /* 2186305 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2186396), // Rule ID 18789 //
     /* 2186310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186356 */     // MIs[0] round
     /* 2186356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186359 */     // MIs[0] policy
     /* 2186359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186369 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186395 */     // GIR_Coverage, 18789,
     /* 2186395 */     GIR_EraseRootFromParent_Done,
     /* 2186396 */   // Label 28751: @2186396
     /* 2186396 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2186487), // Rule ID 18790 //
     /* 2186401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186447 */     // MIs[0] round
     /* 2186447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186450 */     // MIs[0] policy
     /* 2186450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186460 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2186463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186486 */     // GIR_Coverage, 18790,
     /* 2186486 */     GIR_EraseRootFromParent_Done,
     /* 2186487 */   // Label 28752: @2186487
     /* 2186487 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2186578), // Rule ID 18793 //
     /* 2186492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186538 */     // MIs[0] round
     /* 2186538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186541 */     // MIs[0] policy
     /* 2186541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186551 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186577 */     // GIR_Coverage, 18793,
     /* 2186577 */     GIR_EraseRootFromParent_Done,
     /* 2186578 */   // Label 28753: @2186578
     /* 2186578 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2186669), // Rule ID 18794 //
     /* 2186583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186629 */     // MIs[0] round
     /* 2186629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186632 */     // MIs[0] policy
     /* 2186632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2186645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186668 */     // GIR_Coverage, 18794,
     /* 2186668 */     GIR_EraseRootFromParent_Done,
     /* 2186669 */   // Label 28754: @2186669
     /* 2186669 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2186760), // Rule ID 18797 //
     /* 2186674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186720 */     // MIs[0] round
     /* 2186720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186723 */     // MIs[0] policy
     /* 2186723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2186736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186759 */     // GIR_Coverage, 18797,
     /* 2186759 */     GIR_EraseRootFromParent_Done,
     /* 2186760 */   // Label 28755: @2186760
     /* 2186760 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2186851), // Rule ID 18798 //
     /* 2186765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186811 */     // MIs[0] round
     /* 2186811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186814 */     // MIs[0] policy
     /* 2186814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186824 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2186827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186850 */     // GIR_Coverage, 18798,
     /* 2186850 */     GIR_EraseRootFromParent_Done,
     /* 2186851 */   // Label 28756: @2186851
     /* 2186851 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2186942), // Rule ID 18801 //
     /* 2186856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186902 */     // MIs[0] round
     /* 2186902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186905 */     // MIs[0] policy
     /* 2186905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2186918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186941 */     // GIR_Coverage, 18801,
     /* 2186941 */     GIR_EraseRootFromParent_Done,
     /* 2186942 */   // Label 28757: @2186942
     /* 2186942 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2187033), // Rule ID 18802 //
     /* 2186947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2186955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186993 */     // MIs[0] round
     /* 2186993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186996 */     // MIs[0] policy
     /* 2186996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187006 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2187009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187032 */     // GIR_Coverage, 18802,
     /* 2187032 */     GIR_EraseRootFromParent_Done,
     /* 2187033 */   // Label 28758: @2187033
     /* 2187033 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2187124), // Rule ID 18805 //
     /* 2187038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187084 */     // MIs[0] round
     /* 2187084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187087 */     // MIs[0] policy
     /* 2187087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187123 */     // GIR_Coverage, 18805,
     /* 2187123 */     GIR_EraseRootFromParent_Done,
     /* 2187124 */   // Label 28759: @2187124
     /* 2187124 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2187215), // Rule ID 18806 //
     /* 2187129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187175 */     // MIs[0] round
     /* 2187175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187178 */     // MIs[0] policy
     /* 2187178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187188 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2187191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187214 */     // GIR_Coverage, 18806,
     /* 2187214 */     GIR_EraseRootFromParent_Done,
     /* 2187215 */   // Label 28760: @2187215
     /* 2187215 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2187306), // Rule ID 18809 //
     /* 2187220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187266 */     // MIs[0] round
     /* 2187266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187269 */     // MIs[0] policy
     /* 2187269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187279 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187305 */     // GIR_Coverage, 18809,
     /* 2187305 */     GIR_EraseRootFromParent_Done,
     /* 2187306 */   // Label 28761: @2187306
     /* 2187306 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2187397), // Rule ID 18810 //
     /* 2187311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187357 */     // MIs[0] round
     /* 2187357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187360 */     // MIs[0] policy
     /* 2187360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2187373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187396 */     // GIR_Coverage, 18810,
     /* 2187396 */     GIR_EraseRootFromParent_Done,
     /* 2187397 */   // Label 28762: @2187397
     /* 2187397 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2187488), // Rule ID 18813 //
     /* 2187402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187448 */     // MIs[0] round
     /* 2187448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187451 */     // MIs[0] policy
     /* 2187451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187461 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187487 */     // GIR_Coverage, 18813,
     /* 2187487 */     GIR_EraseRootFromParent_Done,
     /* 2187488 */   // Label 28763: @2187488
     /* 2187488 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2187579), // Rule ID 18814 //
     /* 2187493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2187510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187539 */     // MIs[0] round
     /* 2187539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187542 */     // MIs[0] policy
     /* 2187542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2187555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187578 */     // GIR_Coverage, 18814,
     /* 2187578 */     GIR_EraseRootFromParent_Done,
     /* 2187579 */   // Label 28764: @2187579
     /* 2187579 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2187670), // Rule ID 18817 //
     /* 2187584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187630 */     // MIs[0] round
     /* 2187630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187633 */     // MIs[0] policy
     /* 2187633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187643 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2187646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187669 */     // GIR_Coverage, 18817,
     /* 2187669 */     GIR_EraseRootFromParent_Done,
     /* 2187670 */   // Label 28765: @2187670
     /* 2187670 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2187761), // Rule ID 18818 //
     /* 2187675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2187692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187721 */     // MIs[0] round
     /* 2187721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187724 */     // MIs[0] policy
     /* 2187724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2187737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187760 */     // GIR_Coverage, 18818,
     /* 2187760 */     GIR_EraseRootFromParent_Done,
     /* 2187761 */   // Label 28766: @2187761
     /* 2187761 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2187852), // Rule ID 18821 //
     /* 2187766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2187783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187812 */     // MIs[0] round
     /* 2187812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187815 */     // MIs[0] policy
     /* 2187815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187825 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2187828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187851 */     // GIR_Coverage, 18821,
     /* 2187851 */     GIR_EraseRootFromParent_Done,
     /* 2187852 */   // Label 28767: @2187852
     /* 2187852 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2187943), // Rule ID 18822 //
     /* 2187857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2187874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187903 */     // MIs[0] round
     /* 2187903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187906 */     // MIs[0] policy
     /* 2187906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2187919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187942 */     // GIR_Coverage, 18822,
     /* 2187942 */     GIR_EraseRootFromParent_Done,
     /* 2187943 */   // Label 28768: @2187943
     /* 2187943 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2188034), // Rule ID 18825 //
     /* 2187948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2187959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2187962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2187965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2187968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187994 */     // MIs[0] round
     /* 2187994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187997 */     // MIs[0] policy
     /* 2187997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188033 */     // GIR_Coverage, 18825,
     /* 2188033 */     GIR_EraseRootFromParent_Done,
     /* 2188034 */   // Label 28769: @2188034
     /* 2188034 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2188125), // Rule ID 18826 //
     /* 2188039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188085 */     // MIs[0] round
     /* 2188085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188088 */     // MIs[0] policy
     /* 2188088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188098 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2188101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188124 */     // GIR_Coverage, 18826,
     /* 2188124 */     GIR_EraseRootFromParent_Done,
     /* 2188125 */   // Label 28770: @2188125
     /* 2188125 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2188216), // Rule ID 18829 //
     /* 2188130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188176 */     // MIs[0] round
     /* 2188176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188179 */     // MIs[0] policy
     /* 2188179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188215 */     // GIR_Coverage, 18829,
     /* 2188215 */     GIR_EraseRootFromParent_Done,
     /* 2188216 */   // Label 28771: @2188216
     /* 2188216 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2188307), // Rule ID 18830 //
     /* 2188221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188267 */     // MIs[0] round
     /* 2188267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188270 */     // MIs[0] policy
     /* 2188270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2188283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188306 */     // GIR_Coverage, 18830,
     /* 2188306 */     GIR_EraseRootFromParent_Done,
     /* 2188307 */   // Label 28772: @2188307
     /* 2188307 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2188398), // Rule ID 18833 //
     /* 2188312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188358 */     // MIs[0] round
     /* 2188358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188361 */     // MIs[0] policy
     /* 2188361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188397 */     // GIR_Coverage, 18833,
     /* 2188397 */     GIR_EraseRootFromParent_Done,
     /* 2188398 */   // Label 28773: @2188398
     /* 2188398 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2188489), // Rule ID 18834 //
     /* 2188403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2188420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188449 */     // MIs[0] round
     /* 2188449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188452 */     // MIs[0] policy
     /* 2188452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188462 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2188465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188488 */     // GIR_Coverage, 18834,
     /* 2188488 */     GIR_EraseRootFromParent_Done,
     /* 2188489 */   // Label 28774: @2188489
     /* 2188489 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2188580), // Rule ID 18837 //
     /* 2188494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188540 */     // MIs[0] round
     /* 2188540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188543 */     // MIs[0] policy
     /* 2188543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188579 */     // GIR_Coverage, 18837,
     /* 2188579 */     GIR_EraseRootFromParent_Done,
     /* 2188580 */   // Label 28775: @2188580
     /* 2188580 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2188671), // Rule ID 18838 //
     /* 2188585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2188602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188631 */     // MIs[0] round
     /* 2188631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188634 */     // MIs[0] policy
     /* 2188634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188644 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2188647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188670 */     // GIR_Coverage, 18838,
     /* 2188670 */     GIR_EraseRootFromParent_Done,
     /* 2188671 */   // Label 28776: @2188671
     /* 2188671 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2188762), // Rule ID 18841 //
     /* 2188676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188722 */     // MIs[0] round
     /* 2188722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188725 */     // MIs[0] policy
     /* 2188725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188735 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2188738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188761 */     // GIR_Coverage, 18841,
     /* 2188761 */     GIR_EraseRootFromParent_Done,
     /* 2188762 */   // Label 28777: @2188762
     /* 2188762 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2188853), // Rule ID 18842 //
     /* 2188767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188813 */     // MIs[0] round
     /* 2188813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188816 */     // MIs[0] policy
     /* 2188816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188826 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2188829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188852 */     // GIR_Coverage, 18842,
     /* 2188852 */     GIR_EraseRootFromParent_Done,
     /* 2188853 */   // Label 28778: @2188853
     /* 2188853 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2188944), // Rule ID 18845 //
     /* 2188858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188904 */     // MIs[0] round
     /* 2188904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188907 */     // MIs[0] policy
     /* 2188907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188917 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2188920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188943 */     // GIR_Coverage, 18845,
     /* 2188943 */     GIR_EraseRootFromParent_Done,
     /* 2188944 */   // Label 28779: @2188944
     /* 2188944 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2189035), // Rule ID 18846 //
     /* 2188949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188995 */     // MIs[0] round
     /* 2188995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188998 */     // MIs[0] policy
     /* 2188998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2189011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189034 */     // GIR_Coverage, 18846,
     /* 2189034 */     GIR_EraseRootFromParent_Done,
     /* 2189035 */   // Label 28780: @2189035
     /* 2189035 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2189126), // Rule ID 18849 //
     /* 2189040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189086 */     // MIs[0] round
     /* 2189086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189089 */     // MIs[0] policy
     /* 2189089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189099 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189125 */     // GIR_Coverage, 18849,
     /* 2189125 */     GIR_EraseRootFromParent_Done,
     /* 2189126 */   // Label 28781: @2189126
     /* 2189126 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2189217), // Rule ID 18850 //
     /* 2189131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2189151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189177 */     // MIs[0] round
     /* 2189177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189180 */     // MIs[0] policy
     /* 2189180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189190 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2189193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189216 */     // GIR_Coverage, 18850,
     /* 2189216 */     GIR_EraseRootFromParent_Done,
     /* 2189217 */   // Label 28782: @2189217
     /* 2189217 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2189308), // Rule ID 18853 //
     /* 2189222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189268 */     // MIs[0] round
     /* 2189268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189271 */     // MIs[0] policy
     /* 2189271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189281 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189307 */     // GIR_Coverage, 18853,
     /* 2189307 */     GIR_EraseRootFromParent_Done,
     /* 2189308 */   // Label 28783: @2189308
     /* 2189308 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2189399), // Rule ID 18854 //
     /* 2189313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189359 */     // MIs[0] round
     /* 2189359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189362 */     // MIs[0] policy
     /* 2189362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189372 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2189375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189398 */     // GIR_Coverage, 18854,
     /* 2189398 */     GIR_EraseRootFromParent_Done,
     /* 2189399 */   // Label 28784: @2189399
     /* 2189399 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2189490), // Rule ID 18857 //
     /* 2189404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189450 */     // MIs[0] round
     /* 2189450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189453 */     // MIs[0] policy
     /* 2189453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189463 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189489 */     // GIR_Coverage, 18857,
     /* 2189489 */     GIR_EraseRootFromParent_Done,
     /* 2189490 */   // Label 28785: @2189490
     /* 2189490 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2189581), // Rule ID 18858 //
     /* 2189495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2189512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189541 */     // MIs[0] round
     /* 2189541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189544 */     // MIs[0] policy
     /* 2189544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189554 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2189557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189580 */     // GIR_Coverage, 18858,
     /* 2189580 */     GIR_EraseRootFromParent_Done,
     /* 2189581 */   // Label 28786: @2189581
     /* 2189581 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2189672), // Rule ID 18861 //
     /* 2189586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189632 */     // MIs[0] round
     /* 2189632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189635 */     // MIs[0] policy
     /* 2189635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189645 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2189648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189671 */     // GIR_Coverage, 18861,
     /* 2189671 */     GIR_EraseRootFromParent_Done,
     /* 2189672 */   // Label 28787: @2189672
     /* 2189672 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2189763), // Rule ID 18862 //
     /* 2189677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189723 */     // MIs[0] round
     /* 2189723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189726 */     // MIs[0] policy
     /* 2189726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189736 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2189739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189762 */     // GIR_Coverage, 18862,
     /* 2189762 */     GIR_EraseRootFromParent_Done,
     /* 2189763 */   // Label 28788: @2189763
     /* 2189763 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2189854), // Rule ID 18865 //
     /* 2189768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189814 */     // MIs[0] round
     /* 2189814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189817 */     // MIs[0] policy
     /* 2189817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2189830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189853 */     // GIR_Coverage, 18865,
     /* 2189853 */     GIR_EraseRootFromParent_Done,
     /* 2189854 */   // Label 28789: @2189854
     /* 2189854 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2189945), // Rule ID 18866 //
     /* 2189859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189905 */     // MIs[0] round
     /* 2189905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189908 */     // MIs[0] policy
     /* 2189908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189918 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2189921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189944 */     // GIR_Coverage, 18866,
     /* 2189944 */     GIR_EraseRootFromParent_Done,
     /* 2189945 */   // Label 28790: @2189945
     /* 2189945 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2190036), // Rule ID 18869 //
     /* 2189950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2189961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2189964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2189970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189996 */     // MIs[0] round
     /* 2189996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189999 */     // MIs[0] policy
     /* 2189999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190009 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190035 */     // GIR_Coverage, 18869,
     /* 2190035 */     GIR_EraseRootFromParent_Done,
     /* 2190036 */   // Label 28791: @2190036
     /* 2190036 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2190127), // Rule ID 18870 //
     /* 2190041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2190061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190087 */     // MIs[0] round
     /* 2190087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190090 */     // MIs[0] policy
     /* 2190090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190100 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2190103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190126 */     // GIR_Coverage, 18870,
     /* 2190126 */     GIR_EraseRootFromParent_Done,
     /* 2190127 */   // Label 28792: @2190127
     /* 2190127 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2190218), // Rule ID 18873 //
     /* 2190132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190178 */     // MIs[0] round
     /* 2190178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190181 */     // MIs[0] policy
     /* 2190181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190191 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190217 */     // GIR_Coverage, 18873,
     /* 2190217 */     GIR_EraseRootFromParent_Done,
     /* 2190218 */   // Label 28793: @2190218
     /* 2190218 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2190309), // Rule ID 18874 //
     /* 2190223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2190231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2190243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190269 */     // MIs[0] round
     /* 2190269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190272 */     // MIs[0] policy
     /* 2190272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190282 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2190285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190308 */     // GIR_Coverage, 18874,
     /* 2190308 */     GIR_EraseRootFromParent_Done,
     /* 2190309 */   // Label 28794: @2190309
     /* 2190309 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2190400), // Rule ID 64083 //
     /* 2190314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190360 */     // MIs[0] round
     /* 2190360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190363 */     // MIs[0] policy
     /* 2190363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190373 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190399 */     // GIR_Coverage, 64083,
     /* 2190399 */     GIR_EraseRootFromParent_Done,
     /* 2190400 */   // Label 28795: @2190400
     /* 2190400 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2190491), // Rule ID 64084 //
     /* 2190405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190451 */     // MIs[0] round
     /* 2190451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190454 */     // MIs[0] policy
     /* 2190454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190464 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2190467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190490 */     // GIR_Coverage, 64084,
     /* 2190490 */     GIR_EraseRootFromParent_Done,
     /* 2190491 */   // Label 28796: @2190491
     /* 2190491 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2190582), // Rule ID 64087 //
     /* 2190496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190542 */     // MIs[0] round
     /* 2190542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190545 */     // MIs[0] policy
     /* 2190545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190581 */     // GIR_Coverage, 64087,
     /* 2190581 */     GIR_EraseRootFromParent_Done,
     /* 2190582 */   // Label 28797: @2190582
     /* 2190582 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2190673), // Rule ID 64088 //
     /* 2190587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190633 */     // MIs[0] round
     /* 2190633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190636 */     // MIs[0] policy
     /* 2190636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2190649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190672 */     // GIR_Coverage, 64088,
     /* 2190672 */     GIR_EraseRootFromParent_Done,
     /* 2190673 */   // Label 28798: @2190673
     /* 2190673 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2190764), // Rule ID 64091 //
     /* 2190678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190724 */     // MIs[0] round
     /* 2190724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190727 */     // MIs[0] policy
     /* 2190727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190737 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2190740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190763 */     // GIR_Coverage, 64091,
     /* 2190763 */     GIR_EraseRootFromParent_Done,
     /* 2190764 */   // Label 28799: @2190764
     /* 2190764 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2190855), // Rule ID 64092 //
     /* 2190769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190815 */     // MIs[0] round
     /* 2190815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190818 */     // MIs[0] policy
     /* 2190818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2190831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190854 */     // GIR_Coverage, 64092,
     /* 2190854 */     GIR_EraseRootFromParent_Done,
     /* 2190855 */   // Label 28800: @2190855
     /* 2190855 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2190946), // Rule ID 64095 //
     /* 2190860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2190871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2190874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190906 */     // MIs[0] round
     /* 2190906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190909 */     // MIs[0] policy
     /* 2190909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2190922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190945 */     // GIR_Coverage, 64095,
     /* 2190945 */     GIR_EraseRootFromParent_Done,
     /* 2190946 */   // Label 28801: @2190946
     /* 2190946 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2191037), // Rule ID 64096 //
     /* 2190951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2190959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2190962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2190965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190997 */     // MIs[0] round
     /* 2190997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191000 */     // MIs[0] policy
     /* 2191000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2191013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191036 */     // GIR_Coverage, 64096,
     /* 2191036 */     GIR_EraseRootFromParent_Done,
     /* 2191037 */   // Label 28802: @2191037
     /* 2191037 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2191128), // Rule ID 64099 //
     /* 2191042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191088 */     // MIs[0] round
     /* 2191088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191091 */     // MIs[0] policy
     /* 2191091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191101 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191127 */     // GIR_Coverage, 64099,
     /* 2191127 */     GIR_EraseRootFromParent_Done,
     /* 2191128 */   // Label 28803: @2191128
     /* 2191128 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2191219), // Rule ID 64100 //
     /* 2191133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2191141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191179 */     // MIs[0] round
     /* 2191179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191182 */     // MIs[0] policy
     /* 2191182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2191195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191218 */     // GIR_Coverage, 64100,
     /* 2191218 */     GIR_EraseRootFromParent_Done,
     /* 2191219 */   // Label 28804: @2191219
     /* 2191219 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2191310), // Rule ID 64103 //
     /* 2191224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191270 */     // MIs[0] round
     /* 2191270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191273 */     // MIs[0] policy
     /* 2191273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191309 */     // GIR_Coverage, 64103,
     /* 2191309 */     GIR_EraseRootFromParent_Done,
     /* 2191310 */   // Label 28805: @2191310
     /* 2191310 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2191401), // Rule ID 64104 //
     /* 2191315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2191326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2191329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191361 */     // MIs[0] round
     /* 2191361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191364 */     // MIs[0] policy
     /* 2191364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2191377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191400 */     // GIR_Coverage, 64104,
     /* 2191400 */     GIR_EraseRootFromParent_Done,
     /* 2191401 */   // Label 28806: @2191401
     /* 2191401 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2191492), // Rule ID 64107 //
     /* 2191406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191452 */     // MIs[0] round
     /* 2191452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191455 */     // MIs[0] policy
     /* 2191455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191465 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191491 */     // GIR_Coverage, 64107,
     /* 2191491 */     GIR_EraseRootFromParent_Done,
     /* 2191492 */   // Label 28807: @2191492
     /* 2191492 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2191583), // Rule ID 64108 //
     /* 2191497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2191508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2191511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2191514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191543 */     // MIs[0] round
     /* 2191543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191546 */     // MIs[0] policy
     /* 2191546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2191559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191582 */     // GIR_Coverage, 64108,
     /* 2191582 */     GIR_EraseRootFromParent_Done,
     /* 2191583 */   // Label 28808: @2191583
     /* 2191583 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2191674), // Rule ID 64111 //
     /* 2191588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191634 */     // MIs[0] round
     /* 2191634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191637 */     // MIs[0] policy
     /* 2191637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2191650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191673 */     // GIR_Coverage, 64111,
     /* 2191673 */     GIR_EraseRootFromParent_Done,
     /* 2191674 */   // Label 28809: @2191674
     /* 2191674 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2191765), // Rule ID 64112 //
     /* 2191679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2191690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2191693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2191696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191725 */     // MIs[0] round
     /* 2191725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191728 */     // MIs[0] policy
     /* 2191728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191738 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2191741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191764 */     // GIR_Coverage, 64112,
     /* 2191764 */     GIR_EraseRootFromParent_Done,
     /* 2191765 */   // Label 28810: @2191765
     /* 2191765 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2191856), // Rule ID 64115 //
     /* 2191770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191816 */     // MIs[0] round
     /* 2191816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191819 */     // MIs[0] policy
     /* 2191819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2191832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191855 */     // GIR_Coverage, 64115,
     /* 2191855 */     GIR_EraseRootFromParent_Done,
     /* 2191856 */   // Label 28811: @2191856
     /* 2191856 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2191947), // Rule ID 64116 //
     /* 2191861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2191864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2191872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2191875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2191878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191907 */     // MIs[0] round
     /* 2191907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191910 */     // MIs[0] policy
     /* 2191910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2191923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191946 */     // GIR_Coverage, 64116,
     /* 2191946 */     GIR_EraseRootFromParent_Done,
     /* 2191947 */   // Label 28812: @2191947
     /* 2191947 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2192038), // Rule ID 64119 //
     /* 2191952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2191955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2191960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2191963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2191966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2191969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191998 */     // MIs[0] round
     /* 2191998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192001 */     // MIs[0] policy
     /* 2192001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192037 */     // GIR_Coverage, 64119,
     /* 2192037 */     GIR_EraseRootFromParent_Done,
     /* 2192038 */   // Label 28813: @2192038
     /* 2192038 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2192129), // Rule ID 64120 //
     /* 2192043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2192046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2192051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2192054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2192057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2192060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192089 */     // MIs[0] round
     /* 2192089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192092 */     // MIs[0] policy
     /* 2192092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2192105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192128 */     // GIR_Coverage, 64120,
     /* 2192128 */     GIR_EraseRootFromParent_Done,
     /* 2192129 */   // Label 28814: @2192129
     /* 2192129 */   GIM_Reject,
     /* 2192130 */ // Label 26770: @2192130
     /* 2192130 */ GIM_Reject,
     /* 2192131 */ // Label 38: @2192131
     /* 2192131 */ GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2192214), // Rule ID 35 //
     /* 2192136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2192139 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2192142 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2192147 */   // MIs[0] Operand 1
     /* 2192147 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2192151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2192155 */   // MIs[0] ptr
     /* 2192155 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2192163 */   // MIs[0] accessinfo
     /* 2192163 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2192166 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2192166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192170 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192176 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2192180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2192183 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2192185 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2192187 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2192190 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2192193 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2192196 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2192199 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2192202 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2192205 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2192208 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192213 */   // GIR_Coverage, 35,
     /* 2192213 */   GIR_EraseRootFromParent_Done,
     /* 2192214 */ // Label 28815: @2192214
     /* 2192214 */ GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2193119),
     /* 2192219 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2192222 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2192294), // Rule ID 614 //
     /* 2192227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2192235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192248 */     // MIs[0] addr
     /* 2192248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192264 */     // MIs[0] ordering
     /* 2192264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192267 */     // (intrinsic_w_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192275 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192280 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192282 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192284 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192286 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192293 */     // GIR_Coverage, 614,
     /* 2192293 */     GIR_EraseRootFromParent_Done,
     /* 2192294 */   // Label 28817: @2192294
     /* 2192294 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2192366), // Rule ID 615 //
     /* 2192299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2192307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192320 */     // MIs[0] addr
     /* 2192320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192336 */     // MIs[0] ordering
     /* 2192336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192339 */     // (intrinsic_w_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192347 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192352 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192354 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192356 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192358 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192365 */     // GIR_Coverage, 615,
     /* 2192365 */     GIR_EraseRootFromParent_Done,
     /* 2192366 */   // Label 28818: @2192366
     /* 2192366 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2192438), // Rule ID 616 //
     /* 2192371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2192379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192392 */     // MIs[0] addr
     /* 2192392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192408 */     // MIs[0] ordering
     /* 2192408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192411 */     // (intrinsic_w_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192419 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192424 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192426 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192428 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192430 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192437 */     // GIR_Coverage, 616,
     /* 2192437 */     GIR_EraseRootFromParent_Done,
     /* 2192438 */   // Label 28819: @2192438
     /* 2192438 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2192510), // Rule ID 617 //
     /* 2192443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2192451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192464 */     // MIs[0] addr
     /* 2192464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192480 */     // MIs[0] ordering
     /* 2192480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192483 */     // (intrinsic_w_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192491 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192496 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192498 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192500 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192502 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192509 */     // GIR_Coverage, 617,
     /* 2192509 */     GIR_EraseRootFromParent_Done,
     /* 2192510 */   // Label 28820: @2192510
     /* 2192510 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2192590), // Rule ID 620 //
     /* 2192515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2192523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192536 */     // MIs[0] addr
     /* 2192536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192552 */     // MIs[0] ordering
     /* 2192552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192555 */     // (intrinsic_w_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192555 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2192564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192566 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192571 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192576 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192578 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192580 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192582 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192589 */     // GIR_Coverage, 620,
     /* 2192589 */     GIR_EraseRootFromParent_Done,
     /* 2192590 */   // Label 28821: @2192590
     /* 2192590 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2192670), // Rule ID 621 //
     /* 2192595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2192603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192616 */     // MIs[0] addr
     /* 2192616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192632 */     // MIs[0] ordering
     /* 2192632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192635 */     // (intrinsic_w_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192635 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2192644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192646 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192651 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192656 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192658 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192660 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192662 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192669 */     // GIR_Coverage, 621,
     /* 2192669 */     GIR_EraseRootFromParent_Done,
     /* 2192670 */   // Label 28822: @2192670
     /* 2192670 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2192742), // Rule ID 627 //
     /* 2192675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2192683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192696 */     // MIs[0] addr
     /* 2192696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192712 */     // MIs[0] ordering
     /* 2192712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192715 */     // (intrinsic_w_chain:{ *:[i64] } 10953:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2192721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192723 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192728 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192730 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192732 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192734 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192741 */     // GIR_Coverage, 627,
     /* 2192741 */     GIR_EraseRootFromParent_Done,
     /* 2192742 */   // Label 28823: @2192742
     /* 2192742 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2192814), // Rule ID 628 //
     /* 2192747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2192755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192768 */     // MIs[0] addr
     /* 2192768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192784 */     // MIs[0] ordering
     /* 2192784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192787 */     // (intrinsic_w_chain:{ *:[i64] } 10939:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2192793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192795 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192800 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192802 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192804 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192806 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192813 */     // GIR_Coverage, 628,
     /* 2192813 */     GIR_EraseRootFromParent_Done,
     /* 2192814 */   // Label 28824: @2192814
     /* 2192814 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2192886), // Rule ID 629 //
     /* 2192819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2192827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192840 */     // MIs[0] addr
     /* 2192840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192856 */     // MIs[0] ordering
     /* 2192856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192859 */     // (intrinsic_w_chain:{ *:[i64] } 10947:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2192865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192867 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192872 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192874 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192876 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192878 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192885 */     // GIR_Coverage, 629,
     /* 2192885 */     GIR_EraseRootFromParent_Done,
     /* 2192886 */   // Label 28825: @2192886
     /* 2192886 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2192958), // Rule ID 630 //
     /* 2192891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2192899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192912 */     // MIs[0] addr
     /* 2192912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192928 */     // MIs[0] ordering
     /* 2192928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2192931 */     // (intrinsic_w_chain:{ *:[i64] } 10945:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2192937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192939 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192944 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192946 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192948 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192950 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2192952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192957 */     // GIR_Coverage, 630,
     /* 2192957 */     GIR_EraseRootFromParent_Done,
     /* 2192958 */   // Label 28826: @2192958
     /* 2192958 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2193038), // Rule ID 633 //
     /* 2192963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2192971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192984 */     // MIs[0] addr
     /* 2192984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193000 */     // MIs[0] ordering
     /* 2193000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193003 */     // (intrinsic_w_chain:{ *:[i64] } 10949:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193003 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2193012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193014 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193019 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193024 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193026 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193028 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193030 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193037 */     // GIR_Coverage, 633,
     /* 2193037 */     GIR_EraseRootFromParent_Done,
     /* 2193038 */   // Label 28827: @2193038
     /* 2193038 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2193118), // Rule ID 634 //
     /* 2193043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2193051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193064 */     // MIs[0] addr
     /* 2193064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193080 */     // MIs[0] ordering
     /* 2193080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2193083 */     // (intrinsic_w_chain:{ *:[i64] } 10951:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193083 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2193092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193094 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193099 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193104 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193106 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193108 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193110 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2193112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193117 */     // GIR_Coverage, 634,
     /* 2193117 */     GIR_EraseRootFromParent_Done,
     /* 2193118 */   // Label 28828: @2193118
     /* 2193118 */   GIM_Reject,
     /* 2193119 */ // Label 28816: @2193119
     /* 2193119 */ GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2193646),
     /* 2193124 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2193127 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2193216), // Rule ID 618 //
     /* 2193132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2193140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193156 */     // MIs[0] addr
     /* 2193156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193176 */     // MIs[0] ordering
     /* 2193176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193179 */     // (intrinsic_w_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193179 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193190 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193195 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193200 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193202 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193204 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193206 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193208 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193215 */     // GIR_Coverage, 618,
     /* 2193215 */     GIR_EraseRootFromParent_Done,
     /* 2193216 */   // Label 28830: @2193216
     /* 2193216 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2193305), // Rule ID 619 //
     /* 2193221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2193229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193245 */     // MIs[0] addr
     /* 2193245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193265 */     // MIs[0] ordering
     /* 2193265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193268 */     // (intrinsic_w_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2193268 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193279 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193284 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193289 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193291 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193293 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193295 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193297 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193304 */     // GIR_Coverage, 619,
     /* 2193304 */     GIR_EraseRootFromParent_Done,
     /* 2193305 */   // Label 28831: @2193305
     /* 2193305 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2193394), // Rule ID 631 //
     /* 2193310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2193318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193334 */     // MIs[0] addr
     /* 2193334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193354 */     // MIs[0] ordering
     /* 2193354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193357 */     // (intrinsic_w_chain:{ *:[i64] } 10941:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193357 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2193366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193368 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193373 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193378 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193380 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193382 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193384 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193386 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193393 */     // GIR_Coverage, 631,
     /* 2193393 */     GIR_EraseRootFromParent_Done,
     /* 2193394 */   // Label 28832: @2193394
     /* 2193394 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2193483), // Rule ID 632 //
     /* 2193399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2193407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193423 */     // MIs[0] addr
     /* 2193423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193443 */     // MIs[0] ordering
     /* 2193443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193446 */     // (intrinsic_w_chain:{ *:[i64] } 10943:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2193446 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2193449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2193455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193457 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193462 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193467 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193469 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2193471 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2193473 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2193475 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193482 */     // GIR_Coverage, 632,
     /* 2193482 */     GIR_EraseRootFromParent_Done,
     /* 2193483 */   // Label 28833: @2193483
     /* 2193483 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2193564), // Rule ID 650 //
     /* 2193488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2193491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2193496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2193499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2193502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2193505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2193508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193512 */     // MIs[0] addr
     /* 2193512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193532 */     // MIs[0] ordering
     /* 2193532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193535 */     // (intrinsic_w_chain:{ *:[i32] } 10954:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2193535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193543 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193548 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193550 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193552 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193554 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193556 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193563 */     // GIR_Coverage, 650,
     /* 2193563 */     GIR_EraseRootFromParent_Done,
     /* 2193564 */   // Label 28834: @2193564
     /* 2193564 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2193645), // Rule ID 651 //
     /* 2193569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2193572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2193577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2193580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2193586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2193589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193593 */     // MIs[0] addr
     /* 2193593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2193597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2193613 */     // MIs[0] ordering
     /* 2193613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193616 */     // (intrinsic_w_chain:{ *:[i64] } 10955:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2193616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2193619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2193622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2193624 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2193629 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2193631 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2193633 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2193635 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2193637 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2193639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2193643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193644 */     // GIR_Coverage, 651,
     /* 2193644 */     GIR_EraseRootFromParent_Done,
     /* 2193645 */   // Label 28835: @2193645
     /* 2193645 */   GIM_Reject,
     /* 2193646 */ // Label 28829: @2193646
     /* 2193646 */ GIM_Reject,
     /* 2193647 */ // Label 39: @2193647
     /* 2193647 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28851*/ GIMT_Encode4(2196767),
     /* 2193658 */ /*GILLT_nxv1s16*//*Label 28836*/ GIMT_Encode4(2193758),
     /* 2193662 */ /*GILLT_nxv1s32*//*Label 28837*/ GIMT_Encode4(2193862),
     /* 2193666 */ /*GILLT_nxv1s64*//*Label 28838*/ GIMT_Encode4(2194079), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193678 */ /*GILLT_nxv2s16*//*Label 28839*/ GIMT_Encode4(2194404),
     /* 2193682 */ /*GILLT_nxv2s32*//*Label 28840*/ GIMT_Encode4(2194508),
     /* 2193686 */ /*GILLT_nxv2s64*//*Label 28841*/ GIMT_Encode4(2194725), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193698 */ /*GILLT_nxv4s16*//*Label 28842*/ GIMT_Encode4(2195050),
     /* 2193702 */ /*GILLT_nxv4s32*//*Label 28843*/ GIMT_Encode4(2195154),
     /* 2193706 */ /*GILLT_nxv4s64*//*Label 28844*/ GIMT_Encode4(2195371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193718 */ /*GILLT_nxv8s16*//*Label 28845*/ GIMT_Encode4(2195696),
     /* 2193722 */ /*GILLT_nxv8s32*//*Label 28846*/ GIMT_Encode4(2195800),
     /* 2193726 */ /*GILLT_nxv8s64*//*Label 28847*/ GIMT_Encode4(2196017), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193738 */ /*GILLT_nxv16s16*//*Label 28848*/ GIMT_Encode4(2196342),
     /* 2193742 */ /*GILLT_nxv16s32*//*Label 28849*/ GIMT_Encode4(2196446), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2193754 */ /*GILLT_nxv32s16*//*Label 28850*/ GIMT_Encode4(2196663),
     /* 2193758 */ // Label 28836: @2193758
     /* 2193758 */ GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2193861),
     /* 2193763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2193766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193774 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2193817), // Rule ID 47353 //
     /* 2193779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193782 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2193785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2193799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193816 */     // GIR_Coverage, 47353,
     /* 2193816 */     GIR_EraseRootFromParent_Done,
     /* 2193817 */   // Label 28853: @2193817
     /* 2193817 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2193860), // Rule ID 47354 //
     /* 2193822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193825 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2193828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2193842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193859 */     // GIR_Coverage, 47354,
     /* 2193859 */     GIR_EraseRootFromParent_Done,
     /* 2193860 */   // Label 28854: @2193860
     /* 2193860 */   GIM_Reject,
     /* 2193861 */ // Label 28852: @2193861
     /* 2193861 */ GIM_Reject,
     /* 2193862 */ // Label 28837: @2193862
     /* 2193862 */ GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2193916), // Rule ID 47377 //
     /* 2193867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193881 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193881 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2193884 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193888 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2193898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193903 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193915 */   // GIR_Coverage, 47377,
     /* 2193915 */   GIR_EraseRootFromParent_Done,
     /* 2193916 */ // Label 28855: @2193916
     /* 2193916 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2193970), // Rule ID 47378 //
     /* 2193921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193935 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2193938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2193952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193957 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193969 */   // GIR_Coverage, 47378,
     /* 2193969 */   GIR_EraseRootFromParent_Done,
     /* 2193970 */ // Label 28856: @2193970
     /* 2193970 */ GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194024), // Rule ID 47443 //
     /* 2193975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2193981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193989 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2193992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194001 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194008 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194023 */   // GIR_Coverage, 47443,
     /* 2194023 */   GIR_EraseRootFromParent_Done,
     /* 2194024 */ // Label 28857: @2194024
     /* 2194024 */ GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194078), // Rule ID 47444 //
     /* 2194029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194043 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194043 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2194046 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194050 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2194060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194065 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194077 */   // GIR_Coverage, 47444,
     /* 2194077 */   GIR_EraseRootFromParent_Done,
     /* 2194078 */ // Label 28858: @2194078
     /* 2194078 */ GIM_Reject,
     /* 2194079 */ // Label 28838: @2194079
     /* 2194079 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194133), // Rule ID 47397 //
     /* 2194084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194098 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194132 */   // GIR_Coverage, 47397,
     /* 2194132 */   GIR_EraseRootFromParent_Done,
     /* 2194133 */ // Label 28859: @2194133
     /* 2194133 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194187), // Rule ID 47398 //
     /* 2194138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2194144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194152 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194152 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194155 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194159 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194171 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194174 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194186 */   // GIR_Coverage, 47398,
     /* 2194186 */   GIR_EraseRootFromParent_Done,
     /* 2194187 */ // Label 28860: @2194187
     /* 2194187 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194241), // Rule ID 47463 //
     /* 2194192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194206 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194225 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194228 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194240 */   // GIR_Coverage, 47463,
     /* 2194240 */   GIR_EraseRootFromParent_Done,
     /* 2194241 */ // Label 28861: @2194241
     /* 2194241 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194295), // Rule ID 47464 //
     /* 2194246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2194252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194260 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194272 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194279 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194282 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194294 */   // GIR_Coverage, 47464,
     /* 2194294 */   GIR_EraseRootFromParent_Done,
     /* 2194295 */ // Label 28862: @2194295
     /* 2194295 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2194349), // Rule ID 47497 //
     /* 2194300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194314 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194314 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194317 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194321 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194336 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194348 */   // GIR_Coverage, 47497,
     /* 2194348 */   GIR_EraseRootFromParent_Done,
     /* 2194349 */ // Label 28863: @2194349
     /* 2194349 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2194403), // Rule ID 47498 //
     /* 2194354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2194360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194368 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194368 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2194371 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194375 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194380 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2194385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194387 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194402 */   // GIR_Coverage, 47498,
     /* 2194402 */   GIR_EraseRootFromParent_Done,
     /* 2194403 */ // Label 28864: @2194403
     /* 2194403 */ GIM_Reject,
     /* 2194404 */ // Label 28839: @2194404
     /* 2194404 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2194507),
     /* 2194409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194420 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2194463), // Rule ID 47357 //
     /* 2194425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194428 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194462 */     // GIR_Coverage, 47357,
     /* 2194462 */     GIR_EraseRootFromParent_Done,
     /* 2194463 */   // Label 28866: @2194463
     /* 2194463 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2194506), // Rule ID 47358 //
     /* 2194468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194471 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2194474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2194488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194505 */     // GIR_Coverage, 47358,
     /* 2194505 */     GIR_EraseRootFromParent_Done,
     /* 2194506 */   // Label 28867: @2194506
     /* 2194506 */   GIM_Reject,
     /* 2194507 */ // Label 28865: @2194507
     /* 2194507 */ GIM_Reject,
     /* 2194508 */ // Label 28840: @2194508
     /* 2194508 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2194562), // Rule ID 47381 //
     /* 2194513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194527 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194561 */   // GIR_Coverage, 47381,
     /* 2194561 */   GIR_EraseRootFromParent_Done,
     /* 2194562 */ // Label 28868: @2194562
     /* 2194562 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2194616), // Rule ID 47382 //
     /* 2194567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194581 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2194598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194615 */   // GIR_Coverage, 47382,
     /* 2194615 */   GIR_EraseRootFromParent_Done,
     /* 2194616 */ // Label 28869: @2194616
     /* 2194616 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194670), // Rule ID 47447 //
     /* 2194621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194635 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194669 */   // GIR_Coverage, 47447,
     /* 2194669 */   GIR_EraseRootFromParent_Done,
     /* 2194670 */ // Label 28870: @2194670
     /* 2194670 */ GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194724), // Rule ID 47448 //
     /* 2194675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194689 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2194692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2194706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194723 */   // GIR_Coverage, 47448,
     /* 2194723 */   GIR_EraseRootFromParent_Done,
     /* 2194724 */ // Label 28871: @2194724
     /* 2194724 */ GIM_Reject,
     /* 2194725 */ // Label 28841: @2194725
     /* 2194725 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2194779), // Rule ID 47401 //
     /* 2194730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2194736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194744 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194778 */   // GIR_Coverage, 47401,
     /* 2194778 */   GIR_EraseRootFromParent_Done,
     /* 2194779 */ // Label 28872: @2194779
     /* 2194779 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2194833), // Rule ID 47402 //
     /* 2194784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2194790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194798 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194832 */   // GIR_Coverage, 47402,
     /* 2194832 */   GIR_EraseRootFromParent_Done,
     /* 2194833 */ // Label 28873: @2194833
     /* 2194833 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2194887), // Rule ID 47467 //
     /* 2194838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194852 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194886 */   // GIR_Coverage, 47467,
     /* 2194886 */   GIR_EraseRootFromParent_Done,
     /* 2194887 */ // Label 28874: @2194887
     /* 2194887 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2194941), // Rule ID 47468 //
     /* 2194892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2194898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194906 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194940 */   // GIR_Coverage, 47468,
     /* 2194940 */   GIR_EraseRootFromParent_Done,
     /* 2194941 */ // Label 28875: @2194941
     /* 2194941 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2194995), // Rule ID 47501 //
     /* 2194946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2194952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194960 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2194963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2194977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194994 */   // GIR_Coverage, 47501,
     /* 2194994 */   GIR_EraseRootFromParent_Done,
     /* 2194995 */ // Label 28876: @2194995
     /* 2194995 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2195049), // Rule ID 47502 //
     /* 2195000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2195006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195014 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2195017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2195031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195048 */   // GIR_Coverage, 47502,
     /* 2195048 */   GIR_EraseRootFromParent_Done,
     /* 2195049 */ // Label 28877: @2195049
     /* 2195049 */ GIM_Reject,
     /* 2195050 */ // Label 28842: @2195050
     /* 2195050 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2195153),
     /* 2195055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195066 */   GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2195109), // Rule ID 47361 //
     /* 2195071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195074 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195108 */     // GIR_Coverage, 47361,
     /* 2195108 */     GIR_EraseRootFromParent_Done,
     /* 2195109 */   // Label 28879: @2195109
     /* 2195109 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2195152), // Rule ID 47362 //
     /* 2195114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195117 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2195120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195151 */     // GIR_Coverage, 47362,
     /* 2195151 */     GIR_EraseRootFromParent_Done,
     /* 2195152 */   // Label 28880: @2195152
     /* 2195152 */   GIM_Reject,
     /* 2195153 */ // Label 28878: @2195153
     /* 2195153 */ GIM_Reject,
     /* 2195154 */ // Label 28843: @2195154
     /* 2195154 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195208), // Rule ID 47385 //
     /* 2195159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195173 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195207 */   // GIR_Coverage, 47385,
     /* 2195207 */   GIR_EraseRootFromParent_Done,
     /* 2195208 */ // Label 28881: @2195208
     /* 2195208 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195262), // Rule ID 47386 //
     /* 2195213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195227 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195261 */   // GIR_Coverage, 47386,
     /* 2195261 */   GIR_EraseRootFromParent_Done,
     /* 2195262 */ // Label 28882: @2195262
     /* 2195262 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195316), // Rule ID 47451 //
     /* 2195267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195281 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195315 */   // GIR_Coverage, 47451,
     /* 2195315 */   GIR_EraseRootFromParent_Done,
     /* 2195316 */ // Label 28883: @2195316
     /* 2195316 */ GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195370), // Rule ID 47452 //
     /* 2195321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195335 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2195338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2195352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195369 */   // GIR_Coverage, 47452,
     /* 2195369 */   GIR_EraseRootFromParent_Done,
     /* 2195370 */ // Label 28884: @2195370
     /* 2195370 */ GIM_Reject,
     /* 2195371 */ // Label 28844: @2195371
     /* 2195371 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195425), // Rule ID 47405 //
     /* 2195376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195390 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195424 */   // GIR_Coverage, 47405,
     /* 2195424 */   GIR_EraseRootFromParent_Done,
     /* 2195425 */ // Label 28885: @2195425
     /* 2195425 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195479), // Rule ID 47406 //
     /* 2195430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195444 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195478 */   // GIR_Coverage, 47406,
     /* 2195478 */   GIR_EraseRootFromParent_Done,
     /* 2195479 */ // Label 28886: @2195479
     /* 2195479 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195533), // Rule ID 47471 //
     /* 2195484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195498 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195532 */   // GIR_Coverage, 47471,
     /* 2195532 */   GIR_EraseRootFromParent_Done,
     /* 2195533 */ // Label 28887: @2195533
     /* 2195533 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195587), // Rule ID 47472 //
     /* 2195538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2195544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195552 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195586 */   // GIR_Coverage, 47472,
     /* 2195586 */   GIR_EraseRootFromParent_Done,
     /* 2195587 */ // Label 28888: @2195587
     /* 2195587 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195641), // Rule ID 47505 //
     /* 2195592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195606 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2195623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195625 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195640 */   // GIR_Coverage, 47505,
     /* 2195640 */   GIR_EraseRootFromParent_Done,
     /* 2195641 */ // Label 28889: @2195641
     /* 2195641 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195695), // Rule ID 47506 //
     /* 2195646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2195652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195660 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2195663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2195677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195694 */   // GIR_Coverage, 47506,
     /* 2195694 */   GIR_EraseRootFromParent_Done,
     /* 2195695 */ // Label 28890: @2195695
     /* 2195695 */ GIM_Reject,
     /* 2195696 */ // Label 28845: @2195696
     /* 2195696 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195799),
     /* 2195701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195712 */   GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2195755), // Rule ID 47365 //
     /* 2195717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195720 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2195723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195754 */     // GIR_Coverage, 47365,
     /* 2195754 */     GIR_EraseRootFromParent_Done,
     /* 2195755 */   // Label 28892: @2195755
     /* 2195755 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2195798), // Rule ID 47366 //
     /* 2195760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195763 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2195766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2195780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195797 */     // GIR_Coverage, 47366,
     /* 2195797 */     GIR_EraseRootFromParent_Done,
     /* 2195798 */   // Label 28893: @2195798
     /* 2195798 */   GIM_Reject,
     /* 2195799 */ // Label 28891: @2195799
     /* 2195799 */ GIM_Reject,
     /* 2195800 */ // Label 28846: @2195800
     /* 2195800 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2195854), // Rule ID 47389 //
     /* 2195805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2195811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195819 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195853 */   // GIR_Coverage, 47389,
     /* 2195853 */   GIR_EraseRootFromParent_Done,
     /* 2195854 */ // Label 28894: @2195854
     /* 2195854 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2195908), // Rule ID 47390 //
     /* 2195859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2195865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195873 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195907 */   // GIR_Coverage, 47390,
     /* 2195907 */   GIR_EraseRootFromParent_Done,
     /* 2195908 */ // Label 28895: @2195908
     /* 2195908 */ GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2195962), // Rule ID 47455 //
     /* 2195913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195927 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195939 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195949 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195961 */   // GIR_Coverage, 47455,
     /* 2195961 */   GIR_EraseRootFromParent_Done,
     /* 2195962 */ // Label 28896: @2195962
     /* 2195962 */ GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2196016), // Rule ID 47456 //
     /* 2195967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195981 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195981 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2195984 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195988 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195993 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2195998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196000 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196003 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196015 */   // GIR_Coverage, 47456,
     /* 2196015 */   GIR_EraseRootFromParent_Done,
     /* 2196016 */ // Label 28897: @2196016
     /* 2196016 */ GIM_Reject,
     /* 2196017 */ // Label 28847: @2196017
     /* 2196017 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2196071), // Rule ID 47409 //
     /* 2196022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196036 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196070 */   // GIR_Coverage, 47409,
     /* 2196070 */   GIR_EraseRootFromParent_Done,
     /* 2196071 */ // Label 28898: @2196071
     /* 2196071 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2196125), // Rule ID 47410 //
     /* 2196076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196090 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196124 */   // GIR_Coverage, 47410,
     /* 2196124 */   GIR_EraseRootFromParent_Done,
     /* 2196125 */ // Label 28899: @2196125
     /* 2196125 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196179), // Rule ID 47475 //
     /* 2196130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196144 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196178 */   // GIR_Coverage, 47475,
     /* 2196178 */   GIR_EraseRootFromParent_Done,
     /* 2196179 */ // Label 28900: @2196179
     /* 2196179 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196233), // Rule ID 47476 //
     /* 2196184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196198 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196232 */   // GIR_Coverage, 47476,
     /* 2196232 */   GIR_EraseRootFromParent_Done,
     /* 2196233 */ // Label 28901: @2196233
     /* 2196233 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196287), // Rule ID 47509 //
     /* 2196238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196252 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196264 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196271 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196286 */   // GIR_Coverage, 47509,
     /* 2196286 */   GIR_EraseRootFromParent_Done,
     /* 2196287 */ // Label 28902: @2196287
     /* 2196287 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2196341), // Rule ID 47510 //
     /* 2196292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2196298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196306 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2196309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196318 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2196323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196325 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196340 */   // GIR_Coverage, 47510,
     /* 2196340 */   GIR_EraseRootFromParent_Done,
     /* 2196341 */ // Label 28903: @2196341
     /* 2196341 */ GIM_Reject,
     /* 2196342 */ // Label 28848: @2196342
     /* 2196342 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2196445),
     /* 2196347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196358 */   GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2196401), // Rule ID 47369 //
     /* 2196363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196366 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196400 */     // GIR_Coverage, 47369,
     /* 2196400 */     GIR_EraseRootFromParent_Done,
     /* 2196401 */   // Label 28905: @2196401
     /* 2196401 */   GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2196444), // Rule ID 47370 //
     /* 2196406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196409 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2196412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2196426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196443 */     // GIR_Coverage, 47370,
     /* 2196443 */     GIR_EraseRootFromParent_Done,
     /* 2196444 */   // Label 28906: @2196444
     /* 2196444 */   GIM_Reject,
     /* 2196445 */ // Label 28904: @2196445
     /* 2196445 */ GIM_Reject,
     /* 2196446 */ // Label 28849: @2196446
     /* 2196446 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2196500), // Rule ID 47393 //
     /* 2196451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196465 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196477 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196484 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196499 */   // GIR_Coverage, 47393,
     /* 2196499 */   GIR_EraseRootFromParent_Done,
     /* 2196500 */ // Label 28907: @2196500
     /* 2196500 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2196554), // Rule ID 47394 //
     /* 2196505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2196511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196519 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196519 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196522 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196526 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196541 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196553 */   // GIR_Coverage, 47394,
     /* 2196553 */   GIR_EraseRootFromParent_Done,
     /* 2196554 */ // Label 28908: @2196554
     /* 2196554 */ GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2196608), // Rule ID 47459 //
     /* 2196559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196573 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196607 */   // GIR_Coverage, 47459,
     /* 2196607 */   GIR_EraseRootFromParent_Done,
     /* 2196608 */ // Label 28909: @2196608
     /* 2196608 */ GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2196662), // Rule ID 47460 //
     /* 2196613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2196619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196627 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2196630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2196644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196661 */   // GIR_Coverage, 47460,
     /* 2196661 */   GIR_EraseRootFromParent_Done,
     /* 2196662 */ // Label 28910: @2196662
     /* 2196662 */ GIM_Reject,
     /* 2196663 */ // Label 28850: @2196663
     /* 2196663 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2196766),
     /* 2196668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2196671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196679 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2196722), // Rule ID 47373 //
     /* 2196684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196687 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2196690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196721 */     // GIR_Coverage, 47373,
     /* 2196721 */     GIR_EraseRootFromParent_Done,
     /* 2196722 */   // Label 28912: @2196722
     /* 2196722 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2196765), // Rule ID 47374 //
     /* 2196727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196730 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2196733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2196747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196764 */     // GIR_Coverage, 47374,
     /* 2196764 */     GIR_EraseRootFromParent_Done,
     /* 2196765 */   // Label 28913: @2196765
     /* 2196765 */   GIM_Reject,
     /* 2196766 */ // Label 28911: @2196766
     /* 2196766 */ GIM_Reject,
     /* 2196767 */ // Label 28851: @2196767
     /* 2196767 */ GIM_Reject,
     /* 2196768 */ // Label 40: @2196768
     /* 2196768 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28931*/ GIMT_Encode4(2200242),
     /* 2196779 */ /*GILLT_s32*//*Label 28914*/ GIMT_Encode4(2196895),
     /* 2196783 */ /*GILLT_s64*//*Label 28915*/ GIMT_Encode4(2197069), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196795 */ /*GILLT_nxv1s16*//*Label 28916*/ GIMT_Encode4(2197233),
     /* 2196799 */ /*GILLT_nxv1s32*//*Label 28917*/ GIMT_Encode4(2197337),
     /* 2196803 */ /*GILLT_nxv1s64*//*Label 28918*/ GIMT_Encode4(2197554), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196815 */ /*GILLT_nxv2s16*//*Label 28919*/ GIMT_Encode4(2197879),
     /* 2196819 */ /*GILLT_nxv2s32*//*Label 28920*/ GIMT_Encode4(2197983),
     /* 2196823 */ /*GILLT_nxv2s64*//*Label 28921*/ GIMT_Encode4(2198200), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196835 */ /*GILLT_nxv4s16*//*Label 28922*/ GIMT_Encode4(2198525),
     /* 2196839 */ /*GILLT_nxv4s32*//*Label 28923*/ GIMT_Encode4(2198629),
     /* 2196843 */ /*GILLT_nxv4s64*//*Label 28924*/ GIMT_Encode4(2198846), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196855 */ /*GILLT_nxv8s16*//*Label 28925*/ GIMT_Encode4(2199171),
     /* 2196859 */ /*GILLT_nxv8s32*//*Label 28926*/ GIMT_Encode4(2199275),
     /* 2196863 */ /*GILLT_nxv8s64*//*Label 28927*/ GIMT_Encode4(2199492), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196875 */ /*GILLT_nxv16s16*//*Label 28928*/ GIMT_Encode4(2199817),
     /* 2196879 */ /*GILLT_nxv16s32*//*Label 28929*/ GIMT_Encode4(2199921), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2196891 */ /*GILLT_nxv32s16*//*Label 28930*/ GIMT_Encode4(2200138),
     /* 2196895 */ // Label 28914: @2196895
     /* 2196895 */ GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2197068),
     /* 2196900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2196903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196911 */   GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2196953), // Rule ID 64711 //
     /* 2196916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2196919 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2196919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2196922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2196926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2196935 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2196938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2196943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2196951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196952 */     // GIR_Coverage, 64711,
     /* 2196952 */     GIR_EraseRootFromParent_Done,
     /* 2196953 */   // Label 28933: @2196953
     /* 2196953 */   GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2196995), // Rule ID 64713 //
     /* 2196958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2196961 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2196961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2196964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2196968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2196977 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2196980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2196985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2196993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196994 */     // GIR_Coverage, 64713,
     /* 2196994 */     GIR_EraseRootFromParent_Done,
     /* 2196995 */   // Label 28934: @2196995
     /* 2196995 */   GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2197037), // Rule ID 64714 //
     /* 2197000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2197003 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2197003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2197006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197019 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197036 */     // GIR_Coverage, 64714,
     /* 2197036 */     GIR_EraseRootFromParent_Done,
     /* 2197037 */   // Label 28935: @2197037
     /* 2197037 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2197052), // Rule ID 64716 //
     /* 2197042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2197045 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197051 */     // GIR_Coverage, 64716,
     /* 2197051 */     GIR_Done,
     /* 2197052 */   // Label 28936: @2197052
     /* 2197052 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2197067), // Rule ID 64717 //
     /* 2197057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2197060 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2197060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197066 */     // GIR_Coverage, 64717,
     /* 2197066 */     GIR_Done,
     /* 2197067 */   // Label 28937: @2197067
     /* 2197067 */   GIM_Reject,
     /* 2197068 */ // Label 28932: @2197068
     /* 2197068 */ GIM_Reject,
     /* 2197069 */ // Label 28915: @2197069
     /* 2197069 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2197100), // Rule ID 64701 //
     /* 2197074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2197077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2197080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197088 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2197088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2197091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197093 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2197095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2197098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197099 */   // GIR_Coverage, 64701,
     /* 2197099 */   GIR_EraseRootFromParent_Done,
     /* 2197100 */ // Label 28938: @2197100
     /* 2197100 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2197153), // Rule ID 64710 //
     /* 2197105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2197108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197119 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2197119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197131 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197135 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2197138 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197145 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2197151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197152 */   // GIR_Coverage, 64710,
     /* 2197152 */   GIR_EraseRootFromParent_Done,
     /* 2197153 */ // Label 28939: @2197153
     /* 2197153 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2197206), // Rule ID 64712 //
     /* 2197158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2197161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197172 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2197172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2197175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2197179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197184 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2197188 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2197191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2197196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2197204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197205 */   // GIR_Coverage, 64712,
     /* 2197205 */   GIR_EraseRootFromParent_Done,
     /* 2197206 */ // Label 28940: @2197206
     /* 2197206 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2197232), // Rule ID 64718 //
     /* 2197211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2197214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2197217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197225 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2197225 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2197230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197231 */   // GIR_Coverage, 64718,
     /* 2197231 */   GIR_Done,
     /* 2197232 */ // Label 28941: @2197232
     /* 2197232 */ GIM_Reject,
     /* 2197233 */ // Label 28916: @2197233
     /* 2197233 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2197336),
     /* 2197238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197249 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2197292), // Rule ID 47411 //
     /* 2197254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197257 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197291 */     // GIR_Coverage, 47411,
     /* 2197291 */     GIR_EraseRootFromParent_Done,
     /* 2197292 */   // Label 28943: @2197292
     /* 2197292 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2197335), // Rule ID 47412 //
     /* 2197297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197300 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2197303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2197317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197334 */     // GIR_Coverage, 47412,
     /* 2197334 */     GIR_EraseRootFromParent_Done,
     /* 2197335 */   // Label 28944: @2197335
     /* 2197335 */   GIM_Reject,
     /* 2197336 */ // Label 28942: @2197336
     /* 2197336 */ GIM_Reject,
     /* 2197337 */ // Label 28917: @2197337
     /* 2197337 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2197391), // Rule ID 47423 //
     /* 2197342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197356 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197390 */   // GIR_Coverage, 47423,
     /* 2197390 */   GIR_EraseRootFromParent_Done,
     /* 2197391 */ // Label 28945: @2197391
     /* 2197391 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2197445), // Rule ID 47424 //
     /* 2197396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197410 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197410 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197413 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197417 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197429 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197432 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197444 */   // GIR_Coverage, 47424,
     /* 2197444 */   GIR_EraseRootFromParent_Done,
     /* 2197445 */ // Label 28946: @2197445
     /* 2197445 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2197499), // Rule ID 47477 //
     /* 2197450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197464 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197498 */   // GIR_Coverage, 47477,
     /* 2197498 */   GIR_EraseRootFromParent_Done,
     /* 2197499 */ // Label 28947: @2197499
     /* 2197499 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2197553), // Rule ID 47478 //
     /* 2197504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197518 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2197521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2197535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197552 */   // GIR_Coverage, 47478,
     /* 2197552 */   GIR_EraseRootFromParent_Done,
     /* 2197553 */ // Label 28948: @2197553
     /* 2197553 */ GIM_Reject,
     /* 2197554 */ // Label 28918: @2197554
     /* 2197554 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2197608), // Rule ID 47433 //
     /* 2197559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2197565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197573 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197607 */   // GIR_Coverage, 47433,
     /* 2197607 */   GIR_EraseRootFromParent_Done,
     /* 2197608 */ // Label 28949: @2197608
     /* 2197608 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2197662), // Rule ID 47434 //
     /* 2197613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2197619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197627 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197661 */   // GIR_Coverage, 47434,
     /* 2197661 */   GIR_EraseRootFromParent_Done,
     /* 2197662 */ // Label 28950: @2197662
     /* 2197662 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2197716), // Rule ID 47487 //
     /* 2197667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197681 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197681 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197684 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197688 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197693 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2197698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197700 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197703 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197715 */   // GIR_Coverage, 47487,
     /* 2197715 */   GIR_EraseRootFromParent_Done,
     /* 2197716 */ // Label 28951: @2197716
     /* 2197716 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2197770), // Rule ID 47488 //
     /* 2197721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2197727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197735 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197735 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197738 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197742 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197747 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2197752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197754 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197757 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197769 */   // GIR_Coverage, 47488,
     /* 2197769 */   GIR_EraseRootFromParent_Done,
     /* 2197770 */ // Label 28952: @2197770
     /* 2197770 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2197824), // Rule ID 47511 //
     /* 2197775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197789 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197801 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2197806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197808 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197811 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197823 */   // GIR_Coverage, 47511,
     /* 2197823 */   GIR_EraseRootFromParent_Done,
     /* 2197824 */ // Label 28953: @2197824
     /* 2197824 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2197878), // Rule ID 47512 //
     /* 2197829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2197835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197843 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197843 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2197846 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197850 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2197860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197862 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197877 */   // GIR_Coverage, 47512,
     /* 2197877 */   GIR_EraseRootFromParent_Done,
     /* 2197878 */ // Label 28954: @2197878
     /* 2197878 */ GIM_Reject,
     /* 2197879 */ // Label 28919: @2197879
     /* 2197879 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2197982),
     /* 2197884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2197887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197895 */   GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2197938), // Rule ID 47413 //
     /* 2197900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197903 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2197906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197937 */     // GIR_Coverage, 47413,
     /* 2197937 */     GIR_EraseRootFromParent_Done,
     /* 2197938 */   // Label 28956: @2197938
     /* 2197938 */   GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2197981), // Rule ID 47414 //
     /* 2197943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197946 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2197949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2197963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197980 */     // GIR_Coverage, 47414,
     /* 2197980 */     GIR_EraseRootFromParent_Done,
     /* 2197981 */   // Label 28957: @2197981
     /* 2197981 */   GIM_Reject,
     /* 2197982 */ // Label 28955: @2197982
     /* 2197982 */ GIM_Reject,
     /* 2197983 */ // Label 28920: @2197983
     /* 2197983 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2198037), // Rule ID 47425 //
     /* 2197988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2197994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198002 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198036 */   // GIR_Coverage, 47425,
     /* 2198036 */   GIR_EraseRootFromParent_Done,
     /* 2198037 */ // Label 28958: @2198037
     /* 2198037 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2198091), // Rule ID 47426 //
     /* 2198042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198056 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198090 */   // GIR_Coverage, 47426,
     /* 2198090 */   GIR_EraseRootFromParent_Done,
     /* 2198091 */ // Label 28959: @2198091
     /* 2198091 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2198145), // Rule ID 47479 //
     /* 2198096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198110 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198144 */   // GIR_Coverage, 47479,
     /* 2198144 */   GIR_EraseRootFromParent_Done,
     /* 2198145 */ // Label 28960: @2198145
     /* 2198145 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2198199), // Rule ID 47480 //
     /* 2198150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198164 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2198167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2198181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198198 */   // GIR_Coverage, 47480,
     /* 2198198 */   GIR_EraseRootFromParent_Done,
     /* 2198199 */ // Label 28961: @2198199
     /* 2198199 */ GIM_Reject,
     /* 2198200 */ // Label 28921: @2198200
     /* 2198200 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2198254), // Rule ID 47435 //
     /* 2198205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198219 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198219 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198222 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198226 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198241 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198253 */   // GIR_Coverage, 47435,
     /* 2198253 */   GIR_EraseRootFromParent_Done,
     /* 2198254 */ // Label 28962: @2198254
     /* 2198254 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2198308), // Rule ID 47436 //
     /* 2198259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2198265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198273 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198307 */   // GIR_Coverage, 47436,
     /* 2198307 */   GIR_EraseRootFromParent_Done,
     /* 2198308 */ // Label 28963: @2198308
     /* 2198308 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2198362), // Rule ID 47489 //
     /* 2198313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198327 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198361 */   // GIR_Coverage, 47489,
     /* 2198361 */   GIR_EraseRootFromParent_Done,
     /* 2198362 */ // Label 28964: @2198362
     /* 2198362 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2198416), // Rule ID 47490 //
     /* 2198367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2198373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198381 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198415 */   // GIR_Coverage, 47490,
     /* 2198415 */   GIR_EraseRootFromParent_Done,
     /* 2198416 */ // Label 28965: @2198416
     /* 2198416 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2198470), // Rule ID 47513 //
     /* 2198421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198435 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198447 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198454 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198469 */   // GIR_Coverage, 47513,
     /* 2198469 */   GIR_EraseRootFromParent_Done,
     /* 2198470 */ // Label 28966: @2198470
     /* 2198470 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2198524), // Rule ID 47514 //
     /* 2198475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2198481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198489 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2198492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2198506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198523 */   // GIR_Coverage, 47514,
     /* 2198523 */   GIR_EraseRootFromParent_Done,
     /* 2198524 */ // Label 28967: @2198524
     /* 2198524 */ GIM_Reject,
     /* 2198525 */ // Label 28922: @2198525
     /* 2198525 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2198628),
     /* 2198530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198541 */   GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2198584), // Rule ID 47415 //
     /* 2198546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198549 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198583 */     // GIR_Coverage, 47415,
     /* 2198583 */     GIR_EraseRootFromParent_Done,
     /* 2198584 */   // Label 28969: @2198584
     /* 2198584 */   GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2198627), // Rule ID 47416 //
     /* 2198589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198592 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2198595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2198609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198626 */     // GIR_Coverage, 47416,
     /* 2198626 */     GIR_EraseRootFromParent_Done,
     /* 2198627 */   // Label 28970: @2198627
     /* 2198627 */   GIM_Reject,
     /* 2198628 */ // Label 28968: @2198628
     /* 2198628 */ GIM_Reject,
     /* 2198629 */ // Label 28923: @2198629
     /* 2198629 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2198683), // Rule ID 47427 //
     /* 2198634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2198640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198648 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198682 */   // GIR_Coverage, 47427,
     /* 2198682 */   GIR_EraseRootFromParent_Done,
     /* 2198683 */ // Label 28971: @2198683
     /* 2198683 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2198737), // Rule ID 47428 //
     /* 2198688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2198694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198702 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198736 */   // GIR_Coverage, 47428,
     /* 2198736 */   GIR_EraseRootFromParent_Done,
     /* 2198737 */ // Label 28972: @2198737
     /* 2198737 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2198791), // Rule ID 47481 //
     /* 2198742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198756 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198790 */   // GIR_Coverage, 47481,
     /* 2198790 */   GIR_EraseRootFromParent_Done,
     /* 2198791 */ // Label 28973: @2198791
     /* 2198791 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2198845), // Rule ID 47482 //
     /* 2198796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2198802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198810 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2198813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2198827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198844 */   // GIR_Coverage, 47482,
     /* 2198844 */   GIR_EraseRootFromParent_Done,
     /* 2198845 */ // Label 28974: @2198845
     /* 2198845 */ GIM_Reject,
     /* 2198846 */ // Label 28924: @2198846
     /* 2198846 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2198900), // Rule ID 47437 //
     /* 2198851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2198857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198865 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2198868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198899 */   // GIR_Coverage, 47437,
     /* 2198899 */   GIR_EraseRootFromParent_Done,
     /* 2198900 */ // Label 28975: @2198900
     /* 2198900 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2198954), // Rule ID 47438 //
     /* 2198905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2198911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198919 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2198922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198953 */   // GIR_Coverage, 47438,
     /* 2198953 */   GIR_EraseRootFromParent_Done,
     /* 2198954 */ // Label 28976: @2198954
     /* 2198954 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2199008), // Rule ID 47491 //
     /* 2198959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2198965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198973 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2198976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2198990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199007 */   // GIR_Coverage, 47491,
     /* 2199007 */   GIR_EraseRootFromParent_Done,
     /* 2199008 */ // Label 28977: @2199008
     /* 2199008 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2199062), // Rule ID 47492 //
     /* 2199013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199027 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199049 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199061 */   // GIR_Coverage, 47492,
     /* 2199061 */   GIR_EraseRootFromParent_Done,
     /* 2199062 */ // Label 28978: @2199062
     /* 2199062 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2199116), // Rule ID 47515 //
     /* 2199067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199081 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199115 */   // GIR_Coverage, 47515,
     /* 2199115 */   GIR_EraseRootFromParent_Done,
     /* 2199116 */ // Label 28979: @2199116
     /* 2199116 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2199170), // Rule ID 47516 //
     /* 2199121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199135 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199135 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199138 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199142 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199147 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2199152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199154 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199169 */   // GIR_Coverage, 47516,
     /* 2199169 */   GIR_EraseRootFromParent_Done,
     /* 2199170 */ // Label 28980: @2199170
     /* 2199170 */ GIM_Reject,
     /* 2199171 */ // Label 28925: @2199171
     /* 2199171 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2199274),
     /* 2199176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199187 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2199230), // Rule ID 47417 //
     /* 2199192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199195 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199229 */     // GIR_Coverage, 47417,
     /* 2199229 */     GIR_EraseRootFromParent_Done,
     /* 2199230 */   // Label 28982: @2199230
     /* 2199230 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2199273), // Rule ID 47418 //
     /* 2199235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199238 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2199241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2199255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199272 */     // GIR_Coverage, 47418,
     /* 2199272 */     GIR_EraseRootFromParent_Done,
     /* 2199273 */   // Label 28983: @2199273
     /* 2199273 */   GIM_Reject,
     /* 2199274 */ // Label 28981: @2199274
     /* 2199274 */ GIM_Reject,
     /* 2199275 */ // Label 28926: @2199275
     /* 2199275 */ GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2199329), // Rule ID 47429 //
     /* 2199280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199294 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199328 */   // GIR_Coverage, 47429,
     /* 2199328 */   GIR_EraseRootFromParent_Done,
     /* 2199329 */ // Label 28984: @2199329
     /* 2199329 */ GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2199383), // Rule ID 47430 //
     /* 2199334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199348 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199382 */   // GIR_Coverage, 47430,
     /* 2199382 */   GIR_EraseRootFromParent_Done,
     /* 2199383 */ // Label 28985: @2199383
     /* 2199383 */ GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2199437), // Rule ID 47483 //
     /* 2199388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199402 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199436 */   // GIR_Coverage, 47483,
     /* 2199436 */   GIR_EraseRootFromParent_Done,
     /* 2199437 */ // Label 28986: @2199437
     /* 2199437 */ GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2199491), // Rule ID 47484 //
     /* 2199442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199456 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2199459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2199473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199490 */   // GIR_Coverage, 47484,
     /* 2199490 */   GIR_EraseRootFromParent_Done,
     /* 2199491 */ // Label 28987: @2199491
     /* 2199491 */ GIM_Reject,
     /* 2199492 */ // Label 28927: @2199492
     /* 2199492 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2199546), // Rule ID 47439 //
     /* 2199497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199511 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199545 */   // GIR_Coverage, 47439,
     /* 2199545 */   GIR_EraseRootFromParent_Done,
     /* 2199546 */ // Label 28988: @2199546
     /* 2199546 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2199600), // Rule ID 47440 //
     /* 2199551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2199557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199565 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199599 */   // GIR_Coverage, 47440,
     /* 2199599 */   GIR_EraseRootFromParent_Done,
     /* 2199600 */ // Label 28989: @2199600
     /* 2199600 */ GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2199654), // Rule ID 47493 //
     /* 2199605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199619 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2199636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199653 */   // GIR_Coverage, 47493,
     /* 2199653 */   GIR_EraseRootFromParent_Done,
     /* 2199654 */ // Label 28990: @2199654
     /* 2199654 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2199708), // Rule ID 47494 //
     /* 2199659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2199665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199673 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199673 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199676 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199680 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199685 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2199690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199692 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199695 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199707 */   // GIR_Coverage, 47494,
     /* 2199707 */   GIR_EraseRootFromParent_Done,
     /* 2199708 */ // Label 28991: @2199708
     /* 2199708 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2199762), // Rule ID 47517 //
     /* 2199713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199727 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199739 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2199744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199761 */   // GIR_Coverage, 47517,
     /* 2199761 */   GIR_EraseRootFromParent_Done,
     /* 2199762 */ // Label 28992: @2199762
     /* 2199762 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2199816), // Rule ID 47518 //
     /* 2199767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2199773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199781 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2199784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2199798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199815 */   // GIR_Coverage, 47518,
     /* 2199815 */   GIR_EraseRootFromParent_Done,
     /* 2199816 */ // Label 28993: @2199816
     /* 2199816 */ GIM_Reject,
     /* 2199817 */ // Label 28928: @2199817
     /* 2199817 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2199920),
     /* 2199822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2199825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199833 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2199876), // Rule ID 47419 //
     /* 2199838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199841 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2199844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199875 */     // GIR_Coverage, 47419,
     /* 2199875 */     GIR_EraseRootFromParent_Done,
     /* 2199876 */   // Label 28995: @2199876
     /* 2199876 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2199919), // Rule ID 47420 //
     /* 2199881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199884 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2199887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2199901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199918 */     // GIR_Coverage, 47420,
     /* 2199918 */     GIR_EraseRootFromParent_Done,
     /* 2199919 */   // Label 28996: @2199919
     /* 2199919 */   GIM_Reject,
     /* 2199920 */ // Label 28994: @2199920
     /* 2199920 */ GIM_Reject,
     /* 2199921 */ // Label 28929: @2199921
     /* 2199921 */ GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2199975), // Rule ID 47431 //
     /* 2199926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2199932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199940 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2199943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199974 */   // GIR_Coverage, 47431,
     /* 2199974 */   GIR_EraseRootFromParent_Done,
     /* 2199975 */ // Label 28997: @2199975
     /* 2199975 */ GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2200029), // Rule ID 47432 //
     /* 2199980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2199986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199994 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2199997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200028 */   // GIR_Coverage, 47432,
     /* 2200028 */   GIR_EraseRootFromParent_Done,
     /* 2200029 */ // Label 28998: @2200029
     /* 2200029 */ GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2200083), // Rule ID 47485 //
     /* 2200034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200048 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200082 */   // GIR_Coverage, 47485,
     /* 2200082 */   GIR_EraseRootFromParent_Done,
     /* 2200083 */ // Label 28999: @2200083
     /* 2200083 */ GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2200137), // Rule ID 47486 //
     /* 2200088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200102 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2200105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2200119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200136 */   // GIR_Coverage, 47486,
     /* 2200136 */   GIR_EraseRootFromParent_Done,
     /* 2200137 */ // Label 29000: @2200137
     /* 2200137 */ GIM_Reject,
     /* 2200138 */ // Label 28930: @2200138
     /* 2200138 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2200241),
     /* 2200143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2200146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200154 */   GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2200197), // Rule ID 47421 //
     /* 2200159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200162 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200196 */     // GIR_Coverage, 47421,
     /* 2200196 */     GIR_EraseRootFromParent_Done,
     /* 2200197 */   // Label 29002: @2200197
     /* 2200197 */   GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2200240), // Rule ID 47422 //
     /* 2200202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200205 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2200208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2200222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200239 */     // GIR_Coverage, 47422,
     /* 2200239 */     GIR_EraseRootFromParent_Done,
     /* 2200240 */   // Label 29003: @2200240
     /* 2200240 */   GIM_Reject,
     /* 2200241 */ // Label 29001: @2200241
     /* 2200241 */ GIM_Reject,
     /* 2200242 */ // Label 28931: @2200242
     /* 2200242 */ GIM_Reject,
     /* 2200243 */ // Label 41: @2200243
     /* 2200243 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29006*/ GIMT_Encode4(2200791),
     /* 2200254 */ /*GILLT_s32*//*Label 29004*/ GIMT_Encode4(2200262),
     /* 2200258 */ /*GILLT_s64*//*Label 29005*/ GIMT_Encode4(2200494),
     /* 2200262 */ // Label 29004: @2200262
     /* 2200262 */ GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2200493),
     /* 2200267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200278 */   GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2200306), // Rule ID 64196 //
     /* 2200283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200286 */     // MIs[0] Operand 2
     /* 2200286 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200297 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200305 */     // GIR_Coverage, 64196,
     /* 2200305 */     GIR_EraseRootFromParent_Done,
     /* 2200306 */   // Label 29008: @2200306
     /* 2200306 */   GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2200334), // Rule ID 64198 //
     /* 2200311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2200314 */     // MIs[0] Operand 2
     /* 2200314 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200325 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200333 */     // GIR_Coverage, 64198,
     /* 2200333 */     GIR_EraseRootFromParent_Done,
     /* 2200334 */   // Label 29009: @2200334
     /* 2200334 */   GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2200362), // Rule ID 2408 //
     /* 2200339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200342 */     // MIs[0] Operand 2
     /* 2200342 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200353 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200361 */     // GIR_Coverage, 2408,
     /* 2200361 */     GIR_EraseRootFromParent_Done,
     /* 2200362 */   // Label 29010: @2200362
     /* 2200362 */   GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2200390), // Rule ID 2410 //
     /* 2200367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2200370 */     // MIs[0] Operand 2
     /* 2200370 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200381 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2200381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200389 */     // GIR_Coverage, 2410,
     /* 2200389 */     GIR_EraseRootFromParent_Done,
     /* 2200390 */   // Label 29011: @2200390
     /* 2200390 */   GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2200424), // Rule ID 62282 //
     /* 2200395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200398 */     // MIs[0] Operand 2
     /* 2200398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200409 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200423 */     // GIR_Coverage, 62282,
     /* 2200423 */     GIR_EraseRootFromParent_Done,
     /* 2200424 */   // Label 29012: @2200424
     /* 2200424 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2200458), // Rule ID 62284 //
     /* 2200429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200432 */     // MIs[0] Operand 2
     /* 2200432 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200443 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200457 */     // GIR_Coverage, 62284,
     /* 2200457 */     GIR_EraseRootFromParent_Done,
     /* 2200458 */   // Label 29013: @2200458
     /* 2200458 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2200492), // Rule ID 62286 //
     /* 2200463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2200466 */     // MIs[0] Operand 2
     /* 2200466 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200477 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2200477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200491 */     // GIR_Coverage, 62286,
     /* 2200491 */     GIR_EraseRootFromParent_Done,
     /* 2200492 */   // Label 29014: @2200492
     /* 2200492 */   GIM_Reject,
     /* 2200493 */ // Label 29007: @2200493
     /* 2200493 */ GIM_Reject,
     /* 2200494 */ // Label 29005: @2200494
     /* 2200494 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2200790),
     /* 2200499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2200502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200510 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2200538), // Rule ID 64195 //
     /* 2200515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200518 */     // MIs[0] Operand 2
     /* 2200518 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200529 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2200532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200537 */     // GIR_Coverage, 64195,
     /* 2200537 */     GIR_EraseRootFromParent_Done,
     /* 2200538 */   // Label 29016: @2200538
     /* 2200538 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2200566), // Rule ID 64197 //
     /* 2200543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2200546 */     // MIs[0] Operand 2
     /* 2200546 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200557 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2200560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200565 */     // GIR_Coverage, 64197,
     /* 2200565 */     GIR_EraseRootFromParent_Done,
     /* 2200566 */   // Label 29017: @2200566
     /* 2200566 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2200597), // Rule ID 256 //
     /* 2200571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2200574 */     // MIs[0] Operand 2
     /* 2200574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2200585 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2200585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2200588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200596 */     // GIR_Coverage, 256,
     /* 2200596 */     GIR_EraseRootFromParent_Done,
     /* 2200597 */   // Label 29018: @2200597
     /* 2200597 */   GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2200625), // Rule ID 2407 //
     /* 2200602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2200605 */     // MIs[0] Operand 2
     /* 2200605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200616 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2200619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200624 */     // GIR_Coverage, 2407,
     /* 2200624 */     GIR_EraseRootFromParent_Done,
     /* 2200625 */   // Label 29019: @2200625
     /* 2200625 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2200653), // Rule ID 2409 //
     /* 2200630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2200633 */     // MIs[0] Operand 2
     /* 2200633 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200644 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2200644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2200647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200652 */     // GIR_Coverage, 2409,
     /* 2200652 */     GIR_EraseRootFromParent_Done,
     /* 2200653 */   // Label 29020: @2200653
     /* 2200653 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2200687), // Rule ID 62280 //
     /* 2200658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200661 */     // MIs[0] Operand 2
     /* 2200661 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2200672 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2200682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200686 */     // GIR_Coverage, 62280,
     /* 2200686 */     GIR_EraseRootFromParent_Done,
     /* 2200687 */   // Label 29021: @2200687
     /* 2200687 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2200721), // Rule ID 62281 //
     /* 2200692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200695 */     // MIs[0] Operand 2
     /* 2200695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2200706 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2200716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200720 */     // GIR_Coverage, 62281,
     /* 2200720 */     GIR_EraseRootFromParent_Done,
     /* 2200721 */   // Label 29022: @2200721
     /* 2200721 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2200755), // Rule ID 62283 //
     /* 2200726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200729 */     // MIs[0] Operand 2
     /* 2200729 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2200740 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200754 */     // GIR_Coverage, 62283,
     /* 2200754 */     GIR_EraseRootFromParent_Done,
     /* 2200755 */   // Label 29023: @2200755
     /* 2200755 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2200789), // Rule ID 62285 //
     /* 2200760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2200763 */     // MIs[0] Operand 2
     /* 2200763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2200774 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2200774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2200777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2200787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200788 */     // GIR_Coverage, 62285,
     /* 2200788 */     GIR_EraseRootFromParent_Done,
     /* 2200789 */   // Label 29024: @2200789
     /* 2200789 */   GIM_Reject,
     /* 2200790 */ // Label 29015: @2200790
     /* 2200790 */ GIM_Reject,
     /* 2200791 */ // Label 29006: @2200791
     /* 2200791 */ GIM_Reject,
     /* 2200792 */ // Label 42: @2200792
     /* 2200792 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29042*/ GIMT_Encode4(2204478),
     /* 2200803 */ /*GILLT_s32*//*Label 29025*/ GIMT_Encode4(2200919),
     /* 2200807 */ /*GILLT_s64*//*Label 29026*/ GIMT_Encode4(2201215), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200819 */ /*GILLT_nxv1s16*//*Label 29027*/ GIMT_Encode4(2201469),
     /* 2200823 */ /*GILLT_nxv1s32*//*Label 29028*/ GIMT_Encode4(2201573),
     /* 2200827 */ /*GILLT_nxv1s64*//*Label 29029*/ GIMT_Encode4(2201790), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200839 */ /*GILLT_nxv2s16*//*Label 29030*/ GIMT_Encode4(2202115),
     /* 2200843 */ /*GILLT_nxv2s32*//*Label 29031*/ GIMT_Encode4(2202219),
     /* 2200847 */ /*GILLT_nxv2s64*//*Label 29032*/ GIMT_Encode4(2202436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200859 */ /*GILLT_nxv4s16*//*Label 29033*/ GIMT_Encode4(2202761),
     /* 2200863 */ /*GILLT_nxv4s32*//*Label 29034*/ GIMT_Encode4(2202865),
     /* 2200867 */ /*GILLT_nxv4s64*//*Label 29035*/ GIMT_Encode4(2203082), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200879 */ /*GILLT_nxv8s16*//*Label 29036*/ GIMT_Encode4(2203407),
     /* 2200883 */ /*GILLT_nxv8s32*//*Label 29037*/ GIMT_Encode4(2203511),
     /* 2200887 */ /*GILLT_nxv8s64*//*Label 29038*/ GIMT_Encode4(2203728), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200899 */ /*GILLT_nxv16s16*//*Label 29039*/ GIMT_Encode4(2204053),
     /* 2200903 */ /*GILLT_nxv16s32*//*Label 29040*/ GIMT_Encode4(2204157), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200915 */ /*GILLT_nxv32s16*//*Label 29041*/ GIMT_Encode4(2204374),
     /* 2200919 */ // Label 29025: @2200919
     /* 2200919 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2201214),
     /* 2200924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200935 */   GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2200977), // Rule ID 64706 //
     /* 2200940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2200943 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2200943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2200946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2200950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2200959 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2200962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2200967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2200975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200976 */     // GIR_Coverage, 64706,
     /* 2200976 */     GIR_EraseRootFromParent_Done,
     /* 2200977 */   // Label 29044: @2200977
     /* 2200977 */   GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2201019), // Rule ID 64708 //
     /* 2200982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2200985 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2200985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2200988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2200992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201001 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201018 */     // GIR_Coverage, 64708,
     /* 2201018 */     GIR_EraseRootFromParent_Done,
     /* 2201019 */   // Label 29045: @2201019
     /* 2201019 */   GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2201061), // Rule ID 64709 //
     /* 2201024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2201027 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2201027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201060 */     // GIR_Coverage, 64709,
     /* 2201060 */     GIR_EraseRootFromParent_Done,
     /* 2201061 */   // Label 29046: @2201061
     /* 2201061 */   GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2201076), // Rule ID 64719 //
     /* 2201066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2201069 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201075 */     // GIR_Coverage, 64719,
     /* 2201075 */     GIR_Done,
     /* 2201076 */   // Label 29047: @2201076
     /* 2201076 */   GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2201091), // Rule ID 64720 //
     /* 2201081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2201084 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2201089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201090 */     // GIR_Coverage, 64720,
     /* 2201090 */     GIR_Done,
     /* 2201091 */   // Label 29048: @2201091
     /* 2201091 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2201106), // Rule ID 64722 //
     /* 2201096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201099 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201105 */     // GIR_Coverage, 64722,
     /* 2201105 */     GIR_Done,
     /* 2201106 */   // Label 29049: @2201106
     /* 2201106 */   GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2201121), // Rule ID 64723 //
     /* 2201111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2201114 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201120 */     // GIR_Coverage, 64723,
     /* 2201120 */     GIR_Done,
     /* 2201121 */   // Label 29050: @2201121
     /* 2201121 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2201144), // Rule ID 64724 //
     /* 2201126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2201129 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201143 */     // GIR_Coverage, 64724,
     /* 2201143 */     GIR_EraseRootFromParent_Done,
     /* 2201144 */   // Label 29051: @2201144
     /* 2201144 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2201167), // Rule ID 64725 //
     /* 2201149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2201152 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2201155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201166 */     // GIR_Coverage, 64725,
     /* 2201166 */     GIR_EraseRootFromParent_Done,
     /* 2201167 */   // Label 29052: @2201167
     /* 2201167 */   GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2201190), // Rule ID 64727 //
     /* 2201172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201175 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201189 */     // GIR_Coverage, 64727,
     /* 2201189 */     GIR_EraseRootFromParent_Done,
     /* 2201190 */   // Label 29053: @2201190
     /* 2201190 */   GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2201213), // Rule ID 64728 //
     /* 2201195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2201198 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2201198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201212 */     // GIR_Coverage, 64728,
     /* 2201212 */     GIR_EraseRootFromParent_Done,
     /* 2201213 */   // Label 29054: @2201213
     /* 2201213 */   GIM_Reject,
     /* 2201214 */ // Label 29043: @2201214
     /* 2201214 */ GIM_Reject,
     /* 2201215 */ // Label 29026: @2201215
     /* 2201215 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2201268), // Rule ID 64704 //
     /* 2201220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2201223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201234 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2201234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201246 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201250 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2201253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2201266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201267 */   // GIR_Coverage, 64704,
     /* 2201267 */   GIR_EraseRootFromParent_Done,
     /* 2201268 */ // Label 29055: @2201268
     /* 2201268 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2201321), // Rule ID 64705 //
     /* 2201273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201287 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2201287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201299 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201303 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201320 */   // GIR_Coverage, 64705,
     /* 2201320 */   GIR_EraseRootFromParent_Done,
     /* 2201321 */ // Label 29056: @2201321
     /* 2201321 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2201374), // Rule ID 64707 //
     /* 2201326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2201329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201340 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201352 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201356 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201359 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2201364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201366 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201373 */   // GIR_Coverage, 64707,
     /* 2201373 */   GIR_EraseRootFromParent_Done,
     /* 2201374 */ // Label 29057: @2201374
     /* 2201374 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2201408), // Rule ID 64715 //
     /* 2201379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2201382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201393 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2201393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2201396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201398 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2201400 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201407 */   // GIR_Coverage, 64715,
     /* 2201407 */   GIR_EraseRootFromParent_Done,
     /* 2201408 */ // Label 29058: @2201408
     /* 2201408 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2201434), // Rule ID 64721 //
     /* 2201413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201427 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2201427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2201432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201433 */   // GIR_Coverage, 64721,
     /* 2201433 */   GIR_Done,
     /* 2201434 */ // Label 29059: @2201434
     /* 2201434 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2201468), // Rule ID 64726 //
     /* 2201439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201453 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2201453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2201456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2201460 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201467 */   // GIR_Coverage, 64726,
     /* 2201467 */   GIR_EraseRootFromParent_Done,
     /* 2201468 */ // Label 29060: @2201468
     /* 2201468 */ GIM_Reject,
     /* 2201469 */ // Label 29027: @2201469
     /* 2201469 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2201572),
     /* 2201474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201485 */   GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2201528), // Rule ID 45667 //
     /* 2201490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201493 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201527 */     // GIR_Coverage, 45667,
     /* 2201527 */     GIR_EraseRootFromParent_Done,
     /* 2201528 */   // Label 29062: @2201528
     /* 2201528 */   GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2201571), // Rule ID 45668 //
     /* 2201533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201536 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2201553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201570 */     // GIR_Coverage, 45668,
     /* 2201570 */     GIR_EraseRootFromParent_Done,
     /* 2201571 */   // Label 29063: @2201571
     /* 2201571 */   GIM_Reject,
     /* 2201572 */ // Label 29061: @2201572
     /* 2201572 */ GIM_Reject,
     /* 2201573 */ // Label 29028: @2201573
     /* 2201573 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2201627), // Rule ID 47375 //
     /* 2201578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201592 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2201609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201614 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201626 */   // GIR_Coverage, 47375,
     /* 2201626 */   GIR_EraseRootFromParent_Done,
     /* 2201627 */ // Label 29064: @2201627
     /* 2201627 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2201681), // Rule ID 47376 //
     /* 2201632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201646 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201646 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201649 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201653 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201658 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2201663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201665 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201668 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201680 */   // GIR_Coverage, 47376,
     /* 2201680 */   GIR_EraseRootFromParent_Done,
     /* 2201681 */ // Label 29065: @2201681
     /* 2201681 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2201735), // Rule ID 47441 //
     /* 2201686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201700 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201712 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2201717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201722 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201734 */   // GIR_Coverage, 47441,
     /* 2201734 */   GIR_EraseRootFromParent_Done,
     /* 2201735 */ // Label 29066: @2201735
     /* 2201735 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2201789), // Rule ID 47442 //
     /* 2201740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201754 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2201771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201788 */   // GIR_Coverage, 47442,
     /* 2201788 */   GIR_EraseRootFromParent_Done,
     /* 2201789 */ // Label 29067: @2201789
     /* 2201789 */ GIM_Reject,
     /* 2201790 */ // Label 29029: @2201790
     /* 2201790 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2201844), // Rule ID 47395 //
     /* 2201795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2201801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201809 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201828 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201831 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201843 */   // GIR_Coverage, 47395,
     /* 2201843 */   GIR_EraseRootFromParent_Done,
     /* 2201844 */ // Label 29068: @2201844
     /* 2201844 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2201898), // Rule ID 47396 //
     /* 2201849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2201855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201863 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201863 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201866 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201870 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201875 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201882 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201885 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201897 */   // GIR_Coverage, 47396,
     /* 2201897 */   GIR_EraseRootFromParent_Done,
     /* 2201898 */ // Label 29069: @2201898
     /* 2201898 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2201952), // Rule ID 47461 //
     /* 2201903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201917 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201929 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2201934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201939 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201951 */   // GIR_Coverage, 47461,
     /* 2201951 */   GIR_EraseRootFromParent_Done,
     /* 2201952 */ // Label 29070: @2201952
     /* 2201952 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2202006), // Rule ID 47462 //
     /* 2201957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201971 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2201988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202005 */   // GIR_Coverage, 47462,
     /* 2202005 */   GIR_EraseRootFromParent_Done,
     /* 2202006 */ // Label 29071: @2202006
     /* 2202006 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2202060), // Rule ID 47495 //
     /* 2202011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202025 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202059 */   // GIR_Coverage, 47495,
     /* 2202059 */   GIR_EraseRootFromParent_Done,
     /* 2202060 */ // Label 29072: @2202060
     /* 2202060 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2202114), // Rule ID 47496 //
     /* 2202065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202079 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2202096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202113 */   // GIR_Coverage, 47496,
     /* 2202113 */   GIR_EraseRootFromParent_Done,
     /* 2202114 */ // Label 29073: @2202114
     /* 2202114 */ GIM_Reject,
     /* 2202115 */ // Label 29030: @2202115
     /* 2202115 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2202218),
     /* 2202120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202131 */   GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2202174), // Rule ID 47355 //
     /* 2202136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202139 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202173 */     // GIR_Coverage, 47355,
     /* 2202173 */     GIR_EraseRootFromParent_Done,
     /* 2202174 */   // Label 29075: @2202174
     /* 2202174 */   GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2202217), // Rule ID 47356 //
     /* 2202179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202182 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2202199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202216 */     // GIR_Coverage, 47356,
     /* 2202216 */     GIR_EraseRootFromParent_Done,
     /* 2202217 */   // Label 29076: @2202217
     /* 2202217 */   GIM_Reject,
     /* 2202218 */ // Label 29074: @2202218
     /* 2202218 */ GIM_Reject,
     /* 2202219 */ // Label 29031: @2202219
     /* 2202219 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2202273), // Rule ID 47379 //
     /* 2202224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202238 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202238 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202245 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202250 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202272 */   // GIR_Coverage, 47379,
     /* 2202272 */   GIR_EraseRootFromParent_Done,
     /* 2202273 */ // Label 29077: @2202273
     /* 2202273 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2202327), // Rule ID 47380 //
     /* 2202278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202292 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202304 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202311 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202314 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202326 */   // GIR_Coverage, 47380,
     /* 2202326 */   GIR_EraseRootFromParent_Done,
     /* 2202327 */ // Label 29078: @2202327
     /* 2202327 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2202381), // Rule ID 47445 //
     /* 2202332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202346 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202346 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202349 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202353 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202380 */   // GIR_Coverage, 47445,
     /* 2202380 */   GIR_EraseRootFromParent_Done,
     /* 2202381 */ // Label 29079: @2202381
     /* 2202381 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2202435), // Rule ID 47446 //
     /* 2202386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202400 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2202417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202422 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202434 */   // GIR_Coverage, 47446,
     /* 2202434 */   GIR_EraseRootFromParent_Done,
     /* 2202435 */ // Label 29080: @2202435
     /* 2202435 */ GIM_Reject,
     /* 2202436 */ // Label 29032: @2202436
     /* 2202436 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2202490), // Rule ID 47399 //
     /* 2202441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202455 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202455 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202458 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202462 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202467 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202477 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202489 */   // GIR_Coverage, 47399,
     /* 2202489 */   GIR_EraseRootFromParent_Done,
     /* 2202490 */ // Label 29081: @2202490
     /* 2202490 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2202544), // Rule ID 47400 //
     /* 2202495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202509 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202528 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202531 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202543 */   // GIR_Coverage, 47400,
     /* 2202543 */   GIR_EraseRootFromParent_Done,
     /* 2202544 */ // Label 29082: @2202544
     /* 2202544 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2202598), // Rule ID 47465 //
     /* 2202549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202563 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2202580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202597 */   // GIR_Coverage, 47465,
     /* 2202597 */   GIR_EraseRootFromParent_Done,
     /* 2202598 */ // Label 29083: @2202598
     /* 2202598 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2202652), // Rule ID 47466 //
     /* 2202603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202617 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2202634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202651 */   // GIR_Coverage, 47466,
     /* 2202651 */   GIR_EraseRootFromParent_Done,
     /* 2202652 */ // Label 29084: @2202652
     /* 2202652 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2202706), // Rule ID 47499 //
     /* 2202657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202671 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2202688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202705 */   // GIR_Coverage, 47499,
     /* 2202705 */   GIR_EraseRootFromParent_Done,
     /* 2202706 */ // Label 29085: @2202706
     /* 2202706 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2202760), // Rule ID 47500 //
     /* 2202711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202725 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2202742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202759 */   // GIR_Coverage, 47500,
     /* 2202759 */   GIR_EraseRootFromParent_Done,
     /* 2202760 */ // Label 29086: @2202760
     /* 2202760 */ GIM_Reject,
     /* 2202761 */ // Label 29033: @2202761
     /* 2202761 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2202864),
     /* 2202766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202777 */   GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2202820), // Rule ID 47359 //
     /* 2202782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202785 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202819 */     // GIR_Coverage, 47359,
     /* 2202819 */     GIR_EraseRootFromParent_Done,
     /* 2202820 */   // Label 29088: @2202820
     /* 2202820 */   GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2202863), // Rule ID 47360 //
     /* 2202825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202828 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2202845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202862 */     // GIR_Coverage, 47360,
     /* 2202862 */     GIR_EraseRootFromParent_Done,
     /* 2202863 */   // Label 29089: @2202863
     /* 2202863 */   GIM_Reject,
     /* 2202864 */ // Label 29087: @2202864
     /* 2202864 */ GIM_Reject,
     /* 2202865 */ // Label 29034: @2202865
     /* 2202865 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2202919), // Rule ID 47383 //
     /* 2202870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202884 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202906 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202918 */   // GIR_Coverage, 47383,
     /* 2202918 */   GIR_EraseRootFromParent_Done,
     /* 2202919 */ // Label 29090: @2202919
     /* 2202919 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2202973), // Rule ID 47384 //
     /* 2202924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202938 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202950 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202957 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202960 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202972 */   // GIR_Coverage, 47384,
     /* 2202972 */   GIR_EraseRootFromParent_Done,
     /* 2202973 */ // Label 29091: @2202973
     /* 2202973 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2203027), // Rule ID 47449 //
     /* 2202978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202992 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203014 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203026 */   // GIR_Coverage, 47449,
     /* 2203026 */   GIR_EraseRootFromParent_Done,
     /* 2203027 */ // Label 29092: @2203027
     /* 2203027 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2203081), // Rule ID 47450 //
     /* 2203032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203046 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2203063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203080 */   // GIR_Coverage, 47450,
     /* 2203080 */   GIR_EraseRootFromParent_Done,
     /* 2203081 */ // Label 29093: @2203081
     /* 2203081 */ GIM_Reject,
     /* 2203082 */ // Label 29035: @2203082
     /* 2203082 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2203136), // Rule ID 47403 //
     /* 2203087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203101 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203113 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203120 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203135 */   // GIR_Coverage, 47403,
     /* 2203135 */   GIR_EraseRootFromParent_Done,
     /* 2203136 */ // Label 29094: @2203136
     /* 2203136 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2203190), // Rule ID 47404 //
     /* 2203141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203155 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203177 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203189 */   // GIR_Coverage, 47404,
     /* 2203189 */   GIR_EraseRootFromParent_Done,
     /* 2203190 */ // Label 29095: @2203190
     /* 2203190 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2203244), // Rule ID 47469 //
     /* 2203195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203209 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203209 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203212 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203216 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203231 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203243 */   // GIR_Coverage, 47469,
     /* 2203243 */   GIR_EraseRootFromParent_Done,
     /* 2203244 */ // Label 29096: @2203244
     /* 2203244 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2203298), // Rule ID 47470 //
     /* 2203249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203263 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203285 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203297 */   // GIR_Coverage, 47470,
     /* 2203297 */   GIR_EraseRootFromParent_Done,
     /* 2203298 */ // Label 29097: @2203298
     /* 2203298 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2203352), // Rule ID 47503 //
     /* 2203303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203317 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203339 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203351 */   // GIR_Coverage, 47503,
     /* 2203351 */   GIR_EraseRootFromParent_Done,
     /* 2203352 */ // Label 29098: @2203352
     /* 2203352 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2203406), // Rule ID 47504 //
     /* 2203357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203371 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203383 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2203388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203390 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203393 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203405 */   // GIR_Coverage, 47504,
     /* 2203405 */   GIR_EraseRootFromParent_Done,
     /* 2203406 */ // Label 29099: @2203406
     /* 2203406 */ GIM_Reject,
     /* 2203407 */ // Label 29036: @2203407
     /* 2203407 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2203510),
     /* 2203412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203423 */   GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2203466), // Rule ID 47363 //
     /* 2203428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203431 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203465 */     // GIR_Coverage, 47363,
     /* 2203465 */     GIR_EraseRootFromParent_Done,
     /* 2203466 */   // Label 29101: @2203466
     /* 2203466 */   GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2203509), // Rule ID 47364 //
     /* 2203471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203474 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2203491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203508 */     // GIR_Coverage, 47364,
     /* 2203508 */     GIR_EraseRootFromParent_Done,
     /* 2203509 */   // Label 29102: @2203509
     /* 2203509 */   GIM_Reject,
     /* 2203510 */ // Label 29100: @2203510
     /* 2203510 */ GIM_Reject,
     /* 2203511 */ // Label 29037: @2203511
     /* 2203511 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2203565), // Rule ID 47387 //
     /* 2203516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203530 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203564 */   // GIR_Coverage, 47387,
     /* 2203564 */   GIR_EraseRootFromParent_Done,
     /* 2203565 */ // Label 29103: @2203565
     /* 2203565 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2203619), // Rule ID 47388 //
     /* 2203570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203584 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2203601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203618 */   // GIR_Coverage, 47388,
     /* 2203618 */   GIR_EraseRootFromParent_Done,
     /* 2203619 */ // Label 29104: @2203619
     /* 2203619 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2203673), // Rule ID 47453 //
     /* 2203624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203638 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203672 */   // GIR_Coverage, 47453,
     /* 2203672 */   GIR_EraseRootFromParent_Done,
     /* 2203673 */ // Label 29105: @2203673
     /* 2203673 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2203727), // Rule ID 47454 //
     /* 2203678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203692 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2203709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203726 */   // GIR_Coverage, 47454,
     /* 2203726 */   GIR_EraseRootFromParent_Done,
     /* 2203727 */ // Label 29106: @2203727
     /* 2203727 */ GIM_Reject,
     /* 2203728 */ // Label 29038: @2203728
     /* 2203728 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2203782), // Rule ID 47407 //
     /* 2203733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2203739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203747 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203781 */   // GIR_Coverage, 47407,
     /* 2203781 */   GIR_EraseRootFromParent_Done,
     /* 2203782 */ // Label 29107: @2203782
     /* 2203782 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2203836), // Rule ID 47408 //
     /* 2203787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2203793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203801 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203835 */   // GIR_Coverage, 47408,
     /* 2203835 */   GIR_EraseRootFromParent_Done,
     /* 2203836 */ // Label 29108: @2203836
     /* 2203836 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2203890), // Rule ID 47473 //
     /* 2203841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203855 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203877 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203889 */   // GIR_Coverage, 47473,
     /* 2203889 */   GIR_EraseRootFromParent_Done,
     /* 2203890 */ // Label 29109: @2203890
     /* 2203890 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2203944), // Rule ID 47474 //
     /* 2203895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203909 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203943 */   // GIR_Coverage, 47474,
     /* 2203943 */   GIR_EraseRootFromParent_Done,
     /* 2203944 */ // Label 29110: @2203944
     /* 2203944 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2203998), // Rule ID 47507 //
     /* 2203949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203963 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2203966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2203980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203997 */   // GIR_Coverage, 47507,
     /* 2203997 */   GIR_EraseRootFromParent_Done,
     /* 2203998 */ // Label 29111: @2203998
     /* 2203998 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2204052), // Rule ID 47508 //
     /* 2204003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204017 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2204034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204051 */   // GIR_Coverage, 47508,
     /* 2204051 */   GIR_EraseRootFromParent_Done,
     /* 2204052 */ // Label 29112: @2204052
     /* 2204052 */ GIM_Reject,
     /* 2204053 */ // Label 29039: @2204053
     /* 2204053 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2204156),
     /* 2204058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204069 */   GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2204112), // Rule ID 47367 //
     /* 2204074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204077 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204111 */     // GIR_Coverage, 47367,
     /* 2204111 */     GIR_EraseRootFromParent_Done,
     /* 2204112 */   // Label 29114: @2204112
     /* 2204112 */   GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2204155), // Rule ID 47368 //
     /* 2204117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204120 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2204137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204154 */     // GIR_Coverage, 47368,
     /* 2204154 */     GIR_EraseRootFromParent_Done,
     /* 2204155 */   // Label 29115: @2204155
     /* 2204155 */   GIM_Reject,
     /* 2204156 */ // Label 29113: @2204156
     /* 2204156 */ GIM_Reject,
     /* 2204157 */ // Label 29040: @2204157
     /* 2204157 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2204211), // Rule ID 47391 //
     /* 2204162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204176 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204210 */   // GIR_Coverage, 47391,
     /* 2204210 */   GIR_EraseRootFromParent_Done,
     /* 2204211 */ // Label 29116: @2204211
     /* 2204211 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2204265), // Rule ID 47392 //
     /* 2204216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204230 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204264 */   // GIR_Coverage, 47392,
     /* 2204264 */   GIR_EraseRootFromParent_Done,
     /* 2204265 */ // Label 29117: @2204265
     /* 2204265 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2204319), // Rule ID 47457 //
     /* 2204270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204284 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204318 */   // GIR_Coverage, 47457,
     /* 2204318 */   GIR_EraseRootFromParent_Done,
     /* 2204319 */ // Label 29118: @2204319
     /* 2204319 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2204373), // Rule ID 47458 //
     /* 2204324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204338 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2204355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204372 */   // GIR_Coverage, 47458,
     /* 2204372 */   GIR_EraseRootFromParent_Done,
     /* 2204373 */ // Label 29119: @2204373
     /* 2204373 */ GIM_Reject,
     /* 2204374 */ // Label 29041: @2204374
     /* 2204374 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2204477),
     /* 2204379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2204382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204390 */   GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2204433), // Rule ID 47371 //
     /* 2204395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204398 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204432 */     // GIR_Coverage, 47371,
     /* 2204432 */     GIR_EraseRootFromParent_Done,
     /* 2204433 */   // Label 29121: @2204433
     /* 2204433 */   GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2204476), // Rule ID 47372 //
     /* 2204438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204441 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2204458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204475 */     // GIR_Coverage, 47372,
     /* 2204475 */     GIR_EraseRootFromParent_Done,
     /* 2204476 */   // Label 29122: @2204476
     /* 2204476 */   GIM_Reject,
     /* 2204477 */ // Label 29120: @2204477
     /* 2204477 */ GIM_Reject,
     /* 2204478 */ // Label 29042: @2204478
     /* 2204478 */ GIM_Reject,
     /* 2204479 */ // Label 43: @2204479
     /* 2204479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29147*/ GIMT_Encode4(2213074),
     /* 2204490 */ /*GILLT_s32*//*Label 29123*/ GIMT_Encode4(2204614),
     /* 2204494 */ /*GILLT_s64*//*Label 29124*/ GIMT_Encode4(2204739), GIMT_Encode4(0),
     /* 2204502 */ /*GILLT_nxv1s8*//*Label 29125*/ GIMT_Encode4(2205084),
     /* 2204506 */ /*GILLT_nxv1s16*//*Label 29126*/ GIMT_Encode4(2205199),
     /* 2204510 */ /*GILLT_nxv1s32*//*Label 29127*/ GIMT_Encode4(2205678),
     /* 2204514 */ /*GILLT_nxv1s64*//*Label 29128*/ GIMT_Encode4(2206157), GIMT_Encode4(0),
     /* 2204522 */ /*GILLT_nxv2s8*//*Label 29129*/ GIMT_Encode4(2206636),
     /* 2204526 */ /*GILLT_nxv2s16*//*Label 29130*/ GIMT_Encode4(2206751),
     /* 2204530 */ /*GILLT_nxv2s32*//*Label 29131*/ GIMT_Encode4(2207230),
     /* 2204534 */ /*GILLT_nxv2s64*//*Label 29132*/ GIMT_Encode4(2207709), GIMT_Encode4(0),
     /* 2204542 */ /*GILLT_nxv4s8*//*Label 29133*/ GIMT_Encode4(2208188),
     /* 2204546 */ /*GILLT_nxv4s16*//*Label 29134*/ GIMT_Encode4(2208303),
     /* 2204550 */ /*GILLT_nxv4s32*//*Label 29135*/ GIMT_Encode4(2208782),
     /* 2204554 */ /*GILLT_nxv4s64*//*Label 29136*/ GIMT_Encode4(2209261), GIMT_Encode4(0),
     /* 2204562 */ /*GILLT_nxv8s8*//*Label 29137*/ GIMT_Encode4(2209740),
     /* 2204566 */ /*GILLT_nxv8s16*//*Label 29138*/ GIMT_Encode4(2209855),
     /* 2204570 */ /*GILLT_nxv8s32*//*Label 29139*/ GIMT_Encode4(2210334),
     /* 2204574 */ /*GILLT_nxv8s64*//*Label 29140*/ GIMT_Encode4(2210813), GIMT_Encode4(0),
     /* 2204582 */ /*GILLT_nxv16s8*//*Label 29141*/ GIMT_Encode4(2211292),
     /* 2204586 */ /*GILLT_nxv16s16*//*Label 29142*/ GIMT_Encode4(2211407),
     /* 2204590 */ /*GILLT_nxv16s32*//*Label 29143*/ GIMT_Encode4(2211886), GIMT_Encode4(0),
     /* 2204598 */ /*GILLT_nxv32s8*//*Label 29144*/ GIMT_Encode4(2212365),
     /* 2204602 */ /*GILLT_nxv32s16*//*Label 29145*/ GIMT_Encode4(2212480), GIMT_Encode4(0),
     /* 2204610 */ /*GILLT_nxv64s8*//*Label 29146*/ GIMT_Encode4(2212959),
     /* 2204614 */ // Label 29123: @2204614
     /* 2204614 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2204738),
     /* 2204619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2204622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2204625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204629 */   GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2204666), // Rule ID 2364 //
     /* 2204634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2204637 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2204641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204648 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2204648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2204651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2204664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204665 */     // GIR_Coverage, 2364,
     /* 2204665 */     GIR_EraseRootFromParent_Done,
     /* 2204666 */   // Label 29149: @2204666
     /* 2204666 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2204704), // Rule ID 91 //
     /* 2204671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2204682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2204690 */     // MIs[1] Operand 1
     /* 2204690 */     // No operand predicates
     /* 2204690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2204692 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2204692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2204695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2204702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204703 */     // GIR_Coverage, 91,
     /* 2204703 */     GIR_EraseRootFromParent_Done,
     /* 2204704 */   // Label 29150: @2204704
     /* 2204704 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2204737), // Rule ID 105 //
     /* 2204709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2204712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204723 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2204723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2204726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2204735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204736 */     // GIR_Coverage, 105,
     /* 2204736 */     GIR_EraseRootFromParent_Done,
     /* 2204737 */   // Label 29151: @2204737
     /* 2204737 */   GIM_Reject,
     /* 2204738 */ // Label 29148: @2204738
     /* 2204738 */ GIM_Reject,
     /* 2204739 */ // Label 29124: @2204739
     /* 2204739 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2205083),
     /* 2204744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204750 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2204844), // Rule ID 253 //
     /* 2204755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2204758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2204770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204783 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2204794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204802 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2204806 */     // MIs[2] Operand 1
     /* 2204806 */     // No operand predicates
     /* 2204806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204808 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2204808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2204811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2204815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2204824 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2204827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2204832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204837 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2204842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204843 */     // GIR_Coverage, 253,
     /* 2204843 */     GIR_EraseRootFromParent_Done,
     /* 2204844 */   // Label 29153: @2204844
     /* 2204844 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2204916), // Rule ID 2482 //
     /* 2204849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2204852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2204864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2204868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2204872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204877 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2204888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204896 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2204900 */     // MIs[2] Operand 1
     /* 2204900 */     // No operand predicates
     /* 2204900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204902 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2204902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2204905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2204911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2204914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204915 */     // GIR_Coverage, 2482,
     /* 2204915 */     GIR_EraseRootFromParent_Done,
     /* 2204916 */   // Label 29154: @2204916
     /* 2204916 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2204957), // Rule ID 2363 //
     /* 2204921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2204924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204928 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2204932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2204939 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2204939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2204942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2204955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204956 */     // GIR_Coverage, 2363,
     /* 2204956 */     GIR_EraseRootFromParent_Done,
     /* 2204957 */   // Label 29155: @2204957
     /* 2204957 */   GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2205003), // Rule ID 268 //
     /* 2204962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2204965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2204977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2204981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2204985 */     // MIs[1] Operand 1
     /* 2204985 */     // No operand predicates
     /* 2204985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10021),
     /* 2204989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2204991 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10021>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2204991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2204994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205002 */     // GIR_Coverage, 268,
     /* 2205002 */     GIR_EraseRootFromParent_Done,
     /* 2205003 */   // Label 29156: @2205003
     /* 2205003 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2205045), // Rule ID 90 //
     /* 2205008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2205023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2205027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2205031 */     // MIs[1] Operand 1
     /* 2205031 */     // No operand predicates
     /* 2205031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2205033 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2205033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2205043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205044 */     // GIR_Coverage, 90,
     /* 2205044 */     GIR_EraseRootFromParent_Done,
     /* 2205045 */   // Label 29157: @2205045
     /* 2205045 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2205082), // Rule ID 104 //
     /* 2205050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2205053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2205068 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2205068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2205071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2205080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205081 */     // GIR_Coverage, 104,
     /* 2205081 */     GIR_EraseRootFromParent_Done,
     /* 2205082 */   // Label 29158: @2205082
     /* 2205082 */   GIM_Reject,
     /* 2205083 */ // Label 29152: @2205083
     /* 2205083 */ GIM_Reject,
     /* 2205084 */ // Label 29125: @2205084
     /* 2205084 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2205198),
     /* 2205089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2205095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205107 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2205152), // Rule ID 47915 //
     /* 2205112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205115 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205151 */     // GIR_Coverage, 47915,
     /* 2205151 */     GIR_EraseRootFromParent_Done,
     /* 2205152 */   // Label 29160: @2205152
     /* 2205152 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2205197), // Rule ID 47916 //
     /* 2205157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205160 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2205163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2205177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205196 */     // GIR_Coverage, 47916,
     /* 2205196 */     GIR_EraseRootFromParent_Done,
     /* 2205197 */   // Label 29161: @2205197
     /* 2205197 */   GIM_Reject,
     /* 2205198 */ // Label 29159: @2205198
     /* 2205198 */ GIM_Reject,
     /* 2205199 */ // Label 29126: @2205199
     /* 2205199 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2205677),
     /* 2205204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2205210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205214 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2205303), // Rule ID 59223 //
     /* 2205219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205234 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205253 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205262 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205302 */     // GIR_Coverage, 59223,
     /* 2205302 */     GIR_EraseRootFromParent_Done,
     /* 2205303 */   // Label 29163: @2205303
     /* 2205303 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2205392), // Rule ID 59224 //
     /* 2205308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205323 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205342 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205351 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205391 */     // GIR_Coverage, 59224,
     /* 2205391 */     GIR_EraseRootFromParent_Done,
     /* 2205392 */   // Label 29164: @2205392
     /* 2205392 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2205481), // Rule ID 59225 //
     /* 2205397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205412 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205431 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205440 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205480 */     // GIR_Coverage, 59225,
     /* 2205480 */     GIR_EraseRootFromParent_Done,
     /* 2205481 */   // Label 29165: @2205481
     /* 2205481 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2205570), // Rule ID 59226 //
     /* 2205486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205501 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2205520 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205529 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2205546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205569 */     // GIR_Coverage, 59226,
     /* 2205569 */     GIR_EraseRootFromParent_Done,
     /* 2205570 */   // Label 29166: @2205570
     /* 2205570 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2205623), // Rule ID 47927 //
     /* 2205575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205586 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205622 */     // GIR_Coverage, 47927,
     /* 2205622 */     GIR_EraseRootFromParent_Done,
     /* 2205623 */   // Label 29167: @2205623
     /* 2205623 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2205676), // Rule ID 47928 //
     /* 2205628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205639 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2205642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205675 */     // GIR_Coverage, 47928,
     /* 2205675 */     GIR_EraseRootFromParent_Done,
     /* 2205676 */   // Label 29168: @2205676
     /* 2205676 */   GIM_Reject,
     /* 2205677 */ // Label 29162: @2205677
     /* 2205677 */ GIM_Reject,
     /* 2205678 */ // Label 29127: @2205678
     /* 2205678 */ GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2206156),
     /* 2205683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2205689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205693 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2205782), // Rule ID 59271 //
     /* 2205698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205713 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205732 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205741 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205781 */     // GIR_Coverage, 59271,
     /* 2205781 */     GIR_EraseRootFromParent_Done,
     /* 2205782 */   // Label 29170: @2205782
     /* 2205782 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2205871), // Rule ID 59272 //
     /* 2205787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205802 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205821 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205830 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205870 */     // GIR_Coverage, 59272,
     /* 2205870 */     GIR_EraseRootFromParent_Done,
     /* 2205871 */   // Label 29171: @2205871
     /* 2205871 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2205960), // Rule ID 59273 //
     /* 2205876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205891 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205910 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205919 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2205922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205959 */     // GIR_Coverage, 59273,
     /* 2205959 */     GIR_EraseRootFromParent_Done,
     /* 2205960 */   // Label 29172: @2205960
     /* 2205960 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2206049), // Rule ID 59274 //
     /* 2205965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205980 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2205999 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206008 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206048 */     // GIR_Coverage, 59274,
     /* 2206048 */     GIR_EraseRootFromParent_Done,
     /* 2206049 */   // Label 29173: @2206049
     /* 2206049 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2206102), // Rule ID 47935 //
     /* 2206054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206065 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206101 */     // GIR_Coverage, 47935,
     /* 2206101 */     GIR_EraseRootFromParent_Done,
     /* 2206102 */   // Label 29174: @2206102
     /* 2206102 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2206155), // Rule ID 47936 //
     /* 2206107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206118 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206154 */     // GIR_Coverage, 47936,
     /* 2206154 */     GIR_EraseRootFromParent_Done,
     /* 2206155 */   // Label 29175: @2206155
     /* 2206155 */   GIM_Reject,
     /* 2206156 */ // Label 29169: @2206156
     /* 2206156 */ GIM_Reject,
     /* 2206157 */ // Label 29128: @2206157
     /* 2206157 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2206635),
     /* 2206162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2206165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206172 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2206261), // Rule ID 59311 //
     /* 2206177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206192 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206211 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206220 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206260 */     // GIR_Coverage, 59311,
     /* 2206260 */     GIR_EraseRootFromParent_Done,
     /* 2206261 */   // Label 29177: @2206261
     /* 2206261 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2206350), // Rule ID 59312 //
     /* 2206266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206281 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206300 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206309 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206349 */     // GIR_Coverage, 59312,
     /* 2206349 */     GIR_EraseRootFromParent_Done,
     /* 2206350 */   // Label 29178: @2206350
     /* 2206350 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2206439), // Rule ID 59313 //
     /* 2206355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206370 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206389 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206398 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206438 */     // GIR_Coverage, 59313,
     /* 2206438 */     GIR_EraseRootFromParent_Done,
     /* 2206439 */   // Label 29179: @2206439
     /* 2206439 */   GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2206528), // Rule ID 59314 //
     /* 2206444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206459 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206478 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206487 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206527 */     // GIR_Coverage, 59314,
     /* 2206527 */     GIR_EraseRootFromParent_Done,
     /* 2206528 */   // Label 29180: @2206528
     /* 2206528 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2206581), // Rule ID 47951 //
     /* 2206533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2206536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206544 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206580 */     // GIR_Coverage, 47951,
     /* 2206580 */     GIR_EraseRootFromParent_Done,
     /* 2206581 */   // Label 29181: @2206581
     /* 2206581 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2206634), // Rule ID 47952 //
     /* 2206586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2206589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206597 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206633 */     // GIR_Coverage, 47952,
     /* 2206633 */     GIR_EraseRootFromParent_Done,
     /* 2206634 */   // Label 29182: @2206634
     /* 2206634 */   GIM_Reject,
     /* 2206635 */ // Label 29176: @2206635
     /* 2206635 */ GIM_Reject,
     /* 2206636 */ // Label 29129: @2206636
     /* 2206636 */ GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2206750),
     /* 2206641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2206647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206659 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2206704), // Rule ID 47919 //
     /* 2206664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206667 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2206670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206703 */     // GIR_Coverage, 47919,
     /* 2206703 */     GIR_EraseRootFromParent_Done,
     /* 2206704 */   // Label 29184: @2206704
     /* 2206704 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2206749), // Rule ID 47920 //
     /* 2206709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206712 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2206715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2206729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206748 */     // GIR_Coverage, 47920,
     /* 2206748 */     GIR_EraseRootFromParent_Done,
     /* 2206749 */   // Label 29185: @2206749
     /* 2206749 */   GIM_Reject,
     /* 2206750 */ // Label 29183: @2206750
     /* 2206750 */ GIM_Reject,
     /* 2206751 */ // Label 29130: @2206751
     /* 2206751 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2207229),
     /* 2206756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2206762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206766 */   GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2206855), // Rule ID 59231 //
     /* 2206771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206786 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206805 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206814 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206854 */     // GIR_Coverage, 59231,
     /* 2206854 */     GIR_EraseRootFromParent_Done,
     /* 2206855 */   // Label 29187: @2206855
     /* 2206855 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2206944), // Rule ID 59232 //
     /* 2206860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206875 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206894 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206903 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2206920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206943 */     // GIR_Coverage, 59232,
     /* 2206943 */     GIR_EraseRootFromParent_Done,
     /* 2206944 */   // Label 29188: @2206944
     /* 2206944 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2207033), // Rule ID 59233 //
     /* 2206949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206964 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206983 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206992 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207032 */     // GIR_Coverage, 59233,
     /* 2207032 */     GIR_EraseRootFromParent_Done,
     /* 2207033 */   // Label 29189: @2207033
     /* 2207033 */   GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2207122), // Rule ID 59234 //
     /* 2207038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207053 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207072 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207081 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2207098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207121 */     // GIR_Coverage, 59234,
     /* 2207121 */     GIR_EraseRootFromParent_Done,
     /* 2207122 */   // Label 29190: @2207122
     /* 2207122 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2207175), // Rule ID 47931 //
     /* 2207127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207138 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207174 */     // GIR_Coverage, 47931,
     /* 2207174 */     GIR_EraseRootFromParent_Done,
     /* 2207175 */   // Label 29191: @2207175
     /* 2207175 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2207228), // Rule ID 47932 //
     /* 2207180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207191 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2207194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207227 */     // GIR_Coverage, 47932,
     /* 2207227 */     GIR_EraseRootFromParent_Done,
     /* 2207228 */   // Label 29192: @2207228
     /* 2207228 */   GIM_Reject,
     /* 2207229 */ // Label 29186: @2207229
     /* 2207229 */ GIM_Reject,
     /* 2207230 */ // Label 29131: @2207230
     /* 2207230 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2207708),
     /* 2207235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207245 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2207334), // Rule ID 59279 //
     /* 2207250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207265 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207284 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207293 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207333 */     // GIR_Coverage, 59279,
     /* 2207333 */     GIR_EraseRootFromParent_Done,
     /* 2207334 */   // Label 29194: @2207334
     /* 2207334 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2207423), // Rule ID 59280 //
     /* 2207339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207354 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207373 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207382 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207422 */     // GIR_Coverage, 59280,
     /* 2207422 */     GIR_EraseRootFromParent_Done,
     /* 2207423 */   // Label 29195: @2207423
     /* 2207423 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2207512), // Rule ID 59281 //
     /* 2207428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207443 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207462 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207471 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207511 */     // GIR_Coverage, 59281,
     /* 2207511 */     GIR_EraseRootFromParent_Done,
     /* 2207512 */   // Label 29196: @2207512
     /* 2207512 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2207601), // Rule ID 59282 //
     /* 2207517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207532 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207551 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207560 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207600 */     // GIR_Coverage, 59282,
     /* 2207600 */     GIR_EraseRootFromParent_Done,
     /* 2207601 */   // Label 29197: @2207601
     /* 2207601 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2207654), // Rule ID 47947 //
     /* 2207606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207617 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207653 */     // GIR_Coverage, 47947,
     /* 2207653 */     GIR_EraseRootFromParent_Done,
     /* 2207654 */   // Label 29198: @2207654
     /* 2207654 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2207707), // Rule ID 47948 //
     /* 2207659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207670 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2207673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207706 */     // GIR_Coverage, 47948,
     /* 2207706 */     GIR_EraseRootFromParent_Done,
     /* 2207707 */   // Label 29199: @2207707
     /* 2207707 */   GIM_Reject,
     /* 2207708 */ // Label 29193: @2207708
     /* 2207708 */ GIM_Reject,
     /* 2207709 */ // Label 29132: @2207709
     /* 2207709 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2208187),
     /* 2207714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2207717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2207720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207724 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2207813), // Rule ID 59319 //
     /* 2207729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207744 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207763 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207772 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207812 */     // GIR_Coverage, 59319,
     /* 2207812 */     GIR_EraseRootFromParent_Done,
     /* 2207813 */   // Label 29201: @2207813
     /* 2207813 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2207902), // Rule ID 59320 //
     /* 2207818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207833 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207852 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207854 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207861 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207901 */     // GIR_Coverage, 59320,
     /* 2207901 */     GIR_EraseRootFromParent_Done,
     /* 2207902 */   // Label 29202: @2207902
     /* 2207902 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2207991), // Rule ID 59321 //
     /* 2207907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207922 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207941 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207950 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207990 */     // GIR_Coverage, 59321,
     /* 2207990 */     GIR_EraseRootFromParent_Done,
     /* 2207991 */   // Label 29203: @2207991
     /* 2207991 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2208080), // Rule ID 59322 //
     /* 2207996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208011 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208030 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208039 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208079 */     // GIR_Coverage, 59322,
     /* 2208079 */     GIR_EraseRootFromParent_Done,
     /* 2208080 */   // Label 29204: @2208080
     /* 2208080 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2208133), // Rule ID 47991 //
     /* 2208085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208096 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208132 */     // GIR_Coverage, 47991,
     /* 2208132 */     GIR_EraseRootFromParent_Done,
     /* 2208133 */   // Label 29205: @2208133
     /* 2208133 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2208186), // Rule ID 47992 //
     /* 2208138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208149 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208185 */     // GIR_Coverage, 47992,
     /* 2208185 */     GIR_EraseRootFromParent_Done,
     /* 2208186 */   // Label 29206: @2208186
     /* 2208186 */   GIM_Reject,
     /* 2208187 */ // Label 29200: @2208187
     /* 2208187 */ GIM_Reject,
     /* 2208188 */ // Label 29133: @2208188
     /* 2208188 */ GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2208302),
     /* 2208193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2208199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208211 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2208256), // Rule ID 47923 //
     /* 2208216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208219 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208255 */     // GIR_Coverage, 47923,
     /* 2208255 */     GIR_EraseRootFromParent_Done,
     /* 2208256 */   // Label 29208: @2208256
     /* 2208256 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2208301), // Rule ID 47924 //
     /* 2208261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208264 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2208281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208300 */     // GIR_Coverage, 47924,
     /* 2208300 */     GIR_EraseRootFromParent_Done,
     /* 2208301 */   // Label 29209: @2208301
     /* 2208301 */   GIM_Reject,
     /* 2208302 */ // Label 29207: @2208302
     /* 2208302 */ GIM_Reject,
     /* 2208303 */ // Label 29134: @2208303
     /* 2208303 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2208781),
     /* 2208308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208318 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2208407), // Rule ID 59239 //
     /* 2208323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208338 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208357 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208366 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208406 */     // GIR_Coverage, 59239,
     /* 2208406 */     GIR_EraseRootFromParent_Done,
     /* 2208407 */   // Label 29211: @2208407
     /* 2208407 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2208496), // Rule ID 59240 //
     /* 2208412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208427 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208446 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208455 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208495 */     // GIR_Coverage, 59240,
     /* 2208495 */     GIR_EraseRootFromParent_Done,
     /* 2208496 */   // Label 29212: @2208496
     /* 2208496 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2208585), // Rule ID 59241 //
     /* 2208501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208516 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208535 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208544 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208584 */     // GIR_Coverage, 59241,
     /* 2208584 */     GIR_EraseRootFromParent_Done,
     /* 2208585 */   // Label 29213: @2208585
     /* 2208585 */   GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2208674), // Rule ID 59242 //
     /* 2208590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208605 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208624 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208633 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2208650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208673 */     // GIR_Coverage, 59242,
     /* 2208673 */     GIR_EraseRootFromParent_Done,
     /* 2208674 */   // Label 29214: @2208674
     /* 2208674 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2208727), // Rule ID 47943 //
     /* 2208679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208690 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208726 */     // GIR_Coverage, 47943,
     /* 2208726 */     GIR_EraseRootFromParent_Done,
     /* 2208727 */   // Label 29215: @2208727
     /* 2208727 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2208780), // Rule ID 47944 //
     /* 2208732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208743 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208779 */     // GIR_Coverage, 47944,
     /* 2208779 */     GIR_EraseRootFromParent_Done,
     /* 2208780 */   // Label 29216: @2208780
     /* 2208780 */   GIM_Reject,
     /* 2208781 */ // Label 29210: @2208781
     /* 2208781 */ GIM_Reject,
     /* 2208782 */ // Label 29135: @2208782
     /* 2208782 */ GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209260),
     /* 2208787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2208793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208797 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2208886), // Rule ID 59287 //
     /* 2208802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208817 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208836 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208845 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208885 */     // GIR_Coverage, 59287,
     /* 2208885 */     GIR_EraseRootFromParent_Done,
     /* 2208886 */   // Label 29218: @2208886
     /* 2208886 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2208975), // Rule ID 59288 //
     /* 2208891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208906 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208925 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208934 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208974 */     // GIR_Coverage, 59288,
     /* 2208974 */     GIR_EraseRootFromParent_Done,
     /* 2208975 */   // Label 29219: @2208975
     /* 2208975 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209064), // Rule ID 59289 //
     /* 2208980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208995 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209014 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209023 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209063 */     // GIR_Coverage, 59289,
     /* 2209063 */     GIR_EraseRootFromParent_Done,
     /* 2209064 */   // Label 29220: @2209064
     /* 2209064 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209153), // Rule ID 59290 //
     /* 2209069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209084 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209103 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209112 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209152 */     // GIR_Coverage, 59290,
     /* 2209152 */     GIR_EraseRootFromParent_Done,
     /* 2209153 */   // Label 29221: @2209153
     /* 2209153 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209206), // Rule ID 47979 //
     /* 2209158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209169 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209205 */     // GIR_Coverage, 47979,
     /* 2209205 */     GIR_EraseRootFromParent_Done,
     /* 2209206 */   // Label 29222: @2209206
     /* 2209206 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209259), // Rule ID 47980 //
     /* 2209211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209222 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209258 */     // GIR_Coverage, 47980,
     /* 2209258 */     GIR_EraseRootFromParent_Done,
     /* 2209259 */   // Label 29223: @2209259
     /* 2209259 */   GIM_Reject,
     /* 2209260 */ // Label 29217: @2209260
     /* 2209260 */ GIM_Reject,
     /* 2209261 */ // Label 29136: @2209261
     /* 2209261 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2209739),
     /* 2209266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2209269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2209272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209276 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209365), // Rule ID 59327 //
     /* 2209281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209296 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209315 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209324 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209364 */     // GIR_Coverage, 59327,
     /* 2209364 */     GIR_EraseRootFromParent_Done,
     /* 2209365 */   // Label 29225: @2209365
     /* 2209365 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209454), // Rule ID 59328 //
     /* 2209370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209385 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209404 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209413 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209453 */     // GIR_Coverage, 59328,
     /* 2209453 */     GIR_EraseRootFromParent_Done,
     /* 2209454 */   // Label 29226: @2209454
     /* 2209454 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2209543), // Rule ID 59329 //
     /* 2209459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209474 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209493 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209502 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209542 */     // GIR_Coverage, 59329,
     /* 2209542 */     GIR_EraseRootFromParent_Done,
     /* 2209543 */   // Label 29227: @2209543
     /* 2209543 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2209632), // Rule ID 59330 //
     /* 2209548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209563 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209582 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209591 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209631 */     // GIR_Coverage, 59330,
     /* 2209631 */     GIR_EraseRootFromParent_Done,
     /* 2209632 */   // Label 29228: @2209632
     /* 2209632 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2209685), // Rule ID 47995 //
     /* 2209637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2209640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209648 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209684 */     // GIR_Coverage, 47995,
     /* 2209684 */     GIR_EraseRootFromParent_Done,
     /* 2209685 */   // Label 29229: @2209685
     /* 2209685 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2209738), // Rule ID 47996 //
     /* 2209690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2209693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209701 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209737 */     // GIR_Coverage, 47996,
     /* 2209737 */     GIR_EraseRootFromParent_Done,
     /* 2209738 */   // Label 29230: @2209738
     /* 2209738 */   GIM_Reject,
     /* 2209739 */ // Label 29224: @2209739
     /* 2209739 */ GIM_Reject,
     /* 2209740 */ // Label 29137: @2209740
     /* 2209740 */ GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2209854),
     /* 2209745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2209751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209763 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2209808), // Rule ID 47939 //
     /* 2209768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209771 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209807 */     // GIR_Coverage, 47939,
     /* 2209807 */     GIR_EraseRootFromParent_Done,
     /* 2209808 */   // Label 29232: @2209808
     /* 2209808 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2209853), // Rule ID 47940 //
     /* 2209813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209816 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2209833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209852 */     // GIR_Coverage, 47940,
     /* 2209852 */     GIR_EraseRootFromParent_Done,
     /* 2209853 */   // Label 29233: @2209853
     /* 2209853 */   GIM_Reject,
     /* 2209854 */ // Label 29231: @2209854
     /* 2209854 */ GIM_Reject,
     /* 2209855 */ // Label 29138: @2209855
     /* 2209855 */ GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210333),
     /* 2209860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2209866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209870 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2209959), // Rule ID 59247 //
     /* 2209875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209890 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209909 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209918 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209958 */     // GIR_Coverage, 59247,
     /* 2209958 */     GIR_EraseRootFromParent_Done,
     /* 2209959 */   // Label 29235: @2209959
     /* 2209959 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210048), // Rule ID 59248 //
     /* 2209964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209979 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209998 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210007 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210047 */     // GIR_Coverage, 59248,
     /* 2210047 */     GIR_EraseRootFromParent_Done,
     /* 2210048 */   // Label 29236: @2210048
     /* 2210048 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210137), // Rule ID 59249 //
     /* 2210053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210068 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210087 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210096 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210136 */     // GIR_Coverage, 59249,
     /* 2210136 */     GIR_EraseRootFromParent_Done,
     /* 2210137 */   // Label 29237: @2210137
     /* 2210137 */   GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2210226), // Rule ID 59250 //
     /* 2210142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210157 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2210176 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210185 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2210202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210225 */     // GIR_Coverage, 59250,
     /* 2210225 */     GIR_EraseRootFromParent_Done,
     /* 2210226 */   // Label 29238: @2210226
     /* 2210226 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210279), // Rule ID 47967 //
     /* 2210231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210242 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210278 */     // GIR_Coverage, 47967,
     /* 2210278 */     GIR_EraseRootFromParent_Done,
     /* 2210279 */   // Label 29239: @2210279
     /* 2210279 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210332), // Rule ID 47968 //
     /* 2210284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210295 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210331 */     // GIR_Coverage, 47968,
     /* 2210331 */     GIR_EraseRootFromParent_Done,
     /* 2210332 */   // Label 29240: @2210332
     /* 2210332 */   GIM_Reject,
     /* 2210333 */ // Label 29234: @2210333
     /* 2210333 */ GIM_Reject,
     /* 2210334 */ // Label 29139: @2210334
     /* 2210334 */ GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2210812),
     /* 2210339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2210345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210349 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2210438), // Rule ID 59295 //
     /* 2210354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210369 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210388 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210397 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210437 */     // GIR_Coverage, 59295,
     /* 2210437 */     GIR_EraseRootFromParent_Done,
     /* 2210438 */   // Label 29242: @2210438
     /* 2210438 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2210527), // Rule ID 59296 //
     /* 2210443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210458 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210477 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210486 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210526 */     // GIR_Coverage, 59296,
     /* 2210526 */     GIR_EraseRootFromParent_Done,
     /* 2210527 */   // Label 29243: @2210527
     /* 2210527 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2210616), // Rule ID 59297 //
     /* 2210532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210547 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210566 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210575 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210615 */     // GIR_Coverage, 59297,
     /* 2210615 */     GIR_EraseRootFromParent_Done,
     /* 2210616 */   // Label 29244: @2210616
     /* 2210616 */   GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2210705), // Rule ID 59298 //
     /* 2210621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210636 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210655 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210664 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210704 */     // GIR_Coverage, 59298,
     /* 2210704 */     GIR_EraseRootFromParent_Done,
     /* 2210705 */   // Label 29245: @2210705
     /* 2210705 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2210758), // Rule ID 47983 //
     /* 2210710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210721 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210757 */     // GIR_Coverage, 47983,
     /* 2210757 */     GIR_EraseRootFromParent_Done,
     /* 2210758 */   // Label 29246: @2210758
     /* 2210758 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2210811), // Rule ID 47984 //
     /* 2210763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210774 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210810 */     // GIR_Coverage, 47984,
     /* 2210810 */     GIR_EraseRootFromParent_Done,
     /* 2210811 */   // Label 29247: @2210811
     /* 2210811 */   GIM_Reject,
     /* 2210812 */ // Label 29241: @2210812
     /* 2210812 */ GIM_Reject,
     /* 2210813 */ // Label 29140: @2210813
     /* 2210813 */ GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211291),
     /* 2210818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2210821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2210824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210828 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2210917), // Rule ID 59335 //
     /* 2210833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210848 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210867 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210876 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210916 */     // GIR_Coverage, 59335,
     /* 2210916 */     GIR_EraseRootFromParent_Done,
     /* 2210917 */   // Label 29249: @2210917
     /* 2210917 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211006), // Rule ID 59336 //
     /* 2210922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210937 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210956 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210965 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211005 */     // GIR_Coverage, 59336,
     /* 2211005 */     GIR_EraseRootFromParent_Done,
     /* 2211006 */   // Label 29250: @2211006
     /* 2211006 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211095), // Rule ID 59337 //
     /* 2211011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2211014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211026 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211045 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211054 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211094 */     // GIR_Coverage, 59337,
     /* 2211094 */     GIR_EraseRootFromParent_Done,
     /* 2211095 */   // Label 29251: @2211095
     /* 2211095 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211184), // Rule ID 59338 //
     /* 2211100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211115 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211134 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211143 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211183 */     // GIR_Coverage, 59338,
     /* 2211183 */     GIR_EraseRootFromParent_Done,
     /* 2211184 */   // Label 29252: @2211184
     /* 2211184 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211237), // Rule ID 47999 //
     /* 2211189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211200 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211236 */     // GIR_Coverage, 47999,
     /* 2211236 */     GIR_EraseRootFromParent_Done,
     /* 2211237 */   // Label 29253: @2211237
     /* 2211237 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211290), // Rule ID 48000 //
     /* 2211242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211253 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211289 */     // GIR_Coverage, 48000,
     /* 2211289 */     GIR_EraseRootFromParent_Done,
     /* 2211290 */   // Label 29254: @2211290
     /* 2211290 */   GIM_Reject,
     /* 2211291 */ // Label 29248: @2211291
     /* 2211291 */ GIM_Reject,
     /* 2211292 */ // Label 29141: @2211292
     /* 2211292 */ GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2211406),
     /* 2211297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2211303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211315 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211360), // Rule ID 47955 //
     /* 2211320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211323 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211359 */     // GIR_Coverage, 47955,
     /* 2211359 */     GIR_EraseRootFromParent_Done,
     /* 2211360 */   // Label 29256: @2211360
     /* 2211360 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211405), // Rule ID 47956 //
     /* 2211365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211368 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2211385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211404 */     // GIR_Coverage, 47956,
     /* 2211404 */     GIR_EraseRootFromParent_Done,
     /* 2211405 */   // Label 29257: @2211405
     /* 2211405 */   GIM_Reject,
     /* 2211406 */ // Label 29255: @2211406
     /* 2211406 */ GIM_Reject,
     /* 2211407 */ // Label 29142: @2211407
     /* 2211407 */ GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2211885),
     /* 2211412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2211418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211422 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2211511), // Rule ID 59255 //
     /* 2211427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211442 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211461 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211470 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211510 */     // GIR_Coverage, 59255,
     /* 2211510 */     GIR_EraseRootFromParent_Done,
     /* 2211511 */   // Label 29259: @2211511
     /* 2211511 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2211600), // Rule ID 59256 //
     /* 2211516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211531 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211550 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211559 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211599 */     // GIR_Coverage, 59256,
     /* 2211599 */     GIR_EraseRootFromParent_Done,
     /* 2211600 */   // Label 29260: @2211600
     /* 2211600 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2211689), // Rule ID 59257 //
     /* 2211605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211620 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211639 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211648 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211688 */     // GIR_Coverage, 59257,
     /* 2211688 */     GIR_EraseRootFromParent_Done,
     /* 2211689 */   // Label 29261: @2211689
     /* 2211689 */   GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2211778), // Rule ID 59258 //
     /* 2211694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211709 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2211728 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211737 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2211754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211777 */     // GIR_Coverage, 59258,
     /* 2211777 */     GIR_EraseRootFromParent_Done,
     /* 2211778 */   // Label 29262: @2211778
     /* 2211778 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2211831), // Rule ID 47971 //
     /* 2211783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211794 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211830 */     // GIR_Coverage, 47971,
     /* 2211830 */     GIR_EraseRootFromParent_Done,
     /* 2211831 */   // Label 29263: @2211831
     /* 2211831 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2211884), // Rule ID 47972 //
     /* 2211836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211847 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211883 */     // GIR_Coverage, 47972,
     /* 2211883 */     GIR_EraseRootFromParent_Done,
     /* 2211884 */   // Label 29264: @2211884
     /* 2211884 */   GIM_Reject,
     /* 2211885 */ // Label 29258: @2211885
     /* 2211885 */ GIM_Reject,
     /* 2211886 */ // Label 29143: @2211886
     /* 2211886 */ GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2212364),
     /* 2211891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2211897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211901 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2211990), // Rule ID 59303 //
     /* 2211906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211921 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211940 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211949 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211989 */     // GIR_Coverage, 59303,
     /* 2211989 */     GIR_EraseRootFromParent_Done,
     /* 2211990 */   // Label 29266: @2211990
     /* 2211990 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2212079), // Rule ID 59304 //
     /* 2211995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212010 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212029 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212038 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212078 */     // GIR_Coverage, 59304,
     /* 2212078 */     GIR_EraseRootFromParent_Done,
     /* 2212079 */   // Label 29267: @2212079
     /* 2212079 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2212168), // Rule ID 59305 //
     /* 2212084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212099 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212118 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212127 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212167 */     // GIR_Coverage, 59305,
     /* 2212167 */     GIR_EraseRootFromParent_Done,
     /* 2212168 */   // Label 29268: @2212168
     /* 2212168 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2212257), // Rule ID 59306 //
     /* 2212173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212188 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212207 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212216 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212256 */     // GIR_Coverage, 59306,
     /* 2212256 */     GIR_EraseRootFromParent_Done,
     /* 2212257 */   // Label 29269: @2212257
     /* 2212257 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2212310), // Rule ID 47987 //
     /* 2212262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212273 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212309 */     // GIR_Coverage, 47987,
     /* 2212309 */     GIR_EraseRootFromParent_Done,
     /* 2212310 */   // Label 29270: @2212310
     /* 2212310 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2212363), // Rule ID 47988 //
     /* 2212315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212326 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212362 */     // GIR_Coverage, 47988,
     /* 2212362 */     GIR_EraseRootFromParent_Done,
     /* 2212363 */   // Label 29271: @2212363
     /* 2212363 */   GIM_Reject,
     /* 2212364 */ // Label 29265: @2212364
     /* 2212364 */ GIM_Reject,
     /* 2212365 */ // Label 29144: @2212365
     /* 2212365 */ GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2212479),
     /* 2212370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2212376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212388 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2212433), // Rule ID 47959 //
     /* 2212393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212396 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212432 */     // GIR_Coverage, 47959,
     /* 2212432 */     GIR_EraseRootFromParent_Done,
     /* 2212433 */   // Label 29273: @2212433
     /* 2212433 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2212478), // Rule ID 47960 //
     /* 2212438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212441 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2212458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212477 */     // GIR_Coverage, 47960,
     /* 2212477 */     GIR_EraseRootFromParent_Done,
     /* 2212478 */   // Label 29274: @2212478
     /* 2212478 */   GIM_Reject,
     /* 2212479 */ // Label 29272: @2212479
     /* 2212479 */ GIM_Reject,
     /* 2212480 */ // Label 29145: @2212480
     /* 2212480 */ GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2212958),
     /* 2212485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2212488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2212491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212495 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2212584), // Rule ID 59263 //
     /* 2212500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212515 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212534 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212543 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212583 */     // GIR_Coverage, 59263,
     /* 2212583 */     GIR_EraseRootFromParent_Done,
     /* 2212584 */   // Label 29276: @2212584
     /* 2212584 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2212673), // Rule ID 59264 //
     /* 2212589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212604 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212623 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212632 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212672 */     // GIR_Coverage, 59264,
     /* 2212672 */     GIR_EraseRootFromParent_Done,
     /* 2212673 */   // Label 29277: @2212673
     /* 2212673 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2212762), // Rule ID 59265 //
     /* 2212678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212693 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212712 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212721 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212761 */     // GIR_Coverage, 59265,
     /* 2212761 */     GIR_EraseRootFromParent_Done,
     /* 2212762 */   // Label 29278: @2212762
     /* 2212762 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2212851), // Rule ID 59266 //
     /* 2212767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212782 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212801 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212810 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2212827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212850 */     // GIR_Coverage, 59266,
     /* 2212850 */     GIR_EraseRootFromParent_Done,
     /* 2212851 */   // Label 29279: @2212851
     /* 2212851 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2212904), // Rule ID 47975 //
     /* 2212856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212867 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212903 */     // GIR_Coverage, 47975,
     /* 2212903 */     GIR_EraseRootFromParent_Done,
     /* 2212904 */   // Label 29280: @2212904
     /* 2212904 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2212957), // Rule ID 47976 //
     /* 2212909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212920 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2212937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212956 */     // GIR_Coverage, 47976,
     /* 2212956 */     GIR_EraseRootFromParent_Done,
     /* 2212957 */   // Label 29281: @2212957
     /* 2212957 */   GIM_Reject,
     /* 2212958 */ // Label 29275: @2212958
     /* 2212958 */ GIM_Reject,
     /* 2212959 */ // Label 29146: @2212959
     /* 2212959 */ GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2213073),
     /* 2212964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2212967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2212970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212982 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2213027), // Rule ID 47963 //
     /* 2212987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212990 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2212993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213026 */     // GIR_Coverage, 47963,
     /* 2213026 */     GIR_EraseRootFromParent_Done,
     /* 2213027 */   // Label 29283: @2213027
     /* 2213027 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2213072), // Rule ID 47964 //
     /* 2213032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213035 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2213052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213071 */     // GIR_Coverage, 47964,
     /* 2213071 */     GIR_EraseRootFromParent_Done,
     /* 2213072 */   // Label 29284: @2213072
     /* 2213072 */   GIM_Reject,
     /* 2213073 */ // Label 29282: @2213073
     /* 2213073 */ GIM_Reject,
     /* 2213074 */ // Label 29147: @2213074
     /* 2213074 */ GIM_Reject,
     /* 2213075 */ // Label 44: @2213075
     /* 2213075 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29309*/ GIMT_Encode4(2216105),
     /* 2213086 */ /*GILLT_s32*//*Label 29285*/ GIMT_Encode4(2213210),
     /* 2213090 */ /*GILLT_s64*//*Label 29286*/ GIMT_Encode4(2213294), GIMT_Encode4(0),
     /* 2213098 */ /*GILLT_nxv1s8*//*Label 29287*/ GIMT_Encode4(2213575),
     /* 2213102 */ /*GILLT_nxv1s16*//*Label 29288*/ GIMT_Encode4(2213690),
     /* 2213106 */ /*GILLT_nxv1s32*//*Label 29289*/ GIMT_Encode4(2213805),
     /* 2213110 */ /*GILLT_nxv1s64*//*Label 29290*/ GIMT_Encode4(2213920), GIMT_Encode4(0),
     /* 2213118 */ /*GILLT_nxv2s8*//*Label 29291*/ GIMT_Encode4(2214035),
     /* 2213122 */ /*GILLT_nxv2s16*//*Label 29292*/ GIMT_Encode4(2214150),
     /* 2213126 */ /*GILLT_nxv2s32*//*Label 29293*/ GIMT_Encode4(2214265),
     /* 2213130 */ /*GILLT_nxv2s64*//*Label 29294*/ GIMT_Encode4(2214380), GIMT_Encode4(0),
     /* 2213138 */ /*GILLT_nxv4s8*//*Label 29295*/ GIMT_Encode4(2214495),
     /* 2213142 */ /*GILLT_nxv4s16*//*Label 29296*/ GIMT_Encode4(2214610),
     /* 2213146 */ /*GILLT_nxv4s32*//*Label 29297*/ GIMT_Encode4(2214725),
     /* 2213150 */ /*GILLT_nxv4s64*//*Label 29298*/ GIMT_Encode4(2214840), GIMT_Encode4(0),
     /* 2213158 */ /*GILLT_nxv8s8*//*Label 29299*/ GIMT_Encode4(2214955),
     /* 2213162 */ /*GILLT_nxv8s16*//*Label 29300*/ GIMT_Encode4(2215070),
     /* 2213166 */ /*GILLT_nxv8s32*//*Label 29301*/ GIMT_Encode4(2215185),
     /* 2213170 */ /*GILLT_nxv8s64*//*Label 29302*/ GIMT_Encode4(2215300), GIMT_Encode4(0),
     /* 2213178 */ /*GILLT_nxv16s8*//*Label 29303*/ GIMT_Encode4(2215415),
     /* 2213182 */ /*GILLT_nxv16s16*//*Label 29304*/ GIMT_Encode4(2215530),
     /* 2213186 */ /*GILLT_nxv16s32*//*Label 29305*/ GIMT_Encode4(2215645), GIMT_Encode4(0),
     /* 2213194 */ /*GILLT_nxv32s8*//*Label 29306*/ GIMT_Encode4(2215760),
     /* 2213198 */ /*GILLT_nxv32s16*//*Label 29307*/ GIMT_Encode4(2215875), GIMT_Encode4(0),
     /* 2213206 */ /*GILLT_nxv64s8*//*Label 29308*/ GIMT_Encode4(2215990),
     /* 2213210 */ // Label 29285: @2213210
     /* 2213210 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2213293),
     /* 2213215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2213218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2213221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213229 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2213263), // Rule ID 93 //
     /* 2213234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213249 */     // MIs[1] Operand 1
     /* 2213249 */     // No operand predicates
     /* 2213249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213251 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213262 */     // GIR_Coverage, 93,
     /* 2213262 */     GIR_EraseRootFromParent_Done,
     /* 2213263 */   // Label 29311: @2213263
     /* 2213263 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2213292), // Rule ID 107 //
     /* 2213268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2213271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213278 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213291 */     // GIR_Coverage, 107,
     /* 2213291 */     GIR_EraseRootFromParent_Done,
     /* 2213292 */   // Label 29312: @2213292
     /* 2213292 */   GIM_Reject,
     /* 2213293 */ // Label 29310: @2213293
     /* 2213293 */ GIM_Reject,
     /* 2213294 */ // Label 29286: @2213294
     /* 2213294 */ GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2213574),
     /* 2213299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213305 */   GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2213377), // Rule ID 257 //
     /* 2213310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2213325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213338 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2213349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213357 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213361 */     // MIs[2] Operand 1
     /* 2213361 */     // No operand predicates
     /* 2213361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213363 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2213366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213376 */     // GIR_Coverage, 257,
     /* 2213376 */     GIR_EraseRootFromParent_Done,
     /* 2213377 */   // Label 29314: @2213377
     /* 2213377 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2213422), // Rule ID 62296 //
     /* 2213382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2213385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2213397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2213405 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10023),
     /* 2213409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213411 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10023>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2213411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2213414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213421 */     // GIR_Coverage, 62296,
     /* 2213421 */     GIR_EraseRootFromParent_Done,
     /* 2213422 */   // Label 29315: @2213422
     /* 2213422 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2213494), // Rule ID 269 //
     /* 2213427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2213430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2213442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213451 */     // MIs[1] Operand 2
     /* 2213451 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2213462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213470 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2213474 */     // MIs[2] Operand 1
     /* 2213474 */     // No operand predicates
     /* 2213474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10023),
     /* 2213478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213480 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10023>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2213480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2213483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2213489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2213492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213493 */     // GIR_Coverage, 269,
     /* 2213493 */     GIR_EraseRootFromParent_Done,
     /* 2213494 */   // Label 29316: @2213494
     /* 2213494 */   GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2213536), // Rule ID 92 //
     /* 2213499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213522 */     // MIs[1] Operand 1
     /* 2213522 */     // No operand predicates
     /* 2213522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213524 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2213527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213535 */     // GIR_Coverage, 92,
     /* 2213535 */     GIR_EraseRootFromParent_Done,
     /* 2213536 */   // Label 29317: @2213536
     /* 2213536 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2213573), // Rule ID 106 //
     /* 2213541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2213544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213559 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2213562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213572 */     // GIR_Coverage, 106,
     /* 2213572 */     GIR_EraseRootFromParent_Done,
     /* 2213573 */   // Label 29318: @2213573
     /* 2213573 */   GIM_Reject,
     /* 2213574 */ // Label 29313: @2213574
     /* 2213574 */ GIM_Reject,
     /* 2213575 */ // Label 29287: @2213575
     /* 2213575 */ GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2213689),
     /* 2213580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2213583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2213586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213598 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2213643), // Rule ID 48047 //
     /* 2213603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213606 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2213623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213642 */     // GIR_Coverage, 48047,
     /* 2213642 */     GIR_EraseRootFromParent_Done,
     /* 2213643 */   // Label 29320: @2213643
     /* 2213643 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2213688), // Rule ID 48048 //
     /* 2213648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213651 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2213668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213687 */     // GIR_Coverage, 48048,
     /* 2213687 */     GIR_EraseRootFromParent_Done,
     /* 2213688 */   // Label 29321: @2213688
     /* 2213688 */   GIM_Reject,
     /* 2213689 */ // Label 29319: @2213689
     /* 2213689 */ GIM_Reject,
     /* 2213690 */ // Label 29288: @2213690
     /* 2213690 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2213804),
     /* 2213695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2213698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2213701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213713 */   GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2213758), // Rule ID 48059 //
     /* 2213718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213721 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2213738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213757 */     // GIR_Coverage, 48059,
     /* 2213757 */     GIR_EraseRootFromParent_Done,
     /* 2213758 */   // Label 29323: @2213758
     /* 2213758 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2213803), // Rule ID 48060 //
     /* 2213763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213766 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2213783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213802 */     // GIR_Coverage, 48060,
     /* 2213802 */     GIR_EraseRootFromParent_Done,
     /* 2213803 */   // Label 29324: @2213803
     /* 2213803 */   GIM_Reject,
     /* 2213804 */ // Label 29322: @2213804
     /* 2213804 */ GIM_Reject,
     /* 2213805 */ // Label 29289: @2213805
     /* 2213805 */ GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2213919),
     /* 2213810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2213816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213828 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2213873), // Rule ID 48067 //
     /* 2213833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213836 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213872 */     // GIR_Coverage, 48067,
     /* 2213872 */     GIR_EraseRootFromParent_Done,
     /* 2213873 */   // Label 29326: @2213873
     /* 2213873 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2213918), // Rule ID 48068 //
     /* 2213878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213881 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213917 */     // GIR_Coverage, 48068,
     /* 2213917 */     GIR_EraseRootFromParent_Done,
     /* 2213918 */   // Label 29327: @2213918
     /* 2213918 */   GIM_Reject,
     /* 2213919 */ // Label 29325: @2213919
     /* 2213919 */ GIM_Reject,
     /* 2213920 */ // Label 29290: @2213920
     /* 2213920 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2214034),
     /* 2213925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2213931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213943 */   GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2213988), // Rule ID 48083 //
     /* 2213948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2213951 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213987 */     // GIR_Coverage, 48083,
     /* 2213987 */     GIR_EraseRootFromParent_Done,
     /* 2213988 */   // Label 29329: @2213988
     /* 2213988 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2214033), // Rule ID 48084 //
     /* 2213993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2213996 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214032 */     // GIR_Coverage, 48084,
     /* 2214032 */     GIR_EraseRootFromParent_Done,
     /* 2214033 */   // Label 29330: @2214033
     /* 2214033 */   GIM_Reject,
     /* 2214034 */ // Label 29328: @2214034
     /* 2214034 */ GIM_Reject,
     /* 2214035 */ // Label 29291: @2214035
     /* 2214035 */ GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2214149),
     /* 2214040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2214043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2214046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214058 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2214103), // Rule ID 48051 //
     /* 2214063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214066 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214102 */     // GIR_Coverage, 48051,
     /* 2214102 */     GIR_EraseRootFromParent_Done,
     /* 2214103 */   // Label 29332: @2214103
     /* 2214103 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2214148), // Rule ID 48052 //
     /* 2214108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214111 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2214128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214147 */     // GIR_Coverage, 48052,
     /* 2214147 */     GIR_EraseRootFromParent_Done,
     /* 2214148 */   // Label 29333: @2214148
     /* 2214148 */   GIM_Reject,
     /* 2214149 */ // Label 29331: @2214149
     /* 2214149 */ GIM_Reject,
     /* 2214150 */ // Label 29292: @2214150
     /* 2214150 */ GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2214264),
     /* 2214155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2214161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214173 */   GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2214218), // Rule ID 48063 //
     /* 2214178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214181 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214217 */     // GIR_Coverage, 48063,
     /* 2214217 */     GIR_EraseRootFromParent_Done,
     /* 2214218 */   // Label 29335: @2214218
     /* 2214218 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2214263), // Rule ID 48064 //
     /* 2214223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214226 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214262 */     // GIR_Coverage, 48064,
     /* 2214262 */     GIR_EraseRootFromParent_Done,
     /* 2214263 */   // Label 29336: @2214263
     /* 2214263 */   GIM_Reject,
     /* 2214264 */ // Label 29334: @2214264
     /* 2214264 */ GIM_Reject,
     /* 2214265 */ // Label 29293: @2214265
     /* 2214265 */ GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2214379),
     /* 2214270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214288 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2214333), // Rule ID 48079 //
     /* 2214293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214296 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214332 */     // GIR_Coverage, 48079,
     /* 2214332 */     GIR_EraseRootFromParent_Done,
     /* 2214333 */   // Label 29338: @2214333
     /* 2214333 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2214378), // Rule ID 48080 //
     /* 2214338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214341 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214377 */     // GIR_Coverage, 48080,
     /* 2214377 */     GIR_EraseRootFromParent_Done,
     /* 2214378 */   // Label 29339: @2214378
     /* 2214378 */   GIM_Reject,
     /* 2214379 */ // Label 29337: @2214379
     /* 2214379 */ GIM_Reject,
     /* 2214380 */ // Label 29294: @2214380
     /* 2214380 */ GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2214494),
     /* 2214385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214403 */   GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2214448), // Rule ID 48123 //
     /* 2214408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214411 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214447 */     // GIR_Coverage, 48123,
     /* 2214447 */     GIR_EraseRootFromParent_Done,
     /* 2214448 */   // Label 29341: @2214448
     /* 2214448 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2214493), // Rule ID 48124 //
     /* 2214453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214456 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214492 */     // GIR_Coverage, 48124,
     /* 2214492 */     GIR_EraseRootFromParent_Done,
     /* 2214493 */   // Label 29342: @2214493
     /* 2214493 */   GIM_Reject,
     /* 2214494 */ // Label 29340: @2214494
     /* 2214494 */ GIM_Reject,
     /* 2214495 */ // Label 29295: @2214495
     /* 2214495 */ GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2214609),
     /* 2214500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2214503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2214506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214518 */   GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2214563), // Rule ID 48055 //
     /* 2214523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214526 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214562 */     // GIR_Coverage, 48055,
     /* 2214562 */     GIR_EraseRootFromParent_Done,
     /* 2214563 */   // Label 29344: @2214563
     /* 2214563 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2214608), // Rule ID 48056 //
     /* 2214568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214571 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2214588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214607 */     // GIR_Coverage, 48056,
     /* 2214607 */     GIR_EraseRootFromParent_Done,
     /* 2214608 */   // Label 29345: @2214608
     /* 2214608 */   GIM_Reject,
     /* 2214609 */ // Label 29343: @2214609
     /* 2214609 */ GIM_Reject,
     /* 2214610 */ // Label 29296: @2214610
     /* 2214610 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2214724),
     /* 2214615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2214621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214633 */   GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2214678), // Rule ID 48075 //
     /* 2214638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214641 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214677 */     // GIR_Coverage, 48075,
     /* 2214677 */     GIR_EraseRootFromParent_Done,
     /* 2214678 */   // Label 29347: @2214678
     /* 2214678 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2214723), // Rule ID 48076 //
     /* 2214683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214686 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2214703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214722 */     // GIR_Coverage, 48076,
     /* 2214722 */     GIR_EraseRootFromParent_Done,
     /* 2214723 */   // Label 29348: @2214723
     /* 2214723 */   GIM_Reject,
     /* 2214724 */ // Label 29346: @2214724
     /* 2214724 */ GIM_Reject,
     /* 2214725 */ // Label 29297: @2214725
     /* 2214725 */ GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2214839),
     /* 2214730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2214736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214748 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2214793), // Rule ID 48111 //
     /* 2214753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214756 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214792 */     // GIR_Coverage, 48111,
     /* 2214792 */     GIR_EraseRootFromParent_Done,
     /* 2214793 */   // Label 29350: @2214793
     /* 2214793 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2214838), // Rule ID 48112 //
     /* 2214798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214801 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214837 */     // GIR_Coverage, 48112,
     /* 2214837 */     GIR_EraseRootFromParent_Done,
     /* 2214838 */   // Label 29351: @2214838
     /* 2214838 */   GIM_Reject,
     /* 2214839 */ // Label 29349: @2214839
     /* 2214839 */ GIM_Reject,
     /* 2214840 */ // Label 29298: @2214840
     /* 2214840 */ GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2214954),
     /* 2214845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2214848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2214851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214863 */   GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2214908), // Rule ID 48127 //
     /* 2214868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214871 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214907 */     // GIR_Coverage, 48127,
     /* 2214907 */     GIR_EraseRootFromParent_Done,
     /* 2214908 */   // Label 29353: @2214908
     /* 2214908 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2214953), // Rule ID 48128 //
     /* 2214913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214916 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214952 */     // GIR_Coverage, 48128,
     /* 2214952 */     GIR_EraseRootFromParent_Done,
     /* 2214953 */   // Label 29354: @2214953
     /* 2214953 */   GIM_Reject,
     /* 2214954 */ // Label 29352: @2214954
     /* 2214954 */ GIM_Reject,
     /* 2214955 */ // Label 29299: @2214955
     /* 2214955 */ GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2215069),
     /* 2214960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2214966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214978 */   GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2215023), // Rule ID 48071 //
     /* 2214983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214986 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2214989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215022 */     // GIR_Coverage, 48071,
     /* 2215022 */     GIR_EraseRootFromParent_Done,
     /* 2215023 */   // Label 29356: @2215023
     /* 2215023 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2215068), // Rule ID 48072 //
     /* 2215028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215031 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2215048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215067 */     // GIR_Coverage, 48072,
     /* 2215067 */     GIR_EraseRootFromParent_Done,
     /* 2215068 */   // Label 29357: @2215068
     /* 2215068 */   GIM_Reject,
     /* 2215069 */ // Label 29355: @2215069
     /* 2215069 */ GIM_Reject,
     /* 2215070 */ // Label 29300: @2215070
     /* 2215070 */ GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2215184),
     /* 2215075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2215081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215093 */   GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2215138), // Rule ID 48099 //
     /* 2215098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215101 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215137 */     // GIR_Coverage, 48099,
     /* 2215137 */     GIR_EraseRootFromParent_Done,
     /* 2215138 */   // Label 29359: @2215138
     /* 2215138 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2215183), // Rule ID 48100 //
     /* 2215143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215146 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215182 */     // GIR_Coverage, 48100,
     /* 2215182 */     GIR_EraseRootFromParent_Done,
     /* 2215183 */   // Label 29360: @2215183
     /* 2215183 */   GIM_Reject,
     /* 2215184 */ // Label 29358: @2215184
     /* 2215184 */ GIM_Reject,
     /* 2215185 */ // Label 29301: @2215185
     /* 2215185 */ GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2215299),
     /* 2215190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215208 */   GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2215253), // Rule ID 48115 //
     /* 2215213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215216 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215252 */     // GIR_Coverage, 48115,
     /* 2215252 */     GIR_EraseRootFromParent_Done,
     /* 2215253 */   // Label 29362: @2215253
     /* 2215253 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2215298), // Rule ID 48116 //
     /* 2215258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215261 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215297 */     // GIR_Coverage, 48116,
     /* 2215297 */     GIR_EraseRootFromParent_Done,
     /* 2215298 */   // Label 29363: @2215298
     /* 2215298 */   GIM_Reject,
     /* 2215299 */ // Label 29361: @2215299
     /* 2215299 */ GIM_Reject,
     /* 2215300 */ // Label 29302: @2215300
     /* 2215300 */ GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2215414),
     /* 2215305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215323 */   GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2215368), // Rule ID 48131 //
     /* 2215328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215331 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215367 */     // GIR_Coverage, 48131,
     /* 2215367 */     GIR_EraseRootFromParent_Done,
     /* 2215368 */   // Label 29365: @2215368
     /* 2215368 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2215413), // Rule ID 48132 //
     /* 2215373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215376 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215412 */     // GIR_Coverage, 48132,
     /* 2215412 */     GIR_EraseRootFromParent_Done,
     /* 2215413 */   // Label 29366: @2215413
     /* 2215413 */   GIM_Reject,
     /* 2215414 */ // Label 29364: @2215414
     /* 2215414 */ GIM_Reject,
     /* 2215415 */ // Label 29303: @2215415
     /* 2215415 */ GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2215529),
     /* 2215420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215438 */   GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2215483), // Rule ID 48087 //
     /* 2215443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215446 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215482 */     // GIR_Coverage, 48087,
     /* 2215482 */     GIR_EraseRootFromParent_Done,
     /* 2215483 */   // Label 29368: @2215483
     /* 2215483 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2215528), // Rule ID 48088 //
     /* 2215488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215491 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2215508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215527 */     // GIR_Coverage, 48088,
     /* 2215527 */     GIR_EraseRootFromParent_Done,
     /* 2215528 */   // Label 29369: @2215528
     /* 2215528 */   GIM_Reject,
     /* 2215529 */ // Label 29367: @2215529
     /* 2215529 */ GIM_Reject,
     /* 2215530 */ // Label 29304: @2215530
     /* 2215530 */ GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2215644),
     /* 2215535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215553 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2215598), // Rule ID 48103 //
     /* 2215558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215561 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215597 */     // GIR_Coverage, 48103,
     /* 2215597 */     GIR_EraseRootFromParent_Done,
     /* 2215598 */   // Label 29371: @2215598
     /* 2215598 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2215643), // Rule ID 48104 //
     /* 2215603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215606 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215642 */     // GIR_Coverage, 48104,
     /* 2215642 */     GIR_EraseRootFromParent_Done,
     /* 2215643 */   // Label 29372: @2215643
     /* 2215643 */   GIM_Reject,
     /* 2215644 */ // Label 29370: @2215644
     /* 2215644 */ GIM_Reject,
     /* 2215645 */ // Label 29305: @2215645
     /* 2215645 */ GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2215759),
     /* 2215650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2215653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2215656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215668 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2215713), // Rule ID 48119 //
     /* 2215673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215676 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215712 */     // GIR_Coverage, 48119,
     /* 2215712 */     GIR_EraseRootFromParent_Done,
     /* 2215713 */   // Label 29374: @2215713
     /* 2215713 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2215758), // Rule ID 48120 //
     /* 2215718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215721 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215757 */     // GIR_Coverage, 48120,
     /* 2215757 */     GIR_EraseRootFromParent_Done,
     /* 2215758 */   // Label 29375: @2215758
     /* 2215758 */   GIM_Reject,
     /* 2215759 */ // Label 29373: @2215759
     /* 2215759 */ GIM_Reject,
     /* 2215760 */ // Label 29306: @2215760
     /* 2215760 */ GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2215874),
     /* 2215765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2215768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2215771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215783 */   GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2215828), // Rule ID 48091 //
     /* 2215788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215791 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215827 */     // GIR_Coverage, 48091,
     /* 2215827 */     GIR_EraseRootFromParent_Done,
     /* 2215828 */   // Label 29377: @2215828
     /* 2215828 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2215873), // Rule ID 48092 //
     /* 2215833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215836 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2215853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215872 */     // GIR_Coverage, 48092,
     /* 2215872 */     GIR_EraseRootFromParent_Done,
     /* 2215873 */   // Label 29378: @2215873
     /* 2215873 */   GIM_Reject,
     /* 2215874 */ // Label 29376: @2215874
     /* 2215874 */ GIM_Reject,
     /* 2215875 */ // Label 29307: @2215875
     /* 2215875 */ GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2215989),
     /* 2215880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2215883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2215886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215898 */   GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2215943), // Rule ID 48107 //
     /* 2215903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215906 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2215909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215942 */     // GIR_Coverage, 48107,
     /* 2215942 */     GIR_EraseRootFromParent_Done,
     /* 2215943 */   // Label 29380: @2215943
     /* 2215943 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2215988), // Rule ID 48108 //
     /* 2215948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215951 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2215954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2215968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215987 */     // GIR_Coverage, 48108,
     /* 2215987 */     GIR_EraseRootFromParent_Done,
     /* 2215988 */   // Label 29381: @2215988
     /* 2215988 */   GIM_Reject,
     /* 2215989 */ // Label 29379: @2215989
     /* 2215989 */ GIM_Reject,
     /* 2215990 */ // Label 29308: @2215990
     /* 2215990 */ GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2216104),
     /* 2215995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2215998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2216001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216013 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2216058), // Rule ID 48095 //
     /* 2216018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216021 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216057 */     // GIR_Coverage, 48095,
     /* 2216057 */     GIR_EraseRootFromParent_Done,
     /* 2216058 */   // Label 29383: @2216058
     /* 2216058 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2216103), // Rule ID 48096 //
     /* 2216063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216066 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2216083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216102 */     // GIR_Coverage, 48096,
     /* 2216102 */     GIR_EraseRootFromParent_Done,
     /* 2216103 */   // Label 29384: @2216103
     /* 2216103 */   GIM_Reject,
     /* 2216104 */ // Label 29382: @2216104
     /* 2216104 */ GIM_Reject,
     /* 2216105 */ // Label 29309: @2216105
     /* 2216105 */ GIM_Reject,
     /* 2216106 */ // Label 45: @2216106
     /* 2216106 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29409*/ GIMT_Encode4(2219044),
     /* 2216117 */ /*GILLT_s32*//*Label 29385*/ GIMT_Encode4(2216241),
     /* 2216121 */ /*GILLT_s64*//*Label 29386*/ GIMT_Encode4(2216325), GIMT_Encode4(0),
     /* 2216129 */ /*GILLT_nxv1s8*//*Label 29387*/ GIMT_Encode4(2216514),
     /* 2216133 */ /*GILLT_nxv1s16*//*Label 29388*/ GIMT_Encode4(2216629),
     /* 2216137 */ /*GILLT_nxv1s32*//*Label 29389*/ GIMT_Encode4(2216744),
     /* 2216141 */ /*GILLT_nxv1s64*//*Label 29390*/ GIMT_Encode4(2216859), GIMT_Encode4(0),
     /* 2216149 */ /*GILLT_nxv2s8*//*Label 29391*/ GIMT_Encode4(2216974),
     /* 2216153 */ /*GILLT_nxv2s16*//*Label 29392*/ GIMT_Encode4(2217089),
     /* 2216157 */ /*GILLT_nxv2s32*//*Label 29393*/ GIMT_Encode4(2217204),
     /* 2216161 */ /*GILLT_nxv2s64*//*Label 29394*/ GIMT_Encode4(2217319), GIMT_Encode4(0),
     /* 2216169 */ /*GILLT_nxv4s8*//*Label 29395*/ GIMT_Encode4(2217434),
     /* 2216173 */ /*GILLT_nxv4s16*//*Label 29396*/ GIMT_Encode4(2217549),
     /* 2216177 */ /*GILLT_nxv4s32*//*Label 29397*/ GIMT_Encode4(2217664),
     /* 2216181 */ /*GILLT_nxv4s64*//*Label 29398*/ GIMT_Encode4(2217779), GIMT_Encode4(0),
     /* 2216189 */ /*GILLT_nxv8s8*//*Label 29399*/ GIMT_Encode4(2217894),
     /* 2216193 */ /*GILLT_nxv8s16*//*Label 29400*/ GIMT_Encode4(2218009),
     /* 2216197 */ /*GILLT_nxv8s32*//*Label 29401*/ GIMT_Encode4(2218124),
     /* 2216201 */ /*GILLT_nxv8s64*//*Label 29402*/ GIMT_Encode4(2218239), GIMT_Encode4(0),
     /* 2216209 */ /*GILLT_nxv16s8*//*Label 29403*/ GIMT_Encode4(2218354),
     /* 2216213 */ /*GILLT_nxv16s16*//*Label 29404*/ GIMT_Encode4(2218469),
     /* 2216217 */ /*GILLT_nxv16s32*//*Label 29405*/ GIMT_Encode4(2218584), GIMT_Encode4(0),
     /* 2216225 */ /*GILLT_nxv32s8*//*Label 29406*/ GIMT_Encode4(2218699),
     /* 2216229 */ /*GILLT_nxv32s16*//*Label 29407*/ GIMT_Encode4(2218814), GIMT_Encode4(0),
     /* 2216237 */ /*GILLT_nxv64s8*//*Label 29408*/ GIMT_Encode4(2218929),
     /* 2216241 */ // Label 29385: @2216241
     /* 2216241 */ GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2216324),
     /* 2216246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2216249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2216252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216260 */   GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2216294), // Rule ID 95 //
     /* 2216265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216280 */     // MIs[1] Operand 1
     /* 2216280 */     // No operand predicates
     /* 2216280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216282 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216293 */     // GIR_Coverage, 95,
     /* 2216293 */     GIR_EraseRootFromParent_Done,
     /* 2216294 */   // Label 29411: @2216294
     /* 2216294 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2216323), // Rule ID 109 //
     /* 2216299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2216302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216309 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2216309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216322 */     // GIR_Coverage, 109,
     /* 2216322 */     GIR_EraseRootFromParent_Done,
     /* 2216323 */   // Label 29412: @2216323
     /* 2216323 */   GIM_Reject,
     /* 2216324 */ // Label 29410: @2216324
     /* 2216324 */ GIM_Reject,
     /* 2216325 */ // Label 29386: @2216325
     /* 2216325 */ GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2216513),
     /* 2216330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2216336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216340 */   GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2216377), // Rule ID 62295 //
     /* 2216345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2216348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2216356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216360 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2216364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216366 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2216366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2216369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216376 */     // GIR_Coverage, 62295,
     /* 2216376 */     GIR_EraseRootFromParent_Done,
     /* 2216377 */   // Label 29414: @2216377
     /* 2216377 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2216441), // Rule ID 259 //
     /* 2216382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2216385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2216393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216402 */     // MIs[1] Operand 2
     /* 2216402 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2216413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216421 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2216425 */     // MIs[2] Operand 1
     /* 2216425 */     // No operand predicates
     /* 2216425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216427 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2216427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2216430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2216436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2216439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216440 */     // GIR_Coverage, 259,
     /* 2216440 */     GIR_EraseRootFromParent_Done,
     /* 2216441 */   // Label 29415: @2216441
     /* 2216441 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2216479), // Rule ID 94 //
     /* 2216446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216465 */     // MIs[1] Operand 1
     /* 2216465 */     // No operand predicates
     /* 2216465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216467 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2216467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2216470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2216477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216478 */     // GIR_Coverage, 94,
     /* 2216478 */     GIR_EraseRootFromParent_Done,
     /* 2216479 */   // Label 29416: @2216479
     /* 2216479 */   GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2216512), // Rule ID 108 //
     /* 2216484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2216487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216498 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2216498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2216501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216511 */     // GIR_Coverage, 108,
     /* 2216511 */     GIR_EraseRootFromParent_Done,
     /* 2216512 */   // Label 29417: @2216512
     /* 2216512 */   GIM_Reject,
     /* 2216513 */ // Label 29413: @2216513
     /* 2216513 */ GIM_Reject,
     /* 2216514 */ // Label 29387: @2216514
     /* 2216514 */ GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2216628),
     /* 2216519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2216525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216537 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2216582), // Rule ID 48179 //
     /* 2216542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216545 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2216562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216581 */     // GIR_Coverage, 48179,
     /* 2216581 */     GIR_EraseRootFromParent_Done,
     /* 2216582 */   // Label 29419: @2216582
     /* 2216582 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2216627), // Rule ID 48180 //
     /* 2216587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216590 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2216607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216626 */     // GIR_Coverage, 48180,
     /* 2216626 */     GIR_EraseRootFromParent_Done,
     /* 2216627 */   // Label 29420: @2216627
     /* 2216627 */   GIM_Reject,
     /* 2216628 */ // Label 29418: @2216628
     /* 2216628 */ GIM_Reject,
     /* 2216629 */ // Label 29388: @2216629
     /* 2216629 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2216743),
     /* 2216634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2216640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216652 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2216697), // Rule ID 48191 //
     /* 2216657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216660 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2216677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216696 */     // GIR_Coverage, 48191,
     /* 2216696 */     GIR_EraseRootFromParent_Done,
     /* 2216697 */   // Label 29422: @2216697
     /* 2216697 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2216742), // Rule ID 48192 //
     /* 2216702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216705 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2216722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216741 */     // GIR_Coverage, 48192,
     /* 2216741 */     GIR_EraseRootFromParent_Done,
     /* 2216742 */   // Label 29423: @2216742
     /* 2216742 */   GIM_Reject,
     /* 2216743 */ // Label 29421: @2216743
     /* 2216743 */ GIM_Reject,
     /* 2216744 */ // Label 29389: @2216744
     /* 2216744 */ GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2216858),
     /* 2216749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2216752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2216755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216767 */   GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2216812), // Rule ID 48199 //
     /* 2216772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216775 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216811 */     // GIR_Coverage, 48199,
     /* 2216811 */     GIR_EraseRootFromParent_Done,
     /* 2216812 */   // Label 29425: @2216812
     /* 2216812 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2216857), // Rule ID 48200 //
     /* 2216817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216820 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216856 */     // GIR_Coverage, 48200,
     /* 2216856 */     GIR_EraseRootFromParent_Done,
     /* 2216857 */   // Label 29426: @2216857
     /* 2216857 */   GIM_Reject,
     /* 2216858 */ // Label 29424: @2216858
     /* 2216858 */ GIM_Reject,
     /* 2216859 */ // Label 29390: @2216859
     /* 2216859 */ GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2216973),
     /* 2216864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2216867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2216870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216882 */   GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2216927), // Rule ID 48215 //
     /* 2216887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2216890 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216926 */     // GIR_Coverage, 48215,
     /* 2216926 */     GIR_EraseRootFromParent_Done,
     /* 2216927 */   // Label 29428: @2216927
     /* 2216927 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2216972), // Rule ID 48216 //
     /* 2216932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216935 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216971 */     // GIR_Coverage, 48216,
     /* 2216971 */     GIR_EraseRootFromParent_Done,
     /* 2216972 */   // Label 29429: @2216972
     /* 2216972 */   GIM_Reject,
     /* 2216973 */ // Label 29427: @2216973
     /* 2216973 */ GIM_Reject,
     /* 2216974 */ // Label 29391: @2216974
     /* 2216974 */ GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2217088),
     /* 2216979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2216985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216997 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2217042), // Rule ID 48183 //
     /* 2217002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217005 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217041 */     // GIR_Coverage, 48183,
     /* 2217041 */     GIR_EraseRootFromParent_Done,
     /* 2217042 */   // Label 29431: @2217042
     /* 2217042 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2217087), // Rule ID 48184 //
     /* 2217047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217050 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2217067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217086 */     // GIR_Coverage, 48184,
     /* 2217086 */     GIR_EraseRootFromParent_Done,
     /* 2217087 */   // Label 29432: @2217087
     /* 2217087 */   GIM_Reject,
     /* 2217088 */ // Label 29430: @2217088
     /* 2217088 */ GIM_Reject,
     /* 2217089 */ // Label 29392: @2217089
     /* 2217089 */ GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2217203),
     /* 2217094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2217100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217112 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2217157), // Rule ID 48195 //
     /* 2217117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217120 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217156 */     // GIR_Coverage, 48195,
     /* 2217156 */     GIR_EraseRootFromParent_Done,
     /* 2217157 */   // Label 29434: @2217157
     /* 2217157 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2217202), // Rule ID 48196 //
     /* 2217162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217165 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217201 */     // GIR_Coverage, 48196,
     /* 2217201 */     GIR_EraseRootFromParent_Done,
     /* 2217202 */   // Label 29435: @2217202
     /* 2217202 */   GIM_Reject,
     /* 2217203 */ // Label 29433: @2217203
     /* 2217203 */ GIM_Reject,
     /* 2217204 */ // Label 29393: @2217204
     /* 2217204 */ GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2217318),
     /* 2217209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217227 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2217272), // Rule ID 48211 //
     /* 2217232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217235 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217271 */     // GIR_Coverage, 48211,
     /* 2217271 */     GIR_EraseRootFromParent_Done,
     /* 2217272 */   // Label 29437: @2217272
     /* 2217272 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2217317), // Rule ID 48212 //
     /* 2217277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217280 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217316 */     // GIR_Coverage, 48212,
     /* 2217316 */     GIR_EraseRootFromParent_Done,
     /* 2217317 */   // Label 29438: @2217317
     /* 2217317 */   GIM_Reject,
     /* 2217318 */ // Label 29436: @2217318
     /* 2217318 */ GIM_Reject,
     /* 2217319 */ // Label 29394: @2217319
     /* 2217319 */ GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2217433),
     /* 2217324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217342 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2217387), // Rule ID 48255 //
     /* 2217347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217350 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217386 */     // GIR_Coverage, 48255,
     /* 2217386 */     GIR_EraseRootFromParent_Done,
     /* 2217387 */   // Label 29440: @2217387
     /* 2217387 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2217432), // Rule ID 48256 //
     /* 2217392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217395 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217431 */     // GIR_Coverage, 48256,
     /* 2217431 */     GIR_EraseRootFromParent_Done,
     /* 2217432 */   // Label 29441: @2217432
     /* 2217432 */   GIM_Reject,
     /* 2217433 */ // Label 29439: @2217433
     /* 2217433 */ GIM_Reject,
     /* 2217434 */ // Label 29395: @2217434
     /* 2217434 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2217548),
     /* 2217439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217457 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2217502), // Rule ID 48187 //
     /* 2217462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217465 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217501 */     // GIR_Coverage, 48187,
     /* 2217501 */     GIR_EraseRootFromParent_Done,
     /* 2217502 */   // Label 29443: @2217502
     /* 2217502 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2217547), // Rule ID 48188 //
     /* 2217507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217510 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2217527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217546 */     // GIR_Coverage, 48188,
     /* 2217546 */     GIR_EraseRootFromParent_Done,
     /* 2217547 */   // Label 29444: @2217547
     /* 2217547 */   GIM_Reject,
     /* 2217548 */ // Label 29442: @2217548
     /* 2217548 */ GIM_Reject,
     /* 2217549 */ // Label 29396: @2217549
     /* 2217549 */ GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2217663),
     /* 2217554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217572 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2217617), // Rule ID 48207 //
     /* 2217577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217580 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217616 */     // GIR_Coverage, 48207,
     /* 2217616 */     GIR_EraseRootFromParent_Done,
     /* 2217617 */   // Label 29446: @2217617
     /* 2217617 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2217662), // Rule ID 48208 //
     /* 2217622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217625 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217661 */     // GIR_Coverage, 48208,
     /* 2217661 */     GIR_EraseRootFromParent_Done,
     /* 2217662 */   // Label 29447: @2217662
     /* 2217662 */   GIM_Reject,
     /* 2217663 */ // Label 29445: @2217663
     /* 2217663 */ GIM_Reject,
     /* 2217664 */ // Label 29397: @2217664
     /* 2217664 */ GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2217778),
     /* 2217669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2217675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217687 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2217732), // Rule ID 48243 //
     /* 2217692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217695 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217731 */     // GIR_Coverage, 48243,
     /* 2217731 */     GIR_EraseRootFromParent_Done,
     /* 2217732 */   // Label 29449: @2217732
     /* 2217732 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2217777), // Rule ID 48244 //
     /* 2217737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217740 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217776 */     // GIR_Coverage, 48244,
     /* 2217776 */     GIR_EraseRootFromParent_Done,
     /* 2217777 */   // Label 29450: @2217777
     /* 2217777 */   GIM_Reject,
     /* 2217778 */ // Label 29448: @2217778
     /* 2217778 */ GIM_Reject,
     /* 2217779 */ // Label 29398: @2217779
     /* 2217779 */ GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2217893),
     /* 2217784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2217787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2217790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217802 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2217847), // Rule ID 48259 //
     /* 2217807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217810 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217846 */     // GIR_Coverage, 48259,
     /* 2217846 */     GIR_EraseRootFromParent_Done,
     /* 2217847 */   // Label 29452: @2217847
     /* 2217847 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2217892), // Rule ID 48260 //
     /* 2217852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217855 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217891 */     // GIR_Coverage, 48260,
     /* 2217891 */     GIR_EraseRootFromParent_Done,
     /* 2217892 */   // Label 29453: @2217892
     /* 2217892 */   GIM_Reject,
     /* 2217893 */ // Label 29451: @2217893
     /* 2217893 */ GIM_Reject,
     /* 2217894 */ // Label 29399: @2217894
     /* 2217894 */ GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2218008),
     /* 2217899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2217905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217917 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2217962), // Rule ID 48203 //
     /* 2217922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217925 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2217928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217961 */     // GIR_Coverage, 48203,
     /* 2217961 */     GIR_EraseRootFromParent_Done,
     /* 2217962 */   // Label 29455: @2217962
     /* 2217962 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2218007), // Rule ID 48204 //
     /* 2217967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217970 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2217973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2217987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218006 */     // GIR_Coverage, 48204,
     /* 2218006 */     GIR_EraseRootFromParent_Done,
     /* 2218007 */   // Label 29456: @2218007
     /* 2218007 */   GIM_Reject,
     /* 2218008 */ // Label 29454: @2218008
     /* 2218008 */ GIM_Reject,
     /* 2218009 */ // Label 29400: @2218009
     /* 2218009 */ GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2218123),
     /* 2218014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2218017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2218020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218032 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2218077), // Rule ID 48231 //
     /* 2218037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218040 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218076 */     // GIR_Coverage, 48231,
     /* 2218076 */     GIR_EraseRootFromParent_Done,
     /* 2218077 */   // Label 29458: @2218077
     /* 2218077 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2218122), // Rule ID 48232 //
     /* 2218082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218085 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218121 */     // GIR_Coverage, 48232,
     /* 2218121 */     GIR_EraseRootFromParent_Done,
     /* 2218122 */   // Label 29459: @2218122
     /* 2218122 */   GIM_Reject,
     /* 2218123 */ // Label 29457: @2218123
     /* 2218123 */ GIM_Reject,
     /* 2218124 */ // Label 29401: @2218124
     /* 2218124 */ GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2218238),
     /* 2218129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218147 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2218192), // Rule ID 48247 //
     /* 2218152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218155 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218191 */     // GIR_Coverage, 48247,
     /* 2218191 */     GIR_EraseRootFromParent_Done,
     /* 2218192 */   // Label 29461: @2218192
     /* 2218192 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2218237), // Rule ID 48248 //
     /* 2218197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218200 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218236 */     // GIR_Coverage, 48248,
     /* 2218236 */     GIR_EraseRootFromParent_Done,
     /* 2218237 */   // Label 29462: @2218237
     /* 2218237 */   GIM_Reject,
     /* 2218238 */ // Label 29460: @2218238
     /* 2218238 */ GIM_Reject,
     /* 2218239 */ // Label 29402: @2218239
     /* 2218239 */ GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2218353),
     /* 2218244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2218247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2218250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218262 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2218307), // Rule ID 48263 //
     /* 2218267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218270 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218306 */     // GIR_Coverage, 48263,
     /* 2218306 */     GIR_EraseRootFromParent_Done,
     /* 2218307 */   // Label 29464: @2218307
     /* 2218307 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2218352), // Rule ID 48264 //
     /* 2218312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218315 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218351 */     // GIR_Coverage, 48264,
     /* 2218351 */     GIR_EraseRootFromParent_Done,
     /* 2218352 */   // Label 29465: @2218352
     /* 2218352 */   GIM_Reject,
     /* 2218353 */ // Label 29463: @2218353
     /* 2218353 */ GIM_Reject,
     /* 2218354 */ // Label 29403: @2218354
     /* 2218354 */ GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2218468),
     /* 2218359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2218365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218377 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2218422), // Rule ID 48219 //
     /* 2218382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218385 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218421 */     // GIR_Coverage, 48219,
     /* 2218421 */     GIR_EraseRootFromParent_Done,
     /* 2218422 */   // Label 29467: @2218422
     /* 2218422 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2218467), // Rule ID 48220 //
     /* 2218427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218430 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2218447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218466 */     // GIR_Coverage, 48220,
     /* 2218466 */     GIR_EraseRootFromParent_Done,
     /* 2218467 */   // Label 29468: @2218467
     /* 2218467 */   GIM_Reject,
     /* 2218468 */ // Label 29466: @2218468
     /* 2218468 */ GIM_Reject,
     /* 2218469 */ // Label 29404: @2218469
     /* 2218469 */ GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2218583),
     /* 2218474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218492 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2218537), // Rule ID 48235 //
     /* 2218497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218500 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218536 */     // GIR_Coverage, 48235,
     /* 2218536 */     GIR_EraseRootFromParent_Done,
     /* 2218537 */   // Label 29470: @2218537
     /* 2218537 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2218582), // Rule ID 48236 //
     /* 2218542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218545 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218581 */     // GIR_Coverage, 48236,
     /* 2218581 */     GIR_EraseRootFromParent_Done,
     /* 2218582 */   // Label 29471: @2218582
     /* 2218582 */   GIM_Reject,
     /* 2218583 */ // Label 29469: @2218583
     /* 2218583 */ GIM_Reject,
     /* 2218584 */ // Label 29405: @2218584
     /* 2218584 */ GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2218698),
     /* 2218589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2218592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2218595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218607 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2218652), // Rule ID 48251 //
     /* 2218612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218615 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218651 */     // GIR_Coverage, 48251,
     /* 2218651 */     GIR_EraseRootFromParent_Done,
     /* 2218652 */   // Label 29473: @2218652
     /* 2218652 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2218697), // Rule ID 48252 //
     /* 2218657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218660 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218696 */     // GIR_Coverage, 48252,
     /* 2218696 */     GIR_EraseRootFromParent_Done,
     /* 2218697 */   // Label 29474: @2218697
     /* 2218697 */   GIM_Reject,
     /* 2218698 */ // Label 29472: @2218698
     /* 2218698 */ GIM_Reject,
     /* 2218699 */ // Label 29406: @2218699
     /* 2218699 */ GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2218813),
     /* 2218704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2218707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2218710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218722 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2218767), // Rule ID 48223 //
     /* 2218727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218730 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218766 */     // GIR_Coverage, 48223,
     /* 2218766 */     GIR_EraseRootFromParent_Done,
     /* 2218767 */   // Label 29476: @2218767
     /* 2218767 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2218812), // Rule ID 48224 //
     /* 2218772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218775 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2218792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218811 */     // GIR_Coverage, 48224,
     /* 2218811 */     GIR_EraseRootFromParent_Done,
     /* 2218812 */   // Label 29477: @2218812
     /* 2218812 */   GIM_Reject,
     /* 2218813 */ // Label 29475: @2218813
     /* 2218813 */ GIM_Reject,
     /* 2218814 */ // Label 29407: @2218814
     /* 2218814 */ GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2218928),
     /* 2218819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2218822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2218825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218837 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2218882), // Rule ID 48239 //
     /* 2218842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218845 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218881 */     // GIR_Coverage, 48239,
     /* 2218881 */     GIR_EraseRootFromParent_Done,
     /* 2218882 */   // Label 29479: @2218882
     /* 2218882 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2218927), // Rule ID 48240 //
     /* 2218887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218890 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218926 */     // GIR_Coverage, 48240,
     /* 2218926 */     GIR_EraseRootFromParent_Done,
     /* 2218927 */   // Label 29480: @2218927
     /* 2218927 */   GIM_Reject,
     /* 2218928 */ // Label 29478: @2218928
     /* 2218928 */ GIM_Reject,
     /* 2218929 */ // Label 29408: @2218929
     /* 2218929 */ GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2219043),
     /* 2218934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2218937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2218940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218952 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2218997), // Rule ID 48227 //
     /* 2218957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218960 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2218963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2218977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218996 */     // GIR_Coverage, 48227,
     /* 2218996 */     GIR_EraseRootFromParent_Done,
     /* 2218997 */   // Label 29482: @2218997
     /* 2218997 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2219042), // Rule ID 48228 //
     /* 2219002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219005 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2219008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2219022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219041 */     // GIR_Coverage, 48228,
     /* 2219041 */     GIR_EraseRootFromParent_Done,
     /* 2219042 */   // Label 29483: @2219042
     /* 2219042 */   GIM_Reject,
     /* 2219043 */ // Label 29481: @2219043
     /* 2219043 */ GIM_Reject,
     /* 2219044 */ // Label 29409: @2219044
     /* 2219044 */ GIM_Reject,
     /* 2219045 */ // Label 46: @2219045
     /* 2219045 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29508*/ GIMT_Encode4(2221984),
     /* 2219056 */ /*GILLT_s32*//*Label 29484*/ GIMT_Encode4(2219180),
     /* 2219060 */ /*GILLT_s64*//*Label 29485*/ GIMT_Encode4(2219317), GIMT_Encode4(0),
     /* 2219068 */ /*GILLT_nxv1s8*//*Label 29486*/ GIMT_Encode4(2219454),
     /* 2219072 */ /*GILLT_nxv1s16*//*Label 29487*/ GIMT_Encode4(2219569),
     /* 2219076 */ /*GILLT_nxv1s32*//*Label 29488*/ GIMT_Encode4(2219684),
     /* 2219080 */ /*GILLT_nxv1s64*//*Label 29489*/ GIMT_Encode4(2219799), GIMT_Encode4(0),
     /* 2219088 */ /*GILLT_nxv2s8*//*Label 29490*/ GIMT_Encode4(2219914),
     /* 2219092 */ /*GILLT_nxv2s16*//*Label 29491*/ GIMT_Encode4(2220029),
     /* 2219096 */ /*GILLT_nxv2s32*//*Label 29492*/ GIMT_Encode4(2220144),
     /* 2219100 */ /*GILLT_nxv2s64*//*Label 29493*/ GIMT_Encode4(2220259), GIMT_Encode4(0),
     /* 2219108 */ /*GILLT_nxv4s8*//*Label 29494*/ GIMT_Encode4(2220374),
     /* 2219112 */ /*GILLT_nxv4s16*//*Label 29495*/ GIMT_Encode4(2220489),
     /* 2219116 */ /*GILLT_nxv4s32*//*Label 29496*/ GIMT_Encode4(2220604),
     /* 2219120 */ /*GILLT_nxv4s64*//*Label 29497*/ GIMT_Encode4(2220719), GIMT_Encode4(0),
     /* 2219128 */ /*GILLT_nxv8s8*//*Label 29498*/ GIMT_Encode4(2220834),
     /* 2219132 */ /*GILLT_nxv8s16*//*Label 29499*/ GIMT_Encode4(2220949),
     /* 2219136 */ /*GILLT_nxv8s32*//*Label 29500*/ GIMT_Encode4(2221064),
     /* 2219140 */ /*GILLT_nxv8s64*//*Label 29501*/ GIMT_Encode4(2221179), GIMT_Encode4(0),
     /* 2219148 */ /*GILLT_nxv16s8*//*Label 29502*/ GIMT_Encode4(2221294),
     /* 2219152 */ /*GILLT_nxv16s16*//*Label 29503*/ GIMT_Encode4(2221409),
     /* 2219156 */ /*GILLT_nxv16s32*//*Label 29504*/ GIMT_Encode4(2221524), GIMT_Encode4(0),
     /* 2219164 */ /*GILLT_nxv32s8*//*Label 29505*/ GIMT_Encode4(2221639),
     /* 2219168 */ /*GILLT_nxv32s16*//*Label 29506*/ GIMT_Encode4(2221754), GIMT_Encode4(0),
     /* 2219176 */ /*GILLT_nxv64s8*//*Label 29507*/ GIMT_Encode4(2221869),
     /* 2219180 */ // Label 29484: @2219180
     /* 2219180 */ GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2219316),
     /* 2219185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219199 */   GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2219233), // Rule ID 2346 //
     /* 2219204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219219 */     // MIs[1] Operand 1
     /* 2219219 */     // No operand predicates
     /* 2219219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219221 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219232 */     // GIR_Coverage, 2346,
     /* 2219232 */     GIR_EraseRootFromParent_Done,
     /* 2219233 */   // Label 29510: @2219233
     /* 2219233 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2219267), // Rule ID 62277 //
     /* 2219238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2219241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219253 */     // MIs[1] Operand 1
     /* 2219253 */     // No operand predicates
     /* 2219253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219255 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219266 */     // GIR_Coverage, 62277,
     /* 2219266 */     GIR_EraseRootFromParent_Done,
     /* 2219267 */   // Label 29511: @2219267
     /* 2219267 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2219296), // Rule ID 2344 //
     /* 2219272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2219275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219282 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219295 */     // GIR_Coverage, 2344,
     /* 2219295 */     GIR_EraseRootFromParent_Done,
     /* 2219296 */   // Label 29512: @2219296
     /* 2219296 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2219315), // Rule ID 64172 //
     /* 2219301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2219304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219308 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2219308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219314 */     // GIR_Coverage, 64172,
     /* 2219314 */     GIR_Done,
     /* 2219315 */   // Label 29513: @2219315
     /* 2219315 */   GIM_Reject,
     /* 2219316 */ // Label 29509: @2219316
     /* 2219316 */ GIM_Reject,
     /* 2219317 */ // Label 29485: @2219317
     /* 2219317 */ GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2219453),
     /* 2219322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2219328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219336 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2219370), // Rule ID 2345 //
     /* 2219341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219356 */     // MIs[1] Operand 1
     /* 2219356 */     // No operand predicates
     /* 2219356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219358 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2219361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219369 */     // GIR_Coverage, 2345,
     /* 2219369 */     GIR_EraseRootFromParent_Done,
     /* 2219370 */   // Label 29515: @2219370
     /* 2219370 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2219404), // Rule ID 62276 //
     /* 2219375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2219382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2219390 */     // MIs[1] Operand 1
     /* 2219390 */     // No operand predicates
     /* 2219390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219392 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2219392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2219395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219403 */     // GIR_Coverage, 62276,
     /* 2219403 */     GIR_EraseRootFromParent_Done,
     /* 2219404 */   // Label 29516: @2219404
     /* 2219404 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2219433), // Rule ID 2343 //
     /* 2219409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2219412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2219419 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2219422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2219431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219432 */     // GIR_Coverage, 2343,
     /* 2219432 */     GIR_EraseRootFromParent_Done,
     /* 2219433 */   // Label 29517: @2219433
     /* 2219433 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2219452), // Rule ID 64171 //
     /* 2219438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2219441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219445 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2219445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2219450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219451 */     // GIR_Coverage, 64171,
     /* 2219451 */     GIR_Done,
     /* 2219452 */   // Label 29518: @2219452
     /* 2219452 */   GIM_Reject,
     /* 2219453 */ // Label 29514: @2219453
     /* 2219453 */ GIM_Reject,
     /* 2219454 */ // Label 29486: @2219454
     /* 2219454 */ GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2219568),
     /* 2219459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2219462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2219465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219477 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2219522), // Rule ID 59091 //
     /* 2219482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219485 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219521 */     // GIR_Coverage, 59091,
     /* 2219521 */     GIR_EraseRootFromParent_Done,
     /* 2219522 */   // Label 29520: @2219522
     /* 2219522 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2219567), // Rule ID 59092 //
     /* 2219527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219530 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2219533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2219547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219566 */     // GIR_Coverage, 59092,
     /* 2219566 */     GIR_EraseRootFromParent_Done,
     /* 2219567 */   // Label 29521: @2219567
     /* 2219567 */   GIM_Reject,
     /* 2219568 */ // Label 29519: @2219568
     /* 2219568 */ GIM_Reject,
     /* 2219569 */ // Label 29487: @2219569
     /* 2219569 */ GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2219683),
     /* 2219574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2219577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2219580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219592 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2219637), // Rule ID 59103 //
     /* 2219597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219600 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2219617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219636 */     // GIR_Coverage, 59103,
     /* 2219636 */     GIR_EraseRootFromParent_Done,
     /* 2219637 */   // Label 29523: @2219637
     /* 2219637 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2219682), // Rule ID 59104 //
     /* 2219642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219645 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2219648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2219662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219681 */     // GIR_Coverage, 59104,
     /* 2219681 */     GIR_EraseRootFromParent_Done,
     /* 2219682 */   // Label 29524: @2219682
     /* 2219682 */   GIM_Reject,
     /* 2219683 */ // Label 29522: @2219683
     /* 2219683 */ GIM_Reject,
     /* 2219684 */ // Label 29488: @2219684
     /* 2219684 */ GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2219798),
     /* 2219689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2219692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2219695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219707 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2219752), // Rule ID 59111 //
     /* 2219712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219715 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2219718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219751 */     // GIR_Coverage, 59111,
     /* 2219751 */     GIR_EraseRootFromParent_Done,
     /* 2219752 */   // Label 29526: @2219752
     /* 2219752 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2219797), // Rule ID 59112 //
     /* 2219757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219760 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2219763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219796 */     // GIR_Coverage, 59112,
     /* 2219796 */     GIR_EraseRootFromParent_Done,
     /* 2219797 */   // Label 29527: @2219797
     /* 2219797 */   GIM_Reject,
     /* 2219798 */ // Label 29525: @2219798
     /* 2219798 */ GIM_Reject,
     /* 2219799 */ // Label 29489: @2219799
     /* 2219799 */ GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2219913),
     /* 2219804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2219807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2219810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219822 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2219867), // Rule ID 59127 //
     /* 2219827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219830 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2219833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219866 */     // GIR_Coverage, 59127,
     /* 2219866 */     GIR_EraseRootFromParent_Done,
     /* 2219867 */   // Label 29529: @2219867
     /* 2219867 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2219912), // Rule ID 59128 //
     /* 2219872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219875 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2219878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219911 */     // GIR_Coverage, 59128,
     /* 2219911 */     GIR_EraseRootFromParent_Done,
     /* 2219912 */   // Label 29530: @2219912
     /* 2219912 */   GIM_Reject,
     /* 2219913 */ // Label 29528: @2219913
     /* 2219913 */ GIM_Reject,
     /* 2219914 */ // Label 29490: @2219914
     /* 2219914 */ GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2220028),
     /* 2219919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2219922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2219925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219937 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2219982), // Rule ID 59095 //
     /* 2219942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219945 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2219948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2219962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219981 */     // GIR_Coverage, 59095,
     /* 2219981 */     GIR_EraseRootFromParent_Done,
     /* 2219982 */   // Label 29532: @2219982
     /* 2219982 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2220027), // Rule ID 59096 //
     /* 2219987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219990 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2219993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2220007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220026 */     // GIR_Coverage, 59096,
     /* 2220026 */     GIR_EraseRootFromParent_Done,
     /* 2220027 */   // Label 29533: @2220027
     /* 2220027 */   GIM_Reject,
     /* 2220028 */ // Label 29531: @2220028
     /* 2220028 */ GIM_Reject,
     /* 2220029 */ // Label 29491: @2220029
     /* 2220029 */ GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2220143),
     /* 2220034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2220037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220052 */   GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2220097), // Rule ID 59107 //
     /* 2220057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220060 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220096 */     // GIR_Coverage, 59107,
     /* 2220096 */     GIR_EraseRootFromParent_Done,
     /* 2220097 */   // Label 29535: @2220097
     /* 2220097 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2220142), // Rule ID 59108 //
     /* 2220102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220105 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220141 */     // GIR_Coverage, 59108,
     /* 2220141 */     GIR_EraseRootFromParent_Done,
     /* 2220142 */   // Label 29536: @2220142
     /* 2220142 */   GIM_Reject,
     /* 2220143 */ // Label 29534: @2220143
     /* 2220143 */ GIM_Reject,
     /* 2220144 */ // Label 29492: @2220144
     /* 2220144 */ GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2220258),
     /* 2220149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2220152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220167 */   GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2220212), // Rule ID 59123 //
     /* 2220172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220175 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220211 */     // GIR_Coverage, 59123,
     /* 2220211 */     GIR_EraseRootFromParent_Done,
     /* 2220212 */   // Label 29538: @2220212
     /* 2220212 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2220257), // Rule ID 59124 //
     /* 2220217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220220 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220256 */     // GIR_Coverage, 59124,
     /* 2220256 */     GIR_EraseRootFromParent_Done,
     /* 2220257 */   // Label 29539: @2220257
     /* 2220257 */   GIM_Reject,
     /* 2220258 */ // Label 29537: @2220258
     /* 2220258 */ GIM_Reject,
     /* 2220259 */ // Label 29493: @2220259
     /* 2220259 */ GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2220373),
     /* 2220264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2220267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2220270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220282 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2220327), // Rule ID 59167 //
     /* 2220287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220290 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220326 */     // GIR_Coverage, 59167,
     /* 2220326 */     GIR_EraseRootFromParent_Done,
     /* 2220327 */   // Label 29541: @2220327
     /* 2220327 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2220372), // Rule ID 59168 //
     /* 2220332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220335 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2220338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220371 */     // GIR_Coverage, 59168,
     /* 2220371 */     GIR_EraseRootFromParent_Done,
     /* 2220372 */   // Label 29542: @2220372
     /* 2220372 */   GIM_Reject,
     /* 2220373 */ // Label 29540: @2220373
     /* 2220373 */ GIM_Reject,
     /* 2220374 */ // Label 29494: @2220374
     /* 2220374 */ GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2220488),
     /* 2220379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2220382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2220385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220397 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2220442), // Rule ID 59099 //
     /* 2220402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220405 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220441 */     // GIR_Coverage, 59099,
     /* 2220441 */     GIR_EraseRootFromParent_Done,
     /* 2220442 */   // Label 29544: @2220442
     /* 2220442 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2220487), // Rule ID 59100 //
     /* 2220447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220450 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2220453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2220467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220486 */     // GIR_Coverage, 59100,
     /* 2220486 */     GIR_EraseRootFromParent_Done,
     /* 2220487 */   // Label 29545: @2220487
     /* 2220487 */   GIM_Reject,
     /* 2220488 */ // Label 29543: @2220488
     /* 2220488 */ GIM_Reject,
     /* 2220489 */ // Label 29495: @2220489
     /* 2220489 */ GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2220603),
     /* 2220494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220512 */   GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2220557), // Rule ID 59119 //
     /* 2220517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220520 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220556 */     // GIR_Coverage, 59119,
     /* 2220556 */     GIR_EraseRootFromParent_Done,
     /* 2220557 */   // Label 29547: @2220557
     /* 2220557 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2220602), // Rule ID 59120 //
     /* 2220562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220565 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2220568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220601 */     // GIR_Coverage, 59120,
     /* 2220601 */     GIR_EraseRootFromParent_Done,
     /* 2220602 */   // Label 29548: @2220602
     /* 2220602 */   GIM_Reject,
     /* 2220603 */ // Label 29546: @2220603
     /* 2220603 */ GIM_Reject,
     /* 2220604 */ // Label 29496: @2220604
     /* 2220604 */ GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2220718),
     /* 2220609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2220615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220627 */   GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2220672), // Rule ID 59155 //
     /* 2220632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220635 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220671 */     // GIR_Coverage, 59155,
     /* 2220671 */     GIR_EraseRootFromParent_Done,
     /* 2220672 */   // Label 29550: @2220672
     /* 2220672 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2220717), // Rule ID 59156 //
     /* 2220677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220680 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220716 */     // GIR_Coverage, 59156,
     /* 2220716 */     GIR_EraseRootFromParent_Done,
     /* 2220717 */   // Label 29551: @2220717
     /* 2220717 */   GIM_Reject,
     /* 2220718 */ // Label 29549: @2220718
     /* 2220718 */ GIM_Reject,
     /* 2220719 */ // Label 29497: @2220719
     /* 2220719 */ GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2220833),
     /* 2220724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2220730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220742 */   GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2220787), // Rule ID 59171 //
     /* 2220747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220750 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220786 */     // GIR_Coverage, 59171,
     /* 2220786 */     GIR_EraseRootFromParent_Done,
     /* 2220787 */   // Label 29553: @2220787
     /* 2220787 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2220832), // Rule ID 59172 //
     /* 2220792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220795 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220831 */     // GIR_Coverage, 59172,
     /* 2220831 */     GIR_EraseRootFromParent_Done,
     /* 2220832 */   // Label 29554: @2220832
     /* 2220832 */   GIM_Reject,
     /* 2220833 */ // Label 29552: @2220833
     /* 2220833 */ GIM_Reject,
     /* 2220834 */ // Label 29498: @2220834
     /* 2220834 */ GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2220948),
     /* 2220839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2220842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2220845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220857 */   GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2220902), // Rule ID 59115 //
     /* 2220862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220865 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2220868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220901 */     // GIR_Coverage, 59115,
     /* 2220901 */     GIR_EraseRootFromParent_Done,
     /* 2220902 */   // Label 29556: @2220902
     /* 2220902 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2220947), // Rule ID 59116 //
     /* 2220907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220910 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2220913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2220927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220946 */     // GIR_Coverage, 59116,
     /* 2220946 */     GIR_EraseRootFromParent_Done,
     /* 2220947 */   // Label 29557: @2220947
     /* 2220947 */   GIM_Reject,
     /* 2220948 */ // Label 29555: @2220948
     /* 2220948 */ GIM_Reject,
     /* 2220949 */ // Label 29499: @2220949
     /* 2220949 */ GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2221063),
     /* 2220954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2220960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220972 */   GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2221017), // Rule ID 59143 //
     /* 2220977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220980 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221016 */     // GIR_Coverage, 59143,
     /* 2221016 */     GIR_EraseRootFromParent_Done,
     /* 2221017 */   // Label 29559: @2221017
     /* 2221017 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2221062), // Rule ID 59144 //
     /* 2221022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221025 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2221028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221061 */     // GIR_Coverage, 59144,
     /* 2221061 */     GIR_EraseRootFromParent_Done,
     /* 2221062 */   // Label 29560: @2221062
     /* 2221062 */   GIM_Reject,
     /* 2221063 */ // Label 29558: @2221063
     /* 2221063 */ GIM_Reject,
     /* 2221064 */ // Label 29500: @2221064
     /* 2221064 */ GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2221178),
     /* 2221069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2221075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221087 */   GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2221132), // Rule ID 59159 //
     /* 2221092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221095 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221131 */     // GIR_Coverage, 59159,
     /* 2221131 */     GIR_EraseRootFromParent_Done,
     /* 2221132 */   // Label 29562: @2221132
     /* 2221132 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2221177), // Rule ID 59160 //
     /* 2221137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221140 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221176 */     // GIR_Coverage, 59160,
     /* 2221176 */     GIR_EraseRootFromParent_Done,
     /* 2221177 */   // Label 29563: @2221177
     /* 2221177 */   GIM_Reject,
     /* 2221178 */ // Label 29561: @2221178
     /* 2221178 */ GIM_Reject,
     /* 2221179 */ // Label 29501: @2221179
     /* 2221179 */ GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2221293),
     /* 2221184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2221190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221202 */   GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2221247), // Rule ID 59175 //
     /* 2221207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221210 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221246 */     // GIR_Coverage, 59175,
     /* 2221246 */     GIR_EraseRootFromParent_Done,
     /* 2221247 */   // Label 29565: @2221247
     /* 2221247 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2221292), // Rule ID 59176 //
     /* 2221252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221255 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221291 */     // GIR_Coverage, 59176,
     /* 2221291 */     GIR_EraseRootFromParent_Done,
     /* 2221292 */   // Label 29566: @2221292
     /* 2221292 */   GIM_Reject,
     /* 2221293 */ // Label 29564: @2221293
     /* 2221293 */ GIM_Reject,
     /* 2221294 */ // Label 29502: @2221294
     /* 2221294 */ GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2221408),
     /* 2221299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2221305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221317 */   GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2221362), // Rule ID 59131 //
     /* 2221322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221325 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221361 */     // GIR_Coverage, 59131,
     /* 2221361 */     GIR_EraseRootFromParent_Done,
     /* 2221362 */   // Label 29568: @2221362
     /* 2221362 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2221407), // Rule ID 59132 //
     /* 2221367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221370 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2221373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2221387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221406 */     // GIR_Coverage, 59132,
     /* 2221406 */     GIR_EraseRootFromParent_Done,
     /* 2221407 */   // Label 29569: @2221407
     /* 2221407 */   GIM_Reject,
     /* 2221408 */ // Label 29567: @2221408
     /* 2221408 */ GIM_Reject,
     /* 2221409 */ // Label 29503: @2221409
     /* 2221409 */ GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2221523),
     /* 2221414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221432 */   GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2221477), // Rule ID 59147 //
     /* 2221437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221440 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221476 */     // GIR_Coverage, 59147,
     /* 2221476 */     GIR_EraseRootFromParent_Done,
     /* 2221477 */   // Label 29571: @2221477
     /* 2221477 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2221522), // Rule ID 59148 //
     /* 2221482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221485 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221521 */     // GIR_Coverage, 59148,
     /* 2221521 */     GIR_EraseRootFromParent_Done,
     /* 2221522 */   // Label 29572: @2221522
     /* 2221522 */   GIM_Reject,
     /* 2221523 */ // Label 29570: @2221523
     /* 2221523 */ GIM_Reject,
     /* 2221524 */ // Label 29504: @2221524
     /* 2221524 */ GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2221638),
     /* 2221529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2221535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221547 */   GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2221592), // Rule ID 59163 //
     /* 2221552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221555 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221591 */     // GIR_Coverage, 59163,
     /* 2221591 */     GIR_EraseRootFromParent_Done,
     /* 2221592 */   // Label 29574: @2221592
     /* 2221592 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2221637), // Rule ID 59164 //
     /* 2221597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221600 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221636 */     // GIR_Coverage, 59164,
     /* 2221636 */     GIR_EraseRootFromParent_Done,
     /* 2221637 */   // Label 29575: @2221637
     /* 2221637 */   GIM_Reject,
     /* 2221638 */ // Label 29573: @2221638
     /* 2221638 */ GIM_Reject,
     /* 2221639 */ // Label 29505: @2221639
     /* 2221639 */ GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2221753),
     /* 2221644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2221647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2221650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221662 */   GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2221707), // Rule ID 59135 //
     /* 2221667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221670 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221706 */     // GIR_Coverage, 59135,
     /* 2221706 */     GIR_EraseRootFromParent_Done,
     /* 2221707 */   // Label 29577: @2221707
     /* 2221707 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2221752), // Rule ID 59136 //
     /* 2221712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221715 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2221718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2221732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221751 */     // GIR_Coverage, 59136,
     /* 2221751 */     GIR_EraseRootFromParent_Done,
     /* 2221752 */   // Label 29578: @2221752
     /* 2221752 */   GIM_Reject,
     /* 2221753 */ // Label 29576: @2221753
     /* 2221753 */ GIM_Reject,
     /* 2221754 */ // Label 29506: @2221754
     /* 2221754 */ GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2221868),
     /* 2221759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2221762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2221765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221777 */   GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2221822), // Rule ID 59151 //
     /* 2221782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221785 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2221788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221821 */     // GIR_Coverage, 59151,
     /* 2221821 */     GIR_EraseRootFromParent_Done,
     /* 2221822 */   // Label 29580: @2221822
     /* 2221822 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2221867), // Rule ID 59152 //
     /* 2221827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221830 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2221833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221866 */     // GIR_Coverage, 59152,
     /* 2221866 */     GIR_EraseRootFromParent_Done,
     /* 2221867 */   // Label 29581: @2221867
     /* 2221867 */   GIM_Reject,
     /* 2221868 */ // Label 29579: @2221868
     /* 2221868 */ GIM_Reject,
     /* 2221869 */ // Label 29507: @2221869
     /* 2221869 */ GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2221983),
     /* 2221874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2221877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2221880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221892 */   GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2221937), // Rule ID 59139 //
     /* 2221897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221900 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2221903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221936 */     // GIR_Coverage, 59139,
     /* 2221936 */     GIR_EraseRootFromParent_Done,
     /* 2221937 */   // Label 29583: @2221937
     /* 2221937 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2221982), // Rule ID 59140 //
     /* 2221942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221945 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2221948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2221962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221981 */     // GIR_Coverage, 59140,
     /* 2221981 */     GIR_EraseRootFromParent_Done,
     /* 2221982 */   // Label 29584: @2221982
     /* 2221982 */   GIM_Reject,
     /* 2221983 */ // Label 29582: @2221983
     /* 2221983 */ GIM_Reject,
     /* 2221984 */ // Label 29508: @2221984
     /* 2221984 */ GIM_Reject,
     /* 2221985 */ // Label 47: @2221985
     /* 2221985 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29609*/ GIMT_Encode4(2224894),
     /* 2221996 */ /*GILLT_s32*//*Label 29585*/ GIMT_Encode4(2222120),
     /* 2222000 */ /*GILLT_s64*//*Label 29586*/ GIMT_Encode4(2222242), GIMT_Encode4(0),
     /* 2222008 */ /*GILLT_nxv1s8*//*Label 29587*/ GIMT_Encode4(2222364),
     /* 2222012 */ /*GILLT_nxv1s16*//*Label 29588*/ GIMT_Encode4(2222479),
     /* 2222016 */ /*GILLT_nxv1s32*//*Label 29589*/ GIMT_Encode4(2222594),
     /* 2222020 */ /*GILLT_nxv1s64*//*Label 29590*/ GIMT_Encode4(2222709), GIMT_Encode4(0),
     /* 2222028 */ /*GILLT_nxv2s8*//*Label 29591*/ GIMT_Encode4(2222824),
     /* 2222032 */ /*GILLT_nxv2s16*//*Label 29592*/ GIMT_Encode4(2222939),
     /* 2222036 */ /*GILLT_nxv2s32*//*Label 29593*/ GIMT_Encode4(2223054),
     /* 2222040 */ /*GILLT_nxv2s64*//*Label 29594*/ GIMT_Encode4(2223169), GIMT_Encode4(0),
     /* 2222048 */ /*GILLT_nxv4s8*//*Label 29595*/ GIMT_Encode4(2223284),
     /* 2222052 */ /*GILLT_nxv4s16*//*Label 29596*/ GIMT_Encode4(2223399),
     /* 2222056 */ /*GILLT_nxv4s32*//*Label 29597*/ GIMT_Encode4(2223514),
     /* 2222060 */ /*GILLT_nxv4s64*//*Label 29598*/ GIMT_Encode4(2223629), GIMT_Encode4(0),
     /* 2222068 */ /*GILLT_nxv8s8*//*Label 29599*/ GIMT_Encode4(2223744),
     /* 2222072 */ /*GILLT_nxv8s16*//*Label 29600*/ GIMT_Encode4(2223859),
     /* 2222076 */ /*GILLT_nxv8s32*//*Label 29601*/ GIMT_Encode4(2223974),
     /* 2222080 */ /*GILLT_nxv8s64*//*Label 29602*/ GIMT_Encode4(2224089), GIMT_Encode4(0),
     /* 2222088 */ /*GILLT_nxv16s8*//*Label 29603*/ GIMT_Encode4(2224204),
     /* 2222092 */ /*GILLT_nxv16s16*//*Label 29604*/ GIMT_Encode4(2224319),
     /* 2222096 */ /*GILLT_nxv16s32*//*Label 29605*/ GIMT_Encode4(2224434), GIMT_Encode4(0),
     /* 2222104 */ /*GILLT_nxv32s8*//*Label 29606*/ GIMT_Encode4(2224549),
     /* 2222108 */ /*GILLT_nxv32s16*//*Label 29607*/ GIMT_Encode4(2224664), GIMT_Encode4(0),
     /* 2222116 */ /*GILLT_nxv64s8*//*Label 29608*/ GIMT_Encode4(2224779),
     /* 2222120 */ // Label 29585: @2222120
     /* 2222120 */ GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2222241),
     /* 2222125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2222131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222139 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2222175), // Rule ID 2348 //
     /* 2222144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222159 */     // MIs[1] Operand 1
     /* 2222159 */     // No operand predicates
     /* 2222159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222161 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222168 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222174 */     // GIR_Coverage, 2348,
     /* 2222174 */     GIR_EraseRootFromParent_Done,
     /* 2222175 */   // Label 29611: @2222175
     /* 2222175 */   GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2222211), // Rule ID 62279 //
     /* 2222180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2222183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222195 */     // MIs[1] Operand 1
     /* 2222195 */     // No operand predicates
     /* 2222195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222197 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222204 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222210 */     // GIR_Coverage, 62279,
     /* 2222210 */     GIR_EraseRootFromParent_Done,
     /* 2222211 */   // Label 29612: @2222211
     /* 2222211 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2222240), // Rule ID 2342 //
     /* 2222216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2222219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222226 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2222226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222239 */     // GIR_Coverage, 2342,
     /* 2222239 */     GIR_EraseRootFromParent_Done,
     /* 2222240 */   // Label 29613: @2222240
     /* 2222240 */   GIM_Reject,
     /* 2222241 */ // Label 29610: @2222241
     /* 2222241 */ GIM_Reject,
     /* 2222242 */ // Label 29586: @2222242
     /* 2222242 */ GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2222363),
     /* 2222247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222261 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2222297), // Rule ID 2347 //
     /* 2222266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222281 */     // MIs[1] Operand 1
     /* 2222281 */     // No operand predicates
     /* 2222281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222283 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2222286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222290 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222296 */     // GIR_Coverage, 2347,
     /* 2222296 */     GIR_EraseRootFromParent_Done,
     /* 2222297 */   // Label 29615: @2222297
     /* 2222297 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2222333), // Rule ID 62278 //
     /* 2222302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2222305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2222309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2222317 */     // MIs[1] Operand 1
     /* 2222317 */     // No operand predicates
     /* 2222317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222319 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2222319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2222322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222326 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2222331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222332 */     // GIR_Coverage, 62278,
     /* 2222332 */     GIR_EraseRootFromParent_Done,
     /* 2222333 */   // Label 29616: @2222333
     /* 2222333 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2222362), // Rule ID 2341 //
     /* 2222338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2222341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2222348 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2222348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2222351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2222360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222361 */     // GIR_Coverage, 2341,
     /* 2222361 */     GIR_EraseRootFromParent_Done,
     /* 2222362 */   // Label 29617: @2222362
     /* 2222362 */   GIM_Reject,
     /* 2222363 */ // Label 29614: @2222363
     /* 2222363 */ GIM_Reject,
     /* 2222364 */ // Label 29587: @2222364
     /* 2222364 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2222478),
     /* 2222369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2222372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2222375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222387 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2222432), // Rule ID 58959 //
     /* 2222392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222395 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222431 */     // GIR_Coverage, 58959,
     /* 2222431 */     GIR_EraseRootFromParent_Done,
     /* 2222432 */   // Label 29619: @2222432
     /* 2222432 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2222477), // Rule ID 58960 //
     /* 2222437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222440 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2222443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2222457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222476 */     // GIR_Coverage, 58960,
     /* 2222476 */     GIR_EraseRootFromParent_Done,
     /* 2222477 */   // Label 29620: @2222477
     /* 2222477 */   GIM_Reject,
     /* 2222478 */ // Label 29618: @2222478
     /* 2222478 */ GIM_Reject,
     /* 2222479 */ // Label 29588: @2222479
     /* 2222479 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2222593),
     /* 2222484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2222487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2222490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222502 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2222547), // Rule ID 58971 //
     /* 2222507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222510 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222546 */     // GIR_Coverage, 58971,
     /* 2222546 */     GIR_EraseRootFromParent_Done,
     /* 2222547 */   // Label 29622: @2222547
     /* 2222547 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2222592), // Rule ID 58972 //
     /* 2222552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222555 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2222558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222591 */     // GIR_Coverage, 58972,
     /* 2222591 */     GIR_EraseRootFromParent_Done,
     /* 2222592 */   // Label 29623: @2222592
     /* 2222592 */   GIM_Reject,
     /* 2222593 */ // Label 29621: @2222593
     /* 2222593 */ GIM_Reject,
     /* 2222594 */ // Label 29589: @2222594
     /* 2222594 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2222708),
     /* 2222599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2222602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2222605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222617 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2222662), // Rule ID 58979 //
     /* 2222622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222625 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2222628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222661 */     // GIR_Coverage, 58979,
     /* 2222661 */     GIR_EraseRootFromParent_Done,
     /* 2222662 */   // Label 29625: @2222662
     /* 2222662 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2222707), // Rule ID 58980 //
     /* 2222667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222670 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2222673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222706 */     // GIR_Coverage, 58980,
     /* 2222706 */     GIR_EraseRootFromParent_Done,
     /* 2222707 */   // Label 29626: @2222707
     /* 2222707 */   GIM_Reject,
     /* 2222708 */ // Label 29624: @2222708
     /* 2222708 */ GIM_Reject,
     /* 2222709 */ // Label 29590: @2222709
     /* 2222709 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2222823),
     /* 2222714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2222717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2222720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222732 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2222777), // Rule ID 58995 //
     /* 2222737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222740 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2222743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222776 */     // GIR_Coverage, 58995,
     /* 2222776 */     GIR_EraseRootFromParent_Done,
     /* 2222777 */   // Label 29628: @2222777
     /* 2222777 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2222822), // Rule ID 58996 //
     /* 2222782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222785 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2222788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222821 */     // GIR_Coverage, 58996,
     /* 2222821 */     GIR_EraseRootFromParent_Done,
     /* 2222822 */   // Label 29629: @2222822
     /* 2222822 */   GIM_Reject,
     /* 2222823 */ // Label 29627: @2222823
     /* 2222823 */ GIM_Reject,
     /* 2222824 */ // Label 29591: @2222824
     /* 2222824 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2222938),
     /* 2222829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2222832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2222835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222847 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2222892), // Rule ID 58963 //
     /* 2222852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222855 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2222858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222891 */     // GIR_Coverage, 58963,
     /* 2222891 */     GIR_EraseRootFromParent_Done,
     /* 2222892 */   // Label 29631: @2222892
     /* 2222892 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2222937), // Rule ID 58964 //
     /* 2222897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222900 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2222903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2222917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222936 */     // GIR_Coverage, 58964,
     /* 2222936 */     GIR_EraseRootFromParent_Done,
     /* 2222937 */   // Label 29632: @2222937
     /* 2222937 */   GIM_Reject,
     /* 2222938 */ // Label 29630: @2222938
     /* 2222938 */ GIM_Reject,
     /* 2222939 */ // Label 29592: @2222939
     /* 2222939 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2223053),
     /* 2222944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2222947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2222950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222962 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2223007), // Rule ID 58975 //
     /* 2222967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222970 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2222973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223006 */     // GIR_Coverage, 58975,
     /* 2223006 */     GIR_EraseRootFromParent_Done,
     /* 2223007 */   // Label 29634: @2223007
     /* 2223007 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2223052), // Rule ID 58976 //
     /* 2223012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223015 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2223018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223051 */     // GIR_Coverage, 58976,
     /* 2223051 */     GIR_EraseRootFromParent_Done,
     /* 2223052 */   // Label 29635: @2223052
     /* 2223052 */   GIM_Reject,
     /* 2223053 */ // Label 29633: @2223053
     /* 2223053 */ GIM_Reject,
     /* 2223054 */ // Label 29593: @2223054
     /* 2223054 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2223168),
     /* 2223059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2223062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2223065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223077 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2223122), // Rule ID 58991 //
     /* 2223082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223085 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223121 */     // GIR_Coverage, 58991,
     /* 2223121 */     GIR_EraseRootFromParent_Done,
     /* 2223122 */   // Label 29637: @2223122
     /* 2223122 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2223167), // Rule ID 58992 //
     /* 2223127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223130 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2223133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223166 */     // GIR_Coverage, 58992,
     /* 2223166 */     GIR_EraseRootFromParent_Done,
     /* 2223167 */   // Label 29638: @2223167
     /* 2223167 */   GIM_Reject,
     /* 2223168 */ // Label 29636: @2223168
     /* 2223168 */ GIM_Reject,
     /* 2223169 */ // Label 29594: @2223169
     /* 2223169 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2223283),
     /* 2223174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2223177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2223180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223192 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2223237), // Rule ID 59035 //
     /* 2223197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223200 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223236 */     // GIR_Coverage, 59035,
     /* 2223236 */     GIR_EraseRootFromParent_Done,
     /* 2223237 */   // Label 29640: @2223237
     /* 2223237 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2223282), // Rule ID 59036 //
     /* 2223242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223245 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2223248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223281 */     // GIR_Coverage, 59036,
     /* 2223281 */     GIR_EraseRootFromParent_Done,
     /* 2223282 */   // Label 29641: @2223282
     /* 2223282 */   GIM_Reject,
     /* 2223283 */ // Label 29639: @2223283
     /* 2223283 */ GIM_Reject,
     /* 2223284 */ // Label 29595: @2223284
     /* 2223284 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2223398),
     /* 2223289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2223292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2223295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223307 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2223352), // Rule ID 58967 //
     /* 2223312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223315 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223351 */     // GIR_Coverage, 58967,
     /* 2223351 */     GIR_EraseRootFromParent_Done,
     /* 2223352 */   // Label 29643: @2223352
     /* 2223352 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2223397), // Rule ID 58968 //
     /* 2223357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223360 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2223363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2223377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223396 */     // GIR_Coverage, 58968,
     /* 2223396 */     GIR_EraseRootFromParent_Done,
     /* 2223397 */   // Label 29644: @2223397
     /* 2223397 */   GIM_Reject,
     /* 2223398 */ // Label 29642: @2223398
     /* 2223398 */ GIM_Reject,
     /* 2223399 */ // Label 29596: @2223399
     /* 2223399 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2223513),
     /* 2223404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2223407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223422 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2223467), // Rule ID 58987 //
     /* 2223427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223430 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223466 */     // GIR_Coverage, 58987,
     /* 2223466 */     GIR_EraseRootFromParent_Done,
     /* 2223467 */   // Label 29646: @2223467
     /* 2223467 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2223512), // Rule ID 58988 //
     /* 2223472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223475 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2223478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223511 */     // GIR_Coverage, 58988,
     /* 2223511 */     GIR_EraseRootFromParent_Done,
     /* 2223512 */   // Label 29647: @2223512
     /* 2223512 */   GIM_Reject,
     /* 2223513 */ // Label 29645: @2223513
     /* 2223513 */ GIM_Reject,
     /* 2223514 */ // Label 29597: @2223514
     /* 2223514 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2223628),
     /* 2223519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2223522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2223525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223537 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2223582), // Rule ID 59023 //
     /* 2223542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223545 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223581 */     // GIR_Coverage, 59023,
     /* 2223581 */     GIR_EraseRootFromParent_Done,
     /* 2223582 */   // Label 29649: @2223582
     /* 2223582 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2223627), // Rule ID 59024 //
     /* 2223587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223590 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2223593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223626 */     // GIR_Coverage, 59024,
     /* 2223626 */     GIR_EraseRootFromParent_Done,
     /* 2223627 */   // Label 29650: @2223627
     /* 2223627 */   GIM_Reject,
     /* 2223628 */ // Label 29648: @2223628
     /* 2223628 */ GIM_Reject,
     /* 2223629 */ // Label 29598: @2223629
     /* 2223629 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2223743),
     /* 2223634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2223637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2223640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223652 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2223697), // Rule ID 59039 //
     /* 2223657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2223660 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223696 */     // GIR_Coverage, 59039,
     /* 2223696 */     GIR_EraseRootFromParent_Done,
     /* 2223697 */   // Label 29652: @2223697
     /* 2223697 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2223742), // Rule ID 59040 //
     /* 2223702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2223705 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2223708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223741 */     // GIR_Coverage, 59040,
     /* 2223741 */     GIR_EraseRootFromParent_Done,
     /* 2223742 */   // Label 29653: @2223742
     /* 2223742 */   GIM_Reject,
     /* 2223743 */ // Label 29651: @2223743
     /* 2223743 */ GIM_Reject,
     /* 2223744 */ // Label 29599: @2223744
     /* 2223744 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2223858),
     /* 2223749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2223752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2223755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223767 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2223812), // Rule ID 58983 //
     /* 2223772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223775 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2223778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223811 */     // GIR_Coverage, 58983,
     /* 2223811 */     GIR_EraseRootFromParent_Done,
     /* 2223812 */   // Label 29655: @2223812
     /* 2223812 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2223857), // Rule ID 58984 //
     /* 2223817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223820 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2223823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2223837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223856 */     // GIR_Coverage, 58984,
     /* 2223856 */     GIR_EraseRootFromParent_Done,
     /* 2223857 */   // Label 29656: @2223857
     /* 2223857 */   GIM_Reject,
     /* 2223858 */ // Label 29654: @2223858
     /* 2223858 */ GIM_Reject,
     /* 2223859 */ // Label 29600: @2223859
     /* 2223859 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2223973),
     /* 2223864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2223867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2223870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223882 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2223927), // Rule ID 59011 //
     /* 2223887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223890 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2223893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223926 */     // GIR_Coverage, 59011,
     /* 2223926 */     GIR_EraseRootFromParent_Done,
     /* 2223927 */   // Label 29658: @2223927
     /* 2223927 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2223972), // Rule ID 59012 //
     /* 2223932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223935 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2223938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223971 */     // GIR_Coverage, 59012,
     /* 2223971 */     GIR_EraseRootFromParent_Done,
     /* 2223972 */   // Label 29659: @2223972
     /* 2223972 */   GIM_Reject,
     /* 2223973 */ // Label 29657: @2223973
     /* 2223973 */ GIM_Reject,
     /* 2223974 */ // Label 29601: @2223974
     /* 2223974 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2224088),
     /* 2223979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2223982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2223985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223997 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2224042), // Rule ID 59027 //
     /* 2224002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224005 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224041 */     // GIR_Coverage, 59027,
     /* 2224041 */     GIR_EraseRootFromParent_Done,
     /* 2224042 */   // Label 29661: @2224042
     /* 2224042 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2224087), // Rule ID 59028 //
     /* 2224047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224050 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2224053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224086 */     // GIR_Coverage, 59028,
     /* 2224086 */     GIR_EraseRootFromParent_Done,
     /* 2224087 */   // Label 29662: @2224087
     /* 2224087 */   GIM_Reject,
     /* 2224088 */ // Label 29660: @2224088
     /* 2224088 */ GIM_Reject,
     /* 2224089 */ // Label 29602: @2224089
     /* 2224089 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2224203),
     /* 2224094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2224097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2224100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224112 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2224157), // Rule ID 59043 //
     /* 2224117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224120 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224156 */     // GIR_Coverage, 59043,
     /* 2224156 */     GIR_EraseRootFromParent_Done,
     /* 2224157 */   // Label 29664: @2224157
     /* 2224157 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2224202), // Rule ID 59044 //
     /* 2224162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224165 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2224168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224201 */     // GIR_Coverage, 59044,
     /* 2224201 */     GIR_EraseRootFromParent_Done,
     /* 2224202 */   // Label 29665: @2224202
     /* 2224202 */   GIM_Reject,
     /* 2224203 */ // Label 29663: @2224203
     /* 2224203 */ GIM_Reject,
     /* 2224204 */ // Label 29603: @2224204
     /* 2224204 */ GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2224318),
     /* 2224209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2224212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2224215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224227 */   GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2224272), // Rule ID 58999 //
     /* 2224232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224235 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224271 */     // GIR_Coverage, 58999,
     /* 2224271 */     GIR_EraseRootFromParent_Done,
     /* 2224272 */   // Label 29667: @2224272
     /* 2224272 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2224317), // Rule ID 59000 //
     /* 2224277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224280 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2224283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2224297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224316 */     // GIR_Coverage, 59000,
     /* 2224316 */     GIR_EraseRootFromParent_Done,
     /* 2224317 */   // Label 29668: @2224317
     /* 2224317 */   GIM_Reject,
     /* 2224318 */ // Label 29666: @2224318
     /* 2224318 */ GIM_Reject,
     /* 2224319 */ // Label 29604: @2224319
     /* 2224319 */ GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2224433),
     /* 2224324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2224327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224342 */   GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2224387), // Rule ID 59015 //
     /* 2224347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224350 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224386 */     // GIR_Coverage, 59015,
     /* 2224386 */     GIR_EraseRootFromParent_Done,
     /* 2224387 */   // Label 29670: @2224387
     /* 2224387 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2224432), // Rule ID 59016 //
     /* 2224392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224395 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2224398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224431 */     // GIR_Coverage, 59016,
     /* 2224431 */     GIR_EraseRootFromParent_Done,
     /* 2224432 */   // Label 29671: @2224432
     /* 2224432 */   GIM_Reject,
     /* 2224433 */ // Label 29669: @2224433
     /* 2224433 */ GIM_Reject,
     /* 2224434 */ // Label 29605: @2224434
     /* 2224434 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2224548),
     /* 2224439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2224442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2224445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224457 */   GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2224502), // Rule ID 59031 //
     /* 2224462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224465 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224501 */     // GIR_Coverage, 59031,
     /* 2224501 */     GIR_EraseRootFromParent_Done,
     /* 2224502 */   // Label 29673: @2224502
     /* 2224502 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2224547), // Rule ID 59032 //
     /* 2224507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224510 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2224513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224546 */     // GIR_Coverage, 59032,
     /* 2224546 */     GIR_EraseRootFromParent_Done,
     /* 2224547 */   // Label 29674: @2224547
     /* 2224547 */   GIM_Reject,
     /* 2224548 */ // Label 29672: @2224548
     /* 2224548 */ GIM_Reject,
     /* 2224549 */ // Label 29606: @2224549
     /* 2224549 */ GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2224663),
     /* 2224554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2224557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2224560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224572 */   GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2224617), // Rule ID 59003 //
     /* 2224577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224580 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2224583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224616 */     // GIR_Coverage, 59003,
     /* 2224616 */     GIR_EraseRootFromParent_Done,
     /* 2224617 */   // Label 29676: @2224617
     /* 2224617 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2224662), // Rule ID 59004 //
     /* 2224622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224625 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2224628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2224642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224661 */     // GIR_Coverage, 59004,
     /* 2224661 */     GIR_EraseRootFromParent_Done,
     /* 2224662 */   // Label 29677: @2224662
     /* 2224662 */   GIM_Reject,
     /* 2224663 */ // Label 29675: @2224663
     /* 2224663 */ GIM_Reject,
     /* 2224664 */ // Label 29607: @2224664
     /* 2224664 */ GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2224778),
     /* 2224669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2224672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2224675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224687 */   GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2224732), // Rule ID 59019 //
     /* 2224692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224695 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2224698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224731 */     // GIR_Coverage, 59019,
     /* 2224731 */     GIR_EraseRootFromParent_Done,
     /* 2224732 */   // Label 29679: @2224732
     /* 2224732 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2224777), // Rule ID 59020 //
     /* 2224737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224740 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2224743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224776 */     // GIR_Coverage, 59020,
     /* 2224776 */     GIR_EraseRootFromParent_Done,
     /* 2224777 */   // Label 29680: @2224777
     /* 2224777 */   GIM_Reject,
     /* 2224778 */ // Label 29678: @2224778
     /* 2224778 */ GIM_Reject,
     /* 2224779 */ // Label 29608: @2224779
     /* 2224779 */ GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2224893),
     /* 2224784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2224787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2224790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224802 */   GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2224847), // Rule ID 59007 //
     /* 2224807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224810 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2224813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224846 */     // GIR_Coverage, 59007,
     /* 2224846 */     GIR_EraseRootFromParent_Done,
     /* 2224847 */   // Label 29682: @2224847
     /* 2224847 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2224892), // Rule ID 59008 //
     /* 2224852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224855 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2224858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2224872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224891 */     // GIR_Coverage, 59008,
     /* 2224891 */     GIR_EraseRootFromParent_Done,
     /* 2224892 */   // Label 29683: @2224892
     /* 2224892 */   GIM_Reject,
     /* 2224893 */ // Label 29681: @2224893
     /* 2224893 */ GIM_Reject,
     /* 2224894 */ // Label 29609: @2224894
     /* 2224894 */ GIM_Reject,
     /* 2224895 */ // Label 48: @2224895
     /* 2224895 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29693*/ GIMT_Encode4(2251557),
     /* 2224906 */ /*GILLT_s32*//*Label 29684*/ GIMT_Encode4(2225026),
     /* 2224910 */ /*GILLT_s64*//*Label 29685*/ GIMT_Encode4(2227820),
     /* 2224914 */ /*GILLT_nxv1s1*//*Label 29686*/ GIMT_Encode4(2230614), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2224934 */ /*GILLT_nxv2s1*//*Label 29687*/ GIMT_Encode4(2234455), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2224954 */ /*GILLT_nxv4s1*//*Label 29688*/ GIMT_Encode4(2238296), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2224974 */ /*GILLT_nxv8s1*//*Label 29689*/ GIMT_Encode4(2242137), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2224994 */ /*GILLT_nxv16s1*//*Label 29690*/ GIMT_Encode4(2245978), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225010 */ /*GILLT_nxv32s1*//*Label 29691*/ GIMT_Encode4(2248859), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2225022 */ /*GILLT_nxv64s1*//*Label 29692*/ GIMT_Encode4(2250780),
     /* 2225026 */ // Label 29684: @2225026
     /* 2225026 */ GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2225069), // Rule ID 159 //
     /* 2225031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225044 */   // MIs[0] Operand 1
     /* 2225044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225053 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2225057 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2225057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225068 */   // GIR_Coverage, 159,
     /* 2225068 */   GIR_EraseRootFromParent_Done,
     /* 2225069 */ // Label 29694: @2225069
     /* 2225069 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2225112), // Rule ID 64592 //
     /* 2225074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225087 */   // MIs[0] Operand 1
     /* 2225087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225096 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225100 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225105 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225111 */   // GIR_Coverage, 64592,
     /* 2225111 */   GIR_EraseRootFromParent_Done,
     /* 2225112 */ // Label 29695: @2225112
     /* 2225112 */ GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2225158), // Rule ID 64598 //
     /* 2225117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225130 */   // MIs[0] Operand 1
     /* 2225130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225139 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225143 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225148 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225157 */   // GIR_Coverage, 64598,
     /* 2225157 */   GIR_EraseRootFromParent_Done,
     /* 2225158 */ // Label 29696: @2225158
     /* 2225158 */ GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2225201), // Rule ID 64628 //
     /* 2225163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225176 */   // MIs[0] Operand 1
     /* 2225176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225185 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225189 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2225189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225200 */   // GIR_Coverage, 64628,
     /* 2225200 */   GIR_EraseRootFromParent_Done,
     /* 2225201 */ // Label 29697: @2225201
     /* 2225201 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2225247), // Rule ID 64634 //
     /* 2225206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225219 */   // MIs[0] Operand 1
     /* 2225219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225228 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2225232 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2225232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225237 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225246 */   // GIR_Coverage, 64634,
     /* 2225246 */   GIR_EraseRootFromParent_Done,
     /* 2225247 */ // Label 29698: @2225247
     /* 2225247 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2225300), // Rule ID 149 //
     /* 2225252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225265 */   // MIs[0] Operand 1
     /* 2225265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225274 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225278 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225282 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225286 */   // MIs[1] Operand 1
     /* 2225286 */   // No operand predicates
     /* 2225286 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225288 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225295 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225299 */   // GIR_Coverage, 149,
     /* 2225299 */   GIR_EraseRootFromParent_Done,
     /* 2225300 */ // Label 29699: @2225300
     /* 2225300 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2225353), // Rule ID 153 //
     /* 2225305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225318 */   // MIs[0] Operand 1
     /* 2225318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225327 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225331 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225335 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225339 */   // MIs[1] Operand 1
     /* 2225339 */   // No operand predicates
     /* 2225339 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225341 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2225341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225348 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2225351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225352 */   // GIR_Coverage, 153,
     /* 2225352 */   GIR_EraseRootFromParent_Done,
     /* 2225353 */ // Label 29700: @2225353
     /* 2225353 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2225406), // Rule ID 64584 //
     /* 2225358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225371 */   // MIs[0] Operand 1
     /* 2225371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225380 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225384 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225388 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225392 */   // MIs[1] Operand 1
     /* 2225392 */   // No operand predicates
     /* 2225392 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225394 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225401 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225405 */   // GIR_Coverage, 64584,
     /* 2225405 */   GIR_EraseRootFromParent_Done,
     /* 2225406 */ // Label 29701: @2225406
     /* 2225406 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2225459), // Rule ID 64588 //
     /* 2225411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225424 */   // MIs[0] Operand 1
     /* 2225424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225433 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225437 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225441 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225445 */   // MIs[1] Operand 1
     /* 2225445 */   // No operand predicates
     /* 2225445 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225447 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2225447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225454 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2225457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225458 */   // GIR_Coverage, 64588,
     /* 2225458 */   GIR_EraseRootFromParent_Done,
     /* 2225459 */ // Label 29702: @2225459
     /* 2225459 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2225536), // Rule ID 64594 //
     /* 2225464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225477 */   // MIs[0] Operand 1
     /* 2225477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225486 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225490 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225494 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225498 */   // MIs[1] Operand 1
     /* 2225498 */   // No operand predicates
     /* 2225498 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225500 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2225500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225512 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225516 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225528 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225535 */   // GIR_Coverage, 64594,
     /* 2225535 */   GIR_EraseRootFromParent_Done,
     /* 2225536 */ // Label 29703: @2225536
     /* 2225536 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2225616), // Rule ID 64600 //
     /* 2225541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225554 */   // MIs[0] Operand 1
     /* 2225554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225563 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225567 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225571 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2225575 */   // MIs[1] Operand 1
     /* 2225575 */   // No operand predicates
     /* 2225575 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225577 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2225577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2225584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225589 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225593 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2225598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225605 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225615 */   // GIR_Coverage, 64600,
     /* 2225615 */   GIR_EraseRootFromParent_Done,
     /* 2225616 */ // Label 29704: @2225616
     /* 2225616 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2225693), // Rule ID 64604 //
     /* 2225621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225634 */   // MIs[0] Operand 1
     /* 2225634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2225639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225643 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225647 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225651 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2225655 */   // MIs[1] Operand 1
     /* 2225655 */   // No operand predicates
     /* 2225655 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225657 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2225657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225669 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225673 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225692 */   // GIR_Coverage, 64604,
     /* 2225692 */   GIR_EraseRootFromParent_Done,
     /* 2225693 */ // Label 29705: @2225693
     /* 2225693 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2225770), // Rule ID 64608 //
     /* 2225698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225711 */   // MIs[0] Operand 1
     /* 2225711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2225716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225720 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225724 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225728 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2225732 */   // MIs[1] Operand 1
     /* 2225732 */   // No operand predicates
     /* 2225732 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225734 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2225734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225746 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225750 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225769 */   // GIR_Coverage, 64608,
     /* 2225769 */   GIR_EraseRootFromParent_Done,
     /* 2225770 */ // Label 29706: @2225770
     /* 2225770 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2225845), // Rule ID 64612 //
     /* 2225775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225788 */   // MIs[0] Operand 1
     /* 2225788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2225793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225797 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225801 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225805 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225809 */   // MIs[1] Operand 1
     /* 2225809 */   // No operand predicates
     /* 2225809 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225811 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225823 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225827 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225844 */   // GIR_Coverage, 64612,
     /* 2225844 */   GIR_EraseRootFromParent_Done,
     /* 2225845 */ // Label 29707: @2225845
     /* 2225845 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2225920), // Rule ID 64616 //
     /* 2225850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225863 */   // MIs[0] Operand 1
     /* 2225863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2225868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225880 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225884 */   // MIs[1] Operand 1
     /* 2225884 */   // No operand predicates
     /* 2225884 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225886 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225898 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225902 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225919 */   // GIR_Coverage, 64616,
     /* 2225919 */   GIR_EraseRootFromParent_Done,
     /* 2225920 */ // Label 29708: @2225920
     /* 2225920 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2225975), // Rule ID 64620 //
     /* 2225925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225938 */   // MIs[0] Operand 1
     /* 2225938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2225943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225947 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225951 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225955 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2225959 */   // MIs[1] Operand 1
     /* 2225959 */   // No operand predicates
     /* 2225959 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225961 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2225961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225968 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225974 */   // GIR_Coverage, 64620,
     /* 2225974 */   GIR_EraseRootFromParent_Done,
     /* 2225975 */ // Label 29709: @2225975
     /* 2225975 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2226030), // Rule ID 64624 //
     /* 2225980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225993 */   // MIs[0] Operand 1
     /* 2225993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2225998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226010 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226014 */   // MIs[1] Operand 1
     /* 2226014 */   // No operand predicates
     /* 2226014 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226016 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226021 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226023 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226029 */   // GIR_Coverage, 64624,
     /* 2226029 */   GIR_EraseRootFromParent_Done,
     /* 2226030 */ // Label 29710: @2226030
     /* 2226030 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2226107), // Rule ID 64630 //
     /* 2226035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226048 */   // MIs[0] Operand 1
     /* 2226048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226057 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226061 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226065 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226069 */   // MIs[1] Operand 1
     /* 2226069 */   // No operand predicates
     /* 2226069 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226071 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2226071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226083 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226087 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226092 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226099 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226106 */   // GIR_Coverage, 64630,
     /* 2226106 */   GIR_EraseRootFromParent_Done,
     /* 2226107 */ // Label 29711: @2226107
     /* 2226107 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2226187), // Rule ID 64636 //
     /* 2226112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226125 */   // MIs[0] Operand 1
     /* 2226125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226134 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226138 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226142 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2226146 */   // MIs[1] Operand 1
     /* 2226146 */   // No operand predicates
     /* 2226146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226148 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2226148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2226155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226160 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226164 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2226169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226176 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226186 */   // GIR_Coverage, 64636,
     /* 2226186 */   GIR_EraseRootFromParent_Done,
     /* 2226187 */ // Label 29712: @2226187
     /* 2226187 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2226264), // Rule ID 64640 //
     /* 2226192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226205 */   // MIs[0] Operand 1
     /* 2226205 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226214 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226218 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226222 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226226 */   // MIs[1] Operand 1
     /* 2226226 */   // No operand predicates
     /* 2226226 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226228 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2226228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226240 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226244 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226263 */   // GIR_Coverage, 64640,
     /* 2226263 */   GIR_EraseRootFromParent_Done,
     /* 2226264 */ // Label 29713: @2226264
     /* 2226264 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2226341), // Rule ID 64644 //
     /* 2226269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226282 */   // MIs[0] Operand 1
     /* 2226282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226291 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226295 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226299 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226303 */   // MIs[1] Operand 1
     /* 2226303 */   // No operand predicates
     /* 2226303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226305 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2226305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226321 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226340 */   // GIR_Coverage, 64644,
     /* 2226340 */   GIR_EraseRootFromParent_Done,
     /* 2226341 */ // Label 29714: @2226341
     /* 2226341 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2226416), // Rule ID 64648 //
     /* 2226346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226359 */   // MIs[0] Operand 1
     /* 2226359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226376 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226380 */   // MIs[1] Operand 1
     /* 2226380 */   // No operand predicates
     /* 2226380 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226382 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226394 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226398 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226415 */   // GIR_Coverage, 64648,
     /* 2226415 */   GIR_EraseRootFromParent_Done,
     /* 2226416 */ // Label 29715: @2226416
     /* 2226416 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2226491), // Rule ID 64652 //
     /* 2226421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226434 */   // MIs[0] Operand 1
     /* 2226434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226443 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226447 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226451 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226455 */   // MIs[1] Operand 1
     /* 2226455 */   // No operand predicates
     /* 2226455 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226457 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2226457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226469 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226473 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2226476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226490 */   // GIR_Coverage, 64652,
     /* 2226490 */   GIR_EraseRootFromParent_Done,
     /* 2226491 */ // Label 29716: @2226491
     /* 2226491 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2226546), // Rule ID 64656 //
     /* 2226496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226509 */   // MIs[0] Operand 1
     /* 2226509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226518 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226522 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226526 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2226530 */   // MIs[1] Operand 1
     /* 2226530 */   // No operand predicates
     /* 2226530 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226532 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2226532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226539 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226545 */   // GIR_Coverage, 64656,
     /* 2226545 */   GIR_EraseRootFromParent_Done,
     /* 2226546 */ // Label 29717: @2226546
     /* 2226546 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2226601), // Rule ID 64660 //
     /* 2226551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226564 */   // MIs[0] Operand 1
     /* 2226564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226573 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226577 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226581 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2226585 */   // MIs[1] Operand 1
     /* 2226585 */   // No operand predicates
     /* 2226585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226587 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2226587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226592 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226594 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2226599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226600 */   // GIR_Coverage, 64660,
     /* 2226600 */   GIR_EraseRootFromParent_Done,
     /* 2226601 */ // Label 29718: @2226601
     /* 2226601 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2226643), // Rule ID 64184 //
     /* 2226606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2226609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226619 */   // MIs[0] Operand 1
     /* 2226619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226632 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2226635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226637 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226639 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226642 */   // GIR_Coverage, 64184,
     /* 2226642 */   GIR_EraseRootFromParent_Done,
     /* 2226643 */ // Label 29719: @2226643
     /* 2226643 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2226685), // Rule ID 64186 //
     /* 2226648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2226651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226661 */   // MIs[0] Operand 1
     /* 2226661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226674 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2226677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226684 */   // GIR_Coverage, 64186,
     /* 2226684 */   GIR_EraseRootFromParent_Done,
     /* 2226685 */ // Label 29720: @2226685
     /* 2226685 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2226727), // Rule ID 147 //
     /* 2226690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226703 */   // MIs[0] Operand 1
     /* 2226703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2226708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226716 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226726 */   // GIR_Coverage, 147,
     /* 2226726 */   GIR_EraseRootFromParent_Done,
     /* 2226727 */ // Label 29721: @2226727
     /* 2226727 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2226769), // Rule ID 151 //
     /* 2226732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226745 */   // MIs[0] Operand 1
     /* 2226745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226758 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226768 */   // GIR_Coverage, 151,
     /* 2226768 */   GIR_EraseRootFromParent_Done,
     /* 2226769 */ // Label 29722: @2226769
     /* 2226769 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2226811), // Rule ID 64586 //
     /* 2226774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226787 */   // MIs[0] Operand 1
     /* 2226787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226800 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226810 */   // GIR_Coverage, 64586,
     /* 2226810 */   GIR_EraseRootFromParent_Done,
     /* 2226811 */ // Label 29723: @2226811
     /* 2226811 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2226853), // Rule ID 64590 //
     /* 2226816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226829 */   // MIs[0] Operand 1
     /* 2226829 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2226834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226838 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226842 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226852 */   // GIR_Coverage, 64590,
     /* 2226852 */   GIR_EraseRootFromParent_Done,
     /* 2226853 */ // Label 29724: @2226853
     /* 2226853 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2226919), // Rule ID 64596 //
     /* 2226858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226871 */   // MIs[0] Operand 1
     /* 2226871 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226884 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2226884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2226891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226896 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226918 */   // GIR_Coverage, 64596,
     /* 2226918 */   GIR_EraseRootFromParent_Done,
     /* 2226919 */ // Label 29725: @2226919
     /* 2226919 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2226988), // Rule ID 64602 //
     /* 2226924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226937 */   // MIs[0] Operand 1
     /* 2226937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226950 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2226950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2226957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226962 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226966 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226977 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226987 */   // GIR_Coverage, 64602,
     /* 2226987 */   GIR_EraseRootFromParent_Done,
     /* 2226988 */ // Label 29726: @2226988
     /* 2226988 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2227030), // Rule ID 64606 //
     /* 2226993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227006 */   // MIs[0] Operand 1
     /* 2227006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227019 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227029 */   // GIR_Coverage, 64606,
     /* 2227029 */   GIR_EraseRootFromParent_Done,
     /* 2227030 */ // Label 29727: @2227030
     /* 2227030 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2227072), // Rule ID 64610 //
     /* 2227035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227048 */   // MIs[0] Operand 1
     /* 2227048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227061 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227071 */   // GIR_Coverage, 64610,
     /* 2227071 */   GIR_EraseRootFromParent_Done,
     /* 2227072 */ // Label 29728: @2227072
     /* 2227072 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2227138), // Rule ID 64614 //
     /* 2227077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227090 */   // MIs[0] Operand 1
     /* 2227090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227103 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227103 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227106 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227110 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227115 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227119 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227137 */   // GIR_Coverage, 64614,
     /* 2227137 */   GIR_EraseRootFromParent_Done,
     /* 2227138 */ // Label 29729: @2227138
     /* 2227138 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2227204), // Rule ID 64618 //
     /* 2227143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227156 */   // MIs[0] Operand 1
     /* 2227156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227169 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227169 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227172 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227176 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227181 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227185 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227189 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227203 */   // GIR_Coverage, 64618,
     /* 2227203 */   GIR_EraseRootFromParent_Done,
     /* 2227204 */ // Label 29730: @2227204
     /* 2227204 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2227270), // Rule ID 64622 //
     /* 2227209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227222 */   // MIs[0] Operand 1
     /* 2227222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227235 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227235 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227238 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227242 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227247 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227251 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227269 */   // GIR_Coverage, 64622,
     /* 2227269 */   GIR_EraseRootFromParent_Done,
     /* 2227270 */ // Label 29731: @2227270
     /* 2227270 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2227336), // Rule ID 64626 //
     /* 2227275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2227281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2227284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227288 */   // MIs[0] Operand 1
     /* 2227288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227301 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227313 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227335 */   // GIR_Coverage, 64626,
     /* 2227335 */   GIR_EraseRootFromParent_Done,
     /* 2227336 */ // Label 29732: @2227336
     /* 2227336 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2227402), // Rule ID 64632 //
     /* 2227341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227354 */   // MIs[0] Operand 1
     /* 2227354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227367 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227379 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227383 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227387 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227394 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227401 */   // GIR_Coverage, 64632,
     /* 2227401 */   GIR_EraseRootFromParent_Done,
     /* 2227402 */ // Label 29733: @2227402
     /* 2227402 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2227471), // Rule ID 64638 //
     /* 2227407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227420 */   // MIs[0] Operand 1
     /* 2227420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227433 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2227433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2227440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227445 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227449 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227460 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227470 */   // GIR_Coverage, 64638,
     /* 2227470 */   GIR_EraseRootFromParent_Done,
     /* 2227471 */ // Label 29734: @2227471
     /* 2227471 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2227513), // Rule ID 64642 //
     /* 2227476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227489 */   // MIs[0] Operand 1
     /* 2227489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227502 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227512 */   // GIR_Coverage, 64642,
     /* 2227512 */   GIR_EraseRootFromParent_Done,
     /* 2227513 */ // Label 29735: @2227513
     /* 2227513 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2227555), // Rule ID 64646 //
     /* 2227518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227531 */   // MIs[0] Operand 1
     /* 2227531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227540 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227544 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2227544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227554 */   // GIR_Coverage, 64646,
     /* 2227554 */   GIR_EraseRootFromParent_Done,
     /* 2227555 */ // Label 29736: @2227555
     /* 2227555 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2227621), // Rule ID 64650 //
     /* 2227560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227573 */   // MIs[0] Operand 1
     /* 2227573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227586 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227598 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227602 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227620 */   // GIR_Coverage, 64650,
     /* 2227620 */   GIR_EraseRootFromParent_Done,
     /* 2227621 */ // Label 29737: @2227621
     /* 2227621 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2227687), // Rule ID 64654 //
     /* 2227626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227639 */   // MIs[0] Operand 1
     /* 2227639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227652 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2227652 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227655 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227659 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227664 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227668 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227686 */   // GIR_Coverage, 64654,
     /* 2227686 */   GIR_EraseRootFromParent_Done,
     /* 2227687 */ // Label 29738: @2227687
     /* 2227687 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2227753), // Rule ID 64658 //
     /* 2227692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227705 */   // MIs[0] Operand 1
     /* 2227705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227718 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227730 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227734 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227745 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227752 */   // GIR_Coverage, 64658,
     /* 2227752 */   GIR_EraseRootFromParent_Done,
     /* 2227753 */ // Label 29739: @2227753
     /* 2227753 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2227819), // Rule ID 64662 //
     /* 2227758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2227761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2227764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2227767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227771 */   // MIs[0] Operand 1
     /* 2227771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227784 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2227784 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227787 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2227791 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227796 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2227800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227818 */   // GIR_Coverage, 64662,
     /* 2227818 */   GIR_EraseRootFromParent_Done,
     /* 2227819 */ // Label 29740: @2227819
     /* 2227819 */ GIM_Reject,
     /* 2227820 */ // Label 29685: @2227820
     /* 2227820 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2227863), // Rule ID 158 //
     /* 2227825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227838 */   // MIs[0] Operand 1
     /* 2227838 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227847 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2227851 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2227851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227862 */   // GIR_Coverage, 158,
     /* 2227862 */   GIR_EraseRootFromParent_Done,
     /* 2227863 */ // Label 29741: @2227863
     /* 2227863 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2227906), // Rule ID 64591 //
     /* 2227868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2227877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227881 */   // MIs[0] Operand 1
     /* 2227881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227890 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2227894 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2227894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227905 */   // GIR_Coverage, 64591,
     /* 2227905 */   GIR_EraseRootFromParent_Done,
     /* 2227906 */ // Label 29742: @2227906
     /* 2227906 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2227952), // Rule ID 64597 //
     /* 2227911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2227920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227924 */   // MIs[0] Operand 1
     /* 2227924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227933 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2227937 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2227937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227942 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227951 */   // GIR_Coverage, 64597,
     /* 2227951 */   GIR_EraseRootFromParent_Done,
     /* 2227952 */ // Label 29743: @2227952
     /* 2227952 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2227995), // Rule ID 64627 //
     /* 2227957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227970 */   // MIs[0] Operand 1
     /* 2227970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227979 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2227983 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2227983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227994 */   // GIR_Coverage, 64627,
     /* 2227994 */   GIR_EraseRootFromParent_Done,
     /* 2227995 */ // Label 29744: @2227995
     /* 2227995 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2228041), // Rule ID 64633 //
     /* 2228000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228013 */   // MIs[0] Operand 1
     /* 2228013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228022 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2228026 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2228026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228031 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228040 */   // GIR_Coverage, 64633,
     /* 2228040 */   GIR_EraseRootFromParent_Done,
     /* 2228041 */ // Label 29745: @2228041
     /* 2228041 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2228094), // Rule ID 148 //
     /* 2228046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228059 */   // MIs[0] Operand 1
     /* 2228059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228076 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228080 */   // MIs[1] Operand 1
     /* 2228080 */   // No operand predicates
     /* 2228080 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228082 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228089 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228093 */   // GIR_Coverage, 148,
     /* 2228093 */   GIR_EraseRootFromParent_Done,
     /* 2228094 */ // Label 29746: @2228094
     /* 2228094 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2228147), // Rule ID 152 //
     /* 2228099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228112 */   // MIs[0] Operand 1
     /* 2228112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228121 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228125 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228129 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228133 */   // MIs[1] Operand 1
     /* 2228133 */   // No operand predicates
     /* 2228133 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228135 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2228135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228142 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2228145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228146 */   // GIR_Coverage, 152,
     /* 2228146 */   GIR_EraseRootFromParent_Done,
     /* 2228147 */ // Label 29747: @2228147
     /* 2228147 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2228200), // Rule ID 64583 //
     /* 2228152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228165 */   // MIs[0] Operand 1
     /* 2228165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228174 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228178 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228182 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228186 */   // MIs[1] Operand 1
     /* 2228186 */   // No operand predicates
     /* 2228186 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228188 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228195 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228199 */   // GIR_Coverage, 64583,
     /* 2228199 */   GIR_EraseRootFromParent_Done,
     /* 2228200 */ // Label 29748: @2228200
     /* 2228200 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2228253), // Rule ID 64587 //
     /* 2228205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228218 */   // MIs[0] Operand 1
     /* 2228218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228227 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228235 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228239 */   // MIs[1] Operand 1
     /* 2228239 */   // No operand predicates
     /* 2228239 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228241 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2228241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228248 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2228251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228252 */   // GIR_Coverage, 64587,
     /* 2228252 */   GIR_EraseRootFromParent_Done,
     /* 2228253 */ // Label 29749: @2228253
     /* 2228253 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2228330), // Rule ID 64593 //
     /* 2228258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228271 */   // MIs[0] Operand 1
     /* 2228271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228280 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228284 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228288 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228292 */   // MIs[1] Operand 1
     /* 2228292 */   // No operand predicates
     /* 2228292 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228294 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228306 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228310 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228329 */   // GIR_Coverage, 64593,
     /* 2228329 */   GIR_EraseRootFromParent_Done,
     /* 2228330 */ // Label 29750: @2228330
     /* 2228330 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2228410), // Rule ID 64599 //
     /* 2228335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228348 */   // MIs[0] Operand 1
     /* 2228348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228357 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228361 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228365 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228369 */   // MIs[1] Operand 1
     /* 2228369 */   // No operand predicates
     /* 2228369 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228371 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228383 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228387 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228399 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228409 */   // GIR_Coverage, 64599,
     /* 2228409 */   GIR_EraseRootFromParent_Done,
     /* 2228410 */ // Label 29751: @2228410
     /* 2228410 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2228487), // Rule ID 64603 //
     /* 2228415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228428 */   // MIs[0] Operand 1
     /* 2228428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2228433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228437 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228441 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228445 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228449 */   // MIs[1] Operand 1
     /* 2228449 */   // No operand predicates
     /* 2228449 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228451 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2228451 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228454 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228458 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228463 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228467 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228486 */   // GIR_Coverage, 64603,
     /* 2228486 */   GIR_EraseRootFromParent_Done,
     /* 2228487 */ // Label 29752: @2228487
     /* 2228487 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2228564), // Rule ID 64607 //
     /* 2228492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228505 */   // MIs[0] Operand 1
     /* 2228505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2228510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228514 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228518 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228522 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228526 */   // MIs[1] Operand 1
     /* 2228526 */   // No operand predicates
     /* 2228526 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228528 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2228528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228540 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228544 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228563 */   // GIR_Coverage, 64607,
     /* 2228563 */   GIR_EraseRootFromParent_Done,
     /* 2228564 */ // Label 29753: @2228564
     /* 2228564 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2228639), // Rule ID 64611 //
     /* 2228569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228582 */   // MIs[0] Operand 1
     /* 2228582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228591 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228595 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228599 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228603 */   // MIs[1] Operand 1
     /* 2228603 */   // No operand predicates
     /* 2228603 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228605 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2228605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228617 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228621 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228638 */   // GIR_Coverage, 64611,
     /* 2228638 */   GIR_EraseRootFromParent_Done,
     /* 2228639 */ // Label 29754: @2228639
     /* 2228639 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2228714), // Rule ID 64615 //
     /* 2228644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228657 */   // MIs[0] Operand 1
     /* 2228657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228666 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228670 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228674 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228678 */   // MIs[1] Operand 1
     /* 2228678 */   // No operand predicates
     /* 2228678 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228680 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2228680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228692 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228696 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228713 */   // GIR_Coverage, 64615,
     /* 2228713 */   GIR_EraseRootFromParent_Done,
     /* 2228714 */ // Label 29755: @2228714
     /* 2228714 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2228769), // Rule ID 64619 //
     /* 2228719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228732 */   // MIs[0] Operand 1
     /* 2228732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228741 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228745 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228749 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228753 */   // MIs[1] Operand 1
     /* 2228753 */   // No operand predicates
     /* 2228753 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228755 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2228755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228762 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228768 */   // GIR_Coverage, 64619,
     /* 2228768 */   GIR_EraseRootFromParent_Done,
     /* 2228769 */ // Label 29756: @2228769
     /* 2228769 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2228824), // Rule ID 64623 //
     /* 2228774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228787 */   // MIs[0] Operand 1
     /* 2228787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228796 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228800 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228804 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228808 */   // MIs[1] Operand 1
     /* 2228808 */   // No operand predicates
     /* 2228808 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228810 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2228810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228817 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228823 */   // GIR_Coverage, 64623,
     /* 2228823 */   GIR_EraseRootFromParent_Done,
     /* 2228824 */ // Label 29757: @2228824
     /* 2228824 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2228901), // Rule ID 64629 //
     /* 2228829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228842 */   // MIs[0] Operand 1
     /* 2228842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228851 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228855 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228859 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228863 */   // MIs[1] Operand 1
     /* 2228863 */   // No operand predicates
     /* 2228863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228865 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2228865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228877 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228881 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228900 */   // GIR_Coverage, 64629,
     /* 2228900 */   GIR_EraseRootFromParent_Done,
     /* 2228901 */ // Label 29758: @2228901
     /* 2228901 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2228981), // Rule ID 64635 //
     /* 2228906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228919 */   // MIs[0] Operand 1
     /* 2228919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228928 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228932 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228936 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2228940 */   // MIs[1] Operand 1
     /* 2228940 */   // No operand predicates
     /* 2228940 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228942 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2228942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2228949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228954 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228958 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2228963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228970 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228980 */   // GIR_Coverage, 64635,
     /* 2228980 */   GIR_EraseRootFromParent_Done,
     /* 2228981 */ // Label 29759: @2228981
     /* 2228981 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229058), // Rule ID 64639 //
     /* 2228986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228999 */   // MIs[0] Operand 1
     /* 2228999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229008 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229012 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229016 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229020 */   // MIs[1] Operand 1
     /* 2229020 */   // No operand predicates
     /* 2229020 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229022 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2229022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229034 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229038 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229057 */   // GIR_Coverage, 64639,
     /* 2229057 */   GIR_EraseRootFromParent_Done,
     /* 2229058 */ // Label 29760: @2229058
     /* 2229058 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229135), // Rule ID 64643 //
     /* 2229063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229076 */   // MIs[0] Operand 1
     /* 2229076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229093 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229097 */   // MIs[1] Operand 1
     /* 2229097 */   // No operand predicates
     /* 2229097 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229099 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2229099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229111 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229115 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229134 */   // GIR_Coverage, 64643,
     /* 2229134 */   GIR_EraseRootFromParent_Done,
     /* 2229135 */ // Label 29761: @2229135
     /* 2229135 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229210), // Rule ID 64647 //
     /* 2229140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229153 */   // MIs[0] Operand 1
     /* 2229153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229162 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229166 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229170 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229174 */   // MIs[1] Operand 1
     /* 2229174 */   // No operand predicates
     /* 2229174 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229176 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229188 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229192 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229209 */   // GIR_Coverage, 64647,
     /* 2229209 */   GIR_EraseRootFromParent_Done,
     /* 2229210 */ // Label 29762: @2229210
     /* 2229210 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229285), // Rule ID 64651 //
     /* 2229215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229228 */   // MIs[0] Operand 1
     /* 2229228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229237 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229241 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229245 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229249 */   // MIs[1] Operand 1
     /* 2229249 */   // No operand predicates
     /* 2229249 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229251 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2229251 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229254 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229258 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229263 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229267 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2229270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229284 */   // GIR_Coverage, 64651,
     /* 2229284 */   GIR_EraseRootFromParent_Done,
     /* 2229285 */ // Label 29763: @2229285
     /* 2229285 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2229340), // Rule ID 64655 //
     /* 2229290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229303 */   // MIs[0] Operand 1
     /* 2229303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229312 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229316 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229320 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2229324 */   // MIs[1] Operand 1
     /* 2229324 */   // No operand predicates
     /* 2229324 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229326 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2229326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229333 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229339 */   // GIR_Coverage, 64655,
     /* 2229339 */   GIR_EraseRootFromParent_Done,
     /* 2229340 */ // Label 29764: @2229340
     /* 2229340 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2229395), // Rule ID 64659 //
     /* 2229345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229358 */   // MIs[0] Operand 1
     /* 2229358 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229367 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229371 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229375 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2229379 */   // MIs[1] Operand 1
     /* 2229379 */   // No operand predicates
     /* 2229379 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229381 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2229381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229388 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2229393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229394 */   // GIR_Coverage, 64659,
     /* 2229394 */   GIR_EraseRootFromParent_Done,
     /* 2229395 */ // Label 29765: @2229395
     /* 2229395 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2229437), // Rule ID 64183 //
     /* 2229400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229413 */   // MIs[0] Operand 1
     /* 2229413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229426 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2229429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229436 */   // GIR_Coverage, 64183,
     /* 2229436 */   GIR_EraseRootFromParent_Done,
     /* 2229437 */ // Label 29766: @2229437
     /* 2229437 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2229479), // Rule ID 64185 //
     /* 2229442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2229445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229455 */   // MIs[0] Operand 1
     /* 2229455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229468 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2229471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229478 */   // GIR_Coverage, 64185,
     /* 2229478 */   GIR_EraseRootFromParent_Done,
     /* 2229479 */ // Label 29767: @2229479
     /* 2229479 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2229521), // Rule ID 146 //
     /* 2229484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229497 */   // MIs[0] Operand 1
     /* 2229497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229510 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229515 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229517 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229520 */   // GIR_Coverage, 146,
     /* 2229520 */   GIR_EraseRootFromParent_Done,
     /* 2229521 */ // Label 29768: @2229521
     /* 2229521 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2229563), // Rule ID 150 //
     /* 2229526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229539 */   // MIs[0] Operand 1
     /* 2229539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229552 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229562 */   // GIR_Coverage, 150,
     /* 2229562 */   GIR_EraseRootFromParent_Done,
     /* 2229563 */ // Label 29769: @2229563
     /* 2229563 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2229605), // Rule ID 64585 //
     /* 2229568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229581 */   // MIs[0] Operand 1
     /* 2229581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229594 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229604 */   // GIR_Coverage, 64585,
     /* 2229604 */   GIR_EraseRootFromParent_Done,
     /* 2229605 */ // Label 29770: @2229605
     /* 2229605 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2229647), // Rule ID 64589 //
     /* 2229610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229623 */   // MIs[0] Operand 1
     /* 2229623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229636 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2229636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229646 */   // GIR_Coverage, 64589,
     /* 2229646 */   GIR_EraseRootFromParent_Done,
     /* 2229647 */ // Label 29771: @2229647
     /* 2229647 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2229713), // Rule ID 64595 //
     /* 2229652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229665 */   // MIs[0] Operand 1
     /* 2229665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229678 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2229685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229690 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229694 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229712 */   // GIR_Coverage, 64595,
     /* 2229712 */   GIR_EraseRootFromParent_Done,
     /* 2229713 */ // Label 29772: @2229713
     /* 2229713 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2229782), // Rule ID 64601 //
     /* 2229718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229731 */   // MIs[0] Operand 1
     /* 2229731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229744 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2229744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2229751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229756 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229760 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229771 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229781 */   // GIR_Coverage, 64601,
     /* 2229781 */   GIR_EraseRootFromParent_Done,
     /* 2229782 */ // Label 29773: @2229782
     /* 2229782 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2229824), // Rule ID 64605 //
     /* 2229787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229800 */   // MIs[0] Operand 1
     /* 2229800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229813 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229823 */   // GIR_Coverage, 64605,
     /* 2229823 */   GIR_EraseRootFromParent_Done,
     /* 2229824 */ // Label 29774: @2229824
     /* 2229824 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2229866), // Rule ID 64609 //
     /* 2229829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229842 */   // MIs[0] Operand 1
     /* 2229842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229855 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229865 */   // GIR_Coverage, 64609,
     /* 2229865 */   GIR_EraseRootFromParent_Done,
     /* 2229866 */ // Label 29775: @2229866
     /* 2229866 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2229932), // Rule ID 64613 //
     /* 2229871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229884 */   // MIs[0] Operand 1
     /* 2229884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229897 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229897 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229900 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229904 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229909 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229913 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229931 */   // GIR_Coverage, 64613,
     /* 2229931 */   GIR_EraseRootFromParent_Done,
     /* 2229932 */ // Label 29776: @2229932
     /* 2229932 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2229998), // Rule ID 64617 //
     /* 2229937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2229943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2229946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229950 */   // MIs[0] Operand 1
     /* 2229950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229963 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229975 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229979 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229997 */   // GIR_Coverage, 64617,
     /* 2229997 */   GIR_EraseRootFromParent_Done,
     /* 2229998 */ // Label 29777: @2229998
     /* 2229998 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2230064), // Rule ID 64621 //
     /* 2230003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230016 */   // MIs[0] Operand 1
     /* 2230016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230029 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230029 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230032 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230036 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230041 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230045 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230063 */   // GIR_Coverage, 64621,
     /* 2230063 */   GIR_EraseRootFromParent_Done,
     /* 2230064 */ // Label 29778: @2230064
     /* 2230064 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2230130), // Rule ID 64625 //
     /* 2230069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2230075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2230078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230082 */   // MIs[0] Operand 1
     /* 2230082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230095 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230107 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230111 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230122 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230129 */   // GIR_Coverage, 64625,
     /* 2230129 */   GIR_EraseRootFromParent_Done,
     /* 2230130 */ // Label 29779: @2230130
     /* 2230130 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2230196), // Rule ID 64631 //
     /* 2230135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230148 */   // MIs[0] Operand 1
     /* 2230148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230161 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230173 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230177 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230195 */   // GIR_Coverage, 64631,
     /* 2230195 */   GIR_EraseRootFromParent_Done,
     /* 2230196 */ // Label 29780: @2230196
     /* 2230196 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2230265), // Rule ID 64637 //
     /* 2230201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230214 */   // MIs[0] Operand 1
     /* 2230214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230227 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2230227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2230234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230243 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230254 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230264 */   // GIR_Coverage, 64637,
     /* 2230264 */   GIR_EraseRootFromParent_Done,
     /* 2230265 */ // Label 29781: @2230265
     /* 2230265 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2230307), // Rule ID 64641 //
     /* 2230270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230283 */   // MIs[0] Operand 1
     /* 2230283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230296 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230306 */   // GIR_Coverage, 64641,
     /* 2230306 */   GIR_EraseRootFromParent_Done,
     /* 2230307 */ // Label 29782: @2230307
     /* 2230307 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2230349), // Rule ID 64645 //
     /* 2230312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230325 */   // MIs[0] Operand 1
     /* 2230325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230338 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2230338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230348 */   // GIR_Coverage, 64645,
     /* 2230348 */   GIR_EraseRootFromParent_Done,
     /* 2230349 */ // Label 29783: @2230349
     /* 2230349 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2230415), // Rule ID 64649 //
     /* 2230354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230367 */   // MIs[0] Operand 1
     /* 2230367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230380 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230392 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230396 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230400 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230414 */   // GIR_Coverage, 64649,
     /* 2230414 */   GIR_EraseRootFromParent_Done,
     /* 2230415 */ // Label 29784: @2230415
     /* 2230415 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2230481), // Rule ID 64653 //
     /* 2230420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230433 */   // MIs[0] Operand 1
     /* 2230433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230446 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2230446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230458 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230462 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230480 */   // GIR_Coverage, 64653,
     /* 2230480 */   GIR_EraseRootFromParent_Done,
     /* 2230481 */ // Label 29785: @2230481
     /* 2230481 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2230547), // Rule ID 64657 //
     /* 2230486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230499 */   // MIs[0] Operand 1
     /* 2230499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230512 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230524 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230528 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230546 */   // GIR_Coverage, 64657,
     /* 2230546 */   GIR_EraseRootFromParent_Done,
     /* 2230547 */ // Label 29786: @2230547
     /* 2230547 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2230613), // Rule ID 64661 //
     /* 2230552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2230555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2230561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230565 */   // MIs[0] Operand 1
     /* 2230565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230578 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2230578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2230585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230590 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2230594 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230612 */   // GIR_Coverage, 64661,
     /* 2230612 */   GIR_EraseRootFromParent_Done,
     /* 2230613 */ // Label 29787: @2230613
     /* 2230613 */ GIM_Reject,
     /* 2230614 */ // Label 29686: @2230614
     /* 2230614 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2230662), // Rule ID 45649 //
     /* 2230619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230632 */   // MIs[0] Operand 1
     /* 2230632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230645 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2230648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230661 */   // GIR_Coverage, 45649,
     /* 2230661 */   GIR_EraseRootFromParent_Done,
     /* 2230662 */ // Label 29788: @2230662
     /* 2230662 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2230710), // Rule ID 45650 //
     /* 2230667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230680 */   // MIs[0] Operand 1
     /* 2230680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230693 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2230696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230709 */   // GIR_Coverage, 45650,
     /* 2230709 */   GIR_EraseRootFromParent_Done,
     /* 2230710 */ // Label 29789: @2230710
     /* 2230710 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2230758), // Rule ID 45651 //
     /* 2230715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230728 */   // MIs[0] Operand 1
     /* 2230728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230741 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230757 */   // GIR_Coverage, 45651,
     /* 2230757 */   GIR_EraseRootFromParent_Done,
     /* 2230758 */ // Label 29790: @2230758
     /* 2230758 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2230806), // Rule ID 45652 //
     /* 2230763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230776 */   // MIs[0] Operand 1
     /* 2230776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230789 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230796 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230805 */   // GIR_Coverage, 45652,
     /* 2230805 */   GIR_EraseRootFromParent_Done,
     /* 2230806 */ // Label 29791: @2230806
     /* 2230806 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2230854), // Rule ID 48359 //
     /* 2230811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230824 */   // MIs[0] Operand 1
     /* 2230824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230837 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2230840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230853 */   // GIR_Coverage, 48359,
     /* 2230853 */   GIR_EraseRootFromParent_Done,
     /* 2230854 */ // Label 29792: @2230854
     /* 2230854 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2230902), // Rule ID 48360 //
     /* 2230859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230872 */   // MIs[0] Operand 1
     /* 2230872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230885 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2230888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230901 */   // GIR_Coverage, 48360,
     /* 2230901 */   GIR_EraseRootFromParent_Done,
     /* 2230902 */ // Label 29793: @2230902
     /* 2230902 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2230950), // Rule ID 48363 //
     /* 2230907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230920 */   // MIs[0] Operand 1
     /* 2230920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230933 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2230936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230949 */   // GIR_Coverage, 48363,
     /* 2230949 */   GIR_EraseRootFromParent_Done,
     /* 2230950 */ // Label 29794: @2230950
     /* 2230950 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2230998), // Rule ID 48364 //
     /* 2230955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230968 */   // MIs[0] Operand 1
     /* 2230968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230981 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2230984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230997 */   // GIR_Coverage, 48364,
     /* 2230997 */   GIR_EraseRootFromParent_Done,
     /* 2230998 */ // Label 29795: @2230998
     /* 2230998 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2231046), // Rule ID 48371 //
     /* 2231003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231016 */   // MIs[0] Operand 1
     /* 2231016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231029 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231045 */   // GIR_Coverage, 48371,
     /* 2231045 */   GIR_EraseRootFromParent_Done,
     /* 2231046 */ // Label 29796: @2231046
     /* 2231046 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2231094), // Rule ID 48372 //
     /* 2231051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231064 */   // MIs[0] Operand 1
     /* 2231064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231077 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2231080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231084 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231093 */   // GIR_Coverage, 48372,
     /* 2231093 */   GIR_EraseRootFromParent_Done,
     /* 2231094 */ // Label 29797: @2231094
     /* 2231094 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2231142), // Rule ID 48397 //
     /* 2231099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231112 */   // MIs[0] Operand 1
     /* 2231112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231125 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231132 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231141 */   // GIR_Coverage, 48397,
     /* 2231141 */   GIR_EraseRootFromParent_Done,
     /* 2231142 */ // Label 29798: @2231142
     /* 2231142 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2231190), // Rule ID 48398 //
     /* 2231147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231160 */   // MIs[0] Operand 1
     /* 2231160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231173 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2231176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231180 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231189 */   // GIR_Coverage, 48398,
     /* 2231189 */   GIR_EraseRootFromParent_Done,
     /* 2231190 */ // Label 29799: @2231190
     /* 2231190 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2231238), // Rule ID 48403 //
     /* 2231195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231208 */   // MIs[0] Operand 1
     /* 2231208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231221 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231237 */   // GIR_Coverage, 48403,
     /* 2231237 */   GIR_EraseRootFromParent_Done,
     /* 2231238 */ // Label 29800: @2231238
     /* 2231238 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2231286), // Rule ID 48404 //
     /* 2231243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231256 */   // MIs[0] Operand 1
     /* 2231256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231269 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2231272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231285 */   // GIR_Coverage, 48404,
     /* 2231285 */   GIR_EraseRootFromParent_Done,
     /* 2231286 */ // Label 29801: @2231286
     /* 2231286 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2231334), // Rule ID 48407 //
     /* 2231291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231304 */   // MIs[0] Operand 1
     /* 2231304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231317 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231322 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231324 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231333 */   // GIR_Coverage, 48407,
     /* 2231333 */   GIR_EraseRootFromParent_Done,
     /* 2231334 */ // Label 29802: @2231334
     /* 2231334 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2231382), // Rule ID 48408 //
     /* 2231339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231352 */   // MIs[0] Operand 1
     /* 2231352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231365 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2231368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231370 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231372 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231381 */   // GIR_Coverage, 48408,
     /* 2231381 */   GIR_EraseRootFromParent_Done,
     /* 2231382 */ // Label 29803: @2231382
     /* 2231382 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2231430), // Rule ID 48415 //
     /* 2231387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231400 */   // MIs[0] Operand 1
     /* 2231400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231413 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231418 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231420 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231429 */   // GIR_Coverage, 48415,
     /* 2231429 */   GIR_EraseRootFromParent_Done,
     /* 2231430 */ // Label 29804: @2231430
     /* 2231430 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2231478), // Rule ID 48416 //
     /* 2231435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231448 */   // MIs[0] Operand 1
     /* 2231448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231461 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2231464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231468 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231477 */   // GIR_Coverage, 48416,
     /* 2231477 */   GIR_EraseRootFromParent_Done,
     /* 2231478 */ // Label 29805: @2231478
     /* 2231478 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2231526), // Rule ID 48441 //
     /* 2231483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231496 */   // MIs[0] Operand 1
     /* 2231496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231509 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231516 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231525 */   // GIR_Coverage, 48441,
     /* 2231525 */   GIR_EraseRootFromParent_Done,
     /* 2231526 */ // Label 29806: @2231526
     /* 2231526 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2231574), // Rule ID 48442 //
     /* 2231531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231544 */   // MIs[0] Operand 1
     /* 2231544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231557 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2231560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231564 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231573 */   // GIR_Coverage, 48442,
     /* 2231573 */   GIR_EraseRootFromParent_Done,
     /* 2231574 */ // Label 29807: @2231574
     /* 2231574 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2231622), // Rule ID 48447 //
     /* 2231579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231592 */   // MIs[0] Operand 1
     /* 2231592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231605 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231610 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231612 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231621 */   // GIR_Coverage, 48447,
     /* 2231621 */   GIR_EraseRootFromParent_Done,
     /* 2231622 */ // Label 29808: @2231622
     /* 2231622 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2231670), // Rule ID 48448 //
     /* 2231627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231640 */   // MIs[0] Operand 1
     /* 2231640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231653 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231658 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231660 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231669 */   // GIR_Coverage, 48448,
     /* 2231669 */   GIR_EraseRootFromParent_Done,
     /* 2231670 */ // Label 29809: @2231670
     /* 2231670 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2231718), // Rule ID 48451 //
     /* 2231675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231688 */   // MIs[0] Operand 1
     /* 2231688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231701 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2231704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231706 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231708 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231717 */   // GIR_Coverage, 48451,
     /* 2231717 */   GIR_EraseRootFromParent_Done,
     /* 2231718 */ // Label 29810: @2231718
     /* 2231718 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2231766), // Rule ID 48452 //
     /* 2231723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231736 */   // MIs[0] Operand 1
     /* 2231736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231749 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2231752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231765 */   // GIR_Coverage, 48452,
     /* 2231765 */   GIR_EraseRootFromParent_Done,
     /* 2231766 */ // Label 29811: @2231766
     /* 2231766 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2231814), // Rule ID 48459 //
     /* 2231771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231784 */   // MIs[0] Operand 1
     /* 2231784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231797 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2231800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231813 */   // GIR_Coverage, 48459,
     /* 2231813 */   GIR_EraseRootFromParent_Done,
     /* 2231814 */ // Label 29812: @2231814
     /* 2231814 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2231862), // Rule ID 48460 //
     /* 2231819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231832 */   // MIs[0] Operand 1
     /* 2231832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231845 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2231848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231861 */   // GIR_Coverage, 48460,
     /* 2231861 */   GIR_EraseRootFromParent_Done,
     /* 2231862 */ // Label 29813: @2231862
     /* 2231862 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2231910), // Rule ID 48489 //
     /* 2231867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231880 */   // MIs[0] Operand 1
     /* 2231880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231893 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231909 */   // GIR_Coverage, 48489,
     /* 2231909 */   GIR_EraseRootFromParent_Done,
     /* 2231910 */ // Label 29814: @2231910
     /* 2231910 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2231958), // Rule ID 48490 //
     /* 2231915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231928 */   // MIs[0] Operand 1
     /* 2231928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231941 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2231944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231957 */   // GIR_Coverage, 48490,
     /* 2231957 */   GIR_EraseRootFromParent_Done,
     /* 2231958 */ // Label 29815: @2231958
     /* 2231958 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2232006), // Rule ID 48493 //
     /* 2231963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231976 */   // MIs[0] Operand 1
     /* 2231976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231989 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2231992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232005 */   // GIR_Coverage, 48493,
     /* 2232005 */   GIR_EraseRootFromParent_Done,
     /* 2232006 */ // Label 29816: @2232006
     /* 2232006 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2232054), // Rule ID 48494 //
     /* 2232011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232024 */   // MIs[0] Operand 1
     /* 2232024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232037 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2232040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232053 */   // GIR_Coverage, 48494,
     /* 2232053 */   GIR_EraseRootFromParent_Done,
     /* 2232054 */ // Label 29817: @2232054
     /* 2232054 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2232102), // Rule ID 48501 //
     /* 2232059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232072 */   // MIs[0] Operand 1
     /* 2232072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232085 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232101 */   // GIR_Coverage, 48501,
     /* 2232101 */   GIR_EraseRootFromParent_Done,
     /* 2232102 */ // Label 29818: @2232102
     /* 2232102 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2232150), // Rule ID 48502 //
     /* 2232107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232120 */   // MIs[0] Operand 1
     /* 2232120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232133 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2232136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232149 */   // GIR_Coverage, 48502,
     /* 2232149 */   GIR_EraseRootFromParent_Done,
     /* 2232150 */ // Label 29819: @2232150
     /* 2232150 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2232198), // Rule ID 48527 //
     /* 2232155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232168 */   // MIs[0] Operand 1
     /* 2232168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232181 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232197 */   // GIR_Coverage, 48527,
     /* 2232197 */   GIR_EraseRootFromParent_Done,
     /* 2232198 */ // Label 29820: @2232198
     /* 2232198 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2232246), // Rule ID 48528 //
     /* 2232203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232216 */   // MIs[0] Operand 1
     /* 2232216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232229 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232245 */   // GIR_Coverage, 48528,
     /* 2232245 */   GIR_EraseRootFromParent_Done,
     /* 2232246 */ // Label 29821: @2232246
     /* 2232246 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2232294), // Rule ID 48533 //
     /* 2232251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232264 */   // MIs[0] Operand 1
     /* 2232264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232277 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232293 */   // GIR_Coverage, 48533,
     /* 2232293 */   GIR_EraseRootFromParent_Done,
     /* 2232294 */ // Label 29822: @2232294
     /* 2232294 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2232342), // Rule ID 48534 //
     /* 2232299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232312 */   // MIs[0] Operand 1
     /* 2232312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232325 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232341 */   // GIR_Coverage, 48534,
     /* 2232341 */   GIR_EraseRootFromParent_Done,
     /* 2232342 */ // Label 29823: @2232342
     /* 2232342 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2232390), // Rule ID 48537 //
     /* 2232347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232360 */   // MIs[0] Operand 1
     /* 2232360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232373 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232389 */   // GIR_Coverage, 48537,
     /* 2232389 */   GIR_EraseRootFromParent_Done,
     /* 2232390 */ // Label 29824: @2232390
     /* 2232390 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2232438), // Rule ID 48538 //
     /* 2232395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232408 */   // MIs[0] Operand 1
     /* 2232408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232421 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232437 */   // GIR_Coverage, 48538,
     /* 2232437 */   GIR_EraseRootFromParent_Done,
     /* 2232438 */ // Label 29825: @2232438
     /* 2232438 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2232486), // Rule ID 48545 //
     /* 2232443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232456 */   // MIs[0] Operand 1
     /* 2232456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232469 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232485 */   // GIR_Coverage, 48545,
     /* 2232485 */   GIR_EraseRootFromParent_Done,
     /* 2232486 */ // Label 29826: @2232486
     /* 2232486 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2232534), // Rule ID 48546 //
     /* 2232491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232504 */   // MIs[0] Operand 1
     /* 2232504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232517 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232533 */   // GIR_Coverage, 48546,
     /* 2232533 */   GIR_EraseRootFromParent_Done,
     /* 2232534 */ // Label 29827: @2232534
     /* 2232534 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2232582), // Rule ID 48571 //
     /* 2232539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232552 */   // MIs[0] Operand 1
     /* 2232552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232565 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232570 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232581 */   // GIR_Coverage, 48571,
     /* 2232581 */   GIR_EraseRootFromParent_Done,
     /* 2232582 */ // Label 29828: @2232582
     /* 2232582 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2232630), // Rule ID 48572 //
     /* 2232587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232600 */   // MIs[0] Operand 1
     /* 2232600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232613 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2232616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232629 */   // GIR_Coverage, 48572,
     /* 2232629 */   GIR_EraseRootFromParent_Done,
     /* 2232630 */ // Label 29829: @2232630
     /* 2232630 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2232678), // Rule ID 48577 //
     /* 2232635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232648 */   // MIs[0] Operand 1
     /* 2232648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232661 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232677 */   // GIR_Coverage, 48577,
     /* 2232677 */   GIR_EraseRootFromParent_Done,
     /* 2232678 */ // Label 29830: @2232678
     /* 2232678 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2232726), // Rule ID 48578 //
     /* 2232683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232696 */   // MIs[0] Operand 1
     /* 2232696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232709 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2232712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232725 */   // GIR_Coverage, 48578,
     /* 2232725 */   GIR_EraseRootFromParent_Done,
     /* 2232726 */ // Label 29831: @2232726
     /* 2232726 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2232774), // Rule ID 48581 //
     /* 2232731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232744 */   // MIs[0] Operand 1
     /* 2232744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232757 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232773 */   // GIR_Coverage, 48581,
     /* 2232773 */   GIR_EraseRootFromParent_Done,
     /* 2232774 */ // Label 29832: @2232774
     /* 2232774 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2232822), // Rule ID 48582 //
     /* 2232779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232792 */   // MIs[0] Operand 1
     /* 2232792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232805 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2232808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232821 */   // GIR_Coverage, 48582,
     /* 2232821 */   GIR_EraseRootFromParent_Done,
     /* 2232822 */ // Label 29833: @2232822
     /* 2232822 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2232870), // Rule ID 48589 //
     /* 2232827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232840 */   // MIs[0] Operand 1
     /* 2232840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232853 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232869 */   // GIR_Coverage, 48589,
     /* 2232869 */   GIR_EraseRootFromParent_Done,
     /* 2232870 */ // Label 29834: @2232870
     /* 2232870 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2232918), // Rule ID 48590 //
     /* 2232875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232888 */   // MIs[0] Operand 1
     /* 2232888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232901 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2232904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232917 */   // GIR_Coverage, 48590,
     /* 2232917 */   GIR_EraseRootFromParent_Done,
     /* 2232918 */ // Label 29835: @2232918
     /* 2232918 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2232966), // Rule ID 48615 //
     /* 2232923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232936 */   // MIs[0] Operand 1
     /* 2232936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232949 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2232952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232965 */   // GIR_Coverage, 48615,
     /* 2232965 */   GIR_EraseRootFromParent_Done,
     /* 2232966 */ // Label 29836: @2232966
     /* 2232966 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2233014), // Rule ID 48616 //
     /* 2232971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232984 */   // MIs[0] Operand 1
     /* 2232984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232997 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233013 */   // GIR_Coverage, 48616,
     /* 2233013 */   GIR_EraseRootFromParent_Done,
     /* 2233014 */ // Label 29837: @2233014
     /* 2233014 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2233062), // Rule ID 48621 //
     /* 2233019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233032 */   // MIs[0] Operand 1
     /* 2233032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233045 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233061 */   // GIR_Coverage, 48621,
     /* 2233061 */   GIR_EraseRootFromParent_Done,
     /* 2233062 */ // Label 29838: @2233062
     /* 2233062 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2233110), // Rule ID 48622 //
     /* 2233067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233080 */   // MIs[0] Operand 1
     /* 2233080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233093 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233109 */   // GIR_Coverage, 48622,
     /* 2233109 */   GIR_EraseRootFromParent_Done,
     /* 2233110 */ // Label 29839: @2233110
     /* 2233110 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2233158), // Rule ID 48625 //
     /* 2233115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233128 */   // MIs[0] Operand 1
     /* 2233128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233141 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233157 */   // GIR_Coverage, 48625,
     /* 2233157 */   GIR_EraseRootFromParent_Done,
     /* 2233158 */ // Label 29840: @2233158
     /* 2233158 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2233206), // Rule ID 48626 //
     /* 2233163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233176 */   // MIs[0] Operand 1
     /* 2233176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233189 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233205 */   // GIR_Coverage, 48626,
     /* 2233205 */   GIR_EraseRootFromParent_Done,
     /* 2233206 */ // Label 29841: @2233206
     /* 2233206 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2233254), // Rule ID 48633 //
     /* 2233211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233224 */   // MIs[0] Operand 1
     /* 2233224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233237 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233253 */   // GIR_Coverage, 48633,
     /* 2233253 */   GIR_EraseRootFromParent_Done,
     /* 2233254 */ // Label 29842: @2233254
     /* 2233254 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2233302), // Rule ID 48634 //
     /* 2233259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233272 */   // MIs[0] Operand 1
     /* 2233272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233285 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233301 */   // GIR_Coverage, 48634,
     /* 2233301 */   GIR_EraseRootFromParent_Done,
     /* 2233302 */ // Label 29843: @2233302
     /* 2233302 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2233350), // Rule ID 48659 //
     /* 2233307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233320 */   // MIs[0] Operand 1
     /* 2233320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233333 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233349 */   // GIR_Coverage, 48659,
     /* 2233349 */   GIR_EraseRootFromParent_Done,
     /* 2233350 */ // Label 29844: @2233350
     /* 2233350 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2233398), // Rule ID 48660 //
     /* 2233355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233368 */   // MIs[0] Operand 1
     /* 2233368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233381 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2233384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233397 */   // GIR_Coverage, 48660,
     /* 2233397 */   GIR_EraseRootFromParent_Done,
     /* 2233398 */ // Label 29845: @2233398
     /* 2233398 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2233446), // Rule ID 48665 //
     /* 2233403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233416 */   // MIs[0] Operand 1
     /* 2233416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233429 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233445 */   // GIR_Coverage, 48665,
     /* 2233445 */   GIR_EraseRootFromParent_Done,
     /* 2233446 */ // Label 29846: @2233446
     /* 2233446 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2233494), // Rule ID 48666 //
     /* 2233451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233464 */   // MIs[0] Operand 1
     /* 2233464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233477 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2233480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233493 */   // GIR_Coverage, 48666,
     /* 2233493 */   GIR_EraseRootFromParent_Done,
     /* 2233494 */ // Label 29847: @2233494
     /* 2233494 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2233542), // Rule ID 48669 //
     /* 2233499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233512 */   // MIs[0] Operand 1
     /* 2233512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233525 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233541 */   // GIR_Coverage, 48669,
     /* 2233541 */   GIR_EraseRootFromParent_Done,
     /* 2233542 */ // Label 29848: @2233542
     /* 2233542 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2233590), // Rule ID 48670 //
     /* 2233547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233560 */   // MIs[0] Operand 1
     /* 2233560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233573 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2233576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233589 */   // GIR_Coverage, 48670,
     /* 2233589 */   GIR_EraseRootFromParent_Done,
     /* 2233590 */ // Label 29849: @2233590
     /* 2233590 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2233638), // Rule ID 48677 //
     /* 2233595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233608 */   // MIs[0] Operand 1
     /* 2233608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233621 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233637 */   // GIR_Coverage, 48677,
     /* 2233637 */   GIR_EraseRootFromParent_Done,
     /* 2233638 */ // Label 29850: @2233638
     /* 2233638 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2233686), // Rule ID 48678 //
     /* 2233643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233656 */   // MIs[0] Operand 1
     /* 2233656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233669 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2233672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233685 */   // GIR_Coverage, 48678,
     /* 2233685 */   GIR_EraseRootFromParent_Done,
     /* 2233686 */ // Label 29851: @2233686
     /* 2233686 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2233734), // Rule ID 48703 //
     /* 2233691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233704 */   // MIs[0] Operand 1
     /* 2233704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233717 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2233720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233733 */   // GIR_Coverage, 48703,
     /* 2233733 */   GIR_EraseRootFromParent_Done,
     /* 2233734 */ // Label 29852: @2233734
     /* 2233734 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2233782), // Rule ID 48704 //
     /* 2233739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2233745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2233748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233752 */   // MIs[0] Operand 1
     /* 2233752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233765 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2233768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233781 */   // GIR_Coverage, 48704,
     /* 2233781 */   GIR_EraseRootFromParent_Done,
     /* 2233782 */ // Label 29853: @2233782
     /* 2233782 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2233830), // Rule ID 48709 //
     /* 2233787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233800 */   // MIs[0] Operand 1
     /* 2233800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233813 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233829 */   // GIR_Coverage, 48709,
     /* 2233829 */   GIR_EraseRootFromParent_Done,
     /* 2233830 */ // Label 29854: @2233830
     /* 2233830 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2233878), // Rule ID 48710 //
     /* 2233835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233848 */   // MIs[0] Operand 1
     /* 2233848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233861 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233877 */   // GIR_Coverage, 48710,
     /* 2233877 */   GIR_EraseRootFromParent_Done,
     /* 2233878 */ // Label 29855: @2233878
     /* 2233878 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2233926), // Rule ID 48713 //
     /* 2233883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233896 */   // MIs[0] Operand 1
     /* 2233896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233909 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2233912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233925 */   // GIR_Coverage, 48713,
     /* 2233925 */   GIR_EraseRootFromParent_Done,
     /* 2233926 */ // Label 29856: @2233926
     /* 2233926 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2233974), // Rule ID 48714 //
     /* 2233931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233944 */   // MIs[0] Operand 1
     /* 2233944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233957 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2233960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233973 */   // GIR_Coverage, 48714,
     /* 2233973 */   GIR_EraseRootFromParent_Done,
     /* 2233974 */ // Label 29857: @2233974
     /* 2233974 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2234022), // Rule ID 48721 //
     /* 2233979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233992 */   // MIs[0] Operand 1
     /* 2233992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234005 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234021 */   // GIR_Coverage, 48721,
     /* 2234021 */   GIR_EraseRootFromParent_Done,
     /* 2234022 */ // Label 29858: @2234022
     /* 2234022 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2234070), // Rule ID 48722 //
     /* 2234027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234040 */   // MIs[0] Operand 1
     /* 2234040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234053 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234069 */   // GIR_Coverage, 48722,
     /* 2234069 */   GIR_EraseRootFromParent_Done,
     /* 2234070 */ // Label 29859: @2234070
     /* 2234070 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2234118), // Rule ID 48747 //
     /* 2234075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234088 */   // MIs[0] Operand 1
     /* 2234088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234101 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234117 */   // GIR_Coverage, 48747,
     /* 2234117 */   GIR_EraseRootFromParent_Done,
     /* 2234118 */ // Label 29860: @2234118
     /* 2234118 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2234166), // Rule ID 48748 //
     /* 2234123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2234129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2234132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234136 */   // MIs[0] Operand 1
     /* 2234136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234149 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2234152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234165 */   // GIR_Coverage, 48748,
     /* 2234165 */   GIR_EraseRootFromParent_Done,
     /* 2234166 */ // Label 29861: @2234166
     /* 2234166 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2234214), // Rule ID 48753 //
     /* 2234171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234184 */   // MIs[0] Operand 1
     /* 2234184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234197 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234213 */   // GIR_Coverage, 48753,
     /* 2234213 */   GIR_EraseRootFromParent_Done,
     /* 2234214 */ // Label 29862: @2234214
     /* 2234214 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2234262), // Rule ID 48754 //
     /* 2234219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2234225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234232 */   // MIs[0] Operand 1
     /* 2234232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234241 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234245 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2234248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234261 */   // GIR_Coverage, 48754,
     /* 2234261 */   GIR_EraseRootFromParent_Done,
     /* 2234262 */ // Label 29863: @2234262
     /* 2234262 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2234310), // Rule ID 48757 //
     /* 2234267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234280 */   // MIs[0] Operand 1
     /* 2234280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234293 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234309 */   // GIR_Coverage, 48757,
     /* 2234309 */   GIR_EraseRootFromParent_Done,
     /* 2234310 */ // Label 29864: @2234310
     /* 2234310 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2234358), // Rule ID 48758 //
     /* 2234315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234328 */   // MIs[0] Operand 1
     /* 2234328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234337 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234341 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2234344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234357 */   // GIR_Coverage, 48758,
     /* 2234357 */   GIR_EraseRootFromParent_Done,
     /* 2234358 */ // Label 29865: @2234358
     /* 2234358 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2234406), // Rule ID 48765 //
     /* 2234363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234376 */   // MIs[0] Operand 1
     /* 2234376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234389 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234405 */   // GIR_Coverage, 48765,
     /* 2234405 */   GIR_EraseRootFromParent_Done,
     /* 2234406 */ // Label 29866: @2234406
     /* 2234406 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2234454), // Rule ID 48766 //
     /* 2234411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2234420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234424 */   // MIs[0] Operand 1
     /* 2234424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234437 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2234440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234453 */   // GIR_Coverage, 48766,
     /* 2234453 */   GIR_EraseRootFromParent_Done,
     /* 2234454 */ // Label 29867: @2234454
     /* 2234454 */ GIM_Reject,
     /* 2234455 */ // Label 29687: @2234455
     /* 2234455 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2234503), // Rule ID 48355 //
     /* 2234460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234473 */   // MIs[0] Operand 1
     /* 2234473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234486 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234502 */   // GIR_Coverage, 48355,
     /* 2234502 */   GIR_EraseRootFromParent_Done,
     /* 2234503 */ // Label 29868: @2234503
     /* 2234503 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2234551), // Rule ID 48356 //
     /* 2234508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234521 */   // MIs[0] Operand 1
     /* 2234521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234534 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2234537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234550 */   // GIR_Coverage, 48356,
     /* 2234550 */   GIR_EraseRootFromParent_Done,
     /* 2234551 */ // Label 29869: @2234551
     /* 2234551 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2234599), // Rule ID 48361 //
     /* 2234556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234569 */   // MIs[0] Operand 1
     /* 2234569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234582 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2234585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234598 */   // GIR_Coverage, 48361,
     /* 2234598 */   GIR_EraseRootFromParent_Done,
     /* 2234599 */ // Label 29870: @2234599
     /* 2234599 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2234647), // Rule ID 48362 //
     /* 2234604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234617 */   // MIs[0] Operand 1
     /* 2234617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234630 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2234633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234646 */   // GIR_Coverage, 48362,
     /* 2234646 */   GIR_EraseRootFromParent_Done,
     /* 2234647 */ // Label 29871: @2234647
     /* 2234647 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2234695), // Rule ID 48369 //
     /* 2234652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234665 */   // MIs[0] Operand 1
     /* 2234665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234678 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2234681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234694 */   // GIR_Coverage, 48369,
     /* 2234694 */   GIR_EraseRootFromParent_Done,
     /* 2234695 */ // Label 29872: @2234695
     /* 2234695 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2234743), // Rule ID 48370 //
     /* 2234700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234713 */   // MIs[0] Operand 1
     /* 2234713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234726 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2234729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234742 */   // GIR_Coverage, 48370,
     /* 2234742 */   GIR_EraseRootFromParent_Done,
     /* 2234743 */ // Label 29873: @2234743
     /* 2234743 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2234791), // Rule ID 48391 //
     /* 2234748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234761 */   // MIs[0] Operand 1
     /* 2234761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234774 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2234777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234790 */   // GIR_Coverage, 48391,
     /* 2234790 */   GIR_EraseRootFromParent_Done,
     /* 2234791 */ // Label 29874: @2234791
     /* 2234791 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2234839), // Rule ID 48392 //
     /* 2234796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234809 */   // MIs[0] Operand 1
     /* 2234809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234822 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2234825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234838 */   // GIR_Coverage, 48392,
     /* 2234838 */   GIR_EraseRootFromParent_Done,
     /* 2234839 */ // Label 29875: @2234839
     /* 2234839 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2234887), // Rule ID 48399 //
     /* 2234844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234857 */   // MIs[0] Operand 1
     /* 2234857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234870 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2234873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234886 */   // GIR_Coverage, 48399,
     /* 2234886 */   GIR_EraseRootFromParent_Done,
     /* 2234887 */ // Label 29876: @2234887
     /* 2234887 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2234935), // Rule ID 48400 //
     /* 2234892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234905 */   // MIs[0] Operand 1
     /* 2234905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234918 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2234921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234934 */   // GIR_Coverage, 48400,
     /* 2234934 */   GIR_EraseRootFromParent_Done,
     /* 2234935 */ // Label 29877: @2234935
     /* 2234935 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2234983), // Rule ID 48405 //
     /* 2234940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234953 */   // MIs[0] Operand 1
     /* 2234953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234966 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2234969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234982 */   // GIR_Coverage, 48405,
     /* 2234982 */   GIR_EraseRootFromParent_Done,
     /* 2234983 */ // Label 29878: @2234983
     /* 2234983 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2235031), // Rule ID 48406 //
     /* 2234988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235001 */   // MIs[0] Operand 1
     /* 2235001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235014 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235030 */   // GIR_Coverage, 48406,
     /* 2235030 */   GIR_EraseRootFromParent_Done,
     /* 2235031 */ // Label 29879: @2235031
     /* 2235031 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2235079), // Rule ID 48413 //
     /* 2235036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235049 */   // MIs[0] Operand 1
     /* 2235049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235062 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235078 */   // GIR_Coverage, 48413,
     /* 2235078 */   GIR_EraseRootFromParent_Done,
     /* 2235079 */ // Label 29880: @2235079
     /* 2235079 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2235127), // Rule ID 48414 //
     /* 2235084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235097 */   // MIs[0] Operand 1
     /* 2235097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235110 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235126 */   // GIR_Coverage, 48414,
     /* 2235126 */   GIR_EraseRootFromParent_Done,
     /* 2235127 */ // Label 29881: @2235127
     /* 2235127 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2235175), // Rule ID 48435 //
     /* 2235132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235145 */   // MIs[0] Operand 1
     /* 2235145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235158 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235174 */   // GIR_Coverage, 48435,
     /* 2235174 */   GIR_EraseRootFromParent_Done,
     /* 2235175 */ // Label 29882: @2235175
     /* 2235175 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2235223), // Rule ID 48436 //
     /* 2235180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235193 */   // MIs[0] Operand 1
     /* 2235193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235206 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2235209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235222 */   // GIR_Coverage, 48436,
     /* 2235222 */   GIR_EraseRootFromParent_Done,
     /* 2235223 */ // Label 29883: @2235223
     /* 2235223 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2235271), // Rule ID 48443 //
     /* 2235228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235241 */   // MIs[0] Operand 1
     /* 2235241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235254 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235270 */   // GIR_Coverage, 48443,
     /* 2235270 */   GIR_EraseRootFromParent_Done,
     /* 2235271 */ // Label 29884: @2235271
     /* 2235271 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2235319), // Rule ID 48444 //
     /* 2235276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235289 */   // MIs[0] Operand 1
     /* 2235289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235302 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235318 */   // GIR_Coverage, 48444,
     /* 2235318 */   GIR_EraseRootFromParent_Done,
     /* 2235319 */ // Label 29885: @2235319
     /* 2235319 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2235367), // Rule ID 48449 //
     /* 2235324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235337 */   // MIs[0] Operand 1
     /* 2235337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235350 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235366 */   // GIR_Coverage, 48449,
     /* 2235366 */   GIR_EraseRootFromParent_Done,
     /* 2235367 */ // Label 29886: @2235367
     /* 2235367 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2235415), // Rule ID 48450 //
     /* 2235372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235385 */   // MIs[0] Operand 1
     /* 2235385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235398 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235414 */   // GIR_Coverage, 48450,
     /* 2235414 */   GIR_EraseRootFromParent_Done,
     /* 2235415 */ // Label 29887: @2235415
     /* 2235415 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2235463), // Rule ID 48457 //
     /* 2235420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235433 */   // MIs[0] Operand 1
     /* 2235433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235446 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235462 */   // GIR_Coverage, 48457,
     /* 2235462 */   GIR_EraseRootFromParent_Done,
     /* 2235463 */ // Label 29888: @2235463
     /* 2235463 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2235511), // Rule ID 48458 //
     /* 2235468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235481 */   // MIs[0] Operand 1
     /* 2235481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235494 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235510 */   // GIR_Coverage, 48458,
     /* 2235510 */   GIR_EraseRootFromParent_Done,
     /* 2235511 */ // Label 29889: @2235511
     /* 2235511 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2235559), // Rule ID 48479 //
     /* 2235516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235529 */   // MIs[0] Operand 1
     /* 2235529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235542 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235558 */   // GIR_Coverage, 48479,
     /* 2235558 */   GIR_EraseRootFromParent_Done,
     /* 2235559 */ // Label 29890: @2235559
     /* 2235559 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2235607), // Rule ID 48480 //
     /* 2235564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235577 */   // MIs[0] Operand 1
     /* 2235577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2235582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235590 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235606 */   // GIR_Coverage, 48480,
     /* 2235606 */   GIR_EraseRootFromParent_Done,
     /* 2235607 */ // Label 29891: @2235607
     /* 2235607 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2235655), // Rule ID 48485 //
     /* 2235612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235625 */   // MIs[0] Operand 1
     /* 2235625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235638 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235645 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235654 */   // GIR_Coverage, 48485,
     /* 2235654 */   GIR_EraseRootFromParent_Done,
     /* 2235655 */ // Label 29892: @2235655
     /* 2235655 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2235703), // Rule ID 48486 //
     /* 2235660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235673 */   // MIs[0] Operand 1
     /* 2235673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235686 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2235689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235702 */   // GIR_Coverage, 48486,
     /* 2235702 */   GIR_EraseRootFromParent_Done,
     /* 2235703 */ // Label 29893: @2235703
     /* 2235703 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2235751), // Rule ID 48491 //
     /* 2235708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235721 */   // MIs[0] Operand 1
     /* 2235721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235734 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235750 */   // GIR_Coverage, 48491,
     /* 2235750 */   GIR_EraseRootFromParent_Done,
     /* 2235751 */ // Label 29894: @2235751
     /* 2235751 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2235799), // Rule ID 48492 //
     /* 2235756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235769 */   // MIs[0] Operand 1
     /* 2235769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235782 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2235785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235798 */   // GIR_Coverage, 48492,
     /* 2235798 */   GIR_EraseRootFromParent_Done,
     /* 2235799 */ // Label 29895: @2235799
     /* 2235799 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2235847), // Rule ID 48499 //
     /* 2235804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235817 */   // MIs[0] Operand 1
     /* 2235817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235830 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235846 */   // GIR_Coverage, 48499,
     /* 2235846 */   GIR_EraseRootFromParent_Done,
     /* 2235847 */ // Label 29896: @2235847
     /* 2235847 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2235895), // Rule ID 48500 //
     /* 2235852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235865 */   // MIs[0] Operand 1
     /* 2235865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235878 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2235881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235894 */   // GIR_Coverage, 48500,
     /* 2235894 */   GIR_EraseRootFromParent_Done,
     /* 2235895 */ // Label 29897: @2235895
     /* 2235895 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2235943), // Rule ID 48521 //
     /* 2235900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235913 */   // MIs[0] Operand 1
     /* 2235913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235926 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235942 */   // GIR_Coverage, 48521,
     /* 2235942 */   GIR_EraseRootFromParent_Done,
     /* 2235943 */ // Label 29898: @2235943
     /* 2235943 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2235991), // Rule ID 48522 //
     /* 2235948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235961 */   // MIs[0] Operand 1
     /* 2235961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235974 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2235977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235990 */   // GIR_Coverage, 48522,
     /* 2235990 */   GIR_EraseRootFromParent_Done,
     /* 2235991 */ // Label 29899: @2235991
     /* 2235991 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2236039), // Rule ID 48529 //
     /* 2235996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236009 */   // MIs[0] Operand 1
     /* 2236009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236022 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236038 */   // GIR_Coverage, 48529,
     /* 2236038 */   GIR_EraseRootFromParent_Done,
     /* 2236039 */ // Label 29900: @2236039
     /* 2236039 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2236087), // Rule ID 48530 //
     /* 2236044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236057 */   // MIs[0] Operand 1
     /* 2236057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236070 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236086 */   // GIR_Coverage, 48530,
     /* 2236086 */   GIR_EraseRootFromParent_Done,
     /* 2236087 */ // Label 29901: @2236087
     /* 2236087 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2236135), // Rule ID 48535 //
     /* 2236092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236105 */   // MIs[0] Operand 1
     /* 2236105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236118 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236134 */   // GIR_Coverage, 48535,
     /* 2236134 */   GIR_EraseRootFromParent_Done,
     /* 2236135 */ // Label 29902: @2236135
     /* 2236135 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2236183), // Rule ID 48536 //
     /* 2236140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236153 */   // MIs[0] Operand 1
     /* 2236153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236166 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236182 */   // GIR_Coverage, 48536,
     /* 2236182 */   GIR_EraseRootFromParent_Done,
     /* 2236183 */ // Label 29903: @2236183
     /* 2236183 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2236231), // Rule ID 48543 //
     /* 2236188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236201 */   // MIs[0] Operand 1
     /* 2236201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236214 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236230 */   // GIR_Coverage, 48543,
     /* 2236230 */   GIR_EraseRootFromParent_Done,
     /* 2236231 */ // Label 29904: @2236231
     /* 2236231 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2236279), // Rule ID 48544 //
     /* 2236236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236249 */   // MIs[0] Operand 1
     /* 2236249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236262 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236278 */   // GIR_Coverage, 48544,
     /* 2236278 */   GIR_EraseRootFromParent_Done,
     /* 2236279 */ // Label 29905: @2236279
     /* 2236279 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2236327), // Rule ID 48565 //
     /* 2236284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236297 */   // MIs[0] Operand 1
     /* 2236297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236310 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236326 */   // GIR_Coverage, 48565,
     /* 2236326 */   GIR_EraseRootFromParent_Done,
     /* 2236327 */ // Label 29906: @2236327
     /* 2236327 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2236375), // Rule ID 48566 //
     /* 2236332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236345 */   // MIs[0] Operand 1
     /* 2236345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236358 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236374 */   // GIR_Coverage, 48566,
     /* 2236374 */   GIR_EraseRootFromParent_Done,
     /* 2236375 */ // Label 29907: @2236375
     /* 2236375 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2236423), // Rule ID 48573 //
     /* 2236380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236393 */   // MIs[0] Operand 1
     /* 2236393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236406 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236422 */   // GIR_Coverage, 48573,
     /* 2236422 */   GIR_EraseRootFromParent_Done,
     /* 2236423 */ // Label 29908: @2236423
     /* 2236423 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2236471), // Rule ID 48574 //
     /* 2236428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236441 */   // MIs[0] Operand 1
     /* 2236441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236454 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236470 */   // GIR_Coverage, 48574,
     /* 2236470 */   GIR_EraseRootFromParent_Done,
     /* 2236471 */ // Label 29909: @2236471
     /* 2236471 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2236519), // Rule ID 48579 //
     /* 2236476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236489 */   // MIs[0] Operand 1
     /* 2236489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236502 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236518 */   // GIR_Coverage, 48579,
     /* 2236518 */   GIR_EraseRootFromParent_Done,
     /* 2236519 */ // Label 29910: @2236519
     /* 2236519 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2236567), // Rule ID 48580 //
     /* 2236524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236537 */   // MIs[0] Operand 1
     /* 2236537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236550 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236566 */   // GIR_Coverage, 48580,
     /* 2236566 */   GIR_EraseRootFromParent_Done,
     /* 2236567 */ // Label 29911: @2236567
     /* 2236567 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2236615), // Rule ID 48587 //
     /* 2236572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236585 */   // MIs[0] Operand 1
     /* 2236585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236598 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236603 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236614 */   // GIR_Coverage, 48587,
     /* 2236614 */   GIR_EraseRootFromParent_Done,
     /* 2236615 */ // Label 29912: @2236615
     /* 2236615 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2236663), // Rule ID 48588 //
     /* 2236620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236633 */   // MIs[0] Operand 1
     /* 2236633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236646 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2236649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236662 */   // GIR_Coverage, 48588,
     /* 2236662 */   GIR_EraseRootFromParent_Done,
     /* 2236663 */ // Label 29913: @2236663
     /* 2236663 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2236711), // Rule ID 48609 //
     /* 2236668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236681 */   // MIs[0] Operand 1
     /* 2236681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236694 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236710 */   // GIR_Coverage, 48609,
     /* 2236710 */   GIR_EraseRootFromParent_Done,
     /* 2236711 */ // Label 29914: @2236711
     /* 2236711 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2236759), // Rule ID 48610 //
     /* 2236716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236729 */   // MIs[0] Operand 1
     /* 2236729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2236734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236742 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2236745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236758 */   // GIR_Coverage, 48610,
     /* 2236758 */   GIR_EraseRootFromParent_Done,
     /* 2236759 */ // Label 29915: @2236759
     /* 2236759 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2236807), // Rule ID 48617 //
     /* 2236764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236777 */   // MIs[0] Operand 1
     /* 2236777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236790 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2236793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236806 */   // GIR_Coverage, 48617,
     /* 2236806 */   GIR_EraseRootFromParent_Done,
     /* 2236807 */ // Label 29916: @2236807
     /* 2236807 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2236855), // Rule ID 48618 //
     /* 2236812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236825 */   // MIs[0] Operand 1
     /* 2236825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236838 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2236841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236854 */   // GIR_Coverage, 48618,
     /* 2236854 */   GIR_EraseRootFromParent_Done,
     /* 2236855 */ // Label 29917: @2236855
     /* 2236855 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2236903), // Rule ID 48623 //
     /* 2236860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236873 */   // MIs[0] Operand 1
     /* 2236873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236886 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236902 */   // GIR_Coverage, 48623,
     /* 2236902 */   GIR_EraseRootFromParent_Done,
     /* 2236903 */ // Label 29918: @2236903
     /* 2236903 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2236951), // Rule ID 48624 //
     /* 2236908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236921 */   // MIs[0] Operand 1
     /* 2236921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236934 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236950 */   // GIR_Coverage, 48624,
     /* 2236950 */   GIR_EraseRootFromParent_Done,
     /* 2236951 */ // Label 29919: @2236951
     /* 2236951 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2236999), // Rule ID 48631 //
     /* 2236956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236969 */   // MIs[0] Operand 1
     /* 2236969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2236974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236982 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2236985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236998 */   // GIR_Coverage, 48631,
     /* 2236998 */   GIR_EraseRootFromParent_Done,
     /* 2236999 */ // Label 29920: @2236999
     /* 2236999 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2237047), // Rule ID 48632 //
     /* 2237004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237017 */   // MIs[0] Operand 1
     /* 2237017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237030 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237046 */   // GIR_Coverage, 48632,
     /* 2237046 */   GIR_EraseRootFromParent_Done,
     /* 2237047 */ // Label 29921: @2237047
     /* 2237047 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2237095), // Rule ID 48653 //
     /* 2237052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237065 */   // MIs[0] Operand 1
     /* 2237065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237074 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237078 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237094 */   // GIR_Coverage, 48653,
     /* 2237094 */   GIR_EraseRootFromParent_Done,
     /* 2237095 */ // Label 29922: @2237095
     /* 2237095 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2237143), // Rule ID 48654 //
     /* 2237100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237113 */   // MIs[0] Operand 1
     /* 2237113 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237122 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237126 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237142 */   // GIR_Coverage, 48654,
     /* 2237142 */   GIR_EraseRootFromParent_Done,
     /* 2237143 */ // Label 29923: @2237143
     /* 2237143 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2237191), // Rule ID 48661 //
     /* 2237148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237161 */   // MIs[0] Operand 1
     /* 2237161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237170 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237174 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237190 */   // GIR_Coverage, 48661,
     /* 2237190 */   GIR_EraseRootFromParent_Done,
     /* 2237191 */ // Label 29924: @2237191
     /* 2237191 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2237239), // Rule ID 48662 //
     /* 2237196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237209 */   // MIs[0] Operand 1
     /* 2237209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237222 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237238 */   // GIR_Coverage, 48662,
     /* 2237238 */   GIR_EraseRootFromParent_Done,
     /* 2237239 */ // Label 29925: @2237239
     /* 2237239 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2237287), // Rule ID 48667 //
     /* 2237244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237257 */   // MIs[0] Operand 1
     /* 2237257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237266 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237270 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237286 */   // GIR_Coverage, 48667,
     /* 2237286 */   GIR_EraseRootFromParent_Done,
     /* 2237287 */ // Label 29926: @2237287
     /* 2237287 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2237335), // Rule ID 48668 //
     /* 2237292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237305 */   // MIs[0] Operand 1
     /* 2237305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237318 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237334 */   // GIR_Coverage, 48668,
     /* 2237334 */   GIR_EraseRootFromParent_Done,
     /* 2237335 */ // Label 29927: @2237335
     /* 2237335 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2237383), // Rule ID 48675 //
     /* 2237340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237353 */   // MIs[0] Operand 1
     /* 2237353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237366 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237382 */   // GIR_Coverage, 48675,
     /* 2237382 */   GIR_EraseRootFromParent_Done,
     /* 2237383 */ // Label 29928: @2237383
     /* 2237383 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2237431), // Rule ID 48676 //
     /* 2237388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237401 */   // MIs[0] Operand 1
     /* 2237401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237410 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237414 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237430 */   // GIR_Coverage, 48676,
     /* 2237430 */   GIR_EraseRootFromParent_Done,
     /* 2237431 */ // Label 29929: @2237431
     /* 2237431 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2237479), // Rule ID 48697 //
     /* 2237436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237442 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237449 */   // MIs[0] Operand 1
     /* 2237449 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237458 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237462 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237478 */   // GIR_Coverage, 48697,
     /* 2237478 */   GIR_EraseRootFromParent_Done,
     /* 2237479 */ // Label 29930: @2237479
     /* 2237479 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2237527), // Rule ID 48698 //
     /* 2237484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237497 */   // MIs[0] Operand 1
     /* 2237497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237510 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2237513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237526 */   // GIR_Coverage, 48698,
     /* 2237526 */   GIR_EraseRootFromParent_Done,
     /* 2237527 */ // Label 29931: @2237527
     /* 2237527 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2237575), // Rule ID 48705 //
     /* 2237532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237545 */   // MIs[0] Operand 1
     /* 2237545 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237558 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237563 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237574 */   // GIR_Coverage, 48705,
     /* 2237574 */   GIR_EraseRootFromParent_Done,
     /* 2237575 */ // Label 29932: @2237575
     /* 2237575 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2237623), // Rule ID 48706 //
     /* 2237580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237593 */   // MIs[0] Operand 1
     /* 2237593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237606 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237622 */   // GIR_Coverage, 48706,
     /* 2237622 */   GIR_EraseRootFromParent_Done,
     /* 2237623 */ // Label 29933: @2237623
     /* 2237623 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2237671), // Rule ID 48711 //
     /* 2237628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237641 */   // MIs[0] Operand 1
     /* 2237641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237654 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2237657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237670 */   // GIR_Coverage, 48711,
     /* 2237670 */   GIR_EraseRootFromParent_Done,
     /* 2237671 */ // Label 29934: @2237671
     /* 2237671 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2237719), // Rule ID 48712 //
     /* 2237676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2237682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2237685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237689 */   // MIs[0] Operand 1
     /* 2237689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237702 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2237705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237718 */   // GIR_Coverage, 48712,
     /* 2237718 */   GIR_EraseRootFromParent_Done,
     /* 2237719 */ // Label 29935: @2237719
     /* 2237719 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2237767), // Rule ID 48719 //
     /* 2237724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237737 */   // MIs[0] Operand 1
     /* 2237737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237750 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2237753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237766 */   // GIR_Coverage, 48719,
     /* 2237766 */   GIR_EraseRootFromParent_Done,
     /* 2237767 */ // Label 29936: @2237767
     /* 2237767 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2237815), // Rule ID 48720 //
     /* 2237772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237785 */   // MIs[0] Operand 1
     /* 2237785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237798 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2237801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237814 */   // GIR_Coverage, 48720,
     /* 2237814 */   GIR_EraseRootFromParent_Done,
     /* 2237815 */ // Label 29937: @2237815
     /* 2237815 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2237863), // Rule ID 48741 //
     /* 2237820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237833 */   // MIs[0] Operand 1
     /* 2237833 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237842 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237846 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237862 */   // GIR_Coverage, 48741,
     /* 2237862 */   GIR_EraseRootFromParent_Done,
     /* 2237863 */ // Label 29938: @2237863
     /* 2237863 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2237911), // Rule ID 48742 //
     /* 2237868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237881 */   // MIs[0] Operand 1
     /* 2237881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2237886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237890 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237894 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237910 */   // GIR_Coverage, 48742,
     /* 2237910 */   GIR_EraseRootFromParent_Done,
     /* 2237911 */ // Label 29939: @2237911
     /* 2237911 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2237959), // Rule ID 48749 //
     /* 2237916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237929 */   // MIs[0] Operand 1
     /* 2237929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237942 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237958 */   // GIR_Coverage, 48749,
     /* 2237958 */   GIR_EraseRootFromParent_Done,
     /* 2237959 */ // Label 29940: @2237959
     /* 2237959 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2238007), // Rule ID 48750 //
     /* 2237964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2237970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2237973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237977 */   // MIs[0] Operand 1
     /* 2237977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237990 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2237993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238006 */   // GIR_Coverage, 48750,
     /* 2238006 */   GIR_EraseRootFromParent_Done,
     /* 2238007 */ // Label 29941: @2238007
     /* 2238007 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2238055), // Rule ID 48755 //
     /* 2238012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238025 */   // MIs[0] Operand 1
     /* 2238025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238038 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238054 */   // GIR_Coverage, 48755,
     /* 2238054 */   GIR_EraseRootFromParent_Done,
     /* 2238055 */ // Label 29942: @2238055
     /* 2238055 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2238103), // Rule ID 48756 //
     /* 2238060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2238069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238073 */   // MIs[0] Operand 1
     /* 2238073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238086 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238102 */   // GIR_Coverage, 48756,
     /* 2238102 */   GIR_EraseRootFromParent_Done,
     /* 2238103 */ // Label 29943: @2238103
     /* 2238103 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2238151), // Rule ID 48763 //
     /* 2238108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238114 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238121 */   // MIs[0] Operand 1
     /* 2238121 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238130 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238134 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238150 */   // GIR_Coverage, 48763,
     /* 2238150 */   GIR_EraseRootFromParent_Done,
     /* 2238151 */ // Label 29944: @2238151
     /* 2238151 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2238199), // Rule ID 48764 //
     /* 2238156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2238165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238169 */   // MIs[0] Operand 1
     /* 2238169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238178 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238182 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238198 */   // GIR_Coverage, 48764,
     /* 2238198 */   GIR_EraseRootFromParent_Done,
     /* 2238199 */ // Label 29945: @2238199
     /* 2238199 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2238247), // Rule ID 48785 //
     /* 2238204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238217 */   // MIs[0] Operand 1
     /* 2238217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238226 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238230 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238246 */   // GIR_Coverage, 48785,
     /* 2238246 */   GIR_EraseRootFromParent_Done,
     /* 2238247 */ // Label 29946: @2238247
     /* 2238247 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2238295), // Rule ID 48786 //
     /* 2238252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2238261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238265 */   // MIs[0] Operand 1
     /* 2238265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238278 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2238281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238294 */   // GIR_Coverage, 48786,
     /* 2238294 */   GIR_EraseRootFromParent_Done,
     /* 2238295 */ // Label 29947: @2238295
     /* 2238295 */ GIM_Reject,
     /* 2238296 */ // Label 29688: @2238296
     /* 2238296 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2238344), // Rule ID 48357 //
     /* 2238301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238314 */   // MIs[0] Operand 1
     /* 2238314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238327 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238343 */   // GIR_Coverage, 48357,
     /* 2238343 */   GIR_EraseRootFromParent_Done,
     /* 2238344 */ // Label 29948: @2238344
     /* 2238344 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2238392), // Rule ID 48358 //
     /* 2238349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238362 */   // MIs[0] Operand 1
     /* 2238362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238375 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2238378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238391 */   // GIR_Coverage, 48358,
     /* 2238391 */   GIR_EraseRootFromParent_Done,
     /* 2238392 */ // Label 29949: @2238392
     /* 2238392 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2238440), // Rule ID 48367 //
     /* 2238397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238410 */   // MIs[0] Operand 1
     /* 2238410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238423 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238439 */   // GIR_Coverage, 48367,
     /* 2238439 */   GIR_EraseRootFromParent_Done,
     /* 2238440 */ // Label 29950: @2238440
     /* 2238440 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2238488), // Rule ID 48368 //
     /* 2238445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238458 */   // MIs[0] Operand 1
     /* 2238458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238471 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2238474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238487 */   // GIR_Coverage, 48368,
     /* 2238487 */   GIR_EraseRootFromParent_Done,
     /* 2238488 */ // Label 29951: @2238488
     /* 2238488 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2238536), // Rule ID 48385 //
     /* 2238493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238506 */   // MIs[0] Operand 1
     /* 2238506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238519 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238535 */   // GIR_Coverage, 48385,
     /* 2238535 */   GIR_EraseRootFromParent_Done,
     /* 2238536 */ // Label 29952: @2238536
     /* 2238536 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2238584), // Rule ID 48386 //
     /* 2238541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238554 */   // MIs[0] Operand 1
     /* 2238554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238567 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2238570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238583 */   // GIR_Coverage, 48386,
     /* 2238583 */   GIR_EraseRootFromParent_Done,
     /* 2238584 */ // Label 29953: @2238584
     /* 2238584 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2238632), // Rule ID 48393 //
     /* 2238589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238602 */   // MIs[0] Operand 1
     /* 2238602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238615 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2238618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238631 */   // GIR_Coverage, 48393,
     /* 2238631 */   GIR_EraseRootFromParent_Done,
     /* 2238632 */ // Label 29954: @2238632
     /* 2238632 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2238680), // Rule ID 48394 //
     /* 2238637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238650 */   // MIs[0] Operand 1
     /* 2238650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2238655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238663 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2238666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238679 */   // GIR_Coverage, 48394,
     /* 2238679 */   GIR_EraseRootFromParent_Done,
     /* 2238680 */ // Label 29955: @2238680
     /* 2238680 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2238728), // Rule ID 48401 //
     /* 2238685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238698 */   // MIs[0] Operand 1
     /* 2238698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238711 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2238714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238727 */   // GIR_Coverage, 48401,
     /* 2238727 */   GIR_EraseRootFromParent_Done,
     /* 2238728 */ // Label 29956: @2238728
     /* 2238728 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2238776), // Rule ID 48402 //
     /* 2238733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238746 */   // MIs[0] Operand 1
     /* 2238746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238759 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2238762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238775 */   // GIR_Coverage, 48402,
     /* 2238775 */   GIR_EraseRootFromParent_Done,
     /* 2238776 */ // Label 29957: @2238776
     /* 2238776 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2238824), // Rule ID 48411 //
     /* 2238781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238794 */   // MIs[0] Operand 1
     /* 2238794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238807 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2238810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238823 */   // GIR_Coverage, 48411,
     /* 2238823 */   GIR_EraseRootFromParent_Done,
     /* 2238824 */ // Label 29958: @2238824
     /* 2238824 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2238872), // Rule ID 48412 //
     /* 2238829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238842 */   // MIs[0] Operand 1
     /* 2238842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238855 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2238858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238871 */   // GIR_Coverage, 48412,
     /* 2238871 */   GIR_EraseRootFromParent_Done,
     /* 2238872 */ // Label 29959: @2238872
     /* 2238872 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2238920), // Rule ID 48429 //
     /* 2238877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238890 */   // MIs[0] Operand 1
     /* 2238890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238903 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2238906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238919 */   // GIR_Coverage, 48429,
     /* 2238919 */   GIR_EraseRootFromParent_Done,
     /* 2238920 */ // Label 29960: @2238920
     /* 2238920 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2238968), // Rule ID 48430 //
     /* 2238925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238938 */   // MIs[0] Operand 1
     /* 2238938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238951 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2238954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238967 */   // GIR_Coverage, 48430,
     /* 2238967 */   GIR_EraseRootFromParent_Done,
     /* 2238968 */ // Label 29961: @2238968
     /* 2238968 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2239016), // Rule ID 48437 //
     /* 2238973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238986 */   // MIs[0] Operand 1
     /* 2238986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2238991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238999 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239006 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239015 */   // GIR_Coverage, 48437,
     /* 2239015 */   GIR_EraseRootFromParent_Done,
     /* 2239016 */ // Label 29962: @2239016
     /* 2239016 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2239064), // Rule ID 48438 //
     /* 2239021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239034 */   // MIs[0] Operand 1
     /* 2239034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239047 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2239050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239063 */   // GIR_Coverage, 48438,
     /* 2239063 */   GIR_EraseRootFromParent_Done,
     /* 2239064 */ // Label 29963: @2239064
     /* 2239064 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2239112), // Rule ID 48445 //
     /* 2239069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239082 */   // MIs[0] Operand 1
     /* 2239082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239095 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239111 */   // GIR_Coverage, 48445,
     /* 2239111 */   GIR_EraseRootFromParent_Done,
     /* 2239112 */ // Label 29964: @2239112
     /* 2239112 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2239160), // Rule ID 48446 //
     /* 2239117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239130 */   // MIs[0] Operand 1
     /* 2239130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239143 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239159 */   // GIR_Coverage, 48446,
     /* 2239159 */   GIR_EraseRootFromParent_Done,
     /* 2239160 */ // Label 29965: @2239160
     /* 2239160 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2239208), // Rule ID 48455 //
     /* 2239165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239178 */   // MIs[0] Operand 1
     /* 2239178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239191 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239207 */   // GIR_Coverage, 48455,
     /* 2239207 */   GIR_EraseRootFromParent_Done,
     /* 2239208 */ // Label 29966: @2239208
     /* 2239208 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2239256), // Rule ID 48456 //
     /* 2239213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239226 */   // MIs[0] Operand 1
     /* 2239226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239239 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239255 */   // GIR_Coverage, 48456,
     /* 2239255 */   GIR_EraseRootFromParent_Done,
     /* 2239256 */ // Label 29967: @2239256
     /* 2239256 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2239304), // Rule ID 48473 //
     /* 2239261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239274 */   // MIs[0] Operand 1
     /* 2239274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239287 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239303 */   // GIR_Coverage, 48473,
     /* 2239303 */   GIR_EraseRootFromParent_Done,
     /* 2239304 */ // Label 29968: @2239304
     /* 2239304 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2239352), // Rule ID 48474 //
     /* 2239309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239322 */   // MIs[0] Operand 1
     /* 2239322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239335 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239351 */   // GIR_Coverage, 48474,
     /* 2239351 */   GIR_EraseRootFromParent_Done,
     /* 2239352 */ // Label 29969: @2239352
     /* 2239352 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2239400), // Rule ID 48481 //
     /* 2239357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239370 */   // MIs[0] Operand 1
     /* 2239370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239383 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239399 */   // GIR_Coverage, 48481,
     /* 2239399 */   GIR_EraseRootFromParent_Done,
     /* 2239400 */ // Label 29970: @2239400
     /* 2239400 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2239448), // Rule ID 48482 //
     /* 2239405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239418 */   // MIs[0] Operand 1
     /* 2239418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239431 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239447 */   // GIR_Coverage, 48482,
     /* 2239447 */   GIR_EraseRootFromParent_Done,
     /* 2239448 */ // Label 29971: @2239448
     /* 2239448 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2239496), // Rule ID 48487 //
     /* 2239453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239466 */   // MIs[0] Operand 1
     /* 2239466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239479 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239495 */   // GIR_Coverage, 48487,
     /* 2239495 */   GIR_EraseRootFromParent_Done,
     /* 2239496 */ // Label 29972: @2239496
     /* 2239496 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2239544), // Rule ID 48488 //
     /* 2239501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239514 */   // MIs[0] Operand 1
     /* 2239514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239527 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239543 */   // GIR_Coverage, 48488,
     /* 2239543 */   GIR_EraseRootFromParent_Done,
     /* 2239544 */ // Label 29973: @2239544
     /* 2239544 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2239592), // Rule ID 48497 //
     /* 2239549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239562 */   // MIs[0] Operand 1
     /* 2239562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239575 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239591 */   // GIR_Coverage, 48497,
     /* 2239591 */   GIR_EraseRootFromParent_Done,
     /* 2239592 */ // Label 29974: @2239592
     /* 2239592 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2239640), // Rule ID 48498 //
     /* 2239597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239610 */   // MIs[0] Operand 1
     /* 2239610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239623 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2239626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239630 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239639 */   // GIR_Coverage, 48498,
     /* 2239639 */   GIR_EraseRootFromParent_Done,
     /* 2239640 */ // Label 29975: @2239640
     /* 2239640 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2239688), // Rule ID 48515 //
     /* 2239645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239658 */   // MIs[0] Operand 1
     /* 2239658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239671 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239678 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239687 */   // GIR_Coverage, 48515,
     /* 2239687 */   GIR_EraseRootFromParent_Done,
     /* 2239688 */ // Label 29976: @2239688
     /* 2239688 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2239736), // Rule ID 48516 //
     /* 2239693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239706 */   // MIs[0] Operand 1
     /* 2239706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239719 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2239722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239726 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239735 */   // GIR_Coverage, 48516,
     /* 2239735 */   GIR_EraseRootFromParent_Done,
     /* 2239736 */ // Label 29977: @2239736
     /* 2239736 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2239784), // Rule ID 48523 //
     /* 2239741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239754 */   // MIs[0] Operand 1
     /* 2239754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239767 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239783 */   // GIR_Coverage, 48523,
     /* 2239783 */   GIR_EraseRootFromParent_Done,
     /* 2239784 */ // Label 29978: @2239784
     /* 2239784 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2239832), // Rule ID 48524 //
     /* 2239789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239802 */   // MIs[0] Operand 1
     /* 2239802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2239807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239815 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2239818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239831 */   // GIR_Coverage, 48524,
     /* 2239831 */   GIR_EraseRootFromParent_Done,
     /* 2239832 */ // Label 29979: @2239832
     /* 2239832 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2239880), // Rule ID 48531 //
     /* 2239837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239850 */   // MIs[0] Operand 1
     /* 2239850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239863 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239879 */   // GIR_Coverage, 48531,
     /* 2239879 */   GIR_EraseRootFromParent_Done,
     /* 2239880 */ // Label 29980: @2239880
     /* 2239880 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2239928), // Rule ID 48532 //
     /* 2239885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239898 */   // MIs[0] Operand 1
     /* 2239898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239911 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239927 */   // GIR_Coverage, 48532,
     /* 2239927 */   GIR_EraseRootFromParent_Done,
     /* 2239928 */ // Label 29981: @2239928
     /* 2239928 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2239976), // Rule ID 48541 //
     /* 2239933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239946 */   // MIs[0] Operand 1
     /* 2239946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239959 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2239962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239975 */   // GIR_Coverage, 48541,
     /* 2239975 */   GIR_EraseRootFromParent_Done,
     /* 2239976 */ // Label 29982: @2239976
     /* 2239976 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2240024), // Rule ID 48542 //
     /* 2239981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239994 */   // MIs[0] Operand 1
     /* 2239994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240007 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240023 */   // GIR_Coverage, 48542,
     /* 2240023 */   GIR_EraseRootFromParent_Done,
     /* 2240024 */ // Label 29983: @2240024
     /* 2240024 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2240072), // Rule ID 48559 //
     /* 2240029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240042 */   // MIs[0] Operand 1
     /* 2240042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240055 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240071 */   // GIR_Coverage, 48559,
     /* 2240071 */   GIR_EraseRootFromParent_Done,
     /* 2240072 */ // Label 29984: @2240072
     /* 2240072 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2240120), // Rule ID 48560 //
     /* 2240077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240090 */   // MIs[0] Operand 1
     /* 2240090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240103 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240119 */   // GIR_Coverage, 48560,
     /* 2240119 */   GIR_EraseRootFromParent_Done,
     /* 2240120 */ // Label 29985: @2240120
     /* 2240120 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2240168), // Rule ID 48567 //
     /* 2240125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240138 */   // MIs[0] Operand 1
     /* 2240138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240151 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240167 */   // GIR_Coverage, 48567,
     /* 2240167 */   GIR_EraseRootFromParent_Done,
     /* 2240168 */ // Label 29986: @2240168
     /* 2240168 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2240216), // Rule ID 48568 //
     /* 2240173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240186 */   // MIs[0] Operand 1
     /* 2240186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240199 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240215 */   // GIR_Coverage, 48568,
     /* 2240215 */   GIR_EraseRootFromParent_Done,
     /* 2240216 */ // Label 29987: @2240216
     /* 2240216 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2240264), // Rule ID 48575 //
     /* 2240221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240234 */   // MIs[0] Operand 1
     /* 2240234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240247 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240263 */   // GIR_Coverage, 48575,
     /* 2240263 */   GIR_EraseRootFromParent_Done,
     /* 2240264 */ // Label 29988: @2240264
     /* 2240264 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2240312), // Rule ID 48576 //
     /* 2240269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240282 */   // MIs[0] Operand 1
     /* 2240282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240295 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240311 */   // GIR_Coverage, 48576,
     /* 2240311 */   GIR_EraseRootFromParent_Done,
     /* 2240312 */ // Label 29989: @2240312
     /* 2240312 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2240360), // Rule ID 48585 //
     /* 2240317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240330 */   // MIs[0] Operand 1
     /* 2240330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240343 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240359 */   // GIR_Coverage, 48585,
     /* 2240359 */   GIR_EraseRootFromParent_Done,
     /* 2240360 */ // Label 29990: @2240360
     /* 2240360 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2240408), // Rule ID 48586 //
     /* 2240365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240378 */   // MIs[0] Operand 1
     /* 2240378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240391 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240407 */   // GIR_Coverage, 48586,
     /* 2240407 */   GIR_EraseRootFromParent_Done,
     /* 2240408 */ // Label 29991: @2240408
     /* 2240408 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2240456), // Rule ID 48603 //
     /* 2240413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240426 */   // MIs[0] Operand 1
     /* 2240426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240439 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240455 */   // GIR_Coverage, 48603,
     /* 2240455 */   GIR_EraseRootFromParent_Done,
     /* 2240456 */ // Label 29992: @2240456
     /* 2240456 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2240504), // Rule ID 48604 //
     /* 2240461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240474 */   // MIs[0] Operand 1
     /* 2240474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240487 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240503 */   // GIR_Coverage, 48604,
     /* 2240503 */   GIR_EraseRootFromParent_Done,
     /* 2240504 */ // Label 29993: @2240504
     /* 2240504 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2240552), // Rule ID 48611 //
     /* 2240509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240522 */   // MIs[0] Operand 1
     /* 2240522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240535 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240551 */   // GIR_Coverage, 48611,
     /* 2240551 */   GIR_EraseRootFromParent_Done,
     /* 2240552 */ // Label 29994: @2240552
     /* 2240552 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2240600), // Rule ID 48612 //
     /* 2240557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240570 */   // MIs[0] Operand 1
     /* 2240570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240583 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2240586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240599 */   // GIR_Coverage, 48612,
     /* 2240599 */   GIR_EraseRootFromParent_Done,
     /* 2240600 */ // Label 29995: @2240600
     /* 2240600 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2240648), // Rule ID 48619 //
     /* 2240605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240618 */   // MIs[0] Operand 1
     /* 2240618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240631 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2240634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240647 */   // GIR_Coverage, 48619,
     /* 2240647 */   GIR_EraseRootFromParent_Done,
     /* 2240648 */ // Label 29996: @2240648
     /* 2240648 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2240696), // Rule ID 48620 //
     /* 2240653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240666 */   // MIs[0] Operand 1
     /* 2240666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240679 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2240682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240695 */   // GIR_Coverage, 48620,
     /* 2240695 */   GIR_EraseRootFromParent_Done,
     /* 2240696 */ // Label 29997: @2240696
     /* 2240696 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2240744), // Rule ID 48629 //
     /* 2240701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240714 */   // MIs[0] Operand 1
     /* 2240714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240727 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2240730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240743 */   // GIR_Coverage, 48629,
     /* 2240743 */   GIR_EraseRootFromParent_Done,
     /* 2240744 */ // Label 29998: @2240744
     /* 2240744 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2240792), // Rule ID 48630 //
     /* 2240749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240762 */   // MIs[0] Operand 1
     /* 2240762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240775 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2240778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240791 */   // GIR_Coverage, 48630,
     /* 2240791 */   GIR_EraseRootFromParent_Done,
     /* 2240792 */ // Label 29999: @2240792
     /* 2240792 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2240840), // Rule ID 48647 //
     /* 2240797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240810 */   // MIs[0] Operand 1
     /* 2240810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240823 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240839 */   // GIR_Coverage, 48647,
     /* 2240839 */   GIR_EraseRootFromParent_Done,
     /* 2240840 */ // Label 30000: @2240840
     /* 2240840 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2240888), // Rule ID 48648 //
     /* 2240845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240858 */   // MIs[0] Operand 1
     /* 2240858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240871 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240887 */   // GIR_Coverage, 48648,
     /* 2240887 */   GIR_EraseRootFromParent_Done,
     /* 2240888 */ // Label 30001: @2240888
     /* 2240888 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2240936), // Rule ID 48655 //
     /* 2240893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240906 */   // MIs[0] Operand 1
     /* 2240906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240919 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2240922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240935 */   // GIR_Coverage, 48655,
     /* 2240935 */   GIR_EraseRootFromParent_Done,
     /* 2240936 */ // Label 30002: @2240936
     /* 2240936 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2240984), // Rule ID 48656 //
     /* 2240941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240954 */   // MIs[0] Operand 1
     /* 2240954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2240959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240967 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2240970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240983 */   // GIR_Coverage, 48656,
     /* 2240983 */   GIR_EraseRootFromParent_Done,
     /* 2240984 */ // Label 30003: @2240984
     /* 2240984 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2241032), // Rule ID 48663 //
     /* 2240989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241002 */   // MIs[0] Operand 1
     /* 2241002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241015 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241031 */   // GIR_Coverage, 48663,
     /* 2241031 */   GIR_EraseRootFromParent_Done,
     /* 2241032 */ // Label 30004: @2241032
     /* 2241032 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2241080), // Rule ID 48664 //
     /* 2241037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241050 */   // MIs[0] Operand 1
     /* 2241050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241063 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241079 */   // GIR_Coverage, 48664,
     /* 2241079 */   GIR_EraseRootFromParent_Done,
     /* 2241080 */ // Label 30005: @2241080
     /* 2241080 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2241128), // Rule ID 48673 //
     /* 2241085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241098 */   // MIs[0] Operand 1
     /* 2241098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241111 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241127 */   // GIR_Coverage, 48673,
     /* 2241127 */   GIR_EraseRootFromParent_Done,
     /* 2241128 */ // Label 30006: @2241128
     /* 2241128 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2241176), // Rule ID 48674 //
     /* 2241133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241146 */   // MIs[0] Operand 1
     /* 2241146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241159 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241175 */   // GIR_Coverage, 48674,
     /* 2241175 */   GIR_EraseRootFromParent_Done,
     /* 2241176 */ // Label 30007: @2241176
     /* 2241176 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2241224), // Rule ID 48691 //
     /* 2241181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241194 */   // MIs[0] Operand 1
     /* 2241194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241207 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241223 */   // GIR_Coverage, 48691,
     /* 2241223 */   GIR_EraseRootFromParent_Done,
     /* 2241224 */ // Label 30008: @2241224
     /* 2241224 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2241272), // Rule ID 48692 //
     /* 2241229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241242 */   // MIs[0] Operand 1
     /* 2241242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241255 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241271 */   // GIR_Coverage, 48692,
     /* 2241271 */   GIR_EraseRootFromParent_Done,
     /* 2241272 */ // Label 30009: @2241272
     /* 2241272 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2241320), // Rule ID 48699 //
     /* 2241277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241290 */   // MIs[0] Operand 1
     /* 2241290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241303 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241319 */   // GIR_Coverage, 48699,
     /* 2241319 */   GIR_EraseRootFromParent_Done,
     /* 2241320 */ // Label 30010: @2241320
     /* 2241320 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2241368), // Rule ID 48700 //
     /* 2241325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241338 */   // MIs[0] Operand 1
     /* 2241338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241351 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241367 */   // GIR_Coverage, 48700,
     /* 2241367 */   GIR_EraseRootFromParent_Done,
     /* 2241368 */ // Label 30011: @2241368
     /* 2241368 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2241416), // Rule ID 48707 //
     /* 2241373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241386 */   // MIs[0] Operand 1
     /* 2241386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241399 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241404 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241415 */   // GIR_Coverage, 48707,
     /* 2241415 */   GIR_EraseRootFromParent_Done,
     /* 2241416 */ // Label 30012: @2241416
     /* 2241416 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2241464), // Rule ID 48708 //
     /* 2241421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241434 */   // MIs[0] Operand 1
     /* 2241434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241447 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241463 */   // GIR_Coverage, 48708,
     /* 2241463 */   GIR_EraseRootFromParent_Done,
     /* 2241464 */ // Label 30013: @2241464
     /* 2241464 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2241512), // Rule ID 48717 //
     /* 2241469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241482 */   // MIs[0] Operand 1
     /* 2241482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241495 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241511 */   // GIR_Coverage, 48717,
     /* 2241511 */   GIR_EraseRootFromParent_Done,
     /* 2241512 */ // Label 30014: @2241512
     /* 2241512 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2241560), // Rule ID 48718 //
     /* 2241517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241530 */   // MIs[0] Operand 1
     /* 2241530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241543 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241548 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241559 */   // GIR_Coverage, 48718,
     /* 2241559 */   GIR_EraseRootFromParent_Done,
     /* 2241560 */ // Label 30015: @2241560
     /* 2241560 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2241608), // Rule ID 48735 //
     /* 2241565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241578 */   // MIs[0] Operand 1
     /* 2241578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241591 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2241594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241607 */   // GIR_Coverage, 48735,
     /* 2241607 */   GIR_EraseRootFromParent_Done,
     /* 2241608 */ // Label 30016: @2241608
     /* 2241608 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2241656), // Rule ID 48736 //
     /* 2241613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241626 */   // MIs[0] Operand 1
     /* 2241626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241639 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2241642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241655 */   // GIR_Coverage, 48736,
     /* 2241655 */   GIR_EraseRootFromParent_Done,
     /* 2241656 */ // Label 30017: @2241656
     /* 2241656 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2241704), // Rule ID 48743 //
     /* 2241661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241674 */   // MIs[0] Operand 1
     /* 2241674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241687 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2241690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241703 */   // GIR_Coverage, 48743,
     /* 2241703 */   GIR_EraseRootFromParent_Done,
     /* 2241704 */ // Label 30018: @2241704
     /* 2241704 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2241752), // Rule ID 48744 //
     /* 2241709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2241718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241722 */   // MIs[0] Operand 1
     /* 2241722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2241727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241735 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2241738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241751 */   // GIR_Coverage, 48744,
     /* 2241751 */   GIR_EraseRootFromParent_Done,
     /* 2241752 */ // Label 30019: @2241752
     /* 2241752 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2241800), // Rule ID 48751 //
     /* 2241757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241770 */   // MIs[0] Operand 1
     /* 2241770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241783 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241799 */   // GIR_Coverage, 48751,
     /* 2241799 */   GIR_EraseRootFromParent_Done,
     /* 2241800 */ // Label 30020: @2241800
     /* 2241800 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2241848), // Rule ID 48752 //
     /* 2241805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2241814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241818 */   // MIs[0] Operand 1
     /* 2241818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241831 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2241834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241847 */   // GIR_Coverage, 48752,
     /* 2241847 */   GIR_EraseRootFromParent_Done,
     /* 2241848 */ // Label 30021: @2241848
     /* 2241848 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2241896), // Rule ID 48761 //
     /* 2241853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241866 */   // MIs[0] Operand 1
     /* 2241866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241879 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241895 */   // GIR_Coverage, 48761,
     /* 2241895 */   GIR_EraseRootFromParent_Done,
     /* 2241896 */ // Label 30022: @2241896
     /* 2241896 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2241944), // Rule ID 48762 //
     /* 2241901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2241910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241914 */   // MIs[0] Operand 1
     /* 2241914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241927 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2241930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241943 */   // GIR_Coverage, 48762,
     /* 2241943 */   GIR_EraseRootFromParent_Done,
     /* 2241944 */ // Label 30023: @2241944
     /* 2241944 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2241992), // Rule ID 48779 //
     /* 2241949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2241958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241962 */   // MIs[0] Operand 1
     /* 2241962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2241967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241975 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2241978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241991 */   // GIR_Coverage, 48779,
     /* 2241991 */   GIR_EraseRootFromParent_Done,
     /* 2241992 */ // Label 30024: @2241992
     /* 2241992 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2242040), // Rule ID 48780 //
     /* 2241997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2242006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242010 */   // MIs[0] Operand 1
     /* 2242010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242023 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242039 */   // GIR_Coverage, 48780,
     /* 2242039 */   GIR_EraseRootFromParent_Done,
     /* 2242040 */ // Label 30025: @2242040
     /* 2242040 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2242088), // Rule ID 48787 //
     /* 2242045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242058 */   // MIs[0] Operand 1
     /* 2242058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242071 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242078 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242087 */   // GIR_Coverage, 48787,
     /* 2242087 */   GIR_EraseRootFromParent_Done,
     /* 2242088 */ // Label 30026: @2242088
     /* 2242088 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2242136), // Rule ID 48788 //
     /* 2242093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2242102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242106 */   // MIs[0] Operand 1
     /* 2242106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242119 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242126 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242135 */   // GIR_Coverage, 48788,
     /* 2242135 */   GIR_EraseRootFromParent_Done,
     /* 2242136 */ // Label 30027: @2242136
     /* 2242136 */ GIM_Reject,
     /* 2242137 */ // Label 29689: @2242137
     /* 2242137 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2242185), // Rule ID 48365 //
     /* 2242142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242155 */   // MIs[0] Operand 1
     /* 2242155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242168 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242184 */   // GIR_Coverage, 48365,
     /* 2242184 */   GIR_EraseRootFromParent_Done,
     /* 2242185 */ // Label 30028: @2242185
     /* 2242185 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2242233), // Rule ID 48366 //
     /* 2242190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242203 */   // MIs[0] Operand 1
     /* 2242203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242216 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242232 */   // GIR_Coverage, 48366,
     /* 2242232 */   GIR_EraseRootFromParent_Done,
     /* 2242233 */ // Label 30029: @2242233
     /* 2242233 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2242281), // Rule ID 48379 //
     /* 2242238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242251 */   // MIs[0] Operand 1
     /* 2242251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242264 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242280 */   // GIR_Coverage, 48379,
     /* 2242280 */   GIR_EraseRootFromParent_Done,
     /* 2242281 */ // Label 30030: @2242281
     /* 2242281 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2242329), // Rule ID 48380 //
     /* 2242286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242299 */   // MIs[0] Operand 1
     /* 2242299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242312 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2242315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242328 */   // GIR_Coverage, 48380,
     /* 2242328 */   GIR_EraseRootFromParent_Done,
     /* 2242329 */ // Label 30031: @2242329
     /* 2242329 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2242377), // Rule ID 48387 //
     /* 2242334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242347 */   // MIs[0] Operand 1
     /* 2242347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242360 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242376 */   // GIR_Coverage, 48387,
     /* 2242376 */   GIR_EraseRootFromParent_Done,
     /* 2242377 */ // Label 30032: @2242377
     /* 2242377 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2242425), // Rule ID 48388 //
     /* 2242382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242395 */   // MIs[0] Operand 1
     /* 2242395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242408 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242424 */   // GIR_Coverage, 48388,
     /* 2242424 */   GIR_EraseRootFromParent_Done,
     /* 2242425 */ // Label 30033: @2242425
     /* 2242425 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2242473), // Rule ID 48395 //
     /* 2242430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242443 */   // MIs[0] Operand 1
     /* 2242443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242456 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242472 */   // GIR_Coverage, 48395,
     /* 2242472 */   GIR_EraseRootFromParent_Done,
     /* 2242473 */ // Label 30034: @2242473
     /* 2242473 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2242521), // Rule ID 48396 //
     /* 2242478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242491 */   // MIs[0] Operand 1
     /* 2242491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242504 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2242507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242520 */   // GIR_Coverage, 48396,
     /* 2242520 */   GIR_EraseRootFromParent_Done,
     /* 2242521 */ // Label 30035: @2242521
     /* 2242521 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2242569), // Rule ID 48409 //
     /* 2242526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242539 */   // MIs[0] Operand 1
     /* 2242539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242552 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242568 */   // GIR_Coverage, 48409,
     /* 2242568 */   GIR_EraseRootFromParent_Done,
     /* 2242569 */ // Label 30036: @2242569
     /* 2242569 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2242617), // Rule ID 48410 //
     /* 2242574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242587 */   // MIs[0] Operand 1
     /* 2242587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242600 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2242603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242616 */   // GIR_Coverage, 48410,
     /* 2242616 */   GIR_EraseRootFromParent_Done,
     /* 2242617 */ // Label 30037: @2242617
     /* 2242617 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2242665), // Rule ID 48423 //
     /* 2242622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242635 */   // MIs[0] Operand 1
     /* 2242635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242648 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2242651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242664 */   // GIR_Coverage, 48423,
     /* 2242664 */   GIR_EraseRootFromParent_Done,
     /* 2242665 */ // Label 30038: @2242665
     /* 2242665 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2242713), // Rule ID 48424 //
     /* 2242670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242683 */   // MIs[0] Operand 1
     /* 2242683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242696 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2242699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242712 */   // GIR_Coverage, 48424,
     /* 2242712 */   GIR_EraseRootFromParent_Done,
     /* 2242713 */ // Label 30039: @2242713
     /* 2242713 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2242761), // Rule ID 48431 //
     /* 2242718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242731 */   // MIs[0] Operand 1
     /* 2242731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242744 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2242747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242760 */   // GIR_Coverage, 48431,
     /* 2242760 */   GIR_EraseRootFromParent_Done,
     /* 2242761 */ // Label 30040: @2242761
     /* 2242761 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2242809), // Rule ID 48432 //
     /* 2242766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242779 */   // MIs[0] Operand 1
     /* 2242779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242792 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2242795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242808 */   // GIR_Coverage, 48432,
     /* 2242808 */   GIR_EraseRootFromParent_Done,
     /* 2242809 */ // Label 30041: @2242809
     /* 2242809 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2242857), // Rule ID 48439 //
     /* 2242814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242827 */   // MIs[0] Operand 1
     /* 2242827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242840 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2242843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242856 */   // GIR_Coverage, 48439,
     /* 2242856 */   GIR_EraseRootFromParent_Done,
     /* 2242857 */ // Label 30042: @2242857
     /* 2242857 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2242905), // Rule ID 48440 //
     /* 2242862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242875 */   // MIs[0] Operand 1
     /* 2242875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2242880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242888 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2242891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242904 */   // GIR_Coverage, 48440,
     /* 2242904 */   GIR_EraseRootFromParent_Done,
     /* 2242905 */ // Label 30043: @2242905
     /* 2242905 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2242953), // Rule ID 48453 //
     /* 2242910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242923 */   // MIs[0] Operand 1
     /* 2242923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2242928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242936 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2242939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242952 */   // GIR_Coverage, 48453,
     /* 2242952 */   GIR_EraseRootFromParent_Done,
     /* 2242953 */ // Label 30044: @2242953
     /* 2242953 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2243001), // Rule ID 48454 //
     /* 2242958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242971 */   // MIs[0] Operand 1
     /* 2242971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2242976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242984 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2242987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243000 */   // GIR_Coverage, 48454,
     /* 2243000 */   GIR_EraseRootFromParent_Done,
     /* 2243001 */ // Label 30045: @2243001
     /* 2243001 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2243049), // Rule ID 48467 //
     /* 2243006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243019 */   // MIs[0] Operand 1
     /* 2243019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243032 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243048 */   // GIR_Coverage, 48467,
     /* 2243048 */   GIR_EraseRootFromParent_Done,
     /* 2243049 */ // Label 30046: @2243049
     /* 2243049 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2243097), // Rule ID 48468 //
     /* 2243054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243067 */   // MIs[0] Operand 1
     /* 2243067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243080 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243096 */   // GIR_Coverage, 48468,
     /* 2243096 */   GIR_EraseRootFromParent_Done,
     /* 2243097 */ // Label 30047: @2243097
     /* 2243097 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2243145), // Rule ID 48475 //
     /* 2243102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243115 */   // MIs[0] Operand 1
     /* 2243115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243128 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243144 */   // GIR_Coverage, 48475,
     /* 2243144 */   GIR_EraseRootFromParent_Done,
     /* 2243145 */ // Label 30048: @2243145
     /* 2243145 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2243193), // Rule ID 48476 //
     /* 2243150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243163 */   // MIs[0] Operand 1
     /* 2243163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243176 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243192 */   // GIR_Coverage, 48476,
     /* 2243192 */   GIR_EraseRootFromParent_Done,
     /* 2243193 */ // Label 30049: @2243193
     /* 2243193 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2243241), // Rule ID 48483 //
     /* 2243198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243211 */   // MIs[0] Operand 1
     /* 2243211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243224 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243240 */   // GIR_Coverage, 48483,
     /* 2243240 */   GIR_EraseRootFromParent_Done,
     /* 2243241 */ // Label 30050: @2243241
     /* 2243241 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2243289), // Rule ID 48484 //
     /* 2243246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243259 */   // MIs[0] Operand 1
     /* 2243259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243272 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243288 */   // GIR_Coverage, 48484,
     /* 2243288 */   GIR_EraseRootFromParent_Done,
     /* 2243289 */ // Label 30051: @2243289
     /* 2243289 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2243337), // Rule ID 48495 //
     /* 2243294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243307 */   // MIs[0] Operand 1
     /* 2243307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243320 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243336 */   // GIR_Coverage, 48495,
     /* 2243336 */   GIR_EraseRootFromParent_Done,
     /* 2243337 */ // Label 30052: @2243337
     /* 2243337 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2243385), // Rule ID 48496 //
     /* 2243342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243355 */   // MIs[0] Operand 1
     /* 2243355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243368 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243373 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243384 */   // GIR_Coverage, 48496,
     /* 2243384 */   GIR_EraseRootFromParent_Done,
     /* 2243385 */ // Label 30053: @2243385
     /* 2243385 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2243433), // Rule ID 48509 //
     /* 2243390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243403 */   // MIs[0] Operand 1
     /* 2243403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243416 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243421 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243432 */   // GIR_Coverage, 48509,
     /* 2243432 */   GIR_EraseRootFromParent_Done,
     /* 2243433 */ // Label 30054: @2243433
     /* 2243433 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2243481), // Rule ID 48510 //
     /* 2243438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243451 */   // MIs[0] Operand 1
     /* 2243451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243464 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243469 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243480 */   // GIR_Coverage, 48510,
     /* 2243480 */   GIR_EraseRootFromParent_Done,
     /* 2243481 */ // Label 30055: @2243481
     /* 2243481 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2243529), // Rule ID 48517 //
     /* 2243486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243499 */   // MIs[0] Operand 1
     /* 2243499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243512 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243517 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243519 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243528 */   // GIR_Coverage, 48517,
     /* 2243528 */   GIR_EraseRootFromParent_Done,
     /* 2243529 */ // Label 30056: @2243529
     /* 2243529 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2243577), // Rule ID 48518 //
     /* 2243534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243547 */   // MIs[0] Operand 1
     /* 2243547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243560 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243576 */   // GIR_Coverage, 48518,
     /* 2243576 */   GIR_EraseRootFromParent_Done,
     /* 2243577 */ // Label 30057: @2243577
     /* 2243577 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2243625), // Rule ID 48525 //
     /* 2243582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243595 */   // MIs[0] Operand 1
     /* 2243595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243608 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243624 */   // GIR_Coverage, 48525,
     /* 2243624 */   GIR_EraseRootFromParent_Done,
     /* 2243625 */ // Label 30058: @2243625
     /* 2243625 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2243673), // Rule ID 48526 //
     /* 2243630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243643 */   // MIs[0] Operand 1
     /* 2243643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243656 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243672 */   // GIR_Coverage, 48526,
     /* 2243672 */   GIR_EraseRootFromParent_Done,
     /* 2243673 */ // Label 30059: @2243673
     /* 2243673 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2243721), // Rule ID 48539 //
     /* 2243678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243691 */   // MIs[0] Operand 1
     /* 2243691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243704 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2243707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243720 */   // GIR_Coverage, 48539,
     /* 2243720 */   GIR_EraseRootFromParent_Done,
     /* 2243721 */ // Label 30060: @2243721
     /* 2243721 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2243769), // Rule ID 48540 //
     /* 2243726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243739 */   // MIs[0] Operand 1
     /* 2243739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243752 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2243755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243768 */   // GIR_Coverage, 48540,
     /* 2243768 */   GIR_EraseRootFromParent_Done,
     /* 2243769 */ // Label 30061: @2243769
     /* 2243769 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2243817), // Rule ID 48553 //
     /* 2243774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243787 */   // MIs[0] Operand 1
     /* 2243787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243800 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2243803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243816 */   // GIR_Coverage, 48553,
     /* 2243816 */   GIR_EraseRootFromParent_Done,
     /* 2243817 */ // Label 30062: @2243817
     /* 2243817 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2243865), // Rule ID 48554 //
     /* 2243822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243835 */   // MIs[0] Operand 1
     /* 2243835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243848 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2243851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243864 */   // GIR_Coverage, 48554,
     /* 2243864 */   GIR_EraseRootFromParent_Done,
     /* 2243865 */ // Label 30063: @2243865
     /* 2243865 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2243913), // Rule ID 48561 //
     /* 2243870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243883 */   // MIs[0] Operand 1
     /* 2243883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243896 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243912 */   // GIR_Coverage, 48561,
     /* 2243912 */   GIR_EraseRootFromParent_Done,
     /* 2243913 */ // Label 30064: @2243913
     /* 2243913 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2243961), // Rule ID 48562 //
     /* 2243918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243931 */   // MIs[0] Operand 1
     /* 2243931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243944 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243960 */   // GIR_Coverage, 48562,
     /* 2243960 */   GIR_EraseRootFromParent_Done,
     /* 2243961 */ // Label 30065: @2243961
     /* 2243961 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2244009), // Rule ID 48569 //
     /* 2243966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243979 */   // MIs[0] Operand 1
     /* 2243979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243992 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2243995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244008 */   // GIR_Coverage, 48569,
     /* 2244008 */   GIR_EraseRootFromParent_Done,
     /* 2244009 */ // Label 30066: @2244009
     /* 2244009 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2244057), // Rule ID 48570 //
     /* 2244014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244027 */   // MIs[0] Operand 1
     /* 2244027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244040 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244056 */   // GIR_Coverage, 48570,
     /* 2244056 */   GIR_EraseRootFromParent_Done,
     /* 2244057 */ // Label 30067: @2244057
     /* 2244057 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2244105), // Rule ID 48583 //
     /* 2244062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244075 */   // MIs[0] Operand 1
     /* 2244075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244088 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244104 */   // GIR_Coverage, 48583,
     /* 2244104 */   GIR_EraseRootFromParent_Done,
     /* 2244105 */ // Label 30068: @2244105
     /* 2244105 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2244153), // Rule ID 48584 //
     /* 2244110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244123 */   // MIs[0] Operand 1
     /* 2244123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244136 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244152 */   // GIR_Coverage, 48584,
     /* 2244152 */   GIR_EraseRootFromParent_Done,
     /* 2244153 */ // Label 30069: @2244153
     /* 2244153 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2244201), // Rule ID 48597 //
     /* 2244158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244171 */   // MIs[0] Operand 1
     /* 2244171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244184 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244200 */   // GIR_Coverage, 48597,
     /* 2244200 */   GIR_EraseRootFromParent_Done,
     /* 2244201 */ // Label 30070: @2244201
     /* 2244201 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2244249), // Rule ID 48598 //
     /* 2244206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244219 */   // MIs[0] Operand 1
     /* 2244219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244232 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244248 */   // GIR_Coverage, 48598,
     /* 2244248 */   GIR_EraseRootFromParent_Done,
     /* 2244249 */ // Label 30071: @2244249
     /* 2244249 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2244297), // Rule ID 48605 //
     /* 2244254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244267 */   // MIs[0] Operand 1
     /* 2244267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244280 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244296 */   // GIR_Coverage, 48605,
     /* 2244296 */   GIR_EraseRootFromParent_Done,
     /* 2244297 */ // Label 30072: @2244297
     /* 2244297 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2244345), // Rule ID 48606 //
     /* 2244302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244315 */   // MIs[0] Operand 1
     /* 2244315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244328 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244344 */   // GIR_Coverage, 48606,
     /* 2244344 */   GIR_EraseRootFromParent_Done,
     /* 2244345 */ // Label 30073: @2244345
     /* 2244345 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2244393), // Rule ID 48613 //
     /* 2244350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244363 */   // MIs[0] Operand 1
     /* 2244363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244376 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244392 */   // GIR_Coverage, 48613,
     /* 2244392 */   GIR_EraseRootFromParent_Done,
     /* 2244393 */ // Label 30074: @2244393
     /* 2244393 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2244441), // Rule ID 48614 //
     /* 2244398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244411 */   // MIs[0] Operand 1
     /* 2244411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244424 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244440 */   // GIR_Coverage, 48614,
     /* 2244440 */   GIR_EraseRootFromParent_Done,
     /* 2244441 */ // Label 30075: @2244441
     /* 2244441 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2244489), // Rule ID 48627 //
     /* 2244446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244459 */   // MIs[0] Operand 1
     /* 2244459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244472 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244477 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244488 */   // GIR_Coverage, 48627,
     /* 2244488 */   GIR_EraseRootFromParent_Done,
     /* 2244489 */ // Label 30076: @2244489
     /* 2244489 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2244537), // Rule ID 48628 //
     /* 2244494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244507 */   // MIs[0] Operand 1
     /* 2244507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244520 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244536 */   // GIR_Coverage, 48628,
     /* 2244536 */   GIR_EraseRootFromParent_Done,
     /* 2244537 */ // Label 30077: @2244537
     /* 2244537 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2244585), // Rule ID 48641 //
     /* 2244542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244555 */   // MIs[0] Operand 1
     /* 2244555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244568 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2244571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244584 */   // GIR_Coverage, 48641,
     /* 2244584 */   GIR_EraseRootFromParent_Done,
     /* 2244585 */ // Label 30078: @2244585
     /* 2244585 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2244633), // Rule ID 48642 //
     /* 2244590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244603 */   // MIs[0] Operand 1
     /* 2244603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244616 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2244619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244632 */   // GIR_Coverage, 48642,
     /* 2244632 */   GIR_EraseRootFromParent_Done,
     /* 2244633 */ // Label 30079: @2244633
     /* 2244633 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2244681), // Rule ID 48649 //
     /* 2244638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244651 */   // MIs[0] Operand 1
     /* 2244651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244664 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244680 */   // GIR_Coverage, 48649,
     /* 2244680 */   GIR_EraseRootFromParent_Done,
     /* 2244681 */ // Label 30080: @2244681
     /* 2244681 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2244729), // Rule ID 48650 //
     /* 2244686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244699 */   // MIs[0] Operand 1
     /* 2244699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244712 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244728 */   // GIR_Coverage, 48650,
     /* 2244728 */   GIR_EraseRootFromParent_Done,
     /* 2244729 */ // Label 30081: @2244729
     /* 2244729 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2244777), // Rule ID 48657 //
     /* 2244734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244747 */   // MIs[0] Operand 1
     /* 2244747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244760 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244776 */   // GIR_Coverage, 48657,
     /* 2244776 */   GIR_EraseRootFromParent_Done,
     /* 2244777 */ // Label 30082: @2244777
     /* 2244777 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2244825), // Rule ID 48658 //
     /* 2244782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244795 */   // MIs[0] Operand 1
     /* 2244795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244808 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244815 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244824 */   // GIR_Coverage, 48658,
     /* 2244824 */   GIR_EraseRootFromParent_Done,
     /* 2244825 */ // Label 30083: @2244825
     /* 2244825 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2244873), // Rule ID 48671 //
     /* 2244830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244843 */   // MIs[0] Operand 1
     /* 2244843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244856 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244872 */   // GIR_Coverage, 48671,
     /* 2244872 */   GIR_EraseRootFromParent_Done,
     /* 2244873 */ // Label 30084: @2244873
     /* 2244873 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2244921), // Rule ID 48672 //
     /* 2244878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244891 */   // MIs[0] Operand 1
     /* 2244891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244904 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2244907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244909 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244920 */   // GIR_Coverage, 48672,
     /* 2244920 */   GIR_EraseRootFromParent_Done,
     /* 2244921 */ // Label 30085: @2244921
     /* 2244921 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2244969), // Rule ID 48685 //
     /* 2244926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244939 */   // MIs[0] Operand 1
     /* 2244939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244952 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2244955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244968 */   // GIR_Coverage, 48685,
     /* 2244968 */   GIR_EraseRootFromParent_Done,
     /* 2244969 */ // Label 30086: @2244969
     /* 2244969 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2245017), // Rule ID 48686 //
     /* 2244974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244987 */   // MIs[0] Operand 1
     /* 2244987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245000 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245016 */   // GIR_Coverage, 48686,
     /* 2245016 */   GIR_EraseRootFromParent_Done,
     /* 2245017 */ // Label 30087: @2245017
     /* 2245017 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2245065), // Rule ID 48693 //
     /* 2245022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245035 */   // MIs[0] Operand 1
     /* 2245035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245048 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245064 */   // GIR_Coverage, 48693,
     /* 2245064 */   GIR_EraseRootFromParent_Done,
     /* 2245065 */ // Label 30088: @2245065
     /* 2245065 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2245113), // Rule ID 48694 //
     /* 2245070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245083 */   // MIs[0] Operand 1
     /* 2245083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245096 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245112 */   // GIR_Coverage, 48694,
     /* 2245112 */   GIR_EraseRootFromParent_Done,
     /* 2245113 */ // Label 30089: @2245113
     /* 2245113 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2245161), // Rule ID 48701 //
     /* 2245118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245131 */   // MIs[0] Operand 1
     /* 2245131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245144 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245160 */   // GIR_Coverage, 48701,
     /* 2245160 */   GIR_EraseRootFromParent_Done,
     /* 2245161 */ // Label 30090: @2245161
     /* 2245161 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2245209), // Rule ID 48702 //
     /* 2245166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245179 */   // MIs[0] Operand 1
     /* 2245179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245192 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245208 */   // GIR_Coverage, 48702,
     /* 2245208 */   GIR_EraseRootFromParent_Done,
     /* 2245209 */ // Label 30091: @2245209
     /* 2245209 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2245257), // Rule ID 48715 //
     /* 2245214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245227 */   // MIs[0] Operand 1
     /* 2245227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245240 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245256 */   // GIR_Coverage, 48715,
     /* 2245256 */   GIR_EraseRootFromParent_Done,
     /* 2245257 */ // Label 30092: @2245257
     /* 2245257 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2245305), // Rule ID 48716 //
     /* 2245262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245275 */   // MIs[0] Operand 1
     /* 2245275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245288 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245304 */   // GIR_Coverage, 48716,
     /* 2245304 */   GIR_EraseRootFromParent_Done,
     /* 2245305 */ // Label 30093: @2245305
     /* 2245305 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2245353), // Rule ID 48729 //
     /* 2245310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245323 */   // MIs[0] Operand 1
     /* 2245323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245336 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245352 */   // GIR_Coverage, 48729,
     /* 2245352 */   GIR_EraseRootFromParent_Done,
     /* 2245353 */ // Label 30094: @2245353
     /* 2245353 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2245401), // Rule ID 48730 //
     /* 2245358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245371 */   // MIs[0] Operand 1
     /* 2245371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245384 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245400 */   // GIR_Coverage, 48730,
     /* 2245400 */   GIR_EraseRootFromParent_Done,
     /* 2245401 */ // Label 30095: @2245401
     /* 2245401 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2245449), // Rule ID 48737 //
     /* 2245406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245419 */   // MIs[0] Operand 1
     /* 2245419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245432 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245448 */   // GIR_Coverage, 48737,
     /* 2245448 */   GIR_EraseRootFromParent_Done,
     /* 2245449 */ // Label 30096: @2245449
     /* 2245449 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2245497), // Rule ID 48738 //
     /* 2245454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245467 */   // MIs[0] Operand 1
     /* 2245467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245480 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245496 */   // GIR_Coverage, 48738,
     /* 2245496 */   GIR_EraseRootFromParent_Done,
     /* 2245497 */ // Label 30097: @2245497
     /* 2245497 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2245545), // Rule ID 48745 //
     /* 2245502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245515 */   // MIs[0] Operand 1
     /* 2245515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245528 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245544 */   // GIR_Coverage, 48745,
     /* 2245544 */   GIR_EraseRootFromParent_Done,
     /* 2245545 */ // Label 30098: @2245545
     /* 2245545 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2245593), // Rule ID 48746 //
     /* 2245550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245563 */   // MIs[0] Operand 1
     /* 2245563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245576 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245592 */   // GIR_Coverage, 48746,
     /* 2245592 */   GIR_EraseRootFromParent_Done,
     /* 2245593 */ // Label 30099: @2245593
     /* 2245593 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2245641), // Rule ID 48759 //
     /* 2245598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245611 */   // MIs[0] Operand 1
     /* 2245611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245624 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245640 */   // GIR_Coverage, 48759,
     /* 2245640 */   GIR_EraseRootFromParent_Done,
     /* 2245641 */ // Label 30100: @2245641
     /* 2245641 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2245689), // Rule ID 48760 //
     /* 2245646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2245652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2245655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245659 */   // MIs[0] Operand 1
     /* 2245659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245672 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2245675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245688 */   // GIR_Coverage, 48760,
     /* 2245688 */   GIR_EraseRootFromParent_Done,
     /* 2245689 */ // Label 30101: @2245689
     /* 2245689 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2245737), // Rule ID 48773 //
     /* 2245694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245707 */   // MIs[0] Operand 1
     /* 2245707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245720 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245736 */   // GIR_Coverage, 48773,
     /* 2245736 */   GIR_EraseRootFromParent_Done,
     /* 2245737 */ // Label 30102: @2245737
     /* 2245737 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2245785), // Rule ID 48774 //
     /* 2245742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2245748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2245751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245755 */   // MIs[0] Operand 1
     /* 2245755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245768 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2245771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245784 */   // GIR_Coverage, 48774,
     /* 2245784 */   GIR_EraseRootFromParent_Done,
     /* 2245785 */ // Label 30103: @2245785
     /* 2245785 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2245833), // Rule ID 48781 //
     /* 2245790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245803 */   // MIs[0] Operand 1
     /* 2245803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245816 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245832 */   // GIR_Coverage, 48781,
     /* 2245832 */   GIR_EraseRootFromParent_Done,
     /* 2245833 */ // Label 30104: @2245833
     /* 2245833 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2245881), // Rule ID 48782 //
     /* 2245838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245851 */   // MIs[0] Operand 1
     /* 2245851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245864 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2245867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245880 */   // GIR_Coverage, 48782,
     /* 2245880 */   GIR_EraseRootFromParent_Done,
     /* 2245881 */ // Label 30105: @2245881
     /* 2245881 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2245929), // Rule ID 48789 //
     /* 2245886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245899 */   // MIs[0] Operand 1
     /* 2245899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245912 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245928 */   // GIR_Coverage, 48789,
     /* 2245928 */   GIR_EraseRootFromParent_Done,
     /* 2245929 */ // Label 30106: @2245929
     /* 2245929 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2245977), // Rule ID 48790 //
     /* 2245934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2245940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2245943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245947 */   // MIs[0] Operand 1
     /* 2245947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245960 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245976 */   // GIR_Coverage, 48790,
     /* 2245976 */   GIR_EraseRootFromParent_Done,
     /* 2245977 */ // Label 30107: @2245977
     /* 2245977 */ GIM_Reject,
     /* 2245978 */ // Label 29690: @2245978
     /* 2245978 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2246026), // Rule ID 48373 //
     /* 2245983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245996 */   // MIs[0] Operand 1
     /* 2245996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246009 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246025 */   // GIR_Coverage, 48373,
     /* 2246025 */   GIR_EraseRootFromParent_Done,
     /* 2246026 */ // Label 30108: @2246026
     /* 2246026 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2246074), // Rule ID 48374 //
     /* 2246031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246044 */   // MIs[0] Operand 1
     /* 2246044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246057 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246073 */   // GIR_Coverage, 48374,
     /* 2246073 */   GIR_EraseRootFromParent_Done,
     /* 2246074 */ // Label 30109: @2246074
     /* 2246074 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2246122), // Rule ID 48381 //
     /* 2246079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246092 */   // MIs[0] Operand 1
     /* 2246092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246105 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246121 */   // GIR_Coverage, 48381,
     /* 2246121 */   GIR_EraseRootFromParent_Done,
     /* 2246122 */ // Label 30110: @2246122
     /* 2246122 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2246170), // Rule ID 48382 //
     /* 2246127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246140 */   // MIs[0] Operand 1
     /* 2246140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246153 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246169 */   // GIR_Coverage, 48382,
     /* 2246169 */   GIR_EraseRootFromParent_Done,
     /* 2246170 */ // Label 30111: @2246170
     /* 2246170 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2246218), // Rule ID 48389 //
     /* 2246175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246188 */   // MIs[0] Operand 1
     /* 2246188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246201 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246208 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246217 */   // GIR_Coverage, 48389,
     /* 2246217 */   GIR_EraseRootFromParent_Done,
     /* 2246218 */ // Label 30112: @2246218
     /* 2246218 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2246266), // Rule ID 48390 //
     /* 2246223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246236 */   // MIs[0] Operand 1
     /* 2246236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246249 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2246252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246265 */   // GIR_Coverage, 48390,
     /* 2246265 */   GIR_EraseRootFromParent_Done,
     /* 2246266 */ // Label 30113: @2246266
     /* 2246266 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2246314), // Rule ID 48417 //
     /* 2246271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246284 */   // MIs[0] Operand 1
     /* 2246284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246297 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246313 */   // GIR_Coverage, 48417,
     /* 2246313 */   GIR_EraseRootFromParent_Done,
     /* 2246314 */ // Label 30114: @2246314
     /* 2246314 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2246362), // Rule ID 48418 //
     /* 2246319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246332 */   // MIs[0] Operand 1
     /* 2246332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246345 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2246348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246361 */   // GIR_Coverage, 48418,
     /* 2246361 */   GIR_EraseRootFromParent_Done,
     /* 2246362 */ // Label 30115: @2246362
     /* 2246362 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2246410), // Rule ID 48425 //
     /* 2246367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246380 */   // MIs[0] Operand 1
     /* 2246380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246393 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246409 */   // GIR_Coverage, 48425,
     /* 2246409 */   GIR_EraseRootFromParent_Done,
     /* 2246410 */ // Label 30116: @2246410
     /* 2246410 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2246458), // Rule ID 48426 //
     /* 2246415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246428 */   // MIs[0] Operand 1
     /* 2246428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246441 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2246444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246457 */   // GIR_Coverage, 48426,
     /* 2246457 */   GIR_EraseRootFromParent_Done,
     /* 2246458 */ // Label 30117: @2246458
     /* 2246458 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2246506), // Rule ID 48433 //
     /* 2246463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246476 */   // MIs[0] Operand 1
     /* 2246476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246489 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246496 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246505 */   // GIR_Coverage, 48433,
     /* 2246505 */   GIR_EraseRootFromParent_Done,
     /* 2246506 */ // Label 30118: @2246506
     /* 2246506 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2246554), // Rule ID 48434 //
     /* 2246511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246524 */   // MIs[0] Operand 1
     /* 2246524 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246533 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246537 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2246540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246544 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246553 */   // GIR_Coverage, 48434,
     /* 2246553 */   GIR_EraseRootFromParent_Done,
     /* 2246554 */ // Label 30119: @2246554
     /* 2246554 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2246602), // Rule ID 48461 //
     /* 2246559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246572 */   // MIs[0] Operand 1
     /* 2246572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246585 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246601 */   // GIR_Coverage, 48461,
     /* 2246601 */   GIR_EraseRootFromParent_Done,
     /* 2246602 */ // Label 30120: @2246602
     /* 2246602 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2246650), // Rule ID 48462 //
     /* 2246607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246620 */   // MIs[0] Operand 1
     /* 2246620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246633 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246649 */   // GIR_Coverage, 48462,
     /* 2246649 */   GIR_EraseRootFromParent_Done,
     /* 2246650 */ // Label 30121: @2246650
     /* 2246650 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2246698), // Rule ID 48469 //
     /* 2246655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246668 */   // MIs[0] Operand 1
     /* 2246668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246677 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246681 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2246684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246697 */   // GIR_Coverage, 48469,
     /* 2246697 */   GIR_EraseRootFromParent_Done,
     /* 2246698 */ // Label 30122: @2246698
     /* 2246698 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2246746), // Rule ID 48470 //
     /* 2246703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246716 */   // MIs[0] Operand 1
     /* 2246716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246729 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2246732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246745 */   // GIR_Coverage, 48470,
     /* 2246745 */   GIR_EraseRootFromParent_Done,
     /* 2246746 */ // Label 30123: @2246746
     /* 2246746 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2246794), // Rule ID 48477 //
     /* 2246751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246764 */   // MIs[0] Operand 1
     /* 2246764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246777 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2246780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246793 */   // GIR_Coverage, 48477,
     /* 2246793 */   GIR_EraseRootFromParent_Done,
     /* 2246794 */ // Label 30124: @2246794
     /* 2246794 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2246842), // Rule ID 48478 //
     /* 2246799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246812 */   // MIs[0] Operand 1
     /* 2246812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246825 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2246828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246841 */   // GIR_Coverage, 48478,
     /* 2246841 */   GIR_EraseRootFromParent_Done,
     /* 2246842 */ // Label 30125: @2246842
     /* 2246842 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2246890), // Rule ID 48503 //
     /* 2246847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246860 */   // MIs[0] Operand 1
     /* 2246860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246873 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246889 */   // GIR_Coverage, 48503,
     /* 2246889 */   GIR_EraseRootFromParent_Done,
     /* 2246890 */ // Label 30126: @2246890
     /* 2246890 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2246938), // Rule ID 48504 //
     /* 2246895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246908 */   // MIs[0] Operand 1
     /* 2246908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246917 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246921 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2246924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246928 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246937 */   // GIR_Coverage, 48504,
     /* 2246937 */   GIR_EraseRootFromParent_Done,
     /* 2246938 */ // Label 30127: @2246938
     /* 2246938 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2246986), // Rule ID 48511 //
     /* 2246943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246956 */   // MIs[0] Operand 1
     /* 2246956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246969 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2246972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246985 */   // GIR_Coverage, 48511,
     /* 2246985 */   GIR_EraseRootFromParent_Done,
     /* 2246986 */ // Label 30128: @2246986
     /* 2246986 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2247034), // Rule ID 48512 //
     /* 2246991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247004 */   // MIs[0] Operand 1
     /* 2247004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247017 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247024 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247033 */   // GIR_Coverage, 48512,
     /* 2247033 */   GIR_EraseRootFromParent_Done,
     /* 2247034 */ // Label 30129: @2247034
     /* 2247034 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2247082), // Rule ID 48519 //
     /* 2247039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247052 */   // MIs[0] Operand 1
     /* 2247052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247065 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247072 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247081 */   // GIR_Coverage, 48519,
     /* 2247081 */   GIR_EraseRootFromParent_Done,
     /* 2247082 */ // Label 30130: @2247082
     /* 2247082 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2247130), // Rule ID 48520 //
     /* 2247087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247100 */   // MIs[0] Operand 1
     /* 2247100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247113 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247120 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247129 */   // GIR_Coverage, 48520,
     /* 2247129 */   GIR_EraseRootFromParent_Done,
     /* 2247130 */ // Label 30131: @2247130
     /* 2247130 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2247178), // Rule ID 48547 //
     /* 2247135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247148 */   // MIs[0] Operand 1
     /* 2247148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247161 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247177 */   // GIR_Coverage, 48547,
     /* 2247177 */   GIR_EraseRootFromParent_Done,
     /* 2247178 */ // Label 30132: @2247178
     /* 2247178 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2247226), // Rule ID 48548 //
     /* 2247183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247196 */   // MIs[0] Operand 1
     /* 2247196 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247205 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247209 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247225 */   // GIR_Coverage, 48548,
     /* 2247225 */   GIR_EraseRootFromParent_Done,
     /* 2247226 */ // Label 30133: @2247226
     /* 2247226 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2247274), // Rule ID 48555 //
     /* 2247231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247244 */   // MIs[0] Operand 1
     /* 2247244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247257 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247273 */   // GIR_Coverage, 48555,
     /* 2247273 */   GIR_EraseRootFromParent_Done,
     /* 2247274 */ // Label 30134: @2247274
     /* 2247274 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2247322), // Rule ID 48556 //
     /* 2247279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247292 */   // MIs[0] Operand 1
     /* 2247292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247305 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247321 */   // GIR_Coverage, 48556,
     /* 2247321 */   GIR_EraseRootFromParent_Done,
     /* 2247322 */ // Label 30135: @2247322
     /* 2247322 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2247370), // Rule ID 48563 //
     /* 2247327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247340 */   // MIs[0] Operand 1
     /* 2247340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247353 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247369 */   // GIR_Coverage, 48563,
     /* 2247369 */   GIR_EraseRootFromParent_Done,
     /* 2247370 */ // Label 30136: @2247370
     /* 2247370 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2247418), // Rule ID 48564 //
     /* 2247375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247388 */   // MIs[0] Operand 1
     /* 2247388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2247393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247401 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247417 */   // GIR_Coverage, 48564,
     /* 2247417 */   GIR_EraseRootFromParent_Done,
     /* 2247418 */ // Label 30137: @2247418
     /* 2247418 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2247466), // Rule ID 48591 //
     /* 2247423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247436 */   // MIs[0] Operand 1
     /* 2247436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247445 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247449 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247465 */   // GIR_Coverage, 48591,
     /* 2247465 */   GIR_EraseRootFromParent_Done,
     /* 2247466 */ // Label 30138: @2247466
     /* 2247466 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2247514), // Rule ID 48592 //
     /* 2247471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247477 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247484 */   // MIs[0] Operand 1
     /* 2247484 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247493 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247497 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2247500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247513 */   // GIR_Coverage, 48592,
     /* 2247513 */   GIR_EraseRootFromParent_Done,
     /* 2247514 */ // Label 30139: @2247514
     /* 2247514 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2247562), // Rule ID 48599 //
     /* 2247519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247532 */   // MIs[0] Operand 1
     /* 2247532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247545 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247561 */   // GIR_Coverage, 48599,
     /* 2247561 */   GIR_EraseRootFromParent_Done,
     /* 2247562 */ // Label 30140: @2247562
     /* 2247562 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2247610), // Rule ID 48600 //
     /* 2247567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247580 */   // MIs[0] Operand 1
     /* 2247580 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247593 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2247596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247609 */   // GIR_Coverage, 48600,
     /* 2247609 */   GIR_EraseRootFromParent_Done,
     /* 2247610 */ // Label 30141: @2247610
     /* 2247610 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2247658), // Rule ID 48607 //
     /* 2247615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247628 */   // MIs[0] Operand 1
     /* 2247628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247637 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247641 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247657 */   // GIR_Coverage, 48607,
     /* 2247657 */   GIR_EraseRootFromParent_Done,
     /* 2247658 */ // Label 30142: @2247658
     /* 2247658 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2247706), // Rule ID 48608 //
     /* 2247663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247676 */   // MIs[0] Operand 1
     /* 2247676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247689 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2247692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247705 */   // GIR_Coverage, 48608,
     /* 2247705 */   GIR_EraseRootFromParent_Done,
     /* 2247706 */ // Label 30143: @2247706
     /* 2247706 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2247754), // Rule ID 48635 //
     /* 2247711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247724 */   // MIs[0] Operand 1
     /* 2247724 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247737 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2247740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247744 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247753 */   // GIR_Coverage, 48635,
     /* 2247753 */   GIR_EraseRootFromParent_Done,
     /* 2247754 */ // Label 30144: @2247754
     /* 2247754 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2247802), // Rule ID 48636 //
     /* 2247759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247772 */   // MIs[0] Operand 1
     /* 2247772 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247785 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2247788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247792 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247801 */   // GIR_Coverage, 48636,
     /* 2247801 */   GIR_EraseRootFromParent_Done,
     /* 2247802 */ // Label 30145: @2247802
     /* 2247802 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2247850), // Rule ID 48643 //
     /* 2247807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247820 */   // MIs[0] Operand 1
     /* 2247820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247833 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2247836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247849 */   // GIR_Coverage, 48643,
     /* 2247849 */   GIR_EraseRootFromParent_Done,
     /* 2247850 */ // Label 30146: @2247850
     /* 2247850 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2247898), // Rule ID 48644 //
     /* 2247855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247868 */   // MIs[0] Operand 1
     /* 2247868 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247881 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2247884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247888 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247897 */   // GIR_Coverage, 48644,
     /* 2247897 */   GIR_EraseRootFromParent_Done,
     /* 2247898 */ // Label 30147: @2247898
     /* 2247898 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2247946), // Rule ID 48651 //
     /* 2247903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247916 */   // MIs[0] Operand 1
     /* 2247916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247929 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2247932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247945 */   // GIR_Coverage, 48651,
     /* 2247945 */   GIR_EraseRootFromParent_Done,
     /* 2247946 */ // Label 30148: @2247946
     /* 2247946 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2247994), // Rule ID 48652 //
     /* 2247951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247964 */   // MIs[0] Operand 1
     /* 2247964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247977 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2247980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247984 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247993 */   // GIR_Coverage, 48652,
     /* 2247993 */   GIR_EraseRootFromParent_Done,
     /* 2247994 */ // Label 30149: @2247994
     /* 2247994 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2248042), // Rule ID 48679 //
     /* 2247999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248012 */   // MIs[0] Operand 1
     /* 2248012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248025 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248041 */   // GIR_Coverage, 48679,
     /* 2248041 */   GIR_EraseRootFromParent_Done,
     /* 2248042 */ // Label 30150: @2248042
     /* 2248042 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2248090), // Rule ID 48680 //
     /* 2248047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248060 */   // MIs[0] Operand 1
     /* 2248060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248073 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2248076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248089 */   // GIR_Coverage, 48680,
     /* 2248089 */   GIR_EraseRootFromParent_Done,
     /* 2248090 */ // Label 30151: @2248090
     /* 2248090 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2248138), // Rule ID 48687 //
     /* 2248095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248101 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248108 */   // MIs[0] Operand 1
     /* 2248108 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248117 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248121 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248137 */   // GIR_Coverage, 48687,
     /* 2248137 */   GIR_EraseRootFromParent_Done,
     /* 2248138 */ // Label 30152: @2248138
     /* 2248138 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2248186), // Rule ID 48688 //
     /* 2248143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248156 */   // MIs[0] Operand 1
     /* 2248156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248169 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248185 */   // GIR_Coverage, 48688,
     /* 2248185 */   GIR_EraseRootFromParent_Done,
     /* 2248186 */ // Label 30153: @2248186
     /* 2248186 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2248234), // Rule ID 48695 //
     /* 2248191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248204 */   // MIs[0] Operand 1
     /* 2248204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248217 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248233 */   // GIR_Coverage, 48695,
     /* 2248233 */   GIR_EraseRootFromParent_Done,
     /* 2248234 */ // Label 30154: @2248234
     /* 2248234 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2248282), // Rule ID 48696 //
     /* 2248239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248252 */   // MIs[0] Operand 1
     /* 2248252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248265 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248281 */   // GIR_Coverage, 48696,
     /* 2248281 */   GIR_EraseRootFromParent_Done,
     /* 2248282 */ // Label 30155: @2248282
     /* 2248282 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2248330), // Rule ID 48723 //
     /* 2248287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248300 */   // MIs[0] Operand 1
     /* 2248300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248313 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248318 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248320 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248329 */   // GIR_Coverage, 48723,
     /* 2248329 */   GIR_EraseRootFromParent_Done,
     /* 2248330 */ // Label 30156: @2248330
     /* 2248330 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2248378), // Rule ID 48724 //
     /* 2248335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248348 */   // MIs[0] Operand 1
     /* 2248348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248361 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248366 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248368 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248377 */   // GIR_Coverage, 48724,
     /* 2248377 */   GIR_EraseRootFromParent_Done,
     /* 2248378 */ // Label 30157: @2248378
     /* 2248378 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2248426), // Rule ID 48731 //
     /* 2248383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248396 */   // MIs[0] Operand 1
     /* 2248396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248409 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248414 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248425 */   // GIR_Coverage, 48731,
     /* 2248425 */   GIR_EraseRootFromParent_Done,
     /* 2248426 */ // Label 30158: @2248426
     /* 2248426 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2248474), // Rule ID 48732 //
     /* 2248431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248444 */   // MIs[0] Operand 1
     /* 2248444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248457 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248473 */   // GIR_Coverage, 48732,
     /* 2248473 */   GIR_EraseRootFromParent_Done,
     /* 2248474 */ // Label 30159: @2248474
     /* 2248474 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2248522), // Rule ID 48739 //
     /* 2248479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248492 */   // MIs[0] Operand 1
     /* 2248492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248505 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248512 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248521 */   // GIR_Coverage, 48739,
     /* 2248521 */   GIR_EraseRootFromParent_Done,
     /* 2248522 */ // Label 30160: @2248522
     /* 2248522 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2248570), // Rule ID 48740 //
     /* 2248527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248540 */   // MIs[0] Operand 1
     /* 2248540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248553 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248569 */   // GIR_Coverage, 48740,
     /* 2248569 */   GIR_EraseRootFromParent_Done,
     /* 2248570 */ // Label 30161: @2248570
     /* 2248570 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2248618), // Rule ID 48767 //
     /* 2248575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248588 */   // MIs[0] Operand 1
     /* 2248588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248601 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248617 */   // GIR_Coverage, 48767,
     /* 2248617 */   GIR_EraseRootFromParent_Done,
     /* 2248618 */ // Label 30162: @2248618
     /* 2248618 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2248666), // Rule ID 48768 //
     /* 2248623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2248629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2248632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248636 */   // MIs[0] Operand 1
     /* 2248636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248649 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2248652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248665 */   // GIR_Coverage, 48768,
     /* 2248665 */   GIR_EraseRootFromParent_Done,
     /* 2248666 */ // Label 30163: @2248666
     /* 2248666 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2248714), // Rule ID 48775 //
     /* 2248671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248684 */   // MIs[0] Operand 1
     /* 2248684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248697 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248713 */   // GIR_Coverage, 48775,
     /* 2248713 */   GIR_EraseRootFromParent_Done,
     /* 2248714 */ // Label 30164: @2248714
     /* 2248714 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2248762), // Rule ID 48776 //
     /* 2248719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2248728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248732 */   // MIs[0] Operand 1
     /* 2248732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248745 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2248748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248761 */   // GIR_Coverage, 48776,
     /* 2248761 */   GIR_EraseRootFromParent_Done,
     /* 2248762 */ // Label 30165: @2248762
     /* 2248762 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2248810), // Rule ID 48783 //
     /* 2248767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248780 */   // MIs[0] Operand 1
     /* 2248780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248793 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248809 */   // GIR_Coverage, 48783,
     /* 2248809 */   GIR_EraseRootFromParent_Done,
     /* 2248810 */ // Label 30166: @2248810
     /* 2248810 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2248858), // Rule ID 48784 //
     /* 2248815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2248824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248828 */   // MIs[0] Operand 1
     /* 2248828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248841 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2248844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248857 */   // GIR_Coverage, 48784,
     /* 2248857 */   GIR_EraseRootFromParent_Done,
     /* 2248858 */ // Label 30167: @2248858
     /* 2248858 */ GIM_Reject,
     /* 2248859 */ // Label 29691: @2248859
     /* 2248859 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2248907), // Rule ID 48375 //
     /* 2248864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248877 */   // MIs[0] Operand 1
     /* 2248877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248890 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248906 */   // GIR_Coverage, 48375,
     /* 2248906 */   GIR_EraseRootFromParent_Done,
     /* 2248907 */ // Label 30168: @2248907
     /* 2248907 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2248955), // Rule ID 48376 //
     /* 2248912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248925 */   // MIs[0] Operand 1
     /* 2248925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248938 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2248941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248954 */   // GIR_Coverage, 48376,
     /* 2248954 */   GIR_EraseRootFromParent_Done,
     /* 2248955 */ // Label 30169: @2248955
     /* 2248955 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2249003), // Rule ID 48383 //
     /* 2248960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248973 */   // MIs[0] Operand 1
     /* 2248973 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248982 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248986 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2248989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249002 */   // GIR_Coverage, 48383,
     /* 2249002 */   GIR_EraseRootFromParent_Done,
     /* 2249003 */ // Label 30170: @2249003
     /* 2249003 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2249051), // Rule ID 48384 //
     /* 2249008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249021 */   // MIs[0] Operand 1
     /* 2249021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249030 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249034 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249050 */   // GIR_Coverage, 48384,
     /* 2249050 */   GIR_EraseRootFromParent_Done,
     /* 2249051 */ // Label 30171: @2249051
     /* 2249051 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2249099), // Rule ID 48419 //
     /* 2249056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249069 */   // MIs[0] Operand 1
     /* 2249069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249082 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249098 */   // GIR_Coverage, 48419,
     /* 2249098 */   GIR_EraseRootFromParent_Done,
     /* 2249099 */ // Label 30172: @2249099
     /* 2249099 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2249147), // Rule ID 48420 //
     /* 2249104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249117 */   // MIs[0] Operand 1
     /* 2249117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249130 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2249133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249146 */   // GIR_Coverage, 48420,
     /* 2249146 */   GIR_EraseRootFromParent_Done,
     /* 2249147 */ // Label 30173: @2249147
     /* 2249147 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2249195), // Rule ID 48427 //
     /* 2249152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249165 */   // MIs[0] Operand 1
     /* 2249165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249178 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249194 */   // GIR_Coverage, 48427,
     /* 2249194 */   GIR_EraseRootFromParent_Done,
     /* 2249195 */ // Label 30174: @2249195
     /* 2249195 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2249243), // Rule ID 48428 //
     /* 2249200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249213 */   // MIs[0] Operand 1
     /* 2249213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249226 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249231 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249233 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249242 */   // GIR_Coverage, 48428,
     /* 2249242 */   GIR_EraseRootFromParent_Done,
     /* 2249243 */ // Label 30175: @2249243
     /* 2249243 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2249291), // Rule ID 48463 //
     /* 2249248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249261 */   // MIs[0] Operand 1
     /* 2249261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249274 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249281 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249290 */   // GIR_Coverage, 48463,
     /* 2249290 */   GIR_EraseRootFromParent_Done,
     /* 2249291 */ // Label 30176: @2249291
     /* 2249291 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2249339), // Rule ID 48464 //
     /* 2249296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249309 */   // MIs[0] Operand 1
     /* 2249309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249322 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249329 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249338 */   // GIR_Coverage, 48464,
     /* 2249338 */   GIR_EraseRootFromParent_Done,
     /* 2249339 */ // Label 30177: @2249339
     /* 2249339 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2249387), // Rule ID 48471 //
     /* 2249344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249350 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249357 */   // MIs[0] Operand 1
     /* 2249357 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249370 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249377 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249386 */   // GIR_Coverage, 48471,
     /* 2249386 */   GIR_EraseRootFromParent_Done,
     /* 2249387 */ // Label 30178: @2249387
     /* 2249387 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2249435), // Rule ID 48472 //
     /* 2249392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249405 */   // MIs[0] Operand 1
     /* 2249405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249418 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249434 */   // GIR_Coverage, 48472,
     /* 2249434 */   GIR_EraseRootFromParent_Done,
     /* 2249435 */ // Label 30179: @2249435
     /* 2249435 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2249483), // Rule ID 48505 //
     /* 2249440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249453 */   // MIs[0] Operand 1
     /* 2249453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249466 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249482 */   // GIR_Coverage, 48505,
     /* 2249482 */   GIR_EraseRootFromParent_Done,
     /* 2249483 */ // Label 30180: @2249483
     /* 2249483 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2249531), // Rule ID 48506 //
     /* 2249488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249501 */   // MIs[0] Operand 1
     /* 2249501 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249510 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249514 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2249517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249530 */   // GIR_Coverage, 48506,
     /* 2249530 */   GIR_EraseRootFromParent_Done,
     /* 2249531 */ // Label 30181: @2249531
     /* 2249531 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2249579), // Rule ID 48513 //
     /* 2249536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249549 */   // MIs[0] Operand 1
     /* 2249549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249562 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249578 */   // GIR_Coverage, 48513,
     /* 2249578 */   GIR_EraseRootFromParent_Done,
     /* 2249579 */ // Label 30182: @2249579
     /* 2249579 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2249627), // Rule ID 48514 //
     /* 2249584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249597 */   // MIs[0] Operand 1
     /* 2249597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249610 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249626 */   // GIR_Coverage, 48514,
     /* 2249626 */   GIR_EraseRootFromParent_Done,
     /* 2249627 */ // Label 30183: @2249627
     /* 2249627 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2249675), // Rule ID 48549 //
     /* 2249632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249645 */   // MIs[0] Operand 1
     /* 2249645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249658 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249674 */   // GIR_Coverage, 48549,
     /* 2249674 */   GIR_EraseRootFromParent_Done,
     /* 2249675 */ // Label 30184: @2249675
     /* 2249675 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2249723), // Rule ID 48550 //
     /* 2249680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249693 */   // MIs[0] Operand 1
     /* 2249693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249706 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249722 */   // GIR_Coverage, 48550,
     /* 2249722 */   GIR_EraseRootFromParent_Done,
     /* 2249723 */ // Label 30185: @2249723
     /* 2249723 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2249771), // Rule ID 48557 //
     /* 2249728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249734 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249741 */   // MIs[0] Operand 1
     /* 2249741 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249750 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249754 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249757 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249770 */   // GIR_Coverage, 48557,
     /* 2249770 */   GIR_EraseRootFromParent_Done,
     /* 2249771 */ // Label 30186: @2249771
     /* 2249771 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2249819), // Rule ID 48558 //
     /* 2249776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249789 */   // MIs[0] Operand 1
     /* 2249789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249798 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249802 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249818 */   // GIR_Coverage, 48558,
     /* 2249818 */   GIR_EraseRootFromParent_Done,
     /* 2249819 */ // Label 30187: @2249819
     /* 2249819 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2249867), // Rule ID 48593 //
     /* 2249824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249830 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249837 */   // MIs[0] Operand 1
     /* 2249837 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249846 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249850 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249866 */   // GIR_Coverage, 48593,
     /* 2249866 */   GIR_EraseRootFromParent_Done,
     /* 2249867 */ // Label 30188: @2249867
     /* 2249867 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2249915), // Rule ID 48594 //
     /* 2249872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249885 */   // MIs[0] Operand 1
     /* 2249885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249898 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2249901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249914 */   // GIR_Coverage, 48594,
     /* 2249914 */   GIR_EraseRootFromParent_Done,
     /* 2249915 */ // Label 30189: @2249915
     /* 2249915 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2249963), // Rule ID 48601 //
     /* 2249920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249926 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249933 */   // MIs[0] Operand 1
     /* 2249933 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249942 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249946 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249962 */   // GIR_Coverage, 48601,
     /* 2249962 */   GIR_EraseRootFromParent_Done,
     /* 2249963 */ // Label 30190: @2249963
     /* 2249963 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2250011), // Rule ID 48602 //
     /* 2249968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249981 */   // MIs[0] Operand 1
     /* 2249981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249994 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250010 */   // GIR_Coverage, 48602,
     /* 2250010 */   GIR_EraseRootFromParent_Done,
     /* 2250011 */ // Label 30191: @2250011
     /* 2250011 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2250059), // Rule ID 48637 //
     /* 2250016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250029 */   // MIs[0] Operand 1
     /* 2250029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250042 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250049 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250058 */   // GIR_Coverage, 48637,
     /* 2250058 */   GIR_EraseRootFromParent_Done,
     /* 2250059 */ // Label 30192: @2250059
     /* 2250059 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2250107), // Rule ID 48638 //
     /* 2250064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250077 */   // MIs[0] Operand 1
     /* 2250077 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250086 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250090 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250097 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250106 */   // GIR_Coverage, 48638,
     /* 2250106 */   GIR_EraseRootFromParent_Done,
     /* 2250107 */ // Label 30193: @2250107
     /* 2250107 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2250155), // Rule ID 48645 //
     /* 2250112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250125 */   // MIs[0] Operand 1
     /* 2250125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250138 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250154 */   // GIR_Coverage, 48645,
     /* 2250154 */   GIR_EraseRootFromParent_Done,
     /* 2250155 */ // Label 30194: @2250155
     /* 2250155 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2250203), // Rule ID 48646 //
     /* 2250160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250173 */   // MIs[0] Operand 1
     /* 2250173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250186 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250202 */   // GIR_Coverage, 48646,
     /* 2250202 */   GIR_EraseRootFromParent_Done,
     /* 2250203 */ // Label 30195: @2250203
     /* 2250203 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2250251), // Rule ID 48681 //
     /* 2250208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250221 */   // MIs[0] Operand 1
     /* 2250221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250234 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250250 */   // GIR_Coverage, 48681,
     /* 2250250 */   GIR_EraseRootFromParent_Done,
     /* 2250251 */ // Label 30196: @2250251
     /* 2250251 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2250299), // Rule ID 48682 //
     /* 2250256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250269 */   // MIs[0] Operand 1
     /* 2250269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250282 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2250285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250298 */   // GIR_Coverage, 48682,
     /* 2250298 */   GIR_EraseRootFromParent_Done,
     /* 2250299 */ // Label 30197: @2250299
     /* 2250299 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2250347), // Rule ID 48689 //
     /* 2250304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250317 */   // MIs[0] Operand 1
     /* 2250317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250326 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250330 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250346 */   // GIR_Coverage, 48689,
     /* 2250346 */   GIR_EraseRootFromParent_Done,
     /* 2250347 */ // Label 30198: @2250347
     /* 2250347 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2250395), // Rule ID 48690 //
     /* 2250352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250358 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250365 */   // MIs[0] Operand 1
     /* 2250365 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250374 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250378 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250383 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250394 */   // GIR_Coverage, 48690,
     /* 2250394 */   GIR_EraseRootFromParent_Done,
     /* 2250395 */ // Label 30199: @2250395
     /* 2250395 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2250443), // Rule ID 48725 //
     /* 2250400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250413 */   // MIs[0] Operand 1
     /* 2250413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250426 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250442 */   // GIR_Coverage, 48725,
     /* 2250442 */   GIR_EraseRootFromParent_Done,
     /* 2250443 */ // Label 30200: @2250443
     /* 2250443 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2250491), // Rule ID 48726 //
     /* 2250448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250461 */   // MIs[0] Operand 1
     /* 2250461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250474 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250490 */   // GIR_Coverage, 48726,
     /* 2250490 */   GIR_EraseRootFromParent_Done,
     /* 2250491 */ // Label 30201: @2250491
     /* 2250491 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2250539), // Rule ID 48733 //
     /* 2250496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250509 */   // MIs[0] Operand 1
     /* 2250509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250522 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250538 */   // GIR_Coverage, 48733,
     /* 2250538 */   GIR_EraseRootFromParent_Done,
     /* 2250539 */ // Label 30202: @2250539
     /* 2250539 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2250587), // Rule ID 48734 //
     /* 2250544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250557 */   // MIs[0] Operand 1
     /* 2250557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250570 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250586 */   // GIR_Coverage, 48734,
     /* 2250586 */   GIR_EraseRootFromParent_Done,
     /* 2250587 */ // Label 30203: @2250587
     /* 2250587 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2250635), // Rule ID 48769 //
     /* 2250592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250605 */   // MIs[0] Operand 1
     /* 2250605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250618 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250625 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250634 */   // GIR_Coverage, 48769,
     /* 2250634 */   GIR_EraseRootFromParent_Done,
     /* 2250635 */ // Label 30204: @2250635
     /* 2250635 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2250683), // Rule ID 48770 //
     /* 2250640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2250649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250653 */   // MIs[0] Operand 1
     /* 2250653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250666 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250682 */   // GIR_Coverage, 48770,
     /* 2250682 */   GIR_EraseRootFromParent_Done,
     /* 2250683 */ // Label 30205: @2250683
     /* 2250683 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2250731), // Rule ID 48777 //
     /* 2250688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250701 */   // MIs[0] Operand 1
     /* 2250701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250714 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250721 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250730 */   // GIR_Coverage, 48777,
     /* 2250730 */   GIR_EraseRootFromParent_Done,
     /* 2250731 */ // Label 30206: @2250731
     /* 2250731 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2250779), // Rule ID 48778 //
     /* 2250736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2250742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2250745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250749 */   // MIs[0] Operand 1
     /* 2250749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250762 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250769 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250778 */   // GIR_Coverage, 48778,
     /* 2250778 */   GIR_EraseRootFromParent_Done,
     /* 2250779 */ // Label 30207: @2250779
     /* 2250779 */ GIM_Reject,
     /* 2250780 */ // Label 29692: @2250780
     /* 2250780 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2251556),
     /* 2250785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2250788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2250791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250795 */   GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2250833), // Rule ID 48377 //
     /* 2250800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250803 */     // MIs[0] Operand 1
     /* 2250803 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250816 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250832 */     // GIR_Coverage, 48377,
     /* 2250832 */     GIR_EraseRootFromParent_Done,
     /* 2250833 */   // Label 30209: @2250833
     /* 2250833 */   GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2250871), // Rule ID 48378 //
     /* 2250838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250841 */     // MIs[0] Operand 1
     /* 2250841 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250854 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250870 */     // GIR_Coverage, 48378,
     /* 2250870 */     GIR_EraseRootFromParent_Done,
     /* 2250871 */   // Label 30210: @2250871
     /* 2250871 */   GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2250909), // Rule ID 48421 //
     /* 2250876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250879 */     // MIs[0] Operand 1
     /* 2250879 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250892 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2250895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250908 */     // GIR_Coverage, 48421,
     /* 2250908 */     GIR_EraseRootFromParent_Done,
     /* 2250909 */   // Label 30211: @2250909
     /* 2250909 */   GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2250947), // Rule ID 48422 //
     /* 2250914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250917 */     // MIs[0] Operand 1
     /* 2250917 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250930 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2250933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250946 */     // GIR_Coverage, 48422,
     /* 2250946 */     GIR_EraseRootFromParent_Done,
     /* 2250947 */   // Label 30212: @2250947
     /* 2250947 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2250985), // Rule ID 48465 //
     /* 2250952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250955 */     // MIs[0] Operand 1
     /* 2250955 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250968 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2250971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250984 */     // GIR_Coverage, 48465,
     /* 2250984 */     GIR_EraseRootFromParent_Done,
     /* 2250985 */   // Label 30213: @2250985
     /* 2250985 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2251023), // Rule ID 48466 //
     /* 2250990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250993 */     // MIs[0] Operand 1
     /* 2250993 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251006 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251022 */     // GIR_Coverage, 48466,
     /* 2251022 */     GIR_EraseRootFromParent_Done,
     /* 2251023 */   // Label 30214: @2251023
     /* 2251023 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2251061), // Rule ID 48507 //
     /* 2251028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251031 */     // MIs[0] Operand 1
     /* 2251031 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251044 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251060 */     // GIR_Coverage, 48507,
     /* 2251060 */     GIR_EraseRootFromParent_Done,
     /* 2251061 */   // Label 30215: @2251061
     /* 2251061 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2251099), // Rule ID 48508 //
     /* 2251066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251069 */     // MIs[0] Operand 1
     /* 2251069 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251082 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251098 */     // GIR_Coverage, 48508,
     /* 2251098 */     GIR_EraseRootFromParent_Done,
     /* 2251099 */   // Label 30216: @2251099
     /* 2251099 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2251137), // Rule ID 48551 //
     /* 2251104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251107 */     // MIs[0] Operand 1
     /* 2251107 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251120 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251136 */     // GIR_Coverage, 48551,
     /* 2251136 */     GIR_EraseRootFromParent_Done,
     /* 2251137 */   // Label 30217: @2251137
     /* 2251137 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2251175), // Rule ID 48552 //
     /* 2251142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251145 */     // MIs[0] Operand 1
     /* 2251145 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251158 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251174 */     // GIR_Coverage, 48552,
     /* 2251174 */     GIR_EraseRootFromParent_Done,
     /* 2251175 */   // Label 30218: @2251175
     /* 2251175 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2251213), // Rule ID 48595 //
     /* 2251180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251183 */     // MIs[0] Operand 1
     /* 2251183 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251196 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251212 */     // GIR_Coverage, 48595,
     /* 2251212 */     GIR_EraseRootFromParent_Done,
     /* 2251213 */   // Label 30219: @2251213
     /* 2251213 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2251251), // Rule ID 48596 //
     /* 2251218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251221 */     // MIs[0] Operand 1
     /* 2251221 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251234 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251250 */     // GIR_Coverage, 48596,
     /* 2251250 */     GIR_EraseRootFromParent_Done,
     /* 2251251 */   // Label 30220: @2251251
     /* 2251251 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2251289), // Rule ID 48639 //
     /* 2251256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251259 */     // MIs[0] Operand 1
     /* 2251259 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251272 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251288 */     // GIR_Coverage, 48639,
     /* 2251288 */     GIR_EraseRootFromParent_Done,
     /* 2251289 */   // Label 30221: @2251289
     /* 2251289 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2251327), // Rule ID 48640 //
     /* 2251294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251297 */     // MIs[0] Operand 1
     /* 2251297 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251310 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251326 */     // GIR_Coverage, 48640,
     /* 2251326 */     GIR_EraseRootFromParent_Done,
     /* 2251327 */   // Label 30222: @2251327
     /* 2251327 */   GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2251365), // Rule ID 48683 //
     /* 2251332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251335 */     // MIs[0] Operand 1
     /* 2251335 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251348 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251364 */     // GIR_Coverage, 48683,
     /* 2251364 */     GIR_EraseRootFromParent_Done,
     /* 2251365 */   // Label 30223: @2251365
     /* 2251365 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2251403), // Rule ID 48684 //
     /* 2251370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251373 */     // MIs[0] Operand 1
     /* 2251373 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2251378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251386 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2251389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251402 */     // GIR_Coverage, 48684,
     /* 2251402 */     GIR_EraseRootFromParent_Done,
     /* 2251403 */   // Label 30224: @2251403
     /* 2251403 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2251441), // Rule ID 48727 //
     /* 2251408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251411 */     // MIs[0] Operand 1
     /* 2251411 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251424 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251440 */     // GIR_Coverage, 48727,
     /* 2251440 */     GIR_EraseRootFromParent_Done,
     /* 2251441 */   // Label 30225: @2251441
     /* 2251441 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2251479), // Rule ID 48728 //
     /* 2251446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251449 */     // MIs[0] Operand 1
     /* 2251449 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2251454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251462 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251478 */     // GIR_Coverage, 48728,
     /* 2251478 */     GIR_EraseRootFromParent_Done,
     /* 2251479 */   // Label 30226: @2251479
     /* 2251479 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2251517), // Rule ID 48771 //
     /* 2251484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251487 */     // MIs[0] Operand 1
     /* 2251487 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251500 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251516 */     // GIR_Coverage, 48771,
     /* 2251516 */     GIR_EraseRootFromParent_Done,
     /* 2251517 */   // Label 30227: @2251517
     /* 2251517 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2251555), // Rule ID 48772 //
     /* 2251522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251525 */     // MIs[0] Operand 1
     /* 2251525 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2251530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251538 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2251541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251554 */     // GIR_Coverage, 48772,
     /* 2251554 */     GIR_EraseRootFromParent_Done,
     /* 2251555 */   // Label 30228: @2251555
     /* 2251555 */   GIM_Reject,
     /* 2251556 */ // Label 30208: @2251556
     /* 2251556 */ GIM_Reject,
     /* 2251557 */ // Label 29693: @2251557
     /* 2251557 */ GIM_Reject,
     /* 2251558 */ // Label 49: @2251558
     /* 2251558 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30237*/ GIMT_Encode4(2259019),
     /* 2251569 */ /*GILLT_s32*//*Label 30229*/ GIMT_Encode4(2251677),
     /* 2251573 */ /*GILLT_s64*//*Label 30230*/ GIMT_Encode4(2252434),
     /* 2251577 */ /*GILLT_nxv1s1*//*Label 30231*/ GIMT_Encode4(2253317), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251597 */ /*GILLT_nxv2s1*//*Label 30232*/ GIMT_Encode4(2254470), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251617 */ /*GILLT_nxv4s1*//*Label 30233*/ GIMT_Encode4(2255623), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251637 */ /*GILLT_nxv8s1*//*Label 30234*/ GIMT_Encode4(2256776), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251657 */ /*GILLT_nxv16s1*//*Label 30235*/ GIMT_Encode4(2257929), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2251673 */ /*GILLT_nxv32s1*//*Label 30236*/ GIMT_Encode4(2258698),
     /* 2251677 */ // Label 30229: @2251677
     /* 2251677 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2251719), // Rule ID 1249 //
     /* 2251682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251695 */   // MIs[0] Operand 1
     /* 2251695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251708 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2251711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251718 */   // GIR_Coverage, 1249,
     /* 2251718 */   GIR_EraseRootFromParent_Done,
     /* 2251719 */ // Label 30238: @2251719
     /* 2251719 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2251761), // Rule ID 1253 //
     /* 2251724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251737 */   // MIs[0] Operand 1
     /* 2251737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251750 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2251753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251760 */   // GIR_Coverage, 1253,
     /* 2251760 */   GIR_EraseRootFromParent_Done,
     /* 2251761 */ // Label 30239: @2251761
     /* 2251761 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2251803), // Rule ID 1297 //
     /* 2251766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251779 */   // MIs[0] Operand 1
     /* 2251779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251792 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2251795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251802 */   // GIR_Coverage, 1297,
     /* 2251802 */   GIR_EraseRootFromParent_Done,
     /* 2251803 */ // Label 30240: @2251803
     /* 2251803 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2251845), // Rule ID 1301 //
     /* 2251808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251821 */   // MIs[0] Operand 1
     /* 2251821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251834 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2251837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251839 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251841 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251844 */   // GIR_Coverage, 1301,
     /* 2251844 */   GIR_EraseRootFromParent_Done,
     /* 2251845 */ // Label 30241: @2251845
     /* 2251845 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2251887), // Rule ID 1313 //
     /* 2251850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2251853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251863 */   // MIs[0] Operand 1
     /* 2251863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251876 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2251879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251886 */   // GIR_Coverage, 1313,
     /* 2251886 */   GIR_EraseRootFromParent_Done,
     /* 2251887 */ // Label 30242: @2251887
     /* 2251887 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2251929), // Rule ID 1317 //
     /* 2251892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2251895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251905 */   // MIs[0] Operand 1
     /* 2251905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251918 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2251921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251928 */   // GIR_Coverage, 1317,
     /* 2251928 */   GIR_EraseRootFromParent_Done,
     /* 2251929 */ // Label 30243: @2251929
     /* 2251929 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2251971), // Rule ID 1629 //
     /* 2251934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2251937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251947 */   // MIs[0] Operand 1
     /* 2251947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251960 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2251963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251967 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251970 */   // GIR_Coverage, 1629,
     /* 2251970 */   GIR_EraseRootFromParent_Done,
     /* 2251971 */ // Label 30244: @2251971
     /* 2251971 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2252013), // Rule ID 1633 //
     /* 2251976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2251979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251989 */   // MIs[0] Operand 1
     /* 2251989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252002 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252012 */   // GIR_Coverage, 1633,
     /* 2252012 */   GIR_EraseRootFromParent_Done,
     /* 2252013 */ // Label 30245: @2252013
     /* 2252013 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2252055), // Rule ID 1671 //
     /* 2252018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252031 */   // MIs[0] Operand 1
     /* 2252031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252044 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252054 */   // GIR_Coverage, 1671,
     /* 2252054 */   GIR_EraseRootFromParent_Done,
     /* 2252055 */ // Label 30246: @2252055
     /* 2252055 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2252097), // Rule ID 1679 //
     /* 2252060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2252063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252073 */   // MIs[0] Operand 1
     /* 2252073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252086 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252096 */   // GIR_Coverage, 1679,
     /* 2252096 */   GIR_EraseRootFromParent_Done,
     /* 2252097 */ // Label 30247: @2252097
     /* 2252097 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2252139), // Rule ID 1707 //
     /* 2252102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252115 */   // MIs[0] Operand 1
     /* 2252115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252128 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2252131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252138 */   // GIR_Coverage, 1707,
     /* 2252138 */   GIR_EraseRootFromParent_Done,
     /* 2252139 */ // Label 30248: @2252139
     /* 2252139 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2252181), // Rule ID 1715 //
     /* 2252144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2252147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252157 */   // MIs[0] Operand 1
     /* 2252157 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252166 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252170 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2252173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252175 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252180 */   // GIR_Coverage, 1715,
     /* 2252180 */   GIR_EraseRootFromParent_Done,
     /* 2252181 */ // Label 30249: @2252181
     /* 2252181 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2252223), // Rule ID 1962 //
     /* 2252186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252199 */   // MIs[0] Operand 1
     /* 2252199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252212 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2252215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252222 */   // GIR_Coverage, 1962,
     /* 2252222 */   GIR_EraseRootFromParent_Done,
     /* 2252223 */ // Label 30250: @2252223
     /* 2252223 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2252265), // Rule ID 1966 //
     /* 2252228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252241 */   // MIs[0] Operand 1
     /* 2252241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252254 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2252257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252264 */   // GIR_Coverage, 1966,
     /* 2252264 */   GIR_EraseRootFromParent_Done,
     /* 2252265 */ // Label 30251: @2252265
     /* 2252265 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2252307), // Rule ID 2010 //
     /* 2252270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252283 */   // MIs[0] Operand 1
     /* 2252283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252296 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2252299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252306 */   // GIR_Coverage, 2010,
     /* 2252306 */   GIR_EraseRootFromParent_Done,
     /* 2252307 */ // Label 30252: @2252307
     /* 2252307 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2252349), // Rule ID 2014 //
     /* 2252312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252325 */   // MIs[0] Operand 1
     /* 2252325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252338 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2252341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252348 */   // GIR_Coverage, 2014,
     /* 2252348 */   GIR_EraseRootFromParent_Done,
     /* 2252349 */ // Label 30253: @2252349
     /* 2252349 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2252391), // Rule ID 2026 //
     /* 2252354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2252357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252367 */   // MIs[0] Operand 1
     /* 2252367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252380 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2252383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252390 */   // GIR_Coverage, 2026,
     /* 2252390 */   GIR_EraseRootFromParent_Done,
     /* 2252391 */ // Label 30254: @2252391
     /* 2252391 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2252433), // Rule ID 2030 //
     /* 2252396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2252399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252409 */   // MIs[0] Operand 1
     /* 2252409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252422 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2252425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252432 */   // GIR_Coverage, 2030,
     /* 2252432 */   GIR_EraseRootFromParent_Done,
     /* 2252433 */ // Label 30255: @2252433
     /* 2252433 */ GIM_Reject,
     /* 2252434 */ // Label 30230: @2252434
     /* 2252434 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2252476), // Rule ID 1248 //
     /* 2252439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252452 */   // MIs[0] Operand 1
     /* 2252452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252465 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2252468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252475 */   // GIR_Coverage, 1248,
     /* 2252475 */   GIR_EraseRootFromParent_Done,
     /* 2252476 */ // Label 30256: @2252476
     /* 2252476 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2252518), // Rule ID 1252 //
     /* 2252481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252494 */   // MIs[0] Operand 1
     /* 2252494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252507 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2252510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252517 */   // GIR_Coverage, 1252,
     /* 2252517 */   GIR_EraseRootFromParent_Done,
     /* 2252518 */ // Label 30257: @2252518
     /* 2252518 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2252560), // Rule ID 1296 //
     /* 2252523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252536 */   // MIs[0] Operand 1
     /* 2252536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252549 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2252552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252559 */   // GIR_Coverage, 1296,
     /* 2252559 */   GIR_EraseRootFromParent_Done,
     /* 2252560 */ // Label 30258: @2252560
     /* 2252560 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2252602), // Rule ID 1300 //
     /* 2252565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252578 */   // MIs[0] Operand 1
     /* 2252578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252591 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2252594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252601 */   // GIR_Coverage, 1300,
     /* 2252601 */   GIR_EraseRootFromParent_Done,
     /* 2252602 */ // Label 30259: @2252602
     /* 2252602 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2252644), // Rule ID 1312 //
     /* 2252607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2252610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252620 */   // MIs[0] Operand 1
     /* 2252620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252633 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2252636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252643 */   // GIR_Coverage, 1312,
     /* 2252643 */   GIR_EraseRootFromParent_Done,
     /* 2252644 */ // Label 30260: @2252644
     /* 2252644 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2252686), // Rule ID 1316 //
     /* 2252649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2252652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2252655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2252658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252662 */   // MIs[0] Operand 1
     /* 2252662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252675 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2252675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2252678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252685 */   // GIR_Coverage, 1316,
     /* 2252685 */   GIR_EraseRootFromParent_Done,
     /* 2252686 */ // Label 30261: @2252686
     /* 2252686 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2252728), // Rule ID 1628 //
     /* 2252691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252704 */   // MIs[0] Operand 1
     /* 2252704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252717 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2252720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252727 */   // GIR_Coverage, 1628,
     /* 2252727 */   GIR_EraseRootFromParent_Done,
     /* 2252728 */ // Label 30262: @2252728
     /* 2252728 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2252770), // Rule ID 1632 //
     /* 2252733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2252736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252746 */   // MIs[0] Operand 1
     /* 2252746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2252759 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2252762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252769 */   // GIR_Coverage, 1632,
     /* 2252769 */   GIR_EraseRootFromParent_Done,
     /* 2252770 */ // Label 30263: @2252770
     /* 2252770 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2252812), // Rule ID 1635 //
     /* 2252775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252788 */   // MIs[0] Operand 1
     /* 2252788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252801 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2252804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252811 */   // GIR_Coverage, 1635,
     /* 2252811 */   GIR_EraseRootFromParent_Done,
     /* 2252812 */ // Label 30264: @2252812
     /* 2252812 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2252854), // Rule ID 1670 //
     /* 2252817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252830 */   // MIs[0] Operand 1
     /* 2252830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252843 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2252846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252853 */   // GIR_Coverage, 1670,
     /* 2252853 */   GIR_EraseRootFromParent_Done,
     /* 2252854 */ // Label 30265: @2252854
     /* 2252854 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2252896), // Rule ID 1678 //
     /* 2252859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2252862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252872 */   // MIs[0] Operand 1
     /* 2252872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252885 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2252888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252895 */   // GIR_Coverage, 1678,
     /* 2252895 */   GIR_EraseRootFromParent_Done,
     /* 2252896 */ // Label 30266: @2252896
     /* 2252896 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2252938), // Rule ID 1687 //
     /* 2252901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252914 */   // MIs[0] Operand 1
     /* 2252914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252927 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2252930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252937 */   // GIR_Coverage, 1687,
     /* 2252937 */   GIR_EraseRootFromParent_Done,
     /* 2252938 */ // Label 30267: @2252938
     /* 2252938 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2252980), // Rule ID 1691 //
     /* 2252943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252956 */   // MIs[0] Operand 1
     /* 2252956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252969 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2252969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2252972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252979 */   // GIR_Coverage, 1691,
     /* 2252979 */   GIR_EraseRootFromParent_Done,
     /* 2252980 */ // Label 30268: @2252980
     /* 2252980 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2253022), // Rule ID 1706 //
     /* 2252985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2252988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2252991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2252994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252998 */   // MIs[0] Operand 1
     /* 2252998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253011 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2253014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253018 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253021 */   // GIR_Coverage, 1706,
     /* 2253021 */   GIR_EraseRootFromParent_Done,
     /* 2253022 */ // Label 30269: @2253022
     /* 2253022 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2253064), // Rule ID 1714 //
     /* 2253027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2253030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253040 */   // MIs[0] Operand 1
     /* 2253040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2253053 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2253053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2253056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253063 */   // GIR_Coverage, 1714,
     /* 2253063 */   GIR_EraseRootFromParent_Done,
     /* 2253064 */ // Label 30270: @2253064
     /* 2253064 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2253106), // Rule ID 1961 //
     /* 2253069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253082 */   // MIs[0] Operand 1
     /* 2253082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253095 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2253098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253105 */   // GIR_Coverage, 1961,
     /* 2253105 */   GIR_EraseRootFromParent_Done,
     /* 2253106 */ // Label 30271: @2253106
     /* 2253106 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2253148), // Rule ID 1965 //
     /* 2253111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253124 */   // MIs[0] Operand 1
     /* 2253124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253137 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2253140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253147 */   // GIR_Coverage, 1965,
     /* 2253147 */   GIR_EraseRootFromParent_Done,
     /* 2253148 */ // Label 30272: @2253148
     /* 2253148 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2253190), // Rule ID 2009 //
     /* 2253153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253166 */   // MIs[0] Operand 1
     /* 2253166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253179 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2253182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253184 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253189 */   // GIR_Coverage, 2009,
     /* 2253189 */   GIR_EraseRootFromParent_Done,
     /* 2253190 */ // Label 30273: @2253190
     /* 2253190 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2253232), // Rule ID 2013 //
     /* 2253195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253208 */   // MIs[0] Operand 1
     /* 2253208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253221 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2253224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253231 */   // GIR_Coverage, 2013,
     /* 2253231 */   GIR_EraseRootFromParent_Done,
     /* 2253232 */ // Label 30274: @2253232
     /* 2253232 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2253274), // Rule ID 2025 //
     /* 2253237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2253240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253250 */   // MIs[0] Operand 1
     /* 2253250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253263 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2253266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253273 */   // GIR_Coverage, 2025,
     /* 2253273 */   GIR_EraseRootFromParent_Done,
     /* 2253274 */ // Label 30275: @2253274
     /* 2253274 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2253316), // Rule ID 2029 //
     /* 2253279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2253282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2253285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253292 */   // MIs[0] Operand 1
     /* 2253292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2253305 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2253305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2253308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253315 */   // GIR_Coverage, 2029,
     /* 2253315 */   GIR_EraseRootFromParent_Done,
     /* 2253316 */ // Label 30276: @2253316
     /* 2253316 */ GIM_Reject,
     /* 2253317 */ // Label 30231: @2253317
     /* 2253317 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2253365), // Rule ID 56717 //
     /* 2253322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253335 */   // MIs[0] Operand 1
     /* 2253335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253348 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253364 */   // GIR_Coverage, 56717,
     /* 2253364 */   GIR_EraseRootFromParent_Done,
     /* 2253365 */ // Label 30277: @2253365
     /* 2253365 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2253413), // Rule ID 56718 //
     /* 2253370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253383 */   // MIs[0] Operand 1
     /* 2253383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253396 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2253399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253412 */   // GIR_Coverage, 56718,
     /* 2253412 */   GIR_EraseRootFromParent_Done,
     /* 2253413 */ // Label 30278: @2253413
     /* 2253413 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2253461), // Rule ID 56737 //
     /* 2253418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253431 */   // MIs[0] Operand 1
     /* 2253431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253444 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253460 */   // GIR_Coverage, 56737,
     /* 2253460 */   GIR_EraseRootFromParent_Done,
     /* 2253461 */ // Label 30279: @2253461
     /* 2253461 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2253509), // Rule ID 56738 //
     /* 2253466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253479 */   // MIs[0] Operand 1
     /* 2253479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253492 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253508 */   // GIR_Coverage, 56738,
     /* 2253508 */   GIR_EraseRootFromParent_Done,
     /* 2253509 */ // Label 30280: @2253509
     /* 2253509 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2253557), // Rule ID 56767 //
     /* 2253514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253527 */   // MIs[0] Operand 1
     /* 2253527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253540 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253556 */   // GIR_Coverage, 56767,
     /* 2253556 */   GIR_EraseRootFromParent_Done,
     /* 2253557 */ // Label 30281: @2253557
     /* 2253557 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2253605), // Rule ID 56768 //
     /* 2253562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253575 */   // MIs[0] Operand 1
     /* 2253575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253588 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253604 */   // GIR_Coverage, 56768,
     /* 2253604 */   GIR_EraseRootFromParent_Done,
     /* 2253605 */ // Label 30282: @2253605
     /* 2253605 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2253653), // Rule ID 57017 //
     /* 2253610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253623 */   // MIs[0] Operand 1
     /* 2253623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253636 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2253639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253652 */   // GIR_Coverage, 57017,
     /* 2253652 */   GIR_EraseRootFromParent_Done,
     /* 2253653 */ // Label 30283: @2253653
     /* 2253653 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2253701), // Rule ID 57018 //
     /* 2253658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253671 */   // MIs[0] Operand 1
     /* 2253671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253684 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2253687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253700 */   // GIR_Coverage, 57018,
     /* 2253700 */   GIR_EraseRootFromParent_Done,
     /* 2253701 */ // Label 30284: @2253701
     /* 2253701 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2253749), // Rule ID 57037 //
     /* 2253706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253719 */   // MIs[0] Operand 1
     /* 2253719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253732 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253748 */   // GIR_Coverage, 57037,
     /* 2253748 */   GIR_EraseRootFromParent_Done,
     /* 2253749 */ // Label 30285: @2253749
     /* 2253749 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2253797), // Rule ID 57038 //
     /* 2253754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253767 */   // MIs[0] Operand 1
     /* 2253767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253780 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253796 */   // GIR_Coverage, 57038,
     /* 2253796 */   GIR_EraseRootFromParent_Done,
     /* 2253797 */ // Label 30286: @2253797
     /* 2253797 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2253845), // Rule ID 57067 //
     /* 2253802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253815 */   // MIs[0] Operand 1
     /* 2253815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253828 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253833 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253844 */   // GIR_Coverage, 57067,
     /* 2253844 */   GIR_EraseRootFromParent_Done,
     /* 2253845 */ // Label 30287: @2253845
     /* 2253845 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2253893), // Rule ID 57068 //
     /* 2253850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253863 */   // MIs[0] Operand 1
     /* 2253863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253876 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253892 */   // GIR_Coverage, 57068,
     /* 2253892 */   GIR_EraseRootFromParent_Done,
     /* 2253893 */ // Label 30288: @2253893
     /* 2253893 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2253941), // Rule ID 57317 //
     /* 2253898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253911 */   // MIs[0] Operand 1
     /* 2253911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253924 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2253927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253929 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253940 */   // GIR_Coverage, 57317,
     /* 2253940 */   GIR_EraseRootFromParent_Done,
     /* 2253941 */ // Label 30289: @2253941
     /* 2253941 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2253989), // Rule ID 57318 //
     /* 2253946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253959 */   // MIs[0] Operand 1
     /* 2253959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253972 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2253975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253977 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253988 */   // GIR_Coverage, 57318,
     /* 2253988 */   GIR_EraseRootFromParent_Done,
     /* 2253989 */ // Label 30290: @2253989
     /* 2253989 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2254037), // Rule ID 57337 //
     /* 2253994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254007 */   // MIs[0] Operand 1
     /* 2254007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254020 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254025 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254036 */   // GIR_Coverage, 57337,
     /* 2254036 */   GIR_EraseRootFromParent_Done,
     /* 2254037 */ // Label 30291: @2254037
     /* 2254037 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2254085), // Rule ID 57338 //
     /* 2254042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254055 */   // MIs[0] Operand 1
     /* 2254055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254068 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2254071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254084 */   // GIR_Coverage, 57338,
     /* 2254084 */   GIR_EraseRootFromParent_Done,
     /* 2254085 */ // Label 30292: @2254085
     /* 2254085 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2254133), // Rule ID 57367 //
     /* 2254090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254103 */   // MIs[0] Operand 1
     /* 2254103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254116 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254132 */   // GIR_Coverage, 57367,
     /* 2254132 */   GIR_EraseRootFromParent_Done,
     /* 2254133 */ // Label 30293: @2254133
     /* 2254133 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2254181), // Rule ID 57368 //
     /* 2254138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254151 */   // MIs[0] Operand 1
     /* 2254151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254160 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254164 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254171 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254180 */   // GIR_Coverage, 57368,
     /* 2254180 */   GIR_EraseRootFromParent_Done,
     /* 2254181 */ // Label 30294: @2254181
     /* 2254181 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2254229), // Rule ID 57617 //
     /* 2254186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254199 */   // MIs[0] Operand 1
     /* 2254199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254212 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254228 */   // GIR_Coverage, 57617,
     /* 2254228 */   GIR_EraseRootFromParent_Done,
     /* 2254229 */ // Label 30295: @2254229
     /* 2254229 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2254277), // Rule ID 57618 //
     /* 2254234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2254240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2254243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254247 */   // MIs[0] Operand 1
     /* 2254247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254256 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254260 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2254263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254265 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254267 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254276 */   // GIR_Coverage, 57618,
     /* 2254276 */   GIR_EraseRootFromParent_Done,
     /* 2254277 */ // Label 30296: @2254277
     /* 2254277 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2254325), // Rule ID 57637 //
     /* 2254282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254288 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254295 */   // MIs[0] Operand 1
     /* 2254295 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254304 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254308 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254313 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254315 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254324 */   // GIR_Coverage, 57637,
     /* 2254324 */   GIR_EraseRootFromParent_Done,
     /* 2254325 */ // Label 30297: @2254325
     /* 2254325 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2254373), // Rule ID 57638 //
     /* 2254330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2254336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2254339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254343 */   // MIs[0] Operand 1
     /* 2254343 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254352 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254356 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254361 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254363 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254372 */   // GIR_Coverage, 57638,
     /* 2254372 */   GIR_EraseRootFromParent_Done,
     /* 2254373 */ // Label 30298: @2254373
     /* 2254373 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2254421), // Rule ID 57667 //
     /* 2254378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254391 */   // MIs[0] Operand 1
     /* 2254391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254404 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254420 */   // GIR_Coverage, 57667,
     /* 2254420 */   GIR_EraseRootFromParent_Done,
     /* 2254421 */ // Label 30299: @2254421
     /* 2254421 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2254469), // Rule ID 57668 //
     /* 2254426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254432 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254439 */   // MIs[0] Operand 1
     /* 2254439 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254448 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254452 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254457 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254468 */   // GIR_Coverage, 57668,
     /* 2254468 */   GIR_EraseRootFromParent_Done,
     /* 2254469 */ // Label 30300: @2254469
     /* 2254469 */ GIM_Reject,
     /* 2254470 */ // Label 30232: @2254470
     /* 2254470 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2254518), // Rule ID 56727 //
     /* 2254475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254488 */   // MIs[0] Operand 1
     /* 2254488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254501 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254506 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254517 */   // GIR_Coverage, 56727,
     /* 2254517 */   GIR_EraseRootFromParent_Done,
     /* 2254518 */ // Label 30301: @2254518
     /* 2254518 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2254566), // Rule ID 56728 //
     /* 2254523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254536 */   // MIs[0] Operand 1
     /* 2254536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254549 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2254552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254565 */   // GIR_Coverage, 56728,
     /* 2254565 */   GIR_EraseRootFromParent_Done,
     /* 2254566 */ // Label 30302: @2254566
     /* 2254566 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2254614), // Rule ID 56757 //
     /* 2254571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254584 */   // MIs[0] Operand 1
     /* 2254584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254597 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254613 */   // GIR_Coverage, 56757,
     /* 2254613 */   GIR_EraseRootFromParent_Done,
     /* 2254614 */ // Label 30303: @2254614
     /* 2254614 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2254662), // Rule ID 56758 //
     /* 2254619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254632 */   // MIs[0] Operand 1
     /* 2254632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254645 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254661 */   // GIR_Coverage, 56758,
     /* 2254661 */   GIR_EraseRootFromParent_Done,
     /* 2254662 */ // Label 30304: @2254662
     /* 2254662 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2254710), // Rule ID 56837 //
     /* 2254667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254680 */   // MIs[0] Operand 1
     /* 2254680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254693 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254709 */   // GIR_Coverage, 56837,
     /* 2254709 */   GIR_EraseRootFromParent_Done,
     /* 2254710 */ // Label 30305: @2254710
     /* 2254710 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2254758), // Rule ID 56838 //
     /* 2254715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254728 */   // MIs[0] Operand 1
     /* 2254728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254741 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254746 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254748 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254757 */   // GIR_Coverage, 56838,
     /* 2254757 */   GIR_EraseRootFromParent_Done,
     /* 2254758 */ // Label 30306: @2254758
     /* 2254758 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2254806), // Rule ID 57027 //
     /* 2254763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254776 */   // MIs[0] Operand 1
     /* 2254776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254789 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254805 */   // GIR_Coverage, 57027,
     /* 2254805 */   GIR_EraseRootFromParent_Done,
     /* 2254806 */ // Label 30307: @2254806
     /* 2254806 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2254854), // Rule ID 57028 //
     /* 2254811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254824 */   // MIs[0] Operand 1
     /* 2254824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254837 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2254840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254853 */   // GIR_Coverage, 57028,
     /* 2254853 */   GIR_EraseRootFromParent_Done,
     /* 2254854 */ // Label 30308: @2254854
     /* 2254854 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2254902), // Rule ID 57057 //
     /* 2254859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254872 */   // MIs[0] Operand 1
     /* 2254872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254885 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254901 */   // GIR_Coverage, 57057,
     /* 2254901 */   GIR_EraseRootFromParent_Done,
     /* 2254902 */ // Label 30309: @2254902
     /* 2254902 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2254950), // Rule ID 57058 //
     /* 2254907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254920 */   // MIs[0] Operand 1
     /* 2254920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254933 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254949 */   // GIR_Coverage, 57058,
     /* 2254949 */   GIR_EraseRootFromParent_Done,
     /* 2254950 */ // Label 30310: @2254950
     /* 2254950 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2254998), // Rule ID 57137 //
     /* 2254955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254968 */   // MIs[0] Operand 1
     /* 2254968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254981 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2254984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254997 */   // GIR_Coverage, 57137,
     /* 2254997 */   GIR_EraseRootFromParent_Done,
     /* 2254998 */ // Label 30311: @2254998
     /* 2254998 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2255046), // Rule ID 57138 //
     /* 2255003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255016 */   // MIs[0] Operand 1
     /* 2255016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255029 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255045 */   // GIR_Coverage, 57138,
     /* 2255045 */   GIR_EraseRootFromParent_Done,
     /* 2255046 */ // Label 30312: @2255046
     /* 2255046 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2255094), // Rule ID 57327 //
     /* 2255051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255064 */   // MIs[0] Operand 1
     /* 2255064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255077 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255084 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255093 */   // GIR_Coverage, 57327,
     /* 2255093 */   GIR_EraseRootFromParent_Done,
     /* 2255094 */ // Label 30313: @2255094
     /* 2255094 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2255142), // Rule ID 57328 //
     /* 2255099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255112 */   // MIs[0] Operand 1
     /* 2255112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255125 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2255128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255132 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255141 */   // GIR_Coverage, 57328,
     /* 2255141 */   GIR_EraseRootFromParent_Done,
     /* 2255142 */ // Label 30314: @2255142
     /* 2255142 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2255190), // Rule ID 57357 //
     /* 2255147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255160 */   // MIs[0] Operand 1
     /* 2255160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255173 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255180 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255189 */   // GIR_Coverage, 57357,
     /* 2255189 */   GIR_EraseRootFromParent_Done,
     /* 2255190 */ // Label 30315: @2255190
     /* 2255190 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2255238), // Rule ID 57358 //
     /* 2255195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255208 */   // MIs[0] Operand 1
     /* 2255208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255221 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255237 */   // GIR_Coverage, 57358,
     /* 2255237 */   GIR_EraseRootFromParent_Done,
     /* 2255238 */ // Label 30316: @2255238
     /* 2255238 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2255286), // Rule ID 57437 //
     /* 2255243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255256 */   // MIs[0] Operand 1
     /* 2255256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255269 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255285 */   // GIR_Coverage, 57437,
     /* 2255285 */   GIR_EraseRootFromParent_Done,
     /* 2255286 */ // Label 30317: @2255286
     /* 2255286 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2255334), // Rule ID 57438 //
     /* 2255291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255304 */   // MIs[0] Operand 1
     /* 2255304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255317 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255322 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255324 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255333 */   // GIR_Coverage, 57438,
     /* 2255333 */   GIR_EraseRootFromParent_Done,
     /* 2255334 */ // Label 30318: @2255334
     /* 2255334 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2255382), // Rule ID 57627 //
     /* 2255339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255352 */   // MIs[0] Operand 1
     /* 2255352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255365 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255370 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255372 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255381 */   // GIR_Coverage, 57627,
     /* 2255381 */   GIR_EraseRootFromParent_Done,
     /* 2255382 */ // Label 30319: @2255382
     /* 2255382 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2255430), // Rule ID 57628 //
     /* 2255387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255400 */   // MIs[0] Operand 1
     /* 2255400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255413 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2255416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255418 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255420 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255429 */   // GIR_Coverage, 57628,
     /* 2255429 */   GIR_EraseRootFromParent_Done,
     /* 2255430 */ // Label 30320: @2255430
     /* 2255430 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2255478), // Rule ID 57657 //
     /* 2255435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255448 */   // MIs[0] Operand 1
     /* 2255448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255461 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255468 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255477 */   // GIR_Coverage, 57657,
     /* 2255477 */   GIR_EraseRootFromParent_Done,
     /* 2255478 */ // Label 30321: @2255478
     /* 2255478 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2255526), // Rule ID 57658 //
     /* 2255483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255496 */   // MIs[0] Operand 1
     /* 2255496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255509 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255516 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255525 */   // GIR_Coverage, 57658,
     /* 2255525 */   GIR_EraseRootFromParent_Done,
     /* 2255526 */ // Label 30322: @2255526
     /* 2255526 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2255574), // Rule ID 57737 //
     /* 2255531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255544 */   // MIs[0] Operand 1
     /* 2255544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255557 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255564 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255573 */   // GIR_Coverage, 57737,
     /* 2255573 */   GIR_EraseRootFromParent_Done,
     /* 2255574 */ // Label 30323: @2255574
     /* 2255574 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2255622), // Rule ID 57738 //
     /* 2255579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255592 */   // MIs[0] Operand 1
     /* 2255592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255605 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255610 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255612 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255621 */   // GIR_Coverage, 57738,
     /* 2255621 */   GIR_EraseRootFromParent_Done,
     /* 2255622 */ // Label 30324: @2255622
     /* 2255622 */ GIM_Reject,
     /* 2255623 */ // Label 30233: @2255623
     /* 2255623 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2255671), // Rule ID 56747 //
     /* 2255628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255641 */   // MIs[0] Operand 1
     /* 2255641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255654 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255670 */   // GIR_Coverage, 56747,
     /* 2255670 */   GIR_EraseRootFromParent_Done,
     /* 2255671 */ // Label 30325: @2255671
     /* 2255671 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2255719), // Rule ID 56748 //
     /* 2255676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255689 */   // MIs[0] Operand 1
     /* 2255689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255702 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2255705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255718 */   // GIR_Coverage, 56748,
     /* 2255718 */   GIR_EraseRootFromParent_Done,
     /* 2255719 */ // Label 30326: @2255719
     /* 2255719 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2255767), // Rule ID 56807 //
     /* 2255724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255737 */   // MIs[0] Operand 1
     /* 2255737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255750 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255766 */   // GIR_Coverage, 56807,
     /* 2255766 */   GIR_EraseRootFromParent_Done,
     /* 2255767 */ // Label 30327: @2255767
     /* 2255767 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2255815), // Rule ID 56808 //
     /* 2255772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255785 */   // MIs[0] Operand 1
     /* 2255785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255798 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255814 */   // GIR_Coverage, 56808,
     /* 2255814 */   GIR_EraseRootFromParent_Done,
     /* 2255815 */ // Label 30328: @2255815
     /* 2255815 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2255863), // Rule ID 56847 //
     /* 2255820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255833 */   // MIs[0] Operand 1
     /* 2255833 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255842 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255846 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255862 */   // GIR_Coverage, 56847,
     /* 2255862 */   GIR_EraseRootFromParent_Done,
     /* 2255863 */ // Label 30329: @2255863
     /* 2255863 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2255911), // Rule ID 56848 //
     /* 2255868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255881 */   // MIs[0] Operand 1
     /* 2255881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255890 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255894 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255910 */   // GIR_Coverage, 56848,
     /* 2255910 */   GIR_EraseRootFromParent_Done,
     /* 2255911 */ // Label 30330: @2255911
     /* 2255911 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2255959), // Rule ID 57047 //
     /* 2255916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255929 */   // MIs[0] Operand 1
     /* 2255929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255942 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255949 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255958 */   // GIR_Coverage, 57047,
     /* 2255958 */   GIR_EraseRootFromParent_Done,
     /* 2255959 */ // Label 30331: @2255959
     /* 2255959 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2256007), // Rule ID 57048 //
     /* 2255964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255977 */   // MIs[0] Operand 1
     /* 2255977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255990 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2255993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256006 */   // GIR_Coverage, 57048,
     /* 2256006 */   GIR_EraseRootFromParent_Done,
     /* 2256007 */ // Label 30332: @2256007
     /* 2256007 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2256055), // Rule ID 57107 //
     /* 2256012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256025 */   // MIs[0] Operand 1
     /* 2256025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256038 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256043 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256045 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256054 */   // GIR_Coverage, 57107,
     /* 2256054 */   GIR_EraseRootFromParent_Done,
     /* 2256055 */ // Label 30333: @2256055
     /* 2256055 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2256103), // Rule ID 57108 //
     /* 2256060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256073 */   // MIs[0] Operand 1
     /* 2256073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256086 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2256089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256102 */   // GIR_Coverage, 57108,
     /* 2256102 */   GIR_EraseRootFromParent_Done,
     /* 2256103 */ // Label 30334: @2256103
     /* 2256103 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2256151), // Rule ID 57147 //
     /* 2256108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256114 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256121 */   // MIs[0] Operand 1
     /* 2256121 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256130 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256134 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256139 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256150 */   // GIR_Coverage, 57147,
     /* 2256150 */   GIR_EraseRootFromParent_Done,
     /* 2256151 */ // Label 30335: @2256151
     /* 2256151 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2256199), // Rule ID 57148 //
     /* 2256156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256169 */   // MIs[0] Operand 1
     /* 2256169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256178 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256182 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256187 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256198 */   // GIR_Coverage, 57148,
     /* 2256198 */   GIR_EraseRootFromParent_Done,
     /* 2256199 */ // Label 30336: @2256199
     /* 2256199 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2256247), // Rule ID 57347 //
     /* 2256204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256217 */   // MIs[0] Operand 1
     /* 2256217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256226 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256230 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256235 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256246 */   // GIR_Coverage, 57347,
     /* 2256246 */   GIR_EraseRootFromParent_Done,
     /* 2256247 */ // Label 30337: @2256247
     /* 2256247 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2256295), // Rule ID 57348 //
     /* 2256252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256265 */   // MIs[0] Operand 1
     /* 2256265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256278 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2256281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256283 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256294 */   // GIR_Coverage, 57348,
     /* 2256294 */   GIR_EraseRootFromParent_Done,
     /* 2256295 */ // Label 30338: @2256295
     /* 2256295 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2256343), // Rule ID 57407 //
     /* 2256300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256313 */   // MIs[0] Operand 1
     /* 2256313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256322 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256326 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256342 */   // GIR_Coverage, 57407,
     /* 2256342 */   GIR_EraseRootFromParent_Done,
     /* 2256343 */ // Label 30339: @2256343
     /* 2256343 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2256391), // Rule ID 57408 //
     /* 2256348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256361 */   // MIs[0] Operand 1
     /* 2256361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256370 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256374 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256390 */   // GIR_Coverage, 57408,
     /* 2256390 */   GIR_EraseRootFromParent_Done,
     /* 2256391 */ // Label 30340: @2256391
     /* 2256391 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2256439), // Rule ID 57447 //
     /* 2256396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256409 */   // MIs[0] Operand 1
     /* 2256409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256422 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256438 */   // GIR_Coverage, 57447,
     /* 2256438 */   GIR_EraseRootFromParent_Done,
     /* 2256439 */ // Label 30341: @2256439
     /* 2256439 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2256487), // Rule ID 57448 //
     /* 2256444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256457 */   // MIs[0] Operand 1
     /* 2256457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256466 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256470 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256486 */   // GIR_Coverage, 57448,
     /* 2256486 */   GIR_EraseRootFromParent_Done,
     /* 2256487 */ // Label 30342: @2256487
     /* 2256487 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2256535), // Rule ID 57647 //
     /* 2256492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256505 */   // MIs[0] Operand 1
     /* 2256505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256514 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256518 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256534 */   // GIR_Coverage, 57647,
     /* 2256534 */   GIR_EraseRootFromParent_Done,
     /* 2256535 */ // Label 30343: @2256535
     /* 2256535 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2256583), // Rule ID 57648 //
     /* 2256540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256553 */   // MIs[0] Operand 1
     /* 2256553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256562 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256566 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2256569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256582 */   // GIR_Coverage, 57648,
     /* 2256582 */   GIR_EraseRootFromParent_Done,
     /* 2256583 */ // Label 30344: @2256583
     /* 2256583 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2256631), // Rule ID 57707 //
     /* 2256588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256601 */   // MIs[0] Operand 1
     /* 2256601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256614 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256630 */   // GIR_Coverage, 57707,
     /* 2256630 */   GIR_EraseRootFromParent_Done,
     /* 2256631 */ // Label 30345: @2256631
     /* 2256631 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2256679), // Rule ID 57708 //
     /* 2256636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2256642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2256645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256649 */   // MIs[0] Operand 1
     /* 2256649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256662 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256669 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256678 */   // GIR_Coverage, 57708,
     /* 2256678 */   GIR_EraseRootFromParent_Done,
     /* 2256679 */ // Label 30346: @2256679
     /* 2256679 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2256727), // Rule ID 57747 //
     /* 2256684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256697 */   // MIs[0] Operand 1
     /* 2256697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256706 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256710 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256726 */   // GIR_Coverage, 57747,
     /* 2256726 */   GIR_EraseRootFromParent_Done,
     /* 2256727 */ // Label 30347: @2256727
     /* 2256727 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2256775), // Rule ID 57748 //
     /* 2256732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2256738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2256741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256745 */   // MIs[0] Operand 1
     /* 2256745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256758 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256774 */   // GIR_Coverage, 57748,
     /* 2256774 */   GIR_EraseRootFromParent_Done,
     /* 2256775 */ // Label 30348: @2256775
     /* 2256775 */ GIM_Reject,
     /* 2256776 */ // Label 30234: @2256776
     /* 2256776 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2256824), // Rule ID 56777 //
     /* 2256781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256794 */   // MIs[0] Operand 1
     /* 2256794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256807 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256823 */   // GIR_Coverage, 56777,
     /* 2256823 */   GIR_EraseRootFromParent_Done,
     /* 2256824 */ // Label 30349: @2256824
     /* 2256824 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2256872), // Rule ID 56778 //
     /* 2256829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256842 */   // MIs[0] Operand 1
     /* 2256842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256855 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2256858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256871 */   // GIR_Coverage, 56778,
     /* 2256871 */   GIR_EraseRootFromParent_Done,
     /* 2256872 */ // Label 30350: @2256872
     /* 2256872 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2256920), // Rule ID 56817 //
     /* 2256877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256890 */   // MIs[0] Operand 1
     /* 2256890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256903 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256919 */   // GIR_Coverage, 56817,
     /* 2256919 */   GIR_EraseRootFromParent_Done,
     /* 2256920 */ // Label 30351: @2256920
     /* 2256920 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2256968), // Rule ID 56818 //
     /* 2256925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256938 */   // MIs[0] Operand 1
     /* 2256938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256951 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256967 */   // GIR_Coverage, 56818,
     /* 2256967 */   GIR_EraseRootFromParent_Done,
     /* 2256968 */ // Label 30352: @2256968
     /* 2256968 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2257016), // Rule ID 56857 //
     /* 2256973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256986 */   // MIs[0] Operand 1
     /* 2256986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256999 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257006 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257015 */   // GIR_Coverage, 56857,
     /* 2257015 */   GIR_EraseRootFromParent_Done,
     /* 2257016 */ // Label 30353: @2257016
     /* 2257016 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2257064), // Rule ID 56858 //
     /* 2257021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257034 */   // MIs[0] Operand 1
     /* 2257034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257047 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257063 */   // GIR_Coverage, 56858,
     /* 2257063 */   GIR_EraseRootFromParent_Done,
     /* 2257064 */ // Label 30354: @2257064
     /* 2257064 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2257112), // Rule ID 57077 //
     /* 2257069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257082 */   // MIs[0] Operand 1
     /* 2257082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257095 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257111 */   // GIR_Coverage, 57077,
     /* 2257111 */   GIR_EraseRootFromParent_Done,
     /* 2257112 */ // Label 30355: @2257112
     /* 2257112 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2257160), // Rule ID 57078 //
     /* 2257117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257130 */   // MIs[0] Operand 1
     /* 2257130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257143 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2257146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257159 */   // GIR_Coverage, 57078,
     /* 2257159 */   GIR_EraseRootFromParent_Done,
     /* 2257160 */ // Label 30356: @2257160
     /* 2257160 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2257208), // Rule ID 57117 //
     /* 2257165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257178 */   // MIs[0] Operand 1
     /* 2257178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257191 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257207 */   // GIR_Coverage, 57117,
     /* 2257207 */   GIR_EraseRootFromParent_Done,
     /* 2257208 */ // Label 30357: @2257208
     /* 2257208 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2257256), // Rule ID 57118 //
     /* 2257213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257226 */   // MIs[0] Operand 1
     /* 2257226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257239 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257255 */   // GIR_Coverage, 57118,
     /* 2257255 */   GIR_EraseRootFromParent_Done,
     /* 2257256 */ // Label 30358: @2257256
     /* 2257256 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2257304), // Rule ID 57157 //
     /* 2257261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257274 */   // MIs[0] Operand 1
     /* 2257274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257287 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257303 */   // GIR_Coverage, 57157,
     /* 2257303 */   GIR_EraseRootFromParent_Done,
     /* 2257304 */ // Label 30359: @2257304
     /* 2257304 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2257352), // Rule ID 57158 //
     /* 2257309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257322 */   // MIs[0] Operand 1
     /* 2257322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257335 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257351 */   // GIR_Coverage, 57158,
     /* 2257351 */   GIR_EraseRootFromParent_Done,
     /* 2257352 */ // Label 30360: @2257352
     /* 2257352 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2257400), // Rule ID 57377 //
     /* 2257357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257370 */   // MIs[0] Operand 1
     /* 2257370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257383 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257399 */   // GIR_Coverage, 57377,
     /* 2257399 */   GIR_EraseRootFromParent_Done,
     /* 2257400 */ // Label 30361: @2257400
     /* 2257400 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2257448), // Rule ID 57378 //
     /* 2257405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257418 */   // MIs[0] Operand 1
     /* 2257418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257431 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2257434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257447 */   // GIR_Coverage, 57378,
     /* 2257447 */   GIR_EraseRootFromParent_Done,
     /* 2257448 */ // Label 30362: @2257448
     /* 2257448 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2257496), // Rule ID 57417 //
     /* 2257453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257466 */   // MIs[0] Operand 1
     /* 2257466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257479 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257495 */   // GIR_Coverage, 57417,
     /* 2257495 */   GIR_EraseRootFromParent_Done,
     /* 2257496 */ // Label 30363: @2257496
     /* 2257496 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2257544), // Rule ID 57418 //
     /* 2257501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257514 */   // MIs[0] Operand 1
     /* 2257514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257527 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257543 */   // GIR_Coverage, 57418,
     /* 2257543 */   GIR_EraseRootFromParent_Done,
     /* 2257544 */ // Label 30364: @2257544
     /* 2257544 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2257592), // Rule ID 57457 //
     /* 2257549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257562 */   // MIs[0] Operand 1
     /* 2257562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257575 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257591 */   // GIR_Coverage, 57457,
     /* 2257591 */   GIR_EraseRootFromParent_Done,
     /* 2257592 */ // Label 30365: @2257592
     /* 2257592 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2257640), // Rule ID 57458 //
     /* 2257597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257610 */   // MIs[0] Operand 1
     /* 2257610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257623 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257630 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257639 */   // GIR_Coverage, 57458,
     /* 2257639 */   GIR_EraseRootFromParent_Done,
     /* 2257640 */ // Label 30366: @2257640
     /* 2257640 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2257688), // Rule ID 57677 //
     /* 2257645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257658 */   // MIs[0] Operand 1
     /* 2257658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257671 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257687 */   // GIR_Coverage, 57677,
     /* 2257687 */   GIR_EraseRootFromParent_Done,
     /* 2257688 */ // Label 30367: @2257688
     /* 2257688 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2257736), // Rule ID 57678 //
     /* 2257693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257706 */   // MIs[0] Operand 1
     /* 2257706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257719 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2257722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257735 */   // GIR_Coverage, 57678,
     /* 2257735 */   GIR_EraseRootFromParent_Done,
     /* 2257736 */ // Label 30368: @2257736
     /* 2257736 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2257784), // Rule ID 57717 //
     /* 2257741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257754 */   // MIs[0] Operand 1
     /* 2257754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257767 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257783 */   // GIR_Coverage, 57717,
     /* 2257783 */   GIR_EraseRootFromParent_Done,
     /* 2257784 */ // Label 30369: @2257784
     /* 2257784 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2257832), // Rule ID 57718 //
     /* 2257789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2257795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2257798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257802 */   // MIs[0] Operand 1
     /* 2257802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257815 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257831 */   // GIR_Coverage, 57718,
     /* 2257831 */   GIR_EraseRootFromParent_Done,
     /* 2257832 */ // Label 30370: @2257832
     /* 2257832 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2257880), // Rule ID 57757 //
     /* 2257837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257850 */   // MIs[0] Operand 1
     /* 2257850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257863 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257879 */   // GIR_Coverage, 57757,
     /* 2257879 */   GIR_EraseRootFromParent_Done,
     /* 2257880 */ // Label 30371: @2257880
     /* 2257880 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2257928), // Rule ID 57758 //
     /* 2257885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2257891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2257894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257898 */   // MIs[0] Operand 1
     /* 2257898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257911 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257927 */   // GIR_Coverage, 57758,
     /* 2257927 */   GIR_EraseRootFromParent_Done,
     /* 2257928 */ // Label 30372: @2257928
     /* 2257928 */ GIM_Reject,
     /* 2257929 */ // Label 30235: @2257929
     /* 2257929 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2257977), // Rule ID 56787 //
     /* 2257934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257947 */   // MIs[0] Operand 1
     /* 2257947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257960 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2257963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257967 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257976 */   // GIR_Coverage, 56787,
     /* 2257976 */   GIR_EraseRootFromParent_Done,
     /* 2257977 */ // Label 30373: @2257977
     /* 2257977 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2258025), // Rule ID 56788 //
     /* 2257982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257995 */   // MIs[0] Operand 1
     /* 2257995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258008 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2258011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258015 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258024 */   // GIR_Coverage, 56788,
     /* 2258024 */   GIR_EraseRootFromParent_Done,
     /* 2258025 */ // Label 30374: @2258025
     /* 2258025 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2258073), // Rule ID 56827 //
     /* 2258030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258043 */   // MIs[0] Operand 1
     /* 2258043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258056 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258061 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258072 */   // GIR_Coverage, 56827,
     /* 2258072 */   GIR_EraseRootFromParent_Done,
     /* 2258073 */ // Label 30375: @2258073
     /* 2258073 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2258121), // Rule ID 56828 //
     /* 2258078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258091 */   // MIs[0] Operand 1
     /* 2258091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258104 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258109 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258111 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258120 */   // GIR_Coverage, 56828,
     /* 2258120 */   GIR_EraseRootFromParent_Done,
     /* 2258121 */ // Label 30376: @2258121
     /* 2258121 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2258169), // Rule ID 57087 //
     /* 2258126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258139 */   // MIs[0] Operand 1
     /* 2258139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258152 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258168 */   // GIR_Coverage, 57087,
     /* 2258168 */   GIR_EraseRootFromParent_Done,
     /* 2258169 */ // Label 30377: @2258169
     /* 2258169 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2258217), // Rule ID 57088 //
     /* 2258174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258187 */   // MIs[0] Operand 1
     /* 2258187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258200 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2258203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258205 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258207 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258216 */   // GIR_Coverage, 57088,
     /* 2258216 */   GIR_EraseRootFromParent_Done,
     /* 2258217 */ // Label 30378: @2258217
     /* 2258217 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2258265), // Rule ID 57127 //
     /* 2258222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258235 */   // MIs[0] Operand 1
     /* 2258235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258248 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258255 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258264 */   // GIR_Coverage, 57127,
     /* 2258264 */   GIR_EraseRootFromParent_Done,
     /* 2258265 */ // Label 30379: @2258265
     /* 2258265 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2258313), // Rule ID 57128 //
     /* 2258270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258283 */   // MIs[0] Operand 1
     /* 2258283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258296 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258312 */   // GIR_Coverage, 57128,
     /* 2258312 */   GIR_EraseRootFromParent_Done,
     /* 2258313 */ // Label 30380: @2258313
     /* 2258313 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2258361), // Rule ID 57387 //
     /* 2258318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258331 */   // MIs[0] Operand 1
     /* 2258331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258340 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258344 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258349 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258351 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258360 */   // GIR_Coverage, 57387,
     /* 2258360 */   GIR_EraseRootFromParent_Done,
     /* 2258361 */ // Label 30381: @2258361
     /* 2258361 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2258409), // Rule ID 57388 //
     /* 2258366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258379 */   // MIs[0] Operand 1
     /* 2258379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258388 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258392 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2258395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258399 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258408 */   // GIR_Coverage, 57388,
     /* 2258408 */   GIR_EraseRootFromParent_Done,
     /* 2258409 */ // Label 30382: @2258409
     /* 2258409 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2258457), // Rule ID 57427 //
     /* 2258414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258427 */   // MIs[0] Operand 1
     /* 2258427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258440 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258447 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258456 */   // GIR_Coverage, 57427,
     /* 2258456 */   GIR_EraseRootFromParent_Done,
     /* 2258457 */ // Label 30383: @2258457
     /* 2258457 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2258505), // Rule ID 57428 //
     /* 2258462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258475 */   // MIs[0] Operand 1
     /* 2258475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258488 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258495 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258504 */   // GIR_Coverage, 57428,
     /* 2258504 */   GIR_EraseRootFromParent_Done,
     /* 2258505 */ // Label 30384: @2258505
     /* 2258505 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2258553), // Rule ID 57687 //
     /* 2258510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258523 */   // MIs[0] Operand 1
     /* 2258523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258536 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258541 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258543 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258552 */   // GIR_Coverage, 57687,
     /* 2258552 */   GIR_EraseRootFromParent_Done,
     /* 2258553 */ // Label 30385: @2258553
     /* 2258553 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2258601), // Rule ID 57688 //
     /* 2258558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2258564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2258567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258571 */   // MIs[0] Operand 1
     /* 2258571 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258580 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258584 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2258587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258591 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258600 */   // GIR_Coverage, 57688,
     /* 2258600 */   GIR_EraseRootFromParent_Done,
     /* 2258601 */ // Label 30386: @2258601
     /* 2258601 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2258649), // Rule ID 57727 //
     /* 2258606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258619 */   // MIs[0] Operand 1
     /* 2258619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258632 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258637 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258639 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258648 */   // GIR_Coverage, 57727,
     /* 2258648 */   GIR_EraseRootFromParent_Done,
     /* 2258649 */ // Label 30387: @2258649
     /* 2258649 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2258697), // Rule ID 57728 //
     /* 2258654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258667 */   // MIs[0] Operand 1
     /* 2258667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258680 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258696 */   // GIR_Coverage, 57728,
     /* 2258696 */   GIR_EraseRootFromParent_Done,
     /* 2258697 */ // Label 30388: @2258697
     /* 2258697 */ GIM_Reject,
     /* 2258698 */ // Label 30236: @2258698
     /* 2258698 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2259018),
     /* 2258703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258713 */   GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2258751), // Rule ID 56797 //
     /* 2258718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258721 */     // MIs[0] Operand 1
     /* 2258721 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258734 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258750 */     // GIR_Coverage, 56797,
     /* 2258750 */     GIR_EraseRootFromParent_Done,
     /* 2258751 */   // Label 30390: @2258751
     /* 2258751 */   GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2258789), // Rule ID 56798 //
     /* 2258756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258759 */     // MIs[0] Operand 1
     /* 2258759 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258772 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2258775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258788 */     // GIR_Coverage, 56798,
     /* 2258788 */     GIR_EraseRootFromParent_Done,
     /* 2258789 */   // Label 30391: @2258789
     /* 2258789 */   GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2258827), // Rule ID 57097 //
     /* 2258794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258797 */     // MIs[0] Operand 1
     /* 2258797 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258810 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258826 */     // GIR_Coverage, 57097,
     /* 2258826 */     GIR_EraseRootFromParent_Done,
     /* 2258827 */   // Label 30392: @2258827
     /* 2258827 */   GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2258865), // Rule ID 57098 //
     /* 2258832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258835 */     // MIs[0] Operand 1
     /* 2258835 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258848 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2258851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258864 */     // GIR_Coverage, 57098,
     /* 2258864 */     GIR_EraseRootFromParent_Done,
     /* 2258865 */   // Label 30393: @2258865
     /* 2258865 */   GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2258903), // Rule ID 57397 //
     /* 2258870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258873 */     // MIs[0] Operand 1
     /* 2258873 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258886 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258902 */     // GIR_Coverage, 57397,
     /* 2258902 */     GIR_EraseRootFromParent_Done,
     /* 2258903 */   // Label 30394: @2258903
     /* 2258903 */   GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2258941), // Rule ID 57398 //
     /* 2258908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258911 */     // MIs[0] Operand 1
     /* 2258911 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258924 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2258927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258940 */     // GIR_Coverage, 57398,
     /* 2258940 */     GIR_EraseRootFromParent_Done,
     /* 2258941 */   // Label 30395: @2258941
     /* 2258941 */   GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2258979), // Rule ID 57697 //
     /* 2258946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258949 */     // MIs[0] Operand 1
     /* 2258949 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258962 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2258965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258978 */     // GIR_Coverage, 57697,
     /* 2258978 */     GIR_EraseRootFromParent_Done,
     /* 2258979 */   // Label 30396: @2258979
     /* 2258979 */   GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2259017), // Rule ID 57698 //
     /* 2258984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258987 */     // MIs[0] Operand 1
     /* 2258987 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259000 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2259003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259016 */     // GIR_Coverage, 57698,
     /* 2259016 */     GIR_EraseRootFromParent_Done,
     /* 2259017 */   // Label 30397: @2259017
     /* 2259017 */   GIM_Reject,
     /* 2259018 */ // Label 30389: @2259018
     /* 2259018 */ GIM_Reject,
     /* 2259019 */ // Label 30237: @2259019
     /* 2259019 */ GIM_Reject,
     /* 2259020 */ // Label 50: @2259020
     /* 2259020 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30422*/ GIMT_Encode4(2263411),
     /* 2259031 */ /*GILLT_s32*//*Label 30398*/ GIMT_Encode4(2259155),
     /* 2259035 */ /*GILLT_s64*//*Label 30399*/ GIMT_Encode4(2259303), GIMT_Encode4(0),
     /* 2259043 */ /*GILLT_nxv1s8*//*Label 30400*/ GIMT_Encode4(2259451),
     /* 2259047 */ /*GILLT_nxv1s16*//*Label 30401*/ GIMT_Encode4(2259571),
     /* 2259051 */ /*GILLT_nxv1s32*//*Label 30402*/ GIMT_Encode4(2259779),
     /* 2259055 */ /*GILLT_nxv1s64*//*Label 30403*/ GIMT_Encode4(2259987), GIMT_Encode4(0),
     /* 2259063 */ /*GILLT_nxv2s8*//*Label 30404*/ GIMT_Encode4(2260195),
     /* 2259067 */ /*GILLT_nxv2s16*//*Label 30405*/ GIMT_Encode4(2260315),
     /* 2259071 */ /*GILLT_nxv2s32*//*Label 30406*/ GIMT_Encode4(2260523),
     /* 2259075 */ /*GILLT_nxv2s64*//*Label 30407*/ GIMT_Encode4(2260731), GIMT_Encode4(0),
     /* 2259083 */ /*GILLT_nxv4s8*//*Label 30408*/ GIMT_Encode4(2260939),
     /* 2259087 */ /*GILLT_nxv4s16*//*Label 30409*/ GIMT_Encode4(2261059),
     /* 2259091 */ /*GILLT_nxv4s32*//*Label 30410*/ GIMT_Encode4(2261267),
     /* 2259095 */ /*GILLT_nxv4s64*//*Label 30411*/ GIMT_Encode4(2261475), GIMT_Encode4(0),
     /* 2259103 */ /*GILLT_nxv8s8*//*Label 30412*/ GIMT_Encode4(2261683),
     /* 2259107 */ /*GILLT_nxv8s16*//*Label 30413*/ GIMT_Encode4(2261803),
     /* 2259111 */ /*GILLT_nxv8s32*//*Label 30414*/ GIMT_Encode4(2262011),
     /* 2259115 */ /*GILLT_nxv8s64*//*Label 30415*/ GIMT_Encode4(2262219), GIMT_Encode4(0),
     /* 2259123 */ /*GILLT_nxv16s8*//*Label 30416*/ GIMT_Encode4(2262427),
     /* 2259127 */ /*GILLT_nxv16s16*//*Label 30417*/ GIMT_Encode4(2262547),
     /* 2259131 */ /*GILLT_nxv16s32*//*Label 30418*/ GIMT_Encode4(2262755), GIMT_Encode4(0),
     /* 2259139 */ /*GILLT_nxv32s8*//*Label 30419*/ GIMT_Encode4(2262963),
     /* 2259143 */ /*GILLT_nxv32s16*//*Label 30420*/ GIMT_Encode4(2263083), GIMT_Encode4(0),
     /* 2259151 */ /*GILLT_nxv64s8*//*Label 30421*/ GIMT_Encode4(2263291),
     /* 2259155 */ // Label 30398: @2259155
     /* 2259155 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2259302),
     /* 2259160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2259163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2259166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2259169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259177 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2259210), // Rule ID 62307 //
     /* 2259182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259185 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259193 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259198 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259206 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259209 */     // GIR_Coverage, 62307,
     /* 2259209 */     GIR_EraseRootFromParent_Done,
     /* 2259210 */   // Label 30424: @2259210
     /* 2259210 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2259243), // Rule ID 62305 //
     /* 2259215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259226 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2259226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259231 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259239 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259242 */     // GIR_Coverage, 62305,
     /* 2259242 */     GIR_EraseRootFromParent_Done,
     /* 2259243 */   // Label 30425: @2259243
     /* 2259243 */   GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2259272), // Rule ID 62303 //
     /* 2259248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2259251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259259 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2259259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259264 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259266 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259268 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259271 */     // GIR_Coverage, 62303,
     /* 2259271 */     GIR_EraseRootFromParent_Done,
     /* 2259272 */   // Label 30426: @2259272
     /* 2259272 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2259301), // Rule ID 64318 //
     /* 2259277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2259280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259288 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2259288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259300 */     // GIR_Coverage, 64318,
     /* 2259300 */     GIR_EraseRootFromParent_Done,
     /* 2259301 */   // Label 30427: @2259301
     /* 2259301 */   GIM_Reject,
     /* 2259302 */ // Label 30423: @2259302
     /* 2259302 */ GIM_Reject,
     /* 2259303 */ // Label 30399: @2259303
     /* 2259303 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2259450),
     /* 2259308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2259311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2259314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2259317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259325 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2259358), // Rule ID 62306 //
     /* 2259330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259333 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2259337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259341 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2259344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259346 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259354 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259357 */     // GIR_Coverage, 62306,
     /* 2259357 */     GIR_EraseRootFromParent_Done,
     /* 2259358 */   // Label 30429: @2259358
     /* 2259358 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2259391), // Rule ID 62304 //
     /* 2259363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2259374 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2259374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259379 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259381 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259387 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259390 */     // GIR_Coverage, 62304,
     /* 2259390 */     GIR_EraseRootFromParent_Done,
     /* 2259391 */   // Label 30430: @2259391
     /* 2259391 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2259420), // Rule ID 62302 //
     /* 2259396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2259399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259407 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2259407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2259410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2259412 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2259414 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2259416 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2259418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259419 */     // GIR_Coverage, 62302,
     /* 2259419 */     GIR_EraseRootFromParent_Done,
     /* 2259420 */   // Label 30431: @2259420
     /* 2259420 */   GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2259449), // Rule ID 64317 //
     /* 2259425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2259428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2259436 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2259436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2259439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2259445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2259447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259448 */     // GIR_Coverage, 64317,
     /* 2259448 */     GIR_EraseRootFromParent_Done,
     /* 2259449 */   // Label 30432: @2259449
     /* 2259449 */   GIM_Reject,
     /* 2259450 */ // Label 30428: @2259450
     /* 2259450 */ GIM_Reject,
     /* 2259451 */ // Label 30400: @2259451
     /* 2259451 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2259570),
     /* 2259456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2259462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2259465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259481 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2259525), // Rule ID 52107 //
     /* 2259486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259489 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259515 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259524 */     // GIR_Coverage, 52107,
     /* 2259524 */     GIR_EraseRootFromParent_Done,
     /* 2259525 */   // Label 30434: @2259525
     /* 2259525 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2259569), // Rule ID 52108 //
     /* 2259530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259533 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2259536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2259550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259559 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259568 */     // GIR_Coverage, 52108,
     /* 2259568 */     GIR_EraseRootFromParent_Done,
     /* 2259569 */   // Label 30435: @2259569
     /* 2259569 */   GIM_Reject,
     /* 2259570 */ // Label 30433: @2259570
     /* 2259570 */ GIM_Reject,
     /* 2259571 */ // Label 30401: @2259571
     /* 2259571 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2259778),
     /* 2259576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2259582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2259585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259601 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2259645), // Rule ID 52125 //
     /* 2259606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259609 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259635 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259644 */     // GIR_Coverage, 52125,
     /* 2259644 */     GIR_EraseRootFromParent_Done,
     /* 2259645 */   // Label 30437: @2259645
     /* 2259645 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2259689), // Rule ID 52126 //
     /* 2259650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259653 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259679 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259688 */     // GIR_Coverage, 52126,
     /* 2259688 */     GIR_EraseRootFromParent_Done,
     /* 2259689 */   // Label 30438: @2259689
     /* 2259689 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2259733), // Rule ID 57767 //
     /* 2259694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259697 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259723 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259732 */     // GIR_Coverage, 57767,
     /* 2259732 */     GIR_EraseRootFromParent_Done,
     /* 2259733 */   // Label 30439: @2259733
     /* 2259733 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2259777), // Rule ID 57768 //
     /* 2259738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259741 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2259744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259767 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259776 */     // GIR_Coverage, 57768,
     /* 2259776 */     GIR_EraseRootFromParent_Done,
     /* 2259777 */   // Label 30440: @2259777
     /* 2259777 */   GIM_Reject,
     /* 2259778 */ // Label 30436: @2259778
     /* 2259778 */ GIM_Reject,
     /* 2259779 */ // Label 30402: @2259779
     /* 2259779 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2259986),
     /* 2259784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2259790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2259793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259809 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2259853), // Rule ID 52137 //
     /* 2259814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259817 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259843 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259852 */     // GIR_Coverage, 52137,
     /* 2259852 */     GIR_EraseRootFromParent_Done,
     /* 2259853 */   // Label 30442: @2259853
     /* 2259853 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2259897), // Rule ID 52138 //
     /* 2259858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259861 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259887 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259896 */     // GIR_Coverage, 52138,
     /* 2259896 */     GIR_EraseRootFromParent_Done,
     /* 2259897 */   // Label 30443: @2259897
     /* 2259897 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2259941), // Rule ID 57787 //
     /* 2259902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259905 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259931 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259940 */     // GIR_Coverage, 57787,
     /* 2259940 */     GIR_EraseRootFromParent_Done,
     /* 2259941 */   // Label 30444: @2259941
     /* 2259941 */   GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2259985), // Rule ID 57788 //
     /* 2259946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259949 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2259952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259975 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259984 */     // GIR_Coverage, 57788,
     /* 2259984 */     GIR_EraseRootFromParent_Done,
     /* 2259985 */   // Label 30445: @2259985
     /* 2259985 */   GIM_Reject,
     /* 2259986 */ // Label 30441: @2259986
     /* 2259986 */ GIM_Reject,
     /* 2259987 */ // Label 30403: @2259987
     /* 2259987 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2260194),
     /* 2259992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2259995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2259998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2260001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260017 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2260061), // Rule ID 52161 //
     /* 2260022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260025 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260051 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260060 */     // GIR_Coverage, 52161,
     /* 2260060 */     GIR_EraseRootFromParent_Done,
     /* 2260061 */   // Label 30447: @2260061
     /* 2260061 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2260105), // Rule ID 52162 //
     /* 2260066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260069 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260095 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260104 */     // GIR_Coverage, 52162,
     /* 2260104 */     GIR_EraseRootFromParent_Done,
     /* 2260105 */   // Label 30448: @2260105
     /* 2260105 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2260149), // Rule ID 57817 //
     /* 2260110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260113 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260139 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260148 */     // GIR_Coverage, 57817,
     /* 2260148 */     GIR_EraseRootFromParent_Done,
     /* 2260149 */   // Label 30449: @2260149
     /* 2260149 */   GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2260193), // Rule ID 57818 //
     /* 2260154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260157 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260183 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260192 */     // GIR_Coverage, 57818,
     /* 2260192 */     GIR_EraseRootFromParent_Done,
     /* 2260193 */   // Label 30450: @2260193
     /* 2260193 */   GIM_Reject,
     /* 2260194 */ // Label 30446: @2260194
     /* 2260194 */ GIM_Reject,
     /* 2260195 */ // Label 30404: @2260195
     /* 2260195 */ GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2260314),
     /* 2260200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2260206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2260209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260225 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2260269), // Rule ID 52113 //
     /* 2260230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260233 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260259 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260268 */     // GIR_Coverage, 52113,
     /* 2260268 */     GIR_EraseRootFromParent_Done,
     /* 2260269 */   // Label 30452: @2260269
     /* 2260269 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2260313), // Rule ID 52114 //
     /* 2260274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260277 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2260294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260303 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260312 */     // GIR_Coverage, 52114,
     /* 2260312 */     GIR_EraseRootFromParent_Done,
     /* 2260313 */   // Label 30453: @2260313
     /* 2260313 */   GIM_Reject,
     /* 2260314 */ // Label 30451: @2260314
     /* 2260314 */ GIM_Reject,
     /* 2260315 */ // Label 30405: @2260315
     /* 2260315 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2260522),
     /* 2260320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2260326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2260329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260345 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2260389), // Rule ID 52131 //
     /* 2260350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260353 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260379 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260388 */     // GIR_Coverage, 52131,
     /* 2260388 */     GIR_EraseRootFromParent_Done,
     /* 2260389 */   // Label 30455: @2260389
     /* 2260389 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2260433), // Rule ID 52132 //
     /* 2260394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260397 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260423 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260432 */     // GIR_Coverage, 52132,
     /* 2260432 */     GIR_EraseRootFromParent_Done,
     /* 2260433 */   // Label 30456: @2260433
     /* 2260433 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2260477), // Rule ID 57777 //
     /* 2260438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260441 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260467 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260476 */     // GIR_Coverage, 57777,
     /* 2260476 */     GIR_EraseRootFromParent_Done,
     /* 2260477 */   // Label 30457: @2260477
     /* 2260477 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2260521), // Rule ID 57778 //
     /* 2260482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260485 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260511 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260520 */     // GIR_Coverage, 57778,
     /* 2260520 */     GIR_EraseRootFromParent_Done,
     /* 2260521 */   // Label 30458: @2260521
     /* 2260521 */   GIM_Reject,
     /* 2260522 */ // Label 30454: @2260522
     /* 2260522 */ GIM_Reject,
     /* 2260523 */ // Label 30406: @2260523
     /* 2260523 */ GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2260730),
     /* 2260528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260534 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260553 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2260597), // Rule ID 52155 //
     /* 2260558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260561 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260587 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260596 */     // GIR_Coverage, 52155,
     /* 2260596 */     GIR_EraseRootFromParent_Done,
     /* 2260597 */   // Label 30460: @2260597
     /* 2260597 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2260641), // Rule ID 52156 //
     /* 2260602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260605 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260631 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260640 */     // GIR_Coverage, 52156,
     /* 2260640 */     GIR_EraseRootFromParent_Done,
     /* 2260641 */   // Label 30461: @2260641
     /* 2260641 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2260685), // Rule ID 57807 //
     /* 2260646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260649 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260675 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260684 */     // GIR_Coverage, 57807,
     /* 2260684 */     GIR_EraseRootFromParent_Done,
     /* 2260685 */   // Label 30462: @2260685
     /* 2260685 */   GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2260729), // Rule ID 57808 //
     /* 2260690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260693 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260719 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260728 */     // GIR_Coverage, 57808,
     /* 2260728 */     GIR_EraseRootFromParent_Done,
     /* 2260729 */   // Label 30463: @2260729
     /* 2260729 */   GIM_Reject,
     /* 2260730 */ // Label 30459: @2260730
     /* 2260730 */ GIM_Reject,
     /* 2260731 */ // Label 30407: @2260731
     /* 2260731 */ GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2260938),
     /* 2260736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2260739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2260742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2260745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260761 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2260805), // Rule ID 52221 //
     /* 2260766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260769 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260795 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260804 */     // GIR_Coverage, 52221,
     /* 2260804 */     GIR_EraseRootFromParent_Done,
     /* 2260805 */   // Label 30465: @2260805
     /* 2260805 */   GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2260849), // Rule ID 52222 //
     /* 2260810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260813 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260839 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260848 */     // GIR_Coverage, 52222,
     /* 2260848 */     GIR_EraseRootFromParent_Done,
     /* 2260849 */   // Label 30466: @2260849
     /* 2260849 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2260893), // Rule ID 57887 //
     /* 2260854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260857 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260883 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260892 */     // GIR_Coverage, 57887,
     /* 2260892 */     GIR_EraseRootFromParent_Done,
     /* 2260893 */   // Label 30467: @2260893
     /* 2260893 */   GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2260937), // Rule ID 57888 //
     /* 2260898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260901 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260927 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260936 */     // GIR_Coverage, 57888,
     /* 2260936 */     GIR_EraseRootFromParent_Done,
     /* 2260937 */   // Label 30468: @2260937
     /* 2260937 */   GIM_Reject,
     /* 2260938 */ // Label 30464: @2260938
     /* 2260938 */ GIM_Reject,
     /* 2260939 */ // Label 30408: @2260939
     /* 2260939 */ GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2261058),
     /* 2260944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2260947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2260950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2260953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260969 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2261013), // Rule ID 52119 //
     /* 2260974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260977 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2260980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2260994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261003 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261012 */     // GIR_Coverage, 52119,
     /* 2261012 */     GIR_EraseRootFromParent_Done,
     /* 2261013 */   // Label 30470: @2261013
     /* 2261013 */   GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2261057), // Rule ID 52120 //
     /* 2261018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261021 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2261038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261047 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261056 */     // GIR_Coverage, 52120,
     /* 2261056 */     GIR_EraseRootFromParent_Done,
     /* 2261057 */   // Label 30471: @2261057
     /* 2261057 */   GIM_Reject,
     /* 2261058 */ // Label 30469: @2261058
     /* 2261058 */ GIM_Reject,
     /* 2261059 */ // Label 30409: @2261059
     /* 2261059 */ GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2261266),
     /* 2261064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261070 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261089 */   GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2261133), // Rule ID 52149 //
     /* 2261094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261097 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261123 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261132 */     // GIR_Coverage, 52149,
     /* 2261132 */     GIR_EraseRootFromParent_Done,
     /* 2261133 */   // Label 30473: @2261133
     /* 2261133 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2261177), // Rule ID 52150 //
     /* 2261138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261141 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261167 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261176 */     // GIR_Coverage, 52150,
     /* 2261176 */     GIR_EraseRootFromParent_Done,
     /* 2261177 */   // Label 30474: @2261177
     /* 2261177 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2261221), // Rule ID 57797 //
     /* 2261182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261185 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261211 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261220 */     // GIR_Coverage, 57797,
     /* 2261220 */     GIR_EraseRootFromParent_Done,
     /* 2261221 */   // Label 30475: @2261221
     /* 2261221 */   GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2261265), // Rule ID 57798 //
     /* 2261226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261229 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261255 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261264 */     // GIR_Coverage, 57798,
     /* 2261264 */     GIR_EraseRootFromParent_Done,
     /* 2261265 */   // Label 30476: @2261265
     /* 2261265 */   GIM_Reject,
     /* 2261266 */ // Label 30472: @2261266
     /* 2261266 */ GIM_Reject,
     /* 2261267 */ // Label 30410: @2261267
     /* 2261267 */ GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2261474),
     /* 2261272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261297 */   GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2261341), // Rule ID 52203 //
     /* 2261302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261305 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261331 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261340 */     // GIR_Coverage, 52203,
     /* 2261340 */     GIR_EraseRootFromParent_Done,
     /* 2261341 */   // Label 30478: @2261341
     /* 2261341 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2261385), // Rule ID 52204 //
     /* 2261346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261349 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261375 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261384 */     // GIR_Coverage, 52204,
     /* 2261384 */     GIR_EraseRootFromParent_Done,
     /* 2261385 */   // Label 30479: @2261385
     /* 2261385 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2261429), // Rule ID 57857 //
     /* 2261390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261393 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261419 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261428 */     // GIR_Coverage, 57857,
     /* 2261428 */     GIR_EraseRootFromParent_Done,
     /* 2261429 */   // Label 30480: @2261429
     /* 2261429 */   GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2261473), // Rule ID 57858 //
     /* 2261434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261437 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261463 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261472 */     // GIR_Coverage, 57858,
     /* 2261472 */     GIR_EraseRootFromParent_Done,
     /* 2261473 */   // Label 30481: @2261473
     /* 2261473 */   GIM_Reject,
     /* 2261474 */ // Label 30477: @2261474
     /* 2261474 */ GIM_Reject,
     /* 2261475 */ // Label 30411: @2261475
     /* 2261475 */ GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2261682),
     /* 2261480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2261483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261505 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2261549), // Rule ID 52227 //
     /* 2261510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261513 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261539 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261548 */     // GIR_Coverage, 52227,
     /* 2261548 */     GIR_EraseRootFromParent_Done,
     /* 2261549 */   // Label 30483: @2261549
     /* 2261549 */   GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2261593), // Rule ID 52228 //
     /* 2261554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261557 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261583 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261592 */     // GIR_Coverage, 52228,
     /* 2261592 */     GIR_EraseRootFromParent_Done,
     /* 2261593 */   // Label 30484: @2261593
     /* 2261593 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2261637), // Rule ID 57897 //
     /* 2261598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261601 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261627 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261636 */     // GIR_Coverage, 57897,
     /* 2261636 */     GIR_EraseRootFromParent_Done,
     /* 2261637 */   // Label 30485: @2261637
     /* 2261637 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2261681), // Rule ID 57898 //
     /* 2261642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261645 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261671 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261680 */     // GIR_Coverage, 57898,
     /* 2261680 */     GIR_EraseRootFromParent_Done,
     /* 2261681 */   // Label 30486: @2261681
     /* 2261681 */   GIM_Reject,
     /* 2261682 */ // Label 30482: @2261682
     /* 2261682 */ GIM_Reject,
     /* 2261683 */ // Label 30412: @2261683
     /* 2261683 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2261802),
     /* 2261688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2261691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2261701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261713 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2261757), // Rule ID 52143 //
     /* 2261718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261721 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261747 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261756 */     // GIR_Coverage, 52143,
     /* 2261756 */     GIR_EraseRootFromParent_Done,
     /* 2261757 */   // Label 30488: @2261757
     /* 2261757 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2261801), // Rule ID 52144 //
     /* 2261762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261765 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2261782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261791 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261800 */     // GIR_Coverage, 52144,
     /* 2261800 */     GIR_EraseRootFromParent_Done,
     /* 2261801 */   // Label 30489: @2261801
     /* 2261801 */   GIM_Reject,
     /* 2261802 */ // Label 30487: @2261802
     /* 2261802 */ GIM_Reject,
     /* 2261803 */ // Label 30413: @2261803
     /* 2261803 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2262010),
     /* 2261808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2261811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261833 */   GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2261877), // Rule ID 52185 //
     /* 2261838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261841 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261867 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261876 */     // GIR_Coverage, 52185,
     /* 2261876 */     GIR_EraseRootFromParent_Done,
     /* 2261877 */   // Label 30491: @2261877
     /* 2261877 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2261921), // Rule ID 52186 //
     /* 2261882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261885 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261911 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261920 */     // GIR_Coverage, 52186,
     /* 2261920 */     GIR_EraseRootFromParent_Done,
     /* 2261921 */   // Label 30492: @2261921
     /* 2261921 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2261965), // Rule ID 57827 //
     /* 2261926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261929 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261955 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261964 */     // GIR_Coverage, 57827,
     /* 2261964 */     GIR_EraseRootFromParent_Done,
     /* 2261965 */   // Label 30493: @2261965
     /* 2261965 */   GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2262009), // Rule ID 57828 //
     /* 2261970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261973 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261999 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262008 */     // GIR_Coverage, 57828,
     /* 2262008 */     GIR_EraseRootFromParent_Done,
     /* 2262009 */   // Label 30494: @2262009
     /* 2262009 */   GIM_Reject,
     /* 2262010 */ // Label 30490: @2262010
     /* 2262010 */ GIM_Reject,
     /* 2262011 */ // Label 30414: @2262011
     /* 2262011 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2262218),
     /* 2262016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262041 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2262085), // Rule ID 52209 //
     /* 2262046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262049 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262075 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262084 */     // GIR_Coverage, 52209,
     /* 2262084 */     GIR_EraseRootFromParent_Done,
     /* 2262085 */   // Label 30496: @2262085
     /* 2262085 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2262129), // Rule ID 52210 //
     /* 2262090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262093 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262119 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262128 */     // GIR_Coverage, 52210,
     /* 2262128 */     GIR_EraseRootFromParent_Done,
     /* 2262129 */   // Label 30497: @2262129
     /* 2262129 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2262173), // Rule ID 57867 //
     /* 2262134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262137 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262163 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262172 */     // GIR_Coverage, 57867,
     /* 2262172 */     GIR_EraseRootFromParent_Done,
     /* 2262173 */   // Label 30498: @2262173
     /* 2262173 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2262217), // Rule ID 57868 //
     /* 2262178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262181 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262207 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262216 */     // GIR_Coverage, 57868,
     /* 2262216 */     GIR_EraseRootFromParent_Done,
     /* 2262217 */   // Label 30499: @2262217
     /* 2262217 */   GIM_Reject,
     /* 2262218 */ // Label 30495: @2262218
     /* 2262218 */ GIM_Reject,
     /* 2262219 */ // Label 30415: @2262219
     /* 2262219 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2262426),
     /* 2262224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2262227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262249 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2262293), // Rule ID 52233 //
     /* 2262254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262257 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262283 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262292 */     // GIR_Coverage, 52233,
     /* 2262292 */     GIR_EraseRootFromParent_Done,
     /* 2262293 */   // Label 30501: @2262293
     /* 2262293 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2262337), // Rule ID 52234 //
     /* 2262298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262301 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262327 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262336 */     // GIR_Coverage, 52234,
     /* 2262336 */     GIR_EraseRootFromParent_Done,
     /* 2262337 */   // Label 30502: @2262337
     /* 2262337 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2262381), // Rule ID 57907 //
     /* 2262342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262345 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262371 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262380 */     // GIR_Coverage, 57907,
     /* 2262380 */     GIR_EraseRootFromParent_Done,
     /* 2262381 */   // Label 30503: @2262381
     /* 2262381 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2262425), // Rule ID 57908 //
     /* 2262386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262389 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262415 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262424 */     // GIR_Coverage, 57908,
     /* 2262424 */     GIR_EraseRootFromParent_Done,
     /* 2262425 */   // Label 30504: @2262425
     /* 2262425 */   GIM_Reject,
     /* 2262426 */ // Label 30500: @2262426
     /* 2262426 */ GIM_Reject,
     /* 2262427 */ // Label 30416: @2262427
     /* 2262427 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2262546),
     /* 2262432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2262441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262457 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2262501), // Rule ID 52167 //
     /* 2262462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262465 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262491 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262500 */     // GIR_Coverage, 52167,
     /* 2262500 */     GIR_EraseRootFromParent_Done,
     /* 2262501 */   // Label 30506: @2262501
     /* 2262501 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2262545), // Rule ID 52168 //
     /* 2262506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262509 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2262526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262535 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262544 */     // GIR_Coverage, 52168,
     /* 2262544 */     GIR_EraseRootFromParent_Done,
     /* 2262545 */   // Label 30507: @2262545
     /* 2262545 */   GIM_Reject,
     /* 2262546 */ // Label 30505: @2262546
     /* 2262546 */ GIM_Reject,
     /* 2262547 */ // Label 30417: @2262547
     /* 2262547 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2262754),
     /* 2262552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262577 */   GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2262621), // Rule ID 52191 //
     /* 2262582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262585 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262611 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262620 */     // GIR_Coverage, 52191,
     /* 2262620 */     GIR_EraseRootFromParent_Done,
     /* 2262621 */   // Label 30509: @2262621
     /* 2262621 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2262665), // Rule ID 52192 //
     /* 2262626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262629 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262655 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262664 */     // GIR_Coverage, 52192,
     /* 2262664 */     GIR_EraseRootFromParent_Done,
     /* 2262665 */   // Label 30510: @2262665
     /* 2262665 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2262709), // Rule ID 57837 //
     /* 2262670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262673 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262699 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262708 */     // GIR_Coverage, 57837,
     /* 2262708 */     GIR_EraseRootFromParent_Done,
     /* 2262709 */   // Label 30511: @2262709
     /* 2262709 */   GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2262753), // Rule ID 57838 //
     /* 2262714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262717 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2262734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262743 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262752 */     // GIR_Coverage, 57838,
     /* 2262752 */     GIR_EraseRootFromParent_Done,
     /* 2262753 */   // Label 30512: @2262753
     /* 2262753 */   GIM_Reject,
     /* 2262754 */ // Label 30508: @2262754
     /* 2262754 */ GIM_Reject,
     /* 2262755 */ // Label 30418: @2262755
     /* 2262755 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2262962),
     /* 2262760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2262763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262785 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2262829), // Rule ID 52215 //
     /* 2262790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262793 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262819 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262828 */     // GIR_Coverage, 52215,
     /* 2262828 */     GIR_EraseRootFromParent_Done,
     /* 2262829 */   // Label 30514: @2262829
     /* 2262829 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2262873), // Rule ID 52216 //
     /* 2262834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262837 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262863 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262872 */     // GIR_Coverage, 52216,
     /* 2262872 */     GIR_EraseRootFromParent_Done,
     /* 2262873 */   // Label 30515: @2262873
     /* 2262873 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2262917), // Rule ID 57877 //
     /* 2262878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262881 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262907 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262916 */     // GIR_Coverage, 57877,
     /* 2262916 */     GIR_EraseRootFromParent_Done,
     /* 2262917 */   // Label 30516: @2262917
     /* 2262917 */   GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2262961), // Rule ID 57878 //
     /* 2262922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262925 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262951 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262960 */     // GIR_Coverage, 57878,
     /* 2262960 */     GIR_EraseRootFromParent_Done,
     /* 2262961 */   // Label 30517: @2262961
     /* 2262961 */   GIM_Reject,
     /* 2262962 */ // Label 30513: @2262962
     /* 2262962 */ GIM_Reject,
     /* 2262963 */ // Label 30419: @2262963
     /* 2262963 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2263082),
     /* 2262968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2262971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2262974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2262977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262993 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2263037), // Rule ID 52173 //
     /* 2262998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263001 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263027 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263036 */     // GIR_Coverage, 52173,
     /* 2263036 */     GIR_EraseRootFromParent_Done,
     /* 2263037 */   // Label 30519: @2263037
     /* 2263037 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2263081), // Rule ID 52174 //
     /* 2263042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263045 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2263048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2263062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263071 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263080 */     // GIR_Coverage, 52174,
     /* 2263080 */     GIR_EraseRootFromParent_Done,
     /* 2263081 */   // Label 30520: @2263081
     /* 2263081 */   GIM_Reject,
     /* 2263082 */ // Label 30518: @2263082
     /* 2263082 */ GIM_Reject,
     /* 2263083 */ // Label 30420: @2263083
     /* 2263083 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2263290),
     /* 2263088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2263091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263113 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2263157), // Rule ID 52197 //
     /* 2263118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263121 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263147 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263156 */     // GIR_Coverage, 52197,
     /* 2263156 */     GIR_EraseRootFromParent_Done,
     /* 2263157 */   // Label 30522: @2263157
     /* 2263157 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2263201), // Rule ID 52198 //
     /* 2263162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263165 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263191 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263200 */     // GIR_Coverage, 52198,
     /* 2263200 */     GIR_EraseRootFromParent_Done,
     /* 2263201 */   // Label 30523: @2263201
     /* 2263201 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2263245), // Rule ID 57847 //
     /* 2263206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263209 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263235 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263244 */     // GIR_Coverage, 57847,
     /* 2263244 */     GIR_EraseRootFromParent_Done,
     /* 2263245 */   // Label 30524: @2263245
     /* 2263245 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2263289), // Rule ID 57848 //
     /* 2263250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263253 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2263256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263279 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263288 */     // GIR_Coverage, 57848,
     /* 2263288 */     GIR_EraseRootFromParent_Done,
     /* 2263289 */   // Label 30525: @2263289
     /* 2263289 */   GIM_Reject,
     /* 2263290 */ // Label 30521: @2263290
     /* 2263290 */ GIM_Reject,
     /* 2263291 */ // Label 30421: @2263291
     /* 2263291 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2263410),
     /* 2263296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2263299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2263302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2263305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2263309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263321 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2263365), // Rule ID 52179 //
     /* 2263326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263329 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263355 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263364 */     // GIR_Coverage, 52179,
     /* 2263364 */     GIR_EraseRootFromParent_Done,
     /* 2263365 */   // Label 30527: @2263365
     /* 2263365 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2263409), // Rule ID 52180 //
     /* 2263370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263373 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2263376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2263390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263399 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2263401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263408 */     // GIR_Coverage, 52180,
     /* 2263408 */     GIR_EraseRootFromParent_Done,
     /* 2263409 */   // Label 30528: @2263409
     /* 2263409 */   GIM_Reject,
     /* 2263410 */ // Label 30526: @2263410
     /* 2263410 */ GIM_Reject,
     /* 2263411 */ // Label 30422: @2263411
     /* 2263411 */ GIM_Reject,
     /* 2263412 */ // Label 51: @2263412
     /* 2263412 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30553*/ GIMT_Encode4(2266145),
     /* 2263423 */ /*GILLT_s32*//*Label 30529*/ GIMT_Encode4(2263547),
     /* 2263427 */ /*GILLT_s64*//*Label 30530*/ GIMT_Encode4(2263581), GIMT_Encode4(0),
     /* 2263435 */ /*GILLT_nxv1s8*//*Label 30531*/ GIMT_Encode4(2263615),
     /* 2263439 */ /*GILLT_nxv1s16*//*Label 30532*/ GIMT_Encode4(2263730),
     /* 2263443 */ /*GILLT_nxv1s32*//*Label 30533*/ GIMT_Encode4(2263845),
     /* 2263447 */ /*GILLT_nxv1s64*//*Label 30534*/ GIMT_Encode4(2263960), GIMT_Encode4(0),
     /* 2263455 */ /*GILLT_nxv2s8*//*Label 30535*/ GIMT_Encode4(2264075),
     /* 2263459 */ /*GILLT_nxv2s16*//*Label 30536*/ GIMT_Encode4(2264190),
     /* 2263463 */ /*GILLT_nxv2s32*//*Label 30537*/ GIMT_Encode4(2264305),
     /* 2263467 */ /*GILLT_nxv2s64*//*Label 30538*/ GIMT_Encode4(2264420), GIMT_Encode4(0),
     /* 2263475 */ /*GILLT_nxv4s8*//*Label 30539*/ GIMT_Encode4(2264535),
     /* 2263479 */ /*GILLT_nxv4s16*//*Label 30540*/ GIMT_Encode4(2264650),
     /* 2263483 */ /*GILLT_nxv4s32*//*Label 30541*/ GIMT_Encode4(2264765),
     /* 2263487 */ /*GILLT_nxv4s64*//*Label 30542*/ GIMT_Encode4(2264880), GIMT_Encode4(0),
     /* 2263495 */ /*GILLT_nxv8s8*//*Label 30543*/ GIMT_Encode4(2264995),
     /* 2263499 */ /*GILLT_nxv8s16*//*Label 30544*/ GIMT_Encode4(2265110),
     /* 2263503 */ /*GILLT_nxv8s32*//*Label 30545*/ GIMT_Encode4(2265225),
     /* 2263507 */ /*GILLT_nxv8s64*//*Label 30546*/ GIMT_Encode4(2265340), GIMT_Encode4(0),
     /* 2263515 */ /*GILLT_nxv16s8*//*Label 30547*/ GIMT_Encode4(2265455),
     /* 2263519 */ /*GILLT_nxv16s16*//*Label 30548*/ GIMT_Encode4(2265570),
     /* 2263523 */ /*GILLT_nxv16s32*//*Label 30549*/ GIMT_Encode4(2265685), GIMT_Encode4(0),
     /* 2263531 */ /*GILLT_nxv32s8*//*Label 30550*/ GIMT_Encode4(2265800),
     /* 2263535 */ /*GILLT_nxv32s16*//*Label 30551*/ GIMT_Encode4(2265915), GIMT_Encode4(0),
     /* 2263543 */ /*GILLT_nxv64s8*//*Label 30552*/ GIMT_Encode4(2266030),
     /* 2263547 */ // Label 30529: @2263547
     /* 2263547 */ GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2263580), // Rule ID 293 //
     /* 2263552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2263555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2263558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2263561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263573 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2263573 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2263578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263579 */   // GIR_Coverage, 293,
     /* 2263579 */   GIR_Done,
     /* 2263580 */ // Label 30554: @2263580
     /* 2263580 */ GIM_Reject,
     /* 2263581 */ // Label 30530: @2263581
     /* 2263581 */ GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2263614), // Rule ID 292 //
     /* 2263586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2263589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2263592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2263595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263607 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2263607 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2263612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263613 */   // GIR_Coverage, 292,
     /* 2263613 */   GIR_Done,
     /* 2263614 */ // Label 30555: @2263614
     /* 2263614 */ GIM_Reject,
     /* 2263615 */ // Label 30531: @2263615
     /* 2263615 */ GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2263729),
     /* 2263620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2263623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2263626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263638 */   GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2263683), // Rule ID 50883 //
     /* 2263643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263646 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2263663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263682 */     // GIR_Coverage, 50883,
     /* 2263682 */     GIR_EraseRootFromParent_Done,
     /* 2263683 */   // Label 30557: @2263683
     /* 2263683 */   GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2263728), // Rule ID 50884 //
     /* 2263688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263691 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2263708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263727 */     // GIR_Coverage, 50884,
     /* 2263727 */     GIR_EraseRootFromParent_Done,
     /* 2263728 */   // Label 30558: @2263728
     /* 2263728 */   GIM_Reject,
     /* 2263729 */ // Label 30556: @2263729
     /* 2263729 */ GIM_Reject,
     /* 2263730 */ // Label 30532: @2263730
     /* 2263730 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2263844),
     /* 2263735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2263738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263753 */   GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2263798), // Rule ID 50895 //
     /* 2263758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263761 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2263778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263797 */     // GIR_Coverage, 50895,
     /* 2263797 */     GIR_EraseRootFromParent_Done,
     /* 2263798 */   // Label 30560: @2263798
     /* 2263798 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2263843), // Rule ID 50896 //
     /* 2263803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263806 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2263823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263842 */     // GIR_Coverage, 50896,
     /* 2263842 */     GIR_EraseRootFromParent_Done,
     /* 2263843 */   // Label 30561: @2263843
     /* 2263843 */   GIM_Reject,
     /* 2263844 */ // Label 30559: @2263844
     /* 2263844 */ GIM_Reject,
     /* 2263845 */ // Label 30533: @2263845
     /* 2263845 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2263959),
     /* 2263850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2263853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263868 */   GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2263913), // Rule ID 50903 //
     /* 2263873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263876 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263912 */     // GIR_Coverage, 50903,
     /* 2263912 */     GIR_EraseRootFromParent_Done,
     /* 2263913 */   // Label 30563: @2263913
     /* 2263913 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2263958), // Rule ID 50904 //
     /* 2263918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263921 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263957 */     // GIR_Coverage, 50904,
     /* 2263957 */     GIR_EraseRootFromParent_Done,
     /* 2263958 */   // Label 30564: @2263958
     /* 2263958 */   GIM_Reject,
     /* 2263959 */ // Label 30562: @2263959
     /* 2263959 */ GIM_Reject,
     /* 2263960 */ // Label 30534: @2263960
     /* 2263960 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2264074),
     /* 2263965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2263968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263983 */   GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2264028), // Rule ID 50971 //
     /* 2263988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2263991 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2263994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264027 */     // GIR_Coverage, 50971,
     /* 2264027 */     GIR_EraseRootFromParent_Done,
     /* 2264028 */   // Label 30566: @2264028
     /* 2264028 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2264073), // Rule ID 50972 //
     /* 2264033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264036 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264072 */     // GIR_Coverage, 50972,
     /* 2264072 */     GIR_EraseRootFromParent_Done,
     /* 2264073 */   // Label 30567: @2264073
     /* 2264073 */   GIM_Reject,
     /* 2264074 */ // Label 30565: @2264074
     /* 2264074 */ GIM_Reject,
     /* 2264075 */ // Label 30535: @2264075
     /* 2264075 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2264189),
     /* 2264080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2264083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2264086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264098 */   GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2264143), // Rule ID 50887 //
     /* 2264103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264106 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264142 */     // GIR_Coverage, 50887,
     /* 2264142 */     GIR_EraseRootFromParent_Done,
     /* 2264143 */   // Label 30569: @2264143
     /* 2264143 */   GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2264188), // Rule ID 50888 //
     /* 2264148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264151 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2264168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264187 */     // GIR_Coverage, 50888,
     /* 2264187 */     GIR_EraseRootFromParent_Done,
     /* 2264188 */   // Label 30570: @2264188
     /* 2264188 */   GIM_Reject,
     /* 2264189 */ // Label 30568: @2264189
     /* 2264189 */ GIM_Reject,
     /* 2264190 */ // Label 30536: @2264190
     /* 2264190 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2264304),
     /* 2264195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2264198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264213 */   GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2264258), // Rule ID 50899 //
     /* 2264218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264221 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264257 */     // GIR_Coverage, 50899,
     /* 2264257 */     GIR_EraseRootFromParent_Done,
     /* 2264258 */   // Label 30572: @2264258
     /* 2264258 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2264303), // Rule ID 50900 //
     /* 2264263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264266 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264302 */     // GIR_Coverage, 50900,
     /* 2264302 */     GIR_EraseRootFromParent_Done,
     /* 2264303 */   // Label 30573: @2264303
     /* 2264303 */   GIM_Reject,
     /* 2264304 */ // Label 30571: @2264304
     /* 2264304 */ GIM_Reject,
     /* 2264305 */ // Label 30537: @2264305
     /* 2264305 */ GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2264419),
     /* 2264310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2264313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2264316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264328 */   GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2264373), // Rule ID 50915 //
     /* 2264333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264336 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264372 */     // GIR_Coverage, 50915,
     /* 2264372 */     GIR_EraseRootFromParent_Done,
     /* 2264373 */   // Label 30575: @2264373
     /* 2264373 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2264418), // Rule ID 50916 //
     /* 2264378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264381 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2264384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264417 */     // GIR_Coverage, 50916,
     /* 2264417 */     GIR_EraseRootFromParent_Done,
     /* 2264418 */   // Label 30576: @2264418
     /* 2264418 */   GIM_Reject,
     /* 2264419 */ // Label 30574: @2264419
     /* 2264419 */ GIM_Reject,
     /* 2264420 */ // Label 30538: @2264420
     /* 2264420 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2264534),
     /* 2264425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2264428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2264431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264443 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2264488), // Rule ID 50975 //
     /* 2264448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264451 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264487 */     // GIR_Coverage, 50975,
     /* 2264487 */     GIR_EraseRootFromParent_Done,
     /* 2264488 */   // Label 30578: @2264488
     /* 2264488 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2264533), // Rule ID 50976 //
     /* 2264493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264496 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264532 */     // GIR_Coverage, 50976,
     /* 2264532 */     GIR_EraseRootFromParent_Done,
     /* 2264533 */   // Label 30579: @2264533
     /* 2264533 */   GIM_Reject,
     /* 2264534 */ // Label 30577: @2264534
     /* 2264534 */ GIM_Reject,
     /* 2264535 */ // Label 30539: @2264535
     /* 2264535 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2264649),
     /* 2264540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2264543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2264546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264558 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2264603), // Rule ID 50891 //
     /* 2264563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264566 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264602 */     // GIR_Coverage, 50891,
     /* 2264602 */     GIR_EraseRootFromParent_Done,
     /* 2264603 */   // Label 30581: @2264603
     /* 2264603 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2264648), // Rule ID 50892 //
     /* 2264608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264611 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2264628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264647 */     // GIR_Coverage, 50892,
     /* 2264647 */     GIR_EraseRootFromParent_Done,
     /* 2264648 */   // Label 30582: @2264648
     /* 2264648 */   GIM_Reject,
     /* 2264649 */ // Label 30580: @2264649
     /* 2264649 */ GIM_Reject,
     /* 2264650 */ // Label 30540: @2264650
     /* 2264650 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2264764),
     /* 2264655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2264658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2264661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264673 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2264718), // Rule ID 50911 //
     /* 2264678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264681 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264717 */     // GIR_Coverage, 50911,
     /* 2264717 */     GIR_EraseRootFromParent_Done,
     /* 2264718 */   // Label 30584: @2264718
     /* 2264718 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2264763), // Rule ID 50912 //
     /* 2264723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264726 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2264743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264762 */     // GIR_Coverage, 50912,
     /* 2264762 */     GIR_EraseRootFromParent_Done,
     /* 2264763 */   // Label 30585: @2264763
     /* 2264763 */   GIM_Reject,
     /* 2264764 */ // Label 30583: @2264764
     /* 2264764 */ GIM_Reject,
     /* 2264765 */ // Label 30541: @2264765
     /* 2264765 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2264879),
     /* 2264770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2264773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2264776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264788 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2264833), // Rule ID 50943 //
     /* 2264793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264796 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264832 */     // GIR_Coverage, 50943,
     /* 2264832 */     GIR_EraseRootFromParent_Done,
     /* 2264833 */   // Label 30587: @2264833
     /* 2264833 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2264878), // Rule ID 50944 //
     /* 2264838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264841 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264877 */     // GIR_Coverage, 50944,
     /* 2264877 */     GIR_EraseRootFromParent_Done,
     /* 2264878 */   // Label 30588: @2264878
     /* 2264878 */   GIM_Reject,
     /* 2264879 */ // Label 30586: @2264879
     /* 2264879 */ GIM_Reject,
     /* 2264880 */ // Label 30542: @2264880
     /* 2264880 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2264994),
     /* 2264885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2264888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2264891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264903 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2264948), // Rule ID 50979 //
     /* 2264908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264911 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2264914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264947 */     // GIR_Coverage, 50979,
     /* 2264947 */     GIR_EraseRootFromParent_Done,
     /* 2264948 */   // Label 30590: @2264948
     /* 2264948 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2264993), // Rule ID 50980 //
     /* 2264953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264956 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2264959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264992 */     // GIR_Coverage, 50980,
     /* 2264992 */     GIR_EraseRootFromParent_Done,
     /* 2264993 */   // Label 30591: @2264993
     /* 2264993 */   GIM_Reject,
     /* 2264994 */ // Label 30589: @2264994
     /* 2264994 */ GIM_Reject,
     /* 2264995 */ // Label 30543: @2264995
     /* 2264995 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2265109),
     /* 2265000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2265003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2265006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265018 */   GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2265063), // Rule ID 50907 //
     /* 2265023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265026 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265062 */     // GIR_Coverage, 50907,
     /* 2265062 */     GIR_EraseRootFromParent_Done,
     /* 2265063 */   // Label 30593: @2265063
     /* 2265063 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2265108), // Rule ID 50908 //
     /* 2265068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265071 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2265074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2265088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265107 */     // GIR_Coverage, 50908,
     /* 2265107 */     GIR_EraseRootFromParent_Done,
     /* 2265108 */   // Label 30594: @2265108
     /* 2265108 */   GIM_Reject,
     /* 2265109 */ // Label 30592: @2265109
     /* 2265109 */ GIM_Reject,
     /* 2265110 */ // Label 30544: @2265110
     /* 2265110 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2265224),
     /* 2265115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2265118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2265121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265133 */   GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2265178), // Rule ID 50931 //
     /* 2265138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265141 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265177 */     // GIR_Coverage, 50931,
     /* 2265177 */     GIR_EraseRootFromParent_Done,
     /* 2265178 */   // Label 30596: @2265178
     /* 2265178 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2265223), // Rule ID 50932 //
     /* 2265183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265186 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2265189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265222 */     // GIR_Coverage, 50932,
     /* 2265222 */     GIR_EraseRootFromParent_Done,
     /* 2265223 */   // Label 30597: @2265223
     /* 2265223 */   GIM_Reject,
     /* 2265224 */ // Label 30595: @2265224
     /* 2265224 */ GIM_Reject,
     /* 2265225 */ // Label 30545: @2265225
     /* 2265225 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2265339),
     /* 2265230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2265233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265248 */   GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2265293), // Rule ID 50947 //
     /* 2265253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265256 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265292 */     // GIR_Coverage, 50947,
     /* 2265292 */     GIR_EraseRootFromParent_Done,
     /* 2265293 */   // Label 30599: @2265293
     /* 2265293 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2265338), // Rule ID 50948 //
     /* 2265298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265301 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2265304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265337 */     // GIR_Coverage, 50948,
     /* 2265337 */     GIR_EraseRootFromParent_Done,
     /* 2265338 */   // Label 30600: @2265338
     /* 2265338 */   GIM_Reject,
     /* 2265339 */ // Label 30598: @2265339
     /* 2265339 */ GIM_Reject,
     /* 2265340 */ // Label 30546: @2265340
     /* 2265340 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2265454),
     /* 2265345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2265348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265363 */   GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2265408), // Rule ID 50983 //
     /* 2265368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265371 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265407 */     // GIR_Coverage, 50983,
     /* 2265407 */     GIR_EraseRootFromParent_Done,
     /* 2265408 */   // Label 30602: @2265408
     /* 2265408 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2265453), // Rule ID 50984 //
     /* 2265413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265416 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2265419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265452 */     // GIR_Coverage, 50984,
     /* 2265452 */     GIR_EraseRootFromParent_Done,
     /* 2265453 */   // Label 30603: @2265453
     /* 2265453 */   GIM_Reject,
     /* 2265454 */ // Label 30601: @2265454
     /* 2265454 */ GIM_Reject,
     /* 2265455 */ // Label 30547: @2265455
     /* 2265455 */ GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2265569),
     /* 2265460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2265463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265478 */   GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2265523), // Rule ID 50919 //
     /* 2265483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265486 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265522 */     // GIR_Coverage, 50919,
     /* 2265522 */     GIR_EraseRootFromParent_Done,
     /* 2265523 */   // Label 30605: @2265523
     /* 2265523 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2265568), // Rule ID 50920 //
     /* 2265528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265531 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2265548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265567 */     // GIR_Coverage, 50920,
     /* 2265567 */     GIR_EraseRootFromParent_Done,
     /* 2265568 */   // Label 30606: @2265568
     /* 2265568 */   GIM_Reject,
     /* 2265569 */ // Label 30604: @2265569
     /* 2265569 */ GIM_Reject,
     /* 2265570 */ // Label 30548: @2265570
     /* 2265570 */ GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2265684),
     /* 2265575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2265578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265593 */   GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2265638), // Rule ID 50935 //
     /* 2265598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265601 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265637 */     // GIR_Coverage, 50935,
     /* 2265637 */     GIR_EraseRootFromParent_Done,
     /* 2265638 */   // Label 30608: @2265638
     /* 2265638 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2265683), // Rule ID 50936 //
     /* 2265643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265646 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265682 */     // GIR_Coverage, 50936,
     /* 2265682 */     GIR_EraseRootFromParent_Done,
     /* 2265683 */   // Label 30609: @2265683
     /* 2265683 */   GIM_Reject,
     /* 2265684 */ // Label 30607: @2265684
     /* 2265684 */ GIM_Reject,
     /* 2265685 */ // Label 30549: @2265685
     /* 2265685 */ GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2265799),
     /* 2265690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2265693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265708 */   GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2265753), // Rule ID 50951 //
     /* 2265713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265716 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265752 */     // GIR_Coverage, 50951,
     /* 2265752 */     GIR_EraseRootFromParent_Done,
     /* 2265753 */   // Label 30611: @2265753
     /* 2265753 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2265798), // Rule ID 50952 //
     /* 2265758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265761 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265797 */     // GIR_Coverage, 50952,
     /* 2265797 */     GIR_EraseRootFromParent_Done,
     /* 2265798 */   // Label 30612: @2265798
     /* 2265798 */   GIM_Reject,
     /* 2265799 */ // Label 30610: @2265799
     /* 2265799 */ GIM_Reject,
     /* 2265800 */ // Label 30550: @2265800
     /* 2265800 */ GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2265914),
     /* 2265805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2265808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265823 */   GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2265868), // Rule ID 50923 //
     /* 2265828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265831 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265867 */     // GIR_Coverage, 50923,
     /* 2265867 */     GIR_EraseRootFromParent_Done,
     /* 2265868 */   // Label 30614: @2265868
     /* 2265868 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2265913), // Rule ID 50924 //
     /* 2265873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265876 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2265893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265912 */     // GIR_Coverage, 50924,
     /* 2265912 */     GIR_EraseRootFromParent_Done,
     /* 2265913 */   // Label 30615: @2265913
     /* 2265913 */   GIM_Reject,
     /* 2265914 */ // Label 30613: @2265914
     /* 2265914 */ GIM_Reject,
     /* 2265915 */ // Label 30551: @2265915
     /* 2265915 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2266029),
     /* 2265920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2265923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265938 */   GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2265983), // Rule ID 50939 //
     /* 2265943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265946 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2265949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2265963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265982 */     // GIR_Coverage, 50939,
     /* 2265982 */     GIR_EraseRootFromParent_Done,
     /* 2265983 */   // Label 30617: @2265983
     /* 2265983 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2266028), // Rule ID 50940 //
     /* 2265988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265991 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2265994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266027 */     // GIR_Coverage, 50940,
     /* 2266027 */     GIR_EraseRootFromParent_Done,
     /* 2266028 */   // Label 30618: @2266028
     /* 2266028 */   GIM_Reject,
     /* 2266029 */ // Label 30616: @2266029
     /* 2266029 */ GIM_Reject,
     /* 2266030 */ // Label 30552: @2266030
     /* 2266030 */ GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2266144),
     /* 2266035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2266038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2266041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266053 */   GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2266098), // Rule ID 50927 //
     /* 2266058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266061 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266097 */     // GIR_Coverage, 50927,
     /* 2266097 */     GIR_EraseRootFromParent_Done,
     /* 2266098 */   // Label 30620: @2266098
     /* 2266098 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2266143), // Rule ID 50928 //
     /* 2266103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266106 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2266109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2266123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266142 */     // GIR_Coverage, 50928,
     /* 2266142 */     GIR_EraseRootFromParent_Done,
     /* 2266143 */   // Label 30621: @2266143
     /* 2266143 */   GIM_Reject,
     /* 2266144 */ // Label 30619: @2266144
     /* 2266144 */ GIM_Reject,
     /* 2266145 */ // Label 30553: @2266145
     /* 2266145 */ GIM_Reject,
     /* 2266146 */ // Label 52: @2266146
     /* 2266146 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30646*/ GIMT_Encode4(2268879),
     /* 2266157 */ /*GILLT_s32*//*Label 30622*/ GIMT_Encode4(2266281),
     /* 2266161 */ /*GILLT_s64*//*Label 30623*/ GIMT_Encode4(2266315), GIMT_Encode4(0),
     /* 2266169 */ /*GILLT_nxv1s8*//*Label 30624*/ GIMT_Encode4(2266349),
     /* 2266173 */ /*GILLT_nxv1s16*//*Label 30625*/ GIMT_Encode4(2266464),
     /* 2266177 */ /*GILLT_nxv1s32*//*Label 30626*/ GIMT_Encode4(2266579),
     /* 2266181 */ /*GILLT_nxv1s64*//*Label 30627*/ GIMT_Encode4(2266694), GIMT_Encode4(0),
     /* 2266189 */ /*GILLT_nxv2s8*//*Label 30628*/ GIMT_Encode4(2266809),
     /* 2266193 */ /*GILLT_nxv2s16*//*Label 30629*/ GIMT_Encode4(2266924),
     /* 2266197 */ /*GILLT_nxv2s32*//*Label 30630*/ GIMT_Encode4(2267039),
     /* 2266201 */ /*GILLT_nxv2s64*//*Label 30631*/ GIMT_Encode4(2267154), GIMT_Encode4(0),
     /* 2266209 */ /*GILLT_nxv4s8*//*Label 30632*/ GIMT_Encode4(2267269),
     /* 2266213 */ /*GILLT_nxv4s16*//*Label 30633*/ GIMT_Encode4(2267384),
     /* 2266217 */ /*GILLT_nxv4s32*//*Label 30634*/ GIMT_Encode4(2267499),
     /* 2266221 */ /*GILLT_nxv4s64*//*Label 30635*/ GIMT_Encode4(2267614), GIMT_Encode4(0),
     /* 2266229 */ /*GILLT_nxv8s8*//*Label 30636*/ GIMT_Encode4(2267729),
     /* 2266233 */ /*GILLT_nxv8s16*//*Label 30637*/ GIMT_Encode4(2267844),
     /* 2266237 */ /*GILLT_nxv8s32*//*Label 30638*/ GIMT_Encode4(2267959),
     /* 2266241 */ /*GILLT_nxv8s64*//*Label 30639*/ GIMT_Encode4(2268074), GIMT_Encode4(0),
     /* 2266249 */ /*GILLT_nxv16s8*//*Label 30640*/ GIMT_Encode4(2268189),
     /* 2266253 */ /*GILLT_nxv16s16*//*Label 30641*/ GIMT_Encode4(2268304),
     /* 2266257 */ /*GILLT_nxv16s32*//*Label 30642*/ GIMT_Encode4(2268419), GIMT_Encode4(0),
     /* 2266265 */ /*GILLT_nxv32s8*//*Label 30643*/ GIMT_Encode4(2268534),
     /* 2266269 */ /*GILLT_nxv32s16*//*Label 30644*/ GIMT_Encode4(2268649), GIMT_Encode4(0),
     /* 2266277 */ /*GILLT_nxv64s8*//*Label 30645*/ GIMT_Encode4(2268764),
     /* 2266281 */ // Label 30622: @2266281
     /* 2266281 */ GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2266314), // Rule ID 291 //
     /* 2266286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2266289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2266292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2266295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266307 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2266307 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266313 */   // GIR_Coverage, 291,
     /* 2266313 */   GIR_Done,
     /* 2266314 */ // Label 30647: @2266314
     /* 2266314 */ GIM_Reject,
     /* 2266315 */ // Label 30623: @2266315
     /* 2266315 */ GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2266348), // Rule ID 290 //
     /* 2266320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2266323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2266326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2266329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2266341 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2266341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2266346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266347 */   // GIR_Coverage, 290,
     /* 2266347 */   GIR_Done,
     /* 2266348 */ // Label 30648: @2266348
     /* 2266348 */ GIM_Reject,
     /* 2266349 */ // Label 30624: @2266349
     /* 2266349 */ GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2266463),
     /* 2266354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2266357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2266360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266372 */   GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2266417), // Rule ID 50811 //
     /* 2266377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266380 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266416 */     // GIR_Coverage, 50811,
     /* 2266416 */     GIR_EraseRootFromParent_Done,
     /* 2266417 */   // Label 30650: @2266417
     /* 2266417 */   GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2266462), // Rule ID 50812 //
     /* 2266422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266425 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2266428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2266442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266461 */     // GIR_Coverage, 50812,
     /* 2266461 */     GIR_EraseRootFromParent_Done,
     /* 2266462 */   // Label 30651: @2266462
     /* 2266462 */   GIM_Reject,
     /* 2266463 */ // Label 30649: @2266463
     /* 2266463 */ GIM_Reject,
     /* 2266464 */ // Label 30625: @2266464
     /* 2266464 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2266578),
     /* 2266469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2266472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266487 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2266532), // Rule ID 50823 //
     /* 2266492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266495 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266531 */     // GIR_Coverage, 50823,
     /* 2266531 */     GIR_EraseRootFromParent_Done,
     /* 2266532 */   // Label 30653: @2266532
     /* 2266532 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2266577), // Rule ID 50824 //
     /* 2266537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266540 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266576 */     // GIR_Coverage, 50824,
     /* 2266576 */     GIR_EraseRootFromParent_Done,
     /* 2266577 */   // Label 30654: @2266577
     /* 2266577 */   GIM_Reject,
     /* 2266578 */ // Label 30652: @2266578
     /* 2266578 */ GIM_Reject,
     /* 2266579 */ // Label 30626: @2266579
     /* 2266579 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2266693),
     /* 2266584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2266587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2266590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266602 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2266647), // Rule ID 50831 //
     /* 2266607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266610 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266646 */     // GIR_Coverage, 50831,
     /* 2266646 */     GIR_EraseRootFromParent_Done,
     /* 2266647 */   // Label 30656: @2266647
     /* 2266647 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2266692), // Rule ID 50832 //
     /* 2266652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266655 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266691 */     // GIR_Coverage, 50832,
     /* 2266691 */     GIR_EraseRootFromParent_Done,
     /* 2266692 */   // Label 30657: @2266692
     /* 2266692 */   GIM_Reject,
     /* 2266693 */ // Label 30655: @2266693
     /* 2266693 */ GIM_Reject,
     /* 2266694 */ // Label 30627: @2266694
     /* 2266694 */ GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2266808),
     /* 2266699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2266702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2266705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266717 */   GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2266762), // Rule ID 50955 //
     /* 2266722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2266725 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266761 */     // GIR_Coverage, 50955,
     /* 2266761 */     GIR_EraseRootFromParent_Done,
     /* 2266762 */   // Label 30659: @2266762
     /* 2266762 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2266807), // Rule ID 50956 //
     /* 2266767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2266770 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266806 */     // GIR_Coverage, 50956,
     /* 2266806 */     GIR_EraseRootFromParent_Done,
     /* 2266807 */   // Label 30660: @2266807
     /* 2266807 */   GIM_Reject,
     /* 2266808 */ // Label 30658: @2266808
     /* 2266808 */ GIM_Reject,
     /* 2266809 */ // Label 30628: @2266809
     /* 2266809 */ GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2266923),
     /* 2266814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2266817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2266820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266832 */   GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2266877), // Rule ID 50815 //
     /* 2266837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266840 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266876 */     // GIR_Coverage, 50815,
     /* 2266876 */     GIR_EraseRootFromParent_Done,
     /* 2266877 */   // Label 30662: @2266877
     /* 2266877 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2266922), // Rule ID 50816 //
     /* 2266882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266885 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2266902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266921 */     // GIR_Coverage, 50816,
     /* 2266921 */     GIR_EraseRootFromParent_Done,
     /* 2266922 */   // Label 30663: @2266922
     /* 2266922 */   GIM_Reject,
     /* 2266923 */ // Label 30661: @2266923
     /* 2266923 */ GIM_Reject,
     /* 2266924 */ // Label 30629: @2266924
     /* 2266924 */ GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2267038),
     /* 2266929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2266932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2266935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266947 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2266992), // Rule ID 50827 //
     /* 2266952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266955 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2266958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266991 */     // GIR_Coverage, 50827,
     /* 2266991 */     GIR_EraseRootFromParent_Done,
     /* 2266992 */   // Label 30665: @2266992
     /* 2266992 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2267037), // Rule ID 50828 //
     /* 2266997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267000 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2267003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267036 */     // GIR_Coverage, 50828,
     /* 2267036 */     GIR_EraseRootFromParent_Done,
     /* 2267037 */   // Label 30666: @2267037
     /* 2267037 */   GIM_Reject,
     /* 2267038 */ // Label 30664: @2267038
     /* 2267038 */ GIM_Reject,
     /* 2267039 */ // Label 30630: @2267039
     /* 2267039 */ GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2267153),
     /* 2267044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2267047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2267050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267062 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2267107), // Rule ID 50843 //
     /* 2267067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267070 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267106 */     // GIR_Coverage, 50843,
     /* 2267106 */     GIR_EraseRootFromParent_Done,
     /* 2267107 */   // Label 30668: @2267107
     /* 2267107 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2267152), // Rule ID 50844 //
     /* 2267112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267115 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2267118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267151 */     // GIR_Coverage, 50844,
     /* 2267151 */     GIR_EraseRootFromParent_Done,
     /* 2267152 */   // Label 30669: @2267152
     /* 2267152 */   GIM_Reject,
     /* 2267153 */ // Label 30667: @2267153
     /* 2267153 */ GIM_Reject,
     /* 2267154 */ // Label 30631: @2267154
     /* 2267154 */ GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2267268),
     /* 2267159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2267162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2267165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267177 */   GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2267222), // Rule ID 50959 //
     /* 2267182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267185 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267221 */     // GIR_Coverage, 50959,
     /* 2267221 */     GIR_EraseRootFromParent_Done,
     /* 2267222 */   // Label 30671: @2267222
     /* 2267222 */   GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2267267), // Rule ID 50960 //
     /* 2267227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267230 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2267233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267266 */     // GIR_Coverage, 50960,
     /* 2267266 */     GIR_EraseRootFromParent_Done,
     /* 2267267 */   // Label 30672: @2267267
     /* 2267267 */   GIM_Reject,
     /* 2267268 */ // Label 30670: @2267268
     /* 2267268 */ GIM_Reject,
     /* 2267269 */ // Label 30632: @2267269
     /* 2267269 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2267383),
     /* 2267274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2267277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2267280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267292 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2267337), // Rule ID 50819 //
     /* 2267297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267300 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267336 */     // GIR_Coverage, 50819,
     /* 2267336 */     GIR_EraseRootFromParent_Done,
     /* 2267337 */   // Label 30674: @2267337
     /* 2267337 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2267382), // Rule ID 50820 //
     /* 2267342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267345 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2267348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2267362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267381 */     // GIR_Coverage, 50820,
     /* 2267381 */     GIR_EraseRootFromParent_Done,
     /* 2267382 */   // Label 30675: @2267382
     /* 2267382 */   GIM_Reject,
     /* 2267383 */ // Label 30673: @2267383
     /* 2267383 */ GIM_Reject,
     /* 2267384 */ // Label 30633: @2267384
     /* 2267384 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2267498),
     /* 2267389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2267392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2267395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267407 */   GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2267452), // Rule ID 50839 //
     /* 2267412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267415 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267451 */     // GIR_Coverage, 50839,
     /* 2267451 */     GIR_EraseRootFromParent_Done,
     /* 2267452 */   // Label 30677: @2267452
     /* 2267452 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2267497), // Rule ID 50840 //
     /* 2267457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267460 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267496 */     // GIR_Coverage, 50840,
     /* 2267496 */     GIR_EraseRootFromParent_Done,
     /* 2267497 */   // Label 30678: @2267497
     /* 2267497 */   GIM_Reject,
     /* 2267498 */ // Label 30676: @2267498
     /* 2267498 */ GIM_Reject,
     /* 2267499 */ // Label 30634: @2267499
     /* 2267499 */ GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2267613),
     /* 2267504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2267507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2267510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267522 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2267567), // Rule ID 50871 //
     /* 2267527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267530 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267566 */     // GIR_Coverage, 50871,
     /* 2267566 */     GIR_EraseRootFromParent_Done,
     /* 2267567 */   // Label 30680: @2267567
     /* 2267567 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2267612), // Rule ID 50872 //
     /* 2267572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267575 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267611 */     // GIR_Coverage, 50872,
     /* 2267611 */     GIR_EraseRootFromParent_Done,
     /* 2267612 */   // Label 30681: @2267612
     /* 2267612 */   GIM_Reject,
     /* 2267613 */ // Label 30679: @2267613
     /* 2267613 */ GIM_Reject,
     /* 2267614 */ // Label 30635: @2267614
     /* 2267614 */ GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2267728),
     /* 2267619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2267622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2267625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267637 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2267682), // Rule ID 50963 //
     /* 2267642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2267645 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267681 */     // GIR_Coverage, 50963,
     /* 2267681 */     GIR_EraseRootFromParent_Done,
     /* 2267682 */   // Label 30683: @2267682
     /* 2267682 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2267727), // Rule ID 50964 //
     /* 2267687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2267690 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267726 */     // GIR_Coverage, 50964,
     /* 2267726 */     GIR_EraseRootFromParent_Done,
     /* 2267727 */   // Label 30684: @2267727
     /* 2267727 */   GIM_Reject,
     /* 2267728 */ // Label 30682: @2267728
     /* 2267728 */ GIM_Reject,
     /* 2267729 */ // Label 30636: @2267729
     /* 2267729 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2267843),
     /* 2267734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2267737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2267740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267752 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2267797), // Rule ID 50835 //
     /* 2267757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267760 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267796 */     // GIR_Coverage, 50835,
     /* 2267796 */     GIR_EraseRootFromParent_Done,
     /* 2267797 */   // Label 30686: @2267797
     /* 2267797 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2267842), // Rule ID 50836 //
     /* 2267802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267805 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2267822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267841 */     // GIR_Coverage, 50836,
     /* 2267841 */     GIR_EraseRootFromParent_Done,
     /* 2267842 */   // Label 30687: @2267842
     /* 2267842 */   GIM_Reject,
     /* 2267843 */ // Label 30685: @2267843
     /* 2267843 */ GIM_Reject,
     /* 2267844 */ // Label 30637: @2267844
     /* 2267844 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2267958),
     /* 2267849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2267852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267867 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2267912), // Rule ID 50859 //
     /* 2267872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267875 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267911 */     // GIR_Coverage, 50859,
     /* 2267911 */     GIR_EraseRootFromParent_Done,
     /* 2267912 */   // Label 30689: @2267912
     /* 2267912 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2267957), // Rule ID 50860 //
     /* 2267917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267920 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267956 */     // GIR_Coverage, 50860,
     /* 2267956 */     GIR_EraseRootFromParent_Done,
     /* 2267957 */   // Label 30690: @2267957
     /* 2267957 */   GIM_Reject,
     /* 2267958 */ // Label 30688: @2267958
     /* 2267958 */ GIM_Reject,
     /* 2267959 */ // Label 30638: @2267959
     /* 2267959 */ GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2268073),
     /* 2267964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2267967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2267970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267982 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2268027), // Rule ID 50875 //
     /* 2267987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267990 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2267993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268026 */     // GIR_Coverage, 50875,
     /* 2268026 */     GIR_EraseRootFromParent_Done,
     /* 2268027 */   // Label 30692: @2268027
     /* 2268027 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2268072), // Rule ID 50876 //
     /* 2268032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268035 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2268038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268071 */     // GIR_Coverage, 50876,
     /* 2268071 */     GIR_EraseRootFromParent_Done,
     /* 2268072 */   // Label 30693: @2268072
     /* 2268072 */   GIM_Reject,
     /* 2268073 */ // Label 30691: @2268073
     /* 2268073 */ GIM_Reject,
     /* 2268074 */ // Label 30639: @2268074
     /* 2268074 */ GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2268188),
     /* 2268079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2268082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2268085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268097 */   GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2268142), // Rule ID 50967 //
     /* 2268102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268105 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268141 */     // GIR_Coverage, 50967,
     /* 2268141 */     GIR_EraseRootFromParent_Done,
     /* 2268142 */   // Label 30695: @2268142
     /* 2268142 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2268187), // Rule ID 50968 //
     /* 2268147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268150 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2268153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268186 */     // GIR_Coverage, 50968,
     /* 2268186 */     GIR_EraseRootFromParent_Done,
     /* 2268187 */   // Label 30696: @2268187
     /* 2268187 */   GIM_Reject,
     /* 2268188 */ // Label 30694: @2268188
     /* 2268188 */ GIM_Reject,
     /* 2268189 */ // Label 30640: @2268189
     /* 2268189 */ GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2268303),
     /* 2268194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2268197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2268200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268212 */   GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2268257), // Rule ID 50847 //
     /* 2268217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268220 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268256 */     // GIR_Coverage, 50847,
     /* 2268256 */     GIR_EraseRootFromParent_Done,
     /* 2268257 */   // Label 30698: @2268257
     /* 2268257 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2268302), // Rule ID 50848 //
     /* 2268262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268265 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2268268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2268282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268301 */     // GIR_Coverage, 50848,
     /* 2268301 */     GIR_EraseRootFromParent_Done,
     /* 2268302 */   // Label 30699: @2268302
     /* 2268302 */   GIM_Reject,
     /* 2268303 */ // Label 30697: @2268303
     /* 2268303 */ GIM_Reject,
     /* 2268304 */ // Label 30641: @2268304
     /* 2268304 */ GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2268418),
     /* 2268309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2268312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2268315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268327 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2268372), // Rule ID 50863 //
     /* 2268332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268335 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268371 */     // GIR_Coverage, 50863,
     /* 2268371 */     GIR_EraseRootFromParent_Done,
     /* 2268372 */   // Label 30701: @2268372
     /* 2268372 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2268417), // Rule ID 50864 //
     /* 2268377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268380 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268416 */     // GIR_Coverage, 50864,
     /* 2268416 */     GIR_EraseRootFromParent_Done,
     /* 2268417 */   // Label 30702: @2268417
     /* 2268417 */   GIM_Reject,
     /* 2268418 */ // Label 30700: @2268418
     /* 2268418 */ GIM_Reject,
     /* 2268419 */ // Label 30642: @2268419
     /* 2268419 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2268533),
     /* 2268424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2268427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268442 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2268487), // Rule ID 50879 //
     /* 2268447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268450 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268486 */     // GIR_Coverage, 50879,
     /* 2268486 */     GIR_EraseRootFromParent_Done,
     /* 2268487 */   // Label 30704: @2268487
     /* 2268487 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2268532), // Rule ID 50880 //
     /* 2268492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268495 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268531 */     // GIR_Coverage, 50880,
     /* 2268531 */     GIR_EraseRootFromParent_Done,
     /* 2268532 */   // Label 30705: @2268532
     /* 2268532 */   GIM_Reject,
     /* 2268533 */ // Label 30703: @2268533
     /* 2268533 */ GIM_Reject,
     /* 2268534 */ // Label 30643: @2268534
     /* 2268534 */ GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2268648),
     /* 2268539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2268542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268557 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2268602), // Rule ID 50851 //
     /* 2268562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268565 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268601 */     // GIR_Coverage, 50851,
     /* 2268601 */     GIR_EraseRootFromParent_Done,
     /* 2268602 */   // Label 30707: @2268602
     /* 2268602 */   GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2268647), // Rule ID 50852 //
     /* 2268607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268610 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2268627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268646 */     // GIR_Coverage, 50852,
     /* 2268646 */     GIR_EraseRootFromParent_Done,
     /* 2268647 */   // Label 30708: @2268647
     /* 2268647 */   GIM_Reject,
     /* 2268648 */ // Label 30706: @2268648
     /* 2268648 */ GIM_Reject,
     /* 2268649 */ // Label 30644: @2268649
     /* 2268649 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2268763),
     /* 2268654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2268657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268672 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2268717), // Rule ID 50867 //
     /* 2268677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268680 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268716 */     // GIR_Coverage, 50867,
     /* 2268716 */     GIR_EraseRootFromParent_Done,
     /* 2268717 */   // Label 30710: @2268717
     /* 2268717 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2268762), // Rule ID 50868 //
     /* 2268722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268725 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268761 */     // GIR_Coverage, 50868,
     /* 2268761 */     GIR_EraseRootFromParent_Done,
     /* 2268762 */   // Label 30711: @2268762
     /* 2268762 */   GIM_Reject,
     /* 2268763 */ // Label 30709: @2268763
     /* 2268763 */ GIM_Reject,
     /* 2268764 */ // Label 30645: @2268764
     /* 2268764 */ GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2268878),
     /* 2268769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2268772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2268775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268787 */   GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2268832), // Rule ID 50855 //
     /* 2268792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268795 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268831 */     // GIR_Coverage, 50855,
     /* 2268831 */     GIR_EraseRootFromParent_Done,
     /* 2268832 */   // Label 30713: @2268832
     /* 2268832 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2268877), // Rule ID 50856 //
     /* 2268837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268840 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2268857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268876 */     // GIR_Coverage, 50856,
     /* 2268876 */     GIR_EraseRootFromParent_Done,
     /* 2268877 */   // Label 30714: @2268877
     /* 2268877 */   GIM_Reject,
     /* 2268878 */ // Label 30712: @2268878
     /* 2268878 */ GIM_Reject,
     /* 2268879 */ // Label 30646: @2268879
     /* 2268879 */ GIM_Reject,
     /* 2268880 */ // Label 53: @2268880
     /* 2268880 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30738*/ GIMT_Encode4(2271732),
     /* 2268891 */ /*GILLT_s32*//*Label 30715*/ GIMT_Encode4(2269015), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268903 */ /*GILLT_nxv1s8*//*Label 30716*/ GIMT_Encode4(2269070),
     /* 2268907 */ /*GILLT_nxv1s16*//*Label 30717*/ GIMT_Encode4(2269191),
     /* 2268911 */ /*GILLT_nxv1s32*//*Label 30718*/ GIMT_Encode4(2269312),
     /* 2268915 */ /*GILLT_nxv1s64*//*Label 30719*/ GIMT_Encode4(2269433), GIMT_Encode4(0),
     /* 2268923 */ /*GILLT_nxv2s8*//*Label 30720*/ GIMT_Encode4(2269554),
     /* 2268927 */ /*GILLT_nxv2s16*//*Label 30721*/ GIMT_Encode4(2269675),
     /* 2268931 */ /*GILLT_nxv2s32*//*Label 30722*/ GIMT_Encode4(2269796),
     /* 2268935 */ /*GILLT_nxv2s64*//*Label 30723*/ GIMT_Encode4(2269917), GIMT_Encode4(0),
     /* 2268943 */ /*GILLT_nxv4s8*//*Label 30724*/ GIMT_Encode4(2270038),
     /* 2268947 */ /*GILLT_nxv4s16*//*Label 30725*/ GIMT_Encode4(2270159),
     /* 2268951 */ /*GILLT_nxv4s32*//*Label 30726*/ GIMT_Encode4(2270280),
     /* 2268955 */ /*GILLT_nxv4s64*//*Label 30727*/ GIMT_Encode4(2270401), GIMT_Encode4(0),
     /* 2268963 */ /*GILLT_nxv8s8*//*Label 30728*/ GIMT_Encode4(2270522),
     /* 2268967 */ /*GILLT_nxv8s16*//*Label 30729*/ GIMT_Encode4(2270643),
     /* 2268971 */ /*GILLT_nxv8s32*//*Label 30730*/ GIMT_Encode4(2270764),
     /* 2268975 */ /*GILLT_nxv8s64*//*Label 30731*/ GIMT_Encode4(2270885), GIMT_Encode4(0),
     /* 2268983 */ /*GILLT_nxv16s8*//*Label 30732*/ GIMT_Encode4(2271006),
     /* 2268987 */ /*GILLT_nxv16s16*//*Label 30733*/ GIMT_Encode4(2271127),
     /* 2268991 */ /*GILLT_nxv16s32*//*Label 30734*/ GIMT_Encode4(2271248), GIMT_Encode4(0),
     /* 2268999 */ /*GILLT_nxv32s8*//*Label 30735*/ GIMT_Encode4(2271369),
     /* 2269003 */ /*GILLT_nxv32s16*//*Label 30736*/ GIMT_Encode4(2271490), GIMT_Encode4(0),
     /* 2269011 */ /*GILLT_nxv64s8*//*Label 30737*/ GIMT_Encode4(2271611),
     /* 2269015 */ // Label 30715: @2269015
     /* 2269015 */ GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2269069),
     /* 2269020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2269023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2269026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2269038 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2269053), // Rule ID 64302 //
     /* 2269043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2269046 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269052 */     // GIR_Coverage, 64302,
     /* 2269052 */     GIR_Done,
     /* 2269053 */   // Label 30740: @2269053
     /* 2269053 */   GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2269068), // Rule ID 64303 //
     /* 2269058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2269061 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2269061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2269066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269067 */     // GIR_Coverage, 64303,
     /* 2269067 */     GIR_Done,
     /* 2269068 */   // Label 30741: @2269068
     /* 2269068 */   GIM_Reject,
     /* 2269069 */ // Label 30739: @2269069
     /* 2269069 */ GIM_Reject,
     /* 2269070 */ // Label 30716: @2269070
     /* 2269070 */ GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2269190),
     /* 2269075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2269078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2269081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269093 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2269141), // Rule ID 52371 //
     /* 2269098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269101 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269140 */     // GIR_Coverage, 52371,
     /* 2269140 */     GIR_EraseRootFromParent_Done,
     /* 2269141 */   // Label 30743: @2269141
     /* 2269141 */   GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2269189), // Rule ID 52372 //
     /* 2269146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269149 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2269152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2269166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269188 */     // GIR_Coverage, 52372,
     /* 2269188 */     GIR_EraseRootFromParent_Done,
     /* 2269189 */   // Label 30744: @2269189
     /* 2269189 */   GIM_Reject,
     /* 2269190 */ // Label 30742: @2269190
     /* 2269190 */ GIM_Reject,
     /* 2269191 */ // Label 30717: @2269191
     /* 2269191 */ GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2269311),
     /* 2269196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2269199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269214 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2269262), // Rule ID 52383 //
     /* 2269219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269222 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269261 */     // GIR_Coverage, 52383,
     /* 2269261 */     GIR_EraseRootFromParent_Done,
     /* 2269262 */   // Label 30746: @2269262
     /* 2269262 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2269310), // Rule ID 52384 //
     /* 2269267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269270 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2269273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269309 */     // GIR_Coverage, 52384,
     /* 2269309 */     GIR_EraseRootFromParent_Done,
     /* 2269310 */   // Label 30747: @2269310
     /* 2269310 */   GIM_Reject,
     /* 2269311 */ // Label 30745: @2269311
     /* 2269311 */ GIM_Reject,
     /* 2269312 */ // Label 30718: @2269312
     /* 2269312 */ GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2269432),
     /* 2269317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2269320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269335 */   GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2269383), // Rule ID 52391 //
     /* 2269340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269343 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269382 */     // GIR_Coverage, 52391,
     /* 2269382 */     GIR_EraseRootFromParent_Done,
     /* 2269383 */   // Label 30749: @2269383
     /* 2269383 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2269431), // Rule ID 52392 //
     /* 2269388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269391 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2269394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269430 */     // GIR_Coverage, 52392,
     /* 2269430 */     GIR_EraseRootFromParent_Done,
     /* 2269431 */   // Label 30750: @2269431
     /* 2269431 */   GIM_Reject,
     /* 2269432 */ // Label 30748: @2269432
     /* 2269432 */ GIM_Reject,
     /* 2269433 */ // Label 30719: @2269433
     /* 2269433 */ GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2269553),
     /* 2269438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2269441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269456 */   GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2269504), // Rule ID 52407 //
     /* 2269461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269464 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269503 */     // GIR_Coverage, 52407,
     /* 2269503 */     GIR_EraseRootFromParent_Done,
     /* 2269504 */   // Label 30752: @2269504
     /* 2269504 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2269552), // Rule ID 52408 //
     /* 2269509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269512 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269551 */     // GIR_Coverage, 52408,
     /* 2269551 */     GIR_EraseRootFromParent_Done,
     /* 2269552 */   // Label 30753: @2269552
     /* 2269552 */   GIM_Reject,
     /* 2269553 */ // Label 30751: @2269553
     /* 2269553 */ GIM_Reject,
     /* 2269554 */ // Label 30720: @2269554
     /* 2269554 */ GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2269674),
     /* 2269559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2269562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2269565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269577 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2269625), // Rule ID 52375 //
     /* 2269582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269585 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269624 */     // GIR_Coverage, 52375,
     /* 2269624 */     GIR_EraseRootFromParent_Done,
     /* 2269625 */   // Label 30755: @2269625
     /* 2269625 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2269673), // Rule ID 52376 //
     /* 2269630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269633 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2269650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269672 */     // GIR_Coverage, 52376,
     /* 2269672 */     GIR_EraseRootFromParent_Done,
     /* 2269673 */   // Label 30756: @2269673
     /* 2269673 */   GIM_Reject,
     /* 2269674 */ // Label 30754: @2269674
     /* 2269674 */ GIM_Reject,
     /* 2269675 */ // Label 30721: @2269675
     /* 2269675 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2269795),
     /* 2269680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2269683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269698 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2269746), // Rule ID 52387 //
     /* 2269703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269706 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269745 */     // GIR_Coverage, 52387,
     /* 2269745 */     GIR_EraseRootFromParent_Done,
     /* 2269746 */   // Label 30758: @2269746
     /* 2269746 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2269794), // Rule ID 52388 //
     /* 2269751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269754 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2269771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269793 */     // GIR_Coverage, 52388,
     /* 2269793 */     GIR_EraseRootFromParent_Done,
     /* 2269794 */   // Label 30759: @2269794
     /* 2269794 */   GIM_Reject,
     /* 2269795 */ // Label 30757: @2269795
     /* 2269795 */ GIM_Reject,
     /* 2269796 */ // Label 30722: @2269796
     /* 2269796 */ GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2269916),
     /* 2269801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2269804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269819 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2269867), // Rule ID 52403 //
     /* 2269824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269827 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269866 */     // GIR_Coverage, 52403,
     /* 2269866 */     GIR_EraseRootFromParent_Done,
     /* 2269867 */   // Label 30761: @2269867
     /* 2269867 */   GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2269915), // Rule ID 52404 //
     /* 2269872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269875 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269914 */     // GIR_Coverage, 52404,
     /* 2269914 */     GIR_EraseRootFromParent_Done,
     /* 2269915 */   // Label 30762: @2269915
     /* 2269915 */   GIM_Reject,
     /* 2269916 */ // Label 30760: @2269916
     /* 2269916 */ GIM_Reject,
     /* 2269917 */ // Label 30723: @2269917
     /* 2269917 */ GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2270037),
     /* 2269922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2269925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269940 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2269988), // Rule ID 52447 //
     /* 2269945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269948 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269987 */     // GIR_Coverage, 52447,
     /* 2269987 */     GIR_EraseRootFromParent_Done,
     /* 2269988 */   // Label 30764: @2269988
     /* 2269988 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2270036), // Rule ID 52448 //
     /* 2269993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269996 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270035 */     // GIR_Coverage, 52448,
     /* 2270035 */     GIR_EraseRootFromParent_Done,
     /* 2270036 */   // Label 30765: @2270036
     /* 2270036 */   GIM_Reject,
     /* 2270037 */ // Label 30763: @2270037
     /* 2270037 */ GIM_Reject,
     /* 2270038 */ // Label 30724: @2270038
     /* 2270038 */ GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2270158),
     /* 2270043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2270046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2270049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270061 */   GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2270109), // Rule ID 52379 //
     /* 2270066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270069 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270108 */     // GIR_Coverage, 52379,
     /* 2270108 */     GIR_EraseRootFromParent_Done,
     /* 2270109 */   // Label 30767: @2270109
     /* 2270109 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2270157), // Rule ID 52380 //
     /* 2270114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270117 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2270120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2270134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270156 */     // GIR_Coverage, 52380,
     /* 2270156 */     GIR_EraseRootFromParent_Done,
     /* 2270157 */   // Label 30768: @2270157
     /* 2270157 */   GIM_Reject,
     /* 2270158 */ // Label 30766: @2270158
     /* 2270158 */ GIM_Reject,
     /* 2270159 */ // Label 30725: @2270159
     /* 2270159 */ GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2270279),
     /* 2270164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2270167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270182 */   GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2270230), // Rule ID 52399 //
     /* 2270187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270190 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270229 */     // GIR_Coverage, 52399,
     /* 2270229 */     GIR_EraseRootFromParent_Done,
     /* 2270230 */   // Label 30770: @2270230
     /* 2270230 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2270278), // Rule ID 52400 //
     /* 2270235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270238 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2270241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270277 */     // GIR_Coverage, 52400,
     /* 2270277 */     GIR_EraseRootFromParent_Done,
     /* 2270278 */   // Label 30771: @2270278
     /* 2270278 */   GIM_Reject,
     /* 2270279 */ // Label 30769: @2270279
     /* 2270279 */ GIM_Reject,
     /* 2270280 */ // Label 30726: @2270280
     /* 2270280 */ GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2270400),
     /* 2270285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2270288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2270291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270303 */   GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2270351), // Rule ID 52435 //
     /* 2270308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270311 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270350 */     // GIR_Coverage, 52435,
     /* 2270350 */     GIR_EraseRootFromParent_Done,
     /* 2270351 */   // Label 30773: @2270351
     /* 2270351 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2270399), // Rule ID 52436 //
     /* 2270356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270359 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2270362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270398 */     // GIR_Coverage, 52436,
     /* 2270398 */     GIR_EraseRootFromParent_Done,
     /* 2270399 */   // Label 30774: @2270399
     /* 2270399 */   GIM_Reject,
     /* 2270400 */ // Label 30772: @2270400
     /* 2270400 */ GIM_Reject,
     /* 2270401 */ // Label 30727: @2270401
     /* 2270401 */ GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2270521),
     /* 2270406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2270409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270424 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2270472), // Rule ID 52451 //
     /* 2270429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270432 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270471 */     // GIR_Coverage, 52451,
     /* 2270471 */     GIR_EraseRootFromParent_Done,
     /* 2270472 */   // Label 30776: @2270472
     /* 2270472 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2270520), // Rule ID 52452 //
     /* 2270477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270480 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270519 */     // GIR_Coverage, 52452,
     /* 2270519 */     GIR_EraseRootFromParent_Done,
     /* 2270520 */   // Label 30777: @2270520
     /* 2270520 */   GIM_Reject,
     /* 2270521 */ // Label 30775: @2270521
     /* 2270521 */ GIM_Reject,
     /* 2270522 */ // Label 30728: @2270522
     /* 2270522 */ GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2270642),
     /* 2270527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2270530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2270533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270545 */   GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2270593), // Rule ID 52395 //
     /* 2270550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270553 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270592 */     // GIR_Coverage, 52395,
     /* 2270592 */     GIR_EraseRootFromParent_Done,
     /* 2270593 */   // Label 30779: @2270593
     /* 2270593 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2270641), // Rule ID 52396 //
     /* 2270598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270601 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2270618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270640 */     // GIR_Coverage, 52396,
     /* 2270640 */     GIR_EraseRootFromParent_Done,
     /* 2270641 */   // Label 30780: @2270641
     /* 2270641 */   GIM_Reject,
     /* 2270642 */ // Label 30778: @2270642
     /* 2270642 */ GIM_Reject,
     /* 2270643 */ // Label 30729: @2270643
     /* 2270643 */ GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2270763),
     /* 2270648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2270651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2270654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270666 */   GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2270714), // Rule ID 52423 //
     /* 2270671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270674 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270713 */     // GIR_Coverage, 52423,
     /* 2270713 */     GIR_EraseRootFromParent_Done,
     /* 2270714 */   // Label 30782: @2270714
     /* 2270714 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2270762), // Rule ID 52424 //
     /* 2270719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270722 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2270739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270761 */     // GIR_Coverage, 52424,
     /* 2270761 */     GIR_EraseRootFromParent_Done,
     /* 2270762 */   // Label 30783: @2270762
     /* 2270762 */   GIM_Reject,
     /* 2270763 */ // Label 30781: @2270763
     /* 2270763 */ GIM_Reject,
     /* 2270764 */ // Label 30730: @2270764
     /* 2270764 */ GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2270884),
     /* 2270769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2270772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2270775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270787 */   GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2270835), // Rule ID 52439 //
     /* 2270792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270795 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270834 */     // GIR_Coverage, 52439,
     /* 2270834 */     GIR_EraseRootFromParent_Done,
     /* 2270835 */   // Label 30785: @2270835
     /* 2270835 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2270883), // Rule ID 52440 //
     /* 2270840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270843 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270882 */     // GIR_Coverage, 52440,
     /* 2270882 */     GIR_EraseRootFromParent_Done,
     /* 2270883 */   // Label 30786: @2270883
     /* 2270883 */   GIM_Reject,
     /* 2270884 */ // Label 30784: @2270884
     /* 2270884 */ GIM_Reject,
     /* 2270885 */ // Label 30731: @2270885
     /* 2270885 */ GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2271005),
     /* 2270890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2270893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2270896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270908 */   GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2270956), // Rule ID 52455 //
     /* 2270913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270916 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270955 */     // GIR_Coverage, 52455,
     /* 2270955 */     GIR_EraseRootFromParent_Done,
     /* 2270956 */   // Label 30788: @2270956
     /* 2270956 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2271004), // Rule ID 52456 //
     /* 2270961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270964 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271003 */     // GIR_Coverage, 52456,
     /* 2271003 */     GIR_EraseRootFromParent_Done,
     /* 2271004 */   // Label 30789: @2271004
     /* 2271004 */   GIM_Reject,
     /* 2271005 */ // Label 30787: @2271005
     /* 2271005 */ GIM_Reject,
     /* 2271006 */ // Label 30732: @2271006
     /* 2271006 */ GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2271126),
     /* 2271011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2271014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2271017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271029 */   GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2271077), // Rule ID 52411 //
     /* 2271034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271037 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271076 */     // GIR_Coverage, 52411,
     /* 2271076 */     GIR_EraseRootFromParent_Done,
     /* 2271077 */   // Label 30791: @2271077
     /* 2271077 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2271125), // Rule ID 52412 //
     /* 2271082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271085 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2271088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2271102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271124 */     // GIR_Coverage, 52412,
     /* 2271124 */     GIR_EraseRootFromParent_Done,
     /* 2271125 */   // Label 30792: @2271125
     /* 2271125 */   GIM_Reject,
     /* 2271126 */ // Label 30790: @2271126
     /* 2271126 */ GIM_Reject,
     /* 2271127 */ // Label 30733: @2271127
     /* 2271127 */ GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2271247),
     /* 2271132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2271135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2271138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271150 */   GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2271198), // Rule ID 52427 //
     /* 2271155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271158 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271197 */     // GIR_Coverage, 52427,
     /* 2271197 */     GIR_EraseRootFromParent_Done,
     /* 2271198 */   // Label 30794: @2271198
     /* 2271198 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2271246), // Rule ID 52428 //
     /* 2271203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271206 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2271209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271245 */     // GIR_Coverage, 52428,
     /* 2271245 */     GIR_EraseRootFromParent_Done,
     /* 2271246 */   // Label 30795: @2271246
     /* 2271246 */   GIM_Reject,
     /* 2271247 */ // Label 30793: @2271247
     /* 2271247 */ GIM_Reject,
     /* 2271248 */ // Label 30734: @2271248
     /* 2271248 */ GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2271368),
     /* 2271253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2271256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271271 */   GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2271319), // Rule ID 52443 //
     /* 2271276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271279 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271318 */     // GIR_Coverage, 52443,
     /* 2271318 */     GIR_EraseRootFromParent_Done,
     /* 2271319 */   // Label 30797: @2271319
     /* 2271319 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2271367), // Rule ID 52444 //
     /* 2271324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271327 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2271330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271366 */     // GIR_Coverage, 52444,
     /* 2271366 */     GIR_EraseRootFromParent_Done,
     /* 2271367 */   // Label 30798: @2271367
     /* 2271367 */   GIM_Reject,
     /* 2271368 */ // Label 30796: @2271368
     /* 2271368 */ GIM_Reject,
     /* 2271369 */ // Label 30735: @2271369
     /* 2271369 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2271489),
     /* 2271374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2271377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2271380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271392 */   GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2271440), // Rule ID 52415 //
     /* 2271397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271400 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271439 */     // GIR_Coverage, 52415,
     /* 2271439 */     GIR_EraseRootFromParent_Done,
     /* 2271440 */   // Label 30800: @2271440
     /* 2271440 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2271488), // Rule ID 52416 //
     /* 2271445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271448 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2271465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271487 */     // GIR_Coverage, 52416,
     /* 2271487 */     GIR_EraseRootFromParent_Done,
     /* 2271488 */   // Label 30801: @2271488
     /* 2271488 */   GIM_Reject,
     /* 2271489 */ // Label 30799: @2271489
     /* 2271489 */ GIM_Reject,
     /* 2271490 */ // Label 30736: @2271490
     /* 2271490 */ GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2271610),
     /* 2271495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2271498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271513 */   GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2271561), // Rule ID 52431 //
     /* 2271518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271521 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271560 */     // GIR_Coverage, 52431,
     /* 2271560 */     GIR_EraseRootFromParent_Done,
     /* 2271561 */   // Label 30803: @2271561
     /* 2271561 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2271609), // Rule ID 52432 //
     /* 2271566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271569 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271608 */     // GIR_Coverage, 52432,
     /* 2271608 */     GIR_EraseRootFromParent_Done,
     /* 2271609 */   // Label 30804: @2271609
     /* 2271609 */   GIM_Reject,
     /* 2271610 */ // Label 30802: @2271610
     /* 2271610 */ GIM_Reject,
     /* 2271611 */ // Label 30737: @2271611
     /* 2271611 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2271731),
     /* 2271616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2271619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2271622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271634 */   GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2271682), // Rule ID 52419 //
     /* 2271639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271642 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271681 */     // GIR_Coverage, 52419,
     /* 2271681 */     GIR_EraseRootFromParent_Done,
     /* 2271682 */   // Label 30806: @2271682
     /* 2271682 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2271730), // Rule ID 52420 //
     /* 2271687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271690 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2271707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271729 */     // GIR_Coverage, 52420,
     /* 2271729 */     GIR_EraseRootFromParent_Done,
     /* 2271730 */   // Label 30807: @2271730
     /* 2271730 */   GIM_Reject,
     /* 2271731 */ // Label 30805: @2271731
     /* 2271731 */ GIM_Reject,
     /* 2271732 */ // Label 30738: @2271732
     /* 2271732 */ GIM_Reject,
     /* 2271733 */ // Label 54: @2271733
     /* 2271733 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30831*/ GIMT_Encode4(2274585),
     /* 2271744 */ /*GILLT_s32*//*Label 30808*/ GIMT_Encode4(2271868), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2271756 */ /*GILLT_nxv1s8*//*Label 30809*/ GIMT_Encode4(2271923),
     /* 2271760 */ /*GILLT_nxv1s16*//*Label 30810*/ GIMT_Encode4(2272044),
     /* 2271764 */ /*GILLT_nxv1s32*//*Label 30811*/ GIMT_Encode4(2272165),
     /* 2271768 */ /*GILLT_nxv1s64*//*Label 30812*/ GIMT_Encode4(2272286), GIMT_Encode4(0),
     /* 2271776 */ /*GILLT_nxv2s8*//*Label 30813*/ GIMT_Encode4(2272407),
     /* 2271780 */ /*GILLT_nxv2s16*//*Label 30814*/ GIMT_Encode4(2272528),
     /* 2271784 */ /*GILLT_nxv2s32*//*Label 30815*/ GIMT_Encode4(2272649),
     /* 2271788 */ /*GILLT_nxv2s64*//*Label 30816*/ GIMT_Encode4(2272770), GIMT_Encode4(0),
     /* 2271796 */ /*GILLT_nxv4s8*//*Label 30817*/ GIMT_Encode4(2272891),
     /* 2271800 */ /*GILLT_nxv4s16*//*Label 30818*/ GIMT_Encode4(2273012),
     /* 2271804 */ /*GILLT_nxv4s32*//*Label 30819*/ GIMT_Encode4(2273133),
     /* 2271808 */ /*GILLT_nxv4s64*//*Label 30820*/ GIMT_Encode4(2273254), GIMT_Encode4(0),
     /* 2271816 */ /*GILLT_nxv8s8*//*Label 30821*/ GIMT_Encode4(2273375),
     /* 2271820 */ /*GILLT_nxv8s16*//*Label 30822*/ GIMT_Encode4(2273496),
     /* 2271824 */ /*GILLT_nxv8s32*//*Label 30823*/ GIMT_Encode4(2273617),
     /* 2271828 */ /*GILLT_nxv8s64*//*Label 30824*/ GIMT_Encode4(2273738), GIMT_Encode4(0),
     /* 2271836 */ /*GILLT_nxv16s8*//*Label 30825*/ GIMT_Encode4(2273859),
     /* 2271840 */ /*GILLT_nxv16s16*//*Label 30826*/ GIMT_Encode4(2273980),
     /* 2271844 */ /*GILLT_nxv16s32*//*Label 30827*/ GIMT_Encode4(2274101), GIMT_Encode4(0),
     /* 2271852 */ /*GILLT_nxv32s8*//*Label 30828*/ GIMT_Encode4(2274222),
     /* 2271856 */ /*GILLT_nxv32s16*//*Label 30829*/ GIMT_Encode4(2274343), GIMT_Encode4(0),
     /* 2271864 */ /*GILLT_nxv64s8*//*Label 30830*/ GIMT_Encode4(2274464),
     /* 2271868 */ // Label 30808: @2271868
     /* 2271868 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2271922),
     /* 2271873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2271876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2271891 */   GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2271906), // Rule ID 64300 //
     /* 2271896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2271899 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2271899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2271904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271905 */     // GIR_Coverage, 64300,
     /* 2271905 */     GIR_Done,
     /* 2271906 */   // Label 30833: @2271906
     /* 2271906 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2271921), // Rule ID 64301 //
     /* 2271911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2271914 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2271914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2271919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271920 */     // GIR_Coverage, 64301,
     /* 2271920 */     GIR_Done,
     /* 2271921 */   // Label 30834: @2271921
     /* 2271921 */   GIM_Reject,
     /* 2271922 */ // Label 30832: @2271922
     /* 2271922 */ GIM_Reject,
     /* 2271923 */ // Label 30809: @2271923
     /* 2271923 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2272043),
     /* 2271928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2271931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2271934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271946 */   GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2271994), // Rule ID 52239 //
     /* 2271951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271954 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2271957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2271971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271993 */     // GIR_Coverage, 52239,
     /* 2271993 */     GIR_EraseRootFromParent_Done,
     /* 2271994 */   // Label 30836: @2271994
     /* 2271994 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2272042), // Rule ID 52240 //
     /* 2271999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272002 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2272005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2272019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272041 */     // GIR_Coverage, 52240,
     /* 2272041 */     GIR_EraseRootFromParent_Done,
     /* 2272042 */   // Label 30837: @2272042
     /* 2272042 */   GIM_Reject,
     /* 2272043 */ // Label 30835: @2272043
     /* 2272043 */ GIM_Reject,
     /* 2272044 */ // Label 30810: @2272044
     /* 2272044 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2272164),
     /* 2272049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2272052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272067 */   GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2272115), // Rule ID 52251 //
     /* 2272072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272075 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272114 */     // GIR_Coverage, 52251,
     /* 2272114 */     GIR_EraseRootFromParent_Done,
     /* 2272115 */   // Label 30839: @2272115
     /* 2272115 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2272163), // Rule ID 52252 //
     /* 2272120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272123 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2272126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272162 */     // GIR_Coverage, 52252,
     /* 2272162 */     GIR_EraseRootFromParent_Done,
     /* 2272163 */   // Label 30840: @2272163
     /* 2272163 */   GIM_Reject,
     /* 2272164 */ // Label 30838: @2272164
     /* 2272164 */ GIM_Reject,
     /* 2272165 */ // Label 30811: @2272165
     /* 2272165 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2272285),
     /* 2272170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2272173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272188 */   GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2272236), // Rule ID 52259 //
     /* 2272193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272196 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272235 */     // GIR_Coverage, 52259,
     /* 2272235 */     GIR_EraseRootFromParent_Done,
     /* 2272236 */   // Label 30842: @2272236
     /* 2272236 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2272284), // Rule ID 52260 //
     /* 2272241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272244 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2272247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272283 */     // GIR_Coverage, 52260,
     /* 2272283 */     GIR_EraseRootFromParent_Done,
     /* 2272284 */   // Label 30843: @2272284
     /* 2272284 */   GIM_Reject,
     /* 2272285 */ // Label 30841: @2272285
     /* 2272285 */ GIM_Reject,
     /* 2272286 */ // Label 30812: @2272286
     /* 2272286 */ GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2272406),
     /* 2272291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2272294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272309 */   GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2272357), // Rule ID 52275 //
     /* 2272314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272317 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272356 */     // GIR_Coverage, 52275,
     /* 2272356 */     GIR_EraseRootFromParent_Done,
     /* 2272357 */   // Label 30845: @2272357
     /* 2272357 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2272405), // Rule ID 52276 //
     /* 2272362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272365 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2272368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272404 */     // GIR_Coverage, 52276,
     /* 2272404 */     GIR_EraseRootFromParent_Done,
     /* 2272405 */   // Label 30846: @2272405
     /* 2272405 */   GIM_Reject,
     /* 2272406 */ // Label 30844: @2272406
     /* 2272406 */ GIM_Reject,
     /* 2272407 */ // Label 30813: @2272407
     /* 2272407 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2272527),
     /* 2272412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2272415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2272418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272430 */   GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2272478), // Rule ID 52243 //
     /* 2272435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272438 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272477 */     // GIR_Coverage, 52243,
     /* 2272477 */     GIR_EraseRootFromParent_Done,
     /* 2272478 */   // Label 30848: @2272478
     /* 2272478 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2272526), // Rule ID 52244 //
     /* 2272483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272486 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2272503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272525 */     // GIR_Coverage, 52244,
     /* 2272525 */     GIR_EraseRootFromParent_Done,
     /* 2272526 */   // Label 30849: @2272526
     /* 2272526 */   GIM_Reject,
     /* 2272527 */ // Label 30847: @2272527
     /* 2272527 */ GIM_Reject,
     /* 2272528 */ // Label 30814: @2272528
     /* 2272528 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2272648),
     /* 2272533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2272536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272551 */   GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2272599), // Rule ID 52255 //
     /* 2272556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272559 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272598 */     // GIR_Coverage, 52255,
     /* 2272598 */     GIR_EraseRootFromParent_Done,
     /* 2272599 */   // Label 30851: @2272599
     /* 2272599 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2272647), // Rule ID 52256 //
     /* 2272604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272607 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272646 */     // GIR_Coverage, 52256,
     /* 2272646 */     GIR_EraseRootFromParent_Done,
     /* 2272647 */   // Label 30852: @2272647
     /* 2272647 */   GIM_Reject,
     /* 2272648 */ // Label 30850: @2272648
     /* 2272648 */ GIM_Reject,
     /* 2272649 */ // Label 30815: @2272649
     /* 2272649 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2272769),
     /* 2272654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2272657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2272660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272672 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2272720), // Rule ID 52271 //
     /* 2272677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272680 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272719 */     // GIR_Coverage, 52271,
     /* 2272719 */     GIR_EraseRootFromParent_Done,
     /* 2272720 */   // Label 30854: @2272720
     /* 2272720 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2272768), // Rule ID 52272 //
     /* 2272725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272728 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272767 */     // GIR_Coverage, 52272,
     /* 2272767 */     GIR_EraseRootFromParent_Done,
     /* 2272768 */   // Label 30855: @2272768
     /* 2272768 */   GIM_Reject,
     /* 2272769 */ // Label 30853: @2272769
     /* 2272769 */ GIM_Reject,
     /* 2272770 */ // Label 30816: @2272770
     /* 2272770 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2272890),
     /* 2272775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2272778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2272781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272793 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2272841), // Rule ID 52315 //
     /* 2272798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272801 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272840 */     // GIR_Coverage, 52315,
     /* 2272840 */     GIR_EraseRootFromParent_Done,
     /* 2272841 */   // Label 30857: @2272841
     /* 2272841 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2272889), // Rule ID 52316 //
     /* 2272846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272849 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272888 */     // GIR_Coverage, 52316,
     /* 2272888 */     GIR_EraseRootFromParent_Done,
     /* 2272889 */   // Label 30858: @2272889
     /* 2272889 */   GIM_Reject,
     /* 2272890 */ // Label 30856: @2272890
     /* 2272890 */ GIM_Reject,
     /* 2272891 */ // Label 30817: @2272891
     /* 2272891 */ GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2273011),
     /* 2272896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2272899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2272902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272914 */   GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2272962), // Rule ID 52247 //
     /* 2272919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272922 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2272925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272961 */     // GIR_Coverage, 52247,
     /* 2272961 */     GIR_EraseRootFromParent_Done,
     /* 2272962 */   // Label 30860: @2272962
     /* 2272962 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2273010), // Rule ID 52248 //
     /* 2272967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272970 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2272973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2272987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273009 */     // GIR_Coverage, 52248,
     /* 2273009 */     GIR_EraseRootFromParent_Done,
     /* 2273010 */   // Label 30861: @2273010
     /* 2273010 */   GIM_Reject,
     /* 2273011 */ // Label 30859: @2273011
     /* 2273011 */ GIM_Reject,
     /* 2273012 */ // Label 30818: @2273012
     /* 2273012 */ GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2273132),
     /* 2273017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2273020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273035 */   GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2273083), // Rule ID 52267 //
     /* 2273040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273043 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273082 */     // GIR_Coverage, 52267,
     /* 2273082 */     GIR_EraseRootFromParent_Done,
     /* 2273083 */   // Label 30863: @2273083
     /* 2273083 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2273131), // Rule ID 52268 //
     /* 2273088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273091 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2273094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273130 */     // GIR_Coverage, 52268,
     /* 2273130 */     GIR_EraseRootFromParent_Done,
     /* 2273131 */   // Label 30864: @2273131
     /* 2273131 */   GIM_Reject,
     /* 2273132 */ // Label 30862: @2273132
     /* 2273132 */ GIM_Reject,
     /* 2273133 */ // Label 30819: @2273133
     /* 2273133 */ GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2273253),
     /* 2273138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2273141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2273144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273156 */   GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2273204), // Rule ID 52303 //
     /* 2273161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273164 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273203 */     // GIR_Coverage, 52303,
     /* 2273203 */     GIR_EraseRootFromParent_Done,
     /* 2273204 */   // Label 30866: @2273204
     /* 2273204 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2273252), // Rule ID 52304 //
     /* 2273209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273212 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2273215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273251 */     // GIR_Coverage, 52304,
     /* 2273251 */     GIR_EraseRootFromParent_Done,
     /* 2273252 */   // Label 30867: @2273252
     /* 2273252 */   GIM_Reject,
     /* 2273253 */ // Label 30865: @2273253
     /* 2273253 */ GIM_Reject,
     /* 2273254 */ // Label 30820: @2273254
     /* 2273254 */ GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2273374),
     /* 2273259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2273262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2273265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273277 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2273325), // Rule ID 52319 //
     /* 2273282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273285 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273324 */     // GIR_Coverage, 52319,
     /* 2273324 */     GIR_EraseRootFromParent_Done,
     /* 2273325 */   // Label 30869: @2273325
     /* 2273325 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2273373), // Rule ID 52320 //
     /* 2273330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273333 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2273336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273372 */     // GIR_Coverage, 52320,
     /* 2273372 */     GIR_EraseRootFromParent_Done,
     /* 2273373 */   // Label 30870: @2273373
     /* 2273373 */   GIM_Reject,
     /* 2273374 */ // Label 30868: @2273374
     /* 2273374 */ GIM_Reject,
     /* 2273375 */ // Label 30821: @2273375
     /* 2273375 */ GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2273495),
     /* 2273380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2273383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2273386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273398 */   GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2273446), // Rule ID 52263 //
     /* 2273403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273406 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273445 */     // GIR_Coverage, 52263,
     /* 2273445 */     GIR_EraseRootFromParent_Done,
     /* 2273446 */   // Label 30872: @2273446
     /* 2273446 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2273494), // Rule ID 52264 //
     /* 2273451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273454 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2273457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2273471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273493 */     // GIR_Coverage, 52264,
     /* 2273493 */     GIR_EraseRootFromParent_Done,
     /* 2273494 */   // Label 30873: @2273494
     /* 2273494 */   GIM_Reject,
     /* 2273495 */ // Label 30871: @2273495
     /* 2273495 */ GIM_Reject,
     /* 2273496 */ // Label 30822: @2273496
     /* 2273496 */ GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2273616),
     /* 2273501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2273504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273519 */   GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2273567), // Rule ID 52291 //
     /* 2273524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273527 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273566 */     // GIR_Coverage, 52291,
     /* 2273566 */     GIR_EraseRootFromParent_Done,
     /* 2273567 */   // Label 30875: @2273567
     /* 2273567 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2273615), // Rule ID 52292 //
     /* 2273572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273575 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273614 */     // GIR_Coverage, 52292,
     /* 2273614 */     GIR_EraseRootFromParent_Done,
     /* 2273615 */   // Label 30876: @2273615
     /* 2273615 */   GIM_Reject,
     /* 2273616 */ // Label 30874: @2273616
     /* 2273616 */ GIM_Reject,
     /* 2273617 */ // Label 30823: @2273617
     /* 2273617 */ GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2273737),
     /* 2273622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2273625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2273628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273640 */   GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2273688), // Rule ID 52307 //
     /* 2273645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273648 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273687 */     // GIR_Coverage, 52307,
     /* 2273687 */     GIR_EraseRootFromParent_Done,
     /* 2273688 */   // Label 30878: @2273688
     /* 2273688 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2273736), // Rule ID 52308 //
     /* 2273693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273696 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2273713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273735 */     // GIR_Coverage, 52308,
     /* 2273735 */     GIR_EraseRootFromParent_Done,
     /* 2273736 */   // Label 30879: @2273736
     /* 2273736 */   GIM_Reject,
     /* 2273737 */ // Label 30877: @2273737
     /* 2273737 */ GIM_Reject,
     /* 2273738 */ // Label 30824: @2273738
     /* 2273738 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2273858),
     /* 2273743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2273746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2273749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273761 */   GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2273809), // Rule ID 52323 //
     /* 2273766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273769 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273808 */     // GIR_Coverage, 52323,
     /* 2273808 */     GIR_EraseRootFromParent_Done,
     /* 2273809 */   // Label 30881: @2273809
     /* 2273809 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2273857), // Rule ID 52324 //
     /* 2273814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273817 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273856 */     // GIR_Coverage, 52324,
     /* 2273856 */     GIR_EraseRootFromParent_Done,
     /* 2273857 */   // Label 30882: @2273857
     /* 2273857 */   GIM_Reject,
     /* 2273858 */ // Label 30880: @2273858
     /* 2273858 */ GIM_Reject,
     /* 2273859 */ // Label 30825: @2273859
     /* 2273859 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2273979),
     /* 2273864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2273867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2273870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273882 */   GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2273930), // Rule ID 52279 //
     /* 2273887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273890 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273929 */     // GIR_Coverage, 52279,
     /* 2273929 */     GIR_EraseRootFromParent_Done,
     /* 2273930 */   // Label 30884: @2273930
     /* 2273930 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2273978), // Rule ID 52280 //
     /* 2273935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273938 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2273955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273977 */     // GIR_Coverage, 52280,
     /* 2273977 */     GIR_EraseRootFromParent_Done,
     /* 2273978 */   // Label 30885: @2273978
     /* 2273978 */   GIM_Reject,
     /* 2273979 */ // Label 30883: @2273979
     /* 2273979 */ GIM_Reject,
     /* 2273980 */ // Label 30826: @2273980
     /* 2273980 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2274100),
     /* 2273985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2273988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274003 */   GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2274051), // Rule ID 52295 //
     /* 2274008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274011 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274050 */     // GIR_Coverage, 52295,
     /* 2274050 */     GIR_EraseRootFromParent_Done,
     /* 2274051 */   // Label 30887: @2274051
     /* 2274051 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2274099), // Rule ID 52296 //
     /* 2274056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274059 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274098 */     // GIR_Coverage, 52296,
     /* 2274098 */     GIR_EraseRootFromParent_Done,
     /* 2274099 */   // Label 30888: @2274099
     /* 2274099 */   GIM_Reject,
     /* 2274100 */ // Label 30886: @2274100
     /* 2274100 */ GIM_Reject,
     /* 2274101 */ // Label 30827: @2274101
     /* 2274101 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2274221),
     /* 2274106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2274109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2274112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274124 */   GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2274172), // Rule ID 52311 //
     /* 2274129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274132 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274171 */     // GIR_Coverage, 52311,
     /* 2274171 */     GIR_EraseRootFromParent_Done,
     /* 2274172 */   // Label 30890: @2274172
     /* 2274172 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2274220), // Rule ID 52312 //
     /* 2274177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274180 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2274183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274219 */     // GIR_Coverage, 52312,
     /* 2274219 */     GIR_EraseRootFromParent_Done,
     /* 2274220 */   // Label 30891: @2274220
     /* 2274220 */   GIM_Reject,
     /* 2274221 */ // Label 30889: @2274221
     /* 2274221 */ GIM_Reject,
     /* 2274222 */ // Label 30828: @2274222
     /* 2274222 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2274342),
     /* 2274227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2274230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2274233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274245 */   GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2274293), // Rule ID 52283 //
     /* 2274250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274253 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274292 */     // GIR_Coverage, 52283,
     /* 2274292 */     GIR_EraseRootFromParent_Done,
     /* 2274293 */   // Label 30893: @2274293
     /* 2274293 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2274341), // Rule ID 52284 //
     /* 2274298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274301 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2274304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2274318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274340 */     // GIR_Coverage, 52284,
     /* 2274340 */     GIR_EraseRootFromParent_Done,
     /* 2274341 */   // Label 30894: @2274341
     /* 2274341 */   GIM_Reject,
     /* 2274342 */ // Label 30892: @2274342
     /* 2274342 */ GIM_Reject,
     /* 2274343 */ // Label 30829: @2274343
     /* 2274343 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2274463),
     /* 2274348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2274351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274366 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2274414), // Rule ID 52299 //
     /* 2274371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274374 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274413 */     // GIR_Coverage, 52299,
     /* 2274413 */     GIR_EraseRootFromParent_Done,
     /* 2274414 */   // Label 30896: @2274414
     /* 2274414 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2274462), // Rule ID 52300 //
     /* 2274419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274422 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2274425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274461 */     // GIR_Coverage, 52300,
     /* 2274461 */     GIR_EraseRootFromParent_Done,
     /* 2274462 */   // Label 30897: @2274462
     /* 2274462 */   GIM_Reject,
     /* 2274463 */ // Label 30895: @2274463
     /* 2274463 */ GIM_Reject,
     /* 2274464 */ // Label 30830: @2274464
     /* 2274464 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2274584),
     /* 2274469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2274472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2274475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274487 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2274535), // Rule ID 52287 //
     /* 2274492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274495 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274534 */     // GIR_Coverage, 52287,
     /* 2274534 */     GIR_EraseRootFromParent_Done,
     /* 2274535 */   // Label 30899: @2274535
     /* 2274535 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2274583), // Rule ID 52288 //
     /* 2274540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274543 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2274560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274582 */     // GIR_Coverage, 52288,
     /* 2274582 */     GIR_EraseRootFromParent_Done,
     /* 2274583 */   // Label 30900: @2274583
     /* 2274583 */   GIM_Reject,
     /* 2274584 */ // Label 30898: @2274584
     /* 2274584 */ GIM_Reject,
     /* 2274585 */ // Label 30831: @2274585
     /* 2274585 */ GIM_Reject,
     /* 2274586 */ // Label 55: @2274586
     /* 2274586 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30924*/ GIMT_Encode4(2277438),
     /* 2274597 */ /*GILLT_s32*//*Label 30901*/ GIMT_Encode4(2274721), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274609 */ /*GILLT_nxv1s8*//*Label 30902*/ GIMT_Encode4(2274776),
     /* 2274613 */ /*GILLT_nxv1s16*//*Label 30903*/ GIMT_Encode4(2274897),
     /* 2274617 */ /*GILLT_nxv1s32*//*Label 30904*/ GIMT_Encode4(2275018),
     /* 2274621 */ /*GILLT_nxv1s64*//*Label 30905*/ GIMT_Encode4(2275139), GIMT_Encode4(0),
     /* 2274629 */ /*GILLT_nxv2s8*//*Label 30906*/ GIMT_Encode4(2275260),
     /* 2274633 */ /*GILLT_nxv2s16*//*Label 30907*/ GIMT_Encode4(2275381),
     /* 2274637 */ /*GILLT_nxv2s32*//*Label 30908*/ GIMT_Encode4(2275502),
     /* 2274641 */ /*GILLT_nxv2s64*//*Label 30909*/ GIMT_Encode4(2275623), GIMT_Encode4(0),
     /* 2274649 */ /*GILLT_nxv4s8*//*Label 30910*/ GIMT_Encode4(2275744),
     /* 2274653 */ /*GILLT_nxv4s16*//*Label 30911*/ GIMT_Encode4(2275865),
     /* 2274657 */ /*GILLT_nxv4s32*//*Label 30912*/ GIMT_Encode4(2275986),
     /* 2274661 */ /*GILLT_nxv4s64*//*Label 30913*/ GIMT_Encode4(2276107), GIMT_Encode4(0),
     /* 2274669 */ /*GILLT_nxv8s8*//*Label 30914*/ GIMT_Encode4(2276228),
     /* 2274673 */ /*GILLT_nxv8s16*//*Label 30915*/ GIMT_Encode4(2276349),
     /* 2274677 */ /*GILLT_nxv8s32*//*Label 30916*/ GIMT_Encode4(2276470),
     /* 2274681 */ /*GILLT_nxv8s64*//*Label 30917*/ GIMT_Encode4(2276591), GIMT_Encode4(0),
     /* 2274689 */ /*GILLT_nxv16s8*//*Label 30918*/ GIMT_Encode4(2276712),
     /* 2274693 */ /*GILLT_nxv16s16*//*Label 30919*/ GIMT_Encode4(2276833),
     /* 2274697 */ /*GILLT_nxv16s32*//*Label 30920*/ GIMT_Encode4(2276954), GIMT_Encode4(0),
     /* 2274705 */ /*GILLT_nxv32s8*//*Label 30921*/ GIMT_Encode4(2277075),
     /* 2274709 */ /*GILLT_nxv32s16*//*Label 30922*/ GIMT_Encode4(2277196), GIMT_Encode4(0),
     /* 2274717 */ /*GILLT_nxv64s8*//*Label 30923*/ GIMT_Encode4(2277317),
     /* 2274721 */ // Label 30901: @2274721
     /* 2274721 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2274775),
     /* 2274726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2274729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2274744 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2274759), // Rule ID 64306 //
     /* 2274749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2274752 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2274752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2274757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274758 */     // GIR_Coverage, 64306,
     /* 2274758 */     GIR_Done,
     /* 2274759 */   // Label 30926: @2274759
     /* 2274759 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2274774), // Rule ID 64307 //
     /* 2274764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2274767 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2274767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2274772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274773 */     // GIR_Coverage, 64307,
     /* 2274773 */     GIR_Done,
     /* 2274774 */   // Label 30927: @2274774
     /* 2274774 */   GIM_Reject,
     /* 2274775 */ // Label 30925: @2274775
     /* 2274775 */ GIM_Reject,
     /* 2274776 */ // Label 30902: @2274776
     /* 2274776 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2274896),
     /* 2274781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2274784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2274787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274799 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2274847), // Rule ID 52591 //
     /* 2274804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274807 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2274810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2274824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274846 */     // GIR_Coverage, 52591,
     /* 2274846 */     GIR_EraseRootFromParent_Done,
     /* 2274847 */   // Label 30929: @2274847
     /* 2274847 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2274895), // Rule ID 52592 //
     /* 2274852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274855 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2274858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2274872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274894 */     // GIR_Coverage, 52592,
     /* 2274894 */     GIR_EraseRootFromParent_Done,
     /* 2274895 */   // Label 30930: @2274895
     /* 2274895 */   GIM_Reject,
     /* 2274896 */ // Label 30928: @2274896
     /* 2274896 */ GIM_Reject,
     /* 2274897 */ // Label 30903: @2274897
     /* 2274897 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2275017),
     /* 2274902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2274905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2274908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274920 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2274968), // Rule ID 52603 //
     /* 2274925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274928 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2274931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2274945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274967 */     // GIR_Coverage, 52603,
     /* 2274967 */     GIR_EraseRootFromParent_Done,
     /* 2274968 */   // Label 30932: @2274968
     /* 2274968 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2275016), // Rule ID 52604 //
     /* 2274973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274976 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2274979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2274993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275015 */     // GIR_Coverage, 52604,
     /* 2275015 */     GIR_EraseRootFromParent_Done,
     /* 2275016 */   // Label 30933: @2275016
     /* 2275016 */   GIM_Reject,
     /* 2275017 */ // Label 30931: @2275017
     /* 2275017 */ GIM_Reject,
     /* 2275018 */ // Label 30904: @2275018
     /* 2275018 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2275138),
     /* 2275023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2275026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2275029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275041 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2275089), // Rule ID 52611 //
     /* 2275046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275049 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275088 */     // GIR_Coverage, 52611,
     /* 2275088 */     GIR_EraseRootFromParent_Done,
     /* 2275089 */   // Label 30935: @2275089
     /* 2275089 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2275137), // Rule ID 52612 //
     /* 2275094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275097 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2275100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275136 */     // GIR_Coverage, 52612,
     /* 2275136 */     GIR_EraseRootFromParent_Done,
     /* 2275137 */   // Label 30936: @2275137
     /* 2275137 */   GIM_Reject,
     /* 2275138 */ // Label 30934: @2275138
     /* 2275138 */ GIM_Reject,
     /* 2275139 */ // Label 30905: @2275139
     /* 2275139 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2275259),
     /* 2275144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2275147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2275150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275162 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2275210), // Rule ID 52627 //
     /* 2275167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275170 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275209 */     // GIR_Coverage, 52627,
     /* 2275209 */     GIR_EraseRootFromParent_Done,
     /* 2275210 */   // Label 30938: @2275210
     /* 2275210 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2275258), // Rule ID 52628 //
     /* 2275215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275218 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275257 */     // GIR_Coverage, 52628,
     /* 2275257 */     GIR_EraseRootFromParent_Done,
     /* 2275258 */   // Label 30939: @2275258
     /* 2275258 */   GIM_Reject,
     /* 2275259 */ // Label 30937: @2275259
     /* 2275259 */ GIM_Reject,
     /* 2275260 */ // Label 30906: @2275260
     /* 2275260 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2275380),
     /* 2275265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2275268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2275271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275283 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2275331), // Rule ID 52595 //
     /* 2275288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275291 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275330 */     // GIR_Coverage, 52595,
     /* 2275330 */     GIR_EraseRootFromParent_Done,
     /* 2275331 */   // Label 30941: @2275331
     /* 2275331 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2275379), // Rule ID 52596 //
     /* 2275336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275339 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2275342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2275356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275378 */     // GIR_Coverage, 52596,
     /* 2275378 */     GIR_EraseRootFromParent_Done,
     /* 2275379 */   // Label 30942: @2275379
     /* 2275379 */   GIM_Reject,
     /* 2275380 */ // Label 30940: @2275380
     /* 2275380 */ GIM_Reject,
     /* 2275381 */ // Label 30907: @2275381
     /* 2275381 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2275501),
     /* 2275386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2275389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2275392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275404 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2275452), // Rule ID 52607 //
     /* 2275409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275412 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275451 */     // GIR_Coverage, 52607,
     /* 2275451 */     GIR_EraseRootFromParent_Done,
     /* 2275452 */   // Label 30944: @2275452
     /* 2275452 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2275500), // Rule ID 52608 //
     /* 2275457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275460 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275499 */     // GIR_Coverage, 52608,
     /* 2275499 */     GIR_EraseRootFromParent_Done,
     /* 2275500 */   // Label 30945: @2275500
     /* 2275500 */   GIM_Reject,
     /* 2275501 */ // Label 30943: @2275501
     /* 2275501 */ GIM_Reject,
     /* 2275502 */ // Label 30908: @2275502
     /* 2275502 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2275622),
     /* 2275507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2275510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2275513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275525 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2275573), // Rule ID 52623 //
     /* 2275530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275533 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275572 */     // GIR_Coverage, 52623,
     /* 2275572 */     GIR_EraseRootFromParent_Done,
     /* 2275573 */   // Label 30947: @2275573
     /* 2275573 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2275621), // Rule ID 52624 //
     /* 2275578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275581 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275620 */     // GIR_Coverage, 52624,
     /* 2275620 */     GIR_EraseRootFromParent_Done,
     /* 2275621 */   // Label 30948: @2275621
     /* 2275621 */   GIM_Reject,
     /* 2275622 */ // Label 30946: @2275622
     /* 2275622 */ GIM_Reject,
     /* 2275623 */ // Label 30909: @2275623
     /* 2275623 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2275743),
     /* 2275628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2275631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2275634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275646 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2275694), // Rule ID 52667 //
     /* 2275651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275654 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275693 */     // GIR_Coverage, 52667,
     /* 2275693 */     GIR_EraseRootFromParent_Done,
     /* 2275694 */   // Label 30950: @2275694
     /* 2275694 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2275742), // Rule ID 52668 //
     /* 2275699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275702 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275741 */     // GIR_Coverage, 52668,
     /* 2275741 */     GIR_EraseRootFromParent_Done,
     /* 2275742 */   // Label 30951: @2275742
     /* 2275742 */   GIM_Reject,
     /* 2275743 */ // Label 30949: @2275743
     /* 2275743 */ GIM_Reject,
     /* 2275744 */ // Label 30910: @2275744
     /* 2275744 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2275864),
     /* 2275749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2275752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2275755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275767 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2275815), // Rule ID 52599 //
     /* 2275772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275775 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2275778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275814 */     // GIR_Coverage, 52599,
     /* 2275814 */     GIR_EraseRootFromParent_Done,
     /* 2275815 */   // Label 30953: @2275815
     /* 2275815 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2275863), // Rule ID 52600 //
     /* 2275820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275823 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2275826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2275840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275862 */     // GIR_Coverage, 52600,
     /* 2275862 */     GIR_EraseRootFromParent_Done,
     /* 2275863 */   // Label 30954: @2275863
     /* 2275863 */   GIM_Reject,
     /* 2275864 */ // Label 30952: @2275864
     /* 2275864 */ GIM_Reject,
     /* 2275865 */ // Label 30911: @2275865
     /* 2275865 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2275985),
     /* 2275870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2275873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2275876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275888 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2275936), // Rule ID 52619 //
     /* 2275893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275896 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275935 */     // GIR_Coverage, 52619,
     /* 2275935 */     GIR_EraseRootFromParent_Done,
     /* 2275936 */   // Label 30956: @2275936
     /* 2275936 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2275984), // Rule ID 52620 //
     /* 2275941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275944 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2275961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275983 */     // GIR_Coverage, 52620,
     /* 2275983 */     GIR_EraseRootFromParent_Done,
     /* 2275984 */   // Label 30957: @2275984
     /* 2275984 */   GIM_Reject,
     /* 2275985 */ // Label 30955: @2275985
     /* 2275985 */ GIM_Reject,
     /* 2275986 */ // Label 30912: @2275986
     /* 2275986 */ GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2276106),
     /* 2275991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2275994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276009 */   GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2276057), // Rule ID 52655 //
     /* 2276014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276017 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276056 */     // GIR_Coverage, 52655,
     /* 2276056 */     GIR_EraseRootFromParent_Done,
     /* 2276057 */   // Label 30959: @2276057
     /* 2276057 */   GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2276105), // Rule ID 52656 //
     /* 2276062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276065 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276104 */     // GIR_Coverage, 52656,
     /* 2276104 */     GIR_EraseRootFromParent_Done,
     /* 2276105 */   // Label 30960: @2276105
     /* 2276105 */   GIM_Reject,
     /* 2276106 */ // Label 30958: @2276106
     /* 2276106 */ GIM_Reject,
     /* 2276107 */ // Label 30913: @2276107
     /* 2276107 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2276227),
     /* 2276112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2276115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2276118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276130 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2276178), // Rule ID 52671 //
     /* 2276135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276138 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276177 */     // GIR_Coverage, 52671,
     /* 2276177 */     GIR_EraseRootFromParent_Done,
     /* 2276178 */   // Label 30962: @2276178
     /* 2276178 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2276226), // Rule ID 52672 //
     /* 2276183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276186 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276225 */     // GIR_Coverage, 52672,
     /* 2276225 */     GIR_EraseRootFromParent_Done,
     /* 2276226 */   // Label 30963: @2276226
     /* 2276226 */   GIM_Reject,
     /* 2276227 */ // Label 30961: @2276227
     /* 2276227 */ GIM_Reject,
     /* 2276228 */ // Label 30914: @2276228
     /* 2276228 */ GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2276348),
     /* 2276233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2276236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2276239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276251 */   GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2276299), // Rule ID 52615 //
     /* 2276256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276259 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276298 */     // GIR_Coverage, 52615,
     /* 2276298 */     GIR_EraseRootFromParent_Done,
     /* 2276299 */   // Label 30965: @2276299
     /* 2276299 */   GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2276347), // Rule ID 52616 //
     /* 2276304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276307 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2276310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2276324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276346 */     // GIR_Coverage, 52616,
     /* 2276346 */     GIR_EraseRootFromParent_Done,
     /* 2276347 */   // Label 30966: @2276347
     /* 2276347 */   GIM_Reject,
     /* 2276348 */ // Label 30964: @2276348
     /* 2276348 */ GIM_Reject,
     /* 2276349 */ // Label 30915: @2276349
     /* 2276349 */ GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2276469),
     /* 2276354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2276357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276372 */   GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2276420), // Rule ID 52643 //
     /* 2276377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276380 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276419 */     // GIR_Coverage, 52643,
     /* 2276419 */     GIR_EraseRootFromParent_Done,
     /* 2276420 */   // Label 30968: @2276420
     /* 2276420 */   GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2276468), // Rule ID 52644 //
     /* 2276425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276428 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276467 */     // GIR_Coverage, 52644,
     /* 2276467 */     GIR_EraseRootFromParent_Done,
     /* 2276468 */   // Label 30969: @2276468
     /* 2276468 */   GIM_Reject,
     /* 2276469 */ // Label 30967: @2276469
     /* 2276469 */ GIM_Reject,
     /* 2276470 */ // Label 30916: @2276470
     /* 2276470 */ GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2276590),
     /* 2276475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2276478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276493 */   GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2276541), // Rule ID 52659 //
     /* 2276498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276501 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276540 */     // GIR_Coverage, 52659,
     /* 2276540 */     GIR_EraseRootFromParent_Done,
     /* 2276541 */   // Label 30971: @2276541
     /* 2276541 */   GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2276589), // Rule ID 52660 //
     /* 2276546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276549 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276588 */     // GIR_Coverage, 52660,
     /* 2276588 */     GIR_EraseRootFromParent_Done,
     /* 2276589 */   // Label 30972: @2276589
     /* 2276589 */   GIM_Reject,
     /* 2276590 */ // Label 30970: @2276590
     /* 2276590 */ GIM_Reject,
     /* 2276591 */ // Label 30917: @2276591
     /* 2276591 */ GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2276711),
     /* 2276596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2276599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276614 */   GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2276662), // Rule ID 52675 //
     /* 2276619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276622 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2276639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276661 */     // GIR_Coverage, 52675,
     /* 2276661 */     GIR_EraseRootFromParent_Done,
     /* 2276662 */   // Label 30974: @2276662
     /* 2276662 */   GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2276710), // Rule ID 52676 //
     /* 2276667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276670 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2276687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276709 */     // GIR_Coverage, 52676,
     /* 2276709 */     GIR_EraseRootFromParent_Done,
     /* 2276710 */   // Label 30975: @2276710
     /* 2276710 */   GIM_Reject,
     /* 2276711 */ // Label 30973: @2276711
     /* 2276711 */ GIM_Reject,
     /* 2276712 */ // Label 30918: @2276712
     /* 2276712 */ GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2276832),
     /* 2276717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2276720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2276723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276735 */   GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2276783), // Rule ID 52631 //
     /* 2276740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276743 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2276746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276782 */     // GIR_Coverage, 52631,
     /* 2276782 */     GIR_EraseRootFromParent_Done,
     /* 2276783 */   // Label 30977: @2276783
     /* 2276783 */   GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2276831), // Rule ID 52632 //
     /* 2276788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276791 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2276794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2276808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276830 */     // GIR_Coverage, 52632,
     /* 2276830 */     GIR_EraseRootFromParent_Done,
     /* 2276831 */   // Label 30978: @2276831
     /* 2276831 */   GIM_Reject,
     /* 2276832 */ // Label 30976: @2276832
     /* 2276832 */ GIM_Reject,
     /* 2276833 */ // Label 30919: @2276833
     /* 2276833 */ GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2276953),
     /* 2276838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2276841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276856 */   GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2276904), // Rule ID 52647 //
     /* 2276861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276864 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276903 */     // GIR_Coverage, 52647,
     /* 2276903 */     GIR_EraseRootFromParent_Done,
     /* 2276904 */   // Label 30980: @2276904
     /* 2276904 */   GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2276952), // Rule ID 52648 //
     /* 2276909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276912 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2276929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276951 */     // GIR_Coverage, 52648,
     /* 2276951 */     GIR_EraseRootFromParent_Done,
     /* 2276952 */   // Label 30981: @2276952
     /* 2276952 */   GIM_Reject,
     /* 2276953 */ // Label 30979: @2276953
     /* 2276953 */ GIM_Reject,
     /* 2276954 */ // Label 30920: @2276954
     /* 2276954 */ GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2277074),
     /* 2276959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2276962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2276965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276977 */   GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2277025), // Rule ID 52663 //
     /* 2276982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276985 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2276988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277024 */     // GIR_Coverage, 52663,
     /* 2277024 */     GIR_EraseRootFromParent_Done,
     /* 2277025 */   // Label 30983: @2277025
     /* 2277025 */   GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2277073), // Rule ID 52664 //
     /* 2277030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277033 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277072 */     // GIR_Coverage, 52664,
     /* 2277072 */     GIR_EraseRootFromParent_Done,
     /* 2277073 */   // Label 30984: @2277073
     /* 2277073 */   GIM_Reject,
     /* 2277074 */ // Label 30982: @2277074
     /* 2277074 */ GIM_Reject,
     /* 2277075 */ // Label 30921: @2277075
     /* 2277075 */ GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2277195),
     /* 2277080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2277083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2277086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277098 */   GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2277146), // Rule ID 52635 //
     /* 2277103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277106 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277145 */     // GIR_Coverage, 52635,
     /* 2277145 */     GIR_EraseRootFromParent_Done,
     /* 2277146 */   // Label 30986: @2277146
     /* 2277146 */   GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2277194), // Rule ID 52636 //
     /* 2277151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277154 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2277157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2277171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277193 */     // GIR_Coverage, 52636,
     /* 2277193 */     GIR_EraseRootFromParent_Done,
     /* 2277194 */   // Label 30987: @2277194
     /* 2277194 */   GIM_Reject,
     /* 2277195 */ // Label 30985: @2277195
     /* 2277195 */ GIM_Reject,
     /* 2277196 */ // Label 30922: @2277196
     /* 2277196 */ GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2277316),
     /* 2277201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2277204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277219 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2277267), // Rule ID 52651 //
     /* 2277224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277227 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277266 */     // GIR_Coverage, 52651,
     /* 2277266 */     GIR_EraseRootFromParent_Done,
     /* 2277267 */   // Label 30989: @2277267
     /* 2277267 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2277315), // Rule ID 52652 //
     /* 2277272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277275 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277314 */     // GIR_Coverage, 52652,
     /* 2277314 */     GIR_EraseRootFromParent_Done,
     /* 2277315 */   // Label 30990: @2277315
     /* 2277315 */   GIM_Reject,
     /* 2277316 */ // Label 30988: @2277316
     /* 2277316 */ GIM_Reject,
     /* 2277317 */ // Label 30923: @2277317
     /* 2277317 */ GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2277437),
     /* 2277322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2277325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2277328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277340 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2277388), // Rule ID 52639 //
     /* 2277345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277348 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277387 */     // GIR_Coverage, 52639,
     /* 2277387 */     GIR_EraseRootFromParent_Done,
     /* 2277388 */   // Label 30992: @2277388
     /* 2277388 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2277436), // Rule ID 52640 //
     /* 2277393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277396 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2277399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2277413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277435 */     // GIR_Coverage, 52640,
     /* 2277435 */     GIR_EraseRootFromParent_Done,
     /* 2277436 */   // Label 30993: @2277436
     /* 2277436 */   GIM_Reject,
     /* 2277437 */ // Label 30991: @2277437
     /* 2277437 */ GIM_Reject,
     /* 2277438 */ // Label 30924: @2277438
     /* 2277438 */ GIM_Reject,
     /* 2277439 */ // Label 56: @2277439
     /* 2277439 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31017*/ GIMT_Encode4(2280291),
     /* 2277450 */ /*GILLT_s32*//*Label 30994*/ GIMT_Encode4(2277574), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277462 */ /*GILLT_nxv1s8*//*Label 30995*/ GIMT_Encode4(2277629),
     /* 2277466 */ /*GILLT_nxv1s16*//*Label 30996*/ GIMT_Encode4(2277750),
     /* 2277470 */ /*GILLT_nxv1s32*//*Label 30997*/ GIMT_Encode4(2277871),
     /* 2277474 */ /*GILLT_nxv1s64*//*Label 30998*/ GIMT_Encode4(2277992), GIMT_Encode4(0),
     /* 2277482 */ /*GILLT_nxv2s8*//*Label 30999*/ GIMT_Encode4(2278113),
     /* 2277486 */ /*GILLT_nxv2s16*//*Label 31000*/ GIMT_Encode4(2278234),
     /* 2277490 */ /*GILLT_nxv2s32*//*Label 31001*/ GIMT_Encode4(2278355),
     /* 2277494 */ /*GILLT_nxv2s64*//*Label 31002*/ GIMT_Encode4(2278476), GIMT_Encode4(0),
     /* 2277502 */ /*GILLT_nxv4s8*//*Label 31003*/ GIMT_Encode4(2278597),
     /* 2277506 */ /*GILLT_nxv4s16*//*Label 31004*/ GIMT_Encode4(2278718),
     /* 2277510 */ /*GILLT_nxv4s32*//*Label 31005*/ GIMT_Encode4(2278839),
     /* 2277514 */ /*GILLT_nxv4s64*//*Label 31006*/ GIMT_Encode4(2278960), GIMT_Encode4(0),
     /* 2277522 */ /*GILLT_nxv8s8*//*Label 31007*/ GIMT_Encode4(2279081),
     /* 2277526 */ /*GILLT_nxv8s16*//*Label 31008*/ GIMT_Encode4(2279202),
     /* 2277530 */ /*GILLT_nxv8s32*//*Label 31009*/ GIMT_Encode4(2279323),
     /* 2277534 */ /*GILLT_nxv8s64*//*Label 31010*/ GIMT_Encode4(2279444), GIMT_Encode4(0),
     /* 2277542 */ /*GILLT_nxv16s8*//*Label 31011*/ GIMT_Encode4(2279565),
     /* 2277546 */ /*GILLT_nxv16s16*//*Label 31012*/ GIMT_Encode4(2279686),
     /* 2277550 */ /*GILLT_nxv16s32*//*Label 31013*/ GIMT_Encode4(2279807), GIMT_Encode4(0),
     /* 2277558 */ /*GILLT_nxv32s8*//*Label 31014*/ GIMT_Encode4(2279928),
     /* 2277562 */ /*GILLT_nxv32s16*//*Label 31015*/ GIMT_Encode4(2280049), GIMT_Encode4(0),
     /* 2277570 */ /*GILLT_nxv64s8*//*Label 31016*/ GIMT_Encode4(2280170),
     /* 2277574 */ // Label 30994: @2277574
     /* 2277574 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2277628),
     /* 2277579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2277582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2277585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2277597 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2277612), // Rule ID 64304 //
     /* 2277602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2277605 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2277605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2277610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277611 */     // GIR_Coverage, 64304,
     /* 2277611 */     GIR_Done,
     /* 2277612 */   // Label 31019: @2277612
     /* 2277612 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2277627), // Rule ID 64305 //
     /* 2277617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2277620 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2277620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2277625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277626 */     // GIR_Coverage, 64305,
     /* 2277626 */     GIR_Done,
     /* 2277627 */   // Label 31020: @2277627
     /* 2277627 */   GIM_Reject,
     /* 2277628 */ // Label 31018: @2277628
     /* 2277628 */ GIM_Reject,
     /* 2277629 */ // Label 30995: @2277629
     /* 2277629 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2277749),
     /* 2277634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2277637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2277640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277652 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2277700), // Rule ID 52503 //
     /* 2277657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277660 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2277663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2277677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277699 */     // GIR_Coverage, 52503,
     /* 2277699 */     GIR_EraseRootFromParent_Done,
     /* 2277700 */   // Label 31022: @2277700
     /* 2277700 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2277748), // Rule ID 52504 //
     /* 2277705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277708 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2277711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2277725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277747 */     // GIR_Coverage, 52504,
     /* 2277747 */     GIR_EraseRootFromParent_Done,
     /* 2277748 */   // Label 31023: @2277748
     /* 2277748 */   GIM_Reject,
     /* 2277749 */ // Label 31021: @2277749
     /* 2277749 */ GIM_Reject,
     /* 2277750 */ // Label 30996: @2277750
     /* 2277750 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2277870),
     /* 2277755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2277758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2277761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277773 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2277821), // Rule ID 52515 //
     /* 2277778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277781 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2277798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277820 */     // GIR_Coverage, 52515,
     /* 2277820 */     GIR_EraseRootFromParent_Done,
     /* 2277821 */   // Label 31025: @2277821
     /* 2277821 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2277869), // Rule ID 52516 //
     /* 2277826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277829 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2277846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277868 */     // GIR_Coverage, 52516,
     /* 2277868 */     GIR_EraseRootFromParent_Done,
     /* 2277869 */   // Label 31026: @2277869
     /* 2277869 */   GIM_Reject,
     /* 2277870 */ // Label 31024: @2277870
     /* 2277870 */ GIM_Reject,
     /* 2277871 */ // Label 30997: @2277871
     /* 2277871 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2277991),
     /* 2277876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2277879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2277882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277894 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2277942), // Rule ID 52523 //
     /* 2277899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277902 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2277919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277941 */     // GIR_Coverage, 52523,
     /* 2277941 */     GIR_EraseRootFromParent_Done,
     /* 2277942 */   // Label 31028: @2277942
     /* 2277942 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2277990), // Rule ID 52524 //
     /* 2277947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277950 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2277967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277989 */     // GIR_Coverage, 52524,
     /* 2277989 */     GIR_EraseRootFromParent_Done,
     /* 2277990 */   // Label 31029: @2277990
     /* 2277990 */   GIM_Reject,
     /* 2277991 */ // Label 31027: @2277991
     /* 2277991 */ GIM_Reject,
     /* 2277992 */ // Label 30998: @2277992
     /* 2277992 */ GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2278112),
     /* 2277997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2278000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278015 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2278063), // Rule ID 52539 //
     /* 2278020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278023 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278062 */     // GIR_Coverage, 52539,
     /* 2278062 */     GIR_EraseRootFromParent_Done,
     /* 2278063 */   // Label 31031: @2278063
     /* 2278063 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2278111), // Rule ID 52540 //
     /* 2278068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278071 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278110 */     // GIR_Coverage, 52540,
     /* 2278110 */     GIR_EraseRootFromParent_Done,
     /* 2278111 */   // Label 31032: @2278111
     /* 2278111 */   GIM_Reject,
     /* 2278112 */ // Label 31030: @2278112
     /* 2278112 */ GIM_Reject,
     /* 2278113 */ // Label 30999: @2278113
     /* 2278113 */ GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2278233),
     /* 2278118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2278121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2278124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278136 */   GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2278184), // Rule ID 52507 //
     /* 2278141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278144 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278183 */     // GIR_Coverage, 52507,
     /* 2278183 */     GIR_EraseRootFromParent_Done,
     /* 2278184 */   // Label 31034: @2278184
     /* 2278184 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2278232), // Rule ID 52508 //
     /* 2278189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278192 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2278209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278231 */     // GIR_Coverage, 52508,
     /* 2278231 */     GIR_EraseRootFromParent_Done,
     /* 2278232 */   // Label 31035: @2278232
     /* 2278232 */   GIM_Reject,
     /* 2278233 */ // Label 31033: @2278233
     /* 2278233 */ GIM_Reject,
     /* 2278234 */ // Label 31000: @2278234
     /* 2278234 */ GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2278354),
     /* 2278239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2278242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2278245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278257 */   GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2278305), // Rule ID 52519 //
     /* 2278262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278265 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278304 */     // GIR_Coverage, 52519,
     /* 2278304 */     GIR_EraseRootFromParent_Done,
     /* 2278305 */   // Label 31037: @2278305
     /* 2278305 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2278353), // Rule ID 52520 //
     /* 2278310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278313 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2278316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278352 */     // GIR_Coverage, 52520,
     /* 2278352 */     GIR_EraseRootFromParent_Done,
     /* 2278353 */   // Label 31038: @2278353
     /* 2278353 */   GIM_Reject,
     /* 2278354 */ // Label 31036: @2278354
     /* 2278354 */ GIM_Reject,
     /* 2278355 */ // Label 31001: @2278355
     /* 2278355 */ GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2278475),
     /* 2278360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2278363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2278366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278378 */   GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2278426), // Rule ID 52535 //
     /* 2278383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278386 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278425 */     // GIR_Coverage, 52535,
     /* 2278425 */     GIR_EraseRootFromParent_Done,
     /* 2278426 */   // Label 31040: @2278426
     /* 2278426 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2278474), // Rule ID 52536 //
     /* 2278431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278434 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2278437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278473 */     // GIR_Coverage, 52536,
     /* 2278473 */     GIR_EraseRootFromParent_Done,
     /* 2278474 */   // Label 31041: @2278474
     /* 2278474 */   GIM_Reject,
     /* 2278475 */ // Label 31039: @2278475
     /* 2278475 */ GIM_Reject,
     /* 2278476 */ // Label 31002: @2278476
     /* 2278476 */ GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2278596),
     /* 2278481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2278484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278499 */   GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2278547), // Rule ID 52579 //
     /* 2278504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278507 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278546 */     // GIR_Coverage, 52579,
     /* 2278546 */     GIR_EraseRootFromParent_Done,
     /* 2278547 */   // Label 31043: @2278547
     /* 2278547 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2278595), // Rule ID 52580 //
     /* 2278552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278555 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2278558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278594 */     // GIR_Coverage, 52580,
     /* 2278594 */     GIR_EraseRootFromParent_Done,
     /* 2278595 */   // Label 31044: @2278595
     /* 2278595 */   GIM_Reject,
     /* 2278596 */ // Label 31042: @2278596
     /* 2278596 */ GIM_Reject,
     /* 2278597 */ // Label 31003: @2278597
     /* 2278597 */ GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2278717),
     /* 2278602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2278605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2278608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278620 */   GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2278668), // Rule ID 52511 //
     /* 2278625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278628 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278667 */     // GIR_Coverage, 52511,
     /* 2278667 */     GIR_EraseRootFromParent_Done,
     /* 2278668 */   // Label 31046: @2278668
     /* 2278668 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2278716), // Rule ID 52512 //
     /* 2278673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278676 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2278679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2278693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278715 */     // GIR_Coverage, 52512,
     /* 2278715 */     GIR_EraseRootFromParent_Done,
     /* 2278716 */   // Label 31047: @2278716
     /* 2278716 */   GIM_Reject,
     /* 2278717 */ // Label 31045: @2278717
     /* 2278717 */ GIM_Reject,
     /* 2278718 */ // Label 31004: @2278718
     /* 2278718 */ GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2278838),
     /* 2278723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2278726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2278729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278741 */   GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2278789), // Rule ID 52531 //
     /* 2278746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278749 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278788 */     // GIR_Coverage, 52531,
     /* 2278788 */     GIR_EraseRootFromParent_Done,
     /* 2278789 */   // Label 31049: @2278789
     /* 2278789 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2278837), // Rule ID 52532 //
     /* 2278794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278797 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2278800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2278814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278836 */     // GIR_Coverage, 52532,
     /* 2278836 */     GIR_EraseRootFromParent_Done,
     /* 2278837 */   // Label 31050: @2278837
     /* 2278837 */   GIM_Reject,
     /* 2278838 */ // Label 31048: @2278838
     /* 2278838 */ GIM_Reject,
     /* 2278839 */ // Label 31005: @2278839
     /* 2278839 */ GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2278959),
     /* 2278844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2278847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2278850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278862 */   GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2278910), // Rule ID 52567 //
     /* 2278867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278870 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278909 */     // GIR_Coverage, 52567,
     /* 2278909 */     GIR_EraseRootFromParent_Done,
     /* 2278910 */   // Label 31052: @2278910
     /* 2278910 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2278958), // Rule ID 52568 //
     /* 2278915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278918 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278957 */     // GIR_Coverage, 52568,
     /* 2278957 */     GIR_EraseRootFromParent_Done,
     /* 2278958 */   // Label 31053: @2278958
     /* 2278958 */   GIM_Reject,
     /* 2278959 */ // Label 31051: @2278959
     /* 2278959 */ GIM_Reject,
     /* 2278960 */ // Label 31006: @2278960
     /* 2278960 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2279080),
     /* 2278965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2278968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2278971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278983 */   GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2279031), // Rule ID 52583 //
     /* 2278988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278991 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279030 */     // GIR_Coverage, 52583,
     /* 2279030 */     GIR_EraseRootFromParent_Done,
     /* 2279031 */   // Label 31055: @2279031
     /* 2279031 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2279079), // Rule ID 52584 //
     /* 2279036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279039 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2279042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279078 */     // GIR_Coverage, 52584,
     /* 2279078 */     GIR_EraseRootFromParent_Done,
     /* 2279079 */   // Label 31056: @2279079
     /* 2279079 */   GIM_Reject,
     /* 2279080 */ // Label 31054: @2279080
     /* 2279080 */ GIM_Reject,
     /* 2279081 */ // Label 31007: @2279081
     /* 2279081 */ GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2279201),
     /* 2279086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2279089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2279092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279104 */   GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2279152), // Rule ID 52527 //
     /* 2279109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279112 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279151 */     // GIR_Coverage, 52527,
     /* 2279151 */     GIR_EraseRootFromParent_Done,
     /* 2279152 */   // Label 31058: @2279152
     /* 2279152 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2279200), // Rule ID 52528 //
     /* 2279157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279160 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2279163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2279177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279199 */     // GIR_Coverage, 52528,
     /* 2279199 */     GIR_EraseRootFromParent_Done,
     /* 2279200 */   // Label 31059: @2279200
     /* 2279200 */   GIM_Reject,
     /* 2279201 */ // Label 31057: @2279201
     /* 2279201 */ GIM_Reject,
     /* 2279202 */ // Label 31008: @2279202
     /* 2279202 */ GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2279322),
     /* 2279207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2279210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2279213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279225 */   GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2279273), // Rule ID 52555 //
     /* 2279230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279233 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279272 */     // GIR_Coverage, 52555,
     /* 2279272 */     GIR_EraseRootFromParent_Done,
     /* 2279273 */   // Label 31061: @2279273
     /* 2279273 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2279321), // Rule ID 52556 //
     /* 2279278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279281 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2279284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279320 */     // GIR_Coverage, 52556,
     /* 2279320 */     GIR_EraseRootFromParent_Done,
     /* 2279321 */   // Label 31062: @2279321
     /* 2279321 */   GIM_Reject,
     /* 2279322 */ // Label 31060: @2279322
     /* 2279322 */ GIM_Reject,
     /* 2279323 */ // Label 31009: @2279323
     /* 2279323 */ GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2279443),
     /* 2279328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2279331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2279334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279346 */   GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2279394), // Rule ID 52571 //
     /* 2279351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279354 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279393 */     // GIR_Coverage, 52571,
     /* 2279393 */     GIR_EraseRootFromParent_Done,
     /* 2279394 */   // Label 31064: @2279394
     /* 2279394 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2279442), // Rule ID 52572 //
     /* 2279399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279402 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2279405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279441 */     // GIR_Coverage, 52572,
     /* 2279441 */     GIR_EraseRootFromParent_Done,
     /* 2279442 */   // Label 31065: @2279442
     /* 2279442 */   GIM_Reject,
     /* 2279443 */ // Label 31063: @2279443
     /* 2279443 */ GIM_Reject,
     /* 2279444 */ // Label 31010: @2279444
     /* 2279444 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2279564),
     /* 2279449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2279452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279467 */   GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2279515), // Rule ID 52587 //
     /* 2279472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279475 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279514 */     // GIR_Coverage, 52587,
     /* 2279514 */     GIR_EraseRootFromParent_Done,
     /* 2279515 */   // Label 31067: @2279515
     /* 2279515 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2279563), // Rule ID 52588 //
     /* 2279520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279523 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2279526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279562 */     // GIR_Coverage, 52588,
     /* 2279562 */     GIR_EraseRootFromParent_Done,
     /* 2279563 */   // Label 31068: @2279563
     /* 2279563 */   GIM_Reject,
     /* 2279564 */ // Label 31066: @2279564
     /* 2279564 */ GIM_Reject,
     /* 2279565 */ // Label 31011: @2279565
     /* 2279565 */ GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2279685),
     /* 2279570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2279573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2279576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279588 */   GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2279636), // Rule ID 52543 //
     /* 2279593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279596 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279635 */     // GIR_Coverage, 52543,
     /* 2279635 */     GIR_EraseRootFromParent_Done,
     /* 2279636 */   // Label 31070: @2279636
     /* 2279636 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2279684), // Rule ID 52544 //
     /* 2279641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279644 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2279647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2279661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279683 */     // GIR_Coverage, 52544,
     /* 2279683 */     GIR_EraseRootFromParent_Done,
     /* 2279684 */   // Label 31071: @2279684
     /* 2279684 */   GIM_Reject,
     /* 2279685 */ // Label 31069: @2279685
     /* 2279685 */ GIM_Reject,
     /* 2279686 */ // Label 31012: @2279686
     /* 2279686 */ GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2279806),
     /* 2279691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2279694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2279697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279709 */   GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2279757), // Rule ID 52559 //
     /* 2279714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279717 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279756 */     // GIR_Coverage, 52559,
     /* 2279756 */     GIR_EraseRootFromParent_Done,
     /* 2279757 */   // Label 31073: @2279757
     /* 2279757 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2279805), // Rule ID 52560 //
     /* 2279762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279765 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2279768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279804 */     // GIR_Coverage, 52560,
     /* 2279804 */     GIR_EraseRootFromParent_Done,
     /* 2279805 */   // Label 31074: @2279805
     /* 2279805 */   GIM_Reject,
     /* 2279806 */ // Label 31072: @2279806
     /* 2279806 */ GIM_Reject,
     /* 2279807 */ // Label 31013: @2279807
     /* 2279807 */ GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2279927),
     /* 2279812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2279815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2279818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279830 */   GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2279878), // Rule ID 52575 //
     /* 2279835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279838 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2279841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279877 */     // GIR_Coverage, 52575,
     /* 2279877 */     GIR_EraseRootFromParent_Done,
     /* 2279878 */   // Label 31076: @2279878
     /* 2279878 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2279926), // Rule ID 52576 //
     /* 2279883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279886 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2279889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2279903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279925 */     // GIR_Coverage, 52576,
     /* 2279925 */     GIR_EraseRootFromParent_Done,
     /* 2279926 */   // Label 31077: @2279926
     /* 2279926 */   GIM_Reject,
     /* 2279927 */ // Label 31075: @2279927
     /* 2279927 */ GIM_Reject,
     /* 2279928 */ // Label 31014: @2279928
     /* 2279928 */ GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2280048),
     /* 2279933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2279936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2279939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2279951 */   GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2279999), // Rule ID 52547 //
     /* 2279956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279959 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2279962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2279976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279998 */     // GIR_Coverage, 52547,
     /* 2279998 */     GIR_EraseRootFromParent_Done,
     /* 2279999 */   // Label 31079: @2279999
     /* 2279999 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2280047), // Rule ID 52548 //
     /* 2280004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280007 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2280010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2280024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280046 */     // GIR_Coverage, 52548,
     /* 2280046 */     GIR_EraseRootFromParent_Done,
     /* 2280047 */   // Label 31080: @2280047
     /* 2280047 */   GIM_Reject,
     /* 2280048 */ // Label 31078: @2280048
     /* 2280048 */ GIM_Reject,
     /* 2280049 */ // Label 31015: @2280049
     /* 2280049 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2280169),
     /* 2280054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2280057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280072 */   GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2280120), // Rule ID 52563 //
     /* 2280077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280080 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280119 */     // GIR_Coverage, 52563,
     /* 2280119 */     GIR_EraseRootFromParent_Done,
     /* 2280120 */   // Label 31082: @2280120
     /* 2280120 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2280168), // Rule ID 52564 //
     /* 2280125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280128 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2280131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280167 */     // GIR_Coverage, 52564,
     /* 2280167 */     GIR_EraseRootFromParent_Done,
     /* 2280168 */   // Label 31083: @2280168
     /* 2280168 */   GIM_Reject,
     /* 2280169 */ // Label 31081: @2280169
     /* 2280169 */ GIM_Reject,
     /* 2280170 */ // Label 31016: @2280170
     /* 2280170 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2280290),
     /* 2280175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2280178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2280181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280193 */   GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2280241), // Rule ID 52551 //
     /* 2280198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280201 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280240 */     // GIR_Coverage, 52551,
     /* 2280240 */     GIR_EraseRootFromParent_Done,
     /* 2280241 */   // Label 31085: @2280241
     /* 2280241 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2280289), // Rule ID 52552 //
     /* 2280246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280249 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2280252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2280266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280288 */     // GIR_Coverage, 52552,
     /* 2280288 */     GIR_EraseRootFromParent_Done,
     /* 2280289 */   // Label 31086: @2280289
     /* 2280289 */   GIM_Reject,
     /* 2280290 */ // Label 31084: @2280290
     /* 2280290 */ GIM_Reject,
     /* 2280291 */ // Label 31017: @2280291
     /* 2280291 */ GIM_Reject,
     /* 2280292 */ // Label 57: @2280292
     /* 2280292 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2280349),
     /* 2280297 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280318 */   GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2280333), // Rule ID 64308 //
     /* 2280323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280326 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280332 */     // GIR_Coverage, 64308,
     /* 2280332 */     GIR_Done,
     /* 2280333 */   // Label 31088: @2280333
     /* 2280333 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2280348), // Rule ID 64309 //
     /* 2280338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280341 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2280346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280347 */     // GIR_Coverage, 64309,
     /* 2280347 */     GIR_Done,
     /* 2280348 */   // Label 31089: @2280348
     /* 2280348 */   GIM_Reject,
     /* 2280349 */ // Label 31087: @2280349
     /* 2280349 */ GIM_Reject,
     /* 2280350 */ // Label 58: @2280350
     /* 2280350 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2280407),
     /* 2280355 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2280358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2280376 */   GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2280391), // Rule ID 64310 //
     /* 2280381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2280384 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280390 */     // GIR_Coverage, 64310,
     /* 2280390 */     GIR_Done,
     /* 2280391 */   // Label 31091: @2280391
     /* 2280391 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2280406), // Rule ID 64311 //
     /* 2280396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2280399 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2280399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2280404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280405 */     // GIR_Coverage, 64311,
     /* 2280405 */     GIR_Done,
     /* 2280406 */   // Label 31092: @2280406
     /* 2280406 */   GIM_Reject,
     /* 2280407 */ // Label 31090: @2280407
     /* 2280407 */ GIM_Reject,
     /* 2280408 */ // Label 59: @2280408
     /* 2280408 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31111*/ GIMT_Encode4(2282835),
     /* 2280419 */ /*GILLT_s16*//*Label 31093*/ GIMT_Encode4(2280539),
     /* 2280423 */ /*GILLT_s32*//*Label 31094*/ GIMT_Encode4(2280688),
     /* 2280427 */ /*GILLT_s64*//*Label 31095*/ GIMT_Encode4(2280837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280439 */ /*GILLT_nxv1s16*//*Label 31096*/ GIMT_Encode4(2281020),
     /* 2280443 */ /*GILLT_nxv1s32*//*Label 31097*/ GIMT_Encode4(2281141),
     /* 2280447 */ /*GILLT_nxv1s64*//*Label 31098*/ GIMT_Encode4(2281262), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280459 */ /*GILLT_nxv2s16*//*Label 31099*/ GIMT_Encode4(2281383),
     /* 2280463 */ /*GILLT_nxv2s32*//*Label 31100*/ GIMT_Encode4(2281504),
     /* 2280467 */ /*GILLT_nxv2s64*//*Label 31101*/ GIMT_Encode4(2281625), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280479 */ /*GILLT_nxv4s16*//*Label 31102*/ GIMT_Encode4(2281746),
     /* 2280483 */ /*GILLT_nxv4s32*//*Label 31103*/ GIMT_Encode4(2281867),
     /* 2280487 */ /*GILLT_nxv4s64*//*Label 31104*/ GIMT_Encode4(2281988), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280499 */ /*GILLT_nxv8s16*//*Label 31105*/ GIMT_Encode4(2282109),
     /* 2280503 */ /*GILLT_nxv8s32*//*Label 31106*/ GIMT_Encode4(2282230),
     /* 2280507 */ /*GILLT_nxv8s64*//*Label 31107*/ GIMT_Encode4(2282351), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280519 */ /*GILLT_nxv16s16*//*Label 31108*/ GIMT_Encode4(2282472),
     /* 2280523 */ /*GILLT_nxv16s32*//*Label 31109*/ GIMT_Encode4(2282593), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2280535 */ /*GILLT_nxv32s16*//*Label 31110*/ GIMT_Encode4(2282714),
     /* 2280539 */ // Label 31093: @2280539
     /* 2280539 */ GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2280687),
     /* 2280544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2280547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2280550 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2280584), // Rule ID 1841 //
     /* 2280555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2280558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280570 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2280570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2280573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280583 */     // GIR_Coverage, 1841,
     /* 2280583 */     GIR_EraseRootFromParent_Done,
     /* 2280584 */   // Label 31113: @2280584
     /* 2280584 */   GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2280618), // Rule ID 1842 //
     /* 2280589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2280592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280604 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2280604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2280607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280617 */     // GIR_Coverage, 1842,
     /* 2280617 */     GIR_EraseRootFromParent_Done,
     /* 2280618 */   // Label 31114: @2280618
     /* 2280618 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2280652), // Rule ID 1845 //
     /* 2280623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2280626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280638 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2280638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2280641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280651 */     // GIR_Coverage, 1845,
     /* 2280651 */     GIR_EraseRootFromParent_Done,
     /* 2280652 */   // Label 31115: @2280652
     /* 2280652 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2280686), // Rule ID 1846 //
     /* 2280657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2280660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2280672 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2280672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2280675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280685 */     // GIR_Coverage, 1846,
     /* 2280685 */     GIR_EraseRootFromParent_Done,
     /* 2280686 */   // Label 31116: @2280686
     /* 2280686 */   GIM_Reject,
     /* 2280687 */ // Label 31112: @2280687
     /* 2280687 */ GIM_Reject,
     /* 2280688 */ // Label 31094: @2280688
     /* 2280688 */ GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2280836),
     /* 2280693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2280699 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2280733), // Rule ID 1132 //
     /* 2280704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2280707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280719 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2280719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2280722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280732 */     // GIR_Coverage, 1132,
     /* 2280732 */     GIR_EraseRootFromParent_Done,
     /* 2280733 */   // Label 31118: @2280733
     /* 2280733 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2280767), // Rule ID 1133 //
     /* 2280738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2280741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280753 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2280753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2280756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280766 */     // GIR_Coverage, 1133,
     /* 2280766 */     GIR_EraseRootFromParent_Done,
     /* 2280767 */   // Label 31119: @2280767
     /* 2280767 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2280801), // Rule ID 1136 //
     /* 2280772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2280775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280787 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2280787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2280790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280800 */     // GIR_Coverage, 1136,
     /* 2280800 */     GIR_EraseRootFromParent_Done,
     /* 2280801 */   // Label 31120: @2280801
     /* 2280801 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2280835), // Rule ID 1137 //
     /* 2280806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280821 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2280821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2280824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280834 */     // GIR_Coverage, 1137,
     /* 2280834 */     GIR_EraseRootFromParent_Done,
     /* 2280835 */   // Label 31121: @2280835
     /* 2280835 */   GIM_Reject,
     /* 2280836 */ // Label 31117: @2280836
     /* 2280836 */ GIM_Reject,
     /* 2280837 */ // Label 31095: @2280837
     /* 2280837 */ GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2281019),
     /* 2280842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2280848 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2280882), // Rule ID 1467 //
     /* 2280853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2280856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280868 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2280868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2280871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280881 */     // GIR_Coverage, 1467,
     /* 2280881 */     GIR_EraseRootFromParent_Done,
     /* 2280882 */   // Label 31123: @2280882
     /* 2280882 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2280916), // Rule ID 1468 //
     /* 2280887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2280890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280902 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2280902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2280905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280915 */     // GIR_Coverage, 1468,
     /* 2280915 */     GIR_EraseRootFromParent_Done,
     /* 2280916 */   // Label 31124: @2280916
     /* 2280916 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2280950), // Rule ID 1471 //
     /* 2280921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2280924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280936 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2280936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2280939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280949 */     // GIR_Coverage, 1471,
     /* 2280949 */     GIR_EraseRootFromParent_Done,
     /* 2280950 */   // Label 31125: @2280950
     /* 2280950 */   GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2280984), // Rule ID 1472 //
     /* 2280955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2280958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280970 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2280970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2280973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280983 */     // GIR_Coverage, 1472,
     /* 2280983 */     GIR_EraseRootFromParent_Done,
     /* 2280984 */   // Label 31126: @2280984
     /* 2280984 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2281018), // Rule ID 1474 //
     /* 2280989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2280992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281004 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2281007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281017 */     // GIR_Coverage, 1474,
     /* 2281017 */     GIR_EraseRootFromParent_Done,
     /* 2281018 */   // Label 31127: @2281018
     /* 2281018 */   GIM_Reject,
     /* 2281019 */ // Label 31122: @2281019
     /* 2281019 */ GIM_Reject,
     /* 2281020 */ // Label 31096: @2281020
     /* 2281020 */ GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2281140),
     /* 2281025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281043 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2281091), // Rule ID 45631 //
     /* 2281048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281051 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281090 */     // GIR_Coverage, 45631,
     /* 2281090 */     GIR_EraseRootFromParent_Done,
     /* 2281091 */   // Label 31129: @2281091
     /* 2281091 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2281139), // Rule ID 45632 //
     /* 2281096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281099 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2281116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281138 */     // GIR_Coverage, 45632,
     /* 2281138 */     GIR_EraseRootFromParent_Done,
     /* 2281139 */   // Label 31130: @2281139
     /* 2281139 */   GIM_Reject,
     /* 2281140 */ // Label 31128: @2281140
     /* 2281140 */ GIM_Reject,
     /* 2281141 */ // Label 31097: @2281141
     /* 2281141 */ GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2281261),
     /* 2281146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2281149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2281152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281164 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2281212), // Rule ID 53167 //
     /* 2281169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281172 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281211 */     // GIR_Coverage, 53167,
     /* 2281211 */     GIR_EraseRootFromParent_Done,
     /* 2281212 */   // Label 31132: @2281212
     /* 2281212 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2281260), // Rule ID 53168 //
     /* 2281217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281220 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2281223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2281237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281259 */     // GIR_Coverage, 53168,
     /* 2281259 */     GIR_EraseRootFromParent_Done,
     /* 2281260 */   // Label 31133: @2281260
     /* 2281260 */   GIM_Reject,
     /* 2281261 */ // Label 31131: @2281261
     /* 2281261 */ GIM_Reject,
     /* 2281262 */ // Label 31098: @2281262
     /* 2281262 */ GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2281382),
     /* 2281267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2281270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2281273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281285 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2281333), // Rule ID 53203 //
     /* 2281290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281293 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281332 */     // GIR_Coverage, 53203,
     /* 2281332 */     GIR_EraseRootFromParent_Done,
     /* 2281333 */   // Label 31135: @2281333
     /* 2281333 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2281381), // Rule ID 53204 //
     /* 2281338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281341 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2281344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2281358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281380 */     // GIR_Coverage, 53204,
     /* 2281380 */     GIR_EraseRootFromParent_Done,
     /* 2281381 */   // Label 31136: @2281381
     /* 2281381 */   GIM_Reject,
     /* 2281382 */ // Label 31134: @2281382
     /* 2281382 */ GIM_Reject,
     /* 2281383 */ // Label 31099: @2281383
     /* 2281383 */ GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2281503),
     /* 2281388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2281391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2281394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281406 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2281454), // Rule ID 53155 //
     /* 2281411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281414 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281453 */     // GIR_Coverage, 53155,
     /* 2281453 */     GIR_EraseRootFromParent_Done,
     /* 2281454 */   // Label 31138: @2281454
     /* 2281454 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2281502), // Rule ID 53156 //
     /* 2281459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281462 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2281465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2281479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281501 */     // GIR_Coverage, 53156,
     /* 2281501 */     GIR_EraseRootFromParent_Done,
     /* 2281502 */   // Label 31139: @2281502
     /* 2281502 */   GIM_Reject,
     /* 2281503 */ // Label 31137: @2281503
     /* 2281503 */ GIM_Reject,
     /* 2281504 */ // Label 31100: @2281504
     /* 2281504 */ GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2281624),
     /* 2281509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2281512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2281515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281527 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2281575), // Rule ID 53191 //
     /* 2281532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281535 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281574 */     // GIR_Coverage, 53191,
     /* 2281574 */     GIR_EraseRootFromParent_Done,
     /* 2281575 */   // Label 31141: @2281575
     /* 2281575 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2281623), // Rule ID 53192 //
     /* 2281580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281583 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2281586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2281600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281622 */     // GIR_Coverage, 53192,
     /* 2281622 */     GIR_EraseRootFromParent_Done,
     /* 2281623 */   // Label 31142: @2281623
     /* 2281623 */   GIM_Reject,
     /* 2281624 */ // Label 31140: @2281624
     /* 2281624 */ GIM_Reject,
     /* 2281625 */ // Label 31101: @2281625
     /* 2281625 */ GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2281745),
     /* 2281630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2281633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2281636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281648 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2281696), // Rule ID 53287 //
     /* 2281653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281656 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2281673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281695 */     // GIR_Coverage, 53287,
     /* 2281695 */     GIR_EraseRootFromParent_Done,
     /* 2281696 */   // Label 31144: @2281696
     /* 2281696 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2281744), // Rule ID 53288 //
     /* 2281701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281704 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2281707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2281721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281743 */     // GIR_Coverage, 53288,
     /* 2281743 */     GIR_EraseRootFromParent_Done,
     /* 2281744 */   // Label 31145: @2281744
     /* 2281744 */   GIM_Reject,
     /* 2281745 */ // Label 31143: @2281745
     /* 2281745 */ GIM_Reject,
     /* 2281746 */ // Label 31102: @2281746
     /* 2281746 */ GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2281866),
     /* 2281751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2281754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2281757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281769 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2281817), // Rule ID 53179 //
     /* 2281774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281777 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2281780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2281794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281816 */     // GIR_Coverage, 53179,
     /* 2281816 */     GIR_EraseRootFromParent_Done,
     /* 2281817 */   // Label 31147: @2281817
     /* 2281817 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2281865), // Rule ID 53180 //
     /* 2281822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281825 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2281828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2281842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281864 */     // GIR_Coverage, 53180,
     /* 2281864 */     GIR_EraseRootFromParent_Done,
     /* 2281865 */   // Label 31148: @2281865
     /* 2281865 */   GIM_Reject,
     /* 2281866 */ // Label 31146: @2281866
     /* 2281866 */ GIM_Reject,
     /* 2281867 */ // Label 31103: @2281867
     /* 2281867 */ GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2281987),
     /* 2281872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2281875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2281878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281890 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2281938), // Rule ID 53251 //
     /* 2281895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281898 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2281901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2281915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281937 */     // GIR_Coverage, 53251,
     /* 2281937 */     GIR_EraseRootFromParent_Done,
     /* 2281938 */   // Label 31150: @2281938
     /* 2281938 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2281986), // Rule ID 53252 //
     /* 2281943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281946 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2281949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2281963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281985 */     // GIR_Coverage, 53252,
     /* 2281985 */     GIR_EraseRootFromParent_Done,
     /* 2281986 */   // Label 31151: @2281986
     /* 2281986 */   GIM_Reject,
     /* 2281987 */ // Label 31149: @2281987
     /* 2281987 */ GIM_Reject,
     /* 2281988 */ // Label 31104: @2281988
     /* 2281988 */ GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2282108),
     /* 2281993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2281996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2281999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282011 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2282059), // Rule ID 53299 //
     /* 2282016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282019 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282058 */     // GIR_Coverage, 53299,
     /* 2282058 */     GIR_EraseRootFromParent_Done,
     /* 2282059 */   // Label 31153: @2282059
     /* 2282059 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2282107), // Rule ID 53300 //
     /* 2282064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282067 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2282084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282106 */     // GIR_Coverage, 53300,
     /* 2282106 */     GIR_EraseRootFromParent_Done,
     /* 2282107 */   // Label 31154: @2282107
     /* 2282107 */   GIM_Reject,
     /* 2282108 */ // Label 31152: @2282108
     /* 2282108 */ GIM_Reject,
     /* 2282109 */ // Label 31105: @2282109
     /* 2282109 */ GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2282229),
     /* 2282114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282132 */   GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2282180), // Rule ID 53215 //
     /* 2282137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282140 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282179 */     // GIR_Coverage, 53215,
     /* 2282179 */     GIR_EraseRootFromParent_Done,
     /* 2282180 */   // Label 31156: @2282180
     /* 2282180 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2282228), // Rule ID 53216 //
     /* 2282185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282188 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2282205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282227 */     // GIR_Coverage, 53216,
     /* 2282227 */     GIR_EraseRootFromParent_Done,
     /* 2282228 */   // Label 31157: @2282228
     /* 2282228 */   GIM_Reject,
     /* 2282229 */ // Label 31155: @2282229
     /* 2282229 */ GIM_Reject,
     /* 2282230 */ // Label 31106: @2282230
     /* 2282230 */ GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2282350),
     /* 2282235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2282238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2282241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282253 */   GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2282301), // Rule ID 53263 //
     /* 2282258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282261 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282300 */     // GIR_Coverage, 53263,
     /* 2282300 */     GIR_EraseRootFromParent_Done,
     /* 2282301 */   // Label 31159: @2282301
     /* 2282301 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2282349), // Rule ID 53264 //
     /* 2282306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282309 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2282312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2282326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282348 */     // GIR_Coverage, 53264,
     /* 2282348 */     GIR_EraseRootFromParent_Done,
     /* 2282349 */   // Label 31160: @2282349
     /* 2282349 */   GIM_Reject,
     /* 2282350 */ // Label 31158: @2282350
     /* 2282350 */ GIM_Reject,
     /* 2282351 */ // Label 31107: @2282351
     /* 2282351 */ GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2282471),
     /* 2282356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2282359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282374 */   GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2282422), // Rule ID 53311 //
     /* 2282379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282382 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282421 */     // GIR_Coverage, 53311,
     /* 2282421 */     GIR_EraseRootFromParent_Done,
     /* 2282422 */   // Label 31162: @2282422
     /* 2282422 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2282470), // Rule ID 53312 //
     /* 2282427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282430 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2282433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2282447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282469 */     // GIR_Coverage, 53312,
     /* 2282469 */     GIR_EraseRootFromParent_Done,
     /* 2282470 */   // Label 31163: @2282470
     /* 2282470 */   GIM_Reject,
     /* 2282471 */ // Label 31161: @2282471
     /* 2282471 */ GIM_Reject,
     /* 2282472 */ // Label 31108: @2282472
     /* 2282472 */ GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2282592),
     /* 2282477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2282480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2282483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282495 */   GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2282543), // Rule ID 53227 //
     /* 2282500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282503 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282542 */     // GIR_Coverage, 53227,
     /* 2282542 */     GIR_EraseRootFromParent_Done,
     /* 2282543 */   // Label 31165: @2282543
     /* 2282543 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2282591), // Rule ID 53228 //
     /* 2282548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282551 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2282554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2282568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282590 */     // GIR_Coverage, 53228,
     /* 2282590 */     GIR_EraseRootFromParent_Done,
     /* 2282591 */   // Label 31166: @2282591
     /* 2282591 */   GIM_Reject,
     /* 2282592 */ // Label 31164: @2282592
     /* 2282592 */ GIM_Reject,
     /* 2282593 */ // Label 31109: @2282593
     /* 2282593 */ GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2282713),
     /* 2282598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2282601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2282604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282616 */   GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2282664), // Rule ID 53275 //
     /* 2282621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282624 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2282627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2282641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282663 */     // GIR_Coverage, 53275,
     /* 2282663 */     GIR_EraseRootFromParent_Done,
     /* 2282664 */   // Label 31168: @2282664
     /* 2282664 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2282712), // Rule ID 53276 //
     /* 2282669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282672 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2282675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2282689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282711 */     // GIR_Coverage, 53276,
     /* 2282711 */     GIR_EraseRootFromParent_Done,
     /* 2282712 */   // Label 31169: @2282712
     /* 2282712 */   GIM_Reject,
     /* 2282713 */ // Label 31167: @2282713
     /* 2282713 */ GIM_Reject,
     /* 2282714 */ // Label 31110: @2282714
     /* 2282714 */ GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2282834),
     /* 2282719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2282722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2282725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282737 */   GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2282785), // Rule ID 53239 //
     /* 2282742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282745 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2282748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2282762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282784 */     // GIR_Coverage, 53239,
     /* 2282784 */     GIR_EraseRootFromParent_Done,
     /* 2282785 */   // Label 31171: @2282785
     /* 2282785 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2282833), // Rule ID 53240 //
     /* 2282790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282793 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2282796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2282810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282832 */     // GIR_Coverage, 53240,
     /* 2282832 */     GIR_EraseRootFromParent_Done,
     /* 2282833 */   // Label 31172: @2282833
     /* 2282833 */   GIM_Reject,
     /* 2282834 */ // Label 31170: @2282834
     /* 2282834 */ GIM_Reject,
     /* 2282835 */ // Label 31111: @2282835
     /* 2282835 */ GIM_Reject,
     /* 2282836 */ // Label 60: @2282836
     /* 2282836 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31191*/ GIMT_Encode4(2285263),
     /* 2282847 */ /*GILLT_s16*//*Label 31173*/ GIMT_Encode4(2282967),
     /* 2282851 */ /*GILLT_s32*//*Label 31174*/ GIMT_Encode4(2283116),
     /* 2282855 */ /*GILLT_s64*//*Label 31175*/ GIMT_Encode4(2283265), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282867 */ /*GILLT_nxv1s16*//*Label 31176*/ GIMT_Encode4(2283448),
     /* 2282871 */ /*GILLT_nxv1s32*//*Label 31177*/ GIMT_Encode4(2283569),
     /* 2282875 */ /*GILLT_nxv1s64*//*Label 31178*/ GIMT_Encode4(2283690), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282887 */ /*GILLT_nxv2s16*//*Label 31179*/ GIMT_Encode4(2283811),
     /* 2282891 */ /*GILLT_nxv2s32*//*Label 31180*/ GIMT_Encode4(2283932),
     /* 2282895 */ /*GILLT_nxv2s64*//*Label 31181*/ GIMT_Encode4(2284053), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282907 */ /*GILLT_nxv4s16*//*Label 31182*/ GIMT_Encode4(2284174),
     /* 2282911 */ /*GILLT_nxv4s32*//*Label 31183*/ GIMT_Encode4(2284295),
     /* 2282915 */ /*GILLT_nxv4s64*//*Label 31184*/ GIMT_Encode4(2284416), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282927 */ /*GILLT_nxv8s16*//*Label 31185*/ GIMT_Encode4(2284537),
     /* 2282931 */ /*GILLT_nxv8s32*//*Label 31186*/ GIMT_Encode4(2284658),
     /* 2282935 */ /*GILLT_nxv8s64*//*Label 31187*/ GIMT_Encode4(2284779), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282947 */ /*GILLT_nxv16s16*//*Label 31188*/ GIMT_Encode4(2284900),
     /* 2282951 */ /*GILLT_nxv16s32*//*Label 31189*/ GIMT_Encode4(2285021), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282963 */ /*GILLT_nxv32s16*//*Label 31190*/ GIMT_Encode4(2285142),
     /* 2282967 */ // Label 31173: @2282967
     /* 2282967 */ GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2283115),
     /* 2282972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2282978 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2283012), // Rule ID 1849 //
     /* 2282983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2282986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282998 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2282998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283011 */     // GIR_Coverage, 1849,
     /* 2283011 */     GIR_EraseRootFromParent_Done,
     /* 2283012 */   // Label 31193: @2283012
     /* 2283012 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2283046), // Rule ID 1850 //
     /* 2283017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2283020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283032 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2283035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283045 */     // GIR_Coverage, 1850,
     /* 2283045 */     GIR_EraseRootFromParent_Done,
     /* 2283046 */   // Label 31194: @2283046
     /* 2283046 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2283080), // Rule ID 1853 //
     /* 2283051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2283054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283066 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283079 */     // GIR_Coverage, 1853,
     /* 2283079 */     GIR_EraseRootFromParent_Done,
     /* 2283080 */   // Label 31195: @2283080
     /* 2283080 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2283114), // Rule ID 1854 //
     /* 2283085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2283088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283100 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2283103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283113 */     // GIR_Coverage, 1854,
     /* 2283113 */     GIR_EraseRootFromParent_Done,
     /* 2283114 */   // Label 31196: @2283114
     /* 2283114 */   GIM_Reject,
     /* 2283115 */ // Label 31192: @2283115
     /* 2283115 */ GIM_Reject,
     /* 2283116 */ // Label 31174: @2283116
     /* 2283116 */ GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2283264),
     /* 2283121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283127 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2283161), // Rule ID 1140 //
     /* 2283132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283147 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283160 */     // GIR_Coverage, 1140,
     /* 2283160 */     GIR_EraseRootFromParent_Done,
     /* 2283161 */   // Label 31198: @2283161
     /* 2283161 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2283195), // Rule ID 1141 //
     /* 2283166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283181 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2283184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283194 */     // GIR_Coverage, 1141,
     /* 2283194 */     GIR_EraseRootFromParent_Done,
     /* 2283195 */   // Label 31199: @2283195
     /* 2283195 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2283229), // Rule ID 1144 //
     /* 2283200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283215 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2283215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283228 */     // GIR_Coverage, 1144,
     /* 2283228 */     GIR_EraseRootFromParent_Done,
     /* 2283229 */   // Label 31200: @2283229
     /* 2283229 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2283263), // Rule ID 1145 //
     /* 2283234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283249 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2283249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2283252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283262 */     // GIR_Coverage, 1145,
     /* 2283262 */     GIR_EraseRootFromParent_Done,
     /* 2283263 */   // Label 31201: @2283263
     /* 2283263 */   GIM_Reject,
     /* 2283264 */ // Label 31197: @2283264
     /* 2283264 */ GIM_Reject,
     /* 2283265 */ // Label 31175: @2283265
     /* 2283265 */ GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2283447),
     /* 2283270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2283273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2283276 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2283310), // Rule ID 1477 //
     /* 2283281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2283284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283296 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283309 */     // GIR_Coverage, 1477,
     /* 2283309 */     GIR_EraseRootFromParent_Done,
     /* 2283310 */   // Label 31203: @2283310
     /* 2283310 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2283344), // Rule ID 1478 //
     /* 2283315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2283318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2283330 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2283333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283343 */     // GIR_Coverage, 1478,
     /* 2283343 */     GIR_EraseRootFromParent_Done,
     /* 2283344 */   // Label 31204: @2283344
     /* 2283344 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2283378), // Rule ID 1481 //
     /* 2283349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2283352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283364 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283377 */     // GIR_Coverage, 1481,
     /* 2283377 */     GIR_EraseRootFromParent_Done,
     /* 2283378 */   // Label 31205: @2283378
     /* 2283378 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2283412), // Rule ID 1482 //
     /* 2283383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2283386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2283398 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2283398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2283401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283411 */     // GIR_Coverage, 1482,
     /* 2283411 */     GIR_EraseRootFromParent_Done,
     /* 2283412 */   // Label 31206: @2283412
     /* 2283412 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2283446), // Rule ID 1484 //
     /* 2283417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2283420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2283432 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2283432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2283435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283445 */     // GIR_Coverage, 1484,
     /* 2283445 */     GIR_EraseRootFromParent_Done,
     /* 2283446 */   // Label 31207: @2283446
     /* 2283446 */   GIM_Reject,
     /* 2283447 */ // Label 31202: @2283447
     /* 2283447 */ GIM_Reject,
     /* 2283448 */ // Label 31176: @2283448
     /* 2283448 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2283568),
     /* 2283453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2283459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283471 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2283519), // Rule ID 53323 //
     /* 2283476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283479 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283518 */     // GIR_Coverage, 53323,
     /* 2283518 */     GIR_EraseRootFromParent_Done,
     /* 2283519 */   // Label 31209: @2283519
     /* 2283519 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2283567), // Rule ID 53324 //
     /* 2283524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283527 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2283530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2283544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283566 */     // GIR_Coverage, 53324,
     /* 2283566 */     GIR_EraseRootFromParent_Done,
     /* 2283567 */   // Label 31210: @2283567
     /* 2283567 */   GIM_Reject,
     /* 2283568 */ // Label 31208: @2283568
     /* 2283568 */ GIM_Reject,
     /* 2283569 */ // Label 31177: @2283569
     /* 2283569 */ GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2283689),
     /* 2283574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2283580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283592 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2283640), // Rule ID 53347 //
     /* 2283597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283600 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2283617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283639 */     // GIR_Coverage, 53347,
     /* 2283639 */     GIR_EraseRootFromParent_Done,
     /* 2283640 */   // Label 31212: @2283640
     /* 2283640 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2283688), // Rule ID 53348 //
     /* 2283645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283648 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2283651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2283665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283687 */     // GIR_Coverage, 53348,
     /* 2283687 */     GIR_EraseRootFromParent_Done,
     /* 2283688 */   // Label 31213: @2283688
     /* 2283688 */   GIM_Reject,
     /* 2283689 */ // Label 31211: @2283689
     /* 2283689 */ GIM_Reject,
     /* 2283690 */ // Label 31178: @2283690
     /* 2283690 */ GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2283810),
     /* 2283695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2283698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2283701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283713 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2283761), // Rule ID 53383 //
     /* 2283718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2283721 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2283724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2283738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283760 */     // GIR_Coverage, 53383,
     /* 2283760 */     GIR_EraseRootFromParent_Done,
     /* 2283761 */   // Label 31215: @2283761
     /* 2283761 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2283809), // Rule ID 53384 //
     /* 2283766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2283769 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2283772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2283786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283808 */     // GIR_Coverage, 53384,
     /* 2283808 */     GIR_EraseRootFromParent_Done,
     /* 2283809 */   // Label 31216: @2283809
     /* 2283809 */   GIM_Reject,
     /* 2283810 */ // Label 31214: @2283810
     /* 2283810 */ GIM_Reject,
     /* 2283811 */ // Label 31179: @2283811
     /* 2283811 */ GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2283931),
     /* 2283816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2283819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2283822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283834 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2283882), // Rule ID 53335 //
     /* 2283839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283842 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2283845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2283859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283881 */     // GIR_Coverage, 53335,
     /* 2283881 */     GIR_EraseRootFromParent_Done,
     /* 2283882 */   // Label 31218: @2283882
     /* 2283882 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2283930), // Rule ID 53336 //
     /* 2283887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283890 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2283893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2283907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283929 */     // GIR_Coverage, 53336,
     /* 2283929 */     GIR_EraseRootFromParent_Done,
     /* 2283930 */   // Label 31219: @2283930
     /* 2283930 */   GIM_Reject,
     /* 2283931 */ // Label 31217: @2283931
     /* 2283931 */ GIM_Reject,
     /* 2283932 */ // Label 31180: @2283932
     /* 2283932 */ GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2284052),
     /* 2283937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2283940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2283943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283955 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2284003), // Rule ID 53371 //
     /* 2283960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283963 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2283966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2283980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284002 */     // GIR_Coverage, 53371,
     /* 2284002 */     GIR_EraseRootFromParent_Done,
     /* 2284003 */   // Label 31221: @2284003
     /* 2284003 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2284051), // Rule ID 53372 //
     /* 2284008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284011 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2284028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284050 */     // GIR_Coverage, 53372,
     /* 2284050 */     GIR_EraseRootFromParent_Done,
     /* 2284051 */   // Label 31222: @2284051
     /* 2284051 */   GIM_Reject,
     /* 2284052 */ // Label 31220: @2284052
     /* 2284052 */ GIM_Reject,
     /* 2284053 */ // Label 31181: @2284053
     /* 2284053 */ GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2284173),
     /* 2284058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284076 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2284124), // Rule ID 53467 //
     /* 2284081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284084 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284123 */     // GIR_Coverage, 53467,
     /* 2284123 */     GIR_EraseRootFromParent_Done,
     /* 2284124 */   // Label 31224: @2284124
     /* 2284124 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2284172), // Rule ID 53468 //
     /* 2284129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284132 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2284149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284171 */     // GIR_Coverage, 53468,
     /* 2284171 */     GIR_EraseRootFromParent_Done,
     /* 2284172 */   // Label 31225: @2284172
     /* 2284172 */   GIM_Reject,
     /* 2284173 */ // Label 31223: @2284173
     /* 2284173 */ GIM_Reject,
     /* 2284174 */ // Label 31182: @2284174
     /* 2284174 */ GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2284294),
     /* 2284179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2284182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2284185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284197 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2284245), // Rule ID 53359 //
     /* 2284202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284205 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284244 */     // GIR_Coverage, 53359,
     /* 2284244 */     GIR_EraseRootFromParent_Done,
     /* 2284245 */   // Label 31227: @2284245
     /* 2284245 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2284293), // Rule ID 53360 //
     /* 2284250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284253 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2284256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2284270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284292 */     // GIR_Coverage, 53360,
     /* 2284292 */     GIR_EraseRootFromParent_Done,
     /* 2284293 */   // Label 31228: @2284293
     /* 2284293 */   GIM_Reject,
     /* 2284294 */ // Label 31226: @2284294
     /* 2284294 */ GIM_Reject,
     /* 2284295 */ // Label 31183: @2284295
     /* 2284295 */ GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2284415),
     /* 2284300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2284303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284318 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2284366), // Rule ID 53431 //
     /* 2284323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284326 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284365 */     // GIR_Coverage, 53431,
     /* 2284365 */     GIR_EraseRootFromParent_Done,
     /* 2284366 */   // Label 31230: @2284366
     /* 2284366 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2284414), // Rule ID 53432 //
     /* 2284371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284374 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2284377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2284391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284413 */     // GIR_Coverage, 53432,
     /* 2284413 */     GIR_EraseRootFromParent_Done,
     /* 2284414 */   // Label 31231: @2284414
     /* 2284414 */   GIM_Reject,
     /* 2284415 */ // Label 31229: @2284415
     /* 2284415 */ GIM_Reject,
     /* 2284416 */ // Label 31184: @2284416
     /* 2284416 */ GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2284536),
     /* 2284421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2284424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2284427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284439 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2284487), // Rule ID 53479 //
     /* 2284444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284447 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284486 */     // GIR_Coverage, 53479,
     /* 2284486 */     GIR_EraseRootFromParent_Done,
     /* 2284487 */   // Label 31233: @2284487
     /* 2284487 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2284535), // Rule ID 53480 //
     /* 2284492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284495 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2284498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2284512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284534 */     // GIR_Coverage, 53480,
     /* 2284534 */     GIR_EraseRootFromParent_Done,
     /* 2284535 */   // Label 31234: @2284535
     /* 2284535 */   GIM_Reject,
     /* 2284536 */ // Label 31232: @2284536
     /* 2284536 */ GIM_Reject,
     /* 2284537 */ // Label 31185: @2284537
     /* 2284537 */ GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2284657),
     /* 2284542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2284545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2284548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284560 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2284608), // Rule ID 53395 //
     /* 2284565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284568 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2284571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2284585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284607 */     // GIR_Coverage, 53395,
     /* 2284607 */     GIR_EraseRootFromParent_Done,
     /* 2284608 */   // Label 31236: @2284608
     /* 2284608 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2284656), // Rule ID 53396 //
     /* 2284613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284616 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2284619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2284633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284655 */     // GIR_Coverage, 53396,
     /* 2284655 */     GIR_EraseRootFromParent_Done,
     /* 2284656 */   // Label 31237: @2284656
     /* 2284656 */   GIM_Reject,
     /* 2284657 */ // Label 31235: @2284657
     /* 2284657 */ GIM_Reject,
     /* 2284658 */ // Label 31186: @2284658
     /* 2284658 */ GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2284778),
     /* 2284663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2284666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2284669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284681 */   GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2284729), // Rule ID 53443 //
     /* 2284686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284689 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2284692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2284706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284728 */     // GIR_Coverage, 53443,
     /* 2284728 */     GIR_EraseRootFromParent_Done,
     /* 2284729 */   // Label 31239: @2284729
     /* 2284729 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2284777), // Rule ID 53444 //
     /* 2284734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284737 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2284740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2284754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284776 */     // GIR_Coverage, 53444,
     /* 2284776 */     GIR_EraseRootFromParent_Done,
     /* 2284777 */   // Label 31240: @2284777
     /* 2284777 */   GIM_Reject,
     /* 2284778 */ // Label 31238: @2284778
     /* 2284778 */ GIM_Reject,
     /* 2284779 */ // Label 31187: @2284779
     /* 2284779 */ GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2284899),
     /* 2284784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2284787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2284790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284802 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2284850), // Rule ID 53491 //
     /* 2284807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284810 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2284827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284849 */     // GIR_Coverage, 53491,
     /* 2284849 */     GIR_EraseRootFromParent_Done,
     /* 2284850 */   // Label 31242: @2284850
     /* 2284850 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2284898), // Rule ID 53492 //
     /* 2284855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284858 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2284875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284897 */     // GIR_Coverage, 53492,
     /* 2284897 */     GIR_EraseRootFromParent_Done,
     /* 2284898 */   // Label 31243: @2284898
     /* 2284898 */   GIM_Reject,
     /* 2284899 */ // Label 31241: @2284899
     /* 2284899 */ GIM_Reject,
     /* 2284900 */ // Label 31188: @2284900
     /* 2284900 */ GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2285020),
     /* 2284905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2284908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2284911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284923 */   GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2284971), // Rule ID 53407 //
     /* 2284928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284931 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2284948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284970 */     // GIR_Coverage, 53407,
     /* 2284970 */     GIR_EraseRootFromParent_Done,
     /* 2284971 */   // Label 31245: @2284971
     /* 2284971 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2285019), // Rule ID 53408 //
     /* 2284976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284979 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2284996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285018 */     // GIR_Coverage, 53408,
     /* 2285018 */     GIR_EraseRootFromParent_Done,
     /* 2285019 */   // Label 31246: @2285019
     /* 2285019 */   GIM_Reject,
     /* 2285020 */ // Label 31244: @2285020
     /* 2285020 */ GIM_Reject,
     /* 2285021 */ // Label 31189: @2285021
     /* 2285021 */ GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2285141),
     /* 2285026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285044 */   GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2285092), // Rule ID 53455 //
     /* 2285049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285052 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285091 */     // GIR_Coverage, 53455,
     /* 2285091 */     GIR_EraseRootFromParent_Done,
     /* 2285092 */   // Label 31248: @2285092
     /* 2285092 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2285140), // Rule ID 53456 //
     /* 2285097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285100 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2285117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285139 */     // GIR_Coverage, 53456,
     /* 2285139 */     GIR_EraseRootFromParent_Done,
     /* 2285140 */   // Label 31249: @2285140
     /* 2285140 */   GIM_Reject,
     /* 2285141 */ // Label 31247: @2285141
     /* 2285141 */ GIM_Reject,
     /* 2285142 */ // Label 31190: @2285142
     /* 2285142 */ GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2285262),
     /* 2285147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2285150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2285153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285165 */   GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2285213), // Rule ID 53419 //
     /* 2285170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285173 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285212 */     // GIR_Coverage, 53419,
     /* 2285212 */     GIR_EraseRootFromParent_Done,
     /* 2285213 */   // Label 31251: @2285213
     /* 2285213 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2285261), // Rule ID 53420 //
     /* 2285218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285221 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2285224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2285238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285260 */     // GIR_Coverage, 53420,
     /* 2285260 */     GIR_EraseRootFromParent_Done,
     /* 2285261 */   // Label 31252: @2285261
     /* 2285261 */   GIM_Reject,
     /* 2285262 */ // Label 31250: @2285262
     /* 2285262 */ GIM_Reject,
     /* 2285263 */ // Label 31191: @2285263
     /* 2285263 */ GIM_Reject,
     /* 2285264 */ // Label 61: @2285264
     /* 2285264 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31271*/ GIMT_Encode4(2287691),
     /* 2285275 */ /*GILLT_s16*//*Label 31253*/ GIMT_Encode4(2285395),
     /* 2285279 */ /*GILLT_s32*//*Label 31254*/ GIMT_Encode4(2285544),
     /* 2285283 */ /*GILLT_s64*//*Label 31255*/ GIMT_Encode4(2285693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285295 */ /*GILLT_nxv1s16*//*Label 31256*/ GIMT_Encode4(2285876),
     /* 2285299 */ /*GILLT_nxv1s32*//*Label 31257*/ GIMT_Encode4(2285997),
     /* 2285303 */ /*GILLT_nxv1s64*//*Label 31258*/ GIMT_Encode4(2286118), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285315 */ /*GILLT_nxv2s16*//*Label 31259*/ GIMT_Encode4(2286239),
     /* 2285319 */ /*GILLT_nxv2s32*//*Label 31260*/ GIMT_Encode4(2286360),
     /* 2285323 */ /*GILLT_nxv2s64*//*Label 31261*/ GIMT_Encode4(2286481), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285335 */ /*GILLT_nxv4s16*//*Label 31262*/ GIMT_Encode4(2286602),
     /* 2285339 */ /*GILLT_nxv4s32*//*Label 31263*/ GIMT_Encode4(2286723),
     /* 2285343 */ /*GILLT_nxv4s64*//*Label 31264*/ GIMT_Encode4(2286844), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285355 */ /*GILLT_nxv8s16*//*Label 31265*/ GIMT_Encode4(2286965),
     /* 2285359 */ /*GILLT_nxv8s32*//*Label 31266*/ GIMT_Encode4(2287086),
     /* 2285363 */ /*GILLT_nxv8s64*//*Label 31267*/ GIMT_Encode4(2287207), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285375 */ /*GILLT_nxv16s16*//*Label 31268*/ GIMT_Encode4(2287328),
     /* 2285379 */ /*GILLT_nxv16s32*//*Label 31269*/ GIMT_Encode4(2287449), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285391 */ /*GILLT_nxv32s16*//*Label 31270*/ GIMT_Encode4(2287570),
     /* 2285395 */ // Label 31253: @2285395
     /* 2285395 */ GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2285543),
     /* 2285400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2285403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2285406 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2285440), // Rule ID 1857 //
     /* 2285411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2285414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285426 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285439 */     // GIR_Coverage, 1857,
     /* 2285439 */     GIR_EraseRootFromParent_Done,
     /* 2285440 */   // Label 31273: @2285440
     /* 2285440 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2285474), // Rule ID 1858 //
     /* 2285445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2285448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285460 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2285463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285473 */     // GIR_Coverage, 1858,
     /* 2285473 */     GIR_EraseRootFromParent_Done,
     /* 2285474 */   // Label 31274: @2285474
     /* 2285474 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2285508), // Rule ID 1861 //
     /* 2285479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2285482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285494 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285507 */     // GIR_Coverage, 1861,
     /* 2285507 */     GIR_EraseRootFromParent_Done,
     /* 2285508 */   // Label 31275: @2285508
     /* 2285508 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2285542), // Rule ID 1862 //
     /* 2285513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2285516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285528 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2285531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285541 */     // GIR_Coverage, 1862,
     /* 2285541 */     GIR_EraseRootFromParent_Done,
     /* 2285542 */   // Label 31276: @2285542
     /* 2285542 */   GIM_Reject,
     /* 2285543 */ // Label 31272: @2285543
     /* 2285543 */ GIM_Reject,
     /* 2285544 */ // Label 31254: @2285544
     /* 2285544 */ GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2285692),
     /* 2285549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285555 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2285589), // Rule ID 1148 //
     /* 2285560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2285563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285575 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2285578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285588 */     // GIR_Coverage, 1148,
     /* 2285588 */     GIR_EraseRootFromParent_Done,
     /* 2285589 */   // Label 31278: @2285589
     /* 2285589 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2285623), // Rule ID 1149 //
     /* 2285594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2285597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285609 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2285612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285622 */     // GIR_Coverage, 1149,
     /* 2285622 */     GIR_EraseRootFromParent_Done,
     /* 2285623 */   // Label 31279: @2285623
     /* 2285623 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2285657), // Rule ID 1152 //
     /* 2285628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2285631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285643 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2285646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285656 */     // GIR_Coverage, 1152,
     /* 2285656 */     GIR_EraseRootFromParent_Done,
     /* 2285657 */   // Label 31280: @2285657
     /* 2285657 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2285691), // Rule ID 1153 //
     /* 2285662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2285665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285677 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2285680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285690 */     // GIR_Coverage, 1153,
     /* 2285690 */     GIR_EraseRootFromParent_Done,
     /* 2285691 */   // Label 31281: @2285691
     /* 2285691 */   GIM_Reject,
     /* 2285692 */ // Label 31277: @2285692
     /* 2285692 */ GIM_Reject,
     /* 2285693 */ // Label 31255: @2285693
     /* 2285693 */ GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2285875),
     /* 2285698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2285704 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2285738), // Rule ID 1487 //
     /* 2285709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285724 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2285727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285737 */     // GIR_Coverage, 1487,
     /* 2285737 */     GIR_EraseRootFromParent_Done,
     /* 2285738 */   // Label 31283: @2285738
     /* 2285738 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2285772), // Rule ID 1488 //
     /* 2285743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285758 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2285761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285771 */     // GIR_Coverage, 1488,
     /* 2285771 */     GIR_EraseRootFromParent_Done,
     /* 2285772 */   // Label 31284: @2285772
     /* 2285772 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2285806), // Rule ID 1491 //
     /* 2285777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285792 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2285795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285805 */     // GIR_Coverage, 1491,
     /* 2285805 */     GIR_EraseRootFromParent_Done,
     /* 2285806 */   // Label 31285: @2285806
     /* 2285806 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2285840), // Rule ID 1492 //
     /* 2285811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285826 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2285829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285839 */     // GIR_Coverage, 1492,
     /* 2285839 */     GIR_EraseRootFromParent_Done,
     /* 2285840 */   // Label 31286: @2285840
     /* 2285840 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2285874), // Rule ID 1494 //
     /* 2285845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285860 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2285863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285873 */     // GIR_Coverage, 1494,
     /* 2285873 */     GIR_EraseRootFromParent_Done,
     /* 2285874 */   // Label 31287: @2285874
     /* 2285874 */   GIM_Reject,
     /* 2285875 */ // Label 31282: @2285875
     /* 2285875 */ GIM_Reject,
     /* 2285876 */ // Label 31256: @2285876
     /* 2285876 */ GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2285996),
     /* 2285881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2285884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285899 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2285947), // Rule ID 54091 //
     /* 2285904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285907 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2285924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285946 */     // GIR_Coverage, 54091,
     /* 2285946 */     GIR_EraseRootFromParent_Done,
     /* 2285947 */   // Label 31289: @2285947
     /* 2285947 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2285995), // Rule ID 54092 //
     /* 2285952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285955 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2285972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285994 */     // GIR_Coverage, 54092,
     /* 2285994 */     GIR_EraseRootFromParent_Done,
     /* 2285995 */   // Label 31290: @2285995
     /* 2285995 */   GIM_Reject,
     /* 2285996 */ // Label 31288: @2285996
     /* 2285996 */ GIM_Reject,
     /* 2285997 */ // Label 31257: @2285997
     /* 2285997 */ GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2286117),
     /* 2286002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286020 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2286068), // Rule ID 54115 //
     /* 2286025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286028 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286067 */     // GIR_Coverage, 54115,
     /* 2286067 */     GIR_EraseRootFromParent_Done,
     /* 2286068 */   // Label 31292: @2286068
     /* 2286068 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2286116), // Rule ID 54116 //
     /* 2286073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286076 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2286079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2286093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286115 */     // GIR_Coverage, 54116,
     /* 2286115 */     GIR_EraseRootFromParent_Done,
     /* 2286116 */   // Label 31293: @2286116
     /* 2286116 */   GIM_Reject,
     /* 2286117 */ // Label 31291: @2286117
     /* 2286117 */ GIM_Reject,
     /* 2286118 */ // Label 31258: @2286118
     /* 2286118 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2286238),
     /* 2286123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2286126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286141 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2286189), // Rule ID 54151 //
     /* 2286146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286149 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286188 */     // GIR_Coverage, 54151,
     /* 2286188 */     GIR_EraseRootFromParent_Done,
     /* 2286189 */   // Label 31295: @2286189
     /* 2286189 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2286237), // Rule ID 54152 //
     /* 2286194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286197 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2286200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2286214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286236 */     // GIR_Coverage, 54152,
     /* 2286236 */     GIR_EraseRootFromParent_Done,
     /* 2286237 */   // Label 31296: @2286237
     /* 2286237 */   GIM_Reject,
     /* 2286238 */ // Label 31294: @2286238
     /* 2286238 */ GIM_Reject,
     /* 2286239 */ // Label 31259: @2286239
     /* 2286239 */ GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2286359),
     /* 2286244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2286247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2286250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286262 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2286310), // Rule ID 54103 //
     /* 2286267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286270 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286309 */     // GIR_Coverage, 54103,
     /* 2286309 */     GIR_EraseRootFromParent_Done,
     /* 2286310 */   // Label 31298: @2286310
     /* 2286310 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2286358), // Rule ID 54104 //
     /* 2286315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286318 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2286335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286357 */     // GIR_Coverage, 54104,
     /* 2286357 */     GIR_EraseRootFromParent_Done,
     /* 2286358 */   // Label 31299: @2286358
     /* 2286358 */   GIM_Reject,
     /* 2286359 */ // Label 31297: @2286359
     /* 2286359 */ GIM_Reject,
     /* 2286360 */ // Label 31260: @2286360
     /* 2286360 */ GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2286480),
     /* 2286365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286383 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2286431), // Rule ID 54139 //
     /* 2286388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286391 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286430 */     // GIR_Coverage, 54139,
     /* 2286430 */     GIR_EraseRootFromParent_Done,
     /* 2286431 */   // Label 31301: @2286431
     /* 2286431 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2286479), // Rule ID 54140 //
     /* 2286436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286439 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2286456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286478 */     // GIR_Coverage, 54140,
     /* 2286478 */     GIR_EraseRootFromParent_Done,
     /* 2286479 */   // Label 31302: @2286479
     /* 2286479 */   GIM_Reject,
     /* 2286480 */ // Label 31300: @2286480
     /* 2286480 */ GIM_Reject,
     /* 2286481 */ // Label 31261: @2286481
     /* 2286481 */ GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2286601),
     /* 2286486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286504 */   GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2286552), // Rule ID 54235 //
     /* 2286509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286512 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286551 */     // GIR_Coverage, 54235,
     /* 2286551 */     GIR_EraseRootFromParent_Done,
     /* 2286552 */   // Label 31304: @2286552
     /* 2286552 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2286600), // Rule ID 54236 //
     /* 2286557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286560 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2286577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286599 */     // GIR_Coverage, 54236,
     /* 2286599 */     GIR_EraseRootFromParent_Done,
     /* 2286600 */   // Label 31305: @2286600
     /* 2286600 */   GIM_Reject,
     /* 2286601 */ // Label 31303: @2286601
     /* 2286601 */ GIM_Reject,
     /* 2286602 */ // Label 31262: @2286602
     /* 2286602 */ GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2286722),
     /* 2286607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2286610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286625 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2286673), // Rule ID 54127 //
     /* 2286630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286633 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2286650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286672 */     // GIR_Coverage, 54127,
     /* 2286672 */     GIR_EraseRootFromParent_Done,
     /* 2286673 */   // Label 31307: @2286673
     /* 2286673 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286721), // Rule ID 54128 //
     /* 2286678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286681 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2286698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286720 */     // GIR_Coverage, 54128,
     /* 2286720 */     GIR_EraseRootFromParent_Done,
     /* 2286721 */   // Label 31308: @2286721
     /* 2286721 */   GIM_Reject,
     /* 2286722 */ // Label 31306: @2286722
     /* 2286722 */ GIM_Reject,
     /* 2286723 */ // Label 31263: @2286723
     /* 2286723 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2286843),
     /* 2286728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2286731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2286734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286746 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2286794), // Rule ID 54199 //
     /* 2286751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286754 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2286771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286793 */     // GIR_Coverage, 54199,
     /* 2286793 */     GIR_EraseRootFromParent_Done,
     /* 2286794 */   // Label 31310: @2286794
     /* 2286794 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2286842), // Rule ID 54200 //
     /* 2286799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286802 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2286819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286841 */     // GIR_Coverage, 54200,
     /* 2286841 */     GIR_EraseRootFromParent_Done,
     /* 2286842 */   // Label 31311: @2286842
     /* 2286842 */   GIM_Reject,
     /* 2286843 */ // Label 31309: @2286843
     /* 2286843 */ GIM_Reject,
     /* 2286844 */ // Label 31264: @2286844
     /* 2286844 */ GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2286964),
     /* 2286849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2286852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2286855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286867 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2286915), // Rule ID 54247 //
     /* 2286872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286875 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2286892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286914 */     // GIR_Coverage, 54247,
     /* 2286914 */     GIR_EraseRootFromParent_Done,
     /* 2286915 */   // Label 31313: @2286915
     /* 2286915 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2286963), // Rule ID 54248 //
     /* 2286920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286923 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2286940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286962 */     // GIR_Coverage, 54248,
     /* 2286962 */     GIR_EraseRootFromParent_Done,
     /* 2286963 */   // Label 31314: @2286963
     /* 2286963 */   GIM_Reject,
     /* 2286964 */ // Label 31312: @2286964
     /* 2286964 */ GIM_Reject,
     /* 2286965 */ // Label 31265: @2286965
     /* 2286965 */ GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2287085),
     /* 2286970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2286973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2286976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286988 */   GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2287036), // Rule ID 54163 //
     /* 2286993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286996 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2286999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287035 */     // GIR_Coverage, 54163,
     /* 2287035 */     GIR_EraseRootFromParent_Done,
     /* 2287036 */   // Label 31316: @2287036
     /* 2287036 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2287084), // Rule ID 54164 //
     /* 2287041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287044 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2287047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2287061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287083 */     // GIR_Coverage, 54164,
     /* 2287083 */     GIR_EraseRootFromParent_Done,
     /* 2287084 */   // Label 31317: @2287084
     /* 2287084 */   GIM_Reject,
     /* 2287085 */ // Label 31315: @2287085
     /* 2287085 */ GIM_Reject,
     /* 2287086 */ // Label 31266: @2287086
     /* 2287086 */ GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2287206),
     /* 2287091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2287094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2287097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287109 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2287157), // Rule ID 54211 //
     /* 2287114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287117 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287156 */     // GIR_Coverage, 54211,
     /* 2287156 */     GIR_EraseRootFromParent_Done,
     /* 2287157 */   // Label 31319: @2287157
     /* 2287157 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2287205), // Rule ID 54212 //
     /* 2287162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287165 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2287168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2287182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287204 */     // GIR_Coverage, 54212,
     /* 2287204 */     GIR_EraseRootFromParent_Done,
     /* 2287205 */   // Label 31320: @2287205
     /* 2287205 */   GIM_Reject,
     /* 2287206 */ // Label 31318: @2287206
     /* 2287206 */ GIM_Reject,
     /* 2287207 */ // Label 31267: @2287207
     /* 2287207 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2287327),
     /* 2287212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2287215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2287218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287230 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2287278), // Rule ID 54259 //
     /* 2287235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287238 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287277 */     // GIR_Coverage, 54259,
     /* 2287277 */     GIR_EraseRootFromParent_Done,
     /* 2287278 */   // Label 31322: @2287278
     /* 2287278 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2287326), // Rule ID 54260 //
     /* 2287283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287286 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2287289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2287303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287325 */     // GIR_Coverage, 54260,
     /* 2287325 */     GIR_EraseRootFromParent_Done,
     /* 2287326 */   // Label 31323: @2287326
     /* 2287326 */   GIM_Reject,
     /* 2287327 */ // Label 31321: @2287327
     /* 2287327 */ GIM_Reject,
     /* 2287328 */ // Label 31268: @2287328
     /* 2287328 */ GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2287448),
     /* 2287333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287351 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2287399), // Rule ID 54175 //
     /* 2287356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287359 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287398 */     // GIR_Coverage, 54175,
     /* 2287398 */     GIR_EraseRootFromParent_Done,
     /* 2287399 */   // Label 31325: @2287399
     /* 2287399 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2287447), // Rule ID 54176 //
     /* 2287404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287407 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2287424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287446 */     // GIR_Coverage, 54176,
     /* 2287446 */     GIR_EraseRootFromParent_Done,
     /* 2287447 */   // Label 31326: @2287447
     /* 2287447 */   GIM_Reject,
     /* 2287448 */ // Label 31324: @2287448
     /* 2287448 */ GIM_Reject,
     /* 2287449 */ // Label 31269: @2287449
     /* 2287449 */ GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2287569),
     /* 2287454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287472 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2287520), // Rule ID 54223 //
     /* 2287477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287480 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287519 */     // GIR_Coverage, 54223,
     /* 2287519 */     GIR_EraseRootFromParent_Done,
     /* 2287520 */   // Label 31328: @2287520
     /* 2287520 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2287568), // Rule ID 54224 //
     /* 2287525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287528 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2287545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287567 */     // GIR_Coverage, 54224,
     /* 2287567 */     GIR_EraseRootFromParent_Done,
     /* 2287568 */   // Label 31329: @2287568
     /* 2287568 */   GIM_Reject,
     /* 2287569 */ // Label 31327: @2287569
     /* 2287569 */ GIM_Reject,
     /* 2287570 */ // Label 31270: @2287570
     /* 2287570 */ GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2287690),
     /* 2287575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2287578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287593 */   GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2287641), // Rule ID 54187 //
     /* 2287598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287601 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2287618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287640 */     // GIR_Coverage, 54187,
     /* 2287640 */     GIR_EraseRootFromParent_Done,
     /* 2287641 */   // Label 31331: @2287641
     /* 2287641 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2287689), // Rule ID 54188 //
     /* 2287646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287649 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2287666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287688 */     // GIR_Coverage, 54188,
     /* 2287688 */     GIR_EraseRootFromParent_Done,
     /* 2287689 */   // Label 31332: @2287689
     /* 2287689 */   GIM_Reject,
     /* 2287690 */ // Label 31330: @2287690
     /* 2287690 */ GIM_Reject,
     /* 2287691 */ // Label 31271: @2287691
     /* 2287691 */ GIM_Reject,
     /* 2287692 */ // Label 62: @2287692
     /* 2287692 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31351*/ GIMT_Encode4(2304336),
     /* 2287703 */ /*GILLT_s16*//*Label 31333*/ GIMT_Encode4(2287823),
     /* 2287707 */ /*GILLT_s32*//*Label 31334*/ GIMT_Encode4(2289259),
     /* 2287711 */ /*GILLT_s64*//*Label 31335*/ GIMT_Encode4(2290695), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287723 */ /*GILLT_nxv1s16*//*Label 31336*/ GIMT_Encode4(2292486),
     /* 2287727 */ /*GILLT_nxv1s32*//*Label 31337*/ GIMT_Encode4(2293276),
     /* 2287731 */ /*GILLT_nxv1s64*//*Label 31338*/ GIMT_Encode4(2294066), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287743 */ /*GILLT_nxv2s16*//*Label 31339*/ GIMT_Encode4(2294856),
     /* 2287747 */ /*GILLT_nxv2s32*//*Label 31340*/ GIMT_Encode4(2295646),
     /* 2287751 */ /*GILLT_nxv2s64*//*Label 31341*/ GIMT_Encode4(2296436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287763 */ /*GILLT_nxv4s16*//*Label 31342*/ GIMT_Encode4(2297226),
     /* 2287767 */ /*GILLT_nxv4s32*//*Label 31343*/ GIMT_Encode4(2298016),
     /* 2287771 */ /*GILLT_nxv4s64*//*Label 31344*/ GIMT_Encode4(2298806), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287783 */ /*GILLT_nxv8s16*//*Label 31345*/ GIMT_Encode4(2299596),
     /* 2287787 */ /*GILLT_nxv8s32*//*Label 31346*/ GIMT_Encode4(2300386),
     /* 2287791 */ /*GILLT_nxv8s64*//*Label 31347*/ GIMT_Encode4(2301176), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287803 */ /*GILLT_nxv16s16*//*Label 31348*/ GIMT_Encode4(2301966),
     /* 2287807 */ /*GILLT_nxv16s32*//*Label 31349*/ GIMT_Encode4(2302756), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287819 */ /*GILLT_nxv32s16*//*Label 31350*/ GIMT_Encode4(2303546),
     /* 2287823 */ // Label 31333: @2287823
     /* 2287823 */ GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2289258),
     /* 2287828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2287834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287837 */   GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2287909), // Rule ID 1898 //
     /* 2287842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287889 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2287892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287908 */     // GIR_Coverage, 1898,
     /* 2287908 */     GIR_EraseRootFromParent_Done,
     /* 2287909 */   // Label 31353: @2287909
     /* 2287909 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2287981), // Rule ID 1899 //
     /* 2287914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287961 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2287964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287980 */     // GIR_Coverage, 1899,
     /* 2287980 */     GIR_EraseRootFromParent_Done,
     /* 2287981 */   // Label 31354: @2287981
     /* 2287981 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2288053), // Rule ID 1931 //
     /* 2287986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2287989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288033 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288052 */     // GIR_Coverage, 1931,
     /* 2288052 */     GIR_EraseRootFromParent_Done,
     /* 2288053 */   // Label 31355: @2288053
     /* 2288053 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2288125), // Rule ID 1932 //
     /* 2288058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288105 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288124 */     // GIR_Coverage, 1932,
     /* 2288124 */     GIR_EraseRootFromParent_Done,
     /* 2288125 */   // Label 31356: @2288125
     /* 2288125 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2288197), // Rule ID 64771 //
     /* 2288130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288177 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288196 */     // GIR_Coverage, 64771,
     /* 2288196 */     GIR_EraseRootFromParent_Done,
     /* 2288197 */   // Label 31357: @2288197
     /* 2288197 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2288269), // Rule ID 64772 //
     /* 2288202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288249 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2288252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288268 */     // GIR_Coverage, 64772,
     /* 2288268 */     GIR_EraseRootFromParent_Done,
     /* 2288269 */   // Label 31358: @2288269
     /* 2288269 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2288341), // Rule ID 64779 //
     /* 2288274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288321 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288340 */     // GIR_Coverage, 64779,
     /* 2288340 */     GIR_EraseRootFromParent_Done,
     /* 2288341 */   // Label 31359: @2288341
     /* 2288341 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2288413), // Rule ID 64780 //
     /* 2288346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288393 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2288396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288412 */     // GIR_Coverage, 64780,
     /* 2288412 */     GIR_EraseRootFromParent_Done,
     /* 2288413 */   // Label 31360: @2288413
     /* 2288413 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2288470), // Rule ID 1894 //
     /* 2288418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288452 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288469 */     // GIR_Coverage, 1894,
     /* 2288469 */     GIR_EraseRootFromParent_Done,
     /* 2288470 */   // Label 31361: @2288470
     /* 2288470 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2288527), // Rule ID 1895 //
     /* 2288475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288509 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288526 */     // GIR_Coverage, 1895,
     /* 2288526 */     GIR_EraseRootFromParent_Done,
     /* 2288527 */   // Label 31362: @2288527
     /* 2288527 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2288584), // Rule ID 1927 //
     /* 2288532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288566 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288583 */     // GIR_Coverage, 1927,
     /* 2288583 */     GIR_EraseRootFromParent_Done,
     /* 2288584 */   // Label 31363: @2288584
     /* 2288584 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2288641), // Rule ID 1928 //
     /* 2288589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288623 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288640 */     // GIR_Coverage, 1928,
     /* 2288640 */     GIR_EraseRootFromParent_Done,
     /* 2288641 */   // Label 31364: @2288641
     /* 2288641 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2288698), // Rule ID 64767 //
     /* 2288646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288680 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288697 */     // GIR_Coverage, 64767,
     /* 2288697 */     GIR_EraseRootFromParent_Done,
     /* 2288698 */   // Label 31365: @2288698
     /* 2288698 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2288755), // Rule ID 64768 //
     /* 2288703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288737 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2288740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288754 */     // GIR_Coverage, 64768,
     /* 2288754 */     GIR_EraseRootFromParent_Done,
     /* 2288755 */   // Label 31366: @2288755
     /* 2288755 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2288812), // Rule ID 64775 //
     /* 2288760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288794 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288811 */     // GIR_Coverage, 64775,
     /* 2288811 */     GIR_EraseRootFromParent_Done,
     /* 2288812 */   // Label 31367: @2288812
     /* 2288812 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2288869), // Rule ID 64776 //
     /* 2288817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2288820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288851 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2288854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288868 */     // GIR_Coverage, 64776,
     /* 2288868 */     GIR_EraseRootFromParent_Done,
     /* 2288869 */   // Label 31368: @2288869
     /* 2288869 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2288926), // Rule ID 1890 //
     /* 2288874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2288877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288908 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2288908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2288911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288925 */     // GIR_Coverage, 1890,
     /* 2288925 */     GIR_EraseRootFromParent_Done,
     /* 2288926 */   // Label 31369: @2288926
     /* 2288926 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2288983), // Rule ID 1891 //
     /* 2288931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2288934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2288958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2288963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288965 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2288965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2288968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288982 */     // GIR_Coverage, 1891,
     /* 2288982 */     GIR_EraseRootFromParent_Done,
     /* 2288983 */   // Label 31370: @2288983
     /* 2288983 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2289040), // Rule ID 1923 //
     /* 2288988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2288991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2288999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289022 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289039 */     // GIR_Coverage, 1923,
     /* 2289039 */     GIR_EraseRootFromParent_Done,
     /* 2289040 */   // Label 31371: @2289040
     /* 2289040 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2289097), // Rule ID 1924 //
     /* 2289045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289079 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2289082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2289092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289096 */     // GIR_Coverage, 1924,
     /* 2289096 */     GIR_EraseRootFromParent_Done,
     /* 2289097 */   // Label 31372: @2289097
     /* 2289097 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2289137), // Rule ID 1886 //
     /* 2289102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289121 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289136 */     // GIR_Coverage, 1886,
     /* 2289136 */     GIR_EraseRootFromParent_Done,
     /* 2289137 */   // Label 31373: @2289137
     /* 2289137 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2289177), // Rule ID 1887 //
     /* 2289142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2289145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289161 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2289164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289176 */     // GIR_Coverage, 1887,
     /* 2289176 */     GIR_EraseRootFromParent_Done,
     /* 2289177 */   // Label 31374: @2289177
     /* 2289177 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2289217), // Rule ID 1919 //
     /* 2289182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2289185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289201 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2289201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289216 */     // GIR_Coverage, 1919,
     /* 2289216 */     GIR_EraseRootFromParent_Done,
     /* 2289217 */   // Label 31375: @2289217
     /* 2289217 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2289257), // Rule ID 1920 //
     /* 2289222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2289225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2289241 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2289241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2289244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289256 */     // GIR_Coverage, 1920,
     /* 2289256 */     GIR_EraseRootFromParent_Done,
     /* 2289257 */   // Label 31376: @2289257
     /* 2289257 */   GIM_Reject,
     /* 2289258 */ // Label 31352: @2289258
     /* 2289258 */ GIM_Reject,
     /* 2289259 */ // Label 31334: @2289259
     /* 2289259 */ GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2290694),
     /* 2289264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2289270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2289273 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2289345), // Rule ID 1197 //
     /* 2289278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289325 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289344 */     // GIR_Coverage, 1197,
     /* 2289344 */     GIR_EraseRootFromParent_Done,
     /* 2289345 */   // Label 31378: @2289345
     /* 2289345 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2289417), // Rule ID 1198 //
     /* 2289350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289397 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289416 */     // GIR_Coverage, 1198,
     /* 2289416 */     GIR_EraseRootFromParent_Done,
     /* 2289417 */   // Label 31379: @2289417
     /* 2289417 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2289489), // Rule ID 1218 //
     /* 2289422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289469 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289488 */     // GIR_Coverage, 1218,
     /* 2289488 */     GIR_EraseRootFromParent_Done,
     /* 2289489 */   // Label 31380: @2289489
     /* 2289489 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2289561), // Rule ID 1219 //
     /* 2289494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289541 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289560 */     // GIR_Coverage, 1219,
     /* 2289560 */     GIR_EraseRootFromParent_Done,
     /* 2289561 */   // Label 31381: @2289561
     /* 2289561 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2289633), // Rule ID 64735 //
     /* 2289566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289613 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289632 */     // GIR_Coverage, 64735,
     /* 2289632 */     GIR_EraseRootFromParent_Done,
     /* 2289633 */   // Label 31382: @2289633
     /* 2289633 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2289705), // Rule ID 64736 //
     /* 2289638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289685 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2289688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289704 */     // GIR_Coverage, 64736,
     /* 2289704 */     GIR_EraseRootFromParent_Done,
     /* 2289705 */   // Label 31383: @2289705
     /* 2289705 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2289777), // Rule ID 64743 //
     /* 2289710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289757 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289776 */     // GIR_Coverage, 64743,
     /* 2289776 */     GIR_EraseRootFromParent_Done,
     /* 2289777 */   // Label 31384: @2289777
     /* 2289777 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2289849), // Rule ID 64744 //
     /* 2289782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289829 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2289832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289848 */     // GIR_Coverage, 64744,
     /* 2289848 */     GIR_EraseRootFromParent_Done,
     /* 2289849 */   // Label 31385: @2289849
     /* 2289849 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2289906), // Rule ID 1193 //
     /* 2289854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2289857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289888 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2289891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289905 */     // GIR_Coverage, 1193,
     /* 2289905 */     GIR_EraseRootFromParent_Done,
     /* 2289906 */   // Label 31386: @2289906
     /* 2289906 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2289963), // Rule ID 1194 //
     /* 2289911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289945 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2289948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289962 */     // GIR_Coverage, 1194,
     /* 2289962 */     GIR_EraseRootFromParent_Done,
     /* 2289963 */   // Label 31387: @2289963
     /* 2289963 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2290020), // Rule ID 1214 //
     /* 2289968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2289987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290002 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290019 */     // GIR_Coverage, 1214,
     /* 2290019 */     GIR_EraseRootFromParent_Done,
     /* 2290020 */   // Label 31388: @2290020
     /* 2290020 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2290077), // Rule ID 1215 //
     /* 2290025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290059 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290076 */     // GIR_Coverage, 1215,
     /* 2290076 */     GIR_EraseRootFromParent_Done,
     /* 2290077 */   // Label 31389: @2290077
     /* 2290077 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2290134), // Rule ID 64731 //
     /* 2290082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290116 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290133 */     // GIR_Coverage, 64731,
     /* 2290133 */     GIR_EraseRootFromParent_Done,
     /* 2290134 */   // Label 31390: @2290134
     /* 2290134 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2290191), // Rule ID 64732 //
     /* 2290139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290173 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2290176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290190 */     // GIR_Coverage, 64732,
     /* 2290190 */     GIR_EraseRootFromParent_Done,
     /* 2290191 */   // Label 31391: @2290191
     /* 2290191 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2290248), // Rule ID 64739 //
     /* 2290196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290230 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290247 */     // GIR_Coverage, 64739,
     /* 2290247 */     GIR_EraseRootFromParent_Done,
     /* 2290248 */   // Label 31392: @2290248
     /* 2290248 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2290305), // Rule ID 64740 //
     /* 2290253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290287 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2290290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290304 */     // GIR_Coverage, 64740,
     /* 2290304 */     GIR_EraseRootFromParent_Done,
     /* 2290305 */   // Label 31393: @2290305
     /* 2290305 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2290362), // Rule ID 1189 //
     /* 2290310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290344 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290361 */     // GIR_Coverage, 1189,
     /* 2290361 */     GIR_EraseRootFromParent_Done,
     /* 2290362 */   // Label 31394: @2290362
     /* 2290362 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2290419), // Rule ID 1190 //
     /* 2290367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290401 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2290404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290418 */     // GIR_Coverage, 1190,
     /* 2290418 */     GIR_EraseRootFromParent_Done,
     /* 2290419 */   // Label 31395: @2290419
     /* 2290419 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2290476), // Rule ID 1210 //
     /* 2290424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290458 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290475 */     // GIR_Coverage, 1210,
     /* 2290475 */     GIR_EraseRootFromParent_Done,
     /* 2290476 */   // Label 31396: @2290476
     /* 2290476 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2290533), // Rule ID 1211 //
     /* 2290481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290515 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2290518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290532 */     // GIR_Coverage, 1211,
     /* 2290532 */     GIR_EraseRootFromParent_Done,
     /* 2290533 */   // Label 31397: @2290533
     /* 2290533 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2290573), // Rule ID 1185 //
     /* 2290538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290557 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290572 */     // GIR_Coverage, 1185,
     /* 2290572 */     GIR_EraseRootFromParent_Done,
     /* 2290573 */   // Label 31398: @2290573
     /* 2290573 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2290613), // Rule ID 1186 //
     /* 2290578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290597 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2290600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290612 */     // GIR_Coverage, 1186,
     /* 2290612 */     GIR_EraseRootFromParent_Done,
     /* 2290613 */   // Label 31399: @2290613
     /* 2290613 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2290653), // Rule ID 1206 //
     /* 2290618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290637 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2290637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2290640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290652 */     // GIR_Coverage, 1206,
     /* 2290652 */     GIR_EraseRootFromParent_Done,
     /* 2290653 */   // Label 31400: @2290653
     /* 2290653 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2290693), // Rule ID 1207 //
     /* 2290658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290677 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2290677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2290680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290692 */     // GIR_Coverage, 1207,
     /* 2290692 */     GIR_EraseRootFromParent_Done,
     /* 2290693 */   // Label 31401: @2290693
     /* 2290693 */   GIM_Reject,
     /* 2290694 */ // Label 31377: @2290694
     /* 2290694 */ GIM_Reject,
     /* 2290695 */ // Label 31335: @2290695
     /* 2290695 */ GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2292485),
     /* 2290700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2290706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2290709 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2290781), // Rule ID 1534 //
     /* 2290714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290761 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2290764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290780 */     // GIR_Coverage, 1534,
     /* 2290780 */     GIR_EraseRootFromParent_Done,
     /* 2290781 */   // Label 31403: @2290781
     /* 2290781 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2290853), // Rule ID 1535 //
     /* 2290786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290833 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2290836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290852 */     // GIR_Coverage, 1535,
     /* 2290852 */     GIR_EraseRootFromParent_Done,
     /* 2290853 */   // Label 31404: @2290853
     /* 2290853 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2290925), // Rule ID 1557 //
     /* 2290858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290905 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2290908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290924 */     // GIR_Coverage, 1557,
     /* 2290924 */     GIR_EraseRootFromParent_Done,
     /* 2290925 */   // Label 31405: @2290925
     /* 2290925 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2290997), // Rule ID 1589 //
     /* 2290930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290977 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2290980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2290992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290996 */     // GIR_Coverage, 1589,
     /* 2290996 */     GIR_EraseRootFromParent_Done,
     /* 2290997 */   // Label 31406: @2290997
     /* 2290997 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2291069), // Rule ID 1590 //
     /* 2291002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291049 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291068 */     // GIR_Coverage, 1590,
     /* 2291068 */     GIR_EraseRootFromParent_Done,
     /* 2291069 */   // Label 31407: @2291069
     /* 2291069 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2291141), // Rule ID 64751 //
     /* 2291074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291121 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291140 */     // GIR_Coverage, 64751,
     /* 2291140 */     GIR_EraseRootFromParent_Done,
     /* 2291141 */   // Label 31408: @2291141
     /* 2291141 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2291213), // Rule ID 64752 //
     /* 2291146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291193 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2291196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291212 */     // GIR_Coverage, 64752,
     /* 2291212 */     GIR_EraseRootFromParent_Done,
     /* 2291213 */   // Label 31409: @2291213
     /* 2291213 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2291285), // Rule ID 64756 //
     /* 2291218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291265 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2291268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291284 */     // GIR_Coverage, 64756,
     /* 2291284 */     GIR_EraseRootFromParent_Done,
     /* 2291285 */   // Label 31410: @2291285
     /* 2291285 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2291357), // Rule ID 64763 //
     /* 2291290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291337 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291356 */     // GIR_Coverage, 64763,
     /* 2291356 */     GIR_EraseRootFromParent_Done,
     /* 2291357 */   // Label 31411: @2291357
     /* 2291357 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2291429), // Rule ID 64764 //
     /* 2291362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291409 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2291412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2291424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291428 */     // GIR_Coverage, 64764,
     /* 2291428 */     GIR_EraseRootFromParent_Done,
     /* 2291429 */   // Label 31412: @2291429
     /* 2291429 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2291486), // Rule ID 1530 //
     /* 2291434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291468 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291485 */     // GIR_Coverage, 1530,
     /* 2291485 */     GIR_EraseRootFromParent_Done,
     /* 2291486 */   // Label 31413: @2291486
     /* 2291486 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2291543), // Rule ID 1531 //
     /* 2291491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291525 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291542 */     // GIR_Coverage, 1531,
     /* 2291542 */     GIR_EraseRootFromParent_Done,
     /* 2291543 */   // Label 31414: @2291543
     /* 2291543 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2291600), // Rule ID 1555 //
     /* 2291548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291582 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2291585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291599 */     // GIR_Coverage, 1555,
     /* 2291599 */     GIR_EraseRootFromParent_Done,
     /* 2291600 */   // Label 31415: @2291600
     /* 2291600 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2291657), // Rule ID 1585 //
     /* 2291605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291639 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291656 */     // GIR_Coverage, 1585,
     /* 2291656 */     GIR_EraseRootFromParent_Done,
     /* 2291657 */   // Label 31416: @2291657
     /* 2291657 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2291714), // Rule ID 1586 //
     /* 2291662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291696 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291713 */     // GIR_Coverage, 1586,
     /* 2291713 */     GIR_EraseRootFromParent_Done,
     /* 2291714 */   // Label 31417: @2291714
     /* 2291714 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2291771), // Rule ID 64747 //
     /* 2291719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2291722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291753 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291770 */     // GIR_Coverage, 64747,
     /* 2291770 */     GIR_EraseRootFromParent_Done,
     /* 2291771 */   // Label 31418: @2291771
     /* 2291771 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2291828), // Rule ID 64748 //
     /* 2291776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2291779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2291808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291810 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2291813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291827 */     // GIR_Coverage, 64748,
     /* 2291827 */     GIR_EraseRootFromParent_Done,
     /* 2291828 */   // Label 31419: @2291828
     /* 2291828 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2291885), // Rule ID 64754 //
     /* 2291833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2291836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2291865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291867 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2291870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291884 */     // GIR_Coverage, 64754,
     /* 2291884 */     GIR_EraseRootFromParent_Done,
     /* 2291885 */   // Label 31420: @2291885
     /* 2291885 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2291942), // Rule ID 64759 //
     /* 2291890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2291893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291924 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2291924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291941 */     // GIR_Coverage, 64759,
     /* 2291941 */     GIR_EraseRootFromParent_Done,
     /* 2291942 */   // Label 31421: @2291942
     /* 2291942 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2291999), // Rule ID 64760 //
     /* 2291947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2291950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2291970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2291979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291981 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2291981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2291984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2291992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2291994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291998 */     // GIR_Coverage, 64760,
     /* 2291998 */     GIR_EraseRootFromParent_Done,
     /* 2291999 */   // Label 31422: @2291999
     /* 2291999 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2292056), // Rule ID 1526 //
     /* 2292004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292038 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292055 */     // GIR_Coverage, 1526,
     /* 2292055 */     GIR_EraseRootFromParent_Done,
     /* 2292056 */   // Label 31423: @2292056
     /* 2292056 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2292113), // Rule ID 1527 //
     /* 2292061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292095 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2292098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292112 */     // GIR_Coverage, 1527,
     /* 2292112 */     GIR_EraseRootFromParent_Done,
     /* 2292113 */   // Label 31424: @2292113
     /* 2292113 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2292170), // Rule ID 1553 //
     /* 2292118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292152 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2292155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292169 */     // GIR_Coverage, 1553,
     /* 2292169 */     GIR_EraseRootFromParent_Done,
     /* 2292170 */   // Label 31425: @2292170
     /* 2292170 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2292227), // Rule ID 1581 //
     /* 2292175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292209 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292226 */     // GIR_Coverage, 1581,
     /* 2292226 */     GIR_EraseRootFromParent_Done,
     /* 2292227 */   // Label 31426: @2292227
     /* 2292227 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2292284), // Rule ID 1582 //
     /* 2292232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2292259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292266 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2292269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2292279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292283 */     // GIR_Coverage, 1582,
     /* 2292283 */     GIR_EraseRootFromParent_Done,
     /* 2292284 */   // Label 31427: @2292284
     /* 2292284 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2292324), // Rule ID 1522 //
     /* 2292289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2292292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292308 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292323 */     // GIR_Coverage, 1522,
     /* 2292323 */     GIR_EraseRootFromParent_Done,
     /* 2292324 */   // Label 31428: @2292324
     /* 2292324 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2292364), // Rule ID 1523 //
     /* 2292329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2292332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2292348 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2292351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292363 */     // GIR_Coverage, 1523,
     /* 2292363 */     GIR_EraseRootFromParent_Done,
     /* 2292364 */   // Label 31429: @2292364
     /* 2292364 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2292404), // Rule ID 1551 //
     /* 2292369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2292372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2292388 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2292391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292403 */     // GIR_Coverage, 1551,
     /* 2292403 */     GIR_EraseRootFromParent_Done,
     /* 2292404 */   // Label 31430: @2292404
     /* 2292404 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2292444), // Rule ID 1577 //
     /* 2292409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2292412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292428 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2292428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292443 */     // GIR_Coverage, 1577,
     /* 2292443 */     GIR_EraseRootFromParent_Done,
     /* 2292444 */   // Label 31431: @2292444
     /* 2292444 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2292484), // Rule ID 1578 //
     /* 2292449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2292452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2292468 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2292468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2292471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2292479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292483 */     // GIR_Coverage, 1578,
     /* 2292483 */     GIR_EraseRootFromParent_Done,
     /* 2292484 */   // Label 31432: @2292484
     /* 2292484 */   GIM_Reject,
     /* 2292485 */ // Label 31402: @2292485
     /* 2292485 */ GIM_Reject,
     /* 2292486 */ // Label 31336: @2292486
     /* 2292486 */ GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2293275),
     /* 2292491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2292497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2292500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292504 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2292581), // Rule ID 54705 //
     /* 2292509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292552 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292580 */     // GIR_Coverage, 54705,
     /* 2292580 */     GIR_EraseRootFromParent_Done,
     /* 2292581 */   // Label 31434: @2292581
     /* 2292581 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2292658), // Rule ID 54706 //
     /* 2292586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292629 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292657 */     // GIR_Coverage, 54706,
     /* 2292657 */     GIR_EraseRootFromParent_Done,
     /* 2292658 */   // Label 31435: @2292658
     /* 2292658 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2292735), // Rule ID 71725 //
     /* 2292663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292706 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292734 */     // GIR_Coverage, 71725,
     /* 2292734 */     GIR_EraseRootFromParent_Done,
     /* 2292735 */   // Label 31436: @2292735
     /* 2292735 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2292812), // Rule ID 71726 //
     /* 2292740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292783 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2292786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292811 */     // GIR_Coverage, 71726,
     /* 2292811 */     GIR_EraseRootFromParent_Done,
     /* 2292812 */   // Label 31437: @2292812
     /* 2292812 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2292874), // Rule ID 54709 //
     /* 2292817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292847 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2292850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292873 */     // GIR_Coverage, 54709,
     /* 2292873 */     GIR_EraseRootFromParent_Done,
     /* 2292874 */   // Label 31438: @2292874
     /* 2292874 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2292936), // Rule ID 54710 //
     /* 2292879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292909 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2292912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292935 */     // GIR_Coverage, 54710,
     /* 2292935 */     GIR_EraseRootFromParent_Done,
     /* 2292936 */   // Label 31439: @2292936
     /* 2292936 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2292998), // Rule ID 71729 //
     /* 2292941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2292960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292971 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2292974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292997 */     // GIR_Coverage, 71729,
     /* 2292997 */     GIR_EraseRootFromParent_Done,
     /* 2292998 */   // Label 31440: @2292998
     /* 2292998 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2293060), // Rule ID 71730 //
     /* 2293003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293033 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2293036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293059 */     // GIR_Coverage, 71730,
     /* 2293059 */     GIR_EraseRootFromParent_Done,
     /* 2293060 */   // Label 31441: @2293060
     /* 2293060 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2293122), // Rule ID 54701 //
     /* 2293065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293095 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293121 */     // GIR_Coverage, 54701,
     /* 2293121 */     GIR_EraseRootFromParent_Done,
     /* 2293122 */   // Label 31442: @2293122
     /* 2293122 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2293184), // Rule ID 54702 //
     /* 2293127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293157 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2293160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293183 */     // GIR_Coverage, 54702,
     /* 2293183 */     GIR_EraseRootFromParent_Done,
     /* 2293184 */   // Label 31443: @2293184
     /* 2293184 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2293229), // Rule ID 54697 //
     /* 2293189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293204 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293228 */     // GIR_Coverage, 54697,
     /* 2293228 */     GIR_EraseRootFromParent_Done,
     /* 2293229 */   // Label 31444: @2293229
     /* 2293229 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2293274), // Rule ID 54698 //
     /* 2293234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293249 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2293252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293273 */     // GIR_Coverage, 54698,
     /* 2293273 */     GIR_EraseRootFromParent_Done,
     /* 2293274 */   // Label 31445: @2293274
     /* 2293274 */   GIM_Reject,
     /* 2293275 */ // Label 31433: @2293275
     /* 2293275 */ GIM_Reject,
     /* 2293276 */ // Label 31337: @2293276
     /* 2293276 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2294065),
     /* 2293281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2293290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293294 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2293371), // Rule ID 54833 //
     /* 2293299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293342 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293370 */     // GIR_Coverage, 54833,
     /* 2293370 */     GIR_EraseRootFromParent_Done,
     /* 2293371 */   // Label 31447: @2293371
     /* 2293371 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2293448), // Rule ID 54834 //
     /* 2293376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293419 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293447 */     // GIR_Coverage, 54834,
     /* 2293447 */     GIR_EraseRootFromParent_Done,
     /* 2293448 */   // Label 31448: @2293448
     /* 2293448 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2293525), // Rule ID 71837 //
     /* 2293453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293496 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293524 */     // GIR_Coverage, 71837,
     /* 2293524 */     GIR_EraseRootFromParent_Done,
     /* 2293525 */   // Label 31449: @2293525
     /* 2293525 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2293602), // Rule ID 71838 //
     /* 2293530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293573 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2293576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293601 */     // GIR_Coverage, 71838,
     /* 2293601 */     GIR_EraseRootFromParent_Done,
     /* 2293602 */   // Label 31450: @2293602
     /* 2293602 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2293664), // Rule ID 54837 //
     /* 2293607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293637 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293663 */     // GIR_Coverage, 54837,
     /* 2293663 */     GIR_EraseRootFromParent_Done,
     /* 2293664 */   // Label 31451: @2293664
     /* 2293664 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2293726), // Rule ID 54838 //
     /* 2293669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293699 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293725 */     // GIR_Coverage, 54838,
     /* 2293725 */     GIR_EraseRootFromParent_Done,
     /* 2293726 */   // Label 31452: @2293726
     /* 2293726 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2293788), // Rule ID 71841 //
     /* 2293731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293761 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293787 */     // GIR_Coverage, 71841,
     /* 2293787 */     GIR_EraseRootFromParent_Done,
     /* 2293788 */   // Label 31453: @2293788
     /* 2293788 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2293850), // Rule ID 71842 //
     /* 2293793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293823 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2293826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293849 */     // GIR_Coverage, 71842,
     /* 2293849 */     GIR_EraseRootFromParent_Done,
     /* 2293850 */   // Label 31454: @2293850
     /* 2293850 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2293912), // Rule ID 54829 //
     /* 2293855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293885 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2293888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293911 */     // GIR_Coverage, 54829,
     /* 2293911 */     GIR_EraseRootFromParent_Done,
     /* 2293912 */   // Label 31455: @2293912
     /* 2293912 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2293974), // Rule ID 54830 //
     /* 2293917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293947 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2293950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293973 */     // GIR_Coverage, 54830,
     /* 2293973 */     GIR_EraseRootFromParent_Done,
     /* 2293974 */   // Label 31456: @2293974
     /* 2293974 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2294019), // Rule ID 54825 //
     /* 2293979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293994 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2293997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294018 */     // GIR_Coverage, 54825,
     /* 2294018 */     GIR_EraseRootFromParent_Done,
     /* 2294019 */   // Label 31457: @2294019
     /* 2294019 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2294064), // Rule ID 54826 //
     /* 2294024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294039 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2294042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294063 */     // GIR_Coverage, 54826,
     /* 2294063 */     GIR_EraseRootFromParent_Done,
     /* 2294064 */   // Label 31458: @2294064
     /* 2294064 */   GIM_Reject,
     /* 2294065 */ // Label 31446: @2294065
     /* 2294065 */ GIM_Reject,
     /* 2294066 */ // Label 31338: @2294066
     /* 2294066 */ GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2294855),
     /* 2294071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2294080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294084 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2294161), // Rule ID 55025 //
     /* 2294089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294132 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294160 */     // GIR_Coverage, 55025,
     /* 2294160 */     GIR_EraseRootFromParent_Done,
     /* 2294161 */   // Label 31460: @2294161
     /* 2294161 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2294238), // Rule ID 55026 //
     /* 2294166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294209 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294237 */     // GIR_Coverage, 55026,
     /* 2294237 */     GIR_EraseRootFromParent_Done,
     /* 2294238 */   // Label 31461: @2294238
     /* 2294238 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2294315), // Rule ID 72005 //
     /* 2294243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294286 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294314 */     // GIR_Coverage, 72005,
     /* 2294314 */     GIR_EraseRootFromParent_Done,
     /* 2294315 */   // Label 31462: @2294315
     /* 2294315 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2294392), // Rule ID 72006 //
     /* 2294320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294363 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2294366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294391 */     // GIR_Coverage, 72006,
     /* 2294391 */     GIR_EraseRootFromParent_Done,
     /* 2294392 */   // Label 31463: @2294392
     /* 2294392 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2294454), // Rule ID 55029 //
     /* 2294397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294427 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294453 */     // GIR_Coverage, 55029,
     /* 2294453 */     GIR_EraseRootFromParent_Done,
     /* 2294454 */   // Label 31464: @2294454
     /* 2294454 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2294516), // Rule ID 55030 //
     /* 2294459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294489 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294515 */     // GIR_Coverage, 55030,
     /* 2294515 */     GIR_EraseRootFromParent_Done,
     /* 2294516 */   // Label 31465: @2294516
     /* 2294516 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2294578), // Rule ID 72009 //
     /* 2294521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294551 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294577 */     // GIR_Coverage, 72009,
     /* 2294577 */     GIR_EraseRootFromParent_Done,
     /* 2294578 */   // Label 31466: @2294578
     /* 2294578 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2294640), // Rule ID 72010 //
     /* 2294583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294613 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2294616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294639 */     // GIR_Coverage, 72010,
     /* 2294639 */     GIR_EraseRootFromParent_Done,
     /* 2294640 */   // Label 31467: @2294640
     /* 2294640 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2294702), // Rule ID 55021 //
     /* 2294645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294675 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2294678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294701 */     // GIR_Coverage, 55021,
     /* 2294701 */     GIR_EraseRootFromParent_Done,
     /* 2294702 */   // Label 31468: @2294702
     /* 2294702 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2294764), // Rule ID 55022 //
     /* 2294707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2294730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294737 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2294740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294763 */     // GIR_Coverage, 55022,
     /* 2294763 */     GIR_EraseRootFromParent_Done,
     /* 2294764 */   // Label 31469: @2294764
     /* 2294764 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2294809), // Rule ID 55017 //
     /* 2294769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294784 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2294787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294808 */     // GIR_Coverage, 55017,
     /* 2294808 */     GIR_EraseRootFromParent_Done,
     /* 2294809 */   // Label 31470: @2294809
     /* 2294809 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2294854), // Rule ID 55018 //
     /* 2294814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294829 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2294832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294853 */     // GIR_Coverage, 55018,
     /* 2294853 */     GIR_EraseRootFromParent_Done,
     /* 2294854 */   // Label 31471: @2294854
     /* 2294854 */   GIM_Reject,
     /* 2294855 */ // Label 31459: @2294855
     /* 2294855 */ GIM_Reject,
     /* 2294856 */ // Label 31339: @2294856
     /* 2294856 */ GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2295645),
     /* 2294861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2294867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2294870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294874 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2294951), // Rule ID 54769 //
     /* 2294879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294922 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2294925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294950 */     // GIR_Coverage, 54769,
     /* 2294950 */     GIR_EraseRootFromParent_Done,
     /* 2294951 */   // Label 31473: @2294951
     /* 2294951 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2295028), // Rule ID 54770 //
     /* 2294956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294999 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295027 */     // GIR_Coverage, 54770,
     /* 2295027 */     GIR_EraseRootFromParent_Done,
     /* 2295028 */   // Label 31474: @2295028
     /* 2295028 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2295105), // Rule ID 71781 //
     /* 2295033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295076 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295104 */     // GIR_Coverage, 71781,
     /* 2295104 */     GIR_EraseRootFromParent_Done,
     /* 2295105 */   // Label 31475: @2295105
     /* 2295105 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2295182), // Rule ID 71782 //
     /* 2295110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295153 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2295156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295181 */     // GIR_Coverage, 71782,
     /* 2295181 */     GIR_EraseRootFromParent_Done,
     /* 2295182 */   // Label 31476: @2295182
     /* 2295182 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2295244), // Rule ID 54773 //
     /* 2295187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295217 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295243 */     // GIR_Coverage, 54773,
     /* 2295243 */     GIR_EraseRootFromParent_Done,
     /* 2295244 */   // Label 31477: @2295244
     /* 2295244 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2295306), // Rule ID 54774 //
     /* 2295249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295279 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295305 */     // GIR_Coverage, 54774,
     /* 2295305 */     GIR_EraseRootFromParent_Done,
     /* 2295306 */   // Label 31478: @2295306
     /* 2295306 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2295368), // Rule ID 71785 //
     /* 2295311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295341 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295367 */     // GIR_Coverage, 71785,
     /* 2295367 */     GIR_EraseRootFromParent_Done,
     /* 2295368 */   // Label 31479: @2295368
     /* 2295368 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2295430), // Rule ID 71786 //
     /* 2295373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295403 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2295406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295429 */     // GIR_Coverage, 71786,
     /* 2295429 */     GIR_EraseRootFromParent_Done,
     /* 2295430 */   // Label 31480: @2295430
     /* 2295430 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2295492), // Rule ID 54765 //
     /* 2295435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295465 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295491 */     // GIR_Coverage, 54765,
     /* 2295491 */     GIR_EraseRootFromParent_Done,
     /* 2295492 */   // Label 31481: @2295492
     /* 2295492 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2295554), // Rule ID 54766 //
     /* 2295497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295527 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2295530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295553 */     // GIR_Coverage, 54766,
     /* 2295553 */     GIR_EraseRootFromParent_Done,
     /* 2295554 */   // Label 31482: @2295554
     /* 2295554 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2295599), // Rule ID 54761 //
     /* 2295559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295574 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2295577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295598 */     // GIR_Coverage, 54761,
     /* 2295598 */     GIR_EraseRootFromParent_Done,
     /* 2295599 */   // Label 31483: @2295599
     /* 2295599 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2295644), // Rule ID 54762 //
     /* 2295604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295619 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2295622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295643 */     // GIR_Coverage, 54762,
     /* 2295643 */     GIR_EraseRootFromParent_Done,
     /* 2295644 */   // Label 31484: @2295644
     /* 2295644 */   GIM_Reject,
     /* 2295645 */ // Label 31472: @2295645
     /* 2295645 */ GIM_Reject,
     /* 2295646 */ // Label 31340: @2295646
     /* 2295646 */ GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2296435),
     /* 2295651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2295660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295664 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2295741), // Rule ID 54961 //
     /* 2295669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295712 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295740 */     // GIR_Coverage, 54961,
     /* 2295740 */     GIR_EraseRootFromParent_Done,
     /* 2295741 */   // Label 31486: @2295741
     /* 2295741 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2295818), // Rule ID 54962 //
     /* 2295746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295789 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295817 */     // GIR_Coverage, 54962,
     /* 2295817 */     GIR_EraseRootFromParent_Done,
     /* 2295818 */   // Label 31487: @2295818
     /* 2295818 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2295895), // Rule ID 71949 //
     /* 2295823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295866 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295894 */     // GIR_Coverage, 71949,
     /* 2295894 */     GIR_EraseRootFromParent_Done,
     /* 2295895 */   // Label 31488: @2295895
     /* 2295895 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2295972), // Rule ID 71950 //
     /* 2295900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295943 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2295946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295971 */     // GIR_Coverage, 71950,
     /* 2295971 */     GIR_EraseRootFromParent_Done,
     /* 2295972 */   // Label 31489: @2295972
     /* 2295972 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2296034), // Rule ID 54965 //
     /* 2295977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296007 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296033 */     // GIR_Coverage, 54965,
     /* 2296033 */     GIR_EraseRootFromParent_Done,
     /* 2296034 */   // Label 31490: @2296034
     /* 2296034 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2296096), // Rule ID 54966 //
     /* 2296039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296069 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296095 */     // GIR_Coverage, 54966,
     /* 2296095 */     GIR_EraseRootFromParent_Done,
     /* 2296096 */   // Label 31491: @2296096
     /* 2296096 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2296158), // Rule ID 71953 //
     /* 2296101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296131 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296157 */     // GIR_Coverage, 71953,
     /* 2296157 */     GIR_EraseRootFromParent_Done,
     /* 2296158 */   // Label 31492: @2296158
     /* 2296158 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2296220), // Rule ID 71954 //
     /* 2296163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296193 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2296196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296219 */     // GIR_Coverage, 71954,
     /* 2296219 */     GIR_EraseRootFromParent_Done,
     /* 2296220 */   // Label 31493: @2296220
     /* 2296220 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2296282), // Rule ID 54957 //
     /* 2296225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296255 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296281 */     // GIR_Coverage, 54957,
     /* 2296281 */     GIR_EraseRootFromParent_Done,
     /* 2296282 */   // Label 31494: @2296282
     /* 2296282 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2296344), // Rule ID 54958 //
     /* 2296287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2296310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296317 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2296320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296343 */     // GIR_Coverage, 54958,
     /* 2296343 */     GIR_EraseRootFromParent_Done,
     /* 2296344 */   // Label 31495: @2296344
     /* 2296344 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2296389), // Rule ID 54953 //
     /* 2296349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296364 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296388 */     // GIR_Coverage, 54953,
     /* 2296388 */     GIR_EraseRootFromParent_Done,
     /* 2296389 */   // Label 31496: @2296389
     /* 2296389 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2296434), // Rule ID 54954 //
     /* 2296394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296409 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2296412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296433 */     // GIR_Coverage, 54954,
     /* 2296433 */     GIR_EraseRootFromParent_Done,
     /* 2296434 */   // Label 31497: @2296434
     /* 2296434 */   GIM_Reject,
     /* 2296435 */ // Label 31485: @2296435
     /* 2296435 */ GIM_Reject,
     /* 2296436 */ // Label 31341: @2296436
     /* 2296436 */ GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2297225),
     /* 2296441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2296450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296454 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2296531), // Rule ID 55473 //
     /* 2296459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296502 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296530 */     // GIR_Coverage, 55473,
     /* 2296530 */     GIR_EraseRootFromParent_Done,
     /* 2296531 */   // Label 31499: @2296531
     /* 2296531 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2296608), // Rule ID 55474 //
     /* 2296536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296579 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296607 */     // GIR_Coverage, 55474,
     /* 2296607 */     GIR_EraseRootFromParent_Done,
     /* 2296608 */   // Label 31500: @2296608
     /* 2296608 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2296685), // Rule ID 72397 //
     /* 2296613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296656 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296684 */     // GIR_Coverage, 72397,
     /* 2296684 */     GIR_EraseRootFromParent_Done,
     /* 2296685 */   // Label 31501: @2296685
     /* 2296685 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2296762), // Rule ID 72398 //
     /* 2296690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296733 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2296736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296761 */     // GIR_Coverage, 72398,
     /* 2296761 */     GIR_EraseRootFromParent_Done,
     /* 2296762 */   // Label 31502: @2296762
     /* 2296762 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2296824), // Rule ID 55477 //
     /* 2296767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296797 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296823 */     // GIR_Coverage, 55477,
     /* 2296823 */     GIR_EraseRootFromParent_Done,
     /* 2296824 */   // Label 31503: @2296824
     /* 2296824 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2296886), // Rule ID 55478 //
     /* 2296829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296859 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296885 */     // GIR_Coverage, 55478,
     /* 2296885 */     GIR_EraseRootFromParent_Done,
     /* 2296886 */   // Label 31504: @2296886
     /* 2296886 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2296948), // Rule ID 72401 //
     /* 2296891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296921 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296947 */     // GIR_Coverage, 72401,
     /* 2296947 */     GIR_EraseRootFromParent_Done,
     /* 2296948 */   // Label 31505: @2296948
     /* 2296948 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2297010), // Rule ID 72402 //
     /* 2296953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2296972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296983 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2296986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297009 */     // GIR_Coverage, 72402,
     /* 2297009 */     GIR_EraseRootFromParent_Done,
     /* 2297010 */   // Label 31506: @2297010
     /* 2297010 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2297072), // Rule ID 55469 //
     /* 2297015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297045 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297071 */     // GIR_Coverage, 55469,
     /* 2297071 */     GIR_EraseRootFromParent_Done,
     /* 2297072 */   // Label 31507: @2297072
     /* 2297072 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2297134), // Rule ID 55470 //
     /* 2297077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297107 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2297110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297133 */     // GIR_Coverage, 55470,
     /* 2297133 */     GIR_EraseRootFromParent_Done,
     /* 2297134 */   // Label 31508: @2297134
     /* 2297134 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2297179), // Rule ID 55465 //
     /* 2297139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297154 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297178 */     // GIR_Coverage, 55465,
     /* 2297178 */     GIR_EraseRootFromParent_Done,
     /* 2297179 */   // Label 31509: @2297179
     /* 2297179 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2297224), // Rule ID 55466 //
     /* 2297184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297199 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2297202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297223 */     // GIR_Coverage, 55466,
     /* 2297223 */     GIR_EraseRootFromParent_Done,
     /* 2297224 */   // Label 31510: @2297224
     /* 2297224 */   GIM_Reject,
     /* 2297225 */ // Label 31498: @2297225
     /* 2297225 */ GIM_Reject,
     /* 2297226 */ // Label 31342: @2297226
     /* 2297226 */ GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2298015),
     /* 2297231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2297237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297244 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2297321), // Rule ID 54897 //
     /* 2297249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297292 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297320 */     // GIR_Coverage, 54897,
     /* 2297320 */     GIR_EraseRootFromParent_Done,
     /* 2297321 */   // Label 31512: @2297321
     /* 2297321 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2297398), // Rule ID 54898 //
     /* 2297326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297369 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297397 */     // GIR_Coverage, 54898,
     /* 2297397 */     GIR_EraseRootFromParent_Done,
     /* 2297398 */   // Label 31513: @2297398
     /* 2297398 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2297475), // Rule ID 71893 //
     /* 2297403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297446 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297474 */     // GIR_Coverage, 71893,
     /* 2297474 */     GIR_EraseRootFromParent_Done,
     /* 2297475 */   // Label 31514: @2297475
     /* 2297475 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2297552), // Rule ID 71894 //
     /* 2297480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297523 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2297526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297551 */     // GIR_Coverage, 71894,
     /* 2297551 */     GIR_EraseRootFromParent_Done,
     /* 2297552 */   // Label 31515: @2297552
     /* 2297552 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2297614), // Rule ID 54901 //
     /* 2297557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297587 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297613 */     // GIR_Coverage, 54901,
     /* 2297613 */     GIR_EraseRootFromParent_Done,
     /* 2297614 */   // Label 31516: @2297614
     /* 2297614 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2297676), // Rule ID 54902 //
     /* 2297619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297649 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297675 */     // GIR_Coverage, 54902,
     /* 2297675 */     GIR_EraseRootFromParent_Done,
     /* 2297676 */   // Label 31517: @2297676
     /* 2297676 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2297738), // Rule ID 71897 //
     /* 2297681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297711 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297737 */     // GIR_Coverage, 71897,
     /* 2297737 */     GIR_EraseRootFromParent_Done,
     /* 2297738 */   // Label 31518: @2297738
     /* 2297738 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2297800), // Rule ID 71898 //
     /* 2297743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297773 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2297776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297799 */     // GIR_Coverage, 71898,
     /* 2297799 */     GIR_EraseRootFromParent_Done,
     /* 2297800 */   // Label 31519: @2297800
     /* 2297800 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2297862), // Rule ID 54893 //
     /* 2297805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297835 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2297838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297861 */     // GIR_Coverage, 54893,
     /* 2297861 */     GIR_EraseRootFromParent_Done,
     /* 2297862 */   // Label 31520: @2297862
     /* 2297862 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2297924), // Rule ID 54894 //
     /* 2297867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297897 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2297900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297923 */     // GIR_Coverage, 54894,
     /* 2297923 */     GIR_EraseRootFromParent_Done,
     /* 2297924 */   // Label 31521: @2297924
     /* 2297924 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2297969), // Rule ID 54889 //
     /* 2297929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297944 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2297947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297968 */     // GIR_Coverage, 54889,
     /* 2297968 */     GIR_EraseRootFromParent_Done,
     /* 2297969 */   // Label 31522: @2297969
     /* 2297969 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2298014), // Rule ID 54890 //
     /* 2297974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297989 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2297992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298013 */     // GIR_Coverage, 54890,
     /* 2298013 */     GIR_EraseRootFromParent_Done,
     /* 2298014 */   // Label 31523: @2298014
     /* 2298014 */   GIM_Reject,
     /* 2298015 */ // Label 31511: @2298015
     /* 2298015 */ GIM_Reject,
     /* 2298016 */ // Label 31343: @2298016
     /* 2298016 */ GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2298805),
     /* 2298021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2298027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298034 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2298111), // Rule ID 55281 //
     /* 2298039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298082 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298110 */     // GIR_Coverage, 55281,
     /* 2298110 */     GIR_EraseRootFromParent_Done,
     /* 2298111 */   // Label 31525: @2298111
     /* 2298111 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2298188), // Rule ID 55282 //
     /* 2298116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298159 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298187 */     // GIR_Coverage, 55282,
     /* 2298187 */     GIR_EraseRootFromParent_Done,
     /* 2298188 */   // Label 31526: @2298188
     /* 2298188 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2298265), // Rule ID 72229 //
     /* 2298193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298236 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298264 */     // GIR_Coverage, 72229,
     /* 2298264 */     GIR_EraseRootFromParent_Done,
     /* 2298265 */   // Label 31527: @2298265
     /* 2298265 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2298342), // Rule ID 72230 //
     /* 2298270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298313 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2298316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298341 */     // GIR_Coverage, 72230,
     /* 2298341 */     GIR_EraseRootFromParent_Done,
     /* 2298342 */   // Label 31528: @2298342
     /* 2298342 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2298404), // Rule ID 55285 //
     /* 2298347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298377 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298403 */     // GIR_Coverage, 55285,
     /* 2298403 */     GIR_EraseRootFromParent_Done,
     /* 2298404 */   // Label 31529: @2298404
     /* 2298404 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2298466), // Rule ID 55286 //
     /* 2298409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298439 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298465 */     // GIR_Coverage, 55286,
     /* 2298465 */     GIR_EraseRootFromParent_Done,
     /* 2298466 */   // Label 31530: @2298466
     /* 2298466 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2298528), // Rule ID 72233 //
     /* 2298471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298501 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298527 */     // GIR_Coverage, 72233,
     /* 2298527 */     GIR_EraseRootFromParent_Done,
     /* 2298528 */   // Label 31531: @2298528
     /* 2298528 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2298590), // Rule ID 72234 //
     /* 2298533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298563 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2298566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298589 */     // GIR_Coverage, 72234,
     /* 2298589 */     GIR_EraseRootFromParent_Done,
     /* 2298590 */   // Label 31532: @2298590
     /* 2298590 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2298652), // Rule ID 55277 //
     /* 2298595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298625 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2298628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298651 */     // GIR_Coverage, 55277,
     /* 2298651 */     GIR_EraseRootFromParent_Done,
     /* 2298652 */   // Label 31533: @2298652
     /* 2298652 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2298714), // Rule ID 55278 //
     /* 2298657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2298680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298687 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2298690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298713 */     // GIR_Coverage, 55278,
     /* 2298713 */     GIR_EraseRootFromParent_Done,
     /* 2298714 */   // Label 31534: @2298714
     /* 2298714 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2298759), // Rule ID 55273 //
     /* 2298719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298734 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2298737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298758 */     // GIR_Coverage, 55273,
     /* 2298758 */     GIR_EraseRootFromParent_Done,
     /* 2298759 */   // Label 31535: @2298759
     /* 2298759 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2298804), // Rule ID 55274 //
     /* 2298764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298779 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2298782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298803 */     // GIR_Coverage, 55274,
     /* 2298803 */     GIR_EraseRootFromParent_Done,
     /* 2298804 */   // Label 31536: @2298804
     /* 2298804 */   GIM_Reject,
     /* 2298805 */ // Label 31524: @2298805
     /* 2298805 */ GIM_Reject,
     /* 2298806 */ // Label 31344: @2298806
     /* 2298806 */ GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2299595),
     /* 2298811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2298817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2298820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298824 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2298901), // Rule ID 55537 //
     /* 2298829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298872 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2298875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298900 */     // GIR_Coverage, 55537,
     /* 2298900 */     GIR_EraseRootFromParent_Done,
     /* 2298901 */   // Label 31538: @2298901
     /* 2298901 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2298978), // Rule ID 55538 //
     /* 2298906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2298942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298949 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2298952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298977 */     // GIR_Coverage, 55538,
     /* 2298977 */     GIR_EraseRootFromParent_Done,
     /* 2298978 */   // Label 31539: @2298978
     /* 2298978 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2299055), // Rule ID 72453 //
     /* 2298983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299026 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299054 */     // GIR_Coverage, 72453,
     /* 2299054 */     GIR_EraseRootFromParent_Done,
     /* 2299055 */   // Label 31540: @2299055
     /* 2299055 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2299132), // Rule ID 72454 //
     /* 2299060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299103 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2299106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299131 */     // GIR_Coverage, 72454,
     /* 2299131 */     GIR_EraseRootFromParent_Done,
     /* 2299132 */   // Label 31541: @2299132
     /* 2299132 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2299194), // Rule ID 55541 //
     /* 2299137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299167 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299193 */     // GIR_Coverage, 55541,
     /* 2299193 */     GIR_EraseRootFromParent_Done,
     /* 2299194 */   // Label 31542: @2299194
     /* 2299194 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2299256), // Rule ID 55542 //
     /* 2299199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299229 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299255 */     // GIR_Coverage, 55542,
     /* 2299255 */     GIR_EraseRootFromParent_Done,
     /* 2299256 */   // Label 31543: @2299256
     /* 2299256 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2299318), // Rule ID 72457 //
     /* 2299261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299291 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299317 */     // GIR_Coverage, 72457,
     /* 2299317 */     GIR_EraseRootFromParent_Done,
     /* 2299318 */   // Label 31544: @2299318
     /* 2299318 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2299380), // Rule ID 72458 //
     /* 2299323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299353 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2299356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299379 */     // GIR_Coverage, 72458,
     /* 2299379 */     GIR_EraseRootFromParent_Done,
     /* 2299380 */   // Label 31545: @2299380
     /* 2299380 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2299442), // Rule ID 55533 //
     /* 2299385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299415 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299441 */     // GIR_Coverage, 55533,
     /* 2299441 */     GIR_EraseRootFromParent_Done,
     /* 2299442 */   // Label 31546: @2299442
     /* 2299442 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2299504), // Rule ID 55534 //
     /* 2299447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299477 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2299480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299503 */     // GIR_Coverage, 55534,
     /* 2299503 */     GIR_EraseRootFromParent_Done,
     /* 2299504 */   // Label 31547: @2299504
     /* 2299504 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2299549), // Rule ID 55529 //
     /* 2299509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299524 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299548 */     // GIR_Coverage, 55529,
     /* 2299548 */     GIR_EraseRootFromParent_Done,
     /* 2299549 */   // Label 31548: @2299549
     /* 2299549 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2299594), // Rule ID 55530 //
     /* 2299554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299569 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2299572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299593 */     // GIR_Coverage, 55530,
     /* 2299593 */     GIR_EraseRootFromParent_Done,
     /* 2299594 */   // Label 31549: @2299594
     /* 2299594 */   GIM_Reject,
     /* 2299595 */ // Label 31537: @2299595
     /* 2299595 */ GIM_Reject,
     /* 2299596 */ // Label 31345: @2299596
     /* 2299596 */ GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2300385),
     /* 2299601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2299607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2299610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299614 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2299691), // Rule ID 55089 //
     /* 2299619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299655 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299662 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299690 */     // GIR_Coverage, 55089,
     /* 2299690 */     GIR_EraseRootFromParent_Done,
     /* 2299691 */   // Label 31551: @2299691
     /* 2299691 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2299768), // Rule ID 55090 //
     /* 2299696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299739 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299767 */     // GIR_Coverage, 55090,
     /* 2299767 */     GIR_EraseRootFromParent_Done,
     /* 2299768 */   // Label 31552: @2299768
     /* 2299768 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2299845), // Rule ID 72061 //
     /* 2299773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299816 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299844 */     // GIR_Coverage, 72061,
     /* 2299844 */     GIR_EraseRootFromParent_Done,
     /* 2299845 */   // Label 31553: @2299845
     /* 2299845 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2299922), // Rule ID 72062 //
     /* 2299850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299893 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2299896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299921 */     // GIR_Coverage, 72062,
     /* 2299921 */     GIR_EraseRootFromParent_Done,
     /* 2299922 */   // Label 31554: @2299922
     /* 2299922 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2299984), // Rule ID 55093 //
     /* 2299927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299957 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2299960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299983 */     // GIR_Coverage, 55093,
     /* 2299983 */     GIR_EraseRootFromParent_Done,
     /* 2299984 */   // Label 31555: @2299984
     /* 2299984 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2300046), // Rule ID 55094 //
     /* 2299989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300019 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300045 */     // GIR_Coverage, 55094,
     /* 2300045 */     GIR_EraseRootFromParent_Done,
     /* 2300046 */   // Label 31556: @2300046
     /* 2300046 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2300108), // Rule ID 72065 //
     /* 2300051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300081 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300107 */     // GIR_Coverage, 72065,
     /* 2300107 */     GIR_EraseRootFromParent_Done,
     /* 2300108 */   // Label 31557: @2300108
     /* 2300108 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2300170), // Rule ID 72066 //
     /* 2300113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300143 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2300146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300169 */     // GIR_Coverage, 72066,
     /* 2300169 */     GIR_EraseRootFromParent_Done,
     /* 2300170 */   // Label 31558: @2300170
     /* 2300170 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2300232), // Rule ID 55085 //
     /* 2300175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300205 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300231 */     // GIR_Coverage, 55085,
     /* 2300231 */     GIR_EraseRootFromParent_Done,
     /* 2300232 */   // Label 31559: @2300232
     /* 2300232 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2300294), // Rule ID 55086 //
     /* 2300237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300267 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2300270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300293 */     // GIR_Coverage, 55086,
     /* 2300293 */     GIR_EraseRootFromParent_Done,
     /* 2300294 */   // Label 31560: @2300294
     /* 2300294 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2300339), // Rule ID 55081 //
     /* 2300299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300314 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300338 */     // GIR_Coverage, 55081,
     /* 2300338 */     GIR_EraseRootFromParent_Done,
     /* 2300339 */   // Label 31561: @2300339
     /* 2300339 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2300384), // Rule ID 55082 //
     /* 2300344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300359 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2300362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300383 */     // GIR_Coverage, 55082,
     /* 2300383 */     GIR_EraseRootFromParent_Done,
     /* 2300384 */   // Label 31562: @2300384
     /* 2300384 */   GIM_Reject,
     /* 2300385 */ // Label 31550: @2300385
     /* 2300385 */ GIM_Reject,
     /* 2300386 */ // Label 31346: @2300386
     /* 2300386 */ GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2301175),
     /* 2300391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2300397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2300400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300404 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2300481), // Rule ID 55345 //
     /* 2300409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300452 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300480 */     // GIR_Coverage, 55345,
     /* 2300480 */     GIR_EraseRootFromParent_Done,
     /* 2300481 */   // Label 31564: @2300481
     /* 2300481 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2300558), // Rule ID 55346 //
     /* 2300486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300529 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300557 */     // GIR_Coverage, 55346,
     /* 2300557 */     GIR_EraseRootFromParent_Done,
     /* 2300558 */   // Label 31565: @2300558
     /* 2300558 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2300635), // Rule ID 72285 //
     /* 2300563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300606 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300634 */     // GIR_Coverage, 72285,
     /* 2300634 */     GIR_EraseRootFromParent_Done,
     /* 2300635 */   // Label 31566: @2300635
     /* 2300635 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2300712), // Rule ID 72286 //
     /* 2300640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300683 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2300686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300711 */     // GIR_Coverage, 72286,
     /* 2300711 */     GIR_EraseRootFromParent_Done,
     /* 2300712 */   // Label 31567: @2300712
     /* 2300712 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2300774), // Rule ID 55349 //
     /* 2300717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300747 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300773 */     // GIR_Coverage, 55349,
     /* 2300773 */     GIR_EraseRootFromParent_Done,
     /* 2300774 */   // Label 31568: @2300774
     /* 2300774 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2300836), // Rule ID 55350 //
     /* 2300779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300809 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300835 */     // GIR_Coverage, 55350,
     /* 2300835 */     GIR_EraseRootFromParent_Done,
     /* 2300836 */   // Label 31569: @2300836
     /* 2300836 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2300898), // Rule ID 72289 //
     /* 2300841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300871 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300897 */     // GIR_Coverage, 72289,
     /* 2300897 */     GIR_EraseRootFromParent_Done,
     /* 2300898 */   // Label 31570: @2300898
     /* 2300898 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2300960), // Rule ID 72290 //
     /* 2300903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300933 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2300936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300959 */     // GIR_Coverage, 72290,
     /* 2300959 */     GIR_EraseRootFromParent_Done,
     /* 2300960 */   // Label 31571: @2300960
     /* 2300960 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2301022), // Rule ID 55341 //
     /* 2300965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300995 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2300998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301021 */     // GIR_Coverage, 55341,
     /* 2301021 */     GIR_EraseRootFromParent_Done,
     /* 2301022 */   // Label 31572: @2301022
     /* 2301022 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2301084), // Rule ID 55342 //
     /* 2301027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301057 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2301060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301083 */     // GIR_Coverage, 55342,
     /* 2301083 */     GIR_EraseRootFromParent_Done,
     /* 2301084 */   // Label 31573: @2301084
     /* 2301084 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2301129), // Rule ID 55337 //
     /* 2301089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301104 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301128 */     // GIR_Coverage, 55337,
     /* 2301128 */     GIR_EraseRootFromParent_Done,
     /* 2301129 */   // Label 31574: @2301129
     /* 2301129 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2301174), // Rule ID 55338 //
     /* 2301134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301149 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2301152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301173 */     // GIR_Coverage, 55338,
     /* 2301173 */     GIR_EraseRootFromParent_Done,
     /* 2301174 */   // Label 31575: @2301174
     /* 2301174 */   GIM_Reject,
     /* 2301175 */ // Label 31563: @2301175
     /* 2301175 */ GIM_Reject,
     /* 2301176 */ // Label 31347: @2301176
     /* 2301176 */ GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2301965),
     /* 2301181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2301187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2301190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301194 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2301271), // Rule ID 55601 //
     /* 2301199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301242 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301270 */     // GIR_Coverage, 55601,
     /* 2301270 */     GIR_EraseRootFromParent_Done,
     /* 2301271 */   // Label 31577: @2301271
     /* 2301271 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2301348), // Rule ID 55602 //
     /* 2301276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301319 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301347 */     // GIR_Coverage, 55602,
     /* 2301347 */     GIR_EraseRootFromParent_Done,
     /* 2301348 */   // Label 31578: @2301348
     /* 2301348 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2301425), // Rule ID 72509 //
     /* 2301353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301396 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301424 */     // GIR_Coverage, 72509,
     /* 2301424 */     GIR_EraseRootFromParent_Done,
     /* 2301425 */   // Label 31579: @2301425
     /* 2301425 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2301502), // Rule ID 72510 //
     /* 2301430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301473 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2301476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301501 */     // GIR_Coverage, 72510,
     /* 2301501 */     GIR_EraseRootFromParent_Done,
     /* 2301502 */   // Label 31580: @2301502
     /* 2301502 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2301564), // Rule ID 55605 //
     /* 2301507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301537 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301563 */     // GIR_Coverage, 55605,
     /* 2301563 */     GIR_EraseRootFromParent_Done,
     /* 2301564 */   // Label 31581: @2301564
     /* 2301564 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2301626), // Rule ID 55606 //
     /* 2301569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301599 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301625 */     // GIR_Coverage, 55606,
     /* 2301625 */     GIR_EraseRootFromParent_Done,
     /* 2301626 */   // Label 31582: @2301626
     /* 2301626 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2301688), // Rule ID 72513 //
     /* 2301631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301661 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301687 */     // GIR_Coverage, 72513,
     /* 2301687 */     GIR_EraseRootFromParent_Done,
     /* 2301688 */   // Label 31583: @2301688
     /* 2301688 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2301750), // Rule ID 72514 //
     /* 2301693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301723 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2301726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301749 */     // GIR_Coverage, 72514,
     /* 2301749 */     GIR_EraseRootFromParent_Done,
     /* 2301750 */   // Label 31584: @2301750
     /* 2301750 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2301812), // Rule ID 55597 //
     /* 2301755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301785 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2301788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301811 */     // GIR_Coverage, 55597,
     /* 2301811 */     GIR_EraseRootFromParent_Done,
     /* 2301812 */   // Label 31585: @2301812
     /* 2301812 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2301874), // Rule ID 55598 //
     /* 2301817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301847 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2301850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301873 */     // GIR_Coverage, 55598,
     /* 2301873 */     GIR_EraseRootFromParent_Done,
     /* 2301874 */   // Label 31586: @2301874
     /* 2301874 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2301919), // Rule ID 55593 //
     /* 2301879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301894 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2301897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301918 */     // GIR_Coverage, 55593,
     /* 2301918 */     GIR_EraseRootFromParent_Done,
     /* 2301919 */   // Label 31587: @2301919
     /* 2301919 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2301964), // Rule ID 55594 //
     /* 2301924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301939 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2301942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301963 */     // GIR_Coverage, 55594,
     /* 2301963 */     GIR_EraseRootFromParent_Done,
     /* 2301964 */   // Label 31588: @2301964
     /* 2301964 */   GIM_Reject,
     /* 2301965 */ // Label 31576: @2301965
     /* 2301965 */ GIM_Reject,
     /* 2301966 */ // Label 31348: @2301966
     /* 2301966 */ GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2302755),
     /* 2301971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2301974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2301977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2301980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301984 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2302061), // Rule ID 55153 //
     /* 2301989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302032 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302060 */     // GIR_Coverage, 55153,
     /* 2302060 */     GIR_EraseRootFromParent_Done,
     /* 2302061 */   // Label 31590: @2302061
     /* 2302061 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2302138), // Rule ID 55154 //
     /* 2302066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302109 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302137 */     // GIR_Coverage, 55154,
     /* 2302137 */     GIR_EraseRootFromParent_Done,
     /* 2302138 */   // Label 31591: @2302138
     /* 2302138 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2302215), // Rule ID 72117 //
     /* 2302143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302186 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302214 */     // GIR_Coverage, 72117,
     /* 2302214 */     GIR_EraseRootFromParent_Done,
     /* 2302215 */   // Label 31592: @2302215
     /* 2302215 */   GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2302292), // Rule ID 72118 //
     /* 2302220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302263 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2302266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302291 */     // GIR_Coverage, 72118,
     /* 2302291 */     GIR_EraseRootFromParent_Done,
     /* 2302292 */   // Label 31593: @2302292
     /* 2302292 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2302354), // Rule ID 55157 //
     /* 2302297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302327 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302353 */     // GIR_Coverage, 55157,
     /* 2302353 */     GIR_EraseRootFromParent_Done,
     /* 2302354 */   // Label 31594: @2302354
     /* 2302354 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2302416), // Rule ID 55158 //
     /* 2302359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302389 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302415 */     // GIR_Coverage, 55158,
     /* 2302415 */     GIR_EraseRootFromParent_Done,
     /* 2302416 */   // Label 31595: @2302416
     /* 2302416 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2302478), // Rule ID 72121 //
     /* 2302421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302451 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302477 */     // GIR_Coverage, 72121,
     /* 2302477 */     GIR_EraseRootFromParent_Done,
     /* 2302478 */   // Label 31596: @2302478
     /* 2302478 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2302540), // Rule ID 72122 //
     /* 2302483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302513 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2302516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302539 */     // GIR_Coverage, 72122,
     /* 2302539 */     GIR_EraseRootFromParent_Done,
     /* 2302540 */   // Label 31597: @2302540
     /* 2302540 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2302602), // Rule ID 55149 //
     /* 2302545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302575 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2302578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302601 */     // GIR_Coverage, 55149,
     /* 2302601 */     GIR_EraseRootFromParent_Done,
     /* 2302602 */   // Label 31598: @2302602
     /* 2302602 */   GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2302664), // Rule ID 55150 //
     /* 2302607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302637 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2302640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302663 */     // GIR_Coverage, 55150,
     /* 2302663 */     GIR_EraseRootFromParent_Done,
     /* 2302664 */   // Label 31599: @2302664
     /* 2302664 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2302709), // Rule ID 55145 //
     /* 2302669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302684 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2302687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302708 */     // GIR_Coverage, 55145,
     /* 2302708 */     GIR_EraseRootFromParent_Done,
     /* 2302709 */   // Label 31600: @2302709
     /* 2302709 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2302754), // Rule ID 55146 //
     /* 2302714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302729 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2302732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302753 */     // GIR_Coverage, 55146,
     /* 2302753 */     GIR_EraseRootFromParent_Done,
     /* 2302754 */   // Label 31601: @2302754
     /* 2302754 */   GIM_Reject,
     /* 2302755 */ // Label 31589: @2302755
     /* 2302755 */ GIM_Reject,
     /* 2302756 */ // Label 31349: @2302756
     /* 2302756 */ GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2303545),
     /* 2302761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2302767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2302770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302774 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2302851), // Rule ID 55409 //
     /* 2302779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302822 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2302825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302850 */     // GIR_Coverage, 55409,
     /* 2302850 */     GIR_EraseRootFromParent_Done,
     /* 2302851 */   // Label 31603: @2302851
     /* 2302851 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2302928), // Rule ID 55410 //
     /* 2302856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302899 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2302902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302927 */     // GIR_Coverage, 55410,
     /* 2302927 */     GIR_EraseRootFromParent_Done,
     /* 2302928 */   // Label 31604: @2302928
     /* 2302928 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303005), // Rule ID 72341 //
     /* 2302933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302976 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2302979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303004 */     // GIR_Coverage, 72341,
     /* 2303004 */     GIR_EraseRootFromParent_Done,
     /* 2303005 */   // Label 31605: @2303005
     /* 2303005 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303082), // Rule ID 72342 //
     /* 2303010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303053 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2303056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303081 */     // GIR_Coverage, 72342,
     /* 2303081 */     GIR_EraseRootFromParent_Done,
     /* 2303082 */   // Label 31606: @2303082
     /* 2303082 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303144), // Rule ID 55413 //
     /* 2303087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303117 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303143 */     // GIR_Coverage, 55413,
     /* 2303143 */     GIR_EraseRootFromParent_Done,
     /* 2303144 */   // Label 31607: @2303144
     /* 2303144 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2303206), // Rule ID 55414 //
     /* 2303149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303179 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303205 */     // GIR_Coverage, 55414,
     /* 2303205 */     GIR_EraseRootFromParent_Done,
     /* 2303206 */   // Label 31608: @2303206
     /* 2303206 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2303268), // Rule ID 72345 //
     /* 2303211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303241 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303267 */     // GIR_Coverage, 72345,
     /* 2303267 */     GIR_EraseRootFromParent_Done,
     /* 2303268 */   // Label 31609: @2303268
     /* 2303268 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2303330), // Rule ID 72346 //
     /* 2303273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303303 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2303306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303329 */     // GIR_Coverage, 72346,
     /* 2303329 */     GIR_EraseRootFromParent_Done,
     /* 2303330 */   // Label 31610: @2303330
     /* 2303330 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2303392), // Rule ID 55405 //
     /* 2303335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303365 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303391 */     // GIR_Coverage, 55405,
     /* 2303391 */     GIR_EraseRootFromParent_Done,
     /* 2303392 */   // Label 31611: @2303392
     /* 2303392 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2303454), // Rule ID 55406 //
     /* 2303397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303427 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2303430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303453 */     // GIR_Coverage, 55406,
     /* 2303453 */     GIR_EraseRootFromParent_Done,
     /* 2303454 */   // Label 31612: @2303454
     /* 2303454 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2303499), // Rule ID 55401 //
     /* 2303459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303474 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303498 */     // GIR_Coverage, 55401,
     /* 2303498 */     GIR_EraseRootFromParent_Done,
     /* 2303499 */   // Label 31613: @2303499
     /* 2303499 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2303544), // Rule ID 55402 //
     /* 2303504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303519 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2303522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303543 */     // GIR_Coverage, 55402,
     /* 2303543 */     GIR_EraseRootFromParent_Done,
     /* 2303544 */   // Label 31614: @2303544
     /* 2303544 */   GIM_Reject,
     /* 2303545 */ // Label 31602: @2303545
     /* 2303545 */ GIM_Reject,
     /* 2303546 */ // Label 31350: @2303546
     /* 2303546 */ GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2304335),
     /* 2303551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2303560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303564 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2303641), // Rule ID 55217 //
     /* 2303569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303612 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303640 */     // GIR_Coverage, 55217,
     /* 2303640 */     GIR_EraseRootFromParent_Done,
     /* 2303641 */   // Label 31616: @2303641
     /* 2303641 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2303718), // Rule ID 55218 //
     /* 2303646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303689 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303717 */     // GIR_Coverage, 55218,
     /* 2303717 */     GIR_EraseRootFromParent_Done,
     /* 2303718 */   // Label 31617: @2303718
     /* 2303718 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2303795), // Rule ID 72173 //
     /* 2303723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303766 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303794 */     // GIR_Coverage, 72173,
     /* 2303794 */     GIR_EraseRootFromParent_Done,
     /* 2303795 */   // Label 31618: @2303795
     /* 2303795 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2303872), // Rule ID 72174 //
     /* 2303800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303843 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2303846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303871 */     // GIR_Coverage, 72174,
     /* 2303871 */     GIR_EraseRootFromParent_Done,
     /* 2303872 */   // Label 31619: @2303872
     /* 2303872 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2303934), // Rule ID 55221 //
     /* 2303877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303907 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2303910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303933 */     // GIR_Coverage, 55221,
     /* 2303933 */     GIR_EraseRootFromParent_Done,
     /* 2303934 */   // Label 31620: @2303934
     /* 2303934 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2303996), // Rule ID 55222 //
     /* 2303939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303969 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2303972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303995 */     // GIR_Coverage, 55222,
     /* 2303995 */     GIR_EraseRootFromParent_Done,
     /* 2303996 */   // Label 31621: @2303996
     /* 2303996 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2304058), // Rule ID 72177 //
     /* 2304001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304031 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304057 */     // GIR_Coverage, 72177,
     /* 2304057 */     GIR_EraseRootFromParent_Done,
     /* 2304058 */   // Label 31622: @2304058
     /* 2304058 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2304120), // Rule ID 72178 //
     /* 2304063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304093 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2304096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304119 */     // GIR_Coverage, 72178,
     /* 2304119 */     GIR_EraseRootFromParent_Done,
     /* 2304120 */   // Label 31623: @2304120
     /* 2304120 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2304182), // Rule ID 55213 //
     /* 2304125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304155 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304181 */     // GIR_Coverage, 55213,
     /* 2304181 */     GIR_EraseRootFromParent_Done,
     /* 2304182 */   // Label 31624: @2304182
     /* 2304182 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2304244), // Rule ID 55214 //
     /* 2304187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2304210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304217 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2304220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304243 */     // GIR_Coverage, 55214,
     /* 2304243 */     GIR_EraseRootFromParent_Done,
     /* 2304244 */   // Label 31625: @2304244
     /* 2304244 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2304289), // Rule ID 55209 //
     /* 2304249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304264 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304288 */     // GIR_Coverage, 55209,
     /* 2304288 */     GIR_EraseRootFromParent_Done,
     /* 2304289 */   // Label 31626: @2304289
     /* 2304289 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2304334), // Rule ID 55210 //
     /* 2304294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304309 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2304312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304333 */     // GIR_Coverage, 55210,
     /* 2304333 */     GIR_EraseRootFromParent_Done,
     /* 2304334 */   // Label 31627: @2304334
     /* 2304334 */   GIM_Reject,
     /* 2304335 */ // Label 31615: @2304335
     /* 2304335 */ GIM_Reject,
     /* 2304336 */ // Label 31351: @2304336
     /* 2304336 */ GIM_Reject,
     /* 2304337 */ // Label 63: @2304337
     /* 2304337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31646*/ GIMT_Encode4(2306764),
     /* 2304348 */ /*GILLT_s16*//*Label 31628*/ GIMT_Encode4(2304468),
     /* 2304352 */ /*GILLT_s32*//*Label 31629*/ GIMT_Encode4(2304617),
     /* 2304356 */ /*GILLT_s64*//*Label 31630*/ GIMT_Encode4(2304766), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304368 */ /*GILLT_nxv1s16*//*Label 31631*/ GIMT_Encode4(2304949),
     /* 2304372 */ /*GILLT_nxv1s32*//*Label 31632*/ GIMT_Encode4(2305070),
     /* 2304376 */ /*GILLT_nxv1s64*//*Label 31633*/ GIMT_Encode4(2305191), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304388 */ /*GILLT_nxv2s16*//*Label 31634*/ GIMT_Encode4(2305312),
     /* 2304392 */ /*GILLT_nxv2s32*//*Label 31635*/ GIMT_Encode4(2305433),
     /* 2304396 */ /*GILLT_nxv2s64*//*Label 31636*/ GIMT_Encode4(2305554), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304408 */ /*GILLT_nxv4s16*//*Label 31637*/ GIMT_Encode4(2305675),
     /* 2304412 */ /*GILLT_nxv4s32*//*Label 31638*/ GIMT_Encode4(2305796),
     /* 2304416 */ /*GILLT_nxv4s64*//*Label 31639*/ GIMT_Encode4(2305917), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304428 */ /*GILLT_nxv8s16*//*Label 31640*/ GIMT_Encode4(2306038),
     /* 2304432 */ /*GILLT_nxv8s32*//*Label 31641*/ GIMT_Encode4(2306159),
     /* 2304436 */ /*GILLT_nxv8s64*//*Label 31642*/ GIMT_Encode4(2306280), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304448 */ /*GILLT_nxv16s16*//*Label 31643*/ GIMT_Encode4(2306401),
     /* 2304452 */ /*GILLT_nxv16s32*//*Label 31644*/ GIMT_Encode4(2306522), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304464 */ /*GILLT_nxv32s16*//*Label 31645*/ GIMT_Encode4(2306643),
     /* 2304468 */ // Label 31628: @2304468
     /* 2304468 */ GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2304616),
     /* 2304473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2304479 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2304513), // Rule ID 1865 //
     /* 2304484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2304487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304499 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304512 */     // GIR_Coverage, 1865,
     /* 2304512 */     GIR_EraseRootFromParent_Done,
     /* 2304513 */   // Label 31648: @2304513
     /* 2304513 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2304547), // Rule ID 1866 //
     /* 2304518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2304521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304533 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2304536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304546 */     // GIR_Coverage, 1866,
     /* 2304546 */     GIR_EraseRootFromParent_Done,
     /* 2304547 */   // Label 31649: @2304547
     /* 2304547 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2304581), // Rule ID 1869 //
     /* 2304552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2304555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304567 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2304570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304580 */     // GIR_Coverage, 1869,
     /* 2304580 */     GIR_EraseRootFromParent_Done,
     /* 2304581 */   // Label 31650: @2304581
     /* 2304581 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2304615), // Rule ID 1870 //
     /* 2304586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2304589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304601 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2304604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304614 */     // GIR_Coverage, 1870,
     /* 2304614 */     GIR_EraseRootFromParent_Done,
     /* 2304615 */   // Label 31651: @2304615
     /* 2304615 */   GIM_Reject,
     /* 2304616 */ // Label 31647: @2304616
     /* 2304616 */ GIM_Reject,
     /* 2304617 */ // Label 31629: @2304617
     /* 2304617 */ GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2304765),
     /* 2304622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2304628 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2304662), // Rule ID 1156 //
     /* 2304633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2304636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304648 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2304651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304661 */     // GIR_Coverage, 1156,
     /* 2304661 */     GIR_EraseRootFromParent_Done,
     /* 2304662 */   // Label 31653: @2304662
     /* 2304662 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2304696), // Rule ID 1157 //
     /* 2304667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2304670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304682 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2304685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304695 */     // GIR_Coverage, 1157,
     /* 2304695 */     GIR_EraseRootFromParent_Done,
     /* 2304696 */   // Label 31654: @2304696
     /* 2304696 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2304730), // Rule ID 1160 //
     /* 2304701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2304704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304716 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2304719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304729 */     // GIR_Coverage, 1160,
     /* 2304729 */     GIR_EraseRootFromParent_Done,
     /* 2304730 */   // Label 31655: @2304730
     /* 2304730 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2304764), // Rule ID 1161 //
     /* 2304735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2304738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304750 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2304753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304763 */     // GIR_Coverage, 1161,
     /* 2304763 */     GIR_EraseRootFromParent_Done,
     /* 2304764 */   // Label 31656: @2304764
     /* 2304764 */   GIM_Reject,
     /* 2304765 */ // Label 31652: @2304765
     /* 2304765 */ GIM_Reject,
     /* 2304766 */ // Label 31630: @2304766
     /* 2304766 */ GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2304948),
     /* 2304771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2304777 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2304811), // Rule ID 1497 //
     /* 2304782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2304785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304797 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2304800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304810 */     // GIR_Coverage, 1497,
     /* 2304810 */     GIR_EraseRootFromParent_Done,
     /* 2304811 */   // Label 31658: @2304811
     /* 2304811 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2304845), // Rule ID 1498 //
     /* 2304816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2304819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304831 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2304834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304844 */     // GIR_Coverage, 1498,
     /* 2304844 */     GIR_EraseRootFromParent_Done,
     /* 2304845 */   // Label 31659: @2304845
     /* 2304845 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2304879), // Rule ID 1501 //
     /* 2304850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2304853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304865 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2304868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304878 */     // GIR_Coverage, 1501,
     /* 2304878 */     GIR_EraseRootFromParent_Done,
     /* 2304879 */   // Label 31660: @2304879
     /* 2304879 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2304913), // Rule ID 1502 //
     /* 2304884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2304887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304899 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2304902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304912 */     // GIR_Coverage, 1502,
     /* 2304912 */     GIR_EraseRootFromParent_Done,
     /* 2304913 */   // Label 31661: @2304913
     /* 2304913 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2304947), // Rule ID 1504 //
     /* 2304918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2304921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304933 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2304936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304946 */     // GIR_Coverage, 1504,
     /* 2304946 */     GIR_EraseRootFromParent_Done,
     /* 2304947 */   // Label 31662: @2304947
     /* 2304947 */   GIM_Reject,
     /* 2304948 */ // Label 31657: @2304948
     /* 2304948 */ GIM_Reject,
     /* 2304949 */ // Label 31631: @2304949
     /* 2304949 */ GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2305069),
     /* 2304954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2304957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2304960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304972 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2305020), // Rule ID 54271 //
     /* 2304977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304980 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2304983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2304997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305019 */     // GIR_Coverage, 54271,
     /* 2305019 */     GIR_EraseRootFromParent_Done,
     /* 2305020 */   // Label 31664: @2305020
     /* 2305020 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2305068), // Rule ID 54272 //
     /* 2305025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305028 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2305045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305067 */     // GIR_Coverage, 54272,
     /* 2305067 */     GIR_EraseRootFromParent_Done,
     /* 2305068 */   // Label 31665: @2305068
     /* 2305068 */   GIM_Reject,
     /* 2305069 */ // Label 31663: @2305069
     /* 2305069 */ GIM_Reject,
     /* 2305070 */ // Label 31632: @2305070
     /* 2305070 */ GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2305190),
     /* 2305075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2305081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305093 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2305141), // Rule ID 54295 //
     /* 2305098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305101 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305140 */     // GIR_Coverage, 54295,
     /* 2305140 */     GIR_EraseRootFromParent_Done,
     /* 2305141 */   // Label 31667: @2305141
     /* 2305141 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2305189), // Rule ID 54296 //
     /* 2305146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305149 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2305166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305188 */     // GIR_Coverage, 54296,
     /* 2305188 */     GIR_EraseRootFromParent_Done,
     /* 2305189 */   // Label 31668: @2305189
     /* 2305189 */   GIM_Reject,
     /* 2305190 */ // Label 31666: @2305190
     /* 2305190 */ GIM_Reject,
     /* 2305191 */ // Label 31633: @2305191
     /* 2305191 */ GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2305311),
     /* 2305196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2305202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305214 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2305262), // Rule ID 54331 //
     /* 2305219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305222 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305261 */     // GIR_Coverage, 54331,
     /* 2305261 */     GIR_EraseRootFromParent_Done,
     /* 2305262 */   // Label 31670: @2305262
     /* 2305262 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2305310), // Rule ID 54332 //
     /* 2305267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305270 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2305287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305309 */     // GIR_Coverage, 54332,
     /* 2305309 */     GIR_EraseRootFromParent_Done,
     /* 2305310 */   // Label 31671: @2305310
     /* 2305310 */   GIM_Reject,
     /* 2305311 */ // Label 31669: @2305311
     /* 2305311 */ GIM_Reject,
     /* 2305312 */ // Label 31634: @2305312
     /* 2305312 */ GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2305432),
     /* 2305317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2305323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305335 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2305383), // Rule ID 54283 //
     /* 2305340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305343 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305382 */     // GIR_Coverage, 54283,
     /* 2305382 */     GIR_EraseRootFromParent_Done,
     /* 2305383 */   // Label 31673: @2305383
     /* 2305383 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2305431), // Rule ID 54284 //
     /* 2305388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305391 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2305408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305430 */     // GIR_Coverage, 54284,
     /* 2305430 */     GIR_EraseRootFromParent_Done,
     /* 2305431 */   // Label 31674: @2305431
     /* 2305431 */   GIM_Reject,
     /* 2305432 */ // Label 31672: @2305432
     /* 2305432 */ GIM_Reject,
     /* 2305433 */ // Label 31635: @2305433
     /* 2305433 */ GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2305553),
     /* 2305438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305456 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2305504), // Rule ID 54319 //
     /* 2305461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305464 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305503 */     // GIR_Coverage, 54319,
     /* 2305503 */     GIR_EraseRootFromParent_Done,
     /* 2305504 */   // Label 31676: @2305504
     /* 2305504 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2305552), // Rule ID 54320 //
     /* 2305509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305512 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2305529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305551 */     // GIR_Coverage, 54320,
     /* 2305551 */     GIR_EraseRootFromParent_Done,
     /* 2305552 */   // Label 31677: @2305552
     /* 2305552 */   GIM_Reject,
     /* 2305553 */ // Label 31675: @2305553
     /* 2305553 */ GIM_Reject,
     /* 2305554 */ // Label 31636: @2305554
     /* 2305554 */ GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2305674),
     /* 2305559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2305565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305577 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2305625), // Rule ID 54415 //
     /* 2305582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305585 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2305602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305624 */     // GIR_Coverage, 54415,
     /* 2305624 */     GIR_EraseRootFromParent_Done,
     /* 2305625 */   // Label 31679: @2305625
     /* 2305625 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2305673), // Rule ID 54416 //
     /* 2305630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305633 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2305650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305672 */     // GIR_Coverage, 54416,
     /* 2305672 */     GIR_EraseRootFromParent_Done,
     /* 2305673 */   // Label 31680: @2305673
     /* 2305673 */   GIM_Reject,
     /* 2305674 */ // Label 31678: @2305674
     /* 2305674 */ GIM_Reject,
     /* 2305675 */ // Label 31637: @2305675
     /* 2305675 */ GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2305795),
     /* 2305680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2305683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2305686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305698 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2305746), // Rule ID 54307 //
     /* 2305703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305706 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2305723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305745 */     // GIR_Coverage, 54307,
     /* 2305745 */     GIR_EraseRootFromParent_Done,
     /* 2305746 */   // Label 31682: @2305746
     /* 2305746 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2305794), // Rule ID 54308 //
     /* 2305751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305754 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2305771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305793 */     // GIR_Coverage, 54308,
     /* 2305793 */     GIR_EraseRootFromParent_Done,
     /* 2305794 */   // Label 31683: @2305794
     /* 2305794 */   GIM_Reject,
     /* 2305795 */ // Label 31681: @2305795
     /* 2305795 */ GIM_Reject,
     /* 2305796 */ // Label 31638: @2305796
     /* 2305796 */ GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2305916),
     /* 2305801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2305804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2305807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305819 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2305867), // Rule ID 54379 //
     /* 2305824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305827 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2305844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305866 */     // GIR_Coverage, 54379,
     /* 2305866 */     GIR_EraseRootFromParent_Done,
     /* 2305867 */   // Label 31685: @2305867
     /* 2305867 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2305915), // Rule ID 54380 //
     /* 2305872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305875 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2305892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305914 */     // GIR_Coverage, 54380,
     /* 2305914 */     GIR_EraseRootFromParent_Done,
     /* 2305915 */   // Label 31686: @2305915
     /* 2305915 */   GIM_Reject,
     /* 2305916 */ // Label 31684: @2305916
     /* 2305916 */ GIM_Reject,
     /* 2305917 */ // Label 31639: @2305917
     /* 2305917 */ GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2306037),
     /* 2305922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2305925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2305928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305940 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2305988), // Rule ID 54427 //
     /* 2305945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305948 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2305951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2305965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305987 */     // GIR_Coverage, 54427,
     /* 2305987 */     GIR_EraseRootFromParent_Done,
     /* 2305988 */   // Label 31688: @2305988
     /* 2305988 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2306036), // Rule ID 54428 //
     /* 2305993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305996 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2305999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2306013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306035 */     // GIR_Coverage, 54428,
     /* 2306035 */     GIR_EraseRootFromParent_Done,
     /* 2306036 */   // Label 31689: @2306036
     /* 2306036 */   GIM_Reject,
     /* 2306037 */ // Label 31687: @2306037
     /* 2306037 */ GIM_Reject,
     /* 2306038 */ // Label 31640: @2306038
     /* 2306038 */ GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2306158),
     /* 2306043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2306046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2306049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306061 */   GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2306109), // Rule ID 54343 //
     /* 2306066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306069 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306108 */     // GIR_Coverage, 54343,
     /* 2306108 */     GIR_EraseRootFromParent_Done,
     /* 2306109 */   // Label 31691: @2306109
     /* 2306109 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2306157), // Rule ID 54344 //
     /* 2306114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306117 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2306134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306156 */     // GIR_Coverage, 54344,
     /* 2306156 */     GIR_EraseRootFromParent_Done,
     /* 2306157 */   // Label 31692: @2306157
     /* 2306157 */   GIM_Reject,
     /* 2306158 */ // Label 31690: @2306158
     /* 2306158 */ GIM_Reject,
     /* 2306159 */ // Label 31641: @2306159
     /* 2306159 */ GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2306279),
     /* 2306164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2306167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2306170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306182 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2306230), // Rule ID 54391 //
     /* 2306187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306190 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306229 */     // GIR_Coverage, 54391,
     /* 2306229 */     GIR_EraseRootFromParent_Done,
     /* 2306230 */   // Label 31694: @2306230
     /* 2306230 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2306278), // Rule ID 54392 //
     /* 2306235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306238 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2306255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306277 */     // GIR_Coverage, 54392,
     /* 2306277 */     GIR_EraseRootFromParent_Done,
     /* 2306278 */   // Label 31695: @2306278
     /* 2306278 */   GIM_Reject,
     /* 2306279 */ // Label 31693: @2306279
     /* 2306279 */ GIM_Reject,
     /* 2306280 */ // Label 31642: @2306280
     /* 2306280 */ GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2306400),
     /* 2306285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2306291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306303 */   GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2306351), // Rule ID 54439 //
     /* 2306308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306311 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306350 */     // GIR_Coverage, 54439,
     /* 2306350 */     GIR_EraseRootFromParent_Done,
     /* 2306351 */   // Label 31697: @2306351
     /* 2306351 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2306399), // Rule ID 54440 //
     /* 2306356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306359 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2306376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306398 */     // GIR_Coverage, 54440,
     /* 2306398 */     GIR_EraseRootFromParent_Done,
     /* 2306399 */   // Label 31698: @2306399
     /* 2306399 */   GIM_Reject,
     /* 2306400 */ // Label 31696: @2306400
     /* 2306400 */ GIM_Reject,
     /* 2306401 */ // Label 31643: @2306401
     /* 2306401 */ GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2306521),
     /* 2306406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306424 */   GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2306472), // Rule ID 54355 //
     /* 2306429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306432 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306471 */     // GIR_Coverage, 54355,
     /* 2306471 */     GIR_EraseRootFromParent_Done,
     /* 2306472 */   // Label 31700: @2306472
     /* 2306472 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2306520), // Rule ID 54356 //
     /* 2306477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306480 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2306497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306519 */     // GIR_Coverage, 54356,
     /* 2306519 */     GIR_EraseRootFromParent_Done,
     /* 2306520 */   // Label 31701: @2306520
     /* 2306520 */   GIM_Reject,
     /* 2306521 */ // Label 31699: @2306521
     /* 2306521 */ GIM_Reject,
     /* 2306522 */ // Label 31644: @2306522
     /* 2306522 */ GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2306642),
     /* 2306527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2306533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306545 */   GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2306593), // Rule ID 54403 //
     /* 2306550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306553 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2306570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306592 */     // GIR_Coverage, 54403,
     /* 2306592 */     GIR_EraseRootFromParent_Done,
     /* 2306593 */   // Label 31703: @2306593
     /* 2306593 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2306641), // Rule ID 54404 //
     /* 2306598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306601 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2306618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306640 */     // GIR_Coverage, 54404,
     /* 2306640 */     GIR_EraseRootFromParent_Done,
     /* 2306641 */   // Label 31704: @2306641
     /* 2306641 */   GIM_Reject,
     /* 2306642 */ // Label 31702: @2306642
     /* 2306642 */ GIM_Reject,
     /* 2306643 */ // Label 31645: @2306643
     /* 2306643 */ GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2306763),
     /* 2306648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2306651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2306654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306666 */   GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2306714), // Rule ID 54367 //
     /* 2306671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306674 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2306691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306713 */     // GIR_Coverage, 54367,
     /* 2306713 */     GIR_EraseRootFromParent_Done,
     /* 2306714 */   // Label 31706: @2306714
     /* 2306714 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2306762), // Rule ID 54368 //
     /* 2306719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306722 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2306739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306761 */     // GIR_Coverage, 54368,
     /* 2306761 */     GIR_EraseRootFromParent_Done,
     /* 2306762 */   // Label 31707: @2306762
     /* 2306762 */   GIM_Reject,
     /* 2306763 */ // Label 31705: @2306763
     /* 2306763 */ GIM_Reject,
     /* 2306764 */ // Label 31646: @2306764
     /* 2306764 */ GIM_Reject,
     /* 2306765 */ // Label 64: @2306765
     /* 2306765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31726*/ GIMT_Encode4(2308735),
     /* 2306776 */ /*GILLT_s16*//*Label 31708*/ GIMT_Encode4(2306896),
     /* 2306780 */ /*GILLT_s32*//*Label 31709*/ GIMT_Encode4(2306960),
     /* 2306784 */ /*GILLT_s64*//*Label 31710*/ GIMT_Encode4(2307024), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306796 */ /*GILLT_nxv1s16*//*Label 31711*/ GIMT_Encode4(2307115),
     /* 2306800 */ /*GILLT_nxv1s32*//*Label 31712*/ GIMT_Encode4(2307223),
     /* 2306804 */ /*GILLT_nxv1s64*//*Label 31713*/ GIMT_Encode4(2307331), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306816 */ /*GILLT_nxv2s16*//*Label 31714*/ GIMT_Encode4(2307439),
     /* 2306820 */ /*GILLT_nxv2s32*//*Label 31715*/ GIMT_Encode4(2307547),
     /* 2306824 */ /*GILLT_nxv2s64*//*Label 31716*/ GIMT_Encode4(2307655), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306836 */ /*GILLT_nxv4s16*//*Label 31717*/ GIMT_Encode4(2307763),
     /* 2306840 */ /*GILLT_nxv4s32*//*Label 31718*/ GIMT_Encode4(2307871),
     /* 2306844 */ /*GILLT_nxv4s64*//*Label 31719*/ GIMT_Encode4(2307979), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306856 */ /*GILLT_nxv8s16*//*Label 31720*/ GIMT_Encode4(2308087),
     /* 2306860 */ /*GILLT_nxv8s32*//*Label 31721*/ GIMT_Encode4(2308195),
     /* 2306864 */ /*GILLT_nxv8s64*//*Label 31722*/ GIMT_Encode4(2308303), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306876 */ /*GILLT_nxv16s16*//*Label 31723*/ GIMT_Encode4(2308411),
     /* 2306880 */ /*GILLT_nxv16s32*//*Label 31724*/ GIMT_Encode4(2308519), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306892 */ /*GILLT_nxv32s16*//*Label 31725*/ GIMT_Encode4(2308627),
     /* 2306896 */ // Label 31708: @2306896
     /* 2306896 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2306959),
     /* 2306901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306904 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2306931), // Rule ID 1875 //
     /* 2306909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2306912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306920 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2306920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2306923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306930 */     // GIR_Coverage, 1875,
     /* 2306930 */     GIR_EraseRootFromParent_Done,
     /* 2306931 */   // Label 31728: @2306931
     /* 2306931 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2306958), // Rule ID 1908 //
     /* 2306936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2306939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306947 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2306947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2306950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306957 */     // GIR_Coverage, 1908,
     /* 2306957 */     GIR_EraseRootFromParent_Done,
     /* 2306958 */   // Label 31729: @2306958
     /* 2306958 */   GIM_Reject,
     /* 2306959 */ // Label 31727: @2306959
     /* 2306959 */ GIM_Reject,
     /* 2306960 */ // Label 31709: @2306960
     /* 2306960 */ GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2307023),
     /* 2306965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2306968 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2306995), // Rule ID 1166 //
     /* 2306973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2306976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306984 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2306984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2306987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306994 */     // GIR_Coverage, 1166,
     /* 2306994 */     GIR_EraseRootFromParent_Done,
     /* 2306995 */   // Label 31731: @2306995
     /* 2306995 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2307022), // Rule ID 1174 //
     /* 2307000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2307003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307011 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2307011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2307014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307021 */     // GIR_Coverage, 1174,
     /* 2307021 */     GIR_EraseRootFromParent_Done,
     /* 2307022 */   // Label 31732: @2307022
     /* 2307022 */   GIM_Reject,
     /* 2307023 */ // Label 31730: @2307023
     /* 2307023 */ GIM_Reject,
     /* 2307024 */ // Label 31710: @2307024
     /* 2307024 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2307114),
     /* 2307029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307032 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2307059), // Rule ID 1509 //
     /* 2307037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2307040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307048 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2307051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307058 */     // GIR_Coverage, 1509,
     /* 2307058 */     GIR_EraseRootFromParent_Done,
     /* 2307059 */   // Label 31734: @2307059
     /* 2307059 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2307086), // Rule ID 1542 //
     /* 2307064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2307067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307075 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2307078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307085 */     // GIR_Coverage, 1542,
     /* 2307085 */     GIR_EraseRootFromParent_Done,
     /* 2307086 */   // Label 31735: @2307086
     /* 2307086 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2307113), // Rule ID 1564 //
     /* 2307091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2307094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307102 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2307102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2307105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307112 */     // GIR_Coverage, 1564,
     /* 2307112 */     GIR_EraseRootFromParent_Done,
     /* 2307113 */   // Label 31736: @2307113
     /* 2307113 */   GIM_Reject,
     /* 2307114 */ // Label 31733: @2307114
     /* 2307114 */ GIM_Reject,
     /* 2307115 */ // Label 31711: @2307115
     /* 2307115 */ GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2307222),
     /* 2307120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2307123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307131 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2307176), // Rule ID 56109 //
     /* 2307136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307139 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307175 */     // GIR_Coverage, 56109,
     /* 2307175 */     GIR_EraseRootFromParent_Done,
     /* 2307176 */   // Label 31738: @2307176
     /* 2307176 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2307221), // Rule ID 56110 //
     /* 2307181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307184 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2307187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2307201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307220 */     // GIR_Coverage, 56110,
     /* 2307220 */     GIR_EraseRootFromParent_Done,
     /* 2307221 */   // Label 31739: @2307221
     /* 2307221 */   GIM_Reject,
     /* 2307222 */ // Label 31737: @2307222
     /* 2307222 */ GIM_Reject,
     /* 2307223 */ // Label 31712: @2307223
     /* 2307223 */ GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2307330),
     /* 2307228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2307231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307239 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2307284), // Rule ID 56149 //
     /* 2307244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307247 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307283 */     // GIR_Coverage, 56149,
     /* 2307283 */     GIR_EraseRootFromParent_Done,
     /* 2307284 */   // Label 31741: @2307284
     /* 2307284 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2307329), // Rule ID 56150 //
     /* 2307289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307292 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2307295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2307309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307328 */     // GIR_Coverage, 56150,
     /* 2307328 */     GIR_EraseRootFromParent_Done,
     /* 2307329 */   // Label 31742: @2307329
     /* 2307329 */   GIM_Reject,
     /* 2307330 */ // Label 31740: @2307330
     /* 2307330 */ GIM_Reject,
     /* 2307331 */ // Label 31713: @2307331
     /* 2307331 */ GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2307438),
     /* 2307336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2307339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307347 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2307392), // Rule ID 56209 //
     /* 2307352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307355 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307391 */     // GIR_Coverage, 56209,
     /* 2307391 */     GIR_EraseRootFromParent_Done,
     /* 2307392 */   // Label 31744: @2307392
     /* 2307392 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2307437), // Rule ID 56210 //
     /* 2307397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307400 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2307403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2307417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307436 */     // GIR_Coverage, 56210,
     /* 2307436 */     GIR_EraseRootFromParent_Done,
     /* 2307437 */   // Label 31745: @2307437
     /* 2307437 */   GIM_Reject,
     /* 2307438 */ // Label 31743: @2307438
     /* 2307438 */ GIM_Reject,
     /* 2307439 */ // Label 31714: @2307439
     /* 2307439 */ GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2307546),
     /* 2307444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2307447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307455 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2307500), // Rule ID 56129 //
     /* 2307460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307463 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307499 */     // GIR_Coverage, 56129,
     /* 2307499 */     GIR_EraseRootFromParent_Done,
     /* 2307500 */   // Label 31747: @2307500
     /* 2307500 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2307545), // Rule ID 56130 //
     /* 2307505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307508 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2307511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2307525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307544 */     // GIR_Coverage, 56130,
     /* 2307544 */     GIR_EraseRootFromParent_Done,
     /* 2307545 */   // Label 31748: @2307545
     /* 2307545 */   GIM_Reject,
     /* 2307546 */ // Label 31746: @2307546
     /* 2307546 */ GIM_Reject,
     /* 2307547 */ // Label 31715: @2307547
     /* 2307547 */ GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2307654),
     /* 2307552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2307555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307563 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2307608), // Rule ID 56189 //
     /* 2307568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307571 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2307574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2307588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307607 */     // GIR_Coverage, 56189,
     /* 2307607 */     GIR_EraseRootFromParent_Done,
     /* 2307608 */   // Label 31750: @2307608
     /* 2307608 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2307653), // Rule ID 56190 //
     /* 2307613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307616 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2307619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2307633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307652 */     // GIR_Coverage, 56190,
     /* 2307652 */     GIR_EraseRootFromParent_Done,
     /* 2307653 */   // Label 31751: @2307653
     /* 2307653 */   GIM_Reject,
     /* 2307654 */ // Label 31749: @2307654
     /* 2307654 */ GIM_Reject,
     /* 2307655 */ // Label 31716: @2307655
     /* 2307655 */ GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2307762),
     /* 2307660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2307663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307671 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2307716), // Rule ID 56349 //
     /* 2307676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2307679 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2307682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2307696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307715 */     // GIR_Coverage, 56349,
     /* 2307715 */     GIR_EraseRootFromParent_Done,
     /* 2307716 */   // Label 31753: @2307716
     /* 2307716 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2307761), // Rule ID 56350 //
     /* 2307721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2307724 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2307727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2307741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307760 */     // GIR_Coverage, 56350,
     /* 2307760 */     GIR_EraseRootFromParent_Done,
     /* 2307761 */   // Label 31754: @2307761
     /* 2307761 */   GIM_Reject,
     /* 2307762 */ // Label 31752: @2307762
     /* 2307762 */ GIM_Reject,
     /* 2307763 */ // Label 31717: @2307763
     /* 2307763 */ GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2307870),
     /* 2307768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307779 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2307824), // Rule ID 56169 //
     /* 2307784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307787 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2307804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307823 */     // GIR_Coverage, 56169,
     /* 2307823 */     GIR_EraseRootFromParent_Done,
     /* 2307824 */   // Label 31756: @2307824
     /* 2307824 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2307869), // Rule ID 56170 //
     /* 2307829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307832 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2307849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307868 */     // GIR_Coverage, 56170,
     /* 2307868 */     GIR_EraseRootFromParent_Done,
     /* 2307869 */   // Label 31757: @2307869
     /* 2307869 */   GIM_Reject,
     /* 2307870 */ // Label 31755: @2307870
     /* 2307870 */ GIM_Reject,
     /* 2307871 */ // Label 31718: @2307871
     /* 2307871 */ GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2307978),
     /* 2307876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307887 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2307932), // Rule ID 56289 //
     /* 2307892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307895 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2307912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307931 */     // GIR_Coverage, 56289,
     /* 2307931 */     GIR_EraseRootFromParent_Done,
     /* 2307932 */   // Label 31759: @2307932
     /* 2307932 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2307977), // Rule ID 56290 //
     /* 2307937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307940 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2307957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307976 */     // GIR_Coverage, 56290,
     /* 2307976 */     GIR_EraseRootFromParent_Done,
     /* 2307977 */   // Label 31760: @2307977
     /* 2307977 */   GIM_Reject,
     /* 2307978 */ // Label 31758: @2307978
     /* 2307978 */ GIM_Reject,
     /* 2307979 */ // Label 31719: @2307979
     /* 2307979 */ GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2308086),
     /* 2307984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2307987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307995 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2308040), // Rule ID 56369 //
     /* 2308000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308003 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308039 */     // GIR_Coverage, 56369,
     /* 2308039 */     GIR_EraseRootFromParent_Done,
     /* 2308040 */   // Label 31762: @2308040
     /* 2308040 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2308085), // Rule ID 56370 //
     /* 2308045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308048 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2308051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2308065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308084 */     // GIR_Coverage, 56370,
     /* 2308084 */     GIR_EraseRootFromParent_Done,
     /* 2308085 */   // Label 31763: @2308085
     /* 2308085 */   GIM_Reject,
     /* 2308086 */ // Label 31761: @2308086
     /* 2308086 */ GIM_Reject,
     /* 2308087 */ // Label 31720: @2308087
     /* 2308087 */ GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2308194),
     /* 2308092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308103 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2308148), // Rule ID 56229 //
     /* 2308108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308111 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308147 */     // GIR_Coverage, 56229,
     /* 2308147 */     GIR_EraseRootFromParent_Done,
     /* 2308148 */   // Label 31765: @2308148
     /* 2308148 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2308193), // Rule ID 56230 //
     /* 2308153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308156 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2308173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308192 */     // GIR_Coverage, 56230,
     /* 2308192 */     GIR_EraseRootFromParent_Done,
     /* 2308193 */   // Label 31766: @2308193
     /* 2308193 */   GIM_Reject,
     /* 2308194 */ // Label 31764: @2308194
     /* 2308194 */ GIM_Reject,
     /* 2308195 */ // Label 31721: @2308195
     /* 2308195 */ GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2308302),
     /* 2308200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308211 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2308256), // Rule ID 56309 //
     /* 2308216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308219 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308255 */     // GIR_Coverage, 56309,
     /* 2308255 */     GIR_EraseRootFromParent_Done,
     /* 2308256 */   // Label 31768: @2308256
     /* 2308256 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2308301), // Rule ID 56310 //
     /* 2308261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308264 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2308281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308300 */     // GIR_Coverage, 56310,
     /* 2308300 */     GIR_EraseRootFromParent_Done,
     /* 2308301 */   // Label 31769: @2308301
     /* 2308301 */   GIM_Reject,
     /* 2308302 */ // Label 31767: @2308302
     /* 2308302 */ GIM_Reject,
     /* 2308303 */ // Label 31722: @2308303
     /* 2308303 */ GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2308410),
     /* 2308308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308319 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2308364), // Rule ID 56389 //
     /* 2308324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2308327 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308363 */     // GIR_Coverage, 56389,
     /* 2308363 */     GIR_EraseRootFromParent_Done,
     /* 2308364 */   // Label 31771: @2308364
     /* 2308364 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2308409), // Rule ID 56390 //
     /* 2308369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2308372 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2308389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308408 */     // GIR_Coverage, 56390,
     /* 2308408 */     GIR_EraseRootFromParent_Done,
     /* 2308409 */   // Label 31772: @2308409
     /* 2308409 */   GIM_Reject,
     /* 2308410 */ // Label 31770: @2308410
     /* 2308410 */ GIM_Reject,
     /* 2308411 */ // Label 31723: @2308411
     /* 2308411 */ GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2308518),
     /* 2308416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308427 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2308472), // Rule ID 56249 //
     /* 2308432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308435 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308471 */     // GIR_Coverage, 56249,
     /* 2308471 */     GIR_EraseRootFromParent_Done,
     /* 2308472 */   // Label 31774: @2308472
     /* 2308472 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2308517), // Rule ID 56250 //
     /* 2308477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308480 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2308497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308516 */     // GIR_Coverage, 56250,
     /* 2308516 */     GIR_EraseRootFromParent_Done,
     /* 2308517 */   // Label 31775: @2308517
     /* 2308517 */   GIM_Reject,
     /* 2308518 */ // Label 31773: @2308518
     /* 2308518 */ GIM_Reject,
     /* 2308519 */ // Label 31724: @2308519
     /* 2308519 */ GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2308626),
     /* 2308524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308535 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2308580), // Rule ID 56329 //
     /* 2308540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308543 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308579 */     // GIR_Coverage, 56329,
     /* 2308579 */     GIR_EraseRootFromParent_Done,
     /* 2308580 */   // Label 31777: @2308580
     /* 2308580 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2308625), // Rule ID 56330 //
     /* 2308585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308588 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2308605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308624 */     // GIR_Coverage, 56330,
     /* 2308624 */     GIR_EraseRootFromParent_Done,
     /* 2308625 */   // Label 31778: @2308625
     /* 2308625 */   GIM_Reject,
     /* 2308626 */ // Label 31776: @2308626
     /* 2308626 */ GIM_Reject,
     /* 2308627 */ // Label 31725: @2308627
     /* 2308627 */ GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2308734),
     /* 2308632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308643 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2308688), // Rule ID 56269 //
     /* 2308648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308651 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2308654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2308668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308687 */     // GIR_Coverage, 56269,
     /* 2308687 */     GIR_EraseRootFromParent_Done,
     /* 2308688 */   // Label 31780: @2308688
     /* 2308688 */   GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2308733), // Rule ID 56270 //
     /* 2308693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308696 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2308699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2308713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2308722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308732 */     // GIR_Coverage, 56270,
     /* 2308732 */     GIR_EraseRootFromParent_Done,
     /* 2308733 */   // Label 31781: @2308733
     /* 2308733 */   GIM_Reject,
     /* 2308734 */ // Label 31779: @2308734
     /* 2308734 */ GIM_Reject,
     /* 2308735 */ // Label 31726: @2308735
     /* 2308735 */ GIM_Reject,
     /* 2308736 */ // Label 65: @2308736
     /* 2308736 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31784*/ GIMT_Encode4(2309188),
     /* 2308747 */ /*GILLT_s32*//*Label 31782*/ GIMT_Encode4(2308755),
     /* 2308751 */ /*GILLT_s64*//*Label 31783*/ GIMT_Encode4(2308877),
     /* 2308755 */ // Label 31782: @2308755
     /* 2308755 */ GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2308876),
     /* 2308760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2308763 */   GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2308791), // Rule ID 2049 //
     /* 2308768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2308771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2308779 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2308779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2308782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308790 */     // GIR_Coverage, 2049,
     /* 2308790 */     GIR_EraseRootFromParent_Done,
     /* 2308791 */   // Label 31786: @2308791
     /* 2308791 */   GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2308819), // Rule ID 2050 //
     /* 2308796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2308799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2308807 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2308807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2308810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308818 */     // GIR_Coverage, 2050,
     /* 2308818 */     GIR_EraseRootFromParent_Done,
     /* 2308819 */   // Label 31787: @2308819
     /* 2308819 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2308847), // Rule ID 2065 //
     /* 2308824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2308827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2308835 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2308835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2308838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308846 */     // GIR_Coverage, 2065,
     /* 2308846 */     GIR_EraseRootFromParent_Done,
     /* 2308847 */   // Label 31788: @2308847
     /* 2308847 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2308875), // Rule ID 2066 //
     /* 2308852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2308855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2308863 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2308863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2308866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308874 */     // GIR_Coverage, 2066,
     /* 2308874 */     GIR_EraseRootFromParent_Done,
     /* 2308875 */   // Label 31789: @2308875
     /* 2308875 */   GIM_Reject,
     /* 2308876 */ // Label 31785: @2308876
     /* 2308876 */ GIM_Reject,
     /* 2308877 */ // Label 31783: @2308877
     /* 2308877 */ GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2308908), // Rule ID 1451 //
     /* 2308882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308896 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2308896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2308899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308907 */   // GIR_Coverage, 1451,
     /* 2308907 */   GIR_EraseRootFromParent_Done,
     /* 2308908 */ // Label 31790: @2308908
     /* 2308908 */ GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2308939), // Rule ID 1452 //
     /* 2308913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308927 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2308927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2308930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308932 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308938 */   // GIR_Coverage, 1452,
     /* 2308938 */   GIR_EraseRootFromParent_Done,
     /* 2308939 */ // Label 31791: @2308939
     /* 2308939 */ GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2308970), // Rule ID 1456 //
     /* 2308944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308958 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2308958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2308961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308969 */   // GIR_Coverage, 1456,
     /* 2308969 */   GIR_EraseRootFromParent_Done,
     /* 2308970 */ // Label 31792: @2308970
     /* 2308970 */ GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2309001), // Rule ID 1463 //
     /* 2308975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2308978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308989 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2308989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2308992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2308999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309000 */   // GIR_Coverage, 1463,
     /* 2309000 */   GIR_EraseRootFromParent_Done,
     /* 2309001 */ // Label 31793: @2309001
     /* 2309001 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2309032), // Rule ID 1464 //
     /* 2309006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309020 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2309020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2309023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309031 */   // GIR_Coverage, 1464,
     /* 2309031 */   GIR_EraseRootFromParent_Done,
     /* 2309032 */ // Label 31794: @2309032
     /* 2309032 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2309063), // Rule ID 2183 //
     /* 2309037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309051 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309056 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309062 */   // GIR_Coverage, 2183,
     /* 2309062 */   GIR_EraseRootFromParent_Done,
     /* 2309063 */ // Label 31795: @2309063
     /* 2309063 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2309094), // Rule ID 2184 //
     /* 2309068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309082 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2309085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309093 */   // GIR_Coverage, 2184,
     /* 2309093 */   GIR_EraseRootFromParent_Done,
     /* 2309094 */ // Label 31796: @2309094
     /* 2309094 */ GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2309125), // Rule ID 2195 //
     /* 2309099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309113 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309124 */   // GIR_Coverage, 2195,
     /* 2309124 */   GIR_EraseRootFromParent_Done,
     /* 2309125 */ // Label 31797: @2309125
     /* 2309125 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2309156), // Rule ID 2196 //
     /* 2309130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309144 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2309144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2309147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309155 */   // GIR_Coverage, 2196,
     /* 2309155 */   GIR_EraseRootFromParent_Done,
     /* 2309156 */ // Label 31798: @2309156
     /* 2309156 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2309187), // Rule ID 2204 //
     /* 2309161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309175 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2309175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2309178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2309185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309186 */   // GIR_Coverage, 2204,
     /* 2309186 */   GIR_EraseRootFromParent_Done,
     /* 2309187 */ // Label 31799: @2309187
     /* 2309187 */ GIM_Reject,
     /* 2309188 */ // Label 31784: @2309188
     /* 2309188 */ GIM_Reject,
     /* 2309189 */ // Label 66: @2309189
     /* 2309189 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31811*/ GIMT_Encode4(2310724),
     /* 2309200 */ /*GILLT_s16*//*Label 31800*/ GIMT_Encode4(2309304),
     /* 2309204 */ /*GILLT_s32*//*Label 31801*/ GIMT_Encode4(2309584), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309220 */ /*GILLT_nxv1s16*//*Label 31802*/ GIMT_Encode4(2309734),
     /* 2309224 */ /*GILLT_nxv1s32*//*Label 31803*/ GIMT_Encode4(2309844), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309240 */ /*GILLT_nxv2s16*//*Label 31804*/ GIMT_Encode4(2309954),
     /* 2309244 */ /*GILLT_nxv2s32*//*Label 31805*/ GIMT_Encode4(2310064), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309260 */ /*GILLT_nxv4s16*//*Label 31806*/ GIMT_Encode4(2310174),
     /* 2309264 */ /*GILLT_nxv4s32*//*Label 31807*/ GIMT_Encode4(2310284), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309280 */ /*GILLT_nxv8s16*//*Label 31808*/ GIMT_Encode4(2310394),
     /* 2309284 */ /*GILLT_nxv8s32*//*Label 31809*/ GIMT_Encode4(2310504), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309300 */ /*GILLT_nxv16s16*//*Label 31810*/ GIMT_Encode4(2310614),
     /* 2309304 */ // Label 31800: @2309304
     /* 2309304 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2309335), // Rule ID 2045 //
     /* 2309309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2309312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309323 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309334 */   // GIR_Coverage, 2045,
     /* 2309334 */   GIR_EraseRootFromParent_Done,
     /* 2309335 */ // Label 31812: @2309335
     /* 2309335 */ GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2309366), // Rule ID 2046 //
     /* 2309340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2309343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309354 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2309357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309365 */   // GIR_Coverage, 2046,
     /* 2309365 */   GIR_EraseRootFromParent_Done,
     /* 2309366 */ // Label 31813: @2309366
     /* 2309366 */ GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2309397), // Rule ID 2061 //
     /* 2309371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2309374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309385 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2309385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309396 */   // GIR_Coverage, 2061,
     /* 2309396 */   GIR_EraseRootFromParent_Done,
     /* 2309397 */ // Label 31814: @2309397
     /* 2309397 */ GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2309428), // Rule ID 2062 //
     /* 2309402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2309405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309416 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2309416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2309419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309427 */   // GIR_Coverage, 2062,
     /* 2309427 */   GIR_EraseRootFromParent_Done,
     /* 2309428 */ // Label 31815: @2309428
     /* 2309428 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2309459), // Rule ID 2179 //
     /* 2309433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2309436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309447 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309458 */   // GIR_Coverage, 2179,
     /* 2309458 */   GIR_EraseRootFromParent_Done,
     /* 2309459 */ // Label 31816: @2309459
     /* 2309459 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2309490), // Rule ID 2180 //
     /* 2309464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2309467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309478 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2309481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309489 */   // GIR_Coverage, 2180,
     /* 2309489 */   GIR_EraseRootFromParent_Done,
     /* 2309490 */ // Label 31817: @2309490
     /* 2309490 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2309521), // Rule ID 2191 //
     /* 2309495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2309498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309509 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309520 */   // GIR_Coverage, 2191,
     /* 2309520 */   GIR_EraseRootFromParent_Done,
     /* 2309521 */ // Label 31818: @2309521
     /* 2309521 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2309552), // Rule ID 2192 //
     /* 2309526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2309529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309540 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2309543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309551 */   // GIR_Coverage, 2192,
     /* 2309551 */   GIR_EraseRootFromParent_Done,
     /* 2309552 */ // Label 31819: @2309552
     /* 2309552 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2309583), // Rule ID 2202 //
     /* 2309557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2309560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309571 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2309574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309576 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309582 */   // GIR_Coverage, 2202,
     /* 2309582 */   GIR_EraseRootFromParent_Done,
     /* 2309583 */ // Label 31820: @2309583
     /* 2309583 */ GIM_Reject,
     /* 2309584 */ // Label 31801: @2309584
     /* 2309584 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2309733),
     /* 2309589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309592 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2309620), // Rule ID 1447 //
     /* 2309597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309608 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2309611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309619 */     // GIR_Coverage, 1447,
     /* 2309619 */     GIR_EraseRootFromParent_Done,
     /* 2309620 */   // Label 31822: @2309620
     /* 2309620 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2309648), // Rule ID 1448 //
     /* 2309625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309636 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2309639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309647 */     // GIR_Coverage, 1448,
     /* 2309647 */     GIR_EraseRootFromParent_Done,
     /* 2309648 */   // Label 31823: @2309648
     /* 2309648 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2309676), // Rule ID 1454 //
     /* 2309653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309664 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2309667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309675 */     // GIR_Coverage, 1454,
     /* 2309675 */     GIR_EraseRootFromParent_Done,
     /* 2309676 */   // Label 31824: @2309676
     /* 2309676 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2309704), // Rule ID 1459 //
     /* 2309681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309692 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2309692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2309695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309703 */     // GIR_Coverage, 1459,
     /* 2309703 */     GIR_EraseRootFromParent_Done,
     /* 2309704 */   // Label 31825: @2309704
     /* 2309704 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2309732), // Rule ID 1460 //
     /* 2309709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309720 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2309720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2309723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309731 */     // GIR_Coverage, 1460,
     /* 2309731 */     GIR_EraseRootFromParent_Done,
     /* 2309732 */   // Label 31826: @2309732
     /* 2309732 */   GIM_Reject,
     /* 2309733 */ // Label 31821: @2309733
     /* 2309733 */ GIM_Reject,
     /* 2309734 */ // Label 31802: @2309734
     /* 2309734 */ GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2309843),
     /* 2309739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2309742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309750 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2309796), // Rule ID 58577 //
     /* 2309755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2309758 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2309775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309795 */     // GIR_Coverage, 58577,
     /* 2309795 */     GIR_EraseRootFromParent_Done,
     /* 2309796 */   // Label 31828: @2309796
     /* 2309796 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2309842), // Rule ID 58578 //
     /* 2309801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2309804 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2309821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309841 */     // GIR_Coverage, 58578,
     /* 2309841 */     GIR_EraseRootFromParent_Done,
     /* 2309842 */   // Label 31829: @2309842
     /* 2309842 */   GIM_Reject,
     /* 2309843 */ // Label 31827: @2309843
     /* 2309843 */ GIM_Reject,
     /* 2309844 */ // Label 31803: @2309844
     /* 2309844 */ GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2309953),
     /* 2309849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2309852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309860 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2309906), // Rule ID 58587 //
     /* 2309865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2309868 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2309885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309905 */     // GIR_Coverage, 58587,
     /* 2309905 */     GIR_EraseRootFromParent_Done,
     /* 2309906 */   // Label 31831: @2309906
     /* 2309906 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2309952), // Rule ID 58588 //
     /* 2309911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2309914 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2309931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309951 */     // GIR_Coverage, 58588,
     /* 2309951 */     GIR_EraseRootFromParent_Done,
     /* 2309952 */   // Label 31832: @2309952
     /* 2309952 */   GIM_Reject,
     /* 2309953 */ // Label 31830: @2309953
     /* 2309953 */ GIM_Reject,
     /* 2309954 */ // Label 31804: @2309954
     /* 2309954 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2310063),
     /* 2309959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2309962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309970 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2310016), // Rule ID 58579 //
     /* 2309975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2309978 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2309981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2309995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310015 */     // GIR_Coverage, 58579,
     /* 2310015 */     GIR_EraseRootFromParent_Done,
     /* 2310016 */   // Label 31834: @2310016
     /* 2310016 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2310062), // Rule ID 58580 //
     /* 2310021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310024 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2310041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310061 */     // GIR_Coverage, 58580,
     /* 2310061 */     GIR_EraseRootFromParent_Done,
     /* 2310062 */   // Label 31835: @2310062
     /* 2310062 */   GIM_Reject,
     /* 2310063 */ // Label 31833: @2310063
     /* 2310063 */ GIM_Reject,
     /* 2310064 */ // Label 31805: @2310064
     /* 2310064 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2310173),
     /* 2310069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2310072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310080 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2310126), // Rule ID 58589 //
     /* 2310085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310088 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310125 */     // GIR_Coverage, 58589,
     /* 2310125 */     GIR_EraseRootFromParent_Done,
     /* 2310126 */   // Label 31837: @2310126
     /* 2310126 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2310172), // Rule ID 58590 //
     /* 2310131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310134 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2310151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310171 */     // GIR_Coverage, 58590,
     /* 2310171 */     GIR_EraseRootFromParent_Done,
     /* 2310172 */   // Label 31838: @2310172
     /* 2310172 */   GIM_Reject,
     /* 2310173 */ // Label 31836: @2310173
     /* 2310173 */ GIM_Reject,
     /* 2310174 */ // Label 31806: @2310174
     /* 2310174 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2310283),
     /* 2310179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310190 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2310236), // Rule ID 58581 //
     /* 2310195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310198 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310235 */     // GIR_Coverage, 58581,
     /* 2310235 */     GIR_EraseRootFromParent_Done,
     /* 2310236 */   // Label 31840: @2310236
     /* 2310236 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2310282), // Rule ID 58582 //
     /* 2310241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310244 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2310261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310281 */     // GIR_Coverage, 58582,
     /* 2310281 */     GIR_EraseRootFromParent_Done,
     /* 2310282 */   // Label 31841: @2310282
     /* 2310282 */   GIM_Reject,
     /* 2310283 */ // Label 31839: @2310283
     /* 2310283 */ GIM_Reject,
     /* 2310284 */ // Label 31807: @2310284
     /* 2310284 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2310393),
     /* 2310289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2310292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310300 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2310346), // Rule ID 58591 //
     /* 2310305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310308 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310345 */     // GIR_Coverage, 58591,
     /* 2310345 */     GIR_EraseRootFromParent_Done,
     /* 2310346 */   // Label 31843: @2310346
     /* 2310346 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2310392), // Rule ID 58592 //
     /* 2310351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310354 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2310371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310391 */     // GIR_Coverage, 58592,
     /* 2310391 */     GIR_EraseRootFromParent_Done,
     /* 2310392 */   // Label 31844: @2310392
     /* 2310392 */   GIM_Reject,
     /* 2310393 */ // Label 31842: @2310393
     /* 2310393 */ GIM_Reject,
     /* 2310394 */ // Label 31808: @2310394
     /* 2310394 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2310503),
     /* 2310399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310410 */   GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2310456), // Rule ID 58583 //
     /* 2310415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310418 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310455 */     // GIR_Coverage, 58583,
     /* 2310455 */     GIR_EraseRootFromParent_Done,
     /* 2310456 */   // Label 31846: @2310456
     /* 2310456 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2310502), // Rule ID 58584 //
     /* 2310461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310464 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2310481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310501 */     // GIR_Coverage, 58584,
     /* 2310501 */     GIR_EraseRootFromParent_Done,
     /* 2310502 */   // Label 31847: @2310502
     /* 2310502 */   GIM_Reject,
     /* 2310503 */ // Label 31845: @2310503
     /* 2310503 */ GIM_Reject,
     /* 2310504 */ // Label 31809: @2310504
     /* 2310504 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2310613),
     /* 2310509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310520 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2310566), // Rule ID 58593 //
     /* 2310525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2310528 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310565 */     // GIR_Coverage, 58593,
     /* 2310565 */     GIR_EraseRootFromParent_Done,
     /* 2310566 */   // Label 31849: @2310566
     /* 2310566 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2310612), // Rule ID 58594 //
     /* 2310571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2310574 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2310591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310611 */     // GIR_Coverage, 58594,
     /* 2310611 */     GIR_EraseRootFromParent_Done,
     /* 2310612 */   // Label 31850: @2310612
     /* 2310612 */   GIM_Reject,
     /* 2310613 */ // Label 31848: @2310613
     /* 2310613 */ GIM_Reject,
     /* 2310614 */ // Label 31810: @2310614
     /* 2310614 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2310723),
     /* 2310619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2310622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310630 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2310676), // Rule ID 58585 //
     /* 2310635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2310638 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2310641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2310655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310675 */     // GIR_Coverage, 58585,
     /* 2310675 */     GIR_EraseRootFromParent_Done,
     /* 2310676 */   // Label 31852: @2310676
     /* 2310676 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2310722), // Rule ID 58586 //
     /* 2310681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2310684 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2310687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2310701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310721 */     // GIR_Coverage, 58586,
     /* 2310721 */     GIR_EraseRootFromParent_Done,
     /* 2310722 */   // Label 31853: @2310722
     /* 2310722 */   GIM_Reject,
     /* 2310723 */ // Label 31851: @2310723
     /* 2310723 */ GIM_Reject,
     /* 2310724 */ // Label 31811: @2310724
     /* 2310724 */ GIM_Reject,
     /* 2310725 */ // Label 67: @2310725
     /* 2310725 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31877*/ GIMT_Encode4(2315610),
     /* 2310736 */ /*GILLT_s32*//*Label 31854*/ GIMT_Encode4(2310852),
     /* 2310740 */ /*GILLT_s64*//*Label 31855*/ GIMT_Encode4(2311225), GIMT_Encode4(0),
     /* 2310748 */ /*GILLT_nxv1s8*//*Label 31856*/ GIMT_Encode4(2311412),
     /* 2310752 */ /*GILLT_nxv1s16*//*Label 31857*/ GIMT_Encode4(2311516),
     /* 2310756 */ /*GILLT_nxv1s32*//*Label 31858*/ GIMT_Encode4(2311733),
     /* 2310760 */ /*GILLT_nxv1s64*//*Label 31859*/ GIMT_Encode4(2312058), GIMT_Encode4(0),
     /* 2310768 */ /*GILLT_nxv2s8*//*Label 31860*/ GIMT_Encode4(2312275),
     /* 2310772 */ /*GILLT_nxv2s16*//*Label 31861*/ GIMT_Encode4(2312379),
     /* 2310776 */ /*GILLT_nxv2s32*//*Label 31862*/ GIMT_Encode4(2312596),
     /* 2310780 */ /*GILLT_nxv2s64*//*Label 31863*/ GIMT_Encode4(2312921), GIMT_Encode4(0),
     /* 2310788 */ /*GILLT_nxv4s8*//*Label 31864*/ GIMT_Encode4(2313138),
     /* 2310792 */ /*GILLT_nxv4s16*//*Label 31865*/ GIMT_Encode4(2313242),
     /* 2310796 */ /*GILLT_nxv4s32*//*Label 31866*/ GIMT_Encode4(2313459),
     /* 2310800 */ /*GILLT_nxv4s64*//*Label 31867*/ GIMT_Encode4(2313784), GIMT_Encode4(0),
     /* 2310808 */ /*GILLT_nxv8s8*//*Label 31868*/ GIMT_Encode4(2314001),
     /* 2310812 */ /*GILLT_nxv8s16*//*Label 31869*/ GIMT_Encode4(2314105),
     /* 2310816 */ /*GILLT_nxv8s32*//*Label 31870*/ GIMT_Encode4(2314322),
     /* 2310820 */ /*GILLT_nxv8s64*//*Label 31871*/ GIMT_Encode4(2314647), GIMT_Encode4(0),
     /* 2310828 */ /*GILLT_nxv16s8*//*Label 31872*/ GIMT_Encode4(2314864),
     /* 2310832 */ /*GILLT_nxv16s16*//*Label 31873*/ GIMT_Encode4(2314968),
     /* 2310836 */ /*GILLT_nxv16s32*//*Label 31874*/ GIMT_Encode4(2315185), GIMT_Encode4(0),
     /* 2310844 */ /*GILLT_nxv32s8*//*Label 31875*/ GIMT_Encode4(2315402),
     /* 2310848 */ /*GILLT_nxv32s16*//*Label 31876*/ GIMT_Encode4(2315506),
     /* 2310852 */ // Label 31854: @2310852
     /* 2310852 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2310883), // Rule ID 1339 //
     /* 2310857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2310860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310871 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2310871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2310874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310882 */   // GIR_Coverage, 1339,
     /* 2310882 */   GIR_EraseRootFromParent_Done,
     /* 2310883 */ // Label 31878: @2310883
     /* 2310883 */ GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2310914), // Rule ID 1340 //
     /* 2310888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2310891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2310902 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2310902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2310905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310913 */   // GIR_Coverage, 1340,
     /* 2310913 */   GIR_EraseRootFromParent_Done,
     /* 2310914 */ // Label 31879: @2310914
     /* 2310914 */ GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2310945), // Rule ID 1365 //
     /* 2310919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2310922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310933 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2310933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2310936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310944 */   // GIR_Coverage, 1365,
     /* 2310944 */   GIR_EraseRootFromParent_Done,
     /* 2310945 */ // Label 31880: @2310945
     /* 2310945 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2310976), // Rule ID 1366 //
     /* 2310950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2310953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2310956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2310964 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2310964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2310967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310969 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310975 */   // GIR_Coverage, 1366,
     /* 2310975 */   GIR_EraseRootFromParent_Done,
     /* 2310976 */ // Label 31881: @2310976
     /* 2310976 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2311007), // Rule ID 1733 //
     /* 2310981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2310984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310995 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2310995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2310998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311000 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311006 */   // GIR_Coverage, 1733,
     /* 2311006 */   GIR_EraseRootFromParent_Done,
     /* 2311007 */ // Label 31882: @2311007
     /* 2311007 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2311038), // Rule ID 1734 //
     /* 2311012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2311015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311026 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2311029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311037 */   // GIR_Coverage, 1734,
     /* 2311037 */   GIR_EraseRootFromParent_Done,
     /* 2311038 */ // Label 31883: @2311038
     /* 2311038 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2311069), // Rule ID 1759 //
     /* 2311043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2311046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311057 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311068 */   // GIR_Coverage, 1759,
     /* 2311068 */   GIR_EraseRootFromParent_Done,
     /* 2311069 */ // Label 31884: @2311069
     /* 2311069 */ GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2311100), // Rule ID 1760 //
     /* 2311074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2311077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311088 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2311088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2311091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311099 */   // GIR_Coverage, 1760,
     /* 2311099 */   GIR_EraseRootFromParent_Done,
     /* 2311100 */ // Label 31885: @2311100
     /* 2311100 */ GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2311131), // Rule ID 2075 //
     /* 2311105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2311108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311119 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311130 */   // GIR_Coverage, 2075,
     /* 2311130 */   GIR_EraseRootFromParent_Done,
     /* 2311131 */ // Label 31886: @2311131
     /* 2311131 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2311162), // Rule ID 2076 //
     /* 2311136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2311139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311150 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2311153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311161 */   // GIR_Coverage, 2076,
     /* 2311161 */   GIR_EraseRootFromParent_Done,
     /* 2311162 */ // Label 31887: @2311162
     /* 2311162 */ GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2311193), // Rule ID 2101 //
     /* 2311167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2311170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311181 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311192 */   // GIR_Coverage, 2101,
     /* 2311192 */   GIR_EraseRootFromParent_Done,
     /* 2311193 */ // Label 31888: @2311193
     /* 2311193 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2311224), // Rule ID 2102 //
     /* 2311198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2311201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311212 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2311212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2311215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311223 */   // GIR_Coverage, 2102,
     /* 2311223 */   GIR_EraseRootFromParent_Done,
     /* 2311224 */ // Label 31889: @2311224
     /* 2311224 */ GIM_Reject,
     /* 2311225 */ // Label 31855: @2311225
     /* 2311225 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2311256), // Rule ID 1396 //
     /* 2311230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2311233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311244 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2311247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311255 */   // GIR_Coverage, 1396,
     /* 2311255 */   GIR_EraseRootFromParent_Done,
     /* 2311256 */ // Label 31890: @2311256
     /* 2311256 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2311287), // Rule ID 1424 //
     /* 2311261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2311264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311275 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2311275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2311278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311286 */   // GIR_Coverage, 1424,
     /* 2311286 */   GIR_EraseRootFromParent_Done,
     /* 2311287 */ // Label 31891: @2311287
     /* 2311287 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2311318), // Rule ID 1796 //
     /* 2311292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2311295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311306 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2311309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311317 */   // GIR_Coverage, 1796,
     /* 2311317 */   GIR_EraseRootFromParent_Done,
     /* 2311318 */ // Label 31892: @2311318
     /* 2311318 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2311349), // Rule ID 1824 //
     /* 2311323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311337 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2311337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2311340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311348 */   // GIR_Coverage, 1824,
     /* 2311348 */   GIR_EraseRootFromParent_Done,
     /* 2311349 */ // Label 31893: @2311349
     /* 2311349 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2311380), // Rule ID 2130 //
     /* 2311354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2311357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311368 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2311371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311379 */   // GIR_Coverage, 2130,
     /* 2311379 */   GIR_EraseRootFromParent_Done,
     /* 2311380 */ // Label 31894: @2311380
     /* 2311380 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2311411), // Rule ID 2156 //
     /* 2311385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2311388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311399 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2311399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2311402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311410 */   // GIR_Coverage, 2156,
     /* 2311410 */   GIR_EraseRootFromParent_Done,
     /* 2311411 */ // Label 31895: @2311411
     /* 2311411 */ GIM_Reject,
     /* 2311412 */ // Label 31856: @2311412
     /* 2311412 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2311515),
     /* 2311417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311428 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2311471), // Rule ID 45691 //
     /* 2311433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311436 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311470 */     // GIR_Coverage, 45691,
     /* 2311470 */     GIR_EraseRootFromParent_Done,
     /* 2311471 */   // Label 31897: @2311471
     /* 2311471 */   GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2311514), // Rule ID 45692 //
     /* 2311476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311479 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2311482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2311496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311513 */     // GIR_Coverage, 45692,
     /* 2311513 */     GIR_EraseRootFromParent_Done,
     /* 2311514 */   // Label 31898: @2311514
     /* 2311514 */   GIM_Reject,
     /* 2311515 */ // Label 31896: @2311515
     /* 2311515 */ GIM_Reject,
     /* 2311516 */ // Label 31857: @2311516
     /* 2311516 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2311570), // Rule ID 45675 //
     /* 2311521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311535 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311535 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311538 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311542 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311547 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311554 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311569 */   // GIR_Coverage, 45675,
     /* 2311569 */   GIR_EraseRootFromParent_Done,
     /* 2311570 */ // Label 31899: @2311570
     /* 2311570 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2311624), // Rule ID 45676 //
     /* 2311575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311589 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311589 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311592 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311596 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2311606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311611 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311623 */   // GIR_Coverage, 45676,
     /* 2311623 */   GIR_EraseRootFromParent_Done,
     /* 2311624 */ // Label 31900: @2311624
     /* 2311624 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2311678), // Rule ID 58415 //
     /* 2311629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311643 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2311660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311677 */   // GIR_Coverage, 58415,
     /* 2311677 */   GIR_EraseRootFromParent_Done,
     /* 2311678 */ // Label 31901: @2311678
     /* 2311678 */ GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2311732), // Rule ID 58416 //
     /* 2311683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311697 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2311714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311731 */   // GIR_Coverage, 58416,
     /* 2311731 */   GIR_EraseRootFromParent_Done,
     /* 2311732 */ // Label 31902: @2311732
     /* 2311732 */ GIM_Reject,
     /* 2311733 */ // Label 31858: @2311733
     /* 2311733 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2311787), // Rule ID 45683 //
     /* 2311738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311752 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2311769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311786 */   // GIR_Coverage, 45683,
     /* 2311786 */   GIR_EraseRootFromParent_Done,
     /* 2311787 */ // Label 31903: @2311787
     /* 2311787 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2311841), // Rule ID 45684 //
     /* 2311792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311806 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2311823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311840 */   // GIR_Coverage, 45684,
     /* 2311840 */   GIR_EraseRootFromParent_Done,
     /* 2311841 */ // Label 31904: @2311841
     /* 2311841 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2311895), // Rule ID 57983 //
     /* 2311846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311860 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2311877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311894 */   // GIR_Coverage, 57983,
     /* 2311894 */   GIR_EraseRootFromParent_Done,
     /* 2311895 */ // Label 31905: @2311895
     /* 2311895 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2311949), // Rule ID 57984 //
     /* 2311900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311914 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2311931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311948 */   // GIR_Coverage, 57984,
     /* 2311948 */   GIR_EraseRootFromParent_Done,
     /* 2311949 */ // Label 31906: @2311949
     /* 2311949 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2312003), // Rule ID 58435 //
     /* 2311954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2311957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311968 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2311985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312002 */   // GIR_Coverage, 58435,
     /* 2312002 */   GIR_EraseRootFromParent_Done,
     /* 2312003 */ // Label 31907: @2312003
     /* 2312003 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2312057), // Rule ID 58436 //
     /* 2312008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312022 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312056 */   // GIR_Coverage, 58436,
     /* 2312056 */   GIR_EraseRootFromParent_Done,
     /* 2312057 */ // Label 31908: @2312057
     /* 2312057 */ GIM_Reject,
     /* 2312058 */ // Label 31859: @2312058
     /* 2312058 */ GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2312112), // Rule ID 57995 //
     /* 2312063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312077 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312089 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312096 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312111 */   // GIR_Coverage, 57995,
     /* 2312111 */   GIR_EraseRootFromParent_Done,
     /* 2312112 */ // Label 31909: @2312112
     /* 2312112 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2312166), // Rule ID 57996 //
     /* 2312117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312131 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312131 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312134 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312138 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312165 */   // GIR_Coverage, 57996,
     /* 2312165 */   GIR_EraseRootFromParent_Done,
     /* 2312166 */ // Label 31910: @2312166
     /* 2312166 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2312220), // Rule ID 58227 //
     /* 2312171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312185 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312219 */   // GIR_Coverage, 58227,
     /* 2312219 */   GIR_EraseRootFromParent_Done,
     /* 2312220 */ // Label 31911: @2312220
     /* 2312220 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2312274), // Rule ID 58228 //
     /* 2312225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312239 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312258 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312261 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312273 */   // GIR_Coverage, 58228,
     /* 2312273 */   GIR_EraseRootFromParent_Done,
     /* 2312274 */ // Label 31912: @2312274
     /* 2312274 */ GIM_Reject,
     /* 2312275 */ // Label 31860: @2312275
     /* 2312275 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2312378),
     /* 2312280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312291 */   GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2312334), // Rule ID 58395 //
     /* 2312296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312299 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312333 */     // GIR_Coverage, 58395,
     /* 2312333 */     GIR_EraseRootFromParent_Done,
     /* 2312334 */   // Label 31914: @2312334
     /* 2312334 */   GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2312377), // Rule ID 58396 //
     /* 2312339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312342 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2312345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2312359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312376 */     // GIR_Coverage, 58396,
     /* 2312376 */     GIR_EraseRootFromParent_Done,
     /* 2312377 */   // Label 31915: @2312377
     /* 2312377 */   GIM_Reject,
     /* 2312378 */ // Label 31913: @2312378
     /* 2312378 */ GIM_Reject,
     /* 2312379 */ // Label 31861: @2312379
     /* 2312379 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2312433), // Rule ID 57979 //
     /* 2312384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312398 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312420 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312432 */   // GIR_Coverage, 57979,
     /* 2312432 */   GIR_EraseRootFromParent_Done,
     /* 2312433 */ // Label 31916: @2312433
     /* 2312433 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2312487), // Rule ID 57980 //
     /* 2312438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312452 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2312469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312486 */   // GIR_Coverage, 57980,
     /* 2312486 */   GIR_EraseRootFromParent_Done,
     /* 2312487 */ // Label 31917: @2312487
     /* 2312487 */ GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2312541), // Rule ID 58419 //
     /* 2312492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312506 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312525 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312528 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312540 */   // GIR_Coverage, 58419,
     /* 2312540 */   GIR_EraseRootFromParent_Done,
     /* 2312541 */ // Label 31918: @2312541
     /* 2312541 */ GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2312595), // Rule ID 58420 //
     /* 2312546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312560 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2312577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312594 */   // GIR_Coverage, 58420,
     /* 2312594 */   GIR_EraseRootFromParent_Done,
     /* 2312595 */ // Label 31919: @2312595
     /* 2312595 */ GIM_Reject,
     /* 2312596 */ // Label 31862: @2312596
     /* 2312596 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2312650), // Rule ID 57991 //
     /* 2312601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312615 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312615 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312618 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312622 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312634 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312649 */   // GIR_Coverage, 57991,
     /* 2312649 */   GIR_EraseRootFromParent_Done,
     /* 2312650 */ // Label 31920: @2312650
     /* 2312650 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2312704), // Rule ID 57992 //
     /* 2312655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312669 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2312686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312691 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312703 */   // GIR_Coverage, 57992,
     /* 2312703 */   GIR_EraseRootFromParent_Done,
     /* 2312704 */ // Label 31921: @2312704
     /* 2312704 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2312758), // Rule ID 58211 //
     /* 2312709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312723 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312757 */   // GIR_Coverage, 58211,
     /* 2312757 */   GIR_EraseRootFromParent_Done,
     /* 2312758 */ // Label 31922: @2312758
     /* 2312758 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2312812), // Rule ID 58212 //
     /* 2312763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312777 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2312794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312811 */   // GIR_Coverage, 58212,
     /* 2312811 */   GIR_EraseRootFromParent_Done,
     /* 2312812 */ // Label 31923: @2312812
     /* 2312812 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2312866), // Rule ID 58439 //
     /* 2312817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312831 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312865 */   // GIR_Coverage, 58439,
     /* 2312865 */   GIR_EraseRootFromParent_Done,
     /* 2312866 */ // Label 31924: @2312866
     /* 2312866 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2312920), // Rule ID 58440 //
     /* 2312871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312885 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312919 */   // GIR_Coverage, 58440,
     /* 2312919 */   GIR_EraseRootFromParent_Done,
     /* 2312920 */ // Label 31925: @2312920
     /* 2312920 */ GIM_Reject,
     /* 2312921 */ // Label 31863: @2312921
     /* 2312921 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2312975), // Rule ID 58023 //
     /* 2312926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312940 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312940 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312943 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312947 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2312957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312962 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312974 */   // GIR_Coverage, 58023,
     /* 2312974 */   GIR_EraseRootFromParent_Done,
     /* 2312975 */ // Label 31926: @2312975
     /* 2312975 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2313029), // Rule ID 58024 //
     /* 2312980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312994 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313028 */   // GIR_Coverage, 58024,
     /* 2313028 */   GIR_EraseRootFromParent_Done,
     /* 2313029 */ // Label 31927: @2313029
     /* 2313029 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2313083), // Rule ID 58231 //
     /* 2313034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313048 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313082 */   // GIR_Coverage, 58231,
     /* 2313082 */   GIR_EraseRootFromParent_Done,
     /* 2313083 */ // Label 31928: @2313083
     /* 2313083 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2313137), // Rule ID 58232 //
     /* 2313088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2313094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313102 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313136 */   // GIR_Coverage, 58232,
     /* 2313136 */   GIR_EraseRootFromParent_Done,
     /* 2313137 */ // Label 31929: @2313137
     /* 2313137 */ GIM_Reject,
     /* 2313138 */ // Label 31864: @2313138
     /* 2313138 */ GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2313241),
     /* 2313143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313154 */   GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2313197), // Rule ID 58399 //
     /* 2313159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313162 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313196 */     // GIR_Coverage, 58399,
     /* 2313196 */     GIR_EraseRootFromParent_Done,
     /* 2313197 */   // Label 31931: @2313197
     /* 2313197 */   GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2313240), // Rule ID 58400 //
     /* 2313202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313205 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2313208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2313222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313239 */     // GIR_Coverage, 58400,
     /* 2313239 */     GIR_EraseRootFromParent_Done,
     /* 2313240 */   // Label 31932: @2313240
     /* 2313240 */   GIM_Reject,
     /* 2313241 */ // Label 31930: @2313241
     /* 2313241 */ GIM_Reject,
     /* 2313242 */ // Label 31865: @2313242
     /* 2313242 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2313296), // Rule ID 57987 //
     /* 2313247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313261 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313295 */   // GIR_Coverage, 57987,
     /* 2313295 */   GIR_EraseRootFromParent_Done,
     /* 2313296 */ // Label 31933: @2313296
     /* 2313296 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2313350), // Rule ID 57988 //
     /* 2313301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313315 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2313332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313349 */   // GIR_Coverage, 57988,
     /* 2313349 */   GIR_EraseRootFromParent_Done,
     /* 2313350 */ // Label 31934: @2313350
     /* 2313350 */ GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2313404), // Rule ID 58423 //
     /* 2313355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313369 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313403 */   // GIR_Coverage, 58423,
     /* 2313403 */   GIR_EraseRootFromParent_Done,
     /* 2313404 */ // Label 31935: @2313404
     /* 2313404 */ GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2313458), // Rule ID 58424 //
     /* 2313409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313423 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2313440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313445 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313457 */   // GIR_Coverage, 58424,
     /* 2313457 */   GIR_EraseRootFromParent_Done,
     /* 2313458 */ // Label 31936: @2313458
     /* 2313458 */ GIM_Reject,
     /* 2313459 */ // Label 31866: @2313459
     /* 2313459 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2313513), // Rule ID 58011 //
     /* 2313464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313478 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313490 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313497 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313500 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313512 */   // GIR_Coverage, 58011,
     /* 2313512 */   GIR_EraseRootFromParent_Done,
     /* 2313513 */ // Label 31937: @2313513
     /* 2313513 */ GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2313567), // Rule ID 58012 //
     /* 2313518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313532 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2313549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313551 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313566 */   // GIR_Coverage, 58012,
     /* 2313566 */   GIR_EraseRootFromParent_Done,
     /* 2313567 */ // Label 31938: @2313567
     /* 2313567 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2313621), // Rule ID 58215 //
     /* 2313572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313586 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313620 */   // GIR_Coverage, 58215,
     /* 2313620 */   GIR_EraseRootFromParent_Done,
     /* 2313621 */ // Label 31939: @2313621
     /* 2313621 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2313675), // Rule ID 58216 //
     /* 2313626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313640 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313640 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313643 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313647 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313652 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2313657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313674 */   // GIR_Coverage, 58216,
     /* 2313674 */   GIR_EraseRootFromParent_Done,
     /* 2313675 */ // Label 31940: @2313675
     /* 2313675 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2313729), // Rule ID 58443 //
     /* 2313680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2313683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313694 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313694 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313697 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313701 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313706 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313713 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313728 */   // GIR_Coverage, 58443,
     /* 2313728 */   GIR_EraseRootFromParent_Done,
     /* 2313729 */ // Label 31941: @2313729
     /* 2313729 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2313783), // Rule ID 58444 //
     /* 2313734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313748 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313748 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313751 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313755 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313760 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313767 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313770 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313782 */   // GIR_Coverage, 58444,
     /* 2313782 */   GIR_EraseRootFromParent_Done,
     /* 2313783 */ // Label 31942: @2313783
     /* 2313783 */ GIM_Reject,
     /* 2313784 */ // Label 31867: @2313784
     /* 2313784 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2313838), // Rule ID 58027 //
     /* 2313789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313803 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313825 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313837 */   // GIR_Coverage, 58027,
     /* 2313837 */   GIR_EraseRootFromParent_Done,
     /* 2313838 */ // Label 31943: @2313838
     /* 2313838 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2313892), // Rule ID 58028 //
     /* 2313843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2313849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313857 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313891 */   // GIR_Coverage, 58028,
     /* 2313891 */   GIR_EraseRootFromParent_Done,
     /* 2313892 */ // Label 31944: @2313892
     /* 2313892 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2313946), // Rule ID 58235 //
     /* 2313897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313911 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2313928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313945 */   // GIR_Coverage, 58235,
     /* 2313945 */   GIR_EraseRootFromParent_Done,
     /* 2313946 */ // Label 31945: @2313946
     /* 2313946 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2314000), // Rule ID 58236 //
     /* 2313951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313965 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2313982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313999 */   // GIR_Coverage, 58236,
     /* 2313999 */   GIR_EraseRootFromParent_Done,
     /* 2314000 */ // Label 31946: @2314000
     /* 2314000 */ GIM_Reject,
     /* 2314001 */ // Label 31868: @2314001
     /* 2314001 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2314104),
     /* 2314006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314017 */   GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2314060), // Rule ID 58403 //
     /* 2314022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314025 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314059 */     // GIR_Coverage, 58403,
     /* 2314059 */     GIR_EraseRootFromParent_Done,
     /* 2314060 */   // Label 31948: @2314060
     /* 2314060 */   GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2314103), // Rule ID 58404 //
     /* 2314065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314068 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2314071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2314085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314102 */     // GIR_Coverage, 58404,
     /* 2314102 */     GIR_EraseRootFromParent_Done,
     /* 2314103 */   // Label 31949: @2314103
     /* 2314103 */   GIM_Reject,
     /* 2314104 */ // Label 31947: @2314104
     /* 2314104 */ GIM_Reject,
     /* 2314105 */ // Label 31869: @2314105
     /* 2314105 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2314159), // Rule ID 57999 //
     /* 2314110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314124 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314158 */   // GIR_Coverage, 57999,
     /* 2314158 */   GIR_EraseRootFromParent_Done,
     /* 2314159 */ // Label 31950: @2314159
     /* 2314159 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2314213), // Rule ID 58000 //
     /* 2314164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314178 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2314195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314212 */   // GIR_Coverage, 58000,
     /* 2314212 */   GIR_EraseRootFromParent_Done,
     /* 2314213 */ // Label 31951: @2314213
     /* 2314213 */ GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2314267), // Rule ID 58427 //
     /* 2314218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314232 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314266 */   // GIR_Coverage, 58427,
     /* 2314266 */   GIR_EraseRootFromParent_Done,
     /* 2314267 */ // Label 31952: @2314267
     /* 2314267 */ GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2314321), // Rule ID 58428 //
     /* 2314272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314286 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314308 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314320 */   // GIR_Coverage, 58428,
     /* 2314320 */   GIR_EraseRootFromParent_Done,
     /* 2314321 */ // Label 31953: @2314321
     /* 2314321 */ GIM_Reject,
     /* 2314322 */ // Label 31870: @2314322
     /* 2314322 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2314376), // Rule ID 58015 //
     /* 2314327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314341 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314375 */   // GIR_Coverage, 58015,
     /* 2314375 */   GIR_EraseRootFromParent_Done,
     /* 2314376 */ // Label 31954: @2314376
     /* 2314376 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2314430), // Rule ID 58016 //
     /* 2314381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314395 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2314412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314429 */   // GIR_Coverage, 58016,
     /* 2314429 */   GIR_EraseRootFromParent_Done,
     /* 2314430 */ // Label 31955: @2314430
     /* 2314430 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2314484), // Rule ID 58219 //
     /* 2314435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314449 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314483 */   // GIR_Coverage, 58219,
     /* 2314483 */   GIR_EraseRootFromParent_Done,
     /* 2314484 */ // Label 31956: @2314484
     /* 2314484 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2314538), // Rule ID 58220 //
     /* 2314489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314503 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2314520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314537 */   // GIR_Coverage, 58220,
     /* 2314537 */   GIR_EraseRootFromParent_Done,
     /* 2314538 */ // Label 31957: @2314538
     /* 2314538 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2314592), // Rule ID 58447 //
     /* 2314543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2314546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314557 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2314574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314591 */   // GIR_Coverage, 58447,
     /* 2314591 */   GIR_EraseRootFromParent_Done,
     /* 2314592 */ // Label 31958: @2314592
     /* 2314592 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2314646), // Rule ID 58448 //
     /* 2314597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2314600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314611 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2314628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314645 */   // GIR_Coverage, 58448,
     /* 2314645 */   GIR_EraseRootFromParent_Done,
     /* 2314646 */ // Label 31959: @2314646
     /* 2314646 */ GIM_Reject,
     /* 2314647 */ // Label 31871: @2314647
     /* 2314647 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2314701), // Rule ID 58031 //
     /* 2314652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2314655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314666 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2314683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314700 */   // GIR_Coverage, 58031,
     /* 2314700 */   GIR_EraseRootFromParent_Done,
     /* 2314701 */ // Label 31960: @2314701
     /* 2314701 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2314755), // Rule ID 58032 //
     /* 2314706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2314709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2314712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314720 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2314737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314754 */   // GIR_Coverage, 58032,
     /* 2314754 */   GIR_EraseRootFromParent_Done,
     /* 2314755 */ // Label 31961: @2314755
     /* 2314755 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2314809), // Rule ID 58239 //
     /* 2314760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2314763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314774 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2314791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314808 */   // GIR_Coverage, 58239,
     /* 2314808 */   GIR_EraseRootFromParent_Done,
     /* 2314809 */ // Label 31962: @2314809
     /* 2314809 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2314863), // Rule ID 58240 //
     /* 2314814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2314817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314828 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2314845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314862 */   // GIR_Coverage, 58240,
     /* 2314862 */   GIR_EraseRootFromParent_Done,
     /* 2314863 */ // Label 31963: @2314863
     /* 2314863 */ GIM_Reject,
     /* 2314864 */ // Label 31872: @2314864
     /* 2314864 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2314967),
     /* 2314869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2314872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314880 */   GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2314923), // Rule ID 58407 //
     /* 2314885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314888 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2314891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314922 */     // GIR_Coverage, 58407,
     /* 2314922 */     GIR_EraseRootFromParent_Done,
     /* 2314923 */   // Label 31965: @2314923
     /* 2314923 */   GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2314966), // Rule ID 58408 //
     /* 2314928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314931 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2314934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2314948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314965 */     // GIR_Coverage, 58408,
     /* 2314965 */     GIR_EraseRootFromParent_Done,
     /* 2314966 */   // Label 31966: @2314966
     /* 2314966 */   GIM_Reject,
     /* 2314967 */ // Label 31964: @2314967
     /* 2314967 */ GIM_Reject,
     /* 2314968 */ // Label 31873: @2314968
     /* 2314968 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2315022), // Rule ID 58003 //
     /* 2314973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2314979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314987 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2314990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315021 */   // GIR_Coverage, 58003,
     /* 2315021 */   GIR_EraseRootFromParent_Done,
     /* 2315022 */ // Label 31967: @2315022
     /* 2315022 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2315076), // Rule ID 58004 //
     /* 2315027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315041 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2315058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315075 */   // GIR_Coverage, 58004,
     /* 2315075 */   GIR_EraseRootFromParent_Done,
     /* 2315076 */ // Label 31968: @2315076
     /* 2315076 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2315130), // Rule ID 58431 //
     /* 2315081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315095 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315129 */   // GIR_Coverage, 58431,
     /* 2315129 */   GIR_EraseRootFromParent_Done,
     /* 2315130 */ // Label 31969: @2315130
     /* 2315130 */ GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2315184), // Rule ID 58432 //
     /* 2315135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315149 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315183 */   // GIR_Coverage, 58432,
     /* 2315183 */   GIR_EraseRootFromParent_Done,
     /* 2315184 */ // Label 31970: @2315184
     /* 2315184 */ GIM_Reject,
     /* 2315185 */ // Label 31874: @2315185
     /* 2315185 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2315239), // Rule ID 58019 //
     /* 2315190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315204 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315238 */   // GIR_Coverage, 58019,
     /* 2315238 */   GIR_EraseRootFromParent_Done,
     /* 2315239 */ // Label 31971: @2315239
     /* 2315239 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2315293), // Rule ID 58020 //
     /* 2315244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315258 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315292 */   // GIR_Coverage, 58020,
     /* 2315292 */   GIR_EraseRootFromParent_Done,
     /* 2315293 */ // Label 31972: @2315293
     /* 2315293 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2315347), // Rule ID 58223 //
     /* 2315298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315312 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315346 */   // GIR_Coverage, 58223,
     /* 2315346 */   GIR_EraseRootFromParent_Done,
     /* 2315347 */ // Label 31973: @2315347
     /* 2315347 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2315401), // Rule ID 58224 //
     /* 2315352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2315358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315366 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2315369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315378 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2315383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315385 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315400 */   // GIR_Coverage, 58224,
     /* 2315400 */   GIR_EraseRootFromParent_Done,
     /* 2315401 */ // Label 31974: @2315401
     /* 2315401 */ GIM_Reject,
     /* 2315402 */ // Label 31875: @2315402
     /* 2315402 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2315505),
     /* 2315407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315418 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2315461), // Rule ID 58411 //
     /* 2315423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315426 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315460 */     // GIR_Coverage, 58411,
     /* 2315460 */     GIR_EraseRootFromParent_Done,
     /* 2315461 */   // Label 31976: @2315461
     /* 2315461 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2315504), // Rule ID 58412 //
     /* 2315466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315469 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2315472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2315486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315503 */     // GIR_Coverage, 58412,
     /* 2315503 */     GIR_EraseRootFromParent_Done,
     /* 2315504 */   // Label 31977: @2315504
     /* 2315504 */   GIM_Reject,
     /* 2315505 */ // Label 31975: @2315505
     /* 2315505 */ GIM_Reject,
     /* 2315506 */ // Label 31876: @2315506
     /* 2315506 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2315609),
     /* 2315511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2315514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315522 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2315565), // Rule ID 58007 //
     /* 2315527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315530 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315564 */     // GIR_Coverage, 58007,
     /* 2315564 */     GIR_EraseRootFromParent_Done,
     /* 2315565 */   // Label 31979: @2315565
     /* 2315565 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2315608), // Rule ID 58008 //
     /* 2315570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315573 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2315576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2315590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315607 */     // GIR_Coverage, 58008,
     /* 2315607 */     GIR_EraseRootFromParent_Done,
     /* 2315608 */   // Label 31980: @2315608
     /* 2315608 */   GIM_Reject,
     /* 2315609 */ // Label 31978: @2315609
     /* 2315609 */ GIM_Reject,
     /* 2315610 */ // Label 31877: @2315610
     /* 2315610 */ GIM_Reject,
     /* 2315611 */ // Label 68: @2315611
     /* 2315611 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32004*/ GIMT_Encode4(2320496),
     /* 2315622 */ /*GILLT_s32*//*Label 31981*/ GIMT_Encode4(2315738),
     /* 2315626 */ /*GILLT_s64*//*Label 31982*/ GIMT_Encode4(2316111), GIMT_Encode4(0),
     /* 2315634 */ /*GILLT_nxv1s8*//*Label 31983*/ GIMT_Encode4(2316298),
     /* 2315638 */ /*GILLT_nxv1s16*//*Label 31984*/ GIMT_Encode4(2316402),
     /* 2315642 */ /*GILLT_nxv1s32*//*Label 31985*/ GIMT_Encode4(2316619),
     /* 2315646 */ /*GILLT_nxv1s64*//*Label 31986*/ GIMT_Encode4(2316944), GIMT_Encode4(0),
     /* 2315654 */ /*GILLT_nxv2s8*//*Label 31987*/ GIMT_Encode4(2317161),
     /* 2315658 */ /*GILLT_nxv2s16*//*Label 31988*/ GIMT_Encode4(2317265),
     /* 2315662 */ /*GILLT_nxv2s32*//*Label 31989*/ GIMT_Encode4(2317482),
     /* 2315666 */ /*GILLT_nxv2s64*//*Label 31990*/ GIMT_Encode4(2317807), GIMT_Encode4(0),
     /* 2315674 */ /*GILLT_nxv4s8*//*Label 31991*/ GIMT_Encode4(2318024),
     /* 2315678 */ /*GILLT_nxv4s16*//*Label 31992*/ GIMT_Encode4(2318128),
     /* 2315682 */ /*GILLT_nxv4s32*//*Label 31993*/ GIMT_Encode4(2318345),
     /* 2315686 */ /*GILLT_nxv4s64*//*Label 31994*/ GIMT_Encode4(2318670), GIMT_Encode4(0),
     /* 2315694 */ /*GILLT_nxv8s8*//*Label 31995*/ GIMT_Encode4(2318887),
     /* 2315698 */ /*GILLT_nxv8s16*//*Label 31996*/ GIMT_Encode4(2318991),
     /* 2315702 */ /*GILLT_nxv8s32*//*Label 31997*/ GIMT_Encode4(2319208),
     /* 2315706 */ /*GILLT_nxv8s64*//*Label 31998*/ GIMT_Encode4(2319533), GIMT_Encode4(0),
     /* 2315714 */ /*GILLT_nxv16s8*//*Label 31999*/ GIMT_Encode4(2319750),
     /* 2315718 */ /*GILLT_nxv16s16*//*Label 32000*/ GIMT_Encode4(2319854),
     /* 2315722 */ /*GILLT_nxv16s32*//*Label 32001*/ GIMT_Encode4(2320071), GIMT_Encode4(0),
     /* 2315730 */ /*GILLT_nxv32s8*//*Label 32002*/ GIMT_Encode4(2320288),
     /* 2315734 */ /*GILLT_nxv32s16*//*Label 32003*/ GIMT_Encode4(2320392),
     /* 2315738 */ // Label 31981: @2315738
     /* 2315738 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2315769), // Rule ID 1343 //
     /* 2315743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2315746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315757 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2315760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315762 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315768 */   // GIR_Coverage, 1343,
     /* 2315768 */   GIR_EraseRootFromParent_Done,
     /* 2315769 */ // Label 32005: @2315769
     /* 2315769 */ GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2315800), // Rule ID 1344 //
     /* 2315774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2315777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315788 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2315791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315799 */   // GIR_Coverage, 1344,
     /* 2315799 */   GIR_EraseRootFromParent_Done,
     /* 2315800 */ // Label 32006: @2315800
     /* 2315800 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2315831), // Rule ID 1369 //
     /* 2315805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2315808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315819 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2315822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315830 */   // GIR_Coverage, 1369,
     /* 2315830 */   GIR_EraseRootFromParent_Done,
     /* 2315831 */ // Label 32007: @2315831
     /* 2315831 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2315862), // Rule ID 1370 //
     /* 2315836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2315839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315850 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2315853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315861 */   // GIR_Coverage, 1370,
     /* 2315861 */   GIR_EraseRootFromParent_Done,
     /* 2315862 */ // Label 32008: @2315862
     /* 2315862 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2315893), // Rule ID 1737 //
     /* 2315867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2315870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315881 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2315884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315886 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315892 */   // GIR_Coverage, 1737,
     /* 2315892 */   GIR_EraseRootFromParent_Done,
     /* 2315893 */ // Label 32009: @2315893
     /* 2315893 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2315924), // Rule ID 1738 //
     /* 2315898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2315901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315912 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2315912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2315915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315923 */   // GIR_Coverage, 1738,
     /* 2315923 */   GIR_EraseRootFromParent_Done,
     /* 2315924 */ // Label 32010: @2315924
     /* 2315924 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2315955), // Rule ID 1763 //
     /* 2315929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2315932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315943 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2315946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315948 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315954 */   // GIR_Coverage, 1763,
     /* 2315954 */   GIR_EraseRootFromParent_Done,
     /* 2315955 */ // Label 32011: @2315955
     /* 2315955 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2315986), // Rule ID 1764 //
     /* 2315960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2315963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315974 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2315974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2315977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315985 */   // GIR_Coverage, 1764,
     /* 2315985 */   GIR_EraseRootFromParent_Done,
     /* 2315986 */ // Label 32012: @2315986
     /* 2315986 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2316017), // Rule ID 2079 //
     /* 2315991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2315994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316005 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316016 */   // GIR_Coverage, 2079,
     /* 2316016 */   GIR_EraseRootFromParent_Done,
     /* 2316017 */ // Label 32013: @2316017
     /* 2316017 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2316048), // Rule ID 2080 //
     /* 2316022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2316025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316036 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2316039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316047 */   // GIR_Coverage, 2080,
     /* 2316047 */   GIR_EraseRootFromParent_Done,
     /* 2316048 */ // Label 32014: @2316048
     /* 2316048 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2316079), // Rule ID 2105 //
     /* 2316053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2316056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316067 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316072 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316078 */   // GIR_Coverage, 2105,
     /* 2316078 */   GIR_EraseRootFromParent_Done,
     /* 2316079 */ // Label 32015: @2316079
     /* 2316079 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2316110), // Rule ID 2106 //
     /* 2316084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2316087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316098 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2316098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2316101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316109 */   // GIR_Coverage, 2106,
     /* 2316109 */   GIR_EraseRootFromParent_Done,
     /* 2316110 */ // Label 32016: @2316110
     /* 2316110 */ GIM_Reject,
     /* 2316111 */ // Label 31982: @2316111
     /* 2316111 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2316142), // Rule ID 1398 //
     /* 2316116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2316119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2316130 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2316133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316141 */   // GIR_Coverage, 1398,
     /* 2316141 */   GIR_EraseRootFromParent_Done,
     /* 2316142 */ // Label 32017: @2316142
     /* 2316142 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2316173), // Rule ID 1426 //
     /* 2316147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2316150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2316161 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2316161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2316164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316172 */   // GIR_Coverage, 1426,
     /* 2316172 */   GIR_EraseRootFromParent_Done,
     /* 2316173 */ // Label 32018: @2316173
     /* 2316173 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2316204), // Rule ID 1798 //
     /* 2316178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2316181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2316192 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2316195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316197 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316203 */   // GIR_Coverage, 1798,
     /* 2316203 */   GIR_EraseRootFromParent_Done,
     /* 2316204 */ // Label 32019: @2316204
     /* 2316204 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2316235), // Rule ID 1826 //
     /* 2316209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2316212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2316215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316223 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2316223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2316226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316228 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316234 */   // GIR_Coverage, 1826,
     /* 2316234 */   GIR_EraseRootFromParent_Done,
     /* 2316235 */ // Label 32020: @2316235
     /* 2316235 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2316266), // Rule ID 2132 //
     /* 2316240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2316243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2316254 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2316257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316265 */   // GIR_Coverage, 2132,
     /* 2316265 */   GIR_EraseRootFromParent_Done,
     /* 2316266 */ // Label 32021: @2316266
     /* 2316266 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2316297), // Rule ID 2158 //
     /* 2316271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2316274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2316285 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2316285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2316288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316290 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316296 */   // GIR_Coverage, 2158,
     /* 2316296 */   GIR_EraseRootFromParent_Done,
     /* 2316297 */ // Label 32022: @2316297
     /* 2316297 */ GIM_Reject,
     /* 2316298 */ // Label 31983: @2316298
     /* 2316298 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2316401),
     /* 2316303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316314 */   GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2316357), // Rule ID 58451 //
     /* 2316319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316322 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316356 */     // GIR_Coverage, 58451,
     /* 2316356 */     GIR_EraseRootFromParent_Done,
     /* 2316357 */   // Label 32024: @2316357
     /* 2316357 */   GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2316400), // Rule ID 58452 //
     /* 2316362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316365 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2316382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316399 */     // GIR_Coverage, 58452,
     /* 2316399 */     GIR_EraseRootFromParent_Done,
     /* 2316400 */   // Label 32025: @2316400
     /* 2316400 */   GIM_Reject,
     /* 2316401 */ // Label 32023: @2316401
     /* 2316401 */ GIM_Reject,
     /* 2316402 */ // Label 31984: @2316402
     /* 2316402 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2316456), // Rule ID 58035 //
     /* 2316407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316421 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316455 */   // GIR_Coverage, 58035,
     /* 2316455 */   GIR_EraseRootFromParent_Done,
     /* 2316456 */ // Label 32026: @2316456
     /* 2316456 */ GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2316510), // Rule ID 58036 //
     /* 2316461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316475 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2316492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316509 */   // GIR_Coverage, 58036,
     /* 2316509 */   GIR_EraseRootFromParent_Done,
     /* 2316510 */ // Label 32027: @2316510
     /* 2316510 */ GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2316564), // Rule ID 58475 //
     /* 2316515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316529 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316563 */   // GIR_Coverage, 58475,
     /* 2316563 */   GIR_EraseRootFromParent_Done,
     /* 2316564 */ // Label 32028: @2316564
     /* 2316564 */ GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2316618), // Rule ID 58476 //
     /* 2316569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316583 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2316600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316617 */   // GIR_Coverage, 58476,
     /* 2316617 */   GIR_EraseRootFromParent_Done,
     /* 2316618 */ // Label 32029: @2316618
     /* 2316618 */ GIM_Reject,
     /* 2316619 */ // Label 31985: @2316619
     /* 2316619 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2316673), // Rule ID 58043 //
     /* 2316624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316638 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2316655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316672 */   // GIR_Coverage, 58043,
     /* 2316672 */   GIR_EraseRootFromParent_Done,
     /* 2316673 */ // Label 32030: @2316673
     /* 2316673 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2316727), // Rule ID 58044 //
     /* 2316678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316692 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2316709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316726 */   // GIR_Coverage, 58044,
     /* 2316726 */   GIR_EraseRootFromParent_Done,
     /* 2316727 */ // Label 32031: @2316727
     /* 2316727 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2316781), // Rule ID 58243 //
     /* 2316732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316746 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2316763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316780 */   // GIR_Coverage, 58243,
     /* 2316780 */   GIR_EraseRootFromParent_Done,
     /* 2316781 */ // Label 32032: @2316781
     /* 2316781 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2316835), // Rule ID 58244 //
     /* 2316786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316800 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2316817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316834 */   // GIR_Coverage, 58244,
     /* 2316834 */   GIR_EraseRootFromParent_Done,
     /* 2316835 */ // Label 32033: @2316835
     /* 2316835 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2316889), // Rule ID 58495 //
     /* 2316840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316854 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316888 */   // GIR_Coverage, 58495,
     /* 2316888 */   GIR_EraseRootFromParent_Done,
     /* 2316889 */ // Label 32034: @2316889
     /* 2316889 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2316943), // Rule ID 58496 //
     /* 2316894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2316897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316908 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316908 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316911 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316915 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316930 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316942 */   // GIR_Coverage, 58496,
     /* 2316942 */   GIR_EraseRootFromParent_Done,
     /* 2316943 */ // Label 32035: @2316943
     /* 2316943 */ GIM_Reject,
     /* 2316944 */ // Label 31986: @2316944
     /* 2316944 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2316998), // Rule ID 58055 //
     /* 2316949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2316952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316963 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2316980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316997 */   // GIR_Coverage, 58055,
     /* 2316997 */   GIR_EraseRootFromParent_Done,
     /* 2316998 */ // Label 32036: @2316998
     /* 2316998 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2317052), // Rule ID 58056 //
     /* 2317003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317017 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317051 */   // GIR_Coverage, 58056,
     /* 2317051 */   GIR_EraseRootFromParent_Done,
     /* 2317052 */ // Label 32037: @2317052
     /* 2317052 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2317106), // Rule ID 58263 //
     /* 2317057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317071 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317105 */   // GIR_Coverage, 58263,
     /* 2317105 */   GIR_EraseRootFromParent_Done,
     /* 2317106 */ // Label 32038: @2317106
     /* 2317106 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2317160), // Rule ID 58264 //
     /* 2317111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2317117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317125 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2317128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317159 */   // GIR_Coverage, 58264,
     /* 2317159 */   GIR_EraseRootFromParent_Done,
     /* 2317160 */ // Label 32039: @2317160
     /* 2317160 */ GIM_Reject,
     /* 2317161 */ // Label 31987: @2317161
     /* 2317161 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2317264),
     /* 2317166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317177 */   GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2317220), // Rule ID 58455 //
     /* 2317182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317185 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317219 */     // GIR_Coverage, 58455,
     /* 2317219 */     GIR_EraseRootFromParent_Done,
     /* 2317220 */   // Label 32041: @2317220
     /* 2317220 */   GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2317263), // Rule ID 58456 //
     /* 2317225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317228 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2317231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2317245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317262 */     // GIR_Coverage, 58456,
     /* 2317262 */     GIR_EraseRootFromParent_Done,
     /* 2317263 */   // Label 32042: @2317263
     /* 2317263 */   GIM_Reject,
     /* 2317264 */ // Label 32040: @2317264
     /* 2317264 */ GIM_Reject,
     /* 2317265 */ // Label 31988: @2317265
     /* 2317265 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2317319), // Rule ID 58039 //
     /* 2317270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317284 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317318 */   // GIR_Coverage, 58039,
     /* 2317318 */   GIR_EraseRootFromParent_Done,
     /* 2317319 */ // Label 32043: @2317319
     /* 2317319 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2317373), // Rule ID 58040 //
     /* 2317324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317338 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2317355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317372 */   // GIR_Coverage, 58040,
     /* 2317372 */   GIR_EraseRootFromParent_Done,
     /* 2317373 */ // Label 32044: @2317373
     /* 2317373 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2317427), // Rule ID 58479 //
     /* 2317378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317392 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317426 */   // GIR_Coverage, 58479,
     /* 2317426 */   GIR_EraseRootFromParent_Done,
     /* 2317427 */ // Label 32045: @2317427
     /* 2317427 */ GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2317481), // Rule ID 58480 //
     /* 2317432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317446 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2317463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317480 */   // GIR_Coverage, 58480,
     /* 2317480 */   GIR_EraseRootFromParent_Done,
     /* 2317481 */ // Label 32046: @2317481
     /* 2317481 */ GIM_Reject,
     /* 2317482 */ // Label 31989: @2317482
     /* 2317482 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2317536), // Rule ID 58051 //
     /* 2317487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317501 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317535 */   // GIR_Coverage, 58051,
     /* 2317535 */   GIR_EraseRootFromParent_Done,
     /* 2317536 */ // Label 32047: @2317536
     /* 2317536 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2317590), // Rule ID 58052 //
     /* 2317541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317555 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2317572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317589 */   // GIR_Coverage, 58052,
     /* 2317589 */   GIR_EraseRootFromParent_Done,
     /* 2317590 */ // Label 32048: @2317590
     /* 2317590 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2317644), // Rule ID 58247 //
     /* 2317595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317609 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317643 */   // GIR_Coverage, 58247,
     /* 2317643 */   GIR_EraseRootFromParent_Done,
     /* 2317644 */ // Label 32049: @2317644
     /* 2317644 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2317698), // Rule ID 58248 //
     /* 2317649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317663 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2317680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317697 */   // GIR_Coverage, 58248,
     /* 2317697 */   GIR_EraseRootFromParent_Done,
     /* 2317698 */ // Label 32050: @2317698
     /* 2317698 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2317752), // Rule ID 58499 //
     /* 2317703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317717 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317751 */   // GIR_Coverage, 58499,
     /* 2317751 */   GIR_EraseRootFromParent_Done,
     /* 2317752 */ // Label 32051: @2317752
     /* 2317752 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2317806), // Rule ID 58500 //
     /* 2317757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317771 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317790 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317805 */   // GIR_Coverage, 58500,
     /* 2317805 */   GIR_EraseRootFromParent_Done,
     /* 2317806 */ // Label 32052: @2317806
     /* 2317806 */ GIM_Reject,
     /* 2317807 */ // Label 31990: @2317807
     /* 2317807 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2317861), // Rule ID 58083 //
     /* 2317812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317826 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317860 */   // GIR_Coverage, 58083,
     /* 2317860 */   GIR_EraseRootFromParent_Done,
     /* 2317861 */ // Label 32053: @2317861
     /* 2317861 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2317915), // Rule ID 58084 //
     /* 2317866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317880 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317914 */   // GIR_Coverage, 58084,
     /* 2317914 */   GIR_EraseRootFromParent_Done,
     /* 2317915 */ // Label 32054: @2317915
     /* 2317915 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2317969), // Rule ID 58267 //
     /* 2317920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317934 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2317951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317968 */   // GIR_Coverage, 58267,
     /* 2317968 */   GIR_EraseRootFromParent_Done,
     /* 2317969 */ // Label 32055: @2317969
     /* 2317969 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2318023), // Rule ID 58268 //
     /* 2317974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317988 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318022 */   // GIR_Coverage, 58268,
     /* 2318022 */   GIR_EraseRootFromParent_Done,
     /* 2318023 */ // Label 32056: @2318023
     /* 2318023 */ GIM_Reject,
     /* 2318024 */ // Label 31991: @2318024
     /* 2318024 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2318127),
     /* 2318029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318040 */   GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2318083), // Rule ID 58459 //
     /* 2318045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318048 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318082 */     // GIR_Coverage, 58459,
     /* 2318082 */     GIR_EraseRootFromParent_Done,
     /* 2318083 */   // Label 32058: @2318083
     /* 2318083 */   GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2318126), // Rule ID 58460 //
     /* 2318088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318091 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2318094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2318108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318125 */     // GIR_Coverage, 58460,
     /* 2318125 */     GIR_EraseRootFromParent_Done,
     /* 2318126 */   // Label 32059: @2318126
     /* 2318126 */   GIM_Reject,
     /* 2318127 */ // Label 32057: @2318127
     /* 2318127 */ GIM_Reject,
     /* 2318128 */ // Label 31992: @2318128
     /* 2318128 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2318182), // Rule ID 58047 //
     /* 2318133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318147 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318181 */   // GIR_Coverage, 58047,
     /* 2318181 */   GIR_EraseRootFromParent_Done,
     /* 2318182 */ // Label 32060: @2318182
     /* 2318182 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2318236), // Rule ID 58048 //
     /* 2318187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318201 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2318218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318235 */   // GIR_Coverage, 58048,
     /* 2318235 */   GIR_EraseRootFromParent_Done,
     /* 2318236 */ // Label 32061: @2318236
     /* 2318236 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2318290), // Rule ID 58483 //
     /* 2318241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318255 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318289 */   // GIR_Coverage, 58483,
     /* 2318289 */   GIR_EraseRootFromParent_Done,
     /* 2318290 */ // Label 32062: @2318290
     /* 2318290 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2318344), // Rule ID 58484 //
     /* 2318295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318309 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2318312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318331 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318343 */   // GIR_Coverage, 58484,
     /* 2318343 */   GIR_EraseRootFromParent_Done,
     /* 2318344 */ // Label 32063: @2318344
     /* 2318344 */ GIM_Reject,
     /* 2318345 */ // Label 31993: @2318345
     /* 2318345 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2318399), // Rule ID 58071 //
     /* 2318350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318364 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318376 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318383 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318386 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318398 */   // GIR_Coverage, 58071,
     /* 2318398 */   GIR_EraseRootFromParent_Done,
     /* 2318399 */ // Label 32064: @2318399
     /* 2318399 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2318453), // Rule ID 58072 //
     /* 2318404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318418 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2318435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318452 */   // GIR_Coverage, 58072,
     /* 2318452 */   GIR_EraseRootFromParent_Done,
     /* 2318453 */ // Label 32065: @2318453
     /* 2318453 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2318507), // Rule ID 58251 //
     /* 2318458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318472 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318484 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318506 */   // GIR_Coverage, 58251,
     /* 2318506 */   GIR_EraseRootFromParent_Done,
     /* 2318507 */ // Label 32066: @2318507
     /* 2318507 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2318561), // Rule ID 58252 //
     /* 2318512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318526 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2318543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318560 */   // GIR_Coverage, 58252,
     /* 2318560 */   GIR_EraseRootFromParent_Done,
     /* 2318561 */ // Label 32067: @2318561
     /* 2318561 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2318615), // Rule ID 58503 //
     /* 2318566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318580 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318602 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318614 */   // GIR_Coverage, 58503,
     /* 2318614 */   GIR_EraseRootFromParent_Done,
     /* 2318615 */ // Label 32068: @2318615
     /* 2318615 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2318669), // Rule ID 58504 //
     /* 2318620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318634 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318634 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318637 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318641 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318646 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318653 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318668 */   // GIR_Coverage, 58504,
     /* 2318668 */   GIR_EraseRootFromParent_Done,
     /* 2318669 */ // Label 32069: @2318669
     /* 2318669 */ GIM_Reject,
     /* 2318670 */ // Label 31994: @2318670
     /* 2318670 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2318724), // Rule ID 58087 //
     /* 2318675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318689 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318723 */   // GIR_Coverage, 58087,
     /* 2318723 */   GIR_EraseRootFromParent_Done,
     /* 2318724 */ // Label 32070: @2318724
     /* 2318724 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2318778), // Rule ID 58088 //
     /* 2318729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318743 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318755 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318762 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318765 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318777 */   // GIR_Coverage, 58088,
     /* 2318777 */   GIR_EraseRootFromParent_Done,
     /* 2318778 */ // Label 32071: @2318778
     /* 2318778 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2318832), // Rule ID 58271 //
     /* 2318783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318797 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318797 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318800 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318804 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318809 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2318814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318816 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318819 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318831 */   // GIR_Coverage, 58271,
     /* 2318831 */   GIR_EraseRootFromParent_Done,
     /* 2318832 */ // Label 32072: @2318832
     /* 2318832 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2318886), // Rule ID 58272 //
     /* 2318837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318851 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2318868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318870 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318885 */   // GIR_Coverage, 58272,
     /* 2318885 */   GIR_EraseRootFromParent_Done,
     /* 2318886 */ // Label 32073: @2318886
     /* 2318886 */ GIM_Reject,
     /* 2318887 */ // Label 31995: @2318887
     /* 2318887 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2318990),
     /* 2318892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318903 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2318946), // Rule ID 58463 //
     /* 2318908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318911 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2318914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318945 */     // GIR_Coverage, 58463,
     /* 2318945 */     GIR_EraseRootFromParent_Done,
     /* 2318946 */   // Label 32075: @2318946
     /* 2318946 */   GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2318989), // Rule ID 58464 //
     /* 2318951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318954 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2318957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2318971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318988 */     // GIR_Coverage, 58464,
     /* 2318988 */     GIR_EraseRootFromParent_Done,
     /* 2318989 */   // Label 32076: @2318989
     /* 2318989 */   GIM_Reject,
     /* 2318990 */ // Label 32074: @2318990
     /* 2318990 */ GIM_Reject,
     /* 2318991 */ // Label 31996: @2318991
     /* 2318991 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2319045), // Rule ID 58059 //
     /* 2318996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319010 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319044 */   // GIR_Coverage, 58059,
     /* 2319044 */   GIR_EraseRootFromParent_Done,
     /* 2319045 */ // Label 32077: @2319045
     /* 2319045 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2319099), // Rule ID 58060 //
     /* 2319050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319064 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2319081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319098 */   // GIR_Coverage, 58060,
     /* 2319098 */   GIR_EraseRootFromParent_Done,
     /* 2319099 */ // Label 32078: @2319099
     /* 2319099 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2319153), // Rule ID 58487 //
     /* 2319104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319118 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319152 */   // GIR_Coverage, 58487,
     /* 2319152 */   GIR_EraseRootFromParent_Done,
     /* 2319153 */ // Label 32079: @2319153
     /* 2319153 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2319207), // Rule ID 58488 //
     /* 2319158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319172 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2319175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319184 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319194 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319206 */   // GIR_Coverage, 58488,
     /* 2319206 */   GIR_EraseRootFromParent_Done,
     /* 2319207 */ // Label 32080: @2319207
     /* 2319207 */ GIM_Reject,
     /* 2319208 */ // Label 31997: @2319208
     /* 2319208 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2319262), // Rule ID 58075 //
     /* 2319213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319227 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319261 */   // GIR_Coverage, 58075,
     /* 2319261 */   GIR_EraseRootFromParent_Done,
     /* 2319262 */ // Label 32081: @2319262
     /* 2319262 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2319316), // Rule ID 58076 //
     /* 2319267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319281 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319315 */   // GIR_Coverage, 58076,
     /* 2319315 */   GIR_EraseRootFromParent_Done,
     /* 2319316 */ // Label 32082: @2319316
     /* 2319316 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2319370), // Rule ID 58255 //
     /* 2319321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319335 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319369 */   // GIR_Coverage, 58255,
     /* 2319369 */   GIR_EraseRootFromParent_Done,
     /* 2319370 */ // Label 32083: @2319370
     /* 2319370 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2319424), // Rule ID 58256 //
     /* 2319375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319389 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2319406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319423 */   // GIR_Coverage, 58256,
     /* 2319423 */   GIR_EraseRootFromParent_Done,
     /* 2319424 */ // Label 32084: @2319424
     /* 2319424 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2319478), // Rule ID 58507 //
     /* 2319429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319443 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319455 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319477 */   // GIR_Coverage, 58507,
     /* 2319477 */   GIR_EraseRootFromParent_Done,
     /* 2319478 */ // Label 32085: @2319478
     /* 2319478 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2319532), // Rule ID 58508 //
     /* 2319483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319497 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319531 */   // GIR_Coverage, 58508,
     /* 2319531 */   GIR_EraseRootFromParent_Done,
     /* 2319532 */ // Label 32086: @2319532
     /* 2319532 */ GIM_Reject,
     /* 2319533 */ // Label 31998: @2319533
     /* 2319533 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2319587), // Rule ID 58091 //
     /* 2319538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319552 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2319569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319586 */   // GIR_Coverage, 58091,
     /* 2319586 */   GIR_EraseRootFromParent_Done,
     /* 2319587 */ // Label 32087: @2319587
     /* 2319587 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2319641), // Rule ID 58092 //
     /* 2319592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2319595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319606 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2319623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319625 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319640 */   // GIR_Coverage, 58092,
     /* 2319640 */   GIR_EraseRootFromParent_Done,
     /* 2319641 */ // Label 32088: @2319641
     /* 2319641 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2319695), // Rule ID 58275 //
     /* 2319646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2319649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319660 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2319677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319694 */   // GIR_Coverage, 58275,
     /* 2319694 */   GIR_EraseRootFromParent_Done,
     /* 2319695 */ // Label 32089: @2319695
     /* 2319695 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2319749), // Rule ID 58276 //
     /* 2319700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2319703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319714 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2319731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319748 */   // GIR_Coverage, 58276,
     /* 2319748 */   GIR_EraseRootFromParent_Done,
     /* 2319749 */ // Label 32090: @2319749
     /* 2319749 */ GIM_Reject,
     /* 2319750 */ // Label 31999: @2319750
     /* 2319750 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2319853),
     /* 2319755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319766 */   GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2319809), // Rule ID 58467 //
     /* 2319771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319774 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319808 */     // GIR_Coverage, 58467,
     /* 2319808 */     GIR_EraseRootFromParent_Done,
     /* 2319809 */   // Label 32092: @2319809
     /* 2319809 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2319852), // Rule ID 58468 //
     /* 2319814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319817 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2319834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319851 */     // GIR_Coverage, 58468,
     /* 2319851 */     GIR_EraseRootFromParent_Done,
     /* 2319852 */   // Label 32093: @2319852
     /* 2319852 */   GIM_Reject,
     /* 2319853 */ // Label 32091: @2319853
     /* 2319853 */ GIM_Reject,
     /* 2319854 */ // Label 32000: @2319854
     /* 2319854 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2319908), // Rule ID 58063 //
     /* 2319859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319873 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319907 */   // GIR_Coverage, 58063,
     /* 2319907 */   GIR_EraseRootFromParent_Done,
     /* 2319908 */ // Label 32094: @2319908
     /* 2319908 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2319962), // Rule ID 58064 //
     /* 2319913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319927 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319939 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2319944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319949 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319961 */   // GIR_Coverage, 58064,
     /* 2319961 */   GIR_EraseRootFromParent_Done,
     /* 2319962 */ // Label 32095: @2319962
     /* 2319962 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2320016), // Rule ID 58491 //
     /* 2319967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319981 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319981 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319984 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319988 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319993 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2319998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320000 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320003 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320015 */   // GIR_Coverage, 58491,
     /* 2320015 */   GIR_EraseRootFromParent_Done,
     /* 2320016 */ // Label 32096: @2320016
     /* 2320016 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2320070), // Rule ID 58492 //
     /* 2320021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320035 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320035 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2320038 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320042 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320057 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320069 */   // GIR_Coverage, 58492,
     /* 2320069 */   GIR_EraseRootFromParent_Done,
     /* 2320070 */ // Label 32097: @2320070
     /* 2320070 */ GIM_Reject,
     /* 2320071 */ // Label 32001: @2320071
     /* 2320071 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2320125), // Rule ID 58079 //
     /* 2320076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320090 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320124 */   // GIR_Coverage, 58079,
     /* 2320124 */   GIR_EraseRootFromParent_Done,
     /* 2320125 */ // Label 32098: @2320125
     /* 2320125 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2320179), // Rule ID 58080 //
     /* 2320130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2320136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320144 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320178 */   // GIR_Coverage, 58080,
     /* 2320178 */   GIR_EraseRootFromParent_Done,
     /* 2320179 */ // Label 32099: @2320179
     /* 2320179 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2320233), // Rule ID 58259 //
     /* 2320184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320198 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320232 */   // GIR_Coverage, 58259,
     /* 2320232 */   GIR_EraseRootFromParent_Done,
     /* 2320233 */ // Label 32100: @2320233
     /* 2320233 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2320287), // Rule ID 58260 //
     /* 2320238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320252 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2320255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320264 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2320269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320271 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320286 */   // GIR_Coverage, 58260,
     /* 2320286 */   GIR_EraseRootFromParent_Done,
     /* 2320287 */ // Label 32101: @2320287
     /* 2320287 */ GIM_Reject,
     /* 2320288 */ // Label 32002: @2320288
     /* 2320288 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2320391),
     /* 2320293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320304 */   GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2320347), // Rule ID 58471 //
     /* 2320309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320312 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320346 */     // GIR_Coverage, 58471,
     /* 2320346 */     GIR_EraseRootFromParent_Done,
     /* 2320347 */   // Label 32103: @2320347
     /* 2320347 */   GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2320390), // Rule ID 58472 //
     /* 2320352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320355 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2320372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320389 */     // GIR_Coverage, 58472,
     /* 2320389 */     GIR_EraseRootFromParent_Done,
     /* 2320390 */   // Label 32104: @2320390
     /* 2320390 */   GIM_Reject,
     /* 2320391 */ // Label 32102: @2320391
     /* 2320391 */ GIM_Reject,
     /* 2320392 */ // Label 32003: @2320392
     /* 2320392 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2320495),
     /* 2320397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320408 */   GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2320451), // Rule ID 58067 //
     /* 2320413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320416 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320450 */     // GIR_Coverage, 58067,
     /* 2320450 */     GIR_EraseRootFromParent_Done,
     /* 2320451 */   // Label 32106: @2320451
     /* 2320451 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2320494), // Rule ID 58068 //
     /* 2320456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320459 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2320476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320493 */     // GIR_Coverage, 58068,
     /* 2320493 */     GIR_EraseRootFromParent_Done,
     /* 2320494 */   // Label 32107: @2320494
     /* 2320494 */   GIM_Reject,
     /* 2320495 */ // Label 32105: @2320495
     /* 2320495 */ GIM_Reject,
     /* 2320496 */ // Label 32004: @2320496
     /* 2320496 */ GIM_Reject,
     /* 2320497 */ // Label 69: @2320497
     /* 2320497 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32126*/ GIMT_Encode4(2325782),
     /* 2320508 */ /*GILLT_s16*//*Label 32108*/ GIMT_Encode4(2320628),
     /* 2320512 */ /*GILLT_s32*//*Label 32109*/ GIMT_Encode4(2320889),
     /* 2320516 */ /*GILLT_s64*//*Label 32110*/ GIMT_Encode4(2321150), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320528 */ /*GILLT_nxv1s16*//*Label 32111*/ GIMT_Encode4(2321411),
     /* 2320532 */ /*GILLT_nxv1s32*//*Label 32112*/ GIMT_Encode4(2321748),
     /* 2320536 */ /*GILLT_nxv1s64*//*Label 32113*/ GIMT_Encode4(2322085), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320548 */ /*GILLT_nxv2s16*//*Label 32114*/ GIMT_Encode4(2322308),
     /* 2320552 */ /*GILLT_nxv2s32*//*Label 32115*/ GIMT_Encode4(2322645),
     /* 2320556 */ /*GILLT_nxv2s64*//*Label 32116*/ GIMT_Encode4(2322982), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320568 */ /*GILLT_nxv4s16*//*Label 32117*/ GIMT_Encode4(2323205),
     /* 2320572 */ /*GILLT_nxv4s32*//*Label 32118*/ GIMT_Encode4(2323542),
     /* 2320576 */ /*GILLT_nxv4s64*//*Label 32119*/ GIMT_Encode4(2323879), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320588 */ /*GILLT_nxv8s16*//*Label 32120*/ GIMT_Encode4(2324102),
     /* 2320592 */ /*GILLT_nxv8s32*//*Label 32121*/ GIMT_Encode4(2324439),
     /* 2320596 */ /*GILLT_nxv8s64*//*Label 32122*/ GIMT_Encode4(2324776), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320608 */ /*GILLT_nxv16s16*//*Label 32123*/ GIMT_Encode4(2324999),
     /* 2320612 */ /*GILLT_nxv16s32*//*Label 32124*/ GIMT_Encode4(2325336), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2320624 */ /*GILLT_nxv32s16*//*Label 32125*/ GIMT_Encode4(2325559),
     /* 2320628 */ // Label 32108: @2320628
     /* 2320628 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2320665), // Rule ID 2144 //
     /* 2320633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320643 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320650 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320655 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320664 */   // GIR_Coverage, 2144,
     /* 2320664 */   GIR_EraseRootFromParent_Done,
     /* 2320665 */ // Label 32127: @2320665
     /* 2320665 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2320702), // Rule ID 2170 //
     /* 2320670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320680 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320687 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320692 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320701 */   // GIR_Coverage, 2170,
     /* 2320701 */   GIR_EraseRootFromParent_Done,
     /* 2320702 */ // Label 32128: @2320702
     /* 2320702 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2320733), // Rule ID 2093 //
     /* 2320707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2320710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320721 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320732 */   // GIR_Coverage, 2093,
     /* 2320732 */   GIR_EraseRootFromParent_Done,
     /* 2320733 */ // Label 32129: @2320733
     /* 2320733 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2320764), // Rule ID 2094 //
     /* 2320738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2320741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320752 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2320755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320757 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320763 */   // GIR_Coverage, 2094,
     /* 2320763 */   GIR_EraseRootFromParent_Done,
     /* 2320764 */ // Label 32130: @2320764
     /* 2320764 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2320795), // Rule ID 2119 //
     /* 2320769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2320772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320783 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320788 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320794 */   // GIR_Coverage, 2119,
     /* 2320794 */   GIR_EraseRootFromParent_Done,
     /* 2320795 */ // Label 32131: @2320795
     /* 2320795 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2320826), // Rule ID 2120 //
     /* 2320800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2320803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320814 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2320817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320819 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320825 */   // GIR_Coverage, 2120,
     /* 2320825 */   GIR_EraseRootFromParent_Done,
     /* 2320826 */ // Label 32132: @2320826
     /* 2320826 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2320857), // Rule ID 2148 //
     /* 2320831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320845 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2320848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320856 */   // GIR_Coverage, 2148,
     /* 2320856 */   GIR_EraseRootFromParent_Done,
     /* 2320857 */ // Label 32133: @2320857
     /* 2320857 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2320888), // Rule ID 2174 //
     /* 2320862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320876 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2320879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320887 */   // GIR_Coverage, 2174,
     /* 2320887 */   GIR_EraseRootFromParent_Done,
     /* 2320888 */ // Label 32134: @2320888
     /* 2320888 */ GIM_Reject,
     /* 2320889 */ // Label 32109: @2320889
     /* 2320889 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2320926), // Rule ID 1410 //
     /* 2320894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2320897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320904 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320911 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2320914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320916 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320925 */   // GIR_Coverage, 1410,
     /* 2320925 */   GIR_EraseRootFromParent_Done,
     /* 2320926 */ // Label 32135: @2320926
     /* 2320926 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2320963), // Rule ID 1438 //
     /* 2320931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2320934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320941 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2320948 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2320951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320953 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320962 */   // GIR_Coverage, 1438,
     /* 2320962 */   GIR_EraseRootFromParent_Done,
     /* 2320963 */ // Label 32136: @2320963
     /* 2320963 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2320994), // Rule ID 1357 //
     /* 2320968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2320971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320982 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2320985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320993 */   // GIR_Coverage, 1357,
     /* 2320993 */   GIR_EraseRootFromParent_Done,
     /* 2320994 */ // Label 32137: @2320994
     /* 2320994 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2321025), // Rule ID 1358 //
     /* 2320999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2321002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321013 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2321016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321024 */   // GIR_Coverage, 1358,
     /* 2321024 */   GIR_EraseRootFromParent_Done,
     /* 2321025 */ // Label 32138: @2321025
     /* 2321025 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2321056), // Rule ID 1383 //
     /* 2321030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2321033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321044 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2321044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321049 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321055 */   // GIR_Coverage, 1383,
     /* 2321055 */   GIR_EraseRootFromParent_Done,
     /* 2321056 */ // Label 32139: @2321056
     /* 2321056 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2321087), // Rule ID 1384 //
     /* 2321061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2321064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321075 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2321075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2321078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321086 */   // GIR_Coverage, 1384,
     /* 2321086 */   GIR_EraseRootFromParent_Done,
     /* 2321087 */ // Label 32140: @2321087
     /* 2321087 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2321118), // Rule ID 1414 //
     /* 2321092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2321095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2321102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321106 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2321109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321111 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321117 */   // GIR_Coverage, 1414,
     /* 2321117 */   GIR_EraseRootFromParent_Done,
     /* 2321118 */ // Label 32141: @2321118
     /* 2321118 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2321149), // Rule ID 1442 //
     /* 2321123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2321126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2321133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321137 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2321140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321142 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321148 */   // GIR_Coverage, 1442,
     /* 2321148 */   GIR_EraseRootFromParent_Done,
     /* 2321149 */ // Label 32142: @2321149
     /* 2321149 */ GIM_Reject,
     /* 2321150 */ // Label 32110: @2321150
     /* 2321150 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2321187), // Rule ID 1790 //
     /* 2321155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321165 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321172 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321177 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321186 */   // GIR_Coverage, 1790,
     /* 2321186 */   GIR_EraseRootFromParent_Done,
     /* 2321187 */ // Label 32143: @2321187
     /* 2321187 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2321224), // Rule ID 1818 //
     /* 2321192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321202 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2321209 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2321209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2321212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2321219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321223 */   // GIR_Coverage, 1818,
     /* 2321223 */   GIR_EraseRootFromParent_Done,
     /* 2321224 */ // Label 32144: @2321224
     /* 2321224 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2321255), // Rule ID 1751 //
     /* 2321229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2321232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321243 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321248 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321254 */   // GIR_Coverage, 1751,
     /* 2321254 */   GIR_EraseRootFromParent_Done,
     /* 2321255 */ // Label 32145: @2321255
     /* 2321255 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2321286), // Rule ID 1752 //
     /* 2321260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2321263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321274 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2321277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321285 */   // GIR_Coverage, 1752,
     /* 2321285 */   GIR_EraseRootFromParent_Done,
     /* 2321286 */ // Label 32146: @2321286
     /* 2321286 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2321317), // Rule ID 1777 //
     /* 2321291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2321294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321305 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2321305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321316 */   // GIR_Coverage, 1777,
     /* 2321316 */   GIR_EraseRootFromParent_Done,
     /* 2321317 */ // Label 32147: @2321317
     /* 2321317 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2321348), // Rule ID 1778 //
     /* 2321322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2321325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2321328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2321332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321336 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2321336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2321339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2321346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321347 */   // GIR_Coverage, 1778,
     /* 2321347 */   GIR_EraseRootFromParent_Done,
     /* 2321348 */ // Label 32148: @2321348
     /* 2321348 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2321379), // Rule ID 1808 //
     /* 2321353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2321356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2321363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321367 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2321370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321378 */   // GIR_Coverage, 1808,
     /* 2321378 */   GIR_EraseRootFromParent_Done,
     /* 2321379 */ // Label 32149: @2321379
     /* 2321379 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2321410), // Rule ID 1836 //
     /* 2321384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2321387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2321390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321398 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2321398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2321401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321409 */   // GIR_Coverage, 1836,
     /* 2321409 */   GIR_EraseRootFromParent_Done,
     /* 2321410 */ // Label 32150: @2321410
     /* 2321410 */ GIM_Reject,
     /* 2321411 */ // Label 32111: @2321411
     /* 2321411 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2321468), // Rule ID 45671 //
     /* 2321416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321430 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321430 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321433 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321437 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321442 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321449 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321467 */   // GIR_Coverage, 45671,
     /* 2321467 */   GIR_EraseRootFromParent_Done,
     /* 2321468 */ // Label 32151: @2321468
     /* 2321468 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2321525), // Rule ID 45672 //
     /* 2321473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321487 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2321504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321524 */   // GIR_Coverage, 45672,
     /* 2321524 */   GIR_EraseRootFromParent_Done,
     /* 2321525 */ // Label 32152: @2321525
     /* 2321525 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2321579), // Rule ID 45679 //
     /* 2321530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321544 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2321561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321563 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321566 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321578 */   // GIR_Coverage, 45679,
     /* 2321578 */   GIR_EraseRootFromParent_Done,
     /* 2321579 */ // Label 32153: @2321579
     /* 2321579 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2321633), // Rule ID 45680 //
     /* 2321584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2321590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321598 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2321615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321632 */   // GIR_Coverage, 45680,
     /* 2321632 */   GIR_EraseRootFromParent_Done,
     /* 2321633 */ // Label 32154: @2321633
     /* 2321633 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2321690), // Rule ID 45687 //
     /* 2321638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321652 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321652 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321655 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321659 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2321669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321671 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321674 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321689 */   // GIR_Coverage, 45687,
     /* 2321689 */   GIR_EraseRootFromParent_Done,
     /* 2321690 */ // Label 32155: @2321690
     /* 2321690 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2321747), // Rule ID 45688 //
     /* 2321695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321709 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321721 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2321726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321731 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321746 */   // GIR_Coverage, 45688,
     /* 2321746 */   GIR_EraseRootFromParent_Done,
     /* 2321747 */ // Label 32156: @2321747
     /* 2321747 */ GIM_Reject,
     /* 2321748 */ // Label 32112: @2321748
     /* 2321748 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2321805), // Rule ID 58099 //
     /* 2321753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321767 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321767 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321770 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321774 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321779 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2321784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321786 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321789 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321804 */   // GIR_Coverage, 58099,
     /* 2321804 */   GIR_EraseRootFromParent_Done,
     /* 2321805 */ // Label 32157: @2321805
     /* 2321805 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2321862), // Rule ID 58100 //
     /* 2321810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321824 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2321841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321861 */   // GIR_Coverage, 58100,
     /* 2321861 */   GIR_EraseRootFromParent_Done,
     /* 2321862 */ // Label 32158: @2321862
     /* 2321862 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2321916), // Rule ID 58299 //
     /* 2321867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321881 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321881 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321884 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321888 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2321898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321903 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321915 */   // GIR_Coverage, 58299,
     /* 2321915 */   GIR_EraseRootFromParent_Done,
     /* 2321916 */ // Label 32159: @2321916
     /* 2321916 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2321970), // Rule ID 58300 //
     /* 2321921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321935 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2321952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321957 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321969 */   // GIR_Coverage, 58300,
     /* 2321969 */   GIR_EraseRootFromParent_Done,
     /* 2321970 */ // Label 32160: @2321970
     /* 2321970 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2322027), // Rule ID 58527 //
     /* 2321975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2321978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321989 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322001 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322008 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322026 */   // GIR_Coverage, 58527,
     /* 2322026 */   GIR_EraseRootFromParent_Done,
     /* 2322027 */ // Label 32161: @2322027
     /* 2322027 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2322084), // Rule ID 58528 //
     /* 2322032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322046 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2322049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2322063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322083 */   // GIR_Coverage, 58528,
     /* 2322083 */   GIR_EraseRootFromParent_Done,
     /* 2322084 */ // Label 32162: @2322084
     /* 2322084 */ GIM_Reject,
     /* 2322085 */ // Label 32113: @2322085
     /* 2322085 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2322142), // Rule ID 58111 //
     /* 2322090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322104 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322141 */   // GIR_Coverage, 58111,
     /* 2322141 */   GIR_EraseRootFromParent_Done,
     /* 2322142 */ // Label 32163: @2322142
     /* 2322142 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2322199), // Rule ID 58112 //
     /* 2322147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2322153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322161 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322173 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2322178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322183 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322198 */   // GIR_Coverage, 58112,
     /* 2322198 */   GIR_EraseRootFromParent_Done,
     /* 2322199 */ // Label 32164: @2322199
     /* 2322199 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2322253), // Rule ID 58319 //
     /* 2322204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322218 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322230 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322240 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322252 */   // GIR_Coverage, 58319,
     /* 2322252 */   GIR_EraseRootFromParent_Done,
     /* 2322253 */ // Label 32165: @2322253
     /* 2322253 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2322307), // Rule ID 58320 //
     /* 2322258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2322264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322272 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2322275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2322289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322294 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322306 */   // GIR_Coverage, 58320,
     /* 2322306 */   GIR_EraseRootFromParent_Done,
     /* 2322307 */ // Label 32166: @2322307
     /* 2322307 */ GIM_Reject,
     /* 2322308 */ // Label 32114: @2322308
     /* 2322308 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2322365), // Rule ID 58095 //
     /* 2322313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322327 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322364 */   // GIR_Coverage, 58095,
     /* 2322364 */   GIR_EraseRootFromParent_Done,
     /* 2322365 */ // Label 32167: @2322365
     /* 2322365 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2322422), // Rule ID 58096 //
     /* 2322370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322384 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2322401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322421 */   // GIR_Coverage, 58096,
     /* 2322421 */   GIR_EraseRootFromParent_Done,
     /* 2322422 */ // Label 32168: @2322422
     /* 2322422 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2322476), // Rule ID 58279 //
     /* 2322427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322441 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322475 */   // GIR_Coverage, 58279,
     /* 2322475 */   GIR_EraseRootFromParent_Done,
     /* 2322476 */ // Label 32169: @2322476
     /* 2322476 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2322530), // Rule ID 58280 //
     /* 2322481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2322487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322495 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2322512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322529 */   // GIR_Coverage, 58280,
     /* 2322529 */   GIR_EraseRootFromParent_Done,
     /* 2322530 */ // Label 32170: @2322530
     /* 2322530 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2322587), // Rule ID 58511 //
     /* 2322535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322549 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2322566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322586 */   // GIR_Coverage, 58511,
     /* 2322586 */   GIR_EraseRootFromParent_Done,
     /* 2322587 */ // Label 32171: @2322587
     /* 2322587 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2322644), // Rule ID 58512 //
     /* 2322592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322606 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2322623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322625 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322643 */   // GIR_Coverage, 58512,
     /* 2322643 */   GIR_EraseRootFromParent_Done,
     /* 2322644 */ // Label 32172: @2322644
     /* 2322644 */ GIM_Reject,
     /* 2322645 */ // Label 32115: @2322645
     /* 2322645 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2322702), // Rule ID 58107 //
     /* 2322650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322664 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322664 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322667 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322671 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322676 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2322681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322683 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322686 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322701 */   // GIR_Coverage, 58107,
     /* 2322701 */   GIR_EraseRootFromParent_Done,
     /* 2322702 */ // Label 32173: @2322702
     /* 2322702 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2322759), // Rule ID 58108 //
     /* 2322707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322721 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322721 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322724 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322728 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2322738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322758 */   // GIR_Coverage, 58108,
     /* 2322758 */   GIR_EraseRootFromParent_Done,
     /* 2322759 */ // Label 32174: @2322759
     /* 2322759 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2322813), // Rule ID 58303 //
     /* 2322764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322778 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322778 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322781 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322785 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322790 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2322795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322800 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322812 */   // GIR_Coverage, 58303,
     /* 2322812 */   GIR_EraseRootFromParent_Done,
     /* 2322813 */ // Label 32175: @2322813
     /* 2322813 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2322867), // Rule ID 58304 //
     /* 2322818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322832 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322832 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322835 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322839 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322844 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2322849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322851 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322854 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322866 */   // GIR_Coverage, 58304,
     /* 2322866 */   GIR_EraseRootFromParent_Done,
     /* 2322867 */ // Label 32176: @2322867
     /* 2322867 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2322924), // Rule ID 58531 //
     /* 2322872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322886 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322898 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2322903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322905 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322908 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322923 */   // GIR_Coverage, 58531,
     /* 2322923 */   GIR_EraseRootFromParent_Done,
     /* 2322924 */ // Label 32177: @2322924
     /* 2322924 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2322981), // Rule ID 58532 //
     /* 2322929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322943 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2322960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322980 */   // GIR_Coverage, 58532,
     /* 2322980 */   GIR_EraseRootFromParent_Done,
     /* 2322981 */ // Label 32178: @2322981
     /* 2322981 */ GIM_Reject,
     /* 2322982 */ // Label 32116: @2322982
     /* 2322982 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2323039), // Rule ID 58139 //
     /* 2322987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323001 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323013 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323020 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323023 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323038 */   // GIR_Coverage, 58139,
     /* 2323038 */   GIR_EraseRootFromParent_Done,
     /* 2323039 */ // Label 32179: @2323039
     /* 2323039 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2323096), // Rule ID 58140 //
     /* 2323044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323058 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2323075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323095 */   // GIR_Coverage, 58140,
     /* 2323095 */   GIR_EraseRootFromParent_Done,
     /* 2323096 */ // Label 32180: @2323096
     /* 2323096 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2323150), // Rule ID 58323 //
     /* 2323101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323115 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323115 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323118 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323122 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323149 */   // GIR_Coverage, 58323,
     /* 2323149 */   GIR_EraseRootFromParent_Done,
     /* 2323150 */ // Label 32181: @2323150
     /* 2323150 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2323204), // Rule ID 58324 //
     /* 2323155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323169 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323169 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323172 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323176 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2323186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323191 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323203 */   // GIR_Coverage, 58324,
     /* 2323203 */   GIR_EraseRootFromParent_Done,
     /* 2323204 */ // Label 32182: @2323204
     /* 2323204 */ GIM_Reject,
     /* 2323205 */ // Label 32117: @2323205
     /* 2323205 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2323262), // Rule ID 58103 //
     /* 2323210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323224 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323261 */   // GIR_Coverage, 58103,
     /* 2323261 */   GIR_EraseRootFromParent_Done,
     /* 2323262 */ // Label 32183: @2323262
     /* 2323262 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2323319), // Rule ID 58104 //
     /* 2323267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323281 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2323298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323318 */   // GIR_Coverage, 58104,
     /* 2323318 */   GIR_EraseRootFromParent_Done,
     /* 2323319 */ // Label 32184: @2323319
     /* 2323319 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2323373), // Rule ID 58283 //
     /* 2323324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323338 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323372 */   // GIR_Coverage, 58283,
     /* 2323372 */   GIR_EraseRootFromParent_Done,
     /* 2323373 */ // Label 32185: @2323373
     /* 2323373 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2323427), // Rule ID 58284 //
     /* 2323378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323392 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2323409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323426 */   // GIR_Coverage, 58284,
     /* 2323426 */   GIR_EraseRootFromParent_Done,
     /* 2323427 */ // Label 32186: @2323427
     /* 2323427 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2323484), // Rule ID 58515 //
     /* 2323432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323446 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323483 */   // GIR_Coverage, 58515,
     /* 2323483 */   GIR_EraseRootFromParent_Done,
     /* 2323484 */ // Label 32187: @2323484
     /* 2323484 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2323541), // Rule ID 58516 //
     /* 2323489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323503 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2323520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323540 */   // GIR_Coverage, 58516,
     /* 2323540 */   GIR_EraseRootFromParent_Done,
     /* 2323541 */ // Label 32188: @2323541
     /* 2323541 */ GIM_Reject,
     /* 2323542 */ // Label 32118: @2323542
     /* 2323542 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2323599), // Rule ID 58127 //
     /* 2323547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323561 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323561 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323564 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323568 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2323578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323580 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323583 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323598 */   // GIR_Coverage, 58127,
     /* 2323598 */   GIR_EraseRootFromParent_Done,
     /* 2323599 */ // Label 32189: @2323599
     /* 2323599 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2323656), // Rule ID 58128 //
     /* 2323604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323618 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323618 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323621 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323625 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2323635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323640 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323655 */   // GIR_Coverage, 58128,
     /* 2323655 */   GIR_EraseRootFromParent_Done,
     /* 2323656 */ // Label 32190: @2323656
     /* 2323656 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2323710), // Rule ID 58307 //
     /* 2323661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323675 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323675 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323678 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323682 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2323692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323694 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323697 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323709 */   // GIR_Coverage, 58307,
     /* 2323709 */   GIR_EraseRootFromParent_Done,
     /* 2323710 */ // Label 32191: @2323710
     /* 2323710 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2323764), // Rule ID 58308 //
     /* 2323715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323729 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323729 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323732 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323736 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323741 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2323746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323748 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323751 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323763 */   // GIR_Coverage, 58308,
     /* 2323763 */   GIR_EraseRootFromParent_Done,
     /* 2323764 */ // Label 32192: @2323764
     /* 2323764 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2323821), // Rule ID 58535 //
     /* 2323769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323783 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323783 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323786 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323790 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2323800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323802 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323805 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323820 */   // GIR_Coverage, 58535,
     /* 2323820 */   GIR_EraseRootFromParent_Done,
     /* 2323821 */ // Label 32193: @2323821
     /* 2323821 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2323878), // Rule ID 58536 //
     /* 2323826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323840 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2323857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323877 */   // GIR_Coverage, 58536,
     /* 2323877 */   GIR_EraseRootFromParent_Done,
     /* 2323878 */ // Label 32194: @2323878
     /* 2323878 */ GIM_Reject,
     /* 2323879 */ // Label 32119: @2323879
     /* 2323879 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2323936), // Rule ID 58143 //
     /* 2323884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323898 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323898 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323901 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323905 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2323915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323917 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323935 */   // GIR_Coverage, 58143,
     /* 2323935 */   GIR_EraseRootFromParent_Done,
     /* 2323936 */ // Label 32195: @2323936
     /* 2323936 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2323993), // Rule ID 58144 //
     /* 2323941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323955 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2323972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323977 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323992 */   // GIR_Coverage, 58144,
     /* 2323992 */   GIR_EraseRootFromParent_Done,
     /* 2323993 */ // Label 32196: @2323993
     /* 2323993 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2324047), // Rule ID 58327 //
     /* 2323998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324012 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324046 */   // GIR_Coverage, 58327,
     /* 2324046 */   GIR_EraseRootFromParent_Done,
     /* 2324047 */ // Label 32197: @2324047
     /* 2324047 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2324101), // Rule ID 58328 //
     /* 2324052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324066 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2324083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324100 */   // GIR_Coverage, 58328,
     /* 2324100 */   GIR_EraseRootFromParent_Done,
     /* 2324101 */ // Label 32198: @2324101
     /* 2324101 */ GIM_Reject,
     /* 2324102 */ // Label 32120: @2324102
     /* 2324102 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2324159), // Rule ID 58115 //
     /* 2324107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324121 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324121 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324124 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324128 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324140 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324158 */   // GIR_Coverage, 58115,
     /* 2324158 */   GIR_EraseRootFromParent_Done,
     /* 2324159 */ // Label 32199: @2324159
     /* 2324159 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2324216), // Rule ID 58116 //
     /* 2324164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324178 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2324195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324215 */   // GIR_Coverage, 58116,
     /* 2324215 */   GIR_EraseRootFromParent_Done,
     /* 2324216 */ // Label 32200: @2324216
     /* 2324216 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2324270), // Rule ID 58287 //
     /* 2324221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324235 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324235 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324238 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324242 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324254 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324257 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324269 */   // GIR_Coverage, 58287,
     /* 2324269 */   GIR_EraseRootFromParent_Done,
     /* 2324270 */ // Label 32201: @2324270
     /* 2324270 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2324324), // Rule ID 58288 //
     /* 2324275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324289 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324289 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324292 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324296 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2324306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324323 */   // GIR_Coverage, 58288,
     /* 2324323 */   GIR_EraseRootFromParent_Done,
     /* 2324324 */ // Label 32202: @2324324
     /* 2324324 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2324381), // Rule ID 58519 //
     /* 2324329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324343 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324380 */   // GIR_Coverage, 58519,
     /* 2324380 */   GIR_EraseRootFromParent_Done,
     /* 2324381 */ // Label 32203: @2324381
     /* 2324381 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2324438), // Rule ID 58520 //
     /* 2324386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324400 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2324417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324422 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324437 */   // GIR_Coverage, 58520,
     /* 2324437 */   GIR_EraseRootFromParent_Done,
     /* 2324438 */ // Label 32204: @2324438
     /* 2324438 */ GIM_Reject,
     /* 2324439 */ // Label 32121: @2324439
     /* 2324439 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2324496), // Rule ID 58131 //
     /* 2324444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324458 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324495 */   // GIR_Coverage, 58131,
     /* 2324495 */   GIR_EraseRootFromParent_Done,
     /* 2324496 */ // Label 32205: @2324496
     /* 2324496 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2324553), // Rule ID 58132 //
     /* 2324501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324515 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324515 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324518 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324522 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2324532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324552 */   // GIR_Coverage, 58132,
     /* 2324552 */   GIR_EraseRootFromParent_Done,
     /* 2324553 */ // Label 32206: @2324553
     /* 2324553 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2324607), // Rule ID 58311 //
     /* 2324558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324572 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324572 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324575 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324579 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2324589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324591 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324606 */   // GIR_Coverage, 58311,
     /* 2324606 */   GIR_EraseRootFromParent_Done,
     /* 2324607 */ // Label 32207: @2324607
     /* 2324607 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2324661), // Rule ID 58312 //
     /* 2324612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324626 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324626 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324629 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324633 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2324643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324660 */   // GIR_Coverage, 58312,
     /* 2324660 */   GIR_EraseRootFromParent_Done,
     /* 2324661 */ // Label 32208: @2324661
     /* 2324661 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2324718), // Rule ID 58539 //
     /* 2324666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324680 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2324697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324717 */   // GIR_Coverage, 58539,
     /* 2324717 */   GIR_EraseRootFromParent_Done,
     /* 2324718 */ // Label 32209: @2324718
     /* 2324718 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2324775), // Rule ID 58540 //
     /* 2324723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324737 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2324754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324774 */   // GIR_Coverage, 58540,
     /* 2324774 */   GIR_EraseRootFromParent_Done,
     /* 2324775 */ // Label 32210: @2324775
     /* 2324775 */ GIM_Reject,
     /* 2324776 */ // Label 32122: @2324776
     /* 2324776 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2324833), // Rule ID 58147 //
     /* 2324781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324795 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2324812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324832 */   // GIR_Coverage, 58147,
     /* 2324832 */   GIR_EraseRootFromParent_Done,
     /* 2324833 */ // Label 32211: @2324833
     /* 2324833 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2324890), // Rule ID 58148 //
     /* 2324838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324852 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2324869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324889 */   // GIR_Coverage, 58148,
     /* 2324889 */   GIR_EraseRootFromParent_Done,
     /* 2324890 */ // Label 32212: @2324890
     /* 2324890 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2324944), // Rule ID 58331 //
     /* 2324895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2324898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324909 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2324926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324943 */   // GIR_Coverage, 58331,
     /* 2324943 */   GIR_EraseRootFromParent_Done,
     /* 2324944 */ // Label 32213: @2324944
     /* 2324944 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2324998), // Rule ID 58332 //
     /* 2324949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324963 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2324980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324997 */   // GIR_Coverage, 58332,
     /* 2324997 */   GIR_EraseRootFromParent_Done,
     /* 2324998 */ // Label 32214: @2324998
     /* 2324998 */ GIM_Reject,
     /* 2324999 */ // Label 32123: @2324999
     /* 2324999 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2325056), // Rule ID 58119 //
     /* 2325004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325018 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325030 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325037 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325040 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325055 */   // GIR_Coverage, 58119,
     /* 2325055 */   GIR_EraseRootFromParent_Done,
     /* 2325056 */ // Label 32215: @2325056
     /* 2325056 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2325113), // Rule ID 58120 //
     /* 2325061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325075 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325075 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325078 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325082 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2325092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325112 */   // GIR_Coverage, 58120,
     /* 2325112 */   GIR_EraseRootFromParent_Done,
     /* 2325113 */ // Label 32216: @2325113
     /* 2325113 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2325167), // Rule ID 58291 //
     /* 2325118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325132 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325132 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325135 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325139 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325144 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325151 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325154 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325166 */   // GIR_Coverage, 58291,
     /* 2325166 */   GIR_EraseRootFromParent_Done,
     /* 2325167 */ // Label 32217: @2325167
     /* 2325167 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2325221), // Rule ID 58292 //
     /* 2325172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2325178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325186 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2325203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325208 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325220 */   // GIR_Coverage, 58292,
     /* 2325220 */   GIR_EraseRootFromParent_Done,
     /* 2325221 */ // Label 32218: @2325221
     /* 2325221 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2325278), // Rule ID 58523 //
     /* 2325226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325240 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325277 */   // GIR_Coverage, 58523,
     /* 2325277 */   GIR_EraseRootFromParent_Done,
     /* 2325278 */ // Label 32219: @2325278
     /* 2325278 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2325335), // Rule ID 58524 //
     /* 2325283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325297 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2325314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325334 */   // GIR_Coverage, 58524,
     /* 2325334 */   GIR_EraseRootFromParent_Done,
     /* 2325335 */ // Label 32220: @2325335
     /* 2325335 */ GIM_Reject,
     /* 2325336 */ // Label 32124: @2325336
     /* 2325336 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2325393), // Rule ID 58135 //
     /* 2325341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325355 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325355 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325358 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325362 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325377 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325392 */   // GIR_Coverage, 58135,
     /* 2325392 */   GIR_EraseRootFromParent_Done,
     /* 2325393 */ // Label 32221: @2325393
     /* 2325393 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2325450), // Rule ID 58136 //
     /* 2325398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325412 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2325429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325449 */   // GIR_Coverage, 58136,
     /* 2325449 */   GIR_EraseRootFromParent_Done,
     /* 2325450 */ // Label 32222: @2325450
     /* 2325450 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2325504), // Rule ID 58315 //
     /* 2325455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325469 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325469 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325472 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325476 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325488 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325491 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325503 */   // GIR_Coverage, 58315,
     /* 2325503 */   GIR_EraseRootFromParent_Done,
     /* 2325504 */ // Label 32223: @2325504
     /* 2325504 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2325558), // Rule ID 58316 //
     /* 2325509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325523 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2325540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325542 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325557 */   // GIR_Coverage, 58316,
     /* 2325557 */   GIR_EraseRootFromParent_Done,
     /* 2325558 */ // Label 32224: @2325558
     /* 2325558 */ GIM_Reject,
     /* 2325559 */ // Label 32125: @2325559
     /* 2325559 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2325616), // Rule ID 58123 //
     /* 2325564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325578 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2325595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325615 */   // GIR_Coverage, 58123,
     /* 2325615 */   GIR_EraseRootFromParent_Done,
     /* 2325616 */ // Label 32225: @2325616
     /* 2325616 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2325673), // Rule ID 58124 //
     /* 2325621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325635 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2325652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325672 */   // GIR_Coverage, 58124,
     /* 2325672 */   GIR_EraseRootFromParent_Done,
     /* 2325673 */ // Label 32226: @2325673
     /* 2325673 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2325727), // Rule ID 58295 //
     /* 2325678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2325684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325692 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2325709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325726 */   // GIR_Coverage, 58295,
     /* 2325726 */   GIR_EraseRootFromParent_Done,
     /* 2325727 */ // Label 32227: @2325727
     /* 2325727 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2325781), // Rule ID 58296 //
     /* 2325732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2325738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325746 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2325763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325780 */   // GIR_Coverage, 58296,
     /* 2325780 */   GIR_EraseRootFromParent_Done,
     /* 2325781 */ // Label 32228: @2325781
     /* 2325781 */ GIM_Reject,
     /* 2325782 */ // Label 32126: @2325782
     /* 2325782 */ GIM_Reject,
     /* 2325783 */ // Label 70: @2325783
     /* 2325783 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32247*/ GIMT_Encode4(2331068),
     /* 2325794 */ /*GILLT_s16*//*Label 32229*/ GIMT_Encode4(2325914),
     /* 2325798 */ /*GILLT_s32*//*Label 32230*/ GIMT_Encode4(2326175),
     /* 2325802 */ /*GILLT_s64*//*Label 32231*/ GIMT_Encode4(2326436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325814 */ /*GILLT_nxv1s16*//*Label 32232*/ GIMT_Encode4(2326697),
     /* 2325818 */ /*GILLT_nxv1s32*//*Label 32233*/ GIMT_Encode4(2327034),
     /* 2325822 */ /*GILLT_nxv1s64*//*Label 32234*/ GIMT_Encode4(2327371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325834 */ /*GILLT_nxv2s16*//*Label 32235*/ GIMT_Encode4(2327594),
     /* 2325838 */ /*GILLT_nxv2s32*//*Label 32236*/ GIMT_Encode4(2327931),
     /* 2325842 */ /*GILLT_nxv2s64*//*Label 32237*/ GIMT_Encode4(2328268), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325854 */ /*GILLT_nxv4s16*//*Label 32238*/ GIMT_Encode4(2328491),
     /* 2325858 */ /*GILLT_nxv4s32*//*Label 32239*/ GIMT_Encode4(2328828),
     /* 2325862 */ /*GILLT_nxv4s64*//*Label 32240*/ GIMT_Encode4(2329165), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325874 */ /*GILLT_nxv8s16*//*Label 32241*/ GIMT_Encode4(2329388),
     /* 2325878 */ /*GILLT_nxv8s32*//*Label 32242*/ GIMT_Encode4(2329725),
     /* 2325882 */ /*GILLT_nxv8s64*//*Label 32243*/ GIMT_Encode4(2330062), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325894 */ /*GILLT_nxv16s16*//*Label 32244*/ GIMT_Encode4(2330285),
     /* 2325898 */ /*GILLT_nxv16s32*//*Label 32245*/ GIMT_Encode4(2330622), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325910 */ /*GILLT_nxv32s16*//*Label 32246*/ GIMT_Encode4(2330845),
     /* 2325914 */ // Label 32229: @2325914
     /* 2325914 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2325951), // Rule ID 2146 //
     /* 2325919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2325922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325929 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2325936 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2325939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325950 */   // GIR_Coverage, 2146,
     /* 2325950 */   GIR_EraseRootFromParent_Done,
     /* 2325951 */ // Label 32248: @2325951
     /* 2325951 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2325988), // Rule ID 2172 //
     /* 2325956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2325959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325966 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2325973 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2325976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325978 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325987 */   // GIR_Coverage, 2172,
     /* 2325987 */   GIR_EraseRootFromParent_Done,
     /* 2325988 */ // Label 32249: @2325988
     /* 2325988 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2326019), // Rule ID 2097 //
     /* 2325993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2325996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326007 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326018 */   // GIR_Coverage, 2097,
     /* 2326018 */   GIR_EraseRootFromParent_Done,
     /* 2326019 */ // Label 32250: @2326019
     /* 2326019 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2326050), // Rule ID 2098 //
     /* 2326024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2326027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326038 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2326041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326043 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326049 */   // GIR_Coverage, 2098,
     /* 2326049 */   GIR_EraseRootFromParent_Done,
     /* 2326050 */ // Label 32251: @2326050
     /* 2326050 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2326081), // Rule ID 2123 //
     /* 2326055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2326058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326069 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326080 */   // GIR_Coverage, 2123,
     /* 2326080 */   GIR_EraseRootFromParent_Done,
     /* 2326081 */ // Label 32252: @2326081
     /* 2326081 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2326112), // Rule ID 2124 //
     /* 2326086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2326089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326100 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2326103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326111 */   // GIR_Coverage, 2124,
     /* 2326111 */   GIR_EraseRootFromParent_Done,
     /* 2326112 */ // Label 32253: @2326112
     /* 2326112 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2326143), // Rule ID 2150 //
     /* 2326117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2326120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326131 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2326134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326142 */   // GIR_Coverage, 2150,
     /* 2326142 */   GIR_EraseRootFromParent_Done,
     /* 2326143 */ // Label 32254: @2326143
     /* 2326143 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2326174), // Rule ID 2176 //
     /* 2326148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2326151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326162 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2326165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326173 */   // GIR_Coverage, 2176,
     /* 2326173 */   GIR_EraseRootFromParent_Done,
     /* 2326174 */ // Label 32255: @2326174
     /* 2326174 */ GIM_Reject,
     /* 2326175 */ // Label 32230: @2326175
     /* 2326175 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2326212), // Rule ID 1412 //
     /* 2326180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326190 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326197 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326202 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326211 */   // GIR_Coverage, 1412,
     /* 2326211 */   GIR_EraseRootFromParent_Done,
     /* 2326212 */ // Label 32256: @2326212
     /* 2326212 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2326249), // Rule ID 1440 //
     /* 2326217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326227 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326234 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326239 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326248 */   // GIR_Coverage, 1440,
     /* 2326248 */   GIR_EraseRootFromParent_Done,
     /* 2326249 */ // Label 32257: @2326249
     /* 2326249 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2326280), // Rule ID 1361 //
     /* 2326254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2326257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326268 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326279 */   // GIR_Coverage, 1361,
     /* 2326279 */   GIR_EraseRootFromParent_Done,
     /* 2326280 */ // Label 32258: @2326280
     /* 2326280 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2326311), // Rule ID 1362 //
     /* 2326285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2326288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326299 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2326302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326310 */   // GIR_Coverage, 1362,
     /* 2326310 */   GIR_EraseRootFromParent_Done,
     /* 2326311 */ // Label 32259: @2326311
     /* 2326311 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2326342), // Rule ID 1387 //
     /* 2326316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2326319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326330 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2326330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326341 */   // GIR_Coverage, 1387,
     /* 2326341 */   GIR_EraseRootFromParent_Done,
     /* 2326342 */ // Label 32260: @2326342
     /* 2326342 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2326373), // Rule ID 1388 //
     /* 2326347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2326350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326361 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2326361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2326364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326372 */   // GIR_Coverage, 1388,
     /* 2326372 */   GIR_EraseRootFromParent_Done,
     /* 2326373 */ // Label 32261: @2326373
     /* 2326373 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2326404), // Rule ID 1416 //
     /* 2326378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2326381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2326388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326392 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2326395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326397 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326403 */   // GIR_Coverage, 1416,
     /* 2326403 */   GIR_EraseRootFromParent_Done,
     /* 2326404 */ // Label 32262: @2326404
     /* 2326404 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2326435), // Rule ID 1444 //
     /* 2326409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2326412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2326419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326423 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2326426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326434 */   // GIR_Coverage, 1444,
     /* 2326434 */   GIR_EraseRootFromParent_Done,
     /* 2326435 */ // Label 32263: @2326435
     /* 2326435 */ GIM_Reject,
     /* 2326436 */ // Label 32231: @2326436
     /* 2326436 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2326473), // Rule ID 1792 //
     /* 2326441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326451 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326458 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326472 */   // GIR_Coverage, 1792,
     /* 2326472 */   GIR_EraseRootFromParent_Done,
     /* 2326473 */ // Label 32264: @2326473
     /* 2326473 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2326510), // Rule ID 1820 //
     /* 2326478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326488 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2326495 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2326495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2326498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2326505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326509 */   // GIR_Coverage, 1820,
     /* 2326509 */   GIR_EraseRootFromParent_Done,
     /* 2326510 */ // Label 32265: @2326510
     /* 2326510 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2326541), // Rule ID 1755 //
     /* 2326515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2326518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326529 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326540 */   // GIR_Coverage, 1755,
     /* 2326540 */   GIR_EraseRootFromParent_Done,
     /* 2326541 */ // Label 32266: @2326541
     /* 2326541 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2326572), // Rule ID 1756 //
     /* 2326546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2326549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326560 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2326563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326571 */   // GIR_Coverage, 1756,
     /* 2326571 */   GIR_EraseRootFromParent_Done,
     /* 2326572 */ // Label 32267: @2326572
     /* 2326572 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2326603), // Rule ID 1781 //
     /* 2326577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2326580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326591 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2326591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2326594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326602 */   // GIR_Coverage, 1781,
     /* 2326602 */   GIR_EraseRootFromParent_Done,
     /* 2326603 */ // Label 32268: @2326603
     /* 2326603 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2326634), // Rule ID 1782 //
     /* 2326608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2326611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2326614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2326618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326622 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2326622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2326625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326627 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2326632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326633 */   // GIR_Coverage, 1782,
     /* 2326633 */   GIR_EraseRootFromParent_Done,
     /* 2326634 */ // Label 32269: @2326634
     /* 2326634 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2326665), // Rule ID 1810 //
     /* 2326639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2326642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2326649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326653 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2326656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326664 */   // GIR_Coverage, 1810,
     /* 2326664 */   GIR_EraseRootFromParent_Done,
     /* 2326665 */ // Label 32270: @2326665
     /* 2326665 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2326696), // Rule ID 1838 //
     /* 2326670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2326673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2326676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326684 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2326684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2326687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326695 */   // GIR_Coverage, 1838,
     /* 2326695 */   GIR_EraseRootFromParent_Done,
     /* 2326696 */ // Label 32271: @2326696
     /* 2326696 */ GIM_Reject,
     /* 2326697 */ // Label 32232: @2326697
     /* 2326697 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2326754), // Rule ID 58151 //
     /* 2326702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326716 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2326733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326753 */   // GIR_Coverage, 58151,
     /* 2326753 */   GIR_EraseRootFromParent_Done,
     /* 2326754 */ // Label 32272: @2326754
     /* 2326754 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2326811), // Rule ID 58152 //
     /* 2326759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326773 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2326790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326810 */   // GIR_Coverage, 58152,
     /* 2326810 */   GIR_EraseRootFromParent_Done,
     /* 2326811 */ // Label 32273: @2326811
     /* 2326811 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2326865), // Rule ID 58335 //
     /* 2326816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326830 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326842 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2326847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326849 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326852 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326864 */   // GIR_Coverage, 58335,
     /* 2326864 */   GIR_EraseRootFromParent_Done,
     /* 2326865 */ // Label 32274: @2326865
     /* 2326865 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2326919), // Rule ID 58336 //
     /* 2326870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326884 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2326901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326906 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326918 */   // GIR_Coverage, 58336,
     /* 2326918 */   GIR_EraseRootFromParent_Done,
     /* 2326919 */ // Label 32275: @2326919
     /* 2326919 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2326976), // Rule ID 58543 //
     /* 2326924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326938 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326950 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2326955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326957 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326960 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326975 */   // GIR_Coverage, 58543,
     /* 2326975 */   GIR_EraseRootFromParent_Done,
     /* 2326976 */ // Label 32276: @2326976
     /* 2326976 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2327033), // Rule ID 58544 //
     /* 2326981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326995 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326995 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326998 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327002 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2327012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327032 */   // GIR_Coverage, 58544,
     /* 2327032 */   GIR_EraseRootFromParent_Done,
     /* 2327033 */ // Label 32277: @2327033
     /* 2327033 */ GIM_Reject,
     /* 2327034 */ // Label 32233: @2327034
     /* 2327034 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2327091), // Rule ID 58159 //
     /* 2327039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327053 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327090 */   // GIR_Coverage, 58159,
     /* 2327090 */   GIR_EraseRootFromParent_Done,
     /* 2327091 */ // Label 32278: @2327091
     /* 2327091 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2327148), // Rule ID 58160 //
     /* 2327096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327110 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2327127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327147 */   // GIR_Coverage, 58160,
     /* 2327147 */   GIR_EraseRootFromParent_Done,
     /* 2327148 */ // Label 32279: @2327148
     /* 2327148 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2327202), // Rule ID 58359 //
     /* 2327153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327167 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327201 */   // GIR_Coverage, 58359,
     /* 2327201 */   GIR_EraseRootFromParent_Done,
     /* 2327202 */ // Label 32280: @2327202
     /* 2327202 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2327256), // Rule ID 58360 //
     /* 2327207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2327213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327221 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2327238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327255 */   // GIR_Coverage, 58360,
     /* 2327255 */   GIR_EraseRootFromParent_Done,
     /* 2327256 */ // Label 32281: @2327256
     /* 2327256 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2327313), // Rule ID 58563 //
     /* 2327261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327275 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327312 */   // GIR_Coverage, 58563,
     /* 2327312 */   GIR_EraseRootFromParent_Done,
     /* 2327313 */ // Label 32282: @2327313
     /* 2327313 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2327370), // Rule ID 58564 //
     /* 2327318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327332 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2327335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327344 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2327349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327351 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327354 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327369 */   // GIR_Coverage, 58564,
     /* 2327369 */   GIR_EraseRootFromParent_Done,
     /* 2327370 */ // Label 32283: @2327370
     /* 2327370 */ GIM_Reject,
     /* 2327371 */ // Label 32234: @2327371
     /* 2327371 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2327428), // Rule ID 58171 //
     /* 2327376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327390 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327427 */   // GIR_Coverage, 58171,
     /* 2327427 */   GIR_EraseRootFromParent_Done,
     /* 2327428 */ // Label 32284: @2327428
     /* 2327428 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2327485), // Rule ID 58172 //
     /* 2327433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2327439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327447 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2327464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327484 */   // GIR_Coverage, 58172,
     /* 2327484 */   GIR_EraseRootFromParent_Done,
     /* 2327485 */ // Label 32285: @2327485
     /* 2327485 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2327539), // Rule ID 58379 //
     /* 2327490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327504 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327538 */   // GIR_Coverage, 58379,
     /* 2327538 */   GIR_EraseRootFromParent_Done,
     /* 2327539 */ // Label 32286: @2327539
     /* 2327539 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2327593), // Rule ID 58380 //
     /* 2327544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2327550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327558 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2327561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2327575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327577 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327592 */   // GIR_Coverage, 58380,
     /* 2327592 */   GIR_EraseRootFromParent_Done,
     /* 2327593 */ // Label 32287: @2327593
     /* 2327593 */ GIM_Reject,
     /* 2327594 */ // Label 32235: @2327594
     /* 2327594 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2327651), // Rule ID 58155 //
     /* 2327599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327613 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2327630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327650 */   // GIR_Coverage, 58155,
     /* 2327650 */   GIR_EraseRootFromParent_Done,
     /* 2327651 */ // Label 32288: @2327651
     /* 2327651 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2327708), // Rule ID 58156 //
     /* 2327656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327670 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2327687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327707 */   // GIR_Coverage, 58156,
     /* 2327707 */   GIR_EraseRootFromParent_Done,
     /* 2327708 */ // Label 32289: @2327708
     /* 2327708 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2327762), // Rule ID 58339 //
     /* 2327713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2327719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327727 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327739 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2327744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327761 */   // GIR_Coverage, 58339,
     /* 2327761 */   GIR_EraseRootFromParent_Done,
     /* 2327762 */ // Label 32290: @2327762
     /* 2327762 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2327816), // Rule ID 58340 //
     /* 2327767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2327773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327781 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2327798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327815 */   // GIR_Coverage, 58340,
     /* 2327815 */   GIR_EraseRootFromParent_Done,
     /* 2327816 */ // Label 32291: @2327816
     /* 2327816 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2327873), // Rule ID 58547 //
     /* 2327821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327835 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327835 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327838 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327842 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327847 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2327852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327857 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327872 */   // GIR_Coverage, 58547,
     /* 2327872 */   GIR_EraseRootFromParent_Done,
     /* 2327873 */ // Label 32292: @2327873
     /* 2327873 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2327930), // Rule ID 58548 //
     /* 2327878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327892 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327892 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327895 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327899 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2327909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327914 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327929 */   // GIR_Coverage, 58548,
     /* 2327929 */   GIR_EraseRootFromParent_Done,
     /* 2327930 */ // Label 32293: @2327930
     /* 2327930 */ GIM_Reject,
     /* 2327931 */ // Label 32236: @2327931
     /* 2327931 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2327988), // Rule ID 58167 //
     /* 2327936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327950 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2327967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327987 */   // GIR_Coverage, 58167,
     /* 2327987 */   GIR_EraseRootFromParent_Done,
     /* 2327988 */ // Label 32294: @2327988
     /* 2327988 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2328045), // Rule ID 58168 //
     /* 2327993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328007 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2328024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328044 */   // GIR_Coverage, 58168,
     /* 2328044 */   GIR_EraseRootFromParent_Done,
     /* 2328045 */ // Label 32295: @2328045
     /* 2328045 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2328099), // Rule ID 58363 //
     /* 2328050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328064 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328098 */   // GIR_Coverage, 58363,
     /* 2328098 */   GIR_EraseRootFromParent_Done,
     /* 2328099 */ // Label 32296: @2328099
     /* 2328099 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2328153), // Rule ID 58364 //
     /* 2328104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2328110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328118 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2328135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328152 */   // GIR_Coverage, 58364,
     /* 2328152 */   GIR_EraseRootFromParent_Done,
     /* 2328153 */ // Label 32297: @2328153
     /* 2328153 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2328210), // Rule ID 58567 //
     /* 2328158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328172 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328184 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328194 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328209 */   // GIR_Coverage, 58567,
     /* 2328209 */   GIR_EraseRootFromParent_Done,
     /* 2328210 */ // Label 32298: @2328210
     /* 2328210 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2328267), // Rule ID 58568 //
     /* 2328215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328229 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328229 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328232 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328236 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2328246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328251 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328266 */   // GIR_Coverage, 58568,
     /* 2328266 */   GIR_EraseRootFromParent_Done,
     /* 2328267 */ // Label 32299: @2328267
     /* 2328267 */ GIM_Reject,
     /* 2328268 */ // Label 32237: @2328268
     /* 2328268 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2328325), // Rule ID 58199 //
     /* 2328273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328287 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328324 */   // GIR_Coverage, 58199,
     /* 2328324 */   GIR_EraseRootFromParent_Done,
     /* 2328325 */ // Label 32300: @2328325
     /* 2328325 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2328382), // Rule ID 58200 //
     /* 2328330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328344 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2328361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328381 */   // GIR_Coverage, 58200,
     /* 2328381 */   GIR_EraseRootFromParent_Done,
     /* 2328382 */ // Label 32301: @2328382
     /* 2328382 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2328436), // Rule ID 58383 //
     /* 2328387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328401 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328401 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328404 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328408 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328413 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328420 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328423 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328434 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328435 */   // GIR_Coverage, 58383,
     /* 2328435 */   GIR_EraseRootFromParent_Done,
     /* 2328436 */ // Label 32302: @2328436
     /* 2328436 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2328490), // Rule ID 58384 //
     /* 2328441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328455 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328455 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2328458 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328462 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328467 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2328472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328477 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328489 */   // GIR_Coverage, 58384,
     /* 2328489 */   GIR_EraseRootFromParent_Done,
     /* 2328490 */ // Label 32303: @2328490
     /* 2328490 */ GIM_Reject,
     /* 2328491 */ // Label 32238: @2328491
     /* 2328491 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2328548), // Rule ID 58163 //
     /* 2328496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328510 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328547 */   // GIR_Coverage, 58163,
     /* 2328547 */   GIR_EraseRootFromParent_Done,
     /* 2328548 */ // Label 32304: @2328548
     /* 2328548 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2328605), // Rule ID 58164 //
     /* 2328553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328567 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2328584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328604 */   // GIR_Coverage, 58164,
     /* 2328604 */   GIR_EraseRootFromParent_Done,
     /* 2328605 */ // Label 32305: @2328605
     /* 2328605 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2328659), // Rule ID 58343 //
     /* 2328610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2328616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328624 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328624 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328627 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328631 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328636 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2328641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328643 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328646 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328658 */   // GIR_Coverage, 58343,
     /* 2328658 */   GIR_EraseRootFromParent_Done,
     /* 2328659 */ // Label 32306: @2328659
     /* 2328659 */ GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2328713), // Rule ID 58344 //
     /* 2328664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2328670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328678 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2328695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328712 */   // GIR_Coverage, 58344,
     /* 2328712 */   GIR_EraseRootFromParent_Done,
     /* 2328713 */ // Label 32307: @2328713
     /* 2328713 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2328770), // Rule ID 58551 //
     /* 2328718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328732 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328744 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2328749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328751 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328754 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328769 */   // GIR_Coverage, 58551,
     /* 2328769 */   GIR_EraseRootFromParent_Done,
     /* 2328770 */ // Label 32308: @2328770
     /* 2328770 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2328827), // Rule ID 58552 //
     /* 2328775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328789 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328801 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2328806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328808 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328811 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328826 */   // GIR_Coverage, 58552,
     /* 2328826 */   GIR_EraseRootFromParent_Done,
     /* 2328827 */ // Label 32309: @2328827
     /* 2328827 */ GIM_Reject,
     /* 2328828 */ // Label 32239: @2328828
     /* 2328828 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2328885), // Rule ID 58187 //
     /* 2328833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328847 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2328864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328884 */   // GIR_Coverage, 58187,
     /* 2328884 */   GIR_EraseRootFromParent_Done,
     /* 2328885 */ // Label 32310: @2328885
     /* 2328885 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2328942), // Rule ID 58188 //
     /* 2328890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328904 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2328921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328941 */   // GIR_Coverage, 58188,
     /* 2328941 */   GIR_EraseRootFromParent_Done,
     /* 2328942 */ // Label 32311: @2328942
     /* 2328942 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2328996), // Rule ID 58367 //
     /* 2328947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328961 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2328978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328995 */   // GIR_Coverage, 58367,
     /* 2328995 */   GIR_EraseRootFromParent_Done,
     /* 2328996 */ // Label 32312: @2328996
     /* 2328996 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2329050), // Rule ID 58368 //
     /* 2329001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329015 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2329032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329049 */   // GIR_Coverage, 58368,
     /* 2329049 */   GIR_EraseRootFromParent_Done,
     /* 2329050 */ // Label 32313: @2329050
     /* 2329050 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2329107), // Rule ID 58571 //
     /* 2329055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329069 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329069 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329072 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329076 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329106 */   // GIR_Coverage, 58571,
     /* 2329106 */   GIR_EraseRootFromParent_Done,
     /* 2329107 */ // Label 32314: @2329107
     /* 2329107 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2329164), // Rule ID 58572 //
     /* 2329112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329126 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329126 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329129 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329133 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329138 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2329143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329145 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329148 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329163 */   // GIR_Coverage, 58572,
     /* 2329163 */   GIR_EraseRootFromParent_Done,
     /* 2329164 */ // Label 32315: @2329164
     /* 2329164 */ GIM_Reject,
     /* 2329165 */ // Label 32240: @2329165
     /* 2329165 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2329222), // Rule ID 58203 //
     /* 2329170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329184 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329203 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329221 */   // GIR_Coverage, 58203,
     /* 2329221 */   GIR_EraseRootFromParent_Done,
     /* 2329222 */ // Label 32316: @2329222
     /* 2329222 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2329279), // Rule ID 58204 //
     /* 2329227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329241 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2329258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329278 */   // GIR_Coverage, 58204,
     /* 2329278 */   GIR_EraseRootFromParent_Done,
     /* 2329279 */ // Label 32317: @2329279
     /* 2329279 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2329333), // Rule ID 58387 //
     /* 2329284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329298 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329332 */   // GIR_Coverage, 58387,
     /* 2329332 */   GIR_EraseRootFromParent_Done,
     /* 2329333 */ // Label 32318: @2329333
     /* 2329333 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2329387), // Rule ID 58388 //
     /* 2329338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329352 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329352 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2329355 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329359 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2329369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329374 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329386 */   // GIR_Coverage, 58388,
     /* 2329386 */   GIR_EraseRootFromParent_Done,
     /* 2329387 */ // Label 32319: @2329387
     /* 2329387 */ GIM_Reject,
     /* 2329388 */ // Label 32241: @2329388
     /* 2329388 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2329445), // Rule ID 58175 //
     /* 2329393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329407 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329444 */   // GIR_Coverage, 58175,
     /* 2329444 */   GIR_EraseRootFromParent_Done,
     /* 2329445 */ // Label 32320: @2329445
     /* 2329445 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2329502), // Rule ID 58176 //
     /* 2329450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329464 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2329481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329501 */   // GIR_Coverage, 58176,
     /* 2329501 */   GIR_EraseRootFromParent_Done,
     /* 2329502 */ // Label 32321: @2329502
     /* 2329502 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2329556), // Rule ID 58347 //
     /* 2329507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329521 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329555 */   // GIR_Coverage, 58347,
     /* 2329555 */   GIR_EraseRootFromParent_Done,
     /* 2329556 */ // Label 32322: @2329556
     /* 2329556 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2329610), // Rule ID 58348 //
     /* 2329561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2329567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329575 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2329592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329609 */   // GIR_Coverage, 58348,
     /* 2329609 */   GIR_EraseRootFromParent_Done,
     /* 2329610 */ // Label 32323: @2329610
     /* 2329610 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2329667), // Rule ID 58555 //
     /* 2329615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329629 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2329646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329666 */   // GIR_Coverage, 58555,
     /* 2329666 */   GIR_EraseRootFromParent_Done,
     /* 2329667 */ // Label 32324: @2329667
     /* 2329667 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2329724), // Rule ID 58556 //
     /* 2329672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329686 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329686 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329689 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329693 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2329703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329708 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329723 */   // GIR_Coverage, 58556,
     /* 2329723 */   GIR_EraseRootFromParent_Done,
     /* 2329724 */ // Label 32325: @2329724
     /* 2329724 */ GIM_Reject,
     /* 2329725 */ // Label 32242: @2329725
     /* 2329725 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2329782), // Rule ID 58191 //
     /* 2329730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329744 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2329761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329781 */   // GIR_Coverage, 58191,
     /* 2329781 */   GIR_EraseRootFromParent_Done,
     /* 2329782 */ // Label 32326: @2329782
     /* 2329782 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2329839), // Rule ID 58192 //
     /* 2329787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329801 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2329818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329838 */   // GIR_Coverage, 58192,
     /* 2329838 */   GIR_EraseRootFromParent_Done,
     /* 2329839 */ // Label 32327: @2329839
     /* 2329839 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2329893), // Rule ID 58371 //
     /* 2329844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329858 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329858 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329861 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329865 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2329875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329892 */   // GIR_Coverage, 58371,
     /* 2329892 */   GIR_EraseRootFromParent_Done,
     /* 2329893 */ // Label 32328: @2329893
     /* 2329893 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2329947), // Rule ID 58372 //
     /* 2329898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329912 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2329929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329931 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329946 */   // GIR_Coverage, 58372,
     /* 2329946 */   GIR_EraseRootFromParent_Done,
     /* 2329947 */ // Label 32329: @2329947
     /* 2329947 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2330004), // Rule ID 58575 //
     /* 2329952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329966 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2329983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330003 */   // GIR_Coverage, 58575,
     /* 2330003 */   GIR_EraseRootFromParent_Done,
     /* 2330004 */ // Label 32330: @2330004
     /* 2330004 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2330061), // Rule ID 58576 //
     /* 2330009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330023 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2330040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330045 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330060 */   // GIR_Coverage, 58576,
     /* 2330060 */   GIR_EraseRootFromParent_Done,
     /* 2330061 */ // Label 32331: @2330061
     /* 2330061 */ GIM_Reject,
     /* 2330062 */ // Label 32243: @2330062
     /* 2330062 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2330119), // Rule ID 58207 //
     /* 2330067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330081 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330118 */   // GIR_Coverage, 58207,
     /* 2330118 */   GIR_EraseRootFromParent_Done,
     /* 2330119 */ // Label 32332: @2330119
     /* 2330119 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2330176), // Rule ID 58208 //
     /* 2330124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330138 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330150 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2330155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330175 */   // GIR_Coverage, 58208,
     /* 2330175 */   GIR_EraseRootFromParent_Done,
     /* 2330176 */ // Label 32333: @2330176
     /* 2330176 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2330230), // Rule ID 58391 //
     /* 2330181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330195 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330229 */   // GIR_Coverage, 58391,
     /* 2330229 */   GIR_EraseRootFromParent_Done,
     /* 2330230 */ // Label 32334: @2330230
     /* 2330230 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2330284), // Rule ID 58392 //
     /* 2330235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330249 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2330266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330283 */   // GIR_Coverage, 58392,
     /* 2330283 */   GIR_EraseRootFromParent_Done,
     /* 2330284 */ // Label 32335: @2330284
     /* 2330284 */ GIM_Reject,
     /* 2330285 */ // Label 32244: @2330285
     /* 2330285 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2330342), // Rule ID 58179 //
     /* 2330290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330304 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330341 */   // GIR_Coverage, 58179,
     /* 2330341 */   GIR_EraseRootFromParent_Done,
     /* 2330342 */ // Label 32336: @2330342
     /* 2330342 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2330399), // Rule ID 58180 //
     /* 2330347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330361 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2330378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330398 */   // GIR_Coverage, 58180,
     /* 2330398 */   GIR_EraseRootFromParent_Done,
     /* 2330399 */ // Label 32337: @2330399
     /* 2330399 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2330453), // Rule ID 58351 //
     /* 2330404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330418 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330452 */   // GIR_Coverage, 58351,
     /* 2330452 */   GIR_EraseRootFromParent_Done,
     /* 2330453 */ // Label 32338: @2330453
     /* 2330453 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2330507), // Rule ID 58352 //
     /* 2330458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330472 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330484 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2330489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330506 */   // GIR_Coverage, 58352,
     /* 2330506 */   GIR_EraseRootFromParent_Done,
     /* 2330507 */ // Label 32339: @2330507
     /* 2330507 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2330564), // Rule ID 58559 //
     /* 2330512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330526 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330563 */   // GIR_Coverage, 58559,
     /* 2330563 */   GIR_EraseRootFromParent_Done,
     /* 2330564 */ // Label 32340: @2330564
     /* 2330564 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2330621), // Rule ID 58560 //
     /* 2330569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330583 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2330600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330620 */   // GIR_Coverage, 58560,
     /* 2330620 */   GIR_EraseRootFromParent_Done,
     /* 2330621 */ // Label 32341: @2330621
     /* 2330621 */ GIM_Reject,
     /* 2330622 */ // Label 32245: @2330622
     /* 2330622 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2330679), // Rule ID 58195 //
     /* 2330627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330641 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2330658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330678 */   // GIR_Coverage, 58195,
     /* 2330678 */   GIR_EraseRootFromParent_Done,
     /* 2330679 */ // Label 32342: @2330679
     /* 2330679 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2330736), // Rule ID 58196 //
     /* 2330684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330698 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2330715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330735 */   // GIR_Coverage, 58196,
     /* 2330735 */   GIR_EraseRootFromParent_Done,
     /* 2330736 */ // Label 32343: @2330736
     /* 2330736 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2330790), // Rule ID 58375 //
     /* 2330741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330755 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330755 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330758 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330762 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330767 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2330772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330774 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330777 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330789 */   // GIR_Coverage, 58375,
     /* 2330789 */   GIR_EraseRootFromParent_Done,
     /* 2330790 */ // Label 32344: @2330790
     /* 2330790 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2330844), // Rule ID 58376 //
     /* 2330795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330809 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2330826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330828 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330831 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330843 */   // GIR_Coverage, 58376,
     /* 2330843 */   GIR_EraseRootFromParent_Done,
     /* 2330844 */ // Label 32345: @2330844
     /* 2330844 */ GIM_Reject,
     /* 2330845 */ // Label 32246: @2330845
     /* 2330845 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2330902), // Rule ID 58183 //
     /* 2330850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330864 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330864 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330867 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330871 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330876 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2330881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330886 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330901 */   // GIR_Coverage, 58183,
     /* 2330901 */   GIR_EraseRootFromParent_Done,
     /* 2330902 */ // Label 32346: @2330902
     /* 2330902 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2330959), // Rule ID 58184 //
     /* 2330907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330921 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2330938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330940 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330958 */   // GIR_Coverage, 58184,
     /* 2330958 */   GIR_EraseRootFromParent_Done,
     /* 2330959 */ // Label 32347: @2330959
     /* 2330959 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2331013), // Rule ID 58355 //
     /* 2330964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2330970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330978 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330990 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2330995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330997 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331000 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331012 */   // GIR_Coverage, 58355,
     /* 2331012 */   GIR_EraseRootFromParent_Done,
     /* 2331013 */ // Label 32348: @2331013
     /* 2331013 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2331067), // Rule ID 58356 //
     /* 2331018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2331024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331032 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2331049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331066 */   // GIR_Coverage, 58356,
     /* 2331066 */   GIR_EraseRootFromParent_Done,
     /* 2331067 */ // Label 32349: @2331067
     /* 2331067 */ GIM_Reject,
     /* 2331068 */ // Label 32247: @2331068
     /* 2331068 */ GIM_Reject,
     /* 2331069 */ // Label 71: @2331069
     /* 2331069 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32368*/ GIMT_Encode4(2333039),
     /* 2331080 */ /*GILLT_s16*//*Label 32350*/ GIMT_Encode4(2331200),
     /* 2331084 */ /*GILLT_s32*//*Label 32351*/ GIMT_Encode4(2331264),
     /* 2331088 */ /*GILLT_s64*//*Label 32352*/ GIMT_Encode4(2331328), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331100 */ /*GILLT_nxv1s16*//*Label 32353*/ GIMT_Encode4(2331419),
     /* 2331104 */ /*GILLT_nxv1s32*//*Label 32354*/ GIMT_Encode4(2331527),
     /* 2331108 */ /*GILLT_nxv1s64*//*Label 32355*/ GIMT_Encode4(2331635), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331120 */ /*GILLT_nxv2s16*//*Label 32356*/ GIMT_Encode4(2331743),
     /* 2331124 */ /*GILLT_nxv2s32*//*Label 32357*/ GIMT_Encode4(2331851),
     /* 2331128 */ /*GILLT_nxv2s64*//*Label 32358*/ GIMT_Encode4(2331959), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331140 */ /*GILLT_nxv4s16*//*Label 32359*/ GIMT_Encode4(2332067),
     /* 2331144 */ /*GILLT_nxv4s32*//*Label 32360*/ GIMT_Encode4(2332175),
     /* 2331148 */ /*GILLT_nxv4s64*//*Label 32361*/ GIMT_Encode4(2332283), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331160 */ /*GILLT_nxv8s16*//*Label 32362*/ GIMT_Encode4(2332391),
     /* 2331164 */ /*GILLT_nxv8s32*//*Label 32363*/ GIMT_Encode4(2332499),
     /* 2331168 */ /*GILLT_nxv8s64*//*Label 32364*/ GIMT_Encode4(2332607), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331180 */ /*GILLT_nxv16s16*//*Label 32365*/ GIMT_Encode4(2332715),
     /* 2331184 */ /*GILLT_nxv16s32*//*Label 32366*/ GIMT_Encode4(2332823), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331196 */ /*GILLT_nxv32s16*//*Label 32367*/ GIMT_Encode4(2332931),
     /* 2331200 */ // Label 32350: @2331200
     /* 2331200 */ GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2331263),
     /* 2331205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331208 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2331235), // Rule ID 1876 //
     /* 2331213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331224 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2331227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331234 */     // GIR_Coverage, 1876,
     /* 2331234 */     GIR_EraseRootFromParent_Done,
     /* 2331235 */   // Label 32370: @2331235
     /* 2331235 */   GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2331262), // Rule ID 1909 //
     /* 2331240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331251 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2331251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2331254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331261 */     // GIR_Coverage, 1909,
     /* 2331261 */     GIR_EraseRootFromParent_Done,
     /* 2331262 */   // Label 32371: @2331262
     /* 2331262 */   GIM_Reject,
     /* 2331263 */ // Label 32369: @2331263
     /* 2331263 */ GIM_Reject,
     /* 2331264 */ // Label 32351: @2331264
     /* 2331264 */ GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2331327),
     /* 2331269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331272 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2331299), // Rule ID 1167 //
     /* 2331277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2331280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331288 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2331291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331298 */     // GIR_Coverage, 1167,
     /* 2331298 */     GIR_EraseRootFromParent_Done,
     /* 2331299 */   // Label 32373: @2331299
     /* 2331299 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2331326), // Rule ID 1175 //
     /* 2331304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2331307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331315 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2331315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2331318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331325 */     // GIR_Coverage, 1175,
     /* 2331325 */     GIR_EraseRootFromParent_Done,
     /* 2331326 */   // Label 32374: @2331326
     /* 2331326 */   GIM_Reject,
     /* 2331327 */ // Label 32372: @2331327
     /* 2331327 */ GIM_Reject,
     /* 2331328 */ // Label 32352: @2331328
     /* 2331328 */ GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2331418),
     /* 2331333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331336 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2331363), // Rule ID 1510 //
     /* 2331341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2331344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331352 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2331355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331362 */     // GIR_Coverage, 1510,
     /* 2331362 */     GIR_EraseRootFromParent_Done,
     /* 2331363 */   // Label 32376: @2331363
     /* 2331363 */   GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2331390), // Rule ID 1543 //
     /* 2331368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331379 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2331382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331389 */     // GIR_Coverage, 1543,
     /* 2331389 */     GIR_EraseRootFromParent_Done,
     /* 2331390 */   // Label 32377: @2331390
     /* 2331390 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2331417), // Rule ID 1565 //
     /* 2331395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2331398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331406 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2331406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2331409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331416 */     // GIR_Coverage, 1565,
     /* 2331416 */     GIR_EraseRootFromParent_Done,
     /* 2331417 */   // Label 32378: @2331417
     /* 2331417 */   GIM_Reject,
     /* 2331418 */ // Label 32375: @2331418
     /* 2331418 */ GIM_Reject,
     /* 2331419 */ // Label 32353: @2331419
     /* 2331419 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2331526),
     /* 2331424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331435 */   GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2331480), // Rule ID 56107 //
     /* 2331440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331443 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331479 */     // GIR_Coverage, 56107,
     /* 2331479 */     GIR_EraseRootFromParent_Done,
     /* 2331480 */   // Label 32380: @2331480
     /* 2331480 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2331525), // Rule ID 56108 //
     /* 2331485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331488 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2331505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331524 */     // GIR_Coverage, 56108,
     /* 2331524 */     GIR_EraseRootFromParent_Done,
     /* 2331525 */   // Label 32381: @2331525
     /* 2331525 */   GIM_Reject,
     /* 2331526 */ // Label 32379: @2331526
     /* 2331526 */ GIM_Reject,
     /* 2331527 */ // Label 32354: @2331527
     /* 2331527 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2331634),
     /* 2331532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331543 */   GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2331588), // Rule ID 56147 //
     /* 2331548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331551 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2331568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331587 */     // GIR_Coverage, 56147,
     /* 2331587 */     GIR_EraseRootFromParent_Done,
     /* 2331588 */   // Label 32383: @2331588
     /* 2331588 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2331633), // Rule ID 56148 //
     /* 2331593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331596 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2331613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331632 */     // GIR_Coverage, 56148,
     /* 2331632 */     GIR_EraseRootFromParent_Done,
     /* 2331633 */   // Label 32384: @2331633
     /* 2331633 */   GIM_Reject,
     /* 2331634 */ // Label 32382: @2331634
     /* 2331634 */ GIM_Reject,
     /* 2331635 */ // Label 32355: @2331635
     /* 2331635 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2331742),
     /* 2331640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331651 */   GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2331696), // Rule ID 56207 //
     /* 2331656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331659 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2331676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331695 */     // GIR_Coverage, 56207,
     /* 2331695 */     GIR_EraseRootFromParent_Done,
     /* 2331696 */   // Label 32386: @2331696
     /* 2331696 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2331741), // Rule ID 56208 //
     /* 2331701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331704 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2331721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331740 */     // GIR_Coverage, 56208,
     /* 2331740 */     GIR_EraseRootFromParent_Done,
     /* 2331741 */   // Label 32387: @2331741
     /* 2331741 */   GIM_Reject,
     /* 2331742 */ // Label 32385: @2331742
     /* 2331742 */ GIM_Reject,
     /* 2331743 */ // Label 32356: @2331743
     /* 2331743 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2331850),
     /* 2331748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331759 */   GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2331804), // Rule ID 56127 //
     /* 2331764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331767 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2331784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331803 */     // GIR_Coverage, 56127,
     /* 2331803 */     GIR_EraseRootFromParent_Done,
     /* 2331804 */   // Label 32389: @2331804
     /* 2331804 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2331849), // Rule ID 56128 //
     /* 2331809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331812 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2331829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331848 */     // GIR_Coverage, 56128,
     /* 2331848 */     GIR_EraseRootFromParent_Done,
     /* 2331849 */   // Label 32390: @2331849
     /* 2331849 */   GIM_Reject,
     /* 2331850 */ // Label 32388: @2331850
     /* 2331850 */ GIM_Reject,
     /* 2331851 */ // Label 32357: @2331851
     /* 2331851 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2331958),
     /* 2331856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331867 */   GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2331912), // Rule ID 56187 //
     /* 2331872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331875 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2331892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331911 */     // GIR_Coverage, 56187,
     /* 2331911 */     GIR_EraseRootFromParent_Done,
     /* 2331912 */   // Label 32392: @2331912
     /* 2331912 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2331957), // Rule ID 56188 //
     /* 2331917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331920 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2331937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331956 */     // GIR_Coverage, 56188,
     /* 2331956 */     GIR_EraseRootFromParent_Done,
     /* 2331957 */   // Label 32393: @2331957
     /* 2331957 */   GIM_Reject,
     /* 2331958 */ // Label 32391: @2331958
     /* 2331958 */ GIM_Reject,
     /* 2331959 */ // Label 32358: @2331959
     /* 2331959 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2332066),
     /* 2331964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2331967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331975 */   GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2332020), // Rule ID 56347 //
     /* 2331980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331983 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2331986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332019 */     // GIR_Coverage, 56347,
     /* 2332019 */     GIR_EraseRootFromParent_Done,
     /* 2332020 */   // Label 32395: @2332020
     /* 2332020 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2332065), // Rule ID 56348 //
     /* 2332025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332028 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2332045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332064 */     // GIR_Coverage, 56348,
     /* 2332064 */     GIR_EraseRootFromParent_Done,
     /* 2332065 */   // Label 32396: @2332065
     /* 2332065 */   GIM_Reject,
     /* 2332066 */ // Label 32394: @2332066
     /* 2332066 */ GIM_Reject,
     /* 2332067 */ // Label 32359: @2332067
     /* 2332067 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2332174),
     /* 2332072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332083 */   GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2332128), // Rule ID 56167 //
     /* 2332088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332091 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332127 */     // GIR_Coverage, 56167,
     /* 2332127 */     GIR_EraseRootFromParent_Done,
     /* 2332128 */   // Label 32398: @2332128
     /* 2332128 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2332173), // Rule ID 56168 //
     /* 2332133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332136 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2332153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332172 */     // GIR_Coverage, 56168,
     /* 2332172 */     GIR_EraseRootFromParent_Done,
     /* 2332173 */   // Label 32399: @2332173
     /* 2332173 */   GIM_Reject,
     /* 2332174 */ // Label 32397: @2332174
     /* 2332174 */ GIM_Reject,
     /* 2332175 */ // Label 32360: @2332175
     /* 2332175 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2332282),
     /* 2332180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332191 */   GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2332236), // Rule ID 56287 //
     /* 2332196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332199 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332235 */     // GIR_Coverage, 56287,
     /* 2332235 */     GIR_EraseRootFromParent_Done,
     /* 2332236 */   // Label 32401: @2332236
     /* 2332236 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2332281), // Rule ID 56288 //
     /* 2332241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332244 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2332261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332280 */     // GIR_Coverage, 56288,
     /* 2332280 */     GIR_EraseRootFromParent_Done,
     /* 2332281 */   // Label 32402: @2332281
     /* 2332281 */   GIM_Reject,
     /* 2332282 */ // Label 32400: @2332282
     /* 2332282 */ GIM_Reject,
     /* 2332283 */ // Label 32361: @2332283
     /* 2332283 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2332390),
     /* 2332288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332299 */   GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2332344), // Rule ID 56367 //
     /* 2332304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332307 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332343 */     // GIR_Coverage, 56367,
     /* 2332343 */     GIR_EraseRootFromParent_Done,
     /* 2332344 */   // Label 32404: @2332344
     /* 2332344 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2332389), // Rule ID 56368 //
     /* 2332349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332352 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2332369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332388 */     // GIR_Coverage, 56368,
     /* 2332388 */     GIR_EraseRootFromParent_Done,
     /* 2332389 */   // Label 32405: @2332389
     /* 2332389 */   GIM_Reject,
     /* 2332390 */ // Label 32403: @2332390
     /* 2332390 */ GIM_Reject,
     /* 2332391 */ // Label 32362: @2332391
     /* 2332391 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2332498),
     /* 2332396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332407 */   GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2332452), // Rule ID 56227 //
     /* 2332412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332415 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332451 */     // GIR_Coverage, 56227,
     /* 2332451 */     GIR_EraseRootFromParent_Done,
     /* 2332452 */   // Label 32407: @2332452
     /* 2332452 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2332497), // Rule ID 56228 //
     /* 2332457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332460 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2332477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332496 */     // GIR_Coverage, 56228,
     /* 2332496 */     GIR_EraseRootFromParent_Done,
     /* 2332497 */   // Label 32408: @2332497
     /* 2332497 */   GIM_Reject,
     /* 2332498 */ // Label 32406: @2332498
     /* 2332498 */ GIM_Reject,
     /* 2332499 */ // Label 32363: @2332499
     /* 2332499 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2332606),
     /* 2332504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332515 */   GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2332560), // Rule ID 56307 //
     /* 2332520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332523 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332559 */     // GIR_Coverage, 56307,
     /* 2332559 */     GIR_EraseRootFromParent_Done,
     /* 2332560 */   // Label 32410: @2332560
     /* 2332560 */   GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2332605), // Rule ID 56308 //
     /* 2332565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332568 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2332571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2332585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332604 */     // GIR_Coverage, 56308,
     /* 2332604 */     GIR_EraseRootFromParent_Done,
     /* 2332605 */   // Label 32411: @2332605
     /* 2332605 */   GIM_Reject,
     /* 2332606 */ // Label 32409: @2332606
     /* 2332606 */ GIM_Reject,
     /* 2332607 */ // Label 32364: @2332607
     /* 2332607 */ GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2332714),
     /* 2332612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2332615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332623 */   GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2332668), // Rule ID 56387 //
     /* 2332628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2332631 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2332648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332667 */     // GIR_Coverage, 56387,
     /* 2332667 */     GIR_EraseRootFromParent_Done,
     /* 2332668 */   // Label 32413: @2332668
     /* 2332668 */   GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2332713), // Rule ID 56388 //
     /* 2332673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332676 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2332693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332712 */     // GIR_Coverage, 56388,
     /* 2332712 */     GIR_EraseRootFromParent_Done,
     /* 2332713 */   // Label 32414: @2332713
     /* 2332713 */   GIM_Reject,
     /* 2332714 */ // Label 32412: @2332714
     /* 2332714 */ GIM_Reject,
     /* 2332715 */ // Label 32365: @2332715
     /* 2332715 */ GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2332822),
     /* 2332720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332731 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2332776), // Rule ID 56247 //
     /* 2332736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332739 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2332756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332775 */     // GIR_Coverage, 56247,
     /* 2332775 */     GIR_EraseRootFromParent_Done,
     /* 2332776 */   // Label 32416: @2332776
     /* 2332776 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2332821), // Rule ID 56248 //
     /* 2332781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332784 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2332801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332820 */     // GIR_Coverage, 56248,
     /* 2332820 */     GIR_EraseRootFromParent_Done,
     /* 2332821 */   // Label 32417: @2332821
     /* 2332821 */   GIM_Reject,
     /* 2332822 */ // Label 32415: @2332822
     /* 2332822 */ GIM_Reject,
     /* 2332823 */ // Label 32366: @2332823
     /* 2332823 */ GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2332930),
     /* 2332828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332839 */   GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2332884), // Rule ID 56327 //
     /* 2332844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332847 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2332864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332883 */     // GIR_Coverage, 56327,
     /* 2332883 */     GIR_EraseRootFromParent_Done,
     /* 2332884 */   // Label 32419: @2332884
     /* 2332884 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2332929), // Rule ID 56328 //
     /* 2332889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332892 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2332909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332928 */     // GIR_Coverage, 56328,
     /* 2332928 */     GIR_EraseRootFromParent_Done,
     /* 2332929 */   // Label 32420: @2332929
     /* 2332929 */   GIM_Reject,
     /* 2332930 */ // Label 32418: @2332930
     /* 2332930 */ GIM_Reject,
     /* 2332931 */ // Label 32367: @2332931
     /* 2332931 */ GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2333038),
     /* 2332936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332947 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2332992), // Rule ID 56267 //
     /* 2332952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332955 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2332972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2332981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332991 */     // GIR_Coverage, 56267,
     /* 2332991 */     GIR_EraseRootFromParent_Done,
     /* 2332992 */   // Label 32422: @2332992
     /* 2332992 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2333037), // Rule ID 56268 //
     /* 2332997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333000 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2333017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2333026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333036 */     // GIR_Coverage, 56268,
     /* 2333036 */     GIR_EraseRootFromParent_Done,
     /* 2333037 */   // Label 32423: @2333037
     /* 2333037 */   GIM_Reject,
     /* 2333038 */ // Label 32421: @2333038
     /* 2333038 */ GIM_Reject,
     /* 2333039 */ // Label 32368: @2333039
     /* 2333039 */ GIM_Reject,
     /* 2333040 */ // Label 72: @2333040
     /* 2333040 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32442*/ GIMT_Encode4(2339101),
     /* 2333051 */ /*GILLT_s16*//*Label 32424*/ GIMT_Encode4(2333171),
     /* 2333055 */ /*GILLT_s32*//*Label 32425*/ GIMT_Encode4(2333847),
     /* 2333059 */ /*GILLT_s64*//*Label 32426*/ GIMT_Encode4(2334523), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333071 */ /*GILLT_nxv1s16*//*Label 32427*/ GIMT_Encode4(2335336),
     /* 2333075 */ /*GILLT_nxv1s32*//*Label 32428*/ GIMT_Encode4(2335587),
     /* 2333079 */ /*GILLT_nxv1s64*//*Label 32429*/ GIMT_Encode4(2335838), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333091 */ /*GILLT_nxv2s16*//*Label 32430*/ GIMT_Encode4(2336089),
     /* 2333095 */ /*GILLT_nxv2s32*//*Label 32431*/ GIMT_Encode4(2336340),
     /* 2333099 */ /*GILLT_nxv2s64*//*Label 32432*/ GIMT_Encode4(2336591), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333111 */ /*GILLT_nxv4s16*//*Label 32433*/ GIMT_Encode4(2336842),
     /* 2333115 */ /*GILLT_nxv4s32*//*Label 32434*/ GIMT_Encode4(2337093),
     /* 2333119 */ /*GILLT_nxv4s64*//*Label 32435*/ GIMT_Encode4(2337344), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333131 */ /*GILLT_nxv8s16*//*Label 32436*/ GIMT_Encode4(2337595),
     /* 2333135 */ /*GILLT_nxv8s32*//*Label 32437*/ GIMT_Encode4(2337846),
     /* 2333139 */ /*GILLT_nxv8s64*//*Label 32438*/ GIMT_Encode4(2338097), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333151 */ /*GILLT_nxv16s16*//*Label 32439*/ GIMT_Encode4(2338348),
     /* 2333155 */ /*GILLT_nxv16s32*//*Label 32440*/ GIMT_Encode4(2338599), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333167 */ /*GILLT_nxv32s16*//*Label 32441*/ GIMT_Encode4(2338850),
     /* 2333171 */ // Label 32424: @2333171
     /* 2333171 */ GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2333846),
     /* 2333176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333179 */   GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2333230), // Rule ID 1881 //
     /* 2333184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333217 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2333217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2333220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333229 */     // GIR_Coverage, 1881,
     /* 2333229 */     GIR_EraseRootFromParent_Done,
     /* 2333230 */   // Label 32444: @2333230
     /* 2333230 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2333281), // Rule ID 1914 //
     /* 2333235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333268 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2333268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2333271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333280 */     // GIR_Coverage, 1914,
     /* 2333280 */     GIR_EraseRootFromParent_Done,
     /* 2333281 */   // Label 32445: @2333281
     /* 2333281 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2333311), // Rule ID 1879 //
     /* 2333286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333304 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333310 */     // GIR_Coverage, 1879,
     /* 2333310 */     GIR_Done,
     /* 2333311 */   // Label 32446: @2333311
     /* 2333311 */   GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2333367), // Rule ID 1882 //
     /* 2333316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2333319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333334 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333350 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333366 */     // GIR_Coverage, 1882,
     /* 2333366 */     GIR_EraseRootFromParent_Done,
     /* 2333367 */   // Label 32447: @2333367
     /* 2333367 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2333423), // Rule ID 1883 //
     /* 2333372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2333375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333390 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2333397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333402 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333406 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333422 */     // GIR_Coverage, 1883,
     /* 2333422 */     GIR_EraseRootFromParent_Done,
     /* 2333423 */   // Label 32448: @2333423
     /* 2333423 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2333453), // Rule ID 1912 //
     /* 2333428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333446 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333452 */     // GIR_Coverage, 1912,
     /* 2333452 */     GIR_Done,
     /* 2333453 */   // Label 32449: @2333453
     /* 2333453 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2333509), // Rule ID 1915 //
     /* 2333458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2333461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333476 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2333476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333492 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333508 */     // GIR_Coverage, 1915,
     /* 2333508 */     GIR_EraseRootFromParent_Done,
     /* 2333509 */   // Label 32450: @2333509
     /* 2333509 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2333565), // Rule ID 1916 //
     /* 2333514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2333517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333532 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2333532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2333539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333548 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333564 */     // GIR_Coverage, 1916,
     /* 2333564 */     GIR_EraseRootFromParent_Done,
     /* 2333565 */   // Label 32451: @2333565
     /* 2333565 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2333621), // Rule ID 2185 //
     /* 2333570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2333573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333588 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2333595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333604 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333620 */     // GIR_Coverage, 2185,
     /* 2333620 */     GIR_EraseRootFromParent_Done,
     /* 2333621 */   // Label 32452: @2333621
     /* 2333621 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2333677), // Rule ID 2186 //
     /* 2333626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2333629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333644 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2333644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2333651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333660 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2333668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333676 */     // GIR_Coverage, 2186,
     /* 2333676 */     GIR_EraseRootFromParent_Done,
     /* 2333677 */   // Label 32453: @2333677
     /* 2333677 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2333733), // Rule ID 2197 //
     /* 2333682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2333685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333700 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2333707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333716 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333732 */     // GIR_Coverage, 2197,
     /* 2333732 */     GIR_EraseRootFromParent_Done,
     /* 2333733 */   // Label 32454: @2333733
     /* 2333733 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2333789), // Rule ID 2198 //
     /* 2333738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2333741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333756 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2333756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2333763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333772 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333788 */     // GIR_Coverage, 2198,
     /* 2333788 */     GIR_EraseRootFromParent_Done,
     /* 2333789 */   // Label 32455: @2333789
     /* 2333789 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2333845), // Rule ID 2205 //
     /* 2333794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2333797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333812 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2333812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2333815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2333819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333828 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2333831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2333836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333844 */     // GIR_Coverage, 2205,
     /* 2333844 */     GIR_EraseRootFromParent_Done,
     /* 2333845 */   // Label 32456: @2333845
     /* 2333845 */   GIM_Reject,
     /* 2333846 */ // Label 32443: @2333846
     /* 2333846 */ GIM_Reject,
     /* 2333847 */ // Label 32425: @2333847
     /* 2333847 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2334522),
     /* 2333852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333855 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2333906), // Rule ID 1182 //
     /* 2333860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2333863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333893 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2333893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2333896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333905 */     // GIR_Coverage, 1182,
     /* 2333905 */     GIR_EraseRootFromParent_Done,
     /* 2333906 */   // Label 32458: @2333906
     /* 2333906 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2333957), // Rule ID 1203 //
     /* 2333911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2333914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333944 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2333944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2333947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333956 */     // GIR_Coverage, 1203,
     /* 2333956 */     GIR_EraseRootFromParent_Done,
     /* 2333957 */   // Label 32459: @2333957
     /* 2333957 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2333987), // Rule ID 1178 //
     /* 2333962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2333965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333980 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2333980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2333985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333986 */     // GIR_Coverage, 1178,
     /* 2333986 */     GIR_Done,
     /* 2333987 */   // Label 32460: @2333987
     /* 2333987 */   GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2334017), // Rule ID 1179 //
     /* 2333992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2333995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334010 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2334010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334016 */     // GIR_Coverage, 1179,
     /* 2334016 */     GIR_Done,
     /* 2334017 */   // Label 32461: @2334017
     /* 2334017 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2334073), // Rule ID 1518 //
     /* 2334022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334040 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334052 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334056 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334072 */     // GIR_Coverage, 1518,
     /* 2334072 */     GIR_EraseRootFromParent_Done,
     /* 2334073 */   // Label 32462: @2334073
     /* 2334073 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2334129), // Rule ID 1519 //
     /* 2334078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334096 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2334103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334112 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334128 */     // GIR_Coverage, 1519,
     /* 2334128 */     GIR_EraseRootFromParent_Done,
     /* 2334129 */   // Label 32463: @2334129
     /* 2334129 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2334185), // Rule ID 1549 //
     /* 2334134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334152 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2334159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334168 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334184 */     // GIR_Coverage, 1549,
     /* 2334184 */     GIR_EraseRootFromParent_Done,
     /* 2334185 */   // Label 32464: @2334185
     /* 2334185 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2334241), // Rule ID 1573 //
     /* 2334190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334208 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2334208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334224 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334240 */     // GIR_Coverage, 1573,
     /* 2334240 */     GIR_EraseRootFromParent_Done,
     /* 2334241 */   // Label 32465: @2334241
     /* 2334241 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2334297), // Rule ID 1574 //
     /* 2334246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2334249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334264 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2334264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2334271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334280 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2334283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334296 */     // GIR_Coverage, 1574,
     /* 2334296 */     GIR_EraseRootFromParent_Done,
     /* 2334297 */   // Label 32466: @2334297
     /* 2334297 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2334353), // Rule ID 2057 //
     /* 2334302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2334305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334320 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334336 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334352 */     // GIR_Coverage, 2057,
     /* 2334352 */     GIR_EraseRootFromParent_Done,
     /* 2334353 */   // Label 32467: @2334353
     /* 2334353 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2334409), // Rule ID 2058 //
     /* 2334358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2334361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334376 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2334383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2334400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334408 */     // GIR_Coverage, 2058,
     /* 2334408 */     GIR_EraseRootFromParent_Done,
     /* 2334409 */   // Label 32468: @2334409
     /* 2334409 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2334465), // Rule ID 2071 //
     /* 2334414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2334417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334432 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2334432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334464 */     // GIR_Coverage, 2071,
     /* 2334464 */     GIR_EraseRootFromParent_Done,
     /* 2334465 */   // Label 32469: @2334465
     /* 2334465 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2334521), // Rule ID 2072 //
     /* 2334470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2334473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2334476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334488 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2334488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2334491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2334495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334504 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2334512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334520 */     // GIR_Coverage, 2072,
     /* 2334520 */     GIR_EraseRootFromParent_Done,
     /* 2334521 */   // Label 32470: @2334521
     /* 2334521 */   GIM_Reject,
     /* 2334522 */ // Label 32457: @2334522
     /* 2334522 */ GIM_Reject,
     /* 2334523 */ // Label 32426: @2334523
     /* 2334523 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2335335),
     /* 2334528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334531 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2334582), // Rule ID 1515 //
     /* 2334536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334569 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2334569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2334572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334581 */     // GIR_Coverage, 1515,
     /* 2334581 */     GIR_EraseRootFromParent_Done,
     /* 2334582 */   // Label 32472: @2334582
     /* 2334582 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2334633), // Rule ID 1547 //
     /* 2334587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334620 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2334620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2334623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334632 */     // GIR_Coverage, 1547,
     /* 2334632 */     GIR_EraseRootFromParent_Done,
     /* 2334633 */   // Label 32473: @2334633
     /* 2334633 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2334684), // Rule ID 1570 //
     /* 2334638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2334641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334671 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2334671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2334674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334683 */     // GIR_Coverage, 1570,
     /* 2334683 */     GIR_EraseRootFromParent_Done,
     /* 2334684 */   // Label 32474: @2334684
     /* 2334684 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2334714), // Rule ID 1513 //
     /* 2334689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2334692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334707 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334713 */     // GIR_Coverage, 1513,
     /* 2334713 */     GIR_Done,
     /* 2334714 */   // Label 32475: @2334714
     /* 2334714 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2334770), // Rule ID 1516 //
     /* 2334719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2334722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334737 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2334737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2334744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334753 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334769 */     // GIR_Coverage, 1516,
     /* 2334769 */     GIR_EraseRootFromParent_Done,
     /* 2334770 */   // Label 32476: @2334770
     /* 2334770 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2334826), // Rule ID 1517 //
     /* 2334775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2334778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334793 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2334793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2334800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334809 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2334817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334825 */     // GIR_Coverage, 1517,
     /* 2334825 */     GIR_EraseRootFromParent_Done,
     /* 2334826 */   // Label 32477: @2334826
     /* 2334826 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2334856), // Rule ID 1545 //
     /* 2334831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334849 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2334854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334855 */     // GIR_Coverage, 1545,
     /* 2334855 */     GIR_Done,
     /* 2334856 */   // Label 32478: @2334856
     /* 2334856 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2334912), // Rule ID 1548 //
     /* 2334861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334879 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2334879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2334886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334895 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2334903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334911 */     // GIR_Coverage, 1548,
     /* 2334911 */     GIR_EraseRootFromParent_Done,
     /* 2334912 */   // Label 32479: @2334912
     /* 2334912 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2334942), // Rule ID 1568 //
     /* 2334917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2334920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2334923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334935 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2334935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2334940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334941 */     // GIR_Coverage, 1568,
     /* 2334941 */     GIR_Done,
     /* 2334942 */   // Label 32480: @2334942
     /* 2334942 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2334998), // Rule ID 1571 //
     /* 2334947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334965 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2334965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2334968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2334972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2334981 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2334984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2334989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334997 */     // GIR_Coverage, 1571,
     /* 2334997 */     GIR_EraseRootFromParent_Done,
     /* 2334998 */   // Label 32481: @2334998
     /* 2334998 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2335054), // Rule ID 1572 //
     /* 2335003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2335006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335021 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2335021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2335028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335037 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335053 */     // GIR_Coverage, 1572,
     /* 2335053 */     GIR_EraseRootFromParent_Done,
     /* 2335054 */   // Label 32482: @2335054
     /* 2335054 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2335110), // Rule ID 2187 //
     /* 2335059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2335062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335077 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335093 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335109 */     // GIR_Coverage, 2187,
     /* 2335109 */     GIR_EraseRootFromParent_Done,
     /* 2335110 */   // Label 32483: @2335110
     /* 2335110 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2335166), // Rule ID 2188 //
     /* 2335115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2335118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335133 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2335140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335149 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2335157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335165 */     // GIR_Coverage, 2188,
     /* 2335165 */     GIR_EraseRootFromParent_Done,
     /* 2335166 */   // Label 32484: @2335166
     /* 2335166 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2335222), // Rule ID 2199 //
     /* 2335171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2335174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335189 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335205 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335221 */     // GIR_Coverage, 2199,
     /* 2335221 */     GIR_EraseRootFromParent_Done,
     /* 2335222 */   // Label 32485: @2335222
     /* 2335222 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2335278), // Rule ID 2200 //
     /* 2335227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2335230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335245 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2335245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2335252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335261 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2335269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335277 */     // GIR_Coverage, 2200,
     /* 2335277 */     GIR_EraseRootFromParent_Done,
     /* 2335278 */   // Label 32486: @2335278
     /* 2335278 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2335334), // Rule ID 2206 //
     /* 2335283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2335286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335301 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2335301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2335304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2335308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2335317 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2335320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2335325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335333 */     // GIR_Coverage, 2206,
     /* 2335333 */     GIR_EraseRootFromParent_Done,
     /* 2335334 */   // Label 32487: @2335334
     /* 2335334 */   GIM_Reject,
     /* 2335335 */ // Label 32471: @2335335
     /* 2335335 */ GIM_Reject,
     /* 2335336 */ // Label 32427: @2335336
     /* 2335336 */ GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2335586),
     /* 2335341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2335347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335355 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2335421), // Rule ID 56117 //
     /* 2335360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335382 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335420 */     // GIR_Coverage, 56117,
     /* 2335420 */     GIR_EraseRootFromParent_Done,
     /* 2335421 */   // Label 32489: @2335421
     /* 2335421 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2335487), // Rule ID 56118 //
     /* 2335426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335448 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2335465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335486 */     // GIR_Coverage, 56118,
     /* 2335486 */     GIR_EraseRootFromParent_Done,
     /* 2335487 */   // Label 32490: @2335487
     /* 2335487 */   GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2335536), // Rule ID 56111 //
     /* 2335492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335499 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335535 */     // GIR_Coverage, 56111,
     /* 2335535 */     GIR_EraseRootFromParent_Done,
     /* 2335536 */   // Label 32491: @2335536
     /* 2335536 */   GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2335585), // Rule ID 56112 //
     /* 2335541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335548 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2335565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335584 */     // GIR_Coverage, 56112,
     /* 2335584 */     GIR_EraseRootFromParent_Done,
     /* 2335585 */   // Label 32492: @2335585
     /* 2335585 */   GIM_Reject,
     /* 2335586 */ // Label 32488: @2335586
     /* 2335586 */ GIM_Reject,
     /* 2335587 */ // Label 32428: @2335587
     /* 2335587 */ GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2335837),
     /* 2335592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2335598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335606 */   GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2335672), // Rule ID 56157 //
     /* 2335611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335633 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2335650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335671 */     // GIR_Coverage, 56157,
     /* 2335671 */     GIR_EraseRootFromParent_Done,
     /* 2335672 */   // Label 32494: @2335672
     /* 2335672 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2335738), // Rule ID 56158 //
     /* 2335677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335699 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2335716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335737 */     // GIR_Coverage, 56158,
     /* 2335737 */     GIR_EraseRootFromParent_Done,
     /* 2335738 */   // Label 32495: @2335738
     /* 2335738 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2335787), // Rule ID 56151 //
     /* 2335743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335750 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2335767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335786 */     // GIR_Coverage, 56151,
     /* 2335786 */     GIR_EraseRootFromParent_Done,
     /* 2335787 */   // Label 32496: @2335787
     /* 2335787 */   GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2335836), // Rule ID 56152 //
     /* 2335792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335799 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2335816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335835 */     // GIR_Coverage, 56152,
     /* 2335835 */     GIR_EraseRootFromParent_Done,
     /* 2335836 */   // Label 32497: @2335836
     /* 2335836 */   GIM_Reject,
     /* 2335837 */ // Label 32493: @2335837
     /* 2335837 */ GIM_Reject,
     /* 2335838 */ // Label 32429: @2335838
     /* 2335838 */ GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2336088),
     /* 2335843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2335849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335857 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2335923), // Rule ID 56217 //
     /* 2335862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335884 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2335901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335922 */     // GIR_Coverage, 56217,
     /* 2335922 */     GIR_EraseRootFromParent_Done,
     /* 2335923 */   // Label 32499: @2335923
     /* 2335923 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2335989), // Rule ID 56218 //
     /* 2335928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335950 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2335967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335988 */     // GIR_Coverage, 56218,
     /* 2335988 */     GIR_EraseRootFromParent_Done,
     /* 2335989 */   // Label 32500: @2335989
     /* 2335989 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2336038), // Rule ID 56211 //
     /* 2335994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336001 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336037 */     // GIR_Coverage, 56211,
     /* 2336037 */     GIR_EraseRootFromParent_Done,
     /* 2336038 */   // Label 32501: @2336038
     /* 2336038 */   GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2336087), // Rule ID 56212 //
     /* 2336043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336050 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2336067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336086 */     // GIR_Coverage, 56212,
     /* 2336086 */     GIR_EraseRootFromParent_Done,
     /* 2336087 */   // Label 32502: @2336087
     /* 2336087 */   GIM_Reject,
     /* 2336088 */ // Label 32498: @2336088
     /* 2336088 */ GIM_Reject,
     /* 2336089 */ // Label 32430: @2336089
     /* 2336089 */ GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2336339),
     /* 2336094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2336100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336108 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2336174), // Rule ID 56137 //
     /* 2336113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336135 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336173 */     // GIR_Coverage, 56137,
     /* 2336173 */     GIR_EraseRootFromParent_Done,
     /* 2336174 */   // Label 32504: @2336174
     /* 2336174 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2336240), // Rule ID 56138 //
     /* 2336179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336201 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2336218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336239 */     // GIR_Coverage, 56138,
     /* 2336239 */     GIR_EraseRootFromParent_Done,
     /* 2336240 */   // Label 32505: @2336240
     /* 2336240 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2336289), // Rule ID 56131 //
     /* 2336245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336252 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336288 */     // GIR_Coverage, 56131,
     /* 2336288 */     GIR_EraseRootFromParent_Done,
     /* 2336289 */   // Label 32506: @2336289
     /* 2336289 */   GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2336338), // Rule ID 56132 //
     /* 2336294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336301 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2336318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336337 */     // GIR_Coverage, 56132,
     /* 2336337 */     GIR_EraseRootFromParent_Done,
     /* 2336338 */   // Label 32507: @2336338
     /* 2336338 */   GIM_Reject,
     /* 2336339 */ // Label 32503: @2336339
     /* 2336339 */ GIM_Reject,
     /* 2336340 */ // Label 32431: @2336340
     /* 2336340 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2336590),
     /* 2336345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2336351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336359 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2336425), // Rule ID 56197 //
     /* 2336364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336386 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336424 */     // GIR_Coverage, 56197,
     /* 2336424 */     GIR_EraseRootFromParent_Done,
     /* 2336425 */   // Label 32509: @2336425
     /* 2336425 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2336491), // Rule ID 56198 //
     /* 2336430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336452 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2336469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336490 */     // GIR_Coverage, 56198,
     /* 2336490 */     GIR_EraseRootFromParent_Done,
     /* 2336491 */   // Label 32510: @2336491
     /* 2336491 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2336540), // Rule ID 56191 //
     /* 2336496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336503 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336539 */     // GIR_Coverage, 56191,
     /* 2336539 */     GIR_EraseRootFromParent_Done,
     /* 2336540 */   // Label 32511: @2336540
     /* 2336540 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2336589), // Rule ID 56192 //
     /* 2336545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336552 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2336569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336588 */     // GIR_Coverage, 56192,
     /* 2336588 */     GIR_EraseRootFromParent_Done,
     /* 2336589 */   // Label 32512: @2336589
     /* 2336589 */   GIM_Reject,
     /* 2336590 */ // Label 32508: @2336590
     /* 2336590 */ GIM_Reject,
     /* 2336591 */ // Label 32432: @2336591
     /* 2336591 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2336841),
     /* 2336596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2336602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336610 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2336676), // Rule ID 56357 //
     /* 2336615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336637 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2336654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336675 */     // GIR_Coverage, 56357,
     /* 2336675 */     GIR_EraseRootFromParent_Done,
     /* 2336676 */   // Label 32514: @2336676
     /* 2336676 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2336742), // Rule ID 56358 //
     /* 2336681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336703 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2336720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336741 */     // GIR_Coverage, 56358,
     /* 2336741 */     GIR_EraseRootFromParent_Done,
     /* 2336742 */   // Label 32515: @2336742
     /* 2336742 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2336791), // Rule ID 56351 //
     /* 2336747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336754 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2336771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336790 */     // GIR_Coverage, 56351,
     /* 2336790 */     GIR_EraseRootFromParent_Done,
     /* 2336791 */   // Label 32516: @2336791
     /* 2336791 */   GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2336840), // Rule ID 56352 //
     /* 2336796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336803 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2336820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336839 */     // GIR_Coverage, 56352,
     /* 2336839 */     GIR_EraseRootFromParent_Done,
     /* 2336840 */   // Label 32517: @2336840
     /* 2336840 */   GIM_Reject,
     /* 2336841 */ // Label 32513: @2336841
     /* 2336841 */ GIM_Reject,
     /* 2336842 */ // Label 32433: @2336842
     /* 2336842 */ GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2337092),
     /* 2336847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2336853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336861 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2336927), // Rule ID 56177 //
     /* 2336866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336888 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2336905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336926 */     // GIR_Coverage, 56177,
     /* 2336926 */     GIR_EraseRootFromParent_Done,
     /* 2336927 */   // Label 32519: @2336927
     /* 2336927 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2336993), // Rule ID 56178 //
     /* 2336932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336954 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2336971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336992 */     // GIR_Coverage, 56178,
     /* 2336992 */     GIR_EraseRootFromParent_Done,
     /* 2336993 */   // Label 32520: @2336993
     /* 2336993 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2337042), // Rule ID 56171 //
     /* 2336998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337005 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337041 */     // GIR_Coverage, 56171,
     /* 2337041 */     GIR_EraseRootFromParent_Done,
     /* 2337042 */   // Label 32521: @2337042
     /* 2337042 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2337091), // Rule ID 56172 //
     /* 2337047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337054 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2337071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337090 */     // GIR_Coverage, 56172,
     /* 2337090 */     GIR_EraseRootFromParent_Done,
     /* 2337091 */   // Label 32522: @2337091
     /* 2337091 */   GIM_Reject,
     /* 2337092 */ // Label 32518: @2337092
     /* 2337092 */ GIM_Reject,
     /* 2337093 */ // Label 32434: @2337093
     /* 2337093 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2337343),
     /* 2337098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2337104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337112 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2337178), // Rule ID 56297 //
     /* 2337117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337139 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337177 */     // GIR_Coverage, 56297,
     /* 2337177 */     GIR_EraseRootFromParent_Done,
     /* 2337178 */   // Label 32524: @2337178
     /* 2337178 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2337244), // Rule ID 56298 //
     /* 2337183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337205 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2337222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337243 */     // GIR_Coverage, 56298,
     /* 2337243 */     GIR_EraseRootFromParent_Done,
     /* 2337244 */   // Label 32525: @2337244
     /* 2337244 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2337293), // Rule ID 56291 //
     /* 2337249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337256 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337292 */     // GIR_Coverage, 56291,
     /* 2337292 */     GIR_EraseRootFromParent_Done,
     /* 2337293 */   // Label 32526: @2337293
     /* 2337293 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2337342), // Rule ID 56292 //
     /* 2337298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337305 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2337322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337341 */     // GIR_Coverage, 56292,
     /* 2337341 */     GIR_EraseRootFromParent_Done,
     /* 2337342 */   // Label 32527: @2337342
     /* 2337342 */   GIM_Reject,
     /* 2337343 */ // Label 32523: @2337343
     /* 2337343 */ GIM_Reject,
     /* 2337344 */ // Label 32435: @2337344
     /* 2337344 */ GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2337594),
     /* 2337349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2337355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337363 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2337429), // Rule ID 56377 //
     /* 2337368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337390 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337428 */     // GIR_Coverage, 56377,
     /* 2337428 */     GIR_EraseRootFromParent_Done,
     /* 2337429 */   // Label 32529: @2337429
     /* 2337429 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2337495), // Rule ID 56378 //
     /* 2337434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337456 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2337473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337494 */     // GIR_Coverage, 56378,
     /* 2337494 */     GIR_EraseRootFromParent_Done,
     /* 2337495 */   // Label 32530: @2337495
     /* 2337495 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2337544), // Rule ID 56371 //
     /* 2337500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337507 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337543 */     // GIR_Coverage, 56371,
     /* 2337543 */     GIR_EraseRootFromParent_Done,
     /* 2337544 */   // Label 32531: @2337544
     /* 2337544 */   GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2337593), // Rule ID 56372 //
     /* 2337549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337556 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2337573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337592 */     // GIR_Coverage, 56372,
     /* 2337592 */     GIR_EraseRootFromParent_Done,
     /* 2337593 */   // Label 32532: @2337593
     /* 2337593 */   GIM_Reject,
     /* 2337594 */ // Label 32528: @2337594
     /* 2337594 */ GIM_Reject,
     /* 2337595 */ // Label 32436: @2337595
     /* 2337595 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2337845),
     /* 2337600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2337606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337614 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2337680), // Rule ID 56237 //
     /* 2337619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337641 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2337658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337679 */     // GIR_Coverage, 56237,
     /* 2337679 */     GIR_EraseRootFromParent_Done,
     /* 2337680 */   // Label 32534: @2337680
     /* 2337680 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2337746), // Rule ID 56238 //
     /* 2337685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337707 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2337724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337745 */     // GIR_Coverage, 56238,
     /* 2337745 */     GIR_EraseRootFromParent_Done,
     /* 2337746 */   // Label 32535: @2337746
     /* 2337746 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2337795), // Rule ID 56231 //
     /* 2337751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337758 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2337775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337794 */     // GIR_Coverage, 56231,
     /* 2337794 */     GIR_EraseRootFromParent_Done,
     /* 2337795 */   // Label 32536: @2337795
     /* 2337795 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2337844), // Rule ID 56232 //
     /* 2337800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337807 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2337824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337843 */     // GIR_Coverage, 56232,
     /* 2337843 */     GIR_EraseRootFromParent_Done,
     /* 2337844 */   // Label 32537: @2337844
     /* 2337844 */   GIM_Reject,
     /* 2337845 */ // Label 32533: @2337845
     /* 2337845 */ GIM_Reject,
     /* 2337846 */ // Label 32437: @2337846
     /* 2337846 */ GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2338096),
     /* 2337851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2337857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337865 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2337931), // Rule ID 56317 //
     /* 2337870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337892 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2337909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337930 */     // GIR_Coverage, 56317,
     /* 2337930 */     GIR_EraseRootFromParent_Done,
     /* 2337931 */   // Label 32539: @2337931
     /* 2337931 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2337997), // Rule ID 56318 //
     /* 2337936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337958 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2337975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337996 */     // GIR_Coverage, 56318,
     /* 2337996 */     GIR_EraseRootFromParent_Done,
     /* 2337997 */   // Label 32540: @2337997
     /* 2337997 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2338046), // Rule ID 56311 //
     /* 2338002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338009 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338045 */     // GIR_Coverage, 56311,
     /* 2338045 */     GIR_EraseRootFromParent_Done,
     /* 2338046 */   // Label 32541: @2338046
     /* 2338046 */   GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2338095), // Rule ID 56312 //
     /* 2338051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338058 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2338075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338094 */     // GIR_Coverage, 56312,
     /* 2338094 */     GIR_EraseRootFromParent_Done,
     /* 2338095 */   // Label 32542: @2338095
     /* 2338095 */   GIM_Reject,
     /* 2338096 */ // Label 32538: @2338096
     /* 2338096 */ GIM_Reject,
     /* 2338097 */ // Label 32438: @2338097
     /* 2338097 */ GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2338347),
     /* 2338102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2338108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338116 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2338182), // Rule ID 56397 //
     /* 2338121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338143 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338181 */     // GIR_Coverage, 56397,
     /* 2338181 */     GIR_EraseRootFromParent_Done,
     /* 2338182 */   // Label 32544: @2338182
     /* 2338182 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2338248), // Rule ID 56398 //
     /* 2338187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338209 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2338226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338247 */     // GIR_Coverage, 56398,
     /* 2338247 */     GIR_EraseRootFromParent_Done,
     /* 2338248 */   // Label 32545: @2338248
     /* 2338248 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2338297), // Rule ID 56391 //
     /* 2338253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338260 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338296 */     // GIR_Coverage, 56391,
     /* 2338296 */     GIR_EraseRootFromParent_Done,
     /* 2338297 */   // Label 32546: @2338297
     /* 2338297 */   GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2338346), // Rule ID 56392 //
     /* 2338302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338309 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2338326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338345 */     // GIR_Coverage, 56392,
     /* 2338345 */     GIR_EraseRootFromParent_Done,
     /* 2338346 */   // Label 32547: @2338346
     /* 2338346 */   GIM_Reject,
     /* 2338347 */ // Label 32543: @2338347
     /* 2338347 */ GIM_Reject,
     /* 2338348 */ // Label 32439: @2338348
     /* 2338348 */ GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2338598),
     /* 2338353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2338359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338367 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2338433), // Rule ID 56257 //
     /* 2338372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338394 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338432 */     // GIR_Coverage, 56257,
     /* 2338432 */     GIR_EraseRootFromParent_Done,
     /* 2338433 */   // Label 32549: @2338433
     /* 2338433 */   GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2338499), // Rule ID 56258 //
     /* 2338438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338460 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2338477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338498 */     // GIR_Coverage, 56258,
     /* 2338498 */     GIR_EraseRootFromParent_Done,
     /* 2338499 */   // Label 32550: @2338499
     /* 2338499 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2338548), // Rule ID 56251 //
     /* 2338504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338511 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338547 */     // GIR_Coverage, 56251,
     /* 2338547 */     GIR_EraseRootFromParent_Done,
     /* 2338548 */   // Label 32551: @2338548
     /* 2338548 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2338597), // Rule ID 56252 //
     /* 2338553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338560 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2338577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338596 */     // GIR_Coverage, 56252,
     /* 2338596 */     GIR_EraseRootFromParent_Done,
     /* 2338597 */   // Label 32552: @2338597
     /* 2338597 */   GIM_Reject,
     /* 2338598 */ // Label 32548: @2338598
     /* 2338598 */ GIM_Reject,
     /* 2338599 */ // Label 32440: @2338599
     /* 2338599 */ GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2338849),
     /* 2338604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2338610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338618 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2338684), // Rule ID 56337 //
     /* 2338623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338645 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2338662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338683 */     // GIR_Coverage, 56337,
     /* 2338683 */     GIR_EraseRootFromParent_Done,
     /* 2338684 */   // Label 32554: @2338684
     /* 2338684 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2338750), // Rule ID 56338 //
     /* 2338689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338711 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2338728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338749 */     // GIR_Coverage, 56338,
     /* 2338749 */     GIR_EraseRootFromParent_Done,
     /* 2338750 */   // Label 32555: @2338750
     /* 2338750 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2338799), // Rule ID 56331 //
     /* 2338755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338762 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2338779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338798 */     // GIR_Coverage, 56331,
     /* 2338798 */     GIR_EraseRootFromParent_Done,
     /* 2338799 */   // Label 32556: @2338799
     /* 2338799 */   GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2338848), // Rule ID 56332 //
     /* 2338804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338811 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2338828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338847 */     // GIR_Coverage, 56332,
     /* 2338847 */     GIR_EraseRootFromParent_Done,
     /* 2338848 */   // Label 32557: @2338848
     /* 2338848 */   GIM_Reject,
     /* 2338849 */ // Label 32553: @2338849
     /* 2338849 */ GIM_Reject,
     /* 2338850 */ // Label 32441: @2338850
     /* 2338850 */ GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2339100),
     /* 2338855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2338858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2338861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338869 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2338935), // Rule ID 56277 //
     /* 2338874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2338889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338896 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2338899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2338913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338934 */     // GIR_Coverage, 56277,
     /* 2338934 */     GIR_EraseRootFromParent_Done,
     /* 2338935 */   // Label 32559: @2338935
     /* 2338935 */   GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2339001), // Rule ID 56278 //
     /* 2338940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2338955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338962 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2338965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2338979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339000 */     // GIR_Coverage, 56278,
     /* 2339000 */     GIR_EraseRootFromParent_Done,
     /* 2339001 */   // Label 32560: @2339001
     /* 2339001 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2339050), // Rule ID 56271 //
     /* 2339006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339013 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339049 */     // GIR_Coverage, 56271,
     /* 2339049 */     GIR_EraseRootFromParent_Done,
     /* 2339050 */   // Label 32561: @2339050
     /* 2339050 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2339099), // Rule ID 56272 //
     /* 2339055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339062 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2339079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339098 */     // GIR_Coverage, 56272,
     /* 2339098 */     GIR_EraseRootFromParent_Done,
     /* 2339099 */   // Label 32562: @2339099
     /* 2339099 */   GIM_Reject,
     /* 2339100 */ // Label 32558: @2339100
     /* 2339100 */ GIM_Reject,
     /* 2339101 */ // Label 32442: @2339101
     /* 2339101 */ GIM_Reject,
     /* 2339102 */ // Label 73: @2339102
     /* 2339102 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32566*/ GIMT_Encode4(2339291),
     /* 2339113 */ /*GILLT_s16*//*Label 32563*/ GIMT_Encode4(2339125),
     /* 2339117 */ /*GILLT_s32*//*Label 32564*/ GIMT_Encode4(2339175),
     /* 2339121 */ /*GILLT_s64*//*Label 32565*/ GIMT_Encode4(2339225),
     /* 2339125 */ // Label 32563: @2339125
     /* 2339125 */ GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2339174),
     /* 2339130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339141 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2339157), // Rule ID 1949 //
     /* 2339146 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339156 */     // GIR_Coverage, 1949,
     /* 2339156 */     GIR_EraseRootFromParent_Done,
     /* 2339157 */   // Label 32568: @2339157
     /* 2339157 */   GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2339173), // Rule ID 1950 //
     /* 2339162 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2339162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339172 */     // GIR_Coverage, 1950,
     /* 2339172 */     GIR_EraseRootFromParent_Done,
     /* 2339173 */   // Label 32569: @2339173
     /* 2339173 */   GIM_Reject,
     /* 2339174 */ // Label 32567: @2339174
     /* 2339174 */ GIM_Reject,
     /* 2339175 */ // Label 32564: @2339175
     /* 2339175 */ GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2339224),
     /* 2339180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339191 */   GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2339207), // Rule ID 1236 //
     /* 2339196 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339206 */     // GIR_Coverage, 1236,
     /* 2339206 */     GIR_EraseRootFromParent_Done,
     /* 2339207 */   // Label 32571: @2339207
     /* 2339207 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2339223), // Rule ID 1237 //
     /* 2339212 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2339212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339222 */     // GIR_Coverage, 1237,
     /* 2339222 */     GIR_EraseRootFromParent_Done,
     /* 2339223 */   // Label 32572: @2339223
     /* 2339223 */   GIM_Reject,
     /* 2339224 */ // Label 32570: @2339224
     /* 2339224 */ GIM_Reject,
     /* 2339225 */ // Label 32565: @2339225
     /* 2339225 */ GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2339290),
     /* 2339230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339241 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2339257), // Rule ID 1613 //
     /* 2339246 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339256 */     // GIR_Coverage, 1613,
     /* 2339256 */     GIR_EraseRootFromParent_Done,
     /* 2339257 */   // Label 32574: @2339257
     /* 2339257 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2339273), // Rule ID 1614 //
     /* 2339262 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339272 */     // GIR_Coverage, 1614,
     /* 2339272 */     GIR_EraseRootFromParent_Done,
     /* 2339273 */   // Label 32575: @2339273
     /* 2339273 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2339289), // Rule ID 1615 //
     /* 2339278 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2339278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339288 */     // GIR_Coverage, 1615,
     /* 2339288 */     GIR_EraseRootFromParent_Done,
     /* 2339289 */   // Label 32576: @2339289
     /* 2339289 */   GIM_Reject,
     /* 2339290 */ // Label 32573: @2339290
     /* 2339290 */ GIM_Reject,
     /* 2339291 */ // Label 32566: @2339291
     /* 2339291 */ GIM_Reject,
     /* 2339292 */ // Label 74: @2339292
     /* 2339292 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32595*/ GIMT_Encode4(2341376),
     /* 2339303 */ /*GILLT_s16*//*Label 32577*/ GIMT_Encode4(2339423),
     /* 2339307 */ /*GILLT_s32*//*Label 32578*/ GIMT_Encode4(2339490),
     /* 2339311 */ /*GILLT_s64*//*Label 32579*/ GIMT_Encode4(2339557), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339323 */ /*GILLT_nxv1s16*//*Label 32580*/ GIMT_Encode4(2339651),
     /* 2339327 */ /*GILLT_nxv1s32*//*Label 32581*/ GIMT_Encode4(2339766),
     /* 2339331 */ /*GILLT_nxv1s64*//*Label 32582*/ GIMT_Encode4(2339881), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339343 */ /*GILLT_nxv2s16*//*Label 32583*/ GIMT_Encode4(2339996),
     /* 2339347 */ /*GILLT_nxv2s32*//*Label 32584*/ GIMT_Encode4(2340111),
     /* 2339351 */ /*GILLT_nxv2s64*//*Label 32585*/ GIMT_Encode4(2340226), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339363 */ /*GILLT_nxv4s16*//*Label 32586*/ GIMT_Encode4(2340341),
     /* 2339367 */ /*GILLT_nxv4s32*//*Label 32587*/ GIMT_Encode4(2340456),
     /* 2339371 */ /*GILLT_nxv4s64*//*Label 32588*/ GIMT_Encode4(2340571), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339383 */ /*GILLT_nxv8s16*//*Label 32589*/ GIMT_Encode4(2340686),
     /* 2339387 */ /*GILLT_nxv8s32*//*Label 32590*/ GIMT_Encode4(2340801),
     /* 2339391 */ /*GILLT_nxv8s64*//*Label 32591*/ GIMT_Encode4(2340916), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339403 */ /*GILLT_nxv16s16*//*Label 32592*/ GIMT_Encode4(2341031),
     /* 2339407 */ /*GILLT_nxv16s32*//*Label 32593*/ GIMT_Encode4(2341146), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339419 */ /*GILLT_nxv32s16*//*Label 32594*/ GIMT_Encode4(2341261),
     /* 2339423 */ // Label 32577: @2339423
     /* 2339423 */ GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2339489),
     /* 2339428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339434 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2339461), // Rule ID 1937 //
     /* 2339439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2339442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339454 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2339459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339460 */     // GIR_Coverage, 1937,
     /* 2339460 */     GIR_Done,
     /* 2339461 */   // Label 32597: @2339461
     /* 2339461 */   GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2339488), // Rule ID 1938 //
     /* 2339466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2339469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339481 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2339486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339487 */     // GIR_Coverage, 1938,
     /* 2339487 */     GIR_Done,
     /* 2339488 */   // Label 32598: @2339488
     /* 2339488 */   GIM_Reject,
     /* 2339489 */ // Label 32596: @2339489
     /* 2339489 */ GIM_Reject,
     /* 2339490 */ // Label 32578: @2339490
     /* 2339490 */ GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2339556),
     /* 2339495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339501 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2339528), // Rule ID 1224 //
     /* 2339506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2339509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339521 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2339526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339527 */     // GIR_Coverage, 1224,
     /* 2339527 */     GIR_Done,
     /* 2339528 */   // Label 32600: @2339528
     /* 2339528 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2339555), // Rule ID 1225 //
     /* 2339533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2339536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339548 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2339548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2339553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339554 */     // GIR_Coverage, 1225,
     /* 2339554 */     GIR_Done,
     /* 2339555 */   // Label 32601: @2339555
     /* 2339555 */   GIM_Reject,
     /* 2339556 */ // Label 32599: @2339556
     /* 2339556 */ GIM_Reject,
     /* 2339557 */ // Label 32579: @2339557
     /* 2339557 */ GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2339650),
     /* 2339562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339568 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2339595), // Rule ID 1595 //
     /* 2339573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2339576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339588 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339588 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2339593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339594 */     // GIR_Coverage, 1595,
     /* 2339594 */     GIR_Done,
     /* 2339595 */   // Label 32603: @2339595
     /* 2339595 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2339622), // Rule ID 1596 //
     /* 2339600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2339603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339615 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2339620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339621 */     // GIR_Coverage, 1596,
     /* 2339621 */     GIR_Done,
     /* 2339622 */   // Label 32604: @2339622
     /* 2339622 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2339649), // Rule ID 1597 //
     /* 2339627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339642 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2339647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339648 */     // GIR_Coverage, 1597,
     /* 2339648 */     GIR_Done,
     /* 2339649 */   // Label 32605: @2339649
     /* 2339649 */   GIM_Reject,
     /* 2339650 */ // Label 32602: @2339650
     /* 2339650 */ GIM_Reject,
     /* 2339651 */ // Label 32580: @2339651
     /* 2339651 */ GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2339765),
     /* 2339656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2339662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339674 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2339719), // Rule ID 45623 //
     /* 2339679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339682 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2339699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339718 */     // GIR_Coverage, 45623,
     /* 2339718 */     GIR_EraseRootFromParent_Done,
     /* 2339719 */   // Label 32607: @2339719
     /* 2339719 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2339764), // Rule ID 45624 //
     /* 2339724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339727 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2339744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339763 */     // GIR_Coverage, 45624,
     /* 2339763 */     GIR_EraseRootFromParent_Done,
     /* 2339764 */   // Label 32608: @2339764
     /* 2339764 */   GIM_Reject,
     /* 2339765 */ // Label 32606: @2339765
     /* 2339765 */ GIM_Reject,
     /* 2339766 */ // Label 32581: @2339766
     /* 2339766 */ GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2339880),
     /* 2339771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2339774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2339777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339789 */   GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2339834), // Rule ID 56409 //
     /* 2339794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339797 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2339814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339833 */     // GIR_Coverage, 56409,
     /* 2339833 */     GIR_EraseRootFromParent_Done,
     /* 2339834 */   // Label 32610: @2339834
     /* 2339834 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2339879), // Rule ID 56410 //
     /* 2339839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339842 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2339845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2339859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339878 */     // GIR_Coverage, 56410,
     /* 2339878 */     GIR_EraseRootFromParent_Done,
     /* 2339879 */   // Label 32611: @2339879
     /* 2339879 */   GIM_Reject,
     /* 2339880 */ // Label 32609: @2339880
     /* 2339880 */ GIM_Reject,
     /* 2339881 */ // Label 32582: @2339881
     /* 2339881 */ GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2339995),
     /* 2339886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2339889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2339892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339904 */   GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2339949), // Rule ID 56427 //
     /* 2339909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2339912 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2339929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339948 */     // GIR_Coverage, 56427,
     /* 2339948 */     GIR_EraseRootFromParent_Done,
     /* 2339949 */   // Label 32613: @2339949
     /* 2339949 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2339994), // Rule ID 56428 //
     /* 2339954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2339957 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2339960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2339974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339993 */     // GIR_Coverage, 56428,
     /* 2339993 */     GIR_EraseRootFromParent_Done,
     /* 2339994 */   // Label 32614: @2339994
     /* 2339994 */   GIM_Reject,
     /* 2339995 */ // Label 32612: @2339995
     /* 2339995 */ GIM_Reject,
     /* 2339996 */ // Label 32583: @2339996
     /* 2339996 */ GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2340110),
     /* 2340001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340019 */   GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2340064), // Rule ID 56403 //
     /* 2340024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340027 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340063 */     // GIR_Coverage, 56403,
     /* 2340063 */     GIR_EraseRootFromParent_Done,
     /* 2340064 */   // Label 32616: @2340064
     /* 2340064 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2340109), // Rule ID 56404 //
     /* 2340069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340072 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2340089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340108 */     // GIR_Coverage, 56404,
     /* 2340108 */     GIR_EraseRootFromParent_Done,
     /* 2340109 */   // Label 32617: @2340109
     /* 2340109 */   GIM_Reject,
     /* 2340110 */ // Label 32615: @2340110
     /* 2340110 */ GIM_Reject,
     /* 2340111 */ // Label 32584: @2340111
     /* 2340111 */ GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2340225),
     /* 2340116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340134 */   GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2340179), // Rule ID 56421 //
     /* 2340139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340142 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340178 */     // GIR_Coverage, 56421,
     /* 2340178 */     GIR_EraseRootFromParent_Done,
     /* 2340179 */   // Label 32619: @2340179
     /* 2340179 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2340224), // Rule ID 56422 //
     /* 2340184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340187 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2340204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340223 */     // GIR_Coverage, 56422,
     /* 2340223 */     GIR_EraseRootFromParent_Done,
     /* 2340224 */   // Label 32620: @2340224
     /* 2340224 */   GIM_Reject,
     /* 2340225 */ // Label 32618: @2340225
     /* 2340225 */ GIM_Reject,
     /* 2340226 */ // Label 32585: @2340226
     /* 2340226 */ GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2340340),
     /* 2340231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2340237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340249 */   GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2340294), // Rule ID 56469 //
     /* 2340254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340257 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340293 */     // GIR_Coverage, 56469,
     /* 2340293 */     GIR_EraseRootFromParent_Done,
     /* 2340294 */   // Label 32622: @2340294
     /* 2340294 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2340339), // Rule ID 56470 //
     /* 2340299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340302 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2340319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340338 */     // GIR_Coverage, 56470,
     /* 2340338 */     GIR_EraseRootFromParent_Done,
     /* 2340339 */   // Label 32623: @2340339
     /* 2340339 */   GIM_Reject,
     /* 2340340 */ // Label 32621: @2340340
     /* 2340340 */ GIM_Reject,
     /* 2340341 */ // Label 32586: @2340341
     /* 2340341 */ GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2340455),
     /* 2340346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2340352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340364 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2340409), // Rule ID 56415 //
     /* 2340369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340372 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340408 */     // GIR_Coverage, 56415,
     /* 2340408 */     GIR_EraseRootFromParent_Done,
     /* 2340409 */   // Label 32625: @2340409
     /* 2340409 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2340454), // Rule ID 56416 //
     /* 2340414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340417 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2340434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340453 */     // GIR_Coverage, 56416,
     /* 2340453 */     GIR_EraseRootFromParent_Done,
     /* 2340454 */   // Label 32626: @2340454
     /* 2340454 */   GIM_Reject,
     /* 2340455 */ // Label 32624: @2340455
     /* 2340455 */ GIM_Reject,
     /* 2340456 */ // Label 32587: @2340456
     /* 2340456 */ GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2340570),
     /* 2340461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2340467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340479 */   GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2340524), // Rule ID 56451 //
     /* 2340484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340487 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340523 */     // GIR_Coverage, 56451,
     /* 2340523 */     GIR_EraseRootFromParent_Done,
     /* 2340524 */   // Label 32628: @2340524
     /* 2340524 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2340569), // Rule ID 56452 //
     /* 2340529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340532 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2340535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2340549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340568 */     // GIR_Coverage, 56452,
     /* 2340568 */     GIR_EraseRootFromParent_Done,
     /* 2340569 */   // Label 32629: @2340569
     /* 2340569 */   GIM_Reject,
     /* 2340570 */ // Label 32627: @2340570
     /* 2340570 */ GIM_Reject,
     /* 2340571 */ // Label 32588: @2340571
     /* 2340571 */ GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2340685),
     /* 2340576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2340579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2340582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340594 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2340639), // Rule ID 56475 //
     /* 2340599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340602 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2340605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2340619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340638 */     // GIR_Coverage, 56475,
     /* 2340638 */     GIR_EraseRootFromParent_Done,
     /* 2340639 */   // Label 32631: @2340639
     /* 2340639 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2340684), // Rule ID 56476 //
     /* 2340644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340647 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2340650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2340664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340683 */     // GIR_Coverage, 56476,
     /* 2340683 */     GIR_EraseRootFromParent_Done,
     /* 2340684 */   // Label 32632: @2340684
     /* 2340684 */   GIM_Reject,
     /* 2340685 */ // Label 32630: @2340685
     /* 2340685 */ GIM_Reject,
     /* 2340686 */ // Label 32589: @2340686
     /* 2340686 */ GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2340800),
     /* 2340691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2340694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2340697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340709 */   GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2340754), // Rule ID 56433 //
     /* 2340714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340717 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2340720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2340734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340753 */     // GIR_Coverage, 56433,
     /* 2340753 */     GIR_EraseRootFromParent_Done,
     /* 2340754 */   // Label 32634: @2340754
     /* 2340754 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2340799), // Rule ID 56434 //
     /* 2340759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340762 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2340765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2340779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340798 */     // GIR_Coverage, 56434,
     /* 2340798 */     GIR_EraseRootFromParent_Done,
     /* 2340799 */   // Label 32635: @2340799
     /* 2340799 */   GIM_Reject,
     /* 2340800 */ // Label 32633: @2340800
     /* 2340800 */ GIM_Reject,
     /* 2340801 */ // Label 32590: @2340801
     /* 2340801 */ GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2340915),
     /* 2340806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2340809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2340812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2340824 */   GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2340869), // Rule ID 56457 //
     /* 2340829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340832 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2340835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2340849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340868 */     // GIR_Coverage, 56457,
     /* 2340868 */     GIR_EraseRootFromParent_Done,
     /* 2340869 */   // Label 32637: @2340869
     /* 2340869 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2340914), // Rule ID 56458 //
     /* 2340874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340877 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2340880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2340894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340913 */     // GIR_Coverage, 56458,
     /* 2340913 */     GIR_EraseRootFromParent_Done,
     /* 2340914 */   // Label 32638: @2340914
     /* 2340914 */   GIM_Reject,
     /* 2340915 */ // Label 32636: @2340915
     /* 2340915 */ GIM_Reject,
     /* 2340916 */ // Label 32591: @2340916
     /* 2340916 */ GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2341030),
     /* 2340921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2340924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2340927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340939 */   GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2340984), // Rule ID 56481 //
     /* 2340944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340947 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2340950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2340964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340983 */     // GIR_Coverage, 56481,
     /* 2340983 */     GIR_EraseRootFromParent_Done,
     /* 2340984 */   // Label 32640: @2340984
     /* 2340984 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2341029), // Rule ID 56482 //
     /* 2340989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340992 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2340995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2341009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341028 */     // GIR_Coverage, 56482,
     /* 2341028 */     GIR_EraseRootFromParent_Done,
     /* 2341029 */   // Label 32641: @2341029
     /* 2341029 */   GIM_Reject,
     /* 2341030 */ // Label 32639: @2341030
     /* 2341030 */ GIM_Reject,
     /* 2341031 */ // Label 32592: @2341031
     /* 2341031 */ GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2341145),
     /* 2341036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2341039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2341042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341054 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2341099), // Rule ID 56439 //
     /* 2341059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341062 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341098 */     // GIR_Coverage, 56439,
     /* 2341098 */     GIR_EraseRootFromParent_Done,
     /* 2341099 */   // Label 32643: @2341099
     /* 2341099 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2341144), // Rule ID 56440 //
     /* 2341104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341107 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2341124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341143 */     // GIR_Coverage, 56440,
     /* 2341143 */     GIR_EraseRootFromParent_Done,
     /* 2341144 */   // Label 32644: @2341144
     /* 2341144 */   GIM_Reject,
     /* 2341145 */ // Label 32642: @2341145
     /* 2341145 */ GIM_Reject,
     /* 2341146 */ // Label 32593: @2341146
     /* 2341146 */ GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2341260),
     /* 2341151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2341154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2341157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341169 */   GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2341214), // Rule ID 56463 //
     /* 2341174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341177 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341213 */     // GIR_Coverage, 56463,
     /* 2341213 */     GIR_EraseRootFromParent_Done,
     /* 2341214 */   // Label 32646: @2341214
     /* 2341214 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2341259), // Rule ID 56464 //
     /* 2341219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341222 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2341239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341258 */     // GIR_Coverage, 56464,
     /* 2341258 */     GIR_EraseRootFromParent_Done,
     /* 2341259 */   // Label 32647: @2341259
     /* 2341259 */   GIM_Reject,
     /* 2341260 */ // Label 32645: @2341260
     /* 2341260 */ GIM_Reject,
     /* 2341261 */ // Label 32594: @2341261
     /* 2341261 */ GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2341375),
     /* 2341266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2341269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2341272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341284 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2341329), // Rule ID 56445 //
     /* 2341289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341292 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341328 */     // GIR_Coverage, 56445,
     /* 2341328 */     GIR_EraseRootFromParent_Done,
     /* 2341329 */   // Label 32649: @2341329
     /* 2341329 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2341374), // Rule ID 56446 //
     /* 2341334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341337 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2341354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341373 */     // GIR_Coverage, 56446,
     /* 2341373 */     GIR_EraseRootFromParent_Done,
     /* 2341374 */   // Label 32650: @2341374
     /* 2341374 */   GIM_Reject,
     /* 2341375 */ // Label 32648: @2341375
     /* 2341375 */ GIM_Reject,
     /* 2341376 */ // Label 32595: @2341376
     /* 2341376 */ GIM_Reject,
     /* 2341377 */ // Label 75: @2341377
     /* 2341377 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32669*/ GIMT_Encode4(2343461),
     /* 2341388 */ /*GILLT_s16*//*Label 32651*/ GIMT_Encode4(2341508),
     /* 2341392 */ /*GILLT_s32*//*Label 32652*/ GIMT_Encode4(2341575),
     /* 2341396 */ /*GILLT_s64*//*Label 32653*/ GIMT_Encode4(2341642), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341408 */ /*GILLT_nxv1s16*//*Label 32654*/ GIMT_Encode4(2341736),
     /* 2341412 */ /*GILLT_nxv1s32*//*Label 32655*/ GIMT_Encode4(2341851),
     /* 2341416 */ /*GILLT_nxv1s64*//*Label 32656*/ GIMT_Encode4(2341966), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341428 */ /*GILLT_nxv2s16*//*Label 32657*/ GIMT_Encode4(2342081),
     /* 2341432 */ /*GILLT_nxv2s32*//*Label 32658*/ GIMT_Encode4(2342196),
     /* 2341436 */ /*GILLT_nxv2s64*//*Label 32659*/ GIMT_Encode4(2342311), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341448 */ /*GILLT_nxv4s16*//*Label 32660*/ GIMT_Encode4(2342426),
     /* 2341452 */ /*GILLT_nxv4s32*//*Label 32661*/ GIMT_Encode4(2342541),
     /* 2341456 */ /*GILLT_nxv4s64*//*Label 32662*/ GIMT_Encode4(2342656), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341468 */ /*GILLT_nxv8s16*//*Label 32663*/ GIMT_Encode4(2342771),
     /* 2341472 */ /*GILLT_nxv8s32*//*Label 32664*/ GIMT_Encode4(2342886),
     /* 2341476 */ /*GILLT_nxv8s64*//*Label 32665*/ GIMT_Encode4(2343001), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341488 */ /*GILLT_nxv16s16*//*Label 32666*/ GIMT_Encode4(2343116),
     /* 2341492 */ /*GILLT_nxv16s32*//*Label 32667*/ GIMT_Encode4(2343231), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2341504 */ /*GILLT_nxv32s16*//*Label 32668*/ GIMT_Encode4(2343346),
     /* 2341508 */ // Label 32651: @2341508
     /* 2341508 */ GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2341574),
     /* 2341513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2341516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2341519 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2341546), // Rule ID 1939 //
     /* 2341524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2341527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341539 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2341544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341545 */     // GIR_Coverage, 1939,
     /* 2341545 */     GIR_Done,
     /* 2341546 */   // Label 32671: @2341546
     /* 2341546 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2341573), // Rule ID 1940 //
     /* 2341551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2341554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2341566 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2341571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341572 */     // GIR_Coverage, 1940,
     /* 2341572 */     GIR_Done,
     /* 2341573 */   // Label 32672: @2341573
     /* 2341573 */   GIM_Reject,
     /* 2341574 */ // Label 32670: @2341574
     /* 2341574 */ GIM_Reject,
     /* 2341575 */ // Label 32652: @2341575
     /* 2341575 */ GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2341641),
     /* 2341580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2341583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2341586 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2341613), // Rule ID 1226 //
     /* 2341591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2341594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341606 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2341606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2341611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341612 */     // GIR_Coverage, 1226,
     /* 2341612 */     GIR_Done,
     /* 2341613 */   // Label 32674: @2341613
     /* 2341613 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2341640), // Rule ID 1227 //
     /* 2341618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2341621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2341633 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2341633 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2341638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341639 */     // GIR_Coverage, 1227,
     /* 2341639 */     GIR_Done,
     /* 2341640 */   // Label 32675: @2341640
     /* 2341640 */   GIM_Reject,
     /* 2341641 */ // Label 32673: @2341641
     /* 2341641 */ GIM_Reject,
     /* 2341642 */ // Label 32653: @2341642
     /* 2341642 */ GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2341735),
     /* 2341647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2341650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2341653 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2341680), // Rule ID 1598 //
     /* 2341658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2341661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341673 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2341678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341679 */     // GIR_Coverage, 1598,
     /* 2341679 */     GIR_Done,
     /* 2341680 */   // Label 32677: @2341680
     /* 2341680 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2341707), // Rule ID 1599 //
     /* 2341685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2341688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2341700 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2341705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341706 */     // GIR_Coverage, 1599,
     /* 2341706 */     GIR_Done,
     /* 2341707 */   // Label 32678: @2341707
     /* 2341707 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2341734), // Rule ID 1600 //
     /* 2341712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2341715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2341727 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2341727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2341732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341733 */     // GIR_Coverage, 1600,
     /* 2341733 */     GIR_Done,
     /* 2341734 */   // Label 32679: @2341734
     /* 2341734 */   GIM_Reject,
     /* 2341735 */ // Label 32676: @2341735
     /* 2341735 */ GIM_Reject,
     /* 2341736 */ // Label 32654: @2341736
     /* 2341736 */ GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2341850),
     /* 2341741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2341744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341759 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2341804), // Rule ID 56487 //
     /* 2341764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341767 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2341770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2341784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341803 */     // GIR_Coverage, 56487,
     /* 2341803 */     GIR_EraseRootFromParent_Done,
     /* 2341804 */   // Label 32681: @2341804
     /* 2341804 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2341849), // Rule ID 56488 //
     /* 2341809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341812 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2341815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2341829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341848 */     // GIR_Coverage, 56488,
     /* 2341848 */     GIR_EraseRootFromParent_Done,
     /* 2341849 */   // Label 32682: @2341849
     /* 2341849 */   GIM_Reject,
     /* 2341850 */ // Label 32680: @2341850
     /* 2341850 */ GIM_Reject,
     /* 2341851 */ // Label 32655: @2341851
     /* 2341851 */ GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2341965),
     /* 2341856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2341859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341874 */   GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2341919), // Rule ID 56499 //
     /* 2341879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341882 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2341899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341918 */     // GIR_Coverage, 56499,
     /* 2341918 */     GIR_EraseRootFromParent_Done,
     /* 2341919 */   // Label 32684: @2341919
     /* 2341919 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2341964), // Rule ID 56500 //
     /* 2341924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341927 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2341930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2341944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341963 */     // GIR_Coverage, 56500,
     /* 2341963 */     GIR_EraseRootFromParent_Done,
     /* 2341964 */   // Label 32685: @2341964
     /* 2341964 */   GIM_Reject,
     /* 2341965 */ // Label 32683: @2341965
     /* 2341965 */ GIM_Reject,
     /* 2341966 */ // Label 32656: @2341966
     /* 2341966 */ GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2342080),
     /* 2341971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2341974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341989 */   GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2342034), // Rule ID 56517 //
     /* 2341994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341997 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342033 */     // GIR_Coverage, 56517,
     /* 2342033 */     GIR_EraseRootFromParent_Done,
     /* 2342034 */   // Label 32687: @2342034
     /* 2342034 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2342079), // Rule ID 56518 //
     /* 2342039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342042 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2342059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342078 */     // GIR_Coverage, 56518,
     /* 2342078 */     GIR_EraseRootFromParent_Done,
     /* 2342079 */   // Label 32688: @2342079
     /* 2342079 */   GIM_Reject,
     /* 2342080 */ // Label 32686: @2342080
     /* 2342080 */ GIM_Reject,
     /* 2342081 */ // Label 32657: @2342081
     /* 2342081 */ GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2342195),
     /* 2342086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2342089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2342092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342104 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2342149), // Rule ID 56493 //
     /* 2342109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342112 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342148 */     // GIR_Coverage, 56493,
     /* 2342148 */     GIR_EraseRootFromParent_Done,
     /* 2342149 */   // Label 32690: @2342149
     /* 2342149 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2342194), // Rule ID 56494 //
     /* 2342154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342157 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2342174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342193 */     // GIR_Coverage, 56494,
     /* 2342193 */     GIR_EraseRootFromParent_Done,
     /* 2342194 */   // Label 32691: @2342194
     /* 2342194 */   GIM_Reject,
     /* 2342195 */ // Label 32689: @2342195
     /* 2342195 */ GIM_Reject,
     /* 2342196 */ // Label 32658: @2342196
     /* 2342196 */ GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2342310),
     /* 2342201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2342204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2342207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342219 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2342264), // Rule ID 56511 //
     /* 2342224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342227 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342263 */     // GIR_Coverage, 56511,
     /* 2342263 */     GIR_EraseRootFromParent_Done,
     /* 2342264 */   // Label 32693: @2342264
     /* 2342264 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2342309), // Rule ID 56512 //
     /* 2342269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342272 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2342275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2342289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342308 */     // GIR_Coverage, 56512,
     /* 2342308 */     GIR_EraseRootFromParent_Done,
     /* 2342309 */   // Label 32694: @2342309
     /* 2342309 */   GIM_Reject,
     /* 2342310 */ // Label 32692: @2342310
     /* 2342310 */ GIM_Reject,
     /* 2342311 */ // Label 32659: @2342311
     /* 2342311 */ GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2342425),
     /* 2342316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2342319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2342322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342334 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2342379), // Rule ID 56559 //
     /* 2342339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342342 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342378 */     // GIR_Coverage, 56559,
     /* 2342378 */     GIR_EraseRootFromParent_Done,
     /* 2342379 */   // Label 32696: @2342379
     /* 2342379 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2342424), // Rule ID 56560 //
     /* 2342384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342387 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2342390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2342404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342423 */     // GIR_Coverage, 56560,
     /* 2342423 */     GIR_EraseRootFromParent_Done,
     /* 2342424 */   // Label 32697: @2342424
     /* 2342424 */   GIM_Reject,
     /* 2342425 */ // Label 32695: @2342425
     /* 2342425 */ GIM_Reject,
     /* 2342426 */ // Label 32660: @2342426
     /* 2342426 */ GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2342540),
     /* 2342431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2342437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342449 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2342494), // Rule ID 56505 //
     /* 2342454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342457 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342493 */     // GIR_Coverage, 56505,
     /* 2342493 */     GIR_EraseRootFromParent_Done,
     /* 2342494 */   // Label 32699: @2342494
     /* 2342494 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2342539), // Rule ID 56506 //
     /* 2342499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342502 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2342519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342538 */     // GIR_Coverage, 56506,
     /* 2342538 */     GIR_EraseRootFromParent_Done,
     /* 2342539 */   // Label 32700: @2342539
     /* 2342539 */   GIM_Reject,
     /* 2342540 */ // Label 32698: @2342540
     /* 2342540 */ GIM_Reject,
     /* 2342541 */ // Label 32661: @2342541
     /* 2342541 */ GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2342655),
     /* 2342546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2342552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342564 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2342609), // Rule ID 56541 //
     /* 2342569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342572 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2342589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342608 */     // GIR_Coverage, 56541,
     /* 2342608 */     GIR_EraseRootFromParent_Done,
     /* 2342609 */   // Label 32702: @2342609
     /* 2342609 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2342654), // Rule ID 56542 //
     /* 2342614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342617 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2342634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342653 */     // GIR_Coverage, 56542,
     /* 2342653 */     GIR_EraseRootFromParent_Done,
     /* 2342654 */   // Label 32703: @2342654
     /* 2342654 */   GIM_Reject,
     /* 2342655 */ // Label 32701: @2342655
     /* 2342655 */ GIM_Reject,
     /* 2342656 */ // Label 32662: @2342656
     /* 2342656 */ GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2342770),
     /* 2342661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2342667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342679 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2342724), // Rule ID 56565 //
     /* 2342684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342687 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2342704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342723 */     // GIR_Coverage, 56565,
     /* 2342723 */     GIR_EraseRootFromParent_Done,
     /* 2342724 */   // Label 32705: @2342724
     /* 2342724 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2342769), // Rule ID 56566 //
     /* 2342729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342732 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2342749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342768 */     // GIR_Coverage, 56566,
     /* 2342768 */     GIR_EraseRootFromParent_Done,
     /* 2342769 */   // Label 32706: @2342769
     /* 2342769 */   GIM_Reject,
     /* 2342770 */ // Label 32704: @2342770
     /* 2342770 */ GIM_Reject,
     /* 2342771 */ // Label 32663: @2342771
     /* 2342771 */ GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2342885),
     /* 2342776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2342782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342794 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2342839), // Rule ID 56523 //
     /* 2342799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342802 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2342819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342838 */     // GIR_Coverage, 56523,
     /* 2342838 */     GIR_EraseRootFromParent_Done,
     /* 2342839 */   // Label 32708: @2342839
     /* 2342839 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2342884), // Rule ID 56524 //
     /* 2342844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342847 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2342864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342883 */     // GIR_Coverage, 56524,
     /* 2342883 */     GIR_EraseRootFromParent_Done,
     /* 2342884 */   // Label 32709: @2342884
     /* 2342884 */   GIM_Reject,
     /* 2342885 */ // Label 32707: @2342885
     /* 2342885 */ GIM_Reject,
     /* 2342886 */ // Label 32664: @2342886
     /* 2342886 */ GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2343000),
     /* 2342891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2342897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342909 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2342954), // Rule ID 56547 //
     /* 2342914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342917 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2342934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342953 */     // GIR_Coverage, 56547,
     /* 2342953 */     GIR_EraseRootFromParent_Done,
     /* 2342954 */   // Label 32711: @2342954
     /* 2342954 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2342999), // Rule ID 56548 //
     /* 2342959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342962 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2342979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342998 */     // GIR_Coverage, 56548,
     /* 2342998 */     GIR_EraseRootFromParent_Done,
     /* 2342999 */   // Label 32712: @2342999
     /* 2342999 */   GIM_Reject,
     /* 2343000 */ // Label 32710: @2343000
     /* 2343000 */ GIM_Reject,
     /* 2343001 */ // Label 32665: @2343001
     /* 2343001 */ GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2343115),
     /* 2343006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2343012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343024 */   GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2343069), // Rule ID 56571 //
     /* 2343029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2343032 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343068 */     // GIR_Coverage, 56571,
     /* 2343068 */     GIR_EraseRootFromParent_Done,
     /* 2343069 */   // Label 32714: @2343069
     /* 2343069 */   GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2343114), // Rule ID 56572 //
     /* 2343074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2343077 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2343094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343113 */     // GIR_Coverage, 56572,
     /* 2343113 */     GIR_EraseRootFromParent_Done,
     /* 2343114 */   // Label 32715: @2343114
     /* 2343114 */   GIM_Reject,
     /* 2343115 */ // Label 32713: @2343115
     /* 2343115 */ GIM_Reject,
     /* 2343116 */ // Label 32666: @2343116
     /* 2343116 */ GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2343230),
     /* 2343121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2343127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343139 */   GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2343184), // Rule ID 56529 //
     /* 2343144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343147 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343183 */     // GIR_Coverage, 56529,
     /* 2343183 */     GIR_EraseRootFromParent_Done,
     /* 2343184 */   // Label 32717: @2343184
     /* 2343184 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2343229), // Rule ID 56530 //
     /* 2343189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343192 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2343209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343228 */     // GIR_Coverage, 56530,
     /* 2343228 */     GIR_EraseRootFromParent_Done,
     /* 2343229 */   // Label 32718: @2343229
     /* 2343229 */   GIM_Reject,
     /* 2343230 */ // Label 32716: @2343230
     /* 2343230 */ GIM_Reject,
     /* 2343231 */ // Label 32667: @2343231
     /* 2343231 */ GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2343345),
     /* 2343236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2343242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343254 */   GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2343299), // Rule ID 56553 //
     /* 2343259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343262 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343298 */     // GIR_Coverage, 56553,
     /* 2343298 */     GIR_EraseRootFromParent_Done,
     /* 2343299 */   // Label 32720: @2343299
     /* 2343299 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2343344), // Rule ID 56554 //
     /* 2343304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343307 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2343324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343343 */     // GIR_Coverage, 56554,
     /* 2343343 */     GIR_EraseRootFromParent_Done,
     /* 2343344 */   // Label 32721: @2343344
     /* 2343344 */   GIM_Reject,
     /* 2343345 */ // Label 32719: @2343345
     /* 2343345 */ GIM_Reject,
     /* 2343346 */ // Label 32668: @2343346
     /* 2343346 */ GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2343460),
     /* 2343351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2343357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343369 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2343414), // Rule ID 56535 //
     /* 2343374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343377 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343413 */     // GIR_Coverage, 56535,
     /* 2343413 */     GIR_EraseRootFromParent_Done,
     /* 2343414 */   // Label 32723: @2343414
     /* 2343414 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2343459), // Rule ID 56536 //
     /* 2343419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343422 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2343439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343458 */     // GIR_Coverage, 56536,
     /* 2343458 */     GIR_EraseRootFromParent_Done,
     /* 2343459 */   // Label 32724: @2343459
     /* 2343459 */   GIM_Reject,
     /* 2343460 */ // Label 32722: @2343460
     /* 2343460 */ GIM_Reject,
     /* 2343461 */ // Label 32669: @2343461
     /* 2343461 */ GIM_Reject,
     /* 2343462 */ // Label 76: @2343462
     /* 2343462 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32728*/ GIMT_Encode4(2343587),
     /* 2343473 */ /*GILLT_s16*//*Label 32725*/ GIMT_Encode4(2343485),
     /* 2343477 */ /*GILLT_s32*//*Label 32726*/ GIMT_Encode4(2343519),
     /* 2343481 */ /*GILLT_s64*//*Label 32727*/ GIMT_Encode4(2343553),
     /* 2343485 */ // Label 32725: @2343485
     /* 2343485 */ GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2343518), // Rule ID 2291 //
     /* 2343490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343511 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2343516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343517 */   // GIR_Coverage, 2291,
     /* 2343517 */   GIR_Done,
     /* 2343518 */ // Label 32729: @2343518
     /* 2343518 */ GIM_Reject,
     /* 2343519 */ // Label 32726: @2343519
     /* 2343519 */ GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2343552), // Rule ID 2209 //
     /* 2343524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343545 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343545 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2343550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343551 */   // GIR_Coverage, 2209,
     /* 2343551 */   GIR_Done,
     /* 2343552 */ // Label 32730: @2343552
     /* 2343552 */ GIM_Reject,
     /* 2343553 */ // Label 32727: @2343553
     /* 2343553 */ GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2343586), // Rule ID 2249 //
     /* 2343558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2343561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343579 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2343579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2343584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343585 */   // GIR_Coverage, 2249,
     /* 2343585 */   GIR_Done,
     /* 2343586 */ // Label 32731: @2343586
     /* 2343586 */ GIM_Reject,
     /* 2343587 */ // Label 32728: @2343587
     /* 2343587 */ GIM_Reject,
     /* 2343588 */ // Label 77: @2343588
     /* 2343588 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32735*/ GIMT_Encode4(2343713),
     /* 2343599 */ /*GILLT_s16*//*Label 32732*/ GIMT_Encode4(2343611),
     /* 2343603 */ /*GILLT_s32*//*Label 32733*/ GIMT_Encode4(2343645),
     /* 2343607 */ /*GILLT_s64*//*Label 32734*/ GIMT_Encode4(2343679),
     /* 2343611 */ // Label 32732: @2343611
     /* 2343611 */ GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2343644), // Rule ID 2292 //
     /* 2343616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2343619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343637 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2343637 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2343642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343643 */   // GIR_Coverage, 2292,
     /* 2343643 */   GIR_Done,
     /* 2343644 */ // Label 32736: @2343644
     /* 2343644 */ GIM_Reject,
     /* 2343645 */ // Label 32733: @2343645
     /* 2343645 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2343678), // Rule ID 2210 //
     /* 2343650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2343653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343671 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2343671 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2343676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343677 */   // GIR_Coverage, 2210,
     /* 2343677 */   GIR_Done,
     /* 2343678 */ // Label 32737: @2343678
     /* 2343678 */ GIM_Reject,
     /* 2343679 */ // Label 32734: @2343679
     /* 2343679 */ GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2343712), // Rule ID 2250 //
     /* 2343684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2343687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343705 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2343705 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2343710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343711 */   // GIR_Coverage, 2250,
     /* 2343711 */   GIR_Done,
     /* 2343712 */ // Label 32738: @2343712
     /* 2343712 */ GIM_Reject,
     /* 2343713 */ // Label 32735: @2343713
     /* 2343713 */ GIM_Reject,
     /* 2343714 */ // Label 78: @2343714
     /* 2343714 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32763*/ GIMT_Encode4(2346489),
     /* 2343725 */ /*GILLT_s32*//*Label 32739*/ GIMT_Encode4(2343849),
     /* 2343729 */ /*GILLT_s64*//*Label 32740*/ GIMT_Encode4(2343904), GIMT_Encode4(0),
     /* 2343737 */ /*GILLT_nxv1s8*//*Label 32741*/ GIMT_Encode4(2343959),
     /* 2343741 */ /*GILLT_nxv1s16*//*Label 32742*/ GIMT_Encode4(2344074),
     /* 2343745 */ /*GILLT_nxv1s32*//*Label 32743*/ GIMT_Encode4(2344189),
     /* 2343749 */ /*GILLT_nxv1s64*//*Label 32744*/ GIMT_Encode4(2344304), GIMT_Encode4(0),
     /* 2343757 */ /*GILLT_nxv2s8*//*Label 32745*/ GIMT_Encode4(2344419),
     /* 2343761 */ /*GILLT_nxv2s16*//*Label 32746*/ GIMT_Encode4(2344534),
     /* 2343765 */ /*GILLT_nxv2s32*//*Label 32747*/ GIMT_Encode4(2344649),
     /* 2343769 */ /*GILLT_nxv2s64*//*Label 32748*/ GIMT_Encode4(2344764), GIMT_Encode4(0),
     /* 2343777 */ /*GILLT_nxv4s8*//*Label 32749*/ GIMT_Encode4(2344879),
     /* 2343781 */ /*GILLT_nxv4s16*//*Label 32750*/ GIMT_Encode4(2344994),
     /* 2343785 */ /*GILLT_nxv4s32*//*Label 32751*/ GIMT_Encode4(2345109),
     /* 2343789 */ /*GILLT_nxv4s64*//*Label 32752*/ GIMT_Encode4(2345224), GIMT_Encode4(0),
     /* 2343797 */ /*GILLT_nxv8s8*//*Label 32753*/ GIMT_Encode4(2345339),
     /* 2343801 */ /*GILLT_nxv8s16*//*Label 32754*/ GIMT_Encode4(2345454),
     /* 2343805 */ /*GILLT_nxv8s32*//*Label 32755*/ GIMT_Encode4(2345569),
     /* 2343809 */ /*GILLT_nxv8s64*//*Label 32756*/ GIMT_Encode4(2345684), GIMT_Encode4(0),
     /* 2343817 */ /*GILLT_nxv16s8*//*Label 32757*/ GIMT_Encode4(2345799),
     /* 2343821 */ /*GILLT_nxv16s16*//*Label 32758*/ GIMT_Encode4(2345914),
     /* 2343825 */ /*GILLT_nxv16s32*//*Label 32759*/ GIMT_Encode4(2346029), GIMT_Encode4(0),
     /* 2343833 */ /*GILLT_nxv32s8*//*Label 32760*/ GIMT_Encode4(2346144),
     /* 2343837 */ /*GILLT_nxv32s16*//*Label 32761*/ GIMT_Encode4(2346259), GIMT_Encode4(0),
     /* 2343845 */ /*GILLT_nxv64s8*//*Label 32762*/ GIMT_Encode4(2346374),
     /* 2343849 */ // Label 32739: @2343849
     /* 2343849 */ GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2343903),
     /* 2343854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343872 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2343887), // Rule ID 64188 //
     /* 2343877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2343880 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2343885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343886 */     // GIR_Coverage, 64188,
     /* 2343886 */     GIR_Done,
     /* 2343887 */   // Label 32765: @2343887
     /* 2343887 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2343902), // Rule ID 2412 //
     /* 2343892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2343895 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2343900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343901 */     // GIR_Coverage, 2412,
     /* 2343901 */     GIR_Done,
     /* 2343902 */   // Label 32766: @2343902
     /* 2343902 */   GIM_Reject,
     /* 2343903 */ // Label 32764: @2343903
     /* 2343903 */ GIM_Reject,
     /* 2343904 */ // Label 32740: @2343904
     /* 2343904 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2343958),
     /* 2343909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343927 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2343942), // Rule ID 64187 //
     /* 2343932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2343935 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2343935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2343940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343941 */     // GIR_Coverage, 64187,
     /* 2343941 */     GIR_Done,
     /* 2343942 */   // Label 32768: @2343942
     /* 2343942 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2343957), // Rule ID 2411 //
     /* 2343947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2343950 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2343950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2343955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343956 */     // GIR_Coverage, 2411,
     /* 2343956 */     GIR_Done,
     /* 2343957 */   // Label 32769: @2343957
     /* 2343957 */   GIM_Reject,
     /* 2343958 */ // Label 32767: @2343958
     /* 2343958 */ GIM_Reject,
     /* 2343959 */ // Label 32741: @2343959
     /* 2343959 */ GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2344073),
     /* 2343964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2343967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2343970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343982 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2344027), // Rule ID 50459 //
     /* 2343987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343990 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2343993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344026 */     // GIR_Coverage, 50459,
     /* 2344026 */     GIR_EraseRootFromParent_Done,
     /* 2344027 */   // Label 32771: @2344027
     /* 2344027 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2344072), // Rule ID 50460 //
     /* 2344032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344035 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2344038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2344052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344071 */     // GIR_Coverage, 50460,
     /* 2344071 */     GIR_EraseRootFromParent_Done,
     /* 2344072 */   // Label 32772: @2344072
     /* 2344072 */   GIM_Reject,
     /* 2344073 */ // Label 32770: @2344073
     /* 2344073 */ GIM_Reject,
     /* 2344074 */ // Label 32742: @2344074
     /* 2344074 */ GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2344188),
     /* 2344079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344097 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2344142), // Rule ID 50471 //
     /* 2344102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344105 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344141 */     // GIR_Coverage, 50471,
     /* 2344141 */     GIR_EraseRootFromParent_Done,
     /* 2344142 */   // Label 32774: @2344142
     /* 2344142 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2344187), // Rule ID 50472 //
     /* 2344147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344150 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344186 */     // GIR_Coverage, 50472,
     /* 2344186 */     GIR_EraseRootFromParent_Done,
     /* 2344187 */   // Label 32775: @2344187
     /* 2344187 */   GIM_Reject,
     /* 2344188 */ // Label 32773: @2344188
     /* 2344188 */ GIM_Reject,
     /* 2344189 */ // Label 32743: @2344189
     /* 2344189 */ GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2344303),
     /* 2344194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2344200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344212 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2344257), // Rule ID 50479 //
     /* 2344217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344220 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344256 */     // GIR_Coverage, 50479,
     /* 2344256 */     GIR_EraseRootFromParent_Done,
     /* 2344257 */   // Label 32777: @2344257
     /* 2344257 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2344302), // Rule ID 50480 //
     /* 2344262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344265 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344301 */     // GIR_Coverage, 50480,
     /* 2344301 */     GIR_EraseRootFromParent_Done,
     /* 2344302 */   // Label 32778: @2344302
     /* 2344302 */   GIM_Reject,
     /* 2344303 */ // Label 32776: @2344303
     /* 2344303 */ GIM_Reject,
     /* 2344304 */ // Label 32744: @2344304
     /* 2344304 */ GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2344418),
     /* 2344309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2344315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344327 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2344372), // Rule ID 50495 //
     /* 2344332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344335 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344371 */     // GIR_Coverage, 50495,
     /* 2344371 */     GIR_EraseRootFromParent_Done,
     /* 2344372 */   // Label 32780: @2344372
     /* 2344372 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2344417), // Rule ID 50496 //
     /* 2344377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344380 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344416 */     // GIR_Coverage, 50496,
     /* 2344416 */     GIR_EraseRootFromParent_Done,
     /* 2344417 */   // Label 32781: @2344417
     /* 2344417 */   GIM_Reject,
     /* 2344418 */ // Label 32779: @2344418
     /* 2344418 */ GIM_Reject,
     /* 2344419 */ // Label 32745: @2344419
     /* 2344419 */ GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2344533),
     /* 2344424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2344427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344442 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2344487), // Rule ID 50463 //
     /* 2344447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344450 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344486 */     // GIR_Coverage, 50463,
     /* 2344486 */     GIR_EraseRootFromParent_Done,
     /* 2344487 */   // Label 32783: @2344487
     /* 2344487 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2344532), // Rule ID 50464 //
     /* 2344492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344495 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2344498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2344512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344531 */     // GIR_Coverage, 50464,
     /* 2344531 */     GIR_EraseRootFromParent_Done,
     /* 2344532 */   // Label 32784: @2344532
     /* 2344532 */   GIM_Reject,
     /* 2344533 */ // Label 32782: @2344533
     /* 2344533 */ GIM_Reject,
     /* 2344534 */ // Label 32746: @2344534
     /* 2344534 */ GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2344648),
     /* 2344539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344557 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2344602), // Rule ID 50475 //
     /* 2344562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344565 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344601 */     // GIR_Coverage, 50475,
     /* 2344601 */     GIR_EraseRootFromParent_Done,
     /* 2344602 */   // Label 32786: @2344602
     /* 2344602 */   GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2344647), // Rule ID 50476 //
     /* 2344607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344610 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344646 */     // GIR_Coverage, 50476,
     /* 2344646 */     GIR_EraseRootFromParent_Done,
     /* 2344647 */   // Label 32787: @2344647
     /* 2344647 */   GIM_Reject,
     /* 2344648 */ // Label 32785: @2344648
     /* 2344648 */ GIM_Reject,
     /* 2344649 */ // Label 32747: @2344649
     /* 2344649 */ GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2344763),
     /* 2344654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2344657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344672 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2344717), // Rule ID 50491 //
     /* 2344677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344680 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344716 */     // GIR_Coverage, 50491,
     /* 2344716 */     GIR_EraseRootFromParent_Done,
     /* 2344717 */   // Label 32789: @2344717
     /* 2344717 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2344762), // Rule ID 50492 //
     /* 2344722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344725 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2344742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344761 */     // GIR_Coverage, 50492,
     /* 2344761 */     GIR_EraseRootFromParent_Done,
     /* 2344762 */   // Label 32790: @2344762
     /* 2344762 */   GIM_Reject,
     /* 2344763 */ // Label 32788: @2344763
     /* 2344763 */ GIM_Reject,
     /* 2344764 */ // Label 32748: @2344764
     /* 2344764 */ GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2344878),
     /* 2344769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2344772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344787 */   GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2344832), // Rule ID 50535 //
     /* 2344792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344795 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344831 */     // GIR_Coverage, 50535,
     /* 2344831 */     GIR_EraseRootFromParent_Done,
     /* 2344832 */   // Label 32792: @2344832
     /* 2344832 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2344877), // Rule ID 50536 //
     /* 2344837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344840 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344876 */     // GIR_Coverage, 50536,
     /* 2344876 */     GIR_EraseRootFromParent_Done,
     /* 2344877 */   // Label 32793: @2344877
     /* 2344877 */   GIM_Reject,
     /* 2344878 */ // Label 32791: @2344878
     /* 2344878 */ GIM_Reject,
     /* 2344879 */ // Label 32749: @2344879
     /* 2344879 */ GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2344993),
     /* 2344884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2344887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2344890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344902 */   GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2344947), // Rule ID 50467 //
     /* 2344907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344910 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2344913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344946 */     // GIR_Coverage, 50467,
     /* 2344946 */     GIR_EraseRootFromParent_Done,
     /* 2344947 */   // Label 32795: @2344947
     /* 2344947 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2344992), // Rule ID 50468 //
     /* 2344952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344955 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2344958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2344972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344991 */     // GIR_Coverage, 50468,
     /* 2344991 */     GIR_EraseRootFromParent_Done,
     /* 2344992 */   // Label 32796: @2344992
     /* 2344992 */   GIM_Reject,
     /* 2344993 */ // Label 32794: @2344993
     /* 2344993 */ GIM_Reject,
     /* 2344994 */ // Label 32750: @2344994
     /* 2344994 */ GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2345108),
     /* 2344999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2345002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2345005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345017 */   GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2345062), // Rule ID 50487 //
     /* 2345022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345025 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345061 */     // GIR_Coverage, 50487,
     /* 2345061 */     GIR_EraseRootFromParent_Done,
     /* 2345062 */   // Label 32798: @2345062
     /* 2345062 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2345107), // Rule ID 50488 //
     /* 2345067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345070 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2345073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345106 */     // GIR_Coverage, 50488,
     /* 2345106 */     GIR_EraseRootFromParent_Done,
     /* 2345107 */   // Label 32799: @2345107
     /* 2345107 */   GIM_Reject,
     /* 2345108 */ // Label 32797: @2345108
     /* 2345108 */ GIM_Reject,
     /* 2345109 */ // Label 32751: @2345109
     /* 2345109 */ GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2345223),
     /* 2345114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2345117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2345120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345132 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2345177), // Rule ID 50523 //
     /* 2345137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345140 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345176 */     // GIR_Coverage, 50523,
     /* 2345176 */     GIR_EraseRootFromParent_Done,
     /* 2345177 */   // Label 32801: @2345177
     /* 2345177 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2345222), // Rule ID 50524 //
     /* 2345182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345185 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345221 */     // GIR_Coverage, 50524,
     /* 2345221 */     GIR_EraseRootFromParent_Done,
     /* 2345222 */   // Label 32802: @2345222
     /* 2345222 */   GIM_Reject,
     /* 2345223 */ // Label 32800: @2345223
     /* 2345223 */ GIM_Reject,
     /* 2345224 */ // Label 32752: @2345224
     /* 2345224 */ GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2345338),
     /* 2345229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2345232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2345235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345247 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2345292), // Rule ID 50539 //
     /* 2345252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345255 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345291 */     // GIR_Coverage, 50539,
     /* 2345291 */     GIR_EraseRootFromParent_Done,
     /* 2345292 */   // Label 32804: @2345292
     /* 2345292 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2345337), // Rule ID 50540 //
     /* 2345297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345300 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345336 */     // GIR_Coverage, 50540,
     /* 2345336 */     GIR_EraseRootFromParent_Done,
     /* 2345337 */   // Label 32805: @2345337
     /* 2345337 */   GIM_Reject,
     /* 2345338 */ // Label 32803: @2345338
     /* 2345338 */ GIM_Reject,
     /* 2345339 */ // Label 32753: @2345339
     /* 2345339 */ GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2345453),
     /* 2345344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2345347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2345350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345362 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2345407), // Rule ID 50483 //
     /* 2345367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345370 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345406 */     // GIR_Coverage, 50483,
     /* 2345406 */     GIR_EraseRootFromParent_Done,
     /* 2345407 */   // Label 32807: @2345407
     /* 2345407 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2345452), // Rule ID 50484 //
     /* 2345412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345415 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2345418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2345432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345451 */     // GIR_Coverage, 50484,
     /* 2345451 */     GIR_EraseRootFromParent_Done,
     /* 2345452 */   // Label 32808: @2345452
     /* 2345452 */   GIM_Reject,
     /* 2345453 */ // Label 32806: @2345453
     /* 2345453 */ GIM_Reject,
     /* 2345454 */ // Label 32754: @2345454
     /* 2345454 */ GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2345568),
     /* 2345459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2345462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2345465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345477 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2345522), // Rule ID 50511 //
     /* 2345482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345485 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345521 */     // GIR_Coverage, 50511,
     /* 2345521 */     GIR_EraseRootFromParent_Done,
     /* 2345522 */   // Label 32810: @2345522
     /* 2345522 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2345567), // Rule ID 50512 //
     /* 2345527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345530 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345566 */     // GIR_Coverage, 50512,
     /* 2345566 */     GIR_EraseRootFromParent_Done,
     /* 2345567 */   // Label 32811: @2345567
     /* 2345567 */   GIM_Reject,
     /* 2345568 */ // Label 32809: @2345568
     /* 2345568 */ GIM_Reject,
     /* 2345569 */ // Label 32755: @2345569
     /* 2345569 */ GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2345683),
     /* 2345574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2345577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2345580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345592 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2345637), // Rule ID 50527 //
     /* 2345597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345600 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345636 */     // GIR_Coverage, 50527,
     /* 2345636 */     GIR_EraseRootFromParent_Done,
     /* 2345637 */   // Label 32813: @2345637
     /* 2345637 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2345682), // Rule ID 50528 //
     /* 2345642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345645 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345681 */     // GIR_Coverage, 50528,
     /* 2345681 */     GIR_EraseRootFromParent_Done,
     /* 2345682 */   // Label 32814: @2345682
     /* 2345682 */   GIM_Reject,
     /* 2345683 */ // Label 32812: @2345683
     /* 2345683 */ GIM_Reject,
     /* 2345684 */ // Label 32756: @2345684
     /* 2345684 */ GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2345798),
     /* 2345689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2345692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2345695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345707 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2345752), // Rule ID 50543 //
     /* 2345712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345715 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2345732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345751 */     // GIR_Coverage, 50543,
     /* 2345751 */     GIR_EraseRootFromParent_Done,
     /* 2345752 */   // Label 32816: @2345752
     /* 2345752 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2345797), // Rule ID 50544 //
     /* 2345757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345760 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2345777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345796 */     // GIR_Coverage, 50544,
     /* 2345796 */     GIR_EraseRootFromParent_Done,
     /* 2345797 */   // Label 32817: @2345797
     /* 2345797 */   GIM_Reject,
     /* 2345798 */ // Label 32815: @2345798
     /* 2345798 */ GIM_Reject,
     /* 2345799 */ // Label 32757: @2345799
     /* 2345799 */ GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2345913),
     /* 2345804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2345807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2345810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345822 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2345867), // Rule ID 50499 //
     /* 2345827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345830 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345866 */     // GIR_Coverage, 50499,
     /* 2345866 */     GIR_EraseRootFromParent_Done,
     /* 2345867 */   // Label 32819: @2345867
     /* 2345867 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2345912), // Rule ID 50500 //
     /* 2345872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345875 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2345892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345911 */     // GIR_Coverage, 50500,
     /* 2345911 */     GIR_EraseRootFromParent_Done,
     /* 2345912 */   // Label 32820: @2345912
     /* 2345912 */   GIM_Reject,
     /* 2345913 */ // Label 32818: @2345913
     /* 2345913 */ GIM_Reject,
     /* 2345914 */ // Label 32758: @2345914
     /* 2345914 */ GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2346028),
     /* 2345919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2345922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2345925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345937 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2345982), // Rule ID 50515 //
     /* 2345942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345945 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2345962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345981 */     // GIR_Coverage, 50515,
     /* 2345981 */     GIR_EraseRootFromParent_Done,
     /* 2345982 */   // Label 32822: @2345982
     /* 2345982 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2346027), // Rule ID 50516 //
     /* 2345987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345990 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346026 */     // GIR_Coverage, 50516,
     /* 2346026 */     GIR_EraseRootFromParent_Done,
     /* 2346027 */   // Label 32823: @2346027
     /* 2346027 */   GIM_Reject,
     /* 2346028 */ // Label 32821: @2346028
     /* 2346028 */ GIM_Reject,
     /* 2346029 */ // Label 32759: @2346029
     /* 2346029 */ GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2346143),
     /* 2346034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2346037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2346040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346052 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2346097), // Rule ID 50531 //
     /* 2346057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346060 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346096 */     // GIR_Coverage, 50531,
     /* 2346096 */     GIR_EraseRootFromParent_Done,
     /* 2346097 */   // Label 32825: @2346097
     /* 2346097 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2346142), // Rule ID 50532 //
     /* 2346102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346105 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2346108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346141 */     // GIR_Coverage, 50532,
     /* 2346141 */     GIR_EraseRootFromParent_Done,
     /* 2346142 */   // Label 32826: @2346142
     /* 2346142 */   GIM_Reject,
     /* 2346143 */ // Label 32824: @2346143
     /* 2346143 */ GIM_Reject,
     /* 2346144 */ // Label 32760: @2346144
     /* 2346144 */ GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2346258),
     /* 2346149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2346152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2346155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346167 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2346212), // Rule ID 50503 //
     /* 2346172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346175 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346211 */     // GIR_Coverage, 50503,
     /* 2346211 */     GIR_EraseRootFromParent_Done,
     /* 2346212 */   // Label 32828: @2346212
     /* 2346212 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2346257), // Rule ID 50504 //
     /* 2346217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346220 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2346223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2346237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346256 */     // GIR_Coverage, 50504,
     /* 2346256 */     GIR_EraseRootFromParent_Done,
     /* 2346257 */   // Label 32829: @2346257
     /* 2346257 */   GIM_Reject,
     /* 2346258 */ // Label 32827: @2346258
     /* 2346258 */ GIM_Reject,
     /* 2346259 */ // Label 32761: @2346259
     /* 2346259 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2346373),
     /* 2346264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2346267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2346270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346282 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2346327), // Rule ID 50519 //
     /* 2346287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346290 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346326 */     // GIR_Coverage, 50519,
     /* 2346326 */     GIR_EraseRootFromParent_Done,
     /* 2346327 */   // Label 32831: @2346327
     /* 2346327 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2346372), // Rule ID 50520 //
     /* 2346332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346335 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2346338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346371 */     // GIR_Coverage, 50520,
     /* 2346371 */     GIR_EraseRootFromParent_Done,
     /* 2346372 */   // Label 32832: @2346372
     /* 2346372 */   GIM_Reject,
     /* 2346373 */ // Label 32830: @2346373
     /* 2346373 */ GIM_Reject,
     /* 2346374 */ // Label 32762: @2346374
     /* 2346374 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2346488),
     /* 2346379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2346382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2346385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346397 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2346442), // Rule ID 50507 //
     /* 2346402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346405 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346441 */     // GIR_Coverage, 50507,
     /* 2346441 */     GIR_EraseRootFromParent_Done,
     /* 2346442 */   // Label 32834: @2346442
     /* 2346442 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2346487), // Rule ID 50508 //
     /* 2346447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346450 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2346453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2346467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346486 */     // GIR_Coverage, 50508,
     /* 2346486 */     GIR_EraseRootFromParent_Done,
     /* 2346487 */   // Label 32835: @2346487
     /* 2346487 */   GIM_Reject,
     /* 2346488 */ // Label 32833: @2346488
     /* 2346488 */ GIM_Reject,
     /* 2346489 */ // Label 32763: @2346489
     /* 2346489 */ GIM_Reject,
     /* 2346490 */ // Label 79: @2346490
     /* 2346490 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32860*/ GIMT_Encode4(2349265),
     /* 2346501 */ /*GILLT_s32*//*Label 32836*/ GIMT_Encode4(2346625),
     /* 2346505 */ /*GILLT_s64*//*Label 32837*/ GIMT_Encode4(2346680), GIMT_Encode4(0),
     /* 2346513 */ /*GILLT_nxv1s8*//*Label 32838*/ GIMT_Encode4(2346735),
     /* 2346517 */ /*GILLT_nxv1s16*//*Label 32839*/ GIMT_Encode4(2346850),
     /* 2346521 */ /*GILLT_nxv1s32*//*Label 32840*/ GIMT_Encode4(2346965),
     /* 2346525 */ /*GILLT_nxv1s64*//*Label 32841*/ GIMT_Encode4(2347080), GIMT_Encode4(0),
     /* 2346533 */ /*GILLT_nxv2s8*//*Label 32842*/ GIMT_Encode4(2347195),
     /* 2346537 */ /*GILLT_nxv2s16*//*Label 32843*/ GIMT_Encode4(2347310),
     /* 2346541 */ /*GILLT_nxv2s32*//*Label 32844*/ GIMT_Encode4(2347425),
     /* 2346545 */ /*GILLT_nxv2s64*//*Label 32845*/ GIMT_Encode4(2347540), GIMT_Encode4(0),
     /* 2346553 */ /*GILLT_nxv4s8*//*Label 32846*/ GIMT_Encode4(2347655),
     /* 2346557 */ /*GILLT_nxv4s16*//*Label 32847*/ GIMT_Encode4(2347770),
     /* 2346561 */ /*GILLT_nxv4s32*//*Label 32848*/ GIMT_Encode4(2347885),
     /* 2346565 */ /*GILLT_nxv4s64*//*Label 32849*/ GIMT_Encode4(2348000), GIMT_Encode4(0),
     /* 2346573 */ /*GILLT_nxv8s8*//*Label 32850*/ GIMT_Encode4(2348115),
     /* 2346577 */ /*GILLT_nxv8s16*//*Label 32851*/ GIMT_Encode4(2348230),
     /* 2346581 */ /*GILLT_nxv8s32*//*Label 32852*/ GIMT_Encode4(2348345),
     /* 2346585 */ /*GILLT_nxv8s64*//*Label 32853*/ GIMT_Encode4(2348460), GIMT_Encode4(0),
     /* 2346593 */ /*GILLT_nxv16s8*//*Label 32854*/ GIMT_Encode4(2348575),
     /* 2346597 */ /*GILLT_nxv16s16*//*Label 32855*/ GIMT_Encode4(2348690),
     /* 2346601 */ /*GILLT_nxv16s32*//*Label 32856*/ GIMT_Encode4(2348805), GIMT_Encode4(0),
     /* 2346609 */ /*GILLT_nxv32s8*//*Label 32857*/ GIMT_Encode4(2348920),
     /* 2346613 */ /*GILLT_nxv32s16*//*Label 32858*/ GIMT_Encode4(2349035), GIMT_Encode4(0),
     /* 2346621 */ /*GILLT_nxv64s8*//*Label 32859*/ GIMT_Encode4(2349150),
     /* 2346625 */ // Label 32836: @2346625
     /* 2346625 */ GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2346679),
     /* 2346630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2346633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2346636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346648 */   GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2346663), // Rule ID 64192 //
     /* 2346653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2346656 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2346656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2346661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346662 */     // GIR_Coverage, 64192,
     /* 2346662 */     GIR_Done,
     /* 2346663 */   // Label 32862: @2346663
     /* 2346663 */   GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2346678), // Rule ID 2414 //
     /* 2346668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2346671 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2346671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2346676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346677 */     // GIR_Coverage, 2414,
     /* 2346677 */     GIR_Done,
     /* 2346678 */   // Label 32863: @2346678
     /* 2346678 */   GIM_Reject,
     /* 2346679 */ // Label 32861: @2346679
     /* 2346679 */ GIM_Reject,
     /* 2346680 */ // Label 32837: @2346680
     /* 2346680 */ GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2346734),
     /* 2346685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2346688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2346691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346703 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2346718), // Rule ID 64191 //
     /* 2346708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2346711 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2346711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2346716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346717 */     // GIR_Coverage, 64191,
     /* 2346717 */     GIR_Done,
     /* 2346718 */   // Label 32865: @2346718
     /* 2346718 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2346733), // Rule ID 2413 //
     /* 2346723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2346726 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2346726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2346731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346732 */     // GIR_Coverage, 2413,
     /* 2346732 */     GIR_Done,
     /* 2346733 */   // Label 32866: @2346733
     /* 2346733 */   GIM_Reject,
     /* 2346734 */ // Label 32864: @2346734
     /* 2346734 */ GIM_Reject,
     /* 2346735 */ // Label 32838: @2346735
     /* 2346735 */ GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2346849),
     /* 2346740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2346743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2346746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346758 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2346803), // Rule ID 50635 //
     /* 2346763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346766 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2346783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346802 */     // GIR_Coverage, 50635,
     /* 2346802 */     GIR_EraseRootFromParent_Done,
     /* 2346803 */   // Label 32868: @2346803
     /* 2346803 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2346848), // Rule ID 50636 //
     /* 2346808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346811 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2346828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346847 */     // GIR_Coverage, 50636,
     /* 2346847 */     GIR_EraseRootFromParent_Done,
     /* 2346848 */   // Label 32869: @2346848
     /* 2346848 */   GIM_Reject,
     /* 2346849 */ // Label 32867: @2346849
     /* 2346849 */ GIM_Reject,
     /* 2346850 */ // Label 32839: @2346850
     /* 2346850 */ GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2346964),
     /* 2346855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2346858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2346861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346873 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2346918), // Rule ID 50647 //
     /* 2346878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346881 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2346898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346917 */     // GIR_Coverage, 50647,
     /* 2346917 */     GIR_EraseRootFromParent_Done,
     /* 2346918 */   // Label 32871: @2346918
     /* 2346918 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2346963), // Rule ID 50648 //
     /* 2346923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346926 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2346943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346962 */     // GIR_Coverage, 50648,
     /* 2346962 */     GIR_EraseRootFromParent_Done,
     /* 2346963 */   // Label 32872: @2346963
     /* 2346963 */   GIM_Reject,
     /* 2346964 */ // Label 32870: @2346964
     /* 2346964 */ GIM_Reject,
     /* 2346965 */ // Label 32840: @2346965
     /* 2346965 */ GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2347079),
     /* 2346970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2346973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2346976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346988 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2347033), // Rule ID 50655 //
     /* 2346993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346996 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347032 */     // GIR_Coverage, 50655,
     /* 2347032 */     GIR_EraseRootFromParent_Done,
     /* 2347033 */   // Label 32874: @2347033
     /* 2347033 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2347078), // Rule ID 50656 //
     /* 2347038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347041 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2347044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347077 */     // GIR_Coverage, 50656,
     /* 2347077 */     GIR_EraseRootFromParent_Done,
     /* 2347078 */   // Label 32875: @2347078
     /* 2347078 */   GIM_Reject,
     /* 2347079 */ // Label 32873: @2347079
     /* 2347079 */ GIM_Reject,
     /* 2347080 */ // Label 32841: @2347080
     /* 2347080 */ GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2347194),
     /* 2347085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2347088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2347091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347103 */   GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2347148), // Rule ID 50671 //
     /* 2347108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347111 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347147 */     // GIR_Coverage, 50671,
     /* 2347147 */     GIR_EraseRootFromParent_Done,
     /* 2347148 */   // Label 32877: @2347148
     /* 2347148 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2347193), // Rule ID 50672 //
     /* 2347153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347156 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2347159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347192 */     // GIR_Coverage, 50672,
     /* 2347192 */     GIR_EraseRootFromParent_Done,
     /* 2347193 */   // Label 32878: @2347193
     /* 2347193 */   GIM_Reject,
     /* 2347194 */ // Label 32876: @2347194
     /* 2347194 */ GIM_Reject,
     /* 2347195 */ // Label 32842: @2347195
     /* 2347195 */ GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2347309),
     /* 2347200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2347203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347218 */   GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2347263), // Rule ID 50639 //
     /* 2347223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347226 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347262 */     // GIR_Coverage, 50639,
     /* 2347262 */     GIR_EraseRootFromParent_Done,
     /* 2347263 */   // Label 32880: @2347263
     /* 2347263 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2347308), // Rule ID 50640 //
     /* 2347268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347271 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2347274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2347288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347307 */     // GIR_Coverage, 50640,
     /* 2347307 */     GIR_EraseRootFromParent_Done,
     /* 2347308 */   // Label 32881: @2347308
     /* 2347308 */   GIM_Reject,
     /* 2347309 */ // Label 32879: @2347309
     /* 2347309 */ GIM_Reject,
     /* 2347310 */ // Label 32843: @2347310
     /* 2347310 */ GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2347424),
     /* 2347315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2347318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347333 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2347378), // Rule ID 50651 //
     /* 2347338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347341 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347377 */     // GIR_Coverage, 50651,
     /* 2347377 */     GIR_EraseRootFromParent_Done,
     /* 2347378 */   // Label 32883: @2347378
     /* 2347378 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2347423), // Rule ID 50652 //
     /* 2347383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347386 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2347389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347422 */     // GIR_Coverage, 50652,
     /* 2347422 */     GIR_EraseRootFromParent_Done,
     /* 2347423 */   // Label 32884: @2347423
     /* 2347423 */   GIM_Reject,
     /* 2347424 */ // Label 32882: @2347424
     /* 2347424 */ GIM_Reject,
     /* 2347425 */ // Label 32844: @2347425
     /* 2347425 */ GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2347539),
     /* 2347430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347448 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2347493), // Rule ID 50667 //
     /* 2347453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347456 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347492 */     // GIR_Coverage, 50667,
     /* 2347492 */     GIR_EraseRootFromParent_Done,
     /* 2347493 */   // Label 32886: @2347493
     /* 2347493 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2347538), // Rule ID 50668 //
     /* 2347498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347501 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2347504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347537 */     // GIR_Coverage, 50668,
     /* 2347537 */     GIR_EraseRootFromParent_Done,
     /* 2347538 */   // Label 32887: @2347538
     /* 2347538 */   GIM_Reject,
     /* 2347539 */ // Label 32885: @2347539
     /* 2347539 */ GIM_Reject,
     /* 2347540 */ // Label 32845: @2347540
     /* 2347540 */ GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2347654),
     /* 2347545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347563 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2347608), // Rule ID 50711 //
     /* 2347568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347571 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347607 */     // GIR_Coverage, 50711,
     /* 2347607 */     GIR_EraseRootFromParent_Done,
     /* 2347608 */   // Label 32889: @2347608
     /* 2347608 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2347653), // Rule ID 50712 //
     /* 2347613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347616 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347652 */     // GIR_Coverage, 50712,
     /* 2347652 */     GIR_EraseRootFromParent_Done,
     /* 2347653 */   // Label 32890: @2347653
     /* 2347653 */   GIM_Reject,
     /* 2347654 */ // Label 32888: @2347654
     /* 2347654 */ GIM_Reject,
     /* 2347655 */ // Label 32846: @2347655
     /* 2347655 */ GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2347769),
     /* 2347660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2347663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347678 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2347723), // Rule ID 50643 //
     /* 2347683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347686 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2347689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347722 */     // GIR_Coverage, 50643,
     /* 2347722 */     GIR_EraseRootFromParent_Done,
     /* 2347723 */   // Label 32892: @2347723
     /* 2347723 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2347768), // Rule ID 50644 //
     /* 2347728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347731 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2347734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2347748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347767 */     // GIR_Coverage, 50644,
     /* 2347767 */     GIR_EraseRootFromParent_Done,
     /* 2347768 */   // Label 32893: @2347768
     /* 2347768 */   GIM_Reject,
     /* 2347769 */ // Label 32891: @2347769
     /* 2347769 */ GIM_Reject,
     /* 2347770 */ // Label 32847: @2347770
     /* 2347770 */ GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2347884),
     /* 2347775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2347781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347793 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2347838), // Rule ID 50663 //
     /* 2347798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347801 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347837 */     // GIR_Coverage, 50663,
     /* 2347837 */     GIR_EraseRootFromParent_Done,
     /* 2347838 */   // Label 32895: @2347838
     /* 2347838 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2347883), // Rule ID 50664 //
     /* 2347843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347846 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2347863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347882 */     // GIR_Coverage, 50664,
     /* 2347882 */     GIR_EraseRootFromParent_Done,
     /* 2347883 */   // Label 32896: @2347883
     /* 2347883 */   GIM_Reject,
     /* 2347884 */ // Label 32894: @2347884
     /* 2347884 */ GIM_Reject,
     /* 2347885 */ // Label 32848: @2347885
     /* 2347885 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2347999),
     /* 2347890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347908 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2347953), // Rule ID 50699 //
     /* 2347913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347916 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347952 */     // GIR_Coverage, 50699,
     /* 2347952 */     GIR_EraseRootFromParent_Done,
     /* 2347953 */   // Label 32898: @2347953
     /* 2347953 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2347998), // Rule ID 50700 //
     /* 2347958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347961 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347997 */     // GIR_Coverage, 50700,
     /* 2347997 */     GIR_EraseRootFromParent_Done,
     /* 2347998 */   // Label 32899: @2347998
     /* 2347998 */   GIM_Reject,
     /* 2347999 */ // Label 32897: @2347999
     /* 2347999 */ GIM_Reject,
     /* 2348000 */ // Label 32849: @2348000
     /* 2348000 */ GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2348114),
     /* 2348005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2348008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348023 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2348068), // Rule ID 50715 //
     /* 2348028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348031 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348067 */     // GIR_Coverage, 50715,
     /* 2348067 */     GIR_EraseRootFromParent_Done,
     /* 2348068 */   // Label 32901: @2348068
     /* 2348068 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2348113), // Rule ID 50716 //
     /* 2348073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348076 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348112 */     // GIR_Coverage, 50716,
     /* 2348112 */     GIR_EraseRootFromParent_Done,
     /* 2348113 */   // Label 32902: @2348113
     /* 2348113 */   GIM_Reject,
     /* 2348114 */ // Label 32900: @2348114
     /* 2348114 */ GIM_Reject,
     /* 2348115 */ // Label 32850: @2348115
     /* 2348115 */ GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2348229),
     /* 2348120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2348126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348138 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2348183), // Rule ID 50659 //
     /* 2348143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348146 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348182 */     // GIR_Coverage, 50659,
     /* 2348182 */     GIR_EraseRootFromParent_Done,
     /* 2348183 */   // Label 32904: @2348183
     /* 2348183 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2348228), // Rule ID 50660 //
     /* 2348188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348191 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2348194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2348208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348227 */     // GIR_Coverage, 50660,
     /* 2348227 */     GIR_EraseRootFromParent_Done,
     /* 2348228 */   // Label 32905: @2348228
     /* 2348228 */   GIM_Reject,
     /* 2348229 */ // Label 32903: @2348229
     /* 2348229 */ GIM_Reject,
     /* 2348230 */ // Label 32851: @2348230
     /* 2348230 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2348344),
     /* 2348235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2348241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348253 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2348298), // Rule ID 50687 //
     /* 2348258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348261 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348297 */     // GIR_Coverage, 50687,
     /* 2348297 */     GIR_EraseRootFromParent_Done,
     /* 2348298 */   // Label 32907: @2348298
     /* 2348298 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2348343), // Rule ID 50688 //
     /* 2348303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348306 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348342 */     // GIR_Coverage, 50688,
     /* 2348342 */     GIR_EraseRootFromParent_Done,
     /* 2348343 */   // Label 32908: @2348343
     /* 2348343 */   GIM_Reject,
     /* 2348344 */ // Label 32906: @2348344
     /* 2348344 */ GIM_Reject,
     /* 2348345 */ // Label 32852: @2348345
     /* 2348345 */ GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2348459),
     /* 2348350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2348356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348368 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2348413), // Rule ID 50703 //
     /* 2348373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348376 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348412 */     // GIR_Coverage, 50703,
     /* 2348412 */     GIR_EraseRootFromParent_Done,
     /* 2348413 */   // Label 32910: @2348413
     /* 2348413 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2348458), // Rule ID 50704 //
     /* 2348418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348421 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348457 */     // GIR_Coverage, 50704,
     /* 2348457 */     GIR_EraseRootFromParent_Done,
     /* 2348458 */   // Label 32911: @2348458
     /* 2348458 */   GIM_Reject,
     /* 2348459 */ // Label 32909: @2348459
     /* 2348459 */ GIM_Reject,
     /* 2348460 */ // Label 32853: @2348460
     /* 2348460 */ GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2348574),
     /* 2348465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2348471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348483 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2348528), // Rule ID 50719 //
     /* 2348488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348491 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348527 */     // GIR_Coverage, 50719,
     /* 2348527 */     GIR_EraseRootFromParent_Done,
     /* 2348528 */   // Label 32913: @2348528
     /* 2348528 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2348573), // Rule ID 50720 //
     /* 2348533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348536 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348572 */     // GIR_Coverage, 50720,
     /* 2348572 */     GIR_EraseRootFromParent_Done,
     /* 2348573 */   // Label 32914: @2348573
     /* 2348573 */   GIM_Reject,
     /* 2348574 */ // Label 32912: @2348574
     /* 2348574 */ GIM_Reject,
     /* 2348575 */ // Label 32854: @2348575
     /* 2348575 */ GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2348689),
     /* 2348580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2348583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2348586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348598 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2348643), // Rule ID 50675 //
     /* 2348603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348606 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2348609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348642 */     // GIR_Coverage, 50675,
     /* 2348642 */     GIR_EraseRootFromParent_Done,
     /* 2348643 */   // Label 32916: @2348643
     /* 2348643 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2348688), // Rule ID 50676 //
     /* 2348648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348651 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2348654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2348668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348687 */     // GIR_Coverage, 50676,
     /* 2348687 */     GIR_EraseRootFromParent_Done,
     /* 2348688 */   // Label 32917: @2348688
     /* 2348688 */   GIM_Reject,
     /* 2348689 */ // Label 32915: @2348689
     /* 2348689 */ GIM_Reject,
     /* 2348690 */ // Label 32855: @2348690
     /* 2348690 */ GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2348804),
     /* 2348695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2348698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2348701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348713 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2348758), // Rule ID 50691 //
     /* 2348718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348721 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348757 */     // GIR_Coverage, 50691,
     /* 2348757 */     GIR_EraseRootFromParent_Done,
     /* 2348758 */   // Label 32919: @2348758
     /* 2348758 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2348803), // Rule ID 50692 //
     /* 2348763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348766 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348802 */     // GIR_Coverage, 50692,
     /* 2348802 */     GIR_EraseRootFromParent_Done,
     /* 2348803 */   // Label 32920: @2348803
     /* 2348803 */   GIM_Reject,
     /* 2348804 */ // Label 32918: @2348804
     /* 2348804 */ GIM_Reject,
     /* 2348805 */ // Label 32856: @2348805
     /* 2348805 */ GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2348919),
     /* 2348810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2348816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348828 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2348873), // Rule ID 50707 //
     /* 2348833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348836 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348872 */     // GIR_Coverage, 50707,
     /* 2348872 */     GIR_EraseRootFromParent_Done,
     /* 2348873 */   // Label 32922: @2348873
     /* 2348873 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2348918), // Rule ID 50708 //
     /* 2348878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348881 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2348898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348917 */     // GIR_Coverage, 50708,
     /* 2348917 */     GIR_EraseRootFromParent_Done,
     /* 2348918 */   // Label 32923: @2348918
     /* 2348918 */   GIM_Reject,
     /* 2348919 */ // Label 32921: @2348919
     /* 2348919 */ GIM_Reject,
     /* 2348920 */ // Label 32857: @2348920
     /* 2348920 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2349034),
     /* 2348925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2348928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2348931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348943 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2348988), // Rule ID 50679 //
     /* 2348948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348951 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2348954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2348968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348987 */     // GIR_Coverage, 50679,
     /* 2348987 */     GIR_EraseRootFromParent_Done,
     /* 2348988 */   // Label 32925: @2348988
     /* 2348988 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2349033), // Rule ID 50680 //
     /* 2348993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348996 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2348999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2349013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349032 */     // GIR_Coverage, 50680,
     /* 2349032 */     GIR_EraseRootFromParent_Done,
     /* 2349033 */   // Label 32926: @2349033
     /* 2349033 */   GIM_Reject,
     /* 2349034 */ // Label 32924: @2349034
     /* 2349034 */ GIM_Reject,
     /* 2349035 */ // Label 32858: @2349035
     /* 2349035 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2349149),
     /* 2349040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2349046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349058 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2349103), // Rule ID 50695 //
     /* 2349063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349066 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349102 */     // GIR_Coverage, 50695,
     /* 2349102 */     GIR_EraseRootFromParent_Done,
     /* 2349103 */   // Label 32928: @2349103
     /* 2349103 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2349148), // Rule ID 50696 //
     /* 2349108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349111 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349147 */     // GIR_Coverage, 50696,
     /* 2349147 */     GIR_EraseRootFromParent_Done,
     /* 2349148 */   // Label 32929: @2349148
     /* 2349148 */   GIM_Reject,
     /* 2349149 */ // Label 32927: @2349149
     /* 2349149 */ GIM_Reject,
     /* 2349150 */ // Label 32859: @2349150
     /* 2349150 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2349264),
     /* 2349155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2349158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2349161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349173 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2349218), // Rule ID 50683 //
     /* 2349178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349181 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349217 */     // GIR_Coverage, 50683,
     /* 2349217 */     GIR_EraseRootFromParent_Done,
     /* 2349218 */   // Label 32931: @2349218
     /* 2349218 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2349263), // Rule ID 50684 //
     /* 2349223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349226 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2349229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2349243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349262 */     // GIR_Coverage, 50684,
     /* 2349262 */     GIR_EraseRootFromParent_Done,
     /* 2349263 */   // Label 32932: @2349263
     /* 2349263 */   GIM_Reject,
     /* 2349264 */ // Label 32930: @2349264
     /* 2349264 */ GIM_Reject,
     /* 2349265 */ // Label 32860: @2349265
     /* 2349265 */ GIM_Reject,
     /* 2349266 */ // Label 80: @2349266
     /* 2349266 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32957*/ GIMT_Encode4(2352041),
     /* 2349277 */ /*GILLT_s32*//*Label 32933*/ GIMT_Encode4(2349401),
     /* 2349281 */ /*GILLT_s64*//*Label 32934*/ GIMT_Encode4(2349456), GIMT_Encode4(0),
     /* 2349289 */ /*GILLT_nxv1s8*//*Label 32935*/ GIMT_Encode4(2349511),
     /* 2349293 */ /*GILLT_nxv1s16*//*Label 32936*/ GIMT_Encode4(2349626),
     /* 2349297 */ /*GILLT_nxv1s32*//*Label 32937*/ GIMT_Encode4(2349741),
     /* 2349301 */ /*GILLT_nxv1s64*//*Label 32938*/ GIMT_Encode4(2349856), GIMT_Encode4(0),
     /* 2349309 */ /*GILLT_nxv2s8*//*Label 32939*/ GIMT_Encode4(2349971),
     /* 2349313 */ /*GILLT_nxv2s16*//*Label 32940*/ GIMT_Encode4(2350086),
     /* 2349317 */ /*GILLT_nxv2s32*//*Label 32941*/ GIMT_Encode4(2350201),
     /* 2349321 */ /*GILLT_nxv2s64*//*Label 32942*/ GIMT_Encode4(2350316), GIMT_Encode4(0),
     /* 2349329 */ /*GILLT_nxv4s8*//*Label 32943*/ GIMT_Encode4(2350431),
     /* 2349333 */ /*GILLT_nxv4s16*//*Label 32944*/ GIMT_Encode4(2350546),
     /* 2349337 */ /*GILLT_nxv4s32*//*Label 32945*/ GIMT_Encode4(2350661),
     /* 2349341 */ /*GILLT_nxv4s64*//*Label 32946*/ GIMT_Encode4(2350776), GIMT_Encode4(0),
     /* 2349349 */ /*GILLT_nxv8s8*//*Label 32947*/ GIMT_Encode4(2350891),
     /* 2349353 */ /*GILLT_nxv8s16*//*Label 32948*/ GIMT_Encode4(2351006),
     /* 2349357 */ /*GILLT_nxv8s32*//*Label 32949*/ GIMT_Encode4(2351121),
     /* 2349361 */ /*GILLT_nxv8s64*//*Label 32950*/ GIMT_Encode4(2351236), GIMT_Encode4(0),
     /* 2349369 */ /*GILLT_nxv16s8*//*Label 32951*/ GIMT_Encode4(2351351),
     /* 2349373 */ /*GILLT_nxv16s16*//*Label 32952*/ GIMT_Encode4(2351466),
     /* 2349377 */ /*GILLT_nxv16s32*//*Label 32953*/ GIMT_Encode4(2351581), GIMT_Encode4(0),
     /* 2349385 */ /*GILLT_nxv32s8*//*Label 32954*/ GIMT_Encode4(2351696),
     /* 2349389 */ /*GILLT_nxv32s16*//*Label 32955*/ GIMT_Encode4(2351811), GIMT_Encode4(0),
     /* 2349397 */ /*GILLT_nxv64s8*//*Label 32956*/ GIMT_Encode4(2351926),
     /* 2349401 */ // Label 32933: @2349401
     /* 2349401 */ GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2349455),
     /* 2349406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2349412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349424 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2349439), // Rule ID 64190 //
     /* 2349429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2349432 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349438 */     // GIR_Coverage, 64190,
     /* 2349438 */     GIR_Done,
     /* 2349439 */   // Label 32959: @2349439
     /* 2349439 */   GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2349454), // Rule ID 2416 //
     /* 2349444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2349447 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2349447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349453 */     // GIR_Coverage, 2416,
     /* 2349453 */     GIR_Done,
     /* 2349454 */   // Label 32960: @2349454
     /* 2349454 */   GIM_Reject,
     /* 2349455 */ // Label 32958: @2349455
     /* 2349455 */ GIM_Reject,
     /* 2349456 */ // Label 32934: @2349456
     /* 2349456 */ GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2349510),
     /* 2349461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2349467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349479 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2349494), // Rule ID 64189 //
     /* 2349484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2349487 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2349492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349493 */     // GIR_Coverage, 64189,
     /* 2349493 */     GIR_Done,
     /* 2349494 */   // Label 32962: @2349494
     /* 2349494 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2349509), // Rule ID 2415 //
     /* 2349499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2349502 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2349502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2349507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349508 */     // GIR_Coverage, 2415,
     /* 2349508 */     GIR_Done,
     /* 2349509 */   // Label 32963: @2349509
     /* 2349509 */   GIM_Reject,
     /* 2349510 */ // Label 32961: @2349510
     /* 2349510 */ GIM_Reject,
     /* 2349511 */ // Label 32935: @2349511
     /* 2349511 */ GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2349625),
     /* 2349516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2349519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2349522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349534 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2349579), // Rule ID 50371 //
     /* 2349539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349542 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349578 */     // GIR_Coverage, 50371,
     /* 2349578 */     GIR_EraseRootFromParent_Done,
     /* 2349579 */   // Label 32965: @2349579
     /* 2349579 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2349624), // Rule ID 50372 //
     /* 2349584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349587 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2349604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349623 */     // GIR_Coverage, 50372,
     /* 2349623 */     GIR_EraseRootFromParent_Done,
     /* 2349624 */   // Label 32966: @2349624
     /* 2349624 */   GIM_Reject,
     /* 2349625 */ // Label 32964: @2349625
     /* 2349625 */ GIM_Reject,
     /* 2349626 */ // Label 32936: @2349626
     /* 2349626 */ GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2349740),
     /* 2349631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2349634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2349637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349649 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2349694), // Rule ID 50383 //
     /* 2349654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349657 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2349674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349693 */     // GIR_Coverage, 50383,
     /* 2349693 */     GIR_EraseRootFromParent_Done,
     /* 2349694 */   // Label 32968: @2349694
     /* 2349694 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2349739), // Rule ID 50384 //
     /* 2349699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349702 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2349719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349738 */     // GIR_Coverage, 50384,
     /* 2349738 */     GIR_EraseRootFromParent_Done,
     /* 2349739 */   // Label 32969: @2349739
     /* 2349739 */   GIM_Reject,
     /* 2349740 */ // Label 32967: @2349740
     /* 2349740 */ GIM_Reject,
     /* 2349741 */ // Label 32937: @2349741
     /* 2349741 */ GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2349855),
     /* 2349746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2349749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2349752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349764 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2349809), // Rule ID 50391 //
     /* 2349769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349772 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2349789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349808 */     // GIR_Coverage, 50391,
     /* 2349808 */     GIR_EraseRootFromParent_Done,
     /* 2349809 */   // Label 32971: @2349809
     /* 2349809 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2349854), // Rule ID 50392 //
     /* 2349814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349817 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2349834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349853 */     // GIR_Coverage, 50392,
     /* 2349853 */     GIR_EraseRootFromParent_Done,
     /* 2349854 */   // Label 32972: @2349854
     /* 2349854 */   GIM_Reject,
     /* 2349855 */ // Label 32970: @2349855
     /* 2349855 */ GIM_Reject,
     /* 2349856 */ // Label 32938: @2349856
     /* 2349856 */ GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2349970),
     /* 2349861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2349864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2349867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349879 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2349924), // Rule ID 50407 //
     /* 2349884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349887 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349923 */     // GIR_Coverage, 50407,
     /* 2349923 */     GIR_EraseRootFromParent_Done,
     /* 2349924 */   // Label 32974: @2349924
     /* 2349924 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2349969), // Rule ID 50408 //
     /* 2349929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349932 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2349935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349968 */     // GIR_Coverage, 50408,
     /* 2349968 */     GIR_EraseRootFromParent_Done,
     /* 2349969 */   // Label 32975: @2349969
     /* 2349969 */   GIM_Reject,
     /* 2349970 */ // Label 32973: @2349970
     /* 2349970 */ GIM_Reject,
     /* 2349971 */ // Label 32939: @2349971
     /* 2349971 */ GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2350085),
     /* 2349976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2349979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2349982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349994 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2350039), // Rule ID 50375 //
     /* 2349999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350002 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350038 */     // GIR_Coverage, 50375,
     /* 2350038 */     GIR_EraseRootFromParent_Done,
     /* 2350039 */   // Label 32977: @2350039
     /* 2350039 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2350084), // Rule ID 50376 //
     /* 2350044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350047 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2350064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350083 */     // GIR_Coverage, 50376,
     /* 2350083 */     GIR_EraseRootFromParent_Done,
     /* 2350084 */   // Label 32978: @2350084
     /* 2350084 */   GIM_Reject,
     /* 2350085 */ // Label 32976: @2350085
     /* 2350085 */ GIM_Reject,
     /* 2350086 */ // Label 32940: @2350086
     /* 2350086 */ GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2350200),
     /* 2350091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2350097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350109 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2350154), // Rule ID 50387 //
     /* 2350114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350117 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350153 */     // GIR_Coverage, 50387,
     /* 2350153 */     GIR_EraseRootFromParent_Done,
     /* 2350154 */   // Label 32980: @2350154
     /* 2350154 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2350199), // Rule ID 50388 //
     /* 2350159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350162 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350198 */     // GIR_Coverage, 50388,
     /* 2350198 */     GIR_EraseRootFromParent_Done,
     /* 2350199 */   // Label 32981: @2350199
     /* 2350199 */   GIM_Reject,
     /* 2350200 */ // Label 32979: @2350200
     /* 2350200 */ GIM_Reject,
     /* 2350201 */ // Label 32941: @2350201
     /* 2350201 */ GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2350315),
     /* 2350206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2350212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350224 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2350269), // Rule ID 50403 //
     /* 2350229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350232 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350268 */     // GIR_Coverage, 50403,
     /* 2350268 */     GIR_EraseRootFromParent_Done,
     /* 2350269 */   // Label 32983: @2350269
     /* 2350269 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2350314), // Rule ID 50404 //
     /* 2350274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350277 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350313 */     // GIR_Coverage, 50404,
     /* 2350313 */     GIR_EraseRootFromParent_Done,
     /* 2350314 */   // Label 32984: @2350314
     /* 2350314 */   GIM_Reject,
     /* 2350315 */ // Label 32982: @2350315
     /* 2350315 */ GIM_Reject,
     /* 2350316 */ // Label 32942: @2350316
     /* 2350316 */ GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2350430),
     /* 2350321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2350327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350339 */   GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2350384), // Rule ID 50447 //
     /* 2350344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350347 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350383 */     // GIR_Coverage, 50447,
     /* 2350383 */     GIR_EraseRootFromParent_Done,
     /* 2350384 */   // Label 32986: @2350384
     /* 2350384 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2350429), // Rule ID 50448 //
     /* 2350389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350392 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350428 */     // GIR_Coverage, 50448,
     /* 2350428 */     GIR_EraseRootFromParent_Done,
     /* 2350429 */   // Label 32987: @2350429
     /* 2350429 */   GIM_Reject,
     /* 2350430 */ // Label 32985: @2350430
     /* 2350430 */ GIM_Reject,
     /* 2350431 */ // Label 32943: @2350431
     /* 2350431 */ GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2350545),
     /* 2350436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2350439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350454 */   GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2350499), // Rule ID 50379 //
     /* 2350459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350462 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350498 */     // GIR_Coverage, 50379,
     /* 2350498 */     GIR_EraseRootFromParent_Done,
     /* 2350499 */   // Label 32989: @2350499
     /* 2350499 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2350544), // Rule ID 50380 //
     /* 2350504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350507 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2350524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350543 */     // GIR_Coverage, 50380,
     /* 2350543 */     GIR_EraseRootFromParent_Done,
     /* 2350544 */   // Label 32990: @2350544
     /* 2350544 */   GIM_Reject,
     /* 2350545 */ // Label 32988: @2350545
     /* 2350545 */ GIM_Reject,
     /* 2350546 */ // Label 32944: @2350546
     /* 2350546 */ GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2350660),
     /* 2350551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350569 */   GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2350614), // Rule ID 50399 //
     /* 2350574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350577 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350613 */     // GIR_Coverage, 50399,
     /* 2350613 */     GIR_EraseRootFromParent_Done,
     /* 2350614 */   // Label 32992: @2350614
     /* 2350614 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2350659), // Rule ID 50400 //
     /* 2350619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350622 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350658 */     // GIR_Coverage, 50400,
     /* 2350658 */     GIR_EraseRootFromParent_Done,
     /* 2350659 */   // Label 32993: @2350659
     /* 2350659 */   GIM_Reject,
     /* 2350660 */ // Label 32991: @2350660
     /* 2350660 */ GIM_Reject,
     /* 2350661 */ // Label 32945: @2350661
     /* 2350661 */ GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2350775),
     /* 2350666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2350669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350684 */   GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2350729), // Rule ID 50435 //
     /* 2350689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350692 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350728 */     // GIR_Coverage, 50435,
     /* 2350728 */     GIR_EraseRootFromParent_Done,
     /* 2350729 */   // Label 32995: @2350729
     /* 2350729 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2350774), // Rule ID 50436 //
     /* 2350734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350737 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2350754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350773 */     // GIR_Coverage, 50436,
     /* 2350773 */     GIR_EraseRootFromParent_Done,
     /* 2350774 */   // Label 32996: @2350774
     /* 2350774 */   GIM_Reject,
     /* 2350775 */ // Label 32994: @2350775
     /* 2350775 */ GIM_Reject,
     /* 2350776 */ // Label 32946: @2350776
     /* 2350776 */ GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2350890),
     /* 2350781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2350784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350799 */   GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2350844), // Rule ID 50451 //
     /* 2350804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350807 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350843 */     // GIR_Coverage, 50451,
     /* 2350843 */     GIR_EraseRootFromParent_Done,
     /* 2350844 */   // Label 32998: @2350844
     /* 2350844 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2350889), // Rule ID 50452 //
     /* 2350849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350852 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350888 */     // GIR_Coverage, 50452,
     /* 2350888 */     GIR_EraseRootFromParent_Done,
     /* 2350889 */   // Label 32999: @2350889
     /* 2350889 */   GIM_Reject,
     /* 2350890 */ // Label 32997: @2350890
     /* 2350890 */ GIM_Reject,
     /* 2350891 */ // Label 32947: @2350891
     /* 2350891 */ GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2351005),
     /* 2350896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2350899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2350902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350914 */   GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2350959), // Rule ID 50395 //
     /* 2350919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350922 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2350925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350958 */     // GIR_Coverage, 50395,
     /* 2350958 */     GIR_EraseRootFromParent_Done,
     /* 2350959 */   // Label 33001: @2350959
     /* 2350959 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2351004), // Rule ID 50396 //
     /* 2350964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350967 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2350970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2350984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351003 */     // GIR_Coverage, 50396,
     /* 2351003 */     GIR_EraseRootFromParent_Done,
     /* 2351004 */   // Label 33002: @2351004
     /* 2351004 */   GIM_Reject,
     /* 2351005 */ // Label 33000: @2351005
     /* 2351005 */ GIM_Reject,
     /* 2351006 */ // Label 32948: @2351006
     /* 2351006 */ GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2351120),
     /* 2351011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351029 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2351074), // Rule ID 50423 //
     /* 2351034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351037 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351073 */     // GIR_Coverage, 50423,
     /* 2351073 */     GIR_EraseRootFromParent_Done,
     /* 2351074 */   // Label 33004: @2351074
     /* 2351074 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2351119), // Rule ID 50424 //
     /* 2351079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351082 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351118 */     // GIR_Coverage, 50424,
     /* 2351118 */     GIR_EraseRootFromParent_Done,
     /* 2351119 */   // Label 33005: @2351119
     /* 2351119 */   GIM_Reject,
     /* 2351120 */ // Label 33003: @2351120
     /* 2351120 */ GIM_Reject,
     /* 2351121 */ // Label 32949: @2351121
     /* 2351121 */ GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2351235),
     /* 2351126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351144 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2351189), // Rule ID 50439 //
     /* 2351149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351152 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351188 */     // GIR_Coverage, 50439,
     /* 2351188 */     GIR_EraseRootFromParent_Done,
     /* 2351189 */   // Label 33007: @2351189
     /* 2351189 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2351234), // Rule ID 50440 //
     /* 2351194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351197 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351233 */     // GIR_Coverage, 50440,
     /* 2351233 */     GIR_EraseRootFromParent_Done,
     /* 2351234 */   // Label 33008: @2351234
     /* 2351234 */   GIM_Reject,
     /* 2351235 */ // Label 33006: @2351235
     /* 2351235 */ GIM_Reject,
     /* 2351236 */ // Label 32950: @2351236
     /* 2351236 */ GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2351350),
     /* 2351241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351259 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2351304), // Rule ID 50455 //
     /* 2351264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351267 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351303 */     // GIR_Coverage, 50455,
     /* 2351303 */     GIR_EraseRootFromParent_Done,
     /* 2351304 */   // Label 33010: @2351304
     /* 2351304 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2351349), // Rule ID 50456 //
     /* 2351309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351312 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351348 */     // GIR_Coverage, 50456,
     /* 2351348 */     GIR_EraseRootFromParent_Done,
     /* 2351349 */   // Label 33011: @2351349
     /* 2351349 */   GIM_Reject,
     /* 2351350 */ // Label 33009: @2351350
     /* 2351350 */ GIM_Reject,
     /* 2351351 */ // Label 32951: @2351351
     /* 2351351 */ GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2351465),
     /* 2351356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2351359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2351362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351374 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2351419), // Rule ID 50411 //
     /* 2351379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351382 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351418 */     // GIR_Coverage, 50411,
     /* 2351418 */     GIR_EraseRootFromParent_Done,
     /* 2351419 */   // Label 33013: @2351419
     /* 2351419 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2351464), // Rule ID 50412 //
     /* 2351424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351427 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2351444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351463 */     // GIR_Coverage, 50412,
     /* 2351463 */     GIR_EraseRootFromParent_Done,
     /* 2351464 */   // Label 33014: @2351464
     /* 2351464 */   GIM_Reject,
     /* 2351465 */ // Label 33012: @2351465
     /* 2351465 */ GIM_Reject,
     /* 2351466 */ // Label 32952: @2351466
     /* 2351466 */ GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2351580),
     /* 2351471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2351477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351489 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2351534), // Rule ID 50427 //
     /* 2351494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351497 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351533 */     // GIR_Coverage, 50427,
     /* 2351533 */     GIR_EraseRootFromParent_Done,
     /* 2351534 */   // Label 33016: @2351534
     /* 2351534 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2351579), // Rule ID 50428 //
     /* 2351539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351542 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351578 */     // GIR_Coverage, 50428,
     /* 2351578 */     GIR_EraseRootFromParent_Done,
     /* 2351579 */   // Label 33017: @2351579
     /* 2351579 */   GIM_Reject,
     /* 2351580 */ // Label 33015: @2351580
     /* 2351580 */ GIM_Reject,
     /* 2351581 */ // Label 32953: @2351581
     /* 2351581 */ GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2351695),
     /* 2351586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2351589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2351592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351604 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2351649), // Rule ID 50443 //
     /* 2351609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351612 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351648 */     // GIR_Coverage, 50443,
     /* 2351648 */     GIR_EraseRootFromParent_Done,
     /* 2351649 */   // Label 33019: @2351649
     /* 2351649 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2351694), // Rule ID 50444 //
     /* 2351654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351657 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351693 */     // GIR_Coverage, 50444,
     /* 2351693 */     GIR_EraseRootFromParent_Done,
     /* 2351694 */   // Label 33020: @2351694
     /* 2351694 */   GIM_Reject,
     /* 2351695 */ // Label 33018: @2351695
     /* 2351695 */ GIM_Reject,
     /* 2351696 */ // Label 32954: @2351696
     /* 2351696 */ GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2351810),
     /* 2351701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2351704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2351707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351719 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2351764), // Rule ID 50415 //
     /* 2351724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351727 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351763 */     // GIR_Coverage, 50415,
     /* 2351763 */     GIR_EraseRootFromParent_Done,
     /* 2351764 */   // Label 33022: @2351764
     /* 2351764 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2351809), // Rule ID 50416 //
     /* 2351769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351772 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2351789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351808 */     // GIR_Coverage, 50416,
     /* 2351808 */     GIR_EraseRootFromParent_Done,
     /* 2351809 */   // Label 33023: @2351809
     /* 2351809 */   GIM_Reject,
     /* 2351810 */ // Label 33021: @2351810
     /* 2351810 */ GIM_Reject,
     /* 2351811 */ // Label 32955: @2351811
     /* 2351811 */ GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2351925),
     /* 2351816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2351819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2351822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351834 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2351879), // Rule ID 50431 //
     /* 2351839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351842 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351878 */     // GIR_Coverage, 50431,
     /* 2351878 */     GIR_EraseRootFromParent_Done,
     /* 2351879 */   // Label 33025: @2351879
     /* 2351879 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2351924), // Rule ID 50432 //
     /* 2351884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351887 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351923 */     // GIR_Coverage, 50432,
     /* 2351923 */     GIR_EraseRootFromParent_Done,
     /* 2351924 */   // Label 33026: @2351924
     /* 2351924 */   GIM_Reject,
     /* 2351925 */ // Label 33024: @2351925
     /* 2351925 */ GIM_Reject,
     /* 2351926 */ // Label 32956: @2351926
     /* 2351926 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2352040),
     /* 2351931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2351934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2351937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351949 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2351994), // Rule ID 50419 //
     /* 2351954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351957 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2351960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2351974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351993 */     // GIR_Coverage, 50419,
     /* 2351993 */     GIR_EraseRootFromParent_Done,
     /* 2351994 */   // Label 33028: @2351994
     /* 2351994 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2352039), // Rule ID 50420 //
     /* 2351999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352002 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2352005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2352019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352038 */     // GIR_Coverage, 50420,
     /* 2352038 */     GIR_EraseRootFromParent_Done,
     /* 2352039 */   // Label 33029: @2352039
     /* 2352039 */   GIM_Reject,
     /* 2352040 */ // Label 33027: @2352040
     /* 2352040 */ GIM_Reject,
     /* 2352041 */ // Label 32957: @2352041
     /* 2352041 */ GIM_Reject,
     /* 2352042 */ // Label 81: @2352042
     /* 2352042 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33054*/ GIMT_Encode4(2354817),
     /* 2352053 */ /*GILLT_s32*//*Label 33030*/ GIMT_Encode4(2352177),
     /* 2352057 */ /*GILLT_s64*//*Label 33031*/ GIMT_Encode4(2352232), GIMT_Encode4(0),
     /* 2352065 */ /*GILLT_nxv1s8*//*Label 33032*/ GIMT_Encode4(2352287),
     /* 2352069 */ /*GILLT_nxv1s16*//*Label 33033*/ GIMT_Encode4(2352402),
     /* 2352073 */ /*GILLT_nxv1s32*//*Label 33034*/ GIMT_Encode4(2352517),
     /* 2352077 */ /*GILLT_nxv1s64*//*Label 33035*/ GIMT_Encode4(2352632), GIMT_Encode4(0),
     /* 2352085 */ /*GILLT_nxv2s8*//*Label 33036*/ GIMT_Encode4(2352747),
     /* 2352089 */ /*GILLT_nxv2s16*//*Label 33037*/ GIMT_Encode4(2352862),
     /* 2352093 */ /*GILLT_nxv2s32*//*Label 33038*/ GIMT_Encode4(2352977),
     /* 2352097 */ /*GILLT_nxv2s64*//*Label 33039*/ GIMT_Encode4(2353092), GIMT_Encode4(0),
     /* 2352105 */ /*GILLT_nxv4s8*//*Label 33040*/ GIMT_Encode4(2353207),
     /* 2352109 */ /*GILLT_nxv4s16*//*Label 33041*/ GIMT_Encode4(2353322),
     /* 2352113 */ /*GILLT_nxv4s32*//*Label 33042*/ GIMT_Encode4(2353437),
     /* 2352117 */ /*GILLT_nxv4s64*//*Label 33043*/ GIMT_Encode4(2353552), GIMT_Encode4(0),
     /* 2352125 */ /*GILLT_nxv8s8*//*Label 33044*/ GIMT_Encode4(2353667),
     /* 2352129 */ /*GILLT_nxv8s16*//*Label 33045*/ GIMT_Encode4(2353782),
     /* 2352133 */ /*GILLT_nxv8s32*//*Label 33046*/ GIMT_Encode4(2353897),
     /* 2352137 */ /*GILLT_nxv8s64*//*Label 33047*/ GIMT_Encode4(2354012), GIMT_Encode4(0),
     /* 2352145 */ /*GILLT_nxv16s8*//*Label 33048*/ GIMT_Encode4(2354127),
     /* 2352149 */ /*GILLT_nxv16s16*//*Label 33049*/ GIMT_Encode4(2354242),
     /* 2352153 */ /*GILLT_nxv16s32*//*Label 33050*/ GIMT_Encode4(2354357), GIMT_Encode4(0),
     /* 2352161 */ /*GILLT_nxv32s8*//*Label 33051*/ GIMT_Encode4(2354472),
     /* 2352165 */ /*GILLT_nxv32s16*//*Label 33052*/ GIMT_Encode4(2354587), GIMT_Encode4(0),
     /* 2352173 */ /*GILLT_nxv64s8*//*Label 33053*/ GIMT_Encode4(2354702),
     /* 2352177 */ // Label 33030: @2352177
     /* 2352177 */ GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2352231),
     /* 2352182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352200 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2352215), // Rule ID 64194 //
     /* 2352205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2352208 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352214 */     // GIR_Coverage, 64194,
     /* 2352214 */     GIR_Done,
     /* 2352215 */   // Label 33056: @2352215
     /* 2352215 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2352230), // Rule ID 2418 //
     /* 2352220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352223 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352229 */     // GIR_Coverage, 2418,
     /* 2352229 */     GIR_Done,
     /* 2352230 */   // Label 33057: @2352230
     /* 2352230 */   GIM_Reject,
     /* 2352231 */ // Label 33055: @2352231
     /* 2352231 */ GIM_Reject,
     /* 2352232 */ // Label 33031: @2352232
     /* 2352232 */ GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2352286),
     /* 2352237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352255 */   GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2352270), // Rule ID 64193 //
     /* 2352260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2352263 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2352268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352269 */     // GIR_Coverage, 64193,
     /* 2352269 */     GIR_Done,
     /* 2352270 */   // Label 33059: @2352270
     /* 2352270 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2352285), // Rule ID 2417 //
     /* 2352275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352278 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2352283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352284 */     // GIR_Coverage, 2417,
     /* 2352284 */     GIR_Done,
     /* 2352285 */   // Label 33060: @2352285
     /* 2352285 */   GIM_Reject,
     /* 2352286 */ // Label 33058: @2352286
     /* 2352286 */ GIM_Reject,
     /* 2352287 */ // Label 33032: @2352287
     /* 2352287 */ GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2352401),
     /* 2352292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2352298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352310 */   GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2352355), // Rule ID 50547 //
     /* 2352315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352318 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352354 */     // GIR_Coverage, 50547,
     /* 2352354 */     GIR_EraseRootFromParent_Done,
     /* 2352355 */   // Label 33062: @2352355
     /* 2352355 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2352400), // Rule ID 50548 //
     /* 2352360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352363 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2352380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352399 */     // GIR_Coverage, 50548,
     /* 2352399 */     GIR_EraseRootFromParent_Done,
     /* 2352400 */   // Label 33063: @2352400
     /* 2352400 */   GIM_Reject,
     /* 2352401 */ // Label 33061: @2352401
     /* 2352401 */ GIM_Reject,
     /* 2352402 */ // Label 33033: @2352402
     /* 2352402 */ GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2352516),
     /* 2352407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352425 */   GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2352470), // Rule ID 50559 //
     /* 2352430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352433 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352469 */     // GIR_Coverage, 50559,
     /* 2352469 */     GIR_EraseRootFromParent_Done,
     /* 2352470 */   // Label 33065: @2352470
     /* 2352470 */   GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2352515), // Rule ID 50560 //
     /* 2352475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352478 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352514 */     // GIR_Coverage, 50560,
     /* 2352514 */     GIR_EraseRootFromParent_Done,
     /* 2352515 */   // Label 33066: @2352515
     /* 2352515 */   GIM_Reject,
     /* 2352516 */ // Label 33064: @2352516
     /* 2352516 */ GIM_Reject,
     /* 2352517 */ // Label 33034: @2352517
     /* 2352517 */ GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2352631),
     /* 2352522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352540 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2352585), // Rule ID 50567 //
     /* 2352545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352548 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352584 */     // GIR_Coverage, 50567,
     /* 2352584 */     GIR_EraseRootFromParent_Done,
     /* 2352585 */   // Label 33068: @2352585
     /* 2352585 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2352630), // Rule ID 50568 //
     /* 2352590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352593 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352629 */     // GIR_Coverage, 50568,
     /* 2352629 */     GIR_EraseRootFromParent_Done,
     /* 2352630 */   // Label 33069: @2352630
     /* 2352630 */   GIM_Reject,
     /* 2352631 */ // Label 33067: @2352631
     /* 2352631 */ GIM_Reject,
     /* 2352632 */ // Label 33035: @2352632
     /* 2352632 */ GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2352746),
     /* 2352637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2352640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2352643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352655 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2352700), // Rule ID 50583 //
     /* 2352660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352663 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352699 */     // GIR_Coverage, 50583,
     /* 2352699 */     GIR_EraseRootFromParent_Done,
     /* 2352700 */   // Label 33071: @2352700
     /* 2352700 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2352745), // Rule ID 50584 //
     /* 2352705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352708 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352744 */     // GIR_Coverage, 50584,
     /* 2352744 */     GIR_EraseRootFromParent_Done,
     /* 2352745 */   // Label 33072: @2352745
     /* 2352745 */   GIM_Reject,
     /* 2352746 */ // Label 33070: @2352746
     /* 2352746 */ GIM_Reject,
     /* 2352747 */ // Label 33036: @2352747
     /* 2352747 */ GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2352861),
     /* 2352752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2352755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2352758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352770 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2352815), // Rule ID 50551 //
     /* 2352775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352778 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352814 */     // GIR_Coverage, 50551,
     /* 2352814 */     GIR_EraseRootFromParent_Done,
     /* 2352815 */   // Label 33074: @2352815
     /* 2352815 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2352860), // Rule ID 50552 //
     /* 2352820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352823 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2352840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352859 */     // GIR_Coverage, 50552,
     /* 2352859 */     GIR_EraseRootFromParent_Done,
     /* 2352860 */   // Label 33075: @2352860
     /* 2352860 */   GIM_Reject,
     /* 2352861 */ // Label 33073: @2352861
     /* 2352861 */ GIM_Reject,
     /* 2352862 */ // Label 33037: @2352862
     /* 2352862 */ GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2352976),
     /* 2352867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2352870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2352873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352885 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2352930), // Rule ID 50563 //
     /* 2352890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352893 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352929 */     // GIR_Coverage, 50563,
     /* 2352929 */     GIR_EraseRootFromParent_Done,
     /* 2352930 */   // Label 33077: @2352930
     /* 2352930 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2352975), // Rule ID 50564 //
     /* 2352935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352938 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2352955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352974 */     // GIR_Coverage, 50564,
     /* 2352974 */     GIR_EraseRootFromParent_Done,
     /* 2352975 */   // Label 33078: @2352975
     /* 2352975 */   GIM_Reject,
     /* 2352976 */ // Label 33076: @2352976
     /* 2352976 */ GIM_Reject,
     /* 2352977 */ // Label 33038: @2352977
     /* 2352977 */ GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2353091),
     /* 2352982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2352985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2352988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353000 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2353045), // Rule ID 50579 //
     /* 2353005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353008 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353044 */     // GIR_Coverage, 50579,
     /* 2353044 */     GIR_EraseRootFromParent_Done,
     /* 2353045 */   // Label 33080: @2353045
     /* 2353045 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2353090), // Rule ID 50580 //
     /* 2353050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353053 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353089 */     // GIR_Coverage, 50580,
     /* 2353089 */     GIR_EraseRootFromParent_Done,
     /* 2353090 */   // Label 33081: @2353090
     /* 2353090 */   GIM_Reject,
     /* 2353091 */ // Label 33079: @2353091
     /* 2353091 */ GIM_Reject,
     /* 2353092 */ // Label 33039: @2353092
     /* 2353092 */ GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2353206),
     /* 2353097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353115 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2353160), // Rule ID 50623 //
     /* 2353120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353123 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353159 */     // GIR_Coverage, 50623,
     /* 2353159 */     GIR_EraseRootFromParent_Done,
     /* 2353160 */   // Label 33083: @2353160
     /* 2353160 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2353205), // Rule ID 50624 //
     /* 2353165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353168 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353204 */     // GIR_Coverage, 50624,
     /* 2353204 */     GIR_EraseRootFromParent_Done,
     /* 2353205 */   // Label 33084: @2353205
     /* 2353205 */   GIM_Reject,
     /* 2353206 */ // Label 33082: @2353206
     /* 2353206 */ GIM_Reject,
     /* 2353207 */ // Label 33040: @2353207
     /* 2353207 */ GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2353321),
     /* 2353212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2353218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353230 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2353275), // Rule ID 50555 //
     /* 2353235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353238 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353274 */     // GIR_Coverage, 50555,
     /* 2353274 */     GIR_EraseRootFromParent_Done,
     /* 2353275 */   // Label 33086: @2353275
     /* 2353275 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2353320), // Rule ID 50556 //
     /* 2353280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353283 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2353300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353319 */     // GIR_Coverage, 50556,
     /* 2353319 */     GIR_EraseRootFromParent_Done,
     /* 2353320 */   // Label 33087: @2353320
     /* 2353320 */   GIM_Reject,
     /* 2353321 */ // Label 33085: @2353321
     /* 2353321 */ GIM_Reject,
     /* 2353322 */ // Label 33041: @2353322
     /* 2353322 */ GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2353436),
     /* 2353327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2353333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353345 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2353390), // Rule ID 50575 //
     /* 2353350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353353 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353389 */     // GIR_Coverage, 50575,
     /* 2353389 */     GIR_EraseRootFromParent_Done,
     /* 2353390 */   // Label 33089: @2353390
     /* 2353390 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2353435), // Rule ID 50576 //
     /* 2353395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353398 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353434 */     // GIR_Coverage, 50576,
     /* 2353434 */     GIR_EraseRootFromParent_Done,
     /* 2353435 */   // Label 33090: @2353435
     /* 2353435 */   GIM_Reject,
     /* 2353436 */ // Label 33088: @2353436
     /* 2353436 */ GIM_Reject,
     /* 2353437 */ // Label 33042: @2353437
     /* 2353437 */ GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2353551),
     /* 2353442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2353448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353460 */   GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2353505), // Rule ID 50611 //
     /* 2353465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353468 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353504 */     // GIR_Coverage, 50611,
     /* 2353504 */     GIR_EraseRootFromParent_Done,
     /* 2353505 */   // Label 33092: @2353505
     /* 2353505 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2353550), // Rule ID 50612 //
     /* 2353510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353513 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353549 */     // GIR_Coverage, 50612,
     /* 2353549 */     GIR_EraseRootFromParent_Done,
     /* 2353550 */   // Label 33093: @2353550
     /* 2353550 */   GIM_Reject,
     /* 2353551 */ // Label 33091: @2353551
     /* 2353551 */ GIM_Reject,
     /* 2353552 */ // Label 33043: @2353552
     /* 2353552 */ GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2353666),
     /* 2353557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2353563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353575 */   GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2353620), // Rule ID 50627 //
     /* 2353580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353583 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353619 */     // GIR_Coverage, 50627,
     /* 2353619 */     GIR_EraseRootFromParent_Done,
     /* 2353620 */   // Label 33095: @2353620
     /* 2353620 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2353665), // Rule ID 50628 //
     /* 2353625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353628 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353664 */     // GIR_Coverage, 50628,
     /* 2353664 */     GIR_EraseRootFromParent_Done,
     /* 2353665 */   // Label 33096: @2353665
     /* 2353665 */   GIM_Reject,
     /* 2353666 */ // Label 33094: @2353666
     /* 2353666 */ GIM_Reject,
     /* 2353667 */ // Label 33044: @2353667
     /* 2353667 */ GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2353781),
     /* 2353672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2353675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353690 */   GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2353735), // Rule ID 50571 //
     /* 2353695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353698 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353734 */     // GIR_Coverage, 50571,
     /* 2353734 */     GIR_EraseRootFromParent_Done,
     /* 2353735 */   // Label 33098: @2353735
     /* 2353735 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2353780), // Rule ID 50572 //
     /* 2353740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353743 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2353760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353779 */     // GIR_Coverage, 50572,
     /* 2353779 */     GIR_EraseRootFromParent_Done,
     /* 2353780 */   // Label 33099: @2353780
     /* 2353780 */   GIM_Reject,
     /* 2353781 */ // Label 33097: @2353781
     /* 2353781 */ GIM_Reject,
     /* 2353782 */ // Label 33045: @2353782
     /* 2353782 */ GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2353896),
     /* 2353787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2353790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353805 */   GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2353850), // Rule ID 50599 //
     /* 2353810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353813 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353849 */     // GIR_Coverage, 50599,
     /* 2353849 */     GIR_EraseRootFromParent_Done,
     /* 2353850 */   // Label 33101: @2353850
     /* 2353850 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2353895), // Rule ID 50600 //
     /* 2353855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353858 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2353875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353894 */     // GIR_Coverage, 50600,
     /* 2353894 */     GIR_EraseRootFromParent_Done,
     /* 2353895 */   // Label 33102: @2353895
     /* 2353895 */   GIM_Reject,
     /* 2353896 */ // Label 33100: @2353896
     /* 2353896 */ GIM_Reject,
     /* 2353897 */ // Label 33046: @2353897
     /* 2353897 */ GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2354011),
     /* 2353902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2353905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353920 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2353965), // Rule ID 50615 //
     /* 2353925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353928 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2353931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353964 */     // GIR_Coverage, 50615,
     /* 2353964 */     GIR_EraseRootFromParent_Done,
     /* 2353965 */   // Label 33104: @2353965
     /* 2353965 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2354010), // Rule ID 50616 //
     /* 2353970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353973 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2353976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2353990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354009 */     // GIR_Coverage, 50616,
     /* 2354009 */     GIR_EraseRootFromParent_Done,
     /* 2354010 */   // Label 33105: @2354010
     /* 2354010 */   GIM_Reject,
     /* 2354011 */ // Label 33103: @2354011
     /* 2354011 */ GIM_Reject,
     /* 2354012 */ // Label 33047: @2354012
     /* 2354012 */ GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2354126),
     /* 2354017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354035 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2354080), // Rule ID 50631 //
     /* 2354040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354043 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354079 */     // GIR_Coverage, 50631,
     /* 2354079 */     GIR_EraseRootFromParent_Done,
     /* 2354080 */   // Label 33107: @2354080
     /* 2354080 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2354125), // Rule ID 50632 //
     /* 2354085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354088 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354124 */     // GIR_Coverage, 50632,
     /* 2354124 */     GIR_EraseRootFromParent_Done,
     /* 2354125 */   // Label 33108: @2354125
     /* 2354125 */   GIM_Reject,
     /* 2354126 */ // Label 33106: @2354126
     /* 2354126 */ GIM_Reject,
     /* 2354127 */ // Label 33048: @2354127
     /* 2354127 */ GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2354241),
     /* 2354132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2354138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354150 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2354195), // Rule ID 50587 //
     /* 2354155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354158 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354194 */     // GIR_Coverage, 50587,
     /* 2354194 */     GIR_EraseRootFromParent_Done,
     /* 2354195 */   // Label 33110: @2354195
     /* 2354195 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2354240), // Rule ID 50588 //
     /* 2354200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354203 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2354220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354239 */     // GIR_Coverage, 50588,
     /* 2354239 */     GIR_EraseRootFromParent_Done,
     /* 2354240 */   // Label 33111: @2354240
     /* 2354240 */   GIM_Reject,
     /* 2354241 */ // Label 33109: @2354241
     /* 2354241 */ GIM_Reject,
     /* 2354242 */ // Label 33049: @2354242
     /* 2354242 */ GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2354356),
     /* 2354247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354265 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2354310), // Rule ID 50603 //
     /* 2354270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354273 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354309 */     // GIR_Coverage, 50603,
     /* 2354309 */     GIR_EraseRootFromParent_Done,
     /* 2354310 */   // Label 33113: @2354310
     /* 2354310 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2354355), // Rule ID 50604 //
     /* 2354315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354318 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354354 */     // GIR_Coverage, 50604,
     /* 2354354 */     GIR_EraseRootFromParent_Done,
     /* 2354355 */   // Label 33114: @2354355
     /* 2354355 */   GIM_Reject,
     /* 2354356 */ // Label 33112: @2354356
     /* 2354356 */ GIM_Reject,
     /* 2354357 */ // Label 33050: @2354357
     /* 2354357 */ GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2354471),
     /* 2354362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2354368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354380 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2354425), // Rule ID 50619 //
     /* 2354385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354388 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354424 */     // GIR_Coverage, 50619,
     /* 2354424 */     GIR_EraseRootFromParent_Done,
     /* 2354425 */   // Label 33116: @2354425
     /* 2354425 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2354470), // Rule ID 50620 //
     /* 2354430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354433 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354469 */     // GIR_Coverage, 50620,
     /* 2354469 */     GIR_EraseRootFromParent_Done,
     /* 2354470 */   // Label 33117: @2354470
     /* 2354470 */   GIM_Reject,
     /* 2354471 */ // Label 33115: @2354471
     /* 2354471 */ GIM_Reject,
     /* 2354472 */ // Label 33051: @2354472
     /* 2354472 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2354586),
     /* 2354477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2354483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354495 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2354540), // Rule ID 50591 //
     /* 2354500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354503 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354539 */     // GIR_Coverage, 50591,
     /* 2354539 */     GIR_EraseRootFromParent_Done,
     /* 2354540 */   // Label 33119: @2354540
     /* 2354540 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2354585), // Rule ID 50592 //
     /* 2354545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354548 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2354565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354584 */     // GIR_Coverage, 50592,
     /* 2354584 */     GIR_EraseRootFromParent_Done,
     /* 2354585 */   // Label 33120: @2354585
     /* 2354585 */   GIM_Reject,
     /* 2354586 */ // Label 33118: @2354586
     /* 2354586 */ GIM_Reject,
     /* 2354587 */ // Label 33052: @2354587
     /* 2354587 */ GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2354701),
     /* 2354592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2354595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2354598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354610 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2354655), // Rule ID 50607 //
     /* 2354615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354618 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354654 */     // GIR_Coverage, 50607,
     /* 2354654 */     GIR_EraseRootFromParent_Done,
     /* 2354655 */   // Label 33122: @2354655
     /* 2354655 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2354700), // Rule ID 50608 //
     /* 2354660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354663 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354699 */     // GIR_Coverage, 50608,
     /* 2354699 */     GIR_EraseRootFromParent_Done,
     /* 2354700 */   // Label 33123: @2354700
     /* 2354700 */   GIM_Reject,
     /* 2354701 */ // Label 33121: @2354701
     /* 2354701 */ GIM_Reject,
     /* 2354702 */ // Label 33053: @2354702
     /* 2354702 */ GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2354816),
     /* 2354707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2354710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2354713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354725 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2354770), // Rule ID 50595 //
     /* 2354730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354733 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354769 */     // GIR_Coverage, 50595,
     /* 2354769 */     GIR_EraseRootFromParent_Done,
     /* 2354770 */   // Label 33125: @2354770
     /* 2354770 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2354815), // Rule ID 50596 //
     /* 2354775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354778 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2354795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354814 */     // GIR_Coverage, 50596,
     /* 2354814 */     GIR_EraseRootFromParent_Done,
     /* 2354815 */   // Label 33126: @2354815
     /* 2354815 */   GIM_Reject,
     /* 2354816 */ // Label 33124: @2354816
     /* 2354816 */ GIM_Reject,
     /* 2354817 */ // Label 33054: @2354817
     /* 2354817 */ GIM_Reject,
     /* 2354818 */ // Label 82: @2354818
     /* 2354818 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33129*/ GIMT_Encode4(2354975),
     /* 2354829 */ /*GILLT_s32*//*Label 33127*/ GIMT_Encode4(2354837),
     /* 2354833 */ /*GILLT_s64*//*Label 33128*/ GIMT_Encode4(2354906),
     /* 2354837 */ // Label 33127: @2354837
     /* 2354837 */ GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2354905),
     /* 2354842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2354845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354853 */   GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2354868), // Rule ID 64182 //
     /* 2354858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2354861 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2354866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354867 */     // GIR_Coverage, 64182,
     /* 2354867 */     GIR_Done,
     /* 2354868 */   // Label 33131: @2354868
     /* 2354868 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2354904), // Rule ID 62236 //
     /* 2354873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2354876 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2354876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2354879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2354881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2354892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354903 */     // GIR_Coverage, 62236,
     /* 2354903 */     GIR_EraseRootFromParent_Done,
     /* 2354904 */   // Label 33132: @2354904
     /* 2354904 */   GIM_Reject,
     /* 2354905 */ // Label 33130: @2354905
     /* 2354905 */ GIM_Reject,
     /* 2354906 */ // Label 33128: @2354906
     /* 2354906 */ GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2354974),
     /* 2354911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2354914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354922 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2354937), // Rule ID 64181 //
     /* 2354927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2354930 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2354935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354936 */     // GIR_Coverage, 64181,
     /* 2354936 */     GIR_Done,
     /* 2354937 */   // Label 33134: @2354937
     /* 2354937 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2354973), // Rule ID 62235 //
     /* 2354942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2354945 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2354945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2354948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2354950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2354961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2354969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354972 */     // GIR_Coverage, 62235,
     /* 2354972 */     GIR_EraseRootFromParent_Done,
     /* 2354973 */   // Label 33135: @2354973
     /* 2354973 */   GIM_Reject,
     /* 2354974 */ // Label 33133: @2354974
     /* 2354974 */ GIM_Reject,
     /* 2354975 */ // Label 33129: @2354975
     /* 2354975 */ GIM_Reject,
     /* 2354976 */ // Label 83: @2354976
     /* 2354976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33138*/ GIMT_Encode4(2355555),
     /* 2354987 */ /*GILLT_s32*//*Label 33136*/ GIMT_Encode4(2354995),
     /* 2354991 */ /*GILLT_s64*//*Label 33137*/ GIMT_Encode4(2355368),
     /* 2354995 */ // Label 33136: @2354995
     /* 2354995 */ GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2355026), // Rule ID 1353 //
     /* 2355000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2355003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355014 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355025 */   // GIR_Coverage, 1353,
     /* 2355025 */   GIR_EraseRootFromParent_Done,
     /* 2355026 */ // Label 33139: @2355026
     /* 2355026 */ GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2355057), // Rule ID 1354 //
     /* 2355031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2355034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355045 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2355048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355056 */   // GIR_Coverage, 1354,
     /* 2355056 */   GIR_EraseRootFromParent_Done,
     /* 2355057 */ // Label 33140: @2355057
     /* 2355057 */ GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2355088), // Rule ID 1379 //
     /* 2355062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2355065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355076 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355087 */   // GIR_Coverage, 1379,
     /* 2355087 */   GIR_EraseRootFromParent_Done,
     /* 2355088 */ // Label 33141: @2355088
     /* 2355088 */ GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2355119), // Rule ID 1380 //
     /* 2355093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2355096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355107 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2355107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2355110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355118 */   // GIR_Coverage, 1380,
     /* 2355118 */   GIR_EraseRootFromParent_Done,
     /* 2355119 */ // Label 33142: @2355119
     /* 2355119 */ GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2355150), // Rule ID 1747 //
     /* 2355124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2355127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355138 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355149 */   // GIR_Coverage, 1747,
     /* 2355149 */   GIR_EraseRootFromParent_Done,
     /* 2355150 */ // Label 33143: @2355150
     /* 2355150 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2355181), // Rule ID 1748 //
     /* 2355155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2355158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355169 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2355172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355174 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355180 */   // GIR_Coverage, 1748,
     /* 2355180 */   GIR_EraseRootFromParent_Done,
     /* 2355181 */ // Label 33144: @2355181
     /* 2355181 */ GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2355212), // Rule ID 1773 //
     /* 2355186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2355189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355200 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355211 */   // GIR_Coverage, 1773,
     /* 2355211 */   GIR_EraseRootFromParent_Done,
     /* 2355212 */ // Label 33145: @2355212
     /* 2355212 */ GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2355243), // Rule ID 1774 //
     /* 2355217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2355220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2355231 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2355231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2355234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355242 */   // GIR_Coverage, 1774,
     /* 2355242 */   GIR_EraseRootFromParent_Done,
     /* 2355243 */ // Label 33146: @2355243
     /* 2355243 */ GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2355274), // Rule ID 2089 //
     /* 2355248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2355251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355262 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355267 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355273 */   // GIR_Coverage, 2089,
     /* 2355273 */   GIR_EraseRootFromParent_Done,
     /* 2355274 */ // Label 33147: @2355274
     /* 2355274 */ GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2355305), // Rule ID 2090 //
     /* 2355279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2355282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355293 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2355296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355304 */   // GIR_Coverage, 2090,
     /* 2355304 */   GIR_EraseRootFromParent_Done,
     /* 2355305 */ // Label 33148: @2355305
     /* 2355305 */ GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2355336), // Rule ID 2115 //
     /* 2355310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2355313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355324 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355335 */   // GIR_Coverage, 2115,
     /* 2355335 */   GIR_EraseRootFromParent_Done,
     /* 2355336 */ // Label 33149: @2355336
     /* 2355336 */ GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2355367), // Rule ID 2116 //
     /* 2355341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2355344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355355 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2355355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2355358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355366 */   // GIR_Coverage, 2116,
     /* 2355366 */   GIR_EraseRootFromParent_Done,
     /* 2355367 */ // Label 33150: @2355367
     /* 2355367 */ GIM_Reject,
     /* 2355368 */ // Label 33137: @2355368
     /* 2355368 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2355399), // Rule ID 1406 //
     /* 2355373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355387 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355398 */   // GIR_Coverage, 1406,
     /* 2355398 */   GIR_EraseRootFromParent_Done,
     /* 2355399 */ // Label 33151: @2355399
     /* 2355399 */ GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2355430), // Rule ID 1434 //
     /* 2355404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355418 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355423 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355429 */   // GIR_Coverage, 1434,
     /* 2355429 */   GIR_EraseRootFromParent_Done,
     /* 2355430 */ // Label 33152: @2355430
     /* 2355430 */ GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2355461), // Rule ID 1804 //
     /* 2355435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355449 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355454 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355460 */   // GIR_Coverage, 1804,
     /* 2355460 */   GIR_EraseRootFromParent_Done,
     /* 2355461 */ // Label 33153: @2355461
     /* 2355461 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2355492), // Rule ID 1832 //
     /* 2355466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355480 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355485 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355491 */   // GIR_Coverage, 1832,
     /* 2355491 */   GIR_EraseRootFromParent_Done,
     /* 2355492 */ // Label 33154: @2355492
     /* 2355492 */ GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2355523), // Rule ID 2140 //
     /* 2355497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355511 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355516 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355522 */   // GIR_Coverage, 2140,
     /* 2355522 */   GIR_EraseRootFromParent_Done,
     /* 2355523 */ // Label 33155: @2355523
     /* 2355523 */ GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2355554), // Rule ID 2166 //
     /* 2355528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2355534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355542 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355547 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355553 */   // GIR_Coverage, 2166,
     /* 2355553 */   GIR_EraseRootFromParent_Done,
     /* 2355554 */ // Label 33156: @2355554
     /* 2355554 */ GIM_Reject,
     /* 2355555 */ // Label 33138: @2355555
     /* 2355555 */ GIM_Reject,
     /* 2355556 */ // Label 84: @2355556
     /* 2355556 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2355765),
     /* 2355561 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2355564 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33161*/ GIMT_Encode4(2355764),
     /* 2355575 */   /*GILLT_s16*//*Label 33158*/ GIMT_Encode4(2355587),
     /* 2355579 */   /*GILLT_s32*//*Label 33159*/ GIMT_Encode4(2355646),
     /* 2355583 */   /*GILLT_s64*//*Label 33160*/ GIMT_Encode4(2355705),
     /* 2355587 */   // Label 33158: @2355587
     /* 2355587 */   GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2355645),
     /* 2355592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355596 */     GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2355620), // Rule ID 2142 //
     /* 2355601 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2355604 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2355608 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355608 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2355611 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355613 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355615 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355618 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355619 */       // GIR_Coverage, 2142,
     /* 2355619 */       GIR_EraseRootFromParent_Done,
     /* 2355620 */     // Label 33163: @2355620
     /* 2355620 */     GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2355644), // Rule ID 2168 //
     /* 2355625 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2355628 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2355632 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2355632 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2355635 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355637 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355639 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355642 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355643 */       // GIR_Coverage, 2168,
     /* 2355643 */       GIR_EraseRootFromParent_Done,
     /* 2355644 */     // Label 33164: @2355644
     /* 2355644 */     GIM_Reject,
     /* 2355645 */   // Label 33162: @2355645
     /* 2355645 */   GIM_Reject,
     /* 2355646 */   // Label 33159: @2355646
     /* 2355646 */   GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2355704),
     /* 2355651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355655 */     GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2355679), // Rule ID 1408 //
     /* 2355660 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2355663 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2355667 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355667 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2355670 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355672 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355674 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355677 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355678 */       // GIR_Coverage, 1408,
     /* 2355678 */       GIR_EraseRootFromParent_Done,
     /* 2355679 */     // Label 33166: @2355679
     /* 2355679 */     GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2355703), // Rule ID 1436 //
     /* 2355684 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2355687 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2355691 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2355691 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2355694 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355696 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355698 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355701 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355702 */       // GIR_Coverage, 1436,
     /* 2355702 */       GIR_EraseRootFromParent_Done,
     /* 2355703 */     // Label 33167: @2355703
     /* 2355703 */     GIM_Reject,
     /* 2355704 */   // Label 33165: @2355704
     /* 2355704 */   GIM_Reject,
     /* 2355705 */   // Label 33160: @2355705
     /* 2355705 */   GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2355763),
     /* 2355710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355714 */     GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2355738), // Rule ID 1806 //
     /* 2355719 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2355722 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2355726 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355726 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2355729 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355731 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355733 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355736 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355737 */       // GIR_Coverage, 1806,
     /* 2355737 */       GIR_EraseRootFromParent_Done,
     /* 2355738 */     // Label 33169: @2355738
     /* 2355738 */     GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2355762), // Rule ID 1834 //
     /* 2355743 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2355746 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355750 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2355750 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2355753 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355755 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355757 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355760 */       GIR_RootConstrainSelectedInstOperands,
     /* 2355761 */       // GIR_Coverage, 1834,
     /* 2355761 */       GIR_EraseRootFromParent_Done,
     /* 2355762 */     // Label 33170: @2355762
     /* 2355762 */     GIM_Reject,
     /* 2355763 */   // Label 33168: @2355763
     /* 2355763 */   GIM_Reject,
     /* 2355764 */   // Label 33161: @2355764
     /* 2355764 */   GIM_Reject,
     /* 2355765 */ // Label 33157: @2355765
     /* 2355765 */ GIM_Reject,
     /* 2355766 */ // Label 85: @2355766
     /* 2355766 */ GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2355781), // Rule ID 4 //
     /* 2355771 */   // MIs[0] imm20
     /* 2355771 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2355774 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2355774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2355779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355780 */   // GIR_Coverage, 4,
     /* 2355780 */   GIR_Done,
     /* 2355781 */ // Label 33171: @2355781
     /* 2355781 */ GIM_Reject,
     /* 2355782 */ // Label 86: @2355782
     /* 2355782 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33196*/ GIMT_Encode4(2358301),
     /* 2355793 */ /*GILLT_s32*//*Label 33172*/ GIMT_Encode4(2355917),
     /* 2355797 */ /*GILLT_s64*//*Label 33173*/ GIMT_Encode4(2355965), GIMT_Encode4(0),
     /* 2355805 */ /*GILLT_nxv1s8*//*Label 33174*/ GIMT_Encode4(2356013),
     /* 2355809 */ /*GILLT_nxv1s16*//*Label 33175*/ GIMT_Encode4(2356117),
     /* 2355813 */ /*GILLT_nxv1s32*//*Label 33176*/ GIMT_Encode4(2356221),
     /* 2355817 */ /*GILLT_nxv1s64*//*Label 33177*/ GIMT_Encode4(2356325), GIMT_Encode4(0),
     /* 2355825 */ /*GILLT_nxv2s8*//*Label 33178*/ GIMT_Encode4(2356429),
     /* 2355829 */ /*GILLT_nxv2s16*//*Label 33179*/ GIMT_Encode4(2356533),
     /* 2355833 */ /*GILLT_nxv2s32*//*Label 33180*/ GIMT_Encode4(2356637),
     /* 2355837 */ /*GILLT_nxv2s64*//*Label 33181*/ GIMT_Encode4(2356741), GIMT_Encode4(0),
     /* 2355845 */ /*GILLT_nxv4s8*//*Label 33182*/ GIMT_Encode4(2356845),
     /* 2355849 */ /*GILLT_nxv4s16*//*Label 33183*/ GIMT_Encode4(2356949),
     /* 2355853 */ /*GILLT_nxv4s32*//*Label 33184*/ GIMT_Encode4(2357053),
     /* 2355857 */ /*GILLT_nxv4s64*//*Label 33185*/ GIMT_Encode4(2357157), GIMT_Encode4(0),
     /* 2355865 */ /*GILLT_nxv8s8*//*Label 33186*/ GIMT_Encode4(2357261),
     /* 2355869 */ /*GILLT_nxv8s16*//*Label 33187*/ GIMT_Encode4(2357365),
     /* 2355873 */ /*GILLT_nxv8s32*//*Label 33188*/ GIMT_Encode4(2357469),
     /* 2355877 */ /*GILLT_nxv8s64*//*Label 33189*/ GIMT_Encode4(2357573), GIMT_Encode4(0),
     /* 2355885 */ /*GILLT_nxv16s8*//*Label 33190*/ GIMT_Encode4(2357677),
     /* 2355889 */ /*GILLT_nxv16s16*//*Label 33191*/ GIMT_Encode4(2357781),
     /* 2355893 */ /*GILLT_nxv16s32*//*Label 33192*/ GIMT_Encode4(2357885), GIMT_Encode4(0),
     /* 2355901 */ /*GILLT_nxv32s8*//*Label 33193*/ GIMT_Encode4(2357989),
     /* 2355905 */ /*GILLT_nxv32s16*//*Label 33194*/ GIMT_Encode4(2358093), GIMT_Encode4(0),
     /* 2355913 */ /*GILLT_nxv64s8*//*Label 33195*/ GIMT_Encode4(2358197),
     /* 2355917 */ // Label 33172: @2355917
     /* 2355917 */ GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2355964),
     /* 2355922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355933 */   GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2355948), // Rule ID 2400 //
     /* 2355938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2355941 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2355941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2355946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355947 */     // GIR_Coverage, 2400,
     /* 2355947 */     GIR_Done,
     /* 2355948 */   // Label 33198: @2355948
     /* 2355948 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2355963), // Rule ID 64165 //
     /* 2355953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2355956 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2355956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2355961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355962 */     // GIR_Coverage, 64165,
     /* 2355962 */     GIR_Done,
     /* 2355963 */   // Label 33199: @2355963
     /* 2355963 */   GIM_Reject,
     /* 2355964 */ // Label 33197: @2355964
     /* 2355964 */ GIM_Reject,
     /* 2355965 */ // Label 33173: @2355965
     /* 2355965 */ GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2356012),
     /* 2355970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355981 */   GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2355996), // Rule ID 2399 //
     /* 2355986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2355989 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2355989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2355994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355995 */     // GIR_Coverage, 2399,
     /* 2355995 */     GIR_Done,
     /* 2355996 */   // Label 33201: @2355996
     /* 2355996 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2356011), // Rule ID 64164 //
     /* 2356001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2356004 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2356004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2356009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356010 */     // GIR_Coverage, 64164,
     /* 2356010 */     GIR_Done,
     /* 2356011 */   // Label 33202: @2356011
     /* 2356011 */   GIM_Reject,
     /* 2356012 */ // Label 33200: @2356012
     /* 2356012 */ GIM_Reject,
     /* 2356013 */ // Label 33174: @2356013
     /* 2356013 */ GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2356116),
     /* 2356018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2356021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356029 */   GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2356072), // Rule ID 58871 //
     /* 2356034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356037 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356071 */     // GIR_Coverage, 58871,
     /* 2356071 */     GIR_EraseRootFromParent_Done,
     /* 2356072 */   // Label 33204: @2356072
     /* 2356072 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2356115), // Rule ID 58872 //
     /* 2356077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356080 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2356083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2356097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356114 */     // GIR_Coverage, 58872,
     /* 2356114 */     GIR_EraseRootFromParent_Done,
     /* 2356115 */   // Label 33205: @2356115
     /* 2356115 */   GIM_Reject,
     /* 2356116 */ // Label 33203: @2356116
     /* 2356116 */ GIM_Reject,
     /* 2356117 */ // Label 33175: @2356117
     /* 2356117 */ GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2356220),
     /* 2356122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2356125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356133 */   GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2356176), // Rule ID 58877 //
     /* 2356138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356141 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356175 */     // GIR_Coverage, 58877,
     /* 2356175 */     GIR_EraseRootFromParent_Done,
     /* 2356176 */   // Label 33207: @2356176
     /* 2356176 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2356219), // Rule ID 58878 //
     /* 2356181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356184 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2356187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356218 */     // GIR_Coverage, 58878,
     /* 2356218 */     GIR_EraseRootFromParent_Done,
     /* 2356219 */   // Label 33208: @2356219
     /* 2356219 */   GIM_Reject,
     /* 2356220 */ // Label 33206: @2356220
     /* 2356220 */ GIM_Reject,
     /* 2356221 */ // Label 33176: @2356221
     /* 2356221 */ GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2356324),
     /* 2356226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2356229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356237 */   GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2356280), // Rule ID 58881 //
     /* 2356242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356245 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356279 */     // GIR_Coverage, 58881,
     /* 2356279 */     GIR_EraseRootFromParent_Done,
     /* 2356280 */   // Label 33210: @2356280
     /* 2356280 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2356323), // Rule ID 58882 //
     /* 2356285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356288 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2356291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356322 */     // GIR_Coverage, 58882,
     /* 2356322 */     GIR_EraseRootFromParent_Done,
     /* 2356323 */   // Label 33211: @2356323
     /* 2356323 */   GIM_Reject,
     /* 2356324 */ // Label 33209: @2356324
     /* 2356324 */ GIM_Reject,
     /* 2356325 */ // Label 33177: @2356325
     /* 2356325 */ GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2356428),
     /* 2356330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2356333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356341 */   GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2356384), // Rule ID 58889 //
     /* 2356346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356349 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356383 */     // GIR_Coverage, 58889,
     /* 2356383 */     GIR_EraseRootFromParent_Done,
     /* 2356384 */   // Label 33213: @2356384
     /* 2356384 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2356427), // Rule ID 58890 //
     /* 2356389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356392 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2356395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356426 */     // GIR_Coverage, 58890,
     /* 2356426 */     GIR_EraseRootFromParent_Done,
     /* 2356427 */   // Label 33214: @2356427
     /* 2356427 */   GIM_Reject,
     /* 2356428 */ // Label 33212: @2356428
     /* 2356428 */ GIM_Reject,
     /* 2356429 */ // Label 33178: @2356429
     /* 2356429 */ GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2356532),
     /* 2356434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2356437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356445 */   GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2356488), // Rule ID 58873 //
     /* 2356450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356453 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356487 */     // GIR_Coverage, 58873,
     /* 2356487 */     GIR_EraseRootFromParent_Done,
     /* 2356488 */   // Label 33216: @2356488
     /* 2356488 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2356531), // Rule ID 58874 //
     /* 2356493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356496 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2356513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356530 */     // GIR_Coverage, 58874,
     /* 2356530 */     GIR_EraseRootFromParent_Done,
     /* 2356531 */   // Label 33217: @2356531
     /* 2356531 */   GIM_Reject,
     /* 2356532 */ // Label 33215: @2356532
     /* 2356532 */ GIM_Reject,
     /* 2356533 */ // Label 33179: @2356533
     /* 2356533 */ GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2356636),
     /* 2356538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2356541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356549 */   GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2356592), // Rule ID 58879 //
     /* 2356554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356557 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356591 */     // GIR_Coverage, 58879,
     /* 2356591 */     GIR_EraseRootFromParent_Done,
     /* 2356592 */   // Label 33219: @2356592
     /* 2356592 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2356635), // Rule ID 58880 //
     /* 2356597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356600 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356634 */     // GIR_Coverage, 58880,
     /* 2356634 */     GIR_EraseRootFromParent_Done,
     /* 2356635 */   // Label 33220: @2356635
     /* 2356635 */   GIM_Reject,
     /* 2356636 */ // Label 33218: @2356636
     /* 2356636 */ GIM_Reject,
     /* 2356637 */ // Label 33180: @2356637
     /* 2356637 */ GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2356740),
     /* 2356642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2356645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356653 */   GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2356696), // Rule ID 58887 //
     /* 2356658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356661 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356695 */     // GIR_Coverage, 58887,
     /* 2356695 */     GIR_EraseRootFromParent_Done,
     /* 2356696 */   // Label 33222: @2356696
     /* 2356696 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2356739), // Rule ID 58888 //
     /* 2356701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356704 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356738 */     // GIR_Coverage, 58888,
     /* 2356738 */     GIR_EraseRootFromParent_Done,
     /* 2356739 */   // Label 33223: @2356739
     /* 2356739 */   GIM_Reject,
     /* 2356740 */ // Label 33221: @2356740
     /* 2356740 */ GIM_Reject,
     /* 2356741 */ // Label 33181: @2356741
     /* 2356741 */ GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2356844),
     /* 2356746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2356749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356757 */   GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2356800), // Rule ID 58909 //
     /* 2356762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356765 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356799 */     // GIR_Coverage, 58909,
     /* 2356799 */     GIR_EraseRootFromParent_Done,
     /* 2356800 */   // Label 33225: @2356800
     /* 2356800 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2356843), // Rule ID 58910 //
     /* 2356805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356808 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356842 */     // GIR_Coverage, 58910,
     /* 2356842 */     GIR_EraseRootFromParent_Done,
     /* 2356843 */   // Label 33226: @2356843
     /* 2356843 */   GIM_Reject,
     /* 2356844 */ // Label 33224: @2356844
     /* 2356844 */ GIM_Reject,
     /* 2356845 */ // Label 33182: @2356845
     /* 2356845 */ GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2356948),
     /* 2356850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2356853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356861 */   GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2356904), // Rule ID 58875 //
     /* 2356866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356869 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356903 */     // GIR_Coverage, 58875,
     /* 2356903 */     GIR_EraseRootFromParent_Done,
     /* 2356904 */   // Label 33228: @2356904
     /* 2356904 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2356947), // Rule ID 58876 //
     /* 2356909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356912 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2356929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356946 */     // GIR_Coverage, 58876,
     /* 2356946 */     GIR_EraseRootFromParent_Done,
     /* 2356947 */   // Label 33229: @2356947
     /* 2356947 */   GIM_Reject,
     /* 2356948 */ // Label 33227: @2356948
     /* 2356948 */ GIM_Reject,
     /* 2356949 */ // Label 33183: @2356949
     /* 2356949 */ GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2357052),
     /* 2356954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2356957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356965 */   GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2357008), // Rule ID 58885 //
     /* 2356970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356973 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2356976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2356990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357007 */     // GIR_Coverage, 58885,
     /* 2357007 */     GIR_EraseRootFromParent_Done,
     /* 2357008 */   // Label 33231: @2357008
     /* 2357008 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2357051), // Rule ID 58886 //
     /* 2357013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357016 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2357019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357050 */     // GIR_Coverage, 58886,
     /* 2357050 */     GIR_EraseRootFromParent_Done,
     /* 2357051 */   // Label 33232: @2357051
     /* 2357051 */   GIM_Reject,
     /* 2357052 */ // Label 33230: @2357052
     /* 2357052 */ GIM_Reject,
     /* 2357053 */ // Label 33184: @2357053
     /* 2357053 */ GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2357156),
     /* 2357058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2357061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357069 */   GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2357112), // Rule ID 58903 //
     /* 2357074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357077 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357111 */     // GIR_Coverage, 58903,
     /* 2357111 */     GIR_EraseRootFromParent_Done,
     /* 2357112 */   // Label 33234: @2357112
     /* 2357112 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2357155), // Rule ID 58904 //
     /* 2357117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357120 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2357123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357154 */     // GIR_Coverage, 58904,
     /* 2357154 */     GIR_EraseRootFromParent_Done,
     /* 2357155 */   // Label 33235: @2357155
     /* 2357155 */   GIM_Reject,
     /* 2357156 */ // Label 33233: @2357156
     /* 2357156 */ GIM_Reject,
     /* 2357157 */ // Label 33185: @2357157
     /* 2357157 */ GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2357260),
     /* 2357162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2357165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357173 */   GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2357216), // Rule ID 58911 //
     /* 2357178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357181 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357215 */     // GIR_Coverage, 58911,
     /* 2357215 */     GIR_EraseRootFromParent_Done,
     /* 2357216 */   // Label 33237: @2357216
     /* 2357216 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2357259), // Rule ID 58912 //
     /* 2357221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357224 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2357227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357258 */     // GIR_Coverage, 58912,
     /* 2357258 */     GIR_EraseRootFromParent_Done,
     /* 2357259 */   // Label 33238: @2357259
     /* 2357259 */   GIM_Reject,
     /* 2357260 */ // Label 33236: @2357260
     /* 2357260 */ GIM_Reject,
     /* 2357261 */ // Label 33186: @2357261
     /* 2357261 */ GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2357364),
     /* 2357266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2357269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357277 */   GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2357320), // Rule ID 58883 //
     /* 2357282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357285 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357319 */     // GIR_Coverage, 58883,
     /* 2357319 */     GIR_EraseRootFromParent_Done,
     /* 2357320 */   // Label 33240: @2357320
     /* 2357320 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2357363), // Rule ID 58884 //
     /* 2357325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357328 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2357331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2357345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357362 */     // GIR_Coverage, 58884,
     /* 2357362 */     GIR_EraseRootFromParent_Done,
     /* 2357363 */   // Label 33241: @2357363
     /* 2357363 */   GIM_Reject,
     /* 2357364 */ // Label 33239: @2357364
     /* 2357364 */ GIM_Reject,
     /* 2357365 */ // Label 33187: @2357365
     /* 2357365 */ GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2357468),
     /* 2357370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2357373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357381 */   GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2357424), // Rule ID 58897 //
     /* 2357386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357389 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357423 */     // GIR_Coverage, 58897,
     /* 2357423 */     GIR_EraseRootFromParent_Done,
     /* 2357424 */   // Label 33243: @2357424
     /* 2357424 */   GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2357467), // Rule ID 58898 //
     /* 2357429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357432 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357466 */     // GIR_Coverage, 58898,
     /* 2357466 */     GIR_EraseRootFromParent_Done,
     /* 2357467 */   // Label 33244: @2357467
     /* 2357467 */   GIM_Reject,
     /* 2357468 */ // Label 33242: @2357468
     /* 2357468 */ GIM_Reject,
     /* 2357469 */ // Label 33188: @2357469
     /* 2357469 */ GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2357572),
     /* 2357474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2357477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357485 */   GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2357528), // Rule ID 58905 //
     /* 2357490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357493 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357527 */     // GIR_Coverage, 58905,
     /* 2357527 */     GIR_EraseRootFromParent_Done,
     /* 2357528 */   // Label 33246: @2357528
     /* 2357528 */   GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2357571), // Rule ID 58906 //
     /* 2357533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357536 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357570 */     // GIR_Coverage, 58906,
     /* 2357570 */     GIR_EraseRootFromParent_Done,
     /* 2357571 */   // Label 33247: @2357571
     /* 2357571 */   GIM_Reject,
     /* 2357572 */ // Label 33245: @2357572
     /* 2357572 */ GIM_Reject,
     /* 2357573 */ // Label 33189: @2357573
     /* 2357573 */ GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2357676),
     /* 2357578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2357581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357589 */   GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2357632), // Rule ID 58913 //
     /* 2357594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357597 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357631 */     // GIR_Coverage, 58913,
     /* 2357631 */     GIR_EraseRootFromParent_Done,
     /* 2357632 */   // Label 33249: @2357632
     /* 2357632 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2357675), // Rule ID 58914 //
     /* 2357637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357640 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357674 */     // GIR_Coverage, 58914,
     /* 2357674 */     GIR_EraseRootFromParent_Done,
     /* 2357675 */   // Label 33250: @2357675
     /* 2357675 */   GIM_Reject,
     /* 2357676 */ // Label 33248: @2357676
     /* 2357676 */ GIM_Reject,
     /* 2357677 */ // Label 33190: @2357677
     /* 2357677 */ GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2357780),
     /* 2357682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2357685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357693 */   GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2357736), // Rule ID 58891 //
     /* 2357698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357701 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357735 */     // GIR_Coverage, 58891,
     /* 2357735 */     GIR_EraseRootFromParent_Done,
     /* 2357736 */   // Label 33252: @2357736
     /* 2357736 */   GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2357779), // Rule ID 58892 //
     /* 2357741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357744 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2357761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357778 */     // GIR_Coverage, 58892,
     /* 2357778 */     GIR_EraseRootFromParent_Done,
     /* 2357779 */   // Label 33253: @2357779
     /* 2357779 */   GIM_Reject,
     /* 2357780 */ // Label 33251: @2357780
     /* 2357780 */ GIM_Reject,
     /* 2357781 */ // Label 33191: @2357781
     /* 2357781 */ GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2357884),
     /* 2357786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357797 */   GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2357840), // Rule ID 58899 //
     /* 2357802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357805 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357839 */     // GIR_Coverage, 58899,
     /* 2357839 */     GIR_EraseRootFromParent_Done,
     /* 2357840 */   // Label 33255: @2357840
     /* 2357840 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2357883), // Rule ID 58900 //
     /* 2357845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357848 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2357865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357882 */     // GIR_Coverage, 58900,
     /* 2357882 */     GIR_EraseRootFromParent_Done,
     /* 2357883 */   // Label 33256: @2357883
     /* 2357883 */   GIM_Reject,
     /* 2357884 */ // Label 33254: @2357884
     /* 2357884 */ GIM_Reject,
     /* 2357885 */ // Label 33192: @2357885
     /* 2357885 */ GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2357988),
     /* 2357890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357901 */   GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2357944), // Rule ID 58907 //
     /* 2357906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357909 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357943 */     // GIR_Coverage, 58907,
     /* 2357943 */     GIR_EraseRootFromParent_Done,
     /* 2357944 */   // Label 33258: @2357944
     /* 2357944 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2357987), // Rule ID 58908 //
     /* 2357949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357952 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2357969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357986 */     // GIR_Coverage, 58908,
     /* 2357986 */     GIR_EraseRootFromParent_Done,
     /* 2357987 */   // Label 33259: @2357987
     /* 2357987 */   GIM_Reject,
     /* 2357988 */ // Label 33257: @2357988
     /* 2357988 */ GIM_Reject,
     /* 2357989 */ // Label 33193: @2357989
     /* 2357989 */ GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2358092),
     /* 2357994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2357997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358005 */   GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2358048), // Rule ID 58893 //
     /* 2358010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358013 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358047 */     // GIR_Coverage, 58893,
     /* 2358047 */     GIR_EraseRootFromParent_Done,
     /* 2358048 */   // Label 33261: @2358048
     /* 2358048 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2358091), // Rule ID 58894 //
     /* 2358053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358056 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2358059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2358073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358090 */     // GIR_Coverage, 58894,
     /* 2358090 */     GIR_EraseRootFromParent_Done,
     /* 2358091 */   // Label 33262: @2358091
     /* 2358091 */   GIM_Reject,
     /* 2358092 */ // Label 33260: @2358092
     /* 2358092 */ GIM_Reject,
     /* 2358093 */ // Label 33194: @2358093
     /* 2358093 */ GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2358196),
     /* 2358098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2358101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358109 */   GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2358152), // Rule ID 58901 //
     /* 2358114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358117 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358151 */     // GIR_Coverage, 58901,
     /* 2358151 */     GIR_EraseRootFromParent_Done,
     /* 2358152 */   // Label 33264: @2358152
     /* 2358152 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2358195), // Rule ID 58902 //
     /* 2358157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358160 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2358163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358194 */     // GIR_Coverage, 58902,
     /* 2358194 */     GIR_EraseRootFromParent_Done,
     /* 2358195 */   // Label 33265: @2358195
     /* 2358195 */   GIM_Reject,
     /* 2358196 */ // Label 33263: @2358196
     /* 2358196 */ GIM_Reject,
     /* 2358197 */ // Label 33195: @2358197
     /* 2358197 */ GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2358300),
     /* 2358202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2358205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358213 */   GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2358256), // Rule ID 58895 //
     /* 2358218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358221 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358255 */     // GIR_Coverage, 58895,
     /* 2358255 */     GIR_EraseRootFromParent_Done,
     /* 2358256 */   // Label 33267: @2358256
     /* 2358256 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2358299), // Rule ID 58896 //
     /* 2358261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358264 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2358267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2358281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358298 */     // GIR_Coverage, 58896,
     /* 2358298 */     GIR_EraseRootFromParent_Done,
     /* 2358299 */   // Label 33268: @2358299
     /* 2358299 */   GIM_Reject,
     /* 2358300 */ // Label 33266: @2358300
     /* 2358300 */ GIM_Reject,
     /* 2358301 */ // Label 33196: @2358301
     /* 2358301 */ GIM_Reject,
     /* 2358302 */ // Label 87: @2358302
     /* 2358302 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33293*/ GIMT_Encode4(2360959),
     /* 2358313 */ /*GILLT_s32*//*Label 33269*/ GIMT_Encode4(2358437),
     /* 2358317 */ /*GILLT_s64*//*Label 33270*/ GIMT_Encode4(2358554), GIMT_Encode4(0),
     /* 2358325 */ /*GILLT_nxv1s8*//*Label 33271*/ GIMT_Encode4(2358671),
     /* 2358329 */ /*GILLT_nxv1s16*//*Label 33272*/ GIMT_Encode4(2358775),
     /* 2358333 */ /*GILLT_nxv1s32*//*Label 33273*/ GIMT_Encode4(2358879),
     /* 2358337 */ /*GILLT_nxv1s64*//*Label 33274*/ GIMT_Encode4(2358983), GIMT_Encode4(0),
     /* 2358345 */ /*GILLT_nxv2s8*//*Label 33275*/ GIMT_Encode4(2359087),
     /* 2358349 */ /*GILLT_nxv2s16*//*Label 33276*/ GIMT_Encode4(2359191),
     /* 2358353 */ /*GILLT_nxv2s32*//*Label 33277*/ GIMT_Encode4(2359295),
     /* 2358357 */ /*GILLT_nxv2s64*//*Label 33278*/ GIMT_Encode4(2359399), GIMT_Encode4(0),
     /* 2358365 */ /*GILLT_nxv4s8*//*Label 33279*/ GIMT_Encode4(2359503),
     /* 2358369 */ /*GILLT_nxv4s16*//*Label 33280*/ GIMT_Encode4(2359607),
     /* 2358373 */ /*GILLT_nxv4s32*//*Label 33281*/ GIMT_Encode4(2359711),
     /* 2358377 */ /*GILLT_nxv4s64*//*Label 33282*/ GIMT_Encode4(2359815), GIMT_Encode4(0),
     /* 2358385 */ /*GILLT_nxv8s8*//*Label 33283*/ GIMT_Encode4(2359919),
     /* 2358389 */ /*GILLT_nxv8s16*//*Label 33284*/ GIMT_Encode4(2360023),
     /* 2358393 */ /*GILLT_nxv8s32*//*Label 33285*/ GIMT_Encode4(2360127),
     /* 2358397 */ /*GILLT_nxv8s64*//*Label 33286*/ GIMT_Encode4(2360231), GIMT_Encode4(0),
     /* 2358405 */ /*GILLT_nxv16s8*//*Label 33287*/ GIMT_Encode4(2360335),
     /* 2358409 */ /*GILLT_nxv16s16*//*Label 33288*/ GIMT_Encode4(2360439),
     /* 2358413 */ /*GILLT_nxv16s32*//*Label 33289*/ GIMT_Encode4(2360543), GIMT_Encode4(0),
     /* 2358421 */ /*GILLT_nxv32s8*//*Label 33290*/ GIMT_Encode4(2360647),
     /* 2358425 */ /*GILLT_nxv32s16*//*Label 33291*/ GIMT_Encode4(2360751), GIMT_Encode4(0),
     /* 2358433 */ /*GILLT_nxv64s8*//*Label 33292*/ GIMT_Encode4(2360855),
     /* 2358437 */ // Label 33269: @2358437
     /* 2358437 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2358553),
     /* 2358442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358449 */   GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2358495), // Rule ID 62290 //
     /* 2358454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358478 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358484 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358494 */     // GIR_Coverage, 62290,
     /* 2358494 */     GIR_EraseRootFromParent_Done,
     /* 2358495 */   // Label 33295: @2358495
     /* 2358495 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2358514), // Rule ID 2398 //
     /* 2358500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2358503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358507 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358513 */     // GIR_Coverage, 2398,
     /* 2358513 */     GIR_Done,
     /* 2358514 */   // Label 33296: @2358514
     /* 2358514 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2358533), // Rule ID 62288 //
     /* 2358519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2358522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358526 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358532 */     // GIR_Coverage, 62288,
     /* 2358532 */     GIR_Done,
     /* 2358533 */   // Label 33297: @2358533
     /* 2358533 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2358552), // Rule ID 64167 //
     /* 2358538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2358541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358545 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2358545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358551 */     // GIR_Coverage, 64167,
     /* 2358551 */     GIR_Done,
     /* 2358552 */   // Label 33298: @2358552
     /* 2358552 */   GIM_Reject,
     /* 2358553 */ // Label 33294: @2358553
     /* 2358553 */ GIM_Reject,
     /* 2358554 */ // Label 33270: @2358554
     /* 2358554 */ GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2358670),
     /* 2358559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358566 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2358612), // Rule ID 62289 //
     /* 2358571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2358574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2358578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2358582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2358590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358595 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2358599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2358601 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2358604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2358610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358611 */     // GIR_Coverage, 62289,
     /* 2358611 */     GIR_EraseRootFromParent_Done,
     /* 2358612 */   // Label 33300: @2358612
     /* 2358612 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2358631), // Rule ID 2397 //
     /* 2358617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2358620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358624 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2358629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358630 */     // GIR_Coverage, 2397,
     /* 2358630 */     GIR_Done,
     /* 2358631 */   // Label 33301: @2358631
     /* 2358631 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2358650), // Rule ID 62287 //
     /* 2358636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2358639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358643 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2358648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358649 */     // GIR_Coverage, 62287,
     /* 2358649 */     GIR_Done,
     /* 2358650 */   // Label 33302: @2358650
     /* 2358650 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2358669), // Rule ID 64166 //
     /* 2358655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2358658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358662 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2358662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2358667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358668 */     // GIR_Coverage, 64166,
     /* 2358668 */     GIR_Done,
     /* 2358669 */   // Label 33303: @2358669
     /* 2358669 */   GIM_Reject,
     /* 2358670 */ // Label 33299: @2358670
     /* 2358670 */ GIM_Reject,
     /* 2358671 */ // Label 33271: @2358671
     /* 2358671 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2358774),
     /* 2358676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2358679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358687 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2358730), // Rule ID 58827 //
     /* 2358692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358695 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2358712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358729 */     // GIR_Coverage, 58827,
     /* 2358729 */     GIR_EraseRootFromParent_Done,
     /* 2358730 */   // Label 33305: @2358730
     /* 2358730 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2358773), // Rule ID 58828 //
     /* 2358735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358738 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2358755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358772 */     // GIR_Coverage, 58828,
     /* 2358772 */     GIR_EraseRootFromParent_Done,
     /* 2358773 */   // Label 33306: @2358773
     /* 2358773 */   GIM_Reject,
     /* 2358774 */ // Label 33304: @2358774
     /* 2358774 */ GIM_Reject,
     /* 2358775 */ // Label 33272: @2358775
     /* 2358775 */ GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2358878),
     /* 2358780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2358783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358791 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2358834), // Rule ID 58833 //
     /* 2358796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358799 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2358816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358833 */     // GIR_Coverage, 58833,
     /* 2358833 */     GIR_EraseRootFromParent_Done,
     /* 2358834 */   // Label 33308: @2358834
     /* 2358834 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2358877), // Rule ID 58834 //
     /* 2358839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358842 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2358859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358876 */     // GIR_Coverage, 58834,
     /* 2358876 */     GIR_EraseRootFromParent_Done,
     /* 2358877 */   // Label 33309: @2358877
     /* 2358877 */   GIM_Reject,
     /* 2358878 */ // Label 33307: @2358878
     /* 2358878 */ GIM_Reject,
     /* 2358879 */ // Label 33273: @2358879
     /* 2358879 */ GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2358982),
     /* 2358884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2358887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358895 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2358938), // Rule ID 58837 //
     /* 2358900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358903 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2358920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358937 */     // GIR_Coverage, 58837,
     /* 2358937 */     GIR_EraseRootFromParent_Done,
     /* 2358938 */   // Label 33311: @2358938
     /* 2358938 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2358981), // Rule ID 58838 //
     /* 2358943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358946 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2358963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358980 */     // GIR_Coverage, 58838,
     /* 2358980 */     GIR_EraseRootFromParent_Done,
     /* 2358981 */   // Label 33312: @2358981
     /* 2358981 */   GIM_Reject,
     /* 2358982 */ // Label 33310: @2358982
     /* 2358982 */ GIM_Reject,
     /* 2358983 */ // Label 33274: @2358983
     /* 2358983 */ GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2359086),
     /* 2358988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2358991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358999 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2359042), // Rule ID 58845 //
     /* 2359004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359007 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359041 */     // GIR_Coverage, 58845,
     /* 2359041 */     GIR_EraseRootFromParent_Done,
     /* 2359042 */   // Label 33314: @2359042
     /* 2359042 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2359085), // Rule ID 58846 //
     /* 2359047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359050 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359084 */     // GIR_Coverage, 58846,
     /* 2359084 */     GIR_EraseRootFromParent_Done,
     /* 2359085 */   // Label 33315: @2359085
     /* 2359085 */   GIM_Reject,
     /* 2359086 */ // Label 33313: @2359086
     /* 2359086 */ GIM_Reject,
     /* 2359087 */ // Label 33275: @2359087
     /* 2359087 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2359190),
     /* 2359092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2359095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359103 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2359146), // Rule ID 58829 //
     /* 2359108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359111 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359145 */     // GIR_Coverage, 58829,
     /* 2359145 */     GIR_EraseRootFromParent_Done,
     /* 2359146 */   // Label 33317: @2359146
     /* 2359146 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2359189), // Rule ID 58830 //
     /* 2359151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359154 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2359157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2359171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359188 */     // GIR_Coverage, 58830,
     /* 2359188 */     GIR_EraseRootFromParent_Done,
     /* 2359189 */   // Label 33318: @2359189
     /* 2359189 */   GIM_Reject,
     /* 2359190 */ // Label 33316: @2359190
     /* 2359190 */ GIM_Reject,
     /* 2359191 */ // Label 33276: @2359191
     /* 2359191 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2359294),
     /* 2359196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2359199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359207 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2359250), // Rule ID 58835 //
     /* 2359212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359215 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359249 */     // GIR_Coverage, 58835,
     /* 2359249 */     GIR_EraseRootFromParent_Done,
     /* 2359250 */   // Label 33320: @2359250
     /* 2359250 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2359293), // Rule ID 58836 //
     /* 2359255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359258 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2359261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359292 */     // GIR_Coverage, 58836,
     /* 2359292 */     GIR_EraseRootFromParent_Done,
     /* 2359293 */   // Label 33321: @2359293
     /* 2359293 */   GIM_Reject,
     /* 2359294 */ // Label 33319: @2359294
     /* 2359294 */ GIM_Reject,
     /* 2359295 */ // Label 33277: @2359295
     /* 2359295 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2359398),
     /* 2359300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2359303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359311 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2359354), // Rule ID 58843 //
     /* 2359316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359319 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359353 */     // GIR_Coverage, 58843,
     /* 2359353 */     GIR_EraseRootFromParent_Done,
     /* 2359354 */   // Label 33323: @2359354
     /* 2359354 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2359397), // Rule ID 58844 //
     /* 2359359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359362 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359396 */     // GIR_Coverage, 58844,
     /* 2359396 */     GIR_EraseRootFromParent_Done,
     /* 2359397 */   // Label 33324: @2359397
     /* 2359397 */   GIM_Reject,
     /* 2359398 */ // Label 33322: @2359398
     /* 2359398 */ GIM_Reject,
     /* 2359399 */ // Label 33278: @2359399
     /* 2359399 */ GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2359502),
     /* 2359404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359415 */   GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2359458), // Rule ID 58865 //
     /* 2359420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359423 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359457 */     // GIR_Coverage, 58865,
     /* 2359457 */     GIR_EraseRootFromParent_Done,
     /* 2359458 */   // Label 33326: @2359458
     /* 2359458 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2359501), // Rule ID 58866 //
     /* 2359463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359466 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359500 */     // GIR_Coverage, 58866,
     /* 2359500 */     GIR_EraseRootFromParent_Done,
     /* 2359501 */   // Label 33327: @2359501
     /* 2359501 */   GIM_Reject,
     /* 2359502 */ // Label 33325: @2359502
     /* 2359502 */ GIM_Reject,
     /* 2359503 */ // Label 33279: @2359503
     /* 2359503 */ GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2359606),
     /* 2359508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2359511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359519 */   GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2359562), // Rule ID 58831 //
     /* 2359524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359527 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359561 */     // GIR_Coverage, 58831,
     /* 2359561 */     GIR_EraseRootFromParent_Done,
     /* 2359562 */   // Label 33329: @2359562
     /* 2359562 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2359605), // Rule ID 58832 //
     /* 2359567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359570 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2359587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359604 */     // GIR_Coverage, 58832,
     /* 2359604 */     GIR_EraseRootFromParent_Done,
     /* 2359605 */   // Label 33330: @2359605
     /* 2359605 */   GIM_Reject,
     /* 2359606 */ // Label 33328: @2359606
     /* 2359606 */ GIM_Reject,
     /* 2359607 */ // Label 33280: @2359607
     /* 2359607 */ GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2359710),
     /* 2359612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2359615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359623 */   GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2359666), // Rule ID 58841 //
     /* 2359628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359631 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359665 */     // GIR_Coverage, 58841,
     /* 2359665 */     GIR_EraseRootFromParent_Done,
     /* 2359666 */   // Label 33332: @2359666
     /* 2359666 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2359709), // Rule ID 58842 //
     /* 2359671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359674 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359708 */     // GIR_Coverage, 58842,
     /* 2359708 */     GIR_EraseRootFromParent_Done,
     /* 2359709 */   // Label 33333: @2359709
     /* 2359709 */   GIM_Reject,
     /* 2359710 */ // Label 33331: @2359710
     /* 2359710 */ GIM_Reject,
     /* 2359711 */ // Label 33281: @2359711
     /* 2359711 */ GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2359814),
     /* 2359716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2359719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359727 */   GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2359770), // Rule ID 58859 //
     /* 2359732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359735 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359769 */     // GIR_Coverage, 58859,
     /* 2359769 */     GIR_EraseRootFromParent_Done,
     /* 2359770 */   // Label 33335: @2359770
     /* 2359770 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2359813), // Rule ID 58860 //
     /* 2359775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359778 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2359795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359812 */     // GIR_Coverage, 58860,
     /* 2359812 */     GIR_EraseRootFromParent_Done,
     /* 2359813 */   // Label 33336: @2359813
     /* 2359813 */   GIM_Reject,
     /* 2359814 */ // Label 33334: @2359814
     /* 2359814 */ GIM_Reject,
     /* 2359815 */ // Label 33282: @2359815
     /* 2359815 */ GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2359918),
     /* 2359820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2359823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359831 */   GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2359874), // Rule ID 58867 //
     /* 2359836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359839 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359873 */     // GIR_Coverage, 58867,
     /* 2359873 */     GIR_EraseRootFromParent_Done,
     /* 2359874 */   // Label 33338: @2359874
     /* 2359874 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2359917), // Rule ID 58868 //
     /* 2359879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2359882 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359916 */     // GIR_Coverage, 58868,
     /* 2359916 */     GIR_EraseRootFromParent_Done,
     /* 2359917 */   // Label 33339: @2359917
     /* 2359917 */   GIM_Reject,
     /* 2359918 */ // Label 33337: @2359918
     /* 2359918 */ GIM_Reject,
     /* 2359919 */ // Label 33283: @2359919
     /* 2359919 */ GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2360022),
     /* 2359924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2359927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359935 */   GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2359978), // Rule ID 58839 //
     /* 2359940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359943 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2359960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359977 */     // GIR_Coverage, 58839,
     /* 2359977 */     GIR_EraseRootFromParent_Done,
     /* 2359978 */   // Label 33341: @2359978
     /* 2359978 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2360021), // Rule ID 58840 //
     /* 2359983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359986 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2360003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360020 */     // GIR_Coverage, 58840,
     /* 2360020 */     GIR_EraseRootFromParent_Done,
     /* 2360021 */   // Label 33342: @2360021
     /* 2360021 */   GIM_Reject,
     /* 2360022 */ // Label 33340: @2360022
     /* 2360022 */ GIM_Reject,
     /* 2360023 */ // Label 33284: @2360023
     /* 2360023 */ GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2360126),
     /* 2360028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2360031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360039 */   GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2360082), // Rule ID 58853 //
     /* 2360044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360047 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360081 */     // GIR_Coverage, 58853,
     /* 2360081 */     GIR_EraseRootFromParent_Done,
     /* 2360082 */   // Label 33344: @2360082
     /* 2360082 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2360125), // Rule ID 58854 //
     /* 2360087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360090 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2360093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360124 */     // GIR_Coverage, 58854,
     /* 2360124 */     GIR_EraseRootFromParent_Done,
     /* 2360125 */   // Label 33345: @2360125
     /* 2360125 */   GIM_Reject,
     /* 2360126 */ // Label 33343: @2360126
     /* 2360126 */ GIM_Reject,
     /* 2360127 */ // Label 33285: @2360127
     /* 2360127 */ GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2360230),
     /* 2360132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2360135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360143 */   GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2360186), // Rule ID 58861 //
     /* 2360148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360151 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360185 */     // GIR_Coverage, 58861,
     /* 2360185 */     GIR_EraseRootFromParent_Done,
     /* 2360186 */   // Label 33347: @2360186
     /* 2360186 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2360229), // Rule ID 58862 //
     /* 2360191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360194 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2360197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360228 */     // GIR_Coverage, 58862,
     /* 2360228 */     GIR_EraseRootFromParent_Done,
     /* 2360229 */   // Label 33348: @2360229
     /* 2360229 */   GIM_Reject,
     /* 2360230 */ // Label 33346: @2360230
     /* 2360230 */ GIM_Reject,
     /* 2360231 */ // Label 33286: @2360231
     /* 2360231 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2360334),
     /* 2360236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2360239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360247 */   GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2360290), // Rule ID 58869 //
     /* 2360252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360255 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360289 */     // GIR_Coverage, 58869,
     /* 2360289 */     GIR_EraseRootFromParent_Done,
     /* 2360290 */   // Label 33350: @2360290
     /* 2360290 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2360333), // Rule ID 58870 //
     /* 2360295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360298 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360332 */     // GIR_Coverage, 58870,
     /* 2360332 */     GIR_EraseRootFromParent_Done,
     /* 2360333 */   // Label 33351: @2360333
     /* 2360333 */   GIM_Reject,
     /* 2360334 */ // Label 33349: @2360334
     /* 2360334 */ GIM_Reject,
     /* 2360335 */ // Label 33287: @2360335
     /* 2360335 */ GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2360438),
     /* 2360340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2360343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360351 */   GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2360394), // Rule ID 58847 //
     /* 2360356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360359 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360393 */     // GIR_Coverage, 58847,
     /* 2360393 */     GIR_EraseRootFromParent_Done,
     /* 2360394 */   // Label 33353: @2360394
     /* 2360394 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2360437), // Rule ID 58848 //
     /* 2360399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360402 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2360419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360436 */     // GIR_Coverage, 58848,
     /* 2360436 */     GIR_EraseRootFromParent_Done,
     /* 2360437 */   // Label 33354: @2360437
     /* 2360437 */   GIM_Reject,
     /* 2360438 */ // Label 33352: @2360438
     /* 2360438 */ GIM_Reject,
     /* 2360439 */ // Label 33288: @2360439
     /* 2360439 */ GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2360542),
     /* 2360444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360455 */   GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2360498), // Rule ID 58855 //
     /* 2360460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360463 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360497 */     // GIR_Coverage, 58855,
     /* 2360497 */     GIR_EraseRootFromParent_Done,
     /* 2360498 */   // Label 33356: @2360498
     /* 2360498 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2360541), // Rule ID 58856 //
     /* 2360503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360506 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360540 */     // GIR_Coverage, 58856,
     /* 2360540 */     GIR_EraseRootFromParent_Done,
     /* 2360541 */   // Label 33357: @2360541
     /* 2360541 */   GIM_Reject,
     /* 2360542 */ // Label 33355: @2360542
     /* 2360542 */ GIM_Reject,
     /* 2360543 */ // Label 33289: @2360543
     /* 2360543 */ GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2360646),
     /* 2360548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360559 */   GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2360602), // Rule ID 58863 //
     /* 2360564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360567 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360601 */     // GIR_Coverage, 58863,
     /* 2360601 */     GIR_EraseRootFromParent_Done,
     /* 2360602 */   // Label 33359: @2360602
     /* 2360602 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2360645), // Rule ID 58864 //
     /* 2360607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360610 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360644 */     // GIR_Coverage, 58864,
     /* 2360644 */     GIR_EraseRootFromParent_Done,
     /* 2360645 */   // Label 33360: @2360645
     /* 2360645 */   GIM_Reject,
     /* 2360646 */ // Label 33358: @2360646
     /* 2360646 */ GIM_Reject,
     /* 2360647 */ // Label 33290: @2360647
     /* 2360647 */ GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2360750),
     /* 2360652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2360655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360663 */   GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2360706), // Rule ID 58849 //
     /* 2360668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360671 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360705 */     // GIR_Coverage, 58849,
     /* 2360705 */     GIR_EraseRootFromParent_Done,
     /* 2360706 */   // Label 33362: @2360706
     /* 2360706 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2360749), // Rule ID 58850 //
     /* 2360711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360714 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2360731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360748 */     // GIR_Coverage, 58850,
     /* 2360748 */     GIR_EraseRootFromParent_Done,
     /* 2360749 */   // Label 33363: @2360749
     /* 2360749 */   GIM_Reject,
     /* 2360750 */ // Label 33361: @2360750
     /* 2360750 */ GIM_Reject,
     /* 2360751 */ // Label 33291: @2360751
     /* 2360751 */ GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2360854),
     /* 2360756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2360759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360767 */   GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2360810), // Rule ID 58857 //
     /* 2360772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360775 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360809 */     // GIR_Coverage, 58857,
     /* 2360809 */     GIR_EraseRootFromParent_Done,
     /* 2360810 */   // Label 33365: @2360810
     /* 2360810 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2360853), // Rule ID 58858 //
     /* 2360815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360818 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360852 */     // GIR_Coverage, 58858,
     /* 2360852 */     GIR_EraseRootFromParent_Done,
     /* 2360853 */   // Label 33366: @2360853
     /* 2360853 */   GIM_Reject,
     /* 2360854 */ // Label 33364: @2360854
     /* 2360854 */ GIM_Reject,
     /* 2360855 */ // Label 33292: @2360855
     /* 2360855 */ GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2360958),
     /* 2360860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2360863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360871 */   GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2360914), // Rule ID 58851 //
     /* 2360876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360879 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360913 */     // GIR_Coverage, 58851,
     /* 2360913 */     GIR_EraseRootFromParent_Done,
     /* 2360914 */   // Label 33368: @2360914
     /* 2360914 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2360957), // Rule ID 58852 //
     /* 2360919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360922 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2360939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360956 */     // GIR_Coverage, 58852,
     /* 2360956 */     GIR_EraseRootFromParent_Done,
     /* 2360957 */   // Label 33369: @2360957
     /* 2360957 */   GIM_Reject,
     /* 2360958 */ // Label 33367: @2360958
     /* 2360958 */ GIM_Reject,
     /* 2360959 */ // Label 33293: @2360959
     /* 2360959 */ GIM_Reject,
     /* 2360960 */ // Label 88: @2360960
     /* 2360960 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33394*/ GIMT_Encode4(2363510),
     /* 2360971 */ /*GILLT_s32*//*Label 33370*/ GIMT_Encode4(2361095),
     /* 2360975 */ /*GILLT_s64*//*Label 33371*/ GIMT_Encode4(2361143), GIMT_Encode4(0),
     /* 2360983 */ /*GILLT_nxv1s8*//*Label 33372*/ GIMT_Encode4(2361222),
     /* 2360987 */ /*GILLT_nxv1s16*//*Label 33373*/ GIMT_Encode4(2361326),
     /* 2360991 */ /*GILLT_nxv1s32*//*Label 33374*/ GIMT_Encode4(2361430),
     /* 2360995 */ /*GILLT_nxv1s64*//*Label 33375*/ GIMT_Encode4(2361534), GIMT_Encode4(0),
     /* 2361003 */ /*GILLT_nxv2s8*//*Label 33376*/ GIMT_Encode4(2361638),
     /* 2361007 */ /*GILLT_nxv2s16*//*Label 33377*/ GIMT_Encode4(2361742),
     /* 2361011 */ /*GILLT_nxv2s32*//*Label 33378*/ GIMT_Encode4(2361846),
     /* 2361015 */ /*GILLT_nxv2s64*//*Label 33379*/ GIMT_Encode4(2361950), GIMT_Encode4(0),
     /* 2361023 */ /*GILLT_nxv4s8*//*Label 33380*/ GIMT_Encode4(2362054),
     /* 2361027 */ /*GILLT_nxv4s16*//*Label 33381*/ GIMT_Encode4(2362158),
     /* 2361031 */ /*GILLT_nxv4s32*//*Label 33382*/ GIMT_Encode4(2362262),
     /* 2361035 */ /*GILLT_nxv4s64*//*Label 33383*/ GIMT_Encode4(2362366), GIMT_Encode4(0),
     /* 2361043 */ /*GILLT_nxv8s8*//*Label 33384*/ GIMT_Encode4(2362470),
     /* 2361047 */ /*GILLT_nxv8s16*//*Label 33385*/ GIMT_Encode4(2362574),
     /* 2361051 */ /*GILLT_nxv8s32*//*Label 33386*/ GIMT_Encode4(2362678),
     /* 2361055 */ /*GILLT_nxv8s64*//*Label 33387*/ GIMT_Encode4(2362782), GIMT_Encode4(0),
     /* 2361063 */ /*GILLT_nxv16s8*//*Label 33388*/ GIMT_Encode4(2362886),
     /* 2361067 */ /*GILLT_nxv16s16*//*Label 33389*/ GIMT_Encode4(2362990),
     /* 2361071 */ /*GILLT_nxv16s32*//*Label 33390*/ GIMT_Encode4(2363094), GIMT_Encode4(0),
     /* 2361079 */ /*GILLT_nxv32s8*//*Label 33391*/ GIMT_Encode4(2363198),
     /* 2361083 */ /*GILLT_nxv32s16*//*Label 33392*/ GIMT_Encode4(2363302), GIMT_Encode4(0),
     /* 2361091 */ /*GILLT_nxv64s8*//*Label 33393*/ GIMT_Encode4(2363406),
     /* 2361095 */ // Label 33370: @2361095
     /* 2361095 */ GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2361142),
     /* 2361100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2361103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361111 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2361126), // Rule ID 2402 //
     /* 2361116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2361119 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361125 */     // GIR_Coverage, 2402,
     /* 2361125 */     GIR_Done,
     /* 2361126 */   // Label 33396: @2361126
     /* 2361126 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2361141), // Rule ID 64170 //
     /* 2361131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2361134 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2361134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361140 */     // GIR_Coverage, 64170,
     /* 2361140 */     GIR_Done,
     /* 2361141 */   // Label 33397: @2361141
     /* 2361141 */   GIM_Reject,
     /* 2361142 */ // Label 33395: @2361142
     /* 2361142 */ GIM_Reject,
     /* 2361143 */ // Label 33371: @2361143
     /* 2361143 */ GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2361221),
     /* 2361148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2361151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361155 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2361182), // Rule ID 2405 //
     /* 2361160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2361163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2361170 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2361173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2361180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361181 */     // GIR_Coverage, 2405,
     /* 2361181 */     GIR_EraseRootFromParent_Done,
     /* 2361182 */   // Label 33399: @2361182
     /* 2361182 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2361201), // Rule ID 2401 //
     /* 2361187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2361190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361194 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2361199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361200 */     // GIR_Coverage, 2401,
     /* 2361200 */     GIR_Done,
     /* 2361201 */   // Label 33400: @2361201
     /* 2361201 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2361220), // Rule ID 64169 //
     /* 2361206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2361209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361213 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2361213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2361218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361219 */     // GIR_Coverage, 64169,
     /* 2361219 */     GIR_Done,
     /* 2361220 */   // Label 33401: @2361220
     /* 2361220 */   GIM_Reject,
     /* 2361221 */ // Label 33398: @2361221
     /* 2361221 */ GIM_Reject,
     /* 2361222 */ // Label 33372: @2361222
     /* 2361222 */ GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2361325),
     /* 2361227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2361230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361238 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2361281), // Rule ID 58915 //
     /* 2361243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361246 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361280 */     // GIR_Coverage, 58915,
     /* 2361280 */     GIR_EraseRootFromParent_Done,
     /* 2361281 */   // Label 33403: @2361281
     /* 2361281 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2361324), // Rule ID 58916 //
     /* 2361286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361289 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2361306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361323 */     // GIR_Coverage, 58916,
     /* 2361323 */     GIR_EraseRootFromParent_Done,
     /* 2361324 */   // Label 33404: @2361324
     /* 2361324 */   GIM_Reject,
     /* 2361325 */ // Label 33402: @2361325
     /* 2361325 */ GIM_Reject,
     /* 2361326 */ // Label 33373: @2361326
     /* 2361326 */ GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2361429),
     /* 2361331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361342 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2361385), // Rule ID 58921 //
     /* 2361347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361350 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361384 */     // GIR_Coverage, 58921,
     /* 2361384 */     GIR_EraseRootFromParent_Done,
     /* 2361385 */   // Label 33406: @2361385
     /* 2361385 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2361428), // Rule ID 58922 //
     /* 2361390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361393 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361427 */     // GIR_Coverage, 58922,
     /* 2361427 */     GIR_EraseRootFromParent_Done,
     /* 2361428 */   // Label 33407: @2361428
     /* 2361428 */   GIM_Reject,
     /* 2361429 */ // Label 33405: @2361429
     /* 2361429 */ GIM_Reject,
     /* 2361430 */ // Label 33374: @2361430
     /* 2361430 */ GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2361533),
     /* 2361435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361446 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2361489), // Rule ID 58925 //
     /* 2361451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361454 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361488 */     // GIR_Coverage, 58925,
     /* 2361488 */     GIR_EraseRootFromParent_Done,
     /* 2361489 */   // Label 33409: @2361489
     /* 2361489 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2361532), // Rule ID 58926 //
     /* 2361494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361497 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361531 */     // GIR_Coverage, 58926,
     /* 2361531 */     GIR_EraseRootFromParent_Done,
     /* 2361532 */   // Label 33410: @2361532
     /* 2361532 */   GIM_Reject,
     /* 2361533 */ // Label 33408: @2361533
     /* 2361533 */ GIM_Reject,
     /* 2361534 */ // Label 33375: @2361534
     /* 2361534 */ GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2361637),
     /* 2361539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361550 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2361593), // Rule ID 58933 //
     /* 2361555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361558 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361592 */     // GIR_Coverage, 58933,
     /* 2361592 */     GIR_EraseRootFromParent_Done,
     /* 2361593 */   // Label 33412: @2361593
     /* 2361593 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2361636), // Rule ID 58934 //
     /* 2361598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2361601 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361635 */     // GIR_Coverage, 58934,
     /* 2361635 */     GIR_EraseRootFromParent_Done,
     /* 2361636 */   // Label 33413: @2361636
     /* 2361636 */   GIM_Reject,
     /* 2361637 */ // Label 33411: @2361637
     /* 2361637 */ GIM_Reject,
     /* 2361638 */ // Label 33376: @2361638
     /* 2361638 */ GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2361741),
     /* 2361643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2361646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361654 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2361697), // Rule ID 58917 //
     /* 2361659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361662 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361696 */     // GIR_Coverage, 58917,
     /* 2361696 */     GIR_EraseRootFromParent_Done,
     /* 2361697 */   // Label 33415: @2361697
     /* 2361697 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2361740), // Rule ID 58918 //
     /* 2361702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361705 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2361722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361739 */     // GIR_Coverage, 58918,
     /* 2361739 */     GIR_EraseRootFromParent_Done,
     /* 2361740 */   // Label 33416: @2361740
     /* 2361740 */   GIM_Reject,
     /* 2361741 */ // Label 33414: @2361741
     /* 2361741 */ GIM_Reject,
     /* 2361742 */ // Label 33377: @2361742
     /* 2361742 */ GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2361845),
     /* 2361747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2361750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361758 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2361801), // Rule ID 58923 //
     /* 2361763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361766 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361800 */     // GIR_Coverage, 58923,
     /* 2361800 */     GIR_EraseRootFromParent_Done,
     /* 2361801 */   // Label 33418: @2361801
     /* 2361801 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2361844), // Rule ID 58924 //
     /* 2361806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361809 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2361826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361843 */     // GIR_Coverage, 58924,
     /* 2361843 */     GIR_EraseRootFromParent_Done,
     /* 2361844 */   // Label 33419: @2361844
     /* 2361844 */   GIM_Reject,
     /* 2361845 */ // Label 33417: @2361845
     /* 2361845 */ GIM_Reject,
     /* 2361846 */ // Label 33378: @2361846
     /* 2361846 */ GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2361949),
     /* 2361851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2361854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361862 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2361905), // Rule ID 58931 //
     /* 2361867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361870 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361904 */     // GIR_Coverage, 58931,
     /* 2361904 */     GIR_EraseRootFromParent_Done,
     /* 2361905 */   // Label 33421: @2361905
     /* 2361905 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2361948), // Rule ID 58932 //
     /* 2361910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361913 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2361930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361947 */     // GIR_Coverage, 58932,
     /* 2361947 */     GIR_EraseRootFromParent_Done,
     /* 2361948 */   // Label 33422: @2361948
     /* 2361948 */   GIM_Reject,
     /* 2361949 */ // Label 33420: @2361949
     /* 2361949 */ GIM_Reject,
     /* 2361950 */ // Label 33379: @2361950
     /* 2361950 */ GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2362053),
     /* 2361955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2361958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361966 */   GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2362009), // Rule ID 58953 //
     /* 2361971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361974 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2361991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362008 */     // GIR_Coverage, 58953,
     /* 2362008 */     GIR_EraseRootFromParent_Done,
     /* 2362009 */   // Label 33424: @2362009
     /* 2362009 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2362052), // Rule ID 58954 //
     /* 2362014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362017 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362051 */     // GIR_Coverage, 58954,
     /* 2362051 */     GIR_EraseRootFromParent_Done,
     /* 2362052 */   // Label 33425: @2362052
     /* 2362052 */   GIM_Reject,
     /* 2362053 */ // Label 33423: @2362053
     /* 2362053 */ GIM_Reject,
     /* 2362054 */ // Label 33380: @2362054
     /* 2362054 */ GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2362157),
     /* 2362059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2362062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362070 */   GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2362113), // Rule ID 58919 //
     /* 2362075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362078 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362112 */     // GIR_Coverage, 58919,
     /* 2362112 */     GIR_EraseRootFromParent_Done,
     /* 2362113 */   // Label 33427: @2362113
     /* 2362113 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2362156), // Rule ID 58920 //
     /* 2362118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362121 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2362138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362155 */     // GIR_Coverage, 58920,
     /* 2362155 */     GIR_EraseRootFromParent_Done,
     /* 2362156 */   // Label 33428: @2362156
     /* 2362156 */   GIM_Reject,
     /* 2362157 */ // Label 33426: @2362157
     /* 2362157 */ GIM_Reject,
     /* 2362158 */ // Label 33381: @2362158
     /* 2362158 */ GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2362261),
     /* 2362163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362174 */   GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2362217), // Rule ID 58929 //
     /* 2362179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362182 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362216 */     // GIR_Coverage, 58929,
     /* 2362216 */     GIR_EraseRootFromParent_Done,
     /* 2362217 */   // Label 33430: @2362217
     /* 2362217 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2362260), // Rule ID 58930 //
     /* 2362222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362225 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362259 */     // GIR_Coverage, 58930,
     /* 2362259 */     GIR_EraseRootFromParent_Done,
     /* 2362260 */   // Label 33431: @2362260
     /* 2362260 */   GIM_Reject,
     /* 2362261 */ // Label 33429: @2362261
     /* 2362261 */ GIM_Reject,
     /* 2362262 */ // Label 33382: @2362262
     /* 2362262 */ GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2362365),
     /* 2362267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362278 */   GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2362321), // Rule ID 58947 //
     /* 2362283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362286 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362320 */     // GIR_Coverage, 58947,
     /* 2362320 */     GIR_EraseRootFromParent_Done,
     /* 2362321 */   // Label 33433: @2362321
     /* 2362321 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2362364), // Rule ID 58948 //
     /* 2362326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362329 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362363 */     // GIR_Coverage, 58948,
     /* 2362363 */     GIR_EraseRootFromParent_Done,
     /* 2362364 */   // Label 33434: @2362364
     /* 2362364 */   GIM_Reject,
     /* 2362365 */ // Label 33432: @2362365
     /* 2362365 */ GIM_Reject,
     /* 2362366 */ // Label 33383: @2362366
     /* 2362366 */ GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2362469),
     /* 2362371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362382 */   GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2362425), // Rule ID 58955 //
     /* 2362387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362390 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362424 */     // GIR_Coverage, 58955,
     /* 2362424 */     GIR_EraseRootFromParent_Done,
     /* 2362425 */   // Label 33436: @2362425
     /* 2362425 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2362468), // Rule ID 58956 //
     /* 2362430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362433 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362467 */     // GIR_Coverage, 58956,
     /* 2362467 */     GIR_EraseRootFromParent_Done,
     /* 2362468 */   // Label 33437: @2362468
     /* 2362468 */   GIM_Reject,
     /* 2362469 */ // Label 33435: @2362469
     /* 2362469 */ GIM_Reject,
     /* 2362470 */ // Label 33384: @2362470
     /* 2362470 */ GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2362573),
     /* 2362475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2362478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362486 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2362529), // Rule ID 58927 //
     /* 2362491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362494 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362528 */     // GIR_Coverage, 58927,
     /* 2362528 */     GIR_EraseRootFromParent_Done,
     /* 2362529 */   // Label 33439: @2362529
     /* 2362529 */   GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2362572), // Rule ID 58928 //
     /* 2362534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362537 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2362554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362571 */     // GIR_Coverage, 58928,
     /* 2362571 */     GIR_EraseRootFromParent_Done,
     /* 2362572 */   // Label 33440: @2362572
     /* 2362572 */   GIM_Reject,
     /* 2362573 */ // Label 33438: @2362573
     /* 2362573 */ GIM_Reject,
     /* 2362574 */ // Label 33385: @2362574
     /* 2362574 */ GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2362677),
     /* 2362579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2362582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362590 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2362633), // Rule ID 58941 //
     /* 2362595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362598 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362632 */     // GIR_Coverage, 58941,
     /* 2362632 */     GIR_EraseRootFromParent_Done,
     /* 2362633 */   // Label 33442: @2362633
     /* 2362633 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2362676), // Rule ID 58942 //
     /* 2362638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362641 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362675 */     // GIR_Coverage, 58942,
     /* 2362675 */     GIR_EraseRootFromParent_Done,
     /* 2362676 */   // Label 33443: @2362676
     /* 2362676 */   GIM_Reject,
     /* 2362677 */ // Label 33441: @2362677
     /* 2362677 */ GIM_Reject,
     /* 2362678 */ // Label 33386: @2362678
     /* 2362678 */ GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2362781),
     /* 2362683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2362686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362694 */   GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2362737), // Rule ID 58949 //
     /* 2362699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362702 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362736 */     // GIR_Coverage, 58949,
     /* 2362736 */     GIR_EraseRootFromParent_Done,
     /* 2362737 */   // Label 33445: @2362737
     /* 2362737 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2362780), // Rule ID 58950 //
     /* 2362742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362745 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2362762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362779 */     // GIR_Coverage, 58950,
     /* 2362779 */     GIR_EraseRootFromParent_Done,
     /* 2362780 */   // Label 33446: @2362780
     /* 2362780 */   GIM_Reject,
     /* 2362781 */ // Label 33444: @2362781
     /* 2362781 */ GIM_Reject,
     /* 2362782 */ // Label 33387: @2362782
     /* 2362782 */ GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2362885),
     /* 2362787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2362790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362798 */   GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2362841), // Rule ID 58957 //
     /* 2362803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2362806 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2362823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362840 */     // GIR_Coverage, 58957,
     /* 2362840 */     GIR_EraseRootFromParent_Done,
     /* 2362841 */   // Label 33448: @2362841
     /* 2362841 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2362884), // Rule ID 58958 //
     /* 2362846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2362849 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2362866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362883 */     // GIR_Coverage, 58958,
     /* 2362883 */     GIR_EraseRootFromParent_Done,
     /* 2362884 */   // Label 33449: @2362884
     /* 2362884 */   GIM_Reject,
     /* 2362885 */ // Label 33447: @2362885
     /* 2362885 */ GIM_Reject,
     /* 2362886 */ // Label 33388: @2362886
     /* 2362886 */ GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2362989),
     /* 2362891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2362894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362902 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2362945), // Rule ID 58935 //
     /* 2362907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362910 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362944 */     // GIR_Coverage, 58935,
     /* 2362944 */     GIR_EraseRootFromParent_Done,
     /* 2362945 */   // Label 33451: @2362945
     /* 2362945 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2362988), // Rule ID 58936 //
     /* 2362950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362953 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2362970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362987 */     // GIR_Coverage, 58936,
     /* 2362987 */     GIR_EraseRootFromParent_Done,
     /* 2362988 */   // Label 33452: @2362988
     /* 2362988 */   GIM_Reject,
     /* 2362989 */ // Label 33450: @2362989
     /* 2362989 */ GIM_Reject,
     /* 2362990 */ // Label 33389: @2362990
     /* 2362990 */ GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2363093),
     /* 2362995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2362998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363006 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2363049), // Rule ID 58943 //
     /* 2363011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363014 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363048 */     // GIR_Coverage, 58943,
     /* 2363048 */     GIR_EraseRootFromParent_Done,
     /* 2363049 */   // Label 33454: @2363049
     /* 2363049 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2363092), // Rule ID 58944 //
     /* 2363054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363057 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363091 */     // GIR_Coverage, 58944,
     /* 2363091 */     GIR_EraseRootFromParent_Done,
     /* 2363092 */   // Label 33455: @2363092
     /* 2363092 */   GIM_Reject,
     /* 2363093 */ // Label 33453: @2363093
     /* 2363093 */ GIM_Reject,
     /* 2363094 */ // Label 33390: @2363094
     /* 2363094 */ GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2363197),
     /* 2363099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2363102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363110 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2363153), // Rule ID 58951 //
     /* 2363115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363118 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363152 */     // GIR_Coverage, 58951,
     /* 2363152 */     GIR_EraseRootFromParent_Done,
     /* 2363153 */   // Label 33457: @2363153
     /* 2363153 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2363196), // Rule ID 58952 //
     /* 2363158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363161 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363195 */     // GIR_Coverage, 58952,
     /* 2363195 */     GIR_EraseRootFromParent_Done,
     /* 2363196 */   // Label 33458: @2363196
     /* 2363196 */   GIM_Reject,
     /* 2363197 */ // Label 33456: @2363197
     /* 2363197 */ GIM_Reject,
     /* 2363198 */ // Label 33391: @2363198
     /* 2363198 */ GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2363301),
     /* 2363203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2363206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363214 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2363257), // Rule ID 58937 //
     /* 2363219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363222 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363256 */     // GIR_Coverage, 58937,
     /* 2363256 */     GIR_EraseRootFromParent_Done,
     /* 2363257 */   // Label 33460: @2363257
     /* 2363257 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2363300), // Rule ID 58938 //
     /* 2363262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363265 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2363282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363299 */     // GIR_Coverage, 58938,
     /* 2363299 */     GIR_EraseRootFromParent_Done,
     /* 2363300 */   // Label 33461: @2363300
     /* 2363300 */   GIM_Reject,
     /* 2363301 */ // Label 33459: @2363301
     /* 2363301 */ GIM_Reject,
     /* 2363302 */ // Label 33392: @2363302
     /* 2363302 */ GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2363405),
     /* 2363307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363318 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2363361), // Rule ID 58945 //
     /* 2363323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363326 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363360 */     // GIR_Coverage, 58945,
     /* 2363360 */     GIR_EraseRootFromParent_Done,
     /* 2363361 */   // Label 33463: @2363361
     /* 2363361 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2363404), // Rule ID 58946 //
     /* 2363366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363369 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363403 */     // GIR_Coverage, 58946,
     /* 2363403 */     GIR_EraseRootFromParent_Done,
     /* 2363404 */   // Label 33464: @2363404
     /* 2363404 */   GIM_Reject,
     /* 2363405 */ // Label 33462: @2363405
     /* 2363405 */ GIM_Reject,
     /* 2363406 */ // Label 33393: @2363406
     /* 2363406 */ GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2363509),
     /* 2363411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2363414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363422 */   GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2363465), // Rule ID 58939 //
     /* 2363427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2363430 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363464 */     // GIR_Coverage, 58939,
     /* 2363464 */     GIR_EraseRootFromParent_Done,
     /* 2363465 */   // Label 33466: @2363465
     /* 2363465 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2363508), // Rule ID 58940 //
     /* 2363470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2363473 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2363490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363507 */     // GIR_Coverage, 58940,
     /* 2363507 */     GIR_EraseRootFromParent_Done,
     /* 2363508 */   // Label 33467: @2363508
     /* 2363508 */   GIM_Reject,
     /* 2363509 */ // Label 33465: @2363509
     /* 2363509 */ GIM_Reject,
     /* 2363510 */ // Label 33394: @2363510
     /* 2363510 */ GIM_Reject,
     /* 2363511 */ // Label 89: @2363511
     /* 2363511 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33492*/ GIMT_Encode4(2366045),
     /* 2363522 */ /*GILLT_s32*//*Label 33468*/ GIMT_Encode4(2363646),
     /* 2363526 */ /*GILLT_s64*//*Label 33469*/ GIMT_Encode4(2363709), GIMT_Encode4(0),
     /* 2363534 */ /*GILLT_nxv1s8*//*Label 33470*/ GIMT_Encode4(2363757),
     /* 2363538 */ /*GILLT_nxv1s16*//*Label 33471*/ GIMT_Encode4(2363861),
     /* 2363542 */ /*GILLT_nxv1s32*//*Label 33472*/ GIMT_Encode4(2363965),
     /* 2363546 */ /*GILLT_nxv1s64*//*Label 33473*/ GIMT_Encode4(2364069), GIMT_Encode4(0),
     /* 2363554 */ /*GILLT_nxv2s8*//*Label 33474*/ GIMT_Encode4(2364173),
     /* 2363558 */ /*GILLT_nxv2s16*//*Label 33475*/ GIMT_Encode4(2364277),
     /* 2363562 */ /*GILLT_nxv2s32*//*Label 33476*/ GIMT_Encode4(2364381),
     /* 2363566 */ /*GILLT_nxv2s64*//*Label 33477*/ GIMT_Encode4(2364485), GIMT_Encode4(0),
     /* 2363574 */ /*GILLT_nxv4s8*//*Label 33478*/ GIMT_Encode4(2364589),
     /* 2363578 */ /*GILLT_nxv4s16*//*Label 33479*/ GIMT_Encode4(2364693),
     /* 2363582 */ /*GILLT_nxv4s32*//*Label 33480*/ GIMT_Encode4(2364797),
     /* 2363586 */ /*GILLT_nxv4s64*//*Label 33481*/ GIMT_Encode4(2364901), GIMT_Encode4(0),
     /* 2363594 */ /*GILLT_nxv8s8*//*Label 33482*/ GIMT_Encode4(2365005),
     /* 2363598 */ /*GILLT_nxv8s16*//*Label 33483*/ GIMT_Encode4(2365109),
     /* 2363602 */ /*GILLT_nxv8s32*//*Label 33484*/ GIMT_Encode4(2365213),
     /* 2363606 */ /*GILLT_nxv8s64*//*Label 33485*/ GIMT_Encode4(2365317), GIMT_Encode4(0),
     /* 2363614 */ /*GILLT_nxv16s8*//*Label 33486*/ GIMT_Encode4(2365421),
     /* 2363618 */ /*GILLT_nxv16s16*//*Label 33487*/ GIMT_Encode4(2365525),
     /* 2363622 */ /*GILLT_nxv16s32*//*Label 33488*/ GIMT_Encode4(2365629), GIMT_Encode4(0),
     /* 2363630 */ /*GILLT_nxv32s8*//*Label 33489*/ GIMT_Encode4(2365733),
     /* 2363634 */ /*GILLT_nxv32s16*//*Label 33490*/ GIMT_Encode4(2365837), GIMT_Encode4(0),
     /* 2363642 */ /*GILLT_nxv64s8*//*Label 33491*/ GIMT_Encode4(2365941),
     /* 2363646 */ // Label 33468: @2363646
     /* 2363646 */ GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2363708),
     /* 2363651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363662 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2363677), // Rule ID 2419 //
     /* 2363667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2363670 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2363675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363676 */     // GIR_Coverage, 2419,
     /* 2363676 */     GIR_Done,
     /* 2363677 */   // Label 33494: @2363677
     /* 2363677 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2363692), // Rule ID 2420 //
     /* 2363682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2363685 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2363690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363691 */     // GIR_Coverage, 2420,
     /* 2363691 */     GIR_Done,
     /* 2363692 */   // Label 33495: @2363692
     /* 2363692 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2363707), // Rule ID 62292 //
     /* 2363697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2363700 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2363705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363706 */     // GIR_Coverage, 62292,
     /* 2363706 */     GIR_Done,
     /* 2363707 */   // Label 33496: @2363707
     /* 2363707 */   GIM_Reject,
     /* 2363708 */ // Label 33493: @2363708
     /* 2363708 */ GIM_Reject,
     /* 2363709 */ // Label 33469: @2363709
     /* 2363709 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2363756),
     /* 2363714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363725 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2363740), // Rule ID 2421 //
     /* 2363730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2363733 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2363733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2363738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363739 */     // GIR_Coverage, 2421,
     /* 2363739 */     GIR_Done,
     /* 2363740 */   // Label 33498: @2363740
     /* 2363740 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2363755), // Rule ID 62291 //
     /* 2363745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2363748 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2363748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2363753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363754 */     // GIR_Coverage, 62291,
     /* 2363754 */     GIR_Done,
     /* 2363755 */   // Label 33499: @2363755
     /* 2363755 */   GIM_Reject,
     /* 2363756 */ // Label 33497: @2363756
     /* 2363756 */ GIM_Reject,
     /* 2363757 */ // Label 33470: @2363757
     /* 2363757 */ GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2363860),
     /* 2363762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2363765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363773 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2363816), // Rule ID 58783 //
     /* 2363778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363781 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2363798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363815 */     // GIR_Coverage, 58783,
     /* 2363815 */     GIR_EraseRootFromParent_Done,
     /* 2363816 */   // Label 33501: @2363816
     /* 2363816 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2363859), // Rule ID 58784 //
     /* 2363821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363824 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2363827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2363841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363858 */     // GIR_Coverage, 58784,
     /* 2363858 */     GIR_EraseRootFromParent_Done,
     /* 2363859 */   // Label 33502: @2363859
     /* 2363859 */   GIM_Reject,
     /* 2363860 */ // Label 33500: @2363860
     /* 2363860 */ GIM_Reject,
     /* 2363861 */ // Label 33471: @2363861
     /* 2363861 */ GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2363964),
     /* 2363866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2363869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363877 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2363920), // Rule ID 58789 //
     /* 2363882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363885 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2363902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363919 */     // GIR_Coverage, 58789,
     /* 2363919 */     GIR_EraseRootFromParent_Done,
     /* 2363920 */   // Label 33504: @2363920
     /* 2363920 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2363963), // Rule ID 58790 //
     /* 2363925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363928 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2363945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363962 */     // GIR_Coverage, 58790,
     /* 2363962 */     GIR_EraseRootFromParent_Done,
     /* 2363963 */   // Label 33505: @2363963
     /* 2363963 */   GIM_Reject,
     /* 2363964 */ // Label 33503: @2363964
     /* 2363964 */ GIM_Reject,
     /* 2363965 */ // Label 33472: @2363965
     /* 2363965 */ GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2364068),
     /* 2363970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2363973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363981 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2364024), // Rule ID 58793 //
     /* 2363986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363989 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364023 */     // GIR_Coverage, 58793,
     /* 2364023 */     GIR_EraseRootFromParent_Done,
     /* 2364024 */   // Label 33507: @2364024
     /* 2364024 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2364067), // Rule ID 58794 //
     /* 2364029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364032 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364066 */     // GIR_Coverage, 58794,
     /* 2364066 */     GIR_EraseRootFromParent_Done,
     /* 2364067 */   // Label 33508: @2364067
     /* 2364067 */   GIM_Reject,
     /* 2364068 */ // Label 33506: @2364068
     /* 2364068 */ GIM_Reject,
     /* 2364069 */ // Label 33473: @2364069
     /* 2364069 */ GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2364172),
     /* 2364074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2364077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364085 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2364128), // Rule ID 58801 //
     /* 2364090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364093 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364127 */     // GIR_Coverage, 58801,
     /* 2364127 */     GIR_EraseRootFromParent_Done,
     /* 2364128 */   // Label 33510: @2364128
     /* 2364128 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2364171), // Rule ID 58802 //
     /* 2364133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364136 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2364139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364170 */     // GIR_Coverage, 58802,
     /* 2364170 */     GIR_EraseRootFromParent_Done,
     /* 2364171 */   // Label 33511: @2364171
     /* 2364171 */   GIM_Reject,
     /* 2364172 */ // Label 33509: @2364172
     /* 2364172 */ GIM_Reject,
     /* 2364173 */ // Label 33474: @2364173
     /* 2364173 */ GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2364276),
     /* 2364178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2364181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364189 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2364232), // Rule ID 58785 //
     /* 2364194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364197 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364231 */     // GIR_Coverage, 58785,
     /* 2364231 */     GIR_EraseRootFromParent_Done,
     /* 2364232 */   // Label 33513: @2364232
     /* 2364232 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2364275), // Rule ID 58786 //
     /* 2364237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364240 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2364243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2364257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364274 */     // GIR_Coverage, 58786,
     /* 2364274 */     GIR_EraseRootFromParent_Done,
     /* 2364275 */   // Label 33514: @2364275
     /* 2364275 */   GIM_Reject,
     /* 2364276 */ // Label 33512: @2364276
     /* 2364276 */ GIM_Reject,
     /* 2364277 */ // Label 33475: @2364277
     /* 2364277 */ GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2364380),
     /* 2364282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2364285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364293 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2364336), // Rule ID 58791 //
     /* 2364298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364301 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364335 */     // GIR_Coverage, 58791,
     /* 2364335 */     GIR_EraseRootFromParent_Done,
     /* 2364336 */   // Label 33516: @2364336
     /* 2364336 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2364379), // Rule ID 58792 //
     /* 2364341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364344 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2364347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364378 */     // GIR_Coverage, 58792,
     /* 2364378 */     GIR_EraseRootFromParent_Done,
     /* 2364379 */   // Label 33517: @2364379
     /* 2364379 */   GIM_Reject,
     /* 2364380 */ // Label 33515: @2364380
     /* 2364380 */ GIM_Reject,
     /* 2364381 */ // Label 33476: @2364381
     /* 2364381 */ GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2364484),
     /* 2364386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2364389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364397 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2364440), // Rule ID 58799 //
     /* 2364402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364405 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364439 */     // GIR_Coverage, 58799,
     /* 2364439 */     GIR_EraseRootFromParent_Done,
     /* 2364440 */   // Label 33519: @2364440
     /* 2364440 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2364483), // Rule ID 58800 //
     /* 2364445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364448 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2364451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364482 */     // GIR_Coverage, 58800,
     /* 2364482 */     GIR_EraseRootFromParent_Done,
     /* 2364483 */   // Label 33520: @2364483
     /* 2364483 */   GIM_Reject,
     /* 2364484 */ // Label 33518: @2364484
     /* 2364484 */ GIM_Reject,
     /* 2364485 */ // Label 33477: @2364485
     /* 2364485 */ GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2364588),
     /* 2364490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2364493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364501 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2364544), // Rule ID 58821 //
     /* 2364506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364509 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364543 */     // GIR_Coverage, 58821,
     /* 2364543 */     GIR_EraseRootFromParent_Done,
     /* 2364544 */   // Label 33522: @2364544
     /* 2364544 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2364587), // Rule ID 58822 //
     /* 2364549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364552 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2364555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364586 */     // GIR_Coverage, 58822,
     /* 2364586 */     GIR_EraseRootFromParent_Done,
     /* 2364587 */   // Label 33523: @2364587
     /* 2364587 */   GIM_Reject,
     /* 2364588 */ // Label 33521: @2364588
     /* 2364588 */ GIM_Reject,
     /* 2364589 */ // Label 33478: @2364589
     /* 2364589 */ GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2364692),
     /* 2364594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2364597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364605 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2364648), // Rule ID 58787 //
     /* 2364610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364613 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364647 */     // GIR_Coverage, 58787,
     /* 2364647 */     GIR_EraseRootFromParent_Done,
     /* 2364648 */   // Label 33525: @2364648
     /* 2364648 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2364691), // Rule ID 58788 //
     /* 2364653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364656 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2364659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2364673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364690 */     // GIR_Coverage, 58788,
     /* 2364690 */     GIR_EraseRootFromParent_Done,
     /* 2364691 */   // Label 33526: @2364691
     /* 2364691 */   GIM_Reject,
     /* 2364692 */ // Label 33524: @2364692
     /* 2364692 */ GIM_Reject,
     /* 2364693 */ // Label 33479: @2364693
     /* 2364693 */ GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2364796),
     /* 2364698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2364701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364709 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2364752), // Rule ID 58797 //
     /* 2364714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364717 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364751 */     // GIR_Coverage, 58797,
     /* 2364751 */     GIR_EraseRootFromParent_Done,
     /* 2364752 */   // Label 33528: @2364752
     /* 2364752 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2364795), // Rule ID 58798 //
     /* 2364757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364760 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2364763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2364777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364794 */     // GIR_Coverage, 58798,
     /* 2364794 */     GIR_EraseRootFromParent_Done,
     /* 2364795 */   // Label 33529: @2364795
     /* 2364795 */   GIM_Reject,
     /* 2364796 */ // Label 33527: @2364796
     /* 2364796 */ GIM_Reject,
     /* 2364797 */ // Label 33480: @2364797
     /* 2364797 */ GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2364900),
     /* 2364802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2364805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364813 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2364856), // Rule ID 58815 //
     /* 2364818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364821 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364855 */     // GIR_Coverage, 58815,
     /* 2364855 */     GIR_EraseRootFromParent_Done,
     /* 2364856 */   // Label 33531: @2364856
     /* 2364856 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2364899), // Rule ID 58816 //
     /* 2364861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364864 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2364867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2364881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364898 */     // GIR_Coverage, 58816,
     /* 2364898 */     GIR_EraseRootFromParent_Done,
     /* 2364899 */   // Label 33532: @2364899
     /* 2364899 */   GIM_Reject,
     /* 2364900 */ // Label 33530: @2364900
     /* 2364900 */ GIM_Reject,
     /* 2364901 */ // Label 33481: @2364901
     /* 2364901 */ GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2365004),
     /* 2364906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2364909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364917 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2364960), // Rule ID 58823 //
     /* 2364922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2364925 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364959 */     // GIR_Coverage, 58823,
     /* 2364959 */     GIR_EraseRootFromParent_Done,
     /* 2364960 */   // Label 33534: @2364960
     /* 2364960 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2365003), // Rule ID 58824 //
     /* 2364965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2364968 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2364971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365002 */     // GIR_Coverage, 58824,
     /* 2365002 */     GIR_EraseRootFromParent_Done,
     /* 2365003 */   // Label 33535: @2365003
     /* 2365003 */   GIM_Reject,
     /* 2365004 */ // Label 33533: @2365004
     /* 2365004 */ GIM_Reject,
     /* 2365005 */ // Label 33482: @2365005
     /* 2365005 */ GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2365108),
     /* 2365010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2365013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365021 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2365064), // Rule ID 58795 //
     /* 2365026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365029 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365063 */     // GIR_Coverage, 58795,
     /* 2365063 */     GIR_EraseRootFromParent_Done,
     /* 2365064 */   // Label 33537: @2365064
     /* 2365064 */   GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2365107), // Rule ID 58796 //
     /* 2365069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365072 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2365089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365106 */     // GIR_Coverage, 58796,
     /* 2365106 */     GIR_EraseRootFromParent_Done,
     /* 2365107 */   // Label 33538: @2365107
     /* 2365107 */   GIM_Reject,
     /* 2365108 */ // Label 33536: @2365108
     /* 2365108 */ GIM_Reject,
     /* 2365109 */ // Label 33483: @2365109
     /* 2365109 */ GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2365212),
     /* 2365114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2365117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365125 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2365168), // Rule ID 58809 //
     /* 2365130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365133 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365167 */     // GIR_Coverage, 58809,
     /* 2365167 */     GIR_EraseRootFromParent_Done,
     /* 2365168 */   // Label 33540: @2365168
     /* 2365168 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2365211), // Rule ID 58810 //
     /* 2365173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365176 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365210 */     // GIR_Coverage, 58810,
     /* 2365210 */     GIR_EraseRootFromParent_Done,
     /* 2365211 */   // Label 33541: @2365211
     /* 2365211 */   GIM_Reject,
     /* 2365212 */ // Label 33539: @2365212
     /* 2365212 */ GIM_Reject,
     /* 2365213 */ // Label 33484: @2365213
     /* 2365213 */ GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2365316),
     /* 2365218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2365221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365229 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2365272), // Rule ID 58817 //
     /* 2365234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365237 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365271 */     // GIR_Coverage, 58817,
     /* 2365271 */     GIR_EraseRootFromParent_Done,
     /* 2365272 */   // Label 33543: @2365272
     /* 2365272 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2365315), // Rule ID 58818 //
     /* 2365277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365280 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2365283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365314 */     // GIR_Coverage, 58818,
     /* 2365314 */     GIR_EraseRootFromParent_Done,
     /* 2365315 */   // Label 33544: @2365315
     /* 2365315 */   GIM_Reject,
     /* 2365316 */ // Label 33542: @2365316
     /* 2365316 */ GIM_Reject,
     /* 2365317 */ // Label 33485: @2365317
     /* 2365317 */ GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2365420),
     /* 2365322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2365325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365333 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2365376), // Rule ID 58825 //
     /* 2365338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2365341 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365375 */     // GIR_Coverage, 58825,
     /* 2365375 */     GIR_EraseRootFromParent_Done,
     /* 2365376 */   // Label 33546: @2365376
     /* 2365376 */   GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2365419), // Rule ID 58826 //
     /* 2365381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2365384 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2365387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365418 */     // GIR_Coverage, 58826,
     /* 2365418 */     GIR_EraseRootFromParent_Done,
     /* 2365419 */   // Label 33547: @2365419
     /* 2365419 */   GIM_Reject,
     /* 2365420 */ // Label 33545: @2365420
     /* 2365420 */ GIM_Reject,
     /* 2365421 */ // Label 33486: @2365421
     /* 2365421 */ GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2365524),
     /* 2365426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2365429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365437 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2365480), // Rule ID 58803 //
     /* 2365442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365445 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365479 */     // GIR_Coverage, 58803,
     /* 2365479 */     GIR_EraseRootFromParent_Done,
     /* 2365480 */   // Label 33549: @2365480
     /* 2365480 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2365523), // Rule ID 58804 //
     /* 2365485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365488 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2365491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2365505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365522 */     // GIR_Coverage, 58804,
     /* 2365522 */     GIR_EraseRootFromParent_Done,
     /* 2365523 */   // Label 33550: @2365523
     /* 2365523 */   GIM_Reject,
     /* 2365524 */ // Label 33548: @2365524
     /* 2365524 */ GIM_Reject,
     /* 2365525 */ // Label 33487: @2365525
     /* 2365525 */ GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2365628),
     /* 2365530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2365533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365541 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2365584), // Rule ID 58811 //
     /* 2365546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365549 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365583 */     // GIR_Coverage, 58811,
     /* 2365583 */     GIR_EraseRootFromParent_Done,
     /* 2365584 */   // Label 33552: @2365584
     /* 2365584 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2365627), // Rule ID 58812 //
     /* 2365589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365592 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2365595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365626 */     // GIR_Coverage, 58812,
     /* 2365626 */     GIR_EraseRootFromParent_Done,
     /* 2365627 */   // Label 33553: @2365627
     /* 2365627 */   GIM_Reject,
     /* 2365628 */ // Label 33551: @2365628
     /* 2365628 */ GIM_Reject,
     /* 2365629 */ // Label 33488: @2365629
     /* 2365629 */ GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2365732),
     /* 2365634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2365637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365645 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2365688), // Rule ID 58819 //
     /* 2365650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365653 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365687 */     // GIR_Coverage, 58819,
     /* 2365687 */     GIR_EraseRootFromParent_Done,
     /* 2365688 */   // Label 33555: @2365688
     /* 2365688 */   GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2365731), // Rule ID 58820 //
     /* 2365693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365696 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2365699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365730 */     // GIR_Coverage, 58820,
     /* 2365730 */     GIR_EraseRootFromParent_Done,
     /* 2365731 */   // Label 33556: @2365731
     /* 2365731 */   GIM_Reject,
     /* 2365732 */ // Label 33554: @2365732
     /* 2365732 */ GIM_Reject,
     /* 2365733 */ // Label 33489: @2365733
     /* 2365733 */ GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2365836),
     /* 2365738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2365741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365749 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2365792), // Rule ID 58805 //
     /* 2365754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365757 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365791 */     // GIR_Coverage, 58805,
     /* 2365791 */     GIR_EraseRootFromParent_Done,
     /* 2365792 */   // Label 33558: @2365792
     /* 2365792 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2365835), // Rule ID 58806 //
     /* 2365797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365800 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2365803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2365817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365834 */     // GIR_Coverage, 58806,
     /* 2365834 */     GIR_EraseRootFromParent_Done,
     /* 2365835 */   // Label 33559: @2365835
     /* 2365835 */   GIM_Reject,
     /* 2365836 */ // Label 33557: @2365836
     /* 2365836 */ GIM_Reject,
     /* 2365837 */ // Label 33490: @2365837
     /* 2365837 */ GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2365940),
     /* 2365842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2365845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365853 */   GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2365896), // Rule ID 58813 //
     /* 2365858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365861 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365895 */     // GIR_Coverage, 58813,
     /* 2365895 */     GIR_EraseRootFromParent_Done,
     /* 2365896 */   // Label 33561: @2365896
     /* 2365896 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2365939), // Rule ID 58814 //
     /* 2365901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2365904 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2365907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365938 */     // GIR_Coverage, 58814,
     /* 2365938 */     GIR_EraseRootFromParent_Done,
     /* 2365939 */   // Label 33562: @2365939
     /* 2365939 */   GIM_Reject,
     /* 2365940 */ // Label 33560: @2365940
     /* 2365940 */ GIM_Reject,
     /* 2365941 */ // Label 33491: @2365941
     /* 2365941 */ GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2366044),
     /* 2365946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2365949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2365957 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2366000), // Rule ID 58807 //
     /* 2365962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2365965 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2365968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2365982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365999 */     // GIR_Coverage, 58807,
     /* 2365999 */     GIR_EraseRootFromParent_Done,
     /* 2366000 */   // Label 33564: @2366000
     /* 2366000 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2366043), // Rule ID 58808 //
     /* 2366005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2366008 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2366025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366042 */     // GIR_Coverage, 58808,
     /* 2366042 */     GIR_EraseRootFromParent_Done,
     /* 2366043 */   // Label 33565: @2366043
     /* 2366043 */   GIM_Reject,
     /* 2366044 */ // Label 33563: @2366044
     /* 2366044 */ GIM_Reject,
     /* 2366045 */ // Label 33492: @2366045
     /* 2366045 */ GIM_Reject,
     /* 2366046 */ // Label 90: @2366046
     /* 2366046 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33590*/ GIMT_Encode4(2368539),
     /* 2366057 */ /*GILLT_s32*//*Label 33566*/ GIMT_Encode4(2366181),
     /* 2366061 */ /*GILLT_s64*//*Label 33567*/ GIMT_Encode4(2366216), GIMT_Encode4(0),
     /* 2366069 */ /*GILLT_nxv1s8*//*Label 33568*/ GIMT_Encode4(2366251),
     /* 2366073 */ /*GILLT_nxv1s16*//*Label 33569*/ GIMT_Encode4(2366355),
     /* 2366077 */ /*GILLT_nxv1s32*//*Label 33570*/ GIMT_Encode4(2366459),
     /* 2366081 */ /*GILLT_nxv1s64*//*Label 33571*/ GIMT_Encode4(2366563), GIMT_Encode4(0),
     /* 2366089 */ /*GILLT_nxv2s8*//*Label 33572*/ GIMT_Encode4(2366667),
     /* 2366093 */ /*GILLT_nxv2s16*//*Label 33573*/ GIMT_Encode4(2366771),
     /* 2366097 */ /*GILLT_nxv2s32*//*Label 33574*/ GIMT_Encode4(2366875),
     /* 2366101 */ /*GILLT_nxv2s64*//*Label 33575*/ GIMT_Encode4(2366979), GIMT_Encode4(0),
     /* 2366109 */ /*GILLT_nxv4s8*//*Label 33576*/ GIMT_Encode4(2367083),
     /* 2366113 */ /*GILLT_nxv4s16*//*Label 33577*/ GIMT_Encode4(2367187),
     /* 2366117 */ /*GILLT_nxv4s32*//*Label 33578*/ GIMT_Encode4(2367291),
     /* 2366121 */ /*GILLT_nxv4s64*//*Label 33579*/ GIMT_Encode4(2367395), GIMT_Encode4(0),
     /* 2366129 */ /*GILLT_nxv8s8*//*Label 33580*/ GIMT_Encode4(2367499),
     /* 2366133 */ /*GILLT_nxv8s16*//*Label 33581*/ GIMT_Encode4(2367603),
     /* 2366137 */ /*GILLT_nxv8s32*//*Label 33582*/ GIMT_Encode4(2367707),
     /* 2366141 */ /*GILLT_nxv8s64*//*Label 33583*/ GIMT_Encode4(2367811), GIMT_Encode4(0),
     /* 2366149 */ /*GILLT_nxv16s8*//*Label 33584*/ GIMT_Encode4(2367915),
     /* 2366153 */ /*GILLT_nxv16s16*//*Label 33585*/ GIMT_Encode4(2368019),
     /* 2366157 */ /*GILLT_nxv16s32*//*Label 33586*/ GIMT_Encode4(2368123), GIMT_Encode4(0),
     /* 2366165 */ /*GILLT_nxv32s8*//*Label 33587*/ GIMT_Encode4(2368227),
     /* 2366169 */ /*GILLT_nxv32s16*//*Label 33588*/ GIMT_Encode4(2368331), GIMT_Encode4(0),
     /* 2366177 */ /*GILLT_nxv64s8*//*Label 33589*/ GIMT_Encode4(2368435),
     /* 2366181 */ // Label 33566: @2366181
     /* 2366181 */ GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2366215), // Rule ID 64175 //
     /* 2366186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2366189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2366192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366200 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2366200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366214 */   // GIR_Coverage, 64175,
     /* 2366214 */   GIR_EraseRootFromParent_Done,
     /* 2366215 */ // Label 33591: @2366215
     /* 2366215 */ GIM_Reject,
     /* 2366216 */ // Label 33567: @2366216
     /* 2366216 */ GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2366250), // Rule ID 64174 //
     /* 2366221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2366224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2366227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366235 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2366235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2366238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366240 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2366242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2366248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366249 */   // GIR_Coverage, 64174,
     /* 2366249 */   GIR_EraseRootFromParent_Done,
     /* 2366250 */ // Label 33592: @2366250
     /* 2366250 */ GIM_Reject,
     /* 2366251 */ // Label 33568: @2366251
     /* 2366251 */ GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2366354),
     /* 2366256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2366259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366267 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2366310), // Rule ID 58607 //
     /* 2366272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366275 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366309 */     // GIR_Coverage, 58607,
     /* 2366309 */     GIR_EraseRootFromParent_Done,
     /* 2366310 */   // Label 33594: @2366310
     /* 2366310 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2366353), // Rule ID 58608 //
     /* 2366315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366318 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2366335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366352 */     // GIR_Coverage, 58608,
     /* 2366352 */     GIR_EraseRootFromParent_Done,
     /* 2366353 */   // Label 33595: @2366353
     /* 2366353 */   GIM_Reject,
     /* 2366354 */ // Label 33593: @2366354
     /* 2366354 */ GIM_Reject,
     /* 2366355 */ // Label 33569: @2366355
     /* 2366355 */ GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2366458),
     /* 2366360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366371 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2366414), // Rule ID 58745 //
     /* 2366376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366379 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366413 */     // GIR_Coverage, 58745,
     /* 2366413 */     GIR_EraseRootFromParent_Done,
     /* 2366414 */   // Label 33597: @2366414
     /* 2366414 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2366457), // Rule ID 58746 //
     /* 2366419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366422 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2366425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366456 */     // GIR_Coverage, 58746,
     /* 2366456 */     GIR_EraseRootFromParent_Done,
     /* 2366457 */   // Label 33598: @2366457
     /* 2366457 */   GIM_Reject,
     /* 2366458 */ // Label 33596: @2366458
     /* 2366458 */ GIM_Reject,
     /* 2366459 */ // Label 33570: @2366459
     /* 2366459 */ GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2366562),
     /* 2366464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2366467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366475 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2366518), // Rule ID 58749 //
     /* 2366480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366483 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366517 */     // GIR_Coverage, 58749,
     /* 2366517 */     GIR_EraseRootFromParent_Done,
     /* 2366518 */   // Label 33600: @2366518
     /* 2366518 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2366561), // Rule ID 58750 //
     /* 2366523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366526 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366560 */     // GIR_Coverage, 58750,
     /* 2366560 */     GIR_EraseRootFromParent_Done,
     /* 2366561 */   // Label 33601: @2366561
     /* 2366561 */   GIM_Reject,
     /* 2366562 */ // Label 33599: @2366562
     /* 2366562 */ GIM_Reject,
     /* 2366563 */ // Label 33571: @2366563
     /* 2366563 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2366666),
     /* 2366568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2366571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366579 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2366622), // Rule ID 58757 //
     /* 2366584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2366587 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366621 */     // GIR_Coverage, 58757,
     /* 2366621 */     GIR_EraseRootFromParent_Done,
     /* 2366622 */   // Label 33603: @2366622
     /* 2366622 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2366665), // Rule ID 58758 //
     /* 2366627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2366630 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366664 */     // GIR_Coverage, 58758,
     /* 2366664 */     GIR_EraseRootFromParent_Done,
     /* 2366665 */   // Label 33604: @2366665
     /* 2366665 */   GIM_Reject,
     /* 2366666 */ // Label 33602: @2366666
     /* 2366666 */ GIM_Reject,
     /* 2366667 */ // Label 33572: @2366667
     /* 2366667 */ GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2366770),
     /* 2366672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2366675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366683 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2366726), // Rule ID 58741 //
     /* 2366688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366691 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366725 */     // GIR_Coverage, 58741,
     /* 2366725 */     GIR_EraseRootFromParent_Done,
     /* 2366726 */   // Label 33606: @2366726
     /* 2366726 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2366769), // Rule ID 58742 //
     /* 2366731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366734 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2366737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2366751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366768 */     // GIR_Coverage, 58742,
     /* 2366768 */     GIR_EraseRootFromParent_Done,
     /* 2366769 */   // Label 33607: @2366769
     /* 2366769 */   GIM_Reject,
     /* 2366770 */ // Label 33605: @2366770
     /* 2366770 */ GIM_Reject,
     /* 2366771 */ // Label 33573: @2366771
     /* 2366771 */ GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2366874),
     /* 2366776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2366779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366787 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2366830), // Rule ID 58747 //
     /* 2366792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366795 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366829 */     // GIR_Coverage, 58747,
     /* 2366829 */     GIR_EraseRootFromParent_Done,
     /* 2366830 */   // Label 33609: @2366830
     /* 2366830 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2366873), // Rule ID 58748 //
     /* 2366835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366838 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2366855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366872 */     // GIR_Coverage, 58748,
     /* 2366872 */     GIR_EraseRootFromParent_Done,
     /* 2366873 */   // Label 33610: @2366873
     /* 2366873 */   GIM_Reject,
     /* 2366874 */ // Label 33608: @2366874
     /* 2366874 */ GIM_Reject,
     /* 2366875 */ // Label 33574: @2366875
     /* 2366875 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2366978),
     /* 2366880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2366883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366891 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2366934), // Rule ID 58755 //
     /* 2366896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366899 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366933 */     // GIR_Coverage, 58755,
     /* 2366933 */     GIR_EraseRootFromParent_Done,
     /* 2366934 */   // Label 33612: @2366934
     /* 2366934 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2366977), // Rule ID 58756 //
     /* 2366939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366942 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366976 */     // GIR_Coverage, 58756,
     /* 2366976 */     GIR_EraseRootFromParent_Done,
     /* 2366977 */   // Label 33613: @2366977
     /* 2366977 */   GIM_Reject,
     /* 2366978 */ // Label 33611: @2366978
     /* 2366978 */ GIM_Reject,
     /* 2366979 */ // Label 33575: @2366979
     /* 2366979 */ GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2367082),
     /* 2366984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2366987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366995 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2367038), // Rule ID 58777 //
     /* 2367000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367003 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367037 */     // GIR_Coverage, 58777,
     /* 2367037 */     GIR_EraseRootFromParent_Done,
     /* 2367038 */   // Label 33615: @2367038
     /* 2367038 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2367081), // Rule ID 58778 //
     /* 2367043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367046 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367080 */     // GIR_Coverage, 58778,
     /* 2367080 */     GIR_EraseRootFromParent_Done,
     /* 2367081 */   // Label 33616: @2367081
     /* 2367081 */   GIM_Reject,
     /* 2367082 */ // Label 33614: @2367082
     /* 2367082 */ GIM_Reject,
     /* 2367083 */ // Label 33576: @2367083
     /* 2367083 */ GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2367186),
     /* 2367088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2367091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367099 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2367142), // Rule ID 58743 //
     /* 2367104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367107 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367141 */     // GIR_Coverage, 58743,
     /* 2367141 */     GIR_EraseRootFromParent_Done,
     /* 2367142 */   // Label 33618: @2367142
     /* 2367142 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2367185), // Rule ID 58744 //
     /* 2367147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367150 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2367167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367184 */     // GIR_Coverage, 58744,
     /* 2367184 */     GIR_EraseRootFromParent_Done,
     /* 2367185 */   // Label 33619: @2367185
     /* 2367185 */   GIM_Reject,
     /* 2367186 */ // Label 33617: @2367186
     /* 2367186 */ GIM_Reject,
     /* 2367187 */ // Label 33577: @2367187
     /* 2367187 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2367290),
     /* 2367192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2367195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367203 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2367246), // Rule ID 58753 //
     /* 2367208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367211 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367245 */     // GIR_Coverage, 58753,
     /* 2367245 */     GIR_EraseRootFromParent_Done,
     /* 2367246 */   // Label 33621: @2367246
     /* 2367246 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2367289), // Rule ID 58754 //
     /* 2367251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367254 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367288 */     // GIR_Coverage, 58754,
     /* 2367288 */     GIR_EraseRootFromParent_Done,
     /* 2367289 */   // Label 33622: @2367289
     /* 2367289 */   GIM_Reject,
     /* 2367290 */ // Label 33620: @2367290
     /* 2367290 */ GIM_Reject,
     /* 2367291 */ // Label 33578: @2367291
     /* 2367291 */ GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2367394),
     /* 2367296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2367299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367307 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2367350), // Rule ID 58771 //
     /* 2367312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367315 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367349 */     // GIR_Coverage, 58771,
     /* 2367349 */     GIR_EraseRootFromParent_Done,
     /* 2367350 */   // Label 33624: @2367350
     /* 2367350 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2367393), // Rule ID 58772 //
     /* 2367355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367358 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2367361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367392 */     // GIR_Coverage, 58772,
     /* 2367392 */     GIR_EraseRootFromParent_Done,
     /* 2367393 */   // Label 33625: @2367393
     /* 2367393 */   GIM_Reject,
     /* 2367394 */ // Label 33623: @2367394
     /* 2367394 */ GIM_Reject,
     /* 2367395 */ // Label 33579: @2367395
     /* 2367395 */ GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2367498),
     /* 2367400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2367403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367411 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2367454), // Rule ID 58779 //
     /* 2367416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367419 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367453 */     // GIR_Coverage, 58779,
     /* 2367453 */     GIR_EraseRootFromParent_Done,
     /* 2367454 */   // Label 33627: @2367454
     /* 2367454 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2367497), // Rule ID 58780 //
     /* 2367459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367462 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2367465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367496 */     // GIR_Coverage, 58780,
     /* 2367496 */     GIR_EraseRootFromParent_Done,
     /* 2367497 */   // Label 33628: @2367497
     /* 2367497 */   GIM_Reject,
     /* 2367498 */ // Label 33626: @2367498
     /* 2367498 */ GIM_Reject,
     /* 2367499 */ // Label 33580: @2367499
     /* 2367499 */ GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2367602),
     /* 2367504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2367507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367515 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2367558), // Rule ID 58751 //
     /* 2367520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367523 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367557 */     // GIR_Coverage, 58751,
     /* 2367557 */     GIR_EraseRootFromParent_Done,
     /* 2367558 */   // Label 33630: @2367558
     /* 2367558 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2367601), // Rule ID 58752 //
     /* 2367563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367566 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2367569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2367583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367600 */     // GIR_Coverage, 58752,
     /* 2367600 */     GIR_EraseRootFromParent_Done,
     /* 2367601 */   // Label 33631: @2367601
     /* 2367601 */   GIM_Reject,
     /* 2367602 */ // Label 33629: @2367602
     /* 2367602 */ GIM_Reject,
     /* 2367603 */ // Label 33581: @2367603
     /* 2367603 */ GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2367706),
     /* 2367608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2367611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367619 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2367662), // Rule ID 58765 //
     /* 2367624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367627 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367661 */     // GIR_Coverage, 58765,
     /* 2367661 */     GIR_EraseRootFromParent_Done,
     /* 2367662 */   // Label 33633: @2367662
     /* 2367662 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2367705), // Rule ID 58766 //
     /* 2367667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367670 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367704 */     // GIR_Coverage, 58766,
     /* 2367704 */     GIR_EraseRootFromParent_Done,
     /* 2367705 */   // Label 33634: @2367705
     /* 2367705 */   GIM_Reject,
     /* 2367706 */ // Label 33632: @2367706
     /* 2367706 */ GIM_Reject,
     /* 2367707 */ // Label 33582: @2367707
     /* 2367707 */ GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2367810),
     /* 2367712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2367715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367723 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2367766), // Rule ID 58773 //
     /* 2367728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367731 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367765 */     // GIR_Coverage, 58773,
     /* 2367765 */     GIR_EraseRootFromParent_Done,
     /* 2367766 */   // Label 33636: @2367766
     /* 2367766 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2367809), // Rule ID 58774 //
     /* 2367771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367774 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2367791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367808 */     // GIR_Coverage, 58774,
     /* 2367808 */     GIR_EraseRootFromParent_Done,
     /* 2367809 */   // Label 33637: @2367809
     /* 2367809 */   GIM_Reject,
     /* 2367810 */ // Label 33635: @2367810
     /* 2367810 */ GIM_Reject,
     /* 2367811 */ // Label 33583: @2367811
     /* 2367811 */ GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2367914),
     /* 2367816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2367819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367827 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2367870), // Rule ID 58781 //
     /* 2367832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367835 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2367852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367869 */     // GIR_Coverage, 58781,
     /* 2367869 */     GIR_EraseRootFromParent_Done,
     /* 2367870 */   // Label 33639: @2367870
     /* 2367870 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2367913), // Rule ID 58782 //
     /* 2367875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367878 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2367895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367912 */     // GIR_Coverage, 58782,
     /* 2367912 */     GIR_EraseRootFromParent_Done,
     /* 2367913 */   // Label 33640: @2367913
     /* 2367913 */   GIM_Reject,
     /* 2367914 */ // Label 33638: @2367914
     /* 2367914 */ GIM_Reject,
     /* 2367915 */ // Label 33584: @2367915
     /* 2367915 */ GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2368018),
     /* 2367920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2367923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367931 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2367974), // Rule ID 58759 //
     /* 2367936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367939 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367973 */     // GIR_Coverage, 58759,
     /* 2367973 */     GIR_EraseRootFromParent_Done,
     /* 2367974 */   // Label 33642: @2367974
     /* 2367974 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2368017), // Rule ID 58760 //
     /* 2367979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367982 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2367985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2367999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368016 */     // GIR_Coverage, 58760,
     /* 2368016 */     GIR_EraseRootFromParent_Done,
     /* 2368017 */   // Label 33643: @2368017
     /* 2368017 */   GIM_Reject,
     /* 2368018 */ // Label 33641: @2368018
     /* 2368018 */ GIM_Reject,
     /* 2368019 */ // Label 33585: @2368019
     /* 2368019 */ GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2368122),
     /* 2368024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2368027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368035 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2368078), // Rule ID 58767 //
     /* 2368040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368043 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368077 */     // GIR_Coverage, 58767,
     /* 2368077 */     GIR_EraseRootFromParent_Done,
     /* 2368078 */   // Label 33645: @2368078
     /* 2368078 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2368121), // Rule ID 58768 //
     /* 2368083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368086 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368120 */     // GIR_Coverage, 58768,
     /* 2368120 */     GIR_EraseRootFromParent_Done,
     /* 2368121 */   // Label 33646: @2368121
     /* 2368121 */   GIM_Reject,
     /* 2368122 */ // Label 33644: @2368122
     /* 2368122 */ GIM_Reject,
     /* 2368123 */ // Label 33586: @2368123
     /* 2368123 */ GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2368226),
     /* 2368128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2368131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368139 */   GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2368182), // Rule ID 58775 //
     /* 2368144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368147 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368181 */     // GIR_Coverage, 58775,
     /* 2368181 */     GIR_EraseRootFromParent_Done,
     /* 2368182 */   // Label 33648: @2368182
     /* 2368182 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2368225), // Rule ID 58776 //
     /* 2368187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368190 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368224 */     // GIR_Coverage, 58776,
     /* 2368224 */     GIR_EraseRootFromParent_Done,
     /* 2368225 */   // Label 33649: @2368225
     /* 2368225 */   GIM_Reject,
     /* 2368226 */ // Label 33647: @2368226
     /* 2368226 */ GIM_Reject,
     /* 2368227 */ // Label 33587: @2368227
     /* 2368227 */ GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2368330),
     /* 2368232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2368235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368243 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2368286), // Rule ID 58761 //
     /* 2368248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368251 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368285 */     // GIR_Coverage, 58761,
     /* 2368285 */     GIR_EraseRootFromParent_Done,
     /* 2368286 */   // Label 33651: @2368286
     /* 2368286 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2368329), // Rule ID 58762 //
     /* 2368291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368294 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2368297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2368311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368328 */     // GIR_Coverage, 58762,
     /* 2368328 */     GIR_EraseRootFromParent_Done,
     /* 2368329 */   // Label 33652: @2368329
     /* 2368329 */   GIM_Reject,
     /* 2368330 */ // Label 33650: @2368330
     /* 2368330 */ GIM_Reject,
     /* 2368331 */ // Label 33588: @2368331
     /* 2368331 */ GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2368434),
     /* 2368336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2368339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368347 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2368390), // Rule ID 58769 //
     /* 2368352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368355 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368389 */     // GIR_Coverage, 58769,
     /* 2368389 */     GIR_EraseRootFromParent_Done,
     /* 2368390 */   // Label 33654: @2368390
     /* 2368390 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2368433), // Rule ID 58770 //
     /* 2368395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368398 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2368401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368432 */     // GIR_Coverage, 58770,
     /* 2368432 */     GIR_EraseRootFromParent_Done,
     /* 2368433 */   // Label 33655: @2368433
     /* 2368433 */   GIM_Reject,
     /* 2368434 */ // Label 33653: @2368434
     /* 2368434 */ GIM_Reject,
     /* 2368435 */ // Label 33589: @2368435
     /* 2368435 */ GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2368538),
     /* 2368440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2368443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368451 */   GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2368494), // Rule ID 58763 //
     /* 2368456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368459 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368493 */     // GIR_Coverage, 58763,
     /* 2368493 */     GIR_EraseRootFromParent_Done,
     /* 2368494 */   // Label 33657: @2368494
     /* 2368494 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2368537), // Rule ID 58764 //
     /* 2368499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368502 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2368505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2368519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368536 */     // GIR_Coverage, 58764,
     /* 2368536 */     GIR_EraseRootFromParent_Done,
     /* 2368537 */   // Label 33658: @2368537
     /* 2368537 */   GIM_Reject,
     /* 2368538 */ // Label 33656: @2368538
     /* 2368538 */ GIM_Reject,
     /* 2368539 */ // Label 33590: @2368539
     /* 2368539 */ GIM_Reject,
     /* 2368540 */ // Label 91: @2368540
     /* 2368540 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33662*/ GIMT_Encode4(2368737),
     /* 2368551 */ /*GILLT_s16*//*Label 33659*/ GIMT_Encode4(2368563),
     /* 2368555 */ /*GILLT_s32*//*Label 33660*/ GIMT_Encode4(2368621),
     /* 2368559 */ /*GILLT_s64*//*Label 33661*/ GIMT_Encode4(2368679),
     /* 2368563 */ // Label 33659: @2368563
     /* 2368563 */ GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2368620),
     /* 2368568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368579 */   GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2368599), // Rule ID 2315 //
     /* 2368584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2368587 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2368587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2368590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368598 */     // GIR_Coverage, 2315,
     /* 2368598 */     GIR_EraseRootFromParent_Done,
     /* 2368599 */   // Label 33664: @2368599
     /* 2368599 */   GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2368619), // Rule ID 2316 //
     /* 2368604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2368607 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2368607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2368610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368618 */     // GIR_Coverage, 2316,
     /* 2368618 */     GIR_EraseRootFromParent_Done,
     /* 2368619 */   // Label 33665: @2368619
     /* 2368619 */   GIM_Reject,
     /* 2368620 */ // Label 33663: @2368620
     /* 2368620 */ GIM_Reject,
     /* 2368621 */ // Label 33660: @2368621
     /* 2368621 */ GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2368678),
     /* 2368626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2368637 */   GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2368657), // Rule ID 2233 //
     /* 2368642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2368645 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2368645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2368648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368656 */     // GIR_Coverage, 2233,
     /* 2368656 */     GIR_EraseRootFromParent_Done,
     /* 2368657 */   // Label 33667: @2368657
     /* 2368657 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2368677), // Rule ID 2234 //
     /* 2368662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2368665 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2368665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2368668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368676 */     // GIR_Coverage, 2234,
     /* 2368676 */     GIR_EraseRootFromParent_Done,
     /* 2368677 */   // Label 33668: @2368677
     /* 2368677 */   GIM_Reject,
     /* 2368678 */ // Label 33666: @2368678
     /* 2368678 */ GIM_Reject,
     /* 2368679 */ // Label 33661: @2368679
     /* 2368679 */ GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2368736),
     /* 2368684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368695 */   GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2368715), // Rule ID 2273 //
     /* 2368700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2368703 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2368703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2368706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368714 */     // GIR_Coverage, 2273,
     /* 2368714 */     GIR_EraseRootFromParent_Done,
     /* 2368715 */   // Label 33670: @2368715
     /* 2368715 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2368735), // Rule ID 2274 //
     /* 2368720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2368723 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2368723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2368726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368734 */     // GIR_Coverage, 2274,
     /* 2368734 */     GIR_EraseRootFromParent_Done,
     /* 2368735 */   // Label 33671: @2368735
     /* 2368735 */   GIM_Reject,
     /* 2368736 */ // Label 33669: @2368736
     /* 2368736 */ GIM_Reject,
     /* 2368737 */ // Label 33662: @2368737
     /* 2368737 */ GIM_Reject,
     /* 2368738 */ // Label 92: @2368738
     /* 2368738 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33690*/ GIMT_Encode4(2370913),
     /* 2368749 */ /*GILLT_s16*//*Label 33672*/ GIMT_Encode4(2368869),
     /* 2368753 */ /*GILLT_s32*//*Label 33673*/ GIMT_Encode4(2368991),
     /* 2368757 */ /*GILLT_s64*//*Label 33674*/ GIMT_Encode4(2369113), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368769 */ /*GILLT_nxv1s16*//*Label 33675*/ GIMT_Encode4(2369263),
     /* 2368773 */ /*GILLT_nxv1s32*//*Label 33676*/ GIMT_Encode4(2369373),
     /* 2368777 */ /*GILLT_nxv1s64*//*Label 33677*/ GIMT_Encode4(2369483), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368789 */ /*GILLT_nxv2s16*//*Label 33678*/ GIMT_Encode4(2369593),
     /* 2368793 */ /*GILLT_nxv2s32*//*Label 33679*/ GIMT_Encode4(2369703),
     /* 2368797 */ /*GILLT_nxv2s64*//*Label 33680*/ GIMT_Encode4(2369813), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368809 */ /*GILLT_nxv4s16*//*Label 33681*/ GIMT_Encode4(2369923),
     /* 2368813 */ /*GILLT_nxv4s32*//*Label 33682*/ GIMT_Encode4(2370033),
     /* 2368817 */ /*GILLT_nxv4s64*//*Label 33683*/ GIMT_Encode4(2370143), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368829 */ /*GILLT_nxv8s16*//*Label 33684*/ GIMT_Encode4(2370253),
     /* 2368833 */ /*GILLT_nxv8s32*//*Label 33685*/ GIMT_Encode4(2370363),
     /* 2368837 */ /*GILLT_nxv8s64*//*Label 33686*/ GIMT_Encode4(2370473), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368849 */ /*GILLT_nxv16s16*//*Label 33687*/ GIMT_Encode4(2370583),
     /* 2368853 */ /*GILLT_nxv16s32*//*Label 33688*/ GIMT_Encode4(2370693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2368865 */ /*GILLT_nxv32s16*//*Label 33689*/ GIMT_Encode4(2370803),
     /* 2368869 */ // Label 33672: @2368869
     /* 2368869 */ GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2368990),
     /* 2368874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2368877 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2368905), // Rule ID 1873 //
     /* 2368882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2368885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368893 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2368893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2368896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368904 */     // GIR_Coverage, 1873,
     /* 2368904 */     GIR_EraseRootFromParent_Done,
     /* 2368905 */   // Label 33692: @2368905
     /* 2368905 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2368933), // Rule ID 1874 //
     /* 2368910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2368913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2368921 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2368921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2368924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368932 */     // GIR_Coverage, 1874,
     /* 2368932 */     GIR_EraseRootFromParent_Done,
     /* 2368933 */   // Label 33693: @2368933
     /* 2368933 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2368961), // Rule ID 1906 //
     /* 2368938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2368941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368949 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2368949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2368952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368960 */     // GIR_Coverage, 1906,
     /* 2368960 */     GIR_EraseRootFromParent_Done,
     /* 2368961 */   // Label 33694: @2368961
     /* 2368961 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2368989), // Rule ID 1907 //
     /* 2368966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2368969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2368977 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2368977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2368980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368988 */     // GIR_Coverage, 1907,
     /* 2368988 */     GIR_EraseRootFromParent_Done,
     /* 2368989 */   // Label 33695: @2368989
     /* 2368989 */   GIM_Reject,
     /* 2368990 */ // Label 33691: @2368990
     /* 2368990 */ GIM_Reject,
     /* 2368991 */ // Label 33673: @2368991
     /* 2368991 */ GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2369112),
     /* 2368996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368999 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2369027), // Rule ID 1164 //
     /* 2369004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2369007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369015 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369026 */     // GIR_Coverage, 1164,
     /* 2369026 */     GIR_EraseRootFromParent_Done,
     /* 2369027 */   // Label 33697: @2369027
     /* 2369027 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2369055), // Rule ID 1165 //
     /* 2369032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2369035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369043 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2369046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369054 */     // GIR_Coverage, 1165,
     /* 2369054 */     GIR_EraseRootFromParent_Done,
     /* 2369055 */   // Label 33698: @2369055
     /* 2369055 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2369083), // Rule ID 1172 //
     /* 2369060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2369063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369071 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369082 */     // GIR_Coverage, 1172,
     /* 2369082 */     GIR_EraseRootFromParent_Done,
     /* 2369083 */   // Label 33699: @2369083
     /* 2369083 */   GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2369111), // Rule ID 1173 //
     /* 2369088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2369091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2369099 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2369102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369110 */     // GIR_Coverage, 1173,
     /* 2369110 */     GIR_EraseRootFromParent_Done,
     /* 2369111 */   // Label 33700: @2369111
     /* 2369111 */   GIM_Reject,
     /* 2369112 */ // Label 33696: @2369112
     /* 2369112 */ GIM_Reject,
     /* 2369113 */ // Label 33674: @2369113
     /* 2369113 */ GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2369262),
     /* 2369118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369121 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2369149), // Rule ID 1507 //
     /* 2369126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2369129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369137 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369148 */     // GIR_Coverage, 1507,
     /* 2369148 */     GIR_EraseRootFromParent_Done,
     /* 2369149 */   // Label 33702: @2369149
     /* 2369149 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2369177), // Rule ID 1508 //
     /* 2369154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2369157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369165 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2369168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369176 */     // GIR_Coverage, 1508,
     /* 2369176 */     GIR_EraseRootFromParent_Done,
     /* 2369177 */   // Label 33703: @2369177
     /* 2369177 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2369205), // Rule ID 1541 //
     /* 2369182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2369185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369193 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2369196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369204 */     // GIR_Coverage, 1541,
     /* 2369204 */     GIR_EraseRootFromParent_Done,
     /* 2369205 */   // Label 33704: @2369205
     /* 2369205 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2369233), // Rule ID 1562 //
     /* 2369210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2369213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369221 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369232 */     // GIR_Coverage, 1562,
     /* 2369232 */     GIR_EraseRootFromParent_Done,
     /* 2369233 */   // Label 33705: @2369233
     /* 2369233 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2369261), // Rule ID 1563 //
     /* 2369238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2369241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2369249 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2369252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369260 */     // GIR_Coverage, 1563,
     /* 2369260 */     GIR_EraseRootFromParent_Done,
     /* 2369261 */   // Label 33706: @2369261
     /* 2369261 */   GIM_Reject,
     /* 2369262 */ // Label 33701: @2369262
     /* 2369262 */ GIM_Reject,
     /* 2369263 */ // Label 33675: @2369263
     /* 2369263 */ GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2369372),
     /* 2369268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369279 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2369325), // Rule ID 56105 //
     /* 2369284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369287 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369324 */     // GIR_Coverage, 56105,
     /* 2369324 */     GIR_EraseRootFromParent_Done,
     /* 2369325 */   // Label 33708: @2369325
     /* 2369325 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2369371), // Rule ID 56106 //
     /* 2369330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369333 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2369350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369370 */     // GIR_Coverage, 56106,
     /* 2369370 */     GIR_EraseRootFromParent_Done,
     /* 2369371 */   // Label 33709: @2369371
     /* 2369371 */   GIM_Reject,
     /* 2369372 */ // Label 33707: @2369372
     /* 2369372 */ GIM_Reject,
     /* 2369373 */ // Label 33676: @2369373
     /* 2369373 */ GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2369482),
     /* 2369378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369389 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2369435), // Rule ID 56145 //
     /* 2369394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369397 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369434 */     // GIR_Coverage, 56145,
     /* 2369434 */     GIR_EraseRootFromParent_Done,
     /* 2369435 */   // Label 33711: @2369435
     /* 2369435 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2369481), // Rule ID 56146 //
     /* 2369440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369443 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2369460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369480 */     // GIR_Coverage, 56146,
     /* 2369480 */     GIR_EraseRootFromParent_Done,
     /* 2369481 */   // Label 33712: @2369481
     /* 2369481 */   GIM_Reject,
     /* 2369482 */ // Label 33710: @2369482
     /* 2369482 */ GIM_Reject,
     /* 2369483 */ // Label 33677: @2369483
     /* 2369483 */ GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2369592),
     /* 2369488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369499 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2369545), // Rule ID 56205 //
     /* 2369504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369507 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369544 */     // GIR_Coverage, 56205,
     /* 2369544 */     GIR_EraseRootFromParent_Done,
     /* 2369545 */   // Label 33714: @2369545
     /* 2369545 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2369591), // Rule ID 56206 //
     /* 2369550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369553 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2369570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369590 */     // GIR_Coverage, 56206,
     /* 2369590 */     GIR_EraseRootFromParent_Done,
     /* 2369591 */   // Label 33715: @2369591
     /* 2369591 */   GIM_Reject,
     /* 2369592 */ // Label 33713: @2369592
     /* 2369592 */ GIM_Reject,
     /* 2369593 */ // Label 33678: @2369593
     /* 2369593 */ GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2369702),
     /* 2369598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2369601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369609 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2369655), // Rule ID 56125 //
     /* 2369614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369617 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2369634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369654 */     // GIR_Coverage, 56125,
     /* 2369654 */     GIR_EraseRootFromParent_Done,
     /* 2369655 */   // Label 33717: @2369655
     /* 2369655 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2369701), // Rule ID 56126 //
     /* 2369660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369663 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2369680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369700 */     // GIR_Coverage, 56126,
     /* 2369700 */     GIR_EraseRootFromParent_Done,
     /* 2369701 */   // Label 33718: @2369701
     /* 2369701 */   GIM_Reject,
     /* 2369702 */ // Label 33716: @2369702
     /* 2369702 */ GIM_Reject,
     /* 2369703 */ // Label 33679: @2369703
     /* 2369703 */ GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2369812),
     /* 2369708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2369711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369719 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2369765), // Rule ID 56185 //
     /* 2369724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369727 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2369730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2369744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369764 */     // GIR_Coverage, 56185,
     /* 2369764 */     GIR_EraseRootFromParent_Done,
     /* 2369765 */   // Label 33720: @2369765
     /* 2369765 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2369811), // Rule ID 56186 //
     /* 2369770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369773 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2369776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2369790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369810 */     // GIR_Coverage, 56186,
     /* 2369810 */     GIR_EraseRootFromParent_Done,
     /* 2369811 */   // Label 33721: @2369811
     /* 2369811 */   GIM_Reject,
     /* 2369812 */ // Label 33719: @2369812
     /* 2369812 */ GIM_Reject,
     /* 2369813 */ // Label 33680: @2369813
     /* 2369813 */ GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2369922),
     /* 2369818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2369821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369829 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2369875), // Rule ID 56345 //
     /* 2369834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369837 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2369854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369874 */     // GIR_Coverage, 56345,
     /* 2369874 */     GIR_EraseRootFromParent_Done,
     /* 2369875 */   // Label 33723: @2369875
     /* 2369875 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2369921), // Rule ID 56346 //
     /* 2369880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369883 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2369886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2369900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369920 */     // GIR_Coverage, 56346,
     /* 2369920 */     GIR_EraseRootFromParent_Done,
     /* 2369921 */   // Label 33724: @2369921
     /* 2369921 */   GIM_Reject,
     /* 2369922 */ // Label 33722: @2369922
     /* 2369922 */ GIM_Reject,
     /* 2369923 */ // Label 33681: @2369923
     /* 2369923 */ GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2370032),
     /* 2369928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2369931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369939 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2369985), // Rule ID 56165 //
     /* 2369944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369947 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2369964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369984 */     // GIR_Coverage, 56165,
     /* 2369984 */     GIR_EraseRootFromParent_Done,
     /* 2369985 */   // Label 33726: @2369985
     /* 2369985 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2370031), // Rule ID 56166 //
     /* 2369990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369993 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2370010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370030 */     // GIR_Coverage, 56166,
     /* 2370030 */     GIR_EraseRootFromParent_Done,
     /* 2370031 */   // Label 33727: @2370031
     /* 2370031 */   GIM_Reject,
     /* 2370032 */ // Label 33725: @2370032
     /* 2370032 */ GIM_Reject,
     /* 2370033 */ // Label 33682: @2370033
     /* 2370033 */ GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2370142),
     /* 2370038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370049 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2370095), // Rule ID 56285 //
     /* 2370054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370057 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370094 */     // GIR_Coverage, 56285,
     /* 2370094 */     GIR_EraseRootFromParent_Done,
     /* 2370095 */   // Label 33729: @2370095
     /* 2370095 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2370141), // Rule ID 56286 //
     /* 2370100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370103 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2370120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370140 */     // GIR_Coverage, 56286,
     /* 2370140 */     GIR_EraseRootFromParent_Done,
     /* 2370141 */   // Label 33730: @2370141
     /* 2370141 */   GIM_Reject,
     /* 2370142 */ // Label 33728: @2370142
     /* 2370142 */ GIM_Reject,
     /* 2370143 */ // Label 33683: @2370143
     /* 2370143 */ GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2370252),
     /* 2370148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370159 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2370205), // Rule ID 56365 //
     /* 2370164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370167 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370204 */     // GIR_Coverage, 56365,
     /* 2370204 */     GIR_EraseRootFromParent_Done,
     /* 2370205 */   // Label 33732: @2370205
     /* 2370205 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2370251), // Rule ID 56366 //
     /* 2370210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370213 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2370230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370250 */     // GIR_Coverage, 56366,
     /* 2370250 */     GIR_EraseRootFromParent_Done,
     /* 2370251 */   // Label 33733: @2370251
     /* 2370251 */   GIM_Reject,
     /* 2370252 */ // Label 33731: @2370252
     /* 2370252 */ GIM_Reject,
     /* 2370253 */ // Label 33684: @2370253
     /* 2370253 */ GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2370362),
     /* 2370258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2370261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370269 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2370315), // Rule ID 56225 //
     /* 2370274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370277 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370314 */     // GIR_Coverage, 56225,
     /* 2370314 */     GIR_EraseRootFromParent_Done,
     /* 2370315 */   // Label 33735: @2370315
     /* 2370315 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2370361), // Rule ID 56226 //
     /* 2370320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370323 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2370326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2370340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370360 */     // GIR_Coverage, 56226,
     /* 2370360 */     GIR_EraseRootFromParent_Done,
     /* 2370361 */   // Label 33736: @2370361
     /* 2370361 */   GIM_Reject,
     /* 2370362 */ // Label 33734: @2370362
     /* 2370362 */ GIM_Reject,
     /* 2370363 */ // Label 33685: @2370363
     /* 2370363 */ GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2370472),
     /* 2370368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2370371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370379 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2370425), // Rule ID 56305 //
     /* 2370384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370387 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370424 */     // GIR_Coverage, 56305,
     /* 2370424 */     GIR_EraseRootFromParent_Done,
     /* 2370425 */   // Label 33738: @2370425
     /* 2370425 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2370471), // Rule ID 56306 //
     /* 2370430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370433 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2370436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2370450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370470 */     // GIR_Coverage, 56306,
     /* 2370470 */     GIR_EraseRootFromParent_Done,
     /* 2370471 */   // Label 33739: @2370471
     /* 2370471 */   GIM_Reject,
     /* 2370472 */ // Label 33737: @2370472
     /* 2370472 */ GIM_Reject,
     /* 2370473 */ // Label 33686: @2370473
     /* 2370473 */ GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2370582),
     /* 2370478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2370481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370489 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2370535), // Rule ID 56385 //
     /* 2370494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370497 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370534 */     // GIR_Coverage, 56385,
     /* 2370534 */     GIR_EraseRootFromParent_Done,
     /* 2370535 */   // Label 33741: @2370535
     /* 2370535 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2370581), // Rule ID 56386 //
     /* 2370540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370543 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2370546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2370560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370580 */     // GIR_Coverage, 56386,
     /* 2370580 */     GIR_EraseRootFromParent_Done,
     /* 2370581 */   // Label 33742: @2370581
     /* 2370581 */   GIM_Reject,
     /* 2370582 */ // Label 33740: @2370582
     /* 2370582 */ GIM_Reject,
     /* 2370583 */ // Label 33687: @2370583
     /* 2370583 */ GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2370692),
     /* 2370588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2370591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370599 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2370645), // Rule ID 56245 //
     /* 2370604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370607 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2370624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370644 */     // GIR_Coverage, 56245,
     /* 2370644 */     GIR_EraseRootFromParent_Done,
     /* 2370645 */   // Label 33744: @2370645
     /* 2370645 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2370691), // Rule ID 56246 //
     /* 2370650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370653 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2370656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2370670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370690 */     // GIR_Coverage, 56246,
     /* 2370690 */     GIR_EraseRootFromParent_Done,
     /* 2370691 */   // Label 33745: @2370691
     /* 2370691 */   GIM_Reject,
     /* 2370692 */ // Label 33743: @2370692
     /* 2370692 */ GIM_Reject,
     /* 2370693 */ // Label 33688: @2370693
     /* 2370693 */ GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2370802),
     /* 2370698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2370701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370709 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2370755), // Rule ID 56325 //
     /* 2370714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370717 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2370734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370754 */     // GIR_Coverage, 56325,
     /* 2370754 */     GIR_EraseRootFromParent_Done,
     /* 2370755 */   // Label 33747: @2370755
     /* 2370755 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2370801), // Rule ID 56326 //
     /* 2370760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370763 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2370766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2370780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370800 */     // GIR_Coverage, 56326,
     /* 2370800 */     GIR_EraseRootFromParent_Done,
     /* 2370801 */   // Label 33748: @2370801
     /* 2370801 */   GIM_Reject,
     /* 2370802 */ // Label 33746: @2370802
     /* 2370802 */ GIM_Reject,
     /* 2370803 */ // Label 33689: @2370803
     /* 2370803 */ GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2370912),
     /* 2370808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2370811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2370819 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2370865), // Rule ID 56265 //
     /* 2370824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370827 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2370844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370864 */     // GIR_Coverage, 56265,
     /* 2370864 */     GIR_EraseRootFromParent_Done,
     /* 2370865 */   // Label 33750: @2370865
     /* 2370865 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2370911), // Rule ID 56266 //
     /* 2370870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370873 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2370890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2370897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370910 */     // GIR_Coverage, 56266,
     /* 2370910 */     GIR_EraseRootFromParent_Done,
     /* 2370911 */   // Label 33751: @2370911
     /* 2370911 */   GIM_Reject,
     /* 2370912 */ // Label 33749: @2370912
     /* 2370912 */ GIM_Reject,
     /* 2370913 */ // Label 33690: @2370913
     /* 2370913 */ GIM_Reject,
     /* 2370914 */ // Label 93: @2370914
     /* 2370914 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33755*/ GIMT_Encode4(2371111),
     /* 2370925 */ /*GILLT_s16*//*Label 33752*/ GIMT_Encode4(2370937),
     /* 2370929 */ /*GILLT_s32*//*Label 33753*/ GIMT_Encode4(2370995),
     /* 2370933 */ /*GILLT_s64*//*Label 33754*/ GIMT_Encode4(2371053),
     /* 2370937 */ // Label 33752: @2370937
     /* 2370937 */ GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2370994),
     /* 2370942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2370945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370953 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2370973), // Rule ID 2311 //
     /* 2370958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2370961 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2370961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2370964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2370971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370972 */     // GIR_Coverage, 2311,
     /* 2370972 */     GIR_EraseRootFromParent_Done,
     /* 2370973 */   // Label 33757: @2370973
     /* 2370973 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2370993), // Rule ID 2312 //
     /* 2370978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2370981 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2370981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2370984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2370991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370992 */     // GIR_Coverage, 2312,
     /* 2370992 */     GIR_EraseRootFromParent_Done,
     /* 2370993 */   // Label 33758: @2370993
     /* 2370993 */   GIM_Reject,
     /* 2370994 */ // Label 33756: @2370994
     /* 2370994 */ GIM_Reject,
     /* 2370995 */ // Label 33753: @2370995
     /* 2370995 */ GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2371052),
     /* 2371000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371011 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2371031), // Rule ID 2229 //
     /* 2371016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371019 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2371019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371030 */     // GIR_Coverage, 2229,
     /* 2371030 */     GIR_EraseRootFromParent_Done,
     /* 2371031 */   // Label 33760: @2371031
     /* 2371031 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2371051), // Rule ID 2230 //
     /* 2371036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371039 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2371039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371050 */     // GIR_Coverage, 2230,
     /* 2371050 */     GIR_EraseRootFromParent_Done,
     /* 2371051 */   // Label 33761: @2371051
     /* 2371051 */   GIM_Reject,
     /* 2371052 */ // Label 33759: @2371052
     /* 2371052 */ GIM_Reject,
     /* 2371053 */ // Label 33754: @2371053
     /* 2371053 */ GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2371110),
     /* 2371058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371069 */   GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2371089), // Rule ID 2269 //
     /* 2371074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371077 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2371077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371088 */     // GIR_Coverage, 2269,
     /* 2371088 */     GIR_EraseRootFromParent_Done,
     /* 2371089 */   // Label 33763: @2371089
     /* 2371089 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2371109), // Rule ID 2270 //
     /* 2371094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371097 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2371097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2371107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371108 */     // GIR_Coverage, 2270,
     /* 2371108 */     GIR_EraseRootFromParent_Done,
     /* 2371109 */   // Label 33764: @2371109
     /* 2371109 */   GIM_Reject,
     /* 2371110 */ // Label 33762: @2371110
     /* 2371110 */ GIM_Reject,
     /* 2371111 */ // Label 33755: @2371111
     /* 2371111 */ GIM_Reject,
     /* 2371112 */ // Label 94: @2371112
     /* 2371112 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33768*/ GIMT_Encode4(2371309),
     /* 2371123 */ /*GILLT_s16*//*Label 33765*/ GIMT_Encode4(2371135),
     /* 2371127 */ /*GILLT_s32*//*Label 33766*/ GIMT_Encode4(2371193),
     /* 2371131 */ /*GILLT_s64*//*Label 33767*/ GIMT_Encode4(2371251),
     /* 2371135 */ // Label 33765: @2371135
     /* 2371135 */ GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2371192),
     /* 2371140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371151 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2371171), // Rule ID 2295 //
     /* 2371156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371159 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371170 */     // GIR_Coverage, 2295,
     /* 2371170 */     GIR_EraseRootFromParent_Done,
     /* 2371171 */   // Label 33770: @2371171
     /* 2371171 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2371191), // Rule ID 2296 //
     /* 2371176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371179 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2371182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371190 */     // GIR_Coverage, 2296,
     /* 2371190 */     GIR_EraseRootFromParent_Done,
     /* 2371191 */   // Label 33771: @2371191
     /* 2371191 */   GIM_Reject,
     /* 2371192 */ // Label 33769: @2371192
     /* 2371192 */ GIM_Reject,
     /* 2371193 */ // Label 33766: @2371193
     /* 2371193 */ GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2371250),
     /* 2371198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371209 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2371229), // Rule ID 2213 //
     /* 2371214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371217 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371228 */     // GIR_Coverage, 2213,
     /* 2371228 */     GIR_EraseRootFromParent_Done,
     /* 2371229 */   // Label 33773: @2371229
     /* 2371229 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2371249), // Rule ID 2214 //
     /* 2371234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371237 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2371240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371248 */     // GIR_Coverage, 2214,
     /* 2371248 */     GIR_EraseRootFromParent_Done,
     /* 2371249 */   // Label 33774: @2371249
     /* 2371249 */   GIM_Reject,
     /* 2371250 */ // Label 33772: @2371250
     /* 2371250 */ GIM_Reject,
     /* 2371251 */ // Label 33767: @2371251
     /* 2371251 */ GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2371308),
     /* 2371256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371267 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2371287), // Rule ID 2253 //
     /* 2371272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371275 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371286 */     // GIR_Coverage, 2253,
     /* 2371286 */     GIR_EraseRootFromParent_Done,
     /* 2371287 */   // Label 33776: @2371287
     /* 2371287 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2371307), // Rule ID 2254 //
     /* 2371292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371295 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2371298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371306 */     // GIR_Coverage, 2254,
     /* 2371306 */     GIR_EraseRootFromParent_Done,
     /* 2371307 */   // Label 33777: @2371307
     /* 2371307 */   GIM_Reject,
     /* 2371308 */ // Label 33775: @2371308
     /* 2371308 */ GIM_Reject,
     /* 2371309 */ // Label 33768: @2371309
     /* 2371309 */ GIM_Reject,
     /* 2371310 */ // Label 95: @2371310
     /* 2371310 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33781*/ GIMT_Encode4(2371507),
     /* 2371321 */ /*GILLT_s16*//*Label 33778*/ GIMT_Encode4(2371333),
     /* 2371325 */ /*GILLT_s32*//*Label 33779*/ GIMT_Encode4(2371391),
     /* 2371329 */ /*GILLT_s64*//*Label 33780*/ GIMT_Encode4(2371449),
     /* 2371333 */ // Label 33778: @2371333
     /* 2371333 */ GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2371390),
     /* 2371338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371349 */   GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2371369), // Rule ID 2299 //
     /* 2371354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2371357 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2371357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371368 */     // GIR_Coverage, 2299,
     /* 2371368 */     GIR_EraseRootFromParent_Done,
     /* 2371369 */   // Label 33783: @2371369
     /* 2371369 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2371389), // Rule ID 2300 //
     /* 2371374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2371377 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2371377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2371380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371388 */     // GIR_Coverage, 2300,
     /* 2371388 */     GIR_EraseRootFromParent_Done,
     /* 2371389 */   // Label 33784: @2371389
     /* 2371389 */   GIM_Reject,
     /* 2371390 */ // Label 33782: @2371390
     /* 2371390 */ GIM_Reject,
     /* 2371391 */ // Label 33779: @2371391
     /* 2371391 */ GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2371448),
     /* 2371396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371407 */   GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2371427), // Rule ID 2217 //
     /* 2371412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2371415 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2371415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371426 */     // GIR_Coverage, 2217,
     /* 2371426 */     GIR_EraseRootFromParent_Done,
     /* 2371427 */   // Label 33786: @2371427
     /* 2371427 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2371447), // Rule ID 2218 //
     /* 2371432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2371435 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2371435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2371438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371446 */     // GIR_Coverage, 2218,
     /* 2371446 */     GIR_EraseRootFromParent_Done,
     /* 2371447 */   // Label 33787: @2371447
     /* 2371447 */   GIM_Reject,
     /* 2371448 */ // Label 33785: @2371448
     /* 2371448 */ GIM_Reject,
     /* 2371449 */ // Label 33780: @2371449
     /* 2371449 */ GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2371506),
     /* 2371454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371465 */   GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2371485), // Rule ID 2257 //
     /* 2371470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2371473 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2371473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371484 */     // GIR_Coverage, 2257,
     /* 2371484 */     GIR_EraseRootFromParent_Done,
     /* 2371485 */   // Label 33789: @2371485
     /* 2371485 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2371505), // Rule ID 2258 //
     /* 2371490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2371493 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2371493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2371496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371504 */     // GIR_Coverage, 2258,
     /* 2371504 */     GIR_EraseRootFromParent_Done,
     /* 2371505 */   // Label 33790: @2371505
     /* 2371505 */   GIM_Reject,
     /* 2371506 */ // Label 33788: @2371506
     /* 2371506 */ GIM_Reject,
     /* 2371507 */ // Label 33781: @2371507
     /* 2371507 */ GIM_Reject,
     /* 2371508 */ // Label 96: @2371508
     /* 2371508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33809*/ GIMT_Encode4(2373935),
     /* 2371519 */ /*GILLT_s16*//*Label 33791*/ GIMT_Encode4(2371639),
     /* 2371523 */ /*GILLT_s32*//*Label 33792*/ GIMT_Encode4(2371788),
     /* 2371527 */ /*GILLT_s64*//*Label 33793*/ GIMT_Encode4(2371937), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371539 */ /*GILLT_nxv1s16*//*Label 33794*/ GIMT_Encode4(2372120),
     /* 2371543 */ /*GILLT_nxv1s32*//*Label 33795*/ GIMT_Encode4(2372241),
     /* 2371547 */ /*GILLT_nxv1s64*//*Label 33796*/ GIMT_Encode4(2372362), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371559 */ /*GILLT_nxv2s16*//*Label 33797*/ GIMT_Encode4(2372483),
     /* 2371563 */ /*GILLT_nxv2s32*//*Label 33798*/ GIMT_Encode4(2372604),
     /* 2371567 */ /*GILLT_nxv2s64*//*Label 33799*/ GIMT_Encode4(2372725), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371579 */ /*GILLT_nxv4s16*//*Label 33800*/ GIMT_Encode4(2372846),
     /* 2371583 */ /*GILLT_nxv4s32*//*Label 33801*/ GIMT_Encode4(2372967),
     /* 2371587 */ /*GILLT_nxv4s64*//*Label 33802*/ GIMT_Encode4(2373088), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371599 */ /*GILLT_nxv8s16*//*Label 33803*/ GIMT_Encode4(2373209),
     /* 2371603 */ /*GILLT_nxv8s32*//*Label 33804*/ GIMT_Encode4(2373330),
     /* 2371607 */ /*GILLT_nxv8s64*//*Label 33805*/ GIMT_Encode4(2373451), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371619 */ /*GILLT_nxv16s16*//*Label 33806*/ GIMT_Encode4(2373572),
     /* 2371623 */ /*GILLT_nxv16s32*//*Label 33807*/ GIMT_Encode4(2373693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2371635 */ /*GILLT_nxv32s16*//*Label 33808*/ GIMT_Encode4(2373814),
     /* 2371639 */ // Label 33791: @2371639
     /* 2371639 */ GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2371787),
     /* 2371644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2371647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2371650 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2371684), // Rule ID 1839 //
     /* 2371655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2371658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371670 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2371670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2371673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371683 */     // GIR_Coverage, 1839,
     /* 2371683 */     GIR_EraseRootFromParent_Done,
     /* 2371684 */   // Label 33811: @2371684
     /* 2371684 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2371718), // Rule ID 1840 //
     /* 2371689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2371692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2371704 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2371704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2371707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371717 */     // GIR_Coverage, 1840,
     /* 2371717 */     GIR_EraseRootFromParent_Done,
     /* 2371718 */   // Label 33812: @2371718
     /* 2371718 */   GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2371752), // Rule ID 1843 //
     /* 2371723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2371726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371738 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2371738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2371741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371751 */     // GIR_Coverage, 1843,
     /* 2371751 */     GIR_EraseRootFromParent_Done,
     /* 2371752 */   // Label 33813: @2371752
     /* 2371752 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2371786), // Rule ID 1844 //
     /* 2371757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2371760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2371772 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2371772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2371775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371785 */     // GIR_Coverage, 1844,
     /* 2371785 */     GIR_EraseRootFromParent_Done,
     /* 2371786 */   // Label 33814: @2371786
     /* 2371786 */   GIM_Reject,
     /* 2371787 */ // Label 33810: @2371787
     /* 2371787 */ GIM_Reject,
     /* 2371788 */ // Label 33792: @2371788
     /* 2371788 */ GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2371936),
     /* 2371793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2371796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2371799 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2371833), // Rule ID 1130 //
     /* 2371804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2371807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371819 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2371819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2371822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371832 */     // GIR_Coverage, 1130,
     /* 2371832 */     GIR_EraseRootFromParent_Done,
     /* 2371833 */   // Label 33816: @2371833
     /* 2371833 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2371867), // Rule ID 1131 //
     /* 2371838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2371841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2371853 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2371853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2371856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371866 */     // GIR_Coverage, 1131,
     /* 2371866 */     GIR_EraseRootFromParent_Done,
     /* 2371867 */   // Label 33817: @2371867
     /* 2371867 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2371901), // Rule ID 1134 //
     /* 2371872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2371875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371887 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2371887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2371890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371900 */     // GIR_Coverage, 1134,
     /* 2371900 */     GIR_EraseRootFromParent_Done,
     /* 2371901 */   // Label 33818: @2371901
     /* 2371901 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2371935), // Rule ID 1135 //
     /* 2371906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2371909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2371921 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2371921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2371924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371934 */     // GIR_Coverage, 1135,
     /* 2371934 */     GIR_EraseRootFromParent_Done,
     /* 2371935 */   // Label 33819: @2371935
     /* 2371935 */   GIM_Reject,
     /* 2371936 */ // Label 33815: @2371936
     /* 2371936 */ GIM_Reject,
     /* 2371937 */ // Label 33793: @2371937
     /* 2371937 */ GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2372119),
     /* 2371942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2371945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2371948 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2371982), // Rule ID 1465 //
     /* 2371953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2371956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371968 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2371968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2371971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371981 */     // GIR_Coverage, 1465,
     /* 2371981 */     GIR_EraseRootFromParent_Done,
     /* 2371982 */   // Label 33821: @2371982
     /* 2371982 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2372016), // Rule ID 1466 //
     /* 2371987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2371990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2371998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372002 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2372005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372015 */     // GIR_Coverage, 1466,
     /* 2372015 */     GIR_EraseRootFromParent_Done,
     /* 2372016 */   // Label 33822: @2372016
     /* 2372016 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2372050), // Rule ID 1469 //
     /* 2372021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2372024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372036 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372049 */     // GIR_Coverage, 1469,
     /* 2372049 */     GIR_EraseRootFromParent_Done,
     /* 2372050 */   // Label 33823: @2372050
     /* 2372050 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2372084), // Rule ID 1470 //
     /* 2372055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2372058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372070 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2372073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372083 */     // GIR_Coverage, 1470,
     /* 2372083 */     GIR_EraseRootFromParent_Done,
     /* 2372084 */   // Label 33824: @2372084
     /* 2372084 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2372118), // Rule ID 1473 //
     /* 2372089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2372092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372104 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2372107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372117 */     // GIR_Coverage, 1473,
     /* 2372117 */     GIR_EraseRootFromParent_Done,
     /* 2372118 */   // Label 33825: @2372118
     /* 2372118 */   GIM_Reject,
     /* 2372119 */ // Label 33820: @2372119
     /* 2372119 */ GIM_Reject,
     /* 2372120 */ // Label 33794: @2372120
     /* 2372120 */ GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2372240),
     /* 2372125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372143 */   GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2372191), // Rule ID 45629 //
     /* 2372148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372151 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372190 */     // GIR_Coverage, 45629,
     /* 2372190 */     GIR_EraseRootFromParent_Done,
     /* 2372191 */   // Label 33827: @2372191
     /* 2372191 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2372239), // Rule ID 45630 //
     /* 2372196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372199 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2372216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372238 */     // GIR_Coverage, 45630,
     /* 2372238 */     GIR_EraseRootFromParent_Done,
     /* 2372239 */   // Label 33828: @2372239
     /* 2372239 */   GIM_Reject,
     /* 2372240 */ // Label 33826: @2372240
     /* 2372240 */ GIM_Reject,
     /* 2372241 */ // Label 33795: @2372241
     /* 2372241 */ GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2372361),
     /* 2372246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2372252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372264 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2372312), // Rule ID 53165 //
     /* 2372269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372272 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372311 */     // GIR_Coverage, 53165,
     /* 2372311 */     GIR_EraseRootFromParent_Done,
     /* 2372312 */   // Label 33830: @2372312
     /* 2372312 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2372360), // Rule ID 53166 //
     /* 2372317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372320 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2372337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372359 */     // GIR_Coverage, 53166,
     /* 2372359 */     GIR_EraseRootFromParent_Done,
     /* 2372360 */   // Label 33831: @2372360
     /* 2372360 */   GIM_Reject,
     /* 2372361 */ // Label 33829: @2372361
     /* 2372361 */ GIM_Reject,
     /* 2372362 */ // Label 33796: @2372362
     /* 2372362 */ GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2372482),
     /* 2372367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2372373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372385 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2372433), // Rule ID 53201 //
     /* 2372390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372393 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372432 */     // GIR_Coverage, 53201,
     /* 2372432 */     GIR_EraseRootFromParent_Done,
     /* 2372433 */   // Label 33833: @2372433
     /* 2372433 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2372481), // Rule ID 53202 //
     /* 2372438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372441 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2372458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372480 */     // GIR_Coverage, 53202,
     /* 2372480 */     GIR_EraseRootFromParent_Done,
     /* 2372481 */   // Label 33834: @2372481
     /* 2372481 */   GIM_Reject,
     /* 2372482 */ // Label 33832: @2372482
     /* 2372482 */ GIM_Reject,
     /* 2372483 */ // Label 33797: @2372483
     /* 2372483 */ GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2372603),
     /* 2372488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2372494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372506 */   GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2372554), // Rule ID 53153 //
     /* 2372511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372514 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372553 */     // GIR_Coverage, 53153,
     /* 2372553 */     GIR_EraseRootFromParent_Done,
     /* 2372554 */   // Label 33836: @2372554
     /* 2372554 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2372602), // Rule ID 53154 //
     /* 2372559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372562 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2372565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2372579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372601 */     // GIR_Coverage, 53154,
     /* 2372601 */     GIR_EraseRootFromParent_Done,
     /* 2372602 */   // Label 33837: @2372602
     /* 2372602 */   GIM_Reject,
     /* 2372603 */ // Label 33835: @2372603
     /* 2372603 */ GIM_Reject,
     /* 2372604 */ // Label 33798: @2372604
     /* 2372604 */ GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2372724),
     /* 2372609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2372612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2372615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372627 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2372675), // Rule ID 53189 //
     /* 2372632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372635 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2372652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372674 */     // GIR_Coverage, 53189,
     /* 2372674 */     GIR_EraseRootFromParent_Done,
     /* 2372675 */   // Label 33839: @2372675
     /* 2372675 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2372723), // Rule ID 53190 //
     /* 2372680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372683 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2372686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2372700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372722 */     // GIR_Coverage, 53190,
     /* 2372722 */     GIR_EraseRootFromParent_Done,
     /* 2372723 */   // Label 33840: @2372723
     /* 2372723 */   GIM_Reject,
     /* 2372724 */ // Label 33838: @2372724
     /* 2372724 */ GIM_Reject,
     /* 2372725 */ // Label 33799: @2372725
     /* 2372725 */ GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2372845),
     /* 2372730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2372733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2372736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372748 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2372796), // Rule ID 53285 //
     /* 2372753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372756 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2372759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2372773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372795 */     // GIR_Coverage, 53285,
     /* 2372795 */     GIR_EraseRootFromParent_Done,
     /* 2372796 */   // Label 33842: @2372796
     /* 2372796 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2372844), // Rule ID 53286 //
     /* 2372801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372804 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2372807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2372821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372843 */     // GIR_Coverage, 53286,
     /* 2372843 */     GIR_EraseRootFromParent_Done,
     /* 2372844 */   // Label 33843: @2372844
     /* 2372844 */   GIM_Reject,
     /* 2372845 */ // Label 33841: @2372845
     /* 2372845 */ GIM_Reject,
     /* 2372846 */ // Label 33800: @2372846
     /* 2372846 */ GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2372966),
     /* 2372851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2372854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2372857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372869 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2372917), // Rule ID 53177 //
     /* 2372874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372877 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2372894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372916 */     // GIR_Coverage, 53177,
     /* 2372916 */     GIR_EraseRootFromParent_Done,
     /* 2372917 */   // Label 33845: @2372917
     /* 2372917 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2372965), // Rule ID 53178 //
     /* 2372922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372925 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2372928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2372942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372964 */     // GIR_Coverage, 53178,
     /* 2372964 */     GIR_EraseRootFromParent_Done,
     /* 2372965 */   // Label 33846: @2372965
     /* 2372965 */   GIM_Reject,
     /* 2372966 */ // Label 33844: @2372966
     /* 2372966 */ GIM_Reject,
     /* 2372967 */ // Label 33801: @2372967
     /* 2372967 */ GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2373087),
     /* 2372972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2372975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2372978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372990 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2373038), // Rule ID 53249 //
     /* 2372995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372998 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373037 */     // GIR_Coverage, 53249,
     /* 2373037 */     GIR_EraseRootFromParent_Done,
     /* 2373038 */   // Label 33848: @2373038
     /* 2373038 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2373086), // Rule ID 53250 //
     /* 2373043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373046 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2373063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373085 */     // GIR_Coverage, 53250,
     /* 2373085 */     GIR_EraseRootFromParent_Done,
     /* 2373086 */   // Label 33849: @2373086
     /* 2373086 */   GIM_Reject,
     /* 2373087 */ // Label 33847: @2373087
     /* 2373087 */ GIM_Reject,
     /* 2373088 */ // Label 33802: @2373088
     /* 2373088 */ GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2373208),
     /* 2373093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373111 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2373159), // Rule ID 53297 //
     /* 2373116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373119 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373158 */     // GIR_Coverage, 53297,
     /* 2373158 */     GIR_EraseRootFromParent_Done,
     /* 2373159 */   // Label 33851: @2373159
     /* 2373159 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2373207), // Rule ID 53298 //
     /* 2373164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373167 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2373184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373206 */     // GIR_Coverage, 53298,
     /* 2373206 */     GIR_EraseRootFromParent_Done,
     /* 2373207 */   // Label 33852: @2373207
     /* 2373207 */   GIM_Reject,
     /* 2373208 */ // Label 33850: @2373208
     /* 2373208 */ GIM_Reject,
     /* 2373209 */ // Label 33803: @2373209
     /* 2373209 */ GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2373329),
     /* 2373214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2373220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373232 */   GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2373280), // Rule ID 53213 //
     /* 2373237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373240 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373279 */     // GIR_Coverage, 53213,
     /* 2373279 */     GIR_EraseRootFromParent_Done,
     /* 2373280 */   // Label 33854: @2373280
     /* 2373280 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2373328), // Rule ID 53214 //
     /* 2373285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373288 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2373305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373327 */     // GIR_Coverage, 53214,
     /* 2373327 */     GIR_EraseRootFromParent_Done,
     /* 2373328 */   // Label 33855: @2373328
     /* 2373328 */   GIM_Reject,
     /* 2373329 */ // Label 33853: @2373329
     /* 2373329 */ GIM_Reject,
     /* 2373330 */ // Label 33804: @2373330
     /* 2373330 */ GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2373450),
     /* 2373335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2373341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373353 */   GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2373401), // Rule ID 53261 //
     /* 2373358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373361 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373400 */     // GIR_Coverage, 53261,
     /* 2373400 */     GIR_EraseRootFromParent_Done,
     /* 2373401 */   // Label 33857: @2373401
     /* 2373401 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2373449), // Rule ID 53262 //
     /* 2373406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373409 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2373426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373448 */     // GIR_Coverage, 53262,
     /* 2373448 */     GIR_EraseRootFromParent_Done,
     /* 2373449 */   // Label 33858: @2373449
     /* 2373449 */   GIM_Reject,
     /* 2373450 */ // Label 33856: @2373450
     /* 2373450 */ GIM_Reject,
     /* 2373451 */ // Label 33805: @2373451
     /* 2373451 */ GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2373571),
     /* 2373456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2373459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2373462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373474 */   GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2373522), // Rule ID 53309 //
     /* 2373479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373482 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373521 */     // GIR_Coverage, 53309,
     /* 2373521 */     GIR_EraseRootFromParent_Done,
     /* 2373522 */   // Label 33860: @2373522
     /* 2373522 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2373570), // Rule ID 53310 //
     /* 2373527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373530 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2373533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2373547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373569 */     // GIR_Coverage, 53310,
     /* 2373569 */     GIR_EraseRootFromParent_Done,
     /* 2373570 */   // Label 33861: @2373570
     /* 2373570 */   GIM_Reject,
     /* 2373571 */ // Label 33859: @2373571
     /* 2373571 */ GIM_Reject,
     /* 2373572 */ // Label 33806: @2373572
     /* 2373572 */ GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2373692),
     /* 2373577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2373580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2373583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373595 */   GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2373643), // Rule ID 53225 //
     /* 2373600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373603 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2373620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373642 */     // GIR_Coverage, 53225,
     /* 2373642 */     GIR_EraseRootFromParent_Done,
     /* 2373643 */   // Label 33863: @2373643
     /* 2373643 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2373691), // Rule ID 53226 //
     /* 2373648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373651 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2373668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373690 */     // GIR_Coverage, 53226,
     /* 2373690 */     GIR_EraseRootFromParent_Done,
     /* 2373691 */   // Label 33864: @2373691
     /* 2373691 */   GIM_Reject,
     /* 2373692 */ // Label 33862: @2373692
     /* 2373692 */ GIM_Reject,
     /* 2373693 */ // Label 33807: @2373693
     /* 2373693 */ GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2373813),
     /* 2373698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2373701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2373704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373716 */   GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2373764), // Rule ID 53273 //
     /* 2373721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373724 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2373741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373763 */     // GIR_Coverage, 53273,
     /* 2373763 */     GIR_EraseRootFromParent_Done,
     /* 2373764 */   // Label 33866: @2373764
     /* 2373764 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2373812), // Rule ID 53274 //
     /* 2373769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373772 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2373789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373811 */     // GIR_Coverage, 53274,
     /* 2373811 */     GIR_EraseRootFromParent_Done,
     /* 2373812 */   // Label 33867: @2373812
     /* 2373812 */   GIM_Reject,
     /* 2373813 */ // Label 33865: @2373813
     /* 2373813 */ GIM_Reject,
     /* 2373814 */ // Label 33808: @2373814
     /* 2373814 */ GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2373934),
     /* 2373819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2373822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2373825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373837 */   GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2373885), // Rule ID 53237 //
     /* 2373842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373845 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2373862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373884 */     // GIR_Coverage, 53237,
     /* 2373884 */     GIR_EraseRootFromParent_Done,
     /* 2373885 */   // Label 33869: @2373885
     /* 2373885 */   GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2373933), // Rule ID 53238 //
     /* 2373890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373893 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2373910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373932 */     // GIR_Coverage, 53238,
     /* 2373932 */     GIR_EraseRootFromParent_Done,
     /* 2373933 */   // Label 33870: @2373933
     /* 2373933 */   GIM_Reject,
     /* 2373934 */ // Label 33868: @2373934
     /* 2373934 */ GIM_Reject,
     /* 2373935 */ // Label 33809: @2373935
     /* 2373935 */ GIM_Reject,
     /* 2373936 */ // Label 97: @2373936
     /* 2373936 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33889*/ GIMT_Encode4(2376363),
     /* 2373947 */ /*GILLT_s16*//*Label 33871*/ GIMT_Encode4(2374067),
     /* 2373951 */ /*GILLT_s32*//*Label 33872*/ GIMT_Encode4(2374216),
     /* 2373955 */ /*GILLT_s64*//*Label 33873*/ GIMT_Encode4(2374365), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2373967 */ /*GILLT_nxv1s16*//*Label 33874*/ GIMT_Encode4(2374548),
     /* 2373971 */ /*GILLT_nxv1s32*//*Label 33875*/ GIMT_Encode4(2374669),
     /* 2373975 */ /*GILLT_nxv1s64*//*Label 33876*/ GIMT_Encode4(2374790), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2373987 */ /*GILLT_nxv2s16*//*Label 33877*/ GIMT_Encode4(2374911),
     /* 2373991 */ /*GILLT_nxv2s32*//*Label 33878*/ GIMT_Encode4(2375032),
     /* 2373995 */ /*GILLT_nxv2s64*//*Label 33879*/ GIMT_Encode4(2375153), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374007 */ /*GILLT_nxv4s16*//*Label 33880*/ GIMT_Encode4(2375274),
     /* 2374011 */ /*GILLT_nxv4s32*//*Label 33881*/ GIMT_Encode4(2375395),
     /* 2374015 */ /*GILLT_nxv4s64*//*Label 33882*/ GIMT_Encode4(2375516), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374027 */ /*GILLT_nxv8s16*//*Label 33883*/ GIMT_Encode4(2375637),
     /* 2374031 */ /*GILLT_nxv8s32*//*Label 33884*/ GIMT_Encode4(2375758),
     /* 2374035 */ /*GILLT_nxv8s64*//*Label 33885*/ GIMT_Encode4(2375879), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374047 */ /*GILLT_nxv16s16*//*Label 33886*/ GIMT_Encode4(2376000),
     /* 2374051 */ /*GILLT_nxv16s32*//*Label 33887*/ GIMT_Encode4(2376121), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374063 */ /*GILLT_nxv32s16*//*Label 33888*/ GIMT_Encode4(2376242),
     /* 2374067 */ // Label 33871: @2374067
     /* 2374067 */ GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2374215),
     /* 2374072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2374075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2374078 */   GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2374112), // Rule ID 1847 //
     /* 2374083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2374086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374098 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374111 */     // GIR_Coverage, 1847,
     /* 2374111 */     GIR_EraseRootFromParent_Done,
     /* 2374112 */   // Label 33891: @2374112
     /* 2374112 */   GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2374146), // Rule ID 1848 //
     /* 2374117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2374120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374132 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2374135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374145 */     // GIR_Coverage, 1848,
     /* 2374145 */     GIR_EraseRootFromParent_Done,
     /* 2374146 */   // Label 33892: @2374146
     /* 2374146 */   GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2374180), // Rule ID 1851 //
     /* 2374151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2374154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374166 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374179 */     // GIR_Coverage, 1851,
     /* 2374179 */     GIR_EraseRootFromParent_Done,
     /* 2374180 */   // Label 33893: @2374180
     /* 2374180 */   GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2374214), // Rule ID 1852 //
     /* 2374185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2374188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2374200 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2374203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374213 */     // GIR_Coverage, 1852,
     /* 2374213 */     GIR_EraseRootFromParent_Done,
     /* 2374214 */   // Label 33894: @2374214
     /* 2374214 */   GIM_Reject,
     /* 2374215 */ // Label 33890: @2374215
     /* 2374215 */ GIM_Reject,
     /* 2374216 */ // Label 33872: @2374216
     /* 2374216 */ GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2374364),
     /* 2374221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2374227 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2374261), // Rule ID 1138 //
     /* 2374232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2374235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374247 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374260 */     // GIR_Coverage, 1138,
     /* 2374260 */     GIR_EraseRootFromParent_Done,
     /* 2374261 */   // Label 33896: @2374261
     /* 2374261 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2374295), // Rule ID 1139 //
     /* 2374266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2374269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2374281 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2374284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374294 */     // GIR_Coverage, 1139,
     /* 2374294 */     GIR_EraseRootFromParent_Done,
     /* 2374295 */   // Label 33897: @2374295
     /* 2374295 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2374329), // Rule ID 1142 //
     /* 2374300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2374303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374315 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2374315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374328 */     // GIR_Coverage, 1142,
     /* 2374328 */     GIR_EraseRootFromParent_Done,
     /* 2374329 */   // Label 33898: @2374329
     /* 2374329 */   GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2374363), // Rule ID 1143 //
     /* 2374334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2374337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2374349 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2374349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2374352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374362 */     // GIR_Coverage, 1143,
     /* 2374362 */     GIR_EraseRootFromParent_Done,
     /* 2374363 */   // Label 33899: @2374363
     /* 2374363 */   GIM_Reject,
     /* 2374364 */ // Label 33895: @2374364
     /* 2374364 */ GIM_Reject,
     /* 2374365 */ // Label 33873: @2374365
     /* 2374365 */ GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2374547),
     /* 2374370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2374376 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2374410), // Rule ID 1475 //
     /* 2374381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2374384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374396 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374409 */     // GIR_Coverage, 1475,
     /* 2374409 */     GIR_EraseRootFromParent_Done,
     /* 2374410 */   // Label 33901: @2374410
     /* 2374410 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2374444), // Rule ID 1476 //
     /* 2374415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2374418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2374430 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2374433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374443 */     // GIR_Coverage, 1476,
     /* 2374443 */     GIR_EraseRootFromParent_Done,
     /* 2374444 */   // Label 33902: @2374444
     /* 2374444 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2374478), // Rule ID 1479 //
     /* 2374449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2374452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374464 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374477 */     // GIR_Coverage, 1479,
     /* 2374477 */     GIR_EraseRootFromParent_Done,
     /* 2374478 */   // Label 33903: @2374478
     /* 2374478 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2374512), // Rule ID 1480 //
     /* 2374483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2374486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2374498 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2374498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2374501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374511 */     // GIR_Coverage, 1480,
     /* 2374511 */     GIR_EraseRootFromParent_Done,
     /* 2374512 */   // Label 33904: @2374512
     /* 2374512 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2374546), // Rule ID 1483 //
     /* 2374517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2374520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374532 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2374532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2374535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374545 */     // GIR_Coverage, 1483,
     /* 2374545 */     GIR_EraseRootFromParent_Done,
     /* 2374546 */   // Label 33905: @2374546
     /* 2374546 */   GIM_Reject,
     /* 2374547 */ // Label 33900: @2374547
     /* 2374547 */ GIM_Reject,
     /* 2374548 */ // Label 33874: @2374548
     /* 2374548 */ GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2374668),
     /* 2374553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2374559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374571 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2374619), // Rule ID 53321 //
     /* 2374576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374579 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2374596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374618 */     // GIR_Coverage, 53321,
     /* 2374618 */     GIR_EraseRootFromParent_Done,
     /* 2374619 */   // Label 33907: @2374619
     /* 2374619 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2374667), // Rule ID 53322 //
     /* 2374624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374627 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2374644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374666 */     // GIR_Coverage, 53322,
     /* 2374666 */     GIR_EraseRootFromParent_Done,
     /* 2374667 */   // Label 33908: @2374667
     /* 2374667 */   GIM_Reject,
     /* 2374668 */ // Label 33906: @2374668
     /* 2374668 */ GIM_Reject,
     /* 2374669 */ // Label 33875: @2374669
     /* 2374669 */ GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2374789),
     /* 2374674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2374677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2374680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374692 */   GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2374740), // Rule ID 53345 //
     /* 2374697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374700 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2374717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374739 */     // GIR_Coverage, 53345,
     /* 2374739 */     GIR_EraseRootFromParent_Done,
     /* 2374740 */   // Label 33910: @2374740
     /* 2374740 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2374788), // Rule ID 53346 //
     /* 2374745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374748 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2374765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374787 */     // GIR_Coverage, 53346,
     /* 2374787 */     GIR_EraseRootFromParent_Done,
     /* 2374788 */   // Label 33911: @2374788
     /* 2374788 */   GIM_Reject,
     /* 2374789 */ // Label 33909: @2374789
     /* 2374789 */ GIM_Reject,
     /* 2374790 */ // Label 33876: @2374790
     /* 2374790 */ GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2374910),
     /* 2374795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2374798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2374801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374813 */   GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2374861), // Rule ID 53381 //
     /* 2374818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2374821 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2374838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374860 */     // GIR_Coverage, 53381,
     /* 2374860 */     GIR_EraseRootFromParent_Done,
     /* 2374861 */   // Label 33913: @2374861
     /* 2374861 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2374909), // Rule ID 53382 //
     /* 2374866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374869 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2374886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374908 */     // GIR_Coverage, 53382,
     /* 2374908 */     GIR_EraseRootFromParent_Done,
     /* 2374909 */   // Label 33914: @2374909
     /* 2374909 */   GIM_Reject,
     /* 2374910 */ // Label 33912: @2374910
     /* 2374910 */ GIM_Reject,
     /* 2374911 */ // Label 33877: @2374911
     /* 2374911 */ GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2375031),
     /* 2374916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2374919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2374922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374934 */   GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2374982), // Rule ID 53333 //
     /* 2374939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374942 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2374959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374981 */     // GIR_Coverage, 53333,
     /* 2374981 */     GIR_EraseRootFromParent_Done,
     /* 2374982 */   // Label 33916: @2374982
     /* 2374982 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2375030), // Rule ID 53334 //
     /* 2374987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374990 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2375007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375029 */     // GIR_Coverage, 53334,
     /* 2375029 */     GIR_EraseRootFromParent_Done,
     /* 2375030 */   // Label 33917: @2375030
     /* 2375030 */   GIM_Reject,
     /* 2375031 */ // Label 33915: @2375031
     /* 2375031 */ GIM_Reject,
     /* 2375032 */ // Label 33878: @2375032
     /* 2375032 */ GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2375152),
     /* 2375037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375055 */   GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2375103), // Rule ID 53369 //
     /* 2375060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375063 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375102 */     // GIR_Coverage, 53369,
     /* 2375102 */     GIR_EraseRootFromParent_Done,
     /* 2375103 */   // Label 33919: @2375103
     /* 2375103 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2375151), // Rule ID 53370 //
     /* 2375108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375111 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2375128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375150 */     // GIR_Coverage, 53370,
     /* 2375150 */     GIR_EraseRootFromParent_Done,
     /* 2375151 */   // Label 33920: @2375151
     /* 2375151 */   GIM_Reject,
     /* 2375152 */ // Label 33918: @2375152
     /* 2375152 */ GIM_Reject,
     /* 2375153 */ // Label 33879: @2375153
     /* 2375153 */ GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2375273),
     /* 2375158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2375164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375176 */   GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2375224), // Rule ID 53465 //
     /* 2375181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375184 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375223 */     // GIR_Coverage, 53465,
     /* 2375223 */     GIR_EraseRootFromParent_Done,
     /* 2375224 */   // Label 33922: @2375224
     /* 2375224 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2375272), // Rule ID 53466 //
     /* 2375229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375232 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2375249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375271 */     // GIR_Coverage, 53466,
     /* 2375271 */     GIR_EraseRootFromParent_Done,
     /* 2375272 */   // Label 33923: @2375272
     /* 2375272 */   GIM_Reject,
     /* 2375273 */ // Label 33921: @2375273
     /* 2375273 */ GIM_Reject,
     /* 2375274 */ // Label 33880: @2375274
     /* 2375274 */ GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2375394),
     /* 2375279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2375285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375297 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2375345), // Rule ID 53357 //
     /* 2375302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375305 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375344 */     // GIR_Coverage, 53357,
     /* 2375344 */     GIR_EraseRootFromParent_Done,
     /* 2375345 */   // Label 33925: @2375345
     /* 2375345 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2375393), // Rule ID 53358 //
     /* 2375350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375353 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2375370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375392 */     // GIR_Coverage, 53358,
     /* 2375392 */     GIR_EraseRootFromParent_Done,
     /* 2375393 */   // Label 33926: @2375393
     /* 2375393 */   GIM_Reject,
     /* 2375394 */ // Label 33924: @2375394
     /* 2375394 */ GIM_Reject,
     /* 2375395 */ // Label 33881: @2375395
     /* 2375395 */ GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2375515),
     /* 2375400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2375406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375418 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2375466), // Rule ID 53429 //
     /* 2375423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375426 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375465 */     // GIR_Coverage, 53429,
     /* 2375465 */     GIR_EraseRootFromParent_Done,
     /* 2375466 */   // Label 33928: @2375466
     /* 2375466 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2375514), // Rule ID 53430 //
     /* 2375471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375474 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2375491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375513 */     // GIR_Coverage, 53430,
     /* 2375513 */     GIR_EraseRootFromParent_Done,
     /* 2375514 */   // Label 33929: @2375514
     /* 2375514 */   GIM_Reject,
     /* 2375515 */ // Label 33927: @2375515
     /* 2375515 */ GIM_Reject,
     /* 2375516 */ // Label 33882: @2375516
     /* 2375516 */ GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2375636),
     /* 2375521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375539 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2375587), // Rule ID 53477 //
     /* 2375544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375547 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2375564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375586 */     // GIR_Coverage, 53477,
     /* 2375586 */     GIR_EraseRootFromParent_Done,
     /* 2375587 */   // Label 33931: @2375587
     /* 2375587 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2375635), // Rule ID 53478 //
     /* 2375592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375595 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2375612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375634 */     // GIR_Coverage, 53478,
     /* 2375634 */     GIR_EraseRootFromParent_Done,
     /* 2375635 */   // Label 33932: @2375635
     /* 2375635 */   GIM_Reject,
     /* 2375636 */ // Label 33930: @2375636
     /* 2375636 */ GIM_Reject,
     /* 2375637 */ // Label 33883: @2375637
     /* 2375637 */ GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2375757),
     /* 2375642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2375645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2375648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375660 */   GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2375708), // Rule ID 53393 //
     /* 2375665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375668 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2375685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375707 */     // GIR_Coverage, 53393,
     /* 2375707 */     GIR_EraseRootFromParent_Done,
     /* 2375708 */   // Label 33934: @2375708
     /* 2375708 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2375756), // Rule ID 53394 //
     /* 2375713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375716 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2375733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375755 */     // GIR_Coverage, 53394,
     /* 2375755 */     GIR_EraseRootFromParent_Done,
     /* 2375756 */   // Label 33935: @2375756
     /* 2375756 */   GIM_Reject,
     /* 2375757 */ // Label 33933: @2375757
     /* 2375757 */ GIM_Reject,
     /* 2375758 */ // Label 33884: @2375758
     /* 2375758 */ GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2375878),
     /* 2375763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2375766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2375769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375781 */   GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2375829), // Rule ID 53441 //
     /* 2375786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375789 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2375806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375828 */     // GIR_Coverage, 53441,
     /* 2375828 */     GIR_EraseRootFromParent_Done,
     /* 2375829 */   // Label 33937: @2375829
     /* 2375829 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2375877), // Rule ID 53442 //
     /* 2375834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375837 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2375854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375876 */     // GIR_Coverage, 53442,
     /* 2375876 */     GIR_EraseRootFromParent_Done,
     /* 2375877 */   // Label 33938: @2375877
     /* 2375877 */   GIM_Reject,
     /* 2375878 */ // Label 33936: @2375878
     /* 2375878 */ GIM_Reject,
     /* 2375879 */ // Label 33885: @2375879
     /* 2375879 */ GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2375999),
     /* 2375884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2375887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2375890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375902 */   GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2375950), // Rule ID 53489 //
     /* 2375907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375910 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2375927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375949 */     // GIR_Coverage, 53489,
     /* 2375949 */     GIR_EraseRootFromParent_Done,
     /* 2375950 */   // Label 33940: @2375950
     /* 2375950 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2375998), // Rule ID 53490 //
     /* 2375955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375958 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2375975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375997 */     // GIR_Coverage, 53490,
     /* 2375997 */     GIR_EraseRootFromParent_Done,
     /* 2375998 */   // Label 33941: @2375998
     /* 2375998 */   GIM_Reject,
     /* 2375999 */ // Label 33939: @2375999
     /* 2375999 */ GIM_Reject,
     /* 2376000 */ // Label 33886: @2376000
     /* 2376000 */ GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2376120),
     /* 2376005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376023 */   GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2376071), // Rule ID 53405 //
     /* 2376028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376031 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376070 */     // GIR_Coverage, 53405,
     /* 2376070 */     GIR_EraseRootFromParent_Done,
     /* 2376071 */   // Label 33943: @2376071
     /* 2376071 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2376119), // Rule ID 53406 //
     /* 2376076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376079 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2376096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376118 */     // GIR_Coverage, 53406,
     /* 2376118 */     GIR_EraseRootFromParent_Done,
     /* 2376119 */   // Label 33944: @2376119
     /* 2376119 */   GIM_Reject,
     /* 2376120 */ // Label 33942: @2376120
     /* 2376120 */ GIM_Reject,
     /* 2376121 */ // Label 33887: @2376121
     /* 2376121 */ GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2376241),
     /* 2376126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376144 */   GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2376192), // Rule ID 53453 //
     /* 2376149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376152 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376191 */     // GIR_Coverage, 53453,
     /* 2376191 */     GIR_EraseRootFromParent_Done,
     /* 2376192 */   // Label 33946: @2376192
     /* 2376192 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2376240), // Rule ID 53454 //
     /* 2376197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376200 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2376217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376239 */     // GIR_Coverage, 53454,
     /* 2376239 */     GIR_EraseRootFromParent_Done,
     /* 2376240 */   // Label 33947: @2376240
     /* 2376240 */   GIM_Reject,
     /* 2376241 */ // Label 33945: @2376241
     /* 2376241 */ GIM_Reject,
     /* 2376242 */ // Label 33888: @2376242
     /* 2376242 */ GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2376362),
     /* 2376247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376265 */   GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2376313), // Rule ID 53417 //
     /* 2376270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376273 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376312 */     // GIR_Coverage, 53417,
     /* 2376312 */     GIR_EraseRootFromParent_Done,
     /* 2376313 */   // Label 33949: @2376313
     /* 2376313 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2376361), // Rule ID 53418 //
     /* 2376318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376321 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2376338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376360 */     // GIR_Coverage, 53418,
     /* 2376360 */     GIR_EraseRootFromParent_Done,
     /* 2376361 */   // Label 33950: @2376361
     /* 2376361 */   GIM_Reject,
     /* 2376362 */ // Label 33948: @2376362
     /* 2376362 */ GIM_Reject,
     /* 2376363 */ // Label 33889: @2376363
     /* 2376363 */ GIM_Reject,
     /* 2376364 */ // Label 98: @2376364
     /* 2376364 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33969*/ GIMT_Encode4(2378791),
     /* 2376375 */ /*GILLT_s16*//*Label 33951*/ GIMT_Encode4(2376495),
     /* 2376379 */ /*GILLT_s32*//*Label 33952*/ GIMT_Encode4(2376644),
     /* 2376383 */ /*GILLT_s64*//*Label 33953*/ GIMT_Encode4(2376793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376395 */ /*GILLT_nxv1s16*//*Label 33954*/ GIMT_Encode4(2376976),
     /* 2376399 */ /*GILLT_nxv1s32*//*Label 33955*/ GIMT_Encode4(2377097),
     /* 2376403 */ /*GILLT_nxv1s64*//*Label 33956*/ GIMT_Encode4(2377218), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376415 */ /*GILLT_nxv2s16*//*Label 33957*/ GIMT_Encode4(2377339),
     /* 2376419 */ /*GILLT_nxv2s32*//*Label 33958*/ GIMT_Encode4(2377460),
     /* 2376423 */ /*GILLT_nxv2s64*//*Label 33959*/ GIMT_Encode4(2377581), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376435 */ /*GILLT_nxv4s16*//*Label 33960*/ GIMT_Encode4(2377702),
     /* 2376439 */ /*GILLT_nxv4s32*//*Label 33961*/ GIMT_Encode4(2377823),
     /* 2376443 */ /*GILLT_nxv4s64*//*Label 33962*/ GIMT_Encode4(2377944), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376455 */ /*GILLT_nxv8s16*//*Label 33963*/ GIMT_Encode4(2378065),
     /* 2376459 */ /*GILLT_nxv8s32*//*Label 33964*/ GIMT_Encode4(2378186),
     /* 2376463 */ /*GILLT_nxv8s64*//*Label 33965*/ GIMT_Encode4(2378307), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376475 */ /*GILLT_nxv16s16*//*Label 33966*/ GIMT_Encode4(2378428),
     /* 2376479 */ /*GILLT_nxv16s32*//*Label 33967*/ GIMT_Encode4(2378549), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2376491 */ /*GILLT_nxv32s16*//*Label 33968*/ GIMT_Encode4(2378670),
     /* 2376495 */ // Label 33951: @2376495
     /* 2376495 */ GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2376643),
     /* 2376500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2376506 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2376540), // Rule ID 1855 //
     /* 2376511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376526 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376539 */     // GIR_Coverage, 1855,
     /* 2376539 */     GIR_EraseRootFromParent_Done,
     /* 2376540 */   // Label 33971: @2376540
     /* 2376540 */   GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2376574), // Rule ID 1856 //
     /* 2376545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376560 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2376563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376573 */     // GIR_Coverage, 1856,
     /* 2376573 */     GIR_EraseRootFromParent_Done,
     /* 2376574 */   // Label 33972: @2376574
     /* 2376574 */   GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2376608), // Rule ID 1859 //
     /* 2376579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2376582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376594 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2376594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2376597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376607 */     // GIR_Coverage, 1859,
     /* 2376607 */     GIR_EraseRootFromParent_Done,
     /* 2376608 */   // Label 33973: @2376608
     /* 2376608 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2376642), // Rule ID 1860 //
     /* 2376613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2376616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376628 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2376628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2376631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376641 */     // GIR_Coverage, 1860,
     /* 2376641 */     GIR_EraseRootFromParent_Done,
     /* 2376642 */   // Label 33974: @2376642
     /* 2376642 */   GIM_Reject,
     /* 2376643 */ // Label 33970: @2376643
     /* 2376643 */ GIM_Reject,
     /* 2376644 */ // Label 33952: @2376644
     /* 2376644 */ GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2376792),
     /* 2376649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2376655 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2376689), // Rule ID 1146 //
     /* 2376660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2376663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376675 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2376675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2376678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376688 */     // GIR_Coverage, 1146,
     /* 2376688 */     GIR_EraseRootFromParent_Done,
     /* 2376689 */   // Label 33976: @2376689
     /* 2376689 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2376723), // Rule ID 1147 //
     /* 2376694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2376697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376709 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2376709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2376712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376722 */     // GIR_Coverage, 1147,
     /* 2376722 */     GIR_EraseRootFromParent_Done,
     /* 2376723 */   // Label 33977: @2376723
     /* 2376723 */   GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2376757), // Rule ID 1150 //
     /* 2376728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2376731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376743 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2376743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2376746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376756 */     // GIR_Coverage, 1150,
     /* 2376756 */     GIR_EraseRootFromParent_Done,
     /* 2376757 */   // Label 33978: @2376757
     /* 2376757 */   GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2376791), // Rule ID 1151 //
     /* 2376762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2376765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376777 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2376777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2376780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376790 */     // GIR_Coverage, 1151,
     /* 2376790 */     GIR_EraseRootFromParent_Done,
     /* 2376791 */   // Label 33979: @2376791
     /* 2376791 */   GIM_Reject,
     /* 2376792 */ // Label 33975: @2376792
     /* 2376792 */ GIM_Reject,
     /* 2376793 */ // Label 33953: @2376793
     /* 2376793 */ GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2376975),
     /* 2376798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2376804 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2376838), // Rule ID 1485 //
     /* 2376809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2376812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376824 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2376824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2376827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376837 */     // GIR_Coverage, 1485,
     /* 2376837 */     GIR_EraseRootFromParent_Done,
     /* 2376838 */   // Label 33981: @2376838
     /* 2376838 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2376872), // Rule ID 1486 //
     /* 2376843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2376846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2376858 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2376858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2376861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376871 */     // GIR_Coverage, 1486,
     /* 2376871 */     GIR_EraseRootFromParent_Done,
     /* 2376872 */   // Label 33982: @2376872
     /* 2376872 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2376906), // Rule ID 1489 //
     /* 2376877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2376880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376892 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2376892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2376895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376905 */     // GIR_Coverage, 1489,
     /* 2376905 */     GIR_EraseRootFromParent_Done,
     /* 2376906 */   // Label 33983: @2376906
     /* 2376906 */   GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2376940), // Rule ID 1490 //
     /* 2376911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2376914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2376926 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2376926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2376929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376939 */     // GIR_Coverage, 1490,
     /* 2376939 */     GIR_EraseRootFromParent_Done,
     /* 2376940 */   // Label 33984: @2376940
     /* 2376940 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2376974), // Rule ID 1493 //
     /* 2376945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2376948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376960 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2376960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2376963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376973 */     // GIR_Coverage, 1493,
     /* 2376973 */     GIR_EraseRootFromParent_Done,
     /* 2376974 */   // Label 33985: @2376974
     /* 2376974 */   GIM_Reject,
     /* 2376975 */ // Label 33980: @2376975
     /* 2376975 */ GIM_Reject,
     /* 2376976 */ // Label 33954: @2376976
     /* 2376976 */ GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2377096),
     /* 2376981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2376984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2376987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376999 */   GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2377047), // Rule ID 54089 //
     /* 2377004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377007 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377046 */     // GIR_Coverage, 54089,
     /* 2377046 */     GIR_EraseRootFromParent_Done,
     /* 2377047 */   // Label 33987: @2377047
     /* 2377047 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2377095), // Rule ID 54090 //
     /* 2377052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377055 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2377072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377094 */     // GIR_Coverage, 54090,
     /* 2377094 */     GIR_EraseRootFromParent_Done,
     /* 2377095 */   // Label 33988: @2377095
     /* 2377095 */   GIM_Reject,
     /* 2377096 */ // Label 33986: @2377096
     /* 2377096 */ GIM_Reject,
     /* 2377097 */ // Label 33955: @2377097
     /* 2377097 */ GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2377217),
     /* 2377102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377120 */   GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2377168), // Rule ID 54113 //
     /* 2377125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377128 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377167 */     // GIR_Coverage, 54113,
     /* 2377167 */     GIR_EraseRootFromParent_Done,
     /* 2377168 */   // Label 33990: @2377168
     /* 2377168 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2377216), // Rule ID 54114 //
     /* 2377173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377176 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2377193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377215 */     // GIR_Coverage, 54114,
     /* 2377215 */     GIR_EraseRootFromParent_Done,
     /* 2377216 */   // Label 33991: @2377216
     /* 2377216 */   GIM_Reject,
     /* 2377217 */ // Label 33989: @2377217
     /* 2377217 */ GIM_Reject,
     /* 2377218 */ // Label 33956: @2377218
     /* 2377218 */ GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2377338),
     /* 2377223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2377229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377241 */   GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2377289), // Rule ID 54149 //
     /* 2377246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377249 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377288 */     // GIR_Coverage, 54149,
     /* 2377288 */     GIR_EraseRootFromParent_Done,
     /* 2377289 */   // Label 33993: @2377289
     /* 2377289 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2377337), // Rule ID 54150 //
     /* 2377294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377297 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2377314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377336 */     // GIR_Coverage, 54150,
     /* 2377336 */     GIR_EraseRootFromParent_Done,
     /* 2377337 */   // Label 33994: @2377337
     /* 2377337 */   GIM_Reject,
     /* 2377338 */ // Label 33992: @2377338
     /* 2377338 */ GIM_Reject,
     /* 2377339 */ // Label 33957: @2377339
     /* 2377339 */ GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2377459),
     /* 2377344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2377350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377362 */   GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2377410), // Rule ID 54101 //
     /* 2377367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377370 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377409 */     // GIR_Coverage, 54101,
     /* 2377409 */     GIR_EraseRootFromParent_Done,
     /* 2377410 */   // Label 33996: @2377410
     /* 2377410 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2377458), // Rule ID 54102 //
     /* 2377415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377418 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2377435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377457 */     // GIR_Coverage, 54102,
     /* 2377457 */     GIR_EraseRootFromParent_Done,
     /* 2377458 */   // Label 33997: @2377458
     /* 2377458 */   GIM_Reject,
     /* 2377459 */ // Label 33995: @2377459
     /* 2377459 */ GIM_Reject,
     /* 2377460 */ // Label 33958: @2377460
     /* 2377460 */ GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2377580),
     /* 2377465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2377468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2377471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377483 */   GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2377531), // Rule ID 54137 //
     /* 2377488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377491 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377530 */     // GIR_Coverage, 54137,
     /* 2377530 */     GIR_EraseRootFromParent_Done,
     /* 2377531 */   // Label 33999: @2377531
     /* 2377531 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2377579), // Rule ID 54138 //
     /* 2377536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377539 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2377556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377578 */     // GIR_Coverage, 54138,
     /* 2377578 */     GIR_EraseRootFromParent_Done,
     /* 2377579 */   // Label 34000: @2377579
     /* 2377579 */   GIM_Reject,
     /* 2377580 */ // Label 33998: @2377580
     /* 2377580 */ GIM_Reject,
     /* 2377581 */ // Label 33959: @2377581
     /* 2377581 */ GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2377701),
     /* 2377586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2377589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2377592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377604 */   GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2377652), // Rule ID 54233 //
     /* 2377609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377612 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2377629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377651 */     // GIR_Coverage, 54233,
     /* 2377651 */     GIR_EraseRootFromParent_Done,
     /* 2377652 */   // Label 34002: @2377652
     /* 2377652 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2377700), // Rule ID 54234 //
     /* 2377657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2377660 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2377677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377699 */     // GIR_Coverage, 54234,
     /* 2377699 */     GIR_EraseRootFromParent_Done,
     /* 2377700 */   // Label 34003: @2377700
     /* 2377700 */   GIM_Reject,
     /* 2377701 */ // Label 34001: @2377701
     /* 2377701 */ GIM_Reject,
     /* 2377702 */ // Label 33960: @2377702
     /* 2377702 */ GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2377822),
     /* 2377707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2377710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2377713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377725 */   GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2377773), // Rule ID 54125 //
     /* 2377730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377733 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2377736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2377750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377772 */     // GIR_Coverage, 54125,
     /* 2377772 */     GIR_EraseRootFromParent_Done,
     /* 2377773 */   // Label 34005: @2377773
     /* 2377773 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2377821), // Rule ID 54126 //
     /* 2377778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377781 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2377784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2377798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377820 */     // GIR_Coverage, 54126,
     /* 2377820 */     GIR_EraseRootFromParent_Done,
     /* 2377821 */   // Label 34006: @2377821
     /* 2377821 */   GIM_Reject,
     /* 2377822 */ // Label 34004: @2377822
     /* 2377822 */ GIM_Reject,
     /* 2377823 */ // Label 33961: @2377823
     /* 2377823 */ GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2377943),
     /* 2377828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2377831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2377834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377846 */   GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2377894), // Rule ID 54197 //
     /* 2377851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377854 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2377857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2377871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377893 */     // GIR_Coverage, 54197,
     /* 2377893 */     GIR_EraseRootFromParent_Done,
     /* 2377894 */   // Label 34008: @2377894
     /* 2377894 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2377942), // Rule ID 54198 //
     /* 2377899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377902 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2377905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2377919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377941 */     // GIR_Coverage, 54198,
     /* 2377941 */     GIR_EraseRootFromParent_Done,
     /* 2377942 */   // Label 34009: @2377942
     /* 2377942 */   GIM_Reject,
     /* 2377943 */ // Label 34007: @2377943
     /* 2377943 */ GIM_Reject,
     /* 2377944 */ // Label 33962: @2377944
     /* 2377944 */ GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2378064),
     /* 2377949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2377952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2377955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377967 */   GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2378015), // Rule ID 54245 //
     /* 2377972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2377975 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2377978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2377992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378014 */     // GIR_Coverage, 54245,
     /* 2378014 */     GIR_EraseRootFromParent_Done,
     /* 2378015 */   // Label 34011: @2378015
     /* 2378015 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2378063), // Rule ID 54246 //
     /* 2378020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378023 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2378040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378062 */     // GIR_Coverage, 54246,
     /* 2378062 */     GIR_EraseRootFromParent_Done,
     /* 2378063 */   // Label 34012: @2378063
     /* 2378063 */   GIM_Reject,
     /* 2378064 */ // Label 34010: @2378064
     /* 2378064 */ GIM_Reject,
     /* 2378065 */ // Label 33963: @2378065
     /* 2378065 */ GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2378185),
     /* 2378070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378088 */   GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2378136), // Rule ID 54161 //
     /* 2378093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378096 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378135 */     // GIR_Coverage, 54161,
     /* 2378135 */     GIR_EraseRootFromParent_Done,
     /* 2378136 */   // Label 34014: @2378136
     /* 2378136 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2378184), // Rule ID 54162 //
     /* 2378141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378144 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2378161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378183 */     // GIR_Coverage, 54162,
     /* 2378183 */     GIR_EraseRootFromParent_Done,
     /* 2378184 */   // Label 34015: @2378184
     /* 2378184 */   GIM_Reject,
     /* 2378185 */ // Label 34013: @2378185
     /* 2378185 */ GIM_Reject,
     /* 2378186 */ // Label 33964: @2378186
     /* 2378186 */ GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2378306),
     /* 2378191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2378197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378209 */   GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2378257), // Rule ID 54209 //
     /* 2378214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378217 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378256 */     // GIR_Coverage, 54209,
     /* 2378256 */     GIR_EraseRootFromParent_Done,
     /* 2378257 */   // Label 34017: @2378257
     /* 2378257 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2378305), // Rule ID 54210 //
     /* 2378262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378265 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2378282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378304 */     // GIR_Coverage, 54210,
     /* 2378304 */     GIR_EraseRootFromParent_Done,
     /* 2378305 */   // Label 34018: @2378305
     /* 2378305 */   GIM_Reject,
     /* 2378306 */ // Label 34016: @2378306
     /* 2378306 */ GIM_Reject,
     /* 2378307 */ // Label 33965: @2378307
     /* 2378307 */ GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2378427),
     /* 2378312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2378318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378330 */   GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2378378), // Rule ID 54257 //
     /* 2378335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378338 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378377 */     // GIR_Coverage, 54257,
     /* 2378377 */     GIR_EraseRootFromParent_Done,
     /* 2378378 */   // Label 34020: @2378378
     /* 2378378 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2378426), // Rule ID 54258 //
     /* 2378383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378386 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2378403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378425 */     // GIR_Coverage, 54258,
     /* 2378425 */     GIR_EraseRootFromParent_Done,
     /* 2378426 */   // Label 34021: @2378426
     /* 2378426 */   GIM_Reject,
     /* 2378427 */ // Label 34019: @2378427
     /* 2378427 */ GIM_Reject,
     /* 2378428 */ // Label 33966: @2378428
     /* 2378428 */ GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2378548),
     /* 2378433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2378436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2378439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378451 */   GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2378499), // Rule ID 54173 //
     /* 2378456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378459 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378498 */     // GIR_Coverage, 54173,
     /* 2378498 */     GIR_EraseRootFromParent_Done,
     /* 2378499 */   // Label 34023: @2378499
     /* 2378499 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2378547), // Rule ID 54174 //
     /* 2378504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378507 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2378524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378546 */     // GIR_Coverage, 54174,
     /* 2378546 */     GIR_EraseRootFromParent_Done,
     /* 2378547 */   // Label 34024: @2378547
     /* 2378547 */   GIM_Reject,
     /* 2378548 */ // Label 34022: @2378548
     /* 2378548 */ GIM_Reject,
     /* 2378549 */ // Label 33967: @2378549
     /* 2378549 */ GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2378669),
     /* 2378554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2378557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2378560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378572 */   GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2378620), // Rule ID 54221 //
     /* 2378577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378580 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2378583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2378597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378619 */     // GIR_Coverage, 54221,
     /* 2378619 */     GIR_EraseRootFromParent_Done,
     /* 2378620 */   // Label 34026: @2378620
     /* 2378620 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2378668), // Rule ID 54222 //
     /* 2378625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378628 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2378631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2378645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378667 */     // GIR_Coverage, 54222,
     /* 2378667 */     GIR_EraseRootFromParent_Done,
     /* 2378668 */   // Label 34027: @2378668
     /* 2378668 */   GIM_Reject,
     /* 2378669 */ // Label 34025: @2378669
     /* 2378669 */ GIM_Reject,
     /* 2378670 */ // Label 33968: @2378670
     /* 2378670 */ GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2378790),
     /* 2378675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2378678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2378681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378693 */   GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2378741), // Rule ID 54185 //
     /* 2378698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378701 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2378704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2378718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378740 */     // GIR_Coverage, 54185,
     /* 2378740 */     GIR_EraseRootFromParent_Done,
     /* 2378741 */   // Label 34029: @2378741
     /* 2378741 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2378789), // Rule ID 54186 //
     /* 2378746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378749 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2378752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2378766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378788 */     // GIR_Coverage, 54186,
     /* 2378788 */     GIR_EraseRootFromParent_Done,
     /* 2378789 */   // Label 34030: @2378789
     /* 2378789 */   GIM_Reject,
     /* 2378790 */ // Label 34028: @2378790
     /* 2378790 */ GIM_Reject,
     /* 2378791 */ // Label 33969: @2378791
     /* 2378791 */ GIM_Reject,
     /* 2378792 */ // Label 99: @2378792
     /* 2378792 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34049*/ GIMT_Encode4(2381219),
     /* 2378803 */ /*GILLT_s16*//*Label 34031*/ GIMT_Encode4(2378923),
     /* 2378807 */ /*GILLT_s32*//*Label 34032*/ GIMT_Encode4(2379072),
     /* 2378811 */ /*GILLT_s64*//*Label 34033*/ GIMT_Encode4(2379221), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378823 */ /*GILLT_nxv1s16*//*Label 34034*/ GIMT_Encode4(2379404),
     /* 2378827 */ /*GILLT_nxv1s32*//*Label 34035*/ GIMT_Encode4(2379525),
     /* 2378831 */ /*GILLT_nxv1s64*//*Label 34036*/ GIMT_Encode4(2379646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378843 */ /*GILLT_nxv2s16*//*Label 34037*/ GIMT_Encode4(2379767),
     /* 2378847 */ /*GILLT_nxv2s32*//*Label 34038*/ GIMT_Encode4(2379888),
     /* 2378851 */ /*GILLT_nxv2s64*//*Label 34039*/ GIMT_Encode4(2380009), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378863 */ /*GILLT_nxv4s16*//*Label 34040*/ GIMT_Encode4(2380130),
     /* 2378867 */ /*GILLT_nxv4s32*//*Label 34041*/ GIMT_Encode4(2380251),
     /* 2378871 */ /*GILLT_nxv4s64*//*Label 34042*/ GIMT_Encode4(2380372), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378883 */ /*GILLT_nxv8s16*//*Label 34043*/ GIMT_Encode4(2380493),
     /* 2378887 */ /*GILLT_nxv8s32*//*Label 34044*/ GIMT_Encode4(2380614),
     /* 2378891 */ /*GILLT_nxv8s64*//*Label 34045*/ GIMT_Encode4(2380735), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378903 */ /*GILLT_nxv16s16*//*Label 34046*/ GIMT_Encode4(2380856),
     /* 2378907 */ /*GILLT_nxv16s32*//*Label 34047*/ GIMT_Encode4(2380977), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2378919 */ /*GILLT_nxv32s16*//*Label 34048*/ GIMT_Encode4(2381098),
     /* 2378923 */ // Label 34031: @2378923
     /* 2378923 */ GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2379071),
     /* 2378928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2378934 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2378968), // Rule ID 1863 //
     /* 2378939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2378942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378954 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2378954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2378957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378967 */     // GIR_Coverage, 1863,
     /* 2378967 */     GIR_EraseRootFromParent_Done,
     /* 2378968 */   // Label 34051: @2378968
     /* 2378968 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2379002), // Rule ID 1864 //
     /* 2378973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2378976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378988 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2378988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2378991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379001 */     // GIR_Coverage, 1864,
     /* 2379001 */     GIR_EraseRootFromParent_Done,
     /* 2379002 */   // Label 34052: @2379002
     /* 2379002 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2379036), // Rule ID 1867 //
     /* 2379007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2379010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379022 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2379022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379035 */     // GIR_Coverage, 1867,
     /* 2379035 */     GIR_EraseRootFromParent_Done,
     /* 2379036 */   // Label 34053: @2379036
     /* 2379036 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2379070), // Rule ID 1868 //
     /* 2379041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2379044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379056 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2379056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2379059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379069 */     // GIR_Coverage, 1868,
     /* 2379069 */     GIR_EraseRootFromParent_Done,
     /* 2379070 */   // Label 34054: @2379070
     /* 2379070 */   GIM_Reject,
     /* 2379071 */ // Label 34050: @2379071
     /* 2379071 */ GIM_Reject,
     /* 2379072 */ // Label 34032: @2379072
     /* 2379072 */ GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2379220),
     /* 2379077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2379083 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2379117), // Rule ID 1154 //
     /* 2379088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2379091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379103 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379116 */     // GIR_Coverage, 1154,
     /* 2379116 */     GIR_EraseRootFromParent_Done,
     /* 2379117 */   // Label 34056: @2379117
     /* 2379117 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2379151), // Rule ID 1155 //
     /* 2379122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2379125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379137 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2379140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379150 */     // GIR_Coverage, 1155,
     /* 2379150 */     GIR_EraseRootFromParent_Done,
     /* 2379151 */   // Label 34057: @2379151
     /* 2379151 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2379185), // Rule ID 1158 //
     /* 2379156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2379159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379171 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2379171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379184 */     // GIR_Coverage, 1158,
     /* 2379184 */     GIR_EraseRootFromParent_Done,
     /* 2379185 */   // Label 34058: @2379185
     /* 2379185 */   GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2379219), // Rule ID 1159 //
     /* 2379190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2379193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2379205 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2379205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2379208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379218 */     // GIR_Coverage, 1159,
     /* 2379218 */     GIR_EraseRootFromParent_Done,
     /* 2379219 */   // Label 34059: @2379219
     /* 2379219 */   GIM_Reject,
     /* 2379220 */ // Label 34055: @2379220
     /* 2379220 */ GIM_Reject,
     /* 2379221 */ // Label 34033: @2379221
     /* 2379221 */ GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2379403),
     /* 2379226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2379232 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2379266), // Rule ID 1495 //
     /* 2379237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379252 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379265 */     // GIR_Coverage, 1495,
     /* 2379265 */     GIR_EraseRootFromParent_Done,
     /* 2379266 */   // Label 34061: @2379266
     /* 2379266 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2379300), // Rule ID 1496 //
     /* 2379271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379286 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2379289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379299 */     // GIR_Coverage, 1496,
     /* 2379299 */     GIR_EraseRootFromParent_Done,
     /* 2379300 */   // Label 34062: @2379300
     /* 2379300 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2379334), // Rule ID 1499 //
     /* 2379305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379320 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379333 */     // GIR_Coverage, 1499,
     /* 2379333 */     GIR_EraseRootFromParent_Done,
     /* 2379334 */   // Label 34063: @2379334
     /* 2379334 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2379368), // Rule ID 1500 //
     /* 2379339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379354 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2379354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2379357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379367 */     // GIR_Coverage, 1500,
     /* 2379367 */     GIR_EraseRootFromParent_Done,
     /* 2379368 */   // Label 34064: @2379368
     /* 2379368 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2379402), // Rule ID 1503 //
     /* 2379373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379388 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2379388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2379391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379401 */     // GIR_Coverage, 1503,
     /* 2379401 */     GIR_EraseRootFromParent_Done,
     /* 2379402 */   // Label 34065: @2379402
     /* 2379402 */   GIM_Reject,
     /* 2379403 */ // Label 34060: @2379403
     /* 2379403 */ GIM_Reject,
     /* 2379404 */ // Label 34034: @2379404
     /* 2379404 */ GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2379524),
     /* 2379409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379427 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2379475), // Rule ID 54269 //
     /* 2379432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379435 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379474 */     // GIR_Coverage, 54269,
     /* 2379474 */     GIR_EraseRootFromParent_Done,
     /* 2379475 */   // Label 34067: @2379475
     /* 2379475 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2379523), // Rule ID 54270 //
     /* 2379480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379483 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2379500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379522 */     // GIR_Coverage, 54270,
     /* 2379522 */     GIR_EraseRootFromParent_Done,
     /* 2379523 */   // Label 34068: @2379523
     /* 2379523 */   GIM_Reject,
     /* 2379524 */ // Label 34066: @2379524
     /* 2379524 */ GIM_Reject,
     /* 2379525 */ // Label 34035: @2379525
     /* 2379525 */ GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2379645),
     /* 2379530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2379536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379548 */   GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2379596), // Rule ID 54293 //
     /* 2379553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379556 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2379573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379595 */     // GIR_Coverage, 54293,
     /* 2379595 */     GIR_EraseRootFromParent_Done,
     /* 2379596 */   // Label 34070: @2379596
     /* 2379596 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2379644), // Rule ID 54294 //
     /* 2379601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379604 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2379621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379643 */     // GIR_Coverage, 54294,
     /* 2379643 */     GIR_EraseRootFromParent_Done,
     /* 2379644 */   // Label 34071: @2379644
     /* 2379644 */   GIM_Reject,
     /* 2379645 */ // Label 34069: @2379645
     /* 2379645 */ GIM_Reject,
     /* 2379646 */ // Label 34036: @2379646
     /* 2379646 */ GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2379766),
     /* 2379651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2379654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2379657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379669 */   GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2379717), // Rule ID 54329 //
     /* 2379674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2379677 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2379694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379716 */     // GIR_Coverage, 54329,
     /* 2379716 */     GIR_EraseRootFromParent_Done,
     /* 2379717 */   // Label 34073: @2379717
     /* 2379717 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2379765), // Rule ID 54330 //
     /* 2379722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2379725 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2379742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379764 */     // GIR_Coverage, 54330,
     /* 2379764 */     GIR_EraseRootFromParent_Done,
     /* 2379765 */   // Label 34074: @2379765
     /* 2379765 */   GIM_Reject,
     /* 2379766 */ // Label 34072: @2379766
     /* 2379766 */ GIM_Reject,
     /* 2379767 */ // Label 34037: @2379767
     /* 2379767 */ GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2379887),
     /* 2379772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2379775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2379778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379790 */   GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2379838), // Rule ID 54281 //
     /* 2379795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379798 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2379815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379837 */     // GIR_Coverage, 54281,
     /* 2379837 */     GIR_EraseRootFromParent_Done,
     /* 2379838 */   // Label 34076: @2379838
     /* 2379838 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2379886), // Rule ID 54282 //
     /* 2379843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379846 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2379863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379885 */     // GIR_Coverage, 54282,
     /* 2379885 */     GIR_EraseRootFromParent_Done,
     /* 2379886 */   // Label 34077: @2379886
     /* 2379886 */   GIM_Reject,
     /* 2379887 */ // Label 34075: @2379887
     /* 2379887 */ GIM_Reject,
     /* 2379888 */ // Label 34038: @2379888
     /* 2379888 */ GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2380008),
     /* 2379893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2379896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2379899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379911 */   GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2379959), // Rule ID 54317 //
     /* 2379916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379919 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2379922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2379936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379958 */     // GIR_Coverage, 54317,
     /* 2379958 */     GIR_EraseRootFromParent_Done,
     /* 2379959 */   // Label 34079: @2379959
     /* 2379959 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2380007), // Rule ID 54318 //
     /* 2379964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379967 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2379970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2379984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380006 */     // GIR_Coverage, 54318,
     /* 2380006 */     GIR_EraseRootFromParent_Done,
     /* 2380007 */   // Label 34080: @2380007
     /* 2380007 */   GIM_Reject,
     /* 2380008 */ // Label 34078: @2380008
     /* 2380008 */ GIM_Reject,
     /* 2380009 */ // Label 34039: @2380009
     /* 2380009 */ GIM_Try, /*On fail goto*//*Label 34081*/ GIMT_Encode4(2380129),
     /* 2380014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2380020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380032 */   GIM_Try, /*On fail goto*//*Label 34082*/ GIMT_Encode4(2380080), // Rule ID 54413 //
     /* 2380037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380040 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380079 */     // GIR_Coverage, 54413,
     /* 2380079 */     GIR_EraseRootFromParent_Done,
     /* 2380080 */   // Label 34082: @2380080
     /* 2380080 */   GIM_Try, /*On fail goto*//*Label 34083*/ GIMT_Encode4(2380128), // Rule ID 54414 //
     /* 2380085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380088 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2380105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380127 */     // GIR_Coverage, 54414,
     /* 2380127 */     GIR_EraseRootFromParent_Done,
     /* 2380128 */   // Label 34083: @2380128
     /* 2380128 */   GIM_Reject,
     /* 2380129 */ // Label 34081: @2380129
     /* 2380129 */ GIM_Reject,
     /* 2380130 */ // Label 34040: @2380130
     /* 2380130 */ GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2380250),
     /* 2380135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2380141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380153 */   GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2380201), // Rule ID 54305 //
     /* 2380158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380161 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380200 */     // GIR_Coverage, 54305,
     /* 2380200 */     GIR_EraseRootFromParent_Done,
     /* 2380201 */   // Label 34085: @2380201
     /* 2380201 */   GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2380249), // Rule ID 54306 //
     /* 2380206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380209 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2380226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380248 */     // GIR_Coverage, 54306,
     /* 2380248 */     GIR_EraseRootFromParent_Done,
     /* 2380249 */   // Label 34086: @2380249
     /* 2380249 */   GIM_Reject,
     /* 2380250 */ // Label 34084: @2380250
     /* 2380250 */ GIM_Reject,
     /* 2380251 */ // Label 34041: @2380251
     /* 2380251 */ GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2380371),
     /* 2380256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2380262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380274 */   GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2380322), // Rule ID 54377 //
     /* 2380279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380282 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380321 */     // GIR_Coverage, 54377,
     /* 2380321 */     GIR_EraseRootFromParent_Done,
     /* 2380322 */   // Label 34088: @2380322
     /* 2380322 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2380370), // Rule ID 54378 //
     /* 2380327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380330 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2380347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380369 */     // GIR_Coverage, 54378,
     /* 2380369 */     GIR_EraseRootFromParent_Done,
     /* 2380370 */   // Label 34089: @2380370
     /* 2380370 */   GIM_Reject,
     /* 2380371 */ // Label 34087: @2380371
     /* 2380371 */ GIM_Reject,
     /* 2380372 */ // Label 34042: @2380372
     /* 2380372 */ GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2380492),
     /* 2380377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2380383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380395 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2380443), // Rule ID 54425 //
     /* 2380400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380403 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380442 */     // GIR_Coverage, 54425,
     /* 2380442 */     GIR_EraseRootFromParent_Done,
     /* 2380443 */   // Label 34091: @2380443
     /* 2380443 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2380491), // Rule ID 54426 //
     /* 2380448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380451 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2380468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380490 */     // GIR_Coverage, 54426,
     /* 2380490 */     GIR_EraseRootFromParent_Done,
     /* 2380491 */   // Label 34092: @2380491
     /* 2380491 */   GIM_Reject,
     /* 2380492 */ // Label 34090: @2380492
     /* 2380492 */ GIM_Reject,
     /* 2380493 */ // Label 34043: @2380493
     /* 2380493 */ GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2380613),
     /* 2380498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2380501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2380504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380516 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2380564), // Rule ID 54341 //
     /* 2380521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380524 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380563 */     // GIR_Coverage, 54341,
     /* 2380563 */     GIR_EraseRootFromParent_Done,
     /* 2380564 */   // Label 34094: @2380564
     /* 2380564 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2380612), // Rule ID 54342 //
     /* 2380569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380572 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2380589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380611 */     // GIR_Coverage, 54342,
     /* 2380611 */     GIR_EraseRootFromParent_Done,
     /* 2380612 */   // Label 34095: @2380612
     /* 2380612 */   GIM_Reject,
     /* 2380613 */ // Label 34093: @2380613
     /* 2380613 */ GIM_Reject,
     /* 2380614 */ // Label 34044: @2380614
     /* 2380614 */ GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2380734),
     /* 2380619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2380622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2380625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380637 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2380685), // Rule ID 54389 //
     /* 2380642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380645 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2380662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380684 */     // GIR_Coverage, 54389,
     /* 2380684 */     GIR_EraseRootFromParent_Done,
     /* 2380685 */   // Label 34097: @2380685
     /* 2380685 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2380733), // Rule ID 54390 //
     /* 2380690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380693 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2380710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380732 */     // GIR_Coverage, 54390,
     /* 2380732 */     GIR_EraseRootFromParent_Done,
     /* 2380733 */   // Label 34098: @2380733
     /* 2380733 */   GIM_Reject,
     /* 2380734 */ // Label 34096: @2380734
     /* 2380734 */ GIM_Reject,
     /* 2380735 */ // Label 34045: @2380735
     /* 2380735 */ GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2380855),
     /* 2380740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2380743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2380746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380758 */   GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2380806), // Rule ID 54437 //
     /* 2380763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2380766 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2380783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380805 */     // GIR_Coverage, 54437,
     /* 2380805 */     GIR_EraseRootFromParent_Done,
     /* 2380806 */   // Label 34100: @2380806
     /* 2380806 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2380854), // Rule ID 54438 //
     /* 2380811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2380814 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2380831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380853 */     // GIR_Coverage, 54438,
     /* 2380853 */     GIR_EraseRootFromParent_Done,
     /* 2380854 */   // Label 34101: @2380854
     /* 2380854 */   GIM_Reject,
     /* 2380855 */ // Label 34099: @2380855
     /* 2380855 */ GIM_Reject,
     /* 2380856 */ // Label 34046: @2380856
     /* 2380856 */ GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2380976),
     /* 2380861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2380864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2380867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380879 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2380927), // Rule ID 54353 //
     /* 2380884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380887 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2380904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380926 */     // GIR_Coverage, 54353,
     /* 2380926 */     GIR_EraseRootFromParent_Done,
     /* 2380927 */   // Label 34103: @2380927
     /* 2380927 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2380975), // Rule ID 54354 //
     /* 2380932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380935 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2380952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380974 */     // GIR_Coverage, 54354,
     /* 2380974 */     GIR_EraseRootFromParent_Done,
     /* 2380975 */   // Label 34104: @2380975
     /* 2380975 */   GIM_Reject,
     /* 2380976 */ // Label 34102: @2380976
     /* 2380976 */ GIM_Reject,
     /* 2380977 */ // Label 34047: @2380977
     /* 2380977 */ GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2381097),
     /* 2380982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2380985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2380988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381000 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2381048), // Rule ID 54401 //
     /* 2381005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381008 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381047 */     // GIR_Coverage, 54401,
     /* 2381047 */     GIR_EraseRootFromParent_Done,
     /* 2381048 */   // Label 34106: @2381048
     /* 2381048 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2381096), // Rule ID 54402 //
     /* 2381053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381056 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2381073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381095 */     // GIR_Coverage, 54402,
     /* 2381095 */     GIR_EraseRootFromParent_Done,
     /* 2381096 */   // Label 34107: @2381096
     /* 2381096 */   GIM_Reject,
     /* 2381097 */ // Label 34105: @2381097
     /* 2381097 */ GIM_Reject,
     /* 2381098 */ // Label 34048: @2381098
     /* 2381098 */ GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2381218),
     /* 2381103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2381109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381121 */   GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2381169), // Rule ID 54365 //
     /* 2381126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381129 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381168 */     // GIR_Coverage, 54365,
     /* 2381168 */     GIR_EraseRootFromParent_Done,
     /* 2381169 */   // Label 34109: @2381169
     /* 2381169 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2381217), // Rule ID 54366 //
     /* 2381174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381177 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2381194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381216 */     // GIR_Coverage, 54366,
     /* 2381216 */     GIR_EraseRootFromParent_Done,
     /* 2381217 */   // Label 34110: @2381217
     /* 2381217 */   GIM_Reject,
     /* 2381218 */ // Label 34108: @2381218
     /* 2381218 */ GIM_Reject,
     /* 2381219 */ // Label 34049: @2381219
     /* 2381219 */ GIM_Reject,
     /* 2381220 */ // Label 100: @2381220
     /* 2381220 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34129*/ GIMT_Encode4(2397864),
     /* 2381231 */ /*GILLT_s16*//*Label 34111*/ GIMT_Encode4(2381351),
     /* 2381235 */ /*GILLT_s32*//*Label 34112*/ GIMT_Encode4(2382787),
     /* 2381239 */ /*GILLT_s64*//*Label 34113*/ GIMT_Encode4(2384223), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381251 */ /*GILLT_nxv1s16*//*Label 34114*/ GIMT_Encode4(2386014),
     /* 2381255 */ /*GILLT_nxv1s32*//*Label 34115*/ GIMT_Encode4(2386804),
     /* 2381259 */ /*GILLT_nxv1s64*//*Label 34116*/ GIMT_Encode4(2387594), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381271 */ /*GILLT_nxv2s16*//*Label 34117*/ GIMT_Encode4(2388384),
     /* 2381275 */ /*GILLT_nxv2s32*//*Label 34118*/ GIMT_Encode4(2389174),
     /* 2381279 */ /*GILLT_nxv2s64*//*Label 34119*/ GIMT_Encode4(2389964), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381291 */ /*GILLT_nxv4s16*//*Label 34120*/ GIMT_Encode4(2390754),
     /* 2381295 */ /*GILLT_nxv4s32*//*Label 34121*/ GIMT_Encode4(2391544),
     /* 2381299 */ /*GILLT_nxv4s64*//*Label 34122*/ GIMT_Encode4(2392334), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381311 */ /*GILLT_nxv8s16*//*Label 34123*/ GIMT_Encode4(2393124),
     /* 2381315 */ /*GILLT_nxv8s32*//*Label 34124*/ GIMT_Encode4(2393914),
     /* 2381319 */ /*GILLT_nxv8s64*//*Label 34125*/ GIMT_Encode4(2394704), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381331 */ /*GILLT_nxv16s16*//*Label 34126*/ GIMT_Encode4(2395494),
     /* 2381335 */ /*GILLT_nxv16s32*//*Label 34127*/ GIMT_Encode4(2396284), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2381347 */ /*GILLT_nxv32s16*//*Label 34128*/ GIMT_Encode4(2397074),
     /* 2381351 */ // Label 34111: @2381351
     /* 2381351 */ GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2382786),
     /* 2381356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2381362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2381365 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2381437), // Rule ID 1896 //
     /* 2381370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381417 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381436 */     // GIR_Coverage, 1896,
     /* 2381436 */     GIR_EraseRootFromParent_Done,
     /* 2381437 */   // Label 34131: @2381437
     /* 2381437 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2381509), // Rule ID 1897 //
     /* 2381442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381489 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381508 */     // GIR_Coverage, 1897,
     /* 2381508 */     GIR_EraseRootFromParent_Done,
     /* 2381509 */   // Label 34132: @2381509
     /* 2381509 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2381581), // Rule ID 1929 //
     /* 2381514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381561 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381580 */     // GIR_Coverage, 1929,
     /* 2381580 */     GIR_EraseRootFromParent_Done,
     /* 2381581 */   // Label 34133: @2381581
     /* 2381581 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2381653), // Rule ID 1930 //
     /* 2381586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381633 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381652 */     // GIR_Coverage, 1930,
     /* 2381652 */     GIR_EraseRootFromParent_Done,
     /* 2381653 */   // Label 34134: @2381653
     /* 2381653 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2381725), // Rule ID 64769 //
     /* 2381658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381705 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381724 */     // GIR_Coverage, 64769,
     /* 2381724 */     GIR_EraseRootFromParent_Done,
     /* 2381725 */   // Label 34135: @2381725
     /* 2381725 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2381797), // Rule ID 64770 //
     /* 2381730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381777 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2381780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381796 */     // GIR_Coverage, 64770,
     /* 2381796 */     GIR_EraseRootFromParent_Done,
     /* 2381797 */   // Label 34136: @2381797
     /* 2381797 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2381869), // Rule ID 64777 //
     /* 2381802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381849 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381868 */     // GIR_Coverage, 64777,
     /* 2381868 */     GIR_EraseRootFromParent_Done,
     /* 2381869 */   // Label 34137: @2381869
     /* 2381869 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2381941), // Rule ID 64778 //
     /* 2381874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381921 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2381924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381940 */     // GIR_Coverage, 64778,
     /* 2381940 */     GIR_EraseRootFromParent_Done,
     /* 2381941 */   // Label 34138: @2381941
     /* 2381941 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2381998), // Rule ID 1892 //
     /* 2381946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381980 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2381983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381997 */     // GIR_Coverage, 1892,
     /* 2381997 */     GIR_EraseRootFromParent_Done,
     /* 2381998 */   // Label 34139: @2381998
     /* 2381998 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2382055), // Rule ID 1893 //
     /* 2382003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382037 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382054 */     // GIR_Coverage, 1893,
     /* 2382054 */     GIR_EraseRootFromParent_Done,
     /* 2382055 */   // Label 34140: @2382055
     /* 2382055 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2382112), // Rule ID 1925 //
     /* 2382060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382094 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382111 */     // GIR_Coverage, 1925,
     /* 2382111 */     GIR_EraseRootFromParent_Done,
     /* 2382112 */   // Label 34141: @2382112
     /* 2382112 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2382169), // Rule ID 1926 //
     /* 2382117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382151 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382168 */     // GIR_Coverage, 1926,
     /* 2382168 */     GIR_EraseRootFromParent_Done,
     /* 2382169 */   // Label 34142: @2382169
     /* 2382169 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2382226), // Rule ID 64765 //
     /* 2382174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382208 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382225 */     // GIR_Coverage, 64765,
     /* 2382225 */     GIR_EraseRootFromParent_Done,
     /* 2382226 */   // Label 34143: @2382226
     /* 2382226 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2382283), // Rule ID 64766 //
     /* 2382231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382265 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2382268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382282 */     // GIR_Coverage, 64766,
     /* 2382282 */     GIR_EraseRootFromParent_Done,
     /* 2382283 */   // Label 34144: @2382283
     /* 2382283 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2382340), // Rule ID 64773 //
     /* 2382288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382322 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382339 */     // GIR_Coverage, 64773,
     /* 2382339 */     GIR_EraseRootFromParent_Done,
     /* 2382340 */   // Label 34145: @2382340
     /* 2382340 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2382397), // Rule ID 64774 //
     /* 2382345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382379 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2382382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382396 */     // GIR_Coverage, 64774,
     /* 2382396 */     GIR_EraseRootFromParent_Done,
     /* 2382397 */   // Label 34146: @2382397
     /* 2382397 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2382454), // Rule ID 1888 //
     /* 2382402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382436 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382453 */     // GIR_Coverage, 1888,
     /* 2382453 */     GIR_EraseRootFromParent_Done,
     /* 2382454 */   // Label 34147: @2382454
     /* 2382454 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2382511), // Rule ID 1889 //
     /* 2382459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382493 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2382496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382510 */     // GIR_Coverage, 1889,
     /* 2382510 */     GIR_EraseRootFromParent_Done,
     /* 2382511 */   // Label 34148: @2382511
     /* 2382511 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2382568), // Rule ID 1921 //
     /* 2382516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382550 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382567 */     // GIR_Coverage, 1921,
     /* 2382567 */     GIR_EraseRootFromParent_Done,
     /* 2382568 */   // Label 34149: @2382568
     /* 2382568 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2382625), // Rule ID 1922 //
     /* 2382573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382607 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2382610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382624 */     // GIR_Coverage, 1922,
     /* 2382624 */     GIR_EraseRootFromParent_Done,
     /* 2382625 */   // Label 34150: @2382625
     /* 2382625 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2382665), // Rule ID 1884 //
     /* 2382630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382649 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2382652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382664 */     // GIR_Coverage, 1884,
     /* 2382664 */     GIR_EraseRootFromParent_Done,
     /* 2382665 */   // Label 34151: @2382665
     /* 2382665 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2382705), // Rule ID 1885 //
     /* 2382670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382689 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2382692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382704 */     // GIR_Coverage, 1885,
     /* 2382704 */     GIR_EraseRootFromParent_Done,
     /* 2382705 */   // Label 34152: @2382705
     /* 2382705 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2382745), // Rule ID 1917 //
     /* 2382710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382729 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2382729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2382732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382744 */     // GIR_Coverage, 1917,
     /* 2382744 */     GIR_EraseRootFromParent_Done,
     /* 2382745 */   // Label 34153: @2382745
     /* 2382745 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2382785), // Rule ID 1918 //
     /* 2382750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382769 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2382769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2382772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382784 */     // GIR_Coverage, 1918,
     /* 2382784 */     GIR_EraseRootFromParent_Done,
     /* 2382785 */   // Label 34154: @2382785
     /* 2382785 */   GIM_Reject,
     /* 2382786 */ // Label 34130: @2382786
     /* 2382786 */ GIM_Reject,
     /* 2382787 */ // Label 34112: @2382787
     /* 2382787 */ GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2384222),
     /* 2382792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2382798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2382801 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2382873), // Rule ID 1195 //
     /* 2382806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382853 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2382856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382872 */     // GIR_Coverage, 1195,
     /* 2382872 */     GIR_EraseRootFromParent_Done,
     /* 2382873 */   // Label 34156: @2382873
     /* 2382873 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2382945), // Rule ID 1196 //
     /* 2382878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382923 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382925 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2382928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382944 */     // GIR_Coverage, 1196,
     /* 2382944 */     GIR_EraseRootFromParent_Done,
     /* 2382945 */   // Label 34157: @2382945
     /* 2382945 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2383017), // Rule ID 1216 //
     /* 2382950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2382953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382997 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383016 */     // GIR_Coverage, 1216,
     /* 2383016 */     GIR_EraseRootFromParent_Done,
     /* 2383017 */   // Label 34158: @2383017
     /* 2383017 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2383089), // Rule ID 1217 //
     /* 2383022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383069 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383088 */     // GIR_Coverage, 1217,
     /* 2383088 */     GIR_EraseRootFromParent_Done,
     /* 2383089 */   // Label 34159: @2383089
     /* 2383089 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2383161), // Rule ID 64733 //
     /* 2383094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383141 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383160 */     // GIR_Coverage, 64733,
     /* 2383160 */     GIR_EraseRootFromParent_Done,
     /* 2383161 */   // Label 34160: @2383161
     /* 2383161 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2383233), // Rule ID 64734 //
     /* 2383166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383213 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2383216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383232 */     // GIR_Coverage, 64734,
     /* 2383232 */     GIR_EraseRootFromParent_Done,
     /* 2383233 */   // Label 34161: @2383233
     /* 2383233 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2383305), // Rule ID 64741 //
     /* 2383238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383285 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383304 */     // GIR_Coverage, 64741,
     /* 2383304 */     GIR_EraseRootFromParent_Done,
     /* 2383305 */   // Label 34162: @2383305
     /* 2383305 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2383377), // Rule ID 64742 //
     /* 2383310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383357 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2383360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383376 */     // GIR_Coverage, 64742,
     /* 2383376 */     GIR_EraseRootFromParent_Done,
     /* 2383377 */   // Label 34163: @2383377
     /* 2383377 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2383434), // Rule ID 1191 //
     /* 2383382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383416 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383433 */     // GIR_Coverage, 1191,
     /* 2383433 */     GIR_EraseRootFromParent_Done,
     /* 2383434 */   // Label 34164: @2383434
     /* 2383434 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2383491), // Rule ID 1192 //
     /* 2383439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383473 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383490 */     // GIR_Coverage, 1192,
     /* 2383490 */     GIR_EraseRootFromParent_Done,
     /* 2383491 */   // Label 34165: @2383491
     /* 2383491 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2383548), // Rule ID 1212 //
     /* 2383496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383530 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383547 */     // GIR_Coverage, 1212,
     /* 2383547 */     GIR_EraseRootFromParent_Done,
     /* 2383548 */   // Label 34166: @2383548
     /* 2383548 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2383605), // Rule ID 1213 //
     /* 2383553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383587 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383604 */     // GIR_Coverage, 1213,
     /* 2383604 */     GIR_EraseRootFromParent_Done,
     /* 2383605 */   // Label 34167: @2383605
     /* 2383605 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2383662), // Rule ID 64729 //
     /* 2383610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383644 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383661 */     // GIR_Coverage, 64729,
     /* 2383661 */     GIR_EraseRootFromParent_Done,
     /* 2383662 */   // Label 34168: @2383662
     /* 2383662 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2383719), // Rule ID 64730 //
     /* 2383667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383701 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2383704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383718 */     // GIR_Coverage, 64730,
     /* 2383718 */     GIR_EraseRootFromParent_Done,
     /* 2383719 */   // Label 34169: @2383719
     /* 2383719 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2383776), // Rule ID 64737 //
     /* 2383724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383758 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383775 */     // GIR_Coverage, 64737,
     /* 2383775 */     GIR_EraseRootFromParent_Done,
     /* 2383776 */   // Label 34170: @2383776
     /* 2383776 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2383833), // Rule ID 64738 //
     /* 2383781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383815 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2383818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383832 */     // GIR_Coverage, 64738,
     /* 2383832 */     GIR_EraseRootFromParent_Done,
     /* 2383833 */   // Label 34171: @2383833
     /* 2383833 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2383890), // Rule ID 1187 //
     /* 2383838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2383841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383872 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2383875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383889 */     // GIR_Coverage, 1187,
     /* 2383889 */     GIR_EraseRootFromParent_Done,
     /* 2383890 */   // Label 34172: @2383890
     /* 2383890 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2383947), // Rule ID 1188 //
     /* 2383895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383929 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2383929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2383932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383946 */     // GIR_Coverage, 1188,
     /* 2383946 */     GIR_EraseRootFromParent_Done,
     /* 2383947 */   // Label 34173: @2383947
     /* 2383947 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2384004), // Rule ID 1208 //
     /* 2383952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2383979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383986 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2383986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2383989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2383999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384003 */     // GIR_Coverage, 1208,
     /* 2384003 */     GIR_EraseRootFromParent_Done,
     /* 2384004 */   // Label 34174: @2384004
     /* 2384004 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2384061), // Rule ID 1209 //
     /* 2384009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384043 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2384046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384060 */     // GIR_Coverage, 1209,
     /* 2384060 */     GIR_EraseRootFromParent_Done,
     /* 2384061 */   // Label 34175: @2384061
     /* 2384061 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2384101), // Rule ID 1183 //
     /* 2384066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2384069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384085 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384100 */     // GIR_Coverage, 1183,
     /* 2384100 */     GIR_EraseRootFromParent_Done,
     /* 2384101 */   // Label 34176: @2384101
     /* 2384101 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2384141), // Rule ID 1184 //
     /* 2384106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2384109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2384125 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2384128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384140 */     // GIR_Coverage, 1184,
     /* 2384140 */     GIR_EraseRootFromParent_Done,
     /* 2384141 */   // Label 34177: @2384141
     /* 2384141 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2384181), // Rule ID 1204 //
     /* 2384146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2384149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384165 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2384165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384180 */     // GIR_Coverage, 1204,
     /* 2384180 */     GIR_EraseRootFromParent_Done,
     /* 2384181 */   // Label 34178: @2384181
     /* 2384181 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2384221), // Rule ID 1205 //
     /* 2384186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2384189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2384205 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2384205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2384208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384220 */     // GIR_Coverage, 1205,
     /* 2384220 */     GIR_EraseRootFromParent_Done,
     /* 2384221 */   // Label 34179: @2384221
     /* 2384221 */   GIM_Reject,
     /* 2384222 */ // Label 34155: @2384222
     /* 2384222 */ GIM_Reject,
     /* 2384223 */ // Label 34113: @2384223
     /* 2384223 */ GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2386013),
     /* 2384228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2384234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2384237 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2384309), // Rule ID 1532 //
     /* 2384242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384282 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384289 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384308 */     // GIR_Coverage, 1532,
     /* 2384308 */     GIR_EraseRootFromParent_Done,
     /* 2384309 */   // Label 34181: @2384309
     /* 2384309 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2384381), // Rule ID 1533 //
     /* 2384314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384361 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384380 */     // GIR_Coverage, 1533,
     /* 2384380 */     GIR_EraseRootFromParent_Done,
     /* 2384381 */   // Label 34182: @2384381
     /* 2384381 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2384453), // Rule ID 1556 //
     /* 2384386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384433 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384452 */     // GIR_Coverage, 1556,
     /* 2384452 */     GIR_EraseRootFromParent_Done,
     /* 2384453 */   // Label 34183: @2384453
     /* 2384453 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2384525), // Rule ID 1587 //
     /* 2384458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384505 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384524 */     // GIR_Coverage, 1587,
     /* 2384524 */     GIR_EraseRootFromParent_Done,
     /* 2384525 */   // Label 34184: @2384525
     /* 2384525 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2384597), // Rule ID 1588 //
     /* 2384530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384577 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384596 */     // GIR_Coverage, 1588,
     /* 2384596 */     GIR_EraseRootFromParent_Done,
     /* 2384597 */   // Label 34185: @2384597
     /* 2384597 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2384669), // Rule ID 64749 //
     /* 2384602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384649 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384668 */     // GIR_Coverage, 64749,
     /* 2384668 */     GIR_EraseRootFromParent_Done,
     /* 2384669 */   // Label 34186: @2384669
     /* 2384669 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2384741), // Rule ID 64750 //
     /* 2384674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384721 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2384724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384740 */     // GIR_Coverage, 64750,
     /* 2384740 */     GIR_EraseRootFromParent_Done,
     /* 2384741 */   // Label 34187: @2384741
     /* 2384741 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2384813), // Rule ID 64755 //
     /* 2384746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384793 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2384796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384812 */     // GIR_Coverage, 64755,
     /* 2384812 */     GIR_EraseRootFromParent_Done,
     /* 2384813 */   // Label 34188: @2384813
     /* 2384813 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2384885), // Rule ID 64761 //
     /* 2384818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384865 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384884 */     // GIR_Coverage, 64761,
     /* 2384884 */     GIR_EraseRootFromParent_Done,
     /* 2384885 */   // Label 34189: @2384885
     /* 2384885 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2384957), // Rule ID 64762 //
     /* 2384890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384937 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2384940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2384948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2384952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384956 */     // GIR_Coverage, 64762,
     /* 2384956 */     GIR_EraseRootFromParent_Done,
     /* 2384957 */   // Label 34190: @2384957
     /* 2384957 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2385014), // Rule ID 1528 //
     /* 2384962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384996 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2384999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385013 */     // GIR_Coverage, 1528,
     /* 2385013 */     GIR_EraseRootFromParent_Done,
     /* 2385014 */   // Label 34191: @2385014
     /* 2385014 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2385071), // Rule ID 1529 //
     /* 2385019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385053 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385070 */     // GIR_Coverage, 1529,
     /* 2385070 */     GIR_EraseRootFromParent_Done,
     /* 2385071 */   // Label 34192: @2385071
     /* 2385071 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2385128), // Rule ID 1554 //
     /* 2385076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385110 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385127 */     // GIR_Coverage, 1554,
     /* 2385127 */     GIR_EraseRootFromParent_Done,
     /* 2385128 */   // Label 34193: @2385128
     /* 2385128 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2385185), // Rule ID 1583 //
     /* 2385133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385167 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385184 */     // GIR_Coverage, 1583,
     /* 2385184 */     GIR_EraseRootFromParent_Done,
     /* 2385185 */   // Label 34194: @2385185
     /* 2385185 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385242), // Rule ID 1584 //
     /* 2385190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385224 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385241 */     // GIR_Coverage, 1584,
     /* 2385241 */     GIR_EraseRootFromParent_Done,
     /* 2385242 */   // Label 34195: @2385242
     /* 2385242 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2385299), // Rule ID 64745 //
     /* 2385247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385281 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385298 */     // GIR_Coverage, 64745,
     /* 2385298 */     GIR_EraseRootFromParent_Done,
     /* 2385299 */   // Label 34196: @2385299
     /* 2385299 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2385356), // Rule ID 64746 //
     /* 2385304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385338 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2385341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385355 */     // GIR_Coverage, 64746,
     /* 2385355 */     GIR_EraseRootFromParent_Done,
     /* 2385356 */   // Label 34197: @2385356
     /* 2385356 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2385413), // Rule ID 64753 //
     /* 2385361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385395 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2385398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385412 */     // GIR_Coverage, 64753,
     /* 2385412 */     GIR_EraseRootFromParent_Done,
     /* 2385413 */   // Label 34198: @2385413
     /* 2385413 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2385470), // Rule ID 64757 //
     /* 2385418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385452 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385469 */     // GIR_Coverage, 64757,
     /* 2385469 */     GIR_EraseRootFromParent_Done,
     /* 2385470 */   // Label 34199: @2385470
     /* 2385470 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2385527), // Rule ID 64758 //
     /* 2385475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385509 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2385512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2385520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385526 */     // GIR_Coverage, 64758,
     /* 2385526 */     GIR_EraseRootFromParent_Done,
     /* 2385527 */   // Label 34200: @2385527
     /* 2385527 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2385584), // Rule ID 1524 //
     /* 2385532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385566 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2385569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385583 */     // GIR_Coverage, 1524,
     /* 2385583 */     GIR_EraseRootFromParent_Done,
     /* 2385584 */   // Label 34201: @2385584
     /* 2385584 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2385641), // Rule ID 1525 //
     /* 2385589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385623 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2385626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385640 */     // GIR_Coverage, 1525,
     /* 2385640 */     GIR_EraseRootFromParent_Done,
     /* 2385641 */   // Label 34202: @2385641
     /* 2385641 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2385698), // Rule ID 1552 //
     /* 2385646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385680 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2385683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385697 */     // GIR_Coverage, 1552,
     /* 2385697 */     GIR_EraseRootFromParent_Done,
     /* 2385698 */   // Label 34203: @2385698
     /* 2385698 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2385755), // Rule ID 1579 //
     /* 2385703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385737 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2385740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385754 */     // GIR_Coverage, 1579,
     /* 2385754 */     GIR_EraseRootFromParent_Done,
     /* 2385755 */   // Label 34204: @2385755
     /* 2385755 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2385812), // Rule ID 1580 //
     /* 2385760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385794 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2385797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2385807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385811 */     // GIR_Coverage, 1580,
     /* 2385811 */     GIR_EraseRootFromParent_Done,
     /* 2385812 */   // Label 34205: @2385812
     /* 2385812 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2385852), // Rule ID 1520 //
     /* 2385817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385836 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2385839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385851 */     // GIR_Coverage, 1520,
     /* 2385851 */     GIR_EraseRootFromParent_Done,
     /* 2385852 */   // Label 34206: @2385852
     /* 2385852 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2385892), // Rule ID 1521 //
     /* 2385857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385876 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2385879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385891 */     // GIR_Coverage, 1521,
     /* 2385891 */     GIR_EraseRootFromParent_Done,
     /* 2385892 */   // Label 34207: @2385892
     /* 2385892 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2385932), // Rule ID 1550 //
     /* 2385897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385916 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2385919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385931 */     // GIR_Coverage, 1550,
     /* 2385931 */     GIR_EraseRootFromParent_Done,
     /* 2385932 */   // Label 34208: @2385932
     /* 2385932 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2385972), // Rule ID 1575 //
     /* 2385937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385956 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2385956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2385959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2385967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385971 */     // GIR_Coverage, 1575,
     /* 2385971 */     GIR_EraseRootFromParent_Done,
     /* 2385972 */   // Label 34209: @2385972
     /* 2385972 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2386012), // Rule ID 1576 //
     /* 2385977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385996 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2385996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2385999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2386007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386011 */     // GIR_Coverage, 1576,
     /* 2386011 */     GIR_EraseRootFromParent_Done,
     /* 2386012 */   // Label 34210: @2386012
     /* 2386012 */   GIM_Reject,
     /* 2386013 */ // Label 34180: @2386013
     /* 2386013 */ GIM_Reject,
     /* 2386014 */ // Label 34114: @2386014
     /* 2386014 */ GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2386803),
     /* 2386019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2386025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2386028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386032 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2386109), // Rule ID 54703 //
     /* 2386037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386080 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386108 */     // GIR_Coverage, 54703,
     /* 2386108 */     GIR_EraseRootFromParent_Done,
     /* 2386109 */   // Label 34212: @2386109
     /* 2386109 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2386186), // Rule ID 54704 //
     /* 2386114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386157 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386185 */     // GIR_Coverage, 54704,
     /* 2386185 */     GIR_EraseRootFromParent_Done,
     /* 2386186 */   // Label 34213: @2386186
     /* 2386186 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2386263), // Rule ID 71723 //
     /* 2386191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386234 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386262 */     // GIR_Coverage, 71723,
     /* 2386262 */     GIR_EraseRootFromParent_Done,
     /* 2386263 */   // Label 34214: @2386263
     /* 2386263 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2386340), // Rule ID 71724 //
     /* 2386268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386311 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2386314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386339 */     // GIR_Coverage, 71724,
     /* 2386339 */     GIR_EraseRootFromParent_Done,
     /* 2386340 */   // Label 34215: @2386340
     /* 2386340 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2386402), // Rule ID 54707 //
     /* 2386345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386375 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386401 */     // GIR_Coverage, 54707,
     /* 2386401 */     GIR_EraseRootFromParent_Done,
     /* 2386402 */   // Label 34216: @2386402
     /* 2386402 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2386464), // Rule ID 54708 //
     /* 2386407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386437 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386463 */     // GIR_Coverage, 54708,
     /* 2386463 */     GIR_EraseRootFromParent_Done,
     /* 2386464 */   // Label 34217: @2386464
     /* 2386464 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2386526), // Rule ID 71727 //
     /* 2386469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386499 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386525 */     // GIR_Coverage, 71727,
     /* 2386525 */     GIR_EraseRootFromParent_Done,
     /* 2386526 */   // Label 34218: @2386526
     /* 2386526 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386588), // Rule ID 71728 //
     /* 2386531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386561 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2386564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386587 */     // GIR_Coverage, 71728,
     /* 2386587 */     GIR_EraseRootFromParent_Done,
     /* 2386588 */   // Label 34219: @2386588
     /* 2386588 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386650), // Rule ID 54699 //
     /* 2386593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386623 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2386626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386649 */     // GIR_Coverage, 54699,
     /* 2386649 */     GIR_EraseRootFromParent_Done,
     /* 2386650 */   // Label 34220: @2386650
     /* 2386650 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386712), // Rule ID 54700 //
     /* 2386655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386685 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2386688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386711 */     // GIR_Coverage, 54700,
     /* 2386711 */     GIR_EraseRootFromParent_Done,
     /* 2386712 */   // Label 34221: @2386712
     /* 2386712 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386757), // Rule ID 54695 //
     /* 2386717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386732 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2386735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386756 */     // GIR_Coverage, 54695,
     /* 2386756 */     GIR_EraseRootFromParent_Done,
     /* 2386757 */   // Label 34222: @2386757
     /* 2386757 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2386802), // Rule ID 54696 //
     /* 2386762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386777 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2386780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386801 */     // GIR_Coverage, 54696,
     /* 2386801 */     GIR_EraseRootFromParent_Done,
     /* 2386802 */   // Label 34223: @2386802
     /* 2386802 */   GIM_Reject,
     /* 2386803 */ // Label 34211: @2386803
     /* 2386803 */ GIM_Reject,
     /* 2386804 */ // Label 34115: @2386804
     /* 2386804 */ GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2387593),
     /* 2386809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2386815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2386818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386822 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2386899), // Rule ID 54831 //
     /* 2386827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386870 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2386873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386898 */     // GIR_Coverage, 54831,
     /* 2386898 */     GIR_EraseRootFromParent_Done,
     /* 2386899 */   // Label 34225: @2386899
     /* 2386899 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2386976), // Rule ID 54832 //
     /* 2386904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2386940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386947 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2386950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386975 */     // GIR_Coverage, 54832,
     /* 2386975 */     GIR_EraseRootFromParent_Done,
     /* 2386976 */   // Label 34226: @2386976
     /* 2386976 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2387053), // Rule ID 71835 //
     /* 2386981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387024 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387052 */     // GIR_Coverage, 71835,
     /* 2387052 */     GIR_EraseRootFromParent_Done,
     /* 2387053 */   // Label 34227: @2387053
     /* 2387053 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2387130), // Rule ID 71836 //
     /* 2387058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387101 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2387104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387129 */     // GIR_Coverage, 71836,
     /* 2387129 */     GIR_EraseRootFromParent_Done,
     /* 2387130 */   // Label 34228: @2387130
     /* 2387130 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2387192), // Rule ID 54835 //
     /* 2387135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387165 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387191 */     // GIR_Coverage, 54835,
     /* 2387191 */     GIR_EraseRootFromParent_Done,
     /* 2387192 */   // Label 34229: @2387192
     /* 2387192 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2387254), // Rule ID 54836 //
     /* 2387197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387227 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387253 */     // GIR_Coverage, 54836,
     /* 2387253 */     GIR_EraseRootFromParent_Done,
     /* 2387254 */   // Label 34230: @2387254
     /* 2387254 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2387316), // Rule ID 71839 //
     /* 2387259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387289 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387315 */     // GIR_Coverage, 71839,
     /* 2387315 */     GIR_EraseRootFromParent_Done,
     /* 2387316 */   // Label 34231: @2387316
     /* 2387316 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2387378), // Rule ID 71840 //
     /* 2387321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387351 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2387354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387377 */     // GIR_Coverage, 71840,
     /* 2387377 */     GIR_EraseRootFromParent_Done,
     /* 2387378 */   // Label 34232: @2387378
     /* 2387378 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2387440), // Rule ID 54827 //
     /* 2387383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387413 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387439 */     // GIR_Coverage, 54827,
     /* 2387439 */     GIR_EraseRootFromParent_Done,
     /* 2387440 */   // Label 34233: @2387440
     /* 2387440 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387502), // Rule ID 54828 //
     /* 2387445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387475 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2387478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387501 */     // GIR_Coverage, 54828,
     /* 2387501 */     GIR_EraseRootFromParent_Done,
     /* 2387502 */   // Label 34234: @2387502
     /* 2387502 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2387547), // Rule ID 54823 //
     /* 2387507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387522 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387546 */     // GIR_Coverage, 54823,
     /* 2387546 */     GIR_EraseRootFromParent_Done,
     /* 2387547 */   // Label 34235: @2387547
     /* 2387547 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387592), // Rule ID 54824 //
     /* 2387552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387567 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2387570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387591 */     // GIR_Coverage, 54824,
     /* 2387591 */     GIR_EraseRootFromParent_Done,
     /* 2387592 */   // Label 34236: @2387592
     /* 2387592 */   GIM_Reject,
     /* 2387593 */ // Label 34224: @2387593
     /* 2387593 */ GIM_Reject,
     /* 2387594 */ // Label 34116: @2387594
     /* 2387594 */ GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2388383),
     /* 2387599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2387605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2387608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387612 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387689), // Rule ID 55023 //
     /* 2387617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387660 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387688 */     // GIR_Coverage, 55023,
     /* 2387688 */     GIR_EraseRootFromParent_Done,
     /* 2387689 */   // Label 34238: @2387689
     /* 2387689 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387766), // Rule ID 55024 //
     /* 2387694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387737 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387765 */     // GIR_Coverage, 55024,
     /* 2387765 */     GIR_EraseRootFromParent_Done,
     /* 2387766 */   // Label 34239: @2387766
     /* 2387766 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2387843), // Rule ID 72003 //
     /* 2387771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387814 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387842 */     // GIR_Coverage, 72003,
     /* 2387842 */     GIR_EraseRootFromParent_Done,
     /* 2387843 */   // Label 34240: @2387843
     /* 2387843 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2387920), // Rule ID 72004 //
     /* 2387848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387891 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2387894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387919 */     // GIR_Coverage, 72004,
     /* 2387919 */     GIR_EraseRootFromParent_Done,
     /* 2387920 */   // Label 34241: @2387920
     /* 2387920 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2387982), // Rule ID 55027 //
     /* 2387925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387955 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2387958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387981 */     // GIR_Coverage, 55027,
     /* 2387981 */     GIR_EraseRootFromParent_Done,
     /* 2387982 */   // Label 34242: @2387982
     /* 2387982 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2388044), // Rule ID 55028 //
     /* 2387987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388017 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388043 */     // GIR_Coverage, 55028,
     /* 2388043 */     GIR_EraseRootFromParent_Done,
     /* 2388044 */   // Label 34243: @2388044
     /* 2388044 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2388106), // Rule ID 72007 //
     /* 2388049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388079 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388105 */     // GIR_Coverage, 72007,
     /* 2388105 */     GIR_EraseRootFromParent_Done,
     /* 2388106 */   // Label 34244: @2388106
     /* 2388106 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2388168), // Rule ID 72008 //
     /* 2388111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388141 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2388144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388167 */     // GIR_Coverage, 72008,
     /* 2388167 */     GIR_EraseRootFromParent_Done,
     /* 2388168 */   // Label 34245: @2388168
     /* 2388168 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2388230), // Rule ID 55019 //
     /* 2388173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388203 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388229 */     // GIR_Coverage, 55019,
     /* 2388229 */     GIR_EraseRootFromParent_Done,
     /* 2388230 */   // Label 34246: @2388230
     /* 2388230 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2388292), // Rule ID 55020 //
     /* 2388235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388265 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2388268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388291 */     // GIR_Coverage, 55020,
     /* 2388291 */     GIR_EraseRootFromParent_Done,
     /* 2388292 */   // Label 34247: @2388292
     /* 2388292 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2388337), // Rule ID 55015 //
     /* 2388297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388312 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388336 */     // GIR_Coverage, 55015,
     /* 2388336 */     GIR_EraseRootFromParent_Done,
     /* 2388337 */   // Label 34248: @2388337
     /* 2388337 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2388382), // Rule ID 55016 //
     /* 2388342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388357 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2388360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388381 */     // GIR_Coverage, 55016,
     /* 2388381 */     GIR_EraseRootFromParent_Done,
     /* 2388382 */   // Label 34249: @2388382
     /* 2388382 */   GIM_Reject,
     /* 2388383 */ // Label 34237: @2388383
     /* 2388383 */ GIM_Reject,
     /* 2388384 */ // Label 34117: @2388384
     /* 2388384 */ GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2389173),
     /* 2388389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2388398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388402 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2388479), // Rule ID 54767 //
     /* 2388407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388450 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388478 */     // GIR_Coverage, 54767,
     /* 2388478 */     GIR_EraseRootFromParent_Done,
     /* 2388479 */   // Label 34251: @2388479
     /* 2388479 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2388556), // Rule ID 54768 //
     /* 2388484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388527 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388555 */     // GIR_Coverage, 54768,
     /* 2388555 */     GIR_EraseRootFromParent_Done,
     /* 2388556 */   // Label 34252: @2388556
     /* 2388556 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2388633), // Rule ID 71779 //
     /* 2388561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388604 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388632 */     // GIR_Coverage, 71779,
     /* 2388632 */     GIR_EraseRootFromParent_Done,
     /* 2388633 */   // Label 34253: @2388633
     /* 2388633 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2388710), // Rule ID 71780 //
     /* 2388638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388681 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2388684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388709 */     // GIR_Coverage, 71780,
     /* 2388709 */     GIR_EraseRootFromParent_Done,
     /* 2388710 */   // Label 34254: @2388710
     /* 2388710 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2388772), // Rule ID 54771 //
     /* 2388715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388745 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388771 */     // GIR_Coverage, 54771,
     /* 2388771 */     GIR_EraseRootFromParent_Done,
     /* 2388772 */   // Label 34255: @2388772
     /* 2388772 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2388834), // Rule ID 54772 //
     /* 2388777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388807 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388833 */     // GIR_Coverage, 54772,
     /* 2388833 */     GIR_EraseRootFromParent_Done,
     /* 2388834 */   // Label 34256: @2388834
     /* 2388834 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2388896), // Rule ID 71783 //
     /* 2388839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388869 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388895 */     // GIR_Coverage, 71783,
     /* 2388895 */     GIR_EraseRootFromParent_Done,
     /* 2388896 */   // Label 34257: @2388896
     /* 2388896 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2388958), // Rule ID 71784 //
     /* 2388901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388931 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2388934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388957 */     // GIR_Coverage, 71784,
     /* 2388957 */     GIR_EraseRootFromParent_Done,
     /* 2388958 */   // Label 34258: @2388958
     /* 2388958 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2389020), // Rule ID 54763 //
     /* 2388963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388993 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2388996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389019 */     // GIR_Coverage, 54763,
     /* 2389019 */     GIR_EraseRootFromParent_Done,
     /* 2389020 */   // Label 34259: @2389020
     /* 2389020 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2389082), // Rule ID 54764 //
     /* 2389025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389055 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2389058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389081 */     // GIR_Coverage, 54764,
     /* 2389081 */     GIR_EraseRootFromParent_Done,
     /* 2389082 */   // Label 34260: @2389082
     /* 2389082 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2389127), // Rule ID 54759 //
     /* 2389087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389102 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389126 */     // GIR_Coverage, 54759,
     /* 2389126 */     GIR_EraseRootFromParent_Done,
     /* 2389127 */   // Label 34261: @2389127
     /* 2389127 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2389172), // Rule ID 54760 //
     /* 2389132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389147 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2389150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389171 */     // GIR_Coverage, 54760,
     /* 2389171 */     GIR_EraseRootFromParent_Done,
     /* 2389172 */   // Label 34262: @2389172
     /* 2389172 */   GIM_Reject,
     /* 2389173 */ // Label 34250: @2389173
     /* 2389173 */ GIM_Reject,
     /* 2389174 */ // Label 34118: @2389174
     /* 2389174 */ GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2389963),
     /* 2389179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2389185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2389188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389192 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2389269), // Rule ID 54959 //
     /* 2389197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389240 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389268 */     // GIR_Coverage, 54959,
     /* 2389268 */     GIR_EraseRootFromParent_Done,
     /* 2389269 */   // Label 34264: @2389269
     /* 2389269 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2389346), // Rule ID 54960 //
     /* 2389274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389317 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389345 */     // GIR_Coverage, 54960,
     /* 2389345 */     GIR_EraseRootFromParent_Done,
     /* 2389346 */   // Label 34265: @2389346
     /* 2389346 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2389423), // Rule ID 71947 //
     /* 2389351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389394 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389422 */     // GIR_Coverage, 71947,
     /* 2389422 */     GIR_EraseRootFromParent_Done,
     /* 2389423 */   // Label 34266: @2389423
     /* 2389423 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2389500), // Rule ID 71948 //
     /* 2389428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389471 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2389474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389499 */     // GIR_Coverage, 71948,
     /* 2389499 */     GIR_EraseRootFromParent_Done,
     /* 2389500 */   // Label 34267: @2389500
     /* 2389500 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2389562), // Rule ID 54963 //
     /* 2389505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389535 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389561 */     // GIR_Coverage, 54963,
     /* 2389561 */     GIR_EraseRootFromParent_Done,
     /* 2389562 */   // Label 34268: @2389562
     /* 2389562 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2389624), // Rule ID 54964 //
     /* 2389567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389597 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389623 */     // GIR_Coverage, 54964,
     /* 2389623 */     GIR_EraseRootFromParent_Done,
     /* 2389624 */   // Label 34269: @2389624
     /* 2389624 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2389686), // Rule ID 71951 //
     /* 2389629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389659 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389685 */     // GIR_Coverage, 71951,
     /* 2389685 */     GIR_EraseRootFromParent_Done,
     /* 2389686 */   // Label 34270: @2389686
     /* 2389686 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2389748), // Rule ID 71952 //
     /* 2389691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389721 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2389724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389747 */     // GIR_Coverage, 71952,
     /* 2389747 */     GIR_EraseRootFromParent_Done,
     /* 2389748 */   // Label 34271: @2389748
     /* 2389748 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2389810), // Rule ID 54955 //
     /* 2389753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389783 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2389786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389809 */     // GIR_Coverage, 54955,
     /* 2389809 */     GIR_EraseRootFromParent_Done,
     /* 2389810 */   // Label 34272: @2389810
     /* 2389810 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2389872), // Rule ID 54956 //
     /* 2389815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2389838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389845 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2389848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389871 */     // GIR_Coverage, 54956,
     /* 2389871 */     GIR_EraseRootFromParent_Done,
     /* 2389872 */   // Label 34273: @2389872
     /* 2389872 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2389917), // Rule ID 54951 //
     /* 2389877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389892 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2389895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389916 */     // GIR_Coverage, 54951,
     /* 2389916 */     GIR_EraseRootFromParent_Done,
     /* 2389917 */   // Label 34274: @2389917
     /* 2389917 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2389962), // Rule ID 54952 //
     /* 2389922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389937 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2389940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389961 */     // GIR_Coverage, 54952,
     /* 2389961 */     GIR_EraseRootFromParent_Done,
     /* 2389962 */   // Label 34275: @2389962
     /* 2389962 */   GIM_Reject,
     /* 2389963 */ // Label 34263: @2389963
     /* 2389963 */ GIM_Reject,
     /* 2389964 */ // Label 34119: @2389964
     /* 2389964 */ GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2390753),
     /* 2389969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2389972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2389975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2389978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389982 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2390059), // Rule ID 55471 //
     /* 2389987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390030 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390058 */     // GIR_Coverage, 55471,
     /* 2390058 */     GIR_EraseRootFromParent_Done,
     /* 2390059 */   // Label 34277: @2390059
     /* 2390059 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2390136), // Rule ID 55472 //
     /* 2390064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390107 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390135 */     // GIR_Coverage, 55472,
     /* 2390135 */     GIR_EraseRootFromParent_Done,
     /* 2390136 */   // Label 34278: @2390136
     /* 2390136 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2390213), // Rule ID 72395 //
     /* 2390141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390184 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390212 */     // GIR_Coverage, 72395,
     /* 2390212 */     GIR_EraseRootFromParent_Done,
     /* 2390213 */   // Label 34279: @2390213
     /* 2390213 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2390290), // Rule ID 72396 //
     /* 2390218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390261 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2390264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390289 */     // GIR_Coverage, 72396,
     /* 2390289 */     GIR_EraseRootFromParent_Done,
     /* 2390290 */   // Label 34280: @2390290
     /* 2390290 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2390352), // Rule ID 55475 //
     /* 2390295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390325 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390351 */     // GIR_Coverage, 55475,
     /* 2390351 */     GIR_EraseRootFromParent_Done,
     /* 2390352 */   // Label 34281: @2390352
     /* 2390352 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2390414), // Rule ID 55476 //
     /* 2390357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390387 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390413 */     // GIR_Coverage, 55476,
     /* 2390413 */     GIR_EraseRootFromParent_Done,
     /* 2390414 */   // Label 34282: @2390414
     /* 2390414 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2390476), // Rule ID 72399 //
     /* 2390419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390449 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390475 */     // GIR_Coverage, 72399,
     /* 2390475 */     GIR_EraseRootFromParent_Done,
     /* 2390476 */   // Label 34283: @2390476
     /* 2390476 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2390538), // Rule ID 72400 //
     /* 2390481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390511 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2390514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390537 */     // GIR_Coverage, 72400,
     /* 2390537 */     GIR_EraseRootFromParent_Done,
     /* 2390538 */   // Label 34284: @2390538
     /* 2390538 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2390600), // Rule ID 55467 //
     /* 2390543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390573 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2390576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390599 */     // GIR_Coverage, 55467,
     /* 2390599 */     GIR_EraseRootFromParent_Done,
     /* 2390600 */   // Label 34285: @2390600
     /* 2390600 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2390662), // Rule ID 55468 //
     /* 2390605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390635 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2390638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390661 */     // GIR_Coverage, 55468,
     /* 2390661 */     GIR_EraseRootFromParent_Done,
     /* 2390662 */   // Label 34286: @2390662
     /* 2390662 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2390707), // Rule ID 55463 //
     /* 2390667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390682 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2390685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390706 */     // GIR_Coverage, 55463,
     /* 2390706 */     GIR_EraseRootFromParent_Done,
     /* 2390707 */   // Label 34287: @2390707
     /* 2390707 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2390752), // Rule ID 55464 //
     /* 2390712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390727 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2390730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390751 */     // GIR_Coverage, 55464,
     /* 2390751 */     GIR_EraseRootFromParent_Done,
     /* 2390752 */   // Label 34288: @2390752
     /* 2390752 */   GIM_Reject,
     /* 2390753 */ // Label 34276: @2390753
     /* 2390753 */ GIM_Reject,
     /* 2390754 */ // Label 34120: @2390754
     /* 2390754 */ GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2391543),
     /* 2390759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2390765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2390768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390772 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2390849), // Rule ID 54895 //
     /* 2390777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390820 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2390823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390848 */     // GIR_Coverage, 54895,
     /* 2390848 */     GIR_EraseRootFromParent_Done,
     /* 2390849 */   // Label 34290: @2390849
     /* 2390849 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2390926), // Rule ID 54896 //
     /* 2390854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2390857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390897 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2390900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390925 */     // GIR_Coverage, 54896,
     /* 2390925 */     GIR_EraseRootFromParent_Done,
     /* 2390926 */   // Label 34291: @2390926
     /* 2390926 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2391003), // Rule ID 71891 //
     /* 2390931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390974 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2390977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391002 */     // GIR_Coverage, 71891,
     /* 2391002 */     GIR_EraseRootFromParent_Done,
     /* 2391003 */   // Label 34292: @2391003
     /* 2391003 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2391080), // Rule ID 71892 //
     /* 2391008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391051 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2391054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391079 */     // GIR_Coverage, 71892,
     /* 2391079 */     GIR_EraseRootFromParent_Done,
     /* 2391080 */   // Label 34293: @2391080
     /* 2391080 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2391142), // Rule ID 54899 //
     /* 2391085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391115 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391141 */     // GIR_Coverage, 54899,
     /* 2391141 */     GIR_EraseRootFromParent_Done,
     /* 2391142 */   // Label 34294: @2391142
     /* 2391142 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2391204), // Rule ID 54900 //
     /* 2391147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391177 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391203 */     // GIR_Coverage, 54900,
     /* 2391203 */     GIR_EraseRootFromParent_Done,
     /* 2391204 */   // Label 34295: @2391204
     /* 2391204 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2391266), // Rule ID 71895 //
     /* 2391209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391239 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391265 */     // GIR_Coverage, 71895,
     /* 2391265 */     GIR_EraseRootFromParent_Done,
     /* 2391266 */   // Label 34296: @2391266
     /* 2391266 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2391328), // Rule ID 71896 //
     /* 2391271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391301 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2391304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391327 */     // GIR_Coverage, 71896,
     /* 2391327 */     GIR_EraseRootFromParent_Done,
     /* 2391328 */   // Label 34297: @2391328
     /* 2391328 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2391390), // Rule ID 54891 //
     /* 2391333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391363 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391389 */     // GIR_Coverage, 54891,
     /* 2391389 */     GIR_EraseRootFromParent_Done,
     /* 2391390 */   // Label 34298: @2391390
     /* 2391390 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2391452), // Rule ID 54892 //
     /* 2391395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391425 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2391428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391451 */     // GIR_Coverage, 54892,
     /* 2391451 */     GIR_EraseRootFromParent_Done,
     /* 2391452 */   // Label 34299: @2391452
     /* 2391452 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2391497), // Rule ID 54887 //
     /* 2391457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391472 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391496 */     // GIR_Coverage, 54887,
     /* 2391496 */     GIR_EraseRootFromParent_Done,
     /* 2391497 */   // Label 34300: @2391497
     /* 2391497 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2391542), // Rule ID 54888 //
     /* 2391502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391517 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2391520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391541 */     // GIR_Coverage, 54888,
     /* 2391541 */     GIR_EraseRootFromParent_Done,
     /* 2391542 */   // Label 34301: @2391542
     /* 2391542 */   GIM_Reject,
     /* 2391543 */ // Label 34289: @2391543
     /* 2391543 */ GIM_Reject,
     /* 2391544 */ // Label 34121: @2391544
     /* 2391544 */ GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2392333),
     /* 2391549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2391555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2391558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391562 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2391639), // Rule ID 55279 //
     /* 2391567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391610 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391638 */     // GIR_Coverage, 55279,
     /* 2391638 */     GIR_EraseRootFromParent_Done,
     /* 2391639 */   // Label 34303: @2391639
     /* 2391639 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2391716), // Rule ID 55280 //
     /* 2391644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391687 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391715 */     // GIR_Coverage, 55280,
     /* 2391715 */     GIR_EraseRootFromParent_Done,
     /* 2391716 */   // Label 34304: @2391716
     /* 2391716 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2391793), // Rule ID 72227 //
     /* 2391721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391764 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391792 */     // GIR_Coverage, 72227,
     /* 2391792 */     GIR_EraseRootFromParent_Done,
     /* 2391793 */   // Label 34305: @2391793
     /* 2391793 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2391870), // Rule ID 72228 //
     /* 2391798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391841 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2391844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391869 */     // GIR_Coverage, 72228,
     /* 2391869 */     GIR_EraseRootFromParent_Done,
     /* 2391870 */   // Label 34306: @2391870
     /* 2391870 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2391932), // Rule ID 55283 //
     /* 2391875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391905 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2391908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391931 */     // GIR_Coverage, 55283,
     /* 2391931 */     GIR_EraseRootFromParent_Done,
     /* 2391932 */   // Label 34307: @2391932
     /* 2391932 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2391994), // Rule ID 55284 //
     /* 2391937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2391952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391967 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2391970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391993 */     // GIR_Coverage, 55284,
     /* 2391993 */     GIR_EraseRootFromParent_Done,
     /* 2391994 */   // Label 34308: @2391994
     /* 2391994 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2392056), // Rule ID 72231 //
     /* 2391999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392029 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392055 */     // GIR_Coverage, 72231,
     /* 2392055 */     GIR_EraseRootFromParent_Done,
     /* 2392056 */   // Label 34309: @2392056
     /* 2392056 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2392118), // Rule ID 72232 //
     /* 2392061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392091 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2392094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392117 */     // GIR_Coverage, 72232,
     /* 2392117 */     GIR_EraseRootFromParent_Done,
     /* 2392118 */   // Label 34310: @2392118
     /* 2392118 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2392180), // Rule ID 55275 //
     /* 2392123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392153 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392179 */     // GIR_Coverage, 55275,
     /* 2392179 */     GIR_EraseRootFromParent_Done,
     /* 2392180 */   // Label 34311: @2392180
     /* 2392180 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2392242), // Rule ID 55276 //
     /* 2392185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392215 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2392218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392241 */     // GIR_Coverage, 55276,
     /* 2392241 */     GIR_EraseRootFromParent_Done,
     /* 2392242 */   // Label 34312: @2392242
     /* 2392242 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2392287), // Rule ID 55271 //
     /* 2392247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392262 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392286 */     // GIR_Coverage, 55271,
     /* 2392286 */     GIR_EraseRootFromParent_Done,
     /* 2392287 */   // Label 34313: @2392287
     /* 2392287 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2392332), // Rule ID 55272 //
     /* 2392292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392307 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2392310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392331 */     // GIR_Coverage, 55272,
     /* 2392331 */     GIR_EraseRootFromParent_Done,
     /* 2392332 */   // Label 34314: @2392332
     /* 2392332 */   GIM_Reject,
     /* 2392333 */ // Label 34302: @2392333
     /* 2392333 */ GIM_Reject,
     /* 2392334 */ // Label 34122: @2392334
     /* 2392334 */ GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2393123),
     /* 2392339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2392345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2392348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392352 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2392429), // Rule ID 55535 //
     /* 2392357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392400 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392428 */     // GIR_Coverage, 55535,
     /* 2392428 */     GIR_EraseRootFromParent_Done,
     /* 2392429 */   // Label 34316: @2392429
     /* 2392429 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2392506), // Rule ID 55536 //
     /* 2392434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392477 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392505 */     // GIR_Coverage, 55536,
     /* 2392505 */     GIR_EraseRootFromParent_Done,
     /* 2392506 */   // Label 34317: @2392506
     /* 2392506 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2392583), // Rule ID 72451 //
     /* 2392511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392554 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392582 */     // GIR_Coverage, 72451,
     /* 2392582 */     GIR_EraseRootFromParent_Done,
     /* 2392583 */   // Label 34318: @2392583
     /* 2392583 */   GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2392660), // Rule ID 72452 //
     /* 2392588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392620 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392631 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2392634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392659 */     // GIR_Coverage, 72452,
     /* 2392659 */     GIR_EraseRootFromParent_Done,
     /* 2392660 */   // Label 34319: @2392660
     /* 2392660 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2392722), // Rule ID 55539 //
     /* 2392665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392695 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392721 */     // GIR_Coverage, 55539,
     /* 2392721 */     GIR_EraseRootFromParent_Done,
     /* 2392722 */   // Label 34320: @2392722
     /* 2392722 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2392784), // Rule ID 55540 //
     /* 2392727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392757 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392783 */     // GIR_Coverage, 55540,
     /* 2392783 */     GIR_EraseRootFromParent_Done,
     /* 2392784 */   // Label 34321: @2392784
     /* 2392784 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2392846), // Rule ID 72455 //
     /* 2392789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392819 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392845 */     // GIR_Coverage, 72455,
     /* 2392845 */     GIR_EraseRootFromParent_Done,
     /* 2392846 */   // Label 34322: @2392846
     /* 2392846 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2392908), // Rule ID 72456 //
     /* 2392851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392881 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2392884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392907 */     // GIR_Coverage, 72456,
     /* 2392907 */     GIR_EraseRootFromParent_Done,
     /* 2392908 */   // Label 34323: @2392908
     /* 2392908 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2392970), // Rule ID 55531 //
     /* 2392913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392943 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2392946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392969 */     // GIR_Coverage, 55531,
     /* 2392969 */     GIR_EraseRootFromParent_Done,
     /* 2392970 */   // Label 34324: @2392970
     /* 2392970 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2393032), // Rule ID 55532 //
     /* 2392975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393005 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2393008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393031 */     // GIR_Coverage, 55532,
     /* 2393031 */     GIR_EraseRootFromParent_Done,
     /* 2393032 */   // Label 34325: @2393032
     /* 2393032 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2393077), // Rule ID 55527 //
     /* 2393037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393052 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393076 */     // GIR_Coverage, 55527,
     /* 2393076 */     GIR_EraseRootFromParent_Done,
     /* 2393077 */   // Label 34326: @2393077
     /* 2393077 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2393122), // Rule ID 55528 //
     /* 2393082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393097 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2393100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393121 */     // GIR_Coverage, 55528,
     /* 2393121 */     GIR_EraseRootFromParent_Done,
     /* 2393122 */   // Label 34327: @2393122
     /* 2393122 */   GIM_Reject,
     /* 2393123 */ // Label 34315: @2393123
     /* 2393123 */ GIM_Reject,
     /* 2393124 */ // Label 34123: @2393124
     /* 2393124 */ GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2393913),
     /* 2393129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2393135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2393138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393142 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2393219), // Rule ID 55087 //
     /* 2393147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393190 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393218 */     // GIR_Coverage, 55087,
     /* 2393218 */     GIR_EraseRootFromParent_Done,
     /* 2393219 */   // Label 34329: @2393219
     /* 2393219 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2393296), // Rule ID 55088 //
     /* 2393224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393267 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393295 */     // GIR_Coverage, 55088,
     /* 2393295 */     GIR_EraseRootFromParent_Done,
     /* 2393296 */   // Label 34330: @2393296
     /* 2393296 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2393373), // Rule ID 72059 //
     /* 2393301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393344 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393372 */     // GIR_Coverage, 72059,
     /* 2393372 */     GIR_EraseRootFromParent_Done,
     /* 2393373 */   // Label 34331: @2393373
     /* 2393373 */   GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2393450), // Rule ID 72060 //
     /* 2393378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393421 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2393424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393449 */     // GIR_Coverage, 72060,
     /* 2393449 */     GIR_EraseRootFromParent_Done,
     /* 2393450 */   // Label 34332: @2393450
     /* 2393450 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2393512), // Rule ID 55091 //
     /* 2393455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393485 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393511 */     // GIR_Coverage, 55091,
     /* 2393511 */     GIR_EraseRootFromParent_Done,
     /* 2393512 */   // Label 34333: @2393512
     /* 2393512 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2393574), // Rule ID 55092 //
     /* 2393517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393547 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393573 */     // GIR_Coverage, 55092,
     /* 2393573 */     GIR_EraseRootFromParent_Done,
     /* 2393574 */   // Label 34334: @2393574
     /* 2393574 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2393636), // Rule ID 72063 //
     /* 2393579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393609 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393635 */     // GIR_Coverage, 72063,
     /* 2393635 */     GIR_EraseRootFromParent_Done,
     /* 2393636 */   // Label 34335: @2393636
     /* 2393636 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2393698), // Rule ID 72064 //
     /* 2393641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393671 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2393674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393697 */     // GIR_Coverage, 72064,
     /* 2393697 */     GIR_EraseRootFromParent_Done,
     /* 2393698 */   // Label 34336: @2393698
     /* 2393698 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2393760), // Rule ID 55083 //
     /* 2393703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393733 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2393736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393759 */     // GIR_Coverage, 55083,
     /* 2393759 */     GIR_EraseRootFromParent_Done,
     /* 2393760 */   // Label 34337: @2393760
     /* 2393760 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2393822), // Rule ID 55084 //
     /* 2393765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393795 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2393798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393821 */     // GIR_Coverage, 55084,
     /* 2393821 */     GIR_EraseRootFromParent_Done,
     /* 2393822 */   // Label 34338: @2393822
     /* 2393822 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2393867), // Rule ID 55079 //
     /* 2393827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393842 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2393845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393866 */     // GIR_Coverage, 55079,
     /* 2393866 */     GIR_EraseRootFromParent_Done,
     /* 2393867 */   // Label 34339: @2393867
     /* 2393867 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2393912), // Rule ID 55080 //
     /* 2393872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393887 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2393890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393911 */     // GIR_Coverage, 55080,
     /* 2393911 */     GIR_EraseRootFromParent_Done,
     /* 2393912 */   // Label 34340: @2393912
     /* 2393912 */   GIM_Reject,
     /* 2393913 */ // Label 34328: @2393913
     /* 2393913 */ GIM_Reject,
     /* 2393914 */ // Label 34124: @2393914
     /* 2393914 */ GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2394703),
     /* 2393919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2393925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2393928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393932 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2394009), // Rule ID 55343 //
     /* 2393937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393980 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2393983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394008 */     // GIR_Coverage, 55343,
     /* 2394008 */     GIR_EraseRootFromParent_Done,
     /* 2394009 */   // Label 34342: @2394009
     /* 2394009 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2394086), // Rule ID 55344 //
     /* 2394014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394057 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394085 */     // GIR_Coverage, 55344,
     /* 2394085 */     GIR_EraseRootFromParent_Done,
     /* 2394086 */   // Label 34343: @2394086
     /* 2394086 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2394163), // Rule ID 72283 //
     /* 2394091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394134 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394162 */     // GIR_Coverage, 72283,
     /* 2394162 */     GIR_EraseRootFromParent_Done,
     /* 2394163 */   // Label 34344: @2394163
     /* 2394163 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2394240), // Rule ID 72284 //
     /* 2394168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394211 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2394214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394239 */     // GIR_Coverage, 72284,
     /* 2394239 */     GIR_EraseRootFromParent_Done,
     /* 2394240 */   // Label 34345: @2394240
     /* 2394240 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2394302), // Rule ID 55347 //
     /* 2394245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394275 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394301 */     // GIR_Coverage, 55347,
     /* 2394301 */     GIR_EraseRootFromParent_Done,
     /* 2394302 */   // Label 34346: @2394302
     /* 2394302 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2394364), // Rule ID 55348 //
     /* 2394307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394337 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394363 */     // GIR_Coverage, 55348,
     /* 2394363 */     GIR_EraseRootFromParent_Done,
     /* 2394364 */   // Label 34347: @2394364
     /* 2394364 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2394426), // Rule ID 72287 //
     /* 2394369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394399 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394425 */     // GIR_Coverage, 72287,
     /* 2394425 */     GIR_EraseRootFromParent_Done,
     /* 2394426 */   // Label 34348: @2394426
     /* 2394426 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2394488), // Rule ID 72288 //
     /* 2394431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394461 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2394464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394487 */     // GIR_Coverage, 72288,
     /* 2394487 */     GIR_EraseRootFromParent_Done,
     /* 2394488 */   // Label 34349: @2394488
     /* 2394488 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2394550), // Rule ID 55339 //
     /* 2394493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394523 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394549 */     // GIR_Coverage, 55339,
     /* 2394549 */     GIR_EraseRootFromParent_Done,
     /* 2394550 */   // Label 34350: @2394550
     /* 2394550 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2394612), // Rule ID 55340 //
     /* 2394555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394585 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2394588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394611 */     // GIR_Coverage, 55340,
     /* 2394611 */     GIR_EraseRootFromParent_Done,
     /* 2394612 */   // Label 34351: @2394612
     /* 2394612 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2394657), // Rule ID 55335 //
     /* 2394617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394632 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2394635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394656 */     // GIR_Coverage, 55335,
     /* 2394656 */     GIR_EraseRootFromParent_Done,
     /* 2394657 */   // Label 34352: @2394657
     /* 2394657 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2394702), // Rule ID 55336 //
     /* 2394662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394677 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2394680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394701 */     // GIR_Coverage, 55336,
     /* 2394701 */     GIR_EraseRootFromParent_Done,
     /* 2394702 */   // Label 34353: @2394702
     /* 2394702 */   GIM_Reject,
     /* 2394703 */ // Label 34341: @2394703
     /* 2394703 */ GIM_Reject,
     /* 2394704 */ // Label 34125: @2394704
     /* 2394704 */ GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2395493),
     /* 2394709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2394715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2394718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394722 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2394799), // Rule ID 55599 //
     /* 2394727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394770 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394798 */     // GIR_Coverage, 55599,
     /* 2394798 */     GIR_EraseRootFromParent_Done,
     /* 2394799 */   // Label 34355: @2394799
     /* 2394799 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2394876), // Rule ID 55600 //
     /* 2394804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394847 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394875 */     // GIR_Coverage, 55600,
     /* 2394875 */     GIR_EraseRootFromParent_Done,
     /* 2394876 */   // Label 34356: @2394876
     /* 2394876 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2394953), // Rule ID 72507 //
     /* 2394881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394924 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2394927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394952 */     // GIR_Coverage, 72507,
     /* 2394952 */     GIR_EraseRootFromParent_Done,
     /* 2394953 */   // Label 34357: @2394953
     /* 2394953 */   GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2395030), // Rule ID 72508 //
     /* 2394958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395001 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2395004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395029 */     // GIR_Coverage, 72508,
     /* 2395029 */     GIR_EraseRootFromParent_Done,
     /* 2395030 */   // Label 34358: @2395030
     /* 2395030 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2395092), // Rule ID 55603 //
     /* 2395035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395065 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395091 */     // GIR_Coverage, 55603,
     /* 2395091 */     GIR_EraseRootFromParent_Done,
     /* 2395092 */   // Label 34359: @2395092
     /* 2395092 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2395154), // Rule ID 55604 //
     /* 2395097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395127 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395153 */     // GIR_Coverage, 55604,
     /* 2395153 */     GIR_EraseRootFromParent_Done,
     /* 2395154 */   // Label 34360: @2395154
     /* 2395154 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2395216), // Rule ID 72511 //
     /* 2395159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395189 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395215 */     // GIR_Coverage, 72511,
     /* 2395215 */     GIR_EraseRootFromParent_Done,
     /* 2395216 */   // Label 34361: @2395216
     /* 2395216 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2395278), // Rule ID 72512 //
     /* 2395221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395251 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2395254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395277 */     // GIR_Coverage, 72512,
     /* 2395277 */     GIR_EraseRootFromParent_Done,
     /* 2395278 */   // Label 34362: @2395278
     /* 2395278 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2395340), // Rule ID 55595 //
     /* 2395283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395313 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395339 */     // GIR_Coverage, 55595,
     /* 2395339 */     GIR_EraseRootFromParent_Done,
     /* 2395340 */   // Label 34363: @2395340
     /* 2395340 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2395402), // Rule ID 55596 //
     /* 2395345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2395368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395375 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2395378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395401 */     // GIR_Coverage, 55596,
     /* 2395401 */     GIR_EraseRootFromParent_Done,
     /* 2395402 */   // Label 34364: @2395402
     /* 2395402 */   GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2395447), // Rule ID 55591 //
     /* 2395407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395422 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395446 */     // GIR_Coverage, 55591,
     /* 2395446 */     GIR_EraseRootFromParent_Done,
     /* 2395447 */   // Label 34365: @2395447
     /* 2395447 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2395492), // Rule ID 55592 //
     /* 2395452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395467 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2395470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395491 */     // GIR_Coverage, 55592,
     /* 2395491 */     GIR_EraseRootFromParent_Done,
     /* 2395492 */   // Label 34366: @2395492
     /* 2395492 */   GIM_Reject,
     /* 2395493 */ // Label 34354: @2395493
     /* 2395493 */ GIM_Reject,
     /* 2395494 */ // Label 34126: @2395494
     /* 2395494 */ GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2396283),
     /* 2395499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2395508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395512 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2395589), // Rule ID 55151 //
     /* 2395517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395560 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395588 */     // GIR_Coverage, 55151,
     /* 2395588 */     GIR_EraseRootFromParent_Done,
     /* 2395589 */   // Label 34368: @2395589
     /* 2395589 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2395666), // Rule ID 55152 //
     /* 2395594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395637 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395665 */     // GIR_Coverage, 55152,
     /* 2395665 */     GIR_EraseRootFromParent_Done,
     /* 2395666 */   // Label 34369: @2395666
     /* 2395666 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2395743), // Rule ID 72115 //
     /* 2395671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395714 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395742 */     // GIR_Coverage, 72115,
     /* 2395742 */     GIR_EraseRootFromParent_Done,
     /* 2395743 */   // Label 34370: @2395743
     /* 2395743 */   GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2395820), // Rule ID 72116 //
     /* 2395748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395791 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2395794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395819 */     // GIR_Coverage, 72116,
     /* 2395819 */     GIR_EraseRootFromParent_Done,
     /* 2395820 */   // Label 34371: @2395820
     /* 2395820 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2395882), // Rule ID 55155 //
     /* 2395825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395855 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2395858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395881 */     // GIR_Coverage, 55155,
     /* 2395881 */     GIR_EraseRootFromParent_Done,
     /* 2395882 */   // Label 34372: @2395882
     /* 2395882 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2395944), // Rule ID 55156 //
     /* 2395887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395917 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2395920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395943 */     // GIR_Coverage, 55156,
     /* 2395943 */     GIR_EraseRootFromParent_Done,
     /* 2395944 */   // Label 34373: @2395944
     /* 2395944 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2396006), // Rule ID 72119 //
     /* 2395949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395979 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2395982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396005 */     // GIR_Coverage, 72119,
     /* 2396005 */     GIR_EraseRootFromParent_Done,
     /* 2396006 */   // Label 34374: @2396006
     /* 2396006 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2396068), // Rule ID 72120 //
     /* 2396011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396041 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2396044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396067 */     // GIR_Coverage, 72120,
     /* 2396067 */     GIR_EraseRootFromParent_Done,
     /* 2396068 */   // Label 34375: @2396068
     /* 2396068 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2396130), // Rule ID 55147 //
     /* 2396073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396103 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396129 */     // GIR_Coverage, 55147,
     /* 2396129 */     GIR_EraseRootFromParent_Done,
     /* 2396130 */   // Label 34376: @2396130
     /* 2396130 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2396192), // Rule ID 55148 //
     /* 2396135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396165 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2396168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396191 */     // GIR_Coverage, 55148,
     /* 2396191 */     GIR_EraseRootFromParent_Done,
     /* 2396192 */   // Label 34377: @2396192
     /* 2396192 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2396237), // Rule ID 55143 //
     /* 2396197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396212 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396236 */     // GIR_Coverage, 55143,
     /* 2396236 */     GIR_EraseRootFromParent_Done,
     /* 2396237 */   // Label 34378: @2396237
     /* 2396237 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2396282), // Rule ID 55144 //
     /* 2396242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396257 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2396260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396281 */     // GIR_Coverage, 55144,
     /* 2396281 */     GIR_EraseRootFromParent_Done,
     /* 2396282 */   // Label 34379: @2396282
     /* 2396282 */   GIM_Reject,
     /* 2396283 */ // Label 34367: @2396283
     /* 2396283 */ GIM_Reject,
     /* 2396284 */ // Label 34127: @2396284
     /* 2396284 */ GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2397073),
     /* 2396289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2396295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2396298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396302 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2396379), // Rule ID 55407 //
     /* 2396307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396350 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396378 */     // GIR_Coverage, 55407,
     /* 2396378 */     GIR_EraseRootFromParent_Done,
     /* 2396379 */   // Label 34381: @2396379
     /* 2396379 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2396456), // Rule ID 55408 //
     /* 2396384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396427 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396455 */     // GIR_Coverage, 55408,
     /* 2396455 */     GIR_EraseRootFromParent_Done,
     /* 2396456 */   // Label 34382: @2396456
     /* 2396456 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2396533), // Rule ID 72339 //
     /* 2396461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396504 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396532 */     // GIR_Coverage, 72339,
     /* 2396532 */     GIR_EraseRootFromParent_Done,
     /* 2396533 */   // Label 34383: @2396533
     /* 2396533 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2396610), // Rule ID 72340 //
     /* 2396538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396581 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2396584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396609 */     // GIR_Coverage, 72340,
     /* 2396609 */     GIR_EraseRootFromParent_Done,
     /* 2396610 */   // Label 34384: @2396610
     /* 2396610 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2396672), // Rule ID 55411 //
     /* 2396615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396645 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396671 */     // GIR_Coverage, 55411,
     /* 2396671 */     GIR_EraseRootFromParent_Done,
     /* 2396672 */   // Label 34385: @2396672
     /* 2396672 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2396734), // Rule ID 55412 //
     /* 2396677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396707 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396733 */     // GIR_Coverage, 55412,
     /* 2396733 */     GIR_EraseRootFromParent_Done,
     /* 2396734 */   // Label 34386: @2396734
     /* 2396734 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2396796), // Rule ID 72343 //
     /* 2396739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396769 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396795 */     // GIR_Coverage, 72343,
     /* 2396795 */     GIR_EraseRootFromParent_Done,
     /* 2396796 */   // Label 34387: @2396796
     /* 2396796 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2396858), // Rule ID 72344 //
     /* 2396801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396831 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2396834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396857 */     // GIR_Coverage, 72344,
     /* 2396857 */     GIR_EraseRootFromParent_Done,
     /* 2396858 */   // Label 34388: @2396858
     /* 2396858 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2396920), // Rule ID 55403 //
     /* 2396863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396893 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2396896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396919 */     // GIR_Coverage, 55403,
     /* 2396919 */     GIR_EraseRootFromParent_Done,
     /* 2396920 */   // Label 34389: @2396920
     /* 2396920 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2396982), // Rule ID 55404 //
     /* 2396925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396955 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2396958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396981 */     // GIR_Coverage, 55404,
     /* 2396981 */     GIR_EraseRootFromParent_Done,
     /* 2396982 */   // Label 34390: @2396982
     /* 2396982 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2397027), // Rule ID 55399 //
     /* 2396987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397002 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397026 */     // GIR_Coverage, 55399,
     /* 2397026 */     GIR_EraseRootFromParent_Done,
     /* 2397027 */   // Label 34391: @2397027
     /* 2397027 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2397072), // Rule ID 55400 //
     /* 2397032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397047 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2397050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397071 */     // GIR_Coverage, 55400,
     /* 2397071 */     GIR_EraseRootFromParent_Done,
     /* 2397072 */   // Label 34392: @2397072
     /* 2397072 */   GIM_Reject,
     /* 2397073 */ // Label 34380: @2397073
     /* 2397073 */ GIM_Reject,
     /* 2397074 */ // Label 34128: @2397074
     /* 2397074 */ GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2397863),
     /* 2397079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2397085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2397088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397092 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2397169), // Rule ID 55215 //
     /* 2397097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397140 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397168 */     // GIR_Coverage, 55215,
     /* 2397168 */     GIR_EraseRootFromParent_Done,
     /* 2397169 */   // Label 34394: @2397169
     /* 2397169 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2397246), // Rule ID 55216 //
     /* 2397174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397217 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397245 */     // GIR_Coverage, 55216,
     /* 2397245 */     GIR_EraseRootFromParent_Done,
     /* 2397246 */   // Label 34395: @2397246
     /* 2397246 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2397323), // Rule ID 72171 //
     /* 2397251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397294 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397322 */     // GIR_Coverage, 72171,
     /* 2397322 */     GIR_EraseRootFromParent_Done,
     /* 2397323 */   // Label 34396: @2397323
     /* 2397323 */   GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2397400), // Rule ID 72172 //
     /* 2397328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397371 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2397374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397399 */     // GIR_Coverage, 72172,
     /* 2397399 */     GIR_EraseRootFromParent_Done,
     /* 2397400 */   // Label 34397: @2397400
     /* 2397400 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2397462), // Rule ID 55219 //
     /* 2397405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397435 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397461 */     // GIR_Coverage, 55219,
     /* 2397461 */     GIR_EraseRootFromParent_Done,
     /* 2397462 */   // Label 34398: @2397462
     /* 2397462 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2397524), // Rule ID 55220 //
     /* 2397467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397497 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397523 */     // GIR_Coverage, 55220,
     /* 2397523 */     GIR_EraseRootFromParent_Done,
     /* 2397524 */   // Label 34399: @2397524
     /* 2397524 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2397586), // Rule ID 72175 //
     /* 2397529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397559 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397585 */     // GIR_Coverage, 72175,
     /* 2397585 */     GIR_EraseRootFromParent_Done,
     /* 2397586 */   // Label 34400: @2397586
     /* 2397586 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2397648), // Rule ID 72176 //
     /* 2397591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397621 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2397624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397647 */     // GIR_Coverage, 72176,
     /* 2397647 */     GIR_EraseRootFromParent_Done,
     /* 2397648 */   // Label 34401: @2397648
     /* 2397648 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2397710), // Rule ID 55211 //
     /* 2397653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397683 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2397686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397709 */     // GIR_Coverage, 55211,
     /* 2397709 */     GIR_EraseRootFromParent_Done,
     /* 2397710 */   // Label 34402: @2397710
     /* 2397710 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2397772), // Rule ID 55212 //
     /* 2397715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397745 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2397748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397771 */     // GIR_Coverage, 55212,
     /* 2397771 */     GIR_EraseRootFromParent_Done,
     /* 2397772 */   // Label 34403: @2397772
     /* 2397772 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2397817), // Rule ID 55207 //
     /* 2397777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397792 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2397795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397816 */     // GIR_Coverage, 55207,
     /* 2397816 */     GIR_EraseRootFromParent_Done,
     /* 2397817 */   // Label 34404: @2397817
     /* 2397817 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2397862), // Rule ID 55208 //
     /* 2397822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397837 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2397840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397861 */     // GIR_Coverage, 55208,
     /* 2397861 */     GIR_EraseRootFromParent_Done,
     /* 2397862 */   // Label 34405: @2397862
     /* 2397862 */   GIM_Reject,
     /* 2397863 */ // Label 34393: @2397863
     /* 2397863 */ GIM_Reject,
     /* 2397864 */ // Label 34129: @2397864
     /* 2397864 */ GIM_Reject,
     /* 2397865 */ // Label 101: @2397865
     /* 2397865 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34424*/ GIMT_Encode4(2400040),
     /* 2397876 */ /*GILLT_s16*//*Label 34406*/ GIMT_Encode4(2397996),
     /* 2397880 */ /*GILLT_s32*//*Label 34407*/ GIMT_Encode4(2398118),
     /* 2397884 */ /*GILLT_s64*//*Label 34408*/ GIMT_Encode4(2398240), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397896 */ /*GILLT_nxv1s16*//*Label 34409*/ GIMT_Encode4(2398390),
     /* 2397900 */ /*GILLT_nxv1s32*//*Label 34410*/ GIMT_Encode4(2398500),
     /* 2397904 */ /*GILLT_nxv1s64*//*Label 34411*/ GIMT_Encode4(2398610), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397916 */ /*GILLT_nxv2s16*//*Label 34412*/ GIMT_Encode4(2398720),
     /* 2397920 */ /*GILLT_nxv2s32*//*Label 34413*/ GIMT_Encode4(2398830),
     /* 2397924 */ /*GILLT_nxv2s64*//*Label 34414*/ GIMT_Encode4(2398940), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397936 */ /*GILLT_nxv4s16*//*Label 34415*/ GIMT_Encode4(2399050),
     /* 2397940 */ /*GILLT_nxv4s32*//*Label 34416*/ GIMT_Encode4(2399160),
     /* 2397944 */ /*GILLT_nxv4s64*//*Label 34417*/ GIMT_Encode4(2399270), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397956 */ /*GILLT_nxv8s16*//*Label 34418*/ GIMT_Encode4(2399380),
     /* 2397960 */ /*GILLT_nxv8s32*//*Label 34419*/ GIMT_Encode4(2399490),
     /* 2397964 */ /*GILLT_nxv8s64*//*Label 34420*/ GIMT_Encode4(2399600), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397976 */ /*GILLT_nxv16s16*//*Label 34421*/ GIMT_Encode4(2399710),
     /* 2397980 */ /*GILLT_nxv16s32*//*Label 34422*/ GIMT_Encode4(2399820), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397992 */ /*GILLT_nxv32s16*//*Label 34423*/ GIMT_Encode4(2399930),
     /* 2397996 */ // Label 34406: @2397996
     /* 2397996 */ GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2398117),
     /* 2398001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398004 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2398032), // Rule ID 1871 //
     /* 2398009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398020 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398031 */     // GIR_Coverage, 1871,
     /* 2398031 */     GIR_EraseRootFromParent_Done,
     /* 2398032 */   // Label 34426: @2398032
     /* 2398032 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2398060), // Rule ID 1872 //
     /* 2398037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398048 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2398051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398059 */     // GIR_Coverage, 1872,
     /* 2398059 */     GIR_EraseRootFromParent_Done,
     /* 2398060 */   // Label 34427: @2398060
     /* 2398060 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2398088), // Rule ID 1904 //
     /* 2398065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398076 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2398076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398087 */     // GIR_Coverage, 1904,
     /* 2398087 */     GIR_EraseRootFromParent_Done,
     /* 2398088 */   // Label 34428: @2398088
     /* 2398088 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2398116), // Rule ID 1905 //
     /* 2398093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398104 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2398104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2398107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398115 */     // GIR_Coverage, 1905,
     /* 2398115 */     GIR_EraseRootFromParent_Done,
     /* 2398116 */   // Label 34429: @2398116
     /* 2398116 */   GIM_Reject,
     /* 2398117 */ // Label 34425: @2398117
     /* 2398117 */ GIM_Reject,
     /* 2398118 */ // Label 34407: @2398118
     /* 2398118 */ GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2398239),
     /* 2398123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398126 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2398154), // Rule ID 1162 //
     /* 2398131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398142 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398153 */     // GIR_Coverage, 1162,
     /* 2398153 */     GIR_EraseRootFromParent_Done,
     /* 2398154 */   // Label 34431: @2398154
     /* 2398154 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2398182), // Rule ID 1163 //
     /* 2398159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398170 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2398173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398181 */     // GIR_Coverage, 1163,
     /* 2398181 */     GIR_EraseRootFromParent_Done,
     /* 2398182 */   // Label 34432: @2398182
     /* 2398182 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2398210), // Rule ID 1170 //
     /* 2398187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398198 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2398198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398209 */     // GIR_Coverage, 1170,
     /* 2398209 */     GIR_EraseRootFromParent_Done,
     /* 2398210 */   // Label 34433: @2398210
     /* 2398210 */   GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2398238), // Rule ID 1171 //
     /* 2398215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398226 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2398226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2398229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398237 */     // GIR_Coverage, 1171,
     /* 2398237 */     GIR_EraseRootFromParent_Done,
     /* 2398238 */   // Label 34434: @2398238
     /* 2398238 */   GIM_Reject,
     /* 2398239 */ // Label 34430: @2398239
     /* 2398239 */ GIM_Reject,
     /* 2398240 */ // Label 34408: @2398240
     /* 2398240 */ GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2398389),
     /* 2398245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398248 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2398276), // Rule ID 1505 //
     /* 2398253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398264 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398275 */     // GIR_Coverage, 1505,
     /* 2398275 */     GIR_EraseRootFromParent_Done,
     /* 2398276 */   // Label 34436: @2398276
     /* 2398276 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2398304), // Rule ID 1506 //
     /* 2398281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398292 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2398295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398303 */     // GIR_Coverage, 1506,
     /* 2398303 */     GIR_EraseRootFromParent_Done,
     /* 2398304 */   // Label 34437: @2398304
     /* 2398304 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2398332), // Rule ID 1540 //
     /* 2398309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398320 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2398323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398331 */     // GIR_Coverage, 1540,
     /* 2398331 */     GIR_EraseRootFromParent_Done,
     /* 2398332 */   // Label 34438: @2398332
     /* 2398332 */   GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2398360), // Rule ID 1560 //
     /* 2398337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398348 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2398348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398359 */     // GIR_Coverage, 1560,
     /* 2398359 */     GIR_EraseRootFromParent_Done,
     /* 2398360 */   // Label 34439: @2398360
     /* 2398360 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2398388), // Rule ID 1561 //
     /* 2398365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398376 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2398376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2398379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398387 */     // GIR_Coverage, 1561,
     /* 2398387 */     GIR_EraseRootFromParent_Done,
     /* 2398388 */   // Label 34440: @2398388
     /* 2398388 */   GIM_Reject,
     /* 2398389 */ // Label 34435: @2398389
     /* 2398389 */ GIM_Reject,
     /* 2398390 */ // Label 34409: @2398390
     /* 2398390 */ GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2398499),
     /* 2398395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2398398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398406 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2398452), // Rule ID 56103 //
     /* 2398411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398414 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398451 */     // GIR_Coverage, 56103,
     /* 2398451 */     GIR_EraseRootFromParent_Done,
     /* 2398452 */   // Label 34442: @2398452
     /* 2398452 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2398498), // Rule ID 56104 //
     /* 2398457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398460 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2398463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2398477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398497 */     // GIR_Coverage, 56104,
     /* 2398497 */     GIR_EraseRootFromParent_Done,
     /* 2398498 */   // Label 34443: @2398498
     /* 2398498 */   GIM_Reject,
     /* 2398499 */ // Label 34441: @2398499
     /* 2398499 */ GIM_Reject,
     /* 2398500 */ // Label 34410: @2398500
     /* 2398500 */ GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2398609),
     /* 2398505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2398508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398516 */   GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2398562), // Rule ID 56143 //
     /* 2398521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398524 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398561 */     // GIR_Coverage, 56143,
     /* 2398561 */     GIR_EraseRootFromParent_Done,
     /* 2398562 */   // Label 34445: @2398562
     /* 2398562 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2398608), // Rule ID 56144 //
     /* 2398567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398570 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2398573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2398587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398607 */     // GIR_Coverage, 56144,
     /* 2398607 */     GIR_EraseRootFromParent_Done,
     /* 2398608 */   // Label 34446: @2398608
     /* 2398608 */   GIM_Reject,
     /* 2398609 */ // Label 34444: @2398609
     /* 2398609 */ GIM_Reject,
     /* 2398610 */ // Label 34411: @2398610
     /* 2398610 */ GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2398719),
     /* 2398615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2398618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398626 */   GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2398672), // Rule ID 56203 //
     /* 2398631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398634 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2398637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2398651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398671 */     // GIR_Coverage, 56203,
     /* 2398671 */     GIR_EraseRootFromParent_Done,
     /* 2398672 */   // Label 34448: @2398672
     /* 2398672 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2398718), // Rule ID 56204 //
     /* 2398677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398680 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2398683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2398697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398717 */     // GIR_Coverage, 56204,
     /* 2398717 */     GIR_EraseRootFromParent_Done,
     /* 2398718 */   // Label 34449: @2398718
     /* 2398718 */   GIM_Reject,
     /* 2398719 */ // Label 34447: @2398719
     /* 2398719 */ GIM_Reject,
     /* 2398720 */ // Label 34412: @2398720
     /* 2398720 */ GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2398829),
     /* 2398725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2398728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398736 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2398782), // Rule ID 56123 //
     /* 2398741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398744 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2398761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398781 */     // GIR_Coverage, 56123,
     /* 2398781 */     GIR_EraseRootFromParent_Done,
     /* 2398782 */   // Label 34451: @2398782
     /* 2398782 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2398828), // Rule ID 56124 //
     /* 2398787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398790 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2398807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398827 */     // GIR_Coverage, 56124,
     /* 2398827 */     GIR_EraseRootFromParent_Done,
     /* 2398828 */   // Label 34452: @2398828
     /* 2398828 */   GIM_Reject,
     /* 2398829 */ // Label 34450: @2398829
     /* 2398829 */ GIM_Reject,
     /* 2398830 */ // Label 34413: @2398830
     /* 2398830 */ GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2398939),
     /* 2398835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398846 */   GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2398892), // Rule ID 56183 //
     /* 2398851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398854 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2398871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398891 */     // GIR_Coverage, 56183,
     /* 2398891 */     GIR_EraseRootFromParent_Done,
     /* 2398892 */   // Label 34454: @2398892
     /* 2398892 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2398938), // Rule ID 56184 //
     /* 2398897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398900 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2398917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398937 */     // GIR_Coverage, 56184,
     /* 2398937 */     GIR_EraseRootFromParent_Done,
     /* 2398938 */   // Label 34455: @2398938
     /* 2398938 */   GIM_Reject,
     /* 2398939 */ // Label 34453: @2398939
     /* 2398939 */ GIM_Reject,
     /* 2398940 */ // Label 34414: @2398940
     /* 2398940 */ GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2399049),
     /* 2398945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398956 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2399002), // Rule ID 56343 //
     /* 2398961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398964 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2398967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2398981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399001 */     // GIR_Coverage, 56343,
     /* 2399001 */     GIR_EraseRootFromParent_Done,
     /* 2399002 */   // Label 34457: @2399002
     /* 2399002 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2399048), // Rule ID 56344 //
     /* 2399007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399010 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2399013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2399027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399047 */     // GIR_Coverage, 56344,
     /* 2399047 */     GIR_EraseRootFromParent_Done,
     /* 2399048 */   // Label 34458: @2399048
     /* 2399048 */   GIM_Reject,
     /* 2399049 */ // Label 34456: @2399049
     /* 2399049 */ GIM_Reject,
     /* 2399050 */ // Label 34415: @2399050
     /* 2399050 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2399159),
     /* 2399055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399066 */   GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2399112), // Rule ID 56163 //
     /* 2399071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399074 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399111 */     // GIR_Coverage, 56163,
     /* 2399111 */     GIR_EraseRootFromParent_Done,
     /* 2399112 */   // Label 34460: @2399112
     /* 2399112 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2399158), // Rule ID 56164 //
     /* 2399117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399120 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2399123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2399137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399157 */     // GIR_Coverage, 56164,
     /* 2399157 */     GIR_EraseRootFromParent_Done,
     /* 2399158 */   // Label 34461: @2399158
     /* 2399158 */   GIM_Reject,
     /* 2399159 */ // Label 34459: @2399159
     /* 2399159 */ GIM_Reject,
     /* 2399160 */ // Label 34416: @2399160
     /* 2399160 */ GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2399269),
     /* 2399165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2399168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399176 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2399222), // Rule ID 56283 //
     /* 2399181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399184 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399221 */     // GIR_Coverage, 56283,
     /* 2399221 */     GIR_EraseRootFromParent_Done,
     /* 2399222 */   // Label 34463: @2399222
     /* 2399222 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2399268), // Rule ID 56284 //
     /* 2399227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399230 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2399233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2399247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399267 */     // GIR_Coverage, 56284,
     /* 2399267 */     GIR_EraseRootFromParent_Done,
     /* 2399268 */   // Label 34464: @2399268
     /* 2399268 */   GIM_Reject,
     /* 2399269 */ // Label 34462: @2399269
     /* 2399269 */ GIM_Reject,
     /* 2399270 */ // Label 34417: @2399270
     /* 2399270 */ GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2399379),
     /* 2399275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2399278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399286 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2399332), // Rule ID 56363 //
     /* 2399291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399294 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399331 */     // GIR_Coverage, 56363,
     /* 2399331 */     GIR_EraseRootFromParent_Done,
     /* 2399332 */   // Label 34466: @2399332
     /* 2399332 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2399378), // Rule ID 56364 //
     /* 2399337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399340 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2399343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2399357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399377 */     // GIR_Coverage, 56364,
     /* 2399377 */     GIR_EraseRootFromParent_Done,
     /* 2399378 */   // Label 34467: @2399378
     /* 2399378 */   GIM_Reject,
     /* 2399379 */ // Label 34465: @2399379
     /* 2399379 */ GIM_Reject,
     /* 2399380 */ // Label 34418: @2399380
     /* 2399380 */ GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2399489),
     /* 2399385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399396 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2399442), // Rule ID 56223 //
     /* 2399401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399404 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399441 */     // GIR_Coverage, 56223,
     /* 2399441 */     GIR_EraseRootFromParent_Done,
     /* 2399442 */   // Label 34469: @2399442
     /* 2399442 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2399488), // Rule ID 56224 //
     /* 2399447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399450 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2399453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2399467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399487 */     // GIR_Coverage, 56224,
     /* 2399487 */     GIR_EraseRootFromParent_Done,
     /* 2399488 */   // Label 34470: @2399488
     /* 2399488 */   GIM_Reject,
     /* 2399489 */ // Label 34468: @2399489
     /* 2399489 */ GIM_Reject,
     /* 2399490 */ // Label 34419: @2399490
     /* 2399490 */ GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2399599),
     /* 2399495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399506 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2399552), // Rule ID 56303 //
     /* 2399511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399514 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399551 */     // GIR_Coverage, 56303,
     /* 2399551 */     GIR_EraseRootFromParent_Done,
     /* 2399552 */   // Label 34472: @2399552
     /* 2399552 */   GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2399598), // Rule ID 56304 //
     /* 2399557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399560 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2399577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399597 */     // GIR_Coverage, 56304,
     /* 2399597 */     GIR_EraseRootFromParent_Done,
     /* 2399598 */   // Label 34473: @2399598
     /* 2399598 */   GIM_Reject,
     /* 2399599 */ // Label 34471: @2399599
     /* 2399599 */ GIM_Reject,
     /* 2399600 */ // Label 34420: @2399600
     /* 2399600 */ GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2399709),
     /* 2399605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2399608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399616 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2399662), // Rule ID 56383 //
     /* 2399621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399624 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2399641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399661 */     // GIR_Coverage, 56383,
     /* 2399661 */     GIR_EraseRootFromParent_Done,
     /* 2399662 */   // Label 34475: @2399662
     /* 2399662 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399708), // Rule ID 56384 //
     /* 2399667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399670 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2399687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399707 */     // GIR_Coverage, 56384,
     /* 2399707 */     GIR_EraseRootFromParent_Done,
     /* 2399708 */   // Label 34476: @2399708
     /* 2399708 */   GIM_Reject,
     /* 2399709 */ // Label 34474: @2399709
     /* 2399709 */ GIM_Reject,
     /* 2399710 */ // Label 34421: @2399710
     /* 2399710 */ GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2399819),
     /* 2399715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2399718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399726 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2399772), // Rule ID 56243 //
     /* 2399731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399734 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2399751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399771 */     // GIR_Coverage, 56243,
     /* 2399771 */     GIR_EraseRootFromParent_Done,
     /* 2399772 */   // Label 34478: @2399772
     /* 2399772 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2399818), // Rule ID 56244 //
     /* 2399777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399780 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2399797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399817 */     // GIR_Coverage, 56244,
     /* 2399817 */     GIR_EraseRootFromParent_Done,
     /* 2399818 */   // Label 34479: @2399818
     /* 2399818 */   GIM_Reject,
     /* 2399819 */ // Label 34477: @2399819
     /* 2399819 */ GIM_Reject,
     /* 2399820 */ // Label 34422: @2399820
     /* 2399820 */ GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2399929),
     /* 2399825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2399828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399836 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2399882), // Rule ID 56323 //
     /* 2399841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399844 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2399861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399881 */     // GIR_Coverage, 56323,
     /* 2399881 */     GIR_EraseRootFromParent_Done,
     /* 2399882 */   // Label 34481: @2399882
     /* 2399882 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2399928), // Rule ID 56324 //
     /* 2399887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399890 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2399907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399927 */     // GIR_Coverage, 56324,
     /* 2399927 */     GIR_EraseRootFromParent_Done,
     /* 2399928 */   // Label 34482: @2399928
     /* 2399928 */   GIM_Reject,
     /* 2399929 */ // Label 34480: @2399929
     /* 2399929 */ GIM_Reject,
     /* 2399930 */ // Label 34423: @2399930
     /* 2399930 */ GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2400039),
     /* 2399935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2399938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399946 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2399992), // Rule ID 56263 //
     /* 2399951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399954 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2399957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2399971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399991 */     // GIR_Coverage, 56263,
     /* 2399991 */     GIR_EraseRootFromParent_Done,
     /* 2399992 */   // Label 34484: @2399992
     /* 2399992 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2400038), // Rule ID 56264 //
     /* 2399997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400000 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2400003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2400017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400037 */     // GIR_Coverage, 56264,
     /* 2400037 */     GIR_EraseRootFromParent_Done,
     /* 2400038 */   // Label 34485: @2400038
     /* 2400038 */   GIM_Reject,
     /* 2400039 */ // Label 34483: @2400039
     /* 2400039 */ GIM_Reject,
     /* 2400040 */ // Label 34424: @2400040
     /* 2400040 */ GIM_Reject,
     /* 2400041 */ // Label 102: @2400041
     /* 2400041 */ GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2400053), // Rule ID 283 //
     /* 2400046 */   // (trap)  =>  (UNIMP)
     /* 2400046 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2400051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400052 */   // GIR_Coverage, 283,
     /* 2400052 */   GIR_Done,
     /* 2400053 */ // Label 34486: @2400053
     /* 2400053 */ GIM_Reject,
     /* 2400054 */ // Label 103: @2400054
     /* 2400054 */ GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2400066), // Rule ID 284 //
     /* 2400059 */   // (debugtrap)  =>  (EBREAK)
     /* 2400059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2400064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400065 */   // GIR_Coverage, 284,
     /* 2400065 */   GIR_Done,
     /* 2400066 */ // Label 34487: @2400066
     /* 2400066 */ GIM_Reject,
     /* 2400067 */ // Label 104: @2400067
     /* 2400067 */ GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2400161),
     /* 2400072 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400082 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2400101), // Rule ID 2403 //
     /* 2400087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400094 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2400099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400100 */     // GIR_Coverage, 2403,
     /* 2400100 */     GIR_Done,
     /* 2400101 */   // Label 34489: @2400101
     /* 2400101 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2400160), // Rule ID 62297 //
     /* 2400106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2400109 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2400109 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2400112 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2400116 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400121 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2400125 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2400128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2400130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2400133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2400137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400142 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2400145 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2400148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2400153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400159 */     // GIR_Coverage, 62297,
     /* 2400159 */     GIR_EraseRootFromParent_Done,
     /* 2400160 */   // Label 34490: @2400160
     /* 2400160 */   GIM_Reject,
     /* 2400161 */ // Label 34488: @2400161
     /* 2400161 */ GIM_Reject,
     /* 2400162 */ // Label 105: @2400162
     /* 2400162 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2400191), // Rule ID 2404 //
     /* 2400167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2400170 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400184 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2400184 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2400189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400190 */   // GIR_Coverage, 2404,
     /* 2400190 */   GIR_Done,
     /* 2400191 */ // Label 34491: @2400191
     /* 2400191 */ GIM_Reject,
     /* 2400192 */ // Label 106: @2400192
     /* 2400192 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2400228), // Rule ID 306 //
     /* 2400197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400200 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400221 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400221 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2400226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400227 */   // GIR_Coverage, 306,
     /* 2400227 */   GIR_Done,
     /* 2400228 */ // Label 34492: @2400228
     /* 2400228 */ GIM_Reject,
     /* 2400229 */ // Label 107: @2400229
     /* 2400229 */ GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2400265), // Rule ID 305 //
     /* 2400234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2400237 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400258 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2400258 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2400263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400264 */   // GIR_Coverage, 305,
     /* 2400264 */   GIR_Done,
     /* 2400265 */ // Label 34493: @2400265
     /* 2400265 */ GIM_Reject,
     /* 2400266 */ // Label 108: @2400266
     /* 2400266 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34496*/ GIMT_Encode4(2400625),
     /* 2400277 */ /*GILLT_s32*//*Label 34494*/ GIMT_Encode4(2400285),
     /* 2400281 */ /*GILLT_s64*//*Label 34495*/ GIMT_Encode4(2400442),
     /* 2400285 */ // Label 34494: @2400285
     /* 2400285 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2400311), // Rule ID 1169 //
     /* 2400290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400304 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400304 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400310 */   // GIR_Coverage, 1169,
     /* 2400310 */   GIR_Done,
     /* 2400311 */ // Label 34497: @2400311
     /* 2400311 */ GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2400337), // Rule ID 1177 //
     /* 2400316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400330 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2400330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400336 */   // GIR_Coverage, 1177,
     /* 2400336 */   GIR_Done,
     /* 2400337 */ // Label 34498: @2400337
     /* 2400337 */ GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2400363), // Rule ID 1512 //
     /* 2400342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400356 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400356 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400362 */   // GIR_Coverage, 1512,
     /* 2400362 */   GIR_Done,
     /* 2400363 */ // Label 34499: @2400363
     /* 2400363 */ GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2400389), // Rule ID 1567 //
     /* 2400368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2400371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400382 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2400382 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400388 */   // GIR_Coverage, 1567,
     /* 2400388 */   GIR_Done,
     /* 2400389 */ // Label 34500: @2400389
     /* 2400389 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2400415), // Rule ID 1878 //
     /* 2400394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2400397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400408 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400408 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400414 */   // GIR_Coverage, 1878,
     /* 2400414 */   GIR_Done,
     /* 2400415 */ // Label 34501: @2400415
     /* 2400415 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2400441), // Rule ID 1911 //
     /* 2400420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2400423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400434 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2400434 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400440 */   // GIR_Coverage, 1911,
     /* 2400440 */   GIR_Done,
     /* 2400441 */ // Label 34502: @2400441
     /* 2400441 */ GIM_Reject,
     /* 2400442 */ // Label 34495: @2400442
     /* 2400442 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2400468), // Rule ID 1168 //
     /* 2400447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400461 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2400466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400467 */   // GIR_Coverage, 1168,
     /* 2400467 */   GIR_Done,
     /* 2400468 */ // Label 34503: @2400468
     /* 2400468 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2400494), // Rule ID 1176 //
     /* 2400473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400487 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2400487 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2400492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400493 */   // GIR_Coverage, 1176,
     /* 2400493 */   GIR_Done,
     /* 2400494 */ // Label 34504: @2400494
     /* 2400494 */ GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2400520), // Rule ID 1511 //
     /* 2400499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400513 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400513 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2400518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400519 */   // GIR_Coverage, 1511,
     /* 2400519 */   GIR_Done,
     /* 2400520 */ // Label 34505: @2400520
     /* 2400520 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2400546), // Rule ID 1544 //
     /* 2400525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400539 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2400544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400545 */   // GIR_Coverage, 1544,
     /* 2400545 */   GIR_Done,
     /* 2400546 */ // Label 34506: @2400546
     /* 2400546 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400572), // Rule ID 1566 //
     /* 2400551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2400554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400565 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2400565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2400570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400571 */   // GIR_Coverage, 1566,
     /* 2400571 */   GIR_Done,
     /* 2400572 */ // Label 34507: @2400572
     /* 2400572 */ GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400598), // Rule ID 1877 //
     /* 2400577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2400580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400591 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2400591 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2400596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400597 */   // GIR_Coverage, 1877,
     /* 2400597 */   GIR_Done,
     /* 2400598 */ // Label 34508: @2400598
     /* 2400598 */ GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400624), // Rule ID 1910 //
     /* 2400603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2400606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2400609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400617 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2400617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2400622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400623 */   // GIR_Coverage, 1910,
     /* 2400623 */   GIR_Done,
     /* 2400624 */ // Label 34509: @2400624
     /* 2400624 */ GIM_Reject,
     /* 2400625 */ // Label 34496: @2400625
     /* 2400625 */ GIM_Reject,
     /* 2400626 */ // Label 109: @2400626
     /* 2400626 */ GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2400823),
     /* 2400631 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400634 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34514*/ GIMT_Encode4(2400822),
     /* 2400645 */   /*GILLT_s16*//*Label 34511*/ GIMT_Encode4(2400657),
     /* 2400649 */   /*GILLT_s32*//*Label 34512*/ GIMT_Encode4(2400712),
     /* 2400653 */   /*GILLT_s64*//*Label 34513*/ GIMT_Encode4(2400767),
     /* 2400657 */   // Label 34511: @2400657
     /* 2400657 */   GIM_Try, /*On fail goto*//*Label 34515*/ GIMT_Encode4(2400711),
     /* 2400662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400666 */     GIM_Try, /*On fail goto*//*Label 34516*/ GIMT_Encode4(2400688), // Rule ID 2128 //
     /* 2400671 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2400674 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400678 */       // MIs[0] frm
     /* 2400678 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400681 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400681 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2400686 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400687 */       // GIR_Coverage, 2128,
     /* 2400687 */       GIR_Done,
     /* 2400688 */     // Label 34516: @2400688
     /* 2400688 */     GIM_Try, /*On fail goto*//*Label 34517*/ GIMT_Encode4(2400710), // Rule ID 2154 //
     /* 2400693 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2400696 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400700 */       // MIs[0] frm
     /* 2400700 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400703 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400703 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2400708 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400709 */       // GIR_Coverage, 2154,
     /* 2400709 */       GIR_Done,
     /* 2400710 */     // Label 34517: @2400710
     /* 2400710 */     GIM_Reject,
     /* 2400711 */   // Label 34515: @2400711
     /* 2400711 */   GIM_Reject,
     /* 2400712 */   // Label 34512: @2400712
     /* 2400712 */   GIM_Try, /*On fail goto*//*Label 34518*/ GIMT_Encode4(2400766),
     /* 2400717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400721 */     GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2400743), // Rule ID 1394 //
     /* 2400726 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2400729 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400733 */       // MIs[0] frm
     /* 2400733 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400736 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400736 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2400741 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400742 */       // GIR_Coverage, 1394,
     /* 2400742 */       GIR_Done,
     /* 2400743 */     // Label 34519: @2400743
     /* 2400743 */     GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2400765), // Rule ID 1422 //
     /* 2400748 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2400751 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400755 */       // MIs[0] frm
     /* 2400755 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400758 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400758 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2400763 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400764 */       // GIR_Coverage, 1422,
     /* 2400764 */       GIR_Done,
     /* 2400765 */     // Label 34520: @2400765
     /* 2400765 */     GIM_Reject,
     /* 2400766 */   // Label 34518: @2400766
     /* 2400766 */   GIM_Reject,
     /* 2400767 */   // Label 34513: @2400767
     /* 2400767 */   GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2400821),
     /* 2400772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400776 */     GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2400798), // Rule ID 1788 //
     /* 2400781 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2400784 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400788 */       // MIs[0] frm
     /* 2400788 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400791 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400791 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2400796 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400797 */       // GIR_Coverage, 1788,
     /* 2400797 */       GIR_Done,
     /* 2400798 */     // Label 34522: @2400798
     /* 2400798 */     GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2400820), // Rule ID 1816 //
     /* 2400803 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400806 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400810 */       // MIs[0] frm
     /* 2400810 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400813 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400813 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2400818 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400819 */       // GIR_Coverage, 1816,
     /* 2400819 */       GIR_Done,
     /* 2400820 */     // Label 34523: @2400820
     /* 2400820 */     GIM_Reject,
     /* 2400821 */   // Label 34521: @2400821
     /* 2400821 */   GIM_Reject,
     /* 2400822 */   // Label 34514: @2400822
     /* 2400822 */   GIM_Reject,
     /* 2400823 */ // Label 34510: @2400823
     /* 2400823 */ GIM_Reject,
     /* 2400824 */ // Label 110: @2400824
     /* 2400824 */ GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401021),
     /* 2400829 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2400832 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34528*/ GIMT_Encode4(2401020),
     /* 2400843 */   /*GILLT_s16*//*Label 34525*/ GIMT_Encode4(2400855),
     /* 2400847 */   /*GILLT_s32*//*Label 34526*/ GIMT_Encode4(2400910),
     /* 2400851 */   /*GILLT_s64*//*Label 34527*/ GIMT_Encode4(2400965),
     /* 2400855 */   // Label 34525: @2400855
     /* 2400855 */   GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2400909),
     /* 2400860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400864 */     GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2400886), // Rule ID 2126 //
     /* 2400869 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2400872 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2400876 */       // MIs[0] frm
     /* 2400876 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400879 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400879 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2400884 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400885 */       // GIR_Coverage, 2126,
     /* 2400885 */       GIR_Done,
     /* 2400886 */     // Label 34530: @2400886
     /* 2400886 */     GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2400908), // Rule ID 2152 //
     /* 2400891 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2400894 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2400898 */       // MIs[0] frm
     /* 2400898 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400901 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400901 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2400906 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400907 */       // GIR_Coverage, 2152,
     /* 2400907 */       GIR_Done,
     /* 2400908 */     // Label 34531: @2400908
     /* 2400908 */     GIM_Reject,
     /* 2400909 */   // Label 34529: @2400909
     /* 2400909 */   GIM_Reject,
     /* 2400910 */   // Label 34526: @2400910
     /* 2400910 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2400964),
     /* 2400915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400919 */     GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2400941), // Rule ID 1392 //
     /* 2400924 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2400927 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400931 */       // MIs[0] frm
     /* 2400931 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400934 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400934 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2400939 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400940 */       // GIR_Coverage, 1392,
     /* 2400940 */       GIR_Done,
     /* 2400941 */     // Label 34533: @2400941
     /* 2400941 */     GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2400963), // Rule ID 1420 //
     /* 2400946 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2400949 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400953 */       // MIs[0] frm
     /* 2400953 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400956 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400956 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2400961 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400962 */       // GIR_Coverage, 1420,
     /* 2400962 */       GIR_Done,
     /* 2400963 */     // Label 34534: @2400963
     /* 2400963 */     GIM_Reject,
     /* 2400964 */   // Label 34532: @2400964
     /* 2400964 */   GIM_Reject,
     /* 2400965 */   // Label 34527: @2400965
     /* 2400965 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2401019),
     /* 2400970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400974 */     GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2400996), // Rule ID 1786 //
     /* 2400979 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2400982 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400986 */       // MIs[0] frm
     /* 2400986 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2400989 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2400989 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2400994 */       GIR_RootConstrainSelectedInstOperands,
     /* 2400995 */       // GIR_Coverage, 1786,
     /* 2400995 */       GIR_Done,
     /* 2400996 */     // Label 34536: @2400996
     /* 2400996 */     GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2401018), // Rule ID 1814 //
     /* 2401001 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401004 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401008 */       // MIs[0] frm
     /* 2401008 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2401011 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2401011 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2401016 */       GIR_RootConstrainSelectedInstOperands,
     /* 2401017 */       // GIR_Coverage, 1814,
     /* 2401017 */       GIR_Done,
     /* 2401018 */     // Label 34537: @2401018
     /* 2401018 */     GIM_Reject,
     /* 2401019 */   // Label 34535: @2401019
     /* 2401019 */   GIM_Reject,
     /* 2401020 */   // Label 34528: @2401020
     /* 2401020 */   GIM_Reject,
     /* 2401021 */ // Label 34524: @2401021
     /* 2401021 */ GIM_Reject,
     /* 2401022 */ // Label 111: @2401022
     /* 2401022 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34540*/ GIMT_Encode4(2401081),
     /* 2401033 */ /*GILLT_s32*//*Label 34538*/ GIMT_Encode4(2401041),
     /* 2401037 */ /*GILLT_s64*//*Label 34539*/ GIMT_Encode4(2401061),
     /* 2401041 */ // Label 34538: @2401041
     /* 2401041 */ GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2401060), // Rule ID 67 //
     /* 2401046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401053 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2401053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401059 */   // GIR_Coverage, 67,
     /* 2401059 */   GIR_Done,
     /* 2401060 */ // Label 34541: @2401060
     /* 2401060 */ GIM_Reject,
     /* 2401061 */ // Label 34539: @2401061
     /* 2401061 */ GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2401080), // Rule ID 66 //
     /* 2401066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401073 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2401073 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2401078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401079 */   // GIR_Coverage, 66,
     /* 2401079 */   GIR_Done,
     /* 2401080 */ // Label 34542: @2401080
     /* 2401080 */ GIM_Reject,
     /* 2401081 */ // Label 34540: @2401081
     /* 2401081 */ GIM_Reject,
     /* 2401082 */ // Label 112: @2401082
     /* 2401082 */ GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2401118), // Rule ID 307 //
     /* 2401087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2401090 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401111 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401111 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2401116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401117 */   // GIR_Coverage, 307,
     /* 2401117 */   GIR_Done,
     /* 2401118 */ // Label 34543: @2401118
     /* 2401118 */ GIM_Reject,
     /* 2401119 */ // Label 113: @2401119
     /* 2401119 */ GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2401243),
     /* 2401124 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401141 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2401177), // Rule ID 2352 //
     /* 2401146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401161 */     // MIs[1] Operand 1
     /* 2401161 */     // No operand predicates
     /* 2401161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401163 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401170 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401176 */     // GIR_Coverage, 2352,
     /* 2401176 */     GIR_EraseRootFromParent_Done,
     /* 2401177 */   // Label 34545: @2401177
     /* 2401177 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2401213), // Rule ID 62294 //
     /* 2401182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401197 */     // MIs[1] Operand 1
     /* 2401197 */     // No operand predicates
     /* 2401197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401199 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2401199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401206 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2401211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401212 */     // GIR_Coverage, 62294,
     /* 2401212 */     GIR_EraseRootFromParent_Done,
     /* 2401213 */   // Label 34546: @2401213
     /* 2401213 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2401242), // Rule ID 2349 //
     /* 2401218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401228 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2401231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401241 */     // GIR_Coverage, 2349,
     /* 2401241 */     GIR_EraseRootFromParent_Done,
     /* 2401242 */   // Label 34547: @2401242
     /* 2401242 */   GIM_Reject,
     /* 2401243 */ // Label 34544: @2401243
     /* 2401243 */ GIM_Reject,
     /* 2401244 */ // Label 114: @2401244
     /* 2401244 */ GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2401364),
     /* 2401249 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401266 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2401300), // Rule ID 2351 //
     /* 2401271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401286 */     // MIs[1] Operand 1
     /* 2401286 */     // No operand predicates
     /* 2401286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401288 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2401291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401299 */     // GIR_Coverage, 2351,
     /* 2401299 */     GIR_EraseRootFromParent_Done,
     /* 2401300 */   // Label 34549: @2401300
     /* 2401300 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2401334), // Rule ID 62293 //
     /* 2401305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2401308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401320 */     // MIs[1] Operand 1
     /* 2401320 */     // No operand predicates
     /* 2401320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401322 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2401322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2401325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2401332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401333 */     // GIR_Coverage, 62293,
     /* 2401333 */     GIR_EraseRootFromParent_Done,
     /* 2401334 */   // Label 34550: @2401334
     /* 2401334 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2401363), // Rule ID 2350 //
     /* 2401339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2401342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401349 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2401352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401362 */     // GIR_Coverage, 2350,
     /* 2401362 */     GIR_EraseRootFromParent_Done,
     /* 2401363 */   // Label 34551: @2401363
     /* 2401363 */   GIM_Reject,
     /* 2401364 */ // Label 34548: @2401364
     /* 2401364 */ GIM_Reject,
     /* 2401365 */ // Label 115: @2401365
     /* 2401365 */ GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2401411), // Rule ID 261 //
     /* 2401370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401373 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401397 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2401400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401410 */   // GIR_Coverage, 261,
     /* 2401410 */   GIR_EraseRootFromParent_Done,
     /* 2401411 */ // Label 34552: @2401411
     /* 2401411 */ GIM_Reject,
     /* 2401412 */ // Label 116: @2401412
     /* 2401412 */ GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2401458), // Rule ID 263 //
     /* 2401417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401420 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401437 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401444 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2401447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401457 */   // GIR_Coverage, 263,
     /* 2401457 */   GIR_EraseRootFromParent_Done,
     /* 2401458 */ // Label 34553: @2401458
     /* 2401458 */ GIM_Reject,
     /* 2401459 */ // Label 117: @2401459
     /* 2401459 */ GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2401505), // Rule ID 262 //
     /* 2401464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2401467 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2401470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2401476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401484 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2401491 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2401491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2401494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2401503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401504 */   // GIR_Coverage, 262,
     /* 2401504 */   GIR_EraseRootFromParent_Done,
     /* 2401505 */ // Label 34554: @2401505
     /* 2401505 */ GIM_Reject,
     /* 2401506 */ // Label 118: @2401506
     /* 2401506 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34562*/ GIMT_Encode4(2402154),
     /* 2401517 */ /*GILLT_nxv1s1*//*Label 34555*/ GIMT_Encode4(2401629), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401537 */ /*GILLT_nxv2s1*//*Label 34556*/ GIMT_Encode4(2401704), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401557 */ /*GILLT_nxv4s1*//*Label 34557*/ GIMT_Encode4(2401779), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401577 */ /*GILLT_nxv8s1*//*Label 34558*/ GIMT_Encode4(2401854), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401597 */ /*GILLT_nxv16s1*//*Label 34559*/ GIMT_Encode4(2401929), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401613 */ /*GILLT_nxv32s1*//*Label 34560*/ GIMT_Encode4(2402004), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401625 */ /*GILLT_nxv64s1*//*Label 34561*/ GIMT_Encode4(2402079),
     /* 2401629 */ // Label 34555: @2401629
     /* 2401629 */ GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2401666), // Rule ID 44585 //
     /* 2401634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401644 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401651 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2401654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401665 */   // GIR_Coverage, 44585,
     /* 2401665 */   GIR_EraseRootFromParent_Done,
     /* 2401666 */ // Label 34563: @2401666
     /* 2401666 */ GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2401703), // Rule ID 44586 //
     /* 2401671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401681 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401688 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2401691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401702 */   // GIR_Coverage, 44586,
     /* 2401702 */   GIR_EraseRootFromParent_Done,
     /* 2401703 */ // Label 34564: @2401703
     /* 2401703 */ GIM_Reject,
     /* 2401704 */ // Label 34556: @2401704
     /* 2401704 */ GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2401741), // Rule ID 44613 //
     /* 2401709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401726 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2401729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401740 */   // GIR_Coverage, 44613,
     /* 2401740 */   GIR_EraseRootFromParent_Done,
     /* 2401741 */ // Label 34565: @2401741
     /* 2401741 */ GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2401778), // Rule ID 44614 //
     /* 2401746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401756 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401763 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2401766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401777 */   // GIR_Coverage, 44614,
     /* 2401777 */   GIR_EraseRootFromParent_Done,
     /* 2401778 */ // Label 34566: @2401778
     /* 2401778 */ GIM_Reject,
     /* 2401779 */ // Label 34557: @2401779
     /* 2401779 */ GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2401816), // Rule ID 44641 //
     /* 2401784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401794 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401801 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2401804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401815 */   // GIR_Coverage, 44641,
     /* 2401815 */   GIR_EraseRootFromParent_Done,
     /* 2401816 */ // Label 34567: @2401816
     /* 2401816 */ GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2401853), // Rule ID 44642 //
     /* 2401821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401831 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401838 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2401841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401852 */   // GIR_Coverage, 44642,
     /* 2401852 */   GIR_EraseRootFromParent_Done,
     /* 2401853 */ // Label 34568: @2401853
     /* 2401853 */ GIM_Reject,
     /* 2401854 */ // Label 34558: @2401854
     /* 2401854 */ GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2401891), // Rule ID 44669 //
     /* 2401859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401876 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2401879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401890 */   // GIR_Coverage, 44669,
     /* 2401890 */   GIR_EraseRootFromParent_Done,
     /* 2401891 */ // Label 34569: @2401891
     /* 2401891 */ GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2401928), // Rule ID 44670 //
     /* 2401896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401906 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401913 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2401916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401918 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401927 */   // GIR_Coverage, 44670,
     /* 2401927 */   GIR_EraseRootFromParent_Done,
     /* 2401928 */ // Label 34570: @2401928
     /* 2401928 */ GIM_Reject,
     /* 2401929 */ // Label 34559: @2401929
     /* 2401929 */ GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2401966), // Rule ID 44697 //
     /* 2401934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401944 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401951 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2401954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401965 */   // GIR_Coverage, 44697,
     /* 2401965 */   GIR_EraseRootFromParent_Done,
     /* 2401966 */ // Label 34571: @2401966
     /* 2401966 */ GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2402003), // Rule ID 44698 //
     /* 2401971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401981 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401988 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2401991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401993 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402002 */   // GIR_Coverage, 44698,
     /* 2402002 */   GIR_EraseRootFromParent_Done,
     /* 2402003 */ // Label 34572: @2402003
     /* 2402003 */ GIM_Reject,
     /* 2402004 */ // Label 34560: @2402004
     /* 2402004 */ GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2402041), // Rule ID 44725 //
     /* 2402009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402019 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402026 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402031 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402040 */   // GIR_Coverage, 44725,
     /* 2402040 */   GIR_EraseRootFromParent_Done,
     /* 2402041 */ // Label 34573: @2402041
     /* 2402041 */ GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2402078), // Rule ID 44726 //
     /* 2402046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402063 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2402066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402077 */   // GIR_Coverage, 44726,
     /* 2402077 */   GIR_EraseRootFromParent_Done,
     /* 2402078 */ // Label 34574: @2402078
     /* 2402078 */ GIM_Reject,
     /* 2402079 */ // Label 34561: @2402079
     /* 2402079 */ GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2402116), // Rule ID 44753 //
     /* 2402084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402101 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402115 */   // GIR_Coverage, 44753,
     /* 2402115 */   GIR_EraseRootFromParent_Done,
     /* 2402116 */ // Label 34575: @2402116
     /* 2402116 */ GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2402153), // Rule ID 44754 //
     /* 2402121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402138 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2402141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402152 */   // GIR_Coverage, 44754,
     /* 2402152 */   GIR_EraseRootFromParent_Done,
     /* 2402153 */ // Label 34576: @2402153
     /* 2402153 */ GIM_Reject,
     /* 2402154 */ // Label 34562: @2402154
     /* 2402154 */ GIM_Reject,
     /* 2402155 */ // Label 119: @2402155
     /* 2402155 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34584*/ GIMT_Encode4(2402803),
     /* 2402166 */ /*GILLT_nxv1s1*//*Label 34577*/ GIMT_Encode4(2402278), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402186 */ /*GILLT_nxv2s1*//*Label 34578*/ GIMT_Encode4(2402353), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402206 */ /*GILLT_nxv4s1*//*Label 34579*/ GIMT_Encode4(2402428), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402226 */ /*GILLT_nxv8s1*//*Label 34580*/ GIMT_Encode4(2402503), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402246 */ /*GILLT_nxv16s1*//*Label 34581*/ GIMT_Encode4(2402578), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402262 */ /*GILLT_nxv32s1*//*Label 34582*/ GIMT_Encode4(2402653), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402274 */ /*GILLT_nxv64s1*//*Label 34583*/ GIMT_Encode4(2402728),
     /* 2402278 */ // Label 34577: @2402278
     /* 2402278 */ GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2402315), // Rule ID 44583 //
     /* 2402283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402293 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402300 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402305 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402314 */   // GIR_Coverage, 44583,
     /* 2402314 */   GIR_EraseRootFromParent_Done,
     /* 2402315 */ // Label 34585: @2402315
     /* 2402315 */ GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2402352), // Rule ID 44584 //
     /* 2402320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402330 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402337 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2402340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402351 */   // GIR_Coverage, 44584,
     /* 2402351 */   GIR_EraseRootFromParent_Done,
     /* 2402352 */ // Label 34586: @2402352
     /* 2402352 */ GIM_Reject,
     /* 2402353 */ // Label 34578: @2402353
     /* 2402353 */ GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2402390), // Rule ID 44611 //
     /* 2402358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402375 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402389 */   // GIR_Coverage, 44611,
     /* 2402389 */   GIR_EraseRootFromParent_Done,
     /* 2402390 */ // Label 34587: @2402390
     /* 2402390 */ GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2402427), // Rule ID 44612 //
     /* 2402395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402405 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402412 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2402415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402417 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402426 */   // GIR_Coverage, 44612,
     /* 2402426 */   GIR_EraseRootFromParent_Done,
     /* 2402427 */ // Label 34588: @2402427
     /* 2402427 */ GIM_Reject,
     /* 2402428 */ // Label 34579: @2402428
     /* 2402428 */ GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2402465), // Rule ID 44639 //
     /* 2402433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402443 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402450 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402464 */   // GIR_Coverage, 44639,
     /* 2402464 */   GIR_EraseRootFromParent_Done,
     /* 2402465 */ // Label 34589: @2402465
     /* 2402465 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2402502), // Rule ID 44640 //
     /* 2402470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402480 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402487 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2402490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402501 */   // GIR_Coverage, 44640,
     /* 2402501 */   GIR_EraseRootFromParent_Done,
     /* 2402502 */ // Label 34590: @2402502
     /* 2402502 */ GIM_Reject,
     /* 2402503 */ // Label 34580: @2402503
     /* 2402503 */ GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2402540), // Rule ID 44667 //
     /* 2402508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402518 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402525 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402530 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402539 */   // GIR_Coverage, 44667,
     /* 2402539 */   GIR_EraseRootFromParent_Done,
     /* 2402540 */ // Label 34591: @2402540
     /* 2402540 */ GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2402577), // Rule ID 44668 //
     /* 2402545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402555 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402562 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2402565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402576 */   // GIR_Coverage, 44668,
     /* 2402576 */   GIR_EraseRootFromParent_Done,
     /* 2402577 */ // Label 34592: @2402577
     /* 2402577 */ GIM_Reject,
     /* 2402578 */ // Label 34581: @2402578
     /* 2402578 */ GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2402615), // Rule ID 44695 //
     /* 2402583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402600 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2402603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402614 */   // GIR_Coverage, 44695,
     /* 2402614 */   GIR_EraseRootFromParent_Done,
     /* 2402615 */ // Label 34593: @2402615
     /* 2402615 */ GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2402652), // Rule ID 44696 //
     /* 2402620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402630 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402637 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2402640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402642 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402651 */   // GIR_Coverage, 44696,
     /* 2402651 */   GIR_EraseRootFromParent_Done,
     /* 2402652 */ // Label 34594: @2402652
     /* 2402652 */ GIM_Reject,
     /* 2402653 */ // Label 34582: @2402653
     /* 2402653 */ GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2402690), // Rule ID 44723 //
     /* 2402658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402675 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2402678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402689 */   // GIR_Coverage, 44723,
     /* 2402689 */   GIR_EraseRootFromParent_Done,
     /* 2402690 */ // Label 34595: @2402690
     /* 2402690 */ GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2402727), // Rule ID 44724 //
     /* 2402695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402705 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402712 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2402715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402726 */   // GIR_Coverage, 44724,
     /* 2402726 */   GIR_EraseRootFromParent_Done,
     /* 2402727 */ // Label 34596: @2402727
     /* 2402727 */ GIM_Reject,
     /* 2402728 */ // Label 34583: @2402728
     /* 2402728 */ GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2402765), // Rule ID 44751 //
     /* 2402733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402743 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402750 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2402750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2402753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402764 */   // GIR_Coverage, 44751,
     /* 2402764 */   GIR_EraseRootFromParent_Done,
     /* 2402765 */ // Label 34597: @2402765
     /* 2402765 */ GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2402802), // Rule ID 44752 //
     /* 2402770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402787 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2402787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2402790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2402801 */   // GIR_Coverage, 44752,
     /* 2402801 */   GIR_EraseRootFromParent_Done,
     /* 2402802 */ // Label 34598: @2402802
     /* 2402802 */ GIM_Reject,
     /* 2402803 */ // Label 34584: @2402803
     /* 2402803 */ GIM_Reject,
     /* 2402804 */ // Label 120: @2402804
     /* 2402804 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34621*/ GIMT_Encode4(2407061),
     /* 2402815 */ /*GILLT_nxv1s8*//*Label 34599*/ GIMT_Encode4(2402927),
     /* 2402819 */ /*GILLT_nxv1s16*//*Label 34600*/ GIMT_Encode4(2403044),
     /* 2402823 */ /*GILLT_nxv1s32*//*Label 34601*/ GIMT_Encode4(2403265),
     /* 2402827 */ /*GILLT_nxv1s64*//*Label 34602*/ GIMT_Encode4(2403486), GIMT_Encode4(0),
     /* 2402835 */ /*GILLT_nxv2s8*//*Label 34603*/ GIMT_Encode4(2403707),
     /* 2402839 */ /*GILLT_nxv2s16*//*Label 34604*/ GIMT_Encode4(2403824),
     /* 2402843 */ /*GILLT_nxv2s32*//*Label 34605*/ GIMT_Encode4(2404045),
     /* 2402847 */ /*GILLT_nxv2s64*//*Label 34606*/ GIMT_Encode4(2404266), GIMT_Encode4(0),
     /* 2402855 */ /*GILLT_nxv4s8*//*Label 34607*/ GIMT_Encode4(2404487),
     /* 2402859 */ /*GILLT_nxv4s16*//*Label 34608*/ GIMT_Encode4(2404604),
     /* 2402863 */ /*GILLT_nxv4s32*//*Label 34609*/ GIMT_Encode4(2404825),
     /* 2402867 */ /*GILLT_nxv4s64*//*Label 34610*/ GIMT_Encode4(2405046), GIMT_Encode4(0),
     /* 2402875 */ /*GILLT_nxv8s8*//*Label 34611*/ GIMT_Encode4(2405267),
     /* 2402879 */ /*GILLT_nxv8s16*//*Label 34612*/ GIMT_Encode4(2405384),
     /* 2402883 */ /*GILLT_nxv8s32*//*Label 34613*/ GIMT_Encode4(2405605),
     /* 2402887 */ /*GILLT_nxv8s64*//*Label 34614*/ GIMT_Encode4(2405826), GIMT_Encode4(0),
     /* 2402895 */ /*GILLT_nxv16s8*//*Label 34615*/ GIMT_Encode4(2406047),
     /* 2402899 */ /*GILLT_nxv16s16*//*Label 34616*/ GIMT_Encode4(2406164),
     /* 2402903 */ /*GILLT_nxv16s32*//*Label 34617*/ GIMT_Encode4(2406385), GIMT_Encode4(0),
     /* 2402911 */ /*GILLT_nxv32s8*//*Label 34618*/ GIMT_Encode4(2406606),
     /* 2402915 */ /*GILLT_nxv32s16*//*Label 34619*/ GIMT_Encode4(2406723), GIMT_Encode4(0),
     /* 2402923 */ /*GILLT_nxv64s8*//*Label 34620*/ GIMT_Encode4(2406944),
     /* 2402927 */ // Label 34599: @2402927
     /* 2402927 */ GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2403043),
     /* 2402932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2402935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2402938 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2402990), // Rule ID 32173 //
     /* 2402943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402968 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2402971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402973 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402989 */     // GIR_Coverage, 32173,
     /* 2402989 */     GIR_EraseRootFromParent_Done,
     /* 2402990 */   // Label 34623: @2402990
     /* 2402990 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2403042), // Rule ID 32174 //
     /* 2402995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403020 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2403023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403025 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403041 */     // GIR_Coverage, 32174,
     /* 2403041 */     GIR_EraseRootFromParent_Done,
     /* 2403042 */   // Label 34624: @2403042
     /* 2403042 */   GIM_Reject,
     /* 2403043 */ // Label 34622: @2403043
     /* 2403043 */ GIM_Reject,
     /* 2403044 */ // Label 34600: @2403044
     /* 2403044 */ GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2403264),
     /* 2403049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2403055 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2403107), // Rule ID 32443 //
     /* 2403060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403085 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403090 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403106 */     // GIR_Coverage, 32443,
     /* 2403106 */     GIR_EraseRootFromParent_Done,
     /* 2403107 */   // Label 34626: @2403107
     /* 2403107 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2403159), // Rule ID 32444 //
     /* 2403112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403137 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403142 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403158 */     // GIR_Coverage, 32444,
     /* 2403158 */     GIR_EraseRootFromParent_Done,
     /* 2403159 */   // Label 34627: @2403159
     /* 2403159 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2403211), // Rule ID 34153 //
     /* 2403164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403189 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403194 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403210 */     // GIR_Coverage, 34153,
     /* 2403210 */     GIR_EraseRootFromParent_Done,
     /* 2403211 */   // Label 34628: @2403211
     /* 2403211 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2403263), // Rule ID 34154 //
     /* 2403216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403241 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403246 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403262 */     // GIR_Coverage, 34154,
     /* 2403262 */     GIR_EraseRootFromParent_Done,
     /* 2403263 */   // Label 34629: @2403263
     /* 2403263 */   GIM_Reject,
     /* 2403264 */ // Label 34625: @2403264
     /* 2403264 */ GIM_Reject,
     /* 2403265 */ // Label 34601: @2403265
     /* 2403265 */ GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2403485),
     /* 2403270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2403276 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2403328), // Rule ID 32623 //
     /* 2403281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403306 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403311 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403327 */     // GIR_Coverage, 32623,
     /* 2403327 */     GIR_EraseRootFromParent_Done,
     /* 2403328 */   // Label 34631: @2403328
     /* 2403328 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2403380), // Rule ID 32624 //
     /* 2403333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403358 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403363 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403379 */     // GIR_Coverage, 32624,
     /* 2403379 */     GIR_EraseRootFromParent_Done,
     /* 2403380 */   // Label 34632: @2403380
     /* 2403380 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2403432), // Rule ID 34333 //
     /* 2403385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403410 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403415 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403431 */     // GIR_Coverage, 34333,
     /* 2403431 */     GIR_EraseRootFromParent_Done,
     /* 2403432 */   // Label 34633: @2403432
     /* 2403432 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2403484), // Rule ID 34334 //
     /* 2403437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403462 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403467 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403483 */     // GIR_Coverage, 34334,
     /* 2403483 */     GIR_EraseRootFromParent_Done,
     /* 2403484 */   // Label 34634: @2403484
     /* 2403484 */   GIM_Reject,
     /* 2403485 */ // Label 34630: @2403485
     /* 2403485 */ GIM_Reject,
     /* 2403486 */ // Label 34602: @2403486
     /* 2403486 */ GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2403706),
     /* 2403491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2403494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2403497 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2403549), // Rule ID 32983 //
     /* 2403502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403527 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403532 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403548 */     // GIR_Coverage, 32983,
     /* 2403548 */     GIR_EraseRootFromParent_Done,
     /* 2403549 */   // Label 34636: @2403549
     /* 2403549 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2403601), // Rule ID 32984 //
     /* 2403554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403579 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403584 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403600 */     // GIR_Coverage, 32984,
     /* 2403600 */     GIR_EraseRootFromParent_Done,
     /* 2403601 */   // Label 34637: @2403601
     /* 2403601 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2403653), // Rule ID 34603 //
     /* 2403606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403631 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403636 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403652 */     // GIR_Coverage, 34603,
     /* 2403652 */     GIR_EraseRootFromParent_Done,
     /* 2403653 */   // Label 34638: @2403653
     /* 2403653 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2403705), // Rule ID 34604 //
     /* 2403658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403683 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403688 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403704 */     // GIR_Coverage, 34604,
     /* 2403704 */     GIR_EraseRootFromParent_Done,
     /* 2403705 */   // Label 34639: @2403705
     /* 2403705 */   GIM_Reject,
     /* 2403706 */ // Label 34635: @2403706
     /* 2403706 */ GIM_Reject,
     /* 2403707 */ // Label 34603: @2403707
     /* 2403707 */ GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2403823),
     /* 2403712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2403715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2403718 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2403770), // Rule ID 32263 //
     /* 2403723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403748 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403753 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403769 */     // GIR_Coverage, 32263,
     /* 2403769 */     GIR_EraseRootFromParent_Done,
     /* 2403770 */   // Label 34641: @2403770
     /* 2403770 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2403822), // Rule ID 32264 //
     /* 2403775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403800 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2403803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403805 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403821 */     // GIR_Coverage, 32264,
     /* 2403821 */     GIR_EraseRootFromParent_Done,
     /* 2403822 */   // Label 34642: @2403822
     /* 2403822 */   GIM_Reject,
     /* 2403823 */ // Label 34640: @2403823
     /* 2403823 */ GIM_Reject,
     /* 2403824 */ // Label 34604: @2403824
     /* 2403824 */ GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2404044),
     /* 2403829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2403832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2403835 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2403887), // Rule ID 32533 //
     /* 2403840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403865 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403870 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403886 */     // GIR_Coverage, 32533,
     /* 2403886 */     GIR_EraseRootFromParent_Done,
     /* 2403887 */   // Label 34644: @2403887
     /* 2403887 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2403939), // Rule ID 32534 //
     /* 2403892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403917 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403922 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403938 */     // GIR_Coverage, 32534,
     /* 2403938 */     GIR_EraseRootFromParent_Done,
     /* 2403939 */   // Label 34645: @2403939
     /* 2403939 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2403991), // Rule ID 34243 //
     /* 2403944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403969 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403974 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403990 */     // GIR_Coverage, 34243,
     /* 2403990 */     GIR_EraseRootFromParent_Done,
     /* 2403991 */   // Label 34646: @2403991
     /* 2403991 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2404043), // Rule ID 34244 //
     /* 2403996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404021 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404026 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404042 */     // GIR_Coverage, 34244,
     /* 2404042 */     GIR_EraseRootFromParent_Done,
     /* 2404043 */   // Label 34647: @2404043
     /* 2404043 */   GIM_Reject,
     /* 2404044 */ // Label 34643: @2404044
     /* 2404044 */ GIM_Reject,
     /* 2404045 */ // Label 34605: @2404045
     /* 2404045 */ GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2404265),
     /* 2404050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2404053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2404056 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2404108), // Rule ID 32893 //
     /* 2404061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404086 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404091 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404107 */     // GIR_Coverage, 32893,
     /* 2404107 */     GIR_EraseRootFromParent_Done,
     /* 2404108 */   // Label 34649: @2404108
     /* 2404108 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2404160), // Rule ID 32894 //
     /* 2404113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404138 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404143 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404159 */     // GIR_Coverage, 32894,
     /* 2404159 */     GIR_EraseRootFromParent_Done,
     /* 2404160 */   // Label 34650: @2404160
     /* 2404160 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2404212), // Rule ID 34513 //
     /* 2404165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404190 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404195 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404211 */     // GIR_Coverage, 34513,
     /* 2404211 */     GIR_EraseRootFromParent_Done,
     /* 2404212 */   // Label 34651: @2404212
     /* 2404212 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2404264), // Rule ID 34514 //
     /* 2404217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404242 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404247 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404263 */     // GIR_Coverage, 34514,
     /* 2404263 */     GIR_EraseRootFromParent_Done,
     /* 2404264 */   // Label 34652: @2404264
     /* 2404264 */   GIM_Reject,
     /* 2404265 */ // Label 34648: @2404265
     /* 2404265 */ GIM_Reject,
     /* 2404266 */ // Label 34606: @2404266
     /* 2404266 */ GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2404486),
     /* 2404271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2404277 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2404329), // Rule ID 33883 //
     /* 2404282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404307 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404312 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404328 */     // GIR_Coverage, 33883,
     /* 2404328 */     GIR_EraseRootFromParent_Done,
     /* 2404329 */   // Label 34654: @2404329
     /* 2404329 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2404381), // Rule ID 33884 //
     /* 2404334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404359 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404364 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404380 */     // GIR_Coverage, 33884,
     /* 2404380 */     GIR_EraseRootFromParent_Done,
     /* 2404381 */   // Label 34655: @2404381
     /* 2404381 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2404433), // Rule ID 35233 //
     /* 2404386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404411 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404416 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404432 */     // GIR_Coverage, 35233,
     /* 2404432 */     GIR_EraseRootFromParent_Done,
     /* 2404433 */   // Label 34656: @2404433
     /* 2404433 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2404485), // Rule ID 35234 //
     /* 2404438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404463 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404468 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404484 */     // GIR_Coverage, 35234,
     /* 2404484 */     GIR_EraseRootFromParent_Done,
     /* 2404485 */   // Label 34657: @2404485
     /* 2404485 */   GIM_Reject,
     /* 2404486 */ // Label 34653: @2404486
     /* 2404486 */ GIM_Reject,
     /* 2404487 */ // Label 34607: @2404487
     /* 2404487 */ GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2404603),
     /* 2404492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2404495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2404498 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2404550), // Rule ID 32353 //
     /* 2404503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404528 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404533 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404549 */     // GIR_Coverage, 32353,
     /* 2404549 */     GIR_EraseRootFromParent_Done,
     /* 2404550 */   // Label 34659: @2404550
     /* 2404550 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2404602), // Rule ID 32354 //
     /* 2404555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404580 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2404583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404585 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404601 */     // GIR_Coverage, 32354,
     /* 2404601 */     GIR_EraseRootFromParent_Done,
     /* 2404602 */   // Label 34660: @2404602
     /* 2404602 */   GIM_Reject,
     /* 2404603 */ // Label 34658: @2404603
     /* 2404603 */ GIM_Reject,
     /* 2404604 */ // Label 34608: @2404604
     /* 2404604 */ GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2404824),
     /* 2404609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2404612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2404615 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2404667), // Rule ID 32803 //
     /* 2404620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404645 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404650 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404666 */     // GIR_Coverage, 32803,
     /* 2404666 */     GIR_EraseRootFromParent_Done,
     /* 2404667 */   // Label 34662: @2404667
     /* 2404667 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2404719), // Rule ID 32804 //
     /* 2404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404697 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404702 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404718 */     // GIR_Coverage, 32804,
     /* 2404718 */     GIR_EraseRootFromParent_Done,
     /* 2404719 */   // Label 34663: @2404719
     /* 2404719 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2404771), // Rule ID 34423 //
     /* 2404724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404749 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404754 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404770 */     // GIR_Coverage, 34423,
     /* 2404770 */     GIR_EraseRootFromParent_Done,
     /* 2404771 */   // Label 34664: @2404771
     /* 2404771 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2404823), // Rule ID 34424 //
     /* 2404776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404801 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2404804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404806 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404822 */     // GIR_Coverage, 34424,
     /* 2404822 */     GIR_EraseRootFromParent_Done,
     /* 2404823 */   // Label 34665: @2404823
     /* 2404823 */   GIM_Reject,
     /* 2404824 */ // Label 34661: @2404824
     /* 2404824 */ GIM_Reject,
     /* 2404825 */ // Label 34609: @2404825
     /* 2404825 */ GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2405045),
     /* 2404830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2404833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2404836 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2404888), // Rule ID 33613 //
     /* 2404841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404866 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404871 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404887 */     // GIR_Coverage, 33613,
     /* 2404887 */     GIR_EraseRootFromParent_Done,
     /* 2404888 */   // Label 34667: @2404888
     /* 2404888 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2404940), // Rule ID 33614 //
     /* 2404893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404918 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404923 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404939 */     // GIR_Coverage, 33614,
     /* 2404939 */     GIR_EraseRootFromParent_Done,
     /* 2404940 */   // Label 34668: @2404940
     /* 2404940 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2404992), // Rule ID 34963 //
     /* 2404945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404970 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404975 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404991 */     // GIR_Coverage, 34963,
     /* 2404991 */     GIR_EraseRootFromParent_Done,
     /* 2404992 */   // Label 34669: @2404992
     /* 2404992 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2405044), // Rule ID 34964 //
     /* 2404997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405022 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405027 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405043 */     // GIR_Coverage, 34964,
     /* 2405043 */     GIR_EraseRootFromParent_Done,
     /* 2405044 */   // Label 34670: @2405044
     /* 2405044 */   GIM_Reject,
     /* 2405045 */ // Label 34666: @2405045
     /* 2405045 */ GIM_Reject,
     /* 2405046 */ // Label 34610: @2405046
     /* 2405046 */ GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2405266),
     /* 2405051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2405054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2405057 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2405109), // Rule ID 33973 //
     /* 2405062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405087 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405092 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405108 */     // GIR_Coverage, 33973,
     /* 2405108 */     GIR_EraseRootFromParent_Done,
     /* 2405109 */   // Label 34672: @2405109
     /* 2405109 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2405161), // Rule ID 33974 //
     /* 2405114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405139 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405144 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405160 */     // GIR_Coverage, 33974,
     /* 2405160 */     GIR_EraseRootFromParent_Done,
     /* 2405161 */   // Label 34673: @2405161
     /* 2405161 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2405213), // Rule ID 35323 //
     /* 2405166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405191 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405196 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405212 */     // GIR_Coverage, 35323,
     /* 2405212 */     GIR_EraseRootFromParent_Done,
     /* 2405213 */   // Label 34674: @2405213
     /* 2405213 */   GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2405265), // Rule ID 35324 //
     /* 2405218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405243 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405248 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405264 */     // GIR_Coverage, 35324,
     /* 2405264 */     GIR_EraseRootFromParent_Done,
     /* 2405265 */   // Label 34675: @2405265
     /* 2405265 */   GIM_Reject,
     /* 2405266 */ // Label 34671: @2405266
     /* 2405266 */ GIM_Reject,
     /* 2405267 */ // Label 34611: @2405267
     /* 2405267 */ GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2405383),
     /* 2405272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2405275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2405278 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2405330), // Rule ID 32713 //
     /* 2405283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405308 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405313 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405329 */     // GIR_Coverage, 32713,
     /* 2405329 */     GIR_EraseRootFromParent_Done,
     /* 2405330 */   // Label 34677: @2405330
     /* 2405330 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2405382), // Rule ID 32714 //
     /* 2405335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405360 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2405363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405365 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405381 */     // GIR_Coverage, 32714,
     /* 2405381 */     GIR_EraseRootFromParent_Done,
     /* 2405382 */   // Label 34678: @2405382
     /* 2405382 */   GIM_Reject,
     /* 2405383 */ // Label 34676: @2405383
     /* 2405383 */ GIM_Reject,
     /* 2405384 */ // Label 34612: @2405384
     /* 2405384 */ GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2405604),
     /* 2405389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2405392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2405395 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2405447), // Rule ID 33343 //
     /* 2405400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405425 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405430 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405446 */     // GIR_Coverage, 33343,
     /* 2405446 */     GIR_EraseRootFromParent_Done,
     /* 2405447 */   // Label 34680: @2405447
     /* 2405447 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2405499), // Rule ID 33344 //
     /* 2405452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405477 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405482 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405498 */     // GIR_Coverage, 33344,
     /* 2405498 */     GIR_EraseRootFromParent_Done,
     /* 2405499 */   // Label 34681: @2405499
     /* 2405499 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2405551), // Rule ID 34693 //
     /* 2405504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405529 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405534 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405550 */     // GIR_Coverage, 34693,
     /* 2405550 */     GIR_EraseRootFromParent_Done,
     /* 2405551 */   // Label 34682: @2405551
     /* 2405551 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2405603), // Rule ID 34694 //
     /* 2405556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405581 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2405584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405586 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405602 */     // GIR_Coverage, 34694,
     /* 2405602 */     GIR_EraseRootFromParent_Done,
     /* 2405603 */   // Label 34683: @2405603
     /* 2405603 */   GIM_Reject,
     /* 2405604 */ // Label 34679: @2405604
     /* 2405604 */ GIM_Reject,
     /* 2405605 */ // Label 34613: @2405605
     /* 2405605 */ GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2405825),
     /* 2405610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2405613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2405616 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2405668), // Rule ID 33703 //
     /* 2405621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405646 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405651 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405667 */     // GIR_Coverage, 33703,
     /* 2405667 */     GIR_EraseRootFromParent_Done,
     /* 2405668 */   // Label 34685: @2405668
     /* 2405668 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2405720), // Rule ID 33704 //
     /* 2405673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405698 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405703 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405719 */     // GIR_Coverage, 33704,
     /* 2405719 */     GIR_EraseRootFromParent_Done,
     /* 2405720 */   // Label 34686: @2405720
     /* 2405720 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2405772), // Rule ID 35053 //
     /* 2405725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405750 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405755 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405771 */     // GIR_Coverage, 35053,
     /* 2405771 */     GIR_EraseRootFromParent_Done,
     /* 2405772 */   // Label 34687: @2405772
     /* 2405772 */   GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2405824), // Rule ID 35054 //
     /* 2405777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405802 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405807 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405823 */     // GIR_Coverage, 35054,
     /* 2405823 */     GIR_EraseRootFromParent_Done,
     /* 2405824 */   // Label 34688: @2405824
     /* 2405824 */   GIM_Reject,
     /* 2405825 */ // Label 34684: @2405825
     /* 2405825 */ GIM_Reject,
     /* 2405826 */ // Label 34614: @2405826
     /* 2405826 */ GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2406046),
     /* 2405831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2405834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2405837 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2405889), // Rule ID 34063 //
     /* 2405842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405867 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405872 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405888 */     // GIR_Coverage, 34063,
     /* 2405888 */     GIR_EraseRootFromParent_Done,
     /* 2405889 */   // Label 34690: @2405889
     /* 2405889 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2405941), // Rule ID 34064 //
     /* 2405894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405919 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405924 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405940 */     // GIR_Coverage, 34064,
     /* 2405940 */     GIR_EraseRootFromParent_Done,
     /* 2405941 */   // Label 34691: @2405941
     /* 2405941 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2405993), // Rule ID 35413 //
     /* 2405946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405971 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405976 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405992 */     // GIR_Coverage, 35413,
     /* 2405992 */     GIR_EraseRootFromParent_Done,
     /* 2405993 */   // Label 34692: @2405993
     /* 2405993 */   GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2406045), // Rule ID 35414 //
     /* 2405998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2406001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406023 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406028 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406044 */     // GIR_Coverage, 35414,
     /* 2406044 */     GIR_EraseRootFromParent_Done,
     /* 2406045 */   // Label 34693: @2406045
     /* 2406045 */   GIM_Reject,
     /* 2406046 */ // Label 34689: @2406046
     /* 2406046 */ GIM_Reject,
     /* 2406047 */ // Label 34615: @2406047
     /* 2406047 */ GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2406163),
     /* 2406052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2406055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2406058 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2406110), // Rule ID 33073 //
     /* 2406063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406088 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406093 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406109 */     // GIR_Coverage, 33073,
     /* 2406109 */     GIR_EraseRootFromParent_Done,
     /* 2406110 */   // Label 34695: @2406110
     /* 2406110 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2406162), // Rule ID 33074 //
     /* 2406115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406140 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2406143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406145 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406161 */     // GIR_Coverage, 33074,
     /* 2406161 */     GIR_EraseRootFromParent_Done,
     /* 2406162 */   // Label 34696: @2406162
     /* 2406162 */   GIM_Reject,
     /* 2406163 */ // Label 34694: @2406163
     /* 2406163 */ GIM_Reject,
     /* 2406164 */ // Label 34616: @2406164
     /* 2406164 */ GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2406384),
     /* 2406169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2406172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2406175 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2406227), // Rule ID 33433 //
     /* 2406180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406205 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406210 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406226 */     // GIR_Coverage, 33433,
     /* 2406226 */     GIR_EraseRootFromParent_Done,
     /* 2406227 */   // Label 34698: @2406227
     /* 2406227 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2406279), // Rule ID 33434 //
     /* 2406232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406257 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406262 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406278 */     // GIR_Coverage, 33434,
     /* 2406278 */     GIR_EraseRootFromParent_Done,
     /* 2406279 */   // Label 34699: @2406279
     /* 2406279 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2406331), // Rule ID 34783 //
     /* 2406284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406309 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406314 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406330 */     // GIR_Coverage, 34783,
     /* 2406330 */     GIR_EraseRootFromParent_Done,
     /* 2406331 */   // Label 34700: @2406331
     /* 2406331 */   GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2406383), // Rule ID 34784 //
     /* 2406336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406361 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406366 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406382 */     // GIR_Coverage, 34784,
     /* 2406382 */     GIR_EraseRootFromParent_Done,
     /* 2406383 */   // Label 34701: @2406383
     /* 2406383 */   GIM_Reject,
     /* 2406384 */ // Label 34697: @2406384
     /* 2406384 */ GIM_Reject,
     /* 2406385 */ // Label 34617: @2406385
     /* 2406385 */ GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2406605),
     /* 2406390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2406393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2406396 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2406448), // Rule ID 33793 //
     /* 2406401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406426 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406431 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406447 */     // GIR_Coverage, 33793,
     /* 2406447 */     GIR_EraseRootFromParent_Done,
     /* 2406448 */   // Label 34703: @2406448
     /* 2406448 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2406500), // Rule ID 33794 //
     /* 2406453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406478 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406483 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406499 */     // GIR_Coverage, 33794,
     /* 2406499 */     GIR_EraseRootFromParent_Done,
     /* 2406500 */   // Label 34704: @2406500
     /* 2406500 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2406552), // Rule ID 35143 //
     /* 2406505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406530 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406535 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406551 */     // GIR_Coverage, 35143,
     /* 2406551 */     GIR_EraseRootFromParent_Done,
     /* 2406552 */   // Label 34705: @2406552
     /* 2406552 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2406604), // Rule ID 35144 //
     /* 2406557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406582 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406587 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406603 */     // GIR_Coverage, 35144,
     /* 2406603 */     GIR_EraseRootFromParent_Done,
     /* 2406604 */   // Label 34706: @2406604
     /* 2406604 */   GIM_Reject,
     /* 2406605 */ // Label 34702: @2406605
     /* 2406605 */ GIM_Reject,
     /* 2406606 */ // Label 34618: @2406606
     /* 2406606 */ GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2406722),
     /* 2406611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2406614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2406617 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2406669), // Rule ID 33163 //
     /* 2406622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406647 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406652 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406668 */     // GIR_Coverage, 33163,
     /* 2406668 */     GIR_EraseRootFromParent_Done,
     /* 2406669 */   // Label 34708: @2406669
     /* 2406669 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2406721), // Rule ID 33164 //
     /* 2406674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406699 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2406702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406704 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2406716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406720 */     // GIR_Coverage, 33164,
     /* 2406720 */     GIR_EraseRootFromParent_Done,
     /* 2406721 */   // Label 34709: @2406721
     /* 2406721 */   GIM_Reject,
     /* 2406722 */ // Label 34707: @2406722
     /* 2406722 */ GIM_Reject,
     /* 2406723 */ // Label 34619: @2406723
     /* 2406723 */ GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2406943),
     /* 2406728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2406734 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2406786), // Rule ID 33523 //
     /* 2406739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406764 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406769 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406785 */     // GIR_Coverage, 33523,
     /* 2406785 */     GIR_EraseRootFromParent_Done,
     /* 2406786 */   // Label 34711: @2406786
     /* 2406786 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2406838), // Rule ID 33524 //
     /* 2406791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406816 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406821 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406837 */     // GIR_Coverage, 33524,
     /* 2406837 */     GIR_EraseRootFromParent_Done,
     /* 2406838 */   // Label 34712: @2406838
     /* 2406838 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2406890), // Rule ID 34873 //
     /* 2406843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406868 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406873 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406889 */     // GIR_Coverage, 34873,
     /* 2406889 */     GIR_EraseRootFromParent_Done,
     /* 2406890 */   // Label 34713: @2406890
     /* 2406890 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2406942), // Rule ID 34874 //
     /* 2406895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406920 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2406920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406925 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2406940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406941 */     // GIR_Coverage, 34874,
     /* 2406941 */     GIR_EraseRootFromParent_Done,
     /* 2406942 */   // Label 34714: @2406942
     /* 2406942 */   GIM_Reject,
     /* 2406943 */ // Label 34710: @2406943
     /* 2406943 */ GIM_Reject,
     /* 2406944 */ // Label 34620: @2406944
     /* 2406944 */ GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2407060),
     /* 2406949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2406952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2406955 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2407007), // Rule ID 33253 //
     /* 2406960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406985 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2406985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2406988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406990 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2406992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407006 */     // GIR_Coverage, 33253,
     /* 2407006 */     GIR_EraseRootFromParent_Done,
     /* 2407007 */   // Label 34716: @2407007
     /* 2407007 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2407059), // Rule ID 33254 //
     /* 2407012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2407030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407037 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2407037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2407040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407042 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2407044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2407057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407058 */     // GIR_Coverage, 33254,
     /* 2407058 */     GIR_EraseRootFromParent_Done,
     /* 2407059 */   // Label 34717: @2407059
     /* 2407059 */   GIM_Reject,
     /* 2407060 */ // Label 34715: @2407060
     /* 2407060 */ GIM_Reject,
     /* 2407061 */ // Label 34621: @2407061
     /* 2407061 */ GIM_Reject,
     /* 2407062 */ // Label 121: @2407062
     /* 2407062 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34740*/ GIMT_Encode4(2418941),
     /* 2407073 */ /*GILLT_nxv1s8*//*Label 34718*/ GIMT_Encode4(2407185),
     /* 2407077 */ /*GILLT_nxv1s16*//*Label 34719*/ GIMT_Encode4(2407508),
     /* 2407081 */ /*GILLT_nxv1s32*//*Label 34720*/ GIMT_Encode4(2408141),
     /* 2407085 */ /*GILLT_nxv1s64*//*Label 34721*/ GIMT_Encode4(2408774), GIMT_Encode4(0),
     /* 2407093 */ /*GILLT_nxv2s8*//*Label 34722*/ GIMT_Encode4(2409407),
     /* 2407097 */ /*GILLT_nxv2s16*//*Label 34723*/ GIMT_Encode4(2409730),
     /* 2407101 */ /*GILLT_nxv2s32*//*Label 34724*/ GIMT_Encode4(2410363),
     /* 2407105 */ /*GILLT_nxv2s64*//*Label 34725*/ GIMT_Encode4(2410996), GIMT_Encode4(0),
     /* 2407113 */ /*GILLT_nxv4s8*//*Label 34726*/ GIMT_Encode4(2411629),
     /* 2407117 */ /*GILLT_nxv4s16*//*Label 34727*/ GIMT_Encode4(2411952),
     /* 2407121 */ /*GILLT_nxv4s32*//*Label 34728*/ GIMT_Encode4(2412585),
     /* 2407125 */ /*GILLT_nxv4s64*//*Label 34729*/ GIMT_Encode4(2413218), GIMT_Encode4(0),
     /* 2407133 */ /*GILLT_nxv8s8*//*Label 34730*/ GIMT_Encode4(2413851),
     /* 2407137 */ /*GILLT_nxv8s16*//*Label 34731*/ GIMT_Encode4(2414174),
     /* 2407141 */ /*GILLT_nxv8s32*//*Label 34732*/ GIMT_Encode4(2414807),
     /* 2407145 */ /*GILLT_nxv8s64*//*Label 34733*/ GIMT_Encode4(2415440), GIMT_Encode4(0),
     /* 2407153 */ /*GILLT_nxv16s8*//*Label 34734*/ GIMT_Encode4(2416073),
     /* 2407157 */ /*GILLT_nxv16s16*//*Label 34735*/ GIMT_Encode4(2416396),
     /* 2407161 */ /*GILLT_nxv16s32*//*Label 34736*/ GIMT_Encode4(2417029), GIMT_Encode4(0),
     /* 2407169 */ /*GILLT_nxv32s8*//*Label 34737*/ GIMT_Encode4(2417662),
     /* 2407173 */ /*GILLT_nxv32s16*//*Label 34738*/ GIMT_Encode4(2417985), GIMT_Encode4(0),
     /* 2407181 */ /*GILLT_nxv64s8*//*Label 34739*/ GIMT_Encode4(2418618),
     /* 2407185 */ // Label 34718: @2407185
     /* 2407185 */ GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2407507),
     /* 2407190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2407193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2407196 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2407279), // Rule ID 45317 //
     /* 2407201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407237 */     // MIs[1] Operand 1
     /* 2407237 */     // No operand predicates
     /* 2407237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407241 */     // MIs[0] policy
     /* 2407241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407253 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407278 */     // GIR_Coverage, 45317,
     /* 2407278 */     GIR_EraseRootFromParent_Done,
     /* 2407279 */   // Label 34742: @2407279
     /* 2407279 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2407362), // Rule ID 45318 //
     /* 2407284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407320 */     // MIs[1] Operand 1
     /* 2407320 */     // No operand predicates
     /* 2407320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407324 */     // MIs[0] policy
     /* 2407324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407336 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2407339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407361 */     // GIR_Coverage, 45318,
     /* 2407361 */     GIR_EraseRootFromParent_Done,
     /* 2407362 */   // Label 34743: @2407362
     /* 2407362 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2407434), // Rule ID 45319 //
     /* 2407367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407399 */     // MIs[0] policy
     /* 2407399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407409 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407433 */     // GIR_Coverage, 45319,
     /* 2407433 */     GIR_EraseRootFromParent_Done,
     /* 2407434 */   // Label 34744: @2407434
     /* 2407434 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2407506), // Rule ID 45320 //
     /* 2407439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407471 */     // MIs[0] policy
     /* 2407471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407481 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2407484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407505 */     // GIR_Coverage, 45320,
     /* 2407505 */     GIR_EraseRootFromParent_Done,
     /* 2407506 */   // Label 34745: @2407506
     /* 2407506 */   GIM_Reject,
     /* 2407507 */ // Label 34741: @2407507
     /* 2407507 */ GIM_Reject,
     /* 2407508 */ // Label 34719: @2407508
     /* 2407508 */ GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2408140),
     /* 2407513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2407519 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2407602), // Rule ID 45329 //
     /* 2407524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407560 */     // MIs[1] Operand 1
     /* 2407560 */     // No operand predicates
     /* 2407560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407564 */     // MIs[0] policy
     /* 2407564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407576 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407601 */     // GIR_Coverage, 45329,
     /* 2407601 */     GIR_EraseRootFromParent_Done,
     /* 2407602 */   // Label 34747: @2407602
     /* 2407602 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2407685), // Rule ID 45330 //
     /* 2407607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407643 */     // MIs[1] Operand 1
     /* 2407643 */     // No operand predicates
     /* 2407643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407647 */     // MIs[0] policy
     /* 2407647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407659 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407684 */     // GIR_Coverage, 45330,
     /* 2407684 */     GIR_EraseRootFromParent_Done,
     /* 2407685 */   // Label 34748: @2407685
     /* 2407685 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2407768), // Rule ID 45405 //
     /* 2407690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407726 */     // MIs[1] Operand 1
     /* 2407726 */     // No operand predicates
     /* 2407726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407730 */     // MIs[0] policy
     /* 2407730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407742 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407767 */     // GIR_Coverage, 45405,
     /* 2407767 */     GIR_EraseRootFromParent_Done,
     /* 2407768 */   // Label 34749: @2407768
     /* 2407768 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2407851), // Rule ID 45406 //
     /* 2407773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407809 */     // MIs[1] Operand 1
     /* 2407809 */     // No operand predicates
     /* 2407809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407813 */     // MIs[0] policy
     /* 2407813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407825 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407850 */     // GIR_Coverage, 45406,
     /* 2407850 */     GIR_EraseRootFromParent_Done,
     /* 2407851 */   // Label 34750: @2407851
     /* 2407851 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2407923), // Rule ID 45331 //
     /* 2407856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407888 */     // MIs[0] policy
     /* 2407888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407898 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2407901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407922 */     // GIR_Coverage, 45331,
     /* 2407922 */     GIR_EraseRootFromParent_Done,
     /* 2407923 */   // Label 34751: @2407923
     /* 2407923 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2407995), // Rule ID 45332 //
     /* 2407928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407960 */     // MIs[0] policy
     /* 2407960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407970 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2407973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407994 */     // GIR_Coverage, 45332,
     /* 2407994 */     GIR_EraseRootFromParent_Done,
     /* 2407995 */   // Label 34752: @2407995
     /* 2407995 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2408067), // Rule ID 45407 //
     /* 2408000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408032 */     // MIs[0] policy
     /* 2408032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408042 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408066 */     // GIR_Coverage, 45407,
     /* 2408066 */     GIR_EraseRootFromParent_Done,
     /* 2408067 */   // Label 34753: @2408067
     /* 2408067 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2408139), // Rule ID 45408 //
     /* 2408072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408104 */     // MIs[0] policy
     /* 2408104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408114 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408138 */     // GIR_Coverage, 45408,
     /* 2408138 */     GIR_EraseRootFromParent_Done,
     /* 2408139 */   // Label 34754: @2408139
     /* 2408139 */   GIM_Reject,
     /* 2408140 */ // Label 34746: @2408140
     /* 2408140 */ GIM_Reject,
     /* 2408141 */ // Label 34720: @2408141
     /* 2408141 */ GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2408773),
     /* 2408146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2408149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2408152 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2408235), // Rule ID 45337 //
     /* 2408157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408193 */     // MIs[1] Operand 1
     /* 2408193 */     // No operand predicates
     /* 2408193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408197 */     // MIs[0] policy
     /* 2408197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408209 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408234 */     // GIR_Coverage, 45337,
     /* 2408234 */     GIR_EraseRootFromParent_Done,
     /* 2408235 */   // Label 34756: @2408235
     /* 2408235 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2408318), // Rule ID 45338 //
     /* 2408240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408276 */     // MIs[1] Operand 1
     /* 2408276 */     // No operand predicates
     /* 2408276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408280 */     // MIs[0] policy
     /* 2408280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408292 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408317 */     // GIR_Coverage, 45338,
     /* 2408317 */     GIR_EraseRootFromParent_Done,
     /* 2408318 */   // Label 34757: @2408318
     /* 2408318 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2408401), // Rule ID 45413 //
     /* 2408323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408359 */     // MIs[1] Operand 1
     /* 2408359 */     // No operand predicates
     /* 2408359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408363 */     // MIs[0] policy
     /* 2408363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408375 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408400 */     // GIR_Coverage, 45413,
     /* 2408400 */     GIR_EraseRootFromParent_Done,
     /* 2408401 */   // Label 34758: @2408401
     /* 2408401 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2408484), // Rule ID 45414 //
     /* 2408406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408442 */     // MIs[1] Operand 1
     /* 2408442 */     // No operand predicates
     /* 2408442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408446 */     // MIs[0] policy
     /* 2408446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408458 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408483 */     // GIR_Coverage, 45414,
     /* 2408483 */     GIR_EraseRootFromParent_Done,
     /* 2408484 */   // Label 34759: @2408484
     /* 2408484 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2408556), // Rule ID 45339 //
     /* 2408489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408521 */     // MIs[0] policy
     /* 2408521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408531 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408555 */     // GIR_Coverage, 45339,
     /* 2408555 */     GIR_EraseRootFromParent_Done,
     /* 2408556 */   // Label 34760: @2408556
     /* 2408556 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2408628), // Rule ID 45340 //
     /* 2408561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408593 */     // MIs[0] policy
     /* 2408593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408603 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408627 */     // GIR_Coverage, 45340,
     /* 2408627 */     GIR_EraseRootFromParent_Done,
     /* 2408628 */   // Label 34761: @2408628
     /* 2408628 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2408700), // Rule ID 45415 //
     /* 2408633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408665 */     // MIs[0] policy
     /* 2408665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408675 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408699 */     // GIR_Coverage, 45415,
     /* 2408699 */     GIR_EraseRootFromParent_Done,
     /* 2408700 */   // Label 34762: @2408700
     /* 2408700 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2408772), // Rule ID 45416 //
     /* 2408705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408737 */     // MIs[0] policy
     /* 2408737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408747 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408771 */     // GIR_Coverage, 45416,
     /* 2408771 */     GIR_EraseRootFromParent_Done,
     /* 2408772 */   // Label 34763: @2408772
     /* 2408772 */   GIM_Reject,
     /* 2408773 */ // Label 34755: @2408773
     /* 2408773 */ GIM_Reject,
     /* 2408774 */ // Label 34721: @2408774
     /* 2408774 */ GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2409406),
     /* 2408779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2408782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2408785 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2408868), // Rule ID 45353 //
     /* 2408790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2408793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408826 */     // MIs[1] Operand 1
     /* 2408826 */     // No operand predicates
     /* 2408826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408830 */     // MIs[0] policy
     /* 2408830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408842 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408867 */     // GIR_Coverage, 45353,
     /* 2408867 */     GIR_EraseRootFromParent_Done,
     /* 2408868 */   // Label 34765: @2408868
     /* 2408868 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2408951), // Rule ID 45354 //
     /* 2408873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2408876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408909 */     // MIs[1] Operand 1
     /* 2408909 */     // No operand predicates
     /* 2408909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408913 */     // MIs[0] policy
     /* 2408913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408925 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408950 */     // GIR_Coverage, 45354,
     /* 2408950 */     GIR_EraseRootFromParent_Done,
     /* 2408951 */   // Label 34766: @2408951
     /* 2408951 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2409034), // Rule ID 45425 //
     /* 2408956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2408959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2408965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408992 */     // MIs[1] Operand 1
     /* 2408992 */     // No operand predicates
     /* 2408992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408996 */     // MIs[0] policy
     /* 2408996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409008 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409033 */     // GIR_Coverage, 45425,
     /* 2409033 */     GIR_EraseRootFromParent_Done,
     /* 2409034 */   // Label 34767: @2409034
     /* 2409034 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2409117), // Rule ID 45426 //
     /* 2409039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409075 */     // MIs[1] Operand 1
     /* 2409075 */     // No operand predicates
     /* 2409075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409079 */     // MIs[0] policy
     /* 2409079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409091 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409116 */     // GIR_Coverage, 45426,
     /* 2409116 */     GIR_EraseRootFromParent_Done,
     /* 2409117 */   // Label 34768: @2409117
     /* 2409117 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2409189), // Rule ID 45355 //
     /* 2409122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409154 */     // MIs[0] policy
     /* 2409154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409164 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409188 */     // GIR_Coverage, 45355,
     /* 2409188 */     GIR_EraseRootFromParent_Done,
     /* 2409189 */   // Label 34769: @2409189
     /* 2409189 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2409261), // Rule ID 45356 //
     /* 2409194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409226 */     // MIs[0] policy
     /* 2409226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409236 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409260 */     // GIR_Coverage, 45356,
     /* 2409260 */     GIR_EraseRootFromParent_Done,
     /* 2409261 */   // Label 34770: @2409261
     /* 2409261 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2409333), // Rule ID 45427 //
     /* 2409266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409298 */     // MIs[0] policy
     /* 2409298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409308 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409332 */     // GIR_Coverage, 45427,
     /* 2409332 */     GIR_EraseRootFromParent_Done,
     /* 2409333 */   // Label 34771: @2409333
     /* 2409333 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2409405), // Rule ID 45428 //
     /* 2409338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2409347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409370 */     // MIs[0] policy
     /* 2409370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409380 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409404 */     // GIR_Coverage, 45428,
     /* 2409404 */     GIR_EraseRootFromParent_Done,
     /* 2409405 */   // Label 34772: @2409405
     /* 2409405 */   GIM_Reject,
     /* 2409406 */ // Label 34764: @2409406
     /* 2409406 */ GIM_Reject,
     /* 2409407 */ // Label 34722: @2409407
     /* 2409407 */ GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2409729),
     /* 2409412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2409415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2409418 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2409501), // Rule ID 45321 //
     /* 2409423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409459 */     // MIs[1] Operand 1
     /* 2409459 */     // No operand predicates
     /* 2409459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409463 */     // MIs[0] policy
     /* 2409463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409475 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409500 */     // GIR_Coverage, 45321,
     /* 2409500 */     GIR_EraseRootFromParent_Done,
     /* 2409501 */   // Label 34774: @2409501
     /* 2409501 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2409584), // Rule ID 45322 //
     /* 2409506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409542 */     // MIs[1] Operand 1
     /* 2409542 */     // No operand predicates
     /* 2409542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409546 */     // MIs[0] policy
     /* 2409546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409558 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2409561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409583 */     // GIR_Coverage, 45322,
     /* 2409583 */     GIR_EraseRootFromParent_Done,
     /* 2409584 */   // Label 34775: @2409584
     /* 2409584 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2409656), // Rule ID 45323 //
     /* 2409589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409621 */     // MIs[0] policy
     /* 2409621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409631 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2409634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409655 */     // GIR_Coverage, 45323,
     /* 2409655 */     GIR_EraseRootFromParent_Done,
     /* 2409656 */   // Label 34776: @2409656
     /* 2409656 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2409728), // Rule ID 45324 //
     /* 2409661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409693 */     // MIs[0] policy
     /* 2409693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409703 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2409706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409727 */     // GIR_Coverage, 45324,
     /* 2409727 */     GIR_EraseRootFromParent_Done,
     /* 2409728 */   // Label 34777: @2409728
     /* 2409728 */   GIM_Reject,
     /* 2409729 */ // Label 34773: @2409729
     /* 2409729 */ GIM_Reject,
     /* 2409730 */ // Label 34723: @2409730
     /* 2409730 */ GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2410362),
     /* 2409735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2409738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2409741 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2409824), // Rule ID 45333 //
     /* 2409746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409782 */     // MIs[1] Operand 1
     /* 2409782 */     // No operand predicates
     /* 2409782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409786 */     // MIs[0] policy
     /* 2409786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409798 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2409801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409823 */     // GIR_Coverage, 45333,
     /* 2409823 */     GIR_EraseRootFromParent_Done,
     /* 2409824 */   // Label 34779: @2409824
     /* 2409824 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2409907), // Rule ID 45334 //
     /* 2409829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409865 */     // MIs[1] Operand 1
     /* 2409865 */     // No operand predicates
     /* 2409865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409869 */     // MIs[0] policy
     /* 2409869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409881 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2409884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409906 */     // GIR_Coverage, 45334,
     /* 2409906 */     GIR_EraseRootFromParent_Done,
     /* 2409907 */   // Label 34780: @2409907
     /* 2409907 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2409990), // Rule ID 45409 //
     /* 2409912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409948 */     // MIs[1] Operand 1
     /* 2409948 */     // No operand predicates
     /* 2409948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409952 */     // MIs[0] policy
     /* 2409952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409964 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2409967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409989 */     // GIR_Coverage, 45409,
     /* 2409989 */     GIR_EraseRootFromParent_Done,
     /* 2409990 */   // Label 34781: @2409990
     /* 2409990 */   GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410073), // Rule ID 45410 //
     /* 2409995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410031 */     // MIs[1] Operand 1
     /* 2410031 */     // No operand predicates
     /* 2410031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410035 */     // MIs[0] policy
     /* 2410035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410047 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410072 */     // GIR_Coverage, 45410,
     /* 2410072 */     GIR_EraseRootFromParent_Done,
     /* 2410073 */   // Label 34782: @2410073
     /* 2410073 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410145), // Rule ID 45335 //
     /* 2410078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410110 */     // MIs[0] policy
     /* 2410110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410120 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410144 */     // GIR_Coverage, 45335,
     /* 2410144 */     GIR_EraseRootFromParent_Done,
     /* 2410145 */   // Label 34783: @2410145
     /* 2410145 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410217), // Rule ID 45336 //
     /* 2410150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410182 */     // MIs[0] policy
     /* 2410182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410192 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410216 */     // GIR_Coverage, 45336,
     /* 2410216 */     GIR_EraseRootFromParent_Done,
     /* 2410217 */   // Label 34784: @2410217
     /* 2410217 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410289), // Rule ID 45411 //
     /* 2410222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410254 */     // MIs[0] policy
     /* 2410254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410264 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410288 */     // GIR_Coverage, 45411,
     /* 2410288 */     GIR_EraseRootFromParent_Done,
     /* 2410289 */   // Label 34785: @2410289
     /* 2410289 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410361), // Rule ID 45412 //
     /* 2410294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410326 */     // MIs[0] policy
     /* 2410326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410336 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410360 */     // GIR_Coverage, 45412,
     /* 2410360 */     GIR_EraseRootFromParent_Done,
     /* 2410361 */   // Label 34786: @2410361
     /* 2410361 */   GIM_Reject,
     /* 2410362 */ // Label 34778: @2410362
     /* 2410362 */ GIM_Reject,
     /* 2410363 */ // Label 34724: @2410363
     /* 2410363 */ GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2410995),
     /* 2410368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2410371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2410374 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2410457), // Rule ID 45349 //
     /* 2410379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410415 */     // MIs[1] Operand 1
     /* 2410415 */     // No operand predicates
     /* 2410415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410419 */     // MIs[0] policy
     /* 2410419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410431 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410456 */     // GIR_Coverage, 45349,
     /* 2410456 */     GIR_EraseRootFromParent_Done,
     /* 2410457 */   // Label 34788: @2410457
     /* 2410457 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2410540), // Rule ID 45350 //
     /* 2410462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410498 */     // MIs[1] Operand 1
     /* 2410498 */     // No operand predicates
     /* 2410498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410502 */     // MIs[0] policy
     /* 2410502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410514 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410539 */     // GIR_Coverage, 45350,
     /* 2410539 */     GIR_EraseRootFromParent_Done,
     /* 2410540 */   // Label 34789: @2410540
     /* 2410540 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2410623), // Rule ID 45421 //
     /* 2410545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410581 */     // MIs[1] Operand 1
     /* 2410581 */     // No operand predicates
     /* 2410581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410585 */     // MIs[0] policy
     /* 2410585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410597 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410622 */     // GIR_Coverage, 45421,
     /* 2410622 */     GIR_EraseRootFromParent_Done,
     /* 2410623 */   // Label 34790: @2410623
     /* 2410623 */   GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2410706), // Rule ID 45422 //
     /* 2410628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410664 */     // MIs[1] Operand 1
     /* 2410664 */     // No operand predicates
     /* 2410664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410668 */     // MIs[0] policy
     /* 2410668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410680 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410705 */     // GIR_Coverage, 45422,
     /* 2410705 */     GIR_EraseRootFromParent_Done,
     /* 2410706 */   // Label 34791: @2410706
     /* 2410706 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2410778), // Rule ID 45351 //
     /* 2410711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410743 */     // MIs[0] policy
     /* 2410743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410753 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410777 */     // GIR_Coverage, 45351,
     /* 2410777 */     GIR_EraseRootFromParent_Done,
     /* 2410778 */   // Label 34792: @2410778
     /* 2410778 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2410850), // Rule ID 45352 //
     /* 2410783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410815 */     // MIs[0] policy
     /* 2410815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410825 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410849 */     // GIR_Coverage, 45352,
     /* 2410849 */     GIR_EraseRootFromParent_Done,
     /* 2410850 */   // Label 34793: @2410850
     /* 2410850 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2410922), // Rule ID 45423 //
     /* 2410855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410887 */     // MIs[0] policy
     /* 2410887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410897 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410921 */     // GIR_Coverage, 45423,
     /* 2410921 */     GIR_EraseRootFromParent_Done,
     /* 2410922 */   // Label 34794: @2410922
     /* 2410922 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2410994), // Rule ID 45424 //
     /* 2410927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2410936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410959 */     // MIs[0] policy
     /* 2410959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410969 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410993 */     // GIR_Coverage, 45424,
     /* 2410993 */     GIR_EraseRootFromParent_Done,
     /* 2410994 */   // Label 34795: @2410994
     /* 2410994 */   GIM_Reject,
     /* 2410995 */ // Label 34787: @2410995
     /* 2410995 */ GIM_Reject,
     /* 2410996 */ // Label 34725: @2410996
     /* 2410996 */ GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411628),
     /* 2411001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2411004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2411007 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411090), // Rule ID 45393 //
     /* 2411012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411048 */     // MIs[1] Operand 1
     /* 2411048 */     // No operand predicates
     /* 2411048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411052 */     // MIs[0] policy
     /* 2411052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411064 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411089 */     // GIR_Coverage, 45393,
     /* 2411089 */     GIR_EraseRootFromParent_Done,
     /* 2411090 */   // Label 34797: @2411090
     /* 2411090 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411173), // Rule ID 45394 //
     /* 2411095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411131 */     // MIs[1] Operand 1
     /* 2411131 */     // No operand predicates
     /* 2411131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411135 */     // MIs[0] policy
     /* 2411135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411147 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411172 */     // GIR_Coverage, 45394,
     /* 2411172 */     GIR_EraseRootFromParent_Done,
     /* 2411173 */   // Label 34798: @2411173
     /* 2411173 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411256), // Rule ID 45453 //
     /* 2411178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411214 */     // MIs[1] Operand 1
     /* 2411214 */     // No operand predicates
     /* 2411214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411218 */     // MIs[0] policy
     /* 2411218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411230 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411255 */     // GIR_Coverage, 45453,
     /* 2411255 */     GIR_EraseRootFromParent_Done,
     /* 2411256 */   // Label 34799: @2411256
     /* 2411256 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2411339), // Rule ID 45454 //
     /* 2411261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411297 */     // MIs[1] Operand 1
     /* 2411297 */     // No operand predicates
     /* 2411297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411301 */     // MIs[0] policy
     /* 2411301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411313 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411338 */     // GIR_Coverage, 45454,
     /* 2411338 */     GIR_EraseRootFromParent_Done,
     /* 2411339 */   // Label 34800: @2411339
     /* 2411339 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411411), // Rule ID 45395 //
     /* 2411344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411376 */     // MIs[0] policy
     /* 2411376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411386 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411410 */     // GIR_Coverage, 45395,
     /* 2411410 */     GIR_EraseRootFromParent_Done,
     /* 2411411 */   // Label 34801: @2411411
     /* 2411411 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411483), // Rule ID 45396 //
     /* 2411416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411448 */     // MIs[0] policy
     /* 2411448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411458 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411482 */     // GIR_Coverage, 45396,
     /* 2411482 */     GIR_EraseRootFromParent_Done,
     /* 2411483 */   // Label 34802: @2411483
     /* 2411483 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2411555), // Rule ID 45455 //
     /* 2411488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411520 */     // MIs[0] policy
     /* 2411520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411530 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411554 */     // GIR_Coverage, 45455,
     /* 2411554 */     GIR_EraseRootFromParent_Done,
     /* 2411555 */   // Label 34803: @2411555
     /* 2411555 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411627), // Rule ID 45456 //
     /* 2411560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2411569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411592 */     // MIs[0] policy
     /* 2411592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411602 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411626 */     // GIR_Coverage, 45456,
     /* 2411626 */     GIR_EraseRootFromParent_Done,
     /* 2411627 */   // Label 34804: @2411627
     /* 2411627 */   GIM_Reject,
     /* 2411628 */ // Label 34796: @2411628
     /* 2411628 */ GIM_Reject,
     /* 2411629 */ // Label 34726: @2411629
     /* 2411629 */ GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2411951),
     /* 2411634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2411637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2411640 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411723), // Rule ID 45325 //
     /* 2411645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411681 */     // MIs[1] Operand 1
     /* 2411681 */     // No operand predicates
     /* 2411681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411685 */     // MIs[0] policy
     /* 2411685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411697 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2411700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411722 */     // GIR_Coverage, 45325,
     /* 2411722 */     GIR_EraseRootFromParent_Done,
     /* 2411723 */   // Label 34806: @2411723
     /* 2411723 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2411806), // Rule ID 45326 //
     /* 2411728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411764 */     // MIs[1] Operand 1
     /* 2411764 */     // No operand predicates
     /* 2411764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411768 */     // MIs[0] policy
     /* 2411768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411780 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2411783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411805 */     // GIR_Coverage, 45326,
     /* 2411805 */     GIR_EraseRootFromParent_Done,
     /* 2411806 */   // Label 34807: @2411806
     /* 2411806 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2411878), // Rule ID 45327 //
     /* 2411811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411843 */     // MIs[0] policy
     /* 2411843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411853 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2411856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411877 */     // GIR_Coverage, 45327,
     /* 2411877 */     GIR_EraseRootFromParent_Done,
     /* 2411878 */   // Label 34808: @2411878
     /* 2411878 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2411950), // Rule ID 45328 //
     /* 2411883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411915 */     // MIs[0] policy
     /* 2411915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411925 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2411928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411949 */     // GIR_Coverage, 45328,
     /* 2411949 */     GIR_EraseRootFromParent_Done,
     /* 2411950 */   // Label 34809: @2411950
     /* 2411950 */   GIM_Reject,
     /* 2411951 */ // Label 34805: @2411951
     /* 2411951 */ GIM_Reject,
     /* 2411952 */ // Label 34727: @2411952
     /* 2411952 */ GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2412584),
     /* 2411957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2411960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2411963 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2412046), // Rule ID 45345 //
     /* 2411968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2411984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412004 */     // MIs[1] Operand 1
     /* 2412004 */     // No operand predicates
     /* 2412004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412008 */     // MIs[0] policy
     /* 2412008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412020 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412045 */     // GIR_Coverage, 45345,
     /* 2412045 */     GIR_EraseRootFromParent_Done,
     /* 2412046 */   // Label 34811: @2412046
     /* 2412046 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2412129), // Rule ID 45346 //
     /* 2412051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412087 */     // MIs[1] Operand 1
     /* 2412087 */     // No operand predicates
     /* 2412087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412091 */     // MIs[0] policy
     /* 2412091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412103 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412128 */     // GIR_Coverage, 45346,
     /* 2412128 */     GIR_EraseRootFromParent_Done,
     /* 2412129 */   // Label 34812: @2412129
     /* 2412129 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2412212), // Rule ID 45417 //
     /* 2412134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412170 */     // MIs[1] Operand 1
     /* 2412170 */     // No operand predicates
     /* 2412170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412174 */     // MIs[0] policy
     /* 2412174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412186 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412211 */     // GIR_Coverage, 45417,
     /* 2412211 */     GIR_EraseRootFromParent_Done,
     /* 2412212 */   // Label 34813: @2412212
     /* 2412212 */   GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2412295), // Rule ID 45418 //
     /* 2412217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412253 */     // MIs[1] Operand 1
     /* 2412253 */     // No operand predicates
     /* 2412253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412257 */     // MIs[0] policy
     /* 2412257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412269 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412294 */     // GIR_Coverage, 45418,
     /* 2412294 */     GIR_EraseRootFromParent_Done,
     /* 2412295 */   // Label 34814: @2412295
     /* 2412295 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2412367), // Rule ID 45347 //
     /* 2412300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412332 */     // MIs[0] policy
     /* 2412332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412342 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412366 */     // GIR_Coverage, 45347,
     /* 2412366 */     GIR_EraseRootFromParent_Done,
     /* 2412367 */   // Label 34815: @2412367
     /* 2412367 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2412439), // Rule ID 45348 //
     /* 2412372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412404 */     // MIs[0] policy
     /* 2412404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412414 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412438 */     // GIR_Coverage, 45348,
     /* 2412438 */     GIR_EraseRootFromParent_Done,
     /* 2412439 */   // Label 34816: @2412439
     /* 2412439 */   GIM_Try, /*On fail goto*//*Label 34817*/ GIMT_Encode4(2412511), // Rule ID 45419 //
     /* 2412444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412476 */     // MIs[0] policy
     /* 2412476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412486 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412510 */     // GIR_Coverage, 45419,
     /* 2412510 */     GIR_EraseRootFromParent_Done,
     /* 2412511 */   // Label 34817: @2412511
     /* 2412511 */   GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2412583), // Rule ID 45420 //
     /* 2412516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412548 */     // MIs[0] policy
     /* 2412548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412558 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412582 */     // GIR_Coverage, 45420,
     /* 2412582 */     GIR_EraseRootFromParent_Done,
     /* 2412583 */   // Label 34818: @2412583
     /* 2412583 */   GIM_Reject,
     /* 2412584 */ // Label 34810: @2412584
     /* 2412584 */ GIM_Reject,
     /* 2412585 */ // Label 34728: @2412585
     /* 2412585 */ GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2413217),
     /* 2412590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2412593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2412596 */   GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2412679), // Rule ID 45381 //
     /* 2412601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412637 */     // MIs[1] Operand 1
     /* 2412637 */     // No operand predicates
     /* 2412637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412641 */     // MIs[0] policy
     /* 2412641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412653 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412678 */     // GIR_Coverage, 45381,
     /* 2412678 */     GIR_EraseRootFromParent_Done,
     /* 2412679 */   // Label 34820: @2412679
     /* 2412679 */   GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2412762), // Rule ID 45382 //
     /* 2412684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412720 */     // MIs[1] Operand 1
     /* 2412720 */     // No operand predicates
     /* 2412720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412724 */     // MIs[0] policy
     /* 2412724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412736 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412761 */     // GIR_Coverage, 45382,
     /* 2412761 */     GIR_EraseRootFromParent_Done,
     /* 2412762 */   // Label 34821: @2412762
     /* 2412762 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2412845), // Rule ID 45441 //
     /* 2412767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412803 */     // MIs[1] Operand 1
     /* 2412803 */     // No operand predicates
     /* 2412803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412807 */     // MIs[0] policy
     /* 2412807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412819 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412844 */     // GIR_Coverage, 45441,
     /* 2412844 */     GIR_EraseRootFromParent_Done,
     /* 2412845 */   // Label 34822: @2412845
     /* 2412845 */   GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2412928), // Rule ID 45442 //
     /* 2412850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412886 */     // MIs[1] Operand 1
     /* 2412886 */     // No operand predicates
     /* 2412886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412890 */     // MIs[0] policy
     /* 2412890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412902 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412927 */     // GIR_Coverage, 45442,
     /* 2412927 */     GIR_EraseRootFromParent_Done,
     /* 2412928 */   // Label 34823: @2412928
     /* 2412928 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2413000), // Rule ID 45383 //
     /* 2412933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412965 */     // MIs[0] policy
     /* 2412965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412975 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2412978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412999 */     // GIR_Coverage, 45383,
     /* 2412999 */     GIR_EraseRootFromParent_Done,
     /* 2413000 */   // Label 34824: @2413000
     /* 2413000 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2413072), // Rule ID 45384 //
     /* 2413005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413037 */     // MIs[0] policy
     /* 2413037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413047 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413071 */     // GIR_Coverage, 45384,
     /* 2413071 */     GIR_EraseRootFromParent_Done,
     /* 2413072 */   // Label 34825: @2413072
     /* 2413072 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2413144), // Rule ID 45443 //
     /* 2413077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413109 */     // MIs[0] policy
     /* 2413109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413119 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413143 */     // GIR_Coverage, 45443,
     /* 2413143 */     GIR_EraseRootFromParent_Done,
     /* 2413144 */   // Label 34826: @2413144
     /* 2413144 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2413216), // Rule ID 45444 //
     /* 2413149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413181 */     // MIs[0] policy
     /* 2413181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413191 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413215 */     // GIR_Coverage, 45444,
     /* 2413215 */     GIR_EraseRootFromParent_Done,
     /* 2413216 */   // Label 34827: @2413216
     /* 2413216 */   GIM_Reject,
     /* 2413217 */ // Label 34819: @2413217
     /* 2413217 */ GIM_Reject,
     /* 2413218 */ // Label 34729: @2413218
     /* 2413218 */ GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2413850),
     /* 2413223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2413226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2413229 */   GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2413312), // Rule ID 45397 //
     /* 2413234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413270 */     // MIs[1] Operand 1
     /* 2413270 */     // No operand predicates
     /* 2413270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413274 */     // MIs[0] policy
     /* 2413274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413286 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413311 */     // GIR_Coverage, 45397,
     /* 2413311 */     GIR_EraseRootFromParent_Done,
     /* 2413312 */   // Label 34829: @2413312
     /* 2413312 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2413395), // Rule ID 45398 //
     /* 2413317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413353 */     // MIs[1] Operand 1
     /* 2413353 */     // No operand predicates
     /* 2413353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413357 */     // MIs[0] policy
     /* 2413357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413369 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413394 */     // GIR_Coverage, 45398,
     /* 2413394 */     GIR_EraseRootFromParent_Done,
     /* 2413395 */   // Label 34830: @2413395
     /* 2413395 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2413478), // Rule ID 45457 //
     /* 2413400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413436 */     // MIs[1] Operand 1
     /* 2413436 */     // No operand predicates
     /* 2413436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413440 */     // MIs[0] policy
     /* 2413440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413452 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413477 */     // GIR_Coverage, 45457,
     /* 2413477 */     GIR_EraseRootFromParent_Done,
     /* 2413478 */   // Label 34831: @2413478
     /* 2413478 */   GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2413561), // Rule ID 45458 //
     /* 2413483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413519 */     // MIs[1] Operand 1
     /* 2413519 */     // No operand predicates
     /* 2413519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413523 */     // MIs[0] policy
     /* 2413523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413535 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413560 */     // GIR_Coverage, 45458,
     /* 2413560 */     GIR_EraseRootFromParent_Done,
     /* 2413561 */   // Label 34832: @2413561
     /* 2413561 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2413633), // Rule ID 45399 //
     /* 2413566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413598 */     // MIs[0] policy
     /* 2413598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413608 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413632 */     // GIR_Coverage, 45399,
     /* 2413632 */     GIR_EraseRootFromParent_Done,
     /* 2413633 */   // Label 34833: @2413633
     /* 2413633 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2413705), // Rule ID 45400 //
     /* 2413638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413670 */     // MIs[0] policy
     /* 2413670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413680 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413704 */     // GIR_Coverage, 45400,
     /* 2413704 */     GIR_EraseRootFromParent_Done,
     /* 2413705 */   // Label 34834: @2413705
     /* 2413705 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2413777), // Rule ID 45459 //
     /* 2413710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413742 */     // MIs[0] policy
     /* 2413742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413752 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413776 */     // GIR_Coverage, 45459,
     /* 2413776 */     GIR_EraseRootFromParent_Done,
     /* 2413777 */   // Label 34835: @2413777
     /* 2413777 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2413849), // Rule ID 45460 //
     /* 2413782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2413791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413814 */     // MIs[0] policy
     /* 2413814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413824 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413848 */     // GIR_Coverage, 45460,
     /* 2413848 */     GIR_EraseRootFromParent_Done,
     /* 2413849 */   // Label 34836: @2413849
     /* 2413849 */   GIM_Reject,
     /* 2413850 */ // Label 34828: @2413850
     /* 2413850 */ GIM_Reject,
     /* 2413851 */ // Label 34730: @2413851
     /* 2413851 */ GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2414173),
     /* 2413856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2413859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2413862 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2413945), // Rule ID 45341 //
     /* 2413867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413903 */     // MIs[1] Operand 1
     /* 2413903 */     // No operand predicates
     /* 2413903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413907 */     // MIs[0] policy
     /* 2413907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413919 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2413922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413944 */     // GIR_Coverage, 45341,
     /* 2413944 */     GIR_EraseRootFromParent_Done,
     /* 2413945 */   // Label 34838: @2413945
     /* 2413945 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2414028), // Rule ID 45342 //
     /* 2413950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413986 */     // MIs[1] Operand 1
     /* 2413986 */     // No operand predicates
     /* 2413986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413990 */     // MIs[0] policy
     /* 2413990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414002 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2414005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414027 */     // GIR_Coverage, 45342,
     /* 2414027 */     GIR_EraseRootFromParent_Done,
     /* 2414028 */   // Label 34839: @2414028
     /* 2414028 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2414100), // Rule ID 45343 //
     /* 2414033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414065 */     // MIs[0] policy
     /* 2414065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414075 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414099 */     // GIR_Coverage, 45343,
     /* 2414099 */     GIR_EraseRootFromParent_Done,
     /* 2414100 */   // Label 34840: @2414100
     /* 2414100 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2414172), // Rule ID 45344 //
     /* 2414105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414137 */     // MIs[0] policy
     /* 2414137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414147 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2414150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414171 */     // GIR_Coverage, 45344,
     /* 2414171 */     GIR_EraseRootFromParent_Done,
     /* 2414172 */   // Label 34841: @2414172
     /* 2414172 */   GIM_Reject,
     /* 2414173 */ // Label 34837: @2414173
     /* 2414173 */ GIM_Reject,
     /* 2414174 */ // Label 34731: @2414174
     /* 2414174 */ GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2414806),
     /* 2414179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414185 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2414268), // Rule ID 45369 //
     /* 2414190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414226 */     // MIs[1] Operand 1
     /* 2414226 */     // No operand predicates
     /* 2414226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414230 */     // MIs[0] policy
     /* 2414230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414242 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414267 */     // GIR_Coverage, 45369,
     /* 2414267 */     GIR_EraseRootFromParent_Done,
     /* 2414268 */   // Label 34843: @2414268
     /* 2414268 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2414351), // Rule ID 45370 //
     /* 2414273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414309 */     // MIs[1] Operand 1
     /* 2414309 */     // No operand predicates
     /* 2414309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414313 */     // MIs[0] policy
     /* 2414313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414325 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414350 */     // GIR_Coverage, 45370,
     /* 2414350 */     GIR_EraseRootFromParent_Done,
     /* 2414351 */   // Label 34844: @2414351
     /* 2414351 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2414434), // Rule ID 45429 //
     /* 2414356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414392 */     // MIs[1] Operand 1
     /* 2414392 */     // No operand predicates
     /* 2414392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414396 */     // MIs[0] policy
     /* 2414396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414408 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414433 */     // GIR_Coverage, 45429,
     /* 2414433 */     GIR_EraseRootFromParent_Done,
     /* 2414434 */   // Label 34845: @2414434
     /* 2414434 */   GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2414517), // Rule ID 45430 //
     /* 2414439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414475 */     // MIs[1] Operand 1
     /* 2414475 */     // No operand predicates
     /* 2414475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414479 */     // MIs[0] policy
     /* 2414479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414491 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414516 */     // GIR_Coverage, 45430,
     /* 2414516 */     GIR_EraseRootFromParent_Done,
     /* 2414517 */   // Label 34846: @2414517
     /* 2414517 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2414589), // Rule ID 45371 //
     /* 2414522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414554 */     // MIs[0] policy
     /* 2414554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414564 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414588 */     // GIR_Coverage, 45371,
     /* 2414588 */     GIR_EraseRootFromParent_Done,
     /* 2414589 */   // Label 34847: @2414589
     /* 2414589 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2414661), // Rule ID 45372 //
     /* 2414594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414626 */     // MIs[0] policy
     /* 2414626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414636 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414660 */     // GIR_Coverage, 45372,
     /* 2414660 */     GIR_EraseRootFromParent_Done,
     /* 2414661 */   // Label 34848: @2414661
     /* 2414661 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2414733), // Rule ID 45431 //
     /* 2414666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414698 */     // MIs[0] policy
     /* 2414698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414708 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414732 */     // GIR_Coverage, 45431,
     /* 2414732 */     GIR_EraseRootFromParent_Done,
     /* 2414733 */   // Label 34849: @2414733
     /* 2414733 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2414805), // Rule ID 45432 //
     /* 2414738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414770 */     // MIs[0] policy
     /* 2414770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414780 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414804 */     // GIR_Coverage, 45432,
     /* 2414804 */     GIR_EraseRootFromParent_Done,
     /* 2414805 */   // Label 34850: @2414805
     /* 2414805 */   GIM_Reject,
     /* 2414806 */ // Label 34842: @2414806
     /* 2414806 */ GIM_Reject,
     /* 2414807 */ // Label 34732: @2414807
     /* 2414807 */ GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2415439),
     /* 2414812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2414815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2414818 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2414901), // Rule ID 45385 //
     /* 2414823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414859 */     // MIs[1] Operand 1
     /* 2414859 */     // No operand predicates
     /* 2414859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414863 */     // MIs[0] policy
     /* 2414863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414875 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2414878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414900 */     // GIR_Coverage, 45385,
     /* 2414900 */     GIR_EraseRootFromParent_Done,
     /* 2414901 */   // Label 34852: @2414901
     /* 2414901 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2414984), // Rule ID 45386 //
     /* 2414906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414942 */     // MIs[1] Operand 1
     /* 2414942 */     // No operand predicates
     /* 2414942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414946 */     // MIs[0] policy
     /* 2414946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414958 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2414961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414983 */     // GIR_Coverage, 45386,
     /* 2414983 */     GIR_EraseRootFromParent_Done,
     /* 2414984 */   // Label 34853: @2414984
     /* 2414984 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2415067), // Rule ID 45445 //
     /* 2414989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415025 */     // MIs[1] Operand 1
     /* 2415025 */     // No operand predicates
     /* 2415025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415029 */     // MIs[0] policy
     /* 2415029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415041 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415066 */     // GIR_Coverage, 45445,
     /* 2415066 */     GIR_EraseRootFromParent_Done,
     /* 2415067 */   // Label 34854: @2415067
     /* 2415067 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2415150), // Rule ID 45446 //
     /* 2415072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415108 */     // MIs[1] Operand 1
     /* 2415108 */     // No operand predicates
     /* 2415108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415112 */     // MIs[0] policy
     /* 2415112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415124 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415149 */     // GIR_Coverage, 45446,
     /* 2415149 */     GIR_EraseRootFromParent_Done,
     /* 2415150 */   // Label 34855: @2415150
     /* 2415150 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2415222), // Rule ID 45387 //
     /* 2415155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415187 */     // MIs[0] policy
     /* 2415187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415197 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415221 */     // GIR_Coverage, 45387,
     /* 2415221 */     GIR_EraseRootFromParent_Done,
     /* 2415222 */   // Label 34856: @2415222
     /* 2415222 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2415294), // Rule ID 45388 //
     /* 2415227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415259 */     // MIs[0] policy
     /* 2415259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415269 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415293 */     // GIR_Coverage, 45388,
     /* 2415293 */     GIR_EraseRootFromParent_Done,
     /* 2415294 */   // Label 34857: @2415294
     /* 2415294 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2415366), // Rule ID 45447 //
     /* 2415299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415331 */     // MIs[0] policy
     /* 2415331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415341 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415365 */     // GIR_Coverage, 45447,
     /* 2415365 */     GIR_EraseRootFromParent_Done,
     /* 2415366 */   // Label 34858: @2415366
     /* 2415366 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2415438), // Rule ID 45448 //
     /* 2415371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415403 */     // MIs[0] policy
     /* 2415403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415413 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415437 */     // GIR_Coverage, 45448,
     /* 2415437 */     GIR_EraseRootFromParent_Done,
     /* 2415438 */   // Label 34859: @2415438
     /* 2415438 */   GIM_Reject,
     /* 2415439 */ // Label 34851: @2415439
     /* 2415439 */ GIM_Reject,
     /* 2415440 */ // Label 34733: @2415440
     /* 2415440 */ GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2416072),
     /* 2415445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2415448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2415451 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2415534), // Rule ID 45401 //
     /* 2415456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415492 */     // MIs[1] Operand 1
     /* 2415492 */     // No operand predicates
     /* 2415492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415496 */     // MIs[0] policy
     /* 2415496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415508 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415533 */     // GIR_Coverage, 45401,
     /* 2415533 */     GIR_EraseRootFromParent_Done,
     /* 2415534 */   // Label 34861: @2415534
     /* 2415534 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2415617), // Rule ID 45402 //
     /* 2415539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415575 */     // MIs[1] Operand 1
     /* 2415575 */     // No operand predicates
     /* 2415575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415579 */     // MIs[0] policy
     /* 2415579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415591 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415616 */     // GIR_Coverage, 45402,
     /* 2415616 */     GIR_EraseRootFromParent_Done,
     /* 2415617 */   // Label 34862: @2415617
     /* 2415617 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415700), // Rule ID 45461 //
     /* 2415622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415658 */     // MIs[1] Operand 1
     /* 2415658 */     // No operand predicates
     /* 2415658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415662 */     // MIs[0] policy
     /* 2415662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415674 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415699 */     // GIR_Coverage, 45461,
     /* 2415699 */     GIR_EraseRootFromParent_Done,
     /* 2415700 */   // Label 34863: @2415700
     /* 2415700 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2415783), // Rule ID 45462 //
     /* 2415705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415741 */     // MIs[1] Operand 1
     /* 2415741 */     // No operand predicates
     /* 2415741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415745 */     // MIs[0] policy
     /* 2415745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415757 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415782 */     // GIR_Coverage, 45462,
     /* 2415782 */     GIR_EraseRootFromParent_Done,
     /* 2415783 */   // Label 34864: @2415783
     /* 2415783 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2415855), // Rule ID 45403 //
     /* 2415788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415820 */     // MIs[0] policy
     /* 2415820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415830 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415854 */     // GIR_Coverage, 45403,
     /* 2415854 */     GIR_EraseRootFromParent_Done,
     /* 2415855 */   // Label 34865: @2415855
     /* 2415855 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2415927), // Rule ID 45404 //
     /* 2415860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2415863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415892 */     // MIs[0] policy
     /* 2415892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415902 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415926 */     // GIR_Coverage, 45404,
     /* 2415926 */     GIR_EraseRootFromParent_Done,
     /* 2415927 */   // Label 34866: @2415927
     /* 2415927 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2415999), // Rule ID 45463 //
     /* 2415932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2415935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2415941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415964 */     // MIs[0] policy
     /* 2415964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415974 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415998 */     // GIR_Coverage, 45463,
     /* 2415998 */     GIR_EraseRootFromParent_Done,
     /* 2415999 */   // Label 34867: @2415999
     /* 2415999 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2416071), // Rule ID 45464 //
     /* 2416004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2416013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416036 */     // MIs[0] policy
     /* 2416036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416046 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416070 */     // GIR_Coverage, 45464,
     /* 2416070 */     GIR_EraseRootFromParent_Done,
     /* 2416071 */   // Label 34868: @2416071
     /* 2416071 */   GIM_Reject,
     /* 2416072 */ // Label 34860: @2416072
     /* 2416072 */ GIM_Reject,
     /* 2416073 */ // Label 34734: @2416073
     /* 2416073 */ GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2416395),
     /* 2416078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2416081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2416084 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2416167), // Rule ID 45357 //
     /* 2416089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416125 */     // MIs[1] Operand 1
     /* 2416125 */     // No operand predicates
     /* 2416125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416129 */     // MIs[0] policy
     /* 2416129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416141 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416166 */     // GIR_Coverage, 45357,
     /* 2416166 */     GIR_EraseRootFromParent_Done,
     /* 2416167 */   // Label 34870: @2416167
     /* 2416167 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2416250), // Rule ID 45358 //
     /* 2416172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416208 */     // MIs[1] Operand 1
     /* 2416208 */     // No operand predicates
     /* 2416208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416212 */     // MIs[0] policy
     /* 2416212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416224 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2416227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416249 */     // GIR_Coverage, 45358,
     /* 2416249 */     GIR_EraseRootFromParent_Done,
     /* 2416250 */   // Label 34871: @2416250
     /* 2416250 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2416322), // Rule ID 45359 //
     /* 2416255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416287 */     // MIs[0] policy
     /* 2416287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416297 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416321 */     // GIR_Coverage, 45359,
     /* 2416321 */     GIR_EraseRootFromParent_Done,
     /* 2416322 */   // Label 34872: @2416322
     /* 2416322 */   GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2416394), // Rule ID 45360 //
     /* 2416327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416359 */     // MIs[0] policy
     /* 2416359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416369 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2416372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416393 */     // GIR_Coverage, 45360,
     /* 2416393 */     GIR_EraseRootFromParent_Done,
     /* 2416394 */   // Label 34873: @2416394
     /* 2416394 */   GIM_Reject,
     /* 2416395 */ // Label 34869: @2416395
     /* 2416395 */ GIM_Reject,
     /* 2416396 */ // Label 34735: @2416396
     /* 2416396 */ GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2417028),
     /* 2416401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2416404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2416407 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2416490), // Rule ID 45373 //
     /* 2416412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416448 */     // MIs[1] Operand 1
     /* 2416448 */     // No operand predicates
     /* 2416448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416452 */     // MIs[0] policy
     /* 2416452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416464 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416489 */     // GIR_Coverage, 45373,
     /* 2416489 */     GIR_EraseRootFromParent_Done,
     /* 2416490 */   // Label 34875: @2416490
     /* 2416490 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2416573), // Rule ID 45374 //
     /* 2416495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416531 */     // MIs[1] Operand 1
     /* 2416531 */     // No operand predicates
     /* 2416531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416535 */     // MIs[0] policy
     /* 2416535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416547 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416572 */     // GIR_Coverage, 45374,
     /* 2416572 */     GIR_EraseRootFromParent_Done,
     /* 2416573 */   // Label 34876: @2416573
     /* 2416573 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2416656), // Rule ID 45433 //
     /* 2416578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416614 */     // MIs[1] Operand 1
     /* 2416614 */     // No operand predicates
     /* 2416614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416618 */     // MIs[0] policy
     /* 2416618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416630 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416655 */     // GIR_Coverage, 45433,
     /* 2416655 */     GIR_EraseRootFromParent_Done,
     /* 2416656 */   // Label 34877: @2416656
     /* 2416656 */   GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2416739), // Rule ID 45434 //
     /* 2416661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416697 */     // MIs[1] Operand 1
     /* 2416697 */     // No operand predicates
     /* 2416697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416701 */     // MIs[0] policy
     /* 2416701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416713 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416738 */     // GIR_Coverage, 45434,
     /* 2416738 */     GIR_EraseRootFromParent_Done,
     /* 2416739 */   // Label 34878: @2416739
     /* 2416739 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2416811), // Rule ID 45375 //
     /* 2416744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416776 */     // MIs[0] policy
     /* 2416776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416786 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416810 */     // GIR_Coverage, 45375,
     /* 2416810 */     GIR_EraseRootFromParent_Done,
     /* 2416811 */   // Label 34879: @2416811
     /* 2416811 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2416883), // Rule ID 45376 //
     /* 2416816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416848 */     // MIs[0] policy
     /* 2416848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416858 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416882 */     // GIR_Coverage, 45376,
     /* 2416882 */     GIR_EraseRootFromParent_Done,
     /* 2416883 */   // Label 34880: @2416883
     /* 2416883 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2416955), // Rule ID 45435 //
     /* 2416888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416920 */     // MIs[0] policy
     /* 2416920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416930 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416954 */     // GIR_Coverage, 45435,
     /* 2416954 */     GIR_EraseRootFromParent_Done,
     /* 2416955 */   // Label 34881: @2416955
     /* 2416955 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2417027), // Rule ID 45436 //
     /* 2416960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416992 */     // MIs[0] policy
     /* 2416992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417002 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417026 */     // GIR_Coverage, 45436,
     /* 2417026 */     GIR_EraseRootFromParent_Done,
     /* 2417027 */   // Label 34882: @2417027
     /* 2417027 */   GIM_Reject,
     /* 2417028 */ // Label 34874: @2417028
     /* 2417028 */ GIM_Reject,
     /* 2417029 */ // Label 34736: @2417029
     /* 2417029 */ GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2417661),
     /* 2417034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2417037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2417040 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2417123), // Rule ID 45389 //
     /* 2417045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417081 */     // MIs[1] Operand 1
     /* 2417081 */     // No operand predicates
     /* 2417081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417085 */     // MIs[0] policy
     /* 2417085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417097 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417122 */     // GIR_Coverage, 45389,
     /* 2417122 */     GIR_EraseRootFromParent_Done,
     /* 2417123 */   // Label 34884: @2417123
     /* 2417123 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2417206), // Rule ID 45390 //
     /* 2417128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417164 */     // MIs[1] Operand 1
     /* 2417164 */     // No operand predicates
     /* 2417164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417168 */     // MIs[0] policy
     /* 2417168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417180 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417205 */     // GIR_Coverage, 45390,
     /* 2417205 */     GIR_EraseRootFromParent_Done,
     /* 2417206 */   // Label 34885: @2417206
     /* 2417206 */   GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2417289), // Rule ID 45449 //
     /* 2417211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417247 */     // MIs[1] Operand 1
     /* 2417247 */     // No operand predicates
     /* 2417247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417251 */     // MIs[0] policy
     /* 2417251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417263 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417288 */     // GIR_Coverage, 45449,
     /* 2417288 */     GIR_EraseRootFromParent_Done,
     /* 2417289 */   // Label 34886: @2417289
     /* 2417289 */   GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2417372), // Rule ID 45450 //
     /* 2417294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417330 */     // MIs[1] Operand 1
     /* 2417330 */     // No operand predicates
     /* 2417330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417334 */     // MIs[0] policy
     /* 2417334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417346 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417371 */     // GIR_Coverage, 45450,
     /* 2417371 */     GIR_EraseRootFromParent_Done,
     /* 2417372 */   // Label 34887: @2417372
     /* 2417372 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2417444), // Rule ID 45391 //
     /* 2417377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417409 */     // MIs[0] policy
     /* 2417409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417419 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417443 */     // GIR_Coverage, 45391,
     /* 2417443 */     GIR_EraseRootFromParent_Done,
     /* 2417444 */   // Label 34888: @2417444
     /* 2417444 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2417516), // Rule ID 45392 //
     /* 2417449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417481 */     // MIs[0] policy
     /* 2417481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417491 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417515 */     // GIR_Coverage, 45392,
     /* 2417515 */     GIR_EraseRootFromParent_Done,
     /* 2417516 */   // Label 34889: @2417516
     /* 2417516 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2417588), // Rule ID 45451 //
     /* 2417521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417553 */     // MIs[0] policy
     /* 2417553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417563 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417587 */     // GIR_Coverage, 45451,
     /* 2417587 */     GIR_EraseRootFromParent_Done,
     /* 2417588 */   // Label 34890: @2417588
     /* 2417588 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2417660), // Rule ID 45452 //
     /* 2417593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2417602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417625 */     // MIs[0] policy
     /* 2417625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417635 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417659 */     // GIR_Coverage, 45452,
     /* 2417659 */     GIR_EraseRootFromParent_Done,
     /* 2417660 */   // Label 34891: @2417660
     /* 2417660 */   GIM_Reject,
     /* 2417661 */ // Label 34883: @2417661
     /* 2417661 */ GIM_Reject,
     /* 2417662 */ // Label 34737: @2417662
     /* 2417662 */ GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2417984),
     /* 2417667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2417670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2417673 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2417756), // Rule ID 45361 //
     /* 2417678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417714 */     // MIs[1] Operand 1
     /* 2417714 */     // No operand predicates
     /* 2417714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417718 */     // MIs[0] policy
     /* 2417718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417730 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417755 */     // GIR_Coverage, 45361,
     /* 2417755 */     GIR_EraseRootFromParent_Done,
     /* 2417756 */   // Label 34893: @2417756
     /* 2417756 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2417839), // Rule ID 45362 //
     /* 2417761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417797 */     // MIs[1] Operand 1
     /* 2417797 */     // No operand predicates
     /* 2417797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417801 */     // MIs[0] policy
     /* 2417801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417813 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2417816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417838 */     // GIR_Coverage, 45362,
     /* 2417838 */     GIR_EraseRootFromParent_Done,
     /* 2417839 */   // Label 34894: @2417839
     /* 2417839 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2417911), // Rule ID 45363 //
     /* 2417844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417876 */     // MIs[0] policy
     /* 2417876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417886 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417910 */     // GIR_Coverage, 45363,
     /* 2417910 */     GIR_EraseRootFromParent_Done,
     /* 2417911 */   // Label 34895: @2417911
     /* 2417911 */   GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2417983), // Rule ID 45364 //
     /* 2417916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2417925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2417932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417948 */     // MIs[0] policy
     /* 2417948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417958 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2417961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417982 */     // GIR_Coverage, 45364,
     /* 2417982 */     GIR_EraseRootFromParent_Done,
     /* 2417983 */   // Label 34896: @2417983
     /* 2417983 */   GIM_Reject,
     /* 2417984 */ // Label 34892: @2417984
     /* 2417984 */ GIM_Reject,
     /* 2417985 */ // Label 34738: @2417985
     /* 2417985 */ GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2418617),
     /* 2417990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2417993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2417996 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2418079), // Rule ID 45377 //
     /* 2418001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418037 */     // MIs[1] Operand 1
     /* 2418037 */     // No operand predicates
     /* 2418037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418041 */     // MIs[0] policy
     /* 2418041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418053 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418078 */     // GIR_Coverage, 45377,
     /* 2418078 */     GIR_EraseRootFromParent_Done,
     /* 2418079 */   // Label 34898: @2418079
     /* 2418079 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2418162), // Rule ID 45378 //
     /* 2418084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418120 */     // MIs[1] Operand 1
     /* 2418120 */     // No operand predicates
     /* 2418120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418124 */     // MIs[0] policy
     /* 2418124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418136 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418161 */     // GIR_Coverage, 45378,
     /* 2418161 */     GIR_EraseRootFromParent_Done,
     /* 2418162 */   // Label 34899: @2418162
     /* 2418162 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2418245), // Rule ID 45437 //
     /* 2418167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418203 */     // MIs[1] Operand 1
     /* 2418203 */     // No operand predicates
     /* 2418203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418207 */     // MIs[0] policy
     /* 2418207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418219 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418244 */     // GIR_Coverage, 45437,
     /* 2418244 */     GIR_EraseRootFromParent_Done,
     /* 2418245 */   // Label 34900: @2418245
     /* 2418245 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2418328), // Rule ID 45438 //
     /* 2418250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418286 */     // MIs[1] Operand 1
     /* 2418286 */     // No operand predicates
     /* 2418286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418290 */     // MIs[0] policy
     /* 2418290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418302 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418327 */     // GIR_Coverage, 45438,
     /* 2418327 */     GIR_EraseRootFromParent_Done,
     /* 2418328 */   // Label 34901: @2418328
     /* 2418328 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2418400), // Rule ID 45379 //
     /* 2418333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418365 */     // MIs[0] policy
     /* 2418365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418375 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418399 */     // GIR_Coverage, 45379,
     /* 2418399 */     GIR_EraseRootFromParent_Done,
     /* 2418400 */   // Label 34902: @2418400
     /* 2418400 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2418472), // Rule ID 45380 //
     /* 2418405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418437 */     // MIs[0] policy
     /* 2418437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418447 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418471 */     // GIR_Coverage, 45380,
     /* 2418471 */     GIR_EraseRootFromParent_Done,
     /* 2418472 */   // Label 34903: @2418472
     /* 2418472 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2418544), // Rule ID 45439 //
     /* 2418477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418509 */     // MIs[0] policy
     /* 2418509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418519 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418543 */     // GIR_Coverage, 45439,
     /* 2418543 */     GIR_EraseRootFromParent_Done,
     /* 2418544 */   // Label 34904: @2418544
     /* 2418544 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2418616), // Rule ID 45440 //
     /* 2418549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2418558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418581 */     // MIs[0] policy
     /* 2418581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418591 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418615 */     // GIR_Coverage, 45440,
     /* 2418615 */     GIR_EraseRootFromParent_Done,
     /* 2418616 */   // Label 34905: @2418616
     /* 2418616 */   GIM_Reject,
     /* 2418617 */ // Label 34897: @2418617
     /* 2418617 */ GIM_Reject,
     /* 2418618 */ // Label 34739: @2418618
     /* 2418618 */ GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2418940),
     /* 2418623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2418626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2418629 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2418712), // Rule ID 45365 //
     /* 2418634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418670 */     // MIs[1] Operand 1
     /* 2418670 */     // No operand predicates
     /* 2418670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418674 */     // MIs[0] policy
     /* 2418674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418686 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418711 */     // GIR_Coverage, 45365,
     /* 2418711 */     GIR_EraseRootFromParent_Done,
     /* 2418712 */   // Label 34907: @2418712
     /* 2418712 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2418795), // Rule ID 45366 //
     /* 2418717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418753 */     // MIs[1] Operand 1
     /* 2418753 */     // No operand predicates
     /* 2418753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418757 */     // MIs[0] policy
     /* 2418757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418769 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2418772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418794 */     // GIR_Coverage, 45366,
     /* 2418794 */     GIR_EraseRootFromParent_Done,
     /* 2418795 */   // Label 34908: @2418795
     /* 2418795 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2418867), // Rule ID 45367 //
     /* 2418800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418832 */     // MIs[0] policy
     /* 2418832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418842 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418866 */     // GIR_Coverage, 45367,
     /* 2418866 */     GIR_EraseRootFromParent_Done,
     /* 2418867 */   // Label 34909: @2418867
     /* 2418867 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2418939), // Rule ID 45368 //
     /* 2418872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2418881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2418888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418904 */     // MIs[0] policy
     /* 2418904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418914 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2418917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418938 */     // GIR_Coverage, 45368,
     /* 2418938 */     GIR_EraseRootFromParent_Done,
     /* 2418939 */   // Label 34910: @2418939
     /* 2418939 */   GIM_Reject,
     /* 2418940 */ // Label 34906: @2418940
     /* 2418940 */ GIM_Reject,
     /* 2418941 */ // Label 34740: @2418941
     /* 2418941 */ GIM_Reject,
     /* 2418942 */ // Label 122: @2418942
     /* 2418942 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34933*/ GIMT_Encode4(2430821),
     /* 2418953 */ /*GILLT_nxv1s8*//*Label 34911*/ GIMT_Encode4(2419065),
     /* 2418957 */ /*GILLT_nxv1s16*//*Label 34912*/ GIMT_Encode4(2419388),
     /* 2418961 */ /*GILLT_nxv1s32*//*Label 34913*/ GIMT_Encode4(2420021),
     /* 2418965 */ /*GILLT_nxv1s64*//*Label 34914*/ GIMT_Encode4(2420654), GIMT_Encode4(0),
     /* 2418973 */ /*GILLT_nxv2s8*//*Label 34915*/ GIMT_Encode4(2421287),
     /* 2418977 */ /*GILLT_nxv2s16*//*Label 34916*/ GIMT_Encode4(2421610),
     /* 2418981 */ /*GILLT_nxv2s32*//*Label 34917*/ GIMT_Encode4(2422243),
     /* 2418985 */ /*GILLT_nxv2s64*//*Label 34918*/ GIMT_Encode4(2422876), GIMT_Encode4(0),
     /* 2418993 */ /*GILLT_nxv4s8*//*Label 34919*/ GIMT_Encode4(2423509),
     /* 2418997 */ /*GILLT_nxv4s16*//*Label 34920*/ GIMT_Encode4(2423832),
     /* 2419001 */ /*GILLT_nxv4s32*//*Label 34921*/ GIMT_Encode4(2424465),
     /* 2419005 */ /*GILLT_nxv4s64*//*Label 34922*/ GIMT_Encode4(2425098), GIMT_Encode4(0),
     /* 2419013 */ /*GILLT_nxv8s8*//*Label 34923*/ GIMT_Encode4(2425731),
     /* 2419017 */ /*GILLT_nxv8s16*//*Label 34924*/ GIMT_Encode4(2426054),
     /* 2419021 */ /*GILLT_nxv8s32*//*Label 34925*/ GIMT_Encode4(2426687),
     /* 2419025 */ /*GILLT_nxv8s64*//*Label 34926*/ GIMT_Encode4(2427320), GIMT_Encode4(0),
     /* 2419033 */ /*GILLT_nxv16s8*//*Label 34927*/ GIMT_Encode4(2427953),
     /* 2419037 */ /*GILLT_nxv16s16*//*Label 34928*/ GIMT_Encode4(2428276),
     /* 2419041 */ /*GILLT_nxv16s32*//*Label 34929*/ GIMT_Encode4(2428909), GIMT_Encode4(0),
     /* 2419049 */ /*GILLT_nxv32s8*//*Label 34930*/ GIMT_Encode4(2429542),
     /* 2419053 */ /*GILLT_nxv32s16*//*Label 34931*/ GIMT_Encode4(2429865), GIMT_Encode4(0),
     /* 2419061 */ /*GILLT_nxv64s8*//*Label 34932*/ GIMT_Encode4(2430498),
     /* 2419065 */ // Label 34911: @2419065
     /* 2419065 */ GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2419387),
     /* 2419070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2419073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2419076 */   GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2419159), // Rule ID 25235 //
     /* 2419081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419117 */     // MIs[1] Operand 1
     /* 2419117 */     // No operand predicates
     /* 2419117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419121 */     // MIs[0] policy
     /* 2419121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419133 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419158 */     // GIR_Coverage, 25235,
     /* 2419158 */     GIR_EraseRootFromParent_Done,
     /* 2419159 */   // Label 34935: @2419159
     /* 2419159 */   GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2419242), // Rule ID 25236 //
     /* 2419164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419200 */     // MIs[1] Operand 1
     /* 2419200 */     // No operand predicates
     /* 2419200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419204 */     // MIs[0] policy
     /* 2419204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419216 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2419219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419241 */     // GIR_Coverage, 25236,
     /* 2419241 */     GIR_EraseRootFromParent_Done,
     /* 2419242 */   // Label 34936: @2419242
     /* 2419242 */   GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2419314), // Rule ID 25237 //
     /* 2419247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419279 */     // MIs[0] policy
     /* 2419279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419289 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419313 */     // GIR_Coverage, 25237,
     /* 2419313 */     GIR_EraseRootFromParent_Done,
     /* 2419314 */   // Label 34937: @2419314
     /* 2419314 */   GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2419386), // Rule ID 25238 //
     /* 2419319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419351 */     // MIs[0] policy
     /* 2419351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419361 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2419364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419385 */     // GIR_Coverage, 25238,
     /* 2419385 */     GIR_EraseRootFromParent_Done,
     /* 2419386 */   // Label 34938: @2419386
     /* 2419386 */   GIM_Reject,
     /* 2419387 */ // Label 34934: @2419387
     /* 2419387 */ GIM_Reject,
     /* 2419388 */ // Label 34912: @2419388
     /* 2419388 */ GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2420020),
     /* 2419393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2419396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2419399 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2419482), // Rule ID 45181 //
     /* 2419404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419440 */     // MIs[1] Operand 1
     /* 2419440 */     // No operand predicates
     /* 2419440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419444 */     // MIs[0] policy
     /* 2419444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419456 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419481 */     // GIR_Coverage, 45181,
     /* 2419481 */     GIR_EraseRootFromParent_Done,
     /* 2419482 */   // Label 34940: @2419482
     /* 2419482 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2419565), // Rule ID 45182 //
     /* 2419487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419523 */     // MIs[1] Operand 1
     /* 2419523 */     // No operand predicates
     /* 2419523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419527 */     // MIs[0] policy
     /* 2419527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419539 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419564 */     // GIR_Coverage, 45182,
     /* 2419564 */     GIR_EraseRootFromParent_Done,
     /* 2419565 */   // Label 34941: @2419565
     /* 2419565 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2419648), // Rule ID 45257 //
     /* 2419570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419606 */     // MIs[1] Operand 1
     /* 2419606 */     // No operand predicates
     /* 2419606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419610 */     // MIs[0] policy
     /* 2419610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419622 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419647 */     // GIR_Coverage, 45257,
     /* 2419647 */     GIR_EraseRootFromParent_Done,
     /* 2419648 */   // Label 34942: @2419648
     /* 2419648 */   GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2419731), // Rule ID 45258 //
     /* 2419653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419689 */     // MIs[1] Operand 1
     /* 2419689 */     // No operand predicates
     /* 2419689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419693 */     // MIs[0] policy
     /* 2419693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419705 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419730 */     // GIR_Coverage, 45258,
     /* 2419730 */     GIR_EraseRootFromParent_Done,
     /* 2419731 */   // Label 34943: @2419731
     /* 2419731 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2419803), // Rule ID 45183 //
     /* 2419736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419768 */     // MIs[0] policy
     /* 2419768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419778 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419802 */     // GIR_Coverage, 45183,
     /* 2419802 */     GIR_EraseRootFromParent_Done,
     /* 2419803 */   // Label 34944: @2419803
     /* 2419803 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2419875), // Rule ID 45184 //
     /* 2419808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419840 */     // MIs[0] policy
     /* 2419840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419850 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419874 */     // GIR_Coverage, 45184,
     /* 2419874 */     GIR_EraseRootFromParent_Done,
     /* 2419875 */   // Label 34945: @2419875
     /* 2419875 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2419947), // Rule ID 45259 //
     /* 2419880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419912 */     // MIs[0] policy
     /* 2419912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419922 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419946 */     // GIR_Coverage, 45259,
     /* 2419946 */     GIR_EraseRootFromParent_Done,
     /* 2419947 */   // Label 34946: @2419947
     /* 2419947 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2420019), // Rule ID 45260 //
     /* 2419952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419984 */     // MIs[0] policy
     /* 2419984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419994 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420018 */     // GIR_Coverage, 45260,
     /* 2420018 */     GIR_EraseRootFromParent_Done,
     /* 2420019 */   // Label 34947: @2420019
     /* 2420019 */   GIM_Reject,
     /* 2420020 */ // Label 34939: @2420020
     /* 2420020 */ GIM_Reject,
     /* 2420021 */ // Label 34913: @2420021
     /* 2420021 */ GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2420653),
     /* 2420026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2420029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2420032 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2420115), // Rule ID 45189 //
     /* 2420037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420073 */     // MIs[1] Operand 1
     /* 2420073 */     // No operand predicates
     /* 2420073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420077 */     // MIs[0] policy
     /* 2420077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420089 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420114 */     // GIR_Coverage, 45189,
     /* 2420114 */     GIR_EraseRootFromParent_Done,
     /* 2420115 */   // Label 34949: @2420115
     /* 2420115 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2420198), // Rule ID 45190 //
     /* 2420120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420156 */     // MIs[1] Operand 1
     /* 2420156 */     // No operand predicates
     /* 2420156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420160 */     // MIs[0] policy
     /* 2420160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420172 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420197 */     // GIR_Coverage, 45190,
     /* 2420197 */     GIR_EraseRootFromParent_Done,
     /* 2420198 */   // Label 34950: @2420198
     /* 2420198 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2420281), // Rule ID 45265 //
     /* 2420203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420239 */     // MIs[1] Operand 1
     /* 2420239 */     // No operand predicates
     /* 2420239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420243 */     // MIs[0] policy
     /* 2420243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420255 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420280 */     // GIR_Coverage, 45265,
     /* 2420280 */     GIR_EraseRootFromParent_Done,
     /* 2420281 */   // Label 34951: @2420281
     /* 2420281 */   GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2420364), // Rule ID 45266 //
     /* 2420286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420322 */     // MIs[1] Operand 1
     /* 2420322 */     // No operand predicates
     /* 2420322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420326 */     // MIs[0] policy
     /* 2420326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420338 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420363 */     // GIR_Coverage, 45266,
     /* 2420363 */     GIR_EraseRootFromParent_Done,
     /* 2420364 */   // Label 34952: @2420364
     /* 2420364 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2420436), // Rule ID 45191 //
     /* 2420369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420401 */     // MIs[0] policy
     /* 2420401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420411 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420435 */     // GIR_Coverage, 45191,
     /* 2420435 */     GIR_EraseRootFromParent_Done,
     /* 2420436 */   // Label 34953: @2420436
     /* 2420436 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2420508), // Rule ID 45192 //
     /* 2420441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420473 */     // MIs[0] policy
     /* 2420473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420483 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420507 */     // GIR_Coverage, 45192,
     /* 2420507 */     GIR_EraseRootFromParent_Done,
     /* 2420508 */   // Label 34954: @2420508
     /* 2420508 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2420580), // Rule ID 45267 //
     /* 2420513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420545 */     // MIs[0] policy
     /* 2420545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420555 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420579 */     // GIR_Coverage, 45267,
     /* 2420579 */     GIR_EraseRootFromParent_Done,
     /* 2420580 */   // Label 34955: @2420580
     /* 2420580 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2420652), // Rule ID 45268 //
     /* 2420585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420617 */     // MIs[0] policy
     /* 2420617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420627 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420651 */     // GIR_Coverage, 45268,
     /* 2420651 */     GIR_EraseRootFromParent_Done,
     /* 2420652 */   // Label 34956: @2420652
     /* 2420652 */   GIM_Reject,
     /* 2420653 */ // Label 34948: @2420653
     /* 2420653 */ GIM_Reject,
     /* 2420654 */ // Label 34914: @2420654
     /* 2420654 */ GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2421286),
     /* 2420659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2420662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2420665 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2420748), // Rule ID 45205 //
     /* 2420670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420706 */     // MIs[1] Operand 1
     /* 2420706 */     // No operand predicates
     /* 2420706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420710 */     // MIs[0] policy
     /* 2420710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420722 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420747 */     // GIR_Coverage, 45205,
     /* 2420747 */     GIR_EraseRootFromParent_Done,
     /* 2420748 */   // Label 34958: @2420748
     /* 2420748 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2420831), // Rule ID 45206 //
     /* 2420753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420789 */     // MIs[1] Operand 1
     /* 2420789 */     // No operand predicates
     /* 2420789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420793 */     // MIs[0] policy
     /* 2420793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420805 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420830 */     // GIR_Coverage, 45206,
     /* 2420830 */     GIR_EraseRootFromParent_Done,
     /* 2420831 */   // Label 34959: @2420831
     /* 2420831 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2420914), // Rule ID 45277 //
     /* 2420836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420872 */     // MIs[1] Operand 1
     /* 2420872 */     // No operand predicates
     /* 2420872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420876 */     // MIs[0] policy
     /* 2420876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420888 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420913 */     // GIR_Coverage, 45277,
     /* 2420913 */     GIR_EraseRootFromParent_Done,
     /* 2420914 */   // Label 34960: @2420914
     /* 2420914 */   GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2420997), // Rule ID 45278 //
     /* 2420919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2420928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420955 */     // MIs[1] Operand 1
     /* 2420955 */     // No operand predicates
     /* 2420955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420959 */     // MIs[0] policy
     /* 2420959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420971 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420996 */     // GIR_Coverage, 45278,
     /* 2420996 */     GIR_EraseRootFromParent_Done,
     /* 2420997 */   // Label 34961: @2420997
     /* 2420997 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2421069), // Rule ID 45207 //
     /* 2421002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421034 */     // MIs[0] policy
     /* 2421034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421044 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421068 */     // GIR_Coverage, 45207,
     /* 2421068 */     GIR_EraseRootFromParent_Done,
     /* 2421069 */   // Label 34962: @2421069
     /* 2421069 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2421141), // Rule ID 45208 //
     /* 2421074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421106 */     // MIs[0] policy
     /* 2421106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421116 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421140 */     // GIR_Coverage, 45208,
     /* 2421140 */     GIR_EraseRootFromParent_Done,
     /* 2421141 */   // Label 34963: @2421141
     /* 2421141 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2421213), // Rule ID 45279 //
     /* 2421146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421178 */     // MIs[0] policy
     /* 2421178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421188 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421212 */     // GIR_Coverage, 45279,
     /* 2421212 */     GIR_EraseRootFromParent_Done,
     /* 2421213 */   // Label 34964: @2421213
     /* 2421213 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2421285), // Rule ID 45280 //
     /* 2421218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2421227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421250 */     // MIs[0] policy
     /* 2421250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421260 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421284 */     // GIR_Coverage, 45280,
     /* 2421284 */     GIR_EraseRootFromParent_Done,
     /* 2421285 */   // Label 34965: @2421285
     /* 2421285 */   GIM_Reject,
     /* 2421286 */ // Label 34957: @2421286
     /* 2421286 */ GIM_Reject,
     /* 2421287 */ // Label 34915: @2421287
     /* 2421287 */ GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2421609),
     /* 2421292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2421295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2421298 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2421381), // Rule ID 45173 //
     /* 2421303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421339 */     // MIs[1] Operand 1
     /* 2421339 */     // No operand predicates
     /* 2421339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421343 */     // MIs[0] policy
     /* 2421343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421355 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421380 */     // GIR_Coverage, 45173,
     /* 2421380 */     GIR_EraseRootFromParent_Done,
     /* 2421381 */   // Label 34967: @2421381
     /* 2421381 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2421464), // Rule ID 45174 //
     /* 2421386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421422 */     // MIs[1] Operand 1
     /* 2421422 */     // No operand predicates
     /* 2421422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421426 */     // MIs[0] policy
     /* 2421426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421438 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2421441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421463 */     // GIR_Coverage, 45174,
     /* 2421463 */     GIR_EraseRootFromParent_Done,
     /* 2421464 */   // Label 34968: @2421464
     /* 2421464 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2421536), // Rule ID 45175 //
     /* 2421469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421501 */     // MIs[0] policy
     /* 2421501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421511 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421535 */     // GIR_Coverage, 45175,
     /* 2421535 */     GIR_EraseRootFromParent_Done,
     /* 2421536 */   // Label 34969: @2421536
     /* 2421536 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2421608), // Rule ID 45176 //
     /* 2421541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421573 */     // MIs[0] policy
     /* 2421573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421583 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2421586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421607 */     // GIR_Coverage, 45176,
     /* 2421607 */     GIR_EraseRootFromParent_Done,
     /* 2421608 */   // Label 34970: @2421608
     /* 2421608 */   GIM_Reject,
     /* 2421609 */ // Label 34966: @2421609
     /* 2421609 */ GIM_Reject,
     /* 2421610 */ // Label 34916: @2421610
     /* 2421610 */ GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2422242),
     /* 2421615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2421618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2421621 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2421704), // Rule ID 45185 //
     /* 2421626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421662 */     // MIs[1] Operand 1
     /* 2421662 */     // No operand predicates
     /* 2421662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421666 */     // MIs[0] policy
     /* 2421666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421678 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421703 */     // GIR_Coverage, 45185,
     /* 2421703 */     GIR_EraseRootFromParent_Done,
     /* 2421704 */   // Label 34972: @2421704
     /* 2421704 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2421787), // Rule ID 45186 //
     /* 2421709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421745 */     // MIs[1] Operand 1
     /* 2421745 */     // No operand predicates
     /* 2421745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421749 */     // MIs[0] policy
     /* 2421749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421761 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421786 */     // GIR_Coverage, 45186,
     /* 2421786 */     GIR_EraseRootFromParent_Done,
     /* 2421787 */   // Label 34973: @2421787
     /* 2421787 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2421870), // Rule ID 45261 //
     /* 2421792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421828 */     // MIs[1] Operand 1
     /* 2421828 */     // No operand predicates
     /* 2421828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421832 */     // MIs[0] policy
     /* 2421832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421844 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421869 */     // GIR_Coverage, 45261,
     /* 2421869 */     GIR_EraseRootFromParent_Done,
     /* 2421870 */   // Label 34974: @2421870
     /* 2421870 */   GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2421953), // Rule ID 45262 //
     /* 2421875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421911 */     // MIs[1] Operand 1
     /* 2421911 */     // No operand predicates
     /* 2421911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421915 */     // MIs[0] policy
     /* 2421915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421927 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2421930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421952 */     // GIR_Coverage, 45262,
     /* 2421952 */     GIR_EraseRootFromParent_Done,
     /* 2421953 */   // Label 34975: @2421953
     /* 2421953 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2422025), // Rule ID 45187 //
     /* 2421958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421990 */     // MIs[0] policy
     /* 2421990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422000 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422024 */     // GIR_Coverage, 45187,
     /* 2422024 */     GIR_EraseRootFromParent_Done,
     /* 2422025 */   // Label 34976: @2422025
     /* 2422025 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2422097), // Rule ID 45188 //
     /* 2422030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422062 */     // MIs[0] policy
     /* 2422062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422072 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422096 */     // GIR_Coverage, 45188,
     /* 2422096 */     GIR_EraseRootFromParent_Done,
     /* 2422097 */   // Label 34977: @2422097
     /* 2422097 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2422169), // Rule ID 45263 //
     /* 2422102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422134 */     // MIs[0] policy
     /* 2422134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422144 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422168 */     // GIR_Coverage, 45263,
     /* 2422168 */     GIR_EraseRootFromParent_Done,
     /* 2422169 */   // Label 34978: @2422169
     /* 2422169 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2422241), // Rule ID 45264 //
     /* 2422174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422206 */     // MIs[0] policy
     /* 2422206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422216 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422240 */     // GIR_Coverage, 45264,
     /* 2422240 */     GIR_EraseRootFromParent_Done,
     /* 2422241 */   // Label 34979: @2422241
     /* 2422241 */   GIM_Reject,
     /* 2422242 */ // Label 34971: @2422242
     /* 2422242 */ GIM_Reject,
     /* 2422243 */ // Label 34917: @2422243
     /* 2422243 */ GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2422875),
     /* 2422248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2422254 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2422337), // Rule ID 45201 //
     /* 2422259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422295 */     // MIs[1] Operand 1
     /* 2422295 */     // No operand predicates
     /* 2422295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422299 */     // MIs[0] policy
     /* 2422299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422311 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422336 */     // GIR_Coverage, 45201,
     /* 2422336 */     GIR_EraseRootFromParent_Done,
     /* 2422337 */   // Label 34981: @2422337
     /* 2422337 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2422420), // Rule ID 45202 //
     /* 2422342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422378 */     // MIs[1] Operand 1
     /* 2422378 */     // No operand predicates
     /* 2422378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422382 */     // MIs[0] policy
     /* 2422382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422394 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422419 */     // GIR_Coverage, 45202,
     /* 2422419 */     GIR_EraseRootFromParent_Done,
     /* 2422420 */   // Label 34982: @2422420
     /* 2422420 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2422503), // Rule ID 45273 //
     /* 2422425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422461 */     // MIs[1] Operand 1
     /* 2422461 */     // No operand predicates
     /* 2422461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422465 */     // MIs[0] policy
     /* 2422465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422477 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422502 */     // GIR_Coverage, 45273,
     /* 2422502 */     GIR_EraseRootFromParent_Done,
     /* 2422503 */   // Label 34983: @2422503
     /* 2422503 */   GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2422586), // Rule ID 45274 //
     /* 2422508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422544 */     // MIs[1] Operand 1
     /* 2422544 */     // No operand predicates
     /* 2422544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422548 */     // MIs[0] policy
     /* 2422548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422560 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422585 */     // GIR_Coverage, 45274,
     /* 2422585 */     GIR_EraseRootFromParent_Done,
     /* 2422586 */   // Label 34984: @2422586
     /* 2422586 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2422658), // Rule ID 45203 //
     /* 2422591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422623 */     // MIs[0] policy
     /* 2422623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422633 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422657 */     // GIR_Coverage, 45203,
     /* 2422657 */     GIR_EraseRootFromParent_Done,
     /* 2422658 */   // Label 34985: @2422658
     /* 2422658 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2422730), // Rule ID 45204 //
     /* 2422663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422695 */     // MIs[0] policy
     /* 2422695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422705 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422729 */     // GIR_Coverage, 45204,
     /* 2422729 */     GIR_EraseRootFromParent_Done,
     /* 2422730 */   // Label 34986: @2422730
     /* 2422730 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2422802), // Rule ID 45275 //
     /* 2422735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422767 */     // MIs[0] policy
     /* 2422767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422777 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422801 */     // GIR_Coverage, 45275,
     /* 2422801 */     GIR_EraseRootFromParent_Done,
     /* 2422802 */   // Label 34987: @2422802
     /* 2422802 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2422874), // Rule ID 45276 //
     /* 2422807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422839 */     // MIs[0] policy
     /* 2422839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422849 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422873 */     // GIR_Coverage, 45276,
     /* 2422873 */     GIR_EraseRootFromParent_Done,
     /* 2422874 */   // Label 34988: @2422874
     /* 2422874 */   GIM_Reject,
     /* 2422875 */ // Label 34980: @2422875
     /* 2422875 */ GIM_Reject,
     /* 2422876 */ // Label 34918: @2422876
     /* 2422876 */ GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2423508),
     /* 2422881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2422884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2422887 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2422970), // Rule ID 45245 //
     /* 2422892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2422908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422928 */     // MIs[1] Operand 1
     /* 2422928 */     // No operand predicates
     /* 2422928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422932 */     // MIs[0] policy
     /* 2422932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422944 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2422947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422969 */     // GIR_Coverage, 45245,
     /* 2422969 */     GIR_EraseRootFromParent_Done,
     /* 2422970 */   // Label 34990: @2422970
     /* 2422970 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2423053), // Rule ID 45246 //
     /* 2422975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2422984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2422991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423011 */     // MIs[1] Operand 1
     /* 2423011 */     // No operand predicates
     /* 2423011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423015 */     // MIs[0] policy
     /* 2423015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423027 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423052 */     // GIR_Coverage, 45246,
     /* 2423052 */     GIR_EraseRootFromParent_Done,
     /* 2423053 */   // Label 34991: @2423053
     /* 2423053 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2423136), // Rule ID 45305 //
     /* 2423058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423094 */     // MIs[1] Operand 1
     /* 2423094 */     // No operand predicates
     /* 2423094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423098 */     // MIs[0] policy
     /* 2423098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423110 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423135 */     // GIR_Coverage, 45305,
     /* 2423135 */     GIR_EraseRootFromParent_Done,
     /* 2423136 */   // Label 34992: @2423136
     /* 2423136 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2423219), // Rule ID 45306 //
     /* 2423141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423177 */     // MIs[1] Operand 1
     /* 2423177 */     // No operand predicates
     /* 2423177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423181 */     // MIs[0] policy
     /* 2423181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423193 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423218 */     // GIR_Coverage, 45306,
     /* 2423218 */     GIR_EraseRootFromParent_Done,
     /* 2423219 */   // Label 34993: @2423219
     /* 2423219 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2423291), // Rule ID 45247 //
     /* 2423224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423256 */     // MIs[0] policy
     /* 2423256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423266 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423290 */     // GIR_Coverage, 45247,
     /* 2423290 */     GIR_EraseRootFromParent_Done,
     /* 2423291 */   // Label 34994: @2423291
     /* 2423291 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2423363), // Rule ID 45248 //
     /* 2423296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423328 */     // MIs[0] policy
     /* 2423328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423338 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423362 */     // GIR_Coverage, 45248,
     /* 2423362 */     GIR_EraseRootFromParent_Done,
     /* 2423363 */   // Label 34995: @2423363
     /* 2423363 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2423435), // Rule ID 45307 //
     /* 2423368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423400 */     // MIs[0] policy
     /* 2423400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423410 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423434 */     // GIR_Coverage, 45307,
     /* 2423434 */     GIR_EraseRootFromParent_Done,
     /* 2423435 */   // Label 34996: @2423435
     /* 2423435 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2423507), // Rule ID 45308 //
     /* 2423440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2423449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423472 */     // MIs[0] policy
     /* 2423472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423482 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423506 */     // GIR_Coverage, 45308,
     /* 2423506 */     GIR_EraseRootFromParent_Done,
     /* 2423507 */   // Label 34997: @2423507
     /* 2423507 */   GIM_Reject,
     /* 2423508 */ // Label 34989: @2423508
     /* 2423508 */ GIM_Reject,
     /* 2423509 */ // Label 34919: @2423509
     /* 2423509 */ GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2423831),
     /* 2423514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2423517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2423520 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2423603), // Rule ID 45177 //
     /* 2423525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423561 */     // MIs[1] Operand 1
     /* 2423561 */     // No operand predicates
     /* 2423561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423565 */     // MIs[0] policy
     /* 2423565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423577 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2423580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423602 */     // GIR_Coverage, 45177,
     /* 2423602 */     GIR_EraseRootFromParent_Done,
     /* 2423603 */   // Label 34999: @2423603
     /* 2423603 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2423686), // Rule ID 45178 //
     /* 2423608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423644 */     // MIs[1] Operand 1
     /* 2423644 */     // No operand predicates
     /* 2423644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423648 */     // MIs[0] policy
     /* 2423648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423660 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2423663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423685 */     // GIR_Coverage, 45178,
     /* 2423685 */     GIR_EraseRootFromParent_Done,
     /* 2423686 */   // Label 35000: @2423686
     /* 2423686 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2423758), // Rule ID 45179 //
     /* 2423691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423723 */     // MIs[0] policy
     /* 2423723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423733 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2423736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423757 */     // GIR_Coverage, 45179,
     /* 2423757 */     GIR_EraseRootFromParent_Done,
     /* 2423758 */   // Label 35001: @2423758
     /* 2423758 */   GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2423830), // Rule ID 45180 //
     /* 2423763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423795 */     // MIs[0] policy
     /* 2423795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423805 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2423808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423829 */     // GIR_Coverage, 45180,
     /* 2423829 */     GIR_EraseRootFromParent_Done,
     /* 2423830 */   // Label 35002: @2423830
     /* 2423830 */   GIM_Reject,
     /* 2423831 */ // Label 34998: @2423831
     /* 2423831 */ GIM_Reject,
     /* 2423832 */ // Label 34920: @2423832
     /* 2423832 */ GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2424464),
     /* 2423837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2423843 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2423926), // Rule ID 45197 //
     /* 2423848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423884 */     // MIs[1] Operand 1
     /* 2423884 */     // No operand predicates
     /* 2423884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423888 */     // MIs[0] policy
     /* 2423888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423900 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2423903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423925 */     // GIR_Coverage, 45197,
     /* 2423925 */     GIR_EraseRootFromParent_Done,
     /* 2423926 */   // Label 35004: @2423926
     /* 2423926 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2424009), // Rule ID 45198 //
     /* 2423931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2423947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423967 */     // MIs[1] Operand 1
     /* 2423967 */     // No operand predicates
     /* 2423967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423971 */     // MIs[0] policy
     /* 2423971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423983 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2423986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424008 */     // GIR_Coverage, 45198,
     /* 2424008 */     GIR_EraseRootFromParent_Done,
     /* 2424009 */   // Label 35005: @2424009
     /* 2424009 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2424092), // Rule ID 45269 //
     /* 2424014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424050 */     // MIs[1] Operand 1
     /* 2424050 */     // No operand predicates
     /* 2424050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424054 */     // MIs[0] policy
     /* 2424054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424066 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424091 */     // GIR_Coverage, 45269,
     /* 2424091 */     GIR_EraseRootFromParent_Done,
     /* 2424092 */   // Label 35006: @2424092
     /* 2424092 */   GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2424175), // Rule ID 45270 //
     /* 2424097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424133 */     // MIs[1] Operand 1
     /* 2424133 */     // No operand predicates
     /* 2424133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424137 */     // MIs[0] policy
     /* 2424137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424149 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424174 */     // GIR_Coverage, 45270,
     /* 2424174 */     GIR_EraseRootFromParent_Done,
     /* 2424175 */   // Label 35007: @2424175
     /* 2424175 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2424247), // Rule ID 45199 //
     /* 2424180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424212 */     // MIs[0] policy
     /* 2424212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424222 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424246 */     // GIR_Coverage, 45199,
     /* 2424246 */     GIR_EraseRootFromParent_Done,
     /* 2424247 */   // Label 35008: @2424247
     /* 2424247 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2424319), // Rule ID 45200 //
     /* 2424252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424284 */     // MIs[0] policy
     /* 2424284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424294 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424318 */     // GIR_Coverage, 45200,
     /* 2424318 */     GIR_EraseRootFromParent_Done,
     /* 2424319 */   // Label 35009: @2424319
     /* 2424319 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2424391), // Rule ID 45271 //
     /* 2424324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424356 */     // MIs[0] policy
     /* 2424356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424366 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424390 */     // GIR_Coverage, 45271,
     /* 2424390 */     GIR_EraseRootFromParent_Done,
     /* 2424391 */   // Label 35010: @2424391
     /* 2424391 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2424463), // Rule ID 45272 //
     /* 2424396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424428 */     // MIs[0] policy
     /* 2424428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424438 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424462 */     // GIR_Coverage, 45272,
     /* 2424462 */     GIR_EraseRootFromParent_Done,
     /* 2424463 */   // Label 35011: @2424463
     /* 2424463 */   GIM_Reject,
     /* 2424464 */ // Label 35003: @2424464
     /* 2424464 */ GIM_Reject,
     /* 2424465 */ // Label 34921: @2424465
     /* 2424465 */ GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2425097),
     /* 2424470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2424476 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2424559), // Rule ID 45233 //
     /* 2424481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424517 */     // MIs[1] Operand 1
     /* 2424517 */     // No operand predicates
     /* 2424517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424521 */     // MIs[0] policy
     /* 2424521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424533 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424558 */     // GIR_Coverage, 45233,
     /* 2424558 */     GIR_EraseRootFromParent_Done,
     /* 2424559 */   // Label 35013: @2424559
     /* 2424559 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2424642), // Rule ID 45234 //
     /* 2424564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424600 */     // MIs[1] Operand 1
     /* 2424600 */     // No operand predicates
     /* 2424600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424604 */     // MIs[0] policy
     /* 2424604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424616 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424641 */     // GIR_Coverage, 45234,
     /* 2424641 */     GIR_EraseRootFromParent_Done,
     /* 2424642 */   // Label 35014: @2424642
     /* 2424642 */   GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2424725), // Rule ID 45293 //
     /* 2424647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424683 */     // MIs[1] Operand 1
     /* 2424683 */     // No operand predicates
     /* 2424683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424687 */     // MIs[0] policy
     /* 2424687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424699 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424724 */     // GIR_Coverage, 45293,
     /* 2424724 */     GIR_EraseRootFromParent_Done,
     /* 2424725 */   // Label 35015: @2424725
     /* 2424725 */   GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2424808), // Rule ID 45294 //
     /* 2424730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424766 */     // MIs[1] Operand 1
     /* 2424766 */     // No operand predicates
     /* 2424766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424770 */     // MIs[0] policy
     /* 2424770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424782 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424807 */     // GIR_Coverage, 45294,
     /* 2424807 */     GIR_EraseRootFromParent_Done,
     /* 2424808 */   // Label 35016: @2424808
     /* 2424808 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2424880), // Rule ID 45235 //
     /* 2424813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424845 */     // MIs[0] policy
     /* 2424845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424855 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424879 */     // GIR_Coverage, 45235,
     /* 2424879 */     GIR_EraseRootFromParent_Done,
     /* 2424880 */   // Label 35017: @2424880
     /* 2424880 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2424952), // Rule ID 45236 //
     /* 2424885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424917 */     // MIs[0] policy
     /* 2424917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424927 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424951 */     // GIR_Coverage, 45236,
     /* 2424951 */     GIR_EraseRootFromParent_Done,
     /* 2424952 */   // Label 35018: @2424952
     /* 2424952 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2425024), // Rule ID 45295 //
     /* 2424957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424989 */     // MIs[0] policy
     /* 2424989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424999 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425023 */     // GIR_Coverage, 45295,
     /* 2425023 */     GIR_EraseRootFromParent_Done,
     /* 2425024 */   // Label 35019: @2425024
     /* 2425024 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2425096), // Rule ID 45296 //
     /* 2425029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425061 */     // MIs[0] policy
     /* 2425061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425071 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425095 */     // GIR_Coverage, 45296,
     /* 2425095 */     GIR_EraseRootFromParent_Done,
     /* 2425096 */   // Label 35020: @2425096
     /* 2425096 */   GIM_Reject,
     /* 2425097 */ // Label 35012: @2425097
     /* 2425097 */ GIM_Reject,
     /* 2425098 */ // Label 34922: @2425098
     /* 2425098 */ GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2425730),
     /* 2425103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2425106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2425109 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2425192), // Rule ID 45249 //
     /* 2425114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425150 */     // MIs[1] Operand 1
     /* 2425150 */     // No operand predicates
     /* 2425150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425154 */     // MIs[0] policy
     /* 2425154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425166 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425191 */     // GIR_Coverage, 45249,
     /* 2425191 */     GIR_EraseRootFromParent_Done,
     /* 2425192 */   // Label 35022: @2425192
     /* 2425192 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2425275), // Rule ID 45250 //
     /* 2425197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425233 */     // MIs[1] Operand 1
     /* 2425233 */     // No operand predicates
     /* 2425233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425237 */     // MIs[0] policy
     /* 2425237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425249 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425274 */     // GIR_Coverage, 45250,
     /* 2425274 */     GIR_EraseRootFromParent_Done,
     /* 2425275 */   // Label 35023: @2425275
     /* 2425275 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2425358), // Rule ID 45309 //
     /* 2425280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425316 */     // MIs[1] Operand 1
     /* 2425316 */     // No operand predicates
     /* 2425316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425320 */     // MIs[0] policy
     /* 2425320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425332 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425357 */     // GIR_Coverage, 45309,
     /* 2425357 */     GIR_EraseRootFromParent_Done,
     /* 2425358 */   // Label 35024: @2425358
     /* 2425358 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2425441), // Rule ID 45310 //
     /* 2425363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425399 */     // MIs[1] Operand 1
     /* 2425399 */     // No operand predicates
     /* 2425399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425403 */     // MIs[0] policy
     /* 2425403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425415 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425440 */     // GIR_Coverage, 45310,
     /* 2425440 */     GIR_EraseRootFromParent_Done,
     /* 2425441 */   // Label 35025: @2425441
     /* 2425441 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2425513), // Rule ID 45251 //
     /* 2425446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425478 */     // MIs[0] policy
     /* 2425478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425488 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425512 */     // GIR_Coverage, 45251,
     /* 2425512 */     GIR_EraseRootFromParent_Done,
     /* 2425513 */   // Label 35026: @2425513
     /* 2425513 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2425585), // Rule ID 45252 //
     /* 2425518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425550 */     // MIs[0] policy
     /* 2425550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425560 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425584 */     // GIR_Coverage, 45252,
     /* 2425584 */     GIR_EraseRootFromParent_Done,
     /* 2425585 */   // Label 35027: @2425585
     /* 2425585 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2425657), // Rule ID 45311 //
     /* 2425590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425622 */     // MIs[0] policy
     /* 2425622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425632 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425656 */     // GIR_Coverage, 45311,
     /* 2425656 */     GIR_EraseRootFromParent_Done,
     /* 2425657 */   // Label 35028: @2425657
     /* 2425657 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2425729), // Rule ID 45312 //
     /* 2425662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2425671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425694 */     // MIs[0] policy
     /* 2425694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425704 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425728 */     // GIR_Coverage, 45312,
     /* 2425728 */     GIR_EraseRootFromParent_Done,
     /* 2425729 */   // Label 35029: @2425729
     /* 2425729 */   GIM_Reject,
     /* 2425730 */ // Label 35021: @2425730
     /* 2425730 */ GIM_Reject,
     /* 2425731 */ // Label 34923: @2425731
     /* 2425731 */ GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2426053),
     /* 2425736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2425739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2425742 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2425825), // Rule ID 45193 //
     /* 2425747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425783 */     // MIs[1] Operand 1
     /* 2425783 */     // No operand predicates
     /* 2425783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425787 */     // MIs[0] policy
     /* 2425787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425799 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2425802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425824 */     // GIR_Coverage, 45193,
     /* 2425824 */     GIR_EraseRootFromParent_Done,
     /* 2425825 */   // Label 35031: @2425825
     /* 2425825 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2425908), // Rule ID 45194 //
     /* 2425830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425866 */     // MIs[1] Operand 1
     /* 2425866 */     // No operand predicates
     /* 2425866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425870 */     // MIs[0] policy
     /* 2425870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425882 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2425885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425907 */     // GIR_Coverage, 45194,
     /* 2425907 */     GIR_EraseRootFromParent_Done,
     /* 2425908 */   // Label 35032: @2425908
     /* 2425908 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2425980), // Rule ID 45195 //
     /* 2425913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2425929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425945 */     // MIs[0] policy
     /* 2425945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425955 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2425958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425979 */     // GIR_Coverage, 45195,
     /* 2425979 */     GIR_EraseRootFromParent_Done,
     /* 2425980 */   // Label 35033: @2425980
     /* 2425980 */   GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2426052), // Rule ID 45196 //
     /* 2425985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2426001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426017 */     // MIs[0] policy
     /* 2426017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426027 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2426030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426051 */     // GIR_Coverage, 45196,
     /* 2426051 */     GIR_EraseRootFromParent_Done,
     /* 2426052 */   // Label 35034: @2426052
     /* 2426052 */   GIM_Reject,
     /* 2426053 */ // Label 35030: @2426053
     /* 2426053 */ GIM_Reject,
     /* 2426054 */ // Label 34924: @2426054
     /* 2426054 */ GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2426686),
     /* 2426059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2426062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2426065 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2426148), // Rule ID 45221 //
     /* 2426070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426106 */     // MIs[1] Operand 1
     /* 2426106 */     // No operand predicates
     /* 2426106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426110 */     // MIs[0] policy
     /* 2426110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426122 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426147 */     // GIR_Coverage, 45221,
     /* 2426147 */     GIR_EraseRootFromParent_Done,
     /* 2426148 */   // Label 35036: @2426148
     /* 2426148 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2426231), // Rule ID 45222 //
     /* 2426153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426189 */     // MIs[1] Operand 1
     /* 2426189 */     // No operand predicates
     /* 2426189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426193 */     // MIs[0] policy
     /* 2426193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426205 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426230 */     // GIR_Coverage, 45222,
     /* 2426230 */     GIR_EraseRootFromParent_Done,
     /* 2426231 */   // Label 35037: @2426231
     /* 2426231 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2426314), // Rule ID 45281 //
     /* 2426236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426272 */     // MIs[1] Operand 1
     /* 2426272 */     // No operand predicates
     /* 2426272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426276 */     // MIs[0] policy
     /* 2426276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426288 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426313 */     // GIR_Coverage, 45281,
     /* 2426313 */     GIR_EraseRootFromParent_Done,
     /* 2426314 */   // Label 35038: @2426314
     /* 2426314 */   GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2426397), // Rule ID 45282 //
     /* 2426319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426355 */     // MIs[1] Operand 1
     /* 2426355 */     // No operand predicates
     /* 2426355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426359 */     // MIs[0] policy
     /* 2426359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426371 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426396 */     // GIR_Coverage, 45282,
     /* 2426396 */     GIR_EraseRootFromParent_Done,
     /* 2426397 */   // Label 35039: @2426397
     /* 2426397 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2426469), // Rule ID 45223 //
     /* 2426402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426434 */     // MIs[0] policy
     /* 2426434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426444 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426468 */     // GIR_Coverage, 45223,
     /* 2426468 */     GIR_EraseRootFromParent_Done,
     /* 2426469 */   // Label 35040: @2426469
     /* 2426469 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2426541), // Rule ID 45224 //
     /* 2426474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426506 */     // MIs[0] policy
     /* 2426506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426516 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426540 */     // GIR_Coverage, 45224,
     /* 2426540 */     GIR_EraseRootFromParent_Done,
     /* 2426541 */   // Label 35041: @2426541
     /* 2426541 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2426613), // Rule ID 45283 //
     /* 2426546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426578 */     // MIs[0] policy
     /* 2426578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426588 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426612 */     // GIR_Coverage, 45283,
     /* 2426612 */     GIR_EraseRootFromParent_Done,
     /* 2426613 */   // Label 35042: @2426613
     /* 2426613 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2426685), // Rule ID 45284 //
     /* 2426618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426650 */     // MIs[0] policy
     /* 2426650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426660 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426684 */     // GIR_Coverage, 45284,
     /* 2426684 */     GIR_EraseRootFromParent_Done,
     /* 2426685 */   // Label 35043: @2426685
     /* 2426685 */   GIM_Reject,
     /* 2426686 */ // Label 35035: @2426686
     /* 2426686 */ GIM_Reject,
     /* 2426687 */ // Label 34925: @2426687
     /* 2426687 */ GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2427319),
     /* 2426692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2426695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2426698 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2426781), // Rule ID 45237 //
     /* 2426703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426739 */     // MIs[1] Operand 1
     /* 2426739 */     // No operand predicates
     /* 2426739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426743 */     // MIs[0] policy
     /* 2426743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426755 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426780 */     // GIR_Coverage, 45237,
     /* 2426780 */     GIR_EraseRootFromParent_Done,
     /* 2426781 */   // Label 35045: @2426781
     /* 2426781 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2426864), // Rule ID 45238 //
     /* 2426786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426822 */     // MIs[1] Operand 1
     /* 2426822 */     // No operand predicates
     /* 2426822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426826 */     // MIs[0] policy
     /* 2426826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426838 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426863 */     // GIR_Coverage, 45238,
     /* 2426863 */     GIR_EraseRootFromParent_Done,
     /* 2426864 */   // Label 35046: @2426864
     /* 2426864 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2426947), // Rule ID 45297 //
     /* 2426869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426905 */     // MIs[1] Operand 1
     /* 2426905 */     // No operand predicates
     /* 2426905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426909 */     // MIs[0] policy
     /* 2426909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426921 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426946 */     // GIR_Coverage, 45297,
     /* 2426946 */     GIR_EraseRootFromParent_Done,
     /* 2426947 */   // Label 35047: @2426947
     /* 2426947 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2427030), // Rule ID 45298 //
     /* 2426952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426988 */     // MIs[1] Operand 1
     /* 2426988 */     // No operand predicates
     /* 2426988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426992 */     // MIs[0] policy
     /* 2426992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427004 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427029 */     // GIR_Coverage, 45298,
     /* 2427029 */     GIR_EraseRootFromParent_Done,
     /* 2427030 */   // Label 35048: @2427030
     /* 2427030 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2427102), // Rule ID 45239 //
     /* 2427035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427067 */     // MIs[0] policy
     /* 2427067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427077 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427101 */     // GIR_Coverage, 45239,
     /* 2427101 */     GIR_EraseRootFromParent_Done,
     /* 2427102 */   // Label 35049: @2427102
     /* 2427102 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2427174), // Rule ID 45240 //
     /* 2427107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427139 */     // MIs[0] policy
     /* 2427139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427149 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427173 */     // GIR_Coverage, 45240,
     /* 2427173 */     GIR_EraseRootFromParent_Done,
     /* 2427174 */   // Label 35050: @2427174
     /* 2427174 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2427246), // Rule ID 45299 //
     /* 2427179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427211 */     // MIs[0] policy
     /* 2427211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427221 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427245 */     // GIR_Coverage, 45299,
     /* 2427245 */     GIR_EraseRootFromParent_Done,
     /* 2427246 */   // Label 35051: @2427246
     /* 2427246 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2427318), // Rule ID 45300 //
     /* 2427251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427283 */     // MIs[0] policy
     /* 2427283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427293 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427317 */     // GIR_Coverage, 45300,
     /* 2427317 */     GIR_EraseRootFromParent_Done,
     /* 2427318 */   // Label 35052: @2427318
     /* 2427318 */   GIM_Reject,
     /* 2427319 */ // Label 35044: @2427319
     /* 2427319 */ GIM_Reject,
     /* 2427320 */ // Label 34926: @2427320
     /* 2427320 */ GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2427952),
     /* 2427325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2427328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2427331 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2427414), // Rule ID 45253 //
     /* 2427336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427372 */     // MIs[1] Operand 1
     /* 2427372 */     // No operand predicates
     /* 2427372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427376 */     // MIs[0] policy
     /* 2427376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427388 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427413 */     // GIR_Coverage, 45253,
     /* 2427413 */     GIR_EraseRootFromParent_Done,
     /* 2427414 */   // Label 35054: @2427414
     /* 2427414 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2427497), // Rule ID 45254 //
     /* 2427419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427455 */     // MIs[1] Operand 1
     /* 2427455 */     // No operand predicates
     /* 2427455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427459 */     // MIs[0] policy
     /* 2427459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427471 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427496 */     // GIR_Coverage, 45254,
     /* 2427496 */     GIR_EraseRootFromParent_Done,
     /* 2427497 */   // Label 35055: @2427497
     /* 2427497 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2427580), // Rule ID 45313 //
     /* 2427502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427538 */     // MIs[1] Operand 1
     /* 2427538 */     // No operand predicates
     /* 2427538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427542 */     // MIs[0] policy
     /* 2427542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427554 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427579 */     // GIR_Coverage, 45313,
     /* 2427579 */     GIR_EraseRootFromParent_Done,
     /* 2427580 */   // Label 35056: @2427580
     /* 2427580 */   GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2427663), // Rule ID 45314 //
     /* 2427585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427621 */     // MIs[1] Operand 1
     /* 2427621 */     // No operand predicates
     /* 2427621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427625 */     // MIs[0] policy
     /* 2427625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427637 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427662 */     // GIR_Coverage, 45314,
     /* 2427662 */     GIR_EraseRootFromParent_Done,
     /* 2427663 */   // Label 35057: @2427663
     /* 2427663 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2427735), // Rule ID 45255 //
     /* 2427668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427700 */     // MIs[0] policy
     /* 2427700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427710 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427734 */     // GIR_Coverage, 45255,
     /* 2427734 */     GIR_EraseRootFromParent_Done,
     /* 2427735 */   // Label 35058: @2427735
     /* 2427735 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2427807), // Rule ID 45256 //
     /* 2427740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427772 */     // MIs[0] policy
     /* 2427772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427782 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427806 */     // GIR_Coverage, 45256,
     /* 2427806 */     GIR_EraseRootFromParent_Done,
     /* 2427807 */   // Label 35059: @2427807
     /* 2427807 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2427879), // Rule ID 45315 //
     /* 2427812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427844 */     // MIs[0] policy
     /* 2427844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427854 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427878 */     // GIR_Coverage, 45315,
     /* 2427878 */     GIR_EraseRootFromParent_Done,
     /* 2427879 */   // Label 35060: @2427879
     /* 2427879 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2427951), // Rule ID 45316 //
     /* 2427884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2427893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427916 */     // MIs[0] policy
     /* 2427916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427926 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427950 */     // GIR_Coverage, 45316,
     /* 2427950 */     GIR_EraseRootFromParent_Done,
     /* 2427951 */   // Label 35061: @2427951
     /* 2427951 */   GIM_Reject,
     /* 2427952 */ // Label 35053: @2427952
     /* 2427952 */ GIM_Reject,
     /* 2427953 */ // Label 34927: @2427953
     /* 2427953 */ GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2428275),
     /* 2427958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2427961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2427964 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2428047), // Rule ID 45209 //
     /* 2427969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2427985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428005 */     // MIs[1] Operand 1
     /* 2428005 */     // No operand predicates
     /* 2428005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428009 */     // MIs[0] policy
     /* 2428009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428021 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428046 */     // GIR_Coverage, 45209,
     /* 2428046 */     GIR_EraseRootFromParent_Done,
     /* 2428047 */   // Label 35063: @2428047
     /* 2428047 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2428130), // Rule ID 45210 //
     /* 2428052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428088 */     // MIs[1] Operand 1
     /* 2428088 */     // No operand predicates
     /* 2428088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428092 */     // MIs[0] policy
     /* 2428092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428104 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2428107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428129 */     // GIR_Coverage, 45210,
     /* 2428129 */     GIR_EraseRootFromParent_Done,
     /* 2428130 */   // Label 35064: @2428130
     /* 2428130 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2428202), // Rule ID 45211 //
     /* 2428135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428167 */     // MIs[0] policy
     /* 2428167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428177 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428201 */     // GIR_Coverage, 45211,
     /* 2428201 */     GIR_EraseRootFromParent_Done,
     /* 2428202 */   // Label 35065: @2428202
     /* 2428202 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2428274), // Rule ID 45212 //
     /* 2428207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2428223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428239 */     // MIs[0] policy
     /* 2428239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428249 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2428252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428273 */     // GIR_Coverage, 45212,
     /* 2428273 */     GIR_EraseRootFromParent_Done,
     /* 2428274 */   // Label 35066: @2428274
     /* 2428274 */   GIM_Reject,
     /* 2428275 */ // Label 35062: @2428275
     /* 2428275 */ GIM_Reject,
     /* 2428276 */ // Label 34928: @2428276
     /* 2428276 */ GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2428908),
     /* 2428281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2428284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2428287 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2428370), // Rule ID 45225 //
     /* 2428292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428328 */     // MIs[1] Operand 1
     /* 2428328 */     // No operand predicates
     /* 2428328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428332 */     // MIs[0] policy
     /* 2428332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428344 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428369 */     // GIR_Coverage, 45225,
     /* 2428369 */     GIR_EraseRootFromParent_Done,
     /* 2428370 */   // Label 35068: @2428370
     /* 2428370 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2428453), // Rule ID 45226 //
     /* 2428375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428411 */     // MIs[1] Operand 1
     /* 2428411 */     // No operand predicates
     /* 2428411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428415 */     // MIs[0] policy
     /* 2428415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428427 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428452 */     // GIR_Coverage, 45226,
     /* 2428452 */     GIR_EraseRootFromParent_Done,
     /* 2428453 */   // Label 35069: @2428453
     /* 2428453 */   GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2428536), // Rule ID 45285 //
     /* 2428458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428494 */     // MIs[1] Operand 1
     /* 2428494 */     // No operand predicates
     /* 2428494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428498 */     // MIs[0] policy
     /* 2428498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428510 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428535 */     // GIR_Coverage, 45285,
     /* 2428535 */     GIR_EraseRootFromParent_Done,
     /* 2428536 */   // Label 35070: @2428536
     /* 2428536 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2428619), // Rule ID 45286 //
     /* 2428541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428577 */     // MIs[1] Operand 1
     /* 2428577 */     // No operand predicates
     /* 2428577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428581 */     // MIs[0] policy
     /* 2428581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428593 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428618 */     // GIR_Coverage, 45286,
     /* 2428618 */     GIR_EraseRootFromParent_Done,
     /* 2428619 */   // Label 35071: @2428619
     /* 2428619 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2428691), // Rule ID 45227 //
     /* 2428624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428656 */     // MIs[0] policy
     /* 2428656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428666 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428690 */     // GIR_Coverage, 45227,
     /* 2428690 */     GIR_EraseRootFromParent_Done,
     /* 2428691 */   // Label 35072: @2428691
     /* 2428691 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2428763), // Rule ID 45228 //
     /* 2428696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428728 */     // MIs[0] policy
     /* 2428728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428738 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428762 */     // GIR_Coverage, 45228,
     /* 2428762 */     GIR_EraseRootFromParent_Done,
     /* 2428763 */   // Label 35073: @2428763
     /* 2428763 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2428835), // Rule ID 45287 //
     /* 2428768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428800 */     // MIs[0] policy
     /* 2428800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428810 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428834 */     // GIR_Coverage, 45287,
     /* 2428834 */     GIR_EraseRootFromParent_Done,
     /* 2428835 */   // Label 35074: @2428835
     /* 2428835 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2428907), // Rule ID 45288 //
     /* 2428840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428872 */     // MIs[0] policy
     /* 2428872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428882 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428906 */     // GIR_Coverage, 45288,
     /* 2428906 */     GIR_EraseRootFromParent_Done,
     /* 2428907 */   // Label 35075: @2428907
     /* 2428907 */   GIM_Reject,
     /* 2428908 */ // Label 35067: @2428908
     /* 2428908 */ GIM_Reject,
     /* 2428909 */ // Label 34929: @2428909
     /* 2428909 */ GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2429541),
     /* 2428914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2428917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2428920 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2429003), // Rule ID 45241 //
     /* 2428925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2428934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428961 */     // MIs[1] Operand 1
     /* 2428961 */     // No operand predicates
     /* 2428961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428965 */     // MIs[0] policy
     /* 2428965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428977 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429002 */     // GIR_Coverage, 45241,
     /* 2429002 */     GIR_EraseRootFromParent_Done,
     /* 2429003 */   // Label 35077: @2429003
     /* 2429003 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2429086), // Rule ID 45242 //
     /* 2429008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429044 */     // MIs[1] Operand 1
     /* 2429044 */     // No operand predicates
     /* 2429044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429048 */     // MIs[0] policy
     /* 2429048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429060 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429085 */     // GIR_Coverage, 45242,
     /* 2429085 */     GIR_EraseRootFromParent_Done,
     /* 2429086 */   // Label 35078: @2429086
     /* 2429086 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2429169), // Rule ID 45301 //
     /* 2429091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429127 */     // MIs[1] Operand 1
     /* 2429127 */     // No operand predicates
     /* 2429127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429131 */     // MIs[0] policy
     /* 2429131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429143 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429168 */     // GIR_Coverage, 45301,
     /* 2429168 */     GIR_EraseRootFromParent_Done,
     /* 2429169 */   // Label 35079: @2429169
     /* 2429169 */   GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2429252), // Rule ID 45302 //
     /* 2429174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429210 */     // MIs[1] Operand 1
     /* 2429210 */     // No operand predicates
     /* 2429210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429214 */     // MIs[0] policy
     /* 2429214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429226 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429251 */     // GIR_Coverage, 45302,
     /* 2429251 */     GIR_EraseRootFromParent_Done,
     /* 2429252 */   // Label 35080: @2429252
     /* 2429252 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2429324), // Rule ID 45243 //
     /* 2429257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429289 */     // MIs[0] policy
     /* 2429289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429299 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429323 */     // GIR_Coverage, 45243,
     /* 2429323 */     GIR_EraseRootFromParent_Done,
     /* 2429324 */   // Label 35081: @2429324
     /* 2429324 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2429396), // Rule ID 45244 //
     /* 2429329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429361 */     // MIs[0] policy
     /* 2429361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429371 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429395 */     // GIR_Coverage, 45244,
     /* 2429395 */     GIR_EraseRootFromParent_Done,
     /* 2429396 */   // Label 35082: @2429396
     /* 2429396 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2429468), // Rule ID 45303 //
     /* 2429401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429433 */     // MIs[0] policy
     /* 2429433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429443 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429467 */     // GIR_Coverage, 45303,
     /* 2429467 */     GIR_EraseRootFromParent_Done,
     /* 2429468 */   // Label 35083: @2429468
     /* 2429468 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2429540), // Rule ID 45304 //
     /* 2429473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2429482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429505 */     // MIs[0] policy
     /* 2429505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429515 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429539 */     // GIR_Coverage, 45304,
     /* 2429539 */     GIR_EraseRootFromParent_Done,
     /* 2429540 */   // Label 35084: @2429540
     /* 2429540 */   GIM_Reject,
     /* 2429541 */ // Label 35076: @2429541
     /* 2429541 */ GIM_Reject,
     /* 2429542 */ // Label 34930: @2429542
     /* 2429542 */ GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2429864),
     /* 2429547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2429550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2429553 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2429636), // Rule ID 45213 //
     /* 2429558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429594 */     // MIs[1] Operand 1
     /* 2429594 */     // No operand predicates
     /* 2429594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429598 */     // MIs[0] policy
     /* 2429598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429610 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429635 */     // GIR_Coverage, 45213,
     /* 2429635 */     GIR_EraseRootFromParent_Done,
     /* 2429636 */   // Label 35086: @2429636
     /* 2429636 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2429719), // Rule ID 45214 //
     /* 2429641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429677 */     // MIs[1] Operand 1
     /* 2429677 */     // No operand predicates
     /* 2429677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429681 */     // MIs[0] policy
     /* 2429681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429693 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2429696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429718 */     // GIR_Coverage, 45214,
     /* 2429718 */     GIR_EraseRootFromParent_Done,
     /* 2429719 */   // Label 35087: @2429719
     /* 2429719 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2429791), // Rule ID 45215 //
     /* 2429724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429756 */     // MIs[0] policy
     /* 2429756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429766 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429790 */     // GIR_Coverage, 45215,
     /* 2429790 */     GIR_EraseRootFromParent_Done,
     /* 2429791 */   // Label 35088: @2429791
     /* 2429791 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2429863), // Rule ID 45216 //
     /* 2429796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2429812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429828 */     // MIs[0] policy
     /* 2429828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429838 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2429841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429862 */     // GIR_Coverage, 45216,
     /* 2429862 */     GIR_EraseRootFromParent_Done,
     /* 2429863 */   // Label 35089: @2429863
     /* 2429863 */   GIM_Reject,
     /* 2429864 */ // Label 35085: @2429864
     /* 2429864 */ GIM_Reject,
     /* 2429865 */ // Label 34931: @2429865
     /* 2429865 */ GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2430497),
     /* 2429870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2429873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2429876 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2429959), // Rule ID 45229 //
     /* 2429881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429917 */     // MIs[1] Operand 1
     /* 2429917 */     // No operand predicates
     /* 2429917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429921 */     // MIs[0] policy
     /* 2429921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429933 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429958 */     // GIR_Coverage, 45229,
     /* 2429958 */     GIR_EraseRootFromParent_Done,
     /* 2429959 */   // Label 35091: @2429959
     /* 2429959 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2430042), // Rule ID 45230 //
     /* 2429964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2429973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430000 */     // MIs[1] Operand 1
     /* 2430000 */     // No operand predicates
     /* 2430000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430004 */     // MIs[0] policy
     /* 2430004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430016 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430041 */     // GIR_Coverage, 45230,
     /* 2430041 */     GIR_EraseRootFromParent_Done,
     /* 2430042 */   // Label 35092: @2430042
     /* 2430042 */   GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2430125), // Rule ID 45289 //
     /* 2430047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430083 */     // MIs[1] Operand 1
     /* 2430083 */     // No operand predicates
     /* 2430083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430087 */     // MIs[0] policy
     /* 2430087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430099 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430124 */     // GIR_Coverage, 45289,
     /* 2430124 */     GIR_EraseRootFromParent_Done,
     /* 2430125 */   // Label 35093: @2430125
     /* 2430125 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2430208), // Rule ID 45290 //
     /* 2430130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430166 */     // MIs[1] Operand 1
     /* 2430166 */     // No operand predicates
     /* 2430166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430170 */     // MIs[0] policy
     /* 2430170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430182 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430207 */     // GIR_Coverage, 45290,
     /* 2430207 */     GIR_EraseRootFromParent_Done,
     /* 2430208 */   // Label 35094: @2430208
     /* 2430208 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2430280), // Rule ID 45231 //
     /* 2430213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430245 */     // MIs[0] policy
     /* 2430245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430255 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430279 */     // GIR_Coverage, 45231,
     /* 2430279 */     GIR_EraseRootFromParent_Done,
     /* 2430280 */   // Label 35095: @2430280
     /* 2430280 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2430352), // Rule ID 45232 //
     /* 2430285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430317 */     // MIs[0] policy
     /* 2430317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430327 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430351 */     // GIR_Coverage, 45232,
     /* 2430351 */     GIR_EraseRootFromParent_Done,
     /* 2430352 */   // Label 35096: @2430352
     /* 2430352 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2430424), // Rule ID 45291 //
     /* 2430357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430389 */     // MIs[0] policy
     /* 2430389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430399 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430423 */     // GIR_Coverage, 45291,
     /* 2430423 */     GIR_EraseRootFromParent_Done,
     /* 2430424 */   // Label 35097: @2430424
     /* 2430424 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2430496), // Rule ID 45292 //
     /* 2430429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2430438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430461 */     // MIs[0] policy
     /* 2430461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430471 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430495 */     // GIR_Coverage, 45292,
     /* 2430495 */     GIR_EraseRootFromParent_Done,
     /* 2430496 */   // Label 35098: @2430496
     /* 2430496 */   GIM_Reject,
     /* 2430497 */ // Label 35090: @2430497
     /* 2430497 */ GIM_Reject,
     /* 2430498 */ // Label 34932: @2430498
     /* 2430498 */ GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2430820),
     /* 2430503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2430506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2430509 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2430592), // Rule ID 45217 //
     /* 2430514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430550 */     // MIs[1] Operand 1
     /* 2430550 */     // No operand predicates
     /* 2430550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430554 */     // MIs[0] policy
     /* 2430554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430566 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430591 */     // GIR_Coverage, 45217,
     /* 2430591 */     GIR_EraseRootFromParent_Done,
     /* 2430592 */   // Label 35100: @2430592
     /* 2430592 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2430675), // Rule ID 45218 //
     /* 2430597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430633 */     // MIs[1] Operand 1
     /* 2430633 */     // No operand predicates
     /* 2430633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430637 */     // MIs[0] policy
     /* 2430637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430649 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2430652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430674 */     // GIR_Coverage, 45218,
     /* 2430674 */     GIR_EraseRootFromParent_Done,
     /* 2430675 */   // Label 35101: @2430675
     /* 2430675 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2430747), // Rule ID 45219 //
     /* 2430680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430712 */     // MIs[0] policy
     /* 2430712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430722 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430746 */     // GIR_Coverage, 45219,
     /* 2430746 */     GIR_EraseRootFromParent_Done,
     /* 2430747 */   // Label 35102: @2430747
     /* 2430747 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2430819), // Rule ID 45220 //
     /* 2430752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2430761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2430768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430784 */     // MIs[0] policy
     /* 2430784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430794 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2430797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430818 */     // GIR_Coverage, 45220,
     /* 2430818 */     GIR_EraseRootFromParent_Done,
     /* 2430819 */   // Label 35103: @2430819
     /* 2430819 */   GIM_Reject,
     /* 2430820 */ // Label 35099: @2430820
     /* 2430820 */ GIM_Reject,
     /* 2430821 */ // Label 34933: @2430821
     /* 2430821 */ GIM_Reject,
     /* 2430822 */ // Label 123: @2430822
     /* 2430822 */ GIM_Reject,
     /* 2430823 */ }; // Size: 2430823 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
